
--
-- Ensure correct encoding
--
SET NAMES utf8mb4;


--
-- Table structure for table `lang_languages`
--


DROP TABLE IF EXISTS `lang_languages`;
CREATE TABLE `lang_languages` (
  `lang_id` int(11) NOT NULL auto_increment,
  `lang_code` char(2) NOT NULL default '',
  `lang_description` varchar(100) default NULL,
  `lang_is_rtl` TINYINT DEFAULT 0,
  UNIQUE KEY `lang_id` (`lang_id`)
) ENGINE=InnoDB AUTO_INCREMENT=36 ;


--
-- Dumping data for table `lang_languages`
--

INSERT INTO `lang_languages`   (`lang_id`, `lang_code`, `lang_description`, `lang_is_rtl`) VALUES
(1, 'en', 'English (Standard)', 0),
(2, 'se', 'Swedish', 0),
(3, 'es', 'Spanish (Spain)', 0),
(4, 'el', 'Spanish (Latin American)', 0),
(5, 'de', 'German', 0),
(6, 'du', 'Dutch', 0),
(7, 'he', 'Hebrew', 1),
(8, 'fr', 'French (Standard)', 0),
(9, 'fq', 'French (Canadian)', 0),
(10, 'zh', 'Chinese (Simplified)', 0),
(11, 'zt', 'Chinese (Traditional)', 0),
(12, 'ru', 'Russian', 0),
(13, 'hy', 'Armenian', 0),
(14, 'id', 'Bahasa Indonesia', 0),
(15, 'gr', 'Greek', 0),
(16, 'ei', 'English (Indian)', 0),
(17, 'pe', 'Portuguese (European)', 0),
(18, 'pt', 'Portuguese (Brazilian)', 0),
(19, 'ar', 'Arabic', 1),
(20, 'da', 'Danish', 0),
(21, 'tr', 'Turkish', 0),
(22, 'po', 'Polish', 0),
(23, 'it', 'Italian', 0),
(24, 'hi', 'Hindi', 0),
(25, 'ro', 'Romanian', 0),
(26, 'vi', 'Vietnamese', 0),
(27, 'sq', 'Albanian', 0),
(28, 'cs', 'Czech', 0),
(29, 'uk', 'Ukrainian', 0),
(30, 'fa', 'Persian', 1),
(31, 'ja', 'Japanese', 0),
(32, 'fi', 'Finnish', 0),
(33, 'mr', 'Marathi', 0),
(34, 'ta', 'Tamil', 0),
(35, 'dd', 'dummy', 0);

--


--
-- Table structure for table `lang_constants`
--


DROP TABLE IF EXISTS `lang_constants`;
CREATE TABLE `lang_constants` (
  `cons_id` int(11) NOT NULL auto_increment,
  `constant_name` mediumtext BINARY,
  UNIQUE KEY `cons_id` (`cons_id`),
  KEY `constant_name` (`constant_name`(100))
) ENGINE=InnoDB AUTO_INCREMENT=12383 ;


--
-- Dumping data for table `lang_constants`
--

INSERT INTO `lang_constants`   (`cons_id`, `constant_name`) VALUES
(1, 'A'),
(2, 'A check number or claim number to identify the payment'),
(3, 'A claim must be selected to enable this menu.'),
(4, 'A client certificate for the admin user'),
(5, 'A Clinical Decision Rule is patient specific information that is filtered and presented at appropriate times to enhance health and health care'),
(6, 'A clinical document is attached'),
(7, 'A clinical document is attached.'),
(8, 'A code of this type is already selected. Erase the field first if you need to replace it.'),
(9, 'A dated reminder message can be either forwarded by clicking the Forward button or removed from the dated reminders list by clicking on the Set As Completed button'),
(10, 'A dedicated security key needs to be purchased'),
(11, 'A default code is optional as the needed code can be entered at the time of placing the actual order'),
(12, 'A detailed guide on how to enable and setup a Clinical Decision rule is found here'),
(13, 'A distributor is required'),
(14, 'A due date can be specified or a specific time period can be chosen for the dated reminder to to show up'),
(15, 'A few words to indicate the reason for the visit'),
(16, 'A followup appointment can also be scheduled right from the fee sheet.'),
(17, 'A GCAC visit form should be added to this visit.'),
(18, 'A HL7 v2.x message simply consists of several lines of text, each line is called a segment and is further divided into fields by using the pipe (|) character'),
(19, 'A large application like openEMR is used by a multitude of users with varying roles and degrees of responsibility. It is imperative that access to various parts of the program be granted to users on a need to know basis. To achieve this - Access Control Lists (ACL) are used.'),
(20, 'A lot number is required'),
(21, 'A lot number is required!'),
(22, 'A lowercase letter'),
(23, 'A New Appointment'),
(24, 'A new feature helps to group frequently ordered tests so that they can be ordered together'),
(25, 'A new message can thus be sent to a single or multiple users and/or can be about a single or multiple patients'),
(26, 'A new patients credentials could not be sent after portal registration.'),
(27, 'A new tab sub menu will be visible at the top of the Message center page'),
(28, 'A number'),
(29, 'A Patient Must Be Selected to Generate This Report'),
(30, 'A patient with this ID already exists.'),
(31, 'A patient with this name already exists.'),
(32, 'A patient with this SS already exists.'),
(33, 'A Payment is Required!. Please input a payment line item entry.'),
(34, 'A place to document and display the patient\'s past medical history, family history, personal history'),
(35, 'A popup box will alert you about success or failure'),
(36, 'A positive number will show that many past appointments on a Widget in the Patient Summary screen (a negative number will show the past appointments in descending order)'),
(37, 'A positive number will show that many past appointments on a Widget in the Patient Summary screen.'),
(38, 'A product was selected but there is no product section in this form.'),
(39, 'A provider or warehouse can be selected in the dropwdown box. For this option to be displayed \'Support provider in line item in fee sheet\' box must be checked in Administration > Globals> Billing page'),
(40, 'A Recurring Appointment. Please contact your appointment desk for any changes.'),
(41, 'A Referral has an additional action - to print the referral or save it as a pdf file'),
(42, 'A Referral is the most common type of transaction'),
(43, 'A referral source may be specified for each visit.'),
(44, 'A related IPPF code is required!'),
(45, 'A secure (HTTPS) web connection is required for U2F'),
(46, 'A short description of this group that will appear when you hover over the newly created group (ARO).'),
(47, 'A short description of this group, Serum chemistry tests'),
(48, 'A short description of this procedure or result code'),
(49, 'A special character'),
(50, 'A standardized form called the Health Insurance Claim Form is used to submit claims'),
(51, 'A third alternative is to scan the results and save it as a document - TIFF, JPEG or PDF in the patient\'s chart under documents'),
(52, 'A two tabbed form will be revealed'),
(53, 'A unique value to identify this field, not visible to the user'),
(54, 'A useful start would be to obtain a paper lab slip from a few labs and look at the way the tests are organized on the lab slip'),
(55, 'A visit already exists for this group today. Click Cancel to open it, or OK to proceed with creating a new one.'),
(56, 'A visit already exists for this patient today. Click Cancel to open it, or OK to proceed with creating a new one.'),
(57, 'a.c.'),
(58, 'a.m.'),
(59, 'A/C{{anterior chamber}}'),
(60, 'A/F Level Right:'),
(61, 'AAA Segments'),
(62, 'AB'),
(63, 'Abbreviation'),
(64, 'Abcess:'),
(65, 'Abdominal'),
(66, 'Able to Bear Weight four (4) steps:'),
(67, 'Abn'),
(68, 'ABN1'),
(69, 'ABNL'),
(70, 'Abnormal'),
(71, 'Abnormal Blood Test'),
(72, 'Abnormal Hair Growth'),
(73, 'Abnormal Mammogram'),
(74, 'Abort'),
(75, 'Abortion'),
(76, 'Abortion Issues'),
(77, 'Abortion Method'),
(78, 'Abortion-Related Categories'),
(79, 'Abortions'),
(80, 'About'),
(81, 'About Portal Dashboard'),
(82, 'About the calendar'),
(83, 'About Your Portal'),
(84, 'Above upper panic limits'),
(85, 'Absences by Diagnosis'),
(86, 'Accept'),
(87, 'Accept Assignment'),
(88, 'Accept Payment'),
(89, 'Accept Payment for'),
(90, 'Accept Payment for '),
(91, 'Accepts Assignment'),
(92, 'Access can be given to other groups by editing User Memberships or Groups and Access Controls in Administration > ACL'),
(93, 'Access Control'),
(94, 'Access Control List Administration'),
(95, 'Access Control List Help'),
(96, 'Access Control Lists'),
(97, 'Access core data set of patient information at the beginning of an encounter'),
(98, 'Access date'),
(99, 'Access denied'),
(100, 'Access is then granted selectively to portions of the program on a need to know basis.'),
(101, 'access not allowed'),
(102, 'Access not allowed'),
(103, 'Access Not Authorized'),
(104, 'Access Your Medical Records'),
(105, 'Access Your Patient Portal'),
(106, 'Accident'),
(107, 'Account'),
(108, 'Account Id'),
(109, 'Account Id issued for NewCrop eRx service, used to separate multi-facility accounts.'),
(110, 'Account Id issued for Weno eRx service.'),
(111, 'Account Id issued for Your clinics eRx service.'),
(112, 'Account is validated. Send new credentials?'),
(113, 'Account Name'),
(114, 'Account Name issued for NewCrop eRx service.'),
(115, 'Account Password issued for NewCrop eRx service.'),
(116, 'Account Registration'),
(117, 'Accounting'),
(118, 'Accounting (acct)'),
(119, 'Accountings'),
(120, 'Acct'),
(121, 'ACD{{anterior chamber depth}}'),
(122, 'Aches'),
(123, 'Acknowledge as my Electronic Signature'),
(124, 'Acknowledgment Requested (ISA14)'),
(125, 'Acknowledgments, Licensing and Certification'),
(126, 'ACL'),
(127, 'ACL Administration'),
(128, 'ACL Administration (acl)'),
(129, 'ACL Administration Not Authorized'),
(130, 'ACL check failed'),
(131, 'ACL Fine Granular Control'),
(132, 'ACL Updated Successfully'),
(133, 'Acne'),
(134, 'ACO'),
(135, 'ACOM{{Anterior Segment}}'),
(136, 'Act'),
(137, 'Act Date'),
(138, 'Action'),
(139, 'Action Taken'),
(140, 'Action Taken Time'),
(141, 'Action User'),
(142, 'Actions'),
(143, 'Activate'),
(144, 'Activate CCR/CCD Reporting'),
(145, 'activate to sort column ascending'),
(146, 'activate to sort column descending'),
(147, 'Activate UB04/837I Claim Support'),
(148, 'Active'),
(149, 'Active - By default any value added here will be set to Active, to prevent/remove an item from showing up in the drop-down list just uncheck and deactivate'),
(150, 'Active Alert'),
(151, 'Active Alert - that presents as a pop-up notification when a patient\'s chart is entered'),
(152, 'Active Alert Rules'),
(153, 'Active Alerts/Reminders'),
(154, 'Active Chart'),
(155, 'Active Directory - Domains Base'),
(156, 'Active Directory - Domains Controllers'),
(157, 'Active Directory - Suffix Of Account'),
(158, 'Active Encounter'),
(159, 'Active Issue Codes'),
(160, 'Active lists'),
(161, 'Active Messages'),
(162, 'Active Patient'),
(163, 'Active Plans'),
(164, 'Active Templates'),
(165, 'Active{{Appointment}}'),
(166, 'Active{{Code}}'),
(167, 'Active{{Drug}}'),
(168, 'Active{{Issue}}'),
(169, 'Active{{Item}}'),
(170, 'Active{{Note}}'),
(171, 'Active{{Plan}}'),
(172, 'Active{{Service}}'),
(173, 'Activity'),
(174, 'Activity Type'),
(175, 'Actual Receipts'),
(176, 'Acuity'),
(177, 'ACUITY'),
(178, 'Acuity with Autorefraction'),
(179, 'Acuity with Contact Lenses'),
(180, 'Acuity with correction'),
(181, 'Acuity with Cycloplegic Refraction'),
(182, 'Acuity with Manifest Refraction'),
(183, 'Acuity with Pinhole'),
(184, 'Acuity without correction'),
(185, 'Acute Intoxication/Withdrawal'),
(186, 'Acute Manifestation of a Chronic Condition'),
(187, 'Acute on Chronic'),
(188, 'Ad Reviewed'),
(189, 'Add'),
(190, 'add'),
(191, 'ADD'),
(192, 'Add a Company'),
(193, 'Add a condition'),
(194, 'ADD A NEW RECALL'),
(195, 'Add a New Recall'),
(196, 'Add a note to the biller'),
(197, 'Add a Pharmacy'),
(198, 'Add all needed providers in a similar manner'),
(199, 'Add all rules to plan'),
(200, 'add an event for '),
(201, 'Add as a new message'),
(202, 'Add as a new note'),
(203, 'Add as New'),
(204, 'Add as new patient'),
(205, 'Add Bottom Border Row'),
(206, 'Add Buttons'),
(207, 'Add Buttons for Special Chars,Texts to be Displayed on Top of the Editor for inclusion to the text on a Click'),
(208, 'Add Category'),
(209, 'Add Constant'),
(210, 'Add Context'),
(211, 'Add Copay'),
(212, 'Add criteria'),
(213, 'Add Custom Button'),
(214, 'Add Data Bottom Border'),
(215, 'Add desired privileges by moving items (ACOs) from the \'Inactive\' column to the \'Active\' column.'),
(216, 'Add Diagnosis'),
(217, 'Add Drug'),
(218, 'Add Edit Transactions Help'),
(219, 'Add encounter'),
(220, 'Add Encounter'),
(221, 'Add encounter/notes'),
(222, 'Add Facility'),
(223, 'Add Field'),
(224, 'Add following lines to the Apache configuration file'),
(225, 'Add Group'),
(226, 'Add group'),
(227, 'Add ICD Code'),
(228, 'Add Immunization'),
(229, 'Add is not authorized!'),
(230, 'Add Issue'),
(231, 'Add item to track'),
(232, 'Add Language'),
(233, 'Add Lot'),
(234, 'Add manually'),
(235, 'Add Mode'),
(236, 'Add modifiers for this field type. You may select more than one.'),
(237, 'Add More Items'),
(238, 'Add New'),
(239, 'Add new'),
(240, 'Add new category : '),
(241, 'Add new certificates to the Apache configuration file'),
(242, 'Add New Component'),
(243, 'Add New Components'),
(244, 'Add new database'),
(245, 'Add New Entry'),
(246, 'Add New Event'),
(247, 'Add New Form'),
(248, 'ADD NEW GROUP'),
(249, 'Add New Group'),
(250, 'Add New Issue'),
(251, 'Add new lot and transaction'),
(252, 'Add New Message'),
(253, 'Add New Note'),
(254, 'Add new note'),
(255, 'Add New Partner'),
(256, 'Add New Patient'),
(257, 'ADD NEW PLAN'),
(258, 'Add New...'),
(259, 'Add New{{Event}}'),
(260, 'Add New{{Message}}'),
(261, 'Add New{{Provider}}'),
(262, 'Add new{{Rule}}'),
(263, 'Add New{{Type}}'),
(264, 'Add Note'),
(265, 'Add Onsite Portal Activity'),
(266, 'Add Package'),
(267, 'Add Patient'),
(268, 'Add Patient Record'),
(269, 'Add Prescription'),
(270, 'Add Procedure'),
(271, 'Add Provider Number'),
(272, 'Add Recall'),
(273, 'Add Rehab'),
(274, 'Add Rule'),
(275, 'Add the remaining codes, in order to do so the CPT code must already exist in the database'),
(276, 'Add Time to Date'),
(277, 'Add to'),
(278, 'ADD TO EXISTING MESSAGE'),
(279, 'Add To Existing Message'),
(280, 'Add to list'),
(281, 'Add to Medication List'),
(282, 'Add Top Level'),
(283, 'Add Transaction'),
(284, 'Add User'),
(285, 'Add User To Group'),
(286, 'Add.{{Additional Measurements}}'),
(287, 'Add/Edit eRx'),
(288, 'Add/Edit Issue'),
(289, 'Add/Edit Patient Transaction'),
(290, 'added'),
(291, 'Adding'),
(292, 'Adding a participant'),
(293, 'Adding demographics is not authorized.'),
(294, 'Adding item to track failed'),
(295, 'Addison Syndrom'),
(296, 'Addison Syndrome'),
(297, 'Additional Attributes'),
(298, 'Additional Data Points'),
(299, 'Additional Date:'),
(300, 'Additional Diagnosis:'),
(301, 'Additional Findings'),
(302, 'Additional functionality including the ability to send SMS text messages, automated phone dialing, emails etc. can be accessed by enabling the optional MedEx Communication Service'),
(303, 'Additional help to fill out this form is available by hovering over labels of each box and clicking on the dark blue help ? icon that is revealed'),
(304, 'Additional help to fill out this form is available by hovering over labels of each box and clicking on the dark blue help ? icon that is revealed. On mobile devices tap once on the label to reveal the help icon and tap on the icon to show the help section'),
(305, 'Additional History'),
(306, 'Additional history notes'),
(307, 'Additional Info'),
(308, 'Additional information about the individual pages can be found in their respective help files'),
(309, 'Additional information to process paper claims'),
(310, 'Additional Labs'),
(311, 'Additional Notes'),
(312, 'Additional Notes field is for local use in openEMR'),
(313, 'Additional notes for this result or recommendation'),
(314, 'Additional Notes:'),
(315, 'Additional Notes: '),
(316, 'additional scopes'),
(317, 'Additional X-RAY Notes:'),
(318, 'Additionally, the corresponding US Snomed Extension Package can be imported separately after installing the International (English version) Snomed Release'),
(319, 'Additonal Rx{{Additional glasses}}'),
(320, 'addonly'),
(321, 'addonly - can read and add but not modify'),
(322, 'Addr Bk'),
(323, 'Addr Book'),
(324, 'Address'),
(325, 'Address and Postal Code'),
(326, 'Address and State'),
(327, 'Address Book'),
(328, 'Address book entry for the company performing this procedure'),
(329, 'Address book entry for the distributor'),
(330, 'Address book entry for the vendor'),
(331, 'Address Book Types'),
(332, 'Address Label'),
(333, 'Address Labels'),
(334, 'Address Line 1'),
(335, 'Address Line 2'),
(336, 'Address Only'),
(337, 'Address, City, State and Postal Code'),
(338, 'Address, State and Postal Code'),
(339, 'Address1'),
(340, 'Address2'),
(341, 'ADDRESSED TO'),
(342, 'ADDRESSEE'),
(343, 'ADD{{Bifocal Add}}'),
(344, 'ADD{{Near Add}}'),
(345, 'Adj'),
(346, 'Adj Amount'),
(347, 'Adjust'),
(348, 'Adjustment'),
(349, 'Adjustment Amt'),
(350, 'Adjustment Reasons'),
(351, 'Adjustment value for code'),
(352, 'Adjustment value for code '),
(353, 'Adjustments'),
(354, 'Adm adjust'),
(355, 'Admin'),
(356, 'Admin Email Address'),
(357, 'Administer Via'),
(358, 'Administer Via is not relevant in this context and can be left Unassigned'),
(359, 'Administered'),
(360, 'Administered By'),
(361, 'Administered Date'),
(362, 'Administered Site'),
(363, 'Administration'),
(364, 'Administration (admin)'),
(365, 'Administration Site'),
(366, 'Administrators'),
(367, 'Administrators can do anything'),
(368, 'Admit Date'),
(369, 'Adnexa'),
(370, 'Adopted Child'),
(371, 'Adult Weight Screening and Follow-Up'),
(372, 'Adult Weight Screening and Follow-Up (CQM)'),
(373, 'Advance Directive'),
(374, 'Advance Directives'),
(375, 'Advance Directives Warning'),
(376, 'Advance Options'),
(377, 'Advanced'),
(378, 'Advanced - Finer Access Control'),
(379, 'Advantages and Disadvantages of TOTP and U2F'),
(380, 'Advice'),
(381, 'Afar'),
(382, 'Affect normal'),
(383, 'Afrikaans'),
(384, 'after'),
(385, 'after (PM)'),
(386, 'After hrs calls'),
(387, 'After migration from the old password mechanisms where passwords are stored in the users table without salt is complete, this flag should be set to false so that only authentication by the new method is possible'),
(388, 'After performing above configurations, import the admin client certificate to the browser and restart Apache server (empty password).'),
(389, 'After saving the PDF'),
(390, 'After saving the PDF, click [View Log] to check for errors.'),
(391, 'After saving the PDF, click[View Log] to check for errors.'),
(392, 'After saving the TEXT file'),
(393, 'After saving the TEXT file(s), click [View Log] to check for errors.'),
(394, 'After saving the TEXT file(s), click[View Log] to check for errors.'),
(395, 'After saving your batch'),
(396, 'After saving your batch, click [View Log] to check for errors.'),
(397, 'After saving your batch, click[View Log] to check for errors.'),
(398, 'After that the Match column will show the selected patient ID, or 0 to create.'),
(399, 'After the information is correctly entered, click the Save button.'),
(400, 'After Uploading click the button \"Import\"'),
(401, 'After Uploading, click \"Import\"'),
(402, 'After you filled in the spreadsheet with the relevant ICD categories and ICD codes go to Administration > Lists. Select \'Service Category\' from the dropdown box'),
(403, 'After you have finished entering all the ICD 10 codes go to Adminstration > Lists and select \'Code Types\' from the dropdown box. Select \'ICD10 Diagnosis\' from the last dropdown box under ICD 10'),
(404, 'AfterCare Planning'),
(405, 'Afterwards however, you may change your portal credentials anytime from portal menu.'),
(406, 'Again'),
(407, 'Age'),
(408, 'Age at death'),
(409, 'Age By'),
(410, 'Age Category'),
(411, 'Age data is out of range.'),
(412, 'Age Display Format'),
(413, 'Age format for \"age from\" is not valid'),
(414, 'Age format for \"age up to\" is not valid'),
(415, 'Age From'),
(416, 'Age in Years for Display Format Change'),
(417, 'Age max'),
(418, 'Age min'),
(419, 'Age Range'),
(420, 'Aging Columns'),
(421, 'Aging Columns:'),
(422, 'Akan'),
(423, 'Albanian'),
(424, 'Alcohol'),
(425, 'Alcohol consumption'),
(426, 'Alcohol Use'),
(427, 'Alert'),
(428, 'Alert Count'),
(429, 'Alert Notice'),
(430, 'Alert on and after birthday'),
(431, 'Alert on and up to 28 days after birthday'),
(432, 'Alert on patient birthday'),
(433, 'Alert only on birthday'),
(434, 'Alert Time'),
(435, 'Alerts'),
(436, 'Alerts Log'),
(437, 'Alerts/Reminders'),
(438, 'Alert{{Mental Status}}'),
(439, 'ALEUT'),
(440, 'All'),
(441, 'ALL'),
(442, 'all'),
(443, 'All (Collated Format A)'),
(444, 'All (Collated Format B)'),
(445, 'All (Cumulative)'),
(446, 'All Alerts'),
(447, 'All Automated Measure Calculations (AMC)'),
(448, 'All Categories'),
(449, 'All Clinical Quality Measures (CQM)'),
(450, 'All Codes'),
(451, 'All credential fields are case sensitive!'),
(452, 'All Dates'),
(453, 'All Day'),
(454, 'All day event'),
(455, 'All demographics fields, with search and duplication check'),
(456, 'All Encounters'),
(457, 'All Facilities'),
(458, 'All Injuries/Problems/Issues'),
(459, 'All Languages Allowed'),
(460, 'All Messages'),
(461, 'All Official Clinical Quality Measures (CQM) Measure Groups'),
(462, 'All or part of the first name'),
(463, 'All or part of the last name'),
(464, 'All or part of the organization'),
(465, 'All patient interactions in OpenEMR are linked to encounters'),
(466, 'All Patients'),
(467, 'All pending messages are displayed on the MY MESSAGES pane'),
(468, 'All Products'),
(469, 'All Providers'),
(470, 'All Reviewed and Negative:'),
(471, 'All search inputs are case sensitive and must match entries in your profile.'),
(472, 'All sections are not required, rather, they are available based on the information a practitioner believes is critical data for the patient at any given moment in time'),
(473, 'All set. Click Send Request below to finish registration'),
(474, 'All set. Click Send Request below to finish registration.'),
(475, 'All Topics'),
(476, 'All TOTP authenticator apps use the same algorithm and secure hash function - HMAC-SHA1 to generate the unique key'),
(477, 'All Transactions for the patient will appear on the Transactions page in descending order of its date of creation'),
(478, 'All Users'),
(479, 'Allergic'),
(480, 'Allergic to'),
(481, 'Allergies'),
(482, 'Allergies - will show the allergies listed under Issues > Allergies. If eRx is enabled the allergy list has to be entered on the eRx page'),
(483, 'Allergies/Alerting Data'),
(484, 'Allergies:'),
(485, 'Allergy'),
(486, 'Allergy import successfully completed'),
(487, 'Allergy Issue List'),
(488, 'Allergy Reaction'),
(489, 'ALLERGY WARNING'),
(490, 'Allergy Warning'),
(491, 'Allocate'),
(492, 'Allow'),
(493, 'Allow Administrators to Delete Patients'),
(494, 'Allow all available languages as choices on menu at login.'),
(495, 'Allow Check In before the appointment\'s time.'),
(496, 'Allow creation of claims containing diagnoses but not procedures or charges. Most clinics do not want this.'),
(497, 'Allow Debugging Language'),
(498, 'Allow Double Click to select Nation Note text template from any encounter form text area'),
(499, 'Allow Early Check In'),
(500, 'Allow Email'),
(501, 'Allow email messages?'),
(502, 'Allow Email?'),
(503, 'Allow Encounter Claims'),
(504, 'Allow Encounter For Each Appointment'),
(505, 'Allow Health Info Exchange'),
(506, 'Allow Health Information Exchange'),
(507, 'Allow Immunization Info Share'),
(508, 'Allow Immunization Info Sharing'),
(509, 'Allow Immunization Registry Use'),
(510, 'Allow institutional claims support.'),
(511, 'Allow insurance eligibility checks using Office Ally'),
(512, 'Allow Mail Message'),
(513, 'Allow more than one insurance'),
(514, 'Allow multiple databases'),
(515, 'Allow New Patient Registration Widget'),
(516, 'Allow Notice'),
(517, 'Allow Online Appointments'),
(518, 'Allow Online Payments'),
(519, 'Allow Online Secure Chat'),
(520, 'Allow only one insurance'),
(521, 'Allow Onsite New Patient Registration Widget'),
(522, 'Allow Onsite Online Appointments'),
(523, 'Allow Onsite Online Payments'),
(524, 'Allow Onsite Online Secure Chat'),
(525, 'Allow Onsite Patient Ledger'),
(526, 'Allow Onsite Patient to make and view appointments online.'),
(527, 'Allow Onsite Patient to make payments online.'),
(528, 'Allow Onsite Patient to use Secure Chat Application.'),
(529, 'Allow Onsite Patient to view their accounting ledger online.'),
(530, 'Allow Onsite Patients to Reset Credentials'),
(531, 'Allow Patient Flow Board to Select Patients for Drug Testing.'),
(532, 'Allow Patient Ledger'),
(533, 'Allow Patient Portal'),
(534, 'Allow Patient to make and view appointments online.'),
(535, 'Allow Patient to make payments online.'),
(536, 'Allow Patient to use Secure Chat Application.'),
(537, 'Allow Patient to view their accounting ledger online.'),
(538, 'Allow Patients to Reset Credentials'),
(539, 'Allow Postal Mail'),
(540, 'Allow self-signed certificate for SSL (encrypted) connection to CouchDB'),
(541, 'Allow SMS'),
(542, 'Allow SMS (text messages)?'),
(543, 'Allow Statement Exclusions from Printing'),
(544, 'Allow submitted events to be made active instantly?'),
(545, 'Allow telephone messages?'),
(546, 'Allow to use with multiple database'),
(547, 'Allow users to publish Global Events'),
(548, 'Allow users to publish Personal Calendars'),
(549, 'Allow Version 2 Onsite New Patient Registration Widget'),
(550, 'Allow Version 2 Onsite Online Payments'),
(551, 'Allow Version 2 Onsite Patient to make payments online.'),
(552, 'Allow Version 2 Patients to Reset Credentials'),
(553, 'Allow Voice Call'),
(554, 'Allow Voice Message'),
(555, 'Allowed'),
(556, 'Allowed Languages'),
(557, 'Allowed to discount prices (in Fee Sheet or Checkout form) (disc)'),
(558, 'Allowed(c)'),
(559, 'Allows E-Sign on the entire encounter'),
(560, 'Allows E-Signing Individual Forms'),
(561, 'Allows Mail'),
(562, 'Allows Voice msgs'),
(563, 'All{{Mails}}'),
(564, 'All{{Recipients}}'),
(565, 'Already at the top of the page'),
(566, 'already exists'),
(567, 'already exists! Please try again.'),
(568, 'already exists.'),
(569, 'Already registered'),
(570, 'Already used, choose another identifier'),
(571, 'Already used, choose another title'),
(572, 'Also provides a short description of the visit in Patient Reports'),
(573, 'Alt Address'),
(574, 'Alt City'),
(575, 'Alt Postal code'),
(576, 'Alt State'),
(577, 'alter'),
(578, 'Alternate Cover Test'),
(579, 'Alternatively a CPT code can be used. It is 84550 for Serum Uric Acid'),
(580, 'Alternatively download a sample spreadsheet by clicking on the Download button'),
(581, 'Alternatively it can be accessed by clicking in the Messages menu item in the top navigation bar'),
(582, 'Alternatively you could clear all selections and select only the items that you want to be a part of the report'),
(583, 'Alternatively, you may choose to upload an electronic remittance (X12 835) file that you have obtained from your payer or clearinghouse. You can do this by first selecting the \'ERA upload\' option in the initial \'Select Method\' section. This brings up the \'ERA Upload\' Section.'),
(584, 'Alternatively, you may use the search page to upload an electronic remittance (X12 835) file that you have obtained from your payer or clearinghouse.  You can do this by clicking the Browse button and selecting the file to upload, and then clicking Search to perform the upload and display the corresponding invoices.  In this case the other parameters mentioned above do not apply and will be ignored.  Uploading saves the file but does not yet process its contents -- that is done separately as described below.'),
(585, 'Although the HCFA-1500 originally was developed for submitting Medicare claims, it eventually was accepted by all commercial/ private insurance carriers to facilitate the standardization of the claims process'),
(586, 'AM'),
(587, 'AM Program'),
(588, 'Amblyopia'),
(589, 'Ambulance - Air or Water'),
(590, 'Ambulance - Land'),
(591, 'Ambulatory Surgical Center'),
(592, 'AMC'),
(593, 'AMC Tracking'),
(594, 'AMC-2011'),
(595, 'AMC-2014'),
(596, 'AMC-2014 Stage I'),
(597, 'AMC-2014 Stage II'),
(598, 'AMD{{age related macular degeneration}}'),
(599, 'Amend Existing Message'),
(600, 'Amend Existing Note'),
(601, 'Amendment'),
(602, 'Amendment From'),
(603, 'Amendment List'),
(604, 'Amendment Status'),
(605, 'Amendments'),
(606, 'Amendments (write,addonly optional)'),
(607, 'Amendments (write,addonly optional) (amendment)'),
(608, 'Amendments - Enable a user to electronically select the record affected by a patient’s request for amendment and either append the amendment to the affected record or include a link that indicates the amendment’s location'),
(609, 'Amendments for'),
(610, 'American Indian'),
(611, 'American Indian or Alaska Native'),
(612, 'AMEX'),
(613, 'Amharic'),
(614, 'Amount'),
(615, 'Amount Administered'),
(616, 'Amount Charged'),
(617, 'Amount Charges'),
(618, 'Amount Charges:'),
(619, 'Amount Due'),
(620, 'Amount for Past Balance'),
(621, 'Amount for This Visit'),
(622, 'Amount Paid'),
(623, 'Amount:'),
(624, 'Amplitudes'),
(625, 'Amsler'),
(626, 'Amt Billed'),
(627, 'An appointment can be scheduled by clicking on the calendar icon in that cell'),
(628, 'An e-mail with your new account credentials will be sent to the e-mail address supplied earlier. You may still review or edit any part of your information by using the top step buttons to go to the appropriate panels. Note to be sure you have given your correct e-mail address. If after receiving credentials and you have trouble with access to the portal, please contact administration.'),
(629, 'An electronic order and the returned result is in the form of a message called the HL7 message. HL7 stands for Health Level (Application Layer) 7. HL7’s prime objective is to simplify the implementation of interfaces between healthcare software applications and various vendors so as to reduce the pain and cost involved in custom interface programming'),
(630, 'An end date later than the start date is required for repeated events!'),
(631, 'An error occured signing the form'),
(632, 'An error occurred while dumping OpenEMR web directory tree'),
(633, 'An error occurred while dumping phpGACL web directory tree'),
(634, 'An error occurred while dumping SQL-Ledger web directory tree'),
(635, 'An error occurred: Missing file to upload: Use back button!'),
(636, 'An important concept to grasp is that once the secret key delivered via the QR code is captured by the authenticator app there is no further communication between the app and OpenEMR, each will use the current UNIX time and its copy of the user-specific shared secret key to generate the same unique 6 digit number'),
(637, 'An important point to remember is that the various individuals tests in each panel are listed as Results, the fruit, you cannot directly order these individual tests'),
(638, 'An incomplete GCAC issue has been created and linked. Someone will need to complete it later.'),
(639, 'An Issue concerns matters relating to the patient\'s health'),
(640, 'An issue is a medical problem, allergy, medication, surgery or dental issue'),
(641, 'An order has now been successfully created, however a place to receive and document the returned result does not exist as yet and needs to be created'),
(642, 'An Outcome for the problem - Resolved, Improved, Status Quo, Worse, Pending Followup or leave as Unassigned'),
(643, 'An undefined error occurred, please contact your systems administrator.'),
(644, 'An unexpected error has occurred.'),
(645, 'An Updated Appointment'),
(646, 'An uppercase letter'),
(647, 'Analyzed'),
(648, 'and'),
(649, 'And'),
(650, 'AND'),
(651, 'and '),
(652, 'and all subordinate data? This action will be logged'),
(653, 'and modifier'),
(654, 'and processed.'),
(655, 'and resetting claim status.'),
(656, 'and restart Apache server.'),
(657, 'and the Reason is'),
(658, 'android'),
(659, 'Anemia'),
(660, 'Ankle'),
(661, 'Ankle + heel'),
(662, 'Ankle Evaluation Form'),
(663, 'Ankle Problems'),
(664, 'Ankylosing Sondlilitis'),
(665, 'Ankylosing Spondlilitis'),
(666, 'Anorexia'),
(667, 'Another thing you can do in the posting window is request secondary billing. If you select this checkbox before saving, then the original claim will be re-opened and queued on the Billing page, and will be processed during the next billing run.'),
(668, 'Another way to select an ICD code to justify the CPT4 code is to click on the label CPT4 at the beginning of the row'),
(669, 'Answering Service'),
(670, 'Ant'),
(671, 'ante'),
(672, 'Anterior Chamber Depth'),
(673, 'Anterior Segment'),
(674, 'Anterior Segment Default Values'),
(675, 'ant{{anterior}}'),
(676, 'Anus nl, no rectal tenderness/mass'),
(677, 'Anxiety'),
(678, 'any'),
(679, 'Any'),
(680, 'Any additional information pertaining to this provider'),
(681, 'Any carotid bruits appreciated?'),
(682, 'Any Category'),
(683, 'Any changes here will be reviewed by provider staff before commiting to chart. The following apply'),
(684, 'Any changes here will be reviewed by provider staff before committing to your chart. The following apply'),
(685, 'Any changes that you need to make to this particular line item should be made here and saved'),
(686, 'any date'),
(687, 'Any Demographic Search'),
(688, 'Any part of the desired code or its description'),
(689, 'Any part of the desired specialty'),
(690, 'Any part of the drug id or drug name'),
(691, 'Any part of the immunization id or immunization name'),
(692, 'Any part of the patient name, or \"last,first\", or \"X-Y\"'),
(693, 'Anyother Relevant Information'),
(694, 'Anything else occur at the same time?'),
(695, 'Any{{Gender}}'),
(696, 'AOE Q&A'),
(697, 'APD{{afferent pupillary defect}}'),
(698, 'API'),
(699, 'API key for SMS Gateway.'),
(700, 'API Log Option'),
(701, 'API Log Option (Full includes requests and responses).'),
(702, 'API logging'),
(703, 'Apnea'),
(704, 'App'),
(705, 'App Launch URI'),
(706, 'App Logout URI'),
(707, 'App Name'),
(708, 'App Redirect URI'),
(709, 'App Registration Form'),
(710, 'Appearance'),
(711, 'Appearance:'),
(712, 'Append'),
(713, 'Append this message'),
(714, 'Append this note'),
(715, 'Append to the existing message'),
(716, 'Append to the existing note'),
(717, 'Append to this note'),
(718, 'Append to This Note'),
(719, 'Appendectomy'),
(720, 'appendectomy'),
(721, 'Applicable Patients'),
(722, 'Application'),
(723, 'Application name for login page and main window title.'),
(724, 'Application Receiver Code (GS03 - If blank ISA08 will be used)'),
(725, 'Application Sender Code (GS02)'),
(726, 'Application Title'),
(727, 'Applies to the Vitals form and Growth Chart'),
(728, 'Applies to Vitals form'),
(729, 'Apply the changes to the Current event only, to this and all Future occurrences, or to All occurrences?'),
(730, 'apply to affected area'),
(731, 'apply to skin'),
(732, 'Applying'),
(733, 'Applying Patch to site'),
(734, 'Appointment'),
(735, 'Appointment Category'),
(736, 'Appointment Date'),
(737, 'Appointment Display Sets - Color 1'),
(738, 'Appointment Display Sets - Color 2'),
(739, 'Appointment Display Sets - Color 3'),
(740, 'Appointment Display Sets - Color 4'),
(741, 'Appointment Display Sets - Ignore Display Limit (Last Set)'),
(742, 'Appointment Display Style'),
(743, 'Appointment made by'),
(744, 'Appointment Reminder Rule'),
(745, 'Appointment Reminders'),
(746, 'Appointment status'),
(747, 'Appointment Statuses'),
(748, 'Appointment within'),
(749, 'Appointment/Event Color'),
(750, 'Appointments'),
(751, 'Appointments (write optional)'),
(752, 'Appointments (write,wsome optional)'),
(753, 'Appointments (write,wsome optional) (appt)'),
(754, 'Appointments - Group Summary - Number to Display'),
(755, 'Appointments - Onsite Patient Portal - Number to Display'),
(756, 'Appointments - Patient Summary - Number to Display'),
(757, 'Appointments - shows all future appointments as well as Recalls'),
(758, 'Appointments and Encounters'),
(759, 'Appointments for'),
(760, 'Appointments Report'),
(761, 'Appointments-Encounters Report'),
(762, 'Appropriate Results'),
(763, 'Appropriate Testing for Children with Pharyngitis (CQM)'),
(764, 'Approve'),
(765, 'Approve Order'),
(766, 'Approve the patient from Patient/Client->Import->Pending Approval'),
(767, 'Approved'),
(768, 'Approved Events Administration'),
(769, 'Approved Successfully'),
(770, 'Apps'),
(771, 'Appt Date'),
(772, 'Appt Status'),
(773, 'Appt Time'),
(774, 'Appt-Enc'),
(775, 'Appt. Reminders'),
(776, 'Appts'),
(777, 'Appt{{Abbreviation for appointment}}'),
(778, 'App{{Applanation abbreviation}}'),
(779, 'Apr'),
(780, 'April'),
(781, 'AP{{applanation}}'),
(782, 'Arabic'),
(783, 'Aragonese'),
(784, 'Archive'),
(785, 'Archive Log Files'),
(786, 'Archive old files'),
(787, 'Are access control group names to be translated?'),
(788, 'Are appointment category names to be translated?'),
(789, 'Are document category names to be translated?'),
(790, 'Are fees charged for this type?'),
(791, 'are off'),
(792, 'are on'),
(793, 'Are patient note titles to be translated?'),
(794, 'Are the codes stored in external sql tables (0-No, 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2)) ?'),
(795, 'Are you prepared to complete a new GCAC issue for this visit?'),
(796, 'Are you sure to clear chat history?'),
(797, 'Are you sure to post for today?'),
(798, 'Are you sure you want to approve these events?'),
(799, 'Are you sure you want to cancel your changes?'),
(800, 'Are you sure you want to clear chats session history?'),
(801, 'Are you sure you want to completely remove this form?'),
(802, 'Are you sure you want to continue?'),
(803, 'Are you sure you want to delete'),
(804, 'Are you sure you want to delete this disclosure?'),
(805, 'Are you sure you want to delete this event?'),
(806, 'Are you sure you want to delete this item from the database?'),
(807, 'Are you sure you want to delete this message?'),
(808, 'Are you sure you want to delete this note?'),
(809, 'Are you sure you want to delete this plan?'),
(810, 'Are you sure you want to edit these events?'),
(811, 'Are you sure you want to hide these events?'),
(812, 'Are you sure you want to remove namespace'),
(813, 'Are you sure you want to transmit it again?'),
(814, 'Are you sure you want to view these events?'),
(815, 'Are you sure you wish to delete the entire group named'),
(816, 'Are you sure you wish to delete the entire list'),
(817, 'Are you sure you wish to delete the field in'),
(818, 'Are you sure you wish to delete the selected fields?'),
(819, 'Are you sure you\'d like to continue with these actions?'),
(820, 'Area not specified'),
(821, 'Arm'),
(822, 'Armenian'),
(823, 'ARNear{{Auto-refraction near acuity}}'),
(824, 'ARNear{{autorefraction near}}'),
(825, 'Arrival'),
(826, 'Arrive Time'),
(827, 'Arrived'),
(828, 'Arrived late'),
(829, 'Arrythmia'),
(830, 'Arthritis'),
(831, 'Arthritis / degen joint diseas'),
(832, 'Arthritis / degen joint disease'),
(833, 'Article'),
(834, 'AR{{Autorefraction Acuity}}'),
(835, 'AR{{autorefraction}}'),
(836, 'as'),
(837, 'As appears on documents'),
(838, 'As Of'),
(839, 'As the first step choose Group or Custom Favorite Group, as the case may be, as the Top Level Tier 1 and fill in the required details'),
(840, 'As the secret key need by the authenticator is stored on the mobile phone malware can steal these keys and thus compromise authentication'),
(841, 'As this is an infrequently performed process additional help in provided by clicking on the help icon that is revealed when you hover over the label for each box'),
(842, 'As we are creating a Custom Group for manual entry of returned results we need to create a place to enter these results'),
(843, 'As will appear on documents.'),
(844, 'ASC'),
(845, 'Asian'),
(846, 'Assamese'),
(847, 'Assess Penicillin Allergy'),
(848, 'Assessment'),
(849, 'Assign it to this one?'),
(850, 'Assign Severity and Save'),
(851, 'Assign the dosage values etc. and click Save'),
(852, 'Assign the message to the correct patient by clicking Patient: Click to select, assign a Type and forward the message on to the correct clinician or staff member'),
(853, 'Assigned To'),
(854, 'Assistant'),
(855, 'Assisted Living Facility'),
(856, 'Associate'),
(857, 'Associated'),
(858, 'Associated Notes.'),
(859, 'Assume patients permit Messaging'),
(860, 'Assume patients receive HIPAA policy'),
(861, 'Asthma'),
(862, 'at'),
(863, 'At least one search parameter is required if you select All.'),
(864, 'At present e-prescribing from openEMR is possible only in the United States'),
(865, 'At present only Continuity of Care Record (CCR) Continuity of Care Document (CCD) can be sent using phiMail'),
(866, 'At the Navicular'),
(867, 'At the Navicular:'),
(868, 'Athletic team'),
(869, 'Athletic Team'),
(870, 'Athletic/Injury'),
(871, 'ATNA audit CA certificate'),
(872, 'ATNA audit host'),
(873, 'ATNA audit local certificate'),
(874, 'ATNA audit port'),
(875, 'Atropine 1%'),
(876, 'Attending physician'),
(877, 'Attention'),
(878, 'Attention: Pending Documents'),
(879, 'Attn'),
(880, 'Attributes'),
(881, 'Audiological physician'),
(882, 'Audit all Emergency User Queries'),
(883, 'Audit CDR Engine Queries'),
(884, 'Audit Changes'),
(885, 'Audit Log Tamper'),
(886, 'Audit Log Tamper Report'),
(887, 'Audit log tampering evident at entry number'),
(888, 'Audit Log Validated Successfully'),
(889, 'Audit Log Validation Failed'),
(890, 'Audit Logging Backups'),
(891, 'Audit Logging Miscellaneous'),
(892, 'Audit Logging Order'),
(893, 'Audit Logging Patient Record'),
(894, 'Audit Logging Scheduling'),
(895, 'Audit Logging Security Administration'),
(896, 'Audit Logging SELECT Query'),
(897, 'Audit Payment'),
(898, 'Aug'),
(899, 'August'),
(900, 'Aunt'),
(901, 'Auth'),
(902, 'Auth/notes'),
(903, 'Authenticate TOTP'),
(904, 'Authenticate U2F'),
(905, 'Authenticating'),
(906, 'Authenticating the user thus becomes an important factor in this endeavor'),
(907, 'Authentication Argon Hash Memory Cost'),
(908, 'Authentication argon hash memory cost. Suggest PHP Default unless you know what you are doing.'),
(909, 'Authentication Argon Hash Thread Number'),
(910, 'Authentication argon hash thread number. Suggest PHP Default unless you know what you are doing.'),
(911, 'Authentication Argon Hash Time Cost'),
(912, 'Authentication argon hash time cost. Suggest PHP Default unless you know what you are doing.'),
(913, 'Authentication Bcrypt Hash Cost'),
(914, 'Authentication bcrypt hash cost. Suggest PHP Default unless you know what you are doing.'),
(915, 'Authentication Error'),
(916, 'Authentication SHA512 Hash Rounds Number'),
(917, 'Authentication SHA512 hash rounds number.'),
(918, 'Authenticator'),
(919, 'Authenticator apps are available for both ios and android devices at their respective app stores and is free to use'),
(920, 'Author'),
(921, 'Authorization'),
(922, 'Authorization group'),
(923, 'Authorization Status'),
(924, 'Authorizations'),
(925, 'Authorize'),
(926, 'Authorize - any encounters'),
(927, 'Authorize - any encounters (auth_a)'),
(928, 'Authorize - my encounters'),
(929, 'Authorize - my encounters (auth)'),
(930, 'Authorize as my Electronic Signature.'),
(931, 'Authorize or not as needed'),
(932, 'Authorize.Net'),
(933, 'Authorize.net'),
(934, 'Authorized'),
(935, 'Authorized Id'),
(936, 'Authorized Only'),
(937, 'Authorized Users'),
(938, 'Authorizing'),
(939, 'Authy'),
(940, 'Auto Refraction'),
(941, 'Auto Send'),
(942, 'Auto Sign-Off [days]'),
(943, 'Auto Transfer'),
(944, 'Auto-Create New Encounters'),
(945, 'Auto-generated'),
(946, 'Auto-Refraction'),
(947, 'Automated Measure Calculations (AMC)'),
(948, 'Automated Measure Calculations (AMC) - 2011'),
(949, 'Automated Measure Calculations (AMC) - 2014'),
(950, 'Automated Measure Calculations (AMC) - 2014 Stage I'),
(951, 'Automated Measure Calculations (AMC) - 2014 Stage II'),
(952, 'Automated Measure Calculations (AMC) Tracking'),
(953, 'Automated Measures (AMC)'),
(954, 'Automated Voice Message permission'),
(955, 'Automatic'),
(956, 'Automatic from sale'),
(957, 'Automatically applies correct extension on successful upload'),
(958, 'Automatically create a new encounter when an appointment check in status is selected.'),
(959, 'Automatically create a new encounter when appointment status is set to \"@\" (arrived).'),
(960, 'Automatically replicate justification codes in Fee Sheet'),
(961, 'Automatically replicate justification codes in Fee Sheet (basically fills in the blanks with the justification code above it).'),
(962, 'Automobile Medical'),
(963, 'AutoRef'),
(964, 'autosaved'),
(965, 'Auto{{autorefraction}}'),
(966, 'Available Appointments Calendar'),
(967, 'Available categories'),
(968, 'Available Document'),
(969, 'Available Recipients'),
(970, 'Available Services'),
(971, 'Available Times'),
(972, 'Available Tracks'),
(973, 'Avaric'),
(974, 'Avery Label type for printing patient labels from popups in left nav screen'),
(975, 'Avestan'),
(976, 'Avg Monthly'),
(977, 'AVM'),
(978, 'AVM Confirmed'),
(979, 'AVM OK'),
(980, 'Avulsion / avulsion fracture'),
(981, 'Avulsion lateral malleolus'),
(982, 'Avulsion medial malleolus '),
(983, 'Awareness-Based'),
(984, 'Axial Length'),
(985, 'Axillary'),
(986, 'Axis{{Axis in a glasses prescription}}'),
(987, 'Axis{{Axis of a glasses prescription}}'),
(988, 'AXIS{{Axis of a glasses prescription}}'),
(989, 'AxLength{{axial Length}}'),
(990, 'Aymara'),
(991, 'Azerbaijani'),
(992, 'b.i.d.'),
(993, 'Back'),
(994, 'back'),
(995, 'Back eight visits'),
(996, 'Back eleven visits'),
(997, 'Back five visits'),
(998, 'Back four visits'),
(999, 'Back nine visits'),
(1000, 'Back one visit'),
(1001, 'Back Pain'),
(1002, 'Back Problems'),
(1003, 'Back seven visits'),
(1004, 'Back six visits'),
(1005, 'Back Surgery'),
(1006, 'Back ten visits'),
(1007, 'Back three visits'),
(1008, 'Back to Admin Page'),
(1009, 'Back to Client List'),
(1010, 'Back To Editor'),
(1011, 'Back to encounter'),
(1012, 'Back to Patient'),
(1013, 'Back To Patient'),
(1014, 'Back to patient dashboard'),
(1015, 'Back to Users'),
(1016, 'Back To View'),
(1017, 'Back twelve visits'),
(1018, 'Back two visits'),
(1019, 'Background Services'),
(1020, 'Backup'),
(1021, 'Backup Failed missing generated file'),
(1022, 'Backup file has been created. Will now send download.'),
(1023, 'Backup List'),
(1024, 'Backup Successfully taken in'),
(1025, 'Bad check'),
(1026, 'Bad debt'),
(1027, 'Bahasa Indonesia'),
(1028, 'Bal'),
(1029, 'Bal Due'),
(1030, 'Bal-Due'),
(1031, 'Balance'),
(1032, 'balance'),
(1033, 'Balance Amt'),
(1034, 'Balance Due'),
(1035, 'Balance Payment'),
(1036, 'Balanced'),
(1037, 'Bambara'),
(1038, 'Bank Draft'),
(1039, 'Barcode Label'),
(1040, 'Barcode Label Type'),
(1041, 'Barcode type for printing barcode labels from popups in left nav screen.'),
(1042, 'Base of fifth (5th) Metarsal'),
(1043, 'Base of fifth (5th) Metarsal:'),
(1044, 'Base URL for FHIR Server.'),
(1045, 'Base URL for FHIR Server. Url should end with /'),
(1046, 'Based on the individual practice\'s need the tests can be organized into various groups'),
(1047, 'Bashkir'),
(1048, 'Basic patient information is included, such as patient and provider information, insurance, patient health status, recent care provided, care plan information, and reason for referral or transfer'),
(1049, 'Basque'),
(1050, 'Batch Claim'),
(1051, 'Batch Communication Tool'),
(1052, 'Batch Communication Tool (batchcom)'),
(1053, 'Batch Payment Entry'),
(1054, 'Batch Payments'),
(1055, 'Batch processing initiated; this may take a while.'),
(1056, 'Batch Results'),
(1057, 'BatchCom'),
(1058, 'BAT{{Brightness Acuity Testing}}'),
(1059, 'BC{{Base Curve}}'),
(1060, 'Be patient, some files can take several minutes to process!'),
(1061, 'Be patient, this can take a while.'),
(1062, 'Be sure to branch it off the Well Woman Tests line (Tier 1), if properly branched both TSH and vitamin D should have a Tier value of 2'),
(1063, 'because that id does not exist.'),
(1064, 'before'),
(1065, 'before (PM)'),
(1066, 'Before beginning to use the Fee Sheet read through this help page and do some preliminary setup.'),
(1067, 'Before proceeding to configuring the tests themselves you would need to review the values included in the standard release and make changes according to need'),
(1068, 'Before we proceed to create a Custom Group of Tests and save it as a Favorite a quick recap of the principles involved'),
(1069, 'Before you begin customization please ensure that all the ICD and CPT codes you will be needing have been entered into the database'),
(1070, 'Before you start entering data check the spreadsheet once again and make adjustments as needed'),
(1071, 'Before you try out electronic ordering you need to understand the issues involved'),
(1072, 'Begin'),
(1073, 'Begin and End date if information is available'),
(1074, 'Begin Date'),
(1075, 'Begin date if known'),
(1076, 'Beginning Date for Ledger Report'),
(1077, 'Beginning date of service yyyy-mm-dd'),
(1078, 'Beginning hour of day for calendar events.'),
(1079, 'Beginning of Current Work Week'),
(1080, 'Being a software application it can be compromised by malware that steals the secret key or by social engineering'),
(1081, 'Belarusian'),
(1082, 'Belching'),
(1083, 'Below lower panic limits'),
(1084, 'Below this is a table that contains the existing transactions, if any, pertaining to the current patient'),
(1085, 'Benefit Type'),
(1086, 'Bengali'),
(1087, 'Bengali- Bangla'),
(1088, 'Best of Luck.'),
(1089, 'between'),
(1090, 'bg{{image canvas label}}'),
(1091, 'Bidirectional'),
(1092, 'Bifocal'),
(1093, 'Bifocals'),
(1094, 'Bihari'),
(1095, 'Bilateral'),
(1096, 'Bilateral:'),
(1097, 'Bill'),
(1098, 'Bill Date'),
(1099, 'Bill Date:'),
(1100, 'Bill Type'),
(1101, 'Bill/Collect'),
(1102, 'Billed'),
(1103, 'Billed Date'),
(1104, 'Billing'),
(1105, 'Billing (write optional)'),
(1106, 'Billing (write optional) (bill)'),
(1107, 'Billing - provides a summary of the balances - Patient Balance Due, Insurance Balance Due, Total Balance Due and lists the name of the Primary Insurance along with its effective date'),
(1108, 'Billing Address'),
(1109, 'Billing Attn'),
(1110, 'Billing Code Descriptions'),
(1111, 'Billing Code for Requested Service'),
(1112, 'Billing codes'),
(1113, 'Billing Data'),
(1114, 'Billing Department'),
(1115, 'Billing Facility'),
(1116, 'Billing Facility lets you choose the facility used for billing. To create and edit the billing facility go to Administration  > Facilities'),
(1117, 'Billing Information'),
(1118, 'Billing Location'),
(1119, 'Billing Log'),
(1120, 'Billing Log Append'),
(1121, 'Billing log is empty'),
(1122, 'Billing Log Option'),
(1123, 'Billing Log Overwrite'),
(1124, 'Billing log setting to append or overwrite the log file.'),
(1125, 'Billing Manager'),
(1126, 'Billing Note'),
(1127, 'Billing Note for '),
(1128, 'Billing Note:'),
(1129, 'Billing queue results'),
(1130, 'Billing queue results:'),
(1131, 'Billing Report'),
(1132, 'Billing Status'),
(1133, 'Billing Status = Unbilled'),
(1134, 'billing to '),
(1135, 'Billing View'),
(1136, 'Binocular Pupillary Diameter - Distance'),
(1137, 'Binocular Pupillary Diameter - Near'),
(1138, 'Biopsy'),
(1139, 'Birth Certificate'),
(1140, 'Birth Date'),
(1141, 'Birth-24 months'),
(1142, 'Birthing Center'),
(1143, 'Bislama'),
(1144, 'Black'),
(1145, 'Black lines show previously existing information.'),
(1146, 'Black list'),
(1147, 'Black Lung'),
(1148, 'Black or African American'),
(1149, 'Bladder Cancer'),
(1150, 'Bladder Infections'),
(1151, 'Blank'),
(1152, 'Blank Forms'),
(1153, 'Bleeding Problems'),
(1154, 'Blind Spots'),
(1155, 'Blindness'),
(1156, 'Bloating'),
(1157, 'Block all files types that are not found in the White List. Can find interface to edit the White List at Administration->Files.'),
(1158, 'Blocked'),
(1159, 'Blood'),
(1160, 'Blood Pressure'),
(1161, 'Blood pressure'),
(1162, 'Bloody Nose'),
(1163, 'Blue Cross Blue Shield'),
(1164, 'Blue lines in this report are informational.'),
(1165, 'Blue lines in this report are informational. Black lines show previously existing information.  Green lines show changes that were successfully applied.  Red lines indicate errors, or changes that were not applied; these must be processed manually.  Currently denied claims and payment reversals are not handled automatically and so will appear in red.'),
(1166, 'Blurred Vision'),
(1167, 'BMI'),
(1168, 'BMI Status'),
(1169, 'Body'),
(1170, 'Body Region'),
(1171, 'Body Site'),
(1172, 'Body site, if applicable'),
(1173, 'Bone Tenderness:'),
(1174, 'Bone Tenderness: Medial Malleolus'),
(1175, 'Boolean'),
(1176, 'Bosnian'),
(1177, 'Bot'),
(1178, 'Both'),
(1179, 'Both Ears'),
(1180, 'both ears'),
(1181, 'Both Name and Category will be highlighted yellow to provide an additional visual clue that this is an order. A fact that will be appreciated when several orders are entered in the system along with their respective groups and results'),
(1182, 'Both rendering and supervising providers can be set here'),
(1183, 'Bottom'),
(1184, 'Bottom Margin (px)'),
(1185, 'Box 10 - This information indicates whether the patient’s illness or injury is related to employment, auto accident, or other accident'),
(1186, 'Box 10 A. Employment related'),
(1187, 'BOX 10 A. Employment related '),
(1188, 'Box 10 B. Auto Accident'),
(1189, 'BOX 10 B. Auto Accident '),
(1190, 'Box 10 C. Other Accident'),
(1191, 'BOX 10 C. Other Accident '),
(1192, 'Box 10 D - Is used to submit the Early and Periodic Screening, Diagnosis and Treatment (EPSDT) Referral Code'),
(1193, 'Box 10 D. EPSDT Referral Code'),
(1194, 'BOX 10 D. EPSDT Referral Code'),
(1195, 'Box 10. a. Employment related:'),
(1196, 'Box 10. b. Auto Accident:'),
(1197, 'Box 10. c. Other Accident:'),
(1198, 'Box 10. d. EPSDT Referral Code:'),
(1199, 'Box 14 - It identifies the first date of onset of illness, the actual date of injury, or the LMP for pregnancy. Enter the date in the first box and select either Onset of Current Symptoms or Illness or LMP from the drop-down box'),
(1200, 'BOX 14 Date Qualifier'),
(1201, 'BOX 14. Is Populated from the Encounter Screen as the Onset Date'),
(1202, 'Box 14. Onset Date:'),
(1203, 'Box 15 - The Other Date identifies additional date information about the patient’s condition or treatment. Enter the date in the first box and select a qualifier from the drop-down box'),
(1204, 'BOX 15 Other Date Qualifier'),
(1205, 'BOX 15. Date of same or similar illness (yyyy-mm-dd):'),
(1206, 'BOX 15. Date of same or similar illness/Other Date (yyyy-mm-dd):'),
(1207, 'Box 15. Other Date:'),
(1208, 'Box 16 - Dates Patient Unable to Work in Current Occupation - is the time span the patient is or was unable to work'),
(1209, 'Box 16. Date unable to work from'),
(1210, 'BOX 16. Date unable to work from'),
(1211, 'BOX 16. Date unable to work from (yyyy-mm-dd):'),
(1212, 'Box 16. Date unable to work from:'),
(1213, 'Box 16. Date unable to work to'),
(1214, 'BOX 16. Date unable to work to'),
(1215, 'BOX 16. Date unable to work to (yyyy-mm-dd):'),
(1216, 'Box 16. Date unable to work to:'),
(1217, 'Box 17 - The name entered is the referring provider, ordering provider or supervising provider who referred, ordered, or supervised the service(s) or supply(ies) on the claim. If multiple providers are involved, enter one provider using the following priority order: 1. Referring Provider, 2. Ordering Provider, 3. Supervising Provider.'),
(1218, 'Box 17. Provider'),
(1219, 'BOX 17. Provider'),
(1220, 'Box 17. Provider Qualifier'),
(1221, 'BOX 17. Provider Qualifier'),
(1222, 'Box 17. Provider Qualifier:'),
(1223, 'Box 17. Provider:'),
(1224, 'Box 18 - The “Hospitalization Dates Related to Current Services” would refer to an inpatient stay and indicates the admission and discharge dates associated with the service(s) on the claim'),
(1225, 'Box 18. Hospitalization date from'),
(1226, 'BOX 18. Hospitalization date from'),
(1227, 'BOX 18. Hospitalization date from (yyyy-mm-dd): '),
(1228, 'Box 18. Hospitalization date from:'),
(1229, 'Box 18. Hospitalization date to'),
(1230, 'BOX 18. Hospitalization date to'),
(1231, 'BOX 18. Hospitalization date to (yyyy-mm-dd): '),
(1232, 'Box 18. Hospitalization date to:'),
(1233, 'Box 20 - Indicates that services have been rendered by an independent provider as indicated in Box 32 (Service Facility Location Information) and the related costs'),
(1234, 'Box 20. Is Outside Lab used?'),
(1235, 'BOX 20. Is Outside Lab used?'),
(1236, 'Box 22 - Medicaid Resubmission Code and Original Reference Number is the code and original reference number assigned by the destination payer or receiver to indicate a previously submitted claim or encounter'),
(1237, 'Box 22. Medicaid Resubmission Code (ICD-10)'),
(1238, 'Box 22. Medicaid Resubmission Code (ICD-9) '),
(1239, 'BOX 22. Medicaid Resubmission Code (ICD-9) '),
(1240, 'Box 23 - Prior Authorization Number is the payer assigned number authorizing the service(s)'),
(1241, 'Box 23. Prior Authorization No.'),
(1242, 'Box 23. Prior Authorization No. '),
(1243, 'BOX 23. Prior Authorization No. '),
(1244, 'BP'),
(1245, 'BP Diastolic'),
(1246, 'BP Systolic'),
(1247, 'BPD'),
(1248, 'Bpd'),
(1249, 'BPD-D{{abbreviation for Binocular Pupillary Diameter - Distance}}'),
(1250, 'BPD-N{{abbreviation for Binocular Pupillary Diameter - Near}}'),
(1251, 'BPS'),
(1252, 'Bps'),
(1253, 'Brand'),
(1254, 'Brazilian Portuguese'),
(1255, 'Breast'),
(1256, 'Breast Biopsy'),
(1257, 'Breast Discharge'),
(1258, 'Breast Disease'),
(1259, 'Breast Exam'),
(1260, 'Breast Mass'),
(1261, 'Breath'),
(1262, 'Breath Sounds:'),
(1263, 'Breton'),
(1264, 'Brightness Acuity Testing'),
(1265, 'Broken Bones'),
(1266, 'broken form'),
(1267, 'Bronchitis Form'),
(1268, 'Brother'),
(1269, 'Brow'),
(1270, 'Browse'),
(1271, 'Browse for Record'),
(1272, 'Bruising/haematoma'),
(1273, 'Build diagnoses list by clicking appropriate code button.'),
(1274, 'Build Your Plan'),
(1275, 'Bulgarian'),
(1276, 'Bulging Right:'),
(1277, 'Burmese'),
(1278, 'Burning with Urination'),
(1279, 'Burning With Urination'),
(1280, 'Business Associate Agreement'),
(1281, 'Business Phone'),
(1282, 'Busy'),
(1283, 'but not yet processed.'),
(1284, 'Buttock'),
(1285, 'Buttock + S.I.'),
(1286, 'by'),
(1287, 'By'),
(1288, 'By default Active Messages are displayed as indicated in the section below the Messages caption'),
(1289, 'By default all codes are selected, uncheck the codes you do not want and click \'Add\'. These codes will then be added to the current encounter'),
(1290, 'By default only Demographics and Billing information is selected'),
(1291, 'By default only five dated reminders are shown at a time'),
(1292, 'By default the User Memberships section is selected and all the active registered users will be listed in alphabetical order by their user names.'),
(1293, 'by mouth'),
(1294, 'By selecting a payment method the rates calculated for that payment method will be automatically displayed in \'Selected Fee Sheet Codes and Charges for Current Encounter\' section'),
(1295, 'By/Source'),
(1296, 'By:'),
(1297, 'by{{made by/manufacturer}}'),
(1298, 'B{{both sides}}'),
(1299, 'C'),
(1300, 'C/D Ratio{{cup to disc ration}}'),
(1301, 'CA Certificate for verifying the RFC 5425 TLS syslog server.'),
(1302, 'Cache Lifetime (in seconds)'),
(1303, 'Cache template output?'),
(1304, 'Caffeine'),
(1305, 'Caffeine consumption'),
(1306, 'Calendar'),
(1307, 'Calendar Ending Hour'),
(1308, 'Calendar Interval'),
(1309, 'Calendar Screen'),
(1310, 'Calendar Settings'),
(1311, 'Calendar Settings (calendar)'),
(1312, 'Calendar Starting Hour'),
(1313, 'Calendar UI'),
(1314, 'Calendar View'),
(1315, 'calendar_external to events'),
(1316, 'Call Back Notes'),
(1317, 'Call to addForm() goes here.<br>'),
(1318, 'Callback'),
(1319, 'Callback Performed'),
(1320, 'Callback requested'),
(1321, 'Calories'),
(1322, 'Cambodian'),
(1323, 'CAMOS'),
(1324, 'Can not determine OS!'),
(1325, 'Can not set this unless the Summary of Care Sent toggle is set.'),
(1326, 'Can\'t find file!'),
(1327, 'Can\'t upload'),
(1328, 'Canada'),
(1329, 'Cancel'),
(1330, 'cancel'),
(1331, 'Cancel Appointment'),
(1332, 'Cancel Changes'),
(1333, 'Canceled'),
(1334, 'Canceled < 24h'),
(1335, 'Cancer'),
(1336, 'Cancer Screening: Colon Cancer Screening'),
(1337, 'Cancer Screening: Mammogram'),
(1338, 'Cancer Screening: Pap Smear'),
(1339, 'Cancer Screening: Prostate Cancer Screening'),
(1340, 'Cannot add this entry because it already exists!'),
(1341, 'Cannot add/update this entry because a duplicate already exists!'),
(1342, 'cannot be archived, ignored'),
(1343, 'cannot be converted to JPEG. Perhaps ImageMagick is not installed?'),
(1344, 'cannot be deleted, ignored'),
(1345, 'cannot be displayed inline because its type is not supported by the browser.'),
(1346, 'cannot be displayed inline becuase its type is not supported by the browser'),
(1347, 'cannot be displayed inline becuase its type is not supported by the browser.'),
(1348, 'Cannot be used in case of the absence of the cellular coverage'),
(1349, 'Cannot create'),
(1350, 'Cannot create file'),
(1351, 'Cannot delete (from SFTP server) file'),
(1352, 'Cannot delete file'),
(1353, 'Cannot determine a destination filename'),
(1354, 'Cannot find '),
(1355, 'Cannot find a destination filename'),
(1356, 'Cannot find a skip source field for'),
(1357, 'Cannot find a skip target field for'),
(1358, 'Cannot find patient from SQL-Ledger customer id'),
(1359, 'Cannot find postscript document reference in '),
(1360, 'Cannot find provider from SQL-Ledger employee = '),
(1361, 'Cannot Modify Payments.Undistributed is Negative.'),
(1362, 'Cannot open'),
(1363, 'Cannot open '),
(1364, 'Cannot Post for Insurance.The Paying Entity selected is Patient.'),
(1365, 'Cannot Post for Patient.The Paying Entity selected is Insurance.'),
(1366, 'Cannot Post Payments.Undistributed is Negative.'),
(1367, 'Cannot read'),
(1368, 'Cannot read directory'),
(1369, 'Cannot update because you are not editing an existing entry!'),
(1370, 'Capitalize'),
(1371, 'Capitalize all'),
(1372, 'capsule'),
(1373, 'Card'),
(1374, 'Card CVV'),
(1375, 'Card Expiry Date'),
(1376, 'Card Expiry Date and Card Holders Zip'),
(1377, 'Card Holder Zip'),
(1378, 'Card Name'),
(1379, 'Card Number'),
(1380, 'Card Type'),
(1381, 'Cardiac'),
(1382, 'Cardiac Catheterization'),
(1383, 'Cardiac Echo'),
(1384, 'Cardiovascular'),
(1385, 'Care Coordination'),
(1386, 'Care Coordination Only'),
(1387, 'Care documentation'),
(1388, 'Care giver'),
(1389, 'Care Plan'),
(1390, 'Care Plan Form'),
(1391, 'Care plan recommendations'),
(1392, 'Care Team'),
(1393, 'Careful planning is essential before entering the tests to ensure subsequent ease of use and proper display of results'),
(1394, 'Carotid Bruit'),
(1395, 'Carotid{{carotid arteries}}'),
(1396, 'Cartilage / chondral / disc damage'),
(1397, 'Cartilage injury'),
(1398, 'Cartoid pulsations nl, pedal pulses nl'),
(1399, 'CAR{{carotid arteries}}'),
(1400, 'cash'),
(1401, 'Cash'),
(1402, 'Cash Rec'),
(1403, 'Cash Receipts by Provider'),
(1404, 'Catalan- Valencian'),
(1405, 'Cataract'),
(1406, 'Cataract Surgery'),
(1407, 'Cataracts'),
(1408, 'Categories'),
(1409, 'Categories for'),
(1410, 'Category'),
(1411, 'category'),
(1412, 'Category '),
(1413, 'Category - Order, Result and Recommendation need an identifying code'),
(1414, 'Category changed.'),
(1415, 'Category Color Schema'),
(1416, 'Category Details'),
(1417, 'Category Limits'),
(1418, 'Category Name'),
(1419, 'Category name is empty'),
(1420, 'Category/Title'),
(1421, 'Caucasian'),
(1422, 'Causes Receipts to Print Encounter/Primary Provider Info'),
(1423, 'cc Distance{{with correction at distance}}'),
(1424, 'cc Near{{with correction at Near}}'),
(1425, 'CCD'),
(1426, 'CCDA'),
(1427, 'ccDist{{ACT with Correction Distance}}'),
(1428, 'ccDist{{with correction distance}}'),
(1429, 'ccNear{{ACT with Correction Near}}'),
(1430, 'ccNear{{with correction at near}}'),
(1431, 'CCR'),
(1432, 'CCR Approve'),
(1433, 'CCR Patient Review'),
(1434, 'CCR Review and Approve'),
(1435, 'CC{{Chief Complaint}}'),
(1436, 'cc{{with correction}}'),
(1437, 'CC{{with correction}}'),
(1438, 'CDA defines building blocks which can be used to contain healthcare data elements that can be captured, stored, accessed, displayed and transmitted electronically for use and reuse in many formats'),
(1439, 'CDA or Clinical Document Architecture is a document standard developed by the HL7 organization'),
(1440, 'CDC Code'),
(1441, 'CDC-NIP Code'),
(1442, 'CDR'),
(1443, 'CDR Reports Processing Priority'),
(1444, 'Cell'),
(1445, 'Cell Phone'),
(1446, 'Cell phone number'),
(1447, 'Cell Phone Number'),
(1448, 'Centered Layout'),
(1449, 'Central Certification'),
(1450, 'Central Macular Thickness'),
(1451, 'Central/South American'),
(1452, 'Certificate Authority crt file location cannot be empty'),
(1453, 'Certificate Authority key file location cannot be empty'),
(1454, 'Certificate to send to RFC 5425 TLS syslog server.'),
(1455, 'Certificate User'),
(1456, 'Certificates'),
(1457, 'Chamorro'),
(1458, 'ChampUS'),
(1459, 'ChampUSVA'),
(1460, 'change'),
(1461, 'Change'),
(1462, 'Change Activity'),
(1463, 'Change any item available and when ready click Send for review. The changes will be flagged and staff notified to review changes before commiting them to chart. During the time period before changes are reviewed the Revised button will show Pending and profile data is still available for changes. When accessing profile in pending state all previous edits will appear in Blue and current chart values in Red. You may revert any edit to chart value by clicking that red item (or vica versa) but remember that when you click Send for Review then items that populate the field items are the ones that are sent. Revert Edits button changes everything back to chart values and you may make changes from there. So to recap: Items in BLUE are patient edits with items in RED being original values before any edits.'),
(1464, 'Change any item available and when ready click Send for review. The changes will be flagged and staff notified to review changes before committing them to chart. During the time period before changes are reviewed the Revised button will show Pending and profile data is still available for changes. When accessing profile in pending state all previous edits will appear in Blue and current chart values in Red. You may revert any edit to chart value by clicking that red item (or vica versa) but remember that when you click Send for Review then items that populate the field items are the ones that are sent. Revert Edits button changes everything back to chart values and you may make changes from there. So to recap: Items in BLUE are patient edits with items in RED being original values before any edits.'),
(1465, 'Change Credentials'),
(1466, 'Change failed! CouchDB connect error?'),
(1467, 'Change in Vision'),
(1468, 'Change In Vision'),
(1469, 'Change or keep current. Enter 12 to 80 characters. Recommended to include symbols and numbers but not required.'),
(1470, 'Change Password'),
(1471, 'Change Password for'),
(1472, 'Change Portal Credentials'),
(1473, 'Change Status for'),
(1474, 'Change your password before it expires on'),
(1475, 'Changed'),
(1476, 'Changed Bowel'),
(1477, 'Changes the current theme to be more compact.'),
(1478, 'Changes the layout of the login page.'),
(1479, 'Changing patient ID for document'),
(1480, 'Changing the status to Done will remove the message from the active message list'),
(1481, 'Changing the status to New will achieve the same result'),
(1482, 'Changing the status to Read would leave it as a read message in the active messages list of the current user'),
(1483, 'Channels'),
(1484, 'Characteristics'),
(1485, 'Characters Remaining'),
(1486, 'Charge'),
(1487, 'Charge adjustment'),
(1488, 'Charge Coded'),
(1489, 'Charge Total'),
(1490, 'Charges'),
(1491, 'Chart'),
(1492, 'Chart Activity'),
(1493, 'Chart Check-in/out Activity Report'),
(1494, 'Chart History'),
(1495, 'Chart ID'),
(1496, 'Chart ID:'),
(1497, 'Chart Label'),
(1498, 'Chart Location Activity'),
(1499, 'Chart Note'),
(1500, 'Chart Number'),
(1501, 'Chart pulled'),
(1502, 'Chart Storage Locations'),
(1503, 'Chart to Category'),
(1504, 'Chart Tracker'),
(1505, 'Chart Trk'),
(1506, 'Chart View'),
(1507, 'Charting History.'),
(1508, 'Charts Checked Out'),
(1509, 'Charts Out'),
(1510, 'Chat'),
(1511, 'Chat history'),
(1512, 'Chechen'),
(1513, 'Check'),
(1514, 'check'),
(1515, 'Check All'),
(1516, 'Check All - Components'),
(1517, 'Check Amount'),
(1518, 'Check and adjust the settings in the standard release'),
(1519, 'Check Date'),
(1520, 'Check expiration dates.'),
(1521, 'Check for differences of translations with custom language table.'),
(1522, 'Check if a help file exists for this page in'),
(1523, 'Check if you plan to print postcards locally'),
(1524, 'Check if you plan to send postcards via MedEx'),
(1525, 'Check if you plan to use Avery Labels for Reminders or Recalls'),
(1526, 'Check In'),
(1527, 'Check In To'),
(1528, 'Check Input Data'),
(1529, 'Check items to graph'),
(1530, 'Check Lab Results'),
(1531, 'Check mark indicates reviewed'),
(1532, 'Check No'),
(1533, 'Check Number'),
(1534, 'Check Out'),
(1535, 'Check Out Time'),
(1536, 'Check Payment'),
(1537, 'Check the box if this is an encrypted file'),
(1538, 'Check the CPOE (Computerized Provider Order Entry) check-box'),
(1539, 'Check the Enable phiMail Direct Messaging Service check-box'),
(1540, 'Check the Sequence numbers'),
(1541, 'Check this if you want providers to see all appointments by default and not just their own.'),
(1542, 'Check this to go live. Not checked is testing mode.'),
(1543, 'Check to create problem from this diagnosis'),
(1544, 'Check/EOB Date'),
(1545, 'Check/EOB Date:'),
(1546, 'Check/EOB No.'),
(1547, 'Check/EOB No.:'),
(1548, 'Check/Ref Number'),
(1549, 'Check/Reference Number'),
(1550, 'Checkbox list'),
(1551, 'checkbox list'),
(1552, 'checkbox w/ text'),
(1553, 'Checkbox w/text'),
(1554, 'Checkbox(es)'),
(1555, 'Checkboxes above indicate if you want to reject and delete the HL7 file.'),
(1556, 'Checkboxes w/text'),
(1557, 'Checked'),
(1558, 'checked'),
(1559, 'Checked box = yes ,  empty = no'),
(1560, 'Checked box = yes, empty = no'),
(1561, 'Checked Drug Formulary?'),
(1562, 'Checked Out'),
(1563, 'Checked out'),
(1564, 'Checking any of the check boxes will result in a Yes on the CMS 1500 form'),
(1565, 'Checking the Groups and Access Controls checkbox will reveal this section that lists all the categories with sub-categories (ACOs), i.e. the parts of the program controlled by the access control list privileges.'),
(1566, 'Checking the lock checkbox will prevent any futher edits on any forms in this encounter.'),
(1567, 'Checking the Postcards check box will let you print a postcard that can be mailed to a patient'),
(1568, 'Checkout'),
(1569, 'Checksum'),
(1570, 'Chest'),
(1571, 'Chest CTAB'),
(1572, 'Chest Pain'),
(1573, 'Chest Pain:'),
(1574, 'Chest Pains'),
(1575, 'Chest physician'),
(1576, 'Chg'),
(1577, 'Chichewa- Chewa- Nyanja'),
(1578, 'Chief Complaint'),
(1579, 'Chief Complaint 2'),
(1580, 'Chief Complaint 3'),
(1581, 'Child'),
(1582, 'Child in-law'),
(1583, 'Childhood immunization Status (CQM)'),
(1584, 'Chills'),
(1585, 'Chinese'),
(1586, 'Chinese (Simplified)'),
(1587, 'Chinese (Traditional)'),
(1588, 'Chiropractic'),
(1589, 'Choices'),
(1590, 'Cholecystectomy'),
(1591, 'cholecystectomy'),
(1592, 'Cholecystestomy'),
(1593, 'Choose'),
(1594, 'choose'),
(1595, 'Choose a period or dates (YYYY-MM-DD)'),
(1596, 'Choose a section and click an item within it; then in the other section you will see the related items highlighted, and you can click in that section to add and delete relationships.'),
(1597, 'Choose Criteria'),
(1598, 'Choose CSV table'),
(1599, 'Choose Download or Display Inline'),
(1600, 'Choose either current provider or current logged in provider'),
(1601, 'Choose file'),
(1602, 'Choose File'),
(1603, 'Choose from list'),
(1604, 'Choose Layout Direction'),
(1605, 'Choose list'),
(1606, 'Choose one if appropriate'),
(1607, 'Choose one of the four return values that reflect varying degrees of privilege.'),
(1608, 'Choose Paper Size'),
(1609, 'Choose Patient'),
(1610, 'Choose PDF languange Preference'),
(1611, 'Choose print format for this encounter report.'),
(1612, 'Choose the layout (need to logout and then login to see this new setting).'),
(1613, 'Choose your default encounter view'),
(1614, 'Chrome browser version 41 and above, Mozilla Firefox browser version 64 and above, Microsoft Edge browser version 19 and above, Safari browser version 13 and above, Opera browser version 40 and Opera browser version 42 and above support FIDO U2F API'),
(1615, 'Chronic Bronchitis'),
(1616, 'Chronic Joint Pain'),
(1617, 'Chronic Kidney Disease (CKD)'),
(1618, 'Chronic or Inactive Problems'),
(1619, 'Chronic Problems'),
(1620, 'Chronic synovitis / effusion / joint pain / gout'),
(1621, 'Chronic/Inactive Problems'),
(1622, 'Chronic/Recurrent'),
(1623, 'Chuvash'),
(1624, 'Cigs'),
(1625, 'Cirrhosis of the Liver'),
(1626, 'Cirrhosis Of The Liver'),
(1627, 'City'),
(1628, 'City and state must both be filled out'),
(1629, 'City Name'),
(1630, 'City, State'),
(1631, 'City, State Zip'),
(1632, 'City,St,Zip'),
(1633, 'City/State'),
(1634, 'Claim'),
(1635, 'Claim '),
(1636, 'Claim Edit'),
(1637, 'Claim Status'),
(1638, 'Claim test has completed running'),
(1639, 'Claim Type'),
(1640, 'Claim was generated to file'),
(1641, 'Claim was generated to file '),
(1642, 'Claims'),
(1643, 'claims selected.'),
(1644, 'Class'),
(1645, 'Classification'),
(1646, 'Clear'),
(1647, 'clear'),
(1648, 'Clear 2FA'),
(1649, 'CLEAR ACTIVE PATIENT'),
(1650, 'CLEAR ACTIVE THERAPY GROUP'),
(1651, 'Clear All'),
(1652, 'Clear Filters'),
(1653, 'Clear history'),
(1654, 'Clear HL7 Data'),
(1655, 'Clear Justification'),
(1656, 'Clear Log'),
(1657, 'Clear Pad'),
(1658, 'Clear Signature'),
(1659, 'Clear Smarty Cache'),
(1660, 'Clear the log'),
(1661, 'Clearing house info required for EDI 270 batch creation.'),
(1662, 'CLIA Number'),
(1663, 'Click'),
(1664, 'Click \'export\' to export your Category, Subcategory, Item, Content data to a text file. Any resemblance of this file to an XML file is purely coincidental. The opening and closing tags must be on the same line, they must be lowercase with no spaces. To import, browse for a file and click \'import\'. If the data is completely different, it will merge with your existing data. If there are similar item names, The old one will be kept and the new one saved with a number added to the end.'),
(1665, 'Click \'Save\''),
(1666, 'Click \'Save\'. Now you will be able to use the Search feature to search all ICD 10 codes'),
(1667, 'Click a spot on the graphic to add a new annotation, click it again to remove it'),
(1668, 'Click and drag bottom right corner to resize this display'),
(1669, 'Click Browse and select one Electronic Remittance Advice (ERA) file...'),
(1670, 'Click Close to exit the Select Codes pop-up page'),
(1671, 'Click Download Certificate to download the certificates in the file ssl.zip'),
(1672, 'click for more'),
(1673, 'Click for more details'),
(1674, 'Click for order summary'),
(1675, 'Click for results'),
(1676, 'Click for Shorthand Help.'),
(1677, 'Click Got it icon to dismiss this alert forever.'),
(1678, 'Click here'),
(1679, 'Click Here to add a new patient.'),
(1680, 'Click here to add new injury change status and edit daily activity'),
(1681, 'Click here to add new row'),
(1682, 'Click here to choose a date'),
(1683, 'Click here to choose a date and time'),
(1684, 'Click here to choose a start date'),
(1685, 'Click here to choose date time'),
(1686, 'Click here to choose date time from'),
(1687, 'Click here to choose date time to'),
(1688, 'Click Here to Configure This module'),
(1689, 'Click here to delete all options'),
(1690, 'Click here to delete the row'),
(1691, 'Click here to delete the selection'),
(1692, 'Click Here to Disable This module'),
(1693, 'Click here to duplicate the row'),
(1694, 'Click here to edit list of available Lens Materials'),
(1695, 'Click here to edit list of available Lens Treatment Options'),
(1696, 'Click here to Edit the Contact Lens Brand List'),
(1697, 'Click here to Edit the Course/Occurrence List'),
(1698, 'Click here to Edit the Manufacter List'),
(1699, 'Click here to Edit the Supplier List'),
(1700, 'Click here to Edit this Doctor\'s Plan options'),
(1701, 'Click here to Edit this Doctor\'s Quick Pick list'),
(1702, 'Click here to Edit this Provider\'s Exam Default values'),
(1703, 'Click Here to Enable This module'),
(1704, 'Click Here to Install ACL for module'),
(1705, 'Click Here to Install SQL for module'),
(1706, 'Click Here to Install This module'),
(1707, 'click here to search'),
(1708, 'Click here to see observation results'),
(1709, 'Click Here to UnRegister this Module'),
(1710, 'click here to update priority, category and nickname settings'),
(1711, 'click here to update priority, category, nickname and access control settings'),
(1712, 'Click Here to Upgrade ACL for module'),
(1713, 'Click Here to Upgrade SQL for module'),
(1714, 'Click here to view all.'),
(1715, 'Click here to view and graph'),
(1716, 'Click here to view and graph all labdata.'),
(1717, 'Click here to view and graph all vitals.'),
(1718, 'Click here to view patient details'),
(1719, 'Click here to view them all.'),
(1720, 'Click here to view/edit more details'),
(1721, 'Click in signature'),
(1722, 'Click in signature on file'),
(1723, 'Click Install button to install database release from the following date'),
(1724, 'Click OK if you are sure.'),
(1725, 'Click OK to Clear or Cancel to continue processing.'),
(1726, 'Click OK to import these patients into the patient input box'),
(1727, 'Click Okay if you are sure you want to cancel this appointment?'),
(1728, 'Click on Add to bring up the Add/Edit Issue pop-up page'),
(1729, 'Click on Add to List button to add to the bottom section'),
(1730, 'Click on any of the time parts to increase it'),
(1731, 'Click on Create New Transaction to open the Add/Edit Patient Transaction page'),
(1732, 'Click on either the Invoice Search button on the far right, for manual entry or ERA Upload button for uploading an entire electronic remittance advice ERA file'),
(1733, 'Click on the \'Add Group\' button to create this new group (ARO).'),
(1734, 'Click on the + sign adjacent to the Serum Uric Acid test Name to reveal the newly created Result line'),
(1735, 'Click on the + sign at the far end of the Blood Glucose line to bring up the Enter Details pop-up in the Add Mode'),
(1736, 'Click on the Add icon at the far end of the Serum Chemistry line'),
(1737, 'Click on the Add New dropdown box and select an option'),
(1738, 'Click on the Allergy/Intolerance button'),
(1739, 'Click on the black + sign at the far end of the Well Woman Tests line to create a direct descendant or child to this Custom Top Group'),
(1740, 'Click on the black + sign on the Electrolyte Panel line to create a direct descendant or child'),
(1741, 'Click on the blue + sign to see the Procedure Order that was saved'),
(1742, 'Click on the blue plus sign under Name to reveal test names'),
(1743, 'Click on the Diagnosis Codes box to open the Select Diagnosis Codes pop-up window'),
(1744, 'Click on the File menu item on the top left of the Message center page ansd select Setup MedEx'),
(1745, 'Click on the icon next to the \'Access Control List Administration\' title to go to the phpGACL page.'),
(1746, 'Click on the Issues menu item to bring up the Issues page'),
(1747, 'Click on the Ledger menu item in the navigation bar to to enter the Patient Ledger page'),
(1748, 'Click on the Name text box on the left section to bring up the patient finder pop-up'),
(1749, 'Click on the New Recall button to open a new recall scheduling page'),
(1750, 'Click on the the following link to learn more about what is involved.'),
(1751, 'Click Patient Name to Open Patient File'),
(1752, 'Click Refresh and click on the blue + mark that precedes the name Serum Chemistry'),
(1753, 'Click Refresh to view all results, or please input search criteria above to view specific results.'),
(1754, 'Click Register to register the TOTP'),
(1755, 'Click Save'),
(1756, 'Click Save and then Refresh'),
(1757, 'Click Save to close the pop-up'),
(1758, 'Click Save to close the pop-up window'),
(1759, 'Click Save to create a new line with a Name of Well Womans Tests preceded by a vertical line indicating that it has no descendants or children'),
(1760, 'Click Save to save and close the pop-up'),
(1761, 'Click Save to save this problem'),
(1762, 'Click the \'Add New Group\' button to display the \'New Group Information\' section.'),
(1763, 'Click the \'Delete Group\' button to completely remove this group.'),
(1764, 'Click the \'Remove Group\' button to display the \'Remove Group Form\'.'),
(1765, 'Click the \'Yes\' radio button.'),
(1766, 'Click the Clear button to clear the imported patient names and start afresh'),
(1767, 'Click the Clear button to start afresh'),
(1768, 'Click the Delete button to delete all selected codes or select individual codes to be deleted from the drop-down box adjacent to the delete button and then click the Delete button'),
(1769, 'Click the pencil icon to grant and remove access privileges to the selected user'),
(1770, 'Click the Save button'),
(1771, 'Click the Search for Allergy button'),
(1772, 'Click the slashed-eye icon to close.'),
(1773, 'Click the Submit button to display the main log'),
(1774, 'Click the Transmit button to reveal the Direct address box'),
(1775, 'Click this to display/hide additional tests'),
(1776, 'Click to activate and send to this recipient.'),
(1777, 'Click to add a diagnosis'),
(1778, 'Click to add HCFA 1500 miscellaneous billing options'),
(1779, 'Click to add new components'),
(1780, 'Click to add new consultation'),
(1781, 'Click to add patient'),
(1782, 'Click to choose diagnoses to justify.'),
(1783, 'Click to Contract and set to henceforth open in Centered mode'),
(1784, 'Click to display shorthand field names.'),
(1785, 'Click to download'),
(1786, 'Click to edit'),
(1787, 'Click to edit description'),
(1788, 'Click to edit this event'),
(1789, 'Click to Expand and set to henceforth open in Expanded mode'),
(1790, 'Click to generate the report'),
(1791, 'Click to go to page'),
(1792, 'Click to Hide'),
(1793, 'Click to hide advanced search'),
(1794, 'Click to Hide Filters'),
(1795, 'Click to hide search'),
(1796, 'Click to learn more about the Clinical Document Architecture (CDA) and Consolidated CDA (C-CDA)'),
(1797, 'Click to make chat this current recipient only...'),
(1798, 'Click to manually configure access control, recommended for advanced users'),
(1799, 'Click to match patient'),
(1800, 'Click to print'),
(1801, 'Click to receive (add) new lot'),
(1802, 'Click to reveal more information'),
(1803, 'Click to search past and current diagnoses history'),
(1804, 'Click to see more information'),
(1805, 'Click to select'),
(1806, 'Click To Select'),
(1807, 'Click to select a default diagnosis or procedure code for this order'),
(1808, 'Click to select an industry-standard code for this procedure'),
(1809, 'Click to select diagnosis or procedure code to default to order'),
(1810, 'Click to select group'),
(1811, 'Click to select optional procedure code'),
(1812, 'Click to select or change coding'),
(1813, 'Click to select or change CVX code'),
(1814, 'Click to select or change diagnoses'),
(1815, 'Click to select or change service codes'),
(1816, 'Click to select patient'),
(1817, 'Click to select related code'),
(1818, 'Click to select RXCUI code'),
(1819, 'Click to select services to perform if this result is abnormal'),
(1820, 'Click to select services to perform if this result is abnormal.'),
(1821, 'Click to select services to perform if this result is abnormal. This is optional'),
(1822, 'Click to select the desired procedure'),
(1823, 'Click to Show'),
(1824, 'Click to show advanced search'),
(1825, 'Click to Show Filters'),
(1826, 'Click to show messages for all users'),
(1827, 'Click to show messages for only the current user'),
(1828, 'Click to show search'),
(1829, 'Click to sort'),
(1830, 'Click to start or end sql server activity checks.'),
(1831, 'Click to view'),
(1832, 'Click to view Help'),
(1833, 'Click to view or edit'),
(1834, 'Click to view/edit'),
(1835, 'Click Update List to display billing information filtered by the selected Current Criteria'),
(1836, 'Click Upgrade button to upgrade database release from the following date'),
(1837, 'click View Log and review for errors.'),
(1838, 'Click where indicated above to match the patient.'),
(1839, 'Click:'),
(1840, 'Clicking on \'Review\' will list all the codes entered for previous encounters'),
(1841, 'Clicking on either the Enter Name or Enter ID tab will bring up the search box which you can use to select a patient'),
(1842, 'Clicking on Set As Completed will remove the reminder from the active display'),
(1843, 'Clicking on the + button on the patient header panel opens the New Encounter Form'),
(1844, 'Clicking on the Add Issue button brings up the add issue pop-up box'),
(1845, 'Clicking on the Coding cell will bring up the Educational materials pop-up that will let you search by ICD10 code'),
(1846, 'Clicking on the Create A Dated Reminder button will bring up the Send a Reminder popup'),
(1847, 'Clicking on the Create Online/Offsite Portal Credentials button will generate a username and password for the patient that has to be given to the patient'),
(1848, 'Clicking on the Delete button will delete the message'),
(1849, 'Clicking on the first cell under Title will bring up the Add/Edit Issue pop-up page that will let you edit this entry'),
(1850, 'Clicking on the icon next to the caption will display everyone\'s messages and the caption will change to All Messages'),
(1851, 'Clicking on the icon next to their name will bring up the \'Edit\' window.'),
(1852, 'Clicking on the Miscellaneous > MFA Management menu item or User Name > MFA Management menu item brings you to the landing page for managing the multi factor authentication page for that user'),
(1853, 'Clicking on the patient\'s name will reveal the message'),
(1854, 'Clicking on the pencil icon will enter the Edit mode and will display the Enter Details pop-up window that was used to create the entry displayed on this line'),
(1855, 'Clicking on the Show All or Show Inactive buttons will show the appropriate messages'),
(1856, 'Clicking on the slashed eye icon will hide the filters'),
(1857, 'Clicking on the View Log button will bring up the Dated Message Log popup'),
(1858, 'Clicking Options will present a multiselection drop menu to add behaviors to the selected data type. Typing after pull down activates allows search in options.'),
(1859, 'Clicking the button will reveal a popup that will list the E/M codes, check the appropriate code and click \'OK\''),
(1860, 'Clicking the Transmit button will open up a text box where the Direct address of the recipient needs to be entered'),
(1861, 'Client APP ID:'),
(1862, 'Client Certificate Expiration Days'),
(1863, 'Client certificate passphrase'),
(1864, 'Client certificate validation period'),
(1865, 'Client certificate validity should be a valid number.'),
(1866, 'Client Copy'),
(1867, 'Client failed to save. Check system logs'),
(1868, 'Client ID'),
(1869, 'Client medical history summary'),
(1870, 'Client Name'),
(1871, 'Client Name / Client ID'),
(1872, 'Client Number'),
(1873, 'Client Profile - New Clients'),
(1874, 'Client Profile - Unique Clients'),
(1875, 'Client Registrations'),
(1876, 'Client Secret APP ID:'),
(1877, 'Client Type'),
(1878, 'Clients'),
(1879, 'Clinic'),
(1880, 'Clinic Copy'),
(1881, 'Clinic Daily Record'),
(1882, 'Clinic ID'),
(1883, 'Clinical'),
(1884, 'Clinical Decision Rules Alert Manager'),
(1885, 'Clinical documents are produced by arranging or limiting CDA elements in defined ways using templates and Implementation Guides (IG)'),
(1886, 'Clinical History'),
(1887, 'Clinical Instructions'),
(1888, 'Clinical Instructions Form'),
(1889, 'Clinical Plans'),
(1890, 'Clinical Quality Measures (CQM)'),
(1891, 'Clinical Quality Measures (CQM) - 2011'),
(1892, 'Clinical Quality Measures (CQM) - 2014'),
(1893, 'Clinical Reminders'),
(1894, 'Clinical Reminders - is a widget that displays the Passive Alerts for a Clinical Decision Rule'),
(1895, 'Clinical Reminders/Alerts (write,addonly optional)'),
(1896, 'Clinical Reminders/Alerts (write,addonly optional) (alert)'),
(1897, 'Clinical Reports'),
(1898, 'Clinical Rule Action Category'),
(1899, 'Clinical Rule Action Item'),
(1900, 'Clinical Rule Filter Methods'),
(1901, 'Clinical Rule Target Methods'),
(1902, 'Clinical Rules'),
(1903, 'Clinical Rules Age Intervals'),
(1904, 'Clinical Rules Comparisons'),
(1905, 'Clinical Rules Encounter Types'),
(1906, 'Clinical Rules Reminder Due Options'),
(1907, 'Clinical Rules Reminder Inactivation Options'),
(1908, 'Clinical Rules Reminder Intervals'),
(1909, 'Clinical Rules Reminder Methods'),
(1910, 'Clinical Rules Target Intervals'),
(1911, 'Clinical targets'),
(1912, 'Clinical Term'),
(1913, 'Clinical Term Code(s)'),
(1914, 'Clinical View'),
(1915, 'Clinicians'),
(1916, 'Clone'),
(1917, 'Clone Past Visit'),
(1918, 'Close'),
(1919, 'close'),
(1920, 'Close All Current Rx Panels and make this a Preference to stay closed'),
(1921, 'Close and make this a Preference to stay closed'),
(1922, 'Close this panel and delete this Rx'),
(1923, 'Close this panel and make this a Preference to stay closed'),
(1924, 'Close Window'),
(1925, 'close window'),
(1926, 'Close...'),
(1927, 'Closed'),
(1928, 'cm'),
(1929, 'CMS 1500 Form'),
(1930, 'CMS 1500 incl FORM'),
(1931, 'CMS 1500 Margins'),
(1932, 'CMS 1500 Margins Left'),
(1933, 'CMS 1500 Paper Form Format'),
(1934, 'CMS 1500 PDF'),
(1935, 'CMS 1500 PREPRINTED FORM'),
(1936, 'CMS 1500 TEXT'),
(1937, 'CMS 1500 was revised on 2012-02-01 and is hence called Form 1500 (02-12) and is set to expire on 2020-03-31. As of April 1, 2014 only the revised, 02-12 version is accepted.'),
(1938, 'CMS 1500: Box 31 Format'),
(1939, 'CMS 1500: Date in Box 31 (Signature)'),
(1940, 'CMS ID'),
(1941, 'CMS ID For Encounter Claims'),
(1942, 'CMS Margins Left'),
(1943, 'CMS Portal'),
(1944, 'CMS Portal Login'),
(1945, 'CMS Portal Login ID'),
(1946, 'CMS Portal not enabled!'),
(1947, 'CMS Portal Password'),
(1948, 'CMS Portal Request'),
(1949, 'CMS Portal Site Address'),
(1950, 'CMS Portal Username'),
(1951, 'Cmsportal Login'),
(1952, 'CMT{{Central Macular Thickness}}'),
(1953, 'CN VII{{cranial nerve seven}}'),
(1954, 'CN V{{cranial nerve five}}'),
(1955, 'CN2-12 intact'),
(1956, 'CN5{{cranial nerve five}}'),
(1957, 'CN7{{cranial nerve seven}}'),
(1958, 'Co Pay'),
(1959, 'Co Pay Paid'),
(1960, 'Co-managing/referring provider'),
(1961, 'Co-Pay'),
(1962, 'CO-PAY'),
(1963, 'Co-Payment'),
(1964, 'Code'),
(1965, 'code'),
(1966, 'Code Description'),
(1967, 'Code Finder'),
(1968, 'Code must be two letter lowercase'),
(1969, 'Code or symbol to indicate currency'),
(1970, 'Code Search'),
(1971, 'Code Text'),
(1972, 'Code Type'),
(1973, 'code type'),
(1974, 'Code type not recognized'),
(1975, 'Code type not yet defined'),
(1976, 'Code Types'),
(1977, 'Code(s)'),
(1978, 'Coded'),
(1979, 'Codes'),
(1980, 'Codes - Leave blank'),
(1981, 'Coding'),
(1982, 'Coding (click for education)'),
(1983, 'Coding - any encounters (write,wsome optional)'),
(1984, 'Coding - any encounters (write,wsome optional) (coding_a)'),
(1985, 'Coding - my encounters (write,wsome optional)'),
(1986, 'Coding - my encounters (write,wsome optional) (coding)'),
(1987, 'Coding complete'),
(1988, 'Coding done'),
(1989, 'Coding Engine'),
(1990, 'Coding not authorized'),
(1991, 'Coffee'),
(1992, 'Coffee Use'),
(1993, 'Coins'),
(1994, 'Coinsurance'),
(1995, 'Coll w/o'),
(1996, 'Collaborator'),
(1997, 'Collapse'),
(1998, 'collapse'),
(1999, 'Collapse All'),
(2000, 'Collapse all'),
(2001, 'collapse all'),
(2002, 'Collect For'),
(2003, 'Collect Payment'),
(2004, 'Collected'),
(2005, 'Collection Date'),
(2006, 'Collection Date/Time'),
(2007, 'Collections'),
(2008, 'Collections Report'),
(2009, 'Colon Cancer'),
(2010, 'Colon Cancer Screening'),
(2011, 'Colon Cancer Surgery'),
(2012, 'Colonoscopy'),
(2013, 'colonoscopy'),
(2014, 'Color'),
(2015, 'Color for even sets (except when last set is even and all member appointments are displayed and at least one subsequent scheduled appointment exists (not displayed) or not all member appointments are displayed).'),
(2016, 'Color for odd sets (except when last set is odd and all member appointments are displayed and at least one subsequent scheduled appointment exists (not displayed) or not all member appointments are displayed).'),
(2017, 'Color for the last set when all member appointments are displayed and at least one subsequent scheduled appointment exists (not displayed).'),
(2018, 'Color for the last set when not all member appointments are displayed.'),
(2019, 'Color Vision'),
(2020, 'Color:Abbr'),
(2021, 'Column'),
(2022, 'Columns'),
(2023, 'Combine Reminders'),
(2024, 'Combining Lots'),
(2025, 'Comma'),
(2026, 'Comma-separated list of login names to use normal authentication instead of LDAP; useful for setup and debugging.'),
(2027, 'Comment'),
(2028, 'Comments'),
(2029, 'Comments field entry present'),
(2030, 'Comments for this result or recommendation'),
(2031, 'Commercial Insurance Co.'),
(2032, 'Commit Changes'),
(2033, 'Commonly used standards are HOTP (hash-based one-time password, RFC4226), TOTP (time-based one-time password or OCRA (OATH challenge-response algorithm, RFC6287) that were developed and are supported by the OATH (Initiative for Open Authentication)'),
(2034, 'Communication'),
(2035, 'Communication Engine'),
(2036, 'Communications'),
(2037, 'Community health physician'),
(2038, 'Community Mental Health Center'),
(2039, 'Company'),
(2040, 'Company Name'),
(2041, 'Complete'),
(2042, 'Complete Visit Time'),
(2043, 'Completed'),
(2044, 'completed'),
(2045, 'Completed Ad'),
(2046, 'Completed?'),
(2047, 'Completely remove the ability to display the Patient Flow Board.'),
(2048, 'Completion Status'),
(2049, 'Complications by Service Provider'),
(2050, 'Complications of Abortion'),
(2051, 'Components'),
(2052, 'Compose Message'),
(2053, 'Compose new'),
(2054, 'Comprehensive'),
(2055, 'Comprehensive Inpatient Rehabilitation Facility'),
(2056, 'Comprehensive Outpatient Rehabilitation Facility'),
(2057, 'Computer Aided Medical Ordering System'),
(2058, 'Conclusions'),
(2059, 'Condition'),
(2060, 'Condition field not found'),
(2061, 'Condition Status'),
(2062, 'Confidential'),
(2063, 'Config'),
(2064, 'Configuration'),
(2065, 'Configuration Export/Import'),
(2066, 'Configuration saved successfully'),
(2067, 'Configure Apache and OpenEMR to use Client side SSL certificates.'),
(2068, 'Configure Apache to use Client side SSL certificates'),
(2069, 'Configure Apache to use HTTPS.'),
(2070, 'Configure Openemr to use Client side SSL certificates'),
(2071, 'Configure Orders and Results'),
(2072, 'Configure Orders Help'),
(2073, 'Configure the lab test structure'),
(2074, 'Configure tracks'),
(2075, 'Configure Tracks'),
(2076, 'Configuring Multiple Orders'),
(2077, 'Configuring multiple orders'),
(2078, 'Confirm'),
(2079, 'Confirm Create New Patient'),
(2080, 'Confirm Email Address'),
(2081, 'Confirm New Password'),
(2082, 'Confirm Password'),
(2083, 'Confirm Payment'),
(2084, 'Confirm to Delete Current Thread?'),
(2085, 'Confirm to Delete Selected?'),
(2086, 'Confirm to remove item'),
(2087, 'Confirm Username'),
(2088, 'Confirmed'),
(2089, 'Conflicted Allergies'),
(2090, 'Conflicted Medications'),
(2091, 'Conflicted Problems'),
(2092, 'Congenital'),
(2093, 'Congratulations for enabling 2FA'),
(2094, 'Conjuntiva, pupils'),
(2095, 'Conj{{Conjunctiva}}'),
(2096, 'Connection error'),
(2097, 'Connectors'),
(2098, 'Constant'),
(2099, 'Constant Name'),
(2100, 'constant name'),
(2101, 'Constant name is blank'),
(2102, 'constants'),
(2103, 'Constipation'),
(2104, 'Constitutional'),
(2105, 'Construction Firm'),
(2106, 'Consultant physician'),
(2107, 'Consultation Brief Description'),
(2108, 'Consultation Notes - 2008'),
(2109, 'Contact'),
(2110, 'Contact Email'),
(2111, 'Contact Email Address'),
(2112, 'Contact EMR Direct to subscribe to the phiMail Direct messaging service'),
(2113, 'contact info'),
(2114, 'Contact Information'),
(2115, 'Contact Lens'),
(2116, 'Contact Lens Refraction'),
(2117, 'Contact Lenses'),
(2118, 'Contact Medical Information Integration, LLC at http://mi-squared.com for Lab Exchange Service.'),
(2119, 'Contact Medical Information Integration, LLC at http://mi-squared.com or ZH Healthcare at http://zhservices.com for subscribing the eRx service'),
(2120, 'Contact Medical Information Integration, LLC at http://mi-squared.com or ZH Healthcare at http://zhservices.com for subscribing to the NewCrop eRx service.'),
(2121, 'Contact mi-squared at http://www.mi-squared.com/products-services/openemr/ or ZH Healthcare at https://blueehr.com/contact-us/ for subscribing to the NewCrop eRx service.'),
(2122, 'Contact name'),
(2123, 'Contact Open Med Practice, www.openmedpractice.com for subscribing to the Weno Free eRx service.'),
(2124, 'Contact or Notify Phone'),
(2125, 'Contact Person'),
(2126, 'Contact Phone'),
(2127, 'Contact Phone Number'),
(2128, 'Contact Relationship'),
(2129, 'Contact ZMG, LLC (zmghealth@gmail.com) for subscribing the eRx service'),
(2130, 'Contacts'),
(2131, 'contain at least three of the four following items:'),
(2132, 'Container Group Name'),
(2133, 'Content'),
(2134, 'content'),
(2135, 'Contents'),
(2136, 'Context'),
(2137, 'Context name can\'t be empty'),
(2138, 'Continue'),
(2139, 'Continue Assessment'),
(2140, 'Continue completes selected billing option normally.'),
(2141, 'Continuity of Care Document'),
(2142, 'Continuity of Care Document (CCD)'),
(2143, 'Continuity of Care Document (CCD) is an electronic document containing patient specific information that aids in continuity of care'),
(2144, 'Continuity of Care Document (CCD) is meant to be created at the conclusion of an encounter prior to transfer of care to enable the next provider to easily access such information'),
(2145, 'Continuity of Care Record (CCR)'),
(2146, 'Contra Clients'),
(2147, 'Contraception'),
(2148, 'Contraception Issues'),
(2149, 'Contraceptive Complication (specify)'),
(2150, 'Contraceptive Method'),
(2151, 'Contraceptive Products'),
(2152, 'Contraceptive services previously started'),
(2153, 'Contraceptives Start'),
(2154, 'Contrast Acuity'),
(2155, 'Contrast Acuity Testing'),
(2156, 'Contrastart'),
(2157, 'Contrast{{Constrast Visual Acuity}}'),
(2158, 'Control ID'),
(2159, 'Control No.'),
(2160, 'Controlled Substance?'),
(2161, 'Convergence'),
(2162, 'Convergence Amps'),
(2163, 'Conversation'),
(2164, 'Conversation from'),
(2165, 'Convert a JavaScript object into a JSON string, and send it to the server.'),
(2166, 'Convert between plus and minus cylinder'),
(2167, 'Coordinating Counselors'),
(2168, 'COPAY'),
(2169, 'Copay'),
(2170, 'CoPay'),
(2171, 'Copay not positive'),
(2172, 'Copay Paid'),
(2173, 'Copays'),
(2174, 'COPD'),
(2175, 'Copy Pages to Patient Chart'),
(2176, 'Copy these values into current visit.'),
(2177, 'Copy Values'),
(2178, 'Copying the database file. This will take some time...'),
(2179, 'Copyright Notice'),
(2180, 'Cor Disease'),
(2181, 'Core'),
(2182, 'Cornea'),
(2183, 'Cornish'),
(2184, 'Coronary Artery Bypass'),
(2185, 'Coronary Artery Bypass Graft (CABG)'),
(2186, 'Corrected'),
(2187, 'Corsican'),
(2188, 'CouchDB'),
(2189, 'CouchDB Connection Failed.'),
(2190, 'CouchDB Connection SSL'),
(2191, 'CouchDB Database'),
(2192, 'CouchDB database name'),
(2193, 'CouchDB Error Log'),
(2194, 'CouchDB error log is empty'),
(2195, 'CouchDB host'),
(2196, 'CouchDB HostName'),
(2197, 'CouchDB Log Enable'),
(2198, 'CouchDB Password'),
(2199, 'CouchDB Port'),
(2200, 'CouchDB port'),
(2201, 'CouchDB save failed'),
(2202, 'CouchDB SSL Allow Selfsigned Certificate'),
(2203, 'CouchDB UserName'),
(2204, 'Cough'),
(2205, 'Cough:'),
(2206, 'could not connect to server'),
(2207, 'Could not find RxNorm Table! Please install.'),
(2208, 'Could not import the document. Please contact the EMR vendor.'),
(2209, 'could not install ACL'),
(2210, 'could not open table'),
(2211, 'Could not read file'),
(2212, 'Could not read the file'),
(2213, 'could not run sql query'),
(2214, 'Could not send email due to a server problem, '),
(2215, 'Could not send email due to a server problem.'),
(2216, 'Could not send email due to a server problem. '),
(2217, 'Couldn\'t create backup dir:'),
(2218, 'Couldn\'t remove dir:'),
(2219, 'Couldn\'t remove old backup file:'),
(2220, 'Couldn\'t remove old export file: '),
(2221, 'Coumadin Management - INR Monitoring'),
(2222, 'Couns by Method'),
(2223, 'Counseling'),
(2224, 'Counseling activities'),
(2225, 'Counselors'),
(2226, 'Counter Referral Form'),
(2227, 'COUNTER REFERRAL FORM'),
(2228, 'Counter-Referral'),
(2229, 'Country'),
(2230, 'Country Code'),
(2231, 'Country Data Type'),
(2232, 'Country list'),
(2233, 'Country List (write,addonly optional)'),
(2234, 'Country List (write,addonly optional) (country)'),
(2235, 'Country Name should be represent in two letters. (Example: United States is US)'),
(2236, 'county'),
(2237, 'County'),
(2238, 'Coupon'),
(2239, 'Course'),
(2240, 'Cousin'),
(2241, 'Coverage Level'),
(2242, 'Coverage Period'),
(2243, 'Coverage Type'),
(2244, 'CPOE'),
(2245, 'CPT'),
(2246, 'CPT Code'),
(2247, 'CPT Codes'),
(2248, 'CPT4 Procedure/Service'),
(2249, 'CPTII Performance Measures'),
(2250, 'CQM'),
(2251, 'CR (Wet)'),
(2252, 'Crackles:'),
(2253, 'Cranial Nerve 5: Trigeminal Nerve'),
(2254, 'Cranial Nerve 7: Facial Nerve'),
(2255, 'cream'),
(2256, 'Create a Client side SSL certificate for each user or client machine.'),
(2257, 'Create a client side SSL certificate for either a user or a client hostname.'),
(2258, 'CREATE A COUNTER-REFERRAL'),
(2259, 'Create A Dated Reminder'),
(2260, 'CREATE A LOCATION FOR RESULTS'),
(2261, 'Create a new track'),
(2262, 'CREATE A REFERRAL'),
(2263, 'Create a reminder to schedule a future visit'),
(2264, 'Create a reminder to schedule a future visit.'),
(2265, 'CREATE A SIMPLE TRANSACTION TYPE'),
(2266, 'Create a spreadsheet in openoffice/LibreOffice, have 5 columns - CPT Code, Description, Standard, Credit Card and Cash. Fill in the values. From this spreadsheet manually copy and paste the values via Administration > Codes'),
(2267, 'CREATE A TOP LEVEL CUSTOM GROUP'),
(2268, 'CREATE A TOP LEVEL ENTRY'),
(2269, 'Create an Event'),
(2270, 'CREATE AN ORDER'),
(2271, 'Create an Order for a Panel of Tests'),
(2272, 'Create an Order for a Single Test'),
(2273, 'Create and download a full backup'),
(2274, 'Create and modify tracks'),
(2275, 'Create Backup'),
(2276, 'Create batch'),
(2277, 'Create Client Certificate'),
(2278, 'Create Client side SSL certificates'),
(2279, 'Create custom white list of MIME content type of a files to secure your documents system'),
(2280, 'Create Date'),
(2281, 'Create Duplicate'),
(2282, 'Create Encounter'),
(2283, 'Create Eventlog Backup'),
(2284, 'Create follow-up encounter'),
(2285, 'Create new issue'),
(2286, 'Create New Message'),
(2287, 'Create New Patient'),
(2288, 'Create new Track'),
(2289, 'Create New Transaction'),
(2290, 'Create Offsite Portal Credentials'),
(2291, 'Create Online Portal Credentials'),
(2292, 'Create Onsite Portal Credentials'),
(2293, 'Create Patient'),
(2294, 'Create Patient Note'),
(2295, 'CREATE THE CUSTOM ORDERS'),
(2296, 'Create the SSL Certificate Authority and Server certificates.'),
(2297, 'Create Visit'),
(2298, 'Created'),
(2299, 'Creates a report that contains various sections of the patient\'s medical record'),
(2300, 'Creating a Custom Favorite Group to order frequently ordered tests together '),
(2301, 'Creating a Custom Group of Tests as Favorites'),
(2302, 'CREATING A NEW DATED REMINDER'),
(2303, 'CREATING A NEW MESSAGE'),
(2304, 'Creating and Managing Encounters'),
(2305, 'Creating anyway'),
(2306, 'Creating export file'),
(2307, 'Creating new track failed'),
(2308, 'Creating this file on remote host failed'),
(2309, 'Creator'),
(2310, 'Credentials Reset. Below link is only valid for one hour.'),
(2311, 'credit'),
(2312, 'Credit Card'),
(2313, 'Credit or Debit Card'),
(2314, 'Credits'),
(2315, 'Cree'),
(2316, 'Criteria'),
(2317, 'Criteria Actions'),
(2318, 'Croatian'),
(2319, 'Crohn\'s Disease'),
(2320, 'Crohns Disease'),
(2321, 'CR{{Cycloplegic Refraction}}'),
(2322, 'CSV'),
(2323, 'CSV Export'),
(2324, 'CSV File'),
(2325, 'CSV Tables'),
(2326, 'CSV to calendar_external table'),
(2327, 'CTL'),
(2328, 'CTL{{Contact Lens Vision}}'),
(2329, 'CTL{{Contact Lens}}'),
(2330, 'CU.MM'),
(2331, 'Cuban'),
(2332, 'Cup'),
(2333, 'Currency Decimal Places'),
(2334, 'Currency Decimal Point Symbol'),
(2335, 'Currency Designator'),
(2336, 'Currency Thousands Separator'),
(2337, 'Current'),
(2338, 'Current Alcohol'),
(2339, 'Current Authentication Method for'),
(2340, 'Current Authentication Method for the logged in user'),
(2341, 'Current Consultation'),
(2342, 'Current Criteria'),
(2343, 'Current Day'),
(2344, 'Current day highlight color'),
(2345, 'Current every day smoker'),
(2346, 'Current Eye Meds'),
(2347, 'Current file name was changed to'),
(2348, 'Current Glasses'),
(2349, 'Current Hash'),
(2350, 'Current Location'),
(2351, 'Current Logged in User'),
(2352, 'Current Medications'),
(2353, 'Current on record trusted email'),
(2354, 'Current Password'),
(2355, 'Current password to authorize changes.'),
(2356, 'Current Patient'),
(2357, 'Current patient unavailable here. Use Patient Documents'),
(2358, 'Current Provider'),
(2359, 'Current Pt Only'),
(2360, 'Current Recipients'),
(2361, 'Current Recreational Drugs'),
(2362, 'Current RX'),
(2363, 'Current some day smoker'),
(2364, 'Current Status'),
(2365, 'Current Status Time'),
(2366, 'Current Target'),
(2367, 'Current trusted email address on record.'),
(2368, 'Current user'),
(2369, 'Current Value'),
(2370, 'Current Working Procedure Diagnoses'),
(2371, 'Currently Active'),
(2372, 'Currently Busy'),
(2373, 'Currently Busy{{Service}}'),
(2374, 'Currently off-line'),
(2375, 'Currently Running'),
(2376, 'Currently there are 5 types of transactions in OpenEMR'),
(2377, 'Currently there are no facilities.'),
(2378, 'Currently working on making this document'),
(2379, 'Cushing Syndrom'),
(2380, 'Cushing Syndrome'),
(2381, 'Custodial Care Facility'),
(2382, 'Custodian'),
(2383, 'Custom'),
(2384, 'Custom Billing Phone Number'),
(2385, 'Custom Favorite Group - to group individual tests '),
(2386, 'Custom Favorite Group > Custom Favorite Item > Discrete results'),
(2387, 'Custom Favorite Group and Custom Favorite Item is used to create customized groups of orders'),
(2388, 'Custom Favorite Item  - for individual orders or tests'),
(2389, 'Custom Greeting'),
(2390, 'Custom input?'),
(2391, 'Custom Order'),
(2392, 'Custom Report'),
(2393, 'Custom Statement message'),
(2394, 'Custom Sub Group'),
(2395, 'Custom Table'),
(2396, 'Custom text for Flow Board postcards. After changing text, print samples before printing mass quantities!'),
(2397, 'Custom Top Group'),
(2398, 'Customize the Fee Sheet'),
(2399, 'Customize the Transaction Form'),
(2400, 'CVV'),
(2401, 'Cvx Code'),
(2402, 'CVX Code'),
(2403, 'CVX Code Mapping'),
(2404, 'CVX Immunization'),
(2405, 'CV{{Cardiovascular}}'),
(2406, 'Cycle'),
(2407, 'Cyclo 1%'),
(2408, 'CycloMydril'),
(2409, 'Cycloplegic (Wet) Refraction'),
(2410, 'Cyl{{Cylinder}}'),
(2411, 'CYL{{Cylinder}}'),
(2412, 'CYP'),
(2413, 'CYP Factor'),
(2414, 'CYP Report'),
(2415, 'Czech'),
(2416, 'D'),
(2417, 'D&C'),
(2418, 'D&E'),
(2419, 'D&V Full OU{{Ductions and Versions full both eyes}}'),
(2420, 'D.O.B.'),
(2421, 'daily'),
(2422, 'Daily Record'),
(2423, 'Daily Report'),
(2424, 'Daily Summary Report'),
(2425, 'Danish'),
(2426, 'Dashboard'),
(2427, 'Dashboard - summarizes all patient related information'),
(2428, 'Dashboard{{patient file}}'),
(2429, 'Data Alike is already in database, please change code and/or description'),
(2430, 'Data Alike is already in database, please change constant name'),
(2431, 'Data Cols'),
(2432, 'Data Enterer'),
(2433, 'Data Entry - Social Security Number'),
(2434, 'Data Error'),
(2435, 'Data from'),
(2436, 'Data integrity has been compromised'),
(2437, 'data of all encounters so far'),
(2438, 'Data Section'),
(2439, 'Data Type'),
(2440, 'Database'),
(2441, 'Database and Access Control upgrade finished.'),
(2442, 'Database is not installed.'),
(2443, 'Database name'),
(2444, 'Database Patch'),
(2445, 'Database Reporting'),
(2446, 'Database Reporting (database)'),
(2447, 'Database upgrade finished.'),
(2448, 'DataCols must be a number between 1 and 999'),
(2449, 'Date'),
(2450, 'DATE'),
(2451, 'Date & Time Administered'),
(2452, 'Date / Time'),
(2453, 'Date Administered'),
(2454, 'Date and time of sample collection'),
(2455, 'Date and time of this observation'),
(2456, 'Date and time of this report'),
(2457, 'Date and time that the sample was collected'),
(2458, 'Date Cannot be greater than Today'),
(2459, 'Date contraceptive services initially provided'),
(2460, 'Date Created'),
(2461, 'Date Deceased'),
(2462, 'Date Destroyed'),
(2463, 'Date Display Format'),
(2464, 'Date format for \"appointment end\" is not valid'),
(2465, 'Date format for \"appointment start\" is not valid'),
(2466, 'Date format for \"Next Appointment\" is not valid'),
(2467, 'Date format for \"not seen since\" is not valid'),
(2468, 'Date format for \"seen before\" is not valid'),
(2469, 'Date format for \"seen since\" is not valid'),
(2470, 'Date Immunization Information Statements Given'),
(2471, 'Date is missing for code '),
(2472, 'Date Master Criteria'),
(2473, 'Date of appointments'),
(2474, 'Date of appointments mm/dd/yyyy'),
(2475, 'Date of bank deposit yyyy-mm-dd'),
(2476, 'Date of Billing'),
(2477, 'Date of Birth'),
(2478, 'Date of birth'),
(2479, 'Date Of Birth'),
(2480, 'Date of Birth and Age'),
(2481, 'Date of Entry'),
(2482, 'Date of exit'),
(2483, 'Date of Injury'),
(2484, 'Date of Onset'),
(2485, 'Date of onset or hospitalization'),
(2486, 'Date of onset, surgery or start of medication'),
(2487, 'Date of payment yyyy-mm-dd'),
(2488, 'Date of recovery or end of medication'),
(2489, 'Date of referral'),
(2490, 'Date of registration'),
(2491, 'Date of reply'),
(2492, 'Date of Report'),
(2493, 'Date of Service'),
(2494, 'Date of service'),
(2495, 'Date Of Service'),
(2496, 'Date of Service = Today'),
(2497, 'Date of Service is today\'s date by default. If needed it can be changed to any valid date'),
(2498, 'Date of service mm/dd/yyyy'),
(2499, 'Date of Service:'),
(2500, 'Date Of Signature'),
(2501, 'Date of Status Change'),
(2502, 'Date of this letter'),
(2503, 'Date of this order'),
(2504, 'Date of this report'),
(2505, 'Date of VIS Statement'),
(2506, 'Date Ordered'),
(2507, 'Date Range'),
(2508, 'Date Selector'),
(2509, 'Date selector'),
(2510, 'Date Sent'),
(2511, 'Date The Message Was Sent'),
(2512, 'Date Time'),
(2513, 'Date values Cannot be Blank.'),
(2514, 'Date VIS Presented'),
(2515, 'Date VIS Published'),
(2516, 'Date/Appt'),
(2517, 'Date/Notes'),
(2518, 'Date/Notes of Last'),
(2519, 'Date/Time'),
(2520, 'Date:'),
(2521, 'Dated'),
(2522, 'dated'),
(2523, 'Dated Message Log'),
(2524, 'Dated Reminders'),
(2525, 'Dated reminders maximum alerts to show'),
(2526, 'Day'),
(2527, 'day'),
(2528, 'day ago'),
(2529, 'Day Sheet Report'),
(2530, 'Day View'),
(2531, 'Day(s)'),
(2532, 'Day(s) M-F'),
(2533, 'days'),
(2534, 'Days'),
(2535, 'days ago'),
(2536, 'Days and Games Missed'),
(2537, 'Days From Last Encounter'),
(2538, 'Days Missed'),
(2539, 'days of each other'),
(2540, 'Days Of Week'),
(2541, 'Days per Column:'),
(2542, 'Days/Col'),
(2543, 'Days/Col:'),
(2544, 'DB installed'),
(2545, 'DD/MM/YYYY'),
(2546, 'De Identification'),
(2547, 'De Identification Process is completed'),
(2548, 'De Identification Process is ongoing'),
(2549, 'De Identification process is started and running in background'),
(2550, 'De Identified data may not be complete'),
(2551, 'De-identification files will be saved in'),
(2552, 'DEA'),
(2553, 'DEA Number'),
(2554, 'DEA number'),
(2555, 'Deactivate'),
(2556, 'Deactivated'),
(2557, 'Deadline (CST)'),
(2558, 'Deaf'),
(2559, 'Debt'),
(2560, 'Debug Error Logging'),
(2561, 'Debug Hash Verification Time'),
(2562, 'Debug Information'),
(2563, 'DEBUG OUTPUT'),
(2564, 'Debugging'),
(2565, 'Dec'),
(2566, 'Deceased'),
(2567, 'DECEASED'),
(2568, 'DECEASED (1 day ago)'),
(2569, 'DECEASED (Today)'),
(2570, 'Deceased Date'),
(2571, 'Deceased Date should not be greater than Today'),
(2572, 'DECEASED NOTIFICATION'),
(2573, 'Deceased Reason'),
(2574, 'December'),
(2575, 'Decide on the code categories and the order you want them to appear, these will be displayed on the buttons in the \'Select Codes\' section'),
(2576, 'Decide on the Identifying Codes and Standard Codes, remember the Identifying code has to be unique to ensure proper display of results'),
(2577, 'Decide whether or not you will want to order individual tests which are a part of a panel of tests'),
(2578, 'Decimal pounds or pounds and ounces separated by #(e.g. 5#4)'),
(2579, 'Declined To Specify'),
(2580, 'Deductible'),
(2581, 'Deductible Met'),
(2582, 'deep'),
(2583, 'Default'),
(2584, 'Default - Check any check box and this value will show up in the displayed drop-down box as the default value'),
(2585, 'Default Calendar View'),
(2586, 'Default Eligibility X12 Partner'),
(2587, 'Default Encounter Form ID'),
(2588, 'Default Encounter View'),
(2589, 'Default Facility'),
(2590, 'Default font'),
(2591, 'Default font (need to logout/login after change this setting)'),
(2592, 'Default font size'),
(2593, 'Default font size (need to logout/login after change this setting)'),
(2594, 'Default Language'),
(2595, 'Default language if no other is allowed or chosen.'),
(2596, 'Default left print margin for CMS 1500'),
(2597, 'Default left print margin for UB04'),
(2598, 'Default List (write,addonly optional)'),
(2599, 'Default List (write,addonly optional) (default)'),
(2600, 'Default Method'),
(2601, 'Default Password Expiration Days'),
(2602, 'Default password expiration period in days. 0 means this feature is disabled.'),
(2603, 'Default Patient Country'),
(2604, 'Default Patient Country sent to NewCrop eRx, only if patient country is not set.'),
(2605, 'Default Price Level'),
(2606, 'Default Priority'),
(2607, 'Default Provider'),
(2608, 'Default provider changed'),
(2609, 'Default Range'),
(2610, 'Default Reason for Visit'),
(2611, 'Default Rendering Provider in Fee Sheet'),
(2612, 'Default Search Code Type'),
(2613, 'Default Second Tab'),
(2614, 'Default selection for rendering provider in fee sheet.'),
(2615, 'Default Setting'),
(2616, 'Default Sort Direction'),
(2617, 'Default state of New Window checkbox in the patient list.'),
(2618, 'Default Template'),
(2619, 'Default to a provider for line item in the fee sheet'),
(2620, 'Default to a provider for line item in the fee sheet.(only applicable if Support line item billing in option above)'),
(2621, 'Default to previous value'),
(2622, 'Default top print margin for CMS 1500'),
(2623, 'Default top print margin for UB04'),
(2624, 'Default Units'),
(2625, 'Default Units and Range as appropriate'),
(2626, 'Default Value'),
(2627, 'Default Visit Category'),
(2628, 'Default Warehouse'),
(2629, 'Default X12 Partner'),
(2630, 'Default/Global'),
(2631, 'Default: Checked. When checked, messages are processed for patients with Patient Demographic Choice (Phone/Text/Email) set to \'Unassigned\' or \'Yes\'. If this is unchecked, a given type of message can only be sent if its Demographic Choice = \'Yes\'.'),
(2632, 'Defaults'),
(2633, 'Define a default visit category'),
(2634, 'Define lab service locations'),
(2635, 'Del'),
(2636, 'del'),
(2637, 'Delayed Recurrence (> 12 Mo)'),
(2638, 'Delete'),
(2639, 'delete'),
(2640, 'Delete Categories with ID(s) : '),
(2641, 'Delete Category'),
(2642, 'Delete Document'),
(2643, 'Delete Encounter Form'),
(2644, 'Delete failed!'),
(2645, 'Delete Group'),
(2646, 'Delete List'),
(2647, 'Delete Onsite Portal Activity'),
(2648, 'Delete Pages'),
(2649, 'Delete Patient, Encounter, Form, Issue, Document, Payment, Billing or Transaction'),
(2650, 'Delete Plan'),
(2651, 'Delete Row'),
(2652, 'Delete Selected Items'),
(2653, 'Delete Selected Requests'),
(2654, 'Delete Successful'),
(2655, 'Delete successful.'),
(2656, 'Delete this document'),
(2657, 'Delete this form'),
(2658, 'Delete this message'),
(2659, 'Delete this note'),
(2660, 'Deleted Successfully'),
(2661, 'Deleted Successfully.'),
(2662, 'Deleting'),
(2663, 'Deleting this event cannot be undone. It cannot be recovered once it is gone. Are you sure you wish to delete this event?'),
(2664, 'Deletion failed because group has appointments or encounters'),
(2665, 'Delivered'),
(2666, 'Delivery Confirmed'),
(2667, 'Delivery is not allowed to the specified Direct Address.'),
(2668, 'Delivery is not currently permitted to the specified Direct Address.'),
(2669, 'Delivery of the attached clinical document was requested by the patient'),
(2670, 'Delivery of the attached clinical document was requested by the patient.'),
(2671, 'Dementia'),
(2672, 'Demographic changes made here are recorded system-wide'),
(2673, 'Demographics'),
(2674, 'Demographics (write,addonly optional)'),
(2675, 'Demographics (write,addonly optional) (demo)'),
(2676, 'Demographics - patient demographics and insurance information'),
(2677, 'Demographics Fields'),
(2678, 'Demographics filter criteria'),
(2679, 'Demographics Legend Red: Charted Values. Blue: Patient Edits'),
(2680, 'Demographics not authorized'),
(2681, 'Demographics not authorized.'),
(2682, 'Denied'),
(2683, 'denies'),
(2684, 'Denominator'),
(2685, 'Denominator Exception'),
(2686, 'Denominator Exclusion'),
(2687, 'Dental'),
(2688, 'Dental Issue List'),
(2689, 'Dental Issues'),
(2690, 'Dep Date'),
(2691, 'Dependency Modules'),
(2692, 'Dependency Problem'),
(2693, 'Depending on the level of access you can View/Edit the Transaction'),
(2694, 'Depending on the type of bill you are testing you will see HCFA like output on a blank page for HCFA bills, you will see many lines of somewhat garbled text  and information if you are testing an X12 claim. That garbled text is the X12 EDI 4010A format. Occasionally you will see odd characters that look like dominoes or  squiglies, these are control characters such as page feeds and are normal.'),
(2695, 'Depending on whether or not NewCrop eRx module is enabled the method of entry will vary'),
(2696, 'Deposit Date'),
(2697, 'Deposit Date Cannot be greater than Today'),
(2698, 'Deposit Date:'),
(2699, 'Depressed'),
(2700, 'Depression'),
(2701, 'Dept'),
(2702, 'Dermatology'),
(2703, 'Derm{{dermatologic}}'),
(2704, 'DERM{{Dermatology}}'),
(2705, 'DESC'),
(2706, 'Description'),
(2707, 'description'),
(2708, 'Description is default text'),
(2709, 'Description of the Disclosure'),
(2710, 'Description of this procedure or result code'),
(2711, 'Description Translation'),
(2712, 'Desired Filename'),
(2713, 'Destination'),
(2714, 'Destination Filename'),
(2715, 'Destroy'),
(2716, 'Destroy Lot'),
(2717, 'Destroy...'),
(2718, 'Destroyed'),
(2719, 'Destroyed Drugs'),
(2720, 'Destroyed Drugs Report'),
(2721, 'Detail'),
(2722, 'Detail\'s group was saved successfully'),
(2723, 'Detailed exam'),
(2724, 'Detailed HPI'),
(2725, 'Detailed information on how to setup and troubleshoot phiMail messages is available here'),
(2726, 'Details'),
(2727, 'Developer'),
(2728, 'Developmental abnormality'),
(2729, 'Deviation'),
(2730, 'Diabetes'),
(2731, 'Diabetes Mellitus'),
(2732, 'Diabetes: Blood Pressure Management (CQM)'),
(2733, 'Diabetes: Eye Exam'),
(2734, 'Diabetes: Eye Exam (CQM)'),
(2735, 'Diabetes: Foot Exam'),
(2736, 'Diabetes: Foot Exam (CQM)'),
(2737, 'Diabetes: HbA1c Poor Control (CQM)'),
(2738, 'Diabetes: Hemoglobin A1C'),
(2739, 'Diabetes: LDL Management & Control (CQM)'),
(2740, 'Diabetes: Urine Microalbumin'),
(2741, 'Diag'),
(2742, 'Diagnoses'),
(2743, 'Diagnosis'),
(2744, 'Diagnosis Code'),
(2745, 'Diagnosis Codes'),
(2746, 'Diagnosis Codes History'),
(2747, 'Diagnosis Date'),
(2748, 'Diagnosis Description'),
(2749, 'Diagnosis must be coded into a linked encounter'),
(2750, 'Diagnosis Name'),
(2751, 'Diagnosis Report'),
(2752, 'Diagnosis Reporting'),
(2753, 'Diagnosis Reporting Only'),
(2754, 'Diagnosis Title'),
(2755, 'Diagnosis:'),
(2756, 'Diagnosis: '),
(2757, 'Diagnostic'),
(2758, 'Diagnostic Tests:'),
(2759, 'Diagnostics'),
(2760, 'Dials'),
(2761, 'Diam{{Diameter}}'),
(2762, 'DIAM{{Diameter}}'),
(2763, 'Diaphragms/Caps'),
(2764, 'Diarrhea'),
(2765, 'Diastolic'),
(2766, 'Dicom Viewer'),
(2767, 'Dictation'),
(2768, 'Dictation: '),
(2769, 'Did you receive a copy of the HIPAA Notice?'),
(2770, 'Diffuse:'),
(2771, 'Digitally Signed'),
(2772, 'Dilated with'),
(2773, 'Dilation'),
(2774, 'Dilation orders/risks reviewed'),
(2775, 'Dilation Time'),
(2776, 'Dim'),
(2777, 'Direct'),
(2778, 'DIRECT ADDRESS'),
(2779, 'Direct Address'),
(2780, 'Direct Email'),
(2781, 'Direct Mail'),
(2782, 'Direct Message Log'),
(2783, 'Direct Message Received.'),
(2784, 'Direct messaging is currently unavailable.'),
(2785, 'Direct Messaging Send Failure.'),
(2786, 'Directions'),
(2787, 'Director Name'),
(2788, 'Directory delete failed; continuing.'),
(2789, 'Disability'),
(2790, 'Disable'),
(2791, 'Disable Auto Adjustment Calculations in EOB Posting'),
(2792, 'Disable Auto Adjustments'),
(2793, 'Disable automatically calculating balance adjustments for invoice posting'),
(2794, 'Disable Calendar'),
(2795, 'Disable Chart Tracker'),
(2796, 'Disable Client'),
(2797, 'Disable Help Modal'),
(2798, 'Disable Immunizations'),
(2799, 'Disable Insurance Eligibility Reports Download'),
(2800, 'Disable Old Metric Vitals Form'),
(2801, 'Disable Patient Flow Board'),
(2802, 'Disable phpMyAdmin'),
(2803, 'Disable Prescriptions'),
(2804, 'Disable User Groups'),
(2805, 'disabled'),
(2806, 'Disabled'),
(2807, 'Disabled Beneficiary Under Age 65 with Large Group Health Plan (LGHP)'),
(2808, 'Disabled Client'),
(2809, 'Disabling automatic checking would be appropriate if message checking is managed through another mechanism, such as a system cron job'),
(2810, 'Disadvantages being cost of device, potential for loss and running out of battery power'),
(2811, 'Disc'),
(2812, 'DISC'),
(2813, 'Discard'),
(2814, 'Discarded'),
(2815, 'Discharge'),
(2816, 'Discharge From Urethra'),
(2817, 'Discharge Medications'),
(2818, 'Discharge Right'),
(2819, 'Discharge Right:'),
(2820, 'Discharge Summary'),
(2821, 'Discharge Summary - 2009'),
(2822, 'Discharge Time'),
(2823, 'Discharged'),
(2824, 'Disclaimer'),
(2825, 'Disclosure Info'),
(2826, 'Disclosure Type'),
(2827, 'Disclosure Types'),
(2828, 'Disclosures'),
(2829, 'Disclosures (write,addonly optional)'),
(2830, 'Disclosures (write,addonly optional) (disclosure)'),
(2831, 'Disclosures - Record disclosures made for treatment, payment, and health care operations with date, time, patient identification (name or number), user identification (name or number), and a description of the disclosure'),
(2832, 'Discontinue'),
(2833, 'Discount'),
(2834, 'Discount Amount'),
(2835, 'Discount Level'),
(2836, 'Discount Percentage'),
(2837, 'Discounts as Monetary Amounts'),
(2838, 'Discounts at checkout time are entered as money amounts, as opposed to percentage.'),
(2839, 'Discrete Result'),
(2840, 'Discrete Results - for manual entry of returned result values'),
(2841, 'Disease'),
(2842, 'Disease with presumed immunity'),
(2843, 'Dislocation'),
(2844, 'Dismiss'),
(2845, 'Dismiss Form'),
(2846, 'Dismiss Help'),
(2847, 'Disp #'),
(2848, 'Dispatch'),
(2849, 'Dispatch Received Document'),
(2850, 'Dispense Rx'),
(2851, 'Dispense this Rx'),
(2852, 'Dispense this RX'),
(2853, 'Dispensed'),
(2854, 'Display'),
(2855, 'Display Additional measurements (Ks, IOL cals, etc)'),
(2856, 'Display advance directives in the demographics page.'),
(2857, 'Display Application Errors Only'),
(2858, 'Display Documents'),
(2859, 'Display event dates in block?'),
(2860, 'Display Format for US Weights'),
(2861, 'Display how many events?'),
(2862, 'Display Invoice Number or Patient Name in the Cash Receipt Report'),
(2863, 'Display Invoice Number or Patient Name or Both in the Sales Report'),
(2864, 'Display limit reached'),
(2865, 'Display location in block?'),
(2866, 'Display Name'),
(2867, 'Display the Autorefraction Panel'),
(2868, 'Display the calendar?'),
(2869, 'Display the Contact Lens Panel'),
(2870, 'Display the Encounter Billing Note or Patient Billing Note or Both in the Billing Screen.'),
(2871, 'Display the Manifest Refraction panel'),
(2872, 'Display the patient\'s current glasses'),
(2873, 'Display the recurrent appointment widget in the patient summary.'),
(2874, 'Display the Units Column on the Billing Screen'),
(2875, 'Display today\'s events in the block?'),
(2876, 'Display topic in block?'),
(2877, 'Display upcoming events in block?'),
(2878, 'Display Window Errors Only'),
(2879, 'Displayed Columns'),
(2880, 'Displaying the following number of most recent disclosures:'),
(2881, 'Displaying the following number of most recent messages'),
(2882, 'Displaying the following number of most recent notes'),
(2883, 'Displaying the following number of most recent notes:'),
(2884, 'Distance'),
(2885, 'Distance from the \'top\' of the envelope in mm'),
(2886, 'Distance from the right most edge of the envelope in portrait position in mm'),
(2887, 'Distribute'),
(2888, 'Distributed Edits'),
(2889, 'Distributed to Global'),
(2890, 'Distribution'),
(2891, 'Distributions'),
(2892, 'Distributor'),
(2893, 'Dist{{distance}}'),
(2894, 'Divehi- Dhivehi- Maldivian-'),
(2895, 'Divergence'),
(2896, 'Divergence Amps'),
(2897, 'Diverticulitis'),
(2898, 'Diverticulitis Surgery'),
(2899, 'Divirticulitis'),
(2900, 'Divirticulitis Surgery'),
(2901, 'Divorced'),
(2902, 'Dizziness:'),
(2903, 'Do not allow insurance eligibility report log download'),
(2904, 'Do not allow SQL queries to be outputted to screen.'),
(2905, 'Do not change'),
(2906, 'Do not display Allergies uploaded after visiting NewCrop eRx.'),
(2907, 'Do not display Allergy uploaded to NewCrop'),
(2908, 'Do not display Medications uploaded after visiting NewCrop eRx.'),
(2909, 'Do not display Medications uploaded to NewCrop'),
(2910, 'Do not display NewCrop eRx Allergy uploaded'),
(2911, 'Do not display NewCrop eRx Medications uploaded'),
(2912, 'Do not display the calendar.'),
(2913, 'Do not display the patient flow board.'),
(2914, 'Do not display the Recall Board.'),
(2915, 'Do not enter the server URL into your browser address bar, as this will not work'),
(2916, 'Do not inventory and sell any products'),
(2917, 'Do not know what to do!'),
(2918, 'Do Not Print'),
(2919, 'Do not require patient notes to be authorized'),
(2920, 'Do Not Resuscitate Order'),
(2921, 'do not save'),
(2922, 'do not substitute'),
(2923, 'Do Not Use Safe Apostrophe'),
(2924, 'Do not warn or prevent web browser refresh'),
(2925, 'do nothing'),
(2926, 'Do you really want to change Warehouse?'),
(2927, 'Do you really want to clear the log?'),
(2928, 'Do You Really Want to Continue'),
(2929, 'Do you really want to delete'),
(2930, 'Do you really want to delete the selection?'),
(2931, 'Do you really want to delete this group'),
(2932, 'Do you really want to delete?'),
(2933, 'Do you want to close the tabs?'),
(2934, 'Do you want to continue?'),
(2935, 'Do you want to delete this?'),
(2936, 'Do you want to delete?'),
(2937, 'Do you want to remove this record?'),
(2938, 'Do you wish to continue adding this new patient?'),
(2939, 'Do you wish to continue with the new name?'),
(2940, 'Do you wish to PERMANENTLY delete this immunization record?'),
(2941, 'DOB'),
(2942, 'DOB is missing, please enter if possible'),
(2943, 'Doc Id'),
(2944, 'Docs'),
(2945, 'Doctor'),
(2946, 'Doctor:'),
(2947, 'Doctor\'s name and signature'),
(2948, 'Document'),
(2949, 'document'),
(2950, 'document 3 and their status to reach the detailed HPI level'),
(2951, 'Document Categories'),
(2952, 'Document category for lab results does not exist'),
(2953, 'Document category name for storage of electronically received lab results.'),
(2954, 'Document category name for storage of electronically received MDM documents.'),
(2955, 'Document Category or Discard'),
(2956, 'Document Center'),
(2957, 'Document clinical findings in Shorthand Format'),
(2958, 'Document could not be moved to patient id'),
(2959, 'Document created'),
(2960, 'Document Date'),
(2961, 'Document date and issue updated successfully'),
(2962, 'Document ID'),
(2963, 'Document identifying information'),
(2964, 'Document Library'),
(2965, 'Document moved to new category'),
(2966, 'Document moved to patient id'),
(2967, 'Document passed integrity check'),
(2968, 'Document passed integrity check.'),
(2969, 'Document Storage Method'),
(2970, 'Document successfully renamed.'),
(2971, 'Document tagged to Encounter successfully'),
(2972, 'Document Template Management'),
(2973, 'Document Templates'),
(2974, 'Document Uploader/Viewer'),
(2975, 'Document(s)'),
(2976, 'Document/Imaging Store'),
(2977, 'Documentation for a Detailed HPI requires'),
(2978, 'Documents'),
(2979, 'documents'),
(2980, 'Documents (write,addonly optional)'),
(2981, 'Documents (write,addonly optional) (docs)'),
(2982, 'Documents - a repository of the patient\'s scanned/faxed paper documents. It also the place to download patient specific templates'),
(2983, 'Documents Delete'),
(2984, 'Documents Delete (docs_rm)'),
(2985, 'Documents History'),
(2986, 'Documents List'),
(2987, 'Documents setup error'),
(2988, 'DOC{{document format}}'),
(2989, 'DOE'),
(2990, 'Does anything make it better? Worse?'),
(2991, 'Does it occur in certain situations?'),
(2992, 'Does not equal'),
(2993, 'does not have enough data to graph'),
(2994, 'does not match the PV1 encounter number'),
(2995, 'does not seem valid'),
(2996, 'Does this type allow related codes?'),
(2997, 'Domestic Partner'),
(2998, 'Don\'t Save'),
(2999, 'Don\'t Save'),
(3000, 'Don\'t Save Changes'),
(3001, 'DONATE NOW!'),
(3002, 'Done'),
(3003, 'Done with'),
(3004, 'Done with:'),
(3005, 'Done.  Will now send download.'),
(3006, 'DOS'),
(3007, 'Dosage'),
(3008, 'Dose'),
(3009, 'Double click on a DX\'s handle'),
(3010, 'Double Click on this icon to pop up document in a new viewer.'),
(3011, 'double click to edit'),
(3012, 'Double Clicking a NPI box will bring up a current Users dialog for providers.'),
(3013, 'Double Vision'),
(3014, 'Download'),
(3015, 'DOWNLOAD'),
(3016, 'Download - the created CCD is downloaded as a pdf file to the downloads from the browser'),
(3017, 'Download - the created CCR is downloaded as a pdf file to the downloads from the browser'),
(3018, 'Download all patient documents'),
(3019, 'Download Anyway'),
(3020, 'Download billing file, post to accounting and mark as billed'),
(3021, 'Download CCDA file'),
(3022, 'Download Certificates'),
(3023, 'Download configuration data'),
(3024, 'Download CSV File'),
(3025, 'Download document template for this patient and visit'),
(3026, 'Download Documents'),
(3027, 'download encrypted file'),
(3028, 'Download Fax'),
(3029, 'Download HL7 file'),
(3030, 'Download Lab Documents'),
(3031, 'Download Offsite Portal Connection Files'),
(3032, 'Download or Delete a Template'),
(3033, 'Download PDF'),
(3034, 'Download QRDA Category III File'),
(3035, 'Download report as a pdf file into the browser\'s download folder'),
(3036, 'Download Selected'),
(3037, 'Download Selected Statements'),
(3038, 'Download will download a text file containing the order in the HL7v2.3 message format to the downloads directory of your computer'),
(3039, 'Dr Check'),
(3040, 'Dr Visit'),
(3041, 'Dr.'),
(3042, 'Drafts'),
(3043, 'Drag a DX over by its handle'),
(3044, 'Drag the arrow for each diagnosis to sort the list.'),
(3045, 'Drag to move'),
(3046, 'Draw'),
(3047, 'Dribbling'),
(3048, 'Drivers License or State ID'),
(3049, 'Drop files here to upload'),
(3050, 'Drug'),
(3051, 'Drug - Drug Interaction'),
(3052, 'Drug Code'),
(3053, 'Drug Finder'),
(3054, 'Drug Forms'),
(3055, 'Drug ID missing!'),
(3056, 'Drug Intervals'),
(3057, 'Drug Inventory'),
(3058, 'Drug name'),
(3059, 'Drug Name'),
(3060, 'Drug name is required'),
(3061, 'Drug Routes'),
(3062, 'Drug Screen'),
(3063, 'Drug Screen Completed'),
(3064, 'Drug Screen Report'),
(3065, 'Drug units'),
(3066, 'Drug Units'),
(3067, 'Drug Use'),
(3068, 'Drug-Drug'),
(3069, 'Drug-Drug Interaction'),
(3070, 'Drug1 Name{{Drug1 Interaction}}'),
(3071, 'Drug2 Name{{Drug2 Interaction}}'),
(3072, 'Drugs'),
(3073, 'Drugs and Products'),
(3074, 'Dry Mouth'),
(3075, 'DSMIV Diagnosis'),
(3076, 'DT 1'),
(3077, 'DT 2'),
(3078, 'DT 3'),
(3079, 'DT 4'),
(3080, 'DT 5'),
(3081, 'DTaP 1'),
(3082, 'DTaP 2'),
(3083, 'DTaP 3'),
(3084, 'DTaP 4'),
(3085, 'DTaP 5'),
(3086, 'Dual'),
(3087, 'Due'),
(3088, 'Due Date'),
(3089, 'Due date'),
(3090, 'Due date mm/dd/yyyy or yyyy-mm-dd'),
(3091, 'Due Date:'),
(3092, 'Due Ins'),
(3093, 'Due Pt'),
(3094, 'Due Soon'),
(3095, 'Due Status'),
(3096, 'Due Status Update'),
(3097, 'Dumping OpenEMR database'),
(3098, 'Dumping OpenEMR web directory tree'),
(3099, 'Dumping phpGACL database'),
(3100, 'Dumping phpGACL web directory tree'),
(3101, 'Dumping SQL-Ledger database'),
(3102, 'Dumping SQL-Ledger web directory tree'),
(3103, 'Dup Check'),
(3104, 'Dup Check on only Edit'),
(3105, 'Dup Check on only New'),
(3106, 'Duplicate codes are deleted from editor list otherwise, code will append to list.'),
(3107, 'Duplicate Rx -- unchanged from current Rx{{The refraction did not change, New Rx=old Rx}}'),
(3108, 'Duplicated ID on line'),
(3109, 'Duplicated name on line'),
(3110, 'DUPLICATION WARNING'),
(3111, 'Durable Power of Attorney'),
(3112, 'Duration'),
(3113, 'duration'),
(3114, 'Dutch'),
(3115, 'Dx Codes'),
(3116, 'Dx Rep'),
(3117, 'Dysphagia'),
(3118, 'Dyspnea:'),
(3119, 'Dysuria'),
(3120, 'Dzongkha'),
(3121, 'E(T){{intermittent esotropia}}'),
(3122, 'E-Mail'),
(3123, 'E-mail'),
(3124, 'E-Mail Address'),
(3125, 'E-mail Messaging'),
(3126, 'E-mail OK'),
(3127, 'E-PRESCRIBING'),
(3128, 'E-Prescription?'),
(3129, 'E-Reports'),
(3130, 'e-Rx'),
(3131, 'e-Rx EPCS'),
(3132, 'e-Rx Renewal'),
(3133, 'e-signed'),
(3134, 'Each of these groups (AROs) has access to pre-determined parts of the program (ACOs).'),
(3135, 'Each recipient must set their own messages as completed.'),
(3136, 'Each Section has one Narrative Block and zero to many coded Entries'),
(3137, 'Each segment is identified by a unique three letter header that constitutes the first three letters on that line'),
(3138, 'Each test or panel in this group has to be in an individual Custom Favorite Item tier'),
(3139, 'Each Transaction is listed on a separate line'),
(3140, 'Early Recurrence (<2 Mo)'),
(3141, 'Ears'),
(3142, 'Easipro Server'),
(3143, 'Easipro Server Password'),
(3144, 'Easipro Server Username'),
(3145, 'Easy to forget on the computer used to login'),
(3146, 'Easy to setup'),
(3147, 'Easy to use'),
(3148, 'ECG'),
(3149, 'eClaims'),
(3150, 'ECL{{equivalent contact lens power at the corneal level}}'),
(3151, 'ECOM{{external comments abbreviation}}'),
(3152, 'Edema'),
(3153, 'EDI File'),
(3154, 'EDI History'),
(3155, 'edi history'),
(3156, 'EDI History (under Fees) for storing and interpreting EDI claim response files'),
(3157, 'EDI-271 File Upload'),
(3158, 'EDI-271 Response File Upload'),
(3159, 'Edit'),
(3160, 'edit'),
(3161, 'Edit Allergies'),
(3162, 'Edit Appointment'),
(3163, 'Edit Categories'),
(3164, 'Edit Current Patient'),
(3165, 'Edit Definitions'),
(3166, 'Edit definitions'),
(3167, 'Edit Diagnoses for'),
(3168, 'Edit Disclosure'),
(3169, 'Edit Document'),
(3170, 'Edit Entry'),
(3171, 'Edit Event'),
(3172, 'EDIT EXISTING GROUP'),
(3173, 'Edit Facilities'),
(3174, 'Edit Facility'),
(3175, 'Edit Facility Information'),
(3176, 'Edit Facility Specific User Information'),
(3177, 'Edit File in'),
(3178, 'Edit form'),
(3179, 'Edit Global Settings'),
(3180, 'Edit History and Lifestyle'),
(3181, 'Edit is not authorized!'),
(3182, 'Edit Issue'),
(3183, 'Edit layout'),
(3184, 'Edit Layout Properties'),
(3185, 'Edit list'),
(3186, 'Edit Mode'),
(3187, 'Edit Onsite Portal Activity'),
(3188, 'Edit Payment'),
(3189, 'Edit Structure'),
(3190, 'Edit Template'),
(3191, 'Edit this form'),
(3192, 'Edit User'),
(3193, 'Edit User Settings'),
(3194, 'Edit your entered data'),
(3195, 'Editing failed'),
(3196, 'Education'),
(3197, 'Education Date'),
(3198, 'Educational materials for'),
(3199, 'ee the  * GNU General Public License for more details.  *   * You should have received a copy of the GNU General Public License  * along with this program; if not, write to the Free '),
(3200, 'Effective Date'),
(3201, 'Effective Dates'),
(3202, 'Effectiveness'),
(3203, 'eg. aching, burning, radiating pain'),
(3204, 'EIN'),
(3205, 'Either type a search term in appropriate box or double click box to see available codes.'),
(3206, 'Either way data entered by any method will feature in both locations'),
(3207, 'Ejaculations'),
(3208, 'Elbow'),
(3209, 'Elbow Problems'),
(3210, 'Electronic'),
(3211, 'Electronic document received'),
(3212, 'Electronic Notes'),
(3213, 'Electronic orders'),
(3214, 'Electronic Remits'),
(3215, 'Electronic Reports'),
(3216, 'Electronic results can be bidirectional - both order tests and receive results electronically or unidirectional - only receive the results electronically'),
(3217, 'electronically signed on'),
(3218, 'Eligibility'),
(3219, 'Eligibility 270 Inquiry Batch'),
(3220, 'Eligibility Response'),
(3221, 'Eligibility Service Date (270 DTP03)'),
(3222, 'Eligibility status for Vaccine for Children supplied vaccine'),
(3223, 'Eligible'),
(3224, 'Ellipse'),
(3225, 'Email'),
(3226, 'email'),
(3227, 'EMAIL'),
(3228, 'Email Address'),
(3229, 'Email address is missing'),
(3230, 'Email address of the sender for patient reminders. Replies to patient reminders will be directed to this address. It is important to use an address from your clinic\'s domain to avoid help prevent patient reminders from going to junk mail folders.'),
(3231, 'Email address, if any, to receive administrative notifications.'),
(3232, 'Email address, if any, to receive emergency login user activation messages.'),
(3233, 'Email Auth'),
(3234, 'EMAIL Confimed'),
(3235, 'Email Direct'),
(3236, 'Email from Batchcom'),
(3237, 'Email if required'),
(3238, 'Email Notification'),
(3239, 'Email Notification Hours'),
(3240, 'Email Notification Report'),
(3241, 'Email Notification Settings Updated Successfully'),
(3242, 'Email Selected'),
(3243, 'Email Selected Statements'),
(3244, 'Email send before'),
(3245, 'Email Sender'),
(3246, 'Email Sent'),
(3247, 'Email sent to'),
(3248, 'Email Subject'),
(3249, 'email subject'),
(3250, 'Email Text Usable Tags'),
(3251, 'Email Text, Usable Tag: ***NAME*** , i.e. Dear ***NAME***'),
(3252, 'Email Text, Usable Tag: ***NAME*** , i.e. Dear ***NAME***{{Do Not translate the ***NAME*** elements of this constant.}}'),
(3253, 'Email Transport Method'),
(3254, 'Email was sent to following address'),
(3255, 'emails not sent'),
(3256, 'Embed {login} where the OpenEMR login name of the user is to be; for example: uid={login},dc=example,dc=com'),
(3257, 'Emergency Care'),
(3258, 'Emergency contact'),
(3259, 'Emergency Contact'),
(3260, 'Emergency Contact Person'),
(3261, 'Emergency Contact Phone Number'),
(3262, 'Emergency Contraception'),
(3263, 'Emergency Login'),
(3264, 'Emergency Login ACL is chosen. The user is still in active state, please de-activate the user and activate the same when required during emergency situations. Visit Administration->Users for activation or de-activation.'),
(3265, 'Emergency Login activation email will be circulated only if following settings in the interface/globals.php file are configured:'),
(3266, 'Emergency Login Email Address'),
(3267, 'Emergency Login user can do anything'),
(3268, 'Emergency Phone'),
(3269, 'Emergency Room - Hospital'),
(3270, 'Emotional / Behavioral Conditions & Complications'),
(3271, 'Emphysema'),
(3272, 'Employee'),
(3273, 'Employer'),
(3274, 'Employer Address'),
(3275, 'Employer Data'),
(3276, 'Employer Name'),
(3277, 'EMPTY'),
(3278, 'Empty'),
(3279, 'Empty Password Not Allowed'),
(3280, 'Empty table'),
(3281, 'Empty value in \"Email Hours\"'),
(3282, 'Empty value in \"Email Sender\"'),
(3283, 'Empty value in \"Email Subject\"'),
(3284, 'Empty value in \"Email Text\"'),
(3285, 'Empty value in \"Name of Provider\"'),
(3286, 'Empty value in \"Password\"'),
(3287, 'Empty value in \"SMS Hours\"'),
(3288, 'Empty value in \"SMS Text\"'),
(3289, 'Empty value in \"Username\"'),
(3290, 'EMR Direct'),
(3291, 'EMR Direct phiMail is a secure, scalable, standards-based way for participants to send authenticated, encrypted health information directly to known, trusted recipients over the Internet'),
(3292, 'Enable'),
(3293, 'Enable a Payment Gateway Service for processing credit card transactions'),
(3294, 'Enable Alert Log'),
(3295, 'Enable Alert Logging'),
(3296, 'Enable Allergy Check'),
(3297, 'Enable Allergy Check Against Medications and Prescriptions'),
(3298, 'Enable AMC Prompting'),
(3299, 'Enable AMC Report Itemization'),
(3300, 'Enable AMC Reporting'),
(3301, 'Enable AMC Tracking'),
(3302, 'Enable amendments feature'),
(3303, 'Enable ATNA Auditing'),
(3304, 'Enable Audit Log Encryption'),
(3305, 'Enable Audit Logging'),
(3306, 'Enable Audit Trail and Node Authentication (ATNA).'),
(3307, 'Enable Automated Measure Calculations (AMC) Reporting'),
(3308, 'Enable Batch Payment'),
(3309, 'Enable C-CDA Alternate Service'),
(3310, 'Enable C-CDA Service'),
(3311, 'Enable Client'),
(3312, 'Enable Client SSL'),
(3313, 'Enable client SSL certificate authentication.'),
(3314, 'Enable Clinical Active Reminder Popup'),
(3315, 'Enable Clinical Decisions Rules (CDR)'),
(3316, 'Enable Clinical Passive New Reminder(s) Popup'),
(3317, 'Enable Clinical Passive Reminder Widget'),
(3318, 'Enable Clinical Quality Measure (CQM) Reporting'),
(3319, 'Enable Clinical Reminder Popup'),
(3320, 'Enable Clinical Reminder Widget'),
(3321, 'Enable CMS Portal'),
(3322, 'Enable Compact Mode'),
(3323, 'Enable CQM Report Itemization'),
(3324, 'Enable CQM Reporting'),
(3325, 'Enable Database Connection Pooling'),
(3326, 'Enable Easipro'),
(3327, 'Enable Easipro. For licensing options for this feature, please contact'),
(3328, 'Enable EDI History'),
(3329, 'Enable EDI History In Left Menu'),
(3330, 'Enable Encryption of Items Stored on CouchDB'),
(3331, 'Enable Encryption of Items Stored on Drive'),
(3332, 'Enable Extension'),
(3333, 'Enable Facility'),
(3334, 'Enable Fees In Left Menu'),
(3335, 'Enable Fees Submenu'),
(3336, 'Enable FHIR Provider Client Service'),
(3337, 'Enable follow-up encounters'),
(3338, 'Enable follow-up encounters feature'),
(3339, 'Enable Group Therapy'),
(3340, 'Enable Help Modal'),
(3341, 'Enable Hylafax Support'),
(3342, 'Enable import status message after visiting NewCrop eRx.'),
(3343, 'Enable import status message for NewCrop erx'),
(3344, 'Enable Itemization of AMC Reports'),
(3345, 'Enable Itemization of CQM Reports'),
(3346, 'Enable Itemization of Standard Clinical Rules Reports'),
(3347, 'Enable Lab Exchange'),
(3348, 'Enable lock toggle'),
(3349, 'Enable log for document uploads/downloads to CouchDB'),
(3350, 'Enable logging of all SQL SELECT queries.'),
(3351, 'Enable logging of backup related activities.'),
(3352, 'Enable logging of CDR Engine Queries.'),
(3353, 'Enable logging of miscellaneous activities.'),
(3354, 'Enable logging of ordering activities.'),
(3355, 'Enable logging of patient record modifications.'),
(3356, 'Enable logging of scheduling activities.'),
(3357, 'Enable logging of security and administration activities.'),
(3358, 'Enable MedEx Communication Service'),
(3359, 'Enable NewCrop eRx import status message'),
(3360, 'Enable NewCrop eRx Service'),
(3361, 'Enable NewCrop eRx Service.'),
(3362, 'Enable OAuth2 Password Grant (Not considered secure)'),
(3363, 'Enable OAuth2 Password Grant. Recommend turning this setting off for production server. Recommend only using for testing.'),
(3364, 'Enable Office Ally Insurance Eligibility'),
(3365, 'Enable Offsite Patient Portal'),
(3366, 'Enable Offsite Patient Portal.'),
(3367, 'Enable only one type of portal by checking the relevant check-box'),
(3368, 'Enable Onsite Patient Portal'),
(3369, 'Enable Onsite Patient Portal Document Download'),
(3370, 'Enable Onsite Patient Portal new patient to self register.'),
(3371, 'Enable Onsite Patient Portal.'),
(3372, 'Enable OpenEMR Patient Portal FHIR REST API (EXPERIMENTAL)'),
(3373, 'Enable OpenEMR Patient Portal FHIR RESTful API.'),
(3374, 'Enable OpenEMR Patient Portal REST API (EXPERIMENTAL)'),
(3375, 'Enable OpenEMR Patient Portal RESTful API.'),
(3376, 'Enable OpenEMR REST API'),
(3377, 'Enable OpenEMR RESTful API. SSL Required'),
(3378, 'Enable OpenEMR Standard FHIR REST API'),
(3379, 'Enable OpenEMR Standard FHIR RESTful API.'),
(3380, 'Enable OpenEMR Standard REST API'),
(3381, 'Enable OpenEMR Standard RESTful API.'),
(3382, 'Enable Patient Portal'),
(3383, 'Enable Patient Portal Document Download'),
(3384, 'Enable Patient Portal new patient to self register.'),
(3385, 'Enable Patient Reminder Widget'),
(3386, 'Enable percent-based price levels'),
(3387, 'Enable phiMail Direct Messaging Service'),
(3388, 'Enable Posting'),
(3389, 'Enable Prompting For Automated Measure Calculations (AMC) Required Data'),
(3390, 'Enable Random Drug Testing'),
(3391, 'Enable Reporting of Tracking Date For Automated Measure Calculations (AMC)'),
(3392, 'Enable Scanner Support'),
(3393, 'Enable Standard Report Itemization'),
(3394, 'Enable support for the open source WordPress Portal by Sunset Systems'),
(3395, 'Enable Text Templates in Encounter Forms'),
(3396, 'Enable the Medical Information Integration, LLC Lab Exchange Service.'),
(3397, 'Enable the OpenEMR Support LLC Lab Exchange Service.'),
(3398, 'Enable User Certificate Authentication'),
(3399, 'Enable Version 1 Onsite Patient Portal'),
(3400, 'Enable Version 2 Onsite Patient Portal'),
(3401, 'Enable Version 2 Onsite Patient Portal new patient to self register.'),
(3402, 'Enable Weno eRx Service'),
(3403, 'Enable ZMG, LLC eRx service'),
(3404, 'enabled'),
(3405, 'Enabled'),
(3406, 'Enabled Client'),
(3407, 'Enabled Services'),
(3408, 'Enables choose due date to message'),
(3409, 'Enables groups module in system.'),
(3410, 'Enables the ability to download documents in the Onsite Patient Portal by the user.'),
(3411, 'Enables the ability to download documents in the Patient Portal by the user.'),
(3412, 'Enables the old Charges panel for entering billing codes and payments. Not recommended, use the Fee Sheet instead.'),
(3413, 'Enables to submit changes for all appointments of a recurrence at once.'),
(3414, 'Enabling EMR Direct phiMail'),
(3415, 'Enc'),
(3416, 'Enc#'),
(3417, 'Encnter'),
(3418, 'Encounter'),
(3419, 'encounter'),
(3420, 'Encounter '),
(3421, 'encounter acute inpatient or ED'),
(3422, 'Encounter Balance'),
(3423, 'Encounter Billing Note'),
(3424, 'Encounter Checkup Procedure'),
(3425, 'Encounter Count'),
(3426, 'encounter data'),
(3427, 'Encounter Date'),
(3428, 'Encounter Diagnosis'),
(3429, 'Encounter Dt / Rsn'),
(3430, 'Encounter EDI Record'),
(3431, 'Encounter Esigned'),
(3432, 'Encounter Forms'),
(3433, 'encounter health and behavior assessment'),
(3434, 'Encounter History'),
(3435, 'Encounter ID'),
(3436, 'encounter influenza'),
(3437, 'Encounter Information'),
(3438, 'Encounter Information (encounters)'),
(3439, 'Encounter number'),
(3440, 'Encounter Number'),
(3441, 'encounter nursing discharge'),
(3442, 'encounter nursing facility'),
(3443, 'encounter occupational therapy'),
(3444, 'encounter office visit'),
(3445, 'encounter outpatient'),
(3446, 'encounter outpatient w/PCP & obgyn'),
(3447, 'Encounter Page Size'),
(3448, 'Encounter Payment'),
(3449, 'encounter pregnancy'),
(3450, 'encounter preventive medicine - individual counseling'),
(3451, 'encounter preventive medicine 40 and older'),
(3452, 'encounter preventive medicine group counseling'),
(3453, 'encounter preventive medicine other services'),
(3454, 'encounter preventive medicine services 18 and older'),
(3455, 'Encounter Preview'),
(3456, 'Encounter Provider'),
(3457, 'encounter psychiatric & psychologic'),
(3458, 'Encounter statistics'),
(3459, 'Encounter Summary'),
(3460, 'Encounter type'),
(3461, 'Encounter was coded'),
(3462, 'Encounter:'),
(3463, 'Encounter: encounter non-acute inpt, outpatient, or ophthalmology'),
(3464, 'Encounters'),
(3465, 'Encounters & Forms'),
(3466, 'Encounters &amp; Forms'),
(3467, 'Encounters not authorized'),
(3468, 'Encounters Report'),
(3469, 'Encounters Section'),
(3470, 'Encrypted File'),
(3471, 'Encryption'),
(3472, 'End'),
(3473, 'End (yyyy-mm-dd): '),
(3474, 'End Date'),
(3475, 'End date'),
(3476, 'End Date From'),
(3477, 'End Date leave blank if ongoing'),
(3478, 'End date must be equal or bigger than start date'),
(3479, 'End date must be later than Begin date!'),
(3480, 'End date should be greater than Begin date'),
(3481, 'End Date To'),
(3482, 'End Date:'),
(3483, 'End of Day by Provider or allow Totals Only'),
(3484, 'End Of Day Report'),
(3485, 'End of report'),
(3486, 'End of Requisition'),
(3487, 'End Time'),
(3488, 'End watching server processes for upgrade version'),
(3489, 'End-Stage Renal Disease Beneficiary in MCP with Employer`s Group Plan'),
(3490, 'End-Stage Renal Disease Treatment Facility'),
(3491, 'Ending date'),
(3492, 'Ending date of service yyyy-mm-dd'),
(3493, 'Ending DOS mm/dd/yyyy if you wish to enter a range'),
(3494, 'Ending hour of day for calendar events.'),
(3495, 'Endo Abnormal Blood'),
(3496, 'Endocrine'),
(3497, 'Endoscopy'),
(3498, 'ENDO{{Endocrine}}'),
(3499, 'Enforce E-Mail in Portal Log On Dialog'),
(3500, 'Engineer'),
(3501, 'Engineering Firm'),
(3502, 'English'),
(3503, 'English '),
(3504, 'English (Indian)'),
(3505, 'English (Standard)'),
(3506, 'Enscript command used by Hylafax.'),
(3507, 'Ensure OpenEMR has write privileges to directory'),
(3508, 'Ensure that Identifying Codes are unique'),
(3509, 'ENT Discharge'),
(3510, 'ENT Pain'),
(3511, 'Enter 1 under sequence, more about sequence numbers later'),
(3512, 'Enter a Begin Date'),
(3513, 'Enter a diagnosis code to exclude all invoices not containing it'),
(3514, 'Enter a sequence 1'),
(3515, 'Enter an amendment...'),
(3516, 'Enter an End Date if the problem has been resolved'),
(3517, 'Enter Application Name'),
(3518, 'Enter body of letter here'),
(3519, 'Enter City'),
(3520, 'Enter Database root Password'),
(3521, 'Enter Database root Username'),
(3522, 'Enter Details'),
(3523, 'Enter Details for Custom Favorite Group'),
(3524, 'Enter Details for Discrete Results'),
(3525, 'Enter Details for Group'),
(3526, 'Enter Details for Individual Custom Favorite Item'),
(3527, 'Enter Details for Individual Procedures'),
(3528, 'Enter Details for Recommendation'),
(3529, 'Enter Diagnosis'),
(3530, 'Enter Drugs'),
(3531, 'Enter E-Mail Address'),
(3532, 'Enter email address to receive registration.'),
(3533, 'Enter Encounter'),
(3534, 'Enter Encounter Number'),
(3535, 'Enter Facility Name'),
(3536, 'Enter ID'),
(3537, 'Enter Immunizations'),
(3538, 'Enter Key'),
(3539, 'Enter Last'),
(3540, 'Enter name'),
(3541, 'Enter needed information to help process this particular claim'),
(3542, 'Enter new data'),
(3543, 'Enter new office note here'),
(3544, 'Enter new State'),
(3545, 'Enter Occurrence if appropriate'),
(3546, 'Enter or select the options in the various boxes to filter the results according to need and press Filter'),
(3547, 'Enter Password'),
(3548, 'Enter Provider Details'),
(3549, 'Enter Recipient\'s Direct Address'),
(3550, 'Enter required authentication code'),
(3551, 'Enter Self if None'),
(3552, 'Enter Serum Uric Acid in the Name box'),
(3553, 'Enter Serum Uric Acid order in the Description box'),
(3554, 'Enter Serum Uric Acid result under Description'),
(3555, 'Enter Serum Uric Acid under Name'),
(3556, 'Enter the category data in the appropriate fields and click \'Save\'. These will be used to group the ICD codes and will be displayed on the buttons in the \'Select Codes\' section'),
(3557, 'Enter the code from your authentication application on your device'),
(3558, 'Enter the default range values if applicable, used in manual entry of results.'),
(3559, 'Enter the default units for this test.'),
(3560, 'Enter the details - Name - Well Woman Tests, Description - Well Woman Tests, an appropriate sequence number depending on the procedure orders already entered, Order From - Local Lab'),
(3561, 'Enter the details as follows Name - Blood Glucose, Description - Fasting Glucose result, Sequence - 1, Identifying Code - any unique value - WWT01R, Default Units - mg/dL, Default Range - 70-100, leave Followup Services blank and click Save'),
(3562, 'Enter the Direct address and click Send CCR/Send CCD as the case may be'),
(3563, 'Enter the following: Name - Blood Glucose, Description - Fasting Blood Glucose, Sequence - 1, Order From - Local Lab'),
(3564, 'Enter the laterality of this procedure, if applicable.'),
(3565, 'Enter the Logical Observation Identifiers Names and Codes (LOINC) code for this procedure'),
(3566, 'Enter the Logical Observation Identifiers Names and Codes (LOINC) code for this procedure. LOINC is a database and universal standard for identifying medical laboratory observations.'),
(3567, 'Enter the LOINC code for this procedure'),
(3568, 'Enter the OpenEMR login password for the user and click Submit'),
(3569, 'Enter the Re Identification code'),
(3570, 'Enter the relevant site if applicable.'),
(3571, 'Enter the Server Address, Username, and Password provided to you'),
(3572, 'Enter the Severity of the allergy'),
(3573, 'Enter the specimen type if applicable.'),
(3574, 'Enter the values 3.4 - 7.2 - Men, 2.4–6.1 - Women'),
(3575, 'Enter their OpenEMR username in the notification user field'),
(3576, 'Enter User Login ID'),
(3577, 'Enter values in this section to create a new group also known as Access Request Object (ARO)'),
(3578, 'Enter your credentials'),
(3579, 'Enter your existing current password used to login.'),
(3580, 'Enter your password to sign the form'),
(3581, 'Enter your search criteria above'),
(3582, 'Enter Your Zip'),
(3583, 'Entered By'),
(3584, 'Entered in Error'),
(3585, 'Entered User Name is unavalable!'),
(3586, 'entries'),
(3587, 'Envelope Height in mm'),
(3588, 'Envelope Width in mm'),
(3589, 'Envelope x-axis starting pt'),
(3590, 'Envelope y-axis starting pt'),
(3591, 'Environmental'),
(3592, 'EOB Data Entry'),
(3593, 'EOB Data Entry (eob)'),
(3594, 'EOB Id'),
(3595, 'EOB Invoice'),
(3596, 'EOB Posting - Electronic Remittances'),
(3597, 'EOB Posting - Instructions'),
(3598, 'EOB Posting - Invoice'),
(3599, 'EOB Posting - Patient Note'),
(3600, 'EOB Posting - Search'),
(3601, 'EOBs'),
(3602, 'Epilepsy'),
(3603, 'Episode'),
(3604, 'EPSDT'),
(3605, 'EPSDT:'),
(3606, 'Equals'),
(3607, 'Equivalent contact lens power at the corneal level'),
(3608, 'ERA'),
(3609, 'ERA Files'),
(3610, 'ERA Posting'),
(3611, 'ERA Upload'),
(3612, 'Erase'),
(3613, 'Eraser'),
(3614, 'Erections'),
(3615, 'Error'),
(3616, 'ERROR'),
(3617, 'Error confirming receipt of lab results'),
(3618, 'Error creating directory!'),
(3619, 'Error finding diagnosis element. Try again.'),
(3620, 'Error getting lab results from Lab Exchange Network'),
(3621, 'Error in \"Gender\" selection'),
(3622, 'Error in \"HIPAA\" selection'),
(3623, 'Error in \"Process\" selection'),
(3624, 'Error in \"SMS Gateway\" selection'),
(3625, 'Error in \"Sort By\" selection'),
(3626, 'Error in gzip compression of file: '),
(3627, 'Error in YES or NO option'),
(3628, 'ERROR Missing Patient ID'),
(3629, 'Error number'),
(3630, 'Error opening uploaded file for reading'),
(3631, 'Error processing file'),
(3632, 'Error processing upload'),
(3633, 'Error Removing Message'),
(3634, 'Error retrieving results from Lab Exchange Network'),
(3635, 'Error retrieving values.'),
(3636, 'Error saving document'),
(3637, 'Error when granting file privilege to the OpenEMR user.'),
(3638, 'Error while adding new plan'),
(3639, 'Error while deleting the plan'),
(3640, 'error while registering form!'),
(3641, 'Error while saving to the file'),
(3642, 'Error while updating the plan'),
(3643, 'Error while writing to file'),
(3644, 'Error! Images state save failed.'),
(3645, 'ERROR!... in Update'),
(3646, 'error(s) encountered from new results'),
(3647, 'Error, Class ZipArchive does not exist'),
(3648, 'Error, Could not create file archive'),
(3649, 'Error, the CA Certificate File doesn\'t exist'),
(3650, 'Error, the CA Key File doesn\'t exist'),
(3651, 'Error, the file does not exist'),
(3652, 'ERROR, unable to collect data from server'),
(3653, 'Error, unable to create client certificate.'),
(3654, 'Error, unable to create the admin.p12 certificate.'),
(3655, 'Error, unable to create the Certificate Authority certificate.'),
(3656, 'Error, unable to create the Server certificate.'),
(3657, 'Error, unable to create zip file with all the certificates'),
(3658, 'Error, unable to open file'),
(3659, 'Error, User Certificate Authentication is not enabled in OpenEMR'),
(3660, 'ERROR. Could not open'),
(3661, 'Error. Not authorized'),
(3662, 'Error. Try again later'),
(3663, 'Error. You need to install the Archive/Tar.php php module.'),
(3664, 'ERROR: could not open table.sql, broken form?'),
(3665, 'Error: Duplicated field ID'),
(3666, 'Error: duplicated ID'),
(3667, 'Error: duplicated ID on line'),
(3668, 'Error: duplicated name on line'),
(3669, 'ERROR: Field'),
(3670, 'ERROR: Missing ZipArchive PHP Module'),
(3671, 'ERROR: No ICD import directory.'),
(3672, 'Error: passwords don\'t match. Please check your typing.'),
(3673, 'Error: passwords don\'t match. Please check your typing.'),
(3674, 'Error: the file does not exist'),
(3675, 'ERROR: The following variable contains invalid characters'),
(3676, 'ERROR: Unable to copy the file.'),
(3677, 'Error: Unable to create downloadable archive'),
(3678, 'ERROR: Unable to Create Zip Archive.'),
(3679, 'ERROR: Unable to extract the file.'),
(3680, 'ERROR: Unable to load the file into the database.'),
(3681, 'ERROR: Unable to set the version number.'),
(3682, 'Errors'),
(3683, 'eRx'),
(3684, 'eRx Account Status'),
(3685, 'eRx Logs'),
(3686, 'ERX Name'),
(3687, 'ERX Password'),
(3688, 'ERX Role'),
(3689, 'ERX User'),
(3690, 'Erythema:'),
(3691, 'eSign'),
(3692, 'eSign Log'),
(3693, 'Eskimo'),
(3694, 'Esophoria'),
(3695, 'Esotropia'),
(3696, 'Esperanto'),
(3697, 'Est'),
(3698, 'Established'),
(3699, 'Established Patient'),
(3700, 'Estonian'),
(3701, 'Ethnicity'),
(3702, 'Ethnicity or Race'),
(3703, 'Ethnicity-Race List (write,addonly optional)'),
(3704, 'Ethnicity-Race List (write,addonly optional) (ethrace)'),
(3705, 'Ethnoracial'),
(3706, 'ETIN'),
(3707, 'ETOH'),
(3708, 'ET{{esotropia}}'),
(3709, 'Event'),
(3710, 'Event Begins'),
(3711, 'Event Category'),
(3712, 'Event Date'),
(3713, 'event date or starting date'),
(3714, 'Event Description'),
(3715, 'Event Details'),
(3716, 'Event does not repeat'),
(3717, 'Event Duration'),
(3718, 'Event duration in minutes'),
(3719, 'Event Fee'),
(3720, 'Event Location'),
(3721, 'Event repeats every'),
(3722, 'Event repeats on'),
(3723, 'Event start time'),
(3724, 'Event title'),
(3725, 'Event Title'),
(3726, 'Event Website'),
(3727, 'Events'),
(3728, 'Events for'),
(3729, 'Events open in new window'),
(3730, 'Events Scheduled'),
(3731, 'every'),
(3732, 'Every'),
(3733, 'Every 2nd'),
(3734, 'every 3 hours'),
(3735, 'Every 3rd'),
(3736, 'every 4 hours'),
(3737, 'Every 4th'),
(3738, 'every 5 hours'),
(3739, 'Every 5th'),
(3740, 'every 6 hours'),
(3741, 'Every 6th'),
(3742, 'every 8 hours'),
(3743, 'Every Fourth'),
(3744, 'Every name in the address book appears here, not only physicians.'),
(3745, 'Every Other'),
(3746, 'Every Third'),
(3747, 'Every, every other, every 3rd, etc.'),
(3748, 'Ewe'),
(3749, 'Exam and test results'),
(3750, 'Exam results'),
(3751, 'Exam Room #'),
(3752, 'Exam Room Number'),
(3753, 'Examination'),
(3754, 'Examination Date'),
(3755, 'Example'),
(3756, 'Example authenticator apps include'),
(3757, 'Example Privacy_Agreement.txt becomes Privacy Agreement button in Patient Documents'),
(3758, 'Examples'),
(3759, 'Examples of Sections are - Medications, Allergies, Vital Signs'),
(3760, 'Exams/Tests'),
(3761, 'Exam{{Physical Exam}}'),
(3762, 'Except'),
(3763, 'Excessive Tearing'),
(3764, 'Exclude in Portal'),
(3765, 'Excluded Appointments - Tooltip - Number to Display'),
(3766, 'Excluded Patients'),
(3767, 'Exclusion'),
(3768, 'Exclusive Provider Organization (EPO)'),
(3769, 'Executables not allowed'),
(3770, 'Executive Paper Size'),
(3771, 'Exercise'),
(3772, 'Exercise patterns'),
(3773, 'Exercise Patterns'),
(3774, 'Exist'),
(3775, 'existing claim status is not altered.'),
(3776, 'Existing Forms'),
(3777, 'Exit'),
(3778, 'Exit from Administration'),
(3779, 'Exit Mail'),
(3780, 'Exophoria'),
(3781, 'Exotropia'),
(3782, 'Exp'),
(3783, 'Exp Date'),
(3784, 'Expand'),
(3785, 'expand'),
(3786, 'Expand / Collapse'),
(3787, 'Expand All'),
(3788, 'Expand All Document Categories'),
(3789, 'Expand All Document Categories by Default'),
(3790, 'Expand Form'),
(3791, 'Expand/Collapse this form'),
(3792, 'Expanded View'),
(3793, 'Expected form_encounter.pid to be '),
(3794, 'Expiration'),
(3795, 'Expiration Date'),
(3796, 'Expired'),
(3797, 'Expires'),
(3798, 'expires in'),
(3799, 'Export'),
(3800, 'Export as CSV'),
(3801, 'Export Billing'),
(3802, 'Export Configuration'),
(3803, 'Export File'),
(3804, 'Export Individual Invoices'),
(3805, 'Export OFX'),
(3806, 'Export Patient Demographics'),
(3807, 'Export Patient Demographics XML'),
(3808, 'Export PQRI Report'),
(3809, 'Export QRDA Report'),
(3810, 'Export Selected as CSV'),
(3811, 'Export Selected to Collections'),
(3812, 'Export to CSV'),
(3813, 'Export to external billing system'),
(3814, 'Export Zero Balances'),
(3815, 'Exposure to Foreign Countries'),
(3816, 'Exposure To Foreign Countries'),
(3817, 'Ext'),
(3818, 'Ext Time Collected'),
(3819, 'Extended family'),
(3820, 'External'),
(3821, 'External Data'),
(3822, 'External Data - any external data linked to either encounters or procedures'),
(3823, 'External Data Loads'),
(3824, 'External Database Import Utility'),
(3825, 'External Draw Panel'),
(3826, 'External Exam'),
(3827, 'External Exam Default Values'),
(3828, 'External ID'),
(3829, 'External Id'),
(3830, 'External identifier'),
(3831, 'External Only'),
(3832, 'External Organization'),
(3833, 'External Provider'),
(3834, 'External Referral'),
(3835, 'External Referral Followups'),
(3836, 'External referral?'),
(3837, 'External Referrals'),
(3838, 'Extract the zip file'),
(3839, 'Extracting the file. This will take some time...'),
(3840, 'Exudate:'),
(3841, 'Eye'),
(3842, 'Eye Coding Fields'),
(3843, 'Eye Coding Terms'),
(3844, 'Eye Contact Lens Brand list'),
(3845, 'Eye Contact Lens Manufacturer list'),
(3846, 'Eye Contact Lens Supplier list'),
(3847, 'Eye Dx{{eye diagnosis}}'),
(3848, 'Eye Exam'),
(3849, 'Eye Exam Default Values for New Providers'),
(3850, 'Eye Irritation'),
(3851, 'Eye Lens Material'),
(3852, 'Eye Lens Treatments'),
(3853, 'Eye Med'),
(3854, 'Eye Meds'),
(3855, 'Eye Orders Defaults'),
(3856, 'Eye Pain'),
(3857, 'Eye QP List ANTSEG for New Providers'),
(3858, 'Eye QP List EXT for New Providers'),
(3859, 'Eye QP List RETINA for New Providers'),
(3860, 'Eye Redness'),
(3861, 'Eye Surgery'),
(3862, 'Eyedropper'),
(3863, 'Eyes'),
(3864, 'E{{esophoria}}'),
(3865, 'F'),
(3866, 'F/H Blood Problems'),
(3867, 'F/H Female Hirsutism/Striae'),
(3868, 'Facilities'),
(3869, 'Facility'),
(3870, 'facility'),
(3871, 'Facility Administration'),
(3872, 'Facility City'),
(3873, 'Facility Code'),
(3874, 'Facility Color Schema'),
(3875, 'Facility Country code'),
(3876, 'Facility Fax'),
(3877, 'Facility ID'),
(3878, 'Facility Name'),
(3879, 'Facility NPI'),
(3880, 'Facility Phone'),
(3881, 'Facility reflects the facility in which the visit occurred'),
(3882, 'Facility Specific User Information'),
(3883, 'Facility State'),
(3884, 'Facility Street'),
(3885, 'Facility Taxonomy'),
(3886, 'Facility Zip'),
(3887, 'Facility Zip Code'),
(3888, 'Facility:'),
(3889, 'FAIL'),
(3890, 'Failed'),
(3891, 'failed'),
(3892, 'Failed - already has group with the same name'),
(3893, 'Failed Patients'),
(3894, 'Failed Registration'),
(3895, 'Failed since file already exists'),
(3896, 'Failed to add patient to portal'),
(3897, 'Failed to compute a unique filename'),
(3898, 'Failed to create'),
(3899, 'Failed to create folder'),
(3900, 'Failed to create new group'),
(3901, 'Failed to create temporary folder. CouchDB will not work.'),
(3902, 'Failed to generate'),
(3903, 'Failed to get URL:'),
(3904, 'Failed to send'),
(3905, 'Failed to unregister module.'),
(3906, 'Failed UTF8 encoding check! Could not automatically fix.'),
(3907, 'Failed.'),
(3908, 'failure'),
(3909, 'Failure'),
(3910, 'FAILURE NOTICE: Direct Message Send Failed.'),
(3911, 'FAILURE: Couldn\'t create the zip'),
(3912, 'FAILURE: No patients for measure'),
(3913, 'Falls: Screening, Risk-Assessment, and Plan of Care to Prevent Future Falls (CQM)'),
(3914, 'False'),
(3915, 'Family Health History'),
(3916, 'Family History'),
(3917, 'Family history - Documents the patient\'s family history, an ICD10 diagnosis can be linked to the medical conditions'),
(3918, 'Family History of Glaucoma'),
(3919, 'Family History:'),
(3920, 'Family Member'),
(3921, 'Family Payment'),
(3922, 'Family Size'),
(3923, 'Fancy'),
(3924, 'Faroese'),
(3925, 'Farsi'),
(3926, 'Fasting'),
(3927, 'Fatal'),
(3928, 'Father'),
(3929, 'Fathers History'),
(3930, 'Fatigue'),
(3931, 'Fatigued'),
(3932, 'Favorites'),
(3933, 'Fax'),
(3934, 'Fax Count'),
(3935, 'Fax number'),
(3936, 'Fax sending failed'),
(3937, 'Fax/Scan'),
(3938, 'Faxes In'),
(3939, 'Faxes Out'),
(3940, 'Features'),
(3941, 'Feb'),
(3942, 'February'),
(3943, 'FECA'),
(3944, 'Federal Drug ID'),
(3945, 'Federal EIN'),
(3946, 'Federal Tax ID'),
(3947, 'Federally Qualified Health Center'),
(3948, 'Fee'),
(3949, 'fee'),
(3950, 'Fee is not allowed'),
(3951, 'Fee Sheet'),
(3952, 'Fee Sheet for'),
(3953, 'Fee Sheet Options'),
(3954, 'Fee sheet tab is already opened'),
(3955, 'Fees'),
(3956, 'Female'),
(3957, 'Female AP'),
(3958, 'Female Condoms'),
(3959, 'Female G'),
(3960, 'Female LC'),
(3961, 'Female P'),
(3962, 'Female Symptoms'),
(3963, 'Female VSC'),
(3964, 'Fetch'),
(3965, 'Fetching following file from portal'),
(3966, 'Fever'),
(3967, 'Fever:'),
(3968, 'FH Blood Problems'),
(3969, 'FHD, WUXGA'),
(3970, 'FHIR Server Base Address'),
(3971, 'FH{{Family History}}'),
(3972, 'Fibroids'),
(3973, 'FIDO U2F - Universal 2nd Factor from the Fast IDentity Online alliance'),
(3974, 'Field'),
(3975, 'Field \'name\' cannot be NULL'),
(3976, 'Field ID'),
(3977, 'Field not suitable for edit option M'),
(3978, 'Field type to use for employer or subscriber country in demographics.'),
(3979, 'Field type to use for employer or subscriber state in demographics.'),
(3980, 'Field(s) are missing!'),
(3981, 'FIELD: Text(.a); '),
(3982, 'Fields in This Form'),
(3983, 'Fields{{visual fields}}'),
(3984, 'Fifth account message'),
(3985, 'Fijian'),
(3986, 'File'),
(3987, 'File base name becomes Menu selection'),
(3988, 'File Error'),
(3989, 'file in the Documentation directory to learn how to automate the process of creating log backups'),
(3990, 'file location'),
(3991, 'File management'),
(3992, 'file missing'),
(3993, 'File Name'),
(3994, 'File not found'),
(3995, 'File Not Found'),
(3996, 'File on server (modification date)'),
(3997, 'File path not found.'),
(3998, 'File privilege granted to OpenEMR user.'),
(3999, 'File retrieval from CouchDB failed'),
(4000, 'File Room'),
(4001, 'File to upload'),
(4002, 'File to Upload'),
(4003, 'File with same name already exists at location:'),
(4004, 'Filename'),
(4005, 'Filename must end with \".pdf\"'),
(4006, 'Files'),
(4007, 'Files base name becomes a pending document selection in Portal Documents.'),
(4008, 'Files type white list'),
(4009, 'Files with empty thumbnail'),
(4010, 'filetype is not accepted'),
(4011, 'Filipino'),
(4012, 'fill'),
(4013, 'Fill any of the Below Row.'),
(4014, 'Fill here only if sending email notification to patients'),
(4015, 'Fill in any missing details or edit existing information. This will be saved in the patient\'s demographics page in openEMR'),
(4016, 'Fill in the CPT codes using the displayed format. The common E/M codes are already filled in, add more as needed'),
(4017, 'Fill in the details as required and click Save'),
(4018, 'Fill in the details for the Organ/Disease Panel as before and click Save to close the pop-up'),
(4019, 'Fill in the details in a fashion similar to that used for allergies'),
(4020, 'Fill in the necessary details in a fashion similar to that for Medical Problems'),
(4021, 'Fill in the reason and select a provider and clinic and click the Add Recall button to complete the process'),
(4022, 'Fill in the required details especially for the external facilities and click Save'),
(4023, 'Fill in the values below'),
(4024, 'Fill Instructions'),
(4025, 'Fill the Row.'),
(4026, 'Fill your first and last name'),
(4027, 'Filling in the other fields will help provide additional details pertinent to the referral'),
(4028, 'Filter'),
(4029, 'Filter for Constants'),
(4030, 'Filter for Definitions'),
(4031, 'filtered from'),
(4032, 'Filters'),
(4033, 'filters'),
(4034, 'Final'),
(4035, 'Final Diagnosis'),
(4036, 'Final diagnosis by specialist'),
(4037, 'Final Status'),
(4038, 'Financial'),
(4039, 'Financial Close Date (yyyy-mm-dd)'),
(4040, 'Financial Reporting - anything'),
(4041, 'Financial Reporting - anything (rep_a)'),
(4042, 'Financial Reporting - my encounters'),
(4043, 'Financial Reporting - my encounters (rep)'),
(4044, 'Financial Review'),
(4045, 'Financial Review Date'),
(4046, 'Financial Summary by Service Code'),
(4047, 'Financial transactions corresponding to the date range, if any, will be listed in the table'),
(4048, 'Find'),
(4049, 'Find Available'),
(4050, 'Find Available Appointments'),
(4051, 'Find Available{{Provider}}'),
(4052, 'Find Code History'),
(4053, 'Find Patient'),
(4054, 'Find Patient Education Materials'),
(4055, 'Find Procedure Order'),
(4056, 'Findings'),
(4057, 'Findings by specialist'),
(4058, 'Fine'),
(4059, 'Finish'),
(4060, 'Finish Payments'),
(4061, 'Finished'),
(4062, 'finished'),
(4063, 'Finished Deleting'),
(4064, 'Finnish'),
(4065, 'First'),
(4066, 'First account message'),
(4067, 'First day in the week'),
(4068, 'First day of the week'),
(4069, 'First Modern Contraception at this Clinic (with Prior Contraceptive Use)'),
(4070, 'First Modern Contraceptive Use (Lifetime)'),
(4071, 'First Name'),
(4072, 'First name'),
(4073, 'First Name:'),
(4074, 'First Visit or Consultation'),
(4075, 'First visit: No Old Records'),
(4076, 'First-time visits only'),
(4077, 'Firstname Lastname'),
(4078, 'First{{Name}}'),
(4079, 'Fitness'),
(4080, 'Fitness Level'),
(4081, 'Fitness level for this player on this day'),
(4082, 'Fitness Testing'),
(4083, 'Fitness to Play'),
(4084, 'Fix encounter dates - any encounters'),
(4085, 'Fix encounter dates - any encounters (date_a)'),
(4086, 'Fix this'),
(4087, 'Fixed'),
(4088, 'FL'),
(4089, 'Flash'),
(4090, 'Flatulence'),
(4091, 'Flow'),
(4092, 'Flow Board'),
(4093, 'Flow Board will only display completed checkouts for this many minutes. Zero is continuous display.'),
(4094, 'Flow Board: Allow Date Range'),
(4095, 'Flow Board: Default Ending Date'),
(4096, 'Flow Board: Default Starting Date'),
(4097, 'Flow Board: Disable'),
(4098, 'Flow Board: display completed checkouts (minutes)'),
(4099, 'Flow Board: Enable Random Drug Testing'),
(4100, 'Flow Board: Ending Date'),
(4101, 'Flow Board: Max tests per Patient per year'),
(4102, 'Flow Board: Percentage of Patients to Drug Test'),
(4103, 'Flow Board: Show Encounter Number'),
(4104, 'Flow Board: Show Patient ID'),
(4105, 'Flow Board: Show Staff Action'),
(4106, 'Flow Board: Show Visit Reason'),
(4107, 'Flow Board: Timer Refresh Interval'),
(4108, 'Flu season'),
(4109, 'Flu Season'),
(4110, 'Flu Vaccination'),
(4111, 'Fluid and electrolyte problem'),
(4112, 'FMS'),
(4113, 'Folio Paper Size'),
(4114, 'Follow manually'),
(4115, 'Follow these instructions for installing or upgrading the following database'),
(4116, 'Follow Up'),
(4117, 'Follow up for'),
(4118, 'Follow Up Note'),
(4119, 'Follow Up Reason'),
(4120, 'Following audit log entry number is missing'),
(4121, 'Following is a new custom constant:'),
(4122, 'Following is a new custom language:'),
(4123, 'Following is a new definition (Language, Constant, Definition):'),
(4124, 'Following rows in the audit log have been tampered'),
(4125, 'Followup Services'),
(4126, 'Followups Indicated'),
(4127, 'Font Size'),
(4128, 'Font Size in Pt'),
(4129, 'Food Intolerance'),
(4130, 'Foot'),
(4131, 'Foot Problems'),
(4132, 'Foot:'),
(4133, 'Football Injuries'),
(4134, 'Football Injury'),
(4135, 'Football Injury Report'),
(4136, 'Footwear Type'),
(4137, 'for'),
(4138, 'For'),
(4139, 'for '),
(4140, 'For a Recognized Panel of Tests'),
(4141, 'For a search to show results the codes must exist in the database.'),
(4142, 'For added ease of use the Fee Sheet needs to be customized'),
(4143, 'For an existing patient, go to Patient Summary->Documents. For a new patient, go to Miscellanous->New Documents'),
(4144, 'For code'),
(4145, 'For Custom Groups'),
(4146, 'For Dates'),
(4147, 'For detailed instructions close the \'Enter Details\' pop-up and click on the Help icon on the main form. '),
(4148, 'For detailed instructions close the \'Enter Provider Details\' popup and click on the Help icon on the main form. '),
(4149, 'For each issue type there is a list of commonly selected titles which are customizable for your clinic\'s specific needs'),
(4150, 'For ease of use it is rendered as a unique 6 digit number'),
(4151, 'For editing the values under Procedures you would need to modify'),
(4152, 'For Encounter Claims'),
(4153, 'for Encounter on'),
(4154, 'For example:'),
(4155, 'For example: Privacy_Agreement.txt becomes Privacy Agreement button in Patient Documents.'),
(4156, 'For Firefox click'),
(4157, 'For full billing functionality in the United States CPT/HCPCS codes will then need to be installed'),
(4158, 'For HCFA 02/12 Box 15 is Other Date with a qualifier to specify what the date indicates'),
(4159, 'For HCFA 02/12 Onset date specified on the Encounter Form needs a qualifier'),
(4160, 'For Identifying Code use 34392 the code used by a major lab, if using an external lab this is a vendor specific code if not you can assign any unique value'),
(4161, 'for Invoice'),
(4162, 'For manual lab entry you can give the organization any name  - e.g Local Lab and click Save'),
(4163, 'For Medicare only, forces the referring provider to be the same as the rendering provider.'),
(4164, 'For more information on Issues see the '),
(4165, 'for OBR placer order number'),
(4166, 'for patient'),
(4167, 'For procedures performed in the practice, whether it is an office based procedure or a lab or radiological procedure done in the facility, the provider can be defined as Local Lab, Office Based or have any descriptive name'),
(4168, 'For proper display of results the Identifying Codes for each test entered in the Procedure Orders module has to be unique'),
(4169, 'For proper display of results this is a required field'),
(4170, 'For proper display of the order and results the entry indicating a result has to be the immediate successor or child of an order'),
(4171, 'For proper tabulated display of tests and results an identifying code is required'),
(4172, 'For Provider'),
(4173, 'For Referred Organization/Practitioner'),
(4174, 'For the deceased notification to appear the date of death must be noted under Medical Dashboard > Edit Demographics > Misc'),
(4175, 'For the name to appear on the drop-down list it must be first entered in Administration > Address Book '),
(4176, 'For the past'),
(4177, 'For the Procedure Module to be useful several tests have to be setup using the above methods'),
(4178, 'For the Standard Code use the LOINC code 24326-1'),
(4179, 'For this name to show in the drop-down box in the Procedures > Providers setup page select only Lab Service as the Type even if it represents a Radiological facility'),
(4180, 'for this patient not yet assigned to any encounter.'),
(4181, 'For those interested details of OTP'),
(4182, 'For those interested in details of what constitutes a Continuity of Care Record (CCR) click on the eye icon'),
(4183, 'For those interested in what happens under the hood'),
(4184, 'For those lines the Description will indicate the details of the code'),
(4185, 'For those with administrative privileges an icon is displayed next to the My Messages caption'),
(4186, 'For TOTP to work a unique secret key must be shared between OpenEMR and the user'),
(4187, 'For U2F support on Linux click'),
(4188, 'for variable'),
(4189, 'for:'),
(4190, 'Force Billing Widget Open'),
(4191, 'Force Create New Patient'),
(4192, 'Force logging of all Emergency User (ie. breakglass) activities.'),
(4193, 'Force Show'),
(4194, 'Forearm'),
(4195, 'Form'),
(4196, 'form'),
(4197, 'Form element not found'),
(4198, 'Form Keys'),
(4199, 'Form signed successfully'),
(4200, 'Form validation failed. Fix any errors and resubmit.'),
(4201, 'Format'),
(4202, 'format'),
(4203, 'Format for age display'),
(4204, 'Format incorrect for NDC'),
(4205, 'Format used to display most dates.'),
(4206, 'Format used to display most times.'),
(4207, 'Formatted Report'),
(4208, 'Former smoker'),
(4209, 'Forms'),
(4210, 'Forms Administration'),
(4211, 'Forms Administration (forms)'),
(4212, 'Forms Esigned'),
(4213, 'Formularies are inserted into table'),
(4214, 'Formularies inserted into table'),
(4215, 'Forward'),
(4216, 'FORWARD A DATED REMINDER'),
(4217, 'Forward message to practice.'),
(4218, 'Forward one drawing'),
(4219, 'Forward Pages via Fax'),
(4220, 'Forward this Reminder'),
(4221, 'Forward to current canvas'),
(4222, 'Forwarded'),
(4223, 'Forwarded Portal Message Re: '),
(4224, 'Foster Child'),
(4225, 'Fourth'),
(4226, 'Fourth account message'),
(4227, 'Fracture'),
(4228, 'Fracture at the Navicula'),
(4229, 'Fracture lateral malleolus'),
(4230, 'Fracture medial malleolus'),
(4231, 'Fracture, Base of fifth (5th) Metatarsal'),
(4232, 'Frame'),
(4233, 'Frame support required'),
(4234, 'Free authenticator app'),
(4235, 'French'),
(4236, 'French (Canadian)'),
(4237, 'French (Standard)'),
(4238, 'Frequency'),
(4239, 'Frequent Colds'),
(4240, 'Frequent Illness'),
(4241, 'Fri'),
(4242, 'Friday'),
(4243, 'Friend'),
(4244, 'From'),
(4245, 'FROM'),
(4246, 'from'),
(4247, 'From Date Cannot be Greater than To Date.'),
(4248, 'From date should be less than To date'),
(4249, 'From Period'),
(4250, 'From the Issues Menu item on the Nav Bar'),
(4251, 'From the Patient dashboard via the individual Issues widgets on the right hand column'),
(4252, 'From your clinic'),
(4253, 'From:'),
(4254, 'From: '),
(4255, 'FROM_CITY'),
(4256, 'FROM_EMAIL'),
(4257, 'FROM_FNAME'),
(4258, 'FROM_LNAME'),
(4259, 'FROM_MNAME'),
(4260, 'FROM_PHONE'),
(4261, 'FROM_PHONECELL'),
(4262, 'FROM_POSTAL'),
(4263, 'FROM_STATE'),
(4264, 'FROM_STREET'),
(4265, 'FROM_TITLE'),
(4266, 'FROM_VALEDICTORY'),
(4267, 'Front Office'),
(4268, 'Front Office Receipts'),
(4269, 'Front Office Receipts Report'),
(4270, 'Front Rec'),
(4271, 'Frontal Right:'),
(4272, 'Fr{{Friday}}'),
(4273, 'FTCF{{Full to count fingers}}'),
(4274, 'FTN{{Finger Tension abbreviation}}'),
(4275, 'FT{{finger tension}}'),
(4276, 'Fula- Fulah- Pulaar- Pular'),
(4277, 'Full Logging'),
(4278, 'Full Name'),
(4279, 'Full or Initial'),
(4280, 'Full path to directory containing MySQL executables.'),
(4281, 'Full path to directory containing Perl executables.'),
(4282, 'Full path to directory for event log backup.'),
(4283, 'Full path to directory used for temporary files.'),
(4284, 'Full Play'),
(4285, 'Full Screen'),
(4286, 'Full Training'),
(4287, 'Fullscreen'),
(4288, 'Fully Paid'),
(4289, 'Functional and Cognitive Status'),
(4290, 'Functional and Cognitive Status Form'),
(4291, 'Functional Cognitive Status'),
(4292, 'Functional Condition'),
(4293, 'Funding Source'),
(4294, 'Further information regarding using the e-prescribing modules can be found by clicking this link'),
(4295, 'Future'),
(4296, 'Future Appointments'),
(4297, 'F{{Friday}}'),
(4298, 'G'),
(4299, 'G/DL'),
(4300, 'Galaxy S9/S9 Plus'),
(4301, 'Galician'),
(4302, 'Gall Bladder Condition'),
(4303, 'Gall Stones'),
(4304, 'Game Period'),
(4305, 'Games'),
(4306, 'Games Missed'),
(4307, 'games/events'),
(4308, 'Games/Events Missed'),
(4309, 'Ganda'),
(4310, 'Gastritis'),
(4311, 'Gastro Pain'),
(4312, 'Gastrointestinal'),
(4313, 'Gateway API Login Auth Name or Secret'),
(4314, 'Gateway Publishable Key'),
(4315, 'Gateway Transaction Key'),
(4316, 'GCAC Statistics Report'),
(4317, 'GCAC Stats'),
(4318, 'GCAC visit form is missing'),
(4319, 'Gender'),
(4320, 'Gender '),
(4321, 'General'),
(4322, 'General data'),
(4323, 'General Issue List'),
(4324, 'General physician'),
(4325, 'General Service Category'),
(4326, 'General Tab - lists the risk factors / past medical conditions on the left and the Results of various clinical exams, procedures and tests on the right'),
(4327, 'General Theme'),
(4328, 'General Theme (need to logout/login after change this setting)'),
(4329, 'Generally a good idea to include it'),
(4330, 'Generally, the first field in a group should be Label Cols = 1 Data Cols = number of Layout columns from Group Properties.'),
(4331, 'Generate'),
(4332, 'Generate and download CMS 1500 paper claims'),
(4333, 'Generate and download CMS 1500 paper claims on Preprinted form'),
(4334, 'Generate and download HCFA 1500 paper claims'),
(4335, 'Generate and download UB-04 CMS1450'),
(4336, 'Generate and download UB-04 CMS1450 with form'),
(4337, 'Generate and download X12 batch'),
(4338, 'Generate and download X12 encounter claim batch'),
(4339, 'Generate and transmit permissible prescriptions electronically (All Prescriptions).'),
(4340, 'Generate and transmit permissible prescriptions electronically (Not including controlled substances).'),
(4341, 'Generate and transmit permissible prescriptions electronically.'),
(4342, 'Generate CMS 1500'),
(4343, 'Generate CMS 1500 PDF'),
(4344, 'Generate CMS 1500 TEXT'),
(4345, 'Generate HCFA'),
(4346, 'Generate Institutional X12 837I'),
(4347, 'Generate Invoice'),
(4348, 'Generate Letter'),
(4349, 'Generate Letter regarding '),
(4350, 'Generate new key'),
(4351, 'Generate PQRI report (Method A)'),
(4352, 'Generate PQRI report (Method A) - 2011'),
(4353, 'Generate PQRI report (Method E)'),
(4354, 'Generate PQRI report (Method E) - 2011'),
(4355, 'Generate QRDA I – 2014'),
(4356, 'Generate QRDA III - 2014'),
(4357, 'Generate Report'),
(4358, 'Generate Report - that opens the CCD in a separate tab on the browser'),
(4359, 'Generate Report - that opens the CCR in a separate tab on the browser'),
(4360, 'Generate Report that creates a report and displays it in a separate tab on the browser '),
(4361, 'Generate safe key'),
(4362, 'Generate thumbnail'),
(4363, 'Generate thumbnail images'),
(4364, 'Generate Thumbnails'),
(4365, 'Generate Username And Password For'),
(4366, 'Generate X12'),
(4367, 'Generate X12 837I'),
(4368, 'Generate X12 Encounter'),
(4369, 'Generate/Download QRDA I - 2014'),
(4370, 'Generated on'),
(4371, 'Generated thumbnail(s)'),
(4372, 'Generates'),
(4373, 'Genericname1'),
(4374, 'Genericname2'),
(4375, 'Genericval1'),
(4376, 'Genericval2'),
(4377, 'Genitourinary'),
(4378, 'Genitourinary medicine physician'),
(4379, 'GEN{{General}}'),
(4380, 'Georgian'),
(4381, 'German'),
(4382, 'Gest age'),
(4383, 'Gestational Age'),
(4384, 'Get History'),
(4385, 'GET HL7'),
(4386, 'Get HL7'),
(4387, 'Get Started'),
(4388, 'Give a Name to this group, in our case it will be called Serum Chemistry'),
(4389, 'Give it a sequence number of 3'),
(4390, 'GI{{Gastrointestinal}}'),
(4391, 'Glare{{Acuity under Glare conditions}}'),
(4392, 'Glaucoma'),
(4393, 'Glaucoma Family History'),
(4394, 'Glaucoma Zone'),
(4395, 'Global'),
(4396, 'Global All Patients'),
(4397, 'Global Default Patient Country'),
(4398, 'Global ID'),
(4399, 'Global Settings'),
(4400, 'Globals'),
(4401, 'GM/DL'),
(4402, 'GO'),
(4403, 'Go'),
(4404, 'go'),
(4405, 'Go Back'),
(4406, 'Go back'),
(4407, 'Go to'),
(4408, 'Go to Administration > Address Book > Add New'),
(4409, 'Go to Administration > Globals > CDR > Dated reminders maximum alerts to show and change the value to a higher number'),
(4410, 'Go to Administration > Globals > Connectors'),
(4411, 'Go to Administration > Globals > Connectors and check the Enable MedEx Communication Service check box and click Save'),
(4412, 'Go to Administration > Lists, select each one of the above lists from the drop-down box and make changes as needed'),
(4413, 'Go to Administration > Lists. Select \'Fee Sheet\' from the dropdown box'),
(4414, 'Go to Adminstration > Codes. Select ICD 10 under Type, enter ICD 10 Code, enter Description, under category select an appropriate category, this ICD 10 code will then appear when the button with that category is clicked'),
(4415, 'Go to Adminstration > Lists and select \'Code Types\' from the dropdown box. Use either ICD 9 or ICD 10, inactivate ICD 9 and select \'No\' in the last dropdown box under ICD 10'),
(4416, 'Go to Procedures > Providers and click on the Add New button'),
(4417, 'Go to week of'),
(4418, 'Go Today'),
(4419, 'Goal A'),
(4420, 'Goal and Methods'),
(4421, 'Goal B'),
(4422, 'Goal C'),
(4423, 'Gonioscopy'),
(4424, 'Gonio{{Gonioscopy abbreviation}}'),
(4425, 'Google Auth'),
(4426, 'Got It'),
(4427, 'Grace Period'),
(4428, 'Grade of Injury'),
(4429, 'Grade:'),
(4430, 'grams'),
(4431, 'Grand Total'),
(4432, 'Grand Totals'),
(4433, 'Grandchild'),
(4434, 'Grandparent'),
(4435, 'Graphable'),
(4436, 'Great Grandparent'),
(4437, 'Greater Than'),
(4438, 'Greater Than or Equal To'),
(4439, 'Greek'),
(4440, 'Greek, Modern'),
(4441, 'Green lines show changes that were successfully applied.'),
(4442, 'Group'),
(4443, 'Group > Group > Procedure Order > Discrete Result'),
(4444, 'Group > Procedure Order > Discrete Result'),
(4445, 'Group appointments'),
(4446, 'Group Attendance Form'),
(4447, 'Group Attendance Statuses'),
(4448, 'Group detailed log of appointment in patient record'),
(4449, 'Group detailed log of appointment in patient record (gdlog)'),
(4450, 'Group Details'),
(4451, 'Group Encounter'),
(4452, 'Group Encounter Form'),
(4453, 'Group encounter log'),
(4454, 'Group encounter log (glog)'),
(4455, 'Group Finder'),
(4456, 'Group Home'),
(4457, 'Group Id'),
(4458, 'Group name'),
(4459, 'Group Name'),
(4460, 'Group names cannot be blank'),
(4461, 'Group names cannot start with numbers or spaces.'),
(4462, 'Group names cannot start with numbers.'),
(4463, 'Group Number'),
(4464, 'Group number'),
(4465, 'Group Payment'),
(4466, 'Group Properties'),
(4467, 'Group Search'),
(4468, 'Group Statuses'),
(4469, 'Group Type'),
(4470, 'Group\'s name'),
(4471, 'Group:'),
(4472, 'Groupname'),
(4473, 'Groups'),
(4474, 'Groups (groups)'),
(4475, 'Groups and Access Controls'),
(4476, 'Growth Chart'),
(4477, 'Growth-Chart'),
(4478, 'gtts(drops)'),
(4479, 'Guamanian'),
(4480, 'Guarani'),
(4481, 'Guaraní'),
(4482, 'Guardian'),
(4483, 'Guardian Email Address'),
(4484, 'Guardian\'s Name'),
(4485, 'Guardians Name'),
(4486, 'Guest counselors'),
(4487, 'Gujarati'),
(4488, 'GU{{Genitourinary}}'),
(4489, 'Gynecological Exam'),
(4490, 'h'),
(4491, 'H(T){{intermittent hypertropia}}'),
(4492, 'h.s.'),
(4493, 'H/O Hepatitis'),
(4494, 'had been successfully deleted. Any sub-categories if present were moved below'),
(4495, 'Haematoma / bruising'),
(4496, 'HAI Status'),
(4497, 'Haitian- Haitian Creole'),
(4498, 'Half-Sibling'),
(4499, 'Hand + fingers'),
(4500, 'Hand Problems'),
(4501, 'Handicapped dependent'),
(4502, 'Happy Birthday'),
(4503, 'Hard copy OTP'),
(4504, 'Hard copy OTP is used for online banking in some countries'),
(4505, 'Hard Disk'),
(4506, 'Hardship w/o'),
(4507, 'has been linked to visit'),
(4508, 'has expired'),
(4509, 'Hash'),
(4510, 'Hash Algorithm for Authentication'),
(4511, 'Hash did not exist for this file. A new hash was generated.'),
(4512, 'Hash does not match. Data integrity has been compromised.'),
(4513, 'Hashing algorithm for authentication. Suggest PHP Default unless you know what you are doing.'),
(4514, 'Hausa'),
(4515, 'Hawaiian'),
(4516, 'Hazardous activities'),
(4517, 'Hazardous Activities'),
(4518, 'HB{{abbreviation for Horizontal Prism Base}}'),
(4519, 'HCFA 1500 or CMS 1500 - both refer to the same form. Prior to 2001 the federal agency within the United States Department of Health and Human Services (HHS) that administers the Medicare program was called Health Care Financing Administration (HCFA) since then it is called Centers for Medicare & Medicaid Services (CMS)'),
(4520, 'HCFA FORM'),
(4521, 'HCFA left margin in points'),
(4522, 'HCFA Margins'),
(4523, 'HCFA top margin in points'),
(4524, 'HCPCS Procedure/Service'),
(4525, 'HD'),
(4526, 'HD+'),
(4527, 'he PostCalendar '),
(4528, 'Head'),
(4529, 'Head Circ'),
(4530, 'Head Circumference'),
(4531, 'Headache'),
(4532, 'Headaches'),
(4533, 'Header'),
(4534, 'health care operations'),
(4535, 'Health Care Operations'),
(4536, 'Health Care Providers'),
(4537, 'Health centre/clinic'),
(4538, 'Health Insurance Claim Form'),
(4539, 'Health Level-7 or HL7 refers to a set of international standards for transfer of clinical and administrative data between software applications used by various healthcare providers'),
(4540, 'Health Maintenance Organization'),
(4541, 'Health Maintenance Organization (HMO) Medicare Risk'),
(4542, 'Hearing Loss'),
(4543, 'Heart Attack'),
(4544, 'Heart Disease'),
(4545, 'Heart Failure'),
(4546, 'Heart Problem'),
(4547, 'Heart Problems'),
(4548, 'Heart Surgery'),
(4549, 'Heart Transplant'),
(4550, 'HEART:'),
(4551, 'Heartburn'),
(4552, 'Heat or Cold'),
(4553, 'Heat Or Cold'),
(4554, 'Heavy tobacco smoker'),
(4555, 'Hebrew'),
(4556, 'Hebrew (modern)'),
(4557, 'HEENT'),
(4558, 'Height'),
(4559, 'Height/Length'),
(4560, 'Help'),
(4561, 'help'),
(4562, 'Help content goes here'),
(4563, 'Hematemesis'),
(4564, 'Hematochezia'),
(4565, 'Hematologic'),
(4566, 'Hematuria'),
(4567, 'Hemoglobin'),
(4568, 'Hemoglobin A1C'),
(4569, 'Hemoptysis'),
(4570, 'Hepatitis'),
(4571, 'Hepatitis A 1'),
(4572, 'Hepatitis A 2'),
(4573, 'Hepatitis B 1'),
(4574, 'Hepatitis B 2'),
(4575, 'Hepatitis B 3'),
(4576, 'here'),
(4577, 'Here is what we do know.'),
(4578, 'Here you can customize the ACL further.'),
(4579, 'Herero'),
(4580, 'Hernia Repair'),
(4581, 'Herniated Disc'),
(4582, 'Herpes'),
(4583, 'Hertel Exophthalmometry'),
(4584, 'HERT{{Hertel exophthalmometry}}'),
(4585, 'Hesitancy'),
(4586, 'heyyo. you have been here for '),
(4587, 'Hib 1'),
(4588, 'Hib 2'),
(4589, 'Hib 3'),
(4590, 'Hib 4'),
(4591, 'Hidden'),
(4592, 'Hidden Events Administration'),
(4593, 'Hide'),
(4594, 'Hide Billing Widget'),
(4595, 'Hide Details'),
(4596, 'Hide Empty E-Sign Logs On Report'),
(4597, 'Hide Encryption/Decryption Options In Document Management'),
(4598, 'Hide Help Modal'),
(4599, 'Hide Menu'),
(4600, 'Hide print feature'),
(4601, 'Hide Reminders'),
(4602, 'hide this field'),
(4603, 'Hide/Show Columns'),
(4604, 'HIE'),
(4605, 'High'),
(4606, 'High (high)'),
(4607, 'High Blood Pressure'),
(4608, 'High{{Priority}}'),
(4609, 'Hindi'),
(4610, 'Hip + groin'),
(4611, 'Hip and groin'),
(4612, 'Hip Problems'),
(4613, 'Hip Replacement'),
(4614, 'Hipaa Message'),
(4615, 'HIPAA Notice Received'),
(4616, 'Hiri Motu'),
(4617, 'Hirsutism/Striae'),
(4618, 'Hispanic'),
(4619, 'Hispanic - Other (Born in US)'),
(4620, 'Hispanic - Other (Born outside US)'),
(4621, 'Hispanic or Latino'),
(4622, 'Historical information -source unspecified'),
(4623, 'History'),
(4624, 'History & Lifestyle'),
(4625, 'History - patient\'s past medical history, family history, personal history'),
(4626, 'History and Lifestyle'),
(4627, 'History and Lifestyle Help'),
(4628, 'History and Physical 2008'),
(4629, 'History Data'),
(4630, 'History Date'),
(4631, 'History Fields'),
(4632, 'History Murmur'),
(4633, 'History not authorized'),
(4634, 'History of Heart Murmur'),
(4635, 'History of Present Illness: A detailed HPI may be completed by using either four or more HPI elements OR the status of three chronic or inactive problems.'),
(4636, 'History Order'),
(4637, 'History order'),
(4638, 'Hits'),
(4639, 'HIV'),
(4640, 'Hives'),
(4641, 'HL7'),
(4642, 'HL7 - MSH-11 - Processing ID'),
(4643, 'HL7 - MSH-3.1 - Sending application'),
(4644, 'HL7 - MSH-4.1 - Sending facility'),
(4645, 'HL7 - MSH-5.1 - Receiving application'),
(4646, 'HL7 - MSH-6.1 - Receiving facility'),
(4647, 'HL7 Code'),
(4648, 'HL7 is supported by more than 1,600 members from over 50 countries, making it a widely accepted standard'),
(4649, 'HL7 Viewer'),
(4650, 'HL7-V3 Concept Code'),
(4651, 'HMOL/L'),
(4652, 'Hmong'),
(4653, 'Hold down [Ctrl] for multiple selections or to unselect'),
(4654, 'Hold down Ctrl button to select multiple issues'),
(4655, 'Hold down Ctrl to select multiple items'),
(4656, 'Hold down Ctrl to select multiple squads'),
(4657, 'Holidays management'),
(4658, 'Home'),
(4659, 'Home Phone'),
(4660, 'Home Phone Number'),
(4661, 'Homeless'),
(4662, 'Homeless or similar?'),
(4663, 'Homeless Shelter'),
(4664, 'Homeless, etc'),
(4665, 'Homeless, etc.'),
(4666, 'Hooks'),
(4667, 'Horiz Base{{abbreviation for Horizontal Prism Base}}'),
(4668, 'Horiz Prism{{abbreviation for Horizontal Prism Power}}'),
(4669, 'Horizontal Prism Base'),
(4670, 'Horizontal Prism Power'),
(4671, 'Hospice'),
(4672, 'Hospital date needed for successful billing of hospital encounters'),
(4673, 'Host'),
(4674, 'Host Name'),
(4675, 'Host Name cannot be empty'),
(4676, 'hour'),
(4677, 'Hour'),
(4678, 'Hours'),
(4679, 'hours'),
(4680, 'How bad is it? 0-10, mild, mod, severe?'),
(4681, 'How did Injury Occur?'),
(4682, 'How did Injury Occur?:'),
(4683, 'How did they hear about us'),
(4684, 'How long does it last?'),
(4685, 'How many months ahead to query for upcoming events?'),
(4686, 'How Referred'),
(4687, 'How to sort a drop-lists'),
(4688, 'How-to Build the Impression/Plan'),
(4689, 'However SMS text messages can be intercepted and the use of SMS as a method of implementing out-of-band two-factor authentication is discouraged'),
(4690, 'HPI'),
(4691, 'HPI Elements'),
(4692, 'HPI:'),
(4693, 'HP{{abbreviation for Horizontal Prism Power}}'),
(4694, 'HT'),
(4695, 'HTML'),
(4696, 'HTML Output?'),
(4697, 'HTN{{hypertension}}'),
(4698, 'Http Error'),
(4699, 'Https link for the OpenEMR Support LLC Lab Exchange Service.'),
(4700, 'HT{{hyperphoria}}'),
(4701, 'Hungarian'),
(4702, 'Hylafax Directory'),
(4703, 'Hylafax Enscript Command'),
(4704, 'Hylafax Server'),
(4705, 'Hylafax server hostname.'),
(4706, 'Hyperactive'),
(4707, 'Hyperphoria'),
(4708, 'Hypertension'),
(4709, 'Hypertension: Blood Pressure Measurement'),
(4710, 'Hypertension: Blood Pressure Measurement (CQM)'),
(4711, 'Hyperthyroidism'),
(4712, 'hypo(T){{intermittent hypotropia}}'),
(4713, 'Hypothyroidism'),
(4714, 'Hypotropia'),
(4715, 'hypoT{{hypotropia}}'),
(4716, 'Hysterectomy'),
(4717, 'I'),
(4718, 'I am busy during this time.'),
(4719, 'I do not have permission to read '),
(4720, 'I have read and accept the'),
(4721, 'I have read and my practice agrees to the'),
(4722, 'I know but we need it!'),
(4723, 'IBAN'),
(4724, 'ICD'),
(4725, 'ICD10 Diagnosis'),
(4726, 'ICD10 Procedure/Service'),
(4727, 'ICD9'),
(4728, 'ICD9 Diagnosis'),
(4729, 'ICD9 Procedure/Service'),
(4730, 'Icelandic'),
(4731, 'icon'),
(4732, 'Icon Legend'),
(4733, 'Icons'),
(4734, 'ID'),
(4735, 'id'),
(4736, 'Id'),
(4737, 'ID - select a unique three letter id, all in lower case'),
(4738, 'ID cannot be blank'),
(4739, 'ID Card'),
(4740, 'ID Card/Photos - will display any ID Card or patient photo that has been uploaded to Documents > Patient Information > Patient ID Card and Patient Photograph folders'),
(4741, 'ID Number (ETIN)'),
(4742, 'IDays'),
(4743, 'identified as'),
(4744, 'Identifier'),
(4745, 'Identifier(one word)'),
(4746, 'Identifying Code'),
(4747, 'Idle Session Timeout Seconds'),
(4748, 'Ido'),
(4749, 'if'),
(4750, 'If a field\'s Data Col = 0 the data field will immediately follow its label field on the same line'),
(4751, 'If a field\'s Label Col = 0 the label will immediately follow the previous data field in the Order sequence, on the same line as the Data field.'),
(4752, 'If a field\'s Label Col = 1 the label field will go to a new line unless the previous field\'s total column values (Label + Data) is less than number of Layout columns from Group Properties or Layout Properties.'),
(4753, 'If a product is sold then change the default to reflect required number. Leave it at one for procedures'),
(4754, 'If a wrong code was selected click on the Coding text-box to to bring up the Select Codes pop-up page'),
(4755, 'If all data for all columns are complete for this form'),
(4756, 'If all the details were entered correctly you will see Blood Glucose in the Name column with a vertical bar before it indicating that it has no descendants or children, Result in the Category column, WWT01R in the Code column, the Tier column value should be 3 and the Description column should say Fasting Glucose result'),
(4757, 'If billing justification is used enter the name of the diagnosis code type.'),
(4758, 'If configured correctly the Name column should say Blood Glucose with a vertical bar before it indicating no descendants or children, the Category column should say Custom Order and both Name and Category columns will be highlighted in pink indicating a custom grouped order'),
(4759, 'If desired the current message can be printed'),
(4760, 'If enabled, this will send the execution time it took to verify hash to the php error log.'),
(4761, 'If enabled, use LDAP for login and authentication.'),
(4762, 'If enabled, uses the specified active directory for login and authentication.'),
(4763, 'if entered, select only those who have had this service'),
(4764, 'If it it still active i.e. End Date is not entered it will be displayed in red, if the problem has an end Date then it will be displayed in black'),
(4765, 'If name, any part of lastname or lastname,firstname'),
(4766, 'If NewCrop eRx - the electronic prescription module, is enabled the NewCrop MedEntry and NewCrop Account Status buttons will be appear here'),
(4767, 'If not listed you can add the drug to the Title text-box'),
(4768, 'If only capture the QR code but do not register the TOTP key with OpenEMR this feature will not be enabled at login'),
(4769, 'If patient has appointment click OK to create encounter otherwise, cancel this and then create an encounter for today visit.'),
(4770, 'If paying by'),
(4771, 'If person is deceased, then enter date of death.'),
(4772, 'If phone is lost will not be able to login'),
(4773, 'If privileges have to be modified then it can be done either one user at a time at Administration > Users or more conveniently on this page i.e. Administration > ACL where all users are listed on one page and more options are available.'),
(4774, 'If set as high will restrict visibility of encounter to users belonging to certain groups (AROs). By default - Physicians and Administrators'),
(4775, 'If SMTP is used, the server`s hostname or IP address.'),
(4776, 'If SMTP is used, the server`s TCP port number (usually 25).'),
(4777, 'If so desired the default board can be disabled by going to Administration > Calendar > Recall Board: Disable and checking the checkbox and click Save'),
(4778, 'If so you will have to create individual Procedure Orders (the orders) for these tests along with Discrete Results (the place to enter and display the returned result)'),
(4779, 'If successful it authenticates the user'),
(4780, 'If the checkbox is checked and the message is sent to multiple users then each user has to sign off on the message by clicking the Set As Completed Button for that message'),
(4781, 'If the checkbox is checked then each individual of a group receiving this message will have to sign off by clicking the Set As Completed button'),
(4782, 'If the csv file has been uploaded, then click on the \"Import holiday events\" button. NOTE that clicking on the button will remove all the existing rows in the calendar_external table'),
(4783, 'If the desired title is not included, it can be typed into the text box below the list'),
(4784, 'If the displayed table says No matching record found it means that the ICD10 code set is not installed'),
(4785, 'If the help file does not exist create one and place it in'),
(4786, 'If the issue has not been linked to an encounter it will display 0'),
(4787, 'If the medical problem is not listed in the drop-down box click on Coding text-box to bring up the Select Codes pop-up page'),
(4788, 'If the message is forwarded it will show up in the active messages list of the user to whom the message was forwarded and disappear from the current user\'s active messages list'),
(4789, 'If the Offsite Patient portal is enabled there will be either a button that says Create Offsite Portal Credentials provided the patient has given permission to access the online patient portal or a message that says Patient has not authorized the Patient Portal'),
(4790, 'If the Online Patient portal is enabled there will be either a button that says Create Online Portal Credentials provided the patient has given permission to access the online patient portal or a message that says Patient has not authorized the Patient Portal'),
(4791, 'If the Online/Offsite Portal Credentials has already been set the button will change to'),
(4792, 'If the patient has any demographic data entered in openEMR it will automatically populate the relevant fields on the right sections'),
(4793, 'If the patient has not authorized patient portal then a Patient has not authorized the Patient Portal message will be shown here'),
(4794, 'If the patient is being added to the recall list on the day of the visit it would reflect the current date'),
(4795, 'If the patient is calling back to be added to the list the last visit may be in the remote past. Be aware that the 1,2,3 plus years are calculated and displayed on the Date box at the bottom of this section'),
(4796, 'If the patient is deceased then the deceased notification will appear in red in this section'),
(4797, 'If the report is sent electronically all steps needed for safe and secure transmission of Protected Health Information (PHI) must be followed'),
(4798, 'If there is no vendor enter any arbitrary unique number, preferably a 5 digit zero-padded e.g. 00211'),
(4799, 'If these tests are being sent to the same external lab they will have identical vendor specific Identifying Codes causing duplicate lines to appear when results are displayed'),
(4800, 'If they have been configured correctly each result should have a Tier value of 4, indicating they are the successor or child to the first line above with a Tier value of 3, i.e Electrolyte Panel'),
(4801, 'If this page does not refresh, reload the Messages page manually'),
(4802, 'If unassigned will default to php.ini setting for date.timezone.'),
(4803, 'if unemployed enter Student'),
(4804, 'If value is left as zero, will be sorted alphabetically'),
(4805, 'If YMD is selected for age display, switch to just Years when patients older than this value in years'),
(4806, 'If you are having troubles logging into your account.'),
(4807, 'If you are interested in what happens under the hood'),
(4808, 'If you are only using a small subset of the CPT codes you can manually enter it in Administration > Codes'),
(4809, 'If you are planning on entering different prices for different modalities of payment go to Administration > Lists'),
(4810, 'If you are unsure or were using a development version between two releases, then choose the older of possible releases'),
(4811, 'If you are upgrading from a version below 5.0.0 to version 5.0.0 or greater, do note that this upgrade can take anywhere from several minutes to several hours (you will only see a whitescreen until it is complete; do not stop the script before it is complete or you risk corrupting your data)'),
(4812, 'If you are using Electronic lab entry then fill in the required details and click Save'),
(4813, 'If you are using multiple labs enter the details for each one of them'),
(4814, 'If you change e-RX Role for ePrescription, it may affect the ePrescription workflow. If you face any difficulty, contact your ePrescription vendor.'),
(4815, 'If you change your Smartphone you can recapture the TOTP key QR code on to a new device by first logging in using the authenticator app on your old phone and then going to Miscellaneous > MFA Authentication and clicking the View button on the Current Authentication Method section'),
(4816, 'If you check the check box in any of these cells it will generate an entry in the last cell called Progress'),
(4817, 'If you choose to do a manual entry click the \'Invoice Search\' radio button. It displays two sections \'Post Item\' and \'Invoice Search\''),
(4818, 'If you choose to integrate lab results with the patient\'s record then some preliminary setup has to be performed'),
(4819, 'If you click on any user in the \'User Memberships\' section you will now see these newly created group (ARO) in the \'Inactive\' column. These can now be assigned in the usual fashion as needed.'),
(4820, 'If you click on the edit icon next to this newly created group (ARO) you will note that the \'Active\' column contains only a single entry - Placeholder (Maintains empty ACLs). As yet this new group (ARO) has NO access to any part of the program as there are no ACOs assigned in the \'Active\' column.'),
(4821, 'If you Click the blue + sign on Serum Chemistry you will see a new line called Organ/Disease Panel with a Category of Sub Group'),
(4822, 'If you continue to experience this error please contact support.'),
(4823, 'If you do not find a required value in the drop-down box you will need to add it via Administration > Lists > Procedure Units. Refer to the help file in Procedures > Providers'),
(4824, 'If you do not select a match the patient will be created.'),
(4825, 'If you do not select at least one of these, OpenEMR will operate in a receive-only mode'),
(4826, 'If you do not submit orders electronically or receive result electronically leave it as the default value, Download'),
(4827, 'If you do not want to do so the following method involves adding data manually using the openEMR interface'),
(4828, 'If you drill down to the Electrolyte Panel line and click on the + sign in the Name column you should see Sodium listed underneath it with a Category value of Result with a Tier value of 4'),
(4829, 'If you drill down to the Electrolyte Panel line you should see it have a Category of Order and be highlighted in yellow indicating that it is a search-able and valid order and has a Tier value of 3'),
(4830, 'If you had selected multiple codes they will be separated by semi-colons'),
(4831, 'If you have already filled the calendar_external table, then click on \"Synchronize\" button to have the holidays in the calendar view. NOTE that clicking on the button will remove all the existing items in the calendar view related to holidays'),
(4832, 'If you have an old superbill you can use its grouping of codes as a template to start the customization'),
(4833, 'If you have chosen to upload electronic remittances, then the search window redisplays itself with the matching invoices from the X12 file.  You may click on any of these invoice numbers (as described below) if you wish to make any corrections before the remittance information is applied. To apply the changes, click the Process ERA File button at the bottom of the page.  This will produce a new window with a detailed report.'),
(4834, 'If you have chosen to upload electronic remittances, then the search window redisplays itself with the matching invoices from the X12 file. You may click on any of these invoice numbers (as described above) if you wish to make any corrections before the remittance information is applied. To apply the changes, click the \'Process ERA File\' button at the bottom of the page. This will produce a new window with a detailed report.'),
(4835, 'If you have enabled the TOTP method the next time you login you will be asked to enter the TOTP password'),
(4836, 'If you have entered a Pay Date in the search page, this will override the posting date of payments and adjustments that are otherwise taken from the X12 file.  This may be useful for reporting purposes, if you want your receipts reporting to use your posting date rather than the insurance company\'s processing date.  Note that this will also affect dates of prior payments and adjustments that are put into secondary claims.'),
(4837, 'If you have entered a Pay Date in the search page, this will override the posting date of payments and adjustments that are otherwise taken from the X12 file. This may be useful for reporting purposes, if you want your receipts reporting to use your posting date rather than the insurance company\'s processing date. Note that this will also affect dates of prior payments and adjustments that are put into secondary claims.'),
(4838, 'If you have followed all the above steps correctly you should see Serum Uric Acid under Name, it will be preceded by a vertical bar indicating the absence of descendants or children to this entry'),
(4839, 'If you have followed the above steps correctly the Serum Uric Acid Test should now have a + sign preceding the Name indicating the presence of successors or children'),
(4840, 'If you have lost your Smartphone those with administrator privileges can delete the keys by going to Administration > Users and checking the Clear 2FA checkbox and clicking Save'),
(4841, 'If you have NewCrop eRx module enabled then the allergies have to be entered on the NewCrop MedEntry page'),
(4842, 'If you have not already done some pre-configuration, including adding providers, do so by going to Procedures > Providers'),
(4843, 'If you have the need to order individual components of the panel you will have to create a separate Procedure Order for each individual component of the panel and store the returned result under a Discrete Result created in a fashion similar to that used earlier to create an order for Serum Uric Acid'),
(4844, 'If you hit the refresh button without setting any filters then all dated reminders for the user will appear below'),
(4845, 'If you leave it at the default of 0 then the top level entries that you make will be sorted alphabetically'),
(4846, 'If you made changes and want to re-send it, delete the original (in Communications) and try again.'),
(4847, 'If you made changes and want to re-send it, delete the original (in Communications) or wait 60 seconds, and try again.'),
(4848, 'If you need to manually enter the returned result each test (Custom Favorite Item) should have a Discrete Result as a direct descendant'),
(4849, 'If you see no entries in the Order From drop-down box it means that you have not set up a lab under Procedures > Providers'),
(4850, 'If you want to change data types, or add rows or columns'),
(4851, 'If you want to upgrade the database, then place the database zip file in the following directory'),
(4852, 'If your search was successful the search results will be displayed in the search results box below'),
(4853, 'Igbo'),
(4854, 'Ignore'),
(4855, 'IIS Code'),
(4856, 'Illness'),
(4857, 'IM'),
(4858, 'Image canvas'),
(4859, 'Image Results'),
(4860, 'Images'),
(4861, 'Imaging'),
(4862, 'Imaging Integration, and DICOM Diagnostic Imaging Reports - 2009'),
(4863, 'Imaging Service'),
(4864, 'Immune System'),
(4865, 'Immunization'),
(4866, 'Immunization Administered Site'),
(4867, 'Immunization Code'),
(4868, 'Immunization Completion Status'),
(4869, 'Immunization Date'),
(4870, 'Immunization Expiration Date'),
(4871, 'Immunization Information Source'),
(4872, 'Immunization Lot Number'),
(4873, 'Immunization Manufacturer'),
(4874, 'Immunization Observation Criteria'),
(4875, 'Immunization Observation Results'),
(4876, 'Immunization Ordering Provider'),
(4877, 'Immunization Refusal Reason'),
(4878, 'Immunization Registry'),
(4879, 'Immunization Registry Status'),
(4880, 'Immunization Registry Status Effective Date'),
(4881, 'Immunization Report'),
(4882, 'Immunization Service'),
(4883, 'Immunization Title'),
(4884, 'Immunization Vaccine Eligibility Results'),
(4885, 'Immunizations'),
(4886, 'Immunizations - lists immunization history and allows for adding new entries or editing existing ones'),
(4887, 'Immunize'),
(4888, 'Immunologic'),
(4889, 'Immuno{{immunologic}}'),
(4890, 'IMMUNO{{Immunology/Rheumatology}}'),
(4891, 'Imp'),
(4892, 'Imp Plan'),
(4893, 'Implants'),
(4894, 'Import'),
(4895, 'Import All'),
(4896, 'Import CCDA'),
(4897, 'Import CCR'),
(4898, 'Import certificate to the browser.'),
(4899, 'Import Configuration'),
(4900, 'Import deferred for time-to-live'),
(4901, 'Import Formularies'),
(4902, 'Import holiday events'),
(4903, 'Import Holidays'),
(4904, 'Import Patient'),
(4905, 'Import Patient Demographics'),
(4906, 'Import Patient Demographics XML'),
(4907, 'Import Pharmacies'),
(4908, 'Import Pharmacies Script'),
(4909, 'Important - the Identifying Code for Custom Favorite Group is always user defined'),
(4910, 'Important Codes'),
(4911, 'IMPORTANT: The NPI number also exists in the Address Book entry for the provider, take care to enter the correct NPI number'),
(4912, 'IMPORTANT: This upload tool is only for uploading documents on patients that are not yet entered into the system. To upload files for patients whom already have been entered into the system, please use the upload tool linked within the Patient Summary screen.'),
(4913, 'Imported Allergies'),
(4914, 'Imported from Accounting'),
(4915, 'Imported Medications'),
(4916, 'Imported Problems'),
(4917, 'Importing the entire CPT code set after you license it from the American Medical Association would get you all the relevant CPT codes in one fell swoop'),
(4918, 'Impression/Plan'),
(4919, 'Impression/Plan Builder'),
(4920, 'Improved'),
(4921, 'IMP{{impression}}'),
(4922, 'in'),
(4923, 'IN'),
(4924, 'In a likewise fashion you will create a Discrete Result for Potassium, Chloride and Carbon Dioxide'),
(4925, 'In a likewise manner create a Custom Favorite Item each for TSH (Sequence 2, Identifying Code WWT02, Standard Code 30166-3) and Vitamin D (Sequence 3, Identifying Code WWT03, Standard Code 35365-6)'),
(4926, 'In a likewise manner create a Discrete Result each for TSH (Sequence - 2, Identifying Code - WWT02R, Default Units - mU/L, Default Range - 0.4-4, leave Followup Services blank) and Vitamin D (Sequence - 3, Identifying Code - WWT03R, Default Units - ng/mL, Default Range - 0-20, leave Followup Services blank)'),
(4927, 'In addition there are 2 checkboxes'),
(4928, 'In addition to creating a Referral the system also allows you to print a blank referral form that can be manually filled to generate a Referral'),
(4929, 'In any case establishing a connection, ensuring HIPAA compliance, data security etc will require coding, the cost of which is generally borne by the lab. They however will only approve if the volume of business justifies their investment'),
(4930, 'In Current Chat'),
(4931, 'in each eye'),
(4932, 'In exam room'),
(4933, 'In House'),
(4934, 'in left eye'),
(4935, 'in nostril'),
(4936, 'In Office'),
(4937, 'In openEMR the Continuity of Care Record (CCR) reports to be generated can be limited to a specific date range by checking the Use Date Range check-box and entering the desired date range'),
(4938, 'In order to fulfill Meaningful Use requirements for Computerized Provider Order Entry (CPOE) for lab and radiology tests this module needs to be used'),
(4939, 'In order to properly store and retrieve test results and place new orders, tests/orders have to be setup in a hierarchical manner'),
(4940, 'In order to record the values of the results returned you have to create a separate Discrete Result (Tier 4) for each of the panel\'s constituents, the fruit, as direct descendants of this (General Health Panel) branch (Tier 3). Examples of the results being CBC - Hemoglobin, CBC - Hematocrit, CMP - Sodium, CMP - Potassium, TSH etc. '),
(4941, 'In order to register your device, please provide your OpenEMR login password'),
(4942, 'In order to send Continuity of Care Record (CCR) and /or Continuity of Care Document (CCD) optionally check phiMail Allow CCD Send and/or phiMail Allow CCR Send to enable the Transmit feature for these data types'),
(4943, 'In our case we will choose Local Lab that was setup previously'),
(4944, 'In our case we will leave it as Unassigned'),
(4945, 'In Portrait mode, determines the height of the envelope along the y-axis in mm'),
(4946, 'In Portrait mode, determines the width of the envelope along the x-axis in mm'),
(4947, 'in right eye'),
(4948, 'In short electronic orders can be done, it involves a significant amount of testing and customization to be certified by the lab, generally through a third party and can only happen if the lab agrees to give the green light to the project'),
(4949, 'In the \'Post Item\' section that is displayed at the top you may enter a source (e.g. check number), pay date and check amount. The reason for the source and pay date is so that you don\'t have to enter them over and over again for each claim. The amount that you enter will be decreased for each invoice that is given part of the payment, and hopefully will end at zero when you are done.'),
(4950, 'In the above example an order for a single test was created, i.e. Serum Uric Acid'),
(4951, 'In the default installation click on Add to bring up the Add/Edit Issue pop-up page'),
(4952, 'In the patient\'s words'),
(4953, 'In the second stage of Meaningful Use, the CCD, but not the CCR, was included as part of the standard for clinical document exchange'),
(4954, 'In this case the Custom Favorite Group will be called Preop Labs and the two recognized panels will be direct descendants, each in a Custom Favorite Item Tier named CBC and Renal Panel respectively'),
(4955, 'In this case you will create a Procedure Order, the fruit bearing branch called General Health Panel (Tier 3)'),
(4956, 'In total, there are seventeen sections that can be included within a Continuity of Care Record (CCR)'),
(4957, 'In Use'),
(4958, 'in-house'),
(4959, 'In-process'),
(4960, 'Inactive'),
(4961, 'Inactive - Lost to follow - up'),
(4962, 'Inactive - Moved or gone elsewhere'),
(4963, 'Inactive - Permanently inactive'),
(4964, 'Inactive - Unspecified'),
(4965, 'Inactive Days'),
(4966, 'Inactive Messages'),
(4967, 'Inbox'),
(4968, 'INCITS Code'),
(4969, 'Include all values reported for each result code'),
(4970, 'Include Checksum'),
(4971, 'Include Completed'),
(4972, 'Include inactive'),
(4973, 'Include Inactive'),
(4974, 'Include inactive users'),
(4975, 'Include Uncategorized'),
(4976, 'Include Unstructured data'),
(4977, 'Include Vitals'),
(4978, 'Include vitals data?'),
(4979, 'Included Providers'),
(4980, 'including CVF{{Confrontational Visual Fields}} and Pupils'),
(4981, 'Inclusion'),
(4982, 'Income'),
(4983, 'Incoming results requiring attention:'),
(4984, 'Incomplete'),
(4985, 'Incomplete Abortion Treatment'),
(4986, 'Incontinence'),
(4987, 'Incorporate clinical lab-test results into certified EHR technology as structured data.'),
(4988, 'Incorrect password!'),
(4989, 'Increase the limit to a larger number say 100 so that you can decide on which ones to act upon'),
(4990, 'increased:'),
(4991, 'Indemnity Insurance'),
(4992, 'Independent Clinic'),
(4993, 'Independent Laboratory'),
(4994, 'Indeterminate'),
(4995, 'Indian'),
(4996, 'Indian Health Service Free-standing Facility'),
(4997, 'Indian Health Service Provider-based Facility'),
(4998, 'Indicates abnormality'),
(4999, 'Indicates if this issue is an ophthalmic-specific medication'),
(5000, 'Indicates if this issue is currently active'),
(5001, 'Indications'),
(5002, 'Indicator for specialized usage'),
(5003, 'Indigent Patients'),
(5004, 'Indigent Patients Report'),
(5005, 'Indigents'),
(5006, 'Individual access can be tailored to fit the needs by assigning a user to one or more groups (AROs). The user will then inherit all the privileges, i.e have access to parts of the program (ACO), of each group (ARO) the user belongs to.'),
(5007, 'Individual pages can override 2nd and 3rd options by implementing a log message.'),
(5008, 'Individual tests or even individual recognized panel of tests can be grouped together as a Custom Favorite Group'),
(5009, 'Indonesian'),
(5010, 'Induced Abortion'),
(5011, 'Industry'),
(5012, 'Ineligible'),
(5013, 'Infection / Abscess'),
(5014, 'Infections'),
(5015, 'Infert Couns'),
(5016, 'Infertility'),
(5017, 'Influenza 1'),
(5018, 'Influenza 2'),
(5019, 'Influenza Immunization for Patients >= 50 Years Old'),
(5020, 'Influenza Immunization for Patients >= 50 Years Old (CQM)'),
(5021, 'Influenza Vaccine'),
(5022, 'Info'),
(5023, 'Info test 1'),
(5024, 'Info test 2'),
(5025, 'Info test 3'),
(5026, 'Info test 4'),
(5027, 'Info test 5'),
(5028, 'Info test 6'),
(5029, 'Informant'),
(5030, 'Information'),
(5031, 'Information regarding the Patient Portal is also shown in the header section'),
(5032, 'Information Source'),
(5033, 'inf{{inferior}}'),
(5034, 'inhalations'),
(5035, 'Inhale'),
(5036, 'inhilations'),
(5037, 'Initial Patient Population'),
(5038, 'Initial Treatment'),
(5039, 'Initial User'),
(5040, 'Initially Open Group'),
(5041, 'Inj/Rehab'),
(5042, 'Injectables'),
(5043, 'Injection'),
(5044, 'Injured Body Part'),
(5045, 'Injured Out'),
(5046, 'Injury'),
(5047, 'Injury Mechanism'),
(5048, 'Injury Overview Report'),
(5049, 'Injury Surveillance'),
(5050, 'Injury Type'),
(5051, 'Injury/illness-related'),
(5052, 'Inline'),
(5053, 'Inpatient Hospital'),
(5054, 'Inpatient Psychiatric Facility'),
(5055, 'Input does not begin with a MSH segment'),
(5056, 'Input Fields'),
(5057, 'INR'),
(5058, 'Ins 1'),
(5059, 'Ins 2 or Ins 3'),
(5060, 'Ins Address'),
(5061, 'Ins adjust'),
(5062, 'Ins bundling'),
(5063, 'Ins Code'),
(5064, 'Ins Group'),
(5065, 'Ins Name'),
(5066, 'Ins overpaid'),
(5067, 'Ins Policy'),
(5068, 'Ins refund'),
(5069, 'Ins Summary'),
(5070, 'Ins/fin issue'),
(5071, 'Ins1'),
(5072, 'Ins2'),
(5073, 'Ins3'),
(5074, 'Insert'),
(5075, 'Insert failed: '),
(5076, 'Insert normals'),
(5077, 'Insert normals - 100/100'),
(5078, 'Insert normals - 11/11'),
(5079, 'Insert old events into tables'),
(5080, 'Insert special field'),
(5081, 'Insert the key into the USB port'),
(5082, 'Insert U2F Key'),
(5083, 'Insert your key into a USB port and click the Authenticate button below.'),
(5084, 'Inserted'),
(5085, 'Insomnia'),
(5086, 'Inspect the log'),
(5087, 'Inspection'),
(5088, 'Instability / subluxation'),
(5089, 'INSTALL'),
(5090, 'Install'),
(5091, 'Install ACL'),
(5092, 'Install Code Set'),
(5093, 'install DB'),
(5094, 'Install it by going to Administration > Other > External Data Loads > ICD10 > Staged Releases and click Install'),
(5095, 'Install Layout Service Codes'),
(5096, 'Install SQL'),
(5097, 'Install the EMR Direct trust anchor certificate'),
(5098, 'Installation Details'),
(5099, 'Installations processing a large number of Direct messages may want a shorter interval'),
(5100, 'Installed Release'),
(5101, 'Installing codes in openEMR'),
(5102, 'Instructed'),
(5103, 'Instruction'),
(5104, 'Instructions'),
(5105, 'Instructions:'),
(5106, 'Insufficient inventory for product'),
(5107, 'Insufficient inventory for product ID'),
(5108, 'Insulin Dependent Diabetes'),
(5109, 'Insurance'),
(5110, 'insurance'),
(5111, 'Insurance Address'),
(5112, 'Insurance Adj'),
(5113, 'Insurance Adjustment'),
(5114, 'Insurance Balance'),
(5115, 'Insurance Balance Due'),
(5116, 'Insurance Comp'),
(5117, 'Insurance Companies'),
(5118, 'Insurance Company'),
(5119, 'Insurance Company Search/Add'),
(5120, 'Insurance Credit'),
(5121, 'Insurance Data'),
(5122, 'Insurance ID'),
(5123, 'Insurance Information'),
(5124, 'Insurance information on file'),
(5125, 'Insurance Name'),
(5126, 'Insurance Numbers'),
(5127, 'Insurance Payment'),
(5128, 'Insurance Payments'),
(5129, 'Insurance Provider'),
(5130, 'Insurance Search/Select/Add'),
(5131, 'Insurance Types'),
(5132, 'Insurances'),
(5133, 'Insured'),
(5134, 'Intake Conclusion'),
(5135, 'Intake Date'),
(5136, 'Integers1-100'),
(5137, 'Integrating lab results into a patient\'s chart in openEMR can be done manually i.e. both ordering tests and uploading the received results or electronically'),
(5138, 'Intellectual Decline'),
(5139, 'Inter-pupillary distance'),
(5140, 'Interact with created transactions'),
(5141, 'Interlingua'),
(5142, 'Interlingue'),
(5143, 'Intermediate Care Facility/Mentally Retarded'),
(5144, 'Intermittent Esotropia'),
(5145, 'Intermittent Exotropia'),
(5146, 'intermittent hyperphoria'),
(5147, 'Intermittent hypotropia'),
(5148, 'Internal Allergies'),
(5149, 'Internal error - no pages were selected!'),
(5150, 'Internal error - patient ID was not provided!'),
(5151, 'Internal error accessing uploaded file!'),
(5152, 'Internal error in tableNameFromLayout'),
(5153, 'Internal error!'),
(5154, 'Internal error, no drug ID specified!'),
(5155, 'Internal error: Cannot find MSH-10'),
(5156, 'Internal error: claim '),
(5157, 'Internal error: encounter \''),
(5158, 'Internal error: pid or encounter is missing.'),
(5159, 'Internal error: we do not seem to be in an encounter!'),
(5160, 'Internal Identifier (pid)'),
(5161, 'Internal Medications'),
(5162, 'Internal Problems'),
(5163, 'Internal Referrals'),
(5164, 'Internal Time Collected'),
(5165, 'International Duty'),
(5166, 'Internet Explorer browser version 6 to Internet Explorer browser version 11 does not support FIDO U2F API'),
(5167, 'Interpreter'),
(5168, 'Interpreter needed?'),
(5169, 'Interstitial Lung Disease'),
(5170, 'Interval'),
(5171, 'Interval (minutes)'),
(5172, 'Interval between message checks (set to zero for manual checks only)'),
(5173, 'Intervention'),
(5174, 'Intervention Provided'),
(5175, 'Intolerance'),
(5176, 'Intradermal'),
(5177, 'Intramuscular'),
(5178, 'intramuscularly'),
(5179, 'Intraocular Pressures'),
(5180, 'Intraocular Pressures (mmHg) by Date'),
(5181, 'intravenously'),
(5182, 'Introduction'),
(5183, 'Inuktitut'),
(5184, 'Inupiaq'),
(5185, 'Invalid character in'),
(5186, 'Invalid Content'),
(5187, 'Invalid Credit Card Number'),
(5188, 'Invalid Credit Card Values: Please correct'),
(5189, 'Invalid Current Credentials Error.'),
(5190, 'Invalid Date format or value! Type date as YYYY-MM-DD or use the calendar.'),
(5191, 'Invalid date range'),
(5192, 'Invalid encapsulated data encoding type'),
(5193, 'Invalid File'),
(5194, 'Invalid layout ID'),
(5195, 'Invalid length for'),
(5196, 'Invalid non-numeric character in'),
(5197, 'Invalid or missing payer in source for code '),
(5198, 'Invalid password'),
(5199, 'Invalid recipient address. Please try again.'),
(5200, 'Invalid Service Codes'),
(5201, 'Invalid source designation \"'),
(5202, 'Invalid Total!'),
(5203, 'Invalid username or password'),
(5204, 'InvAmt'),
(5205, 'Inventory'),
(5206, 'Inventory Activity'),
(5207, 'Inventory and sell both drugs and non-drug products'),
(5208, 'Inventory and sell drugs only'),
(5209, 'Inventory is not available for this order.'),
(5210, 'Inventory List'),
(5211, 'Inventory Transactions'),
(5212, 'Invoice'),
(5213, 'invoice'),
(5214, 'Invoice Actions'),
(5215, 'Invoice Balance'),
(5216, 'Invoice Balance cannot be posted. No Encounter is created.'),
(5217, 'Invoice Date'),
(5218, 'Invoice Details'),
(5219, 'Invoice has no date!'),
(5220, 'Invoice Number'),
(5221, 'Invoice Reference Number'),
(5222, 'Invoice reference number pool, if used'),
(5223, 'Invoice Reference Number Pools'),
(5224, 'Invoice Refno Pool'),
(5225, 'Invoice Search'),
(5226, 'Invoice:'),
(5227, 'IOP Chart'),
(5228, 'IOP Dilated{{Dilated Intraocular Pressure}}'),
(5229, 'IOP Graph'),
(5230, 'ios'),
(5231, 'iPad Pro 10.5 inches'),
(5232, 'iPad Pro 12.5 inches'),
(5233, 'iPad/iPad Mini, XGA'),
(5234, 'iPhone 6/7/8 Plus'),
(5235, 'iPhone X/XS'),
(5236, 'iPhone XR/XS Max'),
(5237, 'IPPF'),
(5238, 'IPPF Abortion'),
(5239, 'IPPF Contraception'),
(5240, 'IPPF SRH Data for'),
(5241, 'IPPF Statistics Report'),
(5242, 'IPPF Stats'),
(5243, 'IPV 1'),
(5244, 'IPV 2'),
(5245, 'IPV 3'),
(5246, 'IPV 4'),
(5247, 'Iris'),
(5248, 'Irish'),
(5249, 'Irregular Heart Beat'),
(5250, 'Irritability'),
(5251, 'Irritation'),
(5252, 'is a different language version of the following database'),
(5253, 'is a different version of the following database'),
(5254, 'is a more recent version of the following database'),
(5255, 'Is a record of all financial transactions between the patient and the practice'),
(5256, 'is a required field.'),
(5257, 'is a root node and can not be deleted.'),
(5258, 'is an extension of the following database'),
(5259, 'Is Authorizing Signature'),
(5260, 'Is Confidential'),
(5261, 'Is Enabled'),
(5262, 'Is it ok to map these CVX codes to already existent immunizations?'),
(5263, 'is misplaced or unknown'),
(5264, 'is not a number'),
(5265, 'is not a valid email address'),
(5266, 'Is not selected'),
(5267, 'is not valid'),
(5268, 'is not valid (decimal fractions are OK).'),
(5269, 'Is PHP using Safe Mode?'),
(5270, 'Is Required. Contact Provider.'),
(5271, 'Is Required. Please Add in Contacts.'),
(5272, 'Is selected'),
(5273, 'Is text from form layouts to be translated?'),
(5274, 'Is text from lists to be translated?'),
(5275, 'Is The File Encrypted?'),
(5276, 'Is this a Clinical Term code type?'),
(5277, 'Is this a diagnosis type?'),
(5278, 'Is this a Medical Problem code type?'),
(5279, 'Is this a Medication type?'),
(5280, 'Is this a procedure/service type?'),
(5281, 'Is this active?'),
(5282, 'Is this code type active?'),
(5283, 'Is this code type used in claims?'),
(5284, 'Is this Okay?'),
(5285, 'Is this really OK?'),
(5286, 'Is this type hidden in the fee sheet?'),
(5287, 'Is this using external sql tables? If it is, then choose the format.'),
(5288, 'is too long'),
(5289, 'ISO 639-2 Code'),
(5290, 'Issue'),
(5291, 'issue'),
(5292, 'Issue Date'),
(5293, 'Issue ID'),
(5294, 'Issue Subtypes'),
(5295, 'Issue Title'),
(5296, 'Issue Type'),
(5297, 'Issue Types'),
(5298, 'Issues'),
(5299, 'Issues (Injuries/Medical/Allergy)'),
(5300, 'Issues (Injuries/Medical/Allergy):'),
(5301, 'Issues - summarizes the patient\'s medical problems, allergies, medications, surgeries and dental issues'),
(5302, 'Issues and Encounters'),
(5303, 'Issues and Encounters for'),
(5304, 'Issues and Immunizations wiki page'),
(5305, 'Issues can also be linked to zero or more encounters'),
(5306, 'Issues Help'),
(5307, 'Issues List'),
(5308, 'Issues not authorized'),
(5309, 'Issues Section'),
(5310, 'It allows the browser to communicate directly to the USB device avoiding the need for the user to do anything more than insert the device into an USB port and tap it to activate it'),
(5311, 'It also lets you create new groups (AROs) as well as remove existing ones.'),
(5312, 'It can also just receive results electronically'),
(5313, 'It can be either linked to a patient or just be a message addressed to another user(s)'),
(5314, 'It combines what the user knows i.e. user password with what the user has i.e. a device that is unique or a mechanism to generate/receive a unique code to be used at each login'),
(5315, 'It consists of three sections '),
(5316, 'It consists of two parts - defining a Provider and configuring the Orders and Results'),
(5317, 'It consists of two parts - the Receiving application and Receiving facility'),
(5318, 'It consists of two parts - the Sending application and Sending facility'),
(5319, 'It contains a left and right section'),
(5320, 'It contains a QR code that needs to be captured by the authenticator app'),
(5321, 'It contains structured data that is included in the Continuity of Care Record (CCR) set to the the Clinical Document Architecture standard'),
(5322, 'It does not refer to the actual referral that has been created'),
(5323, 'It does so by using an algorithm to combine the current UNIX time with the secret key to generate an ever changing unique key'),
(5324, 'It has four tabs'),
(5325, 'It has three tiers '),
(5326, 'It is a commercial messaging module available to openEMR practices utilizing version 5.0.1 and higher'),
(5327, 'It is a field in the HL7 Message header known as Processing ID'),
(5328, 'It is a part of the medical record'),
(5329, 'It is also a subscription based service'),
(5330, 'It is also necessary to list an ICD10 code in order for the problem to be listed in Continuity of Care Report (CCR) and Continuity of Care Document (CCD)'),
(5331, 'It is divided into two sections'),
(5332, 'It is essential that you read through the first four sections to understand the underlying principles'),
(5333, 'It is far easier and intuitive to make major changes and reorganize the data on the spreadsheet before you start entering the data in openEMR'),
(5334, 'It is important to realize that this manages the MFA for the logged in user'),
(5335, 'It is important to understand the function of these two icons as all subsequent steps needed to properly set up the hierarchy will depend on the correct use of these two icons'),
(5336, 'It is intended to include only the information that is critical to effectively continue care'),
(5337, 'It is issued to health care providers in the United States by the Centers for Medicare and Medicaid Services (CMS)'),
(5338, 'It is not necessary for local lab, instead you can use any arbitrary unique number'),
(5339, 'It is not necessary to fill default Diagnosis Codes as ICD10 codes can be entered at the time of the actual ordering of the test'),
(5340, 'It is not submitted with the claim'),
(5341, 'It is not uncommon to order several blood tests together, grouping them as a panel of tests facilitates this process'),
(5342, 'It is prudent to follow up with provider if not contacted.'),
(5343, 'It is the basic paper claim form prescribed by many payers for claims submitted by individual doctors & practices, nurses, and professionals, including therapists, chiropractors, and out-patient clinics, and in some cases, for ambulance services'),
(5344, 'It is used to link problems with encounters and is also used to see which encounters are associated to a particular issue'),
(5345, 'It is useful to practice on a trial site to become familiar with the process before doing so on the production openEMR application'),
(5346, 'It lets you search by ICD 9 and ICD 10 diagnostic codes and CPT4 and HCPCS service/procedure codes'),
(5347, 'It lets you send messages and dated reminders to staff members, add patient to the recall list and send SMS text messages to patients'),
(5348, 'It serves as a necessary bridge to a different environment, often with new clinicians who know nothing about the patient, enabling next provider to easily'),
(5349, 'It therefore stands to reason that you cannot create a Counter-Referral by itself'),
(5350, 'It uses an open standard and therefore available from various manufactures'),
(5351, 'It uses the HMAC-SHA256 hash function to generate a unique private key for the account'),
(5352, 'It uses this private key to sign the challenge and sends the response back to the application'),
(5353, 'It will be displayed in the visit summary'),
(5354, 'It will bring up the Enter Details pop-up form'),
(5355, 'It will bring up the Multi patient finder  popup'),
(5356, 'It will display the justify display pop-up. It has a search box that wil let you search for a ICD code.  It will also display the 10 most commonly used ICD codes. You can select any or all codes by checking the J (justify) checkbox and pressing update'),
(5357, 'It will have a value of 2 in the Tier column indicating it is a successor or child on the first line above having a Tier value of 1 which in this case is Serum Chemistry'),
(5358, 'It will have two sections - the Issues Section and the Encounters Section'),
(5359, 'It will help later in troubleshooting problems that may arise with your configuration of the Procedure Orders module'),
(5360, 'It will open the Create New Message section'),
(5361, 'It will take you to the MedEx sign-up page'),
(5362, 'It will then appear in the Allergies widget on the Patient Dashboard as well as under allergies in the Issues page'),
(5363, 'It will then appear in the Medications widget on the Patient Dashboard as well as under Medications in the Issues page'),
(5364, 'Italian'),
(5365, 'Item'),
(5366, 'item'),
(5367, 'Item Details'),
(5368, 'items'),
(5369, 'Items load failed'),
(5370, 'IU/L'),
(5371, 'IUD'),
(5372, 'IV'),
(5373, 'Jaeger'),
(5374, 'Jaeger{{Near Acuity Type Jaeger}}'),
(5375, 'Jan'),
(5376, 'January'),
(5377, 'Japanese'),
(5378, 'Jaundice'),
(5379, 'Javanese'),
(5380, 'Job Description'),
(5381, 'Job ID'),
(5382, 'Joint dislocations'),
(5383, 'Joint Pain'),
(5384, 'Joint sprains'),
(5385, 'Jul'),
(5386, 'July'),
(5387, 'Jump to Next Row'),
(5388, 'Jun'),
(5389, 'June'),
(5390, 'Just below the check information is a blue area where you put in your search parameters.  You can search by patient name, chart number, encounter number or date of service, or any combination of these.  You may also select whether you want to see all invoices, open invoices, or only invoices that are due (by the patient).  Click the Search button to perform the search.'),
(5391, 'Just Mine'),
(5392, 'Justification Entries'),
(5393, 'Justify'),
(5394, 'Justify Dx'),
(5395, 'Justify each CPT code with one or more justifications using the dropdown box. These will reflect the diagnosis codes that was previously selected in \'Select Codes\''),
(5396, 'Justify/Save'),
(5397, 'J{{Justify Header}}'),
(5398, 'k, here\'s the rest '),
(5399, 'K1{{Keratometry 1}}'),
(5400, 'K2{{Keratometry 2}}'),
(5401, 'Kalaallisut, Greenlandic'),
(5402, 'Kannada'),
(5403, 'Kanuri'),
(5404, 'Kashmiri'),
(5405, 'Kazakh'),
(5406, 'key'),
(5407, 'Key'),
(5408, 'Key access failed with error'),
(5409, 'Key for multiple database credentials encryption'),
(5410, 'Key Name'),
(5411, 'Keywords'),
(5412, 'kg'),
(5413, 'kg/m^2'),
(5414, 'Khmer'),
(5415, 'Kidney Cancer'),
(5416, 'Kidney Failure'),
(5417, 'Kidney Infections'),
(5418, 'Kidney Stones'),
(5419, 'Kidney Transplant'),
(5420, 'Kikuyu, Gikuyu'),
(5421, 'Kindle Fire HDX, Laptop MDPI, WXGA'),
(5422, 'Kinyarwanda'),
(5423, 'Kiosk'),
(5424, 'Kirundi'),
(5425, 'Knee'),
(5426, 'Knee Problems'),
(5427, 'Knee Replacement'),
(5428, 'Komi'),
(5429, 'Kongo'),
(5430, 'Korean'),
(5431, 'Kurdish'),
(5432, 'Kwanyama, Kuanyama'),
(5433, 'Kyrgyz'),
(5434, 'Lab'),
(5435, 'Lab Documents'),
(5436, 'Lab Exchange Site Address'),
(5437, 'Lab Exchange Site ID'),
(5438, 'Lab Exchange Token ID'),
(5439, 'Lab Order'),
(5440, 'Lab overview'),
(5441, 'Lab Overview'),
(5442, 'Lab Query Status'),
(5443, 'Lab Reference ID'),
(5444, 'Lab Report'),
(5445, 'Lab Result'),
(5446, 'Lab Results'),
(5447, 'Lab Results (write,addonly optional)'),
(5448, 'Lab Results Category Name'),
(5449, 'Lab Results Report'),
(5450, 'Lab Service'),
(5451, 'Lab Test Results'),
(5452, 'Lab/File'),
(5453, 'Label'),
(5454, 'Label cannot be blank'),
(5455, 'Label Cols'),
(5456, 'Label for this type'),
(5457, 'Label printed by'),
(5458, 'LabelCols must be a number between 1 and 999'),
(5459, 'Labels'),
(5460, 'Labels can be printed either for one patient or for all the selected patients'),
(5461, 'Laboratory Information'),
(5462, 'Laboratory Test'),
(5463, 'Labs'),
(5464, 'Laceration / skin condition'),
(5465, 'Laceration/abrasion'),
(5466, 'LAC{{left anterior chamber}}'),
(5467, 'LADate'),
(5468, 'LAD{{left adnexa}}'),
(5469, 'Laminas Module'),
(5470, 'Landscape'),
(5471, 'Language'),
(5472, 'Language Code'),
(5473, 'Language definition added'),
(5474, 'Language Interface Tool'),
(5475, 'Language Interface Tool (language)'),
(5476, 'Language List (write,addonly optional)'),
(5477, 'Language List (write,addonly optional) (language)'),
(5478, 'Language Name'),
(5479, 'Language:'),
(5480, 'Lao'),
(5481, 'Laotian'),
(5482, 'Laptop HiDPI, WXGA+'),
(5483, 'Laser Interferometry'),
(5484, 'Laser Interferometry Acuity'),
(5485, 'Last'),
(5486, 'Last Activity Date'),
(5487, 'Last Appendectomy'),
(5488, 'Last Bill Date'),
(5489, 'Last Bill Date:'),
(5490, 'Last Breast Exam'),
(5491, 'Last Calendar Year'),
(5492, 'Last Cataract Surgery'),
(5493, 'Last Cholecystestomy'),
(5494, 'last date of this event'),
(5495, 'Last Encounter'),
(5496, 'Last Gyn. Exam'),
(5497, 'Last Heart Surgery'),
(5498, 'Last Hernia Repair'),
(5499, 'Last Hip Replacement'),
(5500, 'Last Hysterectomy'),
(5501, 'Last Knee Replacement'),
(5502, 'Last Level Billed'),
(5503, 'Last Mammogram'),
(5504, 'Last Menstrual Period'),
(5505, 'Last Modified'),
(5506, 'Last Month'),
(5507, 'Last Name'),
(5508, 'Last name'),
(5509, 'Last name, First name'),
(5510, 'Last name, first name'),
(5511, 'Last name, first name (title)'),
(5512, 'Last name, first name (title: comments)'),
(5513, 'Last Name:'),
(5514, 'Last Physical Exam'),
(5515, 'Last Prostate Exam'),
(5516, 'Last Rectal Exam'),
(5517, 'Last Reviewed'),
(5518, 'Last Run Started At'),
(5519, 'Last Saved'),
(5520, 'Last Sigmoid/Colonoscopy'),
(5521, 'Last Stmt'),
(5522, 'Last Tonsillectomy'),
(5523, 'Last Tx Date'),
(5524, 'Last update'),
(5525, 'Last update by'),
(5526, 'Last Verified On'),
(5527, 'Last Visit'),
(5528, 'Last X-ray'),
(5529, 'Last{{Name}}'),
(5530, 'Late Recurrence (2-12 Mo)'),
(5531, 'Lateral Malleolus'),
(5532, 'Lateral malleolus:'),
(5533, 'Laterality'),
(5534, 'Laterality of this procedure, if applicable'),
(5535, 'laterally displaced PMI:'),
(5536, 'Latest Health Alerts'),
(5537, 'Latest Medical Records'),
(5538, 'Latest Results Only'),
(5539, 'Latest Visit or Consultation'),
(5540, 'Latin'),
(5541, 'Latvian'),
(5542, 'lat{{lateral}}'),
(5543, 'Launch'),
(5544, 'Launch URI'),
(5545, 'Law Firm'),
(5546, 'Lawyer'),
(5547, 'Layout'),
(5548, 'Layout (need to logout/login after change this setting)'),
(5549, 'Layout Based'),
(5550, 'Layout Columns'),
(5551, 'Layout Editor'),
(5552, 'Layout groups'),
(5553, 'Layout ID'),
(5554, 'Layout ID is required'),
(5555, 'Layout Properties'),
(5556, 'Layout Style'),
(5557, 'Layout-Based Transaction Forms'),
(5558, 'Layout-Based Visit Forms'),
(5559, 'Layouts'),
(5560, 'lb'),
(5561, 'LBF Encounter Form Preview'),
(5562, 'LBF_Validations'),
(5563, 'lbs'),
(5564, 'LB{{left brow}}'),
(5565, 'LCMT{{left Central Macular Thickness}}'),
(5566, 'LCUP{{left cup}}'),
(5567, 'LC{{left conjunctiva}}'),
(5568, 'LDAP - Distinguished Name of User'),
(5569, 'LDAP - Login Exclusions'),
(5570, 'LDAP - Server Name or URI'),
(5571, 'LDL'),
(5572, 'LD{{left disc}}'),
(5573, 'leave blank if still active'),
(5574, 'Leave Blank To Keep Original Filename'),
(5575, 'Leave blank to keep password unchanged.'),
(5576, 'Leave Coding Blank'),
(5577, 'Leave coding blank as currently you can only enter ICD10 codes'),
(5578, 'Leave Destination blank'),
(5579, 'Leave it blank if the problem is still active'),
(5580, 'Leave Message With'),
(5581, 'Leave the Followup Services blank and click Save'),
(5582, 'Leave The Form'),
(5583, 'Leaving the pass phrase blank will not encrypt the document'),
(5584, 'Ledger'),
(5585, 'Ledger - Summarizes and tabulates all the charges, payments, adjustments and balances for all encounters pertaining to the patient'),
(5586, 'Left'),
(5587, 'Left Arm'),
(5588, 'Left Deltoid'),
(5589, 'Left Ear'),
(5590, 'left ear'),
(5591, 'Left Gluteus Medius'),
(5592, 'Left Lens'),
(5593, 'Left Lower Forearm'),
(5594, 'Left Margin (mm)'),
(5595, 'Left Thigh'),
(5596, 'Left Vastus Lateralis'),
(5597, 'Left w/o visit'),
(5598, 'Left-Form Layout'),
(5599, 'Left:'),
(5600, 'Left: '),
(5601, 'Leg Pain/Cramping'),
(5602, 'Legal'),
(5603, 'Legal Authenticator'),
(5604, 'Legal Paper Size'),
(5605, 'Legend:'),
(5606, 'Length'),
(5607, 'Length of modifier, 0 if none'),
(5608, 'Lens'),
(5609, 'Lens Material'),
(5610, 'Lens Material Options'),
(5611, 'Lens Thickness'),
(5612, 'Lens Treatments'),
(5613, 'Less Than'),
(5614, 'Less Than or Equal To'),
(5615, 'Less-private information (write,addonly optional)'),
(5616, 'Less-private information (write,addonly optional) (relaxed)'),
(5617, 'Lets you delete a line or row. Hit \'Refresh\' and the line will have a strikethrough across it'),
(5618, 'Lets you filter the results as per the chosen criteria'),
(5619, 'Lets you send messages to staff members about patient related matters'),
(5620, 'Letter'),
(5621, 'Letter Generator'),
(5622, 'Letter Paper Size'),
(5623, 'Letterhead that doctor signs'),
(5624, 'Letterhead that patient signs'),
(5625, 'Lev Fn{{levator function}}'),
(5626, 'Levator Function'),
(5627, 'Level of urgency'),
(5628, 'LF{{levator function}}'),
(5629, 'LH{{left hertel measurement}}'),
(5630, 'Liability'),
(5631, 'Liability Medical'),
(5632, 'Library'),
(5633, 'License/ID'),
(5634, 'Licensed Prescriber'),
(5635, 'Licensed Prescriber First Name'),
(5636, 'Licensed Prescriber Last Name'),
(5637, 'Licensed Prescriber NPI'),
(5638, 'Licensed Prescriber Title (Prefix)'),
(5639, 'LicensedPrescriber Last name'),
(5640, 'LicensedPrescriber NPI'),
(5641, 'LicensedPrescriber UPIN'),
(5642, 'Life partner'),
(5643, 'Life threatening severity'),
(5644, 'Lifestyle'),
(5645, 'Lifestyle - lists the patient\'s use of Tobacco, Coffee, Alcohol, Recreational Drugs etc'),
(5646, 'Lifestyle status'),
(5647, 'Ligament tear or sprain'),
(5648, 'Light tobacco smoker'),
(5649, 'Likewise Laterality is not relevant in this context and can be left Unassigned'),
(5650, 'Limburgish, Limburgan, Limburger'),
(5651, 'Limit Of Events'),
(5652, 'Limited Exam'),
(5653, 'Limited HPI'),
(5654, 'Limits'),
(5655, 'Line'),
(5656, 'Lingala'),
(5657, 'Link'),
(5658, 'Link To Patient'),
(5659, 'Link/Add Issues (Injuries/Medical/Allergy) to Current Visit'),
(5660, 'Linked'),
(5661, 'Linked document'),
(5662, 'Linked procedure order'),
(5663, 'linked to document'),
(5664, 'linked to procedure order'),
(5665, 'List'),
(5666, 'List box'),
(5667, 'list box'),
(5668, 'list box w/ add'),
(5669, 'List box w/add'),
(5670, 'List box w/search'),
(5671, 'List Editor'),
(5672, 'List encounters'),
(5673, 'List Forms'),
(5674, 'List groups'),
(5675, 'List Insurance Companies'),
(5676, 'List item ID'),
(5677, 'List items can not start with a number.'),
(5678, 'List items contains illegal character(s).'),
(5679, 'List layout items'),
(5680, 'List lists'),
(5681, 'List modifiers, up to 4 can be listed, each separated by a space or a colon'),
(5682, 'List Name'),
(5683, 'List names cannot start with numbers.'),
(5684, 'List of '),
(5685, 'List of health care practitioners'),
(5686, 'List of previous refractions'),
(5687, 'List of previously dispensed Spectacle and Contact Lens Rxs'),
(5688, 'List Prescriptions'),
(5689, 'List used by above Country Data Type option.'),
(5690, 'List used by above State Data Type option.'),
(5691, 'Listening port of the RFC 5425 TLS syslog server.'),
(5692, 'Listing an ICD10 code will let you search for educational material for that particular code '),
(5693, 'Lists'),
(5694, 'Lists (lists)'),
(5695, 'Lithuanian'),
(5696, 'Living Will'),
(5697, 'LI{{Laser Interferometry Acuity}}'),
(5698, 'LI{{Laser Interferometry}}'),
(5699, 'LI{{left iris}}'),
(5700, 'LK{{left cornea}}'),
(5701, 'LLL:'),
(5702, 'LLL{{left lower eyelid}}'),
(5703, 'LL{{left iris}}'),
(5704, 'LL{{left lens}}'),
(5705, 'LMAC{{left macula}}'),
(5706, 'LMC{{left medial chathus}}'),
(5707, 'LMP'),
(5708, 'Load Compendium'),
(5709, 'Load Definitions'),
(5710, 'Load Lab Compendium'),
(5711, 'Load Lab Configuration'),
(5712, 'Load OE Question Options'),
(5713, 'Load Order Definitions'),
(5714, 'Load Order Entry Questions'),
(5715, 'LOAD SUCCESSFUL. Codes inserted'),
(5716, 'Loading'),
(5717, 'LOADING'),
(5718, 'Loading data'),
(5719, 'Loading more results'),
(5720, 'Loading prior image'),
(5721, 'Loading the files into the database. This will take some time...'),
(5722, 'Loading... Please wait'),
(5723, 'LOC'),
(5724, 'Local'),
(5725, 'Local Content'),
(5726, 'Local Filesystem'),
(5727, 'Local Filesystem will store the order as a HL7v2.3 message in a predefined location in the local server hosting openEMR'),
(5728, 'Locale'),
(5729, 'Locality'),
(5730, 'Location'),
(5731, 'location of the openemr machine and may contain sensitive data, so it is recommended to manually delete the files after its use'),
(5732, 'Location of this lot'),
(5733, 'Location unspecified'),
(5734, 'Location where Hylafax stores faxes.'),
(5735, 'Location where scans are stored.'),
(5736, 'Location:'),
(5737, 'Lock'),
(5738, 'Lock an e-signed form individually'),
(5739, 'Lock e-signed encounters and their forms'),
(5740, 'Lock?'),
(5741, 'Locked'),
(5742, 'Locked Payment Pending'),
(5743, 'Log all NewCrop eRx Requests and / or Responses.'),
(5744, 'Log entire document'),
(5745, 'Log In'),
(5746, 'Log in'),
(5747, 'Log In Name is unavailable. Try again!'),
(5748, 'Log is cleared. Please close window.'),
(5749, 'Log Out'),
(5750, 'Log Types'),
(5751, 'Log was already empty. Please close window.'),
(5752, 'Logged in'),
(5753, 'Logged in as'),
(5754, 'Logged in as: '),
(5755, 'Logged out.'),
(5756, 'Logging'),
(5757, 'Login'),
(5758, 'login'),
(5759, 'Login - details are only required if you are connecting to a facility using the SFTP protocol '),
(5760, 'Login Into Facility'),
(5761, 'Login name of WordPress user for portal access'),
(5762, 'Login Page Layout'),
(5763, 'Login to remote host'),
(5764, 'Login to this remote host failed'),
(5765, 'Login Trusted Email'),
(5766, 'Login User Name'),
(5767, 'Login with your user id and password and it will automatically authenticate you'),
(5768, 'Logout'),
(5769, 'logout'),
(5770, 'Logs'),
(5771, 'Logs Viewer'),
(5772, 'LOINC'),
(5773, 'LOINC Code'),
(5774, 'LOINC, rhymes with oink, is a database and universal standard for identifying medical laboratory observations'),
(5775, 'Look back one drawing'),
(5776, 'Look Up'),
(5777, 'Lot'),
(5778, 'Lot ID missing!'),
(5779, 'Lot Number'),
(5780, 'Low'),
(5781, 'Low Priority'),
(5782, 'Lower leg'),
(5783, 'Lower Lids'),
(5784, 'Lowest Priority'),
(5785, 'Low{{Priority}}'),
(5786, 'LP{{left peripheral retina}}'),
(5787, 'LT{{lens thickness}}'),
(5788, 'Luba-Katanga'),
(5789, 'Luhn'),
(5790, 'LUL{{left upper eyelid}}'),
(5791, 'Lumbar spine'),
(5792, 'LUNCH'),
(5793, 'Lunch'),
(5794, 'Lung Cancer'),
(5795, 'Lung Cancer Surgery'),
(5796, 'LUNGS:'),
(5797, 'Lungs:'),
(5798, 'Lupus'),
(5799, 'Luxembourgish, Letzeburgesch'),
(5800, 'LVIT{{left vitreous}}'),
(5801, 'LV{{left vessels}}'),
(5802, 'L{{left side}}'),
(5803, 'L{{left}}'),
(5804, 'M'),
(5805, 'MA Category'),
(5806, 'MA Client Accepting Abortion'),
(5807, 'MA Stats'),
(5808, 'Macedonian'),
(5809, 'Macula'),
(5810, 'Mail'),
(5811, 'Mail Order'),
(5812, 'Mail Sent'),
(5813, 'Mailing Address'),
(5814, 'Main'),
(5815, 'Main Address'),
(5816, 'Main and API'),
(5817, 'Main Counselors'),
(5818, 'Main Log'),
(5819, 'Main Menu Role'),
(5820, 'Main Provider'),
(5821, 'Main Top Pane Screen'),
(5822, 'Main Top Pane Screen(Or Default First Tab)'),
(5823, 'Mainly Authorize.Net uses two keys'),
(5824, 'Maintain active medication allergy list.'),
(5825, 'Maintain active medication list.'),
(5826, 'Maintain an up-to-date problem list of current and active diagnoses.'),
(5827, 'Make modifications to current categories.'),
(5828, 'Make new appointment for'),
(5829, 'Make Payment'),
(5830, 'Make subsequent fields in the same row, Label = 0 Data = 0 and ensure enough columns are available from previous items to allow space for this new item. Otherwise result could be unpredictable'),
(5831, 'Make sure \"'),
(5832, 'Making batch text files for uploading to Clearing House and will mark as billed'),
(5833, 'Malagasy'),
(5834, 'Malaise:'),
(5835, 'Malay'),
(5836, 'Malayalam'),
(5837, 'Male'),
(5838, 'Male Condoms'),
(5839, 'Male VSC'),
(5840, 'Maltese'),
(5841, 'Mammogram'),
(5842, 'Manage'),
(5843, 'Manage Hooks'),
(5844, 'Manage Lists'),
(5845, 'Manage Modules'),
(5846, 'Manage modules'),
(5847, 'Manage modules (manage_modules)'),
(5848, 'Manage Multi Factor Authentication'),
(5849, 'Manage Templates'),
(5850, 'Manage Translations'),
(5851, 'Management'),
(5852, 'Manager'),
(5853, 'Mandatory'),
(5854, 'Mandatory and specified fields'),
(5855, 'Mandatory or specified fields only, dup check, no search'),
(5856, 'Mandatory or specified fields only, search and dup check'),
(5857, 'Mandatory or specified fields only, use patient validation Zend module'),
(5858, 'Manifest (Dry) Refraction'),
(5859, 'Manual'),
(5860, 'Manual Posting'),
(5861, 'Manual Processing Required'),
(5862, 'Manually retrieve description on Fee Sheet'),
(5863, 'Manually type into the New DX box above.'),
(5864, 'Manufacturer'),
(5865, 'Manx'),
(5866, 'Many code items have a lookup/hint.'),
(5867, 'Many companies block operations with USB ports on corporate computers'),
(5868, 'Many of the LOINC codes can be used for both tests and their results'),
(5869, 'Maori'),
(5870, 'Mar'),
(5871, 'Marathi'),
(5872, 'Marathi (Marathi)'),
(5873, 'Marathi (Marāṭhī)'),
(5874, 'March'),
(5875, 'Marginal Reflex Distance'),
(5876, 'Marital'),
(5877, 'Marital Status'),
(5878, 'Mark all as read'),
(5879, 'Mark as Billed'),
(5880, 'Mark as billed but skip billing'),
(5881, 'Mark as Cleared'),
(5882, 'Mark as not billed'),
(5883, 'Mark Message as Completed'),
(5884, 'Mark Note as Completed'),
(5885, 'Mark these reports as reviewed'),
(5886, 'Marked as cleared'),
(5887, 'Married'),
(5888, 'Marshallese'),
(5889, 'Mask'),
(5890, 'Mask for Invoice Numbers'),
(5891, 'Mask for Patient IDs'),
(5892, 'Mask for Product IDs'),
(5893, 'Mass Immunization Center'),
(5894, 'Match'),
(5895, 'Match case'),
(5896, 'Match Found'),
(5897, 'Match Patient'),
(5898, 'Matched Patient'),
(5899, 'Matching for Patient'),
(5900, 'MaternalAunt'),
(5901, 'MaternalCousin'),
(5902, 'MaternalGrandparent'),
(5903, 'MaternalGreatgrandparent'),
(5904, 'MaternalUncle'),
(5905, 'Matrix'),
(5906, 'max'),
(5907, 'Max'),
(5908, 'Max 255 characters'),
(5909, 'max file count reached'),
(5910, 'max file count reached - reload names below'),
(5911, 'Max Size'),
(5912, 'Maxillary Right:'),
(5913, 'Maximum Age'),
(5914, 'Maximum characters'),
(5915, 'Maximum Failed Login Attempts'),
(5916, 'Maximum Failed Login Attempts (0 for no maximum).'),
(5917, 'Maximum idle time in seconds before logout. Default is 7200 (2 hours).'),
(5918, 'Maximum number of times a Patient can be tested in a year'),
(5919, 'Maximum number of times a Patient can be tested in a year. Zero is no limit.'),
(5920, 'Maximum reasonable inventory, 0 if not applicable'),
(5921, 'Maximum Size'),
(5922, 'Maximum Size (entering 0 will allow any size)'),
(5923, 'Maximum size of thumbnail file'),
(5924, 'May'),
(5925, 'MBO '),
(5926, 'MC'),
(5927, 'mcg'),
(5928, 'MDM Document Category Name'),
(5929, 'Means none of last three passwords are allowed when changing a password.'),
(5930, 'Measure Blood Pressure'),
(5931, 'Measure Group Code'),
(5932, 'Measure INR'),
(5933, 'Measurement'),
(5934, 'MedEx automates Appointment Reminders and Recalls using phone calls, text messages and e-mails'),
(5935, 'MedEx Communication Service'),
(5936, 'MedEx needs a valid mobile number to send SMS messages...'),
(5937, 'MedEx Setup'),
(5938, 'Medial Canthi'),
(5939, 'Medial malleolus:'),
(5940, 'Medicaid'),
(5941, 'Medicaid Original Reference No.'),
(5942, 'Medical'),
(5943, 'Medical Abortion'),
(5944, 'Medical Administration'),
(5945, 'Medical Dashboard Help'),
(5946, 'Medical History'),
(5947, 'Medical Issue'),
(5948, 'Medical issue'),
(5949, 'Medical Issues'),
(5950, 'Medical prescription'),
(5951, 'Medical Problem'),
(5952, 'Medical problem'),
(5953, 'Medical Problem Issue List'),
(5954, 'Medical Problems'),
(5955, 'Medical Problems - will show the patient\'s medical issues, Issues > Medical Problems'),
(5956, 'Medical Record'),
(5957, 'Medical Record #'),
(5958, 'Medical Record Dashboard'),
(5959, 'Medical Records'),
(5960, 'Medical Records and History (write,addonly optional) (med)'),
(5961, 'Medical Records Sent'),
(5962, 'Medical Specialty'),
(5963, 'Medical Summary Given'),
(5964, 'Medical System'),
(5965, 'Medical Type'),
(5966, 'Medical/History (write,addonly optional)'),
(5967, 'Medical/History (write,addonly optional) (med)'),
(5968, 'Medicare Part B'),
(5969, 'Medicare Referrer Is Renderer'),
(5970, 'Medication'),
(5971, 'Medication Allergy List'),
(5972, 'Medication Issue List'),
(5973, 'Medication List'),
(5974, 'Medication Reconciliation Performed?'),
(5975, 'Medications'),
(5976, 'Medications - lists the medications under Issues > Medications. If eRx is enabled the medication list has to be entered on the eRx page'),
(5977, 'Medications Allergy List'),
(5978, 'Medications:'),
(5979, 'Medicine Units'),
(5980, 'Medium'),
(5981, 'Medium{{Priority}}'),
(5982, 'MedlinePlus Connect'),
(5983, 'med{{medial}}'),
(5984, 'Member Association Statistics Report'),
(5985, 'Member Id'),
(5986, 'Memory Problems'),
(5987, 'Men'),
(5988, 'Men and Women'),
(5989, 'Men Only'),
(5990, 'Menarche'),
(5991, 'Menopause'),
(5992, 'Menstrual Flow'),
(5993, 'Menstrual Frequency'),
(5994, 'Mental Illness'),
(5995, 'Mental Status'),
(5996, 'Menu'),
(5997, 'Menu (menu)'),
(5998, 'Menu Text'),
(5999, 'Menus'),
(6000, 'Menus (menus)'),
(6001, 'Merge'),
(6002, 'Merge complete.'),
(6003, 'Merge Patients'),
(6004, 'Merge to any patient'),
(6005, 'Message'),
(6006, 'Message and Reminder Center'),
(6007, 'Message Center'),
(6008, 'Message Center Help'),
(6009, 'Message content is not plain text so it has been stored as a document.'),
(6010, 'Message from patient'),
(6011, 'Message Log'),
(6012, 'Message Sent'),
(6013, 'Message Status'),
(6014, 'Message Title'),
(6015, 'Message to patient'),
(6016, 'Message to Reviewer'),
(6017, 'Message type'),
(6018, 'MESSAGE:'),
(6019, 'Messages'),
(6020, 'Messages - due date'),
(6021, 'Messages Screen'),
(6022, 'Messages You have sent Today'),
(6023, 'Messages, Reminders'),
(6024, 'Messages, Reminders, Recalls'),
(6025, 'Messaging'),
(6026, 'Method'),
(6027, 'Method and Specific Product'),
(6028, 'Method Change at this Clinic'),
(6029, 'Method for sending outgoing email.'),
(6030, 'Method of Destruction'),
(6031, 'Mexican/MexAmer/Chicano'),
(6032, 'Mexico'),
(6033, 'MFA'),
(6034, 'MFA Authorization'),
(6035, 'MFA Manaagement'),
(6036, 'MFA Management'),
(6037, 'MFA Verification'),
(6038, 'mg'),
(6039, 'mg/1cc'),
(6040, 'mg/2cc'),
(6041, 'mg/3cc'),
(6042, 'mg/4cc'),
(6043, 'mg/5cc'),
(6044, 'MG/DL'),
(6045, 'mid'),
(6046, 'Middle'),
(6047, 'Middle Name'),
(6048, 'Middle name'),
(6049, 'Middle{{Name}}'),
(6050, 'Midlevel Prescriber'),
(6051, 'Midlevel Prescriber DEA'),
(6052, 'Midlevel Prescriber First name'),
(6053, 'Midlevel Prescriber Last name'),
(6054, 'Midlevel Prescriber NPI'),
(6055, 'Midlevel Prescriber Prefix'),
(6056, 'Midlevel Prescriber UPIN'),
(6057, 'Mid{{Middle Distance Add}}'),
(6058, 'Mid{{middle Rx strength}}'),
(6059, 'Mid{{Middle segment in a trifocal glasses prescription}}'),
(6060, 'mid{{middle}}'),
(6061, 'Mien'),
(6062, 'Migrant or seasonal worker?'),
(6063, 'Migrant Seasonal'),
(6064, 'Migrant/Seasonal'),
(6065, 'Mil/CU.MM'),
(6066, 'Mild'),
(6067, 'Mild to moderate'),
(6068, 'Military Treatment Facility'),
(6069, 'MIME Type'),
(6070, 'MimeType'),
(6071, 'Min'),
(6072, 'min'),
(6073, 'Min length is 8 with upper,lowercase,numbers mix'),
(6074, 'Mini'),
(6075, 'Minimal Logging'),
(6076, 'Minimize this panel'),
(6077, 'Minimum Age'),
(6078, 'Minimum length of password.'),
(6079, 'Minimum Password Length'),
(6080, 'Minor joint strain +/- synovitis'),
(6081, 'minute'),
(6082, 'Minute'),
(6083, 'Minutes'),
(6084, 'minutes'),
(6085, 'Mirth IP'),
(6086, 'Misc'),
(6087, 'Misc Billing Options'),
(6088, 'Misc Billing Options for HCFA-1500'),
(6089, 'Misc Billing Options HCFA'),
(6090, 'Miscellaneous'),
(6091, 'Miscellaneous Billing Options for HCFA-1500'),
(6092, 'Missed'),
(6093, 'missing'),
(6094, 'Missing a required field'),
(6095, 'Missing a required field and will be highlighted'),
(6096, 'Missing email config record'),
(6097, 'Missing Fee'),
(6098, 'Missing Identifying Code'),
(6099, 'Missing Insurance Payer Id'),
(6100, 'Missing Mods Only'),
(6101, 'Missing or Invalid'),
(6102, 'Missing Patient ID'),
(6103, 'Missing PID.'),
(6104, 'Missing report date'),
(6105, 'Missing slash after payer in source for code '),
(6106, 'Missing SMS config record'),
(6107, 'Missing Subscriber Policy Number or DOB'),
(6108, 'Missing Title'),
(6109, 'Missing user credentials'),
(6110, 'Missing/invalid notification id'),
(6111, 'Mixed'),
(6112, 'mL'),
(6113, 'ml'),
(6114, 'MM/DD/YYYY'),
(6115, 'mm/hg'),
(6116, 'mmHg'),
(6117, 'MMR 1'),
(6118, 'MMR 2'),
(6119, 'mm{{millimeters}}'),
(6120, 'Mobile'),
(6121, 'Mobile Phone'),
(6122, 'Mobile phones'),
(6123, 'Mobile phones are ubiquitous and are generally easily accessible by any user'),
(6124, 'Mobile Unit'),
(6125, 'Mod'),
(6126, 'Mod Date'),
(6127, 'Mode - Do Not Show SQL Queries'),
(6128, 'Moderate'),
(6129, 'Moderate Priority'),
(6130, 'Moderate to severe'),
(6131, 'Moderate/Low Priority'),
(6132, 'Modern/images'),
(6133, 'Modifier'),
(6134, 'Modifier 22: Increased Procedural Services: When the work required to provide a service is substantially greater than typically required, it may be identified by adding modifier 22 to the usual procedure code.'),
(6135, 'Modifier 24: Unrelated Evaluation and Management Service by the Same Physician During a Postoperative Period'),
(6136, 'Modifier 25: Significant, separately identifiable evaluation and management (E/M) service by the same physician on the day of a procedure or other service'),
(6137, 'Modifier 57: Indicates an Evaluation and Management (E/M) service resulted in the initial decision to perform surgery either the day before a major surgery (90 day global) or the day of a major surgery.'),
(6138, 'Modifier(s)'),
(6139, 'Modifiers'),
(6140, 'Modify'),
(6141, 'Modify Date'),
(6142, 'Modify Patient Form'),
(6143, 'Modify Payments'),
(6144, 'Modifying'),
(6145, 'ModLength'),
(6146, 'Module'),
(6147, 'Module Directory not found'),
(6148, 'Module Installer'),
(6149, 'Module Name'),
(6150, 'Module name already exist'),
(6151, 'Modules'),
(6152, 'Modules (modle)'),
(6153, 'Mon'),
(6154, 'Mon thru Fri'),
(6155, 'Mon, Wed &amp; Fri'),
(6156, 'Monday'),
(6157, 'Mongolian'),
(6158, 'Monocular Pupillary Diameter - Distance'),
(6159, 'Monocular Pupillary Diameter - Near'),
(6160, 'month'),
(6161, 'Month'),
(6162, 'Month View'),
(6163, 'Month(s)'),
(6164, 'Monthly Income'),
(6165, 'months'),
(6166, 'Months'),
(6167, 'months ago'),
(6168, 'Mood/Affect Nml{{Mood and affect normal}}'),
(6169, 'More Actions'),
(6170, 'More appointments may exist'),
(6171, 'More information about Clinical Decision Rule can be found here'),
(6172, 'More information about Issues can be found here'),
(6173, 'More information about what phiMail is and how to set it up is available here'),
(6174, 'More information available at the openEMR MedEx wiki page'),
(6175, 'More information on how to edit this form and other such forms can be found here'),
(6176, 'More information on the use of phiMail messages is available here'),
(6177, 'More options'),
(6178, 'More than'),
(6179, 'More than 100 records found. Please narrow your search criteria.'),
(6180, 'More than 50 results, please make your search more specific.'),
(6181, 'More than one appointment was found'),
(6182, 'Moreover there is a recurring cost incurred in sending the text messages'),
(6183, 'Most activities in relation to a patient are based on an encounter'),
(6184, 'Most column headers can be clicked to change sort order'),
(6185, 'Most often this is due to a Username/Password mismatch'),
(6186, 'Most recent from'),
(6187, 'Most recent lab data:'),
(6188, 'Most recent visit'),
(6189, 'Most recent vitals from:'),
(6190, 'Mother'),
(6191, 'Mother\'s Name'),
(6192, 'Mothers History'),
(6193, 'Mothers Name'),
(6194, 'Motility'),
(6195, 'Mouth'),
(6196, 'Move'),
(6197, 'Move Document to Category:'),
(6198, 'Move Down'),
(6199, 'Move failed!'),
(6200, 'Move the individual items from \'Active\' to \'Inactive\' or vice-versa by selecting the items and pressing the relevant button with the double chevron.'),
(6201, 'Move to Patient'),
(6202, 'Move to...'),
(6203, 'Move Up'),
(6204, 'Moving'),
(6205, 'Mo{{Monday}}'),
(6206, 'MPD-D{{abbreviation for Monocular Pupillary Diameter - Distance}}'),
(6207, 'MPD-N{{abbreviation for Monocular Pupillary Diameter - Near}}'),
(6208, 'MR (Dry)'),
(6209, 'Mr.'),
(6210, 'MRD{{marginal reflex distance}}'),
(6211, 'MRN (pid)'),
(6212, 'MRN Reference'),
(6213, 'MRNear{{Manifest Near Acuity}}'),
(6214, 'MRNear{{manifest refraction near}}'),
(6215, 'Mrs.'),
(6216, 'MR{{Manifest Refraction}}'),
(6217, 'Ms.'),
(6218, 'MSH-11'),
(6219, 'MSH-3.1'),
(6220, 'MSH-4.1'),
(6221, 'MSH-5.1'),
(6222, 'MSH-6.1'),
(6223, 'MSH.8 message type is not supported'),
(6224, 'MSH.8 message type is not valid'),
(6225, 'MSP'),
(6226, 'MSP Code'),
(6227, 'MSP Remit Codes'),
(6228, 'Multi Factor Authorization - MFA has been increasingly used to authenticate a user without making the process of authentication too onerous'),
(6229, 'Multi Factor Authorization Help'),
(6230, 'Multi Language Tool'),
(6231, 'Multi-select desired DX(s) and click the'),
(6232, 'Multi-Select Facilties'),
(6233, 'Multi-Select Provider'),
(6234, 'Multiple areas'),
(6235, 'Multiple DataBase'),
(6236, 'Multiple files can be uploaded at one time by selecting them using CTRL+Click or SHIFT+Click.'),
(6237, 'Multiple Lots'),
(6238, 'Multiple modifiers can be separated by colons or spaces, maximum of 4 (M1:M2:M3:M4)'),
(6239, 'Multiple Select List'),
(6240, 'Multipledb'),
(6241, 'Multipledb (multipledb)'),
(6242, 'Multiracial'),
(6243, 'Murmur:'),
(6244, 'Musc Ache'),
(6245, 'Musc Aches'),
(6246, 'Musc Redness'),
(6247, 'Musc Stiffness'),
(6248, 'Musc Swelling'),
(6249, 'Musc Warm'),
(6250, 'Muscle'),
(6251, 'Muscle injury'),
(6252, 'Musculoskeletal'),
(6253, 'Musculo{{musculoskeletal}}'),
(6254, 'Must be 12 to 80 characters'),
(6255, 'Must be current email address on file.'),
(6256, 'Must be empty if SMTP authentication is not used.'),
(6257, 'Must be future date'),
(6258, 'Must choose at least one day!'),
(6259, 'Mutually Defined'),
(6260, 'MVA'),
(6261, 'MVX Code'),
(6262, 'My default facility'),
(6263, 'My Default Values'),
(6264, 'My Health'),
(6265, 'My Messages'),
(6266, 'My Term'),
(6267, 'Myself'),
(6268, 'M{{Monday}}'),
(6269, 'Māori'),
(6270, 'N.B.{{Nota bene}}'),
(6271, 'N/A'),
(6272, 'n/a'),
(6273, 'N/A{{not applicable}}'),
(6274, 'Name'),
(6275, 'NAME'),
(6276, 'Name (click for more)'),
(6277, 'Name - Select a provider name from the drop-down list'),
(6278, 'Name 1'),
(6279, 'Name 2'),
(6280, 'Name and Title of Immunization Administrator'),
(6281, 'Name for this Category, Procedure or Result'),
(6282, 'Name in EMR'),
(6283, 'Name must be like codetype_code_language.pdf, for example icd9_274.11_en.pdf'),
(6284, 'Name of Events'),
(6285, 'Name of insurance company'),
(6286, 'Name of Provider'),
(6287, 'Name of the sender for patient reminders.'),
(6288, 'Name of the Surgeon'),
(6289, 'Name of zend template for html print'),
(6290, 'Name of zend template for html print, possible to add custom template in the PrescriptionTemplate module'),
(6291, 'Name of zend template for pdf export'),
(6292, 'Name of zend template for pdf export, possible to add custom template in the PrescriptionTemplate module'),
(6293, 'Name on Card'),
(6294, 'Name Translation'),
(6295, 'Name/Value'),
(6296, 'Name:'),
(6297, 'Names'),
(6298, 'Namespace'),
(6299, 'Narcotic drugs imported'),
(6300, 'NARES:'),
(6301, 'NARES: Normal Right'),
(6302, 'Narrative'),
(6303, 'nasal'),
(6304, 'Nasal mucosa pink, septum midline'),
(6305, 'Nation Notes'),
(6306, 'Nation Notes (nationnotes)'),
(6307, 'Nation Notes (nn_configure)'),
(6308, 'Nation Notes Configure'),
(6309, 'Nation Notes Replace Buttons'),
(6310, 'Nationality'),
(6311, 'NationNotes'),
(6312, 'Native Data Loads'),
(6313, 'Native Hawaiian or Other Pacific Islander'),
(6314, 'Natural Child'),
(6315, 'Natural child'),
(6316, 'Natural Parent'),
(6317, 'Natural Sibling'),
(6318, 'Nauru'),
(6319, 'Nausea'),
(6320, 'Nav Bar'),
(6321, 'Navajo, Navaho'),
(6322, 'Navigation'),
(6323, 'Navigation area includes encounter forms'),
(6324, 'Navigation area uses full height of frameset'),
(6325, 'Navigation Area Visit Forms'),
(6326, 'Navigation Area Width'),
(6327, 'Navigation Area Width for Frames'),
(6328, 'Navigation menu consists of pairs of radio buttons'),
(6329, 'Navigation menu is a tree view'),
(6330, 'Navigation uses a sliding menu'),
(6331, 'NCI CONCEPT ID'),
(6332, 'NCOM{{Neuro comments}}'),
(6333, 'NCPDP'),
(6334, 'NDC'),
(6335, 'NDC Data'),
(6336, 'NDC Number'),
(6337, 'Ndonga'),
(6338, 'Near'),
(6339, 'Near Acuity AutoRefraction'),
(6340, 'Near Acuity Manifest Refraction'),
(6341, 'Near Acuity with Autorefraction'),
(6342, 'Near Acuity with Correction'),
(6343, 'Near Acuity with Manifest (Dry) refraction'),
(6344, 'Near Acuity without Correction'),
(6345, 'Near Point of Accomodation'),
(6346, 'Near Point of Convergence'),
(6347, 'Necessary Medical Equipment'),
(6348, 'Neck'),
(6349, 'Neck Problems'),
(6350, 'Neck supple'),
(6351, 'Need more than one drug.'),
(6352, 'Need to enter a description'),
(6353, 'Need to enter a Return Value'),
(6354, 'Need to enter identifier'),
(6355, 'Need to enter title'),
(6356, 'need to logout/login after changing these settings'),
(6357, 'Needs a Smartphone'),
(6358, 'Needs Auth'),
(6359, 'Needs Justify'),
(6360, 'Needs secondary billing'),
(6361, 'Negative'),
(6362, 'Negative payments not accepted'),
(6363, 'Negatives'),
(6364, 'Neg{{negative}}'),
(6365, 'Neighbor'),
(6366, 'Neo 10%'),
(6367, 'Neo 2.5%'),
(6368, 'Nepali'),
(6369, 'Nerve injury'),
(6370, 'Network Indicator'),
(6371, 'Neural condition / nerve damage'),
(6372, 'Neuro'),
(6373, 'Neuro Numbness'),
(6374, 'Neuro Weakness'),
(6375, 'Neuro-physiology'),
(6376, 'Neuro/Phys Exam Default Values'),
(6377, 'Neurologic'),
(6378, 'Neurology'),
(6379, 'Neuro{{neurologic}}'),
(6380, 'NEURO{{Neurology}}'),
(6381, 'Never'),
(6382, 'Never Alcohol'),
(6383, 'Never smoker'),
(6384, 'New'),
(6385, 'New =>'),
(6386, 'New Acceptors'),
(6387, 'New Alerts'),
(6388, 'New Allergy'),
(6389, 'New amendment request'),
(6390, 'New Appointment'),
(6391, 'New Categories'),
(6392, 'New Category'),
(6393, 'New Clients'),
(6394, 'New Consultation'),
(6395, 'New Crop'),
(6396, 'New Definition set added'),
(6397, 'New Document'),
(6398, 'New Documents'),
(6399, 'New Due Clinical Reminders'),
(6400, 'New Dx{{new diagnosis}}'),
(6401, 'New Encounter'),
(6402, 'New encounter created with id'),
(6403, 'New Encounter Form'),
(6404, 'New encounters not authorized'),
(6405, 'New Enctr'),
(6406, 'New Facility Information'),
(6407, 'New file'),
(6408, 'New Files'),
(6409, 'New form validation'),
(6410, 'New Group'),
(6411, 'New group encounter created with id'),
(6412, 'New Group Encounter Form'),
(6413, 'New Group Information'),
(6414, 'New group was saved successfully'),
(6415, 'New Immunization Record'),
(6416, 'New in ACL Ver 4'),
(6417, 'New in ACL Ver 5'),
(6418, 'New in ACL Ver 6'),
(6419, 'New in ACL Ver 7'),
(6420, 'New in ACL Ver 8'),
(6421, 'New in openEMR ver 5.0.2 '),
(6422, 'New Inj/Status'),
(6423, 'New Items (see above for details)'),
(6424, 'New Layout'),
(6425, 'New Limit of Events'),
(6426, 'New List'),
(6427, 'New Message'),
(6428, 'new messages'),
(6429, 'New Note'),
(6430, 'New or Current Password'),
(6431, 'New or Current Username'),
(6432, 'New Orders'),
(6433, 'New Paragraph'),
(6434, 'New Password'),
(6435, 'New Patient'),
(6436, 'NEW PATIENT'),
(6437, 'New Patient Encounter'),
(6438, 'New Patient Form'),
(6439, 'New Patient ID'),
(6440, 'New patient registration received from patient portal. Reminder to check for possible new appointment'),
(6441, 'New Patients'),
(6442, 'New Payment'),
(6443, 'New Portal Login'),
(6444, 'New Procedure Order'),
(6445, 'New Pt'),
(6446, 'New Recall'),
(6447, 'New results from Lab Exchange'),
(6448, 'New Search'),
(6449, 'New Submissions'),
(6450, 'New to openEMR 5.0.2'),
(6451, 'New User'),
(6452, 'New Value'),
(6453, 'New Visit'),
(6454, 'New/Search'),
(6455, 'NewCrop Account Status'),
(6456, 'NewCrop Admin'),
(6457, 'NewCrop call failed'),
(6458, 'NewCrop Doctor'),
(6459, 'NewCrop eRx Account Id'),
(6460, 'NewCrop eRx Account Name'),
(6461, 'NewCrop eRx Debug Setting'),
(6462, 'NewCrop eRx Default Patient Country'),
(6463, 'NewCrop eRx Name'),
(6464, 'NewCrop eRx Partner Name'),
(6465, 'NewCrop eRx Password'),
(6466, 'NewCrop eRX Role'),
(6467, 'NewCrop eRx Role'),
(6468, 'NewCrop eRx Site Address'),
(6469, 'NewCrop eRx SOAP Request Time-To-Live for Allergies'),
(6470, 'NewCrop eRx SOAP Request Time-To-Live for Medications'),
(6471, 'NewCrop eRx User Role'),
(6472, 'NewCrop eRx User Role * invalid selection *'),
(6473, 'NewCrop eRx Web Service Address'),
(6474, 'NewCrop Manager'),
(6475, 'NewCrop MedEntry'),
(6476, 'NewCrop Midlevel Prescriber'),
(6477, 'NewCrop Nurse'),
(6478, 'NewCrop Supervising Doctor'),
(6479, 'Newer'),
(6480, 'NewRx'),
(6481, 'Newspaper'),
(6482, 'Next'),
(6483, 'Next Appointment Date'),
(6484, 'Next Day'),
(6485, 'Next Month'),
(6486, 'Next month (hold for menu)'),
(6487, 'Next of Kin Relationship'),
(6488, 'Next Scheduled Run'),
(6489, 'Next Visit'),
(6490, 'Next Visit Orders'),
(6491, 'Next Week'),
(6492, 'Next year (hold for menu)'),
(6493, 'Nick Name'),
(6494, 'Nickname'),
(6495, 'Niece/Nephew'),
(6496, 'Night Sweats'),
(6497, 'NKDA{{No known drug allergies}}'),
(6498, 'Nl ext genitalia, vag mucosa, cervix'),
(6499, 'No'),
(6500, 'NO'),
(6501, 'no'),
(6502, 'No access'),
(6503, 'No active patient reminders.'),
(6504, 'No adenopathy (2 areas required)'),
(6505, 'No adjustment reason type found for'),
(6506, 'No adnexal tenderness/masses'),
(6507, 'No alert'),
(6508, 'No amendment requests available'),
(6509, 'No Appointments'),
(6510, 'No archive files present'),
(6511, 'No Archives'),
(6512, 'No Assessment to Display.'),
(6513, 'No audit log tampering detected in the selected date range.'),
(6514, 'No automatic refresh'),
(6515, 'No billing system is currently active'),
(6516, 'No Bills Found to Include in OFX Export'),
(6517, 'No Bills Found to Include in OFX Export<br>'),
(6518, 'No Changes Detected'),
(6519, 'No code was specified!'),
(6520, 'No Configuration Defined for this Module'),
(6521, 'No data available in table'),
(6522, 'No Data to Process'),
(6523, 'No Diagnosis'),
(6524, 'no diagnosis was auto-generated from the clinical findings.'),
(6525, 'No Documents'),
(6526, 'No Documents Found'),
(6527, 'No Encounter could be created'),
(6528, 'No encounter...'),
(6529, 'No end date'),
(6530, 'No entries found, use the form below to add an entry.'),
(6531, 'No errors found'),
(6532, 'No Events'),
(6533, 'No Fax Number Saved For The Selected Organization'),
(6534, 'No files staged for installation'),
(6535, 'No form selected to order!'),
(6536, 'No group was selected'),
(6537, 'No hernia'),
(6538, 'No Hooks Available in this Module'),
(6539, 'No Hooks enabled for this Module'),
(6540, 'No injury/illness'),
(6541, 'No Insurance Companies Found'),
(6542, 'No interactions found'),
(6543, 'No invoices were checked.'),
(6544, 'No Issues'),
(6545, 'No issues in this encounter.'),
(6546, 'No items under selected category'),
(6547, 'No items were selected!'),
(6548, 'No Known Allergies'),
(6549, 'No Known Clinical Instructions'),
(6550, 'No Known Encounters'),
(6551, 'No Known Immunizations'),
(6552, 'No Known Lab Results'),
(6553, 'No Known Medications'),
(6554, 'No Known Plan of Care'),
(6555, 'No Known Problems'),
(6556, 'No Known Procedures'),
(6557, 'No Known Referrals'),
(6558, 'No Known Social Functional Status'),
(6559, 'No Known Social History'),
(6560, 'No Known Vitals'),
(6561, 'No lab data documented.'),
(6562, 'No log file exist for the selected date'),
(6563, 'No logging'),
(6564, 'No logs older than 7 days'),
(6565, 'No masses, tenderness'),
(6566, 'No match Patient record found for the given Re Idenitification code'),
(6567, 'No matches for'),
(6568, 'No matches found. Try search again.'),
(6569, 'No matches were found.'),
(6570, 'No matches were found. Create the new patient now?'),
(6571, 'No matching records found'),
(6572, 'No member fields found for'),
(6573, 'No method enabled'),
(6574, 'No Minimum'),
(6575, 'No Name'),
(6576, 'No new messages on'),
(6577, 'No new results found'),
(6578, 'No notes'),
(6579, 'No ogrganomegoly'),
(6580, 'No openings were found for this period.'),
(6581, 'No Order found, please enter procedure order first'),
(6582, 'No organomegaly'),
(6583, 'No other phone numbers listed'),
(6584, 'No parameters selected'),
(6585, 'No Partners Found'),
(6586, 'No Patient record found for given Selection criteria'),
(6587, 'No Patient record found for the given Re Identification code'),
(6588, 'No peripheral edema'),
(6589, 'No Pharmacies Found'),
(6590, 'No Prescriptions Found'),
(6591, 'No prescriptions selected'),
(6592, 'No presenting illness/injury'),
(6593, 'No previous entries.'),
(6594, 'No Primary Business Entity selected in facility list'),
(6595, 'No prior encounters.'),
(6596, 'No procedures in this encounter.'),
(6597, 'No provider was matched'),
(6598, 'No Providers Found'),
(6599, 'No rash or abnormal lesions'),
(6600, 'No Recall'),
(6601, 'No records available'),
(6602, 'No records found'),
(6603, 'No records found.'),
(6604, 'No records found. Please expand your search criteria.'),
(6605, 'No registered SMART apps in the system'),
(6606, 'No reminder/recall'),
(6607, 'No Reminders'),
(6608, 'No Result Found, for the above search criteria.'),
(6609, 'No Results'),
(6610, 'No results found'),
(6611, 'No results found for'),
(6612, 'No Results Found For Search'),
(6613, 'No results found, please try again.'),
(6614, 'No results, please tray again.'),
(6615, 'No results, please try again.'),
(6616, 'No scopes'),
(6617, 'No Settings avaliable in this module'),
(6618, 'No Show'),
(6619, 'No show'),
(6620, 'no signature in document'),
(6621, 'No signatures on file'),
(6622, 'No Sinus Tenderness:'),
(6623, 'No skin dimpling or breast nodules'),
(6624, 'NO SUCH CONTEXT NAME'),
(6625, 'No table selected! Select a table.'),
(6626, 'No testicular tenderness, masses'),
(6627, 'No Thanks'),
(6628, 'No thrills or heaves'),
(6629, 'No track selected'),
(6630, 'No tracks have been documented.'),
(6631, 'No version of Internet Explorer supports U2F'),
(6632, 'No visit'),
(6633, 'No vitals have been documented.'),
(6634, 'No, Cancel'),
(6635, 'No-fault Insurance including Auto is Primary'),
(6636, 'No:'),
(6637, 'Nocturia'),
(6638, 'Non Paid'),
(6639, 'Non Provider'),
(6640, 'Non Reported Report'),
(6641, 'Non specific injury'),
(6642, 'Non-electronic'),
(6643, 'Non-Insulin Dependent Diabetes'),
(6644, 'Non-Insured'),
(6645, 'Non-residential Substance Abuse Treatment Facility'),
(6646, 'Non-SRH Medical'),
(6647, 'Non-SRH Non-Medical'),
(6648, 'None'),
(6649, 'none'),
(6650, 'None defined'),
(6651, 'None documented'),
(6652, 'None have been documented'),
(6653, 'None of the above'),
(6654, 'None of the Top Distribution Row Can be Completly Blank.'),
(6655, 'None Selected'),
(6656, 'None{{Advanced_Directives}}'),
(6657, 'None{{Amendment}}'),
(6658, 'None{{Appointment}}'),
(6659, 'None{{Authorization}}'),
(6660, 'None{{Category}}'),
(6661, 'none{{Code}}'),
(6662, 'None{{Diagnosis}}'),
(6663, 'None{{Disclosure}}'),
(6664, 'None{{Encounter}}'),
(6665, 'None{{Group}}'),
(6666, 'None{{Immunizations}}'),
(6667, 'None{{Insurance}}'),
(6668, 'None{{Issues}}'),
(6669, 'None{{Issue}}'),
(6670, 'None{{Note}}'),
(6671, 'None{{Partner}}'),
(6672, 'None{{Patient}}'),
(6673, 'None{{Prescriptions}}'),
(6674, 'None{{Recipients}}'),
(6675, 'None{{Result}}'),
(6676, 'None{{Sales}}'),
(6677, 'None{{Sensitivity}}'),
(6678, 'None{{Side}}'),
(6679, 'none{{Symptoms}}'),
(6680, 'none{{Template}}'),
(6681, 'None{{Therapy Group}}'),
(6682, 'None{{Transaction}}'),
(6683, 'Noninsulin Dependent Diabetes'),
(6684, 'Nor'),
(6685, 'Normal'),
(6686, 'Normal (normal)'),
(6687, 'Normal BL'),
(6688, 'Normal Cardiac Exam:'),
(6689, 'Normal Cardiac Exam: '),
(6690, 'Normal Lung Exam:'),
(6691, 'Normal Lung Exam: '),
(6692, 'Normal Office Visit'),
(6693, 'Normal Oropharynx:'),
(6694, 'Normal Right'),
(6695, 'Normal Right:'),
(6696, 'Normal View'),
(6697, 'normal:'),
(6698, 'Normally this should be checked. Not related to access control.'),
(6699, 'North Ndebele'),
(6700, 'Northern Sami'),
(6701, 'Norwegian'),
(6702, 'Norwegian Bokmal'),
(6703, 'Norwegian Bokmål'),
(6704, 'Norwegian Nynorsk'),
(6705, 'Nose'),
(6706, 'Nosebleed'),
(6707, 'not a letter or number'),
(6708, 'Not active'),
(6709, 'Not Administered'),
(6710, 'Not all fields are required for all codes or code types.'),
(6711, 'Not all old browsers support U2F. Using the latest versions of modern browsers - Chrome, Firefox, Safari, Edge and Opera should suffice'),
(6712, 'Not Allowed'),
(6713, 'Not allowed to delete the Administrators group'),
(6714, 'Not Allowed to Edit'),
(6715, 'Not allowed to inactivate all security objects'),
(6716, 'Not allowed to inactivate anything from the Administrators ACL'),
(6717, 'Not allowed to remove the admin user from the Administrators group'),
(6718, 'Not allowed to remove this user from the Administrators group'),
(6719, 'Not Applicable'),
(6720, 'Not authorised to access PostCalendar module'),
(6721, 'Not Authorized'),
(6722, 'Not authorized'),
(6723, 'Not authorized for this squad!'),
(6724, 'Not authorized for this squad.'),
(6725, 'Not authorized to manage users!'),
(6726, 'Not authorized to sign results'),
(6727, 'Not authorized to view this encounter'),
(6728, 'Not authorized!'),
(6729, 'Not Available'),
(6730, 'Not Billed'),
(6731, 'Not billed'),
(6732, 'Not Checked'),
(6733, 'Not checked out'),
(6734, 'Not Coded'),
(6735, 'Not documented'),
(6736, 'Not Due'),
(6737, 'Not Esigned'),
(6738, 'Not Examined'),
(6739, 'Not Examined:'),
(6740, 'Not Examined: '),
(6741, 'Not For Diagnostic Use'),
(6742, 'not found'),
(6743, 'Not Found'),
(6744, 'not found!'),
(6745, 'Not Hispanic or Latino'),
(6746, 'Not installed'),
(6747, 'Not Installed'),
(6748, 'Not Possible'),
(6749, 'Not required.'),
(6750, 'Not required. This password is for generated admin.p12'),
(6751, 'Not seen since'),
(6752, 'Not sent'),
(6753, 'Not Sent Yet'),
(6754, 'Not Specified'),
(6755, 'Not Specified.'),
(6756, 'Not VFC eligible'),
(6757, 'Not yet implemented.'),
(6758, 'Note'),
(6759, 'NOTE'),
(6760, 'Note Codes'),
(6761, 'Note it is recommended to avoid approving SMART apps that do not register as a confidential client. These apps are less secure and should be highly restricted in the OAUTH2 scopes you allow them to access.'),
(6762, 'Note it will take 5-10 minutes to fully process after you click Install'),
(6763, 'Note it will take 5-10 minutes to fully process after you click Upgrade'),
(6764, 'Note that Audit Logging needs to be enabled above'),
(6765, 'Note that the Eventlog Backup is currently set to save in the following folder'),
(6766, 'Note that the pop-up form heading will now read Enter Details for Custom Favorite Group'),
(6767, 'Note that the pop-up form heading will now read Enter Details for Discrete Results'),
(6768, 'Note that the pop-up form heading will now read Enter Details for Individual Procedures'),
(6769, 'Note there is no \'Save\' button.'),
(6770, 'Note this refers to the Continuity of Care Record (CCR) or Continuity of Care Document (CCD) as the case may be'),
(6771, 'Note Type'),
(6772, 'Note: 12:00 noon is PM, not AM'),
(6773, 'NOTE: Importing external data can take more than an hour depending on your hardware configuration. For example, one of the RxNorm data tables contain in excess of 6 million rows.'),
(6774, 'NOTE: Only the Biannual International Snomed Release is currently supported'),
(6775, 'NOTE: Only the Biannual International Snomed Releases and the US Snomed Releases are currently supported'),
(6776, 'NOTE: Only the full monthly RxNorm release is currently supported'),
(6777, 'NOTE: Only the XML formats and Eligible Professionals valuesets supported'),
(6778, 'NOTE: The import can take up to several hours'),
(6779, 'Note: This code has not been authorized.'),
(6780, 'Note: This code was not entered by an authorized user. Only authorized codes may be uploaded to the Open Medical Billing Network for processing. If you wish to upload these codes, please select an authorized user here.'),
(6781, 'Note: This copay was entered against billing that has not been authorized. Please review status.'),
(6782, 'Note: this is not an email address'),
(6783, 'NOTE: Uploading files with duplicate names will cause the files to be automatically renamed (for example, file.jpg will become file.1.jpg). Filenames are considered unique per patient, not per category.'),
(6784, 'NOTE: Uploading files with duplicate names will cause the files to be automatically renamed. For example \'<i>file.jpg</i>\' will become \'<i>file.jpg.1</i>\'. Filenames are considered unique per patient, not per category. '),
(6785, 'Notes'),
(6786, 'NOTES'),
(6787, 'Notes - A short description that will show up as a tooltip'),
(6788, 'Notes - any encounters (write,addonly optional)'),
(6789, 'Notes - any encounters (write,addonly optional) (notes_a)'),
(6790, 'Notes - my encounters (write,addonly optional)'),
(6791, 'Notes - my encounters (write,addonly optional) (notes)'),
(6792, 'Notes by'),
(6793, 'Notes not authorized'),
(6794, 'Nothing found - sorry'),
(6795, 'Nothing Pending for Approval'),
(6796, 'Nothing Recorded'),
(6797, 'Nothing returned to report'),
(6798, 'Nothing to display'),
(6799, 'Nothing to import for Allergy'),
(6800, 'Nothing to import for Prescription'),
(6801, 'Nothing to Post! Please review entries or use Cancel to exit transaction'),
(6802, 'Nothing To Report'),
(6803, 'Nothing to show'),
(6804, 'Nothing was selected'),
(6805, 'Notice'),
(6806, 'Notice how the Top Group entry that was initially created called Serum Chemistry now has a blue + sign before its name indicating the presence of descendants or children to this entry'),
(6807, 'Notice Received'),
(6808, 'NOTICE:: PostCalendar Submission/Modification'),
(6809, 'Notification'),
(6810, 'Notification Email Address'),
(6811, 'Notification FAILED'),
(6812, 'Notification FAILED: Not Portal Authorized'),
(6813, 'Notification sent to'),
(6814, 'Notification Settings'),
(6815, 'Notifications'),
(6816, 'Notify Admin About Event Submission/Modification?'),
(6817, 'Notify Patient'),
(6818, 'Notify Patients Portal'),
(6819, 'Notify via Patient Portal'),
(6820, 'Nov'),
(6821, 'November'),
(6822, 'Now is the time to check and adjust the settings in openEMR for default units, sites, etc., refer to the help file in Procedures > Providers'),
(6823, 'Now posting for'),
(6824, 'Now posting for:'),
(6825, 'Now printing'),
(6826, 'Now printing $stmt_count statements and updating encounters.'),
(6827, 'Now printing $stmt_count statements and updating invoices.'),
(6828, 'Now printing $stmt_count statements; encounters will not be updated.'),
(6829, 'Now printing $stmt_count statements; invoices will not be updated.'),
(6830, 'Now when you bring up the Select Codes pop-up you will see all the ICD10 codes listed'),
(6831, 'Now when you bring up the Select Diagnosis Codes pop-up you will see all the ICD10 codes listed'),
(6832, 'NPA{{near point of accomodation}}'),
(6833, 'NPC{{near point of convergence}}'),
(6834, 'NPI'),
(6835, 'NPI - Enter the Provider\'s unique 10-digit National Provider Identifier or NPI identification number'),
(6836, 'NQF'),
(6837, 'Number'),
(6838, 'Number labs'),
(6839, 'Number of Appointments on Statement'),
(6840, 'Number of Appointments to display in the Group Summary'),
(6841, 'Number of Appointments to display in the Onsite Patient Portal'),
(6842, 'Number of Appointments to display in the Patient Summary'),
(6843, 'Number of columns in year view.'),
(6844, 'Number of days before showing fifth account message'),
(6845, 'Number of days before showing first account message'),
(6846, 'Number of days before showing first account message.'),
(6847, 'Number of days before showing fourth account message'),
(6848, 'Number of days before showing second account message'),
(6849, 'Number of days before showing third account message'),
(6850, 'Number of days that the client certificate is valid.'),
(6851, 'Number of days to search from the start date'),
(6852, 'Number of digits after decimal point for currency, usually 0 or 2.'),
(6853, 'Number of encounters to display per page.'),
(6854, 'Number of Excluded Appointments to display in the Tooltip'),
(6855, 'Number of games or events missed, if any'),
(6856, 'Number of hours in advance to send email notifications.'),
(6857, 'Number of hours in advance to send Phone notification.'),
(6858, 'Number of hours in advance to send SMS notifications.'),
(6859, 'Number of Messages Displayed in Patient Summary'),
(6860, 'Number of Minutes to display completed checkouts'),
(6861, 'Number of Minutes to display completed checkouts. Zero is continuous display'),
(6862, 'Number of past history columns'),
(6863, 'Number of patients to display per page in the patient list.'),
(6864, 'Numbness'),
(6865, 'Numerator'),
(6866, 'Numeric display order'),
(6867, 'Nuosu'),
(6868, 'Nursing Facility'),
(6869, 'Nutrition'),
(6870, 'Nutritional'),
(6871, 'O.A.F.V.'),
(6872, 'O2 Sat'),
(6873, 'OAuth2 using SMART-on-FHIR profile (see http://docs.smarthealthit.org)'),
(6874, 'Obesity I'),
(6875, 'Obesity II'),
(6876, 'Obesity III'),
(6877, 'Objective'),
(6878, 'Obligatory participation'),
(6879, 'Observation'),
(6880, 'Observation Criteria'),
(6881, 'Observation Criteria Value'),
(6882, 'Observation Form'),
(6883, 'Observation Results'),
(6884, 'Observation Results in Immunization'),
(6885, 'Occitan'),
(6886, 'Occupation'),
(6887, 'Occupational physician'),
(6888, 'occurred while uploading file named'),
(6889, 'Occurrence'),
(6890, 'Oct'),
(6891, 'October'),
(6892, 'OD'),
(6893, 'OD{{right eye}}'),
(6894, 'oeFHIR'),
(6895, 'of'),
(6896, 'of quantity'),
(6897, 'of tablets'),
(6898, 'of the month every'),
(6899, 'Ofc Notes'),
(6900, 'Off'),
(6901, 'Off (Recommended setting)'),
(6902, 'Off Campus-Outpatient Hospital'),
(6903, 'Off: No Service.'),
(6904, 'Office'),
(6905, 'Office Announcements'),
(6906, 'Office Note'),
(6907, 'Office Notes'),
(6908, 'Office Visit'),
(6909, 'Official Clinical Quality Measures (CQM) Measure Groups'),
(6910, 'Offsite Https link for the Patient Portal.'),
(6911, 'Offsite Https link for the Patient Portal.(Patient Link)'),
(6912, 'Offsite Patient Portal Password'),
(6913, 'Offsite Patient Portal Password(Put Blank If not Registered).'),
(6914, 'Offsite Patient Portal Provider ID'),
(6915, 'Offsite Patient Portal Provider ID(Put Blank If not Registered).'),
(6916, 'Offsite Patient Portal Site Address'),
(6917, 'Offsite Patient Portal Site Address (Patient Link)'),
(6918, 'Offsite Patient Portal Username'),
(6919, 'Offsite Patient Portal Username(Put Blank If not Registered).'),
(6920, 'Offsite Portal web Service Failed'),
(6921, 'Offspring'),
(6922, 'Offspring History'),
(6923, 'Oh Snap!'),
(6924, 'OID'),
(6925, 'ointment'),
(6926, 'Ojibwe, Ojibwa'),
(6927, 'OK'),
(6928, 'Ok'),
(6929, 'OK to close this other popup window?'),
(6930, 'OK to link the GCAC issue dated'),
(6931, 'Old'),
(6932, 'Old Church Slavonic, Church Slavonic, Old Bulgarian'),
(6933, 'Old Clients'),
(6934, 'Old fracture non / malunion'),
(6935, 'Old style layout with no left menu'),
(6936, 'Old-style static form without search or duplication check'),
(6937, 'Older'),
(6938, 'Older than'),
(6939, 'Oldest drawing'),
(6940, 'Omit'),
(6941, 'Omit circumferences'),
(6942, 'Omit employer information in patient demographics'),
(6943, 'Omit Employers'),
(6944, 'Omit form, route and interval which then become part of dosage'),
(6945, 'Omit insurance and some other things from the demographics form'),
(6946, 'Omit internal users?'),
(6947, 'Omit method of payment from the co-pay panel'),
(6948, 'omit to autoassign'),
(6949, 'On'),
(6950, 'on'),
(6951, 'on file email'),
(6952, 'On first page'),
(6953, 'On for Both Roles'),
(6954, 'On for Patient Role'),
(6955, 'On for Users Role'),
(6956, 'On Hand'),
(6957, 'On mobile devices tap once on the label to reveal the help icon and tap on the icon to show the help section'),
(6958, 'On opening, all dx code rows that match the new procedure from procedure order form will be marked and then will scroll to the first match.'),
(6959, 'On Order'),
(6960, 'On Site'),
(6961, 'On the other hand if you click register but do not capture the QR code with the authenticator app you will not be able to login'),
(6962, 'On these lines the Code column will be blank'),
(6963, 'On this date there is a holiday, use it anyway?'),
(6964, 'On: HAPI FHIR.'),
(6965, 'On: Smart on FHIR.'),
(6966, 'Once a rule is setup it can be enabled for a particular patient'),
(6967, 'Once a Transaction is saved it will appear on the Transaction page'),
(6968, 'Once an appointment is scheduled the name automatically drops off the recall board'),
(6969, 'Once an appointment is scheduled the recall will drop off the Recall Board'),
(6970, 'Once completed, view and store this encounter as a PDF file'),
(6971, 'Once finished editing, click Save. The procedure forms current procedure diagnoses will fill exactly as built in this dialog.'),
(6972, 'Once saved the entity for a Custom Favorite Group cannot be changed. If you need to change the entity you have to delete this entry and create a new one'),
(6973, 'Once the app captures the QR code it will show the OpenEMR user name in the app'),
(6974, 'Once the Primary Business Facility is set, changing the facility id will affect NewCrop ePrescription.'),
(6975, 'Once the Primary Business Facility is set, it should not be changed. Changing the facility will affect the working in NewCrop ePrescription.'),
(6976, 'Once this feature is enabled you will be required to type in the 6 digit key at each login'),
(6977, 'Once this is done the shared secret key that is unique for each user should only exist in OpenEMR and on the user\'s authenticator app'),
(6978, 'Once this step is completed you can proceed to next step - to configure the tests that can be ordered from the system'),
(6979, 'Once you change your password, you will have to re-login.'),
(6980, 'Once you select a justification code for the first CPT line all subsequent CPT code lines will have the same justification. Can be manually altered later if so desired'),
(6981, 'Oncology: Medical and Radiation – Pain Intensity Quantified (CQM)'),
(6982, 'One Day Ago'),
(6983, 'One Day Ahead'),
(6984, 'One Encounter Per Day'),
(6985, 'One Month Ago'),
(6986, 'One Month Ahead'),
(6987, 'One or more transactions failed'),
(6988, 'One such lab uses 905 for Uric Acid and in our example we will enter that number in the box'),
(6989, 'One Time PIN'),
(6990, 'One Time verification PIN'),
(6991, 'One Week Ahead'),
(6992, 'One Year Ago'),
(6993, 'One Year Ahead'),
(6994, 'One-time password or OTP is a commonly used strategy used to provide a unique code for each login'),
(6995, 'Online'),
(6996, 'Online Support'),
(6997, 'Online Support Link'),
(6998, 'Online Users'),
(6999, 'Only Active'),
(7000, 'Only applicable if a provider or collated list was chosen above. PRIMARY only selects patients that the provider is the primary provider. ENCOUNTER selects all patients that the provider has seen.'),
(7001, 'Only entries with a Code are billable'),
(7002, 'Only for comparisons'),
(7003, 'Only for HTML5 compatible browsers.'),
(7004, 'only if billing location'),
(7005, 'Only images files are accepted'),
(7006, 'Only Inactive'),
(7007, 'Only Mine'),
(7008, 'Only one TOTP Key can be set up per user'),
(7009, 'Only recall to provider, no reminder'),
(7010, 'Only reminder to provider, no recall'),
(7011, 'Only Show Diagnosis Reporting Codes'),
(7012, 'Only Show Service Code Finance Reporting Codes'),
(7013, 'Only upload active prescriptions'),
(7014, 'Only upload active prescriptions to NewCrop eRx.'),
(7015, 'Onset'),
(7016, 'Onset of Current Symptoms or Illness'),
(7017, 'Onset of Illness:'),
(7018, 'Onset of Ilness: '),
(7019, 'Onset of Swelling:'),
(7020, 'Onset/hosp. date'),
(7021, 'Onset/hosp. date - is used for billing hospital encounters'),
(7022, 'Onset/hosp. date:'),
(7023, 'Onsite Activity Views'),
(7024, 'Onsite Patient Activities'),
(7025, 'Onsite Patient Portal'),
(7026, 'Onsite Patient Portal Site Address'),
(7027, 'Onsite Portal'),
(7028, 'Onsite Portal Activities'),
(7029, 'Onsite Portal Reviewed'),
(7030, 'Oops!'),
(7031, 'Open'),
(7032, 'Open a spreadsheet and type in the various groups, procedure orders and discrete results, arrange according to need'),
(7033, 'Open a spreadsheet in openoffice/LibreOffice create 5 columns - three for E/M / CPT codes and two for the ICD code categories'),
(7034, 'Open all expandable forms in expanded state'),
(7035, 'Open and review the message content and any attachments'),
(7036, 'Open Demographics in New Window from Patient Flow Board'),
(7037, 'Open Encounter'),
(7038, 'Open Fee Sheet'),
(7039, 'Open Forms Module'),
(7040, 'Open in New Window'),
(7041, 'Open Med Practice and its suppliers use their commercially reasonable efforts to provide the most current and complete data available to them concerning prescription histories, drug interactions and formularies, patient allergies and other factors, but by your use of this service you acknowledge that (1) the completeness and accuracy of such data depends upon the completeness and accuracy with which it is entered into connected electronic databases by physicians, physician’s offices, pharmaceutical benefits managers, electronic medical records firms, and other network participants, (2) such data is subject to error or omission in input, storage or retrieval, transmission and display, technical disruption, power or service outages, or other interruptions in electronic communication, any or all of which may be beyond the control of Open Med Practice and its suppliers, and (3) some information may be unavailable due to regulatory, contractual, privacy or other legal restrictions. You are responsible to use your clinical judgment at all times in rendering medical service and advice.'),
(7042, 'Open Patient'),
(7043, 'Open Patient in New Window'),
(7044, 'Open the Quick Pick panels'),
(7045, 'Open the Shorthand Window and display Shorthand Codes'),
(7046, 'Open Today`s Visit'),
(7047, 'Open/Close Ant Seg panels'),
(7048, 'Open/Close External Exam panels'),
(7049, 'Open/Close Imp/Plan panels'),
(7050, 'Open/Close Neuro panels'),
(7051, 'Open/Close Post Seg panels'),
(7052, 'Open/Close the Anterior Segment drawing panel'),
(7053, 'Open/Close the Anterior Segment Exam Quick Picks panel'),
(7054, 'Open/Close the detailed HPI panel'),
(7055, 'Open/Close the External drawing panel'),
(7056, 'Open/Close the External Exam Quick Picks panel'),
(7057, 'Open/Close the HPI Canvas'),
(7058, 'Open/Close the Imp/Plan drawing panel'),
(7059, 'Open/Close the Impression/Plan Builder panel'),
(7060, 'Open/Close the Neuro drawing panel'),
(7061, 'Open/Close the Neuro Exam Quick Picks panel'),
(7062, 'Open/Close the PMH draw panel'),
(7063, 'Open/Close the PMSFH summary panel'),
(7064, 'Open/Close the Retina drawing panel'),
(7065, 'Open/Close the Retinal Exam Quick Picks panel'),
(7066, 'Open/Close the Shorthand Window and Codes'),
(7067, 'Open/Close the Shorthand Window and display Shorthand Codes'),
(7068, 'Open/Close the Shorthand Window and display Shorthand Codes next to each field'),
(7069, 'OpenEMR'),
(7070, 'OpenEMR allows one TOTP but multiple U2F methods per user'),
(7071, 'OpenEMR already has a Certificate Authority configured.'),
(7072, 'OpenEMR App Registration'),
(7073, 'OpenEMR Application'),
(7074, 'OpenEMR Application Category'),
(7075, 'OpenEMR Authorization'),
(7076, 'OpenEMR Database Upgrade'),
(7077, 'OpenEMR Database Upgrade for De-identification'),
(7078, 'OpenEMR does not recognize the incoming file in the contrib directory. This is most likely because you need to configure the release in the supported_external_dataloads table in the MySQL database.'),
(7079, 'OpenEMR Login'),
(7080, 'OpenEMR must be configured to use certificates before it can create client certificates.'),
(7081, 'OpenEMR offers 2 methods of 2FA'),
(7082, 'OpenEMR Portal'),
(7083, 'OpenEMR Product Registration'),
(7084, 'OpenEMR requires Javascript to perform user authentication.'),
(7085, 'OpenEMR Users'),
(7086, 'Openings'),
(7087, 'Opens in Bottom frame'),
(7088, 'Opens in Top frame'),
(7089, 'Operation Failed'),
(7090, 'Operative Note - 2009'),
(7091, 'Operator'),
(7092, 'Opthalmic'),
(7093, 'Optic Discs'),
(7094, 'Optic Nerve Analysis'),
(7095, 'Option'),
(7096, 'Option one, apply the changes to only the Current event. Option two, apply to this event and all Future occurrences or lastly, apply to All event occurrences?'),
(7097, 'Option to save method of document storage.'),
(7098, 'Option to support inventory and sales of products'),
(7099, 'Optional'),
(7100, 'Optional category name for an ID Card image that can be viewed from the patient summary page.'),
(7101, 'Optional category name for photo images that can be viewed from the patient summary page.'),
(7102, 'Optional category name of a document to link to from the patient summary page. Lets you click on a patient name to see their ID card.'),
(7103, 'Optional default range for manual entry of results'),
(7104, 'Optional default units for manual entry of results'),
(7105, 'Optional Destination Name'),
(7106, 'Optional Destination or Dicom Study Name'),
(7107, 'Optional drug name, use % as a wildcard'),
(7108, 'Optional end date'),
(7109, 'Optional end date mm/dd/yyyy'),
(7110, 'Optional immunization name or code, use % as a wildcard'),
(7111, 'Optional information about this event'),
(7112, 'Optional lot number, use % as a wildcard'),
(7113, 'Optional numeric patient ID'),
(7114, 'Optional procedure code'),
(7115, 'Optional procedure/service code'),
(7116, 'Options'),
(7117, 'OR'),
(7118, 'Or'),
(7119, 'or choose'),
(7120, 'or click and drag for faster selection.'),
(7121, 'Or create this new field ID'),
(7122, 'Or Out To'),
(7123, 'or select from inventory'),
(7124, 'or Shift-click to decrease it'),
(7125, 'Or upload ERA file:'),
(7126, 'or utilize the Impression/Plan Builder'),
(7127, 'Oral'),
(7128, 'Oral mucosa pink, throat clear'),
(7129, 'Order'),
(7130, 'Order - The order in which the item will be displayed - incrementing by 10 will allow for up to 9 values to be inserted in between if so desired at a later date'),
(7131, 'Order and Result Types'),
(7132, 'Order Catalog'),
(7133, 'Order Date'),
(7134, 'Order Descriptions'),
(7135, 'Order Form'),
(7136, 'Order From'),
(7137, 'Order ID'),
(7138, 'Order must be a number between 1 and 999'),
(7139, 'Order must be a number between 1 and 9999'),
(7140, 'Order Name'),
(7141, 'Order Notes'),
(7142, 'Order Priorities'),
(7143, 'Order Processor'),
(7144, 'Order Questions'),
(7145, 'Order Results'),
(7146, 'Order Status'),
(7147, 'Order Statuses'),
(7148, 'Order Summary'),
(7149, 'Order Tracks'),
(7150, 'Order Type'),
(7151, 'Order Types'),
(7152, 'Order/Result Type'),
(7153, 'Ordered'),
(7154, 'Ordered By'),
(7155, 'Ordered Procedure'),
(7156, 'Ordering'),
(7157, 'Ordering a recognized panel of tests'),
(7158, 'Ordering Physician'),
(7159, 'Ordering Provider'),
(7160, 'Ordering tests individually can be tedious and there are two ways of ordering multiple tests together'),
(7161, 'Orders'),
(7162, 'Orders and Results are setup in an hierarchical manner, there are four tiers in this hierarchy'),
(7163, 'Orders Path'),
(7164, 'Orders Path - is only required if you are submitting an electronic order to an external facility'),
(7165, 'Order{{Sequence}}'),
(7166, 'Organ injury'),
(7167, 'Organization'),
(7168, 'Organization Name'),
(7169, 'Organizational Unit Name'),
(7170, 'Organizations'),
(7171, 'Orientated x 3'),
(7172, 'Oriented TPP{{oriented to person and place}}'),
(7173, 'Origin'),
(7174, 'Origin Description'),
(7175, 'Original'),
(7176, 'Original Checksum'),
(7177, 'Original file'),
(7178, 'Original file deletion error'),
(7179, 'Oriya'),
(7180, 'Oromo'),
(7181, 'OROPHARYNX: '),
(7182, 'Ortho'),
(7183, 'Orthophoric'),
(7184, 'Orthopnea'),
(7185, 'ORTHO{{Orthopedics}}'),
(7186, 'Ortho{{orthophoric}}'),
(7187, 'OR{{as in AND/OR, ie. not an abbreviation}}'),
(7188, 'OS'),
(7189, 'Osetoarthritis'),
(7190, 'Ossetian, Ossetic'),
(7191, 'Osteopathy'),
(7192, 'OS{{left eye}}'),
(7193, 'Other'),
(7194, 'other'),
(7195, 'OTHER'),
(7196, 'Other (specify)'),
(7197, 'Other - lists items not covered in the above sections'),
(7198, 'Other - Specified'),
(7199, 'Other adult'),
(7200, 'Other Documents'),
(7201, 'Other Federal Program'),
(7202, 'Other HCFA'),
(7203, 'Other injury not elsewhere specified'),
(7204, 'Other Liability Insurance is Primary'),
(7205, 'Other Logs'),
(7206, 'other month'),
(7207, 'Other Non-Federal Programs'),
(7208, 'Other Notes'),
(7209, 'Other Pertinent Symptoms'),
(7210, 'Other Pertinent Symptoms:'),
(7211, 'Other Place of Service'),
(7212, 'Other Provider'),
(7213, 'Other pt resp'),
(7214, 'Other Registry'),
(7215, 'Other stress/Over use injury'),
(7216, 'Other Surgical'),
(7217, 'Other/Generic Abortion-Related'),
(7218, 'Other/Miscellaneous'),
(7219, 'Others'),
(7220, 'Otherwise known as Dated Reminders are short messages of up to 160 characters'),
(7221, 'otherwise you will destroy references to/from existing data.'),
(7222, 'OTP can be delivered by various methods'),
(7223, 'OTP can be generated either using time synchronization where the current time is combined with a secret key and hashed to generate the OTP or using mathematical algorithms were an initial seed (a random number) is combined with the previously used password to generate the OTP'),
(7224, 'Ottawa Ankle Rules'),
(7225, 'OU'),
(7226, 'Our Out To'),
(7227, 'OUT'),
(7228, 'Out Of Office'),
(7229, 'Out Time'),
(7230, 'Outbound Referral'),
(7231, 'Outcome'),
(7232, 'Outline Data Col'),
(7233, 'Outline Entire Row'),
(7234, 'Outlook'),
(7235, 'Outpatient Hospital'),
(7236, 'Output Type'),
(7237, 'OU{{both eyes}}'),
(7238, 'Over'),
(7239, 'Overall Status Of Discharge'),
(7240, 'OVERDUE'),
(7241, 'Overlay CMS 1500 on the Preprinted form'),
(7242, 'Override (if necessary) the appointment display limit to allow all appointments to be displayed for the last set'),
(7243, 'Override HIPAA choice'),
(7244, 'Overuse'),
(7245, 'Overview'),
(7246, 'Overweight'),
(7247, 'Overwrite HIPAA choice'),
(7248, 'Owner'),
(7249, 'Oxygen Saturation'),
(7250, 'oz'),
(7251, 'P'),
(7252, 'p.c.'),
(7253, 'p.m.'),
(7254, 'p.r.n.'),
(7255, 'Pachymetry'),
(7256, 'Pachymetry: Central Corneal Thickness'),
(7257, 'Pachy{{Pachymetry}}'),
(7258, 'Pacific Islander'),
(7259, 'Paedeatric'),
(7260, 'Page'),
(7261, 'Page not found'),
(7262, 'Page Validation'),
(7263, 'Pages'),
(7264, 'Paid'),
(7265, 'Paid amount that you will allocate'),
(7266, 'Paid Amt'),
(7267, 'Paid Via'),
(7268, 'Pain'),
(7269, 'Pali'),
(7270, 'Palliative care physician'),
(7271, 'Palpitation'),
(7272, 'PAM{{Potential Acuity Meter}}'),
(7273, 'Pan'),
(7274, 'Panjabi, Punjabi'),
(7275, 'Pap Smear'),
(7276, 'Paper'),
(7277, 'Paper Size'),
(7278, 'Paralysis'),
(7279, 'Parent'),
(7280, 'parent in-law'),
(7281, 'Parent Recall'),
(7282, 'Parent Written Record'),
(7283, 'Parental decision'),
(7284, 'Parse HL7'),
(7285, 'Partially Administered'),
(7286, 'Participant\'s name'),
(7287, 'participants'),
(7288, 'Participants '),
(7289, 'Partner'),
(7290, 'Partner Name'),
(7291, 'Partner Name issued for NewCrop eRx service.'),
(7292, 'Partner not configured'),
(7293, 'Pashto, Pushto'),
(7294, 'Pass Phrase'),
(7295, 'Pass phrase to decrypt document'),
(7296, 'Passed Patients'),
(7297, 'Passive Alert'),
(7298, 'Passive Alert - that will be displayed in the Clinical Reminders widget section'),
(7299, 'Passive Alert Rules'),
(7300, 'password'),
(7301, 'Password'),
(7302, 'Password Change'),
(7303, 'Password change successful'),
(7304, 'Password change successful.'),
(7305, 'Password does not meet minimum requirements and should contain at least each of the following items: A number, a lowercase letter, an uppercase letter, a special character (not a letter or number).'),
(7306, 'Password does not meet minimum requirements and should contain at least three of the four following items: A number, a lowercase letter, an uppercase letter, a special character (Not a leter or number).'),
(7307, 'Password Expiration'),
(7308, 'Password Expiration Grace Period'),
(7309, 'Password for Phone Gateway.'),
(7310, 'Password for Phone Gateway. Automated VOIP service provided by Maviq. Please visit http://signup.maviq.com for more information.'),
(7311, 'Password for SMS Gateway'),
(7312, 'Password for SMS Gateway.'),
(7313, 'Password for the above user'),
(7314, 'Password security has recently been upgraded.'),
(7315, 'Password to connect to CouchDB'),
(7316, 'Password too short. Minimum 8 characters required.'),
(7317, 'Password too short. Minimum characters required'),
(7318, 'Password update error!'),
(7319, 'Password:'),
(7320, 'Passwords do not match'),
(7321, 'Passwords do not match.'),
(7322, 'Passwords Don\'t match!'),
(7323, 'Passwords must be 8-12 characters long and include one capital letter, one lower case letter and one special character'),
(7324, 'Past Appoinments'),
(7325, 'Past Appointment Display Widget'),
(7326, 'Past Appointments'),
(7327, 'Past Appointments - will show all past appointments'),
(7328, 'Past Date'),
(7329, 'Past due'),
(7330, 'Past Due'),
(7331, 'Past Due Interval (Clinical Reminders)'),
(7332, 'Past Due Interval (Patient Reminders)'),
(7333, 'Past Encounter List'),
(7334, 'Past Encounters'),
(7335, 'Past Encounters and Documents'),
(7336, 'Past Encounters for'),
(7337, 'Past Medical History'),
(7338, 'Past meetings'),
(7339, 'Past Ocular History'),
(7340, 'Past Ocular Surgery'),
(7341, 'Past Surgical History'),
(7342, 'Past Therapy Group Encounters'),
(7343, 'Past Year'),
(7344, 'Paste HL7 Data'),
(7345, 'Paste the data to import into the text area below:'),
(7346, 'Pat'),
(7347, 'Pat Ledger'),
(7348, 'Patch'),
(7349, 'Patch was also installed, updating version patch indicator'),
(7350, 'PaternalAunt'),
(7351, 'PaternalCousin'),
(7352, 'PaternalGrandparent'),
(7353, 'PaternalGreatgrandparent'),
(7354, 'PaternalUncle'),
(7355, 'Path for Event Log Backup'),
(7356, 'Path to CA Certificate File'),
(7357, 'Path to CA Key File'),
(7358, 'Path to MySQL Binaries'),
(7359, 'Path to Perl Binaries'),
(7360, 'Path to Temporary Files'),
(7361, 'Patient'),
(7362, 'PATIENT'),
(7363, 'patient'),
(7364, 'Patient Access'),
(7365, 'Patient Address'),
(7366, 'Patient Address is missing'),
(7367, 'Patient Adj'),
(7368, 'Patient Adjustment'),
(7369, 'Patient allergies'),
(7370, 'Patient Allergies'),
(7371, 'Patient already in form'),
(7372, 'Patient and Insured Informatiom - Boxes 1 - 13 and Physician or Supplier Information - Boxes 14 - 33'),
(7373, 'Patient Appointment'),
(7374, 'Patient Balance'),
(7375, 'Patient Balance Due'),
(7376, 'Patient Billing Note'),
(7377, 'Patient birthday alert requires turning off'),
(7378, 'Patient Characteristics'),
(7379, 'Patient chart ID'),
(7380, 'Patient Chat'),
(7381, 'Patient Checkout'),
(7382, 'Patient Checkout for '),
(7383, 'Patient City'),
(7384, 'Patient City is missing'),
(7385, 'Patient city missing'),
(7386, 'Patient Communication sent'),
(7387, 'Patient Comunication Sent'),
(7388, 'Patient Country'),
(7389, 'Patient Country is missing. Also you have not set default Patient Country in Global Settings'),
(7390, 'Patient Coverage'),
(7391, 'Patient Credentials Reset'),
(7392, 'Patient Credit'),
(7393, 'Patient Dashboard'),
(7394, 'Patient Data'),
(7395, 'Patient Date Of Birth'),
(7396, 'Patient Date Of Birth is missing'),
(7397, 'Patient decision'),
(7398, 'Patient Default'),
(7399, 'Patient Demographics'),
(7400, 'Patient details'),
(7401, 'Patient Details'),
(7402, 'Patient DOB'),
(7403, 'Patient DOB missing'),
(7404, 'Patient Document'),
(7405, 'Patient Document Template Forms'),
(7406, 'Patient Document Template Maintenance'),
(7407, 'Patient Document Template Upload'),
(7408, 'Patient Document Templates'),
(7409, 'Patient Documents'),
(7410, 'Patient Education'),
(7411, 'Patient Education Materials'),
(7412, 'Patient Encounter'),
(7413, 'Patient Encounter Form'),
(7414, 'Patient Encounters'),
(7415, 'Patient Finder'),
(7416, 'Patient Finder Screen'),
(7417, 'Patient First name'),
(7418, 'Patient First Name'),
(7419, 'Patient First name is missing'),
(7420, 'Patient Flow Board'),
(7421, 'Patient Flow Board Report'),
(7422, 'Patient Flow Board Rooms'),
(7423, 'Patient Flow Board Timer Interval'),
(7424, 'Patient Gender'),
(7425, 'Patient Gender is missing'),
(7426, 'Patient has not authorized the Patient Portal.'),
(7427, 'Patient Height Vital is required under age 19'),
(7428, 'Patient History'),
(7429, 'Patient History / Lifestyle'),
(7430, 'Patient Home phone'),
(7431, 'Patient ID'),
(7432, 'Patient Id'),
(7433, 'Patient ID card'),
(7434, 'Patient ID Category Name'),
(7435, 'Patient identifying information'),
(7436, 'Patient Images'),
(7437, 'Patient Immunization'),
(7438, 'Patient Information'),
(7439, 'Patient Information (patients)'),
(7440, 'Patient Instructions'),
(7441, 'Patient Insurance Distribution'),
(7442, 'Patient Insurance Distribution Report'),
(7443, 'Patient insurance/financial information'),
(7444, 'Patient is required to enter their contact e-mail if present in Demographics Contact.'),
(7445, 'Patient Issues'),
(7446, 'Patient Label Type'),
(7447, 'Patient Last name'),
(7448, 'Patient Last Name'),
(7449, 'Patient Last name is missing'),
(7450, 'Patient Ledger'),
(7451, 'Patient Ledger by Date'),
(7452, 'Patient Ledger Help'),
(7453, 'Patient Level Billing Note (Collections)'),
(7454, 'Patient List'),
(7455, 'Patient List Columns'),
(7456, 'Patient List Creation'),
(7457, 'Patient List New Window'),
(7458, 'Patient List Page Size'),
(7459, 'Patient Login'),
(7460, 'Patient Lookup Errors'),
(7461, 'Patient Mail'),
(7462, 'Patient may change their logon from portal login dialog.'),
(7463, 'Patient Medical Problems'),
(7464, 'Patient Medications'),
(7465, 'Patient Menu Role'),
(7466, 'Patient Message'),
(7467, 'Patient Messages'),
(7468, 'Patient Messaging'),
(7469, 'Patient must be set manually'),
(7470, 'Patient Name'),
(7471, 'Patient name'),
(7472, 'Patient Name & Address'),
(7473, 'Patient Name and ID'),
(7474, 'Patient Name and Invoice'),
(7475, 'Patient Name Required'),
(7476, 'Patient Name/ID'),
(7477, 'Patient Note'),
(7478, 'Patient Note Types'),
(7479, 'Patient Notes'),
(7480, 'Patient Notes (write,addonly optional)'),
(7481, 'Patient Notes (write,addonly optional) (notes)'),
(7482, 'Patient Number'),
(7483, 'Patient Payment'),
(7484, 'Patient Payments'),
(7485, 'Patient Photo Category Name'),
(7486, 'PATIENT PORTAL'),
(7487, 'Patient Portal'),
(7488, 'Patient Portal (patientportal)'),
(7489, 'Patient Portal (portal)'),
(7490, 'Patient Portal connectivity issue'),
(7491, 'Patient Portal Documents'),
(7492, 'Patient Portal is turned off'),
(7493, 'Patient Portal Login'),
(7494, 'Patient Portal Secure'),
(7495, 'Patient Portal Site Address'),
(7496, 'Patient Portal Web Address'),
(7497, 'Patient Printed Report'),
(7498, 'Patient Recalls'),
(7499, 'Patient Record Report'),
(7500, 'Patient Record Request'),
(7501, 'Patient Records Request'),
(7502, 'Patient Religion'),
(7503, 'Patient Reminder'),
(7504, 'Patient Reminder - that is used to communicate relevant information pertaining to that particular Clinical Decision Rule and is shown in the Patient Reminders widget as Well as under Administration > Patient Reminders'),
(7505, 'Patient Reminder Batch Job'),
(7506, 'Patient Reminder Creation Processing Priority'),
(7507, 'Patient Reminder Rules'),
(7508, 'Patient Reminder Sender Email'),
(7509, 'Patient Reminder Sender Name'),
(7510, 'Patient Reminders'),
(7511, 'Patient Reminders (write,addonly optional)'),
(7512, 'Patient Reminders (write,addonly optional) (reminder)'),
(7513, 'Patient Reminders - a list reminders for preventive or follow-up care according to patient preferences based on demographic data, specific conditions, and/or medication list as well as the status of the notification'),
(7514, 'Patient Report'),
(7515, 'Patient Reported Outcomes'),
(7516, 'Patient Reports'),
(7517, 'Patient Reports Help'),
(7518, 'Patient Request'),
(7519, 'Patient Requested Medical Records'),
(7520, 'Patient Resource'),
(7521, 'Patient Results'),
(7522, 'Patient Search'),
(7523, 'Patient Search Not Available'),
(7524, 'Patient search or select.'),
(7525, 'Patient Search Results Style'),
(7526, 'Patient Search/Add Screen'),
(7527, 'Patient Secure Mail'),
(7528, 'Patient Setting'),
(7529, 'Patient sex missing'),
(7530, 'Patient Signature'),
(7531, 'Patient Signed'),
(7532, 'Patient Signed Date'),
(7533, 'Patient State'),
(7534, 'Patient state missing'),
(7535, 'Patient Statement Bill'),
(7536, 'Patient statements can be generated as plain text or with a modern graphical appearance.'),
(7537, 'Patient Street Address'),
(7538, 'Patient street missing'),
(7539, 'Patient Summary'),
(7540, 'Patient Surveys'),
(7541, 'Patient Template'),
(7542, 'Patient Transactions'),
(7543, 'Patient Transactions Help'),
(7544, 'Patient validation'),
(7545, 'Patient Weight Vital is required under age 19'),
(7546, 'Patient Zip'),
(7547, 'Patient Zip Code missing'),
(7548, 'Patient\'s number'),
(7549, 'patient(s) in the database that match the demographic information you have entered.'),
(7550, 'Patient/Client'),
(7551, 'Patient:'),
(7552, 'PatientID'),
(7553, 'Patients'),
(7554, 'Patients (patients)'),
(7555, 'Patients Processed'),
(7556, 'Patients with debt'),
(7557, 'Patient’s health status'),
(7558, 'Paused status checks.'),
(7559, 'Pay'),
(7560, 'Pay attention to the \"Done with\" checkboxes.  After the insurances are marked complete then we will start asking the patient to pay the remaining balance; if you fail to mark all of the insurances complete then the remaining amount will not be collected!  Also if there is a balance that the patient should pay, then set the due date appropriately, as this will affect the language that appears on patient statements.'),
(7561, 'Pay attention to the \'Done with\' checkboxes. After the insurances are marked complete then we will start asking the patient to pay the remaining balance; if you fail to mark all of the insurances complete then the remaining amount will not be collected! Also if there is a balance that the patient should pay, then set the due date appropriately, as this will affect the language that appears on patient statements.'),
(7562, 'Pay Date'),
(7563, 'Pay Date:'),
(7564, 'Pay Invoice'),
(7565, 'Pay Now'),
(7566, 'Pay Status'),
(7567, 'Payee Name'),
(7568, 'Payer'),
(7569, 'Payer ID'),
(7570, 'Payer Id For Eligibility'),
(7571, 'Payer ID For Encounter Claims'),
(7572, 'Payer Type'),
(7573, 'Paying'),
(7574, 'Paying Entity'),
(7575, 'Payment'),
(7576, 'payment'),
(7577, 'Payment Adjustment Code'),
(7578, 'Payment against'),
(7579, 'Payment Amount'),
(7580, 'Payment Amount must be Numeric'),
(7581, 'Payment Category'),
(7582, 'Payment date'),
(7583, 'Payment Date'),
(7584, 'payment entered on'),
(7585, 'Payment From'),
(7586, 'Payment Gateways'),
(7587, 'Payment Information'),
(7588, 'Payment Ins'),
(7589, 'Payment List'),
(7590, 'Payment Method'),
(7591, 'Payment note'),
(7592, 'Payment Sort By'),
(7593, 'Payment Status'),
(7594, 'Payment successfully sent for authorization. You will be notified when payment is posted. Until payment is accepted and you are notified, you may resubmit this payment at anytime with new amounts or different credit card. Thank you'),
(7595, 'Payment successfully sent for review and posting to your account.'),
(7596, 'Payment Tracking Id'),
(7597, 'Payment Type'),
(7598, 'Payment Validated: Save?'),
(7599, 'Payment value for code'),
(7600, 'Payment value for code '),
(7601, 'Payment was successfully authorized and your card is charged.'),
(7602, 'Payments'),
(7603, 'Payor'),
(7604, 'Payor ID'),
(7605, 'Payor/Carrier Code'),
(7606, 'PCP'),
(7607, 'Pct (%) of rows'),
(7608, 'PD-D{{abbreviation for Binocular Pupillary Diameter - Distance}}'),
(7609, 'PD-N{{abbreviation for Binocular Pupillary Diameter - Near}}'),
(7610, 'PDF'),
(7611, 'PDF buttons will save, mark claim reviewed and download claim'),
(7612, 'PDF Document Parse Error and not included. Check if included in archive.'),
(7613, 'PDF Download Selected'),
(7614, 'PDF Download Selected Statements'),
(7615, 'PDF Language'),
(7616, 'Pdf With Form'),
(7617, 'Pdf Without Form'),
(7618, 'PD{{Inter-pupillary distance}}'),
(7619, 'PD{{pupillary distance}}'),
(7620, 'Pelvis and buttock'),
(7621, 'Pemphigus'),
(7622, 'Pencil'),
(7623, 'pend'),
(7624, 'Pending'),
(7625, 'Pending Action'),
(7626, 'Pending Approval'),
(7627, 'Pending Auth since'),
(7628, 'Pending Documents'),
(7629, 'Pending F/U'),
(7630, 'Pending followup'),
(7631, 'Pending Followup from Results'),
(7632, 'Pending Orders'),
(7633, 'Pending Res'),
(7634, 'Pending Review'),
(7635, 'Pending Rx Count'),
(7636, 'Pending since'),
(7637, 'Penicillin Allergy'),
(7638, 'Pennington Firm OpenEMR  v'),
(7639, 'Peptic Ulcer Disease'),
(7640, 'Per Encounter'),
(7641, 'per min'),
(7642, 'Per Nostril'),
(7643, 'per nostril'),
(7644, 'Per Oris'),
(7645, 'per oris'),
(7646, 'Per Rectum'),
(7647, 'per rectum'),
(7648, 'Percent'),
(7649, 'Percentage'),
(7650, 'Percentage of Patients to Drug Test'),
(7651, 'Percentage of Patients to select for Random Drug Testing.'),
(7652, 'Percentile'),
(7653, 'Perforated Right:'),
(7654, 'Perform Search'),
(7655, 'Perform this action'),
(7656, 'Performance Percentage'),
(7657, 'performed'),
(7658, 'Performer'),
(7659, 'Performing Laboratory Facility'),
(7660, 'Performing organization'),
(7661, 'Period'),
(7662, 'Period in days where a user may login with an expired password.'),
(7663, 'Perioperative Care'),
(7664, 'Periph'),
(7665, 'Peripheral'),
(7666, 'Periph{{peripheral retina}}'),
(7667, 'Periph{{periphery}}'),
(7668, 'Permit unsalted passwords'),
(7669, 'Persian'),
(7670, 'Persian (Farsi)'),
(7671, 'Person'),
(7672, 'Personalize'),
(7673, 'Persons needing a recall, no appt scheduled yet'),
(7674, 'Persons needing a recall, no appt scheduled yet.'),
(7675, 'PG'),
(7676, 'Pharm'),
(7677, 'Pharm Com Count'),
(7678, 'Pharmacies'),
(7679, 'Pharmacies Imported'),
(7680, 'Pharmacy'),
(7681, 'Pharmacy Dispensary'),
(7682, 'Pharmacy Dispensary (drugs)'),
(7683, 'Pharmacy Id'),
(7684, 'Pharmacy Import / Update'),
(7685, 'Pharmacy missing NCPDP ID or less than 7 digits'),
(7686, 'Pharmacy missing NPI  or less than 10 digits'),
(7687, 'Pharmacy not assigned to the patient'),
(7688, 'Pheumothorax'),
(7689, 'phiMail Allow CCD Send'),
(7690, 'phiMail Allow CCR Send'),
(7691, 'phiMail Message Check Interval (minutes)'),
(7692, 'phiMail notification user'),
(7693, 'phiMail Password'),
(7694, 'phiMail Server Address'),
(7695, 'phiMail Username'),
(7696, 'PHIN Questions'),
(7697, 'Phone'),
(7698, 'Phone Biz'),
(7699, 'Phone call list'),
(7700, 'Phone Call List'),
(7701, 'Phone Call List report'),
(7702, 'Phone call made by'),
(7703, 'Phone Cell'),
(7704, 'Phone Contact'),
(7705, 'Phone Gateway Password'),
(7706, 'Phone Gateway URL'),
(7707, 'Phone Gateway Username'),
(7708, 'Phone Home'),
(7709, 'Phone Notification Hour'),
(7710, 'Phone number'),
(7711, 'Phone Number'),
(7712, 'Phone number for billing inquiries'),
(7713, 'Phone Number for Vendor Support that Appears on the About Page.'),
(7714, 'Phone(W)'),
(7715, 'Photophobia'),
(7716, 'Photos'),
(7717, 'PHP compressed'),
(7718, 'PHP CURL module should be enabled in your server.'),
(7719, 'PHP Default'),
(7720, 'PHP extracted'),
(7721, 'php-GACL access controls are turned off'),
(7722, 'PHP-gacl is not installed'),
(7723, 'Physical Exam'),
(7724, 'Physician'),
(7725, 'Physician Request'),
(7726, 'Physician Signature'),
(7727, 'Physician Type'),
(7728, 'Physician\'s UPIN'),
(7729, 'Physicians'),
(7730, 'PH{{pinhole acuity}}'),
(7731, 'PH{{Pinhole Vision}}'),
(7732, 'PH{{Pinhole}}'),
(7733, 'pick'),
(7734, 'Pick'),
(7735, 'Pick a CSS theme.'),
(7736, 'Pick a general theme (need to logout/login after change this setting).'),
(7737, 'Pick a general theme (need to logout/login after changing this setting).'),
(7738, 'PID'),
(7739, 'Pid'),
(7740, 'PID (Pelvic Inflammatory Disease)'),
(7741, 'Pill Size'),
(7742, 'Pills'),
(7743, 'Pinhole Vision'),
(7744, 'Place of Employment-Worksite'),
(7745, 'Place the database zip file in the following directory if want the option to install'),
(7746, 'Place the downloaded ICD 10 database zip files into the following directory'),
(7747, 'Place the downloaded ICD 9 database zip file into the following directory'),
(7748, 'Place the downloaded RxNorm database zip file into the following directory'),
(7749, 'Place the downloaded Snomed database zip file into the following directory'),
(7750, 'Place the downloaded VALUESET database zip file into the following directory'),
(7751, 'Place your logo in sites/default/images and type the filename including gif extension here.'),
(7752, 'Placeholder'),
(7753, 'Placeholder (Maintains empty ACLs)'),
(7754, 'Placeholder (Maintains empty ACLs) (filler)'),
(7755, 'Placeholder (placeholder)'),
(7756, 'Plain Text'),
(7757, 'Plan'),
(7758, 'Plan Added Successfully'),
(7759, 'Plan Already in list_options'),
(7760, 'Plan copay if known'),
(7761, 'Plan Description'),
(7762, 'Plan Name'),
(7763, 'Plan Name Already Exists'),
(7764, 'Plan Name Already Taken'),
(7765, 'Plan Name Missing'),
(7766, 'Plan of Care'),
(7767, 'Plan of Care Type'),
(7768, 'Plan Set'),
(7769, 'Plan Status Changed'),
(7770, 'Plan Status Failed to Change'),
(7771, 'Plan Type'),
(7772, 'Plan Updated Successfully'),
(7773, 'Plan:'),
(7774, 'Planned Activity'),
(7775, 'Planned Date'),
(7776, 'Plans'),
(7777, 'Plans Configuration'),
(7778, 'Player'),
(7779, 'Playing Position'),
(7780, 'Please call if any of the above information is incorrect'),
(7781, 'Please call if any of the above information is incorrect.'),
(7782, 'Please call or message if any of the above information is incorrect.'),
(7783, 'Please call our office to schedule'),
(7784, 'Please change your password.'),
(7785, 'Please Choose a file'),
(7786, 'Please choose a patient'),
(7787, 'Please choose a valid selection from the list.'),
(7788, 'Please choose a valid selection.'),
(7789, 'Please choose a value for'),
(7790, 'Please choose date range criteria above, and click Refresh to view results.'),
(7791, 'Please choose the proper formatted EDI-271 file'),
(7792, 'Please Click download button to download the De Identified data'),
(7793, 'Please Click download button to download the Re Identified data'),
(7794, 'Please click on Openings to select a time.'),
(7795, 'Please close this window.'),
(7796, 'Please compare the new name'),
(7797, 'Please Confirm'),
(7798, 'Please consider sending in a donation to'),
(7799, 'Please contact your provider.'),
(7800, 'Please contact your providers office with the following account information'),
(7801, 'Please contact your systems administrator, the following component(s) are required but are missing.'),
(7802, 'Please correct the value(s) before proceeding!'),
(7803, 'Please create the following directory before proceeding'),
(7804, 'Please delete characters'),
(7805, 'Please do not accept this prescription unless it was received via facimile.'),
(7806, 'Please do not accept this prescription unless it was received via facsimile.'),
(7807, 'Please do NOT use your browsers stop or reload button while this page is running unless more than 10 minutes have elapsed, this will not cause the process to  stop on the server and will consume uneccesary resources.'),
(7808, 'PLEASE ENABLE CURL EXTENSION'),
(7809, 'PLEASE ENABLE OPENSSL EXTENSION'),
(7810, 'PLEASE ENABLE SOAP EXTENSION'),
(7811, 'PLEASE ENABLE XML EXTENSION'),
(7812, 'Please ensure that there is only one image file - jpeg, png or bmp in the Patient Photograph folder'),
(7813, 'Please enter a date for Last Reviewed.'),
(7814, 'Please enter a date.'),
(7815, 'Please enter a dollar amount using only numbers and a decimal point.'),
(7816, 'Please enter a due date'),
(7817, 'Please enter a enter valid range'),
(7818, 'Please enter a message'),
(7819, 'Please enter a monetary amount using only numbers and a decimal point.'),
(7820, 'Please enter a name for this key.'),
(7821, 'Please Enter a New Password'),
(7822, 'Please enter a title!'),
(7823, 'Please enter a username of 12 to 80 characters. Recommended to include symbols and numbers but not required.'),
(7824, 'Please enter a valid Direct Address above.'),
(7825, 'Please enter at least the item\'s name'),
(7826, 'Please enter at least the track\'s name'),
(7827, 'Please enter card comfirmation authorization'),
(7828, 'Please enter correct Re Identification code'),
(7829, 'Please Enter End Date greater than Begin Date!'),
(7830, 'Please enter more characters'),
(7831, 'Please Enter New Credentials'),
(7832, 'Please enter new search string'),
(7833, 'Please enter the correct Re Identification code'),
(7834, 'Please enter the password'),
(7835, 'Please fill in credit information and send for review.'),
(7836, 'Please fill out facility city properly'),
(7837, 'Please fill out facility fax properly'),
(7838, 'Please fill out facility name properly'),
(7839, 'Please fill out facility phone properly'),
(7840, 'Please fill out facility postal code properly'),
(7841, 'Please fill out facility state properly'),
(7842, 'Please fill out facility street properly'),
(7843, 'Please Fill the Check Number'),
(7844, 'Please Fill the Check/Ref Number'),
(7845, 'Please Fill the Date'),
(7846, 'Please Fill the Payment Amount'),
(7847, 'Please Fill the Payment Category'),
(7848, 'Please Fill the Payment From'),
(7849, 'Please Fill the Post To Date'),
(7850, 'Please fill them in before continuing.'),
(7851, 'Please follow up.'),
(7852, 'Please give this key a name'),
(7853, 'Please ignore this email if you did not make this request'),
(7854, 'Please indicate visit reason'),
(7855, 'Please input search criteria above, and click Submit to start report.'),
(7856, 'Please input search criteria above, and click Submit to view results.'),
(7857, 'Please input search criteria above, and click Submit to view results. (Results will be displayed in a pop up window)'),
(7858, 'Please login again.'),
(7859, 'Please note that this can take a very long time, up to several minutes, your web browser may not appear very active during this time but generating a bill is a  complicated process and your web browser is merely waiting for more information.'),
(7860, 'Please Note: constants are case sensitive and any string is allowed.'),
(7861, 'Please only use alphabetic characters'),
(7862, 'Please only use alphabetic characters with no spaces'),
(7863, 'Please pay this amount'),
(7864, 'Please place your install files in following directory'),
(7865, 'Please provide a valid e-mail address to proceed'),
(7866, 'Please provide a valid email address'),
(7867, 'Please refer to'),
(7868, 'Please reset the password.'),
(7869, 'Please restart the apache server before playing with de-identification'),
(7870, 'Please return this bottom part with your payment'),
(7871, 'Please see forum and wiki'),
(7872, 'Please see forum or wiki'),
(7873, 'Please see http://www.open-emr.org/wiki/index.php/LBV_Forms for more on this topic'),
(7874, 'Please see the attached PDF.'),
(7875, 'Please Select'),
(7876, 'Please select a format'),
(7877, 'Please select a language'),
(7878, 'Please Select a Patient.'),
(7879, 'Please select a Primary Business Entity facility with \'Tax ID\' as your facility Tax ID. If you are an individual practitioner, use your tax id. This is used for identifying you in the NewCrop system.'),
(7880, 'Please select a Primary Business Entity facility with \'Tax ID\' as your facility Tax ID. If you are an individual practitioner, use your tax id. This is used for identifying you in the NewCrop system.'),
(7881, 'Please select a procedure provider'),
(7882, 'Please Select A Recipient'),
(7883, 'Please Select a Recipient for Message.'),
(7884, 'Please select a start date and end date'),
(7885, 'Please select a valid recipient'),
(7886, 'Please Select an Active Group'),
(7887, 'Please select an adjustment reason for code'),
(7888, 'Please select an adjustment reason for code '),
(7889, 'Please select an event'),
(7890, 'Please select an item that has more data'),
(7891, 'Please select any Search Option.'),
(7892, 'Please select at least one criteria to download'),
(7893, 'Please select at least one patient.'),
(7894, 'Please select at least one prescription!'),
(7895, 'Please select encounter'),
(7896, 'Please select From date'),
(7897, 'Please select image procedure'),
(7898, 'Please select message(s) to delete'),
(7899, 'Please select the desired pages to copy or forward:'),
(7900, 'Please Select the Payment Method'),
(7901, 'Please select the prior release you are converting from'),
(7902, 'Please select To date'),
(7903, 'Please Select Type Of Payment.'),
(7904, 'Please select visit category'),
(7905, 'Please select X12 partner, required to create the 270 batch'),
(7906, 'Please set'),
(7907, 'Please set de_identification_config variable back to zero'),
(7908, 'Please set pharmacy in patient\'s chart!'),
(7909, 'Please Specify at least One Direct Address'),
(7910, 'Please start new De Identification process'),
(7911, 'Please supply a heading'),
(7912, 'Please try again or contact the providers office for further assistance.'),
(7913, 'Please upgrade OpenEMR Database to include De Identification procedures, function, tables'),
(7914, 'Please use valid NPI'),
(7915, 'Please view De Identification error log table for more details'),
(7916, 'Please visit De Identification screen after some time'),
(7917, 'Please visit Re Identification screen after some time'),
(7918, 'Please visit the screen after some time'),
(7919, 'Please wait...'),
(7920, 'Plot item'),
(7921, 'Plot selected Items'),
(7922, 'Plural'),
(7923, 'plus 1 year'),
(7924, 'plus 2 years'),
(7925, 'plus 3 years'),
(7926, 'PM'),
(7927, 'PM Program'),
(7928, 'PMH'),
(7929, 'PMH Dx'),
(7930, 'PMH{{Past Medical History}}'),
(7931, 'PMSFH Panel'),
(7932, 'PMSFH{{Abbreviation for Past medical Surgical Family and Social History}}'),
(7933, 'Pmt Method'),
(7934, 'PND'),
(7935, 'Pneumococcal Conjugate 1'),
(7936, 'Pneumococcal Conjugate 2'),
(7937, 'Pneumococcal Conjugate 3'),
(7938, 'Pneumococcal Conjugate 4'),
(7939, 'Pneumococcal Vaccine'),
(7940, 'Pneumonia Vaccination'),
(7941, 'Pneumonia Vaccination Status for Older Adults'),
(7942, 'Pneumonia Vaccination Status for Older Adults (CQM)'),
(7943, 'Podiatric'),
(7944, 'Podiatry'),
(7945, 'POH{{Past Ocular History}}'),
(7946, 'Point of Service (POS)'),
(7947, 'Policy'),
(7948, 'Policy Begin Date'),
(7949, 'Policy effective date'),
(7950, 'Policy No'),
(7951, 'Policy Number'),
(7952, 'Polish'),
(7953, 'Polydypsia'),
(7954, 'Polygon'),
(7955, 'Polyps'),
(7956, 'Polyuria'),
(7957, 'Poor Appetite'),
(7958, 'Poor Circulation'),
(7959, 'Poor Hearing'),
(7960, 'Pop Out'),
(7961, 'Pop Out Full Screen.'),
(7962, 'Pop ups need to be enabled to see these reports'),
(7963, 'Populate Fee Sheet'),
(7964, 'Populate the year view with events?'),
(7965, 'Popups'),
(7966, 'Port'),
(7967, 'Portal'),
(7968, 'Portal Account Name'),
(7969, 'Portal Activity'),
(7970, 'Portal Alerts'),
(7971, 'Portal Audits'),
(7972, 'Portal Chats'),
(7973, 'Portal Credential Information'),
(7974, 'Portal Dashboard'),
(7975, 'Portal Document Review'),
(7976, 'Portal ID'),
(7977, 'Portal ID does not match request from portal!'),
(7978, 'Portal Mail'),
(7979, 'Portal Only'),
(7980, 'Portal password is missing'),
(7981, 'Portal Payments'),
(7982, 'Portal Requests'),
(7983, 'Portal Uses Server Base Path (internal)'),
(7984, 'Portrait'),
(7985, 'Portuguese'),
(7986, 'Portuguese (Angolan)'),
(7987, 'Portuguese (Brazilian)'),
(7988, 'Portuguese (European)'),
(7989, 'POS Code'),
(7990, 'Position'),
(7991, 'Position of Gaze'),
(7992, 'Positive'),
(7993, 'Positives'),
(7994, 'Possible'),
(7995, 'Post Date'),
(7996, 'Post For'),
(7997, 'Post Item'),
(7998, 'Post Nasal Drip'),
(7999, 'Post Payment'),
(8000, 'Post Payments'),
(8001, 'Post surgical'),
(8002, 'Post to accounting and mark as billed'),
(8003, 'Post To Date'),
(8004, 'Post To Date Cannot be greater than Today'),
(8005, 'Post To Date must be greater than the financial close date.'),
(8006, 'Post To Date Must be greater than the Financial Close Date.'),
(8007, 'Post-Abortion Care'),
(8008, 'Post-Abortion Contraception'),
(8009, 'Post-Abortion Counseling'),
(8010, 'Post-Abortion Followup'),
(8011, 'Postal'),
(8012, 'Postal Code'),
(8013, 'Postal code'),
(8014, 'Postal Code and Box Number'),
(8015, 'PostCalendar'),
(8016, 'PostCalendar Administration'),
(8017, 'PostCalendar Category Settings'),
(8018, 'PostCalendar Global Settings'),
(8019, 'Postcard'),
(8020, 'POSTCARD'),
(8021, 'Postcard printed by'),
(8022, 'Postcards'),
(8023, 'Posted on'),
(8024, 'Posterior Segment'),
(8025, 'Posting'),
(8026, 'Posting Date'),
(8027, 'post{{posterior}}'),
(8028, 'Pos{{Abbreviation for Position}}'),
(8029, 'POS{{Past Ocular Surgery}}'),
(8030, 'Potential Acuity'),
(8031, 'Potential Acuity Meter'),
(8032, 'Powered by'),
(8033, 'PPE + Prev Med/Surg Hx'),
(8034, 'PQRI'),
(8035, 'PQRI Registry ID'),
(8036, 'PQRI Registry Name'),
(8037, 'Practice'),
(8038, 'Practice Default Setting'),
(8039, 'Practice Settings'),
(8040, 'Practice Settings (practice)'),
(8041, 'Practitioner'),
(8042, 'Pre Participation Assessment'),
(8043, 'Pre Pay'),
(8044, 'Pre Payment'),
(8045, 'Pre-Abortion Consultation'),
(8046, 'Pre-Abortion Counseling'),
(8047, 'Pre-payment Amount'),
(8048, 'Pref Cat'),
(8049, 'Preference'),
(8050, 'Preferences'),
(8051, 'Preferences updated successfully'),
(8052, 'Preferred Event Category'),
(8053, 'Preferred Language'),
(8054, 'Preferred Pharmacy'),
(8055, 'Preferred Provider Organization (PPO)'),
(8056, 'Preg Test'),
(8057, 'Preliminary'),
(8058, 'Preparing To Run Report'),
(8059, 'Prepay'),
(8060, 'Prepend Blank Row'),
(8061, 'Prescription'),
(8062, 'Prescription - lists the prescriptions of the current patient'),
(8063, 'prescription has reached its limit of'),
(8064, 'Prescription History'),
(8065, 'Prescription History import successfully completed'),
(8066, 'Prescription Label'),
(8067, 'Prescription Report'),
(8068, 'Prescription successfully removed.'),
(8069, 'Prescription Transmit Review'),
(8070, 'Prescriptions'),
(8071, 'Prescriptions (write,addonly optional)'),
(8072, 'Prescriptions (write,addonly optional) (rx)'),
(8073, 'Prescriptions and Dispensations'),
(8074, 'Prescriptions and other referrals'),
(8075, 'Prescriptions and/or referrals by specialist'),
(8076, 'Prescriptions Report'),
(8077, 'Prescriptions/Referrals'),
(8078, 'Present'),
(8079, 'Presenting Complaint'),
(8080, 'Presenting Issue(s)'),
(8081, 'Press Continue to proceed'),
(8082, 'Press the flashing button on the USB key within 1 minute of inserting it and click on register to register the key with OpenEMR'),
(8083, 'Press this icon to build your Impression/Plan.'),
(8084, 'Presumed Diagnosis'),
(8085, 'Presumed diagnosis by specialist'),
(8086, 'Prev'),
(8087, 'Prev Med/Surg Hx'),
(8088, 'Prev. month (hold for menu)'),
(8089, 'Prev. year (hold for menu)'),
(8090, 'Prevent Web Browser Refresh'),
(8091, 'Preventative Care'),
(8092, 'Prevention Rehab'),
(8093, 'Preventive Care and Screening: Tobacco Use: Screening and Cessation Intervention (CQM)'),
(8094, 'Preview Event'),
(8095, 'Preview file'),
(8096, 'Preview not available for this document type'),
(8097, 'Preview of'),
(8098, 'Previous'),
(8099, 'Previous Consultations'),
(8100, 'Previous Day'),
(8101, 'Previous Encounter Drawings'),
(8102, 'Previous History/Screening'),
(8103, 'Previous Month'),
(8104, 'Previous Week'),
(8105, 'Price'),
(8106, 'Price can be manually set or if already set can be altered here'),
(8107, 'Price changed'),
(8108, 'Price Discounting'),
(8109, 'Price Level'),
(8110, 'Price level changed'),
(8111, 'Price Level:'),
(8112, 'Pricelevel'),
(8113, 'Prices'),
(8114, 'Primary'),
(8115, 'Primary Business Entity'),
(8116, 'Primary Business Entity tax id is used as account id for NewCrop ePrescription. Changing the facility will affect the working in NewCrop.'),
(8117, 'Primary Business Entity tax id is used as the account id for NewCrop ePrescription.'),
(8118, 'Primary Care'),
(8119, 'Primary Care Provider'),
(8120, 'Primary Facility City'),
(8121, 'Primary Facility Country code'),
(8122, 'Primary Facility State'),
(8123, 'Primary Facility Street Address'),
(8124, 'Primary Facility Zip Code'),
(8125, 'Primary Ins'),
(8126, 'Primary Insurance'),
(8127, 'Primary Insurance Data'),
(8128, 'Primary Insurance Provider'),
(8129, 'Primary Provider'),
(8130, 'Print'),
(8131, 'Print (HTML)'),
(8132, 'Print (PDF)'),
(8133, 'Print Amendments'),
(8134, 'Print Any Encounter'),
(8135, 'Print Blank Referral Form'),
(8136, 'Print Command'),
(8137, 'Print Custom Message'),
(8138, 'Print Date'),
(8139, 'Print End of Day Report 1'),
(8140, 'Print End of Day Report 2'),
(8141, 'Print End of Day Report 3'),
(8142, 'Print Entire Listing'),
(8143, 'Print Format'),
(8144, 'Print Four Panel'),
(8145, 'Print Ledger'),
(8146, 'Print locally'),
(8147, 'Print message'),
(8148, 'Print Multiple'),
(8149, 'Print Multiple To Fax'),
(8150, 'Print name, sign and date.'),
(8151, 'Print Notes'),
(8152, 'Print Page 1'),
(8153, 'Print Page 2'),
(8154, 'Print Patient Address Label'),
(8155, 'Print Patient Billing Note'),
(8156, 'Print Receipts by Provider'),
(8157, 'Print Record'),
(8158, 'Print Record (HTML)'),
(8159, 'Print Record (PDF)'),
(8160, 'Print remotely'),
(8161, 'Print Report'),
(8162, 'Print Selected'),
(8163, 'Print Selected Statements'),
(8164, 'Print Shot Record'),
(8165, 'Print the Next Appointment on the Bottom of the Ledger'),
(8166, 'Print This Encounter'),
(8167, 'Print this form'),
(8168, 'Print this note'),
(8169, 'Print This Note'),
(8170, 'Print To'),
(8171, 'Print To Fax'),
(8172, 'Print View'),
(8173, 'printable'),
(8174, 'Printable Version'),
(8175, 'Printed'),
(8176, 'Printer'),
(8177, 'Printing Log Option'),
(8178, 'Printing results:'),
(8179, 'Printing skipped; see test output in'),
(8180, 'Printing skipped; see test output in '),
(8181, 'Prints the CMS 1500 on the Preprinted form'),
(8182, 'Prior Auth'),
(8183, 'Prior Authorization'),
(8184, 'Prior Authorization Form'),
(8185, 'Prior Exam'),
(8186, 'Prior Eye Meds'),
(8187, 'Prior IMP/PLAN'),
(8188, 'Prior Refractions'),
(8189, 'Prior Visit'),
(8190, 'Prior Visits'),
(8191, 'Priority'),
(8192, 'Priority '),
(8193, 'Prism'),
(8194, 'Prism Diopters'),
(8195, 'Prison Correctional Facility'),
(8196, 'Private'),
(8197, 'Problem'),
(8198, 'Problem DX'),
(8199, 'Problem List'),
(8200, 'Problems'),
(8201, 'Problems & Diagnoses'),
(8202, 'Problems/Issues'),
(8203, 'Proc Bat'),
(8204, 'Proc Cat'),
(8205, 'Proc Load'),
(8206, 'Proc Pending Rev'),
(8207, 'Proc Prov'),
(8208, 'Proc Res'),
(8209, 'Procedure'),
(8210, 'Procedure Body Sites'),
(8211, 'Procedure Body Sites - Arm, Buttock and Other - used for immunization - modify as needed'),
(8212, 'Procedure Boolean Results'),
(8213, 'Procedure Boolean Results - No and Yes'),
(8214, 'Procedure Code'),
(8215, 'Procedure Codes'),
(8216, 'Procedure Lateralities'),
(8217, 'Procedure Lateralities - Left, Right and Bilateral'),
(8218, 'Procedure Name'),
(8219, 'Procedure Note - 2010'),
(8220, 'Procedure Order'),
(8221, 'Procedure order'),
(8222, 'Procedure Order Details'),
(8223, 'Procedure Order for'),
(8224, 'Procedure order not found'),
(8225, 'procedure order not found in database contact tech support'),
(8226, 'Procedure Orders and Reports'),
(8227, 'Procedure Picker'),
(8228, 'Procedure provider'),
(8229, 'Procedure Provider'),
(8230, 'Procedure Provider Help'),
(8231, 'Procedure Providers'),
(8232, 'Procedure Report'),
(8233, 'Procedure Report Abnormal'),
(8234, 'Procedure Report Abnormal - No, Yes, High, Low Above upper panic limit and Below lower panic limit'),
(8235, 'Procedure Report Statuses'),
(8236, 'Procedure Report Statuses - Final, Reviewed, Preliminary, Canceled, Error and Corrected'),
(8237, 'Procedure Result Abnormal'),
(8238, 'Procedure Result Statuses'),
(8239, 'Procedure Result Statuses - Final, Preliminary, Canceled, Error, Corrected and Incomplete'),
(8240, 'Procedure Results'),
(8241, 'Procedure Routes'),
(8242, 'Procedure Routes - Injection, Oral and Other'),
(8243, 'Procedure Specimen Types'),
(8244, 'Procedure Specimen Types - Blood, Saliva, Urine and Other'),
(8245, 'Procedure Statistics Report'),
(8246, 'Procedure Test'),
(8247, 'Procedure Tier'),
(8248, 'Procedure Type'),
(8249, 'Procedure Types'),
(8250, 'Procedure Types - Group, Procedure Order, Discrete Result, Recommendation, Custom Favorite Group and Custom Favorite Item. Used in the next step - Configure the lab test structure'),
(8251, 'Procedure Units'),
(8252, 'Procedure Units - various units needed to define result values - may need to add to this list depending on the tests that are included, will vary according to need'),
(8253, 'Procedure/Service'),
(8254, 'Procedures'),
(8255, 'Proceeding to Preferences'),
(8256, 'Process'),
(8257, 'Process and Send Reminders'),
(8258, 'Process ERA File'),
(8259, 'Process New Files'),
(8260, 'Process new files for CSV records'),
(8261, 'Process Reminders'),
(8262, 'Process takes some time'),
(8263, 'Processed'),
(8264, 'Processed By'),
(8265, 'Processed Date'),
(8266, 'processed successfully'),
(8267, 'Processing'),
(8268, 'Processing and Sending Patient Reminders'),
(8269, 'Processing Details'),
(8270, 'Processing format'),
(8271, 'Processing Patient Reminders'),
(8272, 'Processing Time'),
(8273, 'Processing...'),
(8274, 'Product'),
(8275, 'Product added'),
(8276, 'Product Contraceptive Method'),
(8277, 'Product deleted'),
(8278, 'Production'),
(8279, 'Products'),
(8280, 'Products but no prescription drugs and no templates'),
(8281, 'Products Provided'),
(8282, 'Prof.'),
(8283, 'Profile'),
(8284, 'Profile Demographics'),
(8285, 'Profile Edits Red = Charted Values Blue = Patient Edits'),
(8286, 'Profiles'),
(8287, 'Prog.{{Progressive lenses}}'),
(8288, 'Progress'),
(8289, 'Progress Note - 2010'),
(8290, 'Progress Notes'),
(8291, 'Progressive'),
(8292, 'Properties'),
(8293, 'Proprietary hardware tokens'),
(8294, 'Proprietary hardware tokens are tamper proof and are not connected to the internet or any network'),
(8295, 'Prostate Cancer'),
(8296, 'Prostate Cancer Screening'),
(8297, 'Prostate Exam'),
(8298, 'Prostate Problems'),
(8299, 'Prostate w/o enlrgmt, nodules, tender'),
(8300, 'Protection Indicator'),
(8301, 'Protection Indicator Effective Date'),
(8302, 'Protocol'),
(8303, 'Protocol - consists of two parts - the method used to send orders and receive results and whether it is used to receive results only or is used to send orders and receive result i.e. bidirectional'),
(8304, 'Provide absolute path'),
(8305, 'Provide absolute path of file'),
(8306, 'Provide absolute path of following file in Path to CA Certificate File'),
(8307, 'Provide absolute path of following file in Path to CA Key File'),
(8308, 'Provide clinical summaries for patients for each office visit (New).'),
(8309, 'Provide clinical summaries for patients for each office visit.'),
(8310, 'Provide Password for'),
(8311, 'Provide patients with an electronic copy of their health information (including diagnostic test results, problem list, medication lists, medication allergies), upon request.'),
(8312, 'Provide patients with timely electronic access to their health information (including lab results, problem list, medication lists, medication allergies) within four business days of the information being available to the EP.'),
(8313, 'Provide Records to Patient for Visit'),
(8314, 'Provide TOTP code'),
(8315, 'Provide valid Email Address'),
(8316, 'Provided Clinical Summary?'),
(8317, 'Provided Education Resource(s)?'),
(8318, 'Provider'),
(8319, 'provider'),
(8320, 'Provider Access'),
(8321, 'Provider Dashboard'),
(8322, 'Provider Id'),
(8323, 'Provider ID'),
(8324, 'Provider ID at Specified Facility'),
(8325, 'Provider Matching Errors'),
(8326, 'Provider Missing Add one in Choices'),
(8327, 'provider name'),
(8328, 'Provider not available, please choose another.'),
(8329, 'Provider not available, use it anyway?'),
(8330, 'Provider Number'),
(8331, 'Provider Number (Type)'),
(8332, 'Provider Qualifier Code'),
(8333, 'Provider Relationship'),
(8334, 'Provider Type'),
(8335, 'Provider/Warehouse'),
(8336, 'Provider:'),
(8337, 'Providers'),
(8338, 'Providers NPI'),
(8339, 'Providers See Entire Calendar'),
(8340, 'PRO{{Patient Reported Outcomes}}'),
(8341, 'Prv'),
(8342, 'PSA'),
(8343, 'Psoriasis'),
(8344, 'Psych'),
(8345, 'Psych Diagnosis'),
(8346, 'Psych Medication'),
(8347, 'Psychiatric'),
(8348, 'Psychiatric Brief Letter'),
(8349, 'Psychiatric Diagnosis'),
(8350, 'Psychiatric Examination'),
(8351, 'Psychiatric Facility-Partial Hospitalization'),
(8352, 'Psychiatric History'),
(8353, 'Psychiatric Intake'),
(8354, 'Psychiatric Medication'),
(8355, 'Psychiatric Residential Treatment Center'),
(8356, 'Psych{{psychiatric}}'),
(8357, 'PSYCH{{Psychiatry}}'),
(8358, 'Pt %'),
(8359, 'Pt Debt'),
(8360, 'Pt Notes'),
(8361, 'Pt Notes/Auth'),
(8362, 'Pt overpaid'),
(8363, 'Pt paid'),
(8364, 'Pt Paid'),
(8365, 'Pt Rec Request'),
(8366, 'Pt refund'),
(8367, 'Pt released'),
(8368, 'Pt Report'),
(8369, 'PT Student, or leave blank'),
(8370, 'PT_CITY'),
(8371, 'PT_DOB'),
(8372, 'PT_EMAIL'),
(8373, 'PT_FNAME'),
(8374, 'PT_LNAME'),
(8375, 'PT_MNAME'),
(8376, 'PT_PHONE_CELL'),
(8377, 'PT_PHONE_HOME'),
(8378, 'PT_POSTAL'),
(8379, 'PT_SSN'),
(8380, 'PT_STATE'),
(8381, 'PT_STREET'),
(8382, 'Pubid'),
(8383, 'Public'),
(8384, 'Public Agency'),
(8385, 'Public Health Clinic'),
(8386, 'Public health physician'),
(8387, 'Public Health Service (PHS) or Other Federal Agency'),
(8388, 'Public Patient Id'),
(8389, 'Publicity Code'),
(8390, 'Publicity Code Effective Date'),
(8391, 'Publish'),
(8392, 'Publish Patient to FHIR Server'),
(8393, 'Pubpid'),
(8394, 'Puerto Rican'),
(8395, 'puff'),
(8396, 'Pulmonary'),
(8397, 'PULM{{Pulmonary}}'),
(8398, 'Pulse'),
(8399, 'Punjabi'),
(8400, 'Pupils'),
(8401, 'Purchase'),
(8402, 'Purchase/Return'),
(8403, 'Purchases'),
(8404, 'px'),
(8405, 'Pyschiatry'),
(8406, 'P{{Justify Header}}'),
(8407, 'Pāli'),
(8408, 'q.3h'),
(8409, 'q.4h'),
(8410, 'q.5h'),
(8411, 'q.6h'),
(8412, 'q.8h'),
(8413, 'q.d.'),
(8414, 'q.i.d.'),
(8415, 'QHD'),
(8416, 'QOE'),
(8417, 'QOH'),
(8418, 'QOH is less than monthly usage'),
(8419, 'Qty'),
(8420, 'QTY'),
(8421, 'Quality'),
(8422, 'Quality Measures (CQM)'),
(8423, 'Quantity'),
(8424, 'Quantity changed'),
(8425, 'Quantity for NDC'),
(8426, 'Quantity On Hand'),
(8427, 'quantity seems unusable'),
(8428, 'Quantity:'),
(8429, 'Quechua'),
(8430, 'Query Error'),
(8431, 'Question Mark'),
(8432, 'Queue for HCFA batch processing'),
(8433, 'Queue for HCFA batch processing and printing'),
(8434, 'Queue for UB-92 batch processing'),
(8435, 'Queue for UB-92 batch processing and printing'),
(8436, 'Queued'),
(8437, 'Queued Events Administration'),
(8438, 'Queued for'),
(8439, 'Queued for Transfer'),
(8440, 'Queued Submissions Administration'),
(8441, 'Quick Picks'),
(8442, 'Quit'),
(8443, 'Quit Alcohol'),
(8444, 'QWXGA'),
(8445, 'R'),
(8446, 'R/LG{{right/left gonioscopy}}'),
(8447, 'R/LPACH{{right/left pachymetry}}'),
(8448, 'R/LSCH1{{right/left Schirmers I (w/o anesthesia)}}'),
(8449, 'R/LSCH2{{right/left Schirmers II (w/ anesthesia)}}'),
(8450, 'R/LTBUT{{right/left Tear Break Up Time}}'),
(8451, 'RA for Patient, Encounter, or Trace'),
(8452, 'Race'),
(8453, 'Race and Ethnicity'),
(8454, 'Race/Ethnicity'),
(8455, 'RAC{{right anterior chamber}}'),
(8456, 'Radio'),
(8457, 'Radio buttons'),
(8458, 'Radio Group Master'),
(8459, 'Radio Group Member'),
(8460, 'RAD{{right adnexa}}'),
(8461, 'Random Drug Screen'),
(8462, 'Range'),
(8463, 'Rashes'),
(8464, 'Rate'),
(8465, 'Rather than granting access to each ACO individually for each user the program grants access to groups that request these privileges. These groups are called Access Request Objects (ARO).'),
(8466, 'Ratio'),
(8467, 'Raw Report'),
(8468, 'RB{{right brow}}'),
(8469, 'RCMT{{right Central Macular Thickness}}'),
(8470, 'RCOM{{right comments}}'),
(8471, 'RCUP{{right cup}}'),
(8472, 'RC{{right conjunctiva}}'),
(8473, 'RD{{retinal detachment}}'),
(8474, 'RD{{right disc}}'),
(8475, 'Re Identification'),
(8476, 'Re Identification Process is completed'),
(8477, 'Re Identification Process is ongoing'),
(8478, 'Re-identification files will be saved in'),
(8479, 'Re-Injury?'),
(8480, 'Re-Open'),
(8481, 'Re-Open Visit'),
(8482, 'Re-opened'),
(8483, 'Re-opening this visit will cause a void. Payment information will need to be re-entered. Do you want to proceed?'),
(8484, 'Reaction'),
(8485, 'Reaction - hives, nausea, shortness of breath or unassigned'),
(8486, 'Reactions'),
(8487, 'Reactivate'),
(8488, 'react{{reactivity}}'),
(8489, 'Read'),
(8490, 'Read Only'),
(8491, 'Read the help file there to understand the initial pre-configuration steps'),
(8492, 'Read these two wiki articles for customizing the Fee Sheet'),
(8493, 'Read this wiki page for more details'),
(8494, 'Read through this help file and its supporting documents before you start to configure the orders and results'),
(8495, 'Read-only from History'),
(8496, 'Real Name'),
(8497, 'Really delete'),
(8498, 'Reason'),
(8499, 'Reason Deceased'),
(8500, 'Reason for Death'),
(8501, 'Reason for Referral'),
(8502, 'Reason for referral'),
(8503, 'Reason for visit'),
(8504, 'Reason for Visit'),
(8505, 'Reason must be at least 10 characters!'),
(8506, 'Reason/Form'),
(8507, 'Reason/Plan'),
(8508, 'Recalculate'),
(8509, 'Recall'),
(8510, 'Recall Board'),
(8511, 'RECALL BOARD - Default - without MedEx Communication Service'),
(8512, 'Recall Board: Disable'),
(8513, 'Recall Campaigns'),
(8514, 'Recall only - any method'),
(8515, 'Recall only - no calls'),
(8516, 'Recall Reason'),
(8517, 'Recall Schedule'),
(8518, 'Recall to provider'),
(8519, 'Recall When'),
(8520, 'Recalls'),
(8521, 'Receipt'),
(8522, 'Receipt for Payment'),
(8523, 'Receipt Generated'),
(8524, 'Receipts by Payment Method Report'),
(8525, 'Receipts Summary'),
(8526, 'Received'),
(8527, 'Received By'),
(8528, 'Received Faxes'),
(8529, 'Received messages are processed and a new Patient Note is delivered to a specified user and appears in that user\'s Message Center'),
(8530, 'Received, not reviewed'),
(8531, 'Received, unreviewed'),
(8532, 'Receiver'),
(8533, 'Receiver ID'),
(8534, 'Receiver ID (ISA08)'),
(8535, 'Receiver ID Qualifier (ISA07)'),
(8536, 'Receiver IDs'),
(8537, 'Receiver IDs - is only required if you are submitting an electronic order to an external facility'),
(8538, 'RECEIVING A MESSAGE'),
(8539, 'Receiving Fac.'),
(8540, 'Recent three passwords are not allowed.'),
(8541, 'Recently Completed'),
(8542, 'Recipient'),
(8543, 'Recipient List Is Empty'),
(8544, 'Recipient Name'),
(8545, 'Recipient of the Disclosure'),
(8546, 'Recipient required unless status is Done'),
(8547, 'Recommend not leaving or refreshing or you may lose data.'),
(8548, 'Recommend setting the Path for Event Log Backup in Globals settings in the Miscellaneous section to something other than your tmp/temp directory.'),
(8549, 'Recommendation'),
(8550, 'Recommendation - Optional'),
(8551, 'Recommendation For Follow Up'),
(8552, 'Recommendations'),
(8553, 'Recommendations and treatment'),
(8554, 'Recommendations by specialist'),
(8555, 'Recommended setting is warn and prevent web browser refresh. Only use other settings if needed and use at own risk.'),
(8556, 'RECORD'),
(8557, 'Record'),
(8558, 'Record already exist'),
(8559, 'Record and chart changes in vital signs ( Height / Weight / BP with in scope ).'),
(8560, 'Record and chart changes in vital signs (BP out of scope).'),
(8561, 'Record and chart changes in vital signs (Height / Weight out of scope).'),
(8562, 'Record and chart changes in vital signs (New).'),
(8563, 'Record and chart changes in vital signs (SET 1).'),
(8564, 'Record and chart changes in vital signs.'),
(8565, 'Record demographics.'),
(8566, 'Record Disclosure'),
(8567, 'Record of Fitness'),
(8568, 'Record Payment'),
(8569, 'Record Request'),
(8570, 'Record Request Date'),
(8571, 'Record smoking status for patients 13 years old or older.'),
(8572, 'Records'),
(8573, 'records found'),
(8574, 'records found.'),
(8575, 'records per page'),
(8576, 'Recreational drug use'),
(8577, 'Recreational Drugs'),
(8578, 'Rectal'),
(8579, 'Rectal Exam'),
(8580, 'rectally'),
(8581, 'Rectangle'),
(8582, 'Recurrence'),
(8583, 'Recurrent Appointment Display Widget'),
(8584, 'Recurrent Appointments'),
(8585, 'Recurrent Appointments - shows all recurring appointments'),
(8586, 'Recurring appointment'),
(8587, 'Red Desaturation'),
(8588, 'Red Desat{{red desaturation}}'),
(8589, 'Red lines  indicate errors, or changes that were not applied; these must be processed manually. Currently denied claims and payment reversals are not handled automatically and so will appear in red.'),
(8590, 'Red Triangle indicates a required code that is missing'),
(8591, 'Redirect URI'),
(8592, 'Redirection'),
(8593, 'Redness'),
(8594, 'Redo'),
(8595, 'reduced:'),
(8596, 'Ref Prov'),
(8597, 'Refer'),
(8598, 'Refer By'),
(8599, 'Refer Date'),
(8600, 'Refer To'),
(8601, 'Refer to Message'),
(8602, 'Reference'),
(8603, 'Reference classification (risk level)'),
(8604, 'Reference range of results'),
(8605, 'Reference Reason'),
(8606, 'Reference this Account Id: '),
(8607, 'Reference this Account Number'),
(8608, 'Referer'),
(8609, 'Referer name and signature'),
(8610, 'Referral'),
(8611, 'Referral By'),
(8612, 'Referral Card'),
(8613, 'Referral Date'),
(8614, 'Referral Form'),
(8615, 'REFERRAL FORM'),
(8616, 'Referral ID'),
(8617, 'Referral Provider'),
(8618, 'Referral Reason'),
(8619, 'Referral Source'),
(8620, 'Referral Source for Encounters'),
(8621, 'Referral To'),
(8622, 'Referrals'),
(8623, 'Referrals Report'),
(8624, 'Referred by'),
(8625, 'Referred By'),
(8626, 'Referred By, Outcome and Destination can be left blank'),
(8627, 'Referred to'),
(8628, 'Referrer'),
(8629, 'Referrer Address'),
(8630, 'Referrer Diagnosis'),
(8631, 'Referrer diagnosis'),
(8632, 'Referrerid'),
(8633, 'Referring physician and practice'),
(8634, 'Referring provider'),
(8635, 'Referring Provider'),
(8636, 'ReFill'),
(8637, 'Refill'),
(8638, 'Refill Rx'),
(8639, 'Refills'),
(8640, 'refills'),
(8641, 'Reflexes normal'),
(8642, 'Refraction Comments'),
(8643, 'Refraction Method'),
(8644, 'Refractive States'),
(8645, 'Refresh'),
(8646, 'Refresh Screen'),
(8647, 'Refresh the Message Center or just reopen it'),
(8648, 'Refreshing Reminders'),
(8649, 'Refund'),
(8650, 'Refused'),
(8651, 'Refused To State'),
(8652, 'reg_re'),
(8653, 'regarding'),
(8654, 'regarding appointment dated'),
(8655, 'Register'),
(8656, 'register'),
(8657, 'Register Time Based One Time Password Key'),
(8658, 'Register TOTP Key for'),
(8659, 'Register U2F Key for'),
(8660, 'Register Universal 2nd Factor Key'),
(8661, 'Register your installation with OEMR to receive important notifications, such as security fixes and new release announcements.'),
(8662, 'Registered'),
(8663, 'registered'),
(8664, 'Registered email'),
(8665, 'Registered id'),
(8666, 'Registered Modules'),
(8667, 'Registered username'),
(8668, 'Registration Date'),
(8669, 'Registration error'),
(8670, 'Registration failed with error'),
(8671, 'Registration Form'),
(8672, 'Rehabilitation'),
(8673, 'Rehabilitation physician'),
(8674, 'Rejected'),
(8675, 'Relapse Potential'),
(8676, 'Relate To'),
(8677, 'Related'),
(8678, 'Related Issue'),
(8679, 'Related Patient Notes'),
(8680, 'Relation(s) / Children'),
(8681, 'Relations'),
(8682, 'Relationship'),
(8683, 'Relative ordering of this entity'),
(8684, 'Relatives'),
(8685, 'Relatives - lists the patient relatives having various medical conditions like Cancer, Diabetes, Hypertension etc'),
(8686, 'Relatives Blood Pressure'),
(8687, 'Relatives Cancer'),
(8688, 'Relatives Diabetes'),
(8689, 'Relatives Epilepsy'),
(8690, 'Relatives Heart'),
(8691, 'Relatives Mental Illness'),
(8692, 'Relatives Stroke'),
(8693, 'Relatives Suicide'),
(8694, 'Relatives Tuberculosis'),
(8695, 'Relay Health credentials are missing from this user account.'),
(8696, 'Relay Health ID'),
(8697, 'Release'),
(8698, 'Release Date'),
(8699, 'Relevant for insurance claim submission in the United States'),
(8700, 'Religion'),
(8701, 'Religious Affiliation'),
(8702, 'Religious exemption'),
(8703, 'Reload'),
(8704, 'reload names below'),
(8705, 'Relogin'),
(8706, 'Remdr'),
(8707, 'Remember grouping of tests is only for conveniently organizing the data in the Procedure Order module in openEMR, for this process to work, configuring the Procedure Orders (the tests themselves) and the Discrete Result (the place to enter and display the returned result) are critically important'),
(8708, 'Remember Me'),
(8709, 'Remember Selected Facility'),
(8710, 'Remember the dictum that Identifying codes have to be unique, you should not set up a custom grouping of a panel of tests as well have the panels setup as individual recognized panel, i.e. have CBC and Renal panel grouped as a Custom Favorite and list CBC and Renal Panel separately as individually ordered panels'),
(8711, 'Remember these Discrete Results or fruit (Tier 4)  will have to hang off the fruit bearing branch or Procedure Order namely Electrolyte Panel (Tier 3)'),
(8712, 'Reminder'),
(8713, 'Reminder Campaigns'),
(8714, 'Reminder done'),
(8715, 'Reminder intervals'),
(8716, 'Reminder Not Sent Yet'),
(8717, 'Reminder only - any method'),
(8718, 'Reminder only - no calls'),
(8719, 'Reminder Sent'),
(8720, 'Reminder Sent On'),
(8721, 'Reminder to provider'),
(8722, 'Reminder/recall - any method'),
(8723, 'Reminder/recall - no calls'),
(8724, 'Reminder/recall - to provider'),
(8725, 'Reminders'),
(8726, 'REMIT TO'),
(8727, 'Remote Host'),
(8728, 'Remote Host - is only required if you are submitting an electronic order to an external facility or just receiving results from it'),
(8729, 'Remove'),
(8730, 'Remove all rules from plan'),
(8731, 'Remove Bottom Pane'),
(8732, 'REMOVE GROUP'),
(8733, 'Remove Group'),
(8734, 'Remove Group Form'),
(8735, 'Remove multi-factor authentications for this person.'),
(8736, 'Remove Tab'),
(8737, 'Remove this Prescription from the list of RXs dispensed'),
(8738, 'Removes support for immunizations'),
(8739, 'Removes support for phpMyAdmin'),
(8740, 'Removes support for prescriptions'),
(8741, 'Removes the bottom pane by default on start up.'),
(8742, 'Removes the Chart Tracker feature'),
(8743, 'Renal Stones'),
(8744, 'Rename'),
(8745, 'Rename Group'),
(8746, 'Rendering'),
(8747, 'Rendering Provider'),
(8748, 'Rendering Provider Number'),
(8749, 'Rendering Provider Number (Type)'),
(8750, 'Reorder'),
(8751, 'Reorder At'),
(8752, 'Reorder point has been reached'),
(8753, 'Reorder point, 0 if not applicable'),
(8754, 'Rep'),
(8755, 'Repeat'),
(8756, 'Repeat New Password'),
(8757, 'Repeat password'),
(8758, 'Repeating event'),
(8759, 'Repeating Info:'),
(8760, 'Repeats'),
(8761, 'REPLACE'),
(8762, 'Replace'),
(8763, 'Replace entire code set'),
(8764, 'Replace the existing group and option values with these ones taking care to match the E/M codes'),
(8765, 'Replace the hostname and port with the values provided to you by EMR Direct'),
(8766, 'replaced'),
(8767, 'Replies'),
(8768, 'Replies from patients are displayed directly in your EHR'),
(8769, 'Replies retrieved'),
(8770, 'Reply'),
(8771, 'Reply Date'),
(8772, 'Reply From'),
(8773, 'Reply to this message'),
(8774, 'Report'),
(8775, 'report'),
(8776, 'Report - Clinical'),
(8777, 'Report - Generates and downloads the patient\'s Continuity of Care Record (CCR), Continuity of Care Document (CCD) and Patient Report'),
(8778, 'Report - Patient List Creation'),
(8779, 'Report by'),
(8780, 'Report Content'),
(8781, 'Report Date'),
(8782, 'Report End (Relinquished Care Date)'),
(8783, 'Report has been sent to the patient.'),
(8784, 'Report History/Results'),
(8785, 'Report of visit'),
(8786, 'Report Results'),
(8787, 'Report Results/History'),
(8788, 'Report Start (Assumed Care Date)'),
(8789, 'Report Status'),
(8790, 'Report Totals'),
(8791, 'Report was faxed. Click to view.'),
(8792, 'Report/ Form'),
(8793, 'Report?'),
(8794, 'Reportable'),
(8795, 'Reported'),
(8796, 'Reported Date'),
(8797, 'Reports'),
(8798, 'Reports consisting of various portions of the patient\'s medical record can be created here'),
(8799, 'Request & Response'),
(8800, 'Request Content Fails Integrity Test'),
(8801, 'Request Description'),
(8802, 'Request Eligibility'),
(8803, 'Request ID is missing!'),
(8804, 'Request ignored - claims processing is already running!'),
(8805, 'Request is not same origin!'),
(8806, 'Request Message'),
(8807, 'Request New Appointment'),
(8808, 'Request Only'),
(8809, 'Request Status'),
(8810, 'Request Type'),
(8811, 'Request type not implemented'),
(8812, 'request was received from portal patient'),
(8813, 'Requested By'),
(8814, 'Requested Date'),
(8815, 'Requested Service'),
(8816, 'Requested template does not exist'),
(8817, 'Requests Sent'),
(8818, 'Require Audit'),
(8819, 'Require Strong Passwords'),
(8820, 'Require Unique Passwords'),
(8821, 'Required'),
(8822, 'required'),
(8823, 'Required Co Pay'),
(8824, 'Required Field Missing: Please choose the EDI-271 file to upload'),
(8825, 'Required field missing: Please enter the First name'),
(8826, 'Required field missing: Please enter the Last name'),
(8827, 'Required field missing: Please enter the User Name'),
(8828, 'Required fields'),
(8829, 'Requirements'),
(8830, 'Requisition Number'),
(8831, 'Resending this report.'),
(8832, 'RESERVED'),
(8833, 'Reserved'),
(8834, 'Reserved for use to define Scheduled Vacation Time'),
(8835, 'Reserved to define when a provider may not have available appointments after.'),
(8836, 'Reserved to define when an event did not occur as specified.'),
(8837, 'Reserved todefine when a provider may haveavailable appointments after.'),
(8838, 'Reset'),
(8839, 'Reset button resets the edited claim to the fee sheet version. If subsequently saved, it will replace last claim version and be considered reviewed. Otherwise, claim is reset to fee sheet version.'),
(8840, 'Reset claim form to Fee Sheet Version'),
(8841, 'Reset Credentials'),
(8842, 'Reset Offsite Portal Credentials'),
(8843, 'Reset Online Portal Credentials'),
(8844, 'Reset Onsite Portal Credentials'),
(8845, 'Reset to no patient'),
(8846, 'Reset Version'),
(8847, 'Resident physician'),
(8848, 'Residential Substance Abuse Treatment Facility'),
(8849, 'Resist the temptation to start entering data in an unorganized manner'),
(8850, 'Resn'),
(8851, 'Resolve Orphan Results'),
(8852, 'Resolved'),
(8853, 'Resource (select one)'),
(8854, 'Resources'),
(8855, 'Respiration'),
(8856, 'Respirator effort unlabored'),
(8857, 'Respiratory'),
(8858, 'Response'),
(8859, 'Response Only'),
(8860, 'Responsible Party'),
(8861, 'Responsive Vertical Menu Style for Tabs'),
(8862, 'Restore'),
(8863, 'Restore Archive'),
(8864, 'Restrict non-authorized users to the Schedule Facilities set in User admin.'),
(8865, 'Restrict Users to Facilities'),
(8866, 'Restricted Training'),
(8867, 'Result'),
(8868, 'Result Name'),
(8869, 'Result Status'),
(8870, 'Result status or abnormality is missing'),
(8871, 'Result, use % as a wildcard'),
(8872, 'Results'),
(8873, 'Results and'),
(8874, 'Results Found For Search'),
(8875, 'Results Group'),
(8876, 'Results Only'),
(8877, 'Results Path'),
(8878, 'Results Path - is only required if you are submitting an electronic order to an external facility or just receiving results from it'),
(8879, 'Results per page'),
(8880, 'Results/Details'),
(8881, 'Resuming status checks.'),
(8882, 'Retina'),
(8883, 'Retina Default Values'),
(8884, 'Retinal Exam'),
(8885, 'Retracted Right:'),
(8886, 'Return'),
(8887, 'Return above part with your payment'),
(8888, 'Return button simply returns, then refreshes billing manager'),
(8889, 'Return Home'),
(8890, 'Return to calendar'),
(8891, 'Return To Report Results'),
(8892, 'Return to this page and you will be able to complete the ICD10 installation process by clicking on the ICD10 section header'),
(8893, 'Return to this page and you will be able to complete the ICD9 installation process by clicking on the ICD9 section header'),
(8894, 'Return to this page and you will be able to complete the RxNorm installation process by clicking on the RXNORM section header'),
(8895, 'Return to this page and you will be able to complete the Snomed installation process by clicking on the SNOMED section header'),
(8896, 'Return to this page and you will be able to complete the Valueset installation process by clicking on the VALUESET section header'),
(8897, 'Return Value'),
(8898, 'Return Visit'),
(8899, 'Returned to Play'),
(8900, 'Reuse of previous passwords not allowed!'),
(8901, 'Reuse of three previous passwords not allowed!'),
(8902, 'Revenue'),
(8903, 'Revenue Code'),
(8904, 'Revenue Code for this item. Type for hints/search'),
(8905, 'Revenue Code for this item. Type to search'),
(8906, 'Revenue Code for this item. Type to search or double click for list'),
(8907, 'Revert'),
(8908, 'Revert Edits'),
(8909, 'Review'),
(8910, 'Review & Approve'),
(8911, 'Review all the parameters that are entered and only then move to the next step. This is because once you create a group (ARO) you will NOT be able of modify any of the data that you have entered in THIS section. You can only delete the entire group (ARO) and start afresh.'),
(8912, 'Review and Approve'),
(8913, 'Review Audits'),
(8914, 'Review of PMH:'),
(8915, 'Review of System'),
(8916, 'Review of Systems'),
(8917, 'Review Of Systems'),
(8918, 'Review of Systems Checks'),
(8919, 'Review Status'),
(8920, 'Review UB04'),
(8921, 'Reviewed'),
(8922, 'Reviewed Date'),
(8923, 'Revise'),
(8924, 'Revision'),
(8925, 'Rheumatoid Arthritis'),
(8926, 'Rheumotoid Arthritis'),
(8927, 'RH{{right hertel measurement}}'),
(8928, 'Right'),
(8929, 'Right Arm'),
(8930, 'Right Deltoid'),
(8931, 'Right Ear'),
(8932, 'right ear'),
(8933, 'Right Gluteus Medius'),
(8934, 'Right Lens'),
(8935, 'Right Lower Forearm'),
(8936, 'Right Margin (mm)'),
(8937, 'Right Thigh'),
(8938, 'Right Vastus Lateralis'),
(8939, 'Right-Form Layout'),
(8940, 'Right:'),
(8941, 'Ringing in Ears'),
(8942, 'Ringing In Ears'),
(8943, 'Risk Category Assessment'),
(8944, 'Risk Factors'),
(8945, 'Risk Level'),
(8946, 'Risky Beh.'),
(8947, 'RI{{right iris}}'),
(8948, 'RK{{right cornea}}'),
(8949, 'RLL:'),
(8950, 'RLL{{right lower eyelid}}'),
(8951, 'RL{{right lens}}'),
(8952, 'RMAC{{right macula}}'),
(8953, 'RMC{{right medial canthus}}'),
(8954, 'Role'),
(8955, 'ROM'),
(8956, 'Romanian'),
(8957, 'Romansh'),
(8958, 'Room 1'),
(8959, 'Room 2'),
(8960, 'Room 3'),
(8961, 'Room Number'),
(8962, 'Roommate'),
(8963, 'Roster'),
(8964, 'ROS{{Review of Systems}}'),
(8965, 'Round and Reactive'),
(8966, 'Route'),
(8967, 'Route of administration, if applicable'),
(8968, 'Routed'),
(8969, 'Rows'),
(8970, 'RP{{right peripheral retina}}'),
(8971, 'RRR without MOR'),
(8972, 'Rub:'),
(8973, 'Rubs:'),
(8974, 'Rule'),
(8975, 'Rule Add'),
(8976, 'Rule Detail'),
(8977, 'Rule Developer'),
(8978, 'Rule Edit'),
(8979, 'Rule Funding Source'),
(8980, 'Rule Release'),
(8981, 'Rule Set'),
(8982, 'Rule Set and Plan Set selections are not consistent. Please fix and Submit again.'),
(8983, 'Rule Title'),
(8984, 'Rules'),
(8985, 'rules already in plan'),
(8986, 'Rules Configuration'),
(8987, 'RUL{{right upper eyelid}}'),
(8988, 'Run Setup again or contact support for assistance'),
(8989, 'Running Command: '),
(8990, 'Rupture'),
(8991, 'Rural Health Clinic'),
(8992, 'Russian'),
(8993, 'RVIT{{right vitreous}}'),
(8994, 'RV{{right vessels}}'),
(8995, 'Rx'),
(8996, 'RX'),
(8997, 'Rx Bottom Margin (px)'),
(8998, 'RX Date'),
(8999, 'Rx Details'),
(9000, 'Rx Dispensed History'),
(9001, 'Rx Enable DEA #'),
(9002, 'Rx Enable NPI'),
(9003, 'Rx Enable State Lic. #'),
(9004, 'Rx History'),
(9005, 'Rx html print - zend module'),
(9006, 'Rx ID'),
(9007, 'Rx Left Margin (px)'),
(9008, 'Rx Log'),
(9009, 'Rx NLM Drug-Drug'),
(9010, 'Rx Paper Size'),
(9011, 'Rx pdf - zend template'),
(9012, 'RX Print Date'),
(9013, 'Rx Right Margin (px)'),
(9014, 'Rx Show DEA #'),
(9015, 'Rx Show NPI'),
(9016, 'Rx Show State Lic. #'),
(9017, 'Rx Top Margin (px)'),
(9018, 'Rx Type'),
(9019, 'Rx Type{{Type of glasses prescription}}'),
(9020, 'Rx/Distance'),
(9021, 'RXCUI Code'),
(9022, 'RXCUI Medication'),
(9023, 'RxNorm'),
(9024, 'RxNorm Database'),
(9025, 'R{{History of Refraction}}'),
(9026, 'R{{right side}}'),
(9027, 'R{{right}}'),
(9028, 'S'),
(9029, 'S.S.'),
(9030, 'S3:'),
(9031, 'S4:'),
(9032, 'SA  *  * To read the license please read the docs/license.txt or visit  * http://www.gnu.org/copyleft/gpl.html  *  */  //========================================================================= // '),
(9033, 'Safe key database'),
(9034, 'Sale'),
(9035, 'Sales'),
(9036, 'Sales by Item'),
(9037, 'Sales by Product Report'),
(9038, 'Saliva'),
(9039, 'Same Day'),
(9040, 'Samoan'),
(9041, 'Sample'),
(9042, 'Sanction Type'),
(9043, 'Sango'),
(9044, 'Sanskrit (Samskrta)'),
(9045, 'Sanskrit (Saṁskṛta)'),
(9046, 'Sardinian'),
(9047, 'Sat'),
(9048, 'Sat &amp; Sun'),
(9049, 'Saturday'),
(9050, 'Save'),
(9051, 'SAVE'),
(9052, 'Save & Exit'),
(9053, 'Save Activity'),
(9054, 'Save and Checkout'),
(9055, 'Save and Close'),
(9056, 'Save and Continue'),
(9057, 'Save and Delete Request'),
(9058, 'Save and Dispense'),
(9059, 'Save and Print'),
(9060, 'Save and Transmit'),
(9061, 'Save as New'),
(9062, 'Save as new message'),
(9063, 'Save as new note'),
(9064, 'Save button saves claim and marks reviewed'),
(9065, 'Save Category'),
(9066, 'Save Certificate Settings'),
(9067, 'Save Changes'),
(9068, 'Save Claim'),
(9069, 'Save claim for batch processing'),
(9070, 'Save codes history'),
(9071, 'Save Completed'),
(9072, 'Save Current'),
(9073, 'Save for printing to a pre printed sheet'),
(9074, 'Save for printing with form'),
(9075, 'Save Form'),
(9076, 'Save Immunization'),
(9077, 'Save Level'),
(9078, 'Save New Field'),
(9079, 'Save New Group'),
(9080, 'Save New List'),
(9081, 'Save new template'),
(9082, 'Save omission selections'),
(9083, 'Save Patient Demographics'),
(9084, 'Save Payer'),
(9085, 'Save Report as PDF'),
(9086, 'Save Successful'),
(9087, 'Save Successful for chart ID'),
(9088, 'Save to Chart'),
(9089, 'Save Transaction'),
(9090, 'Saved Successfully'),
(9091, 'Saved to Documents->Onsite Portal->Reviewed - Open there to move or rename.'),
(9092, 'Saved to Patient Documents'),
(9093, 'Saving denied'),
(9094, 'Sa{{Saturday}}'),
(9095, 'sc Distance{{without correction distance}}'),
(9096, 'sc Near{{without correction near}}'),
(9097, 'Scan the following QR code with your preferred authenticator app to register a new TOTP key.'),
(9098, 'Scanned'),
(9099, 'Scanned Encounter Note'),
(9100, 'Scanner Directory'),
(9101, 'Scanner In'),
(9102, 'scDist{{ACT without Correction Distance}}'),
(9103, 'scDist{{without correction distance}}'),
(9104, 'Schedule'),
(9105, 'Schedule A New Appointment'),
(9106, 'Schedule Facilities:'),
(9107, 'Schedule New Appointment'),
(9108, 'Scheduled'),
(9109, 'Scheduling'),
(9110, 'Schirmer I'),
(9111, 'Schirmer II'),
(9112, 'Schirmers I'),
(9113, 'Schirmers I (w/o anesthesia)'),
(9114, 'Schirmers II'),
(9115, 'Schirmers II (w/ anesthesia)'),
(9116, 'School'),
(9117, 'SCHOOL NOTE'),
(9118, 'School Record'),
(9119, 'Sclera'),
(9120, 'scNear{{ACT without Correction Near}}'),
(9121, 'scNear{{without correction near}}'),
(9122, 'Scoliosis'),
(9123, 'Scopes'),
(9124, 'Scopes Requested'),
(9125, 'Scottish Gaelic- Gaelic'),
(9126, 'Screen'),
(9127, 'Screening / Testing'),
(9128, 'script error'),
(9129, 'Script Error: See Browser Console for Detail'),
(9130, 'SC{{Acuity without correction}}'),
(9131, 'sc{{without correction}}'),
(9132, 'SC{{without correction}}'),
(9133, 'SE'),
(9134, 'SE Address'),
(9135, 'SE City'),
(9136, 'SE Country'),
(9137, 'SE Locality'),
(9138, 'SE Postal Code'),
(9139, 'SE State'),
(9140, 'SE Zip Code'),
(9141, 'Search'),
(9142, 'SEARCH'),
(9143, 'search'),
(9144, 'search again'),
(9145, 'Search all columns'),
(9146, 'Search and select a patient and click OK'),
(9147, 'Search Appointment'),
(9148, 'Search by'),
(9149, 'Search by any demographics'),
(9150, 'Search by:'),
(9151, 'Search Diagnoses'),
(9152, 'Search for'),
(9153, 'Search for Additional Codes'),
(9154, 'Search for patient by entering whole or part of any demographics field information'),
(9155, 'Search for the drug by typing its name in the Search for Allergy text-box'),
(9156, 'Search for:'),
(9157, 'Search global settings'),
(9158, 'Search In'),
(9159, 'Search in'),
(9160, 'Search Not Available'),
(9161, 'Search or Add Patient'),
(9162, 'Search Patient By Any Demographics'),
(9163, 'Search Patient By Any Demographics, Dual additionally lets direct access to Patient Finder, Comprehensive has collapsed input box, Fixed is similar to Dual with fixed size, None is do not show'),
(9164, 'Search Payment'),
(9165, 'Search Payments'),
(9166, 'Search Products'),
(9167, 'Search Results'),
(9168, 'Search Results:'),
(9169, 'Search Selected'),
(9170, 'Search Services'),
(9171, 'Search string does not match with list in database'),
(9172, 'Search string should have at least three characters'),
(9173, 'search term was not found, please try another search'),
(9174, 'Search Text'),
(9175, 'Search the Events'),
(9176, 'Search user settings'),
(9177, 'Search with exact method'),
(9178, 'Search/Add'),
(9179, 'Search/Add Insurer'),
(9180, 'Searching'),
(9181, 'Searching for appointments'),
(9182, 'Searching...'),
(9183, 'Seatbelt'),
(9184, 'Seatbelt use'),
(9185, 'Seatbelt Use'),
(9186, 'Second'),
(9187, 'second'),
(9188, 'Second account message'),
(9189, 'Secondary'),
(9190, 'Secondary billing'),
(9191, 'Secondary Insurance'),
(9192, 'Secondary Insurance Data'),
(9193, 'Secondary Insurance Provider'),
(9194, 'Secondary Medicare Type'),
(9195, 'seconds'),
(9196, 'Section ID'),
(9197, 'Section ID and Name Cannot be Empty'),
(9198, 'Section Name'),
(9199, 'Section saved successfully'),
(9200, 'Secure Chat'),
(9201, 'Secure Electronic Messaging'),
(9202, 'Secure File Transfer Protocol, or SFTP is a network protocol that provides file access, file transfer, and file management over a secure connection'),
(9203, 'Secure Messaging'),
(9204, 'Secure Password Required'),
(9205, 'Secure Patient Chat'),
(9206, 'Secure Upload Files with White List'),
(9207, 'Security'),
(9208, 'See All'),
(9209, 'See All Messages'),
(9210, 'See Authorizations'),
(9211, 'See couchdb error log'),
(9212, 'See Customize the Fee Sheet'),
(9213, 'See Growth-Chart'),
(9214, 'See messages from the last set of generated claims'),
(9215, 'See observation results'),
(9216, 'See Setup the Fee Sheet'),
(9217, 'See the Clinical Reminders widget for more details'),
(9218, 'Seen since'),
(9219, 'Seen within'),
(9220, 'Segment name'),
(9221, 'Segments Batch Claim'),
(9222, 'Seizures'),
(9223, 'Sel'),
(9224, 'select'),
(9225, 'Select'),
(9226, 'Select \'Price Levels\' and enter Credit Card and Cash'),
(9227, 'Select a Component'),
(9228, 'Select a Context'),
(9229, 'Select a date range and click Submit'),
(9230, 'Select a lab from the Order From drop-down box'),
(9231, 'Select a patient by clicking on the patient input box'),
(9232, 'Select a percentage of the rows or or select dates'),
(9233, 'Select a surgery if it is listed in the drop-down box or enter a new surgery name under Title'),
(9234, 'Select a text or html template and upload for selected patient or all portal patients.'),
(9235, 'Select a Time Span'),
(9236, 'Select a User'),
(9237, 'Select a validation rule'),
(9238, 'Select Action'),
(9239, 'Select All'),
(9240, 'Select all'),
(9241, 'Select Amendment Date'),
(9242, 'Select amendments to print'),
(9243, 'Select an appropriate ICD/CPT code. This helps search for education material to give to the patient for that particular problem'),
(9244, 'Select as appropriate and fill in the text box and click Save'),
(9245, 'Select below to Zip Directory of image slices.'),
(9246, 'Select Bidirectional or Results Only as appropriate, again only used for electronic orders'),
(9247, 'Select Blood in the Specimen Type drop-down box'),
(9248, 'Select CAMOS Entries for Printing'),
(9249, 'Select Case'),
(9250, 'Select category'),
(9251, 'Select Code'),
(9252, 'Select Codes'),
(9253, 'Select Communication Preferences'),
(9254, 'Select corresponding checkboxes to delete'),
(9255, 'Select Credit Card Payment Gateway'),
(9256, 'Select Criteria to Remove'),
(9257, 'Select CSV table'),
(9258, 'Select Custom Favorite Group from the Procedure Tier drop-down box'),
(9259, 'Select Custom Favorite Item in the Procedure Tier drop-down box'),
(9260, 'Select Data Required for De Identification'),
(9261, 'Select data to be included in De Identified data'),
(9262, 'Select date'),
(9263, 'Select Default Codes'),
(9264, 'Select desired squad'),
(9265, 'Select Diagnosis'),
(9266, 'Select Diagnosis Codes'),
(9267, 'Select Diagnosis for De Identification request'),
(9268, 'Select Discrete Result from the Procedure Tier'),
(9269, 'Select Discrete Result from the Procedure Tier drop-down box'),
(9270, 'Select Discrete Result under Procedure Tier in the Enter Details pop-up'),
(9271, 'Select Drug'),
(9272, 'Select Drugs'),
(9273, 'Select Drugs for De Identification request'),
(9274, 'Select EDI-271 file'),
(9275, 'Select Encounter'),
(9276, 'Select field'),
(9277, 'Select Field'),
(9278, 'Select Fields'),
(9279, 'Select for printing'),
(9280, 'Select from the displayed list'),
(9281, 'Select Group'),
(9282, 'Select Group in the drop-down box labeled Procedure Tier'),
(9283, 'Select Group under Procedure Tier, think of it as creating a large branch off the main tree trunk, and call it Organ/Disease Panel'),
(9284, 'Select Image Procedure'),
(9285, 'Select Immunizations'),
(9286, 'Select Immunizations for De Identification request'),
(9287, 'Select Insurance, by typing'),
(9288, 'Select Issue'),
(9289, 'Select items'),
(9290, 'Select Lab Service in the Type drop-down box and enter a name under organization'),
(9291, 'Select Language'),
(9292, 'Select list'),
(9293, 'Select List'),
(9294, 'Select Method'),
(9295, 'Select MG/DL as Default Units'),
(9296, 'Select Month'),
(9297, 'Select One'),
(9298, 'Select one or more diagnosis codes to justify the service'),
(9299, 'Select one or more files to upload'),
(9300, 'Select only one code per problem'),
(9301, 'Select Options for Current Encounter'),
(9302, 'Select Options for Current Procedure Order Id '),
(9303, 'Select output'),
(9304, 'Select Pharmacy'),
(9305, 'SELECT PLAN'),
(9306, 'Select Primary Physician'),
(9307, 'Select Procedure Order from Procedure Tier pop-up box'),
(9308, 'Select Procedure Order in Procedure Tier'),
(9309, 'Select Providers'),
(9310, 'Select Referral from the Transaction type drop-down box'),
(9311, 'Select Requested By'),
(9312, 'Select Role'),
(9313, 'Select SMS Gateway'),
(9314, 'Select source'),
(9315, 'Select State and City to Import for Pharmacy'),
(9316, 'Select Supervisor'),
(9317, 'Select Template'),
(9318, 'Select Template Context'),
(9319, 'Select the appropriate choice - Debugging or Production'),
(9320, 'Select the appropriate radio button. Enter the search term in the search box and click \'Search\''),
(9321, 'Select the configuration items to export'),
(9322, 'Select the default font'),
(9323, 'Select the default font (need to logout/login after changing this setting).'),
(9324, 'Select the default font size'),
(9325, 'Select the default font size (need to logout/login after changing this setting).'),
(9326, 'Select the diagnoses to include in the Impression/Plan.'),
(9327, 'Select the group (ARO) that you wish to remove.'),
(9328, 'Select the issue primarily responsible for any missed events on this day'),
(9329, 'Select the Lab From lab name'),
(9330, 'Select the message type to more accurately reflect the type of message you are sending. You may choose to leave it as unassigned'),
(9331, 'Select the name of the entity from the Name drop-down box'),
(9332, 'Select the type of Occurrence of the problem from the drop-down box, the choices are Unknown or N/A, First, Early Recurrence, Late Recurrence, Delayed Recurrence, Chronic/Recurrent and Acute on Chronic'),
(9333, 'Select to print patient address labels from popups in left nav screen.'),
(9334, 'Select to transmit'),
(9335, 'Select Track'),
(9336, 'Select Transaction Type'),
(9337, 'Select Type'),
(9338, 'Select User'),
(9339, 'SELECT Users FROM The Dropdown LIST'),
(9340, 'Select Users From The Dropdown List'),
(9341, 'Select which languages, if any, may be chosen at login. (only pertinent if above All Languages Allowed is turned off)'),
(9342, 'Select Year'),
(9343, 'Select Yes to confirm group deletion'),
(9344, 'Select your current facility in the login page'),
(9345, 'Select/Add Authentication Method for the logged in user'),
(9346, 'Select/Add New Authentication Method for'),
(9347, 'Select1'),
(9348, 'Select2'),
(9349, 'Selected'),
(9350, 'Selected Encounter'),
(9351, 'Selected Fee Sheet Codes and Charges for Current Encounter'),
(9352, 'Selected Files'),
(9353, 'Selected files and data will be removed from folders and tables'),
(9354, 'Selecting the width for responsive vertical style menus in tab based layout (need to logout/login after changing this setting)'),
(9355, 'Selecting this will create a message that needs to be processed by each recipient individually (this is not a group task).'),
(9356, 'Seleted Message id'),
(9357, 'Self'),
(9358, 'Self Pay'),
(9359, 'SEND'),
(9360, 'Send'),
(9361, 'Send A Dated Reminder'),
(9362, 'Send a Reminder'),
(9363, 'Send an email to '),
(9364, 'Send CCD'),
(9365, 'Send CCR'),
(9366, 'Send Complete - Prescription(s) Return Status'),
(9367, 'Send Emails'),
(9368, 'Send for Review'),
(9369, 'Send in progress'),
(9370, 'Send It'),
(9371, 'Send Message'),
(9372, 'Send message'),
(9373, 'Send message from the permanent group therapist to the personal therapist'),
(9374, 'Send message from the permanent group therapist to the personal therapist (gm)'),
(9375, 'Send NewRx'),
(9376, 'Send Notes'),
(9377, 'Send Payment'),
(9378, 'Send Reminders Batch'),
(9379, 'Send reminders to patients per patient preference for preventive/follow up care.'),
(9380, 'Send Request'),
(9381, 'Send Selected to Archive'),
(9382, 'Send Selected to Trash'),
(9383, 'Send Summaries with Referrals'),
(9384, 'Send this file'),
(9385, 'Send This Message'),
(9386, 'Send to'),
(9387, 'Send To'),
(9388, 'SEND TO'),
(9389, 'Send to all'),
(9390, 'Send to Archive'),
(9391, 'Send To HIE failed'),
(9392, 'Send to portal'),
(9393, 'Send to Portal'),
(9394, 'Send to Trash'),
(9395, 'Sender'),
(9396, 'Sender ID'),
(9397, 'Sender ID (ISA06)'),
(9398, 'Sender ID Qualifier (ISA05)'),
(9399, 'Sender IDs'),
(9400, 'Sender IDs - is only required if you are submitting an electronic order to an external facility'),
(9401, 'sender name'),
(9402, 'SENDING A MESSAGE'),
(9403, 'Sending application name will be provided by the facility that you will be connecting to'),
(9404, 'Sending facility name is user defined'),
(9405, 'Sending Invoice to Patient Portal Completed'),
(9406, 'Sending To'),
(9407, 'Sensitivities'),
(9408, 'Sensitivities (sensitivities)'),
(9409, 'Sensitivity'),
(9410, 'Sensitivity - lets you limit the information in this encounter to those with appropriate privileges'),
(9411, 'Sensitivity:'),
(9412, 'Sensory exam normal'),
(9413, 'Sent'),
(9414, 'Sent - Confirmed'),
(9415, 'Sent By, Leave Blank For All'),
(9416, 'Sent by:'),
(9417, 'Sent Date'),
(9418, 'Sent Items'),
(9419, 'Sent Medical Records?'),
(9420, 'Sent successfully'),
(9421, 'Sent Summary of Care Electronically?'),
(9422, 'Sent Summary of Care?'),
(9423, 'sent to printer.'),
(9424, 'Sent To, Leave Blank For All'),
(9425, 'Sent to:'),
(9426, 'Sent, but delivery not yet confirmed.'),
(9427, 'Sent, not received'),
(9428, 'Sent{{Mails}}'),
(9429, 'Sep'),
(9430, 'Separated'),
(9431, 'September'),
(9432, 'Seq'),
(9433, 'Sequence'),
(9434, 'Serbian'),
(9435, 'Serv Rep'),
(9436, 'Server error: try again later'),
(9437, 'Server Login'),
(9438, 'Server may be offline'),
(9439, 'Server message:'),
(9440, 'Server says thanks. Images state saved.'),
(9441, 'Server Status'),
(9442, 'Service'),
(9443, 'Service added'),
(9444, 'Service Category'),
(9445, 'Service Code'),
(9446, 'Service Code Finance Reporting'),
(9447, 'Service Codes'),
(9448, 'Service Date'),
(9449, 'Service Date From'),
(9450, 'Service Date To'),
(9451, 'Service Date:'),
(9452, 'Service deleted'),
(9453, 'Service Facility'),
(9454, 'Service is not compatible with the sex of this client.'),
(9455, 'Service Location'),
(9456, 'Service Name'),
(9457, 'Service provided by specialist'),
(9458, 'Service provider changed'),
(9459, 'Service Reporting'),
(9460, 'Service Reporting Only'),
(9461, 'Services'),
(9462, 'Services by Category'),
(9463, 'Services Provided'),
(9464, 'Services provided'),
(9465, 'Services/Products'),
(9466, 'Session Type'),
(9467, 'Set'),
(9468, 'Set a facility cookie to remember the selected facility between logins.'),
(9469, 'Set As Completed'),
(9470, 'SET AS COMPLETED'),
(9471, 'Set aside some uninterrupted time for the data entry'),
(9472, 'Set Gateway to Production Mode'),
(9473, 'Set POS code in encounter'),
(9474, 'Set Price Level'),
(9475, 'Set processing priority for CDR engine based reports.'),
(9476, 'Set processing priority for creation of Patient Reminders (in full clinic mode).'),
(9477, 'Set the priority level'),
(9478, 'Set this to the full absolute path. For creating client SSL certificates for HTTPS.'),
(9479, 'Set To'),
(9480, 'Set to Default'),
(9481, 'Set to the number of prior passwords that are not allowed to use when changing a password.'),
(9482, 'set value to'),
(9483, 'Set which radio button is selected by default in \'Search for Additional Codes\' section'),
(9484, 'Sets the font of the address text on the envelope in mm'),
(9485, 'Setting'),
(9486, 'Setting the version number in the database...'),
(9487, 'Setting up 2FA'),
(9488, 'Settings'),
(9489, 'Setup MedEx'),
(9490, 'Setup the Fee Sheet'),
(9491, 'Several additional drop-down and text boxes will be visible'),
(9492, 'Severe'),
(9493, 'Severe Migraine'),
(9494, 'Severity'),
(9495, 'Severity information will be missing if interaction is found'),
(9496, 'Severity of Pain'),
(9497, 'Severity of Pain:'),
(9498, 'Sex'),
(9499, 'Sexually Transmitted Disease'),
(9500, 'SFTP'),
(9501, 'SFTP will send the order as a HL7v2.3 message to the receiving lab using the SFTP protocol'),
(9502, 'Sha-1 Hash'),
(9503, 'Sharing'),
(9504, 'Shell command for printing from the server.'),
(9505, 'Shift'),
(9506, 'Shona'),
(9507, 'Short Description'),
(9508, 'Shorthand'),
(9509, 'Shorthand Help'),
(9510, 'Shortness of Breath'),
(9511, 'Shortness Of Breath'),
(9512, 'Shortness Of Breath 2'),
(9513, 'Shot Record'),
(9514, 'Shot Record as of:'),
(9515, 'Should be Enabled'),
(9516, 'should be like nnnnn-nnnn-nn'),
(9517, 'Should be two letters'),
(9518, 'should contain 10 digits'),
(9519, 'should contain only 10 digits'),
(9520, 'Shoulder'),
(9521, 'Shoulder + clavicle'),
(9522, 'Shoulder Problems'),
(9523, 'Show'),
(9524, 'Show Active'),
(9525, 'Show Additional Insurance Information'),
(9526, 'Show Aging on Custom Statement'),
(9527, 'Show All'),
(9528, 'Show all payment history in Patient Ledger'),
(9529, 'Show all procedures'),
(9530, 'Show All Results'),
(9531, 'Show All Transactions'),
(9532, 'Show as Busy'),
(9533, 'Show Authorized Only'),
(9534, 'Show Available Times'),
(9535, 'Show both US and metric (main unit is metric)'),
(9536, 'Show both US and metric (main unit is US)'),
(9537, 'Show button for download fax template'),
(9538, 'Show button in the prescription list for download fax template'),
(9539, 'Show Current Signature On File'),
(9540, 'Show Details'),
(9541, 'Show Diagnoses Section'),
(9542, 'Show Errors Only?'),
(9543, 'Show Extra Logo on Login'),
(9544, 'Show Graph'),
(9545, 'Show Help Modal'),
(9546, 'Show hovering event text on mouseover?'),
(9547, 'Show how many events on admin pages?'),
(9548, 'Show Inactive'),
(9549, 'Show Insurance Address Information in the Insurance Panel of Demographics.'),
(9550, 'Show IOP by Date'),
(9551, 'Show IOP by Time'),
(9552, 'Show Menu'),
(9553, 'Show metric only'),
(9554, 'Show Mini Logo 1'),
(9555, 'Show Mini Logo 2'),
(9556, 'Show Notes'),
(9557, 'Show only latest values reported for each result code'),
(9558, 'Show only procedures not omitted'),
(9559, 'Show Patient Encounter Number in Patient Flow Board'),
(9560, 'Show Patient ID in Patient Flow Board'),
(9561, 'Show Patient Notes'),
(9562, 'Show pounds and ounces'),
(9563, 'Show pounds as decimal value'),
(9564, 'Show Primary Complete'),
(9565, 'Show Products Section'),
(9566, 'Show Receipt'),
(9567, 'Show records'),
(9568, 'Show Reminders'),
(9569, 'Show Report'),
(9570, 'Show search/submit links in block?'),
(9571, 'Show Selected for Drug Screens'),
(9572, 'Show Services Section'),
(9573, 'Show Status of Drug Screens'),
(9574, 'Show the custom state form for the add list widget (will ask for title and abbreviation).'),
(9575, 'Show the Impression/Plan Builder panel'),
(9576, 'Show the last three Refractions'),
(9577, 'Show this category on the patient summary screen even if no issues have been entered for this category.'),
(9578, 'Show Title on Login'),
(9579, 'Show track history'),
(9580, 'Show Unbilled Only'),
(9581, 'Show US only'),
(9582, 'Show Visit Reason in Patient Flow Board'),
(9583, 'show/hide executed query log'),
(9584, 'Show/Hide the Selection Area'),
(9585, 'Showing'),
(9586, 'Showing 0 to 0 of 0 entries'),
(9587, 'Showing items'),
(9588, 'Showing page'),
(9589, 'Showing result'),
(9590, 'Shows the hierarchal level of this line'),
(9591, 'Shutting Down Service ...'),
(9592, 'Sibling'),
(9593, 'Sibling History'),
(9594, 'Sibling in-law'),
(9595, 'Siblings'),
(9596, 'Sickle Cell'),
(9597, 'Sig'),
(9598, 'Sigmoid/Colonoscopy'),
(9599, 'Sign'),
(9600, 'Sign In'),
(9601, 'Sign Lab Results (write,addonly optional)'),
(9602, 'Sign Lab Results (write,addonly optional) (sign)'),
(9603, 'Sign Results'),
(9604, 'Sign-up'),
(9605, 'Sign-up successful for'),
(9606, 'Signature'),
(9607, 'Signature on File'),
(9608, 'Signature On File'),
(9609, 'Signature:'),
(9610, 'Signed'),
(9611, 'Signed Date'),
(9612, 'Signed Rx'),
(9613, 'Significant Other'),
(9614, 'Significant Swelling:'),
(9615, 'Simplified'),
(9616, 'Simplified Co-Pay'),
(9617, 'Simplified Demographics'),
(9618, 'Simplified Prescriptions'),
(9619, 'Since'),
(9620, 'Sincerely,'),
(9621, 'Sindhi'),
(9622, 'Single'),
(9623, 'Single Tests'),
(9624, 'Single-selection list'),
(9625, 'Single-selection list with ability to add to the list'),
(9626, 'Singular'),
(9627, 'Sinhala'),
(9628, 'Sinhala, Sinhalese'),
(9629, 'Sinus Problems'),
(9630, 'Sinus Surgery'),
(9631, 'SINUS TENDERNESS:'),
(9632, 'Sinusitis'),
(9633, 'Sister'),
(9634, 'Site'),
(9635, 'Site Address (required for OAuth2 and FHIR)'),
(9636, 'Site Address (required for OAuth2 and FHIR). Example is'),
(9637, 'Site ID'),
(9638, 'Site ID for the Medical Information Integration, LLC Lab Exchange Service.'),
(9639, 'Site ID for the OpenEMR Support LLC Lab Exchange Service.'),
(9640, 'Site Worker'),
(9641, 'Six Months Ago'),
(9642, 'Six Months Ahead'),
(9643, 'Size'),
(9644, 'size'),
(9645, 'Size Height'),
(9646, 'Size must be a number between 1 and 999'),
(9647, 'Size Width'),
(9648, 'Size/List'),
(9649, 'Skilled Nursing Facility'),
(9650, 'Skin'),
(9651, 'Skin Cancer'),
(9652, 'Skin Disease'),
(9653, 'Skin Other'),
(9654, 'Skip Authorization of Patient Notes'),
(9655, 'Skipping illegal layout name'),
(9656, 'Skipping illegal list name'),
(9657, 'Skipping missing layout name'),
(9658, 'Skipping missing list name'),
(9659, 'Skipping section'),
(9660, 'Skipping SQL-Ledger dump - not implemented for Windows server'),
(9661, 'Sl.No'),
(9662, 'Slab Off'),
(9663, 'Sleep'),
(9664, 'Sleep patterns'),
(9665, 'Sleep Patterns'),
(9666, 'Sleeping'),
(9667, 'Sliding'),
(9668, 'Slovak'),
(9669, 'Slovene'),
(9670, 'Sm debt w/o'),
(9671, 'Smart App'),
(9672, 'SMART apps that display on the patient summary page can be enabled or disabled from this screen. Any OAUTH2 client requesting the \'launch\' scope will allow EMR users to launch an app from within the EHR.'),
(9673, 'SMART Enabled Apps'),
(9674, 'Smartphones can have authenticator apps that can calculate OTP using either time based or algorithm based approaches and is a common method of OTP delivery'),
(9675, 'Smarty Cache has been cleared'),
(9676, 'Smoker, current status unknown'),
(9677, 'Smoking'),
(9678, 'Smoking Status'),
(9679, 'SMS'),
(9680, 'SMS Auth'),
(9681, 'SMS based delivery of OTP is easy to implement with no additional steps needed by the user'),
(9682, 'SMS Confirmed'),
(9683, 'SMS Gateway'),
(9684, 'SMS Gateway API key'),
(9685, 'SMS Gateway API Key'),
(9686, 'SMS Gateway Password'),
(9687, 'SMS Gateway Username'),
(9688, 'SMS Messages'),
(9689, 'SMS Notification'),
(9690, 'SMS Notification Hours'),
(9691, 'SMS Notification Settings Updated Successfully'),
(9692, 'SMS OK'),
(9693, 'SMS send before'),
(9694, 'SMS Sent'),
(9695, 'SMS Text Usable Tags'),
(9696, 'SMS Text Usable Tags:'),
(9697, 'SMS Text, Usable Tag: ***NAME***, ***PROVIDER***, ***DATE***, ***STARTTIME***, ***ENDTIME***<br> i.e. Dear ***NAME***'),
(9698, 'SMS Text, Usable Tags: '),
(9699, 'SMS Zone'),
(9700, 'SMS zone - This section lets use send and receive SMS texts'),
(9701, 'SMS/Email Alert Settings'),
(9702, 'SMS/Email Alert Settings Updated Successfully'),
(9703, 'SMTP Password for Authentication'),
(9704, 'SMTP Security Protocol'),
(9705, 'SMTP security protocol to connect with. Required by some servers such as gmail.'),
(9706, 'SMTP Server Hostname'),
(9707, 'SMTP Server Port Number'),
(9708, 'SMTP User for Authentication'),
(9709, 'SNOMED'),
(9710, 'SNOMED (RF1) Clinical Term'),
(9711, 'SNOMED (RF1) Diagnosis'),
(9712, 'SNOMED (RF1) Procedure'),
(9713, 'SNOMED (RF2) Clinical Term'),
(9714, 'SNOMED (RF2) Diagnosis'),
(9715, 'SNOMED (RF2) Procedure'),
(9716, 'SNOMED Clinical Term'),
(9717, 'SNOMED Database'),
(9718, 'SNOMED Diagnosis'),
(9719, 'SNOMED Procedure'),
(9720, 'SNOMED-CT Code'),
(9721, 'Snoring'),
(9722, 'SOAP'),
(9723, 'Soap Import Status'),
(9724, 'Soc Hx{{Social History}}'),
(9725, 'Social'),
(9726, 'Social Difficulties'),
(9727, 'Social History'),
(9728, 'Social History Element'),
(9729, 'Social History:'),
(9730, 'Social Security Number'),
(9731, 'Social Security(Optional)'),
(9732, 'solution'),
(9733, 'Somali'),
(9734, 'Somatic Context'),
(9735, 'Some authorizations were not displayed. Click here to view all'),
(9736, 'Some codes were not displayed.'),
(9737, 'Some encounters were not displayed. Click here to view all.'),
(9738, 'Some error has occured during De Identification Process'),
(9739, 'Some global parameters on the setup and printing of the generated claims can be set in Adminstration > Globals > Billing'),
(9740, 'Some notes were not displayed.'),
(9741, 'Some office notes were not displayed. Click here to view all.'),
(9742, 'Some smaller local labs may agree to deal directly with the practice'),
(9743, 'some words'),
(9744, 'Someone else has just changed this visit. Please cancel this page and try again.'),
(9745, 'Something went wrong'),
(9746, 'Something went wrong.'),
(9747, 'Something went wrong. Please try again.'),
(9748, 'Soon Due Interval (Clinical Reminders)'),
(9749, 'Soon Due Interval (Patient Reminders)'),
(9750, 'Sore Throat'),
(9751, 'Sorry No Appointment is Fixed'),
(9752, 'Sorry you are not privileged enough. Enrollment is limited to Adminstrator accounts.'),
(9753, 'Sorry! Not Authorized.'),
(9754, 'Sorry, there was a problem uploading your file'),
(9755, 'Sorry, there was a problem!'),
(9756, 'Sorry. Can not update history.'),
(9757, 'Sort alphabetically'),
(9758, 'Sort by'),
(9759, 'Sort By'),
(9760, 'Sort by Category'),
(9761, 'Sort by Checksum'),
(9762, 'Sort by Comments'),
(9763, 'Sort by Crt User'),
(9764, 'Sort by date'),
(9765, 'Sort by date/time'),
(9766, 'Sort by Event'),
(9767, 'Sort by Group'),
(9768, 'Sort by New Checksum'),
(9769, 'Sort by Old Checksum'),
(9770, 'Sort by PatientID'),
(9771, 'Sort by seq'),
(9772, 'Sort by Success'),
(9773, 'Sort by Tamper date/time'),
(9774, 'Sort by User'),
(9775, 'Sort by vaccine'),
(9776, 'Sort Down'),
(9777, 'Sort Result by'),
(9778, 'Sort Up'),
(9779, 'Source'),
(9780, 'Source CSV File'),
(9781, 'Source File'),
(9782, 'Source File Path'),
(9783, 'Source is missing for code '),
(9784, 'Source Lot'),
(9785, 'Source of the document'),
(9786, 'Source Patient'),
(9787, 'Source patient has no DOB'),
(9788, 'Source patient not found'),
(9789, 'Source:'),
(9790, 'South Ndebele'),
(9791, 'Southern Sotho'),
(9792, 'Space'),
(9793, 'SPACE'),
(9794, 'Span Entire Row'),
(9795, 'Spanish'),
(9796, 'Spanish (Latin American)'),
(9797, 'Spanish (Spain)'),
(9798, 'Spanish- Castilian'),
(9799, 'Special characters are not allowed'),
(9800, 'Special treatment for the Vitals form'),
(9801, 'Specialist'),
(9802, 'Specialist name and signature'),
(9803, 'Specialized physician'),
(9804, 'Specialty'),
(9805, 'Specialty Systems'),
(9806, 'Specialty:'),
(9807, 'Specific'),
(9808, 'Specific Application'),
(9809, 'Specific Contraceptive Service'),
(9810, 'Specific Result'),
(9811, 'Specific Service'),
(9812, 'Specified'),
(9813, 'Specifies formatting for codes. # = digit, * = any character. Empty if not used.'),
(9814, 'Specifies formatting for codes. # = digit, @ = alpha, * = any character. Empty if not used.'),
(9815, 'Specifies formatting for invoice reference numbers.  # = digit, * = any character.  Empty if not used.'),
(9816, 'Specifies formatting for invoice reference numbers.  # = digit, @ = alpha, * = any character.  Empty if not used.'),
(9817, 'Specifies formatting for product NDC fields.  # = digit, * = any character.  Empty if not used.'),
(9818, 'Specifies formatting for product NDC fields.  # = digit, @ = alpha, * = any character.  Empty if not used.'),
(9819, 'Specifies formatting for the external patient ID.  # = digit, * = any character.  Empty if not used.'),
(9820, 'Specifies formatting for the external patient ID.  # = digit, @ = alpha, * = any character.  Empty if not used.'),
(9821, 'Specify the interval for automatic message checking, 5 or 10 minutes as a starting point'),
(9822, 'Specify the OpenEMR user who will receive notification of new incoming Direct messages'),
(9823, 'Specimen'),
(9824, 'Specimen number/identifier'),
(9825, 'Specimen Type'),
(9826, 'Specimen type'),
(9827, 'Speech Dictation'),
(9828, 'Spermicides'),
(9829, 'Sph{{Sphere}}'),
(9830, 'SPH{{Sphere}}'),
(9831, 'Splenectomy'),
(9832, 'Spouse'),
(9833, 'Spouses History'),
(9834, 'Sputum'),
(9835, 'Sputum:'),
(9836, 'SQ'),
(9837, 'sql'),
(9838, 'SQL-Ledger'),
(9839, 'Squad'),
(9840, 'Squad Membership'),
(9841, 'Squads'),
(9842, 'Squads (squads)'),
(9843, 'SRH'),
(9844, 'SRH - Family Planning'),
(9845, 'SRH Non Family Planning'),
(9846, 'SRH Referrals'),
(9847, 'SRH Visit Form'),
(9848, 'Srv Date'),
(9849, 'SS'),
(9850, 'SSL Certificate Administration'),
(9851, 'SSN'),
(9852, 'Stability'),
(9853, 'Stack Trace'),
(9854, 'Staged Releases'),
(9855, 'Standard'),
(9856, 'Standard check'),
(9857, 'Standard Code'),
(9858, 'Standard Code (LOINC)'),
(9859, 'Standard Error Logging'),
(9860, 'Standard Measures'),
(9861, 'Standard Measures (Active Alerts)'),
(9862, 'Standard Measures (Passive Alerts)'),
(9863, 'Standard Measures (Patient Reminders)'),
(9864, 'Standard Name'),
(9865, 'Standard; Simplified: only title, start date, comments and an Active checkbox;no diagnosis, occurrence, end date, referred-by or sports fields. ; Football Injury'),
(9866, 'Start'),
(9867, 'Start (yyyy-mm-dd): '),
(9868, 'Start Another Report'),
(9869, 'Start Assessment'),
(9870, 'Start Batch Processing'),
(9871, 'Start by clicking on Add Top Level to bring up the Enter Details pop-up box in the Add Mode'),
(9872, 'Start by clicking on the black plus sign at the end of the Serum Chemistry line to bring up the Enter Details pop-up'),
(9873, 'Start by clicking the Browse button and selecting the file to upload, and then clicking \'Upload\' to perform the upload and display the corresponding invoices. In this case the other parameters mentioned above do not apply and will be ignored. Uploading saves the file but does not yet process its contents -- that is done separately as described below.'),
(9874, 'Start Date'),
(9875, 'Start date'),
(9876, 'Start Date at This Clinic'),
(9877, 'Start Date should not be greater than End Date'),
(9878, 'Start date:'),
(9879, 'Start Date:'),
(9880, 'Start entering the data in an orderly manner, tier by tier, one top order group at a time'),
(9881, 'Start Time'),
(9882, 'Start watching server processes for upgrade version'),
(9883, 'Starting date'),
(9884, 'Starting Date'),
(9885, 'Starting date for search'),
(9886, 'Starting Date From'),
(9887, 'Starting Date To'),
(9888, 'stat'),
(9889, 'State'),
(9890, 'State Data Type'),
(9891, 'State Lic. #'),
(9892, 'State License Number'),
(9893, 'State list'),
(9894, 'State List (write,addonly optional)'),
(9895, 'State List (write,addonly optional) (state)'),
(9896, 'State List Widget Custom Fields'),
(9897, 'State Or Province'),
(9898, 'State/Locality'),
(9899, 'State/Parish'),
(9900, 'State:'),
(9901, 'Statement Appearance'),
(9902, 'Statement Logo GIF Filename'),
(9903, 'STATEMENT SUMMARY'),
(9904, 'statements and updating invoices.'),
(9905, 'Statements Sent'),
(9906, 'Statements Sent:'),
(9907, 'statements; invoices will not be updated.'),
(9908, 'Static Text'),
(9909, 'Statistics'),
(9910, 'Stats'),
(9911, 'Status'),
(9912, 'Status in the group'),
(9913, 'Status in the meeting'),
(9914, 'Status Of Admission'),
(9915, 'Status of Claim'),
(9916, 'Status quo'),
(9917, 'Status Type'),
(9918, 'STD/AIDS Couns'),
(9919, 'Stength and Conditioning'),
(9920, 'Step Child'),
(9921, 'Step Parent'),
(9922, 'Step Sibling'),
(9923, 'Stepchild'),
(9924, 'Steps for uploading CCR XML'),
(9925, 'Steps to install the DSM IV database'),
(9926, 'Steps to install the ICD 10 database'),
(9927, 'Steps to install the ICD 9 database'),
(9928, 'Steps to install the RxNorm database'),
(9929, 'Steps to install the Snomed database'),
(9930, 'Steps to install the VALUSET database'),
(9931, 'Stereopsis'),
(9932, 'Stiff Joints'),
(9933, 'Stiffness'),
(9934, 'Still Loading...'),
(9935, 'Stock Months'),
(9936, 'Stomach Pains'),
(9937, 'Stop'),
(9938, 'STOP'),
(9939, 'Stopping activity status checks. Internal Server Error'),
(9940, 'Stopping status checks. Csrf Error. No harm to upgrade and will continue.'),
(9941, 'Store your safe key at settings globals in security tab'),
(9942, 'Stored Hash'),
(9943, 'Strabismus'),
(9944, 'Strain of muscle'),
(9945, 'Streak'),
(9946, 'Stream'),
(9947, 'Street'),
(9948, 'Street Address'),
(9949, 'Street and Number'),
(9950, 'Strength'),
(9951, 'Strength and Conditioning'),
(9952, 'Strep Throat'),
(9953, 'Stress fracture'),
(9954, 'Stress Test'),
(9955, 'Stripe'),
(9956, 'Stroke'),
(9957, 'stroke'),
(9958, 'Strong password means at least 8 characters, and at least three of: a number, a lowercase letter, an uppercase letter, a special character.'),
(9959, 'Strong password means at least one of each: a number, a lowercase letter, an uppercase letter, a special character.'),
(9960, 'Style'),
(9961, 'Style of form used for adding new patients'),
(9962, 'Style your messsage and/or add Image/Video'),
(9963, 'Stylings'),
(9964, 'Sub Group'),
(9965, 'Sub-category'),
(9966, 'Sub-Total'),
(9967, 'Subcategory'),
(9968, 'subcategory'),
(9969, 'subcutaneously'),
(9970, 'Subject'),
(9971, 'Subjective'),
(9972, 'Sublingual'),
(9973, 'sublingual'),
(9974, 'Submit'),
(9975, 'submit'),
(9976, 'Submit All Content'),
(9977, 'Submit and Delete Request'),
(9978, 'Submit Changes For All Appts At Once'),
(9979, 'Submit Event'),
(9980, 'submit form'),
(9981, 'Submit Payment for Authorization'),
(9982, 'Submit Selected Content'),
(9983, 'Submitted'),
(9984, 'submitted'),
(9985, 'Submitted by'),
(9986, 'Submitter EDI Access Number (PER06)'),
(9987, 'Subscriber'),
(9988, 'Subscriber Address'),
(9989, 'Subscriber City'),
(9990, 'Subscriber Country'),
(9991, 'Subscriber Date of Birth'),
(9992, 'Subscriber Employer'),
(9993, 'Subscriber Employer (SE)'),
(9994, 'Subscriber Employer Address'),
(9995, 'Subscriber Employer City'),
(9996, 'Subscriber Employer Country'),
(9997, 'Subscriber Employer State'),
(9998, 'Subscriber Employer Street'),
(9999, 'Subscriber Employer Zip'),
(10000, 'Subscriber Employer Zip Code'),
(10001, 'Subscriber First Name'),
(10002, 'Subscriber Last Name'),
(10003, 'Subscriber Member'),
(10004, 'Subscriber Middle Name'),
(10005, 'Subscriber Phone'),
(10006, 'Subscriber Relationship'),
(10007, 'Subscriber relationship is not self but name is the same! Is this really OK?'),
(10008, 'Subscriber relationship is not self but SS number is the same!'),
(10009, 'Subscriber relationship is self but name is different! Is this really OK?'),
(10010, 'Subscriber relationship is self but SS number is different!'),
(10011, 'Subscriber Sex'),
(10012, 'Subscriber SS'),
(10013, 'Subscriber State'),
(10014, 'Subscriber Zip'),
(10015, 'Subscriber/Policy'),
(10016, 'Subscribers will receive the username, password, and server address information with which to configure OpenEMR'),
(10017, 'Subscribter Phone'),
(10018, 'Substance'),
(10019, 'Substance Refusal Reason'),
(10020, 'Substitution'),
(10021, 'substitution allowed'),
(10022, 'Subtitle'),
(10023, 'Subtype'),
(10024, 'Success'),
(10025, 'success'),
(10026, 'Success confirming receipt of lab result'),
(10027, 'Success getting lab results'),
(10028, 'Success retrieving results from Lab Exchange Network'),
(10029, 'Successful Transfers'),
(10030, 'Successfully added category'),
(10031, 'successfully added to category,'),
(10032, 'Successfully Completed'),
(10033, 'Successfully Deleted'),
(10034, 'Successfully Imported the details. Please approve the patient from the Pending Approval Screen'),
(10035, 'Successfully installed the database.'),
(10036, 'Successfully installed the following database'),
(10037, 'Successfully Modified'),
(10038, 'Successfully ordered form'),
(10039, 'Successfully Saved.Would you like to Allocate?'),
(10040, 'Successfully Saved.Would you like to Distribute?'),
(10041, 'Successfully Sent'),
(10042, 'successfully stored.'),
(10043, 'Successfully upgraded'),
(10044, 'Successfully upgraded the database.'),
(10045, 'Successfully upgraded the following database'),
(10046, 'successfully.'),
(10047, 'Suffix'),
(10048, 'Suggestions for the Imp/Plan are built from the Exam, the Past Ocular History (POH and POS) and the Past Medical History (PMH)'),
(10049, 'Suicide'),
(10050, 'Suite'),
(10051, 'Summary'),
(10052, 'Summary of'),
(10053, 'Summary of Acuities for this patient'),
(10054, 'Summary Of Care Provided?'),
(10055, 'Summary of Care Provided?'),
(10056, 'Summary of Care Sent'),
(10057, 'Summary of Care Sent Electronically'),
(10058, 'Sun'),
(10059, 'Sundanese'),
(10060, 'Sunday'),
(10061, 'Superbill'),
(10062, 'Superbill Codes'),
(10063, 'Superbill Codes Administration'),
(10064, 'Superbill Codes Administration (superbill)'),
(10065, 'Superbill Report'),
(10066, 'Superbill/Fee Sheet'),
(10067, 'Superbills'),
(10068, 'Superbills, sometimes referred to as Encounter Forms or Routing Slips, are an essential part of most medical practices.'),
(10069, 'Superuser'),
(10070, 'Superuser - can delete patients, encounters, issues (super)'),
(10071, 'Supervising'),
(10072, 'Supervising Doctor'),
(10073, 'Supervising Doctor DEA'),
(10074, 'Supervising Doctor First name'),
(10075, 'Supervising Doctor Last name'),
(10076, 'Supervising Doctor NPI'),
(10077, 'Supervising Doctor UPIN'),
(10078, 'Supervising Provider'),
(10079, 'Supervisor'),
(10080, 'Supplier'),
(10081, 'Supplier facility name'),
(10082, 'Support calendar events that apply to multiple providers'),
(10083, 'Support export/import of configuration data via the Backup page.'),
(10084, 'Support Multi-Provider Events'),
(10085, 'Support Phone Number'),
(10086, 'Support provider in line item in fee sheet'),
(10087, 'Supports AES-256-CBC encryption/decryption only.'),
(10088, 'Supports TripleDES encryption/decryption only.'),
(10089, 'sup{{superior}}'),
(10090, 'Surface Type'),
(10091, 'Surgeon'),
(10092, 'Surgeries'),
(10093, 'Surgery'),
(10094, 'Surgery Issue List'),
(10095, 'Suspended'),
(10096, 'suspension'),
(10097, 'Su{{Sunday}}'),
(10098, 'Svc Date'),
(10099, 'Svc Date:'),
(10100, 'Swahili'),
(10101, 'Swati'),
(10102, 'Sweating:'),
(10103, 'Swedish'),
(10104, 'Swelling'),
(10105, 'Swelling Right'),
(10106, 'Swollen Joints'),
(10107, 'Swollen Lymph Nodes'),
(10108, 'Symbol used as the decimal point for currency. Not used if Decimal Places is 0.'),
(10109, 'Symbol used to separate thousands for currency.'),
(10110, 'Symptoms'),
(10111, 'Synchronize'),
(10112, 'Synchronize translations with custom language table.'),
(10113, 'Synchronized new custom constant:'),
(10114, 'Synchronized new custom language:'),
(10115, 'Synchronized new definition (Language, Constant, Definition):'),
(10116, 'Syncope'),
(10117, 'Syndromic Surveillance'),
(10118, 'Syndromic Surveillance - Non Reported Issues'),
(10119, 'Syndromic Surveillance Report'),
(10120, 'Synovitis, impingement, bursitis'),
(10121, 'System'),
(10122, 'System Error Logging Options'),
(10123, 'System Error Logging Options.'),
(10124, 'Systolic'),
(10125, 'S{{Saturday}}'),
(10126, 's{{suffix to make Document plural, ie. Documents}}'),
(10127, 'S{{Sunday}}'),
(10128, 'T'),
(10129, 'T-Score'),
(10130, 't.i.d.'),
(10131, 'T.V.'),
(10132, 'Tab Log'),
(10133, 'Table'),
(10134, 'Table Action'),
(10135, 'Table Args'),
(10136, 'Table Code'),
(10137, 'Table creation failed'),
(10138, 'Table update failed'),
(10139, 'Tables'),
(10140, 'tablet'),
(10141, 'Tabs'),
(10142, 'Tabs Layout Theme'),
(10143, 'Tabs Layout Theme (need to logout/login after change this setting)'),
(10144, 'Tag to Encounter'),
(10145, 'Tag to Image Procedure'),
(10146, 'Tagalog'),
(10147, 'Tahitian'),
(10148, 'Tajik'),
(10149, 'Take'),
(10150, 'Take care and click on the black + sign on the Electrolyte Panel line to create these Discrete Results'),
(10151, 'Take Insurance, from Drop Down'),
(10152, 'Take Payment From, from Drop Down'),
(10153, 'Takeback'),
(10154, 'Takes long'),
(10155, 'Takes you to the Register Time Based One Time Password Key - TOTP page'),
(10156, 'Takes you to the Register Universal 2nd Factor Key - U2F page'),
(10157, 'Tall Navigation Area'),
(10158, 'Tamil'),
(10159, 'Tamper Date'),
(10160, 'Tampered Checksum'),
(10161, 'Target and source DOB do not match'),
(10162, 'Target and source pid may not be the same!'),
(10163, 'Target and source SSN do not match'),
(10164, 'Target Date'),
(10165, 'Target Patient'),
(10166, 'Target patient has no DOB'),
(10167, 'Target patient not found'),
(10168, 'Target/Action Groups'),
(10169, 'Targets'),
(10170, 'Taskman: Documents in openEMR'),
(10171, 'Tatar'),
(10172, 'Tax Id'),
(10173, 'Tax ID'),
(10174, 'Tax Rate'),
(10175, 'Taxes'),
(10176, 'Taxonomy'),
(10177, 'TA{{temporal arteries}}'),
(10178, 'TB'),
(10179, 'TBUT'),
(10180, 'TBUT{{tear breakup time}}'),
(10181, 'Td'),
(10182, 'Team Injury Overview'),
(10183, 'Team Roster'),
(10184, 'Team Roster View'),
(10185, 'Team/Squad'),
(10186, 'Tear Break Up Time'),
(10187, 'Tel'),
(10188, 'Telehealth'),
(10189, 'Telephone Country Code'),
(10190, 'Tell me more'),
(10191, 'Telugu'),
(10192, 'Temp'),
(10193, 'Temp Location'),
(10194, 'Temp Method'),
(10195, 'Temp. Art.{{temporal arteries}}'),
(10196, 'Temperature'),
(10197, 'Template'),
(10198, 'Template Name'),
(10199, 'Template names cannot start with numbers.'),
(10200, 'Template selector changed'),
(10201, 'Template:'),
(10202, 'Templates'),
(10203, 'Temporal Art.{{Temporal Artery}}'),
(10204, 'Temporal Arteries'),
(10205, 'Temporal Artery'),
(10206, 'Temporary Lodging'),
(10207, 'temp{{temporal}}'),
(10208, 'Tendon injury'),
(10209, 'Tendonitis / osis / bursitis'),
(10210, 'Tension'),
(10211, 'Tentative Invoice Ref No'),
(10212, 'Terms and Conditions'),
(10213, 'Tertiary'),
(10214, 'Tertiary Insurance'),
(10215, 'Tertiary Insurance Data'),
(10216, 'Tertiary Insurance provider'),
(10217, 'Test only, skip updates'),
(10218, 'Test Ordered'),
(10219, 'Test Scheduling'),
(10220, 'Test System'),
(10221, 'Test/Order'),
(10222, 'Tests Performed'),
(10223, 'Text'),
(10224, 'Text Diagnosis'),
(10225, 'Text field'),
(10226, 'Text for Custom statement message.'),
(10227, 'Text for fifth account message.'),
(10228, 'Text for first account message.'),
(10229, 'Text for fourth account message.'),
(10230, 'Text for second account message.'),
(10231, 'Text for third account message.'),
(10232, 'Text Message permission'),
(10233, 'Text-date'),
(10234, 'text-date'),
(10235, 'Textarea'),
(10236, 'textarea'),
(10237, 'Textbox'),
(10238, 'textbox'),
(10239, 'Textbox list'),
(10240, 'textbox list'),
(10241, 'Thai'),
(10242, 'Thank You'),
(10243, 'Thank you'),
(10244, 'Thank you for allowing us to serve you.'),
(10245, 'Thank you for choosing'),
(10246, 'Thank You.'),
(10247, 'The \'Clear\' button will remove all annotations.'),
(10248, 'The \'Edit\' window is divided into two columns, \'Active\' and \'Inactive\'. The groups (AROs) that are listed in the active column are those groups that the user belongs to.'),
(10249, 'The \'Select Codes\' section will now have all the CPT and ICD codes that you entered grouped under the categories that you had decided upon'),
(10250, 'The *Tab* key creates each entry.'),
(10251, 'The 1500 Claim Form may also be used to report patient encounter data to federal, state, and/or other public health agencies'),
(10252, 'The 837P (Professional) is the standard format used by health care professionals and suppliers to transmit health care claims electronically'),
(10253, 'The ability to link individual issues to patient encounters will let the user quickly determine the outcome of the issue over time'),
(10254, 'The above statement failed'),
(10255, 'The ACL page two sections.'),
(10256, 'The actual amounts that will be displayed must exist in the database'),
(10257, 'The actual tests or procedures that can be searched for and ordered are highlighted in yellow'),
(10258, 'The Add icon is used to setup a tier that will be a direct descendant of this tier'),
(10259, 'The advantage of integrating the results with the patient\'s chart as structured data is the ability to manipulate it to see trends in one convenient location, to plot graphs with the data and use it in data analysis'),
(10260, 'The advantage of scanning the results into the chart is simplicity - no setup is required other than defining a directory/folder in the patient\'s chart under Documents where the result will be stored. Being unstructured data it does not have the above advantages and will not fulfill Meaningful Use criteria for Computerized Provider Order Entry (CPOE)'),
(10261, 'The Allscripts solution integrates the Allscripts ePrescribe web site with openEMR'),
(10262, 'The American Medical Association has defined 9 panels that can be ordered. Each panel contains several tests grouped together'),
(10263, 'The amount will be displayed in either the Payment or Adjustment column as the case may be'),
(10264, 'The Apache SSL server certificate and public key'),
(10265, 'The application generates challenge - a random number and passes it to the USB key along with the nonce and checksum stored in the application'),
(10266, 'The application then uses the public key that the USB device sent on registration to verify the response'),
(10267, 'The appointment status changes and encounter creations are managed through the Patient Tracker.'),
(10268, 'The Auth Name or API key for selected account. Auth Name for Authorize.Net and API Secret for Stripe.'),
(10269, 'The Balance column would be empty'),
(10270, 'The basic purpose of the authenticator app is to generate a 20 bytes (160 bits) code encoded in base32 using a secure hash function, SHA-1, and is called HMAC-SHA1 (Hash-based Message Authentication Code)'),
(10271, 'The basis for CCR is a Patient Care Referral Form developed by the Massachusetts Department of Public Health'),
(10272, 'The Billed Date/Payor column will show the date the line item payment was received and the Payor name - either insurance or patient'),
(10273, 'The Billed Date/Payor column will show the date the line item was billed and the Payor - either insurance or patient'),
(10274, 'The Body contains the clinical data that may be structured and organized as one or more sections or may be an unstructured blob of data'),
(10275, 'The Body Site, Administer Via and Laterality boxes can be left as Unassigned'),
(10276, 'The bottom group consists of the Copays'),
(10277, 'The Category column will be Custom Top Group and will be highlighted in pink'),
(10278, 'The Category column will say Order indicating that it is an order'),
(10279, 'The Category will be Result'),
(10280, 'The CDA is a plain text document that is coded using the Extensible Markup Language (XML) and contains a Header and Body'),
(10281, 'The Certificate Authority certificate'),
(10282, 'The Charge column would be blank'),
(10283, 'The Charge will be the actual amount being charged for each line item'),
(10284, 'The claim file: '),
(10285, 'The CMS 1500 form has 33 boxes and is divided into two sections'),
(10286, 'The Code column should have 905, the vendor specific Identifying code that was entered previously'),
(10287, 'The Code column will be empty as items listed as a Group are not used in the actual reporting of results and therefore do not have a distinct code number'),
(10288, 'The Code will be R905, the Identifying Code value that was entered for the Discrete Result'),
(10289, 'The code you entered was not valid'),
(10290, 'The compatible staged US Extension SNOMED package has already been installed.'),
(10291, 'The Contacts cell has various bits of contact information like phone numbers, email etc'),
(10292, 'The Continuity of Care Document (CCD) and Continuity of Care Record (CCR) were both selected as acceptable formats to extract information for clinical care summaries as a part of Meaningful Use Stage 1'),
(10293, 'The Continuity of Care Record (CCR) has been developed jointly by ASTM International - an organization that is involved in the development and delivery of voluntary consensus, the Massachusetts Medical Society (MMS), the Health Information Management and Systems Society (HIMSS), the American Academy of Family Physicians (AAFP), and the American Academy of Pediatrics'),
(10294, 'The Continuity of Care Record (CCR) is the clinical record of the patient’s current and historical health care status'),
(10295, 'The core dataset consists of'),
(10296, 'The corresponding private key'),
(10297, 'The created report can contain as much or as little information based on the need'),
(10298, 'The Current Authentication Method for the logged in user section will now feature the activated methods'),
(10299, 'The Current Authentication Method lists all the methods that are active'),
(10300, 'The custmomized Fee Sheet can be used. If and when you come across a code that is not there in the custom \'Select Codes\' section you can always use the \'Search for Additional Codes\' section'),
(10301, 'The Custom Favorite Item Tier should be the direct descendant or child of the relevant Custom Favorite Group'),
(10302, 'The custom grouping will also let you group two recognized panel of tests into a custom group and thus order them together, e.g. a custom group of Preop Labs may contain two panels, CBC and Renal Panel'),
(10303, 'The dashboard is the central location for convenient access the patient\'s medical record'),
(10304, 'The Dashboard page is divided into three sections'),
(10305, 'The data integrity test failed for this form'),
(10306, 'The data section of the dashboard page lists all pertinent items related to a patient'),
(10307, 'The dated reminder will start to appear 5 days before the reminder date under Dated Reminders '),
(10308, 'The default code type to search for in the Fee Sheet.'),
(10309, 'The default fee sheet can be modified and customized to make it more useful.'),
(10310, 'The default fee sheet is divided into several sections and is designed to be filled from top to bottom with the save button at the very end.'),
(10311, 'The default form can be customized by editing it in Administration > Layouts'),
(10312, 'The default has two buttons that is set for \'New Patient\' and \'Established\' patient'),
(10313, 'The default installation has six such groups - Accounting, Administrators, Clinicians, Emergency Login, Front Office and Physicians.'),
(10314, 'The default installation has the following items'),
(10315, 'The default installation lists 5 types of issues that can be documented'),
(10316, 'The default installation will not make the phone call automatically'),
(10317, 'The default is \'Standard\' usually used to reflect rates charged for insurance billing. You can have a different amount charged for credit card payment and for cash payment'),
(10318, 'The default is Normal, i.e. it is visible to everyone. Selecting High will restrict it to users belonging to the Physicians and Administrators groups by default'),
(10319, 'The default issue type is set to Problem'),
(10320, 'The default messaging center is divided into three sections - Messages, Reminders and Recalls'),
(10321, 'The default values for the rendering providers can be set'),
(10322, 'the Denial code is'),
(10323, 'the Denial Group code is'),
(10324, 'The Description column displays the short description that was entered, Serum chemistry tests'),
(10325, 'The Description column will reflect the description value that was entered previously'),
(10326, 'The Description should say Serum Uric Acid result'),
(10327, 'The Description will detail the type of payment or adjustment - Cash, Check, Electronic etc '),
(10328, 'The destination form was closed'),
(10329, 'The destination form was closed.'),
(10330, 'The destination form was closed; I cannot act on your selection.'),
(10331, 'The difference between the two is that for a panel of tests that are ordered together the individual tests are represented by Discrete Result only and these tests cannot be ordered separately unless they have also been setup as single tests'),
(10332, 'The Discrete result Tier must be the direct descendant or child of a Procedure Order Tier for proper display of results'),
(10333, 'The Discrete Results for each panel will contain the names of the individual tests to hold the values of the returned results - WBC, Hemoglobin, Platelets, Sodium, Potassium etc'),
(10334, 'The display window can be resized by clicking and dragging the bottom right corner of the window'),
(10335, 'The Each Appointment option will allow a new encounter regardless of same day visit.'),
(10336, 'The Encounter Preview button is useful for showing encounter type layout forms as seen when using form in an encounter. Note, this feature is only useful for showing encounter forms and won\'t display system forms like Demographics'),
(10337, 'The Encounters Section will display the date of encounter as well as the presenting complaint'),
(10338, 'The end result was a confusing collection of documents containing ambiguous and/or conflicting information'),
(10339, 'The Enter Details pop-up box will open in the Add Mode'),
(10340, 'The Enter Provider Details pop-up will be visible'),
(10341, 'The entire collection of ACOs forms the Access Control List (ACL).'),
(10342, 'The entity for a Custom Favorite Item is the entity chosen for the Custom Favorite Group and cannot be changed'),
(10343, 'The entity performing this procedure'),
(10344, 'The Entries contain data used for further computer processing'),
(10345, 'The entries highlighted in yellow can be ordered as a test or procedure those highlighted in pink can be ordered as a Custom Group'),
(10346, 'The EP, eligible hospital or CAH who receives a patient from another setting of care or provider of care or believes an encounter is relevant should perform medication reconciliation.'),
(10347, 'The EP, eligible hospital or CAH who transitions their patient to another setting of care or provider of care or refers their patient to another provider of care should provide summary of care record for each transition of care or referral (Measure A).'),
(10348, 'The EP, eligible hospital or CAH who transitions their patient to another setting of care or provider of care or refers their patient to another provider of care should provide summary of care record for each transition of care or referral (Measure B).'),
(10349, 'The EP, eligible hospital or CAH who transitions their patient to another setting of care or provider of care or refers their patient to another provider of care should provide summary of care record for each transition of care or referral.'),
(10350, 'The event(s) have been approved.'),
(10351, 'The event(s) have been hidden.'),
(10352, 'The exported data appears in the text area below.  You can copy and paste this into an email or to any other desired destination.'),
(10353, 'The exported data appears in the text area below. You can copy and paste this into an email or to any other desired destination (or) download the below link.'),
(10354, 'The exported data appears in the text area below. You can copy and paste this into an email or to any other desired destination.'),
(10355, 'The exported data appears in the text area below. You can copy and paste this into an email or to any other desired destination.{{MARK FOR DELETION DURING NEXT TRANSLATION BUILD}}'),
(10356, 'The features of a MedEx enabled installation are explained in this video'),
(10357, 'The file cannot be generated again. Do you want to proceed?'),
(10358, 'The file could not be saved to CouchDB.'),
(10359, 'The file could not be succesfully renamed, this error is usually related to permissions problems on the storage system.'),
(10360, 'The file could not be succesfully stored, this error is usually related to permissions problems on the storage system'),
(10361, 'The filter section can be hidden or revealed by clicking the arrowhead  on the bottom right '),
(10362, 'The filtered results will show up in the section below it'),
(10363, 'The finder table is grouped by past procedures then diagnosis code. Although there may be duplicate dx codes, they will be grouped with the appropriate procedure making building diagnoses list easier.'),
(10364, 'The first (\"target\") chart is the one that is considered the most complete and accurate. Demographics, history and insurance sections for this one will be retained.'),
(10365, 'The first column contains the Group/Category name that will be displayed on the button'),
(10366, 'The first column is the name that you gave this entry, i.e. Serum Chemistry. A vertical bar will precede the actual name. That indicates that there are no descendants or children to this entry'),
(10367, 'The first four sections deal with creating procedure orders in a structured manner in order to facilitate easy ordering of tests and entering the returned results manually'),
(10368, 'The first line will show the Encounter date and Reason as well as the Provider for that encounter'),
(10369, 'The first section lets you either link this message to a patient if so desired.'),
(10370, 'The first Segment in every HL7 Message is always the Message Header, a Segment that conveys the metadata of the message like who sent it and when. The Message header is indicated in the first three letters of the segment as MSH'),
(10371, 'The first step is signing up for a production Direct messaging account with EMR Direct by registering on their website'),
(10372, 'The first step is to download the SNOMED CT release. Access to SNOMED CT is provided by IHTSDO and their member countries. For more information see'),
(10373, 'The first step is to download the VALUESET release. Access to VALUESET is provided by NLM. Only valueset for Eligible Professionals need to be downloaded and it should be downloaded in XML format from Sorted By CMS ID column. For more details see the below link'),
(10374, 'The first step is to open an account with the Unified Medical Language System web site'),
(10375, 'The first step is to plan what your Fee Sheet \'Select Codes\' section should display'),
(10376, 'The first step is to select a Transaction type'),
(10377, 'The first step would be to create a top level entry. Do so by clicking on Add Top Level button'),
(10378, 'The first tab is the referral tab that constitutes the referral being made'),
(10379, 'The first two numbers in the first and second colum will be used to determine the sort order of the buttons and the lists that are present in the popup'),
(10380, 'The following calendar event has been added:'),
(10381, 'The following calendar event has been modifed:'),
(10382, 'The following categories will be removed from your category List'),
(10383, 'The following database release is currently installed'),
(10384, 'The following documents were attached to this Direct message:'),
(10385, 'The following EDI file failed save to archive'),
(10386, 'The following EDI file has been uploaded'),
(10387, 'The following EDI file upload failed to open'),
(10388, 'The following Emergency Login User is activated:'),
(10389, 'The following errors occurred'),
(10390, 'The following field has an invalid value'),
(10391, 'The following fields are empty.'),
(10392, 'The following fields are required'),
(10393, 'The following fields have to be filled to send a request.'),
(10394, 'The following fields have to be filled to send request.'),
(10395, 'The following International Snomed Release languages are supported'),
(10396, 'The following occurred'),
(10397, 'The following problems have the same diagnosis codes. Encounter issues will not be updated. Please use the encounter interface instead.'),
(10398, 'The following steps will help customize the Fee Sheet to mimic the old paper superbill with a list of CPT4 and ICD codes arranged in categories'),
(10399, 'The group (ARO) that you created will now appear in alphabetical order in the \'Groups and Access Controls\' section.'),
(10400, 'The Header defines the context for the clinical document as a whole'),
(10401, 'The header section will reveal patient specific information across most pages related to the patient\'s medical record'),
(10402, 'The Health Insurance Claim Form is often referred to by its form number CMS 1500 (HCFA 1500)'),
(10403, 'The help file is divided into the following sections'),
(10404, 'The help file there will guide you on further steps in setting up the lab tests'),
(10405, 'The help icon will let you access context sensitive help for each of the pages accessed'),
(10406, 'The hostname of the ATNA audit repository machine.'),
(10407, 'The hostname or URI of your LDAP or Active Directory server.'),
(10408, 'The Identifying Code has to be unique in order for the results to display correctly, you could just use R905 as an example'),
(10409, 'The Identifying code has to be unique, if sending to an external lab the vendor supplied Identifying Code has to be entered. We will enter an arbitrary unique value - WWT01'),
(10410, 'The Identifying Code is a vendor-specific code identifying this procedure or result. You can see examples of it in the paper lab slips that the labs use'),
(10411, 'The Identifying Code is essential for the proper display and tabulation of results'),
(10412, 'The Identifying Code of R34392-1, an arbitrary number, in this case the Identifying Code preceded by R to indicate result and succeeded by 1 to indicate the first in the sequence, it could be anything unique you choose'),
(10413, 'The information entered here is used to display a summary of the encounter. It is also used for billing purposes'),
(10414, 'The information entered in this form will be used to complete a paper claim'),
(10415, 'The information provided in the New Encounter Form and Fee Sheet in openEMR is used to generate the paper claim as well as electronic claims'),
(10416, 'The initial efforts led to the creation of duplicative and conflicting Implementation Guides (IGs) published by different standards organizations'),
(10417, 'The initial screen lets you select a method by offering you these two options.'),
(10418, 'The initial window is the invoice search page.  At the top you may enter a source (e.g. check number), pay date and check amount.  The reason for the source and pay date is so that you don\'t have to enter them over and over again for each claim.  The amount that you enter will be decreased for each invoice that is given part of the payment, and hopefully will end at zero when you are done.'),
(10419, 'The input should be a CSV file with 3 columns: layout ID, code type and code.'),
(10420, 'The installation directory needs to be created.'),
(10421, 'The installed International SNOMED version is not compatible with the staged US Extension SNOMED package.'),
(10422, 'The installed International SNOMED version is out of date and not compatible with the staged US Extension SNOMED file.'),
(10423, 'The installed version and the staged files are the same.'),
(10424, 'The installed version is a more recent version than the staged files.'),
(10425, 'The Instruction manual on how to fill the CMS 1500 form can be found here'),
(10426, 'The IP address of your domain controller(s).'),
(10427, 'The Issues can be entered in one of two ways'),
(10428, 'The Issues section will display all the issues entered for the patient and will display the type of issue, its title and a description'),
(10429, 'The items listed in the \'Active\' column delineate the privileges of this group (ARO) and constitutes this group\'s Access Control List (ACL).'),
(10430, 'The items that have asterisks after them are mandated'),
(10431, 'The label that appears to the user on the form'),
(10432, 'The last cell on the line in Encounter'),
(10433, 'The last line of this encounter block will give the encounter totals of Charges, Payments, Adjustments and the Balance'),
(10434, 'The last section deals with electronic orders'),
(10435, 'The last visit date will automatically be filled'),
(10436, 'The latest version is FHIR – Fast Healthcare Interoperability Resources – is a next generation standards framework created by HL7. This is gaining popularity but has not yet been widely implemented'),
(10437, 'The legacy code finder is still available for codes not found in this finder or code list editing.'),
(10438, 'The length should not exceed the following number of characters'),
(10439, 'The log entry with following id has been deleted'),
(10440, 'The log table will show a list of both messages and dated reminders if any'),
(10441, 'The LOINC code for serum uric acid is 3084-1, LOINC refers to it as Urate in Serum or Plasma'),
(10442, 'The merge will not run unless SSN and DOB for the two charts are identical. DOBs cannot be empty.'),
(10443, 'The message could not be sent at this time.'),
(10444, 'The message status will be New as it a new message that is being created'),
(10445, 'The messages that were sent by the user on that day will be displayed in the table below'),
(10446, 'The messaging center conveniently consolidates communications options in one place'),
(10447, 'The messaging center will open with the Messages tab activated and will display the logged in user\'s messages as indicated by the caption My Messages'),
(10448, 'The minimum information required to create a new encounter is to select a visit category'),
(10449, 'The miscellaneous billing options for HCFA-1500 form is used to provide additional information for an individual claim'),
(10450, 'The most common method is called 2-Factor Authorization or 2FA'),
(10451, 'The most important issue that needs to be addressed is who you are trying to connect to and what needs to happen at their end. Most major labs will not deal with individuals practices, in such cases a third party vendor will act an an intermediary who will be responsible for setting up a connection between the practice and the lab through their (the intermediary\'s) interface'),
(10452, 'The most popular maker of Security Keys is Yubico it offers regular USB versions as well as those made for devices that require USB-C connections, such as Apple’s newer Mac OS systems'),
(10453, 'The most popular open-source Electronic Health Record and Medical Practice Management solution.'),
(10454, 'The Name cell contains the name, date of birth, patient ID and date of last visit'),
(10455, 'The Narrative Block contains information that is rendered as readable text'),
(10456, 'The National Uniform Claim Committee (NUCC) is responsible for the maintenance of the 1500 Claim Form'),
(10457, 'The Nav Bar allows one to quickly navigate to various parts of the patient\'s medical record'),
(10458, 'The new category will be a sub-category of '),
(10459, 'The new list'),
(10460, 'The new password can not be the same as the current password.'),
(10461, 'The new password fields are not the same.'),
(10462, 'The new password is the same as the current password. Click Okay to accept anyway.'),
(10463, 'The NewCrop eRx Partner Name, NewCrop eRx Name and NewCrop eRx Password will be provided by the vendor'),
(10464, 'The next box is Body Site, not relevant for a blood test but may be more useful in say tracking injections or ordering X-rays'),
(10465, 'The next few lines will list all the E/M and CPT codes that were billed, one line per code'),
(10466, 'The next group consists of the ICD codes'),
(10467, 'The next three cells are the action cells that let you perform some recall activity'),
(10468, 'The next two boxes denoting the Identifying Code and Standard Code are very important'),
(10469, 'The Notes cell lets you add a note to an action that you take in the 3 action cells or just a note without any association to the action'),
(10470, 'The Number of Future Appointments to Display on the Statement.'),
(10471, 'The number of staged files is incorrect. Only place the file that you wish to install/upgrade to.'),
(10472, 'The number of staged files is incorrect. Only place the files that you wish to install/upgrade to.'),
(10473, 'The Office: Phone cell lets you indicate a phone call was made'),
(10474, 'The option Span Entire Row is useful when using Static Text in allowing text to wrap and span entire row regardless of column settings. Another use could be to create an empty row as spacer or add additional option Add Bottom Border to create a line break.Only Bottom Border Row is useful here.'),
(10475, 'The options for Outline and Border will either wrap a row in thin border or add a border to the bottom of an item.'),
(10476, 'The order in which the Category, Procedure or Result appears'),
(10477, 'The other 4 transaction types are simple transaction types - Patient Request, Physician Request, Legal and Billing'),
(10478, 'The other Segments contain additional information in a strictly structured fashion'),
(10479, 'The page will be redirected to Demographics. You can edit the country field and clickthrough to NewCrop again.'),
(10480, 'The page you requested was not found. Please check that you typed the URL correctly.'),
(10481, 'The parts of the program to which access can be controlled are called Access Control Objects (ACOs). '),
(10482, 'The password must be at least eight characters, and should'),
(10483, 'The password you entered is invalid'),
(10484, 'The Past Ocular History (POH) and Past Medical History (PMH) are negative.'),
(10485, 'The patient already registered to the group'),
(10486, 'The patient record request has been recorded.'),
(10487, 'The patient reminders have been sent'),
(10488, 'The patient reminders have been updated'),
(10489, 'The patient was not logged in when submitting this form'),
(10490, 'The patient will have to change their credentials at the first login'),
(10491, 'The Patients Rights'),
(10492, 'The Payment, Adjustment and Balance will be blank as these lines reflect only the charges being made'),
(10493, 'The payments posted cannot go below this date.This ensures that after taking the final report nobody post for previous dates.'),
(10494, 'The pop-up form heading will now read Enter Details for Individual Custom Favorite Item'),
(10495, 'The portal has data for this patient and form. Load it now?'),
(10496, 'The previous message can however be viewed by clicking on the View Log button'),
(10497, 'The Procedure Order page lists the following procedure types'),
(10498, 'The procedure request needs to be structured in a hierarchical manner and a unique identifying code assigned to it that will then be used to track and tabulate the result'),
(10499, 'The Procedures module is used to place and review orders'),
(10500, 'The process for forwarding the message is quite similar to that of creating a new message'),
(10501, 'The Progress cell lists all the actions along with any associated notes if any'),
(10502, 'The providers office has been notified. Thank you.'),
(10503, 'The public access key for secure tokenize of credit or debit card authorization. PCI compliance'),
(10504, 'The QR code also contains the user name and needs to be captured by the user on to their mobile device using an authenticator app'),
(10505, 'The raw data feed release can be obtained from'),
(10506, 'The Recall cell has the date of recall and the reason for recall'),
(10507, 'The Recalls tab has two buttons New Recall and Recall Board'),
(10508, 'The Recommendation Tier is optional'),
(10509, 'The remaining information below applies only if you are posting manually, or if you are doing manual corrections.'),
(10510, 'The reminder for the current day will have an orange exclamation icon'),
(10511, 'The reminders that are past the due date will have a red exclamation triangle icon'),
(10512, 'The requested document is not present at the expected location on the filesystem or there are not sufficient permissions to access it'),
(10513, 'The requested document is not present at the expected location on the filesystem or there are not sufficient permissions to access it.'),
(10514, 'The rest may be left blank if so preferred'),
(10515, 'The rest of the boxes related to the NewCrop eRx service can be left at default values'),
(10516, 'The Result Line will begin with a Name Serum Uric Acid that will be preceded by a vertical bar indicating no successors or children'),
(10517, 'The results could not be loaded'),
(10518, 'The results, Discrete Result, will be the fruit on this branch and we will create one such Discrete Result for each of the component tests, Sodium, Potassium, Chloride and Carbon Dioxide'),
(10519, 'The rows containing the CPT4 codes has several boxes that need to be filled to ensure proper billing of claims'),
(10520, 'The saved Medical Problem will now be listed as a single line in the main Issues page under Medical Problems'),
(10521, 'The screen refresh time in Seconds for the Patient Flow Board Screen.'),
(10522, 'The search field cannot be empty. Please enter a search term'),
(10523, 'The Search results are displayed in the section \'Search Results\'.'),
(10524, 'The second (\"source\") chart will have its demographics, history and insurance sections discarded.  Its other data will be merged into the target chart.'),
(10525, 'The second column contains the options that will be displayed when the button is clicked'),
(10526, 'The second column is Category and should say Top Group to indicate its position as the top item in this particular hierarchical tree that we will be constructing'),
(10527, 'The second section lets you choose to whom you wish to send the message'),
(10528, 'The second tab, is somewhat ambiguously named as Counter-Referral, is the place to document the received reply to the referral being made'),
(10529, 'The section labeled \'Invoice Search\' is where you put in your search parameters. You can search by patient name, chart number, encounter number or date of service, or any combination of these. You may also select whether you want to see all invoices, open invoices, or only invoices that are due (by the patient). Click the \'Search\' button to perform the search.'),
(10530, 'The selected code will be added to the coding text-box and the Description on the code will be added to the Title text-box'),
(10531, 'The selected codes will then appear in the \'Selected Fee Sheet Codes and Charges for Current Encounter\' section'),
(10532, 'The selections in this section will be used in charging for this encounter'),
(10533, 'The sequence is the order in which this top order item will be displayed on the page, 1 to denote the first top level group'),
(10534, 'The server address will be of the form '),
(10535, 'The setup for lab tests will be described in detail, minor modification to these steps will be needed to setup in-office procedures and other procedure types'),
(10536, 'The somewhat ambiguously named Counter-Referral is the space where the reply to the referral being made can be documented'),
(10537, 'The Source and Date columns are copied from the first page, so normally you will not need to touch those.  You can put a payment amount in the Pay column, an adjustment amount in the Adjust column, or both.  You can also click the \"W\" on the right to automatically compute an adjustment value that writes off the remainder of the charge for that line item.'),
(10538, 'The Source and Date columns are copied from the first page, so normally you will not need to touch those. You can put a payment amount in the Pay column, an adjustment amount in the Adjust column, or both. You can also click the \'W\' on the right to automatically compute an adjustment value that writes off the remainder of the charge for that line item.'),
(10539, 'The Specimen Type will be Blood, this drop-down list can also be edited as needed'),
(10540, 'The staged files release dates are not all from the same release.'),
(10541, 'The staged files revisions are not all from the same release.'),
(10542, 'The staged US Extension SNOMED package can not be installed until after the International SNOMED package has been installed.'),
(10543, 'The Standard Code is optional if using a local i.e. practice based lab but recommended when using an external lab'),
(10544, 'The Standard Code will be the LOINC code if sending to an external lab or can be any unique number. We will enter the LOINC code for Fasting Glucose 1558-6'),
(10545, 'the status of three chronic/inactive problems'),
(10546, 'The subsequent lines will indicate the details of the payments received, adjustments made and the balance due'),
(10547, 'The suffix of the account.'),
(10548, 'The system does not permit uploading files of with size 0.'),
(10549, 'The system does not permit uploading files with MIME content type'),
(10550, 'The system is also designed to parse incoming HL7 messages and place the results in the appropriate patient chart, failing which it will give you an opportunity to manually link it to a patient chart'),
(10551, 'The system is designed to both place orders electronically and receive the results electronically'),
(10552, 'The third column will contain the CPT code'),
(10553, 'The Tier column value will be 1 indicating it is a top level item'),
(10554, 'The Tier column value will be 3, indicating this is a successor or child to the first line above it having a value of 2'),
(10555, 'The Tier column will be 2, indicating this is a successor or child to the first line above it having a value of 1'),
(10556, 'The Tier Column would be 1 indicating it is the Top Group'),
(10557, 'The time granularity of the calendar and the smallest interval in minutes for an appointment slot.'),
(10558, 'The Title will be the name of the new group (ARO) that you are going to create.'),
(10559, 'The top group consists of charges for the encounter - one row per charge'),
(10560, 'The top portion of the Recall Board allows the setting of filters to display specified data'),
(10561, 'The traditional mechanism of using a login and password is no longer considered to be sufficient to prevent an unauthorized user from gaining access to the application'),
(10562, 'The translated label that will appear on the form in current language'),
(10563, 'The translated Title that will appear in current language'),
(10564, 'The translation of description in current language'),
(10565, 'The translation tables are synchronized.'),
(10566, 'The type of this entity'),
(10567, 'The Type will be blank'),
(10568, 'The Type will Insurance or Patient'),
(10569, 'The Type would be Allergy'),
(10570, 'The Type would be Dental Issues'),
(10571, 'The Type would be Medication'),
(10572, 'The Type would be Problem indicating a medical problem'),
(10573, 'The Type would be Surgery'),
(10574, 'The UB-04 (CMS 1450) is a claim form used by hospitals, nursing facilities, in-patient, and other facility providers'),
(10575, 'The Unit column would be blank'),
(10576, 'The Units will be 1 as each code is billed only once for the encounter'),
(10577, 'The upcoming reminders have a green exclamation icon'),
(10578, 'The USB devices communicate with the host computer using the human interface device (HID) protocol, essentially mimicking a keyboard'),
(10579, 'The USB key needs to be plugged in to the computer and then registered with OpenEMR'),
(10580, 'The USB key takes this the nonce supplied by the application after confirming the checksum and generates a private key using the process similar to that used in the registration process'),
(10581, 'The user\'s actual privileges are determined by the access to the parts of the program i.e. (ACO) that each group (ARO) has.'),
(10582, 'The Username fields are not the same.'),
(10583, 'The Username is your Direct Address'),
(10584, 'The values in the drop-down box can be edited by following the steps outlined in the Procedures > Providers help file'),
(10585, 'The values listed here will show up in the drop-down boxes that will be used to process orders'),
(10586, 'The vendor-specific code identifying this procedure or result'),
(10587, 'The vendor-specific code identifying this procedure or result. If no vendor enter any arbitrary unique number, preferably a 5 digit zero-padded e.g. 00211'),
(10588, 'The very first step would be install the ICD codes. Go to Administraion > Other > External Data Loads. Select the Code sets you want to install and click Install'),
(10589, 'The very last line of this report will give the Grand Total of Charges, Payments, Adjustments and the Balance'),
(10590, 'The Weno Exchange is well integrated with openEMR and is not subscription based'),
(10591, 'The X12 files as well as the resulting HTML output reports are archived in the \"era\" subdirectory of the main OpenEMR installation directory.  You will want to refer to these archives from time to time.  The URL is '),
(10592, 'The X12 files as well as the resulting HTML output reports are archived in the \'era\' subdirectory of the main OpenEMR installation directory. You will want to refer to these archives from time to time.'),
(10593, 'The zip file will contain the following items'),
(10594, 'Theme'),
(10595, 'Theme of the tabs layout (need to logout and then login to see this new setting).'),
(10596, 'Theme of the tabs layout (need to logout and then login to see this new setting). Note this is only applicable if use the Light or Manila general theme below.'),
(10597, 'Then pass it\'s name as a value to the element'),
(10598, 'Then press the flashing button on your key within 1 minute to complete registration'),
(10599, 'Then press the flashing button on your key within 1 minute.'),
(10600, 'Then the raw data feed release can be obtained from'),
(10601, 'Therapeutic Injections'),
(10602, 'Therapy'),
(10603, 'Therapy group'),
(10604, 'Therapy Group'),
(10605, 'Therapy Group Encounter'),
(10606, 'Therapy Group Finder'),
(10607, 'There are'),
(10608, 'There are 10 settings that are related to procedures included in the standard release of openEMR'),
(10609, 'There are 3 forms in the Core category - Demographics, Facility Specific User Information and History and all 5 forms in Transactions that can be edited '),
(10610, 'There are currently no prescriptions'),
(10611, 'There are errors with your submission.  These are outlined below.'),
(10612, 'There are four message statuses - New, Forwarded, Read and Done'),
(10613, 'There are multiple options regarding patient portals and information on how to setup the patient portal is available here'),
(10614, 'There are multiple patients with portal login'),
(10615, 'There are nine C-CDA templates that are currently defined'),
(10616, 'There are no charts checked out.'),
(10617, 'There are no clients registered in the system'),
(10618, 'There are no disclosures recorded for this patient.'),
(10619, 'There are no Glasses or Contact Lens Presciptions on file for this patient'),
(10620, 'There are no messages on file for this patient.'),
(10621, 'There are no New Submissions'),
(10622, 'There are no notes on file for this patient.'),
(10623, 'There are no record(s) found.'),
(10624, 'There are no transactions on file for this patient.'),
(10625, 'There are several versions of HL7, versions 2.x and version 3'),
(10626, 'There are several ways to customize the fee sheet. It depends on how comfortable you are in adding information to the database itself'),
(10627, 'There are three actions that are possible - Create a New Dated Reminder, Forward and Set as Completed'),
(10628, 'There are three actions that can be performed here - edit an existing group (ARO), add a new group (ARO) or delete an existing group (ARO).'),
(10629, 'There are three main types of reports that can be created, two pertain to continuity of ongoing care - Continuity of Care Record (CCR) and Continuity of Care Document (CCD) and the third - Patient Report that creates a document containing various sections of the patient\'s medical record including demographics, medical issues, procedures and encounters. It also has the ability to include all or any of the scanned documents in the patient\'s chart'),
(10630, 'There are three options available when you create a Continuity of Care Document (CCD)'),
(10631, 'There are three options available when you create a Continuity of Care Record (CCR)'),
(10632, 'There are three sets of actions that can be performed on this page, in addition the form can be customized'),
(10633, 'There are two buttons that enable you to Check or Clear all available check-boxes'),
(10634, 'There are two options for the records that will be created'),
(10635, 'There are two sections that are visible'),
(10636, 'There are two sources that can be searched - MedlinePlus Connect or Local Content'),
(10637, 'There are two ways this can be accomplished, either by the manual method, by searching and entering data for individual invoices or by uploading an entire electronic remittance advice ERA file.'),
(10638, 'There are various selections to be filled, the minimum data needed to successfully save the referral is Referral Date, Refer To and Reason'),
(10639, 'There has been a mail error sending to'),
(10640, 'There is a lab order'),
(10641, 'There is a Post error'),
(10642, 'There is already a category named'),
(10643, 'There is already a subcategory named'),
(10644, 'There is already an item named'),
(10645, 'There is already an open patient record request.'),
(10646, 'There is no COA entry for AR account '),
(10647, 'There is no COA entry for cash account '),
(10648, 'There is no COA entry for income account '),
(10649, 'There is no current patient'),
(10650, 'There is no local content for this topic.'),
(10651, 'There is no match for invoice id'),
(10652, 'There is no match for invoice id = '),
(10653, 'There is no parts entry for services ID '),
(10654, 'There is no patient with portal login'),
(10655, 'There was a problem sending the message.'),
(10656, 'There was an error while processing your request.'),
(10657, 'There was an OpenEMR SQL Escaping ERROR of the following string'),
(10658, 'Therefore each user has to individually activate this feature'),
(10659, 'These ACOs are grouped into ten broad categories that are part of the default installation. They are - Administration, Accounting, Patient Information, Encounter Information, Squads, Sensitivities, Lists, Placeholder, Nation Notes and Patient Portal. Each of these categories has one or several sub-categories that provide access to specific parts of the program.'),
(10660, 'These are free and can be downloaded from the respective app store for ios and android devices'),
(10661, 'These are the 2012 links'),
(10662, 'These are used to populate fields 3 and 4 in the HL7 MSH - message header'),
(10663, 'These are used to populate fields 5 and 6 in the HL7 MSH - message header'),
(10664, 'These credentials will be used by the patient to login to the patient portal for the first time'),
(10665, 'These custom groups are application specific and not user specific'),
(10666, 'These entries will be used to define the Providers in the Procedures module'),
(10667, 'These groups (AROs) can then be given a set of privileges by assigning different categories (ACOs).'),
(10668, 'These items can be edited if the user has sufficient privilege'),
(10669, 'These lists are used to determine who can access what in openEMR. They work in a top down manner, i.e. initially everybody is denied access to those parts of the program controlled by the ACL.'),
(10670, 'These numbers need to match to successfully authenticate the user'),
(10671, 'These Patient notes are sent without an assigned patient'),
(10672, 'These sub-categories represent the actual Access Control Objects (ACOs).'),
(10673, 'These templates are text only and will not render any other formatting other than pure text.'),
(10674, 'These three steps are essential before orders can be placed and received results linked to a patient\'s chart'),
(10675, 'These Transactions are generally used to document events that have already occurred'),
(10676, 'These two actions are available for all transactions'),
(10677, 'They are displayed in rows and are sub divided into three groups'),
(10678, 'They are Electrolyte Panel, Basic Metabolic Panel, Comprehensive Metabolic Panel, Renal Function Panel, General Health Panel, Obstetric Panel, Acute Hepatitis panel, Hepatic Function Panel and Lipid Panel'),
(10679, 'They are listed in ascending order by encounter date'),
(10680, 'They do not share the vulnerabilities of SMS based methods and generally do not require an internet connection except to keep their clocks synchronized with the current time'),
(10681, 'They will be provided by the facility that you will be connecting to'),
(10682, 'Thickened Right:'),
(10683, 'Thigh'),
(10684, 'Thigh + hamstring'),
(10685, 'Things that back office can only read'),
(10686, 'Things that back office can read and enter but not modify'),
(10687, 'Things that back office can read and modify'),
(10688, 'Things that back office can read and partly modify'),
(10689, 'Things that clinicians can only read'),
(10690, 'Things that clinicians can read and enter but not modify'),
(10691, 'Things that clinicians can read and modify'),
(10692, 'Things that clinicians can read and partly modify'),
(10693, 'Things that front office can only read'),
(10694, 'Things that front office can read and enter but not modify'),
(10695, 'Things that front office can read and modify'),
(10696, 'Things that front office can read and partly modify'),
(10697, 'Things that physicians can only read'),
(10698, 'Things that physicians can read and enter but not modify'),
(10699, 'Things that physicians can read and modify'),
(10700, 'Things that physicians can read and partly modify'),
(10701, 'Third'),
(10702, 'Third account message'),
(10703, 'This account already exists.'),
(10704, 'This action CANNOT be undone.'),
(10705, 'This action cannot be undone.'),
(10706, 'This action cannot be undone. Are you sure you wish to delete this form?'),
(10707, 'This action will be logged'),
(10708, 'This action will reset your claim!'),
(10709, 'This administration page is for managing the list of OAUTH2 registered applications that are authorized to use the APIs.'),
(10710, 'This Allows a Date Range to be Selected in Patient Flow Board.'),
(10711, 'This appointment slot is already used, please choose another.'),
(10712, 'This appointment slot is already used, use it anyway?'),
(10713, 'This appointment slot is not available, please choose another.'),
(10714, 'This Calendar Year'),
(10715, 'This claim has been canceled.'),
(10716, 'This claim has been closed.'),
(10717, 'This claim has been denied.Reason:-'),
(10718, 'This claim has been forwarded to next level.'),
(10719, 'This claim has HCFA 1500 miscellaneous billing options'),
(10720, 'This client is currently disabled'),
(10721, 'This code is optional if only using manual lab data entry'),
(10722, 'This code is optional, but is a good practice to do so.'),
(10723, 'This code is optional, but is a good practice.'),
(10724, 'This code is optional.'),
(10725, 'This code type does not accept relations.'),
(10726, 'This completes a basic setup and will let use use the Fee Sheet to document charges for billing purposes'),
(10727, 'This context contains categories, which will be deleted. Do you still want to continue?'),
(10728, 'This Conversation'),
(10729, 'This Custom Favorite item can only be sent to the displayed lab, the one that was chosen in the Custom Favorite Group'),
(10730, 'This determines how appointments display on the calendar.'),
(10731, 'This determines which color schema used for appointment'),
(10732, 'This dialog is generated from patient problem diagnoses and the accumulated diagnoses of all past procedures.'),
(10733, 'This Enables provider in line item in the fee sheet'),
(10734, 'This Encounter'),
(10735, 'This encounter has been billed. If you need to change it, it must be re-opened.'),
(10736, 'This encounter has been billed. To make changes, re-open it or select Add More Items.'),
(10737, 'This encounter is locked. No new forms can be added.'),
(10738, 'This EOB item does not meet minimum print requirements setup in Globals or there is an unknown error.'),
(10739, 'This fax has already been sent.'),
(10740, 'This feature is not yet available'),
(10741, 'This feature is used to add patients to a recall list, i.e those that need an appointment at a future date but the appointment has not yet been scheduled'),
(10742, 'This feature is very experimental and not fully tested. Use at your own risk!'),
(10743, 'This feature will allow the default POS facility code to be overridden from the encounter.'),
(10744, 'This feature will allow the default POS facility code to be overriden from the encounter.'),
(10745, 'This field is used to decide whether to process the message as defined in HL7 Application (level 7) Processing rules'),
(10746, 'This form allows you to enter details of a visit or patient interaction'),
(10747, 'This fully functional Recall Board included in the default install can be used to add patients to the recall list'),
(10748, 'This gives you the option to delete any unwanted individual test in the group'),
(10749, 'This has to entered once in this form'),
(10750, 'This help file is divided into four sections'),
(10751, 'This help file is divided into the following sections'),
(10752, 'This ICD code can be automatically added to to Problem List by checking the P (Problem) checkbox. This selected item will show up in the Issues section under Medical problems'),
(10753, 'This invoice number has been changed to '),
(10754, 'This is a child of result'),
(10755, 'This is done in Administration > Users.'),
(10756, 'This is followed by the Edit and Add columns containing a pencil icon and a + icon'),
(10757, 'This is not a valid request'),
(10758, 'This is passed to the application along with checksum value and is unique for each USB key and thereby the user who owns it'),
(10759, 'This is public information maintained by HHS/CMS. We cannot be responsible for the data received'),
(10760, 'This is required for both manual lab result entry and for electronic ordering tests and receiving results'),
(10761, 'This is required for your security as well as ours.'),
(10762, 'This is the Beginning date for the Ledger Report.'),
(10763, 'This is the chart that is to be merged into the main chart and then deleted.'),
(10764, 'This is the default Beginning date for the Patient Flow Board. (only applicable if Allow Date Range in option above is Enabled)'),
(10765, 'This is the default Ending date for the Patient Flow Board. (only applicable if Allow Date Range in option above is Enabled)'),
(10766, 'This is the default left print margin for CMS 1500. It will adjust the final printed output left or right.'),
(10767, 'This is the default left print margin for UB04. It will adjust the final printed output left or right.'),
(10768, 'This is the default top print margin for CMS 1500. It will adjust the final printed output up or down.'),
(10769, 'This is the default top print margin for UB04. It will adjust the final printed output up or down.'),
(10770, 'This is the Ending date for the Patient Flow Board Date Range. (only applicable if Allow Date Range in option above is Enabled)'),
(10771, 'This is the latest of multiple result values.'),
(10772, 'This is the main chart that is to receive the merged data.'),
(10773, 'This is the number of messages that will be displayed in the messages widget in the patient summary screen.'),
(10774, 'This is the recommended method for a non-technical user, if executed carefully will reduce configuration errors'),
(10775, 'This is where the referrals and various other simple transactions are created'),
(10776, 'This item does not have enough data to graph'),
(10777, 'This item will be displayed on the page on a single line'),
(10778, 'This key is generated by the application and is presented to the user in the form of a QR code'),
(10779, 'This key name is already in use by you. Try again.'),
(10780, 'This layout does not exist.'),
(10781, 'This layout ID already exists'),
(10782, 'This lets you manually enter the reply to the referral as structured data'),
(10783, 'This lets you set the price level for the charges and let you charge different rates for different modes of payment.'),
(10784, 'this location'),
(10785, 'This message need not necessarily be linked to a patient'),
(10786, 'This message text is not saved automatically. Copy and save it as appropriate for the content.'),
(10787, 'This method will however result in the data becoming non-structured and one would loose the ability to document the reply in an electronic format'),
(10788, 'This module is being used by '),
(10789, 'This module is in test mode. The database will not be changed.'),
(10790, 'This module is subscription based and needs to be enabled from Administration > Globals > Connectors > Enable NewCrop eRx Service'),
(10791, 'This module is well integrated with openEMR, there are however two non-subscription based alternatives, Weno and Allscripts that can be used instead'),
(10792, 'This module promotes efficient entry of EOB data.'),
(10793, 'This Month to Date'),
(10794, 'This name already exists under this parent.'),
(10795, 'This namespace already exists in database'),
(10796, 'This new category will be a sub-category of '),
(10797, 'This order was already transmitted on'),
(10798, 'This page allows you to review each of the supported external dataloads that you can install and upgrade. Each section below can be expanded by clicking on the section header to review the status of the particular database of interest.'),
(10799, 'This page deactivated for security reasons.'),
(10800, 'This page lets you configure the orders and results'),
(10801, 'This page will inline include the login page, so that we do not have to click relogin every time.'),
(10802, 'This patient already has an appointment scheduled for'),
(10803, 'This patient does not allow SMS messaging!'),
(10804, 'This patient has no activity.'),
(10805, 'This patient ID is already in use!'),
(10806, 'This portals authentication.'),
(10807, 'This product allows only one lot per warehouse.'),
(10808, 'This protocol is not implemented'),
(10809, 'This report currently only works for ICD9 codes.'),
(10810, 'This section allows you to create and remove groups and modify or grant access privileges to existing groups. Check the check box to display section'),
(10811, 'This section can be customized to group the codes into various categories'),
(10812, 'This section DOES NOT let you create new ACOs.'),
(10813, 'This section is where the codes use to charge for the visit are selected'),
(10814, 'This section lets you search for the needed code if it is not in the default or customized options in \'Select Code\' section'),
(10815, 'This section will allow the logged in user to view existing methods or to delete them '),
(10816, 'This sets the Default Calendar View, Default is Day.'),
(10817, 'This specifies the Printing of the Custom End of Day Report grouped Provider or allow the Printing of Totals Only'),
(10818, 'This specifies whether to include date in Box 31.'),
(10819, 'This specifies which revision of the form the billing module should generate'),
(10820, 'This step will generate a file which you have to save for future use.'),
(10821, 'This step will generate a file which you have to save for future use. The file cannot be generated again. Do you want to proceed?'),
(10822, 'This user is not a member of any group'),
(10823, 'This user will receive notification of new incoming Direct messages'),
(10824, 'This utility is experimental.  Back up your database and documents before using it!'),
(10825, 'This utility is experimental. Back up your database and documents before using it!'),
(10826, 'This visit begins new contraceptive use'),
(10827, 'This visit will need a GCAC form, referral or procedure service.'),
(10828, 'This was the older metric-only Vitals form, now deprecated.'),
(10829, 'This Week to Date'),
(10830, 'This will abandon your unsaved changes. Are you sure?'),
(10831, 'This will activate the CCR(Continuity of Care Record) and CCD(Continuity of Care Document) reporting.'),
(10832, 'This will allow printing of a custom Message on the statements.'),
(10833, 'This will allow printing of the Patient Billing Note on the statements.'),
(10834, 'This will allow selection of the debugging (\'dummy\') language.'),
(10835, 'This will allow the display of help modal on help enabled pages'),
(10836, 'This will allow the use of the custom End of Day report and indicate which report to use.'),
(10837, 'This will allow use of the custom Dunning Messages on the statements.'),
(10838, 'This will be a \"dry run\" with no physical data updates.'),
(10839, 'This will clear the data from all Anterior Segment Exam fields'),
(10840, 'This will clear the data from all External Exam fields'),
(10841, 'This will clear the data from all Retina Exam fields'),
(10842, 'This will copy the selected code to the Diagnosis Codes box in the underlying Enter Details for Individual Custom Favorite Item pop-up form'),
(10843, 'This will create a backup in tar format and then send it to your web browser so you can save it'),
(10844, 'This will deactivate document the encryption and decryption features, and hide them in the UI.'),
(10845, 'This will disable the Edit button on all forms whose parent encounter is e-signed'),
(10846, 'This will disable the Edit button on any form that is e-signed'),
(10847, 'This will Display the Invoice Number in the Sales Report or the Patient Name and ID or Patient Name and Invoice Number.'),
(10848, 'This will enable encryption of items that are stored on CouchDB.'),
(10849, 'This will enable encryption of items that are stored on the drive.'),
(10850, 'This will enable signing an entire encounter, rather than individual forms'),
(10851, 'This will enable signing individual forms separately'),
(10852, 'This will enable the Ability to Exclude Selected Patient Statements from Printing.'),
(10853, 'This will fill in the Title text-box as well as ICD10 code in the Coding text-box'),
(10854, 'This will force the Billing Widget in the Patient Summary screen to always be open.'),
(10855, 'This will give the user the option to lock (separate locking and signing)'),
(10856, 'This will give you the option to set different price levels when you are manually entering CPT codes'),
(10857, 'This will hide empty e-sign logs on the patient report'),
(10858, 'This will hide the Billing Widget in the Patient Summary screen'),
(10859, 'This will merge two patient charts into one.  It is useful when a patient has been duplicated by mistake.  If that happens often, fix your office procedures - do not run this routinely!'),
(10860, 'This will not prevent you from going to the e-Prescriptions site.'),
(10861, 'This Will Print the Next Appointment on the Bottom of the Patient Ledger'),
(10862, 'This will re-display the secret key via the QR code that can then be captured and stored on the new Smartphone via its authenticator app'),
(10863, 'This will register a new U2F USB key'),
(10864, 'This will reveal the Register TOTP Key section for logged in user'),
(10865, 'This will Show Aging on the custom Statement.'),
(10866, 'This will turn off use of safe apostrophe, which is done by converting \' and \" to `.(it is highly recommended that this setting is turned off and that safe apostrophe\'s are used)'),
(10867, 'This will use the custom immunizations list rather than the standard CVX immunization list.'),
(10868, 'This will use the custom Statement showing the description instead of the codes.'),
(10869, 'This will use the custom Statment showing the description instead of the codes.'),
(10870, 'Thoracic physician'),
(10871, 'Thoracic spine'),
(10872, 'Those with adequate privilege would be able to able to Delete the transaction'),
(10873, 'Thous/CU.MM'),
(10874, 'Three Months Ago'),
(10875, 'Three Months Ahead'),
(10876, 'Three or four digits at back of your card'),
(10877, 'Thrills'),
(10878, 'Throat'),
(10879, 'Throat Cancer'),
(10880, 'Throat Cancer Surgery'),
(10881, 'Thrombosis/Stroke'),
(10882, 'Thu'),
(10883, 'Thumbnail size'),
(10884, 'Thurdsay'),
(10885, 'Thursday'),
(10886, 'Thus far the tests that can be ordered were placed in the Procedure Order Tier, only one test at a time can be placed in this tier, when ordering a recognized panel of tests the entire panel of tests is grouped together as a single test e.g. Sodium, Potassium, Chloride and Carbon dioxide grouped as Electrolyte Panel. The results of the individual returned tests in the panel are recorded as Discrete Results'),
(10887, 'Thyroid normal'),
(10888, 'Thyroid Problems'),
(10889, 'Th{{Thursday}}'),
(10890, 'TIA'),
(10891, 'Tibetan Standard, Tibetan, Central'),
(10892, 'TID'),
(10893, 'Tier'),
(10894, 'Tier 1 - Group - e.g. Serum Chemistry'),
(10895, 'Tier 1 entries should be of Category Top Group'),
(10896, 'Tier 2 - Group (will display in category column as Sub Group) - e.g. Organ/Disease Panel'),
(10897, 'Tier 2 - Procedure Order - e.g. Serum Uric Acid'),
(10898, 'Tier 3 - Discrete Result - e.g. Serum Uric Acid - will hold the returned result value and Default Units, Default Range etc'),
(10899, 'Tier 3 - Procedure Order - e.g. Electrolyte Panel'),
(10900, 'Tier 4 - Discrete Result - The actual test names to hold the results returned Na, K, Cl, CO2 and Default Units, Default Range etc'),
(10901, 'Tigrinya'),
(10902, 'Time'),
(10903, 'Time Display Format'),
(10904, 'Time Increment for Add (minutes 1-60)'),
(10905, 'Time selection'),
(10906, 'Time slot is available, saving event'),
(10907, 'Time slot is open, saving event'),
(10908, 'Time Zone'),
(10909, 'Time-To-Live for Allergies SOAP Request in seconds'),
(10910, 'Time-To-Live for Medications SOAP Request in seconds'),
(10911, 'Time-To-Live for NewCrop eRx Allergies SOAP Request in seconds.'),
(10912, 'Time-To-Live for NewCrop eRx Medications SOAP Request in seconds.'),
(10913, 'Timed event'),
(10914, 'Times array (N/A)'),
(10915, 'Timestamp and Text'),
(10916, 'Timing'),
(10917, 'TIN'),
(10918, 'Tinnitus'),
(10919, 'Tips'),
(10920, 'Title'),
(10921, 'Title - The value that will be displayed - Each word to begin with an uppercase letter'),
(10922, 'Title is required'),
(10923, 'Title V'),
(10924, 'TitleCols must be a number between 1 and 999'),
(10925, 'Titles'),
(10926, 'TM\'S:'),
(10927, 'TMs/EAMs/EE, ext nose'),
(10928, 'To'),
(10929, 'to'),
(10930, 'TO'),
(10931, 'to absolute path of file'),
(10932, 'To access it click on the Recall Board menu item in the top navigation bar or click on the Recall Board button in the Message Center'),
(10933, 'To add a copay click the \'Add Copay\' button'),
(10934, 'To add messages, please click here'),
(10935, 'To add more options to the dropdown menu go to Administration > Lists > Manage Lists and select \'Price Level\' in the dropdown box and enter the types e.g: Credit Card, Cash etc.'),
(10936, 'To add notes, please click '),
(10937, 'To add notes, please click here'),
(10938, 'To Affected Area'),
(10939, 'to affected area'),
(10940, 'To allow for each procedure line to have a separate provider you have to check the \'Support provider in line item in fee sheet\' checkbox in Administration > Globals > Billing. If not checked the rendering provider in this section will be used for all claims'),
(10941, 'To authorize the patient portal for the patient go to Dashboard > Demographics > Edit > Choices and select Yes in Allow Patient Portal drop-down box and Save'),
(10942, 'To automatically open the specified form. Some sports teams use football_injury_audit here.'),
(10943, 'To be able to link this issue to an encounter click on the button to bring up the Issues and Encounters pop-up page'),
(10944, 'To Billing View'),
(10945, 'to category'),
(10946, 'To change and activate the default parameters in the Fee Sheet go to Administration > Globals > Billing'),
(10947, 'To Clinical View'),
(10948, 'To configure the lab test go to Procedures > Configuration'),
(10949, 'To copay'),
(10950, 'To create a new message click on the Add New button at the bottom'),
(10951, 'To create another panel of tests you will repeat this process but will start by creating a Procedure Order or fruit bearing branch Tier 3, for example - Acute Hepatitis panel under the main branch or Sub Group Organ/Disease Panel (Tier 2)'),
(10952, 'To date must be later than From date!'),
(10953, 'To ded\'ble'),
(10954, 'To delete any or all the selected ICD10 codes click again on the Diagnosis Codes box to bring up the Select Diagnosis Codes pop-up window'),
(10955, 'To delink just click on the item to delink and it will get delinked and will no longer be highlighted'),
(10956, 'To Dems'),
(10957, 'To disable automatic message checking go to Administration > Globals > Connectors  and set phiMail Message Check Interval to 0 (zero) '),
(10958, 'To Disable client side SSL certificates, comment above lines in Apache configuration file and set'),
(10959, 'To Disable client side SSL certificates, comment above lines in Apache configuration file and turn off the \'Enable Client SSL\' global setting in OpenEMR and restart Apache server.'),
(10960, 'To Disable HTTPS, comment the above lines in Apache configuration file and restart Apache server.'),
(10961, 'To display the copay amount it must have been entered in the patient\'s insurance under Edit > Demographics'),
(10962, 'To do so click on the black + sign at the far end on the Serum Uric Acid order line to bring up the Enter Details pop-up'),
(10963, 'To edit an existing group (ARO) click on the icon next to the desired group. This will bring up the edit window.'),
(10964, 'To enable any other form of connectivity will require writing new code'),
(10965, 'To enable Client side ssl certificates'),
(10966, 'To Enable Client side SSL certificates authentication, HTTPS should be enabled.'),
(10967, 'To enable help - Go to  Administration > Globals > Features > Enable Help Modal'),
(10968, 'To enable help - Go to the User Name on top left > Settings > Features > Enable Help Modal'),
(10969, 'To enable help - Go to the User Name on top right > Settings > Features > Enable Help Modal'),
(10970, 'To Enable only HTTPS, perform the above changes and restart Apache server. If you want to configure client side certificates also, please configure them in the next section.'),
(10971, 'To enable Patient Portal go to Administration > Portal > Enable Version 2 Onsite Patient Portal, Enable Offsite Patient Portal or Enable CMS Portal'),
(10972, 'To Enctr'),
(10973, 'To filter by sex'),
(10974, 'To fulfill Meaningful use requirements and help track its use you can check on the Sent Summary of Care check-box and the Sent Summary of Care Electronically check-box if appropriate'),
(10975, 'To fully delete hit \'Save\''),
(10976, 'To get started you choose one of the two radio buttons. \'Invoice Search\' or \'ERA Upload\' '),
(10977, 'To help explore the various components of the Report page especially if you want to use it as an instruction manual it is suggested that you reduce the size of the browser to cover half the viewport, resize the help pop-up by clicking and dragging the bottom right corner of the pop-up. Open another instance of the browser and resize it to cover the other half of the viewport, login to openEMR '),
(10978, 'To help familiarize you with the various components of the Dashboard page it is suggested that you reduce the size of the browser to cover half the viewport, resize the help pop-up by clicking and dragging the bottom right corner of the pop-up. Open another instance of the browser and resize it to cover the other half of the viewport, login to openEMR'),
(10979, 'To help simplify implementations, commonly used templates were harmonized from existing CDA implementation guides and consolidated into a single implementation guide – the C-CDA Implementation Guide (IG) (07/2012)'),
(10980, 'To History'),
(10981, 'To include the scanned documents that are a part of the patient\'s record select the desired records by check the relevant check-boxes'),
(10982, 'To Issues'),
(10983, 'To link the Issues to an encounter first select the issue, it will be highlighted yellow, then click on one or more encounters to link them, the selected encounters will be highlighted in purple'),
(10984, 'To link this encounter/consult to an existing issue, click the '),
(10985, 'To link this encounter/consult to an existing issue, click the desired issue above to highlight it and then click [Save]. Hold down [Ctrl] button to select multiple issues.'),
(10986, 'To link this encounter/consult to an existing issue, click the desired issue above to highlight it and then click Save'),
(10987, 'to login again'),
(10988, 'To move the groups from one column to another select one or more items from the column that you need to move them out of and press the relevant button with the double chevrons.'),
(10989, 'To proceed you need a USB security key, a secure HTTPS web connection and a browser that supports U2F'),
(10990, 'To recap, a Group called Serum Chemistry (Tier 1) was created, a direct descendant or child called Serum Uric Acid (Tier 2) was created beneath it as a Procedure Order which had a single direct descendant or child also called Serum Uric Acid (Tier 3) as a Discrete Result that will hold the result value'),
(10991, 'To receive error notifications from the Direct Messaging service a valid Notification Email Address needs to be entered for the user named in Administration > Globals > Connectors > phiMail notification user'),
(10992, 'To record disclosures, please click'),
(10993, 'To register you need an authenticator app installed on your Smartphone'),
(10994, 'To resend, delete the file from Communications and try again.'),
(10995, 'To resend, delete the file from Communications, reload this page and try again.'),
(10996, 'To reveal the filters click on the eye icon'),
(10997, 'to run'),
(10998, 'To see to all the ACOs that are available click on the eye icon.'),
(10999, 'To select a particular code identify it in the returned results and click on it to select'),
(11000, 'To select multiple groups hold down the \'Shift\' or \'Ctrl\' keys while clicking.'),
(11001, 'To setup https access with client certificate authentication, do the following'),
(11002, 'To Skin'),
(11003, 'to skin'),
(11004, 'To summarize'),
(11005, 'to this visit?'),
(11006, 'To upload CCR document of already existing patient use Patient Summary Screen->Documents. For CCR document of a new patient use Miscellanous->New Documents screen'),
(11007, 'To use the help page as an instruction manual it is suggested that you reduce the size of the browser to cover half the viewport, resize the help pop-up by clicking and dragging the bottom right corner of the pop-up. Open another instance of the browser and resize it to cover the other half of the viewport, login to openEMR '),
(11008, 'To use this help file as an instruction manual it is best to resize your browser to occupy half the screen, open another instance of the browser to fill the other half of the screen, login to openEMR and open the help file in this browser and resize it by clicking and dragging the bottom right corner so that it occupies the entire half screen'),
(11009, 'To use this help file as an instruction manual it is suggested that you reduce the size of the browser to cover half the viewport, resize the help pop-up by clicking and dragging the bottom right corner of the pop-up. Open another instance of the browser and resize it to cover the other half of the viewport, login to openEMR'),
(11010, 'To:'),
(11011, 'To: '),
(11012, 'TO_CITY'),
(11013, 'TO_FAX'),
(11014, 'TO_FNAME'),
(11015, 'TO_LNAME'),
(11016, 'TO_MNAME'),
(11017, 'TO_ORGANIZATION'),
(11018, 'TO_PHONE'),
(11019, 'TO_PHONECELL'),
(11020, 'TO_POSTAL'),
(11021, 'TO_STATE'),
(11022, 'TO_STREET'),
(11023, 'TO_TITLE'),
(11024, 'TO_VALEDICTORY'),
(11025, 'Tobacco'),
(11026, 'Tobacco Cessation Intervention'),
(11027, 'Tobacco Cessation Intervention (CQM)'),
(11028, 'Tobacco use'),
(11029, 'Tobacco Use'),
(11030, 'Tobacco Use Assessment'),
(11031, 'Tobacco Use Assessment (CQM)'),
(11032, 'Today'),
(11033, 'TODAY'),
(11034, 'today'),
(11035, 'Today\'s Balance'),
(11036, 'Today\'s Charges'),
(11037, 'Today\'s Date'),
(11038, 'Today\'s Events'),
(11039, 'Toggle'),
(11040, 'Toggle All'),
(11041, 'Toggle navigation'),
(11042, 'Toggle the Patient Panel'),
(11043, 'Toggle the right-sided PMSFH panel'),
(11044, 'Token ID for the Medical Information Integration, LLC Lab Exchange Service.'),
(11045, 'Token ID for the OpenEMR Support LLC Lab Exchange Service.'),
(11046, 'Tonga (Tonga Islands)'),
(11047, 'Tonsillectomy'),
(11048, 'tonsillectomy'),
(11049, 'Tooltips'),
(11050, 'Top'),
(11051, 'Top Group'),
(11052, 'Top Margin (mm)'),
(11053, 'Topic'),
(11054, 'Total'),
(11055, 'total'),
(11056, 'Total active actions'),
(11057, 'Total active reminders after update'),
(11058, 'Total active reminders before update'),
(11059, 'Total Adj'),
(11060, 'Total amount due'),
(11061, 'Total Amount Paid'),
(11062, 'Total Balance Due'),
(11063, 'Total Charge'),
(11064, 'Total Charges'),
(11065, 'Total Clients'),
(11066, 'Total Co-Pay'),
(11067, 'Total Cost'),
(11068, 'Total Distribution for following check number is not full'),
(11069, 'total entries'),
(11070, 'Total failed reminders sent via email'),
(11071, 'Total failed reminders sent via phone'),
(11072, 'Total for'),
(11073, 'Total for '),
(11074, 'Total for category'),
(11075, 'Total inactivated reminders'),
(11076, 'Total Minimum Amount of Statement to Allow Printing'),
(11077, 'Total Minimum Dollar Amount of Statement to Allow Printing.(only applicable if Allow Statement Exclusions from Printing is enabled)'),
(11078, 'Total new reminders'),
(11079, 'Total number of appointments'),
(11080, 'Total number of Drug Screen entries'),
(11081, 'Total Number of Immunizations'),
(11082, 'Total Number of Issues'),
(11083, 'Total number of Patient Flow Board entries'),
(11084, 'Total Number of Patients'),
(11085, 'Total of'),
(11086, 'Total Pages'),
(11087, 'Total Patient Balance'),
(11088, 'Total patients'),
(11089, 'Total Patients'),
(11090, 'Total Payments'),
(11091, 'Total Records'),
(11092, 'total records'),
(11093, 'Total Records Found'),
(11094, 'Total size'),
(11095, 'Total SRH & Family Planning'),
(11096, 'Total successful reminders sent via email'),
(11097, 'Total successful reminders sent via phone'),
(11098, 'Total Time'),
(11099, 'Total Transfers'),
(11100, 'Total unchanged reminders'),
(11101, 'Total unsent reminders after sending process'),
(11102, 'Total unsent reminders after update'),
(11103, 'Total unsent reminders before sending process'),
(11104, 'Total unsent reminders before update'),
(11105, 'Total updated reminders'),
(11106, 'Totals'),
(11107, 'Totals for'),
(11108, 'Totals for '),
(11109, 'Totals Only'),
(11110, 'TOTP'),
(11111, 'TOTP - Cons'),
(11112, 'TOTP - Pros'),
(11113, 'TOTP - Time-Based One-Time Password'),
(11114, 'TOTP Key'),
(11115, 'TOTP Method already exists and is enabled. Try again.'),
(11116, 'TOTP Registration'),
(11117, 'TOTP Verification'),
(11118, 'To{{Destination}}'),
(11119, 'to{{Destination}}'),
(11120, 'TO{{Destination}}'),
(11121, 'to{{Range}}'),
(11122, 'To{{Range}}'),
(11123, 'to{{range}}'),
(11124, 'To{{range}}'),
(11125, 'Tpn{{Tonopen abbreviation}}'),
(11126, 'TP{{tonopen}}'),
(11127, 'tr'),
(11128, 'Track'),
(11129, 'Track Report'),
(11130, 'Tracks'),
(11131, 'Tracks - if the Track Anything feature is enabled it will display a list of values that can be tracked and graphed'),
(11132, 'Train'),
(11133, 'Trainer'),
(11134, 'Training'),
(11135, 'Training Type'),
(11136, 'Transact'),
(11137, 'Transaction'),
(11138, 'transaction'),
(11139, 'Transaction failed, insufficient quantity in destination lot'),
(11140, 'Transaction failed, quantity is less than zero'),
(11141, 'Transaction Id'),
(11142, 'Transaction Type'),
(11143, 'Transactions'),
(11144, 'transactions'),
(11145, 'Transactions (write optional)'),
(11146, 'Transactions (write optional) (trans)'),
(11147, 'Transactions - lists various notes about happenings in a patient\'s chart with respect to billing, legal, patient request, physician request and also generates a patient referral or counter-referral'),
(11148, 'Transactions are for events or information not necessarily tied to one specific visit or encounter'),
(11149, 'Transactions provides a mechanism to link an activity to patient that is not encounter based'),
(11150, 'Transactions, e.g. referrals (write optional) (trans)'),
(11151, 'Transactions/Referrals'),
(11152, 'Transdermal'),
(11153, 'Transfer'),
(11154, 'Transfer date'),
(11155, 'Transfer failed, insufficient quantity in source lot'),
(11156, 'Transfer Summary'),
(11157, 'Transfer to'),
(11158, 'Transferred By'),
(11159, 'Transferred Date'),
(11160, 'Transfers'),
(11161, 'Transition Of Care'),
(11162, 'Transition/Transfer of Care?'),
(11163, 'Translate Access Control Groups'),
(11164, 'Translate Appointment Categories'),
(11165, 'Translate Document Categories'),
(11166, 'Translate Layouts'),
(11167, 'Translate Lists'),
(11168, 'Translate Patient Note Titles'),
(11169, 'translate this'),
(11170, 'Translation'),
(11171, 'Translations'),
(11172, 'Transmit'),
(11173, 'Transmit - securely transmit the CCD using phiMail Direct Messaging'),
(11174, 'Transmit - securely transmit the CCR using phiMail Direct Messaging'),
(11175, 'Transmit failed'),
(11176, 'Transmit Order'),
(11177, 'Transmit Selected Orders'),
(11178, 'Trash'),
(11179, 'Trauma'),
(11180, 'Treatment'),
(11181, 'Treatment Completion Status'),
(11182, 'Treatment Goals'),
(11183, 'Treatment Plan'),
(11184, 'Treatment Planning'),
(11185, 'Treatment Received'),
(11186, 'Treatment:'),
(11187, 'Treatment: '),
(11188, 'Tree'),
(11189, 'Trend'),
(11190, 'trftime($month_format, mktime(0, 0, 0, $i, 1, 2000)) );             $month_value'),
(11191, 'Tribal 638 Free-standing Facility'),
(11192, 'Tribal 638 Provider-based Facility'),
(11193, 'Trifocal'),
(11194, 'Trifocals'),
(11195, 'Trigger point / compartment syndrome / DOMS / cramp'),
(11196, 'Trimalleolar'),
(11197, 'Tropic 2.5%'),
(11198, 'True'),
(11199, 'Trunk and abdomen'),
(11200, 'Trusted Direct Email Address'),
(11201, 'Trusted Email'),
(11202, 'Trying'),
(11203, 'Trying to create user with existing username!'),
(11204, 'Tsonga'),
(11205, 'tsp'),
(11206, 'Tswana'),
(11207, 'TTS'),
(11208, 'Tuberculosis'),
(11209, 'Tue'),
(11210, 'Tues &amp; Thur'),
(11211, 'Tuesday'),
(11212, 'Tumour'),
(11213, 'Turkish'),
(11214, 'Turkmen'),
(11215, 'Turn off auto calculations of adjustments in EOB'),
(11216, 'Turn Off birthday alert'),
(11217, 'Turn on Enable Client SSL'),
(11218, 'Turn on to show all payment history in Patient Ledger'),
(11219, 'Turn the Tooltips on/off'),
(11220, 'Tu{{Tuesday}}'),
(11221, 'Twi'),
(11222, 'twice daily'),
(11223, 'Two Years Ago'),
(11224, 'Two Years Ahead'),
(11225, 'Tx Date'),
(11226, 'Tympanic Membrane'),
(11227, 'Type'),
(11228, 'Type a brief message and hit Send Message '),
(11229, 'Type a name for the key in the text box'),
(11230, 'Type a name for your key, insert it into a USB port and click the Register button below'),
(11231, 'Type Id or Name.3 characters minimum (including spaces).'),
(11232, 'Type in Electrolyte Panel as the Name'),
(11233, 'Type in the location of the directory or folder in which the created orders (HL7 messages) will be stored'),
(11234, 'Type in the location of the directory or folder in which the returned results (HL7 messages) will be stored'),
(11235, 'Type in the URL of the external facility to which the order will be sent, this will be provided by the facility'),
(11236, 'Type in the username and password provided by the facility'),
(11237, 'Type Message...'),
(11238, 'Type of columns displayed for patient search results'),
(11239, 'Type of Disclosure'),
(11240, 'Type of Events'),
(11241, 'Type of group'),
(11242, 'Type of screen layout'),
(11243, 'Type or scan the patient identifier here'),
(11244, 'Type Sodium under Name and Sodium result under description'),
(11245, 'Type the message and click Send Message '),
(11246, 'Type the name of the drug in the Drug Search text-box'),
(11247, 'Type to search and select revenue code'),
(11248, 'Type Your message here'),
(11249, 'Types of Orders and Results'),
(11250, 'T{{one letter abbreviation for Tension/Pressure}}'),
(11251, 'T{{Thursday}}'),
(11252, 'T{{Tuesday}}'),
(11253, 'U2F'),
(11254, 'U2F - Cons'),
(11255, 'U2F - Pros'),
(11256, 'U2F devices are relatively costly'),
(11257, 'U2F Key Authentication error'),
(11258, 'U2F Key Verification'),
(11259, 'U2F Registration'),
(11260, 'U2F USB Device'),
(11261, 'UAC Appl'),
(11262, 'UAC Tot'),
(11263, 'UB04 FORM'),
(11264, 'UB04 FORM PDF'),
(11265, 'UB04 left margin in points'),
(11266, 'UB04 Margins'),
(11267, 'UB04 Margins Left'),
(11268, 'UB04 TEXT PDF'),
(11269, 'UB04 top margin in points'),
(11270, 'UCSMC codes provided by the University of Calgary Sports Medicine Centre'),
(11271, 'Ukrainian'),
(11272, 'Ulcerations'),
(11273, 'Ulcerative Colitis'),
(11274, 'Ulcers:'),
(11275, 'Unable insert version information into database'),
(11276, 'Unable to access directory'),
(11277, 'Unable to access URL'),
(11278, 'Unable to create'),
(11279, 'Unable to create patient document subdirectory'),
(11280, 'Unable to decrypt these comments since decryption failed.'),
(11281, 'Unable to decrypt these comments since the PHP mycrypt module is not installed.'),
(11282, 'Unable to decrypt these comments since the PHP openssl module is not installed.'),
(11283, 'Unable to either create credentials or send email.'),
(11284, 'Unable to find window to build'),
(11285, 'Unable to find your records. Be sure to use your correct Dob, First and Last name and Email of record.'),
(11286, 'Unable to find your records. Be sure to use your correct Dob, First and Last name and Email of record. If you have opted out of email with none on file then leave blank.'),
(11287, 'Unable to locate the data in this file.'),
(11288, 'Unable to match this payment in ar_activity'),
(11289, 'Unable to modify application config Please give write permission to'),
(11290, 'Unable to save file: Use back button!'),
(11291, 'Unapplied'),
(11292, 'Unassigned'),
(11293, 'Unauthorized'),
(11294, 'Unauthorized access to ePrescription'),
(11295, 'Unauthorized access.'),
(11296, 'Unbilled'),
(11297, 'Unbilled Only'),
(11298, 'Uncategorized'),
(11299, 'Uncle'),
(11300, 'under tongue'),
(11301, 'Underneath it will be some common drugs'),
(11302, 'Underneath it will be some common problems'),
(11303, 'Underweight'),
(11304, 'Undiagnosed'),
(11305, 'Undistributed'),
(11306, 'UNDISTRIBUTED'),
(11307, 'Undistributed is'),
(11308, 'Undo'),
(11309, 'Undo Checkout'),
(11310, 'Unexpected non-match, creating new patient for segment'),
(11311, 'Unique Clients'),
(11312, 'Unique human-readable identifier for this type'),
(11313, 'Unique Installation ID'),
(11314, 'Unique installation ID. Creates a random UUID if empty.'),
(11315, 'Unique New Clients'),
(11316, 'Unique numeric identifier for this type'),
(11317, 'Unique Seen Patients'),
(11318, 'Unique Seen Patients Report'),
(11319, 'Unique SP'),
(11320, 'Unit'),
(11321, 'Units'),
(11322, 'units'),
(11323, 'Units applicable to the result value'),
(11324, 'Units for Visit Forms'),
(11325, 'Units must be a number'),
(11326, 'Units not defined'),
(11327, 'Units/L'),
(11328, 'Unknown'),
(11329, 'unknown (see log)'),
(11330, 'Unknown Error'),
(11331, 'Unknown if ever smoked'),
(11332, 'Unknown or N/A'),
(11333, 'Unknown Selection'),
(11334, 'Unknown Transaction Error Maybe Subscriber Effective or DOB Dates'),
(11335, 'Unknown user id:'),
(11336, 'Unknown version'),
(11337, 'Unknown.'),
(11338, 'Unlike a message sent in Messages the dated reminder is not a part of the medical record'),
(11339, 'Unlike ordering a recognized panel as a single test and thus have all the component tests performed these three tests will be presented as three individual tests'),
(11340, 'Unlike the regular Groups that were created earlier, each Custom Favorite Group has an Identifying Code that has to be unique. As this is our custom group and not a lab recognized panel we will give it our arbitrary unique Identifying Code - CFGWWT001'),
(11341, 'Unlike the regular Procedure Order a Diagnostic Codes box is present allowing you to enter one or more ICD10 Diagnosis Codes as default diagnoses for this order'),
(11342, 'Unlike the regular Top Groups created thus far the Code column will have a value CFGWWT001'),
(11343, 'Unlike TOTP where there is no communication between the application and the device having the authenticator app each time the USB key is plugged in the application communicates with the USB key via the browser'),
(11344, 'unlink patient'),
(11345, 'Unnamed insurance company'),
(11346, 'Unregistered'),
(11347, 'Unregistered Modules'),
(11348, 'Unrelated Friend'),
(11349, 'Unselect All'),
(11350, 'Unselected'),
(11351, 'Unspecified'),
(11352, 'unstructured'),
(11353, 'Unstructured Documents - 2010'),
(11354, 'UNSUPPORTED database load file'),
(11355, 'Unsupported MDM OBX result type'),
(11356, 'until'),
(11357, 'until date'),
(11358, 'Until then you will continue to see payment details here.'),
(11359, 'Untimely filing'),
(11360, 'Unused'),
(11361, 'UOR'),
(11362, 'Up to'),
(11363, 'UPCOMING'),
(11364, 'Upcoming Appointments'),
(11365, 'Upcoming Events'),
(11366, 'Update'),
(11367, 'update'),
(11368, 'Update Active'),
(11369, 'Update by'),
(11370, 'Update Drug'),
(11371, 'Update files'),
(11372, 'Update Info'),
(11373, 'Update information when the patient goes to another provider, to support safety, quality, and continuity of patient care'),
(11374, 'Update List'),
(11375, 'Update Lot'),
(11376, 'Update policy number from ERA'),
(11377, 'Update Provider Number'),
(11378, 'Update Selected Items'),
(11379, 'Update Status'),
(11380, 'Update the chart to activate the Builder.'),
(11381, 'Update the chart to build this list'),
(11382, 'Update the following settings in Administration->Globals->Security'),
(11383, 'Update the following variables in file'),
(11384, 'Update User Information'),
(11385, 'Updated By'),
(11386, 'Updated fields will be purple.'),
(11387, 'Updated!'),
(11388, 'Updates Successful'),
(11389, 'Updating Access Controls'),
(11390, 'Updating demographics is not authorized.'),
(11391, 'Updating global configuration defaults'),
(11392, 'Updating version indicators'),
(11393, 'UPGRADE'),
(11394, 'Upgrade'),
(11395, 'Upgrade ACL'),
(11396, 'Upgrade Database'),
(11397, 'Upgrade SQL'),
(11398, 'Upgrades the OpenEMR database to include Procedures, Functions and tables needed for De-identification process'),
(11399, 'Upgrading will continue'),
(11400, 'UPIN'),
(11401, 'Upload'),
(11402, 'Upload / Save'),
(11403, 'Upload a Template'),
(11404, 'Upload and Apply'),
(11405, 'Upload and Install'),
(11406, 'Upload configuration data'),
(11407, 'Upload Document'),
(11408, 'Upload failed!'),
(11409, 'Upload For'),
(11410, 'Upload Image to'),
(11411, 'Upload import file:'),
(11412, 'Upload Item'),
(11413, 'Upload Patient Education PDF to'),
(11414, 'Upload processed successfully'),
(11415, 'Upload Report'),
(11416, 'Upload Template for'),
(11417, 'Upload the xml file under the category CCR'),
(11418, 'Upload this file:'),
(11419, 'Uploaded'),
(11420, 'Upon a successful search you are presented with a list of invoices. You may click on one of the invoice numbers to open a second window, which is the data entry page for manual posting. You may also click on a patient name if you want to enter a note that the front office staff will see when the patient checks in, and you may select invoices to appear on patient statements and print those statements.'),
(11421, 'Upon clicking an invoice number the \"manual posting window\" appears. Here you can change the due date and notes for the invoice, select the party for whom you are posting, and select the insurances for which all expected paymants have been received.  Most importantly, for each billing code for which an amount was charged, you can enter payment and adjustment information.'),
(11422, 'Upon clicking an invoice number the \'manual posting window\' appears. Here you can change the due date and notes for the invoice, select the party for whom you are posting, and select the insurances for which all expected payments have been received. Most importantly, for each billing code for which an amount was charged, you can enter payment and adjustment information.'),
(11423, 'Upon entering the page there are two buttons visible below the navigation bar'),
(11424, 'Upon logging in to openEMR a small envelope icon is visible on the top right. It shows the number of pending messages and dated reminders'),
(11425, 'Upon reaching a predetermined point, either a date or value, the rule will trigger one or more events'),
(11426, 'Upon searching you are presented with a list of invoices.  You may click on one of the invoice numbers to open a second window, which is the data entry page for manual posting.  You may also click on a patient name if you want to enter a note that the front office staff will see when the patient checks in, and you may select invoices to appear on patient statements and print those statements.'),
(11427, 'Upon selecting a list to edit the edit page with the list values will be displayed'),
(11428, 'Upon successful registration you will be taken back to the Manage Multi Factor Authentication landing page'),
(11429, 'Upper arm'),
(11430, 'Upper Lids'),
(11431, 'Urdu'),
(11432, 'Urgency'),
(11433, 'Urgent Care'),
(11434, 'Urgent Care Facility'),
(11435, 'URI'),
(11436, 'Urine'),
(11437, 'Urine Dribbling'),
(11438, 'Urine Frequency'),
(11439, 'Urine Hesitancy'),
(11440, 'Urine Microalbumin'),
(11441, 'Urine Stream'),
(11442, 'Urine Urgency'),
(11443, 'URL'),
(11444, 'URL for NewCrop eRx Site Address.'),
(11445, 'URL for OpenEMR support.'),
(11446, 'URL for Phone Gateway.'),
(11447, 'URL for Phone Gateway. Automated VOIP service provided by Maviq. Please visit http://signup.maviq.com for more information.'),
(11448, 'URL for the WordPress site that supports the portal'),
(11449, 'URLs for NewCrop eRx Service Address, separated by a semi-colon.'),
(11450, 'USA'),
(11451, 'Usage'),
(11452, 'Usage - is only required if you are submitting an electronic order to an external facility'),
(11453, 'Usage Indicator (ISA15)'),
(11454, 'Usage Tips'),
(11455, 'USB based tokens are used for Universal 2nd Factor - U2F authentication and as they are connected to a computer do not need batteries'),
(11456, 'Use % alone in a field to just sort on that column'),
(11457, 'Use 24 hour time format?'),
(11458, 'Use a pdf template from zend module'),
(11459, 'Use a unique word to identify this group, it has to be a single word, if using two words link them together with an underscore or hyphen.'),
(11460, 'Use Active Directory'),
(11461, 'Use an html template from zend module'),
(11462, 'Use Avery Labels'),
(11463, 'Use Blood or Serum as Specimen Type'),
(11464, 'Use certified EHR technology to identify patient-specific education resources and provide those resources to the patient if appropriate(New).'),
(11465, 'Use certified EHR technology to identify patient-specific education resources and provide those resources to the patient if appropriate.'),
(11466, 'Use Charges Panel'),
(11467, 'Use CPOE for medication orders directly entered by any licensed healthcare professional who can enter orders into the medical record per state, local and professional guidelines.'),
(11468, 'Use CPOE for medication orders.'),
(11469, 'Use CPOE for medication orders.(Alternative)'),
(11470, 'Use CPOE for procedure orders.'),
(11471, 'Use CPOE for radiology orders.'),
(11472, 'Use Custom Dunning Messages'),
(11473, 'Use Custom End of Day Report'),
(11474, 'Use Custom Immunization List'),
(11475, 'Use Custom Statement'),
(11476, 'Use Date Range'),
(11477, 'Use Defaults'),
(11478, 'Use Delete Option to Remove.'),
(11479, 'Use international date style?'),
(11480, 'Use LDAP for Authentication'),
(11481, 'Use Portal Dashboard to confirm with patient.'),
(11482, 'Use servers protocol and host in urls (portal internal only).'),
(11483, 'Use source filename'),
(11484, 'Use SSL (encrypted) connection to CouchDB'),
(11485, 'Use the fee sheet to charge for services or products. '),
(11486, 'Use the fields below for a purchase or transfer.'),
(11487, 'Use the help file on that page for further help'),
(11488, 'Use the latest versions of the following modern browsers - Chrome, Firefox, Safari, Edge and Opera'),
(11489, 'Use the Select User dropdown box to select the user(s) to whom the message will be sent'),
(11490, 'Use this feature only with newly installed sites, '),
(11491, 'Use this image'),
(11492, 'Use this section to delete existing groups or Access Request Objects (AROs)'),
(11493, 'Use topics?'),
(11494, 'Use Username'),
(11495, 'Used to enter information that pertains to this particular claim in order to facilitate processing and submitting this claim'),
(11496, 'User'),
(11497, 'User '),
(11498, 'User / Groups'),
(11499, 'User Administration'),
(11500, 'User and Facility Administration'),
(11501, 'User and Group Administration'),
(11502, 'User Cannot be Deleted'),
(11503, 'User Certificate Authentication is disabled'),
(11504, 'User Debug Error Catch'),
(11505, 'User Debugging Mode.'),
(11506, 'User Debugging Options'),
(11507, 'User Defined'),
(11508, 'User Defined Area 11'),
(11509, 'User Defined Area 12'),
(11510, 'User Defined Field'),
(11511, 'User Defined List 1'),
(11512, 'User Defined List 2'),
(11513, 'User Defined List 3'),
(11514, 'User Defined List 4'),
(11515, 'User Defined List 5'),
(11516, 'User Defined List 6'),
(11517, 'User Defined List 7'),
(11518, 'User Defined Text 1'),
(11519, 'User Defined Text 2'),
(11520, 'User Defined Text 3'),
(11521, 'User Defined Text 4'),
(11522, 'User Defined Text 5'),
(11523, 'User Defined Text 6'),
(11524, 'User Defined Text 7'),
(11525, 'User Defined Text 8'),
(11526, 'User First name'),
(11527, 'User Id'),
(11528, 'User ID'),
(11529, 'User is required to have this access control for Active Alerts and Passive Alerts'),
(11530, 'User Logon (If 03 above, else leave spaces) (ISA02)'),
(11531, 'User logon Required Indicator (ISA01~ use 00 or 03)'),
(11532, 'User Manual'),
(11533, 'User Memberships'),
(11534, 'User Name'),
(11535, 'User Name must be at least 12 characters!'),
(11536, 'User name or Host name cannot be empty'),
(11537, 'User or Host name'),
(11538, 'User Password'),
(11539, 'User Password (ISA04~ if 01 above, else leave spaces)'),
(11540, 'User password required Indicator (ISA03~ use 00 or 01)'),
(11541, 'User Settings'),
(11542, 'User Signature'),
(11543, 'User Specific Setting'),
(11544, 'User\'s New Password'),
(11545, 'Userlist1'),
(11546, 'Userlist2'),
(11547, 'Userlist3'),
(11548, 'Userlist4'),
(11549, 'Userlist5'),
(11550, 'Userlist6'),
(11551, 'Userlist7'),
(11552, 'username'),
(11553, 'Username'),
(11554, 'Username for Phone Gateway.'),
(11555, 'Username for Phone Gateway. Automated VOIP service provided by Maviq. Please visit http://signup.maviq.com for more information.'),
(11556, 'Username for SMS Gateway'),
(11557, 'Username for SMS Gateway.'),
(11558, 'Username to connect to CouchDB'),
(11559, 'Username:'),
(11560, 'Users'),
(11561, 'Users is the standard windows CN, replace the DC stuff with your domain.'),
(11562, 'Users may leave it plugged in at all times thus negating its function in 2FA'),
(11563, 'Users with appropriate privileges can edit these items by clicking on the Edit button'),
(11564, 'Users/Groups/Logs Administration'),
(11565, 'Users/Groups/Logs Administration (users)'),
(11566, 'Usertext1'),
(11567, 'Usertext2'),
(11568, 'Usertext3'),
(11569, 'Usertext4'),
(11570, 'Usertext5'),
(11571, 'Usertext6'),
(11572, 'Usertext7'),
(11573, 'Usertext8'),
(11574, 'uses php <a href=\"http://php.net/strftime\">strftime</a> format'),
(11575, 'Using 2FA'),
(11576, 'Using a fruit tree as an easier to visualize analogy will explain the concept of this hierarchy better, the trunk of the tree is the Group (Serum Chemistry), the fruit bearing branch is the actual order, Procedure Order (Serum Uric acid) and the fruit is the result, Discrete Result, also called (Serum Uric Acid) that will hold the value of the returned result. Just as the fruit is not borne on the main trunk you should not place a Discrete Result as a direct descendant or child of a Top Group. Similarly the fruit bearing branch (Procedure Order) cannot be placed as a direct descendant or child of a fruit (Discrete Result)'),
(11577, 'Using technology to improve productivity'),
(11578, 'Using the details entered into the system openEMR will generate valid HL7 v2.3 messages in 3 formats, a text file that is automatically downloaded to the downloads folder of your browser, a HL7 message that is written to a folder or directory on the server running openEMR or use SFTP - Secure File Transfer Protocol, which is a network protocol that provides file access, file transfer, and file management over a secure connection and transfer this message to a lab'),
(11579, 'Using the Feesheet'),
(11580, 'Using the main headings on the lab slip will help start this process - Organ/Disease Panels, Hematology, Individual Tests, Microbiology, Other'),
(11581, 'Using this fruit tree analogy we can get a better understanding of the steps needed to create an order for a panel of tests'),
(11582, 'Utilize at your own risk. Always verify data received'),
(11583, 'UTIs'),
(11584, 'Uyghur, Uighur'),
(11585, 'Uzbek'),
(11586, 'VABiNoc{{Binocular visual acuity}}'),
(11587, 'VABiNoc{{Binocular Visual Acuity}}'),
(11588, 'VACATION'),
(11589, 'Vacation'),
(11590, 'Vaccine'),
(11591, 'Vaccine funding program eligibility category'),
(11592, 'Vaccine Type'),
(11593, 'Vaginal Ring'),
(11594, 'Valedictory'),
(11595, 'Validate'),
(11596, 'validate'),
(11597, 'Validate and Clear'),
(11598, 'Validate and Clear validates then sets claims status only, to billed, leaving billing process unaltered and claim submission resets to unsubmitted.'),
(11599, 'Validate Log'),
(11600, 'Validate Only'),
(11601, 'Validate Only does a claim validation dry run for errors leaving claim status unaltered.'),
(11602, 'Validating'),
(11603, 'Validating Claim'),
(11604, 'Validation error: Fix and resubmit.'),
(11605, 'Validation error: Fix and resubmit. Payment values are preserved!'),
(11606, 'Validation error: Fix and resubmit. This popup info is preserved!'),
(11607, 'Validation mechanism for when modifying patient demographics.'),
(11608, 'Validation rule'),
(11609, 'Value'),
(11610, 'Value 1'),
(11611, 'Value 2'),
(11612, 'Value if comparing'),
(11613, 'Value Should be Numeric'),
(11614, 'Var1'),
(11615, 'Var2'),
(11616, 'variable to one to run de-identification upgrade script'),
(11617, 'Variation in red color discrimination between the eyes (eg. OD=100, OS=75)'),
(11618, 'Variation in white (muscle) light brightness discrimination between the eyes (eg. OD=$1.00, OS=$0.75)'),
(11619, 'Varicella 1'),
(11620, 'Varicella 2'),
(11621, 'Varicose Veins'),
(11622, 'Various text fields and drop-down boxes will be displayed'),
(11623, 'Vascular condition'),
(11624, 'Vascular injury'),
(11625, 'Vascular Surgery'),
(11626, 'Va{{Visual Acuities}}'),
(11627, 'VB{{abbreviation for Vertical Prism Base}}'),
(11628, 'VD{{abbreviation for Vertex Distance}}'),
(11629, 'Venda'),
(11630, 'Vendor'),
(11631, 'Verification Status'),
(11632, 'Verified On'),
(11633, 'Verify'),
(11634, 'Version'),
(11635, 'Version 1 Onsite Patient Portal Site Address'),
(11636, 'Version 2 Onsite Patient Portal Site Address'),
(11637, 'Version 2.x is widely used in the healthcare industry and openEMR uses HL7 version 2.3 '),
(11638, 'Version Number'),
(11639, 'Vert Base{{abbreviation for Vertical Prism Base}}'),
(11640, 'Vert Distance{{abbreviation for Vertex Distance}}'),
(11641, 'Vert Fissure{{vertical fissure height}}'),
(11642, 'Vert Fissure{{vertical fissure}}'),
(11643, 'Vert Fusional Amps'),
(11644, 'Vert Prism{{abbreviation for Vertical Prism Power}}'),
(11645, 'Vertex Distance'),
(11646, 'Vertical Fissure: central height between lid margins'),
(11647, 'Vertical Fusional'),
(11648, 'Vertical Menu Style'),
(11649, 'Vertical Menu Style for frame based layouts'),
(11650, 'Vertical Menu Style for Frames'),
(11651, 'Vertical Prism Base'),
(11652, 'Vertical Prism Power'),
(11653, 'Vertigo'),
(11654, 'Very secure'),
(11655, 'Vessels'),
(11656, 'Veteran`s Administration'),
(11657, 'Veterans Administration Plan'),
(11658, 'Vfc'),
(11659, 'VFC'),
(11660, 'VFC eligible- American Indian/Alaskan Native'),
(11661, 'VFC eligible- Uninsured'),
(11662, 'VFC eligible-Federally Qualified Health Center Patient (under-insured)'),
(11663, 'VFC eligible-Medicaid/Medicaid Managed Care'),
(11664, 'VF{{vertical fissure}}'),
(11665, 'via{{shipped by/supplier}}'),
(11666, 'Vietnamese'),
(11667, 'View'),
(11668, 'view'),
(11669, 'view - can only read but not add or modify'),
(11670, 'View Allergies'),
(11671, 'View an x12-835 ERA file'),
(11672, 'View Batch Claim x12 text'),
(11673, 'View Blank Referral Form'),
(11674, 'View CCD'),
(11675, 'View CCDA'),
(11676, 'View Comprehensive Patient Report'),
(11677, 'View CSV tables'),
(11678, 'View details'),
(11679, 'View document'),
(11680, 'View EDI x12 file'),
(11681, 'View encounter'),
(11682, 'View ERA x12 text'),
(11683, 'View events in a popup window?'),
(11684, 'View Facility Specific User Information'),
(11685, 'View Four Panel'),
(11686, 'View local x12 file'),
(11687, 'View Log'),
(11688, 'View Messages'),
(11689, 'View mode - only administrator can edit another administrator user'),
(11690, 'View Page 1'),
(11691, 'View Page 2'),
(11692, 'View Past and Future Reminders'),
(11693, 'View Past Encounter'),
(11694, 'View Past Encounters'),
(11695, 'View Patient'),
(11696, 'View Plan Rules'),
(11697, 'View Printable'),
(11698, 'View Printable Report'),
(11699, 'View Printable Version'),
(11700, 'View related encounters'),
(11701, 'View Report'),
(11702, 'View the README file'),
(11703, 'View the Summary Report sent to Fax Server.'),
(11704, 'View the Summary Report sent via Fax Server on'),
(11705, 'View, Download, Transmit (VDT)  (Measure B)'),
(11706, 'View, Download, Transmit (VDT) (Measure A)'),
(11707, 'View/Add/Update groups'),
(11708, 'View/Add/Update groups (gadd)'),
(11709, 'View/Create/Update groups appointment in calendar'),
(11710, 'View/Create/Update groups appointment in calendar (gcalendar)'),
(11711, 'View/Edit'),
(11712, 'View/Edit Allergies'),
(11713, 'View/edit issue'),
(11714, 'View/Print'),
(11715, 'View/Print Blank Referral Form'),
(11716, 'View/Print Blank Referral Form - that can be filled by hand'),
(11717, 'View:'),
(11718, 'VISA'),
(11719, 'VISA/MC/AMEX/Dis'),
(11720, 'VISA/MC/Discovery/HSA'),
(11721, 'Visceral damage/trauma/surgery'),
(11722, 'VisForm'),
(11723, 'Vision'),
(11724, 'Visit'),
(11725, 'Visit Attributes'),
(11726, 'Visit Categories'),
(11727, 'Visit Category'),
(11728, 'Visit Category:'),
(11729, 'Visit Date'),
(11730, 'Visit date'),
(11731, 'Visit Details'),
(11732, 'Visit Form Attributes'),
(11733, 'Visit form ID must start with LBF. Transaction form ID must start with LBT.'),
(11734, 'Visit Forms'),
(11735, 'Visit Forum'),
(11736, 'Visit History'),
(11737, 'Visit Patient Home Page'),
(11738, 'Visit Provider Home Page'),
(11739, 'Visit Reason'),
(11740, 'Visit Status'),
(11741, 'Visit Summary'),
(11742, 'Visit Test Server'),
(11743, 'Visit Type'),
(11744, 'Visited Patients'),
(11745, 'Visits'),
(11746, 'Visits From'),
(11747, 'Visual Acuities'),
(11748, 'Visual Acuity'),
(11749, 'Visual Fields'),
(11750, 'Visualize this as not making a fruit hang off another fruit. Instead it should hang off the fruit bearing branch'),
(11751, 'Vital Signs'),
(11752, 'Vitals'),
(11753, 'Vitals (Metric)'),
(11754, 'Vitals Form Options'),
(11755, 'Vitreous'),
(11756, 'Voice'),
(11757, 'Voice Messages'),
(11758, 'Voice Sent'),
(11759, 'Voice your opinion'),
(11760, 'Void Checkout and Re-Open'),
(11761, 'Volapuk'),
(11762, 'Volapük'),
(11763, 'Vomiting'),
(11764, 'Voucher Number'),
(11765, 'VP{{abbreviation for Vertical Prism Power}}'),
(11766, 'V{{One letter abbrevation for Vision}}'),
(11767, 'W'),
(11768, 'W Rx{{Acuity with correction}}'),
(11769, 'W2W{{white-to-white}}'),
(11770, 'Waist Circ'),
(11771, 'Waist Circumference'),
(11772, 'Waiting'),
(11773, 'Walk-In'),
(11774, 'Walk-in Retail Health Clinic'),
(11775, 'Walloon'),
(11776, 'Walt Pennington'),
(11777, 'Ward of court'),
(11778, 'Warehouse'),
(11779, 'Warehouse changed'),
(11780, 'Warehouse maximum, 0 if not applicable'),
(11781, 'Warehouse minimum, 0 if not applicable'),
(11782, 'Warehouses'),
(11783, 'Warm'),
(11784, 'Warn and prevent web browser refresh'),
(11785, 'Warn, but do not prevent web browser refresh'),
(11786, 'Warning'),
(11787, 'WARNING'),
(11788, 'WARNING - FOLLOWING ACTIVE MEDICATIONS ARE ALLERGIES'),
(11789, 'Warning, Check Number already exist in the database'),
(11790, 'Warning, patient has ambiguous codes in the problems list!'),
(11791, 'Warning: A visit was already created for this patient today!'),
(11792, 'Warning: Contraception for a patient under 10 or over 50.'),
(11793, 'Warning: Contraceptive method is not compatible with a male patient.'),
(11794, 'WARNING: If you are using the 2012-10-31 Spanish version, then note you need to unzip it once before placing it in the contrib/snomed (this is because the released file was \"double-zipped\").'),
(11795, 'Warning: Navigation error. Please refresh this page.'),
(11796, 'Warning: Patient ID is not unique!'),
(11797, 'Warning: There is no product matching the contraceptive service.'),
(11798, 'Warning: There is no service matching the contraceptive product.'),
(11799, 'WARNING: This will overwrite configuration information with data from the uploaded file!'),
(11800, 'WARNINGS'),
(11801, 'Warnings'),
(11802, 'WARNINGS and Alerts/Reminders'),
(11803, 'was already uploaded'),
(11804, 'was not found'),
(11805, 'We appreciate prompt payment of balances due'),
(11806, 'We appreciate prompt payment of balances due.'),
(11807, 'We are going to create the test that can be ordered called Serum Uric Acid'),
(11808, 'We are sorry you are having troubles with your account.'),
(11809, 'we have seen your above patient for evaluation and treatment at our outpatient psychiatry clinic. Thank you for this referral.'),
(11810, 'We ran into some problems connecting your EHR to the MedEx servers'),
(11811, 'We received a credentials reset request. The link to reset your credentials is below.'),
(11812, 'We were unable to create an account.'),
(11813, 'We will be basing the Electrolyte panel off the main trunk or Group (Serum Chemistry)'),
(11814, 'We will be creating an order for three tests Blood Glucose, TSH and Vitamin D and group it in a custom group called Well Woman Tests and create a place to manually enter the returned results'),
(11815, 'We will go through the process of setting up the order for a single blood test - Serum Uric Acid'),
(11816, 'We will now create the order, or Procedure Order, called Electrolyte Panel that can be visualized as the fruit bearing branch in our hypothetical fruit tree'),
(11817, 'We will set up the order for the Electrolyte panel that consists of Serum Sodium, Potassium, Chloride and Carbon Dioxide'),
(11818, 'We will start with the most basic unit of the Procedure Orders module, to set up a single lab test order and the ability to manually record the returned result'),
(11819, 'We will use a Discrete Result for each test to hold the returned result values'),
(11820, 'We will use this branch to hold all the 9 panels, here we will be just creating the order representing one panel, the Electrolyte Panel'),
(11821, 'Weakness'),
(11822, 'Wear RX'),
(11823, 'Web based methods'),
(11824, 'Web based methods use Authentication-as-a-service and deliver OTP without need for tokens'),
(11825, 'Web Reference'),
(11826, 'Web Search'),
(11827, 'Website'),
(11828, 'Website link for the Onsite Patient Portal.'),
(11829, 'Website link for the Patient Portal.'),
(11830, 'Website link for the Version 1 Onsite Patient Portal.'),
(11831, 'Website link for the Version 2 Onsite Patient Portal.'),
(11832, 'Wed'),
(11833, 'Wednesday'),
(11834, 'Week'),
(11835, 'week'),
(11836, 'Week View'),
(11837, 'Week(s)'),
(11838, 'Weekly Exposures'),
(11839, 'weeks'),
(11840, 'Weeks'),
(11841, 'Weight'),
(11842, 'Weight Assessment and Counseling for Children and Adolescents'),
(11843, 'Weight Assessment and Counseling for Children and Adolescents (CQM)'),
(11844, 'Weight Change'),
(11845, 'Weight Loss'),
(11846, 'Weight loss clinic'),
(11847, 'Welcome'),
(11848, 'Welcome to OpenEMR'),
(11849, 'Welsh'),
(11850, 'Weno Account Clinic ID information missing'),
(11851, 'Weno Account ID information missing'),
(11852, 'Weno Admin'),
(11853, 'Weno eRx Account Id'),
(11854, 'Weno eRx Account Pass'),
(11855, 'Weno eRx Clinic ID'),
(11856, 'Weno Provider ID'),
(11857, 'Weno Sample Code'),
(11858, 'Weno Service is Enabled'),
(11859, 'Western Frisian'),
(11860, 'We{{Wednesday}}'),
(11861, 'What constitutes the order and what is its electronic format, how is it sent, how is the result received, if the system will only receive results or send orders and receive results, what labs you will be connecting to and what needs to happen at the other end, whether or not a third party will be involved in this transaction'),
(11862, 'What is to be counted?'),
(11863, 'What kind of sorting will be in the drop lists.'),
(11864, 'Wheezes:'),
(11865, 'Wheezing'),
(11866, 'Wheezing:'),
(11867, 'When a new user is created, access control is granted by the administrator or by a user with similar privileges by selecting which groups (AROs) a user can belong to.'),
(11868, 'When and how often?'),
(11869, 'When Checked, Demographics Will Open in New Window from Patient Flow Board.'),
(11870, 'When Checked, Last Staff to Update Board Will Show in Patient Flow Board.'),
(11871, 'When checked, messages are processed for patients with Patient Demographic Choice: \"Hipaa Notice Received\" set to \"Unassigned\" or \"Yes\". When unchecked, this choice must = \"YES\" to process the patient reminder. For patients with Choice =\"No\", Reminders will need to be processed manually.'),
(11872, 'When Checked, Patient Encounter Number Will Show in Patient Flow Board.'),
(11873, 'When Checked, Patient ID Will Show in Patient Flow Board.'),
(11874, 'When Checked, Visit Reason Will Show in Patient Flow Board.'),
(11875, 'When dealing with protected health information (PHI) and personally identifying information (PII) it is important to allow only authorized users access to the data'),
(11876, 'When done, click Submit (below) to apply your choices.'),
(11877, 'When such an order is placed the returned results will contains the values for all components of CBC, Comprehensive Metabolic Panel and TSH'),
(11878, 'When the generated report is displayed in a separate tab there is an option that lets you view a Printable Version that can be printed'),
(11879, 'When the key is first registered it generates a random number, which is called a nonce'),
(11880, 'When the user initially visits this page the following message will be visible'),
(11881, 'When you place an order you can search for Well Woman Tests under favorites and select it to automatically order Blood Glucose, TSH and Vitamin D with a single click'),
(11882, 'Where may related scanned or paper documents be found?'),
(11883, 'Where on your body does it occur?'),
(11884, 'Whether Insured'),
(11885, 'which days are your weekend days?'),
(11886, 'Which notes are to be displayed in the Billing Screen'),
(11887, 'While forwarding a dated reminder the old message is displayed, it can be overwritten'),
(11888, 'While it is intuitive to think of this module as the place where lab tests and imaging studies can be ordered and reviewed this module can also be used to track other procedures performed in office'),
(11889, 'While lab tests and radiological tests can be performed in the practice facility they are generally done at an external facility and the provider details for that entity will have to be entered in openEMR before the Procedure module setup can begin'),
(11890, 'Whiplash'),
(11891, 'White'),
(11892, 'White list'),
(11893, 'White-to-white'),
(11894, 'Who'),
(11895, 'Who replied?'),
(11896, 'Whose Online'),
(11897, 'Widowed'),
(11898, 'Width'),
(11899, 'Width in pixels of the left navigation frame in frame based layout.'),
(11900, 'Width in pixels of the left navigation frame.'),
(11901, 'Will add another dropdown menu in the CPT line to let you select a provider for that line item'),
(11902, 'will be hidden if'),
(11903, 'will have the following validation rules'),
(11904, 'With checked items plot'),
(11905, 'with import'),
(11906, 'with preferred language'),
(11907, 'With selected:'),
(11908, 'with the old name'),
(11909, 'With the U2F key you will need to plug it in to the USB port and then access OpenEMR using the latest versions of the following modern browsers - Chrome, Firefox, Safari, Edge and Opera and pressing the button on the device'),
(11910, 'with value'),
(11911, 'With whom may we leave a message?'),
(11912, 'Withheld'),
(11913, 'within hours'),
(11914, 'within hours:'),
(11915, 'within minutes'),
(11916, 'within minutes:'),
(11917, 'Without Facility'),
(11918, 'Without Provider'),
(11919, 'Without Update'),
(11920, 'Witness'),
(11921, 'wk'),
(11922, 'WNL'),
(11923, 'Wolof'),
(11924, 'Women'),
(11925, 'Women Only'),
(11926, 'WordPress Portal'),
(11927, 'Work'),
(11928, 'WORK NOTE'),
(11929, 'Work Phone'),
(11930, 'Work Phone Number'),
(11931, 'Work related?'),
(11932, 'Work/ Education/ Hobbies'),
(11933, 'Work/School Note'),
(11934, 'workday'),
(11935, 'Worker`s Compensation'),
(11936, 'Workers Compensation Health Plan'),
(11937, 'Working Aged Beneficiary or Spouse with Employer Group Health Plan'),
(11938, 'Working on request.'),
(11939, 'Working!'),
(11940, 'Working... this may take a minute.'),
(11941, 'Worse'),
(11942, 'Would you like the balance amount to apply to Global Account?'),
(11943, 'Would You Like them to be Marked as Cleared.'),
(11944, 'Would you like to Allocate?'),
(11945, 'Would you like to Cancel Distribution for this Patient?'),
(11946, 'Would you like to Delete Payment Distribution?'),
(11947, 'Would you like to Delete Payments?'),
(11948, 'Would you like to Modify and Finish Payments?'),
(11949, 'Would you like to Modify Payments?'),
(11950, 'Would you like to Post and Finish Payments?'),
(11951, 'Would you like to Post Payments?'),
(11952, 'Would you like to save?'),
(11953, 'Wrist'),
(11954, 'Wrist and hand'),
(11955, 'Wrist Problems'),
(11956, 'write'),
(11957, 'write - can read and fully modify'),
(11958, 'write off'),
(11959, 'Write Once'),
(11960, 'wsome'),
(11961, 'wsome - can read and partially modify'),
(11962, 'WSXGA+'),
(11963, 'WT'),
(11964, 'W{{Current Rx - wearing}}'),
(11965, 'W{{Wednesday}}'),
(11966, 'x Canceled'),
(11967, 'x Cancelled'),
(11968, 'X(T){{intermittent exophoria}}'),
(11969, 'X-ray'),
(11970, 'X-RAY Interpretation:'),
(11971, 'X-Ray Interpretation:'),
(11972, 'X12 only ICN resubmission No.'),
(11973, 'X12 only replacement claim:'),
(11974, 'X12 only: Replacement Claim'),
(11975, 'X12 only: Replacement Claim '),
(11976, 'X12 only: Replacement Claim, X12 only ICN resubmission No is used for electronic resubmission of claims. Requirement varies by insurer'),
(11977, 'X12 OPTIONS'),
(11978, 'X12 Partner'),
(11979, 'X12 Partners'),
(11980, 'x12 Segments'),
(11981, 'x12 Text'),
(11982, 'Xhosa'),
(11983, 'XHR Failed:'),
(11984, 'XML'),
(11985, 'XT{{exotropia}}'),
(11986, 'X{{exophoria}}'),
(11987, 'Y'),
(11988, 'year'),
(11989, 'Year'),
(11990, 'Year View'),
(11991, 'Year(s)'),
(11992, 'Years'),
(11993, 'years ago'),
(11994, 'Years or months'),
(11995, 'Years, months and days'),
(11996, 'Yes'),
(11997, 'YES'),
(11998, 'yes'),
(11999, 'YES!'),
(12000, 'Yes, Delete and Log'),
(12001, 'Yes, Delete this form'),
(12002, 'Yes/No'),
(12003, 'Yes:'),
(12004, 'Yiddish'),
(12005, 'Yoruba'),
(12006, 'You are about to delete template'),
(12007, 'You are about to delete the following form from this encounter'),
(12008, 'You are about to permanently replace the existing template. Are you sure you wish to continue?'),
(12009, 'You are currently logged in as'),
(12010, 'You are currently not signed in.'),
(12011, 'You are in Grace Login period. Change your password before'),
(12012, 'You are not allowed to delete this event'),
(12013, 'You are not allowed to edit this event'),
(12014, 'You are not authorized for this.'),
(12015, 'You are not authorized to access this squad'),
(12016, 'You are not authorized to access this squad.'),
(12017, 'You are not authorized to add/edit issues'),
(12018, 'You are not authorized to schedule appointments.'),
(12019, 'You are not authorized to see this encounter.'),
(12020, 'You are not authorized!'),
(12021, 'You are posting against an old encounter?'),
(12022, 'You are sending to yourself!'),
(12023, 'You are using patient validation module'),
(12024, 'You can add multiple patients to the list'),
(12025, 'You can add multiple users by selecting them one at a time'),
(12026, 'You can also add an Issue from this page by clicking on the Add Issue button to bring up the Add issue pop-up page'),
(12027, 'You can change the type or leave it as it is'),
(12028, 'You can click on the envelope icon to access the messaging center'),
(12029, 'You can click on the patient name to quickly access the patient\'s chart'),
(12030, 'You can click on the Select All button to choose all authorized users'),
(12031, 'You can close the edit box by clicking on the \'slashed eye\' icon next to the group\'s name.'),
(12032, 'You can delete the recall by clicking on the X button on the top right corner of the cell'),
(12033, 'You can download the Loinc Universal LabOrders ValueSet.csv file from here'),
(12034, 'You can edit the title if you so choose'),
(12035, 'You can enter data into all 5 categories from this page'),
(12036, 'You can link the allergy to one or more encounters if appropriate'),
(12037, 'You can link the medication to one or more encounters if appropriate'),
(12038, 'You can not access this function directly.'),
(12039, 'You can not change status to \'Arrive\' before the appointment\'s time'),
(12040, 'You can only add to the existing message and cannot edit previously entered data'),
(12041, 'You can only place an order for Electrolyte Panel and have the entire panel tested and have their results returned'),
(12042, 'You can only select'),
(12043, 'You can search for and select the codes by clicking once on each line containing the code'),
(12044, 'You can sort the pending messages in ascending or descending order by clicking on the arrowhead in each cell of the table header'),
(12045, 'You can then proceed to link the newly added issue to encounters'),
(12046, 'You can upload content and label them by ICD10 code enable you to search and download the selected material'),
(12047, 'You can use LOINC codes for the Standard Codes'),
(12048, 'You can use the above method to create orders for the rest of the Organ/Disease Panels except for the General Health Panel that consists of CBC, Comprehensive Metabolic Panel and TSH and the Obstetric Panel that has CBC as one of its components'),
(12049, 'You can use the codes given on the paper lab slip of a local lab of major lab as the Identifying codes'),
(12050, 'You cannot access this page directly.'),
(12051, 'You cannot add a blank value for a category!'),
(12052, 'You cannot add a blank value for a subcategory!'),
(12053, 'You cannot add a blank value for an item!'),
(12054, 'You cannot edit the already chosen lab, if sending to different lab delete entry and create a new one'),
(12055, 'You cannot enter a future date with a completed value of YES.'),
(12056, 'You could manually edit this date should you choose to or an entirely different date'),
(12057, 'You did not choose any actions.'),
(12058, 'You do not have access to view/edit this note'),
(12059, 'You have'),
(12060, 'You have an invoice due for payment in your Patient Documents. There you may pay, download or print the invoice. Thank you.'),
(12061, 'You have attempted to alter content which is locked. Remove the lock if you want to do this. To unlock, remove the line, \'/*lock::*/\''),
(12062, 'You have been signed out. Thank you.'),
(12063, 'You have been successfully logged out.'),
(12064, 'You have chosen to be self insured or currently do not have insurance. Click next to continue registration.'),
(12065, 'You have finished the assessment.'),
(12066, 'You have not entered any clinical services or products. Click Cancel to add them. Or click OK if you want to save as-is.'),
(12067, 'You have now successfully completed an order for a single lab test'),
(12068, 'You have selected to delete'),
(12069, 'You have to have an understanding how the program is structured and the ability and willingness to modify the underlying code.'),
(12070, 'You have unsaved changes.'),
(12071, 'You have unsaved changes. Abandon them?'),
(12072, 'You have unsaved changes. Do you really want to close this form?'),
(12073, 'You may be required to change your password during first login.'),
(12074, 'You may only upload .txt files'),
(12075, 'You may optionally upload HL7 results from a file'),
(12076, 'You may put text here as the default complaint in the New Patient Encounter form.'),
(12077, 'You may still use formatting if template is also used in Nation Notes however, pure text will still render here.'),
(12078, 'You may type in a name of the person referring or leave blank'),
(12079, 'You may want to try returning to the the previous page and verifying that all fields have been filled out correctly.'),
(12080, 'You must activate Weno first! Go to Administration, Globals, Connectors'),
(12081, 'You must agree to the HIPAA Business Associate Agreement'),
(12082, 'You must agree to the Terms & Conditions before signing up'),
(12083, 'You must confirm this Username.'),
(12084, 'You must enter a new or reenter current password to keep it. Even for Username change.'),
(12085, 'You must enter a pass phrase to encrypt the document'),
(12086, 'You must enter a reason to cancel this appointment?'),
(12087, 'You must enter your own password to change user passwords. Leave blank to keep password unchanged.'),
(12088, 'You must first select an item in the section whose radio button is checked.'),
(12089, 'You must first select or add a patient or therapy group.'),
(12090, 'You must first select or add a patient.'),
(12091, 'You must first select or create an encounter.'),
(12092, 'You must select a visit category'),
(12093, 'You must select a visit category.'),
(12094, 'You must select some fields to continue.'),
(12095, 'You need administrator privileges to add more options'),
(12096, 'You need administrator privileges to disable the default Recall Board'),
(12097, 'You need administrator privileges to enable the MedEx Communication Service'),
(12098, 'You need administrator privileges to give access to other groups'),
(12099, 'You need administrator privileges to increase the number of reminders to show'),
(12100, 'You need administrator privileges to perform the changes to the values in the drop-down boxes.'),
(12101, 'You need administrator privileges to perform the setup'),
(12102, 'You need administrator privileges to perform this action'),
(12103, 'You need to go back and and create a provider'),
(12104, 'You should be running this test if this claim appeared to generate successfully but the actual claim file does not contain any data or only an unfinished portion of the amount of data it is supposed to contain. It is obvious with HCFA claims because they are human readable, with X12 claims it is a more difficult process to determine if the claim is properly complete.'),
(12105, 'You should not make Discrete Result for Potassium be a descendant of a preceding Discrete Result i.e Sodium , i.e have a Tier value of 5'),
(12106, 'You should select at least one context'),
(12107, 'You should select at least one Provider'),
(12108, 'You will be automatically redirected to Demographics. You may make the necessary corrections and navigate to NewCrop again.'),
(12109, 'You will be notified when the payment transaction is confirmed.'),
(12110, 'You will be notified when your payment is applied for this invoice.'),
(12111, 'You will need Administrator privileges to edit this form'),
(12112, 'You will need Administrator privileges to enable the patient portal'),
(12113, 'You will need Administrator Privileges to install the ICD10 code set'),
(12114, 'You will need Administrator privileges to setup phiMail Direct Messaging'),
(12115, 'You will need Administrator privileges to setup the NewCrop service and has to be setup in conjunction with technical support from the NewCrop eRx service'),
(12116, 'Your account has been successfully created however, we were unable to send the account information.'),
(12117, 'Your browser does not support HTML5 audio'),
(12118, 'Your Clinical Report'),
(12119, 'Your credentials are provided by your provider'),
(12120, 'Your current TOTP key QR code is displayed below.'),
(12121, 'your email address'),
(12122, 'Your end date is invalid'),
(12123, 'Your event has been deleted.'),
(12124, 'Your event has been modified.'),
(12125, 'Your event has been submitted.'),
(12126, 'Your file doesn\'t have an extension'),
(12127, 'Your file is too large'),
(12128, 'Your first day of the week.'),
(12129, 'Your Id is missing. Cancel and try again.'),
(12130, 'Your installation of OpenEMR has been registered'),
(12131, 'Your Lab Results'),
(12132, 'Your list name has been changed to meet naming requirements.'),
(12133, 'Your message was submitted for delivery to'),
(12134, 'Your name for this category, procedure or result'),
(12135, 'Your new credentials have been sent. Check your email inbox and also possibly your spam folder. Once you log into your patient portal feel free to make an appointment or send us a secure message. We look forward to seeing you soon.'),
(12136, 'your next appointment at'),
(12137, 'Your on file email address'),
(12138, 'Your one time credential reset link has expired. Reset and try again.'),
(12139, 'Your Password'),
(12140, 'Your Password Expired. Please change your password.'),
(12141, 'Your Password Expires on'),
(12142, 'Your password expires today. Please change your password now.'),
(12143, 'Your Password Expires today. Please change your password.'),
(12144, 'Your password is your signature'),
(12145, 'Your Portal Login Web Address. Bookmark for future logins.'),
(12146, 'Your PostCalendar configuration has been reset to use defaults.'),
(12147, 'Your PostCalendar configuration has been updated.'),
(12148, 'Your repeating frequency must be an integer.'),
(12149, 'Your repeating frequency must be at least 1.'),
(12150, 'Your safe key is'),
(12151, 'Your start date is greater than your end date'),
(12152, 'Your start date is invalid'),
(12153, 'Your submission failed.'),
(12154, 'Your weekend days'),
(12155, 'Yubikey also sells more expensive U2F keys designed to work with mobile devices'),
(12156, 'yyyy-mm-dd'),
(12157, 'YYYY-MM-DD'),
(12158, 'yyyy-mm-dd date associated with this document'),
(12159, 'yyyy-mm-dd date destroyed'),
(12160, 'yyyy-mm-dd date of birth'),
(12161, 'yyyy-mm-dd Date of Birth'),
(12162, 'yyyy-mm-dd date of expiration'),
(12163, 'yyyy-mm-dd Date of onset or hospitalization'),
(12164, 'yyyy-mm-dd date of onset, surgery or start of medication'),
(12165, 'yyyy-mm-dd date of purchase or transfer'),
(12166, 'yyyy-mm-dd date of recovery or end of medication'),
(12167, 'yyyy-mm-dd Date of return to play'),
(12168, 'yyyy-mm-dd Date of service'),
(12169, 'yyyy-mm-dd date of this letter'),
(12170, 'yyyy-mm-dd date returned to play'),
(12171, 'yyyy-mm-dd document date'),
(12172, 'yyyy-mm-dd End Date'),
(12173, 'yyyy-mm-dd event date or starting date'),
(12174, 'yyyy-mm-dd H:m End Date'),
(12175, 'yyyy-mm-dd H:m End date'),
(12176, 'yyyy-mm-dd H:m Start Date'),
(12177, 'yyyy-mm-dd H:m Start date'),
(12178, 'yyyy-mm-dd hh:mm:ss'),
(12179, 'yyyy-mm-dd Hours(24):minutes'),
(12180, 'yyyy-mm-dd last date of this event'),
(12181, 'yyyy-mm-dd Start Date'),
(12182, 'yyyy-mm-dd starting date for search'),
(12183, 'ZEF segment internal error'),
(12184, 'Zend Module'),
(12185, 'Zend Module check in addition to standard check'),
(12186, 'Zero'),
(12187, 'Zhuang, Chuang'),
(12188, 'Zip'),
(12189, 'Zip Code'),
(12190, 'ZIP Code'),
(12191, 'Zip/Country:'),
(12192, 'Zoom'),
(12193, 'Zoom in'),
(12194, 'Zoom out'),
(12195, 'Zoom: click-drag, Pan: shift-click-drag, Restore: double-click'),
(12196, 'Zulu'),
(12197, ' but was '),
(12198, ' could not be accessed.'),
(12199, ' Do you really want to delete'),
(12200, ' Drug'),
(12201, ' emails not sent'),
(12202, ' from'),
(12203, ' has been created. '),
(12204, ' has been re-opened.'),
(12205, ' History'),
(12206, ' is not a number'),
(12207, ' is ready for re-billing.'),
(12208, ' LLL:'),
(12209, ' Lot'),
(12210, ' Medicaid Original Reference No. '),
(12211, ' min'),
(12212, ' not found!'),
(12213, ' Pecularities in many browsers may mean that the output below enters your screen in sudden jerks and that there are long pauses of several seconds where it  appears as though things may have crashed. That is not the case, you will eventually see output coming out line by line. There may be sequential numbers appearing  below, this is to indicate that even though nothing else may be displaying there is activity going on. These numbers will be interspersed with the content of the  billing and that is normal.'),
(12214, ' prescription has reached its limit of'),
(12215, ' until '),
(12216, ' update failed, not in database?'),
(12217, ' was marked as billed only.'),
(12218, ' was queued successfully.'),
(12219, '! Left w/o visit'),
(12220, '\" for code '),
(12221, '\" is CHECKED in PostCalendar Settings!'),
(12222, '# Ins/fin issue'),
(12223, '# of tablets:'),
(12224, '$'),
(12225, '$ Coding done'),
(12226, '$label (yyyy-mm-dd): '),
(12227, '%'),
(12228, '% Canceled < 24h'),
(12229, '% Cancelled <  24h '),
(12230, '\' should exist but does not.'),
(12231, '(% matches any string, _ matches any character)'),
(12232, '([ctrl] + click to select multiple recipients)'),
(12233, '(Back)'),
(12234, '(Click to edit)'),
(12235, '(Email delivery is immediate, while automated VOIP is sent to the service provider for further processing.)'),
(12236, '(More)'),
(12237, '(New Patient)'),
(12238, '(Notes and Authorizations)'),
(12239, '(Patient Notes)'),
(12240, '(Select one of these, or type your own title)'),
(12241, '(Shift-)Click or drag to change value'),
(12242, '* Reminder done'),
(12243, '** Please move surgeries to Issues!'),
(12244, '*Required'),
(12245, '+ Chart pulled'),
(12246, '+1'),
(12247, '+2'),
(12248, '+3'),
(12249, '- None'),
(12250, '- Not Reported'),
(12251, '-- All --'),
(12252, '--Select Role--'),
(12253, '.'),
(12254, '0'),
(12255, '0-10'),
(12256, '0-24'),
(12257, '02/12{{CMS 1500 format date revision setting in globals}}'),
(12258, '08/05{{CMS 1500 format date revision setting in globals}}'),
(12259, '1'),
(12260, '1 = North America. See http://www.wtng.info/ for a list of other country codes.'),
(12261, '1 Day From Now'),
(12262, '1 Month From Now'),
(12263, '1 Week From Now'),
(12264, '1 Year From Now'),
(12265, '1.Rest 2. Ice for two days 3. Compression, leave the dressing in place unless the foot develops numbness or pale color 4. Elevate the foot and leg'),
(12266, '11-14'),
(12267, '12 hr'),
(12268, '15-19'),
(12269, '1mm'),
(12270, '1st'),
(12271, '1st{{nth}}'),
(12272, '2'),
(12273, '2 Days From Now'),
(12274, '2 Months From Now'),
(12275, '2 Weeks From Now'),
(12276, '2 Years From Now'),
(12277, '2-20 years'),
(12278, '20-24'),
(12279, '2011 Automated Measure Calculations (AMC)'),
(12280, '2011 Clinical Quality Measures (CQM)'),
(12281, '2011 Official Clinical Quality Measures (CQM) Measure Groups'),
(12282, '2014 Automated Measure Calculations (AMC)'),
(12283, '2014 Automated Measure Calculations (AMC) - Stage I'),
(12284, '2014 Automated Measure Calculations (AMC) - Stage II'),
(12285, '2014 Clinical Quality Measures (CQM)'),
(12286, '2014 Official Clinical Quality Measures (CQM) Measure Groups'),
(12287, '2111-13'),
(12288, '24 hr'),
(12289, '25+'),
(12290, '25-29'),
(12291, '271 Returned'),
(12292, '2mm'),
(12293, '2nd'),
(12294, '2nd{{every}}'),
(12295, '2nd{{nth}}'),
(12296, '3 Days From Now'),
(12297, '3 months'),
(12298, '3 Months From Now'),
(12299, '3 times daily'),
(12300, '3 Weeks From Now'),
(12301, '30-34'),
(12302, '35-39'),
(12303, '3mm'),
(12304, '3rd'),
(12305, '3rd{{every}}'),
(12306, '3rd{{nth}}'),
(12307, '4 Days From Now'),
(12308, '4 months'),
(12309, '4 Months From Now'),
(12310, '4 times daily'),
(12311, '4 Weeks From Now'),
(12312, '40-44'),
(12313, '45+'),
(12314, '465.9, URI'),
(12315, '466.0, Bronchitis, Acute NOS'),
(12316, '486.0, Pneumonia, Acute'),
(12317, '491.21, COPD Exacerbation'),
(12318, '491.8, Bronchitis, Chronic'),
(12319, '493.92, Asthma, Acute Exac.'),
(12320, '496.0, COPD'),
(12321, '4K UHD'),
(12322, '4mm'),
(12323, '4th'),
(12324, '4th{{every}}'),
(12325, '4th{{nth}}'),
(12326, '5 Days From Now'),
(12327, '5 Months From Now'),
(12328, '5 Weeks From Now'),
(12329, '519.7, Bronchospasm'),
(12330, '5mm'),
(12331, '5th'),
(12332, '5th{{every}}'),
(12333, '6 Days From Now'),
(12334, '6 months'),
(12335, '6 Months From Now'),
(12336, '6 Weeks From Now'),
(12337, '6th'),
(12338, '6th{{every}}'),
(12339, '7 Months From Now'),
(12340, '8 Months From Now'),
(12341, '8-12 characters long, including at least one upper case letter, one lower case letter, one number, one special character and no common strings'),
(12342, '824.0 Fracture, medial malleolus, closed'),
(12343, '824.2 Fracture, lateral malleolus, closed'),
(12344, '824.6 Fracture, Trimalleolar, closed'),
(12345, '825.32 Fracture, of Navicular (ankle)'),
(12346, '825.35 Fracture, Base of fifth (5th) Metatarsal'),
(12347, '845.00 ankle sprain NOS'),
(12348, '845.01 Sprain Medial (Deltoid) Lig.'),
(12349, '845.02 Sprain, Calcaneal fibular'),
(12350, '9 Months From Now'),
(12351, '99212 Established - Uncomplicated'),
(12352, '99213 Established - Low Complexity'),
(12353, '< In exam room'),
(12354, '< Not Reported'),
(12355, '= Took Place'),
(12356, '> 3 HPI elements'),
(12357, '> Checked out'),
(12358, '> Did Not Take Place'),
(12359, '?'),
(12360, '? Did Not Attend'),
(12361, '? No show'),
(12362, '@ Arrived'),
(12363, '@ Attended'),
(12364, '[Change View]'),
(12365, '[Date of Last Encounter]'),
(12366, '[Days Since Last Encounter]'),
(12367, '[EOBs]'),
(12368, '[Export OFX]'),
(12369, '[not recommended]'),
(12370, '[Number Of Encounters]'),
(12371, '[Reports]'),
(12372, '[Select All]'),
(12373, '[SQL-Ledger]'),
(12374, '[Start Batch Processing]'),
(12375, '[View Log]'),
(12376, '[View Printable Report]'),
(12377, '^ Pending'),
(12378, '_PC_DUR_HOURS'),
(12379, '_PC_DUR_MINUTES'),
(12380, '_PC_LOCALE'),
(12381, '~ Arrived late'),
(12382, '~ Late Arrival');

--


--
-- Table structure for table `lang_definitions`
--


DROP TABLE IF EXISTS `lang_definitions`;
CREATE TABLE `lang_definitions` (
  `def_id` int(11) NOT NULL auto_increment,
  `cons_id` int(11) NOT NULL default '0',
  `lang_id` int(11) NOT NULL default '0',
  `definition` mediumtext,
  UNIQUE KEY `def_id` (`def_id`),
  KEY `cons_id` (`cons_id`)
) ENGINE=InnoDB AUTO_INCREMENT=197734 ;


--
-- Dumping data for table `lang_definitions`
--

INSERT INTO `lang_definitions` VALUES (1, 1, 2, 'En');
INSERT INTO `lang_definitions` VALUES (2, 2, 2, 'Ett betalningsnr för att identifiera betalningen');
INSERT INTO `lang_definitions` VALUES (3, 4, 2, 'Klientcertifikat för admin användaren');
INSERT INTO `lang_definitions` VALUES (4, 7, 2, 'Ett klinikdokument är bifogat');
INSERT INTO `lang_definitions` VALUES (5, 13, 2, 'En distributör behövs');
INSERT INTO `lang_definitions` VALUES (6, 17, 2, 'Ett GCAC besöksformulär ska läggas till för detta besök');
INSERT INTO `lang_definitions` VALUES (7, 20, 2, 'Ett lot-nr krävs!');
INSERT INTO `lang_definitions` VALUES (8, 21, 2, 'Ett lot-nr krävs!');
INSERT INTO `lang_definitions` VALUES (9, 22, 2, 'En liten bokstav');
INSERT INTO `lang_definitions` VALUES (10, 28, 2, 'Ett tal');
INSERT INTO `lang_definitions` VALUES (11, 30, 2, 'En patient med detta ID finns redan');
INSERT INTO `lang_definitions` VALUES (12, 31, 2, 'En patient med detta namn finns redan');
INSERT INTO `lang_definitions` VALUES (13, 32, 2, 'En patient med detta personnummer ( SS ) finns redan');
INSERT INTO `lang_definitions` VALUES (14, 36, 2, 'ייהי)7)))');
INSERT INTO `lang_definitions` VALUES (15, 37, 2, 'Ett positivt nummer kommer visa antalet tidigare bokningar i en ruta på patientöversikten.');
INSERT INTO `lang_definitions` VALUES (16, 43, 2, 'Den remitterande instansen kan framgå vid varje besök');
INSERT INTO `lang_definitions` VALUES (17, 44, 2, 'En relaterad IPPF kod krävs!');
INSERT INTO `lang_definitions` VALUES (18, 49, 2, 'Ett specialtecken');
INSERT INTO `lang_definitions` VALUES (19, 53, 2, 'Ett unikt värde, som ej är synlig för användaren, identifierar detta fält.');
INSERT INTO `lang_definitions` VALUES (20, 57, 2, 'Före måltid');
INSERT INTO `lang_definitions` VALUES (21, 58, 2, 'förmiddag');
INSERT INTO `lang_definitions` VALUES (22, 62, 2, 'AB');
INSERT INTO `lang_definitions` VALUES (23, 63, 2, 'Förkortning');
INSERT INTO `lang_definitions` VALUES (24, 64, 2, 'Abscess');
INSERT INTO `lang_definitions` VALUES (25, 65, 2, 'Abdominell');
INSERT INTO `lang_definitions` VALUES (26, 66, 2, 'kan bära vikt fyra (4) steg:');
INSERT INTO `lang_definitions` VALUES (27, 67, 2, 'Patologisk');
INSERT INTO `lang_definitions` VALUES (28, 68, 2, 'ABN1');
INSERT INTO `lang_definitions` VALUES (29, 70, 2, 'Patologisk');
INSERT INTO `lang_definitions` VALUES (30, 71, 2, 'Patologiskt blodprov');
INSERT INTO `lang_definitions` VALUES (31, 72, 2, 'Avvikande hårväxt');
INSERT INTO `lang_definitions` VALUES (32, 73, 2, 'Patologisk mammografi');
INSERT INTO `lang_definitions` VALUES (33, 75, 2, 'Abort');
INSERT INTO `lang_definitions` VALUES (34, 76, 2, 'Abortrelaterad problematik');
INSERT INTO `lang_definitions` VALUES (35, 77, 2, 'Abortmetod');
INSERT INTO `lang_definitions` VALUES (36, 78, 2, 'Abortrelaterade kategorier');
INSERT INTO `lang_definitions` VALUES (37, 79, 2, 'Aborter');
INSERT INTO `lang_definitions` VALUES (38, 82, 2, 'Om kalendern');
INSERT INTO `lang_definitions` VALUES (39, 85, 2, 'Frånvaro av Diagnos');
INSERT INTO `lang_definitions` VALUES (40, 87, 2, 'Acceptera uppdrag');
INSERT INTO `lang_definitions` VALUES (41, 89, 2, 'acceptera betalning för');
INSERT INTO `lang_definitions` VALUES (42, 90, 2, 'acceptera betalning för');
INSERT INTO `lang_definitions` VALUES (43, 91, 2, 'Accepterar uppdrag');
INSERT INTO `lang_definitions` VALUES (44, 93, 2, 'Åtkomstkontroll');
INSERT INTO `lang_definitions` VALUES (45, 94, 2, 'Hantera åtkomst');
INSERT INTO `lang_definitions` VALUES (46, 102, 2, 'Åtkomst ej tillåten');
INSERT INTO `lang_definitions` VALUES (47, 103, 2, 'Åtkomst ej tillåten');
INSERT INTO `lang_definitions` VALUES (48, 105, 2, 'Öppna patientöversikten');
INSERT INTO `lang_definitions` VALUES (49, 113, 2, 'Konto namn');
INSERT INTO `lang_definitions` VALUES (50, 117, 2, 'Redovisning');
INSERT INTO `lang_definitions` VALUES (51, 122, 2, 'värker');
INSERT INTO `lang_definitions` VALUES (52, 124, 2, 'Begärt godokännande (ISA14)');
INSERT INTO `lang_definitions` VALUES (53, 125, 2, 'Godkännande, licenser och certifikat');
INSERT INTO `lang_definitions` VALUES (54, 126, 2, 'Användarlista (ACL)');
INSERT INTO `lang_definitions` VALUES (55, 127, 2, 'Administration av användarlista (ACL)');
INSERT INTO `lang_definitions` VALUES (56, 129, 2, 'Ej behörig administrera användarlista (ACL)');
INSERT INTO `lang_definitions` VALUES (57, 133, 2, 'Akne');
INSERT INTO `lang_definitions` VALUES (58, 136, 2, 'Aktuellt');
INSERT INTO `lang_definitions` VALUES (59, 137, 2, 'Aktivitetsdatum');
INSERT INTO `lang_definitions` VALUES (60, 138, 2, 'Åtgärd');
INSERT INTO `lang_definitions` VALUES (61, 142, 2, 'Åtgärder');
INSERT INTO `lang_definitions` VALUES (62, 144, 2, 'Rapportera fortsatt vårdbegäran (CCR/CCD)');
INSERT INTO `lang_definitions` VALUES (63, 148, 2, 'Aktiva');
INSERT INTO `lang_definitions` VALUES (64, 150, 2, 'Aktiv påminnelse');
INSERT INTO `lang_definitions` VALUES (65, 152, 2, 'Regler för aktiv påminnelse');
INSERT INTO `lang_definitions` VALUES (66, 153, 2, 'Aktiva påminnelser');
INSERT INTO `lang_definitions` VALUES (67, 158, 2, 'Aktivt besök');
INSERT INTO `lang_definitions` VALUES (68, 159, 2, 'Códigos de questões ativas');
INSERT INTO `lang_definitions` VALUES (69, 160, 2, 'Aktiva listor');
INSERT INTO `lang_definitions` VALUES (70, 162, 2, 'Aktiv patient');
INSERT INTO `lang_definitions` VALUES (71, 163, 2, 'Aktuella planeringar');
INSERT INTO `lang_definitions` VALUES (72, 173, 2, 'Aktiviteter');
INSERT INTO `lang_definitions` VALUES (73, 174, 2, 'Aktivitetstyp');
INSERT INTO `lang_definitions` VALUES (74, 185, 2, 'Akut förgiftning / Utsättning');
INSERT INTO `lang_definitions` VALUES (75, 187, 2, 'Akut försämring av kronisk');
INSERT INTO `lang_definitions` VALUES (76, 189, 2, 'Lägg till');
INSERT INTO `lang_definitions` VALUES (77, 190, 2, 'lägg till');
INSERT INTO `lang_definitions` VALUES (78, 191, 2, 'Lägg till');
INSERT INTO `lang_definitions` VALUES (79, 192, 2, 'Lägg till ett företag');
INSERT INTO `lang_definitions` VALUES (80, 197, 2, 'Lägg till ett apotek');
INSERT INTO `lang_definitions` VALUES (81, 200, 2, 'lägg till ett händelse för');
INSERT INTO `lang_definitions` VALUES (82, 202, 2, 'Lägg till som en ny anteckning');
INSERT INTO `lang_definitions` VALUES (83, 203, 2, 'Lägg till som ny');
INSERT INTO `lang_definitions` VALUES (84, 206, 2, 'Lägg till knappar');
INSERT INTO `lang_definitions` VALUES (85, 207, 2, 'Lägg till knappar för specialtecken och texter att visa längst upp i editorn för inkludering i texten med ett klick');
INSERT INTO `lang_definitions` VALUES (86, 208, 2, 'Lägg till en ny Kategori');
INSERT INTO `lang_definitions` VALUES (87, 209, 2, 'Lägg till en ny Konstant');
INSERT INTO `lang_definitions` VALUES (88, 210, 2, 'Lägg till ett sammanhang');
INSERT INTO `lang_definitions` VALUES (89, 211, 2, 'Lägg till en delbetalning');
INSERT INTO `lang_definitions` VALUES (90, 212, 2, 'Lägg till ett nytt kriterium');
INSERT INTO `lang_definitions` VALUES (91, 213, 2, 'Lägg till anpassad knapp');
INSERT INTO `lang_definitions` VALUES (92, 216, 2, 'Lägg till en ny diagnos');
INSERT INTO `lang_definitions` VALUES (93, 217, 2, 'Lägg till ett nytt Läkemedel');
INSERT INTO `lang_definitions` VALUES (94, 220, 2, 'Lägg till ett nytt besök');
INSERT INTO `lang_definitions` VALUES (95, 221, 2, 'Lägg till ett nytt besök/anteckning');
INSERT INTO `lang_definitions` VALUES (96, 222, 2, 'Lägg till en ny klinik');
INSERT INTO `lang_definitions` VALUES (97, 223, 2, 'Lägg till ett nytt fält');
INSERT INTO `lang_definitions` VALUES (98, 224, 2, 'Lägg till följande meningar till Apache konfigurationsfilen');
INSERT INTO `lang_definitions` VALUES (99, 225, 2, 'Lägg till en ny Grupp');
INSERT INTO `lang_definitions` VALUES (100, 227, 2, 'Lägg till en ny diagnos-kod (ICD)');
INSERT INTO `lang_definitions` VALUES (101, 228, 2, 'Lägg till en ny vaccination');
INSERT INTO `lang_definitions` VALUES (102, 229, 2, 'Inte tillåtet att lägga till!');
INSERT INTO `lang_definitions` VALUES (103, 230, 2, 'Lägg till händelse');
INSERT INTO `lang_definitions` VALUES (104, 232, 2, 'Lägg till ett nytt Språk');
INSERT INTO `lang_definitions` VALUES (105, 238, 2, 'Lägg till Ny');
INSERT INTO `lang_definitions` VALUES (106, 239, 2, 'Lägg till Ny');
INSERT INTO `lang_definitions` VALUES (107, 240, 2, 'Lägg till en ny kategori:');
INSERT INTO `lang_definitions` VALUES (108, 241, 2, 'Lägg till ett nytt certifikat till Apache konfigurationsfil');
INSERT INTO `lang_definitions` VALUES (109, 249, 2, 'Lägg till en ny grupp');
INSERT INTO `lang_definitions` VALUES (110, 251, 2, 'Lägg till en ny lot och överföring');
INSERT INTO `lang_definitions` VALUES (111, 253, 2, 'Lägg till en ny kommentar');
INSERT INTO `lang_definitions` VALUES (112, 254, 2, 'Lägg till en ny kommentar');
INSERT INTO `lang_definitions` VALUES (113, 255, 2, 'Lägg till en ny partner');
INSERT INTO `lang_definitions` VALUES (114, 264, 2, 'Lägg till en ny anteckning');
INSERT INTO `lang_definitions` VALUES (115, 268, 2, 'Lägg till en ny patient');
INSERT INTO `lang_definitions` VALUES (116, 269, 2, 'Lägg till ett nytt recept');
INSERT INTO `lang_definitions` VALUES (117, 270, 2, 'Lägg till åtgärd');
INSERT INTO `lang_definitions` VALUES (118, 271, 2, 'Lägg till Vårdgivares nummer');
INSERT INTO `lang_definitions` VALUES (119, 273, 2, 'Lägg till rehab');
INSERT INTO `lang_definitions` VALUES (120, 274, 2, 'Lägg till en ny regel');
INSERT INTO `lang_definitions` VALUES (121, 277, 2, 'Tillägg till');
INSERT INTO `lang_definitions` VALUES (122, 281, 2, 'Lägg till i medicinlista');
INSERT INTO `lang_definitions` VALUES (123, 282, 2, 'Tillägg av högsta nivå');
INSERT INTO `lang_definitions` VALUES (124, 283, 2, 'Lägg till en ny överföring');
INSERT INTO `lang_definitions` VALUES (125, 284, 2, 'Lägg till en ny användare');
INSERT INTO `lang_definitions` VALUES (126, 285, 2, 'Lägg till användaren i gruppen');
INSERT INTO `lang_definitions` VALUES (127, 287, 2, 'Lägg till/ändra elektroniskt recept');
INSERT INTO `lang_definitions` VALUES (128, 289, 2, 'Lägg till/ändra patientens överföringar');
INSERT INTO `lang_definitions` VALUES (129, 290, 2, 'tillagd');
INSERT INTO `lang_definitions` VALUES (130, 293, 2, 'Ej tillåtet att lägga till personuppgifter.');
INSERT INTO `lang_definitions` VALUES (131, 295, 2, 'Mb Addison');
INSERT INTO `lang_definitions` VALUES (132, 296, 2, 'Mb Addison');
INSERT INTO `lang_definitions` VALUES (133, 297, 2, 'Flera attribut');
INSERT INTO `lang_definitions` VALUES (134, 300, 2, 'Ytterligare Diagnos:');
INSERT INTO `lang_definitions` VALUES (135, 305, 2, 'Kompletterande anamnes');
INSERT INTO `lang_definitions` VALUES (136, 306, 2, 'Kompletterande anamnesuppgifter');
INSERT INTO `lang_definitions` VALUES (137, 307, 2, 'Kompletterande Information');
INSERT INTO `lang_definitions` VALUES (138, 310, 2, 'Kompletterande Lab. svar');
INSERT INTO `lang_definitions` VALUES (139, 311, 2, 'Kompletterande noteringar');
INSERT INTO `lang_definitions` VALUES (140, 313, 2, 'Ytterligare noteringar för detta resultat eller rekomendation');
INSERT INTO `lang_definitions` VALUES (141, 314, 2, 'Ytterligare noteringar:');
INSERT INTO `lang_definitions` VALUES (142, 315, 2, 'Ytterligare noteringar:');
INSERT INTO `lang_definitions` VALUES (143, 317, 2, 'Ytterligare röntgenanteckningar:');
INSERT INTO `lang_definitions` VALUES (144, 318, 2, 'Som tillägg, motsvarande US Snomed Extension Package can importeras separat efter instalation av den internationella (engelska) Snomed utgåvan');
INSERT INTO `lang_definitions` VALUES (145, 320, 2, 'Lägg endast till');
INSERT INTO `lang_definitions` VALUES (146, 322, 2, 'Adressbok');
INSERT INTO `lang_definitions` VALUES (147, 323, 2, 'Adressbok');
INSERT INTO `lang_definitions` VALUES (148, 324, 2, 'Adress');
INSERT INTO `lang_definitions` VALUES (149, 327, 2, 'Adressbok');
INSERT INTO `lang_definitions` VALUES (150, 328, 2, 'Tillgång till adressboken för företaget som utför denna åtgärd');
INSERT INTO `lang_definitions` VALUES (151, 329, 2, 'Tillgång till adressboken för distributören');
INSERT INTO `lang_definitions` VALUES (152, 330, 2, 'Tillgång till adressboken för försäljare');
INSERT INTO `lang_definitions` VALUES (153, 331, 2, 'Typer av adressböcker');
INSERT INTO `lang_definitions` VALUES (154, 339, 2, 'Adress1');
INSERT INTO `lang_definitions` VALUES (155, 340, 2, 'Adress2');
INSERT INTO `lang_definitions` VALUES (156, 342, 2, 'ADRESSATEN');
INSERT INTO `lang_definitions` VALUES (157, 345, 2, 'Justera');
INSERT INTO `lang_definitions` VALUES (158, 346, 2, 'Korrigera mängd');
INSERT INTO `lang_definitions` VALUES (159, 347, 2, 'Justera');
INSERT INTO `lang_definitions` VALUES (160, 348, 2, 'Korrigering');
INSERT INTO `lang_definitions` VALUES (161, 349, 2, 'Justera mängd');
INSERT INTO `lang_definitions` VALUES (162, 350, 2, 'Orsak till justering');
INSERT INTO `lang_definitions` VALUES (163, 352, 2, 'Justering av värde för kod');
INSERT INTO `lang_definitions` VALUES (164, 353, 2, 'Justeringar');
INSERT INTO `lang_definitions` VALUES (165, 354, 2, 'Administrera justeringar');
INSERT INTO `lang_definitions` VALUES (166, 355, 2, 'Administrera');
INSERT INTO `lang_definitions` VALUES (167, 356, 2, 'Admin E-postadress');
INSERT INTO `lang_definitions` VALUES (168, 357, 2, 'Administrera via');
INSERT INTO `lang_definitions` VALUES (169, 359, 2, 'Administrerad av');
INSERT INTO `lang_definitions` VALUES (170, 360, 2, 'Administrerad av');
INSERT INTO `lang_definitions` VALUES (171, 362, 2, 'Administrera plats');
INSERT INTO `lang_definitions` VALUES (172, 363, 2, 'Administration');
INSERT INTO `lang_definitions` VALUES (173, 365, 2, 'Administrera plats');
INSERT INTO `lang_definitions` VALUES (174, 366, 2, 'Administratörer');
INSERT INTO `lang_definitions` VALUES (175, 367, 2, 'Administratörer kan göra allt');
INSERT INTO `lang_definitions` VALUES (176, 368, 2, 'Godkänn datum');
INSERT INTO `lang_definitions` VALUES (177, 371, 2, 'Viktkontroller med uppföljning för vuxna');
INSERT INTO `lang_definitions` VALUES (178, 372, 2, 'Viktkontroller med uppföljning för vuxna');
INSERT INTO `lang_definitions` VALUES (179, 373, 2, 'Avancerade råd');
INSERT INTO `lang_definitions` VALUES (180, 374, 2, 'Avancerade råd');
INSERT INTO `lang_definitions` VALUES (181, 375, 2, 'Varning i avancerade råd');
INSERT INTO `lang_definitions` VALUES (182, 377, 2, 'Avancerad');
INSERT INTO `lang_definitions` VALUES (183, 380, 2, 'Råd');
INSERT INTO `lang_definitions` VALUES (184, 382, 2, 'Neutral grundstämning');
INSERT INTO `lang_definitions` VALUES (185, 386, 2, 'Joursamtal');
INSERT INTO `lang_definitions` VALUES (186, 387, 2, 'Efter flytt från det gamla lösenordshanteringen där lösenord sparadesokrypterat i användartabellenska denna flagga markeras så att enbart inloggning med den nya metoden kan användas');
INSERT INTO `lang_definitions` VALUES (187, 388, 2, 'Efter genomförandet av ovannämnda konfigurationer, importera admin. klientens certifikat till webläsaren och starta om Apache server ( tömma lösenord )');
INSERT INTO `lang_definitions` VALUES (188, 390, 2, 'Efter att PDF sparats, klicka på [View Log] för att söka efter fel.');
INSERT INTO `lang_definitions` VALUES (189, 393, 2, 'Efter sparandet av TEXT filer , klicka på [View Log] för att leta efter fel');
INSERT INTO `lang_definitions` VALUES (190, 396, 2, 'Efter sparandet av ditt parti, klicka på [View Log] för att granska för fel.');
INSERT INTO `lang_definitions` VALUES (191, 399, 2, 'När informationen är korrekt införd, klicka på Spara knappen.');
INSERT INTO `lang_definitions` VALUES (192, 404, 2, 'Planering av eftervård');
INSERT INTO `lang_definitions` VALUES (193, 406, 2, 'Igen');
INSERT INTO `lang_definitions` VALUES (194, 407, 2, 'Ålder');
INSERT INTO `lang_definitions` VALUES (195, 409, 2, 'Ålder av');
INSERT INTO `lang_definitions` VALUES (196, 410, 2, 'Ålderskategori');
INSERT INTO `lang_definitions` VALUES (197, 411, 2, 'Denna Åder är utanför befintlig intervall');
INSERT INTO `lang_definitions` VALUES (198, 412, 2, 'Format för att visa ålder');
INSERT INTO `lang_definitions` VALUES (199, 413, 2, 'Detta format för \"ålder från\" är inte tillåtet');
INSERT INTO `lang_definitions` VALUES (200, 414, 2, 'Detta format för \"ålder upp till\" är inte tillåtet');
INSERT INTO `lang_definitions` VALUES (201, 415, 2, 'Ålder från');
INSERT INTO `lang_definitions` VALUES (202, 416, 2, 'Ändra format för att visa ålder i år');
INSERT INTO `lang_definitions` VALUES (203, 417, 2, 'Högsta ålder');
INSERT INTO `lang_definitions` VALUES (204, 418, 2, 'Lägsta ålder');
INSERT INTO `lang_definitions` VALUES (205, 419, 2, 'Åldersintervall');
INSERT INTO `lang_definitions` VALUES (206, 421, 2, 'Kolumner med åldern');
INSERT INTO `lang_definitions` VALUES (207, 423, 2, 'Albansk');
INSERT INTO `lang_definitions` VALUES (208, 424, 2, 'Alkohol');
INSERT INTO `lang_definitions` VALUES (209, 425, 2, 'Alkoholkonsumtion');
INSERT INTO `lang_definitions` VALUES (210, 428, 2, 'Antal varningar');
INSERT INTO `lang_definitions` VALUES (211, 435, 2, 'Varningar');
INSERT INTO `lang_definitions` VALUES (212, 439, 2, 'Aleut-befolkning');
INSERT INTO `lang_definitions` VALUES (213, 440, 2, 'Alla');
INSERT INTO `lang_definitions` VALUES (214, 441, 2, 'Alla');
INSERT INTO `lang_definitions` VALUES (215, 443, 2, 'Alla (format A)');
INSERT INTO `lang_definitions` VALUES (216, 444, 2, 'Alla (format B)');
INSERT INTO `lang_definitions` VALUES (217, 445, 2, 'Allt ( Kumulativt )');
INSERT INTO `lang_definitions` VALUES (218, 448, 2, 'Alla Kategorier');
INSERT INTO `lang_definitions` VALUES (219, 450, 2, 'Alla koder');
INSERT INTO `lang_definitions` VALUES (220, 453, 2, 'Hela dagen');
INSERT INTO `lang_definitions` VALUES (221, 454, 2, 'Heldagshändelse');
INSERT INTO `lang_definitions` VALUES (222, 455, 2, 'Alla demografiska fält , med sökning och dubbel kontroll');
INSERT INTO `lang_definitions` VALUES (223, 457, 2, 'Alla kliniker');
INSERT INTO `lang_definitions` VALUES (224, 458, 2, 'Alla skador/problem/frågeställningar');
INSERT INTO `lang_definitions` VALUES (225, 459, 2, 'All språk är tillåtna');
INSERT INTO `lang_definitions` VALUES (226, 462, 2, 'Hela förnamnet eller en del av det');
INSERT INTO `lang_definitions` VALUES (227, 463, 2, 'Hela efternamnet eller en del av det');
INSERT INTO `lang_definitions` VALUES (228, 464, 2, 'Hela organisationen eller delar av namnet');
INSERT INTO `lang_definitions` VALUES (229, 468, 2, 'Alla produkter');
INSERT INTO `lang_definitions` VALUES (230, 469, 2, 'Alla vårdgivare');
INSERT INTO `lang_definitions` VALUES (231, 470, 2, 'Alla granskade och Negativa:');
INSERT INTO `lang_definitions` VALUES (232, 475, 2, 'Alla ämnen');
INSERT INTO `lang_definitions` VALUES (233, 478, 2, 'Alla användare');
INSERT INTO `lang_definitions` VALUES (234, 479, 2, 'Allergisk');
INSERT INTO `lang_definitions` VALUES (235, 481, 2, 'Allergier');
INSERT INTO `lang_definitions` VALUES (236, 484, 2, 'Allergier:');
INSERT INTO `lang_definitions` VALUES (237, 485, 2, 'Allergi');
INSERT INTO `lang_definitions` VALUES (238, 486, 2, 'Import av allergier klart');
INSERT INTO `lang_definitions` VALUES (239, 487, 2, 'Lista på allergier');
INSERT INTO `lang_definitions` VALUES (240, 488, 2, 'Allergisk reaktion');
INSERT INTO `lang_definitions` VALUES (241, 491, 2, 'Tilldela');
INSERT INTO `lang_definitions` VALUES (242, 492, 2, 'Tillåta');
INSERT INTO `lang_definitions` VALUES (243, 494, 2, 'Tillåt alla tillgängliga språk som val i menyn vid inloggning');
INSERT INTO `lang_definitions` VALUES (244, 496, 2, 'Tillåt att skapa krav innehållande diagnoser , men ej procedurer eller betalningar. De flesta kliniker vill inte ha det');
INSERT INTO `lang_definitions` VALUES (245, 497, 2, 'Tillåt debugg språk');
INSERT INTO `lang_definitions` VALUES (246, 500, 2, 'E-post tillåten');
INSERT INTO `lang_definitions` VALUES (247, 501, 2, 'Är e-post meddelande tillåtet ?');
INSERT INTO `lang_definitions` VALUES (248, 502, 2, 'Tillåt e-post?');
INSERT INTO `lang_definitions` VALUES (249, 503, 2, 'Tillåt krav i patient möte');
INSERT INTO `lang_definitions` VALUES (250, 506, 2, 'Tillåt utbyte av hälsoinformationen');
INSERT INTO `lang_definitions` VALUES (251, 508, 2, 'Tillåt att informationen om vaccinationer delas');
INSERT INTO `lang_definitions` VALUES (252, 509, 2, 'Tillåt användning av vaccinationsregistret');
INSERT INTO `lang_definitions` VALUES (253, 512, 2, 'Tillåt e-post meddelanden');
INSERT INTO `lang_definitions` VALUES (254, 533, 2, 'Tillåt patient-inloggning');
INSERT INTO `lang_definitions` VALUES (255, 541, 2, 'Tillåt SMS');
INSERT INTO `lang_definitions` VALUES (256, 542, 2, 'Är SMS meddelanden tillåtna ?');
INSERT INTO `lang_definitions` VALUES (257, 544, 2, 'Tillåt aktuella händelser att vara aktiva omedelbart ?');
INSERT INTO `lang_definitions` VALUES (258, 545, 2, 'Tillåt telefon meddelanden?');
INSERT INTO `lang_definitions` VALUES (259, 547, 2, 'Tillåt användare att publicera Globala Händelser');
INSERT INTO `lang_definitions` VALUES (260, 548, 2, 'Tillåt användare att publicera personliga kalendrar');
INSERT INTO `lang_definitions` VALUES (261, 554, 2, 'Tillåt telefonsvarare');
INSERT INTO `lang_definitions` VALUES (262, 555, 2, 'Tillåten');
INSERT INTO `lang_definitions` VALUES (263, 556, 2, 'Godkända språk');
INSERT INTO `lang_definitions` VALUES (264, 558, 2, 'Godkänt');
INSERT INTO `lang_definitions` VALUES (265, 566, 2, 'finns redan');
INSERT INTO `lang_definitions` VALUES (266, 568, 2, 'Finns redan');
INSERT INTO `lang_definitions` VALUES (267, 570, 2, 'Används redan, välj en annan identitetsbeteckning');
INSERT INTO `lang_definitions` VALUES (268, 571, 2, 'Används redan, välj en annan titel');
INSERT INTO `lang_definitions` VALUES (269, 573, 2, 'Alternativ Adress');
INSERT INTO `lang_definitions` VALUES (270, 577, 2, 'Ändra');
INSERT INTO `lang_definitions` VALUES (271, 584, 2, 'Alternativt kan du använda sökfunktionen för att lägga upp ett elektroniskt godkännande (X12 83l fil) som du fått från din betalare eller clearingorganisationer. Du kan göra detta genom att klicka på knappen Bläddra och välj den fil som ska laddas upp och sedan klicka på Sök för att ladda upp och visa motsvarande fakturor. I detta fall gäller inte de andra parametrar som nämns ovan och de kommer att ignoreras. Överföring sparar filen men processar ännuinte innehållet - detta är gjort separat enligt nedan.');
INSERT INTO `lang_definitions` VALUES (272, 586, 2, 'förmiddag');
INSERT INTO `lang_definitions` VALUES (273, 587, 2, 'Förmiddagens program');
INSERT INTO `lang_definitions` VALUES (274, 592, 2, 'Automatisk beräkning av åtgärder (AMC)');
INSERT INTO `lang_definitions` VALUES (275, 593, 2, 'Spåra AMC');
INSERT INTO `lang_definitions` VALUES (276, 600, 2, 'Ändra Befintlig notering');
INSERT INTO `lang_definitions` VALUES (277, 610, 2, 'Amerikansk indian');
INSERT INTO `lang_definitions` VALUES (278, 611, 2, 'Amerikans indian eller född i alaska');
INSERT INTO `lang_definitions` VALUES (279, 612, 2, 'AMEX');
INSERT INTO `lang_definitions` VALUES (280, 613, 2, 'Etiopier');
INSERT INTO `lang_definitions` VALUES (281, 614, 2, 'Belopp');
INSERT INTO `lang_definitions` VALUES (282, 615, 2, 'Administrerat belopp');
INSERT INTO `lang_definitions` VALUES (283, 617, 2, 'Begärt belopp');
INSERT INTO `lang_definitions` VALUES (284, 620, 2, 'Belopp från tidigare Saldo');
INSERT INTO `lang_definitions` VALUES (285, 621, 2, 'Belopp för besöket');
INSERT INTO `lang_definitions` VALUES (286, 622, 2, 'Belopp som betalts');
INSERT INTO `lang_definitions` VALUES (287, 623, 2, 'Belopp:');
INSERT INTO `lang_definitions` VALUES (288, 626, 2, 'fakturerat belopp');
INSERT INTO `lang_definitions` VALUES (289, 630, 2, 'Ett slutdatum senare än startdatum krävs för upprepade händelser!');
INSERT INTO `lang_definitions` VALUES (290, 632, 2, 'ett fel uppstod när OpenEMR sparades');
INSERT INTO `lang_definitions` VALUES (291, 633, 2, 'Ett fel uppstod när phpGACL sparades');
INSERT INTO `lang_definitions` VALUES (292, 634, 2, 'Ett fel uppstod när SQL-ledger sparades');
INSERT INTO `lang_definitions` VALUES (293, 638, 2, 'En ofullständig GCAC fråga har inrättats och knutits. Någon kommer att behöva fylla i det senare.');
INSERT INTO `lang_definitions` VALUES (294, 644, 2, 'Ett oförutsett fel uppkom');
INSERT INTO `lang_definitions` VALUES (295, 646, 2, 'En stor bokstav');
INSERT INTO `lang_definitions` VALUES (296, 648, 2, 'och');
INSERT INTO `lang_definitions` VALUES (297, 649, 2, 'Och');
INSERT INTO `lang_definitions` VALUES (298, 650, 2, 'OCH');
INSERT INTO `lang_definitions` VALUES (299, 651, 2, 'och');
INSERT INTO `lang_definitions` VALUES (300, 652, 2, 'och alla underordnade data? Denna åtgärd kommer att loggas');
INSERT INTO `lang_definitions` VALUES (301, 653, 2, 'och modifierare');
INSERT INTO `lang_definitions` VALUES (302, 654, 2, 'och hanterad.');
INSERT INTO `lang_definitions` VALUES (303, 656, 2, 'och starta om Apache servern.');
INSERT INTO `lang_definitions` VALUES (304, 657, 2, 'och orsaken är');
INSERT INTO `lang_definitions` VALUES (305, 659, 2, 'Anemi');
INSERT INTO `lang_definitions` VALUES (306, 660, 2, 'Ankel');
INSERT INTO `lang_definitions` VALUES (307, 661, 2, 'Ankel + häl');
INSERT INTO `lang_definitions` VALUES (308, 662, 2, 'Ankel Utvärderingsformulär');
INSERT INTO `lang_definitions` VALUES (309, 663, 2, 'Ankel problem');
INSERT INTO `lang_definitions` VALUES (310, 664, 2, 'Ankyloserande Spondylit');
INSERT INTO `lang_definitions` VALUES (311, 665, 2, 'Ankyloserande Spondylit');
INSERT INTO `lang_definitions` VALUES (312, 666, 2, 'Anorexia');
INSERT INTO `lang_definitions` VALUES (313, 667, 2, 'En annan sak du kan göra i utstationering fönstret är att begära en sekundära fakturering. Om du markerar rutan innan du sparar, så kommer den ursprungliga fordran att öppnas igen och köas på faktureringssidan och sedan behandlas under nästa faktureringskörning.');
INSERT INTO `lang_definitions` VALUES (314, 671, 2, 'framåt');
INSERT INTO `lang_definitions` VALUES (315, 676, 2, 'Anus, ingen rektal ömhet');
INSERT INTO `lang_definitions` VALUES (316, 677, 2, 'Ångest');
INSERT INTO `lang_definitions` VALUES (317, 679, 2, 'Valfri');
INSERT INTO `lang_definitions` VALUES (318, 682, 2, 'någon Kategori');
INSERT INTO `lang_definitions` VALUES (319, 688, 2, 'Någon del av en kod eller dess beskrivning');
INSERT INTO `lang_definitions` VALUES (320, 689, 2, 'Någon del av önskad specialitet');
INSERT INTO `lang_definitions` VALUES (321, 690, 2, 'någon del av medicinens namn eller id');
INSERT INTO `lang_definitions` VALUES (322, 691, 2, 'Någon del av vaccinations namn eller id');
INSERT INTO `lang_definitions` VALUES (323, 692, 2, 'Någon del av patientens namn, eller \"efternamn, förnamn \" eller \"X-Y \"');
INSERT INTO `lang_definitions` VALUES (324, 693, 2, 'Någon annan relevant information');
INSERT INTO `lang_definitions` VALUES (325, 699, 2, 'API nyckel till SMS portal');
INSERT INTO `lang_definitions` VALUES (326, 703, 2, 'Andningsuppehåll');
INSERT INTO `lang_definitions` VALUES (327, 710, 2, 'Utseende');
INSERT INTO `lang_definitions` VALUES (328, 711, 2, 'Utseende:');
INSERT INTO `lang_definitions` VALUES (329, 714, 2, 'Lägg till denna notering');
INSERT INTO `lang_definitions` VALUES (330, 716, 2, 'Lägg till den nuvarande noteringen');
INSERT INTO `lang_definitions` VALUES (331, 717, 2, 'Lägg till denna anmärkning');
INSERT INTO `lang_definitions` VALUES (332, 718, 2, 'Bifoga till denna notering');
INSERT INTO `lang_definitions` VALUES (333, 719, 2, 'Appendektomi');
INSERT INTO `lang_definitions` VALUES (334, 721, 2, 'Tällämpliga patienter');
INSERT INTO `lang_definitions` VALUES (335, 722, 2, 'Ansökan');
INSERT INTO `lang_definitions` VALUES (336, 723, 2, 'Namn på program vid inloggning och titel på sidan');
INSERT INTO `lang_definitions` VALUES (337, 724, 2, 'Mottagarkod (GS03. Om blank kommer ISA08 användas)');
INSERT INTO `lang_definitions` VALUES (338, 725, 2, 'Sändarkod (GS02)');
INSERT INTO `lang_definitions` VALUES (339, 726, 2, 'Programmets titel');
INSERT INTO `lang_definitions` VALUES (340, 727, 2, 'Gäller Formulär för vitalparametrar och tillväxtkurva');
INSERT INTO `lang_definitions` VALUES (341, 728, 2, 'Gäller formulär för vitalparametrar');
INSERT INTO `lang_definitions` VALUES (342, 729, 2, 'Tillämpa ändringen på nuvarande händelse, nuvarande och alla kommande händelser eller alla händelser?');
INSERT INTO `lang_definitions` VALUES (343, 730, 2, 'tillämpas på berörda området');
INSERT INTO `lang_definitions` VALUES (344, 731, 2, 'appliceras på huden');
INSERT INTO `lang_definitions` VALUES (345, 732, 2, 'Lägger till');
INSERT INTO `lang_definitions` VALUES (346, 733, 2, 'Lägger till patch till sidan');
INSERT INTO `lang_definitions` VALUES (347, 734, 2, 'Bokning');
INSERT INTO `lang_definitions` VALUES (348, 736, 2, 'Boknings datum');
INSERT INTO `lang_definitions` VALUES (349, 742, 2, 'Sätt att visa bokning');
INSERT INTO `lang_definitions` VALUES (350, 744, 2, 'Påminnelser för bokning');
INSERT INTO `lang_definitions` VALUES (351, 746, 2, 'Boknings status');
INSERT INTO `lang_definitions` VALUES (352, 747, 2, 'Boknings status');
INSERT INTO `lang_definitions` VALUES (353, 748, 2, 'Bokas inom');
INSERT INTO `lang_definitions` VALUES (354, 749, 2, 'Bokning/händelse färg');
INSERT INTO `lang_definitions` VALUES (355, 750, 2, 'Bokningar');
INSERT INTO `lang_definitions` VALUES (356, 751, 2, 'Bokningar ( valfritt att skriva )');
INSERT INTO `lang_definitions` VALUES (357, 752, 2, 'Bokningar (Skriv, några valbara)');
INSERT INTO `lang_definitions` VALUES (358, 758, 2, 'Bokningar och besök');
INSERT INTO `lang_definitions` VALUES (359, 760, 2, 'Bokningsrapport');
INSERT INTO `lang_definitions` VALUES (360, 761, 2, 'Boknings och besöksrapport');
INSERT INTO `lang_definitions` VALUES (361, 764, 2, 'Godkänn');
INSERT INTO `lang_definitions` VALUES (362, 767, 2, 'Godkänd');
INSERT INTO `lang_definitions` VALUES (363, 768, 2, 'Godkända administrativa händelser');
INSERT INTO `lang_definitions` VALUES (364, 774, 2, 'Bokningar-besök');
INSERT INTO `lang_definitions` VALUES (365, 776, 2, 'Bokningar');
INSERT INTO `lang_definitions` VALUES (366, 779, 2, 'Apr');
INSERT INTO `lang_definitions` VALUES (367, 780, 2, 'April');
INSERT INTO `lang_definitions` VALUES (368, 782, 2, 'Arabisk');
INSERT INTO `lang_definitions` VALUES (369, 784, 2, 'Arkivera');
INSERT INTO `lang_definitions` VALUES (370, 787, 2, 'Ska gruppnamnen översättas?');
INSERT INTO `lang_definitions` VALUES (371, 788, 2, 'Ska bokningstyperna översättas?');
INSERT INTO `lang_definitions` VALUES (372, 789, 2, 'Ska dokumenttyperna översättas?');
INSERT INTO `lang_definitions` VALUES (373, 790, 2, 'Ska avgifter tas ut för denna typ?');
INSERT INTO `lang_definitions` VALUES (374, 793, 2, 'Ska överskrifter på patientanteckningar översättas?');
INSERT INTO `lang_definitions` VALUES (375, 794, 2, 'Är koderna lagrade i externa sql-tabeller (0-Nej, 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2) )');
INSERT INTO `lang_definitions` VALUES (376, 795, 2, 'Är du beredd att genomföra en ny GCAC fråga för detta besök?');
INSERT INTO `lang_definitions` VALUES (377, 797, 2, 'Är du säker du vill bokföra dagens händelser?');
INSERT INTO `lang_definitions` VALUES (378, 798, 2, 'Är du säker på att du vill godkänna dessa händelser?');
INSERT INTO `lang_definitions` VALUES (379, 801, 2, 'Är du säker på att du vill ta bort detta formulär?');
INSERT INTO `lang_definitions` VALUES (380, 804, 2, 'Är du säker på att du vill ta bort denna friskrivning?');
INSERT INTO `lang_definitions` VALUES (381, 805, 2, 'Är du säker på att du vill ta bort denna händelse?');
INSERT INTO `lang_definitions` VALUES (382, 806, 2, 'Är du säker du vill ta bort detta från databasen?');
INSERT INTO `lang_definitions` VALUES (383, 808, 2, 'Är du säker på att du vill ta bort detta meddelande?');
INSERT INTO `lang_definitions` VALUES (384, 810, 2, 'Är du säker på att du vill ändra dessa händelser?');
INSERT INTO `lang_definitions` VALUES (385, 811, 2, 'Är du säker på att du vill dölja dessa händelser?');
INSERT INTO `lang_definitions` VALUES (386, 814, 2, 'Är du säker på att du vill visa dessa händelser?');
INSERT INTO `lang_definitions` VALUES (387, 815, 2, 'Är du säker på att du vill ta bort hela den valda gruppen');
INSERT INTO `lang_definitions` VALUES (388, 816, 2, 'Är du säker på att du vill ta bort hela listan');
INSERT INTO `lang_definitions` VALUES (389, 817, 2, 'Är du säker på att du vill ta bort fältet i');
INSERT INTO `lang_definitions` VALUES (390, 818, 2, 'Är du säker på att du vill ta bort markerade fält?');
INSERT INTO `lang_definitions` VALUES (391, 819, 2, 'Är du säker på att du vill fortsätta med dessa åtgärder?');
INSERT INTO `lang_definitions` VALUES (392, 820, 2, 'Område är ej specifiserat');
INSERT INTO `lang_definitions` VALUES (393, 821, 2, 'Arm');
INSERT INTO `lang_definitions` VALUES (394, 822, 2, 'Armensk');
INSERT INTO `lang_definitions` VALUES (395, 829, 2, 'Arrytmi');
INSERT INTO `lang_definitions` VALUES (396, 830, 2, 'Artrit');
INSERT INTO `lang_definitions` VALUES (397, 831, 2, 'Artrit / Degenerativ ledsjukdom');
INSERT INTO `lang_definitions` VALUES (398, 832, 2, 'Artrit / Degenerativ ledsjukdom');
INSERT INTO `lang_definitions` VALUES (399, 836, 2, 'som');
INSERT INTO `lang_definitions` VALUES (400, 838, 2, 'Per');
INSERT INTO `lang_definitions` VALUES (401, 845, 2, 'Asiatisk');
INSERT INTO `lang_definitions` VALUES (402, 848, 2, 'Bedömning');
INSERT INTO `lang_definitions` VALUES (403, 853, 2, 'Tilldelas');
INSERT INTO `lang_definitions` VALUES (404, 854, 2, 'Assistent');
INSERT INTO `lang_definitions` VALUES (405, 861, 2, 'Astma');
INSERT INTO `lang_definitions` VALUES (406, 862, 2, 'på');
INSERT INTO `lang_definitions` VALUES (407, 863, 2, 'Minst en sök parameter krävs om du väljer Alla');
INSERT INTO `lang_definitions` VALUES (408, 866, 2, 'Vid Båtbenet');
INSERT INTO `lang_definitions` VALUES (409, 867, 2, 'Vid Båtbenet:');
INSERT INTO `lang_definitions` VALUES (410, 868, 2, 'Idrottsgrupp');
INSERT INTO `lang_definitions` VALUES (411, 869, 2, 'Idrottsgrupp');
INSERT INTO `lang_definitions` VALUES (412, 870, 2, 'Idrottsskada');
INSERT INTO `lang_definitions` VALUES (413, 871, 2, 'CA certifikat för ATNA revision');
INSERT INTO `lang_definitions` VALUES (414, 872, 2, 'Värd för ATNA revision');
INSERT INTO `lang_definitions` VALUES (415, 873, 2, 'Lokalt certifikat för ATNA revision');
INSERT INTO `lang_definitions` VALUES (416, 874, 2, 'Posrt för ATNA revision');
INSERT INTO `lang_definitions` VALUES (417, 877, 2, 'Observera');
INSERT INTO `lang_definitions` VALUES (418, 879, 2, 'OBS');
INSERT INTO `lang_definitions` VALUES (419, 883, 2, 'revision CDR urval');
INSERT INTO `lang_definitions` VALUES (420, 890, 2, 'Revisionsloggning backup');
INSERT INTO `lang_definitions` VALUES (421, 891, 2, 'revisionsloggning blandad');
INSERT INTO `lang_definitions` VALUES (422, 892, 2, 'Revisionsloggning sorteringsordning');
INSERT INTO `lang_definitions` VALUES (423, 893, 2, 'Revisionsloggning patientjournal');
INSERT INTO `lang_definitions` VALUES (424, 894, 2, 'revisionsloggning schemaläggning');
INSERT INTO `lang_definitions` VALUES (425, 895, 2, 'Hantera säkerhet för revisorslog');
INSERT INTO `lang_definitions` VALUES (426, 896, 2, 'Urval av revisorlog');
INSERT INTO `lang_definitions` VALUES (427, 898, 2, 'Aug');
INSERT INTO `lang_definitions` VALUES (428, 899, 2, 'Augusti');
INSERT INTO `lang_definitions` VALUES (429, 901, 2, 'Rättigheter');
INSERT INTO `lang_definitions` VALUES (430, 902, 2, 'Rättighet/anteckningar');
INSERT INTO `lang_definitions` VALUES (431, 922, 2, 'Grupprättigheter');
INSERT INTO `lang_definitions` VALUES (432, 923, 2, 'Status på auktorisation');
INSERT INTO `lang_definitions` VALUES (433, 924, 2, 'Tillstånd');
INSERT INTO `lang_definitions` VALUES (434, 925, 2, 'Bemyndiga');
INSERT INTO `lang_definitions` VALUES (435, 926, 2, 'Auktorisera – alla möten');
INSERT INTO `lang_definitions` VALUES (436, 928, 2, 'Auktorisera - Mina möten');
INSERT INTO `lang_definitions` VALUES (437, 933, 2, 'Auktorisera.net');
INSERT INTO `lang_definitions` VALUES (438, 934, 2, 'Auktoriserad');
INSERT INTO `lang_definitions` VALUES (439, 936, 2, 'Enbart auktoriserade');
INSERT INTO `lang_definitions` VALUES (440, 941, 2, 'Skicka automatiskt');
INSERT INTO `lang_definitions` VALUES (441, 944, 2, 'Skapa nytt besök automatiskt');
INSERT INTO `lang_definitions` VALUES (442, 945, 2, 'Autogenererad');
INSERT INTO `lang_definitions` VALUES (443, 947, 2, 'Automatiska beräkningar (AMC)');
INSERT INTO `lang_definitions` VALUES (444, 952, 2, 'Spåra automatiska beräkningar (ATM)');
INSERT INTO `lang_definitions` VALUES (445, 953, 2, 'Automatiska mätningar (AMC)');
INSERT INTO `lang_definitions` VALUES (446, 955, 2, 'Automatiskt');
INSERT INTO `lang_definitions` VALUES (447, 959, 2, 'Automatiskt skapa nytt besök när bokningsstatus är satt till ”@” (Kommit)');
INSERT INTO `lang_definitions` VALUES (448, 962, 2, 'Trafikmedicin');
INSERT INTO `lang_definitions` VALUES (449, 964, 2, 'Sparad automatisk');
INSERT INTO `lang_definitions` VALUES (450, 967, 2, 'Tillgängliga kategorier');
INSERT INTO `lang_definitions` VALUES (451, 971, 2, 'Tillgängliga tider');
INSERT INTO `lang_definitions` VALUES (452, 976, 2, 'Månadsgenomsnitt');
INSERT INTO `lang_definitions` VALUES (453, 980, 2, 'Avulsion / avulsion fraktur');
INSERT INTO `lang_definitions` VALUES (454, 981, 2, 'Avulsion laterala malleolus');
INSERT INTO `lang_definitions` VALUES (455, 982, 2, 'Avulsion mediala malleolus');
INSERT INTO `lang_definitions` VALUES (456, 983, 2, 'Medvetandebaserad');
INSERT INTO `lang_definitions` VALUES (457, 985, 2, 'Axillär');
INSERT INTO `lang_definitions` VALUES (458, 992, 2, '2 ggr/dag');
INSERT INTO `lang_definitions` VALUES (459, 993, 2, 'Tillbaka');
INSERT INTO `lang_definitions` VALUES (460, 994, 2, 'tillbaka');
INSERT INTO `lang_definitions` VALUES (461, 995, 2, 'Bakåt 8 besök');
INSERT INTO `lang_definitions` VALUES (462, 996, 2, 'Bakåt 11 besök');
INSERT INTO `lang_definitions` VALUES (463, 997, 2, 'Bakåt 5 besök');
INSERT INTO `lang_definitions` VALUES (464, 998, 2, 'Bakåt 4 besök');
INSERT INTO `lang_definitions` VALUES (465, 999, 2, 'Bakåt 9 besök');
INSERT INTO `lang_definitions` VALUES (466, 1000, 2, 'Bakåt 1 besök');
INSERT INTO `lang_definitions` VALUES (467, 1001, 2, 'Ryggsmärta');
INSERT INTO `lang_definitions` VALUES (468, 1002, 2, 'Ryggproblem');
INSERT INTO `lang_definitions` VALUES (469, 1003, 2, 'Bakåt 7 besök');
INSERT INTO `lang_definitions` VALUES (470, 1004, 2, 'Bakåt 6 besök');
INSERT INTO `lang_definitions` VALUES (471, 1005, 2, 'Ryggkirurgi');
INSERT INTO `lang_definitions` VALUES (472, 1006, 2, 'Bakåt 10 besök');
INSERT INTO `lang_definitions` VALUES (473, 1007, 2, 'Bakåt 3 besök');
INSERT INTO `lang_definitions` VALUES (474, 1008, 2, 'Tillbaka till Admin sidan');
INSERT INTO `lang_definitions` VALUES (475, 1013, 2, 'Tillbaka till patient');
INSERT INTO `lang_definitions` VALUES (476, 1015, 2, 'Tillbaka till användare');
INSERT INTO `lang_definitions` VALUES (477, 1016, 2, 'Tillbaka till Visa');
INSERT INTO `lang_definitions` VALUES (478, 1017, 2, 'Bakåt 12 besök');
INSERT INTO `lang_definitions` VALUES (479, 1018, 2, 'Bakåt 2 besök');
INSERT INTO `lang_definitions` VALUES (480, 1019, 2, 'Bakgrunds tjänster');
INSERT INTO `lang_definitions` VALUES (481, 1020, 2, 'Backup');
INSERT INTO `lang_definitions` VALUES (482, 1022, 2, 'Backup-filen har skapats. Kommer nu skicka till nedladdning.');
INSERT INTO `lang_definitions` VALUES (483, 1024, 2, 'Backup genomfört i');
INSERT INTO `lang_definitions` VALUES (484, 1025, 2, 'Dålig kontroll');
INSERT INTO `lang_definitions` VALUES (485, 1026, 2, 'Dålig fordran');
INSERT INTO `lang_definitions` VALUES (486, 1027, 2, 'Bahasa Indonesia');
INSERT INTO `lang_definitions` VALUES (487, 1028, 2, 'Bal');
INSERT INTO `lang_definitions` VALUES (488, 1031, 2, 'Balans');
INSERT INTO `lang_definitions` VALUES (489, 1032, 2, 'balans');
INSERT INTO `lang_definitions` VALUES (490, 1033, 2, 'Saldo mängd');
INSERT INTO `lang_definitions` VALUES (491, 1034, 2, 'Balanserade skulder');
INSERT INTO `lang_definitions` VALUES (492, 1038, 2, 'Bankavdrag');
INSERT INTO `lang_definitions` VALUES (493, 1042, 2, 'Basen av femte (5e) Metarsal');
INSERT INTO `lang_definitions` VALUES (494, 1043, 2, 'Basen av femte (5e) Metarsal');
INSERT INTO `lang_definitions` VALUES (495, 1050, 2, 'Samlingsfaktura');
INSERT INTO `lang_definitions` VALUES (496, 1051, 2, 'Samlingskummunikationsverktyg');
INSERT INTO `lang_definitions` VALUES (497, 1053, 2, 'Samlingsbetalning inskrivning');
INSERT INTO `lang_definitions` VALUES (498, 1054, 2, 'samlingsbetalning');
INSERT INTO `lang_definitions` VALUES (499, 1055, 2, 'Batchprocess påbörjad, detta kan ta ett tag.');
INSERT INTO `lang_definitions` VALUES (500, 1056, 2, 'Samlingsresultat');
INSERT INTO `lang_definitions` VALUES (501, 1057, 2, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (502, 1063, 2, 'För att ID inte existerar');
INSERT INTO `lang_definitions` VALUES (503, 1072, 2, 'Starta');
INSERT INTO `lang_definitions` VALUES (504, 1074, 2, 'Startdatum');
INSERT INTO `lang_definitions` VALUES (505, 1077, 2, 'Tjänstens startdatum åååå-mm-dd');
INSERT INTO `lang_definitions` VALUES (506, 1078, 2, 'Start klockslag för kalenderhändelse');
INSERT INTO `lang_definitions` VALUES (507, 1082, 2, 'Rapningar');
INSERT INTO `lang_definitions` VALUES (508, 1086, 2, 'Bengali');
INSERT INTO `lang_definitions` VALUES (509, 1089, 2, 'Mellan');
INSERT INTO `lang_definitions` VALUES (510, 1095, 2, 'Bilateral');
INSERT INTO `lang_definitions` VALUES (511, 1096, 2, 'Bilaterala:');
INSERT INTO `lang_definitions` VALUES (512, 1099, 2, 'Faktura datuma:');
INSERT INTO `lang_definitions` VALUES (513, 1101, 2, 'Faktura');
INSERT INTO `lang_definitions` VALUES (514, 1102, 2, 'Fakturerade');
INSERT INTO `lang_definitions` VALUES (515, 1104, 2, 'Fakturering');
INSERT INTO `lang_definitions` VALUES (516, 1105, 2, 'Fakturering (skriv alternativ)');
INSERT INTO `lang_definitions` VALUES (517, 1109, 2, 'Fakturering attestera');
INSERT INTO `lang_definitions` VALUES (518, 1111, 2, 'Betalningskod för begärd service');
INSERT INTO `lang_definitions` VALUES (519, 1112, 2, 'Betalningskoder');
INSERT INTO `lang_definitions` VALUES (520, 1113, 2, 'Faktureringsdata');
INSERT INTO `lang_definitions` VALUES (521, 1114, 2, 'Fakturering avdelning');
INSERT INTO `lang_definitions` VALUES (522, 1115, 2, 'Fakturering Klinik');
INSERT INTO `lang_definitions` VALUES (523, 1117, 2, 'Faktureringsinformation');
INSERT INTO `lang_definitions` VALUES (524, 1118, 2, 'Faktureringsadress');
INSERT INTO `lang_definitions` VALUES (525, 1125, 2, 'Fakturaansvarig');
INSERT INTO `lang_definitions` VALUES (526, 1126, 2, 'Faktura Anmärkning');
INSERT INTO `lang_definitions` VALUES (527, 1127, 2, 'Fakturera anmärkning för');
INSERT INTO `lang_definitions` VALUES (528, 1128, 2, 'Fakturera notering:');
INSERT INTO `lang_definitions` VALUES (529, 1130, 2, 'Fakturera kö resultat:');
INSERT INTO `lang_definitions` VALUES (530, 1131, 2, 'Faktureringsrapport');
INSERT INTO `lang_definitions` VALUES (531, 1132, 2, 'Faktura status');
INSERT INTO `lang_definitions` VALUES (532, 1133, 2, 'Faktura status = Ej skickad');
INSERT INTO `lang_definitions` VALUES (533, 1134, 2, 'fakturera till');
INSERT INTO `lang_definitions` VALUES (534, 1138, 2, 'Biopsi');
INSERT INTO `lang_definitions` VALUES (535, 1140, 2, 'Födelsedatum');
INSERT INTO `lang_definitions` VALUES (536, 1141, 2, 'Födelse – 24 månader');
INSERT INTO `lang_definitions` VALUES (537, 1144, 2, 'Svart');
INSERT INTO `lang_definitions` VALUES (538, 1147, 2, 'Sotlunga');
INSERT INTO `lang_definitions` VALUES (539, 1148, 2, 'Afrikans amerikan');
INSERT INTO `lang_definitions` VALUES (540, 1149, 2, 'Cancer i urinblåsan');
INSERT INTO `lang_definitions` VALUES (541, 1150, 2, 'Infektioner i urinblåsan');
INSERT INTO `lang_definitions` VALUES (542, 1152, 2, 'Blankt formulär');
INSERT INTO `lang_definitions` VALUES (543, 1153, 2, 'Problem med blödning');
INSERT INTO `lang_definitions` VALUES (544, 1154, 2, 'Blinda punkter');
INSERT INTO `lang_definitions` VALUES (545, 1156, 2, 'Svullnad');
INSERT INTO `lang_definitions` VALUES (546, 1158, 2, 'Blockerade');
INSERT INTO `lang_definitions` VALUES (547, 1159, 2, 'Blod');
INSERT INTO `lang_definitions` VALUES (548, 1160, 2, 'Blodtryck');
INSERT INTO `lang_definitions` VALUES (549, 1161, 2, 'Blodtryck');
INSERT INTO `lang_definitions` VALUES (550, 1162, 2, 'Näsblod');
INSERT INTO `lang_definitions` VALUES (551, 1163, 2, 'Blått kors blå sköld');
INSERT INTO `lang_definitions` VALUES (552, 1165, 2, 'Blå linjerna i denna rapport är informativa. Svarta linjer visar tidigare information. Gröna linjerna visar förändringar som tillämpats framgångsrikt. Röda linjer visar fel eller förändringar som inte har genomförts, och dessa måste behandlas manuellt. För närvarande nekas fordringar och betalning reverseringar inte hanteras automatiskt och det kommer att visas i rött.');
INSERT INTO `lang_definitions` VALUES (553, 1166, 2, 'Dimsyn');
INSERT INTO `lang_definitions` VALUES (554, 1167, 2, 'BMI');
INSERT INTO `lang_definitions` VALUES (555, 1168, 2, 'BMI status');
INSERT INTO `lang_definitions` VALUES (556, 1170, 2, 'kroppsregion');
INSERT INTO `lang_definitions` VALUES (557, 1171, 2, 'Bkroppsdel');
INSERT INTO `lang_definitions` VALUES (558, 1172, 2, 'Kroppsdel, om tillämplig');
INSERT INTO `lang_definitions` VALUES (559, 1173, 2, 'Benömhet:');
INSERT INTO `lang_definitions` VALUES (560, 1174, 2, 'Benömhet: Malleoulus Medialis');
INSERT INTO `lang_definitions` VALUES (561, 1175, 2, 'Logisk');
INSERT INTO `lang_definitions` VALUES (562, 1179, 2, 'Båda öronen');
INSERT INTO `lang_definitions` VALUES (563, 1180, 2, 'båda öronen');
INSERT INTO `lang_definitions` VALUES (564, 1183, 2, 'Botten');
INSERT INTO `lang_definitions` VALUES (565, 1187, 2, 'RUTA 10 A. Anställningsrelaterad');
INSERT INTO `lang_definitions` VALUES (566, 1189, 2, 'RUTA 10 B. Bilolycka');
INSERT INTO `lang_definitions` VALUES (567, 1191, 2, 'RUTA 10 C. Övriga olyckor');
INSERT INTO `lang_definitions` VALUES (568, 1204, 2, 'BOX 15 Andere datum Qualifier');
INSERT INTO `lang_definitions` VALUES (569, 1205, 2, 'Ruta 15. Datum för samma eller liknande sjukdom (åååå-mm-dd)');
INSERT INTO `lang_definitions` VALUES (570, 1211, 2, 'FÄLT 16. Datum, oförmögen till arbete från (åååå-mm-dd):');
INSERT INTO `lang_definitions` VALUES (571, 1215, 2, 'FÄLT 16. Datum, oförmögen att arbeta tills (åååå-mm-dd):');
INSERT INTO `lang_definitions` VALUES (572, 1227, 2, 'FÄLT 18. Sjukhusvistelse datum, från (åååå-mm-dd):');
INSERT INTO `lang_definitions` VALUES (573, 1231, 2, 'FÄLT 18. Sjukhusvistelse till, datum (åååå-mm-dd):');
INSERT INTO `lang_definitions` VALUES (574, 1235, 2, 'FÄLT 20. Används externt lab?');
INSERT INTO `lang_definitions` VALUES (575, 1239, 2, 'Fält 22. Medicaid återinskickningskod (ICD-9)');
INSERT INTO `lang_definitions` VALUES (576, 1243, 2, 'Fält 23. Tidigare godkännande nr.');
INSERT INTO `lang_definitions` VALUES (577, 1244, 2, 'Blodtryck');
INSERT INTO `lang_definitions` VALUES (578, 1245, 2, 'BT Diastoliskt');
INSERT INTO `lang_definitions` VALUES (579, 1246, 2, 'BT Systoliskt');
INSERT INTO `lang_definitions` VALUES (580, 1248, 2, 'BT Diastoliskt');
INSERT INTO `lang_definitions` VALUES (581, 1252, 2, 'BT Systoliskt');
INSERT INTO `lang_definitions` VALUES (582, 1254, 2, 'Brasiliansk portugisiska');
INSERT INTO `lang_definitions` VALUES (583, 1255, 2, 'Bröst');
INSERT INTO `lang_definitions` VALUES (584, 1256, 2, 'Bröst Biopsi');
INSERT INTO `lang_definitions` VALUES (585, 1257, 2, 'Bröst Avsluta');
INSERT INTO `lang_definitions` VALUES (586, 1258, 2, 'Bröstsjukdom');
INSERT INTO `lang_definitions` VALUES (587, 1259, 2, 'Bröstundersökning');
INSERT INTO `lang_definitions` VALUES (588, 1260, 2, 'Bröstvävnad');
INSERT INTO `lang_definitions` VALUES (589, 1262, 2, 'Andningsljud:');
INSERT INTO `lang_definitions` VALUES (590, 1265, 2, 'Brutna ben');
INSERT INTO `lang_definitions` VALUES (591, 1267, 2, 'Bronkit Formulär');
INSERT INTO `lang_definitions` VALUES (592, 1270, 2, 'Bläddra');
INSERT INTO `lang_definitions` VALUES (593, 1271, 2, 'Bläddra efter journal');
INSERT INTO `lang_definitions` VALUES (594, 1272, 2, 'Blåmärken / hematom');
INSERT INTO `lang_definitions` VALUES (595, 1276, 2, 'Utbuktningen Höger:');
INSERT INTO `lang_definitions` VALUES (596, 1278, 2, 'Sveda vid vattenkastning');
INSERT INTO `lang_definitions` VALUES (597, 1279, 2, 'Sveda vid vattenkastning');
INSERT INTO `lang_definitions` VALUES (598, 1282, 2, 'Upptagen');
INSERT INTO `lang_definitions` VALUES (599, 1283, 2, 'ännu ej behandlad');
INSERT INTO `lang_definitions` VALUES (600, 1284, 2, 'Skinka');
INSERT INTO `lang_definitions` VALUES (601, 1285, 2, 'Skinkan och SI-led');
INSERT INTO `lang_definitions` VALUES (602, 1286, 2, 'via');
INSERT INTO `lang_definitions` VALUES (603, 1287, 2, 'via');
INSERT INTO `lang_definitions` VALUES (604, 1293, 2, 'via munnen');
INSERT INTO `lang_definitions` VALUES (605, 1295, 2, 'Genom / Källa');
INSERT INTO `lang_definitions` VALUES (606, 1296, 2, 'Av:');
INSERT INTO `lang_definitions` VALUES (607, 1299, 2, 'Kopia');
INSERT INTO `lang_definitions` VALUES (608, 1301, 2, 'CA certifikat för att verifiera RFS 5425 TLS syslog server');
INSERT INTO `lang_definitions` VALUES (609, 1302, 2, 'Cache, livstid (i sekunder)');
INSERT INTO `lang_definitions` VALUES (610, 1303, 2, 'Cache template output?');
INSERT INTO `lang_definitions` VALUES (611, 1305, 2, 'Kaffe konsumtion');
INSERT INTO `lang_definitions` VALUES (612, 1306, 2, 'Kalender');
INSERT INTO `lang_definitions` VALUES (613, 1307, 2, 'Kalender sluttid');
INSERT INTO `lang_definitions` VALUES (614, 1308, 2, 'Kalender interval');
INSERT INTO `lang_definitions` VALUES (615, 1309, 2, 'Kalender skärm');
INSERT INTO `lang_definitions` VALUES (616, 1310, 2, 'Kalenderinställningar');
INSERT INTO `lang_definitions` VALUES (617, 1312, 2, 'Kalender starttid');
INSERT INTO `lang_definitions` VALUES (618, 1313, 2, 'Kalender UI');
INSERT INTO `lang_definitions` VALUES (619, 1314, 2, 'Kalendervy');
INSERT INTO `lang_definitions` VALUES (620, 1317, 2, 'Anrop till addForm() skriv här. <br>');
INSERT INTO `lang_definitions` VALUES (621, 1321, 2, 'Kalorier');
INSERT INTO `lang_definitions` VALUES (622, 1322, 2, 'Kambodjan');
INSERT INTO `lang_definitions` VALUES (623, 1323, 2, 'CAMOS');
INSERT INTO `lang_definitions` VALUES (624, 1329, 2, 'Avbryt');
INSERT INTO `lang_definitions` VALUES (625, 1332, 2, 'Förkasta ändringar');
INSERT INTO `lang_definitions` VALUES (626, 1333, 2, 'Avbruten');
INSERT INTO `lang_definitions` VALUES (627, 1335, 2, 'Cancer');
INSERT INTO `lang_definitions` VALUES (628, 1336, 2, 'Cancer screening: Colon cancer screening');
INSERT INTO `lang_definitions` VALUES (629, 1337, 2, 'Scancer screening: Mammografi');
INSERT INTO `lang_definitions` VALUES (630, 1338, 2, 'Cancer screening: Pap smear');
INSERT INTO `lang_definitions` VALUES (631, 1339, 2, 'Cancer screening: Prostata cancer');
INSERT INTO `lang_definitions` VALUES (632, 1340, 2, 'Det går ej att lägga till detta för att det redan existerar!');
INSERT INTO `lang_definitions` VALUES (633, 1341, 2, 'Kan inte lägga till / uppdatera den här posten eftersom duplikat redan finns!');
INSERT INTO `lang_definitions` VALUES (634, 1342, 2, 'Kan inte lagra. Kastat.');
INSERT INTO `lang_definitions` VALUES (635, 1343, 2, 'kan inte konverteras till JPEG. Kanske ImageMagick inte är installerad?');
INSERT INTO `lang_definitions` VALUES (636, 1344, 2, 'Kan inte tas bort. Utan åtgärd.');
INSERT INTO `lang_definitions` VALUES (637, 1345, 2, 'kan inte visas online eftersom denna filtyp inte stöds av webbläsaren.');
INSERT INTO `lang_definitions` VALUES (638, 1346, 2, 'kan inte visas online eftersom denna filtyp inte stöds av webbläsaren.');
INSERT INTO `lang_definitions` VALUES (639, 1347, 2, 'kan inte visas online eftersom den typen inte stöds av webbläsaren.');
INSERT INTO `lang_definitions` VALUES (640, 1349, 2, 'Det går inte att skapa');
INSERT INTO `lang_definitions` VALUES (641, 1354, 2, 'Kan ej hitta');
INSERT INTO `lang_definitions` VALUES (642, 1355, 2, 'Kan ej hitta filnamnet');
INSERT INTO `lang_definitions` VALUES (643, 1358, 2, 'Kan inte hitta patienten från SQL-ledgers kundnummer');
INSERT INTO `lang_definitions` VALUES (644, 1359, 2, 'Kan ej hitta postscript dokumenthänvisning i');
INSERT INTO `lang_definitions` VALUES (645, 1360, 2, 'Kan inte hitta vårdgivaren i SQL-ledger');
INSERT INTO `lang_definitions` VALUES (646, 1361, 2, 'Kan inte ändra betalning. Odebiterat belopp är negativt.');
INSERT INTO `lang_definitions` VALUES (647, 1363, 2, 'Går inte att öppna');
INSERT INTO `lang_definitions` VALUES (648, 1364, 2, 'Kan inte bokföra på försäkring. Betalningsansvarig är patienten.');
INSERT INTO `lang_definitions` VALUES (649, 1365, 2, 'Kan inte bokföra på patient. Betalningsansvarig är försäkring.');
INSERT INTO `lang_definitions` VALUES (650, 1366, 2, 'Kan inte bokföra betalning. Odebiterat belopp är negativt.');
INSERT INTO `lang_definitions` VALUES (651, 1367, 2, 'Kan ej läsa');
INSERT INTO `lang_definitions` VALUES (652, 1368, 2, 'Kan ej läsa i mappen');
INSERT INTO `lang_definitions` VALUES (653, 1369, 2, 'Kan inte uppdatera eftersom du inte redigerar en befintlig post!');
INSERT INTO `lang_definitions` VALUES (654, 1370, 2, 'Stor bokstav');
INSERT INTO `lang_definitions` VALUES (655, 1372, 2, 'kapsel');
INSERT INTO `lang_definitions` VALUES (656, 1373, 2, 'Kort');
INSERT INTO `lang_definitions` VALUES (657, 1382, 2, 'Hjärtkateterisering');
INSERT INTO `lang_definitions` VALUES (658, 1383, 2, 'Hjärteko');
INSERT INTO `lang_definitions` VALUES (659, 1384, 2, 'Kardiovaskulära');
INSERT INTO `lang_definitions` VALUES (660, 1396, 2, 'Brosk / menisk skada');
INSERT INTO `lang_definitions` VALUES (661, 1397, 2, 'Broskskada');
INSERT INTO `lang_definitions` VALUES (662, 1398, 2, 'Inga karotispulsar. Inga fotpulsar.');
INSERT INTO `lang_definitions` VALUES (663, 1400, 2, 'kontanter');
INSERT INTO `lang_definitions` VALUES (664, 1401, 2, 'Kontanter');
INSERT INTO `lang_definitions` VALUES (665, 1402, 2, 'Kontantbetalning');
INSERT INTO `lang_definitions` VALUES (666, 1403, 2, 'Kontantkvitton från vårdgivare');
INSERT INTO `lang_definitions` VALUES (667, 1406, 2, 'Kataraktkirurgi');
INSERT INTO `lang_definitions` VALUES (668, 1407, 2, 'Katarakt');
INSERT INTO `lang_definitions` VALUES (669, 1408, 2, 'Kategorier');
INSERT INTO `lang_definitions` VALUES (670, 1409, 2, 'Kategorier av');
INSERT INTO `lang_definitions` VALUES (671, 1410, 2, 'Kategori');
INSERT INTO `lang_definitions` VALUES (672, 1411, 2, 'kategori');
INSERT INTO `lang_definitions` VALUES (673, 1412, 2, 'Kategori');
INSERT INTO `lang_definitions` VALUES (674, 1416, 2, 'Kategori Detaljer');
INSERT INTO `lang_definitions` VALUES (675, 1417, 2, 'Kategori Gränser');
INSERT INTO `lang_definitions` VALUES (676, 1418, 2, 'Kategorinamn');
INSERT INTO `lang_definitions` VALUES (677, 1419, 2, 'Kategorinamn är tomt');
INSERT INTO `lang_definitions` VALUES (678, 1420, 2, 'Kategori/Titel');
INSERT INTO `lang_definitions` VALUES (679, 1421, 2, 'Kaukasisk');
INSERT INTO `lang_definitions` VALUES (680, 1422, 2, 'Kvitto på kontaktorsak att skriva för besök. Primär vårdgivar information');
INSERT INTO `lang_definitions` VALUES (681, 1444, 2, 'Mobiltelefon');
INSERT INTO `lang_definitions` VALUES (682, 1445, 2, 'Mobiltelefon');
INSERT INTO `lang_definitions` VALUES (683, 1447, 2, 'Mobiltelefonnummer');
INSERT INTO `lang_definitions` VALUES (684, 1449, 2, 'Central Certifiering');
INSERT INTO `lang_definitions` VALUES (685, 1451, 2, 'Central/sydamerikan');
INSERT INTO `lang_definitions` VALUES (686, 1452, 2, 'CA certifikats fil-mapp kan inte vara tom');
INSERT INTO `lang_definitions` VALUES (687, 1453, 2, 'CA nyckelfilsmapp kan inte vara tom');
INSERT INTO `lang_definitions` VALUES (688, 1454, 2, 'CA certifikat för att skicka till RFS 5425 TLS syslog server');
INSERT INTO `lang_definitions` VALUES (689, 1455, 2, 'Certifikat användare');
INSERT INTO `lang_definitions` VALUES (690, 1456, 2, 'Certifikat');
INSERT INTO `lang_definitions` VALUES (691, 1458, 2, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (692, 1459, 2, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (693, 1460, 2, 'ändra');
INSERT INTO `lang_definitions` VALUES (694, 1461, 2, 'Ändra');
INSERT INTO `lang_definitions` VALUES (695, 1462, 2, 'Ändra Aktivitet');
INSERT INTO `lang_definitions` VALUES (696, 1466, 2, 'Gick inte ändra. CouchDB fel?');
INSERT INTO `lang_definitions` VALUES (697, 1467, 2, 'Synpåverkan');
INSERT INTO `lang_definitions` VALUES (698, 1468, 2, 'Synpåverkan');
INSERT INTO `lang_definitions` VALUES (699, 1470, 2, 'Byta lösenord');
INSERT INTO `lang_definitions` VALUES (700, 1475, 2, 'Ändrad');
INSERT INTO `lang_definitions` VALUES (701, 1476, 2, 'Förändrad tarm');
INSERT INTO `lang_definitions` VALUES (702, 1479, 2, 'Byter patientidentitet för dokument');
INSERT INTO `lang_definitions` VALUES (703, 1484, 2, 'Karaktär');
INSERT INTO `lang_definitions` VALUES (704, 1485, 2, 'Tecken kvar');
INSERT INTO `lang_definitions` VALUES (705, 1486, 2, 'Avgift');
INSERT INTO `lang_definitions` VALUES (706, 1487, 2, 'Justering av avgift');
INSERT INTO `lang_definitions` VALUES (707, 1488, 2, 'Avgift kodad');
INSERT INTO `lang_definitions` VALUES (708, 1490, 2, 'Avgifter');
INSERT INTO `lang_definitions` VALUES (709, 1491, 2, 'Patientkort');
INSERT INTO `lang_definitions` VALUES (710, 1492, 2, 'Patientkort aktivitet');
INSERT INTO `lang_definitions` VALUES (711, 1493, 2, 'Patientkort Check-in/out Aktivitetsrapport?');
INSERT INTO `lang_definitions` VALUES (712, 1495, 2, 'Patientkort ID');
INSERT INTO `lang_definitions` VALUES (713, 1496, 2, 'Patientkort ID');
INSERT INTO `lang_definitions` VALUES (714, 1498, 2, 'Patientkort placering Aktivitet');
INSERT INTO `lang_definitions` VALUES (715, 1499, 2, 'Patientkort notering');
INSERT INTO `lang_definitions` VALUES (716, 1500, 2, 'Patientkort nr');
INSERT INTO `lang_definitions` VALUES (717, 1502, 2, 'Patientkort lagring placering');
INSERT INTO `lang_definitions` VALUES (718, 1504, 2, 'Patientkort spåra');
INSERT INTO `lang_definitions` VALUES (719, 1505, 2, 'Patientkort spåra');
INSERT INTO `lang_definitions` VALUES (720, 1508, 2, 'Patientkort utcheckning');
INSERT INTO `lang_definitions` VALUES (721, 1509, 2, 'Patientkort utcheckning');
INSERT INTO `lang_definitions` VALUES (722, 1513, 2, 'Controleer of u van plan bent om ansichtkaarten te verzenden via MedEx');
INSERT INTO `lang_definitions` VALUES (723, 1514, 2, 'Betalningsanvisning');
INSERT INTO `lang_definitions` VALUES (724, 1515, 2, 'Alla betalningsanvisningar');
INSERT INTO `lang_definitions` VALUES (725, 1517, 2, 'Betalningsanvisning belopp');
INSERT INTO `lang_definitions` VALUES (726, 1519, 2, 'Betalningsanvisning datum');
INSERT INTO `lang_definitions` VALUES (727, 1521, 2, 'Kontrollera skillnader i översättning med översättningstabellen');
INSERT INTO `lang_definitions` VALUES (728, 1527, 2, 'checka in till');
INSERT INTO `lang_definitions` VALUES (729, 1528, 2, 'Kontrollera indata');
INSERT INTO `lang_definitions` VALUES (730, 1530, 2, 'Kontrollera labdata');
INSERT INTO `lang_definitions` VALUES (731, 1531, 2, 'Markering betyder påtittat');
INSERT INTO `lang_definitions` VALUES (732, 1532, 2, 'Betalningsanvisning nr');
INSERT INTO `lang_definitions` VALUES (733, 1533, 2, 'Betalningsanvisning nr');
INSERT INTO `lang_definitions` VALUES (734, 1536, 2, 'Betalningsanvisning betalning');
INSERT INTO `lang_definitions` VALUES (735, 1537, 2, 'Markera ifall filen är krypterad');
INSERT INTO `lang_definitions` VALUES (736, 1541, 2, 'Markera om vårdgivare ska se alla bokade besök som standard och ej enbart deras egna');
INSERT INTO `lang_definitions` VALUES (737, 1543, 2, 'Markera för att skapa \'Problem\' utifrån denna diagnos');
INSERT INTO `lang_definitions` VALUES (738, 1545, 2, 'Check / EOB Datum:');
INSERT INTO `lang_definitions` VALUES (739, 1547, 2, 'Check / EOB Nr:');
INSERT INTO `lang_definitions` VALUES (740, 1548, 2, 'Check / Ref Nr');
INSERT INTO `lang_definitions` VALUES (741, 1549, 2, 'Check / Referensnummer');
INSERT INTO `lang_definitions` VALUES (742, 1550, 2, 'Markeringsrutor lista');
INSERT INTO `lang_definitions` VALUES (743, 1551, 2, 'Markeringsrutor lista');
INSERT INTO `lang_definitions` VALUES (744, 1552, 2, 'Markeringsruta m text');
INSERT INTO `lang_definitions` VALUES (745, 1553, 2, 'Markeringsruta m text');
INSERT INTO `lang_definitions` VALUES (746, 1557, 2, 'Markerade fält = ja, tom = nej');
INSERT INTO `lang_definitions` VALUES (747, 1559, 2, 'Markerade fält = ja, tom = nej');
INSERT INTO `lang_definitions` VALUES (748, 1568, 2, 'Kassa');
INSERT INTO `lang_definitions` VALUES (749, 1569, 2, 'Kontrollsumma');
INSERT INTO `lang_definitions` VALUES (750, 1570, 2, 'Bröstkorg');
INSERT INTO `lang_definitions` VALUES (751, 1571, 2, 'Chest CTAB');
INSERT INTO `lang_definitions` VALUES (752, 1572, 2, 'Bröstsmärtor');
INSERT INTO `lang_definitions` VALUES (753, 1573, 2, 'Bröstsmärta:');
INSERT INTO `lang_definitions` VALUES (754, 1574, 2, 'Bröstsmärtor');
INSERT INTO `lang_definitions` VALUES (755, 1576, 2, 'Byt');
INSERT INTO `lang_definitions` VALUES (756, 1578, 2, 'Huvudproblem');
INSERT INTO `lang_definitions` VALUES (757, 1581, 2, 'Barn');
INSERT INTO `lang_definitions` VALUES (758, 1583, 2, 'Barnvaccinations status');
INSERT INTO `lang_definitions` VALUES (759, 1584, 2, 'Frossbrytningar');
INSERT INTO `lang_definitions` VALUES (760, 1585, 2, 'Kinesiska');
INSERT INTO `lang_definitions` VALUES (761, 1586, 2, 'Kinesiska (Förenklad)');
INSERT INTO `lang_definitions` VALUES (762, 1587, 2, 'Kinesiska (traditionell)');
INSERT INTO `lang_definitions` VALUES (763, 1589, 2, 'Val');
INSERT INTO `lang_definitions` VALUES (764, 1590, 2, 'Kolecystektomi');
INSERT INTO `lang_definitions` VALUES (765, 1592, 2, 'Kolecystektomi');
INSERT INTO `lang_definitions` VALUES (766, 1593, 2, 'Välj');
INSERT INTO `lang_definitions` VALUES (767, 1596, 2, 'Välj ett avsnitt och klicka på ett objekt i den ;i den andra sektionen visas relaterade objekt. Klicka på avsnitten om du vill lägga till och ta bort relationer.');
INSERT INTO `lang_definitions` VALUES (768, 1597, 2, 'Välj kriteria');
INSERT INTO `lang_definitions` VALUES (769, 1602, 2, 'Välj fil');
INSERT INTO `lang_definitions` VALUES (770, 1603, 2, 'Välj från lista');
INSERT INTO `lang_definitions` VALUES (771, 1605, 2, 'Välj lista');
INSERT INTO `lang_definitions` VALUES (772, 1611, 2, 'Välj utskriftsformat för besöksrapport');
INSERT INTO `lang_definitions` VALUES (773, 1615, 2, 'Kronisk bronkit');
INSERT INTO `lang_definitions` VALUES (774, 1616, 2, 'Kronisk ledvärk');
INSERT INTO `lang_definitions` VALUES (775, 1617, 2, 'Kroniska njurbesvär');
INSERT INTO `lang_definitions` VALUES (776, 1620, 2, 'Kronisk synovit / utgjutning / ledvärk / gikt');
INSERT INTO `lang_definitions` VALUES (777, 1622, 2, 'Kronisk / Återkommande');
INSERT INTO `lang_definitions` VALUES (778, 1625, 2, 'Levercirros');
INSERT INTO `lang_definitions` VALUES (779, 1626, 2, 'Levercirros');
INSERT INTO `lang_definitions` VALUES (780, 1627, 2, 'Stad');
INSERT INTO `lang_definitions` VALUES (781, 1629, 2, 'Stadsnamn');
INSERT INTO `lang_definitions` VALUES (782, 1630, 2, 'Stad, stat');
INSERT INTO `lang_definitions` VALUES (783, 1631, 2, 'Stad, stat postnummer');
INSERT INTO `lang_definitions` VALUES (784, 1633, 2, 'Stad / stat');
INSERT INTO `lang_definitions` VALUES (785, 1634, 2, 'Begär');
INSERT INTO `lang_definitions` VALUES (786, 1635, 2, 'Begär');
INSERT INTO `lang_definitions` VALUES (787, 1637, 2, 'Begäran status');
INSERT INTO `lang_definitions` VALUES (788, 1639, 2, 'Begäran typ');
INSERT INTO `lang_definitions` VALUES (789, 1640, 2, 'Begäran skapade fil');
INSERT INTO `lang_definitions` VALUES (790, 1641, 2, 'Begäran skapade fil');
INSERT INTO `lang_definitions` VALUES (791, 1642, 2, 'Begäran');
INSERT INTO `lang_definitions` VALUES (792, 1645, 2, 'Klassificering');
INSERT INTO `lang_definitions` VALUES (793, 1646, 2, 'Rensa');
INSERT INTO `lang_definitions` VALUES (794, 1649, 2, 'RENSA AKTIV PATIENT');
INSERT INTO `lang_definitions` VALUES (795, 1651, 2, 'Rensa allt');
INSERT INTO `lang_definitions` VALUES (796, 1654, 2, 'Rensa HL7 data');
INSERT INTO `lang_definitions` VALUES (797, 1655, 2, 'Rensa justering');
INSERT INTO `lang_definitions` VALUES (798, 1659, 2, 'Rensa Smarty Cache');
INSERT INTO `lang_definitions` VALUES (799, 1662, 2, 'CLIA Antal');
INSERT INTO `lang_definitions` VALUES (800, 1663, 2, 'Klicka');
INSERT INTO `lang_definitions` VALUES (801, 1664, 2, 'Klicka \'export\' för att exportera din kategori, underkategori, enhet eller innehållsdata till en textfil. Någon likhet mellan denna textfil och en XML-fil är enbart en tillfällighet. Start och sluttaggar måste vara på samma rad, måste vara med små bokstäver och utan mellanrum. För att importera, bläddra efter filen, klicka på \'import\'. Om data är helt annorlunda kommer det läggas till existerande data. Om det finns likvärdiga enhetsnamn kommer de gamla att behållas och de nya läggas till med en siffra i slutet av namnet.');
INSERT INTO `lang_definitions` VALUES (802, 1667, 2, 'Klicka på en plats på bilden för att lägga till notering. Klicka igen för att ta bort den.');
INSERT INTO `lang_definitions` VALUES (803, 1671, 2, 'Klicka ”Download Certificate” för att ladda ner certifikatet i filen ssl.zip');
INSERT INTO `lang_definitions` VALUES (804, 1672, 2, 'Klicka för mer');
INSERT INTO `lang_definitions` VALUES (805, 1673, 2, 'Klicka för mer detaljer');
INSERT INTO `lang_definitions` VALUES (806, 1674, 2, 'Klicka för att beställa summering');
INSERT INTO `lang_definitions` VALUES (807, 1675, 2, 'Klicka för resultat');
INSERT INTO `lang_definitions` VALUES (808, 1678, 2, 'Klicka här');
INSERT INTO `lang_definitions` VALUES (809, 1679, 2, 'Klicka här för att lägga till patient');
INSERT INTO `lang_definitions` VALUES (810, 1680, 2, 'Klicka här för att lägga till ny skada, byta status och ändra dagliga aktiviteter');
INSERT INTO `lang_definitions` VALUES (811, 1682, 2, 'Klicka här för att välja ett datum');
INSERT INTO `lang_definitions` VALUES (812, 1683, 2, 'Klicka här för att välja datum och klockslag');
INSERT INTO `lang_definitions` VALUES (813, 1684, 2, 'Klicka här för att välja startdatum');
INSERT INTO `lang_definitions` VALUES (814, 1707, 2, 'Klicka här för att söka');
INSERT INTO `lang_definitions` VALUES (815, 1710, 2, 'Klicka här för att uppdatera prioritet, kategori och smeknamn inställningar');
INSERT INTO `lang_definitions` VALUES (816, 1714, 2, 'Klicka här, för att se alla.');
INSERT INTO `lang_definitions` VALUES (817, 1715, 2, 'Klicka här för att se och rita');
INSERT INTO `lang_definitions` VALUES (818, 1717, 2, 'Klicka här för att se och rita all vitalparametrar');
INSERT INTO `lang_definitions` VALUES (819, 1718, 2, 'Klicka här för att se patient detaljer');
INSERT INTO `lang_definitions` VALUES (820, 1719, 2, 'Klicka här för att se alla');
INSERT INTO `lang_definitions` VALUES (821, 1720, 2, 'Klicka här för att se/ändra mer detaljer');
INSERT INTO `lang_definitions` VALUES (822, 1723, 2, 'Klicka ”install” knappen för att installera databas utgåva sedan följande datum');
INSERT INTO `lang_definitions` VALUES (823, 1730, 2, 'Klicka någonstans på tid för att öka');
INSERT INTO `lang_definitions` VALUES (824, 1751, 2, 'Klicka på patientnamn för att öppna patientfilen');
INSERT INTO `lang_definitions` VALUES (825, 1753, 2, 'Klicka ”uppdatera” för att se alla resultat eller var vänlig ange sökkriterier ovan för att se specifika resultat');
INSERT INTO `lang_definitions` VALUES (826, 1777, 2, 'Klicka för att lägga till diagnos');
INSERT INTO `lang_definitions` VALUES (827, 1779, 2, 'Lklicka för att lägga till komponent');
INSERT INTO `lang_definitions` VALUES (828, 1780, 2, 'Klicka för att lägga till konsultation');
INSERT INTO `lang_definitions` VALUES (829, 1785, 2, 'Klicka för att ladda ner');
INSERT INTO `lang_definitions` VALUES (830, 1786, 2, 'Klicka för att ändra');
INSERT INTO `lang_definitions` VALUES (831, 1787, 2, 'Klicka för att ändra beskrivning');
INSERT INTO `lang_definitions` VALUES (832, 1788, 2, 'Klicka för att ändra denna händelse');
INSERT INTO `lang_definitions` VALUES (833, 1790, 2, 'Klicka för att skapa rapporten');
INSERT INTO `lang_definitions` VALUES (834, 1800, 2, 'Klicka för att skriva ut');
INSERT INTO `lang_definitions` VALUES (835, 1801, 2, 'Klicka för att lägga till/ta emot ny lot');
INSERT INTO `lang_definitions` VALUES (836, 1805, 2, 'Klicka för att välja');
INSERT INTO `lang_definitions` VALUES (837, 1806, 2, 'Klicka för att välja');
INSERT INTO `lang_definitions` VALUES (838, 1808, 2, 'Klicka för att välja en industristandard kod för denna åtgärd');
INSERT INTO `lang_definitions` VALUES (839, 1811, 2, 'Klicka för att välja valbar åtgärdskod');
INSERT INTO `lang_definitions` VALUES (840, 1813, 2, 'Klicka för att välja eller byta CVX kod');
INSERT INTO `lang_definitions` VALUES (841, 1814, 2, 'Klicka för att välja eller ändra diagnoser');
INSERT INTO `lang_definitions` VALUES (842, 1815, 2, 'Klicka för att välja eller ändra tjänst kod');
INSERT INTO `lang_definitions` VALUES (843, 1816, 2, 'Klicka för att välja patient');
INSERT INTO `lang_definitions` VALUES (844, 1817, 2, 'Klicka för att välja tillhörande kod');
INSERT INTO `lang_definitions` VALUES (845, 1819, 2, 'Klicka för att välja tjänster att utföra om resultatet är avvikande');
INSERT INTO `lang_definitions` VALUES (846, 1822, 2, 'Klicka för att välja önskad åtgärd');
INSERT INTO `lang_definitions` VALUES (847, 1829, 2, 'Klicka för att sortera');
INSERT INTO `lang_definitions` VALUES (848, 1831, 2, 'Klicka för att visa eller redigera');
INSERT INTO `lang_definitions` VALUES (849, 1833, 2, 'Klicka för att visa eller redigera');
INSERT INTO `lang_definitions` VALUES (850, 1834, 2, 'Klicka för visa/redigera');
INSERT INTO `lang_definitions` VALUES (851, 1836, 2, 'Klicka Uppdatera knappen för att uppdatera databasutgåvan från följande datum');
INSERT INTO `lang_definitions` VALUES (852, 1839, 2, 'Klicka på:');
INSERT INTO `lang_definitions` VALUES (853, 1862, 2, 'Kund certifikat utgångsdatum');
INSERT INTO `lang_definitions` VALUES (854, 1864, 2, 'kund certifikat giltighetsperiod');
INSERT INTO `lang_definitions` VALUES (855, 1865, 2, 'Kundcertifikats giltighet ska vara ett giltigt nummer');
INSERT INTO `lang_definitions` VALUES (856, 1866, 2, 'kund kopia');
INSERT INTO `lang_definitions` VALUES (857, 1869, 2, 'Sammanfattning av kundens sjukdomshistoria');
INSERT INTO `lang_definitions` VALUES (858, 1870, 2, 'Kund namn');
INSERT INTO `lang_definitions` VALUES (859, 1872, 2, 'Kund nummer');
INSERT INTO `lang_definitions` VALUES (860, 1873, 2, 'Kundprofil - Ny kund');
INSERT INTO `lang_definitions` VALUES (861, 1874, 2, 'Kundprofil - Unika kunder');
INSERT INTO `lang_definitions` VALUES (862, 1878, 2, 'Kunder');
INSERT INTO `lang_definitions` VALUES (863, 1879, 2, 'Klinik');
INSERT INTO `lang_definitions` VALUES (864, 1880, 2, 'Klinik kopiera');
INSERT INTO `lang_definitions` VALUES (865, 1881, 2, 'Kliniken Daily Record');
INSERT INTO `lang_definitions` VALUES (866, 1882, 2, 'Klinik ID');
INSERT INTO `lang_definitions` VALUES (867, 1883, 2, 'Klinisk');
INSERT INTO `lang_definitions` VALUES (868, 1884, 2, 'Kliniskt beslutsstöd Påminnelsehantering');
INSERT INTO `lang_definitions` VALUES (869, 1886, 2, 'Anamnes');
INSERT INTO `lang_definitions` VALUES (870, 1889, 2, 'Klinisk planering');
INSERT INTO `lang_definitions` VALUES (871, 1890, 2, 'Kliniska kvalitetskrav');
INSERT INTO `lang_definitions` VALUES (872, 1893, 2, 'Klinikens påminnelser');
INSERT INTO `lang_definitions` VALUES (873, 1897, 2, 'Klinikens rapporter');
INSERT INTO `lang_definitions` VALUES (874, 1898, 2, 'Kliniskt beslutsstöd Kategorier');
INSERT INTO `lang_definitions` VALUES (875, 1899, 2, 'Kliniskt beslutsstöd Enheter');
INSERT INTO `lang_definitions` VALUES (876, 1900, 2, 'Kliniskt beslutsstöd Urvalsfunktioner');
INSERT INTO `lang_definitions` VALUES (877, 1901, 2, 'Kliniskt beslutsstöd Mål metoder');
INSERT INTO `lang_definitions` VALUES (878, 1902, 2, 'Kliniskt beslutsstöd Enheter');
INSERT INTO `lang_definitions` VALUES (879, 1903, 2, 'Kliniskt beslutsstöd ålders intervaller');
INSERT INTO `lang_definitions` VALUES (880, 1904, 2, 'Kliniskt beslutsstöd jämförelser');
INSERT INTO `lang_definitions` VALUES (881, 1905, 2, 'Kliniskt beslutsstöd Typer av besök');
INSERT INTO `lang_definitions` VALUES (882, 1906, 2, 'Kliniskt beslutsstöd Påminnelser giltighet inställningar');
INSERT INTO `lang_definitions` VALUES (883, 1907, 2, 'Kliniskt beslutsstöd Påminnelser inaktiveringsinställningar');
INSERT INTO `lang_definitions` VALUES (884, 1908, 2, 'Kliniskt beslutsstöd påminnelser intervaller');
INSERT INTO `lang_definitions` VALUES (885, 1909, 2, 'Kliniskt beslutsstöd påminnelser metoder');
INSERT INTO `lang_definitions` VALUES (886, 1910, 2, 'Kliniskt beslutsstöd Mål intervaller');
INSERT INTO `lang_definitions` VALUES (887, 1911, 2, 'Kliniska mål');
INSERT INTO `lang_definitions` VALUES (888, 1912, 2, 'Kliniskt begrepp');
INSERT INTO `lang_definitions` VALUES (889, 1913, 2, 'Kliniska begrepp koder');
INSERT INTO `lang_definitions` VALUES (890, 1915, 2, 'Kliniskt verksamma');
INSERT INTO `lang_definitions` VALUES (891, 1916, 2, 'Kopiera');
INSERT INTO `lang_definitions` VALUES (892, 1917, 2, 'Kopiera tidigare besök');
INSERT INTO `lang_definitions` VALUES (893, 1918, 2, 'Stäng');
INSERT INTO `lang_definitions` VALUES (894, 1925, 2, 'Stäng fönstret');
INSERT INTO `lang_definitions` VALUES (895, 1927, 2, 'Stängt');
INSERT INTO `lang_definitions` VALUES (896, 1928, 2, 'cm');
INSERT INTO `lang_definitions` VALUES (897, 1931, 2, 'CMS 1500 marginal');
INSERT INTO `lang_definitions` VALUES (898, 1940, 2, 'CMS-id');
INSERT INTO `lang_definitions` VALUES (899, 1955, 2, 'CN2-12 intakta');
INSERT INTO `lang_definitions` VALUES (900, 1958, 2, 'Medbetalare');
INSERT INTO `lang_definitions` VALUES (901, 1959, 2, 'Medbetalare Betalning');
INSERT INTO `lang_definitions` VALUES (902, 1962, 2, 'Medbetalare');
INSERT INTO `lang_definitions` VALUES (903, 1964, 2, 'Kod');
INSERT INTO `lang_definitions` VALUES (904, 1965, 2, 'kod');
INSERT INTO `lang_definitions` VALUES (905, 1967, 2, 'Kodsökare');
INSERT INTO `lang_definitions` VALUES (906, 1968, 2, 'Kod måste vara två bokstäver (små bokstäver)');
INSERT INTO `lang_definitions` VALUES (907, 1969, 2, 'Kod eller symbol för att ange valuta');
INSERT INTO `lang_definitions` VALUES (908, 1971, 2, 'Kod text');
INSERT INTO `lang_definitions` VALUES (909, 1973, 2, 'Kod typer');
INSERT INTO `lang_definitions` VALUES (910, 1976, 2, 'Kod typer');
INSERT INTO `lang_definitions` VALUES (911, 1977, 2, 'Koder');
INSERT INTO `lang_definitions` VALUES (912, 1978, 2, 'Kodad');
INSERT INTO `lang_definitions` VALUES (913, 1979, 2, 'Koder');
INSERT INTO `lang_definitions` VALUES (914, 1981, 2, 'Kodning');
INSERT INTO `lang_definitions` VALUES (915, 1983, 2, 'Kodning – alla besök (skriv, med valbara alternativ)');
INSERT INTO `lang_definitions` VALUES (916, 1985, 2, 'Kodning – mina besök (skriv, med valbara alternativ)');
INSERT INTO `lang_definitions` VALUES (917, 1990, 2, 'Kodning ej godkänd');
INSERT INTO `lang_definitions` VALUES (918, 1991, 2, 'Kaffe');
INSERT INTO `lang_definitions` VALUES (919, 1994, 2, 'Med-försäkring');
INSERT INTO `lang_definitions` VALUES (920, 1995, 2, 'Förf.saml w / o');
INSERT INTO `lang_definitions` VALUES (921, 1997, 2, 'Komprimera alla');
INSERT INTO `lang_definitions` VALUES (922, 1998, 2, 'Komprimera alla');
INSERT INTO `lang_definitions` VALUES (923, 1999, 2, 'Komprimera alla');
INSERT INTO `lang_definitions` VALUES (924, 2000, 2, 'Komprimera alla');
INSERT INTO `lang_definitions` VALUES (925, 2001, 2, 'Komprimera alla');
INSERT INTO `lang_definitions` VALUES (926, 2005, 2, 'samlings datum');
INSERT INTO `lang_definitions` VALUES (927, 2007, 2, 'Samlingar');
INSERT INTO `lang_definitions` VALUES (928, 2008, 2, 'Samlingsrapport');
INSERT INTO `lang_definitions` VALUES (929, 2009, 2, 'Koloncancer');
INSERT INTO `lang_definitions` VALUES (930, 2010, 2, 'Koloncancer screening');
INSERT INTO `lang_definitions` VALUES (931, 2011, 2, 'Koloncancer Kirurgi');
INSERT INTO `lang_definitions` VALUES (932, 2012, 2, 'Koloskopi');
INSERT INTO `lang_definitions` VALUES (933, 2013, 2, 'Koloskopi');
INSERT INTO `lang_definitions` VALUES (934, 2014, 2, 'Färg');
INSERT INTO `lang_definitions` VALUES (935, 2020, 2, 'Färg förkortning');
INSERT INTO `lang_definitions` VALUES (936, 2021, 2, 'Kolumn');
INSERT INTO `lang_definitions` VALUES (937, 2022, 2, 'Kolumner');
INSERT INTO `lang_definitions` VALUES (938, 2024, 2, 'Slå ihop grupper');
INSERT INTO `lang_definitions` VALUES (939, 2025, 2, 'Komma');
INSERT INTO `lang_definitions` VALUES (940, 2027, 2, 'Kommentar');
INSERT INTO `lang_definitions` VALUES (941, 2028, 2, 'Kommentarer');
INSERT INTO `lang_definitions` VALUES (942, 2030, 2, 'Kommentarer om detta resultat eller rekomendation');
INSERT INTO `lang_definitions` VALUES (943, 2031, 2, 'Commercial Insurance Co');
INSERT INTO `lang_definitions` VALUES (944, 2032, 2, 'Godkänn Ändringar');
INSERT INTO `lang_definitions` VALUES (945, 2036, 2, 'Förbindelser');
INSERT INTO `lang_definitions` VALUES (946, 2039, 2, 'Företag');
INSERT INTO `lang_definitions` VALUES (947, 2040, 2, 'Företag namn');
INSERT INTO `lang_definitions` VALUES (948, 2041, 2, 'Komplett');
INSERT INTO `lang_definitions` VALUES (949, 2046, 2, 'Klar?');
INSERT INTO `lang_definitions` VALUES (950, 2047, 2, 'Remover por completo la capacidad de mostrar el Tablero de Flujo de Pacientes');
INSERT INTO `lang_definitions` VALUES (951, 2048, 2, 'Estado de finalización');
INSERT INTO `lang_definitions` VALUES (952, 2049, 2, 'Komplikationer orsakade av vårdgivare');
INSERT INTO `lang_definitions` VALUES (953, 2050, 2, 'Abortkomplikationer');
INSERT INTO `lang_definitions` VALUES (954, 2051, 2, 'Enheter');
INSERT INTO `lang_definitions` VALUES (955, 2057, 2, 'Datorstödd Medicinskt beställningssystem');
INSERT INTO `lang_definitions` VALUES (956, 2058, 2, 'Slutsatser');
INSERT INTO `lang_definitions` VALUES (957, 2064, 2, 'Inställningar');
INSERT INTO `lang_definitions` VALUES (958, 2065, 2, 'Inställningar import/export');
INSERT INTO `lang_definitions` VALUES (959, 2067, 2, 'Konfigurera Apache och open EMR för att använda klient SSL certifikat');
INSERT INTO `lang_definitions` VALUES (960, 2068, 2, 'Konfigurera Apache att använda Klient SSL certifikat');
INSERT INTO `lang_definitions` VALUES (961, 2069, 2, 'Konfigurera apache för att använda HTTPS');
INSERT INTO `lang_definitions` VALUES (962, 2070, 2, 'Konfigurera openEMR för att använda Klient SSL certifikat');
INSERT INTO `lang_definitions` VALUES (963, 2079, 2, 'Bekräfta Skapa ny patient');
INSERT INTO `lang_definitions` VALUES (964, 2081, 2, 'Bekräfta Nytt lösenord');
INSERT INTO `lang_definitions` VALUES (965, 2083, 2, 'Bekräfta Betalning');
INSERT INTO `lang_definitions` VALUES (966, 2092, 2, 'Medfödd');
INSERT INTO `lang_definitions` VALUES (967, 2094, 2, 'Konjunktiva, pupiller');
INSERT INTO `lang_definitions` VALUES (968, 2097, 2, 'Sammanbindningar');
INSERT INTO `lang_definitions` VALUES (969, 2098, 2, 'Konstant');
INSERT INTO `lang_definitions` VALUES (970, 2100, 2, 'Konstant namn');
INSERT INTO `lang_definitions` VALUES (971, 2101, 2, 'Konstantnamn är tomt');
INSERT INTO `lang_definitions` VALUES (972, 2102, 2, 'Konstanter');
INSERT INTO `lang_definitions` VALUES (973, 2103, 2, 'Förstoppning');
INSERT INTO `lang_definitions` VALUES (974, 2104, 2, 'Konstitutionella');
INSERT INTO `lang_definitions` VALUES (975, 2107, 2, 'Konsultation, kortfattad beskrivning');
INSERT INTO `lang_definitions` VALUES (976, 2109, 2, 'Kontakt');
INSERT INTO `lang_definitions` VALUES (977, 2110, 2, 'E-postadress');
INSERT INTO `lang_definitions` VALUES (978, 2111, 2, 'Epostadresser');
INSERT INTO `lang_definitions` VALUES (979, 2112, 2, 'Kontakta EMR direkt för att prenumerera på phiMail Direct meddelande service');
INSERT INTO `lang_definitions` VALUES (980, 2113, 2, 'Kontaktinformation');
INSERT INTO `lang_definitions` VALUES (981, 2117, 2, 'Kontaktlinser');
INSERT INTO `lang_definitions` VALUES (982, 2118, 2, 'Contact Medical Information Integration, LLC at http://mi-squared.com for Lab Exchange Service.');
INSERT INTO `lang_definitions` VALUES (983, 2119, 2, 'Contact Medical Information Integration, LLC at http://mi-squared.com or ZH Healthcare at http://zhservices.com for subscribing the eRx service');
INSERT INTO `lang_definitions` VALUES (984, 2122, 2, 'Kontaktnamn');
INSERT INTO `lang_definitions` VALUES (985, 2125, 2, 'Kontaktperson');
INSERT INTO `lang_definitions` VALUES (986, 2127, 2, 'Kontakttelefonnummer');
INSERT INTO `lang_definitions` VALUES (987, 2129, 2, 'Contact ZMG, LLC (zmghealth@gmail.com) for subscribing the eRx service');
INSERT INTO `lang_definitions` VALUES (988, 2131, 2, 'Innehåller minst tre av följande fyra enheter:');
INSERT INTO `lang_definitions` VALUES (989, 2132, 2, 'Behållare Gruppnamn');
INSERT INTO `lang_definitions` VALUES (990, 2133, 2, 'Innehåll');
INSERT INTO `lang_definitions` VALUES (991, 2134, 2, 'innehåll');
INSERT INTO `lang_definitions` VALUES (992, 2136, 2, 'Sammanhang');
INSERT INTO `lang_definitions` VALUES (993, 2137, 2, 'Sammanhangsnamn kan inte vara tomt');
INSERT INTO `lang_definitions` VALUES (994, 2138, 2, 'Fortsätt');
INSERT INTO `lang_definitions` VALUES (995, 2142, 2, 'Vårdplanerings dokument');
INSERT INTO `lang_definitions` VALUES (996, 2145, 2, 'Vårdplanering');
INSERT INTO `lang_definitions` VALUES (997, 2146, 2, 'kontraindikationer');
INSERT INTO `lang_definitions` VALUES (998, 2147, 2, 'Preventivmedel');
INSERT INTO `lang_definitions` VALUES (999, 2148, 2, 'Preventivmedelsproblematik');
INSERT INTO `lang_definitions` VALUES (1000, 2149, 2, 'Preventivmedelsproblematik (specificera)');
INSERT INTO `lang_definitions` VALUES (1001, 2150, 2, 'Preventivmedel Metod');
INSERT INTO `lang_definitions` VALUES (1002, 2151, 2, 'Preventivmedel');
INSERT INTO `lang_definitions` VALUES (1003, 2152, 2, 'Preventivmedel, tjänster som tidigare startats');
INSERT INTO `lang_definitions` VALUES (1004, 2153, 2, 'Preventivmedel start');
INSERT INTO `lang_definitions` VALUES (1005, 2158, 2, 'Kontrollnummer');
INSERT INTO `lang_definitions` VALUES (1006, 2159, 2, 'Kontrollnummer');
INSERT INTO `lang_definitions` VALUES (1007, 2168, 2, 'medbetalare');
INSERT INTO `lang_definitions` VALUES (1008, 2169, 2, 'Medbetalare');
INSERT INTO `lang_definitions` VALUES (1009, 2170, 2, 'Medbetalare');
INSERT INTO `lang_definitions` VALUES (1010, 2171, 2, 'medbetalare nekar');
INSERT INTO `lang_definitions` VALUES (1011, 2173, 2, 'Medbetalare');
INSERT INTO `lang_definitions` VALUES (1012, 2174, 2, 'COPD');
INSERT INTO `lang_definitions` VALUES (1013, 2175, 2, 'Kopiera Sidor till Patientdiagram');
INSERT INTO `lang_definitions` VALUES (1014, 2177, 2, 'Kopiera Värderingar');
INSERT INTO `lang_definitions` VALUES (1015, 2178, 2, 'Kopiera databasfilen. Detta tar en stund...');
INSERT INTO `lang_definitions` VALUES (1016, 2179, 2, 'Upphovsrättsskydd');
INSERT INTO `lang_definitions` VALUES (1017, 2184, 2, 'Coronary Artery Bypass');
INSERT INTO `lang_definitions` VALUES (1018, 2185, 2, 'Coronary Artery Bypass Graft (CABG)');
INSERT INTO `lang_definitions` VALUES (1019, 2186, 2, 'Rättad');
INSERT INTO `lang_definitions` VALUES (1020, 2188, 2, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (1021, 2189, 2, 'Kunde inte ansluta till CouchDB');
INSERT INTO `lang_definitions` VALUES (1022, 2191, 2, 'CouchDB databas');
INSERT INTO `lang_definitions` VALUES (1023, 2192, 2, 'CouchDB databas namn');
INSERT INTO `lang_definitions` VALUES (1024, 2195, 2, 'CouchDB värd');
INSERT INTO `lang_definitions` VALUES (1025, 2196, 2, 'CouchDB värdnamn');
INSERT INTO `lang_definitions` VALUES (1026, 2197, 2, 'CouchDB log på');
INSERT INTO `lang_definitions` VALUES (1027, 2198, 2, 'CouchDB lösenord');
INSERT INTO `lang_definitions` VALUES (1028, 2199, 2, 'CouchDB port');
INSERT INTO `lang_definitions` VALUES (1029, 2200, 2, 'CouchDB port');
INSERT INTO `lang_definitions` VALUES (1030, 2203, 2, 'CouchDB användarnamn');
INSERT INTO `lang_definitions` VALUES (1031, 2204, 2, 'Hosta');
INSERT INTO `lang_definitions` VALUES (1032, 2205, 2, 'Hosta:');
INSERT INTO `lang_definitions` VALUES (1033, 2211, 2, 'Kunde ej läsa fil');
INSERT INTO `lang_definitions` VALUES (1034, 2214, 2, 'Kunde inte skicka e-post på grund av en server problem');
INSERT INTO `lang_definitions` VALUES (1035, 2216, 2, 'Kunde inte skicka e-post på grund av en server problem');
INSERT INTO `lang_definitions` VALUES (1036, 2217, 2, 'Kunde inte skapa backup');
INSERT INTO `lang_definitions` VALUES (1037, 2218, 2, 'Kunde inte ta bort mapp');
INSERT INTO `lang_definitions` VALUES (1038, 2219, 2, 'Kunde inte ta bort gammal backup fil');
INSERT INTO `lang_definitions` VALUES (1039, 2220, 2, 'Kunde inte ta bort gammal export fil');
INSERT INTO `lang_definitions` VALUES (1040, 2221, 2, 'Waran INR kontroll');
INSERT INTO `lang_definitions` VALUES (1041, 2222, 2, 'Couns av metod');
INSERT INTO `lang_definitions` VALUES (1042, 2223, 2, 'Rådgivning');
INSERT INTO `lang_definitions` VALUES (1043, 2224, 2, 'Rådgivning, Aktivitet');
INSERT INTO `lang_definitions` VALUES (1044, 2227, 2, 'svarsremiss, formulär');
INSERT INTO `lang_definitions` VALUES (1045, 2228, 2, 'Nation');
INSERT INTO `lang_definitions` VALUES (1046, 2229, 2, 'Land');
INSERT INTO `lang_definitions` VALUES (1047, 2231, 2, 'Typ av nationsdata');
INSERT INTO `lang_definitions` VALUES (1048, 2232, 2, 'Nationslista');
INSERT INTO `lang_definitions` VALUES (1049, 2233, 2, 'Nationslista');
INSERT INTO `lang_definitions` VALUES (1050, 2235, 2, 'Nationsnamn ska representeras av två bokstäver');
INSERT INTO `lang_definitions` VALUES (1051, 2236, 2, 'Landsting');
INSERT INTO `lang_definitions` VALUES (1052, 2238, 2, 'kupong');
INSERT INTO `lang_definitions` VALUES (1053, 2245, 2, 'CPT');
INSERT INTO `lang_definitions` VALUES (1054, 2246, 2, 'CPT Koder');
INSERT INTO `lang_definitions` VALUES (1055, 2247, 2, 'CPT Koder');
INSERT INTO `lang_definitions` VALUES (1056, 2248, 2, 'CPT4 Åtgärder/Tjänster');
INSERT INTO `lang_definitions` VALUES (1057, 2249, 2, 'CPTII Mått på utförande');
INSERT INTO `lang_definitions` VALUES (1058, 2250, 2, 'Kvalitetscertifikat (GCP)');
INSERT INTO `lang_definitions` VALUES (1059, 2252, 2, 'Sprickor:');
INSERT INTO `lang_definitions` VALUES (1060, 2255, 2, 'kräm');
INSERT INTO `lang_definitions` VALUES (1061, 2256, 2, 'Skapa klient certifikat SSL för varje användare eller dator');
INSERT INTO `lang_definitions` VALUES (1062, 2257, 2, 'Skapa klientcertifikat för antingen användare eller datornamn');
INSERT INTO `lang_definitions` VALUES (1063, 2269, 2, 'Skapa en händelse');
INSERT INTO `lang_definitions` VALUES (1064, 2273, 2, 'Skapa och ladda ner en fullständig backup');
INSERT INTO `lang_definitions` VALUES (1065, 2275, 2, 'Skapa beackup');
INSERT INTO `lang_definitions` VALUES (1066, 2276, 2, 'Skapa grupp');
INSERT INTO `lang_definitions` VALUES (1067, 2277, 2, 'Skapa kientcertifikat');
INSERT INTO `lang_definitions` VALUES (1068, 2278, 2, 'Skapa klient SSL certifikat');
INSERT INTO `lang_definitions` VALUES (1069, 2281, 2, 'Skapa kopia');
INSERT INTO `lang_definitions` VALUES (1070, 2283, 2, 'Skapa backup av händelselog');
INSERT INTO `lang_definitions` VALUES (1071, 2285, 2, 'Skapa ny aktivitet');
INSERT INTO `lang_definitions` VALUES (1072, 2287, 2, 'Skapa ny patient');
INSERT INTO `lang_definitions` VALUES (1073, 2290, 2, 'Skapa externa port rättigheter');
INSERT INTO `lang_definitions` VALUES (1074, 2292, 2, 'Skapa interna port rättigheter');
INSERT INTO `lang_definitions` VALUES (1075, 2294, 2, 'Skapa Patientanteckning');
INSERT INTO `lang_definitions` VALUES (1076, 2296, 2, 'Skapa SSL certifikat utgivare och server certifikat');
INSERT INTO `lang_definitions` VALUES (1077, 2297, 2, 'Skapa besök');
INSERT INTO `lang_definitions` VALUES (1078, 2298, 2, 'Skapad');
INSERT INTO `lang_definitions` VALUES (1079, 2306, 2, 'Skapa exportfil');
INSERT INTO `lang_definitions` VALUES (1080, 2308, 2, 'Skapande av fil på värden misslyckades');
INSERT INTO `lang_definitions` VALUES (1081, 2309, 2, 'Skapare');
INSERT INTO `lang_definitions` VALUES (1082, 2311, 2, 'kredit');
INSERT INTO `lang_definitions` VALUES (1083, 2312, 2, 'Kreditkort');
INSERT INTO `lang_definitions` VALUES (1084, 2314, 2, 'Kredit');
INSERT INTO `lang_definitions` VALUES (1085, 2316, 2, 'Kriterier');
INSERT INTO `lang_definitions` VALUES (1086, 2319, 2, 'Crohn\'s sjukdom');
INSERT INTO `lang_definitions` VALUES (1087, 2320, 2, 'Chrons sjukdom');
INSERT INTO `lang_definitions` VALUES (1088, 2323, 2, 'export av kommaseparerad lista');
INSERT INTO `lang_definitions` VALUES (1089, 2324, 2, 'Kommaseparerad fil');
INSERT INTO `lang_definitions` VALUES (1090, 2325, 2, 'Kommaseparerad tabell');
INSERT INTO `lang_definitions` VALUES (1091, 2330, 2, 'Kubikmillimeter');
INSERT INTO `lang_definitions` VALUES (1092, 2331, 2, 'Kuban');
INSERT INTO `lang_definitions` VALUES (1093, 2333, 2, 'Valuta decimaler');
INSERT INTO `lang_definitions` VALUES (1094, 2334, 2, 'Valuta decimaltecken');
INSERT INTO `lang_definitions` VALUES (1095, 2335, 2, 'Valutatecken');
INSERT INTO `lang_definitions` VALUES (1096, 2336, 2, 'Valuta tusenseparator');
INSERT INTO `lang_definitions` VALUES (1097, 2337, 2, 'Pågående');
INSERT INTO `lang_definitions` VALUES (1098, 2338, 2, 'Alkohol aktuellt');
INSERT INTO `lang_definitions` VALUES (1099, 2341, 2, 'Pågående konsultation');
INSERT INTO `lang_definitions` VALUES (1100, 2342, 2, 'Aktuella kriterier');
INSERT INTO `lang_definitions` VALUES (1101, 2344, 2, 'Markeringsfärg för aktuell dag');
INSERT INTO `lang_definitions` VALUES (1102, 2345, 2, 'Röker dagligen');
INSERT INTO `lang_definitions` VALUES (1103, 2347, 2, 'Nuvarande filnamn är ändrat till');
INSERT INTO `lang_definitions` VALUES (1104, 2349, 2, 'Använder hash');
INSERT INTO `lang_definitions` VALUES (1105, 2350, 2, 'Nuvarande lokalisation');
INSERT INTO `lang_definitions` VALUES (1106, 2352, 2, 'Aktuell medicinering');
INSERT INTO `lang_definitions` VALUES (1107, 2354, 2, 'Aktuellt lösenord');
INSERT INTO `lang_definitions` VALUES (1108, 2356, 2, 'Pågående patient');
INSERT INTO `lang_definitions` VALUES (1109, 2361, 2, 'Aktuella droger');
INSERT INTO `lang_definitions` VALUES (1110, 2363, 2, 'Tillfällighetsrökare');
INSERT INTO `lang_definitions` VALUES (1111, 2371, 2, 'För närvarande Aktiv');
INSERT INTO `lang_definitions` VALUES (1112, 2375, 2, 'Pågår');
INSERT INTO `lang_definitions` VALUES (1113, 2377, 2, 'Ingen aktuell klinik');
INSERT INTO `lang_definitions` VALUES (1114, 2379, 2, 'Cushing Syndrom');
INSERT INTO `lang_definitions` VALUES (1115, 2380, 2, 'Cushings syndrom');
INSERT INTO `lang_definitions` VALUES (1116, 2383, 2, 'Anpassad');
INSERT INTO `lang_definitions` VALUES (1117, 2390, 2, 'Anpassat input');
INSERT INTO `lang_definitions` VALUES (1118, 2395, 2, 'Anpassad tabell');
INSERT INTO `lang_definitions` VALUES (1119, 2402, 2, 'CVX kod');
INSERT INTO `lang_definitions` VALUES (1120, 2403, 2, 'CVX kod koppling');
INSERT INTO `lang_definitions` VALUES (1121, 2404, 2, 'CVX vaccination');
INSERT INTO `lang_definitions` VALUES (1122, 2412, 2, 'CYP');
INSERT INTO `lang_definitions` VALUES (1123, 2413, 2, 'CYP Factor');
INSERT INTO `lang_definitions` VALUES (1124, 2414, 2, 'CYP Rapport');
INSERT INTO `lang_definitions` VALUES (1125, 2415, 2, 'Tjeckisk');
INSERT INTO `lang_definitions` VALUES (1126, 2416, 2, 'D');
INSERT INTO `lang_definitions` VALUES (1127, 2417, 2, 'D & C');
INSERT INTO `lang_definitions` VALUES (1128, 2418, 2, 'D & E');
INSERT INTO `lang_definitions` VALUES (1129, 2420, 2, 'Födelsedatum');
INSERT INTO `lang_definitions` VALUES (1130, 2421, 2, 'dagligen');
INSERT INTO `lang_definitions` VALUES (1131, 2422, 2, 'Daglig registrering');
INSERT INTO `lang_definitions` VALUES (1132, 2425, 2, 'dansk');
INSERT INTO `lang_definitions` VALUES (1133, 2429, 2, 'Liknande data finns redan i databasen, ändra koden och / eller beskrivning');
INSERT INTO `lang_definitions` VALUES (1134, 2430, 2, 'Liknande data finns redan i databasen, ändra koden och / eller beskrivning');
INSERT INTO `lang_definitions` VALUES (1135, 2431, 2, 'Data kolumner');
INSERT INTO `lang_definitions` VALUES (1136, 2434, 2, 'Data fel');
INSERT INTO `lang_definitions` VALUES (1137, 2439, 2, 'Datattyp');
INSERT INTO `lang_definitions` VALUES (1138, 2440, 2, 'Databas');
INSERT INTO `lang_definitions` VALUES (1139, 2442, 2, 'Databas är inte installerad');
INSERT INTO `lang_definitions` VALUES (1140, 2444, 2, 'databas revision');
INSERT INTO `lang_definitions` VALUES (1141, 2445, 2, 'Databasrapportering');
INSERT INTO `lang_definitions` VALUES (1142, 2447, 2, 'Uppdatering av databas avslutad');
INSERT INTO `lang_definitions` VALUES (1143, 2448, 2, 'Datacols måste ha ett nummer mellan 1 och 999');
INSERT INTO `lang_definitions` VALUES (1144, 2449, 2, 'Datum');
INSERT INTO `lang_definitions` VALUES (1145, 2450, 2, 'DATUM');
INSERT INTO `lang_definitions` VALUES (1146, 2451, 2, 'Hantering av datum och tid');
INSERT INTO `lang_definitions` VALUES (1147, 2453, 2, 'Administreringsdatum');
INSERT INTO `lang_definitions` VALUES (1148, 2454, 2, 'datum och tid för insamling');
INSERT INTO `lang_definitions` VALUES (1149, 2455, 2, 'datum och tid för observation');
INSERT INTO `lang_definitions` VALUES (1150, 2457, 2, 'Datum och tid när provet togs');
INSERT INTO `lang_definitions` VALUES (1151, 2458, 2, 'datum kan inte vara senare än idag');
INSERT INTO `lang_definitions` VALUES (1152, 2459, 2, 'Datum då preventivmeddel insattes för första gången');
INSERT INTO `lang_definitions` VALUES (1153, 2460, 2, 'Skapat datum');
INSERT INTO `lang_definitions` VALUES (1154, 2461, 2, 'Datum avslutad');
INSERT INTO `lang_definitions` VALUES (1155, 2462, 2, 'Förstörd datum');
INSERT INTO `lang_definitions` VALUES (1156, 2463, 2, 'Sätt att visa datum');
INSERT INTO `lang_definitions` VALUES (1157, 2464, 2, 'Datumformat för \"mötet slutar\" är inte giltigt');
INSERT INTO `lang_definitions` VALUES (1158, 2465, 2, 'Datumformat för \"mötet startat \"är inte giltig');
INSERT INTO `lang_definitions` VALUES (1159, 2466, 2, 'Datumformat för \"Nästa Möte\" är inte giltig');
INSERT INTO `lang_definitions` VALUES (1160, 2467, 2, 'Datumformat för \"sista besök\" är inte giltig');
INSERT INTO `lang_definitions` VALUES (1161, 2469, 2, 'Datumformat för \"sista besök\" är inte giltig');
INSERT INTO `lang_definitions` VALUES (1162, 2470, 2, 'Datum för vaccinationsinformation');
INSERT INTO `lang_definitions` VALUES (1163, 2471, 2, 'Datum saknas för kod');
INSERT INTO `lang_definitions` VALUES (1164, 2472, 2, 'Huvudsakligt kriterium för datum');
INSERT INTO `lang_definitions` VALUES (1165, 2475, 2, 'Datum för bankinsättning åååå-mm-dd');
INSERT INTO `lang_definitions` VALUES (1166, 2476, 2, 'datum för fakturering');
INSERT INTO `lang_definitions` VALUES (1167, 2477, 2, 'Födelsedatum');
INSERT INTO `lang_definitions` VALUES (1168, 2478, 2, 'Födelsedatum');
INSERT INTO `lang_definitions` VALUES (1169, 2479, 2, 'Födelsedatum');
INSERT INTO `lang_definitions` VALUES (1170, 2481, 2, 'datum för registrering');
INSERT INTO `lang_definitions` VALUES (1171, 2483, 2, 'Datum för skada');
INSERT INTO `lang_definitions` VALUES (1172, 2487, 2, 'Datum för betalning åååå-mm-dd');
INSERT INTO `lang_definitions` VALUES (1173, 2489, 2, 'Remissdatum');
INSERT INTO `lang_definitions` VALUES (1174, 2491, 2, 'Svarsdatum');
INSERT INTO `lang_definitions` VALUES (1175, 2492, 2, 'Rapportdatum');
INSERT INTO `lang_definitions` VALUES (1176, 2493, 2, 'Datum för tjänsten');
INSERT INTO `lang_definitions` VALUES (1177, 2495, 2, 'Datum för tjänst');
INSERT INTO `lang_definitions` VALUES (1178, 2496, 2, 'datum för tjänsten = idag');
INSERT INTO `lang_definitions` VALUES (1179, 2498, 2, 'Datum för tjänst MM / DD / ÅÅÅÅ');
INSERT INTO `lang_definitions` VALUES (1180, 2499, 2, 'Datum för tjänst:');
INSERT INTO `lang_definitions` VALUES (1181, 2500, 2, 'datum för signering');
INSERT INTO `lang_definitions` VALUES (1182, 2501, 2, 'datum för förändrat status');
INSERT INTO `lang_definitions` VALUES (1183, 2503, 2, 'Orderdatum');
INSERT INTO `lang_definitions` VALUES (1184, 2504, 2, 'Rapportdatum');
INSERT INTO `lang_definitions` VALUES (1185, 2505, 2, 'Datum för VIS deklaration');
INSERT INTO `lang_definitions` VALUES (1186, 2506, 2, 'datum beställd');
INSERT INTO `lang_definitions` VALUES (1187, 2509, 2, 'Val av datum');
INSERT INTO `lang_definitions` VALUES (1188, 2510, 2, 'Skickat datum');
INSERT INTO `lang_definitions` VALUES (1189, 2511, 2, 'Datum då meddelande skickades');
INSERT INTO `lang_definitions` VALUES (1190, 2513, 2, 'datumvärde kan inte vara tomt.');
INSERT INTO `lang_definitions` VALUES (1191, 2516, 2, 'datum/planerat besök');
INSERT INTO `lang_definitions` VALUES (1192, 2517, 2, 'Datum/anteckningar');
INSERT INTO `lang_definitions` VALUES (1193, 2518, 2, 'Datum / Anteckningar, senast');
INSERT INTO `lang_definitions` VALUES (1194, 2519, 2, 'datum/tid');
INSERT INTO `lang_definitions` VALUES (1195, 2520, 2, 'Datum:');
INSERT INTO `lang_definitions` VALUES (1196, 2523, 2, 'Daterad meddelande log');
INSERT INTO `lang_definitions` VALUES (1197, 2526, 2, 'Dag');
INSERT INTO `lang_definitions` VALUES (1198, 2527, 2, 'dag');
INSERT INTO `lang_definitions` VALUES (1199, 2530, 2, 'Överblick dag');
INSERT INTO `lang_definitions` VALUES (1200, 2531, 2, 'Dag (ar)');
INSERT INTO `lang_definitions` VALUES (1201, 2532, 2, 'Dag (ar) M-F');
INSERT INTO `lang_definitions` VALUES (1202, 2533, 2, 'dagar');
INSERT INTO `lang_definitions` VALUES (1203, 2534, 2, 'Dagar');
INSERT INTO `lang_definitions` VALUES (1204, 2535, 2, 'dagar sedan');
INSERT INTO `lang_definitions` VALUES (1205, 2536, 2, 'Dagar och spel Missade');
INSERT INTO `lang_definitions` VALUES (1206, 2537, 2, 'Dagar från förra mötet');
INSERT INTO `lang_definitions` VALUES (1207, 2538, 2, 'Missade dagar');
INSERT INTO `lang_definitions` VALUES (1208, 2541, 2, 'Dagar per Kolumn:');
INSERT INTO `lang_definitions` VALUES (1209, 2543, 2, 'dagar/kolumner');
INSERT INTO `lang_definitions` VALUES (1210, 2544, 2, 'DB installerad');
INSERT INTO `lang_definitions` VALUES (1211, 2545, 2, 'DD/MM/ÅÅÅÅ');
INSERT INTO `lang_definitions` VALUES (1212, 2546, 2, 'Avidentifiering');
INSERT INTO `lang_definitions` VALUES (1213, 2547, 2, 'Avidentifiering komplett');
INSERT INTO `lang_definitions` VALUES (1214, 2548, 2, 'Avidentifiering pågår');
INSERT INTO `lang_definitions` VALUES (1215, 2549, 2, 'Avidentifiering påpbörjad och sker i bakgrunden');
INSERT INTO `lang_definitions` VALUES (1216, 2550, 2, 'Avidentifiering kanske inte är komplett');
INSERT INTO `lang_definitions` VALUES (1217, 2551, 2, 'Avidentifierade filer sparas i');
INSERT INTO `lang_definitions` VALUES (1218, 2552, 2, 'Läkemedelsverket (DEA)');
INSERT INTO `lang_definitions` VALUES (1219, 2558, 2, 'Döv');
INSERT INTO `lang_definitions` VALUES (1220, 2562, 2, 'Debuginformation');
INSERT INTO `lang_definitions` VALUES (1221, 2564, 2, 'Debugging');
INSERT INTO `lang_definitions` VALUES (1222, 2565, 2, 'Dec');
INSERT INTO `lang_definitions` VALUES (1223, 2567, 2, 'Avslutad');
INSERT INTO `lang_definitions` VALUES (1224, 2574, 2, 'December');
INSERT INTO `lang_definitions` VALUES (1225, 2578, 2, 'Decimal pound eller pound/ounces delas med # (ex 5#4)');
INSERT INTO `lang_definitions` VALUES (1226, 2580, 2, 'Avdragsgill');
INSERT INTO `lang_definitions` VALUES (1227, 2581, 2, 'Genomförda avdrag');
INSERT INTO `lang_definitions` VALUES (1228, 2583, 2, 'Standard');
INSERT INTO `lang_definitions` VALUES (1229, 2585, 2, 'Standard Kalender vy');
INSERT INTO `lang_definitions` VALUES (1230, 2587, 2, 'Standard Besöksformulär Id');
INSERT INTO `lang_definitions` VALUES (1231, 2589, 2, 'Standard Klinik');
INSERT INTO `lang_definitions` VALUES (1232, 2594, 2, 'Standardspråk');
INSERT INTO `lang_definitions` VALUES (1233, 2595, 2, 'Standardspråk ifall inget annat är tillåtet eller valt');
INSERT INTO `lang_definitions` VALUES (1234, 2598, 2, 'Standardlista');
INSERT INTO `lang_definitions` VALUES (1235, 2600, 2, 'Standardmetod');
INSERT INTO `lang_definitions` VALUES (1236, 2601, 2, 'Standard tid för lösenords giltighet');
INSERT INTO `lang_definitions` VALUES (1237, 2602, 2, 'Standardtid för lösenords giltighetstid. 0 innebär oändlig giltighet.');
INSERT INTO `lang_definitions` VALUES (1238, 2603, 2, 'Standard patient land');
INSERT INTO `lang_definitions` VALUES (1239, 2606, 2, 'Standard prioritet');
INSERT INTO `lang_definitions` VALUES (1240, 2607, 2, 'Standard vårdgivare');
INSERT INTO `lang_definitions` VALUES (1241, 2609, 2, 'Standard range');
INSERT INTO `lang_definitions` VALUES (1242, 2610, 2, 'Standard kontaktorsak');
INSERT INTO `lang_definitions` VALUES (1243, 2615, 2, 'Standard inställningar');
INSERT INTO `lang_definitions` VALUES (1244, 2617, 2, 'Normalt status för \'Nytt fönster\' markering i patientlistan');
INSERT INTO `lang_definitions` VALUES (1245, 2618, 2, 'Standardmall');
INSERT INTO `lang_definitions` VALUES (1246, 2624, 2, 'Standard enhet');
INSERT INTO `lang_definitions` VALUES (1247, 2626, 2, 'Standardvärde');
INSERT INTO `lang_definitions` VALUES (1248, 2628, 2, 'Standard lager');
INSERT INTO `lang_definitions` VALUES (1249, 2629, 2, 'Standard X12 Partner');
INSERT INTO `lang_definitions` VALUES (1250, 2630, 2, 'Default / Global');
INSERT INTO `lang_definitions` VALUES (1251, 2635, 2, 'Ta bort');
INSERT INTO `lang_definitions` VALUES (1252, 2636, 2, 'Ta bort');
INSERT INTO `lang_definitions` VALUES (1253, 2637, 2, 'Fördröjd Återkommande (> 12 mån)');
INSERT INTO `lang_definitions` VALUES (1254, 2638, 2, 'Ta bort');
INSERT INTO `lang_definitions` VALUES (1255, 2639, 2, 'ta bort');
INSERT INTO `lang_definitions` VALUES (1256, 2640, 2, 'Radera Kategorier med ID (s):');
INSERT INTO `lang_definitions` VALUES (1257, 2641, 2, 'Radera katogori');
INSERT INTO `lang_definitions` VALUES (1258, 2644, 2, 'Kunde ej radera!');
INSERT INTO `lang_definitions` VALUES (1259, 2645, 2, 'Ta bort grupp');
INSERT INTO `lang_definitions` VALUES (1260, 2646, 2, 'Ta bort lista');
INSERT INTO `lang_definitions` VALUES (1261, 2648, 2, 'Radera Sidor');
INSERT INTO `lang_definitions` VALUES (1262, 2649, 2, 'Ta bort patient, Möte, Formulär, Ämne, Dokument, Betalning, Fakturering eller transaktionstryck');
INSERT INTO `lang_definitions` VALUES (1263, 2651, 2, 'Ta bort rad');
INSERT INTO `lang_definitions` VALUES (1264, 2652, 2, 'Ta bort markerade enheter');
INSERT INTO `lang_definitions` VALUES (1265, 2655, 2, 'Borttagning OK');
INSERT INTO `lang_definitions` VALUES (1266, 2656, 2, 'Radera detta dokument');
INSERT INTO `lang_definitions` VALUES (1267, 2657, 2, 'Radera detta formulär');
INSERT INTO `lang_definitions` VALUES (1268, 2659, 2, 'Radera denna anteckning');
INSERT INTO `lang_definitions` VALUES (1269, 2661, 2, 'Borttagning OK');
INSERT INTO `lang_definitions` VALUES (1270, 2662, 2, 'Ta bort');
INSERT INTO `lang_definitions` VALUES (1271, 2663, 2, 'Borttagen händelse kan inte återskapas. Är du säker på att du vill ta bort händelsen?');
INSERT INTO `lang_definitions` VALUES (1272, 2666, 2, 'Leverans bekräftad');
INSERT INTO `lang_definitions` VALUES (1273, 2668, 2, 'Leverans är inte tillåten till specificerad direkt adress.');
INSERT INTO `lang_definitions` VALUES (1274, 2670, 2, 'Leverans av bifogat kliniskt dokument var begärt av patienten');
INSERT INTO `lang_definitions` VALUES (1275, 2671, 2, 'Demens');
INSERT INTO `lang_definitions` VALUES (1276, 2673, 2, 'Demografi');
INSERT INTO `lang_definitions` VALUES (1277, 2674, 2, 'Demografi');
INSERT INTO `lang_definitions` VALUES (1278, 2678, 2, 'Demografi filter kriterier');
INSERT INTO `lang_definitions` VALUES (1279, 2680, 2, 'Demografi ej auktoriserad');
INSERT INTO `lang_definitions` VALUES (1280, 2681, 2, 'Demografi ej auktoriserad');
INSERT INTO `lang_definitions` VALUES (1281, 2682, 2, 'Nekad');
INSERT INTO `lang_definitions` VALUES (1282, 2684, 2, 'Nämnare');
INSERT INTO `lang_definitions` VALUES (1283, 2687, 2, 'Dental');
INSERT INTO `lang_definitions` VALUES (1284, 2688, 2, 'Tandvård ärende lista');
INSERT INTO `lang_definitions` VALUES (1285, 2689, 2, 'Tandvårds ärenden');
INSERT INTO `lang_definitions` VALUES (1286, 2694, 2, 'Beroende på vilken typ av räkning som testas kommer man kunna se HCFA liknande utskrift på blankt papper om HFCA-räkning testas, flera rader med blurrig text och information ifall X12-claim testas. Denna text är X12 EDI 4010A format. Ibland ser man udda konstiga tecken som liknar små figurer. Detta är kontrolltecken för sidmatning mm och det är helt normalt.');
INSERT INTO `lang_definitions` VALUES (1287, 2696, 2, 'Insättningsdatum');
INSERT INTO `lang_definitions` VALUES (1288, 2697, 2, 'Insättningsdatum kan inte vara senare än idag.');
INSERT INTO `lang_definitions` VALUES (1289, 2698, 2, 'Insättning Datum:');
INSERT INTO `lang_definitions` VALUES (1290, 2699, 2, 'Deprimerad');
INSERT INTO `lang_definitions` VALUES (1291, 2700, 2, 'Depression');
INSERT INTO `lang_definitions` VALUES (1292, 2706, 2, 'Beskrivning');
INSERT INTO `lang_definitions` VALUES (1293, 2707, 2, 'beskrivning');
INSERT INTO `lang_definitions` VALUES (1294, 2709, 2, 'Beskrivning av upptäckten');
INSERT INTO `lang_definitions` VALUES (1295, 2710, 2, 'Beskrivning av åtgärden eller resultatkod');
INSERT INTO `lang_definitions` VALUES (1296, 2711, 2, 'Beskrivning översättning');
INSERT INTO `lang_definitions` VALUES (1297, 2713, 2, 'Mål');
INSERT INTO `lang_definitions` VALUES (1298, 2714, 2, 'Målfilnamn');
INSERT INTO `lang_definitions` VALUES (1299, 2716, 2, 'Förstör Parti');
INSERT INTO `lang_definitions` VALUES (1300, 2717, 2, 'Förstör ...');
INSERT INTO `lang_definitions` VALUES (1301, 2718, 2, 'Förstörd');
INSERT INTO `lang_definitions` VALUES (1302, 2719, 2, 'Förstörda läkemedel');
INSERT INTO `lang_definitions` VALUES (1303, 2720, 2, 'Förstöras narkotika Rapport');
INSERT INTO `lang_definitions` VALUES (1304, 2721, 2, 'Detalj');
INSERT INTO `lang_definitions` VALUES (1305, 2726, 2, 'Detaljer');
INSERT INTO `lang_definitions` VALUES (1306, 2728, 2, 'Utvecklingsstörning');
INSERT INTO `lang_definitions` VALUES (1307, 2730, 2, 'Diabetes');
INSERT INTO `lang_definitions` VALUES (1308, 2731, 2, 'Diabetes Mellitus');
INSERT INTO `lang_definitions` VALUES (1309, 2732, 2, 'Diabetes: Blodtryckskontroll');
INSERT INTO `lang_definitions` VALUES (1310, 2733, 2, 'Diabetes: Ögonundersökning');
INSERT INTO `lang_definitions` VALUES (1311, 2734, 2, 'Diabetes: Ögonundersökning');
INSERT INTO `lang_definitions` VALUES (1312, 2735, 2, 'Diabetes: Fotundersökning');
INSERT INTO `lang_definitions` VALUES (1313, 2736, 2, 'Diabetes: Fotundersökning');
INSERT INTO `lang_definitions` VALUES (1314, 2737, 2, 'Diabetes: HbA1c dåligt reglerat');
INSERT INTO `lang_definitions` VALUES (1315, 2738, 2, 'Diabetes: HbA1c');
INSERT INTO `lang_definitions` VALUES (1316, 2739, 2, 'Diabetes: Blodfetter');
INSERT INTO `lang_definitions` VALUES (1317, 2740, 2, 'Diabetes: Urin microalbumin');
INSERT INTO `lang_definitions` VALUES (1318, 2741, 2, 'Diag');
INSERT INTO `lang_definitions` VALUES (1319, 2742, 2, 'Diagnoser');
INSERT INTO `lang_definitions` VALUES (1320, 2743, 2, 'Diagnos');
INSERT INTO `lang_definitions` VALUES (1321, 2744, 2, 'Diagnoskod');
INSERT INTO `lang_definitions` VALUES (1322, 2747, 2, 'Diagnos datum');
INSERT INTO `lang_definitions` VALUES (1323, 2749, 2, 'Diagnos måste kodas in i ett länkat patientmöte');
INSERT INTO `lang_definitions` VALUES (1324, 2750, 2, 'Diagnos namn');
INSERT INTO `lang_definitions` VALUES (1325, 2751, 2, 'Diagnos rapport');
INSERT INTO `lang_definitions` VALUES (1326, 2752, 2, 'Diagnos rapport');
INSERT INTO `lang_definitions` VALUES (1327, 2753, 2, 'Diagnos rapport enbart');
INSERT INTO `lang_definitions` VALUES (1328, 2754, 2, 'Diagnos titel');
INSERT INTO `lang_definitions` VALUES (1329, 2755, 2, 'Diagnos:');
INSERT INTO `lang_definitions` VALUES (1330, 2756, 2, 'Diagnos:');
INSERT INTO `lang_definitions` VALUES (1331, 2758, 2, 'Diagnostiska tester:');
INSERT INTO `lang_definitions` VALUES (1332, 2760, 2, 'Skala');
INSERT INTO `lang_definitions` VALUES (1333, 2763, 2, 'Membran/kapsel');
INSERT INTO `lang_definitions` VALUES (1334, 2764, 2, 'Diarée');
INSERT INTO `lang_definitions` VALUES (1335, 2767, 2, 'Diktat');
INSERT INTO `lang_definitions` VALUES (1336, 2768, 2, 'Diktat:');
INSERT INTO `lang_definitions` VALUES (1337, 2769, 2, 'Fick du en kopia av denna HIPAA notering?');
INSERT INTO `lang_definitions` VALUES (1338, 2770, 2, 'Diffus');
INSERT INTO `lang_definitions` VALUES (1339, 2771, 2, 'Digitalt signerad');
INSERT INTO `lang_definitions` VALUES (1340, 2781, 2, 'Direkt mail');
INSERT INTO `lang_definitions` VALUES (1341, 2782, 2, 'Log på direktmeddelande');
INSERT INTO `lang_definitions` VALUES (1342, 2783, 2, 'Direkt meddelande mottaget');
INSERT INTO `lang_definitions` VALUES (1343, 2784, 2, 'Direkt meddelande ej tillgängligt');
INSERT INTO `lang_definitions` VALUES (1344, 2785, 2, 'Kunde ej skicka direkt meddelande');
INSERT INTO `lang_definitions` VALUES (1345, 2787, 2, 'Arbetsledare, namn');
INSERT INTO `lang_definitions` VALUES (1346, 2788, 2, 'Kunde ej ta bort mapp. Fortsätt');
INSERT INTO `lang_definitions` VALUES (1347, 2789, 2, 'Funktionshinder');
INSERT INTO `lang_definitions` VALUES (1348, 2794, 2, 'Stäng av kalender');
INSERT INTO `lang_definitions` VALUES (1349, 2795, 2, 'Stäng av spårning av patientkort');
INSERT INTO `lang_definitions` VALUES (1350, 2798, 2, 'Stäng av vaccination');
INSERT INTO `lang_definitions` VALUES (1351, 2800, 2, 'Stäng av gammal metrisk vitala tecken formulär');
INSERT INTO `lang_definitions` VALUES (1352, 2802, 2, 'Stäng av phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (1353, 2803, 2, 'Stäng av receptförskrivning');
INSERT INTO `lang_definitions` VALUES (1354, 2804, 2, 'Stäng av användargrupp');
INSERT INTO `lang_definitions` VALUES (1355, 2805, 2, 'funktionshindrade');
INSERT INTO `lang_definitions` VALUES (1356, 2806, 2, 'Funktionshindrade');
INSERT INTO `lang_definitions` VALUES (1357, 2807, 2, 'Handikappad under 65 år med LGHP-försäkring');
INSERT INTO `lang_definitions` VALUES (1358, 2812, 2, 'Disk');
INSERT INTO `lang_definitions` VALUES (1359, 2815, 2, 'Utskrivning');
INSERT INTO `lang_definitions` VALUES (1360, 2816, 2, 'Flytningar från urinröret');
INSERT INTO `lang_definitions` VALUES (1361, 2818, 2, 'Rätt utskriven');
INSERT INTO `lang_definitions` VALUES (1362, 2819, 2, 'Rätt utskriven');
INSERT INTO `lang_definitions` VALUES (1363, 2823, 2, 'Utskriven');
INSERT INTO `lang_definitions` VALUES (1364, 2825, 2, 'Kvitto information');
INSERT INTO `lang_definitions` VALUES (1365, 2826, 2, 'Kvitto typ');
INSERT INTO `lang_definitions` VALUES (1366, 2827, 2, 'Kvitton typer');
INSERT INTO `lang_definitions` VALUES (1367, 2828, 2, 'Kvitton');
INSERT INTO `lang_definitions` VALUES (1368, 2833, 2, 'Rabatt');
INSERT INTO `lang_definitions` VALUES (1369, 2834, 2, 'Rabatt Belopp');
INSERT INTO `lang_definitions` VALUES (1370, 2835, 2, 'Rabatt nivå');
INSERT INTO `lang_definitions` VALUES (1371, 2836, 2, 'Rabatt procent');
INSERT INTO `lang_definitions` VALUES (1372, 2837, 2, 'Rabatt som belopp');
INSERT INTO `lang_definitions` VALUES (1373, 2838, 2, 'Rabatt vid checkout skrivs in som belopp i stället för som procent');
INSERT INTO `lang_definitions` VALUES (1374, 2839, 2, 'Diskreta resultat');
INSERT INTO `lang_definitions` VALUES (1375, 2841, 2, 'Sjukdom');
INSERT INTO `lang_definitions` VALUES (1376, 2843, 2, 'Förskjutning');
INSERT INTO `lang_definitions` VALUES (1377, 2847, 2, 'Antal:');
INSERT INTO `lang_definitions` VALUES (1378, 2848, 2, 'Skicka i väg');
INSERT INTO `lang_definitions` VALUES (1379, 2849, 2, 'Skicka mottagna dokument');
INSERT INTO `lang_definitions` VALUES (1380, 2853, 2, 'Utlämnad');
INSERT INTO `lang_definitions` VALUES (1381, 2856, 2, 'Visa avancerade inställningar på demografisidan');
INSERT INTO `lang_definitions` VALUES (1382, 2859, 2, 'Visa händelsedatum i blocket?');
INSERT INTO `lang_definitions` VALUES (1383, 2860, 2, 'Visa format får US vikter?');
INSERT INTO `lang_definitions` VALUES (1384, 2861, 2, 'Visa hur många händelser?');
INSERT INTO `lang_definitions` VALUES (1385, 2865, 2, 'Visa plats i blocket?');
INSERT INTO `lang_definitions` VALUES (1386, 2866, 2, 'Visa namn');
INSERT INTO `lang_definitions` VALUES (1387, 2868, 2, 'Visa kalender?');
INSERT INTO `lang_definitions` VALUES (1388, 2875, 2, 'Display dagens händelser i blocket?');
INSERT INTO `lang_definitions` VALUES (1389, 2876, 2, 'Visa ämne i blocket?');
INSERT INTO `lang_definitions` VALUES (1390, 2877, 2, 'Visa kommande händelser i blocket?');
INSERT INTO `lang_definitions` VALUES (1391, 2879, 2, 'Visa kommande händelser i blocket?');
INSERT INTO `lang_definitions` VALUES (1392, 2880, 2, 'Visa följande antal av de senaste meddelandena.');
INSERT INTO `lang_definitions` VALUES (1393, 2882, 2, 'Visa följande antal av senaste noteringarna');
INSERT INTO `lang_definitions` VALUES (1394, 2883, 2, 'Visa följande antal av de senaste noteringarna');
INSERT INTO `lang_definitions` VALUES (1395, 2890, 2, 'Distrubition');
INSERT INTO `lang_definitions` VALUES (1396, 2891, 2, 'Distribution');
INSERT INTO `lang_definitions` VALUES (1397, 2892, 2, 'Leverantör');
INSERT INTO `lang_definitions` VALUES (1398, 2897, 2, 'Divertikulit');
INSERT INTO `lang_definitions` VALUES (1399, 2898, 2, 'Divertikulit kirurgi');
INSERT INTO `lang_definitions` VALUES (1400, 2899, 2, 'Divertikulit');
INSERT INTO `lang_definitions` VALUES (1401, 2900, 2, 'Divertikulit Kirurgi');
INSERT INTO `lang_definitions` VALUES (1402, 2901, 2, 'Skild');
INSERT INTO `lang_definitions` VALUES (1403, 2902, 2, 'Yrsel:');
INSERT INTO `lang_definitions` VALUES (1404, 2905, 2, 'Ändra inte');
INSERT INTO `lang_definitions` VALUES (1405, 2907, 2, 'Visa inte Allergi uppladdad till NewCrop');
INSERT INTO `lang_definitions` VALUES (1406, 2909, 2, 'Visa inte medicinering uppladdad till NewCrop');
INSERT INTO `lang_definitions` VALUES (1407, 2912, 2, 'Visa inte kalender');
INSERT INTO `lang_definitions` VALUES (1408, 2916, 2, 'Lagra och sälj inga produkter');
INSERT INTO `lang_definitions` VALUES (1409, 2919, 2, 'Kräv inte att patientanteckningar blir godkända');
INSERT INTO `lang_definitions` VALUES (1410, 2920, 2, 'Inte HLR beslut');
INSERT INTO `lang_definitions` VALUES (1411, 2921, 2, 'spara inte');
INSERT INTO `lang_definitions` VALUES (1412, 2922, 2, 'ersätt inte');
INSERT INTO `lang_definitions` VALUES (1413, 2925, 2, 'gör ingenting');
INSERT INTO `lang_definitions` VALUES (1414, 2929, 2, 'Vill du verkligen radera?');
INSERT INTO `lang_definitions` VALUES (1415, 2930, 2, 'Vill du verkligen radera detta urval?');
INSERT INTO `lang_definitions` VALUES (1416, 2931, 2, 'Vill du verkligen ta bort den här gruppen');
INSERT INTO `lang_definitions` VALUES (1417, 2934, 2, 'Vill du fortsätta?');
INSERT INTO `lang_definitions` VALUES (1418, 2935, 2, 'Vill du ta bort detta?');
INSERT INTO `lang_definitions` VALUES (1419, 2936, 2, 'Vill du ta bort?');
INSERT INTO `lang_definitions` VALUES (1420, 2937, 2, 'Vill du ta bort denna post?');
INSERT INTO `lang_definitions` VALUES (1421, 2938, 2, 'Vill du fortsätta att lägga till den nya patienten?');
INSERT INTO `lang_definitions` VALUES (1422, 2939, 2, 'Vill du fortsätta med det nya namnet?');
INSERT INTO `lang_definitions` VALUES (1423, 2940, 2, 'Vill du PERMANENT ta bort vaccinationsregistreringen?');
INSERT INTO `lang_definitions` VALUES (1424, 2941, 2, 'Födelsedatum');
INSERT INTO `lang_definitions` VALUES (1425, 2942, 2, 'Födelsedatum saknas, ange om möjligt');
INSERT INTO `lang_definitions` VALUES (1426, 2944, 2, 'Dokument');
INSERT INTO `lang_definitions` VALUES (1427, 2945, 2, 'Läkare');
INSERT INTO `lang_definitions` VALUES (1428, 2946, 2, 'Läkare:');
INSERT INTO `lang_definitions` VALUES (1429, 2947, 2, 'Läkares namn och underskrift');
INSERT INTO `lang_definitions` VALUES (1430, 2948, 2, 'Dokument');
INSERT INTO `lang_definitions` VALUES (1431, 2949, 2, 'dokument');
INSERT INTO `lang_definitions` VALUES (1432, 2951, 2, 'Dokument Kategorier');
INSERT INTO `lang_definitions` VALUES (1433, 2958, 2, 'Dokument kan inte flyttas till patienten id');
INSERT INTO `lang_definitions` VALUES (1434, 2960, 2, 'Dokument Datum');
INSERT INTO `lang_definitions` VALUES (1435, 2961, 2, 'Dokumentets datum och utförande uppdaterats');
INSERT INTO `lang_definitions` VALUES (1436, 2962, 2, 'Dokument id');
INSERT INTO `lang_definitions` VALUES (1437, 2965, 2, 'Dokument är flyttat till ny kategori');
INSERT INTO `lang_definitions` VALUES (1438, 2966, 2, 'Dokument är flyttat till patienten id');
INSERT INTO `lang_definitions` VALUES (1439, 2968, 2, 'Dokument kontrollerat');
INSERT INTO `lang_definitions` VALUES (1440, 2969, 2, 'Sätt att lagra dokument');
INSERT INTO `lang_definitions` VALUES (1441, 2970, 2, 'Namnbyte av dokument lyckats');
INSERT INTO `lang_definitions` VALUES (1442, 2976, 2, 'Dokument/avbildning lagrad');
INSERT INTO `lang_definitions` VALUES (1443, 2978, 2, 'Dokument');
INSERT INTO `lang_definitions` VALUES (1444, 2980, 2, 'Dokument (skriva, tilllägg frivilligt)');
INSERT INTO `lang_definitions` VALUES (1445, 2989, 2, 'Inskrivningsdatum');
INSERT INTO `lang_definitions` VALUES (1446, 2994, 2, 'stämmer inte med PV1 besöksnummer');
INSERT INTO `lang_definitions` VALUES (1447, 2995, 2, 'Verkar inte giltig');
INSERT INTO `lang_definitions` VALUES (1448, 2996, 2, 'Tillåter denna typ relaterade koder?');
INSERT INTO `lang_definitions` VALUES (1449, 2997, 2, 'Sambo');
INSERT INTO `lang_definitions` VALUES (1450, 2998, 2, 'Spara inte');
INSERT INTO `lang_definitions` VALUES (1451, 2999, 2, 'Spara inte');
INSERT INTO `lang_definitions` VALUES (1452, 3000, 2, 'Spara inte');
INSERT INTO `lang_definitions` VALUES (1453, 3002, 2, 'Klart');
INSERT INTO `lang_definitions` VALUES (1454, 3004, 2, 'Klar med:');
INSERT INTO `lang_definitions` VALUES (1455, 3005, 2, 'Klar. Skickas för nedladdning');
INSERT INTO `lang_definitions` VALUES (1456, 3006, 2, 'Datum för tjänsten');
INSERT INTO `lang_definitions` VALUES (1457, 3007, 2, 'Dosering');
INSERT INTO `lang_definitions` VALUES (1458, 3011, 2, 'dubbelklicka för att redigera');
INSERT INTO `lang_definitions` VALUES (1459, 3013, 2, 'Dubbelseende');
INSERT INTO `lang_definitions` VALUES (1460, 3014, 2, 'Ladda ner');
INSERT INTO `lang_definitions` VALUES (1461, 3019, 2, 'Ladda ner ändå');
INSERT INTO `lang_definitions` VALUES (1462, 3020, 2, 'Ladda ner faktura fil, bokför och markera som skickad.');
INSERT INTO `lang_definitions` VALUES (1463, 3022, 2, 'Ladda ner certifikat');
INSERT INTO `lang_definitions` VALUES (1464, 3023, 2, 'Ladda ner configurationsdata');
INSERT INTO `lang_definitions` VALUES (1465, 3027, 2, 'ladda ner krypterad fil');
INSERT INTO `lang_definitions` VALUES (1466, 3033, 2, 'Ladda ner PDF');
INSERT INTO `lang_definitions` VALUES (1467, 3037, 2, 'Ladda ner utvald redogörelse');
INSERT INTO `lang_definitions` VALUES (1468, 3039, 2, 'Läkarkontroll');
INSERT INTO `lang_definitions` VALUES (1469, 3040, 2, 'Läkarbesök');
INSERT INTO `lang_definitions` VALUES (1470, 3041, 2, 'Dr.');
INSERT INTO `lang_definitions` VALUES (1471, 3045, 2, 'Drag för att flytta');
INSERT INTO `lang_definitions` VALUES (1472, 3047, 2, 'Dribblande');
INSERT INTO `lang_definitions` VALUES (1473, 3048, 2, 'Körkortsnr');
INSERT INTO `lang_definitions` VALUES (1474, 3050, 2, 'Läkemedel');
INSERT INTO `lang_definitions` VALUES (1475, 3053, 2, 'Leta läkemedel');
INSERT INTO `lang_definitions` VALUES (1476, 3054, 2, 'Läkemedelsformulär');
INSERT INTO `lang_definitions` VALUES (1477, 3055, 2, 'Läkemeddels ID saknas!');
INSERT INTO `lang_definitions` VALUES (1478, 3056, 2, 'Läkemedel intervall');
INSERT INTO `lang_definitions` VALUES (1479, 3057, 2, 'Inventarielista, läkemedel');
INSERT INTO `lang_definitions` VALUES (1480, 3059, 2, 'Läkemedelsnamn');
INSERT INTO `lang_definitions` VALUES (1481, 3061, 2, 'Läkemedel administrationssätt');
INSERT INTO `lang_definitions` VALUES (1482, 3066, 2, 'Läkemedel, enheter');
INSERT INTO `lang_definitions` VALUES (1483, 3072, 2, 'Läkemedel');
INSERT INTO `lang_definitions` VALUES (1484, 3073, 2, 'Läkemedel och produkter');
INSERT INTO `lang_definitions` VALUES (1485, 3074, 2, 'Muntorrhet');
INSERT INTO `lang_definitions` VALUES (1486, 3075, 2, 'DSM-4 Diagnos');
INSERT INTO `lang_definitions` VALUES (1487, 3076, 2, 'DT 1');
INSERT INTO `lang_definitions` VALUES (1488, 3077, 2, 'DT 2');
INSERT INTO `lang_definitions` VALUES (1489, 3078, 2, 'DT 3');
INSERT INTO `lang_definitions` VALUES (1490, 3079, 2, 'DT 4');
INSERT INTO `lang_definitions` VALUES (1491, 3080, 2, 'DT 5');
INSERT INTO `lang_definitions` VALUES (1492, 3081, 2, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (1493, 3082, 2, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (1494, 3083, 2, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (1495, 3084, 2, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (1496, 3085, 2, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (1497, 3087, 2, 'Förfaller');
INSERT INTO `lang_definitions` VALUES (1498, 3088, 2, 'Förfallodatum');
INSERT INTO `lang_definitions` VALUES (1499, 3090, 2, 'Förfallodatum mm / dd / yyyy eller åååå-mm-dd');
INSERT INTO `lang_definitions` VALUES (1500, 3091, 2, 'Förfallodatum:');
INSERT INTO `lang_definitions` VALUES (1501, 3093, 2, 'Förfaller patienter');
INSERT INTO `lang_definitions` VALUES (1502, 3094, 2, 'Förfaller snart');
INSERT INTO `lang_definitions` VALUES (1503, 3095, 2, 'Förfallostatus');
INSERT INTO `lang_definitions` VALUES (1504, 3096, 2, 'Uppdatera förfallostatus');
INSERT INTO `lang_definitions` VALUES (1505, 3097, 2, 'Dumping OpenEMR database');
INSERT INTO `lang_definitions` VALUES (1506, 3098, 2, 'Dumping OpenEMR web directory tree');
INSERT INTO `lang_definitions` VALUES (1507, 3099, 2, 'Dumping phpGACL database');
INSERT INTO `lang_definitions` VALUES (1508, 3100, 2, 'Dumping phpGACL web directory tree');
INSERT INTO `lang_definitions` VALUES (1509, 3101, 2, 'Dumping SQL-Ledger database');
INSERT INTO `lang_definitions` VALUES (1510, 3102, 2, 'Dumping SQL-Ledger web directory tree');
INSERT INTO `lang_definitions` VALUES (1511, 3103, 2, 'Dubletter kontroll');
INSERT INTO `lang_definitions` VALUES (1512, 3108, 2, 'Dubletter av ID');
INSERT INTO `lang_definitions` VALUES (1513, 3109, 2, 'Dubletter av namn');
INSERT INTO `lang_definitions` VALUES (1514, 3110, 2, 'DUBLETTER VARNING');
INSERT INTO `lang_definitions` VALUES (1515, 3111, 2, 'Varaktig fullmakt');
INSERT INTO `lang_definitions` VALUES (1516, 3112, 2, 'Varaktighet');
INSERT INTO `lang_definitions` VALUES (1517, 3113, 2, 'varaktighet');
INSERT INTO `lang_definitions` VALUES (1518, 3114, 2, 'Holländsk');
INSERT INTO `lang_definitions` VALUES (1519, 3117, 2, 'Dysfagi');
INSERT INTO `lang_definitions` VALUES (1520, 3118, 2, 'Dyspné:');
INSERT INTO `lang_definitions` VALUES (1521, 3119, 2, 'Urinvägsbesvär');
INSERT INTO `lang_definitions` VALUES (1522, 3128, 2, 'E-recept?');
INSERT INTO `lang_definitions` VALUES (1523, 3129, 2, 'E-rapport');
INSERT INTO `lang_definitions` VALUES (1524, 3130, 2, 'E-recept?');
INSERT INTO `lang_definitions` VALUES (1525, 3132, 2, 'Förnya E-recept');
INSERT INTO `lang_definitions` VALUES (1526, 3135, 2, 'Varje mottagare måste själv ange att meddelanden är avslutade');
INSERT INTO `lang_definitions` VALUES (1527, 3140, 2, 'Tidig Återkommande (<2 Mo)');
INSERT INTO `lang_definitions` VALUES (1528, 3141, 2, 'Öron');
INSERT INTO `lang_definitions` VALUES (1529, 3148, 2, 'EKG');
INSERT INTO `lang_definitions` VALUES (1530, 3149, 2, 'Elektronisk begäran');
INSERT INTO `lang_definitions` VALUES (1531, 3152, 2, 'Ödem');
INSERT INTO `lang_definitions` VALUES (1532, 3159, 2, 'Redigera');
INSERT INTO `lang_definitions` VALUES (1533, 3161, 2, 'Redigera allergier');
INSERT INTO `lang_definitions` VALUES (1534, 3163, 2, 'Edit Kategorier');
INSERT INTO `lang_definitions` VALUES (1535, 3166, 2, 'Redigera definitioner');
INSERT INTO `lang_definitions` VALUES (1536, 3167, 2, 'Redigera diagnoser för');
INSERT INTO `lang_definitions` VALUES (1537, 3173, 2, 'Redigera Kliniker');
INSERT INTO `lang_definitions` VALUES (1538, 3175, 2, 'Redigera Klinikinformation');
INSERT INTO `lang_definitions` VALUES (1539, 3178, 2, 'Redigera form');
INSERT INTO `lang_definitions` VALUES (1540, 3183, 2, 'Redigera layout');
INSERT INTO `lang_definitions` VALUES (1541, 3185, 2, 'Redigera lista');
INSERT INTO `lang_definitions` VALUES (1542, 3189, 2, 'Redigera Struktur');
INSERT INTO `lang_definitions` VALUES (1543, 3196, 2, 'Utbildning');
INSERT INTO `lang_definitions` VALUES (1544, 3197, 2, 'Information');
INSERT INTO `lang_definitions` VALUES (1545, 3200, 2, 'Ikraftträdandedatum');
INSERT INTO `lang_definitions` VALUES (1546, 3202, 2, 'Effektivitet');
INSERT INTO `lang_definitions` VALUES (1547, 3207, 2, 'Ejaculation');
INSERT INTO `lang_definitions` VALUES (1548, 3208, 2, 'Armbåge');
INSERT INTO `lang_definitions` VALUES (1549, 3209, 2, 'Problem med armbågen');
INSERT INTO `lang_definitions` VALUES (1550, 3214, 2, 'Elektronisk remiss');
INSERT INTO `lang_definitions` VALUES (1551, 3225, 2, 'Email');
INSERT INTO `lang_definitions` VALUES (1552, 3236, 2, 'E-post från Batchcom');
INSERT INTO `lang_definitions` VALUES (1553, 3238, 2, 'E-postmeddelande');
INSERT INTO `lang_definitions` VALUES (1554, 3244, 2, 'E-post skicka innan');
INSERT INTO `lang_definitions` VALUES (1555, 3245, 2, 'Email, skicka');
INSERT INTO `lang_definitions` VALUES (1556, 3248, 2, 'Epost Ämnesord');
INSERT INTO `lang_definitions` VALUES (1557, 3251, 2, 'Email Text, användbara Tag: *** NAMN ***, dvs Bäste *** NAMN ***');
INSERT INTO `lang_definitions` VALUES (1558, 3259, 2, 'ICE Kontakt');
INSERT INTO `lang_definitions` VALUES (1559, 3260, 2, 'ICE kontaktperson');
INSERT INTO `lang_definitions` VALUES (1560, 3261, 2, 'ICE kontakt telefonnummer');
INSERT INTO `lang_definitions` VALUES (1561, 3262, 2, 'Akut Preventivmedel');
INSERT INTO `lang_definitions` VALUES (1562, 3268, 2, 'ICE Telefon');
INSERT INTO `lang_definitions` VALUES (1563, 3271, 2, 'Emfysem');
INSERT INTO `lang_definitions` VALUES (1564, 3272, 2, 'Anställd');
INSERT INTO `lang_definitions` VALUES (1565, 3273, 2, 'Arbetsgivare');
INSERT INTO `lang_definitions` VALUES (1566, 3274, 2, 'Arbetsgivarens adress');
INSERT INTO `lang_definitions` VALUES (1567, 3275, 2, 'Arbetsgivare Data');
INSERT INTO `lang_definitions` VALUES (1568, 3276, 2, 'Arbetsgivarens namn');
INSERT INTO `lang_definitions` VALUES (1569, 3278, 2, 'Ta bort');
INSERT INTO `lang_definitions` VALUES (1570, 3281, 2, 'Ta bort värdet i \"E-tider\"');
INSERT INTO `lang_definitions` VALUES (1571, 3282, 2, 'Ta bort värde \"Email, skicka\"');
INSERT INTO `lang_definitions` VALUES (1572, 3283, 2, 'Ta bort värde i \"Email, ämne\"');
INSERT INTO `lang_definitions` VALUES (1573, 3284, 2, 'Ta bort i \"text\"');
INSERT INTO `lang_definitions` VALUES (1574, 3285, 2, 'Ta bort i \"Försörjarens namn\"');
INSERT INTO `lang_definitions` VALUES (1575, 3286, 2, 'Ta bort i \"Lösenord\"');
INSERT INTO `lang_definitions` VALUES (1576, 3287, 2, 'Ta bort \"SMS tider\"');
INSERT INTO `lang_definitions` VALUES (1577, 3288, 2, 'Ta bort \"SMS text\"');
INSERT INTO `lang_definitions` VALUES (1578, 3289, 2, 'Ta bort värdet i \"Användarnamn\"');
INSERT INTO `lang_definitions` VALUES (1579, 3404, 2, 'aktiverat');
INSERT INTO `lang_definitions` VALUES (1580, 3415, 2, 'Möte');
INSERT INTO `lang_definitions` VALUES (1581, 3418, 2, 'Patientmöte');
INSERT INTO `lang_definitions` VALUES (1582, 3419, 2, 'patientmöte');
INSERT INTO `lang_definitions` VALUES (1583, 3420, 2, 'Patientmöter');
INSERT INTO `lang_definitions` VALUES (1584, 3432, 2, 'Patientmöte formulär');
INSERT INTO `lang_definitions` VALUES (1585, 3439, 2, 'Patientmöte antal/nummer');
INSERT INTO `lang_definitions` VALUES (1586, 3461, 2, 'Patientmöte har kodats');
INSERT INTO `lang_definitions` VALUES (1587, 3462, 2, 'Patientmöte:');
INSERT INTO `lang_definitions` VALUES (1588, 3464, 2, 'Patientmöten');
INSERT INTO `lang_definitions` VALUES (1589, 3465, 2, 'Patientmöte & Formulär');
INSERT INTO `lang_definitions` VALUES (1590, 3466, 2, 'Patientmöte & Formulär');
INSERT INTO `lang_definitions` VALUES (1591, 3467, 2, 'Encounters inte godkända');
INSERT INTO `lang_definitions` VALUES (1592, 3468, 2, 'Patientmöte, rapport');
INSERT INTO `lang_definitions` VALUES (1593, 3469, 2, 'Patientmöte, avsnitt');
INSERT INTO `lang_definitions` VALUES (1594, 3472, 2, 'Slut');
INSERT INTO `lang_definitions` VALUES (1595, 3473, 2, 'Slutar (åååå-mm-dd):');
INSERT INTO `lang_definitions` VALUES (1596, 3474, 2, 'Slutdatum');
INSERT INTO `lang_definitions` VALUES (1597, 3475, 2, 'Slutdatum');
INSERT INTO `lang_definitions` VALUES (1598, 3482, 2, 'Slutdatum:');
INSERT INTO `lang_definitions` VALUES (1599, 3487, 2, 'Sluttid');
INSERT INTO `lang_definitions` VALUES (1600, 3492, 2, 'Tjänsten slutar åååå-mm-dd');
INSERT INTO `lang_definitions` VALUES (1601, 3496, 2, 'Endokrina');
INSERT INTO `lang_definitions` VALUES (1602, 3497, 2, 'Endoskopi');
INSERT INTO `lang_definitions` VALUES (1603, 3502, 2, 'Engelsk');
INSERT INTO `lang_definitions` VALUES (1604, 3503, 2, 'Engelsk');
INSERT INTO `lang_definitions` VALUES (1605, 3504, 2, 'Engelsk (indien)');
INSERT INTO `lang_definitions` VALUES (1606, 3505, 2, 'Engelsk (standard)');
INSERT INTO `lang_definitions` VALUES (1607, 3509, 2, 'ENT Ansvarsfrihet');
INSERT INTO `lang_definitions` VALUES (1608, 3510, 2, 'ENT Smärta');
INSERT INTO `lang_definitions` VALUES (1609, 3513, 2, 'Skriv en diagnos kod för att utesluta alla fakturor som inte innehåller det');
INSERT INTO `lang_definitions` VALUES (1610, 3581, 2, 'Ange dina sökkriterier ovan');
INSERT INTO `lang_definitions` VALUES (1611, 3591, 2, 'Miljöpåverkan');
INSERT INTO `lang_definitions` VALUES (1612, 3592, 2, 'EOB Data tillträde');
INSERT INTO `lang_definitions` VALUES (1613, 3597, 2, 'EOB Boknings - Instruktioner');
INSERT INTO `lang_definitions` VALUES (1614, 3598, 2, 'EOB Boknings - Faktura');
INSERT INTO `lang_definitions` VALUES (1615, 3599, 2, 'EOB Boknings - Patient Anmärkning');
INSERT INTO `lang_definitions` VALUES (1616, 3600, 2, 'EOB Boknings - Sök');
INSERT INTO `lang_definitions` VALUES (1617, 3602, 2, 'Epilepsi');
INSERT INTO `lang_definitions` VALUES (1618, 3612, 2, 'Radera');
INSERT INTO `lang_definitions` VALUES (1619, 3614, 2, 'Erektion');
INSERT INTO `lang_definitions` VALUES (1620, 3615, 2, 'Fel');
INSERT INTO `lang_definitions` VALUES (1621, 3621, 2, 'Fel i \"kön\" val');
INSERT INTO `lang_definitions` VALUES (1622, 3622, 2, 'Fel i \"HIPAA\" val');
INSERT INTO `lang_definitions` VALUES (1623, 3623, 2, 'Fel i \"Process\" val');
INSERT INTO `lang_definitions` VALUES (1624, 3624, 2, 'Fel i \"SMS Gateway\" val');
INSERT INTO `lang_definitions` VALUES (1625, 3625, 2, 'Fel i \"Sortera efter\" val');
INSERT INTO `lang_definitions` VALUES (1626, 3627, 2, 'Fel i JA eller NEJ alternativ');
INSERT INTO `lang_definitions` VALUES (1627, 3640, 2, 'fel under registrering!');
INSERT INTO `lang_definitions` VALUES (1628, 3641, 2, 'Fel vid sparande av fil');
INSERT INTO `lang_definitions` VALUES (1629, 3643, 2, 'Fel vid skrivning till fil');
INSERT INTO `lang_definitions` VALUES (1630, 3652, 2, 'FEL, kunde inte samla in data från servern');
INSERT INTO `lang_definitions` VALUES (1631, 3664, 2, 'FEL: kunde inte öppna table.sql bruten form?');
INSERT INTO `lang_definitions` VALUES (1632, 3672, 2, 'Fel: lösenord matchar inte. Kontrollera din stavning.');
INSERT INTO `lang_definitions` VALUES (1633, 3682, 2, 'Fel');
INSERT INTO `lang_definitions` VALUES (1634, 3690, 2, 'Erythema:');
INSERT INTO `lang_definitions` VALUES (1635, 3699, 2, 'Redan känd patient');
INSERT INTO `lang_definitions` VALUES (1636, 3701, 2, 'Modersmål/tolkspråk');
INSERT INTO `lang_definitions` VALUES (1637, 3702, 2, 'Modersmål/tolkspråk');
INSERT INTO `lang_definitions` VALUES (1638, 3703, 2, 'Modersmål/tolkspråk Lista');
INSERT INTO `lang_definitions` VALUES (1639, 3706, 2, 'ETIN');
INSERT INTO `lang_definitions` VALUES (1640, 3709, 2, 'Händelse');
INSERT INTO `lang_definitions` VALUES (1641, 3710, 2, 'Händelse Begins');
INSERT INTO `lang_definitions` VALUES (1642, 3711, 2, 'Händelse Kategori');
INSERT INTO `lang_definitions` VALUES (1643, 3712, 2, 'Händelse Datum');
INSERT INTO `lang_definitions` VALUES (1644, 3714, 2, 'Händelse, Beskrivning');
INSERT INTO `lang_definitions` VALUES (1645, 3715, 2, 'Händelse, detaljer');
INSERT INTO `lang_definitions` VALUES (1646, 3716, 2, 'Händelsen upprepas ej');
INSERT INTO `lang_definitions` VALUES (1647, 3717, 2, 'Händelse, Varaktighet');
INSERT INTO `lang_definitions` VALUES (1648, 3718, 2, 'Händelsens tid i minuter');
INSERT INTO `lang_definitions` VALUES (1649, 3719, 2, 'Händelse, Avgift');
INSERT INTO `lang_definitions` VALUES (1650, 3720, 2, 'Event Location');
INSERT INTO `lang_definitions` VALUES (1651, 3721, 2, 'Händelsen upprepas varje');
INSERT INTO `lang_definitions` VALUES (1652, 3722, 2, 'Händelsen upprepas den');
INSERT INTO `lang_definitions` VALUES (1653, 3723, 2, 'Händelse börjar timme');
INSERT INTO `lang_definitions` VALUES (1654, 3724, 2, 'Händelserubrik');
INSERT INTO `lang_definitions` VALUES (1655, 3725, 2, 'Händelserubrik');
INSERT INTO `lang_definitions` VALUES (1656, 3726, 2, 'Händelse Website');
INSERT INTO `lang_definitions` VALUES (1657, 3727, 2, 'Händelse');
INSERT INTO `lang_definitions` VALUES (1658, 3728, 2, 'Händelser för');
INSERT INTO `lang_definitions` VALUES (1659, 3729, 2, 'Händelsen öppnas i nytt fönster');
INSERT INTO `lang_definitions` VALUES (1660, 3731, 2, 'Varje');
INSERT INTO `lang_definitions` VALUES (1661, 3732, 2, 'Varje');
INSERT INTO `lang_definitions` VALUES (1662, 3734, 2, 'var 3:e timme');
INSERT INTO `lang_definitions` VALUES (1663, 3736, 2, 'var 4:e timme');
INSERT INTO `lang_definitions` VALUES (1664, 3738, 2, 'var 5:e timme');
INSERT INTO `lang_definitions` VALUES (1665, 3740, 2, 'var 6 timme');
INSERT INTO `lang_definitions` VALUES (1666, 3742, 2, 'var 8 timme');
INSERT INTO `lang_definitions` VALUES (1667, 3743, 2, 'Var fjärde');
INSERT INTO `lang_definitions` VALUES (1668, 3745, 2, 'Varannan');
INSERT INTO `lang_definitions` VALUES (1669, 3746, 2, 'Var tredje');
INSERT INTO `lang_definitions` VALUES (1670, 3747, 2, 'Varje, var andra, var 3:e, etc');
INSERT INTO `lang_definitions` VALUES (1671, 3749, 2, 'Tenta och testresultat');
INSERT INTO `lang_definitions` VALUES (1672, 3750, 2, 'Testresultat');
INSERT INTO `lang_definitions` VALUES (1673, 3754, 2, 'Examination Datum');
INSERT INTO `lang_definitions` VALUES (1674, 3760, 2, 'Exams / Tester');
INSERT INTO `lang_definitions` VALUES (1675, 3763, 2, 'Överdrivet rivande');
INSERT INTO `lang_definitions` VALUES (1676, 3772, 2, 'Motions mönster');
INSERT INTO `lang_definitions` VALUES (1677, 3773, 2, 'Övningsmönster');
INSERT INTO `lang_definitions` VALUES (1678, 3778, 2, 'lämna från Administration');
INSERT INTO `lang_definitions` VALUES (1679, 3792, 2, 'Utökad vy');
INSERT INTO `lang_definitions` VALUES (1680, 3793, 2, 'Förväntad form_mötes.pid att');
INSERT INTO `lang_definitions` VALUES (1681, 3794, 2, 'Utgångsdatum');
INSERT INTO `lang_definitions` VALUES (1682, 3795, 2, 'Utgångsdatum');
INSERT INTO `lang_definitions` VALUES (1683, 3797, 2, 'Förfaller');
INSERT INTO `lang_definitions` VALUES (1684, 3799, 2, 'Exportera');
INSERT INTO `lang_definitions` VALUES (1685, 3800, 2, 'Exportera som CSV');
INSERT INTO `lang_definitions` VALUES (1686, 3812, 2, 'Exportera till CSV');
INSERT INTO `lang_definitions` VALUES (1687, 3813, 2, 'Exportera till externa faktureringssystem');
INSERT INTO `lang_definitions` VALUES (1688, 3815, 2, 'Exponering för andra länder');
INSERT INTO `lang_definitions` VALUES (1689, 3834, 2, 'Extern remiss');
INSERT INTO `lang_definitions` VALUES (1690, 3836, 2, 'Extern remiss?');
INSERT INTO `lang_definitions` VALUES (1691, 3837, 2, 'Externa remisser');
INSERT INTO `lang_definitions` VALUES (1692, 3865, 2, 'F');
INSERT INTO `lang_definitions` VALUES (1693, 3868, 2, 'Kliniker');
INSERT INTO `lang_definitions` VALUES (1694, 3869, 2, 'Klinik');
INSERT INTO `lang_definitions` VALUES (1695, 3870, 2, 'klinik');
INSERT INTO `lang_definitions` VALUES (1696, 3871, 2, 'Klinikadm');
INSERT INTO `lang_definitions` VALUES (1697, 3873, 2, 'Klinikkod');
INSERT INTO `lang_definitions` VALUES (1698, 3879, 2, 'Klinik NPI');
INSERT INTO `lang_definitions` VALUES (1699, 3888, 2, 'Klinik:');
INSERT INTO `lang_definitions` VALUES (1700, 3890, 2, 'Misslyckades');
INSERT INTO `lang_definitions` VALUES (1701, 3916, 2, 'Familjehistoria');
INSERT INTO `lang_definitions` VALUES (1702, 3919, 2, 'Familjehistoria:');
INSERT INTO `lang_definitions` VALUES (1703, 3922, 2, 'Familj Storlek');
INSERT INTO `lang_definitions` VALUES (1704, 3928, 2, 'Fader');
INSERT INTO `lang_definitions` VALUES (1705, 3931, 2, 'Fatigue');
INSERT INTO `lang_definitions` VALUES (1706, 3933, 2, 'Fax');
INSERT INTO `lang_definitions` VALUES (1707, 3938, 2, 'Fax in');
INSERT INTO `lang_definitions` VALUES (1708, 3939, 2, 'Fax ut');
INSERT INTO `lang_definitions` VALUES (1709, 3942, 2, 'Februari');
INSERT INTO `lang_definitions` VALUES (1710, 3944, 2, 'Läkemedel ID');
INSERT INTO `lang_definitions` VALUES (1711, 3946, 2, 'Skatt ID');
INSERT INTO `lang_definitions` VALUES (1712, 3948, 2, 'Avgift');
INSERT INTO `lang_definitions` VALUES (1713, 3949, 2, 'avgift');
INSERT INTO `lang_definitions` VALUES (1714, 3951, 2, 'Avgift blankett');
INSERT INTO `lang_definitions` VALUES (1715, 3955, 2, 'Avgifter');
INSERT INTO `lang_definitions` VALUES (1716, 3956, 2, 'Kvinna');
INSERT INTO `lang_definitions` VALUES (1717, 3958, 2, 'Kvinnliga Kondomer');
INSERT INTO `lang_definitions` VALUES (1718, 3963, 2, 'Kvinna VSC');
INSERT INTO `lang_definitions` VALUES (1719, 3966, 2, 'Feber');
INSERT INTO `lang_definitions` VALUES (1720, 3967, 2, 'Feber:');
INSERT INTO `lang_definitions` VALUES (1721, 4004, 2, 'Filnamn');
INSERT INTO `lang_definitions` VALUES (1722, 4014, 2, 'Fyll här endast om du skickar e-postmeddelande till patienter');
INSERT INTO `lang_definitions` VALUES (1723, 4032, 2, 'Filter');
INSERT INTO `lang_definitions` VALUES (1724, 4035, 2, 'Slutgiltig diagnos');
INSERT INTO `lang_definitions` VALUES (1725, 4036, 2, 'Slutgiltig diagnos av specialist');
INSERT INTO `lang_definitions` VALUES (1726, 4038, 2, 'Finansiella');
INSERT INTO `lang_definitions` VALUES (1727, 4045, 2, 'Financial Review Datum');
INSERT INTO `lang_definitions` VALUES (1728, 4048, 2, 'Hitta');
INSERT INTO `lang_definitions` VALUES (1729, 4049, 2, 'Hitta Ledig');
INSERT INTO `lang_definitions` VALUES (1730, 4050, 2, 'Sök Ledig mötestider');
INSERT INTO `lang_definitions` VALUES (1731, 4053, 2, 'Hitta Patientient');
INSERT INTO `lang_definitions` VALUES (1732, 4056, 2, 'Undersökningsresultat');
INSERT INTO `lang_definitions` VALUES (1733, 4057, 2, 'Undersökningsresultat av specialist');
INSERT INTO `lang_definitions` VALUES (1734, 4058, 2, 'Fin');
INSERT INTO `lang_definitions` VALUES (1735, 4065, 2, 'Första');
INSERT INTO `lang_definitions` VALUES (1736, 4068, 2, 'Första dagen i veckan');
INSERT INTO `lang_definitions` VALUES (1737, 4071, 2, 'Förnamn');
INSERT INTO `lang_definitions` VALUES (1738, 4073, 2, 'Förnamn:');
INSERT INTO `lang_definitions` VALUES (1739, 4079, 2, 'Fitness');
INSERT INTO `lang_definitions` VALUES (1740, 4083, 2, 'Fitness att spela');
INSERT INTO `lang_definitions` VALUES (1741, 4110, 2, 'Influensavaccination');
INSERT INTO `lang_definitions` VALUES (1742, 4111, 2, 'Vätske-och elektrolyt problem');
INSERT INTO `lang_definitions` VALUES (1743, 4114, 2, 'Följa manuellt');
INSERT INTO `lang_definitions` VALUES (1744, 4130, 2, 'Fot');
INSERT INTO `lang_definitions` VALUES (1745, 4131, 2, 'Fotproblem');
INSERT INTO `lang_definitions` VALUES (1746, 4132, 2, 'Fot:');
INSERT INTO `lang_definitions` VALUES (1747, 4135, 2, 'Fotboll Skaderapport');
INSERT INTO `lang_definitions` VALUES (1748, 4136, 2, 'Skotyp');
INSERT INTO `lang_definitions` VALUES (1749, 4137, 2, 'för');
INSERT INTO `lang_definitions` VALUES (1750, 4189, 2, 'för:');
INSERT INTO `lang_definitions` VALUES (1751, 4194, 2, 'Underarm');
INSERT INTO `lang_definitions` VALUES (1752, 4195, 2, 'Formulär');
INSERT INTO `lang_definitions` VALUES (1753, 4201, 2, 'Format');
INSERT INTO `lang_definitions` VALUES (1754, 4204, 2, 'Format felaktigt för NDC');
INSERT INTO `lang_definitions` VALUES (1755, 4209, 2, 'Formulär');
INSERT INTO `lang_definitions` VALUES (1756, 4210, 2, 'Formulär administration');
INSERT INTO `lang_definitions` VALUES (1757, 4219, 2, 'Vidarebefordra Sidor via Fax');
INSERT INTO `lang_definitions` VALUES (1758, 4225, 2, 'Fjärde');
INSERT INTO `lang_definitions` VALUES (1759, 4227, 2, 'Fraktur');
INSERT INTO `lang_definitions` VALUES (1760, 4228, 2, 'Fracture på Navicula');
INSERT INTO `lang_definitions` VALUES (1761, 4229, 2, 'Fracture laterala malleolus');
INSERT INTO `lang_definitions` VALUES (1762, 4230, 2, 'Fracture mediala malleolus');
INSERT INTO `lang_definitions` VALUES (1763, 4241, 2, 'Fre');
INSERT INTO `lang_definitions` VALUES (1764, 4242, 2, 'Fredag');
INSERT INTO `lang_definitions` VALUES (1765, 4244, 2, 'Från');
INSERT INTO `lang_definitions` VALUES (1766, 4253, 2, 'Från:');
INSERT INTO `lang_definitions` VALUES (1767, 4254, 2, 'Från:');
INSERT INTO `lang_definitions` VALUES (1768, 4267, 2, 'Reception');
INSERT INTO `lang_definitions` VALUES (1769, 4268, 2, 'Reception, kvitton');
INSERT INTO `lang_definitions` VALUES (1770, 4269, 2, 'Reception, kvitton, rapport');
INSERT INTO `lang_definitions` VALUES (1771, 4271, 2, 'Frontal Höger:');
INSERT INTO `lang_definitions` VALUES (1772, 4286, 2, 'All utbildning');
INSERT INTO `lang_definitions` VALUES (1773, 4303, 2, 'Gallsten');
INSERT INTO `lang_definitions` VALUES (1774, 4304, 2, 'Game Period');
INSERT INTO `lang_definitions` VALUES (1775, 4305, 2, 'Spel');
INSERT INTO `lang_definitions` VALUES (1776, 4307, 2, 'spel / evenemang');
INSERT INTO `lang_definitions` VALUES (1777, 4310, 2, 'Gastrit');
INSERT INTO `lang_definitions` VALUES (1778, 4312, 2, 'Gastrointestinala');
INSERT INTO `lang_definitions` VALUES (1779, 4316, 2, 'GCAC Statistik Rapport');
INSERT INTO `lang_definitions` VALUES (1780, 4320, 2, 'Kön');
INSERT INTO `lang_definitions` VALUES (1781, 4321, 2, 'Allmänt');
INSERT INTO `lang_definitions` VALUES (1782, 4325, 2, 'Allmänna Tjänstekategori');
INSERT INTO `lang_definitions` VALUES (1783, 4334, 2, 'Skapa och hämta HCFA 1500 papper fordringar');
INSERT INTO `lang_definitions` VALUES (1784, 4337, 2, 'Skapa och hämta X12 parti');
INSERT INTO `lang_definitions` VALUES (1785, 4349, 2, 'Generera Skrivelse angående');
INSERT INTO `lang_definitions` VALUES (1786, 4357, 2, 'Generera rapport');
INSERT INTO `lang_definitions` VALUES (1787, 4370, 2, 'Skapad på');
INSERT INTO `lang_definitions` VALUES (1788, 4372, 2, 'Genererar');
INSERT INTO `lang_definitions` VALUES (1789, 4392, 2, 'Glaukom');
INSERT INTO `lang_definitions` VALUES (1790, 4395, 2, 'Global');
INSERT INTO `lang_definitions` VALUES (1791, 4403, 2, 'Gå');
INSERT INTO `lang_definitions` VALUES (1792, 4404, 2, 'gå');
INSERT INTO `lang_definitions` VALUES (1793, 4429, 2, 'Grad:');
INSERT INTO `lang_definitions` VALUES (1794, 4431, 2, 'Totalsumma');
INSERT INTO `lang_definitions` VALUES (1795, 4432, 2, 'Totalsummor');
INSERT INTO `lang_definitions` VALUES (1796, 4442, 2, 'Grupp');
INSERT INTO `lang_definitions` VALUES (1797, 4463, 2, 'Gruppnummer');
INSERT INTO `lang_definitions` VALUES (1798, 4471, 2, 'Grupp:');
INSERT INTO `lang_definitions` VALUES (1799, 4472, 2, 'Gruppnamn');
INSERT INTO `lang_definitions` VALUES (1800, 4475, 2, 'Grupper och åtkomstkontroller');
INSERT INTO `lang_definitions` VALUES (1801, 4478, 2, 'Droppar');
INSERT INTO `lang_definitions` VALUES (1802, 4495, 2, 'Hematom / blåmärken');
INSERT INTO `lang_definitions` VALUES (1803, 4499, 2, 'Hand + fingrar');
INSERT INTO `lang_definitions` VALUES (1804, 4500, 2, 'Handproblem');
INSERT INTO `lang_definitions` VALUES (1805, 4506, 2, 'Umbäranden w / o');
INSERT INTO `lang_definitions` VALUES (1806, 4517, 2, 'Farliga aktiviteter');
INSERT INTO `lang_definitions` VALUES (1807, 4527, 2, 'han PostCalendar');
INSERT INTO `lang_definitions` VALUES (1808, 4528, 2, 'Huvud');
INSERT INTO `lang_definitions` VALUES (1809, 4532, 2, 'Huvudvärk');
INSERT INTO `lang_definitions` VALUES (1810, 4543, 2, 'Heart Attack');
INSERT INTO `lang_definitions` VALUES (1811, 4545, 2, 'Hjärtsvikt');
INSERT INTO `lang_definitions` VALUES (1812, 4547, 2, 'Hjärtproblem');
INSERT INTO `lang_definitions` VALUES (1813, 4548, 2, 'Hjärtkirurgi');
INSERT INTO `lang_definitions` VALUES (1814, 4549, 2, 'Heart Transplant');
INSERT INTO `lang_definitions` VALUES (1815, 4550, 2, 'Heart:');
INSERT INTO `lang_definitions` VALUES (1816, 4558, 2, 'Längd');
INSERT INTO `lang_definitions` VALUES (1817, 4560, 2, 'Hjälp');
INSERT INTO `lang_definitions` VALUES (1818, 4561, 2, 'hjälp');
INSERT INTO `lang_definitions` VALUES (1819, 4567, 2, 'Hemoglobin');
INSERT INTO `lang_definitions` VALUES (1820, 4570, 2, 'Hepatit');
INSERT INTO `lang_definitions` VALUES (1821, 4580, 2, 'Bråck Reparation');
INSERT INTO `lang_definitions` VALUES (1822, 4581, 2, 'Diskbråck');
INSERT INTO `lang_definitions` VALUES (1823, 4582, 2, 'Herpes');
INSERT INTO `lang_definitions` VALUES (1824, 4586, 2, 'heyyo. du har varit här i');
INSERT INTO `lang_definitions` VALUES (1825, 4591, 2, 'Dolda');
INSERT INTO `lang_definitions` VALUES (1826, 4592, 2, 'Dolda Händelser Administration');
INSERT INTO `lang_definitions` VALUES (1827, 4593, 2, 'Gömma');
INSERT INTO `lang_definitions` VALUES (1828, 4595, 2, 'Dölj detaljer');
INSERT INTO `lang_definitions` VALUES (1829, 4599, 2, 'Göm meny');
INSERT INTO `lang_definitions` VALUES (1830, 4601, 2, 'Göm påminnelser');
INSERT INTO `lang_definitions` VALUES (1831, 4603, 2, 'Göm/Visa kolumner');
INSERT INTO `lang_definitions` VALUES (1832, 4605, 2, 'Hög');
INSERT INTO `lang_definitions` VALUES (1833, 4607, 2, 'Högt blodtryck');
INSERT INTO `lang_definitions` VALUES (1834, 4610, 2, 'Höft + ljumske');
INSERT INTO `lang_definitions` VALUES (1835, 4611, 2, 'Höft och ljumske');
INSERT INTO `lang_definitions` VALUES (1836, 4612, 2, 'Hip Problem');
INSERT INTO `lang_definitions` VALUES (1837, 4613, 2, 'Höftledsplastik');
INSERT INTO `lang_definitions` VALUES (1838, 4615, 2, 'Ej Tilldelad');
INSERT INTO `lang_definitions` VALUES (1839, 4618, 2, 'Spansktalande');
INSERT INTO `lang_definitions` VALUES (1840, 4623, 2, 'Historia');
INSERT INTO `lang_definitions` VALUES (1841, 4629, 2, 'Historikdata');
INSERT INTO `lang_definitions` VALUES (1842, 4653, 2, 'Håll ner [Ctrl] för flera val eller avmarkera');
INSERT INTO `lang_definitions` VALUES (1843, 4655, 2, 'Håll ned Ctrl för att välja flera objekt');
INSERT INTO `lang_definitions` VALUES (1844, 4656, 2, 'Håll ned Ctrl för att välja flera patruller');
INSERT INTO `lang_definitions` VALUES (1845, 4658, 2, 'Hem');
INSERT INTO `lang_definitions` VALUES (1846, 4659, 2, 'Hemtelefon');
INSERT INTO `lang_definitions` VALUES (1847, 4662, 2, 'Hemlös eller liknande?');
INSERT INTO `lang_definitions` VALUES (1848, 4664, 2, 'Hemlös');
INSERT INTO `lang_definitions` VALUES (1849, 4665, 2, 'Hemlös');
INSERT INTO `lang_definitions` VALUES (1850, 4678, 2, 'Timmar');
INSERT INTO `lang_definitions` VALUES (1851, 4681, 2, 'Hur uppstod skadan?');
INSERT INTO `lang_definitions` VALUES (1852, 4682, 2, 'Hur uppstod skadan?:');
INSERT INTO `lang_definitions` VALUES (1853, 4685, 2, 'Hur många månader att fråga efter kommande evenemang?');
INSERT INTO `lang_definitions` VALUES (1854, 4706, 2, 'Hyperaktiv');
INSERT INTO `lang_definitions` VALUES (1855, 4711, 2, 'Hyperthyroidism');
INSERT INTO `lang_definitions` VALUES (1856, 4713, 2, 'Hypotyreoidism');
INSERT INTO `lang_definitions` VALUES (1857, 4716, 2, 'Hysterektomi');
INSERT INTO `lang_definitions` VALUES (1858, 4718, 2, 'Jag är upptagen under denna tid.');
INSERT INTO `lang_definitions` VALUES (1859, 4719, 2, 'Jag har inte behörighet att läsa');
INSERT INTO `lang_definitions` VALUES (1860, 4745, 2, 'Identifierare (ett ord)');
INSERT INTO `lang_definitions` VALUES (1861, 4755, 2, 'Om alla uppgifter för alla kolumner är komplett för denna form');
INSERT INTO `lang_definitions` VALUES (1862, 4765, 2, 'Om namn, någon del av efternamn eller efternamn, förnamn');
INSERT INTO `lang_definitions` VALUES (1863, 4771, 2, 'Om personen avlidit ange dödsdatum');
INSERT INTO `lang_definitions` VALUES (1864, 4803, 2, 'om arbetslösa lägg till student');
INSERT INTO `lang_definitions` VALUES (1865, 4850, 2, 'Om du vill ändra datatyper, lägg till rader eller kolumner');
INSERT INTO `lang_definitions` VALUES (1866, 4856, 2, 'Sjukdom');
INSERT INTO `lang_definitions` VALUES (1867, 4865, 2, 'Vaccinering');
INSERT INTO `lang_definitions` VALUES (1868, 4872, 2, 'Vaccin, Lotnummer');
INSERT INTO `lang_definitions` VALUES (1869, 4873, 2, 'Vaccin, tillverkare');
INSERT INTO `lang_definitions` VALUES (1870, 4885, 2, 'Vaccineringar');
INSERT INTO `lang_definitions` VALUES (1871, 4887, 2, 'Vaccinera');
INSERT INTO `lang_definitions` VALUES (1872, 4893, 2, 'Implantat');
INSERT INTO `lang_definitions` VALUES (1873, 4894, 2, 'Importera');
INSERT INTO `lang_definitions` VALUES (1874, 4904, 2, 'Importera patient');
INSERT INTO `lang_definitions` VALUES (1875, 4905, 2, 'Importera Patientdemografi');
INSERT INTO `lang_definitions` VALUES (1876, 4914, 2, 'Importerad från Accounting');
INSERT INTO `lang_definitions` VALUES (1877, 4920, 2, 'förbättrad');
INSERT INTO `lang_definitions` VALUES (1878, 4922, 2, 'i');
INSERT INTO `lang_definitions` VALUES (1879, 4931, 2, 'i båda ögonen');
INSERT INTO `lang_definitions` VALUES (1880, 4934, 2, 'i vänster öga');
INSERT INTO `lang_definitions` VALUES (1881, 4935, 2, 'i näsborre');
INSERT INTO `lang_definitions` VALUES (1882, 4936, 2, 'Arbetar');
INSERT INTO `lang_definitions` VALUES (1883, 4947, 2, 'i höger öga');
INSERT INTO `lang_definitions` VALUES (1884, 4965, 2, 'Inaktiv Dagar');
INSERT INTO `lang_definitions` VALUES (1885, 4977, 2, 'Inkludera mätväden');
INSERT INTO `lang_definitions` VALUES (1886, 4982, 2, 'Inkomst');
INSERT INTO `lang_definitions` VALUES (1887, 4990, 2, 'ökat:');
INSERT INTO `lang_definitions` VALUES (1888, 4991, 2, 'Ansvarsförsäkring');
INSERT INTO `lang_definitions` VALUES (1889, 4994, 2, 'Obestämd');
INSERT INTO `lang_definitions` VALUES (1890, 5000, 2, 'Indikerar om detta problem/frågeställning är aktiv');
INSERT INTO `lang_definitions` VALUES (1891, 5004, 2, 'Hjälpbehövande Patienter Rapport');
INSERT INTO `lang_definitions` VALUES (1892, 5013, 2, 'Infektion / Abscess');
INSERT INTO `lang_definitions` VALUES (1893, 5014, 2, 'Infektioner');
INSERT INTO `lang_definitions` VALUES (1894, 5015, 2, 'Infert Couns');
INSERT INTO `lang_definitions` VALUES (1895, 5022, 2, 'Info');
INSERT INTO `lang_definitions` VALUES (1896, 5023, 2, 'Info test 1');
INSERT INTO `lang_definitions` VALUES (1897, 5024, 2, 'Info test 2');
INSERT INTO `lang_definitions` VALUES (1898, 5025, 2, 'Info test 3');
INSERT INTO `lang_definitions` VALUES (1899, 5026, 2, 'Info test 4');
INSERT INTO `lang_definitions` VALUES (1900, 5027, 2, 'Info test 5');
INSERT INTO `lang_definitions` VALUES (1901, 5028, 2, 'Info test 6');
INSERT INTO `lang_definitions` VALUES (1902, 5034, 2, 'inhalation');
INSERT INTO `lang_definitions` VALUES (1903, 5036, 2, 'inhalationer');
INSERT INTO `lang_definitions` VALUES (1904, 5039, 2, 'Ursprunglig användare');
INSERT INTO `lang_definitions` VALUES (1905, 5042, 2, 'Injeserbara');
INSERT INTO `lang_definitions` VALUES (1906, 5045, 2, 'Skadade ut');
INSERT INTO `lang_definitions` VALUES (1907, 5047, 2, 'Skademekanism');
INSERT INTO `lang_definitions` VALUES (1908, 5048, 2, 'Skada, översiktsrapport');
INSERT INTO `lang_definitions` VALUES (1909, 5050, 2, 'Skada Typ');
INSERT INTO `lang_definitions` VALUES (1910, 5056, 2, 'Inmatningsfält');
INSERT INTO `lang_definitions` VALUES (1911, 5061, 2, 'Ins justera');
INSERT INTO `lang_definitions` VALUES (1912, 5062, 2, 'Ins paketering');
INSERT INTO `lang_definitions` VALUES (1913, 5066, 2, 'Ins överskjutande');
INSERT INTO `lang_definitions` VALUES (1914, 5068, 2, 'Ins återbetalning');
INSERT INTO `lang_definitions` VALUES (1915, 5069, 2, 'Ins Sammering');
INSERT INTO `lang_definitions` VALUES (1916, 5071, 2, 'Ins1');
INSERT INTO `lang_definitions` VALUES (1917, 5072, 2, 'Ins2');
INSERT INTO `lang_definitions` VALUES (1918, 5073, 2, 'Ins3');
INSERT INTO `lang_definitions` VALUES (1919, 5075, 2, 'isättning misslyckades:');
INSERT INTO `lang_definitions` VALUES (1920, 5079, 2, 'Sätt gamla händelser i tabeller');
INSERT INTO `lang_definitions` VALUES (1921, 5085, 2, 'Insomnia');
INSERT INTO `lang_definitions` VALUES (1922, 5087, 2, 'Inspektion');
INSERT INTO `lang_definitions` VALUES (1923, 5088, 2, 'Instabilitet / subluxation');
INSERT INTO `lang_definitions` VALUES (1924, 5093, 2, 'installera DB');
INSERT INTO `lang_definitions` VALUES (1925, 5102, 2, 'Instruerad');
INSERT INTO `lang_definitions` VALUES (1926, 5105, 2, 'Instruktioner:');
INSERT INTO `lang_definitions` VALUES (1927, 5108, 2, 'Insulinberoende diabetiker');
INSERT INTO `lang_definitions` VALUES (1928, 5109, 2, 'Försäkring');
INSERT INTO `lang_definitions` VALUES (1929, 5110, 2, 'försäkring');
INSERT INTO `lang_definitions` VALUES (1930, 5117, 2, 'Försäkringsbolag');
INSERT INTO `lang_definitions` VALUES (1931, 5118, 2, 'Försäkringsbolag');
INSERT INTO `lang_definitions` VALUES (1932, 5119, 2, 'Försäkringsbolag Sök / Köp');
INSERT INTO `lang_definitions` VALUES (1933, 5121, 2, 'Försäkring Data');
INSERT INTO `lang_definitions` VALUES (1934, 5126, 2, 'Försäkring Number');
INSERT INTO `lang_definitions` VALUES (1935, 5129, 2, 'Försäkringsbolag');
INSERT INTO `lang_definitions` VALUES (1936, 5149, 2, 'Internt fel - inga sidor valdes!');
INSERT INTO `lang_definitions` VALUES (1937, 5150, 2, 'Internt fel - patient-ID fanns inte!');
INSERT INTO `lang_definitions` VALUES (1938, 5153, 2, 'Internt fel!');
INSERT INTO `lang_definitions` VALUES (1939, 5156, 2, 'Internt fel: påstående');
INSERT INTO `lang_definitions` VALUES (1940, 5157, 2, 'Internt fel: möter\"');
INSERT INTO `lang_definitions` VALUES (1941, 5163, 2, 'Inre Övergångar');
INSERT INTO `lang_definitions` VALUES (1942, 5167, 2, 'Tolk');
INSERT INTO `lang_definitions` VALUES (1943, 5169, 2, 'Interstitiell lungsjukdom');
INSERT INTO `lang_definitions` VALUES (1944, 5170, 2, 'Interval');
INSERT INTO `lang_definitions` VALUES (1945, 5175, 2, 'Intolerans');
INSERT INTO `lang_definitions` VALUES (1946, 5178, 2, 'intramuskulärt');
INSERT INTO `lang_definitions` VALUES (1947, 5181, 2, 'intravenöst');
INSERT INTO `lang_definitions` VALUES (1948, 5182, 2, 'Introduktion');
INSERT INTO `lang_definitions` VALUES (1949, 5197, 2, 'Ogiltig eller saknas betalaren i källan för kod');
INSERT INTO `lang_definitions` VALUES (1950, 5200, 2, 'Ogiltig Service Kod');
INSERT INTO `lang_definitions` VALUES (1951, 5201, 2, 'Ogiltig källdestination\"');
INSERT INTO `lang_definitions` VALUES (1952, 5205, 2, 'Inventering');
INSERT INTO `lang_definitions` VALUES (1953, 5209, 2, 'Inventering är inte tillgänglig för denna beställning.');
INSERT INTO `lang_definitions` VALUES (1954, 5210, 2, 'Inventeringslista');
INSERT INTO `lang_definitions` VALUES (1955, 5212, 2, 'Faktura');
INSERT INTO `lang_definitions` VALUES (1956, 5213, 2, 'faktura');
INSERT INTO `lang_definitions` VALUES (1957, 5217, 2, 'Fakturadatum');
INSERT INTO `lang_definitions` VALUES (1958, 5219, 2, 'Fakturanhar inget datum!');
INSERT INTO `lang_definitions` VALUES (1959, 5226, 2, 'Faktura:');
INSERT INTO `lang_definitions` VALUES (1960, 5249, 2, 'Oregelbunden hjärtrytm');
INSERT INTO `lang_definitions` VALUES (1961, 5250, 2, 'Retlighet');
INSERT INTO `lang_definitions` VALUES (1962, 5251, 2, 'Irritation');
INSERT INTO `lang_definitions` VALUES (1963, 5256, 2, 'är ett obligatoriskt fält.');
INSERT INTO `lang_definitions` VALUES (1964, 5268, 2, 'inte är giltig (decimalbråk är OK).');
INSERT INTO `lang_definitions` VALUES (1965, 5269, 2, 'Är PHP använder felsäkert läge?');
INSERT INTO `lang_definitions` VALUES (1966, 5290, 2, 'Frågeställning');
INSERT INTO `lang_definitions` VALUES (1967, 5291, 2, 'frågeställning');
INSERT INTO `lang_definitions` VALUES (1968, 5298, 2, 'Aktuellt');
INSERT INTO `lang_definitions` VALUES (1969, 5300, 2, 'Aktuellt (Problem / Medicin / Allergi):');
INSERT INTO `lang_definitions` VALUES (1970, 5302, 2, 'Information och Patientmöten');
INSERT INTO `lang_definitions` VALUES (1971, 5303, 2, 'Information och möten för');
INSERT INTO `lang_definitions` VALUES (1972, 5308, 2, 'Problematik, ej behörig');
INSERT INTO `lang_definitions` VALUES (1973, 5309, 2, 'Frågeställningssektion');
INSERT INTO `lang_definitions` VALUES (1974, 5365, 2, 'Artikel');
INSERT INTO `lang_definitions` VALUES (1975, 5366, 2, 'artikel');
INSERT INTO `lang_definitions` VALUES (1976, 5369, 2, 'Poster laddades inte');
INSERT INTO `lang_definitions` VALUES (1977, 5376, 2, 'Januari');
INSERT INTO `lang_definitions` VALUES (1978, 5380, 2, 'Jobb-beskrivning');
INSERT INTO `lang_definitions` VALUES (1979, 5381, 2, 'Jobb id');
INSERT INTO `lang_definitions` VALUES (1980, 5382, 2, 'Led dislokation');
INSERT INTO `lang_definitions` VALUES (1981, 5383, 2, 'Led smärta');
INSERT INTO `lang_definitions` VALUES (1982, 5384, 2, 'Led vrickning');
INSERT INTO `lang_definitions` VALUES (1983, 5386, 2, 'Juli');
INSERT INTO `lang_definitions` VALUES (1984, 5389, 2, 'Juni');
INSERT INTO `lang_definitions` VALUES (1985, 5391, 2, 'Bara min');
INSERT INTO `lang_definitions` VALUES (1986, 5393, 2, 'Motivera');
INSERT INTO `lang_definitions` VALUES (1987, 5396, 2, 'Motivera / Spara');
INSERT INTO `lang_definitions` VALUES (1988, 5398, 2, 'k, här är resten');
INSERT INTO `lang_definitions` VALUES (1989, 5411, 2, 'Nyckelord');
INSERT INTO `lang_definitions` VALUES (1990, 5415, 2, 'Njurcancer');
INSERT INTO `lang_definitions` VALUES (1991, 5416, 2, 'Njursvikt');
INSERT INTO `lang_definitions` VALUES (1992, 5417, 2, 'Njure Infektioner');
INSERT INTO `lang_definitions` VALUES (1993, 5418, 2, 'Njursten');
INSERT INTO `lang_definitions` VALUES (1994, 5419, 2, 'Njurtransplantation');
INSERT INTO `lang_definitions` VALUES (1995, 5425, 2, 'Knä');
INSERT INTO `lang_definitions` VALUES (1996, 5426, 2, 'Knä Problem');
INSERT INTO `lang_definitions` VALUES (1997, 5427, 2, 'Knä Ersättning /protes');
INSERT INTO `lang_definitions` VALUES (1998, 5434, 2, 'Lab');
INSERT INTO `lang_definitions` VALUES (1999, 5444, 2, 'Lab Rapport');
INSERT INTO `lang_definitions` VALUES (2000, 5453, 2, 'Etikett');
INSERT INTO `lang_definitions` VALUES (2001, 5455, 2, 'Label Cols');
INSERT INTO `lang_definitions` VALUES (2002, 5459, 2, 'Etiketter');
INSERT INTO `lang_definitions` VALUES (2003, 5463, 2, 'Labs');
INSERT INTO `lang_definitions` VALUES (2004, 5464, 2, 'Laceration / hudkodition');
INSERT INTO `lang_definitions` VALUES (2005, 5465, 2, 'Laceration / nötning');
INSERT INTO `lang_definitions` VALUES (2006, 5471, 2, 'Språk');
INSERT INTO `lang_definitions` VALUES (2007, 5472, 2, 'Språk-kod');
INSERT INTO `lang_definitions` VALUES (2008, 5473, 2, 'Språk definition tillagd');
INSERT INTO `lang_definitions` VALUES (2009, 5478, 2, 'Språknamn');
INSERT INTO `lang_definitions` VALUES (2010, 5479, 2, 'Språk:');
INSERT INTO `lang_definitions` VALUES (2011, 5485, 2, 'Sist');
INSERT INTO `lang_definitions` VALUES (2012, 5486, 2, 'Datum för senaste aktivitet');
INSERT INTO `lang_definitions` VALUES (2013, 5489, 2, 'Sista betalnings dag på faktura:');
INSERT INTO `lang_definitions` VALUES (2014, 5495, 2, 'Senaste patientmötet');
INSERT INTO `lang_definitions` VALUES (2015, 5507, 2, 'Efternamn');
INSERT INTO `lang_definitions` VALUES (2016, 5508, 2, 'Efternamn');
INSERT INTO `lang_definitions` VALUES (2017, 5513, 2, 'Efternamn:');
INSERT INTO `lang_definitions` VALUES (2018, 5519, 2, 'Senast sparad');
INSERT INTO `lang_definitions` VALUES (2019, 5525, 2, 'Senast uppdaterad av');
INSERT INTO `lang_definitions` VALUES (2020, 5527, 2, 'Senaste besöket');
INSERT INTO `lang_definitions` VALUES (2021, 5530, 2, 'Sen Återkommande (2-12 mån)');
INSERT INTO `lang_definitions` VALUES (2022, 5535, 2, 'sidled fördrivna PMI:');
INSERT INTO `lang_definitions` VALUES (2023, 5551, 2, 'Layout Editor');
INSERT INTO `lang_definitions` VALUES (2024, 5559, 2, 'Layouter');
INSERT INTO `lang_definitions` VALUES (2025, 5571, 2, 'LDL');
INSERT INTO `lang_definitions` VALUES (2026, 5573, 2, 'lämna tom om fortfarande aktiv');
INSERT INTO `lang_definitions` VALUES (2027, 5575, 2, 'Lämna tomt för att hålla lösenord oförändrad.');
INSERT INTO `lang_definitions` VALUES (2028, 5580, 2, 'Kontakt via');
INSERT INTO `lang_definitions` VALUES (2029, 5582, 2, 'Lämna Form');
INSERT INTO `lang_definitions` VALUES (2030, 5586, 2, 'Vänster');
INSERT INTO `lang_definitions` VALUES (2031, 5589, 2, 'vänster öra');
INSERT INTO `lang_definitions` VALUES (2032, 5590, 2, 'vänster öra');
INSERT INTO `lang_definitions` VALUES (2033, 5599, 2, 'Vänster:');
INSERT INTO `lang_definitions` VALUES (2034, 5600, 2, 'Vänster:');
INSERT INTO `lang_definitions` VALUES (2035, 5601, 2, 'Ben smärta / Kramper');
INSERT INTO `lang_definitions` VALUES (2036, 5602, 2, 'Rättsärenden');
INSERT INTO `lang_definitions` VALUES (2037, 5605, 2, 'Förklaring:');
INSERT INTO `lang_definitions` VALUES (2038, 5606, 2, 'Längd');
INSERT INTO `lang_definitions` VALUES (2039, 5620, 2, 'Brev');
INSERT INTO `lang_definitions` VALUES (2040, 5621, 2, 'Brevgenerator');
INSERT INTO `lang_definitions` VALUES (2041, 5630, 2, 'Ansvar');
INSERT INTO `lang_definitions` VALUES (2042, 5631, 2, 'Ansvar för medicinskt');
INSERT INTO `lang_definitions` VALUES (2043, 5633, 2, 'passnr');
INSERT INTO `lang_definitions` VALUES (2044, 5644, 2, 'Livsstil');
INSERT INTO `lang_definitions` VALUES (2045, 5647, 2, 'Ligament skada eller vrickning');
INSERT INTO `lang_definitions` VALUES (2046, 5651, 2, 'Begränsning av händelser');
INSERT INTO `lang_definitions` VALUES (2047, 5665, 2, 'Förteckning');
INSERT INTO `lang_definitions` VALUES (2048, 5671, 2, 'List Editor');
INSERT INTO `lang_definitions` VALUES (2049, 5675, 2, 'Lista Insurance Companies');
INSERT INTO `lang_definitions` VALUES (2050, 5680, 2, 'Lista listor');
INSERT INTO `lang_definitions` VALUES (2051, 5682, 2, 'Lista Namn');
INSERT INTO `lang_definitions` VALUES (2052, 5688, 2, 'Lista recept');
INSERT INTO `lang_definitions` VALUES (2053, 5693, 2, 'Listor');
INSERT INTO `lang_definitions` VALUES (2054, 5709, 2, 'Ladda definitioner');
INSERT INTO `lang_definitions` VALUES (2055, 5717, 2, 'Laddar');
INSERT INTO `lang_definitions` VALUES (2056, 5724, 2, 'Lokalt');
INSERT INTO `lang_definitions` VALUES (2057, 5729, 2, 'Lokalitet');
INSERT INTO `lang_definitions` VALUES (2058, 5730, 2, 'Lokalisation');
INSERT INTO `lang_definitions` VALUES (2059, 5733, 2, 'Lokalisation ospecificerad');
INSERT INTO `lang_definitions` VALUES (2060, 5736, 2, 'Lokalisation');
INSERT INTO `lang_definitions` VALUES (2061, 5752, 2, 'Inloggad');
INSERT INTO `lang_definitions` VALUES (2062, 5753, 2, 'Inloggad som');
INSERT INTO `lang_definitions` VALUES (2063, 5754, 2, 'Inloggad som:');
INSERT INTO `lang_definitions` VALUES (2064, 5755, 2, 'Utloggad.');
INSERT INTO `lang_definitions` VALUES (2065, 5757, 2, 'Logga in');
INSERT INTO `lang_definitions` VALUES (2066, 5758, 2, 'logga in');
INSERT INTO `lang_definitions` VALUES (2067, 5768, 2, 'Logout');
INSERT INTO `lang_definitions` VALUES (2068, 5769, 2, 'logout');
INSERT INTO `lang_definitions` VALUES (2069, 5770, 2, 'Loggar');
INSERT INTO `lang_definitions` VALUES (2070, 5776, 2, 'Slå upp');
INSERT INTO `lang_definitions` VALUES (2071, 5777, 2, 'Batch');
INSERT INTO `lang_definitions` VALUES (2072, 5779, 2, 'Batchnummer');
INSERT INTO `lang_definitions` VALUES (2073, 5780, 2, 'låg');
INSERT INTO `lang_definitions` VALUES (2074, 5782, 2, 'Benet');
INSERT INTO `lang_definitions` VALUES (2075, 5791, 2, 'Lumbal delen av ryggraden');
INSERT INTO `lang_definitions` VALUES (2076, 5792, 2, 'LUNCH');
INSERT INTO `lang_definitions` VALUES (2077, 5793, 2, 'Lunch');
INSERT INTO `lang_definitions` VALUES (2078, 5794, 2, 'Lung Cancer');
INSERT INTO `lang_definitions` VALUES (2079, 5795, 2, 'Lung Cancer kirurgi');
INSERT INTO `lang_definitions` VALUES (2080, 5796, 2, 'Lungor:');
INSERT INTO `lang_definitions` VALUES (2081, 5797, 2, 'Lungor:');
INSERT INTO `lang_definitions` VALUES (2082, 5804, 2, 'M');
INSERT INTO `lang_definitions` VALUES (2083, 5805, 2, 'MA Kategori');
INSERT INTO `lang_definitions` VALUES (2084, 5815, 2, 'Huvudadress');
INSERT INTO `lang_definitions` VALUES (2085, 5827, 2, 'Gör ändringar i nuvarande kategorier.');
INSERT INTO `lang_definitions` VALUES (2086, 5831, 2, 'Försäkra \"');
INSERT INTO `lang_definitions` VALUES (2087, 5834, 2, 'Sjukdomskänsla:');
INSERT INTO `lang_definitions` VALUES (2088, 5837, 2, 'Man');
INSERT INTO `lang_definitions` VALUES (2089, 5838, 2, 'Manlig Kondomer');
INSERT INTO `lang_definitions` VALUES (2090, 5841, 2, 'Mammogram');
INSERT INTO `lang_definitions` VALUES (2091, 5851, 2, 'Administration');
INSERT INTO `lang_definitions` VALUES (2092, 5860, 2, 'Manuell post');
INSERT INTO `lang_definitions` VALUES (2093, 5864, 2, 'Tillverkare');
INSERT INTO `lang_definitions` VALUES (2094, 5874, 2, 'Mars');
INSERT INTO `lang_definitions` VALUES (2095, 5877, 2, 'Civilstånd');
INSERT INTO `lang_definitions` VALUES (2096, 5880, 2, 'Markera som faktureras men hoppa fakturering');
INSERT INTO `lang_definitions` VALUES (2097, 5881, 2, 'Markera som avklarad');
INSERT INTO `lang_definitions` VALUES (2098, 5882, 2, 'Markera som ej fakturerad');
INSERT INTO `lang_definitions` VALUES (2099, 5886, 2, 'Markerad som avslutad');
INSERT INTO `lang_definitions` VALUES (2100, 5887, 2, 'Gift');
INSERT INTO `lang_definitions` VALUES (2101, 5912, 2, 'Maxillary Höger:');
INSERT INTO `lang_definitions` VALUES (2102, 5924, 2, 'Maj');
INSERT INTO `lang_definitions` VALUES (2103, 5926, 2, 'MC');
INSERT INTO `lang_definitions` VALUES (2104, 5927, 2, 'mcg');
INSERT INTO `lang_definitions` VALUES (2105, 5942, 2, 'Medicinsk');
INSERT INTO `lang_definitions` VALUES (2106, 5952, 2, 'Medicinska problem');
INSERT INTO `lang_definitions` VALUES (2107, 5954, 2, 'Medicinska problem');
INSERT INTO `lang_definitions` VALUES (2108, 5956, 2, 'Journal');
INSERT INTO `lang_definitions` VALUES (2109, 5957, 2, 'Journal #');
INSERT INTO `lang_definitions` VALUES (2110, 5959, 2, 'Journaler');
INSERT INTO `lang_definitions` VALUES (2111, 5966, 2, 'Journal / Historia ( frivilligt att skriva )');
INSERT INTO `lang_definitions` VALUES (2112, 5970, 2, 'Medicin');
INSERT INTO `lang_definitions` VALUES (2113, 5975, 2, 'Läkemedel');
INSERT INTO `lang_definitions` VALUES (2114, 5978, 2, 'Läkemedel:');
INSERT INTO `lang_definitions` VALUES (2115, 5979, 2, 'Medicinska enheter');
INSERT INTO `lang_definitions` VALUES (2116, 5980, 2, 'Medium');
INSERT INTO `lang_definitions` VALUES (2117, 5984, 2, 'Ledamot Association Statistik Rapport');
INSERT INTO `lang_definitions` VALUES (2118, 5986, 2, 'Minnes Problem');
INSERT INTO `lang_definitions` VALUES (2119, 5987, 2, 'Män');
INSERT INTO `lang_definitions` VALUES (2120, 5988, 2, 'Män och kvinnor');
INSERT INTO `lang_definitions` VALUES (2121, 5989, 2, 'Män Endast');
INSERT INTO `lang_definitions` VALUES (2122, 5991, 2, 'Klimakteriet');
INSERT INTO `lang_definitions` VALUES (2123, 5994, 2, 'Psykisk sjukdom');
INSERT INTO `lang_definitions` VALUES (2124, 6005, 2, 'Meddelande');
INSERT INTO `lang_definitions` VALUES (2125, 6006, 2, 'Meddelanden och Påminnelser');
INSERT INTO `lang_definitions` VALUES (2126, 6018, 2, 'MEDELANDE:');
INSERT INTO `lang_definitions` VALUES (2127, 6019, 2, 'Meddelanden');
INSERT INTO `lang_definitions` VALUES (2128, 6026, 2, 'Metod');
INSERT INTO `lang_definitions` VALUES (2129, 6030, 2, 'Metod för förstöring');
INSERT INTO `lang_definitions` VALUES (2130, 6038, 2, 'mg');
INSERT INTO `lang_definitions` VALUES (2131, 6039, 2, 'mg/ml');
INSERT INTO `lang_definitions` VALUES (2132, 6040, 2, 'g');
INSERT INTO `lang_definitions` VALUES (2133, 6041, 2, 'g/ml');
INSERT INTO `lang_definitions` VALUES (2134, 6046, 2, 'Mellan');
INSERT INTO `lang_definitions` VALUES (2135, 6047, 2, 'Mellannamn');
INSERT INTO `lang_definitions` VALUES (2136, 6048, 2, 'Mellannamn');
INSERT INTO `lang_definitions` VALUES (2137, 6062, 2, 'Migrerande eller säsongsarbetare?');
INSERT INTO `lang_definitions` VALUES (2138, 6064, 2, 'Migrerande / Säsong');
INSERT INTO `lang_definitions` VALUES (2139, 6083, 2, 'Protokoll');
INSERT INTO `lang_definitions` VALUES (2140, 6084, 2, 'minuter');
INSERT INTO `lang_definitions` VALUES (2141, 6090, 2, 'Diverse');
INSERT INTO `lang_definitions` VALUES (2142, 6092, 2, 'Missade');
INSERT INTO `lang_definitions` VALUES (2143, 6111, 2, 'Blandat');
INSERT INTO `lang_definitions` VALUES (2144, 6113, 2, 'ml');
INSERT INTO `lang_definitions` VALUES (2145, 6120, 2, 'Mobil');
INSERT INTO `lang_definitions` VALUES (2146, 6121, 2, 'Mobiltelefon');
INSERT INTO `lang_definitions` VALUES (2147, 6153, 2, 'Mån');
INSERT INTO `lang_definitions` VALUES (2148, 6154, 2, 'Mån tills fredag');
INSERT INTO `lang_definitions` VALUES (2149, 6155, 2, 'Måndag, onsdag och fredag');
INSERT INTO `lang_definitions` VALUES (2150, 6156, 2, 'Måndag');
INSERT INTO `lang_definitions` VALUES (2151, 6160, 2, 'månad');
INSERT INTO `lang_definitions` VALUES (2152, 6161, 2, 'Månad');
INSERT INTO `lang_definitions` VALUES (2153, 6162, 2, 'Månadsvy');
INSERT INTO `lang_definitions` VALUES (2154, 6163, 2, 'Månad (er)');
INSERT INTO `lang_definitions` VALUES (2155, 6164, 2, 'Månadsinkomst');
INSERT INTO `lang_definitions` VALUES (2156, 6180, 2, 'Mer än 50 resultat, gör din sökning mer specifik.');
INSERT INTO `lang_definitions` VALUES (2157, 6190, 2, 'Moder');
INSERT INTO `lang_definitions` VALUES (2158, 6196, 2, 'Flytta');
INSERT INTO `lang_definitions` VALUES (2159, 6201, 2, 'Flytta till patient');
INSERT INTO `lang_definitions` VALUES (2160, 6202, 2, 'Flytta till...');
INSERT INTO `lang_definitions` VALUES (2161, 6203, 2, 'flytta up');
INSERT INTO `lang_definitions` VALUES (2162, 6209, 2, 'Herr.');
INSERT INTO `lang_definitions` VALUES (2163, 6215, 2, 'Fru.');
INSERT INTO `lang_definitions` VALUES (2164, 6217, 2, 'Fröken');
INSERT INTO `lang_definitions` VALUES (2165, 6230, 2, 'Multi Language Tool');
INSERT INTO `lang_definitions` VALUES (2166, 6234, 2, 'Flera områden');
INSERT INTO `lang_definitions` VALUES (2167, 6243, 2, 'Sorla:');
INSERT INTO `lang_definitions` VALUES (2168, 6244, 2, 'Muskel värk');
INSERT INTO `lang_definitions` VALUES (2169, 6250, 2, 'Muskel');
INSERT INTO `lang_definitions` VALUES (2170, 6251, 2, 'Muskel skada');
INSERT INTO `lang_definitions` VALUES (2171, 6252, 2, 'Muskuloskeletala');
INSERT INTO `lang_definitions` VALUES (2172, 6259, 2, 'Ömsesidigt Definierad');
INSERT INTO `lang_definitions` VALUES (2173, 6274, 2, 'Namn');
INSERT INTO `lang_definitions` VALUES (2174, 6278, 2, 'Namn 1');
INSERT INTO `lang_definitions` VALUES (2175, 6279, 2, 'Namn 2');
INSERT INTO `lang_definitions` VALUES (2176, 6280, 2, 'Namn på administratör');
INSERT INTO `lang_definitions` VALUES (2177, 6285, 2, 'Namn på försäkringsbolag');
INSERT INTO `lang_definitions` VALUES (2178, 6286, 2, 'Namn på Provider');
INSERT INTO `lang_definitions` VALUES (2179, 6296, 2, 'Namn:');
INSERT INTO `lang_definitions` VALUES (2180, 6300, 2, 'Narės:');
INSERT INTO `lang_definitions` VALUES (2181, 6301, 2, 'Narės: Normal Rätt');
INSERT INTO `lang_definitions` VALUES (2182, 6304, 2, 'Nasal mucosa rosa, septumets mittlinje');
INSERT INTO `lang_definitions` VALUES (2183, 6310, 2, 'Nationalitet');
INSERT INTO `lang_definitions` VALUES (2184, 6322, 2, 'Navigering');
INSERT INTO `lang_definitions` VALUES (2185, 6348, 2, 'Nacke');
INSERT INTO `lang_definitions` VALUES (2186, 6349, 2, 'Nackproblem');
INSERT INTO `lang_definitions` VALUES (2187, 6352, 2, 'Måste ange en beskrivning');
INSERT INTO `lang_definitions` VALUES (2188, 6353, 2, 'Ange ett returvärde');
INSERT INTO `lang_definitions` VALUES (2189, 6354, 2, 'Ange identifieraren');
INSERT INTO `lang_definitions` VALUES (2190, 6355, 2, 'Ange titel');
INSERT INTO `lang_definitions` VALUES (2191, 6360, 2, 'Ange sekundära fakturering');
INSERT INTO `lang_definitions` VALUES (2192, 6369, 2, 'Nervskada');
INSERT INTO `lang_definitions` VALUES (2193, 6371, 2, 'Neurala tillstånd / nervskada');
INSERT INTO `lang_definitions` VALUES (2194, 6384, 2, 'Ny');
INSERT INTO `lang_definitions` VALUES (2195, 6385, 2, 'Ny =>');
INSERT INTO `lang_definitions` VALUES (2196, 6386, 2, 'Nya mottagare');
INSERT INTO `lang_definitions` VALUES (2197, 6390, 2, 'Nytt möte');
INSERT INTO `lang_definitions` VALUES (2198, 6391, 2, 'Nya kategorier');
INSERT INTO `lang_definitions` VALUES (2199, 6393, 2, 'Nya kunder');
INSERT INTO `lang_definitions` VALUES (2200, 6394, 2, 'Ny konsultation');
INSERT INTO `lang_definitions` VALUES (2201, 6396, 2, 'Nytt definitionset tillagt');
INSERT INTO `lang_definitions` VALUES (2202, 6403, 2, 'Nya Patientbesöksformulär');
INSERT INTO `lang_definitions` VALUES (2203, 6404, 2, 'Nya möten som inte godkänts');
INSERT INTO `lang_definitions` VALUES (2204, 6406, 2, 'Nya Klinikinformation');
INSERT INTO `lang_definitions` VALUES (2205, 6410, 2, 'Ny grupp');
INSERT INTO `lang_definitions` VALUES (2206, 6425, 2, 'Ny begränsning av händelser');
INSERT INTO `lang_definitions` VALUES (2207, 6435, 2, 'Ny Patient');
INSERT INTO `lang_definitions` VALUES (2208, 6436, 2, 'NY PATIENT');
INSERT INTO `lang_definitions` VALUES (2209, 6437, 2, 'Nytt Patientbesök');
INSERT INTO `lang_definitions` VALUES (2210, 6439, 2, 'Nytt patient-ID');
INSERT INTO `lang_definitions` VALUES (2211, 6449, 2, 'Nya förslag');
INSERT INTO `lang_definitions` VALUES (2212, 6451, 2, 'Ny användare');
INSERT INTO `lang_definitions` VALUES (2213, 6453, 2, 'Nytt besök');
INSERT INTO `lang_definitions` VALUES (2214, 6454, 2, 'Ny/Sök');
INSERT INTO `lang_definitions` VALUES (2215, 6481, 2, 'Dagstidning');
INSERT INTO `lang_definitions` VALUES (2216, 6482, 2, 'Nästa');
INSERT INTO `lang_definitions` VALUES (2217, 6484, 2, 'Nästa dag');
INSERT INTO `lang_definitions` VALUES (2218, 6485, 2, 'Nästa Månad');
INSERT INTO `lang_definitions` VALUES (2219, 6491, 2, 'Nästa vecka');
INSERT INTO `lang_definitions` VALUES (2220, 6494, 2, 'Alias');
INSERT INTO `lang_definitions` VALUES (2221, 6496, 2, 'Nattliga svettningar');
INSERT INTO `lang_definitions` VALUES (2222, 6499, 2, 'Nej');
INSERT INTO `lang_definitions` VALUES (2223, 6500, 2, 'NEJ');
INSERT INTO `lang_definitions` VALUES (2224, 6502, 2, 'Ingen tillgång');
INSERT INTO `lang_definitions` VALUES (2225, 6515, 2, 'Inget faktureringssystem är aktivt');
INSERT INTO `lang_definitions` VALUES (2226, 6519, 2, 'Ingen kod specificerades!');
INSERT INTO `lang_definitions` VALUES (2227, 6523, 2, 'Ingen diagnos');
INSERT INTO `lang_definitions` VALUES (2228, 6529, 2, 'Inget slutdatum');
INSERT INTO `lang_definitions` VALUES (2229, 6530, 2, 'Inga poster funna, använda formuläret nedan för att lägga till en post.');
INSERT INTO `lang_definitions` VALUES (2230, 6532, 2, 'Inga händelser');
INSERT INTO `lang_definitions` VALUES (2231, 6536, 2, 'Ingen grupp valdes');
INSERT INTO `lang_definitions` VALUES (2232, 6537, 2, 'Inga bråck');
INSERT INTO `lang_definitions` VALUES (2233, 6541, 2, 'Nr Insurance Companies Found');
INSERT INTO `lang_definitions` VALUES (2234, 6580, 2, 'Inga tider hittades för denna period.');
INSERT INTO `lang_definitions` VALUES (2235, 6585, 2, 'Inga Partners hittades');
INSERT INTO `lang_definitions` VALUES (2236, 6588, 2, 'Inga perifera ödem');
INSERT INTO `lang_definitions` VALUES (2237, 6589, 2, 'Inga apotek hittades');
INSERT INTO `lang_definitions` VALUES (2238, 6590, 2, 'Inga recept hittades');
INSERT INTO `lang_definitions` VALUES (2239, 6592, 2, 'Ingen sjukdom / skada visas');
INSERT INTO `lang_definitions` VALUES (2240, 6612, 2, 'Inga resultat hittades i sökningen');
INSERT INTO `lang_definitions` VALUES (2241, 6614, 2, 'Inga resultat, försök igen.');
INSERT INTO `lang_definitions` VALUES (2242, 6618, 2, 'Ej kommit på avtalad tid');
INSERT INTO `lang_definitions` VALUES (2243, 6623, 2, 'Ingen hud dimpling eller bröst knölar');
INSERT INTO `lang_definitions` VALUES (2244, 6636, 2, 'Nr:');
INSERT INTO `lang_definitions` VALUES (2245, 6641, 2, 'Icke specifika skada');
INSERT INTO `lang_definitions` VALUES (2246, 6643, 2, 'Icke-insulinberoende diabetes');
INSERT INTO `lang_definitions` VALUES (2247, 6646, 2, 'Icke-SRH Medical');
INSERT INTO `lang_definitions` VALUES (2248, 6647, 2, 'Icke-SRH icke-medicinska');
INSERT INTO `lang_definitions` VALUES (2249, 6648, 2, 'Ingen');
INSERT INTO `lang_definitions` VALUES (2250, 6649, 2, 'ingen');
INSERT INTO `lang_definitions` VALUES (2251, 6653, 2, 'Inget av ovanstående');
INSERT INTO `lang_definitions` VALUES (2252, 6684, 2, 'Inte heller');
INSERT INTO `lang_definitions` VALUES (2253, 6685, 2, 'Normal');
INSERT INTO `lang_definitions` VALUES (2254, 6697, 2, 'Normal:');
INSERT INTO `lang_definitions` VALUES (2255, 6710, 2, 'Alla fält är obligatoriska för alla nummer eller kod typer.');
INSERT INTO `lang_definitions` VALUES (2256, 6712, 2, 'Ej tillåtet');
INSERT INTO `lang_definitions` VALUES (2257, 6713, 2, 'Ej tillåtet att ta bort gruppen Administratörer');
INSERT INTO `lang_definitions` VALUES (2258, 6715, 2, 'Ej tillåtet att inaktivera alla trygghet objekt');
INSERT INTO `lang_definitions` VALUES (2259, 6716, 2, 'Ej tillåtet att inaktivera allt från Administratörer ACL');
INSERT INTO `lang_definitions` VALUES (2260, 6717, 2, 'Ej tillåtet att ta bort admin-användare från gruppen Administratörer');
INSERT INTO `lang_definitions` VALUES (2261, 6720, 2, 'Ej behörighet att nå PostCalendar modulen');
INSERT INTO `lang_definitions` VALUES (2262, 6738, 2, 'Inte undersökt');
INSERT INTO `lang_definitions` VALUES (2263, 6739, 2, 'Inte undersökt:');
INSERT INTO `lang_definitions` VALUES (2264, 6740, 2, 'Inte undersökt:');
INSERT INTO `lang_definitions` VALUES (2265, 6751, 2, 'Inte sett sedan');
INSERT INTO `lang_definitions` VALUES (2266, 6758, 2, 'kommentera');
INSERT INTO `lang_definitions` VALUES (2267, 6771, 2, 'Kommentartyp');
INSERT INTO `lang_definitions` VALUES (2268, 6780, 2, 'Anmärkning: Denna kod har inte förts in av en auktoriserad användare. Endast godkända koder kan laddas upp till Open Medical Billing nätverket för bearbetning. Om du vill ladda upp dessa nummer kan du välja en auktoriserad användare här.');
INSERT INTO `lang_definitions` VALUES (2269, 6784, 2, 'OBS: Överföra filer med duplikat namn gör att filerna automatiskt ska döpas. Till exempel \"<i> file.jpg </ i>\" blir \"<i> file.jpg.1 </ i>\". Filnamnen anses unika per patient, inte per kategori.');
INSERT INTO `lang_definitions` VALUES (2270, 6785, 2, 'Kommentarer');
INSERT INTO `lang_definitions` VALUES (2271, 6804, 2, 'Ingenting valdes');
INSERT INTO `lang_definitions` VALUES (2272, 6808, 2, 'MEDDELANDE: PostCalendar Inlämning / Modifiering');
INSERT INTO `lang_definitions` VALUES (2273, 6809, 2, 'Besked');
INSERT INTO `lang_definitions` VALUES (2274, 6816, 2, 'Meddela Admin Om Händelse Inlämning / Modifieringsförslag?');
INSERT INTO `lang_definitions` VALUES (2275, 6821, 2, 'November');
INSERT INTO `lang_definitions` VALUES (2276, 6834, 2, 'NPI');
INSERT INTO `lang_definitions` VALUES (2277, 6837, 2, 'Nummer');
INSERT INTO `lang_definitions` VALUES (2278, 6843, 2, 'Antal kolumner i år-vy.');
INSERT INTO `lang_definitions` VALUES (2279, 6877, 2, 'Status');
INSERT INTO `lang_definitions` VALUES (2280, 6886, 2, 'Yrke');
INSERT INTO `lang_definitions` VALUES (2281, 6889, 2, 'Förekomst');
INSERT INTO `lang_definitions` VALUES (2282, 6891, 2, 'Oktober');
INSERT INTO `lang_definitions` VALUES (2283, 6897, 2, 'tabletter');
INSERT INTO `lang_definitions` VALUES (2284, 6898, 2, 'i månaden per');
INSERT INTO `lang_definitions` VALUES (2285, 6907, 2, 'Mottagningskommentarer');
INSERT INTO `lang_definitions` VALUES (2286, 6908, 2, 'Mottagningsbesök');
INSERT INTO `lang_definitions` VALUES (2287, 6921, 2, 'Avkomma');
INSERT INTO `lang_definitions` VALUES (2288, 6925, 2, 'salva');
INSERT INTO `lang_definitions` VALUES (2289, 6927, 2, 'OK');
INSERT INTO `lang_definitions` VALUES (2290, 6933, 2, 'Gamla klienter');
INSERT INTO `lang_definitions` VALUES (2291, 6948, 2, 'underlåtit att autoassign');
INSERT INTO `lang_definitions` VALUES (2292, 6950, 2, 'på');
INSERT INTO `lang_definitions` VALUES (2293, 6956, 2, 'På Hand');
INSERT INTO `lang_definitions` VALUES (2294, 6959, 2, 'På beställning');
INSERT INTO `lang_definitions` VALUES (2295, 6979, 2, 'När du byter lösenord måste du logga in på nytt.');
INSERT INTO `lang_definitions` VALUES (2296, 6999, 2, 'Endast aktiva');
INSERT INTO `lang_definitions` VALUES (2297, 7004, 2, 'endast om faktureringsadress');
INSERT INTO `lang_definitions` VALUES (2298, 7006, 2, 'Endast Inaktiva');
INSERT INTO `lang_definitions` VALUES (2299, 7007, 2, 'Endast Min');
INSERT INTO `lang_definitions` VALUES (2300, 7017, 2, 'Uppkomsten av sjukdom:');
INSERT INTO `lang_definitions` VALUES (2301, 7018, 2, 'Uppkomsten av sjukdom:');
INSERT INTO `lang_definitions` VALUES (2302, 7019, 2, 'Uppkomsten av Svullnad:');
INSERT INTO `lang_definitions` VALUES (2303, 7022, 2, 'Debut / Inskrivning. Datum:');
INSERT INTO `lang_definitions` VALUES (2304, 7031, 2, 'Öppen');
INSERT INTO `lang_definitions` VALUES (2305, 7084, 2, 'OpenEMR kräver Javascript för att utföra användarverifiering.');
INSERT INTO `lang_definitions` VALUES (2306, 7095, 2, 'Alternativ');
INSERT INTO `lang_definitions` VALUES (2307, 7099, 2, 'Valfritt');
INSERT INTO `lang_definitions` VALUES (2308, 7111, 2, 'Frivillig information om denna händelse');
INSERT INTO `lang_definitions` VALUES (2309, 7114, 2, 'Valfri procedurkodkod');
INSERT INTO `lang_definitions` VALUES (2310, 7117, 2, 'ELLER');
INSERT INTO `lang_definitions` VALUES (2311, 7118, 2, 'Eller');
INSERT INTO `lang_definitions` VALUES (2312, 7119, 2, 'Eller välj');
INSERT INTO `lang_definitions` VALUES (2313, 7125, 2, 'Eller ladda upp ERA fil:');
INSERT INTO `lang_definitions` VALUES (2314, 7129, 2, 'Ordning');
INSERT INTO `lang_definitions` VALUES (2315, 7166, 2, 'Organskada');
INSERT INTO `lang_definitions` VALUES (2316, 7167, 2, 'Organisation');
INSERT INTO `lang_definitions` VALUES (2317, 7171, 2, 'Orienterad x 3');
INSERT INTO `lang_definitions` VALUES (2318, 7188, 2, 'P.O. (via munnen)');
INSERT INTO `lang_definitions` VALUES (2319, 7193, 2, 'Övrigt');
INSERT INTO `lang_definitions` VALUES (2320, 7194, 2, 'annan');
INSERT INTO `lang_definitions` VALUES (2321, 7203, 2, 'Andra skador inte specificerade på någon annan plats');
INSERT INTO `lang_definitions` VALUES (2322, 7206, 2, 'annan månad');
INSERT INTO `lang_definitions` VALUES (2323, 7207, 2, 'Andra icke-federala program');
INSERT INTO `lang_definitions` VALUES (2324, 7209, 2, 'Andra relevanta Symtom');
INSERT INTO `lang_definitions` VALUES (2325, 7210, 2, 'Andra relevanta Symtom:');
INSERT INTO `lang_definitions` VALUES (2326, 7216, 2, 'Andra kirurgiska');
INSERT INTO `lang_definitions` VALUES (2327, 7225, 2, 'OU');
INSERT INTO `lang_definitions` VALUES (2328, 7231, 2, 'Utfall');
INSERT INTO `lang_definitions` VALUES (2329, 7234, 2, 'Outlook');
INSERT INTO `lang_definitions` VALUES (2330, 7244, 2, 'Överutnyttjande');
INSERT INTO `lang_definitions` VALUES (2331, 7252, 2, 'vid behov');
INSERT INTO `lang_definitions` VALUES (2332, 7259, 2, 'Pedriatisk');
INSERT INTO `lang_definitions` VALUES (2333, 7263, 2, 'Sidor');
INSERT INTO `lang_definitions` VALUES (2334, 7264, 2, 'Betald');
INSERT INTO `lang_definitions` VALUES (2335, 7265, 2, 'Betalt belopp som du kommer att fördela');
INSERT INTO `lang_definitions` VALUES (2336, 7267, 2, 'Betalas via');
INSERT INTO `lang_definitions` VALUES (2337, 7289, 2, 'Partner');
INSERT INTO `lang_definitions` VALUES (2338, 7301, 2, 'Lösenord');
INSERT INTO `lang_definitions` VALUES (2339, 7302, 2, 'Ändra lösenord');
INSERT INTO `lang_definitions` VALUES (2340, 7311, 2, 'Lösenord för SMS Gateway');
INSERT INTO `lang_definitions` VALUES (2341, 7319, 2, 'Lösenord:');
INSERT INTO `lang_definitions` VALUES (2342, 7334, 2, 'Tidigare möten');
INSERT INTO `lang_definitions` VALUES (2343, 7335, 2, 'Tidigare möten och dokument');
INSERT INTO `lang_definitions` VALUES (2344, 7344, 2, 'Klistra in HL7 Data');
INSERT INTO `lang_definitions` VALUES (2345, 7370, 2, 'Patient Allergier');
INSERT INTO `lang_definitions` VALUES (2346, 7373, 2, 'Patient träff/bokning');
INSERT INTO `lang_definitions` VALUES (2347, 7379, 2, 'Patient diagram ID');
INSERT INTO `lang_definitions` VALUES (2348, 7394, 2, 'Patientdata');
INSERT INTO `lang_definitions` VALUES (2349, 7404, 2, 'Patientdokument');
INSERT INTO `lang_definitions` VALUES (2350, 7412, 2, 'Patientmöten');
INSERT INTO `lang_definitions` VALUES (2351, 7413, 2, 'Patientmötesformulär');
INSERT INTO `lang_definitions` VALUES (2352, 7414, 2, 'Patientmöten');
INSERT INTO `lang_definitions` VALUES (2353, 7415, 2, 'Patientsök');
INSERT INTO `lang_definitions` VALUES (2354, 7428, 2, 'Patienthistoria');
INSERT INTO `lang_definitions` VALUES (2355, 7429, 2, 'Patientens historia / Livsstil');
INSERT INTO `lang_definitions` VALUES (2356, 7431, 2, 'Patient-ID');
INSERT INTO `lang_definitions` VALUES (2357, 7437, 2, 'Patient -vaccination');
INSERT INTO `lang_definitions` VALUES (2358, 7441, 2, 'Ej tilldelad!');
INSERT INTO `lang_definitions` VALUES (2359, 7445, 2, 'Patient -problem');
INSERT INTO `lang_definitions` VALUES (2360, 7454, 2, 'Patientlista');
INSERT INTO `lang_definitions` VALUES (2361, 7463, 2, 'Patientens medicinska problem');
INSERT INTO `lang_definitions` VALUES (2362, 7464, 2, 'Patient -Mediciner');
INSERT INTO `lang_definitions` VALUES (2363, 7472, 2, 'Patient: Namn och Adress');
INSERT INTO `lang_definitions` VALUES (2364, 7478, 2, 'Patientanteckning, typ');
INSERT INTO `lang_definitions` VALUES (2365, 7479, 2, 'Patient -kommentarer');
INSERT INTO `lang_definitions` VALUES (2366, 7482, 2, 'Patientnummer');
INSERT INTO `lang_definitions` VALUES (2367, 7499, 2, 'Patient -Journalrapport');
INSERT INTO `lang_definitions` VALUES (2368, 7514, 2, 'Patientrapport');
INSERT INTO `lang_definitions` VALUES (2369, 7518, 2, 'Patientförfrågan');
INSERT INTO `lang_definitions` VALUES (2370, 7539, 2, 'Patient -Sammanfattning');
INSERT INTO `lang_definitions` VALUES (2371, 7542, 2, 'Patient -Remisser m.m.');
INSERT INTO `lang_definitions` VALUES (2372, 7550, 2, 'Patient / Klient');
INSERT INTO `lang_definitions` VALUES (2373, 7551, 2, 'Patient:');
INSERT INTO `lang_definitions` VALUES (2374, 7553, 2, 'Patienter');
INSERT INTO `lang_definitions` VALUES (2375, 7559, 2, 'Betala');
INSERT INTO `lang_definitions` VALUES (2376, 7563, 2, 'Betalningsdatum:');
INSERT INTO `lang_definitions` VALUES (2377, 7568, 2, 'Betalare');
INSERT INTO `lang_definitions` VALUES (2378, 7572, 2, 'Betalare Typ');
INSERT INTO `lang_definitions` VALUES (2379, 7573, 2, 'Utbetalande');
INSERT INTO `lang_definitions` VALUES (2380, 7575, 2, 'Betalning');
INSERT INTO `lang_definitions` VALUES (2381, 7583, 2, 'Betalningsdatum');
INSERT INTO `lang_definitions` VALUES (2382, 7590, 2, 'Betalningsmetod');
INSERT INTO `lang_definitions` VALUES (2383, 7600, 2, 'Betalning värde för kod');
INSERT INTO `lang_definitions` VALUES (2384, 7602, 2, 'Betalningar');
INSERT INTO `lang_definitions` VALUES (2385, 7624, 2, 'Oavslutad');
INSERT INTO `lang_definitions` VALUES (2386, 7630, 2, 'Oklart');
INSERT INTO `lang_definitions` VALUES (2387, 7642, 2, 'via näsborre');
INSERT INTO `lang_definitions` VALUES (2388, 7643, 2, 'via näsborre');
INSERT INTO `lang_definitions` VALUES (2389, 7646, 2, 'Rektalt');
INSERT INTO `lang_definitions` VALUES (2390, 7647, 2, 'rektalt');
INSERT INTO `lang_definitions` VALUES (2391, 7654, 2, 'Utför sökning');
INSERT INTO `lang_definitions` VALUES (2392, 7655, 2, 'Utför åtgärden');
INSERT INTO `lang_definitions` VALUES (2393, 7678, 2, 'Apotek');
INSERT INTO `lang_definitions` VALUES (2394, 7680, 2, 'Patient Insurance Distribution');
INSERT INTO `lang_definitions` VALUES (2395, 7688, 2, 'Pheumothorax');
INSERT INTO `lang_definitions` VALUES (2396, 7697, 2, 'Telefon');
INSERT INTO `lang_definitions` VALUES (2397, 7699, 2, 'Telefon samtalslistan');
INSERT INTO `lang_definitions` VALUES (2398, 7711, 2, 'Telefonnummer');
INSERT INTO `lang_definitions` VALUES (2399, 7723, 2, 'Hälsokontroll');
INSERT INTO `lang_definitions` VALUES (2400, 7725, 2, 'Läkares Begäran');
INSERT INTO `lang_definitions` VALUES (2401, 7726, 2, 'Läkares Underskrift');
INSERT INTO `lang_definitions` VALUES (2402, 7729, 2, 'Läkare');
INSERT INTO `lang_definitions` VALUES (2403, 7733, 2, 'välj');
INSERT INTO `lang_definitions` VALUES (2404, 7741, 2, 'Tablett Storlek');
INSERT INTO `lang_definitions` VALUES (2405, 7742, 2, 'Tabletter');
INSERT INTO `lang_definitions` VALUES (2406, 7756, 2, 'Vanlig text');
INSERT INTO `lang_definitions` VALUES (2407, 7757, 2, 'Planering');
INSERT INTO `lang_definitions` VALUES (2408, 7762, 2, 'Planering namn');
INSERT INTO `lang_definitions` VALUES (2409, 7773, 2, 'Planering:');
INSERT INTO `lang_definitions` VALUES (2410, 7776, 2, 'Planering');
INSERT INTO `lang_definitions` VALUES (2411, 7778, 2, 'Spelare');
INSERT INTO `lang_definitions` VALUES (2412, 7779, 2, 'Position');
INSERT INTO `lang_definitions` VALUES (2413, 7789, 2, 'Välj ett värde för');
INSERT INTO `lang_definitions` VALUES (2414, 7795, 2, 'Stäng detta fönster');
INSERT INTO `lang_definitions` VALUES (2415, 7796, 2, 'Jämför det nya namnet');
INSERT INTO `lang_definitions` VALUES (2416, 7861, 2, 'Vänligen använ endast alfabetiska tecken');
INSERT INTO `lang_definitions` VALUES (2417, 7862, 2, 'Vänligen använd endast alfabetiska tecken utan mellanslag');
INSERT INTO `lang_definitions` VALUES (2418, 7863, 2, 'Vänligen betala detta belopp');
INSERT INTO `lang_definitions` VALUES (2419, 7889, 2, 'Välj en händelse');
INSERT INTO `lang_definitions` VALUES (2420, 7926, 2, 'EM');
INSERT INTO `lang_definitions` VALUES (2421, 7940, 2, 'Lunginflammations Vaccination');
INSERT INTO `lang_definitions` VALUES (2422, 7947, 2, 'Förhållningssätt');
INSERT INTO `lang_definitions` VALUES (2423, 7955, 2, 'Polyper');
INSERT INTO `lang_definitions` VALUES (2424, 7957, 2, 'Dålig apptit');
INSERT INTO `lang_definitions` VALUES (2425, 7958, 2, 'Dålig cirkulation');
INSERT INTO `lang_definitions` VALUES (2426, 7959, 2, 'Dålig hörsel');
INSERT INTO `lang_definitions` VALUES (2427, 7965, 2, 'Popup-fönster');
INSERT INTO `lang_definitions` VALUES (2428, 8011, 2, 'Postnr');
INSERT INTO `lang_definitions` VALUES (2429, 8012, 2, 'Postnummer');
INSERT INTO `lang_definitions` VALUES (2430, 8026, 2, 'Överförings Datum');
INSERT INTO `lang_definitions` VALUES (2431, 8037, 2, 'Practice');
INSERT INTO `lang_definitions` VALUES (2432, 8056, 2, 'Graviditets test');
INSERT INTO `lang_definitions` VALUES (2433, 8059, 2, 'Förskottsbetalning');
INSERT INTO `lang_definitions` VALUES (2434, 8066, 2, 'Receptbelagda märken');
INSERT INTO `lang_definitions` VALUES (2435, 8070, 2, 'Recept');
INSERT INTO `lang_definitions` VALUES (2436, 8073, 2, 'Föreskrifter och dispenser');
INSERT INTO `lang_definitions` VALUES (2437, 8074, 2, 'Recept och andra råd');
INSERT INTO `lang_definitions` VALUES (2438, 8075, 2, 'Recept och andra råd av specialist');
INSERT INTO `lang_definitions` VALUES (2439, 8076, 2, 'recept rapport');
INSERT INTO `lang_definitions` VALUES (2440, 8077, 2, 'Recept/råd');
INSERT INTO `lang_definitions` VALUES (2441, 8079, 2, 'Presentera Klagomål');
INSERT INTO `lang_definitions` VALUES (2442, 8081, 2, 'Tryck på fortsätt för att fortsätta');
INSERT INTO `lang_definitions` VALUES (2443, 8084, 2, 'Förmodad diagnos');
INSERT INTO `lang_definitions` VALUES (2444, 8085, 2, 'Förmodad diagnos från specialist');
INSERT INTO `lang_definitions` VALUES (2445, 8086, 2, 'Föregående');
INSERT INTO `lang_definitions` VALUES (2446, 8098, 2, 'Föregående');
INSERT INTO `lang_definitions` VALUES (2447, 8099, 2, 'Föregående konsultation');
INSERT INTO `lang_definitions` VALUES (2448, 8100, 2, 'Föregående dag');
INSERT INTO `lang_definitions` VALUES (2449, 8103, 2, 'Föregående månad');
INSERT INTO `lang_definitions` VALUES (2450, 8104, 2, 'Föregående vecka');
INSERT INTO `lang_definitions` VALUES (2451, 8105, 2, 'Pris');
INSERT INTO `lang_definitions` VALUES (2452, 8109, 2, 'Prisnivå');
INSERT INTO `lang_definitions` VALUES (2453, 8111, 2, 'Prisnivå:');
INSERT INTO `lang_definitions` VALUES (2454, 8114, 2, 'Primär');
INSERT INTO `lang_definitions` VALUES (2455, 8126, 2, 'Primära Försäkring');
INSERT INTO `lang_definitions` VALUES (2456, 8127, 2, 'Primära Försäkrings Data');
INSERT INTO `lang_definitions` VALUES (2457, 8128, 2, 'Primär försäkringsbolag');
INSERT INTO `lang_definitions` VALUES (2458, 8130, 2, 'Skriv ut');
INSERT INTO `lang_definitions` VALUES (2459, 8135, 2, 'Printa blankt remissformulär');
INSERT INTO `lang_definitions` VALUES (2460, 8148, 2, 'Skriv ut flera');
INSERT INTO `lang_definitions` VALUES (2461, 8168, 2, 'Skriv ut denna anmärkning');
INSERT INTO `lang_definitions` VALUES (2462, 8169, 2, 'Skriv ut Denna Anmärkning');
INSERT INTO `lang_definitions` VALUES (2463, 8173, 2, 'Utskrivbar');
INSERT INTO `lang_definitions` VALUES (2464, 8174, 2, 'Utskriftsversion');
INSERT INTO `lang_definitions` VALUES (2465, 8178, 2, 'Skriva ut resultat:');
INSERT INTO `lang_definitions` VALUES (2466, 8192, 2, 'Prioritet');
INSERT INTO `lang_definitions` VALUES (2467, 8196, 2, 'Privat');
INSERT INTO `lang_definitions` VALUES (2468, 8202, 2, 'Problem/anledningar');
INSERT INTO `lang_definitions` VALUES (2469, 8209, 2, 'Förfarande');
INSERT INTO `lang_definitions` VALUES (2470, 8254, 2, 'Förfarande');
INSERT INTO `lang_definitions` VALUES (2471, 8256, 2, 'Process');
INSERT INTO `lang_definitions` VALUES (2472, 8267, 2, 'Bearbetning');
INSERT INTO `lang_definitions` VALUES (2473, 8279, 2, 'Produkter');
INSERT INTO `lang_definitions` VALUES (2474, 8282, 2, 'Prof.');
INSERT INTO `lang_definitions` VALUES (2475, 8295, 2, 'Prostata Cancer');
INSERT INTO `lang_definitions` VALUES (2476, 8297, 2, 'Prostata undersökning');
INSERT INTO `lang_definitions` VALUES (2477, 8298, 2, 'Prostata problem');
INSERT INTO `lang_definitions` VALUES (2478, 8318, 2, 'Vårdgivare');
INSERT INTO `lang_definitions` VALUES (2479, 8322, 2, 'Vårdgivare ID');
INSERT INTO `lang_definitions` VALUES (2480, 8323, 2, 'Vårdgivare ID');
INSERT INTO `lang_definitions` VALUES (2481, 8324, 2, 'Vårdgivare ID på specificerad klinik');
INSERT INTO `lang_definitions` VALUES (2482, 8325, 2, 'Kan ej matcha vårdgivare');
INSERT INTO `lang_definitions` VALUES (2483, 8330, 2, 'Vårdgivare, nummmer');
INSERT INTO `lang_definitions` VALUES (2484, 8336, 2, 'Vårdgivare:');
INSERT INTO `lang_definitions` VALUES (2485, 8337, 2, 'Vårdgivare:');
INSERT INTO `lang_definitions` VALUES (2486, 8342, 2, 'PSA');
INSERT INTO `lang_definitions` VALUES (2487, 8343, 2, 'Psoriasis');
INSERT INTO `lang_definitions` VALUES (2488, 8345, 2, 'Psykisk diagnos');
INSERT INTO `lang_definitions` VALUES (2489, 8346, 2, 'Psykiatrisk mediciinering');
INSERT INTO `lang_definitions` VALUES (2490, 8347, 2, 'Psykiatrisk mediciinering');
INSERT INTO `lang_definitions` VALUES (2491, 8398, 2, 'Puls');
INSERT INTO `lang_definitions` VALUES (2492, 8408, 2, 'Var 3:e timme');
INSERT INTO `lang_definitions` VALUES (2493, 8409, 2, 'Var 4:e timme');
INSERT INTO `lang_definitions` VALUES (2494, 8410, 2, 'Var 5:e timme');
INSERT INTO `lang_definitions` VALUES (2495, 8411, 2, 'Var 6:e timme');
INSERT INTO `lang_definitions` VALUES (2496, 8412, 2, 'Var 8:e timme');
INSERT INTO `lang_definitions` VALUES (2497, 8413, 2, '1 ggr/dag');
INSERT INTO `lang_definitions` VALUES (2498, 8414, 2, '4ggr/dag');
INSERT INTO `lang_definitions` VALUES (2499, 8419, 2, 'Antal');
INSERT INTO `lang_definitions` VALUES (2500, 8421, 2, 'Kvalitet');
INSERT INTO `lang_definitions` VALUES (2501, 8423, 2, 'Kvantitet');
INSERT INTO `lang_definitions` VALUES (2502, 8425, 2, 'Kvantitet för NDC');
INSERT INTO `lang_definitions` VALUES (2503, 8436, 2, 'köad');
INSERT INTO `lang_definitions` VALUES (2504, 8437, 2, 'Kö Evenemang Administration');
INSERT INTO `lang_definitions` VALUES (2505, 8438, 2, 'köad för');
INSERT INTO `lang_definitions` VALUES (2506, 8440, 2, 'Kö föreläggande Administration');
INSERT INTO `lang_definitions` VALUES (2507, 8452, 2, 'Modersmål / Tolkspråk');
INSERT INTO `lang_definitions` VALUES (2508, 8453, 2, 'Modersmål / Tolkspråk');
INSERT INTO `lang_definitions` VALUES (2509, 8454, 2, 'Modersmål / Tolkspråk');
INSERT INTO `lang_definitions` VALUES (2510, 8456, 2, 'Radio');
INSERT INTO `lang_definitions` VALUES (2511, 8457, 2, 'Radioknapp');
INSERT INTO `lang_definitions` VALUES (2512, 8463, 2, 'Utslag');
INSERT INTO `lang_definitions` VALUES (2513, 8464, 2, 'Betygsätta');
INSERT INTO `lang_definitions` VALUES (2514, 8466, 2, 'Andel');
INSERT INTO `lang_definitions` VALUES (2515, 8482, 2, 'Åter öppnas');
INSERT INTO `lang_definitions` VALUES (2516, 8486, 2, 'Reaktioner');
INSERT INTO `lang_definitions` VALUES (2517, 8496, 2, 'Riktigt namn');
INSERT INTO `lang_definitions` VALUES (2518, 8498, 2, 'Anledning');
INSERT INTO `lang_definitions` VALUES (2519, 8499, 2, 'Orsak till avslutande');
INSERT INTO `lang_definitions` VALUES (2520, 8502, 2, 'Anledning till remiss');
INSERT INTO `lang_definitions` VALUES (2521, 8504, 2, 'Anledning till besök');
INSERT INTO `lang_definitions` VALUES (2522, 8506, 2, 'Orsak / Form');
INSERT INTO `lang_definitions` VALUES (2523, 8521, 2, 'Kvitto');
INSERT INTO `lang_definitions` VALUES (2524, 8522, 2, 'Kvitto för betalning');
INSERT INTO `lang_definitions` VALUES (2525, 8525, 2, 'Kvitton Sammanfattning');
INSERT INTO `lang_definitions` VALUES (2526, 8526, 2, 'Mottagna');
INSERT INTO `lang_definitions` VALUES (2527, 8527, 2, 'Mottagna av');
INSERT INTO `lang_definitions` VALUES (2528, 8528, 2, 'Mottagna fax');
INSERT INTO `lang_definitions` VALUES (2529, 8532, 2, 'Mottagare');
INSERT INTO `lang_definitions` VALUES (2530, 8533, 2, 'Mottagare ID');
INSERT INTO `lang_definitions` VALUES (2531, 8552, 2, 'Rekomendationer');
INSERT INTO `lang_definitions` VALUES (2532, 8553, 2, 'Rekomendationer och behandling');
INSERT INTO `lang_definitions` VALUES (2533, 8554, 2, 'Rekomendationer av specialist');
INSERT INTO `lang_definitions` VALUES (2534, 8595, 2, 'reduceras:');
INSERT INTO `lang_definitions` VALUES (2535, 8597, 2, 'Remitera');
INSERT INTO `lang_definitions` VALUES (2536, 8598, 2, 'Remiterad av');
INSERT INTO `lang_definitions` VALUES (2537, 8599, 2, 'Remissdatum');
INSERT INTO `lang_definitions` VALUES (2538, 8600, 2, 'Remiteras till');
INSERT INTO `lang_definitions` VALUES (2539, 8603, 2, 'Prioritetsnivå (Risknivå)');
INSERT INTO `lang_definitions` VALUES (2540, 8605, 2, 'Orsak till remiss');
INSERT INTO `lang_definitions` VALUES (2541, 8609, 2, 'Remittent, namn och signatur');
INSERT INTO `lang_definitions` VALUES (2542, 8610, 2, 'Remiss');
INSERT INTO `lang_definitions` VALUES (2543, 8611, 2, 'Remitterad av');
INSERT INTO `lang_definitions` VALUES (2544, 8612, 2, 'Remisskort');
INSERT INTO `lang_definitions` VALUES (2545, 8613, 2, 'Remissdadum');
INSERT INTO `lang_definitions` VALUES (2546, 8614, 2, 'Remissformulär');
INSERT INTO `lang_definitions` VALUES (2547, 8615, 2, 'REMISSFORMULÄR');
INSERT INTO `lang_definitions` VALUES (2548, 8619, 2, 'Remisskälla');
INSERT INTO `lang_definitions` VALUES (2549, 8621, 2, 'Remitteras till');
INSERT INTO `lang_definitions` VALUES (2550, 8622, 2, 'remittering');
INSERT INTO `lang_definitions` VALUES (2551, 8623, 2, 'remiss');
INSERT INTO `lang_definitions` VALUES (2552, 8624, 2, 'Remiterats från');
INSERT INTO `lang_definitions` VALUES (2553, 8625, 2, 'Remiterats från');
INSERT INTO `lang_definitions` VALUES (2554, 8627, 2, 'Remitterats till');
INSERT INTO `lang_definitions` VALUES (2555, 8628, 2, 'Remiterats av');
INSERT INTO `lang_definitions` VALUES (2556, 8639, 2, 'Påfyllnad');
INSERT INTO `lang_definitions` VALUES (2557, 8640, 2, 'påfyllnad');
INSERT INTO `lang_definitions` VALUES (2558, 8641, 2, 'Reflexer normala');
INSERT INTO `lang_definitions` VALUES (2559, 8645, 2, 'Uppdatera');
INSERT INTO `lang_definitions` VALUES (2560, 8662, 2, 'Registrerad');
INSERT INTO `lang_definitions` VALUES (2561, 8663, 2, 'registrerade');
INSERT INTO `lang_definitions` VALUES (2562, 8668, 2, 'Registreringsdag');
INSERT INTO `lang_definitions` VALUES (2563, 8672, 2, 'Rehabilitering');
INSERT INTO `lang_definitions` VALUES (2564, 8677, 2, 'Relaterat');
INSERT INTO `lang_definitions` VALUES (2565, 8682, 2, 'Förhållande');
INSERT INTO `lang_definitions` VALUES (2566, 8684, 2, 'Anhöriga');
INSERT INTO `lang_definitions` VALUES (2567, 8700, 2, 'Religion');
INSERT INTO `lang_definitions` VALUES (2568, 8705, 2, 'Relogin');
INSERT INTO `lang_definitions` VALUES (2569, 8733, 2, 'Ta bort grupp');
INSERT INTO `lang_definitions` VALUES (2570, 8760, 2, 'Upprepar');
INSERT INTO `lang_definitions` VALUES (2571, 8771, 2, 'Svars Datum');
INSERT INTO `lang_definitions` VALUES (2572, 8774, 2, 'Rapport');
INSERT INTO `lang_definitions` VALUES (2573, 8797, 2, 'Rapporter');
INSERT INTO `lang_definitions` VALUES (2574, 8821, 2, 'Nödvändig');
INSERT INTO `lang_definitions` VALUES (2575, 8832, 2, 'RESERVERAD');
INSERT INTO `lang_definitions` VALUES (2576, 8833, 2, 'reserverad');
INSERT INTO `lang_definitions` VALUES (2577, 8852, 2, 'Löst');
INSERT INTO `lang_definitions` VALUES (2578, 8866, 2, 'Begränsat Utbildning');
INSERT INTO `lang_definitions` VALUES (2579, 8867, 2, 'Resultat');
INSERT INTO `lang_definitions` VALUES (2580, 8885, 2, 'Infällda Höger:');
INSERT INTO `lang_definitions` VALUES (2581, 8886, 2, 'Avkastning');
INSERT INTO `lang_definitions` VALUES (2582, 8897, 2, 'Returvärde');
INSERT INTO `lang_definitions` VALUES (2583, 8898, 2, 'Återresa');
INSERT INTO `lang_definitions` VALUES (2584, 8918, 2, 'Översyn av System Kontroller');
INSERT INTO `lang_definitions` VALUES (2585, 8924, 2, 'Revision');
INSERT INTO `lang_definitions` VALUES (2586, 8928, 2, 'Höger');
INSERT INTO `lang_definitions` VALUES (2587, 8931, 2, 'Höger öra');
INSERT INTO `lang_definitions` VALUES (2588, 8932, 2, 'höger öra');
INSERT INTO `lang_definitions` VALUES (2589, 8940, 2, 'Höger:');
INSERT INTO `lang_definitions` VALUES (2590, 8941, 2, 'Ringningar i öron');
INSERT INTO `lang_definitions` VALUES (2591, 8942, 2, 'Tinitus');
INSERT INTO `lang_definitions` VALUES (2592, 8966, 2, 'Rutt');
INSERT INTO `lang_definitions` VALUES (2593, 8969, 2, 'Rader');
INSERT INTO `lang_definitions` VALUES (2594, 8972, 2, 'Massera:');
INSERT INTO `lang_definitions` VALUES (2595, 8973, 2, 'Gnuggar:');
INSERT INTO `lang_definitions` VALUES (2596, 8989, 2, 'Kör kommando:');
INSERT INTO `lang_definitions` VALUES (2597, 8995, 2, 'Recept');
INSERT INTO `lang_definitions` VALUES (2598, 8996, 2, 'Recept');
INSERT INTO `lang_definitions` VALUES (2599, 9028, 2, 'K');
INSERT INTO `lang_definitions` VALUES (2600, 9029, 2, 'Personnr');
INSERT INTO `lang_definitions` VALUES (2601, 9039, 2, 'Samma dag');
INSERT INTO `lang_definitions` VALUES (2602, 9042, 2, 'Sanktions Typ');
INSERT INTO `lang_definitions` VALUES (2603, 9047, 2, 'Lördag');
INSERT INTO `lang_definitions` VALUES (2604, 9048, 2, 'Lördag & söndag');
INSERT INTO `lang_definitions` VALUES (2605, 9049, 2, 'Lördag');
INSERT INTO `lang_definitions` VALUES (2606, 9050, 2, 'Spara');
INSERT INTO `lang_definitions` VALUES (2607, 9058, 2, 'Spara och fördela');
INSERT INTO `lang_definitions` VALUES (2608, 9061, 2, 'Spara som ny');
INSERT INTO `lang_definitions` VALUES (2609, 9067, 2, 'Spara ändringar');
INSERT INTO `lang_definitions` VALUES (2610, 9076, 2, 'Spara vaccination');
INSERT INTO `lang_definitions` VALUES (2611, 9089, 2, 'Spara transaktionen');
INSERT INTO `lang_definitions` VALUES (2612, 9098, 2, 'Inskannade');
INSERT INTO `lang_definitions` VALUES (2613, 9104, 2, 'Schema');
INSERT INTO `lang_definitions` VALUES (2614, 9122, 2, 'Skolios');
INSERT INTO `lang_definitions` VALUES (2615, 9133, 2, 'SE');
INSERT INTO `lang_definitions` VALUES (2616, 9134, 2, 'SE Adress');
INSERT INTO `lang_definitions` VALUES (2617, 9135, 2, 'SE Stad');
INSERT INTO `lang_definitions` VALUES (2618, 9136, 2, 'SE Land');
INSERT INTO `lang_definitions` VALUES (2619, 9141, 2, 'Söka');
INSERT INTO `lang_definitions` VALUES (2620, 9143, 2, 'söka');
INSERT INTO `lang_definitions` VALUES (2621, 9144, 2, 'Sök igen');
INSERT INTO `lang_definitions` VALUES (2622, 9150, 2, 'Sök efter:');
INSERT INTO `lang_definitions` VALUES (2623, 9156, 2, 'Sök efter:');
INSERT INTO `lang_definitions` VALUES (2624, 9161, 2, 'Sök efter eller lägg till patient');
INSERT INTO `lang_definitions` VALUES (2625, 9168, 2, 'Sökresultat:');
INSERT INTO `lang_definitions` VALUES (2626, 9175, 2, 'Sök i Evenemang');
INSERT INTO `lang_definitions` VALUES (2627, 9179, 2, 'Sök / Lägg till försäkringsgivaren');
INSERT INTO `lang_definitions` VALUES (2628, 9185, 2, 'Bilbältesanvändning');
INSERT INTO `lang_definitions` VALUES (2629, 9186, 2, 'Andra');
INSERT INTO `lang_definitions` VALUES (2630, 9189, 2, 'Sekundär');
INSERT INTO `lang_definitions` VALUES (2631, 9191, 2, 'Sekundär Försäkring');
INSERT INTO `lang_definitions` VALUES (2632, 9192, 2, 'Sekundär Försäkrings Data');
INSERT INTO `lang_definitions` VALUES (2633, 9208, 2, 'Se Alla');
INSERT INTO `lang_definitions` VALUES (2634, 9210, 2, 'Se Auktoriseringar');
INSERT INTO `lang_definitions` VALUES (2635, 9218, 2, 'Sett sedan');
INSERT INTO `lang_definitions` VALUES (2636, 9225, 2, 'Välj');
INSERT INTO `lang_definitions` VALUES (2637, 9239, 2, 'Välj Alla');
INSERT INTO `lang_definitions` VALUES (2638, 9340, 2, 'Selecionar usuários da lista suspensa');
INSERT INTO `lang_definitions` VALUES (2639, 9358, 2, 'Egen lön');
INSERT INTO `lang_definitions` VALUES (2640, 9369, 2, 'Överföring pågår');
INSERT INTO `lang_definitions` VALUES (2641, 9395, 2, 'Avsändare');
INSERT INTO `lang_definitions` VALUES (2642, 9396, 2, 'Avsändar ID');
INSERT INTO `lang_definitions` VALUES (2643, 9411, 2, 'Känslighet:');
INSERT INTO `lang_definitions` VALUES (2644, 9420, 2, 'Skickats');
INSERT INTO `lang_definitions` VALUES (2645, 9423, 2, 'skickas till skrivaren.');
INSERT INTO `lang_definitions` VALUES (2646, 9430, 2, 'Separerade');
INSERT INTO `lang_definitions` VALUES (2647, 9431, 2, 'September');
INSERT INTO `lang_definitions` VALUES (2648, 9451, 2, 'Service Datum:');
INSERT INTO `lang_definitions` VALUES (2649, 9455, 2, 'Service Location');
INSERT INTO `lang_definitions` VALUES (2650, 9461, 2, 'Tjänster');
INSERT INTO `lang_definitions` VALUES (2651, 9462, 2, 'Tjänster efter kategori');
INSERT INTO `lang_definitions` VALUES (2652, 9463, 2, 'Tjänster som Tillhandahålls');
INSERT INTO `lang_definitions` VALUES (2653, 9464, 2, 'Tjänster som tillhandahålls');
INSERT INTO `lang_definitions` VALUES (2654, 9488, 2, 'Inställningar');
INSERT INTO `lang_definitions` VALUES (2655, 9493, 2, 'Svår huvudvärk');
INSERT INTO `lang_definitions` VALUES (2656, 9496, 2, 'Svårighetsgrad av smärta');
INSERT INTO `lang_definitions` VALUES (2657, 9497, 2, 'Svårighetsgrad av smärta:');
INSERT INTO `lang_definitions` VALUES (2658, 9498, 2, 'Kön');
INSERT INTO `lang_definitions` VALUES (2659, 9499, 2, 'Sexuellt överförbara sjukdomar');
INSERT INTO `lang_definitions` VALUES (2660, 9503, 2, 'Dela');
INSERT INTO `lang_definitions` VALUES (2661, 9510, 2, 'Andnöd');
INSERT INTO `lang_definitions` VALUES (2662, 9516, 2, 'bör vara som nnnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (2663, 9520, 2, 'Axel');
INSERT INTO `lang_definitions` VALUES (2664, 9521, 2, 'Axel + nyckelben');
INSERT INTO `lang_definitions` VALUES (2665, 9522, 2, 'Axelproblem');
INSERT INTO `lang_definitions` VALUES (2666, 9523, 2, 'visa');
INSERT INTO `lang_definitions` VALUES (2667, 9532, 2, 'Visa som upptagen');
INSERT INTO `lang_definitions` VALUES (2668, 9533, 2, 'Visa endast behöriga');
INSERT INTO `lang_definitions` VALUES (2669, 9540, 2, 'Visa detaljer');
INSERT INTO `lang_definitions` VALUES (2670, 9569, 2, 'Visa rapport');
INSERT INTO `lang_definitions` VALUES (2671, 9580, 2, 'Visa endast icke fakturerad');
INSERT INTO `lang_definitions` VALUES (2672, 9595, 2, 'Syskon');
INSERT INTO `lang_definitions` VALUES (2673, 9606, 2, 'Underskrift');
INSERT INTO `lang_definitions` VALUES (2674, 9609, 2, 'Underskrift:');
INSERT INTO `lang_definitions` VALUES (2675, 9614, 2, 'Betydande Svullnad:');
INSERT INTO `lang_definitions` VALUES (2676, 9622, 2, 'Singel');
INSERT INTO `lang_definitions` VALUES (2677, 9643, 2, 'Storlek');
INSERT INTO `lang_definitions` VALUES (2678, 9648, 2, 'Storlek / Lista');
INSERT INTO `lang_definitions` VALUES (2679, 9650, 2, 'Hud');
INSERT INTO `lang_definitions` VALUES (2680, 9665, 2, 'sömn mönster');
INSERT INTO `lang_definitions` VALUES (2681, 9666, 2, 'sover');
INSERT INTO `lang_definitions` VALUES (2682, 9729, 2, 'Social History:');
INSERT INTO `lang_definitions` VALUES (2683, 9732, 2, 'lösning');
INSERT INTO `lang_definitions` VALUES (2684, 9737, 2, 'Vissa möten visas inte. Klicka här för att visa alla.');
INSERT INTO `lang_definitions` VALUES (2685, 9740, 2, 'Vissa anteckningar visades inte');
INSERT INTO `lang_definitions` VALUES (2686, 9743, 2, 'några ord');
INSERT INTO `lang_definitions` VALUES (2687, 9758, 2, 'Sortera efter');
INSERT INTO `lang_definitions` VALUES (2688, 9779, 2, 'Källa');
INSERT INTO `lang_definitions` VALUES (2689, 9783, 2, 'Källa saknas för kod');
INSERT INTO `lang_definitions` VALUES (2690, 9789, 2, 'Källa:');
INSERT INTO `lang_definitions` VALUES (2691, 9802, 2, 'Specialist namn och signatur');
INSERT INTO `lang_definitions` VALUES (2692, 9804, 2, 'Specialtet');
INSERT INTO `lang_definitions` VALUES (2693, 9806, 2, 'Specialitet:');
INSERT INTO `lang_definitions` VALUES (2694, 9807, 2, 'Särskilda');
INSERT INTO `lang_definitions` VALUES (2695, 9811, 2, 'Särskilda tjänster');
INSERT INTO `lang_definitions` VALUES (2696, 9827, 2, 'Tal diktamen');
INSERT INTO `lang_definitions` VALUES (2697, 9828, 2, 'Spermiedödande');
INSERT INTO `lang_definitions` VALUES (2698, 9832, 2, 'Maka');
INSERT INTO `lang_definitions` VALUES (2699, 9835, 2, 'Sputum:');
INSERT INTO `lang_definitions` VALUES (2700, 9849, 2, 'Personnummmer');
INSERT INTO `lang_definitions` VALUES (2701, 9851, 2, 'Persnr');
INSERT INTO `lang_definitions` VALUES (2702, 9852, 2, 'Stabilitet');
INSERT INTO `lang_definitions` VALUES (2703, 9855, 2, 'Standard');
INSERT INTO `lang_definitions` VALUES (2704, 9866, 2, 'Start');
INSERT INTO `lang_definitions` VALUES (2705, 9867, 2, 'Start (åååå-mm-dd):');
INSERT INTO `lang_definitions` VALUES (2706, 9874, 2, 'Startdatum');
INSERT INTO `lang_definitions` VALUES (2707, 9876, 2, 'Start datum vid denna klinik');
INSERT INTO `lang_definitions` VALUES (2708, 9878, 2, 'Startdatum:');
INSERT INTO `lang_definitions` VALUES (2709, 9879, 2, 'Startdatum:');
INSERT INTO `lang_definitions` VALUES (2710, 9881, 2, 'Start tid');
INSERT INTO `lang_definitions` VALUES (2711, 9884, 2, 'Startdatum');
INSERT INTO `lang_definitions` VALUES (2712, 9889, 2, 'Stat');
INSERT INTO `lang_definitions` VALUES (2713, 9898, 2, 'församling');
INSERT INTO `lang_definitions` VALUES (2714, 9909, 2, 'Statistik');
INSERT INTO `lang_definitions` VALUES (2715, 9910, 2, 'Övrigt');
INSERT INTO `lang_definitions` VALUES (2716, 9911, 2, 'Status');
INSERT INTO `lang_definitions` VALUES (2717, 9916, 2, 'Oförändrat');
INSERT INTO `lang_definitions` VALUES (2718, 9932, 2, 'Stela leder');
INSERT INTO `lang_definitions` VALUES (2719, 9936, 2, 'Ont i magen');
INSERT INTO `lang_definitions` VALUES (2720, 9944, 2, 'Överbelastade muskler');
INSERT INTO `lang_definitions` VALUES (2721, 9947, 2, 'Gata');
INSERT INTO `lang_definitions` VALUES (2722, 9949, 2, 'Gatu nummer');
INSERT INTO `lang_definitions` VALUES (2723, 9950, 2, 'styrka');
INSERT INTO `lang_definitions` VALUES (2724, 9953, 2, 'Stress fraktur');
INSERT INTO `lang_definitions` VALUES (2725, 9954, 2, 'Stresstest');
INSERT INTO `lang_definitions` VALUES (2726, 9956, 2, 'Stroke');
INSERT INTO `lang_definitions` VALUES (2727, 9966, 2, 'Delsumma');
INSERT INTO `lang_definitions` VALUES (2728, 9967, 2, 'Underkategori');
INSERT INTO `lang_definitions` VALUES (2729, 9968, 2, 'underkategori');
INSERT INTO `lang_definitions` VALUES (2730, 9969, 2, 'subkutant');
INSERT INTO `lang_definitions` VALUES (2731, 9971, 2, 'Anamnes');
INSERT INTO `lang_definitions` VALUES (2732, 9972, 2, 'Sublingual');
INSERT INTO `lang_definitions` VALUES (2733, 9973, 2, 'sublingual');
INSERT INTO `lang_definitions` VALUES (2734, 9974, 2, 'Lämna in');
INSERT INTO `lang_definitions` VALUES (2735, 9979, 2, 'Lämna in händelsen');
INSERT INTO `lang_definitions` VALUES (2736, 9980, 2, 'lämna in blanketten');
INSERT INTO `lang_definitions` VALUES (2737, 9985, 2, 'Inlämnat av');
INSERT INTO `lang_definitions` VALUES (2738, 9987, 2, 'Prenuremant');
INSERT INTO `lang_definitions` VALUES (2739, 9988, 2, 'Prenuremants Adress');
INSERT INTO `lang_definitions` VALUES (2740, 10020, 2, 'Ersättare');
INSERT INTO `lang_definitions` VALUES (2741, 10021, 2, 'Ersättare tillåts');
INSERT INTO `lang_definitions` VALUES (2742, 10049, 2, 'Självmord');
INSERT INTO `lang_definitions` VALUES (2743, 10051, 2, 'Sammanfattning');
INSERT INTO `lang_definitions` VALUES (2744, 10058, 2, 'Sön');
INSERT INTO `lang_definitions` VALUES (2745, 10060, 2, 'Söndag');
INSERT INTO `lang_definitions` VALUES (2746, 10093, 2, 'Kirurgi');
INSERT INTO `lang_definitions` VALUES (2747, 10095, 2, 'avstänga');
INSERT INTO `lang_definitions` VALUES (2748, 10096, 2, 'Uppslammad vätska');
INSERT INTO `lang_definitions` VALUES (2749, 10103, 2, 'Svenska');
INSERT INTO `lang_definitions` VALUES (2750, 10130, 2, '3 ggr/dag');
INSERT INTO `lang_definitions` VALUES (2751, 10137, 2, 'Tabell skapas inte');
INSERT INTO `lang_definitions` VALUES (2752, 10138, 2, 'Tabell uppdateringen misslyckades');
INSERT INTO `lang_definitions` VALUES (2753, 10140, 2, 'tablett');
INSERT INTO `lang_definitions` VALUES (2754, 10149, 2, 'Ta');
INSERT INTO `lang_definitions` VALUES (2755, 10154, 2, 'Tar lång tid');
INSERT INTO `lang_definitions` VALUES (2756, 10175, 2, 'Skatter');
INSERT INTO `lang_definitions` VALUES (2757, 10197, 2, 'Mall');
INSERT INTO `lang_definitions` VALUES (2758, 10201, 2, 'Mall:');
INSERT INTO `lang_definitions` VALUES (2759, 10219, 2, 'Testa schema');
INSERT INTO `lang_definitions` VALUES (2760, 10220, 2, 'Testa system');
INSERT INTO `lang_definitions` VALUES (2761, 10242, 2, 'Tack');
INSERT INTO `lang_definitions` VALUES (2762, 10284, 2, 'Påstående ärendet:');
INSERT INTO `lang_definitions` VALUES (2763, 10350, 2, 'Händelsen har godkänts.');
INSERT INTO `lang_definitions` VALUES (2764, 10351, 2, 'Händelsen har gömts undan');
INSERT INTO `lang_definitions` VALUES (2765, 10380, 2, 'Följande kalenderhändelse har lagts till:');
INSERT INTO `lang_definitions` VALUES (2766, 10381, 2, 'Följande kalenderhändelse har modifierats:');
INSERT INTO `lang_definitions` VALUES (2767, 10601, 2, 'Terapeutiska Injektioner');
INSERT INTO `lang_definitions` VALUES (2768, 10611, 2, 'Det är fel med din ansökan. Dessa beskrivs nedan.');
INSERT INTO `lang_definitions` VALUES (2769, 10621, 2, 'Det finns inga nya synpunkter');
INSERT INTO `lang_definitions` VALUES (2770, 10656, 2, 'Det uppstod ett fel när din begäran behandlades.');
INSERT INTO `lang_definitions` VALUES (2771, 10682, 2, 'Förtjockad Höger:');
INSERT INTO `lang_definitions` VALUES (2772, 10683, 2, 'Lår');
INSERT INTO `lang_definitions` VALUES (2773, 10684, 2, 'Lår + knäsena');
INSERT INTO `lang_definitions` VALUES (2774, 10701, 2, 'Tredje');
INSERT INTO `lang_definitions` VALUES (2775, 10734, 2, 'Pågående besök');
INSERT INTO `lang_definitions` VALUES (2776, 10753, 2, 'Detta fakturanumret har ändrats till');
INSERT INTO `lang_definitions` VALUES (2777, 10804, 2, 'Denna patient har ingen aktivitet');
INSERT INTO `lang_definitions` VALUES (2778, 10805, 2, 'Denna patients ID används redan!');
INSERT INTO `lang_definitions` VALUES (2779, 10882, 2, 'Tor');
INSERT INTO `lang_definitions` VALUES (2780, 10884, 2, 'torsdag');
INSERT INTO `lang_definitions` VALUES (2781, 10885, 2, 'Torsdag');
INSERT INTO `lang_definitions` VALUES (2782, 10887, 2, 'Sköldkörtel normal');
INSERT INTO `lang_definitions` VALUES (2783, 10902, 2, 'Tid');
INSERT INTO `lang_definitions` VALUES (2784, 10913, 2, 'beräkna tid på händelse');
INSERT INTO `lang_definitions` VALUES (2785, 10915, 2, 'Tidsstämpel och Text');
INSERT INTO `lang_definitions` VALUES (2786, 10920, 2, 'Titel');
INSERT INTO `lang_definitions` VALUES (2787, 10928, 2, 'Till');
INSERT INTO `lang_definitions` VALUES (2788, 10929, 2, 'till');
INSERT INTO `lang_definitions` VALUES (2789, 10930, 2, 'TILL');
INSERT INTO `lang_definitions` VALUES (2790, 10938, 2, 'På det påverkade området');
INSERT INTO `lang_definitions` VALUES (2791, 10939, 2, 'på det påverkade området');
INSERT INTO `lang_definitions` VALUES (2792, 10945, 2, 'till kategori');
INSERT INTO `lang_definitions` VALUES (2793, 10949, 2, 'Till medbetalare');
INSERT INTO `lang_definitions` VALUES (2794, 10972, 2, 'Till Besök');
INSERT INTO `lang_definitions` VALUES (2795, 10973, 2, 'Om du vill filtrera efter kön');
INSERT INTO `lang_definitions` VALUES (2796, 10980, 2, 'Till Historik');
INSERT INTO `lang_definitions` VALUES (2797, 10982, 2, 'Till frågor');
INSERT INTO `lang_definitions` VALUES (2798, 10985, 2, 'För att länka detta besök till objekt i ovanstående lista, markera önskade objekt och klicka sedan på [spara]. Håll ner [Ctrl] för att markera fler objekt.');
INSERT INTO `lang_definitions` VALUES (2799, 10987, 2, 'för att logga in igen');
INSERT INTO `lang_definitions` VALUES (2800, 11002, 2, 'Huden');
INSERT INTO `lang_definitions` VALUES (2801, 11003, 2, 'huden');
INSERT INTO `lang_definitions` VALUES (2802, 11005, 2, 'Till detta besök?');
INSERT INTO `lang_definitions` VALUES (2803, 11010, 2, 'Till:');
INSERT INTO `lang_definitions` VALUES (2804, 11011, 2, 'Till:');
INSERT INTO `lang_definitions` VALUES (2805, 11025, 2, 'Tobak');
INSERT INTO `lang_definitions` VALUES (2806, 11028, 2, 'Tobaks användande');
INSERT INTO `lang_definitions` VALUES (2807, 11032, 2, 'Idag');
INSERT INTO `lang_definitions` VALUES (2808, 11037, 2, 'Dagens datum');
INSERT INTO `lang_definitions` VALUES (2809, 11038, 2, 'Dagens händelser');
INSERT INTO `lang_definitions` VALUES (2810, 11047, 2, 'Tonsillektomi');
INSERT INTO `lang_definitions` VALUES (2811, 11050, 2, 'Topp');
INSERT INTO `lang_definitions` VALUES (2812, 11053, 2, 'Ämne');
INSERT INTO `lang_definitions` VALUES (2813, 11054, 2, 'Totalt');
INSERT INTO `lang_definitions` VALUES (2814, 11055, 2, 'totalt');
INSERT INTO `lang_definitions` VALUES (2815, 11061, 2, 'Sammanlagt belopp som betalats');
INSERT INTO `lang_definitions` VALUES (2816, 11064, 2, 'Totala kostnader');
INSERT INTO `lang_definitions` VALUES (2817, 11065, 2, 'Totalt antal Kunder');
INSERT INTO `lang_definitions` VALUES (2818, 11072, 2, 'Totalt för');
INSERT INTO `lang_definitions` VALUES (2819, 11073, 2, 'Totalt för');
INSERT INTO `lang_definitions` VALUES (2820, 11074, 2, 'Totalt för kategori');
INSERT INTO `lang_definitions` VALUES (2821, 11084, 2, 'Totalt antal patienter');
INSERT INTO `lang_definitions` VALUES (2822, 11106, 2, 'Totalt');
INSERT INTO `lang_definitions` VALUES (2823, 11107, 2, 'Totalbeloppen för');
INSERT INTO `lang_definitions` VALUES (2824, 11108, 2, 'Totalbeloppen för');
INSERT INTO `lang_definitions` VALUES (2825, 11135, 2, 'Utbildnings sort');
INSERT INTO `lang_definitions` VALUES (2826, 11136, 2, 'Remiss m.m.');
INSERT INTO `lang_definitions` VALUES (2827, 11137, 2, 'Transaktion');
INSERT INTO `lang_definitions` VALUES (2828, 11138, 2, 'Transaktion');
INSERT INTO `lang_definitions` VALUES (2829, 11142, 2, 'Transaktionstyp');
INSERT INTO `lang_definitions` VALUES (2830, 11143, 2, 'Transaktioner');
INSERT INTO `lang_definitions` VALUES (2831, 11145, 2, 'Transaktioner (skriva valfritt)');
INSERT INTO `lang_definitions` VALUES (2832, 11151, 2, 'Transaktioner / Övergångar');
INSERT INTO `lang_definitions` VALUES (2833, 11169, 2, 'översätt detta');
INSERT INTO `lang_definitions` VALUES (2834, 11170, 2, 'översätta');
INSERT INTO `lang_definitions` VALUES (2835, 11179, 2, 'Trauma');
INSERT INTO `lang_definitions` VALUES (2836, 11182, 2, 'Behandlings mål');
INSERT INTO `lang_definitions` VALUES (2837, 11183, 2, 'Behandlings plan');
INSERT INTO `lang_definitions` VALUES (2838, 11186, 2, 'Behandling:');
INSERT INTO `lang_definitions` VALUES (2839, 11187, 2, 'Behandling:');
INSERT INTO `lang_definitions` VALUES (2840, 11205, 2, 'tesked');
INSERT INTO `lang_definitions` VALUES (2841, 11209, 2, 'Tis');
INSERT INTO `lang_definitions` VALUES (2842, 11211, 2, 'Tisdag');
INSERT INTO `lang_definitions` VALUES (2843, 11212, 2, 'Tumör');
INSERT INTO `lang_definitions` VALUES (2844, 11222, 2, 'två gånger dagligen');
INSERT INTO `lang_definitions` VALUES (2845, 11227, 2, 'Typ');
INSERT INTO `lang_definitions` VALUES (2846, 11243, 2, 'Skriv in eller skanna patientidentifikation här');
INSERT INTO `lang_definitions` VALUES (2847, 11272, 2, 'Ulcerations');
INSERT INTO `lang_definitions` VALUES (2848, 11273, 2, 'Ulcerös kolit');
INSERT INTO `lang_definitions` VALUES (2849, 11274, 2, 'Sår:');
INSERT INTO `lang_definitions` VALUES (2850, 11292, 2, 'Ej tilldelad');
INSERT INTO `lang_definitions` VALUES (2851, 11295, 2, 'Obehörig åtkomst.');
INSERT INTO `lang_definitions` VALUES (2852, 11300, 2, 'under tungan');
INSERT INTO `lang_definitions` VALUES (2853, 11303, 2, 'Undervikt');
INSERT INTO `lang_definitions` VALUES (2854, 11304, 2, 'odiagnosticerad');
INSERT INTO `lang_definitions` VALUES (2855, 11309, 2, 'Ångra Kassa');
INSERT INTO `lang_definitions` VALUES (2856, 11311, 2, 'Unika Kunder');
INSERT INTO `lang_definitions` VALUES (2857, 11315, 2, 'Unika nya kunder');
INSERT INTO `lang_definitions` VALUES (2858, 11320, 2, 'Enhet');
INSERT INTO `lang_definitions` VALUES (2859, 11321, 2, 'Enheter');
INSERT INTO `lang_definitions` VALUES (2860, 11322, 2, 'enheter');
INSERT INTO `lang_definitions` VALUES (2861, 11328, 2, 'Okänt');
INSERT INTO `lang_definitions` VALUES (2862, 11332, 2, 'Okänd eller N / A');
INSERT INTO `lang_definitions` VALUES (2863, 11345, 2, 'Namnlöst försäkringsbolag');
INSERT INTO `lang_definitions` VALUES (2864, 11346, 2, 'Oregistrerad');
INSERT INTO `lang_definitions` VALUES (2865, 11349, 2, 'Avmarkera alla');
INSERT INTO `lang_definitions` VALUES (2866, 11350, 2, 'Omarkerat');
INSERT INTO `lang_definitions` VALUES (2867, 11351, 2, 'Ospecificerad');
INSERT INTO `lang_definitions` VALUES (2868, 11356, 2, 'tills');
INSERT INTO `lang_definitions` VALUES (2869, 11360, 2, 'Outnyttjad');
INSERT INTO `lang_definitions` VALUES (2870, 11362, 2, 'Upp till');
INSERT INTO `lang_definitions` VALUES (2871, 11364, 2, 'Kommande möten');
INSERT INTO `lang_definitions` VALUES (2872, 11365, 2, 'Kommande evenemang');
INSERT INTO `lang_definitions` VALUES (2873, 11366, 2, 'Uppdatera');
INSERT INTO `lang_definitions` VALUES (2874, 11367, 2, 'uppdatera');
INSERT INTO `lang_definitions` VALUES (2875, 11371, 2, 'Uppdateringsfilerna');
INSERT INTO `lang_definitions` VALUES (2876, 11372, 2, 'Uppdatera Info');
INSERT INTO `lang_definitions` VALUES (2877, 11401, 2, 'Uppladdning');
INSERT INTO `lang_definitions` VALUES (2878, 11407, 2, 'Ladda upp dokument');
INSERT INTO `lang_definitions` VALUES (2879, 11411, 2, 'Ladda upp fil att importera:');
INSERT INTO `lang_definitions` VALUES (2880, 11415, 2, 'Ladda upp rapport');
INSERT INTO `lang_definitions` VALUES (2881, 11418, 2, 'Ladda upp den här filen:');
INSERT INTO `lang_definitions` VALUES (2882, 11429, 2, 'Överarmen');
INSERT INTO `lang_definitions` VALUES (2883, 11432, 2, 'Brådskande');
INSERT INTO `lang_definitions` VALUES (2884, 11438, 2, 'Urin Frekvens');
INSERT INTO `lang_definitions` VALUES (2885, 11439, 2, 'Urin Tveksamhet');
INSERT INTO `lang_definitions` VALUES (2886, 11443, 2, 'URL');
INSERT INTO `lang_definitions` VALUES (2887, 11457, 2, 'Använd 24-timmars format?');
INSERT INTO `lang_definitions` VALUES (2888, 11477, 2, 'Använd Standardinställningar');
INSERT INTO `lang_definitions` VALUES (2889, 11479, 2, 'Använd internationellt utseende på datum?');
INSERT INTO `lang_definitions` VALUES (2890, 11493, 2, 'Använd ämnen?');
INSERT INTO `lang_definitions` VALUES (2891, 11496, 2, 'Användare');
INSERT INTO `lang_definitions` VALUES (2892, 11499, 2, 'Användaradministration');
INSERT INTO `lang_definitions` VALUES (2893, 11500, 2, 'Användar-och Facility Administration');
INSERT INTO `lang_definitions` VALUES (2894, 11501, 2, 'Användare och grupp Administration');
INSERT INTO `lang_definitions` VALUES (2895, 11507, 2, 'Användardefinierad');
INSERT INTO `lang_definitions` VALUES (2896, 11508, 2, 'Användar definierad Area 11');
INSERT INTO `lang_definitions` VALUES (2897, 11509, 2, 'Användar definierad Area 12');
INSERT INTO `lang_definitions` VALUES (2898, 11533, 2, 'Användare Medlemskap');
INSERT INTO `lang_definitions` VALUES (2899, 11553, 2, 'Användarnamn');
INSERT INTO `lang_definitions` VALUES (2900, 11556, 2, 'Användarnamn för SMS Gateway');
INSERT INTO `lang_definitions` VALUES (2901, 11559, 2, 'Användarnamn:');
INSERT INTO `lang_definitions` VALUES (2902, 11560, 2, 'Användare');
INSERT INTO `lang_definitions` VALUES (2903, 11564, 2, 'Användare / grupper / Logs Administration');
INSERT INTO `lang_definitions` VALUES (2904, 11588, 2, 'SEMESTER');
INSERT INTO `lang_definitions` VALUES (2905, 11589, 2, 'Semester');
INSERT INTO `lang_definitions` VALUES (2906, 11590, 2, 'Vaccin');
INSERT INTO `lang_definitions` VALUES (2907, 11609, 2, 'Wert');
INSERT INTO `lang_definitions` VALUES (2908, 11610, 2, 'Wert 1');
INSERT INTO `lang_definitions` VALUES (2909, 11611, 2, 'Wert 2');
INSERT INTO `lang_definitions` VALUES (2910, 11613, 2, 'Wert muss numerisch sein');
INSERT INTO `lang_definitions` VALUES (2911, 11623, 2, 'Blodkärls kondition');
INSERT INTO `lang_definitions` VALUES (2912, 11624, 2, 'Blodkärsl skada');
INSERT INTO `lang_definitions` VALUES (2913, 11625, 2, 'Kärlkirurgi');
INSERT INTO `lang_definitions` VALUES (2914, 11634, 2, 'Version');
INSERT INTO `lang_definitions` VALUES (2915, 11653, 2, 'Svindel');
INSERT INTO `lang_definitions` VALUES (2916, 11667, 2, 'Visa');
INSERT INTO `lang_definitions` VALUES (2917, 11668, 2, 'visa');
INSERT INTO `lang_definitions` VALUES (2918, 11670, 2, 'Visa allergier');
INSERT INTO `lang_definitions` VALUES (2919, 11676, 2, 'Visa Omfattande Patient Rapport');
INSERT INTO `lang_definitions` VALUES (2920, 11679, 2, 'Visa dokument');
INSERT INTO `lang_definitions` VALUES (2921, 11681, 2, 'Visa möte');
INSERT INTO `lang_definitions` VALUES (2922, 11683, 2, 'Visa händelser i ett popup-fönster?');
INSERT INTO `lang_definitions` VALUES (2923, 11690, 2, 'Visa Sida 1');
INSERT INTO `lang_definitions` VALUES (2924, 11691, 2, 'Visa sida 2');
INSERT INTO `lang_definitions` VALUES (2925, 11700, 2, 'Se relaterade möten');
INSERT INTO `lang_definitions` VALUES (2926, 11717, 2, 'Visa:');
INSERT INTO `lang_definitions` VALUES (2927, 11718, 2, 'VISA');
INSERT INTO `lang_definitions` VALUES (2928, 11719, 2, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (2929, 11721, 2, 'Visceral skada / trauma / kirurgi');
INSERT INTO `lang_definitions` VALUES (2930, 11728, 2, 'Besökskategori:');
INSERT INTO `lang_definitions` VALUES (2931, 11729, 2, 'Besöks Datum');
INSERT INTO `lang_definitions` VALUES (2932, 11745, 2, 'Besök');
INSERT INTO `lang_definitions` VALUES (2933, 11746, 2, 'Besök från');
INSERT INTO `lang_definitions` VALUES (2934, 11751, 2, 'Vitalparametrar');
INSERT INTO `lang_definitions` VALUES (2935, 11752, 2, 'Vitalparametrar');
INSERT INTO `lang_definitions` VALUES (2936, 11753, 2, 'Vitalparametrar (metriska)');
INSERT INTO `lang_definitions` VALUES (2937, 11754, 2, 'Vitalparametrar Formulär inställningar');
INSERT INTO `lang_definitions` VALUES (2938, 11763, 2, 'Kräkningar');
INSERT INTO `lang_definitions` VALUES (2939, 11767, 2, 'W');
INSERT INTO `lang_definitions` VALUES (2940, 11772, 2, 'Väntar');
INSERT INTO `lang_definitions` VALUES (2941, 11783, 2, 'Varm');
INSERT INTO `lang_definitions` VALUES (2942, 11787, 2, 'VARNING');
INSERT INTO `lang_definitions` VALUES (2943, 11791, 2, 'Varning: Ett besök var redan skapat för denna patient idag!');
INSERT INTO `lang_definitions` VALUES (2944, 11796, 2, 'Varning: patient-ID är inte unikt!');
INSERT INTO `lang_definitions` VALUES (2945, 11821, 2, 'Svaghet');
INSERT INTO `lang_definitions` VALUES (2946, 11827, 2, 'Hemsida');
INSERT INTO `lang_definitions` VALUES (2947, 11832, 2, 'Ons');
INSERT INTO `lang_definitions` VALUES (2948, 11833, 2, 'Onsdag');
INSERT INTO `lang_definitions` VALUES (2949, 11834, 2, 'Vecka');
INSERT INTO `lang_definitions` VALUES (2950, 11835, 2, 'vecka');
INSERT INTO `lang_definitions` VALUES (2951, 11836, 2, 'Veckovy');
INSERT INTO `lang_definitions` VALUES (2952, 11837, 2, 'Veckan (s)');
INSERT INTO `lang_definitions` VALUES (2953, 11841, 2, 'Vikt');
INSERT INTO `lang_definitions` VALUES (2954, 11844, 2, 'Vikt förändring');
INSERT INTO `lang_definitions` VALUES (2955, 11845, 2, 'Viktminskning');
INSERT INTO `lang_definitions` VALUES (2956, 11862, 2, 'Vad är det som räknas?');
INSERT INTO `lang_definitions` VALUES (2957, 11866, 2, 'Wheezing:');
INSERT INTO `lang_definitions` VALUES (2958, 11890, 2, 'Whiplash');
INSERT INTO `lang_definitions` VALUES (2959, 11894, 2, 'Vem');
INSERT INTO `lang_definitions` VALUES (2960, 11895, 2, 'Vem har svarat?');
INSERT INTO `lang_definitions` VALUES (2961, 11897, 2, 'Änka/änkeman');
INSERT INTO `lang_definitions` VALUES (2962, 11898, 2, 'Vidd');
INSERT INTO `lang_definitions` VALUES (2963, 11900, 2, 'Vidd i punkter på vänstra navigeringsfönstret');
INSERT INTO `lang_definitions` VALUES (2964, 11907, 2, 'Med vald:');
INSERT INTO `lang_definitions` VALUES (2965, 11908, 2, 'med det gamla namnet');
INSERT INTO `lang_definitions` VALUES (2966, 11911, 2, 'Med vem kan vi lämna ett meddelande?');
INSERT INTO `lang_definitions` VALUES (2967, 11912, 2, 'Återtagen/innehållen');
INSERT INTO `lang_definitions` VALUES (2968, 11913, 2, 'inom några timmar');
INSERT INTO `lang_definitions` VALUES (2969, 11914, 2, 'inom några timmar:');
INSERT INTO `lang_definitions` VALUES (2970, 11915, 2, 'inom några minuter');
INSERT INTO `lang_definitions` VALUES (2971, 11916, 2, 'inom några minuter:');
INSERT INTO `lang_definitions` VALUES (2972, 11919, 2, 'Utan Updatering');
INSERT INTO `lang_definitions` VALUES (2973, 11920, 2, 'vittne');
INSERT INTO `lang_definitions` VALUES (2974, 11924, 2, 'Kvinnor');
INSERT INTO `lang_definitions` VALUES (2975, 11925, 2, 'Enbart kvinnor');
INSERT INTO `lang_definitions` VALUES (2976, 11927, 2, 'Arbete');
INSERT INTO `lang_definitions` VALUES (2977, 11929, 2, 'Telefon, arbete');
INSERT INTO `lang_definitions` VALUES (2978, 11930, 2, 'Telefon, Arbete, Nummer');
INSERT INTO `lang_definitions` VALUES (2979, 11931, 2, 'Arbetsrelaterat?');
INSERT INTO `lang_definitions` VALUES (2980, 11932, 2, 'Arbete/ Utbildning/ Hobby');
INSERT INTO `lang_definitions` VALUES (2981, 11933, 2, 'Arbete / Skola Anmärkning');
INSERT INTO `lang_definitions` VALUES (2982, 11934, 2, 'arbetsdag');
INSERT INTO `lang_definitions` VALUES (2983, 11941, 2, 'förvärrad');
INSERT INTO `lang_definitions` VALUES (2984, 11953, 2, 'Handled');
INSERT INTO `lang_definitions` VALUES (2985, 11954, 2, 'Handled och hand');
INSERT INTO `lang_definitions` VALUES (2986, 11955, 2, 'Handleds Problem');
INSERT INTO `lang_definitions` VALUES (2987, 11956, 2, 'skriv');
INSERT INTO `lang_definitions` VALUES (2988, 11958, 2, 'avskriva');
INSERT INTO `lang_definitions` VALUES (2989, 11967, 2, 'x inställt');
INSERT INTO `lang_definitions` VALUES (2990, 11969, 2, 'Röntgen');
INSERT INTO `lang_definitions` VALUES (2991, 11970, 2, 'Röntgen Tolkning:');
INSERT INTO `lang_definitions` VALUES (2992, 11971, 2, 'Röntgen Tolkning:');
INSERT INTO `lang_definitions` VALUES (2993, 11975, 2, 'Endast X12: Ersättningskrav');
INSERT INTO `lang_definitions` VALUES (2994, 11978, 2, 'X12 Partner');
INSERT INTO `lang_definitions` VALUES (2995, 11979, 2, 'X12 Partners');
INSERT INTO `lang_definitions` VALUES (2996, 11987, 2, 'Y');
INSERT INTO `lang_definitions` VALUES (2997, 11988, 2, 'år');
INSERT INTO `lang_definitions` VALUES (2998, 11989, 2, 'År');
INSERT INTO `lang_definitions` VALUES (2999, 11990, 2, 'År Visa');
INSERT INTO `lang_definitions` VALUES (3000, 11991, 2, 'År');
INSERT INTO `lang_definitions` VALUES (3001, 11996, 2, 'Ja');
INSERT INTO `lang_definitions` VALUES (3002, 11997, 2, 'JA');
INSERT INTO `lang_definitions` VALUES (3003, 11998, 2, 'ja');
INSERT INTO `lang_definitions` VALUES (3004, 11999, 2, 'JA!');
INSERT INTO `lang_definitions` VALUES (3005, 12000, 2, 'Ja, radera och logga');
INSERT INTO `lang_definitions` VALUES (3006, 12002, 2, 'Ja/Nej');
INSERT INTO `lang_definitions` VALUES (3007, 12003, 2, 'Ja:');
INSERT INTO `lang_definitions` VALUES (3008, 12008, 2, 'Du håller på att permanent ersätta den befintliga mallen. Är du säker på att du vill fortsätta?');
INSERT INTO `lang_definitions` VALUES (3009, 12012, 2, 'Det är inte tillåtet att ta bort denna händelse');
INSERT INTO `lang_definitions` VALUES (3010, 12013, 2, 'Du har inte tillåtelse att redigera den här händelsen');
INSERT INTO `lang_definitions` VALUES (3011, 12014, 2, 'Du har inte behörighet för detta.');
INSERT INTO `lang_definitions` VALUES (3012, 12016, 2, 'Du har inte behörighet att komma åt den här gruppen.');
INSERT INTO `lang_definitions` VALUES (3013, 12017, 2, 'Du har inte behörighet att lägga till / redigera frågor');
INSERT INTO `lang_definitions` VALUES (3014, 12019, 2, 'Du har inte behörighet att se det här mötet.');
INSERT INTO `lang_definitions` VALUES (3015, 12038, 2, 'Du kan inte komma åt denna funktion direkt.');
INSERT INTO `lang_definitions` VALUES (3016, 12050, 2, 'Du kan inte komma åt den här sidan direkt.');
INSERT INTO `lang_definitions` VALUES (3017, 12057, 2, 'Du har inte valt några åtgärder.');
INSERT INTO `lang_definitions` VALUES (3018, 12058, 2, 'Du har inte behörighet att se / redigera denna anmärkning');
INSERT INTO `lang_definitions` VALUES (3019, 12090, 2, 'Du måste först välja eller lägga till en patient.');
INSERT INTO `lang_definitions` VALUES (3020, 12091, 2, 'Du måste först välja eller skapa ett möte.');
INSERT INTO `lang_definitions` VALUES (3021, 12094, 2, 'Du måste välja några områden för att fortsätta.');
INSERT INTO `lang_definitions` VALUES (3022, 12122, 2, 'Ditt slutdatum är ogiltig');
INSERT INTO `lang_definitions` VALUES (3023, 12123, 2, 'Din händelse har strukits.');
INSERT INTO `lang_definitions` VALUES (3024, 12124, 2, 'Din händelse har ändrats.');
INSERT INTO `lang_definitions` VALUES (3025, 12125, 2, 'Din händelse har lämnats in.');
INSERT INTO `lang_definitions` VALUES (3026, 12132, 2, 'Din namnlista har ändrats för att uppfylla namngivnings krav.');
INSERT INTO `lang_definitions` VALUES (3027, 12146, 2, 'Din Post Kalender konfiguration har återställts att använda standardvärden.');
INSERT INTO `lang_definitions` VALUES (3028, 12147, 2, 'Din Post Kalender konfiguration har uppdaterats.');
INSERT INTO `lang_definitions` VALUES (3029, 12148, 2, 'Den upprepade frekvens måste vara ett heltal.');
INSERT INTO `lang_definitions` VALUES (3030, 12149, 2, 'Den upprepade frekvensen måste vara minst 1.');
INSERT INTO `lang_definitions` VALUES (3031, 12151, 2, 'Ditt startdatum är större än ditt slutdatum');
INSERT INTO `lang_definitions` VALUES (3032, 12152, 2, 'Ditt startdatum är ogiltig');
INSERT INTO `lang_definitions` VALUES (3033, 12153, 2, 'Ditt förslag misslyckats.');
INSERT INTO `lang_definitions` VALUES (3034, 12156, 2, 'åååå-mm-dd');
INSERT INTO `lang_definitions` VALUES (3035, 12158, 2, 'åååå-mm-dd dag är förknippade med detta dokument');
INSERT INTO `lang_definitions` VALUES (3036, 12160, 2, 'åååå-mm-dd födelsedatum');
INSERT INTO `lang_definitions` VALUES (3037, 12161, 2, 'åååå-mm-dd Födelsedatum');
INSERT INTO `lang_definitions` VALUES (3038, 12162, 2, 'ååå-mm-dd datum för utlöpande');
INSERT INTO `lang_definitions` VALUES (3039, 12163, 2, 'åååå-mm-dd Datum för uppkomsten eller sjukhusvistelse');
INSERT INTO `lang_definitions` VALUES (3040, 12164, 2, 'åååå-mm-dd datum debut, kirurgi eller början av medicinering');
INSERT INTO `lang_definitions` VALUES (3041, 12166, 2, 'åååå-mm-dd dagen för tillfrisknande eller slutet av medicinering');
INSERT INTO `lang_definitions` VALUES (3042, 12168, 2, 'åååå-mm-dd Delgivningsdatum');
INSERT INTO `lang_definitions` VALUES (3043, 12169, 2, 'åååå-mm-dd dagen för denna skrivelse');
INSERT INTO `lang_definitions` VALUES (3044, 12171, 2, 'åååå-mm-dd dokumentets datum');
INSERT INTO `lang_definitions` VALUES (3045, 12173, 2, 'åååå-mm-dd händelse datum eller startdatum');
INSERT INTO `lang_definitions` VALUES (3046, 12180, 2, 'åååå-mm-dd sista datum för detta evenemang');
INSERT INTO `lang_definitions` VALUES (3047, 12186, 2, 'noll');
INSERT INTO `lang_definitions` VALUES (3048, 12188, 2, 'postadress');
INSERT INTO `lang_definitions` VALUES (3049, 12189, 2, 'postnummer');
INSERT INTO `lang_definitions` VALUES (3050, 12191, 2, 'land');
INSERT INTO `lang_definitions` VALUES (3051, 12197, 2, 'men var');
INSERT INTO `lang_definitions` VALUES (3052, 12198, 2, 'gick inte att komma åt');
INSERT INTO `lang_definitions` VALUES (3053, 12199, 2, 'Vill du verkligen radera');
INSERT INTO `lang_definitions` VALUES (3054, 12200, 2, 'läkemedel');
INSERT INTO `lang_definitions` VALUES (3055, 12201, 2, 'e-postmeddelande ej skickat');
INSERT INTO `lang_definitions` VALUES (3056, 12202, 2, 'från');
INSERT INTO `lang_definitions` VALUES (3057, 12203, 2, 'har skapats');
INSERT INTO `lang_definitions` VALUES (3058, 12204, 2, 'har återupptagits');
INSERT INTO `lang_definitions` VALUES (3059, 12205, 2, 'Historia');
INSERT INTO `lang_definitions` VALUES (3060, 12206, 2, 'är inget nummer');
INSERT INTO `lang_definitions` VALUES (3061, 12207, 2, 'är redo för ny fakturering');
INSERT INTO `lang_definitions` VALUES (3062, 12208, 2, 'LLL:');
INSERT INTO `lang_definitions` VALUES (3063, 12209, 2, 'Batchnr');
INSERT INTO `lang_definitions` VALUES (3064, 12210, 2, 'Medicaid orginal referensnr.');
INSERT INTO `lang_definitions` VALUES (3065, 12212, 2, 'finns ej!');
INSERT INTO `lang_definitions` VALUES (3066, 12215, 2, 'Tills');
INSERT INTO `lang_definitions` VALUES (3067, 12216, 2, 'Uppdateringen misslyckades, inte i databasen?');
INSERT INTO `lang_definitions` VALUES (3068, 12217, 2, 'präglades som faktureras endast.');
INSERT INTO `lang_definitions` VALUES (3069, 12218, 2, 'var kö framgångsrikt.');
INSERT INTO `lang_definitions` VALUES (3070, 12219, 2, '! Lämnat utan besök');
INSERT INTO `lang_definitions` VALUES (3071, 12220, 2, '\" För kod');
INSERT INTO `lang_definitions` VALUES (3072, 12221, 2, '\" Kontrolleras PostCalendar Inställningar!');
INSERT INTO `lang_definitions` VALUES (3073, 12224, 2, 'kr');
INSERT INTO `lang_definitions` VALUES (3074, 12225, 2, 'Kodningen av kronor är färdig');
INSERT INTO `lang_definitions` VALUES (3075, 12226, 2, '$ etikett (åååå-mm-dd):');
INSERT INTO `lang_definitions` VALUES (3076, 12227, 2, '%');
INSERT INTO `lang_definitions` VALUES (3077, 12229, 2, '% Annullerat <24h');
INSERT INTO `lang_definitions` VALUES (3078, 12230, 2, 'bör finnas, men finns inte.');
INSERT INTO `lang_definitions` VALUES (3079, 12231, 2, '(% Matchar alla strängar, _ matchar alla tecken)');
INSERT INTO `lang_definitions` VALUES (3080, 12233, 2, '(Tillbaka)');
INSERT INTO `lang_definitions` VALUES (3081, 12234, 2, '(Klicka för att redigera)');
INSERT INTO `lang_definitions` VALUES (3082, 12236, 2, '(Mer)');
INSERT INTO `lang_definitions` VALUES (3083, 12237, 2, '(Ny Patient)');
INSERT INTO `lang_definitions` VALUES (3084, 12238, 2, '(Anteckningar och Auktoriseringar)');
INSERT INTO `lang_definitions` VALUES (3085, 12239, 2, '(Patient anteckningar)');
INSERT INTO `lang_definitions` VALUES (3086, 12240, 2, '(Välj ett av dessa, eller skriv din egen rubrik)');
INSERT INTO `lang_definitions` VALUES (3087, 12242, 2, '* Påminnelse skickad');
INSERT INTO `lang_definitions` VALUES (3088, 12243, 2, '** Gör om kirurgi till enheter');
INSERT INTO `lang_definitions` VALUES (3089, 12244, 2, '* Obligatorisk');
INSERT INTO `lang_definitions` VALUES (3090, 12245, 2, '+ Patientkort hämtat');
INSERT INTO `lang_definitions` VALUES (3091, 12249, 2, '- Ingen');
INSERT INTO `lang_definitions` VALUES (3092, 12251, 2, '-- Alla --');
INSERT INTO `lang_definitions` VALUES (3093, 12252, 2, '--Välj uppdrag--');
INSERT INTO `lang_definitions` VALUES (3094, 12253, 2, '.');
INSERT INTO `lang_definitions` VALUES (3095, 12254, 2, '0');
INSERT INTO `lang_definitions` VALUES (3096, 12255, 2, '0-10');
INSERT INTO `lang_definitions` VALUES (3097, 12256, 2, '0-24');
INSERT INTO `lang_definitions` VALUES (3098, 12259, 2, '1');
INSERT INTO `lang_definitions` VALUES (3099, 12260, 2, '46 = Sverige. Se http://www.wtng.info för lista på andra landskoder');
INSERT INTO `lang_definitions` VALUES (3100, 12265, 2, '1.Vila 2. Lägg på is i två dagar 3. Komprimering lämna förbandet på plats om inte foten utvecklar domningar eller blek färg 4. Ha foten och ben i Upphöjt läge.');
INSERT INTO `lang_definitions` VALUES (3101, 12266, 2, '11-14');
INSERT INTO `lang_definitions` VALUES (3102, 12267, 2, '12 hr');
INSERT INTO `lang_definitions` VALUES (3103, 12268, 2, '15-19');
INSERT INTO `lang_definitions` VALUES (3104, 12278, 2, '20-24');
INSERT INTO `lang_definitions` VALUES (3105, 12287, 2, '2111-13');
INSERT INTO `lang_definitions` VALUES (3106, 12290, 2, '25-29');
INSERT INTO `lang_definitions` VALUES (3107, 12293, 2, '2:a');
INSERT INTO `lang_definitions` VALUES (3108, 12297, 2, '3 månader');
INSERT INTO `lang_definitions` VALUES (3109, 12299, 2, '3 gånger dagligen');
INSERT INTO `lang_definitions` VALUES (3110, 12301, 2, '30-34');
INSERT INTO `lang_definitions` VALUES (3111, 12302, 2, '35-39');
INSERT INTO `lang_definitions` VALUES (3112, 12304, 2, '3:e');
INSERT INTO `lang_definitions` VALUES (3113, 12308, 2, '4 månader');
INSERT INTO `lang_definitions` VALUES (3114, 12310, 2, '4 gånger dagligen');
INSERT INTO `lang_definitions` VALUES (3115, 12312, 2, '40-44');
INSERT INTO `lang_definitions` VALUES (3116, 12313, 2, '45');
INSERT INTO `lang_definitions` VALUES (3117, 12323, 2, '4:e');
INSERT INTO `lang_definitions` VALUES (3118, 12331, 2, '5:e');
INSERT INTO `lang_definitions` VALUES (3119, 12333, 2, '6 dagar från nu');
INSERT INTO `lang_definitions` VALUES (3120, 12334, 2, '6 månader');
INSERT INTO `lang_definitions` VALUES (3121, 12335, 2, '6 månader från nu');
INSERT INTO `lang_definitions` VALUES (3122, 12336, 2, '6 veckor från nu');
INSERT INTO `lang_definitions` VALUES (3123, 12337, 2, '6:e');
INSERT INTO `lang_definitions` VALUES (3124, 12339, 2, '7 månader från nu');
INSERT INTO `lang_definitions` VALUES (3125, 12340, 2, '8 månader från nu');
INSERT INTO `lang_definitions` VALUES (3126, 12342, 2, '824.0 Sluten fraktur mediala malleolen');
INSERT INTO `lang_definitions` VALUES (3127, 12343, 2, '824.2 Sluten fraktur laterala malleolen');
INSERT INTO `lang_definitions` VALUES (3128, 12344, 2, '842.6 Sluten trimalleolarfraktur');
INSERT INTO `lang_definitions` VALUES (3129, 12345, 2, '825.32 Fraktur os naviculare (fotled)');
INSERT INTO `lang_definitions` VALUES (3130, 12346, 2, '825.35 Fraktur basen av 5:e metatarsalbenet');
INSERT INTO `lang_definitions` VALUES (3131, 12347, 2, '845.00 Stukad fotled UNS');
INSERT INTO `lang_definitions` VALUES (3132, 12348, 2, '845.01 Stukad fotled deltoideus lig.');
INSERT INTO `lang_definitions` VALUES (3133, 12349, 2, '845.02 Stukad fortled, fc-ligament');
INSERT INTO `lang_definitions` VALUES (3134, 12350, 2, '9 månader från nu');
INSERT INTO `lang_definitions` VALUES (3135, 12351, 2, '99212 Etablerade - okomplicerad');
INSERT INTO `lang_definitions` VALUES (3136, 12352, 2, '99213 Etablerade - Låg komplexitet');
INSERT INTO `lang_definitions` VALUES (3137, 12353, 2, '< I undersökningsrummet');
INSERT INTO `lang_definitions` VALUES (3138, 12357, 2, '> Avslutat');
INSERT INTO `lang_definitions` VALUES (3139, 12359, 2, '?');
INSERT INTO `lang_definitions` VALUES (3140, 12361, 2, '? Har ej dykt upp på avtalad tid');
INSERT INTO `lang_definitions` VALUES (3141, 12362, 2, 'Anlänt');
INSERT INTO `lang_definitions` VALUES (3142, 12364, 2, '[Ändra vy]');
INSERT INTO `lang_definitions` VALUES (3143, 12365, 2, '[Datum för senaste mötet]');
INSERT INTO `lang_definitions` VALUES (3144, 12366, 2, '[Dagar sedan senaste mötet]');
INSERT INTO `lang_definitions` VALUES (3145, 12369, 2, '[rekommenderas inte]');
INSERT INTO `lang_definitions` VALUES (3146, 12370, 2, '[Antalet möten]');
INSERT INTO `lang_definitions` VALUES (3147, 12371, 2, '[Rapporter]');
INSERT INTO `lang_definitions` VALUES (3148, 12372, 2, '[Markera alla]');
INSERT INTO `lang_definitions` VALUES (3149, 12373, 2, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (3150, 12374, 2, '[Starta batchprocess]');
INSERT INTO `lang_definitions` VALUES (3151, 12375, 2, '[Titta på logg]');
INSERT INTO `lang_definitions` VALUES (3152, 12376, 2, '[Se utskrivbar rapport]');
INSERT INTO `lang_definitions` VALUES (3153, 12378, 2, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (3154, 12379, 2, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (3155, 12380, 2, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (3156, 12381, 2, '~ Kommit sent');
INSERT INTO `lang_definitions` VALUES (3157, 1, 3, 'Un, Una');
INSERT INTO `lang_definitions` VALUES (3158, 2, 3, 'Un número de cheque o reclamación para identificar el pago');
INSERT INTO `lang_definitions` VALUES (3159, 3, 3, 'Debe escoger una reclamación para activar este menú');
INSERT INTO `lang_definitions` VALUES (3160, 4, 3, 'Un certificado de cliente para el usuario administrador');
INSERT INTO `lang_definitions` VALUES (3161, 6, 3, 'Adjunto está un documento clínico.');
INSERT INTO `lang_definitions` VALUES (3162, 7, 3, 'Adjunto está un documento clínico.');
INSERT INTO `lang_definitions` VALUES (3163, 8, 3, 'Un código de este tipo ya ha sido seleccionado. Elimínelo del campo si necesita reemplazarlo.');
INSERT INTO `lang_definitions` VALUES (3164, 10, 3, 'Necesita adquirir una clave de seguridad privada');
INSERT INTO `lang_definitions` VALUES (3165, 11, 3, 'Un código por defecto es opcional, ya que el código necesario puede ser introducido en el momento de crear la orden');
INSERT INTO `lang_definitions` VALUES (3166, 12, 3, 'Aquí puede encontrar una guía detallada acerca de cómo activar y establecer una regla de Decisión Clínica');
INSERT INTO `lang_definitions` VALUES (3167, 13, 3, 'Se requiere un distribuidor');
INSERT INTO `lang_definitions` VALUES (3168, 17, 3, 'Formulario de visita GCAC debe ser agregado a esta visita');
INSERT INTO `lang_definitions` VALUES (3169, 20, 3, 'Un número de lote es requerido');
INSERT INTO `lang_definitions` VALUES (3170, 21, 3, 'Un número de lote es requerido!');
INSERT INTO `lang_definitions` VALUES (3171, 22, 3, 'Una letra minúscula');
INSERT INTO `lang_definitions` VALUES (3172, 23, 3, 'Una nueva cita');
INSERT INTO `lang_definitions` VALUES (3173, 28, 3, 'Un número');
INSERT INTO `lang_definitions` VALUES (3174, 29, 3, 'Debe seleccionar un paciente para generar un reporte');
INSERT INTO `lang_definitions` VALUES (3175, 30, 3, 'Un paciente con ese Nº ID ya existe');
INSERT INTO `lang_definitions` VALUES (3176, 31, 3, 'Un paciente con este nombre ya existe.');
INSERT INTO `lang_definitions` VALUES (3177, 32, 3, 'Un paciente con este Nº Seguridad Social ya existe');
INSERT INTO `lang_definitions` VALUES (3178, 33, 3, '¡Se requiere un pago! Por favor introduzca un concepto de pago');
INSERT INTO `lang_definitions` VALUES (3179, 34, 3, 'Un lugar donde documentar y mostrar el historial médico del paciente, familiar, y personal');
INSERT INTO `lang_definitions` VALUES (3180, 35, 3, 'Una notificación le alertará del éxito o fallo.');
INSERT INTO `lang_definitions` VALUES (3181, 36, 3, 'Un número positivo mostrará tantas citas pasadas en un Widget en la pantalla de resumen del cliente (un número negativo mostrará las citas pasadas en orden descendente)');
INSERT INTO `lang_definitions` VALUES (3182, 37, 3, 'Un número positivo mostrará tantas citas pasadas en un Widget en la pantalla de resumen del cliente (un número negativo mostrará las citas pasadas en orden descendente)');
INSERT INTO `lang_definitions` VALUES (3183, 38, 3, 'Un producto fue seleccionado pero no hay una sección de productos en este formulario');
INSERT INTO `lang_definitions` VALUES (3184, 39, 3, 'Puede seleccionar un proveedor o un almacén en el menú desplegable. Para que se muestre esta opción, \"Support provider in line item in fee sheet\" tiene que ser seleccionado en \"Administración > Globales > Página de facturación');
INSERT INTO `lang_definitions` VALUES (3185, 41, 3, 'Una derivación tiene una acción adicional - imprimir la derivación o guardarla como un fichero pdf');
INSERT INTO `lang_definitions` VALUES (3186, 42, 3, 'Una derivación es el tipo de transacción más común');
INSERT INTO `lang_definitions` VALUES (3187, 43, 3, 'Una fuente de derivación puede ser especificada para cada visita');
INSERT INTO `lang_definitions` VALUES (3188, 44, 3, 'Un código IPPF relacionado es requerido!');
INSERT INTO `lang_definitions` VALUES (3189, 45, 3, 'Se requiere una conexión web segura (HTTPS)  para U2F');
INSERT INTO `lang_definitions` VALUES (3190, 46, 3, 'Una breve descripción del grupo aparecerá cuando coloque le cursor sobre un grupo recién creado (ARO)');
INSERT INTO `lang_definitions` VALUES (3191, 47, 3, 'Una descripción breve de este grupo, pruebas de química de Serum');
INSERT INTO `lang_definitions` VALUES (3192, 48, 3, 'Una descripción breve del procedimiento o el código obtenido');
INSERT INTO `lang_definitions` VALUES (3193, 49, 3, 'Un carácter especial');
INSERT INTO `lang_definitions` VALUES (3194, 50, 3, 'Un formulario estandarizado llamado Formulario de Reclamación del Seguro se usa para enviar reclamaciones');
INSERT INTO `lang_definitions` VALUES (3195, 51, 3, 'Una tercera alternativa es escanear los resultados y guardarlos como un documento TIFF, JPEG, o PDF, en el gráfico del paciente bajo documentos');
INSERT INTO `lang_definitions` VALUES (3196, 53, 3, 'Un valor único para identificar este campo, no visible al usuario');
INSERT INTO `lang_definitions` VALUES (3197, 55, 3, 'Ya existe una visita para ese grupo hoy. Haga click en Cancelar para abrirla, o en OK para crear una nueva.');
INSERT INTO `lang_definitions` VALUES (3198, 56, 3, 'Ya existe una visita para este paciente hoy. Haga click en Cancelar para abrirla, o en OK para crear una nueva');
INSERT INTO `lang_definitions` VALUES (3199, 57, 3, 'antes de las comidas');
INSERT INTO `lang_definitions` VALUES (3200, 58, 3, 'a.m.');
INSERT INTO `lang_definitions` VALUES (3201, 60, 3, 'A/F Nivel de Derecho:');
INSERT INTO `lang_definitions` VALUES (3202, 62, 3, 'AB');
INSERT INTO `lang_definitions` VALUES (3203, 63, 3, 'Abreviatura');
INSERT INTO `lang_definitions` VALUES (3204, 64, 3, 'Abceso:');
INSERT INTO `lang_definitions` VALUES (3205, 65, 3, 'Abdominal');
INSERT INTO `lang_definitions` VALUES (3206, 66, 3, 'Capaz de cargar peso cuatro (4) pasos:');
INSERT INTO `lang_definitions` VALUES (3207, 67, 3, 'Anormal');
INSERT INTO `lang_definitions` VALUES (3208, 68, 3, 'ABN1');
INSERT INTO `lang_definitions` VALUES (3209, 69, 3, 'ABNL');
INSERT INTO `lang_definitions` VALUES (3210, 70, 3, 'Anormal');
INSERT INTO `lang_definitions` VALUES (3211, 71, 3, 'Análisis de sangre anormal');
INSERT INTO `lang_definitions` VALUES (3212, 72, 3, 'Crecimiento anormal del pelo');
INSERT INTO `lang_definitions` VALUES (3213, 73, 3, 'Mamografía anormal');
INSERT INTO `lang_definitions` VALUES (3214, 74, 3, 'Abortar');
INSERT INTO `lang_definitions` VALUES (3215, 75, 3, 'Aborto');
INSERT INTO `lang_definitions` VALUES (3216, 76, 3, 'Problemas del Aborto');
INSERT INTO `lang_definitions` VALUES (3217, 77, 3, 'Método abortivo');
INSERT INTO `lang_definitions` VALUES (3218, 78, 3, 'Categorías relacionadas al Aborto');
INSERT INTO `lang_definitions` VALUES (3219, 79, 3, 'Abortos');
INSERT INTO `lang_definitions` VALUES (3220, 80, 3, 'Acerca de');
INSERT INTO `lang_definitions` VALUES (3221, 81, 3, 'Acerca del panel de control del portal');
INSERT INTO `lang_definitions` VALUES (3222, 82, 3, 'Acerca del calendario');
INSERT INTO `lang_definitions` VALUES (3223, 83, 3, 'Acerca de su portala');
INSERT INTO `lang_definitions` VALUES (3224, 84, 3, 'Por encima de los límites de pánico');
INSERT INTO `lang_definitions` VALUES (3225, 85, 3, 'Ausencias por Diagnóstico');
INSERT INTO `lang_definitions` VALUES (3226, 86, 3, 'Aceptar');
INSERT INTO `lang_definitions` VALUES (3227, 87, 3, 'Aceptar la tarea');
INSERT INTO `lang_definitions` VALUES (3228, 88, 3, 'Aceptar pago');
INSERT INTO `lang_definitions` VALUES (3229, 89, 3, 'Aceptar pago por');
INSERT INTO `lang_definitions` VALUES (3230, 90, 3, 'Aceptar Pago por');
INSERT INTO `lang_definitions` VALUES (3231, 91, 3, 'Acepta la tarea');
INSERT INTO `lang_definitions` VALUES (3232, 92, 3, 'Se puede dar acceso a otros grupo editando Membresías o Grupos del Usuario y controles de acceso en Administracion > ACL');
INSERT INTO `lang_definitions` VALUES (3233, 93, 3, 'Control de acceso');
INSERT INTO `lang_definitions` VALUES (3234, 94, 3, 'Administración de la Lista de Control de Acceso');
INSERT INTO `lang_definitions` VALUES (3235, 95, 3, 'Ayuda para la Lista de control de acceso');
INSERT INTO `lang_definitions` VALUES (3236, 96, 3, 'Listas de control de acceso');
INSERT INTO `lang_definitions` VALUES (3237, 98, 3, 'Fecha de acceso');
INSERT INTO `lang_definitions` VALUES (3238, 99, 3, 'Acceso denegado');
INSERT INTO `lang_definitions` VALUES (3239, 101, 3, 'acceso no permitido');
INSERT INTO `lang_definitions` VALUES (3240, 102, 3, 'Acceso no permitido');
INSERT INTO `lang_definitions` VALUES (3241, 103, 3, 'Acceso no autorizado');
INSERT INTO `lang_definitions` VALUES (3242, 104, 3, 'Acceda a sus registros médicos');
INSERT INTO `lang_definitions` VALUES (3243, 105, 3, 'Acceder al Portal del Paciente');
INSERT INTO `lang_definitions` VALUES (3244, 106, 3, 'Accidente');
INSERT INTO `lang_definitions` VALUES (3245, 107, 3, 'Cuenta');
INSERT INTO `lang_definitions` VALUES (3246, 112, 3, 'Cuenta validada. ¿Enviar credenciales nuevas?');
INSERT INTO `lang_definitions` VALUES (3247, 113, 3, 'Nombre de la Cuenta');
INSERT INTO `lang_definitions` VALUES (3248, 114, 3, 'Nombre de cuenta emitido para NewCrop eRx service.');
INSERT INTO `lang_definitions` VALUES (3249, 115, 3, 'Contraseña de cuenta emitida para NewCrop eRx service.');
INSERT INTO `lang_definitions` VALUES (3250, 117, 3, 'Contabilidad');
INSERT INTO `lang_definitions` VALUES (3251, 118, 3, 'Contabilidad');
INSERT INTO `lang_definitions` VALUES (3252, 119, 3, 'Contabilidad');
INSERT INTO `lang_definitions` VALUES (3253, 120, 3, 'Contab.');
INSERT INTO `lang_definitions` VALUES (3254, 121, 3, 'ACD{{profundidad de camara anterior}}');
INSERT INTO `lang_definitions` VALUES (3255, 122, 3, 'Dolores');
INSERT INTO `lang_definitions` VALUES (3256, 123, 3, 'Reconocer como mi firma electrónica');
INSERT INTO `lang_definitions` VALUES (3257, 124, 3, 'Solicitud de reconocimiento (ISA14)');
INSERT INTO `lang_definitions` VALUES (3258, 125, 3, 'Reconocimientos, Licencias y Certificaciones');
INSERT INTO `lang_definitions` VALUES (3259, 126, 3, 'ACL');
INSERT INTO `lang_definitions` VALUES (3260, 127, 3, 'Administración del ACL');
INSERT INTO `lang_definitions` VALUES (3261, 128, 3, 'Administración del ACL (ACL)');
INSERT INTO `lang_definitions` VALUES (3262, 129, 3, 'Administración del ACL no autorizada');
INSERT INTO `lang_definitions` VALUES (3263, 131, 3, 'ACL Control de Grano Fino');
INSERT INTO `lang_definitions` VALUES (3264, 132, 3, 'ACL actualizada exitósamente');
INSERT INTO `lang_definitions` VALUES (3265, 133, 3, 'Acné');
INSERT INTO `lang_definitions` VALUES (3266, 134, 3, 'ACO');
INSERT INTO `lang_definitions` VALUES (3267, 135, 3, 'ACOM{{Segmento anterior}}');
INSERT INTO `lang_definitions` VALUES (3268, 136, 3, 'Acta');
INSERT INTO `lang_definitions` VALUES (3269, 137, 3, 'Fecha de Acta');
INSERT INTO `lang_definitions` VALUES (3270, 138, 3, 'Acción');
INSERT INTO `lang_definitions` VALUES (3271, 139, 3, 'Acción tomada');
INSERT INTO `lang_definitions` VALUES (3272, 140, 3, 'Tiempo de la acción tomada');
INSERT INTO `lang_definitions` VALUES (3273, 141, 3, 'Usuario de la acción');
INSERT INTO `lang_definitions` VALUES (3274, 142, 3, 'Acciones');
INSERT INTO `lang_definitions` VALUES (3275, 143, 3, 'Activar');
INSERT INTO `lang_definitions` VALUES (3276, 144, 3, 'Activar Reportes CCR/CCD');
INSERT INTO `lang_definitions` VALUES (3277, 145, 3, 'Activar para ordenar columnas en orden ascendente');
INSERT INTO `lang_definitions` VALUES (3278, 146, 3, 'Activar para ordenar columnas en orden descendente');
INSERT INTO `lang_definitions` VALUES (3279, 147, 3, 'Activar soporte de reclamación UB04/837I');
INSERT INTO `lang_definitions` VALUES (3280, 148, 3, 'Activo');
INSERT INTO `lang_definitions` VALUES (3281, 150, 3, 'Alerta Activa');
INSERT INTO `lang_definitions` VALUES (3282, 152, 3, 'Reglas de Alerta Activa');
INSERT INTO `lang_definitions` VALUES (3283, 153, 3, 'Alertas activas/Recordatorios');
INSERT INTO `lang_definitions` VALUES (3284, 154, 3, 'Gráfica activa');
INSERT INTO `lang_definitions` VALUES (3285, 158, 3, 'Visita Activa');
INSERT INTO `lang_definitions` VALUES (3286, 159, 3, 'Códigos de problemas activos');
INSERT INTO `lang_definitions` VALUES (3287, 160, 3, 'Listas Activas');
INSERT INTO `lang_definitions` VALUES (3288, 161, 3, 'Mensajes activos');
INSERT INTO `lang_definitions` VALUES (3289, 162, 3, 'Paciente Activo');
INSERT INTO `lang_definitions` VALUES (3290, 163, 3, 'Planes Activos');
INSERT INTO `lang_definitions` VALUES (3291, 164, 3, 'Plantillas Activas');
INSERT INTO `lang_definitions` VALUES (3292, 173, 3, 'Actividad');
INSERT INTO `lang_definitions` VALUES (3293, 174, 3, 'Tipo de Actividad');
INSERT INTO `lang_definitions` VALUES (3294, 176, 3, 'Agudeza');
INSERT INTO `lang_definitions` VALUES (3295, 177, 3, 'AGUDEZA');
INSERT INTO `lang_definitions` VALUES (3296, 187, 3, 'Agudo en Crónico');
INSERT INTO `lang_definitions` VALUES (3297, 189, 3, 'Añadir');
INSERT INTO `lang_definitions` VALUES (3298, 190, 3, 'añadir');
INSERT INTO `lang_definitions` VALUES (3299, 191, 3, 'AÑADIR');
INSERT INTO `lang_definitions` VALUES (3300, 192, 3, 'Añadir una Sociedad');
INSERT INTO `lang_definitions` VALUES (3301, 193, 3, 'Añadir condición médica');
INSERT INTO `lang_definitions` VALUES (3302, 197, 3, 'Añadir una Farmacia');
INSERT INTO `lang_definitions` VALUES (3303, 199, 3, 'Añadir todas las reglas al plan');
INSERT INTO `lang_definitions` VALUES (3304, 200, 3, 'Añadir un evento para');
INSERT INTO `lang_definitions` VALUES (3305, 201, 3, 'Añadir como mensaje nuevo');
INSERT INTO `lang_definitions` VALUES (3306, 202, 3, 'Añadir como nueva nota');
INSERT INTO `lang_definitions` VALUES (3307, 203, 3, 'Añadir como Nuevo');
INSERT INTO `lang_definitions` VALUES (3308, 204, 3, 'Añadir como nuevo paciente');
INSERT INTO `lang_definitions` VALUES (3309, 206, 3, 'Agregar Botones');
INSERT INTO `lang_definitions` VALUES (3310, 207, 3, 'Agregar botones para caracteres especiales, Textos serán mostrados sobre el editor para incluir en el texto con un Click.');
INSERT INTO `lang_definitions` VALUES (3311, 208, 3, 'Añadir Categoría');
INSERT INTO `lang_definitions` VALUES (3312, 209, 3, 'Añadir Constante');
INSERT INTO `lang_definitions` VALUES (3313, 210, 3, 'Añadir Contexto');
INSERT INTO `lang_definitions` VALUES (3314, 211, 3, 'Añadir Co-pago');
INSERT INTO `lang_definitions` VALUES (3315, 212, 3, 'Añadir Criterios');
INSERT INTO `lang_definitions` VALUES (3316, 213, 3, 'Añadir Botón Personalizado');
INSERT INTO `lang_definitions` VALUES (3317, 216, 3, 'Añadir Diagnóstico');
INSERT INTO `lang_definitions` VALUES (3318, 217, 3, 'Añadir Medicamento');
INSERT INTO `lang_definitions` VALUES (3319, 218, 3, 'Añadir Editar Transacciones Ayuda');
INSERT INTO `lang_definitions` VALUES (3320, 219, 3, 'Añadir visita');
INSERT INTO `lang_definitions` VALUES (3321, 220, 3, 'Añadir Visita');
INSERT INTO `lang_definitions` VALUES (3322, 221, 3, 'Añadir Visita/notas');
INSERT INTO `lang_definitions` VALUES (3323, 222, 3, 'Añadir Centro');
INSERT INTO `lang_definitions` VALUES (3324, 223, 3, 'Añadir Campo');
INSERT INTO `lang_definitions` VALUES (3325, 224, 3, 'Añadir las siguientes líneas al fichero de configuración de Apache');
INSERT INTO `lang_definitions` VALUES (3326, 225, 3, 'Añadir Grupo');
INSERT INTO `lang_definitions` VALUES (3327, 226, 3, 'Añadir grupo');
INSERT INTO `lang_definitions` VALUES (3328, 227, 3, 'Añadir Código CIE');
INSERT INTO `lang_definitions` VALUES (3329, 228, 3, 'Agregar Vacunación');
INSERT INTO `lang_definitions` VALUES (3330, 229, 3, 'Añadir no permitido!');
INSERT INTO `lang_definitions` VALUES (3331, 230, 3, 'Añadir Incidencia');
INSERT INTO `lang_definitions` VALUES (3332, 231, 3, 'Añadir objeto a seguir');
INSERT INTO `lang_definitions` VALUES (3333, 232, 3, 'Añadir Idioma');
INSERT INTO `lang_definitions` VALUES (3334, 234, 3, 'Añadir manualmente');
INSERT INTO `lang_definitions` VALUES (3335, 235, 3, 'Añadir Modo');
INSERT INTO `lang_definitions` VALUES (3336, 236, 3, 'Añadir modificadores para este tipo de campo. Puede seleccionar más de uno.');
INSERT INTO `lang_definitions` VALUES (3337, 237, 3, 'Añadir más artículos');
INSERT INTO `lang_definitions` VALUES (3338, 238, 3, 'Añadir Nuevo');
INSERT INTO `lang_definitions` VALUES (3339, 239, 3, 'Añadir nuevo');
INSERT INTO `lang_definitions` VALUES (3340, 240, 3, 'Añadir nueva categoría:');
INSERT INTO `lang_definitions` VALUES (3341, 241, 3, 'Añadir nuevos Certificados al fichero de configuración de Apache');
INSERT INTO `lang_definitions` VALUES (3342, 242, 3, 'Añadir nuevo componente');
INSERT INTO `lang_definitions` VALUES (3343, 243, 3, 'Añadir nuevos componentes');
INSERT INTO `lang_definitions` VALUES (3344, 244, 3, 'Añadir nueva base de datos');
INSERT INTO `lang_definitions` VALUES (3345, 245, 3, 'Añadir nueva entrada');
INSERT INTO `lang_definitions` VALUES (3346, 246, 3, 'Añadir nuevo evento');
INSERT INTO `lang_definitions` VALUES (3347, 248, 3, 'AÑADIR NUEVO GRUPO');
INSERT INTO `lang_definitions` VALUES (3348, 249, 3, 'Añadir Nuevo Grupo');
INSERT INTO `lang_definitions` VALUES (3349, 250, 3, 'Añadir nuevo problema');
INSERT INTO `lang_definitions` VALUES (3350, 251, 3, 'Añadir nuevo lote y transacción');
INSERT INTO `lang_definitions` VALUES (3351, 252, 3, 'Añadir nuevo mensaje');
INSERT INTO `lang_definitions` VALUES (3352, 253, 3, 'Añadir Nueva Nota');
INSERT INTO `lang_definitions` VALUES (3353, 254, 3, 'Añadir nueva nota');
INSERT INTO `lang_definitions` VALUES (3354, 255, 3, 'Añadir Nuevo Socio');
INSERT INTO `lang_definitions` VALUES (3355, 256, 3, 'Añadir Nuevo Paciente');
INSERT INTO `lang_definitions` VALUES (3356, 257, 3, 'AÑADIR NUEVO PLAN');
INSERT INTO `lang_definitions` VALUES (3357, 258, 3, 'Añadir Nuevo...');
INSERT INTO `lang_definitions` VALUES (3358, 264, 3, 'Añadir Nota');
INSERT INTO `lang_definitions` VALUES (3359, 265, 3, 'Añadir actividad al portal Onsite');
INSERT INTO `lang_definitions` VALUES (3360, 266, 3, 'Añadir Paquete');
INSERT INTO `lang_definitions` VALUES (3361, 267, 3, 'Añadir Paciente');
INSERT INTO `lang_definitions` VALUES (3362, 268, 3, 'Añadir Registro de Paciente');
INSERT INTO `lang_definitions` VALUES (3363, 269, 3, 'Añadir Receta');
INSERT INTO `lang_definitions` VALUES (3364, 270, 3, 'Añadir procedimiento');
INSERT INTO `lang_definitions` VALUES (3365, 271, 3, 'Añadir numero del proveedor');
INSERT INTO `lang_definitions` VALUES (3366, 272, 3, 'Añadir retiro');
INSERT INTO `lang_definitions` VALUES (3367, 273, 3, 'Añadir Rehabilitación');
INSERT INTO `lang_definitions` VALUES (3368, 274, 3, 'Añadir Regla');
INSERT INTO `lang_definitions` VALUES (3369, 276, 3, 'Añadir hora a la fecha');
INSERT INTO `lang_definitions` VALUES (3370, 277, 3, 'Añadir a');
INSERT INTO `lang_definitions` VALUES (3371, 278, 3, 'AÑADIR A MENSAJE EXISTENTE');
INSERT INTO `lang_definitions` VALUES (3372, 279, 3, 'Añadir a mensaje existente');
INSERT INTO `lang_definitions` VALUES (3373, 280, 3, 'Añadir a lista de Medicación');
INSERT INTO `lang_definitions` VALUES (3374, 281, 3, 'Añadir a Lista de Medicación');
INSERT INTO `lang_definitions` VALUES (3375, 282, 3, 'Añadir Nivel Superior');
INSERT INTO `lang_definitions` VALUES (3376, 283, 3, 'Añadir Transacción');
INSERT INTO `lang_definitions` VALUES (3377, 284, 3, 'Añadir Usuario');
INSERT INTO `lang_definitions` VALUES (3378, 285, 3, 'Añadir Usuario al Grupo');
INSERT INTO `lang_definitions` VALUES (3379, 287, 3, 'Añadir/Editar Receta electrónica');
INSERT INTO `lang_definitions` VALUES (3380, 288, 3, 'Añadir/Editar problema');
INSERT INTO `lang_definitions` VALUES (3381, 289, 3, 'Añadir/Editar Transacción de paciente');
INSERT INTO `lang_definitions` VALUES (3382, 290, 3, 'Añadido');
INSERT INTO `lang_definitions` VALUES (3383, 291, 3, 'Añadiendo');
INSERT INTO `lang_definitions` VALUES (3384, 292, 3, 'Añadiendo un participante');
INSERT INTO `lang_definitions` VALUES (3385, 293, 3, 'Añadir datos demográficos no autorizado.');
INSERT INTO `lang_definitions` VALUES (3386, 295, 3, 'Síndrome de Addison');
INSERT INTO `lang_definitions` VALUES (3387, 296, 3, 'Síndrome de Addison');
INSERT INTO `lang_definitions` VALUES (3388, 297, 3, 'Atributos adicionales');
INSERT INTO `lang_definitions` VALUES (3389, 299, 3, 'Fecha adicional:');
INSERT INTO `lang_definitions` VALUES (3390, 300, 3, 'Diagnóstico adicional:');
INSERT INTO `lang_definitions` VALUES (3391, 305, 3, 'Historia Adicional');
INSERT INTO `lang_definitions` VALUES (3392, 306, 3, 'Notas adicionales a la historia');
INSERT INTO `lang_definitions` VALUES (3393, 307, 3, 'Información adicional');
INSERT INTO `lang_definitions` VALUES (3394, 310, 3, 'Laboratorios adicionales');
INSERT INTO `lang_definitions` VALUES (3395, 311, 3, 'Notas adicionales');
INSERT INTO `lang_definitions` VALUES (3396, 314, 3, 'Notas adicionales:');
INSERT INTO `lang_definitions` VALUES (3397, 315, 3, 'Notas adicionales:');
INSERT INTO `lang_definitions` VALUES (3398, 317, 3, 'Notas de Rayos X adicionales:');
INSERT INTO `lang_definitions` VALUES (3399, 320, 3, 'Sólo añadir');
INSERT INTO `lang_definitions` VALUES (3400, 322, 3, 'Libreta Direcciones');
INSERT INTO `lang_definitions` VALUES (3401, 323, 3, 'Libreta Direcciones');
INSERT INTO `lang_definitions` VALUES (3402, 324, 3, 'Dirección');
INSERT INTO `lang_definitions` VALUES (3403, 325, 3, 'Dirección y Código Postal');
INSERT INTO `lang_definitions` VALUES (3404, 326, 3, 'Dirección y Provincia/Departamento');
INSERT INTO `lang_definitions` VALUES (3405, 327, 3, 'Libreta de Direcciones');
INSERT INTO `lang_definitions` VALUES (3406, 328, 3, 'Entrada a la libreta de Direcciones de la empresa que realiza este procedimiento');
INSERT INTO `lang_definitions` VALUES (3407, 329, 3, 'Entrada a la libreta de Direcciones para el distribuidor');
INSERT INTO `lang_definitions` VALUES (3408, 330, 3, 'Entrada a la Libreta de Direcciones para el vendedor');
INSERT INTO `lang_definitions` VALUES (3409, 331, 3, 'Tipos de Libreta de Direcciones');
INSERT INTO `lang_definitions` VALUES (3410, 332, 3, 'Etiqueta de Dirección');
INSERT INTO `lang_definitions` VALUES (3411, 333, 3, 'Etiquetas de Dirección');
INSERT INTO `lang_definitions` VALUES (3412, 336, 3, 'Dirección Sola');
INSERT INTO `lang_definitions` VALUES (3413, 338, 3, 'Dirección, Provincia/Estado/Departamento y Código Postal');
INSERT INTO `lang_definitions` VALUES (3414, 339, 3, 'Dirección1');
INSERT INTO `lang_definitions` VALUES (3415, 340, 3, 'Dirección2');
INSERT INTO `lang_definitions` VALUES (3416, 342, 3, 'DESTINATARIO');
INSERT INTO `lang_definitions` VALUES (3417, 345, 3, 'Ajuste');
INSERT INTO `lang_definitions` VALUES (3418, 346, 3, 'Importe de Ajuste');
INSERT INTO `lang_definitions` VALUES (3419, 347, 3, 'Ajustar');
INSERT INTO `lang_definitions` VALUES (3420, 348, 3, 'Ajuste');
INSERT INTO `lang_definitions` VALUES (3421, 349, 3, 'Ajuste importe');
INSERT INTO `lang_definitions` VALUES (3422, 350, 3, 'Motivos del ajuste');
INSERT INTO `lang_definitions` VALUES (3423, 352, 3, 'Valor de ajuste para código');
INSERT INTO `lang_definitions` VALUES (3424, 353, 3, 'Ajustes');
INSERT INTO `lang_definitions` VALUES (3425, 354, 3, 'Ajuste administrador');
INSERT INTO `lang_definitions` VALUES (3426, 355, 3, 'Administrador');
INSERT INTO `lang_definitions` VALUES (3427, 356, 3, 'email administrador');
INSERT INTO `lang_definitions` VALUES (3428, 357, 3, 'Administrar a través de');
INSERT INTO `lang_definitions` VALUES (3429, 359, 3, 'Administrado');
INSERT INTO `lang_definitions` VALUES (3430, 360, 3, 'Administrado por');
INSERT INTO `lang_definitions` VALUES (3431, 361, 3, 'Fecha Administrado');
INSERT INTO `lang_definitions` VALUES (3432, 362, 3, 'Sitio Administrado');
INSERT INTO `lang_definitions` VALUES (3433, 363, 3, 'Administración');
INSERT INTO `lang_definitions` VALUES (3434, 365, 3, 'Sitio de administración');
INSERT INTO `lang_definitions` VALUES (3435, 366, 3, 'Administradores');
INSERT INTO `lang_definitions` VALUES (3436, 367, 3, 'Los administradores pueden hacer todo');
INSERT INTO `lang_definitions` VALUES (3437, 371, 3, 'Revisión Peso de Adulto y Seguimiento');
INSERT INTO `lang_definitions` VALUES (3438, 372, 3, 'Revisión Peso de Adulto y Seguimiento (GCC)');
INSERT INTO `lang_definitions` VALUES (3439, 373, 3, 'Instrucción anticipada');
INSERT INTO `lang_definitions` VALUES (3440, 374, 3, 'Directriz Anticipada');
INSERT INTO `lang_definitions` VALUES (3441, 375, 3, 'Aviso Directriz Anticipada');
INSERT INTO `lang_definitions` VALUES (3442, 377, 3, 'Anticipado');
INSERT INTO `lang_definitions` VALUES (3443, 380, 3, 'Consejo');
INSERT INTO `lang_definitions` VALUES (3444, 382, 3, 'Afecta normales');
INSERT INTO `lang_definitions` VALUES (3445, 386, 3, 'Llamadas fuera de horario laboral');
INSERT INTO `lang_definitions` VALUES (3446, 388, 3, 'Después de hacer las configuraciones mencionadas, importar el certificado del cliente de administrador al navegador y reiniciar el servidor Apache (Contraseña vacía)');
INSERT INTO `lang_definitions` VALUES (3447, 390, 3, 'Después de guardar el PDF, click [Ver Log] para comprobar errores.');
INSERT INTO `lang_definitions` VALUES (3448, 393, 3, 'Después de guardar los ficheros de TEXTO, click [Ver Log] para comprobar errores.');
INSERT INTO `lang_definitions` VALUES (3449, 396, 3, 'Después de guardar su Batch, click [Ver Log] para comprobar errores.');
INSERT INTO `lang_definitions` VALUES (3450, 399, 3, 'Una vez completada la informacion correctamente, click en botón Guardar');
INSERT INTO `lang_definitions` VALUES (3451, 400, 3, 'Después de subir, haga click en el botón \"Importar\"');
INSERT INTO `lang_definitions` VALUES (3452, 404, 3, 'Planificación posterior al cuidado');
INSERT INTO `lang_definitions` VALUES (3453, 406, 3, 'Otra vez');
INSERT INTO `lang_definitions` VALUES (3454, 407, 3, 'Edad');
INSERT INTO `lang_definitions` VALUES (3455, 408, 3, 'Edad de fallecimiento');
INSERT INTO `lang_definitions` VALUES (3456, 409, 3, 'Por Edad');
INSERT INTO `lang_definitions` VALUES (3457, 410, 3, 'Categoría edad');
INSERT INTO `lang_definitions` VALUES (3458, 411, 3, 'Dato edad fuera de rango.');
INSERT INTO `lang_definitions` VALUES (3459, 412, 3, 'Formato para mostrar edad');
INSERT INTO `lang_definitions` VALUES (3460, 413, 3, 'Formato edad en \'desde edad\' no es válido');
INSERT INTO `lang_definitions` VALUES (3461, 414, 3, 'Formato edad en \'hasta edad\' no es válido');
INSERT INTO `lang_definitions` VALUES (3462, 415, 3, 'Edad desde');
INSERT INTO `lang_definitions` VALUES (3463, 416, 3, 'Edad en años para cambio de formato');
INSERT INTO `lang_definitions` VALUES (3464, 417, 3, 'Edad Máxima');
INSERT INTO `lang_definitions` VALUES (3465, 418, 3, 'Edad Mínima');
INSERT INTO `lang_definitions` VALUES (3466, 419, 3, 'Rango de Edad');
INSERT INTO `lang_definitions` VALUES (3467, 420, 3, 'Columnas del envejecimiento');
INSERT INTO `lang_definitions` VALUES (3468, 421, 3, 'Columnas del envejecimiento:');
INSERT INTO `lang_definitions` VALUES (3469, 423, 3, 'Albanés');
INSERT INTO `lang_definitions` VALUES (3470, 424, 3, 'Alcohol');
INSERT INTO `lang_definitions` VALUES (3471, 425, 3, 'Consumo de alcohol');
INSERT INTO `lang_definitions` VALUES (3472, 426, 3, 'Uso de alcohol');
INSERT INTO `lang_definitions` VALUES (3473, 427, 3, 'Alerta');
INSERT INTO `lang_definitions` VALUES (3474, 428, 3, 'Contador de Alerta');
INSERT INTO `lang_definitions` VALUES (3475, 434, 3, 'Tiempo de alerta');
INSERT INTO `lang_definitions` VALUES (3476, 435, 3, 'Alertas');
INSERT INTO `lang_definitions` VALUES (3477, 436, 3, 'Registro de alertas');
INSERT INTO `lang_definitions` VALUES (3478, 437, 3, 'Alertas/Recordatorios');
INSERT INTO `lang_definitions` VALUES (3479, 439, 3, 'ALEUTIANO');
INSERT INTO `lang_definitions` VALUES (3480, 440, 3, 'Todos');
INSERT INTO `lang_definitions` VALUES (3481, 441, 3, 'TODOS');
INSERT INTO `lang_definitions` VALUES (3482, 442, 3, 'todos');
INSERT INTO `lang_definitions` VALUES (3483, 443, 3, 'Todos (Formatos Compaginados A)');
INSERT INTO `lang_definitions` VALUES (3484, 444, 3, 'Todos (Formatos Compaginados B)');
INSERT INTO `lang_definitions` VALUES (3485, 445, 3, 'Todos (Acumulativo)');
INSERT INTO `lang_definitions` VALUES (3486, 446, 3, 'Todas las alertas');
INSERT INTO `lang_definitions` VALUES (3487, 447, 3, 'Todo los Cálculos de Medidas Automatizados (CMA)');
INSERT INTO `lang_definitions` VALUES (3488, 448, 3, 'Todas las Categorías');
INSERT INTO `lang_definitions` VALUES (3489, 450, 3, 'Todos los Códigos');
INSERT INTO `lang_definitions` VALUES (3490, 452, 3, 'Todas las fechas');
INSERT INTO `lang_definitions` VALUES (3491, 453, 3, 'Todo el día');
INSERT INTO `lang_definitions` VALUES (3492, 454, 3, 'Evento de día completo');
INSERT INTO `lang_definitions` VALUES (3493, 455, 3, 'Todos los campos demográficos, con búsqueda y chequeo de dupicados');
INSERT INTO `lang_definitions` VALUES (3494, 457, 3, 'Todas las Clínicas');
INSERT INTO `lang_definitions` VALUES (3495, 458, 3, 'Todas las Lesiones/Problemas/Incidencias');
INSERT INTO `lang_definitions` VALUES (3496, 459, 3, 'Permitidos todos los Idiomas');
INSERT INTO `lang_definitions` VALUES (3497, 462, 3, 'Todo o parte del nombre');
INSERT INTO `lang_definitions` VALUES (3498, 463, 3, 'Todo o parte del apellido');
INSERT INTO `lang_definitions` VALUES (3499, 464, 3, 'Todo o parte de la organización');
INSERT INTO `lang_definitions` VALUES (3500, 468, 3, 'Todos los productos');
INSERT INTO `lang_definitions` VALUES (3501, 469, 3, 'Todos los proveedores');
INSERT INTO `lang_definitions` VALUES (3502, 470, 3, 'Todos Revisados y Negativos:');
INSERT INTO `lang_definitions` VALUES (3503, 475, 3, 'Todos los Temas');
INSERT INTO `lang_definitions` VALUES (3504, 478, 3, 'Todos los Usuarios');
INSERT INTO `lang_definitions` VALUES (3505, 479, 3, 'Alérgico');
INSERT INTO `lang_definitions` VALUES (3506, 481, 3, 'Alergias');
INSERT INTO `lang_definitions` VALUES (3507, 484, 3, 'Alergias:');
INSERT INTO `lang_definitions` VALUES (3508, 485, 3, 'Alergia');
INSERT INTO `lang_definitions` VALUES (3509, 486, 3, 'Importación de Alergia completado con éxito');
INSERT INTO `lang_definitions` VALUES (3510, 488, 3, 'Reacción Alérgica');
INSERT INTO `lang_definitions` VALUES (3511, 491, 3, 'Asignar');
INSERT INTO `lang_definitions` VALUES (3512, 492, 3, 'Permitir');
INSERT INTO `lang_definitions` VALUES (3513, 494, 3, 'Permitir todos los idiomas disponibles como opción en el menú de inicio sesión.');
INSERT INTO `lang_definitions` VALUES (3514, 496, 3, 'Permitir creación de reclamaciones con diagnósticos pero no procedimientos o cargos. La mayoría de clínicas no desean esto.');
INSERT INTO `lang_definitions` VALUES (3515, 497, 3, 'Permitir Depuración de Idioma');
INSERT INTO `lang_definitions` VALUES (3516, 500, 3, 'Permitir Email');
INSERT INTO `lang_definitions` VALUES (3517, 501, 3, '¿Permitir mensajes email?');
INSERT INTO `lang_definitions` VALUES (3518, 502, 3, '¿Permitir Email?');
INSERT INTO `lang_definitions` VALUES (3519, 503, 3, 'Permitir reclamación de Visita');
INSERT INTO `lang_definitions` VALUES (3520, 506, 3, 'Permitir el Intercambio de Información de Salud');
INSERT INTO `lang_definitions` VALUES (3521, 508, 3, 'Permitir Compartir Información de Vacunación');
INSERT INTO `lang_definitions` VALUES (3522, 509, 3, 'Permitir el Uso del Registro de Vacunaciones');
INSERT INTO `lang_definitions` VALUES (3523, 512, 3, 'Permitir mensajes email');
INSERT INTO `lang_definitions` VALUES (3524, 533, 3, 'Permitir Portal del Paciente');
INSERT INTO `lang_definitions` VALUES (3525, 541, 3, 'Permitir SMS');
INSERT INTO `lang_definitions` VALUES (3526, 542, 3, '¿Permitir SMS (mensajes de texto)?');
INSERT INTO `lang_definitions` VALUES (3527, 544, 3, '¿Permitir la activación instantánea de los eventos introducidos?');
INSERT INTO `lang_definitions` VALUES (3528, 545, 3, '¿Permitir mensajes telefónicos?');
INSERT INTO `lang_definitions` VALUES (3529, 547, 3, 'Permitir a los usuarios publicar eventos globales');
INSERT INTO `lang_definitions` VALUES (3530, 548, 3, 'Permitir a los usuarios publicar calendarios personales');
INSERT INTO `lang_definitions` VALUES (3531, 554, 3, 'Permitir Mensaje de Voz');
INSERT INTO `lang_definitions` VALUES (3532, 555, 3, 'Permitido');
INSERT INTO `lang_definitions` VALUES (3533, 556, 3, 'Idiomas Permitidos');
INSERT INTO `lang_definitions` VALUES (3534, 558, 3, 'Asignado ©');
INSERT INTO `lang_definitions` VALUES (3535, 559, 3, 'Permite E-sign en todo el encuentro');
INSERT INTO `lang_definitions` VALUES (3536, 560, 3, 'Permite E-sign para formas individuales');
INSERT INTO `lang_definitions` VALUES (3537, 561, 3, 'Permitir Correo Electrónico');
INSERT INTO `lang_definitions` VALUES (3538, 562, 3, 'Permitir Mensajes de voz');
INSERT INTO `lang_definitions` VALUES (3539, 566, 3, 'ya existe');
INSERT INTO `lang_definitions` VALUES (3540, 568, 3, 'ya existe.');
INSERT INTO `lang_definitions` VALUES (3541, 570, 3, 'Identificador ya usado, elija otro');
INSERT INTO `lang_definitions` VALUES (3542, 571, 3, 'Título ya usado, elija otro');
INSERT INTO `lang_definitions` VALUES (3543, 573, 3, 'Dirección alternativa');
INSERT INTO `lang_definitions` VALUES (3544, 577, 3, 'modificar');
INSERT INTO `lang_definitions` VALUES (3545, 584, 3, 'De forma alternativa, puede usar la página de búsqueda para cargar un fichero electrónico (X12835) que haya recibido de su pagador. Puede hacerlo presionando el botón Explorar y seleccionar el fichero a cargar, y luego pulsando Explorar para ejecutar la carga y mostrar las facturas correspondientes. En este caso, los otros parámetros mencionados arriba no se aplican y pueden ser ignorados. La carga guarda el fichero pero no procesa su contenido - esto se realiza de forma separada como se describe abajo.');
INSERT INTO `lang_definitions` VALUES (3546, 586, 3, 'AM');
INSERT INTO `lang_definitions` VALUES (3547, 587, 3, 'Programa AM');
INSERT INTO `lang_definitions` VALUES (3548, 592, 3, 'Cálculo Automático de Medidas (CAM)');
INSERT INTO `lang_definitions` VALUES (3549, 593, 3, 'Rastreo CAM');
INSERT INTO `lang_definitions` VALUES (3550, 600, 3, 'Corregir nota existente');
INSERT INTO `lang_definitions` VALUES (3551, 610, 3, 'Indígena americano');
INSERT INTO `lang_definitions` VALUES (3552, 611, 3, 'Indígena americano o Nativo de Alaska');
INSERT INTO `lang_definitions` VALUES (3553, 612, 3, 'AMEX');
INSERT INTO `lang_definitions` VALUES (3554, 613, 3, 'Amárico (Lengua de Etiopia)');
INSERT INTO `lang_definitions` VALUES (3555, 614, 3, 'Importe');
INSERT INTO `lang_definitions` VALUES (3556, 617, 3, 'Importes Cargados');
INSERT INTO `lang_definitions` VALUES (3557, 620, 3, 'Importe Saldo Vencido');
INSERT INTO `lang_definitions` VALUES (3558, 621, 3, 'Importe por esta visita');
INSERT INTO `lang_definitions` VALUES (3559, 622, 3, 'Importe pagado');
INSERT INTO `lang_definitions` VALUES (3560, 623, 3, 'Importe:');
INSERT INTO `lang_definitions` VALUES (3561, 626, 3, 'Importe Facturado');
INSERT INTO `lang_definitions` VALUES (3562, 630, 3, '¡Se requiere una fecha de finalización posterior a la fecha de inicio para los eventos repetidos!');
INSERT INTO `lang_definitions` VALUES (3563, 632, 3, 'Ocurrió un error durante la descarga web de los directorios de OpenEMR');
INSERT INTO `lang_definitions` VALUES (3564, 633, 3, 'Ocurrió un error durante la descarga web de los directorios de phpGACL');
INSERT INTO `lang_definitions` VALUES (3565, 634, 3, 'Ocurrió un error durante la descarga web de los directorios SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (3566, 638, 3, 'Una incidencia GCAC incompleta ha sido creada y vinculada. Alguien tendrá que completarla más tarde.');
INSERT INTO `lang_definitions` VALUES (3567, 644, 3, 'Ocurrio un error inesperado.');
INSERT INTO `lang_definitions` VALUES (3568, 646, 3, 'Una letra mayúscula');
INSERT INTO `lang_definitions` VALUES (3569, 648, 3, 'y');
INSERT INTO `lang_definitions` VALUES (3570, 649, 3, 'Y');
INSERT INTO `lang_definitions` VALUES (3571, 650, 3, 'Y');
INSERT INTO `lang_definitions` VALUES (3572, 651, 3, 'y');
INSERT INTO `lang_definitions` VALUES (3573, 652, 3, '¿y toda la información subordinada? Esta acción será registrada');
INSERT INTO `lang_definitions` VALUES (3574, 653, 3, 'y modificador');
INSERT INTO `lang_definitions` VALUES (3575, 654, 3, 'y procesado.');
INSERT INTO `lang_definitions` VALUES (3576, 656, 3, 'y reiniciar servidor Apache');
INSERT INTO `lang_definitions` VALUES (3577, 657, 3, 'y la Razón es');
INSERT INTO `lang_definitions` VALUES (3578, 659, 3, 'Anemia');
INSERT INTO `lang_definitions` VALUES (3579, 660, 3, 'Tobillo');
INSERT INTO `lang_definitions` VALUES (3580, 661, 3, 'Tobillo + talón');
INSERT INTO `lang_definitions` VALUES (3581, 662, 3, 'Formulario de Evaluación del tobillo');
INSERT INTO `lang_definitions` VALUES (3582, 663, 3, 'Problemas de tobillo');
INSERT INTO `lang_definitions` VALUES (3583, 664, 3, 'Espondilitis anquilosante');
INSERT INTO `lang_definitions` VALUES (3584, 665, 3, 'Espondilitis anquilosante');
INSERT INTO `lang_definitions` VALUES (3585, 666, 3, 'Anorexia');
INSERT INTO `lang_definitions` VALUES (3586, 667, 3, 'Otra cosa que puede hacer en la ventana de publicación es solicitar facturación secundaria. Si selecciona la casilla de verificación antes de guardar, la reclamación original será reabierta y puesta en cola en la página de Facturación, y será procesada en el siguiente proceso de facturación.');
INSERT INTO `lang_definitions` VALUES (3587, 671, 3, 'ante');
INSERT INTO `lang_definitions` VALUES (3588, 673, 3, 'Segmento Anterior');
INSERT INTO `lang_definitions` VALUES (3589, 674, 3, 'Valores por Defecto para el Segmento Anterior');
INSERT INTO `lang_definitions` VALUES (3590, 676, 3, 'Ano normal, recto sin distensión ni masa');
INSERT INTO `lang_definitions` VALUES (3591, 677, 3, 'Ansiedad');
INSERT INTO `lang_definitions` VALUES (3592, 679, 3, 'Cualquiera');
INSERT INTO `lang_definitions` VALUES (3593, 682, 3, 'Cualquier Categoría');
INSERT INTO `lang_definitions` VALUES (3594, 688, 3, 'Cualquier parte del código deseado o su descripción');
INSERT INTO `lang_definitions` VALUES (3595, 689, 3, 'Cualquier parte de la especialidad deseada');
INSERT INTO `lang_definitions` VALUES (3596, 690, 3, 'Cualquier parte del identificador o nombre de medicamento');
INSERT INTO `lang_definitions` VALUES (3597, 691, 3, 'Cualquier parte del identificador o nombre de vacuna');
INSERT INTO `lang_definitions` VALUES (3598, 692, 3, 'Cualquier parte del nombre del paciente, o Apellido, Nombre, o X-Y');
INSERT INTO `lang_definitions` VALUES (3599, 694, 3, '¿Algo más ocurre al mismo tiempo?');
INSERT INTO `lang_definitions` VALUES (3600, 699, 3, 'Clave API para puerta enlace SMS');
INSERT INTO `lang_definitions` VALUES (3601, 703, 3, 'Apnea');
INSERT INTO `lang_definitions` VALUES (3602, 710, 3, 'Aspecto');
INSERT INTO `lang_definitions` VALUES (3603, 711, 3, 'Aspecto:');
INSERT INTO `lang_definitions` VALUES (3604, 714, 3, 'Añadir esta nota');
INSERT INTO `lang_definitions` VALUES (3605, 716, 3, 'Añadir a la nota existente');
INSERT INTO `lang_definitions` VALUES (3606, 717, 3, 'Añadir a sta nota');
INSERT INTO `lang_definitions` VALUES (3607, 718, 3, 'Añadir a Esta Nota');
INSERT INTO `lang_definitions` VALUES (3608, 719, 3, 'Apendicectomía');
INSERT INTO `lang_definitions` VALUES (3609, 721, 3, 'Pacientes Aplicables');
INSERT INTO `lang_definitions` VALUES (3610, 723, 3, 'Nombre de aplicación para página de inicio de sesión y título de ventana principal');
INSERT INTO `lang_definitions` VALUES (3611, 724, 3, 'Código de Aplicación del receptor (GS03 - si está en blanco se usará ISA08)');
INSERT INTO `lang_definitions` VALUES (3612, 725, 3, 'Codigo de Aplicacion del Enviador (GS02)');
INSERT INTO `lang_definitions` VALUES (3613, 726, 3, 'Título de Aplicación');
INSERT INTO `lang_definitions` VALUES (3614, 727, 3, 'Se aplica al formulario de Constantes Vitales y Gráfica de Crecimiento');
INSERT INTO `lang_definitions` VALUES (3615, 729, 3, '¿Aplicar los cambios sólo al evento actual, a éste y todos los episodios futuros, o a todos los episodios?');
INSERT INTO `lang_definitions` VALUES (3616, 730, 3, 'aplicar a la zona afectada');
INSERT INTO `lang_definitions` VALUES (3617, 731, 3, 'aplicar a la piel');
INSERT INTO `lang_definitions` VALUES (3618, 732, 3, 'Aplicando');
INSERT INTO `lang_definitions` VALUES (3619, 733, 3, 'Aplicando parche al sitio');
INSERT INTO `lang_definitions` VALUES (3620, 734, 3, 'Cita');
INSERT INTO `lang_definitions` VALUES (3621, 736, 3, 'Fecha de Cita');
INSERT INTO `lang_definitions` VALUES (3622, 742, 3, 'Estilo de visualizacion de la cita');
INSERT INTO `lang_definitions` VALUES (3623, 744, 3, 'Regla para recordar Cita');
INSERT INTO `lang_definitions` VALUES (3624, 746, 3, 'Estado de la Cita');
INSERT INTO `lang_definitions` VALUES (3625, 747, 3, 'Estados de la cita');
INSERT INTO `lang_definitions` VALUES (3626, 748, 3, 'Cita dentro de');
INSERT INTO `lang_definitions` VALUES (3627, 749, 3, 'Color de Cita/Evento');
INSERT INTO `lang_definitions` VALUES (3628, 750, 3, 'Citas');
INSERT INTO `lang_definitions` VALUES (3629, 751, 3, 'Citas (escriba opcional)');
INSERT INTO `lang_definitions` VALUES (3630, 752, 3, 'Citas (escribir, algunos opcional)');
INSERT INTO `lang_definitions` VALUES (3631, 758, 3, 'Citas y Visitas');
INSERT INTO `lang_definitions` VALUES (3632, 759, 3, 'Encuentros para');
INSERT INTO `lang_definitions` VALUES (3633, 760, 3, 'Informe de citas');
INSERT INTO `lang_definitions` VALUES (3634, 761, 3, 'Informes Citas-Visitas');
INSERT INTO `lang_definitions` VALUES (3635, 764, 3, 'Aprobar');
INSERT INTO `lang_definitions` VALUES (3636, 767, 3, 'Aprobado');
INSERT INTO `lang_definitions` VALUES (3637, 768, 3, 'Eventos Administrativos Aprobados');
INSERT INTO `lang_definitions` VALUES (3638, 774, 3, 'Citas-Visitas');
INSERT INTO `lang_definitions` VALUES (3639, 776, 3, 'Citas');
INSERT INTO `lang_definitions` VALUES (3640, 779, 3, 'Abr');
INSERT INTO `lang_definitions` VALUES (3641, 780, 3, 'Abril');
INSERT INTO `lang_definitions` VALUES (3642, 782, 3, 'Arábigo');
INSERT INTO `lang_definitions` VALUES (3643, 783, 3, 'Aragonés');
INSERT INTO `lang_definitions` VALUES (3644, 784, 3, 'Archivo');
INSERT INTO `lang_definitions` VALUES (3645, 785, 3, 'Archivar los Registros Cronológicos');
INSERT INTO `lang_definitions` VALUES (3646, 786, 3, 'Archivas Registros (Logs) Viejos');
INSERT INTO `lang_definitions` VALUES (3647, 787, 3, '¿Se traducen los nombres del grupo de control de acceso?');
INSERT INTO `lang_definitions` VALUES (3648, 788, 3, '¿Se traducen los nombres de las categorías de cita?');
INSERT INTO `lang_definitions` VALUES (3649, 789, 3, '¿Se traducen los nombres de categorías de documento?');
INSERT INTO `lang_definitions` VALUES (3650, 790, 3, '¿Se cobran honorarios por este tipo?');
INSERT INTO `lang_definitions` VALUES (3651, 791, 3, 'están apagados');
INSERT INTO `lang_definitions` VALUES (3652, 792, 3, 'están encendidos');
INSERT INTO `lang_definitions` VALUES (3653, 793, 3, '¿Se traducen los títulos de las notas del paciente?');
INSERT INTO `lang_definitions` VALUES (3654, 794, 3, '¿Están los códigos archivados en tablas sql externas (0-No, 1-CIE10, 2-SNOMED(RF1), 3-SNOMED(rf2))?');
INSERT INTO `lang_definitions` VALUES (3655, 795, 3, '¿Está preparado para completar una nueva incidencia de GCAC (Global Connection Admission Control) para esta visita?');
INSERT INTO `lang_definitions` VALUES (3656, 797, 3, '¿Está seguro de enviar hoy?');
INSERT INTO `lang_definitions` VALUES (3657, 798, 3, '¿Está seguro que quiere aprobar estos eventos?');
INSERT INTO `lang_definitions` VALUES (3658, 799, 3, '¿Está seguro de querer cancelar los cambios?');
INSERT INTO `lang_definitions` VALUES (3659, 801, 3, '¿Está seguro de que desea eliminar por completo este formulario?');
INSERT INTO `lang_definitions` VALUES (3660, 804, 3, '¿Está seguro que desea eliminar este aviso?');
INSERT INTO `lang_definitions` VALUES (3661, 805, 3, '¿Está seguro que quiere eliminar este evento?');
INSERT INTO `lang_definitions` VALUES (3662, 806, 3, '¿Está seguro que quiere eliminar este asunto de la base de datos?');
INSERT INTO `lang_definitions` VALUES (3663, 808, 3, '¿Está usted seguro que quiere eliminar esta nota?');
INSERT INTO `lang_definitions` VALUES (3664, 810, 3, '¿Está seguro que quiere editar estos eventos?');
INSERT INTO `lang_definitions` VALUES (3665, 811, 3, '¿Está seguro que quiere ocultar estos eventos?');
INSERT INTO `lang_definitions` VALUES (3666, 814, 3, '¿Está seguro que quiere visualizar estos eventos?');
INSERT INTO `lang_definitions` VALUES (3667, 815, 3, 'Está seguro que desea eliminar el grupo entero nombrado');
INSERT INTO `lang_definitions` VALUES (3668, 816, 3, 'Está seguro que desea eliminar la lista entera');
INSERT INTO `lang_definitions` VALUES (3669, 817, 3, 'Está seguro que quiere eliminar el campo interno');
INSERT INTO `lang_definitions` VALUES (3670, 818, 3, '¿Está seguro que quiere eliminar los campos seleccionados?');
INSERT INTO `lang_definitions` VALUES (3671, 819, 3, '¿Está seguro que quiere continuar con estas acciones?');
INSERT INTO `lang_definitions` VALUES (3672, 820, 3, 'Zona no especificada');
INSERT INTO `lang_definitions` VALUES (3673, 821, 3, 'Brazo');
INSERT INTO `lang_definitions` VALUES (3674, 822, 3, 'Armenio');
INSERT INTO `lang_definitions` VALUES (3675, 829, 3, 'Arritmia');
INSERT INTO `lang_definitions` VALUES (3676, 830, 3, 'Artritis');
INSERT INTO `lang_definitions` VALUES (3677, 831, 3, 'Artritis/Enfermedad degenerativa de articulaciones');
INSERT INTO `lang_definitions` VALUES (3678, 832, 3, 'Artritis/Enfermedad degenerativa de articulaciones');
INSERT INTO `lang_definitions` VALUES (3679, 836, 3, 'como');
INSERT INTO `lang_definitions` VALUES (3680, 838, 3, 'Desde');
INSERT INTO `lang_definitions` VALUES (3681, 845, 3, 'Asiático');
INSERT INTO `lang_definitions` VALUES (3682, 848, 3, 'Evaluación');
INSERT INTO `lang_definitions` VALUES (3683, 853, 3, 'Asignado a');
INSERT INTO `lang_definitions` VALUES (3684, 854, 3, 'Ayudante');
INSERT INTO `lang_definitions` VALUES (3685, 861, 3, 'Asma');
INSERT INTO `lang_definitions` VALUES (3686, 862, 3, 'en');
INSERT INTO `lang_definitions` VALUES (3687, 863, 3, 'Se requiere al menos un parámetro de búsqueda si selecciona Todos.');
INSERT INTO `lang_definitions` VALUES (3688, 866, 3, 'En el Escafoides');
INSERT INTO `lang_definitions` VALUES (3689, 867, 3, 'En el Escafoides:');
INSERT INTO `lang_definitions` VALUES (3690, 868, 3, 'Equipo de atletismo');
INSERT INTO `lang_definitions` VALUES (3691, 870, 3, 'Lesión Deportiva');
INSERT INTO `lang_definitions` VALUES (3692, 871, 3, 'Certificado CA de ATNA (Seguimiento de auditoría y autenticación del nodo)');
INSERT INTO `lang_definitions` VALUES (3693, 872, 3, 'Host de auditoría ATNA (Seguimiento de auditoría y autenticación del nodo)');
INSERT INTO `lang_definitions` VALUES (3694, 873, 3, 'Certificado local de ATNA (Seguimiento de auditoría y autenticación del nodo)');
INSERT INTO `lang_definitions` VALUES (3695, 874, 3, 'Puerto de auditoría ATNA (Seguimiento de auditoría y autenticación del nodo)');
INSERT INTO `lang_definitions` VALUES (3696, 877, 3, 'Atención');
INSERT INTO `lang_definitions` VALUES (3697, 879, 3, 'Atención');
INSERT INTO `lang_definitions` VALUES (3698, 890, 3, 'Auditoría Backups de inicio de sesión');
INSERT INTO `lang_definitions` VALUES (3699, 891, 3, 'Auditoría de inicio de sesión varios');
INSERT INTO `lang_definitions` VALUES (3700, 892, 3, 'Auditoría Orden de inicio de sesión');
INSERT INTO `lang_definitions` VALUES (3701, 893, 3, 'Auditoría registro inicio de sesión del paciente');
INSERT INTO `lang_definitions` VALUES (3702, 894, 3, 'Auditoría Planificación inicio sesión');
INSERT INTO `lang_definitions` VALUES (3703, 895, 3, 'Auditoría Administración de Seguridad inicio sesión');
INSERT INTO `lang_definitions` VALUES (3704, 896, 3, 'Auditoría Consulta SELECT inicio sesión');
INSERT INTO `lang_definitions` VALUES (3705, 898, 3, 'Ago');
INSERT INTO `lang_definitions` VALUES (3706, 899, 3, 'Agosto');
INSERT INTO `lang_definitions` VALUES (3707, 901, 3, 'Autorización');
INSERT INTO `lang_definitions` VALUES (3708, 902, 3, 'Autorización/notas');
INSERT INTO `lang_definitions` VALUES (3709, 922, 3, 'Grupo de Autorización');
INSERT INTO `lang_definitions` VALUES (3710, 923, 3, 'Estatus de autorización');
INSERT INTO `lang_definitions` VALUES (3711, 924, 3, 'Autorizaciones');
INSERT INTO `lang_definitions` VALUES (3712, 925, 3, 'Autorizar');
INSERT INTO `lang_definitions` VALUES (3713, 926, 3, 'Autorizar - cualquier visita');
INSERT INTO `lang_definitions` VALUES (3714, 928, 3, 'Autorizar - mis visitas');
INSERT INTO `lang_definitions` VALUES (3715, 934, 3, 'Autorizado');
INSERT INTO `lang_definitions` VALUES (3716, 936, 3, 'Autorización solamente');
INSERT INTO `lang_definitions` VALUES (3717, 941, 3, 'Envío automático');
INSERT INTO `lang_definitions` VALUES (3718, 944, 3, 'Crear automáticamente nuevas visitas');
INSERT INTO `lang_definitions` VALUES (3719, 945, 3, 'Auto-generado');
INSERT INTO `lang_definitions` VALUES (3720, 947, 3, 'Cálculos Automáticos de Medida (CAM)');
INSERT INTO `lang_definitions` VALUES (3721, 952, 3, 'Seguimiento Cálculos Automáticos de Medida (CAM)');
INSERT INTO `lang_definitions` VALUES (3722, 953, 3, 'Medidas Automatizadas');
INSERT INTO `lang_definitions` VALUES (3723, 955, 3, 'Automático');
INSERT INTO `lang_definitions` VALUES (3724, 959, 3, 'Crear automáticamente nuevas visitas cuando en el estado de una cita se selecciona -@- (llegado)');
INSERT INTO `lang_definitions` VALUES (3725, 962, 3, 'Automóvil Médico');
INSERT INTO `lang_definitions` VALUES (3726, 964, 3, 'Autoguardado');
INSERT INTO `lang_definitions` VALUES (3727, 967, 3, 'Categorías Disponibles');
INSERT INTO `lang_definitions` VALUES (3728, 971, 3, 'Horas disponibles');
INSERT INTO `lang_definitions` VALUES (3729, 976, 3, 'Media Mensual');
INSERT INTO `lang_definitions` VALUES (3730, 980, 3, 'Avulsión/fractura por avulsión');
INSERT INTO `lang_definitions` VALUES (3731, 981, 3, 'Avulsión de maleolo lateral');
INSERT INTO `lang_definitions` VALUES (3732, 982, 3, 'Avulsión de maléolo tibial');
INSERT INTO `lang_definitions` VALUES (3733, 983, 3, 'Basado en el Conocimiento');
INSERT INTO `lang_definitions` VALUES (3734, 985, 3, 'Axilar');
INSERT INTO `lang_definitions` VALUES (3735, 992, 3, 'dos veces por día');
INSERT INTO `lang_definitions` VALUES (3736, 993, 3, 'Atrás');
INSERT INTO `lang_definitions` VALUES (3737, 994, 3, 'atrás');
INSERT INTO `lang_definitions` VALUES (3738, 995, 3, 'Retrocede ocho visitas');
INSERT INTO `lang_definitions` VALUES (3739, 996, 3, 'Retrocede once visitas');
INSERT INTO `lang_definitions` VALUES (3740, 997, 3, 'Retroceder cinco visitas');
INSERT INTO `lang_definitions` VALUES (3741, 998, 3, 'Retrocede cuatro visitas');
INSERT INTO `lang_definitions` VALUES (3742, 999, 3, 'Retrocede nueve visitas');
INSERT INTO `lang_definitions` VALUES (3743, 1000, 3, 'Retroced una visita');
INSERT INTO `lang_definitions` VALUES (3744, 1001, 3, 'Dolor de espalda');
INSERT INTO `lang_definitions` VALUES (3745, 1002, 3, 'Problemas de espalda');
INSERT INTO `lang_definitions` VALUES (3746, 1003, 3, 'Retrocede siete visitas');
INSERT INTO `lang_definitions` VALUES (3747, 1004, 3, 'Retrocede seis visitas');
INSERT INTO `lang_definitions` VALUES (3748, 1005, 3, 'Cirugia de espalda');
INSERT INTO `lang_definitions` VALUES (3749, 1006, 3, 'Retrocede diez visitas');
INSERT INTO `lang_definitions` VALUES (3750, 1007, 3, 'Retrocede tres visitas');
INSERT INTO `lang_definitions` VALUES (3751, 1008, 3, 'Volver a la página de Administración');
INSERT INTO `lang_definitions` VALUES (3752, 1013, 3, 'Volver al paciente');
INSERT INTO `lang_definitions` VALUES (3753, 1015, 3, 'Volver a los usuarios');
INSERT INTO `lang_definitions` VALUES (3754, 1016, 3, 'Volver a Vista');
INSERT INTO `lang_definitions` VALUES (3755, 1017, 3, 'Retrocede doce visitas');
INSERT INTO `lang_definitions` VALUES (3756, 1018, 3, 'Retrocede dos visitas');
INSERT INTO `lang_definitions` VALUES (3757, 1020, 3, 'Backup');
INSERT INTO `lang_definitions` VALUES (3758, 1022, 3, 'Se ha creado el fichero de backup. Ahora comenzará la descarga.');
INSERT INTO `lang_definitions` VALUES (3759, 1024, 3, 'Backup creado correctamente');
INSERT INTO `lang_definitions` VALUES (3760, 1025, 3, 'Cheque sin fondos');
INSERT INTO `lang_definitions` VALUES (3761, 1026, 3, 'Mal crédito');
INSERT INTO `lang_definitions` VALUES (3762, 1027, 3, 'Bahasa Indonesia');
INSERT INTO `lang_definitions` VALUES (3763, 1028, 3, 'Bal');
INSERT INTO `lang_definitions` VALUES (3764, 1031, 3, 'Balance');
INSERT INTO `lang_definitions` VALUES (3765, 1032, 3, 'balance');
INSERT INTO `lang_definitions` VALUES (3766, 1033, 3, 'Importe Balance');
INSERT INTO `lang_definitions` VALUES (3767, 1034, 3, 'Balance a pagar');
INSERT INTO `lang_definitions` VALUES (3768, 1038, 3, 'Recibo bancario');
INSERT INTO `lang_definitions` VALUES (3769, 1042, 3, 'Base del quinto (5to) Metatarsiano');
INSERT INTO `lang_definitions` VALUES (3770, 1043, 3, 'Base del quinto (5to) Metatarsiano:');
INSERT INTO `lang_definitions` VALUES (3771, 1051, 3, 'Herramienta de Comunicación del Batch');
INSERT INTO `lang_definitions` VALUES (3772, 1053, 3, 'Batch de entrada de pagos');
INSERT INTO `lang_definitions` VALUES (3773, 1054, 3, 'Serie de Pagos');
INSERT INTO `lang_definitions` VALUES (3774, 1055, 3, 'Iniciado proceso Batch; esto puede tardar unos minutos.');
INSERT INTO `lang_definitions` VALUES (3775, 1056, 3, 'Resultados de la serie (Batch)');
INSERT INTO `lang_definitions` VALUES (3776, 1057, 3, 'Comunicación en serie');
INSERT INTO `lang_definitions` VALUES (3777, 1063, 3, 'porque no existe ese id.');
INSERT INTO `lang_definitions` VALUES (3778, 1072, 3, 'Empezar');
INSERT INTO `lang_definitions` VALUES (3779, 1074, 3, 'Fecha comienzo');
INSERT INTO `lang_definitions` VALUES (3780, 1077, 3, 'Fecha de inicio de servicio aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (3781, 1078, 3, 'Hora de inicio del día para los eventos del calendario');
INSERT INTO `lang_definitions` VALUES (3782, 1082, 3, 'Eructo');
INSERT INTO `lang_definitions` VALUES (3783, 1086, 3, 'Bengali');
INSERT INTO `lang_definitions` VALUES (3784, 1089, 3, 'entre');
INSERT INTO `lang_definitions` VALUES (3785, 1095, 3, 'Bilateral');
INSERT INTO `lang_definitions` VALUES (3786, 1096, 3, 'Bilateral:');
INSERT INTO `lang_definitions` VALUES (3787, 1099, 3, 'Fecha factura:');
INSERT INTO `lang_definitions` VALUES (3788, 1101, 3, 'Factura/Cobrar');
INSERT INTO `lang_definitions` VALUES (3789, 1102, 3, 'Facturado');
INSERT INTO `lang_definitions` VALUES (3790, 1104, 3, 'Facturación');
INSERT INTO `lang_definitions` VALUES (3791, 1105, 3, 'Facturación (escritura opcional)');
INSERT INTO `lang_definitions` VALUES (3792, 1109, 3, 'Atención facturación');
INSERT INTO `lang_definitions` VALUES (3793, 1111, 3, 'Código de facturación para el Servicio Solicitado');
INSERT INTO `lang_definitions` VALUES (3794, 1112, 3, 'Códigos de facturación');
INSERT INTO `lang_definitions` VALUES (3795, 1113, 3, 'Datos de facturación');
INSERT INTO `lang_definitions` VALUES (3796, 1114, 3, 'Departamento de Facturación');
INSERT INTO `lang_definitions` VALUES (3797, 1115, 3, 'Centro de Facturación');
INSERT INTO `lang_definitions` VALUES (3798, 1117, 3, 'Información facturación');
INSERT INTO `lang_definitions` VALUES (3799, 1118, 3, 'Dirección facturación');
INSERT INTO `lang_definitions` VALUES (3800, 1125, 3, 'Administrador de Facturación');
INSERT INTO `lang_definitions` VALUES (3801, 1126, 3, 'Nota de facturación');
INSERT INTO `lang_definitions` VALUES (3802, 1127, 3, 'Nota de facturación para');
INSERT INTO `lang_definitions` VALUES (3803, 1128, 3, 'Nota de facturación:');
INSERT INTO `lang_definitions` VALUES (3804, 1130, 3, 'Resultados de la cola de la facturación:');
INSERT INTO `lang_definitions` VALUES (3805, 1131, 3, 'Informe de Facturación');
INSERT INTO `lang_definitions` VALUES (3806, 1132, 3, 'Estado de facturación');
INSERT INTO `lang_definitions` VALUES (3807, 1133, 3, 'Estado de Facturación = No facturados');
INSERT INTO `lang_definitions` VALUES (3808, 1134, 3, 'facturación para');
INSERT INTO `lang_definitions` VALUES (3809, 1138, 3, 'Biopsia');
INSERT INTO `lang_definitions` VALUES (3810, 1140, 3, 'F.Nacim.');
INSERT INTO `lang_definitions` VALUES (3811, 1144, 3, 'Negro');
INSERT INTO `lang_definitions` VALUES (3812, 1147, 3, 'Pulmón negro');
INSERT INTO `lang_definitions` VALUES (3813, 1148, 3, 'Negro o Afroamericano');
INSERT INTO `lang_definitions` VALUES (3814, 1149, 3, 'Cáncer de vejiga');
INSERT INTO `lang_definitions` VALUES (3815, 1150, 3, 'Infecciones de vejiga');
INSERT INTO `lang_definitions` VALUES (3816, 1152, 3, 'Formularios en Blanco');
INSERT INTO `lang_definitions` VALUES (3817, 1153, 3, 'Problemas de sangrado');
INSERT INTO `lang_definitions` VALUES (3818, 1154, 3, 'Puntos ciegos');
INSERT INTO `lang_definitions` VALUES (3819, 1156, 3, 'Hinchazón');
INSERT INTO `lang_definitions` VALUES (3820, 1158, 3, 'Atascado');
INSERT INTO `lang_definitions` VALUES (3821, 1159, 3, 'Sangre');
INSERT INTO `lang_definitions` VALUES (3822, 1160, 3, 'Presión Arterial');
INSERT INTO `lang_definitions` VALUES (3823, 1161, 3, 'Presión arterial');
INSERT INTO `lang_definitions` VALUES (3824, 1162, 3, 'Sangra por la nariz');
INSERT INTO `lang_definitions` VALUES (3825, 1163, 3, 'Blue Cross Blue Shield');
INSERT INTO `lang_definitions` VALUES (3826, 1165, 3, 'Las líneas azules en este reporte son informativas. Líneas negras muestran información existente. Líneas verdes muestran cambios aplicados correctamente. Líneas rojas indican errores o cambios que no fueron aplicados, y deben ser procesados manualmente. Reclamaciones actuales denegadas y pagos revertidos no se manejan automáticamente y aparecerán en rojo.');
INSERT INTO `lang_definitions` VALUES (3827, 1166, 3, 'Visión borrosa');
INSERT INTO `lang_definitions` VALUES (3828, 1167, 3, 'IMC');
INSERT INTO `lang_definitions` VALUES (3829, 1168, 3, 'Estado del IMC');
INSERT INTO `lang_definitions` VALUES (3830, 1170, 3, 'Región corporal');
INSERT INTO `lang_definitions` VALUES (3831, 1171, 3, 'Área Corporal');
INSERT INTO `lang_definitions` VALUES (3832, 1172, 3, 'Área corporal, si es aplicable');
INSERT INTO `lang_definitions` VALUES (3833, 1173, 3, 'Sensibilidad en hueso:');
INSERT INTO `lang_definitions` VALUES (3834, 1174, 3, 'Sensibilidad en hueso: Maléolo Tibial');
INSERT INTO `lang_definitions` VALUES (3835, 1175, 3, 'Boleano');
INSERT INTO `lang_definitions` VALUES (3836, 1177, 3, 'Infer.');
INSERT INTO `lang_definitions` VALUES (3837, 1179, 3, 'Ambos Oídos');
INSERT INTO `lang_definitions` VALUES (3838, 1180, 3, 'ambos oídos');
INSERT INTO `lang_definitions` VALUES (3839, 1183, 3, 'inferior');
INSERT INTO `lang_definitions` VALUES (3840, 1187, 3, 'CASILLA 10 A. relacionados con el Empleo');
INSERT INTO `lang_definitions` VALUES (3841, 1189, 3, 'CASILLA 10 B. Accidentes de tráfico');
INSERT INTO `lang_definitions` VALUES (3842, 1191, 3, 'CASILLA 10 C. Otros Accidentes');
INSERT INTO `lang_definitions` VALUES (3843, 1205, 3, 'CASILLA 15. Fecha de la misma o similar enfermedad (aaaa-mm-dd)');
INSERT INTO `lang_definitions` VALUES (3844, 1211, 3, 'CASILLA 16. Fecha de incapacidad a partir de (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (3845, 1215, 3, 'CASILLA 16. Fecha de incapacidad (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (3846, 1227, 3, 'CASILLA 18. Fecha de inicio de hospitalización (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (3847, 1231, 3, 'CASILLA 18. Fecha de inicio de hospitalización (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (3848, 1235, 3, 'CASILLA 20. ¿Se utiliza Laboratorio externo?');
INSERT INTO `lang_definitions` VALUES (3849, 1239, 3, 'CASILLA 22. Código del re-envío de Medicaid (CIE-9)');
INSERT INTO `lang_definitions` VALUES (3850, 1243, 3, 'CASILLA 23. Número de Autorización previa');
INSERT INTO `lang_definitions` VALUES (3851, 1244, 3, 'PA');
INSERT INTO `lang_definitions` VALUES (3852, 1245, 3, 'PA Diastólica');
INSERT INTO `lang_definitions` VALUES (3853, 1246, 3, 'PA Sistólica');
INSERT INTO `lang_definitions` VALUES (3854, 1248, 3, 'Pad');
INSERT INTO `lang_definitions` VALUES (3855, 1252, 3, 'Pas');
INSERT INTO `lang_definitions` VALUES (3856, 1254, 3, 'Portugués brasileño');
INSERT INTO `lang_definitions` VALUES (3857, 1255, 3, 'mama');
INSERT INTO `lang_definitions` VALUES (3858, 1256, 3, 'Biopsia de mama');
INSERT INTO `lang_definitions` VALUES (3859, 1257, 3, 'Secreción de la mama');
INSERT INTO `lang_definitions` VALUES (3860, 1258, 3, 'Enfermedad de la mama');
INSERT INTO `lang_definitions` VALUES (3861, 1259, 3, 'Revisión de mama');
INSERT INTO `lang_definitions` VALUES (3862, 1260, 3, 'Masa en la mama');
INSERT INTO `lang_definitions` VALUES (3863, 1262, 3, 'Sonidos respiratorios:');
INSERT INTO `lang_definitions` VALUES (3864, 1265, 3, 'Huesos fracturados');
INSERT INTO `lang_definitions` VALUES (3865, 1267, 3, 'Forma de bronquitis');
INSERT INTO `lang_definitions` VALUES (3866, 1270, 3, 'Explorar');
INSERT INTO `lang_definitions` VALUES (3867, 1271, 3, 'Explorar para Registro');
INSERT INTO `lang_definitions` VALUES (3868, 1272, 3, 'Contusiones/Hematomas');
INSERT INTO `lang_definitions` VALUES (3869, 1276, 3, 'Abultamiento derecho:');
INSERT INTO `lang_definitions` VALUES (3870, 1278, 3, 'Ardor al orinar');
INSERT INTO `lang_definitions` VALUES (3871, 1279, 3, 'Ardor Al Orinar');
INSERT INTO `lang_definitions` VALUES (3872, 1282, 3, 'Ocupado');
INSERT INTO `lang_definitions` VALUES (3873, 1283, 3, 'pero todavía no procesado.');
INSERT INTO `lang_definitions` VALUES (3874, 1284, 3, 'Glúteo');
INSERT INTO `lang_definitions` VALUES (3875, 1285, 3, 'Gluteos + S.I.');
INSERT INTO `lang_definitions` VALUES (3876, 1286, 3, 'por');
INSERT INTO `lang_definitions` VALUES (3877, 1287, 3, 'Por');
INSERT INTO `lang_definitions` VALUES (3878, 1293, 3, 'por boca');
INSERT INTO `lang_definitions` VALUES (3879, 1295, 3, 'Por/Origen');
INSERT INTO `lang_definitions` VALUES (3880, 1296, 3, 'Por:');
INSERT INTO `lang_definitions` VALUES (3881, 1299, 3, 'C');
INSERT INTO `lang_definitions` VALUES (3882, 1301, 3, 'Certificado de CA para verificar el RFC 5425 TLS del servidor syslog.');
INSERT INTO `lang_definitions` VALUES (3883, 1302, 3, 'Tiempo de Vida del Caché (en segundos)');
INSERT INTO `lang_definitions` VALUES (3884, 1303, 3, '¿Plantilla de salida del caché?');
INSERT INTO `lang_definitions` VALUES (3885, 1305, 3, 'Consumo de cafeína');
INSERT INTO `lang_definitions` VALUES (3886, 1306, 3, 'Calendario');
INSERT INTO `lang_definitions` VALUES (3887, 1307, 3, 'Fin Hora Calendario');
INSERT INTO `lang_definitions` VALUES (3888, 1308, 3, 'Intervalo Calendario');
INSERT INTO `lang_definitions` VALUES (3889, 1309, 3, 'Pantalla de calendario');
INSERT INTO `lang_definitions` VALUES (3890, 1310, 3, 'Ajustes del calendario');
INSERT INTO `lang_definitions` VALUES (3891, 1312, 3, 'Hora de inicio de calendario');
INSERT INTO `lang_definitions` VALUES (3892, 1313, 3, 'Calendario UI');
INSERT INTO `lang_definitions` VALUES (3893, 1314, 3, 'Vista de Calendario');
INSERT INTO `lang_definitions` VALUES (3894, 1317, 3, 'Llamada para añadir Formulario () va aquí.<br>');
INSERT INTO `lang_definitions` VALUES (3895, 1321, 3, 'Calorías');
INSERT INTO `lang_definitions` VALUES (3896, 1322, 3, 'Camboyano');
INSERT INTO `lang_definitions` VALUES (3897, 1323, 3, 'CAMOS');
INSERT INTO `lang_definitions` VALUES (3898, 1329, 3, 'Cancelar');
INSERT INTO `lang_definitions` VALUES (3899, 1332, 3, 'Cancelar cambios');
INSERT INTO `lang_definitions` VALUES (3900, 1333, 3, 'Cancelado');
INSERT INTO `lang_definitions` VALUES (3901, 1335, 3, 'Cáncer');
INSERT INTO `lang_definitions` VALUES (3902, 1336, 3, 'Detección de Cancer: Detección Cancer de Colon');
INSERT INTO `lang_definitions` VALUES (3903, 1337, 3, 'Detección de Cancer: Mamografía');
INSERT INTO `lang_definitions` VALUES (3904, 1338, 3, 'Detección de Cancer: Prueba de Papanicolau');
INSERT INTO `lang_definitions` VALUES (3905, 1339, 3, 'Detección de Cancer: Detección de Cancer de Próstata');
INSERT INTO `lang_definitions` VALUES (3906, 1340, 3, 'No se puede agregar esta entrada, ¡porque ya existe!');
INSERT INTO `lang_definitions` VALUES (3907, 1341, 3, '¡No se puede agregar/actualizar esta entrada porque ya existe un duplicado!');
INSERT INTO `lang_definitions` VALUES (3908, 1343, 3, 'no puede convertirse a JPEG. ¿probablemente ImageMagick no está instalado?');
INSERT INTO `lang_definitions` VALUES (3909, 1345, 3, 'no se puede mostrar en línea porque su tipo no está soportado por el navegador.');
INSERT INTO `lang_definitions` VALUES (3910, 1346, 3, 'no se puede mostrar en línea porque su tipo no está soportado por el navegador');
INSERT INTO `lang_definitions` VALUES (3911, 1347, 3, 'no se puede mostrar en línea porque su tipo no está soportado por el navegador.');
INSERT INTO `lang_definitions` VALUES (3912, 1349, 3, 'No se puede crear');
INSERT INTO `lang_definitions` VALUES (3913, 1354, 3, 'No se puede encontrar');
INSERT INTO `lang_definitions` VALUES (3914, 1355, 3, 'No se puede encontrar fichero de destino');
INSERT INTO `lang_definitions` VALUES (3915, 1358, 3, 'No puede encontrar al paciente con ese ID de cliente en SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (3916, 1359, 3, 'No se puede encontrar el documento de referencia de postscript en');
INSERT INTO `lang_definitions` VALUES (3917, 1360, 3, 'No puede encontrar al facultativo con SQL-Ledger empleado');
INSERT INTO `lang_definitions` VALUES (3918, 1361, 3, 'No puede modificar los pagos. La no-distribución es negativa.');
INSERT INTO `lang_definitions` VALUES (3919, 1363, 3, 'No se puede abrir');
INSERT INTO `lang_definitions` VALUES (3920, 1364, 3, 'No se puede enviar al seguro.La entidad pagadora seleccionada es el paciente.');
INSERT INTO `lang_definitions` VALUES (3921, 1365, 3, 'No puede enviar al Paciente. La Entidad pagadora seleccionada es el seguro.');
INSERT INTO `lang_definitions` VALUES (3922, 1366, 3, 'No puede enviar pagos. La distribución es negativa.');
INSERT INTO `lang_definitions` VALUES (3923, 1367, 3, 'No se puede leer');
INSERT INTO `lang_definitions` VALUES (3924, 1368, 3, 'No se puede leer el directorio');
INSERT INTO `lang_definitions` VALUES (3925, 1369, 3, '¡No se puede actualizar porque no está editando una entrada existente!.');
INSERT INTO `lang_definitions` VALUES (3926, 1370, 3, 'Poner en Mayúsculas');
INSERT INTO `lang_definitions` VALUES (3927, 1372, 3, 'cápsula');
INSERT INTO `lang_definitions` VALUES (3928, 1373, 3, 'Tarjeta');
INSERT INTO `lang_definitions` VALUES (3929, 1382, 3, 'Cateterismo Cardiaco');
INSERT INTO `lang_definitions` VALUES (3930, 1383, 3, 'Ecocardiograma');
INSERT INTO `lang_definitions` VALUES (3931, 1384, 3, 'Cardiovascular');
INSERT INTO `lang_definitions` VALUES (3932, 1396, 3, 'Daño de cartílago/ condral / disco articular.');
INSERT INTO `lang_definitions` VALUES (3933, 1397, 3, 'Lesión de cartílago');
INSERT INTO `lang_definitions` VALUES (3934, 1398, 3, 'Nl Pulsos Carotideos, pulsos pedios nl');
INSERT INTO `lang_definitions` VALUES (3935, 1400, 3, 'efectivo');
INSERT INTO `lang_definitions` VALUES (3936, 1401, 3, 'Efectivo');
INSERT INTO `lang_definitions` VALUES (3937, 1402, 3, 'Entradas Efectivo');
INSERT INTO `lang_definitions` VALUES (3938, 1403, 3, 'Entradas de efectivo por facultativo');
INSERT INTO `lang_definitions` VALUES (3939, 1406, 3, 'Cirugía de cataratas');
INSERT INTO `lang_definitions` VALUES (3940, 1407, 3, 'Cataratas');
INSERT INTO `lang_definitions` VALUES (3941, 1408, 3, 'Categorías');
INSERT INTO `lang_definitions` VALUES (3942, 1409, 3, 'Categorías para');
INSERT INTO `lang_definitions` VALUES (3943, 1410, 3, 'Categoría');
INSERT INTO `lang_definitions` VALUES (3944, 1411, 3, 'categoría');
INSERT INTO `lang_definitions` VALUES (3945, 1412, 3, 'Categoría');
INSERT INTO `lang_definitions` VALUES (3946, 1416, 3, 'Detalles de Categoría');
INSERT INTO `lang_definitions` VALUES (3947, 1417, 3, 'Límites de Categoría');
INSERT INTO `lang_definitions` VALUES (3948, 1418, 3, 'Nombre de Categoría');
INSERT INTO `lang_definitions` VALUES (3949, 1419, 3, 'Nombre de la Categoria está vacío');
INSERT INTO `lang_definitions` VALUES (3950, 1420, 3, 'Categoría/Título');
INSERT INTO `lang_definitions` VALUES (3951, 1421, 3, 'Caucásico');
INSERT INTO `lang_definitions` VALUES (3952, 1422, 3, 'Imprime la receta de la visita con la información del proveedor primario');
INSERT INTO `lang_definitions` VALUES (3953, 1442, 3, 'CDR');
INSERT INTO `lang_definitions` VALUES (3954, 1444, 3, 'Celda');
INSERT INTO `lang_definitions` VALUES (3955, 1445, 3, 'Teléfono Móvil');
INSERT INTO `lang_definitions` VALUES (3956, 1447, 3, 'Teléfono Móvil');
INSERT INTO `lang_definitions` VALUES (3957, 1449, 3, 'Certificación central');
INSERT INTO `lang_definitions` VALUES (3958, 1451, 3, 'Centroamericano/Sudamericano');
INSERT INTO `lang_definitions` VALUES (3959, 1452, 3, 'La localización del fichero de Certificado de Autoridad crt no puede estar vacía');
INSERT INTO `lang_definitions` VALUES (3960, 1453, 3, 'La localizacion de la clave del fichero del Certificado de Autoridad no puede estar vacía');
INSERT INTO `lang_definitions` VALUES (3961, 1454, 3, 'Certificado para enviar a la RFC 5425 TLS del servidor syslog.');
INSERT INTO `lang_definitions` VALUES (3962, 1455, 3, 'Usuario del Certificado');
INSERT INTO `lang_definitions` VALUES (3963, 1456, 3, 'Certificados');
INSERT INTO `lang_definitions` VALUES (3964, 1458, 3, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (3965, 1459, 3, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (3966, 1460, 3, 'cambiar');
INSERT INTO `lang_definitions` VALUES (3967, 1461, 3, 'Cambio');
INSERT INTO `lang_definitions` VALUES (3968, 1462, 3, 'Cambia actividad');
INSERT INTO `lang_definitions` VALUES (3969, 1467, 3, 'Cambio en la Visión');
INSERT INTO `lang_definitions` VALUES (3970, 1468, 3, 'Cambio en la Visión');
INSERT INTO `lang_definitions` VALUES (3971, 1475, 3, 'Cambiado');
INSERT INTO `lang_definitions` VALUES (3972, 1476, 3, 'Intestino Cambiado');
INSERT INTO `lang_definitions` VALUES (3973, 1484, 3, 'Características');
INSERT INTO `lang_definitions` VALUES (3974, 1485, 3, 'Caracteres Restantes');
INSERT INTO `lang_definitions` VALUES (3975, 1486, 3, 'Cargo');
INSERT INTO `lang_definitions` VALUES (3976, 1487, 3, 'Ajuste del cargo');
INSERT INTO `lang_definitions` VALUES (3977, 1488, 3, 'Cobro codificado');
INSERT INTO `lang_definitions` VALUES (3978, 1490, 3, 'Cargos');
INSERT INTO `lang_definitions` VALUES (3979, 1491, 3, 'Historia');
INSERT INTO `lang_definitions` VALUES (3980, 1492, 3, 'Gráfico de Actividad');
INSERT INTO `lang_definitions` VALUES (3981, 1493, 3, 'Informe de Actividad - Entradas/Salidas de gráficos');
INSERT INTO `lang_definitions` VALUES (3982, 1495, 3, 'Nº Identificación de gráfico');
INSERT INTO `lang_definitions` VALUES (3983, 1496, 3, 'Nº Identificación de gráfico:');
INSERT INTO `lang_definitions` VALUES (3984, 1498, 3, 'Actividad de Localización de Gráficos');
INSERT INTO `lang_definitions` VALUES (3985, 1499, 3, 'Nota en el gráfico');
INSERT INTO `lang_definitions` VALUES (3986, 1500, 3, 'Número de gráfico');
INSERT INTO `lang_definitions` VALUES (3987, 1502, 3, 'Gráfico de Localizaciones archivadas');
INSERT INTO `lang_definitions` VALUES (3988, 1504, 3, 'Gráfico de seguimiento');
INSERT INTO `lang_definitions` VALUES (3989, 1505, 3, 'Gráfico de seguimiento');
INSERT INTO `lang_definitions` VALUES (3990, 1508, 3, 'Gráficas retiradas');
INSERT INTO `lang_definitions` VALUES (3991, 1509, 3, 'Gráficas retiradas');
INSERT INTO `lang_definitions` VALUES (3992, 1513, 3, 'Comprobar');
INSERT INTO `lang_definitions` VALUES (3993, 1514, 3, 'comprobar');
INSERT INTO `lang_definitions` VALUES (3994, 1515, 3, 'Comprobar todo');
INSERT INTO `lang_definitions` VALUES (3995, 1517, 3, 'Importe del cheque');
INSERT INTO `lang_definitions` VALUES (3996, 1519, 3, 'Fecha del cheque');
INSERT INTO `lang_definitions` VALUES (3997, 1521, 3, 'Comprobar diferencias entre las traducciones con Tabla del Idioma Personalizada');
INSERT INTO `lang_definitions` VALUES (3998, 1527, 3, 'Llegue a');
INSERT INTO `lang_definitions` VALUES (3999, 1528, 3, 'Comprobar Fecha Entrada');
INSERT INTO `lang_definitions` VALUES (4000, 1530, 3, 'Revisar los Resultados de Laboratorio');
INSERT INTO `lang_definitions` VALUES (4001, 1533, 3, 'Número de cheque');
INSERT INTO `lang_definitions` VALUES (4002, 1536, 3, 'Pago por Cheque');
INSERT INTO `lang_definitions` VALUES (4003, 1537, 3, 'Marque la casilla si es un fichero encriptado');
INSERT INTO `lang_definitions` VALUES (4004, 1541, 3, 'Selecciona ésto si quiere que los facultativos vean todas las citas por defecto y no sólo las suyas.');
INSERT INTO `lang_definitions` VALUES (4005, 1545, 3, 'Comprobar Fecha/EOB:');
INSERT INTO `lang_definitions` VALUES (4006, 1547, 3, 'Comprobar Número EOB.:');
INSERT INTO `lang_definitions` VALUES (4007, 1548, 3, 'Comprobar/Número de Referencia');
INSERT INTO `lang_definitions` VALUES (4008, 1549, 3, 'Comprobar/Número de referencia');
INSERT INTO `lang_definitions` VALUES (4009, 1550, 3, 'Lista de casillas');
INSERT INTO `lang_definitions` VALUES (4010, 1551, 3, 'Lista de casillas');
INSERT INTO `lang_definitions` VALUES (4011, 1552, 3, 'Casilla con Texto');
INSERT INTO `lang_definitions` VALUES (4012, 1553, 3, 'Casilla con texto');
INSERT INTO `lang_definitions` VALUES (4013, 1557, 3, 'Comprobado');
INSERT INTO `lang_definitions` VALUES (4014, 1559, 3, 'Casilla marcada = sí, vacía = no');
INSERT INTO `lang_definitions` VALUES (4015, 1568, 3, 'Comprobación');
INSERT INTO `lang_definitions` VALUES (4016, 1569, 3, 'Sumatorio');
INSERT INTO `lang_definitions` VALUES (4017, 1570, 3, 'Pecho');
INSERT INTO `lang_definitions` VALUES (4018, 1571, 3, 'Pecho CTAB');
INSERT INTO `lang_definitions` VALUES (4019, 1572, 3, 'Dolor de Pecho');
INSERT INTO `lang_definitions` VALUES (4020, 1573, 3, 'Dolor de Pecho:');
INSERT INTO `lang_definitions` VALUES (4021, 1574, 3, 'Dolores de Pecho');
INSERT INTO `lang_definitions` VALUES (4022, 1576, 3, 'Var');
INSERT INTO `lang_definitions` VALUES (4023, 1578, 3, 'Síntoma Principal');
INSERT INTO `lang_definitions` VALUES (4024, 1581, 3, 'Niño');
INSERT INTO `lang_definitions` VALUES (4025, 1583, 3, 'Estado de vacunación de la niñez (GCC)');
INSERT INTO `lang_definitions` VALUES (4026, 1584, 3, 'Escalofríos');
INSERT INTO `lang_definitions` VALUES (4027, 1585, 3, 'Chino');
INSERT INTO `lang_definitions` VALUES (4028, 1586, 3, 'Chino (simplificado)');
INSERT INTO `lang_definitions` VALUES (4029, 1587, 3, 'Chino (tradicional)');
INSERT INTO `lang_definitions` VALUES (4030, 1589, 3, 'Opciones');
INSERT INTO `lang_definitions` VALUES (4031, 1590, 3, 'Colecistectomía');
INSERT INTO `lang_definitions` VALUES (4032, 1592, 3, 'Colecistectomía');
INSERT INTO `lang_definitions` VALUES (4033, 1593, 3, 'Elegir');
INSERT INTO `lang_definitions` VALUES (4034, 1596, 3, 'Elija una sección y haga click en un elemento dentro de ella; luego, en la otra sección, verá remarcados los elementos relacionados, puede hacer click en esa sección para añadir y borrar relaciones.');
INSERT INTO `lang_definitions` VALUES (4035, 1597, 3, 'Criterios de selección');
INSERT INTO `lang_definitions` VALUES (4036, 1605, 3, 'Lista de Selecciones');
INSERT INTO `lang_definitions` VALUES (4037, 1611, 3, 'Seleccione formato de impresión para este informe de visitas.');
INSERT INTO `lang_definitions` VALUES (4038, 1615, 3, 'Bronquitis Crónica');
INSERT INTO `lang_definitions` VALUES (4039, 1616, 3, 'Dolor crónico de articulaciones');
INSERT INTO `lang_definitions` VALUES (4040, 1617, 3, 'Enfermedad Renal Crónica (ERC)');
INSERT INTO `lang_definitions` VALUES (4041, 1620, 3, 'Sinovitis crónica/derrame/dolor articular/gota');
INSERT INTO `lang_definitions` VALUES (4042, 1622, 3, 'Crónico/Recurrente');
INSERT INTO `lang_definitions` VALUES (4043, 1625, 3, 'Cirrosis de hígado');
INSERT INTO `lang_definitions` VALUES (4044, 1626, 3, 'Cirrosis del Hígado');
INSERT INTO `lang_definitions` VALUES (4045, 1627, 3, 'Ciudad');
INSERT INTO `lang_definitions` VALUES (4046, 1629, 3, 'Nombre de Ciudad');
INSERT INTO `lang_definitions` VALUES (4047, 1630, 3, 'Ciudad, Provincia');
INSERT INTO `lang_definitions` VALUES (4048, 1631, 3, 'Ciudad, Código Postal');
INSERT INTO `lang_definitions` VALUES (4049, 1633, 3, 'Ciudad/Provincia');
INSERT INTO `lang_definitions` VALUES (4050, 1634, 3, 'Reclamación');
INSERT INTO `lang_definitions` VALUES (4051, 1635, 3, 'Reclamación');
INSERT INTO `lang_definitions` VALUES (4052, 1638, 3, 'Prueba de Reclamación ha terminado');
INSERT INTO `lang_definitions` VALUES (4053, 1639, 3, 'Tipo de Reclamación');
INSERT INTO `lang_definitions` VALUES (4054, 1640, 3, 'Reclamación generada para presentar');
INSERT INTO `lang_definitions` VALUES (4055, 1641, 3, 'La Reclamación se ha guardado en el fichero');
INSERT INTO `lang_definitions` VALUES (4056, 1642, 3, 'Reclamaciones');
INSERT INTO `lang_definitions` VALUES (4057, 1645, 3, 'Clasificación');
INSERT INTO `lang_definitions` VALUES (4058, 1646, 3, 'Limpiar');
INSERT INTO `lang_definitions` VALUES (4059, 1651, 3, 'Limpiar todos');
INSERT INTO `lang_definitions` VALUES (4060, 1654, 3, 'Limpiar Datos HL7');
INSERT INTO `lang_definitions` VALUES (4061, 1655, 3, 'Limpiar Justificación');
INSERT INTO `lang_definitions` VALUES (4062, 1659, 3, 'Vaciar Cache Smarty');
INSERT INTO `lang_definitions` VALUES (4063, 1661, 3, 'Información requerida por la Cámara de compensación en la creación del Batch EDI 270');
INSERT INTO `lang_definitions` VALUES (4064, 1662, 3, 'Número CLIA');
INSERT INTO `lang_definitions` VALUES (4065, 1663, 3, 'Click');
INSERT INTO `lang_definitions` VALUES (4066, 1664, 3, 'Click \'export\' para exportar su Categoría, Subcategoría, Item o Datos contenidos a un fichero de texto. Cualquier similitud de este fichero con un fichero tipo XML es pura coincidencia. Las etiquetas de abrir y cerrar deben estar en la misma línea y deben ser minúsculas sin espacios. Para importar, localize el fichero y click \'Importar\'. Si los datos son completamente diferentes se unen a los datos existentes. Si hay datos con nombres similares, el nombre más antiguo se mantiene mientras que al nuevo se le agrega un número al final.');
INSERT INTO `lang_definitions` VALUES (4067, 1667, 3, 'Click en el gráfico para nueva anotacion, click de nuevo para eliminarla.');
INSERT INTO `lang_definitions` VALUES (4068, 1671, 3, 'Click descargar Certificado para descargar los certificados en el fichero ssl.zip');
INSERT INTO `lang_definitions` VALUES (4069, 1672, 3, 'Click para más');
INSERT INTO `lang_definitions` VALUES (4070, 1678, 3, 'Click aquí');
INSERT INTO `lang_definitions` VALUES (4071, 1679, 3, 'Click aquí para añadir un nuevo paciente.');
INSERT INTO `lang_definitions` VALUES (4072, 1680, 3, 'Click aqui para añadir un nuevo cambio de estado de la lesion y editar la actividad diaria.');
INSERT INTO `lang_definitions` VALUES (4073, 1682, 3, 'Click aquí para elegir una fecha');
INSERT INTO `lang_definitions` VALUES (4074, 1683, 3, 'Click aquí para elegir una fecha y hora');
INSERT INTO `lang_definitions` VALUES (4075, 1684, 3, 'Click aquí para elegir una fecha de inicio');
INSERT INTO `lang_definitions` VALUES (4076, 1707, 3, 'Click aquí para buscar');
INSERT INTO `lang_definitions` VALUES (4077, 1710, 3, 'Click aquí para actualizar configuración de prioridad, categoría y apodos');
INSERT INTO `lang_definitions` VALUES (4078, 1714, 3, 'Click aquí para ver todo.');
INSERT INTO `lang_definitions` VALUES (4079, 1715, 3, 'Click aqui para vista y gráficos');
INSERT INTO `lang_definitions` VALUES (4080, 1717, 3, 'Click aquí para vista y grafico de todas las constantes vitales.');
INSERT INTO `lang_definitions` VALUES (4081, 1718, 3, 'Click aquí para ver los detalles del paciente');
INSERT INTO `lang_definitions` VALUES (4082, 1719, 3, 'Click aquí para ver todos.');
INSERT INTO `lang_definitions` VALUES (4083, 1723, 3, 'Click botón Instalar para instalar la versión de la base de datos desde la siguiente fecha');
INSERT INTO `lang_definitions` VALUES (4084, 1730, 3, 'Click aquí para aumentar los intervalos de tiempo');
INSERT INTO `lang_definitions` VALUES (4085, 1751, 3, 'Click en Nombre Paciente para abrir el fichero del paciente');
INSERT INTO `lang_definitions` VALUES (4086, 1753, 3, 'Click Refrescar para ver todos los resultados o introduzca un criterio de búsqueda arriba para ver resultados específicos.');
INSERT INTO `lang_definitions` VALUES (4087, 1779, 3, 'Nuevo Paciente');
INSERT INTO `lang_definitions` VALUES (4088, 1780, 3, 'Click para agregar nueva consulta');
INSERT INTO `lang_definitions` VALUES (4089, 1785, 3, 'Click para descargar');
INSERT INTO `lang_definitions` VALUES (4090, 1786, 3, 'Click para editar');
INSERT INTO `lang_definitions` VALUES (4091, 1788, 3, 'Click para editar este evento');
INSERT INTO `lang_definitions` VALUES (4092, 1790, 3, 'Click para generar el informe');
INSERT INTO `lang_definitions` VALUES (4093, 1800, 3, 'Click para imprimir');
INSERT INTO `lang_definitions` VALUES (4094, 1801, 3, 'Click para recibir (añadir) nuevo lote');
INSERT INTO `lang_definitions` VALUES (4095, 1805, 3, 'Click para seleccionar');
INSERT INTO `lang_definitions` VALUES (4096, 1806, 3, 'Click Para Seleccionar');
INSERT INTO `lang_definitions` VALUES (4097, 1808, 3, 'Click para seleccionar un código estándar industrial para este procedimiento');
INSERT INTO `lang_definitions` VALUES (4098, 1811, 3, 'Click para seleccionar el codigo de procedimiento opcional');
INSERT INTO `lang_definitions` VALUES (4099, 1813, 3, 'Click para seleccionar o cambiar código CVX');
INSERT INTO `lang_definitions` VALUES (4100, 1814, 3, 'Click para seleccionar o cambiar diagnósticos');
INSERT INTO `lang_definitions` VALUES (4101, 1815, 3, 'Click para seleccionar o cambiar códigos de servicios');
INSERT INTO `lang_definitions` VALUES (4102, 1816, 3, 'Click para seleccionar el paciente');
INSERT INTO `lang_definitions` VALUES (4103, 1817, 3, 'Click para seleccionar un código relacionado');
INSERT INTO `lang_definitions` VALUES (4104, 1819, 3, 'Click para seleccionar servicios a realizar si este resultado es anormal');
INSERT INTO `lang_definitions` VALUES (4105, 1822, 3, 'Click para seleccionar el procedimiento deseado');
INSERT INTO `lang_definitions` VALUES (4106, 1831, 3, 'Click para ver');
INSERT INTO `lang_definitions` VALUES (4107, 1833, 3, 'Click para ver o editar');
INSERT INTO `lang_definitions` VALUES (4108, 1834, 3, 'Click para ver/editar');
INSERT INTO `lang_definitions` VALUES (4109, 1836, 3, 'Click botón Actualizar para actualizar la versión de la base de datos desde la fecha siguiente');
INSERT INTO `lang_definitions` VALUES (4110, 1839, 3, 'Click:');
INSERT INTO `lang_definitions` VALUES (4111, 1862, 3, 'Días para Vencimiento del Certificado del Cliente');
INSERT INTO `lang_definitions` VALUES (4112, 1864, 3, 'Periodo de validación del Certificado del Cliente');
INSERT INTO `lang_definitions` VALUES (4113, 1865, 3, 'El certificado de validación del cliente debe ser un número válido');
INSERT INTO `lang_definitions` VALUES (4114, 1866, 3, 'Copia para el cliente');
INSERT INTO `lang_definitions` VALUES (4115, 1869, 3, 'Resumen de historia clínica del cliente');
INSERT INTO `lang_definitions` VALUES (4116, 1873, 3, 'Perfil de cliente - Nuevos Clientes');
INSERT INTO `lang_definitions` VALUES (4117, 1874, 3, 'Perfil de cliente - Clientes Únicos');
INSERT INTO `lang_definitions` VALUES (4118, 1878, 3, 'Clientes');
INSERT INTO `lang_definitions` VALUES (4119, 1879, 3, 'Clínica');
INSERT INTO `lang_definitions` VALUES (4120, 1880, 3, 'Copia para la Clínica');
INSERT INTO `lang_definitions` VALUES (4121, 1881, 3, 'Registro Diario de la Clínica');
INSERT INTO `lang_definitions` VALUES (4122, 1882, 3, 'Nº Identificación de Clínica');
INSERT INTO `lang_definitions` VALUES (4123, 1883, 3, 'Clínico');
INSERT INTO `lang_definitions` VALUES (4124, 1884, 3, 'Gestor de Alertas para las Reglas de Decisión Clinicas');
INSERT INTO `lang_definitions` VALUES (4125, 1889, 3, 'Planes Clínicos');
INSERT INTO `lang_definitions` VALUES (4126, 1890, 3, 'Medidas de Calidad Clínica (GCC)');
INSERT INTO `lang_definitions` VALUES (4127, 1893, 3, 'Recordatorios Clínicos');
INSERT INTO `lang_definitions` VALUES (4128, 1897, 3, 'Reportes Clínicos');
INSERT INTO `lang_definitions` VALUES (4129, 1898, 3, 'Reglas Clínicas para Categoría de Acción');
INSERT INTO `lang_definitions` VALUES (4130, 1899, 3, 'Reglas Clínicas para Asunto de Acción');
INSERT INTO `lang_definitions` VALUES (4131, 1900, 3, 'Reglas Clínicas para Métodos de filtro');
INSERT INTO `lang_definitions` VALUES (4132, 1901, 3, 'Reglas Clínicas para Objetivo de Métodos');
INSERT INTO `lang_definitions` VALUES (4133, 1902, 3, 'Reglas Clínicas');
INSERT INTO `lang_definitions` VALUES (4134, 1903, 3, 'Reglas Clínicas para Intervalos de Edad');
INSERT INTO `lang_definitions` VALUES (4135, 1904, 3, 'Reglas Clínicas de Comparación');
INSERT INTO `lang_definitions` VALUES (4136, 1905, 3, 'Reglas Clínicas de Tipos de Visitas');
INSERT INTO `lang_definitions` VALUES (4137, 1906, 3, 'Reglas Clínicas de opciones de Vencimientos de Recordatorios');
INSERT INTO `lang_definitions` VALUES (4138, 1907, 3, 'Reglas Clínicas de opciones de Desactivación de Recordatorios');
INSERT INTO `lang_definitions` VALUES (4139, 1908, 3, 'Reglas Clínicas de intervalos de recordatorios');
INSERT INTO `lang_definitions` VALUES (4140, 1909, 3, 'Reglas Clínicas de Métodos de Recordatorios');
INSERT INTO `lang_definitions` VALUES (4141, 1910, 3, 'Reglas Clínicas de Intervalos de Destino');
INSERT INTO `lang_definitions` VALUES (4142, 1911, 3, 'Destinos Clínicos');
INSERT INTO `lang_definitions` VALUES (4143, 1914, 3, 'Vista de Clínica');
INSERT INTO `lang_definitions` VALUES (4144, 1915, 3, 'Médicos');
INSERT INTO `lang_definitions` VALUES (4145, 1916, 3, 'Clonar');
INSERT INTO `lang_definitions` VALUES (4146, 1917, 3, 'Clonar Visita Anterior');
INSERT INTO `lang_definitions` VALUES (4147, 1918, 3, 'Cerrar');
INSERT INTO `lang_definitions` VALUES (4148, 1924, 3, 'Cerrar Ventana');
INSERT INTO `lang_definitions` VALUES (4149, 1925, 3, 'cerrar ventana');
INSERT INTO `lang_definitions` VALUES (4150, 1927, 3, 'Cerrado');
INSERT INTO `lang_definitions` VALUES (4151, 1928, 3, 'cm');
INSERT INTO `lang_definitions` VALUES (4152, 1931, 3, 'Margenes del formulario CMS 1500');
INSERT INTO `lang_definitions` VALUES (4153, 1940, 3, 'CMS ID');
INSERT INTO `lang_definitions` VALUES (4154, 1955, 3, 'NC 2-12 Intacto');
INSERT INTO `lang_definitions` VALUES (4155, 1958, 3, 'Copago');
INSERT INTO `lang_definitions` VALUES (4156, 1959, 3, 'Copago pagado');
INSERT INTO `lang_definitions` VALUES (4157, 1962, 3, 'Copago');
INSERT INTO `lang_definitions` VALUES (4158, 1964, 3, 'Código');
INSERT INTO `lang_definitions` VALUES (4159, 1965, 3, 'código');
INSERT INTO `lang_definitions` VALUES (4160, 1967, 3, 'Buscador de Código');
INSERT INTO `lang_definitions` VALUES (4161, 1968, 3, 'Código debe ser dos letras en minúscula');
INSERT INTO `lang_definitions` VALUES (4162, 1969, 3, 'Código o símbolo para indicar moneda');
INSERT INTO `lang_definitions` VALUES (4163, 1971, 3, 'Código de Texto');
INSERT INTO `lang_definitions` VALUES (4164, 1973, 3, 'tipo de código');
INSERT INTO `lang_definitions` VALUES (4165, 1976, 3, 'Típos de Código');
INSERT INTO `lang_definitions` VALUES (4166, 1978, 3, 'Codificado');
INSERT INTO `lang_definitions` VALUES (4167, 1979, 3, 'Códigos');
INSERT INTO `lang_definitions` VALUES (4168, 1981, 3, 'Codificando');
INSERT INTO `lang_definitions` VALUES (4169, 1983, 3, 'Codificación - cualquier visita(escribir, con algunas opciones)');
INSERT INTO `lang_definitions` VALUES (4170, 1985, 3, 'Codificación - mis visitas(escribir, con algunas opciones)');
INSERT INTO `lang_definitions` VALUES (4171, 1990, 3, 'Codificación no autorizada');
INSERT INTO `lang_definitions` VALUES (4172, 1991, 3, 'Café');
INSERT INTO `lang_definitions` VALUES (4173, 1994, 3, 'Coseguro');
INSERT INTO `lang_definitions` VALUES (4174, 1995, 3, 'Coll w/o');
INSERT INTO `lang_definitions` VALUES (4175, 1997, 3, 'Contraer');
INSERT INTO `lang_definitions` VALUES (4176, 1998, 3, 'contraer');
INSERT INTO `lang_definitions` VALUES (4177, 1999, 3, 'Contraer Todo');
INSERT INTO `lang_definitions` VALUES (4178, 2000, 3, 'Contraer todo');
INSERT INTO `lang_definitions` VALUES (4179, 2001, 3, 'contraer todo');
INSERT INTO `lang_definitions` VALUES (4180, 2005, 3, 'Fecha de recolecciòn');
INSERT INTO `lang_definitions` VALUES (4181, 2007, 3, 'Recobro');
INSERT INTO `lang_definitions` VALUES (4182, 2008, 3, 'Informe de Recobro');
INSERT INTO `lang_definitions` VALUES (4183, 2009, 3, 'Cáncer de colon');
INSERT INTO `lang_definitions` VALUES (4184, 2010, 3, 'Detección de Cáncer de colon');
INSERT INTO `lang_definitions` VALUES (4185, 2011, 3, 'Cirugía de Cáncer de colon');
INSERT INTO `lang_definitions` VALUES (4186, 2012, 3, 'Colonoscopia');
INSERT INTO `lang_definitions` VALUES (4187, 2013, 3, 'colonoscopía');
INSERT INTO `lang_definitions` VALUES (4188, 2014, 3, 'Color');
INSERT INTO `lang_definitions` VALUES (4189, 2020, 3, 'Abreviatura de color');
INSERT INTO `lang_definitions` VALUES (4190, 2021, 3, 'Colunma');
INSERT INTO `lang_definitions` VALUES (4191, 2022, 3, 'Columnas');
INSERT INTO `lang_definitions` VALUES (4192, 2024, 3, 'Combinando Lotes');
INSERT INTO `lang_definitions` VALUES (4193, 2025, 3, 'Coma');
INSERT INTO `lang_definitions` VALUES (4194, 2027, 3, 'Comentario');
INSERT INTO `lang_definitions` VALUES (4195, 2028, 3, 'Comentarios');
INSERT INTO `lang_definitions` VALUES (4196, 2030, 3, 'Comentarios para este resultado o recomendación');
INSERT INTO `lang_definitions` VALUES (4197, 2031, 3, 'Sociedad Comercial de Seguros');
INSERT INTO `lang_definitions` VALUES (4198, 2032, 3, 'Guardar Cambios');
INSERT INTO `lang_definitions` VALUES (4199, 2036, 3, 'Comunicaciones');
INSERT INTO `lang_definitions` VALUES (4200, 2039, 3, 'Compañía');
INSERT INTO `lang_definitions` VALUES (4201, 2040, 3, 'Nombre Empresa');
INSERT INTO `lang_definitions` VALUES (4202, 2041, 3, 'Completo');
INSERT INTO `lang_definitions` VALUES (4203, 2043, 3, 'Terminado');
INSERT INTO `lang_definitions` VALUES (4204, 2046, 3, 'Terminado?');
INSERT INTO `lang_definitions` VALUES (4205, 2049, 3, 'Conplicaciones por el proveedor de servicios');
INSERT INTO `lang_definitions` VALUES (4206, 2050, 3, 'Complicaciones de aborto');
INSERT INTO `lang_definitions` VALUES (4207, 2051, 3, 'Componentes');
INSERT INTO `lang_definitions` VALUES (4208, 2057, 3, 'Sistema Computarizado de Pedidos Médicos');
INSERT INTO `lang_definitions` VALUES (4209, 2058, 3, 'Conclusiones');
INSERT INTO `lang_definitions` VALUES (4210, 2063, 3, 'Config');
INSERT INTO `lang_definitions` VALUES (4211, 2064, 3, 'Configuración');
INSERT INTO `lang_definitions` VALUES (4212, 2065, 3, 'Configuración Exportar/Importar');
INSERT INTO `lang_definitions` VALUES (4213, 2067, 3, 'Configure Apache y OpenEMR para usar certificados SSL del Cliente');
INSERT INTO `lang_definitions` VALUES (4214, 2068, 3, 'Configure Apache para usar certificados SSL del Cliente');
INSERT INTO `lang_definitions` VALUES (4215, 2069, 3, 'Configure Apache para usar HTTPS');
INSERT INTO `lang_definitions` VALUES (4216, 2070, 3, 'Configure Openemr para usar certificado SSL del Cliente');
INSERT INTO `lang_definitions` VALUES (4217, 2079, 3, 'Confirma Crear Nuevo Paciente');
INSERT INTO `lang_definitions` VALUES (4218, 2081, 3, 'Confirmar Nueva Contraseña');
INSERT INTO `lang_definitions` VALUES (4219, 2083, 3, 'Confirmar Pago');
INSERT INTO `lang_definitions` VALUES (4220, 2092, 3, 'Congénito');
INSERT INTO `lang_definitions` VALUES (4221, 2094, 3, 'Conjuntiva, pupilas');
INSERT INTO `lang_definitions` VALUES (4222, 2097, 3, 'Conectores');
INSERT INTO `lang_definitions` VALUES (4223, 2098, 3, 'Constante');
INSERT INTO `lang_definitions` VALUES (4224, 2100, 3, 'Nombre constante');
INSERT INTO `lang_definitions` VALUES (4225, 2101, 3, 'Nombre constante está en blanco');
INSERT INTO `lang_definitions` VALUES (4226, 2102, 3, 'constantes');
INSERT INTO `lang_definitions` VALUES (4227, 2103, 3, 'Estreñimiento');
INSERT INTO `lang_definitions` VALUES (4228, 2104, 3, 'Constitucional');
INSERT INTO `lang_definitions` VALUES (4229, 2107, 3, 'Breve Descripción de Consulta');
INSERT INTO `lang_definitions` VALUES (4230, 2109, 3, 'Contacto');
INSERT INTO `lang_definitions` VALUES (4231, 2110, 3, 'email del contacto');
INSERT INTO `lang_definitions` VALUES (4232, 2111, 3, 'email de contacto');
INSERT INTO `lang_definitions` VALUES (4233, 2113, 3, 'Informacion de contacto');
INSERT INTO `lang_definitions` VALUES (4234, 2117, 3, 'Lentes de Contacto');
INSERT INTO `lang_definitions` VALUES (4235, 2122, 3, 'Nombre del contacto');
INSERT INTO `lang_definitions` VALUES (4236, 2125, 3, 'Persona de Contacto');
INSERT INTO `lang_definitions` VALUES (4237, 2127, 3, 'Número de Teléfono de Contacto');
INSERT INTO `lang_definitions` VALUES (4238, 2129, 3, 'Contactar ZMG, LLC (zmghealth@gmail.com) para suscribir el servicio de receta electrónica');
INSERT INTO `lang_definitions` VALUES (4239, 2131, 3, 'contiene por lo menos tres de las cuatro cosas siguientes:');
INSERT INTO `lang_definitions` VALUES (4240, 2133, 3, 'Contenido');
INSERT INTO `lang_definitions` VALUES (4241, 2134, 3, 'contenido');
INSERT INTO `lang_definitions` VALUES (4242, 2136, 3, 'Contexto');
INSERT INTO `lang_definitions` VALUES (4243, 2137, 3, 'El nombre de contexto no puede estar vacío');
INSERT INTO `lang_definitions` VALUES (4244, 2138, 3, 'Continuar');
INSERT INTO `lang_definitions` VALUES (4245, 2142, 3, 'Continuidad del Documento de Atención (CCD)');
INSERT INTO `lang_definitions` VALUES (4246, 2145, 3, 'Continuidad del registro de cuidados (CCR)');
INSERT INTO `lang_definitions` VALUES (4247, 2146, 3, 'Contra Clientes');
INSERT INTO `lang_definitions` VALUES (4248, 2147, 3, 'Contracepción');
INSERT INTO `lang_definitions` VALUES (4249, 2148, 3, 'Incidencias de Anticonceptivos');
INSERT INTO `lang_definitions` VALUES (4250, 2149, 3, 'Complicación anticonceptivos (especificar)');
INSERT INTO `lang_definitions` VALUES (4251, 2150, 3, 'Método Anticonceptivo');
INSERT INTO `lang_definitions` VALUES (4252, 2151, 3, 'Productos Anticonceptivos');
INSERT INTO `lang_definitions` VALUES (4253, 2152, 3, 'Servicios anticonceptivos ya empezados');
INSERT INTO `lang_definitions` VALUES (4254, 2153, 3, 'Comienzo de anticonceptivos');
INSERT INTO `lang_definitions` VALUES (4255, 2158, 3, 'Nº Identificación de control');
INSERT INTO `lang_definitions` VALUES (4256, 2159, 3, 'N º de control');
INSERT INTO `lang_definitions` VALUES (4257, 2168, 3, 'COPAGO');
INSERT INTO `lang_definitions` VALUES (4258, 2169, 3, 'Co-pago');
INSERT INTO `lang_definitions` VALUES (4259, 2170, 3, 'Co-Pago');
INSERT INTO `lang_definitions` VALUES (4260, 2171, 3, 'El Co-pago no es positivo');
INSERT INTO `lang_definitions` VALUES (4261, 2173, 3, 'Co-pagos');
INSERT INTO `lang_definitions` VALUES (4262, 2174, 3, 'COPD');
INSERT INTO `lang_definitions` VALUES (4263, 2175, 3, 'Copiar páginas a la Historia del Paciente');
INSERT INTO `lang_definitions` VALUES (4264, 2177, 3, 'Copiar Valores');
INSERT INTO `lang_definitions` VALUES (4265, 2178, 3, 'Copiando base de datos. Puede tardar algún tiempo');
INSERT INTO `lang_definitions` VALUES (4266, 2179, 3, 'Aviso de Derechos Reservados');
INSERT INTO `lang_definitions` VALUES (4267, 2184, 3, 'Bypass coronario arterial');
INSERT INTO `lang_definitions` VALUES (4268, 2185, 3, 'Cirugía de revascularización coronaria');
INSERT INTO `lang_definitions` VALUES (4269, 2186, 3, 'Corregido');
INSERT INTO `lang_definitions` VALUES (4270, 2188, 3, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (4271, 2189, 3, 'Conexión a CouchDB fallida.');
INSERT INTO `lang_definitions` VALUES (4272, 2191, 3, 'bbdd CouchDB');
INSERT INTO `lang_definitions` VALUES (4273, 2192, 3, 'Nombre de bbdd CouchDB');
INSERT INTO `lang_definitions` VALUES (4274, 2195, 3, 'Host CouchDB');
INSERT INTO `lang_definitions` VALUES (4275, 2196, 3, 'Nombre Host CouchDB');
INSERT INTO `lang_definitions` VALUES (4276, 2197, 3, 'Activar Log CouchDB');
INSERT INTO `lang_definitions` VALUES (4277, 2198, 3, 'Contraseña CouchDB');
INSERT INTO `lang_definitions` VALUES (4278, 2199, 3, 'Puerto CouchDB');
INSERT INTO `lang_definitions` VALUES (4279, 2200, 3, 'puerto CouchDB');
INSERT INTO `lang_definitions` VALUES (4280, 2203, 3, 'Nombre usuario CouchDB');
INSERT INTO `lang_definitions` VALUES (4281, 2204, 3, 'Tos');
INSERT INTO `lang_definitions` VALUES (4282, 2205, 3, 'Tos:');
INSERT INTO `lang_definitions` VALUES (4283, 2211, 3, 'No se pudo leer el fichero');
INSERT INTO `lang_definitions` VALUES (4284, 2214, 3, 'email no enviado por problema en el servidor,');
INSERT INTO `lang_definitions` VALUES (4285, 2216, 3, 'No se pudo enviar email debido a problemas en el servidor.');
INSERT INTO `lang_definitions` VALUES (4286, 2217, 3, 'No se pudo crear el dir de backup:');
INSERT INTO `lang_definitions` VALUES (4287, 2218, 3, 'No se pudo eliminar dir:');
INSERT INTO `lang_definitions` VALUES (4288, 2219, 3, 'No se pudo eliminar el antiguo fichero de Backup:');
INSERT INTO `lang_definitions` VALUES (4289, 2220, 3, 'No se pudo eliminar el antiguo fichero de exportación:');
INSERT INTO `lang_definitions` VALUES (4290, 2221, 3, 'Tratamiento con Coumadin - Seguimiento del Ratio Internacional Normalizado (RIN)');
INSERT INTO `lang_definitions` VALUES (4291, 2222, 3, 'Counseling por Método');
INSERT INTO `lang_definitions` VALUES (4292, 2223, 3, 'Orientación');
INSERT INTO `lang_definitions` VALUES (4293, 2224, 3, 'Actividades de orientación');
INSERT INTO `lang_definitions` VALUES (4294, 2227, 3, 'FORMULARIO CONTADOR DE DERIVACIONES');
INSERT INTO `lang_definitions` VALUES (4295, 2228, 3, 'Contador-Derivación');
INSERT INTO `lang_definitions` VALUES (4296, 2229, 3, 'País');
INSERT INTO `lang_definitions` VALUES (4297, 2231, 3, 'Tipo de datos País');
INSERT INTO `lang_definitions` VALUES (4298, 2232, 3, 'Lista de País');
INSERT INTO `lang_definitions` VALUES (4299, 2233, 3, 'Lista del país (escriba, addonly opcional)');
INSERT INTO `lang_definitions` VALUES (4300, 2235, 3, 'Nombre del Pais deber ser representados por dos letras');
INSERT INTO `lang_definitions` VALUES (4301, 2236, 3, 'condado');
INSERT INTO `lang_definitions` VALUES (4302, 2238, 3, 'Cupón');
INSERT INTO `lang_definitions` VALUES (4303, 2245, 3, 'CPT');
INSERT INTO `lang_definitions` VALUES (4304, 2246, 3, 'Código CPT');
INSERT INTO `lang_definitions` VALUES (4305, 2247, 3, 'Código CPT');
INSERT INTO `lang_definitions` VALUES (4306, 2248, 3, 'Procedimiento/Servicio CPT4');
INSERT INTO `lang_definitions` VALUES (4307, 2249, 3, 'Medidas de Rendimiento CPTII');
INSERT INTO `lang_definitions` VALUES (4308, 2250, 3, 'Gestión Calidad Continua (GCC)');
INSERT INTO `lang_definitions` VALUES (4309, 2252, 3, 'Crujidos, crepitaciones');
INSERT INTO `lang_definitions` VALUES (4310, 2255, 3, 'crema');
INSERT INTO `lang_definitions` VALUES (4311, 2256, 3, 'Crear un certificado SSL del Cliente por usuario o cliente de maquina');
INSERT INTO `lang_definitions` VALUES (4312, 2257, 3, 'Crear un certificado SSL del lado del cliente, ya sea para un usuario o un nombre de host cliente.');
INSERT INTO `lang_definitions` VALUES (4313, 2269, 3, 'Crear un evento');
INSERT INTO `lang_definitions` VALUES (4314, 2273, 3, 'Crear y descargar un respaldo completo');
INSERT INTO `lang_definitions` VALUES (4315, 2275, 3, 'Crear Respaldo');
INSERT INTO `lang_definitions` VALUES (4316, 2276, 3, 'Crear batch');
INSERT INTO `lang_definitions` VALUES (4317, 2277, 3, 'Crear Certificado de Cliente');
INSERT INTO `lang_definitions` VALUES (4318, 2278, 3, 'Crear Certificados SSL del Cliente');
INSERT INTO `lang_definitions` VALUES (4319, 2281, 3, 'Crear Duplicado');
INSERT INTO `lang_definitions` VALUES (4320, 2283, 3, 'Crear backup de registro de eventos');
INSERT INTO `lang_definitions` VALUES (4321, 2285, 3, 'Crear nueva incidencia');
INSERT INTO `lang_definitions` VALUES (4322, 2287, 3, 'Crear Nuevo Paciente');
INSERT INTO `lang_definitions` VALUES (4323, 2290, 3, 'Crear Credenciales para el Portal Offsite');
INSERT INTO `lang_definitions` VALUES (4324, 2292, 3, 'Crear Credenciales para el Portal Onsite');
INSERT INTO `lang_definitions` VALUES (4325, 2294, 3, 'Crear nota de paciente');
INSERT INTO `lang_definitions` VALUES (4326, 2296, 3, 'Crear Certificado de Autoridad SSL y Certificados del Servidor.');
INSERT INTO `lang_definitions` VALUES (4327, 2297, 3, 'Crear visita');
INSERT INTO `lang_definitions` VALUES (4328, 2298, 3, 'Creado');
INSERT INTO `lang_definitions` VALUES (4329, 2306, 3, 'Creando fichero de exportación');
INSERT INTO `lang_definitions` VALUES (4330, 2309, 3, 'Creador');
INSERT INTO `lang_definitions` VALUES (4331, 2311, 3, 'crédito');
INSERT INTO `lang_definitions` VALUES (4332, 2312, 3, 'Tarjeta de Credito');
INSERT INTO `lang_definitions` VALUES (4333, 2314, 3, 'Créditos');
INSERT INTO `lang_definitions` VALUES (4334, 2316, 3, 'Criterio');
INSERT INTO `lang_definitions` VALUES (4335, 2319, 3, 'Enfermedad de Crohn');
INSERT INTO `lang_definitions` VALUES (4336, 2320, 3, 'Enfermedad de Crohn');
INSERT INTO `lang_definitions` VALUES (4337, 2323, 3, 'CSV');
INSERT INTO `lang_definitions` VALUES (4338, 2324, 3, 'Fichero CSV');
INSERT INTO `lang_definitions` VALUES (4339, 2330, 3, 'MM.CU (Mililitros cubicos)');
INSERT INTO `lang_definitions` VALUES (4340, 2331, 3, 'Cubano');
INSERT INTO `lang_definitions` VALUES (4341, 2333, 3, 'Número de decimales en moneda');
INSERT INTO `lang_definitions` VALUES (4342, 2334, 3, 'Tipo de Cambio - Símbolo de Punto Decimal');
INSERT INTO `lang_definitions` VALUES (4343, 2335, 3, 'Indicador de Tipo de Cambio');
INSERT INTO `lang_definitions` VALUES (4344, 2336, 3, 'Tipo de Cambio - Separador de Miles');
INSERT INTO `lang_definitions` VALUES (4345, 2337, 3, 'Actual');
INSERT INTO `lang_definitions` VALUES (4346, 2338, 3, 'Alcohol actual');
INSERT INTO `lang_definitions` VALUES (4347, 2341, 3, 'Consulta Actual');
INSERT INTO `lang_definitions` VALUES (4348, 2342, 3, 'Criterio Actual');
INSERT INTO `lang_definitions` VALUES (4349, 2344, 3, 'Color resaltado del presente día');
INSERT INTO `lang_definitions` VALUES (4350, 2345, 3, 'Actualmente fumador diario');
INSERT INTO `lang_definitions` VALUES (4351, 2347, 3, 'El nombre de fichero actual fue cambiado a');
INSERT INTO `lang_definitions` VALUES (4352, 2349, 3, 'Hash actual');
INSERT INTO `lang_definitions` VALUES (4353, 2350, 3, 'Ubicación actual');
INSERT INTO `lang_definitions` VALUES (4354, 2352, 3, 'Medicamentos Actuales');
INSERT INTO `lang_definitions` VALUES (4355, 2354, 3, 'Contraseña Actual');
INSERT INTO `lang_definitions` VALUES (4356, 2356, 3, 'Paciente Actual');
INSERT INTO `lang_definitions` VALUES (4357, 2361, 3, 'Drogas no farmacológicas actuales');
INSERT INTO `lang_definitions` VALUES (4358, 2363, 3, 'Actualmente fumador ocasional');
INSERT INTO `lang_definitions` VALUES (4359, 2371, 3, 'Actualmente Activo');
INSERT INTO `lang_definitions` VALUES (4360, 2377, 3, 'Actualmente no hay clínicas');
INSERT INTO `lang_definitions` VALUES (4361, 2379, 3, 'Síndrome de Cushing');
INSERT INTO `lang_definitions` VALUES (4362, 2380, 3, 'Síndrome de Cushing');
INSERT INTO `lang_definitions` VALUES (4363, 2383, 3, 'Costumbre');
INSERT INTO `lang_definitions` VALUES (4364, 2390, 3, '¿Entrada cliente?');
INSERT INTO `lang_definitions` VALUES (4365, 2395, 3, 'Tabla Cliente');
INSERT INTO `lang_definitions` VALUES (4366, 2402, 3, 'Código CVX');
INSERT INTO `lang_definitions` VALUES (4367, 2403, 3, 'Mapa de Código CVX');
INSERT INTO `lang_definitions` VALUES (4368, 2404, 3, 'Vacunación CVX');
INSERT INTO `lang_definitions` VALUES (4369, 2406, 3, 'Ciclo');
INSERT INTO `lang_definitions` VALUES (4370, 2412, 3, 'CYP');
INSERT INTO `lang_definitions` VALUES (4371, 2413, 3, 'Factor de CYP');
INSERT INTO `lang_definitions` VALUES (4372, 2414, 3, 'Informe de CYP');
INSERT INTO `lang_definitions` VALUES (4373, 2415, 3, 'Checo');
INSERT INTO `lang_definitions` VALUES (4374, 2416, 3, 'D');
INSERT INTO `lang_definitions` VALUES (4375, 2417, 3, 'D&C');
INSERT INTO `lang_definitions` VALUES (4376, 2418, 3, 'D&E');
INSERT INTO `lang_definitions` VALUES (4377, 2420, 3, 'F.Nacim.');
INSERT INTO `lang_definitions` VALUES (4378, 2421, 3, 'diariamente');
INSERT INTO `lang_definitions` VALUES (4379, 2422, 3, 'Registro Diario');
INSERT INTO `lang_definitions` VALUES (4380, 2425, 3, 'Danés');
INSERT INTO `lang_definitions` VALUES (4381, 2429, 3, 'Información parecida está ya en la base de datos, por favor cambie el código o la descripción');
INSERT INTO `lang_definitions` VALUES (4382, 2430, 3, 'Información parecida está ya en la base de datos, por favor cambie el nombre de la constante');
INSERT INTO `lang_definitions` VALUES (4383, 2431, 3, 'Datos Cols');
INSERT INTO `lang_definitions` VALUES (4384, 2434, 3, 'Error de datos');
INSERT INTO `lang_definitions` VALUES (4385, 2439, 3, 'Tipo de datos');
INSERT INTO `lang_definitions` VALUES (4386, 2440, 3, 'Base de datos');
INSERT INTO `lang_definitions` VALUES (4387, 2442, 3, 'Base de datos sin instalar');
INSERT INTO `lang_definitions` VALUES (4388, 2444, 3, 'Revisión bbdd');
INSERT INTO `lang_definitions` VALUES (4389, 2445, 3, 'Información de la base de datos');
INSERT INTO `lang_definitions` VALUES (4390, 2447, 3, 'Actualización de base de datos completa');
INSERT INTO `lang_definitions` VALUES (4391, 2448, 3, 'DataCols debe ser un número entre 1 y 999');
INSERT INTO `lang_definitions` VALUES (4392, 2449, 3, 'Fecha');
INSERT INTO `lang_definitions` VALUES (4393, 2450, 3, 'FECHA');
INSERT INTO `lang_definitions` VALUES (4394, 2453, 3, 'Fecha adminstrada');
INSERT INTO `lang_definitions` VALUES (4395, 2454, 3, 'Fecha y hora de coleccion de muestra');
INSERT INTO `lang_definitions` VALUES (4396, 2455, 3, 'Fecha y hora de esta observación');
INSERT INTO `lang_definitions` VALUES (4397, 2457, 3, 'Fecha y hora cuando la muestra fue colectada');
INSERT INTO `lang_definitions` VALUES (4398, 2458, 3, 'La fecha no puede ser mayor a la de hoy');
INSERT INTO `lang_definitions` VALUES (4399, 2459, 3, 'Fecha en que fueron provistos inicialmente los servicios anticonceptivos');
INSERT INTO `lang_definitions` VALUES (4400, 2460, 3, 'Fecha Creacion');
INSERT INTO `lang_definitions` VALUES (4401, 2461, 3, 'Fecha Defunción');
INSERT INTO `lang_definitions` VALUES (4402, 2462, 3, 'Fecha destruída');
INSERT INTO `lang_definitions` VALUES (4403, 2463, 3, 'Formato visualización de fecha');
INSERT INTO `lang_definitions` VALUES (4404, 2464, 3, 'Formato fecha para última cita no es válido');
INSERT INTO `lang_definitions` VALUES (4405, 2465, 3, 'Formato fecha para inicio de cita no es válido');
INSERT INTO `lang_definitions` VALUES (4406, 2466, 3, 'Formato fecha en \'Próxima Cita\' no es válido');
INSERT INTO `lang_definitions` VALUES (4407, 2467, 3, 'Formato fecha en \'no visto desde\' no es válido');
INSERT INTO `lang_definitions` VALUES (4408, 2469, 3, 'Formato fecha en \'visto en\' no es válido');
INSERT INTO `lang_definitions` VALUES (4409, 2470, 3, 'Comunicados de fechas de vacunación entregados');
INSERT INTO `lang_definitions` VALUES (4410, 2471, 3, 'Falta fecha para código');
INSERT INTO `lang_definitions` VALUES (4411, 2472, 3, 'Criterio maestro de fecha');
INSERT INTO `lang_definitions` VALUES (4412, 2475, 3, 'Fecha ingreso en banco aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (4413, 2476, 3, 'Fecha de factura');
INSERT INTO `lang_definitions` VALUES (4414, 2477, 3, 'F.Nacim.');
INSERT INTO `lang_definitions` VALUES (4415, 2478, 3, 'F.Nacim.');
INSERT INTO `lang_definitions` VALUES (4416, 2479, 3, 'F.Nacim.');
INSERT INTO `lang_definitions` VALUES (4417, 2481, 3, 'Fecha de entrada');
INSERT INTO `lang_definitions` VALUES (4418, 2483, 3, 'Fecha de la lesión');
INSERT INTO `lang_definitions` VALUES (4419, 2487, 3, 'Fecha de pago aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (4420, 2489, 3, 'Fecha de derivación');
INSERT INTO `lang_definitions` VALUES (4421, 2491, 3, 'Fecha de la respuesta');
INSERT INTO `lang_definitions` VALUES (4422, 2493, 3, 'Fecha De Servicio');
INSERT INTO `lang_definitions` VALUES (4423, 2495, 3, 'Fecha de servicio');
INSERT INTO `lang_definitions` VALUES (4424, 2496, 3, 'Fecha de servicio = hoy');
INSERT INTO `lang_definitions` VALUES (4425, 2498, 3, 'Fecha de servicio mm/dd/aaaa');
INSERT INTO `lang_definitions` VALUES (4426, 2499, 3, 'Fecha de Servicio:');
INSERT INTO `lang_definitions` VALUES (4427, 2500, 3, 'Fecha de firma');
INSERT INTO `lang_definitions` VALUES (4428, 2503, 3, 'Fecha de esta orden');
INSERT INTO `lang_definitions` VALUES (4429, 2504, 3, 'Fecha de este reporte');
INSERT INTO `lang_definitions` VALUES (4430, 2505, 3, 'Fecha de la Declaración de VIS');
INSERT INTO `lang_definitions` VALUES (4431, 2506, 3, 'Fecha en que se ordenó');
INSERT INTO `lang_definitions` VALUES (4432, 2509, 3, 'Seleccionador de fecha');
INSERT INTO `lang_definitions` VALUES (4433, 2510, 3, 'Fecha Envio');
INSERT INTO `lang_definitions` VALUES (4434, 2511, 3, 'Fecha del mensaje enviado');
INSERT INTO `lang_definitions` VALUES (4435, 2513, 3, 'La fecha no puede estar en blanco');
INSERT INTO `lang_definitions` VALUES (4436, 2516, 3, 'Fecha/Cita');
INSERT INTO `lang_definitions` VALUES (4437, 2517, 3, 'Fecha/Notas');
INSERT INTO `lang_definitions` VALUES (4438, 2518, 3, 'Fecha/Notas de Último');
INSERT INTO `lang_definitions` VALUES (4439, 2519, 3, 'Fecha/Hora');
INSERT INTO `lang_definitions` VALUES (4440, 2520, 3, 'Fecha:');
INSERT INTO `lang_definitions` VALUES (4441, 2523, 3, 'Registro mensaje fechado');
INSERT INTO `lang_definitions` VALUES (4442, 2526, 3, 'Día');
INSERT INTO `lang_definitions` VALUES (4443, 2527, 3, 'dia');
INSERT INTO `lang_definitions` VALUES (4444, 2530, 3, 'Vista de día');
INSERT INTO `lang_definitions` VALUES (4445, 2531, 3, 'Día(s)');
INSERT INTO `lang_definitions` VALUES (4446, 2532, 3, 'Día(s) L-V');
INSERT INTO `lang_definitions` VALUES (4447, 2533, 3, 'días');
INSERT INTO `lang_definitions` VALUES (4448, 2534, 3, 'Días');
INSERT INTO `lang_definitions` VALUES (4449, 2535, 3, 'días pasados');
INSERT INTO `lang_definitions` VALUES (4450, 2536, 3, 'Dïas y juegos perdidos');
INSERT INTO `lang_definitions` VALUES (4451, 2537, 3, 'Días Desde la Última Visita');
INSERT INTO `lang_definitions` VALUES (4452, 2538, 3, 'Dias faltados');
INSERT INTO `lang_definitions` VALUES (4453, 2541, 3, 'Días por columna');
INSERT INTO `lang_definitions` VALUES (4454, 2543, 3, 'Días/Col');
INSERT INTO `lang_definitions` VALUES (4455, 2544, 3, 'DB instalado');
INSERT INTO `lang_definitions` VALUES (4456, 2545, 3, 'DD/MM/AAAA');
INSERT INTO `lang_definitions` VALUES (4457, 2546, 3, 'Anonimato');
INSERT INTO `lang_definitions` VALUES (4458, 2547, 3, 'El proceso de anonimato está completo');
INSERT INTO `lang_definitions` VALUES (4459, 2548, 3, 'El proceso de anonimato está en proceso');
INSERT INTO `lang_definitions` VALUES (4460, 2549, 3, 'El proceso de anonimato ha iniciado y está corriendo en el fondo');
INSERT INTO `lang_definitions` VALUES (4461, 2550, 3, 'Los datos anónimos pueden no estar completos');
INSERT INTO `lang_definitions` VALUES (4462, 2551, 3, 'Los ficheros anónimos serán guardados en');
INSERT INTO `lang_definitions` VALUES (4463, 2552, 3, 'DEA');
INSERT INTO `lang_definitions` VALUES (4464, 2558, 3, 'Sordera');
INSERT INTO `lang_definitions` VALUES (4465, 2562, 3, 'Elimine errores de la información');
INSERT INTO `lang_definitions` VALUES (4466, 2565, 3, 'Dic');
INSERT INTO `lang_definitions` VALUES (4467, 2567, 3, 'DIFUNTO');
INSERT INTO `lang_definitions` VALUES (4468, 2574, 3, 'Diciembre');
INSERT INTO `lang_definitions` VALUES (4469, 2580, 3, 'Deducible');
INSERT INTO `lang_definitions` VALUES (4470, 2581, 3, 'Deducible alcanzado');
INSERT INTO `lang_definitions` VALUES (4471, 2583, 3, 'Por Defecto');
INSERT INTO `lang_definitions` VALUES (4472, 2585, 3, 'Vista Calendario por defecto');
INSERT INTO `lang_definitions` VALUES (4473, 2587, 3, 'Formulario ID para Visita por defecto');
INSERT INTO `lang_definitions` VALUES (4474, 2589, 3, 'Centro por defecto');
INSERT INTO `lang_definitions` VALUES (4475, 2594, 3, 'Idioma por defecto');
INSERT INTO `lang_definitions` VALUES (4476, 2595, 3, 'Idioma por defecto si no se permite otro, o bien elegir.');
INSERT INTO `lang_definitions` VALUES (4477, 2598, 3, 'Lista por defecto (escriba, sólo añadir opcional)');
INSERT INTO `lang_definitions` VALUES (4478, 2600, 3, 'Método por defecto');
INSERT INTO `lang_definitions` VALUES (4479, 2601, 3, 'Días Expiración Contraseña por Defecto');
INSERT INTO `lang_definitions` VALUES (4480, 2602, 3, 'El periodo de vencimiento de la contraseña por defecto es 0. Ésto significa que la función está desactivada');
INSERT INTO `lang_definitions` VALUES (4481, 2603, 3, 'País por defecto del Paciente');
INSERT INTO `lang_definitions` VALUES (4482, 2607, 3, 'Médico por defecto');
INSERT INTO `lang_definitions` VALUES (4483, 2609, 3, 'Rango por defecto');
INSERT INTO `lang_definitions` VALUES (4484, 2610, 3, 'Razón por defecto de la visita');
INSERT INTO `lang_definitions` VALUES (4485, 2615, 3, 'Configuración por defecto');
INSERT INTO `lang_definitions` VALUES (4486, 2617, 3, 'Estado de la casilla por defecto de nueva ventana en la lista de pacientes.');
INSERT INTO `lang_definitions` VALUES (4487, 2618, 3, 'Plantilla por defecto');
INSERT INTO `lang_definitions` VALUES (4488, 2624, 3, 'Unidades por defecto');
INSERT INTO `lang_definitions` VALUES (4489, 2626, 3, 'Valor por defecto');
INSERT INTO `lang_definitions` VALUES (4490, 2628, 3, 'Deposito por defecto');
INSERT INTO `lang_definitions` VALUES (4491, 2629, 3, 'Socio X12 por defecto');
INSERT INTO `lang_definitions` VALUES (4492, 2630, 3, 'Por defecto/Global');
INSERT INTO `lang_definitions` VALUES (4493, 2635, 3, 'Borrar');
INSERT INTO `lang_definitions` VALUES (4494, 2636, 3, 'borrar');
INSERT INTO `lang_definitions` VALUES (4495, 2637, 3, 'Repetición retrasada (> 12 Mo)');
INSERT INTO `lang_definitions` VALUES (4496, 2638, 3, 'Eliminar');
INSERT INTO `lang_definitions` VALUES (4497, 2639, 3, 'eliminar');
INSERT INTO `lang_definitions` VALUES (4498, 2640, 3, 'Eliminar Categorías con identificador(es) :');
INSERT INTO `lang_definitions` VALUES (4499, 2641, 3, 'Borrar Categoría');
INSERT INTO `lang_definitions` VALUES (4500, 2645, 3, 'Eliminar Grupo');
INSERT INTO `lang_definitions` VALUES (4501, 2646, 3, 'Eliminar Lista');
INSERT INTO `lang_definitions` VALUES (4502, 2648, 3, 'Eliminar Páginas');
INSERT INTO `lang_definitions` VALUES (4503, 2649, 3, 'Borrar Paciente, visita, formulario, Incidencia, Documento, Pago, facturación o Transacción');
INSERT INTO `lang_definitions` VALUES (4504, 2651, 3, 'Borrar fila');
INSERT INTO `lang_definitions` VALUES (4505, 2652, 3, 'Borrar ítems selectos');
INSERT INTO `lang_definitions` VALUES (4506, 2655, 3, 'Eliminar éxito.');
INSERT INTO `lang_definitions` VALUES (4507, 2656, 3, 'Eliminar este documento');
INSERT INTO `lang_definitions` VALUES (4508, 2657, 3, 'Eliminar este formulario');
INSERT INTO `lang_definitions` VALUES (4509, 2659, 3, 'Eliminar esta nota');
INSERT INTO `lang_definitions` VALUES (4510, 2661, 3, 'Borrado Completado');
INSERT INTO `lang_definitions` VALUES (4511, 2663, 3, 'No se puede deshacer la eliminación de este evento. No se puede recuperar una vez que se ha hecho. ¿Está seguro que desea eliminar este evento?');
INSERT INTO `lang_definitions` VALUES (4512, 2671, 3, 'Demencia');
INSERT INTO `lang_definitions` VALUES (4513, 2673, 3, 'Datos demográficos');
INSERT INTO `lang_definitions` VALUES (4514, 2674, 3, 'Demografía (escribir, sólo añadir opcional)');
INSERT INTO `lang_definitions` VALUES (4515, 2678, 3, 'Criterio de Filtro Demográficos');
INSERT INTO `lang_definitions` VALUES (4516, 2680, 3, 'Datos demográficos no autorizados');
INSERT INTO `lang_definitions` VALUES (4517, 2681, 3, 'Datos demográficos no autorizados');
INSERT INTO `lang_definitions` VALUES (4518, 2682, 3, 'Denegado');
INSERT INTO `lang_definitions` VALUES (4519, 2684, 3, 'Denominador');
INSERT INTO `lang_definitions` VALUES (4520, 2687, 3, 'Dental');
INSERT INTO `lang_definitions` VALUES (4521, 2689, 3, 'Incidencias Dentales');
INSERT INTO `lang_definitions` VALUES (4522, 2694, 3, 'Dependiendo del tipo de cuenta que usted prueba, usted verá salida tipo HCFA en una página en blanco para las cuentas de HCFA, o usted verá muchas líneas de texto e información alteradas, si usted está probando una demanda X12. Ese texto mutilado es el formato del X12 IED 4010A. Usted verá de vez en cuando los caracteres extraños que parecen dominós o basura, se trata de caracteres de control tales como alimentaciones de página y son normales.');
INSERT INTO `lang_definitions` VALUES (4523, 2696, 3, 'Fecha de depósito');
INSERT INTO `lang_definitions` VALUES (4524, 2697, 3, 'La fecha del deposiito no puede ser mayor a la de hoy');
INSERT INTO `lang_definitions` VALUES (4525, 2698, 3, 'Fecha del depósito');
INSERT INTO `lang_definitions` VALUES (4526, 2699, 3, 'Depresivo');
INSERT INTO `lang_definitions` VALUES (4527, 2700, 3, 'Depresión');
INSERT INTO `lang_definitions` VALUES (4528, 2706, 3, 'Descripción');
INSERT INTO `lang_definitions` VALUES (4529, 2707, 3, 'descripción');
INSERT INTO `lang_definitions` VALUES (4530, 2709, 3, 'Descripción de la publicación');
INSERT INTO `lang_definitions` VALUES (4531, 2710, 3, 'Desceripcion de este procedimiento o codigo resultante');
INSERT INTO `lang_definitions` VALUES (4532, 2711, 3, 'Traducción de la descripción');
INSERT INTO `lang_definitions` VALUES (4533, 2713, 3, 'Destino');
INSERT INTO `lang_definitions` VALUES (4534, 2714, 3, 'Nombre del fichero destino');
INSERT INTO `lang_definitions` VALUES (4535, 2716, 3, 'Destruir todo el lote');
INSERT INTO `lang_definitions` VALUES (4536, 2717, 3, 'Destruido ...');
INSERT INTO `lang_definitions` VALUES (4537, 2718, 3, 'Destruido');
INSERT INTO `lang_definitions` VALUES (4538, 2719, 3, 'Drogas destruidas');
INSERT INTO `lang_definitions` VALUES (4539, 2720, 3, 'Informe drogas destruidas');
INSERT INTO `lang_definitions` VALUES (4540, 2721, 3, 'Detalle');
INSERT INTO `lang_definitions` VALUES (4541, 2726, 3, 'Detalles');
INSERT INTO `lang_definitions` VALUES (4542, 2728, 3, 'Anormalidad del desarrollo');
INSERT INTO `lang_definitions` VALUES (4543, 2730, 3, 'Diabetes');
INSERT INTO `lang_definitions` VALUES (4544, 2731, 3, 'Diabetes Mellitus');
INSERT INTO `lang_definitions` VALUES (4545, 2732, 3, 'Diabetes: Gestión presión arterial (GCC)');
INSERT INTO `lang_definitions` VALUES (4546, 2733, 3, 'Diabetes:Examen Ocular');
INSERT INTO `lang_definitions` VALUES (4547, 2734, 3, 'Diabetes: Examen ocular (GCC)');
INSERT INTO `lang_definitions` VALUES (4548, 2735, 3, 'Diabetes: Examen de los pies');
INSERT INTO `lang_definitions` VALUES (4549, 2736, 3, 'Diabetes: Examen de los pies (GCC)');
INSERT INTO `lang_definitions` VALUES (4550, 2737, 3, 'Diabetes:Control HbA1c Deficiente (GCC)');
INSERT INTO `lang_definitions` VALUES (4551, 2738, 3, 'Diabetes: Hemoglobina A1C');
INSERT INTO `lang_definitions` VALUES (4552, 2739, 3, 'Diabetes: Gestión LDL y Control (GCC)');
INSERT INTO `lang_definitions` VALUES (4553, 2740, 3, 'Diabetes: Microalbúmina de la orina');
INSERT INTO `lang_definitions` VALUES (4554, 2741, 3, 'Diag');
INSERT INTO `lang_definitions` VALUES (4555, 2742, 3, 'Diagnósticos');
INSERT INTO `lang_definitions` VALUES (4556, 2743, 3, 'Diagnóstico');
INSERT INTO `lang_definitions` VALUES (4557, 2744, 3, 'Cód. Diagnóstico');
INSERT INTO `lang_definitions` VALUES (4558, 2745, 3, 'Códigos diagnósticos');
INSERT INTO `lang_definitions` VALUES (4559, 2747, 3, 'Fecha de diagnóstico');
INSERT INTO `lang_definitions` VALUES (4560, 2749, 3, 'El diagnóstico debe ser codificado en una visita vinculada');
INSERT INTO `lang_definitions` VALUES (4561, 2750, 3, 'Nombre del diagnóstico');
INSERT INTO `lang_definitions` VALUES (4562, 2751, 3, 'Reporte del diagnóstico');
INSERT INTO `lang_definitions` VALUES (4563, 2752, 3, 'Informe de diagnóstico');
INSERT INTO `lang_definitions` VALUES (4564, 2753, 3, 'Informe sólo de diagnóstico');
INSERT INTO `lang_definitions` VALUES (4565, 2754, 3, 'Título del diagnóstico');
INSERT INTO `lang_definitions` VALUES (4566, 2755, 3, 'Diagnóstico:');
INSERT INTO `lang_definitions` VALUES (4567, 2756, 3, 'Diagnóstico:');
INSERT INTO `lang_definitions` VALUES (4568, 2757, 3, 'Diagnóstico');
INSERT INTO `lang_definitions` VALUES (4569, 2758, 3, 'Pruebas diagnósticas:');
INSERT INTO `lang_definitions` VALUES (4570, 2760, 3, 'Diales');
INSERT INTO `lang_definitions` VALUES (4571, 2763, 3, 'Diafragmas/Capuchón cervical');
INSERT INTO `lang_definitions` VALUES (4572, 2764, 3, 'Diarrea');
INSERT INTO `lang_definitions` VALUES (4573, 2765, 3, 'Diastólico');
INSERT INTO `lang_definitions` VALUES (4574, 2767, 3, 'Dictado');
INSERT INTO `lang_definitions` VALUES (4575, 2768, 3, 'Dictado:');
INSERT INTO `lang_definitions` VALUES (4576, 2769, 3, '¿Usted recibió una copia del aviso de HIPAA?');
INSERT INTO `lang_definitions` VALUES (4577, 2770, 3, 'Difuso:');
INSERT INTO `lang_definitions` VALUES (4578, 2771, 3, 'Firmado digitalmente');
INSERT INTO `lang_definitions` VALUES (4579, 2772, 3, 'Dilatado con');
INSERT INTO `lang_definitions` VALUES (4580, 2777, 3, 'Directo');
INSERT INTO `lang_definitions` VALUES (4581, 2778, 3, 'Dirección Directa');
INSERT INTO `lang_definitions` VALUES (4582, 2779, 3, 'Dirección Directa');
INSERT INTO `lang_definitions` VALUES (4583, 2780, 3, 'Mail directo');
INSERT INTO `lang_definitions` VALUES (4584, 2781, 3, 'Correo Directo');
INSERT INTO `lang_definitions` VALUES (4585, 2782, 3, 'Registro Mens. Directo');
INSERT INTO `lang_definitions` VALUES (4586, 2783, 3, 'Mens.Directo recibido');
INSERT INTO `lang_definitions` VALUES (4587, 2784, 3, 'Mensaje directo no disponible ahora');
INSERT INTO `lang_definitions` VALUES (4588, 2785, 3, 'Falla de envío de mensaje directo');
INSERT INTO `lang_definitions` VALUES (4589, 2786, 3, 'Directivas');
INSERT INTO `lang_definitions` VALUES (4590, 2787, 3, 'Nombre del director');
INSERT INTO `lang_definitions` VALUES (4591, 2789, 3, 'inhabilitación');
INSERT INTO `lang_definitions` VALUES (4592, 2794, 3, 'Deshabilitar calendario');
INSERT INTO `lang_definitions` VALUES (4593, 2795, 3, 'Deshabilitar Gráfico de seguimiento');
INSERT INTO `lang_definitions` VALUES (4594, 2798, 3, 'Deshabilitar vacunaciones');
INSERT INTO `lang_definitions` VALUES (4595, 2800, 3, 'Deshabilitar vieja forma métrica de constantes vitales');
INSERT INTO `lang_definitions` VALUES (4596, 2802, 3, 'Deshabilitar phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (4597, 2803, 3, 'Deshabilitar prescriciones');
INSERT INTO `lang_definitions` VALUES (4598, 2804, 3, 'Deshabilitar grupos de usuarios');
INSERT INTO `lang_definitions` VALUES (4599, 2805, 3, 'inhabilitado');
INSERT INTO `lang_definitions` VALUES (4600, 2806, 3, 'inhabilitado');
INSERT INTO `lang_definitions` VALUES (4601, 2807, 3, 'Beneficiario discapacitado menor de 65 años con un Plan de salud para grandes grupos (LGHP)');
INSERT INTO `lang_definitions` VALUES (4602, 2812, 3, 'DISCO');
INSERT INTO `lang_definitions` VALUES (4603, 2815, 3, 'Descarga');
INSERT INTO `lang_definitions` VALUES (4604, 2816, 3, 'Pérdidas/secreciones de la uretra');
INSERT INTO `lang_definitions` VALUES (4605, 2818, 3, 'Derecho de alta');
INSERT INTO `lang_definitions` VALUES (4606, 2819, 3, 'Derecho de alta:');
INSERT INTO `lang_definitions` VALUES (4607, 2825, 3, 'Informacion de publicación');
INSERT INTO `lang_definitions` VALUES (4608, 2826, 3, 'Tipo de publicación');
INSERT INTO `lang_definitions` VALUES (4609, 2827, 3, 'Tipos de publicación');
INSERT INTO `lang_definitions` VALUES (4610, 2828, 3, 'Publicaciones');
INSERT INTO `lang_definitions` VALUES (4611, 2832, 3, 'Suspender');
INSERT INTO `lang_definitions` VALUES (4612, 2833, 3, 'Descuento');
INSERT INTO `lang_definitions` VALUES (4613, 2834, 3, 'Suma de descuento');
INSERT INTO `lang_definitions` VALUES (4614, 2835, 3, 'Nivel del Descuento');
INSERT INTO `lang_definitions` VALUES (4615, 2836, 3, 'Porcentaje de descuento');
INSERT INTO `lang_definitions` VALUES (4616, 2837, 3, 'Descuentos como importes monetarios');
INSERT INTO `lang_definitions` VALUES (4617, 2838, 3, 'Descuentos a la hora de salida se introducen como cantidades de dinero, a diferencia de porcentaje.');
INSERT INTO `lang_definitions` VALUES (4618, 2839, 3, 'Resultado discreto');
INSERT INTO `lang_definitions` VALUES (4619, 2841, 3, 'Enfermedad');
INSERT INTO `lang_definitions` VALUES (4620, 2843, 3, 'Dislocación');
INSERT INTO `lang_definitions` VALUES (4621, 2847, 3, '# Disp');
INSERT INTO `lang_definitions` VALUES (4622, 2848, 3, 'Informe');
INSERT INTO `lang_definitions` VALUES (4623, 2849, 3, 'Remitir documento recibido');
INSERT INTO `lang_definitions` VALUES (4624, 2853, 3, 'Prescrito');
INSERT INTO `lang_definitions` VALUES (4625, 2856, 3, 'Mostrar las directivas anticipadas en la página de la demografía.');
INSERT INTO `lang_definitions` VALUES (4626, 2859, 3, '¿Mostrar fechas de eventos en bloque?');
INSERT INTO `lang_definitions` VALUES (4627, 2861, 3, '¿Mostrar cuántos eventos?');
INSERT INTO `lang_definitions` VALUES (4628, 2865, 3, '¿Mostrar lugar/sitio en bloque?');
INSERT INTO `lang_definitions` VALUES (4629, 2866, 3, 'Nombre Pantalla');
INSERT INTO `lang_definitions` VALUES (4630, 2868, 3, '¿Mostrar el calendario?');
INSERT INTO `lang_definitions` VALUES (4631, 2875, 3, '¿Mostrar los eventos de hoy en el bloque?');
INSERT INTO `lang_definitions` VALUES (4632, 2876, 3, '¿Mostrar tema en el bloque?');
INSERT INTO `lang_definitions` VALUES (4633, 2877, 3, '¿Mostrar los eventos próximos en tabla?');
INSERT INTO `lang_definitions` VALUES (4634, 2879, 3, 'Mostrar columnas');
INSERT INTO `lang_definitions` VALUES (4635, 2880, 3, 'Viendo el siguiente número de las publicaciones más recientes:');
INSERT INTO `lang_definitions` VALUES (4636, 2882, 3, 'Mostrando el siguiente número de las notas más recientes');
INSERT INTO `lang_definitions` VALUES (4637, 2883, 3, 'Mostrando el siguiente número de las notas más recientes:');
INSERT INTO `lang_definitions` VALUES (4638, 2890, 3, 'Distribución');
INSERT INTO `lang_definitions` VALUES (4639, 2891, 3, 'Distribuciones');
INSERT INTO `lang_definitions` VALUES (4640, 2892, 3, 'Distribuidor');
INSERT INTO `lang_definitions` VALUES (4641, 2897, 3, 'Diverticulitis');
INSERT INTO `lang_definitions` VALUES (4642, 2898, 3, 'Operación de Diverticulitis');
INSERT INTO `lang_definitions` VALUES (4643, 2899, 3, 'Diverticulitis');
INSERT INTO `lang_definitions` VALUES (4644, 2900, 3, 'Operación de Diverticulitis');
INSERT INTO `lang_definitions` VALUES (4645, 2901, 3, 'Divorciado');
INSERT INTO `lang_definitions` VALUES (4646, 2902, 3, 'Mareo:');
INSERT INTO `lang_definitions` VALUES (4647, 2905, 3, 'No cambiar');
INSERT INTO `lang_definitions` VALUES (4648, 2907, 3, 'No mostrar alergia subida a NewCrop');
INSERT INTO `lang_definitions` VALUES (4649, 2909, 3, 'No mostrar medicación subida a NewCrop');
INSERT INTO `lang_definitions` VALUES (4650, 2912, 3, 'No mostrar el calendario');
INSERT INTO `lang_definitions` VALUES (4651, 2916, 3, 'No inventariar ni vender nigun producto');
INSERT INTO `lang_definitions` VALUES (4652, 2919, 3, 'No requiere notas del paciente para ser autorizado');
INSERT INTO `lang_definitions` VALUES (4653, 2920, 3, 'Orden de No Resucitar');
INSERT INTO `lang_definitions` VALUES (4654, 2921, 3, 'no guardar');
INSERT INTO `lang_definitions` VALUES (4655, 2922, 3, 'no sustituir');
INSERT INTO `lang_definitions` VALUES (4656, 2925, 3, 'no actuar');
INSERT INTO `lang_definitions` VALUES (4657, 2929, 3, 'De verdad quiere suprimir?');
INSERT INTO `lang_definitions` VALUES (4658, 2930, 3, '¿Verdaderamente desea borrar la selección?');
INSERT INTO `lang_definitions` VALUES (4659, 2931, 3, 'Está seguro que quiere eliminar este grupo');
INSERT INTO `lang_definitions` VALUES (4660, 2934, 3, '¿Quiere continuar?');
INSERT INTO `lang_definitions` VALUES (4661, 2935, 3, '¿Quiere borrar esto?');
INSERT INTO `lang_definitions` VALUES (4662, 2936, 3, '¿Quiere borrar?');
INSERT INTO `lang_definitions` VALUES (4663, 2937, 3, '¿Desea remover este registro?');
INSERT INTO `lang_definitions` VALUES (4664, 2938, 3, '¿Desea continuar añadiendo este nuevo paciente?');
INSERT INTO `lang_definitions` VALUES (4665, 2939, 3, '¿Usted desea continuar con el nuevo nombre?');
INSERT INTO `lang_definitions` VALUES (4666, 2940, 3, '¿Usted desea suprimir DEFINITIVAMENTE este registro de vacunación?');
INSERT INTO `lang_definitions` VALUES (4667, 2941, 3, 'F.Nacim.');
INSERT INTO `lang_definitions` VALUES (4668, 2942, 3, 'Falta F.Nacimiento, por favor insertarla si es posible');
INSERT INTO `lang_definitions` VALUES (4669, 2944, 3, 'Documentos');
INSERT INTO `lang_definitions` VALUES (4670, 2945, 3, 'Médico');
INSERT INTO `lang_definitions` VALUES (4671, 2946, 3, 'Médico:');
INSERT INTO `lang_definitions` VALUES (4672, 2947, 3, 'Nombre del médico y firma');
INSERT INTO `lang_definitions` VALUES (4673, 2948, 3, 'Documento');
INSERT INTO `lang_definitions` VALUES (4674, 2949, 3, 'documento');
INSERT INTO `lang_definitions` VALUES (4675, 2951, 3, 'Categorías documento');
INSERT INTO `lang_definitions` VALUES (4676, 2958, 3, 'El documento no ha podido ser trasladado al Nº Identificación del paciente');
INSERT INTO `lang_definitions` VALUES (4677, 2960, 3, 'Fecha de documento');
INSERT INTO `lang_definitions` VALUES (4678, 2961, 3, 'Fecha del documento e incidencia actualizadas con éxito');
INSERT INTO `lang_definitions` VALUES (4679, 2962, 3, 'Nº Identificación de Documento');
INSERT INTO `lang_definitions` VALUES (4680, 2965, 3, 'Documento se trasladó a nueva categoría');
INSERT INTO `lang_definitions` VALUES (4681, 2966, 3, 'Documento se trasladó al Nº Identificación del paciente');
INSERT INTO `lang_definitions` VALUES (4682, 2968, 3, 'Documento aprobó la comprobación de integridad');
INSERT INTO `lang_definitions` VALUES (4683, 2969, 3, 'Método de archivo de documentos');
INSERT INTO `lang_definitions` VALUES (4684, 2970, 3, 'Documento renombrado con éxito');
INSERT INTO `lang_definitions` VALUES (4685, 2976, 3, 'Depósito de documentos/Imágenes');
INSERT INTO `lang_definitions` VALUES (4686, 2978, 3, 'Documentos');
INSERT INTO `lang_definitions` VALUES (4687, 2980, 3, 'Documentos (escribir, addonly opcional)');
INSERT INTO `lang_definitions` VALUES (4688, 2989, 3, 'DOE');
INSERT INTO `lang_definitions` VALUES (4689, 2996, 3, '¿Este tipo permite codigos relacionados?');
INSERT INTO `lang_definitions` VALUES (4690, 2997, 3, 'Socio doméstico');
INSERT INTO `lang_definitions` VALUES (4691, 2998, 3, 'No Guardar');
INSERT INTO `lang_definitions` VALUES (4692, 2999, 3, 'No Guardar');
INSERT INTO `lang_definitions` VALUES (4693, 3000, 3, 'No Guardar Cambios');
INSERT INTO `lang_definitions` VALUES (4694, 3002, 3, 'Terminado');
INSERT INTO `lang_definitions` VALUES (4695, 3004, 3, 'Hecho con:');
INSERT INTO `lang_definitions` VALUES (4696, 3005, 3, 'Terminado. Ahora se enviará la descarga');
INSERT INTO `lang_definitions` VALUES (4697, 3006, 3, 'DOS');
INSERT INTO `lang_definitions` VALUES (4698, 3007, 3, 'Dosis');
INSERT INTO `lang_definitions` VALUES (4699, 3011, 3, 'Doble click para editar');
INSERT INTO `lang_definitions` VALUES (4700, 3013, 3, 'Visión doble');
INSERT INTO `lang_definitions` VALUES (4701, 3014, 3, 'Descarga');
INSERT INTO `lang_definitions` VALUES (4702, 3019, 3, 'Descargar de todas formas');
INSERT INTO `lang_definitions` VALUES (4703, 3020, 3, 'Descargar expediente de factura, mandar a contabilidad y marcar como facturado.');
INSERT INTO `lang_definitions` VALUES (4704, 3022, 3, 'Certificados de descargas');
INSERT INTO `lang_definitions` VALUES (4705, 3023, 3, 'Descargar datos de configuración');
INSERT INTO `lang_definitions` VALUES (4706, 3027, 3, 'Descargar fichero encriptado');
INSERT INTO `lang_definitions` VALUES (4707, 3028, 3, 'Descargar FAX');
INSERT INTO `lang_definitions` VALUES (4708, 3032, 3, 'Descargar o Borrar una plantilla');
INSERT INTO `lang_definitions` VALUES (4709, 3033, 3, 'Descargar PDF');
INSERT INTO `lang_definitions` VALUES (4710, 3037, 3, 'Descargar seleccionados');
INSERT INTO `lang_definitions` VALUES (4711, 3039, 3, 'Revisar médico');
INSERT INTO `lang_definitions` VALUES (4712, 3040, 3, 'Visitar médico');
INSERT INTO `lang_definitions` VALUES (4713, 3041, 3, 'Dr.');
INSERT INTO `lang_definitions` VALUES (4714, 3045, 3, 'Arrastre para mover');
INSERT INTO `lang_definitions` VALUES (4715, 3047, 3, 'Goteo');
INSERT INTO `lang_definitions` VALUES (4716, 3048, 3, 'Permiso de conducir o D.N.I.');
INSERT INTO `lang_definitions` VALUES (4717, 3050, 3, 'Medicamento');
INSERT INTO `lang_definitions` VALUES (4718, 3053, 3, 'Buscador de medicamentos');
INSERT INTO `lang_definitions` VALUES (4719, 3054, 3, 'Formularios de Medicamento');
INSERT INTO `lang_definitions` VALUES (4720, 3055, 3, 'Nº Identificación medicamento falta!');
INSERT INTO `lang_definitions` VALUES (4721, 3056, 3, 'Intervalos de Medicamento');
INSERT INTO `lang_definitions` VALUES (4722, 3057, 3, 'Inventario de Medicamentos');
INSERT INTO `lang_definitions` VALUES (4723, 3059, 3, 'Nombre del Medicamento');
INSERT INTO `lang_definitions` VALUES (4724, 3061, 3, 'Vía de administración del Medicamento');
INSERT INTO `lang_definitions` VALUES (4725, 3066, 3, 'Unidades de Medicamento');
INSERT INTO `lang_definitions` VALUES (4726, 3072, 3, 'Medicamentos');
INSERT INTO `lang_definitions` VALUES (4727, 3073, 3, 'Medicamentos y productos');
INSERT INTO `lang_definitions` VALUES (4728, 3074, 3, 'Boca seca');
INSERT INTO `lang_definitions` VALUES (4729, 3075, 3, 'Diagnóstico DSMIV');
INSERT INTO `lang_definitions` VALUES (4730, 3076, 3, 'DT 1');
INSERT INTO `lang_definitions` VALUES (4731, 3077, 3, 'DT 2');
INSERT INTO `lang_definitions` VALUES (4732, 3078, 3, 'DT 3');
INSERT INTO `lang_definitions` VALUES (4733, 3079, 3, 'DT 4');
INSERT INTO `lang_definitions` VALUES (4734, 3080, 3, 'DT 5');
INSERT INTO `lang_definitions` VALUES (4735, 3081, 3, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (4736, 3082, 3, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (4737, 3083, 3, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (4738, 3084, 3, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (4739, 3085, 3, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (4740, 3087, 3, 'Adeudado');
INSERT INTO `lang_definitions` VALUES (4741, 3088, 3, 'Fecha del parto');
INSERT INTO `lang_definitions` VALUES (4742, 3090, 3, 'Fecha del parto mm/dd/aaaa o aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (4743, 3091, 3, 'Fecha del parto:');
INSERT INTO `lang_definitions` VALUES (4744, 3092, 3, 'Deuda Seguro');
INSERT INTO `lang_definitions` VALUES (4745, 3093, 3, 'Deuda Paciente');
INSERT INTO `lang_definitions` VALUES (4746, 3094, 3, 'Deuda próxima');
INSERT INTO `lang_definitions` VALUES (4747, 3095, 3, 'Estado de Deuda');
INSERT INTO `lang_definitions` VALUES (4748, 3096, 3, 'Actualización Estado de Deuda');
INSERT INTO `lang_definitions` VALUES (4749, 3097, 3, 'Volcar OpenEMR base de datos');
INSERT INTO `lang_definitions` VALUES (4750, 3098, 3, 'Volcar OpenEMR web de árbol de directorios');
INSERT INTO `lang_definitions` VALUES (4751, 3099, 3, 'Volcar phpGACL base de datos');
INSERT INTO `lang_definitions` VALUES (4752, 3100, 3, 'volcar phpGACL web de árbol de directorios');
INSERT INTO `lang_definitions` VALUES (4753, 3101, 3, 'Volcar SQL-Ledger base de datos');
INSERT INTO `lang_definitions` VALUES (4754, 3102, 3, 'Volcar phpGACL web de árbol de directorios');
INSERT INTO `lang_definitions` VALUES (4755, 3103, 3, 'Compruebe duplicado');
INSERT INTO `lang_definitions` VALUES (4756, 3108, 3, 'ID duplicado en linea');
INSERT INTO `lang_definitions` VALUES (4757, 3109, 3, 'Nombre duplicado en linea');
INSERT INTO `lang_definitions` VALUES (4758, 3110, 3, 'AVISO DE DUPLICACION');
INSERT INTO `lang_definitions` VALUES (4759, 3111, 3, 'Poder Legal Duradero');
INSERT INTO `lang_definitions` VALUES (4760, 3112, 3, 'Duración');
INSERT INTO `lang_definitions` VALUES (4761, 3113, 3, 'duración');
INSERT INTO `lang_definitions` VALUES (4762, 3114, 3, 'Holandés');
INSERT INTO `lang_definitions` VALUES (4763, 3116, 3, 'Dx Rep');
INSERT INTO `lang_definitions` VALUES (4764, 3117, 3, 'Disfagia');
INSERT INTO `lang_definitions` VALUES (4765, 3118, 3, 'Disnea');
INSERT INTO `lang_definitions` VALUES (4766, 3119, 3, 'Disuria');
INSERT INTO `lang_definitions` VALUES (4767, 3122, 3, 'E-Mail');
INSERT INTO `lang_definitions` VALUES (4768, 3123, 3, 'E-mail');
INSERT INTO `lang_definitions` VALUES (4769, 3128, 3, '¿E-Receta?');
INSERT INTO `lang_definitions` VALUES (4770, 3130, 3, 'Receta Electrónica');
INSERT INTO `lang_definitions` VALUES (4771, 3132, 3, 'Renovación Receta Electrónica');
INSERT INTO `lang_definitions` VALUES (4772, 3135, 3, 'Cada destinatario debe establecer sus propios mensajes como terminados.');
INSERT INTO `lang_definitions` VALUES (4773, 3140, 3, 'Repetición Temprana (<2 Mo)');
INSERT INTO `lang_definitions` VALUES (4774, 3141, 3, 'Orejas');
INSERT INTO `lang_definitions` VALUES (4775, 3148, 3, 'Electrocardiograma');
INSERT INTO `lang_definitions` VALUES (4776, 3149, 3, 'Reclamaciones electrónicas');
INSERT INTO `lang_definitions` VALUES (4777, 3152, 3, 'Edema');
INSERT INTO `lang_definitions` VALUES (4778, 3157, 3, 'Adjuntar fichero EDI-271');
INSERT INTO `lang_definitions` VALUES (4779, 3158, 3, 'Respuesta de carga de fichero EDI-271');
INSERT INTO `lang_definitions` VALUES (4780, 3159, 3, 'Editar');
INSERT INTO `lang_definitions` VALUES (4781, 3160, 3, 'editar');
INSERT INTO `lang_definitions` VALUES (4782, 3161, 3, 'Editar alergias');
INSERT INTO `lang_definitions` VALUES (4783, 3163, 3, 'Editar categorías');
INSERT INTO `lang_definitions` VALUES (4784, 3165, 3, 'Editar Definiciones');
INSERT INTO `lang_definitions` VALUES (4785, 3166, 3, 'Editar definiciones');
INSERT INTO `lang_definitions` VALUES (4786, 3167, 3, 'Editar diagnóstico para');
INSERT INTO `lang_definitions` VALUES (4787, 3168, 3, 'editar publicación');
INSERT INTO `lang_definitions` VALUES (4788, 3173, 3, 'Editar Clínicas');
INSERT INTO `lang_definitions` VALUES (4789, 3174, 3, 'Editar Centro');
INSERT INTO `lang_definitions` VALUES (4790, 3175, 3, 'Editar información del Centro');
INSERT INTO `lang_definitions` VALUES (4791, 3176, 3, 'Editar información de instalación de usuario específico');
INSERT INTO `lang_definitions` VALUES (4792, 3177, 3, 'editar fichero en');
INSERT INTO `lang_definitions` VALUES (4793, 3178, 3, 'Editar forma');
INSERT INTO `lang_definitions` VALUES (4794, 3179, 3, 'Editar configuración global');
INSERT INTO `lang_definitions` VALUES (4795, 3181, 3, 'Edición no permitida');
INSERT INTO `lang_definitions` VALUES (4796, 3183, 3, 'Editar el diseño');
INSERT INTO `lang_definitions` VALUES (4797, 3185, 3, 'Editar la lista');
INSERT INTO `lang_definitions` VALUES (4798, 3188, 3, 'Editar Pago');
INSERT INTO `lang_definitions` VALUES (4799, 3189, 3, 'Editar estructura');
INSERT INTO `lang_definitions` VALUES (4800, 3192, 3, 'Editar usuario');
INSERT INTO `lang_definitions` VALUES (4801, 3193, 3, 'Editar configuración de usuario');
INSERT INTO `lang_definitions` VALUES (4802, 3194, 3, 'Editar su información');
INSERT INTO `lang_definitions` VALUES (4803, 3195, 3, 'La edición falló');
INSERT INTO `lang_definitions` VALUES (4804, 3196, 3, 'Educación');
INSERT INTO `lang_definitions` VALUES (4805, 3197, 3, 'Fecha educación');
INSERT INTO `lang_definitions` VALUES (4806, 3199, 3, 'Debería haber recibido una copia del GNU con este programa, si no, escriba al Free');
INSERT INTO `lang_definitions` VALUES (4807, 3200, 3, 'Fecha efectiva');
INSERT INTO `lang_definitions` VALUES (4808, 3202, 3, 'Efectividad');
INSERT INTO `lang_definitions` VALUES (4809, 3204, 3, 'EIN');
INSERT INTO `lang_definitions` VALUES (4810, 3207, 3, 'Eyaculaciones');
INSERT INTO `lang_definitions` VALUES (4811, 3208, 3, 'Codo');
INSERT INTO `lang_definitions` VALUES (4812, 3209, 3, 'Problemas del codo');
INSERT INTO `lang_definitions` VALUES (4813, 3210, 3, 'Electrónico');
INSERT INTO `lang_definitions` VALUES (4814, 3214, 3, 'Mandatos Electronicos');
INSERT INTO `lang_definitions` VALUES (4815, 3218, 3, 'Elegibilidad');
INSERT INTO `lang_definitions` VALUES (4816, 3219, 3, 'Elegibilidad Batch Consulta 270');
INSERT INTO `lang_definitions` VALUES (4817, 3220, 3, 'Elegibilidad de Respuesta');
INSERT INTO `lang_definitions` VALUES (4818, 3222, 3, 'Estado de elegibilidad para la vacuna suministrada para niños');
INSERT INTO `lang_definitions` VALUES (4819, 3223, 3, 'Elegible');
INSERT INTO `lang_definitions` VALUES (4820, 3225, 3, 'email');
INSERT INTO `lang_definitions` VALUES (4821, 3228, 3, 'email');
INSERT INTO `lang_definitions` VALUES (4822, 3230, 3, 'email del remitente para los recordatorios de pacientes. Las respuestas de los pacientes irán a esa dirección. Es importante usar una dirección del dominio de la Clínica para evitar que las respuestas de recordatorios de los pacientes vayan a la carpeta de correo basura.');
INSERT INTO `lang_definitions` VALUES (4823, 3231, 3, 'email, si hay, para recibir notificaciones administrativas.');
INSERT INTO `lang_definitions` VALUES (4824, 3232, 3, 'email, si hay, para recibir mensajes de activación de inicio sesión de usuario.');
INSERT INTO `lang_definitions` VALUES (4825, 3233, 3, 'Autenticación email');
INSERT INTO `lang_definitions` VALUES (4826, 3236, 3, 'email de Batchcom');
INSERT INTO `lang_definitions` VALUES (4827, 3238, 3, 'Notificación email');
INSERT INTO `lang_definitions` VALUES (4828, 3239, 3, 'Horario Notificación Email');
INSERT INTO `lang_definitions` VALUES (4829, 3240, 3, 'Informe de notificación de email');
INSERT INTO `lang_definitions` VALUES (4830, 3244, 3, 'email enviado antes');
INSERT INTO `lang_definitions` VALUES (4831, 3245, 3, 'Remitente de email');
INSERT INTO `lang_definitions` VALUES (4832, 3246, 3, 'Email enviado');
INSERT INTO `lang_definitions` VALUES (4833, 3247, 3, 'email enviado a');
INSERT INTO `lang_definitions` VALUES (4834, 3248, 3, 'Asunto del email');
INSERT INTO `lang_definitions` VALUES (4835, 3251, 3, 'Texto del email, etiqueta útil: ***NAME***, Ej. Estimado ***NAME***');
INSERT INTO `lang_definitions` VALUES (4836, 3252, 3, 'Texto email, etiqueta útil:***NAME***, por ej. Querido ***NAME***{{No traducir el elemento ***NAME*** de esta constante}}');
INSERT INTO `lang_definitions` VALUES (4837, 3253, 3, 'Método de envío de email');
INSERT INTO `lang_definitions` VALUES (4838, 3254, 3, 'Email enviado a las siguientes direcciones');
INSERT INTO `lang_definitions` VALUES (4839, 3259, 3, 'Contacto en caso de emergencia');
INSERT INTO `lang_definitions` VALUES (4840, 3260, 3, 'Persona de Contacto de Emergencia');
INSERT INTO `lang_definitions` VALUES (4841, 3261, 3, 'Teléfono de Contacto de Emergencias');
INSERT INTO `lang_definitions` VALUES (4842, 3262, 3, 'Emergencia anticonceptiva');
INSERT INTO `lang_definitions` VALUES (4843, 3263, 3, 'Acceso de Emergencia');
INSERT INTO `lang_definitions` VALUES (4844, 3264, 3, 'Inicio sesión de Emergencia ACL elegido. El usuario esta aún activo, favor desactivar usuario y activarlo cuando la situación de emergencia lo requiera. Visitar Administración>Usuario para activación o deactivación');
INSERT INTO `lang_definitions` VALUES (4845, 3265, 3, 'El email de activación de inicio de sesión de emergencia ha de circular sólo si los siguientes ajustes del fichero interfase/globals.php están configurados:');
INSERT INTO `lang_definitions` VALUES (4846, 3266, 3, 'email de inicio de sesión de emergencia');
INSERT INTO `lang_definitions` VALUES (4847, 3267, 3, 'El usuario de Inicio de sesión de emergencia puede hacer cualquier cosa');
INSERT INTO `lang_definitions` VALUES (4848, 3268, 3, 'Teléfono de emergencia');
INSERT INTO `lang_definitions` VALUES (4849, 3271, 3, 'Enfisema');
INSERT INTO `lang_definitions` VALUES (4850, 3272, 3, 'Empleado');
INSERT INTO `lang_definitions` VALUES (4851, 3273, 3, 'Empresa');
INSERT INTO `lang_definitions` VALUES (4852, 3274, 3, 'Dirección del empleador');
INSERT INTO `lang_definitions` VALUES (4853, 3275, 3, 'Datos de la empresa');
INSERT INTO `lang_definitions` VALUES (4854, 3276, 3, 'Nombre de Empresa');
INSERT INTO `lang_definitions` VALUES (4855, 3277, 3, 'VACIO');
INSERT INTO `lang_definitions` VALUES (4856, 3278, 3, 'Vacio');
INSERT INTO `lang_definitions` VALUES (4857, 3281, 3, 'Valor vacío en -Horas de eEmail-');
INSERT INTO `lang_definitions` VALUES (4858, 3282, 3, 'Valor vacío en -Remitente de email-');
INSERT INTO `lang_definitions` VALUES (4859, 3283, 3, 'Valor vacío en-Tema de email-');
INSERT INTO `lang_definitions` VALUES (4860, 3284, 3, 'Valor vacío en-Texto de email-');
INSERT INTO `lang_definitions` VALUES (4861, 3285, 3, 'Valor vacío en -Nombre del Facultativo-');
INSERT INTO `lang_definitions` VALUES (4862, 3286, 3, 'Valor vacío en -Contraseña-');
INSERT INTO `lang_definitions` VALUES (4863, 3287, 3, 'Valor vacío en -Horas de SMS-');
INSERT INTO `lang_definitions` VALUES (4864, 3288, 3, 'Vaciar en el valor -Texto SMS-');
INSERT INTO `lang_definitions` VALUES (4865, 3289, 3, 'Vaciar en el valor -Usuario-');
INSERT INTO `lang_definitions` VALUES (4866, 3298, 3, 'Activar aviso MCA');
INSERT INTO `lang_definitions` VALUES (4867, 3300, 3, 'Activar Informe MCA');
INSERT INTO `lang_definitions` VALUES (4868, 3301, 3, 'Activar seguimiento MCA');
INSERT INTO `lang_definitions` VALUES (4869, 3303, 3, 'Activar auditoría RANA');
INSERT INTO `lang_definitions` VALUES (4870, 3305, 3, 'Inicio de sesión Auditoría habilitado');
INSERT INTO `lang_definitions` VALUES (4871, 3306, 3, 'Activar Auditoría Registro y Autenticación del Nodo (ATNA)');
INSERT INTO `lang_definitions` VALUES (4872, 3307, 3, 'Activar Informe Medidas de Cálculo Automático (MCA)');
INSERT INTO `lang_definitions` VALUES (4873, 3312, 3, 'Activar Cliente SSL');
INSERT INTO `lang_definitions` VALUES (4874, 3313, 3, 'Activar Cliente SSL con certificado de autenticación.');
INSERT INTO `lang_definitions` VALUES (4875, 3315, 3, 'Activar Reglas Clínicas de Decisión (CDR)');
INSERT INTO `lang_definitions` VALUES (4876, 3318, 3, 'Activar informe medidas de calidad clínica (GCC)');
INSERT INTO `lang_definitions` VALUES (4877, 3319, 3, 'Activar popup recordatorios clínicos');
INSERT INTO `lang_definitions` VALUES (4878, 3320, 3, 'Activar Widget Recordatorios clínicos');
INSERT INTO `lang_definitions` VALUES (4879, 3324, 3, 'Activar Informes GCC');
INSERT INTO `lang_definitions` VALUES (4880, 3334, 3, 'Habilitar tarifas en el menú de la izquierda');
INSERT INTO `lang_definitions` VALUES (4881, 3341, 3, 'Activar Soporte Hylafax');
INSERT INTO `lang_definitions` VALUES (4882, 3343, 3, 'Activar el estado de importación de mensajes para Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (4883, 3347, 3, 'Activar intercambio Laboratorio');
INSERT INTO `lang_definitions` VALUES (4884, 3349, 3, 'Habilitar registro para documentos subidos/bajados de CouchDB');
INSERT INTO `lang_definitions` VALUES (4885, 3350, 3, 'Activar registro de todas las consultas SQL SELECT.');
INSERT INTO `lang_definitions` VALUES (4886, 3351, 3, 'Activar registro de backup de actividades relacionadas.');
INSERT INTO `lang_definitions` VALUES (4887, 3353, 3, 'Activar inicio sesión de actividades varias.');
INSERT INTO `lang_definitions` VALUES (4888, 3354, 3, 'Activar registro de actividades solicitadas.');
INSERT INTO `lang_definitions` VALUES (4889, 3355, 3, 'Activar registro de modificaciones del registro de pacientes.');
INSERT INTO `lang_definitions` VALUES (4890, 3356, 3, 'Activar registro de programar actividades.');
INSERT INTO `lang_definitions` VALUES (4891, 3357, 3, 'Activar registro de seguridad y administración de actividades.');
INSERT INTO `lang_definitions` VALUES (4892, 3360, 3, 'Activar servicio Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (4893, 3365, 3, 'Activar Portal Paciente Externo');
INSERT INTO `lang_definitions` VALUES (4894, 3366, 3, 'Activar Portal paciente desde el exterior.');
INSERT INTO `lang_definitions` VALUES (4895, 3368, 3, 'Activar Portal paciente in-situ');
INSERT INTO `lang_definitions` VALUES (4896, 3371, 3, 'Activar Portal paciente in-situ.');
INSERT INTO `lang_definitions` VALUES (4897, 3385, 3, 'Activar widget recordatorios del paciente');
INSERT INTO `lang_definitions` VALUES (4898, 3389, 3, 'Activar aviso fecha requerida para Medidas de Cálculo Automático (MCA)');
INSERT INTO `lang_definitions` VALUES (4899, 3391, 3, 'Activar Informe de Seguimiento de Fecha para Medidas de Cálculo Automático (MCA)');
INSERT INTO `lang_definitions` VALUES (4900, 3392, 3, 'Activar Soporte escaner');
INSERT INTO `lang_definitions` VALUES (4901, 3397, 3, 'Activar servicio de soporte OpenEMR LLC Laboratorio de intercambio');
INSERT INTO `lang_definitions` VALUES (4902, 3398, 3, 'Activar Certificado de Autenticación del usuario.');
INSERT INTO `lang_definitions` VALUES (4903, 3403, 3, 'Activar servicio ZMG, Receta electrónica LLC');
INSERT INTO `lang_definitions` VALUES (4904, 3404, 3, 'Activado');
INSERT INTO `lang_definitions` VALUES (4905, 3412, 3, 'Activar el viejo panel de cargos para introducir códigos de facturas y pagos. No se recomienda usar la hoja de honorarios en su lugar.');
INSERT INTO `lang_definitions` VALUES (4906, 3415, 3, 'Encuentro');
INSERT INTO `lang_definitions` VALUES (4907, 3417, 3, 'Visita');
INSERT INTO `lang_definitions` VALUES (4908, 3418, 3, 'Visita');
INSERT INTO `lang_definitions` VALUES (4909, 3419, 3, 'visita');
INSERT INTO `lang_definitions` VALUES (4910, 3420, 3, 'Visita');
INSERT INTO `lang_definitions` VALUES (4911, 3421, 3, 'Visita a un hospitalizado agudo o ED');
INSERT INTO `lang_definitions` VALUES (4912, 3427, 3, 'Fecha visita');
INSERT INTO `lang_definitions` VALUES (4913, 3432, 3, 'Formularios visita');
INSERT INTO `lang_definitions` VALUES (4914, 3433, 3, 'visita de salud y evaluación de comportamiento');
INSERT INTO `lang_definitions` VALUES (4915, 3434, 3, 'Histórico de visitas');
INSERT INTO `lang_definitions` VALUES (4916, 3435, 3, 'ID Visita');
INSERT INTO `lang_definitions` VALUES (4917, 3436, 3, 'Visita gripe');
INSERT INTO `lang_definitions` VALUES (4918, 3439, 3, 'número visita');
INSERT INTO `lang_definitions` VALUES (4919, 3441, 3, 'visita cuidado enfermería');
INSERT INTO `lang_definitions` VALUES (4920, 3442, 3, 'visita centro enfermería');
INSERT INTO `lang_definitions` VALUES (4921, 3443, 3, 'visita terapia ocupacional');
INSERT INTO `lang_definitions` VALUES (4922, 3444, 3, 'visita a consultorio');
INSERT INTO `lang_definitions` VALUES (4923, 3445, 3, 'visita paciente externo');
INSERT INTO `lang_definitions` VALUES (4924, 3446, 3, 'visita paciente externo w/PCP y obgyn');
INSERT INTO `lang_definitions` VALUES (4925, 3447, 3, 'Tamaño página visita');
INSERT INTO `lang_definitions` VALUES (4926, 3448, 3, 'Pago visita');
INSERT INTO `lang_definitions` VALUES (4927, 3449, 3, 'visita embarazo');
INSERT INTO `lang_definitions` VALUES (4928, 3450, 3, 'visita medicina preventiva - asesoramiento individual');
INSERT INTO `lang_definitions` VALUES (4929, 3451, 3, 'visita medicina preventiva para mayores de 40');
INSERT INTO `lang_definitions` VALUES (4930, 3452, 3, 'visita de medicina preventiva - asesoramiento en grupo');
INSERT INTO `lang_definitions` VALUES (4931, 3453, 3, 'visita medicina preventiva otros servicios');
INSERT INTO `lang_definitions` VALUES (4932, 3454, 3, 'visita servicios medicina preventiva mayores de 18');
INSERT INTO `lang_definitions` VALUES (4933, 3457, 3, 'visita psiquiatrica y psicológica');
INSERT INTO `lang_definitions` VALUES (4934, 3458, 3, 'Estadísticas de visitas');
INSERT INTO `lang_definitions` VALUES (4935, 3459, 3, 'Resumen de visitas');
INSERT INTO `lang_definitions` VALUES (4936, 3461, 3, 'Visita codificada');
INSERT INTO `lang_definitions` VALUES (4937, 3462, 3, 'Visita:');
INSERT INTO `lang_definitions` VALUES (4938, 3463, 3, 'Visita: visita ingreso no agudo, paciente externo, o oftalmológico');
INSERT INTO `lang_definitions` VALUES (4939, 3464, 3, 'Visitas');
INSERT INTO `lang_definitions` VALUES (4940, 3465, 3, 'Visitas y Formularios');
INSERT INTO `lang_definitions` VALUES (4941, 3466, 3, 'Visitas y Formularios');
INSERT INTO `lang_definitions` VALUES (4942, 3467, 3, 'Visitas no autorizadas');
INSERT INTO `lang_definitions` VALUES (4943, 3468, 3, 'Informe de visitas');
INSERT INTO `lang_definitions` VALUES (4944, 3469, 3, 'Sección visitas');
INSERT INTO `lang_definitions` VALUES (4945, 3471, 3, 'Encriptación');
INSERT INTO `lang_definitions` VALUES (4946, 3472, 3, 'Final');
INSERT INTO `lang_definitions` VALUES (4947, 3473, 3, 'Final (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (4948, 3474, 3, 'Fecha final');
INSERT INTO `lang_definitions` VALUES (4949, 3475, 3, 'Fecha final');
INSERT INTO `lang_definitions` VALUES (4950, 3480, 3, 'Fecha final debe ser posterior a fecha inicio');
INSERT INTO `lang_definitions` VALUES (4951, 3482, 3, 'Fecha Final:');
INSERT INTO `lang_definitions` VALUES (4952, 3487, 3, 'Hora finalización');
INSERT INTO `lang_definitions` VALUES (4953, 3489, 3, 'Enfermedad renal en Etapa Final - Beneficiario de MCP con un Plan de grupo del empleador');
INSERT INTO `lang_definitions` VALUES (4954, 3492, 3, 'Fecha final de servicio aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (4955, 3493, 3, 'Termina DOS dd/mm/aaaa si desea entrar en una serie');
INSERT INTO `lang_definitions` VALUES (4956, 3494, 3, 'Hora final del día para eventos de calendario');
INSERT INTO `lang_definitions` VALUES (4957, 3495, 3, 'Sangre anormal Endo');
INSERT INTO `lang_definitions` VALUES (4958, 3496, 3, 'Endocrino');
INSERT INTO `lang_definitions` VALUES (4959, 3497, 3, 'Endoscopía');
INSERT INTO `lang_definitions` VALUES (4960, 3502, 3, 'Inglés');
INSERT INTO `lang_definitions` VALUES (4961, 3503, 3, 'Inglés');
INSERT INTO `lang_definitions` VALUES (4962, 3504, 3, 'Ingleses (Indios)');
INSERT INTO `lang_definitions` VALUES (4963, 3505, 3, 'Inglés (Estándar)');
INSERT INTO `lang_definitions` VALUES (4964, 3506, 3, 'Enscript comando usado por Hylafax.');
INSERT INTO `lang_definitions` VALUES (4965, 3507, 3, 'Garantizar OpenEMR tiene privilegios al directorio');
INSERT INTO `lang_definitions` VALUES (4966, 3509, 3, 'ENT Descarga');
INSERT INTO `lang_definitions` VALUES (4967, 3510, 3, 'ENT Dolor');
INSERT INTO `lang_definitions` VALUES (4968, 3513, 3, 'Introduzca un código de la diagnosis para excluir todas las facturas que no lo contienen');
INSERT INTO `lang_definitions` VALUES (4969, 3518, 3, 'Incorpore el cuerpo de la carta aquí');
INSERT INTO `lang_definitions` VALUES (4970, 3520, 3, 'Introduzca Contraseña root para Base Datos');
INSERT INTO `lang_definitions` VALUES (4971, 3521, 3, 'Introduzca Usuario root para Base Datos');
INSERT INTO `lang_definitions` VALUES (4972, 3529, 3, 'Introduzca Diagnóstico');
INSERT INTO `lang_definitions` VALUES (4973, 3530, 3, 'Introduzca Medicamentos');
INSERT INTO `lang_definitions` VALUES (4974, 3537, 3, 'Introduzca Vacunas');
INSERT INTO `lang_definitions` VALUES (4975, 3538, 3, 'Introducir Clave');
INSERT INTO `lang_definitions` VALUES (4976, 3544, 3, 'Escriba el nuevo Estado');
INSERT INTO `lang_definitions` VALUES (4977, 3569, 3, 'Introducir código Re-identificación');
INSERT INTO `lang_definitions` VALUES (4978, 3581, 3, 'Incorpore sus criterios de búsqueda arriba');
INSERT INTO `lang_definitions` VALUES (4979, 3586, 3, 'entradas');
INSERT INTO `lang_definitions` VALUES (4980, 3591, 3, 'Ambiental');
INSERT INTO `lang_definitions` VALUES (4981, 3592, 3, 'Entrada de datos de EOB');
INSERT INTO `lang_definitions` VALUES (4982, 3596, 3, 'EOB envío - Remesas electrónicas');
INSERT INTO `lang_definitions` VALUES (4983, 3597, 3, 'EOB envío - Instrucciones');
INSERT INTO `lang_definitions` VALUES (4984, 3598, 3, 'EOB envío - Factura');
INSERT INTO `lang_definitions` VALUES (4985, 3599, 3, 'EOB envío - Nota del Paciente');
INSERT INTO `lang_definitions` VALUES (4986, 3600, 3, 'EOB envío - Buscar');
INSERT INTO `lang_definitions` VALUES (4987, 3602, 3, 'Epilepsia');
INSERT INTO `lang_definitions` VALUES (4988, 3608, 3, 'ERA (Remesa Electrónica de Aviso)');
INSERT INTO `lang_definitions` VALUES (4989, 3610, 3, 'Envío ERA (Remesa Electrónica de Aviso)');
INSERT INTO `lang_definitions` VALUES (4990, 3612, 3, 'Borrar');
INSERT INTO `lang_definitions` VALUES (4991, 3614, 3, 'Erecciones');
INSERT INTO `lang_definitions` VALUES (4992, 3615, 3, 'Error');
INSERT INTO `lang_definitions` VALUES (4993, 3617, 3, 'Error confirmando la recepción de los resultados del laboratorio');
INSERT INTO `lang_definitions` VALUES (4994, 3620, 3, 'Error al obtener los resultados de laboratorio de la red de intercambio del laboratorio');
INSERT INTO `lang_definitions` VALUES (4995, 3621, 3, 'Error en selección de género');
INSERT INTO `lang_definitions` VALUES (4996, 3622, 3, 'Error en -HIPAA- selección');
INSERT INTO `lang_definitions` VALUES (4997, 3623, 3, 'Error en el -Proceso de selección');
INSERT INTO `lang_definitions` VALUES (4998, 3624, 3, 'El error en la selección de -Puerta enlace SMS-');
INSERT INTO `lang_definitions` VALUES (4999, 3625, 3, 'Error en -Ordenar por- selección');
INSERT INTO `lang_definitions` VALUES (5000, 3626, 3, 'Error del file de compresion gzip');
INSERT INTO `lang_definitions` VALUES (5001, 3627, 3, 'Error en la opción SI o NO');
INSERT INTO `lang_definitions` VALUES (5002, 3630, 3, 'Error al abrir fichero adjunto para lectura');
INSERT INTO `lang_definitions` VALUES (5003, 3633, 3, 'Error al eliminar el mensaje');
INSERT INTO `lang_definitions` VALUES (5004, 3634, 3, 'Error recuperando resultados de la red de intercambio del laboratorio');
INSERT INTO `lang_definitions` VALUES (5005, 3637, 3, 'Error en el fichero de concesión de privilegios para el usuario de OpenEMR.');
INSERT INTO `lang_definitions` VALUES (5006, 3640, 3, 'error al registrar la forma!');
INSERT INTO `lang_definitions` VALUES (5007, 3641, 3, 'Error al guardar el fichero');
INSERT INTO `lang_definitions` VALUES (5008, 3643, 3, 'Error al escribir en el fichero');
INSERT INTO `lang_definitions` VALUES (5009, 3651, 3, 'Error, Este file no existe');
INSERT INTO `lang_definitions` VALUES (5010, 3652, 3, 'ERROR, incapaz de recoger los datos de servidor');
INSERT INTO `lang_definitions` VALUES (5011, 3653, 3, 'Error, incapaz de crear certificado de cliente');
INSERT INTO `lang_definitions` VALUES (5012, 3654, 3, 'Error, incapaz de crear el certificado p12 de Admin');
INSERT INTO `lang_definitions` VALUES (5013, 3655, 3, 'Error. No puede crearse certificadodo de Certificado de Autenticación');
INSERT INTO `lang_definitions` VALUES (5014, 3656, 3, 'Error, incapaz de crear el certificado del servidor');
INSERT INTO `lang_definitions` VALUES (5015, 3658, 3, 'Error, incapaz de abrir el file');
INSERT INTO `lang_definitions` VALUES (5016, 3659, 3, 'Error. Certificado de Autenticación de usuario no está activado en OpenEMR');
INSERT INTO `lang_definitions` VALUES (5017, 3663, 3, 'Error. Necesita instalar el fichero/Tar.php módulo php');
INSERT INTO `lang_definitions` VALUES (5018, 3664, 3, 'ERROR: no pudo abrir tabla sql, formulario roto?');
INSERT INTO `lang_definitions` VALUES (5019, 3667, 3, 'Error: ID duplicado en línea');
INSERT INTO `lang_definitions` VALUES (5020, 3668, 3, 'Error: Nombre duplicado en línea');
INSERT INTO `lang_definitions` VALUES (5021, 3669, 3, 'ERROR: Campo');
INSERT INTO `lang_definitions` VALUES (5022, 3670, 3, 'ERROR: Falta el fichero comprimido del Módulo PHP');
INSERT INTO `lang_definitions` VALUES (5023, 3671, 3, 'ERROR: Sin directorio de importación ICD');
INSERT INTO `lang_definitions` VALUES (5024, 3672, 3, 'Error: las contraseñas no coinciden. Por favor, compruebe lo tecleado.');
INSERT INTO `lang_definitions` VALUES (5025, 3673, 3, 'Error: las contraseñas no coinciden. Por favor, compruebe lo tecleado.');
INSERT INTO `lang_definitions` VALUES (5026, 3674, 3, 'Error, este file no existe');
INSERT INTO `lang_definitions` VALUES (5027, 3675, 3, 'ERROR: La siguiente variable contiene caracteres inválidos');
INSERT INTO `lang_definitions` VALUES (5028, 3676, 3, 'ERROR: No se puede copiar el fichero.');
INSERT INTO `lang_definitions` VALUES (5029, 3677, 3, 'Error, incapaz de crear el fichero de descarga');
INSERT INTO `lang_definitions` VALUES (5030, 3678, 3, 'ERROR: No se puede crear el fichero comprimido.');
INSERT INTO `lang_definitions` VALUES (5031, 3679, 3, 'ERROR: No se puede extraer el fichero.');
INSERT INTO `lang_definitions` VALUES (5032, 3680, 3, 'ERROR: No se puede leer el fichero en la base de datos.');
INSERT INTO `lang_definitions` VALUES (5033, 3681, 3, 'ERROR: No se puede establecer el número de versión.');
INSERT INTO `lang_definitions` VALUES (5034, 3682, 3, 'Errores');
INSERT INTO `lang_definitions` VALUES (5035, 3684, 3, 'Estado cuenta Receta electrónica');
INSERT INTO `lang_definitions` VALUES (5036, 3685, 3, 'Registros Receta electrónica');
INSERT INTO `lang_definitions` VALUES (5037, 3686, 3, 'Nombre Receta electrónica');
INSERT INTO `lang_definitions` VALUES (5038, 3687, 3, 'Contraseña Receta electrónica');
INSERT INTO `lang_definitions` VALUES (5039, 3688, 3, 'Rol Receta electrónica');
INSERT INTO `lang_definitions` VALUES (5040, 3689, 3, 'Usuario Receta electrónica');
INSERT INTO `lang_definitions` VALUES (5041, 3690, 3, 'Eritema');
INSERT INTO `lang_definitions` VALUES (5042, 3693, 3, 'Esquimal');
INSERT INTO `lang_definitions` VALUES (5043, 3699, 3, 'Paciente regular');
INSERT INTO `lang_definitions` VALUES (5044, 3701, 3, 'Raza');
INSERT INTO `lang_definitions` VALUES (5045, 3702, 3, 'La etnia o la raza');
INSERT INTO `lang_definitions` VALUES (5046, 3703, 3, 'Lista de Origen étnico--Raza (escriba, sólo añadir opcional)');
INSERT INTO `lang_definitions` VALUES (5047, 3706, 3, 'ETIN');
INSERT INTO `lang_definitions` VALUES (5048, 3709, 3, 'Evento');
INSERT INTO `lang_definitions` VALUES (5049, 3710, 3, 'Fecha comienzo de evento');
INSERT INTO `lang_definitions` VALUES (5050, 3711, 3, 'Categoría de evento');
INSERT INTO `lang_definitions` VALUES (5051, 3712, 3, 'Fecha evento');
INSERT INTO `lang_definitions` VALUES (5052, 3714, 3, 'Descripción evento');
INSERT INTO `lang_definitions` VALUES (5053, 3715, 3, 'Detalles evento');
INSERT INTO `lang_definitions` VALUES (5054, 3716, 3, 'Evento no se repite');
INSERT INTO `lang_definitions` VALUES (5055, 3717, 3, 'Duración de Evento');
INSERT INTO `lang_definitions` VALUES (5056, 3718, 3, 'Duración de evento en minutos');
INSERT INTO `lang_definitions` VALUES (5057, 3719, 3, 'Honorarios del evento');
INSERT INTO `lang_definitions` VALUES (5058, 3720, 3, 'Lugar de evento');
INSERT INTO `lang_definitions` VALUES (5059, 3721, 3, 'Evento repite cada');
INSERT INTO `lang_definitions` VALUES (5060, 3722, 3, 'Evento repite en');
INSERT INTO `lang_definitions` VALUES (5061, 3723, 3, 'Hora comienzo evento');
INSERT INTO `lang_definitions` VALUES (5062, 3724, 3, 'Título de evento');
INSERT INTO `lang_definitions` VALUES (5063, 3725, 3, 'Título de Evento');
INSERT INTO `lang_definitions` VALUES (5064, 3726, 3, 'Página web de evento');
INSERT INTO `lang_definitions` VALUES (5065, 3727, 3, 'Eventos');
INSERT INTO `lang_definitions` VALUES (5066, 3728, 3, 'Eventos para');
INSERT INTO `lang_definitions` VALUES (5067, 3729, 3, 'Eventos abre en nueva ventana');
INSERT INTO `lang_definitions` VALUES (5068, 3731, 3, 'cada');
INSERT INTO `lang_definitions` VALUES (5069, 3732, 3, 'Cada');
INSERT INTO `lang_definitions` VALUES (5070, 3734, 3, 'cada 3 horas');
INSERT INTO `lang_definitions` VALUES (5071, 3736, 3, 'cada 4 horas');
INSERT INTO `lang_definitions` VALUES (5072, 3738, 3, 'cada 5 horas');
INSERT INTO `lang_definitions` VALUES (5073, 3740, 3, 'cada 6 horas');
INSERT INTO `lang_definitions` VALUES (5074, 3742, 3, 'cada 8 horas');
INSERT INTO `lang_definitions` VALUES (5075, 3743, 3, 'cada cuarto');
INSERT INTO `lang_definitions` VALUES (5076, 3745, 3, 'uno sí, otro no');
INSERT INTO `lang_definitions` VALUES (5077, 3746, 3, 'cada tercero');
INSERT INTO `lang_definitions` VALUES (5078, 3747, 3, 'Cada, cada otro, cada 3ro, etc.');
INSERT INTO `lang_definitions` VALUES (5079, 3749, 3, 'Examen y los resultados de las pruebas');
INSERT INTO `lang_definitions` VALUES (5080, 3750, 3, 'Resultados del examen');
INSERT INTO `lang_definitions` VALUES (5081, 3753, 3, 'Examen');
INSERT INTO `lang_definitions` VALUES (5082, 3754, 3, 'Fecha de examen');
INSERT INTO `lang_definitions` VALUES (5083, 3755, 3, 'Ejemplo');
INSERT INTO `lang_definitions` VALUES (5084, 3758, 3, 'Ejemplos');
INSERT INTO `lang_definitions` VALUES (5085, 3760, 3, 'Exámenes/Pruebas');
INSERT INTO `lang_definitions` VALUES (5086, 3762, 3, 'Excepto');
INSERT INTO `lang_definitions` VALUES (5087, 3763, 3, 'Lagrimeo Excesivo');
INSERT INTO `lang_definitions` VALUES (5088, 3766, 3, 'Pacientes Excluídos');
INSERT INTO `lang_definitions` VALUES (5089, 3767, 3, 'Exclusiones');
INSERT INTO `lang_definitions` VALUES (5090, 3768, 3, 'Organización de provedor exclusivo (OPE)');
INSERT INTO `lang_definitions` VALUES (5091, 3770, 3, 'Tamaño papel ejecutivo');
INSERT INTO `lang_definitions` VALUES (5092, 3771, 3, 'Ejercicio');
INSERT INTO `lang_definitions` VALUES (5093, 3772, 3, 'Patrones de ejercicio');
INSERT INTO `lang_definitions` VALUES (5094, 3773, 3, 'Patrones del ejercicio');
INSERT INTO `lang_definitions` VALUES (5095, 3774, 3, 'Existe');
INSERT INTO `lang_definitions` VALUES (5096, 3778, 3, 'Salir de Administración');
INSERT INTO `lang_definitions` VALUES (5097, 3782, 3, 'Exp');
INSERT INTO `lang_definitions` VALUES (5098, 3784, 3, 'Expandir');
INSERT INTO `lang_definitions` VALUES (5099, 3785, 3, 'Expandir');
INSERT INTO `lang_definitions` VALUES (5100, 3787, 3, 'Expandir Todo');
INSERT INTO `lang_definitions` VALUES (5101, 3792, 3, 'Vista ampliada');
INSERT INTO `lang_definitions` VALUES (5102, 3793, 3, 'Se espera form_encounter.pid para ser');
INSERT INTO `lang_definitions` VALUES (5103, 3794, 3, 'Caducidad');
INSERT INTO `lang_definitions` VALUES (5104, 3795, 3, 'Fecha de caducidad');
INSERT INTO `lang_definitions` VALUES (5105, 3797, 3, 'Caducidad');
INSERT INTO `lang_definitions` VALUES (5106, 3798, 3, 'Expira en');
INSERT INTO `lang_definitions` VALUES (5107, 3799, 3, 'Exportar');
INSERT INTO `lang_definitions` VALUES (5108, 3800, 3, 'Exportar con CSV');
INSERT INTO `lang_definitions` VALUES (5109, 3802, 3, 'Exportar configuración');
INSERT INTO `lang_definitions` VALUES (5110, 3806, 3, 'Exportación de Demograficos del paciente');
INSERT INTO `lang_definitions` VALUES (5111, 3808, 3, 'Exportar Informe PQRI');
INSERT INTO `lang_definitions` VALUES (5112, 3810, 3, 'Selección de exportación como CSV');
INSERT INTO `lang_definitions` VALUES (5113, 3811, 3, 'Selección de las colecciones a la exportación');
INSERT INTO `lang_definitions` VALUES (5114, 3812, 3, 'Exportar a CSV');
INSERT INTO `lang_definitions` VALUES (5115, 3813, 3, 'Exportación al sistema de facturación externo');
INSERT INTO `lang_definitions` VALUES (5116, 3815, 3, 'Exposición a los países extranjeros');
INSERT INTO `lang_definitions` VALUES (5117, 3816, 3, 'Exposición a Países Extranjeros');
INSERT INTO `lang_definitions` VALUES (5118, 3818, 3, 'Ext tiempo de coleccionar');
INSERT INTO `lang_definitions` VALUES (5119, 3820, 3, 'Externo');
INSERT INTO `lang_definitions` VALUES (5120, 3823, 3, 'Carga de datos externos');
INSERT INTO `lang_definitions` VALUES (5121, 3824, 3, 'Utilidad de importación bbdd externa');
INSERT INTO `lang_definitions` VALUES (5122, 3828, 3, 'D.N.I.');
INSERT INTO `lang_definitions` VALUES (5123, 3829, 3, 'ID externo');
INSERT INTO `lang_definitions` VALUES (5124, 3830, 3, 'identificación externos');
INSERT INTO `lang_definitions` VALUES (5125, 3831, 3, 'Identificador externo');
INSERT INTO `lang_definitions` VALUES (5126, 3834, 3, 'Derivación externa');
INSERT INTO `lang_definitions` VALUES (5127, 3835, 3, 'Seguimiento de Derivaciones Externas');
INSERT INTO `lang_definitions` VALUES (5128, 3836, 3, '¿Derivación externa?');
INSERT INTO `lang_definitions` VALUES (5129, 3837, 3, 'Derivaciones externas');
INSERT INTO `lang_definitions` VALUES (5130, 3838, 3, 'Extraer este file comprimido');
INSERT INTO `lang_definitions` VALUES (5131, 3839, 3, 'Extrayendo fichero. Esto puede tardar algún tiempo...');
INSERT INTO `lang_definitions` VALUES (5132, 3840, 3, 'Exudado:');
INSERT INTO `lang_definitions` VALUES (5133, 3850, 3, 'Irritación de Ojo');
INSERT INTO `lang_definitions` VALUES (5134, 3856, 3, 'Dolor de Ojo');
INSERT INTO `lang_definitions` VALUES (5135, 3860, 3, 'Enrojecimiento de Ojo');
INSERT INTO `lang_definitions` VALUES (5136, 3863, 3, 'Ojos');
INSERT INTO `lang_definitions` VALUES (5137, 3865, 3, 'F');
INSERT INTO `lang_definitions` VALUES (5138, 3866, 3, 'F/H Problemas de Sangre');
INSERT INTO `lang_definitions` VALUES (5139, 3867, 3, 'F/H Hirsutismo Femenino/Estrías');
INSERT INTO `lang_definitions` VALUES (5140, 3868, 3, 'Centros');
INSERT INTO `lang_definitions` VALUES (5141, 3869, 3, 'Centro');
INSERT INTO `lang_definitions` VALUES (5142, 3870, 3, 'centro');
INSERT INTO `lang_definitions` VALUES (5143, 3871, 3, 'Administración del Centro');
INSERT INTO `lang_definitions` VALUES (5144, 3872, 3, 'Ciudad del Centro');
INSERT INTO `lang_definitions` VALUES (5145, 3873, 3, 'Código del Centro');
INSERT INTO `lang_definitions` VALUES (5146, 3875, 3, 'Código País del Centro');
INSERT INTO `lang_definitions` VALUES (5147, 3876, 3, 'Fax del Centro');
INSERT INTO `lang_definitions` VALUES (5148, 3878, 3, 'Nombre del Centro');
INSERT INTO `lang_definitions` VALUES (5149, 3879, 3, 'NPI del Centro');
INSERT INTO `lang_definitions` VALUES (5150, 3880, 3, 'Teléfono del Centro');
INSERT INTO `lang_definitions` VALUES (5151, 3882, 3, 'Información de usuario en el centro especificado');
INSERT INTO `lang_definitions` VALUES (5152, 3883, 3, 'Estado del Centro');
INSERT INTO `lang_definitions` VALUES (5153, 3884, 3, 'Dirección del Centro');
INSERT INTO `lang_definitions` VALUES (5154, 3886, 3, 'Código Postal del Centro');
INSERT INTO `lang_definitions` VALUES (5155, 3888, 3, 'Centro:');
INSERT INTO `lang_definitions` VALUES (5156, 3889, 3, 'Fallo');
INSERT INTO `lang_definitions` VALUES (5157, 3890, 3, 'Fallado');
INSERT INTO `lang_definitions` VALUES (5158, 3891, 3, 'fallado');
INSERT INTO `lang_definitions` VALUES (5159, 3901, 3, 'Fallo al crear la carpeta temporal. CouchDB no funcionará.');
INSERT INTO `lang_definitions` VALUES (5160, 3907, 3, 'Fallo');
INSERT INTO `lang_definitions` VALUES (5161, 3908, 3, 'error');
INSERT INTO `lang_definitions` VALUES (5162, 3916, 3, 'Historia familiar');
INSERT INTO `lang_definitions` VALUES (5163, 3918, 3, 'Historia Familiar de Glaucoma');
INSERT INTO `lang_definitions` VALUES (5164, 3919, 3, 'Historia');
INSERT INTO `lang_definitions` VALUES (5165, 3921, 3, 'Familia de pago');
INSERT INTO `lang_definitions` VALUES (5166, 3922, 3, 'Tamaño familia');
INSERT INTO `lang_definitions` VALUES (5167, 3923, 3, 'Suposición');
INSERT INTO `lang_definitions` VALUES (5168, 3925, 3, 'Iraní');
INSERT INTO `lang_definitions` VALUES (5169, 3928, 3, 'Padre');
INSERT INTO `lang_definitions` VALUES (5170, 3930, 3, 'Fatiga');
INSERT INTO `lang_definitions` VALUES (5171, 3931, 3, 'Fatigado');
INSERT INTO `lang_definitions` VALUES (5172, 3933, 3, 'Fax');
INSERT INTO `lang_definitions` VALUES (5173, 3934, 3, 'Contador fax');
INSERT INTO `lang_definitions` VALUES (5174, 3935, 3, 'Número de fax');
INSERT INTO `lang_definitions` VALUES (5175, 3937, 3, 'Fax/Escanear');
INSERT INTO `lang_definitions` VALUES (5176, 3938, 3, 'Faxes entrada');
INSERT INTO `lang_definitions` VALUES (5177, 3939, 3, 'Faxes salida');
INSERT INTO `lang_definitions` VALUES (5178, 3940, 3, 'Características');
INSERT INTO `lang_definitions` VALUES (5179, 3941, 3, 'Feb');
INSERT INTO `lang_definitions` VALUES (5180, 3942, 3, 'Febrero');
INSERT INTO `lang_definitions` VALUES (5181, 3943, 3, 'FECA');
INSERT INTO `lang_definitions` VALUES (5182, 3944, 3, 'Nº Colegiado');
INSERT INTO `lang_definitions` VALUES (5183, 3945, 3, 'Federal EIN');
INSERT INTO `lang_definitions` VALUES (5184, 3946, 3, 'Nº Identificación de impuesto federal');
INSERT INTO `lang_definitions` VALUES (5185, 3948, 3, 'Honorario');
INSERT INTO `lang_definitions` VALUES (5186, 3949, 3, 'honorario');
INSERT INTO `lang_definitions` VALUES (5187, 3950, 3, 'No se permiten honorarios');
INSERT INTO `lang_definitions` VALUES (5188, 3951, 3, 'Hoja de honorarios');
INSERT INTO `lang_definitions` VALUES (5189, 3953, 3, 'Opciones de la hoja de honorarios');
INSERT INTO `lang_definitions` VALUES (5190, 3955, 3, 'Honorarios');
INSERT INTO `lang_definitions` VALUES (5191, 3956, 3, 'Femenino');
INSERT INTO `lang_definitions` VALUES (5192, 3957, 3, 'AP Femenino');
INSERT INTO `lang_definitions` VALUES (5193, 3958, 3, 'Condones femeninos');
INSERT INTO `lang_definitions` VALUES (5194, 3959, 3, 'G Femenino');
INSERT INTO `lang_definitions` VALUES (5195, 3960, 3, 'LC Femenino');
INSERT INTO `lang_definitions` VALUES (5196, 3961, 3, 'P Femenino');
INSERT INTO `lang_definitions` VALUES (5197, 3962, 3, 'Síntomas Femeninos');
INSERT INTO `lang_definitions` VALUES (5198, 3963, 3, 'Mujeres VSC');
INSERT INTO `lang_definitions` VALUES (5199, 3966, 3, 'Fiebre');
INSERT INTO `lang_definitions` VALUES (5200, 3967, 3, 'Fiebre:');
INSERT INTO `lang_definitions` VALUES (5201, 3968, 3, 'Problemas de Sangre FH');
INSERT INTO `lang_definitions` VALUES (5202, 3972, 3, 'Fibromas');
INSERT INTO `lang_definitions` VALUES (5203, 3978, 3, 'Tipo de campo a utilizar para el país del empleador o abonado en demográficos.');
INSERT INTO `lang_definitions` VALUES (5204, 3979, 3, 'Tipo de campo a utilizar para el estado del empleador o abonado en demográficos.');
INSERT INTO `lang_definitions` VALUES (5205, 3980, 3, 'Falta Campo(s)!');
INSERT INTO `lang_definitions` VALUES (5206, 3986, 3, 'Fichero');
INSERT INTO `lang_definitions` VALUES (5207, 3989, 3, 'Fichero en el directorio de documentación para aprender como automatizar el proceso de creación de logs de backup');
INSERT INTO `lang_definitions` VALUES (5208, 3990, 3, 'Ubicacion del file');
INSERT INTO `lang_definitions` VALUES (5209, 3991, 3, 'Gestión de Fichero');
INSERT INTO `lang_definitions` VALUES (5210, 3998, 3, 'Fichero de permisos de usuario de OpenEMR');
INSERT INTO `lang_definitions` VALUES (5211, 3999, 3, 'Fallo en la recuperación de archivo de CouchDB');
INSERT INTO `lang_definitions` VALUES (5212, 4000, 3, 'Sala de archivo');
INSERT INTO `lang_definitions` VALUES (5213, 4001, 3, 'Fichero para adjuntar');
INSERT INTO `lang_definitions` VALUES (5214, 4003, 3, 'Un fichero con el mismo nombre ya existe en la ubicación:');
INSERT INTO `lang_definitions` VALUES (5215, 4004, 3, 'Nombre de fichero');
INSERT INTO `lang_definitions` VALUES (5216, 4006, 3, 'Ficheros');
INSERT INTO `lang_definitions` VALUES (5217, 4011, 3, 'Filipino');
INSERT INTO `lang_definitions` VALUES (5218, 4013, 3, 'Rellene cualquiera de las filas de abajo.');
INSERT INTO `lang_definitions` VALUES (5219, 4014, 3, 'Rellenar sólo si manda notificación a paciente por email');
INSERT INTO `lang_definitions` VALUES (5220, 4023, 3, 'Llenar los valores abajo');
INSERT INTO `lang_definitions` VALUES (5221, 4025, 3, 'Rellene la fila');
INSERT INTO `lang_definitions` VALUES (5222, 4028, 3, 'Filtro');
INSERT INTO `lang_definitions` VALUES (5223, 4029, 3, 'Filtro para los constantes');
INSERT INTO `lang_definitions` VALUES (5224, 4030, 3, 'Filtro por Definición');
INSERT INTO `lang_definitions` VALUES (5225, 4031, 3, 'Filtrado desde');
INSERT INTO `lang_definitions` VALUES (5226, 4032, 3, 'Filtros');
INSERT INTO `lang_definitions` VALUES (5227, 4033, 3, 'filtros');
INSERT INTO `lang_definitions` VALUES (5228, 4034, 3, 'Final');
INSERT INTO `lang_definitions` VALUES (5229, 4035, 3, 'Diagnóstico final');
INSERT INTO `lang_definitions` VALUES (5230, 4036, 3, 'Diagnóstico final por especialista');
INSERT INTO `lang_definitions` VALUES (5231, 4038, 3, 'Financiero');
INSERT INTO `lang_definitions` VALUES (5232, 4039, 3, 'Fecha cierre financiero (aaaa-mm-dd)');
INSERT INTO `lang_definitions` VALUES (5233, 4040, 3, 'Información financiera - cualquier cosa');
INSERT INTO `lang_definitions` VALUES (5234, 4042, 3, 'Información financiera - mis visitas');
INSERT INTO `lang_definitions` VALUES (5235, 4045, 3, 'Fecha de revisión financiero');
INSERT INTO `lang_definitions` VALUES (5236, 4046, 3, 'Resumen Financiero por Código de Servicio');
INSERT INTO `lang_definitions` VALUES (5237, 4048, 3, 'Buscar');
INSERT INTO `lang_definitions` VALUES (5238, 4049, 3, 'Buscar disponible');
INSERT INTO `lang_definitions` VALUES (5239, 4050, 3, 'Buscar citas disponibles');
INSERT INTO `lang_definitions` VALUES (5240, 4053, 3, 'Busca paciente');
INSERT INTO `lang_definitions` VALUES (5241, 4054, 3, 'Buscar materiales educativos para el paciente');
INSERT INTO `lang_definitions` VALUES (5242, 4056, 3, 'Conclusiones');
INSERT INTO `lang_definitions` VALUES (5243, 4057, 3, 'Conclusiones por especialista');
INSERT INTO `lang_definitions` VALUES (5244, 4058, 3, 'Multa');
INSERT INTO `lang_definitions` VALUES (5245, 4060, 3, 'Final Pagos');
INSERT INTO `lang_definitions` VALUES (5246, 4062, 3, 'Terminado');
INSERT INTO `lang_definitions` VALUES (5247, 4065, 3, 'Primero');
INSERT INTO `lang_definitions` VALUES (5248, 4068, 3, 'Primer día de la semana');
INSERT INTO `lang_definitions` VALUES (5249, 4071, 3, 'Nombre');
INSERT INTO `lang_definitions` VALUES (5250, 4072, 3, 'Nombre');
INSERT INTO `lang_definitions` VALUES (5251, 4073, 3, 'Nombre:');
INSERT INTO `lang_definitions` VALUES (5252, 4079, 3, 'Aptitud');
INSERT INTO `lang_definitions` VALUES (5253, 4080, 3, 'Condicion Fisica');
INSERT INTO `lang_definitions` VALUES (5254, 4081, 3, 'Condicion Fisica para este jugador hoy');
INSERT INTO `lang_definitions` VALUES (5255, 4083, 3, 'Aptitud para jugar');
INSERT INTO `lang_definitions` VALUES (5256, 4084, 3, 'Fijar fechas visita - cualquier visita');
INSERT INTO `lang_definitions` VALUES (5257, 4086, 3, 'Solucionar este');
INSERT INTO `lang_definitions` VALUES (5258, 4088, 3, 'FL');
INSERT INTO `lang_definitions` VALUES (5259, 4090, 3, 'Flatulencia');
INSERT INTO `lang_definitions` VALUES (5260, 4091, 3, 'Flujo');
INSERT INTO `lang_definitions` VALUES (5261, 4108, 3, 'Temporada de gripe');
INSERT INTO `lang_definitions` VALUES (5262, 4109, 3, 'Temporada de Gripe');
INSERT INTO `lang_definitions` VALUES (5263, 4110, 3, 'Vacunación gripe');
INSERT INTO `lang_definitions` VALUES (5264, 4111, 3, 'Problema de fluído y electrolito');
INSERT INTO `lang_definitions` VALUES (5265, 4112, 3, 'FMS');
INSERT INTO `lang_definitions` VALUES (5266, 4113, 3, 'Tamaño papel folio');
INSERT INTO `lang_definitions` VALUES (5267, 4114, 3, 'Seguir manualmente');
INSERT INTO `lang_definitions` VALUES (5268, 4115, 3, 'Siga estas instrucciones para instalar o actualizar la siguiente bbdd');
INSERT INTO `lang_definitions` VALUES (5269, 4116, 3, 'Seguimineto');
INSERT INTO `lang_definitions` VALUES (5270, 4119, 3, 'Motivo de seguimiento');
INSERT INTO `lang_definitions` VALUES (5271, 4121, 3, 'A continuación una nueva constante de cliente:');
INSERT INTO `lang_definitions` VALUES (5272, 4122, 3, 'A continuación un nuevo idioma de cliente:');
INSERT INTO `lang_definitions` VALUES (5273, 4123, 3, 'A continuación una nueva definición (Idioma, Constante, Definición):');
INSERT INTO `lang_definitions` VALUES (5274, 4125, 3, 'Servicios de seguimiento');
INSERT INTO `lang_definitions` VALUES (5275, 4126, 3, 'Seguimiento indicado');
INSERT INTO `lang_definitions` VALUES (5276, 4129, 3, 'Intolerancia del Alimento');
INSERT INTO `lang_definitions` VALUES (5277, 4130, 3, 'Pie');
INSERT INTO `lang_definitions` VALUES (5278, 4131, 3, 'Problemas en los píes');
INSERT INTO `lang_definitions` VALUES (5279, 4132, 3, 'Píe:');
INSERT INTO `lang_definitions` VALUES (5280, 4133, 3, 'Lesiones de fútbol');
INSERT INTO `lang_definitions` VALUES (5281, 4135, 3, 'Informe de lesión futbolística');
INSERT INTO `lang_definitions` VALUES (5282, 4136, 3, 'Tipo de calzado');
INSERT INTO `lang_definitions` VALUES (5283, 4137, 3, 'para');
INSERT INTO `lang_definitions` VALUES (5284, 4138, 3, 'Para');
INSERT INTO `lang_definitions` VALUES (5285, 4144, 3, 'Por Código');
INSERT INTO `lang_definitions` VALUES (5286, 4152, 3, 'Para reclamaciones de visita');
INSERT INTO `lang_definitions` VALUES (5287, 4154, 3, 'Por Ejemplo');
INSERT INTO `lang_definitions` VALUES (5288, 4161, 3, 'Por Factura');
INSERT INTO `lang_definitions` VALUES (5289, 4163, 3, 'Para Seguro médico sólo, obliga al facultativo de referencia a ser el mismo que el facultativo del representado.');
INSERT INTO `lang_definitions` VALUES (5290, 4173, 3, 'Para el profesional/Organizacion referida');
INSERT INTO `lang_definitions` VALUES (5291, 4176, 3, 'Por el pasado');
INSERT INTO `lang_definitions` VALUES (5292, 4188, 3, 'por variable');
INSERT INTO `lang_definitions` VALUES (5293, 4189, 3, 'para:');
INSERT INTO `lang_definitions` VALUES (5294, 4190, 3, 'Fuerza la apertura del widget de facturación');
INSERT INTO `lang_definitions` VALUES (5295, 4191, 3, 'Forzar Crear Nuevo Paciente');
INSERT INTO `lang_definitions` VALUES (5296, 4194, 3, 'Antebrazo');
INSERT INTO `lang_definitions` VALUES (5297, 4195, 3, 'Formulario');
INSERT INTO `lang_definitions` VALUES (5298, 4196, 3, 'formulario');
INSERT INTO `lang_definitions` VALUES (5299, 4201, 3, 'Formato');
INSERT INTO `lang_definitions` VALUES (5300, 4202, 3, 'formato');
INSERT INTO `lang_definitions` VALUES (5301, 4204, 3, 'Formato incorrecto para el NDC');
INSERT INTO `lang_definitions` VALUES (5302, 4205, 3, 'Formato usado para la mayoría de fechas');
INSERT INTO `lang_definitions` VALUES (5303, 4206, 3, 'Formato usado para mostrar la mayoría de horas.');
INSERT INTO `lang_definitions` VALUES (5304, 4207, 3, 'Informe Formateado');
INSERT INTO `lang_definitions` VALUES (5305, 4208, 3, 'Ex-fumador');
INSERT INTO `lang_definitions` VALUES (5306, 4209, 3, 'Formularios');
INSERT INTO `lang_definitions` VALUES (5307, 4210, 3, 'Formas de administración');
INSERT INTO `lang_definitions` VALUES (5308, 4215, 3, 'Re-enviar');
INSERT INTO `lang_definitions` VALUES (5309, 4219, 3, 'Reenviar Páginas vía fax');
INSERT INTO `lang_definitions` VALUES (5310, 4222, 3, 'Remitido');
INSERT INTO `lang_definitions` VALUES (5311, 4225, 3, 'Cuarto');
INSERT INTO `lang_definitions` VALUES (5312, 4227, 3, 'Fractura');
INSERT INTO `lang_definitions` VALUES (5313, 4228, 3, 'Fractura de escafoides');
INSERT INTO `lang_definitions` VALUES (5314, 4229, 3, 'Fractura del maléolo lat.');
INSERT INTO `lang_definitions` VALUES (5315, 4230, 3, 'Fractura del maléolo tibial.');
INSERT INTO `lang_definitions` VALUES (5316, 4231, 3, 'Fractura de base quinta (5 ª) metatarsianas');
INSERT INTO `lang_definitions` VALUES (5317, 4232, 3, 'Marco');
INSERT INTO `lang_definitions` VALUES (5318, 4233, 3, 'Soporte para Marcos requeridos');
INSERT INTO `lang_definitions` VALUES (5319, 4235, 3, 'Francés');
INSERT INTO `lang_definitions` VALUES (5320, 4236, 3, 'Francés (Canadiense)');
INSERT INTO `lang_definitions` VALUES (5321, 4237, 3, 'Francés (Standard)');
INSERT INTO `lang_definitions` VALUES (5322, 4238, 3, 'Frecuencia');
INSERT INTO `lang_definitions` VALUES (5323, 4239, 3, 'Resfriados Frecuentes');
INSERT INTO `lang_definitions` VALUES (5324, 4240, 3, 'Enfermedades Frecuentes');
INSERT INTO `lang_definitions` VALUES (5325, 4241, 3, 'Viernes');
INSERT INTO `lang_definitions` VALUES (5326, 4242, 3, 'Viernes');
INSERT INTO `lang_definitions` VALUES (5327, 4244, 3, 'Desde');
INSERT INTO `lang_definitions` VALUES (5328, 4245, 3, 'DESDE');
INSERT INTO `lang_definitions` VALUES (5329, 4246, 3, 'desde');
INSERT INTO `lang_definitions` VALUES (5330, 4247, 3, 'Fecha desde no puede ser mayor que fecha hasta');
INSERT INTO `lang_definitions` VALUES (5331, 4253, 3, 'Desde:');
INSERT INTO `lang_definitions` VALUES (5332, 4254, 3, 'Desde:');
INSERT INTO `lang_definitions` VALUES (5333, 4255, 3, 'FROM_CITY');
INSERT INTO `lang_definitions` VALUES (5334, 4257, 3, 'FROM_FNAME');
INSERT INTO `lang_definitions` VALUES (5335, 4258, 3, 'FROM_LNAME');
INSERT INTO `lang_definitions` VALUES (5336, 4259, 3, 'FROM_MNAME');
INSERT INTO `lang_definitions` VALUES (5337, 4261, 3, 'FROM_PHONECELL');
INSERT INTO `lang_definitions` VALUES (5338, 4262, 3, 'FROM_POSTAL');
INSERT INTO `lang_definitions` VALUES (5339, 4263, 3, 'FROM_STATE');
INSERT INTO `lang_definitions` VALUES (5340, 4264, 3, 'FROM_STREET');
INSERT INTO `lang_definitions` VALUES (5341, 4265, 3, 'FROM_TITLE');
INSERT INTO `lang_definitions` VALUES (5342, 4266, 3, 'FROM_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (5343, 4267, 3, 'Oficina central');
INSERT INTO `lang_definitions` VALUES (5344, 4268, 3, 'Recibos de la Oficina Central');
INSERT INTO `lang_definitions` VALUES (5345, 4269, 3, 'Reportes de Recibos de la Oficina Central');
INSERT INTO `lang_definitions` VALUES (5346, 4270, 3, 'Rec. Oficina Central');
INSERT INTO `lang_definitions` VALUES (5347, 4271, 3, 'La derecha frontal:');
INSERT INTO `lang_definitions` VALUES (5348, 4278, 3, 'Nombre Completo');
INSERT INTO `lang_definitions` VALUES (5349, 4280, 3, 'Ruta completa del directorio que contiene los ejecutables MySQL.');
INSERT INTO `lang_definitions` VALUES (5350, 4281, 3, 'Ruta completa del directorio que contiene los ejecutables Perl.');
INSERT INTO `lang_definitions` VALUES (5351, 4282, 3, 'Ruta completa del directorio para log de eventos de backup');
INSERT INTO `lang_definitions` VALUES (5352, 4283, 3, 'Ruta completa del directorio usado para ficheros temporales');
INSERT INTO `lang_definitions` VALUES (5353, 4284, 3, 'Juego completo');
INSERT INTO `lang_definitions` VALUES (5354, 4286, 3, 'Entrenamiento completo');
INSERT INTO `lang_definitions` VALUES (5355, 4288, 3, 'Pagado Total');
INSERT INTO `lang_definitions` VALUES (5356, 4298, 3, 'G');
INSERT INTO `lang_definitions` VALUES (5357, 4299, 3, 'G/DL');
INSERT INTO `lang_definitions` VALUES (5358, 4302, 3, 'Afección de la vesícula biliar');
INSERT INTO `lang_definitions` VALUES (5359, 4303, 3, 'Piedras en la vesícula');
INSERT INTO `lang_definitions` VALUES (5360, 4304, 3, 'Periodo de Juego');
INSERT INTO `lang_definitions` VALUES (5361, 4305, 3, 'Juegos');
INSERT INTO `lang_definitions` VALUES (5362, 4306, 3, 'Juegos faltados');
INSERT INTO `lang_definitions` VALUES (5363, 4307, 3, 'juegos/eventos');
INSERT INTO `lang_definitions` VALUES (5364, 4308, 3, 'Juegos/Eventos perdidos');
INSERT INTO `lang_definitions` VALUES (5365, 4310, 3, 'Gastritis');
INSERT INTO `lang_definitions` VALUES (5366, 4311, 3, 'Dolor Gastrointestinal');
INSERT INTO `lang_definitions` VALUES (5367, 4312, 3, 'Gastrointestinal');
INSERT INTO `lang_definitions` VALUES (5368, 4316, 3, 'Informe de estadísticas del GCAC');
INSERT INTO `lang_definitions` VALUES (5369, 4317, 3, 'Estadísticas GCAC');
INSERT INTO `lang_definitions` VALUES (5370, 4318, 3, 'Falta la forma de la visita del GCAC');
INSERT INTO `lang_definitions` VALUES (5371, 4319, 3, 'Género');
INSERT INTO `lang_definitions` VALUES (5372, 4320, 3, 'Género');
INSERT INTO `lang_definitions` VALUES (5373, 4321, 3, 'General');
INSERT INTO `lang_definitions` VALUES (5374, 4325, 3, 'Categoría de servicio general');
INSERT INTO `lang_definitions` VALUES (5375, 4332, 3, 'Generar y Descargar');
INSERT INTO `lang_definitions` VALUES (5376, 4334, 3, 'Generar y descargar HCFA 1500 reclamaciones en papel');
INSERT INTO `lang_definitions` VALUES (5377, 4337, 3, 'Generar y descargar batch X12');
INSERT INTO `lang_definitions` VALUES (5378, 4338, 3, 'Generar y descargar batch X12 de reclamación por visita');
INSERT INTO `lang_definitions` VALUES (5379, 4341, 3, 'Generar y transmitir electrónicamente las recetas autorizadas.');
INSERT INTO `lang_definitions` VALUES (5380, 4342, 3, 'Generar formulario CMS 1500');
INSERT INTO `lang_definitions` VALUES (5381, 4343, 3, 'Generar formulario CMS 1500 PDF');
INSERT INTO `lang_definitions` VALUES (5382, 4344, 3, 'Generar formulario CMS 1500 TEXTO');
INSERT INTO `lang_definitions` VALUES (5383, 4345, 3, 'Genere HCFA');
INSERT INTO `lang_definitions` VALUES (5384, 4347, 3, 'Generar factura');
INSERT INTO `lang_definitions` VALUES (5385, 4348, 3, 'Genere la Carta');
INSERT INTO `lang_definitions` VALUES (5386, 4349, 3, 'Generar carta relacionada');
INSERT INTO `lang_definitions` VALUES (5387, 4351, 3, 'Generar informe PQRI (Método A)');
INSERT INTO `lang_definitions` VALUES (5388, 4353, 3, 'Generar informe PQRI (Método E)');
INSERT INTO `lang_definitions` VALUES (5389, 4357, 3, 'Generar informe');
INSERT INTO `lang_definitions` VALUES (5390, 4365, 3, 'Generar usuario y contraseña para');
INSERT INTO `lang_definitions` VALUES (5391, 4366, 3, 'Generar X12');
INSERT INTO `lang_definitions` VALUES (5392, 4368, 3, 'Generar visita X12');
INSERT INTO `lang_definitions` VALUES (5393, 4370, 3, 'Generado en');
INSERT INTO `lang_definitions` VALUES (5394, 4372, 3, 'genera');
INSERT INTO `lang_definitions` VALUES (5395, 4377, 3, 'Genitourinario');
INSERT INTO `lang_definitions` VALUES (5396, 4381, 3, 'Alemán');
INSERT INTO `lang_definitions` VALUES (5397, 4386, 3, 'Obtener HL7');
INSERT INTO `lang_definitions` VALUES (5398, 4392, 3, 'Glaucoma');
INSERT INTO `lang_definitions` VALUES (5399, 4393, 3, 'Historia Familiar de Glaucoma');
INSERT INTO `lang_definitions` VALUES (5400, 4395, 3, 'Global');
INSERT INTO `lang_definitions` VALUES (5401, 4398, 3, 'ID Global');
INSERT INTO `lang_definitions` VALUES (5402, 4399, 3, 'Ajustes Globales');
INSERT INTO `lang_definitions` VALUES (5403, 4400, 3, 'Globales');
INSERT INTO `lang_definitions` VALUES (5404, 4401, 3, 'GM/DL');
INSERT INTO `lang_definitions` VALUES (5405, 4403, 3, 'Ir');
INSERT INTO `lang_definitions` VALUES (5406, 4404, 3, 'ir');
INSERT INTO `lang_definitions` VALUES (5407, 4407, 3, 'Ir a');
INSERT INTO `lang_definitions` VALUES (5408, 4417, 3, 'Ir a la semana del');
INSERT INTO `lang_definitions` VALUES (5409, 4418, 3, 'Ir hoy');
INSERT INTO `lang_definitions` VALUES (5410, 4428, 3, 'Grado de la lesión');
INSERT INTO `lang_definitions` VALUES (5411, 4429, 3, 'Grado:');
INSERT INTO `lang_definitions` VALUES (5412, 4430, 3, 'Gramos');
INSERT INTO `lang_definitions` VALUES (5413, 4431, 3, 'Suma total');
INSERT INTO `lang_definitions` VALUES (5414, 4432, 3, 'Sumas totales');
INSERT INTO `lang_definitions` VALUES (5415, 4435, 3, 'Posibilidad de gráfico');
INSERT INTO `lang_definitions` VALUES (5416, 4437, 3, 'Mayor que');
INSERT INTO `lang_definitions` VALUES (5417, 4438, 3, 'Mayor que o Igual a');
INSERT INTO `lang_definitions` VALUES (5418, 4439, 3, 'Griego');
INSERT INTO `lang_definitions` VALUES (5419, 4442, 3, 'Grupo');
INSERT INTO `lang_definitions` VALUES (5420, 4459, 3, 'Nombre de Grupo');
INSERT INTO `lang_definitions` VALUES (5421, 4460, 3, 'Los nombres de los grupos no pueden quedar en blanco');
INSERT INTO `lang_definitions` VALUES (5422, 4461, 3, 'Los nombres de los grupos no pueden iniciar con números');
INSERT INTO `lang_definitions` VALUES (5423, 4462, 3, 'Los nombres de grupo no pueden comenzar con números.');
INSERT INTO `lang_definitions` VALUES (5424, 4463, 3, 'Número de grupo');
INSERT INTO `lang_definitions` VALUES (5425, 4465, 3, 'Grupo de pago');
INSERT INTO `lang_definitions` VALUES (5426, 4471, 3, 'Grupo:');
INSERT INTO `lang_definitions` VALUES (5427, 4472, 3, 'Nombre del grupo');
INSERT INTO `lang_definitions` VALUES (5428, 4475, 3, 'Controles de grupos y accesos');
INSERT INTO `lang_definitions` VALUES (5429, 4476, 3, 'Gráfico de Crecimiento');
INSERT INTO `lang_definitions` VALUES (5430, 4477, 3, 'Gráfico de Crecimiento');
INSERT INTO `lang_definitions` VALUES (5431, 4478, 3, 'gtts (gotas)');
INSERT INTO `lang_definitions` VALUES (5432, 4479, 3, 'Guamés');
INSERT INTO `lang_definitions` VALUES (5433, 4484, 3, 'Nombre del tutor');
INSERT INTO `lang_definitions` VALUES (5434, 4489, 3, 'Examen ginecológico');
INSERT INTO `lang_definitions` VALUES (5435, 4490, 3, 'h');
INSERT INTO `lang_definitions` VALUES (5436, 4492, 3, 'h.s.');
INSERT INTO `lang_definitions` VALUES (5437, 4493, 3, 'H/O Hepatitis');
INSERT INTO `lang_definitions` VALUES (5438, 4494, 3, 'se ha suprimido con éxito. Cualquier sub-categorías si fueron trasladados abajo');
INSERT INTO `lang_definitions` VALUES (5439, 4495, 3, 'Hematoma/moratón');
INSERT INTO `lang_definitions` VALUES (5440, 4496, 3, 'HAI Estado');
INSERT INTO `lang_definitions` VALUES (5441, 4499, 3, 'manos + dedos');
INSERT INTO `lang_definitions` VALUES (5442, 4500, 3, 'Problemas de manos');
INSERT INTO `lang_definitions` VALUES (5443, 4505, 3, 'Disco Duro');
INSERT INTO `lang_definitions` VALUES (5444, 4506, 3, 'Dificultad sin');
INSERT INTO `lang_definitions` VALUES (5445, 4507, 3, 'se ha ligado para visitar');
INSERT INTO `lang_definitions` VALUES (5446, 4508, 3, 'ha expirado');
INSERT INTO `lang_definitions` VALUES (5447, 4509, 3, 'Función Hash');
INSERT INTO `lang_definitions` VALUES (5448, 4511, 3, 'No existe hash para este fichero. Un nuevo hash será generado.');
INSERT INTO `lang_definitions` VALUES (5449, 4512, 3, 'Hash no coincide. La integridad de datos se ha visto comprometida.');
INSERT INTO `lang_definitions` VALUES (5450, 4515, 3, 'Hawaiano');
INSERT INTO `lang_definitions` VALUES (5451, 4516, 3, 'Actividades peligrosas');
INSERT INTO `lang_definitions` VALUES (5452, 4517, 3, 'Actividades peligrosas');
INSERT INTO `lang_definitions` VALUES (5453, 4521, 3, 'Margen izquierdo de HCFA en puntos');
INSERT INTO `lang_definitions` VALUES (5454, 4522, 3, 'Márgenes de HCFA');
INSERT INTO `lang_definitions` VALUES (5455, 4523, 3, 'Margen superior en puntos de HCFA');
INSERT INTO `lang_definitions` VALUES (5456, 4524, 3, 'Procedimiento/Servicio HCPCS');
INSERT INTO `lang_definitions` VALUES (5457, 4527, 3, 'PostCalendar');
INSERT INTO `lang_definitions` VALUES (5458, 4528, 3, 'Cabeza');
INSERT INTO `lang_definitions` VALUES (5459, 4529, 3, 'Jefe Circ');
INSERT INTO `lang_definitions` VALUES (5460, 4530, 3, 'Circunferencia de la cabeza');
INSERT INTO `lang_definitions` VALUES (5461, 4531, 3, 'Dolor de cabeza');
INSERT INTO `lang_definitions` VALUES (5462, 4532, 3, 'Dolores de cabeza');
INSERT INTO `lang_definitions` VALUES (5463, 4534, 3, 'Operaciones de atención médica');
INSERT INTO `lang_definitions` VALUES (5464, 4535, 3, 'Operaciones de Atención Médica');
INSERT INTO `lang_definitions` VALUES (5465, 4537, 3, 'Centro de salud/clínica');
INSERT INTO `lang_definitions` VALUES (5466, 4540, 3, 'Organización para el mantenimiento de la salud');
INSERT INTO `lang_definitions` VALUES (5467, 4541, 3, 'Riesgo de Seguro médico de la organización de mantenimiento de salud (HMO)');
INSERT INTO `lang_definitions` VALUES (5468, 4542, 3, 'Pérdida de Oído');
INSERT INTO `lang_definitions` VALUES (5469, 4543, 3, 'Ataque al Corazón');
INSERT INTO `lang_definitions` VALUES (5470, 4544, 3, 'Enfermedad del corazón');
INSERT INTO `lang_definitions` VALUES (5471, 4545, 3, 'Fallo cardiaco');
INSERT INTO `lang_definitions` VALUES (5472, 4546, 3, 'Problema del Corazón');
INSERT INTO `lang_definitions` VALUES (5473, 4547, 3, 'Problemas de corazón');
INSERT INTO `lang_definitions` VALUES (5474, 4548, 3, 'Cirugía del Corazón');
INSERT INTO `lang_definitions` VALUES (5475, 4549, 3, 'Transplante de corazón');
INSERT INTO `lang_definitions` VALUES (5476, 4550, 3, 'CORAZÓN:');
INSERT INTO `lang_definitions` VALUES (5477, 4551, 3, 'Ardor de estómago');
INSERT INTO `lang_definitions` VALUES (5478, 4552, 3, 'Calor o Frío');
INSERT INTO `lang_definitions` VALUES (5479, 4553, 3, 'Calor o Frío');
INSERT INTO `lang_definitions` VALUES (5480, 4555, 3, 'Hebreo');
INSERT INTO `lang_definitions` VALUES (5481, 4557, 3, 'HEENT');
INSERT INTO `lang_definitions` VALUES (5482, 4558, 3, 'Altura');
INSERT INTO `lang_definitions` VALUES (5483, 4560, 3, 'Ayuda');
INSERT INTO `lang_definitions` VALUES (5484, 4561, 3, 'ayuda');
INSERT INTO `lang_definitions` VALUES (5485, 4563, 3, 'Hematemesis');
INSERT INTO `lang_definitions` VALUES (5486, 4564, 3, 'Hematoquecia');
INSERT INTO `lang_definitions` VALUES (5487, 4565, 3, 'Hematológico');
INSERT INTO `lang_definitions` VALUES (5488, 4566, 3, 'Hematuria');
INSERT INTO `lang_definitions` VALUES (5489, 4567, 3, 'Hemoglobina');
INSERT INTO `lang_definitions` VALUES (5490, 4568, 3, 'Hemoglobina A1C');
INSERT INTO `lang_definitions` VALUES (5491, 4569, 3, 'Hemoptisis');
INSERT INTO `lang_definitions` VALUES (5492, 4570, 3, 'Hepatitis');
INSERT INTO `lang_definitions` VALUES (5493, 4571, 3, 'Hepatitis A 1');
INSERT INTO `lang_definitions` VALUES (5494, 4572, 3, 'Hepatitis A 2');
INSERT INTO `lang_definitions` VALUES (5495, 4573, 3, 'Hepatitis B 1');
INSERT INTO `lang_definitions` VALUES (5496, 4574, 3, 'Hepatitis B 2');
INSERT INTO `lang_definitions` VALUES (5497, 4575, 3, 'Hepatitis B 3');
INSERT INTO `lang_definitions` VALUES (5498, 4576, 3, 'aqui');
INSERT INTO `lang_definitions` VALUES (5499, 4580, 3, 'Reparación de la hernia');
INSERT INTO `lang_definitions` VALUES (5500, 4581, 3, 'disco herniado');
INSERT INTO `lang_definitions` VALUES (5501, 4582, 3, 'Herpes');
INSERT INTO `lang_definitions` VALUES (5502, 4585, 3, 'Vacilación');
INSERT INTO `lang_definitions` VALUES (5503, 4586, 3, 'Ey, tú. has estado aquí para');
INSERT INTO `lang_definitions` VALUES (5504, 4587, 3, 'Hib 1');
INSERT INTO `lang_definitions` VALUES (5505, 4588, 3, 'Hib 2');
INSERT INTO `lang_definitions` VALUES (5506, 4589, 3, 'Hib 3');
INSERT INTO `lang_definitions` VALUES (5507, 4590, 3, 'Hib 4');
INSERT INTO `lang_definitions` VALUES (5508, 4591, 3, 'Oculto');
INSERT INTO `lang_definitions` VALUES (5509, 4592, 3, 'Administración de eventos ocultos');
INSERT INTO `lang_definitions` VALUES (5510, 4593, 3, 'Ocultar');
INSERT INTO `lang_definitions` VALUES (5511, 4595, 3, 'Ocultar detalles');
INSERT INTO `lang_definitions` VALUES (5512, 4597, 3, 'Ocultar Opciones Encriptación/Desencriptación en Documento de Gestión');
INSERT INTO `lang_definitions` VALUES (5513, 4599, 3, 'Ocultar Menú');
INSERT INTO `lang_definitions` VALUES (5514, 4601, 3, 'Ocultar avisos');
INSERT INTO `lang_definitions` VALUES (5515, 4603, 3, 'Ocultar/Mostrar Columnas');
INSERT INTO `lang_definitions` VALUES (5516, 4605, 3, 'Alto');
INSERT INTO `lang_definitions` VALUES (5517, 4607, 3, 'Presión Sanguínea Alta');
INSERT INTO `lang_definitions` VALUES (5518, 4609, 3, 'Indú');
INSERT INTO `lang_definitions` VALUES (5519, 4610, 3, 'Cadera + ingle');
INSERT INTO `lang_definitions` VALUES (5520, 4611, 3, 'Cadera y ingle');
INSERT INTO `lang_definitions` VALUES (5521, 4612, 3, 'Problemas de cadera');
INSERT INTO `lang_definitions` VALUES (5522, 4613, 3, 'Reemplazo de Cadera');
INSERT INTO `lang_definitions` VALUES (5523, 4615, 3, 'Aviso Recibido de HIPPA');
INSERT INTO `lang_definitions` VALUES (5524, 4617, 3, 'Hirsutismo/Estrías');
INSERT INTO `lang_definitions` VALUES (5525, 4618, 3, 'Hispano');
INSERT INTO `lang_definitions` VALUES (5526, 4619, 3, 'Hispano - Otro (Nacido en USA)');
INSERT INTO `lang_definitions` VALUES (5527, 4620, 3, 'Hispano - Otro (Nacido fuera de USA)');
INSERT INTO `lang_definitions` VALUES (5528, 4621, 3, 'Hispano o Latino');
INSERT INTO `lang_definitions` VALUES (5529, 4623, 3, 'Historia');
INSERT INTO `lang_definitions` VALUES (5530, 4629, 3, 'Historia de Datos');
INSERT INTO `lang_definitions` VALUES (5531, 4630, 3, 'Fecha historia');
INSERT INTO `lang_definitions` VALUES (5532, 4632, 3, 'Historia de Murmullos');
INSERT INTO `lang_definitions` VALUES (5533, 4633, 3, 'Historia no autorizada');
INSERT INTO `lang_definitions` VALUES (5534, 4634, 3, 'Historia de los Murmullos de Corazón');
INSERT INTO `lang_definitions` VALUES (5535, 4638, 3, 'Hits');
INSERT INTO `lang_definitions` VALUES (5536, 4639, 3, 'HIV');
INSERT INTO `lang_definitions` VALUES (5537, 4649, 3, 'Visor HL7');
INSERT INTO `lang_definitions` VALUES (5538, 4651, 3, 'HMO/L');
INSERT INTO `lang_definitions` VALUES (5539, 4652, 3, 'Hmong');
INSERT INTO `lang_definitions` VALUES (5540, 4653, 3, 'Mantener pulsado [Ctrl] para múltiples selecciones o desmarcados');
INSERT INTO `lang_definitions` VALUES (5541, 4655, 3, 'Mantener pulsado Ctrl para seleccionar múltiples elementos');
INSERT INTO `lang_definitions` VALUES (5542, 4656, 3, 'Mantenga presionada la tecla CTRL para seleccionar varios escuadrones');
INSERT INTO `lang_definitions` VALUES (5543, 4658, 3, 'Inicio');
INSERT INTO `lang_definitions` VALUES (5544, 4659, 3, 'Teléfono de casa');
INSERT INTO `lang_definitions` VALUES (5545, 4660, 3, 'Número de Teléfono de Casa');
INSERT INTO `lang_definitions` VALUES (5546, 4662, 3, 'Sin hogar o similares?');
INSERT INTO `lang_definitions` VALUES (5547, 4664, 3, 'Sin hogar, etc.');
INSERT INTO `lang_definitions` VALUES (5548, 4665, 3, 'Sin hogar, etc');
INSERT INTO `lang_definitions` VALUES (5549, 4674, 3, 'Nombre de Huesped');
INSERT INTO `lang_definitions` VALUES (5550, 4675, 3, 'El nombre del huesped no puede estar vacio');
INSERT INTO `lang_definitions` VALUES (5551, 4677, 3, 'Hora');
INSERT INTO `lang_definitions` VALUES (5552, 4678, 3, 'Horas');
INSERT INTO `lang_definitions` VALUES (5553, 4681, 3, '¿Cómo ocurrió la lesión?');
INSERT INTO `lang_definitions` VALUES (5554, 4682, 3, '¿Cómo ocurrió la lesión?:');
INSERT INTO `lang_definitions` VALUES (5555, 4683, 3, 'Como nos ha conocido');
INSERT INTO `lang_definitions` VALUES (5556, 4685, 3, '¿Cuántos meses de antelación a la consulta para los próximos eventos?');
INSERT INTO `lang_definitions` VALUES (5557, 4692, 3, 'HPI:');
INSERT INTO `lang_definitions` VALUES (5558, 4694, 3, 'Altura');
INSERT INTO `lang_definitions` VALUES (5559, 4695, 3, 'HTML');
INSERT INTO `lang_definitions` VALUES (5560, 4699, 3, 'Vínculo Https segurizado para el soporte OpenEMR LLC Laboratorio de intercambio de sevicio.');
INSERT INTO `lang_definitions` VALUES (5561, 4701, 3, 'Húngaro');
INSERT INTO `lang_definitions` VALUES (5562, 4702, 3, 'Hylafax Directorio');
INSERT INTO `lang_definitions` VALUES (5563, 4703, 3, 'Hylafax Commando Enscript');
INSERT INTO `lang_definitions` VALUES (5564, 4704, 3, 'Hylafax Servidor');
INSERT INTO `lang_definitions` VALUES (5565, 4705, 3, 'Hylafax Servidor Hostname');
INSERT INTO `lang_definitions` VALUES (5566, 4706, 3, 'Hiperactivo');
INSERT INTO `lang_definitions` VALUES (5567, 4708, 3, 'Hipertensión');
INSERT INTO `lang_definitions` VALUES (5568, 4709, 3, 'Hipertensión: Medida de presión arterial');
INSERT INTO `lang_definitions` VALUES (5569, 4710, 3, 'Hipertensión: Medida de presión arterial (GCC)');
INSERT INTO `lang_definitions` VALUES (5570, 4711, 3, 'Hipertiroidismo');
INSERT INTO `lang_definitions` VALUES (5571, 4713, 3, 'Hipotiroidismo');
INSERT INTO `lang_definitions` VALUES (5572, 4716, 3, 'Histerectomía');
INSERT INTO `lang_definitions` VALUES (5573, 4717, 3, 'I');
INSERT INTO `lang_definitions` VALUES (5574, 4718, 3, 'Estoy ocupado durante este periodo.');
INSERT INTO `lang_definitions` VALUES (5575, 4719, 3, 'No tengo permiso para leer');
INSERT INTO `lang_definitions` VALUES (5576, 4724, 3, 'CIE');
INSERT INTO `lang_definitions` VALUES (5577, 4725, 3, 'Diagnóstico ICD10');
INSERT INTO `lang_definitions` VALUES (5578, 4726, 3, 'Procedimiento/Servicio ICD10');
INSERT INTO `lang_definitions` VALUES (5579, 4727, 3, 'CIE9');
INSERT INTO `lang_definitions` VALUES (5580, 4728, 3, 'Diagnóstico ICD9');
INSERT INTO `lang_definitions` VALUES (5581, 4729, 3, 'Procedimiento/Servicio ICD9');
INSERT INTO `lang_definitions` VALUES (5582, 4734, 3, 'Nº Identificación');
INSERT INTO `lang_definitions` VALUES (5583, 4736, 3, 'Id');
INSERT INTO `lang_definitions` VALUES (5584, 4738, 3, 'La ID no puede quedar en blanco');
INSERT INTO `lang_definitions` VALUES (5585, 4739, 3, 'Tarjeta ID');
INSERT INTO `lang_definitions` VALUES (5586, 4742, 3, 'IDays');
INSERT INTO `lang_definitions` VALUES (5587, 4743, 3, 'identificado como');
INSERT INTO `lang_definitions` VALUES (5588, 4745, 3, 'Identificador (una palabra)');
INSERT INTO `lang_definitions` VALUES (5589, 4747, 3, 'Tiempo de espera inactivo en segundos');
INSERT INTO `lang_definitions` VALUES (5590, 4755, 3, 'Si todos los datos para todas las columnas están completos para este formulario');
INSERT INTO `lang_definitions` VALUES (5591, 4757, 3, 'Si la justificación de facturación se utiliza introduzca el nombre del código de tipo de diagnóstico.');
INSERT INTO `lang_definitions` VALUES (5592, 4763, 3, 'Si es introducido, seleccione solamente aquel que ha tenido este servicio');
INSERT INTO `lang_definitions` VALUES (5593, 4765, 3, 'Si el nombre, apellido de cualquier parte o apellido, Nombre');
INSERT INTO `lang_definitions` VALUES (5594, 4770, 3, 'Si pagando por');
INSERT INTO `lang_definitions` VALUES (5595, 4771, 3, 'Si la persona ha fallecido, introducir la fecha de la muerte.');
INSERT INTO `lang_definitions` VALUES (5596, 4775, 3, 'Si usa SMTP, nombre del servidor host o la dirección IP.');
INSERT INTO `lang_definitions` VALUES (5597, 4776, 3, 'Si usa SMTP, puerto TCP del servidor (normalmente 25).');
INSERT INTO `lang_definitions` VALUES (5598, 4803, 3, 'Si no tiene trabajo, poner Estudiante');
INSERT INTO `lang_definitions` VALUES (5599, 4814, 3, 'Si cambia el rol de la ePrescripción de receta electrónica, puede afectar al flujo de la ePrescripción. Frente a cualquier dificultad, contacte con su prescriptor de ePrescripción.');
INSERT INTO `lang_definitions` VALUES (5600, 4833, 3, 'Si ha elegido adjuntar las remesas electrónicas, entonces la ventana de búsqueda se vuelve a mostrar con las facturas correspondientes al fichero X12. Puede hacer click en cualquiera de estos números de factura (como se describe a continuación) si desea hacer las correcciones antes de enviar la remesa. Para aplicar los cambios, haga click en el botón de procesar ficheros ERA en la parte inferior de la pantalla. Esto generará una nueva ventana con un informe detallado.');
INSERT INTO `lang_definitions` VALUES (5601, 4836, 3, 'Si ha introducido una Fecha de Pago en la página de búsqueda, esto sobreescribirá la fecha de contabilización de los pagos y ajustes que de otro modo son tomados del fichero X12. Esto puede ser útil para los informes, si usted quiere que sus informes de recetas usen su fecha en lugar que la de proceso de la Sociedad Médica. Recuerde que esto también afectará a las fechas de pagos anteriores y a los ajustes que se ponen en reclamaciones secundarias.');
INSERT INTO `lang_definitions` VALUES (5602, 4850, 3, 'Si quiere cambiar tipos de datos, o añadir filas o columnas');
INSERT INTO `lang_definitions` VALUES (5603, 4851, 3, 'Si quiere actualizar la base de datos, coloque el fichero comprimido de base de datos en el siguiente directorio');
INSERT INTO `lang_definitions` VALUES (5604, 4854, 3, 'Desconocido');
INSERT INTO `lang_definitions` VALUES (5605, 4856, 3, 'Enfermedad');
INSERT INTO `lang_definitions` VALUES (5606, 4857, 3, 'IM');
INSERT INTO `lang_definitions` VALUES (5607, 4863, 3, 'Servicio de imágenes');
INSERT INTO `lang_definitions` VALUES (5608, 4865, 3, 'Vacunación');
INSERT INTO `lang_definitions` VALUES (5609, 4867, 3, 'Código Vacunación');
INSERT INTO `lang_definitions` VALUES (5610, 4869, 3, 'Fecha Vacunación');
INSERT INTO `lang_definitions` VALUES (5611, 4872, 3, 'Número de lote Vacunación');
INSERT INTO `lang_definitions` VALUES (5612, 4873, 3, 'Fabricante de Vacunación');
INSERT INTO `lang_definitions` VALUES (5613, 4878, 3, 'Registro Vacunación');
INSERT INTO `lang_definitions` VALUES (5614, 4882, 3, 'Servicio de Vacunación');
INSERT INTO `lang_definitions` VALUES (5615, 4883, 3, 'Título Vacunación');
INSERT INTO `lang_definitions` VALUES (5616, 4885, 3, 'Vacunaciones');
INSERT INTO `lang_definitions` VALUES (5617, 4887, 3, 'Vacunar');
INSERT INTO `lang_definitions` VALUES (5618, 4888, 3, 'Inmunológicas');
INSERT INTO `lang_definitions` VALUES (5619, 4893, 3, 'Implantes');
INSERT INTO `lang_definitions` VALUES (5620, 4894, 3, 'Importar');
INSERT INTO `lang_definitions` VALUES (5621, 4898, 3, 'Importarr el certificado al buscador');
INSERT INTO `lang_definitions` VALUES (5622, 4899, 3, 'Importar configuración');
INSERT INTO `lang_definitions` VALUES (5623, 4904, 3, 'Importar Paciente');
INSERT INTO `lang_definitions` VALUES (5624, 4905, 3, 'Importar Demográficos del Paciente');
INSERT INTO `lang_definitions` VALUES (5625, 4910, 3, 'Códigos importantes');
INSERT INTO `lang_definitions` VALUES (5626, 4914, 3, 'Importados de Contabilidad');
INSERT INTO `lang_definitions` VALUES (5627, 4920, 3, 'Mejorado');
INSERT INTO `lang_definitions` VALUES (5628, 4922, 3, 'ingreso');
INSERT INTO `lang_definitions` VALUES (5629, 4923, 3, 'ingreso');
INSERT INTO `lang_definitions` VALUES (5630, 4931, 3, 'dentro de cada ojo');
INSERT INTO `lang_definitions` VALUES (5631, 4934, 3, 'en ojo izquierdo');
INSERT INTO `lang_definitions` VALUES (5632, 4935, 3, 'en los agujeros de la nariz');
INSERT INTO `lang_definitions` VALUES (5633, 4936, 3, 'Entrada');
INSERT INTO `lang_definitions` VALUES (5634, 4947, 3, 'en ojo derecho');
INSERT INTO `lang_definitions` VALUES (5635, 4958, 3, 'Dentro de la empresa');
INSERT INTO `lang_definitions` VALUES (5636, 4960, 3, 'Inactivo');
INSERT INTO `lang_definitions` VALUES (5637, 4965, 3, 'Días no activo');
INSERT INTO `lang_definitions` VALUES (5638, 4966, 3, 'Mensajes Inactivos');
INSERT INTO `lang_definitions` VALUES (5639, 4967, 3, 'Entrada');
INSERT INTO `lang_definitions` VALUES (5640, 4968, 3, 'Codigo INCITS');
INSERT INTO `lang_definitions` VALUES (5641, 4970, 3, 'Incluya checksum');
INSERT INTO `lang_definitions` VALUES (5642, 4971, 3, 'Incluya completado');
INSERT INTO `lang_definitions` VALUES (5643, 4973, 3, 'Incluya inactivos');
INSERT INTO `lang_definitions` VALUES (5644, 4974, 3, 'Incluir los usuarios inactivos');
INSERT INTO `lang_definitions` VALUES (5645, 4975, 3, 'Incluir a un no clasificado');
INSERT INTO `lang_definitions` VALUES (5646, 4976, 3, 'Incluir datos no estructurados');
INSERT INTO `lang_definitions` VALUES (5647, 4977, 3, 'Incluir constantes vitales');
INSERT INTO `lang_definitions` VALUES (5648, 4978, 3, '¿Incluir las constantes vitales?');
INSERT INTO `lang_definitions` VALUES (5649, 4981, 3, 'Inclusión');
INSERT INTO `lang_definitions` VALUES (5650, 4982, 3, 'Ingresos');
INSERT INTO `lang_definitions` VALUES (5651, 4984, 3, 'Incompleto');
INSERT INTO `lang_definitions` VALUES (5652, 4985, 3, 'Tratamiento Aborto incompleto');
INSERT INTO `lang_definitions` VALUES (5653, 4986, 3, 'Incontinencia');
INSERT INTO `lang_definitions` VALUES (5654, 4987, 3, 'Incorporar resultados clínicos del test de laboratorio al certificado tecnológico EHR como estructura');
INSERT INTO `lang_definitions` VALUES (5655, 4988, 3, 'Contraseña Incorrecta!');
INSERT INTO `lang_definitions` VALUES (5656, 4990, 3, 'aumentado:');
INSERT INTO `lang_definitions` VALUES (5657, 4991, 3, 'Seguro de Indemnización');
INSERT INTO `lang_definitions` VALUES (5658, 4992, 3, 'Clínica independiente');
INSERT INTO `lang_definitions` VALUES (5659, 4993, 3, 'Laboratorio independiente');
INSERT INTO `lang_definitions` VALUES (5660, 4994, 3, 'indeterminado');
INSERT INTO `lang_definitions` VALUES (5661, 4995, 3, 'Indio');
INSERT INTO `lang_definitions` VALUES (5662, 4998, 3, 'Indica anormalidad');
INSERT INTO `lang_definitions` VALUES (5663, 5000, 3, 'Indica si esta incidencia está activa');
INSERT INTO `lang_definitions` VALUES (5664, 5002, 3, 'Indicador de uso especializado');
INSERT INTO `lang_definitions` VALUES (5665, 5003, 3, 'Pacientes indigentes');
INSERT INTO `lang_definitions` VALUES (5666, 5004, 3, 'Informe de Pacientes Indigentes');
INSERT INTO `lang_definitions` VALUES (5667, 5005, 3, 'Indigentes');
INSERT INTO `lang_definitions` VALUES (5668, 5010, 3, 'Aborto Inducido');
INSERT INTO `lang_definitions` VALUES (5669, 5011, 3, 'Industria');
INSERT INTO `lang_definitions` VALUES (5670, 5012, 3, 'Inelegible');
INSERT INTO `lang_definitions` VALUES (5671, 5013, 3, 'Infección/abceso');
INSERT INTO `lang_definitions` VALUES (5672, 5014, 3, 'Infecciones');
INSERT INTO `lang_definitions` VALUES (5673, 5015, 3, 'Consejo Infertilidad');
INSERT INTO `lang_definitions` VALUES (5674, 5016, 3, 'Infertilidad');
INSERT INTO `lang_definitions` VALUES (5675, 5017, 3, 'Gripe 1');
INSERT INTO `lang_definitions` VALUES (5676, 5018, 3, 'Gripe 2');
INSERT INTO `lang_definitions` VALUES (5677, 5019, 3, 'Vacunación gripe p/ pacientes may.50 años');
INSERT INTO `lang_definitions` VALUES (5678, 5020, 3, 'Vacunación gripe p/ pacientes may.50 años (GCC)');
INSERT INTO `lang_definitions` VALUES (5679, 5021, 3, 'Vacuna gripe');
INSERT INTO `lang_definitions` VALUES (5680, 5022, 3, 'Información');
INSERT INTO `lang_definitions` VALUES (5681, 5023, 3, 'Información de ensayo 1');
INSERT INTO `lang_definitions` VALUES (5682, 5024, 3, 'Información de ensayo 2');
INSERT INTO `lang_definitions` VALUES (5683, 5025, 3, 'Información de ensayo 3');
INSERT INTO `lang_definitions` VALUES (5684, 5026, 3, 'Información de ensayo 4');
INSERT INTO `lang_definitions` VALUES (5685, 5027, 3, 'Información de ensayo 5');
INSERT INTO `lang_definitions` VALUES (5686, 5028, 3, 'Información de ensayo 6');
INSERT INTO `lang_definitions` VALUES (5687, 5034, 3, 'Inhalaciones');
INSERT INTO `lang_definitions` VALUES (5688, 5036, 3, 'Inhalaciones');
INSERT INTO `lang_definitions` VALUES (5689, 5039, 3, 'Usuario Inicial');
INSERT INTO `lang_definitions` VALUES (5690, 5041, 3, 'Lesión/Rehabilitación');
INSERT INTO `lang_definitions` VALUES (5691, 5042, 3, 'Inyectables');
INSERT INTO `lang_definitions` VALUES (5692, 5043, 3, 'Inyeccion');
INSERT INTO `lang_definitions` VALUES (5693, 5044, 3, 'Parte del cuerpo lesionada');
INSERT INTO `lang_definitions` VALUES (5694, 5045, 3, 'Herido a Fuera');
INSERT INTO `lang_definitions` VALUES (5695, 5046, 3, 'Herido');
INSERT INTO `lang_definitions` VALUES (5696, 5047, 3, 'Mecanismo de lesión');
INSERT INTO `lang_definitions` VALUES (5697, 5048, 3, 'Informe General de lesión');
INSERT INTO `lang_definitions` VALUES (5698, 5049, 3, 'Vigilancia de Lesiones');
INSERT INTO `lang_definitions` VALUES (5699, 5050, 3, 'Tipo de lesión');
INSERT INTO `lang_definitions` VALUES (5700, 5051, 3, 'Relacionado a lesion/enfermedad');
INSERT INTO `lang_definitions` VALUES (5701, 5056, 3, 'Campos de entrada');
INSERT INTO `lang_definitions` VALUES (5702, 5057, 3, 'Tiempo Protrombina');
INSERT INTO `lang_definitions` VALUES (5703, 5058, 3, 'Aseg 1');
INSERT INTO `lang_definitions` VALUES (5704, 5059, 3, 'Aseg 2 o Aseg 3');
INSERT INTO `lang_definitions` VALUES (5705, 5060, 3, 'Dirección Aseg');
INSERT INTO `lang_definitions` VALUES (5706, 5061, 3, 'Ajuste Seg');
INSERT INTO `lang_definitions` VALUES (5707, 5062, 3, 'Ins bundling');
INSERT INTO `lang_definitions` VALUES (5708, 5063, 3, 'Código Aseguradora');
INSERT INTO `lang_definitions` VALUES (5709, 5066, 3, 'Sobre pago Seg');
INSERT INTO `lang_definitions` VALUES (5710, 5068, 3, 'Reembolso Seg');
INSERT INTO `lang_definitions` VALUES (5711, 5069, 3, 'Resumen Seg');
INSERT INTO `lang_definitions` VALUES (5712, 5071, 3, 'Seg1');
INSERT INTO `lang_definitions` VALUES (5713, 5072, 3, 'Seg2');
INSERT INTO `lang_definitions` VALUES (5714, 5073, 3, 'Seg3');
INSERT INTO `lang_definitions` VALUES (5715, 5075, 3, 'Insertar fallido:');
INSERT INTO `lang_definitions` VALUES (5716, 5079, 3, 'Introduzca los eventos antiguos en tablas');
INSERT INTO `lang_definitions` VALUES (5717, 5085, 3, 'Insomnio');
INSERT INTO `lang_definitions` VALUES (5718, 5087, 3, 'Inspección');
INSERT INTO `lang_definitions` VALUES (5719, 5088, 3, 'Inestabilidad/subluxación');
INSERT INTO `lang_definitions` VALUES (5720, 5089, 3, 'INSTALAR');
INSERT INTO `lang_definitions` VALUES (5721, 5090, 3, 'Instalar');
INSERT INTO `lang_definitions` VALUES (5722, 5093, 3, 'Instalar BD');
INSERT INTO `lang_definitions` VALUES (5723, 5100, 3, 'Versión instalada');
INSERT INTO `lang_definitions` VALUES (5724, 5101, 3, 'Instalando códigos en openEMR');
INSERT INTO `lang_definitions` VALUES (5725, 5102, 3, 'instrucciones');
INSERT INTO `lang_definitions` VALUES (5726, 5103, 3, 'Instrucción');
INSERT INTO `lang_definitions` VALUES (5727, 5104, 3, 'Instrucciones');
INSERT INTO `lang_definitions` VALUES (5728, 5105, 3, 'instrucciones:');
INSERT INTO `lang_definitions` VALUES (5729, 5107, 3, 'Inventario insuficiente para ID producto');
INSERT INTO `lang_definitions` VALUES (5730, 5108, 3, 'Diabetes insulino dependente');
INSERT INTO `lang_definitions` VALUES (5731, 5109, 3, 'Seguro');
INSERT INTO `lang_definitions` VALUES (5732, 5110, 3, 'Seguro');
INSERT INTO `lang_definitions` VALUES (5733, 5114, 3, 'Saldo del seguro');
INSERT INTO `lang_definitions` VALUES (5734, 5115, 3, 'Deuda seguro');
INSERT INTO `lang_definitions` VALUES (5735, 5116, 3, 'Sociedad Médica');
INSERT INTO `lang_definitions` VALUES (5736, 5117, 3, 'Sociedades Médicas');
INSERT INTO `lang_definitions` VALUES (5737, 5118, 3, 'Sociedad Médica');
INSERT INTO `lang_definitions` VALUES (5738, 5119, 3, 'Sociedad Médica Buscar/Añadir');
INSERT INTO `lang_definitions` VALUES (5739, 5121, 3, 'Data Seguro');
INSERT INTO `lang_definitions` VALUES (5740, 5124, 3, 'Información del Seguro en fichero');
INSERT INTO `lang_definitions` VALUES (5741, 5126, 3, 'Num Seguro');
INSERT INTO `lang_definitions` VALUES (5742, 5127, 3, 'Pago Aseguradora');
INSERT INTO `lang_definitions` VALUES (5743, 5129, 3, 'Proveedor de Seguro');
INSERT INTO `lang_definitions` VALUES (5744, 5132, 3, 'Seguros');
INSERT INTO `lang_definitions` VALUES (5745, 5133, 3, 'Asegurado');
INSERT INTO `lang_definitions` VALUES (5746, 5134, 3, 'Conclusión Ingesta');
INSERT INTO `lang_definitions` VALUES (5747, 5135, 3, 'Fecha de Ingesta');
INSERT INTO `lang_definitions` VALUES (5748, 5138, 3, 'Declinación intelectual');
INSERT INTO `lang_definitions` VALUES (5749, 5149, 3, 'Error interno - no se seleccionó ningunas páginas!');
INSERT INTO `lang_definitions` VALUES (5750, 5150, 3, 'Error interno - Nº Identificación del paciente no proporcionado!');
INSERT INTO `lang_definitions` VALUES (5751, 5151, 3, '¡Error interno al accede al fichero adjunto!');
INSERT INTO `lang_definitions` VALUES (5752, 5153, 3, '¡Error interno!');
INSERT INTO `lang_definitions` VALUES (5753, 5154, 3, 'Error interno, Nº Identificación de medicamento no especificado!');
INSERT INTO `lang_definitions` VALUES (5754, 5156, 3, 'Error interno: reclamación');
INSERT INTO `lang_definitions` VALUES (5755, 5157, 3, 'Error Interno: visita \'');
INSERT INTO `lang_definitions` VALUES (5756, 5158, 3, 'Error interno: pid o visita no existe.');
INSERT INTO `lang_definitions` VALUES (5757, 5159, 3, 'Error interno: no parece haber una visita!');
INSERT INTO `lang_definitions` VALUES (5758, 5160, 3, 'Identificador interno (pid)');
INSERT INTO `lang_definitions` VALUES (5759, 5163, 3, 'Derivaciones Internas');
INSERT INTO `lang_definitions` VALUES (5760, 5164, 3, 'Tiempo de coleccion interno');
INSERT INTO `lang_definitions` VALUES (5761, 5165, 3, 'Deber Internacional');
INSERT INTO `lang_definitions` VALUES (5762, 5167, 3, 'Intérprete');
INSERT INTO `lang_definitions` VALUES (5763, 5168, 3, 'Require Intérprete?');
INSERT INTO `lang_definitions` VALUES (5764, 5169, 3, 'Enfermedad Pulmonar Intersticial');
INSERT INTO `lang_definitions` VALUES (5765, 5170, 3, 'Intervalo');
INSERT INTO `lang_definitions` VALUES (5766, 5173, 3, 'Intervención');
INSERT INTO `lang_definitions` VALUES (5767, 5175, 3, 'Intolerancia');
INSERT INTO `lang_definitions` VALUES (5768, 5178, 3, 'Intramuscularmente');
INSERT INTO `lang_definitions` VALUES (5769, 5181, 3, 'Intravenoso');
INSERT INTO `lang_definitions` VALUES (5770, 5182, 3, 'Introducción');
INSERT INTO `lang_definitions` VALUES (5771, 5185, 3, 'Carácter inválido en');
INSERT INTO `lang_definitions` VALUES (5772, 5195, 3, 'Longitud inválida para');
INSERT INTO `lang_definitions` VALUES (5773, 5196, 3, 'Carácter no-numérico inválido en');
INSERT INTO `lang_definitions` VALUES (5774, 5197, 3, 'Inválido o pagador ausente en fuente para código');
INSERT INTO `lang_definitions` VALUES (5775, 5200, 3, 'Códigos de Servicio Inválidos');
INSERT INTO `lang_definitions` VALUES (5776, 5201, 3, 'Designación de la fuente inválida -');
INSERT INTO `lang_definitions` VALUES (5777, 5204, 3, 'InvAmt');
INSERT INTO `lang_definitions` VALUES (5778, 5205, 3, 'Inventario');
INSERT INTO `lang_definitions` VALUES (5779, 5206, 3, 'Actividad de inventario');
INSERT INTO `lang_definitions` VALUES (5780, 5207, 3, 'Inventario y venta, ambos medicamentos y productos no farmacológicos');
INSERT INTO `lang_definitions` VALUES (5781, 5208, 3, 'Inventario y venta medicamentos sólo');
INSERT INTO `lang_definitions` VALUES (5782, 5209, 3, 'El inventario no está disponible para esta orden.');
INSERT INTO `lang_definitions` VALUES (5783, 5210, 3, 'Lista de Inventario');
INSERT INTO `lang_definitions` VALUES (5784, 5211, 3, 'Inventario Transacciones');
INSERT INTO `lang_definitions` VALUES (5785, 5212, 3, 'Factura');
INSERT INTO `lang_definitions` VALUES (5786, 5213, 3, 'factura');
INSERT INTO `lang_definitions` VALUES (5787, 5215, 3, 'Factura saldo');
INSERT INTO `lang_definitions` VALUES (5788, 5216, 3, 'Factura saldo no puede ser enviado. No hay visita creada.');
INSERT INTO `lang_definitions` VALUES (5789, 5217, 3, 'Fecha de Factura');
INSERT INTO `lang_definitions` VALUES (5790, 5219, 3, 'Factura no tiene fecha');
INSERT INTO `lang_definitions` VALUES (5791, 5220, 3, 'Número Factura');
INSERT INTO `lang_definitions` VALUES (5792, 5221, 3, 'Número Referencia Factura');
INSERT INTO `lang_definitions` VALUES (5793, 5222, 3, 'Número referencia factura, si se usa');
INSERT INTO `lang_definitions` VALUES (5794, 5223, 3, 'Número referencia factura');
INSERT INTO `lang_definitions` VALUES (5795, 5224, 3, 'Número referencia factura');
INSERT INTO `lang_definitions` VALUES (5796, 5226, 3, 'Factura:');
INSERT INTO `lang_definitions` VALUES (5797, 5237, 3, 'Fundación Internacional de Planificación Familiar');
INSERT INTO `lang_definitions` VALUES (5798, 5240, 3, 'Datos para SRH IPPF');
INSERT INTO `lang_definitions` VALUES (5799, 5241, 3, 'Informe de las estadísticas de IPPF');
INSERT INTO `lang_definitions` VALUES (5800, 5242, 3, 'Estado Fundación Internacional de Planificación Familiar');
INSERT INTO `lang_definitions` VALUES (5801, 5243, 3, 'IPV 1');
INSERT INTO `lang_definitions` VALUES (5802, 5244, 3, 'IPV 2');
INSERT INTO `lang_definitions` VALUES (5803, 5245, 3, 'IPV 3');
INSERT INTO `lang_definitions` VALUES (5804, 5246, 3, 'IPV 4');
INSERT INTO `lang_definitions` VALUES (5805, 5249, 3, 'Latido de Corazón Irregular');
INSERT INTO `lang_definitions` VALUES (5806, 5250, 3, 'Irritabilidad');
INSERT INTO `lang_definitions` VALUES (5807, 5251, 3, 'Irritación');
INSERT INTO `lang_definitions` VALUES (5808, 5254, 3, 'es la versión más reciente de la siguiente bbdd');
INSERT INTO `lang_definitions` VALUES (5809, 5256, 3, 'es un campo requerido.');
INSERT INTO `lang_definitions` VALUES (5810, 5257, 3, 'es un nodo de raíz y no puede ser suprimido.');
INSERT INTO `lang_definitions` VALUES (5811, 5258, 3, 'es una extensión de la siguiente base de datos');
INSERT INTO `lang_definitions` VALUES (5812, 5263, 3, 'está mal ubicada o es desconocida');
INSERT INTO `lang_definitions` VALUES (5813, 5265, 3, 'no es una dirección de correo electrónico válida');
INSERT INTO `lang_definitions` VALUES (5814, 5266, 3, 'No está seleccionada');
INSERT INTO `lang_definitions` VALUES (5815, 5267, 3, 'no es válida');
INSERT INTO `lang_definitions` VALUES (5816, 5268, 3, 'no es válido (las fracciones decimales están bien).');
INSERT INTO `lang_definitions` VALUES (5817, 5269, 3, '¿El PHP utiliza el modo a prueba de fallos?');
INSERT INTO `lang_definitions` VALUES (5818, 5272, 3, 'Está seleccionada');
INSERT INTO `lang_definitions` VALUES (5819, 5273, 3, '¿Se traduce el texto del formulario plantilla?');
INSERT INTO `lang_definitions` VALUES (5820, 5274, 3, '¿Se traduce el texto de listas?');
INSERT INTO `lang_definitions` VALUES (5821, 5275, 3, '¿Está encriptado el fichero?');
INSERT INTO `lang_definitions` VALUES (5822, 5277, 3, '¿Este es un tipo de diagnóstico?');
INSERT INTO `lang_definitions` VALUES (5823, 5280, 3, '¿Es un tipo de procedimiento/servicio?');
INSERT INTO `lang_definitions` VALUES (5824, 5281, 3, '¿Está esto activo?');
INSERT INTO `lang_definitions` VALUES (5825, 5282, 3, '¿Este tipo de código está activo?');
INSERT INTO `lang_definitions` VALUES (5826, 5283, 3, '¿Este código se usa en reclamaciones?');
INSERT INTO `lang_definitions` VALUES (5827, 5285, 3, '¿Está verdaderamente bien?');
INSERT INTO `lang_definitions` VALUES (5828, 5286, 3, '¿Es un tipo oculto en la hoja de honorarios?');
INSERT INTO `lang_definitions` VALUES (5829, 5287, 3, '¿Se usa en las tablas sql externas? Si es así, elija el formato.');
INSERT INTO `lang_definitions` VALUES (5830, 5288, 3, 'es muy largo');
INSERT INTO `lang_definitions` VALUES (5831, 5289, 3, 'Código ISO 639-2');
INSERT INTO `lang_definitions` VALUES (5832, 5290, 3, 'Incidencia');
INSERT INTO `lang_definitions` VALUES (5833, 5291, 3, 'incidencia');
INSERT INTO `lang_definitions` VALUES (5834, 5292, 3, 'Fecha Incidencia');
INSERT INTO `lang_definitions` VALUES (5835, 5293, 3, 'Nº Identificación incidencia');
INSERT INTO `lang_definitions` VALUES (5836, 5294, 3, 'Subtipos de Incidencias');
INSERT INTO `lang_definitions` VALUES (5837, 5295, 3, 'Título de incidencia');
INSERT INTO `lang_definitions` VALUES (5838, 5296, 3, 'Tipo de Incidencia');
INSERT INTO `lang_definitions` VALUES (5839, 5297, 3, 'Tipos de Incidencia');
INSERT INTO `lang_definitions` VALUES (5840, 5298, 3, 'Incidencias');
INSERT INTO `lang_definitions` VALUES (5841, 5299, 3, 'Incidencias (Lesiones, Médicas, Alergias)');
INSERT INTO `lang_definitions` VALUES (5842, 5300, 3, 'Incidencias (Lesiones, Médicas, Alergias):');
INSERT INTO `lang_definitions` VALUES (5843, 5302, 3, 'Incidencias y Encuentros');
INSERT INTO `lang_definitions` VALUES (5844, 5303, 3, 'Incidencias y Encuentros de');
INSERT INTO `lang_definitions` VALUES (5845, 5308, 3, 'Incidencias no autorizadas');
INSERT INTO `lang_definitions` VALUES (5846, 5309, 3, 'Sección de Incidencias');
INSERT INTO `lang_definitions` VALUES (5847, 5364, 3, 'Italiano');
INSERT INTO `lang_definitions` VALUES (5848, 5365, 3, 'Artículo');
INSERT INTO `lang_definitions` VALUES (5849, 5366, 3, 'Artículo');
INSERT INTO `lang_definitions` VALUES (5850, 5368, 3, 'temas');
INSERT INTO `lang_definitions` VALUES (5851, 5369, 3, 'La carga de artículos falló');
INSERT INTO `lang_definitions` VALUES (5852, 5370, 3, 'IU/L');
INSERT INTO `lang_definitions` VALUES (5853, 5371, 3, 'IUD');
INSERT INTO `lang_definitions` VALUES (5854, 5372, 3, 'IV');
INSERT INTO `lang_definitions` VALUES (5855, 5375, 3, 'Ener');
INSERT INTO `lang_definitions` VALUES (5856, 5376, 3, 'Enero');
INSERT INTO `lang_definitions` VALUES (5857, 5377, 3, 'Japonés');
INSERT INTO `lang_definitions` VALUES (5858, 5378, 3, 'Ictericia');
INSERT INTO `lang_definitions` VALUES (5859, 5380, 3, 'Descripción del trabajo');
INSERT INTO `lang_definitions` VALUES (5860, 5381, 3, 'Nº Identificación del trabajo');
INSERT INTO `lang_definitions` VALUES (5861, 5382, 3, 'Dislocaciones de articulaciones');
INSERT INTO `lang_definitions` VALUES (5862, 5383, 3, 'Dolor en las Articulaciones');
INSERT INTO `lang_definitions` VALUES (5863, 5384, 3, 'Esguinces de articulaciones');
INSERT INTO `lang_definitions` VALUES (5864, 5385, 3, 'Jul');
INSERT INTO `lang_definitions` VALUES (5865, 5386, 3, 'Julio');
INSERT INTO `lang_definitions` VALUES (5866, 5388, 3, 'Jun');
INSERT INTO `lang_definitions` VALUES (5867, 5389, 3, 'Junio');
INSERT INTO `lang_definitions` VALUES (5868, 5390, 3, 'Justo debajo, revise la información del área azul donde pone sus parámetros de búsqueda. Puede buscar por nombre del paciente, número de gráfico, número de visita o fecha de servicio, o cualquier combinación de éstos. También puede ver todas las facturas, facturas pendientes o impagadas (por el paciente). Click en el botón de búsqueda para realizar la búsqueda.');
INSERT INTO `lang_definitions` VALUES (5869, 5391, 3, 'Solo mío');
INSERT INTO `lang_definitions` VALUES (5870, 5393, 3, 'Justificar');
INSERT INTO `lang_definitions` VALUES (5871, 5396, 3, 'Justificar/Guardar');
INSERT INTO `lang_definitions` VALUES (5872, 5398, 3, 'k, aquí está el resto');
INSERT INTO `lang_definitions` VALUES (5873, 5407, 3, 'Clave');
INSERT INTO `lang_definitions` VALUES (5874, 5411, 3, 'Palabras Claves');
INSERT INTO `lang_definitions` VALUES (5875, 5412, 3, 'kg');
INSERT INTO `lang_definitions` VALUES (5876, 5413, 3, 'kg/m^2');
INSERT INTO `lang_definitions` VALUES (5877, 5415, 3, 'Cáncer de Riñon');
INSERT INTO `lang_definitions` VALUES (5878, 5416, 3, 'Fallo Renal');
INSERT INTO `lang_definitions` VALUES (5879, 5417, 3, 'Infecciones de Riñón');
INSERT INTO `lang_definitions` VALUES (5880, 5418, 3, 'Piedra en el Riñón');
INSERT INTO `lang_definitions` VALUES (5881, 5419, 3, 'Transplante de Riñon');
INSERT INTO `lang_definitions` VALUES (5882, 5425, 3, 'Rodilla');
INSERT INTO `lang_definitions` VALUES (5883, 5426, 3, 'Problemas de la rodilla');
INSERT INTO `lang_definitions` VALUES (5884, 5427, 3, 'Reemplazo de Rodilla');
INSERT INTO `lang_definitions` VALUES (5885, 5430, 3, 'Coreano');
INSERT INTO `lang_definitions` VALUES (5886, 5434, 3, 'Laboratorio');
INSERT INTO `lang_definitions` VALUES (5887, 5436, 3, 'Sitio Web del Laboratorio de intercambio');
INSERT INTO `lang_definitions` VALUES (5888, 5437, 3, 'Nº Identificación Laboratorio de intercambio');
INSERT INTO `lang_definitions` VALUES (5889, 5438, 3, 'Nº Identificación ficha Laboratorio de intercambio');
INSERT INTO `lang_definitions` VALUES (5890, 5442, 3, 'Consulta de estado de Laboratorio');
INSERT INTO `lang_definitions` VALUES (5891, 5444, 3, 'Informe del Laboratorio');
INSERT INTO `lang_definitions` VALUES (5892, 5445, 3, 'Resultado Laboratorio');
INSERT INTO `lang_definitions` VALUES (5893, 5446, 3, 'Resultados Laboratorio');
INSERT INTO `lang_definitions` VALUES (5894, 5449, 3, 'Informe Resultados Laboratorio');
INSERT INTO `lang_definitions` VALUES (5895, 5450, 3, 'Servicio de laboratorio');
INSERT INTO `lang_definitions` VALUES (5896, 5451, 3, 'Resultados del test de Laboratorio');
INSERT INTO `lang_definitions` VALUES (5897, 5453, 3, 'Etiqueta');
INSERT INTO `lang_definitions` VALUES (5898, 5454, 3, 'Etiqueta no puede estar en blanco');
INSERT INTO `lang_definitions` VALUES (5899, 5455, 3, 'Col etiqueta');
INSERT INTO `lang_definitions` VALUES (5900, 5456, 3, 'Etiqueta para este tipo');
INSERT INTO `lang_definitions` VALUES (5901, 5458, 3, 'EtiquetasColumn debe ser un número entre 1 y 999');
INSERT INTO `lang_definitions` VALUES (5902, 5459, 3, 'Etiquetas');
INSERT INTO `lang_definitions` VALUES (5903, 5463, 3, 'Laboratorio');
INSERT INTO `lang_definitions` VALUES (5904, 5464, 3, 'Laceración/Cond. Piel');
INSERT INTO `lang_definitions` VALUES (5905, 5465, 3, 'Laceración/abrasión');
INSERT INTO `lang_definitions` VALUES (5906, 5471, 3, 'Idioma');
INSERT INTO `lang_definitions` VALUES (5907, 5472, 3, 'Código Idioma');
INSERT INTO `lang_definitions` VALUES (5908, 5473, 3, 'Definición de lenguaje agregada');
INSERT INTO `lang_definitions` VALUES (5909, 5474, 3, 'Herramienta de interfaz de idioma');
INSERT INTO `lang_definitions` VALUES (5910, 5476, 3, 'Lista de lenguajes (escribir, addonly opcional)');
INSERT INTO `lang_definitions` VALUES (5911, 5478, 3, 'Nombre Idioma');
INSERT INTO `lang_definitions` VALUES (5912, 5479, 3, 'Idioma:');
INSERT INTO `lang_definitions` VALUES (5913, 5481, 3, 'Laosiano');
INSERT INTO `lang_definitions` VALUES (5914, 5485, 3, 'Último');
INSERT INTO `lang_definitions` VALUES (5915, 5486, 3, 'Última Actividad Fecha');
INSERT INTO `lang_definitions` VALUES (5916, 5489, 3, 'Última Fecha de Cuenta');
INSERT INTO `lang_definitions` VALUES (5917, 5491, 3, 'Último año calendario');
INSERT INTO `lang_definitions` VALUES (5918, 5495, 3, 'Última visita');
INSERT INTO `lang_definitions` VALUES (5919, 5502, 3, 'Último nivel facturado');
INSERT INTO `lang_definitions` VALUES (5920, 5506, 3, 'Último Mes');
INSERT INTO `lang_definitions` VALUES (5921, 5507, 3, 'Apellido(s)');
INSERT INTO `lang_definitions` VALUES (5922, 5508, 3, 'Apellido(s)');
INSERT INTO `lang_definitions` VALUES (5923, 5513, 3, 'Apellido(s):');
INSERT INTO `lang_definitions` VALUES (5924, 5517, 3, 'Ultima revision');
INSERT INTO `lang_definitions` VALUES (5925, 5519, 3, 'Última guardados');
INSERT INTO `lang_definitions` VALUES (5926, 5525, 3, 'Última actualización por');
INSERT INTO `lang_definitions` VALUES (5927, 5526, 3, 'Ultima verificación el');
INSERT INTO `lang_definitions` VALUES (5928, 5527, 3, 'Última Visita');
INSERT INTO `lang_definitions` VALUES (5929, 5530, 3, 'Recurrencia tardía (2-12 Mes)');
INSERT INTO `lang_definitions` VALUES (5930, 5531, 3, 'Maléolo lateral');
INSERT INTO `lang_definitions` VALUES (5931, 5532, 3, 'Maléolo lateral:');
INSERT INTO `lang_definitions` VALUES (5932, 5533, 3, 'Lateralidad');
INSERT INTO `lang_definitions` VALUES (5933, 5534, 3, 'Lateralidad de este procedimiento si se aplica');
INSERT INTO `lang_definitions` VALUES (5934, 5535, 3, 'desplazados lateralmente PMI:');
INSERT INTO `lang_definitions` VALUES (5935, 5538, 3, 'Últimos resultados únicamente');
INSERT INTO `lang_definitions` VALUES (5936, 5539, 3, 'Última Visita o Consula');
INSERT INTO `lang_definitions` VALUES (5937, 5540, 3, 'Latín');
INSERT INTO `lang_definitions` VALUES (5938, 5541, 3, 'Latvio');
INSERT INTO `lang_definitions` VALUES (5939, 5545, 3, 'Firma de Abogados');
INSERT INTO `lang_definitions` VALUES (5940, 5546, 3, 'Abogado');
INSERT INTO `lang_definitions` VALUES (5941, 5547, 3, 'Distribución en pantalla');
INSERT INTO `lang_definitions` VALUES (5942, 5548, 3, 'Distribución (necesita salir y entrar después de haber cambiado esta opción)');
INSERT INTO `lang_definitions` VALUES (5943, 5549, 3, 'de la base');
INSERT INTO `lang_definitions` VALUES (5944, 5551, 3, 'Redactor de Disposición');
INSERT INTO `lang_definitions` VALUES (5945, 5552, 3, 'Diseño de Grupos');
INSERT INTO `lang_definitions` VALUES (5946, 5556, 3, 'Estilo plantilla');
INSERT INTO `lang_definitions` VALUES (5947, 5558, 3, 'Diseño basado en la visita las formas');
INSERT INTO `lang_definitions` VALUES (5948, 5559, 3, 'Disposición');
INSERT INTO `lang_definitions` VALUES (5949, 5560, 3, 'libra');
INSERT INTO `lang_definitions` VALUES (5950, 5563, 3, 'libra');
INSERT INTO `lang_definitions` VALUES (5951, 5571, 3, 'Colesterol LDL');
INSERT INTO `lang_definitions` VALUES (5952, 5573, 3, 'dejar en blanco si sigue activo');
INSERT INTO `lang_definitions` VALUES (5953, 5574, 3, 'Dejar en blanco para mantener el nombre de fichero original');
INSERT INTO `lang_definitions` VALUES (5954, 5575, 3, 'Deje en blanco para no cambiar la contraseña');
INSERT INTO `lang_definitions` VALUES (5955, 5580, 3, 'Dejar mensaje Con');
INSERT INTO `lang_definitions` VALUES (5956, 5582, 3, 'Salir del Formulario');
INSERT INTO `lang_definitions` VALUES (5957, 5583, 3, 'Dejando la contraseña en blanco no se encriptará el documento');
INSERT INTO `lang_definitions` VALUES (5958, 5586, 3, 'Izquierda');
INSERT INTO `lang_definitions` VALUES (5959, 5587, 3, 'Brazo izquierdo');
INSERT INTO `lang_definitions` VALUES (5960, 5588, 3, 'Deltoide Izquierdo');
INSERT INTO `lang_definitions` VALUES (5961, 5589, 3, 'Oído izquierdo');
INSERT INTO `lang_definitions` VALUES (5962, 5590, 3, 'oreja izquierda');
INSERT INTO `lang_definitions` VALUES (5963, 5591, 3, 'Glúteo Medio Izquierdo');
INSERT INTO `lang_definitions` VALUES (5964, 5592, 3, 'Lente Izquierdo');
INSERT INTO `lang_definitions` VALUES (5965, 5594, 3, 'Margen Izquierdo (mm)');
INSERT INTO `lang_definitions` VALUES (5966, 5599, 3, 'Izquierda:');
INSERT INTO `lang_definitions` VALUES (5967, 5600, 3, 'Izquierda:');
INSERT INTO `lang_definitions` VALUES (5968, 5601, 3, 'Dolor de Pierna/Calambres');
INSERT INTO `lang_definitions` VALUES (5969, 5602, 3, 'Legal');
INSERT INTO `lang_definitions` VALUES (5970, 5604, 3, 'Tamaño papel Legal');
INSERT INTO `lang_definitions` VALUES (5971, 5605, 3, 'Leyenda:');
INSERT INTO `lang_definitions` VALUES (5972, 5606, 3, 'Longitud');
INSERT INTO `lang_definitions` VALUES (5973, 5607, 3, 'Longitud del modificador, 0 si no hay');
INSERT INTO `lang_definitions` VALUES (5974, 5613, 3, 'Menor que');
INSERT INTO `lang_definitions` VALUES (5975, 5614, 3, 'Menor que o Igual a');
INSERT INTO `lang_definitions` VALUES (5976, 5615, 3, 'Menos la información privada (escribir, addonly opcional)');
INSERT INTO `lang_definitions` VALUES (5977, 5620, 3, 'Carta');
INSERT INTO `lang_definitions` VALUES (5978, 5621, 3, 'Carta');
INSERT INTO `lang_definitions` VALUES (5979, 5622, 3, 'Tamaño papel Carta');
INSERT INTO `lang_definitions` VALUES (5980, 5623, 3, 'Papelería membretada que el médico firma');
INSERT INTO `lang_definitions` VALUES (5981, 5624, 3, 'Papelería membretada que el paciente firma');
INSERT INTO `lang_definitions` VALUES (5982, 5627, 3, 'Nivel de urgencia');
INSERT INTO `lang_definitions` VALUES (5983, 5630, 3, 'Responsabilidad');
INSERT INTO `lang_definitions` VALUES (5984, 5631, 3, 'Responsabilidad Médica');
INSERT INTO `lang_definitions` VALUES (5985, 5633, 3, 'Licencia/Nº Id.');
INSERT INTO `lang_definitions` VALUES (5986, 5639, 3, 'Apellido del médico');
INSERT INTO `lang_definitions` VALUES (5987, 5640, 3, 'NºColegiado médico');
INSERT INTO `lang_definitions` VALUES (5988, 5641, 3, 'NºColegiado médico');
INSERT INTO `lang_definitions` VALUES (5989, 5644, 3, 'Estilo de Vida');
INSERT INTO `lang_definitions` VALUES (5990, 5646, 3, 'Estadio del estilo de vida');
INSERT INTO `lang_definitions` VALUES (5991, 5647, 3, 'Rasgón o esguince del ligamento');
INSERT INTO `lang_definitions` VALUES (5992, 5651, 3, 'Límite de Eventos');
INSERT INTO `lang_definitions` VALUES (5993, 5654, 3, 'Límites');
INSERT INTO `lang_definitions` VALUES (5994, 5657, 3, 'Vínculo');
INSERT INTO `lang_definitions` VALUES (5995, 5658, 3, 'Vínculo al paciente');
INSERT INTO `lang_definitions` VALUES (5996, 5660, 3, 'Vinculado');
INSERT INTO `lang_definitions` VALUES (5997, 5663, 3, 'Vinculado a un documento');
INSERT INTO `lang_definitions` VALUES (5998, 5665, 3, 'Lista');
INSERT INTO `lang_definitions` VALUES (5999, 5666, 3, 'Cuadro de lista');
INSERT INTO `lang_definitions` VALUES (6000, 5667, 3, 'caja de lista');
INSERT INTO `lang_definitions` VALUES (6001, 5668, 3, 'agrega cuadro de lista');
INSERT INTO `lang_definitions` VALUES (6002, 5669, 3, 'Lista de cuadro con adición');
INSERT INTO `lang_definitions` VALUES (6003, 5671, 3, 'Editor de Lista');
INSERT INTO `lang_definitions` VALUES (6004, 5672, 3, 'Lista de visitas');
INSERT INTO `lang_definitions` VALUES (6005, 5674, 3, 'Lista de grupos');
INSERT INTO `lang_definitions` VALUES (6006, 5675, 3, 'Lista Sociedades Médicas');
INSERT INTO `lang_definitions` VALUES (6007, 5677, 3, 'Lista de temas no puede comenzar con un número');
INSERT INTO `lang_definitions` VALUES (6008, 5678, 3, 'Items listados contienen caracteres ilegales');
INSERT INTO `lang_definitions` VALUES (6009, 5680, 3, 'Lista Listas');
INSERT INTO `lang_definitions` VALUES (6010, 5682, 3, 'Lista de Nombres');
INSERT INTO `lang_definitions` VALUES (6011, 5683, 3, 'Lista de los nombres no puede empezar con números.');
INSERT INTO `lang_definitions` VALUES (6012, 5688, 3, 'Lista de Recetas');
INSERT INTO `lang_definitions` VALUES (6013, 5689, 3, 'Lista Tipo de datos usada para País.');
INSERT INTO `lang_definitions` VALUES (6014, 5690, 3, 'Lista Tipo de datos usada para Estado.');
INSERT INTO `lang_definitions` VALUES (6015, 5691, 3, 'Puerto de escucha de la RFC 5425 TLS en el servidor syslog.');
INSERT INTO `lang_definitions` VALUES (6016, 5693, 3, 'Listas');
INSERT INTO `lang_definitions` VALUES (6017, 5696, 3, 'Deseos Personales de cuidado');
INSERT INTO `lang_definitions` VALUES (6018, 5701, 3, 'LLL:');
INSERT INTO `lang_definitions` VALUES (6019, 5707, 3, 'LMP');
INSERT INTO `lang_definitions` VALUES (6020, 5709, 3, 'Cargar definiciones');
INSERT INTO `lang_definitions` VALUES (6021, 5717, 3, 'Cargando');
INSERT INTO `lang_definitions` VALUES (6022, 5721, 3, 'Cargando ficheros en la base de datos. Esto puede tardar algún tiempo...');
INSERT INTO `lang_definitions` VALUES (6023, 5723, 3, 'LOC');
INSERT INTO `lang_definitions` VALUES (6024, 5724, 3, 'Local');
INSERT INTO `lang_definitions` VALUES (6025, 5728, 3, 'Lugar');
INSERT INTO `lang_definitions` VALUES (6026, 5729, 3, 'Localidad');
INSERT INTO `lang_definitions` VALUES (6027, 5730, 3, 'Localización');
INSERT INTO `lang_definitions` VALUES (6028, 5731, 3, 'Ubicación de la máquina openemr puede contener datos sensible, por eso se recomienda borrar manualmente los ficheros después de su uso');
INSERT INTO `lang_definitions` VALUES (6029, 5732, 3, 'Localizacion de este lote');
INSERT INTO `lang_definitions` VALUES (6030, 5733, 3, 'Lugar no especificado');
INSERT INTO `lang_definitions` VALUES (6031, 5734, 3, 'Directorio dónde Hylafax archiva los faxes');
INSERT INTO `lang_definitions` VALUES (6032, 5735, 3, 'Localización dónde se archivan los escaneados');
INSERT INTO `lang_definitions` VALUES (6033, 5736, 3, 'Localización:');
INSERT INTO `lang_definitions` VALUES (6034, 5737, 3, 'Bloquear');
INSERT INTO `lang_definitions` VALUES (6035, 5745, 3, 'Iniciar sesión');
INSERT INTO `lang_definitions` VALUES (6036, 5746, 3, 'Identificación');
INSERT INTO `lang_definitions` VALUES (6037, 5749, 3, 'Finalizar sesión');
INSERT INTO `lang_definitions` VALUES (6038, 5752, 3, 'Iniciar sesión');
INSERT INTO `lang_definitions` VALUES (6039, 5753, 3, 'Abierto una sesión como');
INSERT INTO `lang_definitions` VALUES (6040, 5754, 3, 'Abierto una sesión como:');
INSERT INTO `lang_definitions` VALUES (6041, 5755, 3, 'Salir de sesión.');
INSERT INTO `lang_definitions` VALUES (6042, 5756, 3, 'Identificando');
INSERT INTO `lang_definitions` VALUES (6043, 5757, 3, 'Iniciar sesión');
INSERT INTO `lang_definitions` VALUES (6044, 5758, 3, 'iniciar sesión');
INSERT INTO `lang_definitions` VALUES (6045, 5768, 3, 'Cerrar sesión');
INSERT INTO `lang_definitions` VALUES (6046, 5769, 3, 'cerrar sesión');
INSERT INTO `lang_definitions` VALUES (6047, 5770, 3, 'Registros');
INSERT INTO `lang_definitions` VALUES (6048, 5771, 3, 'Espectador de los registros');
INSERT INTO `lang_definitions` VALUES (6049, 5776, 3, 'Buscar');
INSERT INTO `lang_definitions` VALUES (6050, 5777, 3, 'Lote');
INSERT INTO `lang_definitions` VALUES (6051, 5778, 3, 'Nº Identificación del lote falta!');
INSERT INTO `lang_definitions` VALUES (6052, 5779, 3, 'Número de Lote');
INSERT INTO `lang_definitions` VALUES (6053, 5780, 3, 'Bajo');
INSERT INTO `lang_definitions` VALUES (6054, 5782, 3, 'inferior de la pierna');
INSERT INTO `lang_definitions` VALUES (6055, 5791, 3, 'Columna lumbar');
INSERT INTO `lang_definitions` VALUES (6056, 5792, 3, 'COMIDA');
INSERT INTO `lang_definitions` VALUES (6057, 5793, 3, 'Comida');
INSERT INTO `lang_definitions` VALUES (6058, 5794, 3, 'cáncer de pulmón');
INSERT INTO `lang_definitions` VALUES (6059, 5795, 3, 'Cirugía del cáncer de pulmón');
INSERT INTO `lang_definitions` VALUES (6060, 5796, 3, 'PULMONES:');
INSERT INTO `lang_definitions` VALUES (6061, 5797, 3, 'pulmones:');
INSERT INTO `lang_definitions` VALUES (6062, 5798, 3, 'Lupus');
INSERT INTO `lang_definitions` VALUES (6063, 5804, 3, 'M');
INSERT INTO `lang_definitions` VALUES (6064, 5805, 3, 'Categoría de MA');
INSERT INTO `lang_definitions` VALUES (6065, 5806, 3, 'MA Cliente acepta aborto');
INSERT INTO `lang_definitions` VALUES (6066, 5807, 3, 'MA estadísticas');
INSERT INTO `lang_definitions` VALUES (6067, 5812, 3, 'Correo enviado');
INSERT INTO `lang_definitions` VALUES (6068, 5814, 3, 'Principal');
INSERT INTO `lang_definitions` VALUES (6069, 5815, 3, 'Dirección principal');
INSERT INTO `lang_definitions` VALUES (6070, 5821, 3, 'Pantalla principal del panel superior');
INSERT INTO `lang_definitions` VALUES (6071, 5824, 3, 'Mantener activa la lista de medicación de alergia.');
INSERT INTO `lang_definitions` VALUES (6072, 5825, 3, 'Mantener activa una lista de medicación.');
INSERT INTO `lang_definitions` VALUES (6073, 5826, 3, 'Mantenga actualizada lista de problemas actuales y diagnósticos activos');
INSERT INTO `lang_definitions` VALUES (6074, 5827, 3, 'Hacer modificaciones a las actuales categorías.');
INSERT INTO `lang_definitions` VALUES (6075, 5828, 3, 'Dar nueva cita para');
INSERT INTO `lang_definitions` VALUES (6076, 5831, 3, 'Cerciorarse -');
INSERT INTO `lang_definitions` VALUES (6077, 5832, 3, 'Hacer un batch de ficheros de texto para adjuntar a la Cámara de compensación y que se marcará como facturado');
INSERT INTO `lang_definitions` VALUES (6078, 5834, 3, 'Malestar:');
INSERT INTO `lang_definitions` VALUES (6079, 5837, 3, 'Masculino');
INSERT INTO `lang_definitions` VALUES (6080, 5838, 3, 'Condones Masculinos');
INSERT INTO `lang_definitions` VALUES (6081, 5839, 3, 'Varón VSC');
INSERT INTO `lang_definitions` VALUES (6082, 5841, 3, 'Mamografía');
INSERT INTO `lang_definitions` VALUES (6083, 5842, 3, 'Manejar');
INSERT INTO `lang_definitions` VALUES (6084, 5850, 3, 'Gestionar traducciones');
INSERT INTO `lang_definitions` VALUES (6085, 5851, 3, 'Gerencia');
INSERT INTO `lang_definitions` VALUES (6086, 5854, 3, 'Campos obligatorios y específicos');
INSERT INTO `lang_definitions` VALUES (6087, 5855, 3, 'Campos obligatorios o específicos sólo, cheques duplicados, no de búsqueda');
INSERT INTO `lang_definitions` VALUES (6088, 5856, 3, 'Campos obligatorios o específicos sólo, búsqueda y comprobación de duplicados');
INSERT INTO `lang_definitions` VALUES (6089, 5859, 3, 'Manual');
INSERT INTO `lang_definitions` VALUES (6090, 5860, 3, 'Manual de envío');
INSERT INTO `lang_definitions` VALUES (6091, 5864, 3, 'Fabricante');
INSERT INTO `lang_definitions` VALUES (6092, 5870, 3, 'Mar');
INSERT INTO `lang_definitions` VALUES (6093, 5874, 3, 'Marzo');
INSERT INTO `lang_definitions` VALUES (6094, 5877, 3, 'Estado Civil');
INSERT INTO `lang_definitions` VALUES (6095, 5880, 3, 'Marcar como facturado pero saltar de facturación');
INSERT INTO `lang_definitions` VALUES (6096, 5881, 3, 'Marcar como Resueltos');
INSERT INTO `lang_definitions` VALUES (6097, 5882, 3, 'Marcar como no facturados');
INSERT INTO `lang_definitions` VALUES (6098, 5886, 3, 'Marcado como despejado');
INSERT INTO `lang_definitions` VALUES (6099, 5887, 3, 'Casado');
INSERT INTO `lang_definitions` VALUES (6100, 5889, 3, 'Formato (Máscara)');
INSERT INTO `lang_definitions` VALUES (6101, 5890, 3, 'Formato para Números de Factura');
INSERT INTO `lang_definitions` VALUES (6102, 5891, 3, 'Formato para ID de Pacientes');
INSERT INTO `lang_definitions` VALUES (6103, 5892, 3, 'Formato para ID de Productos');
INSERT INTO `lang_definitions` VALUES (6104, 5894, 3, 'Concuerda');
INSERT INTO `lang_definitions` VALUES (6105, 5907, 3, 'Max');
INSERT INTO `lang_definitions` VALUES (6106, 5912, 3, 'La derecha maxilar:');
INSERT INTO `lang_definitions` VALUES (6107, 5913, 3, 'Edad Máxima');
INSERT INTO `lang_definitions` VALUES (6108, 5914, 3, 'Número máximo de caracteres');
INSERT INTO `lang_definitions` VALUES (6109, 5917, 3, 'Tiempo máximo inactivo antes de cerrar sesión en segundos. Por defecto es 7200 (2 horas).');
INSERT INTO `lang_definitions` VALUES (6110, 5920, 3, 'Inventario máximo razonable, 0 si no es aplicable');
INSERT INTO `lang_definitions` VALUES (6111, 5921, 3, 'Tamaño máximo');
INSERT INTO `lang_definitions` VALUES (6112, 5922, 3, 'Tamaño máximo (poniendo 0 permite cualquier tamaño)');
INSERT INTO `lang_definitions` VALUES (6113, 5924, 3, 'Mayo');
INSERT INTO `lang_definitions` VALUES (6114, 5926, 3, 'MC');
INSERT INTO `lang_definitions` VALUES (6115, 5927, 3, 'mcg (microgramo)');
INSERT INTO `lang_definitions` VALUES (6116, 5929, 3, 'Significa que ninguna de las tres últimas contraseñas son permitidas para cambiar la contraseña.');
INSERT INTO `lang_definitions` VALUES (6117, 5931, 3, 'Medida del Código de Grupo');
INSERT INTO `lang_definitions` VALUES (6118, 5933, 3, 'Medición');
INSERT INTO `lang_definitions` VALUES (6119, 5939, 3, 'Maléolo tibial:');
INSERT INTO `lang_definitions` VALUES (6120, 5940, 3, 'Seguro de enfermedad');
INSERT INTO `lang_definitions` VALUES (6121, 5942, 3, 'Médico');
INSERT INTO `lang_definitions` VALUES (6122, 5943, 3, 'Aborto Médico');
INSERT INTO `lang_definitions` VALUES (6123, 5944, 3, 'Administración Médica');
INSERT INTO `lang_definitions` VALUES (6124, 5946, 3, 'Historia Médica');
INSERT INTO `lang_definitions` VALUES (6125, 5947, 3, 'Incidencia Médica');
INSERT INTO `lang_definitions` VALUES (6126, 5948, 3, 'Incidencia Médica');
INSERT INTO `lang_definitions` VALUES (6127, 5952, 3, 'Problema médico');
INSERT INTO `lang_definitions` VALUES (6128, 5954, 3, 'Problemas médicos');
INSERT INTO `lang_definitions` VALUES (6129, 5956, 3, 'Registo Médico');
INSERT INTO `lang_definitions` VALUES (6130, 5957, 3, 'Informe médico #');
INSERT INTO `lang_definitions` VALUES (6131, 5959, 3, 'Registros Médicos');
INSERT INTO `lang_definitions` VALUES (6132, 5961, 3, 'Registros Médicos enviados');
INSERT INTO `lang_definitions` VALUES (6133, 5963, 3, 'Resumen Médico entregado');
INSERT INTO `lang_definitions` VALUES (6134, 5964, 3, 'Sistema Médico');
INSERT INTO `lang_definitions` VALUES (6135, 5965, 3, 'Tipo de Médico');
INSERT INTO `lang_definitions` VALUES (6136, 5966, 3, 'Médico / Historia (escribir, añadir sólo opcional)');
INSERT INTO `lang_definitions` VALUES (6137, 5968, 3, 'Parte B de Seguro médico');
INSERT INTO `lang_definitions` VALUES (6138, 5969, 3, 'Seguro médico de referencia restablecido');
INSERT INTO `lang_definitions` VALUES (6139, 5970, 3, 'Medicación');
INSERT INTO `lang_definitions` VALUES (6140, 5971, 3, 'Lista Medicación Alergias');
INSERT INTO `lang_definitions` VALUES (6141, 5973, 3, 'Lista Medicación');
INSERT INTO `lang_definitions` VALUES (6142, 5974, 3, '¿Reconciliación Medicación realizada?');
INSERT INTO `lang_definitions` VALUES (6143, 5975, 3, 'Medicamentos');
INSERT INTO `lang_definitions` VALUES (6144, 5978, 3, 'Medicamentos:');
INSERT INTO `lang_definitions` VALUES (6145, 5979, 3, 'Unidades de Medicina');
INSERT INTO `lang_definitions` VALUES (6146, 5980, 3, 'Mediano');
INSERT INTO `lang_definitions` VALUES (6147, 5984, 3, 'Miembro de la Asociación de Estadística Informe');
INSERT INTO `lang_definitions` VALUES (6148, 5986, 3, 'Problemas de Memoria');
INSERT INTO `lang_definitions` VALUES (6149, 5987, 3, 'Hombres');
INSERT INTO `lang_definitions` VALUES (6150, 5988, 3, 'Hombres y Mujeres');
INSERT INTO `lang_definitions` VALUES (6151, 5989, 3, 'Hombres Solamente');
INSERT INTO `lang_definitions` VALUES (6152, 5990, 3, 'Menarquía');
INSERT INTO `lang_definitions` VALUES (6153, 5991, 3, 'Menopausia');
INSERT INTO `lang_definitions` VALUES (6154, 5992, 3, 'Flujo Menstrual');
INSERT INTO `lang_definitions` VALUES (6155, 5993, 3, 'Menstrual Frequency');
INSERT INTO `lang_definitions` VALUES (6156, 5994, 3, 'Enfermedad Mental');
INSERT INTO `lang_definitions` VALUES (6157, 6005, 3, 'Mensaje');
INSERT INTO `lang_definitions` VALUES (6158, 6006, 3, 'Mensajes y Centro de Avisos');
INSERT INTO `lang_definitions` VALUES (6159, 6012, 3, 'Mensaje Enviado');
INSERT INTO `lang_definitions` VALUES (6160, 6013, 3, 'Estado mensaje');
INSERT INTO `lang_definitions` VALUES (6161, 6018, 3, 'MENSAJE:');
INSERT INTO `lang_definitions` VALUES (6162, 6019, 3, 'Mensajes');
INSERT INTO `lang_definitions` VALUES (6163, 6022, 3, 'Mensajes enviados hoy');
INSERT INTO `lang_definitions` VALUES (6164, 6026, 3, 'Método');
INSERT INTO `lang_definitions` VALUES (6165, 6027, 3, 'Método y especificaciones de Producto');
INSERT INTO `lang_definitions` VALUES (6166, 6029, 3, 'Método para el envío de email saliente');
INSERT INTO `lang_definitions` VALUES (6167, 6030, 3, 'Método de destrucción');
INSERT INTO `lang_definitions` VALUES (6168, 6031, 3, 'Mejicano/MexAmer/Chicano');
INSERT INTO `lang_definitions` VALUES (6169, 6038, 3, 'mg');
INSERT INTO `lang_definitions` VALUES (6170, 6039, 3, 'mg/1cc');
INSERT INTO `lang_definitions` VALUES (6171, 6040, 3, 'mg/2cc');
INSERT INTO `lang_definitions` VALUES (6172, 6041, 3, 'mg/3cc');
INSERT INTO `lang_definitions` VALUES (6173, 6042, 3, 'mg/4cc');
INSERT INTO `lang_definitions` VALUES (6174, 6043, 3, 'mg/5cc');
INSERT INTO `lang_definitions` VALUES (6175, 6044, 3, 'MG/DL');
INSERT INTO `lang_definitions` VALUES (6176, 6046, 3, 'Segundo');
INSERT INTO `lang_definitions` VALUES (6177, 6047, 3, 'Segundo Nombre');
INSERT INTO `lang_definitions` VALUES (6178, 6048, 3, 'Segundo nombre');
INSERT INTO `lang_definitions` VALUES (6179, 6051, 3, 'Prescriptor DEA nivel medio');
INSERT INTO `lang_definitions` VALUES (6180, 6052, 3, 'Nombre Prescriptor nivel medio');
INSERT INTO `lang_definitions` VALUES (6181, 6053, 3, 'Apellido Prescriptor nivel medio');
INSERT INTO `lang_definitions` VALUES (6182, 6055, 3, 'Prefijo Prescriptor nivel medio');
INSERT INTO `lang_definitions` VALUES (6183, 6056, 3, 'Nº médico nivel medio');
INSERT INTO `lang_definitions` VALUES (6184, 6061, 3, 'Semblante');
INSERT INTO `lang_definitions` VALUES (6185, 6062, 3, 'Migrante o trabajador de temporada?');
INSERT INTO `lang_definitions` VALUES (6186, 6064, 3, 'Migrantes / temporada');
INSERT INTO `lang_definitions` VALUES (6187, 6065, 3, 'Mil/CU.MM');
INSERT INTO `lang_definitions` VALUES (6188, 6070, 3, 'Mime Tipo');
INSERT INTO `lang_definitions` VALUES (6189, 6071, 3, 'min');
INSERT INTO `lang_definitions` VALUES (6190, 6072, 3, 'Mínimo');
INSERT INTO `lang_definitions` VALUES (6191, 6077, 3, 'Edad Mínima');
INSERT INTO `lang_definitions` VALUES (6192, 6080, 3, 'Menor tensión conjunta /-Sinovitis');
INSERT INTO `lang_definitions` VALUES (6193, 6082, 3, 'Minuto');
INSERT INTO `lang_definitions` VALUES (6194, 6083, 3, 'Minutos');
INSERT INTO `lang_definitions` VALUES (6195, 6084, 3, 'minutos');
INSERT INTO `lang_definitions` VALUES (6196, 6086, 3, 'Varios');
INSERT INTO `lang_definitions` VALUES (6197, 6087, 3, 'Diversas opciones de facturación');
INSERT INTO `lang_definitions` VALUES (6198, 6088, 3, 'Diversas opciones de facturación para HCFA-1500');
INSERT INTO `lang_definitions` VALUES (6199, 6089, 3, 'Diversas opciones de facturación HCFA');
INSERT INTO `lang_definitions` VALUES (6200, 6090, 3, 'Varios');
INSERT INTO `lang_definitions` VALUES (6201, 6092, 3, 'Faltado');
INSERT INTO `lang_definitions` VALUES (6202, 6093, 3, 'No existe');
INSERT INTO `lang_definitions` VALUES (6203, 6094, 3, 'Falta campo requerido');
INSERT INTO `lang_definitions` VALUES (6204, 6097, 3, 'Falta cuota');
INSERT INTO `lang_definitions` VALUES (6205, 6100, 3, 'Solo modulos faltantes');
INSERT INTO `lang_definitions` VALUES (6206, 6101, 3, 'No existe o Inválido');
INSERT INTO `lang_definitions` VALUES (6207, 6103, 3, 'Falta el PID.');
INSERT INTO `lang_definitions` VALUES (6208, 6104, 3, 'Fecha de reporte falta');
INSERT INTO `lang_definitions` VALUES (6209, 6105, 3, 'Raya vertical que falta después del pagador en la fuente para el código');
INSERT INTO `lang_definitions` VALUES (6210, 6111, 3, 'Mixto');
INSERT INTO `lang_definitions` VALUES (6211, 6113, 3, 'ml');
INSERT INTO `lang_definitions` VALUES (6212, 6114, 3, 'MM/DD/AAAA');
INSERT INTO `lang_definitions` VALUES (6213, 6115, 3, 'mm/hg');
INSERT INTO `lang_definitions` VALUES (6214, 6116, 3, 'mmHg');
INSERT INTO `lang_definitions` VALUES (6215, 6117, 3, 'MMR 1');
INSERT INTO `lang_definitions` VALUES (6216, 6118, 3, 'MMR 2');
INSERT INTO `lang_definitions` VALUES (6217, 6120, 3, 'Móvil');
INSERT INTO `lang_definitions` VALUES (6218, 6121, 3, 'Teléfono Móvil');
INSERT INTO `lang_definitions` VALUES (6219, 6125, 3, 'Mod');
INSERT INTO `lang_definitions` VALUES (6220, 6133, 3, 'Modificador');
INSERT INTO `lang_definitions` VALUES (6221, 6139, 3, 'Modificadores');
INSERT INTO `lang_definitions` VALUES (6222, 6140, 3, 'Modificar');
INSERT INTO `lang_definitions` VALUES (6223, 6143, 3, 'Modificar Pagos');
INSERT INTO `lang_definitions` VALUES (6224, 6145, 3, 'Longitud Modelo');
INSERT INTO `lang_definitions` VALUES (6225, 6153, 3, 'Lun');
INSERT INTO `lang_definitions` VALUES (6226, 6154, 3, 'Lun a Vier');
INSERT INTO `lang_definitions` VALUES (6227, 6155, 3, 'Lunes, miércoles y viernes');
INSERT INTO `lang_definitions` VALUES (6228, 6156, 3, 'Lunes');
INSERT INTO `lang_definitions` VALUES (6229, 6160, 3, 'mes');
INSERT INTO `lang_definitions` VALUES (6230, 6161, 3, 'Mes');
INSERT INTO `lang_definitions` VALUES (6231, 6162, 3, 'Ver Mes');
INSERT INTO `lang_definitions` VALUES (6232, 6163, 3, 'Mes(es)');
INSERT INTO `lang_definitions` VALUES (6233, 6164, 3, 'Ingreso Mensual');
INSERT INTO `lang_definitions` VALUES (6234, 6166, 3, 'Meses');
INSERT INTO `lang_definitions` VALUES (6235, 6179, 3, 'Más de 100 registros encontrados. Por favor, reducir su criterio de búsqueda.');
INSERT INTO `lang_definitions` VALUES (6236, 6180, 3, 'Más de 50 resultados, por favor, hacer su búsqueda más específica.');
INSERT INTO `lang_definitions` VALUES (6237, 6184, 3, 'Puede hacer click en la mayoría de las cabeceras de columna para cambiar el orden');
INSERT INTO `lang_definitions` VALUES (6238, 6186, 3, 'Más reciente desde');
INSERT INTO `lang_definitions` VALUES (6239, 6189, 3, 'Constantes vitales mas recientes desde:');
INSERT INTO `lang_definitions` VALUES (6240, 6190, 3, 'Madre');
INSERT INTO `lang_definitions` VALUES (6241, 6191, 3, 'Nombre de la Madre');
INSERT INTO `lang_definitions` VALUES (6242, 6195, 3, 'Boca');
INSERT INTO `lang_definitions` VALUES (6243, 6196, 3, 'Movimiento');
INSERT INTO `lang_definitions` VALUES (6244, 6197, 3, 'Mueva el documento a la categoría:');
INSERT INTO `lang_definitions` VALUES (6245, 6198, 3, 'Mueve Abajo');
INSERT INTO `lang_definitions` VALUES (6246, 6201, 3, 'Mover al paciente');
INSERT INTO `lang_definitions` VALUES (6247, 6202, 3, 'Mover hacia...');
INSERT INTO `lang_definitions` VALUES (6248, 6203, 3, 'Mover Arriba');
INSERT INTO `lang_definitions` VALUES (6249, 6209, 3, 'Sr.');
INSERT INTO `lang_definitions` VALUES (6250, 6215, 3, 'Sra.');
INSERT INTO `lang_definitions` VALUES (6251, 6217, 3, 'Srta.');
INSERT INTO `lang_definitions` VALUES (6252, 6226, 3, 'Código MSP');
INSERT INTO `lang_definitions` VALUES (6253, 6230, 3, 'Herramienta multi idioma');
INSERT INTO `lang_definitions` VALUES (6254, 6234, 3, 'Múltiples áreas');
INSERT INTO `lang_definitions` VALUES (6255, 6237, 3, 'Lotes Multiples');
INSERT INTO `lang_definitions` VALUES (6256, 6238, 3, 'Múltiples modificadores pueden estar separados por dos puntos o espacios, máximo 4 (M1:M2:M3:M4)');
INSERT INTO `lang_definitions` VALUES (6257, 6242, 3, 'Multirracial');
INSERT INTO `lang_definitions` VALUES (6258, 6243, 3, 'Murmullos:');
INSERT INTO `lang_definitions` VALUES (6259, 6244, 3, 'Dolor de Musc');
INSERT INTO `lang_definitions` VALUES (6260, 6245, 3, 'Dolor muscular');
INSERT INTO `lang_definitions` VALUES (6261, 6246, 3, 'Rojez de Musc');
INSERT INTO `lang_definitions` VALUES (6262, 6247, 3, 'Tiesura de Musc');
INSERT INTO `lang_definitions` VALUES (6263, 6248, 3, 'Inflamación muscular');
INSERT INTO `lang_definitions` VALUES (6264, 6249, 3, 'Musc Caliente');
INSERT INTO `lang_definitions` VALUES (6265, 6250, 3, 'Músculo');
INSERT INTO `lang_definitions` VALUES (6266, 6251, 3, 'Lesiones musculares');
INSERT INTO `lang_definitions` VALUES (6267, 6252, 3, 'Musculoesquelético');
INSERT INTO `lang_definitions` VALUES (6268, 6256, 3, 'Debe estar vacío si la autenticación de SMTP no se usa.');
INSERT INTO `lang_definitions` VALUES (6269, 6259, 3, 'Definido mutuamente');
INSERT INTO `lang_definitions` VALUES (6270, 6260, 3, 'MVA');
INSERT INTO `lang_definitions` VALUES (6271, 6267, 3, 'Yo mismo');
INSERT INTO `lang_definitions` VALUES (6272, 6271, 3, 'No Aplicable');
INSERT INTO `lang_definitions` VALUES (6273, 6272, 3, 'no aplicable');
INSERT INTO `lang_definitions` VALUES (6274, 6274, 3, 'Nombre');
INSERT INTO `lang_definitions` VALUES (6275, 6276, 3, 'Nombre (Selecciona por mas)');
INSERT INTO `lang_definitions` VALUES (6276, 6278, 3, 'Nombre 1');
INSERT INTO `lang_definitions` VALUES (6277, 6279, 3, 'Nombre 2');
INSERT INTO `lang_definitions` VALUES (6278, 6280, 3, 'Nombre y título del administrador de la Vacunación');
INSERT INTO `lang_definitions` VALUES (6279, 6284, 3, 'Nombre de Eventos');
INSERT INTO `lang_definitions` VALUES (6280, 6285, 3, 'Nombre de la Sociedad Médica');
INSERT INTO `lang_definitions` VALUES (6281, 6286, 3, 'Nombre del Facultativo');
INSERT INTO `lang_definitions` VALUES (6282, 6287, 3, 'Nombre del remitente para los recordatorios de paciente.');
INSERT INTO `lang_definitions` VALUES (6283, 6294, 3, 'Nombre de Traducción');
INSERT INTO `lang_definitions` VALUES (6284, 6295, 3, 'Nombre/Valor');
INSERT INTO `lang_definitions` VALUES (6285, 6296, 3, 'Nombre:');
INSERT INTO `lang_definitions` VALUES (6286, 6300, 3, 'NARES:');
INSERT INTO `lang_definitions` VALUES (6287, 6301, 3, 'NARES: Normal Derecho');
INSERT INTO `lang_definitions` VALUES (6288, 6304, 3, 'Mucosa nasal de color rosa, septo de línea media');
INSERT INTO `lang_definitions` VALUES (6289, 6305, 3, 'País Notas');
INSERT INTO `lang_definitions` VALUES (6290, 6308, 3, 'Configurar País Notas');
INSERT INTO `lang_definitions` VALUES (6291, 6310, 3, 'Nacionalidad');
INSERT INTO `lang_definitions` VALUES (6292, 6311, 3, 'PaísNotas');
INSERT INTO `lang_definitions` VALUES (6293, 6313, 3, 'Hawaino nativo u otras Islas del Pacífico');
INSERT INTO `lang_definitions` VALUES (6294, 6319, 3, 'Náuseas');
INSERT INTO `lang_definitions` VALUES (6295, 6322, 3, 'Navegación');
INSERT INTO `lang_definitions` VALUES (6296, 6323, 3, 'Área de navegación incluye formularios de visita');
INSERT INTO `lang_definitions` VALUES (6297, 6324, 3, 'El área de navegación usa la altura completa del marco');
INSERT INTO `lang_definitions` VALUES (6298, 6325, 3, 'Formulario Área Navegación de visita');
INSERT INTO `lang_definitions` VALUES (6299, 6326, 3, 'Ancho del área de navegación');
INSERT INTO `lang_definitions` VALUES (6300, 6328, 3, 'El menú de navegación consiste en pares de botones radiales');
INSERT INTO `lang_definitions` VALUES (6301, 6329, 3, 'El menú de navegación es una vista de árbol');
INSERT INTO `lang_definitions` VALUES (6302, 6330, 3, 'La navegación usa un menú deslizante');
INSERT INTO `lang_definitions` VALUES (6303, 6334, 3, 'NDC');
INSERT INTO `lang_definitions` VALUES (6304, 6335, 3, 'Datos NCD');
INSERT INTO `lang_definitions` VALUES (6305, 6336, 3, 'Número del NDC');
INSERT INTO `lang_definitions` VALUES (6306, 6348, 3, 'Cuello');
INSERT INTO `lang_definitions` VALUES (6307, 6349, 3, 'Problemas de Cuello');
INSERT INTO `lang_definitions` VALUES (6308, 6350, 3, 'Cuello flexible');
INSERT INTO `lang_definitions` VALUES (6309, 6352, 3, 'Necesidad de introducir una descripción');
INSERT INTO `lang_definitions` VALUES (6310, 6353, 3, 'Necesidad de introducir un Valor de Retorno');
INSERT INTO `lang_definitions` VALUES (6311, 6354, 3, 'Necesidad de entrar en el identificador');
INSERT INTO `lang_definitions` VALUES (6312, 6355, 3, 'Necesita introducir título');
INSERT INTO `lang_definitions` VALUES (6313, 6358, 3, 'Requiere autorización');
INSERT INTO `lang_definitions` VALUES (6314, 6359, 3, 'Requiere justificación');
INSERT INTO `lang_definitions` VALUES (6315, 6360, 3, 'Necesita la facturación secundaria');
INSERT INTO `lang_definitions` VALUES (6316, 6361, 3, 'Negativo');
INSERT INTO `lang_definitions` VALUES (6317, 6363, 3, 'Negativos');
INSERT INTO `lang_definitions` VALUES (6318, 6369, 3, 'Lesión del nervio');
INSERT INTO `lang_definitions` VALUES (6319, 6371, 3, 'Condición neural / daño en los nervios');
INSERT INTO `lang_definitions` VALUES (6320, 6373, 3, 'Entumecimiento Neuro');
INSERT INTO `lang_definitions` VALUES (6321, 6374, 3, 'Debilidad Neura');
INSERT INTO `lang_definitions` VALUES (6322, 6377, 3, 'Neurológico');
INSERT INTO `lang_definitions` VALUES (6323, 6381, 3, 'Nunca');
INSERT INTO `lang_definitions` VALUES (6324, 6382, 3, 'No Bebe Alcohol');
INSERT INTO `lang_definitions` VALUES (6325, 6383, 3, 'No Fumador');
INSERT INTO `lang_definitions` VALUES (6326, 6384, 3, 'Nuevo');
INSERT INTO `lang_definitions` VALUES (6327, 6385, 3, 'Nuevo =>');
INSERT INTO `lang_definitions` VALUES (6328, 6386, 3, 'Nuevos aceptadores');
INSERT INTO `lang_definitions` VALUES (6329, 6388, 3, 'Nueva alergia');
INSERT INTO `lang_definitions` VALUES (6330, 6390, 3, 'Cita Nueva');
INSERT INTO `lang_definitions` VALUES (6331, 6391, 3, 'Categoria Nueva');
INSERT INTO `lang_definitions` VALUES (6332, 6392, 3, 'Nueva Categoría');
INSERT INTO `lang_definitions` VALUES (6333, 6393, 3, 'Cliente Nuevo');
INSERT INTO `lang_definitions` VALUES (6334, 6394, 3, 'Nueva consulta');
INSERT INTO `lang_definitions` VALUES (6335, 6395, 3, 'Nuevo cultivo');
INSERT INTO `lang_definitions` VALUES (6336, 6396, 3, 'Nueva definición añadido');
INSERT INTO `lang_definitions` VALUES (6337, 6397, 3, 'Nuevo documento');
INSERT INTO `lang_definitions` VALUES (6338, 6401, 3, 'Nueva visita');
INSERT INTO `lang_definitions` VALUES (6339, 6402, 3, 'Nueva visita creada con id');
INSERT INTO `lang_definitions` VALUES (6340, 6403, 3, 'Formulario Nuevo Encuentro');
INSERT INTO `lang_definitions` VALUES (6341, 6404, 3, 'Nuevas visitas no autorizadas');
INSERT INTO `lang_definitions` VALUES (6342, 6405, 3, 'Nuevos Enctr');
INSERT INTO `lang_definitions` VALUES (6343, 6406, 3, 'Nueva información del Centro');
INSERT INTO `lang_definitions` VALUES (6344, 6410, 3, 'Grupo Nuevo');
INSERT INTO `lang_definitions` VALUES (6345, 6413, 3, 'Nuevo Grupo de Información');
INSERT INTO `lang_definitions` VALUES (6346, 6422, 3, 'Nueva lesión/estado');
INSERT INTO `lang_definitions` VALUES (6347, 6425, 3, 'Nuevo límite de Eventos');
INSERT INTO `lang_definitions` VALUES (6348, 6426, 3, 'Nueva Lista');
INSERT INTO `lang_definitions` VALUES (6349, 6432, 3, 'Nuevos pedidos');
INSERT INTO `lang_definitions` VALUES (6350, 6433, 3, 'Nuevo Párrafo');
INSERT INTO `lang_definitions` VALUES (6351, 6434, 3, 'Nueva Contraseña');
INSERT INTO `lang_definitions` VALUES (6352, 6435, 3, 'Nuevo Paciente');
INSERT INTO `lang_definitions` VALUES (6353, 6436, 3, 'NUEVO PACIENTE');
INSERT INTO `lang_definitions` VALUES (6354, 6437, 3, 'Nueva Visita de Paciente');
INSERT INTO `lang_definitions` VALUES (6355, 6438, 3, 'Formulario de Nuevo Paciente');
INSERT INTO `lang_definitions` VALUES (6356, 6439, 3, 'Nº Identificación de Nuevo Paciente');
INSERT INTO `lang_definitions` VALUES (6357, 6442, 3, 'Nuevo Pago');
INSERT INTO `lang_definitions` VALUES (6358, 6445, 3, 'Nuevos Pt');
INSERT INTO `lang_definitions` VALUES (6359, 6447, 3, 'Nuevos resultados del laboratorio de intercambio');
INSERT INTO `lang_definitions` VALUES (6360, 6448, 3, 'Nueva Busqueda');
INSERT INTO `lang_definitions` VALUES (6361, 6449, 3, 'Nuevas sumisiones');
INSERT INTO `lang_definitions` VALUES (6362, 6451, 3, 'Nuevo Usuario');
INSERT INTO `lang_definitions` VALUES (6363, 6453, 3, 'Nueva visita');
INSERT INTO `lang_definitions` VALUES (6364, 6454, 3, 'Nuevo/búsqueda');
INSERT INTO `lang_definitions` VALUES (6365, 6455, 3, 'Estado de la cuenta NewCrop');
INSERT INTO `lang_definitions` VALUES (6366, 6456, 3, '*Administrador de NewCrop');
INSERT INTO `lang_definitions` VALUES (6367, 6457, 3, 'Llamada fallida a NewCrop');
INSERT INTO `lang_definitions` VALUES (6368, 6458, 3, 'Doctor NewCrop');
INSERT INTO `lang_definitions` VALUES (6369, 6463, 3, 'Nombre Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (6370, 6464, 3, 'Nombre socio Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (6371, 6465, 3, 'Contraseña Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (6372, 6466, 3, 'Rol Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (6373, 6467, 3, 'Rol Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (6374, 6468, 3, 'Sitio Web Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (6375, 6473, 3, 'Sitio Web servicio Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (6376, 6474, 3, 'Gerente NewCrop');
INSERT INTO `lang_definitions` VALUES (6377, 6475, 3, 'NewCrop MedEntry');
INSERT INTO `lang_definitions` VALUES (6378, 6476, 3, 'Médico nivel medio NewCrop');
INSERT INTO `lang_definitions` VALUES (6379, 6477, 3, 'Enfermera NewCrop');
INSERT INTO `lang_definitions` VALUES (6380, 6478, 3, 'Supervisor médico NewCrop');
INSERT INTO `lang_definitions` VALUES (6381, 6481, 3, 'Periódico');
INSERT INTO `lang_definitions` VALUES (6382, 6482, 3, 'Próximo');
INSERT INTO `lang_definitions` VALUES (6383, 6484, 3, 'Próximo Dia');
INSERT INTO `lang_definitions` VALUES (6384, 6485, 3, 'Próximo mes');
INSERT INTO `lang_definitions` VALUES (6385, 6486, 3, 'Proxima semana');
INSERT INTO `lang_definitions` VALUES (6386, 6491, 3, 'Próxima semana');
INSERT INTO `lang_definitions` VALUES (6387, 6492, 3, 'Año siguiente (Presione para el menu');
INSERT INTO `lang_definitions` VALUES (6388, 6494, 3, 'Apodo');
INSERT INTO `lang_definitions` VALUES (6389, 6496, 3, 'Sudores nocturnos');
INSERT INTO `lang_definitions` VALUES (6390, 6498, 3, 'Órganos genitales de la extensión de NL, mucosa de vag, cuello uterino');
INSERT INTO `lang_definitions` VALUES (6391, 6499, 3, 'NO');
INSERT INTO `lang_definitions` VALUES (6392, 6500, 3, 'No');
INSERT INTO `lang_definitions` VALUES (6393, 6502, 3, 'No tienen acceso');
INSERT INTO `lang_definitions` VALUES (6394, 6503, 3, 'Recordatorios de paciente no activos.');
INSERT INTO `lang_definitions` VALUES (6395, 6504, 3, 'No adenopatías (2 áreas requeridas)');
INSERT INTO `lang_definitions` VALUES (6396, 6505, 3, 'Ninguna razón de tipo de ajuste encontrada para');
INSERT INTO `lang_definitions` VALUES (6397, 6506, 3, 'No dolor/masa en anexos');
INSERT INTO `lang_definitions` VALUES (6398, 6509, 3, 'No hay citas');
INSERT INTO `lang_definitions` VALUES (6399, 6515, 3, 'Sistema de facturación no se encuentra activa');
INSERT INTO `lang_definitions` VALUES (6400, 6516, 3, 'No hay facturas encontradas para incluir en Exportación OFX');
INSERT INTO `lang_definitions` VALUES (6401, 6517, 3, 'No se encontraron cuentas para incluir en la exportación de OFX');
INSERT INTO `lang_definitions` VALUES (6402, 6519, 3, 'No se ha especificado el código!');
INSERT INTO `lang_definitions` VALUES (6403, 6523, 3, 'Sin Diagnóstico');
INSERT INTO `lang_definitions` VALUES (6404, 6526, 3, 'No documentos encontrados');
INSERT INTO `lang_definitions` VALUES (6405, 6527, 3, 'No pueden crearse visitas');
INSERT INTO `lang_definitions` VALUES (6406, 6529, 3, 'Sin fecha de finalización');
INSERT INTO `lang_definitions` VALUES (6407, 6530, 3, 'No se encuentran entradas, utilice el formulario que aparece a continuación para agregar una entrada.');
INSERT INTO `lang_definitions` VALUES (6408, 6531, 3, 'errores no encontrados');
INSERT INTO `lang_definitions` VALUES (6409, 6532, 3, 'No hay Eventos');
INSERT INTO `lang_definitions` VALUES (6410, 6534, 3, 'No hay ficheros preparados para la instalación');
INSERT INTO `lang_definitions` VALUES (6411, 6536, 3, 'Ningún grupo fue seleccionado');
INSERT INTO `lang_definitions` VALUES (6412, 6537, 3, 'Ninguna hernia');
INSERT INTO `lang_definitions` VALUES (6413, 6540, 3, 'No lesion/enfermedad');
INSERT INTO `lang_definitions` VALUES (6414, 6541, 3, 'No se encontro ninguna Sociedad Médica');
INSERT INTO `lang_definitions` VALUES (6415, 6544, 3, 'No hay incidencias');
INSERT INTO `lang_definitions` VALUES (6416, 6546, 3, 'No hay artículos bajo la categoría seleccionada');
INSERT INTO `lang_definitions` VALUES (6417, 6547, 3, '¡Ningun artículo fue seleccionado!');
INSERT INTO `lang_definitions` VALUES (6418, 6562, 3, 'No hay fichero de registro para la fecha seleccionada');
INSERT INTO `lang_definitions` VALUES (6419, 6565, 3, 'Sin masas ni sensibilidad');
INSERT INTO `lang_definitions` VALUES (6420, 6566, 3, 'Ningún registro de paciente encontrado para la Re-identificación dada');
INSERT INTO `lang_definitions` VALUES (6421, 6568, 3, 'No hay coincidencias. Intentar buscar de nuevo.');
INSERT INTO `lang_definitions` VALUES (6422, 6569, 3, 'No se han encontrado coincidencias.');
INSERT INTO `lang_definitions` VALUES (6423, 6570, 3, 'No se encontró. ¿Crear el nuevo paciente ahora?');
INSERT INTO `lang_definitions` VALUES (6424, 6571, 3, 'No hay registros coincidentes');
INSERT INTO `lang_definitions` VALUES (6425, 6577, 3, 'No hay nuevos resultados encontrados');
INSERT INTO `lang_definitions` VALUES (6426, 6578, 3, 'Ningunas notas');
INSERT INTO `lang_definitions` VALUES (6427, 6579, 3, 'No hay organomegalia');
INSERT INTO `lang_definitions` VALUES (6428, 6580, 3, 'No se encontraron huecos para este periodo.');
INSERT INTO `lang_definitions` VALUES (6429, 6583, 3, 'No figuran otros números de teléfono');
INSERT INTO `lang_definitions` VALUES (6430, 6585, 3, 'Socios no encontrados');
INSERT INTO `lang_definitions` VALUES (6431, 6586, 3, 'No hay registros de paciente encontrados para el criterio de selección dado');
INSERT INTO `lang_definitions` VALUES (6432, 6587, 3, 'No hay registros de paciente encontrados para el código de Re-identificación dado');
INSERT INTO `lang_definitions` VALUES (6433, 6588, 3, 'Ningún edema periférico');
INSERT INTO `lang_definitions` VALUES (6434, 6589, 3, 'Ninguna Farmacia Encontrada');
INSERT INTO `lang_definitions` VALUES (6435, 6590, 3, 'Ninguna Prescripción Encontrada');
INSERT INTO `lang_definitions` VALUES (6436, 6592, 3, 'Ninguna enfermedad/lesión actuales');
INSERT INTO `lang_definitions` VALUES (6437, 6593, 3, 'Sin entradas anteriores');
INSERT INTO `lang_definitions` VALUES (6438, 6594, 3, 'Ninguna Empresa Primaria seleccionada en la lista del Centro');
INSERT INTO `lang_definitions` VALUES (6439, 6598, 3, 'Ningun Facultativo Encontrado');
INSERT INTO `lang_definitions` VALUES (6440, 6599, 3, 'Ninguna erupción o lesiones anormales');
INSERT INTO `lang_definitions` VALUES (6441, 6602, 3, 'Registros no encontrados');
INSERT INTO `lang_definitions` VALUES (6442, 6604, 3, 'Registros no encontrados. Por favor amplíe sus criterios de búsqueda.');
INSERT INTO `lang_definitions` VALUES (6443, 6607, 3, 'No hay recordatorios');
INSERT INTO `lang_definitions` VALUES (6444, 6608, 3, 'Resultados no encontrados, para los criterios de búsqueda.');
INSERT INTO `lang_definitions` VALUES (6445, 6609, 3, 'Sin resultados');
INSERT INTO `lang_definitions` VALUES (6446, 6612, 3, 'Búsqueda sin resultado');
INSERT INTO `lang_definitions` VALUES (6447, 6613, 3, 'Ningun resultado, por favor intente de nuevo');
INSERT INTO `lang_definitions` VALUES (6448, 6614, 3, 'Sin resultados, por favor intente de nuevo');
INSERT INTO `lang_definitions` VALUES (6449, 6615, 3, 'Sin resultado, por favor intente de nuevo.');
INSERT INTO `lang_definitions` VALUES (6450, 6618, 3, 'Ausente');
INSERT INTO `lang_definitions` VALUES (6451, 6622, 3, 'Ninguna sensibilidad del Seno:');
INSERT INTO `lang_definitions` VALUES (6452, 6623, 3, 'Sin hoyuelos en la piel o nódulos en la mama');
INSERT INTO `lang_definitions` VALUES (6453, 6624, 3, 'NINGÚN NOMBRE DE CONTEXTO');
INSERT INTO `lang_definitions` VALUES (6454, 6626, 3, 'No hay sensibilidad testicular, masas');
INSERT INTO `lang_definitions` VALUES (6455, 6628, 3, 'Ningunas emociones o tirones');
INSERT INTO `lang_definitions` VALUES (6456, 6632, 3, 'No hay visita');
INSERT INTO `lang_definitions` VALUES (6457, 6633, 3, 'Constantes vitales no han sido documentadas.');
INSERT INTO `lang_definitions` VALUES (6458, 6634, 3, 'No, Cancelar');
INSERT INTO `lang_definitions` VALUES (6459, 6635, 3, 'Ningún seguro de defecto incluyendo Auto es principal');
INSERT INTO `lang_definitions` VALUES (6460, 6636, 3, 'No:');
INSERT INTO `lang_definitions` VALUES (6461, 6637, 3, 'Nocturia');
INSERT INTO `lang_definitions` VALUES (6462, 6638, 3, 'No Pagado');
INSERT INTO `lang_definitions` VALUES (6463, 6640, 3, 'Informe No Reportado');
INSERT INTO `lang_definitions` VALUES (6464, 6641, 3, 'Lesión no específica');
INSERT INTO `lang_definitions` VALUES (6465, 6642, 3, 'No-electrónico');
INSERT INTO `lang_definitions` VALUES (6466, 6643, 3, 'Non-insulin dependent diabetes');
INSERT INTO `lang_definitions` VALUES (6467, 6644, 3, 'No asegurado');
INSERT INTO `lang_definitions` VALUES (6468, 6646, 3, 'No-SRH Médico');
INSERT INTO `lang_definitions` VALUES (6469, 6647, 3, 'No-SRH No-Médico');
INSERT INTO `lang_definitions` VALUES (6470, 6648, 3, 'Ninguno');
INSERT INTO `lang_definitions` VALUES (6471, 6649, 3, 'ninguno');
INSERT INTO `lang_definitions` VALUES (6472, 6650, 3, 'No definido');
INSERT INTO `lang_definitions` VALUES (6473, 6652, 3, 'No ha sido documentado');
INSERT INTO `lang_definitions` VALUES (6474, 6653, 3, 'Ninguna de las anteriores');
INSERT INTO `lang_definitions` VALUES (6475, 6654, 3, 'Ninguna de las Filas de Distribución Superior puede estar Completamente en Blanco.');
INSERT INTO `lang_definitions` VALUES (6476, 6683, 3, 'Diabetes no insulino dependiente');
INSERT INTO `lang_definitions` VALUES (6477, 6684, 3, 'No');
INSERT INTO `lang_definitions` VALUES (6478, 6685, 3, 'Normal');
INSERT INTO `lang_definitions` VALUES (6479, 6687, 3, 'Normal BL');
INSERT INTO `lang_definitions` VALUES (6480, 6688, 3, 'Examen Cardiaco Normal:');
INSERT INTO `lang_definitions` VALUES (6481, 6689, 3, 'Examen Cardiaco Normal:');
INSERT INTO `lang_definitions` VALUES (6482, 6690, 3, 'Examen Normal del Pulmón:');
INSERT INTO `lang_definitions` VALUES (6483, 6691, 3, 'Examen Normal del Pulmón:');
INSERT INTO `lang_definitions` VALUES (6484, 6692, 3, 'Visita normal en el Centro');
INSERT INTO `lang_definitions` VALUES (6485, 6693, 3, 'Orofaringe normal:');
INSERT INTO `lang_definitions` VALUES (6486, 6694, 3, 'Derecho Normal');
INSERT INTO `lang_definitions` VALUES (6487, 6695, 3, 'Derecho Normal:');
INSERT INTO `lang_definitions` VALUES (6488, 6696, 3, 'Ver Normal');
INSERT INTO `lang_definitions` VALUES (6489, 6697, 3, 'normal:');
INSERT INTO `lang_definitions` VALUES (6490, 6698, 3, 'Normalmente esto debe ser comprobado. No relacionado con el control de acceso.');
INSERT INTO `lang_definitions` VALUES (6491, 6701, 3, 'Noruego');
INSERT INTO `lang_definitions` VALUES (6492, 6705, 3, 'Nariz');
INSERT INTO `lang_definitions` VALUES (6493, 6706, 3, 'Sangrado por la nariz');
INSERT INTO `lang_definitions` VALUES (6494, 6707, 3, 'No es letra ni úmero');
INSERT INTO `lang_definitions` VALUES (6495, 6710, 3, 'No todos los campos son obligatorios para todos los códigos o tipos de códigos.');
INSERT INTO `lang_definitions` VALUES (6496, 6712, 3, 'No permitido');
INSERT INTO `lang_definitions` VALUES (6497, 6713, 3, 'No pueden eliminar el grupo Administradores');
INSERT INTO `lang_definitions` VALUES (6498, 6714, 3, 'No permitido Editar');
INSERT INTO `lang_definitions` VALUES (6499, 6715, 3, 'No pueden inactivar todos los objetos de seguridad');
INSERT INTO `lang_definitions` VALUES (6500, 6716, 3, 'No permitido hacer inactivo cualquier cosa de los administradores ACL');
INSERT INTO `lang_definitions` VALUES (6501, 6717, 3, 'No pueden eliminar el usuario administrador del grupo Administradores');
INSERT INTO `lang_definitions` VALUES (6502, 6718, 3, 'No permitido eliminar este usuario del grupo de Administradores');
INSERT INTO `lang_definitions` VALUES (6503, 6720, 3, 'No autorizado para tener acceso al módulo de PostCalendar');
INSERT INTO `lang_definitions` VALUES (6504, 6721, 3, 'No Autorizado');
INSERT INTO `lang_definitions` VALUES (6505, 6722, 3, 'No autorizado');
INSERT INTO `lang_definitions` VALUES (6506, 6723, 3, '¡No autorizado para este equipo!');
INSERT INTO `lang_definitions` VALUES (6507, 6724, 3, 'No autorizados para este equipo.');
INSERT INTO `lang_definitions` VALUES (6508, 6729, 3, 'No disponible');
INSERT INTO `lang_definitions` VALUES (6509, 6731, 3, 'No facturado');
INSERT INTO `lang_definitions` VALUES (6510, 6732, 3, 'No Chequeado');
INSERT INTO `lang_definitions` VALUES (6511, 6733, 3, 'No registró salida');
INSERT INTO `lang_definitions` VALUES (6512, 6734, 3, 'No codificado');
INSERT INTO `lang_definitions` VALUES (6513, 6736, 3, 'No Vencido');
INSERT INTO `lang_definitions` VALUES (6514, 6738, 3, 'No examinado');
INSERT INTO `lang_definitions` VALUES (6515, 6739, 3, 'No Examinado:');
INSERT INTO `lang_definitions` VALUES (6516, 6740, 3, 'No Examinado:');
INSERT INTO `lang_definitions` VALUES (6517, 6742, 3, 'No encontrado');
INSERT INTO `lang_definitions` VALUES (6518, 6744, 3, 'No encontrado!');
INSERT INTO `lang_definitions` VALUES (6519, 6745, 3, 'No Hispano o Latino');
INSERT INTO `lang_definitions` VALUES (6520, 6746, 3, 'No instalado');
INSERT INTO `lang_definitions` VALUES (6521, 6751, 3, 'No visto desde');
INSERT INTO `lang_definitions` VALUES (6522, 6753, 3, 'No enviado todavía');
INSERT INTO `lang_definitions` VALUES (6523, 6755, 3, 'Sin Especificar');
INSERT INTO `lang_definitions` VALUES (6524, 6758, 3, 'Nota');
INSERT INTO `lang_definitions` VALUES (6525, 6760, 3, 'Código Notas');
INSERT INTO `lang_definitions` VALUES (6526, 6762, 3, 'Tenga en cuenta que el proceso completo después de hacer click en instalar puede tardar 5-10 minutos');
INSERT INTO `lang_definitions` VALUES (6527, 6763, 3, 'Tenga en cuenta que el proceso completo después de hacer click en actualizar puede tardar 5-10 minutos');
INSERT INTO `lang_definitions` VALUES (6528, 6764, 3, 'Tenga en cuenta que la Auditoría de inicio sesión necesita estar activada arriba');
INSERT INTO `lang_definitions` VALUES (6529, 6771, 3, 'Tipo de Nota');
INSERT INTO `lang_definitions` VALUES (6530, 6772, 3, 'Nota: 12:00 mediodía es PM, no AM');
INSERT INTO `lang_definitions` VALUES (6531, 6773, 3, 'NOTA: Importar datos externos puede tomar más de una hora dependiendo de su configuración hardware. Por ejemplo, una de las tablas de datos RxNorm contiene más de 6 millones de líneas.');
INSERT INTO `lang_definitions` VALUES (6532, 6774, 3, 'NOTA: Solo la versión Bianual Snomed Internacional es actualmente soportada');
INSERT INTO `lang_definitions` VALUES (6533, 6776, 3, 'NOTA: Solo la versión completa mensual de RxNorm es actualmente soportada');
INSERT INTO `lang_definitions` VALUES (6534, 6780, 3, 'Nota: este código no fue ingresado por un usuario autorizado. Sólo los códigos autorizados pueden ser subidos a la Red Abierta de facturación médica para su procesamiento. Si desea cargar estos códigos, por favor, seleccione un usuario autorizado aquí.');
INSERT INTO `lang_definitions` VALUES (6535, 6783, 3, 'Nota: este código no fue por un usuario autorizado. Sólo están autorizados los códigos pueden ser subidos a la Red Abierta de facturación médica para su procesamiento. Si desea cargar estos códigos, por favor, seleccione un usuario autorizado aquí.');
INSERT INTO `lang_definitions` VALUES (6536, 6784, 3, 'NOTA: Adjuntar ficheros con nombres duplicados hará que los ficheros sean automáticamente renombrados. Por ejemplo \' fichero.jpg\' se convertirá \' fichero.jpg.1\'. Los nombres de fichero se consideran únicos por paciente, no por categoría.');
INSERT INTO `lang_definitions` VALUES (6537, 6785, 3, 'Notas');
INSERT INTO `lang_definitions` VALUES (6538, 6788, 3, 'Notas - cualquier visita(escribir, sólo añadir opcional)');
INSERT INTO `lang_definitions` VALUES (6539, 6790, 3, 'Notas - mis visitas(escribir, sólo añadir opcional)');
INSERT INTO `lang_definitions` VALUES (6540, 6793, 3, 'Notas no autorizados');
INSERT INTO `lang_definitions` VALUES (6541, 6796, 3, 'Nada Grabado');
INSERT INTO `lang_definitions` VALUES (6542, 6799, 3, 'Nada que importar para alergia');
INSERT INTO `lang_definitions` VALUES (6543, 6800, 3, 'Nada que importar para receta');
INSERT INTO `lang_definitions` VALUES (6544, 6803, 3, 'Nada que mostrar');
INSERT INTO `lang_definitions` VALUES (6545, 6804, 3, 'Nada fue seleccionado');
INSERT INTO `lang_definitions` VALUES (6546, 6808, 3, 'AVISO:: Sumisión/modificación de PostCalendar');
INSERT INTO `lang_definitions` VALUES (6547, 6809, 3, 'Notificación');
INSERT INTO `lang_definitions` VALUES (6548, 6810, 3, 'Email para Notificación');
INSERT INTO `lang_definitions` VALUES (6549, 6815, 3, 'Notificaciones');
INSERT INTO `lang_definitions` VALUES (6550, 6816, 3, 'Notificar Administrador Acerca del Evento de envío/Modificación?');
INSERT INTO `lang_definitions` VALUES (6551, 6820, 3, 'Nov');
INSERT INTO `lang_definitions` VALUES (6552, 6821, 3, 'Noviembre');
INSERT INTO `lang_definitions` VALUES (6553, 6824, 3, 'Ahora envío para:');
INSERT INTO `lang_definitions` VALUES (6554, 6825, 3, 'Imprimiendo ahora');
INSERT INTO `lang_definitions` VALUES (6555, 6826, 3, 'Ahora impresión $stmt_count declaraciones y actualización de visitas.');
INSERT INTO `lang_definitions` VALUES (6556, 6827, 3, 'Ahora declaraciones de la impresión $stmt_count y facturas de la puesta al día.');
INSERT INTO `lang_definitions` VALUES (6557, 6828, 3, 'Ahora impresión $stmt_count declaraciones;visitas no serán actualizadas.');
INSERT INTO `lang_definitions` VALUES (6558, 6829, 3, 'Ahora declaraciones de la impresión $stmt_count; las facturas no serán actualizadas.');
INSERT INTO `lang_definitions` VALUES (6559, 6834, 3, 'NPI');
INSERT INTO `lang_definitions` VALUES (6560, 6836, 3, 'National Quality Forum');
INSERT INTO `lang_definitions` VALUES (6561, 6837, 3, 'Número');
INSERT INTO `lang_definitions` VALUES (6562, 6838, 3, 'Número laboratorio');
INSERT INTO `lang_definitions` VALUES (6563, 6843, 3, 'Número de columnas en vista/año.');
INSERT INTO `lang_definitions` VALUES (6564, 6850, 3, 'Número de días de validez para el certificado de cliente.');
INSERT INTO `lang_definitions` VALUES (6565, 6852, 3, 'Número de dígitos después del punto decimal, normalmente 0 o 2.');
INSERT INTO `lang_definitions` VALUES (6566, 6853, 3, 'Número de visitas por página');
INSERT INTO `lang_definitions` VALUES (6567, 6855, 3, 'Número de partidas o eventos perdidos, si hay');
INSERT INTO `lang_definitions` VALUES (6568, 6856, 3, 'Número de horas de antelación para enviar notificaciones por email.');
INSERT INTO `lang_definitions` VALUES (6569, 6857, 3, 'Número de horas de antelación para enviar notificaciones por teléfono.');
INSERT INTO `lang_definitions` VALUES (6570, 6858, 3, 'Número de horas de antelación para enviar notificaciones por SMS.');
INSERT INTO `lang_definitions` VALUES (6571, 6862, 3, 'Número de columnas para historia pasada');
INSERT INTO `lang_definitions` VALUES (6572, 6863, 3, 'Número de pacientes que mostrar por página en la lista de pacientes.');
INSERT INTO `lang_definitions` VALUES (6573, 6864, 3, 'Entumecimiento');
INSERT INTO `lang_definitions` VALUES (6574, 6865, 3, 'Numerador');
INSERT INTO `lang_definitions` VALUES (6575, 6866, 3, 'Orden Númerico mostrado');
INSERT INTO `lang_definitions` VALUES (6576, 6869, 3, 'Nutrición');
INSERT INTO `lang_definitions` VALUES (6577, 6871, 3, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (6578, 6872, 3, 'O2 sat');
INSERT INTO `lang_definitions` VALUES (6579, 6874, 3, 'Obesidad I');
INSERT INTO `lang_definitions` VALUES (6580, 6875, 3, 'Obesidad II');
INSERT INTO `lang_definitions` VALUES (6581, 6876, 3, 'Obesidad III');
INSERT INTO `lang_definitions` VALUES (6582, 6877, 3, 'Objetivo');
INSERT INTO `lang_definitions` VALUES (6583, 6886, 3, 'Ocupación');
INSERT INTO `lang_definitions` VALUES (6584, 6889, 3, 'Episodio');
INSERT INTO `lang_definitions` VALUES (6585, 6890, 3, 'Oct');
INSERT INTO `lang_definitions` VALUES (6586, 6891, 3, 'Octubre');
INSERT INTO `lang_definitions` VALUES (6587, 6892, 3, 'OD');
INSERT INTO `lang_definitions` VALUES (6588, 6895, 3, 'de');
INSERT INTO `lang_definitions` VALUES (6589, 6896, 3, 'de la cantidad');
INSERT INTO `lang_definitions` VALUES (6590, 6897, 3, 'de tabletas');
INSERT INTO `lang_definitions` VALUES (6591, 6898, 3, 'de cada mes');
INSERT INTO `lang_definitions` VALUES (6592, 6899, 3, 'Notas de la oficina');
INSERT INTO `lang_definitions` VALUES (6593, 6900, 3, 'Apagado');
INSERT INTO `lang_definitions` VALUES (6594, 6907, 3, 'Notas de la Oficina');
INSERT INTO `lang_definitions` VALUES (6595, 6908, 3, 'Visita en el Centro');
INSERT INTO `lang_definitions` VALUES (6596, 6909, 3, 'Medidas oficiales de calidad clínica (GCC) Grupos de medida');
INSERT INTO `lang_definitions` VALUES (6597, 6910, 3, 'Vínculo https para el Portal Externo del paciente.');
INSERT INTO `lang_definitions` VALUES (6598, 6911, 3, 'Vínculo Https para el Portal del Paciente Externo (Vínculo Paciente)');
INSERT INTO `lang_definitions` VALUES (6599, 6912, 3, 'Contraseña Portal del Paciente Externo');
INSERT INTO `lang_definitions` VALUES (6600, 6913, 3, 'Contraseña Portal del paciente externo (Dejar en blanco si no está registrado)');
INSERT INTO `lang_definitions` VALUES (6601, 6916, 3, 'Sitio Web del Portal del Paciente Externo');
INSERT INTO `lang_definitions` VALUES (6602, 6917, 3, 'Sitio web del Portal del Paciente Externo (Vínculo Paciente)');
INSERT INTO `lang_definitions` VALUES (6603, 6918, 3, 'Usuario del Portal del Paciente Externo');
INSERT INTO `lang_definitions` VALUES (6604, 6919, 3, 'Usuario del Portal del Paciente Externo (Dejar en blanco si no está registrado).');
INSERT INTO `lang_definitions` VALUES (6605, 6921, 3, 'Descendencia');
INSERT INTO `lang_definitions` VALUES (6606, 6925, 3, 'Ungüento');
INSERT INTO `lang_definitions` VALUES (6607, 6927, 3, 'Esta Bien');
INSERT INTO `lang_definitions` VALUES (6608, 6930, 3, 'OK para enlazar la incidencia GCAC fechada');
INSERT INTO `lang_definitions` VALUES (6609, 6931, 3, 'Viejo');
INSERT INTO `lang_definitions` VALUES (6610, 6933, 3, 'Clientes antiguos');
INSERT INTO `lang_definitions` VALUES (6611, 6934, 3, 'Fractura antigua no/malunión');
INSERT INTO `lang_definitions` VALUES (6612, 6935, 3, 'Diseño Estilo antiguo sin menú a la izquierda');
INSERT INTO `lang_definitions` VALUES (6613, 6936, 3, 'Formulario viejo-estilo sin buscar o comprobar duplicados');
INSERT INTO `lang_definitions` VALUES (6614, 6942, 3, 'Omitir información empleador en demográficos del paciente');
INSERT INTO `lang_definitions` VALUES (6615, 6943, 3, 'Omitir Empleador');
INSERT INTO `lang_definitions` VALUES (6616, 6944, 3, 'Forma omitida, vía e intervalo que serán parte de la dosis');
INSERT INTO `lang_definitions` VALUES (6617, 6945, 3, 'Omitir seguro y otras cosas en el formulario de demograficos');
INSERT INTO `lang_definitions` VALUES (6618, 6946, 3, '¿Omitir usuarios internos?');
INSERT INTO `lang_definitions` VALUES (6619, 6947, 3, 'Omitir método de pago para el panel de co-pago');
INSERT INTO `lang_definitions` VALUES (6620, 6948, 3, 'Omitir para firma automatico');
INSERT INTO `lang_definitions` VALUES (6621, 6949, 3, 'En');
INSERT INTO `lang_definitions` VALUES (6622, 6950, 3, 'en');
INSERT INTO `lang_definitions` VALUES (6623, 6956, 3, 'En mano');
INSERT INTO `lang_definitions` VALUES (6624, 6959, 3, 'En Orden');
INSERT INTO `lang_definitions` VALUES (6625, 6960, 3, 'En el sitio');
INSERT INTO `lang_definitions` VALUES (6626, 6975, 3, 'Una vez asignado el Centro para el negocio principal, no deberá ser cambiado. El cambio del Centro afectará al trabajo en NewCrop ePrescription.');
INSERT INTO `lang_definitions` VALUES (6627, 6979, 3, 'Una vez que cambie su contraseña, tendrá que volver a iniciar sesión.');
INSERT INTO `lang_definitions` VALUES (6628, 6996, 3, 'Soporte en línea');
INSERT INTO `lang_definitions` VALUES (6629, 6997, 3, 'Vínculo de soporte online');
INSERT INTO `lang_definitions` VALUES (6630, 6999, 3, 'Sólo activa');
INSERT INTO `lang_definitions` VALUES (6631, 7004, 3, 'sólo si es ubicación de facturación');
INSERT INTO `lang_definitions` VALUES (6632, 7006, 3, 'Sólo inactivo');
INSERT INTO `lang_definitions` VALUES (6633, 7007, 3, 'Sólo mio');
INSERT INTO `lang_definitions` VALUES (6634, 7011, 3, 'Sólo mostrar los Informes de códigos de diagnóstico');
INSERT INTO `lang_definitions` VALUES (6635, 7012, 3, 'Sólo mostrar Código de Servicio de Informes de Códigos de Finanzas');
INSERT INTO `lang_definitions` VALUES (6636, 7013, 3, 'Sólo subir las prescripciones activas');
INSERT INTO `lang_definitions` VALUES (6637, 7017, 3, 'Inicio Enfermedad:');
INSERT INTO `lang_definitions` VALUES (6638, 7018, 3, 'Inicio Enfermedad:');
INSERT INTO `lang_definitions` VALUES (6639, 7019, 3, 'Inicio de Hinchazón:');
INSERT INTO `lang_definitions` VALUES (6640, 7022, 3, 'Fecha de Inicio/hospital.:');
INSERT INTO `lang_definitions` VALUES (6641, 7026, 3, 'Sitio Web del Portal del Paciente Interno');
INSERT INTO `lang_definitions` VALUES (6642, 7030, 3, '¡Uy!');
INSERT INTO `lang_definitions` VALUES (6643, 7031, 3, 'Abrir');
INSERT INTO `lang_definitions` VALUES (6644, 7040, 3, 'Abrir en ventana nueva');
INSERT INTO `lang_definitions` VALUES (6645, 7046, 3, 'Abrir visitas para hoy');
INSERT INTO `lang_definitions` VALUES (6646, 7071, 3, 'OpenEMR ya tiene un Certificado de Autoridad Configurado');
INSERT INTO `lang_definitions` VALUES (6647, 7076, 3, 'Actualización base de datos OpenEMR');
INSERT INTO `lang_definitions` VALUES (6648, 7077, 3, 'Actualización base de datos OpenEMR para De-identificación');
INSERT INTO `lang_definitions` VALUES (6649, 7078, 3, 'OpenEMR no reconoce el archivo de entrada en el directorio contrib. Esto es probablemente porque necesita configurar la versión en la tabla supported_external_dataloads en la base de datos MySQL.');
INSERT INTO `lang_definitions` VALUES (6650, 7080, 3, 'OpenEMR debe configurarse para usar certificado antes de poder crear cliente');
INSERT INTO `lang_definitions` VALUES (6651, 7084, 3, 'OpenEMR requiere Javascript para realizar la autenticación de usuario.');
INSERT INTO `lang_definitions` VALUES (6652, 7085, 3, 'OpenEMR Usuarios');
INSERT INTO `lang_definitions` VALUES (6653, 7086, 3, 'Vacantes');
INSERT INTO `lang_definitions` VALUES (6654, 7092, 3, 'Oftálmico');
INSERT INTO `lang_definitions` VALUES (6655, 7095, 3, 'Opcion');
INSERT INTO `lang_definitions` VALUES (6656, 7097, 3, 'Opción para guardar el método de almacenamiento de documentos.');
INSERT INTO `lang_definitions` VALUES (6657, 7098, 3, 'Opción para soporte de inventario y ventas de productos');
INSERT INTO `lang_definitions` VALUES (6658, 7099, 3, 'Opcional');
INSERT INTO `lang_definitions` VALUES (6659, 7100, 3, 'Nombre de la categoría opcional para una imagen de la tarjeta de identificación que se puede ver desde la página de resumen del paciente.');
INSERT INTO `lang_definitions` VALUES (6660, 7101, 3, 'Nombre de la categoría opcional para una imagen de foto que se puede ver desde la página de resumen del paciente.');
INSERT INTO `lang_definitions` VALUES (6661, 7102, 3, 'Nombre de la categoría opcional de un documento para vincular desde la página de resumen del paciente. Haga click en el nombre del paciente para ver su tarjeta de identificación.');
INSERT INTO `lang_definitions` VALUES (6662, 7103, 3, 'Rango por defecto opcional para la entrada manual de los resultados');
INSERT INTO `lang_definitions` VALUES (6663, 7104, 3, 'Unidades opcionales por defecto para la entrada manual de los resultados');
INSERT INTO `lang_definitions` VALUES (6664, 7105, 3, 'Nombre de destino opcional');
INSERT INTO `lang_definitions` VALUES (6665, 7107, 3, 'Nombre opcional de medicamento, use % como comodín');
INSERT INTO `lang_definitions` VALUES (6666, 7111, 3, 'Información opcional sobre este evento');
INSERT INTO `lang_definitions` VALUES (6667, 7112, 3, 'Opcional número de lote, usar % como un comodin');
INSERT INTO `lang_definitions` VALUES (6668, 7113, 3, 'Nº Identificación Numérico opcional del paciente');
INSERT INTO `lang_definitions` VALUES (6669, 7114, 3, 'Código opcional del procedimiento');
INSERT INTO `lang_definitions` VALUES (6670, 7115, 3, 'Código procedimiento/servicio opcional');
INSERT INTO `lang_definitions` VALUES (6671, 7116, 3, 'Opciones');
INSERT INTO `lang_definitions` VALUES (6672, 7117, 3, 'O');
INSERT INTO `lang_definitions` VALUES (6673, 7118, 3, 'ó');
INSERT INTO `lang_definitions` VALUES (6674, 7119, 3, 'o elija');
INSERT INTO `lang_definitions` VALUES (6675, 7120, 3, 'o Selecciona y arrastrar para selección mas rapida');
INSERT INTO `lang_definitions` VALUES (6676, 7122, 3, 'O hacia fuera a');
INSERT INTO `lang_definitions` VALUES (6677, 7124, 3, 'o Shif-Selecciona para reducirlo');
INSERT INTO `lang_definitions` VALUES (6678, 7125, 3, 'O adjuntar fichero ERA:');
INSERT INTO `lang_definitions` VALUES (6679, 7127, 3, 'Oral');
INSERT INTO `lang_definitions` VALUES (6680, 7128, 3, 'Mucosa oral rosada, garganta clara');
INSERT INTO `lang_definitions` VALUES (6681, 7129, 3, 'Orden');
INSERT INTO `lang_definitions` VALUES (6682, 7131, 3, 'Orden y tipo de resultados');
INSERT INTO `lang_definitions` VALUES (6683, 7132, 3, 'Catálogo de órdenes');
INSERT INTO `lang_definitions` VALUES (6684, 7133, 3, 'Fecha pedido');
INSERT INTO `lang_definitions` VALUES (6685, 7136, 3, 'Formulario de pedido');
INSERT INTO `lang_definitions` VALUES (6686, 7138, 3, 'Orden debe ser un número entre 1 y 999');
INSERT INTO `lang_definitions` VALUES (6687, 7140, 3, 'Nombre pedido');
INSERT INTO `lang_definitions` VALUES (6688, 7142, 3, 'Solicitud Prioridades');
INSERT INTO `lang_definitions` VALUES (6689, 7143, 3, 'Orden de Procesamiento');
INSERT INTO `lang_definitions` VALUES (6690, 7147, 3, 'estatus de la orden');
INSERT INTO `lang_definitions` VALUES (6691, 7150, 3, 'tipo de orden');
INSERT INTO `lang_definitions` VALUES (6692, 7152, 3, 'Tipo de orden/resultado');
INSERT INTO `lang_definitions` VALUES (6693, 7153, 3, 'Ordenado');
INSERT INTO `lang_definitions` VALUES (6694, 7159, 3, 'Profesional que ordeno');
INSERT INTO `lang_definitions` VALUES (6695, 7166, 3, 'Lesión de órganos');
INSERT INTO `lang_definitions` VALUES (6696, 7167, 3, 'Organización');
INSERT INTO `lang_definitions` VALUES (6697, 7168, 3, 'Nombre de organización');
INSERT INTO `lang_definitions` VALUES (6698, 7169, 3, 'Nombre de la unidad organizacional');
INSERT INTO `lang_definitions` VALUES (6699, 7170, 3, 'Organizacións');
INSERT INTO `lang_definitions` VALUES (6700, 7171, 3, 'Orientada x 3');
INSERT INTO `lang_definitions` VALUES (6701, 7175, 3, 'Original');
INSERT INTO `lang_definitions` VALUES (6702, 7181, 3, 'OROFARINGE:');
INSERT INTO `lang_definitions` VALUES (6703, 7184, 3, 'Orthopnea');
INSERT INTO `lang_definitions` VALUES (6704, 7188, 3, 'OS');
INSERT INTO `lang_definitions` VALUES (6705, 7189, 3, 'Osteoartritis');
INSERT INTO `lang_definitions` VALUES (6706, 7193, 3, 'Otro');
INSERT INTO `lang_definitions` VALUES (6707, 7194, 3, 'otro');
INSERT INTO `lang_definitions` VALUES (6708, 7196, 3, 'Otro (especifique)');
INSERT INTO `lang_definitions` VALUES (6709, 7198, 3, 'Otros - especificado');
INSERT INTO `lang_definitions` VALUES (6710, 7201, 3, 'Otro Progama Federal');
INSERT INTO `lang_definitions` VALUES (6711, 7202, 3, 'Otro HCFA');
INSERT INTO `lang_definitions` VALUES (6712, 7203, 3, 'Otra lesión en otra parte especificada');
INSERT INTO `lang_definitions` VALUES (6713, 7204, 3, 'Otro Seguro de Responsabilidad Civil es Primario');
INSERT INTO `lang_definitions` VALUES (6714, 7206, 3, 'Otro mes');
INSERT INTO `lang_definitions` VALUES (6715, 7207, 3, 'Otros programas No-Federales');
INSERT INTO `lang_definitions` VALUES (6716, 7208, 3, 'Otras Notas');
INSERT INTO `lang_definitions` VALUES (6717, 7209, 3, 'Otros síntomas pertinentes');
INSERT INTO `lang_definitions` VALUES (6718, 7210, 3, 'Otros síntomas pertinentes:');
INSERT INTO `lang_definitions` VALUES (6719, 7213, 3, 'Otra respuesta del paciente');
INSERT INTO `lang_definitions` VALUES (6720, 7215, 3, 'Otros tipos de estrés/lesión uso en');
INSERT INTO `lang_definitions` VALUES (6721, 7216, 3, 'Otro Quirúrgico');
INSERT INTO `lang_definitions` VALUES (6722, 7217, 3, 'Otro/Genérico relacionado con Aborto');
INSERT INTO `lang_definitions` VALUES (6723, 7219, 3, 'Otros');
INSERT INTO `lang_definitions` VALUES (6724, 7221, 3, 'De otra forma usted destruirá las referencias a/de los datos existentes');
INSERT INTO `lang_definitions` VALUES (6725, 7224, 3, 'Reglas de tobillo de Ottawa');
INSERT INTO `lang_definitions` VALUES (6726, 7225, 3, 'OU');
INSERT INTO `lang_definitions` VALUES (6727, 7227, 3, 'SALIDA');
INSERT INTO `lang_definitions` VALUES (6728, 7228, 3, 'Salida');
INSERT INTO `lang_definitions` VALUES (6729, 7230, 3, 'Derivación de salida');
INSERT INTO `lang_definitions` VALUES (6730, 7231, 3, 'Resultado');
INSERT INTO `lang_definitions` VALUES (6731, 7234, 3, 'Outlook');
INSERT INTO `lang_definitions` VALUES (6732, 7240, 3, 'VENCIDO');
INSERT INTO `lang_definitions` VALUES (6733, 7244, 3, 'Sobreuso');
INSERT INTO `lang_definitions` VALUES (6734, 7245, 3, 'Información General');
INSERT INTO `lang_definitions` VALUES (6735, 7246, 3, 'Sobrepeso');
INSERT INTO `lang_definitions` VALUES (6736, 7247, 3, 'Sobrescribir la elección HIPAA');
INSERT INTO `lang_definitions` VALUES (6737, 7249, 3, 'Saturación del Oxígeno');
INSERT INTO `lang_definitions` VALUES (6738, 7251, 3, 'P');
INSERT INTO `lang_definitions` VALUES (6739, 7252, 3, 'p.c.');
INSERT INTO `lang_definitions` VALUES (6740, 7253, 3, 'p.m.');
INSERT INTO `lang_definitions` VALUES (6741, 7254, 3, 'p.r.n.');
INSERT INTO `lang_definitions` VALUES (6742, 7258, 3, 'Isleño del Pacifico');
INSERT INTO `lang_definitions` VALUES (6743, 7259, 3, 'Paedeatric');
INSERT INTO `lang_definitions` VALUES (6744, 7260, 3, 'Página');
INSERT INTO `lang_definitions` VALUES (6745, 7263, 3, 'Páginas');
INSERT INTO `lang_definitions` VALUES (6746, 7264, 3, 'Pago');
INSERT INTO `lang_definitions` VALUES (6747, 7265, 3, 'Cantidad pagada que usted asignará');
INSERT INTO `lang_definitions` VALUES (6748, 7266, 3, 'Importe pagado');
INSERT INTO `lang_definitions` VALUES (6749, 7267, 3, 'Pagado Via');
INSERT INTO `lang_definitions` VALUES (6750, 7268, 3, 'Dolor');
INSERT INTO `lang_definitions` VALUES (6751, 7271, 3, 'Palpitaciones');
INSERT INTO `lang_definitions` VALUES (6752, 7275, 3, 'Prueba de Papanicolaou');
INSERT INTO `lang_definitions` VALUES (6753, 7276, 3, 'Papel');
INSERT INTO `lang_definitions` VALUES (6754, 7277, 3, 'Tamaño papel');
INSERT INTO `lang_definitions` VALUES (6755, 7278, 3, 'Parálisis');
INSERT INTO `lang_definitions` VALUES (6756, 7284, 3, 'Analizar HL7');
INSERT INTO `lang_definitions` VALUES (6757, 7289, 3, 'Socio');
INSERT INTO `lang_definitions` VALUES (6758, 7290, 3, 'Nombre Socio');
INSERT INTO `lang_definitions` VALUES (6759, 7294, 3, 'Frase Contraseña');
INSERT INTO `lang_definitions` VALUES (6760, 7295, 3, 'Frase Contraseña para desencriptar documento');
INSERT INTO `lang_definitions` VALUES (6761, 7296, 3, 'Pacientes pasados');
INSERT INTO `lang_definitions` VALUES (6762, 7297, 3, 'Alerta Pasiva');
INSERT INTO `lang_definitions` VALUES (6763, 7299, 3, 'Reglas de Alerta Pasiva');
INSERT INTO `lang_definitions` VALUES (6764, 7301, 3, 'Contraseña');
INSERT INTO `lang_definitions` VALUES (6765, 7302, 3, 'Cambio de la contraseña');
INSERT INTO `lang_definitions` VALUES (6766, 7304, 3, 'Cambio de contraseña con éxito.');
INSERT INTO `lang_definitions` VALUES (6767, 7308, 3, 'Periodo de Gracia de Expiración de Contraseña');
INSERT INTO `lang_definitions` VALUES (6768, 7310, 3, 'Contraseña para puerta de enlace telefónico. Servicio automático de VOIP desarrollado por Maviq. Por favor visite http://signup.maviq.com para más información.');
INSERT INTO `lang_definitions` VALUES (6769, 7311, 3, 'Contraseña para puerta de enlace SMS.');
INSERT INTO `lang_definitions` VALUES (6770, 7312, 3, 'Contraseña para puerta de enlace SMS.');
INSERT INTO `lang_definitions` VALUES (6771, 7314, 3, 'Contraseña de seguridad ha sido recientemente actualizada.');
INSERT INTO `lang_definitions` VALUES (6772, 7315, 3, 'Contraseña para conectar a CouchDB');
INSERT INTO `lang_definitions` VALUES (6773, 7319, 3, 'Contraseña');
INSERT INTO `lang_definitions` VALUES (6774, 7329, 3, 'Vencimiento');
INSERT INTO `lang_definitions` VALUES (6775, 7330, 3, 'Vencimiento');
INSERT INTO `lang_definitions` VALUES (6776, 7331, 3, 'Intervalo Vencido (Recordatorios clínicos)');
INSERT INTO `lang_definitions` VALUES (6777, 7332, 3, 'Intervalo Vencido (Recordatorios Paciente)');
INSERT INTO `lang_definitions` VALUES (6778, 7333, 3, 'Lista de visitas anteriores');
INSERT INTO `lang_definitions` VALUES (6779, 7334, 3, 'Anteriores visitas');
INSERT INTO `lang_definitions` VALUES (6780, 7335, 3, 'Anteriores visitas y Documentos');
INSERT INTO `lang_definitions` VALUES (6781, 7336, 3, 'Anteriores visitas de');
INSERT INTO `lang_definitions` VALUES (6782, 7344, 3, 'Pegar datos HL7');
INSERT INTO `lang_definitions` VALUES (6783, 7345, 3, 'Pegar los datos de importación en el área de texto a continuación:');
INSERT INTO `lang_definitions` VALUES (6784, 7346, 3, 'Paciente');
INSERT INTO `lang_definitions` VALUES (6785, 7348, 3, 'Parche');
INSERT INTO `lang_definitions` VALUES (6786, 7355, 3, 'Ruta de backup del log de eventos');
INSERT INTO `lang_definitions` VALUES (6787, 7356, 3, 'Ruta del fichero de certificado CA');
INSERT INTO `lang_definitions` VALUES (6788, 7357, 3, 'Ruta del fichero clave CA');
INSERT INTO `lang_definitions` VALUES (6789, 7358, 3, 'Ruta de ficheros binarios MySQL');
INSERT INTO `lang_definitions` VALUES (6790, 7359, 3, 'Ruta de ficheros binarios Perl');
INSERT INTO `lang_definitions` VALUES (6791, 7360, 3, 'Ruta de los ficheros temporales');
INSERT INTO `lang_definitions` VALUES (6792, 7361, 3, 'Paciente');
INSERT INTO `lang_definitions` VALUES (6793, 7362, 3, 'PACIENTE');
INSERT INTO `lang_definitions` VALUES (6794, 7363, 3, 'paciente');
INSERT INTO `lang_definitions` VALUES (6795, 7365, 3, 'Dirección del paciente');
INSERT INTO `lang_definitions` VALUES (6796, 7366, 3, 'Falta la dirección del paciente');
INSERT INTO `lang_definitions` VALUES (6797, 7369, 3, 'Alergias del Paciente');
INSERT INTO `lang_definitions` VALUES (6798, 7370, 3, 'Alergias del Paciente');
INSERT INTO `lang_definitions` VALUES (6799, 7373, 3, 'Cita del Paciente');
INSERT INTO `lang_definitions` VALUES (6800, 7374, 3, 'Balance de paciente');
INSERT INTO `lang_definitions` VALUES (6801, 7379, 3, 'Nº Identificación del gráfico del paciente');
INSERT INTO `lang_definitions` VALUES (6802, 7381, 3, 'Comprobación de paciente');
INSERT INTO `lang_definitions` VALUES (6803, 7382, 3, 'Comprobación de paciente para');
INSERT INTO `lang_definitions` VALUES (6804, 7383, 3, 'Ciudad del Paciente');
INSERT INTO `lang_definitions` VALUES (6805, 7384, 3, 'Falta la ciudad del paciente');
INSERT INTO `lang_definitions` VALUES (6806, 7386, 3, 'Comunicación Enviada al Paciente');
INSERT INTO `lang_definitions` VALUES (6807, 7387, 3, 'Comunicación Enviada al Paciente');
INSERT INTO `lang_definitions` VALUES (6808, 7388, 3, 'Pais del Paciente');
INSERT INTO `lang_definitions` VALUES (6809, 7389, 3, 'Falta la ciudad del paciente. Tampoco ha configurado la ciudad del paciente por defecto en la configuración global');
INSERT INTO `lang_definitions` VALUES (6810, 7390, 3, 'Cobertura de paciente');
INSERT INTO `lang_definitions` VALUES (6811, 7394, 3, 'Datos del Paciente');
INSERT INTO `lang_definitions` VALUES (6812, 7396, 3, 'Falta la F.Nacimiento del paciente');
INSERT INTO `lang_definitions` VALUES (6813, 7401, 3, 'Detalles del Paciente');
INSERT INTO `lang_definitions` VALUES (6814, 7402, 3, 'F.Nacimiento del Paciente');
INSERT INTO `lang_definitions` VALUES (6815, 7404, 3, 'Documentos del Paciente');
INSERT INTO `lang_definitions` VALUES (6816, 7410, 3, 'Material Educativo para el Paciente');
INSERT INTO `lang_definitions` VALUES (6817, 7411, 3, 'Materiales educativos para pacientes');
INSERT INTO `lang_definitions` VALUES (6818, 7412, 3, 'Visitas del Paciente');
INSERT INTO `lang_definitions` VALUES (6819, 7413, 3, 'Formulario de visitas del Paciente');
INSERT INTO `lang_definitions` VALUES (6820, 7414, 3, 'Visitas de Pacientes');
INSERT INTO `lang_definitions` VALUES (6821, 7415, 3, 'Buscador de paciente');
INSERT INTO `lang_definitions` VALUES (6822, 7417, 3, 'Nombre del Paciente');
INSERT INTO `lang_definitions` VALUES (6823, 7419, 3, 'Falta el nombre del paciente');
INSERT INTO `lang_definitions` VALUES (6824, 7424, 3, 'Género del Paciente');
INSERT INTO `lang_definitions` VALUES (6825, 7425, 3, 'Falta el género del paciente');
INSERT INTO `lang_definitions` VALUES (6826, 7426, 3, 'Paciente no autorizado al Portal del paciente');
INSERT INTO `lang_definitions` VALUES (6827, 7428, 3, 'Historia del Paciente');
INSERT INTO `lang_definitions` VALUES (6828, 7429, 3, 'Historia del Paciente/Estilo de Vida');
INSERT INTO `lang_definitions` VALUES (6829, 7430, 3, 'Teléfono Casa del Paciente');
INSERT INTO `lang_definitions` VALUES (6830, 7431, 3, 'ID Paciente');
INSERT INTO `lang_definitions` VALUES (6831, 7432, 3, 'Nº Identificación del Paciente');
INSERT INTO `lang_definitions` VALUES (6832, 7433, 3, 'Nº Identificación Tarjeta del Paciente');
INSERT INTO `lang_definitions` VALUES (6833, 7434, 3, 'Nombre categoría ID paciente');
INSERT INTO `lang_definitions` VALUES (6834, 7437, 3, 'Vacunación del paciente');
INSERT INTO `lang_definitions` VALUES (6835, 7438, 3, 'Información del Paciente');
INSERT INTO `lang_definitions` VALUES (6836, 7440, 3, 'Instrucciones al paciente');
INSERT INTO `lang_definitions` VALUES (6837, 7441, 3, 'Distribución de pacientes Asegurados');
INSERT INTO `lang_definitions` VALUES (6838, 7442, 3, 'Informe de distribución de pacientes asegurados');
INSERT INTO `lang_definitions` VALUES (6839, 7445, 3, 'Incidencias del Paciente');
INSERT INTO `lang_definitions` VALUES (6840, 7447, 3, 'Apellido(s)del Paciente');
INSERT INTO `lang_definitions` VALUES (6841, 7449, 3, 'Falta el apellido del paciente');
INSERT INTO `lang_definitions` VALUES (6842, 7454, 3, 'Lista de Pacientes');
INSERT INTO `lang_definitions` VALUES (6843, 7455, 3, 'Columnas Lista de Pacientes');
INSERT INTO `lang_definitions` VALUES (6844, 7457, 3, 'Nuevas ventanas Lista de Pacientes');
INSERT INTO `lang_definitions` VALUES (6845, 7458, 3, 'Tamaño página Lista de Pacientes');
INSERT INTO `lang_definitions` VALUES (6846, 7460, 3, 'Errores de búsqueda de pacientes');
INSERT INTO `lang_definitions` VALUES (6847, 7463, 3, 'Problemas Médicos del Paciente');
INSERT INTO `lang_definitions` VALUES (6848, 7464, 3, 'Medicamentos del Paciente');
INSERT INTO `lang_definitions` VALUES (6849, 7470, 3, 'Nombre del Paciente');
INSERT INTO `lang_definitions` VALUES (6850, 7472, 3, 'Nombre y Dirección del Paciente');
INSERT INTO `lang_definitions` VALUES (6851, 7475, 3, 'Nombre de Paciente Requerido');
INSERT INTO `lang_definitions` VALUES (6852, 7477, 3, 'Nota del paciente');
INSERT INTO `lang_definitions` VALUES (6853, 7478, 3, 'Nota de tipos de pacientes');
INSERT INTO `lang_definitions` VALUES (6854, 7479, 3, 'Notas del Paciente');
INSERT INTO `lang_definitions` VALUES (6855, 7480, 3, 'Notas del paciente (escribir, sólo añadir opcional)');
INSERT INTO `lang_definitions` VALUES (6856, 7482, 3, 'Número del Paciente');
INSERT INTO `lang_definitions` VALUES (6857, 7483, 3, 'Pago del paciente');
INSERT INTO `lang_definitions` VALUES (6858, 7485, 3, 'Nombre de Categoría de Foto del Paciente');
INSERT INTO `lang_definitions` VALUES (6859, 7487, 3, 'Portal del Paciente');
INSERT INTO `lang_definitions` VALUES (6860, 7492, 3, 'Portal del Paciente está apagado');
INSERT INTO `lang_definitions` VALUES (6861, 7493, 3, 'Inicio sesión Portal del Paciente');
INSERT INTO `lang_definitions` VALUES (6862, 7496, 3, 'Sitio web del Portal del Paciente');
INSERT INTO `lang_definitions` VALUES (6863, 7497, 3, 'Informe Impreso del Paciente');
INSERT INTO `lang_definitions` VALUES (6864, 7499, 3, 'Informe de registro del paciente');
INSERT INTO `lang_definitions` VALUES (6865, 7500, 3, 'Solicitud Registro de Paciente');
INSERT INTO `lang_definitions` VALUES (6866, 7501, 3, 'Solicitud Registros de Pacientes');
INSERT INTO `lang_definitions` VALUES (6867, 7503, 3, 'Recordatorios del paciente');
INSERT INTO `lang_definitions` VALUES (6868, 7505, 3, 'Batch Recordatorio del Paciente');
INSERT INTO `lang_definitions` VALUES (6869, 7507, 3, 'Reglas Recordatorio del Paciente');
INSERT INTO `lang_definitions` VALUES (6870, 7508, 3, 'email Remitente de Recordatorio del Paciente');
INSERT INTO `lang_definitions` VALUES (6871, 7509, 3, 'Nombre Remitente de Recordatorio del Paciente');
INSERT INTO `lang_definitions` VALUES (6872, 7510, 3, 'Recordatorios del Paciente');
INSERT INTO `lang_definitions` VALUES (6873, 7514, 3, 'Inforne del Paciente');
INSERT INTO `lang_definitions` VALUES (6874, 7518, 3, 'Solicitud del Paciente');
INSERT INTO `lang_definitions` VALUES (6875, 7519, 3, 'Paciente solicitó Registros Médicos');
INSERT INTO `lang_definitions` VALUES (6876, 7521, 3, 'Resultados del paciente');
INSERT INTO `lang_definitions` VALUES (6877, 7525, 3, 'Resultados de búsqueda de estilo de paciente');
INSERT INTO `lang_definitions` VALUES (6878, 7526, 3, 'Pantalla Buscar/añadir paciente');
INSERT INTO `lang_definitions` VALUES (6879, 7528, 3, 'Ajustes paciente');
INSERT INTO `lang_definitions` VALUES (6880, 7533, 3, 'Estado paciente');
INSERT INTO `lang_definitions` VALUES (6881, 7539, 3, 'Resumen del Paciente');
INSERT INTO `lang_definitions` VALUES (6882, 7542, 3, 'Transacciones del Pacientes');
INSERT INTO `lang_definitions` VALUES (6883, 7546, 3, 'Código Postal paciente');
INSERT INTO `lang_definitions` VALUES (6884, 7549, 3, 'Paciente(s) en la BBDD que coinciden con la información demográfica que usted ha ingresado.');
INSERT INTO `lang_definitions` VALUES (6885, 7550, 3, 'Paciente/Cliente');
INSERT INTO `lang_definitions` VALUES (6886, 7551, 3, 'Paciente:');
INSERT INTO `lang_definitions` VALUES (6887, 7552, 3, 'PacienteID');
INSERT INTO `lang_definitions` VALUES (6888, 7553, 3, 'Pacientes');
INSERT INTO `lang_definitions` VALUES (6889, 7559, 3, 'Pago');
INSERT INTO `lang_definitions` VALUES (6890, 7560, 3, 'Preste atención a la -Hecho con- casillas de verificación. Después de los seguros están marcados completa luego empezaremos a pedir a la paciente a pagar el saldo restante, si usted no marca la totalidad de los seguros luego completar la cantidad restante no serán recogidos! También si hay un equilibrio que el paciente debe pagar, a continuación, establezca la fecha apropiada, ya que esto afecta a la lengua que aparece en las declaraciones del paciente.');
INSERT INTO `lang_definitions` VALUES (6891, 7563, 3, 'Fecha de Pago:');
INSERT INTO `lang_definitions` VALUES (6892, 7566, 3, 'Estado de Pago');
INSERT INTO `lang_definitions` VALUES (6893, 7567, 3, 'Nombre del beneficiario');
INSERT INTO `lang_definitions` VALUES (6894, 7568, 3, 'Pagador');
INSERT INTO `lang_definitions` VALUES (6895, 7572, 3, 'Tipo Pagador');
INSERT INTO `lang_definitions` VALUES (6896, 7573, 3, 'Pagar');
INSERT INTO `lang_definitions` VALUES (6897, 7574, 3, 'Entidad pagadora');
INSERT INTO `lang_definitions` VALUES (6898, 7575, 3, 'Pago');
INSERT INTO `lang_definitions` VALUES (6899, 7576, 3, 'pago');
INSERT INTO `lang_definitions` VALUES (6900, 7577, 3, 'Código ajuste pago');
INSERT INTO `lang_definitions` VALUES (6901, 7578, 3, 'Pago contra');
INSERT INTO `lang_definitions` VALUES (6902, 7579, 3, 'Imnporte pago');
INSERT INTO `lang_definitions` VALUES (6903, 7580, 3, 'Importe pago debe ser numérico');
INSERT INTO `lang_definitions` VALUES (6904, 7581, 3, 'Categoría pago');
INSERT INTO `lang_definitions` VALUES (6905, 7583, 3, 'Fecha de Pago');
INSERT INTO `lang_definitions` VALUES (6906, 7584, 3, 'pago ingresado el');
INSERT INTO `lang_definitions` VALUES (6907, 7585, 3, 'Pago desde');
INSERT INTO `lang_definitions` VALUES (6908, 7586, 3, 'Pasarela de pagos');
INSERT INTO `lang_definitions` VALUES (6909, 7588, 3, 'Imputar pagos');
INSERT INTO `lang_definitions` VALUES (6910, 7589, 3, 'Lista de pagos');
INSERT INTO `lang_definitions` VALUES (6911, 7590, 3, 'Método de Pago');
INSERT INTO `lang_definitions` VALUES (6912, 7592, 3, 'Ordenar pagos por');
INSERT INTO `lang_definitions` VALUES (6913, 7593, 3, 'Estado pagos');
INSERT INTO `lang_definitions` VALUES (6914, 7597, 3, 'Tipo pagos');
INSERT INTO `lang_definitions` VALUES (6915, 7600, 3, 'Valor de pago para el código');
INSERT INTO `lang_definitions` VALUES (6916, 7602, 3, 'Pagos');
INSERT INTO `lang_definitions` VALUES (6917, 7606, 3, 'PCP');
INSERT INTO `lang_definitions` VALUES (6918, 7610, 3, 'PDF');
INSERT INTO `lang_definitions` VALUES (6919, 7614, 3, 'Descargar PDF de seleccionados');
INSERT INTO `lang_definitions` VALUES (6920, 7615, 3, 'Lenguaje del PDF');
INSERT INTO `lang_definitions` VALUES (6921, 7620, 3, 'Pelvis y nalga');
INSERT INTO `lang_definitions` VALUES (6922, 7621, 3, 'Pénfigo');
INSERT INTO `lang_definitions` VALUES (6923, 7622, 3, 'Lápiz');
INSERT INTO `lang_definitions` VALUES (6924, 7623, 3, 'Pend');
INSERT INTO `lang_definitions` VALUES (6925, 7624, 3, 'Pendiente');
INSERT INTO `lang_definitions` VALUES (6926, 7626, 3, 'Aprobación Pendiente');
INSERT INTO `lang_definitions` VALUES (6927, 7629, 3, 'Pendiente F/U');
INSERT INTO `lang_definitions` VALUES (6928, 7630, 3, 'Seguimento Pendiente');
INSERT INTO `lang_definitions` VALUES (6929, 7631, 3, 'Seguimiento de resultados pendientes');
INSERT INTO `lang_definitions` VALUES (6930, 7632, 3, 'Ordenes pendientes');
INSERT INTO `lang_definitions` VALUES (6931, 7633, 3, 'Ordenes pendientes');
INSERT INTO `lang_definitions` VALUES (6932, 7634, 3, 'Revisión Pendientes');
INSERT INTO `lang_definitions` VALUES (6933, 7635, 3, 'Contador Recetas pendientes');
INSERT INTO `lang_definitions` VALUES (6934, 7637, 3, 'Alergia a penicilina');
INSERT INTO `lang_definitions` VALUES (6935, 7638, 3, 'Pennington firme OpenEMR v');
INSERT INTO `lang_definitions` VALUES (6936, 7639, 3, 'La úlcera péptica');
INSERT INTO `lang_definitions` VALUES (6937, 7640, 3, 'Por Encuentro');
INSERT INTO `lang_definitions` VALUES (6938, 7641, 3, 'por minuto');
INSERT INTO `lang_definitions` VALUES (6939, 7642, 3, 'Por las fosas nasales');
INSERT INTO `lang_definitions` VALUES (6940, 7643, 3, 'por las fosas nasales');
INSERT INTO `lang_definitions` VALUES (6941, 7644, 3, 'Por Oris');
INSERT INTO `lang_definitions` VALUES (6942, 7645, 3, 'por oris');
INSERT INTO `lang_definitions` VALUES (6943, 7646, 3, 'Por Recto');
INSERT INTO `lang_definitions` VALUES (6944, 7647, 3, 'por recto');
INSERT INTO `lang_definitions` VALUES (6945, 7648, 3, 'Porcentaje');
INSERT INTO `lang_definitions` VALUES (6946, 7650, 3, 'Porcentaje de Pacientes a Probar Medicamento');
INSERT INTO `lang_definitions` VALUES (6947, 7652, 3, 'Percentil');
INSERT INTO `lang_definitions` VALUES (6948, 7653, 3, 'Derecho Perforado:');
INSERT INTO `lang_definitions` VALUES (6949, 7654, 3, 'Realizar la búsqueda');
INSERT INTO `lang_definitions` VALUES (6950, 7655, 3, 'Realizar esta acción');
INSERT INTO `lang_definitions` VALUES (6951, 7656, 3, 'Porcentaje Rendimiento');
INSERT INTO `lang_definitions` VALUES (6952, 7657, 3, 'realizado');
INSERT INTO `lang_definitions` VALUES (6953, 7658, 3, 'ejecutante');
INSERT INTO `lang_definitions` VALUES (6954, 7659, 3, 'Realización Laboratorio del Centro');
INSERT INTO `lang_definitions` VALUES (6955, 7661, 3, 'Periodo');
INSERT INTO `lang_definitions` VALUES (6956, 7662, 3, 'Periodo en días donde un usuario puede iniciar sesión con una contraseña caducada.');
INSERT INTO `lang_definitions` VALUES (6957, 7663, 3, 'Cuidados perioperatorios');
INSERT INTO `lang_definitions` VALUES (6958, 7665, 3, 'Periférico');
INSERT INTO `lang_definitions` VALUES (6959, 7669, 3, 'Persa');
INSERT INTO `lang_definitions` VALUES (6960, 7670, 3, 'Persa (Farsi)');
INSERT INTO `lang_definitions` VALUES (6961, 7671, 3, 'Persona');
INSERT INTO `lang_definitions` VALUES (6962, 7672, 3, 'Personalizar');
INSERT INTO `lang_definitions` VALUES (6963, 7675, 3, 'PG');
INSERT INTO `lang_definitions` VALUES (6964, 7676, 3, 'Farmacia');
INSERT INTO `lang_definitions` VALUES (6965, 7677, 3, 'Pharm Com Count');
INSERT INTO `lang_definitions` VALUES (6966, 7678, 3, 'Farmacias');
INSERT INTO `lang_definitions` VALUES (6967, 7680, 3, 'Farmacia');
INSERT INTO `lang_definitions` VALUES (6968, 7681, 3, 'Dispensario de la Farmacia');
INSERT INTO `lang_definitions` VALUES (6969, 7688, 3, 'Neumotorax');
INSERT INTO `lang_definitions` VALUES (6970, 7697, 3, 'Teléfono');
INSERT INTO `lang_definitions` VALUES (6971, 7699, 3, 'Lista de llamadas de teléfono');
INSERT INTO `lang_definitions` VALUES (6972, 7701, 3, 'Informe Lista de llamadas');
INSERT INTO `lang_definitions` VALUES (6973, 7703, 3, 'Célula de Teléfono');
INSERT INTO `lang_definitions` VALUES (6974, 7705, 3, 'Contraseña de la puerta de enlace telefónico');
INSERT INTO `lang_definitions` VALUES (6975, 7706, 3, 'URL de la puerta de enlace telefónico');
INSERT INTO `lang_definitions` VALUES (6976, 7707, 3, 'Usuario puerta de enlace telefónico');
INSERT INTO `lang_definitions` VALUES (6977, 7708, 3, 'Teléfono de Casa');
INSERT INTO `lang_definitions` VALUES (6978, 7709, 3, 'Hora notificación teléfono');
INSERT INTO `lang_definitions` VALUES (6979, 7710, 3, 'Número de teléfono');
INSERT INTO `lang_definitions` VALUES (6980, 7711, 3, 'Número de teléfono');
INSERT INTO `lang_definitions` VALUES (6981, 7712, 3, 'Número de teléfono para consultas de facturación');
INSERT INTO `lang_definitions` VALUES (6982, 7713, 3, 'Número de teléfono de Soporte de Fabricante que aparece en la página de \"Acerca de\"');
INSERT INTO `lang_definitions` VALUES (6983, 7715, 3, 'Fotofobia');
INSERT INTO `lang_definitions` VALUES (6984, 7716, 3, 'Fotografías');
INSERT INTO `lang_definitions` VALUES (6985, 7717, 3, 'PHP comprimida');
INSERT INTO `lang_definitions` VALUES (6986, 7718, 3, 'Módulo PHP CURL debe estar activado en su servidor.');
INSERT INTO `lang_definitions` VALUES (6987, 7720, 3, 'Extraído de PHP');
INSERT INTO `lang_definitions` VALUES (6988, 7721, 3, 'controles de acceso de PHP-GACL están desactivados.');
INSERT INTO `lang_definitions` VALUES (6989, 7722, 3, 'controles de acceso de PHP-GACL are desactivados.');
INSERT INTO `lang_definitions` VALUES (6990, 7723, 3, 'Examen Físico');
INSERT INTO `lang_definitions` VALUES (6991, 7724, 3, 'Médico');
INSERT INTO `lang_definitions` VALUES (6992, 7725, 3, 'Solicitud de Fisio');
INSERT INTO `lang_definitions` VALUES (6993, 7726, 3, 'Firma del Fisio');
INSERT INTO `lang_definitions` VALUES (6994, 7727, 3, 'Tipo de Médico');
INSERT INTO `lang_definitions` VALUES (6995, 7729, 3, 'Fisios');
INSERT INTO `lang_definitions` VALUES (6996, 7733, 3, 'escoger');
INSERT INTO `lang_definitions` VALUES (6997, 7734, 3, 'Seleccionar');
INSERT INTO `lang_definitions` VALUES (6998, 7735, 3, 'Seleccionar un tema CSS');
INSERT INTO `lang_definitions` VALUES (6999, 7738, 3, 'PID');
INSERT INTO `lang_definitions` VALUES (7000, 7740, 3, 'PID (enfermedad pélvica inflamatoria)');
INSERT INTO `lang_definitions` VALUES (7001, 7741, 3, 'Tamaño de la Píldora');
INSERT INTO `lang_definitions` VALUES (7002, 7742, 3, 'Píldoras');
INSERT INTO `lang_definitions` VALUES (7003, 7745, 3, 'Coloque el fichero de database zip en el siguiente directorio si quiere la opción de instalar');
INSERT INTO `lang_definitions` VALUES (7004, 7746, 3, 'Ponga el fichero zip de bbdd ICD 10 en la siguiente carpeta');
INSERT INTO `lang_definitions` VALUES (7005, 7747, 3, 'Ponga el fichero zip de bbdd ICD 9 en la siguiente carpeta');
INSERT INTO `lang_definitions` VALUES (7006, 7748, 3, 'Ponga el fichero zip de bbdd RxNorm en la siguiente carpeta');
INSERT INTO `lang_definitions` VALUES (7007, 7749, 3, 'Ponga el fichero zip de bbdd Snomed en la siguiente carpeta');
INSERT INTO `lang_definitions` VALUES (7008, 7752, 3, 'Marcador de posición');
INSERT INTO `lang_definitions` VALUES (7009, 7753, 3, 'Marcador de posición (Mantiene vacia ACL)');
INSERT INTO `lang_definitions` VALUES (7010, 7756, 3, 'Texto sin Formato');
INSERT INTO `lang_definitions` VALUES (7011, 7757, 3, 'Plan');
INSERT INTO `lang_definitions` VALUES (7012, 7758, 3, 'El plan se agregó de manera exitosa');
INSERT INTO `lang_definitions` VALUES (7013, 7759, 3, 'El plan ya está en las opciones de lista');
INSERT INTO `lang_definitions` VALUES (7014, 7762, 3, 'Nombre del Plan');
INSERT INTO `lang_definitions` VALUES (7015, 7763, 3, 'El Nombre del Plan ya existe');
INSERT INTO `lang_definitions` VALUES (7016, 7764, 3, 'El Nombre ya ha sido tomada');
INSERT INTO `lang_definitions` VALUES (7017, 7765, 3, 'Falta el nombre del plan');
INSERT INTO `lang_definitions` VALUES (7018, 7768, 3, 'Ajuste Planes');
INSERT INTO `lang_definitions` VALUES (7019, 7769, 3, 'Estado del Plan Cambió');
INSERT INTO `lang_definitions` VALUES (7020, 7770, 3, 'Falló el Cambio del Estado del Plan');
INSERT INTO `lang_definitions` VALUES (7021, 7772, 3, 'El Plan se actualizó de manera exitosa');
INSERT INTO `lang_definitions` VALUES (7022, 7773, 3, 'Plan:');
INSERT INTO `lang_definitions` VALUES (7023, 7774, 3, 'Actividad Planeada');
INSERT INTO `lang_definitions` VALUES (7024, 7775, 3, 'Fecha Planeada');
INSERT INTO `lang_definitions` VALUES (7025, 7776, 3, 'Planes');
INSERT INTO `lang_definitions` VALUES (7026, 7777, 3, 'Configuración de Planes');
INSERT INTO `lang_definitions` VALUES (7027, 7778, 3, 'Jugador');
INSERT INTO `lang_definitions` VALUES (7028, 7779, 3, 'Posición de juego');
INSERT INTO `lang_definitions` VALUES (7029, 7780, 3, 'Favor de llamar si la informacion arriba es incorrecta');
INSERT INTO `lang_definitions` VALUES (7030, 7781, 3, 'Favor de llamar si la informacion arriba es incorrecta');
INSERT INTO `lang_definitions` VALUES (7031, 7784, 3, 'Por favor cambie su contraseña');
INSERT INTO `lang_definitions` VALUES (7032, 7785, 3, 'Por favor, elige un fichero');
INSERT INTO `lang_definitions` VALUES (7033, 7786, 3, 'Por favor, elige un paciente');
INSERT INTO `lang_definitions` VALUES (7034, 7787, 3, 'Por favor, elija una selección válida de la lista.');
INSERT INTO `lang_definitions` VALUES (7035, 7788, 3, 'Por favor elige una selecion valida');
INSERT INTO `lang_definitions` VALUES (7036, 7789, 3, 'Por favor, elija un valor para');
INSERT INTO `lang_definitions` VALUES (7037, 7790, 3, 'Por favor elija el rango de fechas, y haga click en refrescar para ver los resultados.');
INSERT INTO `lang_definitions` VALUES (7038, 7791, 3, 'Por favor elegir el formato adecuado del fichero EDI-271');
INSERT INTO `lang_definitions` VALUES (7039, 7792, 3, 'Por favor click en el botón Descargar para descargar los datos de DE identificación');
INSERT INTO `lang_definitions` VALUES (7040, 7793, 3, 'Por favor click en el botón descargar para descargar los datos de Re-identificación');
INSERT INTO `lang_definitions` VALUES (7041, 7795, 3, 'Por favor, cierre esta ventana.');
INSERT INTO `lang_definitions` VALUES (7042, 7796, 3, 'Por favor, comparar el nuevo nombre');
INSERT INTO `lang_definitions` VALUES (7043, 7798, 3, 'Por favor consider enviar una donación a:');
INSERT INTO `lang_definitions` VALUES (7044, 7801, 3, 'Por favor contacte a su administrador del sistema, los siguientes componentes son requeridos pero no se encuentran disponibles:');
INSERT INTO `lang_definitions` VALUES (7045, 7802, 3, 'Por favor corrija los valores antes de continuar!');
INSERT INTO `lang_definitions` VALUES (7046, 7803, 3, 'Por favor cree la siguiente carpeta antes de proceder');
INSERT INTO `lang_definitions` VALUES (7047, 7805, 3, 'No acepte por favor esta prescripción a menos que fuera recibida vía facimile.');
INSERT INTO `lang_definitions` VALUES (7048, 7806, 3, 'Por favor no aceptar esta receta a menos que sea recibida por fax.');
INSERT INTO `lang_definitions` VALUES (7049, 7807, 3, 'Por favor, no utilice el botón de parada o recarga de su navegador, mientras esta página está funcionando a menos que transcurran mas de 10 minutos, esto no detendrá el proceso en el servidor y consumirá recursos innecesarios.');
INSERT INTO `lang_definitions` VALUES (7050, 7808, 3, 'POR FAVOR ACTIVE LA EXTENSIÓN CURL');
INSERT INTO `lang_definitions` VALUES (7051, 7809, 3, 'POR FAVOR ACTIVE LA EXTENSIÓN OPENSSL');
INSERT INTO `lang_definitions` VALUES (7052, 7810, 3, 'POR FAVOR ACTIVE LA EXTENSIÓN SOAP');
INSERT INTO `lang_definitions` VALUES (7053, 7811, 3, 'POR FAVOR ACTIVE LA EXTENSIÓN XML');
INSERT INTO `lang_definitions` VALUES (7054, 7813, 3, 'Favor de entrar fecha de la ultima revision');
INSERT INTO `lang_definitions` VALUES (7055, 7814, 3, 'Por favor introduzca la fecha');
INSERT INTO `lang_definitions` VALUES (7056, 7816, 3, 'Por favor introduzca una fecha de vencimiento');
INSERT INTO `lang_definitions` VALUES (7057, 7818, 3, 'Por favor introduzca un mensaje');
INSERT INTO `lang_definitions` VALUES (7058, 7819, 3, 'Por favor, introduzca un importe monetario, utilizando sólo números y un punto decimal.');
INSERT INTO `lang_definitions` VALUES (7059, 7821, 3, 'Por favor introduzca una Nueva Contraseña');
INSERT INTO `lang_definitions` VALUES (7060, 7822, 3, 'Por favor, escriba un título!');
INSERT INTO `lang_definitions` VALUES (7061, 7828, 3, 'Por favor introduzca el código de Re-identificación correcto');
INSERT INTO `lang_definitions` VALUES (7062, 7832, 3, 'Por favor, introduzca el dato de la nueva búsqueda');
INSERT INTO `lang_definitions` VALUES (7063, 7833, 3, 'Por favor introduzca el código de re-identificación');
INSERT INTO `lang_definitions` VALUES (7064, 7834, 3, 'Por favor introduzca contraseña');
INSERT INTO `lang_definitions` VALUES (7065, 7843, 3, 'Por favor rellene el número de cheque');
INSERT INTO `lang_definitions` VALUES (7066, 7844, 3, 'Por favor rellene el número Check/Ref');
INSERT INTO `lang_definitions` VALUES (7067, 7845, 3, 'Por favor rellene la fecha');
INSERT INTO `lang_definitions` VALUES (7068, 7846, 3, 'Por favor rellene el importe del pago');
INSERT INTO `lang_definitions` VALUES (7069, 7847, 3, 'Por favor rellene la categoría del pago');
INSERT INTO `lang_definitions` VALUES (7070, 7848, 3, 'Por favor rellene la procedencia del pago');
INSERT INTO `lang_definitions` VALUES (7071, 7849, 3, 'Por favor rellene la casilla de la Fecha');
INSERT INTO `lang_definitions` VALUES (7072, 7850, 3, 'Favor de llenar antes de continuar');
INSERT INTO `lang_definitions` VALUES (7073, 7854, 3, 'Por favor indique el motivo de la visita');
INSERT INTO `lang_definitions` VALUES (7074, 7856, 3, 'Por favor introducir criterios de búsqueda arriba, haga clic en aceptar para ver los resultados.');
INSERT INTO `lang_definitions` VALUES (7075, 7857, 3, 'Por favor introduzca los criterios de búsqueda arriba, y haga click en aceptar para ver los resultados. (Los resultados serán mostrados en una ventana emergente)');
INSERT INTO `lang_definitions` VALUES (7076, 7858, 3, 'Por favor inicie sesión de nuevo');
INSERT INTO `lang_definitions` VALUES (7077, 7859, 3, 'Por Favor tenga en cuenta que esto puede tomar mucho tiempo, hasta varios minutos, el navegador web puede no aparecer muy activa durante este tiempo, pero la generación de una factura es un proceso complicado y su navegador web está a la espera de más información.');
INSERT INTO `lang_definitions` VALUES (7078, 7860, 3, 'Por favor Nota: constantes son sensibles a mayúsculas y minúsculas y se permite cualquier cadena.');
INSERT INTO `lang_definitions` VALUES (7079, 7861, 3, 'Por favor, utilice únicamente caracteres alfabéticos');
INSERT INTO `lang_definitions` VALUES (7080, 7862, 3, 'Por favor, utilice únicamente caracteres alfabéticos sin espacios');
INSERT INTO `lang_definitions` VALUES (7081, 7863, 3, 'Por favor, pagar esta cantidad');
INSERT INTO `lang_definitions` VALUES (7082, 7864, 3, 'Por favor ponga sus ficheros de instalación en la siguiente carpeta');
INSERT INTO `lang_definitions` VALUES (7083, 7867, 3, 'Favor de referise a');
INSERT INTO `lang_definitions` VALUES (7084, 7868, 3, 'Por favor, reinicie la contraseña.');
INSERT INTO `lang_definitions` VALUES (7085, 7869, 3, 'Por favor resetear el servidor apache antes de intentar la finalización de sesión');
INSERT INTO `lang_definitions` VALUES (7086, 7874, 3, 'Por favor vea el PDF adjunto.');
INSERT INTO `lang_definitions` VALUES (7087, 7875, 3, 'Por favor seleccione');
INSERT INTO `lang_definitions` VALUES (7088, 7876, 3, 'Por favor seleccione un formato');
INSERT INTO `lang_definitions` VALUES (7089, 7877, 3, 'Por favor seleccione un idioma');
INSERT INTO `lang_definitions` VALUES (7090, 7878, 3, 'Por favor seleccione un Paciente');
INSERT INTO `lang_definitions` VALUES (7091, 7879, 3, 'Por favor seleccione una entidad de negocio primario con \'C.I.F.\' como su centro \'C.I.F.\'. Si usted es autónomo, ponga su \'C.I.F.\'. Será usado para identificarle en el sistema NewCrop.');
INSERT INTO `lang_definitions` VALUES (7092, 7882, 3, 'Por favor Seleccione un Destinatario');
INSERT INTO `lang_definitions` VALUES (7093, 7884, 3, 'Por favor seleccione la fecha de inicio y fin');
INSERT INTO `lang_definitions` VALUES (7094, 7885, 3, 'Por favor Seleccione un Destinatario válido');
INSERT INTO `lang_definitions` VALUES (7095, 7888, 3, 'Por favor, seleccione un razón de ajuste para el código');
INSERT INTO `lang_definitions` VALUES (7096, 7889, 3, 'Por favor, seleccione un evento');
INSERT INTO `lang_definitions` VALUES (7097, 7891, 3, 'Por favor seleccione una Opción de Búsqueda');
INSERT INTO `lang_definitions` VALUES (7098, 7894, 3, 'Favor seleccionar al menos una receta');
INSERT INTO `lang_definitions` VALUES (7099, 7899, 3, 'Por favor, seleccione las pags. que desee copiar o reenviar:');
INSERT INTO `lang_definitions` VALUES (7100, 7900, 3, 'Por favor seleccione la Forma de Pago');
INSERT INTO `lang_definitions` VALUES (7101, 7903, 3, 'Por favor seleccione el tipo de pago.');
INSERT INTO `lang_definitions` VALUES (7102, 7905, 3, 'Por favor seleccione socio X12, requerido para crear el batch 270');
INSERT INTO `lang_definitions` VALUES (7103, 7906, 3, 'Por favor ajuste');
INSERT INTO `lang_definitions` VALUES (7104, 7907, 3, 'Por favor ponga la variable de_identification_config a cero');
INSERT INTO `lang_definitions` VALUES (7105, 7910, 3, 'Por favor inicie un nuevo proceso de De identificación');
INSERT INTO `lang_definitions` VALUES (7106, 7913, 3, 'Por favor actualice la base de datos OpenEMR para incluir procedimientos, funciones, tablas para De identificación');
INSERT INTO `lang_definitions` VALUES (7107, 7915, 3, 'Por favor, consulte la tabla de log de errores de De Identificación para más detalles');
INSERT INTO `lang_definitions` VALUES (7108, 7916, 3, 'Por favor visite la pantalla de Re-Identificación después de algún tiempo');
INSERT INTO `lang_definitions` VALUES (7109, 7917, 3, 'Por favor visite la pantalla de Re-Identificación después de algún tiempo');
INSERT INTO `lang_definitions` VALUES (7110, 7918, 3, 'Por favor visite la página pasado algún tiempo');
INSERT INTO `lang_definitions` VALUES (7111, 7926, 3, 'PM');
INSERT INTO `lang_definitions` VALUES (7112, 7927, 3, 'PM Program');
INSERT INTO `lang_definitions` VALUES (7113, 7933, 3, 'Método de pago');
INSERT INTO `lang_definitions` VALUES (7114, 7934, 3, 'PND');
INSERT INTO `lang_definitions` VALUES (7115, 7935, 3, 'Conjugado Neumocócico 1');
INSERT INTO `lang_definitions` VALUES (7116, 7936, 3, 'Conjugado Neumocócico 2');
INSERT INTO `lang_definitions` VALUES (7117, 7937, 3, 'Conjugado Neumocócico 3');
INSERT INTO `lang_definitions` VALUES (7118, 7938, 3, 'Conjugado Neumocócico 4');
INSERT INTO `lang_definitions` VALUES (7119, 7939, 3, 'vacuna contra el neumococo');
INSERT INTO `lang_definitions` VALUES (7120, 7940, 3, 'Vacunación Neumonía');
INSERT INTO `lang_definitions` VALUES (7121, 7941, 3, 'Estado de vacunación de neumonía de adultos mayores');
INSERT INTO `lang_definitions` VALUES (7122, 7942, 3, 'Estado de vacunación de neumonía de adultos mayores (GCC)');
INSERT INTO `lang_definitions` VALUES (7123, 7943, 3, 'Podológica');
INSERT INTO `lang_definitions` VALUES (7124, 7946, 3, 'Punto del servicio (posición)');
INSERT INTO `lang_definitions` VALUES (7125, 7947, 3, 'Póliza');
INSERT INTO `lang_definitions` VALUES (7126, 7950, 3, 'Póliza Nº');
INSERT INTO `lang_definitions` VALUES (7127, 7951, 3, 'Número Póliza');
INSERT INTO `lang_definitions` VALUES (7128, 7952, 3, 'Polaco');
INSERT INTO `lang_definitions` VALUES (7129, 7953, 3, 'Polidipsia');
INSERT INTO `lang_definitions` VALUES (7130, 7955, 3, 'Pólipos');
INSERT INTO `lang_definitions` VALUES (7131, 7956, 3, 'Poliuria');
INSERT INTO `lang_definitions` VALUES (7132, 7957, 3, 'Falta de Apetito');
INSERT INTO `lang_definitions` VALUES (7133, 7958, 3, 'Pobre Circulación');
INSERT INTO `lang_definitions` VALUES (7134, 7959, 3, 'Déficit auditivo');
INSERT INTO `lang_definitions` VALUES (7135, 7962, 3, 'Pop-ups necesitan estar activos para ver estos reportes');
INSERT INTO `lang_definitions` VALUES (7136, 7964, 3, '¿Rellenar la vista del año con eventos?');
INSERT INTO `lang_definitions` VALUES (7137, 7965, 3, 'Los menús emergentes');
INSERT INTO `lang_definitions` VALUES (7138, 7967, 3, 'Portal');
INSERT INTO `lang_definitions` VALUES (7139, 7969, 3, 'Actividad del Portal');
INSERT INTO `lang_definitions` VALUES (7140, 7985, 3, 'Portugués');
INSERT INTO `lang_definitions` VALUES (7141, 7987, 3, 'Portugués (Brasileño)');
INSERT INTO `lang_definitions` VALUES (7142, 7988, 3, 'Portugués (Europeo)');
INSERT INTO `lang_definitions` VALUES (7143, 7989, 3, 'Código de POS');
INSERT INTO `lang_definitions` VALUES (7144, 7992, 3, 'Positivo');
INSERT INTO `lang_definitions` VALUES (7145, 7993, 3, 'Positivos');
INSERT INTO `lang_definitions` VALUES (7146, 7996, 3, 'Enviar por');
INSERT INTO `lang_definitions` VALUES (7147, 7998, 3, 'Goteo nasal posterior');
INSERT INTO `lang_definitions` VALUES (7148, 8000, 3, 'Enviar pagos');
INSERT INTO `lang_definitions` VALUES (7149, 8001, 3, 'Post-quirúrgico');
INSERT INTO `lang_definitions` VALUES (7150, 8002, 3, 'Publique en la contabilidad y marque como facturado');
INSERT INTO `lang_definitions` VALUES (7151, 8003, 3, 'Publicar en fecha');
INSERT INTO `lang_definitions` VALUES (7152, 8004, 3, 'Publicar en fecha no puede ser mayor que hoy');
INSERT INTO `lang_definitions` VALUES (7153, 8006, 3, 'Publicar en fecha debe ser mayor que la fecha de cierre financiero');
INSERT INTO `lang_definitions` VALUES (7154, 8007, 3, 'Cuidado del Post-Aborto');
INSERT INTO `lang_definitions` VALUES (7155, 8008, 3, 'Contracepción del Post-Aborto');
INSERT INTO `lang_definitions` VALUES (7156, 8009, 3, 'Asesoramiento del Post-Aborto');
INSERT INTO `lang_definitions` VALUES (7157, 8010, 3, 'Seguimiento Post-Aborto');
INSERT INTO `lang_definitions` VALUES (7158, 8011, 3, 'Postal');
INSERT INTO `lang_definitions` VALUES (7159, 8012, 3, 'Código Postal');
INSERT INTO `lang_definitions` VALUES (7160, 8013, 3, 'Código Postal');
INSERT INTO `lang_definitions` VALUES (7161, 8015, 3, 'PostCalendar');
INSERT INTO `lang_definitions` VALUES (7162, 8016, 3, 'Administración del PostCalendar');
INSERT INTO `lang_definitions` VALUES (7163, 8017, 3, 'Configuración de la Categoría PostCalendar');
INSERT INTO `lang_definitions` VALUES (7164, 8018, 3, 'Configuración Global de PostCalendar');
INSERT INTO `lang_definitions` VALUES (7165, 8023, 3, 'Publicado en');
INSERT INTO `lang_definitions` VALUES (7166, 8026, 3, 'Fecha de Envío');
INSERT INTO `lang_definitions` VALUES (7167, 8032, 3, 'Desarrollado por');
INSERT INTO `lang_definitions` VALUES (7168, 8033, 3, 'PPE+ Prev Med/Surg Hx');
INSERT INTO `lang_definitions` VALUES (7169, 8034, 3, 'PQRI (Iniciativa Informe Calidad Médica)');
INSERT INTO `lang_definitions` VALUES (7170, 8035, 3, 'Registro ID PQRI');
INSERT INTO `lang_definitions` VALUES (7171, 8036, 3, 'Registro Nombre PQRI');
INSERT INTO `lang_definitions` VALUES (7172, 8037, 3, 'Práctica');
INSERT INTO `lang_definitions` VALUES (7173, 8038, 3, 'Centro establecido por defecto');
INSERT INTO `lang_definitions` VALUES (7174, 8039, 3, 'Ajustes del Centro');
INSERT INTO `lang_definitions` VALUES (7175, 8041, 3, 'Prestador');
INSERT INTO `lang_definitions` VALUES (7176, 8043, 3, 'Pago anticipado');
INSERT INTO `lang_definitions` VALUES (7177, 8044, 3, 'Prepago');
INSERT INTO `lang_definitions` VALUES (7178, 8045, 3, 'Consulta del Pre-Aborto');
INSERT INTO `lang_definitions` VALUES (7179, 8046, 3, 'Asesoramiento del Pre-Aborto');
INSERT INTO `lang_definitions` VALUES (7180, 8048, 3, 'Categoría Pref');
INSERT INTO `lang_definitions` VALUES (7181, 8050, 3, 'Preferencias');
INSERT INTO `lang_definitions` VALUES (7182, 8052, 3, 'Categoría preferida del evento');
INSERT INTO `lang_definitions` VALUES (7183, 8053, 3, 'Lengua preferida');
INSERT INTO `lang_definitions` VALUES (7184, 8054, 3, 'Preferencia Farmacia');
INSERT INTO `lang_definitions` VALUES (7185, 8055, 3, 'Organización Proveedora Preferida (PPO)');
INSERT INTO `lang_definitions` VALUES (7186, 8056, 3, 'Prueba de embarazo');
INSERT INTO `lang_definitions` VALUES (7187, 8057, 3, 'Preliminar');
INSERT INTO `lang_definitions` VALUES (7188, 8059, 3, 'Pague por Adelantado');
INSERT INTO `lang_definitions` VALUES (7189, 8061, 3, 'Prescripción');
INSERT INTO `lang_definitions` VALUES (7190, 8063, 3, 'Receta ha alcanzado sus limites de');
INSERT INTO `lang_definitions` VALUES (7191, 8064, 3, 'Histórico de Prescripciones');
INSERT INTO `lang_definitions` VALUES (7192, 8065, 3, 'Importación de Histórico de Prescripciones completado');
INSERT INTO `lang_definitions` VALUES (7193, 8066, 3, 'Etiqueta de la prescripción');
INSERT INTO `lang_definitions` VALUES (7194, 8067, 3, 'Informe de Prescripción');
INSERT INTO `lang_definitions` VALUES (7195, 8070, 3, 'Prescripciónes');
INSERT INTO `lang_definitions` VALUES (7196, 8073, 3, 'Prescripciones y dispensaciones');
INSERT INTO `lang_definitions` VALUES (7197, 8074, 3, 'Recetas y otras derivaciones');
INSERT INTO `lang_definitions` VALUES (7198, 8075, 3, 'Prescripciones y/o derivaciones a especialista');
INSERT INTO `lang_definitions` VALUES (7199, 8076, 3, 'Informe de las prescripciones');
INSERT INTO `lang_definitions` VALUES (7200, 8077, 3, 'Prescripciones/Derivaciones');
INSERT INTO `lang_definitions` VALUES (7201, 8078, 3, 'Presente');
INSERT INTO `lang_definitions` VALUES (7202, 8079, 3, 'Presentación de queja');
INSERT INTO `lang_definitions` VALUES (7203, 8081, 3, 'Pulse Continuar para proseguir');
INSERT INTO `lang_definitions` VALUES (7204, 8084, 3, 'Presunción de Diagnóstico');
INSERT INTO `lang_definitions` VALUES (7205, 8085, 3, 'Presunción de Diagnóstico por el especialista');
INSERT INTO `lang_definitions` VALUES (7206, 8086, 3, 'Previa');
INSERT INTO `lang_definitions` VALUES (7207, 8087, 3, 'Prev Med/Surg Hx');
INSERT INTO `lang_definitions` VALUES (7208, 8088, 3, 'Mes anterior. (Presione para menu)');
INSERT INTO `lang_definitions` VALUES (7209, 8089, 3, 'Año anterior (Presione para el menu)');
INSERT INTO `lang_definitions` VALUES (7210, 8091, 3, 'Cuidado Preventivo');
INSERT INTO `lang_definitions` VALUES (7211, 8094, 3, 'Vista previa del evento');
INSERT INTO `lang_definitions` VALUES (7212, 8097, 3, 'Previsualización de');
INSERT INTO `lang_definitions` VALUES (7213, 8098, 3, 'Anterior');
INSERT INTO `lang_definitions` VALUES (7214, 8099, 3, 'Consultas Anteriores');
INSERT INTO `lang_definitions` VALUES (7215, 8100, 3, 'Dia Anterior');
INSERT INTO `lang_definitions` VALUES (7216, 8102, 3, 'Para Historia');
INSERT INTO `lang_definitions` VALUES (7217, 8103, 3, 'Mes Anterior');
INSERT INTO `lang_definitions` VALUES (7218, 8104, 3, 'Semana Anterior');
INSERT INTO `lang_definitions` VALUES (7219, 8105, 3, 'Precio');
INSERT INTO `lang_definitions` VALUES (7220, 8108, 3, 'Precio de descuento');
INSERT INTO `lang_definitions` VALUES (7221, 8109, 3, 'Nivel de Precio');
INSERT INTO `lang_definitions` VALUES (7222, 8111, 3, 'Nivel de Precio:');
INSERT INTO `lang_definitions` VALUES (7223, 8113, 3, 'Precios');
INSERT INTO `lang_definitions` VALUES (7224, 8114, 3, 'Primario');
INSERT INTO `lang_definitions` VALUES (7225, 8115, 3, 'Entidad Empresa Primaria');
INSERT INTO `lang_definitions` VALUES (7226, 8116, 3, 'La entidad de negocio principal es usada como cuenta Id para la ePrescipción. Cambiando el centro afectará al funcionamiento en NewCrop.');
INSERT INTO `lang_definitions` VALUES (7227, 8125, 3, 'Seguro principal');
INSERT INTO `lang_definitions` VALUES (7228, 8126, 3, 'Seguro principal');
INSERT INTO `lang_definitions` VALUES (7229, 8127, 3, 'Datos principales del Seguro');
INSERT INTO `lang_definitions` VALUES (7230, 8128, 3, 'Proveedor principal del Seguro');
INSERT INTO `lang_definitions` VALUES (7231, 8129, 3, 'Proveedor primario');
INSERT INTO `lang_definitions` VALUES (7232, 8130, 3, 'Imprimir');
INSERT INTO `lang_definitions` VALUES (7233, 8131, 3, 'Imprimir (HTML)');
INSERT INTO `lang_definitions` VALUES (7234, 8132, 3, 'Imprimir (PDF)');
INSERT INTO `lang_definitions` VALUES (7235, 8134, 3, 'Imprimir cualquier visita');
INSERT INTO `lang_definitions` VALUES (7236, 8135, 3, 'Imprimir el formulario de derivación en blanco');
INSERT INTO `lang_definitions` VALUES (7237, 8136, 3, 'Comando Imprimir');
INSERT INTO `lang_definitions` VALUES (7238, 8143, 3, 'Imprimir el Formato');
INSERT INTO `lang_definitions` VALUES (7239, 8144, 3, 'Imprimir cuatro paneles');
INSERT INTO `lang_definitions` VALUES (7240, 8147, 3, 'Mensaje Imprimir');
INSERT INTO `lang_definitions` VALUES (7241, 8148, 3, 'Imprimir Múltiples');
INSERT INTO `lang_definitions` VALUES (7242, 8149, 3, 'Para imprimir múltiples Fax');
INSERT INTO `lang_definitions` VALUES (7243, 8150, 3, 'Imprima nombre, fecha y firma');
INSERT INTO `lang_definitions` VALUES (7244, 8151, 3, 'Imprimir notas');
INSERT INTO `lang_definitions` VALUES (7245, 8152, 3, 'Imprimir Página 1');
INSERT INTO `lang_definitions` VALUES (7246, 8153, 3, 'Imprimir Página 2');
INSERT INTO `lang_definitions` VALUES (7247, 8156, 3, 'Impresión Receta del Facultativo');
INSERT INTO `lang_definitions` VALUES (7248, 8157, 3, 'Grabar Imprimir');
INSERT INTO `lang_definitions` VALUES (7249, 8163, 3, 'Imprimir Seleccionados');
INSERT INTO `lang_definitions` VALUES (7250, 8164, 3, 'Registro de tiro impresión');
INSERT INTO `lang_definitions` VALUES (7251, 8166, 3, 'Imprimir ásta visita');
INSERT INTO `lang_definitions` VALUES (7252, 8168, 3, 'Imprimir esta nota');
INSERT INTO `lang_definitions` VALUES (7253, 8169, 3, 'Imprimir Esta Nota');
INSERT INTO `lang_definitions` VALUES (7254, 8171, 3, 'Para imprimir Fax');
INSERT INTO `lang_definitions` VALUES (7255, 8172, 3, 'Ver Imprenta');
INSERT INTO `lang_definitions` VALUES (7256, 8173, 3, 'Imprimible');
INSERT INTO `lang_definitions` VALUES (7257, 8174, 3, 'Versión Imprimible');
INSERT INTO `lang_definitions` VALUES (7258, 8175, 3, 'Impreso');
INSERT INTO `lang_definitions` VALUES (7259, 8178, 3, 'Resultados de la impresión:');
INSERT INTO `lang_definitions` VALUES (7260, 8179, 3, 'Impresión omitida; ver la salida de prueba en');
INSERT INTO `lang_definitions` VALUES (7261, 8180, 3, 'Impresión saltado; ver la prueba de salida en');
INSERT INTO `lang_definitions` VALUES (7262, 8182, 3, 'Antes de autentificación');
INSERT INTO `lang_definitions` VALUES (7263, 8184, 3, 'Formulario de Autorización Previa');
INSERT INTO `lang_definitions` VALUES (7264, 8189, 3, 'Antes de visita');
INSERT INTO `lang_definitions` VALUES (7265, 8191, 3, 'Prioridad');
INSERT INTO `lang_definitions` VALUES (7266, 8192, 3, 'Prioridad');
INSERT INTO `lang_definitions` VALUES (7267, 8196, 3, 'Privado');
INSERT INTO `lang_definitions` VALUES (7268, 8197, 3, 'Problema');
INSERT INTO `lang_definitions` VALUES (7269, 8198, 3, 'Problema Diagnóstico (DX)');
INSERT INTO `lang_definitions` VALUES (7270, 8199, 3, 'Lista de Problema');
INSERT INTO `lang_definitions` VALUES (7271, 8202, 3, 'Problemas/Incidencias');
INSERT INTO `lang_definitions` VALUES (7272, 8203, 3, 'Proc Bat');
INSERT INTO `lang_definitions` VALUES (7273, 8204, 3, 'Proc Cat');
INSERT INTO `lang_definitions` VALUES (7274, 8206, 3, 'Proc.Pendientes Revisión');
INSERT INTO `lang_definitions` VALUES (7275, 8208, 3, 'Proc Res');
INSERT INTO `lang_definitions` VALUES (7276, 8209, 3, 'Procedimiento');
INSERT INTO `lang_definitions` VALUES (7277, 8210, 3, 'Procedmiento por area corporal');
INSERT INTO `lang_definitions` VALUES (7278, 8212, 3, 'Procedimientos con resultados Boolean');
INSERT INTO `lang_definitions` VALUES (7279, 8214, 3, 'Codigo de Procedimiento');
INSERT INTO `lang_definitions` VALUES (7280, 8215, 3, 'Códigos de procedimiento');
INSERT INTO `lang_definitions` VALUES (7281, 8216, 3, 'Lateralidades del procedimiento');
INSERT INTO `lang_definitions` VALUES (7282, 8220, 3, 'Orden del procedimiento');
INSERT INTO `lang_definitions` VALUES (7283, 8223, 3, 'Procedimiento ordenado para');
INSERT INTO `lang_definitions` VALUES (7284, 8232, 3, 'Informe Procedimiento');
INSERT INTO `lang_definitions` VALUES (7285, 8235, 3, 'Situaciones del reporte de procedimientos');
INSERT INTO `lang_definitions` VALUES (7286, 8237, 3, 'Resultado anormal del procedimiento');
INSERT INTO `lang_definitions` VALUES (7287, 8238, 3, 'Situacion del resultado del procedimiento');
INSERT INTO `lang_definitions` VALUES (7288, 8240, 3, 'Resultados del procedimientos');
INSERT INTO `lang_definitions` VALUES (7289, 8241, 3, 'Rutas del procedimiento');
INSERT INTO `lang_definitions` VALUES (7290, 8243, 3, 'Tipos de especímenes del procedimiento');
INSERT INTO `lang_definitions` VALUES (7291, 8245, 3, 'Reportes estadísticos del procedimiento');
INSERT INTO `lang_definitions` VALUES (7292, 8248, 3, 'Tipo del procedimiento');
INSERT INTO `lang_definitions` VALUES (7293, 8249, 3, 'Tipos de procedimientos');
INSERT INTO `lang_definitions` VALUES (7294, 8251, 3, 'Unidades del procedimiento');
INSERT INTO `lang_definitions` VALUES (7295, 8253, 3, 'Procedimiento/Servicio');
INSERT INTO `lang_definitions` VALUES (7296, 8254, 3, 'Procedimientos');
INSERT INTO `lang_definitions` VALUES (7297, 8256, 3, 'Aceptar');
INSERT INTO `lang_definitions` VALUES (7298, 8258, 3, 'Procesar fichero ERA');
INSERT INTO `lang_definitions` VALUES (7299, 8262, 3, 'El proceso puede tardar algún tiempo');
INSERT INTO `lang_definitions` VALUES (7300, 8263, 3, 'Procesado');
INSERT INTO `lang_definitions` VALUES (7301, 8264, 3, 'Procesado por');
INSERT INTO `lang_definitions` VALUES (7302, 8265, 3, 'Fecha procesado');
INSERT INTO `lang_definitions` VALUES (7303, 8267, 3, 'Procesamiento');
INSERT INTO `lang_definitions` VALUES (7304, 8274, 3, 'Producto');
INSERT INTO `lang_definitions` VALUES (7305, 8276, 3, 'Método Producto Anticonceptivo');
INSERT INTO `lang_definitions` VALUES (7306, 8279, 3, 'Productos');
INSERT INTO `lang_definitions` VALUES (7307, 8280, 3, 'Productos pero no medicamentos con receta y sin plantillas');
INSERT INTO `lang_definitions` VALUES (7308, 8282, 3, 'Prof.');
INSERT INTO `lang_definitions` VALUES (7309, 8290, 3, 'Notas de progreso');
INSERT INTO `lang_definitions` VALUES (7310, 8295, 3, 'Cáncer de Próstata');
INSERT INTO `lang_definitions` VALUES (7311, 8296, 3, 'Detección de cancer de próstata');
INSERT INTO `lang_definitions` VALUES (7312, 8297, 3, 'Examen de Próstata');
INSERT INTO `lang_definitions` VALUES (7313, 8298, 3, 'Problemas de Próstata');
INSERT INTO `lang_definitions` VALUES (7314, 8299, 3, 'Próstata sin enlrgmt, nódulos, dolor');
INSERT INTO `lang_definitions` VALUES (7315, 8304, 3, 'Provee ruta absoluta');
INSERT INTO `lang_definitions` VALUES (7316, 8305, 3, 'Provee ruta absoluta del file');
INSERT INTO `lang_definitions` VALUES (7317, 8309, 3, 'Proporcione resúmenes clínicos a los pacientes en cada visita.');
INSERT INTO `lang_definitions` VALUES (7318, 8311, 3, 'Proporcionar a los pacientes una copia electrónica de su información de salud (incluyendo resultados de pruebas de diagnóstico, lista de problemas, lista de medicamentos, medicación para alergias), bajo petición.');
INSERT INTO `lang_definitions` VALUES (7319, 8312, 3, 'Ofrecer a los pacientes el acceso oportuno a su información electrónica de salud (incluyendo resultados de laboratorio, lista de problemas, listas de medicamentos, alergias a medicamentos) dentro de cuatro días hábiles de que la información esté disponible para el EP.');
INSERT INTO `lang_definitions` VALUES (7320, 8313, 3, 'Proporcionar Registros de Paciente por Visita');
INSERT INTO `lang_definitions` VALUES (7321, 8315, 3, 'Proporcionar email válido');
INSERT INTO `lang_definitions` VALUES (7322, 8316, 3, '¿Resumen médico proporcionado?');
INSERT INTO `lang_definitions` VALUES (7323, 8317, 3, '¿Recusros educativos proporcionados?');
INSERT INTO `lang_definitions` VALUES (7324, 8318, 3, 'Facultativo');
INSERT INTO `lang_definitions` VALUES (7325, 8323, 3, 'Facultativo ID');
INSERT INTO `lang_definitions` VALUES (7326, 8324, 3, 'Facultativo ID en el centro especificado');
INSERT INTO `lang_definitions` VALUES (7327, 8325, 3, 'Errores de correspondencia de Proveedor');
INSERT INTO `lang_definitions` VALUES (7328, 8330, 3, 'Número de Proveedor');
INSERT INTO `lang_definitions` VALUES (7329, 8336, 3, 'Facultativo:');
INSERT INTO `lang_definitions` VALUES (7330, 8337, 3, 'Facultativos');
INSERT INTO `lang_definitions` VALUES (7331, 8338, 3, 'NPI Facultativos');
INSERT INTO `lang_definitions` VALUES (7332, 8339, 3, 'Proveedores Ver calendario completo');
INSERT INTO `lang_definitions` VALUES (7333, 8341, 3, 'Prv');
INSERT INTO `lang_definitions` VALUES (7334, 8342, 3, 'PSA');
INSERT INTO `lang_definitions` VALUES (7335, 8343, 3, 'Psoriasis');
INSERT INTO `lang_definitions` VALUES (7336, 8345, 3, 'Psiqu. Diagnóstico');
INSERT INTO `lang_definitions` VALUES (7337, 8346, 3, 'Psych Medicamentos');
INSERT INTO `lang_definitions` VALUES (7338, 8347, 3, 'Psiquiátricos');
INSERT INTO `lang_definitions` VALUES (7339, 8348, 3, 'Breve carta Psiquiátrica');
INSERT INTO `lang_definitions` VALUES (7340, 8349, 3, 'Diagnóstico psiquiátrico');
INSERT INTO `lang_definitions` VALUES (7341, 8350, 3, 'Examinación psiquiátrica');
INSERT INTO `lang_definitions` VALUES (7342, 8352, 3, 'Historia Psiquiátrica');
INSERT INTO `lang_definitions` VALUES (7343, 8353, 3, 'Producto Psiquiátrico');
INSERT INTO `lang_definitions` VALUES (7344, 8354, 3, 'Medicación Psiquiátrica');
INSERT INTO `lang_definitions` VALUES (7345, 8358, 3, 'Pt %');
INSERT INTO `lang_definitions` VALUES (7346, 8360, 3, 'Notas Paciente');
INSERT INTO `lang_definitions` VALUES (7347, 8361, 3, 'Notas/Autorización PAciente');
INSERT INTO `lang_definitions` VALUES (7348, 8362, 3, 'Pt en exceso');
INSERT INTO `lang_definitions` VALUES (7349, 8364, 3, 'Pt Pagado');
INSERT INTO `lang_definitions` VALUES (7350, 8365, 3, 'Solicitud Registro Pacienten');
INSERT INTO `lang_definitions` VALUES (7351, 8366, 3, 'Pt Reembolso');
INSERT INTO `lang_definitions` VALUES (7352, 8367, 3, 'Pt liberados');
INSERT INTO `lang_definitions` VALUES (7353, 8368, 3, 'Informe Paciente');
INSERT INTO `lang_definitions` VALUES (7354, 8369, 3, 'PT Estudiante, o dejar en blanco');
INSERT INTO `lang_definitions` VALUES (7355, 8370, 3, 'PT_CITY');
INSERT INTO `lang_definitions` VALUES (7356, 8371, 3, 'PT_DOB');
INSERT INTO `lang_definitions` VALUES (7357, 8373, 3, 'PT_FNAME');
INSERT INTO `lang_definitions` VALUES (7358, 8374, 3, 'PT_LNAME');
INSERT INTO `lang_definitions` VALUES (7359, 8375, 3, 'PT_MNAME');
INSERT INTO `lang_definitions` VALUES (7360, 8378, 3, 'PT_POSTAL');
INSERT INTO `lang_definitions` VALUES (7361, 8380, 3, 'PT_STATE');
INSERT INTO `lang_definitions` VALUES (7362, 8381, 3, 'PT_STREET');
INSERT INTO `lang_definitions` VALUES (7363, 8383, 3, 'Público');
INSERT INTO `lang_definitions` VALUES (7364, 8387, 3, 'Seguridad Social (SS) u otro organismo oficial');
INSERT INTO `lang_definitions` VALUES (7365, 8394, 3, 'Puertorriqueño');
INSERT INTO `lang_definitions` VALUES (7366, 8396, 3, 'Pulmonar');
INSERT INTO `lang_definitions` VALUES (7367, 8398, 3, 'Pulso');
INSERT INTO `lang_definitions` VALUES (7368, 8399, 3, 'Penyabí');
INSERT INTO `lang_definitions` VALUES (7369, 8401, 3, 'Comprar');
INSERT INTO `lang_definitions` VALUES (7370, 8402, 3, 'Compra/Devolución');
INSERT INTO `lang_definitions` VALUES (7371, 8403, 3, 'Adquisiciones');
INSERT INTO `lang_definitions` VALUES (7372, 8408, 3, 'q.3h');
INSERT INTO `lang_definitions` VALUES (7373, 8409, 3, 'q.4h');
INSERT INTO `lang_definitions` VALUES (7374, 8410, 3, 'q.5h');
INSERT INTO `lang_definitions` VALUES (7375, 8411, 3, 'q.6h');
INSERT INTO `lang_definitions` VALUES (7376, 8412, 3, 'q.8h');
INSERT INTO `lang_definitions` VALUES (7377, 8413, 3, 'q.d.');
INSERT INTO `lang_definitions` VALUES (7378, 8414, 3, 'q.i.d.');
INSERT INTO `lang_definitions` VALUES (7379, 8417, 3, 'QOH');
INSERT INTO `lang_definitions` VALUES (7380, 8418, 3, 'QOH es menor que el consumo mensual');
INSERT INTO `lang_definitions` VALUES (7381, 8419, 3, 'Cantidad');
INSERT INTO `lang_definitions` VALUES (7382, 8420, 3, 'Cantidad');
INSERT INTO `lang_definitions` VALUES (7383, 8421, 3, 'Calidad');
INSERT INTO `lang_definitions` VALUES (7384, 8422, 3, 'Medidas de calidad (GCC)');
INSERT INTO `lang_definitions` VALUES (7385, 8423, 3, 'Cantidad');
INSERT INTO `lang_definitions` VALUES (7386, 8425, 3, 'Cantidad para NDC');
INSERT INTO `lang_definitions` VALUES (7387, 8426, 3, 'Cantidad En Mano');
INSERT INTO `lang_definitions` VALUES (7388, 8427, 3, 'cantidad parece inservible');
INSERT INTO `lang_definitions` VALUES (7389, 8431, 3, 'interrogante');
INSERT INTO `lang_definitions` VALUES (7390, 8432, 3, 'HCFA cola de proceso batch');
INSERT INTO `lang_definitions` VALUES (7391, 8433, 3, 'HCFA cola de proceso batch y de impresión');
INSERT INTO `lang_definitions` VALUES (7392, 8434, 3, 'Cola de la UB-92 del proceso batch');
INSERT INTO `lang_definitions` VALUES (7393, 8435, 3, 'Cola de la UB-92 del proceso batch y de impresión');
INSERT INTO `lang_definitions` VALUES (7394, 8436, 3, 'Cola');
INSERT INTO `lang_definitions` VALUES (7395, 8437, 3, 'Administración de Eventos en cola');
INSERT INTO `lang_definitions` VALUES (7396, 8438, 3, 'Cola para');
INSERT INTO `lang_definitions` VALUES (7397, 8440, 3, 'Cola de Peticiones Administración');
INSERT INTO `lang_definitions` VALUES (7398, 8442, 3, 'Dejar');
INSERT INTO `lang_definitions` VALUES (7399, 8443, 3, 'Dejar el alcohol');
INSERT INTO `lang_definitions` VALUES (7400, 8445, 3, 'R');
INSERT INTO `lang_definitions` VALUES (7401, 8452, 3, 'Raza');
INSERT INTO `lang_definitions` VALUES (7402, 8453, 3, 'Raza y Etnia');
INSERT INTO `lang_definitions` VALUES (7403, 8454, 3, 'Raza/etnia');
INSERT INTO `lang_definitions` VALUES (7404, 8456, 3, 'Radio');
INSERT INTO `lang_definitions` VALUES (7405, 8457, 3, 'Botones de radio');
INSERT INTO `lang_definitions` VALUES (7406, 8462, 3, 'Rango');
INSERT INTO `lang_definitions` VALUES (7407, 8463, 3, 'Erupciones');
INSERT INTO `lang_definitions` VALUES (7408, 8464, 3, 'Tasa');
INSERT INTO `lang_definitions` VALUES (7409, 8466, 3, 'Proporcion');
INSERT INTO `lang_definitions` VALUES (7410, 8467, 3, 'Informe sin procesar');
INSERT INTO `lang_definitions` VALUES (7411, 8475, 3, 'Re-Identificación');
INSERT INTO `lang_definitions` VALUES (7412, 8476, 3, 'Proceso Re-Identificación completado');
INSERT INTO `lang_definitions` VALUES (7413, 8477, 3, 'Proceso Re identificación en curso');
INSERT INTO `lang_definitions` VALUES (7414, 8478, 3, 'Ficheros de Re-identificación serán salvados en');
INSERT INTO `lang_definitions` VALUES (7415, 8479, 3, '¿Misma lesión?');
INSERT INTO `lang_definitions` VALUES (7416, 8480, 3, 'Abra de nuevo');
INSERT INTO `lang_definitions` VALUES (7417, 8482, 3, 'Volvió a abrir');
INSERT INTO `lang_definitions` VALUES (7418, 8484, 3, 'Reacción');
INSERT INTO `lang_definitions` VALUES (7419, 8486, 3, 'reacciones');
INSERT INTO `lang_definitions` VALUES (7420, 8489, 3, 'Leído');
INSERT INTO `lang_definitions` VALUES (7421, 8496, 3, 'Nombre Real');
INSERT INTO `lang_definitions` VALUES (7422, 8497, 3, 'Realmente borrado');
INSERT INTO `lang_definitions` VALUES (7423, 8498, 3, 'Razón');
INSERT INTO `lang_definitions` VALUES (7424, 8499, 3, 'Motivo del fallecimiento');
INSERT INTO `lang_definitions` VALUES (7425, 8500, 3, 'Motivo de la Muerte');
INSERT INTO `lang_definitions` VALUES (7426, 8502, 3, 'Motivo de la derivación');
INSERT INTO `lang_definitions` VALUES (7427, 8504, 3, 'Motivo de la Visita');
INSERT INTO `lang_definitions` VALUES (7428, 8506, 3, 'Motivo/Forma');
INSERT INTO `lang_definitions` VALUES (7429, 8521, 3, 'Recibo');
INSERT INTO `lang_definitions` VALUES (7430, 8522, 3, 'Recibo de Pago');
INSERT INTO `lang_definitions` VALUES (7431, 8523, 3, 'Recibo de Creación');
INSERT INTO `lang_definitions` VALUES (7432, 8524, 3, 'Recibos de pago por Informe');
INSERT INTO `lang_definitions` VALUES (7433, 8525, 3, 'Resumen del Recibo');
INSERT INTO `lang_definitions` VALUES (7434, 8526, 3, 'Recibido');
INSERT INTO `lang_definitions` VALUES (7435, 8527, 3, 'Recibido Por');
INSERT INTO `lang_definitions` VALUES (7436, 8528, 3, 'Recibido faxes');
INSERT INTO `lang_definitions` VALUES (7437, 8532, 3, 'Receptor');
INSERT INTO `lang_definitions` VALUES (7438, 8533, 3, 'Nº Identificación del destinatario');
INSERT INTO `lang_definitions` VALUES (7439, 8534, 3, 'Recibidor ID (ISA08)');
INSERT INTO `lang_definitions` VALUES (7440, 8535, 3, 'Calificador del recibidor ID (ISA07)');
INSERT INTO `lang_definitions` VALUES (7441, 8540, 3, 'Las últimas tres contraseñas no están permitidas.');
INSERT INTO `lang_definitions` VALUES (7442, 8542, 3, 'Beneficiario');
INSERT INTO `lang_definitions` VALUES (7443, 8543, 3, 'Lista de Beneficiarios vacía');
INSERT INTO `lang_definitions` VALUES (7444, 8544, 3, 'Nombre destinatario');
INSERT INTO `lang_definitions` VALUES (7445, 8545, 3, 'Destinatario de la publicación');
INSERT INTO `lang_definitions` VALUES (7446, 8549, 3, 'Recomendación');
INSERT INTO `lang_definitions` VALUES (7447, 8552, 3, 'Recomendaciones');
INSERT INTO `lang_definitions` VALUES (7448, 8553, 3, 'Recomendaciones y el tratamiento');
INSERT INTO `lang_definitions` VALUES (7449, 8554, 3, 'Recomendaciones del especialista');
INSERT INTO `lang_definitions` VALUES (7450, 8557, 3, 'Registro');
INSERT INTO `lang_definitions` VALUES (7451, 8558, 3, 'Registro ya existe');
INSERT INTO `lang_definitions` VALUES (7452, 8564, 3, 'Registro y gráfico de los cambios en las constantes vitales.');
INSERT INTO `lang_definitions` VALUES (7453, 8565, 3, 'Registro demográficos.');
INSERT INTO `lang_definitions` VALUES (7454, 8566, 3, 'Grabar aviso');
INSERT INTO `lang_definitions` VALUES (7455, 8567, 3, 'Registro de estado físico');
INSERT INTO `lang_definitions` VALUES (7456, 8568, 3, 'Pago de Registro');
INSERT INTO `lang_definitions` VALUES (7457, 8570, 3, 'Fecha registro de solicitud');
INSERT INTO `lang_definitions` VALUES (7458, 8571, 3, 'Registro estado pacientes fumadores de 13 años o más');
INSERT INTO `lang_definitions` VALUES (7459, 8572, 3, 'Registros');
INSERT INTO `lang_definitions` VALUES (7460, 8573, 3, 'registros encontrados');
INSERT INTO `lang_definitions` VALUES (7461, 8574, 3, 'registros encontrados.');
INSERT INTO `lang_definitions` VALUES (7462, 8576, 3, 'Uso de drogas no farmacológicas');
INSERT INTO `lang_definitions` VALUES (7463, 8577, 3, 'Drogas no farmacológicas');
INSERT INTO `lang_definitions` VALUES (7464, 8578, 3, 'Rectal');
INSERT INTO `lang_definitions` VALUES (7465, 8579, 3, 'Examen Rectal');
INSERT INTO `lang_definitions` VALUES (7466, 8580, 3, 'Rectal');
INSERT INTO `lang_definitions` VALUES (7467, 8592, 3, 'Redirección');
INSERT INTO `lang_definitions` VALUES (7468, 8593, 3, 'Enrojecimiento');
INSERT INTO `lang_definitions` VALUES (7469, 8595, 3, 'Reducido:');
INSERT INTO `lang_definitions` VALUES (7470, 8597, 3, 'Referir');
INSERT INTO `lang_definitions` VALUES (7471, 8598, 3, 'Referir Por');
INSERT INTO `lang_definitions` VALUES (7472, 8599, 3, 'Referir Fecha');
INSERT INTO `lang_definitions` VALUES (7473, 8600, 3, 'Referir Para');
INSERT INTO `lang_definitions` VALUES (7474, 8603, 3, 'Clasificación de referencia (nivel de riesgo)');
INSERT INTO `lang_definitions` VALUES (7475, 8604, 3, 'Referencia de rango de resultados');
INSERT INTO `lang_definitions` VALUES (7476, 8605, 3, 'Motivo de referencia');
INSERT INTO `lang_definitions` VALUES (7477, 8609, 3, 'Referer nombre y la firma');
INSERT INTO `lang_definitions` VALUES (7478, 8610, 3, 'Derivación');
INSERT INTO `lang_definitions` VALUES (7479, 8611, 3, 'Derivado Por');
INSERT INTO `lang_definitions` VALUES (7480, 8612, 3, 'Tarjeta de derivado');
INSERT INTO `lang_definitions` VALUES (7481, 8613, 3, 'Fecha de derivación');
INSERT INTO `lang_definitions` VALUES (7482, 8614, 3, 'Formulario de derivación');
INSERT INTO `lang_definitions` VALUES (7483, 8615, 3, 'FORMULARIO DE DERIVACIÓN');
INSERT INTO `lang_definitions` VALUES (7484, 8616, 3, 'Nº ID derivación');
INSERT INTO `lang_definitions` VALUES (7485, 8619, 3, 'Origen derivación');
INSERT INTO `lang_definitions` VALUES (7486, 8620, 3, 'Origen derivación para visitas');
INSERT INTO `lang_definitions` VALUES (7487, 8621, 3, 'Derivado a');
INSERT INTO `lang_definitions` VALUES (7488, 8622, 3, 'Derivados');
INSERT INTO `lang_definitions` VALUES (7489, 8623, 3, 'Informes de Derivados');
INSERT INTO `lang_definitions` VALUES (7490, 8624, 3, 'Derivado por');
INSERT INTO `lang_definitions` VALUES (7491, 8625, 3, 'Referido Por');
INSERT INTO `lang_definitions` VALUES (7492, 8627, 3, 'Referido a');
INSERT INTO `lang_definitions` VALUES (7493, 8628, 3, 'Referencia');
INSERT INTO `lang_definitions` VALUES (7494, 8630, 3, 'Diagnóstico de Referencia');
INSERT INTO `lang_definitions` VALUES (7495, 8631, 3, 'Diagnóstico de referencia');
INSERT INTO `lang_definitions` VALUES (7496, 8633, 3, 'Fisio de referencia y centro');
INSERT INTO `lang_definitions` VALUES (7497, 8635, 3, 'Facultativo de referencia');
INSERT INTO `lang_definitions` VALUES (7498, 8636, 3, 'Recargar');
INSERT INTO `lang_definitions` VALUES (7499, 8639, 3, 'Repuesto');
INSERT INTO `lang_definitions` VALUES (7500, 8640, 3, 'repuestos');
INSERT INTO `lang_definitions` VALUES (7501, 8641, 3, 'Reflejos normales');
INSERT INTO `lang_definitions` VALUES (7502, 8645, 3, 'Refrescar');
INSERT INTO `lang_definitions` VALUES (7503, 8648, 3, 'Refrescando avisos');
INSERT INTO `lang_definitions` VALUES (7504, 8651, 3, 'Se negó a declarar');
INSERT INTO `lang_definitions` VALUES (7505, 8652, 3, 'reg_re');
INSERT INTO `lang_definitions` VALUES (7506, 8656, 3, 'Registrar');
INSERT INTO `lang_definitions` VALUES (7507, 8662, 3, 'Registrado');
INSERT INTO `lang_definitions` VALUES (7508, 8663, 3, 'registrado');
INSERT INTO `lang_definitions` VALUES (7509, 8668, 3, 'Fecha de Registro');
INSERT INTO `lang_definitions` VALUES (7510, 8671, 3, 'Formulario de Inscripción');
INSERT INTO `lang_definitions` VALUES (7511, 8672, 3, 'Rehabilitación');
INSERT INTO `lang_definitions` VALUES (7512, 8676, 3, 'Relaciónese Con');
INSERT INTO `lang_definitions` VALUES (7513, 8677, 3, 'Relacionado');
INSERT INTO `lang_definitions` VALUES (7514, 8678, 3, 'Incidencia relacionada');
INSERT INTO `lang_definitions` VALUES (7515, 8680, 3, 'Relacion(es)/niños');
INSERT INTO `lang_definitions` VALUES (7516, 8681, 3, 'Relaciones');
INSERT INTO `lang_definitions` VALUES (7517, 8682, 3, 'Relación');
INSERT INTO `lang_definitions` VALUES (7518, 8683, 3, 'Orden relativo de esta entidad');
INSERT INTO `lang_definitions` VALUES (7519, 8684, 3, 'Familiares');
INSERT INTO `lang_definitions` VALUES (7520, 8695, 3, 'Las credenciales de la salud del relais faltan de esta cuenta de usuario.');
INSERT INTO `lang_definitions` VALUES (7521, 8696, 3, 'Relay Health ID');
INSERT INTO `lang_definitions` VALUES (7522, 8698, 3, 'Fecha versión');
INSERT INTO `lang_definitions` VALUES (7523, 8700, 3, 'Religión');
INSERT INTO `lang_definitions` VALUES (7524, 8705, 3, 'Reinicie sesión');
INSERT INTO `lang_definitions` VALUES (7525, 8706, 3, 'Aviso');
INSERT INTO `lang_definitions` VALUES (7526, 8709, 3, 'Recordar Centro Seleccionado');
INSERT INTO `lang_definitions` VALUES (7527, 8712, 3, 'Recordatorio');
INSERT INTO `lang_definitions` VALUES (7528, 8715, 3, 'Intervalos recordatorio');
INSERT INTO `lang_definitions` VALUES (7529, 8716, 3, 'Recordatorio No Enviado Todavía');
INSERT INTO `lang_definitions` VALUES (7530, 8720, 3, 'Recordatorio Enviado El');
INSERT INTO `lang_definitions` VALUES (7531, 8725, 3, 'Avisos');
INSERT INTO `lang_definitions` VALUES (7532, 8726, 3, 'REMITIR A');
INSERT INTO `lang_definitions` VALUES (7533, 8729, 3, 'Quitar');
INSERT INTO `lang_definitions` VALUES (7534, 8733, 3, 'Eliminar Grupo');
INSERT INTO `lang_definitions` VALUES (7535, 8734, 3, 'Eliminar el formulario del grupo');
INSERT INTO `lang_definitions` VALUES (7536, 8738, 3, 'Eliminar soporte para las vacunas');
INSERT INTO `lang_definitions` VALUES (7537, 8739, 3, 'Eliminar soporte para phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (7538, 8740, 3, 'Eliminar soporte para prescripciones');
INSERT INTO `lang_definitions` VALUES (7539, 8742, 3, 'Elimina la función del gráfico de seguimiento');
INSERT INTO `lang_definitions` VALUES (7540, 8743, 3, 'Litiasis Renal');
INSERT INTO `lang_definitions` VALUES (7541, 8744, 3, 'Renombrar');
INSERT INTO `lang_definitions` VALUES (7542, 8745, 3, 'Renombrar Grupo');
INSERT INTO `lang_definitions` VALUES (7543, 8746, 3, 'Representación');
INSERT INTO `lang_definitions` VALUES (7544, 8747, 3, 'Representación del Facultativo');
INSERT INTO `lang_definitions` VALUES (7545, 8748, 3, 'Número Representación del Facultativo');
INSERT INTO `lang_definitions` VALUES (7546, 8750, 3, 'Reordenar');
INSERT INTO `lang_definitions` VALUES (7547, 8751, 3, 'Al reordenar');
INSERT INTO `lang_definitions` VALUES (7548, 8752, 3, 'Alcanzado el punto de pedido');
INSERT INTO `lang_definitions` VALUES (7549, 8753, 3, 'Punto de pedido, 0 no es válido');
INSERT INTO `lang_definitions` VALUES (7550, 8758, 3, 'Repetición eventos');
INSERT INTO `lang_definitions` VALUES (7551, 8759, 3, 'Repetir Información:');
INSERT INTO `lang_definitions` VALUES (7552, 8760, 3, 'Repite');
INSERT INTO `lang_definitions` VALUES (7553, 8771, 3, 'Fecha de Respuesta');
INSERT INTO `lang_definitions` VALUES (7554, 8772, 3, 'De respuesta');
INSERT INTO `lang_definitions` VALUES (7555, 8774, 3, 'Informe');
INSERT INTO `lang_definitions` VALUES (7556, 8776, 3, 'Informe Clínico');
INSERT INTO `lang_definitions` VALUES (7557, 8779, 3, 'Informe por');
INSERT INTO `lang_definitions` VALUES (7558, 8789, 3, 'Reporte de estatus');
INSERT INTO `lang_definitions` VALUES (7559, 8790, 3, 'Informe Totales');
INSERT INTO `lang_definitions` VALUES (7560, 8792, 3, 'Informe/Formulario');
INSERT INTO `lang_definitions` VALUES (7561, 8794, 3, 'Informable');
INSERT INTO `lang_definitions` VALUES (7562, 8795, 3, 'Reportado');
INSERT INTO `lang_definitions` VALUES (7563, 8796, 3, 'Fecha Informada');
INSERT INTO `lang_definitions` VALUES (7564, 8797, 3, 'Informes');
INSERT INTO `lang_definitions` VALUES (7565, 8804, 3, '¡Solicitud ignorada - proceso de reclamaciones ya se está ejecutando!');
INSERT INTO `lang_definitions` VALUES (7566, 8815, 3, 'Servicio Solicitado');
INSERT INTO `lang_definitions` VALUES (7567, 8819, 3, 'Se requiere Contraseña más compleja');
INSERT INTO `lang_definitions` VALUES (7568, 8820, 3, 'Se requiere Contraseña única');
INSERT INTO `lang_definitions` VALUES (7569, 8821, 3, 'Requerido');
INSERT INTO `lang_definitions` VALUES (7570, 8823, 3, 'Copago requerido');
INSERT INTO `lang_definitions` VALUES (7571, 8824, 3, 'Falta campo requerido:Por favor elija el fichero EDI-271 para adjuntar');
INSERT INTO `lang_definitions` VALUES (7572, 8825, 3, 'Falta campo requerido: Por favor introduzca el nombre');
INSERT INTO `lang_definitions` VALUES (7573, 8826, 3, 'Falta campo requerido: Por favor introduzca el apellido');
INSERT INTO `lang_definitions` VALUES (7574, 8827, 3, 'Falta campo requerido: Por favor introduzca el nombre de usuario');
INSERT INTO `lang_definitions` VALUES (7575, 8828, 3, 'Campos requeridos');
INSERT INTO `lang_definitions` VALUES (7576, 8829, 3, 'Requerimientos');
INSERT INTO `lang_definitions` VALUES (7577, 8832, 3, 'RESERVADO');
INSERT INTO `lang_definitions` VALUES (7578, 8833, 3, 'Reservado');
INSERT INTO `lang_definitions` VALUES (7579, 8834, 3, 'Reservado para uso del Tiempo Programado de Vacaciones');
INSERT INTO `lang_definitions` VALUES (7580, 8835, 3, 'Reservado para definir cuando un facultativo no podrá tener citas disponibles posteriores.');
INSERT INTO `lang_definitions` VALUES (7581, 8836, 3, 'Reservado para definir cuando un evento no ocurrió como se especificó.');
INSERT INTO `lang_definitions` VALUES (7582, 8837, 3, 'Reservados para definir cuando un facultativo puede tener citas disponibles posteriores.');
INSERT INTO `lang_definitions` VALUES (7583, 8838, 3, 'Reinicio');
INSERT INTO `lang_definitions` VALUES (7584, 8842, 3, 'Resetear credenciales del Portal externo');
INSERT INTO `lang_definitions` VALUES (7585, 8844, 3, 'Resetear credenciales del Portal interno');
INSERT INTO `lang_definitions` VALUES (7586, 8852, 3, 'Resuelto');
INSERT INTO `lang_definitions` VALUES (7587, 8855, 3, 'Respiración');
INSERT INTO `lang_definitions` VALUES (7588, 8856, 3, 'Esfuerzo al Respirar');
INSERT INTO `lang_definitions` VALUES (7589, 8857, 3, 'Respiratorias');
INSERT INTO `lang_definitions` VALUES (7590, 8864, 3, 'Restringir a usuarios no autorizados el calendario de la clínica establecido en usuario admin.');
INSERT INTO `lang_definitions` VALUES (7591, 8865, 3, 'Restringir usuarios a Clínicas');
INSERT INTO `lang_definitions` VALUES (7592, 8866, 3, 'Entrenamiento Restringido');
INSERT INTO `lang_definitions` VALUES (7593, 8867, 3, 'Resultado');
INSERT INTO `lang_definitions` VALUES (7594, 8869, 3, 'Estado del resultado');
INSERT INTO `lang_definitions` VALUES (7595, 8870, 3, 'Estado del resultado o anormalidad ausente');
INSERT INTO `lang_definitions` VALUES (7596, 8871, 3, 'Resultado, use % como comodín');
INSERT INTO `lang_definitions` VALUES (7597, 8873, 3, 'Resultados y');
INSERT INTO `lang_definitions` VALUES (7598, 8874, 3, 'Resultados Encontrados para la Búsqueda');
INSERT INTO `lang_definitions` VALUES (7599, 8875, 3, 'Grupo Resultados');
INSERT INTO `lang_definitions` VALUES (7600, 8879, 3, 'Resultados por página');
INSERT INTO `lang_definitions` VALUES (7601, 8880, 3, 'Resultados / Detalles');
INSERT INTO `lang_definitions` VALUES (7602, 8884, 3, 'Examen de Retina');
INSERT INTO `lang_definitions` VALUES (7603, 8885, 3, 'Se retractó de la derecha:');
INSERT INTO `lang_definitions` VALUES (7604, 8886, 3, 'Volver');
INSERT INTO `lang_definitions` VALUES (7605, 8887, 3, 'Retorne la parte superior con su pago');
INSERT INTO `lang_definitions` VALUES (7606, 8890, 3, 'Retornar al calendario');
INSERT INTO `lang_definitions` VALUES (7607, 8892, 3, 'Vuelva a esta página y podrá completar el proceso de instalación ICD 10 haciendo click en la sección de la cabecera ICD 10');
INSERT INTO `lang_definitions` VALUES (7608, 8893, 3, 'Vuelva a esta página y podrá completar el proceso de instalación ICD 9 haciendo click en la sección de la cabecera ICD 9');
INSERT INTO `lang_definitions` VALUES (7609, 8894, 3, 'Vuelva a esta página y podrá completar el proceso de instalación RxNorm haciendo click en la sección de la cabecera RXNORM');
INSERT INTO `lang_definitions` VALUES (7610, 8895, 3, 'Vuelva a esta página y podrá completar el proceso de instalación Snomed haciendo click en la sección de la cabecera SNOMED');
INSERT INTO `lang_definitions` VALUES (7611, 8897, 3, 'Valor Devuelto');
INSERT INTO `lang_definitions` VALUES (7612, 8898, 3, 'Visita de Vuelta');
INSERT INTO `lang_definitions` VALUES (7613, 8899, 3, 'Volvió a jugar');
INSERT INTO `lang_definitions` VALUES (7614, 8914, 3, 'Examen de PMH:');
INSERT INTO `lang_definitions` VALUES (7615, 8917, 3, 'Revisión de los sistemas');
INSERT INTO `lang_definitions` VALUES (7616, 8918, 3, 'Revisión de chequeos de sistemas');
INSERT INTO `lang_definitions` VALUES (7617, 8921, 3, 'Revisado');
INSERT INTO `lang_definitions` VALUES (7618, 8924, 3, 'Revisión');
INSERT INTO `lang_definitions` VALUES (7619, 8925, 3, 'Artritis reumatoide');
INSERT INTO `lang_definitions` VALUES (7620, 8926, 3, 'Artritis reumatoide');
INSERT INTO `lang_definitions` VALUES (7621, 8928, 3, 'Derecho');
INSERT INTO `lang_definitions` VALUES (7622, 8931, 3, 'Oido Derecho');
INSERT INTO `lang_definitions` VALUES (7623, 8932, 3, 'oido derecho');
INSERT INTO `lang_definitions` VALUES (7624, 8940, 3, 'Derecho:');
INSERT INTO `lang_definitions` VALUES (7625, 8941, 3, 'Zumbido en Oídos');
INSERT INTO `lang_definitions` VALUES (7626, 8942, 3, 'Sonido en Oídos');
INSERT INTO `lang_definitions` VALUES (7627, 8944, 3, 'Factores Riesgo');
INSERT INTO `lang_definitions` VALUES (7628, 8945, 3, 'Nivel de Riesgo');
INSERT INTO `lang_definitions` VALUES (7629, 8949, 3, 'RLL:');
INSERT INTO `lang_definitions` VALUES (7630, 8955, 3, 'ROM');
INSERT INTO `lang_definitions` VALUES (7631, 8956, 3, 'Rumano');
INSERT INTO `lang_definitions` VALUES (7632, 8963, 3, 'Lista');
INSERT INTO `lang_definitions` VALUES (7633, 8966, 3, 'Ruta');
INSERT INTO `lang_definitions` VALUES (7634, 8967, 3, 'Ruta de administracion si aplicable');
INSERT INTO `lang_definitions` VALUES (7635, 8968, 3, 'Encaminado');
INSERT INTO `lang_definitions` VALUES (7636, 8969, 3, 'Filas');
INSERT INTO `lang_definitions` VALUES (7637, 8971, 3, 'RRR sin MOR');
INSERT INTO `lang_definitions` VALUES (7638, 8972, 3, 'Frotar');
INSERT INTO `lang_definitions` VALUES (7639, 8973, 3, 'Frotaciones:');
INSERT INTO `lang_definitions` VALUES (7640, 8974, 3, 'Regla');
INSERT INTO `lang_definitions` VALUES (7641, 8975, 3, 'Añadir regla');
INSERT INTO `lang_definitions` VALUES (7642, 8976, 3, 'Detalle Regla');
INSERT INTO `lang_definitions` VALUES (7643, 8978, 3, 'Editar Regla');
INSERT INTO `lang_definitions` VALUES (7644, 8981, 3, 'Ajuste Regla');
INSERT INTO `lang_definitions` VALUES (7645, 8984, 3, 'Reglas');
INSERT INTO `lang_definitions` VALUES (7646, 8986, 3, 'Configuración Regla');
INSERT INTO `lang_definitions` VALUES (7647, 8989, 3, 'Ejecutando comando');
INSERT INTO `lang_definitions` VALUES (7648, 8990, 3, 'ruptura');
INSERT INTO `lang_definitions` VALUES (7649, 8992, 3, 'Ruso');
INSERT INTO `lang_definitions` VALUES (7650, 8995, 3, 'Receta');
INSERT INTO `lang_definitions` VALUES (7651, 8996, 3, 'Receta');
INSERT INTO `lang_definitions` VALUES (7652, 8997, 3, 'Margen inferior Receta (px)');
INSERT INTO `lang_definitions` VALUES (7653, 9001, 3, 'Receta Activa DEA#');
INSERT INTO `lang_definitions` VALUES (7654, 9002, 3, 'Receta Activa NPI');
INSERT INTO `lang_definitions` VALUES (7655, 9003, 3, 'Receta Activa Estado Lic.#');
INSERT INTO `lang_definitions` VALUES (7656, 9007, 3, 'Margen izquierdo Receta (px)');
INSERT INTO `lang_definitions` VALUES (7657, 9010, 3, 'Tamaño papel Receta');
INSERT INTO `lang_definitions` VALUES (7658, 9013, 3, 'Margen derecho Receta (px)');
INSERT INTO `lang_definitions` VALUES (7659, 9014, 3, 'Mostrar Receta DEA#');
INSERT INTO `lang_definitions` VALUES (7660, 9015, 3, 'Mostrar Receta NPI');
INSERT INTO `lang_definitions` VALUES (7661, 9016, 3, 'Mostrar Receta Estado Lic.#');
INSERT INTO `lang_definitions` VALUES (7662, 9017, 3, 'Margen superior Receta (px)');
INSERT INTO `lang_definitions` VALUES (7663, 9023, 3, 'Receta Normal (RxNorm)');
INSERT INTO `lang_definitions` VALUES (7664, 9024, 3, 'Base de datos RxNorm');
INSERT INTO `lang_definitions` VALUES (7665, 9028, 3, 'S');
INSERT INTO `lang_definitions` VALUES (7666, 9029, 3, 'S.S.');
INSERT INTO `lang_definitions` VALUES (7667, 9030, 3, 'S3:');
INSERT INTO `lang_definitions` VALUES (7668, 9031, 3, 'S4:');
INSERT INTO `lang_definitions` VALUES (7669, 9032, 3, 'SA ** para leer la licencia por favor lea la documentos/licencia.texto o visite * http://www.gnu.org/copyleft/gpl.html * * / / /');
INSERT INTO `lang_definitions` VALUES (7670, 9034, 3, 'Venta');
INSERT INTO `lang_definitions` VALUES (7671, 9035, 3, 'Ventas');
INSERT INTO `lang_definitions` VALUES (7672, 9036, 3, 'Ventas por Partida');
INSERT INTO `lang_definitions` VALUES (7673, 9037, 3, 'Informe de ventas por producto');
INSERT INTO `lang_definitions` VALUES (7674, 9038, 3, 'Saliva');
INSERT INTO `lang_definitions` VALUES (7675, 9039, 3, 'Mismo Día');
INSERT INTO `lang_definitions` VALUES (7676, 9040, 3, 'Samoano');
INSERT INTO `lang_definitions` VALUES (7677, 9041, 3, 'Muestra');
INSERT INTO `lang_definitions` VALUES (7678, 9042, 3, 'Tipo de sanción');
INSERT INTO `lang_definitions` VALUES (7679, 9047, 3, 'Sabado');
INSERT INTO `lang_definitions` VALUES (7680, 9048, 3, 'Sábado y Domingo');
INSERT INTO `lang_definitions` VALUES (7681, 9049, 3, 'Sabado');
INSERT INTO `lang_definitions` VALUES (7682, 9050, 3, 'Guardar');
INSERT INTO `lang_definitions` VALUES (7683, 9051, 3, 'SALVAR');
INSERT INTO `lang_definitions` VALUES (7684, 9055, 3, 'Guardar y Cerrar');
INSERT INTO `lang_definitions` VALUES (7685, 9058, 3, 'Guardar y Distribuir');
INSERT INTO `lang_definitions` VALUES (7686, 9061, 3, 'Guradar como Nuevo');
INSERT INTO `lang_definitions` VALUES (7687, 9063, 3, 'Guarda como nota nueva');
INSERT INTO `lang_definitions` VALUES (7688, 9066, 3, 'Guardar configuración del certificado');
INSERT INTO `lang_definitions` VALUES (7689, 9067, 3, 'Guardar Cambios');
INSERT INTO `lang_definitions` VALUES (7690, 9075, 3, 'Guardar Formulario');
INSERT INTO `lang_definitions` VALUES (7691, 9076, 3, 'Guardar Vacunación');
INSERT INTO `lang_definitions` VALUES (7692, 9078, 3, 'Guardar Nuevo Campo');
INSERT INTO `lang_definitions` VALUES (7693, 9079, 3, 'Guardar Nuevo Grupo');
INSERT INTO `lang_definitions` VALUES (7694, 9080, 3, 'Guardar Nueva Lista');
INSERT INTO `lang_definitions` VALUES (7695, 9081, 3, 'Guardar la nueva plantilla');
INSERT INTO `lang_definitions` VALUES (7696, 9083, 3, 'Guardar Demograficas de Paciente');
INSERT INTO `lang_definitions` VALUES (7697, 9087, 3, 'Nº Identificación gráfico guardado correctamente');
INSERT INTO `lang_definitions` VALUES (7698, 9089, 3, 'Guardar ITransacción');
INSERT INTO `lang_definitions` VALUES (7699, 9098, 3, 'Escaneados');
INSERT INTO `lang_definitions` VALUES (7700, 9099, 3, 'Nota Escaneada de visita');
INSERT INTO `lang_definitions` VALUES (7701, 9100, 3, 'Directorio del escáner');
INSERT INTO `lang_definitions` VALUES (7702, 9101, 3, 'Escáner En');
INSERT INTO `lang_definitions` VALUES (7703, 9104, 3, 'Horario');
INSERT INTO `lang_definitions` VALUES (7704, 9106, 3, 'Calendario de Clínicas:');
INSERT INTO `lang_definitions` VALUES (7705, 9117, 3, 'Nota Escolar');
INSERT INTO `lang_definitions` VALUES (7706, 9122, 3, 'Escoliosis');
INSERT INTO `lang_definitions` VALUES (7707, 9133, 3, 'SE');
INSERT INTO `lang_definitions` VALUES (7708, 9134, 3, 'SE Dirección');
INSERT INTO `lang_definitions` VALUES (7709, 9135, 3, 'SE Ciudad');
INSERT INTO `lang_definitions` VALUES (7710, 9136, 3, 'SE Pais');
INSERT INTO `lang_definitions` VALUES (7711, 9137, 3, 'SE Localidad');
INSERT INTO `lang_definitions` VALUES (7712, 9138, 3, 'SE Código Postal');
INSERT INTO `lang_definitions` VALUES (7713, 9139, 3, 'SE Estado');
INSERT INTO `lang_definitions` VALUES (7714, 9140, 3, 'SE Código Postal');
INSERT INTO `lang_definitions` VALUES (7715, 9141, 3, 'Buscar');
INSERT INTO `lang_definitions` VALUES (7716, 9143, 3, 'Buscar');
INSERT INTO `lang_definitions` VALUES (7717, 9144, 3, 'Búsqar Nuevamente');
INSERT INTO `lang_definitions` VALUES (7718, 9145, 3, 'Buscar en todas las columnas');
INSERT INTO `lang_definitions` VALUES (7719, 9147, 3, 'Buscar Cita');
INSERT INTO `lang_definitions` VALUES (7720, 9150, 3, 'Búscar por:');
INSERT INTO `lang_definitions` VALUES (7721, 9152, 3, 'Buscar por');
INSERT INTO `lang_definitions` VALUES (7722, 9156, 3, 'Búscar para:');
INSERT INTO `lang_definitions` VALUES (7723, 9158, 3, 'Buscar en');
INSERT INTO `lang_definitions` VALUES (7724, 9159, 3, 'Buscar en');
INSERT INTO `lang_definitions` VALUES (7725, 9161, 3, 'Buscar o Añadir Paciente');
INSERT INTO `lang_definitions` VALUES (7726, 9164, 3, 'Buscar Pago');
INSERT INTO `lang_definitions` VALUES (7727, 9167, 3, 'Resultados de búsqueda');
INSERT INTO `lang_definitions` VALUES (7728, 9168, 3, 'Resultados de la Búsqueda:');
INSERT INTO `lang_definitions` VALUES (7729, 9169, 3, 'Buscar seleccionados');
INSERT INTO `lang_definitions` VALUES (7730, 9171, 3, 'Cadena buscada no coincide con la lista de la base de datos');
INSERT INTO `lang_definitions` VALUES (7731, 9172, 3, 'Cadena buscada debe tener al menos tres caracteres');
INSERT INTO `lang_definitions` VALUES (7732, 9174, 3, 'Buscar Texto');
INSERT INTO `lang_definitions` VALUES (7733, 9175, 3, 'Búsqueda de eventos');
INSERT INTO `lang_definitions` VALUES (7734, 9178, 3, 'Buscar/añadir');
INSERT INTO `lang_definitions` VALUES (7735, 9179, 3, 'Buscar/Añadir Asegurador');
INSERT INTO `lang_definitions` VALUES (7736, 9181, 3, 'Buscando las citas');
INSERT INTO `lang_definitions` VALUES (7737, 9182, 3, 'Buscando');
INSERT INTO `lang_definitions` VALUES (7738, 9183, 3, 'Cinturón de Seguridad');
INSERT INTO `lang_definitions` VALUES (7739, 9184, 3, 'Uso de cinturón de seguridad');
INSERT INTO `lang_definitions` VALUES (7740, 9185, 3, 'Uso de cinturón de seguridad');
INSERT INTO `lang_definitions` VALUES (7741, 9186, 3, 'Segundo');
INSERT INTO `lang_definitions` VALUES (7742, 9187, 3, 'segundo');
INSERT INTO `lang_definitions` VALUES (7743, 9189, 3, 'Secundario');
INSERT INTO `lang_definitions` VALUES (7744, 9191, 3, 'Seguro Secundario');
INSERT INTO `lang_definitions` VALUES (7745, 9192, 3, 'Datos de Seguro Secundario');
INSERT INTO `lang_definitions` VALUES (7746, 9193, 3, 'Proveedor del Seguro Secundario');
INSERT INTO `lang_definitions` VALUES (7747, 9194, 3, 'Tipo secundario de Medicare');
INSERT INTO `lang_definitions` VALUES (7748, 9196, 3, 'ID de Sección');
INSERT INTO `lang_definitions` VALUES (7749, 9197, 3, 'ID de Sección');
INSERT INTO `lang_definitions` VALUES (7750, 9207, 3, 'Seguridad');
INSERT INTO `lang_definitions` VALUES (7751, 9208, 3, 'Ver Todo');
INSERT INTO `lang_definitions` VALUES (7752, 9210, 3, 'Ver Autorizaciones');
INSERT INTO `lang_definitions` VALUES (7753, 9213, 3, 'Véase el Gráfico de Crecimiento');
INSERT INTO `lang_definitions` VALUES (7754, 9214, 3, 'Ver los mensajes de la última serie de reclamaciones generadas');
INSERT INTO `lang_definitions` VALUES (7755, 9218, 3, 'Visto en');
INSERT INTO `lang_definitions` VALUES (7756, 9222, 3, 'Convulsiones');
INSERT INTO `lang_definitions` VALUES (7757, 9223, 3, 'Seleción');
INSERT INTO `lang_definitions` VALUES (7758, 9224, 3, 'seleccionar');
INSERT INTO `lang_definitions` VALUES (7759, 9225, 3, 'Seleción');
INSERT INTO `lang_definitions` VALUES (7760, 9227, 3, 'Seleccionar un componente');
INSERT INTO `lang_definitions` VALUES (7761, 9228, 3, 'Seleccionar un contexto');
INSERT INTO `lang_definitions` VALUES (7762, 9235, 3, 'Seleccione un intervalo de tiempo');
INSERT INTO `lang_definitions` VALUES (7763, 9236, 3, 'Seleccionar un usuario');
INSERT INTO `lang_definitions` VALUES (7764, 9239, 3, 'Seleccionar Todos');
INSERT INTO `lang_definitions` VALUES (7765, 9248, 3, 'Elegir entrads CAMOS para impresión');
INSERT INTO `lang_definitions` VALUES (7766, 9250, 3, 'Seleccionar una categoría');
INSERT INTO `lang_definitions` VALUES (7767, 9254, 3, 'Seleccionar las casillas correspondientes para borrar');
INSERT INTO `lang_definitions` VALUES (7768, 9256, 3, 'Seleccionar el criterio para eliminar');
INSERT INTO `lang_definitions` VALUES (7769, 9260, 3, 'Seleccione datos requeridos para De Identificación');
INSERT INTO `lang_definitions` VALUES (7770, 9261, 3, 'Seleccione datos para incluir en los datos de De Identificación');
INSERT INTO `lang_definitions` VALUES (7771, 9262, 3, 'Elegir fecha');
INSERT INTO `lang_definitions` VALUES (7772, 9264, 3, 'Seleccione plantilla deseada');
INSERT INTO `lang_definitions` VALUES (7773, 9265, 3, 'Seleccione diagnóstico');
INSERT INTO `lang_definitions` VALUES (7774, 9267, 3, 'Seleccione diagnóstico para identificación DE requerida');
INSERT INTO `lang_definitions` VALUES (7775, 9271, 3, 'Seleccione Medicamento');
INSERT INTO `lang_definitions` VALUES (7776, 9272, 3, 'Seleccione Medicamentos');
INSERT INTO `lang_definitions` VALUES (7777, 9273, 3, 'Seleccione los medicamentos para la solicitud anónima');
INSERT INTO `lang_definitions` VALUES (7778, 9274, 3, 'Seleccione fichero EDI-271');
INSERT INTO `lang_definitions` VALUES (7779, 9275, 3, 'Seleccione encuentro');
INSERT INTO `lang_definitions` VALUES (7780, 9276, 3, 'Elegir campo');
INSERT INTO `lang_definitions` VALUES (7781, 9278, 3, 'Seleccione Sector');
INSERT INTO `lang_definitions` VALUES (7782, 9279, 3, 'Seleccionar para Imprimir');
INSERT INTO `lang_definitions` VALUES (7783, 9285, 3, 'Seleccione vacunas');
INSERT INTO `lang_definitions` VALUES (7784, 9286, 3, 'Seleccione las vacunas para la solicitud anónima');
INSERT INTO `lang_definitions` VALUES (7785, 9287, 3, 'Seleccionar Seguro, escribiendo');
INSERT INTO `lang_definitions` VALUES (7786, 9288, 3, 'Seleccione Incidencia');
INSERT INTO `lang_definitions` VALUES (7787, 9289, 3, 'Seleccione items');
INSERT INTO `lang_definitions` VALUES (7788, 9291, 3, 'Seleccionar idioma');
INSERT INTO `lang_definitions` VALUES (7789, 9297, 3, 'Seleccione uno');
INSERT INTO `lang_definitions` VALUES (7790, 9298, 3, 'Seleccione uno o más códigos de diagnóstico para justificar el servicio');
INSERT INTO `lang_definitions` VALUES (7791, 9299, 3, 'Seleccione uno o más archivos para subir');
INSERT INTO `lang_definitions` VALUES (7792, 9303, 3, 'Seleccione salida');
INSERT INTO `lang_definitions` VALUES (7793, 9305, 3, 'SELECCIONAR PLAN');
INSERT INTO `lang_definitions` VALUES (7794, 9311, 3, 'Seleccione origen del pedido');
INSERT INTO `lang_definitions` VALUES (7795, 9312, 3, 'Selecionar rol');
INSERT INTO `lang_definitions` VALUES (7796, 9314, 3, 'Seleccionar fuente');
INSERT INTO `lang_definitions` VALUES (7797, 9317, 3, 'Seleccionar plantilla');
INSERT INTO `lang_definitions` VALUES (7798, 9321, 3, 'Elija los items de configuración para exportar');
INSERT INTO `lang_definitions` VALUES (7799, 9328, 3, 'Elija la incidencia principal responsable para los eventos fallidos en este día');
INSERT INTO `lang_definitions` VALUES (7800, 9335, 3, 'Seleccione pista');
INSERT INTO `lang_definitions` VALUES (7801, 9338, 3, 'Seleccionar usuario');
INSERT INTO `lang_definitions` VALUES (7802, 9340, 3, 'Seleccionar usuarios de la lista desplegable');
INSERT INTO `lang_definitions` VALUES (7803, 9341, 3, 'Seleccionar que idiomas, si los hay, pueden ser elegidos al inicio de sesión. (solo si arriba todos los idiomas permitidos está desactivados)');
INSERT INTO `lang_definitions` VALUES (7804, 9343, 3, 'Seleccione Sí para confirmar la eliminación del grupo');
INSERT INTO `lang_definitions` VALUES (7805, 9349, 3, 'Seleccionado');
INSERT INTO `lang_definitions` VALUES (7806, 9350, 3, 'Visita seleccionada');
INSERT INTO `lang_definitions` VALUES (7807, 9355, 3, 'Seleccionando ésto se creará un mensaje que necesita ser procesado por cada receptor individualmente (ésto no es una tarea de grupo)');
INSERT INTO `lang_definitions` VALUES (7808, 9357, 3, 'Uno Mismo');
INSERT INTO `lang_definitions` VALUES (7809, 9358, 3, 'Paga del uno mismo');
INSERT INTO `lang_definitions` VALUES (7810, 9360, 3, 'Enviar');
INSERT INTO `lang_definitions` VALUES (7811, 9361, 3, 'Enviar Fecha aviso');
INSERT INTO `lang_definitions` VALUES (7812, 9362, 3, 'Enviar un Recordatorio');
INSERT INTO `lang_definitions` VALUES (7813, 9369, 3, 'Envíe en curso');
INSERT INTO `lang_definitions` VALUES (7814, 9372, 3, 'enviar mensaje');
INSERT INTO `lang_definitions` VALUES (7815, 9378, 3, 'Batch de Envío de Recordatorios');
INSERT INTO `lang_definitions` VALUES (7816, 9379, 3, 'Enviar recordatorios a pacientes por preferencia para preventiva/seguimiento de cuidados.');
INSERT INTO `lang_definitions` VALUES (7817, 9383, 3, 'Enviar resúmenes con derivados');
INSERT INTO `lang_definitions` VALUES (7818, 9384, 3, 'Enviar este file');
INSERT INTO `lang_definitions` VALUES (7819, 9385, 3, 'Enviar este mensaje');
INSERT INTO `lang_definitions` VALUES (7820, 9386, 3, 'Enviar a');
INSERT INTO `lang_definitions` VALUES (7821, 9389, 3, 'Enviar a todos');
INSERT INTO `lang_definitions` VALUES (7822, 9392, 3, 'Enviar al portal');
INSERT INTO `lang_definitions` VALUES (7823, 9393, 3, 'Enviar al portal');
INSERT INTO `lang_definitions` VALUES (7824, 9395, 3, 'Remitente');
INSERT INTO `lang_definitions` VALUES (7825, 9396, 3, 'Nº Identificación del remitente');
INSERT INTO `lang_definitions` VALUES (7826, 9397, 3, 'Remitente ID (ISA06)');
INSERT INTO `lang_definitions` VALUES (7827, 9398, 3, 'Calificador del remitente ID (ISA05)');
INSERT INTO `lang_definitions` VALUES (7828, 9407, 3, 'Sensibilidades');
INSERT INTO `lang_definitions` VALUES (7829, 9411, 3, 'Sensibilidad:');
INSERT INTO `lang_definitions` VALUES (7830, 9412, 3, 'Examen sensorial normal');
INSERT INTO `lang_definitions` VALUES (7831, 9413, 3, 'Enviado');
INSERT INTO `lang_definitions` VALUES (7832, 9414, 3, 'Enviado - Confirmado');
INSERT INTO `lang_definitions` VALUES (7833, 9415, 3, 'Enviado por, dejar en blanco para todos');
INSERT INTO `lang_definitions` VALUES (7834, 9416, 3, 'Enviado por:');
INSERT INTO `lang_definitions` VALUES (7835, 9417, 3, 'Fecha de envio');
INSERT INTO `lang_definitions` VALUES (7836, 9418, 3, 'Incidencias Enviadas');
INSERT INTO `lang_definitions` VALUES (7837, 9419, 3, '¿Enviar Registros Médicos?');
INSERT INTO `lang_definitions` VALUES (7838, 9420, 3, 'Enviado con éxito');
INSERT INTO `lang_definitions` VALUES (7839, 9423, 3, 'Enviado a Impresora');
INSERT INTO `lang_definitions` VALUES (7840, 9424, 3, 'Enviado a, dejar en blanco para todos');
INSERT INTO `lang_definitions` VALUES (7841, 9429, 3, 'Sep');
INSERT INTO `lang_definitions` VALUES (7842, 9430, 3, 'Separado');
INSERT INTO `lang_definitions` VALUES (7843, 9431, 3, 'Septiembre');
INSERT INTO `lang_definitions` VALUES (7844, 9433, 3, 'Secuencia');
INSERT INTO `lang_definitions` VALUES (7845, 9442, 3, 'Servicio');
INSERT INTO `lang_definitions` VALUES (7846, 9444, 3, 'Categoría de Servicio');
INSERT INTO `lang_definitions` VALUES (7847, 9445, 3, 'Código Servicio');
INSERT INTO `lang_definitions` VALUES (7848, 9446, 3, 'Informe de códigos de servicio Financiero');
INSERT INTO `lang_definitions` VALUES (7849, 9447, 3, 'Códigos Servicio');
INSERT INTO `lang_definitions` VALUES (7850, 9448, 3, 'Fecha de Servicio');
INSERT INTO `lang_definitions` VALUES (7851, 9451, 3, 'Fecha de Servicio:');
INSERT INTO `lang_definitions` VALUES (7852, 9455, 3, 'Servicio de Localización');
INSERT INTO `lang_definitions` VALUES (7853, 9457, 3, 'Servicio prestado por el especialista');
INSERT INTO `lang_definitions` VALUES (7854, 9459, 3, 'Informe de servicio');
INSERT INTO `lang_definitions` VALUES (7855, 9460, 3, 'Informe de servicio sólo');
INSERT INTO `lang_definitions` VALUES (7856, 9461, 3, 'Servicios');
INSERT INTO `lang_definitions` VALUES (7857, 9462, 3, 'Servicios por Categoría');
INSERT INTO `lang_definitions` VALUES (7858, 9463, 3, 'Servicios proporcionados');
INSERT INTO `lang_definitions` VALUES (7859, 9464, 3, 'Servicios prestados');
INSERT INTO `lang_definitions` VALUES (7860, 9465, 3, 'Servicios/Productos');
INSERT INTO `lang_definitions` VALUES (7861, 9466, 3, 'Tipo Sesión');
INSERT INTO `lang_definitions` VALUES (7862, 9467, 3, 'Set');
INSERT INTO `lang_definitions` VALUES (7863, 9468, 3, 'Habilitar cookie para recordar el centro seleccionado entre sesiones.');
INSERT INTO `lang_definitions` VALUES (7864, 9469, 3, 'Definir como terminado');
INSERT INTO `lang_definitions` VALUES (7865, 9478, 3, 'Asignar este para la ruta absoluta. Para crear certificados clientes SSL para HTTPPS.');
INSERT INTO `lang_definitions` VALUES (7866, 9479, 3, 'Ajustar a');
INSERT INTO `lang_definitions` VALUES (7867, 9480, 3, 'Ajustar por defecto');
INSERT INTO `lang_definitions` VALUES (7868, 9486, 3, 'Ajustar el número de versión en la base de datos...');
INSERT INTO `lang_definitions` VALUES (7869, 9488, 3, 'Ajustes');
INSERT INTO `lang_definitions` VALUES (7870, 9493, 3, 'Migraña Grave');
INSERT INTO `lang_definitions` VALUES (7871, 9496, 3, 'Severidad del dolor');
INSERT INTO `lang_definitions` VALUES (7872, 9497, 3, 'Severidad del dolor');
INSERT INTO `lang_definitions` VALUES (7873, 9498, 3, 'Sexo');
INSERT INTO `lang_definitions` VALUES (7874, 9499, 3, 'Enfermedades de Transmisión Sexual');
INSERT INTO `lang_definitions` VALUES (7875, 9503, 3, 'Conpartir');
INSERT INTO `lang_definitions` VALUES (7876, 9504, 3, 'Intérprete de comandos para imprimir desde el servidor');
INSERT INTO `lang_definitions` VALUES (7877, 9510, 3, 'Falta de aire al respirar');
INSERT INTO `lang_definitions` VALUES (7878, 9511, 3, 'Falta de Aliento');
INSERT INTO `lang_definitions` VALUES (7879, 9512, 3, 'Falta de Aliento 2');
INSERT INTO `lang_definitions` VALUES (7880, 9513, 3, 'Registro de Tiro');
INSERT INTO `lang_definitions` VALUES (7881, 9514, 3, 'Fecha de Expediente de Tiro:');
INSERT INTO `lang_definitions` VALUES (7882, 9516, 3, 'debe ser como nnnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (7883, 9517, 3, 'Deben ser dos letras');
INSERT INTO `lang_definitions` VALUES (7884, 9518, 3, 'Debe contener 10 dígitos');
INSERT INTO `lang_definitions` VALUES (7885, 9519, 3, 'Debe contener sólo 10 dígitos');
INSERT INTO `lang_definitions` VALUES (7886, 9520, 3, 'Hombro');
INSERT INTO `lang_definitions` VALUES (7887, 9521, 3, 'Hombro + Clavicula');
INSERT INTO `lang_definitions` VALUES (7888, 9522, 3, 'Prob. de Hombro');
INSERT INTO `lang_definitions` VALUES (7889, 9523, 3, 'Presente');
INSERT INTO `lang_definitions` VALUES (7890, 9524, 3, 'Mostar Activo');
INSERT INTO `lang_definitions` VALUES (7891, 9527, 3, 'Mostrar Todo');
INSERT INTO `lang_definitions` VALUES (7892, 9531, 3, 'Mostrar Todas las Transacciones');
INSERT INTO `lang_definitions` VALUES (7893, 9532, 3, 'Occupado');
INSERT INTO `lang_definitions` VALUES (7894, 9533, 3, 'Mostrar Sólo Autorizado');
INSERT INTO `lang_definitions` VALUES (7895, 9534, 3, 'Mostrar Horas Disponibles');
INSERT INTO `lang_definitions` VALUES (7896, 9535, 3, 'Mostrar ambos US y métrica (unidad principal es métrica)');
INSERT INTO `lang_definitions` VALUES (7897, 9536, 3, 'Mostrar ambos US y métrica (unidad principal es US)');
INSERT INTO `lang_definitions` VALUES (7898, 9540, 3, 'Mostrar Detalles');
INSERT INTO `lang_definitions` VALUES (7899, 9544, 3, 'Mostrar Gráfico');
INSERT INTO `lang_definitions` VALUES (7900, 9546, 3, '¿Demuestre el texto de cernido del acontecimiento en mouseover?');
INSERT INTO `lang_definitions` VALUES (7901, 9547, 3, 'Mostrar el número de eventos en las páginas de administrador?');
INSERT INTO `lang_definitions` VALUES (7902, 9548, 3, 'Mostrar Inactivo');
INSERT INTO `lang_definitions` VALUES (7903, 9552, 3, 'Mostrar Menú');
INSERT INTO `lang_definitions` VALUES (7904, 9553, 3, 'Mostrar sólo métrica');
INSERT INTO `lang_definitions` VALUES (7905, 9556, 3, 'Cuantos eventos mostrar en paginas de admin');
INSERT INTO `lang_definitions` VALUES (7906, 9561, 3, 'Mostrar notas de pacientes');
INSERT INTO `lang_definitions` VALUES (7907, 9564, 3, 'Mostrar primario completo');
INSERT INTO `lang_definitions` VALUES (7908, 9568, 3, 'Mostrar avisos');
INSERT INTO `lang_definitions` VALUES (7909, 9569, 3, 'Mostrar Informe');
INSERT INTO `lang_definitions` VALUES (7910, 9570, 3, 'Mostrar enlace búsqueda/aceptar en bloque?');
INSERT INTO `lang_definitions` VALUES (7911, 9574, 3, 'Mostrar el formulario de estado personalizado para agregar a lista de widget (preguntará por el título y la abreviatura).');
INSERT INTO `lang_definitions` VALUES (7912, 9580, 3, 'Mostrar sólo no facturados');
INSERT INTO `lang_definitions` VALUES (7913, 9581, 3, 'Mostrar solo USA');
INSERT INTO `lang_definitions` VALUES (7914, 9585, 3, 'Mostrando');
INSERT INTO `lang_definitions` VALUES (7915, 9595, 3, 'Hermanos');
INSERT INTO `lang_definitions` VALUES (7916, 9596, 3, 'Célula de hoz (falciforme)');
INSERT INTO `lang_definitions` VALUES (7917, 9597, 3, 'Sig');
INSERT INTO `lang_definitions` VALUES (7918, 9598, 3, 'Sigmoide/Colonoscopia');
INSERT INTO `lang_definitions` VALUES (7919, 9601, 3, 'Firma resultados laboratorio (escribir, opcional sólo añadir)');
INSERT INTO `lang_definitions` VALUES (7920, 9603, 3, 'Firmar Resultados');
INSERT INTO `lang_definitions` VALUES (7921, 9606, 3, 'Firma');
INSERT INTO `lang_definitions` VALUES (7922, 9609, 3, 'Firma:');
INSERT INTO `lang_definitions` VALUES (7923, 9612, 3, 'Receta firmada');
INSERT INTO `lang_definitions` VALUES (7924, 9614, 3, 'Hinchazón Significativa:');
INSERT INTO `lang_definitions` VALUES (7925, 9616, 3, 'Co-Pago Simplificado');
INSERT INTO `lang_definitions` VALUES (7926, 9617, 3, 'Demográficos Simplificados');
INSERT INTO `lang_definitions` VALUES (7927, 9618, 3, 'Prescripciones Simplificadas');
INSERT INTO `lang_definitions` VALUES (7928, 9619, 3, 'Desde');
INSERT INTO `lang_definitions` VALUES (7929, 9620, 3, 'Sinceramente,');
INSERT INTO `lang_definitions` VALUES (7930, 9622, 3, 'Soltero');
INSERT INTO `lang_definitions` VALUES (7931, 9624, 3, 'Lista selección única');
INSERT INTO `lang_definitions` VALUES (7932, 9625, 3, 'Lista de selección única con posibilidad de añadir a la lista');
INSERT INTO `lang_definitions` VALUES (7933, 9629, 3, 'Problemas del Seno');
INSERT INTO `lang_definitions` VALUES (7934, 9630, 3, 'Cirugía de Seno');
INSERT INTO `lang_definitions` VALUES (7935, 9631, 3, 'SENSIBILIDAD DE SENO:');
INSERT INTO `lang_definitions` VALUES (7936, 9632, 3, 'Sinusitis');
INSERT INTO `lang_definitions` VALUES (7937, 9637, 3, 'Nº Identificación');
INSERT INTO `lang_definitions` VALUES (7938, 9639, 3, 'Nº Identificación para soporte OpenEMR del Servicio Intercambio Laboratorio LLC.');
INSERT INTO `lang_definitions` VALUES (7939, 9643, 3, 'Tamaño');
INSERT INTO `lang_definitions` VALUES (7940, 9646, 3, 'El tamaño debe ser un número entre 1 y 999');
INSERT INTO `lang_definitions` VALUES (7941, 9648, 3, 'Tamaño/Lista');
INSERT INTO `lang_definitions` VALUES (7942, 9650, 3, 'Piel');
INSERT INTO `lang_definitions` VALUES (7943, 9651, 3, 'Cáncer de Piel');
INSERT INTO `lang_definitions` VALUES (7944, 9652, 3, 'Enfermedad de Piel');
INSERT INTO `lang_definitions` VALUES (7945, 9653, 3, 'Otra Piel');
INSERT INTO `lang_definitions` VALUES (7946, 9654, 3, 'Saltar autorización o Notas de paciente');
INSERT INTO `lang_definitions` VALUES (7947, 9659, 3, 'Saltar sección');
INSERT INTO `lang_definitions` VALUES (7948, 9660, 3, 'Saltarse SQL-Ledger dump - no se han aplicado para el servidor de Windows');
INSERT INTO `lang_definitions` VALUES (7949, 9664, 3, 'Patrones de Sueño');
INSERT INTO `lang_definitions` VALUES (7950, 9665, 3, 'Patrones de Sueño');
INSERT INTO `lang_definitions` VALUES (7951, 9666, 3, 'Durmiendo');
INSERT INTO `lang_definitions` VALUES (7952, 9668, 3, 'Eslovaco');
INSERT INTO `lang_definitions` VALUES (7953, 9670, 3, 'La deuda de SM sin');
INSERT INTO `lang_definitions` VALUES (7954, 9675, 3, 'Smarty caché ha sido borrada');
INSERT INTO `lang_definitions` VALUES (7955, 9676, 3, 'Fumador, estado actual desconocido');
INSERT INTO `lang_definitions` VALUES (7956, 9678, 3, 'Tabaquismo');
INSERT INTO `lang_definitions` VALUES (7957, 9680, 3, 'SMS Autorización');
INSERT INTO `lang_definitions` VALUES (7958, 9683, 3, 'Puerta de enlace SMS');
INSERT INTO `lang_definitions` VALUES (7959, 9684, 3, 'Clave API puerta enlace SMS');
INSERT INTO `lang_definitions` VALUES (7960, 9685, 3, 'Clave API puerta enlace SMS');
INSERT INTO `lang_definitions` VALUES (7961, 9686, 3, 'Contraseña puerta de enlace SMS');
INSERT INTO `lang_definitions` VALUES (7962, 9687, 3, 'Usuario puerta de enlace SMS');
INSERT INTO `lang_definitions` VALUES (7963, 9689, 3, 'Notificación de SMS');
INSERT INTO `lang_definitions` VALUES (7964, 9690, 3, 'Horario Notificación SMS');
INSERT INTO `lang_definitions` VALUES (7965, 9693, 3, 'SMS envían antes');
INSERT INTO `lang_definitions` VALUES (7966, 9694, 3, 'SMS Enviado');
INSERT INTO `lang_definitions` VALUES (7967, 9697, 3, 'SMS de texto, Etiqueta Utilizable: ***NOMBRE *** *** FACULTATIVO, *** *** FECHA *** *** HORA DE COMIENZO*** , *** HORA DE SALIDA *** *** <br> i.e. Estimado ***NOMBRE ***');
INSERT INTO `lang_definitions` VALUES (7968, 9701, 3, 'Ajustes Alerta SMS/email');
INSERT INTO `lang_definitions` VALUES (7969, 9703, 3, 'Contraseña para Autenticación SMTP');
INSERT INTO `lang_definitions` VALUES (7970, 9704, 3, 'Protocolo de Seguridad de SMTP');
INSERT INTO `lang_definitions` VALUES (7971, 9705, 3, 'Protocolo de Seguridad de SMTP para la conexión. Algunos servidores como gmail lo requieren');
INSERT INTO `lang_definitions` VALUES (7972, 9706, 3, 'SMTP Nombre servidor Host');
INSERT INTO `lang_definitions` VALUES (7973, 9707, 3, 'SMTP Puerto servidor');
INSERT INTO `lang_definitions` VALUES (7974, 9708, 3, 'SMTP Usuario para Autenticación');
INSERT INTO `lang_definitions` VALUES (7975, 9709, 3, 'SNOMED');
INSERT INTO `lang_definitions` VALUES (7976, 9711, 3, 'Diagnóstico SNOMED (RF1)');
INSERT INTO `lang_definitions` VALUES (7977, 9714, 3, 'Diagnóstico SNOMED (RF2)');
INSERT INTO `lang_definitions` VALUES (7978, 9717, 3, 'Base de datos SNOMED');
INSERT INTO `lang_definitions` VALUES (7979, 9718, 3, 'Diagnóstico SNOMED');
INSERT INTO `lang_definitions` VALUES (7980, 9721, 3, 'Ronquidos');
INSERT INTO `lang_definitions` VALUES (7981, 9722, 3, 'SOEP');
INSERT INTO `lang_definitions` VALUES (7982, 9726, 3, 'Dificultades Sociales');
INSERT INTO `lang_definitions` VALUES (7983, 9729, 3, 'Historia');
INSERT INTO `lang_definitions` VALUES (7984, 9730, 3, 'Número de Seguridad Social');
INSERT INTO `lang_definitions` VALUES (7985, 9732, 3, 'solución');
INSERT INTO `lang_definitions` VALUES (7986, 9734, 3, 'Contexto Somático');
INSERT INTO `lang_definitions` VALUES (7987, 9735, 3, 'Algunas autorizaciones no fueron exhibidas. Clic aquí para ver todas');
INSERT INTO `lang_definitions` VALUES (7988, 9736, 3, 'Algunos códigos no fueron exhibidos.');
INSERT INTO `lang_definitions` VALUES (7989, 9737, 3, 'Algunas visitas no fueron mostradas. Click aquí para ver todas.');
INSERT INTO `lang_definitions` VALUES (7990, 9738, 3, 'Se han producido algunos errores en el proceso de De Identificación');
INSERT INTO `lang_definitions` VALUES (7991, 9740, 3, 'Algunas notas no fueron mostradas.');
INSERT INTO `lang_definitions` VALUES (7992, 9743, 3, 'algunas palabras');
INSERT INTO `lang_definitions` VALUES (7993, 9747, 3, 'Algo salió mal. Por favor inténtelo de nuevo.');
INSERT INTO `lang_definitions` VALUES (7994, 9748, 3, 'Intervalo para Vencimiento Próximo (Avisos clínicos)');
INSERT INTO `lang_definitions` VALUES (7995, 9749, 3, 'Intervalo vencimiento próximo (Avisos paciente)');
INSERT INTO `lang_definitions` VALUES (7996, 9750, 3, 'Dolor de Garganta');
INSERT INTO `lang_definitions` VALUES (7997, 9751, 3, 'Lo siento no se ha fijado una cita');
INSERT INTO `lang_definitions` VALUES (7998, 9754, 3, 'Lo sentimos, hubo un problema subiendo su fichero');
INSERT INTO `lang_definitions` VALUES (7999, 9758, 3, 'Organizado por');
INSERT INTO `lang_definitions` VALUES (8000, 9759, 3, 'Orden por');
INSERT INTO `lang_definitions` VALUES (8001, 9761, 3, 'Organizar por checksum');
INSERT INTO `lang_definitions` VALUES (8002, 9762, 3, 'Ordenar por Comentarios');
INSERT INTO `lang_definitions` VALUES (8003, 9763, 3, 'Ordenar por usuario de Crt');
INSERT INTO `lang_definitions` VALUES (8004, 9764, 3, 'Ordenar por fecha');
INSERT INTO `lang_definitions` VALUES (8005, 9765, 3, 'Ordenar por fecha/hora');
INSERT INTO `lang_definitions` VALUES (8006, 9766, 3, 'Ordenar por Evento');
INSERT INTO `lang_definitions` VALUES (8007, 9767, 3, 'Ordenar por Grupo');
INSERT INTO `lang_definitions` VALUES (8008, 9770, 3, 'Ordenar por pacienteID');
INSERT INTO `lang_definitions` VALUES (8009, 9772, 3, 'ordenar por exito');
INSERT INTO `lang_definitions` VALUES (8010, 9774, 3, 'Ordenar por Usuario');
INSERT INTO `lang_definitions` VALUES (8011, 9775, 3, 'Ordenar por vacuna');
INSERT INTO `lang_definitions` VALUES (8012, 9776, 3, 'Orden descendente');
INSERT INTO `lang_definitions` VALUES (8013, 9777, 3, 'Ordenar resultado por');
INSERT INTO `lang_definitions` VALUES (8014, 9778, 3, 'Orden ascendente');
INSERT INTO `lang_definitions` VALUES (8015, 9779, 3, 'Fuente');
INSERT INTO `lang_definitions` VALUES (8016, 9781, 3, 'Fichero fuente');
INSERT INTO `lang_definitions` VALUES (8017, 9782, 3, 'Ruta fichero fuente');
INSERT INTO `lang_definitions` VALUES (8018, 9783, 3, 'Fuente falta de código');
INSERT INTO `lang_definitions` VALUES (8019, 9784, 3, 'Lote de fuente');
INSERT INTO `lang_definitions` VALUES (8020, 9789, 3, 'Fuente:');
INSERT INTO `lang_definitions` VALUES (8021, 9792, 3, 'Espacio');
INSERT INTO `lang_definitions` VALUES (8022, 9793, 3, 'ESPACIO');
INSERT INTO `lang_definitions` VALUES (8023, 9795, 3, 'Español');
INSERT INTO `lang_definitions` VALUES (8024, 9796, 3, 'Español (Latín América)');
INSERT INTO `lang_definitions` VALUES (8025, 9797, 3, 'Español (España)');
INSERT INTO `lang_definitions` VALUES (8026, 9801, 3, 'Especialista');
INSERT INTO `lang_definitions` VALUES (8027, 9802, 3, 'Nombre y firma del especialista');
INSERT INTO `lang_definitions` VALUES (8028, 9804, 3, 'Especialidad');
INSERT INTO `lang_definitions` VALUES (8029, 9805, 3, 'Sistemas de la especialidad');
INSERT INTO `lang_definitions` VALUES (8030, 9806, 3, 'Especialidad:');
INSERT INTO `lang_definitions` VALUES (8031, 9807, 3, 'Específico');
INSERT INTO `lang_definitions` VALUES (8032, 9808, 3, 'Aplicación específica');
INSERT INTO `lang_definitions` VALUES (8033, 9809, 3, 'Servicio específico anticonceptivo');
INSERT INTO `lang_definitions` VALUES (8034, 9810, 3, 'Resultado específico');
INSERT INTO `lang_definitions` VALUES (8035, 9811, 3, 'Servicio Específico');
INSERT INTO `lang_definitions` VALUES (8036, 9812, 3, 'Especificado');
INSERT INTO `lang_definitions` VALUES (8037, 9813, 3, 'Formato específico para códigos.#=dígito, *=cualquier caracter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (8038, 9814, 3, 'Formato específico para códigos.#=dígito, @=alfabético, *=cualquier caracter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (8039, 9815, 3, 'Formato específico para número de referencia de facturas.#=dígito, *=cualquier caracter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (8040, 9816, 3, 'Formato específico para número de referencia de facturas.#=dígito, @=alfabético, *=cualquier caracter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (8041, 9817, 3, 'Formato producto campos NCD. #=dígito, *=cualquier carácter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (8042, 9818, 3, 'Formato producto campos NCD. #=dígito, @=alfabético, *=cualquier carácter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (8043, 9819, 3, 'Formato ID paciente externo.#=dígito,*=cualquier carácter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (8044, 9820, 3, 'Formato ID paciente externo.#=dígito, @=Alfabético, *=cualquier carácter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (8045, 9823, 3, 'Especimen');
INSERT INTO `lang_definitions` VALUES (8046, 9824, 3, 'Especimen número/Identificador');
INSERT INTO `lang_definitions` VALUES (8047, 9825, 3, 'Tipo de especimen');
INSERT INTO `lang_definitions` VALUES (8048, 9827, 3, 'Dictado');
INSERT INTO `lang_definitions` VALUES (8049, 9828, 3, 'Espermicidas');
INSERT INTO `lang_definitions` VALUES (8050, 9831, 3, 'Esplenectomía');
INSERT INTO `lang_definitions` VALUES (8051, 9832, 3, 'Esposa');
INSERT INTO `lang_definitions` VALUES (8052, 9834, 3, 'Esputo');
INSERT INTO `lang_definitions` VALUES (8053, 9835, 3, 'Esputo:');
INSERT INTO `lang_definitions` VALUES (8054, 9836, 3, 'SQ');
INSERT INTO `lang_definitions` VALUES (8055, 9839, 3, 'Equipo');
INSERT INTO `lang_definitions` VALUES (8056, 9840, 3, 'Miembro de Equipo');
INSERT INTO `lang_definitions` VALUES (8057, 9841, 3, 'Equipos');
INSERT INTO `lang_definitions` VALUES (8058, 9843, 3, 'SRH');
INSERT INTO `lang_definitions` VALUES (8059, 9844, 3, 'SRH - Planificación de la Familia');
INSERT INTO `lang_definitions` VALUES (8060, 9845, 3, 'SRH Sin Planificación de la Familia');
INSERT INTO `lang_definitions` VALUES (8061, 9846, 3, 'SRH Derivados');
INSERT INTO `lang_definitions` VALUES (8062, 9847, 3, 'Forma de la visita del SRH');
INSERT INTO `lang_definitions` VALUES (8063, 9848, 3, 'Fecha servicio');
INSERT INTO `lang_definitions` VALUES (8064, 9849, 3, 'SS');
INSERT INTO `lang_definitions` VALUES (8065, 9850, 3, 'Certificado de Administracion SSL');
INSERT INTO `lang_definitions` VALUES (8066, 9851, 3, 'Nº SS');
INSERT INTO `lang_definitions` VALUES (8067, 9852, 3, 'comienzo');
INSERT INTO `lang_definitions` VALUES (8068, 9854, 3, 'Versiones preparadas');
INSERT INTO `lang_definitions` VALUES (8069, 9855, 3, 'Estándar');
INSERT INTO `lang_definitions` VALUES (8070, 9857, 3, 'Codigo usual');
INSERT INTO `lang_definitions` VALUES (8071, 9860, 3, 'Medidas estándar');
INSERT INTO `lang_definitions` VALUES (8072, 9864, 3, 'Nombre estándar');
INSERT INTO `lang_definitions` VALUES (8073, 9866, 3, 'Comienzo');
INSERT INTO `lang_definitions` VALUES (8074, 9867, 3, 'Comienzo (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (8075, 9874, 3, 'Fecha Comienzo:');
INSERT INTO `lang_definitions` VALUES (8076, 9876, 3, 'Fecha de inicio en esta clínica');
INSERT INTO `lang_definitions` VALUES (8077, 9877, 3, 'Fecha de inicio no debe ser mayor que la fecha final');
INSERT INTO `lang_definitions` VALUES (8078, 9878, 3, 'Fecha comienzo:');
INSERT INTO `lang_definitions` VALUES (8079, 9879, 3, 'Fecha Comienzo:');
INSERT INTO `lang_definitions` VALUES (8080, 9881, 3, 'Hora de Comienzo');
INSERT INTO `lang_definitions` VALUES (8081, 9884, 3, 'Fecha el Comenzar');
INSERT INTO `lang_definitions` VALUES (8082, 9888, 3, 'Estado');
INSERT INTO `lang_definitions` VALUES (8083, 9889, 3, 'Estado');
INSERT INTO `lang_definitions` VALUES (8084, 9890, 3, 'Tipo de datos estado');
INSERT INTO `lang_definitions` VALUES (8085, 9892, 3, 'D.N.I.');
INSERT INTO `lang_definitions` VALUES (8086, 9893, 3, 'Lista estado');
INSERT INTO `lang_definitions` VALUES (8087, 9894, 3, 'Lista estado (escriba, sólo añadir opcional)');
INSERT INTO `lang_definitions` VALUES (8088, 9896, 3, 'Lista de estados de los campos Widget personalizados');
INSERT INTO `lang_definitions` VALUES (8089, 9897, 3, 'Estado o Provincia');
INSERT INTO `lang_definitions` VALUES (8090, 9898, 3, 'Provincia/Localidad');
INSERT INTO `lang_definitions` VALUES (8091, 9899, 3, 'Provincia/Parroquia');
INSERT INTO `lang_definitions` VALUES (8092, 9903, 3, 'RESUMEN SUMARIO');
INSERT INTO `lang_definitions` VALUES (8093, 9904, 3, 'extractos y facturas de actualización.');
INSERT INTO `lang_definitions` VALUES (8094, 9906, 3, 'Declaraciones enviadas:n');
INSERT INTO `lang_definitions` VALUES (8095, 9907, 3, 'extractos, facturas no seran actualizadas');
INSERT INTO `lang_definitions` VALUES (8096, 9908, 3, 'Texto estático');
INSERT INTO `lang_definitions` VALUES (8097, 9909, 3, 'Estadísticas');
INSERT INTO `lang_definitions` VALUES (8098, 9910, 3, 'Estadísticas');
INSERT INTO `lang_definitions` VALUES (8099, 9911, 3, 'Estado');
INSERT INTO `lang_definitions` VALUES (8100, 9916, 3, 'Estado actual');
INSERT INTO `lang_definitions` VALUES (8101, 9918, 3, 'Couns de ETS/SIDA');
INSERT INTO `lang_definitions` VALUES (8102, 9919, 3, 'Stength y Acondicionado');
INSERT INTO `lang_definitions` VALUES (8103, 9920, 3, 'Hijastro');
INSERT INTO `lang_definitions` VALUES (8104, 9921, 3, 'Padrastro');
INSERT INTO `lang_definitions` VALUES (8105, 9923, 3, 'Hijastro');
INSERT INTO `lang_definitions` VALUES (8106, 9925, 3, 'Pasos para instalar la bbdd DSM IV');
INSERT INTO `lang_definitions` VALUES (8107, 9926, 3, 'Pasos para instalar la bbdd ICD 10');
INSERT INTO `lang_definitions` VALUES (8108, 9927, 3, 'Pasos para instalar la bbdd ICD 9');
INSERT INTO `lang_definitions` VALUES (8109, 9928, 3, 'Pasos para instalar la bbdd RxNorm');
INSERT INTO `lang_definitions` VALUES (8110, 9929, 3, 'Pasos para instalar la bbdd Snomed');
INSERT INTO `lang_definitions` VALUES (8111, 9932, 3, 'Coyunturas Tiesas');
INSERT INTO `lang_definitions` VALUES (8112, 9933, 3, 'Tiesura');
INSERT INTO `lang_definitions` VALUES (8113, 9935, 3, 'Meses de Reservas');
INSERT INTO `lang_definitions` VALUES (8114, 9936, 3, 'Dolores de Estómago');
INSERT INTO `lang_definitions` VALUES (8115, 9937, 3, 'Parar');
INSERT INTO `lang_definitions` VALUES (8116, 9942, 3, 'Hash almacenado');
INSERT INTO `lang_definitions` VALUES (8117, 9944, 3, 'Tensión del músculo');
INSERT INTO `lang_definitions` VALUES (8118, 9946, 3, 'Corriente');
INSERT INTO `lang_definitions` VALUES (8119, 9947, 3, 'Calle');
INSERT INTO `lang_definitions` VALUES (8120, 9948, 3, 'Calle de direccion');
INSERT INTO `lang_definitions` VALUES (8121, 9949, 3, 'Calle y Número');
INSERT INTO `lang_definitions` VALUES (8122, 9950, 3, 'Fuerza');
INSERT INTO `lang_definitions` VALUES (8123, 9952, 3, 'Estrep Garganta');
INSERT INTO `lang_definitions` VALUES (8124, 9953, 3, 'Fractura de Estrés');
INSERT INTO `lang_definitions` VALUES (8125, 9954, 3, 'Prueba de Estrés');
INSERT INTO `lang_definitions` VALUES (8126, 9956, 3, 'Derrame Cerebral');
INSERT INTO `lang_definitions` VALUES (8127, 9958, 3, 'Contraseña segura significa al menos 8 caracteres, y que al menos tres sean: un número, una minúscula, una mayúscula, un carácter especial.');
INSERT INTO `lang_definitions` VALUES (8128, 9961, 3, 'Estilo del formulario usado para añadir nuevos pacientes');
INSERT INTO `lang_definitions` VALUES (8129, 9965, 3, 'Sub-categoría');
INSERT INTO `lang_definitions` VALUES (8130, 9966, 3, 'Sub-Total');
INSERT INTO `lang_definitions` VALUES (8131, 9967, 3, 'Subcategoria');
INSERT INTO `lang_definitions` VALUES (8132, 9968, 3, 'subcategoria');
INSERT INTO `lang_definitions` VALUES (8133, 9969, 3, 'Subcutáneo');
INSERT INTO `lang_definitions` VALUES (8134, 9970, 3, 'Asunto');
INSERT INTO `lang_definitions` VALUES (8135, 9971, 3, 'Subjetivo');
INSERT INTO `lang_definitions` VALUES (8136, 9972, 3, 'Sublingual');
INSERT INTO `lang_definitions` VALUES (8137, 9973, 3, 'sublingual');
INSERT INTO `lang_definitions` VALUES (8138, 9974, 3, 'Aceptar');
INSERT INTO `lang_definitions` VALUES (8139, 9975, 3, 'Aceptar');
INSERT INTO `lang_definitions` VALUES (8140, 9976, 3, 'Aceptar todo el contenido');
INSERT INTO `lang_definitions` VALUES (8141, 9979, 3, 'Aceptar Evento');
INSERT INTO `lang_definitions` VALUES (8142, 9980, 3, 'Aceptar Formulario');
INSERT INTO `lang_definitions` VALUES (8143, 9982, 3, 'Aceptar contenido seleccionado');
INSERT INTO `lang_definitions` VALUES (8144, 9984, 3, 'Aceptado');
INSERT INTO `lang_definitions` VALUES (8145, 9985, 3, 'Aceptado por');
INSERT INTO `lang_definitions` VALUES (8146, 9986, 3, 'Número de acceso EDI del Presentador(PER06)');
INSERT INTO `lang_definitions` VALUES (8147, 9987, 3, 'Suscriptor');
INSERT INTO `lang_definitions` VALUES (8148, 9988, 3, 'Dirección del Suscriptor');
INSERT INTO `lang_definitions` VALUES (8149, 9992, 3, 'empleador del suscriptor');
INSERT INTO `lang_definitions` VALUES (8150, 9993, 3, 'empleador del suscriptor (SE)');
INSERT INTO `lang_definitions` VALUES (8151, 9994, 3, 'Dirección del empleador del suscriptor');
INSERT INTO `lang_definitions` VALUES (8152, 9995, 3, 'Ciudad del empleador del suscriptor');
INSERT INTO `lang_definitions` VALUES (8153, 9996, 3, 'Subscriber Employer Country');
INSERT INTO `lang_definitions` VALUES (8154, 9997, 3, 'Estado del empleador del suscriptor');
INSERT INTO `lang_definitions` VALUES (8155, 10000, 3, 'Código postal del empleador del suscriptor');
INSERT INTO `lang_definitions` VALUES (8156, 10005, 3, 'Teléfono de Suscriptor');
INSERT INTO `lang_definitions` VALUES (8157, 10006, 3, 'Relación con el Suscriptor');
INSERT INTO `lang_definitions` VALUES (8158, 10007, 3, '¡La relación del suscriptor no es uno mismo pero el nombre es igual! ¿Es esto realmente ACEPTABLE?');
INSERT INTO `lang_definitions` VALUES (8159, 10008, 3, '¡La relación del suscriptor no es uno mismo pero el número de SS es igual!');
INSERT INTO `lang_definitions` VALUES (8160, 10009, 3, '¡La relación del suscriptor es uno mismo pero el nombre es diferente! ¿Es esto realmente ACEPTABLE?');
INSERT INTO `lang_definitions` VALUES (8161, 10010, 3, '¡La relación del suscriptor es uno mismo pero el número de SS es diferente!');
INSERT INTO `lang_definitions` VALUES (8162, 10011, 3, 'Sexo de Suscriptor');
INSERT INTO `lang_definitions` VALUES (8163, 10020, 3, 'Sustituto');
INSERT INTO `lang_definitions` VALUES (8164, 10021, 3, 'sustituto permitido');
INSERT INTO `lang_definitions` VALUES (8165, 10024, 3, 'Exito');
INSERT INTO `lang_definitions` VALUES (8166, 10025, 3, 'éxito');
INSERT INTO `lang_definitions` VALUES (8167, 10026, 3, 'Confirmación de la recepción de resultados del laboratorio');
INSERT INTO `lang_definitions` VALUES (8168, 10027, 3, 'Confirmación obtención resultados de laboratorio');
INSERT INTO `lang_definitions` VALUES (8169, 10028, 3, 'Éxito obteniendo los resultados de la Red de Intercambio del Laboratorio');
INSERT INTO `lang_definitions` VALUES (8170, 10030, 3, 'Categoría añadida correctamente');
INSERT INTO `lang_definitions` VALUES (8171, 10031, 3, 'agregado con éxito a la categoría,');
INSERT INTO `lang_definitions` VALUES (8172, 10033, 3, 'Borrado completado');
INSERT INTO `lang_definitions` VALUES (8173, 10035, 3, 'Instalado en Base Datos completado');
INSERT INTO `lang_definitions` VALUES (8174, 10036, 3, 'La siguiente bbdd ha sido instalada correctamente');
INSERT INTO `lang_definitions` VALUES (8175, 10037, 3, 'Modificación Completada');
INSERT INTO `lang_definitions` VALUES (8176, 10039, 3, 'Correctamente salvado. ¿Le gustaría asignarlo?');
INSERT INTO `lang_definitions` VALUES (8177, 10040, 3, 'Correctamente salvado. ¿Le gustaría distribuir?');
INSERT INTO `lang_definitions` VALUES (8178, 10042, 3, 'almacenado con éxito.');
INSERT INTO `lang_definitions` VALUES (8179, 10044, 3, 'Base de datos actualizada correctamente.');
INSERT INTO `lang_definitions` VALUES (8180, 10045, 3, 'La siguiente bbdd ha sido actualizada correctamente');
INSERT INTO `lang_definitions` VALUES (8181, 10046, 3, 'con éxito.');
INSERT INTO `lang_definitions` VALUES (8182, 10049, 3, 'Suicidio');
INSERT INTO `lang_definitions` VALUES (8183, 10051, 3, 'Resumen');
INSERT INTO `lang_definitions` VALUES (8184, 10052, 3, 'Sumario de');
INSERT INTO `lang_definitions` VALUES (8185, 10058, 3, 'Domingo');
INSERT INTO `lang_definitions` VALUES (8186, 10060, 3, 'Domingo');
INSERT INTO `lang_definitions` VALUES (8187, 10061, 3, 'Superbill');
INSERT INTO `lang_definitions` VALUES (8188, 10062, 3, 'Códigos de superbill');
INSERT INTO `lang_definitions` VALUES (8189, 10063, 3, 'Códigos Superbill Administración');
INSERT INTO `lang_definitions` VALUES (8190, 10065, 3, 'Reportes de superbill');
INSERT INTO `lang_definitions` VALUES (8191, 10066, 3, 'Superbill/Hoja de precios');
INSERT INTO `lang_definitions` VALUES (8192, 10067, 3, 'Superbills');
INSERT INTO `lang_definitions` VALUES (8193, 10068, 3, 'Superbills, referido a veces a Formularios de visitas u hojas de ruta, son una parte esencial en la mayoría de los centros médicos.');
INSERT INTO `lang_definitions` VALUES (8194, 10069, 3, 'Superusuario');
INSERT INTO `lang_definitions` VALUES (8195, 10071, 3, 'Supervisando');
INSERT INTO `lang_definitions` VALUES (8196, 10073, 3, 'Dr.Supervisor DEA');
INSERT INTO `lang_definitions` VALUES (8197, 10074, 3, 'Primer Nombre Doctor Supervisor');
INSERT INTO `lang_definitions` VALUES (8198, 10075, 3, 'Apellido Doctor Supervisor');
INSERT INTO `lang_definitions` VALUES (8199, 10076, 3, 'Dr.Supervisor NPI');
INSERT INTO `lang_definitions` VALUES (8200, 10077, 3, 'Dr.Supervisor UPIN');
INSERT INTO `lang_definitions` VALUES (8201, 10081, 3, 'Nombre del centro proveedor');
INSERT INTO `lang_definitions` VALUES (8202, 10082, 3, 'Soporte de los eventos de calendario que se aplican a múltiples facultativos');
INSERT INTO `lang_definitions` VALUES (8203, 10083, 3, 'Soporte configuración de datos de importación/exportación a través de la página de backup');
INSERT INTO `lang_definitions` VALUES (8204, 10084, 3, 'Soporte eventos multi-facultativo');
INSERT INTO `lang_definitions` VALUES (8205, 10088, 3, 'Soporta sólo enciptación/desencriptación TripleDES');
INSERT INTO `lang_definitions` VALUES (8206, 10090, 3, 'Tipo de Superficie');
INSERT INTO `lang_definitions` VALUES (8207, 10092, 3, 'Cirugías');
INSERT INTO `lang_definitions` VALUES (8208, 10093, 3, 'Cirugía');
INSERT INTO `lang_definitions` VALUES (8209, 10095, 3, 'Suspendido');
INSERT INTO `lang_definitions` VALUES (8210, 10096, 3, 'suspención');
INSERT INTO `lang_definitions` VALUES (8211, 10098, 3, 'Fecha Servicio');
INSERT INTO `lang_definitions` VALUES (8212, 10099, 3, 'Fecha Servicio:');
INSERT INTO `lang_definitions` VALUES (8213, 10102, 3, 'Sudoración:');
INSERT INTO `lang_definitions` VALUES (8214, 10103, 3, 'Sueco');
INSERT INTO `lang_definitions` VALUES (8215, 10104, 3, 'Hinchazón');
INSERT INTO `lang_definitions` VALUES (8216, 10105, 3, 'Hinchazón a la Derecha');
INSERT INTO `lang_definitions` VALUES (8217, 10106, 3, 'Articulaciones Inflamadas');
INSERT INTO `lang_definitions` VALUES (8218, 10107, 3, 'Inflamación de los ganglios linfáticos');
INSERT INTO `lang_definitions` VALUES (8219, 10108, 3, 'Símbolo usado como punto decimal para moneda. No usado si los decimales son 0.');
INSERT INTO `lang_definitions` VALUES (8220, 10109, 3, 'Símbolo usado para separar miles en moneda.');
INSERT INTO `lang_definitions` VALUES (8221, 10110, 3, 'Síntomas');
INSERT INTO `lang_definitions` VALUES (8222, 10111, 3, 'Sincronizar');
INSERT INTO `lang_definitions` VALUES (8223, 10112, 3, 'Sincronizar traducción con la tabla de idioma del cliente');
INSERT INTO `lang_definitions` VALUES (8224, 10113, 3, 'Sincronizado constante de nuevo cliente:');
INSERT INTO `lang_definitions` VALUES (8225, 10114, 3, 'Sincronizar nuevo idioma cliente');
INSERT INTO `lang_definitions` VALUES (8226, 10115, 3, 'Sincronizado nueva definición (Idioma, Constante, Definición):');
INSERT INTO `lang_definitions` VALUES (8227, 10116, 3, 'Síncope');
INSERT INTO `lang_definitions` VALUES (8228, 10117, 3, 'Vigilancia de Síndrome');
INSERT INTO `lang_definitions` VALUES (8229, 10118, 3, 'Vigilancia síndrome - Sin problemas notificados');
INSERT INTO `lang_definitions` VALUES (8230, 10120, 3, 'Sinovitis, pinzamiento, bursitis');
INSERT INTO `lang_definitions` VALUES (8231, 10121, 3, 'Sistema');
INSERT INTO `lang_definitions` VALUES (8232, 10128, 3, 'T');
INSERT INTO `lang_definitions` VALUES (8233, 10130, 3, 't.i.d.');
INSERT INTO `lang_definitions` VALUES (8234, 10131, 3, 'T.V.');
INSERT INTO `lang_definitions` VALUES (8235, 10133, 3, 'Tabla');
INSERT INTO `lang_definitions` VALUES (8236, 10137, 3, 'La creación de la tabla falló');
INSERT INTO `lang_definitions` VALUES (8237, 10138, 3, 'La actualización de la tabla falló');
INSERT INTO `lang_definitions` VALUES (8238, 10140, 3, 'tableta');
INSERT INTO `lang_definitions` VALUES (8239, 10146, 3, 'Tagalog');
INSERT INTO `lang_definitions` VALUES (8240, 10149, 3, 'Tomar');
INSERT INTO `lang_definitions` VALUES (8241, 10151, 3, 'Escoger seguro, en el desplegable');
INSERT INTO `lang_definitions` VALUES (8242, 10152, 3, 'Escoger forma de pago, en el desplegable');
INSERT INTO `lang_definitions` VALUES (8243, 10153, 3, 'Recogida');
INSERT INTO `lang_definitions` VALUES (8244, 10154, 3, 'Toma tiempo');
INSERT INTO `lang_definitions` VALUES (8245, 10157, 3, 'Altura del área de navegación');
INSERT INTO `lang_definitions` VALUES (8246, 10164, 3, 'Fecha límite');
INSERT INTO `lang_definitions` VALUES (8247, 10168, 3, 'Objetivo/Grupos de Acción');
INSERT INTO `lang_definitions` VALUES (8248, 10173, 3, 'N.I.F./C.I.F.');
INSERT INTO `lang_definitions` VALUES (8249, 10174, 3, 'Tasa de Impuestos');
INSERT INTO `lang_definitions` VALUES (8250, 10175, 3, 'Impuestos');
INSERT INTO `lang_definitions` VALUES (8251, 10176, 3, 'Taxonomía');
INSERT INTO `lang_definitions` VALUES (8252, 10181, 3, 'TD');
INSERT INTO `lang_definitions` VALUES (8253, 10182, 3, 'Descripción de lesión del equipo');
INSERT INTO `lang_definitions` VALUES (8254, 10183, 3, 'Lista del Equipo');
INSERT INTO `lang_definitions` VALUES (8255, 10184, 3, 'Ver Lista de Equipo');
INSERT INTO `lang_definitions` VALUES (8256, 10185, 3, 'Equipo/Plantilla');
INSERT INTO `lang_definitions` VALUES (8257, 10187, 3, 'Tel');
INSERT INTO `lang_definitions` VALUES (8258, 10189, 3, 'Código País telefónico');
INSERT INTO `lang_definitions` VALUES (8259, 10192, 3, 'Temp');
INSERT INTO `lang_definitions` VALUES (8260, 10193, 3, 'Localización de la toma de temperat.');
INSERT INTO `lang_definitions` VALUES (8261, 10194, 3, 'Método para Temperat.');
INSERT INTO `lang_definitions` VALUES (8262, 10196, 3, 'Temperatura');
INSERT INTO `lang_definitions` VALUES (8263, 10197, 3, 'Plantilla');
INSERT INTO `lang_definitions` VALUES (8264, 10198, 3, 'Nombre de Plantilla');
INSERT INTO `lang_definitions` VALUES (8265, 10199, 3, 'Los nombres de la plantilla no pueden comenzar con números.');
INSERT INTO `lang_definitions` VALUES (8266, 10201, 3, 'Plantilla:');
INSERT INTO `lang_definitions` VALUES (8267, 10202, 3, 'Pantillas');
INSERT INTO `lang_definitions` VALUES (8268, 10205, 3, 'Arteria Temporal');
INSERT INTO `lang_definitions` VALUES (8269, 10208, 3, 'Daño al tendón');
INSERT INTO `lang_definitions` VALUES (8270, 10209, 3, 'Tendinitis / osis / bursitis');
INSERT INTO `lang_definitions` VALUES (8271, 10211, 3, 'Nºreferencia factura provisional');
INSERT INTO `lang_definitions` VALUES (8272, 10213, 3, 'Terciario');
INSERT INTO `lang_definitions` VALUES (8273, 10214, 3, 'Seguro Terciario');
INSERT INTO `lang_definitions` VALUES (8274, 10215, 3, 'Datos terciarios del seguro');
INSERT INTO `lang_definitions` VALUES (8275, 10216, 3, 'Proveedor terciario del seguro');
INSERT INTO `lang_definitions` VALUES (8276, 10219, 3, 'Planificación de estudios');
INSERT INTO `lang_definitions` VALUES (8277, 10220, 3, 'Sistema de Prueba');
INSERT INTO `lang_definitions` VALUES (8278, 10223, 3, 'Texto');
INSERT INTO `lang_definitions` VALUES (8279, 10224, 3, 'Texto Diagnóstico');
INSERT INTO `lang_definitions` VALUES (8280, 10225, 3, 'campo texto');
INSERT INTO `lang_definitions` VALUES (8281, 10233, 3, 'Fecha del texto');
INSERT INTO `lang_definitions` VALUES (8282, 10234, 3, 'texto actualizado');
INSERT INTO `lang_definitions` VALUES (8283, 10235, 3, 'Area de texto');
INSERT INTO `lang_definitions` VALUES (8284, 10236, 3, 'erea de texto');
INSERT INTO `lang_definitions` VALUES (8285, 10237, 3, 'Cuadro de texto');
INSERT INTO `lang_definitions` VALUES (8286, 10238, 3, 'caja de texto');
INSERT INTO `lang_definitions` VALUES (8287, 10239, 3, 'Lista del cuadro de texto');
INSERT INTO `lang_definitions` VALUES (8288, 10240, 3, 'lista de texto');
INSERT INTO `lang_definitions` VALUES (8289, 10241, 3, 'Tailandés');
INSERT INTO `lang_definitions` VALUES (8290, 10242, 3, 'Gracias');
INSERT INTO `lang_definitions` VALUES (8291, 10245, 3, 'Gracias por elegir');
INSERT INTO `lang_definitions` VALUES (8292, 10247, 3, 'El botón \'Limpiar\' eliminará todas las anotaciones.');
INSERT INTO `lang_definitions` VALUES (8293, 10254, 3, 'Falló la declaración anterior');
INSERT INTO `lang_definitions` VALUES (8294, 10264, 3, 'Llave publica y Certificado del Servidor Apache SSL');
INSERT INTO `lang_definitions` VALUES (8295, 10281, 3, 'El certificado de Autoridad Certificada');
INSERT INTO `lang_definitions` VALUES (8296, 10284, 3, 'El fichero de reclamación:');
INSERT INTO `lang_definitions` VALUES (8297, 10296, 3, 'La llave privada correspondiente');
INSERT INTO `lang_definitions` VALUES (8298, 10322, 3, 'El código de denegación es');
INSERT INTO `lang_definitions` VALUES (8299, 10323, 3, 'El código del grupo denegación es');
INSERT INTO `lang_definitions` VALUES (8300, 10328, 3, 'El formulario de destino está cerrado');
INSERT INTO `lang_definitions` VALUES (8301, 10330, 3, 'La forma de la destinación era cerrada; No puedo actuar en su selección.');
INSERT INTO `lang_definitions` VALUES (8302, 10350, 3, 'El evento(s) han sido aprobadas.');
INSERT INTO `lang_definitions` VALUES (8303, 10351, 3, 'Se han ocultado el evento(s).');
INSERT INTO `lang_definitions` VALUES (8304, 10352, 3, 'Los datos exportados aparecen en el área de texto a continuación. Puede copiarla y pegarla en un email o cualquier otro destino.');
INSERT INTO `lang_definitions` VALUES (8305, 10354, 3, 'Los datos exportados aparecen en el área de texto a continuación. Puede copiarla y pegarla en un email o cualquier otro destino.');
INSERT INTO `lang_definitions` VALUES (8306, 10355, 3, 'Los datos exportados aparecen en el área de texto de abajo. Puede copiar y pegar en el mail o cualquier otro destino deseado.');
INSERT INTO `lang_definitions` VALUES (8307, 10358, 3, 'El no puede salvarse en CouchDB.');
INSERT INTO `lang_definitions` VALUES (8308, 10359, 3, 'El fichero puede no estar correctamente renombrado, este error está normalmente relacionado con problemas de permiso en el sistema de almacenamiento.');
INSERT INTO `lang_definitions` VALUES (8309, 10360, 3, 'El fichero no ha sido archivado correctamente');
INSERT INTO `lang_definitions` VALUES (8310, 10374, 3, 'El primer paso es abrir una cuenta en el sitio web Unified Medical Language System');
INSERT INTO `lang_definitions` VALUES (8311, 10380, 3, 'Los siguientes eventos del calendario han sido añadido:');
INSERT INTO `lang_definitions` VALUES (8312, 10381, 3, 'Los siguientes eventos del calendario han sido modificado:');
INSERT INTO `lang_definitions` VALUES (8313, 10382, 3, 'Las siguentes categorías serán eliminadas de su lista de categorías');
INSERT INTO `lang_definitions` VALUES (8314, 10383, 3, 'La siguiente versión de la base de datos está actualmente instalada');
INSERT INTO `lang_definitions` VALUES (8315, 10386, 3, 'El siguiente fichero EDI ha sido subido');
INSERT INTO `lang_definitions` VALUES (8316, 10388, 3, 'El inicio sesión de usuario de emergencia siguiente esta activado:');
INSERT INTO `lang_definitions` VALUES (8317, 10389, 3, 'Los errores siguientes ocurrieron');
INSERT INTO `lang_definitions` VALUES (8318, 10392, 3, 'Los campos soguientes son requeridos');
INSERT INTO `lang_definitions` VALUES (8319, 10394, 3, 'Los siguientes campos tienen que estar rellenos para enviar la solicitud.');
INSERT INTO `lang_definitions` VALUES (8320, 10406, 3, 'Nombre del Host de la máquina repositoria auditoría ATNA');
INSERT INTO `lang_definitions` VALUES (8321, 10418, 3, 'La pantalla inicial es la página de búsqueda de la factura. En la parte superior puede introducir un dato (ej. número de cheque), fecha de pago e importe del cheque. El motivo del dato y la fecha de pago es para que no tenga que introducir una y otra vez para cada reclamación. La cantidad que usted introduzca será disminuido por cada factura que tenga pago parcial, y se espera que acabará en cero cuando haya terminado.');
INSERT INTO `lang_definitions` VALUES (8322, 10423, 3, 'La versión instalada y los ficheros preparados son iguales.');
INSERT INTO `lang_definitions` VALUES (8323, 10424, 3, 'La versión instalada es más reciente que los ficheros preparados.');
INSERT INTO `lang_definitions` VALUES (8324, 10431, 3, 'La etiqueta que aparece al usuario en la forma');
INSERT INTO `lang_definitions` VALUES (8325, 10438, 3, 'La longitud no debe exceder el siguiente número de caracteres');
INSERT INTO `lang_definitions` VALUES (8326, 10458, 3, 'La nueva categoría será una subcategoría de');
INSERT INTO `lang_definitions` VALUES (8327, 10460, 3, 'La nueva contraseña no puede ser la misma que la actual.');
INSERT INTO `lang_definitions` VALUES (8328, 10461, 3, 'Las contraseñas no son iguales');
INSERT INTO `lang_definitions` VALUES (8329, 10472, 3, 'El número de ficheros preparados es incorrecto. Sólo coloque los ficheros que quiera instalar/actualizar.');
INSERT INTO `lang_definitions` VALUES (8330, 10479, 3, 'La página será redirigida a demográficos. Puede editar el campo de país y click a través de NewCrop de nuevo.');
INSERT INTO `lang_definitions` VALUES (8331, 10482, 3, 'La contraseña debe tener al menos ocho caracteres, y debe');
INSERT INTO `lang_definitions` VALUES (8332, 10486, 3, 'El registro del paciente ha sido grabado');
INSERT INTO `lang_definitions` VALUES (8333, 10487, 3, 'Los recordatorios del paciente han sido enviados');
INSERT INTO `lang_definitions` VALUES (8334, 10488, 3, 'Los recordatorios del paciente han sido actualizados');
INSERT INTO `lang_definitions` VALUES (8335, 10493, 3, 'Los pagos enviados no pueden ser antes de esta fecha. Esto asegura que después del informe final nadie puede enviar fechas anteriores.');
INSERT INTO `lang_definitions` VALUES (8336, 10509, 3, 'La información restante abajo se aplica solamente si usted está fijando manualmente, o si usted está haciendo correcciones manuales.');
INSERT INTO `lang_definitions` VALUES (8337, 10513, 3, 'El documento solicitado no está presente en el lugar previsto en el sistema de ficheros o no hay suficientes permisos para acceder a ella.');
INSERT INTO `lang_definitions` VALUES (8338, 10537, 3, 'Las columnas de la fuente y de fecha se copian de la primera página, por lo que normalmente no será necesario que los toque. Usted puede poner una cantidad del pago en la columna de pagos, una cantidad de ajuste en la columna de ajuste, o ambas. Puedes también hacer clic en - W- a la derecha de computar automáticamente un ajuste valorar que escriba del resto de la carga para esa línea artículo.');
INSERT INTO `lang_definitions` VALUES (8339, 10540, 3, 'La versión de todos los ficheros preparados no es la misma.');
INSERT INTO `lang_definitions` VALUES (8340, 10541, 3, 'La revisión de todos los ficheros preparados no es la misma.');
INSERT INTO `lang_definitions` VALUES (8341, 10557, 3, 'La división temporal del calendario y el menor intervalo en minutos para una ranura de cita.');
INSERT INTO `lang_definitions` VALUES (8342, 10562, 3, 'La etiqueta traducida que aparecerá en la forma en lengua actual');
INSERT INTO `lang_definitions` VALUES (8343, 10563, 3, 'El título traducido que aparecerá en lengua actual');
INSERT INTO `lang_definitions` VALUES (8344, 10564, 3, 'La traducción de descripción en lengua actual');
INSERT INTO `lang_definitions` VALUES (8345, 10565, 3, 'La tabla de traducción está sincronizada');
INSERT INTO `lang_definitions` VALUES (8346, 10566, 3, 'Tipo de esta entidad');
INSERT INTO `lang_definitions` VALUES (8347, 10586, 3, 'El código de identificación específico del proveedor de este procedimiento o el resultado');
INSERT INTO `lang_definitions` VALUES (8348, 10591, 3, 'Los ficheros X12, así como la salida de informes HTML resultantes son archivados en el subdirectorio -era- del directorio principal de la instalación de OpenEMR. Si quiere hacer referencia a estos ficheros de vez en cuando. La URL es');
INSERT INTO `lang_definitions` VALUES (8349, 10593, 3, 'El file comprimido ha de contener los siguientes items');
INSERT INTO `lang_definitions` VALUES (8350, 10594, 3, 'Tema');
INSERT INTO `lang_definitions` VALUES (8351, 10601, 3, 'Inyecciones Terapéuticas');
INSERT INTO `lang_definitions` VALUES (8352, 10607, 3, 'Existen');
INSERT INTO `lang_definitions` VALUES (8353, 10610, 3, 'Actualmente no hay recetas');
INSERT INTO `lang_definitions` VALUES (8354, 10611, 3, 'Hay errores con su sumisión. Éstos se contornean abajo.');
INSERT INTO `lang_definitions` VALUES (8355, 10616, 3, 'No hay gráficos comprobados.');
INSERT INTO `lang_definitions` VALUES (8356, 10618, 3, 'No hay publicaciones grabadas para este paciente.');
INSERT INTO `lang_definitions` VALUES (8357, 10621, 3, 'No hay nuevas sumisiones');
INSERT INTO `lang_definitions` VALUES (8358, 10622, 3, 'No hay notas en el file para este paciente');
INSERT INTO `lang_definitions` VALUES (8359, 10624, 3, 'No hay transacciones archivadas para ese paciente');
INSERT INTO `lang_definitions` VALUES (8360, 10639, 3, 'Se ha producido un error al enviar correo a');
INSERT INTO `lang_definitions` VALUES (8361, 10642, 3, 'Ya existe una categoria nombrada');
INSERT INTO `lang_definitions` VALUES (8362, 10643, 3, 'Ya existe una subcategoria nombrada');
INSERT INTO `lang_definitions` VALUES (8363, 10644, 3, 'Ya existe un item nombrado');
INSERT INTO `lang_definitions` VALUES (8364, 10645, 3, 'Ya está abierto el registro de paciente solicitado.');
INSERT INTO `lang_definitions` VALUES (8365, 10646, 3, 'No hay entrada de COA para la cuenta de AR');
INSERT INTO `lang_definitions` VALUES (8366, 10647, 3, 'No hay entrada de COA para la cuenta de efectivo');
INSERT INTO `lang_definitions` VALUES (8367, 10648, 3, 'No hay entrada de COA para la cuenta de ingresos');
INSERT INTO `lang_definitions` VALUES (8368, 10649, 3, 'El paciente actual no existe');
INSERT INTO `lang_definitions` VALUES (8369, 10651, 3, 'No hay coicincidencia para el Nº Identificación factura');
INSERT INTO `lang_definitions` VALUES (8370, 10652, 3, 'No hay coicincidencia para el Nº Identificación factura =');
INSERT INTO `lang_definitions` VALUES (8371, 10653, 3, 'No hay partes de entrada para el Nº Identificación de los servicios');
INSERT INTO `lang_definitions` VALUES (8372, 10656, 3, 'Se ha producido un error mientras se procesaba su solicitud.');
INSERT INTO `lang_definitions` VALUES (8373, 10661, 3, 'Estos son los enlaces de 2012');
INSERT INTO `lang_definitions` VALUES (8374, 10682, 3, 'Espesado a la derecha:');
INSERT INTO `lang_definitions` VALUES (8375, 10683, 3, 'Muslo');
INSERT INTO `lang_definitions` VALUES (8376, 10684, 3, 'Muslo + tendón de la corva');
INSERT INTO `lang_definitions` VALUES (8377, 10686, 3, 'Cosas que la oficina trasera puede leer y entrar pero no modificar');
INSERT INTO `lang_definitions` VALUES (8378, 10687, 3, 'Things that back office can read and modify');
INSERT INTO `lang_definitions` VALUES (8379, 10690, 3, 'Cosas que los médicos pueden leer y entrar pero no modificar');
INSERT INTO `lang_definitions` VALUES (8380, 10691, 3, 'Cosas que los médicos pueden leer y modificar');
INSERT INTO `lang_definitions` VALUES (8381, 10694, 3, 'Cosas que la oficina central puede leer y entrar pero no modificar');
INSERT INTO `lang_definitions` VALUES (8382, 10695, 3, 'Cosas que la oficina central puede leer y modificar');
INSERT INTO `lang_definitions` VALUES (8383, 10698, 3, 'Cosas que los fisios pueden entrar y leer pero no modificar');
INSERT INTO `lang_definitions` VALUES (8384, 10699, 3, 'Cosas que los fisios pueden leer y modificar');
INSERT INTO `lang_definitions` VALUES (8385, 10701, 3, 'Tercera');
INSERT INTO `lang_definitions` VALUES (8386, 10704, 3, 'Esta acción NO SE PUEDE deshacer.');
INSERT INTO `lang_definitions` VALUES (8387, 10705, 3, 'Esta acción no se puede deshacer.');
INSERT INTO `lang_definitions` VALUES (8388, 10707, 3, 'Esta acción se registrará');
INSERT INTO `lang_definitions` VALUES (8389, 10712, 3, 'El espacio para la cita está ocupado, ¿usarlo de todas formas?');
INSERT INTO `lang_definitions` VALUES (8390, 10713, 3, 'Este espacio para cita no está disponible, por favor elegir otro.');
INSERT INTO `lang_definitions` VALUES (8391, 10714, 3, 'Este año de calendario');
INSERT INTO `lang_definitions` VALUES (8392, 10715, 3, 'Esta reclamación ha sido cancelada.');
INSERT INTO `lang_definitions` VALUES (8393, 10716, 3, 'La reclamación ha sido cerrada.');
INSERT INTO `lang_definitions` VALUES (8394, 10717, 3, 'La reclamación ha sido denegada. Razón:-');
INSERT INTO `lang_definitions` VALUES (8395, 10718, 3, 'La reclamación ha sido enviada a otro nivel');
INSERT INTO `lang_definitions` VALUES (8396, 10725, 3, 'Este tipo de código no acepta las relaciones.');
INSERT INTO `lang_definitions` VALUES (8397, 10727, 3, 'Este contexto contiene categorias, las cuales serán borradas. ¿Quiere continuar?');
INSERT INTO `lang_definitions` VALUES (8398, 10730, 3, 'Esto determina como se visualizarán las citas en el calendario.');
INSERT INTO `lang_definitions` VALUES (8399, 10731, 3, 'Esto determina como será el esquema de color usado para las citas');
INSERT INTO `lang_definitions` VALUES (8400, 10734, 3, 'Esta Visita');
INSERT INTO `lang_definitions` VALUES (8401, 10735, 3, 'Esta visita ha sido facturada. Si necesita cambiarlo, debe ser re-abierta.');
INSERT INTO `lang_definitions` VALUES (8402, 10740, 3, 'Esta caracteristica ya no está disponible');
INSERT INTO `lang_definitions` VALUES (8403, 10742, 3, 'Este atributo es experimental y no probado. Use a riesgo propio.');
INSERT INTO `lang_definitions` VALUES (8404, 10753, 3, 'Este número de factura se ha cambiado a');
INSERT INTO `lang_definitions` VALUES (8405, 10784, 3, 'esta ubicación');
INSERT INTO `lang_definitions` VALUES (8406, 10789, 3, 'Este módulo está en modo de prueba. La base de datos no será cambiada.');
INSERT INTO `lang_definitions` VALUES (8407, 10792, 3, 'Este módulo promueve la entrada eficiente de los datos de EOB.');
INSERT INTO `lang_definitions` VALUES (8408, 10793, 3, 'Este mes a fecha');
INSERT INTO `lang_definitions` VALUES (8409, 10798, 3, 'Esta página le permite revisar cada uno de los dataloads externos compatibles que puede instalar y actualizar. Cada sección de abajo se puede ampliar haciendo clic en la cabecera de sección para revisar el estado de interés de la bbdd.');
INSERT INTO `lang_definitions` VALUES (8410, 10801, 3, 'En esta página se incluye en línea la página de inicio de sesión, de modo que no tenemos que hacer clic en iniciar la sesión cada vez.');
INSERT INTO `lang_definitions` VALUES (8411, 10804, 3, 'Este paciente no tiene ninguna actividad.');
INSERT INTO `lang_definitions` VALUES (8412, 10805, 3, 'Este Nº Identificación de paciente ya está en uso!');
INSERT INTO `lang_definitions` VALUES (8413, 10807, 3, 'Este producto solo permite un lote por deposito');
INSERT INTO `lang_definitions` VALUES (8414, 10809, 3, 'Este informe actualmente sólo funciona para códigos ICD9.');
INSERT INTO `lang_definitions` VALUES (8415, 10821, 3, 'Este paso generará un fichero el cual salvará para uso futuro. El fichero no se puede generar de nuevo. ¿Quiere proceder?');
INSERT INTO `lang_definitions` VALUES (8416, 10822, 3, 'Este usuario no es miembro de ningún grupo');
INSERT INTO `lang_definitions` VALUES (8417, 10826, 3, 'Esta visita comienza nuevo uso anticonceptivo');
INSERT INTO `lang_definitions` VALUES (8418, 10827, 3, 'Esta visita necesitará un formulario GCAC, derivación o procedimiento de servicio.');
INSERT INTO `lang_definitions` VALUES (8419, 10828, 3, 'Esta fue la métrica más antigua de formularios de constantes vitales, ahora en desuso.');
INSERT INTO `lang_definitions` VALUES (8420, 10829, 3, 'Esta semana a fecha');
INSERT INTO `lang_definitions` VALUES (8421, 10831, 3, 'Esto activará informes CCR(Continuity of Care Record) y CCD(Continuity of Care Document)');
INSERT INTO `lang_definitions` VALUES (8422, 10834, 3, 'Esto permitirá la selección de la depuración (\'dummy\') de idioma.');
INSERT INTO `lang_definitions` VALUES (8423, 10843, 3, 'Esto creará un backup en formato tar y luego lo envia a su navegador web para que lo pueda guardar');
INSERT INTO `lang_definitions` VALUES (8424, 10844, 3, 'Esto desactivará las características de encriptación/desencriptación del documento, y lo ocultará en el UI.');
INSERT INTO `lang_definitions` VALUES (8425, 10854, 3, 'Esto forzará el widget de facturación en la pantalla resumen del paciente para que se abra siempre.');
INSERT INTO `lang_definitions` VALUES (8426, 10860, 3, 'Esto no le impiderá ir al sitio de recetas electrónicas.');
INSERT INTO `lang_definitions` VALUES (8427, 10867, 3, 'Esto usará la lista de vacunación personalizada en lugar de la lista de vacunación estándar CVX.');
INSERT INTO `lang_definitions` VALUES (8428, 10871, 3, 'Espina dorsal torácica');
INSERT INTO `lang_definitions` VALUES (8429, 10873, 3, 'Miles/CU.MM');
INSERT INTO `lang_definitions` VALUES (8430, 10878, 3, 'Garganta');
INSERT INTO `lang_definitions` VALUES (8431, 10879, 3, 'Cáncer de Garganta');
INSERT INTO `lang_definitions` VALUES (8432, 10880, 3, 'Cirugía del Cáncer de Garganta');
INSERT INTO `lang_definitions` VALUES (8433, 10881, 3, 'Trombosis/Derrame Cerebral');
INSERT INTO `lang_definitions` VALUES (8434, 10882, 3, 'Jueves');
INSERT INTO `lang_definitions` VALUES (8435, 10884, 3, 'Jueves');
INSERT INTO `lang_definitions` VALUES (8436, 10885, 3, 'Jueves');
INSERT INTO `lang_definitions` VALUES (8437, 10887, 3, 'Normal de la tiroides');
INSERT INTO `lang_definitions` VALUES (8438, 10888, 3, 'Problemas de la Tiroides');
INSERT INTO `lang_definitions` VALUES (8439, 10890, 3, 'TIA');
INSERT INTO `lang_definitions` VALUES (8440, 10902, 3, 'Tiempo');
INSERT INTO `lang_definitions` VALUES (8441, 10903, 3, 'Formato visualización de hora');
INSERT INTO `lang_definitions` VALUES (8442, 10904, 3, 'Incremento de tiempo para agrega (minutos 1-60)');
INSERT INTO `lang_definitions` VALUES (8443, 10905, 3, 'Seleccion de tiempo');
INSERT INTO `lang_definitions` VALUES (8444, 10907, 3, 'La ventana de tiempo está abieta, salvando evento');
INSERT INTO `lang_definitions` VALUES (8445, 10913, 3, 'El tiempo de evento');
INSERT INTO `lang_definitions` VALUES (8446, 10914, 3, 'Matriz tiempos (NO APLICABLE)');
INSERT INTO `lang_definitions` VALUES (8447, 10915, 3, 'Reloj fechador y texto');
INSERT INTO `lang_definitions` VALUES (8448, 10917, 3, 'TIN');
INSERT INTO `lang_definitions` VALUES (8449, 10918, 3, 'Tinnitus');
INSERT INTO `lang_definitions` VALUES (8450, 10920, 3, 'Título');
INSERT INTO `lang_definitions` VALUES (8451, 10923, 3, 'Título V');
INSERT INTO `lang_definitions` VALUES (8452, 10924, 3, 'Título de columnas debe ser un número entre 1 y 999');
INSERT INTO `lang_definitions` VALUES (8453, 10925, 3, 'Títulos');
INSERT INTO `lang_definitions` VALUES (8454, 10926, 3, 'TM\'S:');
INSERT INTO `lang_definitions` VALUES (8455, 10927, 3, 'TMs/EAMs/EE, ext nariz');
INSERT INTO `lang_definitions` VALUES (8456, 10928, 3, 'Para');
INSERT INTO `lang_definitions` VALUES (8457, 10929, 3, 'para');
INSERT INTO `lang_definitions` VALUES (8458, 10930, 3, 'PARA');
INSERT INTO `lang_definitions` VALUES (8459, 10931, 3, 'Hacia la ruta absoluta del file');
INSERT INTO `lang_definitions` VALUES (8460, 10936, 3, 'Favor Selecciona para agregar notas');
INSERT INTO `lang_definitions` VALUES (8461, 10937, 3, 'Para añadir notas, por favor haga click aquí');
INSERT INTO `lang_definitions` VALUES (8462, 10938, 3, 'Área afectada');
INSERT INTO `lang_definitions` VALUES (8463, 10939, 3, 'área afectada');
INSERT INTO `lang_definitions` VALUES (8464, 10942, 3, 'Para abrir automáticamente el formulario específico. Algunos equipos deportivos usan aquí auditoria de fútbol.');
INSERT INTO `lang_definitions` VALUES (8465, 10944, 3, 'Ver a facturación');
INSERT INTO `lang_definitions` VALUES (8466, 10945, 3, 'a la categoría');
INSERT INTO `lang_definitions` VALUES (8467, 10947, 3, 'Ver a Clínica');
INSERT INTO `lang_definitions` VALUES (8468, 10949, 3, 'De copago');
INSERT INTO `lang_definitions` VALUES (8469, 10953, 3, 'Para ded\'ble');
INSERT INTO `lang_definitions` VALUES (8470, 10956, 3, 'Para DEMs');
INSERT INTO `lang_definitions` VALUES (8471, 10958, 3, 'Para deshabilitar certificado del cliente SSL, comente en lineas de arriba en la configuración del file Apache y configurar');
INSERT INTO `lang_definitions` VALUES (8472, 10960, 3, 'Para deshabilitar HTTPS, comente en líneas de arriba en el file de configuración de Apache y reiniciar el servidor Apache');
INSERT INTO `lang_definitions` VALUES (8473, 10965, 3, 'Para activar certificados ssl del lado cliente');
INSERT INTO `lang_definitions` VALUES (8474, 10966, 3, 'Para activar certificados de autenticación SSl, HTTPS debe estar activado.');
INSERT INTO `lang_definitions` VALUES (8475, 10970, 3, 'Para activar sólo HTTPS, ejecute los cambios mencionados arriba y reinicie el servidor Apache. Si quiere configurar los certificados del lado cliente también, por favor configúrelos en la siguiente sección.');
INSERT INTO `lang_definitions` VALUES (8476, 10972, 3, 'Para Enctr');
INSERT INTO `lang_definitions` VALUES (8477, 10973, 3, 'Para filtrar por sexo');
INSERT INTO `lang_definitions` VALUES (8478, 10980, 3, 'La Historia');
INSERT INTO `lang_definitions` VALUES (8479, 10982, 3, 'Para Incidencias');
INSERT INTO `lang_definitions` VALUES (8480, 10984, 3, 'Para vincular esta visita/consulta con una incidencia existente, haga click');
INSERT INTO `lang_definitions` VALUES (8481, 10985, 3, 'Para vincular esta cita/consulta con una incidencia existente, haga click encima de la incidencia deseada para seleccionar y, después click en [Guardar]. Mantenga pulsada la tecla [Ctrl] para seleccionar múltiples incidencias.');
INSERT INTO `lang_definitions` VALUES (8482, 10987, 3, 'volver a iniciar sesión');
INSERT INTO `lang_definitions` VALUES (8483, 10992, 3, 'Para grabar publicaciones, por favor click');
INSERT INTO `lang_definitions` VALUES (8484, 10997, 3, 'Para Ejecutar');
INSERT INTO `lang_definitions` VALUES (8485, 11001, 3, 'Para configurar el acceso https con autenticación de certificados de cliente, haga lo siguiente');
INSERT INTO `lang_definitions` VALUES (8486, 11002, 3, 'Para la piel');
INSERT INTO `lang_definitions` VALUES (8487, 11003, 3, 'para la piel');
INSERT INTO `lang_definitions` VALUES (8488, 11005, 3, '¿a esta visita?');
INSERT INTO `lang_definitions` VALUES (8489, 11010, 3, 'Para:');
INSERT INTO `lang_definitions` VALUES (8490, 11011, 3, 'Para:');
INSERT INTO `lang_definitions` VALUES (8491, 11012, 3, 'TO_CITY');
INSERT INTO `lang_definitions` VALUES (8492, 11013, 3, 'TO_FAX');
INSERT INTO `lang_definitions` VALUES (8493, 11014, 3, 'TO_FNAME');
INSERT INTO `lang_definitions` VALUES (8494, 11015, 3, 'TO_LNAME');
INSERT INTO `lang_definitions` VALUES (8495, 11016, 3, 'TO_MNAME');
INSERT INTO `lang_definitions` VALUES (8496, 11017, 3, 'TO_ORGANIZATION');
INSERT INTO `lang_definitions` VALUES (8497, 11020, 3, 'TO_POSTAL');
INSERT INTO `lang_definitions` VALUES (8498, 11021, 3, 'TO_STATE');
INSERT INTO `lang_definitions` VALUES (8499, 11022, 3, 'TO_STREET');
INSERT INTO `lang_definitions` VALUES (8500, 11023, 3, 'TO_TITLE');
INSERT INTO `lang_definitions` VALUES (8501, 11024, 3, 'TO_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (8502, 11025, 3, 'Tabaco');
INSERT INTO `lang_definitions` VALUES (8503, 11026, 3, 'Intervención para dejar el tabaco');
INSERT INTO `lang_definitions` VALUES (8504, 11027, 3, 'Intervención para dejar el tabaco (GCC)');
INSERT INTO `lang_definitions` VALUES (8505, 11028, 3, 'Consumo de tabaco');
INSERT INTO `lang_definitions` VALUES (8506, 11030, 3, 'Evaluación consumo tabaco');
INSERT INTO `lang_definitions` VALUES (8507, 11031, 3, 'Evaluación consumo tabaco (GCC)');
INSERT INTO `lang_definitions` VALUES (8508, 11032, 3, 'Hoy');
INSERT INTO `lang_definitions` VALUES (8509, 11033, 3, 'HOY');
INSERT INTO `lang_definitions` VALUES (8510, 11034, 3, 'hoy');
INSERT INTO `lang_definitions` VALUES (8511, 11035, 3, 'Balance actual');
INSERT INTO `lang_definitions` VALUES (8512, 11036, 3, 'Cargos actuales');
INSERT INTO `lang_definitions` VALUES (8513, 11037, 3, 'Fecha de Hoy');
INSERT INTO `lang_definitions` VALUES (8514, 11038, 3, 'Eventos de Hoy');
INSERT INTO `lang_definitions` VALUES (8515, 11047, 3, 'Tonsilectomía');
INSERT INTO `lang_definitions` VALUES (8516, 11050, 3, 'Sup.');
INSERT INTO `lang_definitions` VALUES (8517, 11053, 3, 'Tema');
INSERT INTO `lang_definitions` VALUES (8518, 11054, 3, 'Total');
INSERT INTO `lang_definitions` VALUES (8519, 11055, 3, 'total');
INSERT INTO `lang_definitions` VALUES (8520, 11056, 3, 'Total acciones activas');
INSERT INTO `lang_definitions` VALUES (8521, 11057, 3, 'Total recordatorios activos después de actualizar');
INSERT INTO `lang_definitions` VALUES (8522, 11058, 3, 'Total recordatorios activos antes de actualizar');
INSERT INTO `lang_definitions` VALUES (8523, 11060, 3, 'Total de cantidad adeudada');
INSERT INTO `lang_definitions` VALUES (8524, 11061, 3, 'Cantidad total pagada');
INSERT INTO `lang_definitions` VALUES (8525, 11063, 3, 'Total carga');
INSERT INTO `lang_definitions` VALUES (8526, 11064, 3, 'Total de cargos');
INSERT INTO `lang_definitions` VALUES (8527, 11065, 3, 'Total de Clientes');
INSERT INTO `lang_definitions` VALUES (8528, 11067, 3, 'Costo total');
INSERT INTO `lang_definitions` VALUES (8529, 11068, 3, 'La distribución total para los siguientes números de cheque es incompleta');
INSERT INTO `lang_definitions` VALUES (8530, 11069, 3, 'total entradas');
INSERT INTO `lang_definitions` VALUES (8531, 11070, 3, 'Total recordatorios enviados vía email fallidos');
INSERT INTO `lang_definitions` VALUES (8532, 11071, 3, 'Total recordatorios enviados vía teléfono fallidos');
INSERT INTO `lang_definitions` VALUES (8533, 11072, 3, 'Total para');
INSERT INTO `lang_definitions` VALUES (8534, 11073, 3, 'Total para');
INSERT INTO `lang_definitions` VALUES (8535, 11074, 3, 'Total para la categoría');
INSERT INTO `lang_definitions` VALUES (8536, 11075, 3, 'Total recordatorios inactivos');
INSERT INTO `lang_definitions` VALUES (8537, 11078, 3, 'Total nuevos recordatorios');
INSERT INTO `lang_definitions` VALUES (8538, 11081, 3, 'NºTotal de vacunas');
INSERT INTO `lang_definitions` VALUES (8539, 11082, 3, 'NºTotal de incidencias');
INSERT INTO `lang_definitions` VALUES (8540, 11084, 3, 'Total número de pacientes');
INSERT INTO `lang_definitions` VALUES (8541, 11087, 3, 'Saldo total de pacientes');
INSERT INTO `lang_definitions` VALUES (8542, 11089, 3, 'Total Pacientes');
INSERT INTO `lang_definitions` VALUES (8543, 11093, 3, 'Total Registros Encontrados');
INSERT INTO `lang_definitions` VALUES (8544, 11095, 3, 'Total SRH & Planificación Familiar');
INSERT INTO `lang_definitions` VALUES (8545, 11096, 3, 'Total recordatorios enviados via email correctos');
INSERT INTO `lang_definitions` VALUES (8546, 11097, 3, 'Total recordatorios enviados via teléfono correctos');
INSERT INTO `lang_definitions` VALUES (8547, 11100, 3, 'Tpotal recordatorios sin cambios');
INSERT INTO `lang_definitions` VALUES (8548, 11101, 3, 'Total recordatorios no enviados después del proceso de envío');
INSERT INTO `lang_definitions` VALUES (8549, 11102, 3, 'Total recordatorios no enviados después de actualizar');
INSERT INTO `lang_definitions` VALUES (8550, 11103, 3, 'Total recordatorios no enviados antes del proceso de envío');
INSERT INTO `lang_definitions` VALUES (8551, 11104, 3, 'Total recordatorios no enviados antes de actualizar');
INSERT INTO `lang_definitions` VALUES (8552, 11105, 3, 'Total recordatorios actualizados');
INSERT INTO `lang_definitions` VALUES (8553, 11106, 3, 'Total');
INSERT INTO `lang_definitions` VALUES (8554, 11107, 3, 'Total para');
INSERT INTO `lang_definitions` VALUES (8555, 11108, 3, 'Total para');
INSERT INTO `lang_definitions` VALUES (8556, 11123, 3, 'para{{rango}}');
INSERT INTO `lang_definitions` VALUES (8557, 11135, 3, 'Tipo de Entrenamiento');
INSERT INTO `lang_definitions` VALUES (8558, 11136, 3, 'Transacciones');
INSERT INTO `lang_definitions` VALUES (8559, 11137, 3, 'Transacción');
INSERT INTO `lang_definitions` VALUES (8560, 11138, 3, 'transacción');
INSERT INTO `lang_definitions` VALUES (8561, 11139, 3, 'Transaccion fallida, cantidad insuficiente en lote de destino');
INSERT INTO `lang_definitions` VALUES (8562, 11140, 3, 'Transaccion fallida, cantidad es menor de cero');
INSERT INTO `lang_definitions` VALUES (8563, 11142, 3, 'Tipo de Transacción');
INSERT INTO `lang_definitions` VALUES (8564, 11143, 3, 'Transacción');
INSERT INTO `lang_definitions` VALUES (8565, 11144, 3, 'transacciones');
INSERT INTO `lang_definitions` VALUES (8566, 11145, 3, 'Transacciones (escriba opcional)');
INSERT INTO `lang_definitions` VALUES (8567, 11151, 3, 'Transacciones/Derivados');
INSERT INTO `lang_definitions` VALUES (8568, 11153, 3, 'Transferir');
INSERT INTO `lang_definitions` VALUES (8569, 11155, 3, 'Transferencia fallida, cantidad insuficiebnte el el lote de fuente');
INSERT INTO `lang_definitions` VALUES (8570, 11160, 3, 'Transferencias');
INSERT INTO `lang_definitions` VALUES (8571, 11162, 3, '¿Transición/Transferencia de cuidados?');
INSERT INTO `lang_definitions` VALUES (8572, 11163, 3, 'Traducir Grupos de Control de Acceso');
INSERT INTO `lang_definitions` VALUES (8573, 11164, 3, 'Traducir Categorías de Citas');
INSERT INTO `lang_definitions` VALUES (8574, 11165, 3, 'Traducir Categorías de Documento');
INSERT INTO `lang_definitions` VALUES (8575, 11166, 3, 'Traducir Diseños');
INSERT INTO `lang_definitions` VALUES (8576, 11167, 3, 'Traducir Listas');
INSERT INTO `lang_definitions` VALUES (8577, 11168, 3, 'Traducir título de notas de paciente');
INSERT INTO `lang_definitions` VALUES (8578, 11169, 3, 'traducir este');
INSERT INTO `lang_definitions` VALUES (8579, 11170, 3, 'Traducción');
INSERT INTO `lang_definitions` VALUES (8580, 11171, 3, 'Traducciones');
INSERT INTO `lang_definitions` VALUES (8581, 11179, 3, 'Trauma');
INSERT INTO `lang_definitions` VALUES (8582, 11180, 3, 'Tratamiento');
INSERT INTO `lang_definitions` VALUES (8583, 11182, 3, 'Objetivos de Tratamiento');
INSERT INTO `lang_definitions` VALUES (8584, 11183, 3, 'Plan de Tratamiento');
INSERT INTO `lang_definitions` VALUES (8585, 11186, 3, 'Tratamiento:');
INSERT INTO `lang_definitions` VALUES (8586, 11187, 3, 'Tratamiento:');
INSERT INTO `lang_definitions` VALUES (8587, 11189, 3, 'Tendencia');
INSERT INTO `lang_definitions` VALUES (8588, 11190, 3, 'trftime ($ mes_formato, mkhora(0, 0, 0, $i, 1, 2000))); $ mes_valor');
INSERT INTO `lang_definitions` VALUES (8589, 11195, 3, 'Punto de activación / síndrome compartimental / DOM / calambres');
INSERT INTO `lang_definitions` VALUES (8590, 11196, 3, 'Trimalleolar');
INSERT INTO `lang_definitions` VALUES (8591, 11199, 3, 'Tronco y abdomen');
INSERT INTO `lang_definitions` VALUES (8592, 11205, 3, 'tsp');
INSERT INTO `lang_definitions` VALUES (8593, 11207, 3, 'TTS');
INSERT INTO `lang_definitions` VALUES (8594, 11208, 3, 'Tuberculosis');
INSERT INTO `lang_definitions` VALUES (8595, 11209, 3, 'Martes');
INSERT INTO `lang_definitions` VALUES (8596, 11210, 3, 'Martes y Jueves');
INSERT INTO `lang_definitions` VALUES (8597, 11211, 3, 'Martes');
INSERT INTO `lang_definitions` VALUES (8598, 11212, 3, 'Tumor');
INSERT INTO `lang_definitions` VALUES (8599, 11213, 3, 'Turco');
INSERT INTO `lang_definitions` VALUES (8600, 11222, 3, 'Dos veses al dia');
INSERT INTO `lang_definitions` VALUES (8601, 11226, 3, 'Membrana Timpánica');
INSERT INTO `lang_definitions` VALUES (8602, 11227, 3, 'Tipo');
INSERT INTO `lang_definitions` VALUES (8603, 11231, 3, 'Teclee ID o nombre. Mínimo 3 caracteres (incluyendo espacios).');
INSERT INTO `lang_definitions` VALUES (8604, 11238, 3, 'Teclee columnas mostradas en los resultados de búsqueda de pacientes');
INSERT INTO `lang_definitions` VALUES (8605, 11239, 3, 'Tipos de publicaciones');
INSERT INTO `lang_definitions` VALUES (8606, 11240, 3, 'Tipo de Eventos');
INSERT INTO `lang_definitions` VALUES (8607, 11242, 3, 'Teclee el diseño de pantalla');
INSERT INTO `lang_definitions` VALUES (8608, 11243, 3, 'Escriba o escaneae el identificador del paciente aquí');
INSERT INTO `lang_definitions` VALUES (8609, 11248, 3, 'Teclee su mensaje aquí');
INSERT INTO `lang_definitions` VALUES (8610, 11249, 3, 'Tipo de orden y resultados');
INSERT INTO `lang_definitions` VALUES (8611, 11270, 3, 'Los códigos de UCSMC proporcionaron por la universidad del centro de la medicina de deportes de Calgary');
INSERT INTO `lang_definitions` VALUES (8612, 11271, 3, 'Ucraniano');
INSERT INTO `lang_definitions` VALUES (8613, 11272, 3, 'Ulceraciones');
INSERT INTO `lang_definitions` VALUES (8614, 11273, 3, 'Colitis ulcerosa');
INSERT INTO `lang_definitions` VALUES (8615, 11274, 3, 'Úlceras:');
INSERT INTO `lang_definitions` VALUES (8616, 11278, 3, 'No se puede crear');
INSERT INTO `lang_definitions` VALUES (8617, 11291, 3, 'No aplicado');
INSERT INTO `lang_definitions` VALUES (8618, 11292, 3, 'No asignado');
INSERT INTO `lang_definitions` VALUES (8619, 11293, 3, 'No autorizado');
INSERT INTO `lang_definitions` VALUES (8620, 11294, 3, 'Acceso no autorizado a ePrescripción');
INSERT INTO `lang_definitions` VALUES (8621, 11295, 3, 'Acceso no autorizado.');
INSERT INTO `lang_definitions` VALUES (8622, 11296, 3, 'No facturado');
INSERT INTO `lang_definitions` VALUES (8623, 11297, 3, 'no facturado solamente');
INSERT INTO `lang_definitions` VALUES (8624, 11300, 3, 'debajo de la lengüeta');
INSERT INTO `lang_definitions` VALUES (8625, 11303, 3, 'De peso insuficiente');
INSERT INTO `lang_definitions` VALUES (8626, 11304, 3, 'Sin diagnosticar');
INSERT INTO `lang_definitions` VALUES (8627, 11305, 3, 'Sin distribuir');
INSERT INTO `lang_definitions` VALUES (8628, 11306, 3, 'SIN DISTRIBUIR');
INSERT INTO `lang_definitions` VALUES (8629, 11307, 3, 'No es distribuido');
INSERT INTO `lang_definitions` VALUES (8630, 11309, 3, 'Deshacer desprotección');
INSERT INTO `lang_definitions` VALUES (8631, 11311, 3, 'Clientes distintos');
INSERT INTO `lang_definitions` VALUES (8632, 11312, 3, 'Identificador para este tipo sólo legible por humanos');
INSERT INTO `lang_definitions` VALUES (8633, 11315, 3, 'Nuevos Clientes Distintos');
INSERT INTO `lang_definitions` VALUES (8634, 11316, 3, 'Identificador para este tipo sólo numérico');
INSERT INTO `lang_definitions` VALUES (8635, 11317, 3, 'Pacientes Distintos Vistos');
INSERT INTO `lang_definitions` VALUES (8636, 11318, 3, 'Informe de Pacientes Distintos Vistos');
INSERT INTO `lang_definitions` VALUES (8637, 11319, 3, 'Pacientes Distintos Vistos');
INSERT INTO `lang_definitions` VALUES (8638, 11320, 3, 'Unidad');
INSERT INTO `lang_definitions` VALUES (8639, 11321, 3, 'Unidades');
INSERT INTO `lang_definitions` VALUES (8640, 11322, 3, 'unidades');
INSERT INTO `lang_definitions` VALUES (8641, 11324, 3, 'Unidades de formularios de visita');
INSERT INTO `lang_definitions` VALUES (8642, 11325, 3, 'Unidades deben ser un número');
INSERT INTO `lang_definitions` VALUES (8643, 11326, 3, 'Unidades no definidas');
INSERT INTO `lang_definitions` VALUES (8644, 11327, 3, 'Unidades/L');
INSERT INTO `lang_definitions` VALUES (8645, 11328, 3, 'Desconocido');
INSERT INTO `lang_definitions` VALUES (8646, 11331, 3, 'Desconoce si ha fumado alguna vez');
INSERT INTO `lang_definitions` VALUES (8647, 11332, 3, 'Desconocidos o N/A');
INSERT INTO `lang_definitions` VALUES (8648, 11344, 3, 'Desvincular paciente');
INSERT INTO `lang_definitions` VALUES (8649, 11345, 3, 'Sociedad Médica sin nombre');
INSERT INTO `lang_definitions` VALUES (8650, 11346, 3, 'No registrado');
INSERT INTO `lang_definitions` VALUES (8651, 11349, 3, 'Desmarcar todos');
INSERT INTO `lang_definitions` VALUES (8652, 11350, 3, 'Desmarcado');
INSERT INTO `lang_definitions` VALUES (8653, 11351, 3, 'Sin especificar');
INSERT INTO `lang_definitions` VALUES (8654, 11352, 3, 'no estructurado');
INSERT INTO `lang_definitions` VALUES (8655, 11354, 3, 'Fichero de carga NO SOPORTADO por la bbdd');
INSERT INTO `lang_definitions` VALUES (8656, 11356, 3, 'Hasta');
INSERT INTO `lang_definitions` VALUES (8657, 11359, 3, 'Presentación extemporánea');
INSERT INTO `lang_definitions` VALUES (8658, 11360, 3, 'No utilizados');
INSERT INTO `lang_definitions` VALUES (8659, 11361, 3, 'UOR');
INSERT INTO `lang_definitions` VALUES (8660, 11362, 3, 'Hasta');
INSERT INTO `lang_definitions` VALUES (8661, 11364, 3, 'Próximas Citas');
INSERT INTO `lang_definitions` VALUES (8662, 11365, 3, 'Próximos Eventos');
INSERT INTO `lang_definitions` VALUES (8663, 11366, 3, 'Actualizar');
INSERT INTO `lang_definitions` VALUES (8664, 11367, 3, 'actualizar');
INSERT INTO `lang_definitions` VALUES (8665, 11368, 3, 'Actualizacion activa');
INSERT INTO `lang_definitions` VALUES (8666, 11371, 3, 'Actualizar archivos');
INSERT INTO `lang_definitions` VALUES (8667, 11372, 3, 'Actualizar Informacion');
INSERT INTO `lang_definitions` VALUES (8668, 11374, 3, 'Actualizar lista');
INSERT INTO `lang_definitions` VALUES (8669, 11377, 3, 'Actualizar número de facultativo');
INSERT INTO `lang_definitions` VALUES (8670, 11378, 3, 'Actualizar items seleccionados');
INSERT INTO `lang_definitions` VALUES (8671, 11383, 3, 'Actualizar las siguientes variables en el file');
INSERT INTO `lang_definitions` VALUES (8672, 11384, 3, 'Actualizar informacion de usuario');
INSERT INTO `lang_definitions` VALUES (8673, 11390, 3, 'Updating demographics is not authorized.');
INSERT INTO `lang_definitions` VALUES (8674, 11391, 3, 'Actualizando la configuración global predeterminada');
INSERT INTO `lang_definitions` VALUES (8675, 11392, 3, 'Actualizando indicadores de versión');
INSERT INTO `lang_definitions` VALUES (8676, 11393, 3, 'ACTUALIZACIÓN');
INSERT INTO `lang_definitions` VALUES (8677, 11394, 3, 'Actualizar');
INSERT INTO `lang_definitions` VALUES (8678, 11396, 3, 'Actualizar BBDD');
INSERT INTO `lang_definitions` VALUES (8679, 11398, 3, 'Actualización de base de datos OpenEMR para incluir procedimientos, funciones y tablas necesarias para el proceso de De-identificación.');
INSERT INTO `lang_definitions` VALUES (8680, 11399, 3, 'la actualización continuará');
INSERT INTO `lang_definitions` VALUES (8681, 11400, 3, 'UPIN');
INSERT INTO `lang_definitions` VALUES (8682, 11401, 3, 'Adjuntar');
INSERT INTO `lang_definitions` VALUES (8683, 11406, 3, 'Cargar datos de configuración');
INSERT INTO `lang_definitions` VALUES (8684, 11407, 3, 'Adjuntar Documento');
INSERT INTO `lang_definitions` VALUES (8685, 11408, 3, 'Carga del documento fallo');
INSERT INTO `lang_definitions` VALUES (8686, 11410, 3, 'Adjuntar imagen a');
INSERT INTO `lang_definitions` VALUES (8687, 11411, 3, 'Adjuntar fichero de importación:');
INSERT INTO `lang_definitions` VALUES (8688, 11415, 3, 'Upload Report');
INSERT INTO `lang_definitions` VALUES (8689, 11418, 3, 'Adjuntar este fichero:');
INSERT INTO `lang_definitions` VALUES (8690, 11421, 3, 'Al hacer clic en un número de factura el -manual de desplazamiento ventana- aparece. Aquí puede cambiar la fecha de vencimiento y toma nota de la factura, para seleccionar la parte a quien se le envío por correo, y seleccione los seguros para que todos esperemos los pagos se han recibidos. Lo que es más importante, para cada código de facturación para los que fue acusado una cantidad, puede introducir la información de pago y el ajuste.');
INSERT INTO `lang_definitions` VALUES (8691, 11426, 3, 'Tras la búsqueda se le presenta con una lista de las facturas. Puede hacer clic en uno de los números de la factura para abrir una segunda ventana, que es la página de entrada de datos manual de desplazamiento. También puede hacer clic sobre el nombre de un paciente si desea escribir una nota que la oficina de personal se verá cuando el paciente en los controles, y usted puede seleccionar que aparezca en las facturas del paciente declaraciones e imprimir esas declaraciones.');
INSERT INTO `lang_definitions` VALUES (8692, 11429, 3, 'Parte superior del brazo');
INSERT INTO `lang_definitions` VALUES (8693, 11432, 3, 'Urgencia');
INSERT INTO `lang_definitions` VALUES (8694, 11436, 3, 'Orina');
INSERT INTO `lang_definitions` VALUES (8695, 11437, 3, 'Goteo de Orina');
INSERT INTO `lang_definitions` VALUES (8696, 11438, 3, 'Frecuencia de la Orina');
INSERT INTO `lang_definitions` VALUES (8697, 11439, 3, 'Vacilación de la Orina');
INSERT INTO `lang_definitions` VALUES (8698, 11440, 3, 'Microalbúmina de la orina');
INSERT INTO `lang_definitions` VALUES (8699, 11441, 3, 'Flujo de Orina');
INSERT INTO `lang_definitions` VALUES (8700, 11442, 3, 'Urgencia de la Orina');
INSERT INTO `lang_definitions` VALUES (8701, 11443, 3, 'URL');
INSERT INTO `lang_definitions` VALUES (8702, 11445, 3, 'URL para soporte OpenEMR');
INSERT INTO `lang_definitions` VALUES (8703, 11447, 3, 'URL para puerta de enlace telefónico. Servicio automático de VOIP desarrollado por Maviq. Por favor visite http://signup.maviq.com para más información.');
INSERT INTO `lang_definitions` VALUES (8704, 11453, 3, 'Indicador de uso (ISA15)');
INSERT INTO `lang_definitions` VALUES (8705, 11456, 3, 'Use % solo en un campo para ordenar por esa columna');
INSERT INTO `lang_definitions` VALUES (8706, 11457, 3, 'Utilice el formato de 24 horas?');
INSERT INTO `lang_definitions` VALUES (8707, 11466, 3, 'Usar panel de cargos');
INSERT INTO `lang_definitions` VALUES (8708, 11471, 3, 'Usar CPOE para órdenes de radiología');
INSERT INTO `lang_definitions` VALUES (8709, 11472, 3, 'Usar mensajes a medida');
INSERT INTO `lang_definitions` VALUES (8710, 11473, 3, 'Usar reporte de fin de día a medida');
INSERT INTO `lang_definitions` VALUES (8711, 11474, 3, 'Usar lista personalizada de vacunación');
INSERT INTO `lang_definitions` VALUES (8712, 11475, 3, 'Usar declaración a medida');
INSERT INTO `lang_definitions` VALUES (8713, 11476, 3, 'Utilice Rango de Fechas');
INSERT INTO `lang_definitions` VALUES (8714, 11477, 3, 'Use opciones por defecto');
INSERT INTO `lang_definitions` VALUES (8715, 11478, 3, 'Utilice la Opción Borrar para Eliminar.');
INSERT INTO `lang_definitions` VALUES (8716, 11479, 3, '¿Utilice el estilo internacional de la fecha?');
INSERT INTO `lang_definitions` VALUES (8717, 11483, 3, 'Utilice nombre de fichero fuente');
INSERT INTO `lang_definitions` VALUES (8718, 11486, 3, 'Use los cambpos abajo para una adquisicion o transferencia');
INSERT INTO `lang_definitions` VALUES (8719, 11490, 3, 'Utilice esta función sólo con los sitios nuevos instalados,');
INSERT INTO `lang_definitions` VALUES (8720, 11493, 3, 'Usar temas?');
INSERT INTO `lang_definitions` VALUES (8721, 11496, 3, 'Usar');
INSERT INTO `lang_definitions` VALUES (8722, 11498, 3, 'Usuarios/Grupos');
INSERT INTO `lang_definitions` VALUES (8723, 11499, 3, 'Usar Administración');
INSERT INTO `lang_definitions` VALUES (8724, 11500, 3, 'Administración de usuarios y Centros');
INSERT INTO `lang_definitions` VALUES (8725, 11501, 3, 'Administración de usuarios y grupos');
INSERT INTO `lang_definitions` VALUES (8726, 11503, 3, 'Certificado de Autenticación del usuario está deshabilitado');
INSERT INTO `lang_definitions` VALUES (8727, 11507, 3, 'Usarios Definidos');
INSERT INTO `lang_definitions` VALUES (8728, 11508, 3, 'Definido por el usuario Zona 11');
INSERT INTO `lang_definitions` VALUES (8729, 11509, 3, 'Definido por el usuario Zona 12');
INSERT INTO `lang_definitions` VALUES (8730, 11510, 3, 'Campo definido por el usuario');
INSERT INTO `lang_definitions` VALUES (8731, 11511, 3, 'Definido por el usuario Lista 1');
INSERT INTO `lang_definitions` VALUES (8732, 11512, 3, 'Definido por el usuario Lista 2');
INSERT INTO `lang_definitions` VALUES (8733, 11513, 3, 'Definido por el usuario Lista 3');
INSERT INTO `lang_definitions` VALUES (8734, 11514, 3, 'Definido por el usuario Lista 4');
INSERT INTO `lang_definitions` VALUES (8735, 11515, 3, 'Definido por el usuario Lista 5');
INSERT INTO `lang_definitions` VALUES (8736, 11516, 3, 'Definido por el usuario Lista 6');
INSERT INTO `lang_definitions` VALUES (8737, 11517, 3, 'Definido por el usuario Lista 7');
INSERT INTO `lang_definitions` VALUES (8738, 11518, 3, 'Definido por el usuario Texto 1');
INSERT INTO `lang_definitions` VALUES (8739, 11519, 3, 'Definido por el usuario Texto 2');
INSERT INTO `lang_definitions` VALUES (8740, 11520, 3, 'Definido por el usuario Texto 3');
INSERT INTO `lang_definitions` VALUES (8741, 11521, 3, 'Definido por el usuario Texto 4');
INSERT INTO `lang_definitions` VALUES (8742, 11522, 3, 'Definido por el usuario Texto 5');
INSERT INTO `lang_definitions` VALUES (8743, 11523, 3, 'Definido por el usuario Texto 6');
INSERT INTO `lang_definitions` VALUES (8744, 11524, 3, 'Definido por el usuario Texto 7');
INSERT INTO `lang_definitions` VALUES (8745, 11525, 3, 'Definido por el usuario Texto 8');
INSERT INTO `lang_definitions` VALUES (8746, 11526, 3, 'Usuario Nombre');
INSERT INTO `lang_definitions` VALUES (8747, 11532, 3, 'Manual de Uso');
INSERT INTO `lang_definitions` VALUES (8748, 11533, 3, 'Asociaciones de usuarios');
INSERT INTO `lang_definitions` VALUES (8749, 11534, 3, 'Usuario Apelido(s)');
INSERT INTO `lang_definitions` VALUES (8750, 11536, 3, 'Usuario o nombre de Host no pueden estar vacios');
INSERT INTO `lang_definitions` VALUES (8751, 11537, 3, 'Usuario o nombre Host');
INSERT INTO `lang_definitions` VALUES (8752, 11541, 3, 'Ajustes de Usuario');
INSERT INTO `lang_definitions` VALUES (8753, 11543, 3, 'Ajuste Usuario Específico');
INSERT INTO `lang_definitions` VALUES (8754, 11553, 3, 'Nombre de usuario');
INSERT INTO `lang_definitions` VALUES (8755, 11555, 3, 'Usuario para puerta de enlace telefónico. Servicio automático de VOIP desarrollado por Maviq. Por favor visite http://signup.maviq.com para más información.');
INSERT INTO `lang_definitions` VALUES (8756, 11556, 3, 'Usuario para puerta de enlace de SMS');
INSERT INTO `lang_definitions` VALUES (8757, 11557, 3, 'Usuario para puerta de enlace SMS');
INSERT INTO `lang_definitions` VALUES (8758, 11558, 3, 'Nombre de usuario para conectar con CouchDB');
INSERT INTO `lang_definitions` VALUES (8759, 11559, 3, 'Nombre de usuario:');
INSERT INTO `lang_definitions` VALUES (8760, 11560, 3, 'Usuarios');
INSERT INTO `lang_definitions` VALUES (8761, 11564, 3, 'Usuarios / Grupos / Administración de Registros (usuarios)');
INSERT INTO `lang_definitions` VALUES (8762, 11574, 3, 'usar php <a href=-http://php.net/strftime->strfhora</a> formato');
INSERT INTO `lang_definitions` VALUES (8763, 11583, 3, 'Infecciones');
INSERT INTO `lang_definitions` VALUES (8764, 11588, 3, 'VACACIONES');
INSERT INTO `lang_definitions` VALUES (8765, 11589, 3, 'Vacaciones');
INSERT INTO `lang_definitions` VALUES (8766, 11590, 3, 'Vacuna');
INSERT INTO `lang_definitions` VALUES (8767, 11593, 3, 'Anillo Vaginal');
INSERT INTO `lang_definitions` VALUES (8768, 11594, 3, 'Despedida');
INSERT INTO `lang_definitions` VALUES (8769, 11596, 3, 'Validar');
INSERT INTO `lang_definitions` VALUES (8770, 11609, 3, 'Valor');
INSERT INTO `lang_definitions` VALUES (8771, 11610, 3, 'Valor 1');
INSERT INTO `lang_definitions` VALUES (8772, 11611, 3, 'Valor 2');
INSERT INTO `lang_definitions` VALUES (8773, 11613, 3, 'El valor debe ser Numérico');
INSERT INTO `lang_definitions` VALUES (8774, 11614, 3, 'Var1');
INSERT INTO `lang_definitions` VALUES (8775, 11615, 3, 'Var2');
INSERT INTO `lang_definitions` VALUES (8776, 11616, 3, 'variable a uno para ejecutar script de actualización des-identificación');
INSERT INTO `lang_definitions` VALUES (8777, 11619, 3, 'Varicela 1');
INSERT INTO `lang_definitions` VALUES (8778, 11620, 3, 'Varicela 2');
INSERT INTO `lang_definitions` VALUES (8779, 11621, 3, 'Venas varicosas');
INSERT INTO `lang_definitions` VALUES (8780, 11623, 3, 'Condición vascular');
INSERT INTO `lang_definitions` VALUES (8781, 11624, 3, 'Lesión vascular');
INSERT INTO `lang_definitions` VALUES (8782, 11625, 3, 'Cirugía Vascular');
INSERT INTO `lang_definitions` VALUES (8783, 11630, 3, 'Vendedor');
INSERT INTO `lang_definitions` VALUES (8784, 11634, 3, 'Versión');
INSERT INTO `lang_definitions` VALUES (8785, 11653, 3, 'Vértigo');
INSERT INTO `lang_definitions` VALUES (8786, 11656, 3, 'Administración de Veteranos');
INSERT INTO `lang_definitions` VALUES (8787, 11657, 3, 'Plan de Administración de veteranos');
INSERT INTO `lang_definitions` VALUES (8788, 11659, 3, 'VFC');
INSERT INTO `lang_definitions` VALUES (8789, 11666, 3, 'Vietnamita');
INSERT INTO `lang_definitions` VALUES (8790, 11667, 3, 'Ver');
INSERT INTO `lang_definitions` VALUES (8791, 11668, 3, 'ver');
INSERT INTO `lang_definitions` VALUES (8792, 11670, 3, 'Ver Alergias');
INSERT INTO `lang_definitions` VALUES (8793, 11676, 3, 'Ver Informe comprensiva del paciente');
INSERT INTO `lang_definitions` VALUES (8794, 11679, 3, 'Ver documento');
INSERT INTO `lang_definitions` VALUES (8795, 11681, 3, 'Ver visita');
INSERT INTO `lang_definitions` VALUES (8796, 11683, 3, 'Ver los eventos en una ventana móvil?');
INSERT INTO `lang_definitions` VALUES (8797, 11684, 3, 'Ver información de usuario en el centro especificado');
INSERT INTO `lang_definitions` VALUES (8798, 11687, 3, 'Ver Registro');
INSERT INTO `lang_definitions` VALUES (8799, 11690, 3, 'Ver Página 1');
INSERT INTO `lang_definitions` VALUES (8800, 11691, 3, 'Ver Página 2');
INSERT INTO `lang_definitions` VALUES (8801, 11692, 3, 'Ver avisos pasados y futuros');
INSERT INTO `lang_definitions` VALUES (8802, 11695, 3, 'Ver Paciente');
INSERT INTO `lang_definitions` VALUES (8803, 11700, 3, 'Ver visitas relacionadas');
INSERT INTO `lang_definitions` VALUES (8804, 11712, 3, 'Ver/Editar Alergias');
INSERT INTO `lang_definitions` VALUES (8805, 11713, 3, 'Ver/Editar incidencia');
INSERT INTO `lang_definitions` VALUES (8806, 11714, 3, 'Ver/Imprimir');
INSERT INTO `lang_definitions` VALUES (8807, 11717, 3, 'Ver:');
INSERT INTO `lang_definitions` VALUES (8808, 11718, 3, 'VISA');
INSERT INTO `lang_definitions` VALUES (8809, 11719, 3, 'VISA/MasterCard/AMEREXPRESS/Discovery');
INSERT INTO `lang_definitions` VALUES (8810, 11721, 3, 'Daño viscerales/trauma/cirugía');
INSERT INTO `lang_definitions` VALUES (8811, 11728, 3, 'Visita Categoría:');
INSERT INTO `lang_definitions` VALUES (8812, 11729, 3, 'Fecha de Visita');
INSERT INTO `lang_definitions` VALUES (8813, 11730, 3, 'Fecha visita');
INSERT INTO `lang_definitions` VALUES (8814, 11731, 3, 'Detalhes da Visita');
INSERT INTO `lang_definitions` VALUES (8815, 11734, 3, 'Formularios de visita');
INSERT INTO `lang_definitions` VALUES (8816, 11736, 3, 'Histórico de Visitas');
INSERT INTO `lang_definitions` VALUES (8817, 11745, 3, 'Visitas');
INSERT INTO `lang_definitions` VALUES (8818, 11746, 3, 'Visitas Desde');
INSERT INTO `lang_definitions` VALUES (8819, 11751, 3, 'Constantes Vitales');
INSERT INTO `lang_definitions` VALUES (8820, 11752, 3, 'Constantes Vitales');
INSERT INTO `lang_definitions` VALUES (8821, 11753, 3, 'Constantes Vitales (Métrico)');
INSERT INTO `lang_definitions` VALUES (8822, 11756, 3, 'Voz');
INSERT INTO `lang_definitions` VALUES (8823, 11758, 3, 'Voz Enviada');
INSERT INTO `lang_definitions` VALUES (8824, 11763, 3, 'Vómitos');
INSERT INTO `lang_definitions` VALUES (8825, 11767, 3, 'W');
INSERT INTO `lang_definitions` VALUES (8826, 11770, 3, 'Circ cintura');
INSERT INTO `lang_definitions` VALUES (8827, 11771, 3, 'Circunferencia de la Cintura');
INSERT INTO `lang_definitions` VALUES (8828, 11772, 3, 'Espera');
INSERT INTO `lang_definitions` VALUES (8829, 11773, 3, 'Entrar');
INSERT INTO `lang_definitions` VALUES (8830, 11776, 3, 'Walt Pennington');
INSERT INTO `lang_definitions` VALUES (8831, 11778, 3, 'Tienda de deposito');
INSERT INTO `lang_definitions` VALUES (8832, 11780, 3, 'Almacén máximo, 0 si no es aplicable');
INSERT INTO `lang_definitions` VALUES (8833, 11781, 3, 'Almacén mínimo, 0 si no es aplicable');
INSERT INTO `lang_definitions` VALUES (8834, 11782, 3, 'Tiendas de deposito');
INSERT INTO `lang_definitions` VALUES (8835, 11783, 3, 'Cálido');
INSERT INTO `lang_definitions` VALUES (8836, 11786, 3, 'Aviso');
INSERT INTO `lang_definitions` VALUES (8837, 11787, 3, 'AVISO');
INSERT INTO `lang_definitions` VALUES (8838, 11789, 3, 'Aviso, número de cheque ya existe en la base de datos');
INSERT INTO `lang_definitions` VALUES (8839, 11791, 3, 'Aviso: Una cita ya ha sido para este paciente hoy!');
INSERT INTO `lang_definitions` VALUES (8840, 11796, 3, 'Aviso: Nº Identificación del paciente no es único!');
INSERT INTO `lang_definitions` VALUES (8841, 11799, 3, 'AVISO: Esto sobreescribirá la información de configuración con los datos del fichero adjunto!');
INSERT INTO `lang_definitions` VALUES (8842, 11800, 3, 'AVISOS');
INSERT INTO `lang_definitions` VALUES (8843, 11801, 3, 'Avisos');
INSERT INTO `lang_definitions` VALUES (8844, 11802, 3, 'Avisos y alertas - recordatorios');
INSERT INTO `lang_definitions` VALUES (8845, 11803, 3, 'ya se ha subido');
INSERT INTO `lang_definitions` VALUES (8846, 11804, 3, 'no encontrado');
INSERT INTO `lang_definitions` VALUES (8847, 11805, 3, 'Agradecemos su pago a tiempo del balance debido');
INSERT INTO `lang_definitions` VALUES (8848, 11806, 3, 'Agradecemos su pago a tiempo del balance debido');
INSERT INTO `lang_definitions` VALUES (8849, 11809, 3, 'hemos visto a su paciente arriba indicado para evaluación y tratamiento en nuestra clínica de consulta externa de psiquiatría. Gracias por esta derivación.');
INSERT INTO `lang_definitions` VALUES (8850, 11810, 3, 'Nos encontramos con algunos problemas para conectar su EHR a los servidores de MedEx');
INSERT INTO `lang_definitions` VALUES (8851, 11821, 3, 'Debilidad');
INSERT INTO `lang_definitions` VALUES (8852, 11826, 3, 'Búsqueda web');
INSERT INTO `lang_definitions` VALUES (8853, 11827, 3, 'Sitio Web');
INSERT INTO `lang_definitions` VALUES (8854, 11828, 3, 'Vínculo sitio web para el Portal del Paciente interno');
INSERT INTO `lang_definitions` VALUES (8855, 11832, 3, 'Miércoles');
INSERT INTO `lang_definitions` VALUES (8856, 11833, 3, 'Miércoles');
INSERT INTO `lang_definitions` VALUES (8857, 11834, 3, 'Semana');
INSERT INTO `lang_definitions` VALUES (8858, 11835, 3, 'semana');
INSERT INTO `lang_definitions` VALUES (8859, 11836, 3, 'Ver Semana');
INSERT INTO `lang_definitions` VALUES (8860, 11837, 3, 'Semana(s)');
INSERT INTO `lang_definitions` VALUES (8861, 11838, 3, 'Exposicion semanal');
INSERT INTO `lang_definitions` VALUES (8862, 11840, 3, 'Semanas');
INSERT INTO `lang_definitions` VALUES (8863, 11841, 3, 'Peso');
INSERT INTO `lang_definitions` VALUES (8864, 11842, 3, 'Peso de Evaluación y Orientación para Niños y Adolescentes');
INSERT INTO `lang_definitions` VALUES (8865, 11843, 3, 'Peso evaluación y orientación para niños y adolescentes (GCC)');
INSERT INTO `lang_definitions` VALUES (8866, 11844, 3, 'Cambio de peso');
INSERT INTO `lang_definitions` VALUES (8867, 11845, 3, 'Perdida de Peso');
INSERT INTO `lang_definitions` VALUES (8868, 11846, 3, 'Clínica de Adelgazamiento');
INSERT INTO `lang_definitions` VALUES (8869, 11847, 3, 'Bienvenido');
INSERT INTO `lang_definitions` VALUES (8870, 11862, 3, '¿Cuál debe ser contado?');
INSERT INTO `lang_definitions` VALUES (8871, 11864, 3, 'Los Resuellos:');
INSERT INTO `lang_definitions` VALUES (8872, 11865, 3, 'Sibilancia');
INSERT INTO `lang_definitions` VALUES (8873, 11866, 3, 'Resollando:');
INSERT INTO `lang_definitions` VALUES (8874, 11882, 3, '¿Donde se pueden encontrar los documentos escaneados o en papel?');
INSERT INTO `lang_definitions` VALUES (8875, 11884, 3, 'Asegurado');
INSERT INTO `lang_definitions` VALUES (8876, 11890, 3, 'Trallazo');
INSERT INTO `lang_definitions` VALUES (8877, 11891, 3, 'Blanco');
INSERT INTO `lang_definitions` VALUES (8878, 11894, 3, 'Quién');
INSERT INTO `lang_definitions` VALUES (8879, 11895, 3, '¿Quién respondió?');
INSERT INTO `lang_definitions` VALUES (8880, 11897, 3, 'Viudo');
INSERT INTO `lang_definitions` VALUES (8881, 11898, 3, 'Ancho');
INSERT INTO `lang_definitions` VALUES (8882, 11900, 3, 'Ancho en píxeles de la barra de navegación izquierda.');
INSERT INTO `lang_definitions` VALUES (8883, 11907, 3, 'Con el seleccionado');
INSERT INTO `lang_definitions` VALUES (8884, 11908, 3, 'con el viejo nombre');
INSERT INTO `lang_definitions` VALUES (8885, 11911, 3, '¿Con quién podemos dejar un mensaje?');
INSERT INTO `lang_definitions` VALUES (8886, 11912, 3, 'Retenido');
INSERT INTO `lang_definitions` VALUES (8887, 11913, 3, 'dentro de horas');
INSERT INTO `lang_definitions` VALUES (8888, 11914, 3, 'dentro de horas:');
INSERT INTO `lang_definitions` VALUES (8889, 11915, 3, 'dentro de minutos');
INSERT INTO `lang_definitions` VALUES (8890, 11916, 3, 'dentro de minutos:');
INSERT INTO `lang_definitions` VALUES (8891, 11919, 3, 'Sin Actualización');
INSERT INTO `lang_definitions` VALUES (8892, 11920, 3, 'Testigo');
INSERT INTO `lang_definitions` VALUES (8893, 11921, 3, 'Semana');
INSERT INTO `lang_definitions` VALUES (8894, 11922, 3, 'WNL');
INSERT INTO `lang_definitions` VALUES (8895, 11924, 3, 'Mujer');
INSERT INTO `lang_definitions` VALUES (8896, 11925, 3, 'Sólo las Mujeres');
INSERT INTO `lang_definitions` VALUES (8897, 11927, 3, 'Trabajo');
INSERT INTO `lang_definitions` VALUES (8898, 11928, 3, 'NOTA DE TRABAJO');
INSERT INTO `lang_definitions` VALUES (8899, 11929, 3, 'Teléfono de Trabajo');
INSERT INTO `lang_definitions` VALUES (8900, 11930, 3, 'Número de Teléfono de Trabajo');
INSERT INTO `lang_definitions` VALUES (8901, 11931, 3, 'Relacionados con el trabajo?');
INSERT INTO `lang_definitions` VALUES (8902, 11932, 3, 'Trabajo / Educación / aficiones');
INSERT INTO `lang_definitions` VALUES (8903, 11933, 3, 'Nota de Trabajo/Escuela');
INSERT INTO `lang_definitions` VALUES (8904, 11934, 3, 'día de trabajo');
INSERT INTO `lang_definitions` VALUES (8905, 11935, 3, 'Compensación al Trabajador');
INSERT INTO `lang_definitions` VALUES (8906, 11936, 3, 'Indemnización de los trabajadores del Plan de Salud');
INSERT INTO `lang_definitions` VALUES (8907, 11937, 3, 'Beneficiario de edad trabajando o esposa con el Plan de Grupo de Salud Empleador');
INSERT INTO `lang_definitions` VALUES (8908, 11941, 3, 'Peor');
INSERT INTO `lang_definitions` VALUES (8909, 11942, 3, '¿Quieres que el saldo se aplique a la cuanta global?');
INSERT INTO `lang_definitions` VALUES (8910, 11943, 3, 'quiere marcarlo como borrado.');
INSERT INTO `lang_definitions` VALUES (8911, 11944, 3, '¿Quiere asignarlo?');
INSERT INTO `lang_definitions` VALUES (8912, 11945, 3, '¿Quiere Cancelar la distribución para este paciente?');
INSERT INTO `lang_definitions` VALUES (8913, 11946, 3, '¿Quiere borrar la distribución de pago?');
INSERT INTO `lang_definitions` VALUES (8914, 11947, 3, '¿Quiere borrar los pagos?');
INSERT INTO `lang_definitions` VALUES (8915, 11948, 3, '¿Quiere modificar y terminar los pagos?');
INSERT INTO `lang_definitions` VALUES (8916, 11949, 3, '¿Quiere modificar los pagos?');
INSERT INTO `lang_definitions` VALUES (8917, 11950, 3, '¿Quiere enviar y terminar los pagos?');
INSERT INTO `lang_definitions` VALUES (8918, 11951, 3, '¿Quiere enviar los pagos?');
INSERT INTO `lang_definitions` VALUES (8919, 11952, 3, '¿Quiere salvar?');
INSERT INTO `lang_definitions` VALUES (8920, 11953, 3, 'Muñeca');
INSERT INTO `lang_definitions` VALUES (8921, 11954, 3, 'Muñeca y mano');
INSERT INTO `lang_definitions` VALUES (8922, 11955, 3, 'Problemas de Mano');
INSERT INTO `lang_definitions` VALUES (8923, 11956, 3, 'escribir');
INSERT INTO `lang_definitions` VALUES (8924, 11958, 3, 'Borrar cuenta');
INSERT INTO `lang_definitions` VALUES (8925, 11960, 3, 'con algunos');
INSERT INTO `lang_definitions` VALUES (8926, 11963, 3, 'peso');
INSERT INTO `lang_definitions` VALUES (8927, 11966, 3, 'x Cancelado');
INSERT INTO `lang_definitions` VALUES (8928, 11967, 3, 'x Cancelado');
INSERT INTO `lang_definitions` VALUES (8929, 11969, 3, 'Rayos X');
INSERT INTO `lang_definitions` VALUES (8930, 11970, 3, 'Interpretación de RAYOS X:');
INSERT INTO `lang_definitions` VALUES (8931, 11971, 3, 'Interpretación de Rayos X:');
INSERT INTO `lang_definitions` VALUES (8932, 11975, 3, 'X12 solamente: Demanda del reemplazo');
INSERT INTO `lang_definitions` VALUES (8933, 11978, 3, 'Socio X12');
INSERT INTO `lang_definitions` VALUES (8934, 11979, 3, 'Socios X12');
INSERT INTO `lang_definitions` VALUES (8935, 11980, 3, 'Segmentos x12');
INSERT INTO `lang_definitions` VALUES (8936, 11981, 3, 'Texto x12');
INSERT INTO `lang_definitions` VALUES (8937, 11982, 3, 'Xhosa');
INSERT INTO `lang_definitions` VALUES (8938, 11984, 3, 'XML');
INSERT INTO `lang_definitions` VALUES (8939, 11987, 3, 'A');
INSERT INTO `lang_definitions` VALUES (8940, 11988, 3, 'Año');
INSERT INTO `lang_definitions` VALUES (8941, 11989, 3, 'Año');
INSERT INTO `lang_definitions` VALUES (8942, 11990, 3, 'Ver año');
INSERT INTO `lang_definitions` VALUES (8943, 11991, 3, 'Año(s)');
INSERT INTO `lang_definitions` VALUES (8944, 11992, 3, 'Años');
INSERT INTO `lang_definitions` VALUES (8945, 11994, 3, 'Años o meses');
INSERT INTO `lang_definitions` VALUES (8946, 11995, 3, 'Años, meses y días');
INSERT INTO `lang_definitions` VALUES (8947, 11996, 3, 'Si');
INSERT INTO `lang_definitions` VALUES (8948, 11997, 3, 'SI');
INSERT INTO `lang_definitions` VALUES (8949, 11998, 3, 'si');
INSERT INTO `lang_definitions` VALUES (8950, 11999, 3, 'SI!');
INSERT INTO `lang_definitions` VALUES (8951, 12000, 3, 'Sí, Borrar y Registros');
INSERT INTO `lang_definitions` VALUES (8952, 12002, 3, 'Si/No');
INSERT INTO `lang_definitions` VALUES (8953, 12003, 3, 'Si:');
INSERT INTO `lang_definitions` VALUES (8954, 12004, 3, 'Judío');
INSERT INTO `lang_definitions` VALUES (8955, 12007, 3, 'Está a punto de borrar la forma de este encuentro');
INSERT INTO `lang_definitions` VALUES (8956, 12008, 3, 'Estás a punto de reemplazar permanentemente la plantilla existente. ¿Estás seguro de que desea continuar?');
INSERT INTO `lang_definitions` VALUES (8957, 12011, 3, 'Está en el periodo de Gracia de inicio de sesión. Cambie su contraseña antes de');
INSERT INTO `lang_definitions` VALUES (8958, 12012, 3, 'No está permitido eliminar este evento');
INSERT INTO `lang_definitions` VALUES (8959, 12013, 3, 'No está permitido a editar este evento');
INSERT INTO `lang_definitions` VALUES (8960, 12014, 3, 'Usted no está autorizado para esto.');
INSERT INTO `lang_definitions` VALUES (8961, 12016, 3, 'Usted no está autorizado para acceder a esta escuadra.');
INSERT INTO `lang_definitions` VALUES (8962, 12017, 3, 'No está autorizado para añadir/editar incidencias');
INSERT INTO `lang_definitions` VALUES (8963, 12018, 3, 'No está autorizado a programar citas');
INSERT INTO `lang_definitions` VALUES (8964, 12019, 3, 'Usted no está autorizado para ver este encuentro.');
INSERT INTO `lang_definitions` VALUES (8965, 12021, 3, '¿Está Ud. publicando contra un encuentro pasado?');
INSERT INTO `lang_definitions` VALUES (8966, 12023, 3, 'Está usando el módulo de validación de pacientes');
INSERT INTO `lang_definitions` VALUES (8967, 12038, 3, 'No se puede acceder a esta función directamente.');
INSERT INTO `lang_definitions` VALUES (8968, 12050, 3, 'No se puede acceder a esta página directamente.');
INSERT INTO `lang_definitions` VALUES (8969, 12051, 3, 'Ud no puede añadir un valor en blanco para una categoria!');
INSERT INTO `lang_definitions` VALUES (8970, 12052, 3, 'Ud no puede añadir un valor en blanco para una subcategoria!');
INSERT INTO `lang_definitions` VALUES (8971, 12053, 3, 'Ud. no puede añadir un valor en blanco para un item!');
INSERT INTO `lang_definitions` VALUES (8972, 12055, 3, 'No puede poner una fecha futura, con un valor completo de SI.');
INSERT INTO `lang_definitions` VALUES (8973, 12057, 3, 'Usted no escogió ninguna acción.');
INSERT INTO `lang_definitions` VALUES (8974, 12058, 3, 'Usted no tiene acceso para ver o editar esta nota');
INSERT INTO `lang_definitions` VALUES (8975, 12061, 3, 'Ud. ha tratado de alterar contenido que está bloqueado. Quite el bloqueo si desea hacer ésto. Para desbloquear, elimine la línea, \'*lock::*\'');
INSERT INTO `lang_definitions` VALUES (8976, 12063, 3, 'Ha sido desidentificado');
INSERT INTO `lang_definitions` VALUES (8977, 12070, 3, 'Tiene cambios que no han sido guardados');
INSERT INTO `lang_definitions` VALUES (8978, 12071, 3, 'Tiene cambio que no han sido guardados, ¿Abandonar cambios?');
INSERT INTO `lang_definitions` VALUES (8979, 12074, 3, 'Sólo puede actualizar ficheros .txt');
INSERT INTO `lang_definitions` VALUES (8980, 12076, 3, 'Puede poner el texto aquí como queja por defecto en el formulario de visita de nuevo paciente.');
INSERT INTO `lang_definitions` VALUES (8981, 12085, 3, 'Debe introducir la frase clave para encriptar el documento');
INSERT INTO `lang_definitions` VALUES (8982, 12087, 3, 'Debe introducir su propia contraseña para cambiar la contraseña de otros. Deje la contraseña en blanco para mantener la contraseña');
INSERT INTO `lang_definitions` VALUES (8983, 12090, 3, 'Primero debe seleccionar o agregar un paciente.');
INSERT INTO `lang_definitions` VALUES (8984, 12091, 3, 'Primero debe seleccionar o crear un encuentro.');
INSERT INTO `lang_definitions` VALUES (8985, 12092, 3, 'Debe seleccionar una categoría de visita');
INSERT INTO `lang_definitions` VALUES (8986, 12093, 3, 'Ud. debe seleccionar una categoria para la visita');
INSERT INTO `lang_definitions` VALUES (8987, 12094, 3, 'Debe seleccionar algunos campos para continuar.');
INSERT INTO `lang_definitions` VALUES (8988, 12104, 3, 'Usted debe estar ejecutando esta prueba si esta reclamación aparece para generar con éxito, pero el fichero de reclamación actual no contiene datos o sólo una parte inconclusa de la cantidad de datos que se supone que contiene. Es evidente con reclamaciones HCFA porque son legibles, con reclamaciones X12 es más difícil un proceso para determinar si la demanda está bien completa.');
INSERT INTO `lang_definitions` VALUES (8989, 12106, 3, 'Debe seleccionar al menos un contexto');
INSERT INTO `lang_definitions` VALUES (8990, 12107, 3, 'Debe seleccionar al menos un Facultativo');
INSERT INTO `lang_definitions` VALUES (8991, 12122, 3, 'Su fecha de finalización no es válida');
INSERT INTO `lang_definitions` VALUES (8992, 12123, 3, 'Su evento ha sido suprimido');
INSERT INTO `lang_definitions` VALUES (8993, 12124, 3, 'Su evento ha sido modificado');
INSERT INTO `lang_definitions` VALUES (8994, 12125, 3, 'Su evento ha sido aceptado');
INSERT INTO `lang_definitions` VALUES (8995, 12127, 3, 'El fichero es demasiado grande');
INSERT INTO `lang_definitions` VALUES (8996, 12132, 3, 'Su nombre de la lista se ha cambiado para resolver requisitos de nombre.');
INSERT INTO `lang_definitions` VALUES (8997, 12134, 3, 'Su nombre para esta categoria, procedmiento o resultado');
INSERT INTO `lang_definitions` VALUES (8998, 12140, 3, 'Su Palabra Clave ha Expirado. Por favor cambie su contraseña.');
INSERT INTO `lang_definitions` VALUES (8999, 12141, 3, 'Su Contraseña expira en');
INSERT INTO `lang_definitions` VALUES (9000, 12143, 3, 'Su Contraseña expira hoy. Por favor cambie su contraseña.');
INSERT INTO `lang_definitions` VALUES (9001, 12146, 3, 'Su PostCalendar se ha reseteado para usar la configuración por defecto.');
INSERT INTO `lang_definitions` VALUES (9002, 12147, 3, 'Se ha actualizado su configuración de PostCalendar.');
INSERT INTO `lang_definitions` VALUES (9003, 12148, 3, 'Su frecuencia de repetición debe ser un número entero.');
INSERT INTO `lang_definitions` VALUES (9004, 12149, 3, 'Su frecuencia de repetición debe ser por lo menos 1.');
INSERT INTO `lang_definitions` VALUES (9005, 12151, 3, 'Su fecha de inicio es mayor que su fecha de finalización');
INSERT INTO `lang_definitions` VALUES (9006, 12152, 3, 'Su fecha de inicio no es válida');
INSERT INTO `lang_definitions` VALUES (9007, 12153, 3, 'Su sumisión falló.');
INSERT INTO `lang_definitions` VALUES (9008, 12156, 3, 'aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (9009, 12157, 3, 'AAAA-MM-DD');
INSERT INTO `lang_definitions` VALUES (9010, 12158, 3, 'aaaa-mm-dd fecha asociada con este documento');
INSERT INTO `lang_definitions` VALUES (9011, 12159, 3, 'aaaa-mm-dd fecha destruida');
INSERT INTO `lang_definitions` VALUES (9012, 12160, 3, 'aaaa-mm-dd F.Nacim.');
INSERT INTO `lang_definitions` VALUES (9013, 12161, 3, 'aaaa-mm-dd F.Nacim.');
INSERT INTO `lang_definitions` VALUES (9014, 12162, 3, 'aaaa-mm-dd fecha de expiración');
INSERT INTO `lang_definitions` VALUES (9015, 12163, 3, 'aaaa-mm-dd Fecha de inicio o de hospitalización');
INSERT INTO `lang_definitions` VALUES (9016, 12164, 3, 'aaaa-mm-dd fecha de inicio, cirugía o comienzo de la medicación');
INSERT INTO `lang_definitions` VALUES (9017, 12165, 3, 'aaaa-mm-dd fecha de adquisicion o transferencia');
INSERT INTO `lang_definitions` VALUES (9018, 12166, 3, 'aaaa-mm-dd fecha de recuperación o al final de la medicación');
INSERT INTO `lang_definitions` VALUES (9019, 12167, 3, 'aaaa-mm-dd Fecha de volver a jugar');
INSERT INTO `lang_definitions` VALUES (9020, 12168, 3, 'aaaa-mm-dd Fecha de servicios');
INSERT INTO `lang_definitions` VALUES (9021, 12169, 3, 'aaaa-mm-dd fecha de esta carta');
INSERT INTO `lang_definitions` VALUES (9022, 12170, 3, 'aaaa-mm-dd fecha que volvió a jugar');
INSERT INTO `lang_definitions` VALUES (9023, 12171, 3, 'aaaa-mm-dd fecha del documento');
INSERT INTO `lang_definitions` VALUES (9024, 12173, 3, 'aaaa-mm-dd fecha de evento o fecha de inicio');
INSERT INTO `lang_definitions` VALUES (9025, 12178, 3, 'aaaa-mm-dd hh:mm:ss');
INSERT INTO `lang_definitions` VALUES (9026, 12180, 3, 'aaaa-mm-dd última fecha de este evento');
INSERT INTO `lang_definitions` VALUES (9027, 12186, 3, 'Cero');
INSERT INTO `lang_definitions` VALUES (9028, 12188, 3, 'Postal');
INSERT INTO `lang_definitions` VALUES (9029, 12189, 3, 'Código postal');
INSERT INTO `lang_definitions` VALUES (9030, 12191, 3, 'Postal/Pais');
INSERT INTO `lang_definitions` VALUES (9031, 12196, 3, 'Zulú');
INSERT INTO `lang_definitions` VALUES (9032, 12197, 3, 'pero ha sido');
INSERT INTO `lang_definitions` VALUES (9033, 12198, 3, 'no se ha podido acceder.');
INSERT INTO `lang_definitions` VALUES (9034, 12199, 3, 'Seguro que quiere borrar');
INSERT INTO `lang_definitions` VALUES (9035, 12200, 3, 'Medicamento');
INSERT INTO `lang_definitions` VALUES (9036, 12201, 3, 'emails no enviados');
INSERT INTO `lang_definitions` VALUES (9037, 12202, 3, 'de');
INSERT INTO `lang_definitions` VALUES (9038, 12203, 3, 'ha sido creado');
INSERT INTO `lang_definitions` VALUES (9039, 12204, 3, 'ha sido abierto de nuevo.');
INSERT INTO `lang_definitions` VALUES (9040, 12205, 3, 'Historia');
INSERT INTO `lang_definitions` VALUES (9041, 12206, 3, 'no es un número');
INSERT INTO `lang_definitions` VALUES (9042, 12207, 3, 'listo para refacturar');
INSERT INTO `lang_definitions` VALUES (9043, 12208, 3, 'LLL:');
INSERT INTO `lang_definitions` VALUES (9044, 12209, 3, 'Lote');
INSERT INTO `lang_definitions` VALUES (9045, 12210, 3, 'Nº de Referencia original de Medicaid');
INSERT INTO `lang_definitions` VALUES (9046, 12211, 3, 'min');
INSERT INTO `lang_definitions` VALUES (9047, 12212, 3, 'no encontrado!');
INSERT INTO `lang_definitions` VALUES (9048, 12213, 3, 'Peculiaridades en varios programas de exploración pueden asumir que la información abajo aparece bruscamente, y ocurren pausas extensas que aparentan que el sistema se ha dañado. Este no es el caso, y eventualmente verá información desplegada línea por línea. Podrían aparecer números secuenciales para indicar que aunque no aparezca nada más, el sistema tiene actividad. Estos números serán entremezclados con el contenido de la facturación, y es normal.');
INSERT INTO `lang_definitions` VALUES (9049, 12214, 3, 'la receta ha alcanzado el límite de');
INSERT INTO `lang_definitions` VALUES (9050, 12215, 3, 'hasta');
INSERT INTO `lang_definitions` VALUES (9051, 12216, 3, '¿falló la actualización, no está en la base de datos?');
INSERT INTO `lang_definitions` VALUES (9052, 12217, 3, 'marcado como solo facturado.');
INSERT INTO `lang_definitions` VALUES (9053, 12218, 3, 'puesto en cola.');
INSERT INTO `lang_definitions` VALUES (9054, 12219, 3, '! se retiró sin consulta');
INSERT INTO `lang_definitions` VALUES (9055, 12220, 3, '\" para código');
INSERT INTO `lang_definitions` VALUES (9056, 12221, 3, '\" está marcado en configuración PostCalendar');
INSERT INTO `lang_definitions` VALUES (9057, 12222, 3, '# Incidencia de seguro o financiero');
INSERT INTO `lang_definitions` VALUES (9058, 12223, 3, '# número de tabletas:');
INSERT INTO `lang_definitions` VALUES (9059, 12224, 3, '$');
INSERT INTO `lang_definitions` VALUES (9060, 12225, 3, '$ Codificado');
INSERT INTO `lang_definitions` VALUES (9061, 12226, 3, '$etiqueta (yyyy-mm-dd)');
INSERT INTO `lang_definitions` VALUES (9062, 12227, 3, '%');
INSERT INTO `lang_definitions` VALUES (9063, 12228, 3, '% Cancelado <24 hrs');
INSERT INTO `lang_definitions` VALUES (9064, 12229, 3, '% Cancelado < 24 hrs');
INSERT INTO `lang_definitions` VALUES (9065, 12230, 3, 'debería, pero no existe');
INSERT INTO `lang_definitions` VALUES (9066, 12231, 3, '(% Coincide con cualquier cadena, _ Coincide con cualquier carácter)');
INSERT INTO `lang_definitions` VALUES (9067, 12232, 3, '([ctrl] + click para seleccionar múltiples destinatarios)');
INSERT INTO `lang_definitions` VALUES (9068, 12233, 3, '(Volver)');
INSERT INTO `lang_definitions` VALUES (9069, 12234, 3, '(Haga clic para editar)');
INSERT INTO `lang_definitions` VALUES (9070, 12235, 3, '(el email tiene entrega inmediata, mientras que el mensaje de VOIP es enviado al proveedor del servicio para su proceso futuro)');
INSERT INTO `lang_definitions` VALUES (9071, 12236, 3, '(Mas)');
INSERT INTO `lang_definitions` VALUES (9072, 12237, 3, '(Nuevo Paciente)');
INSERT INTO `lang_definitions` VALUES (9073, 12238, 3, '(Notas y Autorizaciones)');
INSERT INTO `lang_definitions` VALUES (9074, 12239, 3, 'Notas del Paciente');
INSERT INTO `lang_definitions` VALUES (9075, 12240, 3, '(Seleccione uno de estos, o escriba su propio título)');
INSERT INTO `lang_definitions` VALUES (9076, 12241, 3, '(Shift-) Selecciona o arrastrar para cambiar valor');
INSERT INTO `lang_definitions` VALUES (9077, 12242, 3, '*Recordatorio realizado');
INSERT INTO `lang_definitions` VALUES (9078, 12243, 3, '** ¡Por Favor mover cirugías a incidencias!');
INSERT INTO `lang_definitions` VALUES (9079, 12244, 3, '* Requerido');
INSERT INTO `lang_definitions` VALUES (9080, 12245, 3, 'Historia Clínica retirada');
INSERT INTO `lang_definitions` VALUES (9081, 12249, 3, '- Ninguno');
INSERT INTO `lang_definitions` VALUES (9082, 12253, 3, '.');
INSERT INTO `lang_definitions` VALUES (9083, 12254, 3, '0');
INSERT INTO `lang_definitions` VALUES (9084, 12255, 3, '0-10');
INSERT INTO `lang_definitions` VALUES (9085, 12256, 3, '0-24');
INSERT INTO `lang_definitions` VALUES (9086, 12259, 3, '1');
INSERT INTO `lang_definitions` VALUES (9087, 12260, 3, '1=Norteamerica. Ver http://www.wtng.info/ para lista de códigos de otros países.');
INSERT INTO `lang_definitions` VALUES (9088, 12261, 3, 'Dentro de 1 día');
INSERT INTO `lang_definitions` VALUES (9089, 12262, 3, 'Dentro de 1 mes');
INSERT INTO `lang_definitions` VALUES (9090, 12263, 3, 'Dentro de 1 semana');
INSERT INTO `lang_definitions` VALUES (9091, 12264, 3, 'Dentro de 1 año');
INSERT INTO `lang_definitions` VALUES (9092, 12265, 3, '1. Descanso 2. Hielo por dos días 3. Compresión, dejar el vendaje en su lugar a menos que el pie presente hormigueo o color pálido 4. Elevar la pierna y el pie');
INSERT INTO `lang_definitions` VALUES (9093, 12266, 3, '11-14');
INSERT INTO `lang_definitions` VALUES (9094, 12267, 3, '12 hr');
INSERT INTO `lang_definitions` VALUES (9095, 12268, 3, '15-19');
INSERT INTO `lang_definitions` VALUES (9096, 12272, 3, '2');
INSERT INTO `lang_definitions` VALUES (9097, 12273, 3, 'Dentro de 2 días');
INSERT INTO `lang_definitions` VALUES (9098, 12274, 3, 'Dentro de 2 meses');
INSERT INTO `lang_definitions` VALUES (9099, 12275, 3, 'Dentro de 2 semanas');
INSERT INTO `lang_definitions` VALUES (9100, 12276, 3, 'Dentro de 2 años');
INSERT INTO `lang_definitions` VALUES (9101, 12278, 3, '20-24');
INSERT INTO `lang_definitions` VALUES (9102, 12287, 3, '2111-13');
INSERT INTO `lang_definitions` VALUES (9103, 12288, 3, '24 hr');
INSERT INTO `lang_definitions` VALUES (9104, 12289, 3, '25+');
INSERT INTO `lang_definitions` VALUES (9105, 12290, 3, '25-29');
INSERT INTO `lang_definitions` VALUES (9106, 12293, 3, '2da');
INSERT INTO `lang_definitions` VALUES (9107, 12296, 3, 'Dentro de 3 días');
INSERT INTO `lang_definitions` VALUES (9108, 12297, 3, '3 meses');
INSERT INTO `lang_definitions` VALUES (9109, 12298, 3, 'Dentro de 3 meses');
INSERT INTO `lang_definitions` VALUES (9110, 12299, 3, '3 veces al día');
INSERT INTO `lang_definitions` VALUES (9111, 12300, 3, 'Dentro de 3 semanas');
INSERT INTO `lang_definitions` VALUES (9112, 12301, 3, '30-34');
INSERT INTO `lang_definitions` VALUES (9113, 12302, 3, '35-39');
INSERT INTO `lang_definitions` VALUES (9114, 12304, 3, '3era');
INSERT INTO `lang_definitions` VALUES (9115, 12307, 3, 'Dentro de 4 días');
INSERT INTO `lang_definitions` VALUES (9116, 12308, 3, '4 meses');
INSERT INTO `lang_definitions` VALUES (9117, 12309, 3, 'Dentro de 4 meses');
INSERT INTO `lang_definitions` VALUES (9118, 12310, 3, '4 veces al día');
INSERT INTO `lang_definitions` VALUES (9119, 12311, 3, 'Dentro de 4 semanas');
INSERT INTO `lang_definitions` VALUES (9120, 12312, 3, '40-44');
INSERT INTO `lang_definitions` VALUES (9121, 12313, 3, '45+');
INSERT INTO `lang_definitions` VALUES (9122, 12314, 3, '465,9, URI');
INSERT INTO `lang_definitions` VALUES (9123, 12315, 3, '466.0, Bronquitis, Aguda');
INSERT INTO `lang_definitions` VALUES (9124, 12316, 3, '486.0, Neumonía, Aguda');
INSERT INTO `lang_definitions` VALUES (9125, 12317, 3, '491.21 Gravedad de Enfermedad Pulmonar Obstructiva Crónica');
INSERT INTO `lang_definitions` VALUES (9126, 12318, 3, '491.8, Bronquitis, Crónica');
INSERT INTO `lang_definitions` VALUES (9127, 12319, 3, '493.92, Asma, Aguda');
INSERT INTO `lang_definitions` VALUES (9128, 12320, 3, '496.0 Enfermedad Pulmonar Obstructiva Crónica');
INSERT INTO `lang_definitions` VALUES (9129, 12323, 3, '4ta');
INSERT INTO `lang_definitions` VALUES (9130, 12326, 3, 'Dentro de 5 días');
INSERT INTO `lang_definitions` VALUES (9131, 12327, 3, 'Dentro de 5 meses');
INSERT INTO `lang_definitions` VALUES (9132, 12328, 3, 'Dentro de 5 semanas');
INSERT INTO `lang_definitions` VALUES (9133, 12329, 3, '519.7, Broncoespasmo');
INSERT INTO `lang_definitions` VALUES (9134, 12331, 3, '5ta');
INSERT INTO `lang_definitions` VALUES (9135, 12333, 3, 'Dentro de 6 días');
INSERT INTO `lang_definitions` VALUES (9136, 12334, 3, '6 meses');
INSERT INTO `lang_definitions` VALUES (9137, 12335, 3, 'Dentro de 6 meses');
INSERT INTO `lang_definitions` VALUES (9138, 12336, 3, 'Dentro de 6 semanas');
INSERT INTO `lang_definitions` VALUES (9139, 12337, 3, '6ta');
INSERT INTO `lang_definitions` VALUES (9140, 12339, 3, 'Dentro de 7 meses');
INSERT INTO `lang_definitions` VALUES (9141, 12340, 3, 'Dentro de 8 meses');
INSERT INTO `lang_definitions` VALUES (9142, 12342, 3, '824.0 Fractura, maléolo tibial, cerrado');
INSERT INTO `lang_definitions` VALUES (9143, 12343, 3, '824.2 Fractura, maléolo lateral, cerrado');
INSERT INTO `lang_definitions` VALUES (9144, 12344, 3, '824,6 Fractura, Trimaleolar, cerrada');
INSERT INTO `lang_definitions` VALUES (9145, 12345, 3, '825.32 Fractura de navicular (tobillo)');
INSERT INTO `lang_definitions` VALUES (9146, 12346, 3, '825,35 Fractura, Base de la quinta (5 ª) metatarsianas');
INSERT INTO `lang_definitions` VALUES (9147, 12347, 3, '845,00 torcedura del tobillo NOS');
INSERT INTO `lang_definitions` VALUES (9148, 12348, 3, '845,01 Esquince ligamento tibial (Deltoides).');
INSERT INTO `lang_definitions` VALUES (9149, 12349, 3, '845,02 Torcedura, fibular Calcánea');
INSERT INTO `lang_definitions` VALUES (9150, 12350, 3, 'Dentro de 9 meses');
INSERT INTO `lang_definitions` VALUES (9151, 12351, 3, 'Establecido 99212 - sin complicaciones');
INSERT INTO `lang_definitions` VALUES (9152, 12352, 3, 'Establecido 99213 - Baja Complejidad');
INSERT INTO `lang_definitions` VALUES (9153, 12353, 3, '< en consultorio');
INSERT INTO `lang_definitions` VALUES (9154, 12357, 3, '> De Alta / Salida');
INSERT INTO `lang_definitions` VALUES (9155, 12361, 3, '? ausente');
INSERT INTO `lang_definitions` VALUES (9156, 12362, 3, '@ En Espera');
INSERT INTO `lang_definitions` VALUES (9157, 12364, 3, '[cambiar vista]');
INSERT INTO `lang_definitions` VALUES (9158, 12365, 3, '[Fecha de último encuentro]');
INSERT INTO `lang_definitions` VALUES (9159, 12366, 3, '[Días desde último encuentro]');
INSERT INTO `lang_definitions` VALUES (9160, 12367, 3, '[EOBs]');
INSERT INTO `lang_definitions` VALUES (9161, 12368, 3, '[Exportar OFX]');
INSERT INTO `lang_definitions` VALUES (9162, 12369, 3, '[no recomendado]');
INSERT INTO `lang_definitions` VALUES (9163, 12370, 3, '[Número de visitas]');
INSERT INTO `lang_definitions` VALUES (9164, 12371, 3, '[Informes]');
INSERT INTO `lang_definitions` VALUES (9165, 12372, 3, '[Seleccionar todos]');
INSERT INTO `lang_definitions` VALUES (9166, 12373, 3, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (9167, 12374, 3, '[Iniciar Proceso batch]');
INSERT INTO `lang_definitions` VALUES (9168, 12375, 3, '[Visualizar registro]');
INSERT INTO `lang_definitions` VALUES (9169, 12376, 3, '[Ver reporte de variables]');
INSERT INTO `lang_definitions` VALUES (9170, 12378, 3, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (9171, 12379, 3, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (9172, 12380, 3, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (9173, 12381, 3, '~ Llegó tarde');
INSERT INTO `lang_definitions` VALUES (9174, 1, 4, 'Un, Una');
INSERT INTO `lang_definitions` VALUES (9175, 2, 4, 'Un número de cheque o reclamación para identificar el pago');
INSERT INTO `lang_definitions` VALUES (9176, 3, 4, 'Una reclamación debe ser escogida para activar este menú ');
INSERT INTO `lang_definitions` VALUES (9177, 4, 4, 'Un certificado del cliente para el usuario de admin');
INSERT INTO `lang_definitions` VALUES (9178, 6, 4, 'Adjunto está un documento clínico.');
INSERT INTO `lang_definitions` VALUES (9179, 7, 4, 'Adjunto está un documento clínico.');
INSERT INTO `lang_definitions` VALUES (9180, 8, 4, 'Un código del mismo tipo ya fue seleccionado. Elíminelo del campo para poder reemplazarlo.');
INSERT INTO `lang_definitions` VALUES (9181, 13, 4, 'Se requiere un distribuidor');
INSERT INTO `lang_definitions` VALUES (9182, 17, 4, 'Formulario de visita GCAC debe ser agregado a esta visita');
INSERT INTO `lang_definitions` VALUES (9183, 19, 4, 'Una gran aplicación como OpenEMR es usada por una multitud de usuarios con variados roles y grados de responsabilidad. Es imperativo que el acceso a diferentes partes del programa sea garantizado para usuarios que conozcan los requisitos básicos. Para lograr esto se usan las Listas de control de acceso (ACL) ');
INSERT INTO `lang_definitions` VALUES (9184, 20, 4, 'Un número de lote es requerido');
INSERT INTO `lang_definitions` VALUES (9185, 21, 4, 'Un número de lote es requerido!');
INSERT INTO `lang_definitions` VALUES (9186, 22, 4, 'Una letra minúscula');
INSERT INTO `lang_definitions` VALUES (9187, 28, 4, 'Un número');
INSERT INTO `lang_definitions` VALUES (9188, 29, 4, 'Debe seleccionar un paciente para generar un reporte');
INSERT INTO `lang_definitions` VALUES (9189, 30, 4, 'Un paciente con esta ID ya existe');
INSERT INTO `lang_definitions` VALUES (9190, 31, 4, 'Un paciente con este nombre ya existe');
INSERT INTO `lang_definitions` VALUES (9191, 32, 4, 'Un paciente con este numero de Seguro Social ya existe');
INSERT INTO `lang_definitions` VALUES (9192, 33, 4, '¡Un pago es requerido! Por favor ingrese un concepto de pago');
INSERT INTO `lang_definitions` VALUES (9193, 36, 4, 'Un número positivo mostrará tantas citas pasadas en un Widget en la pantalla de resumen del cliente (un número negativo mostrará las citas pasadas en orden descendente)');
INSERT INTO `lang_definitions` VALUES (9194, 37, 4, 'Un número positivo mostrará tantas citas pasadas en un Widget en la pantalla de resumen del cliente.');
INSERT INTO `lang_definitions` VALUES (9195, 38, 4, 'Un producto fue seleccionado pero no hay una sección de productos en este formulario ');
INSERT INTO `lang_definitions` VALUES (9196, 43, 4, 'Una fuente de referencia puede ser especificada para cada visita');
INSERT INTO `lang_definitions` VALUES (9197, 44, 4, 'Un código IPPF relacionado es requerido');
INSERT INTO `lang_definitions` VALUES (9198, 46, 4, 'Una breve descripción del grupo aparecerá cuando sobreponga el cursor sobre un grupo recién creado (ARO). ');
INSERT INTO `lang_definitions` VALUES (9199, 49, 4, 'Un caracter especial');
INSERT INTO `lang_definitions` VALUES (9200, 53, 4, 'Un valor único para identificar este campo, no visible al usuario');
INSERT INTO `lang_definitions` VALUES (9201, 55, 4, 'Una visita ya existe para este grupo hoy día. Haga click en Cancelar para abrirla, o en OK para crear una nueva.');
INSERT INTO `lang_definitions` VALUES (9202, 56, 4, 'Una visita ya existe para este paciente hoy día. Haga click en Cancelar para abrirla, o en OK para crear una nueva.');
INSERT INTO `lang_definitions` VALUES (9203, 57, 4, 'antes de las comidas');
INSERT INTO `lang_definitions` VALUES (9204, 58, 4, 'a.m.');
INSERT INTO `lang_definitions` VALUES (9205, 59, 4, 'A/C{{Camara Anterior}}');
INSERT INTO `lang_definitions` VALUES (9206, 60, 4, 'Nivel aire/fluido Derecho');
INSERT INTO `lang_definitions` VALUES (9207, 62, 4, 'AB');
INSERT INTO `lang_definitions` VALUES (9208, 63, 4, 'Abreviatura');
INSERT INTO `lang_definitions` VALUES (9209, 64, 4, 'Absceso');
INSERT INTO `lang_definitions` VALUES (9210, 65, 4, 'Abdominal');
INSERT INTO `lang_definitions` VALUES (9211, 66, 4, 'Capaz de cargar peso cuatro pasos');
INSERT INTO `lang_definitions` VALUES (9212, 67, 4, 'Anormal');
INSERT INTO `lang_definitions` VALUES (9213, 68, 4, 'ABN1');
INSERT INTO `lang_definitions` VALUES (9214, 70, 4, 'Anormal');
INSERT INTO `lang_definitions` VALUES (9215, 71, 4, 'Análisis de sangre anormal');
INSERT INTO `lang_definitions` VALUES (9216, 72, 4, 'Crecimiento anormal del pelo');
INSERT INTO `lang_definitions` VALUES (9217, 73, 4, 'Mamografía anormal');
INSERT INTO `lang_definitions` VALUES (9218, 74, 4, 'Abortar');
INSERT INTO `lang_definitions` VALUES (9219, 75, 4, 'Aborto');
INSERT INTO `lang_definitions` VALUES (9220, 76, 4, 'Problemas del Aborto');
INSERT INTO `lang_definitions` VALUES (9221, 77, 4, 'Método de Aborto');
INSERT INTO `lang_definitions` VALUES (9222, 78, 4, 'Categorías relacionadas al Aborto');
INSERT INTO `lang_definitions` VALUES (9223, 79, 4, 'Abortos');
INSERT INTO `lang_definitions` VALUES (9224, 80, 4, 'Acerca de');
INSERT INTO `lang_definitions` VALUES (9225, 81, 4, 'Acerca del panel de control del portal ');
INSERT INTO `lang_definitions` VALUES (9226, 82, 4, 'Acerca del calendario');
INSERT INTO `lang_definitions` VALUES (9227, 83, 4, 'Acerca de su portal');
INSERT INTO `lang_definitions` VALUES (9228, 84, 4, 'Por encima de los limites de pánico');
INSERT INTO `lang_definitions` VALUES (9229, 85, 4, 'Ausencias por Diagnóstico');
INSERT INTO `lang_definitions` VALUES (9230, 86, 4, 'Aceptar');
INSERT INTO `lang_definitions` VALUES (9231, 87, 4, 'Aceptar Tarea');
INSERT INTO `lang_definitions` VALUES (9232, 89, 4, 'Aceptar Pago por');
INSERT INTO `lang_definitions` VALUES (9233, 90, 4, 'Aceptar Pago por');
INSERT INTO `lang_definitions` VALUES (9234, 91, 4, 'Acepta Tarea');
INSERT INTO `lang_definitions` VALUES (9235, 93, 4, 'Control de acceso');
INSERT INTO `lang_definitions` VALUES (9236, 94, 4, 'Administración de la Lista de Control de Acceso');
INSERT INTO `lang_definitions` VALUES (9237, 95, 4, 'Ayuda para Listas de control de acceso');
INSERT INTO `lang_definitions` VALUES (9238, 96, 4, 'Listas de control de acceso');
INSERT INTO `lang_definitions` VALUES (9239, 98, 4, 'Fecha de acceso');
INSERT INTO `lang_definitions` VALUES (9240, 99, 4, 'Acceso denegado');
INSERT INTO `lang_definitions` VALUES (9241, 100, 4, 'El acceso se otorga selectivamente a partes del programa según la necesidad de conocerlo.');
INSERT INTO `lang_definitions` VALUES (9242, 101, 4, 'acceso no permitido');
INSERT INTO `lang_definitions` VALUES (9243, 102, 4, 'Acceso no permitido');
INSERT INTO `lang_definitions` VALUES (9244, 103, 4, 'Acceso no autorizado');
INSERT INTO `lang_definitions` VALUES (9245, 104, 4, 'Acceda a sus registros medicos');
INSERT INTO `lang_definitions` VALUES (9246, 105, 4, 'Acceder al Portal del Paciente');
INSERT INTO `lang_definitions` VALUES (9247, 106, 4, 'Accidente');
INSERT INTO `lang_definitions` VALUES (9248, 107, 4, 'Cuenta');
INSERT INTO `lang_definitions` VALUES (9249, 109, 4, 'Id de cuenta otorgada a NewCrop eRX service, usado para separar cuentas de múltiples localidades.');
INSERT INTO `lang_definitions` VALUES (9250, 111, 4, 'El Id de la cuenta es emitido por su servicio de Rx de la clinica');
INSERT INTO `lang_definitions` VALUES (9251, 112, 4, 'Cuenta validada. Enviar credenciales nuevas ?');
INSERT INTO `lang_definitions` VALUES (9252, 113, 4, 'Nombre de Cuenta');
INSERT INTO `lang_definitions` VALUES (9253, 114, 4, 'Nombre de cuenta otorgado para NewCrop eRx service.');
INSERT INTO `lang_definitions` VALUES (9254, 115, 4, 'Contraseña de cuenta otorgada para NewCrop eRx service.');
INSERT INTO `lang_definitions` VALUES (9255, 117, 4, 'Contabilidad');
INSERT INTO `lang_definitions` VALUES (9256, 118, 4, 'Contabilidad');
INSERT INTO `lang_definitions` VALUES (9257, 119, 4, 'Contabilidad');
INSERT INTO `lang_definitions` VALUES (9258, 120, 4, 'Acct');
INSERT INTO `lang_definitions` VALUES (9259, 121, 4, 'ACD{{profundidad de camara anterior}}');
INSERT INTO `lang_definitions` VALUES (9260, 122, 4, 'Dolores');
INSERT INTO `lang_definitions` VALUES (9261, 123, 4, 'Reconocer como mi firma electrónica');
INSERT INTO `lang_definitions` VALUES (9262, 124, 4, 'Solicitud de reconocimiento (ISA14)');
INSERT INTO `lang_definitions` VALUES (9263, 125, 4, 'Reconocimientos, Licencias y Certificaciones');
INSERT INTO `lang_definitions` VALUES (9264, 126, 4, 'ACL');
INSERT INTO `lang_definitions` VALUES (9265, 127, 4, 'Administración del ACL');
INSERT INTO `lang_definitions` VALUES (9266, 128, 4, 'Administración del ACL (ACL) ');
INSERT INTO `lang_definitions` VALUES (9267, 129, 4, 'Administración de ACL no autorizada');
INSERT INTO `lang_definitions` VALUES (9268, 132, 4, 'ACL actualizada exitósamente');
INSERT INTO `lang_definitions` VALUES (9269, 133, 4, 'Acné');
INSERT INTO `lang_definitions` VALUES (9270, 135, 4, 'Segmento Anterior ');
INSERT INTO `lang_definitions` VALUES (9271, 136, 4, 'Acta');
INSERT INTO `lang_definitions` VALUES (9272, 137, 4, 'Fecha de Acta');
INSERT INTO `lang_definitions` VALUES (9273, 138, 4, 'Accion');
INSERT INTO `lang_definitions` VALUES (9274, 139, 4, 'Acción tomada');
INSERT INTO `lang_definitions` VALUES (9275, 140, 4, 'Tiempo de la acción tomada');
INSERT INTO `lang_definitions` VALUES (9276, 141, 4, 'Usuario de la acción');
INSERT INTO `lang_definitions` VALUES (9277, 142, 4, 'Acciones');
INSERT INTO `lang_definitions` VALUES (9278, 143, 4, 'Activar');
INSERT INTO `lang_definitions` VALUES (9279, 144, 4, 'Activar Reportes CCR/CCD');
INSERT INTO `lang_definitions` VALUES (9280, 145, 4, 'Activar para ordenar columnas ascendentemente ');
INSERT INTO `lang_definitions` VALUES (9281, 146, 4, 'Activar para ordenar columnas descendentemente ');
INSERT INTO `lang_definitions` VALUES (9282, 147, 4, 'Activar soporte de reclamación UB04/837I');
INSERT INTO `lang_definitions` VALUES (9283, 148, 4, 'Activo');
INSERT INTO `lang_definitions` VALUES (9284, 150, 4, 'Alerta Activa');
INSERT INTO `lang_definitions` VALUES (9285, 152, 4, 'Reglas de Alerta Activa');
INSERT INTO `lang_definitions` VALUES (9286, 153, 4, 'Alertas activas/recordatorios');
INSERT INTO `lang_definitions` VALUES (9287, 154, 4, 'Gráfica Activa');
INSERT INTO `lang_definitions` VALUES (9288, 158, 4, 'Encuentro Activo');
INSERT INTO `lang_definitions` VALUES (9289, 159, 4, 'Códigos de problemas activos');
INSERT INTO `lang_definitions` VALUES (9290, 160, 4, 'Listas Activas');
INSERT INTO `lang_definitions` VALUES (9291, 161, 4, 'Mensajes activos ');
INSERT INTO `lang_definitions` VALUES (9292, 162, 4, 'Paciente Activo');
INSERT INTO `lang_definitions` VALUES (9293, 163, 4, 'Planes Activos');
INSERT INTO `lang_definitions` VALUES (9294, 164, 4, 'Templados activos');
INSERT INTO `lang_definitions` VALUES (9295, 173, 4, 'Actividad');
INSERT INTO `lang_definitions` VALUES (9296, 174, 4, 'Tipo de Actividad');
INSERT INTO `lang_definitions` VALUES (9297, 175, 4, 'Recibo verdadero');
INSERT INTO `lang_definitions` VALUES (9298, 176, 4, 'Agudeza');
INSERT INTO `lang_definitions` VALUES (9299, 177, 4, 'AGUDEZA');
INSERT INTO `lang_definitions` VALUES (9300, 178, 4, 'Agudeza con Autorefracción');
INSERT INTO `lang_definitions` VALUES (9301, 179, 4, 'Agudeza con Lentes de Contacto');
INSERT INTO `lang_definitions` VALUES (9302, 180, 4, 'Agudeza con corrección');
INSERT INTO `lang_definitions` VALUES (9303, 181, 4, 'Agudeza con refracción Ciclopégica');
INSERT INTO `lang_definitions` VALUES (9304, 182, 4, 'Agudeza con refracción manifiesta');
INSERT INTO `lang_definitions` VALUES (9305, 183, 4, 'Agudeza con cámara estenopeica');
INSERT INTO `lang_definitions` VALUES (9306, 184, 4, 'Agudeza sin corrección');
INSERT INTO `lang_definitions` VALUES (9307, 185, 4, 'Intoxicación aguda/Retirada');
INSERT INTO `lang_definitions` VALUES (9308, 186, 4, 'Manifestación de condición crónica aguda');
INSERT INTO `lang_definitions` VALUES (9309, 187, 4, 'Agudo en Crónico');
INSERT INTO `lang_definitions` VALUES (9310, 189, 4, 'Añadir');
INSERT INTO `lang_definitions` VALUES (9311, 190, 4, 'añadir');
INSERT INTO `lang_definitions` VALUES (9312, 191, 4, 'AÑADIR');
INSERT INTO `lang_definitions` VALUES (9313, 192, 4, 'Añadir una compañía');
INSERT INTO `lang_definitions` VALUES (9314, 193, 4, 'Añadir condición médica');
INSERT INTO `lang_definitions` VALUES (9315, 195, 4, 'Agregar nuevo llamado');
INSERT INTO `lang_definitions` VALUES (9316, 197, 4, 'Añadir una farmacia');
INSERT INTO `lang_definitions` VALUES (9317, 199, 4, 'Añadir todas las reglas al plan');
INSERT INTO `lang_definitions` VALUES (9318, 200, 4, 'Añadir un evento para');
INSERT INTO `lang_definitions` VALUES (9319, 202, 4, 'Añadir como nueva nota');
INSERT INTO `lang_definitions` VALUES (9320, 203, 4, 'Añadir como nuevo');
INSERT INTO `lang_definitions` VALUES (9321, 204, 4, 'Añadir como nuevo paciente');
INSERT INTO `lang_definitions` VALUES (9322, 206, 4, 'Agregar Botones');
INSERT INTO `lang_definitions` VALUES (9323, 207, 4, 'Agregar botones para caracteres especiales, texto a mostrar encima del editor para incluir en el texto con un Click.');
INSERT INTO `lang_definitions` VALUES (9324, 208, 4, 'Añadir categoria');
INSERT INTO `lang_definitions` VALUES (9325, 209, 4, 'Añadir constante');
INSERT INTO `lang_definitions` VALUES (9326, 210, 4, 'Añadir contexto');
INSERT INTO `lang_definitions` VALUES (9327, 211, 4, 'Añadir Co-pago');
INSERT INTO `lang_definitions` VALUES (9328, 212, 4, 'Añadir Criterios');
INSERT INTO `lang_definitions` VALUES (9329, 213, 4, 'Añadir Boton Deseado');
INSERT INTO `lang_definitions` VALUES (9330, 215, 4, 'Agregar privilegios deseados moviendo objetos (ACOs) de la columna \"Inactivos\" a la de \"Activos\" ');
INSERT INTO `lang_definitions` VALUES (9331, 216, 4, 'Añadir diagnóstico');
INSERT INTO `lang_definitions` VALUES (9332, 217, 4, 'Añadir medicamento');
INSERT INTO `lang_definitions` VALUES (9333, 219, 4, 'Añadir encuentro ');
INSERT INTO `lang_definitions` VALUES (9334, 220, 4, 'Añadir encuentro');
INSERT INTO `lang_definitions` VALUES (9335, 221, 4, 'Añadir encuentro/notas');
INSERT INTO `lang_definitions` VALUES (9336, 222, 4, 'Añadir Centro');
INSERT INTO `lang_definitions` VALUES (9337, 223, 4, 'Añadir Campo');
INSERT INTO `lang_definitions` VALUES (9338, 224, 4, 'Añadir las siguientes lineas al file de configuracion de Apache');
INSERT INTO `lang_definitions` VALUES (9339, 225, 4, 'Añadir grupo');
INSERT INTO `lang_definitions` VALUES (9340, 226, 4, 'Añadir grupo');
INSERT INTO `lang_definitions` VALUES (9341, 227, 4, 'Añadir código CIE');
INSERT INTO `lang_definitions` VALUES (9342, 228, 4, 'Agregar vacunación');
INSERT INTO `lang_definitions` VALUES (9343, 229, 4, 'Añadir no permitido!');
INSERT INTO `lang_definitions` VALUES (9344, 230, 4, 'Añadir Incidente');
INSERT INTO `lang_definitions` VALUES (9345, 231, 4, 'Añadir objeto a seguir');
INSERT INTO `lang_definitions` VALUES (9346, 232, 4, 'Añadir idioma');
INSERT INTO `lang_definitions` VALUES (9347, 234, 4, 'Añadir manualmente ');
INSERT INTO `lang_definitions` VALUES (9348, 236, 4, 'Añadir modificadores a este tipo de campo. Puede seleccionar más de uno. ');
INSERT INTO `lang_definitions` VALUES (9349, 237, 4, 'Adicionar más artículos');
INSERT INTO `lang_definitions` VALUES (9350, 238, 4, 'Añadir nuevo');
INSERT INTO `lang_definitions` VALUES (9351, 239, 4, 'Agregar Nuevo');
INSERT INTO `lang_definitions` VALUES (9352, 240, 4, 'Añadir nuevo categoría :');
INSERT INTO `lang_definitions` VALUES (9353, 241, 4, 'Añadir Certificados nuevos al archivo de configuracion de Apache');
INSERT INTO `lang_definitions` VALUES (9354, 242, 4, 'Añadir nuevo componente');
INSERT INTO `lang_definitions` VALUES (9355, 243, 4, 'Añadir nuevos componentes');
INSERT INTO `lang_definitions` VALUES (9356, 244, 4, 'Añadir nueva base de datos');
INSERT INTO `lang_definitions` VALUES (9357, 248, 4, 'Añadir Nuevo Grupo');
INSERT INTO `lang_definitions` VALUES (9358, 249, 4, 'Añadir nuevo grupo');
INSERT INTO `lang_definitions` VALUES (9359, 250, 4, 'Añadir nuevo problema');
INSERT INTO `lang_definitions` VALUES (9360, 251, 4, 'Añadir lote nuevo y transacción');
INSERT INTO `lang_definitions` VALUES (9361, 253, 4, 'Añadir nueva nota');
INSERT INTO `lang_definitions` VALUES (9362, 254, 4, 'Añadir nueva nota');
INSERT INTO `lang_definitions` VALUES (9363, 255, 4, 'Añadir nuevo socio');
INSERT INTO `lang_definitions` VALUES (9364, 256, 4, 'Añadir nuevo paciente');
INSERT INTO `lang_definitions` VALUES (9365, 257, 4, 'AGREGAR NUEVO PLAN');
INSERT INTO `lang_definitions` VALUES (9366, 264, 4, 'Añadir nota');
INSERT INTO `lang_definitions` VALUES (9367, 265, 4, 'Añadir actividad al portal Onsite ');
INSERT INTO `lang_definitions` VALUES (9368, 266, 4, 'Añadir paquete');
INSERT INTO `lang_definitions` VALUES (9369, 267, 4, 'Añadir paciente ');
INSERT INTO `lang_definitions` VALUES (9370, 268, 4, 'Añadir registro del paciente');
INSERT INTO `lang_definitions` VALUES (9371, 269, 4, 'Añadir receta');
INSERT INTO `lang_definitions` VALUES (9372, 270, 4, 'Añadir procedimiento');
INSERT INTO `lang_definitions` VALUES (9373, 271, 4, 'Añadir numero del proveedor');
INSERT INTO `lang_definitions` VALUES (9374, 272, 4, 'Agregar retiro');
INSERT INTO `lang_definitions` VALUES (9375, 273, 4, 'Añadir Rehabilitacion');
INSERT INTO `lang_definitions` VALUES (9376, 274, 4, 'Añadir Regla');
INSERT INTO `lang_definitions` VALUES (9377, 276, 4, 'Agregar tiempo a la fecha');
INSERT INTO `lang_definitions` VALUES (9378, 277, 4, 'Añadir a');
INSERT INTO `lang_definitions` VALUES (9379, 281, 4, 'Añadir a lista de medicación');
INSERT INTO `lang_definitions` VALUES (9380, 282, 4, 'Añadir nivel superior');
INSERT INTO `lang_definitions` VALUES (9381, 283, 4, 'Añadir Transacción');
INSERT INTO `lang_definitions` VALUES (9382, 284, 4, 'Añadir usuario');
INSERT INTO `lang_definitions` VALUES (9383, 285, 4, 'Añadir Usuario al Grupo');
INSERT INTO `lang_definitions` VALUES (9384, 286, 4, 'Adicionar.{{Additional Measurements}}');
INSERT INTO `lang_definitions` VALUES (9385, 287, 4, 'Añadir/Editar eRx');
INSERT INTO `lang_definitions` VALUES (9386, 289, 4, 'Añadir/Editar transaccion de paciente');
INSERT INTO `lang_definitions` VALUES (9387, 290, 4, 'Añadido');
INSERT INTO `lang_definitions` VALUES (9388, 291, 4, 'Agregando');
INSERT INTO `lang_definitions` VALUES (9389, 292, 4, 'Agregando participante');
INSERT INTO `lang_definitions` VALUES (9390, 293, 4, 'No se autoriza añadir datos demograficos.');
INSERT INTO `lang_definitions` VALUES (9391, 294, 4, 'Añadir objeto a seguir falló');
INSERT INTO `lang_definitions` VALUES (9392, 295, 4, 'Síndrome de Addison');
INSERT INTO `lang_definitions` VALUES (9393, 296, 4, 'Síndrome de Addison');
INSERT INTO `lang_definitions` VALUES (9394, 297, 4, 'Atributos adicionales');
INSERT INTO `lang_definitions` VALUES (9395, 298, 4, 'Puntos de Datos Adicionales');
INSERT INTO `lang_definitions` VALUES (9396, 299, 4, 'Fecha adicional:');
INSERT INTO `lang_definitions` VALUES (9397, 300, 4, 'Diagnóstico adicional:');
INSERT INTO `lang_definitions` VALUES (9398, 301, 4, 'Descubrimientos Adicionales');
INSERT INTO `lang_definitions` VALUES (9399, 305, 4, 'Historial adicional');
INSERT INTO `lang_definitions` VALUES (9400, 306, 4, 'Notas adicionales de la historia');
INSERT INTO `lang_definitions` VALUES (9401, 307, 4, 'Información adicional');
INSERT INTO `lang_definitions` VALUES (9402, 310, 4, 'Laboratorios adicionales');
INSERT INTO `lang_definitions` VALUES (9403, 311, 4, 'Notas adicionales');
INSERT INTO `lang_definitions` VALUES (9404, 313, 4, 'Notas adicionales para este resultado o recomendación');
INSERT INTO `lang_definitions` VALUES (9405, 314, 4, 'Notas adicionales:');
INSERT INTO `lang_definitions` VALUES (9406, 315, 4, 'Notas adicionales:');
INSERT INTO `lang_definitions` VALUES (9407, 317, 4, 'Notas de Rayos X adicionales:');
INSERT INTO `lang_definitions` VALUES (9408, 318, 4, 'Adicionalmente, el paquete de extención correspondiente a Snomed EUA puede ser importado por separado despues de instalar la revisión internacional (Versión en Ingles)');
INSERT INTO `lang_definitions` VALUES (9409, 319, 4, 'Rx Adicionales{{Additional glasses}}');
INSERT INTO `lang_definitions` VALUES (9410, 320, 4, 'solo añadir');
INSERT INTO `lang_definitions` VALUES (9411, 321, 4, 'Solo añadir - Puede leer y añadir pero no modificar. ');
INSERT INTO `lang_definitions` VALUES (9412, 322, 4, 'Libreta Direcciones');
INSERT INTO `lang_definitions` VALUES (9413, 323, 4, 'Libreta Direcciones');
INSERT INTO `lang_definitions` VALUES (9414, 324, 4, 'Dirección');
INSERT INTO `lang_definitions` VALUES (9415, 325, 4, 'Dirección y código postal');
INSERT INTO `lang_definitions` VALUES (9416, 326, 4, 'Dirección y Provincia/Departamento');
INSERT INTO `lang_definitions` VALUES (9417, 327, 4, 'Libreta de direcciones');
INSERT INTO `lang_definitions` VALUES (9418, 328, 4, 'Entrada al Libro de Direcciones para la compañia que hace este procedimiento');
INSERT INTO `lang_definitions` VALUES (9419, 329, 4, 'Entrada al libro de Direcciones para el distribuidor');
INSERT INTO `lang_definitions` VALUES (9420, 330, 4, 'Entrada al Libro de Direcciones para el vendedor');
INSERT INTO `lang_definitions` VALUES (9421, 331, 4, 'Tipos de Libro de Direcciones');
INSERT INTO `lang_definitions` VALUES (9422, 332, 4, 'Etiqueta de dirección');
INSERT INTO `lang_definitions` VALUES (9423, 333, 4, 'Etiquetas de dirección');
INSERT INTO `lang_definitions` VALUES (9424, 336, 4, 'Dirección sola');
INSERT INTO `lang_definitions` VALUES (9425, 337, 4, 'Dirección, Ciudad, Estado y código postal ');
INSERT INTO `lang_definitions` VALUES (9426, 338, 4, 'Dirección, provincia y código postal');
INSERT INTO `lang_definitions` VALUES (9427, 339, 4, 'Dirección1');
INSERT INTO `lang_definitions` VALUES (9428, 340, 4, 'Dirección2');
INSERT INTO `lang_definitions` VALUES (9429, 342, 4, 'DESTINATARIO');
INSERT INTO `lang_definitions` VALUES (9430, 345, 4, 'Ajuste');
INSERT INTO `lang_definitions` VALUES (9431, 346, 4, 'Monto de Ajuste');
INSERT INTO `lang_definitions` VALUES (9432, 347, 4, 'Ajustar');
INSERT INTO `lang_definitions` VALUES (9433, 348, 4, 'Ajuste');
INSERT INTO `lang_definitions` VALUES (9434, 349, 4, 'Ajuste importe');
INSERT INTO `lang_definitions` VALUES (9435, 350, 4, 'Motivos del ajuste');
INSERT INTO `lang_definitions` VALUES (9436, 352, 4, 'Valor de ajuste para código');
INSERT INTO `lang_definitions` VALUES (9437, 353, 4, 'Ajustes');
INSERT INTO `lang_definitions` VALUES (9438, 354, 4, 'Ajuste administrativo');
INSERT INTO `lang_definitions` VALUES (9439, 355, 4, 'Administrativo');
INSERT INTO `lang_definitions` VALUES (9440, 356, 4, 'Dirección correo electrónico administración');
INSERT INTO `lang_definitions` VALUES (9441, 357, 4, 'Via de administracion');
INSERT INTO `lang_definitions` VALUES (9442, 359, 4, 'Administrado');
INSERT INTO `lang_definitions` VALUES (9443, 360, 4, 'Administrado por');
INSERT INTO `lang_definitions` VALUES (9444, 361, 4, 'Fecha Administrado');
INSERT INTO `lang_definitions` VALUES (9445, 362, 4, 'Sitio Administrado');
INSERT INTO `lang_definitions` VALUES (9446, 363, 4, 'Administración');
INSERT INTO `lang_definitions` VALUES (9447, 364, 4, 'Administración (admin)');
INSERT INTO `lang_definitions` VALUES (9448, 365, 4, 'Sitio de administración');
INSERT INTO `lang_definitions` VALUES (9449, 366, 4, 'Administradores');
INSERT INTO `lang_definitions` VALUES (9450, 367, 4, 'Los administradores pueden hacer cualquier cosa');
INSERT INTO `lang_definitions` VALUES (9451, 368, 4, 'Fecha de admisión');
INSERT INTO `lang_definitions` VALUES (9452, 369, 4, 'Anexos');
INSERT INTO `lang_definitions` VALUES (9453, 370, 4, 'Hijo adoptivo');
INSERT INTO `lang_definitions` VALUES (9454, 371, 4, 'Revisión Peso de Adulto y Seguimiento');
INSERT INTO `lang_definitions` VALUES (9455, 372, 4, 'Revisión Peso de Adulto y Seguimiento (GCC)');
INSERT INTO `lang_definitions` VALUES (9456, 373, 4, 'Instrucción anticipada');
INSERT INTO `lang_definitions` VALUES (9457, 374, 4, 'Directivas Avanzadas');
INSERT INTO `lang_definitions` VALUES (9458, 375, 4, 'Aviso Directivas Avanzadas');
INSERT INTO `lang_definitions` VALUES (9459, 376, 4, 'Opciones Avanzadas');
INSERT INTO `lang_definitions` VALUES (9460, 377, 4, 'Avanzado');
INSERT INTO `lang_definitions` VALUES (9461, 380, 4, 'Consejo');
INSERT INTO `lang_definitions` VALUES (9462, 381, 4, 'Afar');
INSERT INTO `lang_definitions` VALUES (9463, 382, 4, 'Afecta normales');
INSERT INTO `lang_definitions` VALUES (9464, 383, 4, 'Afrikaans');
INSERT INTO `lang_definitions` VALUES (9465, 384, 4, 'Después ');
INSERT INTO `lang_definitions` VALUES (9466, 385, 4, 'Tarde (PM) ');
INSERT INTO `lang_definitions` VALUES (9467, 386, 4, 'llamadas fuera horario laboral');
INSERT INTO `lang_definitions` VALUES (9468, 388, 4, 'Despues de hacer las configuraciones mencionadas, importar el certificado de cliente de admin al navegador y reiniciar el server Apache (Palabra clave vacia)');
INSERT INTO `lang_definitions` VALUES (9469, 390, 4, 'Después de guardar el PDF, clic [Ver registro] para comprobar si hay errores.');
INSERT INTO `lang_definitions` VALUES (9470, 393, 4, 'Despues de guardar los archivos de TEXTO, clic [Ver registro] para comprobar errores.');
INSERT INTO `lang_definitions` VALUES (9471, 396, 4, 'Después de guardar su lote, clic [Ver registro] para comprobar si hay errores.');
INSERT INTO `lang_definitions` VALUES (9472, 398, 4, 'Después de eso la columna búsqueda mostrará el ID del paciente seleccionado, o \"0\" para crear. ');
INSERT INTO `lang_definitions` VALUES (9473, 399, 4, 'Una vez completada la informacion correcta, clic guardar');
INSERT INTO `lang_definitions` VALUES (9474, 400, 4, 'Después de subir, haga click en el botón \"Importar\"');
INSERT INTO `lang_definitions` VALUES (9475, 401, 4, 'Después de subir, haga click en el botón \"Importar\"');
INSERT INTO `lang_definitions` VALUES (9476, 404, 4, 'Planificación posterior al cuidado');
INSERT INTO `lang_definitions` VALUES (9477, 406, 4, 'Otra vez');
INSERT INTO `lang_definitions` VALUES (9478, 407, 4, 'Edad');
INSERT INTO `lang_definitions` VALUES (9479, 409, 4, 'Edad por');
INSERT INTO `lang_definitions` VALUES (9480, 410, 4, 'Categoría edad');
INSERT INTO `lang_definitions` VALUES (9481, 411, 4, 'Datos de edad están fuera de rango.');
INSERT INTO `lang_definitions` VALUES (9482, 412, 4, 'Formato para mostrar edad');
INSERT INTO `lang_definitions` VALUES (9483, 413, 4, 'Formato de edad para \'desde x edad\' no es válido');
INSERT INTO `lang_definitions` VALUES (9484, 414, 4, 'Formato de edad para \'hasta x edad\' no es válido');
INSERT INTO `lang_definitions` VALUES (9485, 415, 4, 'Edad desde');
INSERT INTO `lang_definitions` VALUES (9486, 416, 4, 'Edad en años para cambio de formato');
INSERT INTO `lang_definitions` VALUES (9487, 417, 4, 'Edad Maxima');
INSERT INTO `lang_definitions` VALUES (9488, 418, 4, 'Edad Minima');
INSERT INTO `lang_definitions` VALUES (9489, 419, 4, 'Rango de Edad');
INSERT INTO `lang_definitions` VALUES (9490, 420, 4, 'Columnas envejecimiento:');
INSERT INTO `lang_definitions` VALUES (9491, 421, 4, 'Columnas envejecimiento:');
INSERT INTO `lang_definitions` VALUES (9492, 422, 4, 'Akan');
INSERT INTO `lang_definitions` VALUES (9493, 423, 4, 'Albanés');
INSERT INTO `lang_definitions` VALUES (9494, 424, 4, 'Alcohol');
INSERT INTO `lang_definitions` VALUES (9495, 425, 4, 'Consumo de alcohol');
INSERT INTO `lang_definitions` VALUES (9496, 426, 4, 'Uso de alcohol');
INSERT INTO `lang_definitions` VALUES (9497, 427, 4, 'Alerta');
INSERT INTO `lang_definitions` VALUES (9498, 428, 4, 'Conteo de Alerta');
INSERT INTO `lang_definitions` VALUES (9499, 430, 4, 'Alertar en cumpleaños de paciente y después');
INSERT INTO `lang_definitions` VALUES (9500, 432, 4, 'Alertar en cumpleaños de paciente');
INSERT INTO `lang_definitions` VALUES (9501, 433, 4, 'Alertar sólo en cumpleaños de paciente');
INSERT INTO `lang_definitions` VALUES (9502, 434, 4, 'Tiempo de alerta');
INSERT INTO `lang_definitions` VALUES (9503, 435, 4, 'Alertas');
INSERT INTO `lang_definitions` VALUES (9504, 436, 4, 'Registro de alertas');
INSERT INTO `lang_definitions` VALUES (9505, 437, 4, 'Alertas/Recordatorios');
INSERT INTO `lang_definitions` VALUES (9506, 438, 4, 'Alerta{{Estado Mental}} ');
INSERT INTO `lang_definitions` VALUES (9507, 439, 4, 'Aleutiano');
INSERT INTO `lang_definitions` VALUES (9508, 440, 4, 'Todos');
INSERT INTO `lang_definitions` VALUES (9509, 441, 4, 'TODOS');
INSERT INTO `lang_definitions` VALUES (9510, 442, 4, 'todos');
INSERT INTO `lang_definitions` VALUES (9511, 443, 4, 'Todos (Formatos Cotejados A)');
INSERT INTO `lang_definitions` VALUES (9512, 444, 4, 'Todos (Formatos Cotejados B)');
INSERT INTO `lang_definitions` VALUES (9513, 445, 4, 'Todos (Acumulativo)');
INSERT INTO `lang_definitions` VALUES (9514, 446, 4, 'Todas las alertas');
INSERT INTO `lang_definitions` VALUES (9515, 447, 4, 'Todos los Cálculos de Medidas Automatizados (CMA)');
INSERT INTO `lang_definitions` VALUES (9516, 448, 4, 'Todas las categorías');
INSERT INTO `lang_definitions` VALUES (9517, 449, 4, 'Todas las Medidas de Calidad Clínica (MCC)');
INSERT INTO `lang_definitions` VALUES (9518, 450, 4, 'Todos los Codigos');
INSERT INTO `lang_definitions` VALUES (9519, 452, 4, 'Todas las Fechas');
INSERT INTO `lang_definitions` VALUES (9520, 453, 4, 'Todo el día');
INSERT INTO `lang_definitions` VALUES (9521, 454, 4, 'Evento de día completo');
INSERT INTO `lang_definitions` VALUES (9522, 455, 4, 'Verificacion con busqueda de Demograficas y duplicados');
INSERT INTO `lang_definitions` VALUES (9523, 456, 4, 'Todos los encuentros');
INSERT INTO `lang_definitions` VALUES (9524, 457, 4, 'Todas los Centros');
INSERT INTO `lang_definitions` VALUES (9525, 458, 4, 'Toda Injuria/Problema/Questiones');
INSERT INTO `lang_definitions` VALUES (9526, 459, 4, 'Permitir todos los Idiomas');
INSERT INTO `lang_definitions` VALUES (9527, 460, 4, 'Todos los mensajes');
INSERT INTO `lang_definitions` VALUES (9528, 461, 4, 'Todas las Medidas de Calidad Clínica Oficiales (MCCO) Gupos de Control');
INSERT INTO `lang_definitions` VALUES (9529, 462, 4, 'Todo o parte del nombre');
INSERT INTO `lang_definitions` VALUES (9530, 463, 4, 'Todo o parte del apellido');
INSERT INTO `lang_definitions` VALUES (9531, 464, 4, 'Nombre de la organización parcial o completo');
INSERT INTO `lang_definitions` VALUES (9532, 466, 4, 'Todos los pacientes');
INSERT INTO `lang_definitions` VALUES (9533, 468, 4, 'Todos los productos');
INSERT INTO `lang_definitions` VALUES (9534, 469, 4, 'Todos los provedores');
INSERT INTO `lang_definitions` VALUES (9535, 470, 4, 'Todos revisados y negativos:');
INSERT INTO `lang_definitions` VALUES (9536, 473, 4, 'Todo hecho. Presione \"Enviar solicitud\" para finalizar registro ');
INSERT INTO `lang_definitions` VALUES (9537, 475, 4, 'Todos los temas');
INSERT INTO `lang_definitions` VALUES (9538, 478, 4, 'Todos los usuarios');
INSERT INTO `lang_definitions` VALUES (9539, 479, 4, 'Alérgico');
INSERT INTO `lang_definitions` VALUES (9540, 480, 4, 'Alérgico a');
INSERT INTO `lang_definitions` VALUES (9541, 481, 4, 'Alergias');
INSERT INTO `lang_definitions` VALUES (9542, 484, 4, 'Alergias:');
INSERT INTO `lang_definitions` VALUES (9543, 485, 4, 'Alergia');
INSERT INTO `lang_definitions` VALUES (9544, 486, 4, 'Importe de Alergia completado con exito');
INSERT INTO `lang_definitions` VALUES (9545, 487, 4, 'Lista de problemas alérgicos');
INSERT INTO `lang_definitions` VALUES (9546, 488, 4, 'Reacción Alérgica');
INSERT INTO `lang_definitions` VALUES (9547, 489, 4, 'ADVERTENCIA DE ALERGIA');
INSERT INTO `lang_definitions` VALUES (9548, 490, 4, 'Advertencia de Alergia');
INSERT INTO `lang_definitions` VALUES (9549, 491, 4, 'Asignar');
INSERT INTO `lang_definitions` VALUES (9550, 492, 4, 'Permitir');
INSERT INTO `lang_definitions` VALUES (9551, 493, 4, 'Permita a los Administradores borrar pacientes');
INSERT INTO `lang_definitions` VALUES (9552, 494, 4, 'Permitir todos los idiomas disponibles en el menu de inicio');
INSERT INTO `lang_definitions` VALUES (9553, 495, 4, 'Permitir \"Confirmación\" antes de la hora de la cita. ');
INSERT INTO `lang_definitions` VALUES (9554, 496, 4, 'Permitir creación de reclamos (facturas) con diagnósticos pero no procedimientos o cargos. Muchas clinicas no desean esto.');
INSERT INTO `lang_definitions` VALUES (9555, 497, 4, 'Permitir depuracion de Lenguaje');
INSERT INTO `lang_definitions` VALUES (9556, 499, 4, 'Permitir \"Confirmación temprana\" ');
INSERT INTO `lang_definitions` VALUES (9557, 500, 4, 'Permitir el Email');
INSERT INTO `lang_definitions` VALUES (9558, 501, 4, '¿Permitir los correos electrónicos?');
INSERT INTO `lang_definitions` VALUES (9559, 502, 4, '¿Permitir Email?');
INSERT INTO `lang_definitions` VALUES (9560, 503, 4, 'Permitir reclamos de encuentros');
INSERT INTO `lang_definitions` VALUES (9561, 505, 4, 'Permitir intercambio de información Médica ');
INSERT INTO `lang_definitions` VALUES (9562, 506, 4, 'Permitir el intercambio de informacion medica');
INSERT INTO `lang_definitions` VALUES (9563, 507, 4, 'Permitir compartir datos de Inmunización');
INSERT INTO `lang_definitions` VALUES (9564, 508, 4, 'Permitir compartir informacion de inmunizaciones');
INSERT INTO `lang_definitions` VALUES (9565, 509, 4, 'Permitir el registro de uso de inmunizaciones');
INSERT INTO `lang_definitions` VALUES (9566, 510, 4, 'Permitir soporte de reclamaciones institucionales ');
INSERT INTO `lang_definitions` VALUES (9567, 512, 4, 'Permitir el mensaje de correo');
INSERT INTO `lang_definitions` VALUES (9568, 514, 4, 'Permitir múltiples bases de datos ');
INSERT INTO `lang_definitions` VALUES (9569, 516, 4, 'Permitir Avisos ');
INSERT INTO `lang_definitions` VALUES (9570, 531, 4, 'Deje que el tablero de flujo de pacientes seleccione pacientes para prueba de drogas');
INSERT INTO `lang_definitions` VALUES (9571, 533, 4, 'Permitir Portal del Paciente');
INSERT INTO `lang_definitions` VALUES (9572, 539, 4, 'Permitir correo postal ');
INSERT INTO `lang_definitions` VALUES (9573, 541, 4, 'Permitir SMS');
INSERT INTO `lang_definitions` VALUES (9574, 542, 4, '¿Permitir SMS (mensaje de texto)?');
INSERT INTO `lang_definitions` VALUES (9575, 543, 4, 'Permitir exclusiones de estados en la impresión ');
INSERT INTO `lang_definitions` VALUES (9576, 544, 4, 'Permitir la activación instantánea de los eventos entrados?');
INSERT INTO `lang_definitions` VALUES (9577, 545, 4, '¿Permitir mensaje telefonico?');
INSERT INTO `lang_definitions` VALUES (9578, 546, 4, 'Permitir usar con múltiples bases de datos ');
INSERT INTO `lang_definitions` VALUES (9579, 547, 4, 'Permitir a los usuarios publicar eventos globales');
INSERT INTO `lang_definitions` VALUES (9580, 548, 4, 'Permitir a los usuarios publicar calendarios personales');
INSERT INTO `lang_definitions` VALUES (9581, 553, 4, 'Permitir llamadas de voz ');
INSERT INTO `lang_definitions` VALUES (9582, 554, 4, 'Permitir Mensaje de Voz');
INSERT INTO `lang_definitions` VALUES (9583, 555, 4, 'Permitido');
INSERT INTO `lang_definitions` VALUES (9584, 556, 4, 'Idiomas Permitidos');
INSERT INTO `lang_definitions` VALUES (9585, 558, 4, 'Asignado ©');
INSERT INTO `lang_definitions` VALUES (9586, 559, 4, 'Permite E-sign en todo el encuentro');
INSERT INTO `lang_definitions` VALUES (9587, 560, 4, 'Permite E-sign para formas individuales');
INSERT INTO `lang_definitions` VALUES (9588, 561, 4, 'Permite Correo');
INSERT INTO `lang_definitions` VALUES (9589, 562, 4, 'Permite mensajes de voz');
INSERT INTO `lang_definitions` VALUES (9590, 566, 4, 'ya existe');
INSERT INTO `lang_definitions` VALUES (9591, 568, 4, 'ya existe.');
INSERT INTO `lang_definitions` VALUES (9592, 569, 4, 'Ya ha sido registrado anteriormente');
INSERT INTO `lang_definitions` VALUES (9593, 570, 4, 'Indentificador ya usado, elige otro');
INSERT INTO `lang_definitions` VALUES (9594, 571, 4, 'Título ya usado, elige otro');
INSERT INTO `lang_definitions` VALUES (9595, 573, 4, 'Dirección alternativa');
INSERT INTO `lang_definitions` VALUES (9596, 577, 4, 'modificar');
INSERT INTO `lang_definitions` VALUES (9597, 584, 4, 'De forma alternativa, puede usar la página de búsqueda para cargar un archivo electrónico (X12835) que haya recibido de su pagador. Puede hacerlo oprimiendo el botón \"Explorar\" y seleccionar el archivo a cargar, y luego oprimir \"Explorar\" para ejecutar la carga y desplegar las facturas correspondientes. En este caso, los parámetros mencionados arriba no aplican y pueden ser ignorados. La carga guarda el archivo pero no procesa su contenido - esto se realiza de forma separada tal y como se describe abajo.');
INSERT INTO `lang_definitions` VALUES (9598, 586, 4, 'AM');
INSERT INTO `lang_definitions` VALUES (9599, 587, 4, 'Programa en AM');
INSERT INTO `lang_definitions` VALUES (9600, 588, 4, 'Ambliopía');
INSERT INTO `lang_definitions` VALUES (9601, 589, 4, 'Ambulancia - Aérea o Marítima');
INSERT INTO `lang_definitions` VALUES (9602, 590, 4, 'Ambulancia - Terrestre');
INSERT INTO `lang_definitions` VALUES (9603, 591, 4, 'Centro quirúrgico Ambulatorio');
INSERT INTO `lang_definitions` VALUES (9604, 592, 4, 'Calculo Automatico de Medidas (CAM)');
INSERT INTO `lang_definitions` VALUES (9605, 593, 4, 'Rastreo CAM');
INSERT INTO `lang_definitions` VALUES (9606, 594, 4, 'CAM-2011');
INSERT INTO `lang_definitions` VALUES (9607, 595, 4, 'CAM-2014');
INSERT INTO `lang_definitions` VALUES (9608, 596, 4, 'CAM-2014 Etapa 1');
INSERT INTO `lang_definitions` VALUES (9609, 597, 4, 'CAM-2014 Etapa 2');
INSERT INTO `lang_definitions` VALUES (9610, 600, 4, 'Enmendar nota existente');
INSERT INTO `lang_definitions` VALUES (9611, 602, 4, 'Enmiendas de');
INSERT INTO `lang_definitions` VALUES (9612, 603, 4, 'Lista de enmiendas ');
INSERT INTO `lang_definitions` VALUES (9613, 604, 4, 'Estado de Enmiendas');
INSERT INTO `lang_definitions` VALUES (9614, 605, 4, 'Cambios');
INSERT INTO `lang_definitions` VALUES (9615, 606, 4, 'Enmiendas (escriba, opcional solo añadir) ');
INSERT INTO `lang_definitions` VALUES (9616, 609, 4, 'Cambios para');
INSERT INTO `lang_definitions` VALUES (9617, 610, 4, 'Indigena Americano');
INSERT INTO `lang_definitions` VALUES (9618, 611, 4, 'Indio Nativo (EU) o Esquimal');
INSERT INTO `lang_definitions` VALUES (9619, 612, 4, 'AMEX');
INSERT INTO `lang_definitions` VALUES (9620, 613, 4, 'Amárico (Lengua de Etiopia)');
INSERT INTO `lang_definitions` VALUES (9621, 614, 4, 'Balance');
INSERT INTO `lang_definitions` VALUES (9622, 615, 4, 'Cantidad Administrada');
INSERT INTO `lang_definitions` VALUES (9623, 617, 4, 'Cantidad cargada');
INSERT INTO `lang_definitions` VALUES (9624, 618, 4, 'Cantidad cargada:');
INSERT INTO `lang_definitions` VALUES (9625, 619, 4, 'Cantidad Pendiente de Pago');
INSERT INTO `lang_definitions` VALUES (9626, 620, 4, 'Cantidad para balance anterior');
INSERT INTO `lang_definitions` VALUES (9627, 621, 4, 'Cantidad por esta visita');
INSERT INTO `lang_definitions` VALUES (9628, 622, 4, 'Cantidad pagada');
INSERT INTO `lang_definitions` VALUES (9629, 623, 4, 'Balance:');
INSERT INTO `lang_definitions` VALUES (9630, 626, 4, 'Importe Facturado');
INSERT INTO `lang_definitions` VALUES (9631, 630, 4, '¡Se requiere una fecha de finalización posterior a la fecha de inicio para los eventos repetidos!');
INSERT INTO `lang_definitions` VALUES (9632, 631, 4, 'Ocurrió un error al firmar el formulario');
INSERT INTO `lang_definitions` VALUES (9633, 632, 4, 'Ocurrió un error al volcar el directorio de arbol de la web OpenEMR');
INSERT INTO `lang_definitions` VALUES (9634, 633, 4, 'Ocurrió un error al volcar el directorio de arbol de la web phpGACL');
INSERT INTO `lang_definitions` VALUES (9635, 634, 4, 'Ocurrió un error al volcar el directorio de arbol de la web SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (9636, 638, 4, 'Se ha creado y se ha ligado una edición incompleta de GCAC. Alguien necesitará terminarla más adelante.');
INSERT INTO `lang_definitions` VALUES (9637, 643, 4, 'Ocurrió un error de definido, por favor contacte el administrador de sistemas.');
INSERT INTO `lang_definitions` VALUES (9638, 644, 4, 'Ocurrio error inesperado');
INSERT INTO `lang_definitions` VALUES (9639, 646, 4, 'Una letra mayuscula');
INSERT INTO `lang_definitions` VALUES (9640, 647, 4, 'Analizado');
INSERT INTO `lang_definitions` VALUES (9641, 648, 4, 'y');
INSERT INTO `lang_definitions` VALUES (9642, 649, 4, 'Y');
INSERT INTO `lang_definitions` VALUES (9643, 650, 4, 'Y');
INSERT INTO `lang_definitions` VALUES (9644, 651, 4, 'y');
INSERT INTO `lang_definitions` VALUES (9645, 652, 4, '¿y toda la información subordinada? Esta acción será registrada');
INSERT INTO `lang_definitions` VALUES (9646, 653, 4, 'y modificador');
INSERT INTO `lang_definitions` VALUES (9647, 654, 4, 'y procesado');
INSERT INTO `lang_definitions` VALUES (9648, 656, 4, 'y reiniciar Servidor Apache');
INSERT INTO `lang_definitions` VALUES (9649, 657, 4, 'y la razon es');
INSERT INTO `lang_definitions` VALUES (9650, 659, 4, 'Anemia');
INSERT INTO `lang_definitions` VALUES (9651, 660, 4, 'Tobillo');
INSERT INTO `lang_definitions` VALUES (9652, 661, 4, 'Tobillo + talón');
INSERT INTO `lang_definitions` VALUES (9653, 662, 4, 'Formulario de Evaluación del tobillo');
INSERT INTO `lang_definitions` VALUES (9654, 663, 4, 'Problemas de tobillo');
INSERT INTO `lang_definitions` VALUES (9655, 664, 4, 'Espondilitis anquilosante');
INSERT INTO `lang_definitions` VALUES (9656, 665, 4, 'Espondilitis anquilosante');
INSERT INTO `lang_definitions` VALUES (9657, 666, 4, 'Anorexia');
INSERT INTO `lang_definitions` VALUES (9658, 667, 4, 'Otra cosa que puede hacer en la ventana de publicación es solicitar facturación secundaria. Si selecciona la casilla de verificación antes de guardar, la reclamación original será reabierta y asignada en la página de Facturación, y será procesada en la siguiente corrida de facturación.');
INSERT INTO `lang_definitions` VALUES (9659, 669, 4, 'Servicio de respuestas ');
INSERT INTO `lang_definitions` VALUES (9660, 671, 4, 'ante');
INSERT INTO `lang_definitions` VALUES (9661, 672, 4, 'Profundidad de la cámara anterior ');
INSERT INTO `lang_definitions` VALUES (9662, 673, 4, 'Segmento Anterior');
INSERT INTO `lang_definitions` VALUES (9663, 674, 4, 'Valores por Defecto para el Segmento Anterior');
INSERT INTO `lang_definitions` VALUES (9664, 676, 4, 'Ano normal, recto sin distension ni masa');
INSERT INTO `lang_definitions` VALUES (9665, 677, 4, 'Ansiedad');
INSERT INTO `lang_definitions` VALUES (9666, 678, 4, 'cualquiera');
INSERT INTO `lang_definitions` VALUES (9667, 679, 4, 'Cualquiera');
INSERT INTO `lang_definitions` VALUES (9668, 681, 4, '¿Se aprecian palpitaciones carotideas? ');
INSERT INTO `lang_definitions` VALUES (9669, 682, 4, 'Cualquier categoría');
INSERT INTO `lang_definitions` VALUES (9670, 686, 4, 'Cualquier fecha');
INSERT INTO `lang_definitions` VALUES (9671, 688, 4, 'Cualquier parte del código deseado o su descripción');
INSERT INTO `lang_definitions` VALUES (9672, 689, 4, 'Cualquier parte de la especialidad deseada');
INSERT INTO `lang_definitions` VALUES (9673, 690, 4, 'Parte de identificador o Nombre de Medicamento');
INSERT INTO `lang_definitions` VALUES (9674, 691, 4, 'Parte de identificador o Nombre de Vacuna');
INSERT INTO `lang_definitions` VALUES (9675, 692, 4, 'Cualquier parte del nombre del paciente, o \"Apellido, Nombre\", o \"X-Y\"');
INSERT INTO `lang_definitions` VALUES (9676, 693, 4, 'Alguna otra Información Relevante');
INSERT INTO `lang_definitions` VALUES (9677, 694, 4, '¿Algo más ocurre al mismo tiempo?');
INSERT INTO `lang_definitions` VALUES (9678, 699, 4, 'API para la puerta de enlace SMS');
INSERT INTO `lang_definitions` VALUES (9679, 703, 4, 'Apnea');
INSERT INTO `lang_definitions` VALUES (9680, 710, 4, 'Aspecto');
INSERT INTO `lang_definitions` VALUES (9681, 711, 4, 'Aspecto:');
INSERT INTO `lang_definitions` VALUES (9682, 714, 4, 'Añadir esta nota');
INSERT INTO `lang_definitions` VALUES (9683, 716, 4, 'Añadir a la nota existente');
INSERT INTO `lang_definitions` VALUES (9684, 717, 4, 'Añadir a esta nota');
INSERT INTO `lang_definitions` VALUES (9685, 718, 4, 'Añadir a Esta Nota');
INSERT INTO `lang_definitions` VALUES (9686, 719, 4, 'Apendicectomía');
INSERT INTO `lang_definitions` VALUES (9687, 720, 4, 'apendectomía');
INSERT INTO `lang_definitions` VALUES (9688, 721, 4, 'Pacientes Aplicables');
INSERT INTO `lang_definitions` VALUES (9689, 722, 4, 'Aplicación');
INSERT INTO `lang_definitions` VALUES (9690, 723, 4, 'Nombre de solicitud para página de ingreso y título de ventana principal');
INSERT INTO `lang_definitions` VALUES (9691, 724, 4, 'Código de Aplicación del receptor (GS03 - si está en blanco se usará ISA08)');
INSERT INTO `lang_definitions` VALUES (9692, 725, 4, 'Codigo de Aplicacion del Enviador');
INSERT INTO `lang_definitions` VALUES (9693, 726, 4, 'Título de la Aplicación');
INSERT INTO `lang_definitions` VALUES (9694, 727, 4, 'Aplica al formulario de Signos Vitales y Cartilla de Crecimiento');
INSERT INTO `lang_definitions` VALUES (9695, 728, 4, 'Aplica a formulario Vital');
INSERT INTO `lang_definitions` VALUES (9696, 729, 4, 'Aplicar los cambios a la cita actual solamente, a este y todos los acontecimientos futuros, o para Todos los casos?');
INSERT INTO `lang_definitions` VALUES (9697, 730, 4, 'aplicar a la zona afectada');
INSERT INTO `lang_definitions` VALUES (9698, 731, 4, 'aplicar a la piel');
INSERT INTO `lang_definitions` VALUES (9699, 732, 4, 'Aplicando');
INSERT INTO `lang_definitions` VALUES (9700, 733, 4, 'Aplicando parche al sitio');
INSERT INTO `lang_definitions` VALUES (9701, 734, 4, 'Cita');
INSERT INTO `lang_definitions` VALUES (9702, 735, 4, 'Categoría de la cita');
INSERT INTO `lang_definitions` VALUES (9703, 736, 4, 'Fecha de Cita');
INSERT INTO `lang_definitions` VALUES (9704, 742, 4, 'Estilo de visualizacion de la cita');
INSERT INTO `lang_definitions` VALUES (9705, 743, 4, 'Cita hecha por');
INSERT INTO `lang_definitions` VALUES (9706, 744, 4, 'Regla para recordar Cita');
INSERT INTO `lang_definitions` VALUES (9707, 745, 4, 'Recordatorios de Cita');
INSERT INTO `lang_definitions` VALUES (9708, 746, 4, 'Estado de la Cita');
INSERT INTO `lang_definitions` VALUES (9709, 747, 4, 'Estados de la cita');
INSERT INTO `lang_definitions` VALUES (9710, 748, 4, 'Cita dentro');
INSERT INTO `lang_definitions` VALUES (9711, 749, 4, 'Color de Cita/Evento');
INSERT INTO `lang_definitions` VALUES (9712, 750, 4, 'Citas');
INSERT INTO `lang_definitions` VALUES (9713, 751, 4, 'Citas (escriba opcional)');
INSERT INTO `lang_definitions` VALUES (9714, 752, 4, 'Citas (escribir, algunos opcional)');
INSERT INTO `lang_definitions` VALUES (9715, 753, 4, 'Encuentros (escribir)');
INSERT INTO `lang_definitions` VALUES (9716, 754, 4, 'Citas - Sumario de grupo - Número para Mostrar');
INSERT INTO `lang_definitions` VALUES (9717, 755, 4, 'Citas - Portal de Paciente - Número para Mostrar');
INSERT INTO `lang_definitions` VALUES (9718, 756, 4, 'Citas - Resumen de Paciente - Número para Mostrar');
INSERT INTO `lang_definitions` VALUES (9719, 758, 4, 'Citas y encuentros');
INSERT INTO `lang_definitions` VALUES (9720, 759, 4, 'Encuentros para');
INSERT INTO `lang_definitions` VALUES (9721, 760, 4, 'Informe Citas');
INSERT INTO `lang_definitions` VALUES (9722, 761, 4, 'Informes Citas-Encuentros');
INSERT INTO `lang_definitions` VALUES (9723, 763, 4, 'Pruebas Adecuadas para Niños con Faringitis');
INSERT INTO `lang_definitions` VALUES (9724, 764, 4, 'Aprobar');
INSERT INTO `lang_definitions` VALUES (9725, 765, 4, 'Aprobar orden');
INSERT INTO `lang_definitions` VALUES (9726, 766, 4, 'Aprobar el paciente de Paciente/Cliente->Importar->Aprobación Pendiente');
INSERT INTO `lang_definitions` VALUES (9727, 767, 4, 'Aprobado');
INSERT INTO `lang_definitions` VALUES (9728, 768, 4, 'Eventos Administrativos Aprobados');
INSERT INTO `lang_definitions` VALUES (9729, 769, 4, 'Aprobado Exitosamente');
INSERT INTO `lang_definitions` VALUES (9730, 771, 4, 'Fecha encuentro');
INSERT INTO `lang_definitions` VALUES (9731, 772, 4, 'Estado de encuentro');
INSERT INTO `lang_definitions` VALUES (9732, 773, 4, 'Horario cita');
INSERT INTO `lang_definitions` VALUES (9733, 774, 4, 'Citas-Encuentros');
INSERT INTO `lang_definitions` VALUES (9734, 775, 4, 'Recordatorios de encuentros');
INSERT INTO `lang_definitions` VALUES (9735, 776, 4, 'Citas');
INSERT INTO `lang_definitions` VALUES (9736, 777, 4, 'Encuentro');
INSERT INTO `lang_definitions` VALUES (9737, 779, 4, 'Abr');
INSERT INTO `lang_definitions` VALUES (9738, 780, 4, 'Abril');
INSERT INTO `lang_definitions` VALUES (9739, 782, 4, 'Arábigo');
INSERT INTO `lang_definitions` VALUES (9740, 783, 4, 'Aragonés');
INSERT INTO `lang_definitions` VALUES (9741, 784, 4, 'Archivo');
INSERT INTO `lang_definitions` VALUES (9742, 785, 4, 'Archivar los Registros Cronológicos');
INSERT INTO `lang_definitions` VALUES (9743, 786, 4, 'Archivas Registros (Logs) Viejos');
INSERT INTO `lang_definitions` VALUES (9744, 787, 4, '¿Se traducirán los nombres del grupo de control de acceso?');
INSERT INTO `lang_definitions` VALUES (9745, 788, 4, '¿Se traducirán los nombres de las categorías de citas?');
INSERT INTO `lang_definitions` VALUES (9746, 789, 4, '¿Se traducirán los nombres de categorías de documentos?');
INSERT INTO `lang_definitions` VALUES (9747, 790, 4, 'Son cobrados los honorarios por este tipo?');
INSERT INTO `lang_definitions` VALUES (9748, 791, 4, 'están apagados');
INSERT INTO `lang_definitions` VALUES (9749, 792, 4, 'están encendidos');
INSERT INTO `lang_definitions` VALUES (9750, 793, 4, '¿Se traducirán los títulos de las notas del paciente?');
INSERT INTO `lang_definitions` VALUES (9751, 794, 4, '¿Están los códigos almacenados en tablas SQL externas? (0: No; 1: “ICD10”; 2: “SNOMED(RF1)”; 3: “SNOMED(RF2)”)');
INSERT INTO `lang_definitions` VALUES (9752, 795, 4, '¿Está preparado para completar una nueva incidencia de GCAC (Global Connection Admission Control) para esta visita?');
INSERT INTO `lang_definitions` VALUES (9753, 796, 4, '¿Esta seguro de borrar el historial de conversaciones? ');
INSERT INTO `lang_definitions` VALUES (9754, 797, 4, '¿Está seguro de enviar hoy?');
INSERT INTO `lang_definitions` VALUES (9755, 798, 4, '¿Estás seguro quer quieres aprobar estos eventos?');
INSERT INTO `lang_definitions` VALUES (9756, 799, 4, '¿Está seguro de querer cancelar los cambios?');
INSERT INTO `lang_definitions` VALUES (9757, 801, 4, '¿Estás seguro de querer eliminar por completo este formulario?');
INSERT INTO `lang_definitions` VALUES (9758, 803, 4, '¿Está seguro de querer eliminar?');
INSERT INTO `lang_definitions` VALUES (9759, 804, 4, '¿Está seguro de querer eliminar este acceso?');
INSERT INTO `lang_definitions` VALUES (9760, 805, 4, '¿Estás seguro de querer eliminar estos eventos?');
INSERT INTO `lang_definitions` VALUES (9761, 806, 4, '¿Esta seguro de querer eliminar este item de la base de datos?');
INSERT INTO `lang_definitions` VALUES (9762, 808, 4, '¿Está seguro de querer eliminar esta nota?');
INSERT INTO `lang_definitions` VALUES (9763, 809, 4, '¿Está seguro de querer eliminar este plan?');
INSERT INTO `lang_definitions` VALUES (9764, 810, 4, '¿Estás seguro de querer editar estos eventos?');
INSERT INTO `lang_definitions` VALUES (9765, 811, 4, '¿Estás seguro de querer ocultar estos eventos?');
INSERT INTO `lang_definitions` VALUES (9766, 812, 4, '¿Esta seguro de querer quitar \"namespace\"? ');
INSERT INTO `lang_definitions` VALUES (9767, 813, 4, '¿Está seguro de querer transmitirlo de nuevo?');
INSERT INTO `lang_definitions` VALUES (9768, 814, 4, '¿Estás seguro de querer visualizar estos eventos?');
INSERT INTO `lang_definitions` VALUES (9769, 815, 4, 'Está seguro de querer suprimir al grupo entero nombrado');
INSERT INTO `lang_definitions` VALUES (9770, 816, 4, 'Está seguro de querer suprimir la lista entera');
INSERT INTO `lang_definitions` VALUES (9771, 817, 4, 'Está seguro de querer suprimir el campo interno');
INSERT INTO `lang_definitions` VALUES (9772, 818, 4, '¿Está seguro de querer borrar los campos seleccionados?');
INSERT INTO `lang_definitions` VALUES (9773, 819, 4, '¿Estás seguro de querer continuar con estas acciones?');
INSERT INTO `lang_definitions` VALUES (9774, 820, 4, 'Zona no especificada');
INSERT INTO `lang_definitions` VALUES (9775, 821, 4, 'Brazo');
INSERT INTO `lang_definitions` VALUES (9776, 822, 4, 'Armenio');
INSERT INTO `lang_definitions` VALUES (9777, 825, 4, 'Llegada');
INSERT INTO `lang_definitions` VALUES (9778, 826, 4, 'Hora de llegada');
INSERT INTO `lang_definitions` VALUES (9779, 827, 4, 'Arribó');
INSERT INTO `lang_definitions` VALUES (9780, 828, 4, 'Arribó Retrasado');
INSERT INTO `lang_definitions` VALUES (9781, 829, 4, 'Arritmia');
INSERT INTO `lang_definitions` VALUES (9782, 830, 4, 'Artritis');
INSERT INTO `lang_definitions` VALUES (9783, 831, 4, 'Artritis / Enfermedad degenerativa de articulaciones');
INSERT INTO `lang_definitions` VALUES (9784, 832, 4, 'Artritis / Enfermedad degenerativa de articulaciones');
INSERT INTO `lang_definitions` VALUES (9785, 836, 4, 'como');
INSERT INTO `lang_definitions` VALUES (9786, 837, 4, 'Como aparece en los documentos');
INSERT INTO `lang_definitions` VALUES (9787, 838, 4, 'Desde');
INSERT INTO `lang_definitions` VALUES (9788, 843, 4, 'Como aparecerá en los documentos');
INSERT INTO `lang_definitions` VALUES (9789, 844, 4, 'ASC');
INSERT INTO `lang_definitions` VALUES (9790, 845, 4, 'Asiático');
INSERT INTO `lang_definitions` VALUES (9791, 846, 4, 'Assamese');
INSERT INTO `lang_definitions` VALUES (9792, 847, 4, 'Evaluar alergia a penicilina');
INSERT INTO `lang_definitions` VALUES (9793, 848, 4, 'Evaluación');
INSERT INTO `lang_definitions` VALUES (9794, 849, 4, '¿Asignar a éste? ');
INSERT INTO `lang_definitions` VALUES (9795, 853, 4, 'Asignado a');
INSERT INTO `lang_definitions` VALUES (9796, 854, 4, 'Ayudante');
INSERT INTO `lang_definitions` VALUES (9797, 855, 4, 'Ubicación de Vivienda Asistida');
INSERT INTO `lang_definitions` VALUES (9798, 856, 4, 'Asociar');
INSERT INTO `lang_definitions` VALUES (9799, 857, 4, 'Asociado');
INSERT INTO `lang_definitions` VALUES (9800, 858, 4, 'Notas asociadas ');
INSERT INTO `lang_definitions` VALUES (9801, 861, 4, 'Asma');
INSERT INTO `lang_definitions` VALUES (9802, 862, 4, 'en');
INSERT INTO `lang_definitions` VALUES (9803, 863, 4, 'Se requiere al menos un parámetro de búsqueda si usted seleccionó Todos');
INSERT INTO `lang_definitions` VALUES (9804, 866, 4, 'En el Escafoides');
INSERT INTO `lang_definitions` VALUES (9805, 867, 4, 'En el Escafoides:');
INSERT INTO `lang_definitions` VALUES (9806, 868, 4, 'Equipo de atletismo');
INSERT INTO `lang_definitions` VALUES (9807, 869, 4, 'Equipo de Atletismo');
INSERT INTO `lang_definitions` VALUES (9808, 870, 4, 'Lesión Deportiva');
INSERT INTO `lang_definitions` VALUES (9809, 871, 4, 'Certificado CA de ATNA (Seguimiento de auditoría y autenticación del nodo)');
INSERT INTO `lang_definitions` VALUES (9810, 872, 4, 'Anfitrión de audito ATNA (Seguimiento de auditoría y autenticación del nodo)');
INSERT INTO `lang_definitions` VALUES (9811, 873, 4, 'Certificado local de ATNA (Seguimiento de auditoría y autenticación del nodo)');
INSERT INTO `lang_definitions` VALUES (9812, 874, 4, 'Puerto de audito ATNA (Seguimiento de auditoría y autenticación del nodo)');
INSERT INTO `lang_definitions` VALUES (9813, 875, 4, 'Atropina al 1%');
INSERT INTO `lang_definitions` VALUES (9814, 876, 4, 'Médico Encargado');
INSERT INTO `lang_definitions` VALUES (9815, 877, 4, 'Atención');
INSERT INTO `lang_definitions` VALUES (9816, 878, 4, 'Atención: Documentos pendientes ');
INSERT INTO `lang_definitions` VALUES (9817, 879, 4, 'Atención');
INSERT INTO `lang_definitions` VALUES (9818, 880, 4, 'Atributos ');
INSERT INTO `lang_definitions` VALUES (9819, 881, 4, 'Médico Audiológico');
INSERT INTO `lang_definitions` VALUES (9820, 883, 4, 'Auditar cadenas del motor CDR ');
INSERT INTO `lang_definitions` VALUES (9821, 884, 4, 'Auditar cambios ');
INSERT INTO `lang_definitions` VALUES (9822, 890, 4, 'Copias de seguridad de registro de auditoría');
INSERT INTO `lang_definitions` VALUES (9823, 891, 4, 'Miscelaneos de Registro de auditoría');
INSERT INTO `lang_definitions` VALUES (9824, 892, 4, 'Orden de Registro de auditoría');
INSERT INTO `lang_definitions` VALUES (9825, 893, 4, 'Registro de auditoría de registro del paciente');
INSERT INTO `lang_definitions` VALUES (9826, 894, 4, 'Planificación registro de auditoría');
INSERT INTO `lang_definitions` VALUES (9827, 895, 4, 'Registro de auditoría Administración de la Seguridad');
INSERT INTO `lang_definitions` VALUES (9828, 896, 4, 'Registro de auditoría consulta SELECT');
INSERT INTO `lang_definitions` VALUES (9829, 898, 4, 'Ago');
INSERT INTO `lang_definitions` VALUES (9830, 899, 4, 'Agosto');
INSERT INTO `lang_definitions` VALUES (9831, 900, 4, 'Tía');
INSERT INTO `lang_definitions` VALUES (9832, 901, 4, 'Autorización');
INSERT INTO `lang_definitions` VALUES (9833, 902, 4, 'Autorizacion/Notas');
INSERT INTO `lang_definitions` VALUES (9834, 918, 4, 'Autenticador');
INSERT INTO `lang_definitions` VALUES (9835, 920, 4, 'Autor');
INSERT INTO `lang_definitions` VALUES (9836, 922, 4, 'Grupo de Autorizacion');
INSERT INTO `lang_definitions` VALUES (9837, 923, 4, 'Estatus de autorización');
INSERT INTO `lang_definitions` VALUES (9838, 924, 4, 'Autorizaciones');
INSERT INTO `lang_definitions` VALUES (9839, 925, 4, 'Autorizar');
INSERT INTO `lang_definitions` VALUES (9840, 926, 4, 'Autorice - cualquier encuentro');
INSERT INTO `lang_definitions` VALUES (9841, 927, 4, 'Autorice - cualquier encuentro (auth_a) ');
INSERT INTO `lang_definitions` VALUES (9842, 928, 4, 'Autorice - mis encuentros');
INSERT INTO `lang_definitions` VALUES (9843, 929, 4, 'Autorice - mis encuentros (Auth) ');
INSERT INTO `lang_definitions` VALUES (9844, 930, 4, 'Autorizar como mi firma electrónica ');
INSERT INTO `lang_definitions` VALUES (9845, 933, 4, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (9846, 934, 4, 'Autorizado');
INSERT INTO `lang_definitions` VALUES (9847, 935, 4, 'ID Autorizado ');
INSERT INTO `lang_definitions` VALUES (9848, 936, 4, 'Autorizacion solamente');
INSERT INTO `lang_definitions` VALUES (9849, 937, 4, 'Usuarios Autorizados ');
INSERT INTO `lang_definitions` VALUES (9850, 941, 4, 'Mandar automáticamente');
INSERT INTO `lang_definitions` VALUES (9851, 942, 4, 'Auto Salir [días]');
INSERT INTO `lang_definitions` VALUES (9852, 943, 4, 'Auto Transferir');
INSERT INTO `lang_definitions` VALUES (9853, 944, 4, 'Crear automaticamente nuevos encuentros');
INSERT INTO `lang_definitions` VALUES (9854, 945, 4, 'Auto-generado');
INSERT INTO `lang_definitions` VALUES (9855, 947, 4, 'Calculos Automáticos de Medida (CAM)');
INSERT INTO `lang_definitions` VALUES (9856, 948, 4, 'Calculos Automáticos de Medida (CAM) - 2011');
INSERT INTO `lang_definitions` VALUES (9857, 949, 4, 'Calculos Automáticos de Medida (CAM) - 2014');
INSERT INTO `lang_definitions` VALUES (9858, 950, 4, 'Calculos Automáticos de Medida (CAM) - 2014 Etapa 1');
INSERT INTO `lang_definitions` VALUES (9859, 951, 4, 'Calculos Automáticos de Medida (CAM) - 2014 Etapa 2');
INSERT INTO `lang_definitions` VALUES (9860, 952, 4, 'Rastreo Calculos Automaticos de Medida (CAM)');
INSERT INTO `lang_definitions` VALUES (9861, 953, 4, 'Medidas Automatizadas');
INSERT INTO `lang_definitions` VALUES (9862, 955, 4, 'Automatica');
INSERT INTO `lang_definitions` VALUES (9863, 958, 4, 'Crear un nuevo encuentro automáticamente cuando se seleccione una \"Confirmación\" de cita ');
INSERT INTO `lang_definitions` VALUES (9864, 959, 4, 'Crear automáticamente nuevos encuentros cuando el estado de una cita se selecciona en \"@\" (llegado)');
INSERT INTO `lang_definitions` VALUES (9865, 960, 4, 'Copiar automáticamente los códigos de justificación en la \"Hoja de Tarifas\" ');
INSERT INTO `lang_definitions` VALUES (9866, 961, 4, 'Copiar automáticamente los códigos de justificación en la \"Hoja de Tarifas\" (básicamente rellena los espacios en blanco con los códigos de arriba) ');
INSERT INTO `lang_definitions` VALUES (9867, 962, 4, 'Automovil Medico');
INSERT INTO `lang_definitions` VALUES (9868, 964, 4, 'Guardado automáticamente');
INSERT INTO `lang_definitions` VALUES (9869, 966, 4, 'Citas disponibles ');
INSERT INTO `lang_definitions` VALUES (9870, 967, 4, 'Categorias Disponibles');
INSERT INTO `lang_definitions` VALUES (9871, 970, 4, 'Servicios disponibles ');
INSERT INTO `lang_definitions` VALUES (9872, 971, 4, 'Horas disponbiles');
INSERT INTO `lang_definitions` VALUES (9873, 972, 4, 'Historiales disponibles ');
INSERT INTO `lang_definitions` VALUES (9874, 973, 4, 'Avaric');
INSERT INTO `lang_definitions` VALUES (9875, 975, 4, 'Avestan');
INSERT INTO `lang_definitions` VALUES (9876, 976, 4, 'Media Mensual');
INSERT INTO `lang_definitions` VALUES (9877, 980, 4, 'Avulsión / fractura por avulsión');
INSERT INTO `lang_definitions` VALUES (9878, 981, 4, 'Avulsión de maleolo lateral');
INSERT INTO `lang_definitions` VALUES (9879, 982, 4, 'Avulsión de maleolo medial');
INSERT INTO `lang_definitions` VALUES (9880, 983, 4, 'Basado en Conocimiento');
INSERT INTO `lang_definitions` VALUES (9881, 985, 4, 'Axilar');
INSERT INTO `lang_definitions` VALUES (9882, 990, 4, 'Aimara');
INSERT INTO `lang_definitions` VALUES (9883, 991, 4, 'Azerbaiyán');
INSERT INTO `lang_definitions` VALUES (9884, 992, 4, 'dos veces por día');
INSERT INTO `lang_definitions` VALUES (9885, 993, 4, 'Atrás');
INSERT INTO `lang_definitions` VALUES (9886, 994, 4, 'atrás');
INSERT INTO `lang_definitions` VALUES (9887, 995, 4, 'Retrocede ocho visitas');
INSERT INTO `lang_definitions` VALUES (9888, 996, 4, 'Retroceder once visitas');
INSERT INTO `lang_definitions` VALUES (9889, 997, 4, 'Retroceder cinco visitas');
INSERT INTO `lang_definitions` VALUES (9890, 998, 4, 'Retroceder cuatro visitas');
INSERT INTO `lang_definitions` VALUES (9891, 999, 4, 'Retroceder nueve visitas');
INSERT INTO `lang_definitions` VALUES (9892, 1000, 4, 'Retroceder una visita');
INSERT INTO `lang_definitions` VALUES (9893, 1001, 4, 'Dolor de Espaldas');
INSERT INTO `lang_definitions` VALUES (9894, 1002, 4, 'Problemas de espalda');
INSERT INTO `lang_definitions` VALUES (9895, 1003, 4, 'Retroceder siete visitas');
INSERT INTO `lang_definitions` VALUES (9896, 1004, 4, 'Retroceder seis visitas');
INSERT INTO `lang_definitions` VALUES (9897, 1005, 4, 'Cirugia de la espalda');
INSERT INTO `lang_definitions` VALUES (9898, 1006, 4, 'Retroceder diez visitas');
INSERT INTO `lang_definitions` VALUES (9899, 1007, 4, 'Retroceder tres visitas');
INSERT INTO `lang_definitions` VALUES (9900, 1008, 4, 'Volver a la página de Administración');
INSERT INTO `lang_definitions` VALUES (9901, 1010, 4, 'Volver al Editor ');
INSERT INTO `lang_definitions` VALUES (9902, 1011, 4, 'Volver a encuentro');
INSERT INTO `lang_definitions` VALUES (9903, 1012, 4, 'Volver al paciente');
INSERT INTO `lang_definitions` VALUES (9904, 1013, 4, 'Volver al paciente');
INSERT INTO `lang_definitions` VALUES (9905, 1015, 4, 'Volver a los usuarios');
INSERT INTO `lang_definitions` VALUES (9906, 1016, 4, 'Volver a Vista');
INSERT INTO `lang_definitions` VALUES (9907, 1017, 4, 'Retroceder doce visitas');
INSERT INTO `lang_definitions` VALUES (9908, 1018, 4, 'Retroceder dos visitas');
INSERT INTO `lang_definitions` VALUES (9909, 1019, 4, 'Servicios en el fondo');
INSERT INTO `lang_definitions` VALUES (9910, 1020, 4, 'Respaldo ');
INSERT INTO `lang_definitions` VALUES (9911, 1022, 4, 'Se ha creado el archivo de respaldo, ahora empezará la descarga');
INSERT INTO `lang_definitions` VALUES (9912, 1023, 4, 'Lista de Respaldo');
INSERT INTO `lang_definitions` VALUES (9913, 1024, 4, 'Archivo de respaldo creado con exito');
INSERT INTO `lang_definitions` VALUES (9914, 1025, 4, 'Cheque sin fondos');
INSERT INTO `lang_definitions` VALUES (9915, 1026, 4, 'Mal crédito');
INSERT INTO `lang_definitions` VALUES (9916, 1027, 4, 'Bahasa Indonesia');
INSERT INTO `lang_definitions` VALUES (9917, 1028, 4, 'Bal');
INSERT INTO `lang_definitions` VALUES (9918, 1031, 4, 'Balance');
INSERT INTO `lang_definitions` VALUES (9919, 1032, 4, 'balance');
INSERT INTO `lang_definitions` VALUES (9920, 1033, 4, 'Importe Balance');
INSERT INTO `lang_definitions` VALUES (9921, 1034, 4, 'Balance a pagar');
INSERT INTO `lang_definitions` VALUES (9922, 1035, 4, 'Pago de Balance');
INSERT INTO `lang_definitions` VALUES (9923, 1036, 4, 'Balanceado');
INSERT INTO `lang_definitions` VALUES (9924, 1037, 4, 'Bambara');
INSERT INTO `lang_definitions` VALUES (9925, 1038, 4, 'Letra Bancaria');
INSERT INTO `lang_definitions` VALUES (9926, 1039, 4, 'Etiqueta de Código de Barras');
INSERT INTO `lang_definitions` VALUES (9927, 1040, 4, 'Tipo de Etiqueta de Código de Barras');
INSERT INTO `lang_definitions` VALUES (9928, 1042, 4, 'Base del quinto (5to) Metatarsiano');
INSERT INTO `lang_definitions` VALUES (9929, 1043, 4, 'Base del quinto (5to) Metatarsiano:');
INSERT INTO `lang_definitions` VALUES (9930, 1047, 4, 'Bashkir');
INSERT INTO `lang_definitions` VALUES (9931, 1049, 4, 'Vasco');
INSERT INTO `lang_definitions` VALUES (9932, 1050, 4, 'Reclamo de Lotes');
INSERT INTO `lang_definitions` VALUES (9933, 1051, 4, 'Herramienta de Comunicación para series');
INSERT INTO `lang_definitions` VALUES (9934, 1052, 4, 'Herramienta de Comunicación para series (batchcom) ');
INSERT INTO `lang_definitions` VALUES (9935, 1053, 4, 'Entrada de pagos en serie (Batch)');
INSERT INTO `lang_definitions` VALUES (9936, 1054, 4, 'Pagos en serie');
INSERT INTO `lang_definitions` VALUES (9937, 1055, 4, 'Proceso de Batch iniciado; puede tomar unos minutos');
INSERT INTO `lang_definitions` VALUES (9938, 1056, 4, 'Resultados del lote');
INSERT INTO `lang_definitions` VALUES (9939, 1057, 4, 'Comunicación');
INSERT INTO `lang_definitions` VALUES (9940, 1060, 4, 'Sea paciente, puede demorar varios minutos para procesar');
INSERT INTO `lang_definitions` VALUES (9941, 1061, 4, 'Sea paciente, esto puede tardar un tiempo');
INSERT INTO `lang_definitions` VALUES (9942, 1063, 4, 'porque no existe esa número de identificación.');
INSERT INTO `lang_definitions` VALUES (9943, 1064, 4, 'Antes');
INSERT INTO `lang_definitions` VALUES (9944, 1065, 4, 'Antes (PM) ');
INSERT INTO `lang_definitions` VALUES (9945, 1072, 4, 'Empezar');
INSERT INTO `lang_definitions` VALUES (9946, 1074, 4, 'Fecha de comienzo');
INSERT INTO `lang_definitions` VALUES (9947, 1076, 4, 'Fecha de inicio para informe de libro contable');
INSERT INTO `lang_definitions` VALUES (9948, 1077, 4, 'Fecha de inicio de servicio aaaa-mm.dd');
INSERT INTO `lang_definitions` VALUES (9949, 1078, 4, 'Hora de inicio del día para los eventos del calendario');
INSERT INTO `lang_definitions` VALUES (9950, 1081, 4, 'Bielorruso');
INSERT INTO `lang_definitions` VALUES (9951, 1082, 4, 'Eructo');
INSERT INTO `lang_definitions` VALUES (9952, 1083, 4, 'Debajo de los límites inferiores de pánico');
INSERT INTO `lang_definitions` VALUES (9953, 1086, 4, 'Bengali');
INSERT INTO `lang_definitions` VALUES (9954, 1087, 4, 'Bengali- Bangla');
INSERT INTO `lang_definitions` VALUES (9955, 1088, 4, 'Buena suerte');
INSERT INTO `lang_definitions` VALUES (9956, 1089, 4, 'entre');
INSERT INTO `lang_definitions` VALUES (9957, 1091, 4, 'Bidirectional');
INSERT INTO `lang_definitions` VALUES (9958, 1092, 4, 'Bifocal');
INSERT INTO `lang_definitions` VALUES (9959, 1093, 4, 'Bifocales');
INSERT INTO `lang_definitions` VALUES (9960, 1094, 4, 'Bihari');
INSERT INTO `lang_definitions` VALUES (9961, 1095, 4, 'Bilateral');
INSERT INTO `lang_definitions` VALUES (9962, 1096, 4, 'Bilateral:');
INSERT INTO `lang_definitions` VALUES (9963, 1098, 4, 'Fecha de Pago');
INSERT INTO `lang_definitions` VALUES (9964, 1099, 4, 'Fecha factura:');
INSERT INTO `lang_definitions` VALUES (9965, 1101, 4, 'Facturar/Cobrar');
INSERT INTO `lang_definitions` VALUES (9966, 1102, 4, 'Facturado');
INSERT INTO `lang_definitions` VALUES (9967, 1103, 4, 'Fecha facturación');
INSERT INTO `lang_definitions` VALUES (9968, 1104, 4, 'Facturación');
INSERT INTO `lang_definitions` VALUES (9969, 1105, 4, 'Facturación (escritura opcional)');
INSERT INTO `lang_definitions` VALUES (9970, 1109, 4, 'Atención factura');
INSERT INTO `lang_definitions` VALUES (9971, 1110, 4, 'Descripción de Código de Facturación');
INSERT INTO `lang_definitions` VALUES (9972, 1111, 4, 'Código de factura para el Servicio Solicitado');
INSERT INTO `lang_definitions` VALUES (9973, 1112, 4, 'Código de factura');
INSERT INTO `lang_definitions` VALUES (9974, 1113, 4, 'Datos de factura');
INSERT INTO `lang_definitions` VALUES (9975, 1114, 4, 'Departamento de Facturación');
INSERT INTO `lang_definitions` VALUES (9976, 1115, 4, 'Centro de Facturacion');
INSERT INTO `lang_definitions` VALUES (9977, 1117, 4, 'Información factura');
INSERT INTO `lang_definitions` VALUES (9978, 1118, 4, 'Dirección para factura');
INSERT INTO `lang_definitions` VALUES (9979, 1120, 4, 'Agregar Registro de Facturación');
INSERT INTO `lang_definitions` VALUES (9980, 1122, 4, 'Opciones del Registro de Facturación');
INSERT INTO `lang_definitions` VALUES (9981, 1123, 4, 'Reescribir el Registro de Facturación');
INSERT INTO `lang_definitions` VALUES (9982, 1124, 4, 'Configurar las opciones de Registro de Facturación como sobreescribir o agregar');
INSERT INTO `lang_definitions` VALUES (9983, 1125, 4, 'Administrador de Facturación');
INSERT INTO `lang_definitions` VALUES (9984, 1126, 4, 'Nota de factura');
INSERT INTO `lang_definitions` VALUES (9985, 1127, 4, 'Nota de factura para');
INSERT INTO `lang_definitions` VALUES (9986, 1128, 4, 'Nota de factura:');
INSERT INTO `lang_definitions` VALUES (9987, 1129, 4, 'Resultados de la cola de facturación');
INSERT INTO `lang_definitions` VALUES (9988, 1130, 4, 'Resultados de la cola de facturación:');
INSERT INTO `lang_definitions` VALUES (9989, 1131, 4, 'Informe de Facturación');
INSERT INTO `lang_definitions` VALUES (9990, 1132, 4, 'Estado de facturación');
INSERT INTO `lang_definitions` VALUES (9991, 1133, 4, 'Estado de Facturación = no facturados');
INSERT INTO `lang_definitions` VALUES (9992, 1134, 4, 'factura para');
INSERT INTO `lang_definitions` VALUES (9993, 1135, 4, 'Vista de Facturación');
INSERT INTO `lang_definitions` VALUES (9994, 1138, 4, 'Biopsia');
INSERT INTO `lang_definitions` VALUES (9995, 1139, 4, 'Certificado de nacimiento ');
INSERT INTO `lang_definitions` VALUES (9996, 1140, 4, 'Fecha de Nacimiento');
INSERT INTO `lang_definitions` VALUES (9997, 1141, 4, 'Nacimiento-24 meses');
INSERT INTO `lang_definitions` VALUES (9998, 1142, 4, 'Centro de Nacimiento');
INSERT INTO `lang_definitions` VALUES (9999, 1143, 4, 'Bislama');
INSERT INTO `lang_definitions` VALUES (10000, 1144, 4, 'Negro');
INSERT INTO `lang_definitions` VALUES (10001, 1146, 4, 'Lista negra');
INSERT INTO `lang_definitions` VALUES (10002, 1147, 4, 'Pulmón ennegrecido');
INSERT INTO `lang_definitions` VALUES (10003, 1148, 4, 'Negro o Afro Americano');
INSERT INTO `lang_definitions` VALUES (10004, 1149, 4, 'Cáncer de vejiga');
INSERT INTO `lang_definitions` VALUES (10005, 1150, 4, 'Infecciones de vejiga');
INSERT INTO `lang_definitions` VALUES (10006, 1151, 4, 'En blanco');
INSERT INTO `lang_definitions` VALUES (10007, 1152, 4, 'Formas en blanco');
INSERT INTO `lang_definitions` VALUES (10008, 1153, 4, 'Problemas de sangrado');
INSERT INTO `lang_definitions` VALUES (10009, 1154, 4, 'Puntos Ciegos');
INSERT INTO `lang_definitions` VALUES (10010, 1155, 4, 'Ceguera');
INSERT INTO `lang_definitions` VALUES (10011, 1156, 4, 'Hinchazón');
INSERT INTO `lang_definitions` VALUES (10012, 1158, 4, 'Atascado');
INSERT INTO `lang_definitions` VALUES (10013, 1159, 4, 'Sangre');
INSERT INTO `lang_definitions` VALUES (10014, 1160, 4, 'Presión Arterial');
INSERT INTO `lang_definitions` VALUES (10015, 1161, 4, 'Presión arterial');
INSERT INTO `lang_definitions` VALUES (10016, 1162, 4, 'Sangra de la nariz');
INSERT INTO `lang_definitions` VALUES (10017, 1163, 4, 'Blue Cross Blue Shield');
INSERT INTO `lang_definitions` VALUES (10018, 1165, 4, 'En este reporte líneas azules son informativas. Líneas negras muestran información existente. Líneas verdes muestran cambios aplicados exitosamente. Líneas rojas indican errores o cambios que no fueron aplicados, y deben ser procesados manualmente. Reclamos denegados y pagos revertidos no se manejan automáticamente y aparecerán en rojo.');
INSERT INTO `lang_definitions` VALUES (10019, 1166, 4, 'Visión borrosa');
INSERT INTO `lang_definitions` VALUES (10020, 1167, 4, 'IMC');
INSERT INTO `lang_definitions` VALUES (10021, 1168, 4, 'Estado del IMC');
INSERT INTO `lang_definitions` VALUES (10022, 1169, 4, 'Cuerpo');
INSERT INTO `lang_definitions` VALUES (10023, 1170, 4, 'Región corporal');
INSERT INTO `lang_definitions` VALUES (10024, 1171, 4, 'Sitio Corporal');
INSERT INTO `lang_definitions` VALUES (10025, 1172, 4, 'Área corporal si aplica');
INSERT INTO `lang_definitions` VALUES (10026, 1173, 4, 'Sensibilidad en hueso:');
INSERT INTO `lang_definitions` VALUES (10027, 1174, 4, 'Sensibilidad en hueso: Maléolo Tibial');
INSERT INTO `lang_definitions` VALUES (10028, 1175, 4, 'Boleano');
INSERT INTO `lang_definitions` VALUES (10029, 1176, 4, 'Bosnio');
INSERT INTO `lang_definitions` VALUES (10030, 1177, 4, 'Infer');
INSERT INTO `lang_definitions` VALUES (10031, 1178, 4, 'Ambos ');
INSERT INTO `lang_definitions` VALUES (10032, 1179, 4, 'Ambos Oídos');
INSERT INTO `lang_definitions` VALUES (10033, 1180, 4, 'ambas orejas/ ambos oídos');
INSERT INTO `lang_definitions` VALUES (10034, 1183, 4, 'Parte inferior');
INSERT INTO `lang_definitions` VALUES (10035, 1184, 4, 'Márgen Inferior (px)');
INSERT INTO `lang_definitions` VALUES (10036, 1187, 4, 'CAJA 10 A. relacionados con el Empleo');
INSERT INTO `lang_definitions` VALUES (10037, 1189, 4, 'CAJA 10 B. Accidentes de Autos');
INSERT INTO `lang_definitions` VALUES (10038, 1191, 4, 'CAJA 10 C. Otros Accidentes');
INSERT INTO `lang_definitions` VALUES (10039, 1194, 4, 'CAJA 10 D. Código de Referencia EPSDT');
INSERT INTO `lang_definitions` VALUES (10040, 1200, 4, 'CAJA 14 Calificación de Fecha');
INSERT INTO `lang_definitions` VALUES (10041, 1205, 4, 'CAJA 15. Día en el que tuvo la misma enfermedad, o alguna similar (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (10042, 1211, 4, 'CAJA 16. Fecha de incapacidad de trabajar apartir de (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (10043, 1215, 4, 'CAJA 16. Fecha incapacidad de trabajar (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (10044, 1227, 4, 'CAJA 18. Fecha de incicio de hospitalización (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (10045, 1231, 4, 'CAJA 18. Fecha de inicio de hospitalización a (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (10046, 1235, 4, 'CASILLA 20. ¿Se utiliza Laboratorio externo?');
INSERT INTO `lang_definitions` VALUES (10047, 1239, 4, 'CAJA 22. Código de la resumisión de Medicaid (ICD-9)');
INSERT INTO `lang_definitions` VALUES (10048, 1243, 4, 'CAJA 23. Número de Autorización previa');
INSERT INTO `lang_definitions` VALUES (10049, 1244, 4, 'TA');
INSERT INTO `lang_definitions` VALUES (10050, 1245, 4, 'PA Diastólica');
INSERT INTO `lang_definitions` VALUES (10051, 1246, 4, 'PA Sistólica');
INSERT INTO `lang_definitions` VALUES (10052, 1247, 4, 'PAD ');
INSERT INTO `lang_definitions` VALUES (10053, 1248, 4, 'Pad');
INSERT INTO `lang_definitions` VALUES (10054, 1252, 4, 'Pas');
INSERT INTO `lang_definitions` VALUES (10055, 1253, 4, 'Marca');
INSERT INTO `lang_definitions` VALUES (10056, 1254, 4, 'Portugués brasileño');
INSERT INTO `lang_definitions` VALUES (10057, 1255, 4, 'Seno');
INSERT INTO `lang_definitions` VALUES (10058, 1256, 4, 'Biopsia del Seno');
INSERT INTO `lang_definitions` VALUES (10059, 1257, 4, 'Secrecion del seno');
INSERT INTO `lang_definitions` VALUES (10060, 1258, 4, 'Enfermedad de la mama');
INSERT INTO `lang_definitions` VALUES (10061, 1259, 4, 'Revisión mama');
INSERT INTO `lang_definitions` VALUES (10062, 1260, 4, 'Masa en la mama');
INSERT INTO `lang_definitions` VALUES (10063, 1261, 4, 'Respiración');
INSERT INTO `lang_definitions` VALUES (10064, 1262, 4, 'Sonidos respiratorios:');
INSERT INTO `lang_definitions` VALUES (10065, 1263, 4, 'Bretón');
INSERT INTO `lang_definitions` VALUES (10066, 1265, 4, 'Huesos fracturados');
INSERT INTO `lang_definitions` VALUES (10067, 1266, 4, 'form. roto');
INSERT INTO `lang_definitions` VALUES (10068, 1267, 4, 'Formulario de bronquitis');
INSERT INTO `lang_definitions` VALUES (10069, 1268, 4, 'Hermano');
INSERT INTO `lang_definitions` VALUES (10070, 1269, 4, 'Ceja');
INSERT INTO `lang_definitions` VALUES (10071, 1270, 4, 'Explorar');
INSERT INTO `lang_definitions` VALUES (10072, 1271, 4, 'Explorar para Registro');
INSERT INTO `lang_definitions` VALUES (10073, 1272, 4, 'Contusiones/Hematomas');
INSERT INTO `lang_definitions` VALUES (10074, 1274, 4, 'Construya Su Plan');
INSERT INTO `lang_definitions` VALUES (10075, 1275, 4, 'Búlgaro');
INSERT INTO `lang_definitions` VALUES (10076, 1276, 4, 'Abultamiento derecho:');
INSERT INTO `lang_definitions` VALUES (10077, 1277, 4, 'Birmano');
INSERT INTO `lang_definitions` VALUES (10078, 1278, 4, 'Ardor al orinar');
INSERT INTO `lang_definitions` VALUES (10079, 1279, 4, 'Ardor al orinar');
INSERT INTO `lang_definitions` VALUES (10080, 1281, 4, 'Teléfono Trabajo');
INSERT INTO `lang_definitions` VALUES (10081, 1282, 4, 'Ocupado');
INSERT INTO `lang_definitions` VALUES (10082, 1283, 4, 'pero todavía no procesado.');
INSERT INTO `lang_definitions` VALUES (10083, 1284, 4, 'Gluteos');
INSERT INTO `lang_definitions` VALUES (10084, 1285, 4, 'Gluteos + S.I.');
INSERT INTO `lang_definitions` VALUES (10085, 1286, 4, 'por');
INSERT INTO `lang_definitions` VALUES (10086, 1287, 4, 'Por');
INSERT INTO `lang_definitions` VALUES (10087, 1293, 4, 'por boca');
INSERT INTO `lang_definitions` VALUES (10088, 1295, 4, 'Por / Fuente');
INSERT INTO `lang_definitions` VALUES (10089, 1296, 4, 'Por:');
INSERT INTO `lang_definitions` VALUES (10090, 1299, 4, 'C');
INSERT INTO `lang_definitions` VALUES (10091, 1301, 4, 'Certificado de CA para verificar el RFC 5425 TLS del servidor syslog.');
INSERT INTO `lang_definitions` VALUES (10092, 1302, 4, 'Tiempo de Vida del Cache (en segundos)');
INSERT INTO `lang_definitions` VALUES (10093, 1303, 4, '¿Plantilla de salida del caché?');
INSERT INTO `lang_definitions` VALUES (10094, 1304, 4, 'Cafeína');
INSERT INTO `lang_definitions` VALUES (10095, 1305, 4, 'Consumo de cafeína');
INSERT INTO `lang_definitions` VALUES (10096, 1306, 4, 'Calendario');
INSERT INTO `lang_definitions` VALUES (10097, 1307, 4, 'Hora de finalización del calendario');
INSERT INTO `lang_definitions` VALUES (10098, 1308, 4, 'Intervalo Calendario');
INSERT INTO `lang_definitions` VALUES (10099, 1309, 4, 'Pantalla de calendario');
INSERT INTO `lang_definitions` VALUES (10100, 1310, 4, 'Ajustes del calendario');
INSERT INTO `lang_definitions` VALUES (10101, 1311, 4, 'Ajustes del calendario (calendario) ');
INSERT INTO `lang_definitions` VALUES (10102, 1312, 4, 'Hora de inicio de calendario');
INSERT INTO `lang_definitions` VALUES (10103, 1313, 4, 'Calendario UI');
INSERT INTO `lang_definitions` VALUES (10104, 1314, 4, 'Vista de Calendario');
INSERT INTO `lang_definitions` VALUES (10105, 1315, 4, 'Calendario externo a eventos');
INSERT INTO `lang_definitions` VALUES (10106, 1316, 4, 'Notas \"Devolver llamada\" ');
INSERT INTO `lang_definitions` VALUES (10107, 1317, 4, 'Llamada para añadir Formulario () va aquí.<br>');
INSERT INTO `lang_definitions` VALUES (10108, 1318, 4, 'Devolver llamada ');
INSERT INTO `lang_definitions` VALUES (10109, 1319, 4, 'Se realizó devolución de llamada ');
INSERT INTO `lang_definitions` VALUES (10110, 1320, 4, 'Se solicitó devolución de llamada ');
INSERT INTO `lang_definitions` VALUES (10111, 1321, 4, 'Calorias');
INSERT INTO `lang_definitions` VALUES (10112, 1322, 4, 'Camboyano');
INSERT INTO `lang_definitions` VALUES (10113, 1323, 4, 'CAMOS');
INSERT INTO `lang_definitions` VALUES (10114, 1324, 4, 'No se puede determinar SO');
INSERT INTO `lang_definitions` VALUES (10115, 1325, 4, 'No se puede establecer la opción a menos que la opción de Resumen de cuidado haya sido establecida');
INSERT INTO `lang_definitions` VALUES (10116, 1326, 4, 'No se encuentra el archivo!');
INSERT INTO `lang_definitions` VALUES (10117, 1327, 4, 'No se puede subir');
INSERT INTO `lang_definitions` VALUES (10118, 1328, 4, 'Canadá');
INSERT INTO `lang_definitions` VALUES (10119, 1329, 4, 'Cancelar');
INSERT INTO `lang_definitions` VALUES (10120, 1330, 4, 'cancelar ');
INSERT INTO `lang_definitions` VALUES (10121, 1332, 4, 'Cancelar cambios');
INSERT INTO `lang_definitions` VALUES (10122, 1333, 4, 'Cancelado');
INSERT INTO `lang_definitions` VALUES (10123, 1334, 4, 'Cancelado < 24h');
INSERT INTO `lang_definitions` VALUES (10124, 1335, 4, 'Cáncer');
INSERT INTO `lang_definitions` VALUES (10125, 1336, 4, 'Detección de Cancer: Detección Cancer de Colon');
INSERT INTO `lang_definitions` VALUES (10126, 1337, 4, 'Detección de Cancer: Mamograma');
INSERT INTO `lang_definitions` VALUES (10127, 1338, 4, 'Detección de Cancer: Prueba de Papanicolau');
INSERT INTO `lang_definitions` VALUES (10128, 1339, 4, 'Detección de Cancer: Detección de Cancer de Prostata');
INSERT INTO `lang_definitions` VALUES (10129, 1340, 4, 'No se puede agregar esta entrada, ¡por que ya existe!');
INSERT INTO `lang_definitions` VALUES (10130, 1341, 4, '¡No se puede agregar/actualizar esta entrada porque ya existe un duplicado!');
INSERT INTO `lang_definitions` VALUES (10131, 1342, 4, 'no se puede archivar, ignorado');
INSERT INTO `lang_definitions` VALUES (10132, 1343, 4, 'no puede convertirse a JPEG. ¿probablemente ImageMagick no está instalado?');
INSERT INTO `lang_definitions` VALUES (10133, 1344, 4, 'no se puede eliminar, ignorado');
INSERT INTO `lang_definitions` VALUES (10134, 1345, 4, 'no se puede mostrar en línea porque su tipo no es soportado por el navegador.');
INSERT INTO `lang_definitions` VALUES (10135, 1346, 4, 'no se puede mostrar en línea porque su tipo no es soportado por el navegador');
INSERT INTO `lang_definitions` VALUES (10136, 1347, 4, 'no se puede mostrar en línea porque su tipo no es soportado por el navegador.');
INSERT INTO `lang_definitions` VALUES (10137, 1349, 4, 'No se puede crear');
INSERT INTO `lang_definitions` VALUES (10138, 1350, 4, 'No se puede crear archivo');
INSERT INTO `lang_definitions` VALUES (10139, 1351, 4, 'No se puede eliminar el archivo (Desde el servidor SFTP)');
INSERT INTO `lang_definitions` VALUES (10140, 1352, 4, 'No se puede borrar archivo');
INSERT INTO `lang_definitions` VALUES (10141, 1353, 4, 'No se ha podido determinar el nombre de archivo de destino');
INSERT INTO `lang_definitions` VALUES (10142, 1354, 4, 'No se puede encontrar');
INSERT INTO `lang_definitions` VALUES (10143, 1355, 4, 'No se puede encontrar archivo de destino');
INSERT INTO `lang_definitions` VALUES (10144, 1358, 4, 'No puede encontrar al paciente con esa identificación en SQL-Libro mayor');
INSERT INTO `lang_definitions` VALUES (10145, 1359, 4, 'No se puede encontrar el documento de referencia de postdata en');
INSERT INTO `lang_definitions` VALUES (10146, 1360, 4, 'No puede encontrar el proveedor del empleado del SQL-Libro mayor =');
INSERT INTO `lang_definitions` VALUES (10147, 1361, 4, 'No puede modificar los pagos. La distribución es negativa.');
INSERT INTO `lang_definitions` VALUES (10148, 1362, 4, 'No se puede abrir ');
INSERT INTO `lang_definitions` VALUES (10149, 1363, 4, 'No se puede abrir');
INSERT INTO `lang_definitions` VALUES (10150, 1364, 4, 'No hay mensajes de Seguros. La entidad que paga seleccionada un Paciente.');
INSERT INTO `lang_definitions` VALUES (10151, 1365, 4, 'No puede enviar para Paciente. La Entidad de pago seleccionado es un seguro.');
INSERT INTO `lang_definitions` VALUES (10152, 1366, 4, 'No puede enviar pagos. La distribución es negativa.');
INSERT INTO `lang_definitions` VALUES (10153, 1367, 4, 'No se puede leer');
INSERT INTO `lang_definitions` VALUES (10154, 1368, 4, 'No se puede leer el directorio');
INSERT INTO `lang_definitions` VALUES (10155, 1369, 4, 'No se puede actualizar porque no estás editando una entrada que ya exista.');
INSERT INTO `lang_definitions` VALUES (10156, 1370, 4, 'Poner en Mayúsculas');
INSERT INTO `lang_definitions` VALUES (10157, 1371, 4, 'Todos mayúsc.');
INSERT INTO `lang_definitions` VALUES (10158, 1372, 4, 'cápsula');
INSERT INTO `lang_definitions` VALUES (10159, 1373, 4, 'Tarjeta');
INSERT INTO `lang_definitions` VALUES (10160, 1374, 4, 'CVV ');
INSERT INTO `lang_definitions` VALUES (10161, 1375, 4, 'Fecha de vencimiento ');
INSERT INTO `lang_definitions` VALUES (10162, 1378, 4, 'Nombre de tarjeta ');
INSERT INTO `lang_definitions` VALUES (10163, 1379, 4, 'Número de tarjeta ');
INSERT INTO `lang_definitions` VALUES (10164, 1380, 4, 'Tipo de tarjeta ');
INSERT INTO `lang_definitions` VALUES (10165, 1381, 4, 'Cardiaco');
INSERT INTO `lang_definitions` VALUES (10166, 1382, 4, 'Cateterismo Cardiaco');
INSERT INTO `lang_definitions` VALUES (10167, 1383, 4, 'Ecocardiograma cardiaco');
INSERT INTO `lang_definitions` VALUES (10168, 1384, 4, 'Cardiovascular');
INSERT INTO `lang_definitions` VALUES (10169, 1385, 4, 'Coordinación de atención');
INSERT INTO `lang_definitions` VALUES (10170, 1386, 4, 'Solamente coordinación de atención ');
INSERT INTO `lang_definitions` VALUES (10171, 1388, 4, 'Cuidador');
INSERT INTO `lang_definitions` VALUES (10172, 1389, 4, 'Plan de atención');
INSERT INTO `lang_definitions` VALUES (10173, 1390, 4, 'Form. plan de atención');
INSERT INTO `lang_definitions` VALUES (10174, 1392, 4, 'Equipo de cuidado');
INSERT INTO `lang_definitions` VALUES (10175, 1394, 4, 'Palpitación carotidea ');
INSERT INTO `lang_definitions` VALUES (10176, 1395, 4, 'Carótidas{{arterias carótidas}} ');
INSERT INTO `lang_definitions` VALUES (10177, 1396, 4, 'Daño de cartílago, condral o del disco articular.');
INSERT INTO `lang_definitions` VALUES (10178, 1397, 4, 'Lesión de cartílago');
INSERT INTO `lang_definitions` VALUES (10179, 1398, 4, 'Nl Pulsos Carotideos, pulsos pedios nl');
INSERT INTO `lang_definitions` VALUES (10180, 1400, 4, 'efectivo');
INSERT INTO `lang_definitions` VALUES (10181, 1401, 4, 'Efectivo');
INSERT INTO `lang_definitions` VALUES (10182, 1402, 4, 'Recibos Efectivo');
INSERT INTO `lang_definitions` VALUES (10183, 1403, 4, 'Recibos de efectivo por Proveedor');
INSERT INTO `lang_definitions` VALUES (10184, 1404, 4, 'Catalán-Valenciano');
INSERT INTO `lang_definitions` VALUES (10185, 1405, 4, 'Cataratas');
INSERT INTO `lang_definitions` VALUES (10186, 1406, 4, 'Cirugía de cataratas');
INSERT INTO `lang_definitions` VALUES (10187, 1407, 4, 'Cataratas');
INSERT INTO `lang_definitions` VALUES (10188, 1408, 4, 'Categorías');
INSERT INTO `lang_definitions` VALUES (10189, 1409, 4, 'Categorias para');
INSERT INTO `lang_definitions` VALUES (10190, 1410, 4, 'Categoría');
INSERT INTO `lang_definitions` VALUES (10191, 1411, 4, 'categoría');
INSERT INTO `lang_definitions` VALUES (10192, 1412, 4, 'Categoría');
INSERT INTO `lang_definitions` VALUES (10193, 1414, 4, 'Categoría sustituida ');
INSERT INTO `lang_definitions` VALUES (10194, 1415, 4, 'Color de categoría ');
INSERT INTO `lang_definitions` VALUES (10195, 1416, 4, 'Detalles de Categoría');
INSERT INTO `lang_definitions` VALUES (10196, 1417, 4, 'Límites de Categoría');
INSERT INTO `lang_definitions` VALUES (10197, 1418, 4, 'Nombre de Categoría');
INSERT INTO `lang_definitions` VALUES (10198, 1419, 4, 'Nombre de la Categoria esta vacio');
INSERT INTO `lang_definitions` VALUES (10199, 1420, 4, 'Titulo de la Categoria');
INSERT INTO `lang_definitions` VALUES (10200, 1421, 4, 'Caucásico');
INSERT INTO `lang_definitions` VALUES (10201, 1422, 4, 'Induce a imprimir recibo del encuentro con la informacion del proveedor');
INSERT INTO `lang_definitions` VALUES (10202, 1426, 4, 'ACDC');
INSERT INTO `lang_definitions` VALUES (10203, 1442, 4, 'CDR');
INSERT INTO `lang_definitions` VALUES (10204, 1444, 4, 'Celular');
INSERT INTO `lang_definitions` VALUES (10205, 1445, 4, 'Teléfono Celular');
INSERT INTO `lang_definitions` VALUES (10206, 1446, 4, 'Teléfono Celular');
INSERT INTO `lang_definitions` VALUES (10207, 1447, 4, 'Teléfono Móvil');
INSERT INTO `lang_definitions` VALUES (10208, 1449, 4, 'Certificación central');
INSERT INTO `lang_definitions` VALUES (10209, 1450, 4, 'Grosor Macular Central');
INSERT INTO `lang_definitions` VALUES (10210, 1451, 4, 'Centro Americano / Sud Americano');
INSERT INTO `lang_definitions` VALUES (10211, 1452, 4, 'La ubicación del archivo de Certificado de Autoridad crt no puede estar vacía');
INSERT INTO `lang_definitions` VALUES (10212, 1453, 4, 'La ubicación de la clave del archivo del Certificado de Autoridad no puede estar vacía');
INSERT INTO `lang_definitions` VALUES (10213, 1454, 4, 'Certificado para enviar a la RFC 5425 TLS del servidor syslog.');
INSERT INTO `lang_definitions` VALUES (10214, 1455, 4, 'Usuario del Certificado');
INSERT INTO `lang_definitions` VALUES (10215, 1456, 4, 'Certificados');
INSERT INTO `lang_definitions` VALUES (10216, 1457, 4, 'Chamorro');
INSERT INTO `lang_definitions` VALUES (10217, 1458, 4, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (10218, 1459, 4, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (10219, 1460, 4, 'cambiar');
INSERT INTO `lang_definitions` VALUES (10220, 1461, 4, 'Cambio');
INSERT INTO `lang_definitions` VALUES (10221, 1462, 4, 'Cambia actividad');
INSERT INTO `lang_definitions` VALUES (10222, 1466, 4, 'El Cambio falló! ¿Problemas de conectividad con CouchDB?');
INSERT INTO `lang_definitions` VALUES (10223, 1467, 4, 'Cambio en la Visión');
INSERT INTO `lang_definitions` VALUES (10224, 1468, 4, 'Cambio en la Visión');
INSERT INTO `lang_definitions` VALUES (10225, 1470, 4, 'Cambiar Contraseña');
INSERT INTO `lang_definitions` VALUES (10226, 1473, 4, 'Cambiar el Estado para');
INSERT INTO `lang_definitions` VALUES (10227, 1475, 4, 'Cambiado');
INSERT INTO `lang_definitions` VALUES (10228, 1476, 4, 'Intestino Cambiado');
INSERT INTO `lang_definitions` VALUES (10229, 1479, 4, 'Cambiar ID de paciente por Documento');
INSERT INTO `lang_definitions` VALUES (10230, 1483, 4, 'Canales');
INSERT INTO `lang_definitions` VALUES (10231, 1484, 4, 'Caracteristicas');
INSERT INTO `lang_definitions` VALUES (10232, 1485, 4, 'Carácteres restantes');
INSERT INTO `lang_definitions` VALUES (10233, 1486, 4, 'Cobrar');
INSERT INTO `lang_definitions` VALUES (10234, 1487, 4, 'Ajuste del cargo');
INSERT INTO `lang_definitions` VALUES (10235, 1488, 4, 'Cobro codificado');
INSERT INTO `lang_definitions` VALUES (10236, 1489, 4, 'Cargos totales');
INSERT INTO `lang_definitions` VALUES (10237, 1490, 4, 'Cargos');
INSERT INTO `lang_definitions` VALUES (10238, 1491, 4, 'Historia');
INSERT INTO `lang_definitions` VALUES (10239, 1492, 4, 'Histórico de Actividad');
INSERT INTO `lang_definitions` VALUES (10240, 1493, 4, 'Entradas / Salidas Informe Historial de Actividad');
INSERT INTO `lang_definitions` VALUES (10241, 1495, 4, 'Nº Identificación de gráfico');
INSERT INTO `lang_definitions` VALUES (10242, 1496, 4, 'Nº Identificación de gráfico:');
INSERT INTO `lang_definitions` VALUES (10243, 1497, 4, 'Etiqueta de gráfico');
INSERT INTO `lang_definitions` VALUES (10244, 1498, 4, 'Actividad de Localización de gráfico');
INSERT INTO `lang_definitions` VALUES (10245, 1499, 4, 'Nota en la historia');
INSERT INTO `lang_definitions` VALUES (10246, 1500, 4, 'Número de gráfico');
INSERT INTO `lang_definitions` VALUES (10247, 1501, 4, 'Gráfica retirada');
INSERT INTO `lang_definitions` VALUES (10248, 1502, 4, 'Lugares en donde está guardado la gráfica');
INSERT INTO `lang_definitions` VALUES (10249, 1504, 4, 'Rastreador de gráfico');
INSERT INTO `lang_definitions` VALUES (10250, 1505, 4, 'Rastreador de gráfico');
INSERT INTO `lang_definitions` VALUES (10251, 1508, 4, 'Gráficas retiradas');
INSERT INTO `lang_definitions` VALUES (10252, 1509, 4, 'Gráficas retiradas');
INSERT INTO `lang_definitions` VALUES (10253, 1511, 4, 'Historial del chat ');
INSERT INTO `lang_definitions` VALUES (10254, 1512, 4, 'Chechenio');
INSERT INTO `lang_definitions` VALUES (10255, 1513, 4, 'Comprobar');
INSERT INTO `lang_definitions` VALUES (10256, 1514, 4, 'comprobar');
INSERT INTO `lang_definitions` VALUES (10257, 1515, 4, 'Seleccionar Todos');
INSERT INTO `lang_definitions` VALUES (10258, 1516, 4, 'Seleccionar Todos - Componentes');
INSERT INTO `lang_definitions` VALUES (10259, 1517, 4, 'Monto del Cheque');
INSERT INTO `lang_definitions` VALUES (10260, 1519, 4, 'Fecha del cheque');
INSERT INTO `lang_definitions` VALUES (10261, 1520, 4, 'Revisar fechas de expiración');
INSERT INTO `lang_definitions` VALUES (10262, 1521, 4, 'Comprobar diferencias entre las traducciones con Tabla del Idioma Personalizada');
INSERT INTO `lang_definitions` VALUES (10263, 1526, 4, 'Registrarse');
INSERT INTO `lang_definitions` VALUES (10264, 1527, 4, 'Registrarse a');
INSERT INTO `lang_definitions` VALUES (10265, 1528, 4, 'Comprobar data insertado');
INSERT INTO `lang_definitions` VALUES (10266, 1529, 4, 'Seleccione los items a graficar');
INSERT INTO `lang_definitions` VALUES (10267, 1530, 4, 'Revise los resultados de laboratorio');
INSERT INTO `lang_definitions` VALUES (10268, 1531, 4, 'Marcado indica que se revisó ');
INSERT INTO `lang_definitions` VALUES (10269, 1532, 4, 'Número de cheque');
INSERT INTO `lang_definitions` VALUES (10270, 1533, 4, 'Número de cheque');
INSERT INTO `lang_definitions` VALUES (10271, 1534, 4, 'Salida');
INSERT INTO `lang_definitions` VALUES (10272, 1535, 4, 'Hora de Salida');
INSERT INTO `lang_definitions` VALUES (10273, 1536, 4, 'Pago por Cheque');
INSERT INTO `lang_definitions` VALUES (10274, 1537, 4, 'Marque el cuadrito si es un documento cifrado');
INSERT INTO `lang_definitions` VALUES (10275, 1541, 4, 'Seleccione esto si quiere que los proveedores vean todas las citas por defecto y no solo las suyas.');
INSERT INTO `lang_definitions` VALUES (10276, 1543, 4, 'Marcar para crear un problema a partir de ese diagnostico ');
INSERT INTO `lang_definitions` VALUES (10277, 1545, 4, 'Comprobar Fecha /EOB:');
INSERT INTO `lang_definitions` VALUES (10278, 1547, 4, 'Comprobar Número EOB.:');
INSERT INTO `lang_definitions` VALUES (10279, 1548, 4, 'Comprobar/número de referencia');
INSERT INTO `lang_definitions` VALUES (10280, 1549, 4, 'Comprobar/Número de referencia');
INSERT INTO `lang_definitions` VALUES (10281, 1550, 4, 'Lista de Selecciones');
INSERT INTO `lang_definitions` VALUES (10282, 1551, 4, 'Lista de Selecciones');
INSERT INTO `lang_definitions` VALUES (10283, 1552, 4, 'Casilla con Texto');
INSERT INTO `lang_definitions` VALUES (10284, 1553, 4, 'Casilla con texto');
INSERT INTO `lang_definitions` VALUES (10285, 1554, 4, 'Casilla(s) ');
INSERT INTO `lang_definitions` VALUES (10286, 1557, 4, 'Comprobado');
INSERT INTO `lang_definitions` VALUES (10287, 1558, 4, 'comprobado ');
INSERT INTO `lang_definitions` VALUES (10288, 1559, 4, 'Casilla marcada = sí, vacío = no');
INSERT INTO `lang_definitions` VALUES (10289, 1568, 4, 'Comprobación / Salir');
INSERT INTO `lang_definitions` VALUES (10290, 1569, 4, 'Sumatoria');
INSERT INTO `lang_definitions` VALUES (10291, 1570, 4, 'Pecho');
INSERT INTO `lang_definitions` VALUES (10292, 1571, 4, 'Pecho CTAB');
INSERT INTO `lang_definitions` VALUES (10293, 1572, 4, 'Dolor de Pecho');
INSERT INTO `lang_definitions` VALUES (10294, 1573, 4, 'Dolor de Pecho');
INSERT INTO `lang_definitions` VALUES (10295, 1574, 4, 'Dolores de Pecho');
INSERT INTO `lang_definitions` VALUES (10296, 1575, 4, 'Médico del Pecho');
INSERT INTO `lang_definitions` VALUES (10297, 1576, 4, 'Var');
INSERT INTO `lang_definitions` VALUES (10298, 1578, 4, 'Queja Principal');
INSERT INTO `lang_definitions` VALUES (10299, 1579, 4, 'Queja Principal 2');
INSERT INTO `lang_definitions` VALUES (10300, 1580, 4, 'Queja Principal 3');
INSERT INTO `lang_definitions` VALUES (10301, 1581, 4, 'Niño');
INSERT INTO `lang_definitions` VALUES (10302, 1582, 4, 'Hijo adoptivo ');
INSERT INTO `lang_definitions` VALUES (10303, 1583, 4, 'Estado de Inmunizacion de la Niñez (GCC)');
INSERT INTO `lang_definitions` VALUES (10304, 1584, 4, 'Escalofríos');
INSERT INTO `lang_definitions` VALUES (10305, 1585, 4, 'Chino');
INSERT INTO `lang_definitions` VALUES (10306, 1586, 4, 'Chino (simplificado)');
INSERT INTO `lang_definitions` VALUES (10307, 1587, 4, 'Chino (tradicional)');
INSERT INTO `lang_definitions` VALUES (10308, 1588, 4, 'Quiropráctico');
INSERT INTO `lang_definitions` VALUES (10309, 1589, 4, 'Opciones');
INSERT INTO `lang_definitions` VALUES (10310, 1590, 4, 'Colecistectomía');
INSERT INTO `lang_definitions` VALUES (10311, 1591, 4, 'Colecistectomía');
INSERT INTO `lang_definitions` VALUES (10312, 1592, 4, 'Colecistectomía');
INSERT INTO `lang_definitions` VALUES (10313, 1593, 4, 'Elegir');
INSERT INTO `lang_definitions` VALUES (10314, 1595, 4, 'Seleccione un período of fechas');
INSERT INTO `lang_definitions` VALUES (10315, 1596, 4, 'Elija una sección y seleccione un elemento dentro de ella; luego, en la otra sección, verá remarcados los elementos relacionados y puede seleccionar de esa sección para añadir y borrar relaciones.');
INSERT INTO `lang_definitions` VALUES (10316, 1597, 4, 'Criterios de selección');
INSERT INTO `lang_definitions` VALUES (10317, 1602, 4, 'Elegir archivo');
INSERT INTO `lang_definitions` VALUES (10318, 1603, 4, 'Elegir de la lista');
INSERT INTO `lang_definitions` VALUES (10319, 1604, 4, 'Elegir dirección de diseño');
INSERT INTO `lang_definitions` VALUES (10320, 1605, 4, 'Lista de Selecciones');
INSERT INTO `lang_definitions` VALUES (10321, 1608, 4, 'Elegir tamaño de papel');
INSERT INTO `lang_definitions` VALUES (10322, 1610, 4, 'Elegir preferencia de lenguage PDF');
INSERT INTO `lang_definitions` VALUES (10323, 1611, 4, 'Seleccione formato para imprimir para este Informe de Visitas.');
INSERT INTO `lang_definitions` VALUES (10324, 1615, 4, 'Bronquitis Crónica');
INSERT INTO `lang_definitions` VALUES (10325, 1616, 4, 'Dolor crónico de articulaciones');
INSERT INTO `lang_definitions` VALUES (10326, 1617, 4, 'Enfermedad Renal Cronica (ERC)');
INSERT INTO `lang_definitions` VALUES (10327, 1620, 4, 'Sinovitis crónica/derrame/dolor articular/gota');
INSERT INTO `lang_definitions` VALUES (10328, 1622, 4, 'Crónico/Recurrente');
INSERT INTO `lang_definitions` VALUES (10329, 1625, 4, 'Cirrosis del hígado');
INSERT INTO `lang_definitions` VALUES (10330, 1626, 4, 'Cirrosis del Hígado');
INSERT INTO `lang_definitions` VALUES (10331, 1627, 4, 'Ciudad');
INSERT INTO `lang_definitions` VALUES (10332, 1629, 4, 'Nombre de Ciudad');
INSERT INTO `lang_definitions` VALUES (10333, 1630, 4, 'Ciudad, Estado');
INSERT INTO `lang_definitions` VALUES (10334, 1631, 4, 'Ciudad, Estado Código Postal');
INSERT INTO `lang_definitions` VALUES (10335, 1633, 4, 'Ciudad/Estado');
INSERT INTO `lang_definitions` VALUES (10336, 1634, 4, 'Reclamo');
INSERT INTO `lang_definitions` VALUES (10337, 1635, 4, 'Reclamo');
INSERT INTO `lang_definitions` VALUES (10338, 1638, 4, 'La prueba de Reclamo pedido ha terminado');
INSERT INTO `lang_definitions` VALUES (10339, 1639, 4, 'Tipo de Reclamo');
INSERT INTO `lang_definitions` VALUES (10340, 1640, 4, 'Reclamo generado para presentar');
INSERT INTO `lang_definitions` VALUES (10341, 1641, 4, 'El reclamo se ha guardado en el fichero');
INSERT INTO `lang_definitions` VALUES (10342, 1642, 4, 'Reclamos');
INSERT INTO `lang_definitions` VALUES (10343, 1645, 4, 'Clasificación');
INSERT INTO `lang_definitions` VALUES (10344, 1646, 4, 'Borrar');
INSERT INTO `lang_definitions` VALUES (10345, 1651, 4, 'Desmarcar todos');
INSERT INTO `lang_definitions` VALUES (10346, 1654, 4, 'Borrar Datos HL7');
INSERT INTO `lang_definitions` VALUES (10347, 1655, 4, 'Borrar Justificación');
INSERT INTO `lang_definitions` VALUES (10348, 1659, 4, 'Borrar Cache Smarty');
INSERT INTO `lang_definitions` VALUES (10349, 1661, 4, 'Centro de Intercambio de información necesaria para la creación de la serie EDI 270.');
INSERT INTO `lang_definitions` VALUES (10350, 1662, 4, 'Número CLIA');
INSERT INTO `lang_definitions` VALUES (10351, 1663, 4, 'Seleccionar');
INSERT INTO `lang_definitions` VALUES (10352, 1664, 4, 'Seleccionar ´export´ para exportar su Categoria, Subcategoria, Item o Datos contenidos a un archivo de texto. Cualquier similaridad de este archivo a un archivo tipo XML es pura coincidencia. Las etiquetas de abrir y cerrar deben estar en la misma línea y deber ser minúsculas sin espacios. Para importar, localize el archivo y selecciona ´Importar´. Si los datos son completamente diferentes se une a los datos existentes. Si hay datos con nombres similares, el nombre más antiguo se retiene mientras que al nuevo se le agrega un número al final.');
INSERT INTO `lang_definitions` VALUES (10353, 1667, 4, 'Pinche en el grafico para nueva anotacion, pinche de nuevo para eliminarla.');
INSERT INTO `lang_definitions` VALUES (10354, 1671, 4, 'Seleccionar Bajar Certificado para bajar los certificados en el archivo ssl.zip');
INSERT INTO `lang_definitions` VALUES (10355, 1672, 4, 'Seleccionar para más');
INSERT INTO `lang_definitions` VALUES (10356, 1678, 4, 'Selecciona aquí');
INSERT INTO `lang_definitions` VALUES (10357, 1679, 4, 'Click aqui para añadir un nuevo paciente');
INSERT INTO `lang_definitions` VALUES (10358, 1680, 4, 'Pinche aqui para indicar cambio de estado de la nueva lesion y editar la actividad diaria.');
INSERT INTO `lang_definitions` VALUES (10359, 1682, 4, 'Click aquí para elegir fecha');
INSERT INTO `lang_definitions` VALUES (10360, 1683, 4, 'Click aquí para elegir fecha y hora');
INSERT INTO `lang_definitions` VALUES (10361, 1684, 4, 'Click aquí para elegir fecha de inicio');
INSERT INTO `lang_definitions` VALUES (10362, 1685, 4, 'Haga clic aquí para escoger fecha y hora');
INSERT INTO `lang_definitions` VALUES (10363, 1686, 4, 'Haga clic aquí para escoger fecha y hora (Desde)');
INSERT INTO `lang_definitions` VALUES (10364, 1687, 4, 'Haga clic aquí para escoger fecha y hora (Hasta)');
INSERT INTO `lang_definitions` VALUES (10365, 1688, 4, 'Haga clic aquí para configurar este módulo');
INSERT INTO `lang_definitions` VALUES (10366, 1690, 4, 'Haga clic aquí para borrar la fila');
INSERT INTO `lang_definitions` VALUES (10367, 1692, 4, 'Haga clic aquí para deshabilitar este módulo');
INSERT INTO `lang_definitions` VALUES (10368, 1693, 4, 'Haga clic aquí para duplicar la columna');
INSERT INTO `lang_definitions` VALUES (10369, 1694, 4, 'Haga clic aquí para editar la lista de Materiales disponibles de lentes');
INSERT INTO `lang_definitions` VALUES (10370, 1699, 4, 'Haga clic acá para editar la lista de proveedores');
INSERT INTO `lang_definitions` VALUES (10371, 1707, 4, 'Click aquí para buscar');
INSERT INTO `lang_definitions` VALUES (10372, 1710, 4, 'Click aquí para actualizar prioridad, categoría y apodos');
INSERT INTO `lang_definitions` VALUES (10373, 1714, 4, 'Click aquí para ver todos.');
INSERT INTO `lang_definitions` VALUES (10374, 1715, 4, 'Click aqui para ver y graficar');
INSERT INTO `lang_definitions` VALUES (10375, 1717, 4, 'Click aquí para ver y graficar todos los signos vitales.');
INSERT INTO `lang_definitions` VALUES (10376, 1718, 4, 'Click aca para ver los detalles del paciente');
INSERT INTO `lang_definitions` VALUES (10377, 1719, 4, 'Selecciona aquí para ver todos.');
INSERT INTO `lang_definitions` VALUES (10378, 1723, 4, 'Pinchar boton Instalar para aceptar descargar de la base de datos emitida desde la siguiente fecha');
INSERT INTO `lang_definitions` VALUES (10379, 1730, 4, 'Selecciona aquí para aumentar los intervalos de tiempo');
INSERT INTO `lang_definitions` VALUES (10380, 1751, 4, 'Click en Nombre Paciente para abrir el fichero del paciente');
INSERT INTO `lang_definitions` VALUES (10381, 1753, 4, 'Selecciona Refrescar para ver todos los resultados ó favor de colocar el criterio de búsqueda arriba para ver resultados específicos.');
INSERT INTO `lang_definitions` VALUES (10382, 1779, 4, 'Escoja para agregar componentes nuevos');
INSERT INTO `lang_definitions` VALUES (10383, 1780, 4, 'Escoja para agregar consulta nueva');
INSERT INTO `lang_definitions` VALUES (10384, 1785, 4, 'Haga Click para bajar');
INSERT INTO `lang_definitions` VALUES (10385, 1786, 4, 'Haga Click para editar');
INSERT INTO `lang_definitions` VALUES (10386, 1787, 4, 'Pulse para editar descripción');
INSERT INTO `lang_definitions` VALUES (10387, 1788, 4, 'Haga Click para editar este evento');
INSERT INTO `lang_definitions` VALUES (10388, 1790, 4, 'Haga Click para generar el reporte');
INSERT INTO `lang_definitions` VALUES (10389, 1799, 4, 'Pulse para emparejar paciente');
INSERT INTO `lang_definitions` VALUES (10390, 1800, 4, 'Haga Click para imprimir');
INSERT INTO `lang_definitions` VALUES (10391, 1801, 4, 'Haga Click aquí para recibir (añadir) nuevo lote');
INSERT INTO `lang_definitions` VALUES (10392, 1805, 4, 'Haga Click para elegir');
INSERT INTO `lang_definitions` VALUES (10393, 1806, 4, 'Haga Click para elegir');
INSERT INTO `lang_definitions` VALUES (10394, 1808, 4, 'Seleccionar para elegir un codigo usual de la industria para este procedimiento');
INSERT INTO `lang_definitions` VALUES (10395, 1811, 4, 'Click para seleccionar el codigo de procedimiento opcional');
INSERT INTO `lang_definitions` VALUES (10396, 1813, 4, 'Escoja para seleccionar o cambiar codigo CVX');
INSERT INTO `lang_definitions` VALUES (10397, 1814, 4, 'Seleccionar para elegir o cambiar diagnóstico');
INSERT INTO `lang_definitions` VALUES (10398, 1815, 4, 'Haga click para elegir o cambiar códigos de servicios');
INSERT INTO `lang_definitions` VALUES (10399, 1816, 4, 'Selecciona para elegir paciente');
INSERT INTO `lang_definitions` VALUES (10400, 1817, 4, 'Selecciona para elegir código relacionado');
INSERT INTO `lang_definitions` VALUES (10401, 1819, 4, 'Selecciona para elegir servicios a rendir si este resultado es anormal');
INSERT INTO `lang_definitions` VALUES (10402, 1822, 4, 'Selecciona para elegir el procedimiento deseado');
INSERT INTO `lang_definitions` VALUES (10403, 1831, 4, 'Seleccione para ver');
INSERT INTO `lang_definitions` VALUES (10404, 1833, 4, 'Selecciona para ver o para corregir');
INSERT INTO `lang_definitions` VALUES (10405, 1834, 4, 'Selecciona para ver/editar');
INSERT INTO `lang_definitions` VALUES (10406, 1836, 4, 'Pinche Actualizar para descargar la base de datos actualizada desde la fecha siguiente.');
INSERT INTO `lang_definitions` VALUES (10407, 1839, 4, 'Selecciona:');
INSERT INTO `lang_definitions` VALUES (10408, 1862, 4, 'Días de Vencimiento del Certificado del Cliente');
INSERT INTO `lang_definitions` VALUES (10409, 1864, 4, 'Periodo de validacion del Certificado del Cliente');
INSERT INTO `lang_definitions` VALUES (10410, 1865, 4, 'Validez del certificado del cliente debe ser un número válido');
INSERT INTO `lang_definitions` VALUES (10411, 1866, 4, 'Copia para el cliente');
INSERT INTO `lang_definitions` VALUES (10412, 1869, 4, 'Resumen de historia clínica del cliente');
INSERT INTO `lang_definitions` VALUES (10413, 1873, 4, 'Perfil de cliente - Nuevos Clientes');
INSERT INTO `lang_definitions` VALUES (10414, 1874, 4, 'Perfil de cliente - Clientes Únicos');
INSERT INTO `lang_definitions` VALUES (10415, 1878, 4, 'Clientes');
INSERT INTO `lang_definitions` VALUES (10416, 1879, 4, 'Clínica');
INSERT INTO `lang_definitions` VALUES (10417, 1880, 4, 'Copia para la Clínica');
INSERT INTO `lang_definitions` VALUES (10418, 1881, 4, 'Informe Diario de la Clínica');
INSERT INTO `lang_definitions` VALUES (10419, 1882, 4, 'Número de Identificación de la Clínica');
INSERT INTO `lang_definitions` VALUES (10420, 1883, 4, 'Clínico');
INSERT INTO `lang_definitions` VALUES (10421, 1884, 4, 'Gestor de Alertas para las Reglas de Decisiones Clinicas');
INSERT INTO `lang_definitions` VALUES (10422, 1886, 4, 'Historia clin.');
INSERT INTO `lang_definitions` VALUES (10423, 1888, 4, 'Formul. instrucciones clin.');
INSERT INTO `lang_definitions` VALUES (10424, 1889, 4, 'Planes Clinicos');
INSERT INTO `lang_definitions` VALUES (10425, 1890, 4, 'Medidas de Calidad Clinica (GCC)');
INSERT INTO `lang_definitions` VALUES (10426, 1893, 4, 'Recordatorios Clinicos');
INSERT INTO `lang_definitions` VALUES (10427, 1897, 4, 'Reportes Clínicos');
INSERT INTO `lang_definitions` VALUES (10428, 1898, 4, 'Categoria de Accion de Reglas Clinicas');
INSERT INTO `lang_definitions` VALUES (10429, 1899, 4, 'Asunto de Accion de Reglas Clinicas');
INSERT INTO `lang_definitions` VALUES (10430, 1900, 4, 'Metodos de filtrado de Reglas Clinicas');
INSERT INTO `lang_definitions` VALUES (10431, 1901, 4, 'Objetivo de Metodos de Reglas Clinicas.');
INSERT INTO `lang_definitions` VALUES (10432, 1902, 4, 'Reglas Clinicas');
INSERT INTO `lang_definitions` VALUES (10433, 1903, 4, 'Intervalos de Edad de las Reglas Clinicas');
INSERT INTO `lang_definitions` VALUES (10434, 1904, 4, 'Comparaciones de las Reglas Clínicas');
INSERT INTO `lang_definitions` VALUES (10435, 1905, 4, 'Tipos de Encuentros de las Reglas Clínicas');
INSERT INTO `lang_definitions` VALUES (10436, 1906, 4, 'Opciones de Recordatorios de las Reglas Clínicas');
INSERT INTO `lang_definitions` VALUES (10437, 1907, 4, 'Opciones de Desactivación de los Recordatorios de las Reglas Clínicas');
INSERT INTO `lang_definitions` VALUES (10438, 1908, 4, 'Intervalos de los Recordatorios de las Reglas Clínicas');
INSERT INTO `lang_definitions` VALUES (10439, 1909, 4, 'Métodos para los Recordatorios de las Reglas Clínicas');
INSERT INTO `lang_definitions` VALUES (10440, 1910, 4, 'Intervalos buscados de las Reglas Clínicas');
INSERT INTO `lang_definitions` VALUES (10441, 1911, 4, 'Objetivos Clínicos');
INSERT INTO `lang_definitions` VALUES (10442, 1914, 4, 'Vísta de Clínica');
INSERT INTO `lang_definitions` VALUES (10443, 1915, 4, 'Clínicos');
INSERT INTO `lang_definitions` VALUES (10444, 1916, 4, 'Clonar');
INSERT INTO `lang_definitions` VALUES (10445, 1917, 4, 'Clonar visita anterior');
INSERT INTO `lang_definitions` VALUES (10446, 1918, 4, 'Cerrar');
INSERT INTO `lang_definitions` VALUES (10447, 1924, 4, 'Cerrar Ventana');
INSERT INTO `lang_definitions` VALUES (10448, 1925, 4, 'cerrar ventana');
INSERT INTO `lang_definitions` VALUES (10449, 1927, 4, 'Cerrado');
INSERT INTO `lang_definitions` VALUES (10450, 1928, 4, 'cm');
INSERT INTO `lang_definitions` VALUES (10451, 1931, 4, 'Margenes del formulario CMS 1500');
INSERT INTO `lang_definitions` VALUES (10452, 1940, 4, 'CMS ID');
INSERT INTO `lang_definitions` VALUES (10453, 1943, 4, 'Portal CMS');
INSERT INTO `lang_definitions` VALUES (10454, 1944, 4, 'Registro en el portal CMS');
INSERT INTO `lang_definitions` VALUES (10455, 1945, 4, 'Login ID para portal CMS');
INSERT INTO `lang_definitions` VALUES (10456, 1948, 4, 'Pedido de portal CMS');
INSERT INTO `lang_definitions` VALUES (10457, 1950, 4, 'Usuario portal CMS');
INSERT INTO `lang_definitions` VALUES (10458, 1955, 4, 'CN2-12 Intacto');
INSERT INTO `lang_definitions` VALUES (10459, 1958, 4, 'Copago');
INSERT INTO `lang_definitions` VALUES (10460, 1959, 4, 'Copago pagado');
INSERT INTO `lang_definitions` VALUES (10461, 1962, 4, 'Copago');
INSERT INTO `lang_definitions` VALUES (10462, 1964, 4, 'Código');
INSERT INTO `lang_definitions` VALUES (10463, 1965, 4, 'código');
INSERT INTO `lang_definitions` VALUES (10464, 1967, 4, 'Buscador de Código');
INSERT INTO `lang_definitions` VALUES (10465, 1968, 4, 'Código debe ser 2 letras en minúscula');
INSERT INTO `lang_definitions` VALUES (10466, 1969, 4, 'Código o símbolo para indicar tipo de cambio');
INSERT INTO `lang_definitions` VALUES (10467, 1971, 4, 'Código de Texto');
INSERT INTO `lang_definitions` VALUES (10468, 1973, 4, 'tipo de código');
INSERT INTO `lang_definitions` VALUES (10469, 1976, 4, 'Típos de Código');
INSERT INTO `lang_definitions` VALUES (10470, 1978, 4, 'Codificado');
INSERT INTO `lang_definitions` VALUES (10471, 1979, 4, 'Códigos');
INSERT INTO `lang_definitions` VALUES (10472, 1981, 4, 'Codificación');
INSERT INTO `lang_definitions` VALUES (10473, 1982, 4, 'Codificación (clic para educación)');
INSERT INTO `lang_definitions` VALUES (10474, 1983, 4, 'Codificación - cualquier encuentros (escribir, con algunas opciones)');
INSERT INTO `lang_definitions` VALUES (10475, 1985, 4, 'Codificación - mis encuentros (escribir, con algunas opciones)');
INSERT INTO `lang_definitions` VALUES (10476, 1990, 4, 'Codificación no autorizada');
INSERT INTO `lang_definitions` VALUES (10477, 1991, 4, 'Café');
INSERT INTO `lang_definitions` VALUES (10478, 1992, 4, 'Consumo de café');
INSERT INTO `lang_definitions` VALUES (10479, 1994, 4, 'Coseguro');
INSERT INTO `lang_definitions` VALUES (10480, 1995, 4, 'Coll w/o');
INSERT INTO `lang_definitions` VALUES (10481, 1997, 4, 'Colapsar');
INSERT INTO `lang_definitions` VALUES (10482, 1998, 4, 'Colapsar');
INSERT INTO `lang_definitions` VALUES (10483, 1999, 4, 'Colapsar Todo');
INSERT INTO `lang_definitions` VALUES (10484, 2000, 4, 'Colapsar Todos');
INSERT INTO `lang_definitions` VALUES (10485, 2001, 4, 'colapsar todos');
INSERT INTO `lang_definitions` VALUES (10486, 2005, 4, 'Fecha de recolecciòn');
INSERT INTO `lang_definitions` VALUES (10487, 2007, 4, 'Cobranzas');
INSERT INTO `lang_definitions` VALUES (10488, 2008, 4, 'Informe de recogidas');
INSERT INTO `lang_definitions` VALUES (10489, 2009, 4, 'Cáncer de colon');
INSERT INTO `lang_definitions` VALUES (10490, 2010, 4, 'Detección de Cáncer de colon');
INSERT INTO `lang_definitions` VALUES (10491, 2011, 4, 'Cirugía del cáncer de colon');
INSERT INTO `lang_definitions` VALUES (10492, 2012, 4, 'Colonoscopia');
INSERT INTO `lang_definitions` VALUES (10493, 2013, 4, 'colonoscopía');
INSERT INTO `lang_definitions` VALUES (10494, 2014, 4, 'Color');
INSERT INTO `lang_definitions` VALUES (10495, 2020, 4, 'Abreviatura de color');
INSERT INTO `lang_definitions` VALUES (10496, 2021, 4, 'Columna');
INSERT INTO `lang_definitions` VALUES (10497, 2022, 4, 'Columnas');
INSERT INTO `lang_definitions` VALUES (10498, 2024, 4, 'Combinando Lotes');
INSERT INTO `lang_definitions` VALUES (10499, 2025, 4, 'Coma');
INSERT INTO `lang_definitions` VALUES (10500, 2027, 4, 'Commentario');
INSERT INTO `lang_definitions` VALUES (10501, 2028, 4, 'Comentarios');
INSERT INTO `lang_definitions` VALUES (10502, 2030, 4, 'Comentarios para este resultado o recomendación');
INSERT INTO `lang_definitions` VALUES (10503, 2031, 4, 'Compañía Aseguradora');
INSERT INTO `lang_definitions` VALUES (10504, 2032, 4, 'Guardar Cambios');
INSERT INTO `lang_definitions` VALUES (10505, 2034, 4, 'Comunicación');
INSERT INTO `lang_definitions` VALUES (10506, 2036, 4, 'Comunicaciones');
INSERT INTO `lang_definitions` VALUES (10507, 2039, 4, 'Compañía');
INSERT INTO `lang_definitions` VALUES (10508, 2040, 4, 'Nombre de la Compañía');
INSERT INTO `lang_definitions` VALUES (10509, 2041, 4, 'Completo');
INSERT INTO `lang_definitions` VALUES (10510, 2043, 4, 'Terminado');
INSERT INTO `lang_definitions` VALUES (10511, 2046, 4, '¿Completado?');
INSERT INTO `lang_definitions` VALUES (10512, 2049, 4, 'Conplicaciones por el proveedor de servicios');
INSERT INTO `lang_definitions` VALUES (10513, 2050, 4, 'Complicaciones de aborto');
INSERT INTO `lang_definitions` VALUES (10514, 2051, 4, 'Componentes');
INSERT INTO `lang_definitions` VALUES (10515, 2052, 4, 'Componer mensaje');
INSERT INTO `lang_definitions` VALUES (10516, 2053, 4, 'Componer nuevo');
INSERT INTO `lang_definitions` VALUES (10517, 2057, 4, 'Sistema Computarizado de Pedidos Médicos');
INSERT INTO `lang_definitions` VALUES (10518, 2058, 4, 'Conclusiones');
INSERT INTO `lang_definitions` VALUES (10519, 2059, 4, 'Condición');
INSERT INTO `lang_definitions` VALUES (10520, 2060, 4, 'Campo de condición no hallado');
INSERT INTO `lang_definitions` VALUES (10521, 2061, 4, 'Estado de condición');
INSERT INTO `lang_definitions` VALUES (10522, 2063, 4, 'Config');
INSERT INTO `lang_definitions` VALUES (10523, 2064, 4, 'Configuración');
INSERT INTO `lang_definitions` VALUES (10524, 2065, 4, 'Configuración Exportar / Importar');
INSERT INTO `lang_definitions` VALUES (10525, 2067, 4, 'Configure Apache y OpenEMR para usar certificados SSL del Cliente');
INSERT INTO `lang_definitions` VALUES (10526, 2068, 4, 'Configure Apache para usar certificados SSL del Cliente');
INSERT INTO `lang_definitions` VALUES (10527, 2069, 4, 'Configure Apache para usar HTTPS');
INSERT INTO `lang_definitions` VALUES (10528, 2070, 4, 'Configure Openemr para usar certificado SSL del Cliente');
INSERT INTO `lang_definitions` VALUES (10529, 2074, 4, 'Configurar pistas');
INSERT INTO `lang_definitions` VALUES (10530, 2075, 4, 'Configurar pistas');
INSERT INTO `lang_definitions` VALUES (10531, 2078, 4, 'Confirmar');
INSERT INTO `lang_definitions` VALUES (10532, 2079, 4, 'Confirmar creación de Nuevo Paciente');
INSERT INTO `lang_definitions` VALUES (10533, 2081, 4, 'Confirmar la nueva contraseña');
INSERT INTO `lang_definitions` VALUES (10534, 2083, 4, 'Confirmar Pago');
INSERT INTO `lang_definitions` VALUES (10535, 2088, 4, 'Confirmado');
INSERT INTO `lang_definitions` VALUES (10536, 2089, 4, 'Alergias conflictivas');
INSERT INTO `lang_definitions` VALUES (10537, 2090, 4, 'Medicaciones conflictivas');
INSERT INTO `lang_definitions` VALUES (10538, 2091, 4, 'Cuestiones conflictivas');
INSERT INTO `lang_definitions` VALUES (10539, 2092, 4, 'Congénito');
INSERT INTO `lang_definitions` VALUES (10540, 2094, 4, 'Conjuntiva, pupilas');
INSERT INTO `lang_definitions` VALUES (10541, 2096, 4, 'Error de conexión');
INSERT INTO `lang_definitions` VALUES (10542, 2097, 4, 'Conectores');
INSERT INTO `lang_definitions` VALUES (10543, 2098, 4, 'Constante');
INSERT INTO `lang_definitions` VALUES (10544, 2100, 4, 'Nombre constante');
INSERT INTO `lang_definitions` VALUES (10545, 2101, 4, 'Nombre constante está en blanco');
INSERT INTO `lang_definitions` VALUES (10546, 2102, 4, 'constantes');
INSERT INTO `lang_definitions` VALUES (10547, 2103, 4, 'Estreñimiento');
INSERT INTO `lang_definitions` VALUES (10548, 2104, 4, 'Constitucional');
INSERT INTO `lang_definitions` VALUES (10549, 2105, 4, 'Empresa de construcción');
INSERT INTO `lang_definitions` VALUES (10550, 2106, 4, 'Médico consultor');
INSERT INTO `lang_definitions` VALUES (10551, 2107, 4, 'Breve Descripción de Consulta');
INSERT INTO `lang_definitions` VALUES (10552, 2109, 4, 'Contacto');
INSERT INTO `lang_definitions` VALUES (10553, 2110, 4, 'email de contacto');
INSERT INTO `lang_definitions` VALUES (10554, 2111, 4, 'email de contacto');
INSERT INTO `lang_definitions` VALUES (10555, 2113, 4, 'Informacion de contacto');
INSERT INTO `lang_definitions` VALUES (10556, 2117, 4, 'Lentes de Contacto');
INSERT INTO `lang_definitions` VALUES (10557, 2122, 4, 'Nombre de contacto');
INSERT INTO `lang_definitions` VALUES (10558, 2125, 4, 'Persona de Contacto');
INSERT INTO `lang_definitions` VALUES (10559, 2126, 4, 'Teléfono de Contacto');
INSERT INTO `lang_definitions` VALUES (10560, 2127, 4, 'Teléfono de Contacto');
INSERT INTO `lang_definitions` VALUES (10561, 2128, 4, 'Relación de contacto');
INSERT INTO `lang_definitions` VALUES (10562, 2129, 4, 'Contacte a ZMG, LLC (zmghealth@gmail.com) para suscribirse al servicio de eRx');
INSERT INTO `lang_definitions` VALUES (10563, 2130, 4, 'Contactos');
INSERT INTO `lang_definitions` VALUES (10564, 2131, 4, 'contiene por lo menos tres de las cuatro cosas siguientes:');
INSERT INTO `lang_definitions` VALUES (10565, 2132, 4, 'Nombre de grupo de contenedor');
INSERT INTO `lang_definitions` VALUES (10566, 2133, 4, 'Contenido');
INSERT INTO `lang_definitions` VALUES (10567, 2134, 4, 'contenido');
INSERT INTO `lang_definitions` VALUES (10568, 2135, 4, 'Contenidos');
INSERT INTO `lang_definitions` VALUES (10569, 2136, 4, 'Contexto');
INSERT INTO `lang_definitions` VALUES (10570, 2137, 4, 'El nombre del contexto no puede estar vacío');
INSERT INTO `lang_definitions` VALUES (10571, 2138, 4, 'Continuar');
INSERT INTO `lang_definitions` VALUES (10572, 2142, 4, 'Documento de Continuidad de Atención (CCD)');
INSERT INTO `lang_definitions` VALUES (10573, 2145, 4, 'Registro de Continuidad de Cuidados (CCR)');
INSERT INTO `lang_definitions` VALUES (10574, 2146, 4, 'Contra Clientes');
INSERT INTO `lang_definitions` VALUES (10575, 2147, 4, 'Contracepción');
INSERT INTO `lang_definitions` VALUES (10576, 2148, 4, 'Problemas Anticonceptivos');
INSERT INTO `lang_definitions` VALUES (10577, 2149, 4, 'Complicación anticonceptivos (especificar)');
INSERT INTO `lang_definitions` VALUES (10578, 2150, 4, 'Método Anticonceptivo');
INSERT INTO `lang_definitions` VALUES (10579, 2151, 4, 'Productos Anticonceptivos');
INSERT INTO `lang_definitions` VALUES (10580, 2152, 4, 'Servicios anticonceptivos ya empezados');
INSERT INTO `lang_definitions` VALUES (10581, 2153, 4, 'Comienzo de anticonceptivos');
INSERT INTO `lang_definitions` VALUES (10582, 2158, 4, 'Identificacion de control');
INSERT INTO `lang_definitions` VALUES (10583, 2159, 4, 'N º de control');
INSERT INTO `lang_definitions` VALUES (10584, 2160, 4, 'Sustancia controlada?');
INSERT INTO `lang_definitions` VALUES (10585, 2161, 4, 'Convergencia');
INSERT INTO `lang_definitions` VALUES (10586, 2163, 4, 'Conversación');
INSERT INTO `lang_definitions` VALUES (10587, 2167, 4, 'Consejeros coordinadores');
INSERT INTO `lang_definitions` VALUES (10588, 2168, 4, 'Co-Pago');
INSERT INTO `lang_definitions` VALUES (10589, 2169, 4, 'Co-pago');
INSERT INTO `lang_definitions` VALUES (10590, 2170, 4, 'Co-Pago');
INSERT INTO `lang_definitions` VALUES (10591, 2171, 4, 'El Co-pago no es positivo');
INSERT INTO `lang_definitions` VALUES (10592, 2172, 4, 'Copago pagado');
INSERT INTO `lang_definitions` VALUES (10593, 2173, 4, 'Co-pagos');
INSERT INTO `lang_definitions` VALUES (10594, 2174, 4, 'COPD');
INSERT INTO `lang_definitions` VALUES (10595, 2175, 4, 'Copiar páginas al Historial del Paciente');
INSERT INTO `lang_definitions` VALUES (10596, 2177, 4, 'Copiar Valores');
INSERT INTO `lang_definitions` VALUES (10597, 2178, 4, 'Copiando el archivo de la base de datos. Esto puede tardar unos minutos...');
INSERT INTO `lang_definitions` VALUES (10598, 2179, 4, 'Anuncio de Derechos Reservados');
INSERT INTO `lang_definitions` VALUES (10599, 2180, 4, 'Enfermedad central');
INSERT INTO `lang_definitions` VALUES (10600, 2181, 4, 'Núcleo');
INSERT INTO `lang_definitions` VALUES (10601, 2182, 4, 'Córnea');
INSERT INTO `lang_definitions` VALUES (10602, 2184, 4, 'Bypass coronario arterial');
INSERT INTO `lang_definitions` VALUES (10603, 2185, 4, 'Cirugía de revascularización coronaria');
INSERT INTO `lang_definitions` VALUES (10604, 2186, 4, 'Corregido');
INSERT INTO `lang_definitions` VALUES (10605, 2188, 4, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (10606, 2189, 4, 'Conexión a CouchDB fallida.');
INSERT INTO `lang_definitions` VALUES (10607, 2191, 4, 'bbdd CouchDB');
INSERT INTO `lang_definitions` VALUES (10608, 2192, 4, 'Nombre de bbdd CouchDB');
INSERT INTO `lang_definitions` VALUES (10609, 2195, 4, 'Host CouchDB');
INSERT INTO `lang_definitions` VALUES (10610, 2196, 4, 'Nombre Host CouchDB');
INSERT INTO `lang_definitions` VALUES (10611, 2197, 4, 'Activar Log CouchDB');
INSERT INTO `lang_definitions` VALUES (10612, 2198, 4, 'Contraseña CouchDB');
INSERT INTO `lang_definitions` VALUES (10613, 2199, 4, 'Puerto CouchDB');
INSERT INTO `lang_definitions` VALUES (10614, 2200, 4, 'puerto CouchDB');
INSERT INTO `lang_definitions` VALUES (10615, 2203, 4, 'Nombre usuario CouchDB');
INSERT INTO `lang_definitions` VALUES (10616, 2204, 4, 'Tos');
INSERT INTO `lang_definitions` VALUES (10617, 2205, 4, 'Tos:');
INSERT INTO `lang_definitions` VALUES (10618, 2206, 4, 'No pudo conectar servidor');
INSERT INTO `lang_definitions` VALUES (10619, 2208, 4, 'No se pudo importar documento. Contacte al vendedor del sistema');
INSERT INTO `lang_definitions` VALUES (10620, 2210, 4, 'No pudo abrir tabla');
INSERT INTO `lang_definitions` VALUES (10621, 2211, 4, 'No se pudo leer el archivo');
INSERT INTO `lang_definitions` VALUES (10622, 2212, 4, 'No pudo leer archivo');
INSERT INTO `lang_definitions` VALUES (10623, 2214, 4, 'Correo no salió por problema con servidor,');
INSERT INTO `lang_definitions` VALUES (10624, 2216, 4, 'No se pudo enviar email debido a problemas en el servidor.');
INSERT INTO `lang_definitions` VALUES (10625, 2217, 4, 'No se pudo crear el dir de backup:');
INSERT INTO `lang_definitions` VALUES (10626, 2218, 4, 'No se pudo eliminar dir:');
INSERT INTO `lang_definitions` VALUES (10627, 2219, 4, 'No se pudo eliminar el antiguo fichero de Backup:');
INSERT INTO `lang_definitions` VALUES (10628, 2220, 4, 'No se pudo eliminar el antiguo fichero de exportación:');
INSERT INTO `lang_definitions` VALUES (10629, 2221, 4, 'Tratamiento con Coumadin - Seguimiento del Ratio Internacional Normalizado (RIN)');
INSERT INTO `lang_definitions` VALUES (10630, 2222, 4, 'Counseling por Método');
INSERT INTO `lang_definitions` VALUES (10631, 2223, 4, 'Orientación');
INSERT INTO `lang_definitions` VALUES (10632, 2224, 4, 'Actividades de orientación');
INSERT INTO `lang_definitions` VALUES (10633, 2225, 4, 'Consejeros');
INSERT INTO `lang_definitions` VALUES (10634, 2227, 4, 'CONTADOR DE REMISIÓN');
INSERT INTO `lang_definitions` VALUES (10635, 2228, 4, 'Retorno de la derivación');
INSERT INTO `lang_definitions` VALUES (10636, 2229, 4, 'País');
INSERT INTO `lang_definitions` VALUES (10637, 2231, 4, 'Tipo de datos País');
INSERT INTO `lang_definitions` VALUES (10638, 2232, 4, 'Lista de País');
INSERT INTO `lang_definitions` VALUES (10639, 2233, 4, 'Lista del país (escriba, addonly opcional)');
INSERT INTO `lang_definitions` VALUES (10640, 2235, 4, 'Nombre del Pais debe ser representado por dos letras');
INSERT INTO `lang_definitions` VALUES (10641, 2236, 4, 'condado');
INSERT INTO `lang_definitions` VALUES (10642, 2237, 4, 'Condado');
INSERT INTO `lang_definitions` VALUES (10643, 2238, 4, 'Cupón');
INSERT INTO `lang_definitions` VALUES (10644, 2239, 4, 'Curso');
INSERT INTO `lang_definitions` VALUES (10645, 2240, 4, 'Primo');
INSERT INTO `lang_definitions` VALUES (10646, 2245, 4, 'CPT');
INSERT INTO `lang_definitions` VALUES (10647, 2246, 4, 'Código CPT');
INSERT INTO `lang_definitions` VALUES (10648, 2247, 4, 'Código CPT');
INSERT INTO `lang_definitions` VALUES (10649, 2248, 4, 'Procedimiento/Servicio CPT4');
INSERT INTO `lang_definitions` VALUES (10650, 2249, 4, 'Medidas de Rendimiento CPTII');
INSERT INTO `lang_definitions` VALUES (10651, 2250, 4, 'Gestión Calidad Continua (GCC)');
INSERT INTO `lang_definitions` VALUES (10652, 2252, 4, 'Crujidos, crepitaciones');
INSERT INTO `lang_definitions` VALUES (10653, 2253, 4, 'Quinto par: nervio trigémino');
INSERT INTO `lang_definitions` VALUES (10654, 2254, 4, 'Séptimo par: nervio facial');
INSERT INTO `lang_definitions` VALUES (10655, 2255, 4, 'crema');
INSERT INTO `lang_definitions` VALUES (10656, 2256, 4, 'Crear un certificado SSL del Cliente por usuario o cliente de maquina');
INSERT INTO `lang_definitions` VALUES (10657, 2257, 4, 'Crear un certificado SSL del cliente para usuario o nombre del invitado');
INSERT INTO `lang_definitions` VALUES (10658, 2261, 4, 'Crear nueva pista');
INSERT INTO `lang_definitions` VALUES (10659, 2269, 4, 'Crear un evento');
INSERT INTO `lang_definitions` VALUES (10660, 2273, 4, 'Crear y descargar un respaldo completo');
INSERT INTO `lang_definitions` VALUES (10661, 2275, 4, 'Crear Respaldo');
INSERT INTO `lang_definitions` VALUES (10662, 2276, 4, 'Crear batch (serie o lote)');
INSERT INTO `lang_definitions` VALUES (10663, 2277, 4, 'Crear Certificado de Cliente');
INSERT INTO `lang_definitions` VALUES (10664, 2278, 4, 'Crear Certificados SSL del Cliente');
INSERT INTO `lang_definitions` VALUES (10665, 2280, 4, 'Crear fecha');
INSERT INTO `lang_definitions` VALUES (10666, 2281, 4, 'Crear duplicado');
INSERT INTO `lang_definitions` VALUES (10667, 2282, 4, 'Crear encuentro');
INSERT INTO `lang_definitions` VALUES (10668, 2283, 4, 'Crear copia de seguridad de registro de eventos');
INSERT INTO `lang_definitions` VALUES (10669, 2285, 4, 'Crear nuevo asunto');
INSERT INTO `lang_definitions` VALUES (10670, 2287, 4, 'Crear paciente nuevo');
INSERT INTO `lang_definitions` VALUES (10671, 2288, 4, 'Crear nueva pista');
INSERT INTO `lang_definitions` VALUES (10672, 2290, 4, 'Crear credenciales del portal fuera del sitio');
INSERT INTO `lang_definitions` VALUES (10673, 2292, 4, 'Crear credenciales del portal dentro del sitio');
INSERT INTO `lang_definitions` VALUES (10674, 2294, 4, 'Crear nota de paciente');
INSERT INTO `lang_definitions` VALUES (10675, 2296, 4, 'Crear Certificado de Autoridad SSL y Certificados del Servidor.');
INSERT INTO `lang_definitions` VALUES (10676, 2297, 4, 'Crear Encuentro');
INSERT INTO `lang_definitions` VALUES (10677, 2298, 4, 'Creado');
INSERT INTO `lang_definitions` VALUES (10678, 2306, 4, 'Creando archivo de exportación');
INSERT INTO `lang_definitions` VALUES (10679, 2309, 4, 'Creador');
INSERT INTO `lang_definitions` VALUES (10680, 2311, 4, 'crédito');
INSERT INTO `lang_definitions` VALUES (10681, 2312, 4, 'Tarjeta de Crédito');
INSERT INTO `lang_definitions` VALUES (10682, 2314, 4, 'Créditos');
INSERT INTO `lang_definitions` VALUES (10683, 2316, 4, 'Criterio');
INSERT INTO `lang_definitions` VALUES (10684, 2319, 4, 'Enfermedad de Crohn');
INSERT INTO `lang_definitions` VALUES (10685, 2320, 4, 'Enfermedad de Crohn');
INSERT INTO `lang_definitions` VALUES (10686, 2323, 4, 'Exportar CSV');
INSERT INTO `lang_definitions` VALUES (10687, 2324, 4, 'Archivo de CSV');
INSERT INTO `lang_definitions` VALUES (10688, 2325, 4, 'Tablas CSV');
INSERT INTO `lang_definitions` VALUES (10689, 2330, 4, 'MM.CU (Mililitros cubicos)');
INSERT INTO `lang_definitions` VALUES (10690, 2331, 4, 'Cubano');
INSERT INTO `lang_definitions` VALUES (10691, 2332, 4, 'Taza');
INSERT INTO `lang_definitions` VALUES (10692, 2333, 4, 'Número de decimales en moneda');
INSERT INTO `lang_definitions` VALUES (10693, 2334, 4, 'Símbolo de Punto Decimal en moneda');
INSERT INTO `lang_definitions` VALUES (10694, 2335, 4, 'Indicador de moneda');
INSERT INTO `lang_definitions` VALUES (10695, 2336, 4, 'Moneda - Separador de Miles');
INSERT INTO `lang_definitions` VALUES (10696, 2337, 4, 'Actual');
INSERT INTO `lang_definitions` VALUES (10697, 2338, 4, 'Alcohol actual');
INSERT INTO `lang_definitions` VALUES (10698, 2341, 4, 'Consulta Actual');
INSERT INTO `lang_definitions` VALUES (10699, 2342, 4, 'Criterios Actuales');
INSERT INTO `lang_definitions` VALUES (10700, 2344, 4, 'Color resaltado del presente día');
INSERT INTO `lang_definitions` VALUES (10701, 2345, 4, 'Actualmente fumador diario');
INSERT INTO `lang_definitions` VALUES (10702, 2347, 4, 'El nombre de archivo actual fue cambiado a');
INSERT INTO `lang_definitions` VALUES (10703, 2349, 4, 'Clave encriptada actual');
INSERT INTO `lang_definitions` VALUES (10704, 2350, 4, 'Ubicación actual');
INSERT INTO `lang_definitions` VALUES (10705, 2352, 4, 'Medicamentos actuales');
INSERT INTO `lang_definitions` VALUES (10706, 2354, 4, 'Contraseña actual');
INSERT INTO `lang_definitions` VALUES (10707, 2356, 4, 'Paciente Actual');
INSERT INTO `lang_definitions` VALUES (10708, 2358, 4, 'Proveedor actual');
INSERT INTO `lang_definitions` VALUES (10709, 2361, 4, 'Actuales drogas recreativas');
INSERT INTO `lang_definitions` VALUES (10710, 2362, 4, 'Rx actual');
INSERT INTO `lang_definitions` VALUES (10711, 2363, 4, 'Actualmente fumador ocasional');
INSERT INTO `lang_definitions` VALUES (10712, 2365, 4, 'Estado de tiempo actual');
INSERT INTO `lang_definitions` VALUES (10713, 2369, 4, 'Valor actua');
INSERT INTO `lang_definitions` VALUES (10714, 2371, 4, 'Actualmente Activo');
INSERT INTO `lang_definitions` VALUES (10715, 2372, 4, 'Actualmente ocupado');
INSERT INTO `lang_definitions` VALUES (10716, 2374, 4, 'Actualmente fuera de línea');
INSERT INTO `lang_definitions` VALUES (10717, 2375, 4, 'Ejecutando actualmente');
INSERT INTO `lang_definitions` VALUES (10718, 2377, 4, 'No hay centros');
INSERT INTO `lang_definitions` VALUES (10719, 2379, 4, 'Síndrome de Cushing');
INSERT INTO `lang_definitions` VALUES (10720, 2380, 4, 'Síndrome de Cushing');
INSERT INTO `lang_definitions` VALUES (10721, 2382, 4, 'Custodio o tutor');
INSERT INTO `lang_definitions` VALUES (10722, 2383, 4, 'A medida');
INSERT INTO `lang_definitions` VALUES (10723, 2389, 4, 'Saludo personalizado');
INSERT INTO `lang_definitions` VALUES (10724, 2390, 4, '¿Entrada personalizada?');
INSERT INTO `lang_definitions` VALUES (10725, 2395, 4, 'Tabla personalizada');
INSERT INTO `lang_definitions` VALUES (10726, 2401, 4, 'Código CVX');
INSERT INTO `lang_definitions` VALUES (10727, 2402, 4, 'Código CVX');
INSERT INTO `lang_definitions` VALUES (10728, 2403, 4, 'Mapeo del código CVX');
INSERT INTO `lang_definitions` VALUES (10729, 2404, 4, 'Vacunación CVX');
INSERT INTO `lang_definitions` VALUES (10730, 2406, 4, 'Ciclo');
INSERT INTO `lang_definitions` VALUES (10731, 2412, 4, 'CYP');
INSERT INTO `lang_definitions` VALUES (10732, 2413, 4, 'Factor de CYP');
INSERT INTO `lang_definitions` VALUES (10733, 2414, 4, 'Informe de CYP');
INSERT INTO `lang_definitions` VALUES (10734, 2415, 4, 'Checo');
INSERT INTO `lang_definitions` VALUES (10735, 2416, 4, 'D');
INSERT INTO `lang_definitions` VALUES (10736, 2417, 4, 'D&C');
INSERT INTO `lang_definitions` VALUES (10737, 2418, 4, 'D&E');
INSERT INTO `lang_definitions` VALUES (10738, 2420, 4, 'F.D.N.');
INSERT INTO `lang_definitions` VALUES (10739, 2421, 4, 'diariamente');
INSERT INTO `lang_definitions` VALUES (10740, 2422, 4, 'Registro Diario');
INSERT INTO `lang_definitions` VALUES (10741, 2423, 4, 'Reporte Diario');
INSERT INTO `lang_definitions` VALUES (10742, 2424, 4, 'Reporte diario resumido');
INSERT INTO `lang_definitions` VALUES (10743, 2425, 4, 'Danés');
INSERT INTO `lang_definitions` VALUES (10744, 2426, 4, 'Tablero de control');
INSERT INTO `lang_definitions` VALUES (10745, 2429, 4, 'Información parecida está ya en la base de datos, por favor cambie el código o la descripción');
INSERT INTO `lang_definitions` VALUES (10746, 2430, 4, 'Información parecida está ya en la base de datos, por favor cambie el nombre de la constante');
INSERT INTO `lang_definitions` VALUES (10747, 2431, 4, 'Datos Cols');
INSERT INTO `lang_definitions` VALUES (10748, 2434, 4, 'Error en los datos');
INSERT INTO `lang_definitions` VALUES (10749, 2439, 4, 'Tipo de datos');
INSERT INTO `lang_definitions` VALUES (10750, 2440, 4, 'Base de datos');
INSERT INTO `lang_definitions` VALUES (10751, 2442, 4, 'La base de datos no ha sido instalada');
INSERT INTO `lang_definitions` VALUES (10752, 2443, 4, 'Nombre de base de datos');
INSERT INTO `lang_definitions` VALUES (10753, 2444, 4, 'Revisión bbdd');
INSERT INTO `lang_definitions` VALUES (10754, 2445, 4, 'Información de la base de datos');
INSERT INTO `lang_definitions` VALUES (10755, 2447, 4, 'Actualización de base de datos completa');
INSERT INTO `lang_definitions` VALUES (10756, 2448, 4, 'DataCols debe ser un número entre 1 y 999');
INSERT INTO `lang_definitions` VALUES (10757, 2449, 4, 'Fecha');
INSERT INTO `lang_definitions` VALUES (10758, 2450, 4, 'FECHA');
INSERT INTO `lang_definitions` VALUES (10759, 2451, 4, 'Fecha / hora de administración');
INSERT INTO `lang_definitions` VALUES (10760, 2452, 4, 'Fecha / hora');
INSERT INTO `lang_definitions` VALUES (10761, 2453, 4, 'Fecha administrada');
INSERT INTO `lang_definitions` VALUES (10762, 2454, 4, 'Fecha y hora de coleccion de muestra');
INSERT INTO `lang_definitions` VALUES (10763, 2455, 4, 'Fecha y hora de esta observación');
INSERT INTO `lang_definitions` VALUES (10764, 2456, 4, 'Fecha y hora de esta observación');
INSERT INTO `lang_definitions` VALUES (10765, 2457, 4, 'Fecha y hora cuando la muestra fue colectada');
INSERT INTO `lang_definitions` VALUES (10766, 2458, 4, 'La fecha no puede ser mayor a la de hoy');
INSERT INTO `lang_definitions` VALUES (10767, 2459, 4, 'Fecha en que fueron provistos inicialmente los servicios anticonceptivos');
INSERT INTO `lang_definitions` VALUES (10768, 2460, 4, 'Fecha de creación');
INSERT INTO `lang_definitions` VALUES (10769, 2461, 4, 'Fecha del fallecimiento');
INSERT INTO `lang_definitions` VALUES (10770, 2462, 4, 'Fecha de destrucción');
INSERT INTO `lang_definitions` VALUES (10771, 2463, 4, 'Formato de muestra de fecha');
INSERT INTO `lang_definitions` VALUES (10772, 2464, 4, 'Formato fecha para última cita no es válido');
INSERT INTO `lang_definitions` VALUES (10773, 2465, 4, 'Formato fecha para primera cita no es válido');
INSERT INTO `lang_definitions` VALUES (10774, 2466, 4, 'Formato fecha para \'Próxima Cita\' no es válida');
INSERT INTO `lang_definitions` VALUES (10775, 2467, 4, 'Formato fecha para \'no visto desde\' no es válido');
INSERT INTO `lang_definitions` VALUES (10776, 2469, 4, 'Formato fecha para \'visto desde\' no es válido');
INSERT INTO `lang_definitions` VALUES (10777, 2470, 4, 'Comunicados de fechas de vacunación entregados');
INSERT INTO `lang_definitions` VALUES (10778, 2471, 4, 'Falta fecha para código');
INSERT INTO `lang_definitions` VALUES (10779, 2472, 4, 'Criterio maestro de fecha');
INSERT INTO `lang_definitions` VALUES (10780, 2473, 4, 'Fecha de citas');
INSERT INTO `lang_definitions` VALUES (10781, 2474, 4, 'Fecha de citas mm/dd/aaaa');
INSERT INTO `lang_definitions` VALUES (10782, 2475, 4, 'Fecha ingreso en banco aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (10783, 2476, 4, 'Fecha de factura');
INSERT INTO `lang_definitions` VALUES (10784, 2477, 4, 'F.Nacim.');
INSERT INTO `lang_definitions` VALUES (10785, 2478, 4, 'F.Nacim.');
INSERT INTO `lang_definitions` VALUES (10786, 2479, 4, 'F.Nacim.');
INSERT INTO `lang_definitions` VALUES (10787, 2480, 4, 'F.Nacim. y edad');
INSERT INTO `lang_definitions` VALUES (10788, 2481, 4, 'Fecha de entrada');
INSERT INTO `lang_definitions` VALUES (10789, 2482, 4, 'Fecha de salida');
INSERT INTO `lang_definitions` VALUES (10790, 2483, 4, 'Fecha de la lesión');
INSERT INTO `lang_definitions` VALUES (10791, 2487, 4, 'Fecha de pago aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (10792, 2489, 4, 'Fecha de derivación');
INSERT INTO `lang_definitions` VALUES (10793, 2491, 4, 'Fecha de la respuesta');
INSERT INTO `lang_definitions` VALUES (10794, 2493, 4, 'Fecha De Servicio');
INSERT INTO `lang_definitions` VALUES (10795, 2495, 4, 'Fecha de servicio');
INSERT INTO `lang_definitions` VALUES (10796, 2496, 4, 'Fecha de servicio = hoy');
INSERT INTO `lang_definitions` VALUES (10797, 2498, 4, 'Fecha de servicio mm/dd/aaaa');
INSERT INTO `lang_definitions` VALUES (10798, 2499, 4, 'Fecha de Servicio:');
INSERT INTO `lang_definitions` VALUES (10799, 2500, 4, 'Fecha de firma');
INSERT INTO `lang_definitions` VALUES (10800, 2503, 4, 'Fecha de esta orden');
INSERT INTO `lang_definitions` VALUES (10801, 2504, 4, 'Fecha de este reporte');
INSERT INTO `lang_definitions` VALUES (10802, 2505, 4, 'Fecha de la Declaración de VIS');
INSERT INTO `lang_definitions` VALUES (10803, 2506, 4, 'Fecha en que se ordenó');
INSERT INTO `lang_definitions` VALUES (10804, 2507, 4, 'Rango de fecha');
INSERT INTO `lang_definitions` VALUES (10805, 2508, 4, 'Selector de fecha');
INSERT INTO `lang_definitions` VALUES (10806, 2509, 4, 'Seleccionador de fecha');
INSERT INTO `lang_definitions` VALUES (10807, 2510, 4, 'Fecha del envío');
INSERT INTO `lang_definitions` VALUES (10808, 2511, 4, 'Fecha en la que el mensaje fue enviado');
INSERT INTO `lang_definitions` VALUES (10809, 2513, 4, 'La fecha no puede estar en blanco');
INSERT INTO `lang_definitions` VALUES (10810, 2516, 4, 'Fecha/Cita');
INSERT INTO `lang_definitions` VALUES (10811, 2517, 4, 'Fecha/Notas');
INSERT INTO `lang_definitions` VALUES (10812, 2518, 4, 'Fecha/Notas de Último');
INSERT INTO `lang_definitions` VALUES (10813, 2519, 4, 'Fecha/Hora');
INSERT INTO `lang_definitions` VALUES (10814, 2520, 4, 'Fecha:');
INSERT INTO `lang_definitions` VALUES (10815, 2522, 4, 'fechado');
INSERT INTO `lang_definitions` VALUES (10816, 2523, 4, 'Registro de mensajes con sus fechas');
INSERT INTO `lang_definitions` VALUES (10817, 2526, 4, 'Día');
INSERT INTO `lang_definitions` VALUES (10818, 2527, 4, 'dia');
INSERT INTO `lang_definitions` VALUES (10819, 2530, 4, 'Vista de día');
INSERT INTO `lang_definitions` VALUES (10820, 2531, 4, 'Día(s)');
INSERT INTO `lang_definitions` VALUES (10821, 2532, 4, 'Día(s) L-V');
INSERT INTO `lang_definitions` VALUES (10822, 2533, 4, 'días');
INSERT INTO `lang_definitions` VALUES (10823, 2534, 4, 'Días');
INSERT INTO `lang_definitions` VALUES (10824, 2535, 4, 'días pasados');
INSERT INTO `lang_definitions` VALUES (10825, 2536, 4, 'Dïas y juegos perdidos');
INSERT INTO `lang_definitions` VALUES (10826, 2537, 4, 'Días Desde la Última Visita');
INSERT INTO `lang_definitions` VALUES (10827, 2538, 4, 'Dias faltados');
INSERT INTO `lang_definitions` VALUES (10828, 2541, 4, 'Días por columna');
INSERT INTO `lang_definitions` VALUES (10829, 2543, 4, 'Días/Col');
INSERT INTO `lang_definitions` VALUES (10830, 2544, 4, 'DB instalado');
INSERT INTO `lang_definitions` VALUES (10831, 2545, 4, 'DD/MM/AAAA');
INSERT INTO `lang_definitions` VALUES (10832, 2546, 4, 'Anonimato');
INSERT INTO `lang_definitions` VALUES (10833, 2547, 4, 'El proceso de anonimato está completo');
INSERT INTO `lang_definitions` VALUES (10834, 2548, 4, 'El proceso de anonimato está en proceso');
INSERT INTO `lang_definitions` VALUES (10835, 2549, 4, 'El proceso de anonimato ha iniciado y está corriendo en el fondo');
INSERT INTO `lang_definitions` VALUES (10836, 2550, 4, 'Los datos anónimos pueden no estar completos');
INSERT INTO `lang_definitions` VALUES (10837, 2551, 4, 'Los ficheros anónimos serán guardados en');
INSERT INTO `lang_definitions` VALUES (10838, 2552, 4, 'DEA');
INSERT INTO `lang_definitions` VALUES (10839, 2558, 4, 'Sordera');
INSERT INTO `lang_definitions` VALUES (10840, 2562, 4, 'Elimine errores de la información');
INSERT INTO `lang_definitions` VALUES (10841, 2565, 4, 'Dic');
INSERT INTO `lang_definitions` VALUES (10842, 2567, 4, 'DIFUNTO');
INSERT INTO `lang_definitions` VALUES (10843, 2574, 4, 'Diciembre');
INSERT INTO `lang_definitions` VALUES (10844, 2580, 4, 'Deducible');
INSERT INTO `lang_definitions` VALUES (10845, 2581, 4, 'Deducible alcanzado');
INSERT INTO `lang_definitions` VALUES (10846, 2582, 4, 'profundo');
INSERT INTO `lang_definitions` VALUES (10847, 2583, 4, 'Por Defecto');
INSERT INTO `lang_definitions` VALUES (10848, 2585, 4, 'Vista Calendario por defecto');
INSERT INTO `lang_definitions` VALUES (10849, 2587, 4, 'Formulario ID para Visita por defecto');
INSERT INTO `lang_definitions` VALUES (10850, 2589, 4, 'Centro por defecto');
INSERT INTO `lang_definitions` VALUES (10851, 2594, 4, 'Idioma por defecto');
INSERT INTO `lang_definitions` VALUES (10852, 2595, 4, 'Idioma por defecto si no se elige o permite otro');
INSERT INTO `lang_definitions` VALUES (10853, 2598, 4, 'Lista del defecto (escriba, sólo añadir opcional)');
INSERT INTO `lang_definitions` VALUES (10854, 2600, 4, 'Método por defecto');
INSERT INTO `lang_definitions` VALUES (10855, 2601, 4, 'Días Expiración Contraseña por Defecto');
INSERT INTO `lang_definitions` VALUES (10856, 2602, 4, 'El periodo de vencimiento de la contraseña por defecto es 0. Ésto significa que la función está desactivada');
INSERT INTO `lang_definitions` VALUES (10857, 2603, 4, 'País por defecto del Paciente');
INSERT INTO `lang_definitions` VALUES (10858, 2607, 4, 'Médico por defecto');
INSERT INTO `lang_definitions` VALUES (10859, 2609, 4, 'Rango por defecto');
INSERT INTO `lang_definitions` VALUES (10860, 2610, 4, 'Razón por defecto de la visita');
INSERT INTO `lang_definitions` VALUES (10861, 2615, 4, 'Configuración por defecto');
INSERT INTO `lang_definitions` VALUES (10862, 2617, 4, 'Estado por defecto de la casilla de chequeo de nueva ventana en la lista de pacientes.');
INSERT INTO `lang_definitions` VALUES (10863, 2618, 4, 'Plantilla por defecto');
INSERT INTO `lang_definitions` VALUES (10864, 2624, 4, 'Unidades por defecto');
INSERT INTO `lang_definitions` VALUES (10865, 2626, 4, 'Valor por defecto');
INSERT INTO `lang_definitions` VALUES (10866, 2627, 4, 'Categoría de visita por defecto');
INSERT INTO `lang_definitions` VALUES (10867, 2628, 4, 'Deposito por defecto');
INSERT INTO `lang_definitions` VALUES (10868, 2629, 4, 'Socio X12 por defecto');
INSERT INTO `lang_definitions` VALUES (10869, 2630, 4, 'Por defecto/Global');
INSERT INTO `lang_definitions` VALUES (10870, 2632, 4, 'Por defecto');
INSERT INTO `lang_definitions` VALUES (10871, 2633, 4, 'Definir una categoría de visita por defecto');
INSERT INTO `lang_definitions` VALUES (10872, 2635, 4, 'Borrar');
INSERT INTO `lang_definitions` VALUES (10873, 2636, 4, 'borrar');
INSERT INTO `lang_definitions` VALUES (10874, 2637, 4, 'Repetición retrasada (> 12 Mo)');
INSERT INTO `lang_definitions` VALUES (10875, 2638, 4, 'Eliminar');
INSERT INTO `lang_definitions` VALUES (10876, 2639, 4, 'eliminar');
INSERT INTO `lang_definitions` VALUES (10877, 2640, 4, 'Eliminar Categrorías con identificador(es) :');
INSERT INTO `lang_definitions` VALUES (10878, 2641, 4, 'Borrar Categoría');
INSERT INTO `lang_definitions` VALUES (10879, 2645, 4, 'Eliminar Grupo');
INSERT INTO `lang_definitions` VALUES (10880, 2646, 4, 'Eliminar Lista');
INSERT INTO `lang_definitions` VALUES (10881, 2648, 4, 'Eliminar Páginas');
INSERT INTO `lang_definitions` VALUES (10882, 2649, 4, 'Borrar Paciente, visita, formulario, Incidencia, Documento, Pago, facturación o Transacción');
INSERT INTO `lang_definitions` VALUES (10883, 2651, 4, 'Borrar fila');
INSERT INTO `lang_definitions` VALUES (10884, 2652, 4, 'Borrar ítems selectos');
INSERT INTO `lang_definitions` VALUES (10885, 2655, 4, 'Eliminación con éxito.');
INSERT INTO `lang_definitions` VALUES (10886, 2656, 4, 'Eliminar este documento');
INSERT INTO `lang_definitions` VALUES (10887, 2657, 4, 'Eliminar este formulario');
INSERT INTO `lang_definitions` VALUES (10888, 2659, 4, 'Eliminar esta nota');
INSERT INTO `lang_definitions` VALUES (10889, 2661, 4, 'Borrado Completado');
INSERT INTO `lang_definitions` VALUES (10890, 2663, 4, 'No se puede deshacer la eliminación de este evento. No se puede recuperar una vez que se ha hecho. ¿Está seguro que desea eliminar este evento?');
INSERT INTO `lang_definitions` VALUES (10891, 2671, 4, 'Demencia');
INSERT INTO `lang_definitions` VALUES (10892, 2673, 4, 'Datos demográficos');
INSERT INTO `lang_definitions` VALUES (10893, 2674, 4, 'Demografía (escribir, sólo añadir opcional)');
INSERT INTO `lang_definitions` VALUES (10894, 2678, 4, 'Criterio de Filtro Demográficos');
INSERT INTO `lang_definitions` VALUES (10895, 2680, 4, 'Datos demográficos no autorizados');
INSERT INTO `lang_definitions` VALUES (10896, 2681, 4, 'Datos demográficos no autorizados');
INSERT INTO `lang_definitions` VALUES (10897, 2682, 4, 'Denegado');
INSERT INTO `lang_definitions` VALUES (10898, 2684, 4, 'Denominador');
INSERT INTO `lang_definitions` VALUES (10899, 2687, 4, 'Dental');
INSERT INTO `lang_definitions` VALUES (10900, 2689, 4, 'Incidencias Dentales');
INSERT INTO `lang_definitions` VALUES (10901, 2694, 4, 'Dependiendo del tipo de cuenta que usted prueba, usted verá salida tipo HCFA en una página en blanco para las cuentas de HCFA, o usted verá muchas líneas de texto e información alteradas, si usted está probando una demanda X12. Ese texto mutilado es el formato del X12 IED 4010A. Usted verá de vez en cuando los caracteres extraños que parecen dominós o basura, se trata de caracteres de control tales como alimentaciones de página y son normales.');
INSERT INTO `lang_definitions` VALUES (10902, 2696, 4, 'Fecha de depósito');
INSERT INTO `lang_definitions` VALUES (10903, 2697, 4, 'La fecha del deposiito no puede ser mayor a la de hoy');
INSERT INTO `lang_definitions` VALUES (10904, 2698, 4, 'Fecha del depósito');
INSERT INTO `lang_definitions` VALUES (10905, 2699, 4, 'Depresivo');
INSERT INTO `lang_definitions` VALUES (10906, 2700, 4, 'Depresión');
INSERT INTO `lang_definitions` VALUES (10907, 2706, 4, 'Descripción');
INSERT INTO `lang_definitions` VALUES (10908, 2707, 4, 'descripción');
INSERT INTO `lang_definitions` VALUES (10909, 2709, 4, 'Descripción del acceso a información');
INSERT INTO `lang_definitions` VALUES (10910, 2710, 4, 'Desceripcion de este procedimiento o codigo resultante');
INSERT INTO `lang_definitions` VALUES (10911, 2711, 4, 'Traducción de la descripción');
INSERT INTO `lang_definitions` VALUES (10912, 2713, 4, 'Destino');
INSERT INTO `lang_definitions` VALUES (10913, 2714, 4, 'Nombre del archivo destino');
INSERT INTO `lang_definitions` VALUES (10914, 2716, 4, 'Destruir todo el lote');
INSERT INTO `lang_definitions` VALUES (10915, 2717, 4, 'Destruido ...');
INSERT INTO `lang_definitions` VALUES (10916, 2718, 4, 'Destruido');
INSERT INTO `lang_definitions` VALUES (10917, 2719, 4, 'Drogas destruidas');
INSERT INTO `lang_definitions` VALUES (10918, 2720, 4, 'Informe drogas destruido');
INSERT INTO `lang_definitions` VALUES (10919, 2721, 4, 'Detalles');
INSERT INTO `lang_definitions` VALUES (10920, 2726, 4, 'Detalles');
INSERT INTO `lang_definitions` VALUES (10921, 2728, 4, 'Anormalidad del desarrollo');
INSERT INTO `lang_definitions` VALUES (10922, 2730, 4, 'Diabetes');
INSERT INTO `lang_definitions` VALUES (10923, 2731, 4, 'Diabetes Mellitus');
INSERT INTO `lang_definitions` VALUES (10924, 2732, 4, 'Diabetes: Gestión presión arterial (GCC)');
INSERT INTO `lang_definitions` VALUES (10925, 2733, 4, 'Diabetes:Examen Ocular');
INSERT INTO `lang_definitions` VALUES (10926, 2734, 4, 'Diabetes: Examen ocular (GCC)');
INSERT INTO `lang_definitions` VALUES (10927, 2735, 4, 'Diabetes: Examen de los pies');
INSERT INTO `lang_definitions` VALUES (10928, 2736, 4, 'Diabetes: Examen de los pies (GCC)');
INSERT INTO `lang_definitions` VALUES (10929, 2737, 4, 'Diabetes:Control HbA1c Deficiente (GCC)');
INSERT INTO `lang_definitions` VALUES (10930, 2738, 4, 'Diabetes: Hemoglobina A1C');
INSERT INTO `lang_definitions` VALUES (10931, 2739, 4, 'Diabetes: Gestión LDL y Control (GCC)');
INSERT INTO `lang_definitions` VALUES (10932, 2740, 4, 'Diabetes: Microalbúmina de la orina');
INSERT INTO `lang_definitions` VALUES (10933, 2741, 4, 'Diagnóstico');
INSERT INTO `lang_definitions` VALUES (10934, 2743, 4, 'Diagnóstico');
INSERT INTO `lang_definitions` VALUES (10935, 2744, 4, 'Código de diagnostico');
INSERT INTO `lang_definitions` VALUES (10936, 2747, 4, 'Fecha de diagnostico');
INSERT INTO `lang_definitions` VALUES (10937, 2749, 4, 'El diagnóstico debe ser codificado en una visita vinculada');
INSERT INTO `lang_definitions` VALUES (10938, 2750, 4, 'Nombre del diagnóstico');
INSERT INTO `lang_definitions` VALUES (10939, 2751, 4, 'Reporte de diagnóstico');
INSERT INTO `lang_definitions` VALUES (10940, 2752, 4, 'Informe de diagnóstico');
INSERT INTO `lang_definitions` VALUES (10941, 2753, 4, 'Sólo inf. de diag.');
INSERT INTO `lang_definitions` VALUES (10942, 2754, 4, 'Título del diagnóstico');
INSERT INTO `lang_definitions` VALUES (10943, 2755, 4, 'Diagnóstico:');
INSERT INTO `lang_definitions` VALUES (10944, 2756, 4, 'Diagnóstico:');
INSERT INTO `lang_definitions` VALUES (10945, 2758, 4, 'Pruebas diagnósticas:');
INSERT INTO `lang_definitions` VALUES (10946, 2760, 4, 'Diales');
INSERT INTO `lang_definitions` VALUES (10947, 2763, 4, 'Diafragmas/Capuchón cervical');
INSERT INTO `lang_definitions` VALUES (10948, 2764, 4, 'Diarrea');
INSERT INTO `lang_definitions` VALUES (10949, 2767, 4, 'Dictado');
INSERT INTO `lang_definitions` VALUES (10950, 2768, 4, 'Dictado:');
INSERT INTO `lang_definitions` VALUES (10951, 2769, 4, '¿Usted recibió una copia del aviso de HIPAA?');
INSERT INTO `lang_definitions` VALUES (10952, 2770, 4, 'Difuso:');
INSERT INTO `lang_definitions` VALUES (10953, 2771, 4, 'Firmado digitalmente');
INSERT INTO `lang_definitions` VALUES (10954, 2781, 4, 'Correo Directo');
INSERT INTO `lang_definitions` VALUES (10955, 2782, 4, 'Registro Mens. Directo');
INSERT INTO `lang_definitions` VALUES (10956, 2783, 4, 'Mens.Directo recibido');
INSERT INTO `lang_definitions` VALUES (10957, 2784, 4, 'Mensaje directo no disponible ahora');
INSERT INTO `lang_definitions` VALUES (10958, 2785, 4, 'Falla de envío de mensaje directo');
INSERT INTO `lang_definitions` VALUES (10959, 2786, 4, 'Directivas');
INSERT INTO `lang_definitions` VALUES (10960, 2787, 4, 'Nombre del director');
INSERT INTO `lang_definitions` VALUES (10961, 2788, 4, 'Falla de borrrado de directorio , continúa');
INSERT INTO `lang_definitions` VALUES (10962, 2789, 4, 'inhabilitación');
INSERT INTO `lang_definitions` VALUES (10963, 2794, 4, 'Deshabilitar calendario');
INSERT INTO `lang_definitions` VALUES (10964, 2795, 4, 'Deshabilitar tabla de seguimiento');
INSERT INTO `lang_definitions` VALUES (10965, 2798, 4, 'Deshabilitar inmunizaciones');
INSERT INTO `lang_definitions` VALUES (10966, 2800, 4, 'Deshabilitar vieja forma métrica de datos vitales');
INSERT INTO `lang_definitions` VALUES (10967, 2801, 4, 'Deshabilitar tablero de flujo de pacientes');
INSERT INTO `lang_definitions` VALUES (10968, 2802, 4, 'Deshabilitar phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (10969, 2803, 4, 'Deshabilitar prescripciones');
INSERT INTO `lang_definitions` VALUES (10970, 2804, 4, 'Deshabilitar grupos de usuarios');
INSERT INTO `lang_definitions` VALUES (10971, 2805, 4, 'inhabilitado');
INSERT INTO `lang_definitions` VALUES (10972, 2806, 4, 'inhabilitado');
INSERT INTO `lang_definitions` VALUES (10973, 2807, 4, 'Beneficiario discapacitado menor de 65 años con un Plan de salud para grandes grupos (LGHP)');
INSERT INTO `lang_definitions` VALUES (10974, 2812, 4, 'DISCO');
INSERT INTO `lang_definitions` VALUES (10975, 2815, 4, 'Descarga');
INSERT INTO `lang_definitions` VALUES (10976, 2816, 4, 'Pérdidas/secreciones de la uretra');
INSERT INTO `lang_definitions` VALUES (10977, 2818, 4, 'Descarga derecha');
INSERT INTO `lang_definitions` VALUES (10978, 2819, 4, 'Descarga derecha:');
INSERT INTO `lang_definitions` VALUES (10979, 2825, 4, 'Informacion de acceso a información');
INSERT INTO `lang_definitions` VALUES (10980, 2826, 4, 'Tipo de Acceso a información');
INSERT INTO `lang_definitions` VALUES (10981, 2827, 4, 'Tipos de Acceso a información');
INSERT INTO `lang_definitions` VALUES (10982, 2828, 4, 'Acceso a información');
INSERT INTO `lang_definitions` VALUES (10983, 2832, 4, 'Suspender');
INSERT INTO `lang_definitions` VALUES (10984, 2833, 4, 'Descuento');
INSERT INTO `lang_definitions` VALUES (10985, 2834, 4, 'Suma de descuentos');
INSERT INTO `lang_definitions` VALUES (10986, 2835, 4, 'Nivel del Descuento');
INSERT INTO `lang_definitions` VALUES (10987, 2836, 4, 'porcentajes de descuento');
INSERT INTO `lang_definitions` VALUES (10988, 2837, 4, 'Descuentos como importes monetarios');
INSERT INTO `lang_definitions` VALUES (10989, 2838, 4, 'Descuentos a la hora de salida se introducen como cantidades de dinero, a diferencia de porcentaje.');
INSERT INTO `lang_definitions` VALUES (10990, 2839, 4, 'Resultado discreto');
INSERT INTO `lang_definitions` VALUES (10991, 2841, 4, 'Enfermedad');
INSERT INTO `lang_definitions` VALUES (10992, 2843, 4, 'Dislocación');
INSERT INTO `lang_definitions` VALUES (10993, 2847, 4, '# Disp');
INSERT INTO `lang_definitions` VALUES (10994, 2848, 4, 'Informe');
INSERT INTO `lang_definitions` VALUES (10995, 2849, 4, 'Remitir documento recibido');
INSERT INTO `lang_definitions` VALUES (10996, 2853, 4, 'Prescrito');
INSERT INTO `lang_definitions` VALUES (10997, 2856, 4, 'Mostrar las directivas anticipadas en la página de la demografía.');
INSERT INTO `lang_definitions` VALUES (10998, 2858, 4, 'Mostrar docs.');
INSERT INTO `lang_definitions` VALUES (10999, 2859, 4, '¿Mostrar fechas de eventos en bloque?');
INSERT INTO `lang_definitions` VALUES (11000, 2861, 4, '¿Mostrar cuántos eventos?');
INSERT INTO `lang_definitions` VALUES (11001, 2865, 4, '¿Mostrar lugar/sitio en bloque?');
INSERT INTO `lang_definitions` VALUES (11002, 2866, 4, 'Nombre de Pantalla');
INSERT INTO `lang_definitions` VALUES (11003, 2868, 4, '¿Mostrar el calendario?');
INSERT INTO `lang_definitions` VALUES (11004, 2875, 4, '¿Mostrar los eventos de hoy en el bloque?');
INSERT INTO `lang_definitions` VALUES (11005, 2876, 4, '¿Mostrar tema en el bloque?');
INSERT INTO `lang_definitions` VALUES (11006, 2877, 4, '¿Mostrar los eventos próximos en tabla?');
INSERT INTO `lang_definitions` VALUES (11007, 2879, 4, 'Columnas mostradas');
INSERT INTO `lang_definitions` VALUES (11008, 2880, 4, 'Mostrando el siguiente número de revelaciones más recientes:');
INSERT INTO `lang_definitions` VALUES (11009, 2882, 4, 'Mostrando el siguiente número de las notas más recientes');
INSERT INTO `lang_definitions` VALUES (11010, 2883, 4, 'Mostrando el siguiente número de las notas más recientes:');
INSERT INTO `lang_definitions` VALUES (11011, 2890, 4, 'Distribución');
INSERT INTO `lang_definitions` VALUES (11012, 2891, 4, 'Distribuciones');
INSERT INTO `lang_definitions` VALUES (11013, 2892, 4, 'Distribuidor');
INSERT INTO `lang_definitions` VALUES (11014, 2897, 4, 'Diverticulitis');
INSERT INTO `lang_definitions` VALUES (11015, 2898, 4, 'Operación de Diverticulitis');
INSERT INTO `lang_definitions` VALUES (11016, 2899, 4, 'Diverticulitis');
INSERT INTO `lang_definitions` VALUES (11017, 2900, 4, 'Operación de Diverticulitis');
INSERT INTO `lang_definitions` VALUES (11018, 2901, 4, 'Divorciado');
INSERT INTO `lang_definitions` VALUES (11019, 2902, 4, 'Mareo:');
INSERT INTO `lang_definitions` VALUES (11020, 2905, 4, 'No cambiar');
INSERT INTO `lang_definitions` VALUES (11021, 2907, 4, 'No mostrar alergia subida a NewCrop');
INSERT INTO `lang_definitions` VALUES (11022, 2909, 4, 'No mostrar medicación subida a NewCrop');
INSERT INTO `lang_definitions` VALUES (11023, 2912, 4, 'No mostrar el calendario');
INSERT INTO `lang_definitions` VALUES (11024, 2913, 4, 'No mostrar tablero de flujo de pacientes');
INSERT INTO `lang_definitions` VALUES (11025, 2916, 4, 'No inventariar ni vender nigun producto');
INSERT INTO `lang_definitions` VALUES (11026, 2919, 4, 'No requiere notas del paciente para ser autorizado');
INSERT INTO `lang_definitions` VALUES (11027, 2920, 4, 'Orden de No Resucitar');
INSERT INTO `lang_definitions` VALUES (11028, 2921, 4, 'no guardar');
INSERT INTO `lang_definitions` VALUES (11029, 2922, 4, 'no sustituir');
INSERT INTO `lang_definitions` VALUES (11030, 2925, 4, 'no actuar');
INSERT INTO `lang_definitions` VALUES (11031, 2929, 4, 'De verdad quiere suprimir?');
INSERT INTO `lang_definitions` VALUES (11032, 2930, 4, '¿Verdaderamente desea borrar la selección?');
INSERT INTO `lang_definitions` VALUES (11033, 2931, 4, 'Está seguro que quiere eliminar este grupo');
INSERT INTO `lang_definitions` VALUES (11034, 2934, 4, '¿Quiere continuar?');
INSERT INTO `lang_definitions` VALUES (11035, 2935, 4, '¿Quiere borrar esto?');
INSERT INTO `lang_definitions` VALUES (11036, 2936, 4, '¿Quiere borrar?');
INSERT INTO `lang_definitions` VALUES (11037, 2937, 4, '¿Desea remover este registro?');
INSERT INTO `lang_definitions` VALUES (11038, 2938, 4, '¿Desea continuar agregando este nuevo paciente?');
INSERT INTO `lang_definitions` VALUES (11039, 2939, 4, '¿Usted desea continuar con el nuevo nombre?');
INSERT INTO `lang_definitions` VALUES (11040, 2940, 4, '¿Usted desea suprimir DEFINITIVAMENTE este registro de vacunación?');
INSERT INTO `lang_definitions` VALUES (11041, 2941, 4, 'F.Nacim.');
INSERT INTO `lang_definitions` VALUES (11042, 2942, 4, 'Falta fecha de nacimiento, por favor insertarla al ser posible');
INSERT INTO `lang_definitions` VALUES (11043, 2944, 4, 'Documentos');
INSERT INTO `lang_definitions` VALUES (11044, 2945, 4, 'Doctor');
INSERT INTO `lang_definitions` VALUES (11045, 2946, 4, 'Doctor');
INSERT INTO `lang_definitions` VALUES (11046, 2947, 4, 'Nombre del médico y la firma');
INSERT INTO `lang_definitions` VALUES (11047, 2948, 4, 'Documento');
INSERT INTO `lang_definitions` VALUES (11048, 2949, 4, 'documento');
INSERT INTO `lang_definitions` VALUES (11049, 2951, 4, 'Categorías documento');
INSERT INTO `lang_definitions` VALUES (11050, 2958, 4, 'El documento no ha podido ser trasladado a la identificación del paciente');
INSERT INTO `lang_definitions` VALUES (11051, 2960, 4, 'Fecha de documento');
INSERT INTO `lang_definitions` VALUES (11052, 2961, 4, 'Fecha del documento e incidencia actualizadas con éxito');
INSERT INTO `lang_definitions` VALUES (11053, 2962, 4, 'Nº Identificación de Documento');
INSERT INTO `lang_definitions` VALUES (11054, 2965, 4, 'Documento se trasladó a nueva categoría');
INSERT INTO `lang_definitions` VALUES (11055, 2966, 4, 'Documento se trasladó al Nº Identificación del paciente');
INSERT INTO `lang_definitions` VALUES (11056, 2968, 4, 'Documento aprobó la comprobación de integridad');
INSERT INTO `lang_definitions` VALUES (11057, 2969, 4, 'Método de archivo de documentos');
INSERT INTO `lang_definitions` VALUES (11058, 2970, 4, 'Documento renombrado con éxito');
INSERT INTO `lang_definitions` VALUES (11059, 2973, 4, 'Plantillas de documento');
INSERT INTO `lang_definitions` VALUES (11060, 2975, 4, 'Documento (s)');
INSERT INTO `lang_definitions` VALUES (11061, 2976, 4, 'Depósito de documentos/Imágenes');
INSERT INTO `lang_definitions` VALUES (11062, 2978, 4, 'Documentos');
INSERT INTO `lang_definitions` VALUES (11063, 2980, 4, 'Documentos (escribir, addonly opcional)');
INSERT INTO `lang_definitions` VALUES (11064, 2989, 4, 'DOE');
INSERT INTO `lang_definitions` VALUES (11065, 2992, 4, 'no igual');
INSERT INTO `lang_definitions` VALUES (11066, 2995, 4, 'no parece válido');
INSERT INTO `lang_definitions` VALUES (11067, 2996, 4, '¿Este tipo permite codigos relacionados?');
INSERT INTO `lang_definitions` VALUES (11068, 2997, 4, 'Socio doméstico');
INSERT INTO `lang_definitions` VALUES (11069, 2998, 4, 'No Guardar');
INSERT INTO `lang_definitions` VALUES (11070, 2999, 4, 'No Guardar');
INSERT INTO `lang_definitions` VALUES (11071, 3000, 4, 'No Guardar Cambios');
INSERT INTO `lang_definitions` VALUES (11072, 3002, 4, 'Terminado');
INSERT INTO `lang_definitions` VALUES (11073, 3004, 4, 'Hecho con:');
INSERT INTO `lang_definitions` VALUES (11074, 3005, 4, 'Terminado. Ahora se enviará la descarga');
INSERT INTO `lang_definitions` VALUES (11075, 3006, 4, 'DOS');
INSERT INTO `lang_definitions` VALUES (11076, 3007, 4, 'Dosis');
INSERT INTO `lang_definitions` VALUES (11077, 3011, 4, 'Doble click para editar');
INSERT INTO `lang_definitions` VALUES (11078, 3013, 4, 'Visión doble');
INSERT INTO `lang_definitions` VALUES (11079, 3014, 4, 'Descarga');
INSERT INTO `lang_definitions` VALUES (11080, 3015, 4, 'DESCARGA');
INSERT INTO `lang_definitions` VALUES (11081, 3018, 4, 'Descargar doctos.paciente');
INSERT INTO `lang_definitions` VALUES (11082, 3019, 4, 'Descargar de todas formas');
INSERT INTO `lang_definitions` VALUES (11083, 3020, 4, 'Descargar expediente de factura, mandar a contabilidad y marcar como facturado.');
INSERT INTO `lang_definitions` VALUES (11084, 3021, 4, 'Descargar arch. ACDC');
INSERT INTO `lang_definitions` VALUES (11085, 3022, 4, 'Certificados de descargas');
INSERT INTO `lang_definitions` VALUES (11086, 3023, 4, 'Descargar datos de configuración');
INSERT INTO `lang_definitions` VALUES (11087, 3027, 4, 'Descargar fichero encriptado');
INSERT INTO `lang_definitions` VALUES (11088, 3028, 4, 'Descargar FAX');
INSERT INTO `lang_definitions` VALUES (11089, 3032, 4, 'Descargar o Borrar una plantilla');
INSERT INTO `lang_definitions` VALUES (11090, 3033, 4, 'Descargar PDF');
INSERT INTO `lang_definitions` VALUES (11091, 3037, 4, 'Descargar estados selectos');
INSERT INTO `lang_definitions` VALUES (11092, 3039, 4, 'Revisar médico');
INSERT INTO `lang_definitions` VALUES (11093, 3040, 4, 'Visitar médico');
INSERT INTO `lang_definitions` VALUES (11094, 3041, 4, 'Dr.');
INSERT INTO `lang_definitions` VALUES (11095, 3045, 4, 'Arrastre para mover');
INSERT INTO `lang_definitions` VALUES (11096, 3047, 4, 'Goteo');
INSERT INTO `lang_definitions` VALUES (11097, 3048, 4, 'Licencia de Manejar o Identificación del Estado');
INSERT INTO `lang_definitions` VALUES (11098, 3050, 4, 'Medicamento');
INSERT INTO `lang_definitions` VALUES (11099, 3051, 4, 'Interacción medicamentosa');
INSERT INTO `lang_definitions` VALUES (11100, 3052, 4, 'Código de medicamento');
INSERT INTO `lang_definitions` VALUES (11101, 3053, 4, 'Buscador de farmacos');
INSERT INTO `lang_definitions` VALUES (11102, 3054, 4, 'Forma de Medicamento');
INSERT INTO `lang_definitions` VALUES (11103, 3055, 4, 'Identificación de la droga está ausente!');
INSERT INTO `lang_definitions` VALUES (11104, 3056, 4, 'Intervalos de Medicamento');
INSERT INTO `lang_definitions` VALUES (11105, 3057, 4, 'Inventorio de Medicamento');
INSERT INTO `lang_definitions` VALUES (11106, 3059, 4, 'Nombre del Medicamento');
INSERT INTO `lang_definitions` VALUES (11107, 3061, 4, 'Vía de administración del Medicamento');
INSERT INTO `lang_definitions` VALUES (11108, 3062, 4, 'Pantalla de medicamento');
INSERT INTO `lang_definitions` VALUES (11109, 3063, 4, 'Pantalla de medicamento completada');
INSERT INTO `lang_definitions` VALUES (11110, 3064, 4, 'Informe de Pantalla de medicamento');
INSERT INTO `lang_definitions` VALUES (11111, 3066, 4, 'Unidades de Medicamento');
INSERT INTO `lang_definitions` VALUES (11112, 3072, 4, 'Medicamentos');
INSERT INTO `lang_definitions` VALUES (11113, 3073, 4, 'Medicamentos y productos');
INSERT INTO `lang_definitions` VALUES (11114, 3074, 4, 'Boca seca');
INSERT INTO `lang_definitions` VALUES (11115, 3075, 4, 'Diagnóstico DSMIV');
INSERT INTO `lang_definitions` VALUES (11116, 3076, 4, 'DT 1');
INSERT INTO `lang_definitions` VALUES (11117, 3077, 4, 'DT 2');
INSERT INTO `lang_definitions` VALUES (11118, 3078, 4, 'DT 3');
INSERT INTO `lang_definitions` VALUES (11119, 3079, 4, 'DT 4');
INSERT INTO `lang_definitions` VALUES (11120, 3080, 4, 'DT 5');
INSERT INTO `lang_definitions` VALUES (11121, 3081, 4, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (11122, 3082, 4, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (11123, 3083, 4, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (11124, 3084, 4, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (11125, 3085, 4, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (11126, 3087, 4, 'Adeudado');
INSERT INTO `lang_definitions` VALUES (11127, 3088, 4, 'Fecha de la cita');
INSERT INTO `lang_definitions` VALUES (11128, 3090, 4, 'Fecha de la cita mm/dd/aaaa o aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (11129, 3091, 4, 'Fecha de la cita:');
INSERT INTO `lang_definitions` VALUES (11130, 3092, 4, 'Deuda Seguro');
INSERT INTO `lang_definitions` VALUES (11131, 3093, 4, 'Deuda Paciente');
INSERT INTO `lang_definitions` VALUES (11132, 3094, 4, 'Deuda próxima');
INSERT INTO `lang_definitions` VALUES (11133, 3095, 4, 'Estado de Deuda');
INSERT INTO `lang_definitions` VALUES (11134, 3096, 4, 'Actualización Estado de Deuda');
INSERT INTO `lang_definitions` VALUES (11135, 3097, 4, 'Volcar base de datos OpenEMR');
INSERT INTO `lang_definitions` VALUES (11136, 3098, 4, 'Volcar árbol de directorios web de OpenEMR');
INSERT INTO `lang_definitions` VALUES (11137, 3099, 4, 'Volcar base de datos phpGACL');
INSERT INTO `lang_definitions` VALUES (11138, 3100, 4, 'Volcar phpGACL web de árbol de directorios');
INSERT INTO `lang_definitions` VALUES (11139, 3101, 4, 'Volcar SQL-Ledger base de datos');
INSERT INTO `lang_definitions` VALUES (11140, 3102, 4, 'Volcar phpGACL árbol de directorios web');
INSERT INTO `lang_definitions` VALUES (11141, 3103, 4, 'Compruebe duplicado');
INSERT INTO `lang_definitions` VALUES (11142, 3108, 4, 'ID duplicado en linea');
INSERT INTO `lang_definitions` VALUES (11143, 3109, 4, 'Nombre duplicado en linea');
INSERT INTO `lang_definitions` VALUES (11144, 3110, 4, 'AVISO DE DUPLICACION');
INSERT INTO `lang_definitions` VALUES (11145, 3111, 4, 'Poder Legal Duradero');
INSERT INTO `lang_definitions` VALUES (11146, 3112, 4, 'Duración');
INSERT INTO `lang_definitions` VALUES (11147, 3113, 4, 'duración');
INSERT INTO `lang_definitions` VALUES (11148, 3114, 4, 'Holandés');
INSERT INTO `lang_definitions` VALUES (11149, 3116, 4, 'Dx Rep');
INSERT INTO `lang_definitions` VALUES (11150, 3117, 4, 'Disfagia');
INSERT INTO `lang_definitions` VALUES (11151, 3118, 4, 'Disnea');
INSERT INTO `lang_definitions` VALUES (11152, 3119, 4, 'Disuria');
INSERT INTO `lang_definitions` VALUES (11153, 3122, 4, 'E-Mail');
INSERT INTO `lang_definitions` VALUES (11154, 3123, 4, 'E-mail');
INSERT INTO `lang_definitions` VALUES (11155, 3128, 4, '¿E-Receta?');
INSERT INTO `lang_definitions` VALUES (11156, 3129, 4, 'e/reportes');
INSERT INTO `lang_definitions` VALUES (11157, 3130, 4, 'Receta Electrónica');
INSERT INTO `lang_definitions` VALUES (11158, 3132, 4, 'Renovación Receta Electrónica');
INSERT INTO `lang_definitions` VALUES (11159, 3135, 4, 'Cada destinatario debe establecer sus propios mensajes como terminados.');
INSERT INTO `lang_definitions` VALUES (11160, 3140, 4, 'Repetición Temprana (<2 Mo)');
INSERT INTO `lang_definitions` VALUES (11161, 3141, 4, 'Orejas');
INSERT INTO `lang_definitions` VALUES (11162, 3148, 4, 'Electrocardiograma');
INSERT INTO `lang_definitions` VALUES (11163, 3149, 4, 'Reclamos electrónicos');
INSERT INTO `lang_definitions` VALUES (11164, 3152, 4, 'Edema');
INSERT INTO `lang_definitions` VALUES (11165, 3157, 4, 'Adjuntar fichero EDI-271');
INSERT INTO `lang_definitions` VALUES (11166, 3158, 4, 'Respuesta de carga de fichero EDI-271');
INSERT INTO `lang_definitions` VALUES (11167, 3159, 4, 'Editar');
INSERT INTO `lang_definitions` VALUES (11168, 3160, 4, 'editar');
INSERT INTO `lang_definitions` VALUES (11169, 3161, 4, 'Editar alergias');
INSERT INTO `lang_definitions` VALUES (11170, 3163, 4, 'Editar categorías');
INSERT INTO `lang_definitions` VALUES (11171, 3165, 4, 'Editar Definiciones');
INSERT INTO `lang_definitions` VALUES (11172, 3166, 4, 'Editar definiciones');
INSERT INTO `lang_definitions` VALUES (11173, 3167, 4, 'Editar diagnóstico para');
INSERT INTO `lang_definitions` VALUES (11174, 3168, 4, 'editar acceso a la info');
INSERT INTO `lang_definitions` VALUES (11175, 3173, 4, 'Editar Centros');
INSERT INTO `lang_definitions` VALUES (11176, 3174, 4, 'Editar Centro');
INSERT INTO `lang_definitions` VALUES (11177, 3175, 4, 'Editar información del Centro');
INSERT INTO `lang_definitions` VALUES (11178, 3176, 4, 'Editar información de usuario específica de Centro');
INSERT INTO `lang_definitions` VALUES (11179, 3177, 4, 'editar archivo en');
INSERT INTO `lang_definitions` VALUES (11180, 3178, 4, 'Editar forma');
INSERT INTO `lang_definitions` VALUES (11181, 3179, 4, 'Editar configuracion global');
INSERT INTO `lang_definitions` VALUES (11182, 3181, 4, 'Edición no permitida');
INSERT INTO `lang_definitions` VALUES (11183, 3183, 4, 'Editar el diseño');
INSERT INTO `lang_definitions` VALUES (11184, 3185, 4, 'Editar la lista');
INSERT INTO `lang_definitions` VALUES (11185, 3188, 4, 'editar pago');
INSERT INTO `lang_definitions` VALUES (11186, 3189, 4, 'Editar estructura');
INSERT INTO `lang_definitions` VALUES (11187, 3192, 4, 'Editar usuario');
INSERT INTO `lang_definitions` VALUES (11188, 3193, 4, 'editar configuracion de usuario');
INSERT INTO `lang_definitions` VALUES (11189, 3194, 4, 'Editar su información');
INSERT INTO `lang_definitions` VALUES (11190, 3195, 4, 'La edición falló');
INSERT INTO `lang_definitions` VALUES (11191, 3196, 4, 'Educación');
INSERT INTO `lang_definitions` VALUES (11192, 3197, 4, 'Fecha educación');
INSERT INTO `lang_definitions` VALUES (11193, 3199, 4, 'Debería haber recibido una copia del GNU con este programa, si no, escriba al Free');
INSERT INTO `lang_definitions` VALUES (11194, 3200, 4, 'Fecha efectiva');
INSERT INTO `lang_definitions` VALUES (11195, 3202, 4, 'Efectividad');
INSERT INTO `lang_definitions` VALUES (11196, 3204, 4, 'EIN');
INSERT INTO `lang_definitions` VALUES (11197, 3207, 4, 'Eyaculaciones');
INSERT INTO `lang_definitions` VALUES (11198, 3208, 4, 'Codo');
INSERT INTO `lang_definitions` VALUES (11199, 3209, 4, 'Problemas del codo');
INSERT INTO `lang_definitions` VALUES (11200, 3210, 4, 'Electrónico');
INSERT INTO `lang_definitions` VALUES (11201, 3211, 4, 'Docto.electr.recibido');
INSERT INTO `lang_definitions` VALUES (11202, 3212, 4, 'Notas electr.');
INSERT INTO `lang_definitions` VALUES (11203, 3214, 4, 'Mandatos Electronicos');
INSERT INTO `lang_definitions` VALUES (11204, 3215, 4, 'e-reportes');
INSERT INTO `lang_definitions` VALUES (11205, 3218, 4, 'Elegibilidad');
INSERT INTO `lang_definitions` VALUES (11206, 3219, 4, 'Elegibilidad Batch Consulta 270');
INSERT INTO `lang_definitions` VALUES (11207, 3220, 4, 'Elegibilidad de Respuesta');
INSERT INTO `lang_definitions` VALUES (11208, 3222, 4, 'Estado de elegibilidad para la vacuna suministrada para niños');
INSERT INTO `lang_definitions` VALUES (11209, 3223, 4, 'Elegible');
INSERT INTO `lang_definitions` VALUES (11210, 3225, 4, 'email');
INSERT INTO `lang_definitions` VALUES (11211, 3226, 4, 'email');
INSERT INTO `lang_definitions` VALUES (11212, 3227, 4, 'EMAIL');
INSERT INTO `lang_definitions` VALUES (11213, 3228, 4, 'email');
INSERT INTO `lang_definitions` VALUES (11214, 3229, 4, 'Falta la dirección de mail');
INSERT INTO `lang_definitions` VALUES (11215, 3230, 4, 'email del remitente para los recordatorios de pacientes. Las respuestas de los pacientes irán a esa dirección. Es importante usar una dirección del dominio de la Clínica para evitar que las respuestas de recordatorios de los pacientes vayan a la carpeta de correo basura.');
INSERT INTO `lang_definitions` VALUES (11216, 3231, 4, 'email, si hay, para recibir notificaciones administrativas.');
INSERT INTO `lang_definitions` VALUES (11217, 3232, 4, 'email, si hay, para recibir mensajes de activación de inicio sesión de usuario.');
INSERT INTO `lang_definitions` VALUES (11218, 3233, 4, 'Autenticación email');
INSERT INTO `lang_definitions` VALUES (11219, 3234, 4, 'email confirmado');
INSERT INTO `lang_definitions` VALUES (11220, 3235, 4, 'email directo');
INSERT INTO `lang_definitions` VALUES (11221, 3236, 4, 'email de Batchcom');
INSERT INTO `lang_definitions` VALUES (11222, 3238, 4, 'Notificación email');
INSERT INTO `lang_definitions` VALUES (11223, 3239, 4, 'Horario Notificación Email');
INSERT INTO `lang_definitions` VALUES (11224, 3240, 4, 'Informe de notificación de email');
INSERT INTO `lang_definitions` VALUES (11225, 3241, 4, 'Config.de notificación de email actualizada ok');
INSERT INTO `lang_definitions` VALUES (11226, 3243, 4, 'Frases de email seleccionadas');
INSERT INTO `lang_definitions` VALUES (11227, 3244, 4, 'email enviado antes');
INSERT INTO `lang_definitions` VALUES (11228, 3245, 4, 'Remitente de email');
INSERT INTO `lang_definitions` VALUES (11229, 3246, 4, 'Email enviado');
INSERT INTO `lang_definitions` VALUES (11230, 3247, 4, 'email enviado a');
INSERT INTO `lang_definitions` VALUES (11231, 3248, 4, 'Asunto del email');
INSERT INTO `lang_definitions` VALUES (11232, 3251, 4, 'Texto del email, etiqueta útil: ***NAME***, Ej. Estimado ***NAME***');
INSERT INTO `lang_definitions` VALUES (11233, 3252, 4, 'Texto email, etiqueta útil:***NAME***, por ej. Estimado ***NAME***{{No traducir el elemento ***NAME*** de esta constante}}');
INSERT INTO `lang_definitions` VALUES (11234, 3253, 4, 'Método de envío de email');
INSERT INTO `lang_definitions` VALUES (11235, 3254, 4, 'Email enviado a las siguientes direcciones');
INSERT INTO `lang_definitions` VALUES (11236, 3255, 4, 'emails no enviados');
INSERT INTO `lang_definitions` VALUES (11237, 3257, 4, 'Cuidado de emergencia');
INSERT INTO `lang_definitions` VALUES (11238, 3258, 4, 'Contacto en caso de emergencia');
INSERT INTO `lang_definitions` VALUES (11239, 3259, 4, 'Contacto en caso de emergencia');
INSERT INTO `lang_definitions` VALUES (11240, 3260, 4, 'Persona de Contacto de Emergencia');
INSERT INTO `lang_definitions` VALUES (11241, 3261, 4, 'Teléfono de Contacto de Emergencia');
INSERT INTO `lang_definitions` VALUES (11242, 3262, 4, 'Emergencia anticonceptiva');
INSERT INTO `lang_definitions` VALUES (11243, 3263, 4, 'Acceso de Emergencia');
INSERT INTO `lang_definitions` VALUES (11244, 3264, 4, 'Acceso de Emergencia ACL elegido. El usuario esta aun activo, favor desactivar usuario y activarlo cuando la situacion de emergencia lo requiera. Visitar Administracio>Usuario para activación o deactivación.');
INSERT INTO `lang_definitions` VALUES (11245, 3265, 4, 'El email de activación de inicio de sesión de emergencia ha de circular sólo si los siguientes ajustes del fichero interfase/globals.php están configurados:');
INSERT INTO `lang_definitions` VALUES (11246, 3266, 4, 'email de inicio de sesión de emergencia');
INSERT INTO `lang_definitions` VALUES (11247, 3267, 4, 'El usuario de Inicio de sesión de emergencia puede hacer cualquier cosa');
INSERT INTO `lang_definitions` VALUES (11248, 3268, 4, 'Telefono de emergencia');
INSERT INTO `lang_definitions` VALUES (11249, 3269, 4, 'Hospital - Guardia');
INSERT INTO `lang_definitions` VALUES (11250, 3270, 4, 'Condiciones y complicaciones conductuales - emocionales');
INSERT INTO `lang_definitions` VALUES (11251, 3271, 4, 'Enfisema');
INSERT INTO `lang_definitions` VALUES (11252, 3272, 4, 'Empleado');
INSERT INTO `lang_definitions` VALUES (11253, 3273, 4, 'Empresa');
INSERT INTO `lang_definitions` VALUES (11254, 3274, 4, 'Dirección del empleador');
INSERT INTO `lang_definitions` VALUES (11255, 3275, 4, 'Datos de la empresa');
INSERT INTO `lang_definitions` VALUES (11256, 3276, 4, 'Nombre de Empresa');
INSERT INTO `lang_definitions` VALUES (11257, 3277, 4, 'VACIO');
INSERT INTO `lang_definitions` VALUES (11258, 3278, 4, 'Vacio');
INSERT INTO `lang_definitions` VALUES (11259, 3279, 4, 'Palabra clave en blanco no se permite');
INSERT INTO `lang_definitions` VALUES (11260, 3280, 4, 'Tabla vacía');
INSERT INTO `lang_definitions` VALUES (11261, 3281, 4, 'Valor vacío en \"Correo electrónico Horas\"');
INSERT INTO `lang_definitions` VALUES (11262, 3282, 4, 'Valor vacío en \"Correo electrónico Remitente\"');
INSERT INTO `lang_definitions` VALUES (11263, 3283, 4, 'Valor vacío en \"Correo electrónico Asunto\"');
INSERT INTO `lang_definitions` VALUES (11264, 3284, 4, 'Valor vacío en \"Correo electrónico de texto\"');
INSERT INTO `lang_definitions` VALUES (11265, 3285, 4, 'Valor vacío en \"Nombre del Proveedor\"');
INSERT INTO `lang_definitions` VALUES (11266, 3286, 4, 'Valor vacío en \"Contraseña\"');
INSERT INTO `lang_definitions` VALUES (11267, 3287, 4, 'Valor vacío en \"Horas de SMS\"');
INSERT INTO `lang_definitions` VALUES (11268, 3288, 4, 'Vaciar en el valor \"Texto SMS\"');
INSERT INTO `lang_definitions` VALUES (11269, 3289, 4, 'Vaciar en el valor \"Usuario\"');
INSERT INTO `lang_definitions` VALUES (11270, 3292, 4, 'Habilitar');
INSERT INTO `lang_definitions` VALUES (11271, 3294, 4, 'Habilitar registro de alerta');
INSERT INTO `lang_definitions` VALUES (11272, 3295, 4, 'Habilitar registro de alerta');
INSERT INTO `lang_definitions` VALUES (11273, 3296, 4, 'Habilitar chequeo de alergia');
INSERT INTO `lang_definitions` VALUES (11274, 3298, 4, 'Activar aviso MCA');
INSERT INTO `lang_definitions` VALUES (11275, 3300, 4, 'Activar Informe MCA');
INSERT INTO `lang_definitions` VALUES (11276, 3301, 4, 'Activar seguimiento MCA');
INSERT INTO `lang_definitions` VALUES (11277, 3303, 4, 'Activar auditoría ATNA');
INSERT INTO `lang_definitions` VALUES (11278, 3305, 4, 'Inicio de sesión Auditoría habilitado');
INSERT INTO `lang_definitions` VALUES (11279, 3306, 4, 'Activar Auditoría Registro y Autenticación del Nodo (ATNA)');
INSERT INTO `lang_definitions` VALUES (11280, 3307, 4, 'Activar Informe Medidas de Cálculo Automático (MCA)');
INSERT INTO `lang_definitions` VALUES (11281, 3312, 4, 'Activar Cliente SSL');
INSERT INTO `lang_definitions` VALUES (11282, 3313, 4, 'Activar Cliente SSL con certificado de autenticación.');
INSERT INTO `lang_definitions` VALUES (11283, 3315, 4, 'Activar Reglas Clínicas de Decisión (CDR)');
INSERT INTO `lang_definitions` VALUES (11284, 3318, 4, 'Activar informe medidas de calidad clínica (GCC)');
INSERT INTO `lang_definitions` VALUES (11285, 3319, 4, 'Activar popup recordatorios clínicos');
INSERT INTO `lang_definitions` VALUES (11286, 3320, 4, 'Activar Widget Recordatorios clínicos');
INSERT INTO `lang_definitions` VALUES (11287, 3321, 4, 'Habilitar portal CMS');
INSERT INTO `lang_definitions` VALUES (11288, 3323, 4, 'Habilitar items en reportes GCC');
INSERT INTO `lang_definitions` VALUES (11289, 3324, 4, 'Activar Informes GCC');
INSERT INTO `lang_definitions` VALUES (11290, 3332, 4, 'Habilitar extensión');
INSERT INTO `lang_definitions` VALUES (11291, 3333, 4, 'Habilitar instalación');
INSERT INTO `lang_definitions` VALUES (11292, 3334, 4, 'Habilitar tarifas en el menú de la izquierda');
INSERT INTO `lang_definitions` VALUES (11293, 3335, 4, 'Habilitar submenú de tarifas');
INSERT INTO `lang_definitions` VALUES (11294, 3339, 4, 'Habilitar terapia de grupo');
INSERT INTO `lang_definitions` VALUES (11295, 3341, 4, 'Activar Soporte Hylafax');
INSERT INTO `lang_definitions` VALUES (11296, 3343, 4, 'Activar el estado de importación de mensajes para Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (11297, 3347, 4, 'Activar intercambio Laboratorio');
INSERT INTO `lang_definitions` VALUES (11298, 3348, 4, 'Habilitar interruptor de bloqueo');
INSERT INTO `lang_definitions` VALUES (11299, 3349, 4, 'Habilitar registro para documentos subidos/bajados de CouchDB');
INSERT INTO `lang_definitions` VALUES (11300, 3350, 4, 'Activar registro de todas las consultas SQL SELECT.');
INSERT INTO `lang_definitions` VALUES (11301, 3351, 4, 'Activar registro de backup de actividades relacionadas.');
INSERT INTO `lang_definitions` VALUES (11302, 3353, 4, 'Activar inicio sesión de actividades varias.');
INSERT INTO `lang_definitions` VALUES (11303, 3354, 4, 'Activar registro de actividades solicitadas.');
INSERT INTO `lang_definitions` VALUES (11304, 3355, 4, 'Activar registro de modificaciones del registro de pacientes.');
INSERT INTO `lang_definitions` VALUES (11305, 3356, 4, 'Activar registro de programar actividades.');
INSERT INTO `lang_definitions` VALUES (11306, 3357, 4, 'Activar registro de seguridad y administración de actividades.');
INSERT INTO `lang_definitions` VALUES (11307, 3360, 4, 'Activar servicio Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (11308, 3365, 4, 'Activar Portal Paciente Externo');
INSERT INTO `lang_definitions` VALUES (11309, 3366, 4, 'Activar Portal paciente desde el exterior.');
INSERT INTO `lang_definitions` VALUES (11310, 3368, 4, 'Activar Portal paciente in-situ');
INSERT INTO `lang_definitions` VALUES (11311, 3371, 4, 'Activar Portal paciente in-situ.');
INSERT INTO `lang_definitions` VALUES (11312, 3385, 4, 'Activar widget recordatorios del paciente');
INSERT INTO `lang_definitions` VALUES (11313, 3389, 4, 'Activar aviso fecha requerida para Medidas de Cálculo Automático (MCA)');
INSERT INTO `lang_definitions` VALUES (11314, 3391, 4, 'Activar Informe de Seguimiento de Fecha para Medidas de Cálculo Automático (MCA)');
INSERT INTO `lang_definitions` VALUES (11315, 3392, 4, 'Activar Soporte escaner');
INSERT INTO `lang_definitions` VALUES (11316, 3397, 4, 'Activar servicio de soporte OpenEMR LLC Laboratorio de intercambio');
INSERT INTO `lang_definitions` VALUES (11317, 3398, 4, 'Activar Certificado de Autenticación del usuario.');
INSERT INTO `lang_definitions` VALUES (11318, 3399, 4, 'Habilitar Versión 1 de portal de paciente en sitio');
INSERT INTO `lang_definitions` VALUES (11319, 3400, 4, 'Habilitar Versión 2 de portal de paciente en sitio');
INSERT INTO `lang_definitions` VALUES (11320, 3401, 4, 'Habilitar Versión 2 de portal de paciente en sitio para auto registro');
INSERT INTO `lang_definitions` VALUES (11321, 3403, 4, 'Activar servicio ZMG, Receta electrónica LLC');
INSERT INTO `lang_definitions` VALUES (11322, 3404, 4, 'Activado');
INSERT INTO `lang_definitions` VALUES (11323, 3407, 4, 'Servicios habilitados');
INSERT INTO `lang_definitions` VALUES (11324, 3409, 4, 'Habilita módulo de grupos en sistema');
INSERT INTO `lang_definitions` VALUES (11325, 3412, 4, 'Activar el viejo panel de cargos para introducir códigos de facturas y pagos. No se recomienda usar la hoja de honorarios en su lugar.');
INSERT INTO `lang_definitions` VALUES (11326, 3415, 4, 'Encuentro');
INSERT INTO `lang_definitions` VALUES (11327, 3417, 4, 'Visita');
INSERT INTO `lang_definitions` VALUES (11328, 3418, 4, 'Visita');
INSERT INTO `lang_definitions` VALUES (11329, 3419, 4, 'visita');
INSERT INTO `lang_definitions` VALUES (11330, 3420, 4, 'Visita');
INSERT INTO `lang_definitions` VALUES (11331, 3421, 4, 'Visita a un hospitalizado agudo o ED');
INSERT INTO `lang_definitions` VALUES (11332, 3427, 4, 'Fecha visita');
INSERT INTO `lang_definitions` VALUES (11333, 3432, 4, 'Formularios visita');
INSERT INTO `lang_definitions` VALUES (11334, 3433, 4, 'visita de salud y evaluación de comportamiento');
INSERT INTO `lang_definitions` VALUES (11335, 3434, 4, 'Histórico de visitas');
INSERT INTO `lang_definitions` VALUES (11336, 3435, 4, 'ID Visita');
INSERT INTO `lang_definitions` VALUES (11337, 3436, 4, 'Visita gripe');
INSERT INTO `lang_definitions` VALUES (11338, 3439, 4, 'número visita');
INSERT INTO `lang_definitions` VALUES (11339, 3441, 4, 'visita cuidado enfermería');
INSERT INTO `lang_definitions` VALUES (11340, 3442, 4, 'visita centro enfermería');
INSERT INTO `lang_definitions` VALUES (11341, 3443, 4, 'visita terapia ocupacional');
INSERT INTO `lang_definitions` VALUES (11342, 3444, 4, 'visita a consultorio');
INSERT INTO `lang_definitions` VALUES (11343, 3445, 4, 'visita paciente externo');
INSERT INTO `lang_definitions` VALUES (11344, 3446, 4, 'visita paciente externo con médico y Obs/Gin');
INSERT INTO `lang_definitions` VALUES (11345, 3447, 4, 'Tamaño página visita');
INSERT INTO `lang_definitions` VALUES (11346, 3448, 4, 'Pago visita');
INSERT INTO `lang_definitions` VALUES (11347, 3449, 4, 'visita embarazo');
INSERT INTO `lang_definitions` VALUES (11348, 3450, 4, 'visita medicina preventiva - asesoramiento individual');
INSERT INTO `lang_definitions` VALUES (11349, 3451, 4, 'visita medicina preventiva para mayores de 40');
INSERT INTO `lang_definitions` VALUES (11350, 3452, 4, 'visita de medicina preventiva - asesoramiento en grupo');
INSERT INTO `lang_definitions` VALUES (11351, 3453, 4, 'visita medicina preventiva otros servicios');
INSERT INTO `lang_definitions` VALUES (11352, 3454, 4, 'visita servicios medicina preventiva mayores de 18');
INSERT INTO `lang_definitions` VALUES (11353, 3457, 4, 'visita psiquiatrica y psicológica');
INSERT INTO `lang_definitions` VALUES (11354, 3458, 4, 'Estadísticas de visitas');
INSERT INTO `lang_definitions` VALUES (11355, 3459, 4, 'Resumen de visitas');
INSERT INTO `lang_definitions` VALUES (11356, 3461, 4, 'Visita codificada');
INSERT INTO `lang_definitions` VALUES (11357, 3462, 4, 'Visita:');
INSERT INTO `lang_definitions` VALUES (11358, 3463, 4, 'Visita: visita ingreso no agudo, paciente externo, o oftalmológico');
INSERT INTO `lang_definitions` VALUES (11359, 3464, 4, 'Visitas');
INSERT INTO `lang_definitions` VALUES (11360, 3465, 4, 'Visitas y Formularios');
INSERT INTO `lang_definitions` VALUES (11361, 3466, 4, 'Visitas y Formularios');
INSERT INTO `lang_definitions` VALUES (11362, 3467, 4, 'Visitas no autorizadas');
INSERT INTO `lang_definitions` VALUES (11363, 3468, 4, 'Informe de visitas');
INSERT INTO `lang_definitions` VALUES (11364, 3469, 4, 'Sección visitas');
INSERT INTO `lang_definitions` VALUES (11365, 3471, 4, 'Encriptación');
INSERT INTO `lang_definitions` VALUES (11366, 3472, 4, 'Final');
INSERT INTO `lang_definitions` VALUES (11367, 3473, 4, 'Final (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (11368, 3474, 4, 'Fecha final');
INSERT INTO `lang_definitions` VALUES (11369, 3475, 4, 'Fecha final');
INSERT INTO `lang_definitions` VALUES (11370, 3480, 4, 'Fecha final debe ser posterior a fecha inicio');
INSERT INTO `lang_definitions` VALUES (11371, 3482, 4, 'Fecha Final:');
INSERT INTO `lang_definitions` VALUES (11372, 3487, 4, 'Hora finalización');
INSERT INTO `lang_definitions` VALUES (11373, 3489, 4, 'Enfermedad renal en Etapa Final - Beneficiario de MCP con un Plan de grupo del empleador');
INSERT INTO `lang_definitions` VALUES (11374, 3492, 4, 'Fecha final de servicio aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (11375, 3493, 4, 'Termina DOS dd/mm/aaaa si desea entrar en una serie');
INSERT INTO `lang_definitions` VALUES (11376, 3494, 4, 'Hora final del día para eventos de calendario');
INSERT INTO `lang_definitions` VALUES (11377, 3495, 4, 'Sangre anormal Endo');
INSERT INTO `lang_definitions` VALUES (11378, 3496, 4, 'Endocrino');
INSERT INTO `lang_definitions` VALUES (11379, 3497, 4, 'Endoscopía');
INSERT INTO `lang_definitions` VALUES (11380, 3502, 4, 'Inglés');
INSERT INTO `lang_definitions` VALUES (11381, 3503, 4, 'Inglés');
INSERT INTO `lang_definitions` VALUES (11382, 3504, 4, 'Ingleses (Indios)');
INSERT INTO `lang_definitions` VALUES (11383, 3505, 4, 'Inglés (Estándar)');
INSERT INTO `lang_definitions` VALUES (11384, 3506, 4, 'Enscript comando usado por Hylafax.');
INSERT INTO `lang_definitions` VALUES (11385, 3507, 4, 'Garantizar OpenEMR tiene privilegios al directorio');
INSERT INTO `lang_definitions` VALUES (11386, 3509, 4, 'Descarga ORL');
INSERT INTO `lang_definitions` VALUES (11387, 3510, 4, 'Dolor ORL');
INSERT INTO `lang_definitions` VALUES (11388, 3513, 4, 'Introduzca un código de la diagnosis para excluir todas las facturas que no lo contienen');
INSERT INTO `lang_definitions` VALUES (11389, 3518, 4, 'Incorpore el cuerpo de la carta aquí');
INSERT INTO `lang_definitions` VALUES (11390, 3520, 4, 'Introduzca Contraseña root para Base Datos');
INSERT INTO `lang_definitions` VALUES (11391, 3521, 4, 'Introduzca Usuario root para Base Datos');
INSERT INTO `lang_definitions` VALUES (11392, 3529, 4, 'Introduzca Diagnóstico');
INSERT INTO `lang_definitions` VALUES (11393, 3530, 4, 'Introduzca Medicamentos');
INSERT INTO `lang_definitions` VALUES (11394, 3537, 4, 'Introduzca Vacunas');
INSERT INTO `lang_definitions` VALUES (11395, 3538, 4, 'Introducir Clave');
INSERT INTO `lang_definitions` VALUES (11396, 3544, 4, 'Escriba el nuevo Estado');
INSERT INTO `lang_definitions` VALUES (11397, 3569, 4, 'Introducir código Re-identificación');
INSERT INTO `lang_definitions` VALUES (11398, 3581, 4, 'Incorpore sus criterios de búsqueda arriba');
INSERT INTO `lang_definitions` VALUES (11399, 3586, 4, 'entradas');
INSERT INTO `lang_definitions` VALUES (11400, 3591, 4, 'Ambiental');
INSERT INTO `lang_definitions` VALUES (11401, 3592, 4, 'Entrada de datos de EOB');
INSERT INTO `lang_definitions` VALUES (11402, 3596, 4, 'EOB envío - Remesas electrónicas');
INSERT INTO `lang_definitions` VALUES (11403, 3597, 4, 'EOB envío - Instrucciones');
INSERT INTO `lang_definitions` VALUES (11404, 3598, 4, 'EOB envío - Factura');
INSERT INTO `lang_definitions` VALUES (11405, 3599, 4, 'EOB envío - Nota del Paciente');
INSERT INTO `lang_definitions` VALUES (11406, 3600, 4, 'EOB envío - Buscar');
INSERT INTO `lang_definitions` VALUES (11407, 3602, 4, 'Epilepsia');
INSERT INTO `lang_definitions` VALUES (11408, 3608, 4, 'ERA (Aviso de Remesa Electrónica)');
INSERT INTO `lang_definitions` VALUES (11409, 3610, 4, 'Envío ERA');
INSERT INTO `lang_definitions` VALUES (11410, 3612, 4, 'Borrar');
INSERT INTO `lang_definitions` VALUES (11411, 3614, 4, 'Erecciones');
INSERT INTO `lang_definitions` VALUES (11412, 3615, 4, 'Error');
INSERT INTO `lang_definitions` VALUES (11413, 3617, 4, 'Error confirmando la recepción de los resultados del laboratorio');
INSERT INTO `lang_definitions` VALUES (11414, 3620, 4, 'Error al obtener los resultados de laboratorio de la red de intercambio del laboratorio');
INSERT INTO `lang_definitions` VALUES (11415, 3621, 4, 'Error en selección de género');
INSERT INTO `lang_definitions` VALUES (11416, 3622, 4, 'Error en \"HIPAA\" selección');
INSERT INTO `lang_definitions` VALUES (11417, 3623, 4, 'Error en el \"Proceso de selección');
INSERT INTO `lang_definitions` VALUES (11418, 3624, 4, 'El error en la selección de \"Puerta de SMS\"');
INSERT INTO `lang_definitions` VALUES (11419, 3625, 4, 'Error en \"Ordenar por\" selección');
INSERT INTO `lang_definitions` VALUES (11420, 3626, 4, 'Error del file de compresion gzip');
INSERT INTO `lang_definitions` VALUES (11421, 3627, 4, 'Error en la opción SI o NO');
INSERT INTO `lang_definitions` VALUES (11422, 3630, 4, 'Error al abrir archivo cargado para lectura');
INSERT INTO `lang_definitions` VALUES (11423, 3633, 4, 'Error al eliminar el mensaje');
INSERT INTO `lang_definitions` VALUES (11424, 3634, 4, 'Error recuperando resultados de la red de intercambio del laboratorio');
INSERT INTO `lang_definitions` VALUES (11425, 3637, 4, 'Error en el fichero de concesión de privilegios para el usuario de OpenEMR.');
INSERT INTO `lang_definitions` VALUES (11426, 3640, 4, 'error al registrar la forma!');
INSERT INTO `lang_definitions` VALUES (11427, 3641, 4, 'Error al guardar en el archivo');
INSERT INTO `lang_definitions` VALUES (11428, 3643, 4, 'Error al escribir en el archivo');
INSERT INTO `lang_definitions` VALUES (11429, 3651, 4, 'Error, Este file no existe');
INSERT INTO `lang_definitions` VALUES (11430, 3652, 4, 'ERROR, incapaz de recoger los datos de servidor');
INSERT INTO `lang_definitions` VALUES (11431, 3653, 4, 'Error, incapaz de crear certificado de cliente');
INSERT INTO `lang_definitions` VALUES (11432, 3654, 4, 'Error, incapaz de crear el certificado p12 de Admin');
INSERT INTO `lang_definitions` VALUES (11433, 3655, 4, 'Error. No puede crearse certificadodo de Certificado de Autenticacion');
INSERT INTO `lang_definitions` VALUES (11434, 3656, 4, 'Error, incapaz de crear el certificado del servidor');
INSERT INTO `lang_definitions` VALUES (11435, 3658, 4, 'Error, incapaz de abrir el file');
INSERT INTO `lang_definitions` VALUES (11436, 3659, 4, 'Error. Certificado de Autenticacion de usuario no esta habilitado en OpenEMR');
INSERT INTO `lang_definitions` VALUES (11437, 3663, 4, 'Error. Necesita instalar el Archivo/Tar.php php modulo');
INSERT INTO `lang_definitions` VALUES (11438, 3664, 4, 'ERROR: no pudo abrir tabla sql, formulario roto?');
INSERT INTO `lang_definitions` VALUES (11439, 3667, 4, 'Error: ID duplicado en línea');
INSERT INTO `lang_definitions` VALUES (11440, 3668, 4, 'Error: Nombre duplicado en línea');
INSERT INTO `lang_definitions` VALUES (11441, 3669, 4, 'ERROR: Campo');
INSERT INTO `lang_definitions` VALUES (11442, 3670, 4, 'ERROR: Falta el fichero comprimido del Módulo PHP');
INSERT INTO `lang_definitions` VALUES (11443, 3671, 4, 'ERROR: Sin directorio de importación ICD');
INSERT INTO `lang_definitions` VALUES (11444, 3672, 4, 'Error: las contraseñas no coinciden. Por favor, compruebe lo tecleado.');
INSERT INTO `lang_definitions` VALUES (11445, 3673, 4, 'Error: las contraseñas no coinciden. Por favor, compruebe lo tecleado.');
INSERT INTO `lang_definitions` VALUES (11446, 3674, 4, 'Error, este file no existe');
INSERT INTO `lang_definitions` VALUES (11447, 3675, 4, 'ERROR: La siguiente variable contiene caracteres inválidos');
INSERT INTO `lang_definitions` VALUES (11448, 3676, 4, 'ERROR: No se puede copiar el fichero.');
INSERT INTO `lang_definitions` VALUES (11449, 3677, 4, 'Error, incapaz de crear el fichero de descarga');
INSERT INTO `lang_definitions` VALUES (11450, 3678, 4, 'ERROR: No se puede crear el fichero comprimido.');
INSERT INTO `lang_definitions` VALUES (11451, 3679, 4, 'ERROR: No se puede extraer el fichero.');
INSERT INTO `lang_definitions` VALUES (11452, 3680, 4, 'ERROR: No se puede leer el fichero en la base de datos.');
INSERT INTO `lang_definitions` VALUES (11453, 3681, 4, 'ERROR: No se puede establecer el número de versión.');
INSERT INTO `lang_definitions` VALUES (11454, 3682, 4, 'Errores');
INSERT INTO `lang_definitions` VALUES (11455, 3684, 4, 'Estado cuenta Receta electrónica');
INSERT INTO `lang_definitions` VALUES (11456, 3685, 4, 'Registros Receta electrónica');
INSERT INTO `lang_definitions` VALUES (11457, 3686, 4, 'Nombre Receta electrónica');
INSERT INTO `lang_definitions` VALUES (11458, 3687, 4, 'Contraseña Receta electrónica');
INSERT INTO `lang_definitions` VALUES (11459, 3688, 4, 'Rol Receta electrónica');
INSERT INTO `lang_definitions` VALUES (11460, 3689, 4, 'Usuario Receta electrónica');
INSERT INTO `lang_definitions` VALUES (11461, 3690, 4, 'Eritema');
INSERT INTO `lang_definitions` VALUES (11462, 3693, 4, 'Esquimal');
INSERT INTO `lang_definitions` VALUES (11463, 3699, 4, 'Paciente regular');
INSERT INTO `lang_definitions` VALUES (11464, 3701, 4, 'Raza');
INSERT INTO `lang_definitions` VALUES (11465, 3702, 4, 'La etnia o la raza');
INSERT INTO `lang_definitions` VALUES (11466, 3703, 4, 'Lista de Origen étnico--Raza (escriba, sólo añadir opcional)');
INSERT INTO `lang_definitions` VALUES (11467, 3706, 4, 'ETIN');
INSERT INTO `lang_definitions` VALUES (11468, 3709, 4, 'Evento');
INSERT INTO `lang_definitions` VALUES (11469, 3710, 4, 'Fecha comienzo de evento');
INSERT INTO `lang_definitions` VALUES (11470, 3711, 4, 'Categoría de evento');
INSERT INTO `lang_definitions` VALUES (11471, 3712, 4, 'Fecha evento');
INSERT INTO `lang_definitions` VALUES (11472, 3714, 4, 'Descripción evento');
INSERT INTO `lang_definitions` VALUES (11473, 3715, 4, 'Detalles evento');
INSERT INTO `lang_definitions` VALUES (11474, 3716, 4, 'Evento no se repite');
INSERT INTO `lang_definitions` VALUES (11475, 3717, 4, 'Duración de Evento');
INSERT INTO `lang_definitions` VALUES (11476, 3718, 4, 'Duración de evento en minutos');
INSERT INTO `lang_definitions` VALUES (11477, 3719, 4, 'Honorarios del evento');
INSERT INTO `lang_definitions` VALUES (11478, 3720, 4, 'Lugar de evento');
INSERT INTO `lang_definitions` VALUES (11479, 3721, 4, 'Evento repite cada');
INSERT INTO `lang_definitions` VALUES (11480, 3722, 4, 'Evento repite en');
INSERT INTO `lang_definitions` VALUES (11481, 3723, 4, 'Hora comienzo evento');
INSERT INTO `lang_definitions` VALUES (11482, 3724, 4, 'Título de evento');
INSERT INTO `lang_definitions` VALUES (11483, 3725, 4, 'Título de Evento');
INSERT INTO `lang_definitions` VALUES (11484, 3726, 4, 'Página web de evento');
INSERT INTO `lang_definitions` VALUES (11485, 3727, 4, 'Eventos');
INSERT INTO `lang_definitions` VALUES (11486, 3728, 4, 'Eventos para');
INSERT INTO `lang_definitions` VALUES (11487, 3729, 4, 'Eventos abre en nueva ventana');
INSERT INTO `lang_definitions` VALUES (11488, 3731, 4, 'cada');
INSERT INTO `lang_definitions` VALUES (11489, 3732, 4, 'Cada');
INSERT INTO `lang_definitions` VALUES (11490, 3734, 4, 'cada 3 horas');
INSERT INTO `lang_definitions` VALUES (11491, 3736, 4, 'cada 4 horas');
INSERT INTO `lang_definitions` VALUES (11492, 3738, 4, 'cada 5 horas');
INSERT INTO `lang_definitions` VALUES (11493, 3740, 4, 'cada 6 horas');
INSERT INTO `lang_definitions` VALUES (11494, 3742, 4, 'cada 8 horas');
INSERT INTO `lang_definitions` VALUES (11495, 3743, 4, 'cada cuarto');
INSERT INTO `lang_definitions` VALUES (11496, 3745, 4, 'uno sí, otro no');
INSERT INTO `lang_definitions` VALUES (11497, 3746, 4, 'cada tercero');
INSERT INTO `lang_definitions` VALUES (11498, 3747, 4, 'Cada, cada otro, cada 3ro, etc.');
INSERT INTO `lang_definitions` VALUES (11499, 3749, 4, 'Examen y los resultados de las pruebas');
INSERT INTO `lang_definitions` VALUES (11500, 3750, 4, 'Resultados del examen');
INSERT INTO `lang_definitions` VALUES (11501, 3751, 4, 'Sala de examen #');
INSERT INTO `lang_definitions` VALUES (11502, 3752, 4, 'Sala de examen #');
INSERT INTO `lang_definitions` VALUES (11503, 3753, 4, 'Examen');
INSERT INTO `lang_definitions` VALUES (11504, 3754, 4, 'Fecha de examen');
INSERT INTO `lang_definitions` VALUES (11505, 3755, 4, 'Ejemplo');
INSERT INTO `lang_definitions` VALUES (11506, 3758, 4, 'Ejemplos');
INSERT INTO `lang_definitions` VALUES (11507, 3760, 4, 'Exámenes/Pruebas');
INSERT INTO `lang_definitions` VALUES (11508, 3762, 4, 'Excepto');
INSERT INTO `lang_definitions` VALUES (11509, 3763, 4, 'Lagrimeo Excesivo');
INSERT INTO `lang_definitions` VALUES (11510, 3766, 4, 'Pacientes Excluídos');
INSERT INTO `lang_definitions` VALUES (11511, 3767, 4, 'Exclusiones');
INSERT INTO `lang_definitions` VALUES (11512, 3768, 4, 'Organización de provedor exclusivo (OPE)');
INSERT INTO `lang_definitions` VALUES (11513, 3770, 4, 'Tamaño papel Oficio');
INSERT INTO `lang_definitions` VALUES (11514, 3771, 4, 'Ejercicio');
INSERT INTO `lang_definitions` VALUES (11515, 3772, 4, 'Patrones de ejercicio');
INSERT INTO `lang_definitions` VALUES (11516, 3773, 4, 'Patrones del ejercicio');
INSERT INTO `lang_definitions` VALUES (11517, 3774, 4, 'Existe');
INSERT INTO `lang_definitions` VALUES (11518, 3778, 4, 'Salir de Administración');
INSERT INTO `lang_definitions` VALUES (11519, 3782, 4, 'Exp');
INSERT INTO `lang_definitions` VALUES (11520, 3784, 4, 'Expandir');
INSERT INTO `lang_definitions` VALUES (11521, 3785, 4, 'Expandir');
INSERT INTO `lang_definitions` VALUES (11522, 3787, 4, 'Expandir Todo');
INSERT INTO `lang_definitions` VALUES (11523, 3788, 4, 'Expandir todas la categorías de Documentos');
INSERT INTO `lang_definitions` VALUES (11524, 3789, 4, 'Expandir todas la categorías de Documentos por Defecto');
INSERT INTO `lang_definitions` VALUES (11525, 3792, 4, 'Vista ampliada');
INSERT INTO `lang_definitions` VALUES (11526, 3793, 4, 'Se espera form_encounter.pid para ser');
INSERT INTO `lang_definitions` VALUES (11527, 3794, 4, 'Caducidad');
INSERT INTO `lang_definitions` VALUES (11528, 3795, 4, 'Fecha de caducidad');
INSERT INTO `lang_definitions` VALUES (11529, 3797, 4, 'Caducidad');
INSERT INTO `lang_definitions` VALUES (11530, 3798, 4, 'Expira en');
INSERT INTO `lang_definitions` VALUES (11531, 3799, 4, 'Exportar');
INSERT INTO `lang_definitions` VALUES (11532, 3800, 4, 'Exportar con CSV');
INSERT INTO `lang_definitions` VALUES (11533, 3802, 4, 'Exportar configuración');
INSERT INTO `lang_definitions` VALUES (11534, 3804, 4, 'Exportar facturas indiv.');
INSERT INTO `lang_definitions` VALUES (11535, 3805, 4, 'Exportar OFX');
INSERT INTO `lang_definitions` VALUES (11536, 3806, 4, 'Exportación de Demograficos del paciente');
INSERT INTO `lang_definitions` VALUES (11537, 3808, 4, 'Exportar Informe PQRI');
INSERT INTO `lang_definitions` VALUES (11538, 3809, 4, 'Exportar Reporte QRDA');
INSERT INTO `lang_definitions` VALUES (11539, 3810, 4, 'Selección de exportación como CSV');
INSERT INTO `lang_definitions` VALUES (11540, 3811, 4, 'Exportar lo marcado a cobranzas');
INSERT INTO `lang_definitions` VALUES (11541, 3812, 4, 'Exportar a CSV');
INSERT INTO `lang_definitions` VALUES (11542, 3813, 4, 'Exportación al sistema de facturación externo');
INSERT INTO `lang_definitions` VALUES (11543, 3815, 4, 'Exposición a los países extranjeros');
INSERT INTO `lang_definitions` VALUES (11544, 3816, 4, 'Exposición a Países Extranjeros');
INSERT INTO `lang_definitions` VALUES (11545, 3818, 4, 'Ext tiempo de coleccionar');
INSERT INTO `lang_definitions` VALUES (11546, 3820, 4, 'Externo');
INSERT INTO `lang_definitions` VALUES (11547, 3821, 4, 'Datos Externos');
INSERT INTO `lang_definitions` VALUES (11548, 3823, 4, 'Carga de datos externos');
INSERT INTO `lang_definitions` VALUES (11549, 3824, 4, 'Utilidad de importación bbdd externa');
INSERT INTO `lang_definitions` VALUES (11550, 3828, 4, 'Identificador externo');
INSERT INTO `lang_definitions` VALUES (11551, 3829, 4, 'ID externo');
INSERT INTO `lang_definitions` VALUES (11552, 3830, 4, 'Identificador externo');
INSERT INTO `lang_definitions` VALUES (11553, 3831, 4, 'Identificador externo');
INSERT INTO `lang_definitions` VALUES (11554, 3834, 4, 'Derivación externa');
INSERT INTO `lang_definitions` VALUES (11555, 3835, 4, 'Seguimiento de Derivaciones Externas');
INSERT INTO `lang_definitions` VALUES (11556, 3836, 4, '¿Derivación externa?');
INSERT INTO `lang_definitions` VALUES (11557, 3837, 4, 'Derivaciones externas');
INSERT INTO `lang_definitions` VALUES (11558, 3838, 4, 'Extraer este file comprimido');
INSERT INTO `lang_definitions` VALUES (11559, 3839, 4, 'Extrayendo fichero. Esto puede tardar algún tiempo...');
INSERT INTO `lang_definitions` VALUES (11560, 3840, 4, 'Exudado:');
INSERT INTO `lang_definitions` VALUES (11561, 3850, 4, 'Irritación de Ojo');
INSERT INTO `lang_definitions` VALUES (11562, 3856, 4, 'Dolor de Ojo');
INSERT INTO `lang_definitions` VALUES (11563, 3860, 4, 'Enrojecimiento de Ojo');
INSERT INTO `lang_definitions` VALUES (11564, 3863, 4, 'Ojos');
INSERT INTO `lang_definitions` VALUES (11565, 3865, 4, 'F');
INSERT INTO `lang_definitions` VALUES (11566, 3866, 4, 'F/H Problemas de Sangre');
INSERT INTO `lang_definitions` VALUES (11567, 3867, 4, 'F/H Hirsutismo Femenino/Estrías');
INSERT INTO `lang_definitions` VALUES (11568, 3868, 4, 'Centros');
INSERT INTO `lang_definitions` VALUES (11569, 3869, 4, 'Centro');
INSERT INTO `lang_definitions` VALUES (11570, 3870, 4, 'centro');
INSERT INTO `lang_definitions` VALUES (11571, 3871, 4, 'Administración de Centro');
INSERT INTO `lang_definitions` VALUES (11572, 3872, 4, 'Ciudad del Centro');
INSERT INTO `lang_definitions` VALUES (11573, 3873, 4, 'Código del Centro');
INSERT INTO `lang_definitions` VALUES (11574, 3875, 4, 'Código País del Centro');
INSERT INTO `lang_definitions` VALUES (11575, 3876, 4, 'Fax del Centro');
INSERT INTO `lang_definitions` VALUES (11576, 3878, 4, 'Nombre del Centro');
INSERT INTO `lang_definitions` VALUES (11577, 3879, 4, 'NPI del Centro');
INSERT INTO `lang_definitions` VALUES (11578, 3880, 4, 'Teléfono del Centro');
INSERT INTO `lang_definitions` VALUES (11579, 3882, 4, 'Información de usuario específica de Centro');
INSERT INTO `lang_definitions` VALUES (11580, 3883, 4, 'Estado del Centro');
INSERT INTO `lang_definitions` VALUES (11581, 3884, 4, 'Dirección del Centro');
INSERT INTO `lang_definitions` VALUES (11582, 3886, 4, 'Código Postal del Centro');
INSERT INTO `lang_definitions` VALUES (11583, 3888, 4, 'Centro:');
INSERT INTO `lang_definitions` VALUES (11584, 3889, 4, 'Fallo');
INSERT INTO `lang_definitions` VALUES (11585, 3890, 4, 'Fallado');
INSERT INTO `lang_definitions` VALUES (11586, 3891, 4, 'fallado');
INSERT INTO `lang_definitions` VALUES (11587, 3901, 4, 'Fallo al crear la carpeta temporal. CouchDB no funcionará.');
INSERT INTO `lang_definitions` VALUES (11588, 3907, 4, 'Fallo');
INSERT INTO `lang_definitions` VALUES (11589, 3908, 4, 'error');
INSERT INTO `lang_definitions` VALUES (11590, 3910, 4, 'Aviso de falla: falló envío directo de mensaje');
INSERT INTO `lang_definitions` VALUES (11591, 3911, 4, 'Falla: no se pudo crear el zip (codigo)');
INSERT INTO `lang_definitions` VALUES (11592, 3912, 4, 'Falla: no hay pacientes para medida');
INSERT INTO `lang_definitions` VALUES (11593, 3916, 4, 'Historia familiar');
INSERT INTO `lang_definitions` VALUES (11594, 3918, 4, 'Historia Familiar de Glaucoma');
INSERT INTO `lang_definitions` VALUES (11595, 3919, 4, 'Historia');
INSERT INTO `lang_definitions` VALUES (11596, 3921, 4, 'Pago por familia');
INSERT INTO `lang_definitions` VALUES (11597, 3922, 4, 'Tamaño familia');
INSERT INTO `lang_definitions` VALUES (11598, 3923, 4, 'Suposición');
INSERT INTO `lang_definitions` VALUES (11599, 3925, 4, 'Iraní');
INSERT INTO `lang_definitions` VALUES (11600, 3928, 4, 'Padre');
INSERT INTO `lang_definitions` VALUES (11601, 3930, 4, 'Fatiga');
INSERT INTO `lang_definitions` VALUES (11602, 3931, 4, 'Fatigado');
INSERT INTO `lang_definitions` VALUES (11603, 3933, 4, 'Fax');
INSERT INTO `lang_definitions` VALUES (11604, 3934, 4, 'Contador fax');
INSERT INTO `lang_definitions` VALUES (11605, 3935, 4, 'Número de fax');
INSERT INTO `lang_definitions` VALUES (11606, 3937, 4, 'Fax/Escanear');
INSERT INTO `lang_definitions` VALUES (11607, 3938, 4, 'Faxes entrada');
INSERT INTO `lang_definitions` VALUES (11608, 3939, 4, 'Faxes salida');
INSERT INTO `lang_definitions` VALUES (11609, 3940, 4, 'Características');
INSERT INTO `lang_definitions` VALUES (11610, 3941, 4, 'Feb');
INSERT INTO `lang_definitions` VALUES (11611, 3942, 4, 'Febrero');
INSERT INTO `lang_definitions` VALUES (11612, 3943, 4, 'FECA');
INSERT INTO `lang_definitions` VALUES (11613, 3944, 4, 'Identificación de medicamento federal');
INSERT INTO `lang_definitions` VALUES (11614, 3945, 4, 'Federal EIN');
INSERT INTO `lang_definitions` VALUES (11615, 3946, 4, 'Identificación de impuesto federal');
INSERT INTO `lang_definitions` VALUES (11616, 3948, 4, 'Tarifa');
INSERT INTO `lang_definitions` VALUES (11617, 3949, 4, 'tarifa');
INSERT INTO `lang_definitions` VALUES (11618, 3950, 4, 'No se permite la tarifa');
INSERT INTO `lang_definitions` VALUES (11619, 3951, 4, 'Hoja de tarifas');
INSERT INTO `lang_definitions` VALUES (11620, 3953, 4, 'Opciones de la hoja de tarifas');
INSERT INTO `lang_definitions` VALUES (11621, 3955, 4, 'Tarifas');
INSERT INTO `lang_definitions` VALUES (11622, 3956, 4, 'Femenino');
INSERT INTO `lang_definitions` VALUES (11623, 3957, 4, 'Pild. anticoncep. fem.');
INSERT INTO `lang_definitions` VALUES (11624, 3958, 4, 'Condones femeninos');
INSERT INTO `lang_definitions` VALUES (11625, 3959, 4, 'Gentif. Femenino');
INSERT INTO `lang_definitions` VALUES (11626, 3960, 4, 'Fem.: último embar.');
INSERT INTO `lang_definitions` VALUES (11627, 3961, 4, 'Pelv. Femenina');
INSERT INTO `lang_definitions` VALUES (11628, 3962, 4, 'Síntomas Femeninos');
INSERT INTO `lang_definitions` VALUES (11629, 3963, 4, 'Fem.: contracepción quir. volunt.');
INSERT INTO `lang_definitions` VALUES (11630, 3966, 4, 'Fiebre');
INSERT INTO `lang_definitions` VALUES (11631, 3967, 4, 'Fiebre');
INSERT INTO `lang_definitions` VALUES (11632, 3968, 4, 'Problemas de Sangre FH');
INSERT INTO `lang_definitions` VALUES (11633, 3972, 4, 'Fibromas');
INSERT INTO `lang_definitions` VALUES (11634, 3978, 4, 'Tipo de campo a utilizar para el país del empleador o abonado en demográficos.');
INSERT INTO `lang_definitions` VALUES (11635, 3979, 4, 'Tipo de campo a utilizar para el estado del empleador o abonado en demográficos.');
INSERT INTO `lang_definitions` VALUES (11636, 3980, 4, 'Falta Campo(s)!');
INSERT INTO `lang_definitions` VALUES (11637, 3986, 4, 'Fichero');
INSERT INTO `lang_definitions` VALUES (11638, 3989, 4, 'Archivo en el directorio de documentación para aprender a automatizar el proceso de creación de copias de seguridad de registro');
INSERT INTO `lang_definitions` VALUES (11639, 3990, 4, 'Ubicacion del file');
INSERT INTO `lang_definitions` VALUES (11640, 3991, 4, 'Gestión de Fichero');
INSERT INTO `lang_definitions` VALUES (11641, 3998, 4, 'Fichero de permisos de usuario de OpenEMR');
INSERT INTO `lang_definitions` VALUES (11642, 3999, 4, 'Fallo en la recuperación de archivo de CouchDB');
INSERT INTO `lang_definitions` VALUES (11643, 4000, 4, 'Sala de archivo');
INSERT INTO `lang_definitions` VALUES (11644, 4001, 4, 'Fichero para adjuntar');
INSERT INTO `lang_definitions` VALUES (11645, 4003, 4, 'Un fichero con el mismo nombre ya existe en la ubicación:');
INSERT INTO `lang_definitions` VALUES (11646, 4004, 4, 'Nombre de fichero');
INSERT INTO `lang_definitions` VALUES (11647, 4006, 4, 'Ficheros');
INSERT INTO `lang_definitions` VALUES (11648, 4011, 4, 'Filipino');
INSERT INTO `lang_definitions` VALUES (11649, 4013, 4, 'Rellene cualquiera de las filas de abajo.');
INSERT INTO `lang_definitions` VALUES (11650, 4014, 4, 'Rellenar sólo si manda notificación a paciente por email');
INSERT INTO `lang_definitions` VALUES (11651, 4023, 4, 'Llenar los valores abajo');
INSERT INTO `lang_definitions` VALUES (11652, 4024, 4, 'Instrucciones de llenado');
INSERT INTO `lang_definitions` VALUES (11653, 4025, 4, 'Rellene la fila');
INSERT INTO `lang_definitions` VALUES (11654, 4028, 4, 'Filtro');
INSERT INTO `lang_definitions` VALUES (11655, 4029, 4, 'Filtro para los constantes');
INSERT INTO `lang_definitions` VALUES (11656, 4030, 4, 'Filtro por Definición');
INSERT INTO `lang_definitions` VALUES (11657, 4031, 4, 'Filtrado desde');
INSERT INTO `lang_definitions` VALUES (11658, 4032, 4, 'Filtros');
INSERT INTO `lang_definitions` VALUES (11659, 4033, 4, 'filtros');
INSERT INTO `lang_definitions` VALUES (11660, 4034, 4, 'Final');
INSERT INTO `lang_definitions` VALUES (11661, 4035, 4, 'Diagnóstico final');
INSERT INTO `lang_definitions` VALUES (11662, 4036, 4, 'Diagnóstico final por especialista');
INSERT INTO `lang_definitions` VALUES (11663, 4038, 4, 'Financiero');
INSERT INTO `lang_definitions` VALUES (11664, 4039, 4, 'Fecha cierre financiero (aaaa-mm-dd)');
INSERT INTO `lang_definitions` VALUES (11665, 4040, 4, 'Información financiera - cualquier cosa');
INSERT INTO `lang_definitions` VALUES (11666, 4042, 4, 'Información financiera - mis visitas');
INSERT INTO `lang_definitions` VALUES (11667, 4045, 4, 'Fecha de revisión financiero');
INSERT INTO `lang_definitions` VALUES (11668, 4046, 4, 'Resumen Financiero por Código de Servicio');
INSERT INTO `lang_definitions` VALUES (11669, 4048, 4, 'Buscar');
INSERT INTO `lang_definitions` VALUES (11670, 4049, 4, 'Buscar disponible');
INSERT INTO `lang_definitions` VALUES (11671, 4050, 4, 'Buscar citas disponibles');
INSERT INTO `lang_definitions` VALUES (11672, 4053, 4, 'Busca paciente');
INSERT INTO `lang_definitions` VALUES (11673, 4054, 4, 'Buscar materiales educativos para el paciente');
INSERT INTO `lang_definitions` VALUES (11674, 4056, 4, 'Conclusiones');
INSERT INTO `lang_definitions` VALUES (11675, 4057, 4, 'Conclusiones por especialista');
INSERT INTO `lang_definitions` VALUES (11676, 4058, 4, 'Multa');
INSERT INTO `lang_definitions` VALUES (11677, 4060, 4, 'Final Pagos');
INSERT INTO `lang_definitions` VALUES (11678, 4062, 4, 'Terminado');
INSERT INTO `lang_definitions` VALUES (11679, 4065, 4, 'Primero');
INSERT INTO `lang_definitions` VALUES (11680, 4066, 4, 'Mensaje de primera cuenta');
INSERT INTO `lang_definitions` VALUES (11681, 4068, 4, 'Primer día de la semana');
INSERT INTO `lang_definitions` VALUES (11682, 4071, 4, 'Nombre');
INSERT INTO `lang_definitions` VALUES (11683, 4072, 4, 'Nombre');
INSERT INTO `lang_definitions` VALUES (11684, 4073, 4, 'Nombre');
INSERT INTO `lang_definitions` VALUES (11685, 4077, 4, 'Nombre Apellido');
INSERT INTO `lang_definitions` VALUES (11686, 4079, 4, 'Aptitud');
INSERT INTO `lang_definitions` VALUES (11687, 4080, 4, 'Condicion Fisica');
INSERT INTO `lang_definitions` VALUES (11688, 4081, 4, 'Condicion Fisica para este jugador hoy');
INSERT INTO `lang_definitions` VALUES (11689, 4083, 4, 'Aptitud a jugar');
INSERT INTO `lang_definitions` VALUES (11690, 4084, 4, 'Encuentro fijar fechas - cualquier encuentros');
INSERT INTO `lang_definitions` VALUES (11691, 4086, 4, 'Solucionar este');
INSERT INTO `lang_definitions` VALUES (11692, 4088, 4, 'FL');
INSERT INTO `lang_definitions` VALUES (11693, 4090, 4, 'Flatulencia');
INSERT INTO `lang_definitions` VALUES (11694, 4091, 4, 'Flujo');
INSERT INTO `lang_definitions` VALUES (11695, 4092, 4, 'Tablero de flujo');
INSERT INTO `lang_definitions` VALUES (11696, 4108, 4, 'Temporada de gripe');
INSERT INTO `lang_definitions` VALUES (11697, 4109, 4, 'Temporada de Gripe');
INSERT INTO `lang_definitions` VALUES (11698, 4110, 4, 'Vacunación gripe');
INSERT INTO `lang_definitions` VALUES (11699, 4111, 4, 'Problema de fluído y electrolito');
INSERT INTO `lang_definitions` VALUES (11700, 4112, 4, 'FMS');
INSERT INTO `lang_definitions` VALUES (11701, 4113, 4, 'Tamaño papel folio');
INSERT INTO `lang_definitions` VALUES (11702, 4114, 4, 'Seguir manualmente');
INSERT INTO `lang_definitions` VALUES (11703, 4115, 4, 'Siga estas instrucciones para instalar o actualizar la siguiente bbdd');
INSERT INTO `lang_definitions` VALUES (11704, 4116, 4, 'Seguimineto');
INSERT INTO `lang_definitions` VALUES (11705, 4119, 4, 'Motivo de seguimiento');
INSERT INTO `lang_definitions` VALUES (11706, 4121, 4, 'A continuación una nueva constante de cliente:');
INSERT INTO `lang_definitions` VALUES (11707, 4122, 4, 'A continuación un nuevo idioma de cliente:');
INSERT INTO `lang_definitions` VALUES (11708, 4123, 4, 'A continuación una nueva definición (Idioma, Constante, Definición):');
INSERT INTO `lang_definitions` VALUES (11709, 4125, 4, 'Servicios de seguimiento');
INSERT INTO `lang_definitions` VALUES (11710, 4126, 4, 'Seguimiento indicado');
INSERT INTO `lang_definitions` VALUES (11711, 4129, 4, 'Intolerancia del Alimento');
INSERT INTO `lang_definitions` VALUES (11712, 4130, 4, 'Pie');
INSERT INTO `lang_definitions` VALUES (11713, 4131, 4, 'Problemas en los píes');
INSERT INTO `lang_definitions` VALUES (11714, 4132, 4, 'Píe:');
INSERT INTO `lang_definitions` VALUES (11715, 4133, 4, 'Lesiones de fútbol');
INSERT INTO `lang_definitions` VALUES (11716, 4135, 4, 'Informe de lesión futbolística');
INSERT INTO `lang_definitions` VALUES (11717, 4136, 4, 'Tipo de calzado');
INSERT INTO `lang_definitions` VALUES (11718, 4137, 4, 'para');
INSERT INTO `lang_definitions` VALUES (11719, 4138, 4, 'Para');
INSERT INTO `lang_definitions` VALUES (11720, 4144, 4, 'Por Código');
INSERT INTO `lang_definitions` VALUES (11721, 4152, 4, 'Reclamo por visita');
INSERT INTO `lang_definitions` VALUES (11722, 4154, 4, 'Poe Ejemplo');
INSERT INTO `lang_definitions` VALUES (11723, 4161, 4, 'Por Factura');
INSERT INTO `lang_definitions` VALUES (11724, 4163, 4, 'Para Seguro médico sólo, obliga al facultativo de referencia a ser el mismo que el facultativo del representado.');
INSERT INTO `lang_definitions` VALUES (11725, 4173, 4, 'Para el profesional/Organizacion referida');
INSERT INTO `lang_definitions` VALUES (11726, 4176, 4, 'Por el pasado');
INSERT INTO `lang_definitions` VALUES (11727, 4188, 4, 'por variable');
INSERT INTO `lang_definitions` VALUES (11728, 4189, 4, 'para:');
INSERT INTO `lang_definitions` VALUES (11729, 4190, 4, 'Fuerza la apertura del widget de facturación');
INSERT INTO `lang_definitions` VALUES (11730, 4191, 4, 'Forzar Crear Nuevo Paciente');
INSERT INTO `lang_definitions` VALUES (11731, 4194, 4, 'Antebrazo');
INSERT INTO `lang_definitions` VALUES (11732, 4195, 4, 'Formulario');
INSERT INTO `lang_definitions` VALUES (11733, 4196, 4, 'formulario');
INSERT INTO `lang_definitions` VALUES (11734, 4201, 4, 'Formato');
INSERT INTO `lang_definitions` VALUES (11735, 4202, 4, 'formato');
INSERT INTO `lang_definitions` VALUES (11736, 4204, 4, 'Formato incorrecto para el NDC');
INSERT INTO `lang_definitions` VALUES (11737, 4205, 4, 'Formato usado para la mayoría de fechas');
INSERT INTO `lang_definitions` VALUES (11738, 4206, 4, 'Formato usado para mostrar la mayoría de horas.');
INSERT INTO `lang_definitions` VALUES (11739, 4207, 4, 'Informe Formateado');
INSERT INTO `lang_definitions` VALUES (11740, 4208, 4, 'Ex-fumador');
INSERT INTO `lang_definitions` VALUES (11741, 4209, 4, 'Formularios');
INSERT INTO `lang_definitions` VALUES (11742, 4210, 4, 'Formas de administración');
INSERT INTO `lang_definitions` VALUES (11743, 4215, 4, 'Re-enviar');
INSERT INTO `lang_definitions` VALUES (11744, 4219, 4, 'Reenviar Páginas vía fax');
INSERT INTO `lang_definitions` VALUES (11745, 4222, 4, 'Remitido');
INSERT INTO `lang_definitions` VALUES (11746, 4225, 4, 'Cuarto');
INSERT INTO `lang_definitions` VALUES (11747, 4227, 4, 'Fractura');
INSERT INTO `lang_definitions` VALUES (11748, 4228, 4, 'Fractura de escafoides');
INSERT INTO `lang_definitions` VALUES (11749, 4229, 4, 'Fractura del maléolo lat.');
INSERT INTO `lang_definitions` VALUES (11750, 4230, 4, 'Fractura del maléolo med.');
INSERT INTO `lang_definitions` VALUES (11751, 4231, 4, 'Fractura de base quinta (5 ª) metatarsianas');
INSERT INTO `lang_definitions` VALUES (11752, 4232, 4, 'Marco');
INSERT INTO `lang_definitions` VALUES (11753, 4233, 4, 'Soporte para marcos requeridos');
INSERT INTO `lang_definitions` VALUES (11754, 4235, 4, 'Francés');
INSERT INTO `lang_definitions` VALUES (11755, 4236, 4, 'Francés (Canadiense)');
INSERT INTO `lang_definitions` VALUES (11756, 4237, 4, 'Francés (Standard)');
INSERT INTO `lang_definitions` VALUES (11757, 4238, 4, 'Frecuencia');
INSERT INTO `lang_definitions` VALUES (11758, 4239, 4, 'Resfriados Frecuentes');
INSERT INTO `lang_definitions` VALUES (11759, 4240, 4, 'Enfermedades Frecuentes');
INSERT INTO `lang_definitions` VALUES (11760, 4241, 4, 'Viernes');
INSERT INTO `lang_definitions` VALUES (11761, 4242, 4, 'Viernes');
INSERT INTO `lang_definitions` VALUES (11762, 4244, 4, 'Desde');
INSERT INTO `lang_definitions` VALUES (11763, 4245, 4, 'DESDE');
INSERT INTO `lang_definitions` VALUES (11764, 4246, 4, 'desde');
INSERT INTO `lang_definitions` VALUES (11765, 4247, 4, 'Fecha desde no puede ser mayor que fecha hasta');
INSERT INTO `lang_definitions` VALUES (11766, 4253, 4, 'Desde:');
INSERT INTO `lang_definitions` VALUES (11767, 4254, 4, 'Desde:');
INSERT INTO `lang_definitions` VALUES (11768, 4255, 4, 'DESDE_CIUDAD');
INSERT INTO `lang_definitions` VALUES (11769, 4257, 4, 'DESDE_NOMBRE');
INSERT INTO `lang_definitions` VALUES (11770, 4258, 4, 'DESDE_APELLIDO');
INSERT INTO `lang_definitions` VALUES (11771, 4259, 4, 'DESDE_SEGUNDONOMBRE');
INSERT INTO `lang_definitions` VALUES (11772, 4261, 4, 'DESDE_TELÉFONOCELULAR');
INSERT INTO `lang_definitions` VALUES (11773, 4262, 4, 'DESDE_POSTAL');
INSERT INTO `lang_definitions` VALUES (11774, 4263, 4, 'DESDE_ESTADO');
INSERT INTO `lang_definitions` VALUES (11775, 4264, 4, 'DESDE_CALLE');
INSERT INTO `lang_definitions` VALUES (11776, 4265, 4, 'DESDE_TÍTULO');
INSERT INTO `lang_definitions` VALUES (11777, 4266, 4, 'DESDE_DESPEDIDA');
INSERT INTO `lang_definitions` VALUES (11778, 4267, 4, 'Oficina central');
INSERT INTO `lang_definitions` VALUES (11779, 4268, 4, 'Recibos de la Oficina Central');
INSERT INTO `lang_definitions` VALUES (11780, 4269, 4, 'Reportes de Recibos de la Oficina Central');
INSERT INTO `lang_definitions` VALUES (11781, 4270, 4, 'Rec. Oficina Central');
INSERT INTO `lang_definitions` VALUES (11782, 4271, 4, 'Frontal derecha');
INSERT INTO `lang_definitions` VALUES (11783, 4278, 4, 'Nombre Completo');
INSERT INTO `lang_definitions` VALUES (11784, 4280, 4, 'Ruta completa del directorio que contiene los ejecutables MySQL.');
INSERT INTO `lang_definitions` VALUES (11785, 4281, 4, 'Ruta completa del directorio que contiene los ejecutables Perl.');
INSERT INTO `lang_definitions` VALUES (11786, 4282, 4, 'Ruta completa del directorio para log de eventos de backup');
INSERT INTO `lang_definitions` VALUES (11787, 4283, 4, 'Ruta completa del directorio usado para ficheros temporales');
INSERT INTO `lang_definitions` VALUES (11788, 4284, 4, 'Juego completo');
INSERT INTO `lang_definitions` VALUES (11789, 4286, 4, 'Entrenamiento completo');
INSERT INTO `lang_definitions` VALUES (11790, 4288, 4, 'Pagado Total');
INSERT INTO `lang_definitions` VALUES (11791, 4290, 4, 'Form. de estado funcional y cognitivo');
INSERT INTO `lang_definitions` VALUES (11792, 4291, 4, 'Estado funcional y cognitivo');
INSERT INTO `lang_definitions` VALUES (11793, 4292, 4, 'Condición funcional');
INSERT INTO `lang_definitions` VALUES (11794, 4293, 4, 'Fuerte de financiamiento');
INSERT INTO `lang_definitions` VALUES (11795, 4295, 4, 'Futuro');
INSERT INTO `lang_definitions` VALUES (11796, 4297, 4, 'V');
INSERT INTO `lang_definitions` VALUES (11797, 4298, 4, 'G');
INSERT INTO `lang_definitions` VALUES (11798, 4299, 4, 'G/DL');
INSERT INTO `lang_definitions` VALUES (11799, 4302, 4, 'Afección de la vesícula biliar');
INSERT INTO `lang_definitions` VALUES (11800, 4303, 4, 'Cálculos en la vesícula');
INSERT INTO `lang_definitions` VALUES (11801, 4304, 4, 'Periodo de Juego');
INSERT INTO `lang_definitions` VALUES (11802, 4305, 4, 'Juegos');
INSERT INTO `lang_definitions` VALUES (11803, 4306, 4, 'Juegos faltados');
INSERT INTO `lang_definitions` VALUES (11804, 4307, 4, 'juegos/eventos');
INSERT INTO `lang_definitions` VALUES (11805, 4308, 4, 'Juegos/Eventos perdidos');
INSERT INTO `lang_definitions` VALUES (11806, 4310, 4, 'Gastritis');
INSERT INTO `lang_definitions` VALUES (11807, 4311, 4, 'Dolor Gastrointestinal');
INSERT INTO `lang_definitions` VALUES (11808, 4312, 4, 'Gastrointestinal');
INSERT INTO `lang_definitions` VALUES (11809, 4316, 4, 'Informe de estadísticas del GCAC');
INSERT INTO `lang_definitions` VALUES (11810, 4317, 4, 'Estadísticas GCAC');
INSERT INTO `lang_definitions` VALUES (11811, 4318, 4, 'Falta la forma de la visita del GCAC');
INSERT INTO `lang_definitions` VALUES (11812, 4319, 4, 'Género');
INSERT INTO `lang_definitions` VALUES (11813, 4320, 4, 'Género');
INSERT INTO `lang_definitions` VALUES (11814, 4321, 4, 'General');
INSERT INTO `lang_definitions` VALUES (11815, 4325, 4, 'Categoría de servicio general');
INSERT INTO `lang_definitions` VALUES (11816, 4332, 4, 'Generar y Descargar');
INSERT INTO `lang_definitions` VALUES (11817, 4334, 4, 'Generar y descargar reclamos HCFA 1500 en papel');
INSERT INTO `lang_definitions` VALUES (11818, 4337, 4, 'Generar y descargar batch X12');
INSERT INTO `lang_definitions` VALUES (11819, 4338, 4, 'Generar y descargar batch X12 de reclamo por visita');
INSERT INTO `lang_definitions` VALUES (11820, 4341, 4, 'Generar y transmitir electrónicamente las recetas autorizadas.');
INSERT INTO `lang_definitions` VALUES (11821, 4342, 4, 'Generar formulario CMS 1500');
INSERT INTO `lang_definitions` VALUES (11822, 4343, 4, 'Gen.form.CMS1500 pdf');
INSERT INTO `lang_definitions` VALUES (11823, 4344, 4, 'Gen.form. CMS1500 texto');
INSERT INTO `lang_definitions` VALUES (11824, 4345, 4, 'Genere HCFA');
INSERT INTO `lang_definitions` VALUES (11825, 4347, 4, 'Generar recibo');
INSERT INTO `lang_definitions` VALUES (11826, 4348, 4, 'Genere la Carta');
INSERT INTO `lang_definitions` VALUES (11827, 4349, 4, 'Generar carta relacionada');
INSERT INTO `lang_definitions` VALUES (11828, 4351, 4, 'Generar informe PQRI (Método A)');
INSERT INTO `lang_definitions` VALUES (11829, 4353, 4, 'Generar informe PQRI (Método E)');
INSERT INTO `lang_definitions` VALUES (11830, 4357, 4, 'Generar informe');
INSERT INTO `lang_definitions` VALUES (11831, 4365, 4, 'Generar usuario y contraseña para');
INSERT INTO `lang_definitions` VALUES (11832, 4366, 4, 'Generar X12');
INSERT INTO `lang_definitions` VALUES (11833, 4368, 4, 'Generar visita X12');
INSERT INTO `lang_definitions` VALUES (11834, 4370, 4, 'Generado en');
INSERT INTO `lang_definitions` VALUES (11835, 4372, 4, 'genera');
INSERT INTO `lang_definitions` VALUES (11836, 4377, 4, 'Genitourinario');
INSERT INTO `lang_definitions` VALUES (11837, 4381, 4, 'Alemán');
INSERT INTO `lang_definitions` VALUES (11838, 4386, 4, 'Obtener HL7');
INSERT INTO `lang_definitions` VALUES (11839, 4392, 4, 'Glaucoma');
INSERT INTO `lang_definitions` VALUES (11840, 4393, 4, 'Historia Familiar de Glaucoma');
INSERT INTO `lang_definitions` VALUES (11841, 4395, 4, 'Global');
INSERT INTO `lang_definitions` VALUES (11842, 4398, 4, 'ID Global');
INSERT INTO `lang_definitions` VALUES (11843, 4399, 4, 'Ajustes Globales');
INSERT INTO `lang_definitions` VALUES (11844, 4400, 4, 'Globales');
INSERT INTO `lang_definitions` VALUES (11845, 4401, 4, 'GM/DL');
INSERT INTO `lang_definitions` VALUES (11846, 4402, 4, 'Ir');
INSERT INTO `lang_definitions` VALUES (11847, 4403, 4, 'Ir');
INSERT INTO `lang_definitions` VALUES (11848, 4404, 4, 'ir');
INSERT INTO `lang_definitions` VALUES (11849, 4405, 4, 'Retroceder');
INSERT INTO `lang_definitions` VALUES (11850, 4407, 4, 'Ir a');
INSERT INTO `lang_definitions` VALUES (11851, 4417, 4, 'Ir a la semana del');
INSERT INTO `lang_definitions` VALUES (11852, 4418, 4, 'Ir hoy');
INSERT INTO `lang_definitions` VALUES (11853, 4419, 4, 'Objetivo A');
INSERT INTO `lang_definitions` VALUES (11854, 4420, 4, 'Objetivo y métodos');
INSERT INTO `lang_definitions` VALUES (11855, 4421, 4, 'Objetivo B');
INSERT INTO `lang_definitions` VALUES (11856, 4422, 4, 'Objetivo C');
INSERT INTO `lang_definitions` VALUES (11857, 4428, 4, 'Grado de la lesión');
INSERT INTO `lang_definitions` VALUES (11858, 4429, 4, 'Grado:');
INSERT INTO `lang_definitions` VALUES (11859, 4430, 4, 'Gramos');
INSERT INTO `lang_definitions` VALUES (11860, 4431, 4, 'Suma total');
INSERT INTO `lang_definitions` VALUES (11861, 4432, 4, 'Sumas totales');
INSERT INTO `lang_definitions` VALUES (11862, 4435, 4, 'Posibilidad de gráfico');
INSERT INTO `lang_definitions` VALUES (11863, 4437, 4, 'Mayor que');
INSERT INTO `lang_definitions` VALUES (11864, 4438, 4, 'Mayor que o Igual a');
INSERT INTO `lang_definitions` VALUES (11865, 4439, 4, 'Griego');
INSERT INTO `lang_definitions` VALUES (11866, 4442, 4, 'Grupo');
INSERT INTO `lang_definitions` VALUES (11867, 4459, 4, 'Nombre de Grupo');
INSERT INTO `lang_definitions` VALUES (11868, 4460, 4, 'Los nombres de los grupos no pueden quedar en blanco');
INSERT INTO `lang_definitions` VALUES (11869, 4461, 4, 'Los nombres de los grupos no pueden iniciar con números');
INSERT INTO `lang_definitions` VALUES (11870, 4462, 4, 'Los nombres de grupo no pueden comenzar con números.');
INSERT INTO `lang_definitions` VALUES (11871, 4463, 4, 'Número de grupo');
INSERT INTO `lang_definitions` VALUES (11872, 4465, 4, 'Pago en grupo');
INSERT INTO `lang_definitions` VALUES (11873, 4471, 4, 'Grupo:');
INSERT INTO `lang_definitions` VALUES (11874, 4472, 4, 'Nombre del grupo');
INSERT INTO `lang_definitions` VALUES (11875, 4475, 4, 'Controles de grupos y accesos');
INSERT INTO `lang_definitions` VALUES (11876, 4476, 4, 'Gráfico de Crecimiento');
INSERT INTO `lang_definitions` VALUES (11877, 4477, 4, 'Gráfico de Crecimiento');
INSERT INTO `lang_definitions` VALUES (11878, 4478, 4, 'gtts (gotas)');
INSERT INTO `lang_definitions` VALUES (11879, 4479, 4, 'Guamés');
INSERT INTO `lang_definitions` VALUES (11880, 4484, 4, 'Nombre del tutor');
INSERT INTO `lang_definitions` VALUES (11881, 4489, 4, 'Examen ginecológico');
INSERT INTO `lang_definitions` VALUES (11882, 4490, 4, 'h');
INSERT INTO `lang_definitions` VALUES (11883, 4492, 4, 'h.s.');
INSERT INTO `lang_definitions` VALUES (11884, 4493, 4, 'H/O Hepatitis');
INSERT INTO `lang_definitions` VALUES (11885, 4494, 4, 'se ha suprimido con éxito. Cualquier eventual sub-categoría, trasladada abajo');
INSERT INTO `lang_definitions` VALUES (11886, 4495, 4, 'Hematoma/moretón');
INSERT INTO `lang_definitions` VALUES (11887, 4496, 4, 'Estado HAI');
INSERT INTO `lang_definitions` VALUES (11888, 4499, 4, 'manos + dedos');
INSERT INTO `lang_definitions` VALUES (11889, 4500, 4, 'Problemas de manos');
INSERT INTO `lang_definitions` VALUES (11890, 4505, 4, 'Disco Duro');
INSERT INTO `lang_definitions` VALUES (11891, 4506, 4, 'Dificultad sin');
INSERT INTO `lang_definitions` VALUES (11892, 4507, 4, 'se ha ligado para visitar');
INSERT INTO `lang_definitions` VALUES (11893, 4508, 4, 'ha expirado');
INSERT INTO `lang_definitions` VALUES (11894, 4509, 4, 'Función Hash');
INSERT INTO `lang_definitions` VALUES (11895, 4511, 4, 'No existe hash para este fichero. Un nuevo hash será generado.');
INSERT INTO `lang_definitions` VALUES (11896, 4512, 4, 'Hash no coincide. La integridad de datos se ha visto comprometida.');
INSERT INTO `lang_definitions` VALUES (11897, 4515, 4, 'Hawaiano');
INSERT INTO `lang_definitions` VALUES (11898, 4516, 4, 'Actividades peligrosas');
INSERT INTO `lang_definitions` VALUES (11899, 4517, 4, 'Actividades peligrosas');
INSERT INTO `lang_definitions` VALUES (11900, 4521, 4, 'Margen izquierdo de HCFA en puntos');
INSERT INTO `lang_definitions` VALUES (11901, 4522, 4, 'Márgenes de HCFA');
INSERT INTO `lang_definitions` VALUES (11902, 4523, 4, 'Margen superior de HCFA en puntos');
INSERT INTO `lang_definitions` VALUES (11903, 4524, 4, 'Procedimiento/Servicio HCPCS');
INSERT INTO `lang_definitions` VALUES (11904, 4527, 4, 'Publicar Calendario');
INSERT INTO `lang_definitions` VALUES (11905, 4528, 4, 'Cabeza');
INSERT INTO `lang_definitions` VALUES (11906, 4529, 4, 'Circunferencia de la cabeza');
INSERT INTO `lang_definitions` VALUES (11907, 4530, 4, 'Circunferencia de la cabeza');
INSERT INTO `lang_definitions` VALUES (11908, 4531, 4, 'Dolor de cabeza');
INSERT INTO `lang_definitions` VALUES (11909, 4532, 4, 'Dolores de cabeza');
INSERT INTO `lang_definitions` VALUES (11910, 4534, 4, 'Operaciones de atención médica');
INSERT INTO `lang_definitions` VALUES (11911, 4535, 4, 'Operaciones de Atención Médica');
INSERT INTO `lang_definitions` VALUES (11912, 4537, 4, 'Centro de salud/clínica');
INSERT INTO `lang_definitions` VALUES (11913, 4540, 4, 'Organización para el mantenimiento de la salud');
INSERT INTO `lang_definitions` VALUES (11914, 4541, 4, 'Riesgo de Medicare de la organización de mantenimiento de salud (HMO)');
INSERT INTO `lang_definitions` VALUES (11915, 4542, 4, 'Pérdida de Oído');
INSERT INTO `lang_definitions` VALUES (11916, 4543, 4, 'Ataque del Corazón');
INSERT INTO `lang_definitions` VALUES (11917, 4544, 4, 'Enfermedad del corazón');
INSERT INTO `lang_definitions` VALUES (11918, 4545, 4, 'Fallo cardiaco');
INSERT INTO `lang_definitions` VALUES (11919, 4546, 4, 'Problema del Corazón');
INSERT INTO `lang_definitions` VALUES (11920, 4547, 4, 'Problemas de corazón');
INSERT INTO `lang_definitions` VALUES (11921, 4548, 4, 'Cirugía del Corazón');
INSERT INTO `lang_definitions` VALUES (11922, 4549, 4, 'Transplante de corazón');
INSERT INTO `lang_definitions` VALUES (11923, 4550, 4, 'CORAZÓN:');
INSERT INTO `lang_definitions` VALUES (11924, 4551, 4, 'Ardor de estómago');
INSERT INTO `lang_definitions` VALUES (11925, 4552, 4, 'Calor o Frío');
INSERT INTO `lang_definitions` VALUES (11926, 4553, 4, 'Calor o Frío');
INSERT INTO `lang_definitions` VALUES (11927, 4555, 4, 'Hebreo');
INSERT INTO `lang_definitions` VALUES (11928, 4557, 4, 'Cabeza, ojos, ORL');
INSERT INTO `lang_definitions` VALUES (11929, 4558, 4, 'Altura');
INSERT INTO `lang_definitions` VALUES (11930, 4560, 4, 'Ayuda');
INSERT INTO `lang_definitions` VALUES (11931, 4561, 4, 'ayuda');
INSERT INTO `lang_definitions` VALUES (11932, 4563, 4, 'Hematemesis');
INSERT INTO `lang_definitions` VALUES (11933, 4564, 4, 'Hematoquecia (rectorragia)');
INSERT INTO `lang_definitions` VALUES (11934, 4565, 4, 'Hematológico');
INSERT INTO `lang_definitions` VALUES (11935, 4566, 4, 'Hematuria');
INSERT INTO `lang_definitions` VALUES (11936, 4567, 4, 'Hemoglobina');
INSERT INTO `lang_definitions` VALUES (11937, 4568, 4, 'Hemoglobina A1C');
INSERT INTO `lang_definitions` VALUES (11938, 4569, 4, 'Hemoptisis');
INSERT INTO `lang_definitions` VALUES (11939, 4570, 4, 'Hepatitis');
INSERT INTO `lang_definitions` VALUES (11940, 4571, 4, 'Hepatitis A 1');
INSERT INTO `lang_definitions` VALUES (11941, 4572, 4, 'Hepatitis A 2');
INSERT INTO `lang_definitions` VALUES (11942, 4573, 4, 'Hepatitis B 1');
INSERT INTO `lang_definitions` VALUES (11943, 4574, 4, 'Hepatitis B 2');
INSERT INTO `lang_definitions` VALUES (11944, 4575, 4, 'Hepatitis B 3');
INSERT INTO `lang_definitions` VALUES (11945, 4576, 4, 'aqui');
INSERT INTO `lang_definitions` VALUES (11946, 4580, 4, 'Reparación de la hernia');
INSERT INTO `lang_definitions` VALUES (11947, 4581, 4, 'disco herniado');
INSERT INTO `lang_definitions` VALUES (11948, 4582, 4, 'Herpes');
INSERT INTO `lang_definitions` VALUES (11949, 4585, 4, 'Vacilación');
INSERT INTO `lang_definitions` VALUES (11950, 4586, 4, 'Ey, tú. has estado aquí para');
INSERT INTO `lang_definitions` VALUES (11951, 4587, 4, 'Hib 1');
INSERT INTO `lang_definitions` VALUES (11952, 4588, 4, 'Hib 2');
INSERT INTO `lang_definitions` VALUES (11953, 4589, 4, 'Hib 3');
INSERT INTO `lang_definitions` VALUES (11954, 4590, 4, 'Hib 4');
INSERT INTO `lang_definitions` VALUES (11955, 4591, 4, 'Oculto');
INSERT INTO `lang_definitions` VALUES (11956, 4592, 4, 'Administración de eventos ocultos');
INSERT INTO `lang_definitions` VALUES (11957, 4593, 4, 'Ocultar');
INSERT INTO `lang_definitions` VALUES (11958, 4595, 4, 'Ocultar detalles');
INSERT INTO `lang_definitions` VALUES (11959, 4597, 4, 'Ocultar las opciones de cifrado/descifrado en la gestión de documentos');
INSERT INTO `lang_definitions` VALUES (11960, 4599, 4, 'Ocultar Menu');
INSERT INTO `lang_definitions` VALUES (11961, 4601, 4, 'Ocultar Recordatorios');
INSERT INTO `lang_definitions` VALUES (11962, 4603, 4, 'Ocultar/Mostrar Columnas');
INSERT INTO `lang_definitions` VALUES (11963, 4605, 4, 'Alto');
INSERT INTO `lang_definitions` VALUES (11964, 4607, 4, 'Presión Sanguínea Alta');
INSERT INTO `lang_definitions` VALUES (11965, 4609, 4, 'Hindú');
INSERT INTO `lang_definitions` VALUES (11966, 4610, 4, 'Cadera + ingle');
INSERT INTO `lang_definitions` VALUES (11967, 4611, 4, 'Cadera y ingle');
INSERT INTO `lang_definitions` VALUES (11968, 4612, 4, 'Problemas de cadera');
INSERT INTO `lang_definitions` VALUES (11969, 4613, 4, 'Reemplazo de Cadera');
INSERT INTO `lang_definitions` VALUES (11970, 4615, 4, 'Aviso Recibido de HIPPA');
INSERT INTO `lang_definitions` VALUES (11971, 4617, 4, 'Hirsutismo/Estrías');
INSERT INTO `lang_definitions` VALUES (11972, 4618, 4, 'Hispano');
INSERT INTO `lang_definitions` VALUES (11973, 4619, 4, 'Hispano - Otro (Nacido en EEUU)');
INSERT INTO `lang_definitions` VALUES (11974, 4620, 4, 'Hispano - Otro (Nacido fura de EEUU)');
INSERT INTO `lang_definitions` VALUES (11975, 4621, 4, 'Hispano o Latino');
INSERT INTO `lang_definitions` VALUES (11976, 4623, 4, 'Historial');
INSERT INTO `lang_definitions` VALUES (11977, 4629, 4, 'Historia de Datos');
INSERT INTO `lang_definitions` VALUES (11978, 4630, 4, 'Fecha de Historia');
INSERT INTO `lang_definitions` VALUES (11979, 4632, 4, 'Historia de Murmullos');
INSERT INTO `lang_definitions` VALUES (11980, 4633, 4, 'Historia no está Autorizado');
INSERT INTO `lang_definitions` VALUES (11981, 4634, 4, 'Historia de Murmullos de Corazón');
INSERT INTO `lang_definitions` VALUES (11982, 4638, 4, 'Hits');
INSERT INTO `lang_definitions` VALUES (11983, 4639, 4, 'HIV');
INSERT INTO `lang_definitions` VALUES (11984, 4649, 4, 'Visor HL7');
INSERT INTO `lang_definitions` VALUES (11985, 4651, 4, 'HMO/L');
INSERT INTO `lang_definitions` VALUES (11986, 4652, 4, 'Hmong');
INSERT INTO `lang_definitions` VALUES (11987, 4653, 4, 'Mantener apretado Control para selecciones múltiples o deseleccionar');
INSERT INTO `lang_definitions` VALUES (11988, 4655, 4, 'Mantener apretado Control para seleccionar múltiples elementos');
INSERT INTO `lang_definitions` VALUES (11989, 4656, 4, 'Mantenga presionada la tecla CTRL para seleccionar varios escuadrones');
INSERT INTO `lang_definitions` VALUES (11990, 4658, 4, 'Inicio');
INSERT INTO `lang_definitions` VALUES (11991, 4659, 4, 'Teléfono de casa');
INSERT INTO `lang_definitions` VALUES (11992, 4660, 4, 'Teléfono de Casa');
INSERT INTO `lang_definitions` VALUES (11993, 4662, 4, 'Sin hogar o similares?');
INSERT INTO `lang_definitions` VALUES (11994, 4664, 4, 'Sin hogar, etc.');
INSERT INTO `lang_definitions` VALUES (11995, 4665, 4, 'Sin hogar, etc');
INSERT INTO `lang_definitions` VALUES (11996, 4674, 4, 'Nombre de Huesped');
INSERT INTO `lang_definitions` VALUES (11997, 4675, 4, 'El nombre del huesped no puede estar vacio');
INSERT INTO `lang_definitions` VALUES (11998, 4677, 4, 'Hora');
INSERT INTO `lang_definitions` VALUES (11999, 4678, 4, 'Horas');
INSERT INTO `lang_definitions` VALUES (12000, 4681, 4, '¿Cómo ocurrió la lesión?');
INSERT INTO `lang_definitions` VALUES (12001, 4682, 4, '¿Cómo ocurrió la lesión?:');
INSERT INTO `lang_definitions` VALUES (12002, 4683, 4, 'Como nos ha conocido');
INSERT INTO `lang_definitions` VALUES (12003, 4685, 4, '¿Cuántos meses de antelación a la consulta para los próximos eventos?');
INSERT INTO `lang_definitions` VALUES (12004, 4692, 4, 'Hist.Enfd.Actual:');
INSERT INTO `lang_definitions` VALUES (12005, 4694, 4, 'Altura');
INSERT INTO `lang_definitions` VALUES (12006, 4695, 4, 'HTML');
INSERT INTO `lang_definitions` VALUES (12007, 4699, 4, 'Vínculo Https segurizado para el soporte OpenEMR LLC Servicio de tránsito de datos de laboratorio.');
INSERT INTO `lang_definitions` VALUES (12008, 4701, 4, 'Húngaro');
INSERT INTO `lang_definitions` VALUES (12009, 4702, 4, 'Hylafax Directorio');
INSERT INTO `lang_definitions` VALUES (12010, 4703, 4, 'Hylafax Commando Enscript');
INSERT INTO `lang_definitions` VALUES (12011, 4704, 4, 'Hylafax Servidor');
INSERT INTO `lang_definitions` VALUES (12012, 4705, 4, 'Hylafax Servidor Hostname');
INSERT INTO `lang_definitions` VALUES (12013, 4706, 4, 'Hiperactivo');
INSERT INTO `lang_definitions` VALUES (12014, 4708, 4, 'Hipertensión');
INSERT INTO `lang_definitions` VALUES (12015, 4709, 4, 'Hipertensión: Medida de presión arterial');
INSERT INTO `lang_definitions` VALUES (12016, 4710, 4, 'Hipertensión: Medida de presión arterial (GCC)');
INSERT INTO `lang_definitions` VALUES (12017, 4711, 4, 'Hipertiroidismo');
INSERT INTO `lang_definitions` VALUES (12018, 4713, 4, 'Hipotiroidismo');
INSERT INTO `lang_definitions` VALUES (12019, 4716, 4, 'Histerectomía');
INSERT INTO `lang_definitions` VALUES (12020, 4717, 4, 'I');
INSERT INTO `lang_definitions` VALUES (12021, 4718, 4, 'Estoy ocupado durante este periodo.');
INSERT INTO `lang_definitions` VALUES (12022, 4719, 4, 'No tengo permiso para leer');
INSERT INTO `lang_definitions` VALUES (12023, 4724, 4, 'ICD');
INSERT INTO `lang_definitions` VALUES (12024, 4725, 4, 'Diagnóstico ICD10');
INSERT INTO `lang_definitions` VALUES (12025, 4726, 4, 'Procedimiento/Servicio ICD10');
INSERT INTO `lang_definitions` VALUES (12026, 4727, 4, 'ICD9');
INSERT INTO `lang_definitions` VALUES (12027, 4728, 4, 'Diagnóstico ICD9');
INSERT INTO `lang_definitions` VALUES (12028, 4729, 4, 'Procedimiento/Servicio ICD9');
INSERT INTO `lang_definitions` VALUES (12029, 4734, 4, 'Nº Identificación');
INSERT INTO `lang_definitions` VALUES (12030, 4736, 4, 'Id');
INSERT INTO `lang_definitions` VALUES (12031, 4738, 4, 'La ID no puede quedar en blanco');
INSERT INTO `lang_definitions` VALUES (12032, 4739, 4, 'Tarjeta ID');
INSERT INTO `lang_definitions` VALUES (12033, 4742, 4, 'IDays');
INSERT INTO `lang_definitions` VALUES (12034, 4743, 4, 'identificado como');
INSERT INTO `lang_definitions` VALUES (12035, 4745, 4, 'Identificador (una palabra)');
INSERT INTO `lang_definitions` VALUES (12036, 4746, 4, 'Código de identificación');
INSERT INTO `lang_definitions` VALUES (12037, 4747, 4, 'Tiempo de espera inactivo en segundos');
INSERT INTO `lang_definitions` VALUES (12038, 4755, 4, 'Si todos los datos para todas las columnas están completos para este formulario');
INSERT INTO `lang_definitions` VALUES (12039, 4757, 4, 'Si la justificación de facturación se utiliza introduzca el nombre del código de tipo de diagnóstico.');
INSERT INTO `lang_definitions` VALUES (12040, 4763, 4, 'Si es introducido, seleccione solamente aquel que ha tenido este servicio');
INSERT INTO `lang_definitions` VALUES (12041, 4765, 4, 'Si el nombre, apellido de cualquier parte o apellido, Nombre');
INSERT INTO `lang_definitions` VALUES (12042, 4770, 4, 'Si pagando por');
INSERT INTO `lang_definitions` VALUES (12043, 4771, 4, 'Si la persona ha fallecido, introducir la fecha de la muerte.');
INSERT INTO `lang_definitions` VALUES (12044, 4775, 4, 'Si usa SMTP, nombre del servidor host o la dirección IP.');
INSERT INTO `lang_definitions` VALUES (12045, 4776, 4, 'Si usa SMTP, puerto TCP del servidor (normalmente 25).');
INSERT INTO `lang_definitions` VALUES (12046, 4803, 4, 'Si no tiene trabajo, poner Estudiante');
INSERT INTO `lang_definitions` VALUES (12047, 4814, 4, 'Si cambia el rol de la ePrescripción de receta electrónica, puede afectar al flujo de la ePrescripción. Frente a cualquier dificultad, contacte con su prescriptor de ePrescripción.');
INSERT INTO `lang_definitions` VALUES (12048, 4833, 4, 'Si ha optado por subir remesas electrónicas la ventana de búsqueda muestra las facturas X12 correspondientes del archivo. Puede hacer clic en cualquiera de estos números de factura (como se describe a continuación) si desea hacer las correcciones antes de enviar la información. Para aplicar los cambios, haga clic en el botón de Procesar Archivos ERA en la parte inferior de la página. Esto producirá una nueva ventana con un informe detallado.');
INSERT INTO `lang_definitions` VALUES (12049, 4836, 4, 'Si usted ha incorporado una fecha de pago a la página de la búsqueda, ésta eliminará la fecha de pagos original y los ajustes que se toman del archivo X12. Esto puede serle útil si usted quiere que sus recibos muestren la fecha original en lugar de la fecha admitida por el seguro. Observe que esto también afectará a las fechas de pagos anteriores y a los ajustes que se ponen en demandas secundarias.');
INSERT INTO `lang_definitions` VALUES (12050, 4850, 4, 'Si quiere cambiar tipos de datos, o añadir filas o columnas');
INSERT INTO `lang_definitions` VALUES (12051, 4851, 4, 'Si quiere actualizar la base de datos, coloque el fichero comprimido de base de datos en el siguiente directorio');
INSERT INTO `lang_definitions` VALUES (12052, 4854, 4, 'Desconocido');
INSERT INTO `lang_definitions` VALUES (12053, 4856, 4, 'Enfermedad');
INSERT INTO `lang_definitions` VALUES (12054, 4857, 4, 'IM');
INSERT INTO `lang_definitions` VALUES (12055, 4863, 4, 'Servicio de imágenes');
INSERT INTO `lang_definitions` VALUES (12056, 4865, 4, 'Vacunación');
INSERT INTO `lang_definitions` VALUES (12057, 4867, 4, 'Código Vacunación');
INSERT INTO `lang_definitions` VALUES (12058, 4869, 4, 'Fecha Vacunación');
INSERT INTO `lang_definitions` VALUES (12059, 4872, 4, 'Número de lote Vacunación');
INSERT INTO `lang_definitions` VALUES (12060, 4873, 4, 'Fabricante de Vacuna');
INSERT INTO `lang_definitions` VALUES (12061, 4878, 4, 'Registro Vacunación');
INSERT INTO `lang_definitions` VALUES (12062, 4882, 4, 'Servicio de Vacunación');
INSERT INTO `lang_definitions` VALUES (12063, 4883, 4, 'Título Vacunación');
INSERT INTO `lang_definitions` VALUES (12064, 4885, 4, 'Inmunizaciones');
INSERT INTO `lang_definitions` VALUES (12065, 4887, 4, 'inmunizar');
INSERT INTO `lang_definitions` VALUES (12066, 4888, 4, 'Inmunológicas');
INSERT INTO `lang_definitions` VALUES (12067, 4893, 4, 'Implantes');
INSERT INTO `lang_definitions` VALUES (12068, 4894, 4, 'Importar');
INSERT INTO `lang_definitions` VALUES (12069, 4896, 4, 'Importar ACDC');
INSERT INTO `lang_definitions` VALUES (12070, 4898, 4, 'Importarr el certificado al buscador');
INSERT INTO `lang_definitions` VALUES (12071, 4899, 4, 'Importar configuración');
INSERT INTO `lang_definitions` VALUES (12072, 4904, 4, 'Paciente de importación');
INSERT INTO `lang_definitions` VALUES (12073, 4905, 4, 'Paciente de importación Demografía');
INSERT INTO `lang_definitions` VALUES (12074, 4910, 4, 'Códigos importantes');
INSERT INTO `lang_definitions` VALUES (12075, 4914, 4, 'Importados de Contabilidad');
INSERT INTO `lang_definitions` VALUES (12076, 4920, 4, 'Mejorado');
INSERT INTO `lang_definitions` VALUES (12077, 4922, 4, 'en');
INSERT INTO `lang_definitions` VALUES (12078, 4923, 4, 'ingreso');
INSERT INTO `lang_definitions` VALUES (12079, 4931, 4, 'dentro de cada ojo');
INSERT INTO `lang_definitions` VALUES (12080, 4934, 4, 'en ojo izquierdo');
INSERT INTO `lang_definitions` VALUES (12081, 4935, 4, 'en los agujeros de la nariz');
INSERT INTO `lang_definitions` VALUES (12082, 4936, 4, 'En la oficina');
INSERT INTO `lang_definitions` VALUES (12083, 4947, 4, 'en ojo derecho');
INSERT INTO `lang_definitions` VALUES (12084, 4958, 4, 'Dentro de la empresa');
INSERT INTO `lang_definitions` VALUES (12085, 4960, 4, 'Inactivo');
INSERT INTO `lang_definitions` VALUES (12086, 4965, 4, 'Días no activo');
INSERT INTO `lang_definitions` VALUES (12087, 4967, 4, 'Entrada');
INSERT INTO `lang_definitions` VALUES (12088, 4970, 4, 'Incluya checksum');
INSERT INTO `lang_definitions` VALUES (12089, 4971, 4, 'Incluya completado');
INSERT INTO `lang_definitions` VALUES (12090, 4974, 4, 'Incluir los usuarios inactivos');
INSERT INTO `lang_definitions` VALUES (12091, 4975, 4, 'Incluir a un no clasificado');
INSERT INTO `lang_definitions` VALUES (12092, 4976, 4, 'Incluir datos no estructurados');
INSERT INTO `lang_definitions` VALUES (12093, 4977, 4, 'Incluir constantes vitales');
INSERT INTO `lang_definitions` VALUES (12094, 4978, 4, '¿Incluir las constantes vitales?');
INSERT INTO `lang_definitions` VALUES (12095, 4981, 4, 'Inclusión');
INSERT INTO `lang_definitions` VALUES (12096, 4982, 4, 'Ingresos');
INSERT INTO `lang_definitions` VALUES (12097, 4984, 4, 'Incompleto');
INSERT INTO `lang_definitions` VALUES (12098, 4985, 4, 'Tratamiento Aborto incompleto');
INSERT INTO `lang_definitions` VALUES (12099, 4986, 4, 'Incontinencia');
INSERT INTO `lang_definitions` VALUES (12100, 4987, 4, 'Incorporar resultados clínicos del test de laboratorio al certificado tecnológico EHR como estructura');
INSERT INTO `lang_definitions` VALUES (12101, 4990, 4, 'aumentado:');
INSERT INTO `lang_definitions` VALUES (12102, 4991, 4, 'Seguro de Indemnización');
INSERT INTO `lang_definitions` VALUES (12103, 4994, 4, 'indeterminado');
INSERT INTO `lang_definitions` VALUES (12104, 4995, 4, 'Indio');
INSERT INTO `lang_definitions` VALUES (12105, 4998, 4, 'Indica anormalidad');
INSERT INTO `lang_definitions` VALUES (12106, 5000, 4, 'Indica si esta incidencia está activa');
INSERT INTO `lang_definitions` VALUES (12107, 5002, 4, 'Indicador de uso especializado');
INSERT INTO `lang_definitions` VALUES (12108, 5003, 4, 'Pacientes indigentes');
INSERT INTO `lang_definitions` VALUES (12109, 5004, 4, 'Informe de Pacientes Indigentes');
INSERT INTO `lang_definitions` VALUES (12110, 5005, 4, 'Indigentes');
INSERT INTO `lang_definitions` VALUES (12111, 5010, 4, 'Aborto Inducido');
INSERT INTO `lang_definitions` VALUES (12112, 5012, 4, 'Inelegible');
INSERT INTO `lang_definitions` VALUES (12113, 5013, 4, 'Infección/abceso');
INSERT INTO `lang_definitions` VALUES (12114, 5014, 4, 'Infecciones');
INSERT INTO `lang_definitions` VALUES (12115, 5015, 4, 'Consejo Infertilidad');
INSERT INTO `lang_definitions` VALUES (12116, 5016, 4, 'Infertilidad');
INSERT INTO `lang_definitions` VALUES (12117, 5017, 4, 'Gripe 1');
INSERT INTO `lang_definitions` VALUES (12118, 5018, 4, 'Gripe 2');
INSERT INTO `lang_definitions` VALUES (12119, 5019, 4, 'Vacunación gripe p/ pacientes may.50 años');
INSERT INTO `lang_definitions` VALUES (12120, 5020, 4, 'Vacunación gripe p/ pacientes may.50 años (GCC)');
INSERT INTO `lang_definitions` VALUES (12121, 5021, 4, 'Vacuna gripe');
INSERT INTO `lang_definitions` VALUES (12122, 5022, 4, 'Información');
INSERT INTO `lang_definitions` VALUES (12123, 5023, 4, 'Información de ensayo 1');
INSERT INTO `lang_definitions` VALUES (12124, 5024, 4, 'Información de ensayo 2');
INSERT INTO `lang_definitions` VALUES (12125, 5025, 4, 'Información de ensayo 3');
INSERT INTO `lang_definitions` VALUES (12126, 5026, 4, 'Información de ensayo 4');
INSERT INTO `lang_definitions` VALUES (12127, 5027, 4, 'Información de ensayo 5');
INSERT INTO `lang_definitions` VALUES (12128, 5028, 4, 'Información de ensayo 6');
INSERT INTO `lang_definitions` VALUES (12129, 5034, 4, 'Inhalaciones');
INSERT INTO `lang_definitions` VALUES (12130, 5036, 4, 'Inhalaciones');
INSERT INTO `lang_definitions` VALUES (12131, 5039, 4, 'Usuario Inicial');
INSERT INTO `lang_definitions` VALUES (12132, 5041, 4, 'Lesión/Rehabilitación');
INSERT INTO `lang_definitions` VALUES (12133, 5042, 4, 'Inyectables');
INSERT INTO `lang_definitions` VALUES (12134, 5043, 4, 'Inyeccion');
INSERT INTO `lang_definitions` VALUES (12135, 5044, 4, 'Parte del cuerpo lesionada');
INSERT INTO `lang_definitions` VALUES (12136, 5045, 4, 'Herido a Fuera');
INSERT INTO `lang_definitions` VALUES (12137, 5046, 4, 'Herido');
INSERT INTO `lang_definitions` VALUES (12138, 5047, 4, 'Mecanismo de lesión');
INSERT INTO `lang_definitions` VALUES (12139, 5048, 4, 'Informe General de lesión');
INSERT INTO `lang_definitions` VALUES (12140, 5049, 4, 'Vigilancia de Lesiones');
INSERT INTO `lang_definitions` VALUES (12141, 5050, 4, 'Tipo de lesión');
INSERT INTO `lang_definitions` VALUES (12142, 5051, 4, 'Relacionado a lesion/enfermedad');
INSERT INTO `lang_definitions` VALUES (12143, 5056, 4, 'Campos de entrada');
INSERT INTO `lang_definitions` VALUES (12144, 5057, 4, 'Tiempo Protrombina');
INSERT INTO `lang_definitions` VALUES (12145, 5058, 4, 'Aseg 1');
INSERT INTO `lang_definitions` VALUES (12146, 5059, 4, 'Aseg 2 o Aseg 3');
INSERT INTO `lang_definitions` VALUES (12147, 5061, 4, 'Ajuste Seg');
INSERT INTO `lang_definitions` VALUES (12148, 5062, 4, 'paquete de seguro');
INSERT INTO `lang_definitions` VALUES (12149, 5063, 4, 'Código Aseguradora');
INSERT INTO `lang_definitions` VALUES (12150, 5066, 4, 'Sobre pago Seg');
INSERT INTO `lang_definitions` VALUES (12151, 5068, 4, 'Reembolso Seg');
INSERT INTO `lang_definitions` VALUES (12152, 5069, 4, 'Resumen Seg');
INSERT INTO `lang_definitions` VALUES (12153, 5071, 4, 'Seg1');
INSERT INTO `lang_definitions` VALUES (12154, 5072, 4, 'Seg2');
INSERT INTO `lang_definitions` VALUES (12155, 5073, 4, 'Seg3');
INSERT INTO `lang_definitions` VALUES (12156, 5075, 4, 'Insertar fallido:');
INSERT INTO `lang_definitions` VALUES (12157, 5079, 4, 'Introduzca los eventos antiguos en tablas');
INSERT INTO `lang_definitions` VALUES (12158, 5085, 4, 'Insomnio');
INSERT INTO `lang_definitions` VALUES (12159, 5087, 4, 'Inspección');
INSERT INTO `lang_definitions` VALUES (12160, 5088, 4, 'Inestabilidad/subluxación');
INSERT INTO `lang_definitions` VALUES (12161, 5089, 4, 'INSTALAR');
INSERT INTO `lang_definitions` VALUES (12162, 5090, 4, 'Instalar');
INSERT INTO `lang_definitions` VALUES (12163, 5093, 4, 'Instalar BD');
INSERT INTO `lang_definitions` VALUES (12164, 5100, 4, 'Versión instalada');
INSERT INTO `lang_definitions` VALUES (12165, 5102, 4, 'instrucciones');
INSERT INTO `lang_definitions` VALUES (12166, 5103, 4, 'Instrucción');
INSERT INTO `lang_definitions` VALUES (12167, 5104, 4, 'instrucciones:');
INSERT INTO `lang_definitions` VALUES (12168, 5105, 4, 'instrucciones:');
INSERT INTO `lang_definitions` VALUES (12169, 5107, 4, 'Inventario insuficiente para ID producto');
INSERT INTO `lang_definitions` VALUES (12170, 5108, 4, 'Diabetes insulino dependente');
INSERT INTO `lang_definitions` VALUES (12171, 5109, 4, 'Seguro');
INSERT INTO `lang_definitions` VALUES (12172, 5110, 4, 'Seguro');
INSERT INTO `lang_definitions` VALUES (12173, 5112, 4, 'Ajuste seguro');
INSERT INTO `lang_definitions` VALUES (12174, 5113, 4, 'Ajuste seguro');
INSERT INTO `lang_definitions` VALUES (12175, 5114, 4, 'Saldo del seguro');
INSERT INTO `lang_definitions` VALUES (12176, 5115, 4, 'Deuda seguro');
INSERT INTO `lang_definitions` VALUES (12177, 5116, 4, 'Seguro');
INSERT INTO `lang_definitions` VALUES (12178, 5117, 4, 'Cñias.Seguro Médico');
INSERT INTO `lang_definitions` VALUES (12179, 5118, 4, 'Cñia.Seguro Médico');
INSERT INTO `lang_definitions` VALUES (12180, 5119, 4, 'Cñia.Seguro Médico Buscar/Añadir');
INSERT INTO `lang_definitions` VALUES (12181, 5121, 4, 'Data Seguro');
INSERT INTO `lang_definitions` VALUES (12182, 5124, 4, 'Información del Seguro en fichero');
INSERT INTO `lang_definitions` VALUES (12183, 5126, 4, 'Num Seguro');
INSERT INTO `lang_definitions` VALUES (12184, 5127, 4, 'Pago Aseguradora');
INSERT INTO `lang_definitions` VALUES (12185, 5129, 4, 'Proveedor de Seguro');
INSERT INTO `lang_definitions` VALUES (12186, 5133, 4, 'Asegurado');
INSERT INTO `lang_definitions` VALUES (12187, 5134, 4, 'Conclusión Ingesta');
INSERT INTO `lang_definitions` VALUES (12188, 5135, 4, 'Fecha de Ingesta');
INSERT INTO `lang_definitions` VALUES (12189, 5138, 4, 'Declinación intelectual');
INSERT INTO `lang_definitions` VALUES (12190, 5149, 4, 'Error interno - no se seleccionó ningunas páginas!');
INSERT INTO `lang_definitions` VALUES (12191, 5150, 4, 'Error interno - Nº Identificación del paciente no proporcionado!');
INSERT INTO `lang_definitions` VALUES (12192, 5151, 4, '¡Error interno al accede al fichero adjunto!');
INSERT INTO `lang_definitions` VALUES (12193, 5153, 4, '¡Error interno!');
INSERT INTO `lang_definitions` VALUES (12194, 5154, 4, 'Error interno, no identificación de drogas especificada');
INSERT INTO `lang_definitions` VALUES (12195, 5156, 4, 'Error interno: reclamo');
INSERT INTO `lang_definitions` VALUES (12196, 5157, 4, 'Error Interno: Encuentro');
INSERT INTO `lang_definitions` VALUES (12197, 5158, 4, 'Error interno: pid o se encuentran desaparecidos.');
INSERT INTO `lang_definitions` VALUES (12198, 5159, 4, 'Error interno: no parece haber una visita!');
INSERT INTO `lang_definitions` VALUES (12199, 5160, 4, 'Identificador interno (pid)');
INSERT INTO `lang_definitions` VALUES (12200, 5163, 4, 'Derivaciones Internas');
INSERT INTO `lang_definitions` VALUES (12201, 5164, 4, 'Tiempo de coleccion interno');
INSERT INTO `lang_definitions` VALUES (12202, 5165, 4, 'Deber Internacional');
INSERT INTO `lang_definitions` VALUES (12203, 5167, 4, 'Intérprete');
INSERT INTO `lang_definitions` VALUES (12204, 5168, 4, 'Require Intérprete?');
INSERT INTO `lang_definitions` VALUES (12205, 5169, 4, 'Enfermedad Pulmonar Intersticial');
INSERT INTO `lang_definitions` VALUES (12206, 5170, 4, 'Intervalo');
INSERT INTO `lang_definitions` VALUES (12207, 5173, 4, 'Intervención');
INSERT INTO `lang_definitions` VALUES (12208, 5175, 4, 'Intolerancia');
INSERT INTO `lang_definitions` VALUES (12209, 5178, 4, 'Intramuscularmente');
INSERT INTO `lang_definitions` VALUES (12210, 5181, 4, 'Intravenoso');
INSERT INTO `lang_definitions` VALUES (12211, 5182, 4, 'Introducción');
INSERT INTO `lang_definitions` VALUES (12212, 5185, 4, 'Carácter inválido en');
INSERT INTO `lang_definitions` VALUES (12213, 5195, 4, 'Longitud inválida para');
INSERT INTO `lang_definitions` VALUES (12214, 5196, 4, 'Carácter no-numérico inválido en');
INSERT INTO `lang_definitions` VALUES (12215, 5197, 4, 'Inválido o pagador ausente en fuente para código');
INSERT INTO `lang_definitions` VALUES (12216, 5200, 4, 'Códigos de Servicio Inválidos');
INSERT INTO `lang_definitions` VALUES (12217, 5201, 4, 'Designación de la fuente inválida -');
INSERT INTO `lang_definitions` VALUES (12218, 5204, 4, 'InvAmt');
INSERT INTO `lang_definitions` VALUES (12219, 5205, 4, 'Inventario');
INSERT INTO `lang_definitions` VALUES (12220, 5206, 4, 'Actividad de inventario');
INSERT INTO `lang_definitions` VALUES (12221, 5207, 4, 'Inventario y venta, ambos medicamentos y productos no farmacológicos');
INSERT INTO `lang_definitions` VALUES (12222, 5208, 4, 'Inventario y venta medicamentos sólo');
INSERT INTO `lang_definitions` VALUES (12223, 5209, 4, 'El inventario no está disponible para esta orden.');
INSERT INTO `lang_definitions` VALUES (12224, 5210, 4, 'Lista de Inventario');
INSERT INTO `lang_definitions` VALUES (12225, 5211, 4, 'Inventario Transacciones');
INSERT INTO `lang_definitions` VALUES (12226, 5212, 4, 'Factura');
INSERT INTO `lang_definitions` VALUES (12227, 5213, 4, 'factura');
INSERT INTO `lang_definitions` VALUES (12228, 5215, 4, 'Factura saldo');
INSERT INTO `lang_definitions` VALUES (12229, 5216, 4, 'Factura saldo no puede ser enviado. No hay visita creada.');
INSERT INTO `lang_definitions` VALUES (12230, 5217, 4, 'Fecha de Factura');
INSERT INTO `lang_definitions` VALUES (12231, 5219, 4, 'Factura no tiene fecha');
INSERT INTO `lang_definitions` VALUES (12232, 5220, 4, 'Número Factura');
INSERT INTO `lang_definitions` VALUES (12233, 5221, 4, 'Número Referencia Factura');
INSERT INTO `lang_definitions` VALUES (12234, 5222, 4, 'Número referencia lote de facturas, si se usa');
INSERT INTO `lang_definitions` VALUES (12235, 5223, 4, 'Número referencia de lotes de factura');
INSERT INTO `lang_definitions` VALUES (12236, 5224, 4, 'Número referencia factura');
INSERT INTO `lang_definitions` VALUES (12237, 5226, 4, 'Factura:');
INSERT INTO `lang_definitions` VALUES (12238, 5237, 4, 'Fundación Internacional de Planificación Familiar');
INSERT INTO `lang_definitions` VALUES (12239, 5240, 4, 'Datos para SRH IPPF');
INSERT INTO `lang_definitions` VALUES (12240, 5241, 4, 'Informe de las estadísticas de IPPF');
INSERT INTO `lang_definitions` VALUES (12241, 5242, 4, 'Estado Fundación Internacional de Planificación Familiar');
INSERT INTO `lang_definitions` VALUES (12242, 5243, 4, 'IPV 1');
INSERT INTO `lang_definitions` VALUES (12243, 5244, 4, 'IPV 2');
INSERT INTO `lang_definitions` VALUES (12244, 5245, 4, 'IPV 3');
INSERT INTO `lang_definitions` VALUES (12245, 5246, 4, 'IPV 4');
INSERT INTO `lang_definitions` VALUES (12246, 5249, 4, 'Latido de Corazón Irregular');
INSERT INTO `lang_definitions` VALUES (12247, 5250, 4, 'Irritabilidad');
INSERT INTO `lang_definitions` VALUES (12248, 5251, 4, 'Irritación');
INSERT INTO `lang_definitions` VALUES (12249, 5254, 4, 'es la versión más reciente de la siguiente bbdd');
INSERT INTO `lang_definitions` VALUES (12250, 5256, 4, 'es un campo requerido.');
INSERT INTO `lang_definitions` VALUES (12251, 5257, 4, 'es un nodo de raíz y no puede ser suprimido.');
INSERT INTO `lang_definitions` VALUES (12252, 5258, 4, 'es una extensión de la siguiente base de datos');
INSERT INTO `lang_definitions` VALUES (12253, 5263, 4, 'está mal ubicada o es desconocida');
INSERT INTO `lang_definitions` VALUES (12254, 5265, 4, 'no es una dirección de correo electrónico válida');
INSERT INTO `lang_definitions` VALUES (12255, 5266, 4, 'No está seleccionada');
INSERT INTO `lang_definitions` VALUES (12256, 5267, 4, 'no es válida');
INSERT INTO `lang_definitions` VALUES (12257, 5268, 4, 'no es válido (las fracciones decimales están bien).');
INSERT INTO `lang_definitions` VALUES (12258, 5269, 4, '¿El PHP utiliza el modo a prueba de fallos?');
INSERT INTO `lang_definitions` VALUES (12259, 5272, 4, 'Está seleccionada');
INSERT INTO `lang_definitions` VALUES (12260, 5273, 4, '¿Se traduce el texto del formulario plantilla?');
INSERT INTO `lang_definitions` VALUES (12261, 5274, 4, '¿Se traduce el texto de listas?');
INSERT INTO `lang_definitions` VALUES (12262, 5275, 4, '¿Está encriptado el fichero?');
INSERT INTO `lang_definitions` VALUES (12263, 5277, 4, '¿Este es un tipo de diagnóstico?');
INSERT INTO `lang_definitions` VALUES (12264, 5280, 4, '¿Es un tipo de procedimiento/servicio?');
INSERT INTO `lang_definitions` VALUES (12265, 5281, 4, '¿Está esto activo?');
INSERT INTO `lang_definitions` VALUES (12266, 5282, 4, '¿Este tipo de código está activo?');
INSERT INTO `lang_definitions` VALUES (12267, 5283, 4, '¿Este tipo de código se usa en reclamos?');
INSERT INTO `lang_definitions` VALUES (12268, 5285, 4, '¿Está verdaderamente bien?');
INSERT INTO `lang_definitions` VALUES (12269, 5286, 4, '¿Es un tipo oculto en la hoja de honorarios?');
INSERT INTO `lang_definitions` VALUES (12270, 5287, 4, '¿Se usa en las tablas sql externas? Si es así, elija el formato.');
INSERT INTO `lang_definitions` VALUES (12271, 5288, 4, 'es muy largo');
INSERT INTO `lang_definitions` VALUES (12272, 5289, 4, 'Código ISO 639-2');
INSERT INTO `lang_definitions` VALUES (12273, 5290, 4, 'Incidencia');
INSERT INTO `lang_definitions` VALUES (12274, 5291, 4, 'incidencia');
INSERT INTO `lang_definitions` VALUES (12275, 5292, 4, 'Fecha Incidencia');
INSERT INTO `lang_definitions` VALUES (12276, 5293, 4, 'Nº Identificación incidencia');
INSERT INTO `lang_definitions` VALUES (12277, 5295, 4, 'Título de incidencia');
INSERT INTO `lang_definitions` VALUES (12278, 5296, 4, 'Tipo de Incidencia');
INSERT INTO `lang_definitions` VALUES (12279, 5297, 4, 'Tipos de Incidencia');
INSERT INTO `lang_definitions` VALUES (12280, 5298, 4, 'Incidencias');
INSERT INTO `lang_definitions` VALUES (12281, 5299, 4, 'Incidencias (Lesiones, Médicas, Alergias)');
INSERT INTO `lang_definitions` VALUES (12282, 5300, 4, 'Incidencias (Lesiones, Médicas, Alergias):');
INSERT INTO `lang_definitions` VALUES (12283, 5302, 4, 'Incidencias y Encuentros');
INSERT INTO `lang_definitions` VALUES (12284, 5303, 4, 'Incidencias y Encuentros de');
INSERT INTO `lang_definitions` VALUES (12285, 5308, 4, 'Incidencias no autorizadas');
INSERT INTO `lang_definitions` VALUES (12286, 5309, 4, 'Sección de Incidencias');
INSERT INTO `lang_definitions` VALUES (12287, 5364, 4, 'Italiano');
INSERT INTO `lang_definitions` VALUES (12288, 5365, 4, 'Artículo');
INSERT INTO `lang_definitions` VALUES (12289, 5366, 4, 'Artículo');
INSERT INTO `lang_definitions` VALUES (12290, 5368, 4, 'temas');
INSERT INTO `lang_definitions` VALUES (12291, 5369, 4, 'La carga de artículos falló');
INSERT INTO `lang_definitions` VALUES (12292, 5370, 4, 'IU/L');
INSERT INTO `lang_definitions` VALUES (12293, 5371, 4, 'IUD');
INSERT INTO `lang_definitions` VALUES (12294, 5372, 4, 'IV');
INSERT INTO `lang_definitions` VALUES (12295, 5375, 4, 'Ener');
INSERT INTO `lang_definitions` VALUES (12296, 5376, 4, 'Enero');
INSERT INTO `lang_definitions` VALUES (12297, 5377, 4, 'Japonés');
INSERT INTO `lang_definitions` VALUES (12298, 5378, 4, 'Ictericia');
INSERT INTO `lang_definitions` VALUES (12299, 5380, 4, 'Descripción del trabajo');
INSERT INTO `lang_definitions` VALUES (12300, 5381, 4, 'Identificación del trabajo');
INSERT INTO `lang_definitions` VALUES (12301, 5382, 4, 'Dislocaciones de articulaciones');
INSERT INTO `lang_definitions` VALUES (12302, 5383, 4, 'Dolor en las Articulaciones');
INSERT INTO `lang_definitions` VALUES (12303, 5384, 4, 'Esguinces de articulaciones');
INSERT INTO `lang_definitions` VALUES (12304, 5385, 4, 'Jul');
INSERT INTO `lang_definitions` VALUES (12305, 5386, 4, 'Julio');
INSERT INTO `lang_definitions` VALUES (12306, 5388, 4, 'Jun');
INSERT INTO `lang_definitions` VALUES (12307, 5389, 4, 'Junio');
INSERT INTO `lang_definitions` VALUES (12308, 5390, 4, 'Justo debajo, la información de comprobación es un área azul donde pones los parámetros de búsqueda. Puedes buscar por apellido del paciente, número de informe, número de cita o fecha de servicio, o cualquier combinación de éstas. Tu también puedes seleccionar si quieres ver todas las facturas, facturas abiertas o sólo las que debe el paciente. Pincha el botón de búsqueda para realizarla.');
INSERT INTO `lang_definitions` VALUES (12309, 5391, 4, 'Solo mío');
INSERT INTO `lang_definitions` VALUES (12310, 5393, 4, 'Justificar');
INSERT INTO `lang_definitions` VALUES (12311, 5396, 4, 'Justificar / Guardar');
INSERT INTO `lang_definitions` VALUES (12312, 5398, 4, 'k, aquí está el resto');
INSERT INTO `lang_definitions` VALUES (12313, 5407, 4, 'Clave');
INSERT INTO `lang_definitions` VALUES (12314, 5411, 4, 'Palabras Claves');
INSERT INTO `lang_definitions` VALUES (12315, 5412, 4, 'kg');
INSERT INTO `lang_definitions` VALUES (12316, 5413, 4, 'kg/m^2');
INSERT INTO `lang_definitions` VALUES (12317, 5415, 4, 'Cáncer de Riñon');
INSERT INTO `lang_definitions` VALUES (12318, 5416, 4, 'Fallo Renal');
INSERT INTO `lang_definitions` VALUES (12319, 5417, 4, 'Infecciones de Riñón');
INSERT INTO `lang_definitions` VALUES (12320, 5418, 4, 'Piedra en el Riñón');
INSERT INTO `lang_definitions` VALUES (12321, 5419, 4, 'Transplante de Riñon');
INSERT INTO `lang_definitions` VALUES (12322, 5425, 4, 'Rodilla');
INSERT INTO `lang_definitions` VALUES (12323, 5426, 4, 'Problemas de la rodilla');
INSERT INTO `lang_definitions` VALUES (12324, 5427, 4, 'Reemplazo de Rodilla');
INSERT INTO `lang_definitions` VALUES (12325, 5430, 4, 'Coreano');
INSERT INTO `lang_definitions` VALUES (12326, 5434, 4, 'Laboratorio');
INSERT INTO `lang_definitions` VALUES (12327, 5435, 4, 'Doctos. lab.');
INSERT INTO `lang_definitions` VALUES (12328, 5436, 4, 'Sitio Web del Laboratorio de intercambio');
INSERT INTO `lang_definitions` VALUES (12329, 5437, 4, 'Nº Identificación Laboratorio de intercambio');
INSERT INTO `lang_definitions` VALUES (12330, 5438, 4, 'Nº Identificación ficha Laboratorio de intercambio');
INSERT INTO `lang_definitions` VALUES (12331, 5439, 4, 'Orden de lab.');
INSERT INTO `lang_definitions` VALUES (12332, 5440, 4, 'Panorama laborat.');
INSERT INTO `lang_definitions` VALUES (12333, 5441, 4, 'Panorama laborat.');
INSERT INTO `lang_definitions` VALUES (12334, 5442, 4, 'Consulta de estado de Laboratorio');
INSERT INTO `lang_definitions` VALUES (12335, 5444, 4, 'Informe del Laboratorio');
INSERT INTO `lang_definitions` VALUES (12336, 5445, 4, 'Resultado Laboratorio');
INSERT INTO `lang_definitions` VALUES (12337, 5446, 4, 'Resultados Laboratorio');
INSERT INTO `lang_definitions` VALUES (12338, 5449, 4, 'Informe Resultados Laboratorio');
INSERT INTO `lang_definitions` VALUES (12339, 5450, 4, 'Servicio de laboratorio');
INSERT INTO `lang_definitions` VALUES (12340, 5451, 4, 'Resultados del test de Laboratorio');
INSERT INTO `lang_definitions` VALUES (12341, 5453, 4, 'Etiqueta');
INSERT INTO `lang_definitions` VALUES (12342, 5454, 4, 'Etiqueta no puede estar en blanco');
INSERT INTO `lang_definitions` VALUES (12343, 5455, 4, 'Col etiqueta');
INSERT INTO `lang_definitions` VALUES (12344, 5456, 4, 'Etiqueta para este tipo');
INSERT INTO `lang_definitions` VALUES (12345, 5458, 4, 'EtiquetasColumn debe ser un numero entre 1 y 999');
INSERT INTO `lang_definitions` VALUES (12346, 5459, 4, 'Etiquetas');
INSERT INTO `lang_definitions` VALUES (12347, 5463, 4, 'Laboratorio');
INSERT INTO `lang_definitions` VALUES (12348, 5464, 4, 'Laceración/Cond. Piel');
INSERT INTO `lang_definitions` VALUES (12349, 5465, 4, 'Laceración/abrasión');
INSERT INTO `lang_definitions` VALUES (12350, 5471, 4, 'Idioma');
INSERT INTO `lang_definitions` VALUES (12351, 5472, 4, 'Codio Idioma');
INSERT INTO `lang_definitions` VALUES (12352, 5473, 4, 'Definición de lenguaje agregada');
INSERT INTO `lang_definitions` VALUES (12353, 5474, 4, 'Herramienta de interfaz de idioma');
INSERT INTO `lang_definitions` VALUES (12354, 5476, 4, 'Lista de lenguajes (escribir, addonly opcional)');
INSERT INTO `lang_definitions` VALUES (12355, 5478, 4, 'Nombre Idioma');
INSERT INTO `lang_definitions` VALUES (12356, 5479, 4, 'Idioma:');
INSERT INTO `lang_definitions` VALUES (12357, 5481, 4, 'Laosiano');
INSERT INTO `lang_definitions` VALUES (12358, 5485, 4, 'Último');
INSERT INTO `lang_definitions` VALUES (12359, 5486, 4, 'Última Actividad Fecha');
INSERT INTO `lang_definitions` VALUES (12360, 5489, 4, 'Última Fecha de Cuenta');
INSERT INTO `lang_definitions` VALUES (12361, 5491, 4, 'Último año calendario');
INSERT INTO `lang_definitions` VALUES (12362, 5495, 4, 'Última visita');
INSERT INTO `lang_definitions` VALUES (12363, 5502, 4, 'Último nivel facturado');
INSERT INTO `lang_definitions` VALUES (12364, 5506, 4, 'Último Mes');
INSERT INTO `lang_definitions` VALUES (12365, 5507, 4, 'Apellido(s)');
INSERT INTO `lang_definitions` VALUES (12366, 5508, 4, 'Apellido(s)');
INSERT INTO `lang_definitions` VALUES (12367, 5513, 4, 'Apellido(s):');
INSERT INTO `lang_definitions` VALUES (12368, 5517, 4, 'Ultima revision');
INSERT INTO `lang_definitions` VALUES (12369, 5519, 4, 'Última guardados');
INSERT INTO `lang_definitions` VALUES (12370, 5521, 4, 'Ultimo informe');
INSERT INTO `lang_definitions` VALUES (12371, 5525, 4, 'Última actualización por');
INSERT INTO `lang_definitions` VALUES (12372, 5526, 4, 'Ultima verificación el');
INSERT INTO `lang_definitions` VALUES (12373, 5527, 4, 'Última Visita');
INSERT INTO `lang_definitions` VALUES (12374, 5530, 4, 'Recurrencia tardía (2-12 Mes)');
INSERT INTO `lang_definitions` VALUES (12375, 5531, 4, 'Maléolo lateral');
INSERT INTO `lang_definitions` VALUES (12376, 5532, 4, 'Maléolo lateral:');
INSERT INTO `lang_definitions` VALUES (12377, 5533, 4, 'Lateralidad');
INSERT INTO `lang_definitions` VALUES (12378, 5534, 4, 'Lateralidad de este procedimiento si se aplica');
INSERT INTO `lang_definitions` VALUES (12379, 5535, 4, 'desplazados lateralmente PMI:');
INSERT INTO `lang_definitions` VALUES (12380, 5538, 4, 'Últimos resultados únicamente');
INSERT INTO `lang_definitions` VALUES (12381, 5539, 4, 'Última Visita o Consula');
INSERT INTO `lang_definitions` VALUES (12382, 5540, 4, 'Latín');
INSERT INTO `lang_definitions` VALUES (12383, 5541, 4, 'Latvio');
INSERT INTO `lang_definitions` VALUES (12384, 5545, 4, 'Firma de Abogados');
INSERT INTO `lang_definitions` VALUES (12385, 5546, 4, 'Abogado');
INSERT INTO `lang_definitions` VALUES (12386, 5547, 4, 'Distribución en pantalla');
INSERT INTO `lang_definitions` VALUES (12387, 5548, 4, 'Distribución (necesita salir y entrar después de haber cambiado esta opción)');
INSERT INTO `lang_definitions` VALUES (12388, 5549, 4, 'Basado en un diseño');
INSERT INTO `lang_definitions` VALUES (12389, 5551, 4, 'Editor de diseño');
INSERT INTO `lang_definitions` VALUES (12390, 5552, 4, 'Grupos de diseño');
INSERT INTO `lang_definitions` VALUES (12391, 5556, 4, 'Estilo de diseño');
INSERT INTO `lang_definitions` VALUES (12392, 5558, 4, 'Formularios de visita con pre-diseño');
INSERT INTO `lang_definitions` VALUES (12393, 5559, 4, 'Disposición');
INSERT INTO `lang_definitions` VALUES (12394, 5560, 4, 'libra');
INSERT INTO `lang_definitions` VALUES (12395, 5561, 4, 'Previsualización del formulario de encuentro basado en diseño');
INSERT INTO `lang_definitions` VALUES (12396, 5562, 4, 'Validaciones de form. basado en diseño');
INSERT INTO `lang_definitions` VALUES (12397, 5563, 4, 'libra');
INSERT INTO `lang_definitions` VALUES (12398, 5571, 4, 'Colesterol LDL');
INSERT INTO `lang_definitions` VALUES (12399, 5573, 4, 'dejar en blanco si sigue activo');
INSERT INTO `lang_definitions` VALUES (12400, 5574, 4, 'Dejar en blanco para mantener el nombre de fichero original');
INSERT INTO `lang_definitions` VALUES (12401, 5575, 4, 'Deje en blanco para no cambiar la contraseña');
INSERT INTO `lang_definitions` VALUES (12402, 5580, 4, 'Dejar mensaje Con');
INSERT INTO `lang_definitions` VALUES (12403, 5582, 4, 'Salir del Formulario');
INSERT INTO `lang_definitions` VALUES (12404, 5583, 4, 'Dejando la contraseña en blanco no se encriptará el documento');
INSERT INTO `lang_definitions` VALUES (12405, 5584, 4, 'Libro Mayor');
INSERT INTO `lang_definitions` VALUES (12406, 5586, 4, 'Izquierda');
INSERT INTO `lang_definitions` VALUES (12407, 5587, 4, 'Brazo izquierdo');
INSERT INTO `lang_definitions` VALUES (12408, 5588, 4, 'Deltoide Izquierdo');
INSERT INTO `lang_definitions` VALUES (12409, 5589, 4, 'Oído izquierdo');
INSERT INTO `lang_definitions` VALUES (12410, 5590, 4, 'oreja izquierda');
INSERT INTO `lang_definitions` VALUES (12411, 5591, 4, 'Glúteo Medio Izquierdo');
INSERT INTO `lang_definitions` VALUES (12412, 5592, 4, 'Lente Izquierdo');
INSERT INTO `lang_definitions` VALUES (12413, 5593, 4, 'Antebrazo bajo izq.');
INSERT INTO `lang_definitions` VALUES (12414, 5594, 4, 'Margen Izquierdo (mm)');
INSERT INTO `lang_definitions` VALUES (12415, 5595, 4, 'Muslo izq.');
INSERT INTO `lang_definitions` VALUES (12416, 5596, 4, 'Vasto lateral izq');
INSERT INTO `lang_definitions` VALUES (12417, 5597, 4, 'Se fue sin visita');
INSERT INTO `lang_definitions` VALUES (12418, 5599, 4, 'Izquierda:');
INSERT INTO `lang_definitions` VALUES (12419, 5600, 4, 'Izquierda:');
INSERT INTO `lang_definitions` VALUES (12420, 5601, 4, 'Dolor de Pierna/Calambres');
INSERT INTO `lang_definitions` VALUES (12421, 5602, 4, 'Legal');
INSERT INTO `lang_definitions` VALUES (12422, 5604, 4, 'Tamaño papel Legal');
INSERT INTO `lang_definitions` VALUES (12423, 5605, 4, 'Leyenda:');
INSERT INTO `lang_definitions` VALUES (12424, 5606, 4, 'Longitud');
INSERT INTO `lang_definitions` VALUES (12425, 5607, 4, 'Longitud del modificador, 0 si no hay');
INSERT INTO `lang_definitions` VALUES (12426, 5613, 4, 'Menor que');
INSERT INTO `lang_definitions` VALUES (12427, 5614, 4, 'Menor que o Igual a');
INSERT INTO `lang_definitions` VALUES (12428, 5615, 4, 'Menos la información privada (escribir, addonly opcional)');
INSERT INTO `lang_definitions` VALUES (12429, 5620, 4, 'Carta');
INSERT INTO `lang_definitions` VALUES (12430, 5621, 4, 'Carta');
INSERT INTO `lang_definitions` VALUES (12431, 5622, 4, 'Tamaño papel Carta');
INSERT INTO `lang_definitions` VALUES (12432, 5623, 4, 'Papelería membretada que el médico firma');
INSERT INTO `lang_definitions` VALUES (12433, 5624, 4, 'Papelería membretada que el paciente firma');
INSERT INTO `lang_definitions` VALUES (12434, 5626, 4, 'Función elevadora');
INSERT INTO `lang_definitions` VALUES (12435, 5627, 4, 'Nivel de urgencia');
INSERT INTO `lang_definitions` VALUES (12436, 5630, 4, 'Responsabilidad');
INSERT INTO `lang_definitions` VALUES (12437, 5631, 4, 'Responsabilidad Médica');
INSERT INTO `lang_definitions` VALUES (12438, 5632, 4, 'Biblioteca');
INSERT INTO `lang_definitions` VALUES (12439, 5633, 4, 'Licencia/Nº Id.');
INSERT INTO `lang_definitions` VALUES (12440, 5639, 4, 'Apellido del médico');
INSERT INTO `lang_definitions` VALUES (12441, 5640, 4, 'NºColegiado médico');
INSERT INTO `lang_definitions` VALUES (12442, 5641, 4, 'NºColegiado médico');
INSERT INTO `lang_definitions` VALUES (12443, 5642, 4, 'Pareja');
INSERT INTO `lang_definitions` VALUES (12444, 5643, 4, 'Evento con amenaza de vida');
INSERT INTO `lang_definitions` VALUES (12445, 5644, 4, 'Estilo de Vida');
INSERT INTO `lang_definitions` VALUES (12446, 5646, 4, 'Estado del estilo de vida');
INSERT INTO `lang_definitions` VALUES (12447, 5647, 4, 'Rasgón o esguince del ligamento');
INSERT INTO `lang_definitions` VALUES (12448, 5648, 4, 'Fumador de tabaco leve');
INSERT INTO `lang_definitions` VALUES (12449, 5651, 4, 'Límite de Eventos');
INSERT INTO `lang_definitions` VALUES (12450, 5652, 4, 'Examen limitado');
INSERT INTO `lang_definitions` VALUES (12451, 5654, 4, 'Límites');
INSERT INTO `lang_definitions` VALUES (12452, 5655, 4, 'Línea');
INSERT INTO `lang_definitions` VALUES (12453, 5657, 4, 'Vínculo');
INSERT INTO `lang_definitions` VALUES (12454, 5658, 4, 'Vínculo al paciente');
INSERT INTO `lang_definitions` VALUES (12455, 5660, 4, 'Vinculado');
INSERT INTO `lang_definitions` VALUES (12456, 5663, 4, 'Vinculado a un documento');
INSERT INTO `lang_definitions` VALUES (12457, 5665, 4, 'Lista');
INSERT INTO `lang_definitions` VALUES (12458, 5666, 4, 'Cuadro de lista');
INSERT INTO `lang_definitions` VALUES (12459, 5667, 4, 'caja de lista');
INSERT INTO `lang_definitions` VALUES (12460, 5668, 4, 'agrega cuadro de lista');
INSERT INTO `lang_definitions` VALUES (12461, 5669, 4, 'Lista de cuadro con adición');
INSERT INTO `lang_definitions` VALUES (12462, 5671, 4, 'Editor de Lista');
INSERT INTO `lang_definitions` VALUES (12463, 5672, 4, 'Lista de visitas');
INSERT INTO `lang_definitions` VALUES (12464, 5674, 4, 'Lista de grupos');
INSERT INTO `lang_definitions` VALUES (12465, 5675, 4, 'Lista Cñías.Seguro Méd.');
INSERT INTO `lang_definitions` VALUES (12466, 5677, 4, 'Lista de temas no puede comenzar con un número');
INSERT INTO `lang_definitions` VALUES (12467, 5678, 4, 'Items listados contienen caracteres ilegales');
INSERT INTO `lang_definitions` VALUES (12468, 5680, 4, 'Lista Listas');
INSERT INTO `lang_definitions` VALUES (12469, 5682, 4, 'Lista de Nombres');
INSERT INTO `lang_definitions` VALUES (12470, 5683, 4, 'Lista de los nombres no puede empezar con números.');
INSERT INTO `lang_definitions` VALUES (12471, 5686, 4, 'Lista de refracciones previas');
INSERT INTO `lang_definitions` VALUES (12472, 5687, 4, 'Lista de recetas ópticas oculares previas');
INSERT INTO `lang_definitions` VALUES (12473, 5688, 4, 'Lista de Recetas');
INSERT INTO `lang_definitions` VALUES (12474, 5689, 4, 'Lista Tipo de datos usada para País.');
INSERT INTO `lang_definitions` VALUES (12475, 5690, 4, 'Lista Tipo de datos usada para Estado.');
INSERT INTO `lang_definitions` VALUES (12476, 5691, 4, 'Puerto de escucha de la RFC 5425 TLS en el servidor syslog.');
INSERT INTO `lang_definitions` VALUES (12477, 5693, 4, 'Listas');
INSERT INTO `lang_definitions` VALUES (12478, 5696, 4, 'Deseos Personales de cuidado');
INSERT INTO `lang_definitions` VALUES (12479, 5701, 4, 'LLL:');
INSERT INTO `lang_definitions` VALUES (12480, 5707, 4, 'UFM (ult.fecha menstr.)');
INSERT INTO `lang_definitions` VALUES (12481, 5709, 4, 'Cargar definiciones');
INSERT INTO `lang_definitions` VALUES (12482, 5716, 4, 'Cargando');
INSERT INTO `lang_definitions` VALUES (12483, 5717, 4, 'Cargando');
INSERT INTO `lang_definitions` VALUES (12484, 5721, 4, 'Cargando ficheros en la base de datos. Esto puede tardar algún tiempo...');
INSERT INTO `lang_definitions` VALUES (12485, 5722, 4, 'Cargando');
INSERT INTO `lang_definitions` VALUES (12486, 5723, 4, 'LOC');
INSERT INTO `lang_definitions` VALUES (12487, 5724, 4, 'Local');
INSERT INTO `lang_definitions` VALUES (12488, 5725, 4, 'Contenido local');
INSERT INTO `lang_definitions` VALUES (12489, 5726, 4, 'Sistema de archivos local');
INSERT INTO `lang_definitions` VALUES (12490, 5728, 4, 'Lugar');
INSERT INTO `lang_definitions` VALUES (12491, 5729, 4, 'Localidad');
INSERT INTO `lang_definitions` VALUES (12492, 5730, 4, 'Localización');
INSERT INTO `lang_definitions` VALUES (12493, 5731, 4, 'Ubicación de la máquina openemr puede contener datos sensible, por eso se recomienda borrar manualmente los ficheros después de su uso');
INSERT INTO `lang_definitions` VALUES (12494, 5732, 4, 'Localizacion de este lote');
INSERT INTO `lang_definitions` VALUES (12495, 5733, 4, 'Lugar no especificado');
INSERT INTO `lang_definitions` VALUES (12496, 5734, 4, 'Directorio dónde Hylafax archiva los faxes');
INSERT INTO `lang_definitions` VALUES (12497, 5735, 4, 'Localización dónde se archivan los escaneados');
INSERT INTO `lang_definitions` VALUES (12498, 5736, 4, 'Localización:');
INSERT INTO `lang_definitions` VALUES (12499, 5737, 4, 'Bloquear');
INSERT INTO `lang_definitions` VALUES (12500, 5740, 4, 'Bloquear?');
INSERT INTO `lang_definitions` VALUES (12501, 5741, 4, 'Bloqueado');
INSERT INTO `lang_definitions` VALUES (12502, 5744, 4, 'Registrar todo el docto.');
INSERT INTO `lang_definitions` VALUES (12503, 5745, 4, 'Iniciar sesión');
INSERT INTO `lang_definitions` VALUES (12504, 5746, 4, 'Identificación');
INSERT INTO `lang_definitions` VALUES (12505, 5749, 4, 'Finalizar sesión');
INSERT INTO `lang_definitions` VALUES (12506, 5752, 4, 'Iniciar sesión');
INSERT INTO `lang_definitions` VALUES (12507, 5753, 4, 'Abierto una sesión como');
INSERT INTO `lang_definitions` VALUES (12508, 5754, 4, 'Abierto una sesión como:');
INSERT INTO `lang_definitions` VALUES (12509, 5755, 4, 'Salir de sesión.');
INSERT INTO `lang_definitions` VALUES (12510, 5756, 4, 'Registros');
INSERT INTO `lang_definitions` VALUES (12511, 5757, 4, 'Iniciar sesión');
INSERT INTO `lang_definitions` VALUES (12512, 5758, 4, 'conexión');
INSERT INTO `lang_definitions` VALUES (12513, 5763, 4, 'Ingreso a huésped remoto');
INSERT INTO `lang_definitions` VALUES (12514, 5764, 4, 'Ingreso a huésped remoto fallado');
INSERT INTO `lang_definitions` VALUES (12515, 5768, 4, 'Salir');
INSERT INTO `lang_definitions` VALUES (12516, 5769, 4, 'Salir');
INSERT INTO `lang_definitions` VALUES (12517, 5770, 4, 'Registros');
INSERT INTO `lang_definitions` VALUES (12518, 5771, 4, 'Visor de los registros');
INSERT INTO `lang_definitions` VALUES (12519, 5776, 4, 'Buscar');
INSERT INTO `lang_definitions` VALUES (12520, 5777, 4, 'Lote');
INSERT INTO `lang_definitions` VALUES (12521, 5778, 4, 'Falta Identificación del lote !');
INSERT INTO `lang_definitions` VALUES (12522, 5779, 4, 'Número de Lote');
INSERT INTO `lang_definitions` VALUES (12523, 5780, 4, 'Bajo');
INSERT INTO `lang_definitions` VALUES (12524, 5782, 4, 'Pierna inferior');
INSERT INTO `lang_definitions` VALUES (12525, 5791, 4, 'Columna lumbar');
INSERT INTO `lang_definitions` VALUES (12526, 5792, 4, 'ALMUERZO');
INSERT INTO `lang_definitions` VALUES (12527, 5793, 4, 'almuerzo');
INSERT INTO `lang_definitions` VALUES (12528, 5794, 4, 'cáncer de pulmón');
INSERT INTO `lang_definitions` VALUES (12529, 5795, 4, 'Cirugía del cáncer de pulmón');
INSERT INTO `lang_definitions` VALUES (12530, 5796, 4, 'PULMONES:');
INSERT INTO `lang_definitions` VALUES (12531, 5797, 4, 'pulmones:');
INSERT INTO `lang_definitions` VALUES (12532, 5798, 4, 'Lupus');
INSERT INTO `lang_definitions` VALUES (12533, 5804, 4, 'M');
INSERT INTO `lang_definitions` VALUES (12534, 5805, 4, 'Categoría de MA');
INSERT INTO `lang_definitions` VALUES (12535, 5806, 4, 'MA Cliente acepta aborto');
INSERT INTO `lang_definitions` VALUES (12536, 5807, 4, 'MA estadísticas');
INSERT INTO `lang_definitions` VALUES (12537, 5812, 4, 'Correo enviado');
INSERT INTO `lang_definitions` VALUES (12538, 5814, 4, 'Principal');
INSERT INTO `lang_definitions` VALUES (12539, 5815, 4, 'Dirección principal');
INSERT INTO `lang_definitions` VALUES (12540, 5821, 4, 'Pantalla principal del panel superior');
INSERT INTO `lang_definitions` VALUES (12541, 5824, 4, 'Mantener activa la lista de medicación de alergia.');
INSERT INTO `lang_definitions` VALUES (12542, 5825, 4, 'Mantener activa una lista de medicación.');
INSERT INTO `lang_definitions` VALUES (12543, 5826, 4, 'Mantenga actualizada lista de problemas actuales y diagnósticos activos');
INSERT INTO `lang_definitions` VALUES (12544, 5827, 4, 'Hacer modificaciones a las actuales categorías.');
INSERT INTO `lang_definitions` VALUES (12545, 5828, 4, 'Dar nueva cita para');
INSERT INTO `lang_definitions` VALUES (12546, 5831, 4, 'Cerciorarse -');
INSERT INTO `lang_definitions` VALUES (12547, 5832, 4, 'Hacer un batch de ficheros de texto para adjuntar a la Cámara de compensación y que se marcará como facturado');
INSERT INTO `lang_definitions` VALUES (12548, 5834, 4, 'Malestar:');
INSERT INTO `lang_definitions` VALUES (12549, 5837, 4, 'Masculino');
INSERT INTO `lang_definitions` VALUES (12550, 5838, 4, 'Condones Masculinos');
INSERT INTO `lang_definitions` VALUES (12551, 5839, 4, 'Varón VSC');
INSERT INTO `lang_definitions` VALUES (12552, 5841, 4, 'Mamografía');
INSERT INTO `lang_definitions` VALUES (12553, 5842, 4, 'Manejar');
INSERT INTO `lang_definitions` VALUES (12554, 5843, 4, 'Manejar');
INSERT INTO `lang_definitions` VALUES (12555, 5845, 4, 'Manejar módulos');
INSERT INTO `lang_definitions` VALUES (12556, 5850, 4, 'Gestionar traducciones');
INSERT INTO `lang_definitions` VALUES (12557, 5851, 4, 'Gerencia');
INSERT INTO `lang_definitions` VALUES (12558, 5854, 4, 'Campos obligatorios y específicos');
INSERT INTO `lang_definitions` VALUES (12559, 5855, 4, 'Campos obligatorios o específicos sólo, cheques duplicados, no de búsqueda');
INSERT INTO `lang_definitions` VALUES (12560, 5856, 4, 'Campos obligatorios o específicos sólo, búsqueda y comprobación de duplicados');
INSERT INTO `lang_definitions` VALUES (12561, 5859, 4, 'Manual');
INSERT INTO `lang_definitions` VALUES (12562, 5860, 4, 'Manual de envío');
INSERT INTO `lang_definitions` VALUES (12563, 5864, 4, 'Fabricante');
INSERT INTO `lang_definitions` VALUES (12564, 5870, 4, 'Mar');
INSERT INTO `lang_definitions` VALUES (12565, 5874, 4, 'Marzo');
INSERT INTO `lang_definitions` VALUES (12566, 5877, 4, 'Estado Civil');
INSERT INTO `lang_definitions` VALUES (12567, 5879, 4, 'Marcar como facturado');
INSERT INTO `lang_definitions` VALUES (12568, 5880, 4, 'Marcar como facturado pero saltar de facturación');
INSERT INTO `lang_definitions` VALUES (12569, 5881, 4, 'Marcar como Resueltos');
INSERT INTO `lang_definitions` VALUES (12570, 5882, 4, 'Marcar como no facturados');
INSERT INTO `lang_definitions` VALUES (12571, 5885, 4, 'Marcar estos reportes como revisados');
INSERT INTO `lang_definitions` VALUES (12572, 5886, 4, 'Marcado como despejado');
INSERT INTO `lang_definitions` VALUES (12573, 5887, 4, 'Casado');
INSERT INTO `lang_definitions` VALUES (12574, 5889, 4, 'Formato (Máscara)');
INSERT INTO `lang_definitions` VALUES (12575, 5890, 4, 'Formato para Números de Factura');
INSERT INTO `lang_definitions` VALUES (12576, 5891, 4, 'Formato para ID de Pacientes');
INSERT INTO `lang_definitions` VALUES (12577, 5892, 4, 'Formato para ID de Productos');
INSERT INTO `lang_definitions` VALUES (12578, 5894, 4, 'Concuerda');
INSERT INTO `lang_definitions` VALUES (12579, 5895, 4, 'Emparejar caso');
INSERT INTO `lang_definitions` VALUES (12580, 5896, 4, 'Pareja encontrada');
INSERT INTO `lang_definitions` VALUES (12581, 5905, 4, 'Matriz');
INSERT INTO `lang_definitions` VALUES (12582, 5907, 4, 'Max');
INSERT INTO `lang_definitions` VALUES (12583, 5912, 4, 'La derecha maxilar:');
INSERT INTO `lang_definitions` VALUES (12584, 5913, 4, 'Edad Máxima');
INSERT INTO `lang_definitions` VALUES (12585, 5914, 4, 'Número máximo de caracteres');
INSERT INTO `lang_definitions` VALUES (12586, 5917, 4, 'Tiempo máximo inactivo antes de cerrar sesión en segundos. Por defecto es 7200 (2 horas).');
INSERT INTO `lang_definitions` VALUES (12587, 5920, 4, 'Inventario máximo razonable, 0 si no es aplicable');
INSERT INTO `lang_definitions` VALUES (12588, 5921, 4, 'Tamaño máximo');
INSERT INTO `lang_definitions` VALUES (12589, 5922, 4, 'Tamaño máximo (poniendo 0 permite cualquier tamaño)');
INSERT INTO `lang_definitions` VALUES (12590, 5924, 4, 'Mayo');
INSERT INTO `lang_definitions` VALUES (12591, 5926, 4, 'MC');
INSERT INTO `lang_definitions` VALUES (12592, 5927, 4, 'mcg (microgramo)');
INSERT INTO `lang_definitions` VALUES (12593, 5929, 4, 'Significa que ninguna de las tres últimas contraseñas son permitidas para cambiar la contraseña.');
INSERT INTO `lang_definitions` VALUES (12594, 5930, 4, 'Medir presión arterial');
INSERT INTO `lang_definitions` VALUES (12595, 5931, 4, 'Medida del Código de Grupo');
INSERT INTO `lang_definitions` VALUES (12596, 5932, 4, 'Medir INR (coag.)');
INSERT INTO `lang_definitions` VALUES (12597, 5933, 4, 'Medición');
INSERT INTO `lang_definitions` VALUES (12598, 5939, 4, 'Maléolo medial:');
INSERT INTO `lang_definitions` VALUES (12599, 5940, 4, 'Seguro de enfermedad');
INSERT INTO `lang_definitions` VALUES (12600, 5942, 4, 'Médico');
INSERT INTO `lang_definitions` VALUES (12601, 5943, 4, 'Aborto Médico');
INSERT INTO `lang_definitions` VALUES (12602, 5944, 4, 'Administración Médica');
INSERT INTO `lang_definitions` VALUES (12603, 5946, 4, 'Historia Médica');
INSERT INTO `lang_definitions` VALUES (12604, 5947, 4, 'Incidencia Médica');
INSERT INTO `lang_definitions` VALUES (12605, 5948, 4, 'Incidencia Médica');
INSERT INTO `lang_definitions` VALUES (12606, 5951, 4, 'Problema médico');
INSERT INTO `lang_definitions` VALUES (12607, 5952, 4, 'Problema médico');
INSERT INTO `lang_definitions` VALUES (12608, 5953, 4, 'Problema médico - Lista');
INSERT INTO `lang_definitions` VALUES (12609, 5954, 4, 'Problemas médicos');
INSERT INTO `lang_definitions` VALUES (12610, 5956, 4, 'Registo Médico');
INSERT INTO `lang_definitions` VALUES (12611, 5957, 4, 'Informe médico #');
INSERT INTO `lang_definitions` VALUES (12612, 5959, 4, 'Registros Médicos');
INSERT INTO `lang_definitions` VALUES (12613, 5961, 4, 'Registros Médicos enviados');
INSERT INTO `lang_definitions` VALUES (12614, 5962, 4, 'Especialidad médica');
INSERT INTO `lang_definitions` VALUES (12615, 5963, 4, 'Resumen Médico entregado');
INSERT INTO `lang_definitions` VALUES (12616, 5964, 4, 'Sistema Médico');
INSERT INTO `lang_definitions` VALUES (12617, 5965, 4, 'Tipo de Médico');
INSERT INTO `lang_definitions` VALUES (12618, 5966, 4, 'Médico / Historia (escribir, añadir sólo opcional)');
INSERT INTO `lang_definitions` VALUES (12619, 5968, 4, 'Parte B de Seguro médico');
INSERT INTO `lang_definitions` VALUES (12620, 5969, 4, 'Seguro médico de referencia restablecido');
INSERT INTO `lang_definitions` VALUES (12621, 5970, 4, 'Medicación');
INSERT INTO `lang_definitions` VALUES (12622, 5971, 4, 'Lista Medicación Alergias');
INSERT INTO `lang_definitions` VALUES (12623, 5973, 4, 'Lista Medicación');
INSERT INTO `lang_definitions` VALUES (12624, 5974, 4, '¿Reconciliación Medicación realizada?');
INSERT INTO `lang_definitions` VALUES (12625, 5975, 4, 'Medicamentos');
INSERT INTO `lang_definitions` VALUES (12626, 5978, 4, 'Medicamentos:');
INSERT INTO `lang_definitions` VALUES (12627, 5979, 4, 'Unidades de Medicina');
INSERT INTO `lang_definitions` VALUES (12628, 5980, 4, 'Mediano');
INSERT INTO `lang_definitions` VALUES (12629, 5984, 4, 'Miembro de la Asociación de Estadística Informe');
INSERT INTO `lang_definitions` VALUES (12630, 5986, 4, 'Problemas de Memoria');
INSERT INTO `lang_definitions` VALUES (12631, 5987, 4, 'Hombres');
INSERT INTO `lang_definitions` VALUES (12632, 5988, 4, 'Hombres y Mujeres');
INSERT INTO `lang_definitions` VALUES (12633, 5989, 4, 'Hombres Solamente');
INSERT INTO `lang_definitions` VALUES (12634, 5990, 4, 'Menarquía');
INSERT INTO `lang_definitions` VALUES (12635, 5991, 4, 'Menopausia');
INSERT INTO `lang_definitions` VALUES (12636, 5992, 4, 'Flujo Menstrual');
INSERT INTO `lang_definitions` VALUES (12637, 5993, 4, 'Menstrual Frequency');
INSERT INTO `lang_definitions` VALUES (12638, 5994, 4, 'Enfermedad Mental');
INSERT INTO `lang_definitions` VALUES (12639, 6003, 4, 'Unir pacientes');
INSERT INTO `lang_definitions` VALUES (12640, 6005, 4, 'Mensaje');
INSERT INTO `lang_definitions` VALUES (12641, 6006, 4, 'Centro de Recordatorios y Mensajes');
INSERT INTO `lang_definitions` VALUES (12642, 6010, 4, 'Mensaje de paciente');
INSERT INTO `lang_definitions` VALUES (12643, 6012, 4, 'Mensaje Enviado');
INSERT INTO `lang_definitions` VALUES (12644, 6013, 4, 'Estado mensaje');
INSERT INTO `lang_definitions` VALUES (12645, 6014, 4, 'Título de mensaje');
INSERT INTO `lang_definitions` VALUES (12646, 6015, 4, 'Mensaje a paciente');
INSERT INTO `lang_definitions` VALUES (12647, 6017, 4, 'Tipo de mensaje');
INSERT INTO `lang_definitions` VALUES (12648, 6018, 4, 'MENSAJE:');
INSERT INTO `lang_definitions` VALUES (12649, 6019, 4, 'Mensajes');
INSERT INTO `lang_definitions` VALUES (12650, 6022, 4, 'Mensajes enviados hoy');
INSERT INTO `lang_definitions` VALUES (12651, 6026, 4, 'Método');
INSERT INTO `lang_definitions` VALUES (12652, 6027, 4, 'Método y especificaciones de Producto');
INSERT INTO `lang_definitions` VALUES (12653, 6029, 4, 'Método para el envío de email saliente');
INSERT INTO `lang_definitions` VALUES (12654, 6030, 4, 'Método de destrucción');
INSERT INTO `lang_definitions` VALUES (12655, 6031, 4, 'Mejicano/MexAmer/Chicano');
INSERT INTO `lang_definitions` VALUES (12656, 6038, 4, 'mg');
INSERT INTO `lang_definitions` VALUES (12657, 6039, 4, 'mg/1cc');
INSERT INTO `lang_definitions` VALUES (12658, 6040, 4, 'mg/2cc');
INSERT INTO `lang_definitions` VALUES (12659, 6041, 4, 'mg/3cc');
INSERT INTO `lang_definitions` VALUES (12660, 6042, 4, 'mg/4cc');
INSERT INTO `lang_definitions` VALUES (12661, 6043, 4, 'mg/5cc');
INSERT INTO `lang_definitions` VALUES (12662, 6044, 4, 'MG/DL');
INSERT INTO `lang_definitions` VALUES (12663, 6046, 4, 'Segundo');
INSERT INTO `lang_definitions` VALUES (12664, 6047, 4, 'Segundo Nombre');
INSERT INTO `lang_definitions` VALUES (12665, 6048, 4, 'Segundo nombre');
INSERT INTO `lang_definitions` VALUES (12666, 6051, 4, 'Prescriptor DEA nivel medio');
INSERT INTO `lang_definitions` VALUES (12667, 6052, 4, 'Nombre Prescriptor nivel medio');
INSERT INTO `lang_definitions` VALUES (12668, 6053, 4, 'Apellido Prescriptor nivel medio');
INSERT INTO `lang_definitions` VALUES (12669, 6055, 4, 'Prefijo Prescriptor nivel medio');
INSERT INTO `lang_definitions` VALUES (12670, 6056, 4, 'Nº médico nivel medio');
INSERT INTO `lang_definitions` VALUES (12671, 6061, 4, 'Semblante');
INSERT INTO `lang_definitions` VALUES (12672, 6062, 4, 'Migrante o trabajador de temporada?');
INSERT INTO `lang_definitions` VALUES (12673, 6064, 4, 'Migrantes / temporada');
INSERT INTO `lang_definitions` VALUES (12674, 6065, 4, 'Mil/CU.MM');
INSERT INTO `lang_definitions` VALUES (12675, 6070, 4, 'Mime Tipo');
INSERT INTO `lang_definitions` VALUES (12676, 6071, 4, 'min');
INSERT INTO `lang_definitions` VALUES (12677, 6072, 4, 'Mínimo');
INSERT INTO `lang_definitions` VALUES (12678, 6077, 4, 'Edad Mínima');
INSERT INTO `lang_definitions` VALUES (12679, 6080, 4, 'Distensión menor de articulación /-Sinovitis');
INSERT INTO `lang_definitions` VALUES (12680, 6082, 4, 'Minuto');
INSERT INTO `lang_definitions` VALUES (12681, 6083, 4, 'Minutos');
INSERT INTO `lang_definitions` VALUES (12682, 6084, 4, 'minutos');
INSERT INTO `lang_definitions` VALUES (12683, 6086, 4, 'Varios');
INSERT INTO `lang_definitions` VALUES (12684, 6087, 4, 'Diversas opciones de facturación');
INSERT INTO `lang_definitions` VALUES (12685, 6088, 4, 'Diversas opciones de facturación para HCFA-1500');
INSERT INTO `lang_definitions` VALUES (12686, 6089, 4, 'Diversas opciones de facturación HCFA');
INSERT INTO `lang_definitions` VALUES (12687, 6090, 4, 'Misceláneos');
INSERT INTO `lang_definitions` VALUES (12688, 6092, 4, 'Faltado');
INSERT INTO `lang_definitions` VALUES (12689, 6093, 4, 'No existe');
INSERT INTO `lang_definitions` VALUES (12690, 6094, 4, 'Falta campo requerido');
INSERT INTO `lang_definitions` VALUES (12691, 6097, 4, 'Falta cuota');
INSERT INTO `lang_definitions` VALUES (12692, 6100, 4, 'Solo modulos faltantes');
INSERT INTO `lang_definitions` VALUES (12693, 6101, 4, 'No existe o Inválido');
INSERT INTO `lang_definitions` VALUES (12694, 6103, 4, 'Falta el PID.');
INSERT INTO `lang_definitions` VALUES (12695, 6104, 4, 'Fecha de reporte falta');
INSERT INTO `lang_definitions` VALUES (12696, 6105, 4, 'Raya vertical que falta después del pagador en la fuente para el código');
INSERT INTO `lang_definitions` VALUES (12697, 6111, 4, 'Mixto');
INSERT INTO `lang_definitions` VALUES (12698, 6113, 4, 'ml');
INSERT INTO `lang_definitions` VALUES (12699, 6114, 4, 'MM/DD/AAAA');
INSERT INTO `lang_definitions` VALUES (12700, 6115, 4, 'mm/hg');
INSERT INTO `lang_definitions` VALUES (12701, 6116, 4, 'mmHg');
INSERT INTO `lang_definitions` VALUES (12702, 6117, 4, 'MMR 1');
INSERT INTO `lang_definitions` VALUES (12703, 6118, 4, 'MMR 2');
INSERT INTO `lang_definitions` VALUES (12704, 6120, 4, 'Móvil');
INSERT INTO `lang_definitions` VALUES (12705, 6121, 4, 'Teléfono Móvil');
INSERT INTO `lang_definitions` VALUES (12706, 6125, 4, 'Mod');
INSERT INTO `lang_definitions` VALUES (12707, 6133, 4, 'Modificador');
INSERT INTO `lang_definitions` VALUES (12708, 6139, 4, 'Modificadores');
INSERT INTO `lang_definitions` VALUES (12709, 6140, 4, 'Modificar');
INSERT INTO `lang_definitions` VALUES (12710, 6143, 4, 'Modificar Pagos');
INSERT INTO `lang_definitions` VALUES (12711, 6145, 4, 'Longitud Modelo');
INSERT INTO `lang_definitions` VALUES (12712, 6146, 4, 'Mòdulo');
INSERT INTO `lang_definitions` VALUES (12713, 6147, 4, 'Directorio de mòdulos no hallado');
INSERT INTO `lang_definitions` VALUES (12714, 6148, 4, 'Instalador de módulos');
INSERT INTO `lang_definitions` VALUES (12715, 6149, 4, 'Nombre de mòdulo');
INSERT INTO `lang_definitions` VALUES (12716, 6150, 4, 'Nombre de mòdulo ya existe');
INSERT INTO `lang_definitions` VALUES (12717, 6151, 4, 'Mòdulos');
INSERT INTO `lang_definitions` VALUES (12718, 6153, 4, 'Lun');
INSERT INTO `lang_definitions` VALUES (12719, 6154, 4, 'Lun a Vier');
INSERT INTO `lang_definitions` VALUES (12720, 6155, 4, 'Lunes, miércoles y viernes');
INSERT INTO `lang_definitions` VALUES (12721, 6156, 4, 'Lunes');
INSERT INTO `lang_definitions` VALUES (12722, 6160, 4, 'mes');
INSERT INTO `lang_definitions` VALUES (12723, 6161, 4, 'Mes');
INSERT INTO `lang_definitions` VALUES (12724, 6162, 4, 'Ver Mes');
INSERT INTO `lang_definitions` VALUES (12725, 6163, 4, 'Mes(es)');
INSERT INTO `lang_definitions` VALUES (12726, 6164, 4, 'Ingreso Mensual');
INSERT INTO `lang_definitions` VALUES (12727, 6166, 4, 'Meses');
INSERT INTO `lang_definitions` VALUES (12728, 6179, 4, 'Más de 100 registros encontrados. Por favor, reducir su criterio de búsqueda.');
INSERT INTO `lang_definitions` VALUES (12729, 6180, 4, 'Más de 50 resultados, por favor, hacer su búsqueda más específica.');
INSERT INTO `lang_definitions` VALUES (12730, 6184, 4, 'Puede hacer click en la mayoría de las cabeceras de columna para cambiar el orden');
INSERT INTO `lang_definitions` VALUES (12731, 6186, 4, 'Más reciente desde');
INSERT INTO `lang_definitions` VALUES (12732, 6187, 4, 'Datos de lab. más recientes');
INSERT INTO `lang_definitions` VALUES (12733, 6189, 4, 'Constantes vitales mas recientes desde:');
INSERT INTO `lang_definitions` VALUES (12734, 6190, 4, 'Madre');
INSERT INTO `lang_definitions` VALUES (12735, 6191, 4, 'Nombre de la Madre');
INSERT INTO `lang_definitions` VALUES (12736, 6195, 4, 'Boca');
INSERT INTO `lang_definitions` VALUES (12737, 6196, 4, 'Movimiento');
INSERT INTO `lang_definitions` VALUES (12738, 6197, 4, 'Mueva el documento a la categoría:');
INSERT INTO `lang_definitions` VALUES (12739, 6198, 4, 'Mueve Abajo');
INSERT INTO `lang_definitions` VALUES (12740, 6201, 4, 'Mover al paciente');
INSERT INTO `lang_definitions` VALUES (12741, 6202, 4, 'Mover hacia...');
INSERT INTO `lang_definitions` VALUES (12742, 6203, 4, 'Mover Arriba');
INSERT INTO `lang_definitions` VALUES (12743, 6209, 4, 'Sr.');
INSERT INTO `lang_definitions` VALUES (12744, 6215, 4, 'Sra.');
INSERT INTO `lang_definitions` VALUES (12745, 6217, 4, 'Srta.');
INSERT INTO `lang_definitions` VALUES (12746, 6226, 4, 'Código MSP');
INSERT INTO `lang_definitions` VALUES (12747, 6227, 4, 'Codigos de remito MSP');
INSERT INTO `lang_definitions` VALUES (12748, 6230, 4, 'Herramienta multi idioma');
INSERT INTO `lang_definitions` VALUES (12749, 6234, 4, 'Múltiples áreas');
INSERT INTO `lang_definitions` VALUES (12750, 6237, 4, 'Lotes Multiples');
INSERT INTO `lang_definitions` VALUES (12751, 6238, 4, 'Múltiples modificadores pueden estar separados por dos puntos o espacios, máximo 4 (M1:M2:M3:M4)');
INSERT INTO `lang_definitions` VALUES (12752, 6242, 4, 'Multirracial');
INSERT INTO `lang_definitions` VALUES (12753, 6243, 4, 'Murmullos:');
INSERT INTO `lang_definitions` VALUES (12754, 6244, 4, 'Dolor de Musc');
INSERT INTO `lang_definitions` VALUES (12755, 6245, 4, 'Dolor muscular');
INSERT INTO `lang_definitions` VALUES (12756, 6246, 4, 'Rojez de Musc');
INSERT INTO `lang_definitions` VALUES (12757, 6247, 4, 'Tiesura de Musc');
INSERT INTO `lang_definitions` VALUES (12758, 6248, 4, 'Inflamación muscular');
INSERT INTO `lang_definitions` VALUES (12759, 6249, 4, 'Musc Caliente');
INSERT INTO `lang_definitions` VALUES (12760, 6250, 4, 'Músculo');
INSERT INTO `lang_definitions` VALUES (12761, 6251, 4, 'Lesiones musculares');
INSERT INTO `lang_definitions` VALUES (12762, 6252, 4, 'Musculoesquelético');
INSERT INTO `lang_definitions` VALUES (12763, 6256, 4, 'Debe estar vacío si la autenticación de SMTP no se usa.');
INSERT INTO `lang_definitions` VALUES (12764, 6259, 4, 'Definido mutuamente');
INSERT INTO `lang_definitions` VALUES (12765, 6260, 4, 'MVA');
INSERT INTO `lang_definitions` VALUES (12766, 6267, 4, 'Yo mismo');
INSERT INTO `lang_definitions` VALUES (12767, 6268, 4, 'L');
INSERT INTO `lang_definitions` VALUES (12768, 6271, 4, 'No Aplicable');
INSERT INTO `lang_definitions` VALUES (12769, 6272, 4, 'no interesa');
INSERT INTO `lang_definitions` VALUES (12770, 6274, 4, 'Nombre');
INSERT INTO `lang_definitions` VALUES (12771, 6276, 4, 'Nombre (Selecciona por mas)');
INSERT INTO `lang_definitions` VALUES (12772, 6278, 4, 'Nombre 1');
INSERT INTO `lang_definitions` VALUES (12773, 6279, 4, 'Nombre 2');
INSERT INTO `lang_definitions` VALUES (12774, 6280, 4, 'Nombre y título del administrador de la inmunización');
INSERT INTO `lang_definitions` VALUES (12775, 6284, 4, 'Nombre de Eventos');
INSERT INTO `lang_definitions` VALUES (12776, 6285, 4, 'Nombre de la compañía de seguros');
INSERT INTO `lang_definitions` VALUES (12777, 6286, 4, 'Nombre del Proveedor');
INSERT INTO `lang_definitions` VALUES (12778, 6287, 4, 'Nombre del remitente para los recordatorios de paciente.');
INSERT INTO `lang_definitions` VALUES (12779, 6294, 4, 'Traducción del nombre');
INSERT INTO `lang_definitions` VALUES (12780, 6295, 4, 'Nombre/Valor');
INSERT INTO `lang_definitions` VALUES (12781, 6296, 4, 'Nombre:');
INSERT INTO `lang_definitions` VALUES (12782, 6300, 4, 'NARINAS:');
INSERT INTO `lang_definitions` VALUES (12783, 6301, 4, 'NARINAS: Normal Derecho');
INSERT INTO `lang_definitions` VALUES (12784, 6304, 4, 'Mucosa nasal de color rosa, septo de línea media');
INSERT INTO `lang_definitions` VALUES (12785, 6305, 4, 'NationNotes');
INSERT INTO `lang_definitions` VALUES (12786, 6308, 4, 'Configurar NationNotes');
INSERT INTO `lang_definitions` VALUES (12787, 6309, 4, 'Botones de reemplazo para Notas Nation');
INSERT INTO `lang_definitions` VALUES (12788, 6310, 4, 'Nacionalidad');
INSERT INTO `lang_definitions` VALUES (12789, 6311, 4, 'NationNotes');
INSERT INTO `lang_definitions` VALUES (12790, 6312, 4, 'Carga de datos nativos');
INSERT INTO `lang_definitions` VALUES (12791, 6313, 4, 'Hawaino nativo u otras Islas del Pacífico');
INSERT INTO `lang_definitions` VALUES (12792, 6319, 4, 'Náuseas');
INSERT INTO `lang_definitions` VALUES (12793, 6322, 4, 'Navegación');
INSERT INTO `lang_definitions` VALUES (12794, 6323, 4, 'Área de navegación incluye formularios de visita');
INSERT INTO `lang_definitions` VALUES (12795, 6324, 4, 'El área de navegación usa la altura completa del marco');
INSERT INTO `lang_definitions` VALUES (12796, 6325, 4, 'Formulario Área Navegación de visita');
INSERT INTO `lang_definitions` VALUES (12797, 6326, 4, 'Ancho del área de navegación');
INSERT INTO `lang_definitions` VALUES (12798, 6328, 4, 'El menú de navegación consiste en pares de botones radiales');
INSERT INTO `lang_definitions` VALUES (12799, 6329, 4, 'El menú de navegación es una vista de árbol');
INSERT INTO `lang_definitions` VALUES (12800, 6330, 4, 'La navegación usa un menú deslizante');
INSERT INTO `lang_definitions` VALUES (12801, 6334, 4, 'NDC');
INSERT INTO `lang_definitions` VALUES (12802, 6335, 4, 'Datos NCD');
INSERT INTO `lang_definitions` VALUES (12803, 6336, 4, 'Número del NDC');
INSERT INTO `lang_definitions` VALUES (12804, 6348, 4, 'Cuello');
INSERT INTO `lang_definitions` VALUES (12805, 6349, 4, 'Problemas de Cuello');
INSERT INTO `lang_definitions` VALUES (12806, 6350, 4, 'Cuello flexible');
INSERT INTO `lang_definitions` VALUES (12807, 6352, 4, 'Necesidad de introducir una descripción');
INSERT INTO `lang_definitions` VALUES (12808, 6353, 4, 'Necesidad de introducir un Valor de Retorno');
INSERT INTO `lang_definitions` VALUES (12809, 6354, 4, 'Necesidad de entrar en el identificador');
INSERT INTO `lang_definitions` VALUES (12810, 6355, 4, 'Necesita introducir título');
INSERT INTO `lang_definitions` VALUES (12811, 6358, 4, 'Requiere autorización');
INSERT INTO `lang_definitions` VALUES (12812, 6359, 4, 'Requiere justificación');
INSERT INTO `lang_definitions` VALUES (12813, 6360, 4, 'Necesita la facturación secundaria');
INSERT INTO `lang_definitions` VALUES (12814, 6361, 4, 'Negativo');
INSERT INTO `lang_definitions` VALUES (12815, 6363, 4, 'Negativos');
INSERT INTO `lang_definitions` VALUES (12816, 6369, 4, 'Lesión del nervio');
INSERT INTO `lang_definitions` VALUES (12817, 6371, 4, 'Condición neural / daño en los nervios');
INSERT INTO `lang_definitions` VALUES (12818, 6373, 4, 'Entumecimiento Neuro');
INSERT INTO `lang_definitions` VALUES (12819, 6374, 4, 'Debilidad Neura');
INSERT INTO `lang_definitions` VALUES (12820, 6377, 4, 'Neurológico');
INSERT INTO `lang_definitions` VALUES (12821, 6381, 4, 'Nunca');
INSERT INTO `lang_definitions` VALUES (12822, 6382, 4, 'No Bebe Alcohol');
INSERT INTO `lang_definitions` VALUES (12823, 6383, 4, 'No Fumador');
INSERT INTO `lang_definitions` VALUES (12824, 6384, 4, 'Nuevo');
INSERT INTO `lang_definitions` VALUES (12825, 6385, 4, 'Nuevo =>');
INSERT INTO `lang_definitions` VALUES (12826, 6386, 4, 'Nuevos aceptadores');
INSERT INTO `lang_definitions` VALUES (12827, 6388, 4, 'Nueva alergia');
INSERT INTO `lang_definitions` VALUES (12828, 6390, 4, 'Cita Nueva');
INSERT INTO `lang_definitions` VALUES (12829, 6391, 4, 'Categoria Nueva');
INSERT INTO `lang_definitions` VALUES (12830, 6392, 4, 'Nueva Categoría');
INSERT INTO `lang_definitions` VALUES (12831, 6393, 4, 'Cliente Nuevo');
INSERT INTO `lang_definitions` VALUES (12832, 6394, 4, 'Nueva consulta');
INSERT INTO `lang_definitions` VALUES (12833, 6395, 4, 'Nuevo cultivo');
INSERT INTO `lang_definitions` VALUES (12834, 6396, 4, 'Nueva definición añadido');
INSERT INTO `lang_definitions` VALUES (12835, 6397, 4, 'Nuevo documento');
INSERT INTO `lang_definitions` VALUES (12836, 6398, 4, 'Nuevos documentos');
INSERT INTO `lang_definitions` VALUES (12837, 6401, 4, 'Nuevo Encuentro');
INSERT INTO `lang_definitions` VALUES (12838, 6402, 4, 'Nuevo Encuentro creado con id');
INSERT INTO `lang_definitions` VALUES (12839, 6403, 4, 'Formulario Nuevo Encuentro');
INSERT INTO `lang_definitions` VALUES (12840, 6404, 4, 'Nuevos encuentros no autorizados');
INSERT INTO `lang_definitions` VALUES (12841, 6405, 4, 'Nuevos Enctr');
INSERT INTO `lang_definitions` VALUES (12842, 6406, 4, 'Información de nuevo Centro');
INSERT INTO `lang_definitions` VALUES (12843, 6410, 4, 'Grupo Nuevo');
INSERT INTO `lang_definitions` VALUES (12844, 6413, 4, 'Información de nuevo grupo');
INSERT INTO `lang_definitions` VALUES (12845, 6422, 4, 'Nueva lesión/estado');
INSERT INTO `lang_definitions` VALUES (12846, 6423, 4, 'Nuevos elementos (ver detalles arriba)');
INSERT INTO `lang_definitions` VALUES (12847, 6425, 4, 'Nuevo límite de Eventos');
INSERT INTO `lang_definitions` VALUES (12848, 6426, 4, 'Nueva Lista');
INSERT INTO `lang_definitions` VALUES (12849, 6432, 4, 'Nuevos pedidos');
INSERT INTO `lang_definitions` VALUES (12850, 6433, 4, 'Nuevo Párrafo');
INSERT INTO `lang_definitions` VALUES (12851, 6434, 4, 'Nueva Contraseña');
INSERT INTO `lang_definitions` VALUES (12852, 6435, 4, 'Nuevo Paciente');
INSERT INTO `lang_definitions` VALUES (12853, 6436, 4, 'NUEVO PACIENTE');
INSERT INTO `lang_definitions` VALUES (12854, 6437, 4, 'Nuevo Encuentro con Paciente');
INSERT INTO `lang_definitions` VALUES (12855, 6438, 4, 'Formulario de Nuevo Paciente');
INSERT INTO `lang_definitions` VALUES (12856, 6439, 4, 'Nº Identificación de Nuevo Paciente');
INSERT INTO `lang_definitions` VALUES (12857, 6442, 4, 'Nuevo Pago');
INSERT INTO `lang_definitions` VALUES (12858, 6443, 4, 'Nuevo ingreso a portal');
INSERT INTO `lang_definitions` VALUES (12859, 6445, 4, 'Nuevos Pt');
INSERT INTO `lang_definitions` VALUES (12860, 6447, 4, 'Nuevos resultados del laboratorio de intercambio');
INSERT INTO `lang_definitions` VALUES (12861, 6448, 4, 'Nueva Busqueda');
INSERT INTO `lang_definitions` VALUES (12862, 6449, 4, 'Nuevas sumisiones');
INSERT INTO `lang_definitions` VALUES (12863, 6451, 4, 'Nuevo Usuario');
INSERT INTO `lang_definitions` VALUES (12864, 6453, 4, 'Nuevo Encuentro');
INSERT INTO `lang_definitions` VALUES (12865, 6454, 4, 'Nuevo/búsqueda');
INSERT INTO `lang_definitions` VALUES (12866, 6455, 4, 'Estado de la cuenta NewCrop');
INSERT INTO `lang_definitions` VALUES (12867, 6456, 4, '*Administrador de NewCrop');
INSERT INTO `lang_definitions` VALUES (12868, 6457, 4, 'Llamada fallida a NewCrop');
INSERT INTO `lang_definitions` VALUES (12869, 6458, 4, 'Doctor NewCrop');
INSERT INTO `lang_definitions` VALUES (12870, 6463, 4, 'Nombre Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (12871, 6464, 4, 'Nombre socio Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (12872, 6465, 4, 'Contraseña Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (12873, 6466, 4, 'Rol Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (12874, 6467, 4, 'Rol Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (12875, 6468, 4, 'Sitio Web Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (12876, 6473, 4, 'Sitio Web servicio Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (12877, 6474, 4, 'Gerente NewCrop');
INSERT INTO `lang_definitions` VALUES (12878, 6475, 4, 'NewCrop MedEntry');
INSERT INTO `lang_definitions` VALUES (12879, 6476, 4, 'Médico nivel medio NewCrop');
INSERT INTO `lang_definitions` VALUES (12880, 6477, 4, 'Enfermera NewCrop');
INSERT INTO `lang_definitions` VALUES (12881, 6478, 4, 'Supervisor médico NewCrop');
INSERT INTO `lang_definitions` VALUES (12882, 6479, 4, 'Más nuevo');
INSERT INTO `lang_definitions` VALUES (12883, 6481, 4, 'Periódico');
INSERT INTO `lang_definitions` VALUES (12884, 6482, 4, 'Próximo');
INSERT INTO `lang_definitions` VALUES (12885, 6484, 4, 'Próximo Dia');
INSERT INTO `lang_definitions` VALUES (12886, 6485, 4, 'Próximo mes');
INSERT INTO `lang_definitions` VALUES (12887, 6486, 4, 'Proxima semana');
INSERT INTO `lang_definitions` VALUES (12888, 6491, 4, 'Próxima semana');
INSERT INTO `lang_definitions` VALUES (12889, 6492, 4, 'Año siguiente (Presione para el menu');
INSERT INTO `lang_definitions` VALUES (12890, 6494, 4, 'Apodo');
INSERT INTO `lang_definitions` VALUES (12891, 6496, 4, 'Sudores nocturnos');
INSERT INTO `lang_definitions` VALUES (12892, 6498, 4, 'Órganos genitales de la extensión de NL, mucosa de vag, cuello uterino');
INSERT INTO `lang_definitions` VALUES (12893, 6499, 4, 'No');
INSERT INTO `lang_definitions` VALUES (12894, 6500, 4, 'NO');
INSERT INTO `lang_definitions` VALUES (12895, 6502, 4, 'No tienen acceso');
INSERT INTO `lang_definitions` VALUES (12896, 6503, 4, 'Recordatorios de paciente no activos.');
INSERT INTO `lang_definitions` VALUES (12897, 6504, 4, 'No adenopatías (2 áreas requeridas)');
INSERT INTO `lang_definitions` VALUES (12898, 6505, 4, 'Ninguna razón de tipo de ajuste encontrada para');
INSERT INTO `lang_definitions` VALUES (12899, 6506, 4, 'No dolor/masa en anexos');
INSERT INTO `lang_definitions` VALUES (12900, 6509, 4, 'No hay citas');
INSERT INTO `lang_definitions` VALUES (12901, 6515, 4, 'Sistema de facturación no se encuentra activa');
INSERT INTO `lang_definitions` VALUES (12902, 6516, 4, 'No hay facturas encontradas para incluir en Exportación OFX');
INSERT INTO `lang_definitions` VALUES (12903, 6517, 4, 'Ningunas cuentas se encuentran para incluir en la exportación de OFX');
INSERT INTO `lang_definitions` VALUES (12904, 6519, 4, 'No se ha especificado el código!');
INSERT INTO `lang_definitions` VALUES (12905, 6523, 4, 'Ninguna diagnosis');
INSERT INTO `lang_definitions` VALUES (12906, 6526, 4, 'Ningunos documentos encontrados');
INSERT INTO `lang_definitions` VALUES (12907, 6527, 4, 'No pueden crearse visitas');
INSERT INTO `lang_definitions` VALUES (12908, 6529, 4, 'Sin fecha de finalización');
INSERT INTO `lang_definitions` VALUES (12909, 6530, 4, 'No se encuentran entradas, utilice el formulario que aparece a continuación para agregar una entrada.');
INSERT INTO `lang_definitions` VALUES (12910, 6531, 4, 'errores no encontrados');
INSERT INTO `lang_definitions` VALUES (12911, 6532, 4, 'No hay Eventos');
INSERT INTO `lang_definitions` VALUES (12912, 6534, 4, 'No hay ficheros preparados para la instalación');
INSERT INTO `lang_definitions` VALUES (12913, 6536, 4, 'Ningún grupo fue seleccionado');
INSERT INTO `lang_definitions` VALUES (12914, 6537, 4, 'Ninguna hernia');
INSERT INTO `lang_definitions` VALUES (12915, 6540, 4, 'No lesion/enfermedad');
INSERT INTO `lang_definitions` VALUES (12916, 6541, 4, 'No se encontro ninguna Sociedad Médica');
INSERT INTO `lang_definitions` VALUES (12917, 6544, 4, 'No hay incidencias');
INSERT INTO `lang_definitions` VALUES (12918, 6545, 4, 'No hay incidencias en este encuentro');
INSERT INTO `lang_definitions` VALUES (12919, 6546, 4, 'No hay artículos bajo la categoría seleccionada');
INSERT INTO `lang_definitions` VALUES (12920, 6547, 4, '¡Ningun artículo fue seleccionado!');
INSERT INTO `lang_definitions` VALUES (12921, 6549, 4, 'Instrucciones clin. no conocidas');
INSERT INTO `lang_definitions` VALUES (12922, 6550, 4, 'Sin encuentros conocidos');
INSERT INTO `lang_definitions` VALUES (12923, 6551, 4, 'Sin inmunizaciones conocidas');
INSERT INTO `lang_definitions` VALUES (12924, 6552, 4, 'Sin result. de lab. conocidos');
INSERT INTO `lang_definitions` VALUES (12925, 6553, 4, 'Sin medicaciones conocidas');
INSERT INTO `lang_definitions` VALUES (12926, 6555, 4, 'Sin problemas conocidos');
INSERT INTO `lang_definitions` VALUES (12927, 6556, 4, 'Sin procedimientos conocidos');
INSERT INTO `lang_definitions` VALUES (12928, 6560, 4, 'Sin datos vitales');
INSERT INTO `lang_definitions` VALUES (12929, 6561, 4, 'Sin datos de lab. documentados');
INSERT INTO `lang_definitions` VALUES (12930, 6562, 4, 'No hay fichero de registro para la fecha seleccionada');
INSERT INTO `lang_definitions` VALUES (12931, 6565, 4, 'Sin masas ni sensibilidad');
INSERT INTO `lang_definitions` VALUES (12932, 6566, 4, 'Ningún registro de paciente encontrado para el código de Re-identificación');
INSERT INTO `lang_definitions` VALUES (12933, 6568, 4, 'No hay coincidencias. Intentar buscar de nuevo.');
INSERT INTO `lang_definitions` VALUES (12934, 6569, 4, 'No se han encontrado coincidencias.');
INSERT INTO `lang_definitions` VALUES (12935, 6570, 4, 'No se encontró. ¿Crear el nuevo paciente ahora?');
INSERT INTO `lang_definitions` VALUES (12936, 6571, 4, 'No hay registros coincidentes');
INSERT INTO `lang_definitions` VALUES (12937, 6577, 4, 'No hay nuevos resultados encontrados');
INSERT INTO `lang_definitions` VALUES (12938, 6578, 4, 'Ningunas notas');
INSERT INTO `lang_definitions` VALUES (12939, 6579, 4, 'No hay organomegalia');
INSERT INTO `lang_definitions` VALUES (12940, 6580, 4, 'No se encontraron huecos para este periodo.');
INSERT INTO `lang_definitions` VALUES (12941, 6583, 4, 'No figuran otros números de teléfono');
INSERT INTO `lang_definitions` VALUES (12942, 6585, 4, 'Socios no encontrado');
INSERT INTO `lang_definitions` VALUES (12943, 6586, 4, 'No se hallaron registros de paciente para el criterio proporcionado');
INSERT INTO `lang_definitions` VALUES (12944, 6587, 4, 'No hay registros de paciente encontrados para el código de Re-identificación dado');
INSERT INTO `lang_definitions` VALUES (12945, 6588, 4, 'Ningún edema periférico');
INSERT INTO `lang_definitions` VALUES (12946, 6589, 4, 'Ninguna Farmacia Encontrada');
INSERT INTO `lang_definitions` VALUES (12947, 6590, 4, 'Ninguna Prescripción Encontrada');
INSERT INTO `lang_definitions` VALUES (12948, 6592, 4, 'Ninguna enfermedad/lesión actuales');
INSERT INTO `lang_definitions` VALUES (12949, 6593, 4, 'Sin entradas anteriores');
INSERT INTO `lang_definitions` VALUES (12950, 6594, 4, 'Ninguna Empresa Primaria seleccionada en la lista del Centro');
INSERT INTO `lang_definitions` VALUES (12951, 6595, 4, 'No hay encuentros anteriores');
INSERT INTO `lang_definitions` VALUES (12952, 6596, 4, 'No hay procedimientos en este encuentro');
INSERT INTO `lang_definitions` VALUES (12953, 6598, 4, 'Ningun Facultativo Encontrado');
INSERT INTO `lang_definitions` VALUES (12954, 6599, 4, 'Ninguna erupción o lesiones anormales');
INSERT INTO `lang_definitions` VALUES (12955, 6602, 4, 'Registros no encontrados');
INSERT INTO `lang_definitions` VALUES (12956, 6604, 4, 'Registros no encontrados. Por favor amplíe sus criterios de búsqueda.');
INSERT INTO `lang_definitions` VALUES (12957, 6607, 4, 'No hay recordatorios');
INSERT INTO `lang_definitions` VALUES (12958, 6608, 4, 'Resultados no encontrados, para los criterios de búsqueda.');
INSERT INTO `lang_definitions` VALUES (12959, 6609, 4, 'Sin resultados');
INSERT INTO `lang_definitions` VALUES (12960, 6612, 4, 'Búsqueda sin resultado');
INSERT INTO `lang_definitions` VALUES (12961, 6613, 4, 'Ningun resultado, por favor intente de nuevo');
INSERT INTO `lang_definitions` VALUES (12962, 6614, 4, 'Ningun resultado, por favor trate de nuevo');
INSERT INTO `lang_definitions` VALUES (12963, 6615, 4, 'Sin resultados, por favor intente de nuevo');
INSERT INTO `lang_definitions` VALUES (12964, 6618, 4, 'Ausente');
INSERT INTO `lang_definitions` VALUES (12965, 6621, 4, 'No hay firmas en el archivo');
INSERT INTO `lang_definitions` VALUES (12966, 6622, 4, 'Ninguna sensibilidad del Seno:');
INSERT INTO `lang_definitions` VALUES (12967, 6623, 4, 'Sin hoyuelos en la piel o nódulos en la mama');
INSERT INTO `lang_definitions` VALUES (12968, 6624, 4, 'NINGÚN NOMBRE DE CONTEXTO');
INSERT INTO `lang_definitions` VALUES (12969, 6626, 4, 'No hay sensibilidad testicular, masas');
INSERT INTO `lang_definitions` VALUES (12970, 6628, 4, 'Ningunas emociones o tirones');
INSERT INTO `lang_definitions` VALUES (12971, 6632, 4, 'No hay Encuentro');
INSERT INTO `lang_definitions` VALUES (12972, 6633, 4, 'Constantes vitales no han sido documentadas.');
INSERT INTO `lang_definitions` VALUES (12973, 6634, 4, 'No, Cancelar');
INSERT INTO `lang_definitions` VALUES (12974, 6635, 4, 'Ningún seguro de defecto incluyendo Auto es principal');
INSERT INTO `lang_definitions` VALUES (12975, 6636, 4, 'No:');
INSERT INTO `lang_definitions` VALUES (12976, 6637, 4, 'Nocturia');
INSERT INTO `lang_definitions` VALUES (12977, 6638, 4, 'No Pagado');
INSERT INTO `lang_definitions` VALUES (12978, 6640, 4, 'Informe No Reportado');
INSERT INTO `lang_definitions` VALUES (12979, 6641, 4, 'Lesión no específica');
INSERT INTO `lang_definitions` VALUES (12980, 6642, 4, 'No-electrónico');
INSERT INTO `lang_definitions` VALUES (12981, 6643, 4, 'Diabetes no insulino dependiente');
INSERT INTO `lang_definitions` VALUES (12982, 6644, 4, 'No asegurado');
INSERT INTO `lang_definitions` VALUES (12983, 6646, 4, 'No-SRH Médico');
INSERT INTO `lang_definitions` VALUES (12984, 6647, 4, 'No-SRH No-Médico');
INSERT INTO `lang_definitions` VALUES (12985, 6648, 4, 'Ninguno');
INSERT INTO `lang_definitions` VALUES (12986, 6649, 4, 'ninguno');
INSERT INTO `lang_definitions` VALUES (12987, 6650, 4, 'No definido');
INSERT INTO `lang_definitions` VALUES (12988, 6652, 4, 'No ha sido documentado');
INSERT INTO `lang_definitions` VALUES (12989, 6653, 4, 'Ninguna de las anteriores');
INSERT INTO `lang_definitions` VALUES (12990, 6654, 4, 'Ninguna de las Filas de Distribución Superior puede estar Completamente en Blanco.');
INSERT INTO `lang_definitions` VALUES (12991, 6683, 4, 'Diabetes no insulino dependiente');
INSERT INTO `lang_definitions` VALUES (12992, 6684, 4, 'Norm.');
INSERT INTO `lang_definitions` VALUES (12993, 6685, 4, 'Normal');
INSERT INTO `lang_definitions` VALUES (12994, 6687, 4, 'Normal BL');
INSERT INTO `lang_definitions` VALUES (12995, 6688, 4, 'Examen Cardiaco Normal:');
INSERT INTO `lang_definitions` VALUES (12996, 6689, 4, 'Examen Cardiaco Normal:');
INSERT INTO `lang_definitions` VALUES (12997, 6690, 4, 'Examen Normal del Pulmón:');
INSERT INTO `lang_definitions` VALUES (12998, 6691, 4, 'Examen Normal del Pulmón:');
INSERT INTO `lang_definitions` VALUES (12999, 6692, 4, 'Visita normal en el Centro');
INSERT INTO `lang_definitions` VALUES (13000, 6693, 4, 'Orofaringe normal:');
INSERT INTO `lang_definitions` VALUES (13001, 6694, 4, 'Derecho Normal');
INSERT INTO `lang_definitions` VALUES (13002, 6695, 4, 'Derecho Normal:');
INSERT INTO `lang_definitions` VALUES (13003, 6696, 4, 'Ver Normal');
INSERT INTO `lang_definitions` VALUES (13004, 6697, 4, 'normal:');
INSERT INTO `lang_definitions` VALUES (13005, 6698, 4, 'Normalmente esto debe ser comprobado. No relacionado con el control de acceso.');
INSERT INTO `lang_definitions` VALUES (13006, 6701, 4, 'Noruego');
INSERT INTO `lang_definitions` VALUES (13007, 6705, 4, 'Nariz');
INSERT INTO `lang_definitions` VALUES (13008, 6706, 4, 'Sangrado por la nariz');
INSERT INTO `lang_definitions` VALUES (13009, 6707, 4, 'No es letra ni úmero');
INSERT INTO `lang_definitions` VALUES (13010, 6710, 4, 'No todos los campos son obligatorios para todos los códigos o tipos de códigos.');
INSERT INTO `lang_definitions` VALUES (13011, 6712, 4, 'No permitido');
INSERT INTO `lang_definitions` VALUES (13012, 6713, 4, 'No pueden eliminar el grupo Administradores');
INSERT INTO `lang_definitions` VALUES (13013, 6714, 4, 'No permitido Editar');
INSERT INTO `lang_definitions` VALUES (13014, 6715, 4, 'No pueden inactivar todos los objetos de seguridad');
INSERT INTO `lang_definitions` VALUES (13015, 6716, 4, 'No permitido hacer inactivo cualquier cosa de los administradores ACL');
INSERT INTO `lang_definitions` VALUES (13016, 6717, 4, 'No pueden eliminar el usuario administrador del grupo Administradores');
INSERT INTO `lang_definitions` VALUES (13017, 6718, 4, 'No permitido eliminar este usuario del grupo de Administradores');
INSERT INTO `lang_definitions` VALUES (13018, 6720, 4, 'No autorizado para tener acceso al módulo de PostCalendar');
INSERT INTO `lang_definitions` VALUES (13019, 6721, 4, 'No Autorizado');
INSERT INTO `lang_definitions` VALUES (13020, 6722, 4, 'No autorizado');
INSERT INTO `lang_definitions` VALUES (13021, 6723, 4, '¡No autorizado para este equipo!');
INSERT INTO `lang_definitions` VALUES (13022, 6724, 4, 'No autorizados para este equipo.');
INSERT INTO `lang_definitions` VALUES (13023, 6726, 4, 'No autorizado para firmar resultados');
INSERT INTO `lang_definitions` VALUES (13024, 6729, 4, 'No disponible');
INSERT INTO `lang_definitions` VALUES (13025, 6731, 4, 'No facturado');
INSERT INTO `lang_definitions` VALUES (13026, 6732, 4, 'No Chequeado');
INSERT INTO `lang_definitions` VALUES (13027, 6733, 4, 'No registró salida');
INSERT INTO `lang_definitions` VALUES (13028, 6734, 4, 'No codificado');
INSERT INTO `lang_definitions` VALUES (13029, 6736, 4, 'No Vencido');
INSERT INTO `lang_definitions` VALUES (13030, 6738, 4, 'No examinado');
INSERT INTO `lang_definitions` VALUES (13031, 6739, 4, 'No Examinado:');
INSERT INTO `lang_definitions` VALUES (13032, 6740, 4, 'No Examinado:');
INSERT INTO `lang_definitions` VALUES (13033, 6742, 4, 'No se ha encontrado');
INSERT INTO `lang_definitions` VALUES (13034, 6744, 4, 'No encontrado!');
INSERT INTO `lang_definitions` VALUES (13035, 6745, 4, 'No Hispano o Latino');
INSERT INTO `lang_definitions` VALUES (13036, 6746, 4, 'No instalado');
INSERT INTO `lang_definitions` VALUES (13037, 6751, 4, 'No visto desde');
INSERT INTO `lang_definitions` VALUES (13038, 6753, 4, 'No enviado todavía');
INSERT INTO `lang_definitions` VALUES (13039, 6755, 4, 'Sin Especificar');
INSERT INTO `lang_definitions` VALUES (13040, 6758, 4, 'Nota');
INSERT INTO `lang_definitions` VALUES (13041, 6760, 4, 'Código Notas');
INSERT INTO `lang_definitions` VALUES (13042, 6762, 4, 'Tenga en cuenta que el proceso completo después de hacer click en instalar puede tardar 5-10 minutos');
INSERT INTO `lang_definitions` VALUES (13043, 6763, 4, 'Tenga en cuenta que el proceso completo después de hacer click en actualizar puede tardar 5-10 minutos');
INSERT INTO `lang_definitions` VALUES (13044, 6764, 4, 'Tenga en cuenta que la Auditoría de inicio sesión necesita estar activada arriba');
INSERT INTO `lang_definitions` VALUES (13045, 6771, 4, 'Tipo de Nota');
INSERT INTO `lang_definitions` VALUES (13046, 6772, 4, 'Nota: 12:00 mediodía es PM, no AM');
INSERT INTO `lang_definitions` VALUES (13047, 6773, 4, 'NOTA: Importar datos externos puede tomar más de una hora dependiendo de su configuración hardware. Por ejemplo, una de las tablas de datos RxNorm contiene más de 6 millones de líneas.');
INSERT INTO `lang_definitions` VALUES (13048, 6774, 4, 'NOTA: Solo la versión Bianual Snomed Internacional es actualmente soportada');
INSERT INTO `lang_definitions` VALUES (13049, 6776, 4, 'NOTA: Solo la versión completa mensual de RxNorm es actualmente soportada');
INSERT INTO `lang_definitions` VALUES (13050, 6780, 4, 'Nota: este código no fue ingresado por un usuario autorizado. Sólo los códigos autorizados pueden ser subidos a la Red Abierta de facturación médica para su procesamiento. Si desea cargar estos códigos, por favor, seleccione un usuario autorizado aquí.');
INSERT INTO `lang_definitions` VALUES (13051, 6783, 4, 'Nota: este código no fue por un usuario autorizado. Sólo están autorizados los códigos pueden ser subidos a la Red Abierta de facturación médica para su procesamiento. Si desea cargar estos códigos, por favor, seleccione un usuario autorizado aquí.');
INSERT INTO `lang_definitions` VALUES (13052, 6784, 4, 'NOTA: Los archivos que cargan con nombres duplicados harán los archivos ser retitulados automáticamente. Por ejemplo \' archivo.jpg\' se convertirá \' archivo.jpg.1\'. Los nombres de fichero se consideran únicos por paciente, no por categoría.');
INSERT INTO `lang_definitions` VALUES (13053, 6785, 4, 'Notas');
INSERT INTO `lang_definitions` VALUES (13054, 6788, 4, 'Notas - cualquier encuentros (escribir, sólo añadir opcional)');
INSERT INTO `lang_definitions` VALUES (13055, 6790, 4, 'Notas - mis encuentros (escribir, sólo añadir opcional)');
INSERT INTO `lang_definitions` VALUES (13056, 6793, 4, 'Notas no autorizados');
INSERT INTO `lang_definitions` VALUES (13057, 6796, 4, 'Nada Grabado');
INSERT INTO `lang_definitions` VALUES (13058, 6799, 4, 'Nada que importar para alergia');
INSERT INTO `lang_definitions` VALUES (13059, 6800, 4, 'Nada que importar para receta');
INSERT INTO `lang_definitions` VALUES (13060, 6803, 4, 'Nada que mostrar');
INSERT INTO `lang_definitions` VALUES (13061, 6804, 4, 'Nada fue seleccionado');
INSERT INTO `lang_definitions` VALUES (13062, 6808, 4, 'AVISO:: Sumisión/modificación de PostCalendar');
INSERT INTO `lang_definitions` VALUES (13063, 6809, 4, 'Notificación');
INSERT INTO `lang_definitions` VALUES (13064, 6810, 4, 'Email para Notificación');
INSERT INTO `lang_definitions` VALUES (13065, 6815, 4, 'Notificaciones');
INSERT INTO `lang_definitions` VALUES (13066, 6816, 4, 'Notificar Administrador Acerca del Evento de presentación / Modificación?');
INSERT INTO `lang_definitions` VALUES (13067, 6820, 4, 'Nov');
INSERT INTO `lang_definitions` VALUES (13068, 6821, 4, 'Noviembre');
INSERT INTO `lang_definitions` VALUES (13069, 6824, 4, 'Ahora, la publicación de:');
INSERT INTO `lang_definitions` VALUES (13070, 6825, 4, 'Imprimiendo ahora');
INSERT INTO `lang_definitions` VALUES (13071, 6826, 4, 'Ahora impresión $ stmt_contra declaraciones y actualización de los encuentros.');
INSERT INTO `lang_definitions` VALUES (13072, 6827, 4, 'Ahora declaraciones de la impresión $stmt_contra y facturas de la puesta al día.');
INSERT INTO `lang_definitions` VALUES (13073, 6828, 4, 'Ahora declaraciones de la impresión $stmt_contra; los encuentros no serán actualizados.');
INSERT INTO `lang_definitions` VALUES (13074, 6829, 4, 'Ahora declaraciones de la impresión $stmt_contra; las facturas no serán actualizadas.');
INSERT INTO `lang_definitions` VALUES (13075, 6834, 4, 'NPI');
INSERT INTO `lang_definitions` VALUES (13076, 6836, 4, 'National Quality Forum');
INSERT INTO `lang_definitions` VALUES (13077, 6837, 4, 'Número');
INSERT INTO `lang_definitions` VALUES (13078, 6838, 4, 'Número laboratorio');
INSERT INTO `lang_definitions` VALUES (13079, 6843, 4, 'Número de columnas en vista/año.');
INSERT INTO `lang_definitions` VALUES (13080, 6850, 4, 'Número de días de validez para el certificado de cliente.');
INSERT INTO `lang_definitions` VALUES (13081, 6852, 4, 'Número de dígitos después del punto decimal, normalmente 0 o 2.');
INSERT INTO `lang_definitions` VALUES (13082, 6853, 4, 'Número de visitas por página');
INSERT INTO `lang_definitions` VALUES (13083, 6855, 4, 'Número de partidas o eventos perdidos, si hay');
INSERT INTO `lang_definitions` VALUES (13084, 6856, 4, 'Número de horas de antelación para enviar notificaciones por email.');
INSERT INTO `lang_definitions` VALUES (13085, 6857, 4, 'Número de horas de antelación para enviar notificaciones por teléfono.');
INSERT INTO `lang_definitions` VALUES (13086, 6858, 4, 'Número de horas de antelación para enviar notificaciones por SMS.');
INSERT INTO `lang_definitions` VALUES (13087, 6860, 4, 'Número de minutos para mostrar salidas completadas');
INSERT INTO `lang_definitions` VALUES (13088, 6861, 4, 'Número de minutos para mostrar salidas completadas. Cero es muestra continua');
INSERT INTO `lang_definitions` VALUES (13089, 6862, 4, 'Número de columnas para historia pasada');
INSERT INTO `lang_definitions` VALUES (13090, 6863, 4, 'Número de pacientes que mostrar por página en la lista de pacientes.');
INSERT INTO `lang_definitions` VALUES (13091, 6864, 4, 'Entumecimiento');
INSERT INTO `lang_definitions` VALUES (13092, 6865, 4, 'Numerador');
INSERT INTO `lang_definitions` VALUES (13093, 6866, 4, 'Orden Númerico mostrado');
INSERT INTO `lang_definitions` VALUES (13094, 6869, 4, 'Nutrición');
INSERT INTO `lang_definitions` VALUES (13095, 6871, 4, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (13096, 6872, 4, 'O2 sat');
INSERT INTO `lang_definitions` VALUES (13097, 6874, 4, 'Obesidad I');
INSERT INTO `lang_definitions` VALUES (13098, 6875, 4, 'Obesidad II');
INSERT INTO `lang_definitions` VALUES (13099, 6876, 4, 'Obesidad III');
INSERT INTO `lang_definitions` VALUES (13100, 6877, 4, 'Objetivo');
INSERT INTO `lang_definitions` VALUES (13101, 6882, 4, 'Form. de observaciones');
INSERT INTO `lang_definitions` VALUES (13102, 6886, 4, 'Ocupación');
INSERT INTO `lang_definitions` VALUES (13103, 6889, 4, 'Acontecimiento');
INSERT INTO `lang_definitions` VALUES (13104, 6890, 4, 'Oct');
INSERT INTO `lang_definitions` VALUES (13105, 6891, 4, 'Octubre');
INSERT INTO `lang_definitions` VALUES (13106, 6892, 4, 'OD');
INSERT INTO `lang_definitions` VALUES (13107, 6895, 4, 'de');
INSERT INTO `lang_definitions` VALUES (13108, 6896, 4, 'de la cantidad');
INSERT INTO `lang_definitions` VALUES (13109, 6897, 4, 'de tabletas');
INSERT INTO `lang_definitions` VALUES (13110, 6898, 4, 'de cada mes');
INSERT INTO `lang_definitions` VALUES (13111, 6899, 4, 'Notas de la oficina');
INSERT INTO `lang_definitions` VALUES (13112, 6900, 4, 'Apagado');
INSERT INTO `lang_definitions` VALUES (13113, 6907, 4, 'Notas de la Oficina');
INSERT INTO `lang_definitions` VALUES (13114, 6908, 4, 'Visita en el Centro');
INSERT INTO `lang_definitions` VALUES (13115, 6909, 4, 'Medidas oficiales de calidad clínica (GCC) Grupos de medida');
INSERT INTO `lang_definitions` VALUES (13116, 6910, 4, 'Vínculo https para el Portal Externo del paciente.');
INSERT INTO `lang_definitions` VALUES (13117, 6911, 4, 'Vínculo Https para el Portal del Paciente Externo (Vínculo Paciente)');
INSERT INTO `lang_definitions` VALUES (13118, 6912, 4, 'Contraseña Portal del Paciente Externo');
INSERT INTO `lang_definitions` VALUES (13119, 6913, 4, 'Contraseña Portal del paciente externo (Dejar en blanco si no está registrado)');
INSERT INTO `lang_definitions` VALUES (13120, 6916, 4, 'Sitio Web del Portal del Paciente Externo');
INSERT INTO `lang_definitions` VALUES (13121, 6917, 4, 'Sitio web del Portal del Paciente Externo (Vínculo Paciente)');
INSERT INTO `lang_definitions` VALUES (13122, 6918, 4, 'Usuario del Portal del Paciente Externo');
INSERT INTO `lang_definitions` VALUES (13123, 6919, 4, 'Usuario del Portal del Paciente Externo (Dejar en blanco si no está registrado).');
INSERT INTO `lang_definitions` VALUES (13124, 6921, 4, 'Descendencia');
INSERT INTO `lang_definitions` VALUES (13125, 6925, 4, 'Ungüento');
INSERT INTO `lang_definitions` VALUES (13126, 6927, 4, 'Esta Bien');
INSERT INTO `lang_definitions` VALUES (13127, 6930, 4, 'OK para vincular la cuestión de fecha GCAC');
INSERT INTO `lang_definitions` VALUES (13128, 6931, 4, 'Viejo');
INSERT INTO `lang_definitions` VALUES (13129, 6933, 4, 'Clientes antiguos');
INSERT INTO `lang_definitions` VALUES (13130, 6934, 4, 'La fractura vieja no/malunion');
INSERT INTO `lang_definitions` VALUES (13131, 6935, 4, 'Diseño Estilo antiguo sin menú a la izquierda');
INSERT INTO `lang_definitions` VALUES (13132, 6936, 4, 'Formulario viejo-estilo sin buscar o comprobar duplicados');
INSERT INTO `lang_definitions` VALUES (13133, 6942, 4, 'Omitir información empleador en demográficos del paciente');
INSERT INTO `lang_definitions` VALUES (13134, 6943, 4, 'Omitir Empleador');
INSERT INTO `lang_definitions` VALUES (13135, 6944, 4, 'Omitir forma farm., vía e intervalo, que serán parte de la dosis');
INSERT INTO `lang_definitions` VALUES (13136, 6945, 4, 'Omitir seguro y otras cosas en el formulario de demograficos');
INSERT INTO `lang_definitions` VALUES (13137, 6946, 4, '¿Omitir usuarios internos?');
INSERT INTO `lang_definitions` VALUES (13138, 6947, 4, 'Omitir método de pago para el panel de co-pago');
INSERT INTO `lang_definitions` VALUES (13139, 6948, 4, 'Omitir para asignación automatica');
INSERT INTO `lang_definitions` VALUES (13140, 6949, 4, 'Activo');
INSERT INTO `lang_definitions` VALUES (13141, 6950, 4, 'en');
INSERT INTO `lang_definitions` VALUES (13142, 6956, 4, 'En mano');
INSERT INTO `lang_definitions` VALUES (13143, 6959, 4, 'En Orden');
INSERT INTO `lang_definitions` VALUES (13144, 6960, 4, 'En el sitio');
INSERT INTO `lang_definitions` VALUES (13145, 6975, 4, 'Una vez asignado el Centro para el negocio principal, no deberá ser cambiado. El cambio del Centro afectará al trabajo en NewCrop ePrescription.');
INSERT INTO `lang_definitions` VALUES (13146, 6979, 4, 'Una vez que cambie su contraseña, tendrá que volver a iniciar sesión.');
INSERT INTO `lang_definitions` VALUES (13147, 6996, 4, 'Soporte en línea');
INSERT INTO `lang_definitions` VALUES (13148, 6997, 4, 'Vínculo de soporte online');
INSERT INTO `lang_definitions` VALUES (13149, 6999, 4, 'Sólo activa');
INSERT INTO `lang_definitions` VALUES (13150, 7004, 4, 'sólo si es ubicación de facturación');
INSERT INTO `lang_definitions` VALUES (13151, 7006, 4, 'Sólo inactivo');
INSERT INTO `lang_definitions` VALUES (13152, 7007, 4, 'Sólo mio');
INSERT INTO `lang_definitions` VALUES (13153, 7011, 4, 'Sólo mostrar los Informes de códigos de diagnóstico');
INSERT INTO `lang_definitions` VALUES (13154, 7012, 4, 'Sólo mostrar Código de Servicio de Informes de Códigos de Finanzas');
INSERT INTO `lang_definitions` VALUES (13155, 7013, 4, 'Sólo subir las prescripciones activas');
INSERT INTO `lang_definitions` VALUES (13156, 7017, 4, 'Inicio Enfermedad:');
INSERT INTO `lang_definitions` VALUES (13157, 7018, 4, 'Inicio Enfermedad:');
INSERT INTO `lang_definitions` VALUES (13158, 7019, 4, 'Inicio de Hinchazón:');
INSERT INTO `lang_definitions` VALUES (13159, 7022, 4, 'Fecha de Inicio/hospital.:');
INSERT INTO `lang_definitions` VALUES (13160, 7026, 4, 'Sitio Web del Portal del Paciente Interno');
INSERT INTO `lang_definitions` VALUES (13161, 7030, 4, '¡Uy!');
INSERT INTO `lang_definitions` VALUES (13162, 7031, 4, 'Abrir');
INSERT INTO `lang_definitions` VALUES (13163, 7036, 4, 'Abrir demografía en nueva ventana desde tablero de flujo de pacientes');
INSERT INTO `lang_definitions` VALUES (13164, 7040, 4, 'Abrir en ventana nueva');
INSERT INTO `lang_definitions` VALUES (13165, 7042, 4, 'Abrir paciente');
INSERT INTO `lang_definitions` VALUES (13166, 7043, 4, 'Abrir paciente en ventana nueva');
INSERT INTO `lang_definitions` VALUES (13167, 7046, 4, 'Abrir visitas para hoy');
INSERT INTO `lang_definitions` VALUES (13168, 7071, 4, 'OpenEMR ya tiene un Certificado de Autoridad Configurado');
INSERT INTO `lang_definitions` VALUES (13169, 7076, 4, 'Actualización base de datos OpenEMR');
INSERT INTO `lang_definitions` VALUES (13170, 7077, 4, 'Actualización base de datos OpenEMR para De-identificación');
INSERT INTO `lang_definitions` VALUES (13171, 7078, 4, 'OpenEMR no reconoce el archivo de entrada en el directorio contrib. Esto es probablemente porque necesita configurar la versión en la tabla supported_external_dataloads en la base de datos MySQL.');
INSERT INTO `lang_definitions` VALUES (13172, 7080, 4, 'OpenEMR debe configurarse para usar certificado antes de poder crear cliente');
INSERT INTO `lang_definitions` VALUES (13173, 7084, 4, 'OpenEMR requiere Javascript para realizar la autenticación de usuario.');
INSERT INTO `lang_definitions` VALUES (13174, 7085, 4, 'OpenEMR Usuarios');
INSERT INTO `lang_definitions` VALUES (13175, 7086, 4, 'Vacantes');
INSERT INTO `lang_definitions` VALUES (13176, 7092, 4, 'Oftálmico');
INSERT INTO `lang_definitions` VALUES (13177, 7095, 4, 'Opcion');
INSERT INTO `lang_definitions` VALUES (13178, 7097, 4, 'Opción para guardar el método de almacenamiento de documentos.');
INSERT INTO `lang_definitions` VALUES (13179, 7098, 4, 'Opción para soporte de inventario y ventas de productos');
INSERT INTO `lang_definitions` VALUES (13180, 7099, 4, 'Opcional');
INSERT INTO `lang_definitions` VALUES (13181, 7100, 4, 'Nombre de la categoría opcional para una imagen de la tarjeta de identificación que se puede ver desde la página de resumen del paciente.');
INSERT INTO `lang_definitions` VALUES (13182, 7101, 4, 'Nombre de la categoría opcional para una imagen de foto que se puede ver desde la página de resumen del paciente.');
INSERT INTO `lang_definitions` VALUES (13183, 7102, 4, 'Nombre de la categoría opcional de un documento para vincular desde la página de resumen del paciente. Haga click en el nombre del paciente para ver su tarjeta de identificación.');
INSERT INTO `lang_definitions` VALUES (13184, 7103, 4, 'Rango por defecto opcional para la entrada manual de los resultados');
INSERT INTO `lang_definitions` VALUES (13185, 7104, 4, 'Unidades opcionales por defecto para la entrada manual de los resultados');
INSERT INTO `lang_definitions` VALUES (13186, 7105, 4, 'Nombre de destino opcional');
INSERT INTO `lang_definitions` VALUES (13187, 7107, 4, 'Nombre opcional de medicamento, use % como comodín');
INSERT INTO `lang_definitions` VALUES (13188, 7111, 4, 'Información opcional sobre este evento');
INSERT INTO `lang_definitions` VALUES (13189, 7112, 4, 'Opcional número de lote, usar % como un comodin');
INSERT INTO `lang_definitions` VALUES (13190, 7113, 4, 'Nº Identificación Numérico opcional del paciente');
INSERT INTO `lang_definitions` VALUES (13191, 7114, 4, 'Código opcional del procedimiento');
INSERT INTO `lang_definitions` VALUES (13192, 7115, 4, 'Código procedimiento/servicio opcional');
INSERT INTO `lang_definitions` VALUES (13193, 7116, 4, 'Opciones');
INSERT INTO `lang_definitions` VALUES (13194, 7117, 4, 'O');
INSERT INTO `lang_definitions` VALUES (13195, 7118, 4, 'ó');
INSERT INTO `lang_definitions` VALUES (13196, 7119, 4, 'o elija');
INSERT INTO `lang_definitions` VALUES (13197, 7120, 4, 'o Selecciona y arrastrar para selección mas rapida');
INSERT INTO `lang_definitions` VALUES (13198, 7122, 4, 'O hacia fuera a');
INSERT INTO `lang_definitions` VALUES (13199, 7124, 4, 'o Shif-Selecciona para reducirlo');
INSERT INTO `lang_definitions` VALUES (13200, 7125, 4, 'O cargar archivo ERA:');
INSERT INTO `lang_definitions` VALUES (13201, 7127, 4, 'Oral');
INSERT INTO `lang_definitions` VALUES (13202, 7128, 4, 'Mucosa oral rosada, garganta clara');
INSERT INTO `lang_definitions` VALUES (13203, 7129, 4, 'Orden');
INSERT INTO `lang_definitions` VALUES (13204, 7131, 4, 'Orden y tipo de resultados');
INSERT INTO `lang_definitions` VALUES (13205, 7132, 4, 'Catálogo de órdenes');
INSERT INTO `lang_definitions` VALUES (13206, 7133, 4, 'Fecha pedido');
INSERT INTO `lang_definitions` VALUES (13207, 7136, 4, 'Formulario de pedido');
INSERT INTO `lang_definitions` VALUES (13208, 7138, 4, 'Orden debe ser un número entre 1 y 999');
INSERT INTO `lang_definitions` VALUES (13209, 7140, 4, 'Nombre pedido');
INSERT INTO `lang_definitions` VALUES (13210, 7142, 4, 'Solicitud Prioridades');
INSERT INTO `lang_definitions` VALUES (13211, 7143, 4, 'Orden de Procesamiento');
INSERT INTO `lang_definitions` VALUES (13212, 7147, 4, 'estatus de la orden');
INSERT INTO `lang_definitions` VALUES (13213, 7150, 4, 'tipo de orden');
INSERT INTO `lang_definitions` VALUES (13214, 7152, 4, 'Tipo de orden/resultado');
INSERT INTO `lang_definitions` VALUES (13215, 7153, 4, 'Ordenado');
INSERT INTO `lang_definitions` VALUES (13216, 7159, 4, 'Profesional que ordeno');
INSERT INTO `lang_definitions` VALUES (13217, 7166, 4, 'Lesión de órganos');
INSERT INTO `lang_definitions` VALUES (13218, 7167, 4, 'Organización');
INSERT INTO `lang_definitions` VALUES (13219, 7168, 4, 'Nombre de organización');
INSERT INTO `lang_definitions` VALUES (13220, 7169, 4, 'Nombre de la unidad organizacional');
INSERT INTO `lang_definitions` VALUES (13221, 7170, 4, 'Organizaciones');
INSERT INTO `lang_definitions` VALUES (13222, 7171, 4, 'Orientada x 3');
INSERT INTO `lang_definitions` VALUES (13223, 7175, 4, 'Original');
INSERT INTO `lang_definitions` VALUES (13224, 7181, 4, 'OROFARINGE:');
INSERT INTO `lang_definitions` VALUES (13225, 7184, 4, 'Orthopnea');
INSERT INTO `lang_definitions` VALUES (13226, 7188, 4, 'OS');
INSERT INTO `lang_definitions` VALUES (13227, 7189, 4, 'Osteoartritis');
INSERT INTO `lang_definitions` VALUES (13228, 7193, 4, 'Otro');
INSERT INTO `lang_definitions` VALUES (13229, 7194, 4, 'otro');
INSERT INTO `lang_definitions` VALUES (13230, 7196, 4, 'Otro (especifique)');
INSERT INTO `lang_definitions` VALUES (13231, 7198, 4, 'Otros - especificado');
INSERT INTO `lang_definitions` VALUES (13232, 7201, 4, 'Otro Progama Federal');
INSERT INTO `lang_definitions` VALUES (13233, 7202, 4, 'Otro HCFA');
INSERT INTO `lang_definitions` VALUES (13234, 7203, 4, 'Otra lesión en otra parte especificada');
INSERT INTO `lang_definitions` VALUES (13235, 7204, 4, 'Otro Seguro de Responsabilidad Civil es Primario');
INSERT INTO `lang_definitions` VALUES (13236, 7206, 4, 'Otro mes');
INSERT INTO `lang_definitions` VALUES (13237, 7207, 4, 'Otros programas No-Federales');
INSERT INTO `lang_definitions` VALUES (13238, 7208, 4, 'Otras Notas');
INSERT INTO `lang_definitions` VALUES (13239, 7209, 4, 'Otros síntomas pertinentes');
INSERT INTO `lang_definitions` VALUES (13240, 7210, 4, 'Otros síntomas pertinentes:');
INSERT INTO `lang_definitions` VALUES (13241, 7213, 4, 'Otra respuesta del paciente');
INSERT INTO `lang_definitions` VALUES (13242, 7215, 4, 'Otros tipos de estrés/lesión por sobreuso');
INSERT INTO `lang_definitions` VALUES (13243, 7216, 4, 'Otro Quirúrgico');
INSERT INTO `lang_definitions` VALUES (13244, 7217, 4, 'Otro/Genérico relacionado con Aborto');
INSERT INTO `lang_definitions` VALUES (13245, 7219, 4, 'Otros');
INSERT INTO `lang_definitions` VALUES (13246, 7221, 4, 'De otra forma usted destruirá las referencias a/de los datos existentes');
INSERT INTO `lang_definitions` VALUES (13247, 7224, 4, 'Reglas de tobillo de Ottawa');
INSERT INTO `lang_definitions` VALUES (13248, 7225, 4, 'OU');
INSERT INTO `lang_definitions` VALUES (13249, 7227, 4, 'SALIDA');
INSERT INTO `lang_definitions` VALUES (13250, 7228, 4, 'Salida');
INSERT INTO `lang_definitions` VALUES (13251, 7230, 4, 'Derivación de salida');
INSERT INTO `lang_definitions` VALUES (13252, 7231, 4, 'Resultado');
INSERT INTO `lang_definitions` VALUES (13253, 7234, 4, 'Outlook');
INSERT INTO `lang_definitions` VALUES (13254, 7240, 4, 'VENCIDO');
INSERT INTO `lang_definitions` VALUES (13255, 7244, 4, 'Sobreuso');
INSERT INTO `lang_definitions` VALUES (13256, 7245, 4, 'Información General');
INSERT INTO `lang_definitions` VALUES (13257, 7246, 4, 'Sobrepeso');
INSERT INTO `lang_definitions` VALUES (13258, 7247, 4, 'Sobrescribir la elección HIPAA');
INSERT INTO `lang_definitions` VALUES (13259, 7249, 4, 'Saturación del Oxígeno');
INSERT INTO `lang_definitions` VALUES (13260, 7251, 4, 'P');
INSERT INTO `lang_definitions` VALUES (13261, 7252, 4, 'p.c.');
INSERT INTO `lang_definitions` VALUES (13262, 7253, 4, 'p.m.');
INSERT INTO `lang_definitions` VALUES (13263, 7254, 4, 'p.r.n.');
INSERT INTO `lang_definitions` VALUES (13264, 7258, 4, 'Isleño del Pacifico');
INSERT INTO `lang_definitions` VALUES (13265, 7259, 4, 'Pediátrico');
INSERT INTO `lang_definitions` VALUES (13266, 7260, 4, 'Página');
INSERT INTO `lang_definitions` VALUES (13267, 7263, 4, 'Páginas');
INSERT INTO `lang_definitions` VALUES (13268, 7264, 4, 'Pago');
INSERT INTO `lang_definitions` VALUES (13269, 7265, 4, 'Cantidad pagada que usted asignará');
INSERT INTO `lang_definitions` VALUES (13270, 7266, 4, 'Importe pagado');
INSERT INTO `lang_definitions` VALUES (13271, 7267, 4, 'Pagado Via');
INSERT INTO `lang_definitions` VALUES (13272, 7268, 4, 'Dolor');
INSERT INTO `lang_definitions` VALUES (13273, 7271, 4, 'Palpitaciones');
INSERT INTO `lang_definitions` VALUES (13274, 7275, 4, 'Prueba de Papanicolaou');
INSERT INTO `lang_definitions` VALUES (13275, 7276, 4, 'Papel');
INSERT INTO `lang_definitions` VALUES (13276, 7277, 4, 'Tamaño papel');
INSERT INTO `lang_definitions` VALUES (13277, 7278, 4, 'Parálisis');
INSERT INTO `lang_definitions` VALUES (13278, 7284, 4, 'Analizar HL7');
INSERT INTO `lang_definitions` VALUES (13279, 7289, 4, 'Socio');
INSERT INTO `lang_definitions` VALUES (13280, 7290, 4, 'Nombre Socio');
INSERT INTO `lang_definitions` VALUES (13281, 7294, 4, 'Frase Contraseña');
INSERT INTO `lang_definitions` VALUES (13282, 7295, 4, 'Frase Contraseña para desencriptar documento');
INSERT INTO `lang_definitions` VALUES (13283, 7296, 4, 'Pacientes pasados');
INSERT INTO `lang_definitions` VALUES (13284, 7297, 4, 'Alerta Pasiva');
INSERT INTO `lang_definitions` VALUES (13285, 7299, 4, 'Reglas de Alerta Pasiva');
INSERT INTO `lang_definitions` VALUES (13286, 7301, 4, 'Contraseña');
INSERT INTO `lang_definitions` VALUES (13287, 7302, 4, 'Cambio de la contraseña');
INSERT INTO `lang_definitions` VALUES (13288, 7304, 4, 'Cambio de contraseña con éxito.');
INSERT INTO `lang_definitions` VALUES (13289, 7308, 4, 'Periodo de Gracia de Expiración de Contraseña');
INSERT INTO `lang_definitions` VALUES (13290, 7310, 4, 'Contraseña para puerta de enlace telefónico. Servicio automático de VOIP desarrollado por Maviq. Por favor visite http://signup.maviq.com para más información.');
INSERT INTO `lang_definitions` VALUES (13291, 7311, 4, 'Contraseña para puerta de enlace SMS.');
INSERT INTO `lang_definitions` VALUES (13292, 7312, 4, 'Contraseña para puerta de enlace SMS.');
INSERT INTO `lang_definitions` VALUES (13293, 7314, 4, 'Contraseña de seguridad ha sido recientemente actualizada.');
INSERT INTO `lang_definitions` VALUES (13294, 7315, 4, 'Contraseña para conectar a CouchDB');
INSERT INTO `lang_definitions` VALUES (13295, 7319, 4, 'Contraseña');
INSERT INTO `lang_definitions` VALUES (13296, 7329, 4, 'Vencimiento');
INSERT INTO `lang_definitions` VALUES (13297, 7330, 4, 'Vencimiento');
INSERT INTO `lang_definitions` VALUES (13298, 7331, 4, 'Intervalo Vencido (Recordatorios clínicos)');
INSERT INTO `lang_definitions` VALUES (13299, 7332, 4, 'Intervalo Vencido (Recordatorios Paciente)');
INSERT INTO `lang_definitions` VALUES (13300, 7333, 4, 'Lista de visitas anteriores');
INSERT INTO `lang_definitions` VALUES (13301, 7334, 4, 'Anteriores visitas');
INSERT INTO `lang_definitions` VALUES (13302, 7335, 4, 'Anteriores visitas y Documentos');
INSERT INTO `lang_definitions` VALUES (13303, 7336, 4, 'Anteriores visitas de');
INSERT INTO `lang_definitions` VALUES (13304, 7344, 4, 'Pegar datos HL7');
INSERT INTO `lang_definitions` VALUES (13305, 7345, 4, 'Pegar los datos de importación en el área de texto a continuación:');
INSERT INTO `lang_definitions` VALUES (13306, 7346, 4, 'Paciente');
INSERT INTO `lang_definitions` VALUES (13307, 7347, 4, 'Libro may. paciente');
INSERT INTO `lang_definitions` VALUES (13308, 7348, 4, 'Parche');
INSERT INTO `lang_definitions` VALUES (13309, 7355, 4, 'Ruta de backup del log de eventos');
INSERT INTO `lang_definitions` VALUES (13310, 7356, 4, 'Ruta del fichero de certificado CA');
INSERT INTO `lang_definitions` VALUES (13311, 7357, 4, 'Ruta del fichero clave CA');
INSERT INTO `lang_definitions` VALUES (13312, 7358, 4, 'Ruta de ficheros binarios MySQL');
INSERT INTO `lang_definitions` VALUES (13313, 7359, 4, 'Ruta de ficheros binarios Perl');
INSERT INTO `lang_definitions` VALUES (13314, 7360, 4, 'Ruta de los ficheros temporales');
INSERT INTO `lang_definitions` VALUES (13315, 7361, 4, 'Paciente');
INSERT INTO `lang_definitions` VALUES (13316, 7362, 4, 'PACIENTE');
INSERT INTO `lang_definitions` VALUES (13317, 7363, 4, 'paciente');
INSERT INTO `lang_definitions` VALUES (13318, 7365, 4, 'Dirección del paciente');
INSERT INTO `lang_definitions` VALUES (13319, 7366, 4, 'Falta la dirección del paciente');
INSERT INTO `lang_definitions` VALUES (13320, 7369, 4, 'Alergias del Paciente');
INSERT INTO `lang_definitions` VALUES (13321, 7370, 4, 'Alergias del Paciente');
INSERT INTO `lang_definitions` VALUES (13322, 7373, 4, 'Cita del Paciente');
INSERT INTO `lang_definitions` VALUES (13323, 7374, 4, 'Balance de paciente');
INSERT INTO `lang_definitions` VALUES (13324, 7379, 4, 'Nº Identificación del gráfico del paciente');
INSERT INTO `lang_definitions` VALUES (13325, 7381, 4, 'Comprobación/salida de paciente');
INSERT INTO `lang_definitions` VALUES (13326, 7382, 4, 'Liquidación de paciente por');
INSERT INTO `lang_definitions` VALUES (13327, 7383, 4, 'Ciudad del Paciente');
INSERT INTO `lang_definitions` VALUES (13328, 7384, 4, 'Falta la ciudad del paciente');
INSERT INTO `lang_definitions` VALUES (13329, 7386, 4, 'Comunicación Enviada al Paciente');
INSERT INTO `lang_definitions` VALUES (13330, 7387, 4, 'Comunicación Enviada al Paciente');
INSERT INTO `lang_definitions` VALUES (13331, 7388, 4, 'Pais del Paciente');
INSERT INTO `lang_definitions` VALUES (13332, 7389, 4, 'Falta la ciudad del paciente. Tampoco ha configurado la ciudad del paciente por defecto en la configuración global');
INSERT INTO `lang_definitions` VALUES (13333, 7390, 4, 'Cobertura de paciente');
INSERT INTO `lang_definitions` VALUES (13334, 7394, 4, 'Datos del Paciente');
INSERT INTO `lang_definitions` VALUES (13335, 7396, 4, 'Falta la F.Nacimiento del paciente');
INSERT INTO `lang_definitions` VALUES (13336, 7401, 4, 'Detalles del Paciente');
INSERT INTO `lang_definitions` VALUES (13337, 7402, 4, 'F.Nacimiento del Paciente');
INSERT INTO `lang_definitions` VALUES (13338, 7404, 4, 'Documentos del Paciente');
INSERT INTO `lang_definitions` VALUES (13339, 7410, 4, 'Material Educativo para el Paciente');
INSERT INTO `lang_definitions` VALUES (13340, 7411, 4, 'Materiales educativos para pacientes');
INSERT INTO `lang_definitions` VALUES (13341, 7412, 4, 'Encuentros del Paciente');
INSERT INTO `lang_definitions` VALUES (13342, 7413, 4, 'Formulario de Encuentros del Paciente');
INSERT INTO `lang_definitions` VALUES (13343, 7414, 4, 'Encuentros de Pacientes');
INSERT INTO `lang_definitions` VALUES (13344, 7415, 4, 'Buscador de pacientes');
INSERT INTO `lang_definitions` VALUES (13345, 7417, 4, 'Nombre del Paciente');
INSERT INTO `lang_definitions` VALUES (13346, 7419, 4, 'Falta el nombre del paciente');
INSERT INTO `lang_definitions` VALUES (13347, 7420, 4, 'Tablero de flujo de pacientes');
INSERT INTO `lang_definitions` VALUES (13348, 7421, 4, 'Informe de tablero de flujo de pacientes');
INSERT INTO `lang_definitions` VALUES (13349, 7422, 4, 'Tablero de fluo de pacientes - Salón');
INSERT INTO `lang_definitions` VALUES (13350, 7423, 4, 'Tablero de flujo de pacientes - Intervalo de temporizador');
INSERT INTO `lang_definitions` VALUES (13351, 7424, 4, 'Género del Paciente');
INSERT INTO `lang_definitions` VALUES (13352, 7425, 4, 'Falta el género del paciente');
INSERT INTO `lang_definitions` VALUES (13353, 7426, 4, 'Paciente no autorizado al Portal del paciente');
INSERT INTO `lang_definitions` VALUES (13354, 7428, 4, 'Historia del Paciente');
INSERT INTO `lang_definitions` VALUES (13355, 7429, 4, 'Historia del Paciente/Estilo de Vida');
INSERT INTO `lang_definitions` VALUES (13356, 7430, 4, 'Teléfono Casa del Paciente');
INSERT INTO `lang_definitions` VALUES (13357, 7431, 4, 'ID Paciente');
INSERT INTO `lang_definitions` VALUES (13358, 7432, 4, 'Nº Identificación del Paciente');
INSERT INTO `lang_definitions` VALUES (13359, 7433, 4, 'Nº Identificación Tarjeta del Paciente');
INSERT INTO `lang_definitions` VALUES (13360, 7434, 4, 'Nombre categoría ID paciente');
INSERT INTO `lang_definitions` VALUES (13361, 7437, 4, 'Inmunización del paciente');
INSERT INTO `lang_definitions` VALUES (13362, 7438, 4, 'Información de Pacientes');
INSERT INTO `lang_definitions` VALUES (13363, 7440, 4, 'Instrucciones al paciente');
INSERT INTO `lang_definitions` VALUES (13364, 7441, 4, 'Distribución de pacientes de Seguros');
INSERT INTO `lang_definitions` VALUES (13365, 7442, 4, 'Informe de distribución de seguros de pacientes');
INSERT INTO `lang_definitions` VALUES (13366, 7445, 4, 'Cuestiones del Paciente');
INSERT INTO `lang_definitions` VALUES (13367, 7447, 4, 'Apellido(s)del Paciente');
INSERT INTO `lang_definitions` VALUES (13368, 7448, 4, 'Apellido(s)del Paciente');
INSERT INTO `lang_definitions` VALUES (13369, 7449, 4, 'Falta el apellido del paciente');
INSERT INTO `lang_definitions` VALUES (13370, 7450, 4, 'Libro Mayor de pacte.');
INSERT INTO `lang_definitions` VALUES (13371, 7451, 4, 'Libro Mayor de pacte. por fecha');
INSERT INTO `lang_definitions` VALUES (13372, 7454, 4, 'Lista de Pacientes');
INSERT INTO `lang_definitions` VALUES (13373, 7455, 4, 'Columnas Lista de Pacientes');
INSERT INTO `lang_definitions` VALUES (13374, 7456, 4, 'Creación de lista de pactes.');
INSERT INTO `lang_definitions` VALUES (13375, 7457, 4, 'Nueva ventana lista de pactes.');
INSERT INTO `lang_definitions` VALUES (13376, 7458, 4, 'Tamaño página Lista de Pacientes');
INSERT INTO `lang_definitions` VALUES (13377, 7460, 4, 'Errores de búsqueda de pacientes');
INSERT INTO `lang_definitions` VALUES (13378, 7463, 4, 'Problemas Médicos del Paciente');
INSERT INTO `lang_definitions` VALUES (13379, 7464, 4, 'Medicamentos del Paciente');
INSERT INTO `lang_definitions` VALUES (13380, 7470, 4, 'Nombre del Paciente');
INSERT INTO `lang_definitions` VALUES (13381, 7472, 4, 'Nombre y Dirección del Paciente');
INSERT INTO `lang_definitions` VALUES (13382, 7473, 4, 'Nombre y nro de pacte.');
INSERT INTO `lang_definitions` VALUES (13383, 7474, 4, 'Nombre de pacte. y factura');
INSERT INTO `lang_definitions` VALUES (13384, 7475, 4, 'Nombre de Paciente Requerido');
INSERT INTO `lang_definitions` VALUES (13385, 7476, 4, 'Nombre y nro de pacte.');
INSERT INTO `lang_definitions` VALUES (13386, 7477, 4, 'Nota del paciente');
INSERT INTO `lang_definitions` VALUES (13387, 7478, 4, 'Nota de tipos de pacientes');
INSERT INTO `lang_definitions` VALUES (13388, 7479, 4, 'Notas del Paciente');
INSERT INTO `lang_definitions` VALUES (13389, 7480, 4, 'Notas del paciente (escribir, sólo añadir opcional)');
INSERT INTO `lang_definitions` VALUES (13390, 7482, 4, 'Número del Paciente');
INSERT INTO `lang_definitions` VALUES (13391, 7483, 4, 'Pago del paciente');
INSERT INTO `lang_definitions` VALUES (13392, 7485, 4, 'Nombre de Categoría de Foto del Paciente');
INSERT INTO `lang_definitions` VALUES (13393, 7487, 4, 'Portal del Paciente');
INSERT INTO `lang_definitions` VALUES (13394, 7492, 4, 'Portal del Paciente está apagado');
INSERT INTO `lang_definitions` VALUES (13395, 7493, 4, 'Inicio sesión Portal del Paciente');
INSERT INTO `lang_definitions` VALUES (13396, 7496, 4, 'Sitio web del Portal del Paciente');
INSERT INTO `lang_definitions` VALUES (13397, 7497, 4, 'Informe Impreso del Paciente');
INSERT INTO `lang_definitions` VALUES (13398, 7499, 4, 'Informe de registros de paciente');
INSERT INTO `lang_definitions` VALUES (13399, 7500, 4, 'Solicitud de registros de paciente');
INSERT INTO `lang_definitions` VALUES (13400, 7501, 4, 'Solicitud de registros de paciente');
INSERT INTO `lang_definitions` VALUES (13401, 7503, 4, 'Recordatorios del paciente');
INSERT INTO `lang_definitions` VALUES (13402, 7505, 4, 'Batch Recordatorio del Paciente');
INSERT INTO `lang_definitions` VALUES (13403, 7507, 4, 'Reglas Recordatorio del Paciente');
INSERT INTO `lang_definitions` VALUES (13404, 7508, 4, 'email Remitente de Recordatorio del Paciente');
INSERT INTO `lang_definitions` VALUES (13405, 7509, 4, 'Nombre Remitente de Recordatorio del Paciente');
INSERT INTO `lang_definitions` VALUES (13406, 7510, 4, 'Recordatorios del Paciente');
INSERT INTO `lang_definitions` VALUES (13407, 7514, 4, 'Informe del Paciente');
INSERT INTO `lang_definitions` VALUES (13408, 7518, 4, 'Solicitud del Paciente');
INSERT INTO `lang_definitions` VALUES (13409, 7519, 4, 'Paciente solicitó Registros Médicos');
INSERT INTO `lang_definitions` VALUES (13410, 7521, 4, 'Resultados del paciente');
INSERT INTO `lang_definitions` VALUES (13411, 7525, 4, 'Estilo de resultados de búsqueda de paciente');
INSERT INTO `lang_definitions` VALUES (13412, 7526, 4, 'Pantalla Buscar/añadir paciente');
INSERT INTO `lang_definitions` VALUES (13413, 7528, 4, 'Ajustes paciente');
INSERT INTO `lang_definitions` VALUES (13414, 7533, 4, 'Estado paciente');
INSERT INTO `lang_definitions` VALUES (13415, 7539, 4, 'Resumen del Paciente');
INSERT INTO `lang_definitions` VALUES (13416, 7542, 4, 'Transacciones del Paciente');
INSERT INTO `lang_definitions` VALUES (13417, 7546, 4, 'Código Postal paciente');
INSERT INTO `lang_definitions` VALUES (13418, 7549, 4, 'Paciente(s) en la base de datos que coinciden con la información demográfica que usted ha ingresado.');
INSERT INTO `lang_definitions` VALUES (13419, 7550, 4, 'Paciente/Cliente');
INSERT INTO `lang_definitions` VALUES (13420, 7551, 4, 'Paciente:');
INSERT INTO `lang_definitions` VALUES (13421, 7552, 4, 'PacienteID');
INSERT INTO `lang_definitions` VALUES (13422, 7553, 4, 'Pacientes');
INSERT INTO `lang_definitions` VALUES (13423, 7559, 4, 'Pago');
INSERT INTO `lang_definitions` VALUES (13424, 7560, 4, 'Preste atención a la \"Hecho con\" casillas de verificación. Después de los seguros están marcados completa luego empezaremos a pedir a la paciente a pagar el saldo restante, si usted no marca la totalidad de los seguros luego completar la cantidad restante no serán recogidos! También si hay un equilibrio que el paciente debe pagar, a continuación, establezca la fecha apropiada, ya que esto afecta a la lengua que aparece en las declaraciones del paciente.');
INSERT INTO `lang_definitions` VALUES (13425, 7563, 4, 'Fecha de Pago:');
INSERT INTO `lang_definitions` VALUES (13426, 7566, 4, 'Estado de Pago');
INSERT INTO `lang_definitions` VALUES (13427, 7567, 4, 'Nombre del beneficiario');
INSERT INTO `lang_definitions` VALUES (13428, 7568, 4, 'Pagador');
INSERT INTO `lang_definitions` VALUES (13429, 7572, 4, 'Tipo Pagador');
INSERT INTO `lang_definitions` VALUES (13430, 7573, 4, 'Pagar');
INSERT INTO `lang_definitions` VALUES (13431, 7574, 4, 'Entidad pagadora');
INSERT INTO `lang_definitions` VALUES (13432, 7575, 4, 'Pago');
INSERT INTO `lang_definitions` VALUES (13433, 7576, 4, 'pago');
INSERT INTO `lang_definitions` VALUES (13434, 7577, 4, 'Código ajuste pago');
INSERT INTO `lang_definitions` VALUES (13435, 7578, 4, 'Pago contra');
INSERT INTO `lang_definitions` VALUES (13436, 7579, 4, 'Importe pago');
INSERT INTO `lang_definitions` VALUES (13437, 7580, 4, 'Importe pago debe ser numérico');
INSERT INTO `lang_definitions` VALUES (13438, 7581, 4, 'Categoría pago');
INSERT INTO `lang_definitions` VALUES (13439, 7583, 4, 'Fecha de Pago');
INSERT INTO `lang_definitions` VALUES (13440, 7584, 4, 'pago ingresado el');
INSERT INTO `lang_definitions` VALUES (13441, 7585, 4, 'Pago desde');
INSERT INTO `lang_definitions` VALUES (13442, 7586, 4, 'Pasarela de pagos');
INSERT INTO `lang_definitions` VALUES (13443, 7588, 4, 'Imputar pagos');
INSERT INTO `lang_definitions` VALUES (13444, 7589, 4, 'Lista de pagos');
INSERT INTO `lang_definitions` VALUES (13445, 7590, 4, 'Método de Pago');
INSERT INTO `lang_definitions` VALUES (13446, 7592, 4, 'Ordenar pagos por');
INSERT INTO `lang_definitions` VALUES (13447, 7593, 4, 'Estado pagos');
INSERT INTO `lang_definitions` VALUES (13448, 7597, 4, 'Tipo pagos');
INSERT INTO `lang_definitions` VALUES (13449, 7600, 4, 'Valor de pago para el código');
INSERT INTO `lang_definitions` VALUES (13450, 7602, 4, 'Pagos');
INSERT INTO `lang_definitions` VALUES (13451, 7606, 4, 'PCP');
INSERT INTO `lang_definitions` VALUES (13452, 7610, 4, 'PDF');
INSERT INTO `lang_definitions` VALUES (13453, 7614, 4, 'Descargar PDF de seleccionados');
INSERT INTO `lang_definitions` VALUES (13454, 7615, 4, 'Lenguaje del PDF');
INSERT INTO `lang_definitions` VALUES (13455, 7620, 4, 'Pelvis y nalga');
INSERT INTO `lang_definitions` VALUES (13456, 7621, 4, 'Pénfigo');
INSERT INTO `lang_definitions` VALUES (13457, 7622, 4, 'Lápiz');
INSERT INTO `lang_definitions` VALUES (13458, 7623, 4, 'Pend');
INSERT INTO `lang_definitions` VALUES (13459, 7624, 4, 'Pendiente');
INSERT INTO `lang_definitions` VALUES (13460, 7626, 4, 'Aprobación Pendiente');
INSERT INTO `lang_definitions` VALUES (13461, 7629, 4, 'Pendiente F/U');
INSERT INTO `lang_definitions` VALUES (13462, 7630, 4, 'Seguimento Pendiente');
INSERT INTO `lang_definitions` VALUES (13463, 7631, 4, 'Seguimiento de resultados pendientes');
INSERT INTO `lang_definitions` VALUES (13464, 7632, 4, 'Ordenes pendientes');
INSERT INTO `lang_definitions` VALUES (13465, 7633, 4, 'Ordenes pendientes');
INSERT INTO `lang_definitions` VALUES (13466, 7634, 4, 'Revisión Pendientes');
INSERT INTO `lang_definitions` VALUES (13467, 7635, 4, 'Contador Recetas pendientes');
INSERT INTO `lang_definitions` VALUES (13468, 7637, 4, 'Alergia a penicilina');
INSERT INTO `lang_definitions` VALUES (13469, 7638, 4, 'Pennington firme OpenEMR v');
INSERT INTO `lang_definitions` VALUES (13470, 7639, 4, 'La úlcera péptica');
INSERT INTO `lang_definitions` VALUES (13471, 7640, 4, 'Por Encuentro');
INSERT INTO `lang_definitions` VALUES (13472, 7641, 4, 'por minuto');
INSERT INTO `lang_definitions` VALUES (13473, 7642, 4, 'Por las fosas nasales');
INSERT INTO `lang_definitions` VALUES (13474, 7643, 4, 'por las fosas nasales');
INSERT INTO `lang_definitions` VALUES (13475, 7644, 4, 'Por Oris');
INSERT INTO `lang_definitions` VALUES (13476, 7645, 4, 'por oris');
INSERT INTO `lang_definitions` VALUES (13477, 7646, 4, 'Por Recto');
INSERT INTO `lang_definitions` VALUES (13478, 7647, 4, 'por recto');
INSERT INTO `lang_definitions` VALUES (13479, 7648, 4, 'Porcentaje');
INSERT INTO `lang_definitions` VALUES (13480, 7650, 4, 'Porcentaje de Pacientes a Probar Medicamento');
INSERT INTO `lang_definitions` VALUES (13481, 7652, 4, 'Percentil');
INSERT INTO `lang_definitions` VALUES (13482, 7653, 4, 'Derecho Perforado:');
INSERT INTO `lang_definitions` VALUES (13483, 7654, 4, 'Realizar la búsqueda');
INSERT INTO `lang_definitions` VALUES (13484, 7655, 4, 'Realizar esta acción');
INSERT INTO `lang_definitions` VALUES (13485, 7656, 4, 'Porcentaje Rendimiento');
INSERT INTO `lang_definitions` VALUES (13486, 7657, 4, 'realizado');
INSERT INTO `lang_definitions` VALUES (13487, 7658, 4, 'ejecutante');
INSERT INTO `lang_definitions` VALUES (13488, 7659, 4, 'Centro q realiza los estudios de Lab.');
INSERT INTO `lang_definitions` VALUES (13489, 7661, 4, 'Periodo');
INSERT INTO `lang_definitions` VALUES (13490, 7662, 4, 'Periodo en días donde un usuario puede iniciar sesión con una contraseña caducada.');
INSERT INTO `lang_definitions` VALUES (13491, 7663, 4, 'Cuidados perioperatorios');
INSERT INTO `lang_definitions` VALUES (13492, 7665, 4, 'Periférico');
INSERT INTO `lang_definitions` VALUES (13493, 7669, 4, 'Persa');
INSERT INTO `lang_definitions` VALUES (13494, 7670, 4, 'Persa (Farsi)');
INSERT INTO `lang_definitions` VALUES (13495, 7671, 4, 'Persona');
INSERT INTO `lang_definitions` VALUES (13496, 7672, 4, 'Personalizar');
INSERT INTO `lang_definitions` VALUES (13497, 7675, 4, 'PG');
INSERT INTO `lang_definitions` VALUES (13498, 7676, 4, 'Farmacia');
INSERT INTO `lang_definitions` VALUES (13499, 7677, 4, 'Pharm Com Count');
INSERT INTO `lang_definitions` VALUES (13500, 7678, 4, 'Farmacias');
INSERT INTO `lang_definitions` VALUES (13501, 7680, 4, 'Farmacia');
INSERT INTO `lang_definitions` VALUES (13502, 7681, 4, 'Dispensario de la Farmacia');
INSERT INTO `lang_definitions` VALUES (13503, 7688, 4, 'Neumotorax');
INSERT INTO `lang_definitions` VALUES (13504, 7697, 4, 'Teléfono');
INSERT INTO `lang_definitions` VALUES (13505, 7699, 4, 'Lista de llamadas de teléfono');
INSERT INTO `lang_definitions` VALUES (13506, 7701, 4, 'Informe Lista de llamadas');
INSERT INTO `lang_definitions` VALUES (13507, 7703, 4, 'Célula de Teléfono');
INSERT INTO `lang_definitions` VALUES (13508, 7705, 4, 'Contraseña de la puerta de enlace telefónico');
INSERT INTO `lang_definitions` VALUES (13509, 7706, 4, 'URL de la puerta de enlace telefónico');
INSERT INTO `lang_definitions` VALUES (13510, 7707, 4, 'Usuario puerta de enlace telefónico');
INSERT INTO `lang_definitions` VALUES (13511, 7708, 4, 'Teléfono de Casa');
INSERT INTO `lang_definitions` VALUES (13512, 7709, 4, 'Hora notificación teléfono');
INSERT INTO `lang_definitions` VALUES (13513, 7710, 4, 'Número de Teléfono');
INSERT INTO `lang_definitions` VALUES (13514, 7711, 4, 'Número de teléfono');
INSERT INTO `lang_definitions` VALUES (13515, 7712, 4, 'Número de teléfono para consultas de facturación');
INSERT INTO `lang_definitions` VALUES (13516, 7713, 4, 'Número de teléfono de Soporte de Fabricante que aparece en la página de \"Acerca de\"');
INSERT INTO `lang_definitions` VALUES (13517, 7715, 4, 'Fotofobia');
INSERT INTO `lang_definitions` VALUES (13518, 7716, 4, 'Fotografías');
INSERT INTO `lang_definitions` VALUES (13519, 7717, 4, 'PHP comprimida');
INSERT INTO `lang_definitions` VALUES (13520, 7718, 4, 'Módulo PHP CURL debe estar activado en su servidor.');
INSERT INTO `lang_definitions` VALUES (13521, 7720, 4, 'Extraído de PHP');
INSERT INTO `lang_definitions` VALUES (13522, 7721, 4, 'controles de acceso de PHP-GACL están desactivados.');
INSERT INTO `lang_definitions` VALUES (13523, 7722, 4, 'controles de acceso de PHP-GACL are desactivados.');
INSERT INTO `lang_definitions` VALUES (13524, 7723, 4, 'Examen Físico');
INSERT INTO `lang_definitions` VALUES (13525, 7724, 4, 'Médico');
INSERT INTO `lang_definitions` VALUES (13526, 7725, 4, 'Solicitud de Médico');
INSERT INTO `lang_definitions` VALUES (13527, 7726, 4, 'Firma del Médico');
INSERT INTO `lang_definitions` VALUES (13528, 7727, 4, 'Tipo de Médico');
INSERT INTO `lang_definitions` VALUES (13529, 7729, 4, 'Médicos');
INSERT INTO `lang_definitions` VALUES (13530, 7733, 4, 'escoger');
INSERT INTO `lang_definitions` VALUES (13531, 7734, 4, 'Seleccionar');
INSERT INTO `lang_definitions` VALUES (13532, 7735, 4, 'Seleccionar un tema CSS');
INSERT INTO `lang_definitions` VALUES (13533, 7738, 4, 'PID');
INSERT INTO `lang_definitions` VALUES (13534, 7740, 4, 'PID (enfermedad pélvica inflamatoria)');
INSERT INTO `lang_definitions` VALUES (13535, 7741, 4, 'Tamaño de la Píldora');
INSERT INTO `lang_definitions` VALUES (13536, 7742, 4, 'Píldoras');
INSERT INTO `lang_definitions` VALUES (13537, 7745, 4, 'Coloque el fichero de database zip en el siguiente directorio si quiere la opción de instalar');
INSERT INTO `lang_definitions` VALUES (13538, 7746, 4, 'Ponga el fichero zip de bbdd ICD 10 en la siguiente carpeta');
INSERT INTO `lang_definitions` VALUES (13539, 7747, 4, 'Ponga el fichero zip de bbdd ICD 9 en la siguiente carpeta');
INSERT INTO `lang_definitions` VALUES (13540, 7748, 4, 'Ponga el fichero zip de bbdd RxNorm en la siguiente carpeta');
INSERT INTO `lang_definitions` VALUES (13541, 7749, 4, 'Ponga el fichero zip de bbdd Snomed en la siguiente carpeta');
INSERT INTO `lang_definitions` VALUES (13542, 7752, 4, 'Marcador de posición');
INSERT INTO `lang_definitions` VALUES (13543, 7753, 4, 'Marcador de posición (Mantiene vacia ACL)');
INSERT INTO `lang_definitions` VALUES (13544, 7756, 4, 'Texto sin Formato');
INSERT INTO `lang_definitions` VALUES (13545, 7757, 4, 'Plan');
INSERT INTO `lang_definitions` VALUES (13546, 7758, 4, 'El plan se agregó de manera exitosa');
INSERT INTO `lang_definitions` VALUES (13547, 7759, 4, 'El plan ya está en las opciones de lista');
INSERT INTO `lang_definitions` VALUES (13548, 7762, 4, 'Nombre del Plan');
INSERT INTO `lang_definitions` VALUES (13549, 7763, 4, 'El Nombre del Plan ya existe');
INSERT INTO `lang_definitions` VALUES (13550, 7764, 4, 'El Nombre ya ha sido tomada');
INSERT INTO `lang_definitions` VALUES (13551, 7765, 4, 'Falta el nombre del plan');
INSERT INTO `lang_definitions` VALUES (13552, 7768, 4, 'Ajuste Planes');
INSERT INTO `lang_definitions` VALUES (13553, 7769, 4, 'Estado del Plan Cambió');
INSERT INTO `lang_definitions` VALUES (13554, 7770, 4, 'Falló el Cambio del Estado del Plan');
INSERT INTO `lang_definitions` VALUES (13555, 7772, 4, 'El Plan se actualizó de manera exitosa');
INSERT INTO `lang_definitions` VALUES (13556, 7773, 4, 'Plan:');
INSERT INTO `lang_definitions` VALUES (13557, 7774, 4, 'Actividad Planeada');
INSERT INTO `lang_definitions` VALUES (13558, 7775, 4, 'Fecha Planeada');
INSERT INTO `lang_definitions` VALUES (13559, 7776, 4, 'Planes');
INSERT INTO `lang_definitions` VALUES (13560, 7777, 4, 'Configuración de planes');
INSERT INTO `lang_definitions` VALUES (13561, 7778, 4, 'Jugador');
INSERT INTO `lang_definitions` VALUES (13562, 7779, 4, 'Posición de juego');
INSERT INTO `lang_definitions` VALUES (13563, 7780, 4, 'Favor de llamar si la informacion arriba es incorrecta');
INSERT INTO `lang_definitions` VALUES (13564, 7781, 4, 'Favor de llamar si la informacion arriba es incorrecta');
INSERT INTO `lang_definitions` VALUES (13565, 7784, 4, 'Favor de cambiar palabra clave');
INSERT INTO `lang_definitions` VALUES (13566, 7785, 4, 'Por favor, elige un fichero');
INSERT INTO `lang_definitions` VALUES (13567, 7786, 4, 'Por favor, elige un paciente');
INSERT INTO `lang_definitions` VALUES (13568, 7787, 4, 'Por favor, elija una selección válida de la lista.');
INSERT INTO `lang_definitions` VALUES (13569, 7788, 4, 'Favor elegir selecion valida');
INSERT INTO `lang_definitions` VALUES (13570, 7789, 4, 'Por favor, elija un valor para');
INSERT INTO `lang_definitions` VALUES (13571, 7790, 4, 'Por favor elija el rango de fechas, y haga click en refrescar para ver los resultados.');
INSERT INTO `lang_definitions` VALUES (13572, 7791, 4, 'Por favor elegir el formato adecuado del fichero EDI-271');
INSERT INTO `lang_definitions` VALUES (13573, 7792, 4, 'Por favor click en el botón Descargar para descargar los datos de DE identificación');
INSERT INTO `lang_definitions` VALUES (13574, 7793, 4, 'Por favor click en el botón descargar para descargar los datos de Re-identificación');
INSERT INTO `lang_definitions` VALUES (13575, 7795, 4, 'Por favor, cierre esta ventana.');
INSERT INTO `lang_definitions` VALUES (13576, 7796, 4, 'Por favor, comparar el nuevo nombre');
INSERT INTO `lang_definitions` VALUES (13577, 7798, 4, 'Por favor consider enviar una donación a:');
INSERT INTO `lang_definitions` VALUES (13578, 7801, 4, 'Por favor contacte a su administrador del sistema, los siguientes componentes son requeridos pero no se encuentran disponibles:');
INSERT INTO `lang_definitions` VALUES (13579, 7802, 4, 'Por favor corrija los valores antes de continuar!');
INSERT INTO `lang_definitions` VALUES (13580, 7803, 4, 'Por favor cree la siguiente carpeta antes de proceder');
INSERT INTO `lang_definitions` VALUES (13581, 7805, 4, 'No acepte por favor esta prescripción a menos que fuera recibida vía facimile.');
INSERT INTO `lang_definitions` VALUES (13582, 7806, 4, 'Favor de no aceptar esta receta a menos que fuera recibida por fax');
INSERT INTO `lang_definitions` VALUES (13583, 7807, 4, 'Por favor, no utilice su navegador botón de parada o recarga, mientras que esta página está funcionando a menos que más de 10 minutos han transcurrido, esto no causa para detener el proceso en el servidor y se consumen innecesario recursos.');
INSERT INTO `lang_definitions` VALUES (13584, 7808, 4, 'POR FAVOR ACTIVE LA EXTENSIÓN CURL');
INSERT INTO `lang_definitions` VALUES (13585, 7809, 4, 'POR FAVOR ACTIVE LA EXTENSIÓN OPENSSL');
INSERT INTO `lang_definitions` VALUES (13586, 7810, 4, 'POR FAVOR ACTIVE LA EXTENSIÓN SOAP');
INSERT INTO `lang_definitions` VALUES (13587, 7811, 4, 'POR FAVOR ACTIVE LA EXTENSIÓN XML');
INSERT INTO `lang_definitions` VALUES (13588, 7813, 4, 'Favor de entrar fecha de la ultima revision');
INSERT INTO `lang_definitions` VALUES (13589, 7814, 4, 'Por favor introduzca la fecha');
INSERT INTO `lang_definitions` VALUES (13590, 7816, 4, 'Por favor introduzca una fecha de vencimiento');
INSERT INTO `lang_definitions` VALUES (13591, 7818, 4, 'Por favor introduzca un mensaje');
INSERT INTO `lang_definitions` VALUES (13592, 7819, 4, 'Por favor, introduzca un importe monetario, utilizando sólo números y un punto decimal.');
INSERT INTO `lang_definitions` VALUES (13593, 7821, 4, 'Por favor introduzca una Nueva Contraseña');
INSERT INTO `lang_definitions` VALUES (13594, 7822, 4, 'Por favor, escriba un título!');
INSERT INTO `lang_definitions` VALUES (13595, 7828, 4, 'Por favor introduzca el código de Re-identificación correcto');
INSERT INTO `lang_definitions` VALUES (13596, 7832, 4, 'Por favor, introduzca el dato de la nueva búsqueda');
INSERT INTO `lang_definitions` VALUES (13597, 7833, 4, 'Por favor introduzca el código de re-identificación');
INSERT INTO `lang_definitions` VALUES (13598, 7834, 4, 'Por favor introduzca contraseña');
INSERT INTO `lang_definitions` VALUES (13599, 7843, 4, 'Por favor rellene el número de cheque');
INSERT INTO `lang_definitions` VALUES (13600, 7844, 4, 'Por favor rellene el número Check/Ref');
INSERT INTO `lang_definitions` VALUES (13601, 7845, 4, 'Por favor rellene la fecha');
INSERT INTO `lang_definitions` VALUES (13602, 7846, 4, 'Por favor rellene el importe del pago');
INSERT INTO `lang_definitions` VALUES (13603, 7847, 4, 'Por favor rellene la categoría del pago');
INSERT INTO `lang_definitions` VALUES (13604, 7848, 4, 'Por favor rellene la procedencia del pago');
INSERT INTO `lang_definitions` VALUES (13605, 7849, 4, 'Por favor rellene la casilla de la Fecha');
INSERT INTO `lang_definitions` VALUES (13606, 7850, 4, 'Favor de llenar antes de continuar');
INSERT INTO `lang_definitions` VALUES (13607, 7854, 4, 'Por favor indique el motivo de la visita');
INSERT INTO `lang_definitions` VALUES (13608, 7856, 4, 'Favor digitar criterios de busqueda, luego Selecciona para ver resultados');
INSERT INTO `lang_definitions` VALUES (13609, 7857, 4, 'Por favor introduzca los criterios de búsqueda arriba, y haga click en aceptar para ver los resultados. (Los resultados serán mostrados en una ventana emergente)');
INSERT INTO `lang_definitions` VALUES (13610, 7858, 4, 'Por favor inicie sesión de nuevo');
INSERT INTO `lang_definitions` VALUES (13611, 7859, 4, 'Por favor tenga en cuenta que esto puede tomar mucho tiempo, hasta varios minutos, el navegador web puede no aparecer muy activo durante este tiempo, pero la generación de una factura es un proceso complicado y su navegador web está a la espera de más información.');
INSERT INTO `lang_definitions` VALUES (13612, 7860, 4, 'Note que las constantes son sensibles a mayúsculas y minúsculas y se permite cualquier cadena.');
INSERT INTO `lang_definitions` VALUES (13613, 7861, 4, 'Por favor, utilice únicamente caracteres alfabéticos');
INSERT INTO `lang_definitions` VALUES (13614, 7862, 4, 'Por favor, utilice únicamente caracteres alfabéticos sin espacios');
INSERT INTO `lang_definitions` VALUES (13615, 7863, 4, 'Por favor, pagar esta cantidad');
INSERT INTO `lang_definitions` VALUES (13616, 7864, 4, 'Por favor ponga sus ficheros de instalación en la siguiente carpeta');
INSERT INTO `lang_definitions` VALUES (13617, 7867, 4, 'Favor de referise a');
INSERT INTO `lang_definitions` VALUES (13618, 7868, 4, 'Por favor, reinicie la contraseña.');
INSERT INTO `lang_definitions` VALUES (13619, 7869, 4, 'Por favor resetear el servidor apache antes de intentar la finalización de sesión');
INSERT INTO `lang_definitions` VALUES (13620, 7874, 4, 'Por favor vea el PDF adjunto.');
INSERT INTO `lang_definitions` VALUES (13621, 7875, 4, 'Por favor seleccione');
INSERT INTO `lang_definitions` VALUES (13622, 7876, 4, 'Por favor seleccione un formato');
INSERT INTO `lang_definitions` VALUES (13623, 7877, 4, 'Por favor seleccione un idioma');
INSERT INTO `lang_definitions` VALUES (13624, 7878, 4, 'Por favor seleccione un Paciente');
INSERT INTO `lang_definitions` VALUES (13625, 7879, 4, 'Por favor seleccione una entidad de negocio primario con \'C.I.F.\' como su centro \'C.I.F.\'. Si usted es autónomo, ponga su \'C.I.F.\'. Será usado para identificarle en el sistema NewCrop.');
INSERT INTO `lang_definitions` VALUES (13626, 7882, 4, 'Por favor Seleccione un Destinatario');
INSERT INTO `lang_definitions` VALUES (13627, 7884, 4, 'Por favor seleccione la fecha de inicio y fin');
INSERT INTO `lang_definitions` VALUES (13628, 7885, 4, 'Por favor Seleccione un Destinatario válido');
INSERT INTO `lang_definitions` VALUES (13629, 7888, 4, 'Por favor, seleccione un razón de ajuste para el código');
INSERT INTO `lang_definitions` VALUES (13630, 7889, 4, 'Por favor, seleccione un evento');
INSERT INTO `lang_definitions` VALUES (13631, 7891, 4, 'Por favor seleccione una Opción de Búsqueda');
INSERT INTO `lang_definitions` VALUES (13632, 7894, 4, 'Favor seleccionar al menos una receta');
INSERT INTO `lang_definitions` VALUES (13633, 7899, 4, 'Por favor, seleccione las pags. que desee copiar o reenviar:');
INSERT INTO `lang_definitions` VALUES (13634, 7900, 4, 'Por favor seleccione la Forma de Pago');
INSERT INTO `lang_definitions` VALUES (13635, 7903, 4, 'Por favor seleccione el tipo de pago.');
INSERT INTO `lang_definitions` VALUES (13636, 7905, 4, 'Por favor seleccione socio X12, requerido para crear el batch 270');
INSERT INTO `lang_definitions` VALUES (13637, 7906, 4, 'Por favor ajuste');
INSERT INTO `lang_definitions` VALUES (13638, 7907, 4, 'Por favor ponga la variable de_identification_config a cero');
INSERT INTO `lang_definitions` VALUES (13639, 7910, 4, 'Por favor inicie un nuevo proceso de De identificación');
INSERT INTO `lang_definitions` VALUES (13640, 7913, 4, 'Por favor actualice la base de datos OpenEMR para incluir procedimientos, funciones, tablas para De identificación');
INSERT INTO `lang_definitions` VALUES (13641, 7915, 4, 'Por favor, consulte la tabla de log de errores de De Identificación para más detalles');
INSERT INTO `lang_definitions` VALUES (13642, 7916, 4, 'Por favor visite la pantalla de Re-Identificación después de algún tiempo');
INSERT INTO `lang_definitions` VALUES (13643, 7917, 4, 'Por favor visite la pantalla de Re-Identificación después de algún tiempo');
INSERT INTO `lang_definitions` VALUES (13644, 7918, 4, 'Por favor visite la página pasado algún tiempo');
INSERT INTO `lang_definitions` VALUES (13645, 7926, 4, 'PM');
INSERT INTO `lang_definitions` VALUES (13646, 7927, 4, 'PM Program');
INSERT INTO `lang_definitions` VALUES (13647, 7933, 4, 'Método de pago');
INSERT INTO `lang_definitions` VALUES (13648, 7934, 4, 'PND');
INSERT INTO `lang_definitions` VALUES (13649, 7935, 4, 'Conjugado Neumocócico 1');
INSERT INTO `lang_definitions` VALUES (13650, 7936, 4, 'Conjugado Neumocócico 2');
INSERT INTO `lang_definitions` VALUES (13651, 7937, 4, 'Conjugado Neumocócico 3');
INSERT INTO `lang_definitions` VALUES (13652, 7938, 4, 'Conjugado Neumocócico 4');
INSERT INTO `lang_definitions` VALUES (13653, 7939, 4, 'vacuna contra el neumococo');
INSERT INTO `lang_definitions` VALUES (13654, 7940, 4, 'Vacunación Neumonía');
INSERT INTO `lang_definitions` VALUES (13655, 7941, 4, 'Estado de vacunación de neumonía de adultos mayores');
INSERT INTO `lang_definitions` VALUES (13656, 7942, 4, 'Estado de vacunación de neumonía de adultos mayores (GCC)');
INSERT INTO `lang_definitions` VALUES (13657, 7943, 4, 'Podológica');
INSERT INTO `lang_definitions` VALUES (13658, 7946, 4, 'Punto del servicio (posición)');
INSERT INTO `lang_definitions` VALUES (13659, 7947, 4, 'Póliza');
INSERT INTO `lang_definitions` VALUES (13660, 7950, 4, 'Póliza Nº');
INSERT INTO `lang_definitions` VALUES (13661, 7951, 4, 'Número Póliza');
INSERT INTO `lang_definitions` VALUES (13662, 7952, 4, 'Polaco');
INSERT INTO `lang_definitions` VALUES (13663, 7953, 4, 'Polidipsia');
INSERT INTO `lang_definitions` VALUES (13664, 7955, 4, 'Pólipos');
INSERT INTO `lang_definitions` VALUES (13665, 7956, 4, 'Poliuria');
INSERT INTO `lang_definitions` VALUES (13666, 7957, 4, 'Falta de Apetito');
INSERT INTO `lang_definitions` VALUES (13667, 7958, 4, 'Pobre Circulación');
INSERT INTO `lang_definitions` VALUES (13668, 7959, 4, 'Déficit auditivo');
INSERT INTO `lang_definitions` VALUES (13669, 7962, 4, 'Se requieren Pop-ups activos para ver estos reportes');
INSERT INTO `lang_definitions` VALUES (13670, 7964, 4, '¿Rellenar la vista del año con eventos?');
INSERT INTO `lang_definitions` VALUES (13671, 7965, 4, 'Menús emergentes');
INSERT INTO `lang_definitions` VALUES (13672, 7967, 4, 'Portal');
INSERT INTO `lang_definitions` VALUES (13673, 7969, 4, 'Actividad del Portal');
INSERT INTO `lang_definitions` VALUES (13674, 7985, 4, 'Portugués');
INSERT INTO `lang_definitions` VALUES (13675, 7987, 4, 'Portugués (Brasileño)');
INSERT INTO `lang_definitions` VALUES (13676, 7988, 4, 'Portugués (Europeo)');
INSERT INTO `lang_definitions` VALUES (13677, 7989, 4, 'Código de POS');
INSERT INTO `lang_definitions` VALUES (13678, 7992, 4, 'Positivo');
INSERT INTO `lang_definitions` VALUES (13679, 7993, 4, 'Positivos');
INSERT INTO `lang_definitions` VALUES (13680, 7996, 4, 'Enviar por');
INSERT INTO `lang_definitions` VALUES (13681, 7998, 4, 'Goteo nasal posterior');
INSERT INTO `lang_definitions` VALUES (13682, 8000, 4, 'Enviar pagos');
INSERT INTO `lang_definitions` VALUES (13683, 8001, 4, 'Post-quirúrgico');
INSERT INTO `lang_definitions` VALUES (13684, 8002, 4, 'Publique en la contabilidad y marque como facturado');
INSERT INTO `lang_definitions` VALUES (13685, 8003, 4, 'Publicar en fecha');
INSERT INTO `lang_definitions` VALUES (13686, 8004, 4, 'Publicar en fecha no puede ser mayor que hoy');
INSERT INTO `lang_definitions` VALUES (13687, 8006, 4, 'Publicar en fecha debe ser mayor que la fecha de cierre financiero');
INSERT INTO `lang_definitions` VALUES (13688, 8007, 4, 'Cuidado del Post-Aborto');
INSERT INTO `lang_definitions` VALUES (13689, 8008, 4, 'Contracepción del Post-Aborto');
INSERT INTO `lang_definitions` VALUES (13690, 8009, 4, 'Asesoramiento del Post-Aborto');
INSERT INTO `lang_definitions` VALUES (13691, 8010, 4, 'Seguimiento Post-Aborto');
INSERT INTO `lang_definitions` VALUES (13692, 8011, 4, 'Postal');
INSERT INTO `lang_definitions` VALUES (13693, 8012, 4, 'Código Postal');
INSERT INTO `lang_definitions` VALUES (13694, 8013, 4, 'Código Postal');
INSERT INTO `lang_definitions` VALUES (13695, 8015, 4, 'PostCalendar');
INSERT INTO `lang_definitions` VALUES (13696, 8016, 4, 'Administración del PostCalendar');
INSERT INTO `lang_definitions` VALUES (13697, 8017, 4, 'Configuración de la Categoría PostCalendar');
INSERT INTO `lang_definitions` VALUES (13698, 8018, 4, 'Configuración Global de PostCalendar');
INSERT INTO `lang_definitions` VALUES (13699, 8023, 4, 'Publicado en');
INSERT INTO `lang_definitions` VALUES (13700, 8026, 4, 'Fecha de Envío');
INSERT INTO `lang_definitions` VALUES (13701, 8032, 4, 'Desarrollado por');
INSERT INTO `lang_definitions` VALUES (13702, 8033, 4, 'PPE+ Prev Med/Surg Hx');
INSERT INTO `lang_definitions` VALUES (13703, 8034, 4, 'PQRI (Iniciativa Informe Calidad Médica)');
INSERT INTO `lang_definitions` VALUES (13704, 8035, 4, 'Registro ID PQRI');
INSERT INTO `lang_definitions` VALUES (13705, 8036, 4, 'Registro Nombre PQRI');
INSERT INTO `lang_definitions` VALUES (13706, 8037, 4, 'Práctica');
INSERT INTO `lang_definitions` VALUES (13707, 8038, 4, 'Práctica establecida por defecto');
INSERT INTO `lang_definitions` VALUES (13708, 8039, 4, 'Configuración de la práctica');
INSERT INTO `lang_definitions` VALUES (13709, 8041, 4, 'Prestador');
INSERT INTO `lang_definitions` VALUES (13710, 8043, 4, 'Pago anticipado');
INSERT INTO `lang_definitions` VALUES (13711, 8044, 4, 'Prepago');
INSERT INTO `lang_definitions` VALUES (13712, 8045, 4, 'Consulta del Pre-Aborto');
INSERT INTO `lang_definitions` VALUES (13713, 8046, 4, 'Asesoramiento del Pre-Aborto');
INSERT INTO `lang_definitions` VALUES (13714, 8048, 4, 'Categoría Pref');
INSERT INTO `lang_definitions` VALUES (13715, 8050, 4, 'Preferencias');
INSERT INTO `lang_definitions` VALUES (13716, 8052, 4, 'Categoría preferida del evento');
INSERT INTO `lang_definitions` VALUES (13717, 8053, 4, 'Lengua preferida');
INSERT INTO `lang_definitions` VALUES (13718, 8054, 4, 'Preferencia Farmacia');
INSERT INTO `lang_definitions` VALUES (13719, 8055, 4, 'Organización de Proveedor Preferido (PPO)');
INSERT INTO `lang_definitions` VALUES (13720, 8056, 4, 'Prueba de embarazo');
INSERT INTO `lang_definitions` VALUES (13721, 8057, 4, 'Preliminar');
INSERT INTO `lang_definitions` VALUES (13722, 8059, 4, 'Pague por Adelantado');
INSERT INTO `lang_definitions` VALUES (13723, 8061, 4, 'Prescripción');
INSERT INTO `lang_definitions` VALUES (13724, 8063, 4, 'Receta ha alcanzado sus limites de');
INSERT INTO `lang_definitions` VALUES (13725, 8064, 4, 'Histórico de Prescripciones');
INSERT INTO `lang_definitions` VALUES (13726, 8065, 4, 'Importación de Histórico de Prescripciones completado');
INSERT INTO `lang_definitions` VALUES (13727, 8066, 4, 'Etiqueta de la prescripción');
INSERT INTO `lang_definitions` VALUES (13728, 8067, 4, 'Informe de Prescripción');
INSERT INTO `lang_definitions` VALUES (13729, 8070, 4, 'Prescripciónes');
INSERT INTO `lang_definitions` VALUES (13730, 8073, 4, 'Prescripciones y dispensaciones');
INSERT INTO `lang_definitions` VALUES (13731, 8074, 4, 'Recetas y otras referencias');
INSERT INTO `lang_definitions` VALUES (13732, 8075, 4, 'Prescripciones y/o remisiones del especialista');
INSERT INTO `lang_definitions` VALUES (13733, 8076, 4, 'Informe de las prescripciones');
INSERT INTO `lang_definitions` VALUES (13734, 8077, 4, 'Prescripciones/remisiones');
INSERT INTO `lang_definitions` VALUES (13735, 8078, 4, 'Presente');
INSERT INTO `lang_definitions` VALUES (13736, 8079, 4, 'Presentación de queja');
INSERT INTO `lang_definitions` VALUES (13737, 8081, 4, 'Pulse Continuar para proseguir');
INSERT INTO `lang_definitions` VALUES (13738, 8084, 4, 'Presunción de Diagnóstico');
INSERT INTO `lang_definitions` VALUES (13739, 8085, 4, 'Presunción de Diagnóstico por el especialista');
INSERT INTO `lang_definitions` VALUES (13740, 8086, 4, 'Previa');
INSERT INTO `lang_definitions` VALUES (13741, 8087, 4, 'Prev Med/Surg Hx');
INSERT INTO `lang_definitions` VALUES (13742, 8088, 4, 'Mes anterior. (Presione para menu)');
INSERT INTO `lang_definitions` VALUES (13743, 8089, 4, 'Año anterior (Presione para el menu)');
INSERT INTO `lang_definitions` VALUES (13744, 8091, 4, 'Cuidado Preventivo');
INSERT INTO `lang_definitions` VALUES (13745, 8094, 4, 'Vista previa del evento');
INSERT INTO `lang_definitions` VALUES (13746, 8097, 4, 'Previsualización de');
INSERT INTO `lang_definitions` VALUES (13747, 8098, 4, 'Anterior');
INSERT INTO `lang_definitions` VALUES (13748, 8099, 4, 'Consultas Anteriores');
INSERT INTO `lang_definitions` VALUES (13749, 8100, 4, 'Dia Anterior');
INSERT INTO `lang_definitions` VALUES (13750, 8102, 4, 'Historia Anterior/Tamizaje');
INSERT INTO `lang_definitions` VALUES (13751, 8103, 4, 'Mes Anterior');
INSERT INTO `lang_definitions` VALUES (13752, 8104, 4, 'Semana Anterior');
INSERT INTO `lang_definitions` VALUES (13753, 8105, 4, 'Precio');
INSERT INTO `lang_definitions` VALUES (13754, 8108, 4, 'Precio de descuento');
INSERT INTO `lang_definitions` VALUES (13755, 8109, 4, 'Nivel de Precio');
INSERT INTO `lang_definitions` VALUES (13756, 8111, 4, 'Nivel de Precio:');
INSERT INTO `lang_definitions` VALUES (13757, 8113, 4, 'Precios');
INSERT INTO `lang_definitions` VALUES (13758, 8114, 4, 'Primaria');
INSERT INTO `lang_definitions` VALUES (13759, 8115, 4, 'Entidad de negocios primaria');
INSERT INTO `lang_definitions` VALUES (13760, 8116, 4, 'La entidad de negocio primaria es usada como cuenta Id para la ePrescipción. Cambiando el centro afectará al funcionamiento en NewCrop.');
INSERT INTO `lang_definitions` VALUES (13761, 8125, 4, 'Seguro Primario');
INSERT INTO `lang_definitions` VALUES (13762, 8126, 4, 'Seguro Primario');
INSERT INTO `lang_definitions` VALUES (13763, 8127, 4, 'Datos Primarios del Seguro');
INSERT INTO `lang_definitions` VALUES (13764, 8128, 4, 'Proveedor Primario del Seguro');
INSERT INTO `lang_definitions` VALUES (13765, 8129, 4, 'Proveedor de primaria');
INSERT INTO `lang_definitions` VALUES (13766, 8130, 4, 'Imprime');
INSERT INTO `lang_definitions` VALUES (13767, 8131, 4, 'Imprimir (HTML)');
INSERT INTO `lang_definitions` VALUES (13768, 8132, 4, 'Imprimir (PDF)');
INSERT INTO `lang_definitions` VALUES (13769, 8134, 4, 'Imprimir cualquier encuentro');
INSERT INTO `lang_definitions` VALUES (13770, 8135, 4, 'Imprimir el formulario de remisión en blanco');
INSERT INTO `lang_definitions` VALUES (13771, 8136, 4, 'Comando Imprimir');
INSERT INTO `lang_definitions` VALUES (13772, 8143, 4, 'Imprimir el Formato');
INSERT INTO `lang_definitions` VALUES (13773, 8144, 4, 'Imprimir cuatro paneles');
INSERT INTO `lang_definitions` VALUES (13774, 8145, 4, 'imprimir libro mayor');
INSERT INTO `lang_definitions` VALUES (13775, 8147, 4, 'Mensaje Imprimir');
INSERT INTO `lang_definitions` VALUES (13776, 8148, 4, 'Imprimir Múltiples');
INSERT INTO `lang_definitions` VALUES (13777, 8149, 4, 'Para imprimir múltiples Fax');
INSERT INTO `lang_definitions` VALUES (13778, 8150, 4, 'Imprima nombre, fecha y firma');
INSERT INTO `lang_definitions` VALUES (13779, 8151, 4, 'Imprimir notas');
INSERT INTO `lang_definitions` VALUES (13780, 8152, 4, 'Imprimir Página 1');
INSERT INTO `lang_definitions` VALUES (13781, 8153, 4, 'Imprimir Página 2');
INSERT INTO `lang_definitions` VALUES (13782, 8156, 4, 'Impresión Receta por Facultativo');
INSERT INTO `lang_definitions` VALUES (13783, 8157, 4, 'Grabar Imprimir');
INSERT INTO `lang_definitions` VALUES (13784, 8163, 4, 'Imprimir estados seleccionados');
INSERT INTO `lang_definitions` VALUES (13785, 8164, 4, 'Registro de tiro impresión');
INSERT INTO `lang_definitions` VALUES (13786, 8166, 4, 'Imprimir este encuentro');
INSERT INTO `lang_definitions` VALUES (13787, 8168, 4, 'Imprimir esta nota');
INSERT INTO `lang_definitions` VALUES (13788, 8169, 4, 'Imprimir Esta Nota');
INSERT INTO `lang_definitions` VALUES (13789, 8171, 4, 'Imprimir Fax');
INSERT INTO `lang_definitions` VALUES (13790, 8172, 4, 'Ver Imprenta');
INSERT INTO `lang_definitions` VALUES (13791, 8173, 4, 'Imprimible');
INSERT INTO `lang_definitions` VALUES (13792, 8174, 4, 'Versión Imprimible');
INSERT INTO `lang_definitions` VALUES (13793, 8175, 4, 'Impreso');
INSERT INTO `lang_definitions` VALUES (13794, 8178, 4, 'Resultados de la impresión:');
INSERT INTO `lang_definitions` VALUES (13795, 8179, 4, 'Impresión omitida; ver la salida de prueba en');
INSERT INTO `lang_definitions` VALUES (13796, 8180, 4, 'Impresión saltado; ver la prueba de salida en');
INSERT INTO `lang_definitions` VALUES (13797, 8182, 4, 'Antes de autentificación');
INSERT INTO `lang_definitions` VALUES (13798, 8184, 4, 'Formulario de Autorización Previa');
INSERT INTO `lang_definitions` VALUES (13799, 8189, 4, 'Visita anterior');
INSERT INTO `lang_definitions` VALUES (13800, 8191, 4, 'Prioridad');
INSERT INTO `lang_definitions` VALUES (13801, 8192, 4, 'Prioridad');
INSERT INTO `lang_definitions` VALUES (13802, 8196, 4, 'Privado');
INSERT INTO `lang_definitions` VALUES (13803, 8197, 4, 'Problema');
INSERT INTO `lang_definitions` VALUES (13804, 8198, 4, 'Problema Diagnóstico (DX)');
INSERT INTO `lang_definitions` VALUES (13805, 8199, 4, 'Lista de Problema');
INSERT INTO `lang_definitions` VALUES (13806, 8202, 4, 'Problemas y Cuestiones');
INSERT INTO `lang_definitions` VALUES (13807, 8203, 4, 'Proc Bat');
INSERT INTO `lang_definitions` VALUES (13808, 8204, 4, 'Proc Cat');
INSERT INTO `lang_definitions` VALUES (13809, 8206, 4, 'Proc.Pendientes Revisión');
INSERT INTO `lang_definitions` VALUES (13810, 8208, 4, 'Proc Res');
INSERT INTO `lang_definitions` VALUES (13811, 8209, 4, 'Procedimiento');
INSERT INTO `lang_definitions` VALUES (13812, 8210, 4, 'Procedmiento por area corporal');
INSERT INTO `lang_definitions` VALUES (13813, 8212, 4, 'Procedimientos con resultados Boolean');
INSERT INTO `lang_definitions` VALUES (13814, 8214, 4, 'Codigo de Procedimiento');
INSERT INTO `lang_definitions` VALUES (13815, 8215, 4, 'Códigos de procedimiento');
INSERT INTO `lang_definitions` VALUES (13816, 8216, 4, 'Lateralidades del procedimiento');
INSERT INTO `lang_definitions` VALUES (13817, 8220, 4, 'Orden de Procedimiento');
INSERT INTO `lang_definitions` VALUES (13818, 8223, 4, 'Procedimiento ordenado para');
INSERT INTO `lang_definitions` VALUES (13819, 8226, 4, 'Ordenes e informes de procedimientos');
INSERT INTO `lang_definitions` VALUES (13820, 8227, 4, 'Selector de procedimientos');
INSERT INTO `lang_definitions` VALUES (13821, 8228, 4, 'Proveedor de procedimientos');
INSERT INTO `lang_definitions` VALUES (13822, 8229, 4, 'Proveedor de procedimientos');
INSERT INTO `lang_definitions` VALUES (13823, 8231, 4, 'Proveedores de procedimientos');
INSERT INTO `lang_definitions` VALUES (13824, 8232, 4, 'Informe Procedimiento');
INSERT INTO `lang_definitions` VALUES (13825, 8235, 4, 'Situaciones del reporte de procedimientos');
INSERT INTO `lang_definitions` VALUES (13826, 8237, 4, 'Resultado anormal del procedimiento');
INSERT INTO `lang_definitions` VALUES (13827, 8238, 4, 'Situacion del resultado del procedimiento');
INSERT INTO `lang_definitions` VALUES (13828, 8240, 4, 'Resultados del procedimientos');
INSERT INTO `lang_definitions` VALUES (13829, 8241, 4, 'Rutas del procedimiento');
INSERT INTO `lang_definitions` VALUES (13830, 8243, 4, 'Tipos de especimenes del procedimiento');
INSERT INTO `lang_definitions` VALUES (13831, 8245, 4, 'Reportes estadisticos del procedimiento');
INSERT INTO `lang_definitions` VALUES (13832, 8248, 4, 'Tipo de procedimiento');
INSERT INTO `lang_definitions` VALUES (13833, 8249, 4, 'Tipos de procedimientos');
INSERT INTO `lang_definitions` VALUES (13834, 8251, 4, 'Unidades del procedimiento');
INSERT INTO `lang_definitions` VALUES (13835, 8253, 4, 'Procedimiento/Servicio');
INSERT INTO `lang_definitions` VALUES (13836, 8254, 4, 'Procedimientos');
INSERT INTO `lang_definitions` VALUES (13837, 8256, 4, 'Proceso');
INSERT INTO `lang_definitions` VALUES (13838, 8257, 4, 'Procesar y enviar recordatorios');
INSERT INTO `lang_definitions` VALUES (13839, 8258, 4, 'Procesar ERA file');
INSERT INTO `lang_definitions` VALUES (13840, 8261, 4, 'Procesar recordatorios');
INSERT INTO `lang_definitions` VALUES (13841, 8262, 4, 'El proceso puede tardar algún tiempo');
INSERT INTO `lang_definitions` VALUES (13842, 8263, 4, 'Procesado');
INSERT INTO `lang_definitions` VALUES (13843, 8264, 4, 'Procesado por');
INSERT INTO `lang_definitions` VALUES (13844, 8265, 4, 'Fecha procesado');
INSERT INTO `lang_definitions` VALUES (13845, 8267, 4, 'Procesamiento');
INSERT INTO `lang_definitions` VALUES (13846, 8271, 4, 'Procesar recordatorios de paciente');
INSERT INTO `lang_definitions` VALUES (13847, 8274, 4, 'Producto');
INSERT INTO `lang_definitions` VALUES (13848, 8276, 4, 'Método Producto Anticonceptivo');
INSERT INTO `lang_definitions` VALUES (13849, 8279, 4, 'Productos');
INSERT INTO `lang_definitions` VALUES (13850, 8280, 4, 'Productos pero no medicamentos con receta y sin plantillas');
INSERT INTO `lang_definitions` VALUES (13851, 8282, 4, 'Prof.');
INSERT INTO `lang_definitions` VALUES (13852, 8290, 4, 'Notas de progreso');
INSERT INTO `lang_definitions` VALUES (13853, 8295, 4, 'Cáncer de Próstata');
INSERT INTO `lang_definitions` VALUES (13854, 8296, 4, 'Detección de cancer de próstata');
INSERT INTO `lang_definitions` VALUES (13855, 8297, 4, 'Examen de Próstata');
INSERT INTO `lang_definitions` VALUES (13856, 8298, 4, 'Problemas de Próstata');
INSERT INTO `lang_definitions` VALUES (13857, 8299, 4, 'Próstata sin agrandamiento, nódulos o sensibilidad');
INSERT INTO `lang_definitions` VALUES (13858, 8304, 4, 'Provee ruta absoluta');
INSERT INTO `lang_definitions` VALUES (13859, 8305, 4, 'Provee ruta absoluta del file');
INSERT INTO `lang_definitions` VALUES (13860, 8309, 4, 'Proporcione resúmenes clínicos a los pacientes en cada visita.');
INSERT INTO `lang_definitions` VALUES (13861, 8311, 4, 'Proporcionar a los pacientes una copia electrónica de su información de salud (incluyendo resultados de pruebas de diagnóstico, lista de problemas, lista de medicamentos, medicación para alergias), bajo petición.');
INSERT INTO `lang_definitions` VALUES (13862, 8312, 4, 'Ofrecer a los pacientes el acceso oportuno a su información electrónica de salud (incluyendo resultados de laboratorio, lista de problemas, listas de medicamentos, alergias a medicamentos) dentro de cuatro días hábiles de que la información esté disponible para el EP (profesional elegible).');
INSERT INTO `lang_definitions` VALUES (13863, 8313, 4, 'Proporcionar Registros al Paciente por Visita');
INSERT INTO `lang_definitions` VALUES (13864, 8315, 4, 'Proporcionar email válido');
INSERT INTO `lang_definitions` VALUES (13865, 8316, 4, '¿Resumen médico proporcionado?');
INSERT INTO `lang_definitions` VALUES (13866, 8317, 4, '¿Recursos educativos proporcionados?');
INSERT INTO `lang_definitions` VALUES (13867, 8318, 4, 'Proveedor');
INSERT INTO `lang_definitions` VALUES (13868, 8323, 4, 'Facultativo ID');
INSERT INTO `lang_definitions` VALUES (13869, 8324, 4, 'Facultativo ID en el centro especificado');
INSERT INTO `lang_definitions` VALUES (13870, 8325, 4, 'Errores de correspondencia de Proveedor');
INSERT INTO `lang_definitions` VALUES (13871, 8330, 4, 'Número de Proveedor');
INSERT INTO `lang_definitions` VALUES (13872, 8336, 4, 'Facultativo:');
INSERT INTO `lang_definitions` VALUES (13873, 8337, 4, 'Facultativos');
INSERT INTO `lang_definitions` VALUES (13874, 8338, 4, 'NPI Facultativos');
INSERT INTO `lang_definitions` VALUES (13875, 8339, 4, 'Proveedores Ver calendario completo');
INSERT INTO `lang_definitions` VALUES (13876, 8341, 4, 'Imp');
INSERT INTO `lang_definitions` VALUES (13877, 8342, 4, 'PSA');
INSERT INTO `lang_definitions` VALUES (13878, 8343, 4, 'Psoriasis');
INSERT INTO `lang_definitions` VALUES (13879, 8345, 4, 'Psiq. Diagnóstico');
INSERT INTO `lang_definitions` VALUES (13880, 8346, 4, 'Psiq. Medicamentos');
INSERT INTO `lang_definitions` VALUES (13881, 8347, 4, 'Psiquiátricos');
INSERT INTO `lang_definitions` VALUES (13882, 8348, 4, 'Breve carta Psiquiátrica');
INSERT INTO `lang_definitions` VALUES (13883, 8349, 4, 'Diagnosis psiquiátrica');
INSERT INTO `lang_definitions` VALUES (13884, 8350, 4, 'Examinación psiquiátrica');
INSERT INTO `lang_definitions` VALUES (13885, 8352, 4, 'Historia Psiquiátrica');
INSERT INTO `lang_definitions` VALUES (13886, 8353, 4, 'Producto Psiquiátrico');
INSERT INTO `lang_definitions` VALUES (13887, 8354, 4, 'Medicación Psiquiátrica');
INSERT INTO `lang_definitions` VALUES (13888, 8358, 4, 'Pt %');
INSERT INTO `lang_definitions` VALUES (13889, 8360, 4, 'Pt Notas');
INSERT INTO `lang_definitions` VALUES (13890, 8361, 4, 'Pt Notas/Autorización');
INSERT INTO `lang_definitions` VALUES (13891, 8362, 4, 'Pt en exceso');
INSERT INTO `lang_definitions` VALUES (13892, 8364, 4, 'Pt Pagado');
INSERT INTO `lang_definitions` VALUES (13893, 8365, 4, 'Solicitud Registro Pacienten');
INSERT INTO `lang_definitions` VALUES (13894, 8366, 4, 'Pt Reembolso');
INSERT INTO `lang_definitions` VALUES (13895, 8367, 4, 'Pt liberados');
INSERT INTO `lang_definitions` VALUES (13896, 8368, 4, 'Pt Informe');
INSERT INTO `lang_definitions` VALUES (13897, 8369, 4, 'PT Estudiante, o dejar en blanco');
INSERT INTO `lang_definitions` VALUES (13898, 8370, 4, 'PT_CIUDAD');
INSERT INTO `lang_definitions` VALUES (13899, 8371, 4, 'PT_FDN');
INSERT INTO `lang_definitions` VALUES (13900, 8373, 4, 'PT_NOMBRE');
INSERT INTO `lang_definitions` VALUES (13901, 8374, 4, 'PT_APELLIDO');
INSERT INTO `lang_definitions` VALUES (13902, 8375, 4, 'PT_NOMBRE');
INSERT INTO `lang_definitions` VALUES (13903, 8378, 4, 'PT_POSTAL');
INSERT INTO `lang_definitions` VALUES (13904, 8380, 4, 'PT_ESTADO');
INSERT INTO `lang_definitions` VALUES (13905, 8381, 4, 'PT_CALLE');
INSERT INTO `lang_definitions` VALUES (13906, 8383, 4, 'Público');
INSERT INTO `lang_definitions` VALUES (13907, 8387, 4, 'Seguridad Social (SS) u otro organismo oficial');
INSERT INTO `lang_definitions` VALUES (13908, 8394, 4, 'Puertorriqueño');
INSERT INTO `lang_definitions` VALUES (13909, 8396, 4, 'Pulmonar');
INSERT INTO `lang_definitions` VALUES (13910, 8398, 4, 'Pulso');
INSERT INTO `lang_definitions` VALUES (13911, 8399, 4, 'Penyabí');
INSERT INTO `lang_definitions` VALUES (13912, 8401, 4, 'Comprar');
INSERT INTO `lang_definitions` VALUES (13913, 8402, 4, 'Compra/Devolución');
INSERT INTO `lang_definitions` VALUES (13914, 8403, 4, 'Adquisiciones');
INSERT INTO `lang_definitions` VALUES (13915, 8408, 4, 'q.3h');
INSERT INTO `lang_definitions` VALUES (13916, 8409, 4, 'q.4h');
INSERT INTO `lang_definitions` VALUES (13917, 8410, 4, 'q.5h');
INSERT INTO `lang_definitions` VALUES (13918, 8411, 4, 'q.6h');
INSERT INTO `lang_definitions` VALUES (13919, 8412, 4, 'q.8h');
INSERT INTO `lang_definitions` VALUES (13920, 8413, 4, 'q.d.');
INSERT INTO `lang_definitions` VALUES (13921, 8414, 4, 'q.i.d.');
INSERT INTO `lang_definitions` VALUES (13922, 8417, 4, 'Cant.disp.');
INSERT INTO `lang_definitions` VALUES (13923, 8418, 4, 'QOH es menor que el consumo mensual');
INSERT INTO `lang_definitions` VALUES (13924, 8419, 4, 'Cantidad');
INSERT INTO `lang_definitions` VALUES (13925, 8420, 4, 'Cantidad');
INSERT INTO `lang_definitions` VALUES (13926, 8421, 4, 'Calidad');
INSERT INTO `lang_definitions` VALUES (13927, 8422, 4, 'Medidas de calidad (GCC)');
INSERT INTO `lang_definitions` VALUES (13928, 8423, 4, 'Cantidad');
INSERT INTO `lang_definitions` VALUES (13929, 8425, 4, 'Cantidad para NDC');
INSERT INTO `lang_definitions` VALUES (13930, 8426, 4, 'Cantidad En Mano');
INSERT INTO `lang_definitions` VALUES (13931, 8427, 4, 'cantidad parece inservible');
INSERT INTO `lang_definitions` VALUES (13932, 8431, 4, 'interrogante');
INSERT INTO `lang_definitions` VALUES (13933, 8432, 4, 'HCFA cola de procesamiento por lotes');
INSERT INTO `lang_definitions` VALUES (13934, 8433, 4, 'HCFA cola de procesamiento por lotes y la impresión');
INSERT INTO `lang_definitions` VALUES (13935, 8434, 4, 'Cola de la UB-92 del procesamiento por lotes');
INSERT INTO `lang_definitions` VALUES (13936, 8435, 4, 'Cola de la UB-92 del procesamiento por lotes y la impresión');
INSERT INTO `lang_definitions` VALUES (13937, 8436, 4, 'Cola');
INSERT INTO `lang_definitions` VALUES (13938, 8437, 4, 'Administración de Eventos en cola');
INSERT INTO `lang_definitions` VALUES (13939, 8438, 4, 'Cola para');
INSERT INTO `lang_definitions` VALUES (13940, 8440, 4, 'Cola de Peticiones Administración');
INSERT INTO `lang_definitions` VALUES (13941, 8442, 4, 'Dejar');
INSERT INTO `lang_definitions` VALUES (13942, 8443, 4, 'Dejar el alcohol');
INSERT INTO `lang_definitions` VALUES (13943, 8445, 4, 'R');
INSERT INTO `lang_definitions` VALUES (13944, 8452, 4, 'Raza');
INSERT INTO `lang_definitions` VALUES (13945, 8453, 4, 'Raza y Etnia');
INSERT INTO `lang_definitions` VALUES (13946, 8454, 4, 'Raza/etnia');
INSERT INTO `lang_definitions` VALUES (13947, 8456, 4, 'Radio');
INSERT INTO `lang_definitions` VALUES (13948, 8457, 4, 'Botones de radio');
INSERT INTO `lang_definitions` VALUES (13949, 8462, 4, 'Rango');
INSERT INTO `lang_definitions` VALUES (13950, 8463, 4, 'Erupciones');
INSERT INTO `lang_definitions` VALUES (13951, 8464, 4, 'Tasa');
INSERT INTO `lang_definitions` VALUES (13952, 8466, 4, 'Proporcion');
INSERT INTO `lang_definitions` VALUES (13953, 8467, 4, 'Informe sin procesar');
INSERT INTO `lang_definitions` VALUES (13954, 8475, 4, 'Re-Identificación');
INSERT INTO `lang_definitions` VALUES (13955, 8476, 4, 'Proceso Re-Identificación completado');
INSERT INTO `lang_definitions` VALUES (13956, 8477, 4, 'Proceso Re identificación en curso');
INSERT INTO `lang_definitions` VALUES (13957, 8478, 4, 'Ficheros de Re-identificación serán salvados en');
INSERT INTO `lang_definitions` VALUES (13958, 8479, 4, '¿Misma lesión?');
INSERT INTO `lang_definitions` VALUES (13959, 8480, 4, 'Abra de nuevo');
INSERT INTO `lang_definitions` VALUES (13960, 8482, 4, 'Volvió a abrir');
INSERT INTO `lang_definitions` VALUES (13961, 8484, 4, 'Reacción');
INSERT INTO `lang_definitions` VALUES (13962, 8486, 4, 'reacciones');
INSERT INTO `lang_definitions` VALUES (13963, 8489, 4, 'Leído');
INSERT INTO `lang_definitions` VALUES (13964, 8496, 4, 'Nombre Real');
INSERT INTO `lang_definitions` VALUES (13965, 8497, 4, 'Realmente borrar');
INSERT INTO `lang_definitions` VALUES (13966, 8498, 4, 'Razón');
INSERT INTO `lang_definitions` VALUES (13967, 8499, 4, 'Motivo del fallecimiento');
INSERT INTO `lang_definitions` VALUES (13968, 8500, 4, 'Causa de fallecimiento');
INSERT INTO `lang_definitions` VALUES (13969, 8502, 4, 'Motivo de la remisión');
INSERT INTO `lang_definitions` VALUES (13970, 8504, 4, 'Motivo de la Visita');
INSERT INTO `lang_definitions` VALUES (13971, 8506, 4, 'Motivo / Forma');
INSERT INTO `lang_definitions` VALUES (13972, 8521, 4, 'Recibo');
INSERT INTO `lang_definitions` VALUES (13973, 8522, 4, 'Recibo de Pago');
INSERT INTO `lang_definitions` VALUES (13974, 8523, 4, 'Recibo generado');
INSERT INTO `lang_definitions` VALUES (13975, 8524, 4, 'Informe de Recibos por método de pago');
INSERT INTO `lang_definitions` VALUES (13976, 8525, 4, 'Resumen de Recibos');
INSERT INTO `lang_definitions` VALUES (13977, 8526, 4, 'Recibido');
INSERT INTO `lang_definitions` VALUES (13978, 8527, 4, 'Recibido Por');
INSERT INTO `lang_definitions` VALUES (13979, 8528, 4, 'Faxes recibidos');
INSERT INTO `lang_definitions` VALUES (13980, 8530, 4, 'Recibido, no revisado');
INSERT INTO `lang_definitions` VALUES (13981, 8531, 4, 'Recibido, no revisado');
INSERT INTO `lang_definitions` VALUES (13982, 8532, 4, 'Receptor');
INSERT INTO `lang_definitions` VALUES (13983, 8533, 4, 'Identificación del receptor');
INSERT INTO `lang_definitions` VALUES (13984, 8534, 4, 'Recibidor ID (ISA08)');
INSERT INTO `lang_definitions` VALUES (13985, 8535, 4, 'Calificador del recibidor ID (ISA07)');
INSERT INTO `lang_definitions` VALUES (13986, 8540, 4, 'No se permiten las tres palabras claves recientes');
INSERT INTO `lang_definitions` VALUES (13987, 8542, 4, 'Beneficiario');
INSERT INTO `lang_definitions` VALUES (13988, 8543, 4, 'Lista de Beneficiarios vacía');
INSERT INTO `lang_definitions` VALUES (13989, 8544, 4, 'Nombre destinatario');
INSERT INTO `lang_definitions` VALUES (13990, 8545, 4, 'Destinatario de la info');
INSERT INTO `lang_definitions` VALUES (13991, 8549, 4, 'Recomendación');
INSERT INTO `lang_definitions` VALUES (13992, 8552, 4, 'Recomendaciones');
INSERT INTO `lang_definitions` VALUES (13993, 8553, 4, 'Recomendaciones y el tratamiento');
INSERT INTO `lang_definitions` VALUES (13994, 8554, 4, 'Recomendaciones del especialista');
INSERT INTO `lang_definitions` VALUES (13995, 8557, 4, 'Registro');
INSERT INTO `lang_definitions` VALUES (13996, 8558, 4, 'Registro ya existe');
INSERT INTO `lang_definitions` VALUES (13997, 8564, 4, 'Registro y gráfico de los cambios en las constantes vitales.');
INSERT INTO `lang_definitions` VALUES (13998, 8565, 4, 'Registro demográficos.');
INSERT INTO `lang_definitions` VALUES (13999, 8566, 4, 'Grabar revelación info');
INSERT INTO `lang_definitions` VALUES (14000, 8567, 4, 'Registro de estado físico');
INSERT INTO `lang_definitions` VALUES (14001, 8568, 4, 'Pago de Registro');
INSERT INTO `lang_definitions` VALUES (14002, 8570, 4, 'Fecha registro de solicitud');
INSERT INTO `lang_definitions` VALUES (14003, 8571, 4, 'Registro estado pacientes fumadores de 13 años o más');
INSERT INTO `lang_definitions` VALUES (14004, 8572, 4, 'Registros');
INSERT INTO `lang_definitions` VALUES (14005, 8573, 4, 'registros encontrados');
INSERT INTO `lang_definitions` VALUES (14006, 8574, 4, 'registros encontrados.');
INSERT INTO `lang_definitions` VALUES (14007, 8576, 4, 'Uso de drogas no farmacológicas');
INSERT INTO `lang_definitions` VALUES (14008, 8577, 4, 'Drogas no farmacológicas');
INSERT INTO `lang_definitions` VALUES (14009, 8578, 4, 'Rectal');
INSERT INTO `lang_definitions` VALUES (14010, 8579, 4, 'Examen Rectal');
INSERT INTO `lang_definitions` VALUES (14011, 8580, 4, 'Rectal');
INSERT INTO `lang_definitions` VALUES (14012, 8592, 4, 'Redirección');
INSERT INTO `lang_definitions` VALUES (14013, 8593, 4, 'Enrojecimiento');
INSERT INTO `lang_definitions` VALUES (14014, 8595, 4, 'Reducido:');
INSERT INTO `lang_definitions` VALUES (14015, 8597, 4, 'Referir');
INSERT INTO `lang_definitions` VALUES (14016, 8598, 4, 'Referido Por');
INSERT INTO `lang_definitions` VALUES (14017, 8599, 4, 'Referido en Fecha:');
INSERT INTO `lang_definitions` VALUES (14018, 8600, 4, 'Referido para:');
INSERT INTO `lang_definitions` VALUES (14019, 8603, 4, 'Clasificación de derivación (nivel de riesgo)');
INSERT INTO `lang_definitions` VALUES (14020, 8604, 4, 'Rango de resultados de derivación');
INSERT INTO `lang_definitions` VALUES (14021, 8605, 4, 'Motivo de derivación');
INSERT INTO `lang_definitions` VALUES (14022, 8609, 4, 'Nombre y firma del derivador');
INSERT INTO `lang_definitions` VALUES (14023, 8610, 4, 'Derivación');
INSERT INTO `lang_definitions` VALUES (14024, 8611, 4, 'Derivado Por');
INSERT INTO `lang_definitions` VALUES (14025, 8612, 4, 'Tarjeta de Derivación');
INSERT INTO `lang_definitions` VALUES (14026, 8613, 4, 'Fecha de Derivación');
INSERT INTO `lang_definitions` VALUES (14027, 8614, 4, 'Formulario de derivación');
INSERT INTO `lang_definitions` VALUES (14028, 8615, 4, 'FORMULARIO DE DERIVACIÓN');
INSERT INTO `lang_definitions` VALUES (14029, 8616, 4, 'Nº ID derivación');
INSERT INTO `lang_definitions` VALUES (14030, 8619, 4, 'Origen derivación');
INSERT INTO `lang_definitions` VALUES (14031, 8620, 4, 'Origen derivación para encuentros');
INSERT INTO `lang_definitions` VALUES (14032, 8621, 4, 'Derivado a');
INSERT INTO `lang_definitions` VALUES (14033, 8622, 4, 'Derivados');
INSERT INTO `lang_definitions` VALUES (14034, 8623, 4, 'Informes de Derivados');
INSERT INTO `lang_definitions` VALUES (14035, 8624, 4, 'Derivado por');
INSERT INTO `lang_definitions` VALUES (14036, 8625, 4, 'Derivado Por');
INSERT INTO `lang_definitions` VALUES (14037, 8627, 4, 'Derivado a');
INSERT INTO `lang_definitions` VALUES (14038, 8628, 4, 'Derivador');
INSERT INTO `lang_definitions` VALUES (14039, 8630, 4, 'Diagnóstico de Derivación');
INSERT INTO `lang_definitions` VALUES (14040, 8631, 4, 'Diagnóstico de Derivación');
INSERT INTO `lang_definitions` VALUES (14041, 8633, 4, 'Médico y Centro que deriva');
INSERT INTO `lang_definitions` VALUES (14042, 8635, 4, 'Proveedor que deriva');
INSERT INTO `lang_definitions` VALUES (14043, 8636, 4, 'Recargar');
INSERT INTO `lang_definitions` VALUES (14044, 8639, 4, 'Recargas');
INSERT INTO `lang_definitions` VALUES (14045, 8640, 4, 'recargas');
INSERT INTO `lang_definitions` VALUES (14046, 8641, 4, 'Reflejos normales');
INSERT INTO `lang_definitions` VALUES (14047, 8645, 4, 'Refrescar');
INSERT INTO `lang_definitions` VALUES (14048, 8646, 4, 'Refrescar');
INSERT INTO `lang_definitions` VALUES (14049, 8648, 4, 'Refrescando recordatorios');
INSERT INTO `lang_definitions` VALUES (14050, 8649, 4, 'Reintegro');
INSERT INTO `lang_definitions` VALUES (14051, 8650, 4, 'Denegado');
INSERT INTO `lang_definitions` VALUES (14052, 8651, 4, 'Se negó a declarar');
INSERT INTO `lang_definitions` VALUES (14053, 8652, 4, 'reg_re');
INSERT INTO `lang_definitions` VALUES (14054, 8655, 4, 'Registrar');
INSERT INTO `lang_definitions` VALUES (14055, 8656, 4, 'Registrar');
INSERT INTO `lang_definitions` VALUES (14056, 8662, 4, 'Registrado');
INSERT INTO `lang_definitions` VALUES (14057, 8663, 4, 'registrado');
INSERT INTO `lang_definitions` VALUES (14058, 8666, 4, 'Módulos registrados');
INSERT INTO `lang_definitions` VALUES (14059, 8668, 4, 'Fecha de Registro');
INSERT INTO `lang_definitions` VALUES (14060, 8671, 4, 'Formulario de Inscripción');
INSERT INTO `lang_definitions` VALUES (14061, 8672, 4, 'Rehabilitación');
INSERT INTO `lang_definitions` VALUES (14062, 8676, 4, 'Relaciónese Con');
INSERT INTO `lang_definitions` VALUES (14063, 8677, 4, 'Relacionado');
INSERT INTO `lang_definitions` VALUES (14064, 8678, 4, 'Incidencia relacionada');
INSERT INTO `lang_definitions` VALUES (14065, 8680, 4, 'Relacion(es)/niños');
INSERT INTO `lang_definitions` VALUES (14066, 8681, 4, 'Relaciones');
INSERT INTO `lang_definitions` VALUES (14067, 8682, 4, 'Relación');
INSERT INTO `lang_definitions` VALUES (14068, 8683, 4, 'Orden relativo de esta entidad');
INSERT INTO `lang_definitions` VALUES (14069, 8684, 4, 'Familiares');
INSERT INTO `lang_definitions` VALUES (14070, 8695, 4, 'Las credenciales de la salud del relais faltan de esta cuenta de usuario.');
INSERT INTO `lang_definitions` VALUES (14071, 8696, 4, 'Relay Health ID');
INSERT INTO `lang_definitions` VALUES (14072, 8698, 4, 'Fecha versión');
INSERT INTO `lang_definitions` VALUES (14073, 8700, 4, 'Religión');
INSERT INTO `lang_definitions` VALUES (14074, 8705, 4, 'Reinicie sesión');
INSERT INTO `lang_definitions` VALUES (14075, 8706, 4, 'Recordatorio');
INSERT INTO `lang_definitions` VALUES (14076, 8709, 4, 'Recordar Centro Seleccionado');
INSERT INTO `lang_definitions` VALUES (14077, 8712, 4, 'Recordatorio');
INSERT INTO `lang_definitions` VALUES (14078, 8715, 4, 'Intervalos recordatorio');
INSERT INTO `lang_definitions` VALUES (14079, 8716, 4, 'Recordatorio No Enviado Todavía');
INSERT INTO `lang_definitions` VALUES (14080, 8720, 4, 'Recordatorio Enviado El');
INSERT INTO `lang_definitions` VALUES (14081, 8725, 4, 'Recordatorios');
INSERT INTO `lang_definitions` VALUES (14082, 8726, 4, 'REMITIR A');
INSERT INTO `lang_definitions` VALUES (14083, 8729, 4, 'Quitar');
INSERT INTO `lang_definitions` VALUES (14084, 8733, 4, 'Eliminar Grupo');
INSERT INTO `lang_definitions` VALUES (14085, 8734, 4, 'Eliminar el formulario del grupo');
INSERT INTO `lang_definitions` VALUES (14086, 8738, 4, 'Eliminar soporte para las vacunas');
INSERT INTO `lang_definitions` VALUES (14087, 8739, 4, 'Eliminar soporte para phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (14088, 8740, 4, 'Eliminar soporte para prescripciones');
INSERT INTO `lang_definitions` VALUES (14089, 8742, 4, 'Elimina la función del gráfico de seguimiento');
INSERT INTO `lang_definitions` VALUES (14090, 8743, 4, 'Litiasis Renal');
INSERT INTO `lang_definitions` VALUES (14091, 8744, 4, 'Renombrar');
INSERT INTO `lang_definitions` VALUES (14092, 8745, 4, 'Renombrar Grupo');
INSERT INTO `lang_definitions` VALUES (14093, 8746, 4, 'Representación');
INSERT INTO `lang_definitions` VALUES (14094, 8747, 4, 'Representación del Facultativo');
INSERT INTO `lang_definitions` VALUES (14095, 8748, 4, 'Número Representación del Facultativo');
INSERT INTO `lang_definitions` VALUES (14096, 8750, 4, 'Reordenar');
INSERT INTO `lang_definitions` VALUES (14097, 8751, 4, 'Al reordenar');
INSERT INTO `lang_definitions` VALUES (14098, 8752, 4, 'Alcanzado el punto de pedido');
INSERT INTO `lang_definitions` VALUES (14099, 8753, 4, 'Punto de pedido, 0 no es válido');
INSERT INTO `lang_definitions` VALUES (14100, 8758, 4, 'Repetición eventos');
INSERT INTO `lang_definitions` VALUES (14101, 8759, 4, 'Repetir Información:');
INSERT INTO `lang_definitions` VALUES (14102, 8760, 4, 'Repite');
INSERT INTO `lang_definitions` VALUES (14103, 8771, 4, 'Fecha de Respuesta');
INSERT INTO `lang_definitions` VALUES (14104, 8772, 4, 'De respuesta');
INSERT INTO `lang_definitions` VALUES (14105, 8774, 4, 'Informe');
INSERT INTO `lang_definitions` VALUES (14106, 8776, 4, 'Informe Clínico');
INSERT INTO `lang_definitions` VALUES (14107, 8779, 4, 'Informe por');
INSERT INTO `lang_definitions` VALUES (14108, 8789, 4, 'Reporte de estado');
INSERT INTO `lang_definitions` VALUES (14109, 8790, 4, 'Informe Totales');
INSERT INTO `lang_definitions` VALUES (14110, 8792, 4, 'Informe/Formulario');
INSERT INTO `lang_definitions` VALUES (14111, 8794, 4, 'Informable');
INSERT INTO `lang_definitions` VALUES (14112, 8795, 4, 'Reportado');
INSERT INTO `lang_definitions` VALUES (14113, 8796, 4, 'Fecha Informada');
INSERT INTO `lang_definitions` VALUES (14114, 8797, 4, 'Informes');
INSERT INTO `lang_definitions` VALUES (14115, 8804, 4, '¡Solicitud ignorada - proceso de reclamos ya se está ejecutando!');
INSERT INTO `lang_definitions` VALUES (14116, 8814, 4, 'Fecha pedida');
INSERT INTO `lang_definitions` VALUES (14117, 8815, 4, 'Servicio Solicitado');
INSERT INTO `lang_definitions` VALUES (14118, 8819, 4, 'Se requiere Contraseña más compleja');
INSERT INTO `lang_definitions` VALUES (14119, 8820, 4, 'Se requiere Contraseña única');
INSERT INTO `lang_definitions` VALUES (14120, 8821, 4, 'Requerido');
INSERT INTO `lang_definitions` VALUES (14121, 8823, 4, 'Copago requerido');
INSERT INTO `lang_definitions` VALUES (14122, 8824, 4, 'Falta campo requerido:Por favor elija el fichero EDI-271 para adjuntar');
INSERT INTO `lang_definitions` VALUES (14123, 8825, 4, 'Falta campo requerido: Por favor introduzca el nombre');
INSERT INTO `lang_definitions` VALUES (14124, 8826, 4, 'Falta campo requerido: Por favor introduzca el apellido');
INSERT INTO `lang_definitions` VALUES (14125, 8827, 4, 'Falta campo requerido: Por favor introduzca el nombre de usuario');
INSERT INTO `lang_definitions` VALUES (14126, 8828, 4, 'Campos requeridos');
INSERT INTO `lang_definitions` VALUES (14127, 8829, 4, 'Requerimientos');
INSERT INTO `lang_definitions` VALUES (14128, 8832, 4, 'RESERVADO');
INSERT INTO `lang_definitions` VALUES (14129, 8833, 4, 'Reservado');
INSERT INTO `lang_definitions` VALUES (14130, 8834, 4, 'Reservados para su uso para definir el Tiempo Programado de Vacaciones');
INSERT INTO `lang_definitions` VALUES (14131, 8835, 4, 'Reservados para definir cuando un proveedor no podrá tener citas disponibles después.');
INSERT INTO `lang_definitions` VALUES (14132, 8836, 4, 'Reservado para definir cuando un evento no ocurrió tal como se especificaba.');
INSERT INTO `lang_definitions` VALUES (14133, 8837, 4, 'Reservados para definir cuando un proveedor puede tener citas disponibles después.');
INSERT INTO `lang_definitions` VALUES (14134, 8838, 4, 'Reinicio');
INSERT INTO `lang_definitions` VALUES (14135, 8842, 4, 'Resetear credenciales del Portal externo');
INSERT INTO `lang_definitions` VALUES (14136, 8844, 4, 'Resetear credenciales del Portal interno');
INSERT INTO `lang_definitions` VALUES (14137, 8852, 4, 'Resuelto');
INSERT INTO `lang_definitions` VALUES (14138, 8855, 4, 'Respiración');
INSERT INTO `lang_definitions` VALUES (14139, 8856, 4, 'Esfuerzo al Respirar');
INSERT INTO `lang_definitions` VALUES (14140, 8857, 4, 'Respiratorias');
INSERT INTO `lang_definitions` VALUES (14141, 8864, 4, 'Restringir a usuarios no autorizados al esquema de centros establecido en usuario admin.');
INSERT INTO `lang_definitions` VALUES (14142, 8865, 4, 'Restringir usuarios a Centros');
INSERT INTO `lang_definitions` VALUES (14143, 8866, 4, 'Entrenamiento Restringido');
INSERT INTO `lang_definitions` VALUES (14144, 8867, 4, 'Resultado');
INSERT INTO `lang_definitions` VALUES (14145, 8869, 4, 'Estado del resultado');
INSERT INTO `lang_definitions` VALUES (14146, 8870, 4, 'Falta estado o anormalidad del resultado');
INSERT INTO `lang_definitions` VALUES (14147, 8871, 4, 'Resultado, use % como comodín');
INSERT INTO `lang_definitions` VALUES (14148, 8873, 4, 'Resultados y');
INSERT INTO `lang_definitions` VALUES (14149, 8874, 4, 'Resultados Encontrados para la Búsqueda');
INSERT INTO `lang_definitions` VALUES (14150, 8875, 4, 'Grupo Resultados');
INSERT INTO `lang_definitions` VALUES (14151, 8876, 4, 'Sólo resultados');
INSERT INTO `lang_definitions` VALUES (14152, 8879, 4, 'Resultados por página');
INSERT INTO `lang_definitions` VALUES (14153, 8880, 4, 'Resultados / Detalles');
INSERT INTO `lang_definitions` VALUES (14154, 8884, 4, 'Examen de Retina');
INSERT INTO `lang_definitions` VALUES (14155, 8885, 4, 'Derecho retractado:');
INSERT INTO `lang_definitions` VALUES (14156, 8886, 4, 'Volver');
INSERT INTO `lang_definitions` VALUES (14157, 8887, 4, 'Retorne la parte superior con su pago');
INSERT INTO `lang_definitions` VALUES (14158, 8890, 4, 'Retornar al calendario');
INSERT INTO `lang_definitions` VALUES (14159, 8892, 4, 'Vuelva a esta página y podrá completar el proceso de instalación ICD 10 haciendo click en la sección de la cabecera ICD 10');
INSERT INTO `lang_definitions` VALUES (14160, 8893, 4, 'Vuelva a esta página y podrá completar el proceso de instalación ICD 9 haciendo click en la sección de la cabecera ICD 9');
INSERT INTO `lang_definitions` VALUES (14161, 8894, 4, 'Vuelva a esta página y podrá completar el proceso de instalación RxNorm haciendo click en la sección de la cabecera RXNORM');
INSERT INTO `lang_definitions` VALUES (14162, 8895, 4, 'Vuelva a esta página y podrá completar el proceso de instalación Snomed haciendo click en la sección de la cabecera SNOMED');
INSERT INTO `lang_definitions` VALUES (14163, 8897, 4, 'Valor Devuelto');
INSERT INTO `lang_definitions` VALUES (14164, 8898, 4, 'Visita de Vuelta');
INSERT INTO `lang_definitions` VALUES (14165, 8899, 4, 'Volvió a jugar');
INSERT INTO `lang_definitions` VALUES (14166, 8901, 4, 'No reusar 3 palabras clave previas');
INSERT INTO `lang_definitions` VALUES (14167, 8909, 4, 'Revisión');
INSERT INTO `lang_definitions` VALUES (14168, 8910, 4, 'Revisión / aprobación');
INSERT INTO `lang_definitions` VALUES (14169, 8912, 4, 'Revisión / aprobación');
INSERT INTO `lang_definitions` VALUES (14170, 8914, 4, 'Revisión Hist.Med.Pasada:');
INSERT INTO `lang_definitions` VALUES (14171, 8917, 4, 'Revisión de los sistemas');
INSERT INTO `lang_definitions` VALUES (14172, 8918, 4, 'Revisión de chequeos de sistemas');
INSERT INTO `lang_definitions` VALUES (14173, 8921, 4, 'Revisado');
INSERT INTO `lang_definitions` VALUES (14174, 8924, 4, 'Revisión');
INSERT INTO `lang_definitions` VALUES (14175, 8925, 4, 'Artritis reumatoide');
INSERT INTO `lang_definitions` VALUES (14176, 8926, 4, 'Artritis reumatoide');
INSERT INTO `lang_definitions` VALUES (14177, 8928, 4, 'Derecho');
INSERT INTO `lang_definitions` VALUES (14178, 8931, 4, 'Oido Derecho');
INSERT INTO `lang_definitions` VALUES (14179, 8932, 4, 'oido derecho');
INSERT INTO `lang_definitions` VALUES (14180, 8940, 4, 'Derecho:');
INSERT INTO `lang_definitions` VALUES (14181, 8941, 4, 'Zumbido en Oídos');
INSERT INTO `lang_definitions` VALUES (14182, 8942, 4, 'Sonido en Oídos');
INSERT INTO `lang_definitions` VALUES (14183, 8944, 4, 'Factores de Riesgo');
INSERT INTO `lang_definitions` VALUES (14184, 8945, 4, 'Nivel de Riesgo');
INSERT INTO `lang_definitions` VALUES (14185, 8949, 4, 'RLL:');
INSERT INTO `lang_definitions` VALUES (14186, 8955, 4, 'ROM');
INSERT INTO `lang_definitions` VALUES (14187, 8956, 4, 'Rumano');
INSERT INTO `lang_definitions` VALUES (14188, 8963, 4, 'Lista');
INSERT INTO `lang_definitions` VALUES (14189, 8966, 4, 'Ruta');
INSERT INTO `lang_definitions` VALUES (14190, 8967, 4, 'Ruta de administracion si aplicable');
INSERT INTO `lang_definitions` VALUES (14191, 8968, 4, 'Encaminado');
INSERT INTO `lang_definitions` VALUES (14192, 8969, 4, 'Filas');
INSERT INTO `lang_definitions` VALUES (14193, 8971, 4, 'RRR sin MOR');
INSERT INTO `lang_definitions` VALUES (14194, 8972, 4, 'Frotar');
INSERT INTO `lang_definitions` VALUES (14195, 8973, 4, 'Frotaciones:');
INSERT INTO `lang_definitions` VALUES (14196, 8974, 4, 'Regla');
INSERT INTO `lang_definitions` VALUES (14197, 8975, 4, 'Añadir regla');
INSERT INTO `lang_definitions` VALUES (14198, 8976, 4, 'Detalle Regla');
INSERT INTO `lang_definitions` VALUES (14199, 8978, 4, 'Editar Regla');
INSERT INTO `lang_definitions` VALUES (14200, 8981, 4, 'Ajuste Regla');
INSERT INTO `lang_definitions` VALUES (14201, 8984, 4, 'Reglas');
INSERT INTO `lang_definitions` VALUES (14202, 8986, 4, 'Configuración Regla');
INSERT INTO `lang_definitions` VALUES (14203, 8989, 4, 'Ejecutando comando');
INSERT INTO `lang_definitions` VALUES (14204, 8990, 4, 'ruptura');
INSERT INTO `lang_definitions` VALUES (14205, 8992, 4, 'Ruso');
INSERT INTO `lang_definitions` VALUES (14206, 8995, 4, 'Receta');
INSERT INTO `lang_definitions` VALUES (14207, 8996, 4, 'Receta');
INSERT INTO `lang_definitions` VALUES (14208, 8997, 4, 'Margen inferior Receta (px)');
INSERT INTO `lang_definitions` VALUES (14209, 9001, 4, 'Receta Activa DEA#');
INSERT INTO `lang_definitions` VALUES (14210, 9002, 4, 'Receta Activa NPI');
INSERT INTO `lang_definitions` VALUES (14211, 9003, 4, 'Receta Activa Estado Lic.#');
INSERT INTO `lang_definitions` VALUES (14212, 9007, 4, 'Margen izquierdo Receta (px)');
INSERT INTO `lang_definitions` VALUES (14213, 9010, 4, 'Tamaño papel Receta');
INSERT INTO `lang_definitions` VALUES (14214, 9013, 4, 'Margen derecho Receta (px)');
INSERT INTO `lang_definitions` VALUES (14215, 9014, 4, 'Mostrar Receta DEA#');
INSERT INTO `lang_definitions` VALUES (14216, 9015, 4, 'Mostrar Receta NPI');
INSERT INTO `lang_definitions` VALUES (14217, 9016, 4, 'Mostrar Receta Estado Lic.#');
INSERT INTO `lang_definitions` VALUES (14218, 9017, 4, 'Margen superior Receta (px)');
INSERT INTO `lang_definitions` VALUES (14219, 9023, 4, 'Recetario (RxNorm)');
INSERT INTO `lang_definitions` VALUES (14220, 9024, 4, 'Base de datos RxNorm');
INSERT INTO `lang_definitions` VALUES (14221, 9028, 4, 'S');
INSERT INTO `lang_definitions` VALUES (14222, 9029, 4, 'S.S.');
INSERT INTO `lang_definitions` VALUES (14223, 9030, 4, 'S3:');
INSERT INTO `lang_definitions` VALUES (14224, 9031, 4, 'S4:');
INSERT INTO `lang_definitions` VALUES (14225, 9032, 4, 'SA ** para leer la licencia por favor lea la documentoss/licencia.texto o visite * http://www.gnu.org/copyleft/gpl.html * * / / / ========================================================================= / /');
INSERT INTO `lang_definitions` VALUES (14226, 9034, 4, 'Venta');
INSERT INTO `lang_definitions` VALUES (14227, 9035, 4, 'Ventas');
INSERT INTO `lang_definitions` VALUES (14228, 9036, 4, 'Ventas por artículo');
INSERT INTO `lang_definitions` VALUES (14229, 9037, 4, 'Informe de ventas por producto');
INSERT INTO `lang_definitions` VALUES (14230, 9038, 4, 'Saliva');
INSERT INTO `lang_definitions` VALUES (14231, 9039, 4, 'Mismo Día');
INSERT INTO `lang_definitions` VALUES (14232, 9040, 4, 'Samoano');
INSERT INTO `lang_definitions` VALUES (14233, 9041, 4, 'Muestra');
INSERT INTO `lang_definitions` VALUES (14234, 9042, 4, 'Tipo de sanción');
INSERT INTO `lang_definitions` VALUES (14235, 9045, 4, 'Sánscrito');
INSERT INTO `lang_definitions` VALUES (14236, 9047, 4, 'Sab');
INSERT INTO `lang_definitions` VALUES (14237, 9048, 4, 'Sábado y Domingo');
INSERT INTO `lang_definitions` VALUES (14238, 9049, 4, 'Sábado');
INSERT INTO `lang_definitions` VALUES (14239, 9050, 4, 'Guardar');
INSERT INTO `lang_definitions` VALUES (14240, 9051, 4, 'SALVAR');
INSERT INTO `lang_definitions` VALUES (14241, 9055, 4, 'Guardar y Cerrar');
INSERT INTO `lang_definitions` VALUES (14242, 9057, 4, 'Salvar y Borrar Solicitud');
INSERT INTO `lang_definitions` VALUES (14243, 9058, 4, 'Guardar y Distribuir');
INSERT INTO `lang_definitions` VALUES (14244, 9060, 4, 'Guardar y Transmitir');
INSERT INTO `lang_definitions` VALUES (14245, 9061, 4, 'Guardar como Nuevo');
INSERT INTO `lang_definitions` VALUES (14246, 9063, 4, 'Guardar como nota nueva');
INSERT INTO `lang_definitions` VALUES (14247, 9066, 4, 'Guardar configuración del certificado');
INSERT INTO `lang_definitions` VALUES (14248, 9067, 4, 'Guardar Cambios');
INSERT INTO `lang_definitions` VALUES (14249, 9070, 4, 'Guardar Historia de Códigos');
INSERT INTO `lang_definitions` VALUES (14250, 9075, 4, 'Guardar Formulario');
INSERT INTO `lang_definitions` VALUES (14251, 9076, 4, 'Guardar Inmunización');
INSERT INTO `lang_definitions` VALUES (14252, 9078, 4, 'Guardar Nuevo Campo');
INSERT INTO `lang_definitions` VALUES (14253, 9079, 4, 'Guardar Nuevo Grupo');
INSERT INTO `lang_definitions` VALUES (14254, 9080, 4, 'Guardar Nueva Lista');
INSERT INTO `lang_definitions` VALUES (14255, 9081, 4, 'Guardar la nueva plantilla');
INSERT INTO `lang_definitions` VALUES (14256, 9083, 4, 'Guardar Demograficas de Paciente');
INSERT INTO `lang_definitions` VALUES (14257, 9085, 4, 'Guardar Reporte como PDF');
INSERT INTO `lang_definitions` VALUES (14258, 9087, 4, 'Guardar Exitoso para el gráfico identificación');
INSERT INTO `lang_definitions` VALUES (14259, 9089, 4, 'Guardar ITransacción');
INSERT INTO `lang_definitions` VALUES (14260, 9098, 4, 'Escaneados');
INSERT INTO `lang_definitions` VALUES (14261, 9099, 4, 'Nota Escaneada de visita');
INSERT INTO `lang_definitions` VALUES (14262, 9100, 4, 'Directorio del escáner');
INSERT INTO `lang_definitions` VALUES (14263, 9101, 4, 'Escáner En');
INSERT INTO `lang_definitions` VALUES (14264, 9104, 4, 'Horario');
INSERT INTO `lang_definitions` VALUES (14265, 9106, 4, 'Calendario de Centros');
INSERT INTO `lang_definitions` VALUES (14266, 9117, 4, 'Nota Escolar');
INSERT INTO `lang_definitions` VALUES (14267, 9122, 4, 'Escoliosis');
INSERT INTO `lang_definitions` VALUES (14268, 9133, 4, 'SE');
INSERT INTO `lang_definitions` VALUES (14269, 9134, 4, 'SE Dirección');
INSERT INTO `lang_definitions` VALUES (14270, 9135, 4, 'SE Ciudad');
INSERT INTO `lang_definitions` VALUES (14271, 9136, 4, 'SE Pais');
INSERT INTO `lang_definitions` VALUES (14272, 9137, 4, 'SE Localidad');
INSERT INTO `lang_definitions` VALUES (14273, 9138, 4, 'SE Código Postal');
INSERT INTO `lang_definitions` VALUES (14274, 9139, 4, 'SE Estado');
INSERT INTO `lang_definitions` VALUES (14275, 9140, 4, 'SE Código Postal');
INSERT INTO `lang_definitions` VALUES (14276, 9141, 4, 'Búsqueda');
INSERT INTO `lang_definitions` VALUES (14277, 9143, 4, 'búsqueda');
INSERT INTO `lang_definitions` VALUES (14278, 9144, 4, 'Búsqar Nuevamente');
INSERT INTO `lang_definitions` VALUES (14279, 9145, 4, 'Buscar en todas las columnas');
INSERT INTO `lang_definitions` VALUES (14280, 9147, 4, 'Buscar Cita');
INSERT INTO `lang_definitions` VALUES (14281, 9150, 4, 'Búscar por:');
INSERT INTO `lang_definitions` VALUES (14282, 9152, 4, 'Buscar por');
INSERT INTO `lang_definitions` VALUES (14283, 9156, 4, 'Búscar para:');
INSERT INTO `lang_definitions` VALUES (14284, 9158, 4, 'Buscar en');
INSERT INTO `lang_definitions` VALUES (14285, 9159, 4, 'Buscar en');
INSERT INTO `lang_definitions` VALUES (14286, 9161, 4, 'Buscar o Añadir Paciente');
INSERT INTO `lang_definitions` VALUES (14287, 9164, 4, 'Buscar Pago');
INSERT INTO `lang_definitions` VALUES (14288, 9167, 4, 'Resultados de búsqueda');
INSERT INTO `lang_definitions` VALUES (14289, 9168, 4, 'Resultados de la Búsqueda:');
INSERT INTO `lang_definitions` VALUES (14290, 9169, 4, 'Buscar seleccionados');
INSERT INTO `lang_definitions` VALUES (14291, 9171, 4, 'Cadena buscada no coincide con la lista de la base de datos');
INSERT INTO `lang_definitions` VALUES (14292, 9172, 4, 'Cadena buscada debe tener al menos tres caracteres');
INSERT INTO `lang_definitions` VALUES (14293, 9174, 4, 'Buscar Texto');
INSERT INTO `lang_definitions` VALUES (14294, 9175, 4, 'Búsqueda de eventos');
INSERT INTO `lang_definitions` VALUES (14295, 9178, 4, 'Buscar/añadir');
INSERT INTO `lang_definitions` VALUES (14296, 9179, 4, 'Buscar / Añadir Asegurador');
INSERT INTO `lang_definitions` VALUES (14297, 9181, 4, 'Buscando las citas');
INSERT INTO `lang_definitions` VALUES (14298, 9182, 4, 'Buscando');
INSERT INTO `lang_definitions` VALUES (14299, 9183, 4, 'Cinturón de Seguridad');
INSERT INTO `lang_definitions` VALUES (14300, 9184, 4, 'Uso de cinturón de seguridad');
INSERT INTO `lang_definitions` VALUES (14301, 9185, 4, 'Uso de cinturón de seguridad');
INSERT INTO `lang_definitions` VALUES (14302, 9186, 4, 'Segundo');
INSERT INTO `lang_definitions` VALUES (14303, 9187, 4, 'segundo');
INSERT INTO `lang_definitions` VALUES (14304, 9189, 4, 'Secundaria');
INSERT INTO `lang_definitions` VALUES (14305, 9191, 4, 'Seguro Secundario');
INSERT INTO `lang_definitions` VALUES (14306, 9192, 4, 'Datos de Seguro Secundario');
INSERT INTO `lang_definitions` VALUES (14307, 9193, 4, 'Proveedor de Seguro Secundario');
INSERT INTO `lang_definitions` VALUES (14308, 9194, 4, 'Tipo secundario de Medicare');
INSERT INTO `lang_definitions` VALUES (14309, 9196, 4, 'ID de Sección');
INSERT INTO `lang_definitions` VALUES (14310, 9207, 4, 'Seguridad');
INSERT INTO `lang_definitions` VALUES (14311, 9208, 4, 'Ver Todo');
INSERT INTO `lang_definitions` VALUES (14312, 9210, 4, 'Ver Autorizaciones');
INSERT INTO `lang_definitions` VALUES (14313, 9213, 4, 'Véase el Gráfico de Crecimiento');
INSERT INTO `lang_definitions` VALUES (14314, 9214, 4, 'Ver los mensajes de la última serie de reclamos generados');
INSERT INTO `lang_definitions` VALUES (14315, 9218, 4, 'Visto en');
INSERT INTO `lang_definitions` VALUES (14316, 9222, 4, 'Convulsiones');
INSERT INTO `lang_definitions` VALUES (14317, 9223, 4, 'Seleción');
INSERT INTO `lang_definitions` VALUES (14318, 9224, 4, 'seleccionar');
INSERT INTO `lang_definitions` VALUES (14319, 9225, 4, 'Seleción');
INSERT INTO `lang_definitions` VALUES (14320, 9227, 4, 'Seleccionar un componente');
INSERT INTO `lang_definitions` VALUES (14321, 9228, 4, 'Seleccionar un contexto');
INSERT INTO `lang_definitions` VALUES (14322, 9235, 4, 'Seleccione un intervalo de tiempo');
INSERT INTO `lang_definitions` VALUES (14323, 9236, 4, 'Seleccionar un usuario');
INSERT INTO `lang_definitions` VALUES (14324, 9239, 4, 'Seleccionar Todos');
INSERT INTO `lang_definitions` VALUES (14325, 9248, 4, 'Elegir entradas CAMOS para impresión');
INSERT INTO `lang_definitions` VALUES (14326, 9250, 4, 'Seleccionar una categoría');
INSERT INTO `lang_definitions` VALUES (14327, 9254, 4, 'Seleccionar las casillas correspondientes para borrar');
INSERT INTO `lang_definitions` VALUES (14328, 9256, 4, 'Seleccionar el criterio para eliminar');
INSERT INTO `lang_definitions` VALUES (14329, 9257, 4, 'Seleccionar tabla CSV');
INSERT INTO `lang_definitions` VALUES (14330, 9260, 4, 'Seleccione datos requeridos para De-Identificación');
INSERT INTO `lang_definitions` VALUES (14331, 9261, 4, 'Seleccione datos para incluir en los datos de De-Identificación');
INSERT INTO `lang_definitions` VALUES (14332, 9262, 4, 'Elegir fecha');
INSERT INTO `lang_definitions` VALUES (14333, 9264, 4, 'Seleccione plantilla deseada');
INSERT INTO `lang_definitions` VALUES (14334, 9265, 4, 'Seleccione diagnóstico');
INSERT INTO `lang_definitions` VALUES (14335, 9267, 4, 'Seleccione diagnóstico para pedido de de-identificación');
INSERT INTO `lang_definitions` VALUES (14336, 9271, 4, 'Seleccione Medicamento');
INSERT INTO `lang_definitions` VALUES (14337, 9272, 4, 'Seleccione Medicamentos');
INSERT INTO `lang_definitions` VALUES (14338, 9273, 4, 'Seleccione los medicamentos para la solicitud de de-identificación');
INSERT INTO `lang_definitions` VALUES (14339, 9274, 4, 'Seleccione fichero EDI-271');
INSERT INTO `lang_definitions` VALUES (14340, 9276, 4, 'Elegir campo');
INSERT INTO `lang_definitions` VALUES (14341, 9278, 4, 'Seleccione Sector');
INSERT INTO `lang_definitions` VALUES (14342, 9279, 4, 'Seleccionar para Imprimir');
INSERT INTO `lang_definitions` VALUES (14343, 9285, 4, 'Seleccione vacunas');
INSERT INTO `lang_definitions` VALUES (14344, 9286, 4, 'Seleccione las vacunas para la solicitud anónima');
INSERT INTO `lang_definitions` VALUES (14345, 9287, 4, 'Seleccionar Seguro, escribiendo');
INSERT INTO `lang_definitions` VALUES (14346, 9288, 4, 'Seleccione Incidencia');
INSERT INTO `lang_definitions` VALUES (14347, 9291, 4, 'Seleccionar idioma');
INSERT INTO `lang_definitions` VALUES (14348, 9298, 4, 'Seleccione uno o más códigos de diagnóstico para justificar el servicio');
INSERT INTO `lang_definitions` VALUES (14349, 9299, 4, 'Seleccione uno o más archivos para subir');
INSERT INTO `lang_definitions` VALUES (14350, 9303, 4, 'Seleccione salida');
INSERT INTO `lang_definitions` VALUES (14351, 9305, 4, 'SELECCIONAR PLAN');
INSERT INTO `lang_definitions` VALUES (14352, 9311, 4, 'Seleccione origen del pedido');
INSERT INTO `lang_definitions` VALUES (14353, 9312, 4, 'Selecionar rol');
INSERT INTO `lang_definitions` VALUES (14354, 9314, 4, 'Seleccionar fuente');
INSERT INTO `lang_definitions` VALUES (14355, 9317, 4, 'Seleccionar plantilla');
INSERT INTO `lang_definitions` VALUES (14356, 9321, 4, 'Elija los items de configuración para exportar');
INSERT INTO `lang_definitions` VALUES (14357, 9328, 4, 'Elija el asunto primario responsable por eventos fallidos este dia');
INSERT INTO `lang_definitions` VALUES (14358, 9338, 4, 'Seleccionar usuario');
INSERT INTO `lang_definitions` VALUES (14359, 9340, 4, 'Seleccionar usuarios de la lista desplegable');
INSERT INTO `lang_definitions` VALUES (14360, 9341, 4, 'Seleccionar que idiomas, si los hay, pueden ser elegidos al inicio de sesión. (solo si arriba todos los idiomas permitidos está desactivados)');
INSERT INTO `lang_definitions` VALUES (14361, 9343, 4, 'Seleccione Sí para confirmar la eliminación del grupo');
INSERT INTO `lang_definitions` VALUES (14362, 9349, 4, 'Seleccionado');
INSERT INTO `lang_definitions` VALUES (14363, 9350, 4, 'Visita seleccionada');
INSERT INTO `lang_definitions` VALUES (14364, 9355, 4, 'Seleccionando esto se creará un mensaje que necesita ser procesado por cada receptor individualmente (esto no es una tarea de grupo)');
INSERT INTO `lang_definitions` VALUES (14365, 9357, 4, 'Uno Mismo');
INSERT INTO `lang_definitions` VALUES (14366, 9358, 4, 'Paga del uno mismo');
INSERT INTO `lang_definitions` VALUES (14367, 9360, 4, 'Enviar');
INSERT INTO `lang_definitions` VALUES (14368, 9361, 4, 'Enviar recordatorio con fecha');
INSERT INTO `lang_definitions` VALUES (14369, 9362, 4, 'Enviar un Recordatorio');
INSERT INTO `lang_definitions` VALUES (14370, 9369, 4, 'Envíe en curso');
INSERT INTO `lang_definitions` VALUES (14371, 9372, 4, 'enviar mensaje');
INSERT INTO `lang_definitions` VALUES (14372, 9378, 4, 'Batch de Envío de Recordatorios');
INSERT INTO `lang_definitions` VALUES (14373, 9379, 4, 'Enviar recordatorios a pacientes que lo han solicitado, para cuidado preventivo o seguimiento');
INSERT INTO `lang_definitions` VALUES (14374, 9383, 4, 'Enviar resúmenes con derivaciones');
INSERT INTO `lang_definitions` VALUES (14375, 9384, 4, 'Enviar este file');
INSERT INTO `lang_definitions` VALUES (14376, 9385, 4, 'Enviar este mensaje');
INSERT INTO `lang_definitions` VALUES (14377, 9386, 4, 'Enviar a');
INSERT INTO `lang_definitions` VALUES (14378, 9389, 4, 'Enviar a todos');
INSERT INTO `lang_definitions` VALUES (14379, 9395, 4, 'Remitente');
INSERT INTO `lang_definitions` VALUES (14380, 9396, 4, 'Identificación del Remitente');
INSERT INTO `lang_definitions` VALUES (14381, 9397, 4, 'Remitente ID (ISA06)');
INSERT INTO `lang_definitions` VALUES (14382, 9398, 4, 'Calificador del remitente ID (ISA05)');
INSERT INTO `lang_definitions` VALUES (14383, 9406, 4, 'Enviando a');
INSERT INTO `lang_definitions` VALUES (14384, 9407, 4, 'Sensibilidades');
INSERT INTO `lang_definitions` VALUES (14385, 9411, 4, 'Sensibilidad:');
INSERT INTO `lang_definitions` VALUES (14386, 9412, 4, 'Examen sensorial normal');
INSERT INTO `lang_definitions` VALUES (14387, 9413, 4, 'Enviado');
INSERT INTO `lang_definitions` VALUES (14388, 9414, 4, 'Enviado - confirmado');
INSERT INTO `lang_definitions` VALUES (14389, 9415, 4, 'Enviado por, dejar en blanco para todos');
INSERT INTO `lang_definitions` VALUES (14390, 9416, 4, 'Enviado por:');
INSERT INTO `lang_definitions` VALUES (14391, 9417, 4, 'Fecha de envio');
INSERT INTO `lang_definitions` VALUES (14392, 9418, 4, 'Incidencias Enviadas');
INSERT INTO `lang_definitions` VALUES (14393, 9419, 4, '¿Enviar Registros Médicos?');
INSERT INTO `lang_definitions` VALUES (14394, 9420, 4, 'Enviado con éxito');
INSERT INTO `lang_definitions` VALUES (14395, 9422, 4, 'Enviado resumen de cuidados?');
INSERT INTO `lang_definitions` VALUES (14396, 9423, 4, 'Enviado a Impresora');
INSERT INTO `lang_definitions` VALUES (14397, 9424, 4, 'Enviado a, dejar en blanco para todos');
INSERT INTO `lang_definitions` VALUES (14398, 9425, 4, 'Enviado a:');
INSERT INTO `lang_definitions` VALUES (14399, 9429, 4, 'Sep');
INSERT INTO `lang_definitions` VALUES (14400, 9430, 4, 'Separado');
INSERT INTO `lang_definitions` VALUES (14401, 9431, 4, 'Septiembre');
INSERT INTO `lang_definitions` VALUES (14402, 9433, 4, 'Secuencia');
INSERT INTO `lang_definitions` VALUES (14403, 9442, 4, 'Servicio');
INSERT INTO `lang_definitions` VALUES (14404, 9444, 4, 'Categoría de Servicio');
INSERT INTO `lang_definitions` VALUES (14405, 9445, 4, 'Código Servicio');
INSERT INTO `lang_definitions` VALUES (14406, 9446, 4, 'Informe de códigos de servicio Financiero');
INSERT INTO `lang_definitions` VALUES (14407, 9447, 4, 'Códigos Servicio');
INSERT INTO `lang_definitions` VALUES (14408, 9448, 4, 'Fecha de Servicio');
INSERT INTO `lang_definitions` VALUES (14409, 9451, 4, 'Fecha de Servicio:');
INSERT INTO `lang_definitions` VALUES (14410, 9453, 4, 'Sede de servicio');
INSERT INTO `lang_definitions` VALUES (14411, 9455, 4, 'Centro de servicio');
INSERT INTO `lang_definitions` VALUES (14412, 9456, 4, 'Nombre de servicio');
INSERT INTO `lang_definitions` VALUES (14413, 9457, 4, 'Servicio prestado por el especialista');
INSERT INTO `lang_definitions` VALUES (14414, 9459, 4, 'Informe de servicio');
INSERT INTO `lang_definitions` VALUES (14415, 9460, 4, 'Sólo inf. de serv.');
INSERT INTO `lang_definitions` VALUES (14416, 9461, 4, 'Servicios');
INSERT INTO `lang_definitions` VALUES (14417, 9462, 4, 'Servicios por Categoría');
INSERT INTO `lang_definitions` VALUES (14418, 9463, 4, 'Servicios proporcionados');
INSERT INTO `lang_definitions` VALUES (14419, 9464, 4, 'Servicios prestados');
INSERT INTO `lang_definitions` VALUES (14420, 9465, 4, 'Servicios/Productos');
INSERT INTO `lang_definitions` VALUES (14421, 9466, 4, 'Tipo Sesión');
INSERT INTO `lang_definitions` VALUES (14422, 9467, 4, 'Set');
INSERT INTO `lang_definitions` VALUES (14423, 9468, 4, 'Habilitar cookie para recordar el centro seleccionado entre sesiones.');
INSERT INTO `lang_definitions` VALUES (14424, 9469, 4, 'Definir como terminado');
INSERT INTO `lang_definitions` VALUES (14425, 9478, 4, 'Asignar esto para la ruta absoluta. Para crear certificados clientes SSL para HTTPPS.');
INSERT INTO `lang_definitions` VALUES (14426, 9479, 4, 'Ajustar a');
INSERT INTO `lang_definitions` VALUES (14427, 9480, 4, 'Ajustar por defecto');
INSERT INTO `lang_definitions` VALUES (14428, 9486, 4, 'Ajustar el número de versión en la base de datos...');
INSERT INTO `lang_definitions` VALUES (14429, 9488, 4, 'Ajustes');
INSERT INTO `lang_definitions` VALUES (14430, 9492, 4, 'Severo');
INSERT INTO `lang_definitions` VALUES (14431, 9493, 4, 'Migraña Grave');
INSERT INTO `lang_definitions` VALUES (14432, 9494, 4, 'Gravedad');
INSERT INTO `lang_definitions` VALUES (14433, 9496, 4, 'Severidad del dolor');
INSERT INTO `lang_definitions` VALUES (14434, 9497, 4, 'Severidad del dolor');
INSERT INTO `lang_definitions` VALUES (14435, 9498, 4, 'Sexo');
INSERT INTO `lang_definitions` VALUES (14436, 9499, 4, 'Enfermedades de Transmisión Sexual');
INSERT INTO `lang_definitions` VALUES (14437, 9503, 4, 'Conpartir');
INSERT INTO `lang_definitions` VALUES (14438, 9504, 4, 'Intérprete de comandos para imprimir desde el servidor');
INSERT INTO `lang_definitions` VALUES (14439, 9507, 4, 'Descripción breve');
INSERT INTO `lang_definitions` VALUES (14440, 9510, 4, 'Falta de aire al respirar');
INSERT INTO `lang_definitions` VALUES (14441, 9511, 4, 'Falta de Aliento');
INSERT INTO `lang_definitions` VALUES (14442, 9512, 4, 'Falta de Aliento 2');
INSERT INTO `lang_definitions` VALUES (14443, 9513, 4, 'Registro de Tiro');
INSERT INTO `lang_definitions` VALUES (14444, 9514, 4, 'Fecha de Expediente de Tiro:');
INSERT INTO `lang_definitions` VALUES (14445, 9515, 4, 'Debería habilitarse');
INSERT INTO `lang_definitions` VALUES (14446, 9516, 4, 'debe ser como nnnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (14447, 9517, 4, 'Deben ser dos letras');
INSERT INTO `lang_definitions` VALUES (14448, 9518, 4, 'Debe contener 10 dígitos');
INSERT INTO `lang_definitions` VALUES (14449, 9519, 4, 'Debe contener sólo 10 dígitos');
INSERT INTO `lang_definitions` VALUES (14450, 9520, 4, 'Hombro');
INSERT INTO `lang_definitions` VALUES (14451, 9521, 4, 'Hombro + Clavicula');
INSERT INTO `lang_definitions` VALUES (14452, 9522, 4, 'Prob. de Hombro');
INSERT INTO `lang_definitions` VALUES (14453, 9523, 4, 'Presente');
INSERT INTO `lang_definitions` VALUES (14454, 9524, 4, 'Mostrar Activo');
INSERT INTO `lang_definitions` VALUES (14455, 9527, 4, 'Mostrar Act+Inact');
INSERT INTO `lang_definitions` VALUES (14456, 9529, 4, 'Mostrar todos los procedimientos');
INSERT INTO `lang_definitions` VALUES (14457, 9531, 4, 'Mostrar Todas las Transacciones');
INSERT INTO `lang_definitions` VALUES (14458, 9532, 4, 'Ocupado');
INSERT INTO `lang_definitions` VALUES (14459, 9533, 4, 'Mostrar Sólo Autorizado');
INSERT INTO `lang_definitions` VALUES (14460, 9534, 4, 'Mostrar Horas Disponibles');
INSERT INTO `lang_definitions` VALUES (14461, 9535, 4, 'Mostrar ambos US y métrica (unidad principal es métrica)');
INSERT INTO `lang_definitions` VALUES (14462, 9536, 4, 'Mostrar ambos US y métrica (unidad principal es US)');
INSERT INTO `lang_definitions` VALUES (14463, 9540, 4, 'Mostrar Detalles');
INSERT INTO `lang_definitions` VALUES (14464, 9544, 4, 'Mostrar Gráfico');
INSERT INTO `lang_definitions` VALUES (14465, 9546, 4, '¿Demuestre el texto de cernido del acontecimiento en mouseover?');
INSERT INTO `lang_definitions` VALUES (14466, 9547, 4, 'Mostrar el número de eventos en las páginas de administrador?');
INSERT INTO `lang_definitions` VALUES (14467, 9548, 4, 'Mostrar Inactivo');
INSERT INTO `lang_definitions` VALUES (14468, 9552, 4, 'Mostrar Menú');
INSERT INTO `lang_definitions` VALUES (14469, 9553, 4, 'Mostrar sólo métrica');
INSERT INTO `lang_definitions` VALUES (14470, 9556, 4, 'Cuantos eventos mostrar en paginas de admin');
INSERT INTO `lang_definitions` VALUES (14471, 9561, 4, 'Mostrar notas de pacientes');
INSERT INTO `lang_definitions` VALUES (14472, 9562, 4, 'Mostrar  libras y onzas');
INSERT INTO `lang_definitions` VALUES (14473, 9563, 4, 'Mostrar libras como valor decimal');
INSERT INTO `lang_definitions` VALUES (14474, 9564, 4, 'Mostrar primario completo');
INSERT INTO `lang_definitions` VALUES (14475, 9568, 4, 'Mostrar recordatorios');
INSERT INTO `lang_definitions` VALUES (14476, 9569, 4, 'Mostrar Informe');
INSERT INTO `lang_definitions` VALUES (14477, 9570, 4, 'Mostrar búsqueda y presentar los enlaces en el bloque?');
INSERT INTO `lang_definitions` VALUES (14478, 9574, 4, 'Mostrar el formulario de estado personalizado para agregar a lista de widget (preguntará por el título y la abreviatura).');
INSERT INTO `lang_definitions` VALUES (14479, 9579, 4, 'Mostrar historial');
INSERT INTO `lang_definitions` VALUES (14480, 9580, 4, 'Mostrar sólo no facturados');
INSERT INTO `lang_definitions` VALUES (14481, 9581, 4, 'Mostrar solo USA');
INSERT INTO `lang_definitions` VALUES (14482, 9585, 4, 'Mostrando');
INSERT INTO `lang_definitions` VALUES (14483, 9589, 4, 'Mostrando resultado');
INSERT INTO `lang_definitions` VALUES (14484, 9592, 4, 'Hermano');
INSERT INTO `lang_definitions` VALUES (14485, 9593, 4, 'Historia hermanos');
INSERT INTO `lang_definitions` VALUES (14486, 9594, 4, 'Hermano político');
INSERT INTO `lang_definitions` VALUES (14487, 9595, 4, 'Hermanos');
INSERT INTO `lang_definitions` VALUES (14488, 9596, 4, 'Célula de hoz (falciforme)');
INSERT INTO `lang_definitions` VALUES (14489, 9597, 4, 'Sig');
INSERT INTO `lang_definitions` VALUES (14490, 9598, 4, 'Sigmoide/Colonoscopia');
INSERT INTO `lang_definitions` VALUES (14491, 9601, 4, 'Firma resultados laboratorio (escribir, opcional sólo añadir)');
INSERT INTO `lang_definitions` VALUES (14492, 9603, 4, 'Firmar Resultados');
INSERT INTO `lang_definitions` VALUES (14493, 9606, 4, 'Firma');
INSERT INTO `lang_definitions` VALUES (14494, 9609, 4, 'Firma:');
INSERT INTO `lang_definitions` VALUES (14495, 9612, 4, 'Receta firmada');
INSERT INTO `lang_definitions` VALUES (14496, 9613, 4, 'Pareja');
INSERT INTO `lang_definitions` VALUES (14497, 9614, 4, 'Hinchazón Significativa:');
INSERT INTO `lang_definitions` VALUES (14498, 9615, 4, 'Simplificado');
INSERT INTO `lang_definitions` VALUES (14499, 9616, 4, 'Co-Pago Simplificado');
INSERT INTO `lang_definitions` VALUES (14500, 9617, 4, 'Demográficos Simplificados');
INSERT INTO `lang_definitions` VALUES (14501, 9618, 4, 'Prescripciones Simplificadas');
INSERT INTO `lang_definitions` VALUES (14502, 9619, 4, 'Desde');
INSERT INTO `lang_definitions` VALUES (14503, 9620, 4, 'Sinceramente,');
INSERT INTO `lang_definitions` VALUES (14504, 9622, 4, 'Soltero');
INSERT INTO `lang_definitions` VALUES (14505, 9624, 4, 'Lista selección única');
INSERT INTO `lang_definitions` VALUES (14506, 9625, 4, 'Lista de selección única con posibilidad de añadir a la lista');
INSERT INTO `lang_definitions` VALUES (14507, 9629, 4, 'Problemas del Seno');
INSERT INTO `lang_definitions` VALUES (14508, 9630, 4, 'Cirugía de Seno');
INSERT INTO `lang_definitions` VALUES (14509, 9631, 4, 'SENSIBILIDAD DE SENO:');
INSERT INTO `lang_definitions` VALUES (14510, 9632, 4, 'Sinusitis');
INSERT INTO `lang_definitions` VALUES (14511, 9637, 4, 'Nº Identificación');
INSERT INTO `lang_definitions` VALUES (14512, 9639, 4, 'Nº Identificación para soporte OpenEMR del Servicio Intercambio Laboratorio LLC.');
INSERT INTO `lang_definitions` VALUES (14513, 9643, 4, 'Tamaño');
INSERT INTO `lang_definitions` VALUES (14514, 9646, 4, 'El tamaño debe ser un número entre 1 y 999');
INSERT INTO `lang_definitions` VALUES (14515, 9648, 4, 'Tamaño/Lista');
INSERT INTO `lang_definitions` VALUES (14516, 9650, 4, 'Piel');
INSERT INTO `lang_definitions` VALUES (14517, 9651, 4, 'Cáncer de Piel');
INSERT INTO `lang_definitions` VALUES (14518, 9652, 4, 'Enfermedad de Piel');
INSERT INTO `lang_definitions` VALUES (14519, 9653, 4, 'Otra Piel');
INSERT INTO `lang_definitions` VALUES (14520, 9654, 4, 'Saltar autorización de Notas de paciente');
INSERT INTO `lang_definitions` VALUES (14521, 9659, 4, 'Saltar sección');
INSERT INTO `lang_definitions` VALUES (14522, 9660, 4, 'Saltarse SQL-Ledger dump - no se han aplicado para el servidor de Windows');
INSERT INTO `lang_definitions` VALUES (14523, 9664, 4, 'Patrones de Sueño');
INSERT INTO `lang_definitions` VALUES (14524, 9665, 4, 'Patrones de Sueño');
INSERT INTO `lang_definitions` VALUES (14525, 9666, 4, 'Durmiendo');
INSERT INTO `lang_definitions` VALUES (14526, 9668, 4, 'Eslovaco');
INSERT INTO `lang_definitions` VALUES (14527, 9670, 4, 'La deuda de SM sin');
INSERT INTO `lang_definitions` VALUES (14528, 9675, 4, 'Smarty caché ha sido borrada');
INSERT INTO `lang_definitions` VALUES (14529, 9676, 4, 'Fumador, estado actual desconocido');
INSERT INTO `lang_definitions` VALUES (14530, 9678, 4, 'Tabaquismo');
INSERT INTO `lang_definitions` VALUES (14531, 9680, 4, 'SMS Autorización');
INSERT INTO `lang_definitions` VALUES (14532, 9683, 4, 'Puerta de enlace SMS');
INSERT INTO `lang_definitions` VALUES (14533, 9684, 4, 'Clave API puerta enlace SMS');
INSERT INTO `lang_definitions` VALUES (14534, 9685, 4, 'Clave API puerta enlace SMS');
INSERT INTO `lang_definitions` VALUES (14535, 9686, 4, 'Contraseña puerta de enlace SMS');
INSERT INTO `lang_definitions` VALUES (14536, 9687, 4, 'Usuario puerta de enlace SMS');
INSERT INTO `lang_definitions` VALUES (14537, 9689, 4, 'Notificación de SMS');
INSERT INTO `lang_definitions` VALUES (14538, 9690, 4, 'Horario Notificación SMS');
INSERT INTO `lang_definitions` VALUES (14539, 9693, 4, 'SMS antes enviado');
INSERT INTO `lang_definitions` VALUES (14540, 9694, 4, 'SMS Enviado');
INSERT INTO `lang_definitions` VALUES (14541, 9697, 4, 'SMS de texto, Etiqueta Utilizable: ***NOMBRE *** *** PROVEEDOR, *** *** FECHA *** *** HORA DE COMIENZO*** , *** HORA DE SALIDA *** *** <br> i.e. Estimado ***NOMBRE ***');
INSERT INTO `lang_definitions` VALUES (14542, 9701, 4, 'SMS/CORREO ELECTRONICO Ajustes Alerta');
INSERT INTO `lang_definitions` VALUES (14543, 9703, 4, 'Contraseña para Autenticación SMTP');
INSERT INTO `lang_definitions` VALUES (14544, 9704, 4, 'Protocolo de Seguridad de SMTP');
INSERT INTO `lang_definitions` VALUES (14545, 9705, 4, 'Protocolo de Seguridad de SMTP para la conexión. Algunos servidores como gmail lo requieren');
INSERT INTO `lang_definitions` VALUES (14546, 9706, 4, 'SMTP Nombre servidor Host');
INSERT INTO `lang_definitions` VALUES (14547, 9707, 4, 'SMTP Puerto servidor');
INSERT INTO `lang_definitions` VALUES (14548, 9708, 4, 'SMTP Usuario para Autenticación');
INSERT INTO `lang_definitions` VALUES (14549, 9709, 4, 'SNOMED');
INSERT INTO `lang_definitions` VALUES (14550, 9711, 4, 'Diagnóstico SNOMED (RF1)');
INSERT INTO `lang_definitions` VALUES (14551, 9714, 4, 'Diagnóstico SNOMED (RF2)');
INSERT INTO `lang_definitions` VALUES (14552, 9717, 4, 'Base de datos SNOMED');
INSERT INTO `lang_definitions` VALUES (14553, 9718, 4, 'Diagnóstico SNOMED');
INSERT INTO `lang_definitions` VALUES (14554, 9721, 4, 'Ronquidos');
INSERT INTO `lang_definitions` VALUES (14555, 9722, 4, 'SOEP');
INSERT INTO `lang_definitions` VALUES (14556, 9726, 4, 'Dificultades Sociales');
INSERT INTO `lang_definitions` VALUES (14557, 9729, 4, 'Historia');
INSERT INTO `lang_definitions` VALUES (14558, 9730, 4, 'Número de Seguridad Social');
INSERT INTO `lang_definitions` VALUES (14559, 9732, 4, 'solución');
INSERT INTO `lang_definitions` VALUES (14560, 9734, 4, 'Contexto Somático');
INSERT INTO `lang_definitions` VALUES (14561, 9735, 4, 'Algunas autorizaciones no fueron exhibidas. Clic aquí para ver todas');
INSERT INTO `lang_definitions` VALUES (14562, 9736, 4, 'Algunos códigos no fueron exhibidos.');
INSERT INTO `lang_definitions` VALUES (14563, 9737, 4, 'Algunas visitas no fueron mostradas. Click aquí para ver todas.');
INSERT INTO `lang_definitions` VALUES (14564, 9738, 4, 'Se han producido algunos errores en el proceso de De Identificación');
INSERT INTO `lang_definitions` VALUES (14565, 9740, 4, 'Algunas notas no fueron mostradas.');
INSERT INTO `lang_definitions` VALUES (14566, 9741, 4, 'Algunas notas de oficina no se muestran. Pulsar acá para verlas');
INSERT INTO `lang_definitions` VALUES (14567, 9743, 4, 'algunas palabras');
INSERT INTO `lang_definitions` VALUES (14568, 9747, 4, 'Algo salió mal. Por favor inténtelo de nuevo.');
INSERT INTO `lang_definitions` VALUES (14569, 9748, 4, 'Intervalo para Vencimiento Próximo (Recordatorios clínicos)');
INSERT INTO `lang_definitions` VALUES (14570, 9749, 4, 'Intervalo vencimiento próximo (Recordatorios paciente)');
INSERT INTO `lang_definitions` VALUES (14571, 9750, 4, 'Dolor de Garganta');
INSERT INTO `lang_definitions` VALUES (14572, 9751, 4, 'Lo siento no se ha fijado una cita');
INSERT INTO `lang_definitions` VALUES (14573, 9754, 4, 'Lo sentimos, hubo un problema subiendo su fichero');
INSERT INTO `lang_definitions` VALUES (14574, 9758, 4, 'Organizado por');
INSERT INTO `lang_definitions` VALUES (14575, 9759, 4, 'Orden por');
INSERT INTO `lang_definitions` VALUES (14576, 9761, 4, 'Organizar por checksum');
INSERT INTO `lang_definitions` VALUES (14577, 9762, 4, 'Ordenar por Comentarios');
INSERT INTO `lang_definitions` VALUES (14578, 9763, 4, 'Ordenar por usuario de Crt');
INSERT INTO `lang_definitions` VALUES (14579, 9764, 4, 'Ordenar por fecha');
INSERT INTO `lang_definitions` VALUES (14580, 9765, 4, 'Ordenar por fecha / hora');
INSERT INTO `lang_definitions` VALUES (14581, 9766, 4, 'Ordenar por Evento');
INSERT INTO `lang_definitions` VALUES (14582, 9767, 4, 'Ordenar por Grupo');
INSERT INTO `lang_definitions` VALUES (14583, 9770, 4, 'Ordenar por pacienteID');
INSERT INTO `lang_definitions` VALUES (14584, 9772, 4, 'ordenar por exito');
INSERT INTO `lang_definitions` VALUES (14585, 9774, 4, 'Ordenar por Usuario');
INSERT INTO `lang_definitions` VALUES (14586, 9775, 4, 'Ordenar por vacuna');
INSERT INTO `lang_definitions` VALUES (14587, 9776, 4, 'Orden descendente');
INSERT INTO `lang_definitions` VALUES (14588, 9777, 4, 'Ordenar resultado por');
INSERT INTO `lang_definitions` VALUES (14589, 9778, 4, 'Orden ascendente');
INSERT INTO `lang_definitions` VALUES (14590, 9779, 4, 'Fuente');
INSERT INTO `lang_definitions` VALUES (14591, 9781, 4, 'Fichero fuente');
INSERT INTO `lang_definitions` VALUES (14592, 9782, 4, 'Ruta fichero fuente');
INSERT INTO `lang_definitions` VALUES (14593, 9783, 4, 'Fuente falta de código');
INSERT INTO `lang_definitions` VALUES (14594, 9784, 4, 'Lote de fuente');
INSERT INTO `lang_definitions` VALUES (14595, 9789, 4, 'Fuente:');
INSERT INTO `lang_definitions` VALUES (14596, 9792, 4, 'Espacio');
INSERT INTO `lang_definitions` VALUES (14597, 9793, 4, 'ESPACIO');
INSERT INTO `lang_definitions` VALUES (14598, 9795, 4, 'Español');
INSERT INTO `lang_definitions` VALUES (14599, 9796, 4, 'Español (Latín América)');
INSERT INTO `lang_definitions` VALUES (14600, 9797, 4, 'Español (España)');
INSERT INTO `lang_definitions` VALUES (14601, 9801, 4, 'Especialista');
INSERT INTO `lang_definitions` VALUES (14602, 9802, 4, 'Nombre y firma del especialista');
INSERT INTO `lang_definitions` VALUES (14603, 9804, 4, 'Especialidad');
INSERT INTO `lang_definitions` VALUES (14604, 9805, 4, 'Sistemas de la especialidad');
INSERT INTO `lang_definitions` VALUES (14605, 9806, 4, 'Especialidad:');
INSERT INTO `lang_definitions` VALUES (14606, 9807, 4, 'Específico');
INSERT INTO `lang_definitions` VALUES (14607, 9808, 4, 'Aplicación específica');
INSERT INTO `lang_definitions` VALUES (14608, 9809, 4, 'Servicio específico anticonceptivo');
INSERT INTO `lang_definitions` VALUES (14609, 9810, 4, 'Resultado especifico');
INSERT INTO `lang_definitions` VALUES (14610, 9811, 4, 'Servicio Específico');
INSERT INTO `lang_definitions` VALUES (14611, 9812, 4, 'Especificado');
INSERT INTO `lang_definitions` VALUES (14612, 9813, 4, 'Formato específico para códigos.#=dígito, *=cualquier caracter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (14613, 9814, 4, 'Formato específico para códigos.#=dígito, @=alfabético, *=cualquier caracter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (14614, 9815, 4, 'Formato específico para número de referencia de facturas.#=dígito, *=cualquier caracter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (14615, 9816, 4, 'Formato específico para número de referencia de facturas.#=dígito, @=alfabético, *=cualquier caracter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (14616, 9817, 4, 'Formato producto campos NCD. #=dígito, *=cualquier carácter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (14617, 9818, 4, 'Formato producto campos NCD. #=dígito, @=alfabético, *=cualquier carácter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (14618, 9819, 4, 'Formato ID paciente externo.#=dígito,*=cualquier carácter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (14619, 9820, 4, 'Formato ID paciente externo.#=dígito, @=Alfabético, *=cualquier carácter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (14620, 9823, 4, 'Especimen');
INSERT INTO `lang_definitions` VALUES (14621, 9824, 4, 'Especimen numero/Identificador');
INSERT INTO `lang_definitions` VALUES (14622, 9825, 4, 'Tipo de especimen');
INSERT INTO `lang_definitions` VALUES (14623, 9827, 4, 'Dictado');
INSERT INTO `lang_definitions` VALUES (14624, 9828, 4, 'Espermicidas');
INSERT INTO `lang_definitions` VALUES (14625, 9831, 4, 'Esplenectomía');
INSERT INTO `lang_definitions` VALUES (14626, 9832, 4, 'Esposa');
INSERT INTO `lang_definitions` VALUES (14627, 9834, 4, 'Esputo');
INSERT INTO `lang_definitions` VALUES (14628, 9835, 4, 'Esputo:');
INSERT INTO `lang_definitions` VALUES (14629, 9836, 4, 'SQ');
INSERT INTO `lang_definitions` VALUES (14630, 9838, 4, 'SQL-libro Mayor');
INSERT INTO `lang_definitions` VALUES (14631, 9839, 4, 'Equipo');
INSERT INTO `lang_definitions` VALUES (14632, 9840, 4, 'Miembro de Equipo');
INSERT INTO `lang_definitions` VALUES (14633, 9841, 4, 'Equipos');
INSERT INTO `lang_definitions` VALUES (14634, 9843, 4, 'SRH');
INSERT INTO `lang_definitions` VALUES (14635, 9844, 4, 'SRH - Planificación de la Familia');
INSERT INTO `lang_definitions` VALUES (14636, 9845, 4, 'SRH no de Planificación de la Familia');
INSERT INTO `lang_definitions` VALUES (14637, 9846, 4, 'SRH Referencias');
INSERT INTO `lang_definitions` VALUES (14638, 9847, 4, 'formulario de la visita del SRH');
INSERT INTO `lang_definitions` VALUES (14639, 9848, 4, 'Fecha servicio');
INSERT INTO `lang_definitions` VALUES (14640, 9849, 4, 'SS');
INSERT INTO `lang_definitions` VALUES (14641, 9850, 4, 'Certificado de Administracion SSL');
INSERT INTO `lang_definitions` VALUES (14642, 9851, 4, 'Nº SS');
INSERT INTO `lang_definitions` VALUES (14643, 9852, 4, 'comienzo');
INSERT INTO `lang_definitions` VALUES (14644, 9854, 4, 'Versiones preparadas');
INSERT INTO `lang_definitions` VALUES (14645, 9855, 4, 'Estándar');
INSERT INTO `lang_definitions` VALUES (14646, 9857, 4, 'Codigo usual');
INSERT INTO `lang_definitions` VALUES (14647, 9860, 4, 'Medidas estándar');
INSERT INTO `lang_definitions` VALUES (14648, 9864, 4, 'Nombre estándar');
INSERT INTO `lang_definitions` VALUES (14649, 9866, 4, 'Comienzo');
INSERT INTO `lang_definitions` VALUES (14650, 9867, 4, 'Comienzo (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (14651, 9868, 4, 'Iniciar otro informe');
INSERT INTO `lang_definitions` VALUES (14652, 9870, 4, 'Inicio proceso de tanda');
INSERT INTO `lang_definitions` VALUES (14653, 9874, 4, 'Fecha de Comienzo:');
INSERT INTO `lang_definitions` VALUES (14654, 9876, 4, 'Fecha de inicio en esta clínica');
INSERT INTO `lang_definitions` VALUES (14655, 9877, 4, 'Fecha de inicio no debe ser mayor que la fecha final');
INSERT INTO `lang_definitions` VALUES (14656, 9878, 4, 'Fecha de comienzo:');
INSERT INTO `lang_definitions` VALUES (14657, 9879, 4, 'Fecha de Comienzo:');
INSERT INTO `lang_definitions` VALUES (14658, 9881, 4, 'Hora de Comienzo');
INSERT INTO `lang_definitions` VALUES (14659, 9884, 4, 'Fecha de comienzo');
INSERT INTO `lang_definitions` VALUES (14660, 9888, 4, 'Estado');
INSERT INTO `lang_definitions` VALUES (14661, 9889, 4, 'Estado');
INSERT INTO `lang_definitions` VALUES (14662, 9890, 4, 'Tipo de datos estado');
INSERT INTO `lang_definitions` VALUES (14663, 9891, 4, 'Nro. licencia estatal');
INSERT INTO `lang_definitions` VALUES (14664, 9892, 4, 'Nro. licencia estatal');
INSERT INTO `lang_definitions` VALUES (14665, 9893, 4, 'Lista estados');
INSERT INTO `lang_definitions` VALUES (14666, 9894, 4, 'Lista de estados (escriba, sólo añadir opcional)');
INSERT INTO `lang_definitions` VALUES (14667, 9896, 4, 'Lista de estados de los campos Widget personalizados');
INSERT INTO `lang_definitions` VALUES (14668, 9897, 4, 'Estado o Provincia');
INSERT INTO `lang_definitions` VALUES (14669, 9898, 4, 'Estado/lugar');
INSERT INTO `lang_definitions` VALUES (14670, 9899, 4, 'Estado/Parroquia');
INSERT INTO `lang_definitions` VALUES (14671, 9903, 4, 'RESUMEN SUMARIO');
INSERT INTO `lang_definitions` VALUES (14672, 9904, 4, 'extractos y facturas de actualización.');
INSERT INTO `lang_definitions` VALUES (14673, 9906, 4, 'Declaraciones enviadas:n');
INSERT INTO `lang_definitions` VALUES (14674, 9907, 4, 'extractos, facturas no seran actualizadas');
INSERT INTO `lang_definitions` VALUES (14675, 9908, 4, 'Texto estático');
INSERT INTO `lang_definitions` VALUES (14676, 9909, 4, 'Estadísticas');
INSERT INTO `lang_definitions` VALUES (14677, 9910, 4, 'Estados');
INSERT INTO `lang_definitions` VALUES (14678, 9911, 4, 'Estado');
INSERT INTO `lang_definitions` VALUES (14679, 9916, 4, 'Estable');
INSERT INTO `lang_definitions` VALUES (14680, 9918, 4, 'Asesoramiento de ETS/SIDA');
INSERT INTO `lang_definitions` VALUES (14681, 9919, 4, 'Fuerza y Acondicionamiento');
INSERT INTO `lang_definitions` VALUES (14682, 9920, 4, 'Hijastro');
INSERT INTO `lang_definitions` VALUES (14683, 9921, 4, 'Padrastro');
INSERT INTO `lang_definitions` VALUES (14684, 9923, 4, 'Hijastro');
INSERT INTO `lang_definitions` VALUES (14685, 9925, 4, 'Pasos para instalar la bbdd DSM IV');
INSERT INTO `lang_definitions` VALUES (14686, 9926, 4, 'Pasos para instalar la bbdd ICD 10');
INSERT INTO `lang_definitions` VALUES (14687, 9927, 4, 'Pasos para instalar la bbdd ICD 9');
INSERT INTO `lang_definitions` VALUES (14688, 9928, 4, 'Pasos para instalar la bbdd RxNorm');
INSERT INTO `lang_definitions` VALUES (14689, 9929, 4, 'Pasos para instalar la bbdd Snomed');
INSERT INTO `lang_definitions` VALUES (14690, 9932, 4, 'Coyunturas Tiesas');
INSERT INTO `lang_definitions` VALUES (14691, 9933, 4, 'Tiesura');
INSERT INTO `lang_definitions` VALUES (14692, 9935, 4, 'Meses de Reservas');
INSERT INTO `lang_definitions` VALUES (14693, 9936, 4, 'Dolores de Estómago');
INSERT INTO `lang_definitions` VALUES (14694, 9937, 4, 'Parar');
INSERT INTO `lang_definitions` VALUES (14695, 9942, 4, 'Hash almacenado');
INSERT INTO `lang_definitions` VALUES (14696, 9944, 4, 'Tensión del músculo');
INSERT INTO `lang_definitions` VALUES (14697, 9946, 4, 'Corriente');
INSERT INTO `lang_definitions` VALUES (14698, 9947, 4, 'Calle');
INSERT INTO `lang_definitions` VALUES (14699, 9948, 4, 'Calle de direccion');
INSERT INTO `lang_definitions` VALUES (14700, 9949, 4, 'Calle y Número');
INSERT INTO `lang_definitions` VALUES (14701, 9950, 4, 'Fuerza');
INSERT INTO `lang_definitions` VALUES (14702, 9952, 4, 'Estrep Garganta');
INSERT INTO `lang_definitions` VALUES (14703, 9953, 4, 'Fractura de Estrés');
INSERT INTO `lang_definitions` VALUES (14704, 9954, 4, 'Prueba de Estrés');
INSERT INTO `lang_definitions` VALUES (14705, 9956, 4, 'Derrame Cerebral');
INSERT INTO `lang_definitions` VALUES (14706, 9958, 4, 'Contraseña segura significa al menos 8 caracteres, y que al menos tres sean: un número, una minúscula, una mayúscula, un carácter especial.');
INSERT INTO `lang_definitions` VALUES (14707, 9961, 4, 'Estilo del formulario usado para añadir nuevos pacientes');
INSERT INTO `lang_definitions` VALUES (14708, 9965, 4, 'Sub-categoría');
INSERT INTO `lang_definitions` VALUES (14709, 9966, 4, 'Sub-Total');
INSERT INTO `lang_definitions` VALUES (14710, 9967, 4, 'Subcategoria');
INSERT INTO `lang_definitions` VALUES (14711, 9968, 4, 'subcategoria');
INSERT INTO `lang_definitions` VALUES (14712, 9969, 4, 'Subcutáneo');
INSERT INTO `lang_definitions` VALUES (14713, 9970, 4, 'Asunto');
INSERT INTO `lang_definitions` VALUES (14714, 9971, 4, 'Subjetivo');
INSERT INTO `lang_definitions` VALUES (14715, 9972, 4, 'Sublingual');
INSERT INTO `lang_definitions` VALUES (14716, 9973, 4, 'sublingual');
INSERT INTO `lang_definitions` VALUES (14717, 9974, 4, 'Enviar');
INSERT INTO `lang_definitions` VALUES (14718, 9975, 4, 'Enviar');
INSERT INTO `lang_definitions` VALUES (14719, 9976, 4, 'Enviar todo el contenido');
INSERT INTO `lang_definitions` VALUES (14720, 9977, 4, 'Enviar y borrar pedido');
INSERT INTO `lang_definitions` VALUES (14721, 9978, 4, 'Enviar cambios para todos los encuentros a la vez');
INSERT INTO `lang_definitions` VALUES (14722, 9979, 4, 'Enviar Evento');
INSERT INTO `lang_definitions` VALUES (14723, 9980, 4, 'Enviar Formulario');
INSERT INTO `lang_definitions` VALUES (14724, 9981, 4, 'Enviar pago para autorización');
INSERT INTO `lang_definitions` VALUES (14725, 9982, 4, 'Enviar contenido elegido');
INSERT INTO `lang_definitions` VALUES (14726, 9983, 4, 'Enviado');
INSERT INTO `lang_definitions` VALUES (14727, 9984, 4, 'Enviado');
INSERT INTO `lang_definitions` VALUES (14728, 9985, 4, 'Sometido por');
INSERT INTO `lang_definitions` VALUES (14729, 9986, 4, 'Numero de acceso EDI del Enviador (PER06)');
INSERT INTO `lang_definitions` VALUES (14730, 9987, 4, 'Suscriptor');
INSERT INTO `lang_definitions` VALUES (14731, 9988, 4, 'Dirección del Suscriptor');
INSERT INTO `lang_definitions` VALUES (14732, 9992, 4, 'empleador suscriptor');
INSERT INTO `lang_definitions` VALUES (14733, 9993, 4, 'empleador suscriptor (SE)');
INSERT INTO `lang_definitions` VALUES (14734, 9994, 4, 'Dirección del empleador suscriptor');
INSERT INTO `lang_definitions` VALUES (14735, 9995, 4, 'Ciudad del empleador suscriptor');
INSERT INTO `lang_definitions` VALUES (14736, 9996, 4, 'País del empleador suscriptor');
INSERT INTO `lang_definitions` VALUES (14737, 9997, 4, 'Estado del empleador suscriptor');
INSERT INTO `lang_definitions` VALUES (14738, 10000, 4, 'Código postal del empleador suscriptor');
INSERT INTO `lang_definitions` VALUES (14739, 10002, 4, 'Apellido de suscriptor');
INSERT INTO `lang_definitions` VALUES (14740, 10005, 4, 'Teléfono de Suscriptor');
INSERT INTO `lang_definitions` VALUES (14741, 10006, 4, 'Relación con el Suscriptor');
INSERT INTO `lang_definitions` VALUES (14742, 10007, 4, '¡La relación del suscriptor no con sí mismo pero el nombre es igual! ¿Es esto realmente ACEPTABLE?');
INSERT INTO `lang_definitions` VALUES (14743, 10008, 4, '¡La relación del suscriptor no es con sí mismo pero el número de SS es igual!');
INSERT INTO `lang_definitions` VALUES (14744, 10009, 4, '¡La relación del suscriptor es con sí mismo pero el nombre es diferente! ¿Es esto realmente ACEPTABLE?');
INSERT INTO `lang_definitions` VALUES (14745, 10010, 4, '¡La relación del suscriptor es con sí mismo pero el número de SS es diferente!');
INSERT INTO `lang_definitions` VALUES (14746, 10011, 4, 'Sexo de Suscriptor');
INSERT INTO `lang_definitions` VALUES (14747, 10020, 4, 'Sustituto');
INSERT INTO `lang_definitions` VALUES (14748, 10021, 4, 'sustituto permitido');
INSERT INTO `lang_definitions` VALUES (14749, 10024, 4, 'Exito');
INSERT INTO `lang_definitions` VALUES (14750, 10025, 4, 'éxito');
INSERT INTO `lang_definitions` VALUES (14751, 10026, 4, 'Confirmación de la recepción de resultados del laboratorio');
INSERT INTO `lang_definitions` VALUES (14752, 10027, 4, 'Confirmación obtención resultados de laboratorio');
INSERT INTO `lang_definitions` VALUES (14753, 10028, 4, 'Éxito obteniendo los resultados de la Red de Intercambio del Laboratorio');
INSERT INTO `lang_definitions` VALUES (14754, 10030, 4, 'Categoría añadida correctamente');
INSERT INTO `lang_definitions` VALUES (14755, 10031, 4, 'agregado con éxito a la categoría,');
INSERT INTO `lang_definitions` VALUES (14756, 10033, 4, 'Borrado completado');
INSERT INTO `lang_definitions` VALUES (14757, 10035, 4, 'Instalado en Base Datos completado');
INSERT INTO `lang_definitions` VALUES (14758, 10036, 4, 'La siguiente bbdd ha sido instalada correctamente');
INSERT INTO `lang_definitions` VALUES (14759, 10037, 4, 'Modificación Completada');
INSERT INTO `lang_definitions` VALUES (14760, 10039, 4, 'Correctamente salvado. ¿Le gustaría asignarlo?');
INSERT INTO `lang_definitions` VALUES (14761, 10040, 4, 'Correctamente salvado. ¿Le gustaría distribuir?');
INSERT INTO `lang_definitions` VALUES (14762, 10042, 4, 'almacenado con éxito.');
INSERT INTO `lang_definitions` VALUES (14763, 10044, 4, 'Base de datos actualizada correctamente.');
INSERT INTO `lang_definitions` VALUES (14764, 10045, 4, 'La siguiente bbdd ha sido actualizada correctamente');
INSERT INTO `lang_definitions` VALUES (14765, 10046, 4, 'con éxito.');
INSERT INTO `lang_definitions` VALUES (14766, 10049, 4, 'Suicidio');
INSERT INTO `lang_definitions` VALUES (14767, 10051, 4, 'Resumen');
INSERT INTO `lang_definitions` VALUES (14768, 10052, 4, 'Sumario de');
INSERT INTO `lang_definitions` VALUES (14769, 10058, 4, 'Domingo');
INSERT INTO `lang_definitions` VALUES (14770, 10060, 4, 'Domingo');
INSERT INTO `lang_definitions` VALUES (14771, 10061, 4, 'Supercuenta');
INSERT INTO `lang_definitions` VALUES (14772, 10062, 4, 'Códigos de supercuenta');
INSERT INTO `lang_definitions` VALUES (14773, 10063, 4, 'Administración de códigos de supercuenta');
INSERT INTO `lang_definitions` VALUES (14774, 10065, 4, 'Reportes de supercuenta');
INSERT INTO `lang_definitions` VALUES (14775, 10066, 4, 'Supercuenta/Hoja de precios');
INSERT INTO `lang_definitions` VALUES (14776, 10067, 4, 'Supercuentas');
INSERT INTO `lang_definitions` VALUES (14777, 10068, 4, 'Supercuentas, llamado a veces Formularios de Encuentros u hojas de ruta, son una parte esencial en la mayoría de los centros médicos.');
INSERT INTO `lang_definitions` VALUES (14778, 10069, 4, 'Superusuario');
INSERT INTO `lang_definitions` VALUES (14779, 10071, 4, 'Supervisando');
INSERT INTO `lang_definitions` VALUES (14780, 10073, 4, 'Dr.Supervisor DEA');
INSERT INTO `lang_definitions` VALUES (14781, 10074, 4, 'Primer Nombre Doctor Supervisor');
INSERT INTO `lang_definitions` VALUES (14782, 10075, 4, 'Apellido Doctor Supervisor');
INSERT INTO `lang_definitions` VALUES (14783, 10076, 4, 'Dr.Supervisor NPI');
INSERT INTO `lang_definitions` VALUES (14784, 10077, 4, 'Dr.Supervisor UPIN');
INSERT INTO `lang_definitions` VALUES (14785, 10081, 4, 'Nombre del centro proveedor');
INSERT INTO `lang_definitions` VALUES (14786, 10082, 4, 'Soporte de los eventos de calendario que se aplican a múltiples facultativos');
INSERT INTO `lang_definitions` VALUES (14787, 10083, 4, 'Soporte configuración de datos de importación/exportación a través de la página de backup');
INSERT INTO `lang_definitions` VALUES (14788, 10084, 4, 'Soporte eventos multi-facultativo');
INSERT INTO `lang_definitions` VALUES (14789, 10088, 4, 'Soporta sólo enciptación/desencriptación TripleDES');
INSERT INTO `lang_definitions` VALUES (14790, 10090, 4, 'Tipo de Superficie');
INSERT INTO `lang_definitions` VALUES (14791, 10092, 4, 'Cirugías');
INSERT INTO `lang_definitions` VALUES (14792, 10093, 4, 'Cirugía');
INSERT INTO `lang_definitions` VALUES (14793, 10095, 4, 'Suspendido');
INSERT INTO `lang_definitions` VALUES (14794, 10096, 4, 'suspensión');
INSERT INTO `lang_definitions` VALUES (14795, 10098, 4, 'Svc Fecha');
INSERT INTO `lang_definitions` VALUES (14796, 10099, 4, 'Svc Fecha:');
INSERT INTO `lang_definitions` VALUES (14797, 10102, 4, 'Sudoración:');
INSERT INTO `lang_definitions` VALUES (14798, 10103, 4, 'Sueco');
INSERT INTO `lang_definitions` VALUES (14799, 10104, 4, 'Hinchazón');
INSERT INTO `lang_definitions` VALUES (14800, 10105, 4, 'Hinchazón a la Derecha');
INSERT INTO `lang_definitions` VALUES (14801, 10106, 4, 'Articulaciones Inflamadas');
INSERT INTO `lang_definitions` VALUES (14802, 10107, 4, 'Inflamación de los ganglios linfáticos');
INSERT INTO `lang_definitions` VALUES (14803, 10108, 4, 'Símbolo usado como punto decimal para moneda. No usado si los decimales son 0.');
INSERT INTO `lang_definitions` VALUES (14804, 10109, 4, 'Símbolo usado para separar miles en moneda.');
INSERT INTO `lang_definitions` VALUES (14805, 10110, 4, 'Síntomas');
INSERT INTO `lang_definitions` VALUES (14806, 10111, 4, 'Sincronizar');
INSERT INTO `lang_definitions` VALUES (14807, 10112, 4, 'Sincronizar traducción con la tabla de idioma del cliente');
INSERT INTO `lang_definitions` VALUES (14808, 10113, 4, 'Sincronizado constante de nuevo cliente:');
INSERT INTO `lang_definitions` VALUES (14809, 10114, 4, 'Sincronizar nuevo idioma cliente');
INSERT INTO `lang_definitions` VALUES (14810, 10115, 4, 'Sincronizado nueva definición (Idioma, Constante, Definición):');
INSERT INTO `lang_definitions` VALUES (14811, 10116, 4, 'Síncope');
INSERT INTO `lang_definitions` VALUES (14812, 10117, 4, 'Vigilancia de Síndrome');
INSERT INTO `lang_definitions` VALUES (14813, 10118, 4, 'Vigilancia síndrome - Sin problemas notificados');
INSERT INTO `lang_definitions` VALUES (14814, 10119, 4, 'Reporte de vigilancia de Sindromes');
INSERT INTO `lang_definitions` VALUES (14815, 10120, 4, 'Sinovitis, pinzamiento, bursitis');
INSERT INTO `lang_definitions` VALUES (14816, 10121, 4, 'Sistema');
INSERT INTO `lang_definitions` VALUES (14817, 10125, 4, 'S');
INSERT INTO `lang_definitions` VALUES (14818, 10127, 4, 'D');
INSERT INTO `lang_definitions` VALUES (14819, 10128, 4, 'T');
INSERT INTO `lang_definitions` VALUES (14820, 10130, 4, 't.i.d.');
INSERT INTO `lang_definitions` VALUES (14821, 10131, 4, 'T.V.');
INSERT INTO `lang_definitions` VALUES (14822, 10133, 4, 'Tabla');
INSERT INTO `lang_definitions` VALUES (14823, 10137, 4, 'La creación de la tabla falló');
INSERT INTO `lang_definitions` VALUES (14824, 10138, 4, 'La actualización de la tabla falló');
INSERT INTO `lang_definitions` VALUES (14825, 10140, 4, 'tableta');
INSERT INTO `lang_definitions` VALUES (14826, 10146, 4, 'Tagalog');
INSERT INTO `lang_definitions` VALUES (14827, 10149, 4, 'Tomar');
INSERT INTO `lang_definitions` VALUES (14828, 10151, 4, 'Escoger seguro, en el desplegable');
INSERT INTO `lang_definitions` VALUES (14829, 10152, 4, 'Escoger forma de pago, en el desplegable');
INSERT INTO `lang_definitions` VALUES (14830, 10153, 4, 'Recogida');
INSERT INTO `lang_definitions` VALUES (14831, 10154, 4, 'Toma tiempo');
INSERT INTO `lang_definitions` VALUES (14832, 10157, 4, 'Altura del área de navegación');
INSERT INTO `lang_definitions` VALUES (14833, 10164, 4, 'Fecha límite');
INSERT INTO `lang_definitions` VALUES (14834, 10166, 4, 'Paciente objeto no tiene fecha nacto.');
INSERT INTO `lang_definitions` VALUES (14835, 10167, 4, 'Paciente objeto no tiene fecha nacto.');
INSERT INTO `lang_definitions` VALUES (14836, 10168, 4, 'Objetivo/Grupos de Acción');
INSERT INTO `lang_definitions` VALUES (14837, 10172, 4, 'Nro. tributario');
INSERT INTO `lang_definitions` VALUES (14838, 10173, 4, 'N.I.F./C.I.F.');
INSERT INTO `lang_definitions` VALUES (14839, 10174, 4, 'Tasa de Impuestos');
INSERT INTO `lang_definitions` VALUES (14840, 10175, 4, 'Impuestos');
INSERT INTO `lang_definitions` VALUES (14841, 10176, 4, 'Taxonomía');
INSERT INTO `lang_definitions` VALUES (14842, 10181, 4, 'TD');
INSERT INTO `lang_definitions` VALUES (14843, 10182, 4, 'Descripción de lesión del equipo');
INSERT INTO `lang_definitions` VALUES (14844, 10183, 4, 'Lista del Equipo');
INSERT INTO `lang_definitions` VALUES (14845, 10184, 4, 'Ver Lista de Equipo');
INSERT INTO `lang_definitions` VALUES (14846, 10185, 4, 'Equipo/Plantilla');
INSERT INTO `lang_definitions` VALUES (14847, 10187, 4, 'Tel');
INSERT INTO `lang_definitions` VALUES (14848, 10189, 4, 'Código País telefónico');
INSERT INTO `lang_definitions` VALUES (14849, 10192, 4, 'Temp');
INSERT INTO `lang_definitions` VALUES (14850, 10193, 4, 'Localización de la toma de temperat.');
INSERT INTO `lang_definitions` VALUES (14851, 10194, 4, 'Método para Temperat.');
INSERT INTO `lang_definitions` VALUES (14852, 10196, 4, 'Temperatura');
INSERT INTO `lang_definitions` VALUES (14853, 10197, 4, 'Plantilla');
INSERT INTO `lang_definitions` VALUES (14854, 10198, 4, 'Nombre de Plantilla');
INSERT INTO `lang_definitions` VALUES (14855, 10199, 4, 'Los nombres de la plantilla no pueden comenzar con números.');
INSERT INTO `lang_definitions` VALUES (14856, 10201, 4, 'Plantilla:');
INSERT INTO `lang_definitions` VALUES (14857, 10202, 4, 'Pantillas');
INSERT INTO `lang_definitions` VALUES (14858, 10205, 4, 'Arteria Temporal');
INSERT INTO `lang_definitions` VALUES (14859, 10208, 4, 'Daño al tendón');
INSERT INTO `lang_definitions` VALUES (14860, 10209, 4, 'Tendonitis / osis / bursitis');
INSERT INTO `lang_definitions` VALUES (14861, 10211, 4, 'Nºreferencia factura provisional');
INSERT INTO `lang_definitions` VALUES (14862, 10213, 4, 'Terciario');
INSERT INTO `lang_definitions` VALUES (14863, 10214, 4, 'Seguro Terciario');
INSERT INTO `lang_definitions` VALUES (14864, 10215, 4, 'Datos terciarios del seguro');
INSERT INTO `lang_definitions` VALUES (14865, 10216, 4, 'Proveedor terciario del seguro');
INSERT INTO `lang_definitions` VALUES (14866, 10219, 4, 'Programación de Prueba');
INSERT INTO `lang_definitions` VALUES (14867, 10220, 4, 'Sistema de Prueba');
INSERT INTO `lang_definitions` VALUES (14868, 10223, 4, 'Texto');
INSERT INTO `lang_definitions` VALUES (14869, 10224, 4, 'Texto Diagnóstico');
INSERT INTO `lang_definitions` VALUES (14870, 10225, 4, 'campo texto');
INSERT INTO `lang_definitions` VALUES (14871, 10233, 4, 'Fecha del texto');
INSERT INTO `lang_definitions` VALUES (14872, 10234, 4, 'texto actualizado');
INSERT INTO `lang_definitions` VALUES (14873, 10235, 4, 'Area de texto');
INSERT INTO `lang_definitions` VALUES (14874, 10236, 4, 'erea de texto');
INSERT INTO `lang_definitions` VALUES (14875, 10237, 4, 'Cuadro de texto');
INSERT INTO `lang_definitions` VALUES (14876, 10238, 4, 'caja de texto');
INSERT INTO `lang_definitions` VALUES (14877, 10239, 4, 'Lista del cuadro de texto');
INSERT INTO `lang_definitions` VALUES (14878, 10240, 4, 'lista de texto');
INSERT INTO `lang_definitions` VALUES (14879, 10241, 4, 'Tailandés');
INSERT INTO `lang_definitions` VALUES (14880, 10242, 4, 'Gracias');
INSERT INTO `lang_definitions` VALUES (14881, 10245, 4, 'Gracias por elegir');
INSERT INTO `lang_definitions` VALUES (14882, 10247, 4, 'El botón \'Limpiar\' eliminará todas las anotaciones.');
INSERT INTO `lang_definitions` VALUES (14883, 10254, 4, 'Falló la declaración anterior');
INSERT INTO `lang_definitions` VALUES (14884, 10264, 4, 'Llave publica y Certificado del Servidor Apache SSL');
INSERT INTO `lang_definitions` VALUES (14885, 10281, 4, 'El certificado de Autoridad Certificada');
INSERT INTO `lang_definitions` VALUES (14886, 10284, 4, 'El fichero de ación:');
INSERT INTO `lang_definitions` VALUES (14887, 10296, 4, 'La llave privada correspondiente');
INSERT INTO `lang_definitions` VALUES (14888, 10322, 4, 'El código de denegación es');
INSERT INTO `lang_definitions` VALUES (14889, 10323, 4, 'El código del grupo denegación es');
INSERT INTO `lang_definitions` VALUES (14890, 10328, 4, 'El formulario de destino está cerrado');
INSERT INTO `lang_definitions` VALUES (14891, 10330, 4, 'El formulario de destino estaba cerrado. No puedo actuar en su selección.');
INSERT INTO `lang_definitions` VALUES (14892, 10350, 4, 'El evento(s) han sido aprobadas.');
INSERT INTO `lang_definitions` VALUES (14893, 10351, 4, 'Se han ocultado el evento(s).');
INSERT INTO `lang_definitions` VALUES (14894, 10352, 4, 'Los datos exportados aparece en el área de texto a continuación. Puede copiarla y pegarla en un mensaje de correo electrónico o cualquier otro destino.');
INSERT INTO `lang_definitions` VALUES (14895, 10354, 4, 'Los datos exportados aparece en el área de texto a continuación. Puede copiarla y pegarla en un mensaje de correo electrónico o cualquier otro destino.');
INSERT INTO `lang_definitions` VALUES (14896, 10355, 4, 'Los datos exportados aparecen en el área de texto de abajo. Puede copiar y pegar en el mail o cualquier otro destino deseado.');
INSERT INTO `lang_definitions` VALUES (14897, 10358, 4, 'El no puede salvarse en CouchDB.');
INSERT INTO `lang_definitions` VALUES (14898, 10359, 4, 'El fichero puede no estar correctamente renombrado, este error está normalmente relacionado con problemas de permiso en el sistema de almacenamiento.');
INSERT INTO `lang_definitions` VALUES (14899, 10360, 4, 'El fichero no ha sido archivado correctamente');
INSERT INTO `lang_definitions` VALUES (14900, 10374, 4, 'El primer paso es abrir una cuenta en el sitio web Unified Medical Language System');
INSERT INTO `lang_definitions` VALUES (14901, 10380, 4, 'Los siguientes eventos del calendario, se ha añadido:');
INSERT INTO `lang_definitions` VALUES (14902, 10381, 4, 'Los siguientes eventos del calendario ha sido modificada:');
INSERT INTO `lang_definitions` VALUES (14903, 10382, 4, 'Las siguentes categorías serán eliminadas de su lista de categorías');
INSERT INTO `lang_definitions` VALUES (14904, 10383, 4, 'La siguiente versión de la base de datos está actualmente instalada');
INSERT INTO `lang_definitions` VALUES (14905, 10386, 4, 'El siguiente fichero EDI ha sido subido');
INSERT INTO `lang_definitions` VALUES (14906, 10388, 4, 'El inicio sesión de usuario de emergencia siguiente esta activado:');
INSERT INTO `lang_definitions` VALUES (14907, 10389, 4, 'Los errores siguientes ocurrieron');
INSERT INTO `lang_definitions` VALUES (14908, 10392, 4, 'Los campos soguientes son requeridos');
INSERT INTO `lang_definitions` VALUES (14909, 10394, 4, 'Los siguientes campos tienen que estar rellenos para enviar la solicitud.');
INSERT INTO `lang_definitions` VALUES (14910, 10406, 4, 'Nombre del Host de la máquina repositoria auditoría ATNA');
INSERT INTO `lang_definitions` VALUES (14911, 10418, 4, 'La pantalla inicial es la página de búsqueda de la factura. En la parte superior puede introducir un dato (ej. número de cheque), fecha de pago e importe del cheque. El motivo del dato y la fecha de pago es para que no tenga que introducir una y otra vez para cada reclamo. La cantidad que usted introduzca será disminuido por cada factura que tenga pago parcial, y se espera que acabará en cero cuando haya terminado.');
INSERT INTO `lang_definitions` VALUES (14912, 10420, 4, 'Se necesita crear directorio de instalacion');
INSERT INTO `lang_definitions` VALUES (14913, 10423, 4, 'La versión instalada y los ficheros preparados son iguales.');
INSERT INTO `lang_definitions` VALUES (14914, 10424, 4, 'La versión instalada es más reciente que los ficheros preparados.');
INSERT INTO `lang_definitions` VALUES (14915, 10431, 4, 'La etiqueta que se muestra al usuario en el formulario');
INSERT INTO `lang_definitions` VALUES (14916, 10438, 4, 'La longitud no debe exceder el siguiente número de caracteres');
INSERT INTO `lang_definitions` VALUES (14917, 10458, 4, 'La nueva categoría será una subcategoría de');
INSERT INTO `lang_definitions` VALUES (14918, 10460, 4, 'La nueva contraseña no puede ser la misma que la actual.');
INSERT INTO `lang_definitions` VALUES (14919, 10461, 4, 'Las contraseñas no son iguales');
INSERT INTO `lang_definitions` VALUES (14920, 10472, 4, 'El número de ficheros preparados es incorrecto. Sólo coloque los ficheros que quiera instalar/actualizar.');
INSERT INTO `lang_definitions` VALUES (14921, 10479, 4, 'La página será redirigida a demográficos. Puede editar el campo de país y click a través de NewCrop de nuevo.');
INSERT INTO `lang_definitions` VALUES (14922, 10482, 4, 'La contraseña debe tener al menos ocho caracteres, y debe');
INSERT INTO `lang_definitions` VALUES (14923, 10486, 4, 'La solicitud de registro del paciente ha sido registrada.');
INSERT INTO `lang_definitions` VALUES (14924, 10487, 4, 'Los recordatorios del paciente han sido enviados');
INSERT INTO `lang_definitions` VALUES (14925, 10488, 4, 'Los recordatorios del paciente han sido actualizados');
INSERT INTO `lang_definitions` VALUES (14926, 10493, 4, 'Los pagos enviados no pueden ser antes de esta fecha. Esto asegura que después del informe final nadie puede enviar fechas anteriores.');
INSERT INTO `lang_definitions` VALUES (14927, 10505, 4, 'Los datos crudos pueden obtenerse de:');
INSERT INTO `lang_definitions` VALUES (14928, 10509, 4, 'La información restante abajo se aplica solamente si usted está fijando manualmente, o si usted está haciendo correcciones manuales.');
INSERT INTO `lang_definitions` VALUES (14929, 10513, 4, 'El documento solicitado no está presente en el lugar previsto en el sistema de ficheros o no hay suficientes permisos para acceder a ella.');
INSERT INTO `lang_definitions` VALUES (14930, 10521, 4, 'Tiempo de refresco de pantalla en segundos, para la pantalla de tablero de flujo de pacientes');
INSERT INTO `lang_definitions` VALUES (14931, 10537, 4, 'Las columnas de la fuente y de fecha se copian de la primera página, por lo que normalmente no será necesario que los toque. Usted puede poner una cantidad del pago en la columna de pagos, una cantidad de ajuste en la columna de ajuste, o ambas. Puede también hacer clic en \" W\" a la derecha de computar automáticamente un ajuste valorar que escriba del resto de la carga para esa línea artículo.');
INSERT INTO `lang_definitions` VALUES (14932, 10540, 4, 'La versión de todos los ficheros preparados no es la misma.');
INSERT INTO `lang_definitions` VALUES (14933, 10541, 4, 'La revisión de todos los ficheros preparados no es la misma.');
INSERT INTO `lang_definitions` VALUES (14934, 10557, 4, 'La división temporal del calendario y el menor intervalo en minutos para una ranura de cita.');
INSERT INTO `lang_definitions` VALUES (14935, 10562, 4, 'La etiqueta traducida que aparecerá en la forma en lengua actual');
INSERT INTO `lang_definitions` VALUES (14936, 10563, 4, 'El título traducido que aparecerá en lengua actual');
INSERT INTO `lang_definitions` VALUES (14937, 10564, 4, 'La traducción de descripción en lengua actual');
INSERT INTO `lang_definitions` VALUES (14938, 10565, 4, 'La tabla de traducción está sincronizada');
INSERT INTO `lang_definitions` VALUES (14939, 10566, 4, 'Tipo de esta entidad');
INSERT INTO `lang_definitions` VALUES (14940, 10586, 4, 'El código de identificación específico del proveedor de este procedimiento o el resultado');
INSERT INTO `lang_definitions` VALUES (14941, 10591, 4, 'Los ficheros X12, así como la salida de informes HTML resultantes son archivados en el subdirectorio -era- del directorio principal de la instalación de OpenEMR. Si quiere hacer referencia a estos ficheros de vez en cuando. La URL es');
INSERT INTO `lang_definitions` VALUES (14942, 10593, 4, 'El file comprimido ha de contener los siguientes items');
INSERT INTO `lang_definitions` VALUES (14943, 10594, 4, 'Tema');
INSERT INTO `lang_definitions` VALUES (14944, 10601, 4, 'Inyecciones Terapéuticas');
INSERT INTO `lang_definitions` VALUES (14945, 10607, 4, 'Existen');
INSERT INTO `lang_definitions` VALUES (14946, 10610, 4, 'Actualmente no hay recetas');
INSERT INTO `lang_definitions` VALUES (14947, 10611, 4, 'Hay errores con su sumisión. estos se contornean abajo.');
INSERT INTO `lang_definitions` VALUES (14948, 10616, 4, 'No hay registros sacados');
INSERT INTO `lang_definitions` VALUES (14949, 10618, 4, 'No hay revelaciones de info grabadas para este paciente.');
INSERT INTO `lang_definitions` VALUES (14950, 10621, 4, 'No hay nuevas sumisiones');
INSERT INTO `lang_definitions` VALUES (14951, 10622, 4, 'No hay notas en el file para este paciente');
INSERT INTO `lang_definitions` VALUES (14952, 10624, 4, 'No hay transacciones archivadas para ese paciente');
INSERT INTO `lang_definitions` VALUES (14953, 10639, 4, 'Se ha producido un error al enviar correo a');
INSERT INTO `lang_definitions` VALUES (14954, 10642, 4, 'Ya existe una categoria nombrada');
INSERT INTO `lang_definitions` VALUES (14955, 10643, 4, 'Ya existe una subcategoria nombrada');
INSERT INTO `lang_definitions` VALUES (14956, 10644, 4, 'Ya existe un item nombrado');
INSERT INTO `lang_definitions` VALUES (14957, 10645, 4, 'Ya está abierto el registro de paciente solicitado.');
INSERT INTO `lang_definitions` VALUES (14958, 10646, 4, 'No hay entrada de COA para la cuenta de AR');
INSERT INTO `lang_definitions` VALUES (14959, 10647, 4, 'No hay entrada de COA para la cuenta de efectivo');
INSERT INTO `lang_definitions` VALUES (14960, 10648, 4, 'No hay entrada de COA para la cuenta de ingresos');
INSERT INTO `lang_definitions` VALUES (14961, 10649, 4, 'El paciente actual no existe');
INSERT INTO `lang_definitions` VALUES (14962, 10651, 4, 'No hay identificacion igual de la factura');
INSERT INTO `lang_definitions` VALUES (14963, 10652, 4, 'No hay identificacion igual de la factura =');
INSERT INTO `lang_definitions` VALUES (14964, 10653, 4, 'No hay partes de entrada para los servicios de identificación');
INSERT INTO `lang_definitions` VALUES (14965, 10656, 4, 'Se ha producido un error mientras se procesaba su solicitud.');
INSERT INTO `lang_definitions` VALUES (14966, 10661, 4, 'Estos son los enlaces de 2012');
INSERT INTO `lang_definitions` VALUES (14967, 10682, 4, 'Espesado a la derecha:');
INSERT INTO `lang_definitions` VALUES (14968, 10683, 4, 'Muslo');
INSERT INTO `lang_definitions` VALUES (14969, 10684, 4, 'Muslo + tendón de la corva');
INSERT INTO `lang_definitions` VALUES (14970, 10686, 4, 'Cosas que la oficina trasera puede leer y entrar pero no modificar');
INSERT INTO `lang_definitions` VALUES (14971, 10687, 4, 'Things that back office can read and modify');
INSERT INTO `lang_definitions` VALUES (14972, 10690, 4, 'Cosas que los clínicos pueden leer y entrar pero no modificar');
INSERT INTO `lang_definitions` VALUES (14973, 10691, 4, 'Cosas que los clinicos pueden leer y modificar');
INSERT INTO `lang_definitions` VALUES (14974, 10694, 4, 'Cosas que la oficina central puede leer y entrar pero no modificar');
INSERT INTO `lang_definitions` VALUES (14975, 10695, 4, 'Cosas que la oficina central puede leer y modificar');
INSERT INTO `lang_definitions` VALUES (14976, 10698, 4, 'Cosas que los médicos pueden entrar y leer pero no modificar');
INSERT INTO `lang_definitions` VALUES (14977, 10699, 4, 'Cosas que los médicos pueden leer y modificar');
INSERT INTO `lang_definitions` VALUES (14978, 10701, 4, 'Tercera');
INSERT INTO `lang_definitions` VALUES (14979, 10704, 4, 'Esta acción NO SE PUEDE deshacer.');
INSERT INTO `lang_definitions` VALUES (14980, 10705, 4, 'Esta acción no se puede deshacer.');
INSERT INTO `lang_definitions` VALUES (14981, 10707, 4, 'Esta acción se registrará');
INSERT INTO `lang_definitions` VALUES (14982, 10712, 4, 'El espacio para la cita está ocupado, ¿usarlo de todas formas?');
INSERT INTO `lang_definitions` VALUES (14983, 10713, 4, 'Este espacio para cita no está disponible, por favor elegir otro.');
INSERT INTO `lang_definitions` VALUES (14984, 10714, 4, 'Este año de calendario');
INSERT INTO `lang_definitions` VALUES (14985, 10715, 4, 'Este reclamo ha sido cancelado.');
INSERT INTO `lang_definitions` VALUES (14986, 10716, 4, 'La reclamación ha sido cerrada.');
INSERT INTO `lang_definitions` VALUES (14987, 10717, 4, 'La reclamación ha sido denegada. Razón:-');
INSERT INTO `lang_definitions` VALUES (14988, 10718, 4, 'La reclamación ha sido enviada a otro nivel');
INSERT INTO `lang_definitions` VALUES (14989, 10725, 4, 'Este tipo de código no acepta las relaciones.');
INSERT INTO `lang_definitions` VALUES (14990, 10727, 4, 'Este contexto contiene categorias, las cuales serán borradas. ¿Quiere continuar?');
INSERT INTO `lang_definitions` VALUES (14991, 10730, 4, 'Esto determina como se visualizarán las citas en el calendario.');
INSERT INTO `lang_definitions` VALUES (14992, 10731, 4, 'Esto determina como será el esquema de color usado para las citas');
INSERT INTO `lang_definitions` VALUES (14993, 10734, 4, 'Esta Visita');
INSERT INTO `lang_definitions` VALUES (14994, 10735, 4, 'Esta visita ha sido facturada. Si necesita cambiarlo, debe ser re-abierta.');
INSERT INTO `lang_definitions` VALUES (14995, 10740, 4, 'Esta caracteristica ya no está disponible');
INSERT INTO `lang_definitions` VALUES (14996, 10742, 4, 'Este atributo es experimental y no probado. Use a riesgo propio.');
INSERT INTO `lang_definitions` VALUES (14997, 10753, 4, 'Este número de factura se ha cambiado a');
INSERT INTO `lang_definitions` VALUES (14998, 10784, 4, 'esta ubicación');
INSERT INTO `lang_definitions` VALUES (14999, 10789, 4, 'Este módulo está en modo de prueba. La base de datos no será cambiada.');
INSERT INTO `lang_definitions` VALUES (15000, 10792, 4, 'Este módulo promueve la entrada eficiente de los datos de EOB.');
INSERT INTO `lang_definitions` VALUES (15001, 10793, 4, 'Este mes a fecha');
INSERT INTO `lang_definitions` VALUES (15002, 10798, 4, 'Esta página le permite revisar cada uno de los dataloads externos compatibles que puede instalar y actualizar. Cada sección de abajo se puede ampliar haciendo clic en la cabecera de sección para revisar el estado de interés de la bbdd.');
INSERT INTO `lang_definitions` VALUES (15003, 10801, 4, 'En esta página se incluye en línea la página de inicio de sesión, de modo que no tenemos que hacer clic en iniciar la sesión cada vez.');
INSERT INTO `lang_definitions` VALUES (15004, 10804, 4, 'Este paciente no tiene ninguna actividad.');
INSERT INTO `lang_definitions` VALUES (15005, 10805, 4, 'Este Nº Identificación de paciente ya está en uso!');
INSERT INTO `lang_definitions` VALUES (15006, 10807, 4, 'Este producto solo permite un lote por deposito');
INSERT INTO `lang_definitions` VALUES (15007, 10809, 4, 'Este informe actualmente sólo funciona para códigos ICD9.');
INSERT INTO `lang_definitions` VALUES (15008, 10821, 4, 'Este paso generará un fichero el cual salvará para uso futuro. El fichero no se puede generar de nuevo. ¿Quiere proceder?');
INSERT INTO `lang_definitions` VALUES (15009, 10822, 4, 'Este usuario no es miembro de ningún grupo');
INSERT INTO `lang_definitions` VALUES (15010, 10826, 4, 'Esta visita comienza nuevo uso anticonceptivo');
INSERT INTO `lang_definitions` VALUES (15011, 10827, 4, 'Esta visita necesitará un formulario GCAC, derivación o procedimiento de servicio.');
INSERT INTO `lang_definitions` VALUES (15012, 10828, 4, 'Esta fue la métrica más antigua de formularios de constantes vitales, ahora en desuso.');
INSERT INTO `lang_definitions` VALUES (15013, 10829, 4, 'Esta semana a fecha');
INSERT INTO `lang_definitions` VALUES (15014, 10831, 4, 'Esto activará informes CCR(Continuity of Care Record) y CCD(Continuity of Care Document)');
INSERT INTO `lang_definitions` VALUES (15015, 10834, 4, 'Esto permitirá la selección de la depuración (\'dummy\') de idioma.');
INSERT INTO `lang_definitions` VALUES (15016, 10843, 4, 'Esto creará un backup en formato tar y luego lo envia a su navegador web para que lo pueda guardar');
INSERT INTO `lang_definitions` VALUES (15017, 10844, 4, 'Esto desactivará las características de encriptación/desencriptación del documento, y lo ocultará en el UI.');
INSERT INTO `lang_definitions` VALUES (15018, 10854, 4, 'Esto forzará el widget de facturación en la pantalla resumen del paciente para que se abra siempre.');
INSERT INTO `lang_definitions` VALUES (15019, 10860, 4, 'Esto no le impiderá ir al sitio de recetas electrónicas.');
INSERT INTO `lang_definitions` VALUES (15020, 10867, 4, 'Esto usará la lista de vacunación personalizada en lugar de la lista de vacunación estándar CVX.');
INSERT INTO `lang_definitions` VALUES (15021, 10871, 4, 'Espina dorsal torácica');
INSERT INTO `lang_definitions` VALUES (15022, 10873, 4, 'Miles/CU.MM');
INSERT INTO `lang_definitions` VALUES (15023, 10878, 4, 'Garganta');
INSERT INTO `lang_definitions` VALUES (15024, 10879, 4, 'Cáncer de Garganta');
INSERT INTO `lang_definitions` VALUES (15025, 10880, 4, 'Cirugía del Cáncer de Garganta');
INSERT INTO `lang_definitions` VALUES (15026, 10881, 4, 'Trombosis/Derrame Cerebral');
INSERT INTO `lang_definitions` VALUES (15027, 10882, 4, 'Jueves');
INSERT INTO `lang_definitions` VALUES (15028, 10884, 4, 'Jueves');
INSERT INTO `lang_definitions` VALUES (15029, 10885, 4, 'Jueves');
INSERT INTO `lang_definitions` VALUES (15030, 10887, 4, 'Tiroides normal');
INSERT INTO `lang_definitions` VALUES (15031, 10888, 4, 'Problemas de la Tiroides');
INSERT INTO `lang_definitions` VALUES (15032, 10890, 4, 'TIA');
INSERT INTO `lang_definitions` VALUES (15033, 10902, 4, 'Hora');
INSERT INTO `lang_definitions` VALUES (15034, 10903, 4, 'Formato visualización de hora');
INSERT INTO `lang_definitions` VALUES (15035, 10904, 4, 'Incremento de tiempo para agregar (minutos 1-60)');
INSERT INTO `lang_definitions` VALUES (15036, 10905, 4, 'Seleccion de tiempo');
INSERT INTO `lang_definitions` VALUES (15037, 10907, 4, 'La ventana de tiempo está abierta, salvando evento');
INSERT INTO `lang_definitions` VALUES (15038, 10913, 4, 'Evento con horario');
INSERT INTO `lang_definitions` VALUES (15039, 10914, 4, 'Matriz tiempos (NO APLICABLE)');
INSERT INTO `lang_definitions` VALUES (15040, 10915, 4, 'Reloj fechador y texto');
INSERT INTO `lang_definitions` VALUES (15041, 10917, 4, 'TIN');
INSERT INTO `lang_definitions` VALUES (15042, 10918, 4, 'Tinnitus');
INSERT INTO `lang_definitions` VALUES (15043, 10920, 4, 'Titulo');
INSERT INTO `lang_definitions` VALUES (15044, 10923, 4, 'Titulo V');
INSERT INTO `lang_definitions` VALUES (15045, 10924, 4, 'Cols título debe ser un número entre 1 y 999');
INSERT INTO `lang_definitions` VALUES (15046, 10925, 4, 'Títulos');
INSERT INTO `lang_definitions` VALUES (15047, 10926, 4, 'TM\'S:');
INSERT INTO `lang_definitions` VALUES (15048, 10927, 4, 'TMs/EAMs/EE, ext nariz');
INSERT INTO `lang_definitions` VALUES (15049, 10928, 4, 'Para');
INSERT INTO `lang_definitions` VALUES (15050, 10929, 4, 'para');
INSERT INTO `lang_definitions` VALUES (15051, 10930, 4, 'PARA');
INSERT INTO `lang_definitions` VALUES (15052, 10931, 4, 'Hacia la ruta absoluta del file');
INSERT INTO `lang_definitions` VALUES (15053, 10936, 4, 'Favor Selecciona para agregar notas');
INSERT INTO `lang_definitions` VALUES (15054, 10937, 4, 'Para añadir notas, por favor haga click aquí');
INSERT INTO `lang_definitions` VALUES (15055, 10938, 4, 'Área afectada');
INSERT INTO `lang_definitions` VALUES (15056, 10939, 4, 'área afectada');
INSERT INTO `lang_definitions` VALUES (15057, 10942, 4, 'Para abrir automáticamente el formulario específico. Algunos equipos deportivos usan aquí auditoria de fútbol.');
INSERT INTO `lang_definitions` VALUES (15058, 10944, 4, 'Ver facturación');
INSERT INTO `lang_definitions` VALUES (15059, 10945, 4, 'a la categoría');
INSERT INTO `lang_definitions` VALUES (15060, 10947, 4, 'Ver Clínica');
INSERT INTO `lang_definitions` VALUES (15061, 10949, 4, 'De copago');
INSERT INTO `lang_definitions` VALUES (15062, 10953, 4, 'Para ded\'ble');
INSERT INTO `lang_definitions` VALUES (15063, 10956, 4, 'Ir Demograf.');
INSERT INTO `lang_definitions` VALUES (15064, 10958, 4, 'Para deshabilitar certificado del cliente SSL, comente en lineas de arriba en la configuracion del file Apache y configurar');
INSERT INTO `lang_definitions` VALUES (15065, 10960, 4, 'Para deshabilitar HTTPS, comente en lineas de arriba en el file de configuracion de Apache y reiniciar el servidor Apache');
INSERT INTO `lang_definitions` VALUES (15066, 10965, 4, 'Para habilitar lado del cliente certificados SSL');
INSERT INTO `lang_definitions` VALUES (15067, 10966, 4, 'Para habilitar lado del cliente con certificados de Autenticacion SSL, debe habilitarse HTTPS');
INSERT INTO `lang_definitions` VALUES (15068, 10970, 4, 'Para solo habilitar HTTPS, ejecute los cambios mencionados y reinicie el servidor Apache');
INSERT INTO `lang_definitions` VALUES (15069, 10972, 4, 'Para Enctr');
INSERT INTO `lang_definitions` VALUES (15070, 10973, 4, 'Para filtrar por sexo');
INSERT INTO `lang_definitions` VALUES (15071, 10980, 4, 'La Historia');
INSERT INTO `lang_definitions` VALUES (15072, 10982, 4, 'Para cuestiones');
INSERT INTO `lang_definitions` VALUES (15073, 10984, 4, 'Para ligar este encuentro/consulta a un asunto existente, pinche el');
INSERT INTO `lang_definitions` VALUES (15074, 10985, 4, 'Para enlazar este encuentro / consultar a un problema, haga clic en el tema de arriba para destacar y, a continuación, haga clic en [Guardar]. Mantenga pulsada la tecla [Ctrl] para seleccionar múltiples cuestiones.');
INSERT INTO `lang_definitions` VALUES (15075, 10987, 4, 'volver a iniciar sesión');
INSERT INTO `lang_definitions` VALUES (15076, 10992, 4, 'Para grabar revelaciones de info, por favor click');
INSERT INTO `lang_definitions` VALUES (15077, 10997, 4, 'Para Ejecutar');
INSERT INTO `lang_definitions` VALUES (15078, 11001, 4, 'Para configurar el acceso https con autenticación de certificados de cliente, haga lo siguiente');
INSERT INTO `lang_definitions` VALUES (15079, 11002, 4, 'Para la piel');
INSERT INTO `lang_definitions` VALUES (15080, 11003, 4, 'para la piel');
INSERT INTO `lang_definitions` VALUES (15081, 11005, 4, '¿a esta visita?');
INSERT INTO `lang_definitions` VALUES (15082, 11010, 4, 'Hasta:');
INSERT INTO `lang_definitions` VALUES (15083, 11011, 4, 'Hasta:');
INSERT INTO `lang_definitions` VALUES (15084, 11012, 4, 'PARA_CIUDAD');
INSERT INTO `lang_definitions` VALUES (15085, 11013, 4, 'PARA_FAX');
INSERT INTO `lang_definitions` VALUES (15086, 11014, 4, 'PARA_NOMBRE');
INSERT INTO `lang_definitions` VALUES (15087, 11015, 4, 'PARA_APELLIDO');
INSERT INTO `lang_definitions` VALUES (15088, 11016, 4, 'PARA_SEGUNDONOMBRE');
INSERT INTO `lang_definitions` VALUES (15089, 11017, 4, 'PARA_ORGANIZACIÓN');
INSERT INTO `lang_definitions` VALUES (15090, 11020, 4, 'PARA_POSTAL');
INSERT INTO `lang_definitions` VALUES (15091, 11021, 4, 'PARA_ESTADO');
INSERT INTO `lang_definitions` VALUES (15092, 11022, 4, 'PARA_CALLE');
INSERT INTO `lang_definitions` VALUES (15093, 11023, 4, 'PARA_TÍTULO');
INSERT INTO `lang_definitions` VALUES (15094, 11024, 4, 'PARA_DESPEDIDA');
INSERT INTO `lang_definitions` VALUES (15095, 11025, 4, 'Tabaco');
INSERT INTO `lang_definitions` VALUES (15096, 11026, 4, 'Intervención para dejar el tabaco');
INSERT INTO `lang_definitions` VALUES (15097, 11027, 4, 'Intervención para dejar el tabaco (GCC)');
INSERT INTO `lang_definitions` VALUES (15098, 11028, 4, 'Consumo de tabaco');
INSERT INTO `lang_definitions` VALUES (15099, 11030, 4, 'Evaluación consumo tabaco');
INSERT INTO `lang_definitions` VALUES (15100, 11031, 4, 'Evaluación consumo tabaco (GCC)');
INSERT INTO `lang_definitions` VALUES (15101, 11032, 4, 'Hoy');
INSERT INTO `lang_definitions` VALUES (15102, 11033, 4, 'HOY');
INSERT INTO `lang_definitions` VALUES (15103, 11034, 4, 'hoy');
INSERT INTO `lang_definitions` VALUES (15104, 11035, 4, 'Balance actual');
INSERT INTO `lang_definitions` VALUES (15105, 11036, 4, 'Cargos actuales');
INSERT INTO `lang_definitions` VALUES (15106, 11037, 4, 'Fecha de Hoy');
INSERT INTO `lang_definitions` VALUES (15107, 11038, 4, 'Eventos de Hoy');
INSERT INTO `lang_definitions` VALUES (15108, 11047, 4, 'Tonsilectomía');
INSERT INTO `lang_definitions` VALUES (15109, 11050, 4, 'Superior');
INSERT INTO `lang_definitions` VALUES (15110, 11053, 4, 'Tema');
INSERT INTO `lang_definitions` VALUES (15111, 11054, 4, 'Total');
INSERT INTO `lang_definitions` VALUES (15112, 11055, 4, 'total');
INSERT INTO `lang_definitions` VALUES (15113, 11056, 4, 'Total acciones activas');
INSERT INTO `lang_definitions` VALUES (15114, 11057, 4, 'Total recordatorios activos después de actualizar');
INSERT INTO `lang_definitions` VALUES (15115, 11058, 4, 'Total recordatorios activos antes de actualizar');
INSERT INTO `lang_definitions` VALUES (15116, 11060, 4, 'Total de cantidad adeudada');
INSERT INTO `lang_definitions` VALUES (15117, 11061, 4, 'Cantidad total pagada');
INSERT INTO `lang_definitions` VALUES (15118, 11063, 4, 'Total carga');
INSERT INTO `lang_definitions` VALUES (15119, 11064, 4, 'Total de cargos');
INSERT INTO `lang_definitions` VALUES (15120, 11065, 4, 'Total de Clientes');
INSERT INTO `lang_definitions` VALUES (15121, 11067, 4, 'Costo total');
INSERT INTO `lang_definitions` VALUES (15122, 11068, 4, 'La distribución total para los siguientes números de cheque es incompleta');
INSERT INTO `lang_definitions` VALUES (15123, 11069, 4, 'total entradas');
INSERT INTO `lang_definitions` VALUES (15124, 11070, 4, 'Total recordatorios enviados vía email fallidos');
INSERT INTO `lang_definitions` VALUES (15125, 11071, 4, 'Total recordatorios enviados vía teléfono fallidos');
INSERT INTO `lang_definitions` VALUES (15126, 11072, 4, 'Total para');
INSERT INTO `lang_definitions` VALUES (15127, 11073, 4, 'Total para');
INSERT INTO `lang_definitions` VALUES (15128, 11074, 4, 'Total para la categoría');
INSERT INTO `lang_definitions` VALUES (15129, 11075, 4, 'Total recordatorios inactivos');
INSERT INTO `lang_definitions` VALUES (15130, 11078, 4, 'Total nuevos recordatorios');
INSERT INTO `lang_definitions` VALUES (15131, 11079, 4, 'Número total de citas');
INSERT INTO `lang_definitions` VALUES (15132, 11081, 4, 'NºTotal de vacunas');
INSERT INTO `lang_definitions` VALUES (15133, 11082, 4, 'NºTotal de incidencias');
INSERT INTO `lang_definitions` VALUES (15134, 11083, 4, 'Número total de entradas en tablero de flujo de pacientes');
INSERT INTO `lang_definitions` VALUES (15135, 11084, 4, 'Total número de pacientes');
INSERT INTO `lang_definitions` VALUES (15136, 11087, 4, 'Saldo total de pacientes');
INSERT INTO `lang_definitions` VALUES (15137, 11089, 4, 'Total Pacientes');
INSERT INTO `lang_definitions` VALUES (15138, 11093, 4, 'Total Registros Encontrados');
INSERT INTO `lang_definitions` VALUES (15139, 11095, 4, 'Total SRH & Planificación Familiar');
INSERT INTO `lang_definitions` VALUES (15140, 11096, 4, 'Total recordatorios enviados via email correctos');
INSERT INTO `lang_definitions` VALUES (15141, 11097, 4, 'Total recordatorios enviados via teléfono correctos');
INSERT INTO `lang_definitions` VALUES (15142, 11100, 4, 'Total de recordatorios sin cambios');
INSERT INTO `lang_definitions` VALUES (15143, 11101, 4, 'Total recordatorios no enviados después del proceso de envío');
INSERT INTO `lang_definitions` VALUES (15144, 11102, 4, 'Total recordatorios no enviados después de actualizar');
INSERT INTO `lang_definitions` VALUES (15145, 11103, 4, 'Total recordatorios no enviados antes del proceso de envío');
INSERT INTO `lang_definitions` VALUES (15146, 11104, 4, 'Total recordatorios no enviados antes de actualizar');
INSERT INTO `lang_definitions` VALUES (15147, 11105, 4, 'Total recordatorios actualizados');
INSERT INTO `lang_definitions` VALUES (15148, 11106, 4, 'Total');
INSERT INTO `lang_definitions` VALUES (15149, 11107, 4, 'Total para');
INSERT INTO `lang_definitions` VALUES (15150, 11108, 4, 'Total para');
INSERT INTO `lang_definitions` VALUES (15151, 11123, 4, 'para{{rango}}');
INSERT INTO `lang_definitions` VALUES (15152, 11129, 4, 'Informe seguimiento');
INSERT INTO `lang_definitions` VALUES (15153, 11130, 4, 'Seguimientos');
INSERT INTO `lang_definitions` VALUES (15154, 11135, 4, 'Tipo de Entrenamiento');
INSERT INTO `lang_definitions` VALUES (15155, 11136, 4, 'Tramite');
INSERT INTO `lang_definitions` VALUES (15156, 11137, 4, 'Transacción');
INSERT INTO `lang_definitions` VALUES (15157, 11138, 4, 'transacción');
INSERT INTO `lang_definitions` VALUES (15158, 11139, 4, 'Transaccion fallida, cantidad insuficiente en lote de destino');
INSERT INTO `lang_definitions` VALUES (15159, 11140, 4, 'Transaccion fallida, cantidad es menor de cero');
INSERT INTO `lang_definitions` VALUES (15160, 11142, 4, 'Tipo de Transacción');
INSERT INTO `lang_definitions` VALUES (15161, 11143, 4, 'Transacción');
INSERT INTO `lang_definitions` VALUES (15162, 11144, 4, 'transacciones');
INSERT INTO `lang_definitions` VALUES (15163, 11145, 4, 'Transacciones (escriba opcional)');
INSERT INTO `lang_definitions` VALUES (15164, 11151, 4, 'Transacciones/Derivados');
INSERT INTO `lang_definitions` VALUES (15165, 11153, 4, 'Transferir');
INSERT INTO `lang_definitions` VALUES (15166, 11154, 4, 'Fecha de transferencia');
INSERT INTO `lang_definitions` VALUES (15167, 11155, 4, 'Transferencia fallida, cantidad insuficiebnte el el lote de fuente');
INSERT INTO `lang_definitions` VALUES (15168, 11156, 4, 'Sumario de transferencia');
INSERT INTO `lang_definitions` VALUES (15169, 11157, 4, 'Transferir a');
INSERT INTO `lang_definitions` VALUES (15170, 11160, 4, 'Transferencias');
INSERT INTO `lang_definitions` VALUES (15171, 11162, 4, '¿Transición/Transferencia de cuidados?');
INSERT INTO `lang_definitions` VALUES (15172, 11163, 4, 'Traducir Grupos de Control de Acceso');
INSERT INTO `lang_definitions` VALUES (15173, 11164, 4, 'Traducir Categorías de Citas');
INSERT INTO `lang_definitions` VALUES (15174, 11165, 4, 'Traducir Categorías de Documento');
INSERT INTO `lang_definitions` VALUES (15175, 11166, 4, 'Traducir Diseños');
INSERT INTO `lang_definitions` VALUES (15176, 11167, 4, 'Traducir Listas');
INSERT INTO `lang_definitions` VALUES (15177, 11168, 4, 'Traducir título de notas de paciente');
INSERT INTO `lang_definitions` VALUES (15178, 11169, 4, 'traducir este');
INSERT INTO `lang_definitions` VALUES (15179, 11170, 4, 'Traducción');
INSERT INTO `lang_definitions` VALUES (15180, 11171, 4, 'Traducciones');
INSERT INTO `lang_definitions` VALUES (15181, 11172, 4, 'Trasmisión');
INSERT INTO `lang_definitions` VALUES (15182, 11175, 4, 'Trasmisión fallada');
INSERT INTO `lang_definitions` VALUES (15183, 11177, 4, 'Trasmitir órdenes seleccionadas');
INSERT INTO `lang_definitions` VALUES (15184, 11179, 4, 'Trauma');
INSERT INTO `lang_definitions` VALUES (15185, 11180, 4, 'Tratamiento');
INSERT INTO `lang_definitions` VALUES (15186, 11182, 4, 'Objetivos de Tratamiento');
INSERT INTO `lang_definitions` VALUES (15187, 11183, 4, 'Plan de Tratamiento');
INSERT INTO `lang_definitions` VALUES (15188, 11186, 4, 'Tratamiento:');
INSERT INTO `lang_definitions` VALUES (15189, 11187, 4, 'Tratamiento:');
INSERT INTO `lang_definitions` VALUES (15190, 11189, 4, 'Tendencia');
INSERT INTO `lang_definitions` VALUES (15191, 11190, 4, 'trftime ($ mes_formato, mkhora(0, 0, 0, $i, 1, 2000))); $ mes_valor');
INSERT INTO `lang_definitions` VALUES (15192, 11195, 4, 'Punto de activación / síndrome compartimental / DOM / calambres');
INSERT INTO `lang_definitions` VALUES (15193, 11196, 4, 'Trimalleolar');
INSERT INTO `lang_definitions` VALUES (15194, 11199, 4, 'Tronco y abdomen');
INSERT INTO `lang_definitions` VALUES (15195, 11205, 4, 'tsp');
INSERT INTO `lang_definitions` VALUES (15196, 11207, 4, 'TTS');
INSERT INTO `lang_definitions` VALUES (15197, 11208, 4, 'Tuberculosis');
INSERT INTO `lang_definitions` VALUES (15198, 11209, 4, 'Martes');
INSERT INTO `lang_definitions` VALUES (15199, 11210, 4, 'Martes y Jueves');
INSERT INTO `lang_definitions` VALUES (15200, 11211, 4, 'Martes');
INSERT INTO `lang_definitions` VALUES (15201, 11212, 4, 'Tumor');
INSERT INTO `lang_definitions` VALUES (15202, 11213, 4, 'Turco');
INSERT INTO `lang_definitions` VALUES (15203, 11222, 4, 'Dos veses al dia');
INSERT INTO `lang_definitions` VALUES (15204, 11226, 4, 'Membrana Timpánica');
INSERT INTO `lang_definitions` VALUES (15205, 11227, 4, 'Tipo');
INSERT INTO `lang_definitions` VALUES (15206, 11231, 4, 'Teclee ID o nombre. Mínimo 3 caracteres (incluyendo espacios).');
INSERT INTO `lang_definitions` VALUES (15207, 11238, 4, 'Teclee columnas mostradas en los resultados de búsqueda de pacientes');
INSERT INTO `lang_definitions` VALUES (15208, 11239, 4, 'Tipos de revelación de info');
INSERT INTO `lang_definitions` VALUES (15209, 11240, 4, 'Tipo de Eventos');
INSERT INTO `lang_definitions` VALUES (15210, 11242, 4, 'Tipo de diseño de pantalla');
INSERT INTO `lang_definitions` VALUES (15211, 11243, 4, 'Tipee o escanee el identificador del paciente aquí');
INSERT INTO `lang_definitions` VALUES (15212, 11248, 4, 'Teclee su mensaje aquí');
INSERT INTO `lang_definitions` VALUES (15213, 11249, 4, 'Tipo de orden y resultados');
INSERT INTO `lang_definitions` VALUES (15214, 11251, 4, 'J');
INSERT INTO `lang_definitions` VALUES (15215, 11252, 4, 'Ma');
INSERT INTO `lang_definitions` VALUES (15216, 11270, 4, 'Códigos UCSMC provistos por el centro de Medicina del Deporte de la Universidad de Calgary');
INSERT INTO `lang_definitions` VALUES (15217, 11271, 4, 'Ucraniano');
INSERT INTO `lang_definitions` VALUES (15218, 11272, 4, 'Ulceraciones');
INSERT INTO `lang_definitions` VALUES (15219, 11273, 4, 'Colitis ulcerosa');
INSERT INTO `lang_definitions` VALUES (15220, 11274, 4, 'Úlceras:');
INSERT INTO `lang_definitions` VALUES (15221, 11278, 4, 'No se puede crear');
INSERT INTO `lang_definitions` VALUES (15222, 11291, 4, 'No aplicado');
INSERT INTO `lang_definitions` VALUES (15223, 11292, 4, 'No asign.');
INSERT INTO `lang_definitions` VALUES (15224, 11293, 4, 'No autorizado');
INSERT INTO `lang_definitions` VALUES (15225, 11294, 4, 'Acceso no autorizado a ePrescripción');
INSERT INTO `lang_definitions` VALUES (15226, 11295, 4, 'Acceso no autorizado.');
INSERT INTO `lang_definitions` VALUES (15227, 11296, 4, 'No facturado');
INSERT INTO `lang_definitions` VALUES (15228, 11297, 4, 'no facturado solamente');
INSERT INTO `lang_definitions` VALUES (15229, 11300, 4, 'debajo de la lengüeta');
INSERT INTO `lang_definitions` VALUES (15230, 11303, 4, 'De peso insuficiente');
INSERT INTO `lang_definitions` VALUES (15231, 11304, 4, 'Sin diagnosticar');
INSERT INTO `lang_definitions` VALUES (15232, 11305, 4, 'Sin distribuir');
INSERT INTO `lang_definitions` VALUES (15233, 11306, 4, 'SIN DISTRIBUIR');
INSERT INTO `lang_definitions` VALUES (15234, 11307, 4, 'No es distribuido');
INSERT INTO `lang_definitions` VALUES (15235, 11309, 4, 'Deshacer liquidación');
INSERT INTO `lang_definitions` VALUES (15236, 11311, 4, 'Clientes únicos');
INSERT INTO `lang_definitions` VALUES (15237, 11312, 4, 'Identificador para este tipo sólo legible por humanos');
INSERT INTO `lang_definitions` VALUES (15238, 11315, 4, 'Nuevos Clientes Distintos');
INSERT INTO `lang_definitions` VALUES (15239, 11316, 4, 'Identificador para este tipo sólo numérico');
INSERT INTO `lang_definitions` VALUES (15240, 11317, 4, 'Unicos Pacientes Vistos');
INSERT INTO `lang_definitions` VALUES (15241, 11318, 4, 'Informe de unicos pacientes vistos');
INSERT INTO `lang_definitions` VALUES (15242, 11319, 4, 'Pactes.únicos vistos');
INSERT INTO `lang_definitions` VALUES (15243, 11320, 4, 'Unidad');
INSERT INTO `lang_definitions` VALUES (15244, 11321, 4, 'Unidades');
INSERT INTO `lang_definitions` VALUES (15245, 11322, 4, 'unidades');
INSERT INTO `lang_definitions` VALUES (15246, 11324, 4, 'Unidades de formularios de visita');
INSERT INTO `lang_definitions` VALUES (15247, 11325, 4, 'Unidades deben ser un numero');
INSERT INTO `lang_definitions` VALUES (15248, 11326, 4, 'Unidades no definidas');
INSERT INTO `lang_definitions` VALUES (15249, 11327, 4, 'Unidades/L');
INSERT INTO `lang_definitions` VALUES (15250, 11328, 4, 'Desconocido');
INSERT INTO `lang_definitions` VALUES (15251, 11331, 4, 'Desconoce si ha fumado alguna vez');
INSERT INTO `lang_definitions` VALUES (15252, 11332, 4, 'Desconocidos o N/A');
INSERT INTO `lang_definitions` VALUES (15253, 11344, 4, 'Desvincular paciente');
INSERT INTO `lang_definitions` VALUES (15254, 11345, 4, 'Sociedad Médica sin nombre');
INSERT INTO `lang_definitions` VALUES (15255, 11346, 4, 'No registrado');
INSERT INTO `lang_definitions` VALUES (15256, 11349, 4, 'Desmarcar todos');
INSERT INTO `lang_definitions` VALUES (15257, 11350, 4, 'Desmarcado');
INSERT INTO `lang_definitions` VALUES (15258, 11351, 4, 'Sin especificar');
INSERT INTO `lang_definitions` VALUES (15259, 11352, 4, 'no estructurado');
INSERT INTO `lang_definitions` VALUES (15260, 11354, 4, 'Fichero de carga NO SOPORTADO por la bbdd');
INSERT INTO `lang_definitions` VALUES (15261, 11356, 4, 'Hasta');
INSERT INTO `lang_definitions` VALUES (15262, 11359, 4, 'Presentación extemporánea');
INSERT INTO `lang_definitions` VALUES (15263, 11360, 4, 'No utilizados');
INSERT INTO `lang_definitions` VALUES (15264, 11361, 4, 'UOR');
INSERT INTO `lang_definitions` VALUES (15265, 11362, 4, 'Hasta');
INSERT INTO `lang_definitions` VALUES (15266, 11364, 4, 'Próximas Citas');
INSERT INTO `lang_definitions` VALUES (15267, 11365, 4, 'Próximos Eventos');
INSERT INTO `lang_definitions` VALUES (15268, 11366, 4, 'Actualizar');
INSERT INTO `lang_definitions` VALUES (15269, 11367, 4, 'actualizar');
INSERT INTO `lang_definitions` VALUES (15270, 11368, 4, 'Actualizacion activa');
INSERT INTO `lang_definitions` VALUES (15271, 11371, 4, 'Actualizar archivos');
INSERT INTO `lang_definitions` VALUES (15272, 11372, 4, 'Actualizar Informacion');
INSERT INTO `lang_definitions` VALUES (15273, 11374, 4, 'Actualizar lista');
INSERT INTO `lang_definitions` VALUES (15274, 11377, 4, 'Actualizar numero de proveedor');
INSERT INTO `lang_definitions` VALUES (15275, 11378, 4, 'Actualizar items seleccionados');
INSERT INTO `lang_definitions` VALUES (15276, 11383, 4, 'Actualizar las siguientes variables en el file');
INSERT INTO `lang_definitions` VALUES (15277, 11384, 4, 'Actualizar informacion de usuario');
INSERT INTO `lang_definitions` VALUES (15278, 11390, 4, 'Updating demographics is not authorized.');
INSERT INTO `lang_definitions` VALUES (15279, 11391, 4, 'Actualizando la configuración global predeterminada');
INSERT INTO `lang_definitions` VALUES (15280, 11392, 4, 'Actualizando indicadores de versión');
INSERT INTO `lang_definitions` VALUES (15281, 11393, 4, 'ACTUALIZACIÓN');
INSERT INTO `lang_definitions` VALUES (15282, 11394, 4, 'Actualizar');
INSERT INTO `lang_definitions` VALUES (15283, 11396, 4, 'Actualizar BBDD');
INSERT INTO `lang_definitions` VALUES (15284, 11398, 4, 'Actualización de base de datos OpenEMR para incluir procedimientos, funciones y tablas necesarias para el proceso de De-identificación.');
INSERT INTO `lang_definitions` VALUES (15285, 11399, 4, 'la actualización continuará');
INSERT INTO `lang_definitions` VALUES (15286, 11400, 4, 'UPIN');
INSERT INTO `lang_definitions` VALUES (15287, 11401, 4, 'Subir');
INSERT INTO `lang_definitions` VALUES (15288, 11406, 4, 'Cargar configuracion de datos');
INSERT INTO `lang_definitions` VALUES (15289, 11407, 4, 'Subir Documento');
INSERT INTO `lang_definitions` VALUES (15290, 11408, 4, 'Carga del documento fallo');
INSERT INTO `lang_definitions` VALUES (15291, 11410, 4, 'Adjuntar imagen a');
INSERT INTO `lang_definitions` VALUES (15292, 11411, 4, 'Subrir archivo de importación:');
INSERT INTO `lang_definitions` VALUES (15293, 11412, 4, 'Subir item');
INSERT INTO `lang_definitions` VALUES (15294, 11413, 4, 'Subir pdf de educación del paciente a');
INSERT INTO `lang_definitions` VALUES (15295, 11414, 4, 'Subida procesada con éxito');
INSERT INTO `lang_definitions` VALUES (15296, 11415, 4, 'Subir informe');
INSERT INTO `lang_definitions` VALUES (15297, 11416, 4, 'Subir templado para');
INSERT INTO `lang_definitions` VALUES (15298, 11417, 4, 'Cargue el archivo xml en la categoría CCR');
INSERT INTO `lang_definitions` VALUES (15299, 11418, 4, 'Subir este archivo:');
INSERT INTO `lang_definitions` VALUES (15300, 11421, 4, 'Al hacer clic en un número de factura el \"manual de desplazamiento ventana\" aparece. Aquí puede cambiar la fecha de vencimiento y toma nota de la factura, para seleccionar la parte a quien se le envío por correo, y seleccione los seguros para que todos esperemos los pagos se han recibidos. Lo que es más importante, para cada código de facturación para los que fue acusado una cantidad, puede introducir la información de pago y el ajuste.');
INSERT INTO `lang_definitions` VALUES (15301, 11426, 4, 'Tras la búsqueda se le presenta con una lista de las facturas. Puede hacer clic en uno de los números de la factura para abrir una segunda ventana, que es la página de entrada de datos manual de desplazamiento. También puede hacer clic sobre el nombre de un paciente si desea escribir una nota que la oficina de personal se verá cuando el paciente en los controles, y usted puede seleccionar que aparezca en las facturas del paciente declaraciones e imprimir esas declaraciones.');
INSERT INTO `lang_definitions` VALUES (15302, 11429, 4, 'Parte superior del brazo');
INSERT INTO `lang_definitions` VALUES (15303, 11432, 4, 'Urgencia');
INSERT INTO `lang_definitions` VALUES (15304, 11436, 4, 'Orina');
INSERT INTO `lang_definitions` VALUES (15305, 11437, 4, 'Goteo de Orina');
INSERT INTO `lang_definitions` VALUES (15306, 11438, 4, 'Frecuencia de la Orina');
INSERT INTO `lang_definitions` VALUES (15307, 11439, 4, 'Vacilación de la Orina');
INSERT INTO `lang_definitions` VALUES (15308, 11440, 4, 'Microalbúmina de la orina');
INSERT INTO `lang_definitions` VALUES (15309, 11441, 4, 'Flujo de Orina');
INSERT INTO `lang_definitions` VALUES (15310, 11442, 4, 'Urgencia de la Orina');
INSERT INTO `lang_definitions` VALUES (15311, 11443, 4, 'URL');
INSERT INTO `lang_definitions` VALUES (15312, 11445, 4, 'URL para soporte OpenEMR');
INSERT INTO `lang_definitions` VALUES (15313, 11446, 4, 'URL para puerta de enlace telefónico. ');
INSERT INTO `lang_definitions` VALUES (15314, 11447, 4, 'URL para puerta de enlace telefónico. Servicio automático de VOIP desarrollado por Maviq. Por favor visite http://signup.maviq.com para más información.');
INSERT INTO `lang_definitions` VALUES (15315, 11448, 4, 'URL para el sitio de WordPress que admite el portal');
INSERT INTO `lang_definitions` VALUES (15316, 11449, 4, 'URLs para la dirección del servicio NewCrop eRx, separadas por un punto y coma.');
INSERT INTO `lang_definitions` VALUES (15317, 11450, 4, 'EE.UU.');
INSERT INTO `lang_definitions` VALUES (15318, 11451, 4, 'Uso');
INSERT INTO `lang_definitions` VALUES (15319, 11453, 4, 'Indicador de uso (ISA15)');
INSERT INTO `lang_definitions` VALUES (15320, 11454, 4, 'Claves para el uso');
INSERT INTO `lang_definitions` VALUES (15321, 11456, 4, 'Use % solo en un campo para ordenar por esa columna');
INSERT INTO `lang_definitions` VALUES (15322, 11457, 4, 'Utilice el formato de 24 horas?');
INSERT INTO `lang_definitions` VALUES (15323, 11459, 4, 'Use una palabra única para identificar este grupo, tiene que ser una sola palabra, si usa dos palabras, únelas con un guión bajo o guión.');
INSERT INTO `lang_definitions` VALUES (15324, 11460, 4, 'Usar directorio activo');
INSERT INTO `lang_definitions` VALUES (15325, 11462, 4, 'Usar etitquetas Avery');
INSERT INTO `lang_definitions` VALUES (15326, 11464, 4, 'Utilice la tecnología certificada EHR para identificar recursos educativos específicos para el paciente y proporcione esos recursos al paciente, si corresponde (Nuevo).');
INSERT INTO `lang_definitions` VALUES (15327, 11465, 4, 'Utilice la tecnología certificada EHR para identificar recursos educativos específicos para el paciente y proporcione esos recursos al paciente, si corresponde.');
INSERT INTO `lang_definitions` VALUES (15328, 11466, 4, 'Usar panel de cargos');
INSERT INTO `lang_definitions` VALUES (15329, 11467, 4, 'Use CPOE para pedidos de medicamentos ingresados directamente por cualquier profesional de la salud con licencia que pueda ingresar pedidos en el registro médico según las pautas estatales, locales y profesionales.');
INSERT INTO `lang_definitions` VALUES (15330, 11468, 4, 'Use CPOE para órdenes de medicación');
INSERT INTO `lang_definitions` VALUES (15331, 11469, 4, 'Use CPOE para órdenes de medicación (alternativa)');
INSERT INTO `lang_definitions` VALUES (15332, 11470, 4, 'Use CPOE para órdenes de procedimiento');
INSERT INTO `lang_definitions` VALUES (15333, 11471, 4, 'Use CPOE para órdenes de radiología');
INSERT INTO `lang_definitions` VALUES (15334, 11472, 4, 'Usar mensajes a medida');
INSERT INTO `lang_definitions` VALUES (15335, 11473, 4, 'Usar informe adaptado para fin de día');
INSERT INTO `lang_definitions` VALUES (15336, 11474, 4, 'Usar lista personalizada de vacunación');
INSERT INTO `lang_definitions` VALUES (15337, 11476, 4, 'Utilice Rango de Fechas');
INSERT INTO `lang_definitions` VALUES (15338, 11477, 4, 'Use opciones por defecto');
INSERT INTO `lang_definitions` VALUES (15339, 11478, 4, 'Utilice la Opción Borrar para Eliminar.');
INSERT INTO `lang_definitions` VALUES (15340, 11479, 4, '¿Utilice el estilo internacional de la fecha?');
INSERT INTO `lang_definitions` VALUES (15341, 11483, 4, 'Utilice nombre de fichero fuente');
INSERT INTO `lang_definitions` VALUES (15342, 11486, 4, 'Use los cambpos abajo para una adquisicion o transferencia');
INSERT INTO `lang_definitions` VALUES (15343, 11490, 4, 'Utilice esta función sólo con los sitios nuevos instalados,');
INSERT INTO `lang_definitions` VALUES (15344, 11492, 4, 'Utilice esta sección para eliminar grupos existentes u Objetos de solicitud de acceso (ARO)');
INSERT INTO `lang_definitions` VALUES (15345, 11493, 4, 'Usar temas?');
INSERT INTO `lang_definitions` VALUES (15346, 11496, 4, 'Usuario');
INSERT INTO `lang_definitions` VALUES (15347, 11497, 4, 'Usuario');
INSERT INTO `lang_definitions` VALUES (15348, 11498, 4, 'Usuarios/Grupos');
INSERT INTO `lang_definitions` VALUES (15349, 11499, 4, 'Usar Administración');
INSERT INTO `lang_definitions` VALUES (15350, 11500, 4, 'Administración de usuarios y Centros');
INSERT INTO `lang_definitions` VALUES (15351, 11501, 4, 'Administración de usuarios y grupos');
INSERT INTO `lang_definitions` VALUES (15352, 11502, 4, 'El usuario no debe ser borrado');
INSERT INTO `lang_definitions` VALUES (15353, 11503, 4, 'Certificado de Autenticacion del usuario esta deshabilitado');
INSERT INTO `lang_definitions` VALUES (15354, 11507, 4, 'Definido por el usuario');
INSERT INTO `lang_definitions` VALUES (15355, 11508, 4, 'Definido por el usuario Zona 11');
INSERT INTO `lang_definitions` VALUES (15356, 11509, 4, 'Definido por el usuario Zona 12');
INSERT INTO `lang_definitions` VALUES (15357, 11510, 4, 'Campo definido por el usario');
INSERT INTO `lang_definitions` VALUES (15358, 11511, 4, 'Definido por el usuario Lista 1');
INSERT INTO `lang_definitions` VALUES (15359, 11512, 4, 'Definido por el usuario Lista 2');
INSERT INTO `lang_definitions` VALUES (15360, 11513, 4, 'Definido por el usuario Lista 3');
INSERT INTO `lang_definitions` VALUES (15361, 11514, 4, 'Definido por el usuario Lista 4');
INSERT INTO `lang_definitions` VALUES (15362, 11515, 4, 'Definido por el usuario Lista 5');
INSERT INTO `lang_definitions` VALUES (15363, 11516, 4, 'Definido por el usuario Lista 6');
INSERT INTO `lang_definitions` VALUES (15364, 11517, 4, 'Definido por el usuario Lista 7');
INSERT INTO `lang_definitions` VALUES (15365, 11518, 4, 'Definido por el usuario Texto 1');
INSERT INTO `lang_definitions` VALUES (15366, 11519, 4, 'Definido por el usuario Texto 2');
INSERT INTO `lang_definitions` VALUES (15367, 11520, 4, 'Definido por el usuario Texto 3');
INSERT INTO `lang_definitions` VALUES (15368, 11521, 4, 'Definido por el usuario Texto 4');
INSERT INTO `lang_definitions` VALUES (15369, 11522, 4, 'Definido por el usuario Texto 5');
INSERT INTO `lang_definitions` VALUES (15370, 11523, 4, 'Definido por el usuario Texto 6');
INSERT INTO `lang_definitions` VALUES (15371, 11524, 4, 'Definido por el usuario Texto 7');
INSERT INTO `lang_definitions` VALUES (15372, 11525, 4, 'Definido por el usuario Texto 8');
INSERT INTO `lang_definitions` VALUES (15373, 11526, 4, 'Usuario Nombre');
INSERT INTO `lang_definitions` VALUES (15374, 11527, 4, 'Id de usuario');
INSERT INTO `lang_definitions` VALUES (15375, 11528, 4, 'Id de usuario');
INSERT INTO `lang_definitions` VALUES (15376, 11529, 4, 'El usuario debe tener este control de acceso para alertas activas y alertas pasivas');
INSERT INTO `lang_definitions` VALUES (15377, 11530, 4, 'Ingreso de usuario (Si dice arriba 03 , sino deje espacios) (ISA02)');
INSERT INTO `lang_definitions` VALUES (15378, 11531, 4, 'Indicador de registro de usuario requerido (ISA01~ usar 00 o 03)');
INSERT INTO `lang_definitions` VALUES (15379, 11532, 4, 'Manual de Uso');
INSERT INTO `lang_definitions` VALUES (15380, 11533, 4, 'Permisos de usuarios');
INSERT INTO `lang_definitions` VALUES (15381, 11534, 4, 'Apellido de usuario');
INSERT INTO `lang_definitions` VALUES (15382, 11536, 4, 'Nombre del Usuario o Huesped no pueden estar vacios');
INSERT INTO `lang_definitions` VALUES (15383, 11537, 4, 'Nombre del Usuario o Huesped');
INSERT INTO `lang_definitions` VALUES (15384, 11538, 4, 'Password del usuario');
INSERT INTO `lang_definitions` VALUES (15385, 11539, 4, 'Password del usuario (ISA04~ si arriba es 01, sinó dejar espacios)');
INSERT INTO `lang_definitions` VALUES (15386, 11540, 4, 'User password required Indicator (ISA03~ use 00 or 01)');
INSERT INTO `lang_definitions` VALUES (15387, 11541, 4, 'Ajustes de Usuario');
INSERT INTO `lang_definitions` VALUES (15388, 11542, 4, 'Firma usuario');
INSERT INTO `lang_definitions` VALUES (15389, 11543, 4, 'Ajuste Específico de usuario');
INSERT INTO `lang_definitions` VALUES (15390, 11544, 4, 'Nuevo Password del usuario');
INSERT INTO `lang_definitions` VALUES (15391, 11545, 4, 'Userlist1');
INSERT INTO `lang_definitions` VALUES (15392, 11546, 4, 'Userlist2');
INSERT INTO `lang_definitions` VALUES (15393, 11547, 4, 'Userlist3');
INSERT INTO `lang_definitions` VALUES (15394, 11548, 4, 'Userlist4');
INSERT INTO `lang_definitions` VALUES (15395, 11549, 4, 'Userlist5');
INSERT INTO `lang_definitions` VALUES (15396, 11550, 4, 'Userlist6');
INSERT INTO `lang_definitions` VALUES (15397, 11551, 4, 'Userlist7');
INSERT INTO `lang_definitions` VALUES (15398, 11552, 4, 'username');
INSERT INTO `lang_definitions` VALUES (15399, 11553, 4, 'Nombre de usuario');
INSERT INTO `lang_definitions` VALUES (15400, 11554, 4, 'Nombre de usuario para acceso telefónico');
INSERT INTO `lang_definitions` VALUES (15401, 11555, 4, 'Usuario para puerta de enlace telefónico. Servicio automático de VOIP desarrollado por Maviq. Por favor visite http://signup.maviq.com para más información.');
INSERT INTO `lang_definitions` VALUES (15402, 11556, 4, 'Nombre de usuario para la entrada de SMS');
INSERT INTO `lang_definitions` VALUES (15403, 11557, 4, 'Usuario para puerta de enlace SMS');
INSERT INTO `lang_definitions` VALUES (15404, 11558, 4, 'Nombre de usuario para conectar con CouchDB');
INSERT INTO `lang_definitions` VALUES (15405, 11559, 4, 'Nombre de usuario:');
INSERT INTO `lang_definitions` VALUES (15406, 11560, 4, 'Usuarios');
INSERT INTO `lang_definitions` VALUES (15407, 11561, 4, 'Los usuarios son el CN de Windows estándar, reemplaza las cosas de DC con tu dominio.');
INSERT INTO `lang_definitions` VALUES (15408, 11564, 4, 'Usuarios / Grupos / Administración de Registros');
INSERT INTO `lang_definitions` VALUES (15409, 11565, 4, 'Usuarios / Grupos / Administración de Registros');
INSERT INTO `lang_definitions` VALUES (15410, 11566, 4, 'Usertext1');
INSERT INTO `lang_definitions` VALUES (15411, 11567, 4, 'Usertext2');
INSERT INTO `lang_definitions` VALUES (15412, 11568, 4, 'Usertext3');
INSERT INTO `lang_definitions` VALUES (15413, 11569, 4, 'Usertext4');
INSERT INTO `lang_definitions` VALUES (15414, 11570, 4, 'Usertext5');
INSERT INTO `lang_definitions` VALUES (15415, 11571, 4, 'Usertext6');
INSERT INTO `lang_definitions` VALUES (15416, 11572, 4, 'Usertext7');
INSERT INTO `lang_definitions` VALUES (15417, 11573, 4, 'Usertext8');
INSERT INTO `lang_definitions` VALUES (15418, 11574, 4, 'usar php <a href=\"http://php.net/strftime\">strfhora</a> formato');
INSERT INTO `lang_definitions` VALUES (15419, 11577, 4, 'usando tecnologia para mejorar productividad');
INSERT INTO `lang_definitions` VALUES (15420, 11583, 4, 'Infec. tracto urinario');
INSERT INTO `lang_definitions` VALUES (15421, 11588, 4, 'VACACIONES');
INSERT INTO `lang_definitions` VALUES (15422, 11589, 4, 'Vacaciones');
INSERT INTO `lang_definitions` VALUES (15423, 11590, 4, 'Vacuna');
INSERT INTO `lang_definitions` VALUES (15424, 11591, 4, 'Categoría de elegibilidad del programa de financiación de vacunas');
INSERT INTO `lang_definitions` VALUES (15425, 11592, 4, 'Tipo de vacuna');
INSERT INTO `lang_definitions` VALUES (15426, 11593, 4, 'Anillo Vaginal');
INSERT INTO `lang_definitions` VALUES (15427, 11594, 4, 'Despedida');
INSERT INTO `lang_definitions` VALUES (15428, 11596, 4, 'Validar');
INSERT INTO `lang_definitions` VALUES (15429, 11599, 4, 'Registro de validación');
INSERT INTO `lang_definitions` VALUES (15430, 11605, 4, 'Error de validación. Fijar y reenviar. Los valores de pago están preservados.');
INSERT INTO `lang_definitions` VALUES (15431, 11606, 4, 'Error de validación: corrige y reenvía. ¡Esta información emergente está preservada!');
INSERT INTO `lang_definitions` VALUES (15432, 11607, 4, 'Mecanismo de validación para cuando se modifican los datos demográficos de los pacientes.');
INSERT INTO `lang_definitions` VALUES (15433, 11608, 4, 'Regla de validación');
INSERT INTO `lang_definitions` VALUES (15434, 11609, 4, 'Valor');
INSERT INTO `lang_definitions` VALUES (15435, 11610, 4, 'Valor 1');
INSERT INTO `lang_definitions` VALUES (15436, 11611, 4, 'Valor 2');
INSERT INTO `lang_definitions` VALUES (15437, 11612, 4, 'Valor si se compara');
INSERT INTO `lang_definitions` VALUES (15438, 11613, 4, 'El valor debe ser Numérico');
INSERT INTO `lang_definitions` VALUES (15439, 11614, 4, 'Var1');
INSERT INTO `lang_definitions` VALUES (15440, 11615, 4, 'Var2');
INSERT INTO `lang_definitions` VALUES (15441, 11616, 4, 'variable a uno para ejecutar script de actualización des-identificación');
INSERT INTO `lang_definitions` VALUES (15442, 11617, 4, 'Variación en la discriminación del color rojo entre los ojos (por ejemplo, OD = $1,00, OS = $0,75)');
INSERT INTO `lang_definitions` VALUES (15443, 11618, 4, 'Variación en la discriminación de brillo de luz blanca (muscular) entre los ojos (p. Ej. OD = $ 1.00, OS = $ 0.75)');
INSERT INTO `lang_definitions` VALUES (15444, 11619, 4, 'Varicela 1');
INSERT INTO `lang_definitions` VALUES (15445, 11620, 4, 'Varicela 2');
INSERT INTO `lang_definitions` VALUES (15446, 11621, 4, 'Venas varicosas');
INSERT INTO `lang_definitions` VALUES (15447, 11623, 4, 'Condición vascular');
INSERT INTO `lang_definitions` VALUES (15448, 11624, 4, 'Lesión vascular');
INSERT INTO `lang_definitions` VALUES (15449, 11625, 4, 'Cirugía Vascular');
INSERT INTO `lang_definitions` VALUES (15450, 11630, 4, 'Vendedor');
INSERT INTO `lang_definitions` VALUES (15451, 11633, 4, 'Verificar');
INSERT INTO `lang_definitions` VALUES (15452, 11634, 4, 'Versión');
INSERT INTO `lang_definitions` VALUES (15453, 11635, 4, 'Versión 1 Dirección del sitio Portal del paciente en sitio ');
INSERT INTO `lang_definitions` VALUES (15454, 11636, 4, 'Versión 2 Dirección del sitio Portal del paciente en sitio ');
INSERT INTO `lang_definitions` VALUES (15455, 11653, 4, 'Vértigo');
INSERT INTO `lang_definitions` VALUES (15456, 11656, 4, 'Administración de Veteranos');
INSERT INTO `lang_definitions` VALUES (15457, 11657, 4, 'Plan de Administración de veteranos');
INSERT INTO `lang_definitions` VALUES (15458, 11659, 4, 'VFC');
INSERT INTO `lang_definitions` VALUES (15459, 11666, 4, 'Vietnamita');
INSERT INTO `lang_definitions` VALUES (15460, 11667, 4, 'Ver');
INSERT INTO `lang_definitions` VALUES (15461, 11668, 4, 'ver');
INSERT INTO `lang_definitions` VALUES (15462, 11670, 4, 'Ver Alergias');
INSERT INTO `lang_definitions` VALUES (15463, 11676, 4, 'Ver Informe abarcativo del paciente');
INSERT INTO `lang_definitions` VALUES (15464, 11679, 4, 'Ver documento');
INSERT INTO `lang_definitions` VALUES (15465, 11681, 4, 'Ver encuentro');
INSERT INTO `lang_definitions` VALUES (15466, 11683, 4, 'Ver los eventos en una ventana móvil?');
INSERT INTO `lang_definitions` VALUES (15467, 11684, 4, 'Ver información de usuario en el centro especificado');
INSERT INTO `lang_definitions` VALUES (15468, 11685, 4, 'Ver 4 panel');
INSERT INTO `lang_definitions` VALUES (15469, 11687, 4, 'Ver Registro');
INSERT INTO `lang_definitions` VALUES (15470, 11690, 4, 'Ver Página 1');
INSERT INTO `lang_definitions` VALUES (15471, 11691, 4, 'Ver Página 2');
INSERT INTO `lang_definitions` VALUES (15472, 11692, 4, 'Ver recordatorios pasados y futuros');
INSERT INTO `lang_definitions` VALUES (15473, 11693, 4, 'Ver encuentro pasado');
INSERT INTO `lang_definitions` VALUES (15474, 11694, 4, 'Ver encuentros pasados');
INSERT INTO `lang_definitions` VALUES (15475, 11695, 4, 'Ver Paciente');
INSERT INTO `lang_definitions` VALUES (15476, 11696, 4, 'Ver reglas del plan');
INSERT INTO `lang_definitions` VALUES (15477, 11697, 4, 'Ver imprimibles');
INSERT INTO `lang_definitions` VALUES (15478, 11698, 4, 'Ver informe imprimible');
INSERT INTO `lang_definitions` VALUES (15479, 11699, 4, 'Ver versión imprimible');
INSERT INTO `lang_definitions` VALUES (15480, 11700, 4, 'Ver visitas relacionadas');
INSERT INTO `lang_definitions` VALUES (15481, 11701, 4, 'Ver informe');
INSERT INTO `lang_definitions` VALUES (15482, 11702, 4, 'Ver archivo Readme');
INSERT INTO `lang_definitions` VALUES (15483, 11703, 4, 'Ver el informe resumido enviado al servidor de fax.');
INSERT INTO `lang_definitions` VALUES (15484, 11704, 4, 'Ver el informe resumido enviado al servidor de fax.');
INSERT INTO `lang_definitions` VALUES (15485, 11705, 4, 'Ver, descargar, transmitir (VDT) (Medida B)');
INSERT INTO `lang_definitions` VALUES (15486, 11706, 4, 'Ver, descargar, transmitir (VDT) (Medida A)');
INSERT INTO `lang_definitions` VALUES (15487, 11707, 4, 'Ver / Crear / Actualizar grupos');
INSERT INTO `lang_definitions` VALUES (15488, 11709, 4, 'Ver / Crear / Actualizar cita de grupos en el calendario');
INSERT INTO `lang_definitions` VALUES (15489, 11712, 4, 'Ver/Editar Alergias');
INSERT INTO `lang_definitions` VALUES (15490, 11713, 4, 'Ver/Editar incidencia');
INSERT INTO `lang_definitions` VALUES (15491, 11714, 4, 'Ver/Imprimir');
INSERT INTO `lang_definitions` VALUES (15492, 11717, 4, 'Ver:');
INSERT INTO `lang_definitions` VALUES (15493, 11718, 4, 'VISA');
INSERT INTO `lang_definitions` VALUES (15494, 11719, 4, 'VISA/MasterCard/AMEREXPRESS/Discovery');
INSERT INTO `lang_definitions` VALUES (15495, 11720, 4, 'VISA/MC/Discovery/HSA');
INSERT INTO `lang_definitions` VALUES (15496, 11721, 4, 'Daño viscerales/trauma/cirugía');
INSERT INTO `lang_definitions` VALUES (15497, 11723, 4, 'Visión');
INSERT INTO `lang_definitions` VALUES (15498, 11724, 4, 'Visita');
INSERT INTO `lang_definitions` VALUES (15499, 11725, 4, 'Atributos de visita');
INSERT INTO `lang_definitions` VALUES (15500, 11726, 4, 'Categorías de visita');
INSERT INTO `lang_definitions` VALUES (15501, 11727, 4, 'Categoría de Visita');
INSERT INTO `lang_definitions` VALUES (15502, 11728, 4, 'Categoría de Visita:');
INSERT INTO `lang_definitions` VALUES (15503, 11729, 4, 'Fecha de Visita');
INSERT INTO `lang_definitions` VALUES (15504, 11730, 4, 'Fecha visita');
INSERT INTO `lang_definitions` VALUES (15505, 11732, 4, 'Atributos de formul. de visita');
INSERT INTO `lang_definitions` VALUES (15506, 11733, 4, 'La ID del formulario de visita debe comenzar con LBF. La ID del formulario de transacción debe comenzar con LBT.');
INSERT INTO `lang_definitions` VALUES (15507, 11734, 4, 'Formularios de visita');
INSERT INTO `lang_definitions` VALUES (15508, 11736, 4, 'Histórico de Visitas');
INSERT INTO `lang_definitions` VALUES (15509, 11737, 4, 'Pag.inicio para visita de paciente');
INSERT INTO `lang_definitions` VALUES (15510, 11738, 4, 'Pag.inicio para proveedor de visita');
INSERT INTO `lang_definitions` VALUES (15511, 11739, 4, 'Razón de visita');
INSERT INTO `lang_definitions` VALUES (15512, 11740, 4, 'Estado de visita');
INSERT INTO `lang_definitions` VALUES (15513, 11741, 4, 'Sumario de visita');
INSERT INTO `lang_definitions` VALUES (15514, 11742, 4, 'Servidor de prueba de visita');
INSERT INTO `lang_definitions` VALUES (15515, 11743, 4, 'Tipo de visita');
INSERT INTO `lang_definitions` VALUES (15516, 11744, 4, 'Pacientes visitados');
INSERT INTO `lang_definitions` VALUES (15517, 11745, 4, 'Visitas');
INSERT INTO `lang_definitions` VALUES (15518, 11746, 4, 'Visitas De');
INSERT INTO `lang_definitions` VALUES (15519, 11747, 4, 'Claridad visual');
INSERT INTO `lang_definitions` VALUES (15520, 11748, 4, 'Claridad visual');
INSERT INTO `lang_definitions` VALUES (15521, 11749, 4, 'Campos visuales');
INSERT INTO `lang_definitions` VALUES (15522, 11751, 4, 'Signos Vitales');
INSERT INTO `lang_definitions` VALUES (15523, 11752, 4, 'Vitales');
INSERT INTO `lang_definitions` VALUES (15524, 11753, 4, 'Vitales (Métrico)');
INSERT INTO `lang_definitions` VALUES (15525, 11754, 4, 'Datos vitales de opciones');
INSERT INTO `lang_definitions` VALUES (15526, 11756, 4, 'Voz');
INSERT INTO `lang_definitions` VALUES (15527, 11757, 4, 'Mensajes de voz');
INSERT INTO `lang_definitions` VALUES (15528, 11758, 4, 'Voz Enviada');
INSERT INTO `lang_definitions` VALUES (15529, 11763, 4, 'Vómitos');
INSERT INTO `lang_definitions` VALUES (15530, 11764, 4, 'Número de voucher');
INSERT INTO `lang_definitions` VALUES (15531, 11767, 4, 'W');
INSERT INTO `lang_definitions` VALUES (15532, 11770, 4, 'Circ cintura');
INSERT INTO `lang_definitions` VALUES (15533, 11771, 4, 'Circunferencia de la Cintura');
INSERT INTO `lang_definitions` VALUES (15534, 11772, 4, 'Espera');
INSERT INTO `lang_definitions` VALUES (15535, 11773, 4, 'Entrar');
INSERT INTO `lang_definitions` VALUES (15536, 11774, 4, 'Clínica de salud abierta');
INSERT INTO `lang_definitions` VALUES (15537, 11776, 4, 'Walt Pennington');
INSERT INTO `lang_definitions` VALUES (15538, 11777, 4, 'Incapaz sujeto a guarda');
INSERT INTO `lang_definitions` VALUES (15539, 11778, 4, 'Tienda de deposito');
INSERT INTO `lang_definitions` VALUES (15540, 11779, 4, 'Cambio de depósito');
INSERT INTO `lang_definitions` VALUES (15541, 11780, 4, 'Almacén máximo, 0 si no es aplicable');
INSERT INTO `lang_definitions` VALUES (15542, 11781, 4, 'Almacén mínimo, 0 si no es aplicable');
INSERT INTO `lang_definitions` VALUES (15543, 11782, 4, 'Tiendas de deposito');
INSERT INTO `lang_definitions` VALUES (15544, 11783, 4, 'Cálido');
INSERT INTO `lang_definitions` VALUES (15545, 11786, 4, 'Aviso');
INSERT INTO `lang_definitions` VALUES (15546, 11787, 4, 'AVISO');
INSERT INTO `lang_definitions` VALUES (15547, 11788, 4, 'ADVERTENCIA - LOS SIGUIENTES MEDICAMENTOS ACTIVOS SON ALERGIAS');
INSERT INTO `lang_definitions` VALUES (15548, 11789, 4, 'Aviso, número de cheque ya existe en la base de datos');
INSERT INTO `lang_definitions` VALUES (15549, 11790, 4, 'Aviso, el paciente tiene códigos ambiguos en la lista de problemas');
INSERT INTO `lang_definitions` VALUES (15550, 11791, 4, 'Aviso: ya hay una cita para este paciente hoy!');
INSERT INTO `lang_definitions` VALUES (15551, 11792, 4, 'Aviso: anticoncepción para paciente menor de 10 o mayor de 50');
INSERT INTO `lang_definitions` VALUES (15552, 11793, 4, 'Aviso: método contraceptivo no compatible con paciente varón');
INSERT INTO `lang_definitions` VALUES (15553, 11794, 4, 'Aviso: si usa la versión española 2012.oct.31 el snomed tiene doble zip');
INSERT INTO `lang_definitions` VALUES (15554, 11795, 4, 'Aviso: error de navegación. Favor refrescar pág.');
INSERT INTO `lang_definitions` VALUES (15555, 11796, 4, 'Aviso: Nº Identificación del paciente no es único!');
INSERT INTO `lang_definitions` VALUES (15556, 11797, 4, 'Advertencia: no hay producto que coincida con el producto anticonceptivo.');
INSERT INTO `lang_definitions` VALUES (15557, 11798, 4, 'Advertencia: no hay servicio que coincida con el producto anticonceptivo.');
INSERT INTO `lang_definitions` VALUES (15558, 11799, 4, 'AVISO: Esto sobreescribirá la información de configuración con los datos del fichero adjunto!');
INSERT INTO `lang_definitions` VALUES (15559, 11800, 4, 'AVISOS');
INSERT INTO `lang_definitions` VALUES (15560, 11801, 4, 'Avisos');
INSERT INTO `lang_definitions` VALUES (15561, 11802, 4, 'Avisos y alertas o recordatorios');
INSERT INTO `lang_definitions` VALUES (15562, 11803, 4, 'ya se ha subido');
INSERT INTO `lang_definitions` VALUES (15563, 11804, 4, 'no hallado');
INSERT INTO `lang_definitions` VALUES (15564, 11805, 4, 'Agradecemos su pago a tiempo del balance debido');
INSERT INTO `lang_definitions` VALUES (15565, 11806, 4, 'Agradecemos su pago a tiempo del balance debido');
INSERT INTO `lang_definitions` VALUES (15566, 11809, 4, 'hemos visto por encima de su paciente para la evaluación y tratamiento en nuestra clínica de consulta externa de psiquiatría. Gracias por esta referencia.');
INSERT INTO `lang_definitions` VALUES (15567, 11821, 4, 'Debilidad');
INSERT INTO `lang_definitions` VALUES (15568, 11825, 4, 'Referencia web');
INSERT INTO `lang_definitions` VALUES (15569, 11826, 4, 'Búsqueda web');
INSERT INTO `lang_definitions` VALUES (15570, 11827, 4, 'Sitio Web');
INSERT INTO `lang_definitions` VALUES (15571, 11828, 4, 'Vínculo sitio web para el Portal del Paciente interno');
INSERT INTO `lang_definitions` VALUES (15572, 11830, 4, 'Vínculo sitio web para el Portal del Paciente interno version1');
INSERT INTO `lang_definitions` VALUES (15573, 11831, 4, 'Vínculo sitio web para el Portal del Paciente interno version 2');
INSERT INTO `lang_definitions` VALUES (15574, 11832, 4, 'Miércoles');
INSERT INTO `lang_definitions` VALUES (15575, 11833, 4, 'Miércoles');
INSERT INTO `lang_definitions` VALUES (15576, 11834, 4, 'Semana');
INSERT INTO `lang_definitions` VALUES (15577, 11835, 4, 'semana');
INSERT INTO `lang_definitions` VALUES (15578, 11836, 4, 'Ver Semana');
INSERT INTO `lang_definitions` VALUES (15579, 11837, 4, 'Semana(s)');
INSERT INTO `lang_definitions` VALUES (15580, 11838, 4, 'Exposicion semanal');
INSERT INTO `lang_definitions` VALUES (15581, 11839, 4, 'semanas');
INSERT INTO `lang_definitions` VALUES (15582, 11840, 4, 'Semanas');
INSERT INTO `lang_definitions` VALUES (15583, 11841, 4, 'Peso');
INSERT INTO `lang_definitions` VALUES (15584, 11842, 4, 'Evaluación de peso y Orientación para Niños y Adolescentes');
INSERT INTO `lang_definitions` VALUES (15585, 11843, 4, 'Peso evaluación y orientación para niños y adolescentes (GCC)');
INSERT INTO `lang_definitions` VALUES (15586, 11844, 4, 'Cambio de peso');
INSERT INTO `lang_definitions` VALUES (15587, 11845, 4, 'Perdida de Peso');
INSERT INTO `lang_definitions` VALUES (15588, 11846, 4, 'Clínica de Adelgazamiento');
INSERT INTO `lang_definitions` VALUES (15589, 11847, 4, 'Bienvenido');
INSERT INTO `lang_definitions` VALUES (15590, 11849, 4, 'Galés');
INSERT INTO `lang_definitions` VALUES (15591, 11862, 4, '¿Cuál debe ser contado?');
INSERT INTO `lang_definitions` VALUES (15592, 11863, 4, 'Qué clase de orden habrá en las listas desplegables');
INSERT INTO `lang_definitions` VALUES (15593, 11864, 4, 'Resuellos:');
INSERT INTO `lang_definitions` VALUES (15594, 11865, 4, 'Sibilancia');
INSERT INTO `lang_definitions` VALUES (15595, 11866, 4, 'Resollando:');
INSERT INTO `lang_definitions` VALUES (15596, 11867, 4, 'Cuando se crea un nuevo usuario, el administrador o un usuario con privilegios similares otorga el control de acceso seleccionando a qué grupos (ARO) puede pertenecer un usuario.');
INSERT INTO `lang_definitions` VALUES (15597, 11868, 4, 'Cuando y cuán seguido?');
INSERT INTO `lang_definitions` VALUES (15598, 11869, 4, 'Cuando se selecciona, los datos demográficos se abrirán en una nueva ventana desde el panel de flujo del paciente.');
INSERT INTO `lang_definitions` VALUES (15599, 11870, 4, 'Cuando se revise, se mostrará el último equipo de la Junta de actualización en la Tabla de flujo del paciente.');
INSERT INTO `lang_definitions` VALUES (15600, 11871, 4, 'Cuando se marca, los mensajes se procesan para los pacientes con Elección demográfica del paciente: \"Notificación de Hipaa recibida\" configurada como \"Sin asignar\" o \"Sí\". Cuando no está marcada, esta opción debe ser = \"SÍ\" para procesar el recordatorio del paciente. Para los pacientes con Elección = \"No\", los Recordatorios deberán procesarse manualmente.');
INSERT INTO `lang_definitions` VALUES (15601, 11872, 4, 'Cuando se chequee, el número de encuentro de paciente se mostrará en el panel de flujo de pacientes');
INSERT INTO `lang_definitions` VALUES (15602, 11873, 4, 'Cuando se chequee, el número de ID de paciente se mostrará en el panel de flujo de pacientes');
INSERT INTO `lang_definitions` VALUES (15603, 11874, 4, 'Cuando se chequee, la razón del encuentro se mostrará en el panel de flujo de pacientes');
INSERT INTO `lang_definitions` VALUES (15604, 11876, 4, 'Cuando termine, pulse Enviar (abajo) para aplicar sus selecciones');
INSERT INTO `lang_definitions` VALUES (15605, 11882, 4, '¿Donde puede los documentos explorados o de papel relacionados que se encontrarán?');
INSERT INTO `lang_definitions` VALUES (15606, 11883, 4, 'En qué parte del cuerpo ocurre?');
INSERT INTO `lang_definitions` VALUES (15607, 11884, 4, 'Asegurado');
INSERT INTO `lang_definitions` VALUES (15608, 11885, 4, 'qué días son su fin de semana?');
INSERT INTO `lang_definitions` VALUES (15609, 11886, 4, 'Qué notas se deben mostrar en pantalla de cargos');
INSERT INTO `lang_definitions` VALUES (15610, 11890, 4, 'Trallazo');
INSERT INTO `lang_definitions` VALUES (15611, 11891, 4, 'Blanco');
INSERT INTO `lang_definitions` VALUES (15612, 11892, 4, 'Lista blanca');
INSERT INTO `lang_definitions` VALUES (15613, 11893, 4, 'Blanco a blanco');
INSERT INTO `lang_definitions` VALUES (15614, 11894, 4, 'Quién');
INSERT INTO `lang_definitions` VALUES (15615, 11895, 4, '¿Quién respondió?');
INSERT INTO `lang_definitions` VALUES (15616, 11897, 4, 'Viudo');
INSERT INTO `lang_definitions` VALUES (15617, 11898, 4, 'Ancho');
INSERT INTO `lang_definitions` VALUES (15618, 11900, 4, 'Ancho en píxeles de la barra de navegación izquierda.');
INSERT INTO `lang_definitions` VALUES (15619, 11902, 4, 'será escondido si');
INSERT INTO `lang_definitions` VALUES (15620, 11903, 4, 'tendrá las siguientes reglas de validación');
INSERT INTO `lang_definitions` VALUES (15621, 11905, 4, 'con importación');
INSERT INTO `lang_definitions` VALUES (15622, 11906, 4, 'con lenguaje preferido');
INSERT INTO `lang_definitions` VALUES (15623, 11907, 4, 'Con el seleccionado');
INSERT INTO `lang_definitions` VALUES (15624, 11908, 4, 'con el viejo nombre');
INSERT INTO `lang_definitions` VALUES (15625, 11910, 4, 'con valor');
INSERT INTO `lang_definitions` VALUES (15626, 11911, 4, '¿Con quién podemos dejar un mensaje?');
INSERT INTO `lang_definitions` VALUES (15627, 11912, 4, 'Retenido');
INSERT INTO `lang_definitions` VALUES (15628, 11913, 4, 'dentro de horas');
INSERT INTO `lang_definitions` VALUES (15629, 11914, 4, 'dentro de horas:');
INSERT INTO `lang_definitions` VALUES (15630, 11915, 4, 'dentro de minutos');
INSERT INTO `lang_definitions` VALUES (15631, 11916, 4, 'dentro de minutos:');
INSERT INTO `lang_definitions` VALUES (15632, 11917, 4, 'sin centro');
INSERT INTO `lang_definitions` VALUES (15633, 11918, 4, 'sin proveedor');
INSERT INTO `lang_definitions` VALUES (15634, 11919, 4, 'Sin Actualización');
INSERT INTO `lang_definitions` VALUES (15635, 11920, 4, 'Testigo');
INSERT INTO `lang_definitions` VALUES (15636, 11921, 4, 'Semana');
INSERT INTO `lang_definitions` VALUES (15637, 11922, 4, 'WNL');
INSERT INTO `lang_definitions` VALUES (15638, 11924, 4, 'Mujer');
INSERT INTO `lang_definitions` VALUES (15639, 11925, 4, 'Sólo las Mujeres');
INSERT INTO `lang_definitions` VALUES (15640, 11926, 4, 'portal Wordpress');
INSERT INTO `lang_definitions` VALUES (15641, 11927, 4, 'Trabajo');
INSERT INTO `lang_definitions` VALUES (15642, 11928, 4, 'NOTA DE TRABAJO');
INSERT INTO `lang_definitions` VALUES (15643, 11929, 4, 'Teléfono de Trabajo');
INSERT INTO `lang_definitions` VALUES (15644, 11930, 4, 'Número de Teléfono de Trabajo');
INSERT INTO `lang_definitions` VALUES (15645, 11931, 4, 'Relacionados con el trabajo?');
INSERT INTO `lang_definitions` VALUES (15646, 11932, 4, 'Trabajo / Educación / aficiones');
INSERT INTO `lang_definitions` VALUES (15647, 11933, 4, 'Nota de Trabajo/Escuela');
INSERT INTO `lang_definitions` VALUES (15648, 11934, 4, 'día de trabajo');
INSERT INTO `lang_definitions` VALUES (15649, 11935, 4, 'Compensación al Trabajador');
INSERT INTO `lang_definitions` VALUES (15650, 11936, 4, 'Indemnización de los trabajadores del Plan de Salud');
INSERT INTO `lang_definitions` VALUES (15651, 11937, 4, 'Beneficiario de edad trabajando o esposa con el Plan de Grupo de Salud Empleador');
INSERT INTO `lang_definitions` VALUES (15652, 11939, 4, 'Trabajando!');
INSERT INTO `lang_definitions` VALUES (15653, 11940, 4, 'Trabajando - espere');
INSERT INTO `lang_definitions` VALUES (15654, 11941, 4, 'Peor');
INSERT INTO `lang_definitions` VALUES (15655, 11942, 4, '¿Quieres que el saldo se aplique a la cuanta global?');
INSERT INTO `lang_definitions` VALUES (15656, 11943, 4, 'quiere marcarlo como borrado.');
INSERT INTO `lang_definitions` VALUES (15657, 11944, 4, '¿Quiere asignarlo?');
INSERT INTO `lang_definitions` VALUES (15658, 11945, 4, '¿Quiere Cancelar la distribución para este paciente?');
INSERT INTO `lang_definitions` VALUES (15659, 11946, 4, '¿Quiere borrar la distribución de pago?');
INSERT INTO `lang_definitions` VALUES (15660, 11947, 4, '¿Quiere borrar los pagos?');
INSERT INTO `lang_definitions` VALUES (15661, 11948, 4, '¿Quiere modificar y terminar los pagos?');
INSERT INTO `lang_definitions` VALUES (15662, 11949, 4, '¿Quiere modificar los pagos?');
INSERT INTO `lang_definitions` VALUES (15663, 11950, 4, '¿Quiere enviar y terminar los pagos?');
INSERT INTO `lang_definitions` VALUES (15664, 11951, 4, '¿Quiere enviar los pagos?');
INSERT INTO `lang_definitions` VALUES (15665, 11952, 4, '¿Quiere salvar?');
INSERT INTO `lang_definitions` VALUES (15666, 11953, 4, 'Muñeca');
INSERT INTO `lang_definitions` VALUES (15667, 11954, 4, 'Muñeca y mano');
INSERT INTO `lang_definitions` VALUES (15668, 11955, 4, 'Problemas de Mano');
INSERT INTO `lang_definitions` VALUES (15669, 11956, 4, 'escribir');
INSERT INTO `lang_definitions` VALUES (15670, 11957, 4, 'escribir - puede leer y modificar a pleno');
INSERT INTO `lang_definitions` VALUES (15671, 11958, 4, 'Borrar cuenta');
INSERT INTO `lang_definitions` VALUES (15672, 11959, 4, 'Escribir una vez');
INSERT INTO `lang_definitions` VALUES (15673, 11960, 4, 'con algunos');
INSERT INTO `lang_definitions` VALUES (15674, 11963, 4, 'peso');
INSERT INTO `lang_definitions` VALUES (15675, 11965, 4, 'Mi');
INSERT INTO `lang_definitions` VALUES (15676, 11966, 4, 'x Cancelado');
INSERT INTO `lang_definitions` VALUES (15677, 11967, 4, 'x Cancelado');
INSERT INTO `lang_definitions` VALUES (15678, 11969, 4, 'Rayos X');
INSERT INTO `lang_definitions` VALUES (15679, 11970, 4, 'Interpretación de RAYOS X:');
INSERT INTO `lang_definitions` VALUES (15680, 11971, 4, 'Interpretación de Rayos X:');
INSERT INTO `lang_definitions` VALUES (15681, 11975, 4, 'X12 solamente: Demanda de reemplazo');
INSERT INTO `lang_definitions` VALUES (15682, 11977, 4, 'X12 Opciones');
INSERT INTO `lang_definitions` VALUES (15683, 11978, 4, 'X12 Socio');
INSERT INTO `lang_definitions` VALUES (15684, 11979, 4, 'X12 Socios');
INSERT INTO `lang_definitions` VALUES (15685, 11980, 4, 'Segmentos x12');
INSERT INTO `lang_definitions` VALUES (15686, 11981, 4, 'Texto x12');
INSERT INTO `lang_definitions` VALUES (15687, 11982, 4, 'Xhosa');
INSERT INTO `lang_definitions` VALUES (15688, 11984, 4, 'XML');
INSERT INTO `lang_definitions` VALUES (15689, 11987, 4, 'A');
INSERT INTO `lang_definitions` VALUES (15690, 11988, 4, 'Año');
INSERT INTO `lang_definitions` VALUES (15691, 11989, 4, 'Año');
INSERT INTO `lang_definitions` VALUES (15692, 11990, 4, 'Ver año');
INSERT INTO `lang_definitions` VALUES (15693, 11991, 4, 'Año(s)');
INSERT INTO `lang_definitions` VALUES (15694, 11992, 4, 'Años');
INSERT INTO `lang_definitions` VALUES (15695, 11994, 4, 'Años o meses');
INSERT INTO `lang_definitions` VALUES (15696, 11995, 4, 'Años, meses y días');
INSERT INTO `lang_definitions` VALUES (15697, 11996, 4, 'Si');
INSERT INTO `lang_definitions` VALUES (15698, 11997, 4, 'SI');
INSERT INTO `lang_definitions` VALUES (15699, 11998, 4, 'si');
INSERT INTO `lang_definitions` VALUES (15700, 11999, 4, 'SI!');
INSERT INTO `lang_definitions` VALUES (15701, 12000, 4, 'Sí, Borrar y Registrar');
INSERT INTO `lang_definitions` VALUES (15702, 12001, 4, 'Sí, Borrar');
INSERT INTO `lang_definitions` VALUES (15703, 12002, 4, 'Si/No');
INSERT INTO `lang_definitions` VALUES (15704, 12003, 4, 'Si:');
INSERT INTO `lang_definitions` VALUES (15705, 12004, 4, 'Ídish');
INSERT INTO `lang_definitions` VALUES (15706, 12005, 4, 'Yoruba');
INSERT INTO `lang_definitions` VALUES (15707, 12006, 4, 'Está a punto de borrar templado');
INSERT INTO `lang_definitions` VALUES (15708, 12007, 4, 'Está a punto de borrar la forma de este encuentro');
INSERT INTO `lang_definitions` VALUES (15709, 12008, 4, 'Estás a punto de reemplazar permanentemente la plantilla existente. ¿Estás seguro de que desea continuar?');
INSERT INTO `lang_definitions` VALUES (15710, 12011, 4, 'Ud esta en el periodo de entrar gratis. Cambie su palabra clave antes');
INSERT INTO `lang_definitions` VALUES (15711, 12012, 4, 'No está permitido eliminar este evento');
INSERT INTO `lang_definitions` VALUES (15712, 12013, 4, 'No está permitido a editar este evento');
INSERT INTO `lang_definitions` VALUES (15713, 12014, 4, 'Usted no está autorizado para esto.');
INSERT INTO `lang_definitions` VALUES (15714, 12016, 4, 'Usted no está autorizado para acceder a esta escuadra.');
INSERT INTO `lang_definitions` VALUES (15715, 12017, 4, 'No está autorizado para añadir/editar incidencias');
INSERT INTO `lang_definitions` VALUES (15716, 12018, 4, 'No está autorizado a programar citas');
INSERT INTO `lang_definitions` VALUES (15717, 12019, 4, 'Usted no está autorizado para ver este encuentro.');
INSERT INTO `lang_definitions` VALUES (15718, 12020, 4, 'Usted no está autorizado');
INSERT INTO `lang_definitions` VALUES (15719, 12021, 4, 'Está Ud. publicando para un encuentro viejo?');
INSERT INTO `lang_definitions` VALUES (15720, 12022, 4, 'Ud está enviando a Ud mismo!');
INSERT INTO `lang_definitions` VALUES (15721, 12023, 4, 'Está usando el módulo de validación de pacientes');
INSERT INTO `lang_definitions` VALUES (15722, 12031, 4, 'Puede cerrar el cuadro de edición haciendo clic en el ícono de \"ojo cortado\" al lado del nombre del grupo.');
INSERT INTO `lang_definitions` VALUES (15723, 12038, 4, 'No se puede acceder a esta función directamente.');
INSERT INTO `lang_definitions` VALUES (15724, 12050, 4, 'No se puede acceder a esta página directamente.');
INSERT INTO `lang_definitions` VALUES (15725, 12051, 4, 'Ud no puede añadir un valor en blanco para una categoria!');
INSERT INTO `lang_definitions` VALUES (15726, 12052, 4, 'Ud no puede añadir un valor en blanco para una subcategoria!');
INSERT INTO `lang_definitions` VALUES (15727, 12053, 4, 'Ud. no puede añadir un valor en blanco para un item!');
INSERT INTO `lang_definitions` VALUES (15728, 12055, 4, 'No puede poner una fecha futura, con un valor completo de SI.');
INSERT INTO `lang_definitions` VALUES (15729, 12057, 4, 'Usted no escogió ninguna acción.');
INSERT INTO `lang_definitions` VALUES (15730, 12058, 4, 'Usted no tiene acceso para ver o editar esta nota');
INSERT INTO `lang_definitions` VALUES (15731, 12059, 4, 'Ud.tiene');
INSERT INTO `lang_definitions` VALUES (15732, 12060, 4, 'Tiene una factura pendiente de pago en sus Documentos del paciente. Allí puede pagar, descargar o imprimir la factura. Gracias.');
INSERT INTO `lang_definitions` VALUES (15733, 12061, 4, 'Ud. ha tratado de alterar contenido que está cerrado. Remueva el cierre si desea hacer esta accion. Para abrir, remueva la linea, ·/*lock::*/');
INSERT INTO `lang_definitions` VALUES (15734, 12063, 4, 'Desconectado');
INSERT INTO `lang_definitions` VALUES (15735, 12064, 4, 'Usted ha elegido ser autoasegurado o actualmente no tiene seguro. Haga clic en siguiente para continuar con el registro.');
INSERT INTO `lang_definitions` VALUES (15736, 12066, 4, 'No ha ingresado ningún servicio o producto clínico. Haga clic en Cancelar para agregarlos. O haga clic en Aceptar si desea guardar como está.');
INSERT INTO `lang_definitions` VALUES (15737, 12069, 4, 'Debe comprender cómo se estructura el programa y la capacidad y tener la voluntad de modificar el código subyacente.');
INSERT INTO `lang_definitions` VALUES (15738, 12070, 4, 'Tiene cambios que no han sido guardados');
INSERT INTO `lang_definitions` VALUES (15739, 12071, 4, 'Tiene cambio que no han sido guardados, ¿Abandonar cambios?');
INSERT INTO `lang_definitions` VALUES (15740, 12072, 4, 'Tiene cambio que no han sido guardados, ¿cerrar formulario?');
INSERT INTO `lang_definitions` VALUES (15741, 12074, 4, 'Sólo puede actualizar ficheros .txt');
INSERT INTO `lang_definitions` VALUES (15742, 12075, 4, 'Ud puede subir opcionalmente resultados HL7 de un archivo');
INSERT INTO `lang_definitions` VALUES (15743, 12076, 4, 'Puede poner el texto aquí como queja por defecto en el formulario de visita de nuevo paciente.');
INSERT INTO `lang_definitions` VALUES (15744, 12079, 4, 'Es posible que desee intentar regresar a la página anterior y verificar que todos los campos se hayan completado correctamente.');
INSERT INTO `lang_definitions` VALUES (15745, 12080, 4, '¡Debes activar a Weno primero! Ir a Administración, Globales, Conectores');
INSERT INTO `lang_definitions` VALUES (15746, 12081, 4, 'Debe aceptar el Acuerdo de Asociado Comercial de HIPAA');
INSERT INTO `lang_definitions` VALUES (15747, 12082, 4, 'Debes aceptar los Términos y Condiciones antes de registrarte');
INSERT INTO `lang_definitions` VALUES (15748, 12085, 4, 'Debe introducir la frase clave para encriptar el documento');
INSERT INTO `lang_definitions` VALUES (15749, 12087, 4, 'Debe introducir su propia contraseña para cambiar la contraseña de otros. Deje la contraseña en blanco para mantener la contraseña');
INSERT INTO `lang_definitions` VALUES (15750, 12088, 4, 'Debe primero seleccionar un item en la sección dónde el botón está tildado');
INSERT INTO `lang_definitions` VALUES (15751, 12089, 4, 'Ud debe primero seleccionar un paciente o grupo de terapia');
INSERT INTO `lang_definitions` VALUES (15752, 12090, 4, 'Primero debe seleccionar o agregar un paciente.');
INSERT INTO `lang_definitions` VALUES (15753, 12091, 4, 'Primero debe seleccionar o crear un encuentro.');
INSERT INTO `lang_definitions` VALUES (15754, 12092, 4, 'Debe seleccionar una categoría de visita');
INSERT INTO `lang_definitions` VALUES (15755, 12093, 4, 'Ud. debe seleccionar una categoria para la visita');
INSERT INTO `lang_definitions` VALUES (15756, 12094, 4, 'Debe seleccionar algunos campos para continuar.');
INSERT INTO `lang_definitions` VALUES (15757, 12104, 4, 'Usted debería estar ejecutando esta prueba si este reclamo parece generarse con éxito, pero los datos no están completos. Esto esevidente con reclamos HCFA porque son legibles a simple vista, pero es más difícil saberlo con reclamos X12.');
INSERT INTO `lang_definitions` VALUES (15758, 12106, 4, 'Debe seleccionar al menos un contexto');
INSERT INTO `lang_definitions` VALUES (15759, 12107, 4, 'Debe seleccionar al menos un Facultativo');
INSERT INTO `lang_definitions` VALUES (15760, 12118, 4, 'Su informe clínico');
INSERT INTO `lang_definitions` VALUES (15761, 12119, 4, 'Sus credenciales son provistas por su proveedor');
INSERT INTO `lang_definitions` VALUES (15762, 12121, 4, 'su email');
INSERT INTO `lang_definitions` VALUES (15763, 12122, 4, 'Su fecha de finalización no es válida');
INSERT INTO `lang_definitions` VALUES (15764, 12123, 4, 'Su evento ha sido suprimido');
INSERT INTO `lang_definitions` VALUES (15765, 12124, 4, 'Su evento ha sido modificado');
INSERT INTO `lang_definitions` VALUES (15766, 12125, 4, 'Su evento ha sido aceptado');
INSERT INTO `lang_definitions` VALUES (15767, 12126, 4, 'Su archivo no tiene extensión');
INSERT INTO `lang_definitions` VALUES (15768, 12127, 4, 'El fichero es demasiado grande');
INSERT INTO `lang_definitions` VALUES (15769, 12128, 4, 'Su primer día de la semana');
INSERT INTO `lang_definitions` VALUES (15770, 12130, 4, 'Su instalación de OpenEMR ha sido registrada');
INSERT INTO `lang_definitions` VALUES (15771, 12131, 4, 'Sus resultados de lab.');
INSERT INTO `lang_definitions` VALUES (15772, 12132, 4, 'Su nombre de la lista se ha cambiado para resolver el nombramiento de requisitos.');
INSERT INTO `lang_definitions` VALUES (15773, 12133, 4, 'Su mensaje fue enviado para envío a');
INSERT INTO `lang_definitions` VALUES (15774, 12134, 4, 'Su nombre para esta categoria, procedmiento o resultado');
INSERT INTO `lang_definitions` VALUES (15775, 12135, 4, 'Sus nuevas credenciales han sido enviadas. Revise su bandeja de entrada de correo electrónico y también posiblemente su carpeta de correo no deseado. Una vez que inicie sesión en su portal de pacientes, siéntase libre de hacer una cita o envíenos un mensaje seguro. Esperamos verte pronto.');
INSERT INTO `lang_definitions` VALUES (15776, 12136, 4, 'su próx. encuentro en');
INSERT INTO `lang_definitions` VALUES (15777, 12137, 4, 'Su email en archivo');
INSERT INTO `lang_definitions` VALUES (15778, 12139, 4, 'Su palabra clave');
INSERT INTO `lang_definitions` VALUES (15779, 12140, 4, 'Su Palabra Clave ha expirado. Favor de cambiar su palabra clave.');
INSERT INTO `lang_definitions` VALUES (15780, 12141, 4, 'Su Palabra Clave expira en');
INSERT INTO `lang_definitions` VALUES (15781, 12143, 4, 'Su Palabra Clave expira hoy. Favor de cambiar su palabra clave.');
INSERT INTO `lang_definitions` VALUES (15782, 12146, 4, 'Su configuración de PosteCalendario se ha reajustado a los defectos del uso.');
INSERT INTO `lang_definitions` VALUES (15783, 12147, 4, 'Se ha puesto al día su configuración de PosteCalendario.');
INSERT INTO `lang_definitions` VALUES (15784, 12148, 4, 'Su frecuencia de repetición debe ser un número entero.');
INSERT INTO `lang_definitions` VALUES (15785, 12149, 4, 'Su frecuencia de repetición debe ser por lo menos 1.');
INSERT INTO `lang_definitions` VALUES (15786, 12150, 4, 'Su clave segura es');
INSERT INTO `lang_definitions` VALUES (15787, 12151, 4, 'Su fecha de inicio es mayor que su fecha de finalización');
INSERT INTO `lang_definitions` VALUES (15788, 12152, 4, 'Su fecha de inicio no es válido');
INSERT INTO `lang_definitions` VALUES (15789, 12153, 4, 'Su sumisión falló.');
INSERT INTO `lang_definitions` VALUES (15790, 12154, 4, 'Sus días de fin de semana');
INSERT INTO `lang_definitions` VALUES (15791, 12156, 4, 'aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (15792, 12157, 4, 'AAAA-MM-DD');
INSERT INTO `lang_definitions` VALUES (15793, 12158, 4, 'aaaa-mm-dd fecha asociada con este documento');
INSERT INTO `lang_definitions` VALUES (15794, 12159, 4, 'aaaa-mm-dd fecha destruido');
INSERT INTO `lang_definitions` VALUES (15795, 12160, 4, 'aaaa-mm-dd F.Nacim.');
INSERT INTO `lang_definitions` VALUES (15796, 12161, 4, 'aaaa-mm-dd F.Nacim.');
INSERT INTO `lang_definitions` VALUES (15797, 12162, 4, 'aaaa-mm-dd fecha de expiración');
INSERT INTO `lang_definitions` VALUES (15798, 12163, 4, 'aaaa-mm-dd Fecha de inicio o de hospitalización');
INSERT INTO `lang_definitions` VALUES (15799, 12164, 4, 'aaaa-mm-dd fecha de inicio, cirugía o comienzo de la medicación');
INSERT INTO `lang_definitions` VALUES (15800, 12165, 4, 'aaaa-mm-dd fecha de adquisicion o transferencia');
INSERT INTO `lang_definitions` VALUES (15801, 12166, 4, 'aaaa-mm-dd fecha de recuperación o al final de la medicación');
INSERT INTO `lang_definitions` VALUES (15802, 12167, 4, 'aaaa-mm-dd Fecha de volver a jugar');
INSERT INTO `lang_definitions` VALUES (15803, 12168, 4, 'aaaa-mm-dd Fecha de servicios');
INSERT INTO `lang_definitions` VALUES (15804, 12169, 4, 'aaaa-mm-dd fecha de esta carta');
INSERT INTO `lang_definitions` VALUES (15805, 12170, 4, 'aaaa-mm-dd fecha que volvió a jugar');
INSERT INTO `lang_definitions` VALUES (15806, 12171, 4, 'aaaa-mm-dd fecha del documento');
INSERT INTO `lang_definitions` VALUES (15807, 12172, 4, 'aaaa-mm-dd fecha final');
INSERT INTO `lang_definitions` VALUES (15808, 12173, 4, 'aaaa-mm-dd fecha de evento o fecha de inicio');
INSERT INTO `lang_definitions` VALUES (15809, 12174, 4, 'aaaa-mm-dd H:m fecha final');
INSERT INTO `lang_definitions` VALUES (15810, 12175, 4, 'aaaa-mm-dd H:m fecha final');
INSERT INTO `lang_definitions` VALUES (15811, 12176, 4, 'aaaa-mm-dd H:m fecha inicial');
INSERT INTO `lang_definitions` VALUES (15812, 12177, 4, 'aaaa-mm-dd H:m fecha inicial');
INSERT INTO `lang_definitions` VALUES (15813, 12178, 4, 'aaaa-mm-dd hh:mm:ss');
INSERT INTO `lang_definitions` VALUES (15814, 12179, 4, 'aaaa-mm-dd Horas(24)minutos');
INSERT INTO `lang_definitions` VALUES (15815, 12180, 4, 'aaaa-mm-dd última fecha de este evento');
INSERT INTO `lang_definitions` VALUES (15816, 12181, 4, 'aaaa-mm-dd fecha inicial');
INSERT INTO `lang_definitions` VALUES (15817, 12182, 4, 'aaaa-mm-dd fecha inicial para buscar');
INSERT INTO `lang_definitions` VALUES (15818, 12184, 4, 'Módulo Zend');
INSERT INTO `lang_definitions` VALUES (15819, 12185, 4, 'Chequeo de módulo Zend en adición al chequeo estándar');
INSERT INTO `lang_definitions` VALUES (15820, 12186, 4, 'Cero');
INSERT INTO `lang_definitions` VALUES (15821, 12187, 4, 'Zhuang, Chuang');
INSERT INTO `lang_definitions` VALUES (15822, 12188, 4, 'Postal');
INSERT INTO `lang_definitions` VALUES (15823, 12189, 4, 'Código postal');
INSERT INTO `lang_definitions` VALUES (15824, 12191, 4, 'Postal/Pais');
INSERT INTO `lang_definitions` VALUES (15825, 12192, 4, 'Acercamiento');
INSERT INTO `lang_definitions` VALUES (15826, 12193, 4, 'Acercamiento');
INSERT INTO `lang_definitions` VALUES (15827, 12194, 4, 'Alejamiento');
INSERT INTO `lang_definitions` VALUES (15828, 12195, 4, 'Zoom: haga clic y arrastre, giro: desplazamiento-clic-arrastre, Restaurar: haga doble clic');
INSERT INTO `lang_definitions` VALUES (15829, 12196, 4, 'Zulú');
INSERT INTO `lang_definitions` VALUES (15830, 12197, 4, 'pero ha sido');
INSERT INTO `lang_definitions` VALUES (15831, 12198, 4, 'no se ha podido acceder.');
INSERT INTO `lang_definitions` VALUES (15832, 12199, 4, 'Seguro que quiere borrar');
INSERT INTO `lang_definitions` VALUES (15833, 12200, 4, 'Medicamento');
INSERT INTO `lang_definitions` VALUES (15834, 12201, 4, 'correos no mandados');
INSERT INTO `lang_definitions` VALUES (15835, 12202, 4, 'de');
INSERT INTO `lang_definitions` VALUES (15836, 12203, 4, 'ha sido creado');
INSERT INTO `lang_definitions` VALUES (15837, 12204, 4, 'ha sido abierto de nuevo.');
INSERT INTO `lang_definitions` VALUES (15838, 12205, 4, 'Historial');
INSERT INTO `lang_definitions` VALUES (15839, 12206, 4, 'no es un número');
INSERT INTO `lang_definitions` VALUES (15840, 12207, 4, 'listo para refacturar');
INSERT INTO `lang_definitions` VALUES (15841, 12208, 4, 'LLL:');
INSERT INTO `lang_definitions` VALUES (15842, 12209, 4, 'Lote');
INSERT INTO `lang_definitions` VALUES (15843, 12210, 4, 'Nº de Referencia original de Medicaid');
INSERT INTO `lang_definitions` VALUES (15844, 12211, 4, 'min');
INSERT INTO `lang_definitions` VALUES (15845, 12212, 4, 'no encontrado!');
INSERT INTO `lang_definitions` VALUES (15846, 12213, 4, 'Peculiaridades en varios exploradores pueden causar que la información abajo aparece bruscamente, y ocurren pausas extensas que aparentan que el sistema se ha dañado. Este no es el caso, y eventualmente verá información desplegada línea por línea. Podrían aparecer números secuenciales para indicar que aunque no aparezca nada más, el sistema tiene actividad. Estos números serán entremezclados con el contenido de la facturación, y es normal.');
INSERT INTO `lang_definitions` VALUES (15847, 12214, 4, 'la receta ha alcanzado el límite de');
INSERT INTO `lang_definitions` VALUES (15848, 12215, 4, 'hasta');
INSERT INTO `lang_definitions` VALUES (15849, 12216, 4, '¿falló la actualización, no está en la base de datos?');
INSERT INTO `lang_definitions` VALUES (15850, 12217, 4, 'marcado como solo facturado.');
INSERT INTO `lang_definitions` VALUES (15851, 12218, 4, 'puesto en cola.');
INSERT INTO `lang_definitions` VALUES (15852, 12219, 4, '! se retiró sin consulta');
INSERT INTO `lang_definitions` VALUES (15853, 12220, 4, '\" para código');
INSERT INTO `lang_definitions` VALUES (15854, 12221, 4, '\" está marcado en el seting the PostCalendar');
INSERT INTO `lang_definitions` VALUES (15855, 12222, 4, '# asunto de seguro o financiero');
INSERT INTO `lang_definitions` VALUES (15856, 12223, 4, '# número de tabletas:');
INSERT INTO `lang_definitions` VALUES (15857, 12224, 4, '$');
INSERT INTO `lang_definitions` VALUES (15858, 12225, 4, '$ Codificado');
INSERT INTO `lang_definitions` VALUES (15859, 12226, 4, '$etiqueta (yyyy-mm-dd)');
INSERT INTO `lang_definitions` VALUES (15860, 12227, 4, '%');
INSERT INTO `lang_definitions` VALUES (15861, 12228, 4, '% Cancelado <24 hrs');
INSERT INTO `lang_definitions` VALUES (15862, 12229, 4, '% Cancelado < 24 hrs');
INSERT INTO `lang_definitions` VALUES (15863, 12230, 4, 'debería, pero no existe');
INSERT INTO `lang_definitions` VALUES (15864, 12231, 4, '(% Coincide con cualquier cadena, _ Coincide con cualquier carácter)');
INSERT INTO `lang_definitions` VALUES (15865, 12232, 4, '([ctrl] + click para seleccionar múltiples destinatarios)');
INSERT INTO `lang_definitions` VALUES (15866, 12233, 4, '(Volver)');
INSERT INTO `lang_definitions` VALUES (15867, 12234, 4, '(Haga clic para editar)');
INSERT INTO `lang_definitions` VALUES (15868, 12235, 4, '(el email tiene entrega inmediata, mientras que el mensaje de VOIP es enviado al proveedor del servicio para su proceso futuro)');
INSERT INTO `lang_definitions` VALUES (15869, 12236, 4, '(Mas)');
INSERT INTO `lang_definitions` VALUES (15870, 12237, 4, '(Paciente Nuevo)');
INSERT INTO `lang_definitions` VALUES (15871, 12238, 4, '(Notas y Autorizaciones)');
INSERT INTO `lang_definitions` VALUES (15872, 12239, 4, 'Notas del Paciente');
INSERT INTO `lang_definitions` VALUES (15873, 12240, 4, '(Seleccione una de estas, o escriba su propio título)');
INSERT INTO `lang_definitions` VALUES (15874, 12241, 4, '(Shift-) Selecciona o arrastrar para cambiar valor');
INSERT INTO `lang_definitions` VALUES (15875, 12242, 4, '* Recordatorio hecho');
INSERT INTO `lang_definitions` VALUES (15876, 12243, 4, '** Por Favor mover cirugías a incidencias');
INSERT INTO `lang_definitions` VALUES (15877, 12244, 4, '* Requerido');
INSERT INTO `lang_definitions` VALUES (15878, 12245, 4, 'Historia Clínica retirada');
INSERT INTO `lang_definitions` VALUES (15879, 12246, 4, '+1');
INSERT INTO `lang_definitions` VALUES (15880, 12247, 4, '+2');
INSERT INTO `lang_definitions` VALUES (15881, 12248, 4, '+3');
INSERT INTO `lang_definitions` VALUES (15882, 12249, 4, '-Ninguno');
INSERT INTO `lang_definitions` VALUES (15883, 12250, 4, '- No Reportado');
INSERT INTO `lang_definitions` VALUES (15884, 12251, 4, '-- Todo --');
INSERT INTO `lang_definitions` VALUES (15885, 12252, 4, '--Seleccionar rol--');
INSERT INTO `lang_definitions` VALUES (15886, 12253, 4, '.');
INSERT INTO `lang_definitions` VALUES (15887, 12254, 4, '0');
INSERT INTO `lang_definitions` VALUES (15888, 12255, 4, '0-10');
INSERT INTO `lang_definitions` VALUES (15889, 12256, 4, '0-24');
INSERT INTO `lang_definitions` VALUES (15890, 12257, 4, '02/12 {{Configuración de revisión de fecha del formato CMS 1500 en globales}}');
INSERT INTO `lang_definitions` VALUES (15891, 12258, 4, '05/08 {{Configuración de revisión de fecha del formato CMS 1500 en globales}}');
INSERT INTO `lang_definitions` VALUES (15892, 12259, 4, '1');
INSERT INTO `lang_definitions` VALUES (15893, 12260, 4, '1=Norteamerica. Ver http://www.wtng.info/ para lista de códigos de otros países.');
INSERT INTO `lang_definitions` VALUES (15894, 12261, 4, '1 dia a partir de ahora');
INSERT INTO `lang_definitions` VALUES (15895, 12262, 4, '1 mes a partir de ahora');
INSERT INTO `lang_definitions` VALUES (15896, 12263, 4, '1 semana a partir de ahora');
INSERT INTO `lang_definitions` VALUES (15897, 12264, 4, '1 año a partir de ahora');
INSERT INTO `lang_definitions` VALUES (15898, 12265, 4, '1. Descanso 2. Hielo por dos días 3. Compresión, dejar el vendaje en su lugar a menos que el pie presente hormigueo o color pálido 4. Elevar la pierna y el pie');
INSERT INTO `lang_definitions` VALUES (15899, 12266, 4, '11-14');
INSERT INTO `lang_definitions` VALUES (15900, 12267, 4, '12 hr');
INSERT INTO `lang_definitions` VALUES (15901, 12268, 4, '15-19');
INSERT INTO `lang_definitions` VALUES (15902, 12269, 4, '1mm');
INSERT INTO `lang_definitions` VALUES (15903, 12270, 4, '1ro');
INSERT INTO `lang_definitions` VALUES (15904, 12272, 4, '2');
INSERT INTO `lang_definitions` VALUES (15905, 12273, 4, '2 dias a partir de ahora');
INSERT INTO `lang_definitions` VALUES (15906, 12274, 4, '2 meses a partir de ahora');
INSERT INTO `lang_definitions` VALUES (15907, 12275, 4, '2 semanas a partir de ahora');
INSERT INTO `lang_definitions` VALUES (15908, 12276, 4, '2 años a partir de ahora');
INSERT INTO `lang_definitions` VALUES (15909, 12277, 4, '2-20 años');
INSERT INTO `lang_definitions` VALUES (15910, 12278, 4, '20-24');
INSERT INTO `lang_definitions` VALUES (15911, 12279, 4, 'Cálculos automáticos de medidas de 2011 (AMC)');
INSERT INTO `lang_definitions` VALUES (15912, 12280, 4, 'Medidas de calidad clínica 2011 (CQM)');
INSERT INTO `lang_definitions` VALUES (15913, 12281, 4, 'Grupos de medidas de calidad clínica oficial (CQM) 2011');
INSERT INTO `lang_definitions` VALUES (15914, 12282, 4, 'Cálculos automatizados de medidas de 2014 (AMC)');
INSERT INTO `lang_definitions` VALUES (15915, 12283, 4, 'Cálculos automatizados de medidas de 2014 (AMC) Etapa I');
INSERT INTO `lang_definitions` VALUES (15916, 12284, 4, 'Cálculos automatizados de medidas de 2014 (AMC) Etapa II');
INSERT INTO `lang_definitions` VALUES (15917, 12285, 4, 'Medidas de calidad clínica 2014 (CQM)');
INSERT INTO `lang_definitions` VALUES (15918, 12286, 4, 'Grupos de medidas de calidad clínica oficial (CQM) 2014');
INSERT INTO `lang_definitions` VALUES (15919, 12287, 4, '2111-13');
INSERT INTO `lang_definitions` VALUES (15920, 12288, 4, '24 hr');
INSERT INTO `lang_definitions` VALUES (15921, 12289, 4, '25+');
INSERT INTO `lang_definitions` VALUES (15922, 12290, 4, '25-29');
INSERT INTO `lang_definitions` VALUES (15923, 12292, 4, '2mm');
INSERT INTO `lang_definitions` VALUES (15924, 12293, 4, '2da');
INSERT INTO `lang_definitions` VALUES (15925, 12296, 4, '3 dias a partir de ahora');
INSERT INTO `lang_definitions` VALUES (15926, 12297, 4, '3 meses');
INSERT INTO `lang_definitions` VALUES (15927, 12298, 4, '3 meses a partir de ahora');
INSERT INTO `lang_definitions` VALUES (15928, 12299, 4, '3 veces al día');
INSERT INTO `lang_definitions` VALUES (15929, 12300, 4, '3 semanas a partir de ahora');
INSERT INTO `lang_definitions` VALUES (15930, 12301, 4, '30-34');
INSERT INTO `lang_definitions` VALUES (15931, 12302, 4, '35-39');
INSERT INTO `lang_definitions` VALUES (15932, 12303, 4, '3mm');
INSERT INTO `lang_definitions` VALUES (15933, 12304, 4, '3era');
INSERT INTO `lang_definitions` VALUES (15934, 12307, 4, '4 dias a partir de ahora');
INSERT INTO `lang_definitions` VALUES (15935, 12308, 4, '4 meses');
INSERT INTO `lang_definitions` VALUES (15936, 12309, 4, '4 meses a partir de ahora');
INSERT INTO `lang_definitions` VALUES (15937, 12310, 4, '4 veces al día');
INSERT INTO `lang_definitions` VALUES (15938, 12311, 4, '4 semanas a partir de ahora');
INSERT INTO `lang_definitions` VALUES (15939, 12312, 4, '40-44');
INSERT INTO `lang_definitions` VALUES (15940, 12313, 4, '45+');
INSERT INTO `lang_definitions` VALUES (15941, 12314, 4, '465,9, URI');
INSERT INTO `lang_definitions` VALUES (15942, 12315, 4, '466.0, Bronquitis, Aguda');
INSERT INTO `lang_definitions` VALUES (15943, 12316, 4, '486.0, Neumonía, Aguda');
INSERT INTO `lang_definitions` VALUES (15944, 12317, 4, '491.21 Agravación de Enfermedad Pulmonar Obstructiva Crónica');
INSERT INTO `lang_definitions` VALUES (15945, 12318, 4, '491.8, Bronquitis, Crónica');
INSERT INTO `lang_definitions` VALUES (15946, 12319, 4, '493.92, Asma, Aguda');
INSERT INTO `lang_definitions` VALUES (15947, 12320, 4, '496.0 Enfermedad Pulmonar Obstructiva Crónica');
INSERT INTO `lang_definitions` VALUES (15948, 12322, 4, '4mm');
INSERT INTO `lang_definitions` VALUES (15949, 12323, 4, '4ta');
INSERT INTO `lang_definitions` VALUES (15950, 12326, 4, '5 dias a partir de hoy');
INSERT INTO `lang_definitions` VALUES (15951, 12327, 4, '5 meses a partir de ahora');
INSERT INTO `lang_definitions` VALUES (15952, 12328, 4, '5 semanas a partir de ahora');
INSERT INTO `lang_definitions` VALUES (15953, 12329, 4, '519.7, Broncoespasmo');
INSERT INTO `lang_definitions` VALUES (15954, 12330, 4, '5mm');
INSERT INTO `lang_definitions` VALUES (15955, 12331, 4, '5ta');
INSERT INTO `lang_definitions` VALUES (15956, 12333, 4, '6 dias a partir de ahora');
INSERT INTO `lang_definitions` VALUES (15957, 12334, 4, '6 meses');
INSERT INTO `lang_definitions` VALUES (15958, 12335, 4, '6 meses a partir de ahora');
INSERT INTO `lang_definitions` VALUES (15959, 12336, 4, '6 semanas a partir de ahora');
INSERT INTO `lang_definitions` VALUES (15960, 12337, 4, '6ta');
INSERT INTO `lang_definitions` VALUES (15961, 12339, 4, '7 meses a partir de ahora');
INSERT INTO `lang_definitions` VALUES (15962, 12340, 4, '8 meses a partir de ahora');
INSERT INTO `lang_definitions` VALUES (15963, 12342, 4, '824.0 Fractura, maléolo intermedio, cerrado');
INSERT INTO `lang_definitions` VALUES (15964, 12343, 4, '824.2 Fractura, maléolo lateral, cerrado');
INSERT INTO `lang_definitions` VALUES (15965, 12344, 4, '824,6 Fractura, Trimalleolar, cerrado');
INSERT INTO `lang_definitions` VALUES (15966, 12345, 4, '825.32 Fractura de navicular (tobillo)');
INSERT INTO `lang_definitions` VALUES (15967, 12346, 4, '825,35 Fractura, Base de la quinta (5 ª) metatarsianas');
INSERT INTO `lang_definitions` VALUES (15968, 12347, 4, '845,00 torcedura del tobillo NOS');
INSERT INTO `lang_definitions` VALUES (15969, 12348, 4, '845,01 Esquince ligamento tibial (Deltoides).');
INSERT INTO `lang_definitions` VALUES (15970, 12349, 4, '845,02 Torcedura, fibular Calcánea');
INSERT INTO `lang_definitions` VALUES (15971, 12350, 4, '9 meses a partir de ahora');
INSERT INTO `lang_definitions` VALUES (15972, 12351, 4, 'Establecido 99212 - sin complicaciones');
INSERT INTO `lang_definitions` VALUES (15973, 12352, 4, 'Establecido 99213 - Baja Complejidad');
INSERT INTO `lang_definitions` VALUES (15974, 12353, 4, '< en consultorio');
INSERT INTO `lang_definitions` VALUES (15975, 12357, 4, '> De Alta / Salida');
INSERT INTO `lang_definitions` VALUES (15976, 12358, 4, '> No tuvo lugar');
INSERT INTO `lang_definitions` VALUES (15977, 12359, 4, '?');
INSERT INTO `lang_definitions` VALUES (15978, 12360, 4, '> No asistió');
INSERT INTO `lang_definitions` VALUES (15979, 12361, 4, '? ausente');
INSERT INTO `lang_definitions` VALUES (15980, 12362, 4, '@ llegado');
INSERT INTO `lang_definitions` VALUES (15981, 12364, 4, '[cambiar vista]');
INSERT INTO `lang_definitions` VALUES (15982, 12365, 4, '[Fecha de último encuentro]');
INSERT INTO `lang_definitions` VALUES (15983, 12366, 4, '[Días desde último encuentro]');
INSERT INTO `lang_definitions` VALUES (15984, 12367, 4, '[EDB]');
INSERT INTO `lang_definitions` VALUES (15985, 12368, 4, '[Exportar OFX]');
INSERT INTO `lang_definitions` VALUES (15986, 12369, 4, '[no recomendado]');
INSERT INTO `lang_definitions` VALUES (15987, 12370, 4, '[Número de encuentros]');
INSERT INTO `lang_definitions` VALUES (15988, 12371, 4, '[Informes]');
INSERT INTO `lang_definitions` VALUES (15989, 12372, 4, '[Seleccionar todos]');
INSERT INTO `lang_definitions` VALUES (15990, 12373, 4, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (15991, 12374, 4, '[Procesar masivamente]');
INSERT INTO `lang_definitions` VALUES (15992, 12375, 4, '[Visualizar registro]');
INSERT INTO `lang_definitions` VALUES (15993, 12376, 4, '[Ver reporte imprimible]');
INSERT INTO `lang_definitions` VALUES (15994, 12377, 4, ' Pendiente');
INSERT INTO `lang_definitions` VALUES (15995, 12378, 4, '_PC_DUR_HORAS');
INSERT INTO `lang_definitions` VALUES (15996, 12379, 4, '_PC_DUR_MINUTOS');
INSERT INTO `lang_definitions` VALUES (15997, 12380, 4, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (15998, 12381, 4, '~ Llegó tarde');
INSERT INTO `lang_definitions` VALUES (15999, 12382, 4, '~ Llegó tarde');
INSERT INTO `lang_definitions` VALUES (16000, 1, 5, 'Ein');
INSERT INTO `lang_definitions` VALUES (16001, 2, 5, 'Schecknummer oder Reklamationsnummer ist erforderlich, um Zahlung zu identifizieren');
INSERT INTO `lang_definitions` VALUES (16002, 3, 5, 'Ein Anspruch muss ausgewählt werden, um dieses Menü zu aktivieren.');
INSERT INTO `lang_definitions` VALUES (16003, 4, 5, 'Klienten Zertifikat für Administrator');
INSERT INTO `lang_definitions` VALUES (16004, 5, 5, 'Eine klinische Entscheidungsregel besteht aus patientenspezifischen Informationen, die gefiltert und zu geeigneten Zeiten angezeigt werden, um die Gesundheit und die Gesundheitsfürsorge zu verbessern');
INSERT INTO `lang_definitions` VALUES (16005, 6, 5, 'Ein klinisches Dokument befindet sich im Anhang.');
INSERT INTO `lang_definitions` VALUES (16006, 7, 5, 'Ein klinisches Dokument befindet sich im Anhang.');
INSERT INTO `lang_definitions` VALUES (16007, 8, 5, 'Ein Code dieses Typs ist bereits ausgewählt. Löschen Sie zuerst das Feld, wenn Sie es ersetzen müssen.');
INSERT INTO `lang_definitions` VALUES (16008, 9, 5, 'Eine datierte Erinnerungsnachricht kann entweder durch Klicken auf die Schaltfläche Weiterleiten weitergeleitet oder durch Klicken auf die Schaltfläche Als erledigt festlegen aus der Liste der datierten Erinnerungen entfernt werden');
INSERT INTO `lang_definitions` VALUES (16009, 10, 5, 'Es muss ein dedizierter Sicherheitsschlüssel erworben werden');
INSERT INTO `lang_definitions` VALUES (16010, 11, 5, 'Ein Standardcode ist optional, da der erforderliche Code zum Zeitpunkt der Bestellung eingegeben werden kann');
INSERT INTO `lang_definitions` VALUES (16011, 12, 5, 'Eine ausführliche Anleitung zum Aktivieren und Einrichten einer klinischen Entscheidungsregel finden Sie hier');
INSERT INTO `lang_definitions` VALUES (16012, 13, 5, 'Ein Verteiler ist notwendig');
INSERT INTO `lang_definitions` VALUES (16013, 14, 5, 'Es kann ein Fälligkeitsdatum angegeben oder ein bestimmter Zeitraum ausgewählt werden, in dem die datierte Erinnerung angezeigt werden soll');
INSERT INTO `lang_definitions` VALUES (16014, 15, 5, 'Ein paar Worte, um den Grund für den Besuch anzugeben');
INSERT INTO `lang_definitions` VALUES (16015, 16, 5, 'Ein Folgetermin kann auch direkt über das Gebührenblatt vereinbart werden.');
INSERT INTO `lang_definitions` VALUES (16016, 17, 5, 'Ein GCAC Konsultationsformular sollte angefügt werden');
INSERT INTO `lang_definitions` VALUES (16017, 18, 5, 'Eine HL7 v2.x-Nachricht besteht einfach aus mehreren Textzeilen. Jede Zeile wird als Segment bezeichnet und mit dem Pipe-Zeichen (|) in Felder unterteilt');
INSERT INTO `lang_definitions` VALUES (16018, 19, 5, 'Eine grosse Anwendung wie openEMR wird von einer Vielzahl von Benutzern mit unterschiedlichen Rollen und Verantwortungsgraden verwendet. Der Zugriff auf verschiedene Programmteile muss den Benutzern unbedingt auf der Grundlage von Kenntnissen gewährt werden. Zu diesem Zweck werden Zugriffssteuerungslisten (Access Control Lists, ACL) verwendet.');
INSERT INTO `lang_definitions` VALUES (16019, 20, 5, 'Eine Losnummer ist notwendig');
INSERT INTO `lang_definitions` VALUES (16020, 21, 5, 'Eine Losnummer ist notwendig!');
INSERT INTO `lang_definitions` VALUES (16021, 22, 5, 'Kleinbuchstabe');
INSERT INTO `lang_definitions` VALUES (16022, 23, 5, 'Ein neuer Termin');
INSERT INTO `lang_definitions` VALUES (16023, 24, 5, 'Eine neue Funktion hilft, häufig geordnete Tests zu gruppieren, damit sie zusammen bestellt werden können');
INSERT INTO `lang_definitions` VALUES (16024, 25, 5, 'Eine neue Nachricht kann somit an einen oder mehrere Benutzer gesendet werden und / oder kann sich auf einen oder mehrere Patienten beziehen');
INSERT INTO `lang_definitions` VALUES (16025, 27, 5, 'Oben auf der Seite Nachrichtencenter wird ein neues Untermenü mit Registerkarten angezeigt');
INSERT INTO `lang_definitions` VALUES (16026, 28, 5, 'Nummer');
INSERT INTO `lang_definitions` VALUES (16027, 29, 5, 'Zur Erstellung dieses Berichts muss ein Patient ausgewählt werden');
INSERT INTO `lang_definitions` VALUES (16028, 30, 5, 'Ein Patient mit dieser ID existiert bereits');
INSERT INTO `lang_definitions` VALUES (16029, 31, 5, 'Ein Patient mit diesem Namen existiert bereits');
INSERT INTO `lang_definitions` VALUES (16030, 32, 5, 'Ein Patient mit dieser SozVersNr existiert bereits');
INSERT INTO `lang_definitions` VALUES (16031, 33, 5, 'Eine Zahlung ist erforderlich! Bitte geben Sie einen Zahlungsposten ein.');
INSERT INTO `lang_definitions` VALUES (16032, 34, 5, 'Ein Ort zum Dokumentieren und Anzeigen der Anamnese, Familienanamnese und persönlichen Anamnese des Patienten');
INSERT INTO `lang_definitions` VALUES (16033, 35, 5, 'Ein Popup-Fenster informiert Sie über Erfolg oder Misserfolg');
INSERT INTO `lang_definitions` VALUES (16034, 36, 5, 'Eine positive Zahl zeigt an, dass viele vergangene Termine in einem Widget in der Patientenübersicht angezeigt wurden (eine negative Zahl zeigt die vergangenen Termine in absteigender Reihenfolge an).');
INSERT INTO `lang_definitions` VALUES (16035, 37, 5, 'Eine positive Zahl zeigt an, dass im Bildschirm \"Patientenzusammenfassung\" viele Termine in der Vergangenheit auf einem Widget angezeigt wurden.');
INSERT INTO `lang_definitions` VALUES (16036, 38, 5, 'Ein Produkt wurde ausgewählt, es gibt jedoch keinen Produktabschnitt in dieser Form.');
INSERT INTO `lang_definitions` VALUES (16037, 39, 5, 'In der Dropdown-Box kann ein Anbieter oder ein Lager ausgewählt werden. Damit diese Option angezeigt wird, muss das Kontrollkästchen \"Support-Anbieter in Werbebuchung in Gebührenabrechnung\" auf der Seite Administration> Globale> Rechnung aktiviert sein');
INSERT INTO `lang_definitions` VALUES (16038, 41, 5, 'Eine Empfehlung hat eine zusätzliche Aktion - um die Empfehlung auszudrucken oder als PDF-Datei zu speichern');
INSERT INTO `lang_definitions` VALUES (16039, 42, 5, 'Eine Überweisung ist die häufigste Art von Transaktion');
INSERT INTO `lang_definitions` VALUES (16040, 43, 5, 'Überweisungsquelle kann bei jeder Vorstellung neu definiert werden');
INSERT INTO `lang_definitions` VALUES (16041, 44, 5, 'Ein verknüpfter IPPF Code ist erforderlich!');
INSERT INTO `lang_definitions` VALUES (16042, 45, 5, 'Für U2F ist eine sichere (HTTPS) Webverbindung erforderlich');
INSERT INTO `lang_definitions` VALUES (16043, 46, 5, 'Eine kurze Beschreibung dieser Gruppe, die angezeigt wird, wenn Sie den Mauszeiger über die neu erstellte Gruppe (ARO) bewegen.');
INSERT INTO `lang_definitions` VALUES (16044, 47, 5, 'Eine kurze Beschreibung dieser Gruppe, Serumchemietests');
INSERT INTO `lang_definitions` VALUES (16045, 48, 5, 'Eine kurze Beschreibung dieser Prozedur oder des Ergebniscodes');
INSERT INTO `lang_definitions` VALUES (16046, 49, 5, 'Sonderzeichen');
INSERT INTO `lang_definitions` VALUES (16047, 50, 5, 'Ein standardisiertes Formular mit der Bezeichnung Krankenversicherungsformular wird zum Einreichen von Ansprüchen verwendet');
INSERT INTO `lang_definitions` VALUES (16048, 51, 5, 'Eine dritte Alternative besteht darin, die Ergebnisse zu scannen und als Dokument zu speichern - TIFF, JPEG oder PDF in der Patientenakte unter Dokumente');
INSERT INTO `lang_definitions` VALUES (16049, 52, 5, 'Ein Formular mit zwei Registerkarten wird angezeigt');
INSERT INTO `lang_definitions` VALUES (16050, 53, 5, 'Ein eindeutiger Wert um das Feld zu identifizieren, nicht sichtbar für Benutzer');
INSERT INTO `lang_definitions` VALUES (16051, 54, 5, 'Ein nützlicher Anfang wäre es, einen Papier-Laborzettel von einigen Labors zu erhalten und zu prüfen, wie die Tests auf dem Laborzettel organisiert sind');
INSERT INTO `lang_definitions` VALUES (16052, 55, 5, 'Für diese Gruppe existiert bereits heute ein Besuch. Klicken Sie auf Abbrechen, um es zu öffnen, oder auf OK, um ein neues zu erstellen.');
INSERT INTO `lang_definitions` VALUES (16053, 56, 5, 'Für diesen Patienten existiert für heute schon ein Besuch. Abbrechen um den aktuellen zu öffnen oder OK um einen neuen anzulegen.');
INSERT INTO `lang_definitions` VALUES (16054, 57, 5, 'vor dem Essen');
INSERT INTO `lang_definitions` VALUES (16055, 58, 5, 'morgens');
INSERT INTO `lang_definitions` VALUES (16056, 59, 5, 'A/C{{Vorderkammer}}');
INSERT INTO `lang_definitions` VALUES (16057, 60, 5, 'Luft-Flüssigkeit-Ebene rechts');
INSERT INTO `lang_definitions` VALUES (16058, 62, 5, 'AB');
INSERT INTO `lang_definitions` VALUES (16059, 63, 5, 'Abkürzung');
INSERT INTO `lang_definitions` VALUES (16060, 64, 5, 'Abszess:');
INSERT INTO `lang_definitions` VALUES (16061, 65, 5, 'Abdominal');
INSERT INTO `lang_definitions` VALUES (16062, 66, 5, 'Kann Gewicht heben in vier (4) Schritten:');
INSERT INTO `lang_definitions` VALUES (16063, 67, 5, 'Abn');
INSERT INTO `lang_definitions` VALUES (16064, 68, 5, 'ABN1');
INSERT INTO `lang_definitions` VALUES (16065, 70, 5, 'auffällig');
INSERT INTO `lang_definitions` VALUES (16066, 71, 5, 'auffälliger Bluttest');
INSERT INTO `lang_definitions` VALUES (16067, 72, 5, 'auffälliges Haarwachstum');
INSERT INTO `lang_definitions` VALUES (16068, 73, 5, 'auffälliges Mammogramm');
INSERT INTO `lang_definitions` VALUES (16069, 74, 5, 'abgebrochen');
INSERT INTO `lang_definitions` VALUES (16070, 75, 5, 'Abtreibung');
INSERT INTO `lang_definitions` VALUES (16071, 76, 5, 'Abtreibungsprobleme');
INSERT INTO `lang_definitions` VALUES (16072, 77, 5, 'Abtreibungsmethode');
INSERT INTO `lang_definitions` VALUES (16073, 78, 5, 'Abtreibungs-Kategorien');
INSERT INTO `lang_definitions` VALUES (16074, 79, 5, 'Abtreibungen');
INSERT INTO `lang_definitions` VALUES (16075, 80, 5, 'Über');
INSERT INTO `lang_definitions` VALUES (16076, 81, 5, 'Über das Portal-Dashboard');
INSERT INTO `lang_definitions` VALUES (16077, 82, 5, 'Über den Kalender');
INSERT INTO `lang_definitions` VALUES (16078, 83, 5, 'Über ihr Portal');
INSERT INTO `lang_definitions` VALUES (16079, 84, 5, 'Oberhalb der oberen Panikgrenzen');
INSERT INTO `lang_definitions` VALUES (16080, 85, 5, 'Abwesenheiten durch Diagnose');
INSERT INTO `lang_definitions` VALUES (16081, 86, 5, 'Akzeptieren');
INSERT INTO `lang_definitions` VALUES (16082, 87, 5, 'Überweisung akzeptieren');
INSERT INTO `lang_definitions` VALUES (16083, 88, 5, 'Zahlung akzeptieren');
INSERT INTO `lang_definitions` VALUES (16084, 89, 5, 'Bezahlung akzeptieren für');
INSERT INTO `lang_definitions` VALUES (16085, 90, 5, 'Bezahlung akzeptieren für');
INSERT INTO `lang_definitions` VALUES (16086, 91, 5, 'Überweisung zugestimmt');
INSERT INTO `lang_definitions` VALUES (16087, 92, 5, 'Sie können anderen Gruppen Zugriff gewähren, indem Sie Benutzermitgliedschaften oder Gruppen und Zugriffssteuerungen unter Administration> ACL bearbeiten');
INSERT INTO `lang_definitions` VALUES (16088, 93, 5, 'Zugangskontrolle');
INSERT INTO `lang_definitions` VALUES (16089, 94, 5, 'Verwaltung der Zugangskontrolllisten');
INSERT INTO `lang_definitions` VALUES (16090, 95, 5, 'Hilfe zu Zugangskontrolllisten');
INSERT INTO `lang_definitions` VALUES (16091, 96, 5, 'Zugangskontrolllisten');
INSERT INTO `lang_definitions` VALUES (16092, 97, 5, 'Greifen Sie zu Beginn einer Begegnung auf die wichtigsten Patientendaten zu');
INSERT INTO `lang_definitions` VALUES (16093, 98, 5, 'Zugriffsdatum');
INSERT INTO `lang_definitions` VALUES (16094, 99, 5, 'Zugriff verweigert');
INSERT INTO `lang_definitions` VALUES (16095, 100, 5, 'Der Zugriff wird dann nach Bedarf selektiv auf Teile des Programms gewährt.');
INSERT INTO `lang_definitions` VALUES (16096, 101, 5, 'Zugriff nicht erlaubt');
INSERT INTO `lang_definitions` VALUES (16097, 102, 5, 'Zugang nicht erlaubt');
INSERT INTO `lang_definitions` VALUES (16098, 103, 5, 'Zugang nicht genehmigt');
INSERT INTO `lang_definitions` VALUES (16099, 104, 5, 'Greifen Sie auf Ihre medizinischen Unterlagen zu');
INSERT INTO `lang_definitions` VALUES (16100, 105, 5, 'Zugang zum Patientenportal');
INSERT INTO `lang_definitions` VALUES (16101, 106, 5, 'Unfall');
INSERT INTO `lang_definitions` VALUES (16102, 107, 5, 'Konto');
INSERT INTO `lang_definitions` VALUES (16103, 109, 5, 'Die für den NewCrop eRx-Dienst ausgegebene Konto-ID, die zum Trennen von Konten mit mehreren Einrichtungen verwendet wird.');
INSERT INTO `lang_definitions` VALUES (16104, 110, 5, 'Konto-ID für Weno eRx-Dienst vergeben.');
INSERT INTO `lang_definitions` VALUES (16105, 111, 5, 'Konto-ID für eigene Kliniken eRx - Dienst');
INSERT INTO `lang_definitions` VALUES (16106, 112, 5, 'Konto ist validiert. Neue Anmeldeinformationen senden?');
INSERT INTO `lang_definitions` VALUES (16107, 113, 5, 'Benutzername');
INSERT INTO `lang_definitions` VALUES (16108, 114, 5, 'Benutzrname für NewCrop eRx-Dienst vergeben');
INSERT INTO `lang_definitions` VALUES (16109, 115, 5, 'Password für NewCrop eRx-Dienst vergeben');
INSERT INTO `lang_definitions` VALUES (16110, 117, 5, 'Buchhaltung');
INSERT INTO `lang_definitions` VALUES (16111, 118, 5, 'Buchhaltung');
INSERT INTO `lang_definitions` VALUES (16112, 119, 5, 'Buchhaltung');
INSERT INTO `lang_definitions` VALUES (16113, 120, 5, 'Buchh');
INSERT INTO `lang_definitions` VALUES (16114, 121, 5, 'ACD{{vordere Kammertiefe}}');
INSERT INTO `lang_definitions` VALUES (16115, 122, 5, 'Beschwerden/Schmerzen');
INSERT INTO `lang_definitions` VALUES (16116, 123, 5, 'Bestätigen Sie als meine elektronische Unterschrift');
INSERT INTO `lang_definitions` VALUES (16117, 124, 5, 'Bestätigung angefordert (ISA14)');
INSERT INTO `lang_definitions` VALUES (16118, 125, 5, 'Bestätigungen, Genehmigungen und Befunde');
INSERT INTO `lang_definitions` VALUES (16119, 126, 5, 'Zugangskontrollliste');
INSERT INTO `lang_definitions` VALUES (16120, 127, 5, 'Verwaltung der Zugangskontrollliste');
INSERT INTO `lang_definitions` VALUES (16121, 128, 5, 'Verwaltung der Zugangskontrollliste');
INSERT INTO `lang_definitions` VALUES (16122, 129, 5, 'Zugriff auf Zugangskontrollliste verweigert');
INSERT INTO `lang_definitions` VALUES (16123, 131, 5, 'Feinkörnige ACL-Steuerung');
INSERT INTO `lang_definitions` VALUES (16124, 132, 5, 'Zugangskontrollliste erfolgreich geändert');
INSERT INTO `lang_definitions` VALUES (16125, 133, 5, 'Akne');
INSERT INTO `lang_definitions` VALUES (16126, 134, 5, 'ACO');
INSERT INTO `lang_definitions` VALUES (16127, 135, 5, 'ACOM{{vorderes Segment}}');
INSERT INTO `lang_definitions` VALUES (16128, 136, 5, 'Behandlung');
INSERT INTO `lang_definitions` VALUES (16129, 137, 5, 'Behandlungsdatum');
INSERT INTO `lang_definitions` VALUES (16130, 138, 5, 'Massnahme');
INSERT INTO `lang_definitions` VALUES (16131, 139, 5, 'Massnahme ergriffen');
INSERT INTO `lang_definitions` VALUES (16132, 140, 5, 'Massnahme ergriffen Zeit');
INSERT INTO `lang_definitions` VALUES (16133, 141, 5, 'Massnahme Benutzer');
INSERT INTO `lang_definitions` VALUES (16134, 142, 5, 'Massnahmen');
INSERT INTO `lang_definitions` VALUES (16135, 143, 5, 'Aktivieren');
INSERT INTO `lang_definitions` VALUES (16136, 144, 5, 'CCR/CCD Bericht aktivieren');
INSERT INTO `lang_definitions` VALUES (16137, 145, 5, 'aktivieren um Spalte aufsteigend zu sortieren');
INSERT INTO `lang_definitions` VALUES (16138, 146, 5, 'aktivieren um Spalte absteigend zu sortieren');
INSERT INTO `lang_definitions` VALUES (16139, 147, 5, 'Aktivieren Sie UB04 / 837I Claim Support');
INSERT INTO `lang_definitions` VALUES (16140, 148, 5, 'Aktiv');
INSERT INTO `lang_definitions` VALUES (16141, 149, 5, 'Aktiv - Standardmäßig ist jeder hier hinzugefügte Wert auf Aktiv gesetzt, um zu verhindern, dass ein Element in der Dropdown-Liste angezeigt wird, deaktivieren Sie es einfach');
INSERT INTO `lang_definitions` VALUES (16142, 150, 5, 'Aktiver Alarm');
INSERT INTO `lang_definitions` VALUES (16143, 151, 5, 'Aktive Warnung - Dies wird als Popup-Benachrichtigung angezeigt, wenn eine Patientenkarte eingegeben wird');
INSERT INTO `lang_definitions` VALUES (16144, 152, 5, 'Regeln für aktiven Alarm');
INSERT INTO `lang_definitions` VALUES (16145, 153, 5, 'Aktive Alarme/Erinnerungen');
INSERT INTO `lang_definitions` VALUES (16146, 154, 5, 'Aktive Grafik');
INSERT INTO `lang_definitions` VALUES (16147, 155, 5, 'Active Directory - Domains Base');
INSERT INTO `lang_definitions` VALUES (16148, 156, 5, 'Active Directory - Domain Controllers');
INSERT INTO `lang_definitions` VALUES (16149, 157, 5, 'Active Directory - Suffix des Accounts');
INSERT INTO `lang_definitions` VALUES (16150, 158, 5, 'Ausgewählter Fall');
INSERT INTO `lang_definitions` VALUES (16151, 159, 5, 'aktive Problemcodes');
INSERT INTO `lang_definitions` VALUES (16152, 160, 5, 'Ausgewählte Liste');
INSERT INTO `lang_definitions` VALUES (16153, 161, 5, 'Ausgewählte Nachrichten');
INSERT INTO `lang_definitions` VALUES (16154, 162, 5, 'Ausgewählter Patient');
INSERT INTO `lang_definitions` VALUES (16155, 163, 5, 'Aktive Planungen');
INSERT INTO `lang_definitions` VALUES (16156, 164, 5, 'Aktive Vorlagen');
INSERT INTO `lang_definitions` VALUES (16157, 173, 5, 'Aktivität');
INSERT INTO `lang_definitions` VALUES (16158, 174, 5, 'Aktivitätstyp');
INSERT INTO `lang_definitions` VALUES (16159, 175, 5, 'Ausgewählte Rezepte');
INSERT INTO `lang_definitions` VALUES (16160, 176, 5, 'Schärfe');
INSERT INTO `lang_definitions` VALUES (16161, 177, 5, 'SCHÄRFE');
INSERT INTO `lang_definitions` VALUES (16162, 178, 5, 'Schärfe mit Autorefraktion');
INSERT INTO `lang_definitions` VALUES (16163, 179, 5, 'Schärfe mit Kontaktlinsen');
INSERT INTO `lang_definitions` VALUES (16164, 180, 5, 'Schärfe mit Korrektur');
INSERT INTO `lang_definitions` VALUES (16165, 181, 5, 'Schärfe mit zykloplegischer Brechung');
INSERT INTO `lang_definitions` VALUES (16166, 182, 5, 'Schärfe mit manifester Brechung');
INSERT INTO `lang_definitions` VALUES (16167, 183, 5, 'Schärfe mit Lochblende');
INSERT INTO `lang_definitions` VALUES (16168, 184, 5, 'Schärfe ohne Korrektur');
INSERT INTO `lang_definitions` VALUES (16169, 185, 5, 'akute Vergiftung / Entzug');
INSERT INTO `lang_definitions` VALUES (16170, 186, 5, 'Akute Manifestation eines chronischen Zustands');
INSERT INTO `lang_definitions` VALUES (16171, 187, 5, 'akut chronisch');
INSERT INTO `lang_definitions` VALUES (16172, 188, 5, 'Anzeige überprüft');
INSERT INTO `lang_definitions` VALUES (16173, 189, 5, 'Hinzufügen');
INSERT INTO `lang_definitions` VALUES (16174, 190, 5, 'hinzufügen');
INSERT INTO `lang_definitions` VALUES (16175, 191, 5, 'HINZUFÜGEN');
INSERT INTO `lang_definitions` VALUES (16176, 192, 5, 'Firma hinzufügen');
INSERT INTO `lang_definitions` VALUES (16177, 193, 5, 'eine Erkrankung hinzufügen');
INSERT INTO `lang_definitions` VALUES (16178, 194, 5, 'einen neuen Rückruf hinzufügen');
INSERT INTO `lang_definitions` VALUES (16179, 195, 5, 'einen neuen Rückruf hinzufügen');
INSERT INTO `lang_definitions` VALUES (16180, 196, 5, 'fügen Sie dem Rechnungssteller eine Notiz hinzu');
INSERT INTO `lang_definitions` VALUES (16181, 197, 5, 'Apotheke hinzufügen');
INSERT INTO `lang_definitions` VALUES (16182, 198, 5, 'fügen Sie alle benötigten Anbieter auf ähnliche Weise hinzu');
INSERT INTO `lang_definitions` VALUES (16183, 199, 5, 'fügen Sie alle Regeln zum Plan hinzu');
INSERT INTO `lang_definitions` VALUES (16184, 200, 5, 'Ereignis hinzufügen für');
INSERT INTO `lang_definitions` VALUES (16185, 201, 5, 'Als neue Nachricht hinzufügen');
INSERT INTO `lang_definitions` VALUES (16186, 202, 5, 'Als neue Bemerkung hinzufügen');
INSERT INTO `lang_definitions` VALUES (16187, 203, 5, 'Als Neu hinzufügen');
INSERT INTO `lang_definitions` VALUES (16188, 204, 5, 'Als neuer Patient hinzufügen');
INSERT INTO `lang_definitions` VALUES (16189, 205, 5, 'Untere Randzeile hinzufügen');
INSERT INTO `lang_definitions` VALUES (16190, 206, 5, 'Schaltflächen hinzufügen');
INSERT INTO `lang_definitions` VALUES (16191, 207, 5, 'Schaltflächen hinzufügen für spezielle Buchstaben und Texte die oberhalb des Editors angezeigt werden und mit denen Text hinzugefügt werden kann');
INSERT INTO `lang_definitions` VALUES (16192, 208, 5, 'Kategorie hinzufügen');
INSERT INTO `lang_definitions` VALUES (16193, 209, 5, 'Konstante hinzufügen');
INSERT INTO `lang_definitions` VALUES (16194, 210, 5, 'Kontext hinzufügen');
INSERT INTO `lang_definitions` VALUES (16195, 211, 5, 'Eigenleistung hinzufügen');
INSERT INTO `lang_definitions` VALUES (16196, 212, 5, 'Kriterium hinzufügen');
INSERT INTO `lang_definitions` VALUES (16197, 213, 5, 'Benutzerdefinierte Schaltfläche hinzufügen');
INSERT INTO `lang_definitions` VALUES (16198, 214, 5, 'Daten untere Randzeile hinzufügen');
INSERT INTO `lang_definitions` VALUES (16199, 215, 5, 'Fügen Sie die gewünschten Berechtigungen hinzu, indem Sie Elemente (ACOs) aus der Spalte \"Inaktiv\" in die Spalte \"Aktiv\" verschieben.');
INSERT INTO `lang_definitions` VALUES (16200, 216, 5, 'Diagnose hinzufügen');
INSERT INTO `lang_definitions` VALUES (16201, 217, 5, 'Medikament hinzufügen');
INSERT INTO `lang_definitions` VALUES (16202, 218, 5, 'Hilfe zum Bearbeiten von Überweisungen hinzufügen');
INSERT INTO `lang_definitions` VALUES (16203, 219, 5, 'Kontakt hinzufügen');
INSERT INTO `lang_definitions` VALUES (16204, 220, 5, 'Kontakt hinzufügen');
INSERT INTO `lang_definitions` VALUES (16205, 221, 5, 'Besuchnotizen hinzufügen');
INSERT INTO `lang_definitions` VALUES (16206, 222, 5, 'Standort hinzufügen');
INSERT INTO `lang_definitions` VALUES (16207, 223, 5, 'Feld hinzufügen');
INSERT INTO `lang_definitions` VALUES (16208, 224, 5, 'Folgende Zeilen zur Apache Konfigurationsdatei hinzufügen');
INSERT INTO `lang_definitions` VALUES (16209, 225, 5, 'Gruppe hinzufügen');
INSERT INTO `lang_definitions` VALUES (16210, 226, 5, 'Gruppe hinzufügen');
INSERT INTO `lang_definitions` VALUES (16211, 227, 5, 'ICD-Code hinzufügen');
INSERT INTO `lang_definitions` VALUES (16212, 228, 5, 'Impfung hinzufügen');
INSERT INTO `lang_definitions` VALUES (16213, 229, 5, 'Hinzufügen ist nicht erlaubt!');
INSERT INTO `lang_definitions` VALUES (16214, 230, 5, 'Problem hinzufügen');
INSERT INTO `lang_definitions` VALUES (16215, 231, 5, 'Punkt zur Verfolgung hinzufügen');
INSERT INTO `lang_definitions` VALUES (16216, 232, 5, 'Sprache hinzufügen');
INSERT INTO `lang_definitions` VALUES (16217, 234, 5, 'Manuell hinzufügen');
INSERT INTO `lang_definitions` VALUES (16218, 235, 5, 'Modus hinzufügen');
INSERT INTO `lang_definitions` VALUES (16219, 236, 5, 'Fügen Sie Modifikatoren für diesen Feldtyp hinzu. Sie können mehrere auswählen.');
INSERT INTO `lang_definitions` VALUES (16220, 237, 5, 'Weitere Artikel hinzufügen');
INSERT INTO `lang_definitions` VALUES (16221, 238, 5, 'Neu hinzufügen');
INSERT INTO `lang_definitions` VALUES (16222, 239, 5, 'Neu hinzufügen');
INSERT INTO `lang_definitions` VALUES (16223, 240, 5, 'Neue Kategorie hinzufügen:');
INSERT INTO `lang_definitions` VALUES (16224, 241, 5, 'Neues Zertifikat zur Apache Konfigurationsdatei hinzufügen');
INSERT INTO `lang_definitions` VALUES (16225, 242, 5, 'Neue Komponente hinzufügen');
INSERT INTO `lang_definitions` VALUES (16226, 243, 5, 'Neue Komponenten hinzufügen');
INSERT INTO `lang_definitions` VALUES (16227, 244, 5, 'Neue Datenbank hinzufügen');
INSERT INTO `lang_definitions` VALUES (16228, 245, 5, 'Neuen Eintrag hinzufügen');
INSERT INTO `lang_definitions` VALUES (16229, 246, 5, 'Neues Ereignis hinzufügen');
INSERT INTO `lang_definitions` VALUES (16230, 248, 5, 'NEUE GRUPPE HINZUFÜGEN');
INSERT INTO `lang_definitions` VALUES (16231, 249, 5, 'Neue Gruppe hinzufügen');
INSERT INTO `lang_definitions` VALUES (16232, 250, 5, 'Neues Problem hinzufügen');
INSERT INTO `lang_definitions` VALUES (16233, 251, 5, 'Neues Los und Transaktion hinzufügen');
INSERT INTO `lang_definitions` VALUES (16234, 252, 5, 'Neue Nachricht hinzufügen');
INSERT INTO `lang_definitions` VALUES (16235, 253, 5, 'Neue Bemerkung hinzufügen');
INSERT INTO `lang_definitions` VALUES (16236, 254, 5, 'Neue Bemerkung hinzufügen');
INSERT INTO `lang_definitions` VALUES (16237, 255, 5, 'Neuen Partner hinzufügen');
INSERT INTO `lang_definitions` VALUES (16238, 256, 5, 'Neuen Patienten hinzufügen');
INSERT INTO `lang_definitions` VALUES (16239, 257, 5, 'NEUEN PLAN HINZUFÜGEN');
INSERT INTO `lang_definitions` VALUES (16240, 258, 5, 'Neu hinzufügen....');
INSERT INTO `lang_definitions` VALUES (16241, 264, 5, 'Bemerkung hinzufügen');
INSERT INTO `lang_definitions` VALUES (16242, 265, 5, 'Onsite Portal Aktivität hinzufügen');
INSERT INTO `lang_definitions` VALUES (16243, 266, 5, 'Paket hinzufügen');
INSERT INTO `lang_definitions` VALUES (16244, 267, 5, 'Patient hinzufügen');
INSERT INTO `lang_definitions` VALUES (16245, 268, 5, 'Patientendatensatz hinzufügen');
INSERT INTO `lang_definitions` VALUES (16246, 269, 5, 'Rezept hinzufügen');
INSERT INTO `lang_definitions` VALUES (16247, 270, 5, 'Eingriff hinzufügen');
INSERT INTO `lang_definitions` VALUES (16248, 271, 5, 'Anbieternummer hinzufügen');
INSERT INTO `lang_definitions` VALUES (16249, 272, 5, 'Rückruf hinzufügen');
INSERT INTO `lang_definitions` VALUES (16250, 273, 5, 'Reha hinzufügen');
INSERT INTO `lang_definitions` VALUES (16251, 274, 5, 'Regel hinzufügen');
INSERT INTO `lang_definitions` VALUES (16252, 275, 5, 'Fügen Sie die restlichen Codes hinzu, dazu muss der CPT-Code bereits in der Datenbank vorhanden sein');
INSERT INTO `lang_definitions` VALUES (16253, 276, 5, 'Uhrzeit zu Datum hinzufügen');
INSERT INTO `lang_definitions` VALUES (16254, 277, 5, 'Hinzufügen zu');
INSERT INTO `lang_definitions` VALUES (16255, 278, 5, 'AN BESTEHENDE NACHRICHT HINZUFÜGEN');
INSERT INTO `lang_definitions` VALUES (16256, 279, 5, 'an bestehende Nachright hinzufügen');
INSERT INTO `lang_definitions` VALUES (16257, 280, 5, 'Zu Liste hinzufügen');
INSERT INTO `lang_definitions` VALUES (16258, 281, 5, 'Zur Liste der Medikamente hinzufügen');
INSERT INTO `lang_definitions` VALUES (16259, 282, 5, 'Top Level hinzufügen');
INSERT INTO `lang_definitions` VALUES (16260, 283, 5, 'Transaktion hinzufügen');
INSERT INTO `lang_definitions` VALUES (16261, 284, 5, 'Benutzer hinzufügen');
INSERT INTO `lang_definitions` VALUES (16262, 285, 5, 'Benutzer zur Gruppe hinzufügen');
INSERT INTO `lang_definitions` VALUES (16263, 286, 5, 'Hinzufügen{{weitere Messungen}}');
INSERT INTO `lang_definitions` VALUES (16264, 287, 5, 'eRx hinzufügen / anpassen');
INSERT INTO `lang_definitions` VALUES (16265, 288, 5, 'Problem hinzufügen/bearbeiten');
INSERT INTO `lang_definitions` VALUES (16266, 289, 5, 'Patienten-Transaktion hinzufügen/bearbeiten');
INSERT INTO `lang_definitions` VALUES (16267, 290, 5, 'hinzugefügt');
INSERT INTO `lang_definitions` VALUES (16268, 291, 5, 'Füge hinzu');
INSERT INTO `lang_definitions` VALUES (16269, 292, 5, 'einen Teilnehmer hinzufügen');
INSERT INTO `lang_definitions` VALUES (16270, 293, 5, 'Hinzufügen demographischer Daten nicht gestattet.');
INSERT INTO `lang_definitions` VALUES (16271, 294, 5, 'Hinzufügen des zu verfolgenden Punktes gescheitert');
INSERT INTO `lang_definitions` VALUES (16272, 295, 5, 'Addison Syndrom');
INSERT INTO `lang_definitions` VALUES (16273, 296, 5, 'Addison Syndrom');
INSERT INTO `lang_definitions` VALUES (16274, 297, 5, 'Zusätzliche Attribute');
INSERT INTO `lang_definitions` VALUES (16275, 298, 5, 'Zusätzliche Datenpunkte');
INSERT INTO `lang_definitions` VALUES (16276, 299, 5, 'Zusätzliches Datum');
INSERT INTO `lang_definitions` VALUES (16277, 300, 5, 'Weitere Diagnosen:');
INSERT INTO `lang_definitions` VALUES (16278, 301, 5, 'weitere Befunde');
INSERT INTO `lang_definitions` VALUES (16279, 302, 5, 'Durch Aktivieren des optionalen MedEx-Kommunikationsdienstes kann auf zusätzliche Funktionen wie das Senden von SMS-Textnachrichten, das automatische Wählen von Telefonnummern, E-Mails usw. zugegriffen werden');
INSERT INTO `lang_definitions` VALUES (16280, 303, 5, 'Zusätzliche Hilfe zum Ausfüllen dieses Formulars erhalten Sie, indem Sie mit der Maus über die Beschriftungen der einzelnen Felder fahren und auf das dunkelblaue Hilfe - Symbol ( ? ) klicken, welches erscheint');
INSERT INTO `lang_definitions` VALUES (16281, 305, 5, 'Weitere Vorgeschichte');
INSERT INTO `lang_definitions` VALUES (16282, 306, 5, 'Weitere Bemerkungen zur Vorgeschichte');
INSERT INTO `lang_definitions` VALUES (16283, 307, 5, 'Weitere Informationen');
INSERT INTO `lang_definitions` VALUES (16284, 308, 5, 'Weitere Informationen zu den einzelnen Seiten finden Sie in den jeweiligen Hilfedateien');
INSERT INTO `lang_definitions` VALUES (16285, 309, 5, 'Zusätzliche Informationen zur Bearbeitung von Papierforderungen');
INSERT INTO `lang_definitions` VALUES (16286, 310, 5, 'Weitere Laborbefunde');
INSERT INTO `lang_definitions` VALUES (16287, 311, 5, 'Weitere Bemerkungen');
INSERT INTO `lang_definitions` VALUES (16288, 312, 5, 'Das Feld Zusätzliche Hinweise ist für die lokale Verwendung in openEMR vorgesehen');
INSERT INTO `lang_definitions` VALUES (16289, 313, 5, 'zusätzliche Bemerkungen für diesen Befund oder Empfehlung');
INSERT INTO `lang_definitions` VALUES (16290, 314, 5, 'Weitere Bemerkungen:');
INSERT INTO `lang_definitions` VALUES (16291, 315, 5, 'Weitere Bemerkungen:');
INSERT INTO `lang_definitions` VALUES (16292, 317, 5, 'Weitere Bemerkungen zu Röntgenuntersuchungen:');
INSERT INTO `lang_definitions` VALUES (16293, 318, 5, 'zusätzlich kann das korrespondierende US-amerikanische Extensionspaket nach Installation der internationalen englischen Version importiert werden');
INSERT INTO `lang_definitions` VALUES (16294, 319, 5, 'Zusätzlice Rx{{Zusätzliche Brillen}}');
INSERT INTO `lang_definitions` VALUES (16295, 320, 5, 'nur hinzufügen');
INSERT INTO `lang_definitions` VALUES (16296, 321, 5, 'nur hinzufügen - kann lesen und hinzufügen aber nicht bearbeiten');
INSERT INTO `lang_definitions` VALUES (16297, 322, 5, 'Adressbuch');
INSERT INTO `lang_definitions` VALUES (16298, 323, 5, 'Adressbuch');
INSERT INTO `lang_definitions` VALUES (16299, 324, 5, 'Adresse');
INSERT INTO `lang_definitions` VALUES (16300, 325, 5, 'Adresse und Postleitzahl');
INSERT INTO `lang_definitions` VALUES (16301, 326, 5, 'Adresse und Kanton / Bundesland');
INSERT INTO `lang_definitions` VALUES (16302, 327, 5, 'Adressbuch');
INSERT INTO `lang_definitions` VALUES (16303, 328, 5, 'Adressbucheintrag der ausführenden Firma');
INSERT INTO `lang_definitions` VALUES (16304, 329, 5, 'Adressbucheintrag der Verteilerfirma');
INSERT INTO `lang_definitions` VALUES (16305, 330, 5, 'Adressbucheintrag des Anbieters');
INSERT INTO `lang_definitions` VALUES (16306, 331, 5, 'Adressbuchtypen');
INSERT INTO `lang_definitions` VALUES (16307, 332, 5, 'Typ der Adresse');
INSERT INTO `lang_definitions` VALUES (16308, 333, 5, 'Adressetiketten');
INSERT INTO `lang_definitions` VALUES (16309, 336, 5, 'Nur Adressen');
INSERT INTO `lang_definitions` VALUES (16310, 337, 5, 'Anschrift, Stadt, Kanton / Bundesland und Postleitzahl');
INSERT INTO `lang_definitions` VALUES (16311, 338, 5, 'Anschrift, Kanton / Bundesland und Postleitzahl');
INSERT INTO `lang_definitions` VALUES (16312, 339, 5, 'Adresse1');
INSERT INTO `lang_definitions` VALUES (16313, 340, 5, 'Adresse2');
INSERT INTO `lang_definitions` VALUES (16314, 341, 5, 'Addressiert an');
INSERT INTO `lang_definitions` VALUES (16315, 342, 5, 'Empfänger');
INSERT INTO `lang_definitions` VALUES (16316, 343, 5, 'HINZUFÜGEN{{Bifokales hinzufügen}}');
INSERT INTO `lang_definitions` VALUES (16317, 344, 5, 'HINZUFÜGEN{{Nähe hinzufügen}}');
INSERT INTO `lang_definitions` VALUES (16318, 345, 5, 'Anp.');
INSERT INTO `lang_definitions` VALUES (16319, 346, 5, 'Angep. Betrag');
INSERT INTO `lang_definitions` VALUES (16320, 347, 5, 'Anpassen');
INSERT INTO `lang_definitions` VALUES (16321, 348, 5, 'Anpassung');
INSERT INTO `lang_definitions` VALUES (16322, 349, 5, 'Anpassungsbetrag');
INSERT INTO `lang_definitions` VALUES (16323, 350, 5, 'Gründe für Anpassung');
INSERT INTO `lang_definitions` VALUES (16324, 352, 5, 'Anpassungswert für Code');
INSERT INTO `lang_definitions` VALUES (16325, 353, 5, 'Anpassungen');
INSERT INTO `lang_definitions` VALUES (16326, 354, 5, 'Admin. Anpassung');
INSERT INTO `lang_definitions` VALUES (16327, 355, 5, 'Admin');
INSERT INTO `lang_definitions` VALUES (16328, 356, 5, 'Email-Adresse des Administrators');
INSERT INTO `lang_definitions` VALUES (16329, 357, 5, 'Verwalten über');
INSERT INTO `lang_definitions` VALUES (16330, 358, 5, 'Verwalten über ist nicht relevant in diesem Kontext und kann nicht zugewiesen bleiben');
INSERT INTO `lang_definitions` VALUES (16331, 359, 5, 'Verwaltet');
INSERT INTO `lang_definitions` VALUES (16332, 360, 5, 'Verwaltet durch');
INSERT INTO `lang_definitions` VALUES (16333, 361, 5, 'Verwaltet Datum');
INSERT INTO `lang_definitions` VALUES (16334, 362, 5, 'Verwaltete Seite');
INSERT INTO `lang_definitions` VALUES (16335, 363, 5, 'Administration');
INSERT INTO `lang_definitions` VALUES (16336, 364, 5, 'Administration (admin)');
INSERT INTO `lang_definitions` VALUES (16337, 365, 5, 'Verwaltungs - Site');
INSERT INTO `lang_definitions` VALUES (16338, 366, 5, 'Administratoren');
INSERT INTO `lang_definitions` VALUES (16339, 367, 5, 'Administratoren haben vollen Zugriff');
INSERT INTO `lang_definitions` VALUES (16340, 368, 5, 'Aufnahmedatum');
INSERT INTO `lang_definitions` VALUES (16341, 369, 5, 'Adnexa');
INSERT INTO `lang_definitions` VALUES (16342, 370, 5, 'Adoptiertes Kind');
INSERT INTO `lang_definitions` VALUES (16343, 371, 5, 'Gewichts-Screening (Erwachsene) und Follow-up');
INSERT INTO `lang_definitions` VALUES (16344, 372, 5, 'Gewichts-Screening (Erwachsene) und Follow-up (CQM)');
INSERT INTO `lang_definitions` VALUES (16345, 373, 5, 'Vorausverfügung');
INSERT INTO `lang_definitions` VALUES (16346, 374, 5, 'Vorausverfügungen');
INSERT INTO `lang_definitions` VALUES (16347, 375, 5, 'Warnung Vorausverfügungen');
INSERT INTO `lang_definitions` VALUES (16348, 376, 5, 'Voraus Optionen');
INSERT INTO `lang_definitions` VALUES (16349, 377, 5, 'Fortgeschritten');
INSERT INTO `lang_definitions` VALUES (16350, 378, 5, 'Fortgeschritten - Feinere Zugangskontrolle');
INSERT INTO `lang_definitions` VALUES (16351, 379, 5, 'Vor- und Nachteile von TOTP und U2F');
INSERT INTO `lang_definitions` VALUES (16352, 380, 5, 'Ratschlag');
INSERT INTO `lang_definitions` VALUES (16353, 381, 5, 'Fern');
INSERT INTO `lang_definitions` VALUES (16354, 382, 5, 'Affekt unauffällig');
INSERT INTO `lang_definitions` VALUES (16355, 383, 5, 'Afrikaans');
INSERT INTO `lang_definitions` VALUES (16356, 384, 5, 'nach');
INSERT INTO `lang_definitions` VALUES (16357, 385, 5, 'später (PM)');
INSERT INTO `lang_definitions` VALUES (16358, 386, 5, 'Anruf nach Sprechzeit');
INSERT INTO `lang_definitions` VALUES (16359, 387, 5, 'Nach dem Umzug von der alten Passworteingabeart (Passwörter in einer Benutzertabelle ohne Salt) sollte diese Warnung auf falsch gesetzt werden, damit eine Authentifizierung nur noch durch die neue Methode möglich ist');
INSERT INTO `lang_definitions` VALUES (16360, 388, 5, 'Nach Ausführen oben stehender Konfigurationen, importieren Sie das Admin Klientszertifikat in den Browser und starten Sie den Apache Server neu (leeres Passwort)');
INSERT INTO `lang_definitions` VALUES (16361, 390, 5, 'Nach Speicherung als PDF [View log] klicken zur Fehlersuche.');
INSERT INTO `lang_definitions` VALUES (16362, 391, 5, 'Nach Speicherung als PDF [View log]klicken zur Fehlersuche.');
INSERT INTO `lang_definitions` VALUES (16363, 393, 5, 'Nach Speicherung als TEXT [View log] klicken zur Fehlersuche.');
INSERT INTO `lang_definitions` VALUES (16364, 394, 5, 'Nach Speicherung als TEXT [View log]klicken zur Fehlersuche.');
INSERT INTO `lang_definitions` VALUES (16365, 396, 5, 'Nach Speicherung der Stapeldatei [View log] klicken zur Fehlersuche.');
INSERT INTO `lang_definitions` VALUES (16366, 397, 5, 'Nach Speicherung der Stapeldatei [View log]klicken zur Fehlersuche.');
INSERT INTO `lang_definitions` VALUES (16367, 398, 5, 'Danach zeigt die Ergebnisspalte die ausgewählte Patienten-ID oder 0 um einen neuen Patientendatensatz zu erzeugen');
INSERT INTO `lang_definitions` VALUES (16368, 399, 5, 'Nachdem die Daten korrekt eingegeben sind, bitte Speichern klicken.');
INSERT INTO `lang_definitions` VALUES (16369, 400, 5, 'Nach dem Upload bitte \"Import\" klicken.');
INSERT INTO `lang_definitions` VALUES (16370, 401, 5, 'Nach dem Upload bitte \"Import\" klicken.');
INSERT INTO `lang_definitions` VALUES (16371, 402, 5, 'Nachdem Sie die Tabelle mit den relevanten ICD-Kategorien und ICD-Codes ausgefüllt haben, gehen Sie zu Administration> Listen. Wählen Sie im Dropdown-Feld \"Servicekategorie\" aus');
INSERT INTO `lang_definitions` VALUES (16372, 403, 5, 'Nachdem Sie alle ICD 10-Codes eingegeben haben, gehen Sie zu Administration> Listen und wählen Sie \'Code Types\' aus dem Dropdown-Feld. Wählen Sie \'ICD 10 Diagnose\' aus der letzten Dropdown-Box unter ICD 10');
INSERT INTO `lang_definitions` VALUES (16373, 404, 5, 'Nachsorge-Plannung');
INSERT INTO `lang_definitions` VALUES (16374, 406, 5, 'Wieder');
INSERT INTO `lang_definitions` VALUES (16375, 407, 5, 'Alter');
INSERT INTO `lang_definitions` VALUES (16376, 408, 5, 'Alter beim Tod');
INSERT INTO `lang_definitions` VALUES (16377, 409, 5, 'Alter nach');
INSERT INTO `lang_definitions` VALUES (16378, 410, 5, 'Altersstufe');
INSERT INTO `lang_definitions` VALUES (16379, 411, 5, 'Altersangabe ungültig.');
INSERT INTO `lang_definitions` VALUES (16380, 412, 5, 'Alter-Anzeigeformat');
INSERT INTO `lang_definitions` VALUES (16381, 413, 5, '\"Alter von\" ist ungültig');
INSERT INTO `lang_definitions` VALUES (16382, 414, 5, '\"Alter bis\" ist ungültig');
INSERT INTO `lang_definitions` VALUES (16383, 415, 5, 'Alter von');
INSERT INTO `lang_definitions` VALUES (16384, 416, 5, 'Alter in Jahren für Zeigeformat ändern');
INSERT INTO `lang_definitions` VALUES (16385, 417, 5, 'Maximales Alter');
INSERT INTO `lang_definitions` VALUES (16386, 418, 5, 'Minimales Alter');
INSERT INTO `lang_definitions` VALUES (16387, 419, 5, 'Altersspanne');
INSERT INTO `lang_definitions` VALUES (16388, 420, 5, 'Alters Spalten:');
INSERT INTO `lang_definitions` VALUES (16389, 421, 5, 'Alters Spalten:');
INSERT INTO `lang_definitions` VALUES (16390, 422, 5, 'Akan');
INSERT INTO `lang_definitions` VALUES (16391, 423, 5, 'Albaner');
INSERT INTO `lang_definitions` VALUES (16392, 424, 5, 'Alkohol');
INSERT INTO `lang_definitions` VALUES (16393, 425, 5, 'Alkoholkonsum');
INSERT INTO `lang_definitions` VALUES (16394, 426, 5, 'Alkoholgebrauch');
INSERT INTO `lang_definitions` VALUES (16395, 427, 5, 'Alarm');
INSERT INTO `lang_definitions` VALUES (16396, 428, 5, 'Anzahl der Alarme');
INSERT INTO `lang_definitions` VALUES (16397, 430, 5, 'Benachrichtigung am und nach dem Geburtstag');
INSERT INTO `lang_definitions` VALUES (16398, 431, 5, 'Benachrichtigung am und bis 28 Tage nach dem Geburtstag');
INSERT INTO `lang_definitions` VALUES (16399, 432, 5, 'Benachrichtigung am Geburtstag des Patienten');
INSERT INTO `lang_definitions` VALUES (16400, 433, 5, 'Benachrichtigung nur am Geburtstag');
INSERT INTO `lang_definitions` VALUES (16401, 434, 5, 'Alarm Uhrzeit');
INSERT INTO `lang_definitions` VALUES (16402, 435, 5, 'Alarme');
INSERT INTO `lang_definitions` VALUES (16403, 436, 5, 'Alarm - Log');
INSERT INTO `lang_definitions` VALUES (16404, 437, 5, 'Benachrichtigungen / Erinnerungen');
INSERT INTO `lang_definitions` VALUES (16405, 438, 5, 'Benachrichtigung{{mentaler Status}}');
INSERT INTO `lang_definitions` VALUES (16406, 439, 5, 'ALEUT');
INSERT INTO `lang_definitions` VALUES (16407, 440, 5, 'Alle');
INSERT INTO `lang_definitions` VALUES (16408, 441, 5, 'ALLE');
INSERT INTO `lang_definitions` VALUES (16409, 442, 5, 'alle');
INSERT INTO `lang_definitions` VALUES (16410, 443, 5, 'Alle (sortiertes Format A)');
INSERT INTO `lang_definitions` VALUES (16411, 444, 5, 'Alle (sortiertes Format B)');
INSERT INTO `lang_definitions` VALUES (16412, 445, 5, 'Alle (kumulativ)');
INSERT INTO `lang_definitions` VALUES (16413, 446, 5, 'Alle Benachrichtigungen');
INSERT INTO `lang_definitions` VALUES (16414, 447, 5, 'Alle automatischen Messwertberechnungen (AMC)');
INSERT INTO `lang_definitions` VALUES (16415, 448, 5, 'Alle Kategorien');
INSERT INTO `lang_definitions` VALUES (16416, 449, 5, 'Alle klinischen Qualitätswerte (CQM)');
INSERT INTO `lang_definitions` VALUES (16417, 450, 5, 'Alle Code');
INSERT INTO `lang_definitions` VALUES (16418, 452, 5, 'Alle Dati');
INSERT INTO `lang_definitions` VALUES (16419, 453, 5, 'Ganztags');
INSERT INTO `lang_definitions` VALUES (16420, 454, 5, 'Ganztägiges Ereignis');
INSERT INTO `lang_definitions` VALUES (16421, 455, 5, 'Alle demografischen Felder, mit Suche und Überprüfung auf Dopplungen');
INSERT INTO `lang_definitions` VALUES (16422, 456, 5, 'Alle Begegnungen');
INSERT INTO `lang_definitions` VALUES (16423, 457, 5, 'Alle Einrichtungen');
INSERT INTO `lang_definitions` VALUES (16424, 458, 5, 'Alle Verletzungen/Probleme');
INSERT INTO `lang_definitions` VALUES (16425, 459, 5, 'Jede Sprache erlaubt');
INSERT INTO `lang_definitions` VALUES (16426, 460, 5, 'Alle Nachrichten');
INSERT INTO `lang_definitions` VALUES (16427, 461, 5, 'Alle offiziellen Messgruppen für klinische Qualitätsmessungen (CQM)');
INSERT INTO `lang_definitions` VALUES (16428, 462, 5, 'Vollständiger oder Teil des Vornamens');
INSERT INTO `lang_definitions` VALUES (16429, 463, 5, 'Vollständiger oder Teil des Familiennamens');
INSERT INTO `lang_definitions` VALUES (16430, 464, 5, 'Alle oder Teil der Organisation');
INSERT INTO `lang_definitions` VALUES (16431, 465, 5, 'Alle Patienteninteraktionen in OpenEMR sind mit Begegnungen verknüpft');
INSERT INTO `lang_definitions` VALUES (16432, 466, 5, 'Alle Patienten');
INSERT INTO `lang_definitions` VALUES (16433, 467, 5, 'Alle ausstehenden Nachrichten werden im Bereich MEINE NACHRICHTEN angezeigt');
INSERT INTO `lang_definitions` VALUES (16434, 468, 5, 'Alle Produkte');
INSERT INTO `lang_definitions` VALUES (16435, 469, 5, 'Alle Anbieter');
INSERT INTO `lang_definitions` VALUES (16436, 470, 5, 'Alle überprüft und negativ');
INSERT INTO `lang_definitions` VALUES (16437, 472, 5, 'Es sind nicht alle Abschnitte erforderlich, sondern sie stehen auf der Grundlage der Informationen zur Verfügung, die ein Arzt zu einem bestimmten Zeitpunkt für kritische Daten für den Patienten hält');
INSERT INTO `lang_definitions` VALUES (16438, 473, 5, 'Alles bereit. Klicken Sie unten auf Anfrage senden, um die Registrierung abzuschließen');
INSERT INTO `lang_definitions` VALUES (16439, 475, 5, 'Alle Themen');
INSERT INTO `lang_definitions` VALUES (16440, 476, 5, 'Alle TOTP-Authentifizierungs-Apps verwenden denselben Algorithmus und dieselbe sichere Hash-Funktion - HMAC-SHA1, um den eindeutigen Schlüssel zu generieren');
INSERT INTO `lang_definitions` VALUES (16441, 477, 5, 'Alle Transaktionen für den Patienten werden auf der Seite \"Transaktionen\" in absteigender Reihenfolge ihres Erstellungsdatums angezeigt');
INSERT INTO `lang_definitions` VALUES (16442, 478, 5, 'Alle Benutzer');
INSERT INTO `lang_definitions` VALUES (16443, 479, 5, 'Allergisch');
INSERT INTO `lang_definitions` VALUES (16444, 480, 5, 'allergisch auf');
INSERT INTO `lang_definitions` VALUES (16445, 481, 5, 'Allergien');
INSERT INTO `lang_definitions` VALUES (16446, 482, 5, 'Allergien - zeigt die unter Probleme> Allergien aufgelisteten Allergien an. Wenn eRx aktiviert ist, muss die Allergieliste auf der eRx-Seite eingegeben werden');
INSERT INTO `lang_definitions` VALUES (16447, 483, 5, 'Allergien / Alarmierungsdaten');
INSERT INTO `lang_definitions` VALUES (16448, 484, 5, 'Allergien:');
INSERT INTO `lang_definitions` VALUES (16449, 485, 5, 'Allergie');
INSERT INTO `lang_definitions` VALUES (16450, 486, 5, 'Importieren von Allergien erfolgreich abgeschlossen');
INSERT INTO `lang_definitions` VALUES (16451, 487, 5, 'Allergische Vorfälle');
INSERT INTO `lang_definitions` VALUES (16452, 488, 5, 'Allergische Reaktion');
INSERT INTO `lang_definitions` VALUES (16453, 489, 5, 'ALLERGIE WARNUNG');
INSERT INTO `lang_definitions` VALUES (16454, 490, 5, 'Allergie Warnung');
INSERT INTO `lang_definitions` VALUES (16455, 491, 5, 'Zuweisen');
INSERT INTO `lang_definitions` VALUES (16456, 492, 5, 'Ermöglichen');
INSERT INTO `lang_definitions` VALUES (16457, 493, 5, 'Ermögliche Administratoren Patienten zu löschen');
INSERT INTO `lang_definitions` VALUES (16458, 494, 5, 'Jede verfügbare Sprache wählbar bei Login.');
INSERT INTO `lang_definitions` VALUES (16459, 495, 5, 'Erlaube das Einchecken vor dem Termin.');
INSERT INTO `lang_definitions` VALUES (16460, 496, 5, 'Ansprüche mit Diagnosen aber ohne Prozedur oder Kosten ermöglichen. Meistens nicht gewünscht.');
INSERT INTO `lang_definitions` VALUES (16461, 497, 5, 'Debugging-Sprache erlauben');
INSERT INTO `lang_definitions` VALUES (16462, 499, 5, 'Frühes Einchecken erlauben');
INSERT INTO `lang_definitions` VALUES (16463, 500, 5, 'E-Mail erlauben');
INSERT INTO `lang_definitions` VALUES (16464, 501, 5, 'E-Mail-Nachrichten erlauben?');
INSERT INTO `lang_definitions` VALUES (16465, 502, 5, 'E-Mail erlauben?');
INSERT INTO `lang_definitions` VALUES (16466, 503, 5, 'Visiteansprüche erlauben');
INSERT INTO `lang_definitions` VALUES (16467, 504, 5, 'Begegnung für jeden Termin zulassen');
INSERT INTO `lang_definitions` VALUES (16468, 505, 5, 'Erlaube den Austausch von Gesundheitsinformationen');
INSERT INTO `lang_definitions` VALUES (16469, 506, 5, 'Gesundheitsinformationaustausch erlauben');
INSERT INTO `lang_definitions` VALUES (16470, 507, 5, 'Freigabe von Immunisierungsinformationen zulassen');
INSERT INTO `lang_definitions` VALUES (16471, 508, 5, 'Immunisierungsinformationsaustausch erlauben');
INSERT INTO `lang_definitions` VALUES (16472, 509, 5, 'Immunisierungsregistrierung erlauben');
INSERT INTO `lang_definitions` VALUES (16473, 510, 5, 'Unterstützung für institutionelle Ansprüche zulassen');
INSERT INTO `lang_definitions` VALUES (16474, 511, 5, 'Zulassen von Versicherungsfähigkeitsprüfungen mit Office Ally');
INSERT INTO `lang_definitions` VALUES (16475, 512, 5, 'E-Mail-Nachricht erlauben?');
INSERT INTO `lang_definitions` VALUES (16476, 514, 5, 'Erlaube mehrere Datenbanken');
INSERT INTO `lang_definitions` VALUES (16477, 516, 5, 'Hinweis zulassen');
INSERT INTO `lang_definitions` VALUES (16478, 521, 5, 'Neues Widget zur Patientenregistrierung vor Ort zulassen');
INSERT INTO `lang_definitions` VALUES (16479, 522, 5, 'Onsite Onlinetermine zulassen');
INSERT INTO `lang_definitions` VALUES (16480, 523, 5, 'Onsite Onlinezahlungen zulassen');
INSERT INTO `lang_definitions` VALUES (16481, 524, 5, 'Onsite Online Secure Chat zulassen');
INSERT INTO `lang_definitions` VALUES (16482, 525, 5, 'Onsite-Patientenbuch zulassen');
INSERT INTO `lang_definitions` VALUES (16483, 526, 5, 'Ermöglichen Sie dem Patienten vor Ort, online Termine zu vereinbaren und anzuzeigen.');
INSERT INTO `lang_definitions` VALUES (16484, 527, 5, 'Ermöglichen Sie dem Patienten vor Ort, online Zahlungen zu leisten.');
INSERT INTO `lang_definitions` VALUES (16485, 528, 5, 'Ermöglichen Sie dem Patienten vor Ort, die Secure Chat-Anwendung zu verwenden.');
INSERT INTO `lang_definitions` VALUES (16486, 529, 5, 'Ermöglichen Sie dem Patienten vor Ort, sein Buchhaltungsbuch online einzusehen.');
INSERT INTO `lang_definitions` VALUES (16487, 530, 5, 'Patienten vor Ort erlauben, Anmeldeinformationen zurückzusetzen');
INSERT INTO `lang_definitions` VALUES (16488, 531, 5, 'Ermöglichen Sie dem Patient Flow Board, Patienten für Drogentests auszuwählen.');
INSERT INTO `lang_definitions` VALUES (16489, 533, 5, 'Patientenportal erlauben');
INSERT INTO `lang_definitions` VALUES (16490, 539, 5, 'Post zulassen');
INSERT INTO `lang_definitions` VALUES (16491, 541, 5, 'SMS (Text-Nachricht) erlauben');
INSERT INTO `lang_definitions` VALUES (16492, 542, 5, 'SMS (Text-Nachricht) erlauben?');
INSERT INTO `lang_definitions` VALUES (16493, 543, 5, 'Anweisungsausschlüsse vom Drucken zulassen');
INSERT INTO `lang_definitions` VALUES (16494, 544, 5, 'Sofortige Aktivierung von gesendeten Ereignissen erlauben?');
INSERT INTO `lang_definitions` VALUES (16495, 545, 5, 'Telefonnachrichten erlauben?');
INSERT INTO `lang_definitions` VALUES (16496, 546, 5, 'Verwendung mit mehreren Datenbanken zulassen');
INSERT INTO `lang_definitions` VALUES (16497, 547, 5, 'Benutzern die Veröffentlichung von globalen Ereignissen erlauben?');
INSERT INTO `lang_definitions` VALUES (16498, 548, 5, 'Benutzern die Veröffentlichung von persönlichen Terminlisten erlauben?');
INSERT INTO `lang_definitions` VALUES (16499, 549, 5, 'Vor-Ort-Widget für neue Patientenregistrierung für Version 2 zulassen');
INSERT INTO `lang_definitions` VALUES (16500, 550, 5, 'Onsite Onlinezahlungen Version 2 zulassen');
INSERT INTO `lang_definitions` VALUES (16501, 551, 5, 'Version 2 Ermöglichen Sie dem Patienten vor Ort, online Zahlungen zu leisten.');
INSERT INTO `lang_definitions` VALUES (16502, 552, 5, 'Version 2 Patienten vor Ort erlauben, Anmeldeinformationen zurückzusetzen');
INSERT INTO `lang_definitions` VALUES (16503, 553, 5, 'Sprachanruf zulassen');
INSERT INTO `lang_definitions` VALUES (16504, 554, 5, 'Sprachnachrichten erlauben?');
INSERT INTO `lang_definitions` VALUES (16505, 555, 5, 'Erlaubt');
INSERT INTO `lang_definitions` VALUES (16506, 556, 5, 'Erlaubte Sprachen');
INSERT INTO `lang_definitions` VALUES (16507, 557, 5, 'Erlaubt, Preise zu ermäßigen (in Gebührenzettel oder Checkout-Formular) (Disc)');
INSERT INTO `lang_definitions` VALUES (16508, 558, 5, 'Erlaubt');
INSERT INTO `lang_definitions` VALUES (16509, 559, 5, 'E-Signatur eines kompletten Besuches erlaubt');
INSERT INTO `lang_definitions` VALUES (16510, 560, 5, 'E-Signatur eines individuelle Formulars erlaubt');
INSERT INTO `lang_definitions` VALUES (16511, 561, 5, 'Erlaubt Mail');
INSERT INTO `lang_definitions` VALUES (16512, 562, 5, 'Erlaubt Sprachnachrichten');
INSERT INTO `lang_definitions` VALUES (16513, 565, 5, 'Schon oben auf der Seite');
INSERT INTO `lang_definitions` VALUES (16514, 566, 5, 'existiert bereits');
INSERT INTO `lang_definitions` VALUES (16515, 568, 5, 'existiert bereits.');
INSERT INTO `lang_definitions` VALUES (16516, 569, 5, 'bereits registriert');
INSERT INTO `lang_definitions` VALUES (16517, 570, 5, 'Wird bereits verwendet, bitte anderen Identifier wählen');
INSERT INTO `lang_definitions` VALUES (16518, 571, 5, 'Wird bereits verwendet, bitte anderen Titel wählen');
INSERT INTO `lang_definitions` VALUES (16519, 572, 5, 'Bietet auch eine kurze Beschreibung des Besuchs in den Patientenberichten');
INSERT INTO `lang_definitions` VALUES (16520, 573, 5, 'Alternative Adresse');
INSERT INTO `lang_definitions` VALUES (16521, 577, 5, 'Ändern');
INSERT INTO `lang_definitions` VALUES (16522, 578, 5, 'Alternativer Abdeckungstest');
INSERT INTO `lang_definitions` VALUES (16523, 579, 5, 'Alternativ kann ein CPT-Code verwendet werden. Es ist 84550 für Serumharnsäure');
INSERT INTO `lang_definitions` VALUES (16524, 580, 5, 'Alternativ können Sie eine Beispieltabelle herunterladen, indem Sie auf die Schaltfläche Herunterladen klicken');
INSERT INTO `lang_definitions` VALUES (16525, 581, 5, 'Alternativ können Sie darauf zugreifen, indem Sie in der oberen Navigationsleiste auf den Menüpunkt Nachrichten klicken');
INSERT INTO `lang_definitions` VALUES (16526, 582, 5, 'Alternativ können Sie alle Auswahlen aufheben und nur die Elemente auswählen, die Teil des Berichts sein sollen');
INSERT INTO `lang_definitions` VALUES (16527, 583, 5, 'Alternativ können Sie auch eine elektronische Überweisungsdatei (X12 835) hochladen, die Sie von Ihrem Zahler oder Ihrer Clearingstelle erhalten haben. Sie können dies tun, indem Sie zuerst die Option \"ERA-Upload\" im ersten Abschnitt \"Methode auswählen\" auswählen. Daraufhin wird der Abschnitt \"ERA-Upload\" angezeigt.');
INSERT INTO `lang_definitions` VALUES (16528, 584, 5, 'Alternativ können Sie auch die Suchseite verwenden um eine elektronische Überweisungsdatei (X12 835), die Sie von ihrem Kostenträger oder ihrer Bank bekommen haben, hochzuladen. Durch klicken von \"Auswählen\" kann eine Datei selektiert werden und durch Drücken von \"Suchen\" hochgeladen und eine Ansicht der entsprechenden Rechnungen erhalten werden. In diesen Fall sind die oben stehenden Parameter nicht von Bedeutung und werden ignoriert. Beim Hochladen wird die Datei gespeichert aber nicht weiter verarbeitet -- dieses wird separat durchgeführt wie weiter unten beschrieben.');
INSERT INTO `lang_definitions` VALUES (16529, 585, 5, 'Obwohl der HCFA-1500 ursprünglich für die Einreichung von Medicare-Anträgen entwickelt wurde, wurde er schließlich von allen gewerblichen / privaten Versicherungsträgern akzeptiert, um die Standardisierung des Antragsprozesses zu erleichtern');
INSERT INTO `lang_definitions` VALUES (16530, 586, 5, 'AM');
INSERT INTO `lang_definitions` VALUES (16531, 587, 5, 'AM Programm');
INSERT INTO `lang_definitions` VALUES (16532, 588, 5, 'Amblyopie');
INSERT INTO `lang_definitions` VALUES (16533, 589, 5, 'Krankenwagen - Luft oder Wasser');
INSERT INTO `lang_definitions` VALUES (16534, 590, 5, 'Krankenwagen - Land');
INSERT INTO `lang_definitions` VALUES (16535, 591, 5, 'Ambulantes Chirurgisches Zentrum');
INSERT INTO `lang_definitions` VALUES (16536, 592, 5, 'AMC');
INSERT INTO `lang_definitions` VALUES (16537, 593, 5, 'AMC Verfolgung');
INSERT INTO `lang_definitions` VALUES (16538, 594, 5, 'AMC-2011');
INSERT INTO `lang_definitions` VALUES (16539, 595, 5, 'AMC-2014');
INSERT INTO `lang_definitions` VALUES (16540, 596, 5, 'AMC-2014 Stage I');
INSERT INTO `lang_definitions` VALUES (16541, 597, 5, 'AMC-2014 Stage II');
INSERT INTO `lang_definitions` VALUES (16542, 598, 5, 'AMD{{altersbedingte Makuladegeneration}}');
INSERT INTO `lang_definitions` VALUES (16543, 599, 5, 'Bestehende Nachricht anpassen');
INSERT INTO `lang_definitions` VALUES (16544, 600, 5, 'Bestehende Notiz anpassen');
INSERT INTO `lang_definitions` VALUES (16545, 602, 5, 'Anpassungsformular');
INSERT INTO `lang_definitions` VALUES (16546, 603, 5, 'Anpassungsliste');
INSERT INTO `lang_definitions` VALUES (16547, 604, 5, 'Anpassungsstatus');
INSERT INTO `lang_definitions` VALUES (16548, 605, 5, 'Anpassungen');
INSERT INTO `lang_definitions` VALUES (16549, 606, 5, 'Anpassungen (schreiben, nur optional)');
INSERT INTO `lang_definitions` VALUES (16550, 607, 5, 'Anpassungen (schreiben, nur optional) (Anpassung)');
INSERT INTO `lang_definitions` VALUES (16551, 608, 5, 'Anpassungen - Ermöglichen Sie einem Benutzer die elektronische Auswahl des Datensatzes, der von einem Antrag auf Änderung betroffen ist, und fügen Sie den Änderungsantrag entweder dem betroffenen Datensatz hinzu oder fügen Sie einen Link hinzu, der den Speicherort der Änderung angibt');
INSERT INTO `lang_definitions` VALUES (16552, 609, 5, 'Anpassungen für');
INSERT INTO `lang_definitions` VALUES (16553, 610, 5, 'Amerikanische Indianer');
INSERT INTO `lang_definitions` VALUES (16554, 611, 5, 'Amerikanische Indianer oder Alaska Eingeborene(r)');
INSERT INTO `lang_definitions` VALUES (16555, 612, 5, 'AMEX');
INSERT INTO `lang_definitions` VALUES (16556, 613, 5, 'Amharisch');
INSERT INTO `lang_definitions` VALUES (16557, 614, 5, 'Betrag');
INSERT INTO `lang_definitions` VALUES (16558, 615, 5, 'applizierte Menge');
INSERT INTO `lang_definitions` VALUES (16559, 616, 5, 'Rechnungsbetrag');
INSERT INTO `lang_definitions` VALUES (16560, 617, 5, 'Berechneter Betrag');
INSERT INTO `lang_definitions` VALUES (16561, 618, 5, 'Berechneter Betrag:');
INSERT INTO `lang_definitions` VALUES (16562, 619, 5, 'Offener Betrag');
INSERT INTO `lang_definitions` VALUES (16563, 620, 5, 'Betrag für vorherige Bilanz');
INSERT INTO `lang_definitions` VALUES (16564, 621, 5, 'Betrag für diese Konsultation');
INSERT INTO `lang_definitions` VALUES (16565, 622, 5, 'Bezahlter Betrag');
INSERT INTO `lang_definitions` VALUES (16566, 623, 5, 'Menge:');
INSERT INTO `lang_definitions` VALUES (16567, 624, 5, 'Amplituden');
INSERT INTO `lang_definitions` VALUES (16568, 625, 5, 'Amsler');
INSERT INTO `lang_definitions` VALUES (16569, 626, 5, 'Betrag bezahlt');
INSERT INTO `lang_definitions` VALUES (16570, 627, 5, 'Sie können einen Termin planen, indem Sie auf das Kalendersymbol in dieser Zelle klicken');
INSERT INTO `lang_definitions` VALUES (16571, 628, 5, 'Eine E-Mail mit Ihren neuen Zugangsdaten wird an die zuvor angegebene E-Mail-Adresse gesendet. Sie können weiterhin einen Teil Ihrer Informationen überprüfen oder bearbeiten, indem Sie die Schaltflächen für die oberen Schritte verwenden, um zu den entsprechenden Bedienfeldern zu gelangen. Beachten Sie, dass Sie Ihre korrekte E-Mail-Adresse angegeben haben. Wenn Sie nach Erhalt der Anmeldeinformationen Probleme mit dem Zugriff auf das Portal haben, wenden Sie sich an die Verwaltung.');
INSERT INTO `lang_definitions` VALUES (16572, 629, 5, 'Eine elektronische Bestellung und das zurückgegebene Ergebnis liegen in Form einer Nachricht vor, die als HL7-Nachricht bezeichnet wird. HL7 steht für Health Level (Application Layer) 7. Das Hauptziel von HL7 ist die Vereinfachung der Implementierung von Schnittstellen zwischen Gesundheitssoftwareanwendungen und verschiedenen Anbietern, um den mit der Programmierung benutzerdefinierter Schnittstellen verbundenen Aufwand und die Kosten zu verringern');
INSERT INTO `lang_definitions` VALUES (16573, 630, 5, 'Für sich wiederholende Ereignisse muss Enddatum nach dem Startdatum sein!');
INSERT INTO `lang_definitions` VALUES (16574, 631, 5, 'Beim Signieren des Formulars ist ein Fehler aufgetreten');
INSERT INTO `lang_definitions` VALUES (16575, 632, 5, 'Beim Dump des OpenEMR Web-Verzeichnisbaums ist ein Fehler aufgetreten');
INSERT INTO `lang_definitions` VALUES (16576, 633, 5, 'Ein Fehler trat auf beim Dump des phpGACL Web-Verzeichnisbaums');
INSERT INTO `lang_definitions` VALUES (16577, 634, 5, 'Ein Fehler trat auf beim Dump des SQL-Ledger Web-Verzeichnisbaums');
INSERT INTO `lang_definitions` VALUES (16578, 635, 5, 'Ein Fehler ist aufgetreten: Fehlende Datei zum Hochladen: Verwenden Sie die Zurück-Taste!');
INSERT INTO `lang_definitions` VALUES (16579, 636, 5, 'Ein wichtiges Konzept ist, dass, sobald der über den QR-Code gelieferte geheime Schlüssel von der Authentifikator-App erfasst wurde, keine weitere Kommunikation zwischen der App und OpenEMR stattfindet, jede die aktuelle UNIX-Zeit und ihre Kopie des benutzerspezifischen gemeinsamen Geheimnisses verwendet Taste, um dieselbe eindeutige 6-stellige Nummer zu generieren');
INSERT INTO `lang_definitions` VALUES (16580, 637, 5, 'Ein wichtiger Punkt, an den Sie sich erinnern sollten, ist, dass die verschiedenen Einzeltests in jedem Panel als Ergebnisse aufgeführt sind. Sie können diese Einzeltests nicht direkt bestellen');
INSERT INTO `lang_definitions` VALUES (16581, 638, 5, 'Ein unvollständiges GCAC Problem ist erstellt und verlinkt worden. Es sollte später vervollständigt werden');
INSERT INTO `lang_definitions` VALUES (16582, 639, 5, 'Ein Problem betrifft Fragen im Zusammenhang mit der Gesundheit des Patienten');
INSERT INTO `lang_definitions` VALUES (16583, 640, 5, 'Ein Problem ist ein medizinisches Problem, eine Allergie, ein Medikament, eine Operation oder ein Zahnproblem');
INSERT INTO `lang_definitions` VALUES (16584, 641, 5, 'Eine Bestellung wurde nun erfolgreich erstellt. Ein Ort zum Empfangen und Dokumentieren des zurückgegebenen Ergebnisses ist jedoch noch nicht vorhanden und muss erstellt werden');
INSERT INTO `lang_definitions` VALUES (16585, 642, 5, 'Ein Ergebnis für das Problem - Gelöst, Verbessert, Status Quo, Schlimmer, Ausstehendes Follow-up oder Nicht zugewiesen lassen');
INSERT INTO `lang_definitions` VALUES (16586, 643, 5, 'Ein undefinierter Fehler ist aufgetreten. Wenden Sie sich an Ihren Systemadministrator.');
INSERT INTO `lang_definitions` VALUES (16587, 644, 5, 'Ein unerwarteter Fehler ist aufgetreten');
INSERT INTO `lang_definitions` VALUES (16588, 645, 5, 'Ein aktualisierter Termin');
INSERT INTO `lang_definitions` VALUES (16589, 646, 5, 'Ein Großbuchstabe');
INSERT INTO `lang_definitions` VALUES (16590, 647, 5, 'Analysiert');
INSERT INTO `lang_definitions` VALUES (16591, 648, 5, 'und');
INSERT INTO `lang_definitions` VALUES (16592, 649, 5, 'Und');
INSERT INTO `lang_definitions` VALUES (16593, 650, 5, 'UND');
INSERT INTO `lang_definitions` VALUES (16594, 651, 5, 'und');
INSERT INTO `lang_definitions` VALUES (16595, 652, 5, 'und alle unterliegenden Daten? Diese Aktion wird im Logfile verzeichnet');
INSERT INTO `lang_definitions` VALUES (16596, 653, 5, 'und Modifikator');
INSERT INTO `lang_definitions` VALUES (16597, 654, 5, 'und verarbeitet');
INSERT INTO `lang_definitions` VALUES (16598, 656, 5, 'und Apache-Server später neu starten');
INSERT INTO `lang_definitions` VALUES (16599, 657, 5, 'und der Grund ist');
INSERT INTO `lang_definitions` VALUES (16600, 658, 5, 'android');
INSERT INTO `lang_definitions` VALUES (16601, 659, 5, 'Anämie');
INSERT INTO `lang_definitions` VALUES (16602, 660, 5, 'Sprunggelenk');
INSERT INTO `lang_definitions` VALUES (16603, 661, 5, 'Sprunggelenk + Ferse');
INSERT INTO `lang_definitions` VALUES (16604, 662, 5, 'Sprunggelenk Evaluationsfragebogen');
INSERT INTO `lang_definitions` VALUES (16605, 663, 5, 'Sprunggelenk Probleme');
INSERT INTO `lang_definitions` VALUES (16606, 664, 5, 'Ankylosierende Spondylitis');
INSERT INTO `lang_definitions` VALUES (16607, 665, 5, 'Ankylosierende Spondylitis');
INSERT INTO `lang_definitions` VALUES (16608, 666, 5, 'Anorexia');
INSERT INTO `lang_definitions` VALUES (16609, 667, 5, 'Eine weitere Möglichkeit im Sendefenster ist die Beantragung einer erneuten Rechnungsstellung. Wenn Sie diese Auswahlbox vor dem Speichern wählen, wird die originale Rechnung erneut geöffnet und auf der Abrechnungsseite eingestellt und beim nächsten Rechnungslauf abgearbeitet.');
INSERT INTO `lang_definitions` VALUES (16610, 668, 5, 'Eine andere Möglichkeit, einen ICD-Code zur Rechtfertigung des CPT4-Codes auszuwählen, besteht darin, auf die Bezeichnung CPT4 am Anfang der Zeile zu klicken');
INSERT INTO `lang_definitions` VALUES (16611, 669, 5, 'Anrufbeantworter');
INSERT INTO `lang_definitions` VALUES (16612, 671, 5, 'vor');
INSERT INTO `lang_definitions` VALUES (16613, 672, 5, 'Vorderkammertiefe');
INSERT INTO `lang_definitions` VALUES (16614, 673, 5, 'Vorderes Segment');
INSERT INTO `lang_definitions` VALUES (16615, 674, 5, 'Standardwerte des vorderen Segments');
INSERT INTO `lang_definitions` VALUES (16616, 675, 5, 'vor{{vor}}');
INSERT INTO `lang_definitions` VALUES (16617, 676, 5, 'Anus normal, keine rectale Weichheit/Masse');
INSERT INTO `lang_definitions` VALUES (16618, 677, 5, 'Angst');
INSERT INTO `lang_definitions` VALUES (16619, 678, 5, 'beliebig');
INSERT INTO `lang_definitions` VALUES (16620, 679, 5, 'Beliebig');
INSERT INTO `lang_definitions` VALUES (16621, 680, 5, 'Alle zusätzlichen Informationen zu diesem Anbieter');
INSERT INTO `lang_definitions` VALUES (16622, 681, 5, 'Haben Sie Carotis-Früchte gern?');
INSERT INTO `lang_definitions` VALUES (16623, 682, 5, 'Beliebige Kategorie');
INSERT INTO `lang_definitions` VALUES (16624, 683, 5, 'Alle hier vorgenommenen Änderungen werden von den Anbietermitarbeitern überprüft, bevor Sie sich zur Grafik verpflichten. Es gilt folgendes');
INSERT INTO `lang_definitions` VALUES (16625, 685, 5, 'Alle Änderungen, die Sie an diesem bestimmten Eintrag vornehmen müssen, sollten hier vorgenommen und gespeichert werden');
INSERT INTO `lang_definitions` VALUES (16626, 686, 5, 'beliebiges Datum');
INSERT INTO `lang_definitions` VALUES (16627, 687, 5, 'Beliebige demografische Suche');
INSERT INTO `lang_definitions` VALUES (16628, 688, 5, 'Beliebiger Teil eines ausgewählten Codes oder dessen Beschreibung');
INSERT INTO `lang_definitions` VALUES (16629, 689, 5, 'Beliebiger Teil der gewünschte Spezialität');
INSERT INTO `lang_definitions` VALUES (16630, 690, 5, 'Beliebiger Teil der Medikament-ID oder des Medikamentennamen');
INSERT INTO `lang_definitions` VALUES (16631, 691, 5, 'Beliebiger Teil der Impfungs-ID oder des Impfungsnamen');
INSERT INTO `lang_definitions` VALUES (16632, 692, 5, 'Beliebiger Teil des Patientennamens, oder \"Familienname,Vorname\" oder \"X-Y\"');
INSERT INTO `lang_definitions` VALUES (16633, 693, 5, 'Sonstige relevante Informationen');
INSERT INTO `lang_definitions` VALUES (16634, 694, 5, 'Sonstige Vorkommnisse zur selben Zeit?');
INSERT INTO `lang_definitions` VALUES (16635, 696, 5, 'AOE Q&A');
INSERT INTO `lang_definitions` VALUES (16636, 697, 5, 'APD{{afferenter Pupillendefekt}}');
INSERT INTO `lang_definitions` VALUES (16637, 699, 5, 'API Schlüssel für SMS-Gateway');
INSERT INTO `lang_definitions` VALUES (16638, 703, 5, 'Apnoe');
INSERT INTO `lang_definitions` VALUES (16639, 704, 5, 'App');
INSERT INTO `lang_definitions` VALUES (16640, 710, 5, 'Erscheinungsbild');
INSERT INTO `lang_definitions` VALUES (16641, 711, 5, 'Erscheinungsbild:');
INSERT INTO `lang_definitions` VALUES (16642, 712, 5, 'hinzufügen');
INSERT INTO `lang_definitions` VALUES (16643, 713, 5, 'Diese Nachricht hinzufügen');
INSERT INTO `lang_definitions` VALUES (16644, 714, 5, 'Diese Notiz hinzufügen');
INSERT INTO `lang_definitions` VALUES (16645, 715, 5, 'An bestehende Nachricht anhängen');
INSERT INTO `lang_definitions` VALUES (16646, 716, 5, 'An existierende Notiz anhängen');
INSERT INTO `lang_definitions` VALUES (16647, 717, 5, 'An diese Notiz anhängen');
INSERT INTO `lang_definitions` VALUES (16648, 718, 5, 'An diese Notiz anhängen');
INSERT INTO `lang_definitions` VALUES (16649, 719, 5, 'Appendektomie');
INSERT INTO `lang_definitions` VALUES (16650, 720, 5, 'Appendektomie');
INSERT INTO `lang_definitions` VALUES (16651, 721, 5, 'Anwendbare Patienten');
INSERT INTO `lang_definitions` VALUES (16652, 722, 5, 'Anwendung');
INSERT INTO `lang_definitions` VALUES (16653, 723, 5, 'Applikationsname für Anmeldungsseite und Titel des Hauptfensters');
INSERT INTO `lang_definitions` VALUES (16654, 724, 5, 'Applikations Empfänger Kode (GS03- wenn leer wird ISA08 eingefügt)');
INSERT INTO `lang_definitions` VALUES (16655, 725, 5, 'Applikations Absenderkode (GS02)');
INSERT INTO `lang_definitions` VALUES (16656, 726, 5, 'Applikationstitel');
INSERT INTO `lang_definitions` VALUES (16657, 727, 5, 'Gilt für das Vitaldatenformular und Wachstumskarte');
INSERT INTO `lang_definitions` VALUES (16658, 728, 5, 'Gilt für das Vitaldatenformular');
INSERT INTO `lang_definitions` VALUES (16659, 729, 5, 'Die Änderungen nur auf aktuelles Ereignis anwenden, auf dieses und alle zukünftige Ereignisse oder auf alle Ereignisse?');
INSERT INTO `lang_definitions` VALUES (16660, 730, 5, 'Auf betroffenen Bereich anwenden');
INSERT INTO `lang_definitions` VALUES (16661, 731, 5, 'Auf der Haut anwenden');
INSERT INTO `lang_definitions` VALUES (16662, 732, 5, 'Anwenden');
INSERT INTO `lang_definitions` VALUES (16663, 733, 5, 'Verband an der Stelle anwenden');
INSERT INTO `lang_definitions` VALUES (16664, 734, 5, 'Termin');
INSERT INTO `lang_definitions` VALUES (16665, 735, 5, 'Kategorie des Termins');
INSERT INTO `lang_definitions` VALUES (16666, 736, 5, 'Datum des Termins');
INSERT INTO `lang_definitions` VALUES (16667, 737, 5, 'Termin Anzeigestil - Farbe 1');
INSERT INTO `lang_definitions` VALUES (16668, 738, 5, 'Termin Anzeigestil - Farbe 2');
INSERT INTO `lang_definitions` VALUES (16669, 739, 5, 'Termin Anzeigestil - Farbe 3');
INSERT INTO `lang_definitions` VALUES (16670, 740, 5, 'Termin Anzeigestil - Farbe 4');
INSERT INTO `lang_definitions` VALUES (16671, 741, 5, 'Termin Anzeigestil - Ignoriere Anzeigelimit (letztes Set)');
INSERT INTO `lang_definitions` VALUES (16672, 742, 5, 'Terminanzeigestil');
INSERT INTO `lang_definitions` VALUES (16673, 743, 5, 'Termin gemacht durch');
INSERT INTO `lang_definitions` VALUES (16674, 744, 5, 'Termin Erinnerungsregel');
INSERT INTO `lang_definitions` VALUES (16675, 745, 5, 'Termin Erinnerung');
INSERT INTO `lang_definitions` VALUES (16676, 746, 5, 'Termin Status');
INSERT INTO `lang_definitions` VALUES (16677, 747, 5, 'Termin Status');
INSERT INTO `lang_definitions` VALUES (16678, 748, 5, 'Termin innerhalb');
INSERT INTO `lang_definitions` VALUES (16679, 749, 5, 'Termin/Besuch Farbe');
INSERT INTO `lang_definitions` VALUES (16680, 750, 5, 'Termine');
INSERT INTO `lang_definitions` VALUES (16681, 751, 5, 'Termine (schreiben optional)');
INSERT INTO `lang_definitions` VALUES (16682, 752, 5, 'Termine (schreiben, einige optional)');
INSERT INTO `lang_definitions` VALUES (16683, 753, 5, 'Termine (schreiben, einige optional) (appt)');
INSERT INTO `lang_definitions` VALUES (16684, 754, 5, 'Termine - Gruppenzusammenfassung - Anzuzeigende Nummer');
INSERT INTO `lang_definitions` VALUES (16685, 755, 5, 'Termine - Onsite Patientenportal - Anzuzeigende Nummer');
INSERT INTO `lang_definitions` VALUES (16686, 756, 5, 'Termine - Klientenzusammenfassung - Anzuzeigende Nummer');
INSERT INTO `lang_definitions` VALUES (16687, 757, 5, 'Termine - Zeigt alle zukünftigen Termine sowie Rückrufe an');
INSERT INTO `lang_definitions` VALUES (16688, 758, 5, 'Termine und Besuche');
INSERT INTO `lang_definitions` VALUES (16689, 759, 5, 'Termine für');
INSERT INTO `lang_definitions` VALUES (16690, 760, 5, 'Terminbericht');
INSERT INTO `lang_definitions` VALUES (16691, 761, 5, 'Termin-Visitenbericht');
INSERT INTO `lang_definitions` VALUES (16692, 762, 5, 'Angemessene Ergebnisse');
INSERT INTO `lang_definitions` VALUES (16693, 763, 5, 'Angemessene Tests für Kinder mit Pharyngitis (CQM)');
INSERT INTO `lang_definitions` VALUES (16694, 764, 5, 'Bewilligen');
INSERT INTO `lang_definitions` VALUES (16695, 765, 5, 'Bestellung bewilligen');
INSERT INTO `lang_definitions` VALUES (16696, 766, 5, 'Akzeptiere den Patienten von Patient/Client->Import->fehlende Bewilligung');
INSERT INTO `lang_definitions` VALUES (16697, 767, 5, 'Bewilligt');
INSERT INTO `lang_definitions` VALUES (16698, 768, 5, 'Administration bewilligter Ereignisse');
INSERT INTO `lang_definitions` VALUES (16699, 769, 5, 'erfolgreich akzeptiert');
INSERT INTO `lang_definitions` VALUES (16700, 770, 5, 'Apps');
INSERT INTO `lang_definitions` VALUES (16701, 771, 5, 'Trm Datum');
INSERT INTO `lang_definitions` VALUES (16702, 772, 5, 'Trm Status');
INSERT INTO `lang_definitions` VALUES (16703, 773, 5, 'Trm Zeit');
INSERT INTO `lang_definitions` VALUES (16704, 774, 5, 'Besuch-Begegnung');
INSERT INTO `lang_definitions` VALUES (16705, 775, 5, 'Trm Erinnerung');
INSERT INTO `lang_definitions` VALUES (16706, 776, 5, 'Trme');
INSERT INTO `lang_definitions` VALUES (16707, 777, 5, 'Trm{{Abkürzung für Termin}}');
INSERT INTO `lang_definitions` VALUES (16708, 778, 5, 'App{{Abkürzung für Applanation}}');
INSERT INTO `lang_definitions` VALUES (16709, 779, 5, 'Apr');
INSERT INTO `lang_definitions` VALUES (16710, 780, 5, 'April');
INSERT INTO `lang_definitions` VALUES (16711, 781, 5, 'AP{{Applanation}}');
INSERT INTO `lang_definitions` VALUES (16712, 782, 5, 'Arabisch');
INSERT INTO `lang_definitions` VALUES (16713, 783, 5, 'Aragonesisch');
INSERT INTO `lang_definitions` VALUES (16714, 784, 5, 'Archiv');
INSERT INTO `lang_definitions` VALUES (16715, 785, 5, 'Archivierte Logfiles');
INSERT INTO `lang_definitions` VALUES (16716, 786, 5, 'Archivierte alte Dateien');
INSERT INTO `lang_definitions` VALUES (16717, 787, 5, 'Sollen Zugangskontrollgruppen-Namen übersetzt werden?');
INSERT INTO `lang_definitions` VALUES (16718, 788, 5, 'Sollen Terminkategorie-Namen übersetzt werden?');
INSERT INTO `lang_definitions` VALUES (16719, 789, 5, 'Sollen Dokumentkategorie-Namen übersetzt werden?');
INSERT INTO `lang_definitions` VALUES (16720, 790, 5, 'Sind Kosten für diesen Typ anzurechnen?');
INSERT INTO `lang_definitions` VALUES (16721, 791, 5, 'Sind weg');
INSERT INTO `lang_definitions` VALUES (16722, 792, 5, 'Sind da');
INSERT INTO `lang_definitions` VALUES (16723, 793, 5, 'Sollen Titel der Patientnotizen übersetzt werden?');
INSERT INTO `lang_definitions` VALUES (16724, 794, 5, 'Sind die Codes in externen SQL-Tabellen gespeichert (0-No, 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2) ?');
INSERT INTO `lang_definitions` VALUES (16725, 795, 5, 'Sind Sie bereit ein neues GCAC-Problem für diese Visite auszufüllen?');
INSERT INTO `lang_definitions` VALUES (16726, 796, 5, 'Möchten Sie den Chat-Verlauf wirklich löschen?');
INSERT INTO `lang_definitions` VALUES (16727, 797, 5, 'Sind Sie sicher, dass Sie für heute senden möchten?');
INSERT INTO `lang_definitions` VALUES (16728, 798, 5, 'Sind Sie sicher, dass Sie diese Ereignisse bewilligen möchten?');
INSERT INTO `lang_definitions` VALUES (16729, 799, 5, 'Sind Sie sicher, dass Sie die Änderungen verwerfen möchten?');
INSERT INTO `lang_definitions` VALUES (16730, 801, 5, 'Sind Sie sicher, dass Sie diesen Formular vollständig entfernen möchten?');
INSERT INTO `lang_definitions` VALUES (16731, 803, 5, 'Sind Sie sicher, dass Sie löschen möchten');
INSERT INTO `lang_definitions` VALUES (16732, 804, 5, 'Sind Sie sicher, dass Sie diese Bekanntgabe entfernen möchten?');
INSERT INTO `lang_definitions` VALUES (16733, 805, 5, 'Sind Sie sicher dass Sie diesen Ereignis entfernen möchten?');
INSERT INTO `lang_definitions` VALUES (16734, 806, 5, 'Sind Sie sicher, dass Sie diesen Punkt aus der Datenbank entfernen möchten?');
INSERT INTO `lang_definitions` VALUES (16735, 807, 5, 'Sind Sie sicher, dass Sie diese Meldung löschen möchten?');
INSERT INTO `lang_definitions` VALUES (16736, 808, 5, 'Sind Sie sicher dass, Sie diese Notiz entfernen möchten?');
INSERT INTO `lang_definitions` VALUES (16737, 809, 5, 'Sind Sie sicher, dass Sie diesen Plan löschen möchten?');
INSERT INTO `lang_definitions` VALUES (16738, 810, 5, 'Sind Sie sicher, dass Sie diese Ereignisse bearbeiten möchten?');
INSERT INTO `lang_definitions` VALUES (16739, 811, 5, 'Sind Sie sicher, dass Sie diese Ereignisse verbergen möchten?');
INSERT INTO `lang_definitions` VALUES (16740, 812, 5, 'Sind Sie sicher, dass Sie den Namen löschen möchten?');
INSERT INTO `lang_definitions` VALUES (16741, 813, 5, 'Sind Sie sicher, dass Sie erneut übertragen möchten?');
INSERT INTO `lang_definitions` VALUES (16742, 814, 5, 'Sind Sie sicher, dass Sie diese Ereignisse sichtbar machen möchten?');
INSERT INTO `lang_definitions` VALUES (16743, 815, 5, 'Sind Sie sicher, dass Sie die gesamte genannte Gruppe entfernen möchten?');
INSERT INTO `lang_definitions` VALUES (16744, 816, 5, 'Sind Sie sicher, dass Sie die gesamte Liste entfernen möchten?');
INSERT INTO `lang_definitions` VALUES (16745, 817, 5, 'Sind Sie sicher, dass Sie das Feld entfernen möchten?');
INSERT INTO `lang_definitions` VALUES (16746, 818, 5, 'Sind Sie sicher, dass Sie die ausgewählten Felder entfernen möchten?');
INSERT INTO `lang_definitions` VALUES (16747, 819, 5, 'Sind Sie sicher, dass Sie diese Aktionen weiterführen möchten?');
INSERT INTO `lang_definitions` VALUES (16748, 820, 5, 'Gebiet nicht spezifiziert');
INSERT INTO `lang_definitions` VALUES (16749, 821, 5, 'Arm');
INSERT INTO `lang_definitions` VALUES (16750, 822, 5, 'Armenisch');
INSERT INTO `lang_definitions` VALUES (16751, 823, 5, 'ARNah{{Brechung in der Nähe der Schärfe}}');
INSERT INTO `lang_definitions` VALUES (16752, 824, 5, 'ARNah{{Brechung in der Nähe}}');
INSERT INTO `lang_definitions` VALUES (16753, 825, 5, 'Ankunft');
INSERT INTO `lang_definitions` VALUES (16754, 826, 5, 'Ankunftszeit');
INSERT INTO `lang_definitions` VALUES (16755, 827, 5, 'Angekommen');
INSERT INTO `lang_definitions` VALUES (16756, 828, 5, 'zu spät angekommen');
INSERT INTO `lang_definitions` VALUES (16757, 829, 5, 'Arrhythmie');
INSERT INTO `lang_definitions` VALUES (16758, 830, 5, 'Arthritis');
INSERT INTO `lang_definitions` VALUES (16759, 831, 5, 'Arthritis / degenerative Gelenkkrankheit');
INSERT INTO `lang_definitions` VALUES (16760, 832, 5, 'Arthritis / degenerative Gelenkkrankheit');
INSERT INTO `lang_definitions` VALUES (16761, 833, 5, 'Artikel');
INSERT INTO `lang_definitions` VALUES (16762, 834, 5, 'AR{{Autorefraktion Schärfe}}');
INSERT INTO `lang_definitions` VALUES (16763, 835, 5, 'AR{{Autorefraktion}}');
INSERT INTO `lang_definitions` VALUES (16764, 836, 5, 'wie');
INSERT INTO `lang_definitions` VALUES (16765, 837, 5, 'Wie in Dokumenten angegeben');
INSERT INTO `lang_definitions` VALUES (16766, 838, 5, 'ab');
INSERT INTO `lang_definitions` VALUES (16767, 839, 5, 'Wählen Sie im ersten Schritt \"Gruppe\" oder \"Benutzerdefinierte Favoritengruppe\" als oberste Ebene (Tier 1) und geben Sie die erforderlichen Details ein');
INSERT INTO `lang_definitions` VALUES (16768, 840, 5, 'Da der vom Authentifikator benötigte geheime Schlüssel auf dem Mobiltelefon gespeichert ist, kann Malware diese Schlüssel stehlen und so die Authentifizierung gefährden');
INSERT INTO `lang_definitions` VALUES (16769, 841, 5, 'Da dies ein selten durchgeführter Vorgang ist, erhalten Sie zusätzliche Hilfe, indem Sie auf das Hilfesymbol klicken, das angezeigt wird, wenn Sie mit der Maus über die Beschriftung der einzelnen Felder fahren');
INSERT INTO `lang_definitions` VALUES (16770, 842, 5, 'Da wir eine benutzerdefinierte Gruppe für die manuelle Eingabe der zurückgegebenen Ergebnisse erstellen, müssen wir einen Ort erstellen, an dem diese Ergebnisse eingegeben werden können');
INSERT INTO `lang_definitions` VALUES (16771, 843, 5, 'Wie es auf Dokumenten erscheinen soll');
INSERT INTO `lang_definitions` VALUES (16772, 844, 5, 'ASC');
INSERT INTO `lang_definitions` VALUES (16773, 845, 5, 'Asiatisch');
INSERT INTO `lang_definitions` VALUES (16774, 846, 5, 'Assamesisch');
INSERT INTO `lang_definitions` VALUES (16775, 847, 5, 'Beurteilen Penicillin Allergie');
INSERT INTO `lang_definitions` VALUES (16776, 848, 5, 'Beurteilung');
INSERT INTO `lang_definitions` VALUES (16777, 849, 5, 'Diesem zuweisen?');
INSERT INTO `lang_definitions` VALUES (16778, 850, 5, 'Schweregrad zuweisen und speichern');
INSERT INTO `lang_definitions` VALUES (16779, 851, 5, 'Dosierwerte etc. zuweisen und speichern');
INSERT INTO `lang_definitions` VALUES (16780, 852, 5, 'Ordnen Sie die Nachricht dem richtigen Patienten zu, indem Sie auf Patient klicken: Klicken Sie, um einen Typ auszuwählen, ihn zuzuweisen, und leiten Sie die Nachricht an den richtigen Kliniker oder Mitarbeiter weiter');
INSERT INTO `lang_definitions` VALUES (16781, 853, 5, 'Zugewiesen an');
INSERT INTO `lang_definitions` VALUES (16782, 854, 5, 'Assistent');
INSERT INTO `lang_definitions` VALUES (16783, 855, 5, 'Betreute Wohnanlage');
INSERT INTO `lang_definitions` VALUES (16784, 856, 5, 'Assoziieren');
INSERT INTO `lang_definitions` VALUES (16785, 857, 5, 'Zugehörig');
INSERT INTO `lang_definitions` VALUES (16786, 858, 5, 'Zugehörige Notizen.');
INSERT INTO `lang_definitions` VALUES (16787, 859, 5, 'Angenommen die Patienten gestatten Messaging');
INSERT INTO `lang_definitions` VALUES (16788, 860, 5, 'Nehme an Patient erhielt HIPAA Erklärung');
INSERT INTO `lang_definitions` VALUES (16789, 861, 5, 'Asthma');
INSERT INTO `lang_definitions` VALUES (16790, 862, 5, 'bei');
INSERT INTO `lang_definitions` VALUES (16791, 863, 5, 'Mindestens ein Suchparameter ist notwendig wenn Sie \'Alle\' selektieren');
INSERT INTO `lang_definitions` VALUES (16792, 864, 5, 'Derzeit ist die elektronische Verschreibung von openEMR nur in den USA möglich');
INSERT INTO `lang_definitions` VALUES (16793, 865, 5, 'Derzeit kann nur das Continuity of Care-Dokument (CCD) (Continuity of Care Record) mit phiMail gesendet werden');
INSERT INTO `lang_definitions` VALUES (16794, 866, 5, 'Am naviculare');
INSERT INTO `lang_definitions` VALUES (16795, 867, 5, 'Am naviculare:');
INSERT INTO `lang_definitions` VALUES (16796, 868, 5, 'Leichtathletikgruppe');
INSERT INTO `lang_definitions` VALUES (16797, 869, 5, 'Leichtathletikgruppe');
INSERT INTO `lang_definitions` VALUES (16798, 870, 5, 'Sportverletzung');
INSERT INTO `lang_definitions` VALUES (16799, 871, 5, 'ATNA Audit CA Zertifikat');
INSERT INTO `lang_definitions` VALUES (16800, 872, 5, 'ATNA Audit Host');
INSERT INTO `lang_definitions` VALUES (16801, 873, 5, 'ATNA Audit lokales Zertifikat');
INSERT INTO `lang_definitions` VALUES (16802, 874, 5, 'ATNA Audit Port');
INSERT INTO `lang_definitions` VALUES (16803, 875, 5, 'Atropin 1%');
INSERT INTO `lang_definitions` VALUES (16804, 876, 5, 'Behandelnder Arzt');
INSERT INTO `lang_definitions` VALUES (16805, 877, 5, 'Achtung');
INSERT INTO `lang_definitions` VALUES (16806, 878, 5, 'Achtung: ausstehende Dokumente');
INSERT INTO `lang_definitions` VALUES (16807, 879, 5, 'zu Händen');
INSERT INTO `lang_definitions` VALUES (16808, 880, 5, 'Attribute');
INSERT INTO `lang_definitions` VALUES (16809, 881, 5, 'Audiologischer Arzt');
INSERT INTO `lang_definitions` VALUES (16810, 883, 5, 'Audit CDR Einrichtung Anfragen');
INSERT INTO `lang_definitions` VALUES (16811, 884, 5, 'Änderungen prüfen');
INSERT INTO `lang_definitions` VALUES (16812, 885, 5, 'Manipulation des Überwachungsprotokolls');
INSERT INTO `lang_definitions` VALUES (16813, 886, 5, 'Prüfprotkoll-Manipulationsbericht');
INSERT INTO `lang_definitions` VALUES (16814, 887, 5, 'Manipulation des Überwachungsprotokolls an der Eintragsnummer erkennbar');
INSERT INTO `lang_definitions` VALUES (16815, 888, 5, 'Überwachungsprotokoll erfolgreich überprüft');
INSERT INTO `lang_definitions` VALUES (16816, 889, 5, 'Überprüfung des Überwachungsprotokolls fehlgeschlagen');
INSERT INTO `lang_definitions` VALUES (16817, 890, 5, 'Audit Logging Backups');
INSERT INTO `lang_definitions` VALUES (16818, 891, 5, 'Audit Logging Verschiedene');
INSERT INTO `lang_definitions` VALUES (16819, 892, 5, 'Audit Logging Order');
INSERT INTO `lang_definitions` VALUES (16820, 893, 5, 'Audit Logging Patientenakte');
INSERT INTO `lang_definitions` VALUES (16821, 894, 5, 'Audit Logging Planung');
INSERT INTO `lang_definitions` VALUES (16822, 895, 5, 'Audit Logging Sicherheitsadministration');
INSERT INTO `lang_definitions` VALUES (16823, 896, 5, 'Audit Logging SELECT Abfrage');
INSERT INTO `lang_definitions` VALUES (16824, 897, 5, 'Zahlung prüfen');
INSERT INTO `lang_definitions` VALUES (16825, 898, 5, 'Aug');
INSERT INTO `lang_definitions` VALUES (16826, 899, 5, 'August');
INSERT INTO `lang_definitions` VALUES (16827, 900, 5, 'Tante');
INSERT INTO `lang_definitions` VALUES (16828, 901, 5, 'Auth');
INSERT INTO `lang_definitions` VALUES (16829, 902, 5, 'Auth/Notizen');
INSERT INTO `lang_definitions` VALUES (16830, 903, 5, 'TOTP authentifizieren');
INSERT INTO `lang_definitions` VALUES (16831, 904, 5, 'U2F authentifizieren');
INSERT INTO `lang_definitions` VALUES (16832, 906, 5, 'Die Authentifizierung des Benutzers wird somit zu einem wichtigen Faktor bei diesem Bestreben');
INSERT INTO `lang_definitions` VALUES (16833, 915, 5, 'Authentifiierungsfehler');
INSERT INTO `lang_definitions` VALUES (16834, 918, 5, 'Authenticator');
INSERT INTO `lang_definitions` VALUES (16835, 919, 5, 'Authenticator-Apps sind für iOS- und Android-Geräte in den jeweiligen App Stores verfügbar und können kostenlos verwendet werden');
INSERT INTO `lang_definitions` VALUES (16836, 920, 5, 'Autor');
INSERT INTO `lang_definitions` VALUES (16837, 921, 5, 'Genehmigung');
INSERT INTO `lang_definitions` VALUES (16838, 922, 5, 'Genehmigungsgruppe');
INSERT INTO `lang_definitions` VALUES (16839, 923, 5, 'Genehmigungsstatus');
INSERT INTO `lang_definitions` VALUES (16840, 924, 5, 'Genehmigungen');
INSERT INTO `lang_definitions` VALUES (16841, 925, 5, 'Genehmigen');
INSERT INTO `lang_definitions` VALUES (16842, 926, 5, 'Jeden Termin genehmigen');
INSERT INTO `lang_definitions` VALUES (16843, 927, 5, 'Jeden Termin genehmigen (auth_a)');
INSERT INTO `lang_definitions` VALUES (16844, 928, 5, 'Meine Termine genehmigen');
INSERT INTO `lang_definitions` VALUES (16845, 929, 5, 'Meine Termine genehmigen (auth)');
INSERT INTO `lang_definitions` VALUES (16846, 930, 5, 'Als meine E - Signatur genehmigen');
INSERT INTO `lang_definitions` VALUES (16847, 931, 5, 'Genehmigen nach Bedarf');
INSERT INTO `lang_definitions` VALUES (16848, 932, 5, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (16849, 933, 5, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (16850, 934, 5, 'Genehmigt');
INSERT INTO `lang_definitions` VALUES (16851, 935, 5, 'Genehmigte ID');
INSERT INTO `lang_definitions` VALUES (16852, 936, 5, 'Nur Genehmigte');
INSERT INTO `lang_definitions` VALUES (16853, 937, 5, 'Genehmigte Benutzer');
INSERT INTO `lang_definitions` VALUES (16854, 939, 5, 'Authy');
INSERT INTO `lang_definitions` VALUES (16855, 940, 5, 'Autorefraktion');
INSERT INTO `lang_definitions` VALUES (16856, 941, 5, 'Automatisch senden');
INSERT INTO `lang_definitions` VALUES (16857, 942, 5, 'Automatisch abmelden [Tage]');
INSERT INTO `lang_definitions` VALUES (16858, 943, 5, 'Automatisch transferieren');
INSERT INTO `lang_definitions` VALUES (16859, 944, 5, 'Neuen Termin automatisch anlegen');
INSERT INTO `lang_definitions` VALUES (16860, 945, 5, 'Automatisch generiert');
INSERT INTO `lang_definitions` VALUES (16861, 946, 5, 'Autorefraktion');
INSERT INTO `lang_definitions` VALUES (16862, 947, 5, 'Automatisierte Messberechnungen (AMC)');
INSERT INTO `lang_definitions` VALUES (16863, 948, 5, 'Automatisierte Messberechnungen (AMC) - 2011');
INSERT INTO `lang_definitions` VALUES (16864, 949, 5, 'Automatisierte Messberechnungen (AMC) - 2014');
INSERT INTO `lang_definitions` VALUES (16865, 950, 5, 'Automatisierte Messberechnungen (AMC) - 2014 Etappe 1');
INSERT INTO `lang_definitions` VALUES (16866, 951, 5, 'Automatisierte Messberechnungen (AMC) - 2014 Etappe 2');
INSERT INTO `lang_definitions` VALUES (16867, 952, 5, 'Automatisierte Messberechnungen (AMC) Nachverfolgung');
INSERT INTO `lang_definitions` VALUES (16868, 953, 5, 'Automatisierte Messungen');
INSERT INTO `lang_definitions` VALUES (16869, 954, 5, 'Berechtigung für automatische Sprachnachrichten');
INSERT INTO `lang_definitions` VALUES (16870, 955, 5, 'Automatisch');
INSERT INTO `lang_definitions` VALUES (16871, 956, 5, 'Automatisch ab Verkauf');
INSERT INTO `lang_definitions` VALUES (16872, 957, 5, 'Wendet bei erfolgreichem Upload automatisch die richtige Erweiterung an');
INSERT INTO `lang_definitions` VALUES (16873, 958, 5, 'Erstellt automatisch eine neue Begegnung, wenn der Status für das Einchecken eines Termins ausgewählt ist.');
INSERT INTO `lang_definitions` VALUES (16874, 959, 5, 'Automatisch eine neue Begegnung kreieren wenn Terminsstatus auf \"@\" (angekommen) gesetzt worden ist.');
INSERT INTO `lang_definitions` VALUES (16875, 960, 5, 'Replizieren Sie die Berechtigungscodes automatisch im Gebührenblatt');
INSERT INTO `lang_definitions` VALUES (16876, 961, 5, 'Replizieren Sie die Begründungscodes im Gebührenblatt automatisch (füllen Sie die Lücken im Wesentlichen mit dem darüber befindlichen Begründungscode aus).');
INSERT INTO `lang_definitions` VALUES (16877, 962, 5, 'Automobile Medical');
INSERT INTO `lang_definitions` VALUES (16878, 963, 5, 'AutoRef');
INSERT INTO `lang_definitions` VALUES (16879, 964, 5, 'automatisch gespeichert');
INSERT INTO `lang_definitions` VALUES (16880, 965, 5, 'Auto{{Autorefraktion}}');
INSERT INTO `lang_definitions` VALUES (16881, 966, 5, 'Verfügbarer Terminkalender');
INSERT INTO `lang_definitions` VALUES (16882, 967, 5, 'Verfügbare Kategorien');
INSERT INTO `lang_definitions` VALUES (16883, 969, 5, 'Verfügbare Empfänger');
INSERT INTO `lang_definitions` VALUES (16884, 970, 5, 'Verfügbare Services');
INSERT INTO `lang_definitions` VALUES (16885, 971, 5, 'Verfügbare Zeiten');
INSERT INTO `lang_definitions` VALUES (16886, 972, 5, 'Verfügbare Pfade');
INSERT INTO `lang_definitions` VALUES (16887, 973, 5, 'Avarisch');
INSERT INTO `lang_definitions` VALUES (16888, 974, 5, 'Avery Label-Typ zum Drucken von Patientenetiketten aus Popups im linken Navigationsbildschirm');
INSERT INTO `lang_definitions` VALUES (16889, 975, 5, 'Avestan');
INSERT INTO `lang_definitions` VALUES (16890, 976, 5, 'Monatsmittel');
INSERT INTO `lang_definitions` VALUES (16891, 977, 5, 'AVM');
INSERT INTO `lang_definitions` VALUES (16892, 978, 5, 'AVM Bestätigt');
INSERT INTO `lang_definitions` VALUES (16893, 979, 5, 'AVM OK');
INSERT INTO `lang_definitions` VALUES (16894, 980, 5, 'Avulsion / Avulsionsbruch');
INSERT INTO `lang_definitions` VALUES (16895, 981, 5, 'Avulsion laterale Malleolus');
INSERT INTO `lang_definitions` VALUES (16896, 982, 5, 'Avulsion mediale Malleolus');
INSERT INTO `lang_definitions` VALUES (16897, 983, 5, 'Auf Basis von Wahrnehmung');
INSERT INTO `lang_definitions` VALUES (16898, 984, 5, 'Axiale Länge');
INSERT INTO `lang_definitions` VALUES (16899, 985, 5, 'Achsel');
INSERT INTO `lang_definitions` VALUES (16900, 986, 5, 'Achse {{Achse in einem Brillenrezept}}');
INSERT INTO `lang_definitions` VALUES (16901, 987, 5, 'Achse {{Achse in einem Brillenrezept}}');
INSERT INTO `lang_definitions` VALUES (16902, 988, 5, 'Achse {{Achse in einem Brillenrezept}}');
INSERT INTO `lang_definitions` VALUES (16903, 989, 5, 'AxL{{axiale Länge}}');
INSERT INTO `lang_definitions` VALUES (16904, 990, 5, 'Aymara');
INSERT INTO `lang_definitions` VALUES (16905, 991, 5, 'Aserbaidschaner');
INSERT INTO `lang_definitions` VALUES (16906, 992, 5, 'zweimal am Tag');
INSERT INTO `lang_definitions` VALUES (16907, 993, 5, 'Zurück');
INSERT INTO `lang_definitions` VALUES (16908, 994, 5, 'zurück');
INSERT INTO `lang_definitions` VALUES (16909, 995, 5, 'Acht Termine zurück');
INSERT INTO `lang_definitions` VALUES (16910, 996, 5, 'Elf Termine zurück');
INSERT INTO `lang_definitions` VALUES (16911, 997, 5, 'Fünf Termine zurück');
INSERT INTO `lang_definitions` VALUES (16912, 998, 5, 'Vier Termine zurück');
INSERT INTO `lang_definitions` VALUES (16913, 999, 5, 'Neun Termine zurück');
INSERT INTO `lang_definitions` VALUES (16914, 1000, 5, 'Einen Termin zurück');
INSERT INTO `lang_definitions` VALUES (16915, 1001, 5, 'Rückenschmerzen');
INSERT INTO `lang_definitions` VALUES (16916, 1002, 5, 'Rückenbeschwerden');
INSERT INTO `lang_definitions` VALUES (16917, 1003, 5, 'Sieben Termine zurück');
INSERT INTO `lang_definitions` VALUES (16918, 1004, 5, 'Sechs Termine zurück');
INSERT INTO `lang_definitions` VALUES (16919, 1005, 5, 'Rücken-OP');
INSERT INTO `lang_definitions` VALUES (16920, 1006, 5, 'Zehn Termine zurück');
INSERT INTO `lang_definitions` VALUES (16921, 1007, 5, 'Drei Termine zurück');
INSERT INTO `lang_definitions` VALUES (16922, 1008, 5, 'Zurück zur Admin-Seite');
INSERT INTO `lang_definitions` VALUES (16923, 1010, 5, 'Zurück zum Editor');
INSERT INTO `lang_definitions` VALUES (16924, 1011, 5, 'Zurück zur Begegnung');
INSERT INTO `lang_definitions` VALUES (16925, 1012, 5, 'Zurück zu Patient');
INSERT INTO `lang_definitions` VALUES (16926, 1013, 5, 'Zurück zu Patient');
INSERT INTO `lang_definitions` VALUES (16927, 1014, 5, 'Zurück zu Patienten - Dashboard');
INSERT INTO `lang_definitions` VALUES (16928, 1015, 5, 'Zurück zu Benutzern');
INSERT INTO `lang_definitions` VALUES (16929, 1016, 5, 'Zurück zur Anzeige');
INSERT INTO `lang_definitions` VALUES (16930, 1017, 5, 'Zwölf Besuche zurück');
INSERT INTO `lang_definitions` VALUES (16931, 1018, 5, 'Zwei Termine zurück');
INSERT INTO `lang_definitions` VALUES (16932, 1019, 5, 'Hintergrund Dienst');
INSERT INTO `lang_definitions` VALUES (16933, 1020, 5, 'Backup');
INSERT INTO `lang_definitions` VALUES (16934, 1021, 5, 'Backup fehlgeschlagen fehlende generierte Datei');
INSERT INTO `lang_definitions` VALUES (16935, 1022, 5, 'Backupdatei wurde erstellt. Download beginnt.');
INSERT INTO `lang_definitions` VALUES (16936, 1023, 5, 'Backupliste');
INSERT INTO `lang_definitions` VALUES (16937, 1024, 5, 'Backup erfolgreich erfolgt in');
INSERT INTO `lang_definitions` VALUES (16938, 1025, 5, 'Ungedeckter Scheck');
INSERT INTO `lang_definitions` VALUES (16939, 1026, 5, 'uneinbringliche Forderungen');
INSERT INTO `lang_definitions` VALUES (16940, 1027, 5, 'Bahasa Indonesia');
INSERT INTO `lang_definitions` VALUES (16941, 1028, 5, 'Bal');
INSERT INTO `lang_definitions` VALUES (16942, 1031, 5, 'Saldo');
INSERT INTO `lang_definitions` VALUES (16943, 1032, 5, 'saldo');
INSERT INTO `lang_definitions` VALUES (16944, 1033, 5, 'Saldo Betrag');
INSERT INTO `lang_definitions` VALUES (16945, 1034, 5, 'Restbetrag');
INSERT INTO `lang_definitions` VALUES (16946, 1035, 5, 'Restzahlung');
INSERT INTO `lang_definitions` VALUES (16947, 1036, 5, 'Ausgeglichen');
INSERT INTO `lang_definitions` VALUES (16948, 1037, 5, 'Bambara');
INSERT INTO `lang_definitions` VALUES (16949, 1038, 5, 'Bankwechsel');
INSERT INTO `lang_definitions` VALUES (16950, 1039, 5, 'Barcode Label');
INSERT INTO `lang_definitions` VALUES (16951, 1040, 5, 'Barcode Label Typ');
INSERT INTO `lang_definitions` VALUES (16952, 1041, 5, 'Barcode-Typ zum Drucken von Barcode-Etiketten aus Popups im linken Navigationsbildschirm.');
INSERT INTO `lang_definitions` VALUES (16953, 1042, 5, 'Basis 5. Mittelfußknochen');
INSERT INTO `lang_definitions` VALUES (16954, 1043, 5, 'Basis 5. Mittelfußknochen:');
INSERT INTO `lang_definitions` VALUES (16955, 1044, 5, 'Basis-URL vom FHIR - Server');
INSERT INTO `lang_definitions` VALUES (16956, 1045, 5, 'Basis-URL vom FHIR - Server. URL sollte mit / enden');
INSERT INTO `lang_definitions` VALUES (16957, 1046, 5, 'Je nach Bedarf der einzelnen Praxis können die Tests in verschiedene Gruppen eingeteilt werden');
INSERT INTO `lang_definitions` VALUES (16958, 1047, 5, 'Baschkirisch');
INSERT INTO `lang_definitions` VALUES (16959, 1048, 5, 'Grundlegende Patienteninformationen sind enthalten, z. B. Informationen zu Patienten und Leistungserbringern, Versicherung, Gesundheitszustand des Patienten, kürzlich geleistete Pflege, Informationen zum Pflegeplan und Grund für Überweisung oder Überweisung');
INSERT INTO `lang_definitions` VALUES (16960, 1049, 5, 'Baskisch');
INSERT INTO `lang_definitions` VALUES (16961, 1050, 5, 'Batch Anforderung');
INSERT INTO `lang_definitions` VALUES (16962, 1051, 5, 'Batch Kommunikations Tool');
INSERT INTO `lang_definitions` VALUES (16963, 1052, 5, 'Batch Kommunikations Tool (batchcom)');
INSERT INTO `lang_definitions` VALUES (16964, 1053, 5, 'Sammelzahlungseintrag');
INSERT INTO `lang_definitions` VALUES (16965, 1054, 5, 'Sammelzahlung');
INSERT INTO `lang_definitions` VALUES (16966, 1055, 5, 'Verarbeitung gestartet. Dies kann einen Moment dauern.');
INSERT INTO `lang_definitions` VALUES (16967, 1056, 5, 'Sammelergebnisse');
INSERT INTO `lang_definitions` VALUES (16968, 1057, 5, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (16969, 1058, 5, 'BAT{{Prüfung der Helligkeitsschärfe}}');
INSERT INTO `lang_definitions` VALUES (16970, 1059, 5, 'BK{{Basiskurve}}');
INSERT INTO `lang_definitions` VALUES (16971, 1060, 5, 'Haben Sie etwas Geduld, einige Dateien können mehrere Minuten in Anspruch nehmen!');
INSERT INTO `lang_definitions` VALUES (16972, 1061, 5, 'Seien Sie geduldig, dies kann eine Weile dauern.');
INSERT INTO `lang_definitions` VALUES (16973, 1062, 5, 'Verzweigen Sie es unbedingt von der Linie Well Woman Tests (Tier 1). Wenn TSH und Vitamin D richtig verzweigt sind, sollte der Tier-Wert 2 betragen');
INSERT INTO `lang_definitions` VALUES (16974, 1063, 5, 'weil diese ID nicht existiert');
INSERT INTO `lang_definitions` VALUES (16975, 1064, 5, 'Vor');
INSERT INTO `lang_definitions` VALUES (16976, 1065, 5, 'Vor (PM)');
INSERT INTO `lang_definitions` VALUES (16977, 1066, 5, 'Lesen Sie diese Hilfeseite durch und führen Sie einige vorbereitende Schritte durch, bevor Sie mit der Verwendung des Gebührenblatts beginnen.');
INSERT INTO `lang_definitions` VALUES (16978, 1067, 5, 'Bevor Sie mit der Konfiguration der Tests selbst fortfahren, müssen Sie die in der Standardversion enthaltenen Werte überprüfen und nach Bedarf Änderungen vornehmen');
INSERT INTO `lang_definitions` VALUES (16979, 1068, 5, 'Bevor wir mit dem Erstellen einer benutzerdefinierten Testgruppe fortfahren und diese als Favorit speichern, erhalten Sie eine kurze Zusammenfassung der beteiligten Prinzipien');
INSERT INTO `lang_definitions` VALUES (16980, 1069, 5, 'Bevor Sie mit der Anpassung beginnen, stellen Sie bitte sicher, dass alle ICD- und CPT-Codes, die Sie benötigen, in die Datenbank eingegeben wurden');
INSERT INTO `lang_definitions` VALUES (16981, 1070, 5, 'Bevor Sie mit der Dateneingabe beginnen, überprüfen Sie die Tabelle erneut und nehmen Sie die erforderlichen Anpassungen vor');
INSERT INTO `lang_definitions` VALUES (16982, 1071, 5, 'Bevor Sie die elektronische Bestellung ausprobieren, müssen Sie die damit verbundenen Probleme verstehen');
INSERT INTO `lang_definitions` VALUES (16983, 1072, 5, 'Start');
INSERT INTO `lang_definitions` VALUES (16984, 1073, 5, 'Start- und Enddatum, wenn Informationen verfügbar sind');
INSERT INTO `lang_definitions` VALUES (16985, 1074, 5, 'Startdatum');
INSERT INTO `lang_definitions` VALUES (16986, 1075, 5, 'Startdatum falls bekannt');
INSERT INTO `lang_definitions` VALUES (16987, 1076, 5, 'Anfangsdatum für den Hauptbuchbericht');
INSERT INTO `lang_definitions` VALUES (16988, 1077, 5, 'Service Startdatum - JJJJ-MM-DD');
INSERT INTO `lang_definitions` VALUES (16989, 1078, 5, 'Startstunde für Kalender Ereignisse');
INSERT INTO `lang_definitions` VALUES (16990, 1079, 5, 'Anfang der aktuellen Arbeitswoche');
INSERT INTO `lang_definitions` VALUES (16991, 1080, 5, 'Als Softwareanwendung kann es durch Malware, die den geheimen Schlüssel stiehlt, oder durch Social Engineering kompromittiert werden');
INSERT INTO `lang_definitions` VALUES (16992, 1081, 5, 'Belarussisch');
INSERT INTO `lang_definitions` VALUES (16993, 1082, 5, 'Aufstoßen');
INSERT INTO `lang_definitions` VALUES (16994, 1083, 5, 'Unter der unteren Panikgrenze');
INSERT INTO `lang_definitions` VALUES (16995, 1084, 5, 'Darunter befindet sich eine Tabelle mit den vorhandenen Transaktionen des aktuellen Patienten, sofern vorhanden');
INSERT INTO `lang_definitions` VALUES (16996, 1085, 5, 'Leistungsart');
INSERT INTO `lang_definitions` VALUES (16997, 1086, 5, 'Bengali');
INSERT INTO `lang_definitions` VALUES (16998, 1087, 5, 'Bengali - Bangla');
INSERT INTO `lang_definitions` VALUES (16999, 1088, 5, 'Viel Glück');
INSERT INTO `lang_definitions` VALUES (17000, 1089, 5, 'zwischen');
INSERT INTO `lang_definitions` VALUES (17001, 1090, 5, 'bg{{Hintergrundbild Label}}');
INSERT INTO `lang_definitions` VALUES (17002, 1091, 5, 'In beide Richtungen');
INSERT INTO `lang_definitions` VALUES (17003, 1092, 5, 'Bifokal');
INSERT INTO `lang_definitions` VALUES (17004, 1093, 5, 'Bifokale');
INSERT INTO `lang_definitions` VALUES (17005, 1094, 5, 'Bihari');
INSERT INTO `lang_definitions` VALUES (17006, 1095, 5, 'Bilateral');
INSERT INTO `lang_definitions` VALUES (17007, 1096, 5, 'Bilateral:');
INSERT INTO `lang_definitions` VALUES (17008, 1097, 5, 'Rechnung');
INSERT INTO `lang_definitions` VALUES (17009, 1098, 5, 'Rechnungsdatum');
INSERT INTO `lang_definitions` VALUES (17010, 1099, 5, 'Rechnungsdatum:');
INSERT INTO `lang_definitions` VALUES (17011, 1100, 5, 'Rechnungsart');
INSERT INTO `lang_definitions` VALUES (17012, 1101, 5, 'Rechnung');
INSERT INTO `lang_definitions` VALUES (17013, 1102, 5, 'Berechnet');
INSERT INTO `lang_definitions` VALUES (17014, 1103, 5, 'Verrrechnungsdatum');
INSERT INTO `lang_definitions` VALUES (17015, 1104, 5, 'Rechnung');
INSERT INTO `lang_definitions` VALUES (17016, 1105, 5, 'Rechnung (optional)');
INSERT INTO `lang_definitions` VALUES (17017, 1106, 5, 'Rechnung (optional) (Rechnung)');
INSERT INTO `lang_definitions` VALUES (17018, 1107, 5, 'Abrechnung - bietet eine Zusammenfassung der Salden - Patientensaldo fällig, Versicherungssaldo fällig, Gesamtsaldo fällig und listet den Namen der Erstversicherung zusammen mit dem Datum des Inkrafttretens auf');
INSERT INTO `lang_definitions` VALUES (17019, 1108, 5, 'Rechnungsadresse');
INSERT INTO `lang_definitions` VALUES (17020, 1109, 5, 'Rechnung z. Hd.');
INSERT INTO `lang_definitions` VALUES (17021, 1110, 5, 'Rechnungscode Beschreibungen');
INSERT INTO `lang_definitions` VALUES (17022, 1111, 5, 'Rechnungscode für angeforderte Leistung');
INSERT INTO `lang_definitions` VALUES (17023, 1112, 5, 'Rechnungscode');
INSERT INTO `lang_definitions` VALUES (17024, 1113, 5, 'Rechnungsdaten');
INSERT INTO `lang_definitions` VALUES (17025, 1114, 5, 'Rechnungsabteilung');
INSERT INTO `lang_definitions` VALUES (17026, 1115, 5, 'Rechnungssteller');
INSERT INTO `lang_definitions` VALUES (17027, 1116, 5, 'In der Abrechnungsfunktion können Sie die für die Abrechnung verwendete Funktion auswählen. Um die Abrechnungsfunktion zu erstellen und zu bearbeiten, gehen Sie zu Administration> Funktionen');
INSERT INTO `lang_definitions` VALUES (17028, 1117, 5, 'Rechnungsinformation');
INSERT INTO `lang_definitions` VALUES (17029, 1118, 5, 'Rechnungslokalität');
INSERT INTO `lang_definitions` VALUES (17030, 1119, 5, 'Abrechnungsprotokoll');
INSERT INTO `lang_definitions` VALUES (17031, 1120, 5, 'Rechnungsprotokoll anhängen');
INSERT INTO `lang_definitions` VALUES (17032, 1121, 5, 'Rechnungsprotokoll ist leer');
INSERT INTO `lang_definitions` VALUES (17033, 1122, 5, 'Rechnungsprotokoll Option');
INSERT INTO `lang_definitions` VALUES (17034, 1123, 5, 'Rechnungsprotokoll überschreiben');
INSERT INTO `lang_definitions` VALUES (17035, 1124, 5, 'Abrechnungsprotokolleinstellung zum Anhängen oder Überschreiben der Protokolldatei.');
INSERT INTO `lang_definitions` VALUES (17036, 1125, 5, 'Rechnungsverwaltung');
INSERT INTO `lang_definitions` VALUES (17037, 1126, 5, 'Rechnungsbemerkung');
INSERT INTO `lang_definitions` VALUES (17038, 1127, 5, 'Rechnungsbemerkung für');
INSERT INTO `lang_definitions` VALUES (17039, 1128, 5, 'Rechnungsbemerkung:');
INSERT INTO `lang_definitions` VALUES (17040, 1129, 5, 'Rechnung Warteliste Ergebnisse');
INSERT INTO `lang_definitions` VALUES (17041, 1130, 5, 'Rechnung Warteliste Ergebnisse:');
INSERT INTO `lang_definitions` VALUES (17042, 1131, 5, 'Rechnungsbericht');
INSERT INTO `lang_definitions` VALUES (17043, 1132, 5, 'Rechnungsstatus');
INSERT INTO `lang_definitions` VALUES (17044, 1133, 5, 'Rechnungsstatus = Unbezahlt');
INSERT INTO `lang_definitions` VALUES (17045, 1134, 5, 'Rechnung an');
INSERT INTO `lang_definitions` VALUES (17046, 1135, 5, 'Abrechnungsansicht');
INSERT INTO `lang_definitions` VALUES (17047, 1136, 5, 'Binokularer Pupillendurchmesser - Abstand');
INSERT INTO `lang_definitions` VALUES (17048, 1137, 5, 'Binokularer Pupillendurchmesser - Nahe');
INSERT INTO `lang_definitions` VALUES (17049, 1138, 5, 'Biopsie');
INSERT INTO `lang_definitions` VALUES (17050, 1139, 5, 'Geburtsurkunde');
INSERT INTO `lang_definitions` VALUES (17051, 1140, 5, 'Geburtsdatum');
INSERT INTO `lang_definitions` VALUES (17052, 1141, 5, 'Geb., 0 bis 24 Monate');
INSERT INTO `lang_definitions` VALUES (17053, 1142, 5, 'Geburtshaus');
INSERT INTO `lang_definitions` VALUES (17054, 1143, 5, 'Bislama');
INSERT INTO `lang_definitions` VALUES (17055, 1144, 5, 'Schwarz');
INSERT INTO `lang_definitions` VALUES (17056, 1145, 5, 'Schwarze Linien zeigen bereits vorhandene Informationen an.');
INSERT INTO `lang_definitions` VALUES (17057, 1146, 5, 'Schwarze Liste');
INSERT INTO `lang_definitions` VALUES (17058, 1147, 5, 'Schwarze Lunge');
INSERT INTO `lang_definitions` VALUES (17059, 1148, 5, 'Afrikaner oder Amerikaner');
INSERT INTO `lang_definitions` VALUES (17060, 1149, 5, 'Blasencarcinom');
INSERT INTO `lang_definitions` VALUES (17061, 1150, 5, 'Blasenentzündung');
INSERT INTO `lang_definitions` VALUES (17062, 1151, 5, 'Leer');
INSERT INTO `lang_definitions` VALUES (17063, 1152, 5, 'Formularvorlage');
INSERT INTO `lang_definitions` VALUES (17064, 1153, 5, 'Probleme mit Blutungen');
INSERT INTO `lang_definitions` VALUES (17065, 1154, 5, 'Blinde Flecken');
INSERT INTO `lang_definitions` VALUES (17066, 1155, 5, 'Blindheit');
INSERT INTO `lang_definitions` VALUES (17067, 1156, 5, 'Blähungen');
INSERT INTO `lang_definitions` VALUES (17068, 1157, 5, 'Blockieren Sie alle Dateitypen, die nicht in der Whitelist enthalten sind. Die Schnittstelle zum Bearbeiten der Positivliste finden Sie unter Administration-> Dateien.');
INSERT INTO `lang_definitions` VALUES (17069, 1158, 5, 'Geblockt');
INSERT INTO `lang_definitions` VALUES (17070, 1159, 5, 'Blut');
INSERT INTO `lang_definitions` VALUES (17071, 1160, 5, 'Blutdruck');
INSERT INTO `lang_definitions` VALUES (17072, 1161, 5, 'Blutdruck');
INSERT INTO `lang_definitions` VALUES (17073, 1162, 5, 'Blutige Nase');
INSERT INTO `lang_definitions` VALUES (17074, 1163, 5, 'blaues Kreus blaues Schild');
INSERT INTO `lang_definitions` VALUES (17075, 1164, 5, 'Blaue Linien in diesem Bericht dienen der Information.');
INSERT INTO `lang_definitions` VALUES (17076, 1165, 5, 'Blaue Linien in diesem Bericht sind informationell. Schwarze Linien zeigen bereits vorhandene Informationen. Grüne Linien zeigen Veränderungen, die erfolgreich angewendet wurden. Rote Linien weisen auf Fehler hin oder auf nicht übernommene Änderungen.');
INSERT INTO `lang_definitions` VALUES (17077, 1166, 5, 'Sehstörungen');
INSERT INTO `lang_definitions` VALUES (17078, 1167, 5, 'BMI');
INSERT INTO `lang_definitions` VALUES (17079, 1168, 5, 'BMI Status');
INSERT INTO `lang_definitions` VALUES (17080, 1169, 5, 'Körper');
INSERT INTO `lang_definitions` VALUES (17081, 1170, 5, 'Körperbereich');
INSERT INTO `lang_definitions` VALUES (17082, 1171, 5, 'Körperstelle');
INSERT INTO `lang_definitions` VALUES (17083, 1172, 5, 'Körperstelle (gegebenfalls)');
INSERT INTO `lang_definitions` VALUES (17084, 1173, 5, 'Knochenspannung');
INSERT INTO `lang_definitions` VALUES (17085, 1174, 5, 'Knochenspannung: Medial Malleolus');
INSERT INTO `lang_definitions` VALUES (17086, 1175, 5, 'Boolsch');
INSERT INTO `lang_definitions` VALUES (17087, 1176, 5, 'Bosnisch');
INSERT INTO `lang_definitions` VALUES (17088, 1177, 5, 'Unten');
INSERT INTO `lang_definitions` VALUES (17089, 1178, 5, 'Beide');
INSERT INTO `lang_definitions` VALUES (17090, 1179, 5, 'Beide Ohren');
INSERT INTO `lang_definitions` VALUES (17091, 1180, 5, 'beide Ohren');
INSERT INTO `lang_definitions` VALUES (17092, 1181, 5, 'Sowohl Name als auch Kategorie werden gelb hervorgehoben, um einen zusätzlichen visuellen Hinweis darauf zu geben, dass es sich um eine Bestellung handelt. Eine Tatsache, die gewürdigt wird, wenn mehrere Aufträge mit ihren jeweiligen Gruppen und Ergebnissen in das System eingegeben werden');
INSERT INTO `lang_definitions` VALUES (17093, 1182, 5, 'Hier können sowohl Rendering- als auch Supervising-Anbieter eingestellt werden');
INSERT INTO `lang_definitions` VALUES (17094, 1183, 5, 'Unten');
INSERT INTO `lang_definitions` VALUES (17095, 1184, 5, 'Unterer Rand (px)');
INSERT INTO `lang_definitions` VALUES (17096, 1185, 5, 'Feld 10 - Diese Information gibt an, ob die Krankheit oder Verletzung des Patienten mit einer Beschäftigung, einem Autounfall oder einem anderen Unfall zusammenhängt');
INSERT INTO `lang_definitions` VALUES (17097, 1186, 5, 'Feld 10 A. Beschäftigungsbezogen');
INSERT INTO `lang_definitions` VALUES (17098, 1187, 5, 'FELD 10 A. Beschäftigungsbezogen');
INSERT INTO `lang_definitions` VALUES (17099, 1188, 5, 'Feld 10 B. Autounfall');
INSERT INTO `lang_definitions` VALUES (17100, 1189, 5, 'FELD 10 B Autounfall');
INSERT INTO `lang_definitions` VALUES (17101, 1190, 5, 'Feld 10 C. Andere Unfälle');
INSERT INTO `lang_definitions` VALUES (17102, 1191, 5, 'FELD 10 C. Andere Unfälle');
INSERT INTO `lang_definitions` VALUES (17103, 1192, 5, 'Feld 10 D - Wird verwendet, um den Überweisungscode für Früherkennung und regelmäßige Überprüfung, Diagnose und Behandlung (EPSDT) einzureichen');
INSERT INTO `lang_definitions` VALUES (17104, 1193, 5, 'Feld 10 D. EPSDT-Verweiscode');
INSERT INTO `lang_definitions` VALUES (17105, 1194, 5, 'FELD 10 D. EPSDT-Verweiscode');
INSERT INTO `lang_definitions` VALUES (17106, 1195, 5, 'Feld 10 a. Beschäftigungsbezogen');
INSERT INTO `lang_definitions` VALUES (17107, 1196, 5, 'Feld 10 b. Autounfall');
INSERT INTO `lang_definitions` VALUES (17108, 1197, 5, 'Feld 10 c. Andere Unfälle');
INSERT INTO `lang_definitions` VALUES (17109, 1198, 5, 'Feld 10 d. EPSDT-Verweiscode');
INSERT INTO `lang_definitions` VALUES (17110, 1199, 5, 'Feld 14 - Es gibt das erste Datum des Krankheitsbeginns, das tatsächliche Verletzungsdatum oder den AMP für die Schwangerschaft an. Geben Sie das Datum in das erste Feld ein und wählen Sie entweder Einsetzen der aktuellen Symptome oder Krankheit oder LMP aus dem Dropdown-Feld aus');
INSERT INTO `lang_definitions` VALUES (17111, 1200, 5, 'FELD 14 Datumsqualifikator');
INSERT INTO `lang_definitions` VALUES (17112, 1201, 5, 'FELD 14. Wird vom Begegnungsbildschirm als Anfangsdatum ausgefüllt');
INSERT INTO `lang_definitions` VALUES (17113, 1202, 5, 'Feld 14. Anfangsdatum');
INSERT INTO `lang_definitions` VALUES (17114, 1203, 5, 'Feld 15 - Das andere Datum identifiziert zusätzliche Datumsinformationen über den Zustand oder die Behandlung des Patienten. Geben Sie das Datum in das erste Feld ein und wählen Sie ein Qualifikationsmerkmal aus dem Dropdown-Feld aus');
INSERT INTO `lang_definitions` VALUES (17115, 1204, 5, 'FELD 15 Anderer Datumsqualifikator');
INSERT INTO `lang_definitions` VALUES (17116, 1205, 5, 'FELD 15. Datum der gleichen oder ähnlichen Erkrankung (JJJJ-MM-TT)');
INSERT INTO `lang_definitions` VALUES (17117, 1206, 5, 'FELD 15. Datum der gleichen oder ähnlichen Erkrankung / anderes Datum (JJJJ-MM-TT)');
INSERT INTO `lang_definitions` VALUES (17118, 1207, 5, 'Feld 15. anderes Datum:');
INSERT INTO `lang_definitions` VALUES (17119, 1208, 5, 'Feld 16 - Daten, an denen der Patient im aktuellen Beruf nicht arbeiten kann - ist die Zeitspanne, in der der Patient nicht arbeiten kann oder konnte');
INSERT INTO `lang_definitions` VALUES (17120, 1209, 5, 'Feld 16. Datum, ab dem nicht gearbeitet werden kann');
INSERT INTO `lang_definitions` VALUES (17121, 1210, 5, 'FELD 16. Datum, ab dem nicht gearbeitet werden kann');
INSERT INTO `lang_definitions` VALUES (17122, 1211, 5, 'FELD 16. Arbeitsunfähigkeit seit (JJJJ-MM-TT)');
INSERT INTO `lang_definitions` VALUES (17123, 1212, 5, 'FELD 16. Datum, ab dem nicht gearbeitet werden kann:');
INSERT INTO `lang_definitions` VALUES (17124, 1213, 5, 'Feld 16. Datum, ab dem nicht gearbeitet werden kann');
INSERT INTO `lang_definitions` VALUES (17125, 1214, 5, 'FELD 16. Arbeitsunfähigkeit seit (JJJJ-MM-TT)');
INSERT INTO `lang_definitions` VALUES (17126, 1215, 5, 'Fach 16. Arbeitsunfähigkeit bis (JJJJ-MM-TT)');
INSERT INTO `lang_definitions` VALUES (17127, 1216, 5, 'Feld 16. Datum, ab dem nicht gearbeitet werden kann:');
INSERT INTO `lang_definitions` VALUES (17128, 1217, 5, 'Feld 17 - Bei dem eingegebenen Namen handelt es sich um den verweisenden Anbieter, den bestellenden Anbieter oder den überwachenden Anbieter, der die Dienstleistung (en) oder die Lieferung (en) im Antrag verwiesen, bestellt oder überwacht hat. Wenn mehrere Anbieter beteiligt sind, geben Sie einen Anbieter mit der folgenden Prioritätsreihenfolge ein: 1. Verweisender Anbieter, 2. Bestellender Anbieter, 3. Überwachender Anbieter.');
INSERT INTO `lang_definitions` VALUES (17129, 1218, 5, 'Feld 17. Anbieter');
INSERT INTO `lang_definitions` VALUES (17130, 1219, 5, 'FELD 17. Anbieter');
INSERT INTO `lang_definitions` VALUES (17131, 1220, 5, 'Feld 17. Anbieter Qualifikationsmerkmal');
INSERT INTO `lang_definitions` VALUES (17132, 1221, 5, 'FELD 17. Anbieter Qualifikationsmerkmal');
INSERT INTO `lang_definitions` VALUES (17133, 1222, 5, 'Feld 17. Anbieter Qualifikationsmerkmal');
INSERT INTO `lang_definitions` VALUES (17134, 1223, 5, 'Feld 17. Anbieter');
INSERT INTO `lang_definitions` VALUES (17135, 1224, 5, 'Feld 18 - Die „Krankenhausaufenthaltsdaten in Bezug auf die aktuellen Leistungen“ beziehen sich auf einen stationären Aufenthalt und geben die Aufnahme- und Entlassungsdaten an, die mit den Leistungen in der Leistungsbeschreibung verbunden sind');
INSERT INTO `lang_definitions` VALUES (17136, 1225, 5, 'Feld 18. Krankenhausaufenthalt ab');
INSERT INTO `lang_definitions` VALUES (17137, 1226, 5, 'FELD 18. Krankenhausaufenthalt ab');
INSERT INTO `lang_definitions` VALUES (17138, 1227, 5, 'FELD 18. Krankenhausaufenthalt seit (JJJJ-MM-TT)');
INSERT INTO `lang_definitions` VALUES (17139, 1228, 5, 'Feld 18. Krankenhausauftenthalt ab:');
INSERT INTO `lang_definitions` VALUES (17140, 1229, 5, 'Feld 18. Krankenhausaufenthalt bis');
INSERT INTO `lang_definitions` VALUES (17141, 1230, 5, 'FELD 18. Krankenhausaufenthalt bis');
INSERT INTO `lang_definitions` VALUES (17142, 1231, 5, 'FELD 18. Krankenhausaufenthalt bis (JJJJ-MM-TT)');
INSERT INTO `lang_definitions` VALUES (17143, 1232, 5, 'Feld 18. Krankenhausaufenthalt bis:');
INSERT INTO `lang_definitions` VALUES (17144, 1233, 5, 'Feld 20 - Zeigt an, dass die Dienstleistungen von einem unabhängigen Anbieter erbracht wurden, wie in Feld 32 (Standortinformationen der Serviceeinrichtung) und den damit verbundenen Kosten angegeben');
INSERT INTO `lang_definitions` VALUES (17145, 1234, 5, 'Feld 20. Wurde ein Auswärtslabor beauftragt?');
INSERT INTO `lang_definitions` VALUES (17146, 1235, 5, 'FELD 20: wurde ein Auswärtslabor beauftragt?');
INSERT INTO `lang_definitions` VALUES (17147, 1236, 5, 'Feld 22 - Medicaid-Wiedervorlagecode und Originalreferenznummer ist der Code und die Originalreferenznummer, die vom Zielzahler oder -empfänger zugewiesen wurden, um einen zuvor eingereichten Anspruch oder eine zuvor eingereichte Begegnung anzuzeigen');
INSERT INTO `lang_definitions` VALUES (17148, 1237, 5, 'Feld 22. Medicaid Wiedervorlagecode (ICD-10)');
INSERT INTO `lang_definitions` VALUES (17149, 1238, 5, 'Feld 22. Medicaid Wiedervorlagecode (ICD-9)');
INSERT INTO `lang_definitions` VALUES (17150, 1239, 5, 'FELD 22. Medicaid Wiedervorlagecode (ICD-9)');
INSERT INTO `lang_definitions` VALUES (17151, 1240, 5, 'Feld 23 - Vorherige Autorisierungsnummer ist die dem Zahler zugewiesene Nummer, die die Dienstleistung(en) autorisiert.');
INSERT INTO `lang_definitions` VALUES (17152, 1241, 5, 'Feld 23. Vorherige Autorisierungsnummer');
INSERT INTO `lang_definitions` VALUES (17153, 1242, 5, 'Feld 23. Vorherige Autorisierungsnummer');
INSERT INTO `lang_definitions` VALUES (17154, 1243, 5, 'FELD 23. Vorherige Authorisierungsnummer');
INSERT INTO `lang_definitions` VALUES (17155, 1244, 5, 'Blutdruck');
INSERT INTO `lang_definitions` VALUES (17156, 1245, 5, 'Blutdruck diastolisch');
INSERT INTO `lang_definitions` VALUES (17157, 1246, 5, 'Blutdruck systolisch');
INSERT INTO `lang_definitions` VALUES (17158, 1247, 5, 'BDD');
INSERT INTO `lang_definitions` VALUES (17159, 1248, 5, 'BD diast.');
INSERT INTO `lang_definitions` VALUES (17160, 1249, 5, 'BPD-F {{Abkürzung für Binocular Pupillary Diameter - Fern}}');
INSERT INTO `lang_definitions` VALUES (17161, 1250, 5, 'BPD-N {{Abkürzung für Binocular Pupillary Diameter - Nah}}');
INSERT INTO `lang_definitions` VALUES (17162, 1251, 5, 'BDS');
INSERT INTO `lang_definitions` VALUES (17163, 1252, 5, 'BD syst.');
INSERT INTO `lang_definitions` VALUES (17164, 1253, 5, 'Marke');
INSERT INTO `lang_definitions` VALUES (17165, 1254, 5, 'Brasilianisches Portugiesisch');
INSERT INTO `lang_definitions` VALUES (17166, 1255, 5, 'Brüste');
INSERT INTO `lang_definitions` VALUES (17167, 1256, 5, 'Brust-Biopsie');
INSERT INTO `lang_definitions` VALUES (17168, 1257, 5, 'Brustverkleinerung');
INSERT INTO `lang_definitions` VALUES (17169, 1258, 5, 'Brusterkrankung');
INSERT INTO `lang_definitions` VALUES (17170, 1259, 5, 'Brustuntersuchung');
INSERT INTO `lang_definitions` VALUES (17171, 1260, 5, 'Brustmasse');
INSERT INTO `lang_definitions` VALUES (17172, 1261, 5, 'Atem');
INSERT INTO `lang_definitions` VALUES (17173, 1262, 5, 'Atemgeräusch:');
INSERT INTO `lang_definitions` VALUES (17174, 1263, 5, 'Bretonisch');
INSERT INTO `lang_definitions` VALUES (17175, 1264, 5, 'Helligkeitsprüfung');
INSERT INTO `lang_definitions` VALUES (17176, 1265, 5, 'Gebrochene Knochen');
INSERT INTO `lang_definitions` VALUES (17177, 1266, 5, 'gebrochene Form');
INSERT INTO `lang_definitions` VALUES (17178, 1267, 5, 'Bronchitis Art');
INSERT INTO `lang_definitions` VALUES (17179, 1268, 5, 'Bruder');
INSERT INTO `lang_definitions` VALUES (17180, 1269, 5, 'Braue');
INSERT INTO `lang_definitions` VALUES (17181, 1270, 5, 'Suchen');
INSERT INTO `lang_definitions` VALUES (17182, 1271, 5, 'Suche nach Einträgen');
INSERT INTO `lang_definitions` VALUES (17183, 1272, 5, 'Hämatome');
INSERT INTO `lang_definitions` VALUES (17184, 1274, 5, 'erstellen Sie Ihren Plan');
INSERT INTO `lang_definitions` VALUES (17185, 1275, 5, 'Bulgarisch');
INSERT INTO `lang_definitions` VALUES (17186, 1276, 5, 'Beule rechts:');
INSERT INTO `lang_definitions` VALUES (17187, 1277, 5, 'Burmesisch');
INSERT INTO `lang_definitions` VALUES (17188, 1278, 5, 'Brennen beim Wasserlassen');
INSERT INTO `lang_definitions` VALUES (17189, 1279, 5, 'Brennen beim Wasserlassen');
INSERT INTO `lang_definitions` VALUES (17190, 1280, 5, 'Geschäftspartner-Vereinbarung');
INSERT INTO `lang_definitions` VALUES (17191, 1281, 5, 'Geschäftstelefon');
INSERT INTO `lang_definitions` VALUES (17192, 1282, 5, 'Beschäftigt');
INSERT INTO `lang_definitions` VALUES (17193, 1283, 5, 'aber noch nicht verarbeitet.');
INSERT INTO `lang_definitions` VALUES (17194, 1284, 5, 'Gesäßhälfte');
INSERT INTO `lang_definitions` VALUES (17195, 1285, 5, 'Gesäßhälfte + S.I.');
INSERT INTO `lang_definitions` VALUES (17196, 1286, 5, 'bei');
INSERT INTO `lang_definitions` VALUES (17197, 1287, 5, 'Bei');
INSERT INTO `lang_definitions` VALUES (17198, 1288, 5, 'Standardmäßig werden aktive Nachrichten angezeigt, wie im Abschnitt unter der Überschrift \"Nachrichten\" angegeben');
INSERT INTO `lang_definitions` VALUES (17199, 1289, 5, 'Standardmäßig sind alle Codes ausgewählt. Deaktivieren Sie die Codes, die Sie nicht möchten, und klicken Sie auf \"Hinzufügen\". Diese Codes werden dann zur aktuellen Begegnung hinzugefügt');
INSERT INTO `lang_definitions` VALUES (17200, 1290, 5, 'Standardmäßig sind nur demografische Angaben und Zahlungsinformationen ausgewählt');
INSERT INTO `lang_definitions` VALUES (17201, 1291, 5, 'Standardmäßig werden jeweils nur fünf Mahnungen mit Datum angezeigt');
INSERT INTO `lang_definitions` VALUES (17202, 1292, 5, 'Standardmäßig ist der Bereich Benutzermitgliedschaften ausgewählt und alle aktiven registrierten Benutzer werden in alphabetischer Reihenfolge nach ihren Benutzernamen aufgelistet.');
INSERT INTO `lang_definitions` VALUES (17203, 1293, 5, 'oral');
INSERT INTO `lang_definitions` VALUES (17204, 1294, 5, 'Wenn Sie eine Zahlungsmethode auswählen, werden die für diese Zahlungsmethode berechneten Preise automatisch im Abschnitt \"Ausgewählte Gebührenlistencodes und Gebühren für die aktuelle Begegnung\" angezeigt');
INSERT INTO `lang_definitions` VALUES (17205, 1295, 5, 'Durch/Ursprung');
INSERT INTO `lang_definitions` VALUES (17206, 1296, 5, 'Durch:');
INSERT INTO `lang_definitions` VALUES (17207, 1297, 5, 'durch{{hergestellt durch/Hersteller}}');
INSERT INTO `lang_definitions` VALUES (17208, 1298, 5, 'B{{beide Seiten}}');
INSERT INTO `lang_definitions` VALUES (17209, 1299, 5, 'C');
INSERT INTO `lang_definitions` VALUES (17210, 1300, 5, 'CDR Wert{{Verhältnis Tasse zu Scheibe}}');
INSERT INTO `lang_definitions` VALUES (17211, 1301, 5, 'CA Certificate zur Identifizierung des RFC 5425 TLS syslog servers.');
INSERT INTO `lang_definitions` VALUES (17212, 1302, 5, 'Cache Zeit (in Sekunden)');
INSERT INTO `lang_definitions` VALUES (17213, 1303, 5, 'Cache Vorlage Ausgabe?');
INSERT INTO `lang_definitions` VALUES (17214, 1304, 5, 'Koffein');
INSERT INTO `lang_definitions` VALUES (17215, 1305, 5, 'Kaffeekonsum');
INSERT INTO `lang_definitions` VALUES (17216, 1306, 5, 'Kalender');
INSERT INTO `lang_definitions` VALUES (17217, 1307, 5, 'Kalender Endstunde');
INSERT INTO `lang_definitions` VALUES (17218, 1308, 5, 'Kalenderinterval');
INSERT INTO `lang_definitions` VALUES (17219, 1309, 5, 'Kalender-Anzeige');
INSERT INTO `lang_definitions` VALUES (17220, 1310, 5, 'Kalendereinstellungen');
INSERT INTO `lang_definitions` VALUES (17221, 1311, 5, 'Kalendereinstellungen (Kalender)');
INSERT INTO `lang_definitions` VALUES (17222, 1312, 5, 'Kalender Startstunde');
INSERT INTO `lang_definitions` VALUES (17223, 1313, 5, 'Kalender UI');
INSERT INTO `lang_definitions` VALUES (17224, 1314, 5, 'Kalenderanzeige');
INSERT INTO `lang_definitions` VALUES (17225, 1315, 5, 'Externer Kalender für Ereignisse');
INSERT INTO `lang_definitions` VALUES (17226, 1316, 5, 'Rückrufnotizen');
INSERT INTO `lang_definitions` VALUES (17227, 1317, 5, 'Aufruf von addForm() kommt hierhin.<br>');
INSERT INTO `lang_definitions` VALUES (17228, 1318, 5, 'Rückruf');
INSERT INTO `lang_definitions` VALUES (17229, 1319, 5, 'Rückruf durchgeführt');
INSERT INTO `lang_definitions` VALUES (17230, 1320, 5, 'Rückruf angefordert');
INSERT INTO `lang_definitions` VALUES (17231, 1321, 5, 'Kalorien');
INSERT INTO `lang_definitions` VALUES (17232, 1322, 5, 'Kambodschanisch');
INSERT INTO `lang_definitions` VALUES (17233, 1323, 5, 'CAMOS');
INSERT INTO `lang_definitions` VALUES (17234, 1324, 5, 'Kann Betriebssystem nicht ermitteln!');
INSERT INTO `lang_definitions` VALUES (17235, 1325, 5, 'Dies kann nur eingestellt werden, wenn die Option Zusammenfassung der gesendeten Pflege aktiviert ist.');
INSERT INTO `lang_definitions` VALUES (17236, 1326, 5, 'Kann Datei nicht finden!');
INSERT INTO `lang_definitions` VALUES (17237, 1327, 5, 'Kann nicht hochladen');
INSERT INTO `lang_definitions` VALUES (17238, 1328, 5, 'Kanada');
INSERT INTO `lang_definitions` VALUES (17239, 1329, 5, 'Abbrechen');
INSERT INTO `lang_definitions` VALUES (17240, 1330, 5, 'abbrechen');
INSERT INTO `lang_definitions` VALUES (17241, 1332, 5, 'Änderungen verwerfen');
INSERT INTO `lang_definitions` VALUES (17242, 1333, 5, 'Abgebrochen');
INSERT INTO `lang_definitions` VALUES (17243, 1334, 5, 'abgebrochen <24 Stunden');
INSERT INTO `lang_definitions` VALUES (17244, 1335, 5, 'Krebs');
INSERT INTO `lang_definitions` VALUES (17245, 1336, 5, 'Krebsuntersuchung: Darm-Krebsuntersuchung');
INSERT INTO `lang_definitions` VALUES (17246, 1337, 5, 'Krebsuntersuchung: Mammographie');
INSERT INTO `lang_definitions` VALUES (17247, 1338, 5, 'Krebsuntersuchung: PAP-Abstrich');
INSERT INTO `lang_definitions` VALUES (17248, 1339, 5, 'Krebsuntersuchung: Prostata-Krebsuntersuchung');
INSERT INTO `lang_definitions` VALUES (17249, 1340, 5, 'Kann diesen Eintrag nicht hinzufügen, da er bereits existiert!');
INSERT INTO `lang_definitions` VALUES (17250, 1341, 5, 'Kann diesen Eintrag nicht hinzufügen/aktualisieren, da er bereits existiert!');
INSERT INTO `lang_definitions` VALUES (17251, 1342, 5, 'kann nicht archiviert werden, nicht durchgeführt');
INSERT INTO `lang_definitions` VALUES (17252, 1343, 5, 'kann nicht zu JPEG umgewandelt werden. Vielleicht ist ImageMagick nicht installiert?');
INSERT INTO `lang_definitions` VALUES (17253, 1344, 5, 'kann nicht gelöscht werden, nicht durchgeführt');
INSERT INTO `lang_definitions` VALUES (17254, 1345, 5, 'kann nicht dargestellt werden, da der Browser es nicht unterstützt.');
INSERT INTO `lang_definitions` VALUES (17255, 1346, 5, 'kann nicht dargestellt werden, da der Browser es nicht unterstützt.');
INSERT INTO `lang_definitions` VALUES (17256, 1347, 5, 'kann nicht dargestellt werden, da der Browser es nicht unterstützt.');
INSERT INTO `lang_definitions` VALUES (17257, 1348, 5, 'Kann nicht verwendet werden, wenn keine Mobilfunkabdeckung vorhanden ist');
INSERT INTO `lang_definitions` VALUES (17258, 1349, 5, 'Anlage nicht möglich');
INSERT INTO `lang_definitions` VALUES (17259, 1350, 5, 'Kann Datei nicht erstellen');
INSERT INTO `lang_definitions` VALUES (17260, 1351, 5, 'Kann Datei (vom SFTP Server) nicht löschen');
INSERT INTO `lang_definitions` VALUES (17261, 1352, 5, 'Kann Datei nicht löschen');
INSERT INTO `lang_definitions` VALUES (17262, 1353, 5, 'Ein Zieldateiname kann nicht ermittelt werden');
INSERT INTO `lang_definitions` VALUES (17263, 1354, 5, 'Suche ohne Ergebnis');
INSERT INTO `lang_definitions` VALUES (17264, 1355, 5, 'Ziel-Dateiname nicht gefunden');
INSERT INTO `lang_definitions` VALUES (17265, 1356, 5, 'Es wurde kein Feld zum Überspringen des Quellfeldes gefunden');
INSERT INTO `lang_definitions` VALUES (17266, 1357, 5, 'Es wurde kein Feld zum Überspringen des Ursprungsfeldes gefunden');
INSERT INTO `lang_definitions` VALUES (17267, 1358, 5, 'Kann Klienten im SQL-Ledger customer id nicht finden');
INSERT INTO `lang_definitions` VALUES (17268, 1359, 5, 'Kann Postcript Dokument referenz nicht finden');
INSERT INTO `lang_definitions` VALUES (17269, 1360, 5, 'kann Leistungserbringer in SQL-Ledger angestellter nicht finden=');
INSERT INTO `lang_definitions` VALUES (17270, 1361, 5, 'Zahlungen können nicht geändert werden. Nicht verteilt ist negativ.');
INSERT INTO `lang_definitions` VALUES (17271, 1362, 5, 'Öffnen nicht möglich');
INSERT INTO `lang_definitions` VALUES (17272, 1363, 5, 'Öffnen nicht möglich');
INSERT INTO `lang_definitions` VALUES (17273, 1364, 5, 'keine Forderung bei Versicherung. Kostenübernahme durch Patient');
INSERT INTO `lang_definitions` VALUES (17274, 1365, 5, 'keine Forderung beim Patient. Kostenübernahme durch Versicherung');
INSERT INTO `lang_definitions` VALUES (17275, 1366, 5, 'keine Fordeung möglich. Summe negativ.');
INSERT INTO `lang_definitions` VALUES (17276, 1367, 5, 'Lesen nicht möglich');
INSERT INTO `lang_definitions` VALUES (17277, 1368, 5, 'Verzeichnis kann nicht gelesen werden');
INSERT INTO `lang_definitions` VALUES (17278, 1369, 5, 'Aktualisierung nicht möglich, da neuer Datensatz!');
INSERT INTO `lang_definitions` VALUES (17279, 1370, 5, 'Hochgestellt');
INSERT INTO `lang_definitions` VALUES (17280, 1371, 5, 'alle Hochgestellt');
INSERT INTO `lang_definitions` VALUES (17281, 1372, 5, 'Kapsel');
INSERT INTO `lang_definitions` VALUES (17282, 1373, 5, 'Karte');
INSERT INTO `lang_definitions` VALUES (17283, 1374, 5, 'Karte CVV');
INSERT INTO `lang_definitions` VALUES (17284, 1375, 5, 'Karte Verfalldatum');
INSERT INTO `lang_definitions` VALUES (17285, 1376, 5, 'Karte Verfalldatum und Inhaber PLZ');
INSERT INTO `lang_definitions` VALUES (17286, 1377, 5, 'Karte Inhaber PLZ');
INSERT INTO `lang_definitions` VALUES (17287, 1378, 5, 'Name auf Karte');
INSERT INTO `lang_definitions` VALUES (17288, 1379, 5, 'Kartennummer');
INSERT INTO `lang_definitions` VALUES (17289, 1380, 5, 'Kartentyp');
INSERT INTO `lang_definitions` VALUES (17290, 1381, 5, 'Herz');
INSERT INTO `lang_definitions` VALUES (17291, 1382, 5, 'Herz-Katheterisierung');
INSERT INTO `lang_definitions` VALUES (17292, 1383, 5, 'Herz Ultraschall');
INSERT INTO `lang_definitions` VALUES (17293, 1384, 5, 'kardiovaskulär');
INSERT INTO `lang_definitions` VALUES (17294, 1385, 5, 'Pflegekoordination');
INSERT INTO `lang_definitions` VALUES (17295, 1386, 5, 'Nur Pflegekoordination');
INSERT INTO `lang_definitions` VALUES (17296, 1387, 5, 'Pflegedokumentation');
INSERT INTO `lang_definitions` VALUES (17297, 1388, 5, 'Pfleger');
INSERT INTO `lang_definitions` VALUES (17298, 1389, 5, 'Pflegeplan');
INSERT INTO `lang_definitions` VALUES (17299, 1390, 5, 'Pflegeplan Formular');
INSERT INTO `lang_definitions` VALUES (17300, 1391, 5, 'Pflegeplan Empfehlungen');
INSERT INTO `lang_definitions` VALUES (17301, 1392, 5, 'Pflegeteam');
INSERT INTO `lang_definitions` VALUES (17302, 1393, 5, 'Vor Beginn der Tests ist eine sorgfältige Planung erforderlich, um eine einfache Bedienung und eine korrekte Anzeige der Ergebnisse zu gewährleisten');
INSERT INTO `lang_definitions` VALUES (17303, 1394, 5, 'Karotis Herzklopfen');
INSERT INTO `lang_definitions` VALUES (17304, 1395, 5, 'Karotis{{Karotis Arterien}}');
INSERT INTO `lang_definitions` VALUES (17305, 1396, 5, 'Beschädigung des Knorpels, der Chondral- oder Gelenkscheibe.');
INSERT INTO `lang_definitions` VALUES (17306, 1397, 5, 'Knorpelverletzung');
INSERT INTO `lang_definitions` VALUES (17307, 1398, 5, 'Carotis pulse normal, Fuß pulse normal');
INSERT INTO `lang_definitions` VALUES (17308, 1399, 5, 'Karotis Arterie');
INSERT INTO `lang_definitions` VALUES (17309, 1400, 5, 'bar');
INSERT INTO `lang_definitions` VALUES (17310, 1401, 5, 'Bar');
INSERT INTO `lang_definitions` VALUES (17311, 1402, 5, 'nur in Bar');
INSERT INTO `lang_definitions` VALUES (17312, 1403, 5, 'Quittung durch Behandler');
INSERT INTO `lang_definitions` VALUES (17313, 1404, 5, 'Katalanisch-Valencianisch');
INSERT INTO `lang_definitions` VALUES (17314, 1405, 5, 'Grauer Star');
INSERT INTO `lang_definitions` VALUES (17315, 1406, 5, 'Grauer Star Operation');
INSERT INTO `lang_definitions` VALUES (17316, 1407, 5, 'Katarakte');
INSERT INTO `lang_definitions` VALUES (17317, 1408, 5, 'Kategorien');
INSERT INTO `lang_definitions` VALUES (17318, 1409, 5, 'Kategorien für');
INSERT INTO `lang_definitions` VALUES (17319, 1410, 5, 'Kategorien');
INSERT INTO `lang_definitions` VALUES (17320, 1411, 5, 'Kategorie');
INSERT INTO `lang_definitions` VALUES (17321, 1412, 5, 'Kategorie');
INSERT INTO `lang_definitions` VALUES (17322, 1413, 5, 'Kategorie - Bestellung, Ergebnis und Empfehlung benötigen einen Identifizierungscode');
INSERT INTO `lang_definitions` VALUES (17323, 1414, 5, 'Kategorie geändert');
INSERT INTO `lang_definitions` VALUES (17324, 1415, 5, 'Kategoriefarbe');
INSERT INTO `lang_definitions` VALUES (17325, 1416, 5, 'Kategoriedetails');
INSERT INTO `lang_definitions` VALUES (17326, 1417, 5, 'Kategorielimits');
INSERT INTO `lang_definitions` VALUES (17327, 1418, 5, 'Kategoriename');
INSERT INTO `lang_definitions` VALUES (17328, 1419, 5, 'Kategoriename ist leer');
INSERT INTO `lang_definitions` VALUES (17329, 1420, 5, 'Kategorie/Titel');
INSERT INTO `lang_definitions` VALUES (17330, 1421, 5, 'Kaukasier');
INSERT INTO `lang_definitions` VALUES (17331, 1422, 5, 'sorgt für Ausdruck des Leistungserbringer-Info');
INSERT INTO `lang_definitions` VALUES (17332, 1423, 5, 'cc Distanz{{mit Distanzkorrektur}}');
INSERT INTO `lang_definitions` VALUES (17333, 1424, 5, 'cc Nähe{{mit Korrektur in der Nähe}}');
INSERT INTO `lang_definitions` VALUES (17334, 1425, 5, 'CCD');
INSERT INTO `lang_definitions` VALUES (17335, 1426, 5, 'CCDA');
INSERT INTO `lang_definitions` VALUES (17336, 1438, 5, 'CDA definiert Bausteine, die verwendet werden können, um Gesundheitsdatenelemente zu enthalten, die zur Verwendung und Wiederverwendung in vielen Formaten erfasst, gespeichert, abgerufen, angezeigt und elektronisch übertragen werden können');
INSERT INTO `lang_definitions` VALUES (17337, 1442, 5, 'CDR');
INSERT INTO `lang_definitions` VALUES (17338, 1443, 5, 'CDR Bericht Verarbeitungs Priorität');
INSERT INTO `lang_definitions` VALUES (17339, 1444, 5, 'Zelle');
INSERT INTO `lang_definitions` VALUES (17340, 1445, 5, 'Mobiltelefon');
INSERT INTO `lang_definitions` VALUES (17341, 1446, 5, 'Mobiltelefonnummer');
INSERT INTO `lang_definitions` VALUES (17342, 1447, 5, 'Mobiltelefonnummer');
INSERT INTO `lang_definitions` VALUES (17343, 1449, 5, 'Zentrale Zertifizierung');
INSERT INTO `lang_definitions` VALUES (17344, 1450, 5, 'Dicke der zentralen Makula');
INSERT INTO `lang_definitions` VALUES (17345, 1451, 5, 'Zentral/Südamerika');
INSERT INTO `lang_definitions` VALUES (17346, 1452, 5, 'Certificate Authority CRT-Datei Speicherort kann nicht leer sein');
INSERT INTO `lang_definitions` VALUES (17347, 1453, 5, 'Certificate Authority key-Datei Speicherort kann nicht leer sein');
INSERT INTO `lang_definitions` VALUES (17348, 1454, 5, 'Zertifikat, das zum RFC 5425 TLS Syslog Server gesendet werden soll');
INSERT INTO `lang_definitions` VALUES (17349, 1455, 5, 'Zertifizierter Benutzer');
INSERT INTO `lang_definitions` VALUES (17350, 1456, 5, 'Zertifikate');
INSERT INTO `lang_definitions` VALUES (17351, 1457, 5, 'Chamorro');
INSERT INTO `lang_definitions` VALUES (17352, 1458, 5, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (17353, 1459, 5, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (17354, 1460, 5, 'ändern');
INSERT INTO `lang_definitions` VALUES (17355, 1461, 5, 'Änderung');
INSERT INTO `lang_definitions` VALUES (17356, 1462, 5, 'Änderungsaktivität');
INSERT INTO `lang_definitions` VALUES (17357, 1463, 5, 'Ändern Sie alle verfügbaren Elemente, und klicken Sie auf Senden, um sie zu überprüfen. Die Änderungen werden markiert und die Mitarbeiter werden benachrichtigt, um die Änderungen zu überprüfen, bevor sie in das Diagramm übernommen werden. Während des Zeitraums, bevor Änderungen überprüft werden, wird auf der Schaltfläche Überarbeitet die Meldung Ausstehend angezeigt, und die Profildaten stehen weiterhin für Änderungen zur Verfügung. Wenn Sie im Status \"Ausstehend\" auf das Profil zugreifen, werden alle vorherigen Änderungen in Blau und die aktuellen Diagrammwerte in Rot angezeigt. Sie können jede Bearbeitung auf den Diagrammwert zurücksetzen, indem Sie auf dieses rote Element klicken (oder umgekehrt). Beachten Sie jedoch, dass beim Klicken auf Zur Überprüfung senden Elemente, die die Feldelemente füllen, diejenigen sind, die gesendet werden. Die Schaltfläche \"Änderungen rückgängig machen\" ändert alles auf die Diagrammwerte zurück und Sie können von dort aus Änderungen vornehmen. Um es noch einmal zusammenzufassen: Elemente in BLAU sind geduldige Änderungen, wobei Elemente in ROT ursprüngliche Werte sind, bevor Änderungen vorgenommen werden.');
INSERT INTO `lang_definitions` VALUES (17358, 1466, 5, 'Wechsel fehlgeschlagen! Couch DB Verbindungsfehler?');
INSERT INTO `lang_definitions` VALUES (17359, 1467, 5, 'Veränderung in Aussehen');
INSERT INTO `lang_definitions` VALUES (17360, 1468, 5, 'Veränderung in Aussehen');
INSERT INTO `lang_definitions` VALUES (17361, 1470, 5, 'Passwort ändern');
INSERT INTO `lang_definitions` VALUES (17362, 1471, 5, 'Passwort ändern für');
INSERT INTO `lang_definitions` VALUES (17363, 1473, 5, 'Status ändern für');
INSERT INTO `lang_definitions` VALUES (17364, 1475, 5, 'Geändert');
INSERT INTO `lang_definitions` VALUES (17365, 1476, 5, 'Veränderter Darm');
INSERT INTO `lang_definitions` VALUES (17366, 1479, 5, 'Ändern der Patienten ID für Dokument');
INSERT INTO `lang_definitions` VALUES (17367, 1480, 5, 'Ändern des Status auf Erledigt entfernt die Nachricht aus der Liste der aktiven Nachrichten');
INSERT INTO `lang_definitions` VALUES (17368, 1481, 5, 'Ändern des Status auf New bewirkt das selbe');
INSERT INTO `lang_definitions` VALUES (17369, 1482, 5, 'Wenn Sie den Status in \"Gelesen\" ändern, wird er als gelesene Nachricht in der Liste der aktiven Nachrichten des aktuellen Benutzers angezeigt');
INSERT INTO `lang_definitions` VALUES (17370, 1483, 5, 'Kanäle');
INSERT INTO `lang_definitions` VALUES (17371, 1484, 5, 'Besonderheiten');
INSERT INTO `lang_definitions` VALUES (17372, 1485, 5, 'Zeichen übrig');
INSERT INTO `lang_definitions` VALUES (17373, 1486, 5, 'Berechnen');
INSERT INTO `lang_definitions` VALUES (17374, 1487, 5, 'Rechnungsanpassung');
INSERT INTO `lang_definitions` VALUES (17375, 1488, 5, 'Honorar Code');
INSERT INTO `lang_definitions` VALUES (17376, 1489, 5, 'Honorar Total');
INSERT INTO `lang_definitions` VALUES (17377, 1490, 5, 'Kosten');
INSERT INTO `lang_definitions` VALUES (17378, 1491, 5, 'Diagramm');
INSERT INTO `lang_definitions` VALUES (17379, 1492, 5, 'Diagramm Aktivität');
INSERT INTO `lang_definitions` VALUES (17380, 1493, 5, 'Status IN/OUT Aktivitätsbericht');
INSERT INTO `lang_definitions` VALUES (17381, 1495, 5, 'Akten-ID-nummer');
INSERT INTO `lang_definitions` VALUES (17382, 1496, 5, 'Akten-ID-nummer');
INSERT INTO `lang_definitions` VALUES (17383, 1497, 5, 'Diagramm Label');
INSERT INTO `lang_definitions` VALUES (17384, 1498, 5, 'Akten Aktivitätsposition');
INSERT INTO `lang_definitions` VALUES (17385, 1499, 5, 'Akteneintrag');
INSERT INTO `lang_definitions` VALUES (17386, 1500, 5, 'Aktennummer');
INSERT INTO `lang_definitions` VALUES (17387, 1501, 5, 'Akte gezogen');
INSERT INTO `lang_definitions` VALUES (17388, 1502, 5, 'Akten Speicher positionen');
INSERT INTO `lang_definitions` VALUES (17389, 1504, 5, 'Akten Lokalisierung');
INSERT INTO `lang_definitions` VALUES (17390, 1505, 5, 'Akten Trk');
INSERT INTO `lang_definitions` VALUES (17391, 1508, 5, 'Akten ausgesandt');
INSERT INTO `lang_definitions` VALUES (17392, 1509, 5, 'Akten weg');
INSERT INTO `lang_definitions` VALUES (17393, 1510, 5, 'Chat');
INSERT INTO `lang_definitions` VALUES (17394, 1511, 5, 'Chatverlauf');
INSERT INTO `lang_definitions` VALUES (17395, 1512, 5, 'Tschetschenisch');
INSERT INTO `lang_definitions` VALUES (17396, 1513, 5, 'Prüfung');
INSERT INTO `lang_definitions` VALUES (17397, 1514, 5, 'prüfen');
INSERT INTO `lang_definitions` VALUES (17398, 1515, 5, 'Alles prüfen');
INSERT INTO `lang_definitions` VALUES (17399, 1516, 5, 'Alles prüfen - Komponenten');
INSERT INTO `lang_definitions` VALUES (17400, 1517, 5, 'Kontroll Betrag');
INSERT INTO `lang_definitions` VALUES (17401, 1518, 5, 'Überprüfen Sie die Einstellungen im Standard-Release und passen Sie sie an');
INSERT INTO `lang_definitions` VALUES (17402, 1519, 5, 'Kontroll Datum');
INSERT INTO `lang_definitions` VALUES (17403, 1521, 5, 'Prüfe auf Differenzen mit benutzerdefinierten Sprachtabelle');
INSERT INTO `lang_definitions` VALUES (17404, 1522, 5, 'Überprüfen Sie, ob eine Hilfedatei für diese Seite in vorhanden ist');
INSERT INTO `lang_definitions` VALUES (17405, 1523, 5, 'Prüfen Sie, ob Sie vor Ort Postkarten drucken möchten');
INSERT INTO `lang_definitions` VALUES (17406, 1524, 5, 'Prüfen Sie, ob Sie beabsichtigen, Postkarten über MedEx zu versenden');
INSERT INTO `lang_definitions` VALUES (17407, 1525, 5, 'Überprüfen Sie, ob Sie Avery Labels für Erinnerungen oder Rückrufe verwenden möchten');
INSERT INTO `lang_definitions` VALUES (17408, 1526, 5, 'Check In');
INSERT INTO `lang_definitions` VALUES (17409, 1527, 5, 'Check In bei');
INSERT INTO `lang_definitions` VALUES (17410, 1528, 5, 'Eingaben Prüfen');
INSERT INTO `lang_definitions` VALUES (17411, 1529, 5, 'Überprüfen Sie die zu zeichnenden Elemente');
INSERT INTO `lang_definitions` VALUES (17412, 1530, 5, 'Laborbefund prüfen');
INSERT INTO `lang_definitions` VALUES (17413, 1531, 5, 'checkmarke bedeutet geprüft');
INSERT INTO `lang_definitions` VALUES (17414, 1532, 5, 'Kontroll Nr.');
INSERT INTO `lang_definitions` VALUES (17415, 1533, 5, 'Nummer Prüfen');
INSERT INTO `lang_definitions` VALUES (17416, 1534, 5, 'Check Out');
INSERT INTO `lang_definitions` VALUES (17417, 1535, 5, 'Check Out Zeit');
INSERT INTO `lang_definitions` VALUES (17418, 1536, 5, 'Scheckzahlung');
INSERT INTO `lang_definitions` VALUES (17419, 1537, 5, 'Box aktivieren, wenn Datei verschlüsselt');
INSERT INTO `lang_definitions` VALUES (17420, 1538, 5, 'Aktivieren Sie das Kontrollkästchen CPOE (Computerized Provider Order Entry)');
INSERT INTO `lang_definitions` VALUES (17421, 1539, 5, 'Aktivieren Sie das Kontrollkästchen phiMail Direct Messaging-Dienst aktivieren');
INSERT INTO `lang_definitions` VALUES (17422, 1540, 5, 'Überprüfen Sie die Sequenznummern');
INSERT INTO `lang_definitions` VALUES (17423, 1541, 5, 'Aktivieren, wenn Leistungserbringer alle Termine sehen sollen und nicht nur ihre eigenen');
INSERT INTO `lang_definitions` VALUES (17424, 1542, 5, 'Überprüfen Sie dies, um live zu gehen. Nicht markiert ist der Testmodus.');
INSERT INTO `lang_definitions` VALUES (17425, 1543, 5, 'aktivieren um problem von Diagnose zu machen');
INSERT INTO `lang_definitions` VALUES (17426, 1544, 5, 'Check/EOB Datum');
INSERT INTO `lang_definitions` VALUES (17427, 1545, 5, 'Check/EOB Datum:');
INSERT INTO `lang_definitions` VALUES (17428, 1546, 5, 'Check/EOB No.');
INSERT INTO `lang_definitions` VALUES (17429, 1547, 5, 'Check/EOB No.:');
INSERT INTO `lang_definitions` VALUES (17430, 1548, 5, 'Check/Ref. Nummer');
INSERT INTO `lang_definitions` VALUES (17431, 1549, 5, 'Check/Referenz Nummer');
INSERT INTO `lang_definitions` VALUES (17432, 1550, 5, 'Checkbox Liste');
INSERT INTO `lang_definitions` VALUES (17433, 1551, 5, 'checkbox Liste');
INSERT INTO `lang_definitions` VALUES (17434, 1552, 5, 'checkbox mit Text');
INSERT INTO `lang_definitions` VALUES (17435, 1553, 5, 'Checkbox mit Text');
INSERT INTO `lang_definitions` VALUES (17436, 1554, 5, 'Checkbox(en)');
INSERT INTO `lang_definitions` VALUES (17437, 1555, 5, 'Die obigen Kontrollkästchen geben an, ob Sie die HL7-Datei ablehnen und löschen möchten.');
INSERT INTO `lang_definitions` VALUES (17438, 1556, 5, 'Checkboxen mit  Text');
INSERT INTO `lang_definitions` VALUES (17439, 1557, 5, 'Angeklickt');
INSERT INTO `lang_definitions` VALUES (17440, 1558, 5, 'angeklickt');
INSERT INTO `lang_definitions` VALUES (17441, 1559, 5, 'Angeklickt = Ja, leer = Nein');
INSERT INTO `lang_definitions` VALUES (17442, 1560, 5, 'Angeklickt = Ja, leer = Nein');
INSERT INTO `lang_definitions` VALUES (17443, 1561, 5, 'Medikationsformular geprüft?');
INSERT INTO `lang_definitions` VALUES (17444, 1562, 5, 'Geprüft');
INSERT INTO `lang_definitions` VALUES (17445, 1563, 5, 'Geprüft');
INSERT INTO `lang_definitions` VALUES (17446, 1564, 5, 'Wenn Sie eines der Kontrollkästchen aktivieren, wird auf dem CMS 1500-Formular ein Ja angezeigt');
INSERT INTO `lang_definitions` VALUES (17447, 1565, 5, 'Durch Aktivieren des Kontrollkästchens Gruppen und Zugriffssteuerungen wird dieser Abschnitt angezeigt, in dem alle Kategorien mit Unterkategorien (ACOs) aufgelistet sind, d. H. Die Teile des Programms, die von den Zugriffssteuerungslistenberechtigungen gesteuert werden.');
INSERT INTO `lang_definitions` VALUES (17448, 1566, 5, 'Durch Aktivieren des Kontrollkästchens \"Sperren\" werden weitere Änderungen an Formularen in dieser Begegnung verhindert.');
INSERT INTO `lang_definitions` VALUES (17449, 1567, 5, 'Durch Aktivieren des Kontrollkästchens Postkarten können Sie eine Postkarte drucken, die an einen Patienten gesendet werden kann');
INSERT INTO `lang_definitions` VALUES (17450, 1568, 5, 'Abmeldung');
INSERT INTO `lang_definitions` VALUES (17451, 1569, 5, 'Kontrollsumme');
INSERT INTO `lang_definitions` VALUES (17452, 1570, 5, 'Brust');
INSERT INTO `lang_definitions` VALUES (17453, 1571, 5, 'Thorax CTAB');
INSERT INTO `lang_definitions` VALUES (17454, 1572, 5, 'Thoraxbeschwerden');
INSERT INTO `lang_definitions` VALUES (17455, 1573, 5, 'Thoraxbeschwerden:');
INSERT INTO `lang_definitions` VALUES (17456, 1574, 5, 'Thoraxschmerz');
INSERT INTO `lang_definitions` VALUES (17457, 1575, 5, 'Brustarzt');
INSERT INTO `lang_definitions` VALUES (17458, 1576, 5, 'Chg');
INSERT INTO `lang_definitions` VALUES (17459, 1577, 5, 'Chichewa- Chewa-Nyanja');
INSERT INTO `lang_definitions` VALUES (17460, 1578, 5, 'Hauptbeschwerde');
INSERT INTO `lang_definitions` VALUES (17461, 1579, 5, 'Hauptbeschwerde 2');
INSERT INTO `lang_definitions` VALUES (17462, 1580, 5, 'Hauptbeschwerde 3');
INSERT INTO `lang_definitions` VALUES (17463, 1581, 5, 'Kind');
INSERT INTO `lang_definitions` VALUES (17464, 1582, 5, 'Stiefkind');
INSERT INTO `lang_definitions` VALUES (17465, 1583, 5, 'Kindheit Impfstatus');
INSERT INTO `lang_definitions` VALUES (17466, 1584, 5, 'Schüttelfrost');
INSERT INTO `lang_definitions` VALUES (17467, 1585, 5, 'Chinesisch');
INSERT INTO `lang_definitions` VALUES (17468, 1586, 5, 'Chinesisch (vereinfacht)');
INSERT INTO `lang_definitions` VALUES (17469, 1587, 5, 'Chinesisch (traditionel)');
INSERT INTO `lang_definitions` VALUES (17470, 1588, 5, 'Chiropraktisch');
INSERT INTO `lang_definitions` VALUES (17471, 1589, 5, 'Optionen');
INSERT INTO `lang_definitions` VALUES (17472, 1590, 5, 'Cholecystektomie');
INSERT INTO `lang_definitions` VALUES (17473, 1591, 5, 'Cholezystektomie');
INSERT INTO `lang_definitions` VALUES (17474, 1592, 5, 'Cholecystektomie');
INSERT INTO `lang_definitions` VALUES (17475, 1593, 5, 'Auswählen');
INSERT INTO `lang_definitions` VALUES (17476, 1594, 5, 'auswählen');
INSERT INTO `lang_definitions` VALUES (17477, 1595, 5, 'Einen Datumbereich auswählen (JJJJ-MM-DD)');
INSERT INTO `lang_definitions` VALUES (17478, 1596, 5, 'klicke einen Artikel in einer Sektion, dann werden die korrespondierende artikel in der anderen Sektion markiert. Durch anklicken dieser Artikel kann man die Beziehung bestättigen oder aufheben.');
INSERT INTO `lang_definitions` VALUES (17479, 1597, 5, 'Kriterium auswählen');
INSERT INTO `lang_definitions` VALUES (17480, 1598, 5, 'CSV Tabelle auswählen');
INSERT INTO `lang_definitions` VALUES (17481, 1599, 5, 'Download oder anzeigen auswählen');
INSERT INTO `lang_definitions` VALUES (17482, 1600, 5, 'Wählen Sie entweder den aktuellen Anbieter oder den aktuell angemeldeten Anbieter');
INSERT INTO `lang_definitions` VALUES (17483, 1602, 5, 'Datei wählen');
INSERT INTO `lang_definitions` VALUES (17484, 1603, 5, 'Von Liste wählen');
INSERT INTO `lang_definitions` VALUES (17485, 1604, 5, 'Wählen Sie Layoutrichtung');
INSERT INTO `lang_definitions` VALUES (17486, 1605, 5, 'Auswahlliste');
INSERT INTO `lang_definitions` VALUES (17487, 1606, 5, 'Wählen Sie gegebenenfalls eine aus');
INSERT INTO `lang_definitions` VALUES (17488, 1607, 5, 'Wählen Sie einen der vier Rückgabewerte aus, die unterschiedliche Berechtigungsgrade widerspiegeln.');
INSERT INTO `lang_definitions` VALUES (17489, 1608, 5, 'Papiergrösse auswählen');
INSERT INTO `lang_definitions` VALUES (17490, 1609, 5, 'Klient auswählen');
INSERT INTO `lang_definitions` VALUES (17491, 1610, 5, 'PDF - Spracheinstellungen auswählen');
INSERT INTO `lang_definitions` VALUES (17492, 1611, 5, 'Druckvormat für Besuch-Bericht wählen');
INSERT INTO `lang_definitions` VALUES (17493, 1612, 5, 'Wählen Sie das Layout (müssen Sie sich abmelden und dann anmelden, um diese neue Einstellung zu sehen).');
INSERT INTO `lang_definitions` VALUES (17494, 1613, 5, 'Wählen Sie Ihre Standardansicht für Begegnungen');
INSERT INTO `lang_definitions` VALUES (17495, 1614, 5, 'Chrome-Browser ab Version 41, Mozilla Firefox-Browser ab Version 64, Microsoft Edge-Browser ab Version 19, Safari-Browser ab Version 13, Opera-Browser ab Version 40 und Opera-Browser ab Version 42 unterstützen die FIDO U2F-API');
INSERT INTO `lang_definitions` VALUES (17496, 1615, 5, 'Chronische Bronchitis');
INSERT INTO `lang_definitions` VALUES (17497, 1616, 5, 'Chronische Gelenkbeschwerden');
INSERT INTO `lang_definitions` VALUES (17498, 1617, 5, 'Chronische Nierenerkrankung');
INSERT INTO `lang_definitions` VALUES (17499, 1618, 5, 'Chronische oder inaktive Probleme');
INSERT INTO `lang_definitions` VALUES (17500, 1619, 5, 'Chronische Probleme');
INSERT INTO `lang_definitions` VALUES (17501, 1620, 5, 'Chronische Synovitis / Gelenkschmerzen');
INSERT INTO `lang_definitions` VALUES (17502, 1621, 5, 'Chronische/Inaktive Probleme');
INSERT INTO `lang_definitions` VALUES (17503, 1622, 5, 'Chronisch/Wiederkehrend');
INSERT INTO `lang_definitions` VALUES (17504, 1623, 5, 'Tschuwaschisch');
INSERT INTO `lang_definitions` VALUES (17505, 1624, 5, 'Cigs');
INSERT INTO `lang_definitions` VALUES (17506, 1625, 5, 'Leberzirrhose');
INSERT INTO `lang_definitions` VALUES (17507, 1626, 5, 'Leberzirrhose');
INSERT INTO `lang_definitions` VALUES (17508, 1627, 5, 'Stadt');
INSERT INTO `lang_definitions` VALUES (17509, 1629, 5, 'Stadt');
INSERT INTO `lang_definitions` VALUES (17510, 1630, 5, 'Stadt, Region');
INSERT INTO `lang_definitions` VALUES (17511, 1631, 5, 'Stadt, Region, PLZ');
INSERT INTO `lang_definitions` VALUES (17512, 1632, 5, 'Stadt, Region, PLZ');
INSERT INTO `lang_definitions` VALUES (17513, 1633, 5, 'Stadt/Region');
INSERT INTO `lang_definitions` VALUES (17514, 1634, 5, 'Antrag');
INSERT INTO `lang_definitions` VALUES (17515, 1635, 5, 'Antrag');
INSERT INTO `lang_definitions` VALUES (17516, 1636, 5, 'Antrag bearbeiten');
INSERT INTO `lang_definitions` VALUES (17517, 1637, 5, 'Antrag Status');
INSERT INTO `lang_definitions` VALUES (17518, 1638, 5, 'Antrag-Test komplett durchgeführt');
INSERT INTO `lang_definitions` VALUES (17519, 1639, 5, 'Antrag Art');
INSERT INTO `lang_definitions` VALUES (17520, 1640, 5, 'Antrag in Datei geschrieben');
INSERT INTO `lang_definitions` VALUES (17521, 1641, 5, 'Antrag in Datei geschrieben');
INSERT INTO `lang_definitions` VALUES (17522, 1642, 5, 'Anträge');
INSERT INTO `lang_definitions` VALUES (17523, 1645, 5, 'Einstufung');
INSERT INTO `lang_definitions` VALUES (17524, 1646, 5, 'Löschen');
INSERT INTO `lang_definitions` VALUES (17525, 1647, 5, 'löschen');
INSERT INTO `lang_definitions` VALUES (17526, 1648, 5, '2FA löschen');
INSERT INTO `lang_definitions` VALUES (17527, 1649, 5, 'LÖSCHE AKTIVEN PATIENT');
INSERT INTO `lang_definitions` VALUES (17528, 1650, 5, 'LÖSCHE AKTIVE THERAPIE GRUPPE');
INSERT INTO `lang_definitions` VALUES (17529, 1651, 5, 'Alles löschen');
INSERT INTO `lang_definitions` VALUES (17530, 1654, 5, 'Lösche HL7 Daten');
INSERT INTO `lang_definitions` VALUES (17531, 1655, 5, 'Lösche Begründung');
INSERT INTO `lang_definitions` VALUES (17532, 1659, 5, 'Lösche Smarty Cache');
INSERT INTO `lang_definitions` VALUES (17533, 1661, 5, 'Clearinghouse info nötig für EDI 270 Batchherstellung');
INSERT INTO `lang_definitions` VALUES (17534, 1662, 5, 'CLIA-Nummer');
INSERT INTO `lang_definitions` VALUES (17535, 1663, 5, 'Klick');
INSERT INTO `lang_definitions` VALUES (17536, 1664, 5, '\"export\" anklicken um deine Kategorie, Unterkategorie, Artikel, Inhaltsdaten in eine Textdatei zu exportieren.');
INSERT INTO `lang_definitions` VALUES (17537, 1667, 5, 'Klicke einen Punkt auf der Grafik um einen neue Anmerkung hinzuzufügen, klicke nochmal, um ihn zu entfernen');
INSERT INTO `lang_definitions` VALUES (17538, 1671, 5, 'Klicke Zertifikat herunterladen, um die Zertifikate als ZIP-Datei herunterzuladen');
INSERT INTO `lang_definitions` VALUES (17539, 1672, 5, 'Klick für weiter');
INSERT INTO `lang_definitions` VALUES (17540, 1673, 5, 'Klick für weitere Details');
INSERT INTO `lang_definitions` VALUES (17541, 1674, 5, 'Klick für Bestellübersicht');
INSERT INTO `lang_definitions` VALUES (17542, 1675, 5, 'Klick für Ergebnisse');
INSERT INTO `lang_definitions` VALUES (17543, 1678, 5, 'Hier klicken');
INSERT INTO `lang_definitions` VALUES (17544, 1679, 5, 'Hier klicken um neuen Klienten anzulegen');
INSERT INTO `lang_definitions` VALUES (17545, 1680, 5, 'Hier klicken um Unfallstatusveränderungen einzufügen und bearbeite tgl. Aktivität');
INSERT INTO `lang_definitions` VALUES (17546, 1682, 5, 'Hier klicken, um ein Datum zu wählen');
INSERT INTO `lang_definitions` VALUES (17547, 1683, 5, 'Hier klicken, um Datum und Zeit zu wählen');
INSERT INTO `lang_definitions` VALUES (17548, 1684, 5, 'Hier klicken, um Startzeit zu wählen');
INSERT INTO `lang_definitions` VALUES (17549, 1707, 5, 'Hier klicken, um zu suchen');
INSERT INTO `lang_definitions` VALUES (17550, 1710, 5, 'Hier klicken, um Priorität, Kategorie und Nickname zu aktualisieren');
INSERT INTO `lang_definitions` VALUES (17551, 1714, 5, 'Hier klicken, um alles zu sehen');
INSERT INTO `lang_definitions` VALUES (17552, 1715, 5, 'Hier klicken, um Graphen zu zeigen');
INSERT INTO `lang_definitions` VALUES (17553, 1717, 5, 'Hier klicken, um alle Vitalwerte anzuzeigen.');
INSERT INTO `lang_definitions` VALUES (17554, 1718, 5, 'Hier klicken, um Patientendetails zu sehen');
INSERT INTO `lang_definitions` VALUES (17555, 1719, 5, 'Hier klicken, um alle zu sehen.');
INSERT INTO `lang_definitions` VALUES (17556, 1720, 5, 'Hier klicken um weitere Details anzuzeigen/ändern');
INSERT INTO `lang_definitions` VALUES (17557, 1723, 5, 'Installieren-Schaltfläche klicken, um Datenbank-Release vom folgenden Datum zu installieren');
INSERT INTO `lang_definitions` VALUES (17558, 1730, 5, 'Klicken auf jeweiligen Zeitabschnitt um es zu erhöhen');
INSERT INTO `lang_definitions` VALUES (17559, 1751, 5, 'Patienten-Name anklicken, um Patientenakte zu öffnen');
INSERT INTO `lang_definitions` VALUES (17560, 1753, 5, 'Auf Aktualisieren klicken, um alle Ergebnisse zu sehen; oder oben Suchkriterium eingeben, um Ergebnisse einzuschränken');
INSERT INTO `lang_definitions` VALUES (17561, 1777, 5, 'Klicken, um eine Diagnose hinzuzufügen');
INSERT INTO `lang_definitions` VALUES (17562, 1779, 5, 'Klicken, um neue Komponenten hinzuzufügen');
INSERT INTO `lang_definitions` VALUES (17563, 1780, 5, 'Klicken, um neue Konsultationen hinzuzufügen');
INSERT INTO `lang_definitions` VALUES (17564, 1785, 5, 'Klicken zum Download');
INSERT INTO `lang_definitions` VALUES (17565, 1786, 5, 'Klicken zum Bearbeiten');
INSERT INTO `lang_definitions` VALUES (17566, 1787, 5, 'Klicken, um Beschreibung zu ändern');
INSERT INTO `lang_definitions` VALUES (17567, 1788, 5, 'Klicken, um Ereignis zu editieren');
INSERT INTO `lang_definitions` VALUES (17568, 1790, 5, 'Klicken, um Bericht zu generieren');
INSERT INTO `lang_definitions` VALUES (17569, 1800, 5, 'Klicken, um zu Drucken');
INSERT INTO `lang_definitions` VALUES (17570, 1801, 5, 'Klicken, um neues Los hinzuzufügen');
INSERT INTO `lang_definitions` VALUES (17571, 1805, 5, 'Klicken zum selektieren');
INSERT INTO `lang_definitions` VALUES (17572, 1806, 5, 'Klicken zum Selektieren');
INSERT INTO `lang_definitions` VALUES (17573, 1808, 5, 'Klicken, um einen Industrie-Standard Code hinzuzufügen für diesen Vorgang');
INSERT INTO `lang_definitions` VALUES (17574, 1811, 5, 'Klicken, um optionalen Vorgangs-Code auszuwählen');
INSERT INTO `lang_definitions` VALUES (17575, 1813, 5, 'Klicken, um CVX-Code auszuwählen oder zu ändern');
INSERT INTO `lang_definitions` VALUES (17576, 1814, 5, 'Klicken, um Diagnose zu selektieren/ändern');
INSERT INTO `lang_definitions` VALUES (17577, 1815, 5, 'Klicken, um Service-Codes auszuwählen oder zu ündern');
INSERT INTO `lang_definitions` VALUES (17578, 1816, 5, 'Klicken, um Patient auszuwählen');
INSERT INTO `lang_definitions` VALUES (17579, 1817, 5, 'Klicken, um zugehörigen Code auszuwählen');
INSERT INTO `lang_definitions` VALUES (17580, 1819, 5, 'Klicken, um Leistungen auszuwählen im Falle eines auffälligen Befundes');
INSERT INTO `lang_definitions` VALUES (17581, 1822, 5, 'Klicken, um die gewünschte Behandlung auszuwählen');
INSERT INTO `lang_definitions` VALUES (17582, 1829, 5, 'Klicken, um zu sortieren');
INSERT INTO `lang_definitions` VALUES (17583, 1831, 5, 'Klicken zum Betrachten');
INSERT INTO `lang_definitions` VALUES (17584, 1833, 5, 'Klicken zum Betrachten oder Bearbeiten');
INSERT INTO `lang_definitions` VALUES (17585, 1834, 5, 'Klicken zum Betrachten/Bearbeiten');
INSERT INTO `lang_definitions` VALUES (17586, 1836, 5, 'Auf Upgrade klicken, um Datenbank-Release des folgenden Datums einzuspielen');
INSERT INTO `lang_definitions` VALUES (17587, 1839, 5, 'Klicken:');
INSERT INTO `lang_definitions` VALUES (17588, 1862, 5, 'Gültigkeit des Client-Zertifikats');
INSERT INTO `lang_definitions` VALUES (17589, 1864, 5, 'Validierungszeitraum des Client-Zertifikats');
INSERT INTO `lang_definitions` VALUES (17590, 1865, 5, 'Validität des Client-Zertifikats muss eine Zahl sein.');
INSERT INTO `lang_definitions` VALUES (17591, 1866, 5, 'Klientenkopie');
INSERT INTO `lang_definitions` VALUES (17592, 1869, 5, 'Zusammenfassung der Anamnese');
INSERT INTO `lang_definitions` VALUES (17593, 1870, 5, 'Klient Name');
INSERT INTO `lang_definitions` VALUES (17594, 1872, 5, 'Klient Nummer');
INSERT INTO `lang_definitions` VALUES (17595, 1873, 5, 'Klienten Profil - neuer Klient');
INSERT INTO `lang_definitions` VALUES (17596, 1874, 5, 'Klienten Profil - spezifischer Klient');
INSERT INTO `lang_definitions` VALUES (17597, 1878, 5, 'Klienten');
INSERT INTO `lang_definitions` VALUES (17598, 1879, 5, 'Klinik');
INSERT INTO `lang_definitions` VALUES (17599, 1880, 5, 'Klinik Kopie');
INSERT INTO `lang_definitions` VALUES (17600, 1881, 5, 'Täglicher Klinik-Bericht');
INSERT INTO `lang_definitions` VALUES (17601, 1882, 5, 'Klinik-ID');
INSERT INTO `lang_definitions` VALUES (17602, 1883, 5, 'Klinisch');
INSERT INTO `lang_definitions` VALUES (17603, 1884, 5, 'Klinische Entscheidungs-Regel Alarm-Manager');
INSERT INTO `lang_definitions` VALUES (17604, 1886, 5, 'Klinischer Verlauf');
INSERT INTO `lang_definitions` VALUES (17605, 1889, 5, 'klinische Pläne');
INSERT INTO `lang_definitions` VALUES (17606, 1890, 5, 'Klinische Qualitätskriterien (CQM)');
INSERT INTO `lang_definitions` VALUES (17607, 1893, 5, 'Klinische Erinnerungen');
INSERT INTO `lang_definitions` VALUES (17608, 1897, 5, 'Klinische Berichte');
INSERT INTO `lang_definitions` VALUES (17609, 1898, 5, 'Klinische Regeln Aktionskategorie');
INSERT INTO `lang_definitions` VALUES (17610, 1899, 5, 'Klinische Regeln Einzelaktion');
INSERT INTO `lang_definitions` VALUES (17611, 1900, 5, 'Klinische Regeln Filtermethoden');
INSERT INTO `lang_definitions` VALUES (17612, 1901, 5, 'Klinische Regeln Zielmethoden');
INSERT INTO `lang_definitions` VALUES (17613, 1902, 5, 'Klinische Regeln');
INSERT INTO `lang_definitions` VALUES (17614, 1903, 5, 'Klinische Regeln Altersintervalle');
INSERT INTO `lang_definitions` VALUES (17615, 1904, 5, 'Klinische Regeln Vergleiche');
INSERT INTO `lang_definitions` VALUES (17616, 1905, 5, 'Klinische Regeln Besuchs-Typen');
INSERT INTO `lang_definitions` VALUES (17617, 1906, 5, 'Klinische Regeln Erinnerungs-Optionen');
INSERT INTO `lang_definitions` VALUES (17618, 1907, 5, 'Klinische Regeln Erinnerungs-Deaktivierungsoptionen');
INSERT INTO `lang_definitions` VALUES (17619, 1908, 5, 'Klinische Regeln Erinnerungsintervalle');
INSERT INTO `lang_definitions` VALUES (17620, 1909, 5, 'Klinische Regeln Erinnerungsmethoden');
INSERT INTO `lang_definitions` VALUES (17621, 1910, 5, 'Klinische Regeln Zielintervalle');
INSERT INTO `lang_definitions` VALUES (17622, 1911, 5, 'Klinische Zielwerte');
INSERT INTO `lang_definitions` VALUES (17623, 1912, 5, 'Klinische Bedingung');
INSERT INTO `lang_definitions` VALUES (17624, 1913, 5, 'Klinische Bedingung Code(s)');
INSERT INTO `lang_definitions` VALUES (17625, 1915, 5, 'Kliniker');
INSERT INTO `lang_definitions` VALUES (17626, 1916, 5, 'Kopieren');
INSERT INTO `lang_definitions` VALUES (17627, 1917, 5, 'Kopiere lezte Konsultation');
INSERT INTO `lang_definitions` VALUES (17628, 1918, 5, 'Schließen');
INSERT INTO `lang_definitions` VALUES (17629, 1925, 5, 'Fenster schließen');
INSERT INTO `lang_definitions` VALUES (17630, 1927, 5, 'Geschlossen');
INSERT INTO `lang_definitions` VALUES (17631, 1928, 5, 'cm');
INSERT INTO `lang_definitions` VALUES (17632, 1931, 5, 'CMS 1500 kantlijn');
INSERT INTO `lang_definitions` VALUES (17633, 1940, 5, 'CMS-ID');
INSERT INTO `lang_definitions` VALUES (17634, 1955, 5, 'CN2-12 intact');
INSERT INTO `lang_definitions` VALUES (17635, 1958, 5, 'Zuzahlung');
INSERT INTO `lang_definitions` VALUES (17636, 1959, 5, 'Zuzahlung bezahlt');
INSERT INTO `lang_definitions` VALUES (17637, 1962, 5, 'Zuzahlung');
INSERT INTO `lang_definitions` VALUES (17638, 1964, 5, 'Code');
INSERT INTO `lang_definitions` VALUES (17639, 1965, 5, 'code');
INSERT INTO `lang_definitions` VALUES (17640, 1967, 5, 'Code Finder');
INSERT INTO `lang_definitions` VALUES (17641, 1968, 5, 'Code muss 2 buchstaben kleingeschrieben sein');
INSERT INTO `lang_definitions` VALUES (17642, 1969, 5, 'Code oder Symbol für die Währung');
INSERT INTO `lang_definitions` VALUES (17643, 1971, 5, 'Code Text');
INSERT INTO `lang_definitions` VALUES (17644, 1973, 5, 'Code Typ');
INSERT INTO `lang_definitions` VALUES (17645, 1976, 5, 'Code Typen');
INSERT INTO `lang_definitions` VALUES (17646, 1977, 5, 'Code(s)');
INSERT INTO `lang_definitions` VALUES (17647, 1978, 5, 'Codiert');
INSERT INTO `lang_definitions` VALUES (17648, 1979, 5, 'Code');
INSERT INTO `lang_definitions` VALUES (17649, 1981, 5, 'Schlüssel');
INSERT INTO `lang_definitions` VALUES (17650, 1983, 5, 'Kodieren-beliebige Erreignisse');
INSERT INTO `lang_definitions` VALUES (17651, 1985, 5, 'Kodieren-meine Erreignise');
INSERT INTO `lang_definitions` VALUES (17652, 1990, 5, 'nicht autorisierter Kode');
INSERT INTO `lang_definitions` VALUES (17653, 1991, 5, 'Kaffee');
INSERT INTO `lang_definitions` VALUES (17654, 1994, 5, 'Mitversicherung');
INSERT INTO `lang_definitions` VALUES (17655, 1995, 5, 'Coll w/o');
INSERT INTO `lang_definitions` VALUES (17656, 1997, 5, 'Ausblenden');
INSERT INTO `lang_definitions` VALUES (17657, 1998, 5, 'ausblenden');
INSERT INTO `lang_definitions` VALUES (17658, 1999, 5, 'Alle Ausblenden');
INSERT INTO `lang_definitions` VALUES (17659, 2000, 5, 'Alle ausblenden');
INSERT INTO `lang_definitions` VALUES (17660, 2001, 5, 'alle ausblenden');
INSERT INTO `lang_definitions` VALUES (17661, 2005, 5, 'Erfassung Datum');
INSERT INTO `lang_definitions` VALUES (17662, 2007, 5, 'Bestände');
INSERT INTO `lang_definitions` VALUES (17663, 2008, 5, 'Bestandsbericht');
INSERT INTO `lang_definitions` VALUES (17664, 2009, 5, 'Kolon-Carcinom');
INSERT INTO `lang_definitions` VALUES (17665, 2010, 5, 'Kolon-Carcinom Screening');
INSERT INTO `lang_definitions` VALUES (17666, 2011, 5, 'Kolon-Caricinom-Chirurgie');
INSERT INTO `lang_definitions` VALUES (17667, 2012, 5, 'Koloskopie');
INSERT INTO `lang_definitions` VALUES (17668, 2013, 5, 'Koloskopie');
INSERT INTO `lang_definitions` VALUES (17669, 2014, 5, 'Farbe');
INSERT INTO `lang_definitions` VALUES (17670, 2020, 5, 'Farbe:Abbr');
INSERT INTO `lang_definitions` VALUES (17671, 2021, 5, 'Spalte');
INSERT INTO `lang_definitions` VALUES (17672, 2022, 5, 'Spalten');
INSERT INTO `lang_definitions` VALUES (17673, 2024, 5, 'kombinierbare positionen');
INSERT INTO `lang_definitions` VALUES (17674, 2025, 5, 'Komma');
INSERT INTO `lang_definitions` VALUES (17675, 2027, 5, 'Kommentar');
INSERT INTO `lang_definitions` VALUES (17676, 2028, 5, 'Kommentare');
INSERT INTO `lang_definitions` VALUES (17677, 2030, 5, 'Kommentare / Empfehlungen zu diesem Ergebnis');
INSERT INTO `lang_definitions` VALUES (17678, 2031, 5, 'private Versicherungsanstalt');
INSERT INTO `lang_definitions` VALUES (17679, 2032, 5, 'Änderungen eintragen');
INSERT INTO `lang_definitions` VALUES (17680, 2036, 5, 'Kommunikationen');
INSERT INTO `lang_definitions` VALUES (17681, 2039, 5, 'Firma');
INSERT INTO `lang_definitions` VALUES (17682, 2040, 5, 'Firmenname');
INSERT INTO `lang_definitions` VALUES (17683, 2041, 5, 'Fertig');
INSERT INTO `lang_definitions` VALUES (17684, 2043, 5, 'Fertiggestellt');
INSERT INTO `lang_definitions` VALUES (17685, 2046, 5, 'Fertig?');
INSERT INTO `lang_definitions` VALUES (17686, 2049, 5, 'Komplikationen durch Leistungserbringer');
INSERT INTO `lang_definitions` VALUES (17687, 2050, 5, 'Komplikationen durch Abort');
INSERT INTO `lang_definitions` VALUES (17688, 2051, 5, 'Komponenten');
INSERT INTO `lang_definitions` VALUES (17689, 2057, 5, 'Computergestütztes medizinisches Bestellsystem');
INSERT INTO `lang_definitions` VALUES (17690, 2058, 5, 'Schlußfolgerungen');
INSERT INTO `lang_definitions` VALUES (17691, 2064, 5, 'Konfiguration');
INSERT INTO `lang_definitions` VALUES (17692, 2065, 5, 'Export/Import konfigurieren');
INSERT INTO `lang_definitions` VALUES (17693, 2067, 5, 'Apache und OpenEMR konfigurieren, um clientseitige SSL-Zertifikate zu verwenden');
INSERT INTO `lang_definitions` VALUES (17694, 2068, 5, 'Apache konfigurieren, um clientseitige SSL-Zertifikate zu verwenden');
INSERT INTO `lang_definitions` VALUES (17695, 2069, 5, 'Apache konfigurieren, um HTTPS zu verwenden');
INSERT INTO `lang_definitions` VALUES (17696, 2070, 5, 'OpenEMR konfigurieren, um clientseitige SSL-Zertifikate zu verwenden');
INSERT INTO `lang_definitions` VALUES (17697, 2079, 5, 'Neuen Patient jetzt anlegen');
INSERT INTO `lang_definitions` VALUES (17698, 2081, 5, 'Bestätige neues Passwort');
INSERT INTO `lang_definitions` VALUES (17699, 2083, 5, 'Bestätige Zahlung');
INSERT INTO `lang_definitions` VALUES (17700, 2092, 5, 'kongenital');
INSERT INTO `lang_definitions` VALUES (17701, 2094, 5, 'Konjunktiva, Pupillen');
INSERT INTO `lang_definitions` VALUES (17702, 2097, 5, 'Konnektoren');
INSERT INTO `lang_definitions` VALUES (17703, 2098, 5, 'Konstante');
INSERT INTO `lang_definitions` VALUES (17704, 2100, 5, 'Konstantenname');
INSERT INTO `lang_definitions` VALUES (17705, 2101, 5, 'Konstantenname ist leer');
INSERT INTO `lang_definitions` VALUES (17706, 2102, 5, 'Konstanten');
INSERT INTO `lang_definitions` VALUES (17707, 2103, 5, 'Obstipation');
INSERT INTO `lang_definitions` VALUES (17708, 2104, 5, 'Konstitutionell');
INSERT INTO `lang_definitions` VALUES (17709, 2107, 5, 'Kurzbeschreibung der Konsultation');
INSERT INTO `lang_definitions` VALUES (17710, 2109, 5, 'Kontakt');
INSERT INTO `lang_definitions` VALUES (17711, 2110, 5, 'Email-Kontakt');
INSERT INTO `lang_definitions` VALUES (17712, 2111, 5, 'Email-Kontaktadresse');
INSERT INTO `lang_definitions` VALUES (17713, 2112, 5, 'Kontaktiere EMR Direct um phiMail Direct messaging zu abonieren');
INSERT INTO `lang_definitions` VALUES (17714, 2113, 5, 'Kontaktinformation');
INSERT INTO `lang_definitions` VALUES (17715, 2117, 5, 'Kontaktlinsen');
INSERT INTO `lang_definitions` VALUES (17716, 2118, 5, 'Kontaktiere EDV Abteilung für Laboranbindung');
INSERT INTO `lang_definitions` VALUES (17717, 2119, 5, 'Kontaktiere EDV Abteilung');
INSERT INTO `lang_definitions` VALUES (17718, 2122, 5, 'Kontaktname');
INSERT INTO `lang_definitions` VALUES (17719, 2125, 5, 'Kontaktperson');
INSERT INTO `lang_definitions` VALUES (17720, 2127, 5, 'Kontakttelefonnummer');
INSERT INTO `lang_definitions` VALUES (17721, 2129, 5, 'Kontaktiere ZMG, LLC (zmghealth@gmail.com), um Dich für den eRx-Service zu registrieren');
INSERT INTO `lang_definitions` VALUES (17722, 2131, 5, 'enthalten mindestens drei der vier folgenden Dinge:');
INSERT INTO `lang_definitions` VALUES (17723, 2132, 5, 'Kontainer Gruppenname');
INSERT INTO `lang_definitions` VALUES (17724, 2133, 5, 'Inhalt');
INSERT INTO `lang_definitions` VALUES (17725, 2134, 5, 'Inhalt');
INSERT INTO `lang_definitions` VALUES (17726, 2136, 5, 'Kontext');
INSERT INTO `lang_definitions` VALUES (17727, 2137, 5, 'Kontext-Name darf nicht leer sein');
INSERT INTO `lang_definitions` VALUES (17728, 2138, 5, 'Weiter');
INSERT INTO `lang_definitions` VALUES (17729, 2142, 5, 'Continuity of Care Document (CCD)');
INSERT INTO `lang_definitions` VALUES (17730, 2145, 5, 'Continuity of Care Record (CCR)');
INSERT INTO `lang_definitions` VALUES (17731, 2146, 5, 'Kontra Klienten');
INSERT INTO `lang_definitions` VALUES (17732, 2147, 5, 'Empfängnisverhütung');
INSERT INTO `lang_definitions` VALUES (17733, 2148, 5, 'Probleme mit Empfängnisverhütung');
INSERT INTO `lang_definitions` VALUES (17734, 2149, 5, 'Probleme mit Empfängnisverhütung (spezifiziert)');
INSERT INTO `lang_definitions` VALUES (17735, 2150, 5, 'Verhütungsmethode');
INSERT INTO `lang_definitions` VALUES (17736, 2151, 5, 'Verhütungsmittel');
INSERT INTO `lang_definitions` VALUES (17737, 2152, 5, 'Verhütungsmassnahme bereits eingesetzt');
INSERT INTO `lang_definitions` VALUES (17738, 2153, 5, 'Beginn Verhütung');
INSERT INTO `lang_definitions` VALUES (17739, 2158, 5, 'Kontroll ID');
INSERT INTO `lang_definitions` VALUES (17740, 2159, 5, 'Kontroll Nr.');
INSERT INTO `lang_definitions` VALUES (17741, 2168, 5, 'Zuzahlung');
INSERT INTO `lang_definitions` VALUES (17742, 2169, 5, 'Zuzahlung');
INSERT INTO `lang_definitions` VALUES (17743, 2170, 5, 'Zuzahlung');
INSERT INTO `lang_definitions` VALUES (17744, 2171, 5, 'Zuzahlung nicht möglich');
INSERT INTO `lang_definitions` VALUES (17745, 2173, 5, 'Zuzahlungen');
INSERT INTO `lang_definitions` VALUES (17746, 2174, 5, 'COPD');
INSERT INTO `lang_definitions` VALUES (17747, 2175, 5, 'Seiten zum Patienten-Diagramm kopieren');
INSERT INTO `lang_definitions` VALUES (17748, 2177, 5, 'Werte kopieren');
INSERT INTO `lang_definitions` VALUES (17749, 2178, 5, 'Kopiere die Datenbank. Dies wird eine Weile dauern...');
INSERT INTO `lang_definitions` VALUES (17750, 2179, 5, 'Lizenzbestimmungen');
INSERT INTO `lang_definitions` VALUES (17751, 2184, 5, 'Koronalarterieller Bypass');
INSERT INTO `lang_definitions` VALUES (17752, 2185, 5, 'Koronalarterieller Bypass Transplantat');
INSERT INTO `lang_definitions` VALUES (17753, 2186, 5, 'Korrigiert');
INSERT INTO `lang_definitions` VALUES (17754, 2188, 5, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (17755, 2189, 5, 'CouchDB-Verbindung fehlgeschlagen');
INSERT INTO `lang_definitions` VALUES (17756, 2191, 5, 'CouchDB-Datenbank');
INSERT INTO `lang_definitions` VALUES (17757, 2192, 5, 'CouchDB Datenbankname');
INSERT INTO `lang_definitions` VALUES (17758, 2195, 5, 'CouchDB Host');
INSERT INTO `lang_definitions` VALUES (17759, 2196, 5, 'CouchDB HostName');
INSERT INTO `lang_definitions` VALUES (17760, 2197, 5, 'CouchDB Log aktiviert');
INSERT INTO `lang_definitions` VALUES (17761, 2198, 5, 'CouchDB Passwort');
INSERT INTO `lang_definitions` VALUES (17762, 2199, 5, 'CouchDB Port');
INSERT INTO `lang_definitions` VALUES (17763, 2200, 5, 'CouchDB Port');
INSERT INTO `lang_definitions` VALUES (17764, 2203, 5, 'CouchDB Nutzername');
INSERT INTO `lang_definitions` VALUES (17765, 2204, 5, 'Husten');
INSERT INTO `lang_definitions` VALUES (17766, 2205, 5, 'Husten:');
INSERT INTO `lang_definitions` VALUES (17767, 2211, 5, 'Datei kann nicht gelesen werden');
INSERT INTO `lang_definitions` VALUES (17768, 2214, 5, 'Konnte E-Mail wegen Server-Problemen nicht senden,');
INSERT INTO `lang_definitions` VALUES (17769, 2216, 5, 'Konnte E-Mail wegen Server-Problemen nicht senden,');
INSERT INTO `lang_definitions` VALUES (17770, 2217, 5, 'Konnte Backup-Verzeichnis nicht erstellen');
INSERT INTO `lang_definitions` VALUES (17771, 2218, 5, 'Konnte Verzeichnis nicht löschen:');
INSERT INTO `lang_definitions` VALUES (17772, 2219, 5, 'Konnte alte Backup-Datei nicht löschen:');
INSERT INTO `lang_definitions` VALUES (17773, 2220, 5, 'Konnte alte Export-Datei nicht löschen');
INSERT INTO `lang_definitions` VALUES (17774, 2221, 5, 'INR-Kontrolle');
INSERT INTO `lang_definitions` VALUES (17775, 2222, 5, 'Beratung nach Methode');
INSERT INTO `lang_definitions` VALUES (17776, 2223, 5, 'Beratung');
INSERT INTO `lang_definitions` VALUES (17777, 2224, 5, 'Beratungsaktivitäten');
INSERT INTO `lang_definitions` VALUES (17778, 2227, 5, 'Rücküberweisung Form');
INSERT INTO `lang_definitions` VALUES (17779, 2228, 5, 'Rücküberweisung');
INSERT INTO `lang_definitions` VALUES (17780, 2229, 5, 'Land');
INSERT INTO `lang_definitions` VALUES (17781, 2231, 5, 'Länder Datentyp');
INSERT INTO `lang_definitions` VALUES (17782, 2232, 5, 'Länderliste');
INSERT INTO `lang_definitions` VALUES (17783, 2233, 5, 'Länderliste (schreiben, hinzufügen optional)');
INSERT INTO `lang_definitions` VALUES (17784, 2235, 5, 'Zweistelliger Ländercode (z.B. USA = US)');
INSERT INTO `lang_definitions` VALUES (17785, 2236, 5, 'Bezirk');
INSERT INTO `lang_definitions` VALUES (17786, 2238, 5, 'Coupon');
INSERT INTO `lang_definitions` VALUES (17787, 2245, 5, 'CPT');
INSERT INTO `lang_definitions` VALUES (17788, 2246, 5, 'CPT-Code');
INSERT INTO `lang_definitions` VALUES (17789, 2247, 5, 'CPT-Codes');
INSERT INTO `lang_definitions` VALUES (17790, 2248, 5, 'CPT4-Behandlung');
INSERT INTO `lang_definitions` VALUES (17791, 2249, 5, 'CPTII Performance Messung');
INSERT INTO `lang_definitions` VALUES (17792, 2250, 5, 'CQM');
INSERT INTO `lang_definitions` VALUES (17793, 2252, 5, 'Rasselgeräusch:');
INSERT INTO `lang_definitions` VALUES (17794, 2255, 5, 'Sahne');
INSERT INTO `lang_definitions` VALUES (17795, 2256, 5, 'Erstelle ein clientseitiges SSL-Zertifikat für jeden Benutzer oder jeden Client-Rechner');
INSERT INTO `lang_definitions` VALUES (17796, 2257, 5, 'Erstelle ein clientseitiges SSL-Zertifikat für entweder einen Benutzer oder einen Client-Hostname');
INSERT INTO `lang_definitions` VALUES (17797, 2269, 5, 'Ereignis erstellen');
INSERT INTO `lang_definitions` VALUES (17798, 2273, 5, 'Vollbackup erstellung und herunterladen');
INSERT INTO `lang_definitions` VALUES (17799, 2275, 5, 'Backup erstellen');
INSERT INTO `lang_definitions` VALUES (17800, 2276, 5, 'Stapel erstellen');
INSERT INTO `lang_definitions` VALUES (17801, 2277, 5, 'Client-Zertifikat erstellen');
INSERT INTO `lang_definitions` VALUES (17802, 2278, 5, 'Clientseitige SSL-Zertifikate erstellen');
INSERT INTO `lang_definitions` VALUES (17803, 2281, 5, 'Erzeuge Duplikat');
INSERT INTO `lang_definitions` VALUES (17804, 2283, 5, 'Erzeuge Ereignis-Log Backup');
INSERT INTO `lang_definitions` VALUES (17805, 2285, 5, 'Erzeuge neuen Fall');
INSERT INTO `lang_definitions` VALUES (17806, 2287, 5, 'Neuen Patienten anlegen');
INSERT INTO `lang_definitions` VALUES (17807, 2290, 5, 'Erstelle Zugangsdaten für Offsite-Patientenportal');
INSERT INTO `lang_definitions` VALUES (17808, 2292, 5, 'Erstelle Zugangsdaten für Onsite-Patientenportal');
INSERT INTO `lang_definitions` VALUES (17809, 2294, 5, 'Patientennotiz erstellen');
INSERT INTO `lang_definitions` VALUES (17810, 2296, 5, 'Erstelle SSL-Zertifikat-Authority und Server-Zertifikate');
INSERT INTO `lang_definitions` VALUES (17811, 2297, 5, 'Neue Konsultation');
INSERT INTO `lang_definitions` VALUES (17812, 2298, 5, 'Angelegt');
INSERT INTO `lang_definitions` VALUES (17813, 2306, 5, 'Datei exportieren');
INSERT INTO `lang_definitions` VALUES (17814, 2308, 5, 'Fehler beim erstellen dieser Datei auf dem Remote-Host');
INSERT INTO `lang_definitions` VALUES (17815, 2309, 5, 'Ersteller');
INSERT INTO `lang_definitions` VALUES (17816, 2311, 5, 'Kredit');
INSERT INTO `lang_definitions` VALUES (17817, 2312, 5, 'Kreditkarte');
INSERT INTO `lang_definitions` VALUES (17818, 2314, 5, 'Kredite');
INSERT INTO `lang_definitions` VALUES (17819, 2316, 5, 'Kriterium');
INSERT INTO `lang_definitions` VALUES (17820, 2319, 5, 'Morbus Crohn');
INSERT INTO `lang_definitions` VALUES (17821, 2320, 5, 'Morbus Crohn');
INSERT INTO `lang_definitions` VALUES (17822, 2323, 5, 'CSV Export');
INSERT INTO `lang_definitions` VALUES (17823, 2324, 5, 'CSV-Datei');
INSERT INTO `lang_definitions` VALUES (17824, 2325, 5, 'CSV-Tabelle');
INSERT INTO `lang_definitions` VALUES (17825, 2330, 5, 'CU MM');
INSERT INTO `lang_definitions` VALUES (17826, 2331, 5, 'Kubaner');
INSERT INTO `lang_definitions` VALUES (17827, 2333, 5, 'Aktuelle Währung Dezimalstellen');
INSERT INTO `lang_definitions` VALUES (17828, 2334, 5, 'Aktuelles Dezialpunkt Symbol');
INSERT INTO `lang_definitions` VALUES (17829, 2335, 5, 'Aktuelle Währung Kennung');
INSERT INTO `lang_definitions` VALUES (17830, 2336, 5, 'Aktueller Tausender-Trenner');
INSERT INTO `lang_definitions` VALUES (17831, 2337, 5, 'Aktuell');
INSERT INTO `lang_definitions` VALUES (17832, 2338, 5, 'Aktueller Alkoholkonsum');
INSERT INTO `lang_definitions` VALUES (17833, 2341, 5, 'Aktuelle Konsultation');
INSERT INTO `lang_definitions` VALUES (17834, 2342, 5, 'Aktuelles Kriterium');
INSERT INTO `lang_definitions` VALUES (17835, 2344, 5, 'Aktuelle Tag-Markierung Farbe');
INSERT INTO `lang_definitions` VALUES (17836, 2345, 5, 'Aktuell Raucher täglich');
INSERT INTO `lang_definitions` VALUES (17837, 2347, 5, 'Aktuelle Datei wurde geändert zu');
INSERT INTO `lang_definitions` VALUES (17838, 2349, 5, 'aktueller Hash');
INSERT INTO `lang_definitions` VALUES (17839, 2350, 5, 'Aktueller Standort');
INSERT INTO `lang_definitions` VALUES (17840, 2352, 5, 'Aktuelle Medikamente');
INSERT INTO `lang_definitions` VALUES (17841, 2354, 5, 'Aktuelles Passwort');
INSERT INTO `lang_definitions` VALUES (17842, 2356, 5, 'Aktueller Patient');
INSERT INTO `lang_definitions` VALUES (17843, 2361, 5, 'Aktuelle Freizeitdrogen');
INSERT INTO `lang_definitions` VALUES (17844, 2363, 5, 'Aktuell Raucher gelegentlich');
INSERT INTO `lang_definitions` VALUES (17845, 2371, 5, 'Aktiv');
INSERT INTO `lang_definitions` VALUES (17846, 2375, 5, 'Aktiv');
INSERT INTO `lang_definitions` VALUES (17847, 2377, 5, 'Aktuell keine Standorte vorhanden.');
INSERT INTO `lang_definitions` VALUES (17848, 2379, 5, 'Cushing-Syndrom');
INSERT INTO `lang_definitions` VALUES (17849, 2380, 5, 'Cushing-Syndrom');
INSERT INTO `lang_definitions` VALUES (17850, 2383, 5, 'Angepasst');
INSERT INTO `lang_definitions` VALUES (17851, 2390, 5, 'Benutzerdefinierte eingabe?');
INSERT INTO `lang_definitions` VALUES (17852, 2395, 5, 'Benutzerdefinierte Tabelle');
INSERT INTO `lang_definitions` VALUES (17853, 2402, 5, 'CVX-Code');
INSERT INTO `lang_definitions` VALUES (17854, 2403, 5, 'CVX-Code Mapping');
INSERT INTO `lang_definitions` VALUES (17855, 2404, 5, 'CVX-Impfung');
INSERT INTO `lang_definitions` VALUES (17856, 2406, 5, 'Zyklus');
INSERT INTO `lang_definitions` VALUES (17857, 2412, 5, 'CYP');
INSERT INTO `lang_definitions` VALUES (17858, 2413, 5, 'CYP-Faktor');
INSERT INTO `lang_definitions` VALUES (17859, 2414, 5, 'CYP-Bericht');
INSERT INTO `lang_definitions` VALUES (17860, 2415, 5, 'Tschechisch');
INSERT INTO `lang_definitions` VALUES (17861, 2416, 5, 'D');
INSERT INTO `lang_definitions` VALUES (17862, 2417, 5, 'D&C');
INSERT INTO `lang_definitions` VALUES (17863, 2418, 5, 'D&E');
INSERT INTO `lang_definitions` VALUES (17864, 2420, 5, 'Geb');
INSERT INTO `lang_definitions` VALUES (17865, 2421, 5, 'täglich');
INSERT INTO `lang_definitions` VALUES (17866, 2422, 5, 'Tägliche Aufzeichnung');
INSERT INTO `lang_definitions` VALUES (17867, 2425, 5, 'Dänisch');
INSERT INTO `lang_definitions` VALUES (17868, 2429, 5, 'Ähnliche Daten bereits in der Datenbank, bitte ändere Code und/oder Beschreibung');
INSERT INTO `lang_definitions` VALUES (17869, 2430, 5, 'Ähnliche Daten bereits in der Datenbank, bitte ändere den Konstantennamen');
INSERT INTO `lang_definitions` VALUES (17870, 2431, 5, 'Daten-Spalten');
INSERT INTO `lang_definitions` VALUES (17871, 2434, 5, 'Daten-Fehler');
INSERT INTO `lang_definitions` VALUES (17872, 2439, 5, 'Datentyp');
INSERT INTO `lang_definitions` VALUES (17873, 2440, 5, 'Datenbank');
INSERT INTO `lang_definitions` VALUES (17874, 2442, 5, 'Datenbank ist nicht installiert.');
INSERT INTO `lang_definitions` VALUES (17875, 2444, 5, 'Datenbank-Patch');
INSERT INTO `lang_definitions` VALUES (17876, 2445, 5, 'Datenbank-Berichtswesen');
INSERT INTO `lang_definitions` VALUES (17877, 2447, 5, 'Datenbankaktualisierung beendet');
INSERT INTO `lang_definitions` VALUES (17878, 2448, 5, 'Datenspalten muss zwischen 1 und 999 liegen');
INSERT INTO `lang_definitions` VALUES (17879, 2449, 5, 'Datum');
INSERT INTO `lang_definitions` VALUES (17880, 2450, 5, 'DATUM');
INSERT INTO `lang_definitions` VALUES (17881, 2451, 5, 'Datum & Zeit Verabreichung');
INSERT INTO `lang_definitions` VALUES (17882, 2453, 5, 'Datum der Verabreichung');
INSERT INTO `lang_definitions` VALUES (17883, 2454, 5, 'Datum und Uhrzeit der Probeentnahme');
INSERT INTO `lang_definitions` VALUES (17884, 2455, 5, 'Datum und Uhrzeit dieser Beobachtung');
INSERT INTO `lang_definitions` VALUES (17885, 2457, 5, 'Datum und Uhrzeit der Probeentnahme');
INSERT INTO `lang_definitions` VALUES (17886, 2458, 5, 'Datum kann nicht größer als \"heute\" sein');
INSERT INTO `lang_definitions` VALUES (17887, 2459, 5, 'Datum des Beginns der Verhütungsmaßnahme');
INSERT INTO `lang_definitions` VALUES (17888, 2460, 5, 'Erstellungsdatum');
INSERT INTO `lang_definitions` VALUES (17889, 2461, 5, 'Datum Verstorben');
INSERT INTO `lang_definitions` VALUES (17890, 2462, 5, 'Datum zerstört');
INSERT INTO `lang_definitions` VALUES (17891, 2463, 5, 'Datumsanzeige-Format');
INSERT INTO `lang_definitions` VALUES (17892, 2464, 5, 'Datumsformat für \"Termin Ende\" ungültig');
INSERT INTO `lang_definitions` VALUES (17893, 2465, 5, 'Datumsformat für \"Termin Start\" ungültig');
INSERT INTO `lang_definitions` VALUES (17894, 2466, 5, 'Datumsformat für \"nächster Termin\" ungültig');
INSERT INTO `lang_definitions` VALUES (17895, 2467, 5, 'Datumsformat für \"nicht gesehen seit\" ungültig');
INSERT INTO `lang_definitions` VALUES (17896, 2469, 5, 'Datumsformat für \"gesehen seit\" ungültig');
INSERT INTO `lang_definitions` VALUES (17897, 2470, 5, 'Datum der Impungs Information');
INSERT INTO `lang_definitions` VALUES (17898, 2471, 5, 'Datum für Code fehlt');
INSERT INTO `lang_definitions` VALUES (17899, 2472, 5, 'Datum Haupt Kriterium');
INSERT INTO `lang_definitions` VALUES (17900, 2475, 5, 'Datum der Bankeinzahlung jjjj-mm-tt');
INSERT INTO `lang_definitions` VALUES (17901, 2476, 5, 'Datum der Rechnungsstellung');
INSERT INTO `lang_definitions` VALUES (17902, 2477, 5, 'Geburtsdatum');
INSERT INTO `lang_definitions` VALUES (17903, 2478, 5, 'Geburtsdatum');
INSERT INTO `lang_definitions` VALUES (17904, 2479, 5, 'Geburtsdatum');
INSERT INTO `lang_definitions` VALUES (17905, 2481, 5, 'Datum der Eintragung');
INSERT INTO `lang_definitions` VALUES (17906, 2483, 5, 'Unfallzeitpunkt');
INSERT INTO `lang_definitions` VALUES (17907, 2487, 5, 'Datum der Bezahlung jjjj-mm-tt');
INSERT INTO `lang_definitions` VALUES (17908, 2489, 5, 'Datum der Überweisung');
INSERT INTO `lang_definitions` VALUES (17909, 2491, 5, 'Datum der Antwort');
INSERT INTO `lang_definitions` VALUES (17910, 2492, 5, 'Datum des Berichts');
INSERT INTO `lang_definitions` VALUES (17911, 2493, 5, 'Datum der Dienstleistung');
INSERT INTO `lang_definitions` VALUES (17912, 2495, 5, 'Datum der Dienstleistung');
INSERT INTO `lang_definitions` VALUES (17913, 2496, 5, 'Datum der Dienstleistung = Heute');
INSERT INTO `lang_definitions` VALUES (17914, 2498, 5, 'Datum der Dienstleistung mm/tt/jjjj');
INSERT INTO `lang_definitions` VALUES (17915, 2499, 5, 'Datum der Dienstleistung:');
INSERT INTO `lang_definitions` VALUES (17916, 2500, 5, 'Datum der Unterschrift');
INSERT INTO `lang_definitions` VALUES (17917, 2501, 5, 'Datum der Status Änderung');
INSERT INTO `lang_definitions` VALUES (17918, 2503, 5, 'Datum dieser Bestellung');
INSERT INTO `lang_definitions` VALUES (17919, 2504, 5, 'Datum dieses Berichts');
INSERT INTO `lang_definitions` VALUES (17920, 2505, 5, 'Datum der VIS Information');
INSERT INTO `lang_definitions` VALUES (17921, 2506, 5, 'Bestelldatum');
INSERT INTO `lang_definitions` VALUES (17922, 2509, 5, 'Datumsauswahl');
INSERT INTO `lang_definitions` VALUES (17923, 2510, 5, 'Datum der Übermittlung');
INSERT INTO `lang_definitions` VALUES (17924, 2511, 5, 'Datum an der die Nachricht versendet wurde.');
INSERT INTO `lang_definitions` VALUES (17925, 2513, 5, 'Datum darf nicht leer sein.');
INSERT INTO `lang_definitions` VALUES (17926, 2516, 5, 'Datum/Appt');
INSERT INTO `lang_definitions` VALUES (17927, 2517, 5, 'Datum/Bemerkung');
INSERT INTO `lang_definitions` VALUES (17928, 2518, 5, 'Datum/letzte Bemerkung');
INSERT INTO `lang_definitions` VALUES (17929, 2519, 5, 'Datum/Zeit');
INSERT INTO `lang_definitions` VALUES (17930, 2520, 5, 'Datum:');
INSERT INTO `lang_definitions` VALUES (17931, 2523, 5, 'Datiertes Nachrichtenprotokoll');
INSERT INTO `lang_definitions` VALUES (17932, 2526, 5, 'Tag');
INSERT INTO `lang_definitions` VALUES (17933, 2527, 5, 'Tag');
INSERT INTO `lang_definitions` VALUES (17934, 2530, 5, 'Tagesansicht');
INSERT INTO `lang_definitions` VALUES (17935, 2531, 5, 'Tag(e)');
INSERT INTO `lang_definitions` VALUES (17936, 2532, 5, 'Werktag(e)');
INSERT INTO `lang_definitions` VALUES (17937, 2533, 5, 'Tage');
INSERT INTO `lang_definitions` VALUES (17938, 2534, 5, 'Tage');
INSERT INTO `lang_definitions` VALUES (17939, 2535, 5, 'Tagen');
INSERT INTO `lang_definitions` VALUES (17940, 2536, 5, 'verpasste Tage und Spiele');
INSERT INTO `lang_definitions` VALUES (17941, 2537, 5, 'Tage seit letztem Fall');
INSERT INTO `lang_definitions` VALUES (17942, 2538, 5, 'Tage versäumt');
INSERT INTO `lang_definitions` VALUES (17943, 2541, 5, 'Tage pro Spalte');
INSERT INTO `lang_definitions` VALUES (17944, 2543, 5, 'Tage/Col:');
INSERT INTO `lang_definitions` VALUES (17945, 2544, 5, 'Datenbank installiert');
INSERT INTO `lang_definitions` VALUES (17946, 2545, 5, 'TT/MM/JJJJ');
INSERT INTO `lang_definitions` VALUES (17947, 2546, 5, 'De Identifizierung');
INSERT INTO `lang_definitions` VALUES (17948, 2547, 5, 'De Identifizierungsprozess abgeschlossen');
INSERT INTO `lang_definitions` VALUES (17949, 2548, 5, 'De Identifizierungsprozess ist im Gange');
INSERT INTO `lang_definitions` VALUES (17950, 2549, 5, 'De Identifizierungsprozess wurde gestartet und läuft im Hintergrund');
INSERT INTO `lang_definitions` VALUES (17951, 2550, 5, 'De Identifizierungsdaten sind möglicherweise nicht komplett');
INSERT INTO `lang_definitions` VALUES (17952, 2551, 5, 'De Identifizierungsdateien werden gespeichert in');
INSERT INTO `lang_definitions` VALUES (17953, 2552, 5, 'DEA');
INSERT INTO `lang_definitions` VALUES (17954, 2558, 5, 'Taub');
INSERT INTO `lang_definitions` VALUES (17955, 2562, 5, 'Debug-Information');
INSERT INTO `lang_definitions` VALUES (17956, 2564, 5, 'Debugging');
INSERT INTO `lang_definitions` VALUES (17957, 2565, 5, 'Dez');
INSERT INTO `lang_definitions` VALUES (17958, 2567, 5, 'VERSTORBEN');
INSERT INTO `lang_definitions` VALUES (17959, 2574, 5, 'Dezember');
INSERT INTO `lang_definitions` VALUES (17960, 2578, 5, 'dezimal pfund oder pfund und onze getrennt durch # (z.B. 5#4)');
INSERT INTO `lang_definitions` VALUES (17961, 2580, 5, 'absetzbar');
INSERT INTO `lang_definitions` VALUES (17962, 2581, 5, 'Selbstbehalt Met');
INSERT INTO `lang_definitions` VALUES (17963, 2583, 5, 'Standard');
INSERT INTO `lang_definitions` VALUES (17964, 2585, 5, 'Standard Kalenderansicht');
INSERT INTO `lang_definitions` VALUES (17965, 2587, 5, 'Standard Termin Formular ID');
INSERT INTO `lang_definitions` VALUES (17966, 2589, 5, 'Standard Einrichtung');
INSERT INTO `lang_definitions` VALUES (17967, 2594, 5, 'Standard Sprache');
INSERT INTO `lang_definitions` VALUES (17968, 2595, 5, 'Standard-Sprache, wenn keine anderen erlaubt oder gewählt.');
INSERT INTO `lang_definitions` VALUES (17969, 2598, 5, 'Voreingestellte Liste (schreibbar, optional nur hinzufügen erlaubt)');
INSERT INTO `lang_definitions` VALUES (17970, 2600, 5, 'Standard Methode');
INSERT INTO `lang_definitions` VALUES (17971, 2601, 5, 'Standard Passwort Verfall Tage');
INSERT INTO `lang_definitions` VALUES (17972, 2602, 5, 'Standard Passwort Gültigkeits Zeitspanne in Tagen. 0 = Funktion ist deaktiviert.');
INSERT INTO `lang_definitions` VALUES (17973, 2603, 5, 'Standard Patienten Land');
INSERT INTO `lang_definitions` VALUES (17974, 2606, 5, 'Standard Priorität');
INSERT INTO `lang_definitions` VALUES (17975, 2607, 5, 'Voreingestellter Zulieferer');
INSERT INTO `lang_definitions` VALUES (17976, 2609, 5, 'Standard Bereich');
INSERT INTO `lang_definitions` VALUES (17977, 2610, 5, 'Standard Grund für Konsultation');
INSERT INTO `lang_definitions` VALUES (17978, 2615, 5, 'Standard Einstellung');
INSERT INTO `lang_definitions` VALUES (17979, 2617, 5, 'Standard der Neues-Fenster-Checkbox in der Patientenliste');
INSERT INTO `lang_definitions` VALUES (17980, 2618, 5, 'Standard Vorlage');
INSERT INTO `lang_definitions` VALUES (17981, 2624, 5, 'Standardeinheit');
INSERT INTO `lang_definitions` VALUES (17982, 2626, 5, 'Voreingestellter Wert');
INSERT INTO `lang_definitions` VALUES (17983, 2628, 5, 'Standard Lager');
INSERT INTO `lang_definitions` VALUES (17984, 2629, 5, 'Voreingestellter X12-Partner');
INSERT INTO `lang_definitions` VALUES (17985, 2630, 5, 'Voreingestellt/Global');
INSERT INTO `lang_definitions` VALUES (17986, 2635, 5, 'Entf');
INSERT INTO `lang_definitions` VALUES (17987, 2636, 5, 'entf');
INSERT INTO `lang_definitions` VALUES (17988, 2637, 5, 'Spätrezidiv (>12 Monate)');
INSERT INTO `lang_definitions` VALUES (17989, 2638, 5, 'Entfernen');
INSERT INTO `lang_definitions` VALUES (17990, 2639, 5, 'entfernen');
INSERT INTO `lang_definitions` VALUES (17991, 2640, 5, 'Lösche Kategorien mit ID(s):');
INSERT INTO `lang_definitions` VALUES (17992, 2641, 5, 'Lösche Kategorie');
INSERT INTO `lang_definitions` VALUES (17993, 2644, 5, 'Löschen fehlgeschlagen!');
INSERT INTO `lang_definitions` VALUES (17994, 2645, 5, 'Lösche Gruppe');
INSERT INTO `lang_definitions` VALUES (17995, 2646, 5, 'Liste entfernen');
INSERT INTO `lang_definitions` VALUES (17996, 2648, 5, 'Seiten entfernen');
INSERT INTO `lang_definitions` VALUES (17997, 2649, 5, 'Lösche Patient, Fall, Formular, Problem, Dokument, Zahlungsvorgang, Berechung, Transaktion');
INSERT INTO `lang_definitions` VALUES (17998, 2651, 5, 'Lösche Reihe');
INSERT INTO `lang_definitions` VALUES (17999, 2652, 5, 'Lösche selektiertes Element');
INSERT INTO `lang_definitions` VALUES (18000, 2655, 5, 'Löschen erfolgreich');
INSERT INTO `lang_definitions` VALUES (18001, 2656, 5, 'Lösche dieses Dokument');
INSERT INTO `lang_definitions` VALUES (18002, 2657, 5, 'Lösche dieses Formular');
INSERT INTO `lang_definitions` VALUES (18003, 2659, 5, 'Lösche diese Anmerkung');
INSERT INTO `lang_definitions` VALUES (18004, 2661, 5, 'Erfogreich gelöscht.');
INSERT INTO `lang_definitions` VALUES (18005, 2662, 5, 'Löschen');
INSERT INTO `lang_definitions` VALUES (18006, 2663, 5, 'Das Löschen dieses Ereignis kann nicht rückgängig gemacht werden. Dieses Ereignis wirklich löschen?');
INSERT INTO `lang_definitions` VALUES (18007, 2666, 5, 'Zustellung bestätigt');
INSERT INTO `lang_definitions` VALUES (18008, 2668, 5, 'Direkte Zustellung an die angegebene Adresse ist zu Zeit nicht erlaubt');
INSERT INTO `lang_definitions` VALUES (18009, 2670, 5, 'Versenden des beigefügten klinischen Dokumentes war vom Patienten angefordert');
INSERT INTO `lang_definitions` VALUES (18010, 2671, 5, 'Demenz');
INSERT INTO `lang_definitions` VALUES (18011, 2673, 5, 'Persönliche Daten');
INSERT INTO `lang_definitions` VALUES (18012, 2674, 5, 'Personliche Daten (schreibbar, optional nur hinzufügen erlaubt)');
INSERT INTO `lang_definitions` VALUES (18013, 2678, 5, 'Filter für persönliche Daten');
INSERT INTO `lang_definitions` VALUES (18014, 2680, 5, 'Persönliche Daten nicht erlaubt');
INSERT INTO `lang_definitions` VALUES (18015, 2681, 5, 'Persönliche Daten nicht erlaubt.');
INSERT INTO `lang_definitions` VALUES (18016, 2682, 5, 'Verweigert');
INSERT INTO `lang_definitions` VALUES (18017, 2684, 5, 'Nenner');
INSERT INTO `lang_definitions` VALUES (18018, 2687, 5, 'Zähne betreffend(e)');
INSERT INTO `lang_definitions` VALUES (18019, 2688, 5, 'Zahnbeschwerden Liste');
INSERT INTO `lang_definitions` VALUES (18020, 2689, 5, 'Zahnbeschwerden');
INSERT INTO `lang_definitions` VALUES (18021, 2694, 5, 'je nach Type Rechnung , den du testest, siehst du HCFA-ähnlichen Ergebniss auf leeren blatt');
INSERT INTO `lang_definitions` VALUES (18022, 2696, 5, 'Datum Einzahlung');
INSERT INTO `lang_definitions` VALUES (18023, 2697, 5, 'Einzahl-Datum kann nicht später als heute sein');
INSERT INTO `lang_definitions` VALUES (18024, 2698, 5, 'Datum Einzahlung:');
INSERT INTO `lang_definitions` VALUES (18025, 2699, 5, 'deprimiert');
INSERT INTO `lang_definitions` VALUES (18026, 2700, 5, 'Depression');
INSERT INTO `lang_definitions` VALUES (18027, 2706, 5, 'Beschreibung');
INSERT INTO `lang_definitions` VALUES (18028, 2707, 5, 'Beschreibung');
INSERT INTO `lang_definitions` VALUES (18029, 2709, 5, 'Beschreibung der Mitteilung');
INSERT INTO `lang_definitions` VALUES (18030, 2710, 5, 'Beschreibung dieses Verfahrens oder Ergebnis-Code');
INSERT INTO `lang_definitions` VALUES (18031, 2711, 5, 'Übersetzung der Beschreibung');
INSERT INTO `lang_definitions` VALUES (18032, 2713, 5, 'Ziel');
INSERT INTO `lang_definitions` VALUES (18033, 2714, 5, 'Ziel Dateiname');
INSERT INTO `lang_definitions` VALUES (18034, 2716, 5, 'Nummer verwerfen');
INSERT INTO `lang_definitions` VALUES (18035, 2717, 5, 'Verwerfen...');
INSERT INTO `lang_definitions` VALUES (18036, 2718, 5, 'Verworfen');
INSERT INTO `lang_definitions` VALUES (18037, 2719, 5, 'Medikamente verwerfen');
INSERT INTO `lang_definitions` VALUES (18038, 2720, 5, 'Bericht über verworfene Medikamente');
INSERT INTO `lang_definitions` VALUES (18039, 2721, 5, 'Detail');
INSERT INTO `lang_definitions` VALUES (18040, 2726, 5, 'Details');
INSERT INTO `lang_definitions` VALUES (18041, 2728, 5, 'Entwicklungsstörung');
INSERT INTO `lang_definitions` VALUES (18042, 2730, 5, 'Diabetes');
INSERT INTO `lang_definitions` VALUES (18043, 2731, 5, 'Diabetes Mellitus');
INSERT INTO `lang_definitions` VALUES (18044, 2732, 5, 'Diabetes: Blutdruck Management');
INSERT INTO `lang_definitions` VALUES (18045, 2733, 5, 'Diabetes: Augenuntersuchung');
INSERT INTO `lang_definitions` VALUES (18046, 2734, 5, 'Diabetes: Augenuntersuchung (CQM)');
INSERT INTO `lang_definitions` VALUES (18047, 2735, 5, 'Diabetes: Fußuntersuchung');
INSERT INTO `lang_definitions` VALUES (18048, 2736, 5, 'Diabetes: Fußuntersuchung (CQM)');
INSERT INTO `lang_definitions` VALUES (18049, 2737, 5, 'Diabetes: HbA1c Kontrolle');
INSERT INTO `lang_definitions` VALUES (18050, 2738, 5, 'Diabetes: HbA1c');
INSERT INTO `lang_definitions` VALUES (18051, 2739, 5, 'Diabetes: LDL-Einstellung & Kontrolle (CQM)');
INSERT INTO `lang_definitions` VALUES (18052, 2740, 5, 'Diabetes: Urin Microalbumin');
INSERT INTO `lang_definitions` VALUES (18053, 2741, 5, 'Diag');
INSERT INTO `lang_definitions` VALUES (18054, 2742, 5, 'Diagnose');
INSERT INTO `lang_definitions` VALUES (18055, 2743, 5, 'Diagnose');
INSERT INTO `lang_definitions` VALUES (18056, 2744, 5, 'Diagnose Code');
INSERT INTO `lang_definitions` VALUES (18057, 2747, 5, 'Diagnose Datum');
INSERT INTO `lang_definitions` VALUES (18058, 2749, 5, 'Diagnose muß in einem verknüpften Fall kodiert werden');
INSERT INTO `lang_definitions` VALUES (18059, 2750, 5, 'Diagnose Name');
INSERT INTO `lang_definitions` VALUES (18060, 2751, 5, 'Diagnose Bericht');
INSERT INTO `lang_definitions` VALUES (18061, 2752, 5, 'Diagnose Berichterstattung');
INSERT INTO `lang_definitions` VALUES (18062, 2753, 5, 'Diagnose Berichterstattung alleine');
INSERT INTO `lang_definitions` VALUES (18063, 2754, 5, 'Diagnose Titel');
INSERT INTO `lang_definitions` VALUES (18064, 2755, 5, 'Diagnose:');
INSERT INTO `lang_definitions` VALUES (18065, 2756, 5, 'Diagnose:');
INSERT INTO `lang_definitions` VALUES (18066, 2758, 5, 'Diagnostischer Test:');
INSERT INTO `lang_definitions` VALUES (18067, 2760, 5, 'Skalen');
INSERT INTO `lang_definitions` VALUES (18068, 2763, 5, 'Diaphragmen / Caps');
INSERT INTO `lang_definitions` VALUES (18069, 2764, 5, 'Diarrhoe');
INSERT INTO `lang_definitions` VALUES (18070, 2767, 5, 'Diktat');
INSERT INTO `lang_definitions` VALUES (18071, 2768, 5, 'Diktat:');
INSERT INTO `lang_definitions` VALUES (18072, 2769, 5, 'Haben Sie eine Kopie der HIPAA-Hinweise erhalten?');
INSERT INTO `lang_definitions` VALUES (18073, 2770, 5, 'Diffuse:');
INSERT INTO `lang_definitions` VALUES (18074, 2771, 5, 'Digital Signiert');
INSERT INTO `lang_definitions` VALUES (18075, 2781, 5, 'Direkte Mail');
INSERT INTO `lang_definitions` VALUES (18076, 2782, 5, 'Direktnachrichten Log');
INSERT INTO `lang_definitions` VALUES (18077, 2783, 5, 'Direktnachrichten erhalten.');
INSERT INTO `lang_definitions` VALUES (18078, 2784, 5, 'Direktnachrichten zur Zeit nicht verfügbar.');
INSERT INTO `lang_definitions` VALUES (18079, 2785, 5, 'Senden der Direktnachrichten fehlgeschlagen.');
INSERT INTO `lang_definitions` VALUES (18080, 2787, 5, 'Direktor Name');
INSERT INTO `lang_definitions` VALUES (18081, 2788, 5, 'Verzeichniss löschen fehlgeschlagen; fortsetzen.');
INSERT INTO `lang_definitions` VALUES (18082, 2789, 5, 'Behinderung');
INSERT INTO `lang_definitions` VALUES (18083, 2794, 5, 'Deaktiviere Kalender');
INSERT INTO `lang_definitions` VALUES (18084, 2795, 5, 'Deaktiviere Größentabelle Tracker');
INSERT INTO `lang_definitions` VALUES (18085, 2798, 5, 'Deaktiviere Impfungen');
INSERT INTO `lang_definitions` VALUES (18086, 2800, 5, 'Deaktiviere Old Metric Vitalfunktionen Formular');
INSERT INTO `lang_definitions` VALUES (18087, 2802, 5, 'Deaktiviere \"phpMyAdmin\"');
INSERT INTO `lang_definitions` VALUES (18088, 2803, 5, 'Deaktiviere Rezepte');
INSERT INTO `lang_definitions` VALUES (18089, 2804, 5, 'Deaktiviere Anwender Gruppen');
INSERT INTO `lang_definitions` VALUES (18090, 2805, 5, 'deaktiviert');
INSERT INTO `lang_definitions` VALUES (18091, 2806, 5, 'Deaktiviert');
INSERT INTO `lang_definitions` VALUES (18092, 2807, 5, 'behinderte Begünstigte unter 65j. mit Large Group Health plan');
INSERT INTO `lang_definitions` VALUES (18093, 2812, 5, 'DISC');
INSERT INTO `lang_definitions` VALUES (18094, 2815, 5, 'Ausscheidung');
INSERT INTO `lang_definitions` VALUES (18095, 2816, 5, 'Ausscheidung aus Urethra');
INSERT INTO `lang_definitions` VALUES (18096, 2818, 5, 'Entlassungsrrecht');
INSERT INTO `lang_definitions` VALUES (18097, 2819, 5, 'Entlassungsrechts');
INSERT INTO `lang_definitions` VALUES (18098, 2823, 5, 'Entlassung');
INSERT INTO `lang_definitions` VALUES (18099, 2825, 5, 'Mitteilung Info');
INSERT INTO `lang_definitions` VALUES (18100, 2826, 5, 'Mitteilung Type');
INSERT INTO `lang_definitions` VALUES (18101, 2827, 5, 'Mitteilung Typen');
INSERT INTO `lang_definitions` VALUES (18102, 2828, 5, 'Mitteilung');
INSERT INTO `lang_definitions` VALUES (18103, 2833, 5, 'Rabatt');
INSERT INTO `lang_definitions` VALUES (18104, 2834, 5, 'Rabatt Betrag');
INSERT INTO `lang_definitions` VALUES (18105, 2835, 5, 'Rabattstufen');
INSERT INTO `lang_definitions` VALUES (18106, 2836, 5, 'Rabatt Prozent');
INSERT INTO `lang_definitions` VALUES (18107, 2837, 5, 'Rabatte als Geldbetrag');
INSERT INTO `lang_definitions` VALUES (18108, 2838, 5, 'Ermäßigung auf Checkout Zeit wird als geld menge eingegeben und nicht in prozent');
INSERT INTO `lang_definitions` VALUES (18109, 2839, 5, 'Diskretes Ergebnis');
INSERT INTO `lang_definitions` VALUES (18110, 2841, 5, 'Erkrankung');
INSERT INTO `lang_definitions` VALUES (18111, 2843, 5, 'Dislokation');
INSERT INTO `lang_definitions` VALUES (18112, 2847, 5, 'Disloz. #');
INSERT INTO `lang_definitions` VALUES (18113, 2848, 5, 'Versand');
INSERT INTO `lang_definitions` VALUES (18114, 2849, 5, 'Versandort Dokument');
INSERT INTO `lang_definitions` VALUES (18115, 2853, 5, 'verzichtet');
INSERT INTO `lang_definitions` VALUES (18116, 2856, 5, 'Anzeige Patientenverfügungen in der Patientendaten-Seite.');
INSERT INTO `lang_definitions` VALUES (18117, 2859, 5, 'Ereignisdaten im Block anzeigen?');
INSERT INTO `lang_definitions` VALUES (18118, 2860, 5, 'Anzeigeformat für US Gewichte');
INSERT INTO `lang_definitions` VALUES (18119, 2861, 5, 'Anzahl der Ereignisse anzeigen?');
INSERT INTO `lang_definitions` VALUES (18120, 2865, 5, 'Ort in Großbuchstaben darstellen');
INSERT INTO `lang_definitions` VALUES (18121, 2866, 5, 'Zeige Name');
INSERT INTO `lang_definitions` VALUES (18122, 2868, 5, 'Zeige Kalender?');
INSERT INTO `lang_definitions` VALUES (18123, 2875, 5, 'Heutige Ereignisse im Block anzeigen');
INSERT INTO `lang_definitions` VALUES (18124, 2876, 5, 'Thema im Blick anzeigen?');
INSERT INTO `lang_definitions` VALUES (18125, 2877, 5, 'Zukünftige Ereignisse im Block anzeigen');
INSERT INTO `lang_definitions` VALUES (18126, 2879, 5, 'Angezeigte Spalten');
INSERT INTO `lang_definitions` VALUES (18127, 2880, 5, 'Zeige folgende zahl von Entlassungen');
INSERT INTO `lang_definitions` VALUES (18128, 2882, 5, 'Zeige die folgende Anzahl von jüngsten Notizen');
INSERT INTO `lang_definitions` VALUES (18129, 2883, 5, 'Zeige die folgende Anzahl von jüngsten Notizen:');
INSERT INTO `lang_definitions` VALUES (18130, 2890, 5, 'Verteilung');
INSERT INTO `lang_definitions` VALUES (18131, 2891, 5, 'Verteilungen');
INSERT INTO `lang_definitions` VALUES (18132, 2892, 5, 'Verteiler');
INSERT INTO `lang_definitions` VALUES (18133, 2897, 5, 'Divertikulitis');
INSERT INTO `lang_definitions` VALUES (18134, 2898, 5, 'Divertikulitis-Chirurgie');
INSERT INTO `lang_definitions` VALUES (18135, 2899, 5, 'Divertikulitis');
INSERT INTO `lang_definitions` VALUES (18136, 2900, 5, 'Divertikulitis-Chirurgie');
INSERT INTO `lang_definitions` VALUES (18137, 2901, 5, 'Geschieden');
INSERT INTO `lang_definitions` VALUES (18138, 2902, 5, 'Schwindel');
INSERT INTO `lang_definitions` VALUES (18139, 2905, 5, 'Nicht verändern');
INSERT INTO `lang_definitions` VALUES (18140, 2907, 5, 'Allergie nicht zeigen wenn aufgeladen in NewCrop');
INSERT INTO `lang_definitions` VALUES (18141, 2909, 5, 'Medikamente nicht zeigen wenn aufgeladen in NewCrop');
INSERT INTO `lang_definitions` VALUES (18142, 2912, 5, 'Kalender nicht zeigen');
INSERT INTO `lang_definitions` VALUES (18143, 2916, 5, 'keine Inventur durchführen oder Produkte verkaufen');
INSERT INTO `lang_definitions` VALUES (18144, 2919, 5, 'Benötige keine Patienten Notizen zum Autorisieren');
INSERT INTO `lang_definitions` VALUES (18145, 2920, 5, 'Anordnung zum Verzicht auf Wiederbelebung');
INSERT INTO `lang_definitions` VALUES (18146, 2921, 5, 'nicht speichern');
INSERT INTO `lang_definitions` VALUES (18147, 2922, 5, 'nicht ersetzen');
INSERT INTO `lang_definitions` VALUES (18148, 2925, 5, 'tue nichts');
INSERT INTO `lang_definitions` VALUES (18149, 2929, 5, 'Wollen Sie wirklich löschen');
INSERT INTO `lang_definitions` VALUES (18150, 2930, 5, 'Wollen Sie wirklich die selektierte löschen?');
INSERT INTO `lang_definitions` VALUES (18151, 2931, 5, 'Wollen Sie wirklich diese Gruppe löschen?');
INSERT INTO `lang_definitions` VALUES (18152, 2934, 5, 'Wollen Sie forfahren?');
INSERT INTO `lang_definitions` VALUES (18153, 2935, 5, 'Wollen Sie das löschen?');
INSERT INTO `lang_definitions` VALUES (18154, 2936, 5, 'Wollen Sie löschen?');
INSERT INTO `lang_definitions` VALUES (18155, 2937, 5, 'Diese Aufzeichnung entfernen?');
INSERT INTO `lang_definitions` VALUES (18156, 2938, 5, 'Willst Du fortfahren, den Patienten hinzuzufügen?');
INSERT INTO `lang_definitions` VALUES (18157, 2939, 5, 'Willst Du mit dem neuen Namen fortfahren?');
INSERT INTO `lang_definitions` VALUES (18158, 2940, 5, 'Willst Du den Impf-Eintrag endgültig löschen?');
INSERT INTO `lang_definitions` VALUES (18159, 2941, 5, 'Geburtstag');
INSERT INTO `lang_definitions` VALUES (18160, 2942, 5, 'Geburtstag fehlt, bitte eingeben');
INSERT INTO `lang_definitions` VALUES (18161, 2944, 5, 'Docs');
INSERT INTO `lang_definitions` VALUES (18162, 2945, 5, 'Arzt');
INSERT INTO `lang_definitions` VALUES (18163, 2946, 5, 'Arzt:');
INSERT INTO `lang_definitions` VALUES (18164, 2947, 5, 'Name und Unterschrift des Arztes');
INSERT INTO `lang_definitions` VALUES (18165, 2948, 5, 'Dokument');
INSERT INTO `lang_definitions` VALUES (18166, 2949, 5, 'Dokument');
INSERT INTO `lang_definitions` VALUES (18167, 2951, 5, 'Dokumenten-Kategorie');
INSERT INTO `lang_definitions` VALUES (18168, 2958, 5, 'Dokument kann nicht verschoben werden zu Patienten id');
INSERT INTO `lang_definitions` VALUES (18169, 2960, 5, 'Dokument Datum');
INSERT INTO `lang_definitions` VALUES (18170, 2961, 5, 'Dokumentendatum und Problem erfolgreich geändert');
INSERT INTO `lang_definitions` VALUES (18171, 2962, 5, 'Dokument ID');
INSERT INTO `lang_definitions` VALUES (18172, 2965, 5, 'Dokument verschoben in neue Kategorie');
INSERT INTO `lang_definitions` VALUES (18173, 2966, 5, 'Dokument verschoben zu Patien id');
INSERT INTO `lang_definitions` VALUES (18174, 2968, 5, 'Dokument Integritätstest erfolgreich.');
INSERT INTO `lang_definitions` VALUES (18175, 2969, 5, 'Dokument Speichermethode');
INSERT INTO `lang_definitions` VALUES (18176, 2970, 5, 'Dokument erfolgreich umbenannt.');
INSERT INTO `lang_definitions` VALUES (18177, 2976, 5, 'Dokumente/Bilder Speicher');
INSERT INTO `lang_definitions` VALUES (18178, 2978, 5, 'Dokumente');
INSERT INTO `lang_definitions` VALUES (18179, 2980, 5, 'Dokumente (schreiben, nur hinzufügen optional)');
INSERT INTO `lang_definitions` VALUES (18180, 2989, 5, 'DOE');
INSERT INTO `lang_definitions` VALUES (18181, 2994, 5, 'passt nicht PV1 encounter nummer');
INSERT INTO `lang_definitions` VALUES (18182, 2995, 5, 'sieht ungültig aus');
INSERT INTO `lang_definitions` VALUES (18183, 2996, 5, 'erlaubt der type relationale Kodes?');
INSERT INTO `lang_definitions` VALUES (18184, 2997, 5, 'Lebenspartner');
INSERT INTO `lang_definitions` VALUES (18185, 2998, 5, 'Nicht speichern');
INSERT INTO `lang_definitions` VALUES (18186, 2999, 5, 'Nicht speichern');
INSERT INTO `lang_definitions` VALUES (18187, 3000, 5, 'Änderungen nicht speichern');
INSERT INTO `lang_definitions` VALUES (18188, 3002, 5, 'Fertig');
INSERT INTO `lang_definitions` VALUES (18189, 3004, 5, 'Fertig mit:');
INSERT INTO `lang_definitions` VALUES (18190, 3005, 5, 'Fertig. Download erfolgt jetzt.');
INSERT INTO `lang_definitions` VALUES (18191, 3006, 5, 'Tag der Leistung');
INSERT INTO `lang_definitions` VALUES (18192, 3007, 5, 'Dosierung');
INSERT INTO `lang_definitions` VALUES (18193, 3011, 5, 'Doppelclick, um zu editieren');
INSERT INTO `lang_definitions` VALUES (18194, 3013, 5, 'Doppeltsehen');
INSERT INTO `lang_definitions` VALUES (18195, 3014, 5, 'Download');
INSERT INTO `lang_definitions` VALUES (18196, 3019, 5, 'Download trotzdem starten');
INSERT INTO `lang_definitions` VALUES (18197, 3020, 5, 'download rechnung, verschicke zu finanzabteilung und markiere als erstellt');
INSERT INTO `lang_definitions` VALUES (18198, 3022, 5, 'Zertifikat herunterladen');
INSERT INTO `lang_definitions` VALUES (18199, 3023, 5, 'Konfigurationsdaten herunterladen');
INSERT INTO `lang_definitions` VALUES (18200, 3027, 5, 'Download Verschlusselte Datei');
INSERT INTO `lang_definitions` VALUES (18201, 3033, 5, 'Download PDF');
INSERT INTO `lang_definitions` VALUES (18202, 3037, 5, 'Download ausgewählter Statements');
INSERT INTO `lang_definitions` VALUES (18203, 3039, 5, 'Arzt Kontrolle');
INSERT INTO `lang_definitions` VALUES (18204, 3040, 5, 'Arzt Visite');
INSERT INTO `lang_definitions` VALUES (18205, 3041, 5, 'Dr.');
INSERT INTO `lang_definitions` VALUES (18206, 3045, 5, 'Ziehen zum bewegen');
INSERT INTO `lang_definitions` VALUES (18207, 3047, 5, 'tröpfeln');
INSERT INTO `lang_definitions` VALUES (18208, 3048, 5, 'Führerschein oder Ausweis');
INSERT INTO `lang_definitions` VALUES (18209, 3050, 5, 'Medikament');
INSERT INTO `lang_definitions` VALUES (18210, 3053, 5, 'Medikamenten Suche');
INSERT INTO `lang_definitions` VALUES (18211, 3054, 5, 'Medikamenten Formular');
INSERT INTO `lang_definitions` VALUES (18212, 3055, 5, 'Medikamenten ID fehlt!');
INSERT INTO `lang_definitions` VALUES (18213, 3056, 5, 'Medikament Abstände');
INSERT INTO `lang_definitions` VALUES (18214, 3057, 5, 'Medikament Bestand');
INSERT INTO `lang_definitions` VALUES (18215, 3059, 5, 'Medikament Name');
INSERT INTO `lang_definitions` VALUES (18216, 3061, 5, 'medikamentenverwaltung');
INSERT INTO `lang_definitions` VALUES (18217, 3066, 5, 'Medikament Einheit');
INSERT INTO `lang_definitions` VALUES (18218, 3072, 5, 'Medikamente');
INSERT INTO `lang_definitions` VALUES (18219, 3073, 5, 'Medikamente und Produkte');
INSERT INTO `lang_definitions` VALUES (18220, 3074, 5, 'Trockener Mund');
INSERT INTO `lang_definitions` VALUES (18221, 3075, 5, 'DSM IV Disgnosen');
INSERT INTO `lang_definitions` VALUES (18222, 3076, 5, 'DT 1');
INSERT INTO `lang_definitions` VALUES (18223, 3077, 5, 'DT 2');
INSERT INTO `lang_definitions` VALUES (18224, 3078, 5, 'DT 3');
INSERT INTO `lang_definitions` VALUES (18225, 3079, 5, 'DT 4');
INSERT INTO `lang_definitions` VALUES (18226, 3080, 5, 'DT 5');
INSERT INTO `lang_definitions` VALUES (18227, 3081, 5, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (18228, 3082, 5, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (18229, 3083, 5, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (18230, 3084, 5, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (18231, 3085, 5, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (18232, 3087, 5, 'Fällig');
INSERT INTO `lang_definitions` VALUES (18233, 3088, 5, 'Fälligkeitsdatum');
INSERT INTO `lang_definitions` VALUES (18234, 3090, 5, 'Fälligkeitsdatum mm/tt/jjjj oder jjjj-mm-tt');
INSERT INTO `lang_definitions` VALUES (18235, 3091, 5, 'Fälligkeitsdatum:');
INSERT INTO `lang_definitions` VALUES (18236, 3092, 5, 'aufgrund Ins');
INSERT INTO `lang_definitions` VALUES (18237, 3093, 5, 'aufgrund Pt');
INSERT INTO `lang_definitions` VALUES (18238, 3094, 5, 'Bald fällig');
INSERT INTO `lang_definitions` VALUES (18239, 3095, 5, 'Fälligkeitsstatus');
INSERT INTO `lang_definitions` VALUES (18240, 3096, 5, 'Fälligkeitsstatus Update');
INSERT INTO `lang_definitions` VALUES (18241, 3097, 5, 'Erstelle Dump der OpenEMR database');
INSERT INTO `lang_definitions` VALUES (18242, 3098, 5, 'Erstelle Dump des Web-Verzeichnis-Baumes');
INSERT INTO `lang_definitions` VALUES (18243, 3099, 5, 'Erstelle Dump der phpGACL-Datenbank');
INSERT INTO `lang_definitions` VALUES (18244, 3100, 5, 'Erstelle Dump des phpGACL-Web-Verzeichnis-Baumes');
INSERT INTO `lang_definitions` VALUES (18245, 3101, 5, 'Erstelle Dump der SQL-Ledger-Datenbank');
INSERT INTO `lang_definitions` VALUES (18246, 3102, 5, 'Erstelle Dump des SQL-Ledger-Web-Verzeichnis-Baumes');
INSERT INTO `lang_definitions` VALUES (18247, 3103, 5, 'Überprüfung auf Duplikate');
INSERT INTO `lang_definitions` VALUES (18248, 3108, 5, 'Doppelte ID in Zeile');
INSERT INTO `lang_definitions` VALUES (18249, 3109, 5, 'Doppelter Name in Zeile');
INSERT INTO `lang_definitions` VALUES (18250, 3110, 5, 'DUPLIKATS-WARNUNG');
INSERT INTO `lang_definitions` VALUES (18251, 3111, 5, 'Dauerhafte Vollmacht');
INSERT INTO `lang_definitions` VALUES (18252, 3112, 5, 'Dauer');
INSERT INTO `lang_definitions` VALUES (18253, 3113, 5, 'Dauer');
INSERT INTO `lang_definitions` VALUES (18254, 3114, 5, 'Niederländisch');
INSERT INTO `lang_definitions` VALUES (18255, 3117, 5, 'Dysphagie');
INSERT INTO `lang_definitions` VALUES (18256, 3118, 5, 'Dyspnoe:');
INSERT INTO `lang_definitions` VALUES (18257, 3119, 5, 'Dysurie');
INSERT INTO `lang_definitions` VALUES (18258, 3129, 5, 'E-Bericht');
INSERT INTO `lang_definitions` VALUES (18259, 3130, 5, 'e-Rx');
INSERT INTO `lang_definitions` VALUES (18260, 3132, 5, 'e-Rx erneuern');
INSERT INTO `lang_definitions` VALUES (18261, 3135, 5, 'jeder Empfänger muss eigene Nachrichten als vollständig setzen');
INSERT INTO `lang_definitions` VALUES (18262, 3140, 5, 'Frühes Wiederauftreten (<2 Monate)');
INSERT INTO `lang_definitions` VALUES (18263, 3141, 5, 'Ohren');
INSERT INTO `lang_definitions` VALUES (18264, 3148, 5, 'EKG');
INSERT INTO `lang_definitions` VALUES (18265, 3149, 5, 'eClaims');
INSERT INTO `lang_definitions` VALUES (18266, 3152, 5, 'Oedem');
INSERT INTO `lang_definitions` VALUES (18267, 3154, 5, 'Edi Geschichte');
INSERT INTO `lang_definitions` VALUES (18268, 3155, 5, 'edi geschichte');
INSERT INTO `lang_definitions` VALUES (18269, 3156, 5, 'Edi Geschichte (kostenpflichtig) für Speicherung und Beurteilung von Antworten zu EDI Erstattung');
INSERT INTO `lang_definitions` VALUES (18270, 3157, 5, 'EDI-271 Datei-Upload');
INSERT INTO `lang_definitions` VALUES (18271, 3158, 5, 'EDI-271 Antwort-Datei-Upload');
INSERT INTO `lang_definitions` VALUES (18272, 3159, 5, 'Bearbeiten');
INSERT INTO `lang_definitions` VALUES (18273, 3160, 5, 'bearbeiten');
INSERT INTO `lang_definitions` VALUES (18274, 3161, 5, 'Allergien bearbeiten');
INSERT INTO `lang_definitions` VALUES (18275, 3163, 5, 'Kategorien bearbeiten');
INSERT INTO `lang_definitions` VALUES (18276, 3165, 5, 'Definitionen bearbeiten');
INSERT INTO `lang_definitions` VALUES (18277, 3166, 5, 'Definitionen bearbeiten');
INSERT INTO `lang_definitions` VALUES (18278, 3167, 5, 'Diagnosen bearbeiten');
INSERT INTO `lang_definitions` VALUES (18279, 3168, 5, 'Bekanntgabe bearbeiten');
INSERT INTO `lang_definitions` VALUES (18280, 3173, 5, 'Einrichtungen bearbeiten');
INSERT INTO `lang_definitions` VALUES (18281, 3174, 5, 'Einrichtungen bearbeiten');
INSERT INTO `lang_definitions` VALUES (18282, 3175, 5, 'Informationen über Einrichtung bearbeiten');
INSERT INTO `lang_definitions` VALUES (18283, 3176, 5, 'Bearbeiten von Standort Spezifischen Anwender Informationen');
INSERT INTO `lang_definitions` VALUES (18284, 3177, 5, 'Bearbeite Datei in');
INSERT INTO `lang_definitions` VALUES (18285, 3178, 5, 'Formular bearbeiten');
INSERT INTO `lang_definitions` VALUES (18286, 3179, 5, 'Globale Einstellungen bearbeiten');
INSERT INTO `lang_definitions` VALUES (18287, 3181, 5, 'Bearbeiten ist nicht erlaubt!');
INSERT INTO `lang_definitions` VALUES (18288, 3183, 5, 'Layout bearbeiten');
INSERT INTO `lang_definitions` VALUES (18289, 3185, 5, 'Liste bearbeiten');
INSERT INTO `lang_definitions` VALUES (18290, 3188, 5, 'Zahlung bearbeiten');
INSERT INTO `lang_definitions` VALUES (18291, 3189, 5, 'Struktur Anpassen');
INSERT INTO `lang_definitions` VALUES (18292, 3192, 5, 'Benutzer bearbeiten');
INSERT INTO `lang_definitions` VALUES (18293, 3193, 5, 'Benutzer Einstellungen ändern');
INSERT INTO `lang_definitions` VALUES (18294, 3196, 5, 'Aufklärung');
INSERT INTO `lang_definitions` VALUES (18295, 3197, 5, 'Aufklärungsdatum');
INSERT INTO `lang_definitions` VALUES (18296, 3199, 5, 'ee * GNU General Public License für nähere Angaben. ** Sie sollten bereits eine Kopie von GNU mit dem Programm bekommen haben, wenn nicht schreiben Sie GNU an.');
INSERT INTO `lang_definitions` VALUES (18297, 3200, 5, 'Effektives Datum');
INSERT INTO `lang_definitions` VALUES (18298, 3202, 5, 'Effektivität');
INSERT INTO `lang_definitions` VALUES (18299, 3204, 5, 'EIN');
INSERT INTO `lang_definitions` VALUES (18300, 3207, 5, 'Ejakulationen');
INSERT INTO `lang_definitions` VALUES (18301, 3208, 5, 'Ellbogen');
INSERT INTO `lang_definitions` VALUES (18302, 3209, 5, 'Ellbogen-Beschwerden');
INSERT INTO `lang_definitions` VALUES (18303, 3210, 5, 'Elektronisch');
INSERT INTO `lang_definitions` VALUES (18304, 3214, 5, 'Elektronisch Zuständigkeit');
INSERT INTO `lang_definitions` VALUES (18305, 3215, 5, 'Elektronisch Bericht');
INSERT INTO `lang_definitions` VALUES (18306, 3218, 5, 'Berechtigung');
INSERT INTO `lang_definitions` VALUES (18307, 3219, 5, 'Berechtigung für Auskunftstapel 270');
INSERT INTO `lang_definitions` VALUES (18308, 3220, 5, 'Berechtigung Antwort');
INSERT INTO `lang_definitions` VALUES (18309, 3222, 5, 'Berechtigungstatus des Vaccines als Kindervaccine');
INSERT INTO `lang_definitions` VALUES (18310, 3223, 5, 'berechtigt');
INSERT INTO `lang_definitions` VALUES (18311, 3225, 5, 'Email');
INSERT INTO `lang_definitions` VALUES (18312, 3228, 5, 'Email Adresse');
INSERT INTO `lang_definitions` VALUES (18313, 3230, 5, 'E-Mail-Adresse des Absenders der Patienten-Erinnerungen. Antworten auf Patienten-Erinnerungen werden zu dieser Adresse gesendet. Nutze eine Absender-Adresse Deiner Klinik/Praxis-Domain, damit die Erinnerungen nicht als Junk eingestuft werden.');
INSERT INTO `lang_definitions` VALUES (18314, 3231, 5, 'Email Adresse, um administrative Berichte zu bekommen');
INSERT INTO `lang_definitions` VALUES (18315, 3232, 5, 'E-Mail-Adresse, wenn bekannt, um Notfall-Login Aktivierungs-Nachrichten zu erhalten');
INSERT INTO `lang_definitions` VALUES (18316, 3233, 5, 'E-Mail Auth');
INSERT INTO `lang_definitions` VALUES (18317, 3236, 5, 'Nachricht per email');
INSERT INTO `lang_definitions` VALUES (18318, 3238, 5, 'E-Mail-Benachrichtigung');
INSERT INTO `lang_definitions` VALUES (18319, 3239, 5, 'E-Mail-Benachrichtigung Stunde');
INSERT INTO `lang_definitions` VALUES (18320, 3240, 5, 'E-Mail-Benachrichtigung Bericht');
INSERT INTO `lang_definitions` VALUES (18321, 3244, 5, 'E-Mail senden vor');
INSERT INTO `lang_definitions` VALUES (18322, 3245, 5, 'E-Mail-Absender');
INSERT INTO `lang_definitions` VALUES (18323, 3246, 5, 'E-Mail gesendet');
INSERT INTO `lang_definitions` VALUES (18324, 3247, 5, 'E-Mail gesendet an');
INSERT INTO `lang_definitions` VALUES (18325, 3248, 5, 'E-Mail Betreff');
INSERT INTO `lang_definitions` VALUES (18326, 3251, 5, 'email text, brauchbare Tags: ***NAME***, i.e. Dear ***NAME***');
INSERT INTO `lang_definitions` VALUES (18327, 3252, 5, 'email text, brauchbare Tags: ***NAME***, i.e. Dear ***NAME***');
INSERT INTO `lang_definitions` VALUES (18328, 3253, 5, 'E-Mail Transport Methode');
INSERT INTO `lang_definitions` VALUES (18329, 3254, 5, 'E-Mail wurde an folgende Adresse gesendet werden');
INSERT INTO `lang_definitions` VALUES (18330, 3259, 5, 'Kontakt für Notfälle');
INSERT INTO `lang_definitions` VALUES (18331, 3260, 5, 'Notfall Kontaktperson');
INSERT INTO `lang_definitions` VALUES (18332, 3261, 5, 'Notfall Telefonnummer');
INSERT INTO `lang_definitions` VALUES (18333, 3262, 5, 'Notfall Empfängnisverhütung');
INSERT INTO `lang_definitions` VALUES (18334, 3263, 5, 'Notfall Login');
INSERT INTO `lang_definitions` VALUES (18335, 3266, 5, 'Notfall e-mail Adresse');
INSERT INTO `lang_definitions` VALUES (18336, 3267, 5, 'Notfall Login');
INSERT INTO `lang_definitions` VALUES (18337, 3268, 5, 'Telefonkontakt für Notfälle');
INSERT INTO `lang_definitions` VALUES (18338, 3270, 5, 'Emotionale / Verhalten Muster und Komplikationen');
INSERT INTO `lang_definitions` VALUES (18339, 3271, 5, 'Emphysem');
INSERT INTO `lang_definitions` VALUES (18340, 3272, 5, 'Arbeitnehmer');
INSERT INTO `lang_definitions` VALUES (18341, 3273, 5, 'Arbeitgeber');
INSERT INTO `lang_definitions` VALUES (18342, 3274, 5, 'Anschrift des Arbeitgebers');
INSERT INTO `lang_definitions` VALUES (18343, 3275, 5, 'Daten des Arbeitgebers');
INSERT INTO `lang_definitions` VALUES (18344, 3276, 5, 'Name des Arbeitgebers');
INSERT INTO `lang_definitions` VALUES (18345, 3277, 5, 'LEER');
INSERT INTO `lang_definitions` VALUES (18346, 3278, 5, 'Leer');
INSERT INTO `lang_definitions` VALUES (18347, 3279, 5, 'Leeres Passwort nicht erlaubt');
INSERT INTO `lang_definitions` VALUES (18348, 3281, 5, 'Kein Wert in \"Email Stunden\"');
INSERT INTO `lang_definitions` VALUES (18349, 3282, 5, 'Kein Wert in \"Email Sender\"');
INSERT INTO `lang_definitions` VALUES (18350, 3283, 5, 'Kein Wert in \"Email Betreff\"');
INSERT INTO `lang_definitions` VALUES (18351, 3284, 5, 'Kein Wert in \"Email Text\"');
INSERT INTO `lang_definitions` VALUES (18352, 3285, 5, 'Kein Wert in \"Name Provider\"');
INSERT INTO `lang_definitions` VALUES (18353, 3286, 5, 'Kein Wert in \"Passwort\"');
INSERT INTO `lang_definitions` VALUES (18354, 3287, 5, 'Kein Wert in \"SMS Hour\"');
INSERT INTO `lang_definitions` VALUES (18355, 3288, 5, 'Kein Wert in \"SMS Text\"');
INSERT INTO `lang_definitions` VALUES (18356, 3289, 5, 'Kein Wert in \"Username\"');
INSERT INTO `lang_definitions` VALUES (18357, 3298, 5, 'AMC-Prompting aktivieren');
INSERT INTO `lang_definitions` VALUES (18358, 3300, 5, 'AMC-Berichtswesen aktivieren');
INSERT INTO `lang_definitions` VALUES (18359, 3301, 5, 'AMC-Tracking aktivieren');
INSERT INTO `lang_definitions` VALUES (18360, 3303, 5, 'ATNA-Auditierung aktivieren');
INSERT INTO `lang_definitions` VALUES (18361, 3305, 5, 'Audit-Logging aktivieren');
INSERT INTO `lang_definitions` VALUES (18362, 3306, 5, 'Audit Trail and Node Authentication (ATNA) aktivieren');
INSERT INTO `lang_definitions` VALUES (18363, 3307, 5, 'Automated Measure Calculations (AMC) Berichtswesen aktivieren');
INSERT INTO `lang_definitions` VALUES (18364, 3312, 5, 'Client-SSL aktivieren');
INSERT INTO `lang_definitions` VALUES (18365, 3313, 5, 'Authentifizierung per Client-SSL-Zertifikat aktivieren');
INSERT INTO `lang_definitions` VALUES (18366, 3315, 5, 'Clinical Decision Rules (CDR) aktiveren');
INSERT INTO `lang_definitions` VALUES (18367, 3318, 5, 'Clinical Quality Measure (CQM) aktivieren');
INSERT INTO `lang_definitions` VALUES (18368, 3319, 5, 'Klinische Erinnerung (Pop-Up) aktivieren');
INSERT INTO `lang_definitions` VALUES (18369, 3320, 5, 'Klinisches Erinnerungs-Widget aktivieren');
INSERT INTO `lang_definitions` VALUES (18370, 3324, 5, 'CQM-Berichtswesen aktivieren');
INSERT INTO `lang_definitions` VALUES (18371, 3329, 5, 'Aktiviere EDI Verlauf im linken Menü');
INSERT INTO `lang_definitions` VALUES (18372, 3334, 5, 'Aktiviere Gebühren im linken Menü');
INSERT INTO `lang_definitions` VALUES (18373, 3341, 5, 'Hylafax-Unterstützung aktivieren');
INSERT INTO `lang_definitions` VALUES (18374, 3343, 5, 'Aktiviere Import STatus für NewCrop erx');
INSERT INTO `lang_definitions` VALUES (18375, 3347, 5, 'Labordatenaustausch aktivieren');
INSERT INTO `lang_definitions` VALUES (18376, 3349, 5, 'Logging für Dokument upload/download zu CouchDB aktivieren');
INSERT INTO `lang_definitions` VALUES (18377, 3350, 5, 'Logging für alle SQL SELECT queries aktivieren');
INSERT INTO `lang_definitions` VALUES (18378, 3351, 5, 'Logging für Backup-Aktivitäten aktivieren');
INSERT INTO `lang_definitions` VALUES (18379, 3352, 5, 'Logging für CDR Einrichtung-Anforderung aktivieren');
INSERT INTO `lang_definitions` VALUES (18380, 3353, 5, 'Logging für sonstige Aktivitäten aktivieren');
INSERT INTO `lang_definitions` VALUES (18381, 3354, 5, 'Logging für Bestell-Aktivitäten aktivieren');
INSERT INTO `lang_definitions` VALUES (18382, 3355, 5, 'Logging für Änderungen an Patientenakten aktivieren');
INSERT INTO `lang_definitions` VALUES (18383, 3356, 5, 'Logging für Termin-Aktivitäten aktivieren');
INSERT INTO `lang_definitions` VALUES (18384, 3357, 5, 'Logging für Sicherheits- und Administrationsaktivitäten aktivieren');
INSERT INTO `lang_definitions` VALUES (18385, 3360, 5, 'NewCrop eRx-Service aktivieren');
INSERT INTO `lang_definitions` VALUES (18386, 3365, 5, 'Offsite-Patientenportal aktivieren');
INSERT INTO `lang_definitions` VALUES (18387, 3366, 5, 'Offsite-Patientenportal aktivieren');
INSERT INTO `lang_definitions` VALUES (18388, 3368, 5, 'Onsite-Patientenportal aktivieren');
INSERT INTO `lang_definitions` VALUES (18389, 3371, 5, 'Onsite-Patientenportal aktivieren');
INSERT INTO `lang_definitions` VALUES (18390, 3385, 5, 'Patienten Erinnerungs-Widget aktivieren');
INSERT INTO `lang_definitions` VALUES (18391, 3387, 5, 'Aktiviere phiMail Direknachrichten Dienst');
INSERT INTO `lang_definitions` VALUES (18392, 3389, 5, 'Abfrage für AMC-Daten aktivieren');
INSERT INTO `lang_definitions` VALUES (18393, 3391, 5, 'Berichtswesen für Verfolgungsdaten des AMC aktivieren');
INSERT INTO `lang_definitions` VALUES (18394, 3392, 5, 'Scanner-Unterstützung aktivieren');
INSERT INTO `lang_definitions` VALUES (18395, 3396, 5, 'aktiviere Medical Information Integration, LLC Lab Exchange Service.');
INSERT INTO `lang_definitions` VALUES (18396, 3397, 5, 'OpenEMR Support LLC Lab Exchange Service aktivieren');
INSERT INTO `lang_definitions` VALUES (18397, 3398, 5, 'Nutzer-Zertifikats-Authentifizierung aktivieren');
INSERT INTO `lang_definitions` VALUES (18398, 3403, 5, 'ZMG, LLC eRx-Service aktivieren');
INSERT INTO `lang_definitions` VALUES (18399, 3404, 5, 'aktiviert');
INSERT INTO `lang_definitions` VALUES (18400, 3412, 5, 'Aktiviert das alte Honorar-Panel, um Abrechnungscodes und Zahlungen einzugeben. Nicht empfohlen, verwenden Sie das Honorar Blatt stattdessen.');
INSERT INTO `lang_definitions` VALUES (18401, 3415, 5, 'Besuch');
INSERT INTO `lang_definitions` VALUES (18402, 3417, 5, 'Besuch');
INSERT INTO `lang_definitions` VALUES (18403, 3418, 5, 'Besuch');
INSERT INTO `lang_definitions` VALUES (18404, 3419, 5, 'besuch');
INSERT INTO `lang_definitions` VALUES (18405, 3420, 5, 'Besuch');
INSERT INTO `lang_definitions` VALUES (18406, 3421, 5, 'Besuch akuter stationär oder ED');
INSERT INTO `lang_definitions` VALUES (18407, 3427, 5, 'Besuch Datum');
INSERT INTO `lang_definitions` VALUES (18408, 3430, 5, 'Besuch EDI Aufzeichnung');
INSERT INTO `lang_definitions` VALUES (18409, 3432, 5, 'Besuch Formulare');
INSERT INTO `lang_definitions` VALUES (18410, 3433, 5, 'Besuch Gesundheit und Verhaltens Beurteilung');
INSERT INTO `lang_definitions` VALUES (18411, 3434, 5, 'Besuch Verlauf');
INSERT INTO `lang_definitions` VALUES (18412, 3435, 5, 'Besuch ID');
INSERT INTO `lang_definitions` VALUES (18413, 3436, 5, 'Besuch Grippe');
INSERT INTO `lang_definitions` VALUES (18414, 3439, 5, 'Besuch Nummer');
INSERT INTO `lang_definitions` VALUES (18415, 3443, 5, 'Besuch Berufsbedingte Therapie');
INSERT INTO `lang_definitions` VALUES (18416, 3444, 5, 'Ordination Praxistermin');
INSERT INTO `lang_definitions` VALUES (18417, 3445, 5, 'Ordination Ambulanztermin');
INSERT INTO `lang_definitions` VALUES (18418, 3446, 5, 'Ordination Ambulanztermin mit PCP & Gyn');
INSERT INTO `lang_definitions` VALUES (18419, 3447, 5, 'Anzahl Visiten je Seite');
INSERT INTO `lang_definitions` VALUES (18420, 3448, 5, 'Besuch Zahlung');
INSERT INTO `lang_definitions` VALUES (18421, 3449, 5, 'Besuch Schwangerschaft');
INSERT INTO `lang_definitions` VALUES (18422, 3450, 5, 'Besuch Vorsorgemedizin - individual Besuch');
INSERT INTO `lang_definitions` VALUES (18423, 3451, 5, 'Besuch Vorsorgemedizin 40 und älter');
INSERT INTO `lang_definitions` VALUES (18424, 3452, 5, 'Besuch Vorsorgemedizin Gruppen Besuch');
INSERT INTO `lang_definitions` VALUES (18425, 3453, 5, 'Besuch Vorsorgemedizin andere Dienste');
INSERT INTO `lang_definitions` VALUES (18426, 3454, 5, 'Besuch Vorsorgemedizin 18 und älter');
INSERT INTO `lang_definitions` VALUES (18427, 3457, 5, 'besuche psychiatrisch & psychologisch');
INSERT INTO `lang_definitions` VALUES (18428, 3458, 5, 'Besuch Statistik');
INSERT INTO `lang_definitions` VALUES (18429, 3459, 5, 'Besuch Zusammenfassung');
INSERT INTO `lang_definitions` VALUES (18430, 3461, 5, 'Besuch wurde kodiert');
INSERT INTO `lang_definitions` VALUES (18431, 3462, 5, 'Besuch:');
INSERT INTO `lang_definitions` VALUES (18432, 3463, 5, 'Besuch: besuch Elektive stationär, ambulant, oder Ophthalmologie');
INSERT INTO `lang_definitions` VALUES (18433, 3464, 5, 'Besuche');
INSERT INTO `lang_definitions` VALUES (18434, 3465, 5, 'Besuche & Formulare');
INSERT INTO `lang_definitions` VALUES (18435, 3466, 5, 'Besuche &amp; Formulare');
INSERT INTO `lang_definitions` VALUES (18436, 3467, 5, 'Besuche nicht genehmigt');
INSERT INTO `lang_definitions` VALUES (18437, 3468, 5, 'Besuche Bericht');
INSERT INTO `lang_definitions` VALUES (18438, 3469, 5, 'Besuche Sektion');
INSERT INTO `lang_definitions` VALUES (18439, 3471, 5, 'Verschlüsselung');
INSERT INTO `lang_definitions` VALUES (18440, 3472, 5, 'Ende');
INSERT INTO `lang_definitions` VALUES (18441, 3473, 5, 'Ende (tt.mm.jjjj)');
INSERT INTO `lang_definitions` VALUES (18442, 3474, 5, 'Enddatum');
INSERT INTO `lang_definitions` VALUES (18443, 3475, 5, 'Enddatum');
INSERT INTO `lang_definitions` VALUES (18444, 3480, 5, 'Enddatum muss größer sein als Startdatum');
INSERT INTO `lang_definitions` VALUES (18445, 3482, 5, 'Enddatum');
INSERT INTO `lang_definitions` VALUES (18446, 3487, 5, 'Endzeit');
INSERT INTO `lang_definitions` VALUES (18447, 3489, 5, 'End Stadium Niereninsuffizienz begünstigt in MCP mit ANgestellten Gruppenplan');
INSERT INTO `lang_definitions` VALUES (18448, 3492, 5, 'Enddatum der Leistung (jjjj-mm-tt)');
INSERT INTO `lang_definitions` VALUES (18449, 3493, 5, 'Enddatum der Leistung (jjjj-mm-tt) wenn ein Zeitrahmen eintrag');
INSERT INTO `lang_definitions` VALUES (18450, 3494, 5, 'Endstunde für Kalender Ereignisse');
INSERT INTO `lang_definitions` VALUES (18451, 3495, 5, 'Innere abnormale Blutung');
INSERT INTO `lang_definitions` VALUES (18452, 3496, 5, 'Endokrin');
INSERT INTO `lang_definitions` VALUES (18453, 3497, 5, 'Endoskopie');
INSERT INTO `lang_definitions` VALUES (18454, 3502, 5, 'Englisch');
INSERT INTO `lang_definitions` VALUES (18455, 3503, 5, 'Englisch');
INSERT INTO `lang_definitions` VALUES (18456, 3504, 5, 'Englisch (Indisch)');
INSERT INTO `lang_definitions` VALUES (18457, 3505, 5, 'Englisch (Standard)');
INSERT INTO `lang_definitions` VALUES (18458, 3506, 5, 'Enskript kommando gebraucht bei Hylafax');
INSERT INTO `lang_definitions` VALUES (18459, 3507, 5, 'OpenEMR muß Schreibrechte im Verzeichnis haben');
INSERT INTO `lang_definitions` VALUES (18460, 3509, 5, 'HNO Sekretion');
INSERT INTO `lang_definitions` VALUES (18461, 3510, 5, 'HNO Schmerz');
INSERT INTO `lang_definitions` VALUES (18462, 3513, 5, 'Diagnosekode eingeben , um alle Rechnung ohne diese Diagnose auszuschliessen');
INSERT INTO `lang_definitions` VALUES (18463, 3518, 5, 'Breifkopf hier eingeben');
INSERT INTO `lang_definitions` VALUES (18464, 3520, 5, 'Datenbank Root Passwort');
INSERT INTO `lang_definitions` VALUES (18465, 3521, 5, 'Datenbank Root Username');
INSERT INTO `lang_definitions` VALUES (18466, 3529, 5, 'Diagnose erfassen');
INSERT INTO `lang_definitions` VALUES (18467, 3530, 5, 'Medikamente erfassen');
INSERT INTO `lang_definitions` VALUES (18468, 3533, 5, 'Besuch erfassen');
INSERT INTO `lang_definitions` VALUES (18469, 3534, 5, 'Besuch Nummer eingeben');
INSERT INTO `lang_definitions` VALUES (18470, 3537, 5, 'Eingabe Impfungen');
INSERT INTO `lang_definitions` VALUES (18471, 3538, 5, 'Enter-Taste');
INSERT INTO `lang_definitions` VALUES (18472, 3544, 5, 'Neuen Status erfassen');
INSERT INTO `lang_definitions` VALUES (18473, 3549, 5, 'Empfänger Adresse eingeben');
INSERT INTO `lang_definitions` VALUES (18474, 3569, 5, 'Re-Identifikations-Code erfassen');
INSERT INTO `lang_definitions` VALUES (18475, 3581, 5, 'Gib Deine Suchbegriffe oben ein');
INSERT INTO `lang_definitions` VALUES (18476, 3584, 5, 'falscher Eintrag');
INSERT INTO `lang_definitions` VALUES (18477, 3586, 5, 'Einträge');
INSERT INTO `lang_definitions` VALUES (18478, 3591, 5, 'Umgebung');
INSERT INTO `lang_definitions` VALUES (18479, 3592, 5, 'EOB Dateneingabe');
INSERT INTO `lang_definitions` VALUES (18480, 3596, 5, 'EOB Zustellung - Elektronische Rechnung');
INSERT INTO `lang_definitions` VALUES (18481, 3597, 5, 'EOB Zustellung -Instruktionen');
INSERT INTO `lang_definitions` VALUES (18482, 3598, 5, 'EOB Zustellung - Rechnung');
INSERT INTO `lang_definitions` VALUES (18483, 3599, 5, 'EOB Zustellung - Patientenakte');
INSERT INTO `lang_definitions` VALUES (18484, 3600, 5, 'EOB Zustellung - Suche');
INSERT INTO `lang_definitions` VALUES (18485, 3602, 5, 'Epilepsie');
INSERT INTO `lang_definitions` VALUES (18486, 3608, 5, 'ERA');
INSERT INTO `lang_definitions` VALUES (18487, 3609, 5, 'ERA Files');
INSERT INTO `lang_definitions` VALUES (18488, 3610, 5, 'ERA Zustellung');
INSERT INTO `lang_definitions` VALUES (18489, 3612, 5, 'Löschen');
INSERT INTO `lang_definitions` VALUES (18490, 3614, 5, 'Errektionen');
INSERT INTO `lang_definitions` VALUES (18491, 3615, 5, 'Fehler');
INSERT INTO `lang_definitions` VALUES (18492, 3617, 5, 'Fehler bei der Bestätigung des Erhalts der Laborbefunde');
INSERT INTO `lang_definitions` VALUES (18493, 3620, 5, 'Fehler bei der Übernahme der Laborbefunde vom Lab Exchange Network');
INSERT INTO `lang_definitions` VALUES (18494, 3621, 5, 'Fehler in der Geschlechtsauswahl');
INSERT INTO `lang_definitions` VALUES (18495, 3622, 5, 'Fehler bei der HIPAA-Auswahl');
INSERT INTO `lang_definitions` VALUES (18496, 3623, 5, 'Fehler bei der Verarbeitungs-Auswahl');
INSERT INTO `lang_definitions` VALUES (18497, 3624, 5, 'Fehler bei der Auswahl des SMS-Gateways');
INSERT INTO `lang_definitions` VALUES (18498, 3625, 5, 'Fehler bei der Auswahl des Sortierkriteriums');
INSERT INTO `lang_definitions` VALUES (18499, 3626, 5, 'Fehler in der GZIP-Kompression der Datei:');
INSERT INTO `lang_definitions` VALUES (18500, 3627, 5, 'Fehler bei JA/NEIN-Auswahl');
INSERT INTO `lang_definitions` VALUES (18501, 3630, 5, 'Fehler beim Öffnen der hochgeladenen Datei');
INSERT INTO `lang_definitions` VALUES (18502, 3631, 5, 'Fehler beim verarbeiten der Datei');
INSERT INTO `lang_definitions` VALUES (18503, 3632, 5, 'Fehler beim Upload');
INSERT INTO `lang_definitions` VALUES (18504, 3633, 5, 'Fehler beim Löschen der Nachricht');
INSERT INTO `lang_definitions` VALUES (18505, 3634, 5, 'Fehler beim Abrufen der Befunde vom Lab Exchange Network');
INSERT INTO `lang_definitions` VALUES (18506, 3635, 5, 'Fehler beim Abrufen der Werte.');
INSERT INTO `lang_definitions` VALUES (18507, 3637, 5, 'Fehler bei der Gewähung des File-Privilegs für den OpenEMR Nutzer');
INSERT INTO `lang_definitions` VALUES (18508, 3640, 5, 'Fehler bei der Registrierung des Formulars!');
INSERT INTO `lang_definitions` VALUES (18509, 3641, 5, 'Fehler beim Speichern');
INSERT INTO `lang_definitions` VALUES (18510, 3643, 5, 'Fehler beim Schreiben der Daten');
INSERT INTO `lang_definitions` VALUES (18511, 3646, 5, 'Fehler gefunden in neuen Ergebnissen');
INSERT INTO `lang_definitions` VALUES (18512, 3651, 5, 'Fehler: Datei existiert nicht');
INSERT INTO `lang_definitions` VALUES (18513, 3652, 5, 'Fehler: Daten können nicht vom Server abgerufen werden');
INSERT INTO `lang_definitions` VALUES (18514, 3653, 5, 'Fehler: Client-Zertifikat kann nicht erstellt werden');
INSERT INTO `lang_definitions` VALUES (18515, 3654, 5, 'Fehler: admin.p12-Zertifikat kann nicht erstellt werden');
INSERT INTO `lang_definitions` VALUES (18516, 3655, 5, 'Fehler: Certificate Authority Zertifikat kann nicht erstellt werden');
INSERT INTO `lang_definitions` VALUES (18517, 3656, 5, 'Fehler: Server-Zertifikat kann nicht erstellt werden');
INSERT INTO `lang_definitions` VALUES (18518, 3658, 5, 'Fehler: Datei kann nicht geöffnet werden');
INSERT INTO `lang_definitions` VALUES (18519, 3659, 5, 'Fehler: Authentifizierung mittels Nutzer-Zertifikat ist nicht aktiviert in OpenEMR');
INSERT INTO `lang_definitions` VALUES (18520, 3663, 5, 'Fehler: Du musst das Archive/Tar.php-Modul installieren');
INSERT INTO `lang_definitions` VALUES (18521, 3664, 5, 'Fehler: Die Datei table.sql konnte nicht geöffnet werden.');
INSERT INTO `lang_definitions` VALUES (18522, 3667, 5, 'FEHLER: Doppelte ID in Zeile');
INSERT INTO `lang_definitions` VALUES (18523, 3668, 5, 'FEHLER: Doppelter Namen in Zeile');
INSERT INTO `lang_definitions` VALUES (18524, 3669, 5, 'FEHLER: Feld');
INSERT INTO `lang_definitions` VALUES (18525, 3670, 5, 'FEHLER: PHP Modul für ZIP-Archive fehlt');
INSERT INTO `lang_definitions` VALUES (18526, 3671, 5, 'FEHLER: Kein ICD Import-Verzeichnis');
INSERT INTO `lang_definitions` VALUES (18527, 3672, 5, 'FEHLER: Falsches Passwort. Tippfehler?');
INSERT INTO `lang_definitions` VALUES (18528, 3673, 5, 'FEHLER: Falsches Passwort. Tippfehler?');
INSERT INTO `lang_definitions` VALUES (18529, 3674, 5, 'FEHLER: Die Datei existiert nicht.');
INSERT INTO `lang_definitions` VALUES (18530, 3675, 5, 'FEHLER: Die folgenden Variablen beinhalten ungültige Zeichen.');
INSERT INTO `lang_definitions` VALUES (18531, 3676, 5, 'FEHLER: Datei kann nicht kopiert werden.');
INSERT INTO `lang_definitions` VALUES (18532, 3677, 5, 'FEHLER: Downloadbares Archiv kann nicht erzeugt werden.');
INSERT INTO `lang_definitions` VALUES (18533, 3678, 5, 'FEHLER: ZIP-Archiv kann nicht erzeugt werden.');
INSERT INTO `lang_definitions` VALUES (18534, 3679, 5, 'FEHLER: Datei kann nicht entpackt werden.');
INSERT INTO `lang_definitions` VALUES (18535, 3680, 5, 'FEHLER: Datei kann nicht in die Datenbank geschrieben werden.');
INSERT INTO `lang_definitions` VALUES (18536, 3681, 5, 'FEHLER: Versionsnummer kann nicht gesetzt werden.');
INSERT INTO `lang_definitions` VALUES (18537, 3682, 5, 'Fehler');
INSERT INTO `lang_definitions` VALUES (18538, 3684, 5, 'eRx Konto-Status');
INSERT INTO `lang_definitions` VALUES (18539, 3685, 5, 'eRx Logs');
INSERT INTO `lang_definitions` VALUES (18540, 3686, 5, 'ERX Name');
INSERT INTO `lang_definitions` VALUES (18541, 3687, 5, 'ERX Passwort');
INSERT INTO `lang_definitions` VALUES (18542, 3688, 5, 'ERX Rolle');
INSERT INTO `lang_definitions` VALUES (18543, 3689, 5, 'ERX Nutzer');
INSERT INTO `lang_definitions` VALUES (18544, 3690, 5, 'Erythem:');
INSERT INTO `lang_definitions` VALUES (18545, 3693, 5, 'Eskimo');
INSERT INTO `lang_definitions` VALUES (18546, 3699, 5, 'Bekannter Patient');
INSERT INTO `lang_definitions` VALUES (18547, 3700, 5, 'Estland');
INSERT INTO `lang_definitions` VALUES (18548, 3701, 5, 'Volkszugehörigkeit');
INSERT INTO `lang_definitions` VALUES (18549, 3702, 5, 'Ethnie oder Rasse');
INSERT INTO `lang_definitions` VALUES (18550, 3703, 5, 'Ethnien/Rassen-Liste (schreiben, hinzufügen optional)');
INSERT INTO `lang_definitions` VALUES (18551, 3706, 5, 'ETIN');
INSERT INTO `lang_definitions` VALUES (18552, 3709, 5, 'Ereignis');
INSERT INTO `lang_definitions` VALUES (18553, 3710, 5, 'Ereignis beginnt');
INSERT INTO `lang_definitions` VALUES (18554, 3711, 5, 'Ereignis-Kategorie');
INSERT INTO `lang_definitions` VALUES (18555, 3712, 5, 'Ereignisdatum');
INSERT INTO `lang_definitions` VALUES (18556, 3714, 5, 'Ereignisbeschreibung');
INSERT INTO `lang_definitions` VALUES (18557, 3715, 5, 'Ereignis Details');
INSERT INTO `lang_definitions` VALUES (18558, 3716, 5, 'Ereignis wiederholt sich nicht');
INSERT INTO `lang_definitions` VALUES (18559, 3717, 5, 'Ereignis Dauer');
INSERT INTO `lang_definitions` VALUES (18560, 3718, 5, 'Ereignis Dauer in Minuten');
INSERT INTO `lang_definitions` VALUES (18561, 3719, 5, 'Teilnahmegebühr');
INSERT INTO `lang_definitions` VALUES (18562, 3720, 5, 'Veranstaltungsort');
INSERT INTO `lang_definitions` VALUES (18563, 3721, 5, 'Ereignis wiederholt sich alle');
INSERT INTO `lang_definitions` VALUES (18564, 3722, 5, 'Ereignis wiederholt am');
INSERT INTO `lang_definitions` VALUES (18565, 3723, 5, 'Ereignis Startzeit');
INSERT INTO `lang_definitions` VALUES (18566, 3724, 5, 'Ereignis titel');
INSERT INTO `lang_definitions` VALUES (18567, 3725, 5, 'Ereignis Titel');
INSERT INTO `lang_definitions` VALUES (18568, 3726, 5, 'Ereignis Webseite');
INSERT INTO `lang_definitions` VALUES (18569, 3727, 5, 'Ereignis für');
INSERT INTO `lang_definitions` VALUES (18570, 3728, 5, 'Ereignis für');
INSERT INTO `lang_definitions` VALUES (18571, 3729, 5, 'Ereignisse in neuem Fenster öffnen');
INSERT INTO `lang_definitions` VALUES (18572, 3731, 5, 'jede');
INSERT INTO `lang_definitions` VALUES (18573, 3732, 5, 'Jede');
INSERT INTO `lang_definitions` VALUES (18574, 3734, 5, 'alle 3 Stunden');
INSERT INTO `lang_definitions` VALUES (18575, 3736, 5, 'alle 4 Stunden');
INSERT INTO `lang_definitions` VALUES (18576, 3738, 5, 'alle 5 Stunden');
INSERT INTO `lang_definitions` VALUES (18577, 3740, 5, 'alle 6 Stunden');
INSERT INTO `lang_definitions` VALUES (18578, 3742, 5, 'alle 8 Stunden');
INSERT INTO `lang_definitions` VALUES (18579, 3743, 5, 'jeder vierte');
INSERT INTO `lang_definitions` VALUES (18580, 3745, 5, 'jeder zweite');
INSERT INTO `lang_definitions` VALUES (18581, 3746, 5, 'jeder dritte');
INSERT INTO `lang_definitions` VALUES (18582, 3747, 5, 'jeder, jeder zweite, jeder dritte, etc.');
INSERT INTO `lang_definitions` VALUES (18583, 3749, 5, 'Untersuchung und Ergebnisse');
INSERT INTO `lang_definitions` VALUES (18584, 3750, 5, 'Untersuchungsergebnis');
INSERT INTO `lang_definitions` VALUES (18585, 3753, 5, 'Untersuchung');
INSERT INTO `lang_definitions` VALUES (18586, 3754, 5, 'Untersuchungsdatum');
INSERT INTO `lang_definitions` VALUES (18587, 3755, 5, 'Beispiel');
INSERT INTO `lang_definitions` VALUES (18588, 3758, 5, 'Beispiele');
INSERT INTO `lang_definitions` VALUES (18589, 3760, 5, 'Untersuchungen');
INSERT INTO `lang_definitions` VALUES (18590, 3762, 5, 'ausgenommen');
INSERT INTO `lang_definitions` VALUES (18591, 3763, 5, 'ausgeprägte Abnutzung');
INSERT INTO `lang_definitions` VALUES (18592, 3766, 5, 'ausgeschlossen Patienten');
INSERT INTO `lang_definitions` VALUES (18593, 3767, 5, 'Ausschluss');
INSERT INTO `lang_definitions` VALUES (18594, 3768, 5, 'Exklusive Organisation von Leistungserbringern (EPO)');
INSERT INTO `lang_definitions` VALUES (18595, 3770, 5, 'Executive (papiergröße)');
INSERT INTO `lang_definitions` VALUES (18596, 3771, 5, 'Übungen');
INSERT INTO `lang_definitions` VALUES (18597, 3772, 5, 'Übungs Vorlagen');
INSERT INTO `lang_definitions` VALUES (18598, 3773, 5, 'Übungs Vorlagen');
INSERT INTO `lang_definitions` VALUES (18599, 3774, 5, 'Existiert');
INSERT INTO `lang_definitions` VALUES (18600, 3778, 5, 'Ausstieg aus Verwaltung');
INSERT INTO `lang_definitions` VALUES (18601, 3782, 5, 'Erweitern');
INSERT INTO `lang_definitions` VALUES (18602, 3784, 5, 'Einblenden');
INSERT INTO `lang_definitions` VALUES (18603, 3785, 5, 'einblenden');
INSERT INTO `lang_definitions` VALUES (18604, 3787, 5, 'Alle Einblenden');
INSERT INTO `lang_definitions` VALUES (18605, 3792, 5, 'Erweiterte Ansicht');
INSERT INTO `lang_definitions` VALUES (18606, 3793, 5, 'Erwarte form_encounter.pid als');
INSERT INTO `lang_definitions` VALUES (18607, 3794, 5, 'Verfallen');
INSERT INTO `lang_definitions` VALUES (18608, 3795, 5, 'Verfalldatum');
INSERT INTO `lang_definitions` VALUES (18609, 3797, 5, 'Verfällt');
INSERT INTO `lang_definitions` VALUES (18610, 3798, 5, 'verfällt in');
INSERT INTO `lang_definitions` VALUES (18611, 3799, 5, 'Exportieren');
INSERT INTO `lang_definitions` VALUES (18612, 3800, 5, 'Exportieren als CSV');
INSERT INTO `lang_definitions` VALUES (18613, 3802, 5, 'Exportieren der Konfiguration');
INSERT INTO `lang_definitions` VALUES (18614, 3806, 5, 'Exportiere persönliche Patientendaten');
INSERT INTO `lang_definitions` VALUES (18615, 3808, 5, 'Exportiere PQRI Bericht');
INSERT INTO `lang_definitions` VALUES (18616, 3810, 5, 'Ausgewählte als CSV exportieren');
INSERT INTO `lang_definitions` VALUES (18617, 3811, 5, 'Ausgewählte zu Sammlungen exportieren');
INSERT INTO `lang_definitions` VALUES (18618, 3812, 5, 'Zu CSV exportieren');
INSERT INTO `lang_definitions` VALUES (18619, 3813, 5, 'In externes Abrechnungssystem exportieren');
INSERT INTO `lang_definitions` VALUES (18620, 3815, 5, 'im Ausland gewesen');
INSERT INTO `lang_definitions` VALUES (18621, 3816, 5, 'im Ausland gewesen');
INSERT INTO `lang_definitions` VALUES (18622, 3820, 5, 'Extern');
INSERT INTO `lang_definitions` VALUES (18623, 3823, 5, 'Externe Daten laden/aktualisieren');
INSERT INTO `lang_definitions` VALUES (18624, 3824, 5, 'Externe Datenbank importieren');
INSERT INTO `lang_definitions` VALUES (18625, 3828, 5, 'Externe ID');
INSERT INTO `lang_definitions` VALUES (18626, 3829, 5, 'Externe id');
INSERT INTO `lang_definitions` VALUES (18627, 3830, 5, 'externe Kennung');
INSERT INTO `lang_definitions` VALUES (18628, 3838, 5, 'ZIP-Datei entpacken');
INSERT INTO `lang_definitions` VALUES (18629, 3839, 5, 'Entpacke Datei. Dies wird eine Weile dauern...');
INSERT INTO `lang_definitions` VALUES (18630, 3840, 5, 'Ausschwitzung');
INSERT INTO `lang_definitions` VALUES (18631, 3850, 5, 'Augen-Irritation');
INSERT INTO `lang_definitions` VALUES (18632, 3856, 5, 'Augen-Schmerzen');
INSERT INTO `lang_definitions` VALUES (18633, 3860, 5, 'Augenrötung');
INSERT INTO `lang_definitions` VALUES (18634, 3863, 5, 'Augen');
INSERT INTO `lang_definitions` VALUES (18635, 3865, 5, 'F');
INSERT INTO `lang_definitions` VALUES (18636, 3866, 5, 'F/H Blutprobleme');
INSERT INTO `lang_definitions` VALUES (18637, 3868, 5, 'Standorte');
INSERT INTO `lang_definitions` VALUES (18638, 3869, 5, 'Standort');
INSERT INTO `lang_definitions` VALUES (18639, 3870, 5, 'standort');
INSERT INTO `lang_definitions` VALUES (18640, 3871, 5, 'Standort Verwaltung');
INSERT INTO `lang_definitions` VALUES (18641, 3872, 5, 'Standort Stadt');
INSERT INTO `lang_definitions` VALUES (18642, 3873, 5, 'Standort Code');
INSERT INTO `lang_definitions` VALUES (18643, 3875, 5, 'Standort Länder Code');
INSERT INTO `lang_definitions` VALUES (18644, 3876, 5, 'Standort Fax');
INSERT INTO `lang_definitions` VALUES (18645, 3878, 5, 'Standort Name');
INSERT INTO `lang_definitions` VALUES (18646, 3879, 5, 'Standort NPI');
INSERT INTO `lang_definitions` VALUES (18647, 3880, 5, 'Standort Telefon');
INSERT INTO `lang_definitions` VALUES (18648, 3882, 5, 'Standort spezifische Information');
INSERT INTO `lang_definitions` VALUES (18649, 3883, 5, 'Standort Staat');
INSERT INTO `lang_definitions` VALUES (18650, 3884, 5, 'Standort Straße');
INSERT INTO `lang_definitions` VALUES (18651, 3886, 5, 'Standort PLZ');
INSERT INTO `lang_definitions` VALUES (18652, 3888, 5, 'Standort:');
INSERT INTO `lang_definitions` VALUES (18653, 3889, 5, 'FEHLER');
INSERT INTO `lang_definitions` VALUES (18654, 3890, 5, 'Fehlgeschlagen');
INSERT INTO `lang_definitions` VALUES (18655, 3891, 5, 'fehlgeschlagen');
INSERT INTO `lang_definitions` VALUES (18656, 3901, 5, 'Anlegen des temporären Verzeichnis. CouchDB ist nicht einsatzbereit.');
INSERT INTO `lang_definitions` VALUES (18657, 3907, 5, 'Fehlgeschlagen.');
INSERT INTO `lang_definitions` VALUES (18658, 3908, 5, 'Fehler');
INSERT INTO `lang_definitions` VALUES (18659, 3916, 5, 'Familiäre Anamnese');
INSERT INTO `lang_definitions` VALUES (18660, 3918, 5, 'Familienanamnese bzgl. Glaukom');
INSERT INTO `lang_definitions` VALUES (18661, 3919, 5, 'Familiärer Hintergrund');
INSERT INTO `lang_definitions` VALUES (18662, 3921, 5, 'Familiengeld');
INSERT INTO `lang_definitions` VALUES (18663, 3922, 5, 'Größe der Familie');
INSERT INTO `lang_definitions` VALUES (18664, 3923, 5, 'Phantasie');
INSERT INTO `lang_definitions` VALUES (18665, 3925, 5, 'Farsi');
INSERT INTO `lang_definitions` VALUES (18666, 3928, 5, 'Vater');
INSERT INTO `lang_definitions` VALUES (18667, 3930, 5, 'Müdigkeit');
INSERT INTO `lang_definitions` VALUES (18668, 3931, 5, 'Müde');
INSERT INTO `lang_definitions` VALUES (18669, 3933, 5, 'Fax');
INSERT INTO `lang_definitions` VALUES (18670, 3934, 5, 'Fax Zähler');
INSERT INTO `lang_definitions` VALUES (18671, 3935, 5, 'Faxnummer');
INSERT INTO `lang_definitions` VALUES (18672, 3937, 5, 'Fax/Scanner');
INSERT INTO `lang_definitions` VALUES (18673, 3938, 5, 'Fax-Eingang');
INSERT INTO `lang_definitions` VALUES (18674, 3939, 5, 'Fax-Ausgang');
INSERT INTO `lang_definitions` VALUES (18675, 3940, 5, 'Funktion');
INSERT INTO `lang_definitions` VALUES (18676, 3941, 5, 'Feb');
INSERT INTO `lang_definitions` VALUES (18677, 3942, 5, 'Februar');
INSERT INTO `lang_definitions` VALUES (18678, 3943, 5, 'FECA');
INSERT INTO `lang_definitions` VALUES (18679, 3944, 5, 'Medikament-ID');
INSERT INTO `lang_definitions` VALUES (18680, 3945, 5, 'Medikament EIN');
INSERT INTO `lang_definitions` VALUES (18681, 3946, 5, 'Steuernummer');
INSERT INTO `lang_definitions` VALUES (18682, 3948, 5, 'Gebühr');
INSERT INTO `lang_definitions` VALUES (18683, 3949, 5, 'Gebühr');
INSERT INTO `lang_definitions` VALUES (18684, 3950, 5, 'Honorar ist nicht erlaubt');
INSERT INTO `lang_definitions` VALUES (18685, 3951, 5, 'Honorar Formular');
INSERT INTO `lang_definitions` VALUES (18686, 3953, 5, 'Option für Honorar Formular');
INSERT INTO `lang_definitions` VALUES (18687, 3955, 5, 'Honorare');
INSERT INTO `lang_definitions` VALUES (18688, 3956, 5, 'Weiblich');
INSERT INTO `lang_definitions` VALUES (18689, 3958, 5, 'Frauenkondom');
INSERT INTO `lang_definitions` VALUES (18690, 3962, 5, 'Frauen Syntome');
INSERT INTO `lang_definitions` VALUES (18691, 3966, 5, 'Fieber');
INSERT INTO `lang_definitions` VALUES (18692, 3967, 5, 'Fieber:');
INSERT INTO `lang_definitions` VALUES (18693, 3968, 5, 'FH Blut Probleme');
INSERT INTO `lang_definitions` VALUES (18694, 3972, 5, 'Myome');
INSERT INTO `lang_definitions` VALUES (18695, 3980, 5, 'Felder fehlen!');
INSERT INTO `lang_definitions` VALUES (18696, 3986, 5, 'Datei');
INSERT INTO `lang_definitions` VALUES (18697, 3989, 5, 'Datei im Dokumentations-Verzeichnis, das zeigt, wie der Log-Backups automatisch erstellt werden können');
INSERT INTO `lang_definitions` VALUES (18698, 3990, 5, 'Datei Ort');
INSERT INTO `lang_definitions` VALUES (18699, 3991, 5, 'Dateiverwaltung');
INSERT INTO `lang_definitions` VALUES (18700, 3998, 5, 'File-Privileg dem OpenEMR-Nutzer gewährt');
INSERT INTO `lang_definitions` VALUES (18701, 3999, 5, 'Datei-Abruf von CouchDB fehlgeschlagen');
INSERT INTO `lang_definitions` VALUES (18702, 4000, 5, 'Aktenraum');
INSERT INTO `lang_definitions` VALUES (18703, 4001, 5, 'Datei für den Upload');
INSERT INTO `lang_definitions` VALUES (18704, 4002, 5, 'Datei für den Upload');
INSERT INTO `lang_definitions` VALUES (18705, 4003, 5, 'Datei mit dem selben Namen existiert bereits unter:');
INSERT INTO `lang_definitions` VALUES (18706, 4004, 5, 'Dateiname');
INSERT INTO `lang_definitions` VALUES (18707, 4006, 5, 'Dateien');
INSERT INTO `lang_definitions` VALUES (18708, 4011, 5, 'Philipino');
INSERT INTO `lang_definitions` VALUES (18709, 4013, 5, 'Fülle eine der unten stehenden Zeilen aus');
INSERT INTO `lang_definitions` VALUES (18710, 4014, 5, 'nur ausfüllen, wenn der Patient mit email benachrichtigt werden soll');
INSERT INTO `lang_definitions` VALUES (18711, 4023, 5, 'Die Werte unten eintragen');
INSERT INTO `lang_definitions` VALUES (18712, 4025, 5, 'Füllen Sie die Zeile');
INSERT INTO `lang_definitions` VALUES (18713, 4028, 5, 'Filter');
INSERT INTO `lang_definitions` VALUES (18714, 4029, 5, 'Filter für Konstanten');
INSERT INTO `lang_definitions` VALUES (18715, 4030, 5, 'Filter für Definitionen');
INSERT INTO `lang_definitions` VALUES (18716, 4031, 5, 'gefiltert von');
INSERT INTO `lang_definitions` VALUES (18717, 4032, 5, 'Filter');
INSERT INTO `lang_definitions` VALUES (18718, 4033, 5, 'filtert');
INSERT INTO `lang_definitions` VALUES (18719, 4034, 5, 'Abschluß');
INSERT INTO `lang_definitions` VALUES (18720, 4035, 5, 'Schlußdiagnose');
INSERT INTO `lang_definitions` VALUES (18721, 4036, 5, 'Schlußdiagnose durch Facharzt');
INSERT INTO `lang_definitions` VALUES (18722, 4038, 5, 'Finanz');
INSERT INTO `lang_definitions` VALUES (18723, 4040, 5, 'Finanzbericht - alle');
INSERT INTO `lang_definitions` VALUES (18724, 4042, 5, 'Finanzbericht - meine Fälle');
INSERT INTO `lang_definitions` VALUES (18725, 4045, 5, 'Finanz Bericht Datum');
INSERT INTO `lang_definitions` VALUES (18726, 4048, 5, 'Finden');
INSERT INTO `lang_definitions` VALUES (18727, 4049, 5, 'Verfügbare finden');
INSERT INTO `lang_definitions` VALUES (18728, 4050, 5, 'Freie Termine finden');
INSERT INTO `lang_definitions` VALUES (18729, 4053, 5, 'Patienten finden');
INSERT INTO `lang_definitions` VALUES (18730, 4054, 5, 'Finden Patientenaufklärung Materialien');
INSERT INTO `lang_definitions` VALUES (18731, 4056, 5, 'Befunde');
INSERT INTO `lang_definitions` VALUES (18732, 4057, 5, 'Befunde von Spezialisten');
INSERT INTO `lang_definitions` VALUES (18733, 4058, 5, 'Fein');
INSERT INTO `lang_definitions` VALUES (18734, 4060, 5, 'Erledigte Zahlungen');
INSERT INTO `lang_definitions` VALUES (18735, 4062, 5, 'fertig');
INSERT INTO `lang_definitions` VALUES (18736, 4065, 5, 'Erster');
INSERT INTO `lang_definitions` VALUES (18737, 4068, 5, 'Erster Tag der Woche');
INSERT INTO `lang_definitions` VALUES (18738, 4071, 5, 'Vorname');
INSERT INTO `lang_definitions` VALUES (18739, 4072, 5, 'Vorname');
INSERT INTO `lang_definitions` VALUES (18740, 4073, 5, 'Vorname:');
INSERT INTO `lang_definitions` VALUES (18741, 4079, 5, 'Fitness');
INSERT INTO `lang_definitions` VALUES (18742, 4080, 5, 'Fitness Level');
INSERT INTO `lang_definitions` VALUES (18743, 4081, 5, 'Fitness Level des spielers an diesem Tag');
INSERT INTO `lang_definitions` VALUES (18744, 4083, 5, 'Fitness, um zu spielen');
INSERT INTO `lang_definitions` VALUES (18745, 4084, 5, 'Fixes Besuch Datum - beliebige Besuche');
INSERT INTO `lang_definitions` VALUES (18746, 4086, 5, 'Beheben');
INSERT INTO `lang_definitions` VALUES (18747, 4088, 5, 'FL');
INSERT INTO `lang_definitions` VALUES (18748, 4090, 5, 'Flatulenz');
INSERT INTO `lang_definitions` VALUES (18749, 4091, 5, 'Fluß');
INSERT INTO `lang_definitions` VALUES (18750, 4108, 5, 'Grippesaison');
INSERT INTO `lang_definitions` VALUES (18751, 4109, 5, 'Grippesaison');
INSERT INTO `lang_definitions` VALUES (18752, 4110, 5, 'Grippe-Impfung');
INSERT INTO `lang_definitions` VALUES (18753, 4111, 5, 'Flüssigkeits- und Elektrolytstörung');
INSERT INTO `lang_definitions` VALUES (18754, 4112, 5, 'FMS');
INSERT INTO `lang_definitions` VALUES (18755, 4113, 5, 'Folio Papierformat');
INSERT INTO `lang_definitions` VALUES (18756, 4114, 5, 'Manuell folgen');
INSERT INTO `lang_definitions` VALUES (18757, 4115, 5, 'Befolgen Sie diese Anweisungen zum Installieren oder Aktualisieren der folgenden Datenbank');
INSERT INTO `lang_definitions` VALUES (18758, 4116, 5, 'Nachgehen');
INSERT INTO `lang_definitions` VALUES (18759, 4119, 5, 'Verfolge Grund');
INSERT INTO `lang_definitions` VALUES (18760, 4121, 5, 'Nachfolgend eine neue Kunden Konstante:');
INSERT INTO `lang_definitions` VALUES (18761, 4122, 5, 'Nachfolgend eine neue Kunden Sprache:');
INSERT INTO `lang_definitions` VALUES (18762, 4123, 5, 'Nachfolgend eine neue Definition (Sprache, Konstante, Definition):');
INSERT INTO `lang_definitions` VALUES (18763, 4125, 5, 'Follow up Service');
INSERT INTO `lang_definitions` VALUES (18764, 4126, 5, 'Folgetermine angewiesen');
INSERT INTO `lang_definitions` VALUES (18765, 4129, 5, 'Nahrungsmittelunverträglichkeit');
INSERT INTO `lang_definitions` VALUES (18766, 4130, 5, 'Fuß');
INSERT INTO `lang_definitions` VALUES (18767, 4131, 5, 'Fuß-Beschwerden');
INSERT INTO `lang_definitions` VALUES (18768, 4132, 5, 'Fuß:');
INSERT INTO `lang_definitions` VALUES (18769, 4133, 5, 'Fussball-Verletzungen');
INSERT INTO `lang_definitions` VALUES (18770, 4134, 5, 'Fussball-Verletzung');
INSERT INTO `lang_definitions` VALUES (18771, 4135, 5, 'Fußballverletzungsbericht');
INSERT INTO `lang_definitions` VALUES (18772, 4136, 5, 'Schuh Typ');
INSERT INTO `lang_definitions` VALUES (18773, 4137, 5, 'für');
INSERT INTO `lang_definitions` VALUES (18774, 4138, 5, 'Für');
INSERT INTO `lang_definitions` VALUES (18775, 4144, 5, 'Für Code');
INSERT INTO `lang_definitions` VALUES (18776, 4152, 5, 'Für Kunden Reklamationen');
INSERT INTO `lang_definitions` VALUES (18777, 4154, 5, 'z.B.:');
INSERT INTO `lang_definitions` VALUES (18778, 4161, 5, 'für die Rechnung');
INSERT INTO `lang_definitions` VALUES (18779, 4176, 5, 'Für die Vergangenheit');
INSERT INTO `lang_definitions` VALUES (18780, 4188, 5, 'für Variablen');
INSERT INTO `lang_definitions` VALUES (18781, 4189, 5, 'für:');
INSERT INTO `lang_definitions` VALUES (18782, 4191, 5, 'Anlegen von neuem Patienten erzwingen');
INSERT INTO `lang_definitions` VALUES (18783, 4194, 5, 'Unterarm');
INSERT INTO `lang_definitions` VALUES (18784, 4195, 5, 'Formular');
INSERT INTO `lang_definitions` VALUES (18785, 4196, 5, 'gestalten');
INSERT INTO `lang_definitions` VALUES (18786, 4201, 5, 'Format');
INSERT INTO `lang_definitions` VALUES (18787, 4202, 5, 'formatieren');
INSERT INTO `lang_definitions` VALUES (18788, 4203, 5, 'Format für Alter Anzeige');
INSERT INTO `lang_definitions` VALUES (18789, 4204, 5, 'Format für NDC falsch');
INSERT INTO `lang_definitions` VALUES (18790, 4205, 5, 'Format um die meisten Daten anzuzeigen');
INSERT INTO `lang_definitions` VALUES (18791, 4206, 5, 'Format um die meisten Daten anzuzeigen');
INSERT INTO `lang_definitions` VALUES (18792, 4207, 5, 'formatierter Bericht');
INSERT INTO `lang_definitions` VALUES (18793, 4208, 5, 'ehemalige Raucher');
INSERT INTO `lang_definitions` VALUES (18794, 4209, 5, 'Formulare');
INSERT INTO `lang_definitions` VALUES (18795, 4210, 5, 'Administrationsformulare');
INSERT INTO `lang_definitions` VALUES (18796, 4215, 5, 'Vorwärts');
INSERT INTO `lang_definitions` VALUES (18797, 4219, 5, 'Seiten via Fax weiterleiten');
INSERT INTO `lang_definitions` VALUES (18798, 4222, 5, 'weitergeleitet');
INSERT INTO `lang_definitions` VALUES (18799, 4225, 5, 'Vierte');
INSERT INTO `lang_definitions` VALUES (18800, 4227, 5, 'Fraktur');
INSERT INTO `lang_definitions` VALUES (18801, 4228, 5, 'Bruch an der Navicula');
INSERT INTO `lang_definitions` VALUES (18802, 4229, 5, 'Fracture Außenknöchel');
INSERT INTO `lang_definitions` VALUES (18803, 4230, 5, 'Fracture Innenknöchel');
INSERT INTO `lang_definitions` VALUES (18804, 4231, 5, 'Fracture, Basis des fünften (5.) Mittelfußknochen');
INSERT INTO `lang_definitions` VALUES (18805, 4235, 5, 'Französisch');
INSERT INTO `lang_definitions` VALUES (18806, 4236, 5, 'Französisch (Kanada)');
INSERT INTO `lang_definitions` VALUES (18807, 4237, 5, 'Französisch (Standard)');
INSERT INTO `lang_definitions` VALUES (18808, 4238, 5, 'Frequenz');
INSERT INTO `lang_definitions` VALUES (18809, 4239, 5, 'Häufig erkältet');
INSERT INTO `lang_definitions` VALUES (18810, 4240, 5, 'Häufig krank');
INSERT INTO `lang_definitions` VALUES (18811, 4241, 5, 'Fr');
INSERT INTO `lang_definitions` VALUES (18812, 4242, 5, 'Freitag');
INSERT INTO `lang_definitions` VALUES (18813, 4244, 5, 'von');
INSERT INTO `lang_definitions` VALUES (18814, 4245, 5, 'VON');
INSERT INTO `lang_definitions` VALUES (18815, 4246, 5, 'von');
INSERT INTO `lang_definitions` VALUES (18816, 4247, 5, '\"Von\" Datum darf nicht größer sein als \"bis\" Datum.');
INSERT INTO `lang_definitions` VALUES (18817, 4253, 5, 'Von:');
INSERT INTO `lang_definitions` VALUES (18818, 4254, 5, 'Von:');
INSERT INTO `lang_definitions` VALUES (18819, 4255, 5, 'VON_STADT');
INSERT INTO `lang_definitions` VALUES (18820, 4257, 5, 'VON_VNAME');
INSERT INTO `lang_definitions` VALUES (18821, 4258, 5, 'VON_NNAME');
INSERT INTO `lang_definitions` VALUES (18822, 4259, 5, 'VON_MNAME');
INSERT INTO `lang_definitions` VALUES (18823, 4261, 5, 'VON_MOBILTEL');
INSERT INTO `lang_definitions` VALUES (18824, 4262, 5, 'VON_PLZ');
INSERT INTO `lang_definitions` VALUES (18825, 4263, 5, 'VON_REGION');
INSERT INTO `lang_definitions` VALUES (18826, 4264, 5, 'VON_STRASSE');
INSERT INTO `lang_definitions` VALUES (18827, 4265, 5, 'VON_TITEL');
INSERT INTO `lang_definitions` VALUES (18828, 4266, 5, 'VON_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (18829, 4267, 5, 'Empfang');
INSERT INTO `lang_definitions` VALUES (18830, 4268, 5, 'Einnahmen durch Empfang');
INSERT INTO `lang_definitions` VALUES (18831, 4269, 5, 'Einnahmenbericht von Empfang');
INSERT INTO `lang_definitions` VALUES (18832, 4270, 5, 'Empfangsbereich');
INSERT INTO `lang_definitions` VALUES (18833, 4271, 5, 'Frontal Rechts:');
INSERT INTO `lang_definitions` VALUES (18834, 4278, 5, 'Vollständiger Name');
INSERT INTO `lang_definitions` VALUES (18835, 4280, 5, 'Vollständiger Pfad zu MySQL Programmdatei');
INSERT INTO `lang_definitions` VALUES (18836, 4281, 5, 'Vollständiger Pfad zu Perl Programmdatei');
INSERT INTO `lang_definitions` VALUES (18837, 4282, 5, 'Vollständiger Pfad für Termin log Backup');
INSERT INTO `lang_definitions` VALUES (18838, 4283, 5, 'Vollständiger Pfad für temporäre Dateien');
INSERT INTO `lang_definitions` VALUES (18839, 4284, 5, 'Vollständig Spielberechtigt');
INSERT INTO `lang_definitions` VALUES (18840, 4286, 5, 'Vollständig Trainingsberechtigt');
INSERT INTO `lang_definitions` VALUES (18841, 4288, 5, 'Vollständig Bezahlt');
INSERT INTO `lang_definitions` VALUES (18842, 4298, 5, 'G');
INSERT INTO `lang_definitions` VALUES (18843, 4299, 5, 'G/DL');
INSERT INTO `lang_definitions` VALUES (18844, 4302, 5, 'Gallenblase Zustand');
INSERT INTO `lang_definitions` VALUES (18845, 4303, 5, 'Gallensteine');
INSERT INTO `lang_definitions` VALUES (18846, 4304, 5, 'Spieldauer');
INSERT INTO `lang_definitions` VALUES (18847, 4305, 5, 'Spiele');
INSERT INTO `lang_definitions` VALUES (18848, 4306, 5, 'Spiele versäumt');
INSERT INTO `lang_definitions` VALUES (18849, 4307, 5, 'Spiele / Termine');
INSERT INTO `lang_definitions` VALUES (18850, 4308, 5, 'Spiele / Termine versäumt');
INSERT INTO `lang_definitions` VALUES (18851, 4310, 5, 'Gastritis');
INSERT INTO `lang_definitions` VALUES (18852, 4311, 5, 'Gastro Schmerz');
INSERT INTO `lang_definitions` VALUES (18853, 4312, 5, 'Magen-Darm-');
INSERT INTO `lang_definitions` VALUES (18854, 4316, 5, 'GCAC Statistik Bericht');
INSERT INTO `lang_definitions` VALUES (18855, 4317, 5, 'GCAC Statistik');
INSERT INTO `lang_definitions` VALUES (18856, 4318, 5, 'GCAC Konsultation Formular fehlt');
INSERT INTO `lang_definitions` VALUES (18857, 4319, 5, 'Geschlecht');
INSERT INTO `lang_definitions` VALUES (18858, 4320, 5, 'Geschlecht');
INSERT INTO `lang_definitions` VALUES (18859, 4321, 5, 'Allgemein');
INSERT INTO `lang_definitions` VALUES (18860, 4323, 5, 'Allgemeine Probleme Liste');
INSERT INTO `lang_definitions` VALUES (18861, 4325, 5, 'Allgemeine Service Kategorie');
INSERT INTO `lang_definitions` VALUES (18862, 4337, 5, 'Erstelle und lade X12 batch herunter');
INSERT INTO `lang_definitions` VALUES (18863, 4342, 5, 'Erstelle CMS 1500');
INSERT INTO `lang_definitions` VALUES (18864, 4343, 5, 'Erstelle CMS 1500 PDF');
INSERT INTO `lang_definitions` VALUES (18865, 4344, 5, 'Erstelle CMS 1500 TEXT');
INSERT INTO `lang_definitions` VALUES (18866, 4345, 5, 'Erstelle HCFA');
INSERT INTO `lang_definitions` VALUES (18867, 4347, 5, 'Rechnung generieren');
INSERT INTO `lang_definitions` VALUES (18868, 4348, 5, 'Brief generieren');
INSERT INTO `lang_definitions` VALUES (18869, 4349, 5, 'Erzeuge Brief bezüglich');
INSERT INTO `lang_definitions` VALUES (18870, 4351, 5, 'Erstelle PQRI-Bericht (Methode A)');
INSERT INTO `lang_definitions` VALUES (18871, 4353, 5, 'Erstelle PQRI-Bericht (Methode E)');
INSERT INTO `lang_definitions` VALUES (18872, 4357, 5, 'Bericht generieren');
INSERT INTO `lang_definitions` VALUES (18873, 4365, 5, 'Erzeugen Benutzername und Passwort für');
INSERT INTO `lang_definitions` VALUES (18874, 4366, 5, 'X12 generieren');
INSERT INTO `lang_definitions` VALUES (18875, 4368, 5, 'X12 Besuch generieren');
INSERT INTO `lang_definitions` VALUES (18876, 4370, 5, 'Generiert am');
INSERT INTO `lang_definitions` VALUES (18877, 4372, 5, 'erzeugt');
INSERT INTO `lang_definitions` VALUES (18878, 4377, 5, 'Urogenital');
INSERT INTO `lang_definitions` VALUES (18879, 4381, 5, 'Deutsch');
INSERT INTO `lang_definitions` VALUES (18880, 4386, 5, 'HL7 anfordern');
INSERT INTO `lang_definitions` VALUES (18881, 4392, 5, 'Glaukom');
INSERT INTO `lang_definitions` VALUES (18882, 4393, 5, 'Glaukom Familiengeschichte');
INSERT INTO `lang_definitions` VALUES (18883, 4395, 5, 'Global');
INSERT INTO `lang_definitions` VALUES (18884, 4398, 5, 'Globale ID');
INSERT INTO `lang_definitions` VALUES (18885, 4399, 5, 'Globale Einstellungen');
INSERT INTO `lang_definitions` VALUES (18886, 4400, 5, 'Globale');
INSERT INTO `lang_definitions` VALUES (18887, 4401, 5, 'GM/DL');
INSERT INTO `lang_definitions` VALUES (18888, 4403, 5, 'Gehe');
INSERT INTO `lang_definitions` VALUES (18889, 4404, 5, 'gehe');
INSERT INTO `lang_definitions` VALUES (18890, 4407, 5, 'Gehe zu');
INSERT INTO `lang_definitions` VALUES (18891, 4417, 5, 'Gehe zur Woche von');
INSERT INTO `lang_definitions` VALUES (18892, 4418, 5, 'Gehe zu Heute');
INSERT INTO `lang_definitions` VALUES (18893, 4419, 5, 'Ziel A');
INSERT INTO `lang_definitions` VALUES (18894, 4420, 5, 'Ziele und Methoden');
INSERT INTO `lang_definitions` VALUES (18895, 4421, 5, 'Ziel B');
INSERT INTO `lang_definitions` VALUES (18896, 4422, 5, 'Ziel C');
INSERT INTO `lang_definitions` VALUES (18897, 4428, 5, 'Grad der Verletzung');
INSERT INTO `lang_definitions` VALUES (18898, 4429, 5, 'Grad:');
INSERT INTO `lang_definitions` VALUES (18899, 4430, 5, 'Gramm');
INSERT INTO `lang_definitions` VALUES (18900, 4431, 5, 'Total Gesamt');
INSERT INTO `lang_definitions` VALUES (18901, 4432, 5, 'Totale Gesamt');
INSERT INTO `lang_definitions` VALUES (18902, 4435, 5, 'Grafisch anzeigbar');
INSERT INTO `lang_definitions` VALUES (18903, 4437, 5, 'größer als');
INSERT INTO `lang_definitions` VALUES (18904, 4438, 5, 'größer oder gleich als');
INSERT INTO `lang_definitions` VALUES (18905, 4439, 5, 'Griechisch');
INSERT INTO `lang_definitions` VALUES (18906, 4442, 5, 'Gruppe');
INSERT INTO `lang_definitions` VALUES (18907, 4459, 5, 'Gruppenname');
INSERT INTO `lang_definitions` VALUES (18908, 4460, 5, 'Gruppenname kann nicht leer sein.');
INSERT INTO `lang_definitions` VALUES (18909, 4461, 5, 'Gruppenname kann nicht mit einer Zahl oder Leerzeichen beginnen.');
INSERT INTO `lang_definitions` VALUES (18910, 4462, 5, 'Gruppenname kann nicht mit Leerzeichen beginnen.');
INSERT INTO `lang_definitions` VALUES (18911, 4463, 5, 'Gruppennummer');
INSERT INTO `lang_definitions` VALUES (18912, 4465, 5, 'Gruppe Zahlung');
INSERT INTO `lang_definitions` VALUES (18913, 4471, 5, 'Gruppe:');
INSERT INTO `lang_definitions` VALUES (18914, 4472, 5, 'Gruppenname');
INSERT INTO `lang_definitions` VALUES (18915, 4475, 5, 'Gruppen und Zugriffskontrolle');
INSERT INTO `lang_definitions` VALUES (18916, 4476, 5, 'Wachstumskurve');
INSERT INTO `lang_definitions` VALUES (18917, 4477, 5, 'Wachstumskurve');
INSERT INTO `lang_definitions` VALUES (18918, 4478, 5, 'Tropfen');
INSERT INTO `lang_definitions` VALUES (18919, 4479, 5, 'Erziehungsberechtigter');
INSERT INTO `lang_definitions` VALUES (18920, 4484, 5, 'Erziehungsberechtigter Name');
INSERT INTO `lang_definitions` VALUES (18921, 4489, 5, 'gynäkologische Untersuchung');
INSERT INTO `lang_definitions` VALUES (18922, 4490, 5, 'h.');
INSERT INTO `lang_definitions` VALUES (18923, 4492, 5, 'h.s.');
INSERT INTO `lang_definitions` VALUES (18924, 4493, 5, 'HO Hepatitis');
INSERT INTO `lang_definitions` VALUES (18925, 4494, 5, 'wurde erfolgreich gelöscht. Jede Unterkategorie wurde nach unten verschoben.');
INSERT INTO `lang_definitions` VALUES (18926, 4495, 5, 'Hämatome / Prellungen');
INSERT INTO `lang_definitions` VALUES (18927, 4496, 5, 'HAI Status');
INSERT INTO `lang_definitions` VALUES (18928, 4499, 5, 'Hand und Finger');
INSERT INTO `lang_definitions` VALUES (18929, 4500, 5, 'Probleme mit der Hand');
INSERT INTO `lang_definitions` VALUES (18930, 4505, 5, 'Festplatte');
INSERT INTO `lang_definitions` VALUES (18931, 4506, 5, 'Härtefall');
INSERT INTO `lang_definitions` VALUES (18932, 4507, 5, 'wurde mit Konsultation verknüpft');
INSERT INTO `lang_definitions` VALUES (18933, 4508, 5, 'ist abgelaufen');
INSERT INTO `lang_definitions` VALUES (18934, 4509, 5, 'Hasch');
INSERT INTO `lang_definitions` VALUES (18935, 4511, 5, 'Hash für diese Datei nicht vorhanden. Eine neue Hash erzeugt wurde.');
INSERT INTO `lang_definitions` VALUES (18936, 4512, 5, 'Hash stimmt nicht. Datenintegrität ist gefährdet.');
INSERT INTO `lang_definitions` VALUES (18937, 4515, 5, 'Hawaiianisch');
INSERT INTO `lang_definitions` VALUES (18938, 4516, 5, 'Gefährliche Tätigkeiten');
INSERT INTO `lang_definitions` VALUES (18939, 4517, 5, 'Gefährliche Tätigkeiten');
INSERT INTO `lang_definitions` VALUES (18940, 4527, 5, 'he PostCalendar');
INSERT INTO `lang_definitions` VALUES (18941, 4528, 5, 'Kopf');
INSERT INTO `lang_definitions` VALUES (18942, 4529, 5, 'Kopfumfang');
INSERT INTO `lang_definitions` VALUES (18943, 4530, 5, 'Kopfumfang');
INSERT INTO `lang_definitions` VALUES (18944, 4531, 5, 'Kopfschmerz');
INSERT INTO `lang_definitions` VALUES (18945, 4532, 5, 'Kopfschmerzen');
INSERT INTO `lang_definitions` VALUES (18946, 4534, 5, 'Gesundheitsversorgung Operationen');
INSERT INTO `lang_definitions` VALUES (18947, 4535, 5, 'Gesundheitsversorgung Operationen');
INSERT INTO `lang_definitions` VALUES (18948, 4537, 5, 'Gesundheitszentrum / Klinik');
INSERT INTO `lang_definitions` VALUES (18949, 4540, 5, 'Gesundheitsvorsorge Organisation');
INSERT INTO `lang_definitions` VALUES (18950, 4541, 5, 'Gesundheitsvorsorge Organisation');
INSERT INTO `lang_definitions` VALUES (18951, 4542, 5, 'Gehörverlust');
INSERT INTO `lang_definitions` VALUES (18952, 4543, 5, 'Herzinfarkt');
INSERT INTO `lang_definitions` VALUES (18953, 4544, 5, 'Herzerkrankung');
INSERT INTO `lang_definitions` VALUES (18954, 4545, 5, 'Herzversagen');
INSERT INTO `lang_definitions` VALUES (18955, 4546, 5, 'Herzproblem');
INSERT INTO `lang_definitions` VALUES (18956, 4547, 5, 'Herzprobleme');
INSERT INTO `lang_definitions` VALUES (18957, 4548, 5, 'Kardiochirurgie');
INSERT INTO `lang_definitions` VALUES (18958, 4549, 5, 'Herztransplantation');
INSERT INTO `lang_definitions` VALUES (18959, 4550, 5, 'Herz:');
INSERT INTO `lang_definitions` VALUES (18960, 4551, 5, 'Sodbrennen');
INSERT INTO `lang_definitions` VALUES (18961, 4552, 5, 'Hitze oder Kälte');
INSERT INTO `lang_definitions` VALUES (18962, 4553, 5, 'Hitze oder Kälte');
INSERT INTO `lang_definitions` VALUES (18963, 4554, 5, 'startker Raucher');
INSERT INTO `lang_definitions` VALUES (18964, 4555, 5, 'Hebräisch');
INSERT INTO `lang_definitions` VALUES (18965, 4558, 5, 'Körpergröße');
INSERT INTO `lang_definitions` VALUES (18966, 4560, 5, 'Hilfe');
INSERT INTO `lang_definitions` VALUES (18967, 4561, 5, 'Hilfe');
INSERT INTO `lang_definitions` VALUES (18968, 4563, 5, 'Hämatemesis');
INSERT INTO `lang_definitions` VALUES (18969, 4564, 5, 'Blutstuhl');
INSERT INTO `lang_definitions` VALUES (18970, 4565, 5, 'hämatologische');
INSERT INTO `lang_definitions` VALUES (18971, 4566, 5, 'Hämaturie');
INSERT INTO `lang_definitions` VALUES (18972, 4567, 5, 'Hämoglobin');
INSERT INTO `lang_definitions` VALUES (18973, 4568, 5, 'Hämoglobin A1C');
INSERT INTO `lang_definitions` VALUES (18974, 4569, 5, 'Hämoptoe');
INSERT INTO `lang_definitions` VALUES (18975, 4570, 5, 'Hepatitis');
INSERT INTO `lang_definitions` VALUES (18976, 4571, 5, 'Hepatitis A 1');
INSERT INTO `lang_definitions` VALUES (18977, 4572, 5, 'Hepatitis A 2');
INSERT INTO `lang_definitions` VALUES (18978, 4573, 5, 'Hepatitis B 1');
INSERT INTO `lang_definitions` VALUES (18979, 4574, 5, 'Hepatitis B 2');
INSERT INTO `lang_definitions` VALUES (18980, 4575, 5, 'Hepatitis B 3');
INSERT INTO `lang_definitions` VALUES (18981, 4576, 5, 'hier');
INSERT INTO `lang_definitions` VALUES (18982, 4580, 5, 'Hernienversorgung');
INSERT INTO `lang_definitions` VALUES (18983, 4581, 5, 'Bandscheibenvorfall');
INSERT INTO `lang_definitions` VALUES (18984, 4582, 5, 'Herpes');
INSERT INTO `lang_definitions` VALUES (18985, 4585, 5, 'Unschlüssig');
INSERT INTO `lang_definitions` VALUES (18986, 4586, 5, 'heyho. Sie wahren hier für');
INSERT INTO `lang_definitions` VALUES (18987, 4587, 5, 'HIB 1');
INSERT INTO `lang_definitions` VALUES (18988, 4588, 5, 'HIB 2');
INSERT INTO `lang_definitions` VALUES (18989, 4589, 5, 'HIB 3');
INSERT INTO `lang_definitions` VALUES (18990, 4590, 5, 'HIB 4');
INSERT INTO `lang_definitions` VALUES (18991, 4591, 5, 'Ausgeblendet');
INSERT INTO `lang_definitions` VALUES (18992, 4592, 5, 'Versteckte Termine administrieren');
INSERT INTO `lang_definitions` VALUES (18993, 4593, 5, 'Ausblenden');
INSERT INTO `lang_definitions` VALUES (18994, 4595, 5, 'Details ausblenden');
INSERT INTO `lang_definitions` VALUES (18995, 4597, 5, 'Ausblenden von Verschlüsseln/Entschlüsseln Optionen in Dokumenten Verwaltung');
INSERT INTO `lang_definitions` VALUES (18996, 4599, 5, 'Menü verbergen');
INSERT INTO `lang_definitions` VALUES (18997, 4601, 5, 'Erinnerungen Ausblenden');
INSERT INTO `lang_definitions` VALUES (18998, 4603, 5, 'Spalten aus-/einblenden');
INSERT INTO `lang_definitions` VALUES (18999, 4605, 5, 'Hoch');
INSERT INTO `lang_definitions` VALUES (19000, 4607, 5, 'Bluthochdruck');
INSERT INTO `lang_definitions` VALUES (19001, 4609, 5, 'Hindu');
INSERT INTO `lang_definitions` VALUES (19002, 4610, 5, 'Hüft + Leistengegend');
INSERT INTO `lang_definitions` VALUES (19003, 4611, 5, 'Hüft und in der Leistengegend');
INSERT INTO `lang_definitions` VALUES (19004, 4612, 5, 'Hüft Probleme');
INSERT INTO `lang_definitions` VALUES (19005, 4613, 5, 'Hüftprothese');
INSERT INTO `lang_definitions` VALUES (19006, 4615, 5, 'HIPAA Mitteilung erhalten');
INSERT INTO `lang_definitions` VALUES (19007, 4618, 5, 'spanisch');
INSERT INTO `lang_definitions` VALUES (19008, 4619, 5, 'Hispanic - Andere (Geboren in US)');
INSERT INTO `lang_definitions` VALUES (19009, 4620, 5, 'Hispanic - Andere (Geboren nicht in US)');
INSERT INTO `lang_definitions` VALUES (19010, 4621, 5, 'Spanier oder Latino');
INSERT INTO `lang_definitions` VALUES (19011, 4623, 5, 'Verlauf');
INSERT INTO `lang_definitions` VALUES (19012, 4629, 5, 'Verlaufsdaten');
INSERT INTO `lang_definitions` VALUES (19013, 4630, 5, 'Verlaufsdatum');
INSERT INTO `lang_definitions` VALUES (19014, 4632, 5, 'Geräuschverlauf');
INSERT INTO `lang_definitions` VALUES (19015, 4633, 5, 'Nicht für Verlauf berechtigt');
INSERT INTO `lang_definitions` VALUES (19016, 4634, 5, 'Herzgeräuschverlauf');
INSERT INTO `lang_definitions` VALUES (19017, 4638, 5, 'Treffer');
INSERT INTO `lang_definitions` VALUES (19018, 4639, 5, 'HIV');
INSERT INTO `lang_definitions` VALUES (19019, 4649, 5, 'HL7 Viewer');
INSERT INTO `lang_definitions` VALUES (19020, 4651, 5, 'HMOL/L');
INSERT INTO `lang_definitions` VALUES (19021, 4652, 5, 'Hmong');
INSERT INTO `lang_definitions` VALUES (19022, 4653, 5, '[STRG] halten um mehrere Einträge zu selektieren');
INSERT INTO `lang_definitions` VALUES (19023, 4655, 5, '[STRG] halten um mehrere Einträge zu selektieren');
INSERT INTO `lang_definitions` VALUES (19024, 4656, 5, '[STRG] halten um mehrere Einträge zu selektieren');
INSERT INTO `lang_definitions` VALUES (19025, 4658, 5, 'Hauptansicht');
INSERT INTO `lang_definitions` VALUES (19026, 4659, 5, 'Tel. privat');
INSERT INTO `lang_definitions` VALUES (19027, 4660, 5, 'Tel. privat');
INSERT INTO `lang_definitions` VALUES (19028, 4662, 5, 'Obdachlos oder vergleichbar');
INSERT INTO `lang_definitions` VALUES (19029, 4664, 5, 'Obdachlos, etc.');
INSERT INTO `lang_definitions` VALUES (19030, 4665, 5, 'Obdachlos, etc.');
INSERT INTO `lang_definitions` VALUES (19031, 4674, 5, 'Host Name');
INSERT INTO `lang_definitions` VALUES (19032, 4675, 5, 'Host Name kann nicht leer sein');
INSERT INTO `lang_definitions` VALUES (19033, 4677, 5, 'Stunden');
INSERT INTO `lang_definitions` VALUES (19034, 4678, 5, 'Stunden');
INSERT INTO `lang_definitions` VALUES (19035, 4681, 5, 'Verletzungsursache?');
INSERT INTO `lang_definitions` VALUES (19036, 4682, 5, 'Verletzungsursache? :');
INSERT INTO `lang_definitions` VALUES (19037, 4683, 5, 'Wie haben Sie von uns erfahren');
INSERT INTO `lang_definitions` VALUES (19038, 4685, 5, 'Welchen Vorlauf für die Nachfrage von Folgeterminen?');
INSERT INTO `lang_definitions` VALUES (19039, 4692, 5, 'HPI:');
INSERT INTO `lang_definitions` VALUES (19040, 4694, 5, 'HT');
INSERT INTO `lang_definitions` VALUES (19041, 4695, 5, 'HTML');
INSERT INTO `lang_definitions` VALUES (19042, 4696, 5, 'HTML Ausgabe?');
INSERT INTO `lang_definitions` VALUES (19043, 4699, 5, 'Https link for the OpenEMR Support LLC Lab Exchange Service.');
INSERT INTO `lang_definitions` VALUES (19044, 4701, 5, 'Ungarn');
INSERT INTO `lang_definitions` VALUES (19045, 4702, 5, 'Hylafax Verzeichnis');
INSERT INTO `lang_definitions` VALUES (19046, 4703, 5, 'Hylafax Enscript Command');
INSERT INTO `lang_definitions` VALUES (19047, 4704, 5, 'Hylafax Server');
INSERT INTO `lang_definitions` VALUES (19048, 4705, 5, 'Hylafax Server Hostname.');
INSERT INTO `lang_definitions` VALUES (19049, 4706, 5, 'Hyperaktiv');
INSERT INTO `lang_definitions` VALUES (19050, 4708, 5, 'Bluthochdruck');
INSERT INTO `lang_definitions` VALUES (19051, 4709, 5, 'Hypertonie: Blutdruckmessung');
INSERT INTO `lang_definitions` VALUES (19052, 4710, 5, 'Hypertonie: Blutdruckmessung');
INSERT INTO `lang_definitions` VALUES (19053, 4711, 5, 'Schilddrüsenüberfunktion');
INSERT INTO `lang_definitions` VALUES (19054, 4713, 5, 'Schilddrüsenunterfunktion');
INSERT INTO `lang_definitions` VALUES (19055, 4716, 5, 'Gebärmutterentfernung');
INSERT INTO `lang_definitions` VALUES (19056, 4717, 5, 'I');
INSERT INTO `lang_definitions` VALUES (19057, 4718, 5, 'Ich bin derzeit beschäftigt.');
INSERT INTO `lang_definitions` VALUES (19058, 4719, 5, 'Ich habe keine Leserechte');
INSERT INTO `lang_definitions` VALUES (19059, 4724, 5, 'ICD');
INSERT INTO `lang_definitions` VALUES (19060, 4725, 5, 'ICD10 Diagnose');
INSERT INTO `lang_definitions` VALUES (19061, 4726, 5, 'ICD10 Behandlung/Leistung');
INSERT INTO `lang_definitions` VALUES (19062, 4727, 5, 'ICD9');
INSERT INTO `lang_definitions` VALUES (19063, 4728, 5, 'IDC9 Diagnose');
INSERT INTO `lang_definitions` VALUES (19064, 4729, 5, 'ICD9 Behandlung/Leistung');
INSERT INTO `lang_definitions` VALUES (19065, 4734, 5, 'ID');
INSERT INTO `lang_definitions` VALUES (19066, 4736, 5, 'Id');
INSERT INTO `lang_definitions` VALUES (19067, 4738, 5, 'ID kann nicht leer sein');
INSERT INTO `lang_definitions` VALUES (19068, 4739, 5, 'ID Card');
INSERT INTO `lang_definitions` VALUES (19069, 4742, 5, 'IDays');
INSERT INTO `lang_definitions` VALUES (19070, 4743, 5, 'identifiziert als');
INSERT INTO `lang_definitions` VALUES (19071, 4745, 5, 'Identbegriff (ein Wort)');
INSERT INTO `lang_definitions` VALUES (19072, 4746, 5, 'Identifizierungs Code');
INSERT INTO `lang_definitions` VALUES (19073, 4747, 5, 'Idle Session Timeout in Sekunden');
INSERT INTO `lang_definitions` VALUES (19074, 4755, 5, 'Wenn alle Daten aller Spalten nur für dieses Formular sind');
INSERT INTO `lang_definitions` VALUES (19075, 4757, 5, 'Wenn Abrechnung Begründung verwendet wird, muss der Name des Diagnose-Code-Typ angegeben werden.');
INSERT INTO `lang_definitions` VALUES (19076, 4763, 5, 'falls eingegeben, wählen Sie nur diejenigen, die hatten diesen Service haben');
INSERT INTO `lang_definitions` VALUES (19077, 4765, 5, 'Wenn Name ein Teil des Vor- oder Nachnamen ist');
INSERT INTO `lang_definitions` VALUES (19078, 4770, 5, 'Wenn bezahlt von');
INSERT INTO `lang_definitions` VALUES (19079, 4771, 5, 'Wenn die Person verstorben ist, dann Datum des Todes angeben.');
INSERT INTO `lang_definitions` VALUES (19080, 4775, 5, 'If SMTP is used, the server`s hostname or IP address.');
INSERT INTO `lang_definitions` VALUES (19081, 4776, 5, 'If SMTP is used, the server`s TCP port number (usually 25).');
INSERT INTO `lang_definitions` VALUES (19082, 4803, 5, 'Wenn arbeitslos, Student eingeben');
INSERT INTO `lang_definitions` VALUES (19083, 4836, 5, 'Wenn Sie ein Pay Datum in der Suchseite eingegeben haben, wird diese das Buchungsdatum der Zahlungen und Anpassungen überschreiben, welch sonst aus der X12-Datei übernommen werden. Dies kann für die Berichterstattung nützlich sein , wenn Sie Ihre Einnahmen Berichterstattung an Ihren Buchungsdatum anstatt die Versicherung \'s Bearbeitungsdatum verwenden möchten. Beachten Sie, dass dies auch Auswirkungen auf Termin vor Zahlungen und Anpassungen, die in Nebenforderungen gesetzt werden.');
INSERT INTO `lang_definitions` VALUES (19084, 4850, 5, 'Wenn Sie Datentypen oder Zeilen/Spalten einfügen wollen');
INSERT INTO `lang_definitions` VALUES (19085, 4851, 5, 'Wenn Sie die Datenbank aktualisieren möchten, dann legen Sie die Datenbank zip-Datei im folgenden Verzeichnis');
INSERT INTO `lang_definitions` VALUES (19086, 4854, 5, 'Ignorieren');
INSERT INTO `lang_definitions` VALUES (19087, 4856, 5, 'Krankheit');
INSERT INTO `lang_definitions` VALUES (19088, 4857, 5, 'IM');
INSERT INTO `lang_definitions` VALUES (19089, 4863, 5, 'Bilddienstleister');
INSERT INTO `lang_definitions` VALUES (19090, 4865, 5, 'Impfung');
INSERT INTO `lang_definitions` VALUES (19091, 4867, 5, 'Impfstoff Code');
INSERT INTO `lang_definitions` VALUES (19092, 4869, 5, 'Impfungsdatum');
INSERT INTO `lang_definitions` VALUES (19093, 4870, 5, 'Impfstopp Verfall Datum');
INSERT INTO `lang_definitions` VALUES (19094, 4872, 5, 'Impfstoff Chargen Nummer');
INSERT INTO `lang_definitions` VALUES (19095, 4873, 5, 'Impfstoff Hersteller');
INSERT INTO `lang_definitions` VALUES (19096, 4878, 5, 'Impfstoff Registrierung');
INSERT INTO `lang_definitions` VALUES (19097, 4882, 5, 'Impfstoff Service');
INSERT INTO `lang_definitions` VALUES (19098, 4883, 5, 'Impstoff Titel');
INSERT INTO `lang_definitions` VALUES (19099, 4885, 5, 'Impfungen');
INSERT INTO `lang_definitions` VALUES (19100, 4887, 5, 'Impfen');
INSERT INTO `lang_definitions` VALUES (19101, 4888, 5, 'Immun');
INSERT INTO `lang_definitions` VALUES (19102, 4893, 5, 'Implantate');
INSERT INTO `lang_definitions` VALUES (19103, 4894, 5, 'Importieren');
INSERT INTO `lang_definitions` VALUES (19104, 4898, 5, 'Importiere Zertifikat zu Browser');
INSERT INTO `lang_definitions` VALUES (19105, 4899, 5, 'Konfiguration importieren');
INSERT INTO `lang_definitions` VALUES (19106, 4904, 5, 'Patient importieren');
INSERT INTO `lang_definitions` VALUES (19107, 4905, 5, 'Importieren Patientendaten');
INSERT INTO `lang_definitions` VALUES (19108, 4910, 5, 'wichtige Codes');
INSERT INTO `lang_definitions` VALUES (19109, 4914, 5, 'Importiert aus Buchhaltung');
INSERT INTO `lang_definitions` VALUES (19110, 4920, 5, 'Verbessert');
INSERT INTO `lang_definitions` VALUES (19111, 4922, 5, 'in');
INSERT INTO `lang_definitions` VALUES (19112, 4923, 5, 'IN');
INSERT INTO `lang_definitions` VALUES (19113, 4931, 5, 'in beiden Augen');
INSERT INTO `lang_definitions` VALUES (19114, 4934, 5, 'im linken Auge');
INSERT INTO `lang_definitions` VALUES (19115, 4935, 5, 'in Nasenloch');
INSERT INTO `lang_definitions` VALUES (19116, 4936, 5, 'Im Büro');
INSERT INTO `lang_definitions` VALUES (19117, 4947, 5, 'im rechten Auge');
INSERT INTO `lang_definitions` VALUES (19118, 4958, 5, 'intern');
INSERT INTO `lang_definitions` VALUES (19119, 4960, 5, 'Inaktiv');
INSERT INTO `lang_definitions` VALUES (19120, 4965, 5, 'Inaktive Tage');
INSERT INTO `lang_definitions` VALUES (19121, 4967, 5, 'Posteingang');
INSERT INTO `lang_definitions` VALUES (19122, 4970, 5, 'Prüfsumme einfügen');
INSERT INTO `lang_definitions` VALUES (19123, 4971, 5, 'Fertig eingefügt');
INSERT INTO `lang_definitions` VALUES (19124, 4974, 5, 'Beinhaltet inaktive Benutzer');
INSERT INTO `lang_definitions` VALUES (19125, 4975, 5, 'Einbeziehen Kategorielos');
INSERT INTO `lang_definitions` VALUES (19126, 4976, 5, 'Einbeziehen unstrukturierter Daten');
INSERT INTO `lang_definitions` VALUES (19127, 4977, 5, 'Einbeziehen der Vitalität');
INSERT INTO `lang_definitions` VALUES (19128, 4978, 5, 'Einbeziehen der Vital Daten?');
INSERT INTO `lang_definitions` VALUES (19129, 4981, 5, 'Aufnahme');
INSERT INTO `lang_definitions` VALUES (19130, 4982, 5, 'Einkommen');
INSERT INTO `lang_definitions` VALUES (19131, 4984, 5, 'Unvollständig');
INSERT INTO `lang_definitions` VALUES (19132, 4985, 5, 'Unvollständige Abtreibung Behandlung');
INSERT INTO `lang_definitions` VALUES (19133, 4986, 5, 'Inkontinenz');
INSERT INTO `lang_definitions` VALUES (19134, 4987, 5, 'Integrieren klinischer Labor-Testergebnisse in zertifizierte EHR-Technologie als strukturierte Daten.');
INSERT INTO `lang_definitions` VALUES (19135, 4988, 5, 'Falsches Passwort!');
INSERT INTO `lang_definitions` VALUES (19136, 4990, 5, 'Gesteigert:');
INSERT INTO `lang_definitions` VALUES (19137, 4991, 5, 'Haftpflichtversicherung');
INSERT INTO `lang_definitions` VALUES (19138, 4994, 5, 'unbestimmt');
INSERT INTO `lang_definitions` VALUES (19139, 4995, 5, 'Inder');
INSERT INTO `lang_definitions` VALUES (19140, 4998, 5, 'Zeigt Abnormität');
INSERT INTO `lang_definitions` VALUES (19141, 5000, 5, 'Zeigt an, ob dieses Problem gerade aktiv ist');
INSERT INTO `lang_definitions` VALUES (19142, 5002, 5, 'Indikator für spezielle Nutzung');
INSERT INTO `lang_definitions` VALUES (19143, 5003, 5, 'Bedürftigen Patienten Berichten');
INSERT INTO `lang_definitions` VALUES (19144, 5004, 5, 'Bedürftigen Patienten Berichten');
INSERT INTO `lang_definitions` VALUES (19145, 5005, 5, 'Bestandteile');
INSERT INTO `lang_definitions` VALUES (19146, 5010, 5, 'Abtreibung');
INSERT INTO `lang_definitions` VALUES (19147, 5012, 5, 'untauglich');
INSERT INTO `lang_definitions` VALUES (19148, 5013, 5, 'Infektion / Abzess');
INSERT INTO `lang_definitions` VALUES (19149, 5014, 5, 'Infektionen');
INSERT INTO `lang_definitions` VALUES (19150, 5016, 5, 'Unfruchtbarkeit');
INSERT INTO `lang_definitions` VALUES (19151, 5017, 5, 'Influenza 1');
INSERT INTO `lang_definitions` VALUES (19152, 5018, 5, 'Influenza 2');
INSERT INTO `lang_definitions` VALUES (19153, 5019, 5, 'Grippeimpfung für Patienten älter 50 Jahre');
INSERT INTO `lang_definitions` VALUES (19154, 5020, 5, 'Grippeimpfung für Patienten>= 50 Jahre');
INSERT INTO `lang_definitions` VALUES (19155, 5021, 5, 'Grippeimpfstoff');
INSERT INTO `lang_definitions` VALUES (19156, 5022, 5, 'Info');
INSERT INTO `lang_definitions` VALUES (19157, 5023, 5, 'Info test 1');
INSERT INTO `lang_definitions` VALUES (19158, 5024, 5, 'Info test 2');
INSERT INTO `lang_definitions` VALUES (19159, 5025, 5, 'Info test 3');
INSERT INTO `lang_definitions` VALUES (19160, 5026, 5, 'Info test 4');
INSERT INTO `lang_definitions` VALUES (19161, 5027, 5, 'Info test 5');
INSERT INTO `lang_definitions` VALUES (19162, 5028, 5, 'Info test 6');
INSERT INTO `lang_definitions` VALUES (19163, 5034, 5, 'Inhalationen');
INSERT INTO `lang_definitions` VALUES (19164, 5036, 5, 'Inhalationen');
INSERT INTO `lang_definitions` VALUES (19165, 5039, 5, 'Erstbenutzer');
INSERT INTO `lang_definitions` VALUES (19166, 5042, 5, 'injizierbare');
INSERT INTO `lang_definitions` VALUES (19167, 5043, 5, 'Injektion');
INSERT INTO `lang_definitions` VALUES (19168, 5044, 5, 'Verletztes Körperteil');
INSERT INTO `lang_definitions` VALUES (19169, 5046, 5, 'Verletzung');
INSERT INTO `lang_definitions` VALUES (19170, 5047, 5, 'Verletzungs Mechanismus');
INSERT INTO `lang_definitions` VALUES (19171, 5048, 5, 'Verletzungs Übersicht Bericht');
INSERT INTO `lang_definitions` VALUES (19172, 5049, 5, 'Verletzungs Beobachten');
INSERT INTO `lang_definitions` VALUES (19173, 5050, 5, 'Verletzungs Type');
INSERT INTO `lang_definitions` VALUES (19174, 5051, 5, 'Verletzungs- oder krankheitsbezogen');
INSERT INTO `lang_definitions` VALUES (19175, 5056, 5, 'Eingabefelder');
INSERT INTO `lang_definitions` VALUES (19176, 5069, 5, 'In Summe');
INSERT INTO `lang_definitions` VALUES (19177, 5071, 5, 'INS1');
INSERT INTO `lang_definitions` VALUES (19178, 5072, 5, 'INS2');
INSERT INTO `lang_definitions` VALUES (19179, 5073, 5, 'INS3');
INSERT INTO `lang_definitions` VALUES (19180, 5075, 5, 'Eifügen fehlgeschlagen:');
INSERT INTO `lang_definitions` VALUES (19181, 5079, 5, 'Alte Ereignisse in Tabellen speichern');
INSERT INTO `lang_definitions` VALUES (19182, 5085, 5, 'Schlaflosigkeit');
INSERT INTO `lang_definitions` VALUES (19183, 5086, 5, 'Log kontrollieren');
INSERT INTO `lang_definitions` VALUES (19184, 5087, 5, 'Inspektion');
INSERT INTO `lang_definitions` VALUES (19185, 5088, 5, 'Instabilität / Subluxation');
INSERT INTO `lang_definitions` VALUES (19186, 5089, 5, 'INSTALLIERE');
INSERT INTO `lang_definitions` VALUES (19187, 5090, 5, 'Installiere');
INSERT INTO `lang_definitions` VALUES (19188, 5093, 5, 'installiere DB');
INSERT INTO `lang_definitions` VALUES (19189, 5100, 5, 'Installierte Version');
INSERT INTO `lang_definitions` VALUES (19190, 5102, 5, 'angewiesen');
INSERT INTO `lang_definitions` VALUES (19191, 5103, 5, 'Anweisung');
INSERT INTO `lang_definitions` VALUES (19192, 5105, 5, 'Anweisungen:');
INSERT INTO `lang_definitions` VALUES (19193, 5107, 5, 'Zu wenig Lagerbestand für die Produkt-ID');
INSERT INTO `lang_definitions` VALUES (19194, 5108, 5, 'Insulin Abhängige Diabetes');
INSERT INTO `lang_definitions` VALUES (19195, 5109, 5, 'Versicherung');
INSERT INTO `lang_definitions` VALUES (19196, 5110, 5, 'Versicherung');
INSERT INTO `lang_definitions` VALUES (19197, 5114, 5, 'Versicherungs Restbetrag');
INSERT INTO `lang_definitions` VALUES (19198, 5115, 5, 'Offener Betrag Versicherung');
INSERT INTO `lang_definitions` VALUES (19199, 5116, 5, 'Versicherungunternehmen');
INSERT INTO `lang_definitions` VALUES (19200, 5117, 5, 'Versicherungunternehmen');
INSERT INTO `lang_definitions` VALUES (19201, 5118, 5, 'Versicherungunternehmen');
INSERT INTO `lang_definitions` VALUES (19202, 5119, 5, 'Versicherungunternehmen suchen/hinzufügen');
INSERT INTO `lang_definitions` VALUES (19203, 5121, 5, 'Versicherungsdaten');
INSERT INTO `lang_definitions` VALUES (19204, 5124, 5, 'Versicherungs Informationen in Datei');
INSERT INTO `lang_definitions` VALUES (19205, 5126, 5, 'Versicherungsnummer');
INSERT INTO `lang_definitions` VALUES (19206, 5127, 5, 'Versicherungs Zahlung');
INSERT INTO `lang_definitions` VALUES (19207, 5129, 5, 'Versicherungs Anbieter');
INSERT INTO `lang_definitions` VALUES (19208, 5133, 5, 'Versichert');
INSERT INTO `lang_definitions` VALUES (19209, 5134, 5, 'Intake Schlussfolgerung');
INSERT INTO `lang_definitions` VALUES (19210, 5135, 5, 'Schlussfolgerung Datum');
INSERT INTO `lang_definitions` VALUES (19211, 5138, 5, 'Geistiger Verfall');
INSERT INTO `lang_definitions` VALUES (19212, 5149, 5, 'Internal error - no pages were selected!');
INSERT INTO `lang_definitions` VALUES (19213, 5150, 5, 'Internal error - patient ID was not provided!');
INSERT INTO `lang_definitions` VALUES (19214, 5151, 5, 'Internal error accessing uploaded file!');
INSERT INTO `lang_definitions` VALUES (19215, 5153, 5, 'Internal error!');
INSERT INTO `lang_definitions` VALUES (19216, 5154, 5, 'Internal error, no drug ID specified!');
INSERT INTO `lang_definitions` VALUES (19217, 5156, 5, 'Internal error: claim');
INSERT INTO `lang_definitions` VALUES (19218, 5157, 5, 'Internal error: encounter \'');
INSERT INTO `lang_definitions` VALUES (19219, 5158, 5, 'Internal error: pid or encounter is missing.');
INSERT INTO `lang_definitions` VALUES (19220, 5159, 5, 'Interner Fehler: Es scheint keine Konsultation aktiv zu sein');
INSERT INTO `lang_definitions` VALUES (19221, 5160, 5, 'Interne ID (pid)');
INSERT INTO `lang_definitions` VALUES (19222, 5163, 5, 'Interne Verweise');
INSERT INTO `lang_definitions` VALUES (19223, 5164, 5, 'Interne Zeit summe');
INSERT INTO `lang_definitions` VALUES (19224, 5165, 5, 'internationale Pflicht');
INSERT INTO `lang_definitions` VALUES (19225, 5167, 5, 'Dolmetscher');
INSERT INTO `lang_definitions` VALUES (19226, 5168, 5, 'Dolmetscher benötigt?');
INSERT INTO `lang_definitions` VALUES (19227, 5169, 5, 'Interstitielle Lung Krankheit');
INSERT INTO `lang_definitions` VALUES (19228, 5170, 5, 'Intervall');
INSERT INTO `lang_definitions` VALUES (19229, 5173, 5, 'Intervention');
INSERT INTO `lang_definitions` VALUES (19230, 5175, 5, 'Intoleranz');
INSERT INTO `lang_definitions` VALUES (19231, 5178, 5, 'Intramuskulär');
INSERT INTO `lang_definitions` VALUES (19232, 5181, 5, 'Intravenös');
INSERT INTO `lang_definitions` VALUES (19233, 5182, 5, 'Einführung');
INSERT INTO `lang_definitions` VALUES (19234, 5185, 5, 'Ungültiges Zeichen in');
INSERT INTO `lang_definitions` VALUES (19235, 5195, 5, 'Ungültige Länge füt');
INSERT INTO `lang_definitions` VALUES (19236, 5196, 5, 'Ungültiges \"Nicht-Numerisches\" Zeichen in');
INSERT INTO `lang_definitions` VALUES (19237, 5197, 5, 'Unwirksame oder fehlender Zahler in Quelle für Code');
INSERT INTO `lang_definitions` VALUES (19238, 5199, 5, 'Ungülige Empfänger Adresse. Bitte erneut versuchen.');
INSERT INTO `lang_definitions` VALUES (19239, 5200, 5, 'Ungültige Service Codes');
INSERT INTO `lang_definitions` VALUES (19240, 5201, 5, 'Ungültige Quelle Bezeichnung \"');
INSERT INTO `lang_definitions` VALUES (19241, 5203, 5, 'Ungültiger Benutzername oder Passwort');
INSERT INTO `lang_definitions` VALUES (19242, 5204, 5, 'InvAmt');
INSERT INTO `lang_definitions` VALUES (19243, 5205, 5, 'Bestand');
INSERT INTO `lang_definitions` VALUES (19244, 5206, 5, 'Bestand Aktivitäten');
INSERT INTO `lang_definitions` VALUES (19245, 5209, 5, 'Inventar ist nicht für diesen Auftrag verfügbar.');
INSERT INTO `lang_definitions` VALUES (19246, 5210, 5, 'Inventar Liste');
INSERT INTO `lang_definitions` VALUES (19247, 5211, 5, 'Bestandstransaktionen');
INSERT INTO `lang_definitions` VALUES (19248, 5212, 5, 'Rechnung');
INSERT INTO `lang_definitions` VALUES (19249, 5213, 5, 'rechnung');
INSERT INTO `lang_definitions` VALUES (19250, 5215, 5, 'Rechnung Bilanz');
INSERT INTO `lang_definitions` VALUES (19251, 5216, 5, 'Rechnung Bilanz kann nicht gebucht werden. Kein Fall wird erstellt.');
INSERT INTO `lang_definitions` VALUES (19252, 5217, 5, 'Rechnungsdatum');
INSERT INTO `lang_definitions` VALUES (19253, 5219, 5, 'Rechnung hat kein Datum!');
INSERT INTO `lang_definitions` VALUES (19254, 5220, 5, 'Rechnung Nummer');
INSERT INTO `lang_definitions` VALUES (19255, 5221, 5, 'Rechnungsreferenznummer');
INSERT INTO `lang_definitions` VALUES (19256, 5222, 5, 'Rechnungsreferenznummernpool, falls benutzt');
INSERT INTO `lang_definitions` VALUES (19257, 5223, 5, 'Rechnungsreferenznummernpool');
INSERT INTO `lang_definitions` VALUES (19258, 5224, 5, 'Rechnungsrefnr. Pool');
INSERT INTO `lang_definitions` VALUES (19259, 5226, 5, 'Rechnung:');
INSERT INTO `lang_definitions` VALUES (19260, 5243, 5, 'IPV 1');
INSERT INTO `lang_definitions` VALUES (19261, 5244, 5, 'IPV 2');
INSERT INTO `lang_definitions` VALUES (19262, 5245, 5, 'IPV 3');
INSERT INTO `lang_definitions` VALUES (19263, 5246, 5, 'IPV 4');
INSERT INTO `lang_definitions` VALUES (19264, 5249, 5, 'Unregelmäßiger Herzschlag');
INSERT INTO `lang_definitions` VALUES (19265, 5250, 5, 'Reizbarkeit');
INSERT INTO `lang_definitions` VALUES (19266, 5251, 5, 'Reizung');
INSERT INTO `lang_definitions` VALUES (19267, 5254, 5, 'ist eine neuere Version der folgenden Datenbank');
INSERT INTO `lang_definitions` VALUES (19268, 5256, 5, 'ist Pflicht Feld.');
INSERT INTO `lang_definitions` VALUES (19269, 5257, 5, 'ist ein Root-Knoten und kann nicht gelöscht werden.');
INSERT INTO `lang_definitions` VALUES (19270, 5258, 5, 'ist eine erweiterung der folgenden Datenbank');
INSERT INTO `lang_definitions` VALUES (19271, 5263, 5, 'ist unangebracht oder falsch');
INSERT INTO `lang_definitions` VALUES (19272, 5268, 5, 'ist nicht gültig (Dezimalbrüche sind OK).');
INSERT INTO `lang_definitions` VALUES (19273, 5269, 5, 'Verwendet PHP \"Safe Mode\"?');
INSERT INTO `lang_definitions` VALUES (19274, 5273, 5, 'Soll Text von Formular-Layouts übersetzt werden?');
INSERT INTO `lang_definitions` VALUES (19275, 5274, 5, 'Soll Text in Listen übersetzt werden?');
INSERT INTO `lang_definitions` VALUES (19276, 5275, 5, 'Ist die Datei Verschlusselt?');
INSERT INTO `lang_definitions` VALUES (19277, 5277, 5, 'Ist das eine Diagnose Typ?');
INSERT INTO `lang_definitions` VALUES (19278, 5280, 5, 'Ist das eine Prozedur / Service-Typ?');
INSERT INTO `lang_definitions` VALUES (19279, 5281, 5, 'Ist dies Aktiv?');
INSERT INTO `lang_definitions` VALUES (19280, 5282, 5, 'Ist dieser COde Type aktiv?');
INSERT INTO `lang_definitions` VALUES (19281, 5283, 5, 'Ist dieser Code in den Ansprüchen verwendet?');
INSERT INTO `lang_definitions` VALUES (19282, 5286, 5, 'Ist diese Art im Honorar Blatt versteckt?');
INSERT INTO `lang_definitions` VALUES (19283, 5287, 5, 'Wird eine externe SQL-Tabelle verwendet? Wenn Ja, dann Format wählen.');
INSERT INTO `lang_definitions` VALUES (19284, 5288, 5, 'ist zu lang');
INSERT INTO `lang_definitions` VALUES (19285, 5290, 5, 'Problem');
INSERT INTO `lang_definitions` VALUES (19286, 5291, 5, 'problem');
INSERT INTO `lang_definitions` VALUES (19287, 5292, 5, 'Problem Datum');
INSERT INTO `lang_definitions` VALUES (19288, 5293, 5, 'Problem ID');
INSERT INTO `lang_definitions` VALUES (19289, 5295, 5, 'Problem Titel');
INSERT INTO `lang_definitions` VALUES (19290, 5296, 5, 'Problem Art');
INSERT INTO `lang_definitions` VALUES (19291, 5297, 5, 'Problem Arten');
INSERT INTO `lang_definitions` VALUES (19292, 5298, 5, 'Probleme');
INSERT INTO `lang_definitions` VALUES (19293, 5299, 5, 'Probleme (Verletzungen, Medizinisch, Allergien)');
INSERT INTO `lang_definitions` VALUES (19294, 5300, 5, 'Probleme (Verletzungen, Medizinisch, Allergien):');
INSERT INTO `lang_definitions` VALUES (19295, 5302, 5, 'Probleme und Kontakte');
INSERT INTO `lang_definitions` VALUES (19296, 5303, 5, 'Probleme und Kontakte für');
INSERT INTO `lang_definitions` VALUES (19297, 5308, 5, 'Problem nicht berechtigt');
INSERT INTO `lang_definitions` VALUES (19298, 5309, 5, 'Problem Bereich');
INSERT INTO `lang_definitions` VALUES (19299, 5364, 5, 'Italienisch');
INSERT INTO `lang_definitions` VALUES (19300, 5365, 5, 'Artikel');
INSERT INTO `lang_definitions` VALUES (19301, 5366, 5, 'artikel');
INSERT INTO `lang_definitions` VALUES (19302, 5368, 5, 'artikel');
INSERT INTO `lang_definitions` VALUES (19303, 5369, 5, 'Artikel laden fehlgeschlagen');
INSERT INTO `lang_definitions` VALUES (19304, 5370, 5, 'IU/L');
INSERT INTO `lang_definitions` VALUES (19305, 5371, 5, 'IUD');
INSERT INTO `lang_definitions` VALUES (19306, 5372, 5, 'IV');
INSERT INTO `lang_definitions` VALUES (19307, 5375, 5, 'Jan');
INSERT INTO `lang_definitions` VALUES (19308, 5376, 5, 'Januar');
INSERT INTO `lang_definitions` VALUES (19309, 5377, 5, 'Japaner');
INSERT INTO `lang_definitions` VALUES (19310, 5378, 5, 'Gelbsucht');
INSERT INTO `lang_definitions` VALUES (19311, 5380, 5, 'Job Beschreibung');
INSERT INTO `lang_definitions` VALUES (19312, 5381, 5, 'Job ID');
INSERT INTO `lang_definitions` VALUES (19313, 5382, 5, 'gemeinsame Versetzungen');
INSERT INTO `lang_definitions` VALUES (19314, 5383, 5, 'Gelenkschmerzen');
INSERT INTO `lang_definitions` VALUES (19315, 5384, 5, 'Gelenkverstauchungen');
INSERT INTO `lang_definitions` VALUES (19316, 5385, 5, 'Jul');
INSERT INTO `lang_definitions` VALUES (19317, 5386, 5, 'Juli');
INSERT INTO `lang_definitions` VALUES (19318, 5388, 5, 'Jun');
INSERT INTO `lang_definitions` VALUES (19319, 5389, 5, 'Juni');
INSERT INTO `lang_definitions` VALUES (19320, 5390, 5, 'Knapp unterhalb der Scheck Informationen ist eine blaue Fläche, wo Sie in Ihre Suchparameter setzen. Sie können nach Name des Patienten, Chart-Nummer, Fall Nummer oder Datum der Zustellung oder eine beliebige Kombination von diesen zu suchen. Sie können auch wählen, ob Sie alle Rechnungen, offene Rechnungen oder nur Rechnungen, die fällig (durch den Patienten) sind sehen. Klicken Sie auf die Schaltfläche Suchen, um die Suche durchzuführen.');
INSERT INTO `lang_definitions` VALUES (19321, 5391, 5, 'Nur Meins');
INSERT INTO `lang_definitions` VALUES (19322, 5393, 5, 'Rechtfertigen');
INSERT INTO `lang_definitions` VALUES (19323, 5396, 5, 'Rechtfertigen/Speichern');
INSERT INTO `lang_definitions` VALUES (19324, 5398, 5, 'k, hier ist der rest');
INSERT INTO `lang_definitions` VALUES (19325, 5407, 5, 'Schlüssel');
INSERT INTO `lang_definitions` VALUES (19326, 5411, 5, 'Schlüsselwörter');
INSERT INTO `lang_definitions` VALUES (19327, 5412, 5, 'kg');
INSERT INTO `lang_definitions` VALUES (19328, 5413, 5, 'kg/m^2');
INSERT INTO `lang_definitions` VALUES (19329, 5415, 5, 'Nierenkrebs');
INSERT INTO `lang_definitions` VALUES (19330, 5416, 5, 'Nierenversagen');
INSERT INTO `lang_definitions` VALUES (19331, 5417, 5, 'Nieren Infektion');
INSERT INTO `lang_definitions` VALUES (19332, 5418, 5, 'Nieren Steine');
INSERT INTO `lang_definitions` VALUES (19333, 5419, 5, 'Nieren Transplantation');
INSERT INTO `lang_definitions` VALUES (19334, 5425, 5, 'Knie');
INSERT INTO `lang_definitions` VALUES (19335, 5426, 5, 'Knieprobleme');
INSERT INTO `lang_definitions` VALUES (19336, 5427, 5, 'Knieprothese');
INSERT INTO `lang_definitions` VALUES (19337, 5430, 5, 'Koreanisch');
INSERT INTO `lang_definitions` VALUES (19338, 5434, 5, 'Labor');
INSERT INTO `lang_definitions` VALUES (19339, 5436, 5, 'Labor-Übertragung Adresse');
INSERT INTO `lang_definitions` VALUES (19340, 5437, 5, 'Labor-Übertragung ID');
INSERT INTO `lang_definitions` VALUES (19341, 5438, 5, 'Labor-Übertragung Token-ID');
INSERT INTO `lang_definitions` VALUES (19342, 5442, 5, 'Labor-Abfrage Status');
INSERT INTO `lang_definitions` VALUES (19343, 5444, 5, 'Laborbericht');
INSERT INTO `lang_definitions` VALUES (19344, 5445, 5, 'Laborbefund');
INSERT INTO `lang_definitions` VALUES (19345, 5446, 5, 'Laborbefunde');
INSERT INTO `lang_definitions` VALUES (19346, 5449, 5, 'Laborbefunde Bericht');
INSERT INTO `lang_definitions` VALUES (19347, 5450, 5, 'Labor Service');
INSERT INTO `lang_definitions` VALUES (19348, 5451, 5, 'Labor Testergebnisse');
INSERT INTO `lang_definitions` VALUES (19349, 5453, 5, 'Etikett');
INSERT INTO `lang_definitions` VALUES (19350, 5454, 5, 'Etikett darf nicht leer sein');
INSERT INTO `lang_definitions` VALUES (19351, 5455, 5, 'Etikettenspalten');
INSERT INTO `lang_definitions` VALUES (19352, 5456, 5, 'Etikett für diesen Type');
INSERT INTO `lang_definitions` VALUES (19353, 5458, 5, 'Label-Spalten muss eine Zahl zwischen 1 und 999 sein');
INSERT INTO `lang_definitions` VALUES (19354, 5459, 5, 'Etiketten');
INSERT INTO `lang_definitions` VALUES (19355, 5463, 5, 'Labore');
INSERT INTO `lang_definitions` VALUES (19356, 5464, 5, 'Platzwunde / Hautproblem');
INSERT INTO `lang_definitions` VALUES (19357, 5465, 5, 'Platzwunde / Schürfwunde');
INSERT INTO `lang_definitions` VALUES (19358, 5471, 5, 'Sprache');
INSERT INTO `lang_definitions` VALUES (19359, 5472, 5, 'Sprachcode');
INSERT INTO `lang_definitions` VALUES (19360, 5473, 5, 'Sprachdefinition hinzugefügt');
INSERT INTO `lang_definitions` VALUES (19361, 5474, 5, 'Sprach-Schnittstellen-Tool');
INSERT INTO `lang_definitions` VALUES (19362, 5476, 5, 'Sprachliste (schreiben, hinzufügen optional)');
INSERT INTO `lang_definitions` VALUES (19363, 5478, 5, 'Sprachenname');
INSERT INTO `lang_definitions` VALUES (19364, 5479, 5, 'Sprache:');
INSERT INTO `lang_definitions` VALUES (19365, 5481, 5, 'Laotisch');
INSERT INTO `lang_definitions` VALUES (19366, 5485, 5, 'Letzte');
INSERT INTO `lang_definitions` VALUES (19367, 5486, 5, 'Letztes Aktivitätendatum');
INSERT INTO `lang_definitions` VALUES (19368, 5489, 5, 'Letztes Rechnungsdatum:');
INSERT INTO `lang_definitions` VALUES (19369, 5491, 5, 'Letztes Kalenderjahr');
INSERT INTO `lang_definitions` VALUES (19370, 5495, 5, 'Lezter Besuch');
INSERT INTO `lang_definitions` VALUES (19371, 5506, 5, 'Letzter Monat');
INSERT INTO `lang_definitions` VALUES (19372, 5507, 5, 'Nachname');
INSERT INTO `lang_definitions` VALUES (19373, 5508, 5, 'Nachname');
INSERT INTO `lang_definitions` VALUES (19374, 5513, 5, 'Nachname');
INSERT INTO `lang_definitions` VALUES (19375, 5517, 5, 'Zuletzt bearbeitet');
INSERT INTO `lang_definitions` VALUES (19376, 5518, 5, 'Letzte Ausführung am');
INSERT INTO `lang_definitions` VALUES (19377, 5519, 5, 'Zuletzt gespeichert');
INSERT INTO `lang_definitions` VALUES (19378, 5525, 5, 'Letztes Update von');
INSERT INTO `lang_definitions` VALUES (19379, 5526, 5, 'Letzte Kontrolle am');
INSERT INTO `lang_definitions` VALUES (19380, 5527, 5, 'Letzte Konsultation');
INSERT INTO `lang_definitions` VALUES (19381, 5530, 5, 'Letzte Wiedererkrankung (2-12 Monate)');
INSERT INTO `lang_definitions` VALUES (19382, 5531, 5, 'Außenknöchel');
INSERT INTO `lang_definitions` VALUES (19383, 5532, 5, 'Außenknöchel:');
INSERT INTO `lang_definitions` VALUES (19384, 5549, 5, 'Layout-basiert');
INSERT INTO `lang_definitions` VALUES (19385, 5551, 5, 'Layout-Editor');
INSERT INTO `lang_definitions` VALUES (19386, 5552, 5, 'Layoutgruppen');
INSERT INTO `lang_definitions` VALUES (19387, 5556, 5, 'Layout-Stil');
INSERT INTO `lang_definitions` VALUES (19388, 5558, 5, 'Layout-basierte Formulare');
INSERT INTO `lang_definitions` VALUES (19389, 5559, 5, 'Layouts');
INSERT INTO `lang_definitions` VALUES (19390, 5560, 5, 'lb');
INSERT INTO `lang_definitions` VALUES (19391, 5563, 5, 'lbs');
INSERT INTO `lang_definitions` VALUES (19392, 5571, 5, 'LDL');
INSERT INTO `lang_definitions` VALUES (19393, 5573, 5, 'freilassen, wenn noch aktiv');
INSERT INTO `lang_definitions` VALUES (19394, 5574, 5, 'Leer lassen - Dateiname bleibt unverändert');
INSERT INTO `lang_definitions` VALUES (19395, 5575, 5, 'Leer lassen - Passwort bleibt unverändert');
INSERT INTO `lang_definitions` VALUES (19396, 5580, 5, 'Nachricht hinterlassen mit');
INSERT INTO `lang_definitions` VALUES (19397, 5582, 5, 'Feld verlassen');
INSERT INTO `lang_definitions` VALUES (19398, 5583, 5, 'Ist das Pass Phrase Feld leer, so wird das Dokument nicht verschlüsselt');
INSERT INTO `lang_definitions` VALUES (19399, 5586, 5, 'Links');
INSERT INTO `lang_definitions` VALUES (19400, 5589, 5, 'Linkes Ohr');
INSERT INTO `lang_definitions` VALUES (19401, 5590, 5, 'linkes Ohr');
INSERT INTO `lang_definitions` VALUES (19402, 5599, 5, 'Links:');
INSERT INTO `lang_definitions` VALUES (19403, 5600, 5, 'Links:');
INSERT INTO `lang_definitions` VALUES (19404, 5601, 5, 'Bein / Krämpfe');
INSERT INTO `lang_definitions` VALUES (19405, 5602, 5, 'Legal');
INSERT INTO `lang_definitions` VALUES (19406, 5604, 5, 'Norm Papier Format');
INSERT INTO `lang_definitions` VALUES (19407, 5605, 5, 'Legende:');
INSERT INTO `lang_definitions` VALUES (19408, 5606, 5, 'Länge');
INSERT INTO `lang_definitions` VALUES (19409, 5613, 5, 'Kleiner als');
INSERT INTO `lang_definitions` VALUES (19410, 5614, 5, 'kleiner als oder gleich');
INSERT INTO `lang_definitions` VALUES (19411, 5615, 5, 'Weniger private Informationen (Schreiben, nur hinzufügen optional)');
INSERT INTO `lang_definitions` VALUES (19412, 5620, 5, 'Brief');
INSERT INTO `lang_definitions` VALUES (19413, 5621, 5, 'Brief Generator');
INSERT INTO `lang_definitions` VALUES (19414, 5622, 5, 'Briefpapier Größe');
INSERT INTO `lang_definitions` VALUES (19415, 5623, 5, 'Briefkopf, welcher Arzt signiert');
INSERT INTO `lang_definitions` VALUES (19416, 5624, 5, 'Briefkopf, welcher Patient signiert');
INSERT INTO `lang_definitions` VALUES (19417, 5627, 5, 'Dringlichkeit');
INSERT INTO `lang_definitions` VALUES (19418, 5630, 5, 'Haftung');
INSERT INTO `lang_definitions` VALUES (19419, 5631, 5, 'Medizinische Haftung');
INSERT INTO `lang_definitions` VALUES (19420, 5633, 5, 'Lizenz/ID');
INSERT INTO `lang_definitions` VALUES (19421, 5639, 5, 'Lizenzierter verschreibender Nachname');
INSERT INTO `lang_definitions` VALUES (19422, 5640, 5, 'Lizenzierter verschreibender Arzt NPI');
INSERT INTO `lang_definitions` VALUES (19423, 5641, 5, 'Lizenzierter verschreibender Arzt UPIN');
INSERT INTO `lang_definitions` VALUES (19424, 5644, 5, 'Lebensstil');
INSERT INTO `lang_definitions` VALUES (19425, 5646, 5, 'Lebensstil');
INSERT INTO `lang_definitions` VALUES (19426, 5647, 5, 'Bänderriss oder Verstauchung');
INSERT INTO `lang_definitions` VALUES (19427, 5648, 5, 'leichter Raucher');
INSERT INTO `lang_definitions` VALUES (19428, 5651, 5, 'Limit der Ereignisse');
INSERT INTO `lang_definitions` VALUES (19429, 5654, 5, 'Limits');
INSERT INTO `lang_definitions` VALUES (19430, 5657, 5, 'Link');
INSERT INTO `lang_definitions` VALUES (19431, 5658, 5, 'Link zum Patienten');
INSERT INTO `lang_definitions` VALUES (19432, 5660, 5, 'Verbunden');
INSERT INTO `lang_definitions` VALUES (19433, 5663, 5, 'verbunde mit Dokument');
INSERT INTO `lang_definitions` VALUES (19434, 5665, 5, 'Liste');
INSERT INTO `lang_definitions` VALUES (19435, 5666, 5, 'Listenfeld');
INSERT INTO `lang_definitions` VALUES (19436, 5667, 5, 'listenfeld');
INSERT INTO `lang_definitions` VALUES (19437, 5671, 5, 'Listen Editor');
INSERT INTO `lang_definitions` VALUES (19438, 5672, 5, 'Liste Besuche');
INSERT INTO `lang_definitions` VALUES (19439, 5674, 5, 'Liste Gruppen');
INSERT INTO `lang_definitions` VALUES (19440, 5675, 5, 'Liste Versicherungs Gesellschaften');
INSERT INTO `lang_definitions` VALUES (19441, 5677, 5, 'Listeneinträge können nicht mit einer Zahl beginnen');
INSERT INTO `lang_definitions` VALUES (19442, 5678, 5, 'Listeneinträge enthalten ungültige Zeichen');
INSERT INTO `lang_definitions` VALUES (19443, 5680, 5, 'Listen anzeigen');
INSERT INTO `lang_definitions` VALUES (19444, 5682, 5, 'Liste Name');
INSERT INTO `lang_definitions` VALUES (19445, 5683, 5, 'Listennamen können nicht mit einer Zahl beginnen.');
INSERT INTO `lang_definitions` VALUES (19446, 5688, 5, 'Liste Rezepte');
INSERT INTO `lang_definitions` VALUES (19447, 5693, 5, 'Listen');
INSERT INTO `lang_definitions` VALUES (19448, 5696, 5, 'Testament');
INSERT INTO `lang_definitions` VALUES (19449, 5701, 5, 'LLL:');
INSERT INTO `lang_definitions` VALUES (19450, 5707, 5, 'LMP');
INSERT INTO `lang_definitions` VALUES (19451, 5709, 5, 'Lade Definitionen');
INSERT INTO `lang_definitions` VALUES (19452, 5717, 5, 'LADEN');
INSERT INTO `lang_definitions` VALUES (19453, 5721, 5, 'Laden der Dateien in die Datenbank. Dies wird einige Zeit dauern ...');
INSERT INTO `lang_definitions` VALUES (19454, 5723, 5, 'Lok');
INSERT INTO `lang_definitions` VALUES (19455, 5724, 5, 'Lokal');
INSERT INTO `lang_definitions` VALUES (19456, 5728, 5, 'Lokal');
INSERT INTO `lang_definitions` VALUES (19457, 5729, 5, 'Örtlichkeit');
INSERT INTO `lang_definitions` VALUES (19458, 5730, 5, 'Ort');
INSERT INTO `lang_definitions` VALUES (19459, 5731, 5, 'Die Lage des OpenEMR Servers und dessen Inhalt können sensible Daten enthalten, so ist es empfehlenswert, diese Dateien, nach ihrer Verwendung, manuell zu löschen.');
INSERT INTO `lang_definitions` VALUES (19460, 5732, 5, 'Ort dieser Charge');
INSERT INTO `lang_definitions` VALUES (19461, 5733, 5, 'Ort unbekannt');
INSERT INTO `lang_definitions` VALUES (19462, 5734, 5, 'Ort, an dem Hylafax Faxe gespeichert werden.');
INSERT INTO `lang_definitions` VALUES (19463, 5735, 5, 'Ort, an dem Scans gespeichert werden.');
INSERT INTO `lang_definitions` VALUES (19464, 5736, 5, 'Ort:');
INSERT INTO `lang_definitions` VALUES (19465, 5737, 5, 'Gesperrt');
INSERT INTO `lang_definitions` VALUES (19466, 5745, 5, 'Anmelden');
INSERT INTO `lang_definitions` VALUES (19467, 5746, 5, 'Anmelden');
INSERT INTO `lang_definitions` VALUES (19468, 5749, 5, 'Abmelden');
INSERT INTO `lang_definitions` VALUES (19469, 5752, 5, 'Angemeldet');
INSERT INTO `lang_definitions` VALUES (19470, 5753, 5, 'Angemeldet als');
INSERT INTO `lang_definitions` VALUES (19471, 5754, 5, 'Angemeldet als:');
INSERT INTO `lang_definitions` VALUES (19472, 5755, 5, 'Abgemeldet.');
INSERT INTO `lang_definitions` VALUES (19473, 5756, 5, 'Logging');
INSERT INTO `lang_definitions` VALUES (19474, 5757, 5, 'Anmelden');
INSERT INTO `lang_definitions` VALUES (19475, 5758, 5, 'anmelden');
INSERT INTO `lang_definitions` VALUES (19476, 5763, 5, 'Auf Remote Host anmelden');
INSERT INTO `lang_definitions` VALUES (19477, 5764, 5, 'Auf Remote Host anmelden, fehlgeschlagen');
INSERT INTO `lang_definitions` VALUES (19478, 5768, 5, 'Abmelden');
INSERT INTO `lang_definitions` VALUES (19479, 5769, 5, 'abmelden');
INSERT INTO `lang_definitions` VALUES (19480, 5770, 5, 'Logs');
INSERT INTO `lang_definitions` VALUES (19481, 5771, 5, 'Logviewer');
INSERT INTO `lang_definitions` VALUES (19482, 5776, 5, 'Nachschlagen');
INSERT INTO `lang_definitions` VALUES (19483, 5777, 5, 'Charge');
INSERT INTO `lang_definitions` VALUES (19484, 5778, 5, 'Chargen ID fehlt!');
INSERT INTO `lang_definitions` VALUES (19485, 5779, 5, 'Chargen-Nummer');
INSERT INTO `lang_definitions` VALUES (19486, 5780, 5, 'Niedrig');
INSERT INTO `lang_definitions` VALUES (19487, 5781, 5, 'Niedrige Priorität');
INSERT INTO `lang_definitions` VALUES (19488, 5782, 5, 'Unterschenkel');
INSERT INTO `lang_definitions` VALUES (19489, 5784, 5, 'Niedrigste Priorität');
INSERT INTO `lang_definitions` VALUES (19490, 5791, 5, 'Lendenwirbelsäule');
INSERT INTO `lang_definitions` VALUES (19491, 5792, 5, 'Mittagessen');
INSERT INTO `lang_definitions` VALUES (19492, 5793, 5, 'Mittagessen');
INSERT INTO `lang_definitions` VALUES (19493, 5794, 5, 'Lungenkrebs');
INSERT INTO `lang_definitions` VALUES (19494, 5795, 5, 'Thoraxchirurgie bei Lungenkrebs');
INSERT INTO `lang_definitions` VALUES (19495, 5796, 5, 'Lungen:');
INSERT INTO `lang_definitions` VALUES (19496, 5797, 5, 'Lungen:');
INSERT INTO `lang_definitions` VALUES (19497, 5798, 5, 'Lupus');
INSERT INTO `lang_definitions` VALUES (19498, 5804, 5, 'M');
INSERT INTO `lang_definitions` VALUES (19499, 5805, 5, 'MA Kategorie');
INSERT INTO `lang_definitions` VALUES (19500, 5806, 5, 'MA-Client akzeptiert Abtreibung');
INSERT INTO `lang_definitions` VALUES (19501, 5807, 5, 'MA Status');
INSERT INTO `lang_definitions` VALUES (19502, 5812, 5, 'Mail gesendet');
INSERT INTO `lang_definitions` VALUES (19503, 5814, 5, 'Haupt');
INSERT INTO `lang_definitions` VALUES (19504, 5815, 5, 'Hauptadresse');
INSERT INTO `lang_definitions` VALUES (19505, 5821, 5, 'Hauptansicht');
INSERT INTO `lang_definitions` VALUES (19506, 5824, 5, 'Pflegen aktiven Medikamenten-Allergie-Liste.');
INSERT INTO `lang_definitions` VALUES (19507, 5825, 5, 'Pflege aktive Medikamenten Liste.');
INSERT INTO `lang_definitions` VALUES (19508, 5826, 5, 'Pflegen Sie eine up-to-date Problem Liste der aktuellen und aktiven Diagnosen.');
INSERT INTO `lang_definitions` VALUES (19509, 5827, 5, 'Änderungen an aktuellen Kategorien.');
INSERT INTO `lang_definitions` VALUES (19510, 5828, 5, 'Neuen Termin für');
INSERT INTO `lang_definitions` VALUES (19511, 5831, 5, 'Verichern');
INSERT INTO `lang_definitions` VALUES (19512, 5832, 5, 'Erstellen Batch-Text-Dateien für den Upload auf Clearing House und markieren als abgerechnet');
INSERT INTO `lang_definitions` VALUES (19513, 5837, 5, 'Männlich');
INSERT INTO `lang_definitions` VALUES (19514, 5838, 5, 'Männer Kondome');
INSERT INTO `lang_definitions` VALUES (19515, 5841, 5, 'Mammogramm');
INSERT INTO `lang_definitions` VALUES (19516, 5842, 5, 'Verwalten');
INSERT INTO `lang_definitions` VALUES (19517, 5850, 5, 'Verwalte Übersetzungen');
INSERT INTO `lang_definitions` VALUES (19518, 5851, 5, 'Management');
INSERT INTO `lang_definitions` VALUES (19519, 5854, 5, 'Erforderliche und spezielle Felder');
INSERT INTO `lang_definitions` VALUES (19520, 5855, 5, 'Nur obligatorische oder bestimmte Felder, Duplikat Scheck, keine Suche');
INSERT INTO `lang_definitions` VALUES (19521, 5856, 5, 'Nur obligatorische oder bestimmte Felder, Duplikat Scheck, keine Suche');
INSERT INTO `lang_definitions` VALUES (19522, 5859, 5, 'Handbuch');
INSERT INTO `lang_definitions` VALUES (19523, 5860, 5, 'Manuelle Buchung');
INSERT INTO `lang_definitions` VALUES (19524, 5864, 5, 'Hersteller');
INSERT INTO `lang_definitions` VALUES (19525, 5870, 5, 'Mär.');
INSERT INTO `lang_definitions` VALUES (19526, 5874, 5, 'März');
INSERT INTO `lang_definitions` VALUES (19527, 5877, 5, 'Familienstand');
INSERT INTO `lang_definitions` VALUES (19528, 5880, 5, 'Markiert als bezahlt aber überspringe Abrechnung');
INSERT INTO `lang_definitions` VALUES (19529, 5881, 5, 'Markiert als gelöscht');
INSERT INTO `lang_definitions` VALUES (19530, 5882, 5, 'Markiert als nicht bezahlt');
INSERT INTO `lang_definitions` VALUES (19531, 5885, 5, 'Berichte als kontrolliert markieren');
INSERT INTO `lang_definitions` VALUES (19532, 5886, 5, 'Markiert als gelöscht');
INSERT INTO `lang_definitions` VALUES (19533, 5887, 5, 'Verheiratet');
INSERT INTO `lang_definitions` VALUES (19534, 5889, 5, 'Maske');
INSERT INTO `lang_definitions` VALUES (19535, 5890, 5, 'Maske für Rechnungsnummern');
INSERT INTO `lang_definitions` VALUES (19536, 5891, 5, 'Maske für Patienten IDs');
INSERT INTO `lang_definitions` VALUES (19537, 5892, 5, 'Maske für Produkt IDs');
INSERT INTO `lang_definitions` VALUES (19538, 5894, 5, 'Entsprechen');
INSERT INTO `lang_definitions` VALUES (19539, 5907, 5, 'Max.');
INSERT INTO `lang_definitions` VALUES (19540, 5912, 5, 'Oberkiefer rechts:');
INSERT INTO `lang_definitions` VALUES (19541, 5913, 5, 'Maximales Alter');
INSERT INTO `lang_definitions` VALUES (19542, 5914, 5, 'Maximale Zeichen');
INSERT INTO `lang_definitions` VALUES (19543, 5917, 5, 'Maximale Wartezeit in Sekunden, vorm ausloggen. Der Standardwert ist 7200 (2 Stunden).');
INSERT INTO `lang_definitions` VALUES (19544, 5920, 5, 'Maximal sinnvolle Bestandsaufnahme, 0 falls nicht zutreffend');
INSERT INTO `lang_definitions` VALUES (19545, 5921, 5, 'Maximale Größe');
INSERT INTO `lang_definitions` VALUES (19546, 5922, 5, 'Maximale Größe (0= beliebige Größe)');
INSERT INTO `lang_definitions` VALUES (19547, 5924, 5, 'Mai');
INSERT INTO `lang_definitions` VALUES (19548, 5926, 5, 'MC');
INSERT INTO `lang_definitions` VALUES (19549, 5927, 5, 'µg');
INSERT INTO `lang_definitions` VALUES (19550, 5929, 5, 'Keine der letzten drei Passwörter sind zulässig, wenn dieses geändert wird.');
INSERT INTO `lang_definitions` VALUES (19551, 5931, 5, 'Messung Gruppe Code');
INSERT INTO `lang_definitions` VALUES (19552, 5933, 5, 'Messung');
INSERT INTO `lang_definitions` VALUES (19553, 5939, 5, 'Malleolus medialis:');
INSERT INTO `lang_definitions` VALUES (19554, 5940, 5, 'Gesundheitsdienst');
INSERT INTO `lang_definitions` VALUES (19555, 5942, 5, 'Medizinisch');
INSERT INTO `lang_definitions` VALUES (19556, 5943, 5, 'Medizinische Abtreibung');
INSERT INTO `lang_definitions` VALUES (19557, 5944, 5, 'Medizinische Verwaltung');
INSERT INTO `lang_definitions` VALUES (19558, 5946, 5, 'Medizinischer Verlauf');
INSERT INTO `lang_definitions` VALUES (19559, 5947, 5, 'Medizinisches Problem');
INSERT INTO `lang_definitions` VALUES (19560, 5948, 5, 'Medizinisches Problem');
INSERT INTO `lang_definitions` VALUES (19561, 5951, 5, 'Medizinisches Problem');
INSERT INTO `lang_definitions` VALUES (19562, 5952, 5, 'Medizinisches problem');
INSERT INTO `lang_definitions` VALUES (19563, 5953, 5, 'Medizinisches problem Liste');
INSERT INTO `lang_definitions` VALUES (19564, 5954, 5, 'Medizinische Probleme');
INSERT INTO `lang_definitions` VALUES (19565, 5956, 5, 'Medizinische Aufzeichnung');
INSERT INTO `lang_definitions` VALUES (19566, 5957, 5, 'Medizinische Aufzeichnung #');
INSERT INTO `lang_definitions` VALUES (19567, 5959, 5, 'Medizinische Aufzeichnungen');
INSERT INTO `lang_definitions` VALUES (19568, 5961, 5, 'Medizinische Aufzeichnung gesendet');
INSERT INTO `lang_definitions` VALUES (19569, 5963, 5, 'Medizinische Zusammenfassung Aufgrund');
INSERT INTO `lang_definitions` VALUES (19570, 5964, 5, 'Medizinisches System');
INSERT INTO `lang_definitions` VALUES (19571, 5965, 5, 'Medizinischer Type');
INSERT INTO `lang_definitions` VALUES (19572, 5966, 5, 'Medizinischer Verlauf (schreiben, nur hinzufügen optional)');
INSERT INTO `lang_definitions` VALUES (19573, 5970, 5, 'Medikamente');
INSERT INTO `lang_definitions` VALUES (19574, 5971, 5, 'Liste allerischer Medikamente');
INSERT INTO `lang_definitions` VALUES (19575, 5972, 5, 'Medikamente Problem Liste');
INSERT INTO `lang_definitions` VALUES (19576, 5973, 5, 'Medikamenten Liste');
INSERT INTO `lang_definitions` VALUES (19577, 5974, 5, 'Medikamente Abstimmung durchgeführt?');
INSERT INTO `lang_definitions` VALUES (19578, 5975, 5, 'Medikamente');
INSERT INTO `lang_definitions` VALUES (19579, 5978, 5, 'Medikamente:');
INSERT INTO `lang_definitions` VALUES (19580, 5979, 5, 'Medizin Einheiten');
INSERT INTO `lang_definitions` VALUES (19581, 5980, 5, 'mittel');
INSERT INTO `lang_definitions` VALUES (19582, 5984, 5, 'Mitgliedsverband Statistik Bericht');
INSERT INTO `lang_definitions` VALUES (19583, 5986, 5, 'Speicherprobleme');
INSERT INTO `lang_definitions` VALUES (19584, 5987, 5, 'Männer');
INSERT INTO `lang_definitions` VALUES (19585, 5988, 5, 'Männer und Frauen');
INSERT INTO `lang_definitions` VALUES (19586, 5989, 5, 'Nur Männer');
INSERT INTO `lang_definitions` VALUES (19587, 5990, 5, 'Menstruation');
INSERT INTO `lang_definitions` VALUES (19588, 5991, 5, 'Menopause');
INSERT INTO `lang_definitions` VALUES (19589, 5992, 5, 'Menstruation');
INSERT INTO `lang_definitions` VALUES (19590, 5993, 5, 'Menstruationszyklus Häufigkeit');
INSERT INTO `lang_definitions` VALUES (19591, 5994, 5, 'Menstruationskrankheit');
INSERT INTO `lang_definitions` VALUES (19592, 6001, 5, 'Susammenfügen');
INSERT INTO `lang_definitions` VALUES (19593, 6002, 5, 'Susammenfügen beendet.');
INSERT INTO `lang_definitions` VALUES (19594, 6003, 5, 'Patienten Zusammenfügen');
INSERT INTO `lang_definitions` VALUES (19595, 6005, 5, 'Nachricht');
INSERT INTO `lang_definitions` VALUES (19596, 6006, 5, 'Nachrichtenzentrale');
INSERT INTO `lang_definitions` VALUES (19597, 6012, 5, 'Nachricht gesendet');
INSERT INTO `lang_definitions` VALUES (19598, 6013, 5, 'Nachrichtenstatus');
INSERT INTO `lang_definitions` VALUES (19599, 6017, 5, 'Nachrichten Art');
INSERT INTO `lang_definitions` VALUES (19600, 6018, 5, 'Nachricht:');
INSERT INTO `lang_definitions` VALUES (19601, 6019, 5, 'Nachrichten');
INSERT INTO `lang_definitions` VALUES (19602, 6022, 5, 'Nachrichten die heute gesendet wurden');
INSERT INTO `lang_definitions` VALUES (19603, 6026, 5, 'Methode');
INSERT INTO `lang_definitions` VALUES (19604, 6027, 5, 'Methode und Spezifisches Produkt');
INSERT INTO `lang_definitions` VALUES (19605, 6029, 5, 'Methode für ausgehende e-mail');
INSERT INTO `lang_definitions` VALUES (19606, 6030, 5, 'Methode der Zerstörung');
INSERT INTO `lang_definitions` VALUES (19607, 6038, 5, 'mg');
INSERT INTO `lang_definitions` VALUES (19608, 6039, 5, 'mg/1ml');
INSERT INTO `lang_definitions` VALUES (19609, 6040, 5, 'mg/2ml');
INSERT INTO `lang_definitions` VALUES (19610, 6041, 5, 'mg/3ml');
INSERT INTO `lang_definitions` VALUES (19611, 6042, 5, 'mg/4ml');
INSERT INTO `lang_definitions` VALUES (19612, 6043, 5, 'mg/5ml');
INSERT INTO `lang_definitions` VALUES (19613, 6044, 5, 'mg/dl');
INSERT INTO `lang_definitions` VALUES (19614, 6046, 5, 'Mitte');
INSERT INTO `lang_definitions` VALUES (19615, 6047, 5, '2. Vorname');
INSERT INTO `lang_definitions` VALUES (19616, 6048, 5, '2. Vorname');
INSERT INTO `lang_definitions` VALUES (19617, 6051, 5, 'DEA einfache überweisende Person');
INSERT INTO `lang_definitions` VALUES (19618, 6052, 5, 'Vorname einfache überweisende Person');
INSERT INTO `lang_definitions` VALUES (19619, 6053, 5, 'Nachname einfache überweisende Person');
INSERT INTO `lang_definitions` VALUES (19620, 6055, 5, 'Titel einfache überweisende Person');
INSERT INTO `lang_definitions` VALUES (19621, 6056, 5, 'UPIN einfache überweisende Person');
INSERT INTO `lang_definitions` VALUES (19622, 6061, 5, 'Miene');
INSERT INTO `lang_definitions` VALUES (19623, 6062, 5, 'Migranten oder Saisonarbeiter?');
INSERT INTO `lang_definitions` VALUES (19624, 6064, 5, 'Migrant / Seasonal');
INSERT INTO `lang_definitions` VALUES (19625, 6065, 5, 'Mil/CU.MM');
INSERT INTO `lang_definitions` VALUES (19626, 6070, 5, 'Mime type');
INSERT INTO `lang_definitions` VALUES (19627, 6071, 5, 'Min');
INSERT INTO `lang_definitions` VALUES (19628, 6072, 5, 'min');
INSERT INTO `lang_definitions` VALUES (19629, 6077, 5, 'Mindestalter');
INSERT INTO `lang_definitions` VALUES (19630, 6080, 5, 'Zerrung +/- synovitis');
INSERT INTO `lang_definitions` VALUES (19631, 6082, 5, 'Minuten');
INSERT INTO `lang_definitions` VALUES (19632, 6083, 5, 'Minuten');
INSERT INTO `lang_definitions` VALUES (19633, 6084, 5, 'Minuten');
INSERT INTO `lang_definitions` VALUES (19634, 6086, 5, 'Sonstiges');
INSERT INTO `lang_definitions` VALUES (19635, 6087, 5, 'Sonstiges Rechnungs Optionen');
INSERT INTO `lang_definitions` VALUES (19636, 6088, 5, 'Sonstiges Rechnungs Optionen HFCA-1500');
INSERT INTO `lang_definitions` VALUES (19637, 6089, 5, 'Sonstiges Rechnungs Optionen HFCA');
INSERT INTO `lang_definitions` VALUES (19638, 6090, 5, 'Diverses');
INSERT INTO `lang_definitions` VALUES (19639, 6092, 5, 'Verfehlt');
INSERT INTO `lang_definitions` VALUES (19640, 6093, 5, 'fehlend');
INSERT INTO `lang_definitions` VALUES (19641, 6094, 5, 'Ein benötigtes Feld fehlt');
INSERT INTO `lang_definitions` VALUES (19642, 6097, 5, 'Fehlende Gebühr');
INSERT INTO `lang_definitions` VALUES (19643, 6100, 5, 'Nur fehlende Mods');
INSERT INTO `lang_definitions` VALUES (19644, 6101, 5, 'Fehlender oder ungültiger');
INSERT INTO `lang_definitions` VALUES (19645, 6103, 5, 'Fehlende PID');
INSERT INTO `lang_definitions` VALUES (19646, 6104, 5, 'Fehlender Berichtsdatum');
INSERT INTO `lang_definitions` VALUES (19647, 6105, 5, 'Missing slash after payer in source for code');
INSERT INTO `lang_definitions` VALUES (19648, 6111, 5, 'Gemischt');
INSERT INTO `lang_definitions` VALUES (19649, 6113, 5, 'ml');
INSERT INTO `lang_definitions` VALUES (19650, 6114, 5, 'MM/TT/JJJJ');
INSERT INTO `lang_definitions` VALUES (19651, 6115, 5, 'mm/Hg');
INSERT INTO `lang_definitions` VALUES (19652, 6116, 5, 'mmHg');
INSERT INTO `lang_definitions` VALUES (19653, 6117, 5, 'MMR 1');
INSERT INTO `lang_definitions` VALUES (19654, 6118, 5, 'MMR 2');
INSERT INTO `lang_definitions` VALUES (19655, 6120, 5, 'Mobil');
INSERT INTO `lang_definitions` VALUES (19656, 6121, 5, 'Mobiltelefon');
INSERT INTO `lang_definitions` VALUES (19657, 6125, 5, 'Modifizierer');
INSERT INTO `lang_definitions` VALUES (19658, 6129, 5, 'Mittlere Priorität');
INSERT INTO `lang_definitions` VALUES (19659, 6131, 5, 'Mittlere/niedrige Priorität');
INSERT INTO `lang_definitions` VALUES (19660, 6133, 5, 'Modifizierer');
INSERT INTO `lang_definitions` VALUES (19661, 6139, 5, 'Modifizierer');
INSERT INTO `lang_definitions` VALUES (19662, 6140, 5, 'Anpassen');
INSERT INTO `lang_definitions` VALUES (19663, 6143, 5, 'Zahlungen anpassen');
INSERT INTO `lang_definitions` VALUES (19664, 6145, 5, 'Mod-Länge');
INSERT INTO `lang_definitions` VALUES (19665, 6153, 5, 'Mo');
INSERT INTO `lang_definitions` VALUES (19666, 6154, 5, 'Mo bis Fr');
INSERT INTO `lang_definitions` VALUES (19667, 6155, 5, 'Mo, Mi &amp; Fr');
INSERT INTO `lang_definitions` VALUES (19668, 6156, 5, 'Montag');
INSERT INTO `lang_definitions` VALUES (19669, 6160, 5, 'Monat');
INSERT INTO `lang_definitions` VALUES (19670, 6161, 5, 'Monat');
INSERT INTO `lang_definitions` VALUES (19671, 6162, 5, 'Monatsansicht');
INSERT INTO `lang_definitions` VALUES (19672, 6163, 5, 'Monat(e)');
INSERT INTO `lang_definitions` VALUES (19673, 6164, 5, 'Monatseinkommen');
INSERT INTO `lang_definitions` VALUES (19674, 6166, 5, 'Monate');
INSERT INTO `lang_definitions` VALUES (19675, 6179, 5, 'Mehr als 100 Treffer, genauer suchen.');
INSERT INTO `lang_definitions` VALUES (19676, 6180, 5, 'Mehr als 50 Treffer, genauer suchen.');
INSERT INTO `lang_definitions` VALUES (19677, 6184, 5, 'Einige Spaltenköpfe können angeklickt werden, um die Sortierung zu ändern');
INSERT INTO `lang_definitions` VALUES (19678, 6186, 5, 'Neueste von');
INSERT INTO `lang_definitions` VALUES (19679, 6189, 5, 'Jüngste Vitaldaten vom:');
INSERT INTO `lang_definitions` VALUES (19680, 6190, 5, 'Mutter');
INSERT INTO `lang_definitions` VALUES (19681, 6191, 5, 'Name Mutter');
INSERT INTO `lang_definitions` VALUES (19682, 6195, 5, 'Mund');
INSERT INTO `lang_definitions` VALUES (19683, 6196, 5, 'Bewegen');
INSERT INTO `lang_definitions` VALUES (19684, 6197, 5, 'Dokumentenkategorie verschieben:');
INSERT INTO `lang_definitions` VALUES (19685, 6198, 5, 'Herunterschieben');
INSERT INTO `lang_definitions` VALUES (19686, 6201, 5, 'Zu Patienten verschieben');
INSERT INTO `lang_definitions` VALUES (19687, 6202, 5, 'Hochschieben...');
INSERT INTO `lang_definitions` VALUES (19688, 6203, 5, 'Hochschieben');
INSERT INTO `lang_definitions` VALUES (19689, 6204, 5, 'sich bewegend');
INSERT INTO `lang_definitions` VALUES (19690, 6209, 5, 'Hr.');
INSERT INTO `lang_definitions` VALUES (19691, 6211, 5, 'MRN (pid)');
INSERT INTO `lang_definitions` VALUES (19692, 6215, 5, 'Fr.');
INSERT INTO `lang_definitions` VALUES (19693, 6217, 5, 'Fr.');
INSERT INTO `lang_definitions` VALUES (19694, 6218, 5, 'MSH-11');
INSERT INTO `lang_definitions` VALUES (19695, 6219, 5, 'MSH-3.1');
INSERT INTO `lang_definitions` VALUES (19696, 6220, 5, 'MSH-4.1');
INSERT INTO `lang_definitions` VALUES (19697, 6221, 5, 'MSH-5.1');
INSERT INTO `lang_definitions` VALUES (19698, 6222, 5, 'MSH-6.1');
INSERT INTO `lang_definitions` VALUES (19699, 6226, 5, 'MSP Code');
INSERT INTO `lang_definitions` VALUES (19700, 6227, 5, 'MSP wiederhol Code');
INSERT INTO `lang_definitions` VALUES (19701, 6230, 5, 'Mehrsprachen-Tool');
INSERT INTO `lang_definitions` VALUES (19702, 6234, 5, 'Viele Felder');
INSERT INTO `lang_definitions` VALUES (19703, 6236, 5, 'Mehrere Dokumente können hochgeladen werden durch CTRL+Click or SHIFT+Click.');
INSERT INTO `lang_definitions` VALUES (19704, 6237, 5, 'Mehrere Portionen');
INSERT INTO `lang_definitions` VALUES (19705, 6238, 5, 'Multiple Modifikatoren können getrennt werden durch Leerräume, maximal 4 (M1:M2:M3:M4)');
INSERT INTO `lang_definitions` VALUES (19706, 6242, 5, 'gemischtrassig');
INSERT INTO `lang_definitions` VALUES (19707, 6243, 5, 'Geräusch:');
INSERT INTO `lang_definitions` VALUES (19708, 6244, 5, 'Muskelschmerz');
INSERT INTO `lang_definitions` VALUES (19709, 6245, 5, 'Muskelschmerz');
INSERT INTO `lang_definitions` VALUES (19710, 6246, 5, 'Muskelrötung');
INSERT INTO `lang_definitions` VALUES (19711, 6247, 5, 'Muskelsteifheit');
INSERT INTO `lang_definitions` VALUES (19712, 6248, 5, 'Muskelschwellung');
INSERT INTO `lang_definitions` VALUES (19713, 6249, 5, 'Muskelwärme');
INSERT INTO `lang_definitions` VALUES (19714, 6250, 5, 'Muskel');
INSERT INTO `lang_definitions` VALUES (19715, 6251, 5, 'Muskelverletzung');
INSERT INTO `lang_definitions` VALUES (19716, 6252, 5, 'Muskuloskeletal');
INSERT INTO `lang_definitions` VALUES (19717, 6256, 5, 'Muss leer bleiben, wenn SMTP-Authentifizierung nicht verwendet wird.');
INSERT INTO `lang_definitions` VALUES (19718, 6259, 5, 'gemeinsam definiert');
INSERT INTO `lang_definitions` VALUES (19719, 6260, 5, 'MVA');
INSERT INTO `lang_definitions` VALUES (19720, 6267, 5, 'Ich');
INSERT INTO `lang_definitions` VALUES (19721, 6271, 5, 'Fehlt');
INSERT INTO `lang_definitions` VALUES (19722, 6272, 5, 'Fehlt');
INSERT INTO `lang_definitions` VALUES (19723, 6274, 5, 'Name');
INSERT INTO `lang_definitions` VALUES (19724, 6276, 5, 'Name (klick für mehr)');
INSERT INTO `lang_definitions` VALUES (19725, 6278, 5, 'Name 1');
INSERT INTO `lang_definitions` VALUES (19726, 6279, 5, 'Name 2');
INSERT INTO `lang_definitions` VALUES (19727, 6280, 5, 'Name und Bezeichnung des Impfstoffherstellers');
INSERT INTO `lang_definitions` VALUES (19728, 6284, 5, 'Name der Ereignisse');
INSERT INTO `lang_definitions` VALUES (19729, 6285, 5, 'Name der Versicherungsgesellschaft');
INSERT INTO `lang_definitions` VALUES (19730, 6286, 5, 'Name des Behandlers');
INSERT INTO `lang_definitions` VALUES (19731, 6287, 5, 'Name des Absenders für Patienten Erinnerung');
INSERT INTO `lang_definitions` VALUES (19732, 6294, 5, 'Namen Übersetzung');
INSERT INTO `lang_definitions` VALUES (19733, 6295, 5, 'Name/Wert');
INSERT INTO `lang_definitions` VALUES (19734, 6296, 5, 'Name:');
INSERT INTO `lang_definitions` VALUES (19735, 6300, 5, 'Nasenlöcher:');
INSERT INTO `lang_definitions` VALUES (19736, 6301, 5, 'Nasenlöcher: Normal Rechts');
INSERT INTO `lang_definitions` VALUES (19737, 6304, 5, 'Nasenschleimhaut rosa, septum mittellinig');
INSERT INTO `lang_definitions` VALUES (19738, 6305, 5, 'Nation Notizen');
INSERT INTO `lang_definitions` VALUES (19739, 6308, 5, 'konfiguriere Nation notizen');
INSERT INTO `lang_definitions` VALUES (19740, 6309, 5, 'Nation Notizen ersatz buttons');
INSERT INTO `lang_definitions` VALUES (19741, 6310, 5, 'Nationalität');
INSERT INTO `lang_definitions` VALUES (19742, 6311, 5, 'Nation Notizen');
INSERT INTO `lang_definitions` VALUES (19743, 6313, 5, 'Hawai-Ursprünglich oder Pacific region');
INSERT INTO `lang_definitions` VALUES (19744, 6319, 5, 'Erbrechen');
INSERT INTO `lang_definitions` VALUES (19745, 6322, 5, 'Navigation');
INSERT INTO `lang_definitions` VALUES (19746, 6323, 5, 'Navigationsbereich beinhaltet Besuch Formular');
INSERT INTO `lang_definitions` VALUES (19747, 6348, 5, 'Nacken');
INSERT INTO `lang_definitions` VALUES (19748, 6349, 5, 'Nackenprobleme');
INSERT INTO `lang_definitions` VALUES (19749, 6350, 5, 'Nacken geschmeidig');
INSERT INTO `lang_definitions` VALUES (19750, 6352, 5, 'Beschreibung muss eingegeben werden');
INSERT INTO `lang_definitions` VALUES (19751, 6353, 5, 'Rückgabewerte muss eingegeben werden');
INSERT INTO `lang_definitions` VALUES (19752, 6354, 5, 'Identifier muss eingegeben werden');
INSERT INTO `lang_definitions` VALUES (19753, 6355, 5, 'Titel muss eingegeben werden');
INSERT INTO `lang_definitions` VALUES (19754, 6358, 5, 'Autentifizierung erforderlich');
INSERT INTO `lang_definitions` VALUES (19755, 6361, 5, 'Negativ');
INSERT INTO `lang_definitions` VALUES (19756, 6363, 5, 'Negatives');
INSERT INTO `lang_definitions` VALUES (19757, 6369, 5, 'Nervenverletzung');
INSERT INTO `lang_definitions` VALUES (19758, 6373, 5, 'neurologisches Taubheitsgefühl');
INSERT INTO `lang_definitions` VALUES (19759, 6374, 5, 'neurologisches Schwäche');
INSERT INTO `lang_definitions` VALUES (19760, 6377, 5, 'Neurologisch');
INSERT INTO `lang_definitions` VALUES (19761, 6381, 5, 'Nie');
INSERT INTO `lang_definitions` VALUES (19762, 6382, 5, 'Nie Alkohol');
INSERT INTO `lang_definitions` VALUES (19763, 6383, 5, 'Nie Raucher');
INSERT INTO `lang_definitions` VALUES (19764, 6384, 5, 'Neu');
INSERT INTO `lang_definitions` VALUES (19765, 6385, 5, 'Neu =>');
INSERT INTO `lang_definitions` VALUES (19766, 6388, 5, 'Neue Allergien');
INSERT INTO `lang_definitions` VALUES (19767, 6390, 5, 'Neue Termine');
INSERT INTO `lang_definitions` VALUES (19768, 6391, 5, 'Neue Kategorien');
INSERT INTO `lang_definitions` VALUES (19769, 6392, 5, 'Neue Kategorie');
INSERT INTO `lang_definitions` VALUES (19770, 6393, 5, 'Neue Klienten');
INSERT INTO `lang_definitions` VALUES (19771, 6394, 5, 'Neue Konsultation');
INSERT INTO `lang_definitions` VALUES (19772, 6396, 5, 'Neue Definitionen hinzugefügt');
INSERT INTO `lang_definitions` VALUES (19773, 6397, 5, 'Neues Dokument');
INSERT INTO `lang_definitions` VALUES (19774, 6398, 5, 'Neue Dokumente');
INSERT INTO `lang_definitions` VALUES (19775, 6401, 5, 'Neuer Fall');
INSERT INTO `lang_definitions` VALUES (19776, 6402, 5, 'Neuer Fall mit ID');
INSERT INTO `lang_definitions` VALUES (19777, 6403, 5, 'Neue Visite erfassen');
INSERT INTO `lang_definitions` VALUES (19778, 6404, 5, 'Neue Fälle nicht erlaubt');
INSERT INTO `lang_definitions` VALUES (19779, 6405, 5, 'Neuer Fall');
INSERT INTO `lang_definitions` VALUES (19780, 6406, 5, 'Informationen zu neuen Standort');
INSERT INTO `lang_definitions` VALUES (19781, 6407, 5, 'Neue Datei');
INSERT INTO `lang_definitions` VALUES (19782, 6408, 5, 'Neue Dateien');
INSERT INTO `lang_definitions` VALUES (19783, 6410, 5, 'Neue Gruppe');
INSERT INTO `lang_definitions` VALUES (19784, 6413, 5, 'Informationen zu neuer Gruppe');
INSERT INTO `lang_definitions` VALUES (19785, 6425, 5, 'Neues Limit für Ereignisse');
INSERT INTO `lang_definitions` VALUES (19786, 6426, 5, 'Neue Liste');
INSERT INTO `lang_definitions` VALUES (19787, 6432, 5, 'Neue');
INSERT INTO `lang_definitions` VALUES (19788, 6433, 5, 'neuer Absatz');
INSERT INTO `lang_definitions` VALUES (19789, 6434, 5, 'Neues Passwort');
INSERT INTO `lang_definitions` VALUES (19790, 6435, 5, 'Neuer Patient');
INSERT INTO `lang_definitions` VALUES (19791, 6436, 5, 'Neuer Patient');
INSERT INTO `lang_definitions` VALUES (19792, 6437, 5, 'Neues Patienten-Fallformular');
INSERT INTO `lang_definitions` VALUES (19793, 6438, 5, 'Neuer Patient Formular');
INSERT INTO `lang_definitions` VALUES (19794, 6439, 5, 'Neue Patienten-ID');
INSERT INTO `lang_definitions` VALUES (19795, 6442, 5, 'Neue Zahlart');
INSERT INTO `lang_definitions` VALUES (19796, 6445, 5, 'Neuer Patient');
INSERT INTO `lang_definitions` VALUES (19797, 6447, 5, 'Neue Ergebnisse aus Labor Austausch');
INSERT INTO `lang_definitions` VALUES (19798, 6448, 5, 'Neue Suche');
INSERT INTO `lang_definitions` VALUES (19799, 6451, 5, 'Neuer Benutzer');
INSERT INTO `lang_definitions` VALUES (19800, 6453, 5, 'Neue Termine');
INSERT INTO `lang_definitions` VALUES (19801, 6454, 5, 'Neu/Suche');
INSERT INTO `lang_definitions` VALUES (19802, 6481, 5, 'Zeitung');
INSERT INTO `lang_definitions` VALUES (19803, 6482, 5, 'Weiter');
INSERT INTO `lang_definitions` VALUES (19804, 6484, 5, 'Nächster Tag');
INSERT INTO `lang_definitions` VALUES (19805, 6485, 5, 'Nächster Monat');
INSERT INTO `lang_definitions` VALUES (19806, 6486, 5, 'Nächster Monat (gedrückt halten für Menü)');
INSERT INTO `lang_definitions` VALUES (19807, 6491, 5, 'Nächste Woche');
INSERT INTO `lang_definitions` VALUES (19808, 6492, 5, 'Nächstes Jahr (gedrückt halten für Menü)');
INSERT INTO `lang_definitions` VALUES (19809, 6494, 5, 'Spitzname');
INSERT INTO `lang_definitions` VALUES (19810, 6496, 5, 'Nächtliches Schwitzen');
INSERT INTO `lang_definitions` VALUES (19811, 6498, 5, 'Unauffälliges äußeres Genitale, vaginale Mukosa, Zervix');
INSERT INTO `lang_definitions` VALUES (19812, 6499, 5, 'Nein');
INSERT INTO `lang_definitions` VALUES (19813, 6500, 5, 'Nein');
INSERT INTO `lang_definitions` VALUES (19814, 6502, 5, 'Kein Zugriff');
INSERT INTO `lang_definitions` VALUES (19815, 6503, 5, 'Keine aktiven Patienten Erinnerungen.');
INSERT INTO `lang_definitions` VALUES (19816, 6509, 5, 'Keine Termine');
INSERT INTO `lang_definitions` VALUES (19817, 6523, 5, 'Keine Diagnose');
INSERT INTO `lang_definitions` VALUES (19818, 6526, 5, 'keine Dokumente gefunden');
INSERT INTO `lang_definitions` VALUES (19819, 6529, 5, 'Kein Enddatum');
INSERT INTO `lang_definitions` VALUES (19820, 6530, 5, 'Keine Einträge gefunden, Formular unten zum Hinzufügen verwenden.');
INSERT INTO `lang_definitions` VALUES (19821, 6531, 5, 'keine Fehler gefunden');
INSERT INTO `lang_definitions` VALUES (19822, 6532, 5, 'Keine Ereignisse');
INSERT INTO `lang_definitions` VALUES (19823, 6534, 5, 'Keine Dateien für eine Installation vorgesehen');
INSERT INTO `lang_definitions` VALUES (19824, 6536, 5, 'Keine Gruppe ausgewählt');
INSERT INTO `lang_definitions` VALUES (19825, 6537, 5, 'Keine Hernie');
INSERT INTO `lang_definitions` VALUES (19826, 6540, 5, 'Keine Verletzung/Erkrankung');
INSERT INTO `lang_definitions` VALUES (19827, 6541, 5, 'Keine Versicherungsgesellschaft gefunden');
INSERT INTO `lang_definitions` VALUES (19828, 6544, 5, 'keine Probleme');
INSERT INTO `lang_definitions` VALUES (19829, 6546, 5, 'Keine Einträge in dieser Kategorie');
INSERT INTO `lang_definitions` VALUES (19830, 6547, 5, 'Keine Auswahl getroffen!');
INSERT INTO `lang_definitions` VALUES (19831, 6562, 5, 'Für das ausgewählte Datum ist keine Log-Datei vorhanden');
INSERT INTO `lang_definitions` VALUES (19832, 6566, 5, 'Keine Patientenakte zum angegebenen Re-Identifikations-Code gefunden');
INSERT INTO `lang_definitions` VALUES (19833, 6568, 5, 'Keine Übereinstimmungen gefunden. Suche wiederholen.');
INSERT INTO `lang_definitions` VALUES (19834, 6569, 5, 'Keine Übereinstimmungen gefunden.');
INSERT INTO `lang_definitions` VALUES (19835, 6570, 5, 'Keine Übereinstimmungen gefunden. Neuen Patienten jetzt anlegen?');
INSERT INTO `lang_definitions` VALUES (19836, 6571, 5, 'Keine übereinstimmende Aufzeichnungen gefunden');
INSERT INTO `lang_definitions` VALUES (19837, 6577, 5, 'Keine neuen Ergebnisse gefunden');
INSERT INTO `lang_definitions` VALUES (19838, 6578, 5, 'Keine Bemerkungen');
INSERT INTO `lang_definitions` VALUES (19839, 6579, 5, 'Keine Organomegalie');
INSERT INTO `lang_definitions` VALUES (19840, 6583, 5, 'Keine anderen Telefonnummern geführt');
INSERT INTO `lang_definitions` VALUES (19841, 6585, 5, 'Keine Partner gefunden');
INSERT INTO `lang_definitions` VALUES (19842, 6586, 5, 'Keine Patientenakte für die Auswahlkriterien gefunden');
INSERT INTO `lang_definitions` VALUES (19843, 6587, 5, 'Keine Patientenakte zum angegebenen Re-Identifikations-Code gefunden');
INSERT INTO `lang_definitions` VALUES (19844, 6588, 5, 'Keine peripheren Ödeme');
INSERT INTO `lang_definitions` VALUES (19845, 6589, 5, 'Keine Apotheken gefunden');
INSERT INTO `lang_definitions` VALUES (19846, 6590, 5, 'Keine Verschreibungen gefunden');
INSERT INTO `lang_definitions` VALUES (19847, 6592, 5, 'Keine Angabe von Erkrankung/Verletzung');
INSERT INTO `lang_definitions` VALUES (19848, 6593, 5, 'Keine älteren Einträge.');
INSERT INTO `lang_definitions` VALUES (19849, 6598, 5, 'Keine Zulieferer gefunden');
INSERT INTO `lang_definitions` VALUES (19850, 6602, 5, 'Keine Aufzeichnungen gefunden');
INSERT INTO `lang_definitions` VALUES (19851, 6604, 5, 'Keine Einträge gefunden. Suche weiter formulieren.');
INSERT INTO `lang_definitions` VALUES (19852, 6607, 5, 'Keine Erinnerungen');
INSERT INTO `lang_definitions` VALUES (19853, 6608, 5, 'Keine Ergebnisse für die gewählten Suchkriterien gefunden');
INSERT INTO `lang_definitions` VALUES (19854, 6609, 5, 'Keine Treffer');
INSERT INTO `lang_definitions` VALUES (19855, 6612, 5, 'Keine Treffer für die Suche gefunden');
INSERT INTO `lang_definitions` VALUES (19856, 6613, 5, 'Keine Treffer gefunden, bitte wiederholen.');
INSERT INTO `lang_definitions` VALUES (19857, 6614, 5, 'Keine Treffer, nochmal versuchen.');
INSERT INTO `lang_definitions` VALUES (19858, 6615, 5, 'Keine Treffer, nochmal versuchen.');
INSERT INTO `lang_definitions` VALUES (19859, 6618, 5, 'Keine Anzeige');
INSERT INTO `lang_definitions` VALUES (19860, 6632, 5, 'Keie Konsultation');
INSERT INTO `lang_definitions` VALUES (19861, 6633, 5, 'Keine Vitalitäten dokumentiert');
INSERT INTO `lang_definitions` VALUES (19862, 6634, 5, 'Nein, abbrechen');
INSERT INTO `lang_definitions` VALUES (19863, 6636, 5, 'Nein:');
INSERT INTO `lang_definitions` VALUES (19864, 6638, 5, 'Nicht Bezahlt');
INSERT INTO `lang_definitions` VALUES (19865, 6641, 5, 'Unbestimmte Verletzung');
INSERT INTO `lang_definitions` VALUES (19866, 6642, 5, 'Nicht-elektronisch');
INSERT INTO `lang_definitions` VALUES (19867, 6643, 5, 'Nicht Insulin bedingter Diabetes');
INSERT INTO `lang_definitions` VALUES (19868, 6644, 5, 'Nicht Versichert');
INSERT INTO `lang_definitions` VALUES (19869, 6648, 5, 'Keine');
INSERT INTO `lang_definitions` VALUES (19870, 6649, 5, 'keine');
INSERT INTO `lang_definitions` VALUES (19871, 6650, 5, 'Nichts definiert');
INSERT INTO `lang_definitions` VALUES (19872, 6652, 5, 'Nichts wurde dokumentiert');
INSERT INTO `lang_definitions` VALUES (19873, 6653, 5, 'Keiner der oben genannten');
INSERT INTO `lang_definitions` VALUES (19874, 6683, 5, 'Nicht Insulin bedingter Diabetes');
INSERT INTO `lang_definitions` VALUES (19875, 6684, 5, 'noch');
INSERT INTO `lang_definitions` VALUES (19876, 6685, 5, 'Unauffällig');
INSERT INTO `lang_definitions` VALUES (19877, 6694, 5, 'Normal Rechts');
INSERT INTO `lang_definitions` VALUES (19878, 6695, 5, 'Normal Rechts:');
INSERT INTO `lang_definitions` VALUES (19879, 6696, 5, 'Normale Ansicht');
INSERT INTO `lang_definitions` VALUES (19880, 6697, 5, 'normal:');
INSERT INTO `lang_definitions` VALUES (19881, 6701, 5, 'Norwegisch');
INSERT INTO `lang_definitions` VALUES (19882, 6705, 5, 'Nase');
INSERT INTO `lang_definitions` VALUES (19883, 6706, 5, 'Nasenbluten');
INSERT INTO `lang_definitions` VALUES (19884, 6707, 5, 'kein Buchstabe und keine Zahl');
INSERT INTO `lang_definitions` VALUES (19885, 6710, 5, 'Nicht alle Felder sind für alle Codes oder Code-Arten erforderlich');
INSERT INTO `lang_definitions` VALUES (19886, 6712, 5, 'Nicht erlaubt');
INSERT INTO `lang_definitions` VALUES (19887, 6713, 5, 'Administrator-Gruppe kann nicht gelöscht werden');
INSERT INTO `lang_definitions` VALUES (19888, 6714, 5, 'Kann nicht editiert werden');
INSERT INTO `lang_definitions` VALUES (19889, 6715, 5, 'Alles Sicherheitsobjekte können nicht deaktiviert werden');
INSERT INTO `lang_definitions` VALUES (19890, 6717, 5, 'Der Administrator kann nicht aus der Administratoren-Gruppe entfernt werden');
INSERT INTO `lang_definitions` VALUES (19891, 6718, 5, 'Dieser Nutzer kann nicht aus der Administratoren-Gruppe entfernt werden');
INSERT INTO `lang_definitions` VALUES (19892, 6720, 5, 'Keine Rechte um PostCalendar-Modul zu bearbeiten');
INSERT INTO `lang_definitions` VALUES (19893, 6721, 5, 'Nicht Berechtigt');
INSERT INTO `lang_definitions` VALUES (19894, 6722, 5, 'Nicht berechtigt');
INSERT INTO `lang_definitions` VALUES (19895, 6729, 5, 'Nicht verfügbar');
INSERT INTO `lang_definitions` VALUES (19896, 6731, 5, 'Nicht bezahlt');
INSERT INTO `lang_definitions` VALUES (19897, 6732, 5, 'Nicht Überprüft');
INSERT INTO `lang_definitions` VALUES (19898, 6733, 5, 'Nicht ausgecheckt');
INSERT INTO `lang_definitions` VALUES (19899, 6734, 5, 'Nicht codiert');
INSERT INTO `lang_definitions` VALUES (19900, 6736, 5, 'nicht Aufgrund');
INSERT INTO `lang_definitions` VALUES (19901, 6738, 5, 'Nicht Untersucht');
INSERT INTO `lang_definitions` VALUES (19902, 6739, 5, 'Nicht Untersucht:');
INSERT INTO `lang_definitions` VALUES (19903, 6740, 5, 'Nicht Untersucht:');
INSERT INTO `lang_definitions` VALUES (19904, 6742, 5, 'nicht gefunden');
INSERT INTO `lang_definitions` VALUES (19905, 6744, 5, 'nicht gefunden!');
INSERT INTO `lang_definitions` VALUES (19906, 6745, 5, 'Kein Hispanic oder Latino');
INSERT INTO `lang_definitions` VALUES (19907, 6746, 5, 'Nicht installiert');
INSERT INTO `lang_definitions` VALUES (19908, 6751, 5, 'Nicht gesehen seit');
INSERT INTO `lang_definitions` VALUES (19909, 6753, 5, 'Noch nicht gesendet');
INSERT INTO `lang_definitions` VALUES (19910, 6755, 5, 'Nicht spezifiziert');
INSERT INTO `lang_definitions` VALUES (19911, 6758, 5, 'Notiz');
INSERT INTO `lang_definitions` VALUES (19912, 6762, 5, 'Es wird 5-10 Minuten dauern, nachdem Du auf Installieren geklickt hast');
INSERT INTO `lang_definitions` VALUES (19913, 6763, 5, 'Es wird 5-10 Minuten dauern, nachdem Du auf Upgrade geklickt hast');
INSERT INTO `lang_definitions` VALUES (19914, 6764, 5, 'Das Audit-Logging muss oben aktiviert werden');
INSERT INTO `lang_definitions` VALUES (19915, 6772, 5, 'Anmerkung: 12:00 Mittag ist PM, nicht AM');
INSERT INTO `lang_definitions` VALUES (19916, 6783, 5, 'HINWEIS: Doppelt hochgeladene Dateinamen werden automatisch umbenannt.(z. B. file.jpg wird file.1.jpg). Dateinamen Einmalig pro Patient und nicht pro Kategorie.');
INSERT INTO `lang_definitions` VALUES (19917, 6784, 5, 'HINWEIS: Doppelt hochgeladene Dateinamen werden automatisch umbenannt.(z. B. \'<i>file.jpg</i>\' wird zu \'<i>file.jpg.1</i>\'). Dateinamen Einmalig pro Patient und nicht pro Kategorie.');
INSERT INTO `lang_definitions` VALUES (19918, 6785, 5, 'Notizen');
INSERT INTO `lang_definitions` VALUES (19919, 6793, 5, 'Notizen nicht authorisiert');
INSERT INTO `lang_definitions` VALUES (19920, 6796, 5, 'Nicht Aufgezeichnet');
INSERT INTO `lang_definitions` VALUES (19921, 6799, 5, 'Nichts zu importieren für die Allergie');
INSERT INTO `lang_definitions` VALUES (19922, 6800, 5, 'Nichts zu importieren für das Rezept');
INSERT INTO `lang_definitions` VALUES (19923, 6803, 5, 'nicht zum Anzeigen verfügbar');
INSERT INTO `lang_definitions` VALUES (19924, 6804, 5, 'nichts ausgewählt');
INSERT INTO `lang_definitions` VALUES (19925, 6809, 5, 'Benachrichtigung');
INSERT INTO `lang_definitions` VALUES (19926, 6810, 5, 'Benachrichtigungs Email Adresse');
INSERT INTO `lang_definitions` VALUES (19927, 6815, 5, 'Benachrichtigungen');
INSERT INTO `lang_definitions` VALUES (19928, 6816, 5, 'Administrator über die Ereignis-Änderung informieren?');
INSERT INTO `lang_definitions` VALUES (19929, 6820, 5, 'Nov');
INSERT INTO `lang_definitions` VALUES (19930, 6821, 5, 'November');
INSERT INTO `lang_definitions` VALUES (19931, 6824, 5, 'Jetzt Beitrag für:');
INSERT INTO `lang_definitions` VALUES (19932, 6825, 5, 'druckt');
INSERT INTO `lang_definitions` VALUES (19933, 6826, 5, 'Drucke $stmt_count Erklärungen und aktualisiere Visiten.');
INSERT INTO `lang_definitions` VALUES (19934, 6827, 5, 'Drucke $stmt_count Erklärungen und aktualisiere Rechnungen');
INSERT INTO `lang_definitions` VALUES (19935, 6828, 5, 'Drucke $stmt_count Erklärungen; Visiten werden nicht aktualisiert.');
INSERT INTO `lang_definitions` VALUES (19936, 6829, 5, 'Drucke $stmt_count Erklärungen; Rechnungen werden nicht aktualisiert');
INSERT INTO `lang_definitions` VALUES (19937, 6836, 5, 'NQF');
INSERT INTO `lang_definitions` VALUES (19938, 6837, 5, 'Nummer');
INSERT INTO `lang_definitions` VALUES (19939, 6838, 5, 'Anzahl Labors');
INSERT INTO `lang_definitions` VALUES (19940, 6843, 5, 'Anzahl der Spalten in der Jahresansicht');
INSERT INTO `lang_definitions` VALUES (19941, 6850, 5, 'Anzahl der Tage für die das Client-Zertifikat gültig ist.');
INSERT INTO `lang_definitions` VALUES (19942, 6852, 5, 'Anzahl der Nachkommastellen für Währung; gewöhnlich 0 oder 2');
INSERT INTO `lang_definitions` VALUES (19943, 6853, 5, 'Anzahl von Visiten pro Seite');
INSERT INTO `lang_definitions` VALUES (19944, 6855, 5, 'Anzahl der verpassten Ereignisse, wenn vorhanden');
INSERT INTO `lang_definitions` VALUES (19945, 6856, 5, 'Wieviel Stunden vorher sollen E-Mail-Benachrichtigungen gesendet werden?');
INSERT INTO `lang_definitions` VALUES (19946, 6857, 5, 'Wieviel Stunden vorher sollen telefonische Benachrichtigungen übermittelt werden?');
INSERT INTO `lang_definitions` VALUES (19947, 6858, 5, 'Wieviel Stunden vorher sollen SMS-Benachrichtigungen gesendet werden?');
INSERT INTO `lang_definitions` VALUES (19948, 6862, 5, 'Anzahl der History-Spalten');
INSERT INTO `lang_definitions` VALUES (19949, 6863, 5, 'Anzahl der Patienten pro Seite in der Patientenliste');
INSERT INTO `lang_definitions` VALUES (19950, 6864, 5, 'Taubheit');
INSERT INTO `lang_definitions` VALUES (19951, 6865, 5, 'Zähler');
INSERT INTO `lang_definitions` VALUES (19952, 6866, 5, 'Numerische Anzeigereihenfolge');
INSERT INTO `lang_definitions` VALUES (19953, 6869, 5, 'Ernährung');
INSERT INTO `lang_definitions` VALUES (19954, 6871, 5, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (19955, 6872, 5, 'O2 Sat');
INSERT INTO `lang_definitions` VALUES (19956, 6874, 5, 'Adipositas 1');
INSERT INTO `lang_definitions` VALUES (19957, 6875, 5, 'Adipositas 2');
INSERT INTO `lang_definitions` VALUES (19958, 6876, 5, 'Adipositas 3');
INSERT INTO `lang_definitions` VALUES (19959, 6877, 5, 'Ziel');
INSERT INTO `lang_definitions` VALUES (19960, 6886, 5, 'Beruf');
INSERT INTO `lang_definitions` VALUES (19961, 6889, 5, 'EreignisEintritt');
INSERT INTO `lang_definitions` VALUES (19962, 6890, 5, 'Okt');
INSERT INTO `lang_definitions` VALUES (19963, 6891, 5, 'Oktober');
INSERT INTO `lang_definitions` VALUES (19964, 6892, 5, 'OD');
INSERT INTO `lang_definitions` VALUES (19965, 6895, 5, 'von');
INSERT INTO `lang_definitions` VALUES (19966, 6896, 5, 'Quantität');
INSERT INTO `lang_definitions` VALUES (19967, 6897, 5, 'von Tabletten');
INSERT INTO `lang_definitions` VALUES (19968, 6898, 5, 'des Monats jeden');
INSERT INTO `lang_definitions` VALUES (19969, 6900, 5, 'Aus');
INSERT INTO `lang_definitions` VALUES (19970, 6907, 5, 'Büro Notizen');
INSERT INTO `lang_definitions` VALUES (19971, 6908, 5, 'Arztbesuch');
INSERT INTO `lang_definitions` VALUES (19972, 6909, 5, 'Offizielle CQM-Messgruppen');
INSERT INTO `lang_definitions` VALUES (19973, 6910, 5, 'HTTPS-Link für das Offsite-Patientenportal');
INSERT INTO `lang_definitions` VALUES (19974, 6911, 5, 'HTTPS-Link für das Onsite-Patientenportal (Patienten-Link)');
INSERT INTO `lang_definitions` VALUES (19975, 6912, 5, 'Passwort für das Offsite-Patientenportal');
INSERT INTO `lang_definitions` VALUES (19976, 6913, 5, 'Passwort für das Offsite-Patientenportal (Leer lassen, wenn noch nicht registriert)');
INSERT INTO `lang_definitions` VALUES (19977, 6916, 5, 'Adresse für das Offsite-Patientenportal');
INSERT INTO `lang_definitions` VALUES (19978, 6917, 5, 'Adresse für das Offsite-Patientenportal (Patienten-Link)');
INSERT INTO `lang_definitions` VALUES (19979, 6918, 5, 'Nutzername für das Offsite-Patientenportal');
INSERT INTO `lang_definitions` VALUES (19980, 6919, 5, 'Nutzername für das Offsite-Patientenportal (Leer lassen, wenn noch nicht registriert)');
INSERT INTO `lang_definitions` VALUES (19981, 6921, 5, 'Nachwuchs');
INSERT INTO `lang_definitions` VALUES (19982, 6925, 5, 'Salbe');
INSERT INTO `lang_definitions` VALUES (19983, 6927, 5, 'OK');
INSERT INTO `lang_definitions` VALUES (19984, 6931, 5, 'Alt');
INSERT INTO `lang_definitions` VALUES (19985, 6933, 5, 'Alte Klienten');
INSERT INTO `lang_definitions` VALUES (19986, 6934, 5, 'Alte Fraktur -keine Fehlstellung');
INSERT INTO `lang_definitions` VALUES (19987, 6935, 5, 'Altes Layout ohne linkes Menü');
INSERT INTO `lang_definitions` VALUES (19988, 6936, 5, 'Altes statisches Formular ohne Suche oder Duplikats-Check');
INSERT INTO `lang_definitions` VALUES (19989, 6942, 5, 'Arbeitgeber-Informationen in Patientendaten auslassen');
INSERT INTO `lang_definitions` VALUES (19990, 6943, 5, 'Arbeitgeber auslassen');
INSERT INTO `lang_definitions` VALUES (19991, 6945, 5, 'Versicherung und einige andere Dinge vom Demographie-Formular auslassen');
INSERT INTO `lang_definitions` VALUES (19992, 6947, 5, 'Zahlmethode vom co-pay-Panel auslassen');
INSERT INTO `lang_definitions` VALUES (19993, 6949, 5, 'An');
INSERT INTO `lang_definitions` VALUES (19994, 6950, 5, 'an');
INSERT INTO `lang_definitions` VALUES (19995, 6956, 5, 'am Hand');
INSERT INTO `lang_definitions` VALUES (19996, 6959, 5, 'auf Bestellung');
INSERT INTO `lang_definitions` VALUES (19997, 6979, 5, 'Wenn das Passwort geändert wurde ist eine Neuanmeldung erforderlich.');
INSERT INTO `lang_definitions` VALUES (19998, 6996, 5, 'Online Support');
INSERT INTO `lang_definitions` VALUES (19999, 6997, 5, 'Online Support Link');
INSERT INTO `lang_definitions` VALUES (20000, 6999, 5, 'Nur Aktive');
INSERT INTO `lang_definitions` VALUES (20001, 7004, 5, 'Nur wenn Rechnungs-Location');
INSERT INTO `lang_definitions` VALUES (20002, 7006, 5, 'Nur Inaktive');
INSERT INTO `lang_definitions` VALUES (20003, 7007, 5, 'Nur Eigene');
INSERT INTO `lang_definitions` VALUES (20004, 7011, 5, 'Zeige nur Diagnose-Berichtscodes');
INSERT INTO `lang_definitions` VALUES (20005, 7013, 5, 'Lade nur aktive Rezepte');
INSERT INTO `lang_definitions` VALUES (20006, 7030, 5, 'Ups!');
INSERT INTO `lang_definitions` VALUES (20007, 7031, 5, 'Öffnen');
INSERT INTO `lang_definitions` VALUES (20008, 7040, 5, 'in neuen Fenster öffnen');
INSERT INTO `lang_definitions` VALUES (20009, 7046, 5, 'Heutige Visite öffnent');
INSERT INTO `lang_definitions` VALUES (20010, 7071, 5, 'Für OpenEMR wurde bereits eine Zertifikats-Authorität konfiguriert');
INSERT INTO `lang_definitions` VALUES (20011, 7076, 5, 'OpenEMR Datenbank Update');
INSERT INTO `lang_definitions` VALUES (20012, 7080, 5, 'OpenEMR muss für die Verwendung von Zertifikaten konfiguriert sein, bevor Client-Zertifikate erstellt werden können.');
INSERT INTO `lang_definitions` VALUES (20013, 7084, 5, 'OpenEMR erfordert Javascript, um den Nutzer authentifizieren zu können.');
INSERT INTO `lang_definitions` VALUES (20014, 7085, 5, 'OpenEMR Anwender');
INSERT INTO `lang_definitions` VALUES (20015, 7092, 5, 'ophthalmologisch');
INSERT INTO `lang_definitions` VALUES (20016, 7095, 5, 'Option');
INSERT INTO `lang_definitions` VALUES (20017, 7105, 5, 'Optionaler Ziel-Name');
INSERT INTO `lang_definitions` VALUES (20018, 7107, 5, 'Optionaler Medikamenten-Name; verwende % als Platzhalter');
INSERT INTO `lang_definitions` VALUES (20019, 7111, 5, 'Optionale Informationen zu diesem Ereignis');
INSERT INTO `lang_definitions` VALUES (20020, 7112, 5, 'Optionale Losnummer; verwende % als Platzhalte');
INSERT INTO `lang_definitions` VALUES (20021, 7113, 5, 'Optional numerische Patienten-ID');
INSERT INTO `lang_definitions` VALUES (20022, 7114, 5, 'Optionaler Behandlungs-Code');
INSERT INTO `lang_definitions` VALUES (20023, 7115, 5, 'Optionaler Behandlungs/Leistungs-Code');
INSERT INTO `lang_definitions` VALUES (20024, 7116, 5, 'Optionen');
INSERT INTO `lang_definitions` VALUES (20025, 7117, 5, 'ODER');
INSERT INTO `lang_definitions` VALUES (20026, 7118, 5, 'Oder');
INSERT INTO `lang_definitions` VALUES (20027, 7119, 5, 'oder wählen SIe');
INSERT INTO `lang_definitions` VALUES (20028, 7120, 5, 'oder klicke und ziehe für eine schnellere Auswahl');
INSERT INTO `lang_definitions` VALUES (20029, 7124, 5, 'oder Shift-Klick zum verringern');
INSERT INTO `lang_definitions` VALUES (20030, 7125, 5, 'Oder lade ERA-Datei hoch:');
INSERT INTO `lang_definitions` VALUES (20031, 7127, 5, 'Oral');
INSERT INTO `lang_definitions` VALUES (20032, 7129, 5, 'Reihenfolge');
INSERT INTO `lang_definitions` VALUES (20033, 7131, 5, 'Bestellung und Ergebnis Typen');
INSERT INTO `lang_definitions` VALUES (20034, 7132, 5, 'Bestell-Katalog');
INSERT INTO `lang_definitions` VALUES (20035, 7133, 5, 'Bestelldatum');
INSERT INTO `lang_definitions` VALUES (20036, 7136, 5, 'Bestellung vom');
INSERT INTO `lang_definitions` VALUES (20037, 7138, 5, 'Reihenfolge muss eine Zahl zwischen 1 und 999 sein');
INSERT INTO `lang_definitions` VALUES (20038, 7140, 5, 'Bestellname');
INSERT INTO `lang_definitions` VALUES (20039, 7142, 5, 'Bestell Priorität');
INSERT INTO `lang_definitions` VALUES (20040, 7143, 5, 'Bestell-Bearbeiter');
INSERT INTO `lang_definitions` VALUES (20041, 7147, 5, 'Bestell Status');
INSERT INTO `lang_definitions` VALUES (20042, 7150, 5, 'Bestell Type');
INSERT INTO `lang_definitions` VALUES (20043, 7152, 5, 'Bestell/Ergebnis Type');
INSERT INTO `lang_definitions` VALUES (20044, 7153, 5, 'Bestellt');
INSERT INTO `lang_definitions` VALUES (20045, 7166, 5, 'Organverletzung');
INSERT INTO `lang_definitions` VALUES (20046, 7167, 5, 'Organisation');
INSERT INTO `lang_definitions` VALUES (20047, 7168, 5, 'Organisation Name');
INSERT INTO `lang_definitions` VALUES (20048, 7169, 5, 'Name der Organisationseinheit');
INSERT INTO `lang_definitions` VALUES (20049, 7170, 5, 'Organisationen');
INSERT INTO `lang_definitions` VALUES (20050, 7175, 5, 'Original');
INSERT INTO `lang_definitions` VALUES (20051, 7188, 5, 'OS');
INSERT INTO `lang_definitions` VALUES (20052, 7193, 5, 'Andere');
INSERT INTO `lang_definitions` VALUES (20053, 7194, 5, 'andere');
INSERT INTO `lang_definitions` VALUES (20054, 7196, 5, 'Andere (spezifizieren)');
INSERT INTO `lang_definitions` VALUES (20055, 7198, 5, 'Andere - Spezifiziert');
INSERT INTO `lang_definitions` VALUES (20056, 7201, 5, 'Anderes Bundesprogramm');
INSERT INTO `lang_definitions` VALUES (20057, 7202, 5, 'Andere HCFA');
INSERT INTO `lang_definitions` VALUES (20058, 7206, 5, 'anderer Monat');
INSERT INTO `lang_definitions` VALUES (20059, 7207, 5, 'Andere nicht-föderale Programme');
INSERT INTO `lang_definitions` VALUES (20060, 7208, 5, 'andere Notizen');
INSERT INTO `lang_definitions` VALUES (20061, 7216, 5, 'Andere chirurgische');
INSERT INTO `lang_definitions` VALUES (20062, 7219, 5, 'Andere');
INSERT INTO `lang_definitions` VALUES (20063, 7228, 5, 'Nicht im Büro');
INSERT INTO `lang_definitions` VALUES (20064, 7230, 5, 'ausgehende Überweisung');
INSERT INTO `lang_definitions` VALUES (20065, 7231, 5, 'Resultat');
INSERT INTO `lang_definitions` VALUES (20066, 7234, 5, 'Outlook');
INSERT INTO `lang_definitions` VALUES (20067, 7240, 5, 'ÜBERFÄLLIG');
INSERT INTO `lang_definitions` VALUES (20068, 7244, 5, 'übermäßiger Gebrauch');
INSERT INTO `lang_definitions` VALUES (20069, 7245, 5, 'Übersicht');
INSERT INTO `lang_definitions` VALUES (20070, 7246, 5, 'Übergewicht');
INSERT INTO `lang_definitions` VALUES (20071, 7247, 5, 'Überschreibe HIPAA-Auswahl');
INSERT INTO `lang_definitions` VALUES (20072, 7249, 5, 'Sauerstoff Sättigung');
INSERT INTO `lang_definitions` VALUES (20073, 7251, 5, 'Postprandial');
INSERT INTO `lang_definitions` VALUES (20074, 7252, 5, 'postprandial');
INSERT INTO `lang_definitions` VALUES (20075, 7253, 5, 'nachmittags');
INSERT INTO `lang_definitions` VALUES (20076, 7258, 5, 'Bewohner der Pazif. Inseln');
INSERT INTO `lang_definitions` VALUES (20077, 7259, 5, 'Pädiatrisch');
INSERT INTO `lang_definitions` VALUES (20078, 7260, 5, 'Seite');
INSERT INTO `lang_definitions` VALUES (20079, 7263, 5, 'Seiten');
INSERT INTO `lang_definitions` VALUES (20080, 7264, 5, 'Bezahlt');
INSERT INTO `lang_definitions` VALUES (20081, 7266, 5, 'Bezahlter Betrag');
INSERT INTO `lang_definitions` VALUES (20082, 7267, 5, 'Bezahlt per');
INSERT INTO `lang_definitions` VALUES (20083, 7268, 5, 'Schmerz');
INSERT INTO `lang_definitions` VALUES (20084, 7271, 5, 'Herzklopfen');
INSERT INTO `lang_definitions` VALUES (20085, 7275, 5, 'Pap-Abstrich');
INSERT INTO `lang_definitions` VALUES (20086, 7276, 5, 'Papier');
INSERT INTO `lang_definitions` VALUES (20087, 7277, 5, 'Papier Größe');
INSERT INTO `lang_definitions` VALUES (20088, 7278, 5, 'Lähmung');
INSERT INTO `lang_definitions` VALUES (20089, 7284, 5, 'HL7 analysieren');
INSERT INTO `lang_definitions` VALUES (20090, 7289, 5, 'Partner');
INSERT INTO `lang_definitions` VALUES (20091, 7290, 5, 'Partner Name');
INSERT INTO `lang_definitions` VALUES (20092, 7294, 5, 'Pass Phrase');
INSERT INTO `lang_definitions` VALUES (20093, 7295, 5, 'Pass-Phrase zur Verschlüsselung des Dokuments');
INSERT INTO `lang_definitions` VALUES (20094, 7296, 5, 'übergebene Patienten');
INSERT INTO `lang_definitions` VALUES (20095, 7297, 5, 'Passiver Alarm');
INSERT INTO `lang_definitions` VALUES (20096, 7299, 5, 'Passiver Alarm Regeln');
INSERT INTO `lang_definitions` VALUES (20097, 7301, 5, 'Kennwort');
INSERT INTO `lang_definitions` VALUES (20098, 7302, 5, 'Kennwortänderung');
INSERT INTO `lang_definitions` VALUES (20099, 7304, 5, 'Kennwortänderung erfolgreich');
INSERT INTO `lang_definitions` VALUES (20100, 7311, 5, 'Kennwort für SMS Gateway');
INSERT INTO `lang_definitions` VALUES (20101, 7312, 5, 'Kennwort für SMS Gateway');
INSERT INTO `lang_definitions` VALUES (20102, 7314, 5, 'Passwort-Sicherheit wurde kürzlich aktualisiert.');
INSERT INTO `lang_definitions` VALUES (20103, 7315, 5, 'Passwort für die Verbindung zu CouchDB');
INSERT INTO `lang_definitions` VALUES (20104, 7319, 5, 'Passwort:');
INSERT INTO `lang_definitions` VALUES (20105, 7329, 5, 'überfällig');
INSERT INTO `lang_definitions` VALUES (20106, 7330, 5, 'überfällig');
INSERT INTO `lang_definitions` VALUES (20107, 7331, 5, 'überfällig Intervall (klinische Erinnerungen)');
INSERT INTO `lang_definitions` VALUES (20108, 7332, 5, 'überfällig Intervall (Patienten Erinnerung)');
INSERT INTO `lang_definitions` VALUES (20109, 7333, 5, 'Frühere Fälle Liste');
INSERT INTO `lang_definitions` VALUES (20110, 7334, 5, 'Frühere Fälle');
INSERT INTO `lang_definitions` VALUES (20111, 7335, 5, 'Frühere Fälle und Dokumente');
INSERT INTO `lang_definitions` VALUES (20112, 7336, 5, 'Frühere Fälle für');
INSERT INTO `lang_definitions` VALUES (20113, 7344, 5, 'Einfügen HL7 Daten');
INSERT INTO `lang_definitions` VALUES (20114, 7345, 5, 'Füge die Daten in die Text-Box unten ein:');
INSERT INTO `lang_definitions` VALUES (20115, 7355, 5, 'Pfad zum Ereignis-Log Backup');
INSERT INTO `lang_definitions` VALUES (20116, 7356, 5, 'Pfad zur CA-Zertifikats-Datei');
INSERT INTO `lang_definitions` VALUES (20117, 7357, 5, 'Pfad zur CA-Schlüsseldatei');
INSERT INTO `lang_definitions` VALUES (20118, 7358, 5, 'Pfad zu den MySQL bin');
INSERT INTO `lang_definitions` VALUES (20119, 7359, 5, 'Pfad zu Perl bin');
INSERT INTO `lang_definitions` VALUES (20120, 7360, 5, 'Pfad zu temporären Dateien');
INSERT INTO `lang_definitions` VALUES (20121, 7361, 5, 'Patient');
INSERT INTO `lang_definitions` VALUES (20122, 7362, 5, 'Patient');
INSERT INTO `lang_definitions` VALUES (20123, 7363, 5, 'Patient');
INSERT INTO `lang_definitions` VALUES (20124, 7365, 5, 'Patient Adresse');
INSERT INTO `lang_definitions` VALUES (20125, 7366, 5, 'Patient Adresse fehlt');
INSERT INTO `lang_definitions` VALUES (20126, 7369, 5, 'Patient allergien');
INSERT INTO `lang_definitions` VALUES (20127, 7370, 5, 'Patient Allergien');
INSERT INTO `lang_definitions` VALUES (20128, 7373, 5, 'Patient Termin');
INSERT INTO `lang_definitions` VALUES (20129, 7374, 5, 'Restbetrag Patient');
INSERT INTO `lang_definitions` VALUES (20130, 7375, 5, 'Offener Betrag Patient');
INSERT INTO `lang_definitions` VALUES (20131, 7383, 5, 'Patient Wohnort');
INSERT INTO `lang_definitions` VALUES (20132, 7384, 5, 'Patient Wohnort fehlt');
INSERT INTO `lang_definitions` VALUES (20133, 7388, 5, 'Patient Land');
INSERT INTO `lang_definitions` VALUES (20134, 7389, 5, 'Patient Land fehlt. Außerdem wurde kein Standard-Wert für das Land in den globalen Einstellungen vorgegeben');
INSERT INTO `lang_definitions` VALUES (20135, 7394, 5, 'Patient Daten');
INSERT INTO `lang_definitions` VALUES (20136, 7396, 5, 'Patient Geburtsdatum fehlt');
INSERT INTO `lang_definitions` VALUES (20137, 7401, 5, 'Patient Details');
INSERT INTO `lang_definitions` VALUES (20138, 7402, 5, 'Patient Geburtstag');
INSERT INTO `lang_definitions` VALUES (20139, 7404, 5, 'Patient Dokument');
INSERT INTO `lang_definitions` VALUES (20140, 7410, 5, 'Patient Bildung');
INSERT INTO `lang_definitions` VALUES (20141, 7411, 5, 'Patienten-Unterweisungsmaterial');
INSERT INTO `lang_definitions` VALUES (20142, 7412, 5, 'Patient Besuch');
INSERT INTO `lang_definitions` VALUES (20143, 7413, 5, 'Patient Besuch Formular');
INSERT INTO `lang_definitions` VALUES (20144, 7414, 5, 'Patient Besuche');
INSERT INTO `lang_definitions` VALUES (20145, 7415, 5, 'Patient Suche');
INSERT INTO `lang_definitions` VALUES (20146, 7417, 5, 'Patienten Vorname');
INSERT INTO `lang_definitions` VALUES (20147, 7419, 5, 'Patienten Vornahme Fehlt');
INSERT INTO `lang_definitions` VALUES (20148, 7424, 5, 'Patienten Geschlecht');
INSERT INTO `lang_definitions` VALUES (20149, 7425, 5, 'Patienten Geschlecht fehlt');
INSERT INTO `lang_definitions` VALUES (20150, 7426, 5, 'Patient hat keine Berechtigung für das Patientenportal');
INSERT INTO `lang_definitions` VALUES (20151, 7428, 5, 'Patienten Übersicht');
INSERT INTO `lang_definitions` VALUES (20152, 7429, 5, 'Anamnese / Lebensstil');
INSERT INTO `lang_definitions` VALUES (20153, 7430, 5, 'Patient Telefon zu Hause');
INSERT INTO `lang_definitions` VALUES (20154, 7431, 5, 'Patienten ID');
INSERT INTO `lang_definitions` VALUES (20155, 7432, 5, 'Patienten Id');
INSERT INTO `lang_definitions` VALUES (20156, 7433, 5, 'Patienten Ausweis');
INSERT INTO `lang_definitions` VALUES (20157, 7434, 5, 'Patienten Ausweis Kategorie Name');
INSERT INTO `lang_definitions` VALUES (20158, 7437, 5, 'Patienten Impfungen');
INSERT INTO `lang_definitions` VALUES (20159, 7438, 5, 'Patienten Information');
INSERT INTO `lang_definitions` VALUES (20160, 7440, 5, 'Patienten Anweisungen');
INSERT INTO `lang_definitions` VALUES (20161, 7445, 5, 'Patienten Beschwerden');
INSERT INTO `lang_definitions` VALUES (20162, 7447, 5, 'Patienten Nachname');
INSERT INTO `lang_definitions` VALUES (20163, 7449, 5, 'Patienten Nachname fehlt');
INSERT INTO `lang_definitions` VALUES (20164, 7454, 5, 'Patientenübersicht');
INSERT INTO `lang_definitions` VALUES (20165, 7455, 5, 'Patienten Liste Spalte');
INSERT INTO `lang_definitions` VALUES (20166, 7457, 5, 'Patienten Liste neues Fenster');
INSERT INTO `lang_definitions` VALUES (20167, 7458, 5, 'Patienten Liste Seitengröße');
INSERT INTO `lang_definitions` VALUES (20168, 7460, 5, 'Patienten Suche Fehler');
INSERT INTO `lang_definitions` VALUES (20169, 7463, 5, 'Patient medizinische Probleme');
INSERT INTO `lang_definitions` VALUES (20170, 7464, 5, 'Patienten Medikation');
INSERT INTO `lang_definitions` VALUES (20171, 7470, 5, 'Patienten Name');
INSERT INTO `lang_definitions` VALUES (20172, 7472, 5, 'Patienten Name & Anschrift');
INSERT INTO `lang_definitions` VALUES (20173, 7475, 5, 'Patienten Name Erforderlich');
INSERT INTO `lang_definitions` VALUES (20174, 7477, 5, 'Patienten Notiz');
INSERT INTO `lang_definitions` VALUES (20175, 7478, 5, 'Patienten Notiz Type');
INSERT INTO `lang_definitions` VALUES (20176, 7479, 5, 'Patienten Notiz');
INSERT INTO `lang_definitions` VALUES (20177, 7480, 5, 'Patienten Notizen (schreiben, hinzufügen optional)');
INSERT INTO `lang_definitions` VALUES (20178, 7482, 5, 'Patientennummer');
INSERT INTO `lang_definitions` VALUES (20179, 7483, 5, 'Patienten Zahlung');
INSERT INTO `lang_definitions` VALUES (20180, 7485, 5, 'Patienten Photo Kategoriename');
INSERT INTO `lang_definitions` VALUES (20181, 7487, 5, 'Patientenportal');
INSERT INTO `lang_definitions` VALUES (20182, 7492, 5, 'Patientenportal ist deaktiviert');
INSERT INTO `lang_definitions` VALUES (20183, 7493, 5, 'Patientenportal Login');
INSERT INTO `lang_definitions` VALUES (20184, 7496, 5, 'Patientenportal Web Adresse');
INSERT INTO `lang_definitions` VALUES (20185, 7497, 5, 'Patient Gedruckter Bericht');
INSERT INTO `lang_definitions` VALUES (20186, 7499, 5, 'Patientenakte Bericht');
INSERT INTO `lang_definitions` VALUES (20187, 7500, 5, 'Patientenakte Anfrage');
INSERT INTO `lang_definitions` VALUES (20188, 7501, 5, 'Patientenakten Anfrage');
INSERT INTO `lang_definitions` VALUES (20189, 7503, 5, 'Patient Erinnerung');
INSERT INTO `lang_definitions` VALUES (20190, 7505, 5, 'Patient Erinnerung Stapelverarbeitung');
INSERT INTO `lang_definitions` VALUES (20191, 7507, 5, 'Patienten Erinnerungen Regeln');
INSERT INTO `lang_definitions` VALUES (20192, 7508, 5, 'Patienten Erinnerungen Absender Email');
INSERT INTO `lang_definitions` VALUES (20193, 7509, 5, 'Patienten Erinnerungen Absender Name');
INSERT INTO `lang_definitions` VALUES (20194, 7510, 5, 'Patient Erinnerungen');
INSERT INTO `lang_definitions` VALUES (20195, 7514, 5, 'Patientenbericht');
INSERT INTO `lang_definitions` VALUES (20196, 7518, 5, 'Patienten Anfrage');
INSERT INTO `lang_definitions` VALUES (20197, 7519, 5, 'Patient wünschte medizinischen Aufzeichnungen');
INSERT INTO `lang_definitions` VALUES (20198, 7521, 5, 'Patientenergebnisse');
INSERT INTO `lang_definitions` VALUES (20199, 7525, 5, 'Patient Stil der Suchergebnisse');
INSERT INTO `lang_definitions` VALUES (20200, 7526, 5, 'Patient Suche/Ergänze Bildschirm');
INSERT INTO `lang_definitions` VALUES (20201, 7528, 5, 'Patienten Einstellungen');
INSERT INTO `lang_definitions` VALUES (20202, 7533, 5, 'Patienten Status');
INSERT INTO `lang_definitions` VALUES (20203, 7539, 5, 'Patienten Zusammenfassung');
INSERT INTO `lang_definitions` VALUES (20204, 7542, 5, 'Patienten Überweisung');
INSERT INTO `lang_definitions` VALUES (20205, 7546, 5, 'Patient PLZ');
INSERT INTO `lang_definitions` VALUES (20206, 7549, 5, 'Patienten in der Datenbank, die mit den eingegebenen demographischen Informationen übereinstimmen');
INSERT INTO `lang_definitions` VALUES (20207, 7550, 5, 'Patient');
INSERT INTO `lang_definitions` VALUES (20208, 7551, 5, 'Patient:');
INSERT INTO `lang_definitions` VALUES (20209, 7552, 5, 'Patient ID');
INSERT INTO `lang_definitions` VALUES (20210, 7553, 5, 'Patienten');
INSERT INTO `lang_definitions` VALUES (20211, 7559, 5, 'Bezahlen');
INSERT INTO `lang_definitions` VALUES (20212, 7563, 5, 'Bezahl Datum:');
INSERT INTO `lang_definitions` VALUES (20213, 7566, 5, 'Bezahl Status');
INSERT INTO `lang_definitions` VALUES (20214, 7567, 5, 'Name des Zahlungsempfängers');
INSERT INTO `lang_definitions` VALUES (20215, 7568, 5, 'Zahler');
INSERT INTO `lang_definitions` VALUES (20216, 7572, 5, 'Zahler Type');
INSERT INTO `lang_definitions` VALUES (20217, 7573, 5, 'Bezahlen');
INSERT INTO `lang_definitions` VALUES (20218, 7574, 5, 'Zahlende Stelle');
INSERT INTO `lang_definitions` VALUES (20219, 7575, 5, 'Zahlung');
INSERT INTO `lang_definitions` VALUES (20220, 7576, 5, 'zahlung');
INSERT INTO `lang_definitions` VALUES (20221, 7579, 5, 'Zahlungsbetrag');
INSERT INTO `lang_definitions` VALUES (20222, 7580, 5, 'Zahlungsbetrag muss numerisch sein');
INSERT INTO `lang_definitions` VALUES (20223, 7581, 5, 'Zahlungsmethoden Kategorie');
INSERT INTO `lang_definitions` VALUES (20224, 7583, 5, 'Zahlungsdatum');
INSERT INTO `lang_definitions` VALUES (20225, 7584, 5, 'Zahlung eingegangen am');
INSERT INTO `lang_definitions` VALUES (20226, 7585, 5, 'Zahlung von');
INSERT INTO `lang_definitions` VALUES (20227, 7590, 5, 'Zahlungsart');
INSERT INTO `lang_definitions` VALUES (20228, 7592, 5, 'Zahlungsmethoden Sortieren nach');
INSERT INTO `lang_definitions` VALUES (20229, 7593, 5, 'Zahlung Status');
INSERT INTO `lang_definitions` VALUES (20230, 7597, 5, 'Zahlung Type');
INSERT INTO `lang_definitions` VALUES (20231, 7602, 5, 'Zahlungen');
INSERT INTO `lang_definitions` VALUES (20232, 7606, 5, 'PCP');
INSERT INTO `lang_definitions` VALUES (20233, 7610, 5, 'PDF');
INSERT INTO `lang_definitions` VALUES (20234, 7614, 5, 'PDF Download Ausgewählte Statements');
INSERT INTO `lang_definitions` VALUES (20235, 7620, 5, 'Becken und Gesäßhälfte');
INSERT INTO `lang_definitions` VALUES (20236, 7621, 5, 'Pemphigus');
INSERT INTO `lang_definitions` VALUES (20237, 7624, 5, 'Anstehend');
INSERT INTO `lang_definitions` VALUES (20238, 7630, 5, 'Weiterhin beobachten');
INSERT INTO `lang_definitions` VALUES (20239, 7632, 5, 'Offene Bestellungen');
INSERT INTO `lang_definitions` VALUES (20240, 7633, 5, 'Offene Res');
INSERT INTO `lang_definitions` VALUES (20241, 7634, 5, 'Review offen');
INSERT INTO `lang_definitions` VALUES (20242, 7641, 5, 'pro Min');
INSERT INTO `lang_definitions` VALUES (20243, 7642, 5, 'Per Nasenloch');
INSERT INTO `lang_definitions` VALUES (20244, 7643, 5, 'per pasenloch');
INSERT INTO `lang_definitions` VALUES (20245, 7644, 5, 'Oral');
INSERT INTO `lang_definitions` VALUES (20246, 7645, 5, 'oral');
INSERT INTO `lang_definitions` VALUES (20247, 7646, 5, 'Rektal');
INSERT INTO `lang_definitions` VALUES (20248, 7647, 5, 'rektal');
INSERT INTO `lang_definitions` VALUES (20249, 7648, 5, 'Prozent');
INSERT INTO `lang_definitions` VALUES (20250, 7652, 5, 'Perzentil');
INSERT INTO `lang_definitions` VALUES (20251, 7654, 5, 'Starte Suche');
INSERT INTO `lang_definitions` VALUES (20252, 7655, 5, 'Starte diese Aktion');
INSERT INTO `lang_definitions` VALUES (20253, 7659, 5, 'Ausführendes Labor');
INSERT INTO `lang_definitions` VALUES (20254, 7661, 5, 'Periode');
INSERT INTO `lang_definitions` VALUES (20255, 7662, 5, 'Anzahl an Tagen, für die ein Nutzer sich mit einem abgelaufenen Passwort anmelden kann');
INSERT INTO `lang_definitions` VALUES (20256, 7665, 5, 'Peripher');
INSERT INTO `lang_definitions` VALUES (20257, 7671, 5, 'Person');
INSERT INTO `lang_definitions` VALUES (20258, 7672, 5, 'Personalisieren');
INSERT INTO `lang_definitions` VALUES (20259, 7675, 5, 'PG');
INSERT INTO `lang_definitions` VALUES (20260, 7676, 5, 'Apoth');
INSERT INTO `lang_definitions` VALUES (20261, 7678, 5, 'Apotheken');
INSERT INTO `lang_definitions` VALUES (20262, 7680, 5, 'Apotheken');
INSERT INTO `lang_definitions` VALUES (20263, 7681, 5, 'Apotheke Ambulanz');
INSERT INTO `lang_definitions` VALUES (20264, 7688, 5, 'Pheumothorax');
INSERT INTO `lang_definitions` VALUES (20265, 7697, 5, 'Telefon');
INSERT INTO `lang_definitions` VALUES (20266, 7699, 5, 'Telefon Anrufliste');
INSERT INTO `lang_definitions` VALUES (20267, 7701, 5, 'Telefon Anruflisten Bericht');
INSERT INTO `lang_definitions` VALUES (20268, 7705, 5, 'Telefon Gateway Passwort');
INSERT INTO `lang_definitions` VALUES (20269, 7706, 5, 'Telefon Gateway URL');
INSERT INTO `lang_definitions` VALUES (20270, 7707, 5, 'Telefon Gateway Username');
INSERT INTO `lang_definitions` VALUES (20271, 7709, 5, 'Telefon Benachrichtigungs Stunde');
INSERT INTO `lang_definitions` VALUES (20272, 7711, 5, 'Telefonnummer');
INSERT INTO `lang_definitions` VALUES (20273, 7715, 5, 'Lichtempfindlichkeit');
INSERT INTO `lang_definitions` VALUES (20274, 7716, 5, 'Fotos');
INSERT INTO `lang_definitions` VALUES (20275, 7717, 5, 'PHP komprimiert');
INSERT INTO `lang_definitions` VALUES (20276, 7718, 5, 'PHP CURL-Modul sollte für den Server aktiviert sein');
INSERT INTO `lang_definitions` VALUES (20277, 7720, 5, 'PHP extrahiert');
INSERT INTO `lang_definitions` VALUES (20278, 7721, 5, 'php-GACL Zugangskontrolle ist ausgeschaltet');
INSERT INTO `lang_definitions` VALUES (20279, 7722, 5, 'PHP-gacl ist nicht installiert');
INSERT INTO `lang_definitions` VALUES (20280, 7723, 5, 'körperliche Untersuchung');
INSERT INTO `lang_definitions` VALUES (20281, 7725, 5, 'Physio Anfrage');
INSERT INTO `lang_definitions` VALUES (20282, 7726, 5, 'Physio Unterschrift');
INSERT INTO `lang_definitions` VALUES (20283, 7729, 5, 'Ärzte');
INSERT INTO `lang_definitions` VALUES (20284, 7733, 5, 'wählen');
INSERT INTO `lang_definitions` VALUES (20285, 7734, 5, 'Wählen');
INSERT INTO `lang_definitions` VALUES (20286, 7735, 5, 'CSS-Theme wählen');
INSERT INTO `lang_definitions` VALUES (20287, 7738, 5, 'PID');
INSERT INTO `lang_definitions` VALUES (20288, 7740, 5, 'PID (Entzündliche Erkrankungen des Beckens)');
INSERT INTO `lang_definitions` VALUES (20289, 7741, 5, 'Tabletten Größe');
INSERT INTO `lang_definitions` VALUES (20290, 7742, 5, 'Tabletten');
INSERT INTO `lang_definitions` VALUES (20291, 7745, 5, 'Lege die ZIP-Datei der Datenbank in das folgende Verzeichnis');
INSERT INTO `lang_definitions` VALUES (20292, 7746, 5, 'Lege die heruntergeladene ICD10 Datenbank-ZIP-Datei in das folgende Verzeichnis');
INSERT INTO `lang_definitions` VALUES (20293, 7747, 5, 'Lege die heruntergeladene ICD9 Datenbank-ZIP-Datei in das folgende Verzeichnis');
INSERT INTO `lang_definitions` VALUES (20294, 7748, 5, 'Lege die heruntergeladene RxNorm-Datenbank-ZIP-Datei in das folgende Verzeichnis');
INSERT INTO `lang_definitions` VALUES (20295, 7749, 5, 'Lege die heruntergeladene Snomed-Datenbank-ZIP-Datei in das folgende Verzeichnis');
INSERT INTO `lang_definitions` VALUES (20296, 7752, 5, 'Platzhalter');
INSERT INTO `lang_definitions` VALUES (20297, 7753, 5, 'Platzhalter (Maintains empty ACLs)');
INSERT INTO `lang_definitions` VALUES (20298, 7756, 5, 'Klartext');
INSERT INTO `lang_definitions` VALUES (20299, 7757, 5, 'Plan');
INSERT INTO `lang_definitions` VALUES (20300, 7762, 5, 'Plan Name');
INSERT INTO `lang_definitions` VALUES (20301, 7768, 5, 'Plan Set');
INSERT INTO `lang_definitions` VALUES (20302, 7773, 5, 'Plan:');
INSERT INTO `lang_definitions` VALUES (20303, 7776, 5, 'Planen');
INSERT INTO `lang_definitions` VALUES (20304, 7778, 5, 'Player');
INSERT INTO `lang_definitions` VALUES (20305, 7779, 5, 'Player Position');
INSERT INTO `lang_definitions` VALUES (20306, 7780, 5, 'Bitte rufen Sie an, wenn die oben aufgeführten Daten inkorrekt sind.');
INSERT INTO `lang_definitions` VALUES (20307, 7784, 5, 'Bitte Passwort ändern.');
INSERT INTO `lang_definitions` VALUES (20308, 7785, 5, 'Bitte Datei wählen');
INSERT INTO `lang_definitions` VALUES (20309, 7786, 5, 'Bitte einen Patienten wählen');
INSERT INTO `lang_definitions` VALUES (20310, 7787, 5, 'Bitte einen gültigen Eintrag aus der Liste wählen.');
INSERT INTO `lang_definitions` VALUES (20311, 7788, 5, 'Bitte einen gültigen Eintrag wählen.');
INSERT INTO `lang_definitions` VALUES (20312, 7789, 5, 'Bitte einen Wert für');
INSERT INTO `lang_definitions` VALUES (20313, 7790, 5, 'Bitte wähle oben einen Datumsbereich aus und klicke auf \"Aktualisieren\", um die Ergebnisse zu sehen');
INSERT INTO `lang_definitions` VALUES (20314, 7791, 5, 'Bitte wähle eine korrekt formatierte EDI-271-Datei aus');
INSERT INTO `lang_definitions` VALUES (20315, 7792, 5, 'Klicke auf \"Herunterladen\", um die De-Identified-Daten herunterzuladen');
INSERT INTO `lang_definitions` VALUES (20316, 7793, 5, 'Klicke auf \"Herunterladen\", um die Re-Identified-Daten herunterzuladen');
INSERT INTO `lang_definitions` VALUES (20317, 7795, 5, 'Schließe dieses Fenster.');
INSERT INTO `lang_definitions` VALUES (20318, 7796, 5, 'Vergleiche den neuen Namen');
INSERT INTO `lang_definitions` VALUES (20319, 7803, 5, 'Erstelle das folgende Verzeichnis bevor du weiter machst');
INSERT INTO `lang_definitions` VALUES (20320, 7805, 5, 'Bitte akzeptieren Sie diese Verschreibung nicht, ohne das dazugehörige Fax erhalten zu haben.');
INSERT INTO `lang_definitions` VALUES (20321, 7806, 5, 'Bitte akzeptieren Sie diese Verschreibung nicht, ohne das dazugehörige Fax erhalten zu haben.');
INSERT INTO `lang_definitions` VALUES (20322, 7807, 5, 'Nicht auf \"Aktualisieren\" oder \"Abbrechen\" im Browserfenster klicken, bevor nicht 10 Minuten vergangen sind.');
INSERT INTO `lang_definitions` VALUES (20323, 7808, 5, 'AKTIVIERE CURL-ERWEITERUNG');
INSERT INTO `lang_definitions` VALUES (20324, 7809, 5, 'AKTIVIERE OPENSSL-ERWEITERUNG');
INSERT INTO `lang_definitions` VALUES (20325, 7810, 5, 'AKTIVIERE SOAP-ERWEITERUNG');
INSERT INTO `lang_definitions` VALUES (20326, 7811, 5, 'AKTIVIERE XML-ERWEITERUNG');
INSERT INTO `lang_definitions` VALUES (20327, 7813, 5, 'Gib ein Datum für den letzten Review ein.');
INSERT INTO `lang_definitions` VALUES (20328, 7814, 5, 'Bitte Datum eingeben.');
INSERT INTO `lang_definitions` VALUES (20329, 7816, 5, 'Bitte Fälligkeitsdatum eingeben');
INSERT INTO `lang_definitions` VALUES (20330, 7818, 5, 'Bitte Nachricht eingeben');
INSERT INTO `lang_definitions` VALUES (20331, 7819, 5, 'Gib einen Geldbetrag ein, der ausschließlich aus Ziffern und dem Dezimaltrennzeichen besteht.');
INSERT INTO `lang_definitions` VALUES (20332, 7821, 5, 'Neues Passwort eingeben');
INSERT INTO `lang_definitions` VALUES (20333, 7822, 5, 'Titel eingeben');
INSERT INTO `lang_definitions` VALUES (20334, 7828, 5, 'Gib einen korrekten Re-Identification Code');
INSERT INTO `lang_definitions` VALUES (20335, 7832, 5, 'Bitte neue Suchzeichenfolge eingeben');
INSERT INTO `lang_definitions` VALUES (20336, 7833, 5, 'Gib einen korrekten Re-Idendification Code ein');
INSERT INTO `lang_definitions` VALUES (20337, 7834, 5, 'Neues Passwort eingeben');
INSERT INTO `lang_definitions` VALUES (20338, 7843, 5, 'Gib eine Cheque-Nummer an');
INSERT INTO `lang_definitions` VALUES (20339, 7844, 5, 'Gib eine Cheque/Ref-Nummer an');
INSERT INTO `lang_definitions` VALUES (20340, 7845, 5, 'Gib ein Datum an');
INSERT INTO `lang_definitions` VALUES (20341, 7846, 5, 'Gib einen Zahlbetrag an');
INSERT INTO `lang_definitions` VALUES (20342, 7847, 5, 'Gib eine Zahlungskategorie an');
INSERT INTO `lang_definitions` VALUES (20343, 7848, 5, '\"Zahlung von\" angeben');
INSERT INTO `lang_definitions` VALUES (20344, 7850, 5, 'Bitte ausfüllen.');
INSERT INTO `lang_definitions` VALUES (20345, 7854, 5, 'Gib einen Grund für diese Visite an');
INSERT INTO `lang_definitions` VALUES (20346, 7856, 5, 'Gib oben Suchkriterien an und klicke auf \"Absenden\", um Ergebnisse zu sehen');
INSERT INTO `lang_definitions` VALUES (20347, 7857, 5, 'Gib oben Suchkriterien an und klicke auf \"Absenden\", um Ergebnisse zu sehen (Ergebnisse erscheinen in einem neuen Fenster)');
INSERT INTO `lang_definitions` VALUES (20348, 7858, 5, 'Bitte nochmal anmelden.');
INSERT INTO `lang_definitions` VALUES (20349, 7859, 5, 'Beachte, dass dieser Vorgang sehr lange dauern kann und der Browser in dieser Zeit nicht reagieren kann.');
INSERT INTO `lang_definitions` VALUES (20350, 7860, 5, 'Bitte beachten: Bei Konstanten wird zwischen Groß- und Kleinschreibung unterschieden, jede Zeichenkette ist erlaubt.');
INSERT INTO `lang_definitions` VALUES (20351, 7861, 5, 'Verwende nur Buchstaben');
INSERT INTO `lang_definitions` VALUES (20352, 7862, 5, 'Verwende nur Buchstaben und keine Leerzeichen');
INSERT INTO `lang_definitions` VALUES (20353, 7863, 5, 'Bitte diesen Betrag zahlen');
INSERT INTO `lang_definitions` VALUES (20354, 7864, 5, 'Bitte plazieren Sie die Installations-Dateien in folgenden Ordner');
INSERT INTO `lang_definitions` VALUES (20355, 7868, 5, 'Passwort zurücksetzen');
INSERT INTO `lang_definitions` VALUES (20356, 7869, 5, 'Starte den Apache-Server neu, bevor Du de-Identification ausprobierst');
INSERT INTO `lang_definitions` VALUES (20357, 7875, 5, 'Bitte wählen');
INSERT INTO `lang_definitions` VALUES (20358, 7877, 5, 'Bitte eine Sprachen wählen');
INSERT INTO `lang_definitions` VALUES (20359, 7878, 5, 'Bitte einen Patienten wählen');
INSERT INTO `lang_definitions` VALUES (20360, 7882, 5, 'Bitte ein Rezept wählen');
INSERT INTO `lang_definitions` VALUES (20361, 7884, 5, 'Wähle ein Startdatum und ein Enddatum');
INSERT INTO `lang_definitions` VALUES (20362, 7885, 5, 'Wähle einen gültigen Empfänger');
INSERT INTO `lang_definitions` VALUES (20363, 7889, 5, 'Wähle ein Ereignis');
INSERT INTO `lang_definitions` VALUES (20364, 7891, 5, 'Wähle eine Suchoption');
INSERT INTO `lang_definitions` VALUES (20365, 7894, 5, 'Wähle mindestens eine Verschreibung');
INSERT INTO `lang_definitions` VALUES (20366, 7899, 5, 'Wähle die Seiten zum Kopieren oder Weiterleiten aus:');
INSERT INTO `lang_definitions` VALUES (20367, 7900, 5, 'Bitte wählen Sie die Zahlungsart');
INSERT INTO `lang_definitions` VALUES (20368, 7903, 5, 'Bitte Art der Zahlung wählen.');
INSERT INTO `lang_definitions` VALUES (20369, 7905, 5, 'Wähle X12-Partner; erforderlich, um den 270 batch zu erstellen');
INSERT INTO `lang_definitions` VALUES (20370, 7906, 5, 'Wähle');
INSERT INTO `lang_definitions` VALUES (20371, 7907, 5, 'Setze de_identification_config-Variable zurück auf null.');
INSERT INTO `lang_definitions` VALUES (20372, 7910, 5, 'Starte einen neuen De-Identifikationsprozess');
INSERT INTO `lang_definitions` VALUES (20373, 7913, 5, 'Aktualisiere die OpenEMR-Datenbank, um De-Identifikation nutzen zu können');
INSERT INTO `lang_definitions` VALUES (20374, 7915, 5, 'Schaue in die De-Identification Log-Tabelle für Details');
INSERT INTO `lang_definitions` VALUES (20375, 7916, 5, 'Besuche den De-Identification-Screen nach einiger Zeit');
INSERT INTO `lang_definitions` VALUES (20376, 7917, 5, 'Besuche den Re-Identification-Screen nach einiger Zeit');
INSERT INTO `lang_definitions` VALUES (20377, 7918, 5, 'Besuche diesen Screen nach einiger Zeit');
INSERT INTO `lang_definitions` VALUES (20378, 7926, 5, 'PM');
INSERT INTO `lang_definitions` VALUES (20379, 7927, 5, 'PM Programm');
INSERT INTO `lang_definitions` VALUES (20380, 7933, 5, 'Zahlungsart');
INSERT INTO `lang_definitions` VALUES (20381, 7946, 5, 'Point of Service (POS)');
INSERT INTO `lang_definitions` VALUES (20382, 7947, 5, 'Police');
INSERT INTO `lang_definitions` VALUES (20383, 7950, 5, 'Police-Nr.');
INSERT INTO `lang_definitions` VALUES (20384, 7951, 5, 'Police-Nummer');
INSERT INTO `lang_definitions` VALUES (20385, 7952, 5, 'Polnisch');
INSERT INTO `lang_definitions` VALUES (20386, 7953, 5, 'Polydipsie');
INSERT INTO `lang_definitions` VALUES (20387, 7955, 5, 'Polypen');
INSERT INTO `lang_definitions` VALUES (20388, 7956, 5, 'Polyurie');
INSERT INTO `lang_definitions` VALUES (20389, 7957, 5, 'Wenig Appetit');
INSERT INTO `lang_definitions` VALUES (20390, 7959, 5, 'Verminderte Hörfähigkeit');
INSERT INTO `lang_definitions` VALUES (20391, 7962, 5, 'Pop-Ups müssen aktiviert sein, um diesen Bericht zu sehen');
INSERT INTO `lang_definitions` VALUES (20392, 7964, 5, 'Soll die Jahresansicht mit Ereignissen gefüllt werden?');
INSERT INTO `lang_definitions` VALUES (20393, 7965, 5, 'Popups');
INSERT INTO `lang_definitions` VALUES (20394, 7967, 5, 'Portal');
INSERT INTO `lang_definitions` VALUES (20395, 7969, 5, 'Portal Aktivitäten');
INSERT INTO `lang_definitions` VALUES (20396, 7985, 5, 'Portugiesisch');
INSERT INTO `lang_definitions` VALUES (20397, 7987, 5, 'Portugiesisch (Brasilien)');
INSERT INTO `lang_definitions` VALUES (20398, 7988, 5, 'Portugiesisch (Europa)');
INSERT INTO `lang_definitions` VALUES (20399, 7989, 5, 'POS-Code');
INSERT INTO `lang_definitions` VALUES (20400, 7992, 5, 'Positiv');
INSERT INTO `lang_definitions` VALUES (20401, 7993, 5, 'Positives');
INSERT INTO `lang_definitions` VALUES (20402, 7996, 5, 'Beitrag For');
INSERT INTO `lang_definitions` VALUES (20403, 8001, 5, 'Nach OP');
INSERT INTO `lang_definitions` VALUES (20404, 8011, 5, 'Per Post');
INSERT INTO `lang_definitions` VALUES (20405, 8012, 5, 'PLZ');
INSERT INTO `lang_definitions` VALUES (20406, 8013, 5, 'PLZ');
INSERT INTO `lang_definitions` VALUES (20407, 8032, 5, 'Präsentiert von');
INSERT INTO `lang_definitions` VALUES (20408, 8037, 5, 'Praxis');
INSERT INTO `lang_definitions` VALUES (20409, 8038, 5, 'Praxis Voreinstellungen');
INSERT INTO `lang_definitions` VALUES (20410, 8039, 5, 'Einstellungen für die Praxis');
INSERT INTO `lang_definitions` VALUES (20411, 8041, 5, 'Behandler');
INSERT INTO `lang_definitions` VALUES (20412, 8043, 5, 'Vorauskasse');
INSERT INTO `lang_definitions` VALUES (20413, 8044, 5, 'Vorauszahlung');
INSERT INTO `lang_definitions` VALUES (20414, 8050, 5, 'Einstellungen');
INSERT INTO `lang_definitions` VALUES (20415, 8052, 5, 'Bevorzugte Ereignis Kategorie');
INSERT INTO `lang_definitions` VALUES (20416, 8053, 5, 'Bevorzugte Sprache');
INSERT INTO `lang_definitions` VALUES (20417, 8054, 5, 'Bevorzugte Apotheke');
INSERT INTO `lang_definitions` VALUES (20418, 8056, 5, 'Schwangerschaftstest');
INSERT INTO `lang_definitions` VALUES (20419, 8057, 5, 'Vorläufig');
INSERT INTO `lang_definitions` VALUES (20420, 8059, 5, 'Vorauskasse');
INSERT INTO `lang_definitions` VALUES (20421, 8061, 5, 'Rezepte');
INSERT INTO `lang_definitions` VALUES (20422, 8063, 5, 'Verschreibung hat Grenze erreicht von');
INSERT INTO `lang_definitions` VALUES (20423, 8064, 5, 'Verschreibungs-Historie');
INSERT INTO `lang_definitions` VALUES (20424, 8065, 5, 'Verschreibungs-Historie erfolgreich importiert');
INSERT INTO `lang_definitions` VALUES (20425, 8066, 5, 'Rezept Label');
INSERT INTO `lang_definitions` VALUES (20426, 8067, 5, 'Rezept Bericht');
INSERT INTO `lang_definitions` VALUES (20427, 8070, 5, 'Rezepte');
INSERT INTO `lang_definitions` VALUES (20428, 8076, 5, 'Rezepte Bericht');
INSERT INTO `lang_definitions` VALUES (20429, 8078, 5, 'Anwesend');
INSERT INTO `lang_definitions` VALUES (20430, 8086, 5, 'Vorherig');
INSERT INTO `lang_definitions` VALUES (20431, 8088, 5, 'Vorheriger Monat (gedrückt halten für Menü)');
INSERT INTO `lang_definitions` VALUES (20432, 8089, 5, 'Vorheriges Jahr (gedrückt halten für Menü)');
INSERT INTO `lang_definitions` VALUES (20433, 8091, 5, 'Vorsorge Check');
INSERT INTO `lang_definitions` VALUES (20434, 8094, 5, 'Ereignis Vorschau');
INSERT INTO `lang_definitions` VALUES (20435, 8097, 5, 'Vorschau von');
INSERT INTO `lang_definitions` VALUES (20436, 8098, 5, 'Vorherige');
INSERT INTO `lang_definitions` VALUES (20437, 8099, 5, 'Vorherige Konsultationen');
INSERT INTO `lang_definitions` VALUES (20438, 8100, 5, 'Vorheriger Tag');
INSERT INTO `lang_definitions` VALUES (20439, 8102, 5, 'Vorherige Historie/Screening');
INSERT INTO `lang_definitions` VALUES (20440, 8103, 5, 'Vorheriger Monat');
INSERT INTO `lang_definitions` VALUES (20441, 8104, 5, 'Vorherige Woche');
INSERT INTO `lang_definitions` VALUES (20442, 8105, 5, 'Preis');
INSERT INTO `lang_definitions` VALUES (20443, 8109, 5, 'Preis Niveau');
INSERT INTO `lang_definitions` VALUES (20444, 8111, 5, 'Preis Niveau:');
INSERT INTO `lang_definitions` VALUES (20445, 8113, 5, 'Preise');
INSERT INTO `lang_definitions` VALUES (20446, 8114, 5, 'Erste');
INSERT INTO `lang_definitions` VALUES (20447, 8125, 5, 'Erstversicherung');
INSERT INTO `lang_definitions` VALUES (20448, 8126, 5, 'Erstversicherung');
INSERT INTO `lang_definitions` VALUES (20449, 8127, 5, 'Erstversicherung Daten');
INSERT INTO `lang_definitions` VALUES (20450, 8128, 5, 'Erstversicherung Anbieter');
INSERT INTO `lang_definitions` VALUES (20451, 8129, 5, 'Erster Anbieter');
INSERT INTO `lang_definitions` VALUES (20452, 8130, 5, 'Drucken');
INSERT INTO `lang_definitions` VALUES (20453, 8131, 5, 'Drucken (HTML)');
INSERT INTO `lang_definitions` VALUES (20454, 8132, 5, 'Drucken (PDF)');
INSERT INTO `lang_definitions` VALUES (20455, 8135, 5, 'Drucke leeres Überweisungsformular');
INSERT INTO `lang_definitions` VALUES (20456, 8136, 5, 'Druckbefehl');
INSERT INTO `lang_definitions` VALUES (20457, 8143, 5, 'Druck Format');
INSERT INTO `lang_definitions` VALUES (20458, 8147, 5, 'Druck nachricht');
INSERT INTO `lang_definitions` VALUES (20459, 8148, 5, 'Drucke mehrere');
INSERT INTO `lang_definitions` VALUES (20460, 8151, 5, 'Drucke Notizen');
INSERT INTO `lang_definitions` VALUES (20461, 8152, 5, 'Drucke Seite 1');
INSERT INTO `lang_definitions` VALUES (20462, 8153, 5, 'Drucke Seite 1');
INSERT INTO `lang_definitions` VALUES (20463, 8157, 5, 'Drucke Aufzeichnung');
INSERT INTO `lang_definitions` VALUES (20464, 8163, 5, 'Drucke ausgewählte Aussagen');
INSERT INTO `lang_definitions` VALUES (20465, 8166, 5, 'Drucke diese Visite');
INSERT INTO `lang_definitions` VALUES (20466, 8168, 5, 'Drucke diese notiz');
INSERT INTO `lang_definitions` VALUES (20467, 8169, 5, 'Drucke diese Notiz');
INSERT INTO `lang_definitions` VALUES (20468, 8171, 5, 'Drucke nach Fax');
INSERT INTO `lang_definitions` VALUES (20469, 8172, 5, 'Drucke Ansicht');
INSERT INTO `lang_definitions` VALUES (20470, 8173, 5, 'druckbar');
INSERT INTO `lang_definitions` VALUES (20471, 8174, 5, 'Druckbare Version');
INSERT INTO `lang_definitions` VALUES (20472, 8175, 5, 'Gedruckt');
INSERT INTO `lang_definitions` VALUES (20473, 8178, 5, 'Drucke Ergebnisse:');
INSERT INTO `lang_definitions` VALUES (20474, 8179, 5, 'Druck ausgelassen; Test-Ausgabe in');
INSERT INTO `lang_definitions` VALUES (20475, 8180, 5, 'Druck ausgelassen; Test-Ausgabe in');
INSERT INTO `lang_definitions` VALUES (20476, 8191, 5, 'Priorität');
INSERT INTO `lang_definitions` VALUES (20477, 8192, 5, 'Priorität');
INSERT INTO `lang_definitions` VALUES (20478, 8196, 5, 'Privat');
INSERT INTO `lang_definitions` VALUES (20479, 8197, 5, 'Problem');
INSERT INTO `lang_definitions` VALUES (20480, 8198, 5, 'Problem DX');
INSERT INTO `lang_definitions` VALUES (20481, 8199, 5, 'Problem Liste');
INSERT INTO `lang_definitions` VALUES (20482, 8202, 5, 'Probleme/Punkte');
INSERT INTO `lang_definitions` VALUES (20483, 8254, 5, 'Leistungen');
INSERT INTO `lang_definitions` VALUES (20484, 8256, 5, 'Verarbeitung');
INSERT INTO `lang_definitions` VALUES (20485, 8258, 5, 'Verarbeite ERA-Datei');
INSERT INTO `lang_definitions` VALUES (20486, 8262, 5, 'Verarbeitung benötigt etwas Zeit');
INSERT INTO `lang_definitions` VALUES (20487, 8263, 5, 'Verarbeitet');
INSERT INTO `lang_definitions` VALUES (20488, 8264, 5, 'Verarbeitet durch');
INSERT INTO `lang_definitions` VALUES (20489, 8265, 5, 'Verarbeitet Datum');
INSERT INTO `lang_definitions` VALUES (20490, 8267, 5, 'Verarbeite');
INSERT INTO `lang_definitions` VALUES (20491, 8274, 5, 'Prodikt');
INSERT INTO `lang_definitions` VALUES (20492, 8295, 5, 'Prostata-Krebs');
INSERT INTO `lang_definitions` VALUES (20493, 8296, 5, 'Screening auf Prostata-Krebs');
INSERT INTO `lang_definitions` VALUES (20494, 8297, 5, 'Prostata-Untersuchung');
INSERT INTO `lang_definitions` VALUES (20495, 8298, 5, 'Prostata-Probleme');
INSERT INTO `lang_definitions` VALUES (20496, 8304, 5, 'Gib den absoluten Pfad an');
INSERT INTO `lang_definitions` VALUES (20497, 8305, 5, 'Gib den absoluten Pfad der Datei an');
INSERT INTO `lang_definitions` VALUES (20498, 8318, 5, 'Behandler');
INSERT INTO `lang_definitions` VALUES (20499, 8323, 5, 'Behandler ID');
INSERT INTO `lang_definitions` VALUES (20500, 8324, 5, 'Behandler ID @ spezifizierten Standort');
INSERT INTO `lang_definitions` VALUES (20501, 8330, 5, 'Behandler Nummer');
INSERT INTO `lang_definitions` VALUES (20502, 8336, 5, 'Behandler:');
INSERT INTO `lang_definitions` VALUES (20503, 8337, 5, 'Behandler');
INSERT INTO `lang_definitions` VALUES (20504, 8338, 5, 'Behandler NPI');
INSERT INTO `lang_definitions` VALUES (20505, 8339, 5, 'Behandler sieht gesamten Kalender');
INSERT INTO `lang_definitions` VALUES (20506, 8401, 5, 'Kaufen');
INSERT INTO `lang_definitions` VALUES (20507, 8402, 5, 'Kaufen/Return');
INSERT INTO `lang_definitions` VALUES (20508, 8403, 5, 'Käufe');
INSERT INTO `lang_definitions` VALUES (20509, 8419, 5, 'Menge');
INSERT INTO `lang_definitions` VALUES (20510, 8420, 5, 'MENGE');
INSERT INTO `lang_definitions` VALUES (20511, 8421, 5, 'Qualität');
INSERT INTO `lang_definitions` VALUES (20512, 8423, 5, 'Quantität');
INSERT INTO `lang_definitions` VALUES (20513, 8431, 5, 'Fragezeichen');
INSERT INTO `lang_definitions` VALUES (20514, 8436, 5, 'Warteschlange');
INSERT INTO `lang_definitions` VALUES (20515, 8456, 5, 'Radio');
INSERT INTO `lang_definitions` VALUES (20516, 8457, 5, 'Auswahlknöpfe');
INSERT INTO `lang_definitions` VALUES (20517, 8462, 5, 'Bereich');
INSERT INTO `lang_definitions` VALUES (20518, 8463, 5, 'Hautausschläge');
INSERT INTO `lang_definitions` VALUES (20519, 8464, 5, 'Tarif');
INSERT INTO `lang_definitions` VALUES (20520, 8466, 5, 'Verhältnis');
INSERT INTO `lang_definitions` VALUES (20521, 8467, 5, 'Roh Bericht');
INSERT INTO `lang_definitions` VALUES (20522, 8484, 5, 'Reaktion');
INSERT INTO `lang_definitions` VALUES (20523, 8486, 5, 'Reaktionen');
INSERT INTO `lang_definitions` VALUES (20524, 8489, 5, 'Lesen');
INSERT INTO `lang_definitions` VALUES (20525, 8496, 5, 'Echter Name');
INSERT INTO `lang_definitions` VALUES (20526, 8497, 5, 'wirklich löschen');
INSERT INTO `lang_definitions` VALUES (20527, 8498, 5, 'Begründung');
INSERT INTO `lang_definitions` VALUES (20528, 8499, 5, 'Grund Verstorben');
INSERT INTO `lang_definitions` VALUES (20529, 8500, 5, 'Grund für Tod');
INSERT INTO `lang_definitions` VALUES (20530, 8502, 5, 'Grund für die Überweisung');
INSERT INTO `lang_definitions` VALUES (20531, 8504, 5, 'Grund für die Konsultation');
INSERT INTO `lang_definitions` VALUES (20532, 8521, 5, 'Quittung');
INSERT INTO `lang_definitions` VALUES (20533, 8522, 5, 'Zahlungsbestätigung');
INSERT INTO `lang_definitions` VALUES (20534, 8523, 5, 'Beleg generiert');
INSERT INTO `lang_definitions` VALUES (20535, 8525, 5, 'Beleg Übersicht');
INSERT INTO `lang_definitions` VALUES (20536, 8526, 5, 'Erhalten');
INSERT INTO `lang_definitions` VALUES (20537, 8527, 5, 'Entgegengenommen durch');
INSERT INTO `lang_definitions` VALUES (20538, 8528, 5, 'Erhaltene Faxe');
INSERT INTO `lang_definitions` VALUES (20539, 8530, 5, 'Erhalten, nicht kontrolliert');
INSERT INTO `lang_definitions` VALUES (20540, 8532, 5, 'Empfänger');
INSERT INTO `lang_definitions` VALUES (20541, 8533, 5, 'Empfänger ID');
INSERT INTO `lang_definitions` VALUES (20542, 8534, 5, 'Empfänger ID (ISA08)');
INSERT INTO `lang_definitions` VALUES (20543, 8542, 5, 'Empfänger');
INSERT INTO `lang_definitions` VALUES (20544, 8543, 5, 'Empfänger Liste ist leer');
INSERT INTO `lang_definitions` VALUES (20545, 8544, 5, 'Empfänger Name');
INSERT INTO `lang_definitions` VALUES (20546, 8549, 5, 'Empfehlung');
INSERT INTO `lang_definitions` VALUES (20547, 8552, 5, 'Empfehlungen');
INSERT INTO `lang_definitions` VALUES (20548, 8553, 5, 'Empfehlungen und Behandlung');
INSERT INTO `lang_definitions` VALUES (20549, 8554, 5, 'Empfehlungen von Spezialisten');
INSERT INTO `lang_definitions` VALUES (20550, 8557, 5, 'Aufzeichnung');
INSERT INTO `lang_definitions` VALUES (20551, 8558, 5, 'Aufzeichnung bereits vorhanden');
INSERT INTO `lang_definitions` VALUES (20552, 8567, 5, 'Aufzeichnungen der Fitnes');
INSERT INTO `lang_definitions` VALUES (20553, 8572, 5, 'Aufzeichnungen');
INSERT INTO `lang_definitions` VALUES (20554, 8573, 5, 'Aufzeichnungen gefunden');
INSERT INTO `lang_definitions` VALUES (20555, 8574, 5, 'Aufzeichnungen gefunden');
INSERT INTO `lang_definitions` VALUES (20556, 8578, 5, 'Rektal');
INSERT INTO `lang_definitions` VALUES (20557, 8579, 5, 'rektale Untersuchung');
INSERT INTO `lang_definitions` VALUES (20558, 8580, 5, 'rektal');
INSERT INTO `lang_definitions` VALUES (20559, 8592, 5, 'Weiterleitung');
INSERT INTO `lang_definitions` VALUES (20560, 8593, 5, 'Rötung');
INSERT INTO `lang_definitions` VALUES (20561, 8610, 5, 'Überweisung');
INSERT INTO `lang_definitions` VALUES (20562, 8611, 5, 'Überwiesen durch');
INSERT INTO `lang_definitions` VALUES (20563, 8612, 5, 'Überweisungskarte');
INSERT INTO `lang_definitions` VALUES (20564, 8613, 5, 'Überweisungsdatum');
INSERT INTO `lang_definitions` VALUES (20565, 8614, 5, 'Überweisungsformular');
INSERT INTO `lang_definitions` VALUES (20566, 8615, 5, 'ÜBERWEISUNGSFORMULAR');
INSERT INTO `lang_definitions` VALUES (20567, 8616, 5, 'Überweisungs ID');
INSERT INTO `lang_definitions` VALUES (20568, 8621, 5, 'Überweisung zu');
INSERT INTO `lang_definitions` VALUES (20569, 8622, 5, 'Überweisungen');
INSERT INTO `lang_definitions` VALUES (20570, 8623, 5, 'Überweisungs Berichte');
INSERT INTO `lang_definitions` VALUES (20571, 8624, 5, 'Empfohlen durch');
INSERT INTO `lang_definitions` VALUES (20572, 8625, 5, 'Empfohlen Durch');
INSERT INTO `lang_definitions` VALUES (20573, 8627, 5, 'Empfohlen an');
INSERT INTO `lang_definitions` VALUES (20574, 8628, 5, 'Verweiser');
INSERT INTO `lang_definitions` VALUES (20575, 8630, 5, 'Verweiser Diagnose');
INSERT INTO `lang_definitions` VALUES (20576, 8631, 5, 'Verweiser DIagnose');
INSERT INTO `lang_definitions` VALUES (20577, 8635, 5, 'Überwiesen von');
INSERT INTO `lang_definitions` VALUES (20578, 8636, 5, 'Nachfüllungen');
INSERT INTO `lang_definitions` VALUES (20579, 8639, 5, 'Nachfüllungen');
INSERT INTO `lang_definitions` VALUES (20580, 8640, 5, 'Nachfüllungen');
INSERT INTO `lang_definitions` VALUES (20581, 8641, 5, 'Normale Reflexen');
INSERT INTO `lang_definitions` VALUES (20582, 8645, 5, 'Aktualisieren');
INSERT INTO `lang_definitions` VALUES (20583, 8648, 5, 'Erinnerungen aktualisieren');
INSERT INTO `lang_definitions` VALUES (20584, 8676, 5, 'beziehen sich auf');
INSERT INTO `lang_definitions` VALUES (20585, 8712, 5, 'Erinnerung');
INSERT INTO `lang_definitions` VALUES (20586, 8715, 5, 'Erinnerungsintervall');
INSERT INTO `lang_definitions` VALUES (20587, 8716, 5, 'Erinnerung nicht definiert');
INSERT INTO `lang_definitions` VALUES (20588, 8720, 5, 'Erinnerung gesetzt auf');
INSERT INTO `lang_definitions` VALUES (20589, 8725, 5, 'Erinnerungen');
INSERT INTO `lang_definitions` VALUES (20590, 8729, 5, 'Entfernen');
INSERT INTO `lang_definitions` VALUES (20591, 8733, 5, 'Entferne Gruppe');
INSERT INTO `lang_definitions` VALUES (20592, 8734, 5, 'Entferne Gruppen Formular');
INSERT INTO `lang_definitions` VALUES (20593, 8760, 5, 'Wiederholungen');
INSERT INTO `lang_definitions` VALUES (20594, 8771, 5, 'Antwort Datum');
INSERT INTO `lang_definitions` VALUES (20595, 8772, 5, 'Antwort von');
INSERT INTO `lang_definitions` VALUES (20596, 8774, 5, 'Bericht');
INSERT INTO `lang_definitions` VALUES (20597, 8776, 5, 'Klinischer Bericht');
INSERT INTO `lang_definitions` VALUES (20598, 8779, 5, 'Bericht von');
INSERT INTO `lang_definitions` VALUES (20599, 8789, 5, 'Bericht Status');
INSERT INTO `lang_definitions` VALUES (20600, 8790, 5, 'Vollständiger Bericht');
INSERT INTO `lang_definitions` VALUES (20601, 8792, 5, 'Report/Formular');
INSERT INTO `lang_definitions` VALUES (20602, 8795, 5, 'Berichtet');
INSERT INTO `lang_definitions` VALUES (20603, 8796, 5, 'Bericht Datum');
INSERT INTO `lang_definitions` VALUES (20604, 8797, 5, 'Berichte');
INSERT INTO `lang_definitions` VALUES (20605, 8821, 5, 'Erforderlich');
INSERT INTO `lang_definitions` VALUES (20606, 8828, 5, 'Erforderliche Felder');
INSERT INTO `lang_definitions` VALUES (20607, 8829, 5, 'Anforderungen');
INSERT INTO `lang_definitions` VALUES (20608, 8832, 5, 'Reserviert');
INSERT INTO `lang_definitions` VALUES (20609, 8833, 5, 'Reserviert');
INSERT INTO `lang_definitions` VALUES (20610, 8838, 5, 'Zurücksetzen');
INSERT INTO `lang_definitions` VALUES (20611, 8842, 5, 'Zurücksetzen der \"Offsite Portal\" Zugangsdaten');
INSERT INTO `lang_definitions` VALUES (20612, 8844, 5, 'Zurücksetzen der \"Onsite Portal\" Zugangsdaten');
INSERT INTO `lang_definitions` VALUES (20613, 8852, 5, 'Gelöst');
INSERT INTO `lang_definitions` VALUES (20614, 8867, 5, 'Ergebnis');
INSERT INTO `lang_definitions` VALUES (20615, 8869, 5, 'Ergebnis Status');
INSERT INTO `lang_definitions` VALUES (20616, 8873, 5, 'Ergebnisse und');
INSERT INTO `lang_definitions` VALUES (20617, 8874, 5, 'Ergebnis gefünden für');
INSERT INTO `lang_definitions` VALUES (20618, 8875, 5, 'Ergebnis Gruppe');
INSERT INTO `lang_definitions` VALUES (20619, 8879, 5, 'Ergebnisse pro Seite');
INSERT INTO `lang_definitions` VALUES (20620, 8880, 5, 'Ergebnisse/Details');
INSERT INTO `lang_definitions` VALUES (20621, 8897, 5, 'Rückgabewert');
INSERT INTO `lang_definitions` VALUES (20622, 8924, 5, 'Revision');
INSERT INTO `lang_definitions` VALUES (20623, 8928, 5, 'Rechts');
INSERT INTO `lang_definitions` VALUES (20624, 8931, 5, 'Rechtes Ohr');
INSERT INTO `lang_definitions` VALUES (20625, 8932, 5, 'rechtes Ohr');
INSERT INTO `lang_definitions` VALUES (20626, 8940, 5, 'Rechts:');
INSERT INTO `lang_definitions` VALUES (20627, 8944, 5, 'Risikofaktor');
INSERT INTO `lang_definitions` VALUES (20628, 8945, 5, 'Risikolevel');
INSERT INTO `lang_definitions` VALUES (20629, 8969, 5, 'Reihen');
INSERT INTO `lang_definitions` VALUES (20630, 8974, 5, 'Regel');
INSERT INTO `lang_definitions` VALUES (20631, 8975, 5, 'Regeln Hinzufügen');
INSERT INTO `lang_definitions` VALUES (20632, 8976, 5, 'Regeln Detail');
INSERT INTO `lang_definitions` VALUES (20633, 8978, 5, 'Regeln Ändern');
INSERT INTO `lang_definitions` VALUES (20634, 8981, 5, 'Regeln setzen');
INSERT INTO `lang_definitions` VALUES (20635, 8984, 5, 'Regeln');
INSERT INTO `lang_definitions` VALUES (20636, 8986, 5, 'Regeln Konfiguration');
INSERT INTO `lang_definitions` VALUES (20637, 9029, 5, 'SV-Nummer');
INSERT INTO `lang_definitions` VALUES (20638, 9034, 5, 'Verkauf');
INSERT INTO `lang_definitions` VALUES (20639, 9035, 5, 'Verkäufe');
INSERT INTO `lang_definitions` VALUES (20640, 9036, 5, 'Umsatz nach Artikel');
INSERT INTO `lang_definitions` VALUES (20641, 9038, 5, 'Speichel');
INSERT INTO `lang_definitions` VALUES (20642, 9039, 5, 'selben Tag');
INSERT INTO `lang_definitions` VALUES (20643, 9041, 5, 'Probe');
INSERT INTO `lang_definitions` VALUES (20644, 9047, 5, 'Sa');
INSERT INTO `lang_definitions` VALUES (20645, 9048, 5, 'Sa &amp; So');
INSERT INTO `lang_definitions` VALUES (20646, 9049, 5, 'Samstag');
INSERT INTO `lang_definitions` VALUES (20647, 9050, 5, 'Speichern');
INSERT INTO `lang_definitions` VALUES (20648, 9051, 5, 'SPEICHERN');
INSERT INTO `lang_definitions` VALUES (20649, 9055, 5, 'Speichern und Schließen');
INSERT INTO `lang_definitions` VALUES (20650, 9058, 5, 'Speichern und Dispense');
INSERT INTO `lang_definitions` VALUES (20651, 9061, 5, 'Speichern als Neu');
INSERT INTO `lang_definitions` VALUES (20652, 9063, 5, 'Speichern als neue Notiz');
INSERT INTO `lang_definitions` VALUES (20653, 9066, 5, 'Speichern Gutachten Einstellungen');
INSERT INTO `lang_definitions` VALUES (20654, 9067, 5, 'Speichere Änderungen');
INSERT INTO `lang_definitions` VALUES (20655, 9075, 5, 'Speichere Formular');
INSERT INTO `lang_definitions` VALUES (20656, 9076, 5, 'Speichere Impfungen');
INSERT INTO `lang_definitions` VALUES (20657, 9078, 5, 'Speichere neues Feld');
INSERT INTO `lang_definitions` VALUES (20658, 9079, 5, 'Speichere neue Gruppe');
INSERT INTO `lang_definitions` VALUES (20659, 9080, 5, 'Speichere neue Liste');
INSERT INTO `lang_definitions` VALUES (20660, 9081, 5, 'Speichere neue Vorlage');
INSERT INTO `lang_definitions` VALUES (20661, 9083, 5, 'Speichere Patienten Daten');
INSERT INTO `lang_definitions` VALUES (20662, 9089, 5, 'Speichere Transaktion');
INSERT INTO `lang_definitions` VALUES (20663, 9098, 5, 'Gescannt');
INSERT INTO `lang_definitions` VALUES (20664, 9100, 5, 'Scanner Verzeichnis');
INSERT INTO `lang_definitions` VALUES (20665, 9101, 5, 'Scanner in');
INSERT INTO `lang_definitions` VALUES (20666, 9104, 5, 'Planen');
INSERT INTO `lang_definitions` VALUES (20667, 9106, 5, 'Plane Standort:');
INSERT INTO `lang_definitions` VALUES (20668, 9117, 5, 'Schul Notiz');
INSERT INTO `lang_definitions` VALUES (20669, 9122, 5, 'Skoliose');
INSERT INTO `lang_definitions` VALUES (20670, 9141, 5, 'Suchen');
INSERT INTO `lang_definitions` VALUES (20671, 9143, 5, 'suchen');
INSERT INTO `lang_definitions` VALUES (20672, 9144, 5, 'nochmals suchen');
INSERT INTO `lang_definitions` VALUES (20673, 9145, 5, 'Suche alle Spalten');
INSERT INTO `lang_definitions` VALUES (20674, 9150, 5, 'Suchen von:');
INSERT INTO `lang_definitions` VALUES (20675, 9152, 5, 'Suchen nach');
INSERT INTO `lang_definitions` VALUES (20676, 9156, 5, 'Suchen nach:');
INSERT INTO `lang_definitions` VALUES (20677, 9159, 5, 'Suchen in');
INSERT INTO `lang_definitions` VALUES (20678, 9161, 5, 'Suche / Hinzufügen Patient');
INSERT INTO `lang_definitions` VALUES (20679, 9164, 5, 'Suche Zahlung');
INSERT INTO `lang_definitions` VALUES (20680, 9167, 5, 'Suchresultate');
INSERT INTO `lang_definitions` VALUES (20681, 9168, 5, 'Suchresultate:');
INSERT INTO `lang_definitions` VALUES (20682, 9169, 5, 'Suche Ausgewählt');
INSERT INTO `lang_definitions` VALUES (20683, 9171, 5, 'Such Zeichenfolge stimmt nicht mit der Datenbank Liste überein');
INSERT INTO `lang_definitions` VALUES (20684, 9172, 5, 'Suchbegriff muss mindestens drei Zeichen haben');
INSERT INTO `lang_definitions` VALUES (20685, 9174, 5, 'Suche Text');
INSERT INTO `lang_definitions` VALUES (20686, 9175, 5, 'Such das Ereignis');
INSERT INTO `lang_definitions` VALUES (20687, 9178, 5, 'Suchen/Hinzufügen');
INSERT INTO `lang_definitions` VALUES (20688, 9179, 5, 'Suche/Hinzufügen Versicherer');
INSERT INTO `lang_definitions` VALUES (20689, 9181, 5, 'Suche nach Tremine');
INSERT INTO `lang_definitions` VALUES (20690, 9182, 5, 'Suchen ...');
INSERT INTO `lang_definitions` VALUES (20691, 9184, 5, 'Sicherheitsgurt Verwendung');
INSERT INTO `lang_definitions` VALUES (20692, 9185, 5, 'Sicherheitsgurt Verwendung');
INSERT INTO `lang_definitions` VALUES (20693, 9186, 5, 'Zweite');
INSERT INTO `lang_definitions` VALUES (20694, 9189, 5, 'Zweite');
INSERT INTO `lang_definitions` VALUES (20695, 9191, 5, 'Zweite Versicherung');
INSERT INTO `lang_definitions` VALUES (20696, 9192, 5, 'Zweite Versicherung Daten');
INSERT INTO `lang_definitions` VALUES (20697, 9193, 5, 'Zweite Versicherung Anbieter');
INSERT INTO `lang_definitions` VALUES (20698, 9207, 5, 'Sicherheit');
INSERT INTO `lang_definitions` VALUES (20699, 9208, 5, 'Zeige alle');
INSERT INTO `lang_definitions` VALUES (20700, 9210, 5, 'Zeige Autorisierungen');
INSERT INTO `lang_definitions` VALUES (20701, 9218, 5, 'gesehen, seit');
INSERT INTO `lang_definitions` VALUES (20702, 9222, 5, 'Anfälle');
INSERT INTO `lang_definitions` VALUES (20703, 9223, 5, 'Sel');
INSERT INTO `lang_definitions` VALUES (20704, 9224, 5, 'wählen');
INSERT INTO `lang_definitions` VALUES (20705, 9225, 5, 'Wählen');
INSERT INTO `lang_definitions` VALUES (20706, 9228, 5, 'Wählen Sie einen Context');
INSERT INTO `lang_definitions` VALUES (20707, 9235, 5, 'Wählen Sie eine Zeitspanne');
INSERT INTO `lang_definitions` VALUES (20708, 9236, 5, 'Anwender wählen');
INSERT INTO `lang_definitions` VALUES (20709, 9239, 5, 'alle selektieren');
INSERT INTO `lang_definitions` VALUES (20710, 9250, 5, 'Kategorie wählen');
INSERT INTO `lang_definitions` VALUES (20711, 9254, 5, 'Das entsprechenden Kontrollkästchen wählen um zu löschen');
INSERT INTO `lang_definitions` VALUES (20712, 9256, 5, 'Kriterium zum Löschen Wählen');
INSERT INTO `lang_definitions` VALUES (20713, 9262, 5, 'Datum Wählen');
INSERT INTO `lang_definitions` VALUES (20714, 9264, 5, 'Gewünschten Kader wählen');
INSERT INTO `lang_definitions` VALUES (20715, 9265, 5, 'Diagnose wählen');
INSERT INTO `lang_definitions` VALUES (20716, 9271, 5, 'Medikament wählen');
INSERT INTO `lang_definitions` VALUES (20717, 9272, 5, 'Medikamente wählen');
INSERT INTO `lang_definitions` VALUES (20718, 9276, 5, 'feld wählen');
INSERT INTO `lang_definitions` VALUES (20719, 9278, 5, 'Feld wählen');
INSERT INTO `lang_definitions` VALUES (20720, 9279, 5, 'Wählen zum Drücken');
INSERT INTO `lang_definitions` VALUES (20721, 9285, 5, 'Wähle Impfung');
INSERT INTO `lang_definitions` VALUES (20722, 9288, 5, 'Problem');
INSERT INTO `lang_definitions` VALUES (20723, 9291, 5, 'Wähle Sprache');
INSERT INTO `lang_definitions` VALUES (20724, 9297, 5, 'Auswählen');
INSERT INTO `lang_definitions` VALUES (20725, 9338, 5, 'Wähle Anwender');
INSERT INTO `lang_definitions` VALUES (20726, 9340, 5, 'Wähle Anwender von Dropdown-Liste');
INSERT INTO `lang_definitions` VALUES (20727, 9349, 5, 'Selektiert');
INSERT INTO `lang_definitions` VALUES (20728, 9357, 5, 'Selbst');
INSERT INTO `lang_definitions` VALUES (20729, 9358, 5, 'Selbstzahler');
INSERT INTO `lang_definitions` VALUES (20730, 9360, 5, 'Senden');
INSERT INTO `lang_definitions` VALUES (20731, 9361, 5, 'Sende eine Datum-Erinnerung');
INSERT INTO `lang_definitions` VALUES (20732, 9362, 5, 'Sende eine Erinnerung');
INSERT INTO `lang_definitions` VALUES (20733, 9369, 5, 'Wird gesendet');
INSERT INTO `lang_definitions` VALUES (20734, 9372, 5, 'Nachricht senden');
INSERT INTO `lang_definitions` VALUES (20735, 9384, 5, 'Datei senden');
INSERT INTO `lang_definitions` VALUES (20736, 9386, 5, 'Senden an');
INSERT INTO `lang_definitions` VALUES (20737, 9389, 5, 'Senden an alle');
INSERT INTO `lang_definitions` VALUES (20738, 9395, 5, 'Absender');
INSERT INTO `lang_definitions` VALUES (20739, 9396, 5, 'Absender ID');
INSERT INTO `lang_definitions` VALUES (20740, 9397, 5, 'Absender ID (ISA06)');
INSERT INTO `lang_definitions` VALUES (20741, 9398, 5, 'Absender ID (ISA05)');
INSERT INTO `lang_definitions` VALUES (20742, 9407, 5, 'Befindlichkeiten');
INSERT INTO `lang_definitions` VALUES (20743, 9411, 5, 'Sensibilität:');
INSERT INTO `lang_definitions` VALUES (20744, 9412, 5, 'Sensorische Untersuchung Normal');
INSERT INTO `lang_definitions` VALUES (20745, 9415, 5, 'Gesendet durch (leer für alle)');
INSERT INTO `lang_definitions` VALUES (20746, 9417, 5, 'Absendedatum');
INSERT INTO `lang_definitions` VALUES (20747, 9418, 5, 'Gesendete Elemente');
INSERT INTO `lang_definitions` VALUES (20748, 9419, 5, 'Gesendete medizinische Aufzeichnungen');
INSERT INTO `lang_definitions` VALUES (20749, 9420, 5, 'Erfolgreich gesendet');
INSERT INTO `lang_definitions` VALUES (20750, 9423, 5, 'Drucken');
INSERT INTO `lang_definitions` VALUES (20751, 9424, 5, 'Gesendet An (leer für alle)');
INSERT INTO `lang_definitions` VALUES (20752, 9429, 5, 'Sep.');
INSERT INTO `lang_definitions` VALUES (20753, 9430, 5, 'Getrennt');
INSERT INTO `lang_definitions` VALUES (20754, 9431, 5, 'September');
INSERT INTO `lang_definitions` VALUES (20755, 9432, 5, 'Seq');
INSERT INTO `lang_definitions` VALUES (20756, 9433, 5, 'Sequenz');
INSERT INTO `lang_definitions` VALUES (20757, 9442, 5, 'Service');
INSERT INTO `lang_definitions` VALUES (20758, 9444, 5, 'Service Kategorie');
INSERT INTO `lang_definitions` VALUES (20759, 9445, 5, 'Service Code');
INSERT INTO `lang_definitions` VALUES (20760, 9447, 5, 'Service Codes');
INSERT INTO `lang_definitions` VALUES (20761, 9448, 5, 'Service Datum');
INSERT INTO `lang_definitions` VALUES (20762, 9451, 5, 'Service Datum:');
INSERT INTO `lang_definitions` VALUES (20763, 9455, 5, 'Service Ort');
INSERT INTO `lang_definitions` VALUES (20764, 9488, 5, 'Einstellungen');
INSERT INTO `lang_definitions` VALUES (20765, 9498, 5, 'Geschl.');
INSERT INTO `lang_definitions` VALUES (20766, 9499, 5, 'Sexuell übertragbare Krankheiten');
INSERT INTO `lang_definitions` VALUES (20767, 9503, 5, 'Teilen');
INSERT INTO `lang_definitions` VALUES (20768, 9510, 5, 'Kurzatmigkeit');
INSERT INTO `lang_definitions` VALUES (20769, 9511, 5, 'Kurzatmigkeit');
INSERT INTO `lang_definitions` VALUES (20770, 9512, 5, 'Kurzatmigkeit');
INSERT INTO `lang_definitions` VALUES (20771, 9518, 5, 'sollte 10 Ziffern enthalten');
INSERT INTO `lang_definitions` VALUES (20772, 9519, 5, 'sollte nur 10 Ziffern enthalten');
INSERT INTO `lang_definitions` VALUES (20773, 9520, 5, 'Schulter');
INSERT INTO `lang_definitions` VALUES (20774, 9521, 5, 'Schulter + Schlüsselbein');
INSERT INTO `lang_definitions` VALUES (20775, 9522, 5, 'Schulter Probleme');
INSERT INTO `lang_definitions` VALUES (20776, 9523, 5, 'Zeige');
INSERT INTO `lang_definitions` VALUES (20777, 9524, 5, 'Zeige Aktive');
INSERT INTO `lang_definitions` VALUES (20778, 9527, 5, 'Zeige alle Transaktionen');
INSERT INTO `lang_definitions` VALUES (20779, 9531, 5, 'Zeige alle Transaktionen');
INSERT INTO `lang_definitions` VALUES (20780, 9532, 5, 'Belegt');
INSERT INTO `lang_definitions` VALUES (20781, 9533, 5, 'Zeige nur Berechtigte');
INSERT INTO `lang_definitions` VALUES (20782, 9534, 5, 'Zeige verfügbare Zeiten');
INSERT INTO `lang_definitions` VALUES (20783, 9535, 5, 'Zeige sowohl US als auch metrische Einheiten (Standard ist metrisch)');
INSERT INTO `lang_definitions` VALUES (20784, 9536, 5, 'Zeige sowohl US als auch metrische Einheiten (Standard ist US)');
INSERT INTO `lang_definitions` VALUES (20785, 9540, 5, 'Details zeigen');
INSERT INTO `lang_definitions` VALUES (20786, 9544, 5, 'Grafik zeigen');
INSERT INTO `lang_definitions` VALUES (20787, 9548, 5, 'Zeige inaktive');
INSERT INTO `lang_definitions` VALUES (20788, 9552, 5, 'Zeige Menü');
INSERT INTO `lang_definitions` VALUES (20789, 9553, 5, 'Zeige nur metrische Einheiten');
INSERT INTO `lang_definitions` VALUES (20790, 9556, 5, 'Notizen zeigen');
INSERT INTO `lang_definitions` VALUES (20791, 9561, 5, 'Patienten Notizen zeigen');
INSERT INTO `lang_definitions` VALUES (20792, 9568, 5, 'Zeige Erinnerungen');
INSERT INTO `lang_definitions` VALUES (20793, 9569, 5, 'Bericht zeigen');
INSERT INTO `lang_definitions` VALUES (20794, 9580, 5, 'Zeige nur unbezahlte');
INSERT INTO `lang_definitions` VALUES (20795, 9585, 5, 'Zeige');
INSERT INTO `lang_definitions` VALUES (20796, 9595, 5, 'Geschwister');
INSERT INTO `lang_definitions` VALUES (20797, 9596, 5, 'Sichelzellenanämie');
INSERT INTO `lang_definitions` VALUES (20798, 9606, 5, 'Unterschrift');
INSERT INTO `lang_definitions` VALUES (20799, 9609, 5, 'Unterschrift:');
INSERT INTO `lang_definitions` VALUES (20800, 9619, 5, 'Seit');
INSERT INTO `lang_definitions` VALUES (20801, 9629, 5, 'Probleme mit den Nebenhöhlen');
INSERT INTO `lang_definitions` VALUES (20802, 9630, 5, 'Stirnhöhlenoperation');
INSERT INTO `lang_definitions` VALUES (20803, 9632, 5, 'Nebenhöhlenentzündung');
INSERT INTO `lang_definitions` VALUES (20804, 9637, 5, 'Seiten ID');
INSERT INTO `lang_definitions` VALUES (20805, 9643, 5, 'Größe');
INSERT INTO `lang_definitions` VALUES (20806, 9646, 5, 'Nummer muss zwischen 1 und 999 sein');
INSERT INTO `lang_definitions` VALUES (20807, 9650, 5, 'Haut');
INSERT INTO `lang_definitions` VALUES (20808, 9651, 5, 'Hautkrebs');
INSERT INTO `lang_definitions` VALUES (20809, 9652, 5, 'Hautkrankheit');
INSERT INTO `lang_definitions` VALUES (20810, 9653, 5, 'Haut Andere');
INSERT INTO `lang_definitions` VALUES (20811, 9664, 5, 'Schlaf-Muster');
INSERT INTO `lang_definitions` VALUES (20812, 9665, 5, 'Schlaf-Muster');
INSERT INTO `lang_definitions` VALUES (20813, 9666, 5, 'schlafend');
INSERT INTO `lang_definitions` VALUES (20814, 9678, 5, 'Raucher-Status');
INSERT INTO `lang_definitions` VALUES (20815, 9680, 5, 'SMS-Auth.');
INSERT INTO `lang_definitions` VALUES (20816, 9683, 5, 'SMS-Gateway');
INSERT INTO `lang_definitions` VALUES (20817, 9684, 5, 'SMS-Gateway API-Schlüssel');
INSERT INTO `lang_definitions` VALUES (20818, 9685, 5, 'SMS-Gateway API-Schlüssel');
INSERT INTO `lang_definitions` VALUES (20819, 9686, 5, 'SMS-Gateway Passwort');
INSERT INTO `lang_definitions` VALUES (20820, 9687, 5, 'SMS-Gateway Nutzername');
INSERT INTO `lang_definitions` VALUES (20821, 9689, 5, 'SMS-Benachrichtigung');
INSERT INTO `lang_definitions` VALUES (20822, 9690, 5, 'SMS-Benachrichtigungsstunden');
INSERT INTO `lang_definitions` VALUES (20823, 9693, 5, 'Sende SMS vor');
INSERT INTO `lang_definitions` VALUES (20824, 9694, 5, 'SMS gesendet');
INSERT INTO `lang_definitions` VALUES (20825, 9747, 5, 'Etwas ist schiefgelaufen. Bitte versuchen Sie es erneut.');
INSERT INTO `lang_definitions` VALUES (20826, 9761, 5, 'Sortieren nach Checksumme');
INSERT INTO `lang_definitions` VALUES (20827, 9762, 5, 'Sortieren nach Kommentare');
INSERT INTO `lang_definitions` VALUES (20828, 9763, 5, 'Sortieren nach Crt Anwender');
INSERT INTO `lang_definitions` VALUES (20829, 9764, 5, 'Sortieren nach Datum');
INSERT INTO `lang_definitions` VALUES (20830, 9765, 5, 'Sortieren nach Datum/Zeit');
INSERT INTO `lang_definitions` VALUES (20831, 9766, 5, 'Sortieren nach Ereignis');
INSERT INTO `lang_definitions` VALUES (20832, 9767, 5, 'Sortieren nach');
INSERT INTO `lang_definitions` VALUES (20833, 9770, 5, 'Sortieren nach PatientenID');
INSERT INTO `lang_definitions` VALUES (20834, 9772, 5, 'Sortieren nach Erfolgreich');
INSERT INTO `lang_definitions` VALUES (20835, 9774, 5, 'Sortieren nach Anwender');
INSERT INTO `lang_definitions` VALUES (20836, 9775, 5, 'Sortieren nach Impfstoff');
INSERT INTO `lang_definitions` VALUES (20837, 9776, 5, 'Absteigend sortieren');
INSERT INTO `lang_definitions` VALUES (20838, 9777, 5, 'Ergebnisse sortieren nach');
INSERT INTO `lang_definitions` VALUES (20839, 9778, 5, 'Aufsteigend sortieren');
INSERT INTO `lang_definitions` VALUES (20840, 9779, 5, 'Quelle');
INSERT INTO `lang_definitions` VALUES (20841, 9781, 5, 'Source File');
INSERT INTO `lang_definitions` VALUES (20842, 9782, 5, 'Source File Pfad');
INSERT INTO `lang_definitions` VALUES (20843, 9852, 5, 'Stabilität');
INSERT INTO `lang_definitions` VALUES (20844, 9855, 5, 'Standard');
INSERT INTO `lang_definitions` VALUES (20845, 9857, 5, 'Standard Code');
INSERT INTO `lang_definitions` VALUES (20846, 9866, 5, 'Start');
INSERT INTO `lang_definitions` VALUES (20847, 9867, 5, 'Start (jjjj-mm-tt)');
INSERT INTO `lang_definitions` VALUES (20848, 9874, 5, 'Startdatum');
INSERT INTO `lang_definitions` VALUES (20849, 9877, 5, 'Startdatum muss kleiner als Enddatum sein');
INSERT INTO `lang_definitions` VALUES (20850, 9878, 5, 'Startdatum:');
INSERT INTO `lang_definitions` VALUES (20851, 9879, 5, 'Startdatum:');
INSERT INTO `lang_definitions` VALUES (20852, 9881, 5, 'Sartzeit');
INSERT INTO `lang_definitions` VALUES (20853, 9884, 5, 'Startdatum:');
INSERT INTO `lang_definitions` VALUES (20854, 9889, 5, 'Bundesland/Region');
INSERT INTO `lang_definitions` VALUES (20855, 9897, 5, 'Bundesland/Region');
INSERT INTO `lang_definitions` VALUES (20856, 9908, 5, 'Statischer Text');
INSERT INTO `lang_definitions` VALUES (20857, 9909, 5, 'Statistiken');
INSERT INTO `lang_definitions` VALUES (20858, 9911, 5, 'Status');
INSERT INTO `lang_definitions` VALUES (20859, 9916, 5, 'Status Quo');
INSERT INTO `lang_definitions` VALUES (20860, 9947, 5, 'Straße');
INSERT INTO `lang_definitions` VALUES (20861, 9948, 5, 'Straßenname');
INSERT INTO `lang_definitions` VALUES (20862, 9949, 5, 'Straße und Nummer');
INSERT INTO `lang_definitions` VALUES (20863, 9950, 5, 'Kraft');
INSERT INTO `lang_definitions` VALUES (20864, 9965, 5, 'Unter-Kategorie');
INSERT INTO `lang_definitions` VALUES (20865, 9967, 5, 'Unterkategorie');
INSERT INTO `lang_definitions` VALUES (20866, 9968, 5, 'untergategorie');
INSERT INTO `lang_definitions` VALUES (20867, 9974, 5, 'Übernehmen');
INSERT INTO `lang_definitions` VALUES (20868, 9975, 5, 'übernehmen');
INSERT INTO `lang_definitions` VALUES (20869, 9976, 5, 'übernehme alle Inhalte');
INSERT INTO `lang_definitions` VALUES (20870, 9979, 5, 'übernehme Ereignis');
INSERT INTO `lang_definitions` VALUES (20871, 9980, 5, 'übernehme Formular');
INSERT INTO `lang_definitions` VALUES (20872, 9982, 5, 'Übernehme ausgewählte Inhalte');
INSERT INTO `lang_definitions` VALUES (20873, 9984, 5, 'übernommen');
INSERT INTO `lang_definitions` VALUES (20874, 9985, 5, 'übernommen durch');
INSERT INTO `lang_definitions` VALUES (20875, 10031, 5, 'Kategorie erfolgreich hinzugefügt');
INSERT INTO `lang_definitions` VALUES (20876, 10042, 5, 'Erfolgreich gespeichert');
INSERT INTO `lang_definitions` VALUES (20877, 10046, 5, 'Erfolgreich');
INSERT INTO `lang_definitions` VALUES (20878, 10049, 5, 'Selbstmord');
INSERT INTO `lang_definitions` VALUES (20879, 10051, 5, 'Zusammenfassung');
INSERT INTO `lang_definitions` VALUES (20880, 10058, 5, 'So');
INSERT INTO `lang_definitions` VALUES (20881, 10060, 5, 'Sonntag');
INSERT INTO `lang_definitions` VALUES (20882, 10168, 5, 'Ziel/Ereignis Gruppen');
INSERT INTO `lang_definitions` VALUES (20883, 10192, 5, 'Temp');
INSERT INTO `lang_definitions` VALUES (20884, 10213, 5, 'Dritte');
INSERT INTO `lang_definitions` VALUES (20885, 10214, 5, 'Dritte Versicherung');
INSERT INTO `lang_definitions` VALUES (20886, 10215, 5, 'Dritte Versicherung Daten');
INSERT INTO `lang_definitions` VALUES (20887, 10216, 5, 'Dritte Versicherung Anbieter');
INSERT INTO `lang_definitions` VALUES (20888, 10225, 5, 'Text Feld');
INSERT INTO `lang_definitions` VALUES (20889, 10233, 5, 'Text Datum');
INSERT INTO `lang_definitions` VALUES (20890, 10234, 5, 'text datum');
INSERT INTO `lang_definitions` VALUES (20891, 10235, 5, 'Textbereich');
INSERT INTO `lang_definitions` VALUES (20892, 10236, 5, 'textbereich');
INSERT INTO `lang_definitions` VALUES (20893, 10237, 5, 'Textbox');
INSERT INTO `lang_definitions` VALUES (20894, 10238, 5, 'textbox');
INSERT INTO `lang_definitions` VALUES (20895, 10239, 5, 'Textbox Liste');
INSERT INTO `lang_definitions` VALUES (20896, 10240, 5, 'Textbox liste');
INSERT INTO `lang_definitions` VALUES (20897, 10242, 5, 'Vielen Dank');
INSERT INTO `lang_definitions` VALUES (20898, 10389, 5, 'Die folgenden Fehler sind aufgetreten');
INSERT INTO `lang_definitions` VALUES (20899, 10392, 5, 'Die folgenden Felder müssen ausgefüllt werden');
INSERT INTO `lang_definitions` VALUES (20900, 10394, 5, 'Die folgenden Felder müssen ausgefüllt werden, um die Anfrage zu senden.');
INSERT INTO `lang_definitions` VALUES (20901, 10701, 5, 'Dritte');
INSERT INTO `lang_definitions` VALUES (20902, 10704, 5, 'Diese Aktion KANN NICHT RÜCKGÄNGIG gemacht werden.');
INSERT INTO `lang_definitions` VALUES (20903, 10705, 5, 'Diese Aktion kann nicht rückgängig gemacht werden.');
INSERT INTO `lang_definitions` VALUES (20904, 10707, 5, 'Diese Aktion wird geloggt.');
INSERT INTO `lang_definitions` VALUES (20905, 10712, 5, 'Dieser Termin-Zeitbereich ist bereits in Verwendung. Trotzdem verwenden?');
INSERT INTO `lang_definitions` VALUES (20906, 10713, 5, 'Dieser Termin-Zeitbereich ist bereits in Verwendung, bitte einen anderen verwenden?');
INSERT INTO `lang_definitions` VALUES (20907, 10714, 5, 'Dieses Kalenderjahr');
INSERT INTO `lang_definitions` VALUES (20908, 10715, 5, 'Dieser Anspruch wurde zurückgezogen.');
INSERT INTO `lang_definitions` VALUES (20909, 10716, 5, 'Dieser Anspruch wurde geschlossen.');
INSERT INTO `lang_definitions` VALUES (20910, 10734, 5, 'Dieser Fall');
INSERT INTO `lang_definitions` VALUES (20911, 10735, 5, 'Dieser Fall wurde bezahlt. Für Änderungen muss dieser neu geöffnent werden.');
INSERT INTO `lang_definitions` VALUES (20912, 10740, 5, 'Diese Funktion ist noch nicht verfügbar');
INSERT INTO `lang_definitions` VALUES (20913, 10742, 5, 'Diese Funktion ist sehr experimentell und nicht vollständig getestet. Benutzung auf eigene Gefahr!');
INSERT INTO `lang_definitions` VALUES (20914, 10753, 5, 'Diese Rechnungsnummer wurde geändert in');
INSERT INTO `lang_definitions` VALUES (20915, 10784, 5, 'dieser Standort');
INSERT INTO `lang_definitions` VALUES (20916, 10789, 5, 'Dieses Modul befindet sich im Testmodus. Die Datenbank wird nicht verändert.');
INSERT INTO `lang_definitions` VALUES (20917, 10804, 5, 'Dieser Patient hat keine Aktivität.');
INSERT INTO `lang_definitions` VALUES (20918, 10805, 5, 'Diese Patienten ID ist bereits in Verwendung!');
INSERT INTO `lang_definitions` VALUES (20919, 10809, 5, 'Dieser Bericht funktioniert derzeit nur für ICD9-Codierungen');
INSERT INTO `lang_definitions` VALUES (20920, 10821, 5, 'In diesem Schritt wird eine Datei erzeugt, die für den späteren Gebrauch gespeichert wird. Diese Datei kann nicht erneut erstellt werden. Willst Du fortfahren?');
INSERT INTO `lang_definitions` VALUES (20921, 10822, 5, 'Diese Anwender gehört keiner Gruppe an.');
INSERT INTO `lang_definitions` VALUES (20922, 10828, 5, 'Dies war das alte Vitaldaten-Formular, das jetzt nicht mehr gültig ist.');
INSERT INTO `lang_definitions` VALUES (20923, 10829, 5, 'Diese Woche bis Datum');
INSERT INTO `lang_definitions` VALUES (20924, 10834, 5, 'Dies erlaubt die Auswahl der Debugging (Dummy-) Sprache');
INSERT INTO `lang_definitions` VALUES (20925, 10867, 5, 'Es wird die benutzerspezifische Impfungsliste verwendet im Gegensatz zur Standard CVX-Impfungsliste');
INSERT INTO `lang_definitions` VALUES (20926, 10871, 5, 'Brustwirbelsäule');
INSERT INTO `lang_definitions` VALUES (20927, 10878, 5, 'Kehle');
INSERT INTO `lang_definitions` VALUES (20928, 10879, 5, 'Kehlkopfkrebs');
INSERT INTO `lang_definitions` VALUES (20929, 10880, 5, 'Kehlkopfkrebs Eingriff');
INSERT INTO `lang_definitions` VALUES (20930, 10881, 5, 'Thrombose / Schlaganfall');
INSERT INTO `lang_definitions` VALUES (20931, 10882, 5, 'Do');
INSERT INTO `lang_definitions` VALUES (20932, 10884, 5, 'Donnerstag');
INSERT INTO `lang_definitions` VALUES (20933, 10885, 5, 'Donnerstag');
INSERT INTO `lang_definitions` VALUES (20934, 10887, 5, 'Schilddrüse Normal');
INSERT INTO `lang_definitions` VALUES (20935, 10888, 5, 'Schilddrüsenprobleme');
INSERT INTO `lang_definitions` VALUES (20936, 10890, 5, 'TIA');
INSERT INTO `lang_definitions` VALUES (20937, 10892, 5, 'TID');
INSERT INTO `lang_definitions` VALUES (20938, 10902, 5, 'Zeit');
INSERT INTO `lang_definitions` VALUES (20939, 10903, 5, 'Zeit Anzeige Format');
INSERT INTO `lang_definitions` VALUES (20940, 10904, 5, 'Zeitspanne zum Hinzufügen (1-60 Minuten)');
INSERT INTO `lang_definitions` VALUES (20941, 10905, 5, 'Zeit Auswahl');
INSERT INTO `lang_definitions` VALUES (20942, 10907, 5, 'Zeitfenster vorhanden, Event speichern');
INSERT INTO `lang_definitions` VALUES (20943, 10913, 5, 'Geplantes Ereignis');
INSERT INTO `lang_definitions` VALUES (20944, 10915, 5, 'Zeitstempel und Text');
INSERT INTO `lang_definitions` VALUES (20945, 10917, 5, 'TINnitus');
INSERT INTO `lang_definitions` VALUES (20946, 10918, 5, 'Tinnitus');
INSERT INTO `lang_definitions` VALUES (20947, 10920, 5, 'Titel');
INSERT INTO `lang_definitions` VALUES (20948, 10923, 5, 'Titel V');
INSERT INTO `lang_definitions` VALUES (20949, 10924, 5, 'TitleSpalten muss eine Zahl zwischen 1 und 999 sein');
INSERT INTO `lang_definitions` VALUES (20950, 10925, 5, 'Titeln');
INSERT INTO `lang_definitions` VALUES (20951, 10928, 5, 'bis');
INSERT INTO `lang_definitions` VALUES (20952, 10929, 5, 'bis');
INSERT INTO `lang_definitions` VALUES (20953, 10930, 5, 'BIS');
INSERT INTO `lang_definitions` VALUES (20954, 10931, 5, 'absoluter Dateipfad');
INSERT INTO `lang_definitions` VALUES (20955, 10936, 5, 'Um Bemerkungen hinzuzufügen, hier klicken');
INSERT INTO `lang_definitions` VALUES (20956, 10938, 5, 'Um betroffene Gebiet');
INSERT INTO `lang_definitions` VALUES (20957, 10939, 5, 'um betroffene gebiet');
INSERT INTO `lang_definitions` VALUES (20958, 10944, 5, 'Zur Rechnungsansicht');
INSERT INTO `lang_definitions` VALUES (20959, 10945, 5, 'in Kategorie');
INSERT INTO `lang_definitions` VALUES (20960, 10947, 5, 'Zur Klinischen Ansicht');
INSERT INTO `lang_definitions` VALUES (20961, 10972, 5, 'Zu Besuch');
INSERT INTO `lang_definitions` VALUES (20962, 10973, 5, 'Filtern nach Geschlecht');
INSERT INTO `lang_definitions` VALUES (20963, 10980, 5, 'Zu History');
INSERT INTO `lang_definitions` VALUES (20964, 10982, 5, 'Zu Problem');
INSERT INTO `lang_definitions` VALUES (20965, 10987, 5, 'zur nochmaligen Anmeldung');
INSERT INTO `lang_definitions` VALUES (20966, 11001, 5, 'Zur Einrichtung von https mit Client-Zertifikat-Authentifikation folgendes tun');
INSERT INTO `lang_definitions` VALUES (20967, 11002, 5, 'Auf die Haut');
INSERT INTO `lang_definitions` VALUES (20968, 11003, 5, 'auf die Haut');
INSERT INTO `lang_definitions` VALUES (20969, 11005, 5, 'zu dieser Visite?');
INSERT INTO `lang_definitions` VALUES (20970, 11010, 5, 'An:');
INSERT INTO `lang_definitions` VALUES (20971, 11011, 5, 'An:');
INSERT INTO `lang_definitions` VALUES (20972, 11012, 5, 'TO_CITY');
INSERT INTO `lang_definitions` VALUES (20973, 11013, 5, 'TO_FAX');
INSERT INTO `lang_definitions` VALUES (20974, 11014, 5, 'TO_FNAME');
INSERT INTO `lang_definitions` VALUES (20975, 11015, 5, 'TO_LNAME');
INSERT INTO `lang_definitions` VALUES (20976, 11016, 5, 'TO_MNAME');
INSERT INTO `lang_definitions` VALUES (20977, 11017, 5, 'TO_ORGANIZATION');
INSERT INTO `lang_definitions` VALUES (20978, 11020, 5, 'TO_POSTAL');
INSERT INTO `lang_definitions` VALUES (20979, 11021, 5, 'TO_STATE');
INSERT INTO `lang_definitions` VALUES (20980, 11022, 5, 'TO_STREET');
INSERT INTO `lang_definitions` VALUES (20981, 11023, 5, 'TO_TITLE');
INSERT INTO `lang_definitions` VALUES (20982, 11024, 5, 'TO_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (20983, 11025, 5, 'Tabak');
INSERT INTO `lang_definitions` VALUES (20984, 11026, 5, 'Tabakentwöhnung Intervention');
INSERT INTO `lang_definitions` VALUES (20985, 11027, 5, 'Tabakentwöhnung Intervention(CQM)');
INSERT INTO `lang_definitions` VALUES (20986, 11028, 5, 'Tabakkonsum');
INSERT INTO `lang_definitions` VALUES (20987, 11030, 5, 'Tabakkonsum Beurteilung');
INSERT INTO `lang_definitions` VALUES (20988, 11031, 5, 'Tabakkonsum Beurteilung (CQM)');
INSERT INTO `lang_definitions` VALUES (20989, 11032, 5, 'Heute');
INSERT INTO `lang_definitions` VALUES (20990, 11033, 5, 'HEUTE');
INSERT INTO `lang_definitions` VALUES (20991, 11034, 5, 'heute');
INSERT INTO `lang_definitions` VALUES (20992, 11037, 5, 'Heutiges Datum');
INSERT INTO `lang_definitions` VALUES (20993, 11038, 5, 'Heutige Ereignisse');
INSERT INTO `lang_definitions` VALUES (20994, 11047, 5, 'Mandeloperation');
INSERT INTO `lang_definitions` VALUES (20995, 11050, 5, 'Oben');
INSERT INTO `lang_definitions` VALUES (20996, 11053, 5, 'Thema');
INSERT INTO `lang_definitions` VALUES (20997, 11054, 5, 'Total');
INSERT INTO `lang_definitions` VALUES (20998, 11055, 5, 'total');
INSERT INTO `lang_definitions` VALUES (20999, 11056, 5, 'Anzahl aktiver Aktionen');
INSERT INTO `lang_definitions` VALUES (21000, 11057, 5, 'Anzahl aktiver Erinnerungen nach Update');
INSERT INTO `lang_definitions` VALUES (21001, 11058, 5, 'Anzahl aktiver Erinnerungen vor Update');
INSERT INTO `lang_definitions` VALUES (21002, 11060, 5, 'Gesamtbetrag fällig');
INSERT INTO `lang_definitions` VALUES (21003, 11061, 5, 'Gesamt bezahlt');
INSERT INTO `lang_definitions` VALUES (21004, 11062, 5, 'Offener Betrag Total');
INSERT INTO `lang_definitions` VALUES (21005, 11065, 5, 'Anzahl Patienten');
INSERT INTO `lang_definitions` VALUES (21006, 11067, 5, 'Gesamtkosten');
INSERT INTO `lang_definitions` VALUES (21007, 11069, 5, 'Einträge insgesamt');
INSERT INTO `lang_definitions` VALUES (21008, 11072, 5, 'Summe für');
INSERT INTO `lang_definitions` VALUES (21009, 11073, 5, 'Summe für');
INSERT INTO `lang_definitions` VALUES (21010, 11074, 5, 'Summe für Kategorie');
INSERT INTO `lang_definitions` VALUES (21011, 11075, 5, 'Summe für inaktive Erinnerungen');
INSERT INTO `lang_definitions` VALUES (21012, 11078, 5, 'Summe für Erinnerungen');
INSERT INTO `lang_definitions` VALUES (21013, 11081, 5, 'Gesamtzahl der Impfungen');
INSERT INTO `lang_definitions` VALUES (21014, 11082, 5, 'Gesamtzahl der Probleme');
INSERT INTO `lang_definitions` VALUES (21015, 11084, 5, 'Gesamtzahl der Patienten');
INSERT INTO `lang_definitions` VALUES (21016, 11089, 5, 'Summe Patienten');
INSERT INTO `lang_definitions` VALUES (21017, 11093, 5, 'Anzahl gefundener Einträge');
INSERT INTO `lang_definitions` VALUES (21018, 11096, 5, 'Anzahl erfolgreich gesendeter Erinnerungen per E-Mail');
INSERT INTO `lang_definitions` VALUES (21019, 11097, 5, 'Anzahl erfolgreich gesendeter Erinnerungen per Telefon');
INSERT INTO `lang_definitions` VALUES (21020, 11100, 5, 'Anzahl unveränderter Erinnerungen');
INSERT INTO `lang_definitions` VALUES (21021, 11101, 5, 'Anzahl ungesendeter Erinnerungen vor Sendeprozess');
INSERT INTO `lang_definitions` VALUES (21022, 11102, 5, 'Anzahl ungesendeter Erinnerungen nach Update');
INSERT INTO `lang_definitions` VALUES (21023, 11103, 5, 'Anzahl ungesendeter Erinnerungen vor Sendeprozess');
INSERT INTO `lang_definitions` VALUES (21024, 11104, 5, 'Anzahl ungesendeter Erinnerungen vor Update');
INSERT INTO `lang_definitions` VALUES (21025, 11105, 5, 'Anzahl aktualisierter Erinnerungen');
INSERT INTO `lang_definitions` VALUES (21026, 11106, 5, 'Summen');
INSERT INTO `lang_definitions` VALUES (21027, 11107, 5, 'Summen für');
INSERT INTO `lang_definitions` VALUES (21028, 11108, 5, 'Summen für');
INSERT INTO `lang_definitions` VALUES (21029, 11123, 5, 'bis{{Bereich}}');
INSERT INTO `lang_definitions` VALUES (21030, 11135, 5, 'Trainingsart');
INSERT INTO `lang_definitions` VALUES (21031, 11137, 5, 'Transaktion');
INSERT INTO `lang_definitions` VALUES (21032, 11138, 5, 'Transaktion');
INSERT INTO `lang_definitions` VALUES (21033, 11139, 5, 'Transaktion fehlgeschlagen, Menge in Ziellos nicht ausreichend');
INSERT INTO `lang_definitions` VALUES (21034, 11140, 5, 'Transaktion fehlgeschlagen, Menge ist kleiner Null.');
INSERT INTO `lang_definitions` VALUES (21035, 11142, 5, 'Art der Transaktion');
INSERT INTO `lang_definitions` VALUES (21036, 11143, 5, 'Transaktionen');
INSERT INTO `lang_definitions` VALUES (21037, 11144, 5, 'Transaktionen');
INSERT INTO `lang_definitions` VALUES (21038, 11145, 5, 'Transaktionen (schreiben optional)');
INSERT INTO `lang_definitions` VALUES (21039, 11151, 5, 'Transaktionen / Überweisungen');
INSERT INTO `lang_definitions` VALUES (21040, 11153, 5, 'Transfer');
INSERT INTO `lang_definitions` VALUES (21041, 11160, 5, 'Transfers');
INSERT INTO `lang_definitions` VALUES (21042, 11163, 5, 'Übersetze ACL-Listen');
INSERT INTO `lang_definitions` VALUES (21043, 11164, 5, 'Übersetze Terminkategorien');
INSERT INTO `lang_definitions` VALUES (21044, 11165, 5, 'Übersetze Dokumentkategorien');
INSERT INTO `lang_definitions` VALUES (21045, 11166, 5, 'Übersetze Layouts');
INSERT INTO `lang_definitions` VALUES (21046, 11167, 5, 'Übersetze Listen');
INSERT INTO `lang_definitions` VALUES (21047, 11168, 5, 'Übersetze Titel der Patientennotizen');
INSERT INTO `lang_definitions` VALUES (21048, 11169, 5, 'Dies übersetzen');
INSERT INTO `lang_definitions` VALUES (21049, 11170, 5, 'Übersetzung');
INSERT INTO `lang_definitions` VALUES (21050, 11171, 5, 'Übersetzungen');
INSERT INTO `lang_definitions` VALUES (21051, 11179, 5, 'Trauma');
INSERT INTO `lang_definitions` VALUES (21052, 11180, 5, 'Behandlung');
INSERT INTO `lang_definitions` VALUES (21053, 11182, 5, 'Behandlungsziele');
INSERT INTO `lang_definitions` VALUES (21054, 11183, 5, 'Behandlungsplan');
INSERT INTO `lang_definitions` VALUES (21055, 11186, 5, 'Behandlung:');
INSERT INTO `lang_definitions` VALUES (21056, 11187, 5, 'Behandlung:');
INSERT INTO `lang_definitions` VALUES (21057, 11189, 5, 'Tendenz');
INSERT INTO `lang_definitions` VALUES (21058, 11199, 5, 'Rumpf und Bauch');
INSERT INTO `lang_definitions` VALUES (21059, 11207, 5, 'TTS');
INSERT INTO `lang_definitions` VALUES (21060, 11208, 5, 'Tuberkulose');
INSERT INTO `lang_definitions` VALUES (21061, 11209, 5, 'Di');
INSERT INTO `lang_definitions` VALUES (21062, 11210, 5, 'Di - Do');
INSERT INTO `lang_definitions` VALUES (21063, 11211, 5, 'Dienstag');
INSERT INTO `lang_definitions` VALUES (21064, 11212, 5, 'Tumor');
INSERT INTO `lang_definitions` VALUES (21065, 11213, 5, 'Türkisch');
INSERT INTO `lang_definitions` VALUES (21066, 11222, 5, 'zweimal täglich');
INSERT INTO `lang_definitions` VALUES (21067, 11226, 5, 'Trommelfell');
INSERT INTO `lang_definitions` VALUES (21068, 11227, 5, 'Art');
INSERT INTO `lang_definitions` VALUES (21069, 11231, 5, 'ID oder Namen eingeben, mind. 3 Zeichen');
INSERT INTO `lang_definitions` VALUES (21070, 11238, 5, 'Spalten, die für die Ergebnisanzeige der Patientensuche angezeigt werden');
INSERT INTO `lang_definitions` VALUES (21071, 11240, 5, 'Art der Ereignisse');
INSERT INTO `lang_definitions` VALUES (21072, 11242, 5, 'Art des Screen-Layouts');
INSERT INTO `lang_definitions` VALUES (21073, 11243, 5, 'Trage die Patient-ID hier ein (oder Scan)');
INSERT INTO `lang_definitions` VALUES (21074, 11248, 5, 'Nachricht hier eingeben');
INSERT INTO `lang_definitions` VALUES (21075, 11249, 5, 'Arten der Aufträge und Ergebnisse');
INSERT INTO `lang_definitions` VALUES (21076, 11271, 5, 'Ukrainisch');
INSERT INTO `lang_definitions` VALUES (21077, 11272, 5, 'Ulzerationen');
INSERT INTO `lang_definitions` VALUES (21078, 11273, 5, 'Colitis ulcerosa');
INSERT INTO `lang_definitions` VALUES (21079, 11274, 5, 'Geschwüre:');
INSERT INTO `lang_definitions` VALUES (21080, 11278, 5, 'Kann nicht erstellt werden');
INSERT INTO `lang_definitions` VALUES (21081, 11291, 5, 'Nicht zugeordnet');
INSERT INTO `lang_definitions` VALUES (21082, 11292, 5, 'Unbestimmt');
INSERT INTO `lang_definitions` VALUES (21083, 11293, 5, 'Unbefugt');
INSERT INTO `lang_definitions` VALUES (21084, 11294, 5, 'Kein Zugriff zu ePrescription erlaubt');
INSERT INTO `lang_definitions` VALUES (21085, 11295, 5, 'Unbefugter Zugriff.');
INSERT INTO `lang_definitions` VALUES (21086, 11296, 5, 'Nicht Bezahlt');
INSERT INTO `lang_definitions` VALUES (21087, 11297, 5, 'nur unbezahlt');
INSERT INTO `lang_definitions` VALUES (21088, 11300, 5, 'unter der Zunge');
INSERT INTO `lang_definitions` VALUES (21089, 11303, 5, 'Untergewicht');
INSERT INTO `lang_definitions` VALUES (21090, 11304, 5, 'Nicht Diagnostiziert');
INSERT INTO `lang_definitions` VALUES (21091, 11309, 5, 'Checkout rückgängig machen');
INSERT INTO `lang_definitions` VALUES (21092, 11311, 5, 'Einmahlige Patienten');
INSERT INTO `lang_definitions` VALUES (21093, 11312, 5, 'Eindeutige, leicht zu merkende ID für diesen Typ');
INSERT INTO `lang_definitions` VALUES (21094, 11315, 5, 'Eindeutige neue Patienten');
INSERT INTO `lang_definitions` VALUES (21095, 11316, 5, 'Eindeutige numerische ID für diesen Typ');
INSERT INTO `lang_definitions` VALUES (21096, 11317, 5, 'Einmahlig \"gesehene\" Patienten');
INSERT INTO `lang_definitions` VALUES (21097, 11318, 5, 'Einmahlig \"gesehene\" Patienten - Bericht');
INSERT INTO `lang_definitions` VALUES (21098, 11319, 5, 'Einmahlig \"gesehene\" Patienten');
INSERT INTO `lang_definitions` VALUES (21099, 11320, 5, 'Einheit');
INSERT INTO `lang_definitions` VALUES (21100, 11321, 5, 'Einheiten');
INSERT INTO `lang_definitions` VALUES (21101, 11322, 5, 'einheiten');
INSERT INTO `lang_definitions` VALUES (21102, 11324, 5, 'Einheiten für Konsultation Formular');
INSERT INTO `lang_definitions` VALUES (21103, 11325, 5, 'Einheiten müssen Nummern sein');
INSERT INTO `lang_definitions` VALUES (21104, 11326, 5, 'Einheit nicht definiert');
INSERT INTO `lang_definitions` VALUES (21105, 11327, 5, 'Einheiten/L');
INSERT INTO `lang_definitions` VALUES (21106, 11328, 5, 'Unbekannt');
INSERT INTO `lang_definitions` VALUES (21107, 11331, 5, 'Unbekannt, wenn jemals geraucht');
INSERT INTO `lang_definitions` VALUES (21108, 11332, 5, 'Unbekannt oder N/A');
INSERT INTO `lang_definitions` VALUES (21109, 11344, 5, 'Aufheben der Patienten-Verknüpfung');
INSERT INTO `lang_definitions` VALUES (21110, 11345, 5, 'Nicht näher bezeichnete Versicherung');
INSERT INTO `lang_definitions` VALUES (21111, 11346, 5, 'Nicht registriert');
INSERT INTO `lang_definitions` VALUES (21112, 11349, 5, 'Alle deselektieren');
INSERT INTO `lang_definitions` VALUES (21113, 11350, 5, 'Nicht selektiert');
INSERT INTO `lang_definitions` VALUES (21114, 11351, 5, 'Nicht spezifiziert');
INSERT INTO `lang_definitions` VALUES (21115, 11352, 5, 'Nicht strukturiert');
INSERT INTO `lang_definitions` VALUES (21116, 11356, 5, 'bis');
INSERT INTO `lang_definitions` VALUES (21117, 11360, 5, 'Unbenutzt');
INSERT INTO `lang_definitions` VALUES (21118, 11361, 5, 'UOR');
INSERT INTO `lang_definitions` VALUES (21119, 11362, 5, 'Bis zu');
INSERT INTO `lang_definitions` VALUES (21120, 11364, 5, 'Bevorstehende Termine');
INSERT INTO `lang_definitions` VALUES (21121, 11365, 5, 'Bevorstehende Ereignisse');
INSERT INTO `lang_definitions` VALUES (21122, 11366, 5, 'Aktualisieren');
INSERT INTO `lang_definitions` VALUES (21123, 11367, 5, 'aktualisieren');
INSERT INTO `lang_definitions` VALUES (21124, 11368, 5, 'Aktive aktualisieren');
INSERT INTO `lang_definitions` VALUES (21125, 11371, 5, 'Datei aktualisieren');
INSERT INTO `lang_definitions` VALUES (21126, 11372, 5, 'Info aktualisieren');
INSERT INTO `lang_definitions` VALUES (21127, 11374, 5, 'Liste aktualisieren');
INSERT INTO `lang_definitions` VALUES (21128, 11377, 5, 'Aktualisieren Behandler Nummer');
INSERT INTO `lang_definitions` VALUES (21129, 11378, 5, 'Ausgewählte Inhalte aktualisieren');
INSERT INTO `lang_definitions` VALUES (21130, 11383, 5, 'Aktualisiere der folgenden Variablen in der Datei');
INSERT INTO `lang_definitions` VALUES (21131, 11384, 5, 'Anwender Informationen aktualisieren');
INSERT INTO `lang_definitions` VALUES (21132, 11390, 5, 'Akualisieren der persönlichen Daten ist nicht erlaubt.');
INSERT INTO `lang_definitions` VALUES (21133, 11391, 5, 'Aktualisieren der globalen Standard Konfiguration');
INSERT INTO `lang_definitions` VALUES (21134, 11392, 5, 'Aktualisiere Versionsindikatoren');
INSERT INTO `lang_definitions` VALUES (21135, 11393, 5, 'UPGRADE');
INSERT INTO `lang_definitions` VALUES (21136, 11394, 5, 'Upgrade');
INSERT INTO `lang_definitions` VALUES (21137, 11396, 5, 'Datenbank aktualisieren');
INSERT INTO `lang_definitions` VALUES (21138, 11398, 5, 'Aktualisiert die OpenEMR-Datenbank für Verfahren, Funktionen und Tabellen, die für De-identification gebraucht werden');
INSERT INTO `lang_definitions` VALUES (21139, 11399, 5, 'Aktualisieren wird fortgesetzt');
INSERT INTO `lang_definitions` VALUES (21140, 11400, 5, 'UPIN');
INSERT INTO `lang_definitions` VALUES (21141, 11401, 5, 'Upload');
INSERT INTO `lang_definitions` VALUES (21142, 11406, 5, 'Configurationsdaten uploaden');
INSERT INTO `lang_definitions` VALUES (21143, 11407, 5, 'Dokument uploaden');
INSERT INTO `lang_definitions` VALUES (21144, 11408, 5, 'Upload fehlgeschlagen!');
INSERT INTO `lang_definitions` VALUES (21145, 11410, 5, 'Bild uploaden zu');
INSERT INTO `lang_definitions` VALUES (21146, 11411, 5, 'Hochladen Import Datei:');
INSERT INTO `lang_definitions` VALUES (21147, 11415, 5, 'Bericht uploaden');
INSERT INTO `lang_definitions` VALUES (21148, 11418, 5, 'Diese Datei uploaden:');
INSERT INTO `lang_definitions` VALUES (21149, 11429, 5, 'Oberarm');
INSERT INTO `lang_definitions` VALUES (21150, 11432, 5, 'Dringlichkeit');
INSERT INTO `lang_definitions` VALUES (21151, 11436, 5, 'Urin');
INSERT INTO `lang_definitions` VALUES (21152, 11437, 5, 'Urinverlust');
INSERT INTO `lang_definitions` VALUES (21153, 11438, 5, 'Urin Häufigkeit');
INSERT INTO `lang_definitions` VALUES (21154, 11439, 5, 'Probleme beim Harnlassen');
INSERT INTO `lang_definitions` VALUES (21155, 11440, 5, 'Urin Mikroalbumin');
INSERT INTO `lang_definitions` VALUES (21156, 11441, 5, 'Urinstrahl');
INSERT INTO `lang_definitions` VALUES (21157, 11442, 5, 'Urin Drang');
INSERT INTO `lang_definitions` VALUES (21158, 11443, 5, 'URL');
INSERT INTO `lang_definitions` VALUES (21159, 11445, 5, 'URL für OpenEMR support.');
INSERT INTO `lang_definitions` VALUES (21160, 11453, 5, 'Gebrauchsindikator (ISA15)');
INSERT INTO `lang_definitions` VALUES (21161, 11474, 5, 'Benutzerdefinierte Impfung Liste');
INSERT INTO `lang_definitions` VALUES (21162, 11476, 5, 'Verwende Datumsbereich');
INSERT INTO `lang_definitions` VALUES (21163, 11477, 5, 'Verwende standard');
INSERT INTO `lang_definitions` VALUES (21164, 11478, 5, 'Verwende Löschen-Option zum Entfernen.');
INSERT INTO `lang_definitions` VALUES (21165, 11479, 5, 'Verwende internationalen Datum-Stil');
INSERT INTO `lang_definitions` VALUES (21166, 11483, 5, 'Verwende Source-Dateiname');
INSERT INTO `lang_definitions` VALUES (21167, 11486, 5, 'Nutze die Felder unten für einen Kauf oder eine Überweisung');
INSERT INTO `lang_definitions` VALUES (21168, 11490, 5, 'Nutze dieses Feature nur für neu installierte Orte,');
INSERT INTO `lang_definitions` VALUES (21169, 11493, 5, 'Themen Verwenden?');
INSERT INTO `lang_definitions` VALUES (21170, 11496, 5, 'Benutzer');
INSERT INTO `lang_definitions` VALUES (21171, 11498, 5, 'Benutzer / Gruppen');
INSERT INTO `lang_definitions` VALUES (21172, 11499, 5, 'Benutzer Verwaltung');
INSERT INTO `lang_definitions` VALUES (21173, 11500, 5, 'Benutzer und Standort Verwaltung');
INSERT INTO `lang_definitions` VALUES (21174, 11501, 5, 'Benutzer und Gruppen Verwaltung');
INSERT INTO `lang_definitions` VALUES (21175, 11503, 5, 'Benutzer-Zertifikat-Authentifizierung deaktiviert');
INSERT INTO `lang_definitions` VALUES (21176, 11507, 5, 'Benutzerdefiniert');
INSERT INTO `lang_definitions` VALUES (21177, 11508, 5, 'Benutzerdefiniertes Zone 11');
INSERT INTO `lang_definitions` VALUES (21178, 11509, 5, 'Benutzerdefiniertes Zone 12');
INSERT INTO `lang_definitions` VALUES (21179, 11510, 5, 'Benutzerdefiniertes Feld');
INSERT INTO `lang_definitions` VALUES (21180, 11511, 5, 'Benutzerdefinierte Liste 1');
INSERT INTO `lang_definitions` VALUES (21181, 11512, 5, 'Benutzerdefinierte Liste 2');
INSERT INTO `lang_definitions` VALUES (21182, 11513, 5, 'Benutzerdefinierte Liste 3');
INSERT INTO `lang_definitions` VALUES (21183, 11514, 5, 'Benutzerdefinierte Liste 4');
INSERT INTO `lang_definitions` VALUES (21184, 11515, 5, 'Benutzerdefinierte Liste 5');
INSERT INTO `lang_definitions` VALUES (21185, 11516, 5, 'Benutzerdefinierte Liste 6');
INSERT INTO `lang_definitions` VALUES (21186, 11517, 5, 'Benutzerdefinierte Liste 7');
INSERT INTO `lang_definitions` VALUES (21187, 11518, 5, 'Benutzerdefinierter Text 1');
INSERT INTO `lang_definitions` VALUES (21188, 11519, 5, 'Benutzerdefinierter Text 2');
INSERT INTO `lang_definitions` VALUES (21189, 11520, 5, 'Benutzerdefinierter Text 3');
INSERT INTO `lang_definitions` VALUES (21190, 11521, 5, 'Benutzerdefinierter Text 4');
INSERT INTO `lang_definitions` VALUES (21191, 11522, 5, 'Benutzerdefinierter Text 5');
INSERT INTO `lang_definitions` VALUES (21192, 11523, 5, 'Benutzerdefinierter Text 6');
INSERT INTO `lang_definitions` VALUES (21193, 11524, 5, 'Benutzerdefinierter Text 7');
INSERT INTO `lang_definitions` VALUES (21194, 11525, 5, 'Benutzerdefinierter Text 8');
INSERT INTO `lang_definitions` VALUES (21195, 11526, 5, 'Anwender Vorname');
INSERT INTO `lang_definitions` VALUES (21196, 11532, 5, 'Benutzerhandbuch');
INSERT INTO `lang_definitions` VALUES (21197, 11533, 5, 'Benutzername');
INSERT INTO `lang_definitions` VALUES (21198, 11534, 5, 'Anwender Name');
INSERT INTO `lang_definitions` VALUES (21199, 11536, 5, 'Anwendername oder Hostname dürfen nicht leer sein');
INSERT INTO `lang_definitions` VALUES (21200, 11537, 5, 'Anwender oder Hostname');
INSERT INTO `lang_definitions` VALUES (21201, 11541, 5, 'Anwender Einstellungen');
INSERT INTO `lang_definitions` VALUES (21202, 11543, 5, 'Anwender spezifische Einstellungen');
INSERT INTO `lang_definitions` VALUES (21203, 11553, 5, 'Anwendername');
INSERT INTO `lang_definitions` VALUES (21204, 11556, 5, 'Username für SMS Gateway');
INSERT INTO `lang_definitions` VALUES (21205, 11557, 5, 'Username für SMS Gateway.');
INSERT INTO `lang_definitions` VALUES (21206, 11558, 5, 'Username für CouchDB Verbindung');
INSERT INTO `lang_definitions` VALUES (21207, 11559, 5, 'Anwendername:');
INSERT INTO `lang_definitions` VALUES (21208, 11560, 5, 'Anwender');
INSERT INTO `lang_definitions` VALUES (21209, 11564, 5, 'Anwender/Gruppen/Logs Verwaltung');
INSERT INTO `lang_definitions` VALUES (21210, 11574, 5, 'verwendet php <a href=\"http://php.net/strftime\">strftime</a> Format');
INSERT INTO `lang_definitions` VALUES (21211, 11583, 5, 'Urinweg Infektionen');
INSERT INTO `lang_definitions` VALUES (21212, 11588, 5, 'URLAUB');
INSERT INTO `lang_definitions` VALUES (21213, 11589, 5, 'Urlaub');
INSERT INTO `lang_definitions` VALUES (21214, 11590, 5, 'Impfstoff');
INSERT INTO `lang_definitions` VALUES (21215, 11593, 5, 'Vaginal-Ring');
INSERT INTO `lang_definitions` VALUES (21216, 11594, 5, 'Abschiedsrede');
INSERT INTO `lang_definitions` VALUES (21217, 11596, 5, 'bestätigen');
INSERT INTO `lang_definitions` VALUES (21218, 11609, 5, 'Wert');
INSERT INTO `lang_definitions` VALUES (21219, 11610, 5, 'Wert 1');
INSERT INTO `lang_definitions` VALUES (21220, 11611, 5, 'Wert 2');
INSERT INTO `lang_definitions` VALUES (21221, 11613, 5, 'Wert muss numerisch sein');
INSERT INTO `lang_definitions` VALUES (21222, 11614, 5, 'Var1');
INSERT INTO `lang_definitions` VALUES (21223, 11615, 5, 'Var2');
INSERT INTO `lang_definitions` VALUES (21224, 11619, 5, 'Windpocken 1');
INSERT INTO `lang_definitions` VALUES (21225, 11620, 5, 'Windpocken 1');
INSERT INTO `lang_definitions` VALUES (21226, 11621, 5, 'Krampfadern');
INSERT INTO `lang_definitions` VALUES (21227, 11623, 5, 'Gefäßzustand');
INSERT INTO `lang_definitions` VALUES (21228, 11624, 5, 'Gefäßverletzung');
INSERT INTO `lang_definitions` VALUES (21229, 11625, 5, 'Gefäßchirurgie');
INSERT INTO `lang_definitions` VALUES (21230, 11630, 5, 'Hersteller');
INSERT INTO `lang_definitions` VALUES (21231, 11634, 5, 'Version');
INSERT INTO `lang_definitions` VALUES (21232, 11653, 5, 'Schwindel');
INSERT INTO `lang_definitions` VALUES (21233, 11659, 5, 'VFC');
INSERT INTO `lang_definitions` VALUES (21234, 11666, 5, 'Vietnamesisch');
INSERT INTO `lang_definitions` VALUES (21235, 11667, 5, 'Zeigen');
INSERT INTO `lang_definitions` VALUES (21236, 11668, 5, 'zeigen');
INSERT INTO `lang_definitions` VALUES (21237, 11670, 5, 'zeige Allergien');
INSERT INTO `lang_definitions` VALUES (21238, 11676, 5, 'Zeige umfassenden Patienten Bericht');
INSERT INTO `lang_definitions` VALUES (21239, 11679, 5, 'Zeige Dokument');
INSERT INTO `lang_definitions` VALUES (21240, 11681, 5, 'Zeige Fall');
INSERT INTO `lang_definitions` VALUES (21241, 11683, 5, 'Ereignis in einem Popup Fenster Zeigen?');
INSERT INTO `lang_definitions` VALUES (21242, 11684, 5, 'Anzeigen der Standort spezifischen Anwender Informationen');
INSERT INTO `lang_definitions` VALUES (21243, 11687, 5, 'Zeige Log');
INSERT INTO `lang_definitions` VALUES (21244, 11690, 5, 'Zeige Seite 1');
INSERT INTO `lang_definitions` VALUES (21245, 11691, 5, 'Zeige Seite 1');
INSERT INTO `lang_definitions` VALUES (21246, 11692, 5, 'Zeige Vergangene und kommende Erinnerungen');
INSERT INTO `lang_definitions` VALUES (21247, 11695, 5, 'Zeige Patient');
INSERT INTO `lang_definitions` VALUES (21248, 11700, 5, 'Anzeigen zugeordnete Fälle');
INSERT INTO `lang_definitions` VALUES (21249, 11712, 5, 'Zeige/Ändere Allergien');
INSERT INTO `lang_definitions` VALUES (21250, 11713, 5, 'Zeige/Bearbeite Fall');
INSERT INTO `lang_definitions` VALUES (21251, 11714, 5, 'Zeige/Drucken');
INSERT INTO `lang_definitions` VALUES (21252, 11717, 5, 'Zeige:');
INSERT INTO `lang_definitions` VALUES (21253, 11718, 5, 'VISA');
INSERT INTO `lang_definitions` VALUES (21254, 11719, 5, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (21255, 11728, 5, 'Konsultation Kategorie');
INSERT INTO `lang_definitions` VALUES (21256, 11729, 5, 'Konsultation Datum');
INSERT INTO `lang_definitions` VALUES (21257, 11730, 5, 'Konsultation datum');
INSERT INTO `lang_definitions` VALUES (21258, 11734, 5, 'Konsultation Formular');
INSERT INTO `lang_definitions` VALUES (21259, 11736, 5, 'Konsultation Verlauf');
INSERT INTO `lang_definitions` VALUES (21260, 11745, 5, 'Konsultation');
INSERT INTO `lang_definitions` VALUES (21261, 11746, 5, 'Konsultation von');
INSERT INTO `lang_definitions` VALUES (21262, 11751, 5, 'Vitalparameter');
INSERT INTO `lang_definitions` VALUES (21263, 11752, 5, 'Vitalwerte');
INSERT INTO `lang_definitions` VALUES (21264, 11753, 5, 'Vitalwerte');
INSERT INTO `lang_definitions` VALUES (21265, 11756, 5, 'Stimme');
INSERT INTO `lang_definitions` VALUES (21266, 11758, 5, 'Sprachbericht gesendet');
INSERT INTO `lang_definitions` VALUES (21267, 11763, 5, 'Erbrechen');
INSERT INTO `lang_definitions` VALUES (21268, 11767, 5, 'W');
INSERT INTO `lang_definitions` VALUES (21269, 11770, 5, 'Taillenumfang');
INSERT INTO `lang_definitions` VALUES (21270, 11771, 5, 'Taillenumfang');
INSERT INTO `lang_definitions` VALUES (21271, 11772, 5, 'Warten');
INSERT INTO `lang_definitions` VALUES (21272, 11776, 5, 'Walt Pennington');
INSERT INTO `lang_definitions` VALUES (21273, 11778, 5, 'Warenhaus');
INSERT INTO `lang_definitions` VALUES (21274, 11780, 5, 'Warenhaus Maximum,0 falls nicht zutreffend');
INSERT INTO `lang_definitions` VALUES (21275, 11781, 5, 'Warenhaus Minimum, 0 falls nicht zutreffend');
INSERT INTO `lang_definitions` VALUES (21276, 11782, 5, 'Warenhaus');
INSERT INTO `lang_definitions` VALUES (21277, 11783, 5, 'Warm');
INSERT INTO `lang_definitions` VALUES (21278, 11786, 5, 'Warnung');
INSERT INTO `lang_definitions` VALUES (21279, 11787, 5, 'WARNUNG');
INSERT INTO `lang_definitions` VALUES (21280, 11789, 5, 'Warnung, Kontrollnummer in der Datenbank bereits vorhanden');
INSERT INTO `lang_definitions` VALUES (21281, 11791, 5, 'Warnung: Für diesen Patienten wurde heute bereits eine Konsultation erzeugt!');
INSERT INTO `lang_definitions` VALUES (21282, 11796, 5, 'Warnung: Patient ID ist nicht einzigartig!');
INSERT INTO `lang_definitions` VALUES (21283, 11799, 5, 'WARNUNG: Konfigurationsdaten werden mit den Daten von der hochgeladenen Datei überschrieben.');
INSERT INTO `lang_definitions` VALUES (21284, 11801, 5, 'Warnungen');
INSERT INTO `lang_definitions` VALUES (21285, 11803, 5, 'wurde bereits upgeloadet');
INSERT INTO `lang_definitions` VALUES (21286, 11805, 5, 'Wir erwarten die prompte Bezahlung des Restbetrages');
INSERT INTO `lang_definitions` VALUES (21287, 11809, 5, 'Ihr obiger Patient war bei uns in der ambulanten psychiatrischen Klinik für die Begutachtung und Behandlung. Vielen Dank für diese Empfehlung.');
INSERT INTO `lang_definitions` VALUES (21288, 11821, 5, 'Schwäche');
INSERT INTO `lang_definitions` VALUES (21289, 11826, 5, 'Websuche');
INSERT INTO `lang_definitions` VALUES (21290, 11827, 5, 'Webseite');
INSERT INTO `lang_definitions` VALUES (21291, 11828, 5, 'Webadresse für das Patienten Portal.');
INSERT INTO `lang_definitions` VALUES (21292, 11832, 5, 'Mi');
INSERT INTO `lang_definitions` VALUES (21293, 11833, 5, 'Mittwoch');
INSERT INTO `lang_definitions` VALUES (21294, 11834, 5, 'Woche');
INSERT INTO `lang_definitions` VALUES (21295, 11835, 5, 'woche');
INSERT INTO `lang_definitions` VALUES (21296, 11836, 5, 'Wochenansicht');
INSERT INTO `lang_definitions` VALUES (21297, 11837, 5, 'Woche(n)');
INSERT INTO `lang_definitions` VALUES (21298, 11840, 5, 'Wochen');
INSERT INTO `lang_definitions` VALUES (21299, 11841, 5, 'Gewicht');
INSERT INTO `lang_definitions` VALUES (21300, 11842, 5, 'Gewicht Bewertung und Beratung für Kinder und Jugendliche');
INSERT INTO `lang_definitions` VALUES (21301, 11843, 5, 'Gewicht Bewertung und Beratung für Kinder und Jugendliche (CQM)');
INSERT INTO `lang_definitions` VALUES (21302, 11844, 5, 'Gewichtsänderung');
INSERT INTO `lang_definitions` VALUES (21303, 11845, 5, 'Gewichtsverlust');
INSERT INTO `lang_definitions` VALUES (21304, 11846, 5, 'Schlankheitsinstitut');
INSERT INTO `lang_definitions` VALUES (21305, 11847, 5, 'Willkommen');
INSERT INTO `lang_definitions` VALUES (21306, 11862, 5, 'Was ist zu rechnen?');
INSERT INTO `lang_definitions` VALUES (21307, 11864, 5, 'keucht');
INSERT INTO `lang_definitions` VALUES (21308, 11865, 5, 'Keuchen');
INSERT INTO `lang_definitions` VALUES (21309, 11866, 5, 'Keuchen:');
INSERT INTO `lang_definitions` VALUES (21310, 11882, 5, 'Wo können gescannte oder Papier-Dokumente gefunden werden?');
INSERT INTO `lang_definitions` VALUES (21311, 11884, 5, 'ob Versicherte');
INSERT INTO `lang_definitions` VALUES (21312, 11890, 5, 'Schleudertrauma');
INSERT INTO `lang_definitions` VALUES (21313, 11891, 5, 'Weiß');
INSERT INTO `lang_definitions` VALUES (21314, 11894, 5, 'Wer');
INSERT INTO `lang_definitions` VALUES (21315, 11895, 5, 'Wer antwortet?');
INSERT INTO `lang_definitions` VALUES (21316, 11897, 5, 'Verwitwet');
INSERT INTO `lang_definitions` VALUES (21317, 11898, 5, 'Breite');
INSERT INTO `lang_definitions` VALUES (21318, 11900, 5, 'Breite in Pixel der linken Navigationsleiste.');
INSERT INTO `lang_definitions` VALUES (21319, 11908, 5, 'mit alten Namen');
INSERT INTO `lang_definitions` VALUES (21320, 11911, 5, 'An wem können wir eine Nachricht hinterlassen?');
INSERT INTO `lang_definitions` VALUES (21321, 11912, 5, 'Unterdrückt');
INSERT INTO `lang_definitions` VALUES (21322, 11913, 5, 'binnen Stunden');
INSERT INTO `lang_definitions` VALUES (21323, 11914, 5, 'binnen Stunden:');
INSERT INTO `lang_definitions` VALUES (21324, 11915, 5, 'binnen Minuten');
INSERT INTO `lang_definitions` VALUES (21325, 11916, 5, 'binnen Minuten:');
INSERT INTO `lang_definitions` VALUES (21326, 11919, 5, 'Ohne Update');
INSERT INTO `lang_definitions` VALUES (21327, 11920, 5, 'Zeuge');
INSERT INTO `lang_definitions` VALUES (21328, 11924, 5, 'Frau');
INSERT INTO `lang_definitions` VALUES (21329, 11925, 5, 'Nur Frauen');
INSERT INTO `lang_definitions` VALUES (21330, 11927, 5, 'Arbeit');
INSERT INTO `lang_definitions` VALUES (21331, 11928, 5, 'Arbeitsnotiz');
INSERT INTO `lang_definitions` VALUES (21332, 11929, 5, 'Arbeit Telefon');
INSERT INTO `lang_definitions` VALUES (21333, 11930, 5, 'Telefonnummer Arbeit');
INSERT INTO `lang_definitions` VALUES (21334, 11931, 5, 'Arbeitsbezogen?');
INSERT INTO `lang_definitions` VALUES (21335, 11932, 5, 'Arbeit/Ausbildung/Hobbies');
INSERT INTO `lang_definitions` VALUES (21336, 11933, 5, 'Arbeit/Schul Bemerkung');
INSERT INTO `lang_definitions` VALUES (21337, 11934, 5, 'Arbeitstag');
INSERT INTO `lang_definitions` VALUES (21338, 11941, 5, 'Schlimmer');
INSERT INTO `lang_definitions` VALUES (21339, 11943, 5, 'Sollen sie als geklärt gekennzeichnet werden?');
INSERT INTO `lang_definitions` VALUES (21340, 11944, 5, 'Möchten Sie reservieren?');
INSERT INTO `lang_definitions` VALUES (21341, 11947, 5, 'Willst Du Zahlungen löschen?');
INSERT INTO `lang_definitions` VALUES (21342, 11948, 5, 'Willst Du Bezahlungen verändern und beenden?');
INSERT INTO `lang_definitions` VALUES (21343, 11949, 5, 'WIllst Du Bezahlungen verändern?');
INSERT INTO `lang_definitions` VALUES (21344, 11950, 5, 'Willst Du Bezahlungen zuweisen und beenden?');
INSERT INTO `lang_definitions` VALUES (21345, 11951, 5, 'Willst Du Bezahlungen zuweisen?');
INSERT INTO `lang_definitions` VALUES (21346, 11952, 5, 'Willst Du speichern?');
INSERT INTO `lang_definitions` VALUES (21347, 11953, 5, 'Handgelenk');
INSERT INTO `lang_definitions` VALUES (21348, 11954, 5, 'Handgelenk und Hand');
INSERT INTO `lang_definitions` VALUES (21349, 11955, 5, 'Handgelenk Probleme');
INSERT INTO `lang_definitions` VALUES (21350, 11956, 5, 'schreiben');
INSERT INTO `lang_definitions` VALUES (21351, 11958, 5, 'abschreiben');
INSERT INTO `lang_definitions` VALUES (21352, 11963, 5, 'WT');
INSERT INTO `lang_definitions` VALUES (21353, 11966, 5, 'x Abgebrochen');
INSERT INTO `lang_definitions` VALUES (21354, 11967, 5, 'x Abgebrochen');
INSERT INTO `lang_definitions` VALUES (21355, 11969, 5, 'Röntgen');
INSERT INTO `lang_definitions` VALUES (21356, 11970, 5, 'Röntgen-Interpretation:');
INSERT INTO `lang_definitions` VALUES (21357, 11971, 5, 'Röntgen-Interpretation:');
INSERT INTO `lang_definitions` VALUES (21358, 11975, 5, 'Nur X12: Ersatz-Anspruch');
INSERT INTO `lang_definitions` VALUES (21359, 11978, 5, 'X12 Partner');
INSERT INTO `lang_definitions` VALUES (21360, 11979, 5, 'X12 Partner');
INSERT INTO `lang_definitions` VALUES (21361, 11987, 5, 'J');
INSERT INTO `lang_definitions` VALUES (21362, 11988, 5, 'Jahr');
INSERT INTO `lang_definitions` VALUES (21363, 11989, 5, 'Jahr');
INSERT INTO `lang_definitions` VALUES (21364, 11990, 5, 'Jahresansicht');
INSERT INTO `lang_definitions` VALUES (21365, 11991, 5, 'Jahr(e)');
INSERT INTO `lang_definitions` VALUES (21366, 11992, 5, 'Jahre');
INSERT INTO `lang_definitions` VALUES (21367, 11996, 5, 'Ja');
INSERT INTO `lang_definitions` VALUES (21368, 11997, 5, 'JA');
INSERT INTO `lang_definitions` VALUES (21369, 11998, 5, 'ja');
INSERT INTO `lang_definitions` VALUES (21370, 11999, 5, 'JA!');
INSERT INTO `lang_definitions` VALUES (21371, 12000, 5, 'Ja, entfernen und aufzeichnen');
INSERT INTO `lang_definitions` VALUES (21372, 12002, 5, 'Ja/Nein');
INSERT INTO `lang_definitions` VALUES (21373, 12003, 5, 'Ja:');
INSERT INTO `lang_definitions` VALUES (21374, 12004, 5, 'Yiddish');
INSERT INTO `lang_definitions` VALUES (21375, 12008, 5, 'Sie sind dabei die Vorlage dauerhaft zu verändern. Sind Sie sicher, dass Sie den Vorgang fortsetzen?');
INSERT INTO `lang_definitions` VALUES (21376, 12011, 5, 'Du bist in der Grace-Login-Zeit. Ändere Dein Passwort vor dem');
INSERT INTO `lang_definitions` VALUES (21377, 12012, 5, 'Sie sind nicht berechtigt, dieses Ereignis löschen');
INSERT INTO `lang_definitions` VALUES (21378, 12013, 5, 'Sie sind nicht berechtigt, dieses Ereignis zu ändern');
INSERT INTO `lang_definitions` VALUES (21379, 12014, 5, 'Sie haben für das keine Berechtigung.');
INSERT INTO `lang_definitions` VALUES (21380, 12017, 5, 'Sie haben keine Rechte, Problemstellungen zu bearbeiten.');
INSERT INTO `lang_definitions` VALUES (21381, 12018, 5, 'Sie haben keine Rechte, um Termine zu vergeben.');
INSERT INTO `lang_definitions` VALUES (21382, 12019, 5, 'Sie haben keine Rechte, diese Visite einzusehen.');
INSERT INTO `lang_definitions` VALUES (21383, 12021, 5, 'Sie verändern eine alte Visite. Ist das korrekt?');
INSERT INTO `lang_definitions` VALUES (21384, 12038, 5, 'Kein direkter Zugriff auf diese Funktion erlaubt.');
INSERT INTO `lang_definitions` VALUES (21385, 12050, 5, 'Kein direkter Zugriff auf diese Seite erlaubt.');
INSERT INTO `lang_definitions` VALUES (21386, 12051, 5, 'Kategorie darf nicht leer sein!');
INSERT INTO `lang_definitions` VALUES (21387, 12052, 5, 'Unterkategorie darf nicht leer sein!');
INSERT INTO `lang_definitions` VALUES (21388, 12053, 5, 'Item darf nicht leer sein!');
INSERT INTO `lang_definitions` VALUES (21389, 12055, 5, 'Du kannst kein Datum auswählen, das in der Zukunft liegt, wenn der Vollständigkeitsstatus auf Ja gesetzt ist');
INSERT INTO `lang_definitions` VALUES (21390, 12057, 5, 'Du hast keine Aktionen ausgewählt.');
INSERT INTO `lang_definitions` VALUES (21391, 12058, 5, 'Du hast keine Rechte, um diese Notiz zu sehen oder zu bearbeiten');
INSERT INTO `lang_definitions` VALUES (21392, 12061, 5, 'Du versuchst Inhalte zu ändern, die gesperrt sind. Entferne die Sperre, um dies zu tun: Entferne die Zeile \'/*lock::*/\'');
INSERT INTO `lang_definitions` VALUES (21393, 12063, 5, 'Du bist jetzt abgemeldet.');
INSERT INTO `lang_definitions` VALUES (21394, 12074, 5, 'Du kannst .txt-Dateien hochladen');
INSERT INTO `lang_definitions` VALUES (21395, 12076, 5, 'Hier kann Text eingefügt werden, der als Standard-Beschwerde im Formular für eine neue Visite verwendet wird.');
INSERT INTO `lang_definitions` VALUES (21396, 12085, 5, 'Gib ein Passwort ein, um dieses Dokument zu verschlüsseln');
INSERT INTO `lang_definitions` VALUES (21397, 12090, 5, 'Erst Patient wählen oder hinzufügen');
INSERT INTO `lang_definitions` VALUES (21398, 12091, 5, 'Erstelle zuerst eine Visite.');
INSERT INTO `lang_definitions` VALUES (21399, 12092, 5, 'Wähle eine Kategorie für diese Visite');
INSERT INTO `lang_definitions` VALUES (21400, 12093, 5, 'Wähle eine Kategorie für diese Visite.');
INSERT INTO `lang_definitions` VALUES (21401, 12094, 5, 'Felder auswählen, um fortzufahren.');
INSERT INTO `lang_definitions` VALUES (21402, 12106, 5, 'Wähle mindestens einen Kontext');
INSERT INTO `lang_definitions` VALUES (21403, 12107, 5, 'Wähle mindestens einen Provider');
INSERT INTO `lang_definitions` VALUES (21404, 12122, 5, 'Enddatum ungültig');
INSERT INTO `lang_definitions` VALUES (21405, 12123, 5, 'Termin gelöscht');
INSERT INTO `lang_definitions` VALUES (21406, 12124, 5, 'Termin geändert');
INSERT INTO `lang_definitions` VALUES (21407, 12125, 5, 'Termin übertragen');
INSERT INTO `lang_definitions` VALUES (21408, 12127, 5, 'Die Datei ist zu groß');
INSERT INTO `lang_definitions` VALUES (21409, 12132, 5, 'Der Listenname wurde geändert, um den Namensvorschriften zu genügen.');
INSERT INTO `lang_definitions` VALUES (21410, 12134, 5, 'Dein Name für diese Kategorie, dieses Verfahren oder Ergebnis');
INSERT INTO `lang_definitions` VALUES (21411, 12140, 5, 'Passwort läuft ab. Bitte Passwort ändern.');
INSERT INTO `lang_definitions` VALUES (21412, 12141, 5, 'Passwort läuft ab am');
INSERT INTO `lang_definitions` VALUES (21413, 12143, 5, 'Passwort läuft heute ab. Bitte Passwort ändern.');
INSERT INTO `lang_definitions` VALUES (21414, 12146, 5, 'Deine PostCalendar-Konfiguration wurde auf die Standardwerte zurückgesetzt.');
INSERT INTO `lang_definitions` VALUES (21415, 12147, 5, 'Deine PostCalendar-Konfiguration wurde aktualisiert.');
INSERT INTO `lang_definitions` VALUES (21416, 12148, 5, 'Wiederholfrequenz muss Datentyp \"Integer\" sein');
INSERT INTO `lang_definitions` VALUES (21417, 12149, 5, 'Wiederholfrequenz muss größer eins sein.');
INSERT INTO `lang_definitions` VALUES (21418, 12151, 5, 'Startdatum ist größer als Enddatum');
INSERT INTO `lang_definitions` VALUES (21419, 12152, 5, 'Startdatum ist ungültig');
INSERT INTO `lang_definitions` VALUES (21420, 12153, 5, 'Übertragung fehlgeschlagen.');
INSERT INTO `lang_definitions` VALUES (21421, 12156, 5, 'jjjj-mm-tt');
INSERT INTO `lang_definitions` VALUES (21422, 12157, 5, 'JJJJ-MM-DD');
INSERT INTO `lang_definitions` VALUES (21423, 12158, 5, 'jjjj-mm-tt Datum zugehörig zu diesem Dokument');
INSERT INTO `lang_definitions` VALUES (21424, 12159, 5, 'jjjj-mm-tt Datum zerstört');
INSERT INTO `lang_definitions` VALUES (21425, 12160, 5, 'jjjj-mm-tt Geburtstag');
INSERT INTO `lang_definitions` VALUES (21426, 12161, 5, 'jjjj-mm-tt Geburtstag');
INSERT INTO `lang_definitions` VALUES (21427, 12162, 5, 'jjjj-mm-tt Ablaufdatum');
INSERT INTO `lang_definitions` VALUES (21428, 12163, 5, 'jjjj-mm-tt Datum des Ausbruchs der Krankheit oder der Hospitalisierung');
INSERT INTO `lang_definitions` VALUES (21429, 12164, 5, 'jjjj-mm-tt Datum des Ausbruchs der Krankheit, der OP oder Start der Medikation');
INSERT INTO `lang_definitions` VALUES (21430, 12165, 5, 'jjjj-mm-tt Datum des Kaufs oder der Überweisung');
INSERT INTO `lang_definitions` VALUES (21431, 12166, 5, 'jjjj-mm-tt Datum der Genesung oder Ende der Medikation');
INSERT INTO `lang_definitions` VALUES (21432, 12167, 5, 'jjjj-mm-tt Datum der Rückkehr zum Spiel');
INSERT INTO `lang_definitions` VALUES (21433, 12168, 5, 'jjjj-mm-tt Datum der Leistung');
INSERT INTO `lang_definitions` VALUES (21434, 12169, 5, 'jjjj-mm-tt Datum dieses Briefes');
INSERT INTO `lang_definitions` VALUES (21435, 12170, 5, 'jjjj-mm-tt Datum zurückgekehrt zum Spiel');
INSERT INTO `lang_definitions` VALUES (21436, 12171, 5, 'jjjj-mm-tt Dokumentdatum');
INSERT INTO `lang_definitions` VALUES (21437, 12173, 5, 'jjjj-mm-tt Ereignisdatum oder Startdatum');
INSERT INTO `lang_definitions` VALUES (21438, 12178, 5, 'jjjj-mm-tt hh:mm:ss');
INSERT INTO `lang_definitions` VALUES (21439, 12180, 5, 'jjjj-mm-tt letztes Datum dieses Ereignisses');
INSERT INTO `lang_definitions` VALUES (21440, 12186, 5, 'Null');
INSERT INTO `lang_definitions` VALUES (21441, 12188, 5, 'PLZ');
INSERT INTO `lang_definitions` VALUES (21442, 12189, 5, 'PLZ');
INSERT INTO `lang_definitions` VALUES (21443, 12191, 5, 'PLZ/Land');
INSERT INTO `lang_definitions` VALUES (21444, 12196, 5, 'Zulu');
INSERT INTO `lang_definitions` VALUES (21445, 12197, 5, 'but aber es war');
INSERT INTO `lang_definitions` VALUES (21446, 12198, 5, 'nicht zugegriffen');
INSERT INTO `lang_definitions` VALUES (21447, 12199, 5, 'wollen Sie wirklich löschen');
INSERT INTO `lang_definitions` VALUES (21448, 12200, 5, 'Medikament');
INSERT INTO `lang_definitions` VALUES (21449, 12201, 5, 'emails nicht versendet');
INSERT INTO `lang_definitions` VALUES (21450, 12202, 5, 'von');
INSERT INTO `lang_definitions` VALUES (21451, 12203, 5, 'wurde erzeugt.');
INSERT INTO `lang_definitions` VALUES (21452, 12204, 5, 'wurde wieder geöffnet.');
INSERT INTO `lang_definitions` VALUES (21453, 12205, 5, 'Geschichte');
INSERT INTO `lang_definitions` VALUES (21454, 12206, 5, 'ist keine Nummer');
INSERT INTO `lang_definitions` VALUES (21455, 12207, 5, 'bereit zur Wiederberechnung');
INSERT INTO `lang_definitions` VALUES (21456, 12208, 5, 'LLL:');
INSERT INTO `lang_definitions` VALUES (21457, 12209, 5, 'Los');
INSERT INTO `lang_definitions` VALUES (21458, 12211, 5, 'min');
INSERT INTO `lang_definitions` VALUES (21459, 12212, 5, 'nicht gefunden');
INSERT INTO `lang_definitions` VALUES (21460, 12214, 5, 'Verschreibung hat Grenze erreicht von');
INSERT INTO `lang_definitions` VALUES (21461, 12215, 5, 'bis');
INSERT INTO `lang_definitions` VALUES (21462, 12216, 5, 'aktualisieren fehlgeschlagen, nicht in Datenbank?');
INSERT INTO `lang_definitions` VALUES (21463, 12217, 5, 'wurde als \"nur abgerechnet\" markiert.');
INSERT INTO `lang_definitions` VALUES (21464, 12218, 5, 'wurde erfolgreich eingereiht.');
INSERT INTO `lang_definitions` VALUES (21465, 12219, 5, '! Gegangen ohne Visite');
INSERT INTO `lang_definitions` VALUES (21466, 12220, 5, '\" für Code');
INSERT INTO `lang_definitions` VALUES (21467, 12222, 5, '# Versicherungs-/Finanzierungsproblem');
INSERT INTO `lang_definitions` VALUES (21468, 12223, 5, 'Anzahl Tabletten');
INSERT INTO `lang_definitions` VALUES (21469, 12224, 5, '$');
INSERT INTO `lang_definitions` VALUES (21470, 12225, 5, '$ Kodierung fertig');
INSERT INTO `lang_definitions` VALUES (21471, 12226, 5, '$label (jjjj-mm-tt)');
INSERT INTO `lang_definitions` VALUES (21472, 12227, 5, '%');
INSERT INTO `lang_definitions` VALUES (21473, 12228, 5, '% Abgesagt < 24h');
INSERT INTO `lang_definitions` VALUES (21474, 12229, 5, '% Abgesagt < 24h');
INSERT INTO `lang_definitions` VALUES (21475, 12230, 5, 'sollte vorhanden sein, ist es aber nicht');
INSERT INTO `lang_definitions` VALUES (21476, 12231, 5, '(% steht für mehrere beliebige Zeichen, _ für genau ein beliebiges Zeichen)');
INSERT INTO `lang_definitions` VALUES (21477, 12232, 5, '([Ctrl] + Klick, um mehrere Empfänger auszuwählen)');
INSERT INTO `lang_definitions` VALUES (21478, 12233, 5, '(Zurück)');
INSERT INTO `lang_definitions` VALUES (21479, 12234, 5, '(Klicken zum Editieren)');
INSERT INTO `lang_definitions` VALUES (21480, 12235, 5, '(E-Mail wird unverzüglich zugestellt, VOIP wird dem Service Provider übermittelt zur weiteren Bearbeitung)');
INSERT INTO `lang_definitions` VALUES (21481, 12236, 5, '(Mehr)');
INSERT INTO `lang_definitions` VALUES (21482, 12237, 5, '(Neuer Patient)');
INSERT INTO `lang_definitions` VALUES (21483, 12238, 5, '(Notizen und Genehmigungen)');
INSERT INTO `lang_definitions` VALUES (21484, 12239, 5, '(Patientennotizen)');
INSERT INTO `lang_definitions` VALUES (21485, 12240, 5, '(Wähle einen von diesen, oder schreibe einen eigenen Titel)');
INSERT INTO `lang_definitions` VALUES (21486, 12241, 5, '(Shift-)Klick oder ziehen um Wert zu ändern');
INSERT INTO `lang_definitions` VALUES (21487, 12242, 5, '* Erinnerung erfolgt');
INSERT INTO `lang_definitions` VALUES (21488, 12243, 5, '** Bitte Operationen in Probleme verschieben!');
INSERT INTO `lang_definitions` VALUES (21489, 12244, 5, '* Benötigt');
INSERT INTO `lang_definitions` VALUES (21490, 12245, 5, '+ Karte rausgesucht');
INSERT INTO `lang_definitions` VALUES (21491, 12249, 5, '- kein');
INSERT INTO `lang_definitions` VALUES (21492, 12251, 5, '-- Alle --');
INSERT INTO `lang_definitions` VALUES (21493, 12252, 5, '-- Rolle auswählen --');
INSERT INTO `lang_definitions` VALUES (21494, 12253, 5, '.');
INSERT INTO `lang_definitions` VALUES (21495, 12254, 5, '0');
INSERT INTO `lang_definitions` VALUES (21496, 12255, 5, '0-10');
INSERT INTO `lang_definitions` VALUES (21497, 12256, 5, '0-24');
INSERT INTO `lang_definitions` VALUES (21498, 12259, 5, '1');
INSERT INTO `lang_definitions` VALUES (21499, 12260, 5, '1 = Nord Amerika. Siehe http://www.wtng.info/ für eine Liste anderer Ländercodes.');
INSERT INTO `lang_definitions` VALUES (21500, 12261, 5, '1 Tag ab jetzt');
INSERT INTO `lang_definitions` VALUES (21501, 12262, 5, '1 Monat ab jetzt');
INSERT INTO `lang_definitions` VALUES (21502, 12263, 5, '1 Woche ab jetzt');
INSERT INTO `lang_definitions` VALUES (21503, 12264, 5, '1 Jahr ab jetzt');
INSERT INTO `lang_definitions` VALUES (21504, 12266, 5, '11-14');
INSERT INTO `lang_definitions` VALUES (21505, 12267, 5, '12 h');
INSERT INTO `lang_definitions` VALUES (21506, 12268, 5, '15-19');
INSERT INTO `lang_definitions` VALUES (21507, 12270, 5, '1');
INSERT INTO `lang_definitions` VALUES (21508, 12272, 5, '2');
INSERT INTO `lang_definitions` VALUES (21509, 12273, 5, '2 Tage ab jetzt');
INSERT INTO `lang_definitions` VALUES (21510, 12274, 5, '2 Monate ab jetzt');
INSERT INTO `lang_definitions` VALUES (21511, 12275, 5, '2 Wochen ab jetzt');
INSERT INTO `lang_definitions` VALUES (21512, 12276, 5, '2 Jahre ab jetzt');
INSERT INTO `lang_definitions` VALUES (21513, 12278, 5, '20-24');
INSERT INTO `lang_definitions` VALUES (21514, 12287, 5, '2111-13');
INSERT INTO `lang_definitions` VALUES (21515, 12288, 5, '24 h');
INSERT INTO `lang_definitions` VALUES (21516, 12289, 5, '25+');
INSERT INTO `lang_definitions` VALUES (21517, 12290, 5, '25-29');
INSERT INTO `lang_definitions` VALUES (21518, 12293, 5, '2');
INSERT INTO `lang_definitions` VALUES (21519, 12296, 5, '3 Tage ab jetzt');
INSERT INTO `lang_definitions` VALUES (21520, 12297, 5, '3 Monate');
INSERT INTO `lang_definitions` VALUES (21521, 12298, 5, '3 Monate ab jetzt');
INSERT INTO `lang_definitions` VALUES (21522, 12299, 5, '3 mal täglich');
INSERT INTO `lang_definitions` VALUES (21523, 12300, 5, '3 Wochen ab jetzt');
INSERT INTO `lang_definitions` VALUES (21524, 12301, 5, '30-34');
INSERT INTO `lang_definitions` VALUES (21525, 12302, 5, '35-39');
INSERT INTO `lang_definitions` VALUES (21526, 12304, 5, '3');
INSERT INTO `lang_definitions` VALUES (21527, 12307, 5, '4 Tage ab jetzt');
INSERT INTO `lang_definitions` VALUES (21528, 12308, 5, '4 Monate');
INSERT INTO `lang_definitions` VALUES (21529, 12309, 5, '4 Monate ab jetzt');
INSERT INTO `lang_definitions` VALUES (21530, 12310, 5, '4 mal täglich');
INSERT INTO `lang_definitions` VALUES (21531, 12311, 5, '4 Wochen ab jetzt');
INSERT INTO `lang_definitions` VALUES (21532, 12312, 5, '40-44');
INSERT INTO `lang_definitions` VALUES (21533, 12313, 5, '45+');
INSERT INTO `lang_definitions` VALUES (21534, 12314, 5, '465.9, URI');
INSERT INTO `lang_definitions` VALUES (21535, 12315, 5, '466.0, Bronchitis, Akut (oNA)');
INSERT INTO `lang_definitions` VALUES (21536, 12316, 5, '486.0. Pneumonie, Akut');
INSERT INTO `lang_definitions` VALUES (21537, 12317, 5, '491.21, COPD Exacerbation');
INSERT INTO `lang_definitions` VALUES (21538, 12318, 5, '491.8, Chronische Bronchitis');
INSERT INTO `lang_definitions` VALUES (21539, 12319, 5, '493.92, Asthma, akut exacerb.');
INSERT INTO `lang_definitions` VALUES (21540, 12320, 5, '496.0, COPD');
INSERT INTO `lang_definitions` VALUES (21541, 12323, 5, '4');
INSERT INTO `lang_definitions` VALUES (21542, 12326, 5, '5 Tage ab jetzt');
INSERT INTO `lang_definitions` VALUES (21543, 12327, 5, '5 Monate ab jetzt');
INSERT INTO `lang_definitions` VALUES (21544, 12328, 5, '5 Wochen ab jetzt');
INSERT INTO `lang_definitions` VALUES (21545, 12329, 5, '519.7, Bronchospasmus');
INSERT INTO `lang_definitions` VALUES (21546, 12331, 5, '5');
INSERT INTO `lang_definitions` VALUES (21547, 12333, 5, '6 Tage ab jetzt');
INSERT INTO `lang_definitions` VALUES (21548, 12334, 5, '6 Monate');
INSERT INTO `lang_definitions` VALUES (21549, 12335, 5, '6 Monate ab jetzt');
INSERT INTO `lang_definitions` VALUES (21550, 12336, 5, '6 Wochen ab jetzt');
INSERT INTO `lang_definitions` VALUES (21551, 12337, 5, '6te');
INSERT INTO `lang_definitions` VALUES (21552, 12339, 5, '7 Monate ab jetzt');
INSERT INTO `lang_definitions` VALUES (21553, 12340, 5, '8 Monate ab jetzt');
INSERT INTO `lang_definitions` VALUES (21554, 12342, 5, '824.0 Fraktur, med. malleolus, geschlossen');
INSERT INTO `lang_definitions` VALUES (21555, 12343, 5, '824.2 Fraktur, lat. malleolus, geschlossen');
INSERT INTO `lang_definitions` VALUES (21556, 12344, 5, '824.6 Fraktur, trimalleolär, geschlossen');
INSERT INTO `lang_definitions` VALUES (21557, 12345, 5, '825.32 Fraktur, os navikulare (Sprunggelenk)');
INSERT INTO `lang_definitions` VALUES (21558, 12346, 5, '825.35 Fraktur, Basis fünfte (5.) Metatarsale');
INSERT INTO `lang_definitions` VALUES (21559, 12347, 5, '845.0 Verstauchung Sprunggelenk (oNA)');
INSERT INTO `lang_definitions` VALUES (21560, 12348, 5, '845.01 Verstauchung mediales (deltoid) Lig.');
INSERT INTO `lang_definitions` VALUES (21561, 12349, 5, '845.02 Verstauchung calcaneal fibular');
INSERT INTO `lang_definitions` VALUES (21562, 12350, 5, '9 Monate ab jetzt');
INSERT INTO `lang_definitions` VALUES (21563, 12351, 5, '99212 festgestellt - unkompliziert');
INSERT INTO `lang_definitions` VALUES (21564, 12352, 5, '99213 festgestellt - leicht kompliziert');
INSERT INTO `lang_definitions` VALUES (21565, 12353, 5, '< Im Untersuchungsraum');
INSERT INTO `lang_definitions` VALUES (21566, 12357, 5, '> Gegangen');
INSERT INTO `lang_definitions` VALUES (21567, 12359, 5, '?');
INSERT INTO `lang_definitions` VALUES (21568, 12361, 5, '? Nicht erschienen');
INSERT INTO `lang_definitions` VALUES (21569, 12362, 5, '@ Angekommen');
INSERT INTO `lang_definitions` VALUES (21570, 12364, 5, '[Ansicht ändern]');
INSERT INTO `lang_definitions` VALUES (21571, 12365, 5, '[Tag des letzten Termins]');
INSERT INTO `lang_definitions` VALUES (21572, 12366, 5, '[Tage seit letztem Termin]');
INSERT INTO `lang_definitions` VALUES (21573, 12367, 5, '[EOBs]');
INSERT INTO `lang_definitions` VALUES (21574, 12368, 5, '[Export OFX]');
INSERT INTO `lang_definitions` VALUES (21575, 12369, 5, '[nicht empfohlen]');
INSERT INTO `lang_definitions` VALUES (21576, 12370, 5, '[Anzahl Fälle]');
INSERT INTO `lang_definitions` VALUES (21577, 12371, 5, '[Berichte]');
INSERT INTO `lang_definitions` VALUES (21578, 12372, 5, '[Alles auswählen]');
INSERT INTO `lang_definitions` VALUES (21579, 12373, 5, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (21580, 12374, 5, '[Starten der Batch-Bearbeitung]');
INSERT INTO `lang_definitions` VALUES (21581, 12375, 5, '[Log anzeigen]');
INSERT INTO `lang_definitions` VALUES (21582, 12376, 5, '[Druckbaren Bericht anzeigen]');
INSERT INTO `lang_definitions` VALUES (21583, 12378, 5, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (21584, 12379, 5, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (21585, 12380, 5, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (21586, 12381, 5, '~ Zu spät gekommen');
INSERT INTO `lang_definitions` VALUES (21587, 1, 6, 'A');
INSERT INTO `lang_definitions` VALUES (21588, 2, 6, 'Chequenummer of claimnummer om betaling te identificeren');
INSERT INTO `lang_definitions` VALUES (21589, 3, 6, 'Selecteer claim om menu te activeren');
INSERT INTO `lang_definitions` VALUES (21590, 4, 6, 'Een certificaat voor de ADMIN gebruiker');
INSERT INTO `lang_definitions` VALUES (21591, 6, 6, 'Klinisch document is bijgevoegd');
INSERT INTO `lang_definitions` VALUES (21592, 7, 6, 'Klinisch document is bijgevoegd.');
INSERT INTO `lang_definitions` VALUES (21593, 8, 6, 'Een code van dit type is al gekozen. Verwijder eerst het veld, als je deze wilt vervangen.');
INSERT INTO `lang_definitions` VALUES (21594, 13, 6, 'Hiervoor is een distributeur nodig');
INSERT INTO `lang_definitions` VALUES (21595, 17, 6, 'Een CGAC visite formulier hoort bij dit bezoek.');
INSERT INTO `lang_definitions` VALUES (21596, 19, 6, 'Een grote applicatie zoals openEMR die wordt gebruikt door een groot aantal USERS met verschillende rollen en verantwoordelijkheden. Dan is het is noodzakelijk dat de toegang tot de verschillende delen van het programma wordt verleend aan gebruikers op basis van noodzakelijke wensen. Om dit te bereiken, wordt ACL gebruikt.');
INSERT INTO `lang_definitions` VALUES (21597, 20, 6, 'Een lot # is vereist');
INSERT INTO `lang_definitions` VALUES (21598, 21, 6, 'Een lot # is vereist!');
INSERT INTO `lang_definitions` VALUES (21599, 22, 6, 'Kleine letter');
INSERT INTO `lang_definitions` VALUES (21600, 23, 6, 'Een Nieuwe Afspraak');
INSERT INTO `lang_definitions` VALUES (21601, 27, 6, 'Een nieuw sub-tab menu verschijnt bovenaan op de Message Center Page');
INSERT INTO `lang_definitions` VALUES (21602, 28, 6, 'Numeriek');
INSERT INTO `lang_definitions` VALUES (21603, 29, 6, 'Eerst een PT selecteren om dit rapport te maken');
INSERT INTO `lang_definitions` VALUES (21604, 30, 6, 'Een client met deze ID is al geregistreed');
INSERT INTO `lang_definitions` VALUES (21605, 31, 6, 'Een client met deze naam bestaat al');
INSERT INTO `lang_definitions` VALUES (21606, 32, 6, 'Een client met deze Soc.Sec. bestaat al.');
INSERT INTO `lang_definitions` VALUES (21607, 33, 6, 'Betaling is noodakelijk! Input van een line item is gewenst.');
INSERT INTO `lang_definitions` VALUES (21608, 36, 6, 'Een positief getal toont de eerdere afspraken op een Widget in het patiëntenoverzicht. (een negatief getal geeft de afgelopen afspraken in aflopende volgorde weer)');
INSERT INTO `lang_definitions` VALUES (21609, 37, 6, 'Een positief nummer geeft aan dat er afspraken in verleden geweest zijn in het WIDGET-scherm van de patient');
INSERT INTO `lang_definitions` VALUES (21610, 38, 6, 'Er is een product geselecteerd, maar er is geen product sctie voor dit  formulier');
INSERT INTO `lang_definitions` VALUES (21611, 43, 6, 'Aanmaken van verwijs bron kan bij ieder bezoek');
INSERT INTO `lang_definitions` VALUES (21612, 44, 6, 'Een overeenkomstige IPPF code is noodzakelijk!');
INSERT INTO `lang_definitions` VALUES (21613, 46, 6, 'Een korte beschrijving van deze groep. Deze wordt weergegeven wanneer u de muisaanwijzer plaatst boven de nieuw gemaakte groep (ARO).');
INSERT INTO `lang_definitions` VALUES (21614, 49, 6, 'Een speciaal karakter');
INSERT INTO `lang_definitions` VALUES (21615, 53, 6, 'Een unieke waarde om dit veld te identificeren, onzichtbaar voor de gebruiker');
INSERT INTO `lang_definitions` VALUES (21616, 55, 6, 'Er bestaat vandaag al een bezoek voor deze groep. Klik op Cancel om deze te openen of op OK om verder te gaan met het maken van een nieuwe.');
INSERT INTO `lang_definitions` VALUES (21617, 56, 6, 'Vandaag werd al een bezoek geregitreerd voor deze client. Klik op Cancel om het te openen, of op OK om een nieuwe aan te maken.');
INSERT INTO `lang_definitions` VALUES (21618, 57, 6, 'voor ontbijt');
INSERT INTO `lang_definitions` VALUES (21619, 58, 6, 'in de morgen');
INSERT INTO `lang_definitions` VALUES (21620, 59, 6, 'A/C{{voorste oogkamer}}');
INSERT INTO `lang_definitions` VALUES (21621, 60, 6, 'A/F Niveau rechts:');
INSERT INTO `lang_definitions` VALUES (21622, 62, 6, 'AB');
INSERT INTO `lang_definitions` VALUES (21623, 63, 6, 'Afkorting');
INSERT INTO `lang_definitions` VALUES (21624, 64, 6, 'Abces:');
INSERT INTO `lang_definitions` VALUES (21625, 65, 6, 'Abdominaal');
INSERT INTO `lang_definitions` VALUES (21626, 66, 6, 'Vier stappenplan voor toename gewichtsbelasting:');
INSERT INTO `lang_definitions` VALUES (21627, 67, 6, 'Abn');
INSERT INTO `lang_definitions` VALUES (21628, 68, 6, 'Abn.1');
INSERT INTO `lang_definitions` VALUES (21629, 70, 6, 'Abnormaal');
INSERT INTO `lang_definitions` VALUES (21630, 71, 6, 'Abnormale bloedtest');
INSERT INTO `lang_definitions` VALUES (21631, 72, 6, 'Abnormale haargroei');
INSERT INTO `lang_definitions` VALUES (21632, 73, 6, 'Abnormaal mammogram');
INSERT INTO `lang_definitions` VALUES (21633, 74, 6, 'Afbreken');
INSERT INTO `lang_definitions` VALUES (21634, 75, 6, 'Abortus');
INSERT INTO `lang_definitions` VALUES (21635, 76, 6, 'Abortusproblematiek');
INSERT INTO `lang_definitions` VALUES (21636, 77, 6, 'Abortus methode');
INSERT INTO `lang_definitions` VALUES (21637, 78, 6, 'Abortus gerelateerde categorieen');
INSERT INTO `lang_definitions` VALUES (21638, 79, 6, 'Abortussen');
INSERT INTO `lang_definitions` VALUES (21639, 80, 6, 'Gaat over');
INSERT INTO `lang_definitions` VALUES (21640, 81, 6, 'Over het Portaal overzicht');
INSERT INTO `lang_definitions` VALUES (21641, 82, 6, 'Over de kalender');
INSERT INTO `lang_definitions` VALUES (21642, 83, 6, 'Over Uw Portaal');
INSERT INTO `lang_definitions` VALUES (21643, 84, 6, 'Boven de bovenste paniek grenzen');
INSERT INTO `lang_definitions` VALUES (21644, 85, 6, 'Diagnose met absences');
INSERT INTO `lang_definitions` VALUES (21645, 86, 6, 'Accpeteren');
INSERT INTO `lang_definitions` VALUES (21646, 87, 6, 'Aanstelling accepteren');
INSERT INTO `lang_definitions` VALUES (21647, 89, 6, 'Accepteer betaling voor');
INSERT INTO `lang_definitions` VALUES (21648, 90, 6, 'Accepteer betaling voor');
INSERT INTO `lang_definitions` VALUES (21649, 91, 6, 'Accepteert opdracht');
INSERT INTO `lang_definitions` VALUES (21650, 93, 6, 'Bevoegd als');
INSERT INTO `lang_definitions` VALUES (21651, 94, 6, 'Toegangscontrolelijsten administratie');
INSERT INTO `lang_definitions` VALUES (21652, 95, 6, 'Toegangscontrolelijst hulp');
INSERT INTO `lang_definitions` VALUES (21653, 96, 6, 'Toegangscontrolelijsten');
INSERT INTO `lang_definitions` VALUES (21654, 98, 6, 'Datum van toegang');
INSERT INTO `lang_definitions` VALUES (21655, 99, 6, 'Toegang afgewezen');
INSERT INTO `lang_definitions` VALUES (21656, 100, 6, 'Toegang wordt daarna selectief toegewezen voor delen van het programma pbasis van wenselijkheid.');
INSERT INTO `lang_definitions` VALUES (21657, 101, 6, 'toegang niet verstrekt');
INSERT INTO `lang_definitions` VALUES (21658, 102, 6, 'Toegang niet verstrekt');
INSERT INTO `lang_definitions` VALUES (21659, 103, 6, 'Toegang niet geautoriseerd');
INSERT INTO `lang_definitions` VALUES (21660, 104, 6, 'Uw medische registraties inzien');
INSERT INTO `lang_definitions` VALUES (21661, 105, 6, 'Naar eigen Patienten toegang');
INSERT INTO `lang_definitions` VALUES (21662, 106, 6, 'Ongeval');
INSERT INTO `lang_definitions` VALUES (21663, 107, 6, 'Rekening');
INSERT INTO `lang_definitions` VALUES (21664, 109, 6, 'Account Id afgegeven voor NewCrop eRxservice, wordt gebruikt om multi-faciliteit accounts te onderscheiden');
INSERT INTO `lang_definitions` VALUES (21665, 110, 6, 'Account ID afgegeven voor eRx service');
INSERT INTO `lang_definitions` VALUES (21666, 111, 6, 'Account ID afgegeven voor  Uw clinische eRx service');
INSERT INTO `lang_definitions` VALUES (21667, 112, 6, 'Account is gevalideerd. Nieuwe gegevens toezenden?');
INSERT INTO `lang_definitions` VALUES (21668, 113, 6, 'Account naam');
INSERT INTO `lang_definitions` VALUES (21669, 114, 6, 'Account Name afgegeven voor newCrop eRx service.');
INSERT INTO `lang_definitions` VALUES (21670, 115, 6, 'Account Name afgegeven voor NewCrop eRx service.');
INSERT INTO `lang_definitions` VALUES (21671, 117, 6, 'Boekhouding');
INSERT INTO `lang_definitions` VALUES (21672, 118, 6, 'Boekhouding (acct)');
INSERT INTO `lang_definitions` VALUES (21673, 119, 6, 'Boekhoudingen');
INSERT INTO `lang_definitions` VALUES (21674, 120, 6, 'Acct');
INSERT INTO `lang_definitions` VALUES (21675, 121, 6, 'ACD{{voorste kamer diepte}}');
INSERT INTO `lang_definitions` VALUES (21676, 122, 6, 'Pijn');
INSERT INTO `lang_definitions` VALUES (21677, 123, 6, 'Bevestig mijn Electronische handtekening');
INSERT INTO `lang_definitions` VALUES (21678, 124, 6, 'Medewerking gevraagd (ISA14)');
INSERT INTO `lang_definitions` VALUES (21679, 125, 6, 'Medewerkers, Licensie, Certificering');
INSERT INTO `lang_definitions` VALUES (21680, 126, 6, 'ACL9');
INSERT INTO `lang_definitions` VALUES (21681, 127, 6, 'ACL administratie');
INSERT INTO `lang_definitions` VALUES (21682, 128, 6, 'Administratie (acl)');
INSERT INTO `lang_definitions` VALUES (21683, 129, 6, 'ACL administratie. Niet toegestaan');
INSERT INTO `lang_definitions` VALUES (21684, 131, 6, 'ACL zeer nauwkeurige controle');
INSERT INTO `lang_definitions` VALUES (21685, 132, 6, 'ACL Met succes vernieuwd');
INSERT INTO `lang_definitions` VALUES (21686, 133, 6, 'Acne');
INSERT INTO `lang_definitions` VALUES (21687, 134, 6, 'ACO');
INSERT INTO `lang_definitions` VALUES (21688, 135, 6, 'ACOM{{voorste segment}}');
INSERT INTO `lang_definitions` VALUES (21689, 136, 6, 'Act');
INSERT INTO `lang_definitions` VALUES (21690, 137, 6, 'Act datum');
INSERT INTO `lang_definitions` VALUES (21691, 138, 6, 'Actie');
INSERT INTO `lang_definitions` VALUES (21692, 139, 6, 'AActie ondernomen');
INSERT INTO `lang_definitions` VALUES (21693, 140, 6, 'Actie ondernomen )tijd)');
INSERT INTO `lang_definitions` VALUES (21694, 141, 6, 'Actie  (gebruiker)');
INSERT INTO `lang_definitions` VALUES (21695, 142, 6, 'Acties');
INSERT INTO `lang_definitions` VALUES (21696, 143, 6, 'Activeren');
INSERT INTO `lang_definitions` VALUES (21697, 144, 6, 'Activeren van CCR/CCD rapportage');
INSERT INTO `lang_definitions` VALUES (21698, 145, 6, 'Sorteer kolom activeren oplopend');
INSERT INTO `lang_definitions` VALUES (21699, 146, 6, 'Sorteer kolom actieveren aflopend');
INSERT INTO `lang_definitions` VALUES (21700, 147, 6, 'Activeer UB04/8371 claim ondersteuning');
INSERT INTO `lang_definitions` VALUES (21701, 148, 6, 'Actief');
INSERT INTO `lang_definitions` VALUES (21702, 150, 6, 'Actief alarm');
INSERT INTO `lang_definitions` VALUES (21703, 152, 6, 'Regels voor actief alarm');
INSERT INTO `lang_definitions` VALUES (21704, 153, 6, 'Actieve Alertering/Herinneringen');
INSERT INTO `lang_definitions` VALUES (21705, 154, 6, 'Actieve kaart');
INSERT INTO `lang_definitions` VALUES (21706, 155, 6, 'Actieve Directory -Domein basis');
INSERT INTO `lang_definitions` VALUES (21707, 156, 6, 'Actieve Directory -Domein controlers');
INSERT INTO `lang_definitions` VALUES (21708, 157, 6, 'Actieve Directory -Extensie van de account');
INSERT INTO `lang_definitions` VALUES (21709, 158, 6, 'Huidige bezoek');
INSERT INTO `lang_definitions` VALUES (21710, 159, 6, 'Actieve Issue Codes');
INSERT INTO `lang_definitions` VALUES (21711, 160, 6, 'Actieve lijst');
INSERT INTO `lang_definitions` VALUES (21712, 161, 6, 'Actieve berichten');
INSERT INTO `lang_definitions` VALUES (21713, 162, 6, 'Client in focus:');
INSERT INTO `lang_definitions` VALUES (21714, 163, 6, 'Actieve plannen');
INSERT INTO `lang_definitions` VALUES (21715, 164, 6, 'Actieve Templates');
INSERT INTO `lang_definitions` VALUES (21716, 173, 6, 'Activiteit');
INSERT INTO `lang_definitions` VALUES (21717, 174, 6, 'Soort activiteit');
INSERT INTO `lang_definitions` VALUES (21718, 175, 6, 'Actuele Receipts');
INSERT INTO `lang_definitions` VALUES (21719, 176, 6, 'Scherpte');
INSERT INTO `lang_definitions` VALUES (21720, 177, 6, 'Scherpte');
INSERT INTO `lang_definitions` VALUES (21721, 178, 6, 'Scherpte met autorefractie');
INSERT INTO `lang_definitions` VALUES (21722, 179, 6, 'Scherpte met contact lenzen');
INSERT INTO `lang_definitions` VALUES (21723, 180, 6, 'Scherpte met correctie');
INSERT INTO `lang_definitions` VALUES (21724, 181, 6, 'Scherpte met cycloplegische Refractie');
INSERT INTO `lang_definitions` VALUES (21725, 182, 6, 'Scherpte met duideljkerefractie');
INSERT INTO `lang_definitions` VALUES (21726, 183, 6, 'Scherpte met pinhole');
INSERT INTO `lang_definitions` VALUES (21727, 184, 6, 'Scherpte zonder correctie');
INSERT INTO `lang_definitions` VALUES (21728, 185, 6, 'Acute vergiftiging/onttrekkings Sx');
INSERT INTO `lang_definitions` VALUES (21729, 186, 6, 'Acute manifestatie van een chronische conditie');
INSERT INTO `lang_definitions` VALUES (21730, 187, 6, 'Acuut op chronisch beloop');
INSERT INTO `lang_definitions` VALUES (21731, 188, 6, 'Maak Reviewed');
INSERT INTO `lang_definitions` VALUES (21732, 189, 6, 'Erbij');
INSERT INTO `lang_definitions` VALUES (21733, 190, 6, 'erbij');
INSERT INTO `lang_definitions` VALUES (21734, 191, 6, 'ERBIJ');
INSERT INTO `lang_definitions` VALUES (21735, 192, 6, 'Bedrijf toevoegen');
INSERT INTO `lang_definitions` VALUES (21736, 193, 6, 'Aandoening toevoegen');
INSERT INTO `lang_definitions` VALUES (21737, 195, 6, 'Nieuwe herhalings oproep toevoegen');
INSERT INTO `lang_definitions` VALUES (21738, 197, 6, 'Apotheek toevoegen');
INSERT INTO `lang_definitions` VALUES (21739, 199, 6, 'Alle regels toevoegen voor plan');
INSERT INTO `lang_definitions` VALUES (21740, 200, 6, 'gebeurtenis toevoegen voor');
INSERT INTO `lang_definitions` VALUES (21741, 202, 6, 'Bewaar als nieuwe notitie');
INSERT INTO `lang_definitions` VALUES (21742, 203, 6, 'Bewaar als nieuw');
INSERT INTO `lang_definitions` VALUES (21743, 204, 6, 'Maak alsnieuwe patiënt aan');
INSERT INTO `lang_definitions` VALUES (21744, 205, 6, 'Maak een onderzijde kantlijn regel');
INSERT INTO `lang_definitions` VALUES (21745, 206, 6, 'Knoppen toevoegen');
INSERT INTO `lang_definitions` VALUES (21746, 207, 6, 'Knoppen toevoegen voor Speciale karakters om aan bovenzijde van de Editor te tonen om bij de tekst te voegen dmv Click');
INSERT INTO `lang_definitions` VALUES (21747, 208, 6, 'Categorie toevoegen');
INSERT INTO `lang_definitions` VALUES (21748, 209, 6, 'Constante toevoegen');
INSERT INTO `lang_definitions` VALUES (21749, 210, 6, 'Contekst toevoegen');
INSERT INTO `lang_definitions` VALUES (21750, 211, 6, 'Eigen bijdrage toevoegen');
INSERT INTO `lang_definitions` VALUES (21751, 212, 6, 'Criterium toevoegen');
INSERT INTO `lang_definitions` VALUES (21752, 213, 6, 'Custom knop toevoegen');
INSERT INTO `lang_definitions` VALUES (21753, 214, 6, 'Maak een onderzijde kantlijn regel');
INSERT INTO `lang_definitions` VALUES (21754, 215, 6, 'Voeg gewenste voorkeuren door items te schuiven (ACO\'s) van de \"Inactieve\" kolom naar de \"Actieve\" kolom');
INSERT INTO `lang_definitions` VALUES (21755, 216, 6, 'Dx toevoegen');
INSERT INTO `lang_definitions` VALUES (21756, 217, 6, 'Rx toevoegen');
INSERT INTO `lang_definitions` VALUES (21757, 219, 6, 'Envounter toevoegen');
INSERT INTO `lang_definitions` VALUES (21758, 220, 6, 'Contact toevoegen');
INSERT INTO `lang_definitions` VALUES (21759, 221, 6, 'Toevoegen van bezoek notities');
INSERT INTO `lang_definitions` VALUES (21760, 222, 6, 'Locatie toevoegen');
INSERT INTO `lang_definitions` VALUES (21761, 223, 6, 'Veld toevoegen');
INSERT INTO `lang_definitions` VALUES (21762, 224, 6, 'Voeg de volgende regels toe aan het Apache-configuratiebestand');
INSERT INTO `lang_definitions` VALUES (21763, 225, 6, 'Groep toevoegen');
INSERT INTO `lang_definitions` VALUES (21764, 226, 6, 'Groep toevoegen');
INSERT INTO `lang_definitions` VALUES (21765, 227, 6, 'ICD Code toevoegen');
INSERT INTO `lang_definitions` VALUES (21766, 228, 6, 'Vaccinatie toevoegen');
INSERT INTO `lang_definitions` VALUES (21767, 229, 6, 'Toevoegen niet geautoriseerd');
INSERT INTO `lang_definitions` VALUES (21768, 230, 6, 'Probleem toevoegen');
INSERT INTO `lang_definitions` VALUES (21769, 231, 6, 'Item toevoegen om te vervolgen');
INSERT INTO `lang_definitions` VALUES (21770, 232, 6, 'Taal toevoegen');
INSERT INTO `lang_definitions` VALUES (21771, 234, 6, 'Handmatig toevoegen');
INSERT INTO `lang_definitions` VALUES (21772, 236, 6, 'Modifiers toevoegen voor dit veld type. Er kunnen meer dan 1 gekozen worden.');
INSERT INTO `lang_definitions` VALUES (21773, 237, 6, 'Meer items toevoegen');
INSERT INTO `lang_definitions` VALUES (21774, 238, 6, 'Nieuwe toevoegen');
INSERT INTO `lang_definitions` VALUES (21775, 239, 6, 'Nieuwe toevoegen');
INSERT INTO `lang_definitions` VALUES (21776, 240, 6, 'Nieuwe categorie toevoegen');
INSERT INTO `lang_definitions` VALUES (21777, 241, 6, 'Voeg nieuwe certificaten aan het Apache-configuratiebestand');
INSERT INTO `lang_definitions` VALUES (21778, 242, 6, 'Nieuwe component toevoegen');
INSERT INTO `lang_definitions` VALUES (21779, 243, 6, 'Nieuwe componenten toevoegen');
INSERT INTO `lang_definitions` VALUES (21780, 244, 6, 'Nieuwe database toevoegen');
INSERT INTO `lang_definitions` VALUES (21781, 248, 6, 'Nieuwe groep toevoegen');
INSERT INTO `lang_definitions` VALUES (21782, 249, 6, 'Nieuwe groep toevoegen');
INSERT INTO `lang_definitions` VALUES (21783, 250, 6, 'Nieuwe Issue toevoegen');
INSERT INTO `lang_definitions` VALUES (21784, 251, 6, 'Voeg nieuw lot en transactie toe');
INSERT INTO `lang_definitions` VALUES (21785, 253, 6, 'Voeg nieuwe notitie toe');
INSERT INTO `lang_definitions` VALUES (21786, 254, 6, 'Voeg nieuwe notitie toe');
INSERT INTO `lang_definitions` VALUES (21787, 255, 6, 'Nieuwe partner toevoegen');
INSERT INTO `lang_definitions` VALUES (21788, 256, 6, 'Nieuwe Patient toevoegen');
INSERT INTO `lang_definitions` VALUES (21789, 257, 6, 'Nieuw Plan toevoegen');
INSERT INTO `lang_definitions` VALUES (21790, 264, 6, 'Voeg notitie toe');
INSERT INTO `lang_definitions` VALUES (21791, 265, 6, '\"On-Site\" portaal activiteit toevoegen');
INSERT INTO `lang_definitions` VALUES (21792, 266, 6, 'Package toevoegen');
INSERT INTO `lang_definitions` VALUES (21793, 267, 6, 'Patient toevoegen');
INSERT INTO `lang_definitions` VALUES (21794, 268, 6, 'Status aanmaken');
INSERT INTO `lang_definitions` VALUES (21795, 269, 6, 'Recept toevoegen');
INSERT INTO `lang_definitions` VALUES (21796, 270, 6, 'Procedure toevoegen');
INSERT INTO `lang_definitions` VALUES (21797, 271, 6, 'Voeg de provider naam toe');
INSERT INTO `lang_definitions` VALUES (21798, 272, 6, 'Recall toevoegen');
INSERT INTO `lang_definitions` VALUES (21799, 273, 6, 'Rehab toevoegen');
INSERT INTO `lang_definitions` VALUES (21800, 274, 6, 'Regels toevoegen');
INSERT INTO `lang_definitions` VALUES (21801, 276, 6, 'Time bij de datum toevoegen');
INSERT INTO `lang_definitions` VALUES (21802, 277, 6, 'Toevoegen bij');
INSERT INTO `lang_definitions` VALUES (21803, 280, 6, 'Aan lijst toevoegen');
INSERT INTO `lang_definitions` VALUES (21804, 281, 6, 'Aan medicatielijst toevoegen');
INSERT INTO `lang_definitions` VALUES (21805, 282, 6, 'Aan top level toevoegen');
INSERT INTO `lang_definitions` VALUES (21806, 283, 6, 'Verklaring aanmaken');
INSERT INTO `lang_definitions` VALUES (21807, 284, 6, 'Voeg gebruiker toe');
INSERT INTO `lang_definitions` VALUES (21808, 285, 6, 'Gebruiker aan groep toevoegen');
INSERT INTO `lang_definitions` VALUES (21809, 286, 6, 'Voeg toe');
INSERT INTO `lang_definitions` VALUES (21810, 287, 6, 'Toevoegen/aanpassen eRx');
INSERT INTO `lang_definitions` VALUES (21811, 289, 6, 'toevoegen/bewerken van client transactie');
INSERT INTO `lang_definitions` VALUES (21812, 290, 6, 'toegevoegd');
INSERT INTO `lang_definitions` VALUES (21813, 291, 6, 'Toevoegen');
INSERT INTO `lang_definitions` VALUES (21814, 292, 6, 'Eeen deelnemer toevoegen');
INSERT INTO `lang_definitions` VALUES (21815, 293, 6, 'Toevoegen persoonsgeg.niet geautoriseerd');
INSERT INTO `lang_definitions` VALUES (21816, 294, 6, 'Toevoegen van volgen van een item is mislukt');
INSERT INTO `lang_definitions` VALUES (21817, 295, 6, 'Addison Syndroom');
INSERT INTO `lang_definitions` VALUES (21818, 296, 6, 'Addison Syndroom');
INSERT INTO `lang_definitions` VALUES (21819, 297, 6, 'Extra attributen');
INSERT INTO `lang_definitions` VALUES (21820, 298, 6, 'Extra data punten');
INSERT INTO `lang_definitions` VALUES (21821, 299, 6, 'Extra datum');
INSERT INTO `lang_definitions` VALUES (21822, 300, 6, 'Aanvullende diagnose:');
INSERT INTO `lang_definitions` VALUES (21823, 301, 6, 'Extra bevindingen');
INSERT INTO `lang_definitions` VALUES (21824, 305, 6, 'Aanvullende voorgeschiedenis');
INSERT INTO `lang_definitions` VALUES (21825, 306, 6, 'Extra voorgeschiedenis notities');
INSERT INTO `lang_definitions` VALUES (21826, 307, 6, 'Extra info');
INSERT INTO `lang_definitions` VALUES (21827, 310, 6, 'Extra labonderzoeken');
INSERT INTO `lang_definitions` VALUES (21828, 311, 6, 'Extra notities');
INSERT INTO `lang_definitions` VALUES (21829, 313, 6, 'Extra notities voor deze uitslag of aanbeveling');
INSERT INTO `lang_definitions` VALUES (21830, 314, 6, 'Extra notities');
INSERT INTO `lang_definitions` VALUES (21831, 315, 6, 'Extra notities:');
INSERT INTO `lang_definitions` VALUES (21832, 317, 6, 'Extra rontgenfoto notities:');
INSERT INTO `lang_definitions` VALUES (21833, 318, 6, 'Let op: de overeenkomstige versie van US Snomed Extensie Pakket, kan apart geimporteerd worden na installatie van de Internationale (Engelse versie) versie van Snomed.');
INSERT INTO `lang_definitions` VALUES (21834, 319, 6, 'Extra voorschrift');
INSERT INTO `lang_definitions` VALUES (21835, 320, 6, 'Alleen toevoegen');
INSERT INTO `lang_definitions` VALUES (21836, 321, 6, 'Allen toevoegen- kan lezen maar niet aanpasse');
INSERT INTO `lang_definitions` VALUES (21837, 322, 6, 'Adresboek');
INSERT INTO `lang_definitions` VALUES (21838, 323, 6, 'Adresboek');
INSERT INTO `lang_definitions` VALUES (21839, 324, 6, 'Adres');
INSERT INTO `lang_definitions` VALUES (21840, 325, 6, 'Adres en Postcode');
INSERT INTO `lang_definitions` VALUES (21841, 326, 6, 'Adres en Provincie');
INSERT INTO `lang_definitions` VALUES (21842, 327, 6, 'Adresboek');
INSERT INTO `lang_definitions` VALUES (21843, 328, 6, 'Gegevensinvoer in adresboek van het bedrijf dat deze procedure uitvoert');
INSERT INTO `lang_definitions` VALUES (21844, 329, 6, 'Adres boek notitie voor Distributeur');
INSERT INTO `lang_definitions` VALUES (21845, 330, 6, 'Adresboekgegevens van de verkoper');
INSERT INTO `lang_definitions` VALUES (21846, 331, 6, 'Type adresboek');
INSERT INTO `lang_definitions` VALUES (21847, 332, 6, 'Adres label');
INSERT INTO `lang_definitions` VALUES (21848, 333, 6, 'Adres Labels');
INSERT INTO `lang_definitions` VALUES (21849, 336, 6, 'Alleen adres');
INSERT INTO `lang_definitions` VALUES (21850, 337, 6, 'Adres, stad, state, en Postcode');
INSERT INTO `lang_definitions` VALUES (21851, 338, 6, 'Adres, Provincie en Postcode');
INSERT INTO `lang_definitions` VALUES (21852, 339, 6, 'Adres1');
INSERT INTO `lang_definitions` VALUES (21853, 340, 6, 'Adres2');
INSERT INTO `lang_definitions` VALUES (21854, 341, 6, 'Geadresseerd aan');
INSERT INTO `lang_definitions` VALUES (21855, 342, 6, 'Geadresseerde');
INSERT INTO `lang_definitions` VALUES (21856, 343, 6, 'Voeg toe');
INSERT INTO `lang_definitions` VALUES (21857, 344, 6, 'Voeg toe');
INSERT INTO `lang_definitions` VALUES (21858, 345, 6, 'Aanp.');
INSERT INTO `lang_definitions` VALUES (21859, 346, 6, 'Aanp. bedrag');
INSERT INTO `lang_definitions` VALUES (21860, 347, 6, 'Aanpassen');
INSERT INTO `lang_definitions` VALUES (21861, 348, 6, 'Aanpassing');
INSERT INTO `lang_definitions` VALUES (21862, 349, 6, 'Aanpassing bedrag');
INSERT INTO `lang_definitions` VALUES (21863, 350, 6, 'Reden voor aanpassingen');
INSERT INTO `lang_definitions` VALUES (21864, 352, 6, 'Verandering waarde voor code');
INSERT INTO `lang_definitions` VALUES (21865, 353, 6, 'Aanpassing');
INSERT INTO `lang_definitions` VALUES (21866, 354, 6, 'Adm aanpassing');
INSERT INTO `lang_definitions` VALUES (21867, 355, 6, 'Administratie');
INSERT INTO `lang_definitions` VALUES (21868, 356, 6, 'Administratie e-mailadres');
INSERT INTO `lang_definitions` VALUES (21869, 357, 6, 'Administreren via');
INSERT INTO `lang_definitions` VALUES (21870, 359, 6, 'Vastgelegd door');
INSERT INTO `lang_definitions` VALUES (21871, 360, 6, 'Geadministreerd door');
INSERT INTO `lang_definitions` VALUES (21872, 361, 6, 'Geadministreerde datum');
INSERT INTO `lang_definitions` VALUES (21873, 362, 6, 'Geadministreerde Site');
INSERT INTO `lang_definitions` VALUES (21874, 363, 6, 'Administratie');
INSERT INTO `lang_definitions` VALUES (21875, 364, 6, 'Administratie (admin)');
INSERT INTO `lang_definitions` VALUES (21876, 365, 6, 'Site voor Administratie');
INSERT INTO `lang_definitions` VALUES (21877, 366, 6, 'Beheerders');
INSERT INTO `lang_definitions` VALUES (21878, 367, 6, 'Beheerders kunnen alles doen');
INSERT INTO `lang_definitions` VALUES (21879, 368, 6, 'Datum toevoeging');
INSERT INTO `lang_definitions` VALUES (21880, 369, 6, 'Adnexa');
INSERT INTO `lang_definitions` VALUES (21881, 370, 6, 'Kind geadopteerd');
INSERT INTO `lang_definitions` VALUES (21882, 371, 6, 'Volwassene gewichts screening met follow-up');
INSERT INTO `lang_definitions` VALUES (21883, 372, 6, 'Volwassene gewichts screening met follow-up (CQM)');
INSERT INTO `lang_definitions` VALUES (21884, 373, 6, 'Speciale richtlijn');
INSERT INTO `lang_definitions` VALUES (21885, 374, 6, 'Speciale richtlijnen');
INSERT INTO `lang_definitions` VALUES (21886, 375, 6, 'Speciale richtlijnen waarschuwing');
INSERT INTO `lang_definitions` VALUES (21887, 376, 6, 'Geavanceerde mogelijkheden');
INSERT INTO `lang_definitions` VALUES (21888, 377, 6, 'Geavanceerd');
INSERT INTO `lang_definitions` VALUES (21889, 378, 6, 'Geavanceerd - zeer fijne toegangs controle');
INSERT INTO `lang_definitions` VALUES (21890, 380, 6, 'Advies');
INSERT INTO `lang_definitions` VALUES (21891, 381, 6, 'Veraf');
INSERT INTO `lang_definitions` VALUES (21892, 382, 6, 'Normaal effect');
INSERT INTO `lang_definitions` VALUES (21893, 383, 6, 'Afrikaans');
INSERT INTO `lang_definitions` VALUES (21894, 384, 6, 'na');
INSERT INTO `lang_definitions` VALUES (21895, 385, 6, 'na (pm)');
INSERT INTO `lang_definitions` VALUES (21896, 386, 6, 'Oproep na spreekuur');
INSERT INTO `lang_definitions` VALUES (21897, 387, 6, 'Nadat er is overgegaan van de administratie systematiek van het oude Paswoord waar het oude PW in de Usere Tabel is opgeslagen zonder `salt`en afgerond is, moet deze FLAG op FALSE gezet worden zodat alleen via authenticatie nieuwe systeem mogelijk is.');
INSERT INTO `lang_definitions` VALUES (21898, 388, 6, 'Na de bovenvermelde configuratie uitgevoerd te hebben, importeer het clientcertificaat in de browser en start Apache opnieuw (leeg paswoord)');
INSERT INTO `lang_definitions` VALUES (21899, 390, 6, 'Na bewaren via PDF, klik op [view log] om op fouten te controlen.');
INSERT INTO `lang_definitions` VALUES (21900, 393, 6, 'Na het bewaren van het tekstbestand(en), klik op [view log] om te controleren op fouten');
INSERT INTO `lang_definitions` VALUES (21901, 396, 6, 'Na bewaren van batch, klik op [view log] om op fouten te controleren.');
INSERT INTO `lang_definitions` VALUES (21902, 398, 6, 'Daarna laat de Match Kolom het ID van de patient zien, of ) om aan te maken.');
INSERT INTO `lang_definitions` VALUES (21903, 399, 6, 'Klik op de Bewaren knop, nadat de informatie juist is ingevoerd');
INSERT INTO `lang_definitions` VALUES (21904, 400, 6, 'Na Uploaden klik op de knop \"Importeren\"');
INSERT INTO `lang_definitions` VALUES (21905, 401, 6, 'Na Uploaden , klik op \"import\"');
INSERT INTO `lang_definitions` VALUES (21906, 404, 6, 'Planning nazorg');
INSERT INTO `lang_definitions` VALUES (21907, 406, 6, 'Opnieuw');
INSERT INTO `lang_definitions` VALUES (21908, 407, 6, 'Leeftijd');
INSERT INTO `lang_definitions` VALUES (21909, 408, 6, 'Leeftijd bij overlijden');
INSERT INTO `lang_definitions` VALUES (21910, 409, 6, 'Gesorteerd op leeftijd');
INSERT INTO `lang_definitions` VALUES (21911, 410, 6, 'Leeftijdscategorie');
INSERT INTO `lang_definitions` VALUES (21912, 411, 6, 'Leeftijd datum valt buiten gebied.');
INSERT INTO `lang_definitions` VALUES (21913, 412, 6, 'Format met leeftijd-tonen');
INSERT INTO `lang_definitions` VALUES (21914, 413, 6, 'Leeftijd \"format\" is niet juist');
INSERT INTO `lang_definitions` VALUES (21915, 414, 6, 'Leeftijd \"format\" is niet juist');
INSERT INTO `lang_definitions` VALUES (21916, 415, 6, 'Vanaf leeftijd');
INSERT INTO `lang_definitions` VALUES (21917, 416, 6, 'Leeftijd in jaren voor \"Tonen formaat verandering\"');
INSERT INTO `lang_definitions` VALUES (21918, 417, 6, 'Max leeftijd');
INSERT INTO `lang_definitions` VALUES (21919, 418, 6, 'Min leeftijd');
INSERT INTO `lang_definitions` VALUES (21920, 419, 6, 'Leeftijds-spreiding');
INSERT INTO `lang_definitions` VALUES (21921, 420, 6, 'Aging Columns:');
INSERT INTO `lang_definitions` VALUES (21922, 421, 6, 'Aging Columns:');
INSERT INTO `lang_definitions` VALUES (21923, 422, 6, 'Akan');
INSERT INTO `lang_definitions` VALUES (21924, 423, 6, 'Albaans');
INSERT INTO `lang_definitions` VALUES (21925, 424, 6, 'Alcohol');
INSERT INTO `lang_definitions` VALUES (21926, 425, 6, 'Alcoholconsumptie');
INSERT INTO `lang_definitions` VALUES (21927, 426, 6, 'Alcohol gebruik');
INSERT INTO `lang_definitions` VALUES (21928, 427, 6, 'ALERT');
INSERT INTO `lang_definitions` VALUES (21929, 428, 6, 'Totaal ALERTS');
INSERT INTO `lang_definitions` VALUES (21930, 430, 6, 'ALERT op en na verjaardag');
INSERT INTO `lang_definitions` VALUES (21931, 432, 6, 'ALERT op verjaardag van patient');
INSERT INTO `lang_definitions` VALUES (21932, 433, 6, 'Alleen ALERT op verjaardag');
INSERT INTO `lang_definitions` VALUES (21933, 434, 6, 'Alert tijd');
INSERT INTO `lang_definitions` VALUES (21934, 435, 6, 'Waarschuwingen');
INSERT INTO `lang_definitions` VALUES (21935, 436, 6, 'Loggen van alerts');
INSERT INTO `lang_definitions` VALUES (21936, 437, 6, 'Alerts/Herinneringen');
INSERT INTO `lang_definitions` VALUES (21937, 438, 6, 'ALERT (mentale status)');
INSERT INTO `lang_definitions` VALUES (21938, 439, 6, 'ALEUT');
INSERT INTO `lang_definitions` VALUES (21939, 440, 6, 'Allemaal');
INSERT INTO `lang_definitions` VALUES (21940, 441, 6, 'ALLEN');
INSERT INTO `lang_definitions` VALUES (21941, 442, 6, 'allemaal');
INSERT INTO `lang_definitions` VALUES (21942, 443, 6, 'Allen (overgenomen van format A)');
INSERT INTO `lang_definitions` VALUES (21943, 444, 6, 'Allen (overgenomen van format B)');
INSERT INTO `lang_definitions` VALUES (21944, 445, 6, 'Allen (Cumulatief)');
INSERT INTO `lang_definitions` VALUES (21945, 446, 6, 'Alle alerts');
INSERT INTO `lang_definitions` VALUES (21946, 447, 6, 'Alle Automated Measure Calculations (AMC)');
INSERT INTO `lang_definitions` VALUES (21947, 448, 6, 'Alle categorieen');
INSERT INTO `lang_definitions` VALUES (21948, 449, 6, 'Alle Clinical Qualiry Measures (CQM)');
INSERT INTO `lang_definitions` VALUES (21949, 450, 6, 'Alle codes');
INSERT INTO `lang_definitions` VALUES (21950, 452, 6, 'Alle data');
INSERT INTO `lang_definitions` VALUES (21951, 453, 6, 'Gehele dag');
INSERT INTO `lang_definitions` VALUES (21952, 454, 6, 'Gebeurtenis voor hele dag');
INSERT INTO `lang_definitions` VALUES (21953, 455, 6, 'Alle demografie velden, met zoeken en controle');
INSERT INTO `lang_definitions` VALUES (21954, 456, 6, 'Alle Enconters');
INSERT INTO `lang_definitions` VALUES (21955, 457, 6, 'Alle Klinieken');
INSERT INTO `lang_definitions` VALUES (21956, 458, 6, 'Alle ongevallen/problemen/issues');
INSERT INTO `lang_definitions` VALUES (21957, 459, 6, 'Alle talen toegestaan');
INSERT INTO `lang_definitions` VALUES (21958, 460, 6, 'Alle berichten');
INSERT INTO `lang_definitions` VALUES (21959, 461, 6, 'Alle groepen voor offilciele Cinical Quality Measures (CQM)');
INSERT INTO `lang_definitions` VALUES (21960, 462, 6, 'Alles of gedeelte van voornaam');
INSERT INTO `lang_definitions` VALUES (21961, 463, 6, 'Alles of gedeelte van achternaam');
INSERT INTO `lang_definitions` VALUES (21962, 464, 6, 'Allemaal of een gedeelte van de organisatie');
INSERT INTO `lang_definitions` VALUES (21963, 466, 6, 'Alle patienten');
INSERT INTO `lang_definitions` VALUES (21964, 468, 6, 'Alle producten');
INSERT INTO `lang_definitions` VALUES (21965, 469, 6, 'Alle zorgverleners');
INSERT INTO `lang_definitions` VALUES (21966, 470, 6, 'Alles nagekeken en negatief:');
INSERT INTO `lang_definitions` VALUES (21967, 473, 6, 'Klaar. Klik op Aanvraag verzenden hieronder om de registratie af te ronden');
INSERT INTO `lang_definitions` VALUES (21968, 475, 6, 'Alle onderwerpen');
INSERT INTO `lang_definitions` VALUES (21969, 478, 6, 'Alle gebruikers');
INSERT INTO `lang_definitions` VALUES (21970, 479, 6, 'Allergisch');
INSERT INTO `lang_definitions` VALUES (21971, 480, 6, 'Allergisch voor');
INSERT INTO `lang_definitions` VALUES (21972, 481, 6, 'Allergieen');
INSERT INTO `lang_definitions` VALUES (21973, 484, 6, 'Allergieen:');
INSERT INTO `lang_definitions` VALUES (21974, 485, 6, 'Allergie');
INSERT INTO `lang_definitions` VALUES (21975, 486, 6, 'Importeren van allergie is goed gegaan');
INSERT INTO `lang_definitions` VALUES (21976, 487, 6, 'Allergie probleem lijst');
INSERT INTO `lang_definitions` VALUES (21977, 488, 6, 'Allergische reactie');
INSERT INTO `lang_definitions` VALUES (21978, 489, 6, 'WAARSCHUWING ALLERGIE');
INSERT INTO `lang_definitions` VALUES (21979, 490, 6, 'Waarschuwing allergie');
INSERT INTO `lang_definitions` VALUES (21980, 491, 6, 'Toewijzen');
INSERT INTO `lang_definitions` VALUES (21981, 492, 6, 'Toestaan');
INSERT INTO `lang_definitions` VALUES (21982, 493, 6, 'Sta Aministrateurs toe om patienten te verwijderen');
INSERT INTO `lang_definitions` VALUES (21983, 494, 6, 'Toestaan van alle beschikbare talen als keuze voor login menu toe');
INSERT INTO `lang_definitions` VALUES (21984, 495, 6, 'Toestaan van  Check-in vóór het tijdstip van de afspraak.');
INSERT INTO `lang_definitions` VALUES (21985, 496, 6, 'Toestaan van claims met diagnose maar niet met procdures of extra kosten. Meestal niet gewenst.');
INSERT INTO `lang_definitions` VALUES (21986, 497, 6, 'Toestaan van dummy taal');
INSERT INTO `lang_definitions` VALUES (21987, 499, 6, 'Vroege Check In toestaan');
INSERT INTO `lang_definitions` VALUES (21988, 500, 6, 'E-mail toestaan');
INSERT INTO `lang_definitions` VALUES (21989, 501, 6, 'E-mailberichten toestaan?');
INSERT INTO `lang_definitions` VALUES (21990, 502, 6, 'E-mail toestaan?');
INSERT INTO `lang_definitions` VALUES (21991, 503, 6, 'Claims tijdens encounters toestaan');
INSERT INTO `lang_definitions` VALUES (21992, 505, 6, 'Gezondeheid Info uitwisseling toestaan');
INSERT INTO `lang_definitions` VALUES (21993, 506, 6, 'Health Information Exchange toestaan');
INSERT INTO `lang_definitions` VALUES (21994, 507, 6, 'Immunisatie info uitwisseling toestaan');
INSERT INTO `lang_definitions` VALUES (21995, 508, 6, 'Immunisatie Info Sharing toestaan');
INSERT INTO `lang_definitions` VALUES (21996, 509, 6, 'Immunisatie reg. toestaan.');
INSERT INTO `lang_definitions` VALUES (21997, 510, 6, 'Claim ondersteuning toestaan');
INSERT INTO `lang_definitions` VALUES (21998, 512, 6, 'Brieven toestaan');
INSERT INTO `lang_definitions` VALUES (21999, 514, 6, 'Meerdere databases toestaan');
INSERT INTO `lang_definitions` VALUES (22000, 516, 6, 'Notities toestaan');
INSERT INTO `lang_definitions` VALUES (22001, 521, 6, 'Toestaan van een Onsite nieuw Patient registratie widget');
INSERT INTO `lang_definitions` VALUES (22002, 522, 6, 'Toestaan om Onsite Online afspraken te maken');
INSERT INTO `lang_definitions` VALUES (22003, 523, 6, 'Toestaan van Onsite Online betalingen');
INSERT INTO `lang_definitions` VALUES (22004, 524, 6, 'Toestaan van Onsite Online secute chat');
INSERT INTO `lang_definitions` VALUES (22005, 525, 6, 'Toestaan van Onsite patient kasboek');
INSERT INTO `lang_definitions` VALUES (22006, 526, 6, 'Toestaan voor Onsite Patienten om online een afspraak te maken en te bekijken');
INSERT INTO `lang_definitions` VALUES (22007, 527, 6, 'Toestaan voor Onsite Patienten om online een betaling te doen');
INSERT INTO `lang_definitions` VALUES (22008, 528, 6, 'Toestaan voor Onsite patienten om de secure chat toepassing te gebruiken');
INSERT INTO `lang_definitions` VALUES (22009, 529, 6, 'Toestaan voor Onsite patienten om online hun account boek te bekijken');
INSERT INTO `lang_definitions` VALUES (22010, 530, 6, 'Toestaan voor Onsite patienten om hun referenties te resetten');
INSERT INTO `lang_definitions` VALUES (22011, 531, 6, 'Toestaan om via Flow-board van de patient DRUG testen toe te staan.');
INSERT INTO `lang_definitions` VALUES (22012, 533, 6, 'Patient portal toestaan');
INSERT INTO `lang_definitions` VALUES (22013, 539, 6, 'Patiente Portaal toestaan');
INSERT INTO `lang_definitions` VALUES (22014, 541, 6, 'SMS toestaan');
INSERT INTO `lang_definitions` VALUES (22015, 542, 6, 'SMS (tekstberichten) toestaan?');
INSERT INTO `lang_definitions` VALUES (22016, 543, 6, 'Printen toestaan van Statement exclusies');
INSERT INTO `lang_definitions` VALUES (22017, 544, 6, 'Toestaan om gebeurtenissen meteen actief te maken?');
INSERT INTO `lang_definitions` VALUES (22018, 545, 6, 'Telefoonberichten toestaan?');
INSERT INTO `lang_definitions` VALUES (22019, 546, 6, 'Toestaan om meer DATA BASE te gebruiken');
INSERT INTO `lang_definitions` VALUES (22020, 547, 6, 'Gebruikers toestaan om algemene gebeurtenissen te publiceren');
INSERT INTO `lang_definitions` VALUES (22021, 548, 6, 'Gebruikers toestaan om prive-agenda´s te publiceren');
INSERT INTO `lang_definitions` VALUES (22022, 549, 6, 'Toestaan van Versie 2 Onsite WIdget om nieuwe ptn toe te voegen.');
INSERT INTO `lang_definitions` VALUES (22023, 550, 6, 'Toestaan van Onsitenline betalingenO');
INSERT INTO `lang_definitions` VALUES (22024, 551, 6, 'Toestaan van Versie 2 Onsite Ptn om online betalingen te doen');
INSERT INTO `lang_definitions` VALUES (22025, 552, 6, 'Toestaan aan ptn om credentials te resetten');
INSERT INTO `lang_definitions` VALUES (22026, 553, 6, 'Toestaan Voice Call');
INSERT INTO `lang_definitions` VALUES (22027, 554, 6, 'Voicemail toestaan');
INSERT INTO `lang_definitions` VALUES (22028, 555, 6, 'Toegestaan');
INSERT INTO `lang_definitions` VALUES (22029, 556, 6, 'Talen toestaan');
INSERT INTO `lang_definitions` VALUES (22030, 557, 6, 'Toestaan prijs korting te geven (in FeeSheet of Check out formulier) (disc)');
INSERT INTO `lang_definitions` VALUES (22031, 558, 6, 'Toegestaan(c)');
INSERT INTO `lang_definitions` VALUES (22032, 559, 6, 'E-Sign toestaan op gehele bezoek');
INSERT INTO `lang_definitions` VALUES (22033, 560, 6, 'E-Sign toestaan op Formulieren sec');
INSERT INTO `lang_definitions` VALUES (22034, 561, 6, 'Toestaan e-mail');
INSERT INTO `lang_definitions` VALUES (22035, 562, 6, 'Toestaan voice berichten');
INSERT INTO `lang_definitions` VALUES (22036, 565, 6, 'Staat reeds bovenaan de pagina');
INSERT INTO `lang_definitions` VALUES (22037, 566, 6, 'bestaat al');
INSERT INTO `lang_definitions` VALUES (22038, 568, 6, 'bestaat al.');
INSERT INTO `lang_definitions` VALUES (22039, 569, 6, 'Reeds geregistreerd');
INSERT INTO `lang_definitions` VALUES (22040, 570, 6, 'Reeds gebruikt, kies andere id-code');
INSERT INTO `lang_definitions` VALUES (22041, 571, 6, 'Reeds in gebruik kies een andere titel');
INSERT INTO `lang_definitions` VALUES (22042, 573, 6, 'Alternatief adres');
INSERT INTO `lang_definitions` VALUES (22043, 577, 6, 'aanpassen');
INSERT INTO `lang_definitions` VALUES (22044, 578, 6, 'Aternatieve Cover test');
INSERT INTO `lang_definitions` VALUES (22045, 584, 6, 'Je zou ook de SEARCH pagina kunnen gebruiken om een electronisch overschrijvingsbestand (X12 835) te uploaden van de betalende instantie. Je kunt dit doen door op de BROWSE knop te drukken en het juiste bestand te selecteren om te uploaden. Dan op SEARCH klikken om dit te effectueren en de daarbij behorende invoices te laten zien op het scherm. In dit geval zijn bovenstaande parameters niet nodig en worden genegeerd. Uploaden SAVE-s het bestand maar verwerkt de inhoud niet- dit wordt apart uitgevoerd zoals hier beneden beschreven');
INSERT INTO `lang_definitions` VALUES (22046, 586, 6, 'AM');
INSERT INTO `lang_definitions` VALUES (22047, 587, 6, 'AM programma');
INSERT INTO `lang_definitions` VALUES (22048, 588, 6, 'Amblyopie');
INSERT INTO `lang_definitions` VALUES (22049, 589, 6, 'Ambulance - Lucht  of water');
INSERT INTO `lang_definitions` VALUES (22050, 590, 6, 'Ambulance - Land');
INSERT INTO `lang_definitions` VALUES (22051, 591, 6, 'Chirugische buiten kliniek');
INSERT INTO `lang_definitions` VALUES (22052, 592, 6, 'AMC');
INSERT INTO `lang_definitions` VALUES (22053, 593, 6, 'AMC vervolgen');
INSERT INTO `lang_definitions` VALUES (22054, 594, 6, 'AMC-2011');
INSERT INTO `lang_definitions` VALUES (22055, 595, 6, 'AMC-2014');
INSERT INTO `lang_definitions` VALUES (22056, 596, 6, 'AMC-2014 Stage I');
INSERT INTO `lang_definitions` VALUES (22057, 597, 6, 'AMC-2014 Stage II');
INSERT INTO `lang_definitions` VALUES (22058, 598, 6, 'Lft  gebonden macula degeneratie');
INSERT INTO `lang_definitions` VALUES (22059, 600, 6, 'Pas de bestaande notitie aan');
INSERT INTO `lang_definitions` VALUES (22060, 602, 6, 'Aanpassingen From');
INSERT INTO `lang_definitions` VALUES (22061, 603, 6, 'Aanpassingen Lijsten');
INSERT INTO `lang_definitions` VALUES (22062, 604, 6, 'Aanpassingen Status');
INSERT INTO `lang_definitions` VALUES (22063, 605, 6, 'Aanpassingen');
INSERT INTO `lang_definitions` VALUES (22064, 606, 6, 'Aanpassingen (schrijf, toevoegen, mogelijk)');
INSERT INTO `lang_definitions` VALUES (22065, 609, 6, 'Aanpassingen voor');
INSERT INTO `lang_definitions` VALUES (22066, 610, 6, 'Amerikaans Indiaan');
INSERT INTO `lang_definitions` VALUES (22067, 611, 6, 'Amerikaanse indiaan of Alaska geboren');
INSERT INTO `lang_definitions` VALUES (22068, 612, 6, 'AMEX');
INSERT INTO `lang_definitions` VALUES (22069, 613, 6, 'Amharic');
INSERT INTO `lang_definitions` VALUES (22070, 614, 6, 'Bedrag');
INSERT INTO `lang_definitions` VALUES (22071, 615, 6, 'Geadministreerd bedrag');
INSERT INTO `lang_definitions` VALUES (22072, 617, 6, 'Verschuldigd bedrag');
INSERT INTO `lang_definitions` VALUES (22073, 618, 6, 'Verschuldigd bedrag:');
INSERT INTO `lang_definitions` VALUES (22074, 619, 6, 'Te betalen');
INSERT INTO `lang_definitions` VALUES (22075, 620, 6, 'Bedrag van vorige balans');
INSERT INTO `lang_definitions` VALUES (22076, 621, 6, 'Bedrag voor dit bezoek');
INSERT INTO `lang_definitions` VALUES (22077, 622, 6, 'Bedrag betaald.');
INSERT INTO `lang_definitions` VALUES (22078, 623, 6, 'Aantal/Bedrag');
INSERT INTO `lang_definitions` VALUES (22079, 624, 6, 'Bedrag:');
INSERT INTO `lang_definitions` VALUES (22080, 625, 6, 'Amsler');
INSERT INTO `lang_definitions` VALUES (22081, 626, 6, 'Bedrag in rekening gebracht');
INSERT INTO `lang_definitions` VALUES (22082, 628, 6, 'Een e-mail met nieuwe accountgegevens wordt verzonden naar het e-mailadres dat u eerder hebt opgegeven. U kunt nog steeds elk deel van uw informatie bekijken of bewerken door de bovenstaande knoppen te gebruiken om naar de juiste screens te gaan. Is dit het juiste e-mail adres? Neem contact op met de administratie als u problemen ondervindt na het ontvangen van inloggegevens en/of als u problemen ondervindt met toegang via portaal.');
INSERT INTO `lang_definitions` VALUES (22083, 630, 6, 'Eind datum moet later zijn dan start datum om herhaling van events!');
INSERT INTO `lang_definitions` VALUES (22084, 631, 6, 'Ondertekenen van formulier mislukt');
INSERT INTO `lang_definitions` VALUES (22085, 632, 6, 'Een fout opgetreden bij dumpen OpenEMR web directorie structuur');
INSERT INTO `lang_definitions` VALUES (22086, 633, 6, 'Een fout opgetreden tijdens dumpen phpGACL web directorie structuur');
INSERT INTO `lang_definitions` VALUES (22087, 634, 6, 'Een fout opgetreden bij dumpen SQL-Ledger web directorie structuur');
INSERT INTO `lang_definitions` VALUES (22088, 635, 6, 'Foutje, geen file gevonden voor upload: Gebruik de TERUG knop!');
INSERT INTO `lang_definitions` VALUES (22089, 638, 6, 'Een onvolledig GCAC \"iets\" is aangemaakt met een link. Moet nog later afgemaakt worden. Onvolledig.');
INSERT INTO `lang_definitions` VALUES (22090, 643, 6, 'Een niet gedefinieerde fout, vraag  systeembeheerder om advies.');
INSERT INTO `lang_definitions` VALUES (22091, 644, 6, 'Een overwachte fout');
INSERT INTO `lang_definitions` VALUES (22092, 646, 6, 'Een hoofdletter');
INSERT INTO `lang_definitions` VALUES (22093, 647, 6, 'Geanalyseerd');
INSERT INTO `lang_definitions` VALUES (22094, 648, 6, 'en');
INSERT INTO `lang_definitions` VALUES (22095, 649, 6, 'en');
INSERT INTO `lang_definitions` VALUES (22096, 650, 6, 'EN');
INSERT INTO `lang_definitions` VALUES (22097, 651, 6, 'en');
INSERT INTO `lang_definitions` VALUES (22098, 652, 6, 'en alle onderliggende data? Deze actie wordt vastgelegd');
INSERT INTO `lang_definitions` VALUES (22099, 653, 6, 'en modifier');
INSERT INTO `lang_definitions` VALUES (22100, 654, 6, 'en verwerkt');
INSERT INTO `lang_definitions` VALUES (22101, 656, 6, 'en herstart Apache-server');
INSERT INTO `lang_definitions` VALUES (22102, 657, 6, 'en de reden is');
INSERT INTO `lang_definitions` VALUES (22103, 659, 6, 'Anemie');
INSERT INTO `lang_definitions` VALUES (22104, 660, 6, 'Enkel');
INSERT INTO `lang_definitions` VALUES (22105, 661, 6, 'Enkel + hiel');
INSERT INTO `lang_definitions` VALUES (22106, 662, 6, 'Enkelletsel evaluatie formulier');
INSERT INTO `lang_definitions` VALUES (22107, 663, 6, 'Enkelproblemen');
INSERT INTO `lang_definitions` VALUES (22108, 664, 6, 'Ankylosis Spondilitica');
INSERT INTO `lang_definitions` VALUES (22109, 665, 6, 'Ankylosis Spondilitica');
INSERT INTO `lang_definitions` VALUES (22110, 666, 6, 'Anorexia');
INSERT INTO `lang_definitions` VALUES (22111, 667, 6, 'Iets anders wat je kan doen in de PostingWindow is verzoeken om een rekening op tweede niveau. Als je dit SELECTEERT voordat je opslaat, dan wordt de originele claim opnieuw geopend en als lijst op de rekeningpagina getoond en wordt deze tijdens de volgende ronde in rekening gebracht.');
INSERT INTO `lang_definitions` VALUES (22112, 669, 6, 'ANtwoord Service');
INSERT INTO `lang_definitions` VALUES (22113, 671, 6, 'voor');
INSERT INTO `lang_definitions` VALUES (22114, 672, 6, 'Voorkamer diepte');
INSERT INTO `lang_definitions` VALUES (22115, 673, 6, 'Voorste segment');
INSERT INTO `lang_definitions` VALUES (22116, 674, 6, 'Default waarde voorste segment');
INSERT INTO `lang_definitions` VALUES (22117, 675, 6, 'voor{{anterior}}');
INSERT INTO `lang_definitions` VALUES (22118, 676, 6, 'Anus normaal, geen rectale gevoeligheid/zwelling');
INSERT INTO `lang_definitions` VALUES (22119, 677, 6, 'Opwinding');
INSERT INTO `lang_definitions` VALUES (22120, 678, 6, 'alles');
INSERT INTO `lang_definitions` VALUES (22121, 679, 6, 'Alles');
INSERT INTO `lang_definitions` VALUES (22122, 681, 6, 'Carotide geluiden gehoord?');
INSERT INTO `lang_definitions` VALUES (22123, 682, 6, 'Welke categorie');
INSERT INTO `lang_definitions` VALUES (22124, 683, 6, 'Eventuele wijzigingen hier worden beoordeeld door de staf, voordat ze aan de status toegevoegd worden. Het volgende is van toepassing');
INSERT INTO `lang_definitions` VALUES (22125, 686, 6, 'kies datum');
INSERT INTO `lang_definitions` VALUES (22126, 688, 6, 'Gedeelte van gewenste code of omschrijving');
INSERT INTO `lang_definitions` VALUES (22127, 689, 6, 'Gedeelte van gewenste specialisatie');
INSERT INTO `lang_definitions` VALUES (22128, 690, 6, 'Een gedeelte van medicatie ID of naam medicijn');
INSERT INTO `lang_definitions` VALUES (22129, 691, 6, 'Een gedeelte van vaccinatie ID of naam vaccin');
INSERT INTO `lang_definitions` VALUES (22130, 692, 6, 'Gedeelte naam patient of \"achternm, voorn), of \"X-Y\"');
INSERT INTO `lang_definitions` VALUES (22131, 693, 6, 'Alle andere relevante informatie');
INSERT INTO `lang_definitions` VALUES (22132, 694, 6, 'Is er tegelijker tijd iets anders  gebeurd?');
INSERT INTO `lang_definitions` VALUES (22133, 697, 6, 'Afferente pulpil afwijking');
INSERT INTO `lang_definitions` VALUES (22134, 699, 6, 'API sleutel voor SMS toegang');
INSERT INTO `lang_definitions` VALUES (22135, 703, 6, 'Apnea');
INSERT INTO `lang_definitions` VALUES (22136, 704, 6, 'App');
INSERT INTO `lang_definitions` VALUES (22137, 710, 6, 'Weergave');
INSERT INTO `lang_definitions` VALUES (22138, 711, 6, 'Weergave:');
INSERT INTO `lang_definitions` VALUES (22139, 713, 6, 'Dit bericht toevoegen');
INSERT INTO `lang_definitions` VALUES (22140, 714, 6, 'Deze notitie toevoegen');
INSERT INTO `lang_definitions` VALUES (22141, 715, 6, 'Toevoegen aan het bestaande bericht');
INSERT INTO `lang_definitions` VALUES (22142, 716, 6, 'Toevoegen aan bestaande notitie');
INSERT INTO `lang_definitions` VALUES (22143, 717, 6, 'Toevoegen aan deze notitie');
INSERT INTO `lang_definitions` VALUES (22144, 718, 6, 'Deze notitie toevoegen');
INSERT INTO `lang_definitions` VALUES (22145, 719, 6, 'Appendectomie');
INSERT INTO `lang_definitions` VALUES (22146, 720, 6, 'appendectomy');
INSERT INTO `lang_definitions` VALUES (22147, 721, 6, 'Toepasbaar op patienten');
INSERT INTO `lang_definitions` VALUES (22148, 722, 6, 'Applicatie');
INSERT INTO `lang_definitions` VALUES (22149, 723, 6, 'Naam van applicatie voor de login pagina an hoofd scherm titel');
INSERT INTO `lang_definitions` VALUES (22150, 724, 6, 'Toepassing ontvanger Code (GS03 - Indien blanco dan zal ISA08 gebruikt worden)');
INSERT INTO `lang_definitions` VALUES (22151, 725, 6, 'Toepassing Code afzender (GS02)');
INSERT INTO `lang_definitions` VALUES (22152, 726, 6, 'Naam applicatie');
INSERT INTO `lang_definitions` VALUES (22153, 727, 6, 'Is onderdeel van Vitals formulier en Groei-grafiek');
INSERT INTO `lang_definitions` VALUES (22154, 728, 6, 'Van toepassing op Vitals formulier');
INSERT INTO `lang_definitions` VALUES (22155, 729, 6, 'Alleen gebruiken voor deze gebeurtenis, Alleen deze EN Alle volgende gebeurtenissen, of Alle gebeurtenissen');
INSERT INTO `lang_definitions` VALUES (22156, 730, 6, 'Op betroffen gebied aanbrengen');
INSERT INTO `lang_definitions` VALUES (22157, 731, 6, 'Op de huid smeren');
INSERT INTO `lang_definitions` VALUES (22158, 732, 6, 'wordt toegepast');
INSERT INTO `lang_definitions` VALUES (22159, 733, 6, 'Patch wordt uitgevoerd op de site');
INSERT INTO `lang_definitions` VALUES (22160, 734, 6, 'Afspraak');
INSERT INTO `lang_definitions` VALUES (22161, 735, 6, 'Afspraak categorie');
INSERT INTO `lang_definitions` VALUES (22162, 736, 6, 'Datum afspraak');
INSERT INTO `lang_definitions` VALUES (22163, 737, 6, 'Afsprakenscherm sets - kleur 1');
INSERT INTO `lang_definitions` VALUES (22164, 738, 6, 'Afsprakenscherm sets - kleur 2');
INSERT INTO `lang_definitions` VALUES (22165, 739, 6, 'Afsprakenscherm sets - kleur3');
INSERT INTO `lang_definitions` VALUES (22166, 740, 6, 'Afsprakenscherm sets - kleur4');
INSERT INTO `lang_definitions` VALUES (22167, 741, 6, 'Afsrprakenscherm sets - Let niet op Scherm limiet (Vorige set)');
INSERT INTO `lang_definitions` VALUES (22168, 742, 6, 'Manier afsprakente tonen');
INSERT INTO `lang_definitions` VALUES (22169, 743, 6, 'Afspraak gemakt door');
INSERT INTO `lang_definitions` VALUES (22170, 744, 6, 'Herinnerings afspraak regels');
INSERT INTO `lang_definitions` VALUES (22171, 745, 6, 'Afspraak herinneringen');
INSERT INTO `lang_definitions` VALUES (22172, 746, 6, 'Status van afspraak');
INSERT INTO `lang_definitions` VALUES (22173, 747, 6, 'Status van afspraken');
INSERT INTO `lang_definitions` VALUES (22174, 748, 6, 'Afspraak tussen');
INSERT INTO `lang_definitions` VALUES (22175, 749, 6, 'Kleur voor afspraak/gebeurtenis');
INSERT INTO `lang_definitions` VALUES (22176, 750, 6, 'Afspraken');
INSERT INTO `lang_definitions` VALUES (22177, 751, 6, 'Afspraken (schrijven optioneel)');
INSERT INTO `lang_definitions` VALUES (22178, 752, 6, 'Afsraken (schrijven, wsome optioneel)');
INSERT INTO `lang_definitions` VALUES (22179, 753, 6, 'Afraken (schrijven, met enkele optioneel) (appt)');
INSERT INTO `lang_definitions` VALUES (22180, 754, 6, 'Afspraken - Groups samenvatting - cijfer tonen');
INSERT INTO `lang_definitions` VALUES (22181, 755, 6, 'Afspraken - Via de Patient Portaal - Toon aantal dat u wilt zien');
INSERT INTO `lang_definitions` VALUES (22182, 756, 6, 'Afspraken - Patient Samenvatting - Toon aantal dat u wilt zien');
INSERT INTO `lang_definitions` VALUES (22183, 758, 6, 'Afspraken en contacten');
INSERT INTO `lang_definitions` VALUES (22184, 759, 6, 'Afspraak voor');
INSERT INTO `lang_definitions` VALUES (22185, 760, 6, 'Rapport afspraken');
INSERT INTO `lang_definitions` VALUES (22186, 761, 6, 'Rapport afspraken-contacten');
INSERT INTO `lang_definitions` VALUES (22187, 763, 6, 'Testen te doen bij kinderen met Pharyngitis (CQM)');
INSERT INTO `lang_definitions` VALUES (22188, 764, 6, 'Accepteren Patien/Client->Import->Wacht op goedkeuring');
INSERT INTO `lang_definitions` VALUES (22189, 765, 6, 'Order goedkeuren');
INSERT INTO `lang_definitions` VALUES (22190, 766, 6, 'Accepteren Patien/Client->Import->Wacht op goedkeuring');
INSERT INTO `lang_definitions` VALUES (22191, 767, 6, 'Geaccepteerd');
INSERT INTO `lang_definitions` VALUES (22192, 768, 6, 'Administratie van toegestane gebeurtenis(sen)');
INSERT INTO `lang_definitions` VALUES (22193, 769, 6, 'Met succes geaccepteerd');
INSERT INTO `lang_definitions` VALUES (22194, 770, 6, 'Apps');
INSERT INTO `lang_definitions` VALUES (22195, 771, 6, 'Afspr datum');
INSERT INTO `lang_definitions` VALUES (22196, 772, 6, 'App status');
INSERT INTO `lang_definitions` VALUES (22197, 773, 6, 'TIjd van afspraak');
INSERT INTO `lang_definitions` VALUES (22198, 774, 6, 'Afspr.-bezoek');
INSERT INTO `lang_definitions` VALUES (22199, 775, 6, 'Afspr. Herinneringen');
INSERT INTO `lang_definitions` VALUES (22200, 776, 6, 'Afspr.');
INSERT INTO `lang_definitions` VALUES (22201, 777, 6, 'Appt{{Afkorting voor afspraak}}');
INSERT INTO `lang_definitions` VALUES (22202, 778, 6, 'Applanation');
INSERT INTO `lang_definitions` VALUES (22203, 779, 6, 'Apr');
INSERT INTO `lang_definitions` VALUES (22204, 780, 6, 'April');
INSERT INTO `lang_definitions` VALUES (22205, 781, 6, 'APPLANATION');
INSERT INTO `lang_definitions` VALUES (22206, 782, 6, 'Arabisch');
INSERT INTO `lang_definitions` VALUES (22207, 783, 6, 'Aragonees');
INSERT INTO `lang_definitions` VALUES (22208, 784, 6, 'Archief');
INSERT INTO `lang_definitions` VALUES (22209, 785, 6, 'Log voor Archief-files');
INSERT INTO `lang_definitions` VALUES (22210, 786, 6, 'Gearchiveerde oude files');
INSERT INTO `lang_definitions` VALUES (22211, 787, 6, 'Moeten de toegangs controle groeps namen worden vertaald?');
INSERT INTO `lang_definitions` VALUES (22212, 788, 6, 'Moeten de afspraak categorie namen worden vertaald?');
INSERT INTO `lang_definitions` VALUES (22213, 789, 6, 'Moeten de document categorie namen worden vertaald?');
INSERT INTO `lang_definitions` VALUES (22214, 790, 6, 'Is type in rekening gebracht?');
INSERT INTO `lang_definitions` VALUES (22215, 791, 6, 'zijn uit');
INSERT INTO `lang_definitions` VALUES (22216, 792, 6, 'zijn aan');
INSERT INTO `lang_definitions` VALUES (22217, 793, 6, 'Moeten de patient notities titels worden vertaald?');
INSERT INTO `lang_definitions` VALUES (22218, 794, 6, 'Zijn de codes opgeslagen in een externe sql tabellen (0-Nee, 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2))?');
INSERT INTO `lang_definitions` VALUES (22219, 795, 6, 'Bent u voorbereid om een nieuwe GCAC issue voor dit bezoek af te maken?');
INSERT INTO `lang_definitions` VALUES (22220, 796, 6, 'Deze CHAT historie zeker verwijderen?');
INSERT INTO `lang_definitions` VALUES (22221, 797, 6, 'Bent u er zeker van het voor vandaag te posten?');
INSERT INTO `lang_definitions` VALUES (22222, 798, 6, 'WIlt u zeker deze gebeurtenis goedkeuren?');
INSERT INTO `lang_definitions` VALUES (22223, 799, 6, 'Bent u zeker van dat u de wijzigingen wilt annuleren?');
INSERT INTO `lang_definitions` VALUES (22224, 801, 6, 'Bent u er zeker van dit Formulier definitief te verwijderen?');
INSERT INTO `lang_definitions` VALUES (22225, 803, 6, 'Bent u er zeker van dit te verwijdern');
INSERT INTO `lang_definitions` VALUES (22226, 804, 6, 'Bent U er zeker van om deze disclosure te verwijderen');
INSERT INTO `lang_definitions` VALUES (22227, 805, 6, 'Zeker deze gebeurtenis verwijderen?');
INSERT INTO `lang_definitions` VALUES (22228, 806, 6, 'Weet u zeker dat u dit item wilt verwijderen uit de database?');
INSERT INTO `lang_definitions` VALUES (22229, 808, 6, 'Bent u er zeker van deze notitie te verwijderen?');
INSERT INTO `lang_definitions` VALUES (22230, 809, 6, 'Bent u zeker dat u dit plan wilt verwijderen?');
INSERT INTO `lang_definitions` VALUES (22231, 810, 6, 'Zeker deze gebeurtenis aanpassen?');
INSERT INTO `lang_definitions` VALUES (22232, 811, 6, 'Zeker deze gebeurtenissen verbergen?');
INSERT INTO `lang_definitions` VALUES (22233, 812, 6, 'Zeker deze ruimte voor de naam te verwijderen?');
INSERT INTO `lang_definitions` VALUES (22234, 813, 6, 'Wilt u dit opnieuw verzenden?');
INSERT INTO `lang_definitions` VALUES (22235, 814, 6, 'Zeker deze gebeurtenis(sen) inzien?');
INSERT INTO `lang_definitions` VALUES (22236, 815, 6, 'Gaat u de hele groep verwijderen met de volgende naam');
INSERT INTO `lang_definitions` VALUES (22237, 816, 6, 'Weet u zeker dat u de gehele lijst wilt verwijderen');
INSERT INTO `lang_definitions` VALUES (22238, 817, 6, 'Weet u zeker dat u het veld wilt verwijderen in');
INSERT INTO `lang_definitions` VALUES (22239, 818, 6, 'Wilt u zeker de geselecteerde velden verwijderen?');
INSERT INTO `lang_definitions` VALUES (22240, 819, 6, 'Weet u zeker dat u met deze acties wilt doorgaan?');
INSERT INTO `lang_definitions` VALUES (22241, 820, 6, 'Gebied niet nader gespecificeerd');
INSERT INTO `lang_definitions` VALUES (22242, 821, 6, 'Arm');
INSERT INTO `lang_definitions` VALUES (22243, 822, 6, 'Armeens');
INSERT INTO `lang_definitions` VALUES (22244, 823, 6, 'AR dchtbij{{Auto-refractie dichtbij}}');
INSERT INTO `lang_definitions` VALUES (22245, 824, 6, 'AR dichtbij{{autorefraction dichtbij}}');
INSERT INTO `lang_definitions` VALUES (22246, 825, 6, 'Aankomst');
INSERT INTO `lang_definitions` VALUES (22247, 826, 6, 'TIjd van aankomst');
INSERT INTO `lang_definitions` VALUES (22248, 827, 6, 'Aangekomen');
INSERT INTO `lang_definitions` VALUES (22249, 828, 6, 'Te laat aangekomen');
INSERT INTO `lang_definitions` VALUES (22250, 829, 6, 'Arytmie');
INSERT INTO `lang_definitions` VALUES (22251, 830, 6, 'Artritis');
INSERT INTO `lang_definitions` VALUES (22252, 831, 6, 'Artritis/degeneratieve gewr. aandoening');
INSERT INTO `lang_definitions` VALUES (22253, 832, 6, 'Artritis/degeneratieve gewr. aandoening');
INSERT INTO `lang_definitions` VALUES (22254, 833, 6, 'Artikel');
INSERT INTO `lang_definitions` VALUES (22255, 834, 6, 'AR {{auto refractie Acuity}}');
INSERT INTO `lang_definitions` VALUES (22256, 835, 6, 'Auto refractieAR {{autorefractie}}');
INSERT INTO `lang_definitions` VALUES (22257, 836, 6, 'als');
INSERT INTO `lang_definitions` VALUES (22258, 837, 6, 'Zoals het op de dokumenten komt te staan');
INSERT INTO `lang_definitions` VALUES (22259, 838, 6, 'vanaf');
INSERT INTO `lang_definitions` VALUES (22260, 843, 6, 'Zoals het op de documenten komt te staan');
INSERT INTO `lang_definitions` VALUES (22261, 844, 6, 'ASC');
INSERT INTO `lang_definitions` VALUES (22262, 845, 6, 'Aziatisch');
INSERT INTO `lang_definitions` VALUES (22263, 846, 6, 'Assamese');
INSERT INTO `lang_definitions` VALUES (22264, 847, 6, 'Evaluatie Penicilline allergie');
INSERT INTO `lang_definitions` VALUES (22265, 848, 6, 'Evaluatie');
INSERT INTO `lang_definitions` VALUES (22266, 849, 6, 'Evaluatie');
INSERT INTO `lang_definitions` VALUES (22267, 853, 6, 'Toegewezen aan');
INSERT INTO `lang_definitions` VALUES (22268, 854, 6, 'Assistent');
INSERT INTO `lang_definitions` VALUES (22269, 855, 6, 'Woonamgeving met ondersteuning');
INSERT INTO `lang_definitions` VALUES (22270, 856, 6, 'Associate');
INSERT INTO `lang_definitions` VALUES (22271, 857, 6, 'Geassocieerd');
INSERT INTO `lang_definitions` VALUES (22272, 858, 6, 'Bijbehorende notities');
INSERT INTO `lang_definitions` VALUES (22273, 859, 6, 'Messaging toestemming door pt mag als \"aangenomen\" worden gekwalificeerd');
INSERT INTO `lang_definitions` VALUES (22274, 860, 6, 'HIPAA verklaring is ontvangen door patient');
INSERT INTO `lang_definitions` VALUES (22275, 861, 6, 'Astma');
INSERT INTO `lang_definitions` VALUES (22276, 862, 6, 'bij');
INSERT INTO `lang_definitions` VALUES (22277, 863, 6, 'U moet er minstens eentje kiezen als u \"ALL\" kiest');
INSERT INTO `lang_definitions` VALUES (22278, 866, 6, 'Bij de naviculare');
INSERT INTO `lang_definitions` VALUES (22279, 867, 6, 'Bij de naviculare:');
INSERT INTO `lang_definitions` VALUES (22280, 868, 6, 'Atletiek team');
INSERT INTO `lang_definitions` VALUES (22281, 869, 6, 'Atletiek team');
INSERT INTO `lang_definitions` VALUES (22282, 870, 6, 'Sportblessure');
INSERT INTO `lang_definitions` VALUES (22283, 871, 6, 'ATNA audit CA certificaat');
INSERT INTO `lang_definitions` VALUES (22284, 872, 6, 'ATNA audit host');
INSERT INTO `lang_definitions` VALUES (22285, 873, 6, 'ATNA audit voor lokaal certificaat');
INSERT INTO `lang_definitions` VALUES (22286, 874, 6, 'ATNA audit poort');
INSERT INTO `lang_definitions` VALUES (22287, 875, 6, 'Atropine 1%');
INSERT INTO `lang_definitions` VALUES (22288, 876, 6, 'Dokter die helpt');
INSERT INTO `lang_definitions` VALUES (22289, 877, 6, 'Attentie');
INSERT INTO `lang_definitions` VALUES (22290, 878, 6, 'Let op: Dokumenten zijn pending');
INSERT INTO `lang_definitions` VALUES (22291, 879, 6, 'Attn');
INSERT INTO `lang_definitions` VALUES (22292, 880, 6, 'Attributen');
INSERT INTO `lang_definitions` VALUES (22293, 881, 6, 'Audiologische arts');
INSERT INTO `lang_definitions` VALUES (22294, 883, 6, 'Audit CDR Engine Queries');
INSERT INTO `lang_definitions` VALUES (22295, 884, 6, 'Audit veranderingen');
INSERT INTO `lang_definitions` VALUES (22296, 885, 6, 'Gerommel met de Audit log');
INSERT INTO `lang_definitions` VALUES (22297, 886, 6, 'Rapport van gerommel met Audit log');
INSERT INTO `lang_definitions` VALUES (22298, 887, 6, 'Er is met Audit log geknoed verduidelijking thv binnenkomst nummer');
INSERT INTO `lang_definitions` VALUES (22299, 888, 6, 'Audit log is goed gewaardeerd');
INSERT INTO `lang_definitions` VALUES (22300, 889, 6, 'Audit Log validatie mislukt');
INSERT INTO `lang_definitions` VALUES (22301, 890, 6, 'Audit log Backups');
INSERT INTO `lang_definitions` VALUES (22302, 891, 6, 'Audit log Diversen');
INSERT INTO `lang_definitions` VALUES (22303, 892, 6, 'Audit log orde');
INSERT INTO `lang_definitions` VALUES (22304, 893, 6, 'Audit log Pt.status');
INSERT INTO `lang_definitions` VALUES (22305, 894, 6, 'Audit log schema');
INSERT INTO `lang_definitions` VALUES (22306, 895, 6, 'Audit log veiligheid administratie');
INSERT INTO `lang_definitions` VALUES (22307, 896, 6, 'Audit log SELECT query');
INSERT INTO `lang_definitions` VALUES (22308, 898, 6, 'Aug.');
INSERT INTO `lang_definitions` VALUES (22309, 899, 6, 'Augustus');
INSERT INTO `lang_definitions` VALUES (22310, 900, 6, 'Tante');
INSERT INTO `lang_definitions` VALUES (22311, 901, 6, 'Aut.');
INSERT INTO `lang_definitions` VALUES (22312, 902, 6, 'Aut/Notities');
INSERT INTO `lang_definitions` VALUES (22313, 918, 6, 'Authenticator');
INSERT INTO `lang_definitions` VALUES (22314, 920, 6, 'Auteur');
INSERT INTO `lang_definitions` VALUES (22315, 921, 6, 'Autorisatie');
INSERT INTO `lang_definitions` VALUES (22316, 922, 6, 'Autorisatie groep');
INSERT INTO `lang_definitions` VALUES (22317, 923, 6, 'Status betreffende autorisatie');
INSERT INTO `lang_definitions` VALUES (22318, 924, 6, 'Autorisatie');
INSERT INTO `lang_definitions` VALUES (22319, 925, 6, 'Autoriseer');
INSERT INTO `lang_definitions` VALUES (22320, 926, 6, 'Autoriseer - consult naar keuze');
INSERT INTO `lang_definitions` VALUES (22321, 927, 6, 'Autoriseer - encounters naar keuze (auth_a)');
INSERT INTO `lang_definitions` VALUES (22322, 928, 6, 'Autoriseer - consulten alleen van mij');
INSERT INTO `lang_definitions` VALUES (22323, 929, 6, 'Autoriseer - mijn Encounters (auth)');
INSERT INTO `lang_definitions` VALUES (22324, 930, 6, 'Autoriseer als mijn E- Signature');
INSERT INTO `lang_definitions` VALUES (22325, 933, 6, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (22326, 934, 6, 'Geautoriseerd');
INSERT INTO `lang_definitions` VALUES (22327, 935, 6, 'Geautoriseerde ID');
INSERT INTO `lang_definitions` VALUES (22328, 936, 6, 'Alleen geautoriseerd');
INSERT INTO `lang_definitions` VALUES (22329, 937, 6, 'Geautoriseerde gebruikers');
INSERT INTO `lang_definitions` VALUES (22330, 940, 6, 'Auto Refractie');
INSERT INTO `lang_definitions` VALUES (22331, 941, 6, 'Direct zenden');
INSERT INTO `lang_definitions` VALUES (22332, 942, 6, 'Auto Sign-off (in dgn)');
INSERT INTO `lang_definitions` VALUES (22333, 943, 6, 'Zelfstandige transfer');
INSERT INTO `lang_definitions` VALUES (22334, 944, 6, 'Nieuwe contacten automatisch aanmaken');
INSERT INTO `lang_definitions` VALUES (22335, 945, 6, 'Automatisch-gegenereerd');
INSERT INTO `lang_definitions` VALUES (22336, 946, 6, 'Auto refractie');
INSERT INTO `lang_definitions` VALUES (22337, 947, 6, 'Automatische meetgegevens en berekingen (AMC)');
INSERT INTO `lang_definitions` VALUES (22338, 948, 6, 'Automatische meetgegevens en berekingen (AMC) - 2011');
INSERT INTO `lang_definitions` VALUES (22339, 949, 6, 'Automatische meetgegevens en berekingen (AMC) - 2014');
INSERT INTO `lang_definitions` VALUES (22340, 950, 6, 'Automatische meetgegevens en berekeningen (AMC) - 2014 Fase I');
INSERT INTO `lang_definitions` VALUES (22341, 951, 6, 'Automatische meetgegevens en berekeningen (AMC) - 2014 Fase II');
INSERT INTO `lang_definitions` VALUES (22342, 952, 6, 'Automatische meetgegevens en berekingnen (AMC) vervolgen');
INSERT INTO `lang_definitions` VALUES (22343, 953, 6, 'Automatische meetgegevens (AMC)');
INSERT INTO `lang_definitions` VALUES (22344, 954, 6, 'Geautomatiseerde Voice berichten toestemming');
INSERT INTO `lang_definitions` VALUES (22345, 955, 6, 'Automatisch');
INSERT INTO `lang_definitions` VALUES (22346, 956, 6, 'Geautmatiseerd vanuit verkoop');
INSERT INTO `lang_definitions` VALUES (22347, 957, 6, 'Past automatisch de juiste extensie toe op een succesvolle upload');
INSERT INTO `lang_definitions` VALUES (22348, 958, 6, 'Nieuwe ontmoeting automatisch aanmaken wanneer een afspraak check-in-status is geselecteerd.');
INSERT INTO `lang_definitions` VALUES (22349, 959, 6, 'Maak automatisch een nieuwe afspraak als de indicator op \"@\" (aangekomen is gezet)');
INSERT INTO `lang_definitions` VALUES (22350, 960, 6, 'Automatisch repliceren justificatie codes in Fee Sheet');
INSERT INTO `lang_definitions` VALUES (22351, 961, 6, 'Automatisch repliceren justificatie codes in Fee Sheet (in principe vult het de lege plekken met de justificatie code van erboven)');
INSERT INTO `lang_definitions` VALUES (22352, 962, 6, 'Automobiel medisch');
INSERT INTO `lang_definitions` VALUES (22353, 964, 6, 'autosaved');
INSERT INTO `lang_definitions` VALUES (22354, 965, 6, 'Auto-refractie');
INSERT INTO `lang_definitions` VALUES (22355, 966, 6, 'Beschikbare afspraken kalender');
INSERT INTO `lang_definitions` VALUES (22356, 967, 6, 'Beschikbare categorieen');
INSERT INTO `lang_definitions` VALUES (22357, 970, 6, 'Beschikbare Services');
INSERT INTO `lang_definitions` VALUES (22358, 971, 6, 'Beschikbare tijden');
INSERT INTO `lang_definitions` VALUES (22359, 972, 6, 'Beschikbare te volgen paden');
INSERT INTO `lang_definitions` VALUES (22360, 973, 6, 'Avarisch');
INSERT INTO `lang_definitions` VALUES (22361, 974, 6, 'Avery Label type om patienten lagbels te printen van Pop-ups in het linker navigatie scherm');
INSERT INTO `lang_definitions` VALUES (22362, 975, 6, 'Avestaans');
INSERT INTO `lang_definitions` VALUES (22363, 976, 6, 'Maandgemiddelde');
INSERT INTO `lang_definitions` VALUES (22364, 977, 6, 'AVM');
INSERT INTO `lang_definitions` VALUES (22365, 978, 6, 'AVM bevestigd');
INSERT INTO `lang_definitions` VALUES (22366, 979, 6, 'AVM ok');
INSERT INTO `lang_definitions` VALUES (22367, 980, 6, 'Avulsie / avulsie fractuur');
INSERT INTO `lang_definitions` VALUES (22368, 981, 6, 'Avulsie laterale malleolus');
INSERT INTO `lang_definitions` VALUES (22369, 982, 6, 'Avulsie mediale malleolus');
INSERT INTO `lang_definitions` VALUES (22370, 983, 6, 'Op basis van waarneming');
INSERT INTO `lang_definitions` VALUES (22371, 984, 6, 'Axiale lengte');
INSERT INTO `lang_definitions` VALUES (22372, 985, 6, 'Axillair');
INSERT INTO `lang_definitions` VALUES (22373, 986, 6, 'Axis {{voorschrift voor bril}}');
INSERT INTO `lang_definitions` VALUES (22374, 987, 6, 'Axis {{voorschrift voor bril}}');
INSERT INTO `lang_definitions` VALUES (22375, 988, 6, 'Axis {{voorschrift voor bril}}');
INSERT INTO `lang_definitions` VALUES (22376, 989, 6, 'AxL (Axiale lengte)');
INSERT INTO `lang_definitions` VALUES (22377, 990, 6, 'Aymaraans');
INSERT INTO `lang_definitions` VALUES (22378, 991, 6, 'Azerbaadjaans');
INSERT INTO `lang_definitions` VALUES (22379, 992, 6, '2 x daags');
INSERT INTO `lang_definitions` VALUES (22380, 993, 6, 'Terug');
INSERT INTO `lang_definitions` VALUES (22381, 994, 6, 'terug');
INSERT INTO `lang_definitions` VALUES (22382, 995, 6, 'Acht consultaties terug');
INSERT INTO `lang_definitions` VALUES (22383, 996, 6, 'Elf consutaties terug');
INSERT INTO `lang_definitions` VALUES (22384, 997, 6, 'Vijf consultaties terug');
INSERT INTO `lang_definitions` VALUES (22385, 998, 6, 'Vier consultaties terug');
INSERT INTO `lang_definitions` VALUES (22386, 999, 6, 'Negen consultaties terug');
INSERT INTO `lang_definitions` VALUES (22387, 1000, 6, 'Eén consultatie terug');
INSERT INTO `lang_definitions` VALUES (22388, 1001, 6, 'Rugpijn');
INSERT INTO `lang_definitions` VALUES (22389, 1002, 6, 'Rugproblemen');
INSERT INTO `lang_definitions` VALUES (22390, 1003, 6, 'Zeven consutaties terug');
INSERT INTO `lang_definitions` VALUES (22391, 1004, 6, 'Zes consultaties terug');
INSERT INTO `lang_definitions` VALUES (22392, 1005, 6, 'Rug chirurgie');
INSERT INTO `lang_definitions` VALUES (22393, 1006, 6, 'Tien consultaties terug');
INSERT INTO `lang_definitions` VALUES (22394, 1007, 6, 'Drie consultaties terug');
INSERT INTO `lang_definitions` VALUES (22395, 1008, 6, 'Terug naar Admin pagina');
INSERT INTO `lang_definitions` VALUES (22396, 1010, 6, 'Terug naar de EDITOR');
INSERT INTO `lang_definitions` VALUES (22397, 1011, 6, 'Terug naar encounter');
INSERT INTO `lang_definitions` VALUES (22398, 1012, 6, 'Terug naar patient');
INSERT INTO `lang_definitions` VALUES (22399, 1013, 6, 'Terug naar patient');
INSERT INTO `lang_definitions` VALUES (22400, 1014, 6, 'Terug naar dashboard van patient');
INSERT INTO `lang_definitions` VALUES (22401, 1015, 6, 'Terug naar Users');
INSERT INTO `lang_definitions` VALUES (22402, 1016, 6, 'Terug naar weergave');
INSERT INTO `lang_definitions` VALUES (22403, 1017, 6, 'Twaalf consultaties terug');
INSERT INTO `lang_definitions` VALUES (22404, 1018, 6, 'Twee bezoeken terug');
INSERT INTO `lang_definitions` VALUES (22405, 1019, 6, 'Background Services');
INSERT INTO `lang_definitions` VALUES (22406, 1020, 6, 'Back-up');
INSERT INTO `lang_definitions` VALUES (22407, 1022, 6, 'Backupbestand is aangemaakt. Downloaden begint.');
INSERT INTO `lang_definitions` VALUES (22408, 1023, 6, 'Backup lijst');
INSERT INTO `lang_definitions` VALUES (22409, 1024, 6, 'Backup is met succes binnen gekomen');
INSERT INTO `lang_definitions` VALUES (22410, 1025, 6, 'Ongedekte cheque');
INSERT INTO `lang_definitions` VALUES (22411, 1026, 6, 'Achterstallige schulden');
INSERT INTO `lang_definitions` VALUES (22412, 1027, 6, 'Bahasa Indonesisch');
INSERT INTO `lang_definitions` VALUES (22413, 1028, 6, 'Bal');
INSERT INTO `lang_definitions` VALUES (22414, 1031, 6, 'Balans');
INSERT INTO `lang_definitions` VALUES (22415, 1032, 6, 'Uitstaande schuld');
INSERT INTO `lang_definitions` VALUES (22416, 1033, 6, 'Balans van te betalen');
INSERT INTO `lang_definitions` VALUES (22417, 1034, 6, 'Te betalen');
INSERT INTO `lang_definitions` VALUES (22418, 1035, 6, 'Balansbetaling');
INSERT INTO `lang_definitions` VALUES (22419, 1036, 6, 'Uitgebalanceerd');
INSERT INTO `lang_definitions` VALUES (22420, 1037, 6, 'Bambaraans');
INSERT INTO `lang_definitions` VALUES (22421, 1038, 6, 'Bank-wissel');
INSERT INTO `lang_definitions` VALUES (22422, 1039, 6, 'Barcode Label');
INSERT INTO `lang_definitions` VALUES (22423, 1040, 6, 'Barcode label type');
INSERT INTO `lang_definitions` VALUES (22424, 1041, 6, 'Barcode type om barcode labels te printen van linker menu scherm');
INSERT INTO `lang_definitions` VALUES (22425, 1042, 6, 'Basis metatarsale 5');
INSERT INTO `lang_definitions` VALUES (22426, 1043, 6, 'Basis metatarsale 5:');
INSERT INTO `lang_definitions` VALUES (22427, 1045, 6, 'Basis-URL voor FHIR-server. URL moet eindigen met /');
INSERT INTO `lang_definitions` VALUES (22428, 1047, 6, 'Bashkir');
INSERT INTO `lang_definitions` VALUES (22429, 1049, 6, 'Baskisch');
INSERT INTO `lang_definitions` VALUES (22430, 1050, 6, 'Batch Claim');
INSERT INTO `lang_definitions` VALUES (22431, 1051, 6, 'Gereedschap voor batch-communicatie');
INSERT INTO `lang_definitions` VALUES (22432, 1052, 6, 'Batch communicatie gereedscahp (batchcom)');
INSERT INTO `lang_definitions` VALUES (22433, 1053, 6, 'Betalingen invoer dmv groepen');
INSERT INTO `lang_definitions` VALUES (22434, 1054, 6, 'Overzicht betalingen');
INSERT INTO `lang_definitions` VALUES (22435, 1055, 6, 'Batch-verwerking begonnen, kan even duren');
INSERT INTO `lang_definitions` VALUES (22436, 1056, 6, 'Batch-resultaten');
INSERT INTO `lang_definitions` VALUES (22437, 1057, 6, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (22438, 1058, 6, 'Brightness Scherpte testen');
INSERT INTO `lang_definitions` VALUES (22439, 1059, 6, 'Basalecurve');
INSERT INTO `lang_definitions` VALUES (22440, 1060, 6, 'Geduld het kan enkele minuten duren om sommige files te verwerken!');
INSERT INTO `lang_definitions` VALUES (22441, 1061, 6, 'Geduld, dit kan wel even duren.');
INSERT INTO `lang_definitions` VALUES (22442, 1063, 6, 'omdat dat ID niet bestaat.');
INSERT INTO `lang_definitions` VALUES (22443, 1064, 6, 'vooraf');
INSERT INTO `lang_definitions` VALUES (22444, 1065, 6, 'vooraf (PM)');
INSERT INTO `lang_definitions` VALUES (22445, 1072, 6, 'Start');
INSERT INTO `lang_definitions` VALUES (22446, 1074, 6, 'Startdatum');
INSERT INTO `lang_definitions` VALUES (22447, 1076, 6, 'Begindatum voor Ledger Report');
INSERT INTO `lang_definitions` VALUES (22448, 1077, 6, 'Begindatum Service jjjj-mm-dd');
INSERT INTO `lang_definitions` VALUES (22449, 1078, 6, 'Start uur voor begin dv/d dag voor de kalender.');
INSERT INTO `lang_definitions` VALUES (22450, 1081, 6, 'Belarusisch');
INSERT INTO `lang_definitions` VALUES (22451, 1082, 6, 'Oprispingen');
INSERT INTO `lang_definitions` VALUES (22452, 1083, 6, 'Lager dan de onderste paniek grenzen');
INSERT INTO `lang_definitions` VALUES (22453, 1086, 6, 'Bengaals');
INSERT INTO `lang_definitions` VALUES (22454, 1087, 6, 'Bengali - Bangla');
INSERT INTO `lang_definitions` VALUES (22455, 1088, 6, 'Een beetje geluk.');
INSERT INTO `lang_definitions` VALUES (22456, 1089, 6, 'tussen');
INSERT INTO `lang_definitions` VALUES (22457, 1090, 6, 'bg');
INSERT INTO `lang_definitions` VALUES (22458, 1091, 6, 'In beide richtingen');
INSERT INTO `lang_definitions` VALUES (22459, 1092, 6, 'Bi focaal');
INSERT INTO `lang_definitions` VALUES (22460, 1093, 6, 'Bifocalen');
INSERT INTO `lang_definitions` VALUES (22461, 1094, 6, 'Bihari');
INSERT INTO `lang_definitions` VALUES (22462, 1095, 6, 'Beide kanten');
INSERT INTO `lang_definitions` VALUES (22463, 1096, 6, 'Beide kanten:');
INSERT INTO `lang_definitions` VALUES (22464, 1098, 6, 'Datum rekening');
INSERT INTO `lang_definitions` VALUES (22465, 1099, 6, 'Datum rekening:');
INSERT INTO `lang_definitions` VALUES (22466, 1101, 6, 'Rekening/Innen');
INSERT INTO `lang_definitions` VALUES (22467, 1102, 6, 'In rekening gebracht');
INSERT INTO `lang_definitions` VALUES (22468, 1103, 6, 'Datum verstuurde rekening');
INSERT INTO `lang_definitions` VALUES (22469, 1104, 6, 'In rekening brengen');
INSERT INTO `lang_definitions` VALUES (22470, 1105, 6, 'In rekening brengen (met schrijf optie)');
INSERT INTO `lang_definitions` VALUES (22471, 1106, 6, 'In rekning brengen (write toegestaan) ( rekening(');
INSERT INTO `lang_definitions` VALUES (22472, 1108, 6, 'Factuur adres');
INSERT INTO `lang_definitions` VALUES (22473, 1109, 6, 'Rekening t.a.v.');
INSERT INTO `lang_definitions` VALUES (22474, 1110, 6, 'Code omschrijving van de rekening');
INSERT INTO `lang_definitions` VALUES (22475, 1111, 6, 'Rekening code voor aangevraagde Service');
INSERT INTO `lang_definitions` VALUES (22476, 1112, 6, 'Codering voor rekeningen');
INSERT INTO `lang_definitions` VALUES (22477, 1113, 6, 'Datum versturen rekeningen');
INSERT INTO `lang_definitions` VALUES (22478, 1114, 6, 'Financiele administratie');
INSERT INTO `lang_definitions` VALUES (22479, 1115, 6, 'Kliniek om rekeningen aan te maken');
INSERT INTO `lang_definitions` VALUES (22480, 1117, 6, 'Rekeninginformatie');
INSERT INTO `lang_definitions` VALUES (22481, 1118, 6, 'Rekeninglokatie');
INSERT INTO `lang_definitions` VALUES (22482, 1120, 6, 'Rekeningen Log toegevoegd');
INSERT INTO `lang_definitions` VALUES (22483, 1122, 6, 'Rekeningen Log opties');
INSERT INTO `lang_definitions` VALUES (22484, 1123, 6, 'Rekeningen Log overscrhijving');
INSERT INTO `lang_definitions` VALUES (22485, 1124, 6, 'Rekeningen Log instelling te voegen of overschrijven van het logbestand.');
INSERT INTO `lang_definitions` VALUES (22486, 1125, 6, 'Rekeningen Manager');
INSERT INTO `lang_definitions` VALUES (22487, 1126, 6, 'Rekeningnotitie');
INSERT INTO `lang_definitions` VALUES (22488, 1127, 6, 'Rekeningnotitie voor');
INSERT INTO `lang_definitions` VALUES (22489, 1128, 6, 'Rekeningnotitie:');
INSERT INTO `lang_definitions` VALUES (22490, 1129, 6, 'Opgeslagen rekening resultaten');
INSERT INTO `lang_definitions` VALUES (22491, 1130, 6, 'Opgeslagen rekening resultaat:');
INSERT INTO `lang_definitions` VALUES (22492, 1131, 6, 'Rekeningenscherm');
INSERT INTO `lang_definitions` VALUES (22493, 1132, 6, 'Rekeningen status');
INSERT INTO `lang_definitions` VALUES (22494, 1133, 6, 'Rekening status is niet aangemaakt');
INSERT INTO `lang_definitions` VALUES (22495, 1134, 6, 'Rekening voor');
INSERT INTO `lang_definitions` VALUES (22496, 1135, 6, 'Rekeningen scherm');
INSERT INTO `lang_definitions` VALUES (22497, 1136, 6, 'Ver zien - binoculaire pupil diameter');
INSERT INTO `lang_definitions` VALUES (22498, 1137, 6, 'Dichtbij - binoculaire pupil diameter');
INSERT INTO `lang_definitions` VALUES (22499, 1138, 6, 'Biopsie');
INSERT INTO `lang_definitions` VALUES (22500, 1139, 6, 'Geboortebewijs');
INSERT INTO `lang_definitions` VALUES (22501, 1140, 6, 'Geb. datum');
INSERT INTO `lang_definitions` VALUES (22502, 1141, 6, 'Geb, 0 tot 24 maanden');
INSERT INTO `lang_definitions` VALUES (22503, 1142, 6, 'Kliniek voor zwangeren');
INSERT INTO `lang_definitions` VALUES (22504, 1143, 6, 'Bislama');
INSERT INTO `lang_definitions` VALUES (22505, 1144, 6, 'Zwart');
INSERT INTO `lang_definitions` VALUES (22506, 1146, 6, 'Zwarte lijst');
INSERT INTO `lang_definitions` VALUES (22507, 1147, 6, 'Zwarte long');
INSERT INTO `lang_definitions` VALUES (22508, 1148, 6, 'African American');
INSERT INTO `lang_definitions` VALUES (22509, 1149, 6, 'Blaaskanker');
INSERT INTO `lang_definitions` VALUES (22510, 1150, 6, 'Blaasinfectie');
INSERT INTO `lang_definitions` VALUES (22511, 1151, 6, 'Blanco');
INSERT INTO `lang_definitions` VALUES (22512, 1152, 6, 'Lege formulieren');
INSERT INTO `lang_definitions` VALUES (22513, 1153, 6, 'Problemen met bloedingen');
INSERT INTO `lang_definitions` VALUES (22514, 1154, 6, 'Blinde vlekken');
INSERT INTO `lang_definitions` VALUES (22515, 1155, 6, 'Blind');
INSERT INTO `lang_definitions` VALUES (22516, 1156, 6, 'Opzwellen');
INSERT INTO `lang_definitions` VALUES (22517, 1157, 6, 'Blokkeer alle bestandstypen die niet voorkomen in de White lijst. De interface om de White List te bewerken vindt U  bij Beheer -> Files.');
INSERT INTO `lang_definitions` VALUES (22518, 1158, 6, 'Geblokkeerd');
INSERT INTO `lang_definitions` VALUES (22519, 1159, 6, 'Bloed');
INSERT INTO `lang_definitions` VALUES (22520, 1160, 6, 'Bloeddruk');
INSERT INTO `lang_definitions` VALUES (22521, 1161, 6, 'Bloeddruk');
INSERT INTO `lang_definitions` VALUES (22522, 1162, 6, 'Bloedneus');
INSERT INTO `lang_definitions` VALUES (22523, 1163, 6, 'Blue Cross Blue Shield');
INSERT INTO `lang_definitions` VALUES (22524, 1165, 6, 'Blauwe lijnen in dit verslag zijn informeel. Zwarte lijnen tonen vooraf bestaande informatie. Groene lijnen tonen veranderingen die met succes werden doorgevoerd. Rode lijnen tonen fouten of veranderingen die niet doorgevoerd werden; deze moeten handmatig doorgevoerd worden. De afgewezen claims en teruggevorderd geld worden niet automatisch verwerkt en worden in rood getoond.');
INSERT INTO `lang_definitions` VALUES (22525, 1166, 6, 'Wazig zien');
INSERT INTO `lang_definitions` VALUES (22526, 1167, 6, 'BMI');
INSERT INTO `lang_definitions` VALUES (22527, 1168, 6, 'BMI-waarde');
INSERT INTO `lang_definitions` VALUES (22528, 1169, 6, 'Lichaam');
INSERT INTO `lang_definitions` VALUES (22529, 1170, 6, 'Gebied van het lichaam');
INSERT INTO `lang_definitions` VALUES (22530, 1171, 6, 'Kant van lichaam');
INSERT INTO `lang_definitions` VALUES (22531, 1172, 6, 'Kant van lichaam, indien van toepassing');
INSERT INTO `lang_definitions` VALUES (22532, 1173, 6, 'Botpijn');
INSERT INTO `lang_definitions` VALUES (22533, 1174, 6, 'Botpijn: mediale malleolus');
INSERT INTO `lang_definitions` VALUES (22534, 1175, 6, 'Boolean');
INSERT INTO `lang_definitions` VALUES (22535, 1176, 6, 'Bosnisch');
INSERT INTO `lang_definitions` VALUES (22536, 1177, 6, 'Laag');
INSERT INTO `lang_definitions` VALUES (22537, 1178, 6, 'Beide');
INSERT INTO `lang_definitions` VALUES (22538, 1179, 6, 'Beide oren');
INSERT INTO `lang_definitions` VALUES (22539, 1180, 6, 'beide oren');
INSERT INTO `lang_definitions` VALUES (22540, 1183, 6, 'Laag');
INSERT INTO `lang_definitions` VALUES (22541, 1184, 6, 'Kantlijn onderkant (px)');
INSERT INTO `lang_definitions` VALUES (22542, 1187, 6, 'Box 10. a. Werk gerelateerd');
INSERT INTO `lang_definitions` VALUES (22543, 1189, 6, 'Box 10. b. Auto ongeval');
INSERT INTO `lang_definitions` VALUES (22544, 1191, 6, 'Box 10. c. Ander ongeval');
INSERT INTO `lang_definitions` VALUES (22545, 1194, 6, 'Box 10. d.  EPSD verwijs Code');
INSERT INTO `lang_definitions` VALUES (22546, 1195, 6, 'Box 10. a. Beroeps gerelateerd:');
INSERT INTO `lang_definitions` VALUES (22547, 1196, 6, 'Box 10. b.Auto ongeval:');
INSERT INTO `lang_definitions` VALUES (22548, 1197, 6, 'Box 10. c. Ander ongeval:');
INSERT INTO `lang_definitions` VALUES (22549, 1198, 6, 'Box 10. d. EPSDT Referral code:');
INSERT INTO `lang_definitions` VALUES (22550, 1200, 6, 'Box 14 datum qualifier');
INSERT INTO `lang_definitions` VALUES (22551, 1201, 6, 'Box 14 Wordt gevuld met informatie uit Encounter scherm met de begin datum');
INSERT INTO `lang_definitions` VALUES (22552, 1202, 6, 'Box 14 Begin datum:');
INSERT INTO `lang_definitions` VALUES (22553, 1204, 6, 'Box 15 Andere datum Qualifier');
INSERT INTO `lang_definitions` VALUES (22554, 1205, 6, 'Box 15. Datum van zelfde of vergelijkbare ziekte (jjjj-mm-dd):');
INSERT INTO `lang_definitions` VALUES (22555, 1206, 6, 'BOX 15. Datum van zelfde of vergelijkbare ziekte/of andere datum (jjjj-mm-dd):');
INSERT INTO `lang_definitions` VALUES (22556, 1207, 6, 'Box 15. Andere datum:');
INSERT INTO `lang_definitions` VALUES (22557, 1210, 6, 'Box 16. Niet in sstaat om te werken vanaf');
INSERT INTO `lang_definitions` VALUES (22558, 1211, 6, 'Box 16 Begindatum arbeidsongeschiktheid (jjjj-mm-dd):');
INSERT INTO `lang_definitions` VALUES (22559, 1212, 6, 'Box 16.Werken vana deze daum niet bruikbaar:');
INSERT INTO `lang_definitions` VALUES (22560, 1214, 6, 'Box 16. Niet in staat om te werken tot');
INSERT INTO `lang_definitions` VALUES (22561, 1215, 6, 'Box 16 Datum AO tot (jjjj-mm-dd):');
INSERT INTO `lang_definitions` VALUES (22562, 1216, 6, 'Box 16. Niet in staat om te werken tot:');
INSERT INTO `lang_definitions` VALUES (22563, 1219, 6, 'Box 17. Aanbieder');
INSERT INTO `lang_definitions` VALUES (22564, 1221, 6, 'Box 17. Qualifier van de aanbieder');
INSERT INTO `lang_definitions` VALUES (22565, 1222, 6, 'Box 17. Qualifier voor de aanbieder');
INSERT INTO `lang_definitions` VALUES (22566, 1223, 6, 'Box 17. Aanbieder');
INSERT INTO `lang_definitions` VALUES (22567, 1226, 6, 'Box 18.Hospitalisatie datum vanaf');
INSERT INTO `lang_definitions` VALUES (22568, 1227, 6, 'Box 18 Opname in hospitaal (jjjj-mm-dd):');
INSERT INTO `lang_definitions` VALUES (22569, 1228, 6, 'Box 18. Hospitalisatie datum vanaf:');
INSERT INTO `lang_definitions` VALUES (22570, 1230, 6, 'Box 18.Hospitalisatie datum tot');
INSERT INTO `lang_definitions` VALUES (22571, 1231, 6, 'Box 18 Laatste dag in hospitaal (jjjj-mm-dd):');
INSERT INTO `lang_definitions` VALUES (22572, 1232, 6, 'Box 18 Hospitalisatie  datum tot:');
INSERT INTO `lang_definitions` VALUES (22573, 1234, 6, 'Box 20. Is er een extrern lab. gebruikt?');
INSERT INTO `lang_definitions` VALUES (22574, 1235, 6, 'Box 20 Extern Laboratorium gebruikt?');
INSERT INTO `lang_definitions` VALUES (22575, 1238, 6, 'Box 22. Midicaid Resubmissie Code (ICD-9)');
INSERT INTO `lang_definitions` VALUES (22576, 1239, 6, 'Box 22. Medicaid Resubmission Code (ICD-9)');
INSERT INTO `lang_definitions` VALUES (22577, 1242, 6, 'Box 23. Vorige No. voor auterisatie');
INSERT INTO `lang_definitions` VALUES (22578, 1243, 6, 'Box 23. Vorige No. voor auterisatie');
INSERT INTO `lang_definitions` VALUES (22579, 1244, 6, 'RR');
INSERT INTO `lang_definitions` VALUES (22580, 1245, 6, 'Diast RR');
INSERT INTO `lang_definitions` VALUES (22581, 1246, 6, 'Syst RR');
INSERT INTO `lang_definitions` VALUES (22582, 1247, 6, 'RR-D');
INSERT INTO `lang_definitions` VALUES (22583, 1248, 6, 'RR-D');
INSERT INTO `lang_definitions` VALUES (22584, 1249, 6, 'Binoculire pupil afstand verte zien');
INSERT INTO `lang_definitions` VALUES (22585, 1250, 6, 'Binoculaire afstand dichtbij zien');
INSERT INTO `lang_definitions` VALUES (22586, 1251, 6, 'RR-S');
INSERT INTO `lang_definitions` VALUES (22587, 1252, 6, 'RR-S');
INSERT INTO `lang_definitions` VALUES (22588, 1253, 6, 'Merk');
INSERT INTO `lang_definitions` VALUES (22589, 1254, 6, 'Braziliaans-Portugees');
INSERT INTO `lang_definitions` VALUES (22590, 1255, 6, 'Mamma');
INSERT INTO `lang_definitions` VALUES (22591, 1256, 6, 'Biopsie van mamma');
INSERT INTO `lang_definitions` VALUES (22592, 1257, 6, 'Afscheiding mamma');
INSERT INTO `lang_definitions` VALUES (22593, 1258, 6, 'Ziekte van de mammae');
INSERT INTO `lang_definitions` VALUES (22594, 1259, 6, 'Borstonderzoek');
INSERT INTO `lang_definitions` VALUES (22595, 1260, 6, 'Massa in mamma');
INSERT INTO `lang_definitions` VALUES (22596, 1261, 6, 'Adem');
INSERT INTO `lang_definitions` VALUES (22597, 1262, 6, 'Ademgeluiden:');
INSERT INTO `lang_definitions` VALUES (22598, 1263, 6, 'Bretons');
INSERT INTO `lang_definitions` VALUES (22599, 1264, 6, 'Helderheids scherpte');
INSERT INTO `lang_definitions` VALUES (22600, 1265, 6, 'Gebroken botten');
INSERT INTO `lang_definitions` VALUES (22601, 1266, 6, 'niet functionerend formulier');
INSERT INTO `lang_definitions` VALUES (22602, 1267, 6, 'Bronchitis formulier');
INSERT INTO `lang_definitions` VALUES (22603, 1268, 6, 'Broer');
INSERT INTO `lang_definitions` VALUES (22604, 1269, 6, 'Brow');
INSERT INTO `lang_definitions` VALUES (22605, 1270, 6, 'Doorzoeken');
INSERT INTO `lang_definitions` VALUES (22606, 1271, 6, 'Zoek naar status');
INSERT INTO `lang_definitions` VALUES (22607, 1272, 6, 'Kneuzing/Hematoom');
INSERT INTO `lang_definitions` VALUES (22608, 1274, 6, 'Maak uw plan');
INSERT INTO `lang_definitions` VALUES (22609, 1275, 6, 'Bulgaars');
INSERT INTO `lang_definitions` VALUES (22610, 1276, 6, 'Uitpuilend rechts:');
INSERT INTO `lang_definitions` VALUES (22611, 1277, 6, 'Birmanees');
INSERT INTO `lang_definitions` VALUES (22612, 1278, 6, 'Brandende mictie');
INSERT INTO `lang_definitions` VALUES (22613, 1279, 6, 'Brandende mictie');
INSERT INTO `lang_definitions` VALUES (22614, 1280, 6, 'Zakelijke associatie overeenkomst');
INSERT INTO `lang_definitions` VALUES (22615, 1281, 6, 'Kantoor telefoon');
INSERT INTO `lang_definitions` VALUES (22616, 1282, 6, 'Bezig');
INSERT INTO `lang_definitions` VALUES (22617, 1283, 6, 'maar nog niet verwerkt.');
INSERT INTO `lang_definitions` VALUES (22618, 1284, 6, 'Zitvlak');
INSERT INTO `lang_definitions` VALUES (22619, 1285, 6, 'Zitvlak + S.I.');
INSERT INTO `lang_definitions` VALUES (22620, 1286, 6, 'dmv');
INSERT INTO `lang_definitions` VALUES (22621, 1287, 6, 'Door');
INSERT INTO `lang_definitions` VALUES (22622, 1292, 6, 'Standaard is het gedeelte Gebruikerslidmaatschappen geselecteerd en worden alle actieve geregistreerde gebruikers in alfabetische volgorde weergegeven op basis van hun gebruikersnaam.');
INSERT INTO `lang_definitions` VALUES (22623, 1293, 6, 'Oraal');
INSERT INTO `lang_definitions` VALUES (22624, 1295, 6, 'Door/Oorsprong');
INSERT INTO `lang_definitions` VALUES (22625, 1296, 6, 'Door:');
INSERT INTO `lang_definitions` VALUES (22626, 1297, 6, 'Gemaakt door');
INSERT INTO `lang_definitions` VALUES (22627, 1298, 6, 'Beide kanten');
INSERT INTO `lang_definitions` VALUES (22628, 1299, 6, 'C');
INSERT INTO `lang_definitions` VALUES (22629, 1301, 6, 'CA certificaat om RFC 5425 TLS syslog te controleren.');
INSERT INTO `lang_definitions` VALUES (22630, 1302, 6, 'Cache duur (in seconden)');
INSERT INTO `lang_definitions` VALUES (22631, 1303, 6, 'Cache template output?');
INSERT INTO `lang_definitions` VALUES (22632, 1304, 6, 'Cafeine');
INSERT INTO `lang_definitions` VALUES (22633, 1305, 6, 'Cafeine consumptie');
INSERT INTO `lang_definitions` VALUES (22634, 1306, 6, 'Agenda');
INSERT INTO `lang_definitions` VALUES (22635, 1307, 6, 'Laatste uur van kalender afspraken');
INSERT INTO `lang_definitions` VALUES (22636, 1308, 6, 'Interval voor kalender');
INSERT INTO `lang_definitions` VALUES (22637, 1309, 6, 'Kalender scherm');
INSERT INTO `lang_definitions` VALUES (22638, 1310, 6, 'Agenda-instellingen');
INSERT INTO `lang_definitions` VALUES (22639, 1311, 6, 'Kalender eigenschappen (kalender)');
INSERT INTO `lang_definitions` VALUES (22640, 1312, 6, 'Begin uur van kalender');
INSERT INTO `lang_definitions` VALUES (22641, 1313, 6, 'Agenda-UI');
INSERT INTO `lang_definitions` VALUES (22642, 1314, 6, 'Agendaweergave');
INSERT INTO `lang_definitions` VALUES (22643, 1315, 6, 'Externe calender naar gebeurtenissen');
INSERT INTO `lang_definitions` VALUES (22644, 1316, 6, 'Telefoon afspraken om terug te bellen');
INSERT INTO `lang_definitions` VALUES (22645, 1317, 6, 'Oproepen van addForm() komt hier terecht');
INSERT INTO `lang_definitions` VALUES (22646, 1318, 6, 'Bel terug');
INSERT INTO `lang_definitions` VALUES (22647, 1319, 6, 'Bel terug afgehandeld');
INSERT INTO `lang_definitions` VALUES (22648, 1320, 6, 'Voerzoek om terug te bellen');
INSERT INTO `lang_definitions` VALUES (22649, 1321, 6, 'Calorien');
INSERT INTO `lang_definitions` VALUES (22650, 1322, 6, 'Cambodja');
INSERT INTO `lang_definitions` VALUES (22651, 1323, 6, 'CAMOS');
INSERT INTO `lang_definitions` VALUES (22652, 1324, 6, 'Kan niet beslissen OS!');
INSERT INTO `lang_definitions` VALUES (22653, 1325, 6, 'Kan dit niet instellen, tenzij de samenvatting van Care Sent toggle is ingesteld.');
INSERT INTO `lang_definitions` VALUES (22654, 1326, 6, 'Kan de file niet vinden!');
INSERT INTO `lang_definitions` VALUES (22655, 1327, 6, 'Kan niet uploaden');
INSERT INTO `lang_definitions` VALUES (22656, 1328, 6, 'Canada');
INSERT INTO `lang_definitions` VALUES (22657, 1329, 6, 'Annuleren');
INSERT INTO `lang_definitions` VALUES (22658, 1330, 6, 'annuleren');
INSERT INTO `lang_definitions` VALUES (22659, 1332, 6, 'Niet opslaan');
INSERT INTO `lang_definitions` VALUES (22660, 1333, 6, 'Geannuleerd');
INSERT INTO `lang_definitions` VALUES (22661, 1334, 6, 'Geannuleerd < 24  uur');
INSERT INTO `lang_definitions` VALUES (22662, 1335, 6, 'Kanker');
INSERT INTO `lang_definitions` VALUES (22663, 1336, 6, 'Ca screening: Colon screening');
INSERT INTO `lang_definitions` VALUES (22664, 1337, 6, 'Ca screening: Mammogram');
INSERT INTO `lang_definitions` VALUES (22665, 1338, 6, 'Ca screening: Pap smear');
INSERT INTO `lang_definitions` VALUES (22666, 1339, 6, 'Ca screening: Prostaat');
INSERT INTO `lang_definitions` VALUES (22667, 1340, 6, 'Kan deze invoer niet toevoegen, omdat hij reeds bestaat!');
INSERT INTO `lang_definitions` VALUES (22668, 1341, 6, 'Kan deze invoer niet toevoegen/updaten omdat er al een duplicaat bestaat!');
INSERT INTO `lang_definitions` VALUES (22669, 1342, 6, 'kan niet gearchiveerd worden, niets gedaan');
INSERT INTO `lang_definitions` VALUES (22670, 1343, 6, 'kan niet naar JPEG omgezet worden. Is ImageMagick wel geinstalleerd?');
INSERT INTO `lang_definitions` VALUES (22671, 1344, 6, 'kan niet verwijdert worden, niets gedaan');
INSERT INTO `lang_definitions` VALUES (22672, 1345, 6, 'kan niet inline getoond worden, dit type wordt niet ondersteund door BROWSER');
INSERT INTO `lang_definitions` VALUES (22673, 1346, 6, 'kan niet inline getoond worden, dit type wordt niet ondersteund door BROWSER');
INSERT INTO `lang_definitions` VALUES (22674, 1347, 6, 'kan niet inline getoond worden, dit type wordt niet ondersteund door BROWSER.');
INSERT INTO `lang_definitions` VALUES (22675, 1349, 6, 'Aanmaken mislukt');
INSERT INTO `lang_definitions` VALUES (22676, 1350, 6, 'Kan de file niet aanmaken');
INSERT INTO `lang_definitions` VALUES (22677, 1351, 6, 'Kan de file niet verwijderen (van de SMTP server)');
INSERT INTO `lang_definitions` VALUES (22678, 1352, 6, 'Kan de file niet deleten');
INSERT INTO `lang_definitions` VALUES (22679, 1353, 6, 'Kan de doel file niet localiseren');
INSERT INTO `lang_definitions` VALUES (22680, 1354, 6, 'Zoeken mislukt');
INSERT INTO `lang_definitions` VALUES (22681, 1355, 6, 'Kan geen naam van bestemmings file vinden');
INSERT INTO `lang_definitions` VALUES (22682, 1356, 6, 'Kan een -skip bron- veld niet vinden voor');
INSERT INTO `lang_definitions` VALUES (22683, 1357, 6, 'Kan een -skip doel- veld niet vinden');
INSERT INTO `lang_definitions` VALUES (22684, 1358, 6, 'Patient kan niet gevonden worden in SQL-boekhouding via Klant ID');
INSERT INTO `lang_definitions` VALUES (22685, 1359, 6, 'Postscript documentreferentie niet gevonden in');
INSERT INTO `lang_definitions` VALUES (22686, 1360, 6, 'Behandelaar kan niet gevonden worden in werknemers SQL boekhouding');
INSERT INTO `lang_definitions` VALUES (22687, 1361, 6, 'Kan betalingen niet veranderen. Niet utigewerkt is Negatief.');
INSERT INTO `lang_definitions` VALUES (22688, 1362, 6, 'Openen mislukt');
INSERT INTO `lang_definitions` VALUES (22689, 1363, 6, 'Openen mislukt ');
INSERT INTO `lang_definitions` VALUES (22690, 1364, 6, 'Kan niet toewijzen aan Verzekering. De geselecteerde instantie instantie waarvoor u koos is patient.');
INSERT INTO `lang_definitions` VALUES (22691, 1365, 6, 'Kan niet toewijzen aan patient. De geselecteerde instantie is Verzekering');
INSERT INTO `lang_definitions` VALUES (22692, 1366, 6, 'Kan geen betalingen toewijzen. Niet toegewezen is Negatief');
INSERT INTO `lang_definitions` VALUES (22693, 1367, 6, 'Kan niet lezen');
INSERT INTO `lang_definitions` VALUES (22694, 1368, 6, 'Kan DIRECTORY niet lezen');
INSERT INTO `lang_definitions` VALUES (22695, 1369, 6, 'Updaten mislukt omdat er geen bestaande entiteit wordt bewerkt');
INSERT INTO `lang_definitions` VALUES (22696, 1370, 6, 'Hoofdletters maken');
INSERT INTO `lang_definitions` VALUES (22697, 1371, 6, 'Allemaal hoofdletters');
INSERT INTO `lang_definitions` VALUES (22698, 1372, 6, 'capsule');
INSERT INTO `lang_definitions` VALUES (22699, 1373, 6, 'Kaart');
INSERT INTO `lang_definitions` VALUES (22700, 1374, 6, 'CVV kaart');
INSERT INTO `lang_definitions` VALUES (22701, 1375, 6, 'Verloop datum kaart');
INSERT INTO `lang_definitions` VALUES (22702, 1378, 6, 'Naam op de kaart');
INSERT INTO `lang_definitions` VALUES (22703, 1379, 6, 'Kaart nummer');
INSERT INTO `lang_definitions` VALUES (22704, 1380, 6, 'Kaart type');
INSERT INTO `lang_definitions` VALUES (22705, 1381, 6, 'Cardiaal');
INSERT INTO `lang_definitions` VALUES (22706, 1382, 6, 'Hartcatheterisatie');
INSERT INTO `lang_definitions` VALUES (22707, 1383, 6, 'Echo van het hart');
INSERT INTO `lang_definitions` VALUES (22708, 1384, 6, 'Cardiovasculair');
INSERT INTO `lang_definitions` VALUES (22709, 1385, 6, 'Verzorgingscoordinator');
INSERT INTO `lang_definitions` VALUES (22710, 1386, 6, 'Allen coordinartie van de zorg');
INSERT INTO `lang_definitions` VALUES (22711, 1388, 6, 'Zorgverlener');
INSERT INTO `lang_definitions` VALUES (22712, 1389, 6, 'Zorg plan');
INSERT INTO `lang_definitions` VALUES (22713, 1390, 6, 'Formulier voor verzorgingsplan');
INSERT INTO `lang_definitions` VALUES (22714, 1392, 6, 'Verzorgings team');
INSERT INTO `lang_definitions` VALUES (22715, 1394, 6, 'Carotis geruis');
INSERT INTO `lang_definitions` VALUES (22716, 1395, 6, 'Carotis {{Carotis arterien}}');
INSERT INTO `lang_definitions` VALUES (22717, 1396, 6, 'Kraakbeen / chondral / discusschade');
INSERT INTO `lang_definitions` VALUES (22718, 1397, 6, 'Kraakbeenbeschadiging');
INSERT INTO `lang_definitions` VALUES (22719, 1398, 6, 'Carotiden puls. normaal, voetrug pulsaties normaal');
INSERT INTO `lang_definitions` VALUES (22720, 1399, 6, 'Carotis arterie');
INSERT INTO `lang_definitions` VALUES (22721, 1400, 6, 'contant');
INSERT INTO `lang_definitions` VALUES (22722, 1401, 6, 'Contant');
INSERT INTO `lang_definitions` VALUES (22723, 1402, 6, 'Per Kas ontv.');
INSERT INTO `lang_definitions` VALUES (22724, 1403, 6, 'Kwitanties per behandelaar');
INSERT INTO `lang_definitions` VALUES (22725, 1404, 6, 'Catalaans - Valenciaans');
INSERT INTO `lang_definitions` VALUES (22726, 1405, 6, 'Cataract');
INSERT INTO `lang_definitions` VALUES (22727, 1406, 6, 'Cataract operatie');
INSERT INTO `lang_definitions` VALUES (22728, 1407, 6, 'Cataracten');
INSERT INTO `lang_definitions` VALUES (22729, 1408, 6, 'Categorieen');
INSERT INTO `lang_definitions` VALUES (22730, 1409, 6, 'Categorieen voor');
INSERT INTO `lang_definitions` VALUES (22731, 1410, 6, 'Categorie');
INSERT INTO `lang_definitions` VALUES (22732, 1411, 6, 'categorie');
INSERT INTO `lang_definitions` VALUES (22733, 1412, 6, 'Categorie');
INSERT INTO `lang_definitions` VALUES (22734, 1414, 6, 'Categorie verandert');
INSERT INTO `lang_definitions` VALUES (22735, 1415, 6, 'Categorie kleur schema');
INSERT INTO `lang_definitions` VALUES (22736, 1416, 6, 'Categorie details');
INSERT INTO `lang_definitions` VALUES (22737, 1417, 6, 'Categorie limieten');
INSERT INTO `lang_definitions` VALUES (22738, 1418, 6, 'Categorie naam');
INSERT INTO `lang_definitions` VALUES (22739, 1419, 6, 'Categorie naam niet ingevuld');
INSERT INTO `lang_definitions` VALUES (22740, 1420, 6, 'Categorie/Titel');
INSERT INTO `lang_definitions` VALUES (22741, 1421, 6, 'Caucasisch');
INSERT INTO `lang_definitions` VALUES (22742, 1422, 6, 'Zorgt voor printen van Encounter/Eerste Provider informatie');
INSERT INTO `lang_definitions` VALUES (22743, 1423, 6, 'cc Afst{{met correctie voor de verte}}');
INSERT INTO `lang_definitions` VALUES (22744, 1424, 6, 'cc Dichtbij{{met correctie voor dichtbij}}');
INSERT INTO `lang_definitions` VALUES (22745, 1425, 6, 'CCD');
INSERT INTO `lang_definitions` VALUES (22746, 1426, 6, 'CCDA');
INSERT INTO `lang_definitions` VALUES (22747, 1427, 6, 'cc Afst{{met correctie voor de verte}}');
INSERT INTO `lang_definitions` VALUES (22748, 1428, 6, 'cc Afst{{met correctie voor de verte}}');
INSERT INTO `lang_definitions` VALUES (22749, 1429, 6, 'cc Dichtbij{{met correctie voor dichtbij}}');
INSERT INTO `lang_definitions` VALUES (22750, 1430, 6, 'cc Dichtbij{{met correctie voor dichtbij}}');
INSERT INTO `lang_definitions` VALUES (22751, 1431, 6, 'CCR');
INSERT INTO `lang_definitions` VALUES (22752, 1432, 6, 'CCR- goedkeuren');
INSERT INTO `lang_definitions` VALUES (22753, 1433, 6, 'CCR Patient review');
INSERT INTO `lang_definitions` VALUES (22754, 1434, 6, 'CCR Review en goedkeuren');
INSERT INTO `lang_definitions` VALUES (22755, 1435, 6, 'CC{{Hoofdklacht}}');
INSERT INTO `lang_definitions` VALUES (22756, 1436, 6, 'CC{{met correctie}}');
INSERT INTO `lang_definitions` VALUES (22757, 1437, 6, 'CC{{met correctie}}');
INSERT INTO `lang_definitions` VALUES (22758, 1440, 6, 'CDC code');
INSERT INTO `lang_definitions` VALUES (22759, 1441, 6, 'CDC-NIP Code');
INSERT INTO `lang_definitions` VALUES (22760, 1442, 6, 'CDR');
INSERT INTO `lang_definitions` VALUES (22761, 1443, 6, 'CDR rapport verwerkings voorkeur');
INSERT INTO `lang_definitions` VALUES (22762, 1444, 6, 'Mobiel nummer');
INSERT INTO `lang_definitions` VALUES (22763, 1445, 6, 'Mobiel nummer');
INSERT INTO `lang_definitions` VALUES (22764, 1446, 6, 'Mobiel nummer');
INSERT INTO `lang_definitions` VALUES (22765, 1447, 6, 'Mobiel nummer');
INSERT INTO `lang_definitions` VALUES (22766, 1449, 6, 'Centrale Certificering');
INSERT INTO `lang_definitions` VALUES (22767, 1450, 6, 'Centrale Macula dikte');
INSERT INTO `lang_definitions` VALUES (22768, 1451, 6, 'Centraal/Zuid Amerikaan');
INSERT INTO `lang_definitions` VALUES (22769, 1452, 6, 'Certificate Authority crt file locatie kan niet leeg zijn');
INSERT INTO `lang_definitions` VALUES (22770, 1453, 6, 'Locatie sleutelbestand van autorisatiecertificaat mag niet leeg zijn');
INSERT INTO `lang_definitions` VALUES (22771, 1454, 6, 'Certificaat om naar RFC 5425 TLS syslog server te sturen');
INSERT INTO `lang_definitions` VALUES (22772, 1455, 6, 'Certificaat gebruiker');
INSERT INTO `lang_definitions` VALUES (22773, 1456, 6, 'Certificaat');
INSERT INTO `lang_definitions` VALUES (22774, 1457, 6, 'Chamorro');
INSERT INTO `lang_definitions` VALUES (22775, 1458, 6, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (22776, 1459, 6, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (22777, 1460, 6, 'wijzig');
INSERT INTO `lang_definitions` VALUES (22778, 1461, 6, 'Wijzig');
INSERT INTO `lang_definitions` VALUES (22779, 1462, 6, 'Wijzig activiteit');
INSERT INTO `lang_definitions` VALUES (22780, 1463, 6, 'Wijzig elk item dat beschikbaar is en klik wanneer u klaar bent op Verzenden voor beoordeling. De wijzigingen worden gemarkeerd en medewerkers worden op de hoogte gesteld om wijzigingen te bekijken voordat ze in kaart worden gebracht. Gedurende de periode voordat wijzigingen worden beoordeeld, wordt op de knop Herzien de melding In behandeling en profielgegevens nog steeds beschikbaar voor wijzigingen weergegeven. Wanneer u het profiel in de status In behandeling opent, worden alle voorgaande bewerkingen weergegeven in Blauw en de huidige diagramwaarden in Rood. U kunt elke bewerking naar grafiekwaarde terugdraaien door op dat rode item te klikken (of andersom) maar onthoud dat wanneer u op Verzenden voor revisie klikt, items die de velditems vullen, de items zijn die worden verzonden. De knop Vorige bewerkingen wijzigt alles terug naar diagramwaarden en u kunt vanaf daar wijzigingen aanbrengen. Dus om samen te vatten: items in BLAUW zijn patiëntbewerkingen waarbij artikelen in ROOD oorspronkelijke waarden zijn vóór eventuele bewerkingen.');
INSERT INTO `lang_definitions` VALUES (22781, 1466, 6, 'Wijziging mislukt! Is er een Couch DB connectie fout?');
INSERT INTO `lang_definitions` VALUES (22782, 1467, 6, 'Verandering in visus');
INSERT INTO `lang_definitions` VALUES (22783, 1468, 6, 'Verandering visus');
INSERT INTO `lang_definitions` VALUES (22784, 1470, 6, 'Verander Paswoord');
INSERT INTO `lang_definitions` VALUES (22785, 1471, 6, 'Verander Paswoord voor');
INSERT INTO `lang_definitions` VALUES (22786, 1473, 6, 'Verander de Status voor');
INSERT INTO `lang_definitions` VALUES (22787, 1475, 6, 'Gewijzigd');
INSERT INTO `lang_definitions` VALUES (22788, 1476, 6, 'Veranderd def patroon');
INSERT INTO `lang_definitions` VALUES (22789, 1479, 6, 'Verandering van Patient ID voor dit document');
INSERT INTO `lang_definitions` VALUES (22790, 1483, 6, 'Channels');
INSERT INTO `lang_definitions` VALUES (22791, 1484, 6, 'Karakteristieken');
INSERT INTO `lang_definitions` VALUES (22792, 1485, 6, 'Resterend aantal karakters');
INSERT INTO `lang_definitions` VALUES (22793, 1486, 6, 'In rekening brengen');
INSERT INTO `lang_definitions` VALUES (22794, 1487, 6, 'Breng aanpassing in rekening');
INSERT INTO `lang_definitions` VALUES (22795, 1488, 6, 'Tarief gecodeerd');
INSERT INTO `lang_definitions` VALUES (22796, 1489, 6, 'Totale tarief');
INSERT INTO `lang_definitions` VALUES (22797, 1490, 6, 'Kosten');
INSERT INTO `lang_definitions` VALUES (22798, 1491, 6, 'Kaart');
INSERT INTO `lang_definitions` VALUES (22799, 1492, 6, 'Status activiteit');
INSERT INTO `lang_definitions` VALUES (22800, 1493, 6, 'Status IN/OUT activiteit rapport');
INSERT INTO `lang_definitions` VALUES (22801, 1495, 6, 'Statusnummer');
INSERT INTO `lang_definitions` VALUES (22802, 1496, 6, 'Statusnummer:');
INSERT INTO `lang_definitions` VALUES (22803, 1497, 6, 'Kaart label');
INSERT INTO `lang_definitions` VALUES (22804, 1498, 6, 'Status locatie');
INSERT INTO `lang_definitions` VALUES (22805, 1499, 6, 'Notitie voor status');
INSERT INTO `lang_definitions` VALUES (22806, 1500, 6, 'Kaart nummer');
INSERT INTO `lang_definitions` VALUES (22807, 1501, 6, 'Kaart getrokken');
INSERT INTO `lang_definitions` VALUES (22808, 1502, 6, 'Plaats van status');
INSERT INTO `lang_definitions` VALUES (22809, 1504, 6, 'Lokatie v/d status');
INSERT INTO `lang_definitions` VALUES (22810, 1505, 6, 'Kaart trk');
INSERT INTO `lang_definitions` VALUES (22811, 1508, 6, 'Kaarten uitgechecked');
INSERT INTO `lang_definitions` VALUES (22812, 1509, 6, 'Kaarten uit');
INSERT INTO `lang_definitions` VALUES (22813, 1510, 6, 'Chat');
INSERT INTO `lang_definitions` VALUES (22814, 1511, 6, 'Chat geschiedenis');
INSERT INTO `lang_definitions` VALUES (22815, 1512, 6, 'Controleren');
INSERT INTO `lang_definitions` VALUES (22816, 1513, 6, 'Controle');
INSERT INTO `lang_definitions` VALUES (22817, 1514, 6, 'controle');
INSERT INTO `lang_definitions` VALUES (22818, 1515, 6, 'Alles selecteren');
INSERT INTO `lang_definitions` VALUES (22819, 1516, 6, 'Alles selecteren - Componenten');
INSERT INTO `lang_definitions` VALUES (22820, 1517, 6, 'Controleer bedrag');
INSERT INTO `lang_definitions` VALUES (22821, 1519, 6, 'Datum van check');
INSERT INTO `lang_definitions` VALUES (22822, 1520, 6, 'Controleer de vervaldata.');
INSERT INTO `lang_definitions` VALUES (22823, 1521, 6, 'Controleer verschillen met de eigen taaltabel');
INSERT INTO `lang_definitions` VALUES (22824, 1523, 6, 'Controleer of u van plan bent om ansichtkaarten lokaal af te drukken');
INSERT INTO `lang_definitions` VALUES (22825, 1524, 6, 'Controleer of u van plan bent om ansichtkaarten te verzenden via MedEx');
INSERT INTO `lang_definitions` VALUES (22826, 1525, 6, 'Controleer of u van plan bent Avery-labels te gebruiken voor herinneringen of terugroepacties');
INSERT INTO `lang_definitions` VALUES (22827, 1526, 6, 'Check In');
INSERT INTO `lang_definitions` VALUES (22828, 1527, 6, 'Nieuwe locatie');
INSERT INTO `lang_definitions` VALUES (22829, 1528, 6, 'Check ingevoerde data');
INSERT INTO `lang_definitions` VALUES (22830, 1529, 6, 'Vink de onderdelen aan om te volgen');
INSERT INTO `lang_definitions` VALUES (22831, 1530, 6, 'Controleer de LAB resutaten');
INSERT INTO `lang_definitions` VALUES (22832, 1531, 6, 'Met aanvinken is gecontroleerd');
INSERT INTO `lang_definitions` VALUES (22833, 1532, 6, 'Check No');
INSERT INTO `lang_definitions` VALUES (22834, 1533, 6, 'Chequenummer');
INSERT INTO `lang_definitions` VALUES (22835, 1534, 6, 'Check out');
INSERT INTO `lang_definitions` VALUES (22836, 1535, 6, 'Check out tijd');
INSERT INTO `lang_definitions` VALUES (22837, 1536, 6, 'Controleer betaling');
INSERT INTO `lang_definitions` VALUES (22838, 1537, 6, 'Box aanvinken indien de file gecodeerd is');
INSERT INTO `lang_definitions` VALUES (22839, 1541, 6, 'Check hier om afspraken van alle behandelaars tegelijk te zien en niet alleen eigen afspraken');
INSERT INTO `lang_definitions` VALUES (22840, 1543, 6, 'Aanvinken om probleem van de diagnose aan te maken');
INSERT INTO `lang_definitions` VALUES (22841, 1545, 6, 'Check/EOB Datum:');
INSERT INTO `lang_definitions` VALUES (22842, 1547, 6, 'Check/EOB No.:');
INSERT INTO `lang_definitions` VALUES (22843, 1548, 6, 'Check/Ref.nummer');
INSERT INTO `lang_definitions` VALUES (22844, 1549, 6, 'Check/Referentienummer');
INSERT INTO `lang_definitions` VALUES (22845, 1550, 6, 'Checkbox lijst');
INSERT INTO `lang_definitions` VALUES (22846, 1551, 6, 'checkbox lijst');
INSERT INTO `lang_definitions` VALUES (22847, 1552, 6, 'checkbox met tekst');
INSERT INTO `lang_definitions` VALUES (22848, 1553, 6, 'Checkbox met tekst');
INSERT INTO `lang_definitions` VALUES (22849, 1554, 6, 'Checkbox(es)');
INSERT INTO `lang_definitions` VALUES (22850, 1555, 6, 'Vink blok aan om HL7 file te verwerpen en te verwijderen');
INSERT INTO `lang_definitions` VALUES (22851, 1556, 6, 'Checkboxes w/text');
INSERT INTO `lang_definitions` VALUES (22852, 1557, 6, 'Gecontroleerd');
INSERT INTO `lang_definitions` VALUES (22853, 1558, 6, 'Aangevinkt');
INSERT INTO `lang_definitions` VALUES (22854, 1559, 6, 'Aangevinkte box=ja, leeg=nee');
INSERT INTO `lang_definitions` VALUES (22855, 1561, 6, 'Check medicatie formularium?');
INSERT INTO `lang_definitions` VALUES (22856, 1562, 6, 'Vertrokken');
INSERT INTO `lang_definitions` VALUES (22857, 1563, 6, 'Vertrokken');
INSERT INTO `lang_definitions` VALUES (22858, 1565, 6, 'Als u de selectievakjes Groepen en Toegangscontrole aanvinkt, wordt dit gedeelte weergegeven met alle categorieën met subcategorieën (ACO\'s), dat wil zeggen de delen van het programma die worden beheerd door de privileges van de toegangsbeheerlijst.');
INSERT INTO `lang_definitions` VALUES (22859, 1566, 6, 'Aanvinken van het lock vakje verhindert verdere aanpassingen van ieder formulier voor deze encopunter');
INSERT INTO `lang_definitions` VALUES (22860, 1568, 6, 'Vertrek');
INSERT INTO `lang_definitions` VALUES (22861, 1569, 6, 'Checksum');
INSERT INTO `lang_definitions` VALUES (22862, 1570, 6, 'Thorax');
INSERT INTO `lang_definitions` VALUES (22863, 1571, 6, 'Thorax CTAB');
INSERT INTO `lang_definitions` VALUES (22864, 1572, 6, 'Pijn in thorax');
INSERT INTO `lang_definitions` VALUES (22865, 1573, 6, 'Pijn in thorax:');
INSERT INTO `lang_definitions` VALUES (22866, 1574, 6, 'Pijnen in thorax');
INSERT INTO `lang_definitions` VALUES (22867, 1575, 6, 'Thorax dokter');
INSERT INTO `lang_definitions` VALUES (22868, 1576, 6, 'Chg');
INSERT INTO `lang_definitions` VALUES (22869, 1577, 6, 'Chichewa-Chewa-Nyanja');
INSERT INTO `lang_definitions` VALUES (22870, 1578, 6, 'Hoofd klacht');
INSERT INTO `lang_definitions` VALUES (22871, 1579, 6, 'Hoofd klacht 2');
INSERT INTO `lang_definitions` VALUES (22872, 1580, 6, 'Hoofd klacht 3');
INSERT INTO `lang_definitions` VALUES (22873, 1581, 6, 'Kind');
INSERT INTO `lang_definitions` VALUES (22874, 1582, 6, 'Kind van familie');
INSERT INTO `lang_definitions` VALUES (22875, 1583, 6, 'Immunisatie status van kinderen (CQM)');
INSERT INTO `lang_definitions` VALUES (22876, 1584, 6, 'Rillingen');
INSERT INTO `lang_definitions` VALUES (22877, 1585, 6, 'Chinees');
INSERT INTO `lang_definitions` VALUES (22878, 1586, 6, 'Chinese (vereenvoudigd)');
INSERT INTO `lang_definitions` VALUES (22879, 1587, 6, 'Chinese (traditioneel)');
INSERT INTO `lang_definitions` VALUES (22880, 1588, 6, 'Chiropractisch');
INSERT INTO `lang_definitions` VALUES (22881, 1589, 6, 'Opties');
INSERT INTO `lang_definitions` VALUES (22882, 1590, 6, 'Cholecystectomie');
INSERT INTO `lang_definitions` VALUES (22883, 1591, 6, 'cholecystectomie');
INSERT INTO `lang_definitions` VALUES (22884, 1592, 6, 'Cholecystectomie');
INSERT INTO `lang_definitions` VALUES (22885, 1593, 6, 'Kies');
INSERT INTO `lang_definitions` VALUES (22886, 1594, 6, 'kies');
INSERT INTO `lang_definitions` VALUES (22887, 1595, 6, 'Kies periode of data (YYY-MM-DD)');
INSERT INTO `lang_definitions` VALUES (22888, 1596, 6, 'Maak een keuze en KLIK op het onderdeel, in de andere sectie zie je de gerelateerde zaken en kan in dat deel KLIKKEN voor relaties toevoegen of verwijderen');
INSERT INTO `lang_definitions` VALUES (22889, 1597, 6, 'Kies LIJST');
INSERT INTO `lang_definitions` VALUES (22890, 1598, 6, 'Kies CVS tabel');
INSERT INTO `lang_definitions` VALUES (22891, 1599, 6, 'Kies downloaden of Inline tonen');
INSERT INTO `lang_definitions` VALUES (22892, 1602, 6, 'Kies file');
INSERT INTO `lang_definitions` VALUES (22893, 1603, 6, 'Kies van de lijst');
INSERT INTO `lang_definitions` VALUES (22894, 1604, 6, 'Kies de layout richting');
INSERT INTO `lang_definitions` VALUES (22895, 1605, 6, 'Kies een lijst');
INSERT INTO `lang_definitions` VALUES (22896, 1607, 6, 'Kies een van de vier retourwaarden die verschillende niveaus van bevoegdheden weerspiegelen.');
INSERT INTO `lang_definitions` VALUES (22897, 1608, 6, 'Kiez papier maat');
INSERT INTO `lang_definitions` VALUES (22898, 1609, 6, 'Kies Patient');
INSERT INTO `lang_definitions` VALUES (22899, 1610, 6, 'Kies PDF taal voorkeur');
INSERT INTO `lang_definitions` VALUES (22900, 1611, 6, 'Kies Print format voor verslag van deze encounter.');
INSERT INTO `lang_definitions` VALUES (22901, 1612, 6, 'Kies de layout (nieuwe instelling is van kracht na outloggen en vervolgens opnieuw in te loggen).');
INSERT INTO `lang_definitions` VALUES (22902, 1613, 6, 'Kies het oorspronkelijke scherm');
INSERT INTO `lang_definitions` VALUES (22903, 1615, 6, 'Chronische bronchitis');
INSERT INTO `lang_definitions` VALUES (22904, 1616, 6, 'Chronische gewrichts pijn');
INSERT INTO `lang_definitions` VALUES (22905, 1617, 6, 'Chronische nier ziekte (CKD)');
INSERT INTO `lang_definitions` VALUES (22906, 1618, 6, 'Chronische of inactieve problemen');
INSERT INTO `lang_definitions` VALUES (22907, 1619, 6, 'Chronische problemen');
INSERT INTO `lang_definitions` VALUES (22908, 1620, 6, 'Chronische synovitis / opzwellen / gewrichtspijn / jicht');
INSERT INTO `lang_definitions` VALUES (22909, 1621, 6, 'Chronische/Inactieve Problemen');
INSERT INTO `lang_definitions` VALUES (22910, 1622, 6, 'Chronisch/Recidiverend');
INSERT INTO `lang_definitions` VALUES (22911, 1623, 6, 'Chuvash');
INSERT INTO `lang_definitions` VALUES (22912, 1624, 6, 'Cigs');
INSERT INTO `lang_definitions` VALUES (22913, 1625, 6, 'Levercirrose');
INSERT INTO `lang_definitions` VALUES (22914, 1626, 6, 'Levercirrose');
INSERT INTO `lang_definitions` VALUES (22915, 1627, 6, 'Stad');
INSERT INTO `lang_definitions` VALUES (22916, 1629, 6, 'Naam vd stad');
INSERT INTO `lang_definitions` VALUES (22917, 1630, 6, 'Stad, Provincie');
INSERT INTO `lang_definitions` VALUES (22918, 1631, 6, 'Stad, Postcode');
INSERT INTO `lang_definitions` VALUES (22919, 1632, 6, 'Stad, Prov, Postcode');
INSERT INTO `lang_definitions` VALUES (22920, 1633, 6, 'Stad/Provincie');
INSERT INTO `lang_definitions` VALUES (22921, 1634, 6, 'Tegoed');
INSERT INTO `lang_definitions` VALUES (22922, 1635, 6, 'Tegoed');
INSERT INTO `lang_definitions` VALUES (22923, 1636, 6, 'Claim aanpassen');
INSERT INTO `lang_definitions` VALUES (22924, 1637, 6, 'Claim status');
INSERT INTO `lang_definitions` VALUES (22925, 1638, 6, 'Tegoed test is aangemaakt en klaar');
INSERT INTO `lang_definitions` VALUES (22926, 1639, 6, 'Soort claim');
INSERT INTO `lang_definitions` VALUES (22927, 1640, 6, 'Claim werd aangemaakt in file');
INSERT INTO `lang_definitions` VALUES (22928, 1641, 6, 'Claim werd aangemaakt in file');
INSERT INTO `lang_definitions` VALUES (22929, 1642, 6, 'Claims');
INSERT INTO `lang_definitions` VALUES (22930, 1645, 6, 'Classificatie');
INSERT INTO `lang_definitions` VALUES (22931, 1646, 6, 'Schonen');
INSERT INTO `lang_definitions` VALUES (22932, 1647, 6, 'schonen');
INSERT INTO `lang_definitions` VALUES (22933, 1649, 6, 'Actieve patient schonen');
INSERT INTO `lang_definitions` VALUES (22934, 1650, 6, 'Actieve therapie groep schonen');
INSERT INTO `lang_definitions` VALUES (22935, 1651, 6, 'Alles verwijderen');
INSERT INTO `lang_definitions` VALUES (22936, 1652, 6, 'Filters schonen');
INSERT INTO `lang_definitions` VALUES (22937, 1653, 6, 'Hisotire schonen');
INSERT INTO `lang_definitions` VALUES (22938, 1654, 6, 'HL7-data verwijderen');
INSERT INTO `lang_definitions` VALUES (22939, 1655, 6, 'Justify verwijderen');
INSERT INTO `lang_definitions` VALUES (22940, 1657, 6, 'Pad schonen');
INSERT INTO `lang_definitions` VALUES (22941, 1658, 6, 'Signature schonen');
INSERT INTO `lang_definitions` VALUES (22942, 1659, 6, 'Smarty Cache schonen');
INSERT INTO `lang_definitions` VALUES (22943, 1661, 6, 'Clearinghouse info nodig om EDI 270 batch aan te maken');
INSERT INTO `lang_definitions` VALUES (22944, 1662, 6, 'CLIA-nummer');
INSERT INTO `lang_definitions` VALUES (22945, 1663, 6, 'Klik');
INSERT INTO `lang_definitions` VALUES (22946, 1664, 6, 'Klik op \"Exporteren\" om uw categorie, subcategorie, punt, Inhoud gegevens naar een tekstbestand te exporteren. Elke gelijkenis van dit bestand naar een XML-bestand is louter toevallig. Het openen en sluiten van tags moeten op dezelfde lijn, zij worden kleine letters zonder spaties. Om te importeren, blader naar een bestand en klik op \'import\' Als de gegevens volledig anders zijn, worden ze samengevoegd met uw bestaande gegevens. Als er soortgelijk artikel namen zijn, worden de oude behouden en de nieuwe opgeslagen met een nummer toegevoegd aan het einde.');
INSERT INTO `lang_definitions` VALUES (22947, 1667, 6, 'Klik op regio van de tekening om pijn aan te geven. Klik op zelfde plek om te verwijderen, of op nieuwe regio om nieuwe plek aan te geven.');
INSERT INTO `lang_definitions` VALUES (22948, 1671, 6, 'Klik op Certificaten downloaden om de certificaten in het ssl.zip-bestand te downloaden');
INSERT INTO `lang_definitions` VALUES (22949, 1672, 6, 'klik voor meer');
INSERT INTO `lang_definitions` VALUES (22950, 1673, 6, 'Klik voor meer details');
INSERT INTO `lang_definitions` VALUES (22951, 1674, 6, 'Klik voor samenvattting bestelling');
INSERT INTO `lang_definitions` VALUES (22952, 1675, 6, 'Klik voor resultaten');
INSERT INTO `lang_definitions` VALUES (22953, 1676, 6, 'Klik voor ingekortte HELP');
INSERT INTO `lang_definitions` VALUES (22954, 1678, 6, 'Klik hier');
INSERT INTO `lang_definitions` VALUES (22955, 1679, 6, 'Klik hier om nieuwe client toe te voegen.');
INSERT INTO `lang_definitions` VALUES (22956, 1680, 6, 'Klik hier om nieuw ongeval veranderingen te melden en dagelijkse activiteiten aan te passen');
INSERT INTO `lang_definitions` VALUES (22957, 1681, 6, 'Klik hier voor nieuwe regel');
INSERT INTO `lang_definitions` VALUES (22958, 1682, 6, 'Klik hier om datum te kiezen');
INSERT INTO `lang_definitions` VALUES (22959, 1683, 6, 'Klik hier om datum en tijd te kiezen');
INSERT INTO `lang_definitions` VALUES (22960, 1684, 6, 'Klik hier om startdatum te kiezen');
INSERT INTO `lang_definitions` VALUES (22961, 1685, 6, 'Klik hier om datum tijd te kiezen');
INSERT INTO `lang_definitions` VALUES (22962, 1686, 6, 'Klik hier om datum tijd te kiezen van');
INSERT INTO `lang_definitions` VALUES (22963, 1687, 6, 'Klik hier om datum tijd te kiezen voor');
INSERT INTO `lang_definitions` VALUES (22964, 1688, 6, 'Klik hier om deze module aan te passen');
INSERT INTO `lang_definitions` VALUES (22965, 1690, 6, 'Klik hier om de rij te verwijderen');
INSERT INTO `lang_definitions` VALUES (22966, 1691, 6, 'klik hier om de selectie te verwijderen');
INSERT INTO `lang_definitions` VALUES (22967, 1692, 6, 'Klik hier om deze module te inactiveren');
INSERT INTO `lang_definitions` VALUES (22968, 1693, 6, 'Klik hier om rij te dupliceren');
INSERT INTO `lang_definitions` VALUES (22969, 1694, 6, 'Klik hier voor lijst beschikbare Lens materialen aan te passen');
INSERT INTO `lang_definitions` VALUES (22970, 1695, 6, 'Klik hier voor lijst beschikbare Lens behandeling aan te passen');
INSERT INTO `lang_definitions` VALUES (22971, 1696, 6, 'klikhier om Contact lenzen brands aan te passen');
INSERT INTO `lang_definitions` VALUES (22972, 1697, 6, 'Klik hier voor lijst verloop/aantallen aan te passen');
INSERT INTO `lang_definitions` VALUES (22973, 1698, 6, 'Klik hier voor lijst fabrikanten aan te passen');
INSERT INTO `lang_definitions` VALUES (22974, 1699, 6, 'Klik hiet om de toeleverancierlijst aan te passen');
INSERT INTO `lang_definitions` VALUES (22975, 1700, 6, 'Klik hier om deze dokter  plannen aante passen');
INSERT INTO `lang_definitions` VALUES (22976, 1701, 6, 'Klik hier om snelle keuze  lijst van de dokter aan te passen');
INSERT INTO `lang_definitions` VALUES (22977, 1702, 6, 'Klikhier om de Behandelaar standaard keuze waardenaan te passen');
INSERT INTO `lang_definitions` VALUES (22978, 1703, 6, 'klik hier om deze module te activeren');
INSERT INTO `lang_definitions` VALUES (22979, 1706, 6, 'Klik hier om deze module te installeren');
INSERT INTO `lang_definitions` VALUES (22980, 1707, 6, 'klik hier om te zoeken');
INSERT INTO `lang_definitions` VALUES (22981, 1708, 6, 'Klik hier om de waarnemingresultaten in te zien');
INSERT INTO `lang_definitions` VALUES (22982, 1710, 6, 'klik hier voor aanpassing van Belangrijkheid, Categorie en getoonde veldnamen');
INSERT INTO `lang_definitions` VALUES (22983, 1711, 6, 'klik hier om de instellingen voor prioriteit, categorie, bijnaam en toegangsbeheer aan te passen');
INSERT INTO `lang_definitions` VALUES (22984, 1714, 6, 'Klik hier om alles te zien');
INSERT INTO `lang_definitions` VALUES (22985, 1715, 6, 'Klik hier om grafiek te zien');
INSERT INTO `lang_definitions` VALUES (22986, 1716, 6, 'Klik hier om alle Labdata te zien en in grafieken te tonen');
INSERT INTO `lang_definitions` VALUES (22987, 1717, 6, 'Klik hier om all Vitals in grafiek te zetten');
INSERT INTO `lang_definitions` VALUES (22988, 1718, 6, 'Klik hier om patient details te zien');
INSERT INTO `lang_definitions` VALUES (22989, 1719, 6, 'Klik hier om ze allemaal te zien');
INSERT INTO `lang_definitions` VALUES (22990, 1720, 6, 'Klik om details: te zien/aan te passen');
INSERT INTO `lang_definitions` VALUES (22991, 1722, 6, 'Klick in Signature file');
INSERT INTO `lang_definitions` VALUES (22992, 1723, 6, 'Klik Install buttom om de database van de volgende datum te installeren');
INSERT INTO `lang_definitions` VALUES (22993, 1724, 6, 'Klick OK al je er zeker van bent');
INSERT INTO `lang_definitions` VALUES (22994, 1725, 6, 'Klik OK ok te schonen of de verwerking te continueren');
INSERT INTO `lang_definitions` VALUES (22995, 1730, 6, 'Klik op tijdgedeelte om het te vergroten');
INSERT INTO `lang_definitions` VALUES (22996, 1733, 6, 'Klik op de knop \'Groep toevoegen\' om deze nieuwe groep (ARO) te maken.');
INSERT INTO `lang_definitions` VALUES (22997, 1745, 6, 'Klik op het pictogram naast de titel \'Beheer van toegangsbeheerlijsten\' om naar de phpGACL-pagina te gaan.');
INSERT INTO `lang_definitions` VALUES (22998, 1750, 6, 'Klik op de volgende link voor meer informatie over wat erbij komt kijken.');
INSERT INTO `lang_definitions` VALUES (22999, 1751, 6, 'Klik op patientnaam om file te openen');
INSERT INTO `lang_definitions` VALUES (23000, 1753, 6, 'Klik vernieuwen om alle resultaten te zien, of voer nieuwe zoek criteria in om specifieke resultaten te zien.');
INSERT INTO `lang_definitions` VALUES (23001, 1762, 6, 'Klik op de knop \'Nieuwe groep toevoegen\' om het gedeelte \'Nieuwe groepsgegevens\' weer te geven.');
INSERT INTO `lang_definitions` VALUES (23002, 1763, 6, 'Klik op de knop \'Groep verwijderen\' om deze groep volledig te verwijderen.');
INSERT INTO `lang_definitions` VALUES (23003, 1764, 6, 'Klik op de knop \'Groep verwijderen\' om deze groep volledig te verwijderen.');
INSERT INTO `lang_definitions` VALUES (23004, 1765, 6, 'Klik op de yes RADIO buton');
INSERT INTO `lang_definitions` VALUES (23005, 1769, 6, 'Klik op het potloodpictogram om toegangsrechten voor de geselecteerde gebruiker te verlenen en te verwijderen');
INSERT INTO `lang_definitions` VALUES (23006, 1772, 6, 'Klik op het pictogram met de grijze achtergrond om te sluiten.');
INSERT INTO `lang_definitions` VALUES (23007, 1775, 6, 'Klik om extra tests weer te geven/ te verbergen');
INSERT INTO `lang_definitions` VALUES (23008, 1777, 6, 'Klik om diagnose aan te maken');
INSERT INTO `lang_definitions` VALUES (23009, 1779, 6, 'Klik om nieuwe componenten aan te maken');
INSERT INTO `lang_definitions` VALUES (23010, 1780, 6, 'Klik om nieuw const aan te maken');
INSERT INTO `lang_definitions` VALUES (23011, 1781, 6, 'Klik om patient toe te voegen');
INSERT INTO `lang_definitions` VALUES (23012, 1782, 6, 'Klik om een keuze te maken om Diagnoses to `justify`');
INSERT INTO `lang_definitions` VALUES (23013, 1784, 6, 'Klik om verkortte veldnamen te tonen');
INSERT INTO `lang_definitions` VALUES (23014, 1785, 6, 'Klik om te downloaden');
INSERT INTO `lang_definitions` VALUES (23015, 1786, 6, 'Klik om aan te passen');
INSERT INTO `lang_definitions` VALUES (23016, 1787, 6, 'Klik om omschrijving aan te passen');
INSERT INTO `lang_definitions` VALUES (23017, 1788, 6, 'Klik om deze gebeurtenis aan te passen');
INSERT INTO `lang_definitions` VALUES (23018, 1790, 6, 'Klik om rapport te maken');
INSERT INTO `lang_definitions` VALUES (23019, 1792, 6, 'Klik om te verbergen');
INSERT INTO `lang_definitions` VALUES (23020, 1797, 6, 'Klik om alleen met deze client  een CHAT te beginnen');
INSERT INTO `lang_definitions` VALUES (23021, 1798, 6, 'Klik om de toegangscontrole handmatig te configureren, aanbevolen voor gevorderde gebruikers');
INSERT INTO `lang_definitions` VALUES (23022, 1799, 6, 'Klik voor een gelijke client');
INSERT INTO `lang_definitions` VALUES (23023, 1800, 6, 'Klik om af te drukken');
INSERT INTO `lang_definitions` VALUES (23024, 1801, 6, 'Kilk om een nieuwe voorraad te ontvangen/toe te voegen');
INSERT INTO `lang_definitions` VALUES (23025, 1805, 6, 'Klik om te selecteren');
INSERT INTO `lang_definitions` VALUES (23026, 1806, 6, 'Klik om te selecteren');
INSERT INTO `lang_definitions` VALUES (23027, 1808, 6, 'Klik om een standaard industriecode voor deze procedure te selecteren');
INSERT INTO `lang_definitions` VALUES (23028, 1810, 6, 'Klik om groep te selecteren');
INSERT INTO `lang_definitions` VALUES (23029, 1811, 6, 'Klik om optimale procedure code te selecteren');
INSERT INTO `lang_definitions` VALUES (23030, 1812, 6, 'Klik  om verandering in Procedure codering te selecteren.');
INSERT INTO `lang_definitions` VALUES (23031, 1813, 6, 'Klik om de CVX code te selecteren of te veranderen');
INSERT INTO `lang_definitions` VALUES (23032, 1814, 6, 'Klik om te selecteren of de diagnose te veranderen');
INSERT INTO `lang_definitions` VALUES (23033, 1815, 6, 'Klik om service code te selecteren of te veranderen');
INSERT INTO `lang_definitions` VALUES (23034, 1816, 6, 'Klik om patient te selecteren');
INSERT INTO `lang_definitions` VALUES (23035, 1817, 6, 'Klik om de gerelateerde code te selecteren');
INSERT INTO `lang_definitions` VALUES (23036, 1819, 6, 'Klik om services kiezen als het resultaat abnormaal is');
INSERT INTO `lang_definitions` VALUES (23037, 1822, 6, 'Klik om de gewenste procedure te selecteren');
INSERT INTO `lang_definitions` VALUES (23038, 1823, 6, 'Klik om te laten zien');
INSERT INTO `lang_definitions` VALUES (23039, 1829, 6, 'Klik om te sorteren');
INSERT INTO `lang_definitions` VALUES (23040, 1831, 6, 'Klik om te kijken');
INSERT INTO `lang_definitions` VALUES (23041, 1833, 6, 'Klik om te bekijken of aan te passen');
INSERT INTO `lang_definitions` VALUES (23042, 1834, 6, 'Klik om te bekijken/veranderen');
INSERT INTO `lang_definitions` VALUES (23043, 1836, 6, 'Klik op upgrade button om de databse van de volgende datum op te waarderen');
INSERT INTO `lang_definitions` VALUES (23044, 1838, 6, 'Klik waar aangegeven wordt om de patient te matchen.');
INSERT INTO `lang_definitions` VALUES (23045, 1839, 6, 'Klik:');
INSERT INTO `lang_definitions` VALUES (23046, 1851, 6, 'Als u op het pictogram naast de naam klikt, verschijnt het venster \'Bewerken\'.');
INSERT INTO `lang_definitions` VALUES (23047, 1858, 6, 'Als u op keuzes klikt, wordt een vervolgkeuzemenu voor meerdere secties weergegeven, om mogelijkheden van het geselecteerde gegevenstype toe te voegen. Typen na pull down activeert maakt zoeken in opties mogelijk.');
INSERT INTO `lang_definitions` VALUES (23048, 1862, 6, 'Client Certificaat Expiratietijd in dgn');
INSERT INTO `lang_definitions` VALUES (23049, 1864, 6, 'Validatieperiode voor Client Certificaat');
INSERT INTO `lang_definitions` VALUES (23050, 1865, 6, 'Validatie voor Client Certificaat moet een geldig getal zijn.');
INSERT INTO `lang_definitions` VALUES (23051, 1866, 6, 'Copie voor client');
INSERT INTO `lang_definitions` VALUES (23052, 1868, 6, 'Client ID');
INSERT INTO `lang_definitions` VALUES (23053, 1869, 6, 'Samenvatting med. historie client');
INSERT INTO `lang_definitions` VALUES (23054, 1870, 6, 'Naam van Client');
INSERT INTO `lang_definitions` VALUES (23055, 1872, 6, 'Nummer van Client');
INSERT INTO `lang_definitions` VALUES (23056, 1873, 6, 'Clientprofiel - Nieuwe clienten');
INSERT INTO `lang_definitions` VALUES (23057, 1874, 6, 'Clientprofiel - Unieke clienten');
INSERT INTO `lang_definitions` VALUES (23058, 1878, 6, 'Clienten');
INSERT INTO `lang_definitions` VALUES (23059, 1879, 6, 'Kliniek');
INSERT INTO `lang_definitions` VALUES (23060, 1880, 6, 'Copie voor Kliniek');
INSERT INTO `lang_definitions` VALUES (23061, 1881, 6, 'Dagoverzicht kliniek');
INSERT INTO `lang_definitions` VALUES (23062, 1882, 6, 'ID van Locatie');
INSERT INTO `lang_definitions` VALUES (23063, 1883, 6, 'Klinisch');
INSERT INTO `lang_definitions` VALUES (23064, 1884, 6, 'Regels voor beslissingen via de alert manager');
INSERT INTO `lang_definitions` VALUES (23065, 1886, 6, 'Klinische historie');
INSERT INTO `lang_definitions` VALUES (23066, 1887, 6, 'Klinische instructies');
INSERT INTO `lang_definitions` VALUES (23067, 1888, 6, 'Formulier voor klinische instructies');
INSERT INTO `lang_definitions` VALUES (23068, 1889, 6, 'Plannen voor klinische veranderingen');
INSERT INTO `lang_definitions` VALUES (23069, 1890, 6, 'Meting van veranderingen in kwaliteits metingen (CQM)');
INSERT INTO `lang_definitions` VALUES (23070, 1891, 6, 'Meting van veranderingen in kwaliteits metingen (CQM) - 2011');
INSERT INTO `lang_definitions` VALUES (23071, 1892, 6, 'Meting van veranderingen in kwaliteits metingen (CQM) - 2014');
INSERT INTO `lang_definitions` VALUES (23072, 1893, 6, 'Klinische reminders');
INSERT INTO `lang_definitions` VALUES (23073, 1895, 6, 'Klinische reminders/alerts (Write, en toevoegen)');
INSERT INTO `lang_definitions` VALUES (23074, 1897, 6, 'Klinische rapportage');
INSERT INTO `lang_definitions` VALUES (23075, 1898, 6, 'Categorie voor klinische Rule Action');
INSERT INTO `lang_definitions` VALUES (23076, 1899, 6, 'Klinische regels Actie onderdeel');
INSERT INTO `lang_definitions` VALUES (23077, 1900, 6, 'Filter methode voor Klinische regels');
INSERT INTO `lang_definitions` VALUES (23078, 1901, 6, 'Doel gerichte methode voor Klinische regels');
INSERT INTO `lang_definitions` VALUES (23079, 1902, 6, 'Klinische regels');
INSERT INTO `lang_definitions` VALUES (23080, 1903, 6, 'Klinische leeftijds interval regels');
INSERT INTO `lang_definitions` VALUES (23081, 1904, 6, 'Klinische regel vergelijkingen');
INSERT INTO `lang_definitions` VALUES (23082, 1905, 6, 'Klinishe regels voor encounter types');
INSERT INTO `lang_definitions` VALUES (23083, 1906, 6, 'Klinische regels voor reminder opties');
INSERT INTO `lang_definitions` VALUES (23084, 1907, 6, 'Klinische regels voor inactivatie mogelijkheden');
INSERT INTO `lang_definitions` VALUES (23085, 1908, 6, 'Klinische regels voor oproep intervallen');
INSERT INTO `lang_definitions` VALUES (23086, 1909, 6, 'Klinische regels voor oproep methoden');
INSERT INTO `lang_definitions` VALUES (23087, 1910, 6, 'Klinische regels voor interval doelstellingen');
INSERT INTO `lang_definitions` VALUES (23088, 1911, 6, 'Klinische doelstellingen');
INSERT INTO `lang_definitions` VALUES (23089, 1912, 6, 'Klinische voorwaarde');
INSERT INTO `lang_definitions` VALUES (23090, 1913, 6, 'Code(s) voor klinische voorwaarden');
INSERT INTO `lang_definitions` VALUES (23091, 1914, 6, 'Klinisch scherm');
INSERT INTO `lang_definitions` VALUES (23092, 1915, 6, 'Kliniekmedewerkers');
INSERT INTO `lang_definitions` VALUES (23093, 1916, 6, 'Copieer');
INSERT INTO `lang_definitions` VALUES (23094, 1917, 6, 'Copieren vorige consult');
INSERT INTO `lang_definitions` VALUES (23095, 1918, 6, 'Sluit');
INSERT INTO `lang_definitions` VALUES (23096, 1919, 6, 'sluit');
INSERT INTO `lang_definitions` VALUES (23097, 1920, 6, 'Sluit alle open Rx schermen en markeer het als voorkeur');
INSERT INTO `lang_definitions` VALUES (23098, 1921, 6, 'Sluiten en maak het vooorkeur om niet tonen te behouden');
INSERT INTO `lang_definitions` VALUES (23099, 1922, 6, 'Sluit dit scherm en verwijder deze Rx');
INSERT INTO `lang_definitions` VALUES (23100, 1923, 6, 'Sluit dit scherm, behoud voorkeur gesloten');
INSERT INTO `lang_definitions` VALUES (23101, 1924, 6, 'Venster sluiten');
INSERT INTO `lang_definitions` VALUES (23102, 1925, 6, 'sluit venster');
INSERT INTO `lang_definitions` VALUES (23103, 1926, 6, 'Sluiten ...');
INSERT INTO `lang_definitions` VALUES (23104, 1927, 6, 'Gesloten');
INSERT INTO `lang_definitions` VALUES (23105, 1928, 6, 'cm');
INSERT INTO `lang_definitions` VALUES (23106, 1930, 6, 'CMS 1500 Incl Form');
INSERT INTO `lang_definitions` VALUES (23107, 1931, 6, 'CMS 1500 kantlijnen');
INSERT INTO `lang_definitions` VALUES (23108, 1933, 6, 'CMS 1500 soort Papier soort format');
INSERT INTO `lang_definitions` VALUES (23109, 1934, 6, 'CMS 1500 PDF');
INSERT INTO `lang_definitions` VALUES (23110, 1935, 6, 'CMS 1500 Voorgedrukt formulier');
INSERT INTO `lang_definitions` VALUES (23111, 1936, 6, 'CMS 1500 text');
INSERT INTO `lang_definitions` VALUES (23112, 1938, 6, 'CMS 1500 Box 31 formaat');
INSERT INTO `lang_definitions` VALUES (23113, 1939, 6, 'CMS 1500 Datum in box 31 (Handtekening)');
INSERT INTO `lang_definitions` VALUES (23114, 1940, 6, 'CMS-ID');
INSERT INTO `lang_definitions` VALUES (23115, 1941, 6, 'CMS ID voor Encounter formulier');
INSERT INTO `lang_definitions` VALUES (23116, 1943, 6, 'CMS toegang');
INSERT INTO `lang_definitions` VALUES (23117, 1944, 6, 'CMS toegang Login');
INSERT INTO `lang_definitions` VALUES (23118, 1945, 6, 'CMS toegang Login ID');
INSERT INTO `lang_definitions` VALUES (23119, 1946, 6, 'CMS toegang niet geinstalleerd!');
INSERT INTO `lang_definitions` VALUES (23120, 1947, 6, 'CMS toegang´s paswoord');
INSERT INTO `lang_definitions` VALUES (23121, 1948, 6, 'CMS toegnag´s verzoek');
INSERT INTO `lang_definitions` VALUES (23122, 1949, 6, 'CMS toegang´s SITE adres');
INSERT INTO `lang_definitions` VALUES (23123, 1950, 6, 'CMS toegang´s Gebruikersnaam');
INSERT INTO `lang_definitions` VALUES (23124, 1951, 6, 'CMS portaal login');
INSERT INTO `lang_definitions` VALUES (23125, 1952, 6, 'CMT{{Centrale Macula dikte}}');
INSERT INTO `lang_definitions` VALUES (23126, 1953, 6, 'CN VII{{zevende craniale zenuw}}');
INSERT INTO `lang_definitions` VALUES (23127, 1954, 6, 'CN V{{vijfde craniale zenuw}}');
INSERT INTO `lang_definitions` VALUES (23128, 1955, 6, 'CN II-XII intact');
INSERT INTO `lang_definitions` VALUES (23129, 1956, 6, 'CN VII{{vijfde craniale zenuw}}');
INSERT INTO `lang_definitions` VALUES (23130, 1957, 6, 'CN VII{{zevende craniale zenuw}}');
INSERT INTO `lang_definitions` VALUES (23131, 1958, 6, 'Bij betaling');
INSERT INTO `lang_definitions` VALUES (23132, 1959, 6, 'Bijbetaling geregeld');
INSERT INTO `lang_definitions` VALUES (23133, 1960, 6, 'Mede/Verwijzende  behandelaar');
INSERT INTO `lang_definitions` VALUES (23134, 1962, 6, 'Extra betalingen');
INSERT INTO `lang_definitions` VALUES (23135, 1963, 6, 'Extra-betaling');
INSERT INTO `lang_definitions` VALUES (23136, 1964, 6, 'Code');
INSERT INTO `lang_definitions` VALUES (23137, 1965, 6, 'code');
INSERT INTO `lang_definitions` VALUES (23138, 1967, 6, 'Zoek code');
INSERT INTO `lang_definitions` VALUES (23139, 1968, 6, 'Code moeten twee kleine letters zijn');
INSERT INTO `lang_definitions` VALUES (23140, 1969, 6, 'Code lokale valuta anders dan $ symbool');
INSERT INTO `lang_definitions` VALUES (23141, 1971, 6, 'Code tekst');
INSERT INTO `lang_definitions` VALUES (23142, 1972, 6, 'Type code');
INSERT INTO `lang_definitions` VALUES (23143, 1973, 6, 'type code');
INSERT INTO `lang_definitions` VALUES (23144, 1974, 6, 'Type code wordt niet herkend');
INSERT INTO `lang_definitions` VALUES (23145, 1975, 6, 'Type code is nog niet gedefinieerd');
INSERT INTO `lang_definitions` VALUES (23146, 1976, 6, 'Type Codes');
INSERT INTO `lang_definitions` VALUES (23147, 1977, 6, 'Code(s)');
INSERT INTO `lang_definitions` VALUES (23148, 1978, 6, 'Gecodeerd');
INSERT INTO `lang_definitions` VALUES (23149, 1979, 6, 'Codering');
INSERT INTO `lang_definitions` VALUES (23150, 1981, 6, 'Coderen niet toegestaan');
INSERT INTO `lang_definitions` VALUES (23151, 1982, 6, 'Codering (klik om te leren)');
INSERT INTO `lang_definitions` VALUES (23152, 1983, 6, 'Coderen - contact naar keuze (schrijven, met sommige optioneel)');
INSERT INTO `lang_definitions` VALUES (23153, 1984, 6, 'Coderen - contact naar keuze (schrijven, met sommige optioneel) (coding _a)');
INSERT INTO `lang_definitions` VALUES (23154, 1985, 6, 'Coderen - mijn (schrijven, met sommige optioneel)');
INSERT INTO `lang_definitions` VALUES (23155, 1986, 6, 'Codering - mijn Encounters (schrijven, wsome optioneel) (codering)');
INSERT INTO `lang_definitions` VALUES (23156, 1987, 6, 'Codering compleet');
INSERT INTO `lang_definitions` VALUES (23157, 1988, 6, 'Coderen afgerond');
INSERT INTO `lang_definitions` VALUES (23158, 1989, 6, 'Codeer machine');
INSERT INTO `lang_definitions` VALUES (23159, 1990, 6, 'Niet geautoriseerde codering');
INSERT INTO `lang_definitions` VALUES (23160, 1991, 6, 'Koffie');
INSERT INTO `lang_definitions` VALUES (23161, 1992, 6, 'Koffie gebruik');
INSERT INTO `lang_definitions` VALUES (23162, 1993, 6, 'Munten');
INSERT INTO `lang_definitions` VALUES (23163, 1994, 6, 'Extra verzekering');
INSERT INTO `lang_definitions` VALUES (23164, 1995, 6, 'Coll w/o');
INSERT INTO `lang_definitions` VALUES (23165, 1996, 6, 'Medewerker');
INSERT INTO `lang_definitions` VALUES (23166, 1997, 6, 'Inklappen');
INSERT INTO `lang_definitions` VALUES (23167, 1998, 6, 'inklappen');
INSERT INTO `lang_definitions` VALUES (23168, 1999, 6, 'Alles inklappen');
INSERT INTO `lang_definitions` VALUES (23169, 2000, 6, 'Alles inklappen');
INSERT INTO `lang_definitions` VALUES (23170, 2001, 6, 'alles inklappen');
INSERT INTO `lang_definitions` VALUES (23171, 2004, 6, 'Verzameld');
INSERT INTO `lang_definitions` VALUES (23172, 2005, 6, 'Verzamel datum');
INSERT INTO `lang_definitions` VALUES (23173, 2007, 6, 'Verzamelingen');
INSERT INTO `lang_definitions` VALUES (23174, 2008, 6, 'Ontvangen bedragen rapport');
INSERT INTO `lang_definitions` VALUES (23175, 2009, 6, 'Colonkanker');
INSERT INTO `lang_definitions` VALUES (23176, 2010, 6, 'Colon-Ca screening');
INSERT INTO `lang_definitions` VALUES (23177, 2011, 6, 'Colon-Ca chirurgie');
INSERT INTO `lang_definitions` VALUES (23178, 2012, 6, 'Coloscopie');
INSERT INTO `lang_definitions` VALUES (23179, 2013, 6, 'coloscopie');
INSERT INTO `lang_definitions` VALUES (23180, 2014, 6, 'Kleur');
INSERT INTO `lang_definitions` VALUES (23181, 2015, 6, 'Kleur voor even sets (behalve wanneer de laatste set even is en alle ledenafspraken worden weergegeven en er ten minste één volgende geplande afspraak bestaat (niet weergegeven) of worden niet alle ledenafspraken weergegeven).');
INSERT INTO `lang_definitions` VALUES (23182, 2016, 6, 'Kleur voor oneven sets (behalve wanneer de laatste set oneven is en alle ledenafspraken worden weergegeven en er ten minste één volgende geplande afspraak bestaat (niet weergegeven) of worden niet alle ledenafspraken weergegeven).');
INSERT INTO `lang_definitions` VALUES (23183, 2017, 6, 'Kleur voor de laatste set wanneer alle ledenafspraken worden weergegeven en er ten minste één volgende geplande afspraak bestaat (niet weergegeven).');
INSERT INTO `lang_definitions` VALUES (23184, 2018, 6, 'Kleur voor de laatste set als niet alle ledenafspraken worden weergegeven.');
INSERT INTO `lang_definitions` VALUES (23185, 2019, 6, 'Zicht (kleur)');
INSERT INTO `lang_definitions` VALUES (23186, 2020, 6, 'Kleur:Abbr');
INSERT INTO `lang_definitions` VALUES (23187, 2021, 6, 'Kolom');
INSERT INTO `lang_definitions` VALUES (23188, 2022, 6, 'Kolommen');
INSERT INTO `lang_definitions` VALUES (23189, 2023, 6, 'Herinneringen combineren');
INSERT INTO `lang_definitions` VALUES (23190, 2024, 6, 'Voorraaden samenvoegen');
INSERT INTO `lang_definitions` VALUES (23191, 2025, 6, 'Komma');
INSERT INTO `lang_definitions` VALUES (23192, 2027, 6, 'Commentaar');
INSERT INTO `lang_definitions` VALUES (23193, 2028, 6, 'Commentaren');
INSERT INTO `lang_definitions` VALUES (23194, 2030, 6, 'Commentaar of aanbeveling voor dit resultaat');
INSERT INTO `lang_definitions` VALUES (23195, 2031, 6, 'Commerciele verzekeringsmij.');
INSERT INTO `lang_definitions` VALUES (23196, 2032, 6, 'Wijzigingen doorvoeren');
INSERT INTO `lang_definitions` VALUES (23197, 2034, 6, 'Communicaties');
INSERT INTO `lang_definitions` VALUES (23198, 2035, 6, 'Communicatie engine');
INSERT INTO `lang_definitions` VALUES (23199, 2036, 6, 'Communicaties');
INSERT INTO `lang_definitions` VALUES (23200, 2037, 6, 'Sociale geneeskundige');
INSERT INTO `lang_definitions` VALUES (23201, 2038, 6, 'Gemeenschappelijk Gezondheidscentrum');
INSERT INTO `lang_definitions` VALUES (23202, 2039, 6, 'Bedrijf');
INSERT INTO `lang_definitions` VALUES (23203, 2040, 6, 'Naam bedrijf');
INSERT INTO `lang_definitions` VALUES (23204, 2041, 6, 'Afronden');
INSERT INTO `lang_definitions` VALUES (23205, 2042, 6, 'Totale bezoek tijd');
INSERT INTO `lang_definitions` VALUES (23206, 2043, 6, 'Afgerond');
INSERT INTO `lang_definitions` VALUES (23207, 2044, 6, 'afgerond');
INSERT INTO `lang_definitions` VALUES (23208, 2045, 6, 'Ad gecompleteerd');
INSERT INTO `lang_definitions` VALUES (23209, 2046, 6, 'Afgerond?');
INSERT INTO `lang_definitions` VALUES (23210, 2047, 6, 'De mogelijkheid om de patiëntstroomkaart weer te geven volledig verwijderen.');
INSERT INTO `lang_definitions` VALUES (23211, 2048, 6, 'Status van afronding');
INSERT INTO `lang_definitions` VALUES (23212, 2049, 6, 'Complicaties bij Service gevende');
INSERT INTO `lang_definitions` VALUES (23213, 2050, 6, 'Complicaties van abortus');
INSERT INTO `lang_definitions` VALUES (23214, 2051, 6, 'Componenten');
INSERT INTO `lang_definitions` VALUES (23215, 2052, 6, 'Bericht opstellen');
INSERT INTO `lang_definitions` VALUES (23216, 2053, 6, 'Nieuw bericht maken');
INSERT INTO `lang_definitions` VALUES (23217, 2055, 6, 'Uitgebreide revalidatiefaciliteit voorIn- patiënten');
INSERT INTO `lang_definitions` VALUES (23218, 2056, 6, 'Uitgebreide ambulante revalidatiefaciliteit voor out patient');
INSERT INTO `lang_definitions` VALUES (23219, 2057, 6, 'Computergestuurd ordersysteem');
INSERT INTO `lang_definitions` VALUES (23220, 2058, 6, 'Conclusies');
INSERT INTO `lang_definitions` VALUES (23221, 2059, 6, 'Conditie');
INSERT INTO `lang_definitions` VALUES (23222, 2060, 6, 'Conditie veld niet gevonden');
INSERT INTO `lang_definitions` VALUES (23223, 2061, 6, 'Conditie status');
INSERT INTO `lang_definitions` VALUES (23224, 2063, 6, 'Config');
INSERT INTO `lang_definitions` VALUES (23225, 2064, 6, 'Configuratie');
INSERT INTO `lang_definitions` VALUES (23226, 2065, 6, 'Configuratie im-/ex-port');
INSERT INTO `lang_definitions` VALUES (23227, 2066, 6, 'Configuratie met succes bewaard');
INSERT INTO `lang_definitions` VALUES (23228, 2067, 6, 'Apache en OpenEMR instellen om SSL-clientcertificaten te gebruiken');
INSERT INTO `lang_definitions` VALUES (23229, 2068, 6, 'Apache instellen om SSL-clientcertificaten te gebruiken');
INSERT INTO `lang_definitions` VALUES (23230, 2069, 6, 'Apache instellen om HTTPS te gebruiken.');
INSERT INTO `lang_definitions` VALUES (23231, 2070, 6, 'OpenEMR instellen om SSL-clientcertificaten te gebruiken');
INSERT INTO `lang_definitions` VALUES (23232, 2074, 6, 'Tracks configureren');
INSERT INTO `lang_definitions` VALUES (23233, 2075, 6, 'Tracks configureren');
INSERT INTO `lang_definitions` VALUES (23234, 2078, 6, 'Bevestigen');
INSERT INTO `lang_definitions` VALUES (23235, 2079, 6, 'Bevestig aanmaken nieuwe patient');
INSERT INTO `lang_definitions` VALUES (23236, 2080, 6, 'E-mail adres bevestigen');
INSERT INTO `lang_definitions` VALUES (23237, 2081, 6, 'Bevestig nieuw wachtwoord');
INSERT INTO `lang_definitions` VALUES (23238, 2083, 6, 'Bevestig betaling');
INSERT INTO `lang_definitions` VALUES (23239, 2084, 6, 'Delete huidige tread?');
INSERT INTO `lang_definitions` VALUES (23240, 2085, 6, 'Bevestig geslecteerde verwijderen?');
INSERT INTO `lang_definitions` VALUES (23241, 2088, 6, 'Bevestigd');
INSERT INTO `lang_definitions` VALUES (23242, 2089, 6, 'Tegenstrijdige allergieen');
INSERT INTO `lang_definitions` VALUES (23243, 2090, 6, 'Tegenstrijdige medicqaties');
INSERT INTO `lang_definitions` VALUES (23244, 2091, 6, 'Tegenstrijdige problemen');
INSERT INTO `lang_definitions` VALUES (23245, 2092, 6, 'Aangeboren');
INSERT INTO `lang_definitions` VALUES (23246, 2094, 6, 'Conjunctiva, pupillen');
INSERT INTO `lang_definitions` VALUES (23247, 2095, 6, 'Conj{{Conjunctiva}}');
INSERT INTO `lang_definitions` VALUES (23248, 2096, 6, 'Verbindings fout');
INSERT INTO `lang_definitions` VALUES (23249, 2097, 6, 'Verbindingen');
INSERT INTO `lang_definitions` VALUES (23250, 2098, 6, 'Constante');
INSERT INTO `lang_definitions` VALUES (23251, 2100, 6, 'naam van constante');
INSERT INTO `lang_definitions` VALUES (23252, 2101, 6, 'Naam van Constante is leeg');
INSERT INTO `lang_definitions` VALUES (23253, 2102, 6, 'Constanten');
INSERT INTO `lang_definitions` VALUES (23254, 2103, 6, 'Obstipatie');
INSERT INTO `lang_definitions` VALUES (23255, 2104, 6, 'Constitutie');
INSERT INTO `lang_definitions` VALUES (23256, 2105, 6, 'Bouwbedrijf');
INSERT INTO `lang_definitions` VALUES (23257, 2106, 6, 'Consultatie arts');
INSERT INTO `lang_definitions` VALUES (23258, 2107, 6, 'Korte omschrijving consult');
INSERT INTO `lang_definitions` VALUES (23259, 2109, 6, 'Contactgegevens');
INSERT INTO `lang_definitions` VALUES (23260, 2110, 6, 'Contact e-mail');
INSERT INTO `lang_definitions` VALUES (23261, 2111, 6, 'Contact e-mail adres');
INSERT INTO `lang_definitions` VALUES (23262, 2112, 6, 'Neem contact op met EMR Direct om abb, te nemen abb. te nemen op phiMail Direect messaging sercvice');
INSERT INTO `lang_definitions` VALUES (23263, 2113, 6, 'Contact info');
INSERT INTO `lang_definitions` VALUES (23264, 2115, 6, 'Contactlens');
INSERT INTO `lang_definitions` VALUES (23265, 2116, 6, 'Refraction van de contact lens');
INSERT INTO `lang_definitions` VALUES (23266, 2117, 6, 'Contact lenzen');
INSERT INTO `lang_definitions` VALUES (23267, 2118, 6, 'Neem contact op kmet Medical Information Intergration, LLC via http://mi-squared.com om Lab exchange Service te activeren.');
INSERT INTO `lang_definitions` VALUES (23268, 2119, 6, 'Neem contact op met Medical Information Integration, LLC via http://mi-squared.com of ZH Healthcare via http://zhservices.com voor abb. op eRx service');
INSERT INTO `lang_definitions` VALUES (23269, 2120, 6, 'Contact Medical Information Integration, LLC op http://mi-squared.com of ZH Healthcare bij http://zhservices.com voor een abonnement op de NewCrop ERX service.');
INSERT INTO `lang_definitions` VALUES (23270, 2121, 6, 'Neem contact op met mi-squared op http://www.mi-squared.com/products-services/openemr/ of ZH Healthcare op https://blueehr.com/contact-us/ voor een abonnement op de NewCrop eRx-service.');
INSERT INTO `lang_definitions` VALUES (23271, 2122, 6, 'Naam contact');
INSERT INTO `lang_definitions` VALUES (23272, 2123, 6, 'Neem contact op met Open Med Practice, www.openmedpractice.com voor een abonnement op de Weno Free eRx-service.');
INSERT INTO `lang_definitions` VALUES (23273, 2124, 6, 'Telefoon voor contact of bericht');
INSERT INTO `lang_definitions` VALUES (23274, 2125, 6, 'Contactpersoon');
INSERT INTO `lang_definitions` VALUES (23275, 2126, 6, 'Contact tel.');
INSERT INTO `lang_definitions` VALUES (23276, 2127, 6, 'Telefoon contactpersoon');
INSERT INTO `lang_definitions` VALUES (23277, 2128, 6, 'Relatie van contact');
INSERT INTO `lang_definitions` VALUES (23278, 2129, 6, 'Maak contact met ZMG. LLC(zmghealth@gmail.com) om eRx service abbonement aan te maken');
INSERT INTO `lang_definitions` VALUES (23279, 2130, 6, 'Contacten');
INSERT INTO `lang_definitions` VALUES (23280, 2131, 6, 'Inhoud');
INSERT INTO `lang_definitions` VALUES (23281, 2132, 6, 'Groepsnaam van container');
INSERT INTO `lang_definitions` VALUES (23282, 2133, 6, 'Inhoud');
INSERT INTO `lang_definitions` VALUES (23283, 2134, 6, 'inhoud');
INSERT INTO `lang_definitions` VALUES (23284, 2135, 6, 'Inhoud');
INSERT INTO `lang_definitions` VALUES (23285, 2136, 6, 'Contekst');
INSERT INTO `lang_definitions` VALUES (23286, 2137, 6, 'Contekt naam kan niet leeg zijn');
INSERT INTO `lang_definitions` VALUES (23287, 2138, 6, 'Doorgaan');
INSERT INTO `lang_definitions` VALUES (23288, 2142, 6, 'Voortgangs document voor verzorging (CCD)');
INSERT INTO `lang_definitions` VALUES (23289, 2145, 6, 'Voortgang zorg verslag (CCR)');
INSERT INTO `lang_definitions` VALUES (23290, 2146, 6, 'Contra clienten');
INSERT INTO `lang_definitions` VALUES (23291, 2147, 6, 'Anticonceptie');
INSERT INTO `lang_definitions` VALUES (23292, 2148, 6, 'Anticonceptie problematiek');
INSERT INTO `lang_definitions` VALUES (23293, 2149, 6, 'Anticonceptie complicatie (specificeren)');
INSERT INTO `lang_definitions` VALUES (23294, 2150, 6, 'Anticonceptie methode');
INSERT INTO `lang_definitions` VALUES (23295, 2151, 6, 'Anticoceptie producten');
INSERT INTO `lang_definitions` VALUES (23296, 2152, 6, 'Vorige anticonceptiemethode');
INSERT INTO `lang_definitions` VALUES (23297, 2153, 6, 'Begin anticonceptie');
INSERT INTO `lang_definitions` VALUES (23298, 2154, 6, 'Gezichtscherpte (contrast)');
INSERT INTO `lang_definitions` VALUES (23299, 2155, 6, 'Gezichtscherpte testen');
INSERT INTO `lang_definitions` VALUES (23300, 2156, 6, 'Contra start');
INSERT INTO `lang_definitions` VALUES (23301, 2157, 6, 'Scherpte');
INSERT INTO `lang_definitions` VALUES (23302, 2158, 6, 'Controle ID');
INSERT INTO `lang_definitions` VALUES (23303, 2159, 6, 'Controle nummer');
INSERT INTO `lang_definitions` VALUES (23304, 2160, 6, 'Gereguleerde stof?');
INSERT INTO `lang_definitions` VALUES (23305, 2161, 6, 'Convergentie');
INSERT INTO `lang_definitions` VALUES (23306, 2162, 6, 'Convergence Amps');
INSERT INTO `lang_definitions` VALUES (23307, 2163, 6, 'Conversie');
INSERT INTO `lang_definitions` VALUES (23308, 2165, 6, 'Converteer een JavaScript-object naar een JSON-tekenreeks en verzend het naar de server.');
INSERT INTO `lang_definitions` VALUES (23309, 2166, 6, 'Omzetten van plus naar min cylinders');
INSERT INTO `lang_definitions` VALUES (23310, 2167, 6, 'Counselors coordineren');
INSERT INTO `lang_definitions` VALUES (23311, 2168, 6, 'Eigen bijdrage');
INSERT INTO `lang_definitions` VALUES (23312, 2169, 6, 'Eigen bijdrage');
INSERT INTO `lang_definitions` VALUES (23313, 2170, 6, 'Eigen bijdrage');
INSERT INTO `lang_definitions` VALUES (23314, 2171, 6, 'Eigen bijdrage moet pos zijn');
INSERT INTO `lang_definitions` VALUES (23315, 2172, 6, 'Bijbetaling betaald');
INSERT INTO `lang_definitions` VALUES (23316, 2173, 6, 'Eigen Bijdragen');
INSERT INTO `lang_definitions` VALUES (23317, 2174, 6, 'COPD');
INSERT INTO `lang_definitions` VALUES (23318, 2175, 6, 'Kopieer blz naar kaart van pt');
INSERT INTO `lang_definitions` VALUES (23319, 2176, 6, 'Kopieer deze waarden in het huidige bezoek.');
INSERT INTO `lang_definitions` VALUES (23320, 2177, 6, 'Waarden kopieren');
INSERT INTO `lang_definitions` VALUES (23321, 2178, 6, 'Database wordt gecopieerd. Dit kost wat tijd...');
INSERT INTO `lang_definitions` VALUES (23322, 2179, 6, 'Copyright');
INSERT INTO `lang_definitions` VALUES (23323, 2180, 6, 'Hart ziekte');
INSERT INTO `lang_definitions` VALUES (23324, 2181, 6, 'Core');
INSERT INTO `lang_definitions` VALUES (23325, 2182, 6, 'Cornea');
INSERT INTO `lang_definitions` VALUES (23326, 2183, 6, 'Cornish');
INSERT INTO `lang_definitions` VALUES (23327, 2184, 6, 'Coronaire Ateriele Bypass');
INSERT INTO `lang_definitions` VALUES (23328, 2185, 6, 'Coronaire Arteriele Bypass Graft (CABG)');
INSERT INTO `lang_definitions` VALUES (23329, 2186, 6, 'Gecorrigeerd');
INSERT INTO `lang_definitions` VALUES (23330, 2187, 6, 'Corsicaans');
INSERT INTO `lang_definitions` VALUES (23331, 2188, 6, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (23332, 2189, 6, 'CouchDB verbinding mislukt.');
INSERT INTO `lang_definitions` VALUES (23333, 2191, 6, 'CouchDB Database');
INSERT INTO `lang_definitions` VALUES (23334, 2192, 6, 'CouchDB database naam');
INSERT INTO `lang_definitions` VALUES (23335, 2195, 6, 'CouchDB host');
INSERT INTO `lang_definitions` VALUES (23336, 2196, 6, 'CouchDB Hostnaam');
INSERT INTO `lang_definitions` VALUES (23337, 2197, 6, 'CouchDB log aan');
INSERT INTO `lang_definitions` VALUES (23338, 2198, 6, 'CouchDB paswoord');
INSERT INTO `lang_definitions` VALUES (23339, 2199, 6, 'CouchDB poort');
INSERT INTO `lang_definitions` VALUES (23340, 2200, 6, 'CouchDB poort');
INSERT INTO `lang_definitions` VALUES (23341, 2201, 6, 'CouchDB save mislukt');
INSERT INTO `lang_definitions` VALUES (23342, 2203, 6, 'CouchDB Usernaam');
INSERT INTO `lang_definitions` VALUES (23343, 2204, 6, 'Hoest');
INSERT INTO `lang_definitions` VALUES (23344, 2205, 6, 'Hoest:');
INSERT INTO `lang_definitions` VALUES (23345, 2206, 6, 'kon niet met de serververbinden');
INSERT INTO `lang_definitions` VALUES (23346, 2207, 6, 'Kan de Rx norm tabel niet vinden! Installeer eerst.');
INSERT INTO `lang_definitions` VALUES (23347, 2208, 6, 'Kon het document niet importeren. Neem contact op met de EMR verkoper.');
INSERT INTO `lang_definitions` VALUES (23348, 2210, 6, 'kon de tabel niet openen');
INSERT INTO `lang_definitions` VALUES (23349, 2211, 6, 'Kon bestand niet lezen');
INSERT INTO `lang_definitions` VALUES (23350, 2212, 6, 'Kon de file niet inlezen');
INSERT INTO `lang_definitions` VALUES (23351, 2214, 6, 'E-mail werd niet verzonden door serverprobleem,');
INSERT INTO `lang_definitions` VALUES (23352, 2215, 6, 'De e-mail kon niet verzondern worden door een Server probleem');
INSERT INTO `lang_definitions` VALUES (23353, 2216, 6, 'E-mail werd niet verzonden door server probleem.');
INSERT INTO `lang_definitions` VALUES (23354, 2217, 6, 'Kon geen backup Dir maken:');
INSERT INTO `lang_definitions` VALUES (23355, 2218, 6, 'Kon volgende Dir niet verwijderen:');
INSERT INTO `lang_definitions` VALUES (23356, 2219, 6, 'Kon deze oude backupfile niet verwijderen:');
INSERT INTO `lang_definitions` VALUES (23357, 2220, 6, 'Kon deze oude exportfile niet verwijderen');
INSERT INTO `lang_definitions` VALUES (23358, 2221, 6, 'Antistollingscontrole; INR controle');
INSERT INTO `lang_definitions` VALUES (23359, 2222, 6, 'Begeleiding dmv methode');
INSERT INTO `lang_definitions` VALUES (23360, 2223, 6, 'Begeleiding');
INSERT INTO `lang_definitions` VALUES (23361, 2224, 6, 'Begeleidingsactiviteiten');
INSERT INTO `lang_definitions` VALUES (23362, 2225, 6, 'Counselors');
INSERT INTO `lang_definitions` VALUES (23363, 2226, 6, 'Tegen-referral formumlier');
INSERT INTO `lang_definitions` VALUES (23364, 2227, 6, 'Terug verwijsbrief');
INSERT INTO `lang_definitions` VALUES (23365, 2228, 6, 'Terug verwijzing');
INSERT INTO `lang_definitions` VALUES (23366, 2229, 6, 'Land');
INSERT INTO `lang_definitions` VALUES (23367, 2230, 6, 'Landen code');
INSERT INTO `lang_definitions` VALUES (23368, 2231, 6, 'Landspecifieke Data Type');
INSERT INTO `lang_definitions` VALUES (23369, 2232, 6, 'Namenlijst van landen');
INSERT INTO `lang_definitions` VALUES (23370, 2233, 6, 'Landenlijst (schrijven,toevoegen optioneel)');
INSERT INTO `lang_definitions` VALUES (23371, 2234, 6, 'Landenlijst (schrijven,toevoegen optioneel) (land)');
INSERT INTO `lang_definitions` VALUES (23372, 2235, 6, 'Landnaam moet uit twee letters bestaan (bijvoorbeeld: Verenigde staten is US)');
INSERT INTO `lang_definitions` VALUES (23373, 2236, 6, 'regio');
INSERT INTO `lang_definitions` VALUES (23374, 2237, 6, 'Regio');
INSERT INTO `lang_definitions` VALUES (23375, 2238, 6, 'Coupon');
INSERT INTO `lang_definitions` VALUES (23376, 2239, 6, 'Beloop');
INSERT INTO `lang_definitions` VALUES (23377, 2240, 6, 'Neef/nicht');
INSERT INTO `lang_definitions` VALUES (23378, 2244, 6, 'CPOE');
INSERT INTO `lang_definitions` VALUES (23379, 2245, 6, 'CPT');
INSERT INTO `lang_definitions` VALUES (23380, 2246, 6, 'CPT-Code');
INSERT INTO `lang_definitions` VALUES (23381, 2247, 6, 'CPT-Codes');
INSERT INTO `lang_definitions` VALUES (23382, 2248, 6, 'CPT4-Procedure/Service');
INSERT INTO `lang_definitions` VALUES (23383, 2249, 6, 'CPTII Perfomance Meetingen');
INSERT INTO `lang_definitions` VALUES (23384, 2250, 6, 'CQM');
INSERT INTO `lang_definitions` VALUES (23385, 2252, 6, 'Knisperend:');
INSERT INTO `lang_definitions` VALUES (23386, 2253, 6, 'Craniale zenuw 5 Trigeminus');
INSERT INTO `lang_definitions` VALUES (23387, 2254, 6, 'Craniale zenuw 7 Facialis');
INSERT INTO `lang_definitions` VALUES (23388, 2255, 6, 'creme');
INSERT INTO `lang_definitions` VALUES (23389, 2256, 6, 'Maak een SSL-clientcertificaat aan voor elke gebruiker of clientmachine.');
INSERT INTO `lang_definitions` VALUES (23390, 2257, 6, 'Maak een SSL-clientcertificaat aan voor ofwel een gebruiker ofwel een clientcomputer.');
INSERT INTO `lang_definitions` VALUES (23391, 2261, 6, 'een nieuwe track aanmaken');
INSERT INTO `lang_definitions` VALUES (23392, 2263, 6, 'Maak een herinnering om een toekomstig bezoek aan te maken');
INSERT INTO `lang_definitions` VALUES (23393, 2269, 6, 'Maak gebeurtenis aan');
INSERT INTO `lang_definitions` VALUES (23394, 2273, 6, 'Maak en download een totale backup');
INSERT INTO `lang_definitions` VALUES (23395, 2274, 6, 'Maak en verander de tracks');
INSERT INTO `lang_definitions` VALUES (23396, 2275, 6, 'Maak backup');
INSERT INTO `lang_definitions` VALUES (23397, 2276, 6, 'Maak verzameling');
INSERT INTO `lang_definitions` VALUES (23398, 2277, 6, 'Maak een clientcertificaat aan');
INSERT INTO `lang_definitions` VALUES (23399, 2278, 6, 'Maak een SSL-clientcertificaat aan');
INSERT INTO `lang_definitions` VALUES (23400, 2279, 6, 'Maak een aangepaste White-list met MIME-inhoudstypen van bestanden om uw documentsysteem te beveiligen');
INSERT INTO `lang_definitions` VALUES (23401, 2280, 6, 'Maak datum aan');
INSERT INTO `lang_definitions` VALUES (23402, 2281, 6, 'Dupliceren');
INSERT INTO `lang_definitions` VALUES (23403, 2282, 6, 'Encounter aanmaken');
INSERT INTO `lang_definitions` VALUES (23404, 2283, 6, 'Backup van gebeurtenislog aanmaken');
INSERT INTO `lang_definitions` VALUES (23405, 2285, 6, 'Nieuwe issue maken');
INSERT INTO `lang_definitions` VALUES (23406, 2286, 6, 'Maak Nieuw Bericht');
INSERT INTO `lang_definitions` VALUES (23407, 2287, 6, 'Nieuwe client registreren');
INSERT INTO `lang_definitions` VALUES (23408, 2288, 6, 'Nieuwe track aanmaken');
INSERT INTO `lang_definitions` VALUES (23409, 2290, 6, 'Maak Offsite Portal credentials aan');
INSERT INTO `lang_definitions` VALUES (23410, 2291, 6, 'Maak Online Portaal refenties/ credentials');
INSERT INTO `lang_definitions` VALUES (23411, 2292, 6, 'Maak onsite Portal credentials aan');
INSERT INTO `lang_definitions` VALUES (23412, 2294, 6, 'Maak notitie voor patient');
INSERT INTO `lang_definitions` VALUES (23413, 2296, 6, 'Maak autorisatie aan voor de SSL-clientcertificaat en servercertificaten');
INSERT INTO `lang_definitions` VALUES (23414, 2297, 6, 'Maak visite aan');
INSERT INTO `lang_definitions` VALUES (23415, 2298, 6, 'Aangemaakt');
INSERT INTO `lang_definitions` VALUES (23416, 2305, 6, 'Toch aanmaken');
INSERT INTO `lang_definitions` VALUES (23417, 2306, 6, 'Aanmaken exportbestand');
INSERT INTO `lang_definitions` VALUES (23418, 2307, 6, 'Aanmaken nieuwe track mislukt');
INSERT INTO `lang_definitions` VALUES (23419, 2308, 6, 'Om deze file bij Remote Host aan te maken is mislukt');
INSERT INTO `lang_definitions` VALUES (23420, 2309, 6, 'Maker van');
INSERT INTO `lang_definitions` VALUES (23421, 2311, 6, 'krediet');
INSERT INTO `lang_definitions` VALUES (23422, 2312, 6, 'Credit Card');
INSERT INTO `lang_definitions` VALUES (23423, 2314, 6, 'Kredieten');
INSERT INTO `lang_definitions` VALUES (23424, 2315, 6, 'Cree');
INSERT INTO `lang_definitions` VALUES (23425, 2316, 6, 'Criteria');
INSERT INTO `lang_definitions` VALUES (23426, 2318, 6, 'Kroatisch');
INSERT INTO `lang_definitions` VALUES (23427, 2319, 6, 'Ziekte van Crohn');
INSERT INTO `lang_definitions` VALUES (23428, 2320, 6, 'Ziekte van Crohn');
INSERT INTO `lang_definitions` VALUES (23429, 2321, 6, 'CR {{cycloplegische Refractie}}');
INSERT INTO `lang_definitions` VALUES (23430, 2322, 6, 'CSV');
INSERT INTO `lang_definitions` VALUES (23431, 2323, 6, 'CSV-export');
INSERT INTO `lang_definitions` VALUES (23432, 2324, 6, 'CSV-bestand');
INSERT INTO `lang_definitions` VALUES (23433, 2325, 6, 'CSV tabellen');
INSERT INTO `lang_definitions` VALUES (23434, 2326, 6, 'CSV naar calendar_extern tabellen');
INSERT INTO `lang_definitions` VALUES (23435, 2328, 6, 'CTL{{Contact lens Visie}}');
INSERT INTO `lang_definitions` VALUES (23436, 2329, 6, 'CTL{{cContact Lens}}');
INSERT INTO `lang_definitions` VALUES (23437, 2330, 6, 'CU.MM');
INSERT INTO `lang_definitions` VALUES (23438, 2331, 6, 'Cubaans');
INSERT INTO `lang_definitions` VALUES (23439, 2332, 6, 'Beker');
INSERT INTO `lang_definitions` VALUES (23440, 2333, 6, 'Aantal decimalen valuta');
INSERT INTO `lang_definitions` VALUES (23441, 2334, 6, 'Valuta decimaal punt symbool');
INSERT INTO `lang_definitions` VALUES (23442, 2335, 6, 'Valuta symbool');
INSERT INTO `lang_definitions` VALUES (23443, 2336, 6, 'Valuta duizendtallen symbool');
INSERT INTO `lang_definitions` VALUES (23444, 2337, 6, 'Actief');
INSERT INTO `lang_definitions` VALUES (23445, 2338, 6, 'Huidig alcohol gebruik');
INSERT INTO `lang_definitions` VALUES (23446, 2341, 6, 'Lopende consultatie');
INSERT INTO `lang_definitions` VALUES (23447, 2342, 6, 'Huidige criteria');
INSERT INTO `lang_definitions` VALUES (23448, 2344, 6, 'Kleur van lopende dag');
INSERT INTO `lang_definitions` VALUES (23449, 2345, 6, 'Huidig dagelijks roken');
INSERT INTO `lang_definitions` VALUES (23450, 2346, 6, 'Huidige oog medicaties');
INSERT INTO `lang_definitions` VALUES (23451, 2347, 6, 'De actieve bestandsnaam is veranderd in');
INSERT INTO `lang_definitions` VALUES (23452, 2348, 6, 'Huidige bril');
INSERT INTO `lang_definitions` VALUES (23453, 2349, 6, 'Huidige Hash');
INSERT INTO `lang_definitions` VALUES (23454, 2350, 6, 'Huidige locatie');
INSERT INTO `lang_definitions` VALUES (23455, 2351, 6, 'Huidige LOG gebruiker');
INSERT INTO `lang_definitions` VALUES (23456, 2352, 6, 'Lopende medicaties');
INSERT INTO `lang_definitions` VALUES (23457, 2354, 6, 'Geldig Paswoord');
INSERT INTO `lang_definitions` VALUES (23458, 2356, 6, 'Nu aanwezige patient');
INSERT INTO `lang_definitions` VALUES (23459, 2357, 6, 'Huidige patient niet beschikbaar hier. Gebruik Patient dokumenten');
INSERT INTO `lang_definitions` VALUES (23460, 2358, 6, 'Huidige aanbieder');
INSERT INTO `lang_definitions` VALUES (23461, 2359, 6, 'Alleen huidige patient');
INSERT INTO `lang_definitions` VALUES (23462, 2361, 6, 'Huidig recreatief drug gebruik');
INSERT INTO `lang_definitions` VALUES (23463, 2362, 6, 'Huidige RX');
INSERT INTO `lang_definitions` VALUES (23464, 2363, 6, 'Rook gedrag gedurende enkele dagen');
INSERT INTO `lang_definitions` VALUES (23465, 2364, 6, 'Huidige status');
INSERT INTO `lang_definitions` VALUES (23466, 2365, 6, 'Huidige tijd voor status');
INSERT INTO `lang_definitions` VALUES (23467, 2366, 6, 'Huidig doel');
INSERT INTO `lang_definitions` VALUES (23468, 2368, 6, 'Huidige gebruiker');
INSERT INTO `lang_definitions` VALUES (23469, 2369, 6, 'Lopende waarde');
INSERT INTO `lang_definitions` VALUES (23470, 2371, 6, 'Nu actief');
INSERT INTO `lang_definitions` VALUES (23471, 2372, 6, 'Nu bezig');
INSERT INTO `lang_definitions` VALUES (23472, 2374, 6, 'Nu off-line');
INSERT INTO `lang_definitions` VALUES (23473, 2375, 6, 'Is nu bezig');
INSERT INTO `lang_definitions` VALUES (23474, 2377, 6, 'Er zijn geen facilities aanwezig');
INSERT INTO `lang_definitions` VALUES (23475, 2378, 6, 'Op het moment bezig met het document');
INSERT INTO `lang_definitions` VALUES (23476, 2379, 6, 'Cushing syndroom');
INSERT INTO `lang_definitions` VALUES (23477, 2380, 6, 'Cushing syndroom');
INSERT INTO `lang_definitions` VALUES (23478, 2381, 6, 'Custodial Care Facility');
INSERT INTO `lang_definitions` VALUES (23479, 2382, 6, 'Voogd');
INSERT INTO `lang_definitions` VALUES (23480, 2383, 6, 'Gewoonte');
INSERT INTO `lang_definitions` VALUES (23481, 2384, 6, 'Aangepast rekeningen telefoonnummer');
INSERT INTO `lang_definitions` VALUES (23482, 2389, 6, 'Aangepaste Aanhef');
INSERT INTO `lang_definitions` VALUES (23483, 2390, 6, 'Gebruikers input?');
INSERT INTO `lang_definitions` VALUES (23484, 2393, 6, 'Aangepast Statement bericht');
INSERT INTO `lang_definitions` VALUES (23485, 2395, 6, 'Gebruikers tabel');
INSERT INTO `lang_definitions` VALUES (23486, 2396, 6, 'Aangepaste tekst voor briefkaarten van Flow Board. Na het wijzigen van de tekst drukt  een voorbeeld af, voordat u grote hoeveelheden afdrukt!');
INSERT INTO `lang_definitions` VALUES (23487, 2400, 6, 'CVV');
INSERT INTO `lang_definitions` VALUES (23488, 2401, 6, 'CVX code');
INSERT INTO `lang_definitions` VALUES (23489, 2402, 6, 'CVX code');
INSERT INTO `lang_definitions` VALUES (23490, 2403, 6, 'CVX code mapping');
INSERT INTO `lang_definitions` VALUES (23491, 2404, 6, 'CVX Immunisatie');
INSERT INTO `lang_definitions` VALUES (23492, 2405, 6, 'CV');
INSERT INTO `lang_definitions` VALUES (23493, 2406, 6, 'Cyclus');
INSERT INTO `lang_definitions` VALUES (23494, 2407, 6, 'Cyclo 1%');
INSERT INTO `lang_definitions` VALUES (23495, 2408, 6, 'CycloMydrill');
INSERT INTO `lang_definitions` VALUES (23496, 2409, 6, 'Cycloplegisch (Natte) refractie');
INSERT INTO `lang_definitions` VALUES (23497, 2410, 6, 'Cyl{{Cylinder}}');
INSERT INTO `lang_definitions` VALUES (23498, 2411, 6, 'Cyl{{Cylinder}}');
INSERT INTO `lang_definitions` VALUES (23499, 2412, 6, 'CYP');
INSERT INTO `lang_definitions` VALUES (23500, 2413, 6, 'CYP-factor');
INSERT INTO `lang_definitions` VALUES (23501, 2414, 6, 'CYP-verslag');
INSERT INTO `lang_definitions` VALUES (23502, 2415, 6, 'Tsechisch');
INSERT INTO `lang_definitions` VALUES (23503, 2416, 6, 'D');
INSERT INTO `lang_definitions` VALUES (23504, 2417, 6, 'D&C');
INSERT INTO `lang_definitions` VALUES (23505, 2418, 6, 'D&E');
INSERT INTO `lang_definitions` VALUES (23506, 2419, 6, 'D &amp; V Volledige OU{{Ductions and Versions volledig voor beide ogen}}');
INSERT INTO `lang_definitions` VALUES (23507, 2420, 6, 'Geb. datum');
INSERT INTO `lang_definitions` VALUES (23508, 2421, 6, 'dagelijks');
INSERT INTO `lang_definitions` VALUES (23509, 2422, 6, 'Dagelijks vastleggen');
INSERT INTO `lang_definitions` VALUES (23510, 2423, 6, 'Dagelijks rapport');
INSERT INTO `lang_definitions` VALUES (23511, 2424, 6, 'Dagelijks overzichtsrapport');
INSERT INTO `lang_definitions` VALUES (23512, 2425, 6, 'Deens');
INSERT INTO `lang_definitions` VALUES (23513, 2426, 6, 'Dashboard');
INSERT INTO `lang_definitions` VALUES (23514, 2427, 6, 'Dashboard - vat alle patient gerelateerde informatie samen');
INSERT INTO `lang_definitions` VALUES (23515, 2429, 6, 'Soortgelijke data zit al in databank, wijzig de code en/of omschrijving');
INSERT INTO `lang_definitions` VALUES (23516, 2430, 6, 'Soortgelijke data zit al in databank, verander de naam van de constante');
INSERT INTO `lang_definitions` VALUES (23517, 2431, 6, 'Gegevens Colommen');
INSERT INTO `lang_definitions` VALUES (23518, 2432, 6, 'Data invoerder');
INSERT INTO `lang_definitions` VALUES (23519, 2433, 6, 'Data inbreng - Sociaal Security Nummer');
INSERT INTO `lang_definitions` VALUES (23520, 2434, 6, 'Fout in data');
INSERT INTO `lang_definitions` VALUES (23521, 2435, 6, 'Data formulier');
INSERT INTO `lang_definitions` VALUES (23522, 2436, 6, 'Data integriteit is gecompromiteerd');
INSERT INTO `lang_definitions` VALUES (23523, 2437, 6, 'data voor alle Encounters tot nu toe');
INSERT INTO `lang_definitions` VALUES (23524, 2439, 6, 'Gegevenstype');
INSERT INTO `lang_definitions` VALUES (23525, 2440, 6, 'Database');
INSERT INTO `lang_definitions` VALUES (23526, 2442, 6, 'Database is niet geinstalleerd');
INSERT INTO `lang_definitions` VALUES (23527, 2443, 6, 'Naam van de Database');
INSERT INTO `lang_definitions` VALUES (23528, 2444, 6, 'Database aanpassing');
INSERT INTO `lang_definitions` VALUES (23529, 2445, 6, 'Databank rapportage');
INSERT INTO `lang_definitions` VALUES (23530, 2446, 6, 'Reportage Database (database)');
INSERT INTO `lang_definitions` VALUES (23531, 2447, 6, 'DB upgrade is beeindigd');
INSERT INTO `lang_definitions` VALUES (23532, 2448, 6, 'Data kolommen moeten nummer hebben tussen 1 en 999');
INSERT INTO `lang_definitions` VALUES (23533, 2449, 6, 'Datum');
INSERT INTO `lang_definitions` VALUES (23534, 2450, 6, 'DATUM');
INSERT INTO `lang_definitions` VALUES (23535, 2451, 6, 'Datum en tijd van toedienen');
INSERT INTO `lang_definitions` VALUES (23536, 2452, 6, 'Datum/Tijd');
INSERT INTO `lang_definitions` VALUES (23537, 2453, 6, 'Geadministreerde datum');
INSERT INTO `lang_definitions` VALUES (23538, 2454, 6, 'Datum en tijd van afname sampel');
INSERT INTO `lang_definitions` VALUES (23539, 2455, 6, 'Datum en tijd van deze waarneming');
INSERT INTO `lang_definitions` VALUES (23540, 2456, 6, 'Datum en tijd van dit rapport');
INSERT INTO `lang_definitions` VALUES (23541, 2457, 6, 'Datum en tijd dat sampel is verzameld');
INSERT INTO `lang_definitions` VALUES (23542, 2458, 6, 'Datum kan niet voorbij vandaag liggen');
INSERT INTO `lang_definitions` VALUES (23543, 2459, 6, 'Aanvankelijke begindatum anticonceptie');
INSERT INTO `lang_definitions` VALUES (23544, 2460, 6, 'Datum van aanmaken');
INSERT INTO `lang_definitions` VALUES (23545, 2461, 6, 'Datum overlijden');
INSERT INTO `lang_definitions` VALUES (23546, 2462, 6, 'Datum vernietigd');
INSERT INTO `lang_definitions` VALUES (23547, 2463, 6, 'Format voor datum invoer');
INSERT INTO `lang_definitions` VALUES (23548, 2464, 6, 'Datum voor \"einde afspraak\" is ongeldig');
INSERT INTO `lang_definitions` VALUES (23549, 2465, 6, 'Datum van begin afspraak is ongeldig');
INSERT INTO `lang_definitions` VALUES (23550, 2466, 6, 'Datum format voor \"volgende afspraak is ongeldig');
INSERT INTO `lang_definitions` VALUES (23551, 2467, 6, 'Datum voor \"niet gezien sinds\" is ongeldig');
INSERT INTO `lang_definitions` VALUES (23552, 2468, 6, 'Datum voor \"eerder gezien\" is ongeldig');
INSERT INTO `lang_definitions` VALUES (23553, 2469, 6, 'Datum voor \"geziens sinds\" is ongeldig');
INSERT INTO `lang_definitions` VALUES (23554, 2470, 6, 'Info verstrekking over vaccinatie gegeven');
INSERT INTO `lang_definitions` VALUES (23555, 2471, 6, 'Dag voor deze code is niet ingevuld');
INSERT INTO `lang_definitions` VALUES (23556, 2472, 6, 'Datum Master criteria');
INSERT INTO `lang_definitions` VALUES (23557, 2473, 6, 'Afspraak data');
INSERT INTO `lang_definitions` VALUES (23558, 2474, 6, 'Afspraken data mm/dd/yyyy');
INSERT INTO `lang_definitions` VALUES (23559, 2475, 6, 'Datum bankdeposito jjjj-mm-dd');
INSERT INTO `lang_definitions` VALUES (23560, 2476, 6, 'Datum rekening verstuurd');
INSERT INTO `lang_definitions` VALUES (23561, 2477, 6, 'Geboortedatum');
INSERT INTO `lang_definitions` VALUES (23562, 2478, 6, 'Geboortedatum');
INSERT INTO `lang_definitions` VALUES (23563, 2479, 6, 'Geboortedatum');
INSERT INTO `lang_definitions` VALUES (23564, 2480, 6, 'Geboorte datum en leeftijd');
INSERT INTO `lang_definitions` VALUES (23565, 2481, 6, 'Datum invoer');
INSERT INTO `lang_definitions` VALUES (23566, 2482, 6, 'Datum vertrek');
INSERT INTO `lang_definitions` VALUES (23567, 2483, 6, 'Datum van letsel');
INSERT INTO `lang_definitions` VALUES (23568, 2484, 6, 'Datum begin ziekte');
INSERT INTO `lang_definitions` VALUES (23569, 2485, 6, 'Datum begin hospitalisatie');
INSERT INTO `lang_definitions` VALUES (23570, 2486, 6, 'Datum begin Chirurgie of begin medicatie');
INSERT INTO `lang_definitions` VALUES (23571, 2487, 6, 'Datum van betaling jjjj-mm-dd');
INSERT INTO `lang_definitions` VALUES (23572, 2488, 6, 'Datum herstel of stoppen vam medicatie');
INSERT INTO `lang_definitions` VALUES (23573, 2489, 6, 'Datum van verwijzing');
INSERT INTO `lang_definitions` VALUES (23574, 2490, 6, 'Datum van registratie');
INSERT INTO `lang_definitions` VALUES (23575, 2491, 6, 'Datum van antwoord');
INSERT INTO `lang_definitions` VALUES (23576, 2492, 6, 'Datum rapport');
INSERT INTO `lang_definitions` VALUES (23577, 2493, 6, 'Datum dienstverlening');
INSERT INTO `lang_definitions` VALUES (23578, 2494, 6, 'Datum van Service');
INSERT INTO `lang_definitions` VALUES (23579, 2495, 6, 'Datum dienstverlening');
INSERT INTO `lang_definitions` VALUES (23580, 2496, 6, 'Datum van Service = vandaag');
INSERT INTO `lang_definitions` VALUES (23581, 2498, 6, 'Datum dienstverlening mm/dd/jjjj');
INSERT INTO `lang_definitions` VALUES (23582, 2499, 6, 'Datum van dienstverlening');
INSERT INTO `lang_definitions` VALUES (23583, 2500, 6, 'Datum van handtekening');
INSERT INTO `lang_definitions` VALUES (23584, 2501, 6, 'Datum ondertekening');
INSERT INTO `lang_definitions` VALUES (23585, 2502, 6, 'Datum van deze brief');
INSERT INTO `lang_definitions` VALUES (23586, 2503, 6, 'Datum van deze bestelling');
INSERT INTO `lang_definitions` VALUES (23587, 2504, 6, 'Datum van dit rapport');
INSERT INTO `lang_definitions` VALUES (23588, 2505, 6, 'Datum VIS verklaring');
INSERT INTO `lang_definitions` VALUES (23589, 2506, 6, 'Besteldatum');
INSERT INTO `lang_definitions` VALUES (23590, 2507, 6, 'Data range');
INSERT INTO `lang_definitions` VALUES (23591, 2508, 6, 'Datum kiezer');
INSERT INTO `lang_definitions` VALUES (23592, 2509, 6, 'Datum kiezer');
INSERT INTO `lang_definitions` VALUES (23593, 2510, 6, 'Datum verzending');
INSERT INTO `lang_definitions` VALUES (23594, 2511, 6, 'Datum dat bericht verstuurd werd');
INSERT INTO `lang_definitions` VALUES (23595, 2512, 6, 'Datum tijd');
INSERT INTO `lang_definitions` VALUES (23596, 2513, 6, 'Datum waarden kunnen niet blanco zijn');
INSERT INTO `lang_definitions` VALUES (23597, 2514, 6, 'Datum VIS aanbieding');
INSERT INTO `lang_definitions` VALUES (23598, 2515, 6, 'Datum VIS publicatie');
INSERT INTO `lang_definitions` VALUES (23599, 2516, 6, 'Datum/Bez.');
INSERT INTO `lang_definitions` VALUES (23600, 2517, 6, 'Datum/Notitie');
INSERT INTO `lang_definitions` VALUES (23601, 2518, 6, 'Datum/Notitie van laatste');
INSERT INTO `lang_definitions` VALUES (23602, 2519, 6, 'Datum/Tijd');
INSERT INTO `lang_definitions` VALUES (23603, 2520, 6, 'Datum:');
INSERT INTO `lang_definitions` VALUES (23604, 2522, 6, 'Verouderd');
INSERT INTO `lang_definitions` VALUES (23605, 2523, 6, 'Gedateerde berichten log');
INSERT INTO `lang_definitions` VALUES (23606, 2525, 6, 'Gedateerde herinneringen max alerts om te tonen');
INSERT INTO `lang_definitions` VALUES (23607, 2526, 6, 'Dag');
INSERT INTO `lang_definitions` VALUES (23608, 2527, 6, 'dag');
INSERT INTO `lang_definitions` VALUES (23609, 2529, 6, 'Dag uitdraai');
INSERT INTO `lang_definitions` VALUES (23610, 2530, 6, 'Dagoverzicht');
INSERT INTO `lang_definitions` VALUES (23611, 2531, 6, 'Dag(en)');
INSERT INTO `lang_definitions` VALUES (23612, 2532, 6, 'Dag(en) Ma - Vr');
INSERT INTO `lang_definitions` VALUES (23613, 2533, 6, 'dagen');
INSERT INTO `lang_definitions` VALUES (23614, 2534, 6, 'Dagen');
INSERT INTO `lang_definitions` VALUES (23615, 2535, 6, 'dagen geleden');
INSERT INTO `lang_definitions` VALUES (23616, 2536, 6, 'Dagen en spelen gemist');
INSERT INTO `lang_definitions` VALUES (23617, 2537, 6, 'Dagen vanaf laatste contact');
INSERT INTO `lang_definitions` VALUES (23618, 2538, 6, 'Gemiste dagen');
INSERT INTO `lang_definitions` VALUES (23619, 2539, 6, 'Dagen van elkaar verwijdert');
INSERT INTO `lang_definitions` VALUES (23620, 2540, 6, 'Weekdagen');
INSERT INTO `lang_definitions` VALUES (23621, 2541, 6, 'Dagen per kolom:');
INSERT INTO `lang_definitions` VALUES (23622, 2542, 6, 'Dagen/Col:');
INSERT INTO `lang_definitions` VALUES (23623, 2543, 6, 'Dagen/Col:');
INSERT INTO `lang_definitions` VALUES (23624, 2544, 6, 'DB geinstalleerd');
INSERT INTO `lang_definitions` VALUES (23625, 2545, 6, 'dd/mm/jjjj');
INSERT INTO `lang_definitions` VALUES (23626, 2546, 6, 'De Identificatie');
INSERT INTO `lang_definitions` VALUES (23627, 2547, 6, 'De Identificatie Proces beeindigd');
INSERT INTO `lang_definitions` VALUES (23628, 2548, 6, 'De Identificatie Proces is bezig.....');
INSERT INTO `lang_definitions` VALUES (23629, 2549, 6, 'De-identificatie proces is begonnen en draait op achtergrond');
INSERT INTO `lang_definitions` VALUES (23630, 2550, 6, 'De-identificatie proces');
INSERT INTO `lang_definitions` VALUES (23631, 2551, 6, 'De-identificatie bestand worden opgeslagen in');
INSERT INTO `lang_definitions` VALUES (23632, 2552, 6, 'DEA');
INSERT INTO `lang_definitions` VALUES (23633, 2555, 6, 'De-activeren');
INSERT INTO `lang_definitions` VALUES (23634, 2556, 6, 'De-activeerd');
INSERT INTO `lang_definitions` VALUES (23635, 2558, 6, 'Doof');
INSERT INTO `lang_definitions` VALUES (23636, 2562, 6, 'Informatie om fout te zoeken');
INSERT INTO `lang_definitions` VALUES (23637, 2563, 6, 'Debug output');
INSERT INTO `lang_definitions` VALUES (23638, 2564, 6, 'Bezig fouten te zoeken');
INSERT INTO `lang_definitions` VALUES (23639, 2565, 6, 'Dec');
INSERT INTO `lang_definitions` VALUES (23640, 2567, 6, 'Overleden');
INSERT INTO `lang_definitions` VALUES (23641, 2568, 6, 'OVERLEDEN (1 dag geleden)');
INSERT INTO `lang_definitions` VALUES (23642, 2569, 6, 'OVERLEDEN (vandaag)');
INSERT INTO `lang_definitions` VALUES (23643, 2570, 6, 'Datum overlijden');
INSERT INTO `lang_definitions` VALUES (23644, 2571, 6, 'Overleidingsdatum mag niet later zijn dan vandaag');
INSERT INTO `lang_definitions` VALUES (23645, 2573, 6, 'Reden overlijden');
INSERT INTO `lang_definitions` VALUES (23646, 2574, 6, 'December');
INSERT INTO `lang_definitions` VALUES (23647, 2578, 6, 'Decimaal pounden, of pounden en ounces gescheiden met #(e.g. 5#4)');
INSERT INTO `lang_definitions` VALUES (23648, 2579, 6, 'Niet nader specificeren');
INSERT INTO `lang_definitions` VALUES (23649, 2580, 6, 'Aftrekbaar');
INSERT INTO `lang_definitions` VALUES (23650, 2581, 6, 'Aftrekbaar Met');
INSERT INTO `lang_definitions` VALUES (23651, 2582, 6, 'diepte');
INSERT INTO `lang_definitions` VALUES (23652, 2583, 6, 'Standaard');
INSERT INTO `lang_definitions` VALUES (23653, 2585, 6, 'Standaard agendaweergave');
INSERT INTO `lang_definitions` VALUES (23654, 2587, 6, 'Standaard Encounter Formulier ID');
INSERT INTO `lang_definitions` VALUES (23655, 2588, 6, 'Standaard Encounter scherm');
INSERT INTO `lang_definitions` VALUES (23656, 2589, 6, 'Voorkeurs Kliniek');
INSERT INTO `lang_definitions` VALUES (23657, 2591, 6, 'Default Font (om deze verandering door te voeren logou-login');
INSERT INTO `lang_definitions` VALUES (23658, 2593, 6, 'Default Font Size (Log-out log-in om dit te activeren)');
INSERT INTO `lang_definitions` VALUES (23659, 2594, 6, 'Voorkeurs taal');
INSERT INTO `lang_definitions` VALUES (23660, 2595, 6, 'Standaard taal indien geen andere is toegestaan of is gekozen');
INSERT INTO `lang_definitions` VALUES (23661, 2596, 6, 'Default linker margin voor CMS 1500');
INSERT INTO `lang_definitions` VALUES (23662, 2597, 6, 'UB04');
INSERT INTO `lang_definitions` VALUES (23663, 2598, 6, 'Standaardlijst (schrijven,toevoegen optioneel)');
INSERT INTO `lang_definitions` VALUES (23664, 2599, 6, 'Default lijst (schrijf, alleen  bijvoegen mogelijk) (default)');
INSERT INTO `lang_definitions` VALUES (23665, 2600, 6, 'Standaardmethode');
INSERT INTO `lang_definitions` VALUES (23666, 2601, 6, 'Standaard aantal dagen tot Paswoord verloopt');
INSERT INTO `lang_definitions` VALUES (23667, 2602, 6, 'Verloop tijd in dagen voor paswoord. 0 betekent deze keuze wordt NIET geactivceerd.');
INSERT INTO `lang_definitions` VALUES (23668, 2603, 6, 'Voorkeur Land van Patient');
INSERT INTO `lang_definitions` VALUES (23669, 2604, 6, 'Standaard-land van de Patient verstuurd naar New Crop ERX, alleen als Land van de patiënt niet is ingesteld.');
INSERT INTO `lang_definitions` VALUES (23670, 2605, 6, 'Standaard Prijsniveau');
INSERT INTO `lang_definitions` VALUES (23671, 2606, 6, 'Voorkeursprioriteit');
INSERT INTO `lang_definitions` VALUES (23672, 2607, 6, 'Voorkeursbehandelaar');
INSERT INTO `lang_definitions` VALUES (23673, 2608, 6, 'Default provider verandert');
INSERT INTO `lang_definitions` VALUES (23674, 2609, 6, 'Standaard spreiding');
INSERT INTO `lang_definitions` VALUES (23675, 2610, 6, 'Voorkeurstekst voor reden bezoek');
INSERT INTO `lang_definitions` VALUES (23676, 2611, 6, 'Standaard aanleverende aanbieder voor betalingsformulier');
INSERT INTO `lang_definitions` VALUES (23677, 2612, 6, 'Voorkeur zoek code voor type');
INSERT INTO `lang_definitions` VALUES (23678, 2613, 6, 'Default 2e TAB');
INSERT INTO `lang_definitions` VALUES (23679, 2614, 6, 'Standaard selectie voor aanbieder betalings overzicht.');
INSERT INTO `lang_definitions` VALUES (23680, 2615, 6, 'Default setting');
INSERT INTO `lang_definitions` VALUES (23681, 2617, 6, 'Voorkeurs status Nieuw Window checkbox in de patienten lijst.');
INSERT INTO `lang_definitions` VALUES (23682, 2618, 6, 'Standaardsjabloon');
INSERT INTO `lang_definitions` VALUES (23683, 2619, 6, 'Gaat standaard over op lijn item voor een provider in vergoedingsformulier');
INSERT INTO `lang_definitions` VALUES (23684, 2620, 6, 'Gaat standaard over op een lijn item voor een providerin vergoedings formulier. (Alleen van toepassing als ondersteuning post facturering in optie hierboven)');
INSERT INTO `lang_definitions` VALUES (23685, 2621, 6, 'Gaan standaard over op vorige waarde');
INSERT INTO `lang_definitions` VALUES (23686, 2622, 6, 'Default top print marge voor CMS 1500');
INSERT INTO `lang_definitions` VALUES (23687, 2623, 6, 'Default top prin tmarge voor UB04');
INSERT INTO `lang_definitions` VALUES (23688, 2624, 6, 'Standaardunits');
INSERT INTO `lang_definitions` VALUES (23689, 2626, 6, 'Standaardwaarde');
INSERT INTO `lang_definitions` VALUES (23690, 2627, 6, 'Standaard bezoek Category');
INSERT INTO `lang_definitions` VALUES (23691, 2628, 6, 'Standaarwarenhuis');
INSERT INTO `lang_definitions` VALUES (23692, 2629, 6, 'Standaard X12 partner');
INSERT INTO `lang_definitions` VALUES (23693, 2630, 6, 'Standaard/Algemeen');
INSERT INTO `lang_definitions` VALUES (23694, 2631, 6, 'Standaard: aangevinkt. Indien aangevinkt, worden berichten verwerkt voor patiënten met demografische keuze van de patiënt (telefoon / tekst / e-mail) ingesteld op  \'Niet toegewezen \' of  \'Ja \'. Als dit niet is aangevinkt, kan een bepaald type bericht alleen worden verzonden als de demografische keuze =  \'Ja \'.');
INSERT INTO `lang_definitions` VALUES (23695, 2632, 6, 'Standaards');
INSERT INTO `lang_definitions` VALUES (23696, 2633, 6, 'Benoem een Default bezoek categorie');
INSERT INTO `lang_definitions` VALUES (23697, 2635, 6, 'Del');
INSERT INTO `lang_definitions` VALUES (23698, 2636, 6, 'del');
INSERT INTO `lang_definitions` VALUES (23699, 2637, 6, 'Verlaat recidief (>12 mndn)');
INSERT INTO `lang_definitions` VALUES (23700, 2638, 6, 'Verwijder');
INSERT INTO `lang_definitions` VALUES (23701, 2639, 6, 'verwijder');
INSERT INTO `lang_definitions` VALUES (23702, 2640, 6, 'Verwijder categorieen met ID(s):');
INSERT INTO `lang_definitions` VALUES (23703, 2641, 6, 'Verwijder categorie');
INSERT INTO `lang_definitions` VALUES (23704, 2642, 6, 'Document verwijderen');
INSERT INTO `lang_definitions` VALUES (23705, 2643, 6, 'Encouter formulier verwijderen');
INSERT INTO `lang_definitions` VALUES (23706, 2644, 6, 'Verwijdering mislukt');
INSERT INTO `lang_definitions` VALUES (23707, 2645, 6, 'Verwijder groep');
INSERT INTO `lang_definitions` VALUES (23708, 2646, 6, 'Verwijder lijst');
INSERT INTO `lang_definitions` VALUES (23709, 2647, 6, 'Verwijder Onsite Portaal activiteit');
INSERT INTO `lang_definitions` VALUES (23710, 2648, 6, 'Verwijder pagina´s');
INSERT INTO `lang_definitions` VALUES (23711, 2649, 6, 'Verwijder patient, contact, formulier, probleem, document, betaling, rekening of verklaring');
INSERT INTO `lang_definitions` VALUES (23712, 2650, 6, 'Plan verwijderen');
INSERT INTO `lang_definitions` VALUES (23713, 2651, 6, 'Rij deleten');
INSERT INTO `lang_definitions` VALUES (23714, 2652, 6, 'Verwijder geselecteerde Items');
INSERT INTO `lang_definitions` VALUES (23715, 2653, 6, 'verwijder geselecteerde verzoeken');
INSERT INTO `lang_definitions` VALUES (23716, 2654, 6, 'Succesvol verwijdert');
INSERT INTO `lang_definitions` VALUES (23717, 2655, 6, 'Verwijderen gelukt.');
INSERT INTO `lang_definitions` VALUES (23718, 2656, 6, 'Verwijder dit document');
INSERT INTO `lang_definitions` VALUES (23719, 2657, 6, 'Verwijder dit formulier');
INSERT INTO `lang_definitions` VALUES (23720, 2658, 6, 'Verwijder dit bericht');
INSERT INTO `lang_definitions` VALUES (23721, 2659, 6, 'Verwijder deze notitie');
INSERT INTO `lang_definitions` VALUES (23722, 2660, 6, 'Met succes verwijderd');
INSERT INTO `lang_definitions` VALUES (23723, 2661, 6, 'Met succes verwijderd.');
INSERT INTO `lang_definitions` VALUES (23724, 2662, 6, 'Bezig te verwijderen');
INSERT INTO `lang_definitions` VALUES (23725, 2663, 6, 'Verwijderen van de Event kan niet ongedaan gemaakt worden. Kan ook niet opneiuw terug gehaald worden. Echt helemaal zeker om te verwijderen?');
INSERT INTO `lang_definitions` VALUES (23726, 2664, 6, 'Verwijderen is mislukt omdat in de groep afspraken of ontmoetingen zijn opgenomen');
INSERT INTO `lang_definitions` VALUES (23727, 2665, 6, 'Afgeleverd');
INSERT INTO `lang_definitions` VALUES (23728, 2666, 6, 'Afleveren bevestigd');
INSERT INTO `lang_definitions` VALUES (23729, 2667, 6, 'Aflevering is niet toegstaan op gespecificeerde adres.');
INSERT INTO `lang_definitions` VALUES (23730, 2668, 6, 'Versturen naar het specificeerde adres is nu niet toegestaan.');
INSERT INTO `lang_definitions` VALUES (23731, 2669, 6, 'Op verzoek van de patient is het aangehechte klinische document gestuurd');
INSERT INTO `lang_definitions` VALUES (23732, 2670, 6, 'Versturen van het bijgevoegde klinische document werd op verzoek van de patient gedaan.');
INSERT INTO `lang_definitions` VALUES (23733, 2671, 6, 'Dementie');
INSERT INTO `lang_definitions` VALUES (23734, 2672, 6, 'Hier aangemaakte Demografische veranderingen worden door het hele systeem overgenomen');
INSERT INTO `lang_definitions` VALUES (23735, 2673, 6, 'Persoonsgegevens');
INSERT INTO `lang_definitions` VALUES (23736, 2674, 6, 'Persoonsgegevens (schrijven, toevoegen optioneel)');
INSERT INTO `lang_definitions` VALUES (23737, 2675, 6, 'Demografica (schrijf, alleen bijvoegen opitoneel) (demo)');
INSERT INTO `lang_definitions` VALUES (23738, 2677, 6, 'Velden voor persoonsgegevens');
INSERT INTO `lang_definitions` VALUES (23739, 2678, 6, 'Filter voor persoonsgegevens gegevens');
INSERT INTO `lang_definitions` VALUES (23740, 2679, 6, 'Demografische Legenda ROOD Charted values. Blauw: door patient verandert');
INSERT INTO `lang_definitions` VALUES (23741, 2680, 6, 'Persoonsgegevens niet geautoriseerd');
INSERT INTO `lang_definitions` VALUES (23742, 2681, 6, 'Persoonsgegevens nog niet geautoriseerd');
INSERT INTO `lang_definitions` VALUES (23743, 2682, 6, 'Niet toegestaan');
INSERT INTO `lang_definitions` VALUES (23744, 2683, 6, 'niet toegestaan');
INSERT INTO `lang_definitions` VALUES (23745, 2684, 6, 'Denominator');
INSERT INTO `lang_definitions` VALUES (23746, 2685, 6, 'Uitzondering Denominatie');
INSERT INTO `lang_definitions` VALUES (23747, 2686, 6, 'Exclusie Denominatie');
INSERT INTO `lang_definitions` VALUES (23748, 2687, 6, 'Gebit');
INSERT INTO `lang_definitions` VALUES (23749, 2688, 6, 'Lijst gebits problemen');
INSERT INTO `lang_definitions` VALUES (23750, 2689, 6, 'Gebitsproblemen');
INSERT INTO `lang_definitions` VALUES (23751, 2691, 6, 'Afhankelijke Modules');
INSERT INTO `lang_definitions` VALUES (23752, 2692, 6, 'Afhankelijke problemen');
INSERT INTO `lang_definitions` VALUES (23753, 2694, 6, 'Afhankelijk van het type rekening dat u test, ziet u HCFA gelijkende output op een lege pagina voor HCFA rekeningen, u zult vele regels van enigszins verdraaide tekst en informatie zien, als u een X12 claim test. Deze verdraaide tekst is in het X12 EDI 4010A format. Soms zult u eigenaardige tekens zien die op dominostenen of nonsens lijken, dan zijn dit controletekens zoals nieuwe pagina beginnen en zijn normaal.');
INSERT INTO `lang_definitions` VALUES (23754, 2696, 6, 'Datum storting');
INSERT INTO `lang_definitions` VALUES (23755, 2697, 6, 'Datum van storting kan niet na vandaag liggen');
INSERT INTO `lang_definitions` VALUES (23756, 2698, 6, 'Datum deposito');
INSERT INTO `lang_definitions` VALUES (23757, 2699, 6, 'Depressief');
INSERT INTO `lang_definitions` VALUES (23758, 2700, 6, 'Depressie');
INSERT INTO `lang_definitions` VALUES (23759, 2702, 6, 'Dermatologie');
INSERT INTO `lang_definitions` VALUES (23760, 2703, 6, 'Derm{{Dermatologie}}');
INSERT INTO `lang_definitions` VALUES (23761, 2704, 6, 'DERM{{Dermatologie}}');
INSERT INTO `lang_definitions` VALUES (23762, 2705, 6, 'DESC');
INSERT INTO `lang_definitions` VALUES (23763, 2706, 6, 'Commentaar');
INSERT INTO `lang_definitions` VALUES (23764, 2707, 6, 'commentaar');
INSERT INTO `lang_definitions` VALUES (23765, 2708, 6, 'Omschrijving is de default tekst');
INSERT INTO `lang_definitions` VALUES (23766, 2709, 6, 'Omschrijving van commentaar');
INSERT INTO `lang_definitions` VALUES (23767, 2710, 6, 'Beschrijving van deze procedure of code van resultaat');
INSERT INTO `lang_definitions` VALUES (23768, 2711, 6, 'Omschrijving vertaling');
INSERT INTO `lang_definitions` VALUES (23769, 2712, 6, 'gewenste File naamj');
INSERT INTO `lang_definitions` VALUES (23770, 2713, 6, 'Doel');
INSERT INTO `lang_definitions` VALUES (23771, 2714, 6, 'Naam voor de te maken file');
INSERT INTO `lang_definitions` VALUES (23772, 2716, 6, 'Vernietig Lot');
INSERT INTO `lang_definitions` VALUES (23773, 2717, 6, 'Vernietigen...');
INSERT INTO `lang_definitions` VALUES (23774, 2718, 6, 'Vernietigd');
INSERT INTO `lang_definitions` VALUES (23775, 2719, 6, 'Vernietigde medicijnen');
INSERT INTO `lang_definitions` VALUES (23776, 2720, 6, 'Vernietigde medicijnrapport');
INSERT INTO `lang_definitions` VALUES (23777, 2721, 6, 'Detail');
INSERT INTO `lang_definitions` VALUES (23778, 2722, 6, 'Detail van de groep is succesvol gesaved');
INSERT INTO `lang_definitions` VALUES (23779, 2723, 6, 'Gedetailleerde uitslag');
INSERT INTO `lang_definitions` VALUES (23780, 2724, 6, 'Gedataileerde HPI');
INSERT INTO `lang_definitions` VALUES (23781, 2726, 6, 'Details');
INSERT INTO `lang_definitions` VALUES (23782, 2727, 6, 'Ontwikkelaar');
INSERT INTO `lang_definitions` VALUES (23783, 2728, 6, 'Ontwikkelings abnormaliteit');
INSERT INTO `lang_definitions` VALUES (23784, 2729, 6, 'Afwijking');
INSERT INTO `lang_definitions` VALUES (23785, 2730, 6, 'Diabetes');
INSERT INTO `lang_definitions` VALUES (23786, 2731, 6, 'Diabetes Mellitus');
INSERT INTO `lang_definitions` VALUES (23787, 2732, 6, 'Diabetes: Bloeddruk management (CQM)');
INSERT INTO `lang_definitions` VALUES (23788, 2733, 6, 'Diabetes: Oog fundus onderzoek');
INSERT INTO `lang_definitions` VALUES (23789, 2734, 6, 'Diabetes: Oog fundus onderzoek (CQM)');
INSERT INTO `lang_definitions` VALUES (23790, 2735, 6, 'Diabetes: Voet onderzoek');
INSERT INTO `lang_definitions` VALUES (23791, 2736, 6, 'Diabetes: Voet onderzoek (CQM)');
INSERT INTO `lang_definitions` VALUES (23792, 2737, 6, 'Diabetes: HbA1c Controle (CQM)');
INSERT INTO `lang_definitions` VALUES (23793, 2738, 6, 'Diabetes: HbA1c');
INSERT INTO `lang_definitions` VALUES (23794, 2739, 6, 'Diabetes: LDL management en controle (CQM)');
INSERT INTO `lang_definitions` VALUES (23795, 2740, 6, 'Diabetes: Urine microalbuminurie');
INSERT INTO `lang_definitions` VALUES (23796, 2741, 6, 'Diag');
INSERT INTO `lang_definitions` VALUES (23797, 2742, 6, 'Diagnoses');
INSERT INTO `lang_definitions` VALUES (23798, 2743, 6, 'Diagnose');
INSERT INTO `lang_definitions` VALUES (23799, 2744, 6, 'Code voor diagnose');
INSERT INTO `lang_definitions` VALUES (23800, 2745, 6, 'Diagnose codes');
INSERT INTO `lang_definitions` VALUES (23801, 2747, 6, 'Datum diagnose');
INSERT INTO `lang_definitions` VALUES (23802, 2749, 6, 'Diagnose moet aan code verbonden zijn');
INSERT INTO `lang_definitions` VALUES (23803, 2750, 6, 'Naam van Diagnose');
INSERT INTO `lang_definitions` VALUES (23804, 2751, 6, 'Rapport van Diagnose');
INSERT INTO `lang_definitions` VALUES (23805, 2752, 6, 'Diagnoses verslag geving');
INSERT INTO `lang_definitions` VALUES (23806, 2753, 6, 'Alleen diagnoses verslag geving');
INSERT INTO `lang_definitions` VALUES (23807, 2754, 6, 'Titel van Diagnose');
INSERT INTO `lang_definitions` VALUES (23808, 2755, 6, 'Diagnose:');
INSERT INTO `lang_definitions` VALUES (23809, 2756, 6, 'Diagnose:');
INSERT INTO `lang_definitions` VALUES (23810, 2757, 6, 'Diagnose');
INSERT INTO `lang_definitions` VALUES (23811, 2758, 6, 'Diagnostische testen');
INSERT INTO `lang_definitions` VALUES (23812, 2760, 6, 'Dials');
INSERT INTO `lang_definitions` VALUES (23813, 2761, 6, 'Diam{{diameter}}');
INSERT INTO `lang_definitions` VALUES (23814, 2762, 6, 'Diam{{diameter}}');
INSERT INTO `lang_definitions` VALUES (23815, 2763, 6, 'Diafragma/Caps');
INSERT INTO `lang_definitions` VALUES (23816, 2764, 6, 'Diarree');
INSERT INTO `lang_definitions` VALUES (23817, 2765, 6, 'Diastolisch');
INSERT INTO `lang_definitions` VALUES (23818, 2767, 6, 'Dictaat');
INSERT INTO `lang_definitions` VALUES (23819, 2768, 6, 'Ingesproken tekst');
INSERT INTO `lang_definitions` VALUES (23820, 2769, 6, 'Heeft u een kopie gekregen van de HIPAA Notitie');
INSERT INTO `lang_definitions` VALUES (23821, 2770, 6, 'Diffuus:');
INSERT INTO `lang_definitions` VALUES (23822, 2771, 6, 'Met digitale handtekening');
INSERT INTO `lang_definitions` VALUES (23823, 2772, 6, 'Verwijd met');
INSERT INTO `lang_definitions` VALUES (23824, 2774, 6, 'Dilatatie orders/risico gecontrolleerd');
INSERT INTO `lang_definitions` VALUES (23825, 2776, 6, 'Dim');
INSERT INTO `lang_definitions` VALUES (23826, 2777, 6, 'Direct');
INSERT INTO `lang_definitions` VALUES (23827, 2778, 6, 'Direct adres');
INSERT INTO `lang_definitions` VALUES (23828, 2779, 6, 'Direct adres');
INSERT INTO `lang_definitions` VALUES (23829, 2780, 6, 'Direct e-mail');
INSERT INTO `lang_definitions` VALUES (23830, 2781, 6, 'Direct mail');
INSERT INTO `lang_definitions` VALUES (23831, 2782, 6, 'Direct message log');
INSERT INTO `lang_definitions` VALUES (23832, 2783, 6, 'Direct messages ontvangen');
INSERT INTO `lang_definitions` VALUES (23833, 2784, 6, 'Direct messaging is nu niet beschikbaar');
INSERT INTO `lang_definitions` VALUES (23834, 2785, 6, 'Direect message verstuurd is mislukt');
INSERT INTO `lang_definitions` VALUES (23835, 2786, 6, 'Aanwijzingen');
INSERT INTO `lang_definitions` VALUES (23836, 2787, 6, 'Direct mail');
INSERT INTO `lang_definitions` VALUES (23837, 2788, 6, 'Directory verwijderen is mislukt; doorgaan.');
INSERT INTO `lang_definitions` VALUES (23838, 2789, 6, 'Handicap');
INSERT INTO `lang_definitions` VALUES (23839, 2790, 6, 'Onbruikbaar maken');
INSERT INTO `lang_definitions` VALUES (23840, 2794, 6, 'Kalender niet activeren');
INSERT INTO `lang_definitions` VALUES (23841, 2795, 6, 'Status tracker niet activeren');
INSERT INTO `lang_definitions` VALUES (23842, 2798, 6, 'Vaccinatie niet activeren');
INSERT INTO `lang_definitions` VALUES (23843, 2800, 6, 'Oud metrieke Vitals-formulier niet activeren');
INSERT INTO `lang_definitions` VALUES (23844, 2801, 6, 'Patient flow board niet activeren');
INSERT INTO `lang_definitions` VALUES (23845, 2802, 6, 'phpMyAdmin niet activeren');
INSERT INTO `lang_definitions` VALUES (23846, 2803, 6, 'Recepten niet activeren');
INSERT INTO `lang_definitions` VALUES (23847, 2804, 6, 'Gebruikers groepen niet activeren');
INSERT INTO `lang_definitions` VALUES (23848, 2805, 6, 'inactief');
INSERT INTO `lang_definitions` VALUES (23849, 2806, 6, 'Invalide');
INSERT INTO `lang_definitions` VALUES (23850, 2807, 6, 'Invalide begunstigde onder de leeftijd van 65 jaar met een large group health plan (LGHP)');
INSERT INTO `lang_definitions` VALUES (23851, 2811, 6, 'Disc');
INSERT INTO `lang_definitions` VALUES (23852, 2812, 6, 'DISC');
INSERT INTO `lang_definitions` VALUES (23853, 2813, 6, 'Verwijderen');
INSERT INTO `lang_definitions` VALUES (23854, 2814, 6, 'Verwijderd');
INSERT INTO `lang_definitions` VALUES (23855, 2815, 6, 'Afscheiding');
INSERT INTO `lang_definitions` VALUES (23856, 2816, 6, 'Afscheiding urethra');
INSERT INTO `lang_definitions` VALUES (23857, 2817, 6, 'Medicaties bij ontslag');
INSERT INTO `lang_definitions` VALUES (23858, 2818, 6, 'Afscheiding rechts');
INSERT INTO `lang_definitions` VALUES (23859, 2819, 6, 'Afscheiding rechts:');
INSERT INTO `lang_definitions` VALUES (23860, 2820, 6, 'Ontslag samenvatting');
INSERT INTO `lang_definitions` VALUES (23861, 2822, 6, 'Tijd van ontslag');
INSERT INTO `lang_definitions` VALUES (23862, 2823, 6, 'Ontslagen');
INSERT INTO `lang_definitions` VALUES (23863, 2825, 6, 'Vrijgeven Info');
INSERT INTO `lang_definitions` VALUES (23864, 2826, 6, 'Vrijgeven type');
INSERT INTO `lang_definitions` VALUES (23865, 2827, 6, 'Vrijgeven types');
INSERT INTO `lang_definitions` VALUES (23866, 2828, 6, 'Vrijgegeven');
INSERT INTO `lang_definitions` VALUES (23867, 2829, 6, 'Disclosures (schrijven, alleen toevoegen mogelijk)');
INSERT INTO `lang_definitions` VALUES (23868, 2832, 6, 'Discontinueren');
INSERT INTO `lang_definitions` VALUES (23869, 2833, 6, 'Korting');
INSERT INTO `lang_definitions` VALUES (23870, 2834, 6, 'Kortingsbedrag');
INSERT INTO `lang_definitions` VALUES (23871, 2835, 6, 'Kortingsniveau');
INSERT INTO `lang_definitions` VALUES (23872, 2836, 6, 'Kortingspercentage');
INSERT INTO `lang_definitions` VALUES (23873, 2837, 6, 'Korting in geldwaarde');
INSERT INTO `lang_definitions` VALUES (23874, 2838, 6, 'Kortingen gegeven bij uitchecken worden genoteerd als geldswaarde, i.t.t. percentages.');
INSERT INTO `lang_definitions` VALUES (23875, 2839, 6, 'Discreet resultaat');
INSERT INTO `lang_definitions` VALUES (23876, 2841, 6, 'Ziekte');
INSERT INTO `lang_definitions` VALUES (23877, 2842, 6, 'Ziekte met verwachtte immuniteit');
INSERT INTO `lang_definitions` VALUES (23878, 2843, 6, 'Dislocatie');
INSERT INTO `lang_definitions` VALUES (23879, 2844, 6, 'Ontslaan');
INSERT INTO `lang_definitions` VALUES (23880, 2846, 6, 'Geen hulp gewenst');
INSERT INTO `lang_definitions` VALUES (23881, 2847, 6, 'Disp #');
INSERT INTO `lang_definitions` VALUES (23882, 2848, 6, 'Lever af');
INSERT INTO `lang_definitions` VALUES (23883, 2849, 6, 'Lever ontvangen document af');
INSERT INTO `lang_definitions` VALUES (23884, 2850, 6, 'Doseer Rx');
INSERT INTO `lang_definitions` VALUES (23885, 2851, 6, 'Doseer deze Rx');
INSERT INTO `lang_definitions` VALUES (23886, 2852, 6, 'Doseer deze RX');
INSERT INTO `lang_definitions` VALUES (23887, 2853, 6, 'Afgegeven');
INSERT INTO `lang_definitions` VALUES (23888, 2854, 6, 'Toon');
INSERT INTO `lang_definitions` VALUES (23889, 2855, 6, 'Toon extra metingen (Ks, IOL cals, etc)');
INSERT INTO `lang_definitions` VALUES (23890, 2856, 6, 'Toon advance directives in de Demografische Pagina.');
INSERT INTO `lang_definitions` VALUES (23891, 2858, 6, 'Documenten tonen');
INSERT INTO `lang_definitions` VALUES (23892, 2859, 6, 'Data gebeurtenissen in blok tonen?');
INSERT INTO `lang_definitions` VALUES (23893, 2860, 6, 'Toon format voor US gewichten');
INSERT INTO `lang_definitions` VALUES (23894, 2861, 6, 'Hoeveelheid gebeurtenissen tonen?');
INSERT INTO `lang_definitions` VALUES (23895, 2863, 6, 'Geef factuurnummer, of patiëntnaam, of beide weer in het Sales Report');
INSERT INTO `lang_definitions` VALUES (23896, 2865, 6, 'Locatie in blok tonen?');
INSERT INTO `lang_definitions` VALUES (23897, 2866, 6, 'Naam tonen');
INSERT INTO `lang_definitions` VALUES (23898, 2868, 6, 'De agenda tonen?');
INSERT INTO `lang_definitions` VALUES (23899, 2869, 6, 'Toon het contactlensscherm');
INSERT INTO `lang_definitions` VALUES (23900, 2870, 6, 'Toon de contactenrekening of patientenrekening of beide op het rekeningenscherm.');
INSERT INTO `lang_definitions` VALUES (23901, 2875, 6, 'Gebeurtenissen van vandaag in blok tonen?');
INSERT INTO `lang_definitions` VALUES (23902, 2876, 6, 'Onderwerp in blok tonen?');
INSERT INTO `lang_definitions` VALUES (23903, 2877, 6, 'Komende gebeurtenissen in blok tonen?');
INSERT INTO `lang_definitions` VALUES (23904, 2879, 6, 'Weergegeven kolommen');
INSERT INTO `lang_definitions` VALUES (23905, 2880, 6, 'De meest recente disclosures worden getoond');
INSERT INTO `lang_definitions` VALUES (23906, 2882, 6, 'Toon het volgende nummer van recente notities');
INSERT INTO `lang_definitions` VALUES (23907, 2883, 6, 'Toon het vervolg nummer van recente notes');
INSERT INTO `lang_definitions` VALUES (23908, 2884, 6, 'Afstand');
INSERT INTO `lang_definitions` VALUES (23909, 2890, 6, 'Verdeling');
INSERT INTO `lang_definitions` VALUES (23910, 2891, 6, 'Verdeling');
INSERT INTO `lang_definitions` VALUES (23911, 2892, 6, 'Distributeur');
INSERT INTO `lang_definitions` VALUES (23912, 2893, 6, 'Afst.{{Afstand}}');
INSERT INTO `lang_definitions` VALUES (23913, 2894, 6, 'Divehi- Dhivehi- Maldivian-');
INSERT INTO `lang_definitions` VALUES (23914, 2897, 6, 'Diverticulitis');
INSERT INTO `lang_definitions` VALUES (23915, 2898, 6, 'Diverticulitis chirurgie');
INSERT INTO `lang_definitions` VALUES (23916, 2899, 6, 'Diverticulitis');
INSERT INTO `lang_definitions` VALUES (23917, 2900, 6, 'Diverticulitis chirurgie');
INSERT INTO `lang_definitions` VALUES (23918, 2901, 6, 'Gescheiden');
INSERT INTO `lang_definitions` VALUES (23919, 2902, 6, 'Duizeligheid');
INSERT INTO `lang_definitions` VALUES (23920, 2905, 6, 'Niet veranderen');
INSERT INTO `lang_definitions` VALUES (23921, 2906, 6, 'Toon de allergische reacties die zijn opgeladen niet na NewCrop eRx bezoek.');
INSERT INTO `lang_definitions` VALUES (23922, 2907, 6, 'Allergie niet tonen bij uploaden naar NewCrop');
INSERT INTO `lang_definitions` VALUES (23923, 2908, 6, 'Toon de medicatie die zijn opgeladen niet na bezoek aan NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (23924, 2909, 6, 'Medicatie niet tonen bij uploaden naar NewCrop');
INSERT INTO `lang_definitions` VALUES (23925, 2910, 6, 'Toon de uploaded NewCrop e Rx allergies niet');
INSERT INTO `lang_definitions` VALUES (23926, 2911, 6, 'Toon de uploaded NewCrop eRx medicaties niet');
INSERT INTO `lang_definitions` VALUES (23927, 2912, 6, 'Kalender niet tonen');
INSERT INTO `lang_definitions` VALUES (23928, 2913, 6, 'Toon het patienten flow board niet');
INSERT INTO `lang_definitions` VALUES (23929, 2916, 6, 'Geen inventaris en verkoop van andere producten');
INSERT INTO `lang_definitions` VALUES (23930, 2919, 6, 'Het is niet nodig dat Patient aantekeningen geautoriseerd worden');
INSERT INTO `lang_definitions` VALUES (23931, 2920, 6, 'Uitdrukkelijke wens GEEN REANIMATIE');
INSERT INTO `lang_definitions` VALUES (23932, 2921, 6, 'annuleren');
INSERT INTO `lang_definitions` VALUES (23933, 2922, 6, 'niet vervangen');
INSERT INTO `lang_definitions` VALUES (23934, 2925, 6, 'doe niets');
INSERT INTO `lang_definitions` VALUES (23935, 2928, 6, 'Wilt U echt hier mee doorgaan');
INSERT INTO `lang_definitions` VALUES (23936, 2929, 6, 'Wilt u dit echt veerwijderen');
INSERT INTO `lang_definitions` VALUES (23937, 2930, 6, 'Wilt u zeker deze selectie verwijderen?');
INSERT INTO `lang_definitions` VALUES (23938, 2931, 6, 'Wilt u zeker deze groep verwijderen?');
INSERT INTO `lang_definitions` VALUES (23939, 2932, 6, 'Wilt u het zeker verwijderen?');
INSERT INTO `lang_definitions` VALUES (23940, 2934, 6, 'Wilt U doorgaan?');
INSERT INTO `lang_definitions` VALUES (23941, 2935, 6, 'Wilt U dit verwijderen?');
INSERT INTO `lang_definitions` VALUES (23942, 2936, 6, 'Verwijderen?');
INSERT INTO `lang_definitions` VALUES (23943, 2937, 6, 'Wil je deze status verwijderen?');
INSERT INTO `lang_definitions` VALUES (23944, 2938, 6, 'Wilt u doorgaan met deze nieuwe client toe te voegen?');
INSERT INTO `lang_definitions` VALUES (23945, 2939, 6, 'Wilt u verder gaan met de nieuwe naam?');
INSERT INTO `lang_definitions` VALUES (23946, 2940, 6, 'WIlt u dit immunisatie verslag PERMANENT verwijderen?');
INSERT INTO `lang_definitions` VALUES (23947, 2941, 6, 'GEB. datum');
INSERT INTO `lang_definitions` VALUES (23948, 2942, 6, 'Geb. datum niet ingevuld');
INSERT INTO `lang_definitions` VALUES (23949, 2944, 6, 'Docs');
INSERT INTO `lang_definitions` VALUES (23950, 2945, 6, 'Dokter');
INSERT INTO `lang_definitions` VALUES (23951, 2946, 6, 'Dr:');
INSERT INTO `lang_definitions` VALUES (23952, 2947, 6, 'Naam en handtekening Arts');
INSERT INTO `lang_definitions` VALUES (23953, 2948, 6, 'Document');
INSERT INTO `lang_definitions` VALUES (23954, 2949, 6, 'document');
INSERT INTO `lang_definitions` VALUES (23955, 2951, 6, 'Document categorieen');
INSERT INTO `lang_definitions` VALUES (23956, 2952, 6, 'Document cathegorie voor lab resultaten bestaat niet');
INSERT INTO `lang_definitions` VALUES (23957, 2953, 6, 'Document categorie naam voor electronisch opslaan van ontvangen lab resultaten.');
INSERT INTO `lang_definitions` VALUES (23958, 2954, 6, 'Document categorie naam voor de opslag van elektronisch ontvangen MDM-documenten.');
INSERT INTO `lang_definitions` VALUES (23959, 2955, 6, 'Documeten Categorie of verwijderen');
INSERT INTO `lang_definitions` VALUES (23960, 2958, 6, 'Document kon niet naar Client ID verplaatst worden');
INSERT INTO `lang_definitions` VALUES (23961, 2959, 6, 'Document aangemaakt');
INSERT INTO `lang_definitions` VALUES (23962, 2960, 6, 'Datum van document');
INSERT INTO `lang_definitions` VALUES (23963, 2961, 6, 'Datum van document en klachten aangepast');
INSERT INTO `lang_definitions` VALUES (23964, 2962, 6, 'DocumentID');
INSERT INTO `lang_definitions` VALUES (23965, 2965, 6, 'Ducument verzet naar nieuwe categorie');
INSERT INTO `lang_definitions` VALUES (23966, 2966, 6, 'Dokument verzet naar patient ID');
INSERT INTO `lang_definitions` VALUES (23967, 2967, 6, 'Document is gechecked en goed bevonden');
INSERT INTO `lang_definitions` VALUES (23968, 2968, 6, 'Document is geaccepteerd door security check');
INSERT INTO `lang_definitions` VALUES (23969, 2969, 6, 'Manier om documenten op te slaan');
INSERT INTO `lang_definitions` VALUES (23970, 2970, 6, 'Document met succes van naam veranderd');
INSERT INTO `lang_definitions` VALUES (23971, 2971, 6, 'Document is met succes verbonden aan de Encounter');
INSERT INTO `lang_definitions` VALUES (23972, 2972, 6, 'Document Template management');
INSERT INTO `lang_definitions` VALUES (23973, 2973, 6, 'Document Templates');
INSERT INTO `lang_definitions` VALUES (23974, 2975, 6, 'Document(en)');
INSERT INTO `lang_definitions` VALUES (23975, 2976, 6, 'Bewaarplaats van document/afbeelding');
INSERT INTO `lang_definitions` VALUES (23976, 2978, 6, 'Documenten');
INSERT INTO `lang_definitions` VALUES (23977, 2980, 6, 'Documenten (schrijven,toevoegen optioneel)');
INSERT INTO `lang_definitions` VALUES (23978, 2988, 6, 'DOC{{document format}}');
INSERT INTO `lang_definitions` VALUES (23979, 2989, 6, 'DOE');
INSERT INTO `lang_definitions` VALUES (23980, 2992, 6, 'Is niet geliijk waardig');
INSERT INTO `lang_definitions` VALUES (23981, 2994, 6, 'er is geen vergelijk met PV1 encounter gevonden');
INSERT INTO `lang_definitions` VALUES (23982, 2995, 6, 'lijkt niet valide te zijn');
INSERT INTO `lang_definitions` VALUES (23983, 2996, 6, 'Zijn er gerelateerde codes voor dit type toegestaan?');
INSERT INTO `lang_definitions` VALUES (23984, 2997, 6, 'Samenwonend');
INSERT INTO `lang_definitions` VALUES (23985, 2998, 6, 'Annuleren');
INSERT INTO `lang_definitions` VALUES (23986, 2999, 6, 'Annuleren');
INSERT INTO `lang_definitions` VALUES (23987, 3000, 6, 'Wijzigingen annuleren');
INSERT INTO `lang_definitions` VALUES (23988, 3002, 6, 'Klaar');
INSERT INTO `lang_definitions` VALUES (23989, 3004, 6, 'Gedaan met:');
INSERT INTO `lang_definitions` VALUES (23990, 3005, 6, 'Klaar. Download wordt verstuurd');
INSERT INTO `lang_definitions` VALUES (23991, 3006, 6, 'DOS');
INSERT INTO `lang_definitions` VALUES (23992, 3007, 6, 'Dosering');
INSERT INTO `lang_definitions` VALUES (23993, 3008, 6, 'Dosering');
INSERT INTO `lang_definitions` VALUES (23994, 3011, 6, 'Dubbel klikken om te veranderen');
INSERT INTO `lang_definitions` VALUES (23995, 3013, 6, 'Dubbel zien');
INSERT INTO `lang_definitions` VALUES (23996, 3014, 6, 'Downloaden');
INSERT INTO `lang_definitions` VALUES (23997, 3015, 6, 'DOWNLOAD');
INSERT INTO `lang_definitions` VALUES (23998, 3018, 6, 'Download alle documenten van de patient');
INSERT INTO `lang_definitions` VALUES (23999, 3019, 6, 'Toch downloaden');
INSERT INTO `lang_definitions` VALUES (24000, 3020, 6, 'Download factureringsbestand, verstuur naar boekhouding en markeer als gefactureerd');
INSERT INTO `lang_definitions` VALUES (24001, 3021, 6, 'Download CCDA file');
INSERT INTO `lang_definitions` VALUES (24002, 3022, 6, 'Certificaten downloaden');
INSERT INTO `lang_definitions` VALUES (24003, 3023, 6, 'Download configuratie data');
INSERT INTO `lang_definitions` VALUES (24004, 3025, 6, 'Downloaden van document template voor deze patient en dit bezoek');
INSERT INTO `lang_definitions` VALUES (24005, 3027, 6, 'Downloaden van versleutelde file');
INSERT INTO `lang_definitions` VALUES (24006, 3028, 6, 'Download Fax');
INSERT INTO `lang_definitions` VALUES (24007, 3029, 6, 'Download HL7 file');
INSERT INTO `lang_definitions` VALUES (24008, 3031, 6, 'Downloaden van Offsite Portaal Verbindings Files');
INSERT INTO `lang_definitions` VALUES (24009, 3032, 6, 'Downloaden of een Template verwijderen');
INSERT INTO `lang_definitions` VALUES (24010, 3033, 6, 'Download PDF');
INSERT INTO `lang_definitions` VALUES (24011, 3034, 6, 'Download QRDA Categorie-III file');
INSERT INTO `lang_definitions` VALUES (24012, 3037, 6, 'Download geselecteerde Statements');
INSERT INTO `lang_definitions` VALUES (24013, 3039, 6, 'Dr Controle');
INSERT INTO `lang_definitions` VALUES (24014, 3040, 6, 'Dr Bezoek');
INSERT INTO `lang_definitions` VALUES (24015, 3041, 6, 'Dr.');
INSERT INTO `lang_definitions` VALUES (24016, 3045, 6, 'Versleep om te verplaatsen');
INSERT INTO `lang_definitions` VALUES (24017, 3046, 6, 'Teken');
INSERT INTO `lang_definitions` VALUES (24018, 3047, 6, 'Druppelen');
INSERT INTO `lang_definitions` VALUES (24019, 3048, 6, 'Rijbewijs of BSN');
INSERT INTO `lang_definitions` VALUES (24020, 3050, 6, 'Medicatie');
INSERT INTO `lang_definitions` VALUES (24021, 3051, 6, 'Medicatie - Medicatie interactie');
INSERT INTO `lang_definitions` VALUES (24022, 3052, 6, 'Medicatie code');
INSERT INTO `lang_definitions` VALUES (24023, 3053, 6, 'Opzoeken Medicatie');
INSERT INTO `lang_definitions` VALUES (24024, 3054, 6, 'Medicatie vorm');
INSERT INTO `lang_definitions` VALUES (24025, 3055, 6, 'Medicatie ID afwezig!');
INSERT INTO `lang_definitions` VALUES (24026, 3056, 6, 'Medicatie-intervallen');
INSERT INTO `lang_definitions` VALUES (24027, 3057, 6, 'Medicijnen voorraadbeheer');
INSERT INTO `lang_definitions` VALUES (24028, 3059, 6, 'Naam medicatie');
INSERT INTO `lang_definitions` VALUES (24029, 3061, 6, 'Wijze van toedienen');
INSERT INTO `lang_definitions` VALUES (24030, 3062, 6, 'Medicatiescherm');
INSERT INTO `lang_definitions` VALUES (24031, 3063, 6, 'Durg screen afgerond');
INSERT INTO `lang_definitions` VALUES (24032, 3064, 6, 'Drug screen rapport');
INSERT INTO `lang_definitions` VALUES (24033, 3066, 6, 'Medicatie-eenheden');
INSERT INTO `lang_definitions` VALUES (24034, 3067, 6, 'Medicatie gebruik');
INSERT INTO `lang_definitions` VALUES (24035, 3072, 6, 'Medicijnen');
INSERT INTO `lang_definitions` VALUES (24036, 3073, 6, 'Medicijnen en Producten');
INSERT INTO `lang_definitions` VALUES (24037, 3074, 6, 'Droge mond');
INSERT INTO `lang_definitions` VALUES (24038, 3075, 6, 'DSM IV Diagnosen');
INSERT INTO `lang_definitions` VALUES (24039, 3076, 6, 'DT1');
INSERT INTO `lang_definitions` VALUES (24040, 3077, 6, 'DT2');
INSERT INTO `lang_definitions` VALUES (24041, 3078, 6, 'DT3');
INSERT INTO `lang_definitions` VALUES (24042, 3079, 6, 'DT4');
INSERT INTO `lang_definitions` VALUES (24043, 3080, 6, 'DT5');
INSERT INTO `lang_definitions` VALUES (24044, 3081, 6, 'DTaP1');
INSERT INTO `lang_definitions` VALUES (24045, 3082, 6, 'DTaP2');
INSERT INTO `lang_definitions` VALUES (24046, 3083, 6, 'DTaP3');
INSERT INTO `lang_definitions` VALUES (24047, 3084, 6, 'DTaP4');
INSERT INTO `lang_definitions` VALUES (24048, 3085, 6, 'DTaP5');
INSERT INTO `lang_definitions` VALUES (24049, 3087, 6, 'Verschuldigd');
INSERT INTO `lang_definitions` VALUES (24050, 3088, 6, 'Datum bevalling');
INSERT INTO `lang_definitions` VALUES (24051, 3090, 6, 'Datum bev. mm/dd/jjjj of jjjj-mm-dd');
INSERT INTO `lang_definitions` VALUES (24052, 3091, 6, 'Datum bevalling:');
INSERT INTO `lang_definitions` VALUES (24053, 3092, 6, 'Vanwege Ins');
INSERT INTO `lang_definitions` VALUES (24054, 3093, 6, 'Vanwege Pt');
INSERT INTO `lang_definitions` VALUES (24055, 3094, 6, 'Binnenkort aan de beurt');
INSERT INTO `lang_definitions` VALUES (24056, 3095, 6, 'Datum bevalling');
INSERT INTO `lang_definitions` VALUES (24057, 3096, 6, 'Update aanpasing datum');
INSERT INTO `lang_definitions` VALUES (24058, 3097, 6, 'Dumping OpenEMR database');
INSERT INTO `lang_definitions` VALUES (24059, 3098, 6, 'Dumping OpenEMR web directory tree');
INSERT INTO `lang_definitions` VALUES (24060, 3099, 6, 'Dumping phpGACL database');
INSERT INTO `lang_definitions` VALUES (24061, 3100, 6, 'Dumping phpGACL web directory tree');
INSERT INTO `lang_definitions` VALUES (24062, 3101, 6, 'Dumping SQL-Ledger database');
INSERT INTO `lang_definitions` VALUES (24063, 3102, 6, 'Dumping SQL-Ledger web directory tree');
INSERT INTO `lang_definitions` VALUES (24064, 3103, 6, 'Dup Check');
INSERT INTO `lang_definitions` VALUES (24065, 3108, 6, 'Dubbele ID op lijn');
INSERT INTO `lang_definitions` VALUES (24066, 3109, 6, 'Dubbele NAAM op lijn');
INSERT INTO `lang_definitions` VALUES (24067, 3110, 6, 'Waarschuwing tegen duplicatie');
INSERT INTO `lang_definitions` VALUES (24068, 3111, 6, 'Duurzame volmacht');
INSERT INTO `lang_definitions` VALUES (24069, 3112, 6, 'Duur');
INSERT INTO `lang_definitions` VALUES (24070, 3113, 6, 'duur');
INSERT INTO `lang_definitions` VALUES (24071, 3114, 6, 'Nederlands');
INSERT INTO `lang_definitions` VALUES (24072, 3116, 6, 'Dx Rep');
INSERT INTO `lang_definitions` VALUES (24073, 3117, 6, 'Dysfagie');
INSERT INTO `lang_definitions` VALUES (24074, 3118, 6, 'Dyspnoe');
INSERT INTO `lang_definitions` VALUES (24075, 3119, 6, 'Dysurie');
INSERT INTO `lang_definitions` VALUES (24076, 3120, 6, 'Dzongkha');
INSERT INTO `lang_definitions` VALUES (24077, 3122, 6, 'E-mail');
INSERT INTO `lang_definitions` VALUES (24078, 3123, 6, 'E-mail');
INSERT INTO `lang_definitions` VALUES (24079, 3124, 6, 'E-mail adres');
INSERT INTO `lang_definitions` VALUES (24080, 3125, 6, 'E-mail bericht');
INSERT INTO `lang_definitions` VALUES (24081, 3128, 6, 'e-Recept?');
INSERT INTO `lang_definitions` VALUES (24082, 3129, 6, 'e-Rapport(en)');
INSERT INTO `lang_definitions` VALUES (24083, 3130, 6, 'e-Rx');
INSERT INTO `lang_definitions` VALUES (24084, 3131, 6, 'e-Rx EPCS');
INSERT INTO `lang_definitions` VALUES (24085, 3132, 6, 'e-Rx vernieuwing');
INSERT INTO `lang_definitions` VALUES (24086, 3135, 6, 'Iedere ontvanger moet hun eigen berichten op afgemaakt zetten.');
INSERT INTO `lang_definitions` VALUES (24087, 3140, 6, 'Vroeg recidief (<2mnd)');
INSERT INTO `lang_definitions` VALUES (24088, 3141, 6, 'Oren');
INSERT INTO `lang_definitions` VALUES (24089, 3148, 6, 'ECG');
INSERT INTO `lang_definitions` VALUES (24090, 3149, 6, 'eClaims');
INSERT INTO `lang_definitions` VALUES (24091, 3152, 6, 'Oedeem');
INSERT INTO `lang_definitions` VALUES (24092, 3153, 6, 'EDI bestand');
INSERT INTO `lang_definitions` VALUES (24093, 3154, 6, 'EDI Geschiedenis');
INSERT INTO `lang_definitions` VALUES (24094, 3155, 6, 'EDI Geschiedenis');
INSERT INTO `lang_definitions` VALUES (24095, 3156, 6, 'EDI Geschiedenis (onder bedragen) om te verzamelen en interpreteren van terug ontvangen EDI files');
INSERT INTO `lang_definitions` VALUES (24096, 3157, 6, 'EDI-271 File upload');
INSERT INTO `lang_definitions` VALUES (24097, 3158, 6, 'EDI-271 Respons file upload');
INSERT INTO `lang_definitions` VALUES (24098, 3159, 6, 'Aanpassen');
INSERT INTO `lang_definitions` VALUES (24099, 3160, 6, 'aanpassen');
INSERT INTO `lang_definitions` VALUES (24100, 3161, 6, 'Allergien aanpassen');
INSERT INTO `lang_definitions` VALUES (24101, 3163, 6, 'Categorieen aanpassen');
INSERT INTO `lang_definitions` VALUES (24102, 3165, 6, 'Definities aanpassen');
INSERT INTO `lang_definitions` VALUES (24103, 3166, 6, 'Definities aanpassen');
INSERT INTO `lang_definitions` VALUES (24104, 3167, 6, 'Diagnoses aanpassen voor');
INSERT INTO `lang_definitions` VALUES (24105, 3168, 6, 'Diagnose aanpassen');
INSERT INTO `lang_definitions` VALUES (24106, 3173, 6, 'Locatie aanpassen');
INSERT INTO `lang_definitions` VALUES (24107, 3174, 6, 'Bewerken faciliteit');
INSERT INTO `lang_definitions` VALUES (24108, 3175, 6, 'Locatie-informatie aanpassen');
INSERT INTO `lang_definitions` VALUES (24109, 3176, 6, 'Aanpassen specifieke User informatie');
INSERT INTO `lang_definitions` VALUES (24110, 3177, 6, 'Aanpassen van file in');
INSERT INTO `lang_definitions` VALUES (24111, 3178, 6, 'Pas formulier aan');
INSERT INTO `lang_definitions` VALUES (24112, 3179, 6, 'Basis controles aanpassen');
INSERT INTO `lang_definitions` VALUES (24113, 3181, 6, 'Aanpassen in niet toegestaan!');
INSERT INTO `lang_definitions` VALUES (24114, 3183, 6, 'Pas weergave aan');
INSERT INTO `lang_definitions` VALUES (24115, 3185, 6, 'Pas lijst aan');
INSERT INTO `lang_definitions` VALUES (24116, 3188, 6, 'Betaling aanpassen');
INSERT INTO `lang_definitions` VALUES (24117, 3189, 6, 'Structuur aanpassen');
INSERT INTO `lang_definitions` VALUES (24118, 3192, 6, 'Pas gebruiker aan');
INSERT INTO `lang_definitions` VALUES (24119, 3193, 6, 'User settings aanpassen');
INSERT INTO `lang_definitions` VALUES (24120, 3194, 6, 'Aanpassen van de door u ingevoerde data');
INSERT INTO `lang_definitions` VALUES (24121, 3195, 6, 'Veranderen mislukt');
INSERT INTO `lang_definitions` VALUES (24122, 3196, 6, 'Educatie');
INSERT INTO `lang_definitions` VALUES (24123, 3197, 6, 'Datum info aan pt');
INSERT INTO `lang_definitions` VALUES (24124, 3198, 6, 'Opvoedende materialen voor');
INSERT INTO `lang_definitions` VALUES (24125, 3199, 6, 'See * Licentie voor algemeen gebruik onder GNU voorwaarden, voor meer details. * * U zou een exemplaar van de LicentieVergunning voor algemeen gebruik van GNU voorwaarden* samen met dit programma ontvangen moeten hebben; indien niet onvangen, schrijf naar Vrije');
INSERT INTO `lang_definitions` VALUES (24126, 3200, 6, 'Effectieve Datum');
INSERT INTO `lang_definitions` VALUES (24127, 3201, 6, 'Effectieve Data');
INSERT INTO `lang_definitions` VALUES (24128, 3202, 6, 'Effectiviteit');
INSERT INTO `lang_definitions` VALUES (24129, 3204, 6, 'EIN');
INSERT INTO `lang_definitions` VALUES (24130, 3207, 6, 'Ejaculaties');
INSERT INTO `lang_definitions` VALUES (24131, 3208, 6, 'Elleboog');
INSERT INTO `lang_definitions` VALUES (24132, 3209, 6, 'Problemen met elleboog');
INSERT INTO `lang_definitions` VALUES (24133, 3210, 6, 'Electronisch');
INSERT INTO `lang_definitions` VALUES (24134, 3211, 6, 'Electronisch document ontvangen');
INSERT INTO `lang_definitions` VALUES (24135, 3212, 6, 'Electronische Notities');
INSERT INTO `lang_definitions` VALUES (24136, 3214, 6, 'Electronische overschrijvingen');
INSERT INTO `lang_definitions` VALUES (24137, 3215, 6, 'Electronische rapporten');
INSERT INTO `lang_definitions` VALUES (24138, 3217, 6, 'elektronisch ondertekend op');
INSERT INTO `lang_definitions` VALUES (24139, 3218, 6, 'In aanmerking komen');
INSERT INTO `lang_definitions` VALUES (24140, 3219, 6, 'In aanmerking komen voor 270 Batch informatie');
INSERT INTO `lang_definitions` VALUES (24141, 3220, 6, 'Eligibility respons');
INSERT INTO `lang_definitions` VALUES (24142, 3222, 6, 'Komt in aanmerking voor Vaccinatie voor kinderen');
INSERT INTO `lang_definitions` VALUES (24143, 3223, 6, 'In aanmerking komen');
INSERT INTO `lang_definitions` VALUES (24144, 3224, 6, 'Ellips');
INSERT INTO `lang_definitions` VALUES (24145, 3225, 6, 'E-mail');
INSERT INTO `lang_definitions` VALUES (24146, 3226, 6, 'E-mail');
INSERT INTO `lang_definitions` VALUES (24147, 3228, 6, 'E-mail adres');
INSERT INTO `lang_definitions` VALUES (24148, 3229, 6, 'E-mail adres is niet ingevuld');
INSERT INTO `lang_definitions` VALUES (24149, 3230, 6, 'E-mail adres verzender van patient reminders. Patient reminders die worden beantwoord worden naar dit adres doorgestuurd. Het is belangrijk om een een adres van het domein van de kliniek te gebruiken om patient reminders niet in de junk mail folders te laten belanden.');
INSERT INTO `lang_definitions` VALUES (24150, 3231, 6, 'E-mailadres, voor administratieve berichten.');
INSERT INTO `lang_definitions` VALUES (24151, 3232, 6, 'E-mailadres, indien bekend, om EMERGENCY gebruikers login om berichten te activeren.');
INSERT INTO `lang_definitions` VALUES (24152, 3233, 6, 'E-Mail auteur');
INSERT INTO `lang_definitions` VALUES (24153, 3236, 6, 'Berichtgeving per e-mail');
INSERT INTO `lang_definitions` VALUES (24154, 3238, 6, 'E-mail aanmelding');
INSERT INTO `lang_definitions` VALUES (24155, 3239, 6, 'E-mail notificatie uren');
INSERT INTO `lang_definitions` VALUES (24156, 3240, 6, 'E-mail notificatie rapport');
INSERT INTO `lang_definitions` VALUES (24157, 3244, 6, 'E-mal eerder verzonden');
INSERT INTO `lang_definitions` VALUES (24158, 3245, 6, 'E-mail afzender');
INSERT INTO `lang_definitions` VALUES (24159, 3246, 6, 'E-mail verzonden');
INSERT INTO `lang_definitions` VALUES (24160, 3247, 6, 'E-mail verzonden aan');
INSERT INTO `lang_definitions` VALUES (24161, 3248, 6, 'E-mail onderwerp');
INSERT INTO `lang_definitions` VALUES (24162, 3251, 6, 'E-mailadres: Tekst, Bruikbare Tag: *** *** NAAM, dwz Geachte NAAM *** ***');
INSERT INTO `lang_definitions` VALUES (24163, 3252, 6, 'E-mail Tekst, Bruikbare Tag: ***NAME*** ,b.v. Beste ***NAME***{{Niet vertalen ***NAME*** onderdelen van deze constant.}}');
INSERT INTO `lang_definitions` VALUES (24164, 3253, 6, 'E-mail verzend methode');
INSERT INTO `lang_definitions` VALUES (24165, 3254, 6, 'E-mail werd verzonden naar dit adres');
INSERT INTO `lang_definitions` VALUES (24166, 3257, 6, 'Spoed Hulp');
INSERT INTO `lang_definitions` VALUES (24167, 3258, 6, 'Emergency contact');
INSERT INTO `lang_definitions` VALUES (24168, 3259, 6, 'Spoedconsult');
INSERT INTO `lang_definitions` VALUES (24169, 3260, 6, 'Contactpersoon igv SPOED');
INSERT INTO `lang_definitions` VALUES (24170, 3261, 6, 'Bij SPOED bel:');
INSERT INTO `lang_definitions` VALUES (24171, 3262, 6, 'Nood anticonceptie');
INSERT INTO `lang_definitions` VALUES (24172, 3263, 6, 'Spoed Login');
INSERT INTO `lang_definitions` VALUES (24173, 3264, 6, 'Spoed Login ACL is gekozen. The user is still in active state, please de-activate the user and activate the same when required during emergency situations. Visit Administration->Users for activation or de-activation.');
INSERT INTO `lang_definitions` VALUES (24174, 3265, 6, 'Spoed Login geactiveerd email will be circulated only if following settings in the interface/globals.php file are configured:');
INSERT INTO `lang_definitions` VALUES (24175, 3266, 6, 'EMERGENCY login e-mailadres');
INSERT INTO `lang_definitions` VALUES (24176, 3267, 6, 'Spoed Login gebruiker kan alles doen');
INSERT INTO `lang_definitions` VALUES (24177, 3268, 6, 'Noodtelefoonnr');
INSERT INTO `lang_definitions` VALUES (24178, 3270, 6, 'Emotionele / gedrags condities en complicaties');
INSERT INTO `lang_definitions` VALUES (24179, 3271, 6, 'Emfyseem');
INSERT INTO `lang_definitions` VALUES (24180, 3272, 6, 'Werknemer');
INSERT INTO `lang_definitions` VALUES (24181, 3273, 6, 'Werkgever');
INSERT INTO `lang_definitions` VALUES (24182, 3274, 6, 'Adres werkgever');
INSERT INTO `lang_definitions` VALUES (24183, 3275, 6, 'Gegevens werkgever');
INSERT INTO `lang_definitions` VALUES (24184, 3276, 6, 'Naam werkgever');
INSERT INTO `lang_definitions` VALUES (24185, 3277, 6, 'LEEG');
INSERT INTO `lang_definitions` VALUES (24186, 3278, 6, 'Leeg');
INSERT INTO `lang_definitions` VALUES (24187, 3279, 6, 'Leeg Paswoord is niet toegestaan');
INSERT INTO `lang_definitions` VALUES (24188, 3281, 6, 'Lege waarde \"E-mail uren\"');
INSERT INTO `lang_definitions` VALUES (24189, 3282, 6, 'Lege waarde \"E-mail afzender\"');
INSERT INTO `lang_definitions` VALUES (24190, 3283, 6, 'Lege waarde \"E-mail onderwerp\"');
INSERT INTO `lang_definitions` VALUES (24191, 3284, 6, 'Lege waarde \"E-mail tekst\"');
INSERT INTO `lang_definitions` VALUES (24192, 3285, 6, 'Lege waarde \"Naam behandelaar\"');
INSERT INTO `lang_definitions` VALUES (24193, 3286, 6, 'Lege waarde \"Wachtwoord\"');
INSERT INTO `lang_definitions` VALUES (24194, 3287, 6, 'Lege waarde \"SMS uren\"');
INSERT INTO `lang_definitions` VALUES (24195, 3288, 6, 'Lege waarde \"SMS tekst');
INSERT INTO `lang_definitions` VALUES (24196, 3289, 6, 'Lege waarde \"Gebruikersnaam\"');
INSERT INTO `lang_definitions` VALUES (24197, 3290, 6, 'EMR Direct');
INSERT INTO `lang_definitions` VALUES (24198, 3292, 6, 'Toestaan');
INSERT INTO `lang_definitions` VALUES (24199, 3294, 6, 'Activeer Alert Log');
INSERT INTO `lang_definitions` VALUES (24200, 3295, 6, 'Actriveer Alert Logging');
INSERT INTO `lang_definitions` VALUES (24201, 3296, 6, 'Activeer Allergie controle');
INSERT INTO `lang_definitions` VALUES (24202, 3297, 6, 'Activeer allergie controle tegen Medicatie en Recpeten');
INSERT INTO `lang_definitions` VALUES (24203, 3298, 6, 'Toestaan van AMC prompting');
INSERT INTO `lang_definitions` VALUES (24204, 3299, 6, 'Toestaan van AMC rapport geitimized');
INSERT INTO `lang_definitions` VALUES (24205, 3300, 6, 'Toestaan van AMC Reporting');
INSERT INTO `lang_definitions` VALUES (24206, 3301, 6, 'Toestaan AMC tracking');
INSERT INTO `lang_definitions` VALUES (24207, 3302, 6, 'Toestaan van aanpassingen mogelijkheid');
INSERT INTO `lang_definitions` VALUES (24208, 3303, 6, 'ATNA Auditing toestaan');
INSERT INTO `lang_definitions` VALUES (24209, 3304, 6, 'Toestaan van Audit log encryptie');
INSERT INTO `lang_definitions` VALUES (24210, 3305, 6, 'ATNA Auditing log aanmaken');
INSERT INTO `lang_definitions` VALUES (24211, 3306, 6, 'Sta Audit trail en Node Audentificatie toe (ATNA)');
INSERT INTO `lang_definitions` VALUES (24212, 3307, 6, 'Sta automatische meeting berekening verslaglegging toe ()AMC)');
INSERT INTO `lang_definitions` VALUES (24213, 3312, 6, 'Activeren client SSL');
INSERT INTO `lang_definitions` VALUES (24214, 3313, 6, 'Activeren cient SSL Certificaat Authentificatie');
INSERT INTO `lang_definitions` VALUES (24215, 3314, 6, 'Activeer Klinische actieve herinnering Popup');
INSERT INTO `lang_definitions` VALUES (24216, 3315, 6, 'Activeer Klinische Besluit regels (CDR)');
INSERT INTO `lang_definitions` VALUES (24217, 3316, 6, 'Activeer Passieve Klinische Reminder(s) Popup');
INSERT INTO `lang_definitions` VALUES (24218, 3317, 6, 'Activeer de Passieve Klinische Reminder widget');
INSERT INTO `lang_definitions` VALUES (24219, 3318, 6, 'Toestaan Klinische kwaliteits metingen (CRD)');
INSERT INTO `lang_definitions` VALUES (24220, 3319, 6, 'Toestaan van Klinische reminder Popup');
INSERT INTO `lang_definitions` VALUES (24221, 3320, 6, 'Toestaan Klinische reminder widget');
INSERT INTO `lang_definitions` VALUES (24222, 3321, 6, 'CMS portaaal toestaan');
INSERT INTO `lang_definitions` VALUES (24223, 3323, 6, 'CQM Rapport voor Itemisatie teostaan');
INSERT INTO `lang_definitions` VALUES (24224, 3324, 6, 'Toestaan CQM verslaglegging');
INSERT INTO `lang_definitions` VALUES (24225, 3329, 6, 'Toestaan EDI geschiedenis in Linker Menu');
INSERT INTO `lang_definitions` VALUES (24226, 3332, 6, 'Activeer Extensie');
INSERT INTO `lang_definitions` VALUES (24227, 3334, 6, 'Linker menu gebruiken voor Honorarium saldi');
INSERT INTO `lang_definitions` VALUES (24228, 3341, 6, 'Hylafax ondersteuning toestaan');
INSERT INTO `lang_definitions` VALUES (24229, 3342, 6, 'Activeer statusbericht import na bezoek aan New Crop eRx.');
INSERT INTO `lang_definitions` VALUES (24230, 3343, 6, 'Toestaan van import bericht voor NewCrop erx');
INSERT INTO `lang_definitions` VALUES (24231, 3344, 6, 'Toestaan van Itemisatie van AMC rapporten');
INSERT INTO `lang_definitions` VALUES (24232, 3345, 6, 'Toestaan van Itemisatie van CQM rappoerten');
INSERT INTO `lang_definitions` VALUES (24233, 3346, 6, 'Toestaan van standaard klinische regels rapoorten');
INSERT INTO `lang_definitions` VALUES (24234, 3347, 6, 'Lab uitwisseling toestaan');
INSERT INTO `lang_definitions` VALUES (24235, 3348, 6, 'Wisselen van slot toestaan');
INSERT INTO `lang_definitions` VALUES (24236, 3349, 6, 'Toestaan aanmaken van log voor documenten mbv CouchDB');
INSERT INTO `lang_definitions` VALUES (24237, 3350, 6, 'Vastleggen in log van al SQL SELECT queries toestaan');
INSERT INTO `lang_definitions` VALUES (24238, 3351, 6, 'Backup gebonden activiteiten toetstaan');
INSERT INTO `lang_definitions` VALUES (24239, 3352, 6, 'Toestaan vastleggen van CDR engine queries');
INSERT INTO `lang_definitions` VALUES (24240, 3353, 6, 'Toestaan van vastleggen diverse activiteiten');
INSERT INTO `lang_definitions` VALUES (24241, 3354, 6, 'Toestaan de volgorde vast te leggen en te veranderen');
INSERT INTO `lang_definitions` VALUES (24242, 3355, 6, 'Toestaan van vastleggen patient status veranderingen');
INSERT INTO `lang_definitions` VALUES (24243, 3356, 6, 'Toestaan van vastleggen van scheduling activiteiten');
INSERT INTO `lang_definitions` VALUES (24244, 3357, 6, 'Toestaan van veiligheid en administratie activiteiten');
INSERT INTO `lang_definitions` VALUES (24245, 3359, 6, 'Activeer NewCrop eRx status bericht');
INSERT INTO `lang_definitions` VALUES (24246, 3360, 6, 'Toestaan van NewCrop eRx Service');
INSERT INTO `lang_definitions` VALUES (24247, 3361, 6, 'ACtiveer NewCrop eRx Service.');
INSERT INTO `lang_definitions` VALUES (24248, 3365, 6, 'Toestaan van Offsite patient portal');
INSERT INTO `lang_definitions` VALUES (24249, 3366, 6, 'Toestaan van Offsite patient portal.');
INSERT INTO `lang_definitions` VALUES (24250, 3368, 6, 'Toestaan onsite Patienten toegang');
INSERT INTO `lang_definitions` VALUES (24251, 3369, 6, 'Acitveer Onsite Patienten poortaal Documenten download');
INSERT INTO `lang_definitions` VALUES (24252, 3371, 6, 'Toestaan Onsite Patienten toegang.');
INSERT INTO `lang_definitions` VALUES (24253, 3385, 6, 'Toestaan Patienten Reminder widget');
INSERT INTO `lang_definitions` VALUES (24254, 3387, 6, 'Toestaan phiMail direct messaging Service');
INSERT INTO `lang_definitions` VALUES (24255, 3389, 6, 'Toestaan automatische meet berekeningen(AMC) noodzakelijke data');
INSERT INTO `lang_definitions` VALUES (24256, 3390, 6, 'Toestaan van random Drug testen');
INSERT INTO `lang_definitions` VALUES (24257, 3391, 6, 'Toestaan rapporteren van data tracking voor geautomatiseerde meet calculaties (AMC)');
INSERT INTO `lang_definitions` VALUES (24258, 3392, 6, 'Toestaan van ondersteuning met Scanner');
INSERT INTO `lang_definitions` VALUES (24259, 3393, 6, 'Aanmaken van standaard Rapport per item');
INSERT INTO `lang_definitions` VALUES (24260, 3394, 6, 'Aanmaken van WordPress ondersteuning door Sunset systems');
INSERT INTO `lang_definitions` VALUES (24261, 3396, 6, 'Toestaan van Medical Information Integration, LLC Lab uitwisseling Service.');
INSERT INTO `lang_definitions` VALUES (24262, 3397, 6, 'Toestaan van OpenEMR Ondersteuning LLC lab uitwisseling');
INSERT INTO `lang_definitions` VALUES (24263, 3398, 6, 'Activeer User Certificaat Authenticatie');
INSERT INTO `lang_definitions` VALUES (24264, 3403, 6, 'Toestaan ZMO LLC eRx service');
INSERT INTO `lang_definitions` VALUES (24265, 3404, 6, 'geactiveerd');
INSERT INTO `lang_definitions` VALUES (24266, 3410, 6, 'Activeer de mogelijkheid om documenten te downloaden via de Onsite Patient Poortaal door de gebruiker.');
INSERT INTO `lang_definitions` VALUES (24267, 3412, 6, 'Activeert de oude manier van rekeningen sturen. Advies is echter gebruik de huidige Fee Sheet methode');
INSERT INTO `lang_definitions` VALUES (24268, 3415, 6, 'Enc');
INSERT INTO `lang_definitions` VALUES (24269, 3417, 6, 'Contacten');
INSERT INTO `lang_definitions` VALUES (24270, 3418, 6, 'Contacten');
INSERT INTO `lang_definitions` VALUES (24271, 3419, 6, 'contacten');
INSERT INTO `lang_definitions` VALUES (24272, 3420, 6, 'Contacten');
INSERT INTO `lang_definitions` VALUES (24273, 3421, 6, 'encounter acute inpatient of ED');
INSERT INTO `lang_definitions` VALUES (24274, 3422, 6, 'Balance van encouters');
INSERT INTO `lang_definitions` VALUES (24275, 3423, 6, 'Rekening notitie van Encounter');
INSERT INTO `lang_definitions` VALUES (24276, 3424, 6, 'Contacten Controle Procedure');
INSERT INTO `lang_definitions` VALUES (24277, 3425, 6, 'Telling van Encounters');
INSERT INTO `lang_definitions` VALUES (24278, 3426, 6, 'contactdatum');
INSERT INTO `lang_definitions` VALUES (24279, 3427, 6, 'Contactdatum');
INSERT INTO `lang_definitions` VALUES (24280, 3428, 6, 'Encounter diagnoses');
INSERT INTO `lang_definitions` VALUES (24281, 3429, 6, 'Contact Datum/Reden');
INSERT INTO `lang_definitions` VALUES (24282, 3430, 6, 'Encounter EDI record');
INSERT INTO `lang_definitions` VALUES (24283, 3431, 6, 'Encounter e-afgetekend');
INSERT INTO `lang_definitions` VALUES (24284, 3432, 6, 'Encounter Formulier');
INSERT INTO `lang_definitions` VALUES (24285, 3433, 6, 'Evaluatie-encounter voor gezondheid en gedrag');
INSERT INTO `lang_definitions` VALUES (24286, 3434, 6, 'Contactgeschiedenis');
INSERT INTO `lang_definitions` VALUES (24287, 3435, 6, 'Contact ID');
INSERT INTO `lang_definitions` VALUES (24288, 3436, 6, 'encounter voor influenza');
INSERT INTO `lang_definitions` VALUES (24289, 3439, 6, 'Episode nummer');
INSERT INTO `lang_definitions` VALUES (24290, 3440, 6, 'Encounter getal');
INSERT INTO `lang_definitions` VALUES (24291, 3441, 6, 'encounter verpleeg ontslag');
INSERT INTO `lang_definitions` VALUES (24292, 3442, 6, 'encounter verpleeghuis');
INSERT INTO `lang_definitions` VALUES (24293, 3443, 6, 'encounter');
INSERT INTO `lang_definitions` VALUES (24294, 3444, 6, 'Contact kantoorbezoek');
INSERT INTO `lang_definitions` VALUES (24295, 3445, 6, 'encounter outpatient');
INSERT INTO `lang_definitions` VALUES (24296, 3446, 6, 'encounter outpatient met/PCP & Ostetrie');
INSERT INTO `lang_definitions` VALUES (24297, 3447, 6, 'Encounter pagina afmetingen');
INSERT INTO `lang_definitions` VALUES (24298, 3448, 6, 'Encounter betaling');
INSERT INTO `lang_definitions` VALUES (24299, 3449, 6, 'encounter zwangerschap');
INSERT INTO `lang_definitions` VALUES (24300, 3450, 6, 'encounter preventief medisch- individuele counseling');
INSERT INTO `lang_definitions` VALUES (24301, 3451, 6, 'encounter preventief medisch 40 jaar en ouder');
INSERT INTO `lang_definitions` VALUES (24302, 3452, 6, 'encounter preventief medische groeps counseling');
INSERT INTO `lang_definitions` VALUES (24303, 3453, 6, 'encounter preventief medische en andere services');
INSERT INTO `lang_definitions` VALUES (24304, 3454, 6, 'encounter preventieve medische service 18 jaar en ouder');
INSERT INTO `lang_definitions` VALUES (24305, 3457, 6, 'encounter psychiatrie en psychologie');
INSERT INTO `lang_definitions` VALUES (24306, 3458, 6, 'Episode statistiek');
INSERT INTO `lang_definitions` VALUES (24307, 3459, 6, 'Episode samenvatting');
INSERT INTO `lang_definitions` VALUES (24308, 3461, 6, 'Episode werd gecodeerd');
INSERT INTO `lang_definitions` VALUES (24309, 3462, 6, 'Episode:');
INSERT INTO `lang_definitions` VALUES (24310, 3463, 6, 'Episode: episode niet acute inpatient, outpatient, of ophthalmologie');
INSERT INTO `lang_definitions` VALUES (24311, 3464, 6, 'Episoden');
INSERT INTO `lang_definitions` VALUES (24312, 3465, 6, 'Episoden en Formulieren');
INSERT INTO `lang_definitions` VALUES (24313, 3466, 6, 'Episoden & Formulieren');
INSERT INTO `lang_definitions` VALUES (24314, 3467, 6, 'Episoden niet geautoriseerd');
INSERT INTO `lang_definitions` VALUES (24315, 3468, 6, 'Episoden rapportage');
INSERT INTO `lang_definitions` VALUES (24316, 3469, 6, 'Episoden sectie');
INSERT INTO `lang_definitions` VALUES (24317, 3470, 6, 'Versleutelde file');
INSERT INTO `lang_definitions` VALUES (24318, 3471, 6, 'Versleuteling');
INSERT INTO `lang_definitions` VALUES (24319, 3472, 6, 'Einde');
INSERT INTO `lang_definitions` VALUES (24320, 3473, 6, 'Eind (jjjj-mm-dd):');
INSERT INTO `lang_definitions` VALUES (24321, 3474, 6, 'Einddatum');
INSERT INTO `lang_definitions` VALUES (24322, 3475, 6, 'Einddatum');
INSERT INTO `lang_definitions` VALUES (24323, 3479, 6, 'Einddatum valt later dan begin!');
INSERT INTO `lang_definitions` VALUES (24324, 3480, 6, 'Einddatum moet later dan begindatum vallen');
INSERT INTO `lang_definitions` VALUES (24325, 3482, 6, 'Einddatum:');
INSERT INTO `lang_definitions` VALUES (24326, 3484, 6, 'Eindedagrapport');
INSERT INTO `lang_definitions` VALUES (24327, 3485, 6, 'Einde van het rapport');
INSERT INTO `lang_definitions` VALUES (24328, 3487, 6, 'Eindtijd');
INSERT INTO `lang_definitions` VALUES (24329, 3489, 6, 'Eind stadium nierziekte begunstigde in MCP met werkgevers-groep-plan');
INSERT INTO `lang_definitions` VALUES (24330, 3492, 6, 'Datum einde van Service jjjj-mm-dd');
INSERT INTO `lang_definitions` VALUES (24331, 3493, 6, 'Einddatum DOS mm/dd/jjjj als u een periode wilt invullen');
INSERT INTO `lang_definitions` VALUES (24332, 3494, 6, 'Einde in uur notatie van de dag voor kalenderactiviteit');
INSERT INTO `lang_definitions` VALUES (24333, 3495, 6, 'Inwendig abnormaal bloedverlies');
INSERT INTO `lang_definitions` VALUES (24334, 3496, 6, 'Endocrien');
INSERT INTO `lang_definitions` VALUES (24335, 3497, 6, 'Endoscopie');
INSERT INTO `lang_definitions` VALUES (24336, 3500, 6, 'Ingineur');
INSERT INTO `lang_definitions` VALUES (24337, 3501, 6, 'Ingineurs bureau');
INSERT INTO `lang_definitions` VALUES (24338, 3502, 6, 'Engels');
INSERT INTO `lang_definitions` VALUES (24339, 3503, 6, 'Engels');
INSERT INTO `lang_definitions` VALUES (24340, 3504, 6, 'Engels (India)');
INSERT INTO `lang_definitions` VALUES (24341, 3505, 6, 'Engels (Standaard)');
INSERT INTO `lang_definitions` VALUES (24342, 3506, 6, 'Enscript commandos gebruikt door Hylafax');
INSERT INTO `lang_definitions` VALUES (24343, 3507, 6, 'Zorg ervoor dat OpenEMR schrijf privileges heeft');
INSERT INTO `lang_definitions` VALUES (24344, 3509, 6, 'KNO afscheiding');
INSERT INTO `lang_definitions` VALUES (24345, 3510, 6, 'KNO pijn');
INSERT INTO `lang_definitions` VALUES (24346, 3513, 6, 'Voer diagnosecode in om alle facturen uit te sluiten die het NIET bevatten');
INSERT INTO `lang_definitions` VALUES (24347, 3515, 6, 'Een aanpassing aanbrengen');
INSERT INTO `lang_definitions` VALUES (24348, 3518, 6, 'Hier de BODY van brief invullen');
INSERT INTO `lang_definitions` VALUES (24349, 3520, 6, 'Invullen ROOT Paswoord voor DB');
INSERT INTO `lang_definitions` VALUES (24350, 3521, 6, 'Invullen ROOT Gebruikersnaam voor DB');
INSERT INTO `lang_definitions` VALUES (24351, 3529, 6, 'Invullen Diagnose');
INSERT INTO `lang_definitions` VALUES (24352, 3530, 6, 'Invullen Medicatie');
INSERT INTO `lang_definitions` VALUES (24353, 3533, 6, 'Invullen van contact');
INSERT INTO `lang_definitions` VALUES (24354, 3534, 6, 'Invullen van contactnummer');
INSERT INTO `lang_definitions` VALUES (24355, 3537, 6, 'Invullen Vaccinatie');
INSERT INTO `lang_definitions` VALUES (24356, 3538, 6, 'Enter key');
INSERT INTO `lang_definitions` VALUES (24357, 3542, 6, 'Nieuwe data invullen');
INSERT INTO `lang_definitions` VALUES (24358, 3544, 6, 'Nieuwe provincie/eiland toevoegen');
INSERT INTO `lang_definitions` VALUES (24359, 3549, 6, 'Enter Ontvanger\'s adres');
INSERT INTO `lang_definitions` VALUES (24360, 3567, 6, 'Hier de LOINC codes voor Procedure invullen');
INSERT INTO `lang_definitions` VALUES (24361, 3569, 6, 'Invullen Re Identificatie code');
INSERT INTO `lang_definitions` VALUES (24362, 3581, 6, 'Vul uw zoek criteria hierboven in');
INSERT INTO `lang_definitions` VALUES (24363, 3582, 6, 'Vul uw postcode in');
INSERT INTO `lang_definitions` VALUES (24364, 3583, 6, 'Ingevuld door');
INSERT INTO `lang_definitions` VALUES (24365, 3584, 6, 'Enter is FOUT');
INSERT INTO `lang_definitions` VALUES (24366, 3586, 6, 'van zoekopdracht');
INSERT INTO `lang_definitions` VALUES (24367, 3591, 6, 'Omgeving gebonden');
INSERT INTO `lang_definitions` VALUES (24368, 3592, 6, 'EOB Data Invoer');
INSERT INTO `lang_definitions` VALUES (24369, 3596, 6, 'EOB Detachering - Elektronische geldovermakingen');
INSERT INTO `lang_definitions` VALUES (24370, 3597, 6, 'EOB Detachering - Instructies');
INSERT INTO `lang_definitions` VALUES (24371, 3598, 6, 'EOB Detachering - Factuur');
INSERT INTO `lang_definitions` VALUES (24372, 3599, 6, 'EOB Detachering - Patient opmerking');
INSERT INTO `lang_definitions` VALUES (24373, 3600, 6, 'EOB Detachering - Zoeken');
INSERT INTO `lang_definitions` VALUES (24374, 3601, 6, 'EOB\'s');
INSERT INTO `lang_definitions` VALUES (24375, 3602, 6, 'Epilepsie');
INSERT INTO `lang_definitions` VALUES (24376, 3606, 6, 'Gelijk aan');
INSERT INTO `lang_definitions` VALUES (24377, 3608, 6, 'ERA');
INSERT INTO `lang_definitions` VALUES (24378, 3609, 6, 'ERA Files');
INSERT INTO `lang_definitions` VALUES (24379, 3610, 6, 'ERA vastleggen');
INSERT INTO `lang_definitions` VALUES (24380, 3612, 6, 'Verwijder');
INSERT INTO `lang_definitions` VALUES (24381, 3613, 6, 'Gummetje');
INSERT INTO `lang_definitions` VALUES (24382, 3614, 6, 'Erecties');
INSERT INTO `lang_definitions` VALUES (24383, 3615, 6, 'FOUT');
INSERT INTO `lang_definitions` VALUES (24384, 3616, 6, 'FOUT');
INSERT INTO `lang_definitions` VALUES (24385, 3617, 6, 'FOUT bij bevestiging RX of Lab resultaat');
INSERT INTO `lang_definitions` VALUES (24386, 3618, 6, 'FOUT bij aanmaken van map');
INSERT INTO `lang_definitions` VALUES (24387, 3620, 6, 'FOUT Geen Lab resultaten te krijgen van Lab Exchange netwerk');
INSERT INTO `lang_definitions` VALUES (24388, 3621, 6, 'FOUT in keuze geslacht');
INSERT INTO `lang_definitions` VALUES (24389, 3622, 6, 'FOUT in HIPAA selectie');
INSERT INTO `lang_definitions` VALUES (24390, 3623, 6, 'FOUT in Verwerking keuze');
INSERT INTO `lang_definitions` VALUES (24391, 3624, 6, 'FOUT bij het SMS Gateway selectie');
INSERT INTO `lang_definitions` VALUES (24392, 3625, 6, 'FOUT in \"Sorteren op\" keuze');
INSERT INTO `lang_definitions` VALUES (24393, 3626, 6, 'FOUT in gzip gecomprimeerde file');
INSERT INTO `lang_definitions` VALUES (24394, 3627, 6, 'FOUT in JA of NEE keuze');
INSERT INTO `lang_definitions` VALUES (24395, 3630, 6, 'FOUT bij lezen tijdens openen van ge-uploadde file');
INSERT INTO `lang_definitions` VALUES (24396, 3631, 6, 'FOUT bij verwerken van File');
INSERT INTO `lang_definitions` VALUES (24397, 3632, 6, 'FOUT bij Upload verwerking');
INSERT INTO `lang_definitions` VALUES (24398, 3633, 6, 'FOUT bij verwijderen bericht');
INSERT INTO `lang_definitions` VALUES (24399, 3634, 6, 'FOUT bij ophalen van Lab Uitwisselings Netwerk');
INSERT INTO `lang_definitions` VALUES (24400, 3635, 6, 'FOUT bij ophalen van waarden');
INSERT INTO `lang_definitions` VALUES (24401, 3636, 6, 'FOUT bij bewaren van het Document');
INSERT INTO `lang_definitions` VALUES (24402, 3637, 6, 'FOUT bij toekennen bestandprivileges aan OpenEMR gebruiker');
INSERT INTO `lang_definitions` VALUES (24403, 3638, 6, 'FOUT bij aanmaken nieuw plan');
INSERT INTO `lang_definitions` VALUES (24404, 3639, 6, 'FOUT bij verwijderen plan');
INSERT INTO `lang_definitions` VALUES (24405, 3640, 6, 'FOUT tijdens registreren van formulier');
INSERT INTO `lang_definitions` VALUES (24406, 3641, 6, 'FOUT tijdens bewaren van bestand opgetreden');
INSERT INTO `lang_definitions` VALUES (24407, 3642, 6, 'FOUT tijdens bijwerken van plan');
INSERT INTO `lang_definitions` VALUES (24408, 3643, 6, 'FOUT tijdens schrijven naar bestand');
INSERT INTO `lang_definitions` VALUES (24409, 3646, 6, 'FOUT gevonden bij nieuwe resultaten');
INSERT INTO `lang_definitions` VALUES (24410, 3651, 6, 'FOUT: het bestand bestaat niet');
INSERT INTO `lang_definitions` VALUES (24411, 3652, 6, 'FOUT: kon geen data van server ophalen');
INSERT INTO `lang_definitions` VALUES (24412, 3653, 6, 'FOUT: kan geen client certificaat aanmaken');
INSERT INTO `lang_definitions` VALUES (24413, 3654, 6, 'FOUT: kan geen admin.p12 certificaat aanmaken');
INSERT INTO `lang_definitions` VALUES (24414, 3655, 6, 'FOUT: kan geen Certificaat Ahtorithy certificaat aanmaken');
INSERT INTO `lang_definitions` VALUES (24415, 3656, 6, 'FOUT: Kan geen Server Certificaat aanmaken');
INSERT INTO `lang_definitions` VALUES (24416, 3658, 6, 'FOUT: kon bestand niet openen');
INSERT INTO `lang_definitions` VALUES (24417, 3659, 6, 'FOUT: User Certificaat Atuhenticatie is niet geactiveerd');
INSERT INTO `lang_definitions` VALUES (24418, 3662, 6, 'Fout, Probeer later nog een keer');
INSERT INTO `lang_definitions` VALUES (24419, 3663, 6, 'FOUT. Je moet de Archive/Tar.php php-module installeren.');
INSERT INTO `lang_definitions` VALUES (24420, 3664, 6, 'FOUT: kon tabel.sql niet openen, gebroken form?');
INSERT INTO `lang_definitions` VALUES (24421, 3667, 6, 'FOUT: Dubbele ID op lijn');
INSERT INTO `lang_definitions` VALUES (24422, 3668, 6, 'FOUT: Dubbele naam op lijn');
INSERT INTO `lang_definitions` VALUES (24423, 3669, 6, 'FOUT: Veld');
INSERT INTO `lang_definitions` VALUES (24424, 3670, 6, 'FOUT: ZipArchive PHP module niet gevonden');
INSERT INTO `lang_definitions` VALUES (24425, 3671, 6, 'FOUT: Geen ICD import folder.');
INSERT INTO `lang_definitions` VALUES (24426, 3672, 6, 'FOUT: wachtwoord komt niet overeen. Controleer op typfouten');
INSERT INTO `lang_definitions` VALUES (24427, 3673, 6, 'FOUT: wachtwoord komt niet overeen. Controleer op typfouten');
INSERT INTO `lang_definitions` VALUES (24428, 3674, 6, 'FOUT: het bestand bestaat niet');
INSERT INTO `lang_definitions` VALUES (24429, 3675, 6, 'FOUT: De volgende variabele bevat ongeldige tekens');
INSERT INTO `lang_definitions` VALUES (24430, 3676, 6, 'FOUT kan file niet copieeren');
INSERT INTO `lang_definitions` VALUES (24431, 3677, 6, 'FOUT: Het is niet mogelijk download-bare archief te creëren');
INSERT INTO `lang_definitions` VALUES (24432, 3678, 6, 'FOUT: Niet mogelijk een Zip Archief te maken');
INSERT INTO `lang_definitions` VALUES (24433, 3679, 6, 'FOUT: Niet mogelijk de file te extraheren');
INSERT INTO `lang_definitions` VALUES (24434, 3680, 6, 'FOUT: Niet mogelijk de file te laden naar de Database');
INSERT INTO `lang_definitions` VALUES (24435, 3681, 6, 'FOUT: Versie nummer niet mogelijk aan te maken.');
INSERT INTO `lang_definitions` VALUES (24436, 3682, 6, 'FOUTEN');
INSERT INTO `lang_definitions` VALUES (24437, 3684, 6, 'eRx Account status');
INSERT INTO `lang_definitions` VALUES (24438, 3685, 6, 'eRX Rekening status');
INSERT INTO `lang_definitions` VALUES (24439, 3686, 6, 'ERX Naam');
INSERT INTO `lang_definitions` VALUES (24440, 3687, 6, 'ERX Passwoord');
INSERT INTO `lang_definitions` VALUES (24441, 3688, 6, 'ERX rol');
INSERT INTO `lang_definitions` VALUES (24442, 3689, 6, 'ERX User');
INSERT INTO `lang_definitions` VALUES (24443, 3690, 6, 'Erytheem:');
INSERT INTO `lang_definitions` VALUES (24444, 3691, 6, 'electronisch tekeken');
INSERT INTO `lang_definitions` VALUES (24445, 3692, 6, 'Log voor electronisch tekenen');
INSERT INTO `lang_definitions` VALUES (24446, 3693, 6, 'Eskimo');
INSERT INTO `lang_definitions` VALUES (24447, 3696, 6, 'Esperanto');
INSERT INTO `lang_definitions` VALUES (24448, 3699, 6, 'Bekende patient');
INSERT INTO `lang_definitions` VALUES (24449, 3700, 6, 'Estland');
INSERT INTO `lang_definitions` VALUES (24450, 3701, 6, 'Etniciteit');
INSERT INTO `lang_definitions` VALUES (24451, 3702, 6, 'Ras of afkomst');
INSERT INTO `lang_definitions` VALUES (24452, 3703, 6, 'Afkomst-Ras lijst (schrijven,toevoegen optioneel)');
INSERT INTO `lang_definitions` VALUES (24453, 3706, 6, 'ETIN');
INSERT INTO `lang_definitions` VALUES (24454, 3709, 6, 'Gebeurtenis');
INSERT INTO `lang_definitions` VALUES (24455, 3710, 6, 'Start gebeurtenis');
INSERT INTO `lang_definitions` VALUES (24456, 3711, 6, 'Gebeurtenis categorie');
INSERT INTO `lang_definitions` VALUES (24457, 3712, 6, 'Gebeurtenis datum');
INSERT INTO `lang_definitions` VALUES (24458, 3714, 6, 'Gebeurtenis omschrijving');
INSERT INTO `lang_definitions` VALUES (24459, 3715, 6, 'Gebeurtenis details');
INSERT INTO `lang_definitions` VALUES (24460, 3716, 6, 'Gebeurtenis zonder herhaling');
INSERT INTO `lang_definitions` VALUES (24461, 3717, 6, 'Duur van gebeurtenis');
INSERT INTO `lang_definitions` VALUES (24462, 3718, 6, 'Duur gebeurtenis in minuten');
INSERT INTO `lang_definitions` VALUES (24463, 3719, 6, 'Bedrag van gebeurtenis');
INSERT INTO `lang_definitions` VALUES (24464, 3720, 6, 'Locatie gebeurtenis');
INSERT INTO `lang_definitions` VALUES (24465, 3721, 6, 'Gebeurtenis herhaalt zich iedere');
INSERT INTO `lang_definitions` VALUES (24466, 3722, 6, 'Gebeurtenius herhaalt zich op');
INSERT INTO `lang_definitions` VALUES (24467, 3723, 6, 'Gebeurtenis startdatum');
INSERT INTO `lang_definitions` VALUES (24468, 3724, 6, 'Gebeurtenis titel');
INSERT INTO `lang_definitions` VALUES (24469, 3725, 6, 'Gebeurtenis titel');
INSERT INTO `lang_definitions` VALUES (24470, 3726, 6, 'Website gebeurtenis');
INSERT INTO `lang_definitions` VALUES (24471, 3727, 6, 'Gebeurtenissen in blok laten zien');
INSERT INTO `lang_definitions` VALUES (24472, 3728, 6, 'Gebeurtenissen voor');
INSERT INTO `lang_definitions` VALUES (24473, 3729, 6, 'Gebeurtenis opent nieuw venster');
INSERT INTO `lang_definitions` VALUES (24474, 3731, 6, 'iedere');
INSERT INTO `lang_definitions` VALUES (24475, 3732, 6, 'Iedere');
INSERT INTO `lang_definitions` VALUES (24476, 3733, 6, 'Elke 2e');
INSERT INTO `lang_definitions` VALUES (24477, 3734, 6, 'iedere 3 uur');
INSERT INTO `lang_definitions` VALUES (24478, 3735, 6, 'Elke 3e');
INSERT INTO `lang_definitions` VALUES (24479, 3736, 6, 'iedere 4 uur');
INSERT INTO `lang_definitions` VALUES (24480, 3737, 6, 'Elke 4e');
INSERT INTO `lang_definitions` VALUES (24481, 3738, 6, 'iedere 5 uur');
INSERT INTO `lang_definitions` VALUES (24482, 3739, 6, 'Elke 5e');
INSERT INTO `lang_definitions` VALUES (24483, 3740, 6, 'iedere 6 uur');
INSERT INTO `lang_definitions` VALUES (24484, 3741, 6, 'Elke 6e');
INSERT INTO `lang_definitions` VALUES (24485, 3742, 6, 'iedere 8 uur');
INSERT INTO `lang_definitions` VALUES (24486, 3743, 6, 'Iedere vierde');
INSERT INTO `lang_definitions` VALUES (24487, 3744, 6, 'Alle namen uit het adresboek verschijnen hier, niet alleen de artsen.');
INSERT INTO `lang_definitions` VALUES (24488, 3745, 6, 'Ieder ander');
INSERT INTO `lang_definitions` VALUES (24489, 3746, 6, 'Iedere derde');
INSERT INTO `lang_definitions` VALUES (24490, 3747, 6, 'Iedere, om de, iedere 3e, etc.');
INSERT INTO `lang_definitions` VALUES (24491, 3748, 6, 'Ewe');
INSERT INTO `lang_definitions` VALUES (24492, 3749, 6, 'Onderzoeks- en testresultaten');
INSERT INTO `lang_definitions` VALUES (24493, 3750, 6, 'Onderzoeksresultaten');
INSERT INTO `lang_definitions` VALUES (24494, 3751, 6, 'Onderzoks kamer #');
INSERT INTO `lang_definitions` VALUES (24495, 3752, 6, 'Onderzoekskamer nummer');
INSERT INTO `lang_definitions` VALUES (24496, 3753, 6, 'Onderzoek');
INSERT INTO `lang_definitions` VALUES (24497, 3754, 6, 'Datum onderzoek');
INSERT INTO `lang_definitions` VALUES (24498, 3755, 6, 'Voorbeeld');
INSERT INTO `lang_definitions` VALUES (24499, 3758, 6, 'Voorbeelden');
INSERT INTO `lang_definitions` VALUES (24500, 3760, 6, 'Onderzoek en lab.testen');
INSERT INTO `lang_definitions` VALUES (24501, 3761, 6, 'Exam');
INSERT INTO `lang_definitions` VALUES (24502, 3762, 6, 'Uitgezonderd');
INSERT INTO `lang_definitions` VALUES (24503, 3763, 6, 'Buitengewoon scheuren');
INSERT INTO `lang_definitions` VALUES (24504, 3766, 6, 'Patienten eitgezonderd');
INSERT INTO `lang_definitions` VALUES (24505, 3767, 6, 'Uitzonderingen');
INSERT INTO `lang_definitions` VALUES (24506, 3768, 6, 'Exclusieve Organisatie van behandelaar (EPO)');
INSERT INTO `lang_definitions` VALUES (24507, 3770, 6, 'Executive (maat voor papier)');
INSERT INTO `lang_definitions` VALUES (24508, 3771, 6, 'Oefenen');
INSERT INTO `lang_definitions` VALUES (24509, 3772, 6, 'Soort oefeningen');
INSERT INTO `lang_definitions` VALUES (24510, 3773, 6, 'Soort oefeningen');
INSERT INTO `lang_definitions` VALUES (24511, 3774, 6, 'Bestaat');
INSERT INTO `lang_definitions` VALUES (24512, 3777, 6, 'Terug');
INSERT INTO `lang_definitions` VALUES (24513, 3778, 6, 'Uit Admin weggaan');
INSERT INTO `lang_definitions` VALUES (24514, 3782, 6, 'Exp');
INSERT INTO `lang_definitions` VALUES (24515, 3784, 6, 'inzien');
INSERT INTO `lang_definitions` VALUES (24516, 3785, 6, 'inzien');
INSERT INTO `lang_definitions` VALUES (24517, 3787, 6, 'Alles inzien');
INSERT INTO `lang_definitions` VALUES (24518, 3788, 6, 'inzien alle document categorieen');
INSERT INTO `lang_definitions` VALUES (24519, 3789, 6, 'inzien van all document categorien als standaard');
INSERT INTO `lang_definitions` VALUES (24520, 3792, 6, 'Uitgevouwen scherm');
INSERT INTO `lang_definitions` VALUES (24521, 3793, 6, 'Verwacht formulier_ontmoeting. pid om te zijn');
INSERT INTO `lang_definitions` VALUES (24522, 3794, 6, 'Verloopdatum');
INSERT INTO `lang_definitions` VALUES (24523, 3795, 6, 'Vervaldatum');
INSERT INTO `lang_definitions` VALUES (24524, 3797, 6, 'Verloopt');
INSERT INTO `lang_definitions` VALUES (24525, 3798, 6, 'verloopt in');
INSERT INTO `lang_definitions` VALUES (24526, 3799, 6, 'Exporteren');
INSERT INTO `lang_definitions` VALUES (24527, 3800, 6, 'Exporteren als CSV');
INSERT INTO `lang_definitions` VALUES (24528, 3802, 6, 'Configuratie exporteren');
INSERT INTO `lang_definitions` VALUES (24529, 3804, 6, 'Exporteren individuele invoices');
INSERT INTO `lang_definitions` VALUES (24530, 3805, 6, 'Exporteren OFX');
INSERT INTO `lang_definitions` VALUES (24531, 3806, 6, 'Exporteer patientpersoonsgegevens');
INSERT INTO `lang_definitions` VALUES (24532, 3808, 6, 'Exporteren PQRI rapportExporteren PQRI rapporten');
INSERT INTO `lang_definitions` VALUES (24533, 3809, 6, 'Exporteren QRDA rapporten');
INSERT INTO `lang_definitions` VALUES (24534, 3810, 6, 'Exporteer geselecteerde als CSV');
INSERT INTO `lang_definitions` VALUES (24535, 3811, 6, 'Exporteer geselecteerde naar Verzamelingen');
INSERT INTO `lang_definitions` VALUES (24536, 3812, 6, 'Exporteren naar CSV');
INSERT INTO `lang_definitions` VALUES (24537, 3813, 6, 'Exporteren naar extern factureringssysteem');
INSERT INTO `lang_definitions` VALUES (24538, 3815, 6, 'Is in buitenland geweest');
INSERT INTO `lang_definitions` VALUES (24539, 3816, 6, 'Komt recent uit buitenland');
INSERT INTO `lang_definitions` VALUES (24540, 3818, 6, 'Ext. tijd verzameld');
INSERT INTO `lang_definitions` VALUES (24541, 3819, 6, 'Uitgebreide familie');
INSERT INTO `lang_definitions` VALUES (24542, 3820, 6, 'Uitwendig');
INSERT INTO `lang_definitions` VALUES (24543, 3821, 6, 'Externe data');
INSERT INTO `lang_definitions` VALUES (24544, 3823, 6, 'Externe data Loads');
INSERT INTO `lang_definitions` VALUES (24545, 3824, 6, 'Extras d.m.v. externe-Database imports');
INSERT INTO `lang_definitions` VALUES (24546, 3826, 6, 'Extern Examen');
INSERT INTO `lang_definitions` VALUES (24547, 3827, 6, 'Extern Examen standaard waarden');
INSERT INTO `lang_definitions` VALUES (24548, 3828, 6, 'Extern-ID');
INSERT INTO `lang_definitions` VALUES (24549, 3829, 6, 'Extern ID');
INSERT INTO `lang_definitions` VALUES (24550, 3830, 6, 'Extern-ID');
INSERT INTO `lang_definitions` VALUES (24551, 3831, 6, 'Niet medewerkers');
INSERT INTO `lang_definitions` VALUES (24552, 3832, 6, 'Externe Organisatie');
INSERT INTO `lang_definitions` VALUES (24553, 3833, 6, 'Externe provider');
INSERT INTO `lang_definitions` VALUES (24554, 3834, 6, 'Verwijzing naar');
INSERT INTO `lang_definitions` VALUES (24555, 3835, 6, 'Verwijzing naar elders, follow-ups');
INSERT INTO `lang_definitions` VALUES (24556, 3836, 6, 'Verwijzing naar elders?');
INSERT INTO `lang_definitions` VALUES (24557, 3837, 6, 'Externe verwijzingen');
INSERT INTO `lang_definitions` VALUES (24558, 3838, 6, 'Zip file extraheren');
INSERT INTO `lang_definitions` VALUES (24559, 3839, 6, 'File extraheren. Dit kost even tijd.....');
INSERT INTO `lang_definitions` VALUES (24560, 3840, 6, 'Exudaat:');
INSERT INTO `lang_definitions` VALUES (24561, 3841, 6, 'Oog');
INSERT INTO `lang_definitions` VALUES (24562, 3842, 6, 'Codeer velden oog');
INSERT INTO `lang_definitions` VALUES (24563, 3843, 6, 'Codeer voorwaarden oog');
INSERT INTO `lang_definitions` VALUES (24564, 3850, 6, 'Oogirritatie');
INSERT INTO `lang_definitions` VALUES (24565, 3856, 6, 'Oogpijn');
INSERT INTO `lang_definitions` VALUES (24566, 3860, 6, 'Roodheid oog');
INSERT INTO `lang_definitions` VALUES (24567, 3863, 6, 'Ogen');
INSERT INTO `lang_definitions` VALUES (24568, 3865, 6, 'F');
INSERT INTO `lang_definitions` VALUES (24569, 3866, 6, 'FH Bloedproblemen');
INSERT INTO `lang_definitions` VALUES (24570, 3867, 6, 'FH Vrouw Hirsutisme/Striea');
INSERT INTO `lang_definitions` VALUES (24571, 3868, 6, 'Locaties');
INSERT INTO `lang_definitions` VALUES (24572, 3869, 6, 'Locatie');
INSERT INTO `lang_definitions` VALUES (24573, 3870, 6, 'locatie');
INSERT INTO `lang_definitions` VALUES (24574, 3871, 6, 'Administratie locatie');
INSERT INTO `lang_definitions` VALUES (24575, 3872, 6, 'Stad van Faciliteit');
INSERT INTO `lang_definitions` VALUES (24576, 3873, 6, 'Lokatie-Code');
INSERT INTO `lang_definitions` VALUES (24577, 3875, 6, 'Faciliteit landen code');
INSERT INTO `lang_definitions` VALUES (24578, 3876, 6, 'Faciliteit Fax');
INSERT INTO `lang_definitions` VALUES (24579, 3877, 6, 'Locatie ID');
INSERT INTO `lang_definitions` VALUES (24580, 3878, 6, 'Naam Locatie');
INSERT INTO `lang_definitions` VALUES (24581, 3879, 6, 'Registr.# van Locatie');
INSERT INTO `lang_definitions` VALUES (24582, 3880, 6, 'Faciliteit telefoon');
INSERT INTO `lang_definitions` VALUES (24583, 3882, 6, 'Faciliteit specifieke User informatie');
INSERT INTO `lang_definitions` VALUES (24584, 3883, 6, 'Faciliteit staat');
INSERT INTO `lang_definitions` VALUES (24585, 3884, 6, 'Faciliteit straat');
INSERT INTO `lang_definitions` VALUES (24586, 3886, 6, 'Faciliteit Zip');
INSERT INTO `lang_definitions` VALUES (24587, 3887, 6, 'Postcode locatie');
INSERT INTO `lang_definitions` VALUES (24588, 3888, 6, 'Locatie:');
INSERT INTO `lang_definitions` VALUES (24589, 3889, 6, 'MISLUKT');
INSERT INTO `lang_definitions` VALUES (24590, 3890, 6, 'Mislukt');
INSERT INTO `lang_definitions` VALUES (24591, 3891, 6, 'mislukt');
INSERT INTO `lang_definitions` VALUES (24592, 3893, 6, 'Mislukte patienten');
INSERT INTO `lang_definitions` VALUES (24593, 3896, 6, 'Niet gelukt om patient aan Portaal toe te voegen');
INSERT INTO `lang_definitions` VALUES (24594, 3897, 6, 'Niet gelukt een unieke file naam te geven');
INSERT INTO `lang_definitions` VALUES (24595, 3898, 6, 'Niet gelukt om aan te maken');
INSERT INTO `lang_definitions` VALUES (24596, 3901, 6, 'Aanmaken tijdelijke folder mislukt. CouchDB zal niet werken');
INSERT INTO `lang_definitions` VALUES (24597, 3904, 6, 'Verzende mislukt');
INSERT INTO `lang_definitions` VALUES (24598, 3907, 6, 'Mislukt.');
INSERT INTO `lang_definitions` VALUES (24599, 3908, 6, 'mislukking');
INSERT INTO `lang_definitions` VALUES (24600, 3909, 6, 'Mislukking');
INSERT INTO `lang_definitions` VALUES (24601, 3910, 6, 'Notitie van mislukking: Directe boodschap sturen is mislukt.');
INSERT INTO `lang_definitions` VALUES (24602, 3911, 6, 'Mislukt: Kon geen Zip file aanmaken');
INSERT INTO `lang_definitions` VALUES (24603, 3912, 6, 'Mislukt: Geen paienten die aan de maat voldoen');
INSERT INTO `lang_definitions` VALUES (24604, 3913, 6, 'Falls: Screening, Risicobeoordeling en zorgplan om toekomstige Falls te voorkomen (CAM)');
INSERT INTO `lang_definitions` VALUES (24605, 3915, 6, 'Familie gezondheid geschiedenis');
INSERT INTO `lang_definitions` VALUES (24606, 3916, 6, 'Familiegeschiedenis');
INSERT INTO `lang_definitions` VALUES (24607, 3918, 6, 'Familiaire belasting Glaucoma');
INSERT INTO `lang_definitions` VALUES (24608, 3919, 6, 'Familiaire belasting:');
INSERT INTO `lang_definitions` VALUES (24609, 3920, 6, 'Familielid');
INSERT INTO `lang_definitions` VALUES (24610, 3921, 6, 'Betaling voor familie');
INSERT INTO `lang_definitions` VALUES (24611, 3922, 6, 'Familiegrootte');
INSERT INTO `lang_definitions` VALUES (24612, 3923, 6, 'Fancy');
INSERT INTO `lang_definitions` VALUES (24613, 3924, 6, 'Faroese');
INSERT INTO `lang_definitions` VALUES (24614, 3925, 6, 'Farsi');
INSERT INTO `lang_definitions` VALUES (24615, 3927, 6, 'Fataal');
INSERT INTO `lang_definitions` VALUES (24616, 3928, 6, 'VaderHistorie van vader');
INSERT INTO `lang_definitions` VALUES (24617, 3929, 6, 'Vermoeid');
INSERT INTO `lang_definitions` VALUES (24618, 3930, 6, 'Vermoeidheid');
INSERT INTO `lang_definitions` VALUES (24619, 3931, 6, 'Vermoeid');
INSERT INTO `lang_definitions` VALUES (24620, 3933, 6, 'Fax');
INSERT INTO `lang_definitions` VALUES (24621, 3934, 6, 'Totaal faxen');
INSERT INTO `lang_definitions` VALUES (24622, 3935, 6, 'Faxnummer');
INSERT INTO `lang_definitions` VALUES (24623, 3936, 6, 'Versturen Fax mislukt');
INSERT INTO `lang_definitions` VALUES (24624, 3937, 6, 'Fax/Scan');
INSERT INTO `lang_definitions` VALUES (24625, 3938, 6, 'Fax ingekomen');
INSERT INTO `lang_definitions` VALUES (24626, 3939, 6, 'Fax uitgegaan');
INSERT INTO `lang_definitions` VALUES (24627, 3940, 6, 'Mogelijkheden');
INSERT INTO `lang_definitions` VALUES (24628, 3941, 6, 'Feb');
INSERT INTO `lang_definitions` VALUES (24629, 3942, 6, 'Februari');
INSERT INTO `lang_definitions` VALUES (24630, 3943, 6, 'FECA');
INSERT INTO `lang_definitions` VALUES (24631, 3944, 6, 'Medicijn ID-nummer overheid');
INSERT INTO `lang_definitions` VALUES (24632, 3945, 6, 'Federale EIN');
INSERT INTO `lang_definitions` VALUES (24633, 3946, 6, 'CRIB nummer');
INSERT INTO `lang_definitions` VALUES (24634, 3948, 6, 'Tarief');
INSERT INTO `lang_definitions` VALUES (24635, 3949, 6, 'tarief');
INSERT INTO `lang_definitions` VALUES (24636, 3950, 6, 'Kan niet in rekening gebracht worden');
INSERT INTO `lang_definitions` VALUES (24637, 3951, 6, 'Financieel werkblad');
INSERT INTO `lang_definitions` VALUES (24638, 3953, 6, 'Optie voor Honorarium formulier');
INSERT INTO `lang_definitions` VALUES (24639, 3955, 6, 'Financieel');
INSERT INTO `lang_definitions` VALUES (24640, 3956, 6, 'Vrouw');
INSERT INTO `lang_definitions` VALUES (24641, 3957, 6, 'Vrouw AP (Abortus Provocatus)');
INSERT INTO `lang_definitions` VALUES (24642, 3958, 6, 'Vrouwencondoom');
INSERT INTO `lang_definitions` VALUES (24643, 3959, 6, 'Vrouw G (Gravida)');
INSERT INTO `lang_definitions` VALUES (24644, 3960, 6, 'Vrouw LC (Living Children)');
INSERT INTO `lang_definitions` VALUES (24645, 3961, 6, 'Vrouw P (Partus)');
INSERT INTO `lang_definitions` VALUES (24646, 3962, 6, 'Symptomen vrouw');
INSERT INTO `lang_definitions` VALUES (24647, 3963, 6, 'Vrouw VSC');
INSERT INTO `lang_definitions` VALUES (24648, 3964, 6, 'Opzoeken');
INSERT INTO `lang_definitions` VALUES (24649, 3965, 6, 'De volgende file opzoeken via de Portaal');
INSERT INTO `lang_definitions` VALUES (24650, 3966, 6, 'Koorts');
INSERT INTO `lang_definitions` VALUES (24651, 3967, 6, 'Koorts:');
INSERT INTO `lang_definitions` VALUES (24652, 3968, 6, 'FH Bloedproblemen');
INSERT INTO `lang_definitions` VALUES (24653, 3972, 6, 'Fibroiden');
INSERT INTO `lang_definitions` VALUES (24654, 3974, 6, 'Veld');
INSERT INTO `lang_definitions` VALUES (24655, 3975, 6, 'Veld \'naam\' kan niet NULL zijn');
INSERT INTO `lang_definitions` VALUES (24656, 3976, 6, 'Veld ID');
INSERT INTO `lang_definitions` VALUES (24657, 3978, 6, 'Veldtype te gebruiken voor werkgever of ingeschrevene als Land in Demografie');
INSERT INTO `lang_definitions` VALUES (24658, 3979, 6, 'Veldtype te gebruiken voor werkgever of ingeschrevene als Staat in Demografie');
INSERT INTO `lang_definitions` VALUES (24659, 3980, 6, 'Veld(en) niet aangemaakt');
INSERT INTO `lang_definitions` VALUES (24660, 3982, 6, 'Velden in dit formulier');
INSERT INTO `lang_definitions` VALUES (24661, 3984, 6, 'Vijfde account bericht');
INSERT INTO `lang_definitions` VALUES (24662, 3985, 6, 'Fijan');
INSERT INTO `lang_definitions` VALUES (24663, 3986, 6, 'Bestand');
INSERT INTO `lang_definitions` VALUES (24664, 3989, 6, 'bestand in de Documentatie-map om te leren hoe automatische backups van log te maken');
INSERT INTO `lang_definitions` VALUES (24665, 3990, 6, 'Bestandslocatie');
INSERT INTO `lang_definitions` VALUES (24666, 3991, 6, 'FIle management');
INSERT INTO `lang_definitions` VALUES (24667, 3992, 6, 'mist een bestand');
INSERT INTO `lang_definitions` VALUES (24668, 3993, 6, 'File naam');
INSERT INTO `lang_definitions` VALUES (24669, 3994, 6, 'Bestand niet gevonden');
INSERT INTO `lang_definitions` VALUES (24670, 3995, 6, 'Bestand Niet Gevonden');
INSERT INTO `lang_definitions` VALUES (24671, 3996, 6, 'Bestand op de server (modificatie datum)');
INSERT INTO `lang_definitions` VALUES (24672, 3997, 6, 'Pad voor file niet gevonden');
INSERT INTO `lang_definitions` VALUES (24673, 3998, 6, 'File pivilege toegekend aan OpenEMR gebruiker');
INSERT INTO `lang_definitions` VALUES (24674, 3999, 6, 'Oproepen van File uit CouchDB mislukt');
INSERT INTO `lang_definitions` VALUES (24675, 4000, 6, 'Archiefruimte');
INSERT INTO `lang_definitions` VALUES (24676, 4001, 6, 'File om te uploaden');
INSERT INTO `lang_definitions` VALUES (24677, 4002, 6, 'File om te uploaden');
INSERT INTO `lang_definitions` VALUES (24678, 4003, 6, 'Bestand met dezelfde naam bestaat reeds op locatie:');
INSERT INTO `lang_definitions` VALUES (24679, 4004, 6, 'Bestandsnaam');
INSERT INTO `lang_definitions` VALUES (24680, 4005, 6, 'Naam van de file moet eindigen op \".pdf\"');
INSERT INTO `lang_definitions` VALUES (24681, 4006, 6, 'Files');
INSERT INTO `lang_definitions` VALUES (24682, 4009, 6, 'Bestanden met lege thumbnails');
INSERT INTO `lang_definitions` VALUES (24683, 4011, 6, 'Filipijn');
INSERT INTO `lang_definitions` VALUES (24684, 4012, 6, '(in)vullen');
INSERT INTO `lang_definitions` VALUES (24685, 4013, 6, 'Vul een of meer van de vakken in onderstaande RIJ');
INSERT INTO `lang_definitions` VALUES (24686, 4014, 6, 'Dit alleen invullen als de patient een e-mail bericht krijgt');
INSERT INTO `lang_definitions` VALUES (24687, 4023, 6, 'Waarden hier beneden invullen');
INSERT INTO `lang_definitions` VALUES (24688, 4024, 6, 'Instructies bij invullen');
INSERT INTO `lang_definitions` VALUES (24689, 4025, 6, 'Vul de Rij');
INSERT INTO `lang_definitions` VALUES (24690, 4028, 6, 'Filter');
INSERT INTO `lang_definitions` VALUES (24691, 4029, 6, 'Filter voor Constanten');
INSERT INTO `lang_definitions` VALUES (24692, 4030, 6, 'Filter voor Definities');
INSERT INTO `lang_definitions` VALUES (24693, 4031, 6, 'gefilterd uit');
INSERT INTO `lang_definitions` VALUES (24694, 4032, 6, 'Filters');
INSERT INTO `lang_definitions` VALUES (24695, 4033, 6, 'filters');
INSERT INTO `lang_definitions` VALUES (24696, 4034, 6, 'Eind');
INSERT INTO `lang_definitions` VALUES (24697, 4035, 6, 'Einddiagnose');
INSERT INTO `lang_definitions` VALUES (24698, 4036, 6, 'Einddiagnose volgens specialist');
INSERT INTO `lang_definitions` VALUES (24699, 4037, 6, 'Definitieve status');
INSERT INTO `lang_definitions` VALUES (24700, 4038, 6, 'Financieel');
INSERT INTO `lang_definitions` VALUES (24701, 4039, 6, 'Financiele sluitings datum (jjjj-mm-dd)');
INSERT INTO `lang_definitions` VALUES (24702, 4040, 6, 'Financieel overzicht - alles');
INSERT INTO `lang_definitions` VALUES (24703, 4042, 6, 'Financieel overzicht - mijn contacten');
INSERT INTO `lang_definitions` VALUES (24704, 4045, 6, 'Datum financiele aanpassingen');
INSERT INTO `lang_definitions` VALUES (24705, 4046, 6, 'Financiele samenvatting op Service Code');
INSERT INTO `lang_definitions` VALUES (24706, 4048, 6, 'Zoek');
INSERT INTO `lang_definitions` VALUES (24707, 4049, 6, 'Zoek beschikbaar');
INSERT INTO `lang_definitions` VALUES (24708, 4050, 6, 'Zoek beschikbare afspraaktijden');
INSERT INTO `lang_definitions` VALUES (24709, 4053, 6, 'Zoek pt');
INSERT INTO `lang_definitions` VALUES (24710, 4054, 6, 'Zoek naar Patienten voorlichtingsmateriaal');
INSERT INTO `lang_definitions` VALUES (24711, 4056, 6, 'Evaluatie');
INSERT INTO `lang_definitions` VALUES (24712, 4057, 6, 'Evaluatie gegevens specialist');
INSERT INTO `lang_definitions` VALUES (24713, 4058, 6, 'Boete');
INSERT INTO `lang_definitions` VALUES (24714, 4059, 6, 'Einde');
INSERT INTO `lang_definitions` VALUES (24715, 4060, 6, 'Afronden betalingen');
INSERT INTO `lang_definitions` VALUES (24716, 4062, 6, 'beeindigd');
INSERT INTO `lang_definitions` VALUES (24717, 4064, 6, 'Eind');
INSERT INTO `lang_definitions` VALUES (24718, 4065, 6, 'Eerste');
INSERT INTO `lang_definitions` VALUES (24719, 4066, 6, 'Eerste account bericht');
INSERT INTO `lang_definitions` VALUES (24720, 4067, 6, 'Eerste dag van de week');
INSERT INTO `lang_definitions` VALUES (24721, 4068, 6, 'Eerste weekdag');
INSERT INTO `lang_definitions` VALUES (24722, 4071, 6, 'Voornaam');
INSERT INTO `lang_definitions` VALUES (24723, 4072, 6, 'Voornaam');
INSERT INTO `lang_definitions` VALUES (24724, 4073, 6, 'Voornaam:');
INSERT INTO `lang_definitions` VALUES (24725, 4074, 6, 'Eerste bezoek of consultatie');
INSERT INTO `lang_definitions` VALUES (24726, 4075, 6, 'Eerste bezoek: geen oude records beschikbaar');
INSERT INTO `lang_definitions` VALUES (24727, 4077, 6, 'Voornaam Achternaam');
INSERT INTO `lang_definitions` VALUES (24728, 4079, 6, 'Recreatie Sporten');
INSERT INTO `lang_definitions` VALUES (24729, 4080, 6, 'Fitnessniveau');
INSERT INTO `lang_definitions` VALUES (24730, 4081, 6, 'Mate van Fitness voor deze speler voor deze dag');
INSERT INTO `lang_definitions` VALUES (24731, 4082, 6, 'Tesste van conditie');
INSERT INTO `lang_definitions` VALUES (24732, 4083, 6, 'Gezond om te spelen');
INSERT INTO `lang_definitions` VALUES (24733, 4084, 6, 'Herstel contactdatums- maak een keuze');
INSERT INTO `lang_definitions` VALUES (24734, 4086, 6, 'Corrigeer dit');
INSERT INTO `lang_definitions` VALUES (24735, 4088, 6, 'FL');
INSERT INTO `lang_definitions` VALUES (24736, 4089, 6, 'Flits');
INSERT INTO `lang_definitions` VALUES (24737, 4090, 6, 'Flatulentie');
INSERT INTO `lang_definitions` VALUES (24738, 4091, 6, 'Stroom');
INSERT INTO `lang_definitions` VALUES (24739, 4092, 6, 'Flow boord');
INSERT INTO `lang_definitions` VALUES (24740, 4108, 6, 'Influenza seizoen');
INSERT INTO `lang_definitions` VALUES (24741, 4109, 6, 'Influenza seizoen');
INSERT INTO `lang_definitions` VALUES (24742, 4110, 6, 'Griepprik');
INSERT INTO `lang_definitions` VALUES (24743, 4111, 6, 'Probleem met vloeistof en electrolyten');
INSERT INTO `lang_definitions` VALUES (24744, 4112, 6, 'FMS');
INSERT INTO `lang_definitions` VALUES (24745, 4113, 6, 'Folio (papier maat)');
INSERT INTO `lang_definitions` VALUES (24746, 4114, 6, 'Handmatig controleren');
INSERT INTO `lang_definitions` VALUES (24747, 4115, 6, 'Volg deze instructies voor installeren en upgrading van de database');
INSERT INTO `lang_definitions` VALUES (24748, 4116, 6, 'Follow up');
INSERT INTO `lang_definitions` VALUES (24749, 4118, 6, 'Follow up notitie');
INSERT INTO `lang_definitions` VALUES (24750, 4119, 6, 'Follow up reden');
INSERT INTO `lang_definitions` VALUES (24751, 4121, 6, 'Volgende is een nieuwe zelf aangemaakte constante');
INSERT INTO `lang_definitions` VALUES (24752, 4122, 6, 'Volgende is een nieuwe zelf aangemaakte taal:');
INSERT INTO `lang_definitions` VALUES (24753, 4123, 6, 'Volgende is een nieuwe definitie (Taal, Constante, Definitie):');
INSERT INTO `lang_definitions` VALUES (24754, 4124, 6, 'De volgende regels van de AUDIT log zijn aangepast');
INSERT INTO `lang_definitions` VALUES (24755, 4125, 6, 'Follow up Services');
INSERT INTO `lang_definitions` VALUES (24756, 4126, 6, 'Follow up geindiceerd');
INSERT INTO `lang_definitions` VALUES (24757, 4129, 6, 'Voedselintolerantie');
INSERT INTO `lang_definitions` VALUES (24758, 4130, 6, 'Voet');
INSERT INTO `lang_definitions` VALUES (24759, 4131, 6, 'Voetproblemen');
INSERT INTO `lang_definitions` VALUES (24760, 4132, 6, 'Voet:');
INSERT INTO `lang_definitions` VALUES (24761, 4133, 6, 'Voetbalblessures');
INSERT INTO `lang_definitions` VALUES (24762, 4134, 6, 'Voetbalblessure');
INSERT INTO `lang_definitions` VALUES (24763, 4135, 6, 'Voetbalblessure rapport');
INSERT INTO `lang_definitions` VALUES (24764, 4136, 6, 'Soort schoeisel');
INSERT INTO `lang_definitions` VALUES (24765, 4137, 6, 'voor');
INSERT INTO `lang_definitions` VALUES (24766, 4138, 6, 'Voor');
INSERT INTO `lang_definitions` VALUES (24767, 4139, 6, 'voor');
INSERT INTO `lang_definitions` VALUES (24768, 4144, 6, 'Voor Code');
INSERT INTO `lang_definitions` VALUES (24769, 4146, 6, 'Voor data');
INSERT INTO `lang_definitions` VALUES (24770, 4152, 6, 'Voor Encounter Claims');
INSERT INTO `lang_definitions` VALUES (24771, 4154, 6, 'Bijvoorbeeld:');
INSERT INTO `lang_definitions` VALUES (24772, 4158, 6, 'Voor HCFA 02/12 Box 15 is Andere Datum een kwalifier om te specificeren welke datum bedoeld wordt');
INSERT INTO `lang_definitions` VALUES (24773, 4159, 6, 'Voor HCFA 02/12 Begin Datum gespecificeerd op het Encounter formulier moet een kwalifier hebben');
INSERT INTO `lang_definitions` VALUES (24774, 4161, 6, 'voor invoice');
INSERT INTO `lang_definitions` VALUES (24775, 4163, 6, 'Alleen voor Medicare, hierdoor is de verwijzende zorgaanbieder dezelfde als de dienstverlenende zorgaanbieder.');
INSERT INTO `lang_definitions` VALUES (24776, 4165, 6, 'voor OBR plaats bestel nummer');
INSERT INTO `lang_definitions` VALUES (24777, 4166, 6, 'voor patient');
INSERT INTO `lang_definitions` VALUES (24778, 4172, 6, 'Voor provider');
INSERT INTO `lang_definitions` VALUES (24779, 4173, 6, 'Voor de dienstverlenende zorgaanbieder/behandelaar');
INSERT INTO `lang_definitions` VALUES (24780, 4176, 6, 'Voor voorgaande');
INSERT INTO `lang_definitions` VALUES (24781, 4180, 6, 'deze patient is nog niet toegewezen aan een contact.');
INSERT INTO `lang_definitions` VALUES (24782, 4188, 6, 'Voor variabelen');
INSERT INTO `lang_definitions` VALUES (24783, 4189, 6, 'voor:');
INSERT INTO `lang_definitions` VALUES (24784, 4190, 6, 'Force openen van -In Rekening Bengen- Widget');
INSERT INTO `lang_definitions` VALUES (24785, 4191, 6, 'Aanmaken nieuwe patient forceren');
INSERT INTO `lang_definitions` VALUES (24786, 4193, 6, 'Forceer laten zien');
INSERT INTO `lang_definitions` VALUES (24787, 4194, 6, 'Onderarm');
INSERT INTO `lang_definitions` VALUES (24788, 4195, 6, 'Formulier');
INSERT INTO `lang_definitions` VALUES (24789, 4196, 6, 'formulier');
INSERT INTO `lang_definitions` VALUES (24790, 4197, 6, 'Formulier element niet gevonden');
INSERT INTO `lang_definitions` VALUES (24791, 4199, 6, 'Formulier is met succes getekend');
INSERT INTO `lang_definitions` VALUES (24792, 4201, 6, 'Vormgeving');
INSERT INTO `lang_definitions` VALUES (24793, 4202, 6, 'format');
INSERT INTO `lang_definitions` VALUES (24794, 4203, 6, 'Format voor leeftijd tonen');
INSERT INTO `lang_definitions` VALUES (24795, 4204, 6, 'Format ongeschikt voor Med Code');
INSERT INTO `lang_definitions` VALUES (24796, 4205, 6, 'Het format om de meeste datums te tonen');
INSERT INTO `lang_definitions` VALUES (24797, 4206, 6, 'Het format om de tijd merendeels te tonen');
INSERT INTO `lang_definitions` VALUES (24798, 4207, 6, 'Geformatteerd rapport');
INSERT INTO `lang_definitions` VALUES (24799, 4208, 6, 'Was roker');
INSERT INTO `lang_definitions` VALUES (24800, 4209, 6, 'Formulieren');
INSERT INTO `lang_definitions` VALUES (24801, 4210, 6, 'Administratie van formulieren');
INSERT INTO `lang_definitions` VALUES (24802, 4212, 6, 'Formulieren met e-Sign');
INSERT INTO `lang_definitions` VALUES (24803, 4215, 6, 'Voorwaarts');
INSERT INTO `lang_definitions` VALUES (24804, 4219, 6, 'Stuur pagina\'s door met Fax');
INSERT INTO `lang_definitions` VALUES (24805, 4222, 6, 'Ge-forward');
INSERT INTO `lang_definitions` VALUES (24806, 4224, 6, 'Pleeg kind');
INSERT INTO `lang_definitions` VALUES (24807, 4225, 6, 'Vierde');
INSERT INTO `lang_definitions` VALUES (24808, 4226, 6, 'Vierde account bericht');
INSERT INTO `lang_definitions` VALUES (24809, 4227, 6, 'Fractuur');
INSERT INTO `lang_definitions` VALUES (24810, 4228, 6, 'Fractuur os naviculare');
INSERT INTO `lang_definitions` VALUES (24811, 4229, 6, 'Fractuur malleolus lat.');
INSERT INTO `lang_definitions` VALUES (24812, 4230, 6, 'Fractuur malleolus med.');
INSERT INTO `lang_definitions` VALUES (24813, 4231, 6, 'Fractuur basis metatarsale 5');
INSERT INTO `lang_definitions` VALUES (24814, 4233, 6, 'Frame ondersteuning verplicht');
INSERT INTO `lang_definitions` VALUES (24815, 4235, 6, 'Frans');
INSERT INTO `lang_definitions` VALUES (24816, 4236, 6, 'Frans (Canadees)');
INSERT INTO `lang_definitions` VALUES (24817, 4237, 6, 'Frans (Standaard)');
INSERT INTO `lang_definitions` VALUES (24818, 4238, 6, 'Frequentie');
INSERT INTO `lang_definitions` VALUES (24819, 4239, 6, 'Frequentie verkoudheid');
INSERT INTO `lang_definitions` VALUES (24820, 4240, 6, 'Frequente ziekte');
INSERT INTO `lang_definitions` VALUES (24821, 4241, 6, 'Vr');
INSERT INTO `lang_definitions` VALUES (24822, 4242, 6, 'Vrijdag');
INSERT INTO `lang_definitions` VALUES (24823, 4243, 6, 'Vriend');
INSERT INTO `lang_definitions` VALUES (24824, 4244, 6, 'Van');
INSERT INTO `lang_definitions` VALUES (24825, 4245, 6, 'VAN');
INSERT INTO `lang_definitions` VALUES (24826, 4246, 6, 'van');
INSERT INTO `lang_definitions` VALUES (24827, 4247, 6, 'Vanaf datum kan niet later vallen dan heden');
INSERT INTO `lang_definitions` VALUES (24828, 4249, 6, 'Uit periode');
INSERT INTO `lang_definitions` VALUES (24829, 4253, 6, 'Van:');
INSERT INTO `lang_definitions` VALUES (24830, 4254, 6, 'Van:');
INSERT INTO `lang_definitions` VALUES (24831, 4255, 6, 'VAN_STAD');
INSERT INTO `lang_definitions` VALUES (24832, 4256, 6, 'VAN_EMAIL');
INSERT INTO `lang_definitions` VALUES (24833, 4257, 6, 'VAN_VNAAM');
INSERT INTO `lang_definitions` VALUES (24834, 4258, 6, 'VAN_LNAAM');
INSERT INTO `lang_definitions` VALUES (24835, 4259, 6, 'VAN_MNAAM');
INSERT INTO `lang_definitions` VALUES (24836, 4260, 6, 'VAN_TELEFOON');
INSERT INTO `lang_definitions` VALUES (24837, 4261, 6, 'VAN_MOBIELTEL');
INSERT INTO `lang_definitions` VALUES (24838, 4262, 6, 'VAN_POSTCODE');
INSERT INTO `lang_definitions` VALUES (24839, 4263, 6, 'VAN_STAAT');
INSERT INTO `lang_definitions` VALUES (24840, 4264, 6, 'VAN_STRAAT');
INSERT INTO `lang_definitions` VALUES (24841, 4265, 6, 'VAN_TITEL');
INSERT INTO `lang_definitions` VALUES (24842, 4266, 6, 'VAN_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (24843, 4267, 6, 'Balie');
INSERT INTO `lang_definitions` VALUES (24844, 4268, 6, 'Front Office kwitantie');
INSERT INTO `lang_definitions` VALUES (24845, 4269, 6, 'Samenvatting Baliekwitanties');
INSERT INTO `lang_definitions` VALUES (24846, 4270, 6, 'Kwitantie balie');
INSERT INTO `lang_definitions` VALUES (24847, 4271, 6, 'Frontaal rechts');
INSERT INTO `lang_definitions` VALUES (24848, 4272, 6, 'Vr{{Vrijdag}}');
INSERT INTO `lang_definitions` VALUES (24849, 4276, 6, 'Fula-Fulah-Pulaar-Pular');
INSERT INTO `lang_definitions` VALUES (24850, 4278, 6, 'Volledige naam');
INSERT INTO `lang_definitions` VALUES (24851, 4280, 6, 'Volledige pad naar de folder met de MySQL executables.');
INSERT INTO `lang_definitions` VALUES (24852, 4281, 6, 'Volledige pad naar de folder met de Perl executables');
INSERT INTO `lang_definitions` VALUES (24853, 4282, 6, 'Volledige pad naar de folder voor de log backup');
INSERT INTO `lang_definitions` VALUES (24854, 4283, 6, 'Volledige pad naar de folder gebrukit voor tijdelijke bestanden');
INSERT INTO `lang_definitions` VALUES (24855, 4284, 6, 'Volledige spelen');
INSERT INTO `lang_definitions` VALUES (24856, 4286, 6, 'Volledige training');
INSERT INTO `lang_definitions` VALUES (24857, 4287, 6, 'Fullscreen');
INSERT INTO `lang_definitions` VALUES (24858, 4288, 6, 'Volledig betaald');
INSERT INTO `lang_definitions` VALUES (24859, 4290, 6, 'Functioneel and Cognitief status formulier');
INSERT INTO `lang_definitions` VALUES (24860, 4291, 6, 'Functioneel cognitieve status');
INSERT INTO `lang_definitions` VALUES (24861, 4292, 6, 'Functionele conditie');
INSERT INTO `lang_definitions` VALUES (24862, 4293, 6, 'Bron van financiering');
INSERT INTO `lang_definitions` VALUES (24863, 4295, 6, 'Toekomst');
INSERT INTO `lang_definitions` VALUES (24864, 4296, 6, 'Toekomstige afspraak');
INSERT INTO `lang_definitions` VALUES (24865, 4297, 6, 'Vr{{Vrijdag}}');
INSERT INTO `lang_definitions` VALUES (24866, 4298, 6, 'G');
INSERT INTO `lang_definitions` VALUES (24867, 4299, 6, 'G/DL');
INSERT INTO `lang_definitions` VALUES (24868, 4301, 6, 'Galicisch');
INSERT INTO `lang_definitions` VALUES (24869, 4302, 6, 'Galblaasconditie');
INSERT INTO `lang_definitions` VALUES (24870, 4303, 6, 'Galstenen');
INSERT INTO `lang_definitions` VALUES (24871, 4304, 6, 'Wedstrijdduur');
INSERT INTO `lang_definitions` VALUES (24872, 4305, 6, 'Spellen');
INSERT INTO `lang_definitions` VALUES (24873, 4306, 6, 'Gemiste spelen');
INSERT INTO `lang_definitions` VALUES (24874, 4307, 6, 'Spelen/Gebeurtenissen');
INSERT INTO `lang_definitions` VALUES (24875, 4308, 6, 'Spelen/Gemiste gebeurtenissen');
INSERT INTO `lang_definitions` VALUES (24876, 4309, 6, 'Ganda');
INSERT INTO `lang_definitions` VALUES (24877, 4310, 6, 'Gastritis');
INSERT INTO `lang_definitions` VALUES (24878, 4311, 6, 'Maagpijn');
INSERT INTO `lang_definitions` VALUES (24879, 4312, 6, 'Gastro-Intestinaal');
INSERT INTO `lang_definitions` VALUES (24880, 4316, 6, 'GCAC Statistiek verslag');
INSERT INTO `lang_definitions` VALUES (24881, 4317, 6, 'GCAC Statistiek');
INSERT INTO `lang_definitions` VALUES (24882, 4318, 6, 'GCAC bezoek formulier afwezig');
INSERT INTO `lang_definitions` VALUES (24883, 4319, 6, 'Geslacht');
INSERT INTO `lang_definitions` VALUES (24884, 4320, 6, 'Geslacht');
INSERT INTO `lang_definitions` VALUES (24885, 4321, 6, 'Algemeen');
INSERT INTO `lang_definitions` VALUES (24886, 4323, 6, 'Algemene probleem lijst');
INSERT INTO `lang_definitions` VALUES (24887, 4324, 6, 'Huisarts');
INSERT INTO `lang_definitions` VALUES (24888, 4325, 6, 'Categorie voor Algemene Service');
INSERT INTO `lang_definitions` VALUES (24889, 4328, 6, 'Algemeen Thema (eerts uitloggen en vervolgens inloggen om de instellingen te activeren)');
INSERT INTO `lang_definitions` VALUES (24890, 4331, 6, 'Aanmaken');
INSERT INTO `lang_definitions` VALUES (24891, 4332, 6, 'Schriftelijk Claimformulier HCFA 1500 aanmaken en downloaden');
INSERT INTO `lang_definitions` VALUES (24892, 4334, 6, 'Schriftelijk Claimformulier HCFA 1500 aanmaken en downloaden');
INSERT INTO `lang_definitions` VALUES (24893, 4337, 6, 'Aanmaken en downloaden X12 batch');
INSERT INTO `lang_definitions` VALUES (24894, 4338, 6, 'Genereren en downloaden van X12 consultatie claim batchj');
INSERT INTO `lang_definitions` VALUES (24895, 4339, 6, 'Genereer en verzend toegestane recepten elektronisch (Alle recepten).');
INSERT INTO `lang_definitions` VALUES (24896, 4340, 6, 'Genereer en verzend toegestane recepten elektronisch (zonder de gereguleerde stoffen).');
INSERT INTO `lang_definitions` VALUES (24897, 4341, 6, 'Aanmaken en electronisch versturen van toegestaande voorschriften.');
INSERT INTO `lang_definitions` VALUES (24898, 4342, 6, 'CMS 1500 aanmaken');
INSERT INTO `lang_definitions` VALUES (24899, 4343, 6, 'CMS 1500 PDF aanmaken');
INSERT INTO `lang_definitions` VALUES (24900, 4344, 6, 'CMS 1500 TEKST aanmaken');
INSERT INTO `lang_definitions` VALUES (24901, 4345, 6, 'HCFA aanmaken');
INSERT INTO `lang_definitions` VALUES (24902, 4347, 6, 'Invoice aanmaken');
INSERT INTO `lang_definitions` VALUES (24903, 4348, 6, 'Brief maken');
INSERT INTO `lang_definitions` VALUES (24904, 4349, 6, 'Brief aanmaken voor');
INSERT INTO `lang_definitions` VALUES (24905, 4351, 6, 'PQRI rapport aanmaken (Methode A)');
INSERT INTO `lang_definitions` VALUES (24906, 4352, 6, 'PQRI Rapport aanmaken (Methode A)-2011');
INSERT INTO `lang_definitions` VALUES (24907, 4353, 6, 'PQRI rapport aanmaken (Methode E)');
INSERT INTO `lang_definitions` VALUES (24908, 4354, 6, 'PQRI Rapport aanmaken (Methode E) - 2011');
INSERT INTO `lang_definitions` VALUES (24909, 4357, 6, 'Rapport aanmaken');
INSERT INTO `lang_definitions` VALUES (24910, 4362, 6, 'Maak een Thumbnail aan');
INSERT INTO `lang_definitions` VALUES (24911, 4363, 6, 'Maak een Thumbnailplaatje aan');
INSERT INTO `lang_definitions` VALUES (24912, 4364, 6, 'Maak Thumbnails aan');
INSERT INTO `lang_definitions` VALUES (24913, 4365, 6, 'Maak User en Paswoord aan voor');
INSERT INTO `lang_definitions` VALUES (24914, 4366, 6, 'X12 aanmaken');
INSERT INTO `lang_definitions` VALUES (24915, 4368, 6, 'X12 Encounter aanmaken');
INSERT INTO `lang_definitions` VALUES (24916, 4369, 6, 'Maak aan/Download QRDAI - 2014');
INSERT INTO `lang_definitions` VALUES (24917, 4370, 6, 'Aangemaakt op');
INSERT INTO `lang_definitions` VALUES (24918, 4371, 6, 'Aangemaakte Thumbnail(s)');
INSERT INTO `lang_definitions` VALUES (24919, 4372, 6, 'Genereren');
INSERT INTO `lang_definitions` VALUES (24920, 4377, 6, 'Genito-Urinair');
INSERT INTO `lang_definitions` VALUES (24921, 4378, 6, 'Urogenitale geneeskunde arts');
INSERT INTO `lang_definitions` VALUES (24922, 4379, 6, 'Alg{{Algemeen}}');
INSERT INTO `lang_definitions` VALUES (24923, 4380, 6, 'Georgisch');
INSERT INTO `lang_definitions` VALUES (24924, 4381, 6, 'Duits');
INSERT INTO `lang_definitions` VALUES (24925, 4383, 6, 'Zwangerschapsduur');
INSERT INTO `lang_definitions` VALUES (24926, 4386, 6, 'HL7 code ophalen');
INSERT INTO `lang_definitions` VALUES (24927, 4392, 6, 'Glaucoom');
INSERT INTO `lang_definitions` VALUES (24928, 4393, 6, 'Familiegeschiedenis met Glaucoom');
INSERT INTO `lang_definitions` VALUES (24929, 4394, 6, 'Glaucoom Gebied');
INSERT INTO `lang_definitions` VALUES (24930, 4395, 6, 'Globaal');
INSERT INTO `lang_definitions` VALUES (24931, 4397, 6, 'Mondiale standaard land van patient');
INSERT INTO `lang_definitions` VALUES (24932, 4398, 6, 'Global ID');
INSERT INTO `lang_definitions` VALUES (24933, 4399, 6, 'Algemen instellingen');
INSERT INTO `lang_definitions` VALUES (24934, 4400, 6, 'Algemeen');
INSERT INTO `lang_definitions` VALUES (24935, 4401, 6, 'GM/DL');
INSERT INTO `lang_definitions` VALUES (24936, 4402, 6, 'GA');
INSERT INTO `lang_definitions` VALUES (24937, 4403, 6, 'Ga');
INSERT INTO `lang_definitions` VALUES (24938, 4404, 6, 'ga');
INSERT INTO `lang_definitions` VALUES (24939, 4405, 6, 'Ga Terug');
INSERT INTO `lang_definitions` VALUES (24940, 4406, 6, 'Ga terug');
INSERT INTO `lang_definitions` VALUES (24941, 4407, 6, 'Ga naar');
INSERT INTO `lang_definitions` VALUES (24942, 4417, 6, 'Ga naar de week van');
INSERT INTO `lang_definitions` VALUES (24943, 4418, 6, 'Naar vandaag gaan');
INSERT INTO `lang_definitions` VALUES (24944, 4419, 6, 'Doel A');
INSERT INTO `lang_definitions` VALUES (24945, 4420, 6, 'Doel en Methodes');
INSERT INTO `lang_definitions` VALUES (24946, 4421, 6, 'Doel B');
INSERT INTO `lang_definitions` VALUES (24947, 4422, 6, 'Doel C');
INSERT INTO `lang_definitions` VALUES (24948, 4423, 6, 'Gonioscopie');
INSERT INTO `lang_definitions` VALUES (24949, 4428, 6, 'Ernst van het letsel');
INSERT INTO `lang_definitions` VALUES (24950, 4429, 6, 'Graad:');
INSERT INTO `lang_definitions` VALUES (24951, 4430, 6, 'gram');
INSERT INTO `lang_definitions` VALUES (24952, 4431, 6, 'Totaal van alles');
INSERT INTO `lang_definitions` VALUES (24953, 4432, 6, 'Totalen van alles');
INSERT INTO `lang_definitions` VALUES (24954, 4433, 6, 'Kleinkind');
INSERT INTO `lang_definitions` VALUES (24955, 4434, 6, 'Grootvader');
INSERT INTO `lang_definitions` VALUES (24956, 4435, 6, 'Is grafiek van te maken');
INSERT INTO `lang_definitions` VALUES (24957, 4436, 6, 'Overgrootvader');
INSERT INTO `lang_definitions` VALUES (24958, 4437, 6, 'Groter dan');
INSERT INTO `lang_definitions` VALUES (24959, 4438, 6, 'Groter dan of gelijk aan');
INSERT INTO `lang_definitions` VALUES (24960, 4439, 6, 'Grieks');
INSERT INTO `lang_definitions` VALUES (24961, 4440, 6, 'Ggrieks, modern');
INSERT INTO `lang_definitions` VALUES (24962, 4442, 6, 'Groep');
INSERT INTO `lang_definitions` VALUES (24963, 4459, 6, 'Groepsnaam');
INSERT INTO `lang_definitions` VALUES (24964, 4460, 6, 'Groepsnamen kunnen niet blanco zijn');
INSERT INTO `lang_definitions` VALUES (24965, 4461, 6, 'Groepsnamen kunnen niet met nummers of spaties beginnen');
INSERT INTO `lang_definitions` VALUES (24966, 4462, 6, 'Groepsnamen mogen niet met cijfers beginnen.');
INSERT INTO `lang_definitions` VALUES (24967, 4463, 6, 'Groepsnummer');
INSERT INTO `lang_definitions` VALUES (24968, 4465, 6, 'Groeps betaling');
INSERT INTO `lang_definitions` VALUES (24969, 4471, 6, 'Groep:');
INSERT INTO `lang_definitions` VALUES (24970, 4472, 6, 'Groepsnaam');
INSERT INTO `lang_definitions` VALUES (24971, 4475, 6, 'Groeps- en toegangscontroles');
INSERT INTO `lang_definitions` VALUES (24972, 4476, 6, 'Groei Curves');
INSERT INTO `lang_definitions` VALUES (24973, 4477, 6, 'Groei Curves');
INSERT INTO `lang_definitions` VALUES (24974, 4478, 6, 'druppels');
INSERT INTO `lang_definitions` VALUES (24975, 4479, 6, 'Guamaniaan');
INSERT INTO `lang_definitions` VALUES (24976, 4481, 6, 'Guarani');
INSERT INTO `lang_definitions` VALUES (24977, 4482, 6, 'Voogd');
INSERT INTO `lang_definitions` VALUES (24978, 4483, 6, 'Emailadres Voogd');
INSERT INTO `lang_definitions` VALUES (24979, 4484, 6, 'Naam voogd');
INSERT INTO `lang_definitions` VALUES (24980, 4487, 6, 'Gujarati');
INSERT INTO `lang_definitions` VALUES (24981, 4489, 6, 'Gynaecologisch onderzoek');
INSERT INTO `lang_definitions` VALUES (24982, 4490, 6, 'h');
INSERT INTO `lang_definitions` VALUES (24983, 4492, 6, 'h.s.');
INSERT INTO `lang_definitions` VALUES (24984, 4493, 6, 'H/O Hepatitis');
INSERT INTO `lang_definitions` VALUES (24985, 4494, 6, 'Succesvol verwijderd. De eventueel aanwezige subcategorieen zijn verplaatst naar onderen');
INSERT INTO `lang_definitions` VALUES (24986, 4495, 6, 'Hematoom/kneuzing');
INSERT INTO `lang_definitions` VALUES (24987, 4496, 6, 'HAI status');
INSERT INTO `lang_definitions` VALUES (24988, 4497, 6, 'Hatiaans - Haitiaans creools');
INSERT INTO `lang_definitions` VALUES (24989, 4498, 6, 'Half-broer/zus');
INSERT INTO `lang_definitions` VALUES (24990, 4499, 6, 'Hand en vingers');
INSERT INTO `lang_definitions` VALUES (24991, 4500, 6, 'Problemen van de hand');
INSERT INTO `lang_definitions` VALUES (24992, 4501, 6, 'Gehandicapt en afhankelijk');
INSERT INTO `lang_definitions` VALUES (24993, 4505, 6, 'Harde schijf');
INSERT INTO `lang_definitions` VALUES (24994, 4506, 6, 'Tegenslag met/zonder');
INSERT INTO `lang_definitions` VALUES (24995, 4507, 6, 'is gekoppeld aan visite');
INSERT INTO `lang_definitions` VALUES (24996, 4508, 6, 'is verlopen');
INSERT INTO `lang_definitions` VALUES (24997, 4509, 6, 'Hash');
INSERT INTO `lang_definitions` VALUES (24998, 4511, 6, 'Hash bestaat niet voor deze file . Een nieuwe Hash is aangemaakt.');
INSERT INTO `lang_definitions` VALUES (24999, 4512, 6, 'Hash is klopt niet. Data integriteit is onvolledig.');
INSERT INTO `lang_definitions` VALUES (25000, 4514, 6, 'Hausa');
INSERT INTO `lang_definitions` VALUES (25001, 4515, 6, 'Hawaiaan');
INSERT INTO `lang_definitions` VALUES (25002, 4516, 6, 'Gevaarlijke activiteiten');
INSERT INTO `lang_definitions` VALUES (25003, 4517, 6, 'Gevaarlijke activiteiten');
INSERT INTO `lang_definitions` VALUES (25004, 4521, 6, 'Linkermarge HCFA in punten');
INSERT INTO `lang_definitions` VALUES (25005, 4522, 6, 'Marges HCFA');
INSERT INTO `lang_definitions` VALUES (25006, 4523, 6, 'Bovenmarge in punten');
INSERT INTO `lang_definitions` VALUES (25007, 4524, 6, 'HCPCS Procedure-Service');
INSERT INTO `lang_definitions` VALUES (25008, 4527, 6, 'he PostCalendar');
INSERT INTO `lang_definitions` VALUES (25009, 4528, 6, 'Hoofd');
INSERT INTO `lang_definitions` VALUES (25010, 4529, 6, 'Hoofdomt.');
INSERT INTO `lang_definitions` VALUES (25011, 4530, 6, 'Hoofdomtrek');
INSERT INTO `lang_definitions` VALUES (25012, 4531, 6, 'Hoofdpijn');
INSERT INTO `lang_definitions` VALUES (25013, 4532, 6, 'Hoofdpijnen');
INSERT INTO `lang_definitions` VALUES (25014, 4534, 6, 'zorg interventies');
INSERT INTO `lang_definitions` VALUES (25015, 4535, 6, 'Zorg interventies');
INSERT INTO `lang_definitions` VALUES (25016, 4537, 6, 'Medisch Centrum/Kliniek');
INSERT INTO `lang_definitions` VALUES (25017, 4540, 6, 'Heath Maintenance Organization');
INSERT INTO `lang_definitions` VALUES (25018, 4541, 6, 'HMO Medicare Risicos');
INSERT INTO `lang_definitions` VALUES (25019, 4542, 6, 'Gehoorverlies');
INSERT INTO `lang_definitions` VALUES (25020, 4543, 6, 'Hartaanval');
INSERT INTO `lang_definitions` VALUES (25021, 4544, 6, 'Hartziekte');
INSERT INTO `lang_definitions` VALUES (25022, 4545, 6, 'Decompensatio Cordis');
INSERT INTO `lang_definitions` VALUES (25023, 4546, 6, 'Hartprobleem');
INSERT INTO `lang_definitions` VALUES (25024, 4547, 6, 'Hartproblemen');
INSERT INTO `lang_definitions` VALUES (25025, 4548, 6, 'Hartchirurgie');
INSERT INTO `lang_definitions` VALUES (25026, 4549, 6, 'Harttransplantatie');
INSERT INTO `lang_definitions` VALUES (25027, 4550, 6, 'HART:');
INSERT INTO `lang_definitions` VALUES (25028, 4551, 6, 'Hartbranden');
INSERT INTO `lang_definitions` VALUES (25029, 4552, 6, 'Warm of koud');
INSERT INTO `lang_definitions` VALUES (25030, 4553, 6, 'Warm of koud');
INSERT INTO `lang_definitions` VALUES (25031, 4554, 6, 'Zware tabak gebruiker');
INSERT INTO `lang_definitions` VALUES (25032, 4555, 6, 'Hebreeuws');
INSERT INTO `lang_definitions` VALUES (25033, 4556, 6, 'Hebreeuws - modern');
INSERT INTO `lang_definitions` VALUES (25034, 4557, 6, 'HEENT');
INSERT INTO `lang_definitions` VALUES (25035, 4558, 6, 'Lengte');
INSERT INTO `lang_definitions` VALUES (25036, 4559, 6, 'Hoogte/Lengte');
INSERT INTO `lang_definitions` VALUES (25037, 4560, 6, 'Help');
INSERT INTO `lang_definitions` VALUES (25038, 4561, 6, 'help');
INSERT INTO `lang_definitions` VALUES (25039, 4563, 6, 'Hematemesis');
INSERT INTO `lang_definitions` VALUES (25040, 4564, 6, 'Hematochezia');
INSERT INTO `lang_definitions` VALUES (25041, 4565, 6, 'Hematologisch');
INSERT INTO `lang_definitions` VALUES (25042, 4566, 6, 'Hematurie');
INSERT INTO `lang_definitions` VALUES (25043, 4567, 6, 'Hemoglobine');
INSERT INTO `lang_definitions` VALUES (25044, 4568, 6, 'HbA1c');
INSERT INTO `lang_definitions` VALUES (25045, 4569, 6, 'Bloed ophoesten');
INSERT INTO `lang_definitions` VALUES (25046, 4570, 6, 'Hepatitis');
INSERT INTO `lang_definitions` VALUES (25047, 4571, 6, 'Hepatitis A 1');
INSERT INTO `lang_definitions` VALUES (25048, 4572, 6, 'Hepatitis A 2');
INSERT INTO `lang_definitions` VALUES (25049, 4573, 6, 'Hepatitis B 1');
INSERT INTO `lang_definitions` VALUES (25050, 4574, 6, 'Hepatitis B 2');
INSERT INTO `lang_definitions` VALUES (25051, 4575, 6, 'Hepatitis B 3');
INSERT INTO `lang_definitions` VALUES (25052, 4576, 6, 'klik hier');
INSERT INTO `lang_definitions` VALUES (25053, 4579, 6, 'Herero');
INSERT INTO `lang_definitions` VALUES (25054, 4580, 6, 'Hernia herstel');
INSERT INTO `lang_definitions` VALUES (25055, 4581, 6, 'HNP');
INSERT INTO `lang_definitions` VALUES (25056, 4582, 6, 'Herpes');
INSERT INTO `lang_definitions` VALUES (25057, 4585, 6, 'Aarzelend');
INSERT INTO `lang_definitions` VALUES (25058, 4586, 6, 'hallo daar, je bent hier geweest voor');
INSERT INTO `lang_definitions` VALUES (25059, 4587, 6, 'HIB 1');
INSERT INTO `lang_definitions` VALUES (25060, 4588, 6, 'HIB 2');
INSERT INTO `lang_definitions` VALUES (25061, 4589, 6, 'HIB 3');
INSERT INTO `lang_definitions` VALUES (25062, 4590, 6, 'HIB 4');
INSERT INTO `lang_definitions` VALUES (25063, 4591, 6, 'Verborgen');
INSERT INTO `lang_definitions` VALUES (25064, 4592, 6, 'Verborgen gebeurtenis administratie');
INSERT INTO `lang_definitions` VALUES (25065, 4593, 6, 'Verbergen');
INSERT INTO `lang_definitions` VALUES (25066, 4594, 6, 'Verberg betaalknop');
INSERT INTO `lang_definitions` VALUES (25067, 4595, 6, 'Verberg details');
INSERT INTO `lang_definitions` VALUES (25068, 4596, 6, 'Lege E-Sign logs op rapport niet tonen');
INSERT INTO `lang_definitions` VALUES (25069, 4597, 6, 'Verberg versleutel/ontcijfer Opties in Document Management');
INSERT INTO `lang_definitions` VALUES (25070, 4599, 6, 'Verberg menu');
INSERT INTO `lang_definitions` VALUES (25071, 4600, 6, 'Verberg print eigenschappen');
INSERT INTO `lang_definitions` VALUES (25072, 4601, 6, 'Verberg reminders');
INSERT INTO `lang_definitions` VALUES (25073, 4603, 6, 'Verberg/Toon kolommen');
INSERT INTO `lang_definitions` VALUES (25074, 4605, 6, 'Hoog');
INSERT INTO `lang_definitions` VALUES (25075, 4607, 6, 'Hoge bloeddruk');
INSERT INTO `lang_definitions` VALUES (25076, 4609, 6, 'Hindi');
INSERT INTO `lang_definitions` VALUES (25077, 4610, 6, 'Heup en liezen');
INSERT INTO `lang_definitions` VALUES (25078, 4611, 6, 'Heup en liezen');
INSERT INTO `lang_definitions` VALUES (25079, 4612, 6, 'Heupproblemen');
INSERT INTO `lang_definitions` VALUES (25080, 4613, 6, 'Heupvervanging');
INSERT INTO `lang_definitions` VALUES (25081, 4615, 6, 'HIPAA notitie ontvangen');
INSERT INTO `lang_definitions` VALUES (25082, 4616, 6, 'Hiri Motu');
INSERT INTO `lang_definitions` VALUES (25083, 4617, 6, 'Hirsutisme/Striae');
INSERT INTO `lang_definitions` VALUES (25084, 4618, 6, 'Spaans');
INSERT INTO `lang_definitions` VALUES (25085, 4619, 6, 'Spaans - anders (geb. in USA)');
INSERT INTO `lang_definitions` VALUES (25086, 4620, 6, 'Spaans - anders (geb. niet USA)');
INSERT INTO `lang_definitions` VALUES (25087, 4621, 6, 'Spaans of Latino');
INSERT INTO `lang_definitions` VALUES (25088, 4622, 6, 'Voorgeschiedenis (bron onbekend)');
INSERT INTO `lang_definitions` VALUES (25089, 4623, 6, 'Historie');
INSERT INTO `lang_definitions` VALUES (25090, 4629, 6, 'Voorgeschiedenis(sen)');
INSERT INTO `lang_definitions` VALUES (25091, 4630, 6, 'Datum van historie');
INSERT INTO `lang_definitions` VALUES (25092, 4631, 6, 'Voorgeschiedenisvelden');
INSERT INTO `lang_definitions` VALUES (25093, 4632, 6, 'Geruis in verleden');
INSERT INTO `lang_definitions` VALUES (25094, 4633, 6, 'Historie niet geauthoriseerd');
INSERT INTO `lang_definitions` VALUES (25095, 4634, 6, 'Hartsoufle in verleden');
INSERT INTO `lang_definitions` VALUES (25096, 4638, 6, 'Slagen');
INSERT INTO `lang_definitions` VALUES (25097, 4639, 6, 'HIV');
INSERT INTO `lang_definitions` VALUES (25098, 4640, 6, 'Netelroos');
INSERT INTO `lang_definitions` VALUES (25099, 4641, 6, 'HL7');
INSERT INTO `lang_definitions` VALUES (25100, 4647, 6, 'HL7 code');
INSERT INTO `lang_definitions` VALUES (25101, 4649, 6, 'HL7 bekijken');
INSERT INTO `lang_definitions` VALUES (25102, 4651, 6, 'HMOL/L');
INSERT INTO `lang_definitions` VALUES (25103, 4652, 6, 'Hmong');
INSERT INTO `lang_definitions` VALUES (25104, 4653, 6, 'Druk op [Ctrl] voor meerdere keuze\'s of om selectie ongedaan te maken');
INSERT INTO `lang_definitions` VALUES (25105, 4655, 6, 'Druk op Ctrl om meerdere items te selecteren');
INSERT INTO `lang_definitions` VALUES (25106, 4656, 6, 'Druk op Ctrl om meerdere groepen te selecteren');
INSERT INTO `lang_definitions` VALUES (25107, 4658, 6, 'Start');
INSERT INTO `lang_definitions` VALUES (25108, 4659, 6, 'Tel. prive');
INSERT INTO `lang_definitions` VALUES (25109, 4660, 6, 'Tel. prive');
INSERT INTO `lang_definitions` VALUES (25110, 4661, 6, 'Dakloos');
INSERT INTO `lang_definitions` VALUES (25111, 4662, 6, 'Dakloos of vergelijkbaar');
INSERT INTO `lang_definitions` VALUES (25112, 4663, 6, 'Daklozenonderdak');
INSERT INTO `lang_definitions` VALUES (25113, 4664, 6, 'Dakloos, enz');
INSERT INTO `lang_definitions` VALUES (25114, 4665, 6, 'Dakloos enz.');
INSERT INTO `lang_definitions` VALUES (25115, 4666, 6, 'Ankers');
INSERT INTO `lang_definitions` VALUES (25116, 4674, 6, 'Computernaam');
INSERT INTO `lang_definitions` VALUES (25117, 4675, 6, 'Computernaam mag niet leeg zijn');
INSERT INTO `lang_definitions` VALUES (25118, 4676, 6, 'uur');
INSERT INTO `lang_definitions` VALUES (25119, 4677, 6, 'Uur');
INSERT INTO `lang_definitions` VALUES (25120, 4678, 6, 'Uren');
INSERT INTO `lang_definitions` VALUES (25121, 4679, 6, 'uren');
INSERT INTO `lang_definitions` VALUES (25122, 4680, 6, 'Wat is de toestand? 0-10, mild, medium, erg?');
INSERT INTO `lang_definitions` VALUES (25123, 4681, 6, 'Hoe ontstond letsel?');
INSERT INTO `lang_definitions` VALUES (25124, 4682, 6, 'Hoe ontstond letsel?:');
INSERT INTO `lang_definitions` VALUES (25125, 4683, 6, 'Hoe hebben ze over ons gehoord');
INSERT INTO `lang_definitions` VALUES (25126, 4684, 6, 'Holang gaat het duren?');
INSERT INTO `lang_definitions` VALUES (25127, 4685, 6, 'Hoeveel maanden wilt u vooruit zoeken voor de lopende gebeurtenissen?');
INSERT INTO `lang_definitions` VALUES (25128, 4687, 6, 'Hoe u een keuzelijst sorteert');
INSERT INTO `lang_definitions` VALUES (25129, 4692, 6, 'HPI:');
INSERT INTO `lang_definitions` VALUES (25130, 4694, 6, 'HT');
INSERT INTO `lang_definitions` VALUES (25131, 4695, 6, 'HTML');
INSERT INTO `lang_definitions` VALUES (25132, 4696, 6, 'HTML Output?');
INSERT INTO `lang_definitions` VALUES (25133, 4699, 6, 'HTTPS link voor ondersteuning van LLC Lab Exchange Service');
INSERT INTO `lang_definitions` VALUES (25134, 4701, 6, 'Hongaars');
INSERT INTO `lang_definitions` VALUES (25135, 4702, 6, 'Hyllafax directory');
INSERT INTO `lang_definitions` VALUES (25136, 4703, 6, 'Halafax ENscriptie commando');
INSERT INTO `lang_definitions` VALUES (25137, 4704, 6, 'Hylafax Server');
INSERT INTO `lang_definitions` VALUES (25138, 4705, 6, 'Hylafax Server Hostnaam');
INSERT INTO `lang_definitions` VALUES (25139, 4706, 6, 'Hyperactief');
INSERT INTO `lang_definitions` VALUES (25140, 4708, 6, 'Hoge bloeddruk');
INSERT INTO `lang_definitions` VALUES (25141, 4709, 6, 'Hypertensie: Bloeddruk meting');
INSERT INTO `lang_definitions` VALUES (25142, 4710, 6, 'Hypertensie: Bloeddruk meting (CQM)');
INSERT INTO `lang_definitions` VALUES (25143, 4711, 6, 'Hyperthyreoidie');
INSERT INTO `lang_definitions` VALUES (25144, 4713, 6, 'Hypothyreoidie');
INSERT INTO `lang_definitions` VALUES (25145, 4716, 6, 'Hysterectomie');
INSERT INTO `lang_definitions` VALUES (25146, 4717, 6, 'I');
INSERT INTO `lang_definitions` VALUES (25147, 4718, 6, 'In deze tijd ben ik bezig.');
INSERT INTO `lang_definitions` VALUES (25148, 4719, 6, 'Ik mag dit niet lezen');
INSERT INTO `lang_definitions` VALUES (25149, 4724, 6, 'ICD');
INSERT INTO `lang_definitions` VALUES (25150, 4725, 6, 'ICD10 Diagnoses');
INSERT INTO `lang_definitions` VALUES (25151, 4726, 6, 'ICD10 Procedures-Service');
INSERT INTO `lang_definitions` VALUES (25152, 4727, 6, 'ICD9');
INSERT INTO `lang_definitions` VALUES (25153, 4728, 6, 'ICD9 Diagnoses');
INSERT INTO `lang_definitions` VALUES (25154, 4729, 6, 'ICD9Procedures-Service');
INSERT INTO `lang_definitions` VALUES (25155, 4730, 6, 'Ijslands');
INSERT INTO `lang_definitions` VALUES (25156, 4731, 6, 'pictogram');
INSERT INTO `lang_definitions` VALUES (25157, 4734, 6, 'ID');
INSERT INTO `lang_definitions` VALUES (25158, 4736, 6, 'Id');
INSERT INTO `lang_definitions` VALUES (25159, 4738, 6, 'ID moet ingevuld zijn');
INSERT INTO `lang_definitions` VALUES (25160, 4739, 6, 'ID kaart');
INSERT INTO `lang_definitions` VALUES (25161, 4742, 6, 'IDagen');
INSERT INTO `lang_definitions` VALUES (25162, 4743, 6, 'geïdentificeerd als');
INSERT INTO `lang_definitions` VALUES (25163, 4745, 6, 'Identifier(een woord)');
INSERT INTO `lang_definitions` VALUES (25164, 4746, 6, 'Code indentificeren');
INSERT INTO `lang_definitions` VALUES (25165, 4747, 6, 'Timeout in seconden tijdens niet gebruik');
INSERT INTO `lang_definitions` VALUES (25166, 4748, 6, 'Ido');
INSERT INTO `lang_definitions` VALUES (25167, 4755, 6, 'Als alle gegevens voor alle kolommen volledig zijn voor dit formulier');
INSERT INTO `lang_definitions` VALUES (25168, 4757, 6, 'Als Billing Justificatie wordt gebruikt, vul dan de naam van de diagnose code type in');
INSERT INTO `lang_definitions` VALUES (25169, 4763, 6, 'Indien gevuld, kies alles zij die deze service gehad hebben');
INSERT INTO `lang_definitions` VALUES (25170, 4765, 6, 'Als naam, een deel van achternaam of achternaam, voornaam');
INSERT INTO `lang_definitions` VALUES (25171, 4770, 6, 'Als betaling is voor');
INSERT INTO `lang_definitions` VALUES (25172, 4771, 6, 'Als persoon overleden is dan de datum van overlijden invullen');
INSERT INTO `lang_definitions` VALUES (25173, 4775, 6, 'Als SMTP wordt gebrukt, de hostnaam van server of IP adres gebruiken');
INSERT INTO `lang_definitions` VALUES (25174, 4776, 6, 'Als SMTP wordt gebruikt, het TCO poortnummer van de server gebruiken (meestal 25)');
INSERT INTO `lang_definitions` VALUES (25175, 4782, 6, 'Indien het cvs-bestand is gedowloaded, klik op de \"importeer holiday events\" knop. Opm: bij het klikken op de knop worden alle bestaande rijen uit de calendar_ecternal tabel verwijderd');
INSERT INTO `lang_definitions` VALUES (25176, 4803, 6, 'indien werkloos kies: Student');
INSERT INTO `lang_definitions` VALUES (25177, 4805, 6, 'Als de keuze gemaakt is voor JMD tonen, verander in alleen Jaren als de patient ouder is dan deze waare in jaren');
INSERT INTO `lang_definitions` VALUES (25178, 4814, 6, 'Als U eRx Role voor e-receptenwijzigd, kan het de e-Recepten workflow beinvloeden. Als je problemen ondervindt vraag advies aan de e-Recepten verkoper.');
INSERT INTO `lang_definitions` VALUES (25179, 4824, 6, 'Als je geen gelijke vindt wordt de patient aangemaakt.');
INSERT INTO `lang_definitions` VALUES (25180, 4831, 6, 'Indien u al de calendar_external tabel heeft ingevuld, klik dan op \"Synchroniseren\" om de vakantiedagen op te nemen in het kalenderoverzicht. Opm. klikken op de knop zal alle bestaande items in het kalenderoverzicht gerelateerd aan vakanties verwijderen');
INSERT INTO `lang_definitions` VALUES (25181, 4833, 6, 'Als u heeft gekozen voor het uploaden van elektronisch afdrachten, dan zal het zoekvenster opnieuw zelf met de bijbehorende facturen van de X12-bestand invullen. U klikt op een van deze factuurnummers (zoals hieronder beschreven), indien u eventuele correcties wil maken voordat de afdracht informatie wordt toegepast Voor de toepassing van de wijzigingen, klikt u op het proces ERA File knop aan de onderkant van de pagina. Dit zal een nieuw venster met een gedetailleerd rapport tonen.');
INSERT INTO `lang_definitions` VALUES (25182, 4836, 6, 'Als u een Pay Datum in de zoekresultaten pagina invoert, zal dit voorrang krijgen op de terbeschikkingstelling datum van de betalingen en de aanpassingen die anders uit de X12-bestand worden opgehaald. Dit kan handig zijn voor rapportage doeleinden, als u wilt dat uw inkomsten rapportage gebruik je je posting datum eerder dan de verzekeringsmaatschappij de verwerking datum. Merk op dat dit ook invloed heeft op de data van voorafgaande betalingen en aanpassingen die in het secundaire claims zijn gedaan.');
INSERT INTO `lang_definitions` VALUES (25183, 4846, 6, 'Indien u wijzigingen heeft aangebracht en opnieuw wilt versturen, verwijder het originele exemplaar (in Communications) en probeer opnieuw.');
INSERT INTO `lang_definitions` VALUES (25184, 4850, 6, 'Als u data types wilt wijzigen, of rijen of kolommen wilt toevoegen');
INSERT INTO `lang_definitions` VALUES (25185, 4851, 6, 'Indien de Database ge-upraded wordt, plaats de database zip file in de volgende map');
INSERT INTO `lang_definitions` VALUES (25186, 4853, 6, 'Igbo');
INSERT INTO `lang_definitions` VALUES (25187, 4854, 6, 'Geen aandacht geven');
INSERT INTO `lang_definitions` VALUES (25188, 4856, 6, 'Ziekte');
INSERT INTO `lang_definitions` VALUES (25189, 4857, 6, 'Intra musculair');
INSERT INTO `lang_definitions` VALUES (25190, 4859, 6, 'Beeldresultaten');
INSERT INTO `lang_definitions` VALUES (25191, 4860, 6, 'Beelden');
INSERT INTO `lang_definitions` VALUES (25192, 4861, 6, 'Beeldvorming');
INSERT INTO `lang_definitions` VALUES (25193, 4863, 6, 'Beeldvorming Service');
INSERT INTO `lang_definitions` VALUES (25194, 4864, 6, 'Imuunsysteem');
INSERT INTO `lang_definitions` VALUES (25195, 4865, 6, 'Vaccinatie');
INSERT INTO `lang_definitions` VALUES (25196, 4867, 6, 'Immunisatie code');
INSERT INTO `lang_definitions` VALUES (25197, 4869, 6, 'Immunizatie datum');
INSERT INTO `lang_definitions` VALUES (25198, 4870, 6, 'Immunizatie verloop datum');
INSERT INTO `lang_definitions` VALUES (25199, 4872, 6, 'Lotnummer van vaccinatie');
INSERT INTO `lang_definitions` VALUES (25200, 4873, 6, 'Fabrikant van vaccinatie');
INSERT INTO `lang_definitions` VALUES (25201, 4878, 6, 'Immunisatie register');
INSERT INTO `lang_definitions` VALUES (25202, 4881, 6, 'Immunisatie rapport');
INSERT INTO `lang_definitions` VALUES (25203, 4882, 6, 'Immunizatie Service');
INSERT INTO `lang_definitions` VALUES (25204, 4883, 6, 'Immunisatie titel');
INSERT INTO `lang_definitions` VALUES (25205, 4885, 6, 'Vaccinaties');
INSERT INTO `lang_definitions` VALUES (25206, 4887, 6, 'Vaccineren');
INSERT INTO `lang_definitions` VALUES (25207, 4888, 6, 'Immunologisch');
INSERT INTO `lang_definitions` VALUES (25208, 4893, 6, 'Implantaties');
INSERT INTO `lang_definitions` VALUES (25209, 4894, 6, 'Importeren');
INSERT INTO `lang_definitions` VALUES (25210, 4895, 6, 'Alles importeren');
INSERT INTO `lang_definitions` VALUES (25211, 4896, 6, 'Importeer CCDA');
INSERT INTO `lang_definitions` VALUES (25212, 4897, 6, 'Importeer CCR');
INSERT INTO `lang_definitions` VALUES (25213, 4898, 6, 'Certificaat importeren naar de browser');
INSERT INTO `lang_definitions` VALUES (25214, 4899, 6, 'Configuratie importeren');
INSERT INTO `lang_definitions` VALUES (25215, 4900, 6, 'Importeren verlegd voor de tijd-nog-actief');
INSERT INTO `lang_definitions` VALUES (25216, 4902, 6, 'Importeer landelijke vakantiedagen');
INSERT INTO `lang_definitions` VALUES (25217, 4903, 6, 'Voer vakantiedagen in');
INSERT INTO `lang_definitions` VALUES (25218, 4904, 6, 'Importeer patient');
INSERT INTO `lang_definitions` VALUES (25219, 4905, 6, 'Importeer persoonsgeg. van client');
INSERT INTO `lang_definitions` VALUES (25220, 4910, 6, 'Belangrijke Codes');
INSERT INTO `lang_definitions` VALUES (25221, 4912, 6, 'BELANGRIJK: This upload tool is only for uploading documents on patients that are not yet entered into the system. To upload files for patients whom already have been entered into the system, please use the upload tool linked within the Patient Summary screen.');
INSERT INTO `lang_definitions` VALUES (25222, 4913, 6, 'Ingevoerd Allergieën');
INSERT INTO `lang_definitions` VALUES (25223, 4914, 6, 'Geimporteerd van accountantrekening');
INSERT INTO `lang_definitions` VALUES (25224, 4915, 6, 'Ingevoerde Medicaties');
INSERT INTO `lang_definitions` VALUES (25225, 4916, 6, 'Ingevoerde Problemen');
INSERT INTO `lang_definitions` VALUES (25226, 4920, 6, 'Verbeterd');
INSERT INTO `lang_definitions` VALUES (25227, 4922, 6, 'in');
INSERT INTO `lang_definitions` VALUES (25228, 4923, 6, 'IN');
INSERT INTO `lang_definitions` VALUES (25229, 4931, 6, 'in beide ogen');
INSERT INTO `lang_definitions` VALUES (25230, 4934, 6, 'in linker oog');
INSERT INTO `lang_definitions` VALUES (25231, 4935, 6, 'in neusgat');
INSERT INTO `lang_definitions` VALUES (25232, 4936, 6, 'Op kantoor');
INSERT INTO `lang_definitions` VALUES (25233, 4947, 6, 'in rechteroog');
INSERT INTO `lang_definitions` VALUES (25234, 4952, 6, 'In de woorden van de patient zelf');
INSERT INTO `lang_definitions` VALUES (25235, 4958, 6, 'op voorraad');
INSERT INTO `lang_definitions` VALUES (25236, 4960, 6, 'Inactief');
INSERT INTO `lang_definitions` VALUES (25237, 4965, 6, 'Dagen inactiviteit');
INSERT INTO `lang_definitions` VALUES (25238, 4967, 6, 'Inbox');
INSERT INTO `lang_definitions` VALUES (25239, 4970, 6, 'Controlecijfer toevoegen');
INSERT INTO `lang_definitions` VALUES (25240, 4971, 6, 'Toevoegen afgerond');
INSERT INTO `lang_definitions` VALUES (25241, 4974, 6, 'Ook de inactieve gebruikers');
INSERT INTO `lang_definitions` VALUES (25242, 4975, 6, 'Niet-categoriseerd toevoegen');
INSERT INTO `lang_definitions` VALUES (25243, 4976, 6, 'Ongestructureerde data toevoegen');
INSERT INTO `lang_definitions` VALUES (25244, 4977, 6, 'Voeg vitals toe');
INSERT INTO `lang_definitions` VALUES (25245, 4978, 6, 'Vitale data toevoegen?');
INSERT INTO `lang_definitions` VALUES (25246, 4981, 6, 'Inclusie');
INSERT INTO `lang_definitions` VALUES (25247, 4982, 6, 'Inkomsten');
INSERT INTO `lang_definitions` VALUES (25248, 4983, 6, 'Binnen gekomen resultaten vragen aandacht:');
INSERT INTO `lang_definitions` VALUES (25249, 4984, 6, 'Onvolledig');
INSERT INTO `lang_definitions` VALUES (25250, 4985, 6, 'Onvolledige abortusbehandeling');
INSERT INTO `lang_definitions` VALUES (25251, 4986, 6, 'Incontinentie');
INSERT INTO `lang_definitions` VALUES (25252, 4987, 6, 'Klinische lab-test resultaten toevoegen in certified EHR technologie als gestructureerde data.');
INSERT INTO `lang_definitions` VALUES (25253, 4988, 6, 'Onjuist paswoord');
INSERT INTO `lang_definitions` VALUES (25254, 4990, 6, 'Verhoogd:');
INSERT INTO `lang_definitions` VALUES (25255, 4991, 6, 'Vrijwaring Verzekeringen');
INSERT INTO `lang_definitions` VALUES (25256, 4992, 6, 'Zelfstandige kliniek');
INSERT INTO `lang_definitions` VALUES (25257, 4993, 6, 'Zelfstandig laboratorium');
INSERT INTO `lang_definitions` VALUES (25258, 4994, 6, 'Onbepaald');
INSERT INTO `lang_definitions` VALUES (25259, 4995, 6, 'Indier');
INSERT INTO `lang_definitions` VALUES (25260, 4998, 6, 'Geeft abnormaliteit aan');
INSERT INTO `lang_definitions` VALUES (25261, 5000, 6, 'Geef aan of dit probleem nu actief is');
INSERT INTO `lang_definitions` VALUES (25262, 5002, 6, 'Indicator voor gespecialiseert gebruik');
INSERT INTO `lang_definitions` VALUES (25263, 5003, 6, 'Minvermogende patienten');
INSERT INTO `lang_definitions` VALUES (25264, 5004, 6, 'Raport minvermogende ptn');
INSERT INTO `lang_definitions` VALUES (25265, 5005, 6, 'Minvermogend');
INSERT INTO `lang_definitions` VALUES (25266, 5009, 6, 'Indonesisch');
INSERT INTO `lang_definitions` VALUES (25267, 5010, 6, 'Opgewekte abortus');
INSERT INTO `lang_definitions` VALUES (25268, 5011, 6, 'Bedrijven');
INSERT INTO `lang_definitions` VALUES (25269, 5012, 6, 'Komt er niet voor in aanmerking');
INSERT INTO `lang_definitions` VALUES (25270, 5013, 6, 'Infectie/Abces');
INSERT INTO `lang_definitions` VALUES (25271, 5014, 6, 'Infecties');
INSERT INTO `lang_definitions` VALUES (25272, 5015, 6, 'Couns.voor Infert');
INSERT INTO `lang_definitions` VALUES (25273, 5016, 6, 'Onvruchtbaar');
INSERT INTO `lang_definitions` VALUES (25274, 5017, 6, 'Influenza 1');
INSERT INTO `lang_definitions` VALUES (25275, 5018, 6, 'Influenza 2');
INSERT INTO `lang_definitions` VALUES (25276, 5019, 6, 'Influenza Immunisatie voor patienten vanaf 50 jaar oud');
INSERT INTO `lang_definitions` VALUES (25277, 5020, 6, 'Infleunza Immunisatie voor patienten vanaf 50 jaar oud (CQM)');
INSERT INTO `lang_definitions` VALUES (25278, 5021, 6, 'Influenza vaccin');
INSERT INTO `lang_definitions` VALUES (25279, 5022, 6, 'Info');
INSERT INTO `lang_definitions` VALUES (25280, 5023, 6, 'Info test 1');
INSERT INTO `lang_definitions` VALUES (25281, 5024, 6, 'Info test 2');
INSERT INTO `lang_definitions` VALUES (25282, 5025, 6, 'Info test 3');
INSERT INTO `lang_definitions` VALUES (25283, 5026, 6, 'Info test 4');
INSERT INTO `lang_definitions` VALUES (25284, 5027, 6, 'Info test 5');
INSERT INTO `lang_definitions` VALUES (25285, 5028, 6, 'Info test 6');
INSERT INTO `lang_definitions` VALUES (25286, 5029, 6, 'Melder');
INSERT INTO `lang_definitions` VALUES (25287, 5032, 6, 'Informatiebron');
INSERT INTO `lang_definitions` VALUES (25288, 5034, 6, 'inhalaties');
INSERT INTO `lang_definitions` VALUES (25289, 5036, 6, 'inhilaties');
INSERT INTO `lang_definitions` VALUES (25290, 5037, 6, 'Initiele Patienten Populatie');
INSERT INTO `lang_definitions` VALUES (25291, 5038, 6, 'Begin behandeling');
INSERT INTO `lang_definitions` VALUES (25292, 5039, 6, 'Eerste gebruiker');
INSERT INTO `lang_definitions` VALUES (25293, 5041, 6, 'Inj/Rehab');
INSERT INTO `lang_definitions` VALUES (25294, 5042, 6, 'Injecteerbaar');
INSERT INTO `lang_definitions` VALUES (25295, 5043, 6, 'Injectie');
INSERT INTO `lang_definitions` VALUES (25296, 5044, 6, 'Verwond lichaamsdeel');
INSERT INTO `lang_definitions` VALUES (25297, 5045, 6, 'Gewond vertrokken');
INSERT INTO `lang_definitions` VALUES (25298, 5046, 6, 'Letsel');
INSERT INTO `lang_definitions` VALUES (25299, 5047, 6, 'Schade Mechanisme');
INSERT INTO `lang_definitions` VALUES (25300, 5048, 6, 'Overzicht letsel rapport');
INSERT INTO `lang_definitions` VALUES (25301, 5049, 6, 'Letsel surveillance');
INSERT INTO `lang_definitions` VALUES (25302, 5050, 6, 'Soort letsel');
INSERT INTO `lang_definitions` VALUES (25303, 5051, 6, 'Letsel/ziekte-gerelateerd');
INSERT INTO `lang_definitions` VALUES (25304, 5052, 6, 'Inlijn');
INSERT INTO `lang_definitions` VALUES (25305, 5055, 6, 'Input begint niet met een MSH gedeelte');
INSERT INTO `lang_definitions` VALUES (25306, 5056, 6, 'Invoervelden');
INSERT INTO `lang_definitions` VALUES (25307, 5057, 6, 'INR');
INSERT INTO `lang_definitions` VALUES (25308, 5058, 6, 'Ins 1');
INSERT INTO `lang_definitions` VALUES (25309, 5059, 6, 'Ins 2 of Ins 3');
INSERT INTO `lang_definitions` VALUES (25310, 5060, 6, 'Ins adres');
INSERT INTO `lang_definitions` VALUES (25311, 5061, 6, 'Ins aanpassen');
INSERT INTO `lang_definitions` VALUES (25312, 5062, 6, 'Ins bundeling');
INSERT INTO `lang_definitions` VALUES (25313, 5063, 6, 'Ins Code');
INSERT INTO `lang_definitions` VALUES (25314, 5064, 6, 'Ins Groep');
INSERT INTO `lang_definitions` VALUES (25315, 5065, 6, 'Ins Naam');
INSERT INTO `lang_definitions` VALUES (25316, 5066, 6, 'Ins te veel betaald');
INSERT INTO `lang_definitions` VALUES (25317, 5067, 6, 'Ins beleidslijn');
INSERT INTO `lang_definitions` VALUES (25318, 5068, 6, 'Ins restitutie');
INSERT INTO `lang_definitions` VALUES (25319, 5069, 6, 'Ins samenvatting');
INSERT INTO `lang_definitions` VALUES (25320, 5071, 6, 'Ins1');
INSERT INTO `lang_definitions` VALUES (25321, 5072, 6, 'Ins2');
INSERT INTO `lang_definitions` VALUES (25322, 5073, 6, 'Ins3');
INSERT INTO `lang_definitions` VALUES (25323, 5074, 6, 'Invoegen');
INSERT INTO `lang_definitions` VALUES (25324, 5075, 6, 'Invoegen mislukt:');
INSERT INTO `lang_definitions` VALUES (25325, 5079, 6, 'Voeg oude gebeurtenis toe aan tabel');
INSERT INTO `lang_definitions` VALUES (25326, 5085, 6, 'Slapeloosheid');
INSERT INTO `lang_definitions` VALUES (25327, 5086, 6, 'Controleer het log');
INSERT INTO `lang_definitions` VALUES (25328, 5087, 6, 'Inspectie');
INSERT INTO `lang_definitions` VALUES (25329, 5088, 6, 'Onstabiliteit/Subluxatie');
INSERT INTO `lang_definitions` VALUES (25330, 5089, 6, 'INSTALLEREN');
INSERT INTO `lang_definitions` VALUES (25331, 5090, 6, 'Installeren');
INSERT INTO `lang_definitions` VALUES (25332, 5092, 6, 'Code set installeren');
INSERT INTO `lang_definitions` VALUES (25333, 5093, 6, 'installeer DB');
INSERT INTO `lang_definitions` VALUES (25334, 5100, 6, 'Geinstalleerde Release');
INSERT INTO `lang_definitions` VALUES (25335, 5102, 6, 'Geinstrueerd');
INSERT INTO `lang_definitions` VALUES (25336, 5103, 6, 'Instructie');
INSERT INTO `lang_definitions` VALUES (25337, 5104, 6, 'Instructies');
INSERT INTO `lang_definitions` VALUES (25338, 5105, 6, 'Instructies:');
INSERT INTO `lang_definitions` VALUES (25339, 5107, 6, 'Te weinig voorraad voor product met dit ID');
INSERT INTO `lang_definitions` VALUES (25340, 5108, 6, 'IDDM');
INSERT INTO `lang_definitions` VALUES (25341, 5109, 6, 'Verzekering');
INSERT INTO `lang_definitions` VALUES (25342, 5110, 6, 'verzekering');
INSERT INTO `lang_definitions` VALUES (25343, 5114, 6, 'Verzekerings balans');
INSERT INTO `lang_definitions` VALUES (25344, 5115, 6, 'Verzekerings balans bedrag');
INSERT INTO `lang_definitions` VALUES (25345, 5116, 6, 'Verzekeringsmij.');
INSERT INTO `lang_definitions` VALUES (25346, 5117, 6, 'Verzekeringsmij-en');
INSERT INTO `lang_definitions` VALUES (25347, 5118, 6, 'Verzekeringsmij.');
INSERT INTO `lang_definitions` VALUES (25348, 5119, 6, 'Verzekeringsmij. zoeken/toevoegen');
INSERT INTO `lang_definitions` VALUES (25349, 5121, 6, 'Verzekeringsgegevens');
INSERT INTO `lang_definitions` VALUES (25350, 5124, 6, 'Opgeslagen Verzekeringsgegevens');
INSERT INTO `lang_definitions` VALUES (25351, 5126, 6, 'Verzekering leveringsgegevens');
INSERT INTO `lang_definitions` VALUES (25352, 5127, 6, 'Verzekerings betaling');
INSERT INTO `lang_definitions` VALUES (25353, 5129, 6, 'Betalende Instantie');
INSERT INTO `lang_definitions` VALUES (25354, 5131, 6, 'Type verzekeringen');
INSERT INTO `lang_definitions` VALUES (25355, 5132, 6, 'verzekeringen');
INSERT INTO `lang_definitions` VALUES (25356, 5133, 6, 'Verzekerde');
INSERT INTO `lang_definitions` VALUES (25357, 5134, 6, 'Intakegesprek');
INSERT INTO `lang_definitions` VALUES (25358, 5135, 6, 'Intakedatum');
INSERT INTO `lang_definitions` VALUES (25359, 5138, 6, 'Intellectuele achteruitgang');
INSERT INTO `lang_definitions` VALUES (25360, 5141, 6, 'Interlingua');
INSERT INTO `lang_definitions` VALUES (25361, 5142, 6, 'Interlingue');
INSERT INTO `lang_definitions` VALUES (25362, 5149, 6, 'Foutje - er werden geen paginas geselecteerd!');
INSERT INTO `lang_definitions` VALUES (25363, 5150, 6, 'Foutje - geen patient ID ingevoerd!');
INSERT INTO `lang_definitions` VALUES (25364, 5151, 6, 'Foutje- de ge-upload-de file kan niet gelezen worden');
INSERT INTO `lang_definitions` VALUES (25365, 5153, 6, 'Intern foutje');
INSERT INTO `lang_definitions` VALUES (25366, 5154, 6, 'Intern foutje, geen medicatie ID aangegeven!');
INSERT INTO `lang_definitions` VALUES (25367, 5155, 6, 'Foutje - geclaimde');
INSERT INTO `lang_definitions` VALUES (25368, 5156, 6, 'Foutje - schuld');
INSERT INTO `lang_definitions` VALUES (25369, 5157, 6, 'Foutje - contact \'');
INSERT INTO `lang_definitions` VALUES (25370, 5158, 6, 'Foutje - pid of contact is kwijt.');
INSERT INTO `lang_definitions` VALUES (25371, 5159, 6, 'Foutje - het lijkt erop dat we werken niet in Encounter!');
INSERT INTO `lang_definitions` VALUES (25372, 5160, 6, 'Intern gebruikte ID (pid)');
INSERT INTO `lang_definitions` VALUES (25373, 5163, 6, 'Interne verwijzingen');
INSERT INTO `lang_definitions` VALUES (25374, 5164, 6, 'Interne tijd opgezocht');
INSERT INTO `lang_definitions` VALUES (25375, 5165, 6, 'Internationale Dienst');
INSERT INTO `lang_definitions` VALUES (25376, 5167, 6, 'Tolk');
INSERT INTO `lang_definitions` VALUES (25377, 5168, 6, 'Tolk nodig?');
INSERT INTO `lang_definitions` VALUES (25378, 5169, 6, 'Interstitiele longziekte');
INSERT INTO `lang_definitions` VALUES (25379, 5170, 6, 'Interval');
INSERT INTO `lang_definitions` VALUES (25380, 5171, 6, 'Interval (minuten)');
INSERT INTO `lang_definitions` VALUES (25381, 5172, 6, 'Interval tussen controle van berichten (Als dit op nul gezet wordt is alleen handmatige controle mogleijk)');
INSERT INTO `lang_definitions` VALUES (25382, 5173, 6, 'Interventie');
INSERT INTO `lang_definitions` VALUES (25383, 5174, 6, 'Interventie verstrekt');
INSERT INTO `lang_definitions` VALUES (25384, 5175, 6, 'Intolerantie');
INSERT INTO `lang_definitions` VALUES (25385, 5176, 6, 'intradermaal');
INSERT INTO `lang_definitions` VALUES (25386, 5178, 6, 'intramusculair');
INSERT INTO `lang_definitions` VALUES (25387, 5181, 6, 'intraveneus');
INSERT INTO `lang_definitions` VALUES (25388, 5182, 6, 'Introductie');
INSERT INTO `lang_definitions` VALUES (25389, 5183, 6, 'Inuktitut');
INSERT INTO `lang_definitions` VALUES (25390, 5184, 6, 'Inupiaq');
INSERT INTO `lang_definitions` VALUES (25391, 5185, 6, 'Verkeerd karakter gebruikt in');
INSERT INTO `lang_definitions` VALUES (25392, 5191, 6, 'Ongeldige datumbereik');
INSERT INTO `lang_definitions` VALUES (25393, 5192, 6, 'Ongeldige ingekapselde data type codering');
INSERT INTO `lang_definitions` VALUES (25394, 5195, 6, 'Niet valide lengte voor');
INSERT INTO `lang_definitions` VALUES (25395, 5196, 6, 'Niet geaccepteerde numerieke waarde in');
INSERT INTO `lang_definitions` VALUES (25396, 5197, 6, 'Ongeldige of ontbrekende betaler bron voor code');
INSERT INTO `lang_definitions` VALUES (25397, 5199, 6, 'Ongeldig adres van Ontvanger. Probeer opnieuw.');
INSERT INTO `lang_definitions` VALUES (25398, 5200, 6, 'Ongeldige Service Codes');
INSERT INTO `lang_definitions` VALUES (25399, 5201, 6, 'Ongeldige bron bestemming');
INSERT INTO `lang_definitions` VALUES (25400, 5203, 6, 'Ongeladige User-naam of Paswoord');
INSERT INTO `lang_definitions` VALUES (25401, 5204, 6, 'InvAmt');
INSERT INTO `lang_definitions` VALUES (25402, 5205, 6, 'Inventaris');
INSERT INTO `lang_definitions` VALUES (25403, 5206, 6, 'Inventaris activiteit');
INSERT INTO `lang_definitions` VALUES (25404, 5207, 6, 'Inventaris bij verkoop van medicijnen en andere niet medicijnen');
INSERT INTO `lang_definitions` VALUES (25405, 5208, 6, 'Inventaris en alleen verkoop van medicijnen');
INSERT INTO `lang_definitions` VALUES (25406, 5209, 6, 'Inventaris is niet beschikbaar voor deze bestelling.');
INSERT INTO `lang_definitions` VALUES (25407, 5210, 6, 'Inventarislijst');
INSERT INTO `lang_definitions` VALUES (25408, 5211, 6, 'Inventaris transacties');
INSERT INTO `lang_definitions` VALUES (25409, 5212, 6, 'Rekening');
INSERT INTO `lang_definitions` VALUES (25410, 5213, 6, 'rekening');
INSERT INTO `lang_definitions` VALUES (25411, 5215, 6, 'Invoice balans');
INSERT INTO `lang_definitions` VALUES (25412, 5216, 6, 'Invoice balans kan niet verwerkt worden. Geen encounter aangemaakt.');
INSERT INTO `lang_definitions` VALUES (25413, 5217, 6, 'Datum rekening');
INSERT INTO `lang_definitions` VALUES (25414, 5219, 6, 'Rekening heeft geen datum');
INSERT INTO `lang_definitions` VALUES (25415, 5220, 6, 'Invoice nummer');
INSERT INTO `lang_definitions` VALUES (25416, 5221, 6, 'Invoice referentienummer');
INSERT INTO `lang_definitions` VALUES (25417, 5222, 6, 'Invoice referentiegroeps nummer, indien gebruikt');
INSERT INTO `lang_definitions` VALUES (25418, 5223, 6, 'Invoice referentie groepsnummer');
INSERT INTO `lang_definitions` VALUES (25419, 5224, 6, 'Invoice Referentie No voor groep');
INSERT INTO `lang_definitions` VALUES (25420, 5226, 6, 'Rekening:');
INSERT INTO `lang_definitions` VALUES (25421, 5237, 6, 'IPPF (Int Planned Parenthood Federation)');
INSERT INTO `lang_definitions` VALUES (25422, 5238, 6, 'IPPF Abortus');
INSERT INTO `lang_definitions` VALUES (25423, 5239, 6, 'IPPF Anti-conceptie');
INSERT INTO `lang_definitions` VALUES (25424, 5240, 6, 'IPPF SRH Gegevens voor');
INSERT INTO `lang_definitions` VALUES (25425, 5241, 6, 'IPPF Overzicht met statistieken');
INSERT INTO `lang_definitions` VALUES (25426, 5242, 6, 'IPPF Statistiek rapport');
INSERT INTO `lang_definitions` VALUES (25427, 5243, 6, 'IPV 1');
INSERT INTO `lang_definitions` VALUES (25428, 5244, 6, 'IPV 2');
INSERT INTO `lang_definitions` VALUES (25429, 5245, 6, 'IPV 3');
INSERT INTO `lang_definitions` VALUES (25430, 5246, 6, 'IPV 4');
INSERT INTO `lang_definitions` VALUES (25431, 5248, 6, 'Iers');
INSERT INTO `lang_definitions` VALUES (25432, 5249, 6, 'Onregelmatige hartslag');
INSERT INTO `lang_definitions` VALUES (25433, 5250, 6, 'Geirriteerd');
INSERT INTO `lang_definitions` VALUES (25434, 5251, 6, 'Irritatie');
INSERT INTO `lang_definitions` VALUES (25435, 5252, 6, 'de volgende Database is van een andere language versie.');
INSERT INTO `lang_definitions` VALUES (25436, 5253, 6, 'de volgende Database is van een andere versie');
INSERT INTO `lang_definitions` VALUES (25437, 5254, 6, 'is een recentere versie van de volgende database');
INSERT INTO `lang_definitions` VALUES (25438, 5256, 6, 'Verplicht veld.');
INSERT INTO `lang_definitions` VALUES (25439, 5257, 6, 'dit is een basis node en kan niet verwijderd worden');
INSERT INTO `lang_definitions` VALUES (25440, 5258, 6, 'is van een extensie van de volgende Database');
INSERT INTO `lang_definitions` VALUES (25441, 5262, 6, 'Is het de bedoeling deze CVX codes toe te voegen aan reeds bestaande vacinaties?');
INSERT INTO `lang_definitions` VALUES (25442, 5263, 6, 'is verkeerd geplaatst of onbekend');
INSERT INTO `lang_definitions` VALUES (25443, 5265, 6, 'ongeldig emailadres');
INSERT INTO `lang_definitions` VALUES (25444, 5266, 6, 'is niet geselecteerd');
INSERT INTO `lang_definitions` VALUES (25445, 5267, 6, 'is ongeldig');
INSERT INTO `lang_definitions` VALUES (25446, 5268, 6, 'is niet geldig (decimale breuken OK).');
INSERT INTO `lang_definitions` VALUES (25447, 5269, 6, 'Werkt PHP in veilige modus?');
INSERT INTO `lang_definitions` VALUES (25448, 5272, 6, 'Is geselecteerd');
INSERT INTO `lang_definitions` VALUES (25449, 5273, 6, 'Moet de tekst van Layouts vertaald worden?');
INSERT INTO `lang_definitions` VALUES (25450, 5274, 6, 'Moet de tekst van lijsten vertaald worden?');
INSERT INTO `lang_definitions` VALUES (25451, 5275, 6, 'Is de file versleuteld?');
INSERT INTO `lang_definitions` VALUES (25452, 5276, 6, 'Id dit een klinische term code type?');
INSERT INTO `lang_definitions` VALUES (25453, 5277, 6, 'Is dit een diagnose type?');
INSERT INTO `lang_definitions` VALUES (25454, 5278, 6, 'Is dit een Medisch Probleem code type');
INSERT INTO `lang_definitions` VALUES (25455, 5279, 6, 'Is dit een soort Medicijn?');
INSERT INTO `lang_definitions` VALUES (25456, 5280, 6, 'Is dit een procedure-service type?');
INSERT INTO `lang_definitions` VALUES (25457, 5281, 6, 'Is dit actief?');
INSERT INTO `lang_definitions` VALUES (25458, 5282, 6, 'Is dit type code geactiveerd?');
INSERT INTO `lang_definitions` VALUES (25459, 5283, 6, 'Wordt deze type code gebrukt in claims?');
INSERT INTO `lang_definitions` VALUES (25460, 5285, 6, 'Is dit echt goed?');
INSERT INTO `lang_definitions` VALUES (25461, 5286, 6, 'Wordt dit type verborgen in de Honorering velden?');
INSERT INTO `lang_definitions` VALUES (25462, 5287, 6, 'Worden hierbij extrene sql tabellen gebruikt? Alleen dan deze format gebruiken.');
INSERT INTO `lang_definitions` VALUES (25463, 5288, 6, 'is te lang');
INSERT INTO `lang_definitions` VALUES (25464, 5289, 6, 'ISO 639-2 Code');
INSERT INTO `lang_definitions` VALUES (25465, 5290, 6, 'Probleem');
INSERT INTO `lang_definitions` VALUES (25466, 5291, 6, 'probleem');
INSERT INTO `lang_definitions` VALUES (25467, 5292, 6, 'Issue Datum');
INSERT INTO `lang_definitions` VALUES (25468, 5293, 6, 'Issue ID');
INSERT INTO `lang_definitions` VALUES (25469, 5295, 6, 'Issue Titel');
INSERT INTO `lang_definitions` VALUES (25470, 5296, 6, 'Issue type');
INSERT INTO `lang_definitions` VALUES (25471, 5297, 6, 'Issues Types');
INSERT INTO `lang_definitions` VALUES (25472, 5298, 6, 'Problemen');
INSERT INTO `lang_definitions` VALUES (25473, 5299, 6, 'Problemen (Letsel/Medisch/Allergie)');
INSERT INTO `lang_definitions` VALUES (25474, 5300, 6, 'Problemen (Letsel/Medisch/Allergie):');
INSERT INTO `lang_definitions` VALUES (25475, 5302, 6, 'Problemen en Contacten');
INSERT INTO `lang_definitions` VALUES (25476, 5303, 6, 'Problemen en Contacten voor');
INSERT INTO `lang_definitions` VALUES (25477, 5308, 6, 'Niet geautoriseerde problemen');
INSERT INTO `lang_definitions` VALUES (25478, 5309, 6, 'Problemen sectie');
INSERT INTO `lang_definitions` VALUES (25479, 5364, 6, 'Italiaan');
INSERT INTO `lang_definitions` VALUES (25480, 5365, 6, 'Item');
INSERT INTO `lang_definitions` VALUES (25481, 5366, 6, 'item');
INSERT INTO `lang_definitions` VALUES (25482, 5368, 6, 'Items');
INSERT INTO `lang_definitions` VALUES (25483, 5369, 6, 'Items laden is mislukt');
INSERT INTO `lang_definitions` VALUES (25484, 5370, 6, 'IU/L');
INSERT INTO `lang_definitions` VALUES (25485, 5371, 6, 'IUD');
INSERT INTO `lang_definitions` VALUES (25486, 5372, 6, 'Intra veneus');
INSERT INTO `lang_definitions` VALUES (25487, 5375, 6, 'Jan');
INSERT INTO `lang_definitions` VALUES (25488, 5376, 6, 'Januari');
INSERT INTO `lang_definitions` VALUES (25489, 5377, 6, 'Japans');
INSERT INTO `lang_definitions` VALUES (25490, 5378, 6, 'Icterus');
INSERT INTO `lang_definitions` VALUES (25491, 5379, 6, 'Javaans');
INSERT INTO `lang_definitions` VALUES (25492, 5380, 6, 'Functie-omschrijving');
INSERT INTO `lang_definitions` VALUES (25493, 5381, 6, 'Functie-ID');
INSERT INTO `lang_definitions` VALUES (25494, 5382, 6, 'Gewricht uit de kom geschoten');
INSERT INTO `lang_definitions` VALUES (25495, 5383, 6, 'Gewrichtspijn');
INSERT INTO `lang_definitions` VALUES (25496, 5384, 6, 'Verstuikt gewricht');
INSERT INTO `lang_definitions` VALUES (25497, 5385, 6, 'Jul');
INSERT INTO `lang_definitions` VALUES (25498, 5386, 6, 'Juli');
INSERT INTO `lang_definitions` VALUES (25499, 5388, 6, 'Jun');
INSERT INTO `lang_definitions` VALUES (25500, 5389, 6, 'Juni');
INSERT INTO `lang_definitions` VALUES (25501, 5390, 6, 'Net onder de controle-informatie is een blauwe zone waar je in je zoekopdracht parameters kunt invoeren. Je kunt zoeken op naam patiënt, kaart nummer, ontmoetings nummer of op datum dienstverlening, of een combinatie hiervan. Je kunt ook kiezen om u alle facturen, openstaande facturen of alleen niet op tijd betaalde facturen (door de patiënt) wilt zien. Klik op ZOEKEN om de opdracht te geven.');
INSERT INTO `lang_definitions` VALUES (25502, 5391, 6, 'Alleen die van mij');
INSERT INTO `lang_definitions` VALUES (25503, 5392, 6, 'Invullingdie geaccordeerd moeten worden');
INSERT INTO `lang_definitions` VALUES (25504, 5393, 6, 'Accorderen');
INSERT INTO `lang_definitions` VALUES (25505, 5396, 6, 'Accorderen /Opslaan');
INSERT INTO `lang_definitions` VALUES (25506, 5397, 6, 'J{{Jusitfy Header}}');
INSERT INTO `lang_definitions` VALUES (25507, 5398, 6, 'k, hier is de rest');
INSERT INTO `lang_definitions` VALUES (25508, 5401, 6, 'Kalaalisut, Groenlands');
INSERT INTO `lang_definitions` VALUES (25509, 5402, 6, 'Kannada');
INSERT INTO `lang_definitions` VALUES (25510, 5403, 6, 'Kanuri');
INSERT INTO `lang_definitions` VALUES (25511, 5404, 6, 'Kashmiri');
INSERT INTO `lang_definitions` VALUES (25512, 5405, 6, 'Kazakstaans');
INSERT INTO `lang_definitions` VALUES (25513, 5407, 6, 'Sleutel');
INSERT INTO `lang_definitions` VALUES (25514, 5411, 6, 'Sleutelwoorden');
INSERT INTO `lang_definitions` VALUES (25515, 5412, 6, 'kg');
INSERT INTO `lang_definitions` VALUES (25516, 5413, 6, 'kg/m^2');
INSERT INTO `lang_definitions` VALUES (25517, 5414, 6, 'Khmer');
INSERT INTO `lang_definitions` VALUES (25518, 5415, 6, 'Nierkanker');
INSERT INTO `lang_definitions` VALUES (25519, 5416, 6, 'Nierfalen');
INSERT INTO `lang_definitions` VALUES (25520, 5417, 6, 'Nierinfectie');
INSERT INTO `lang_definitions` VALUES (25521, 5418, 6, 'Nierstenen');
INSERT INTO `lang_definitions` VALUES (25522, 5419, 6, 'Niertransplantatie');
INSERT INTO `lang_definitions` VALUES (25523, 5420, 6, 'Kikuyu, Gikuyu');
INSERT INTO `lang_definitions` VALUES (25524, 5422, 6, 'Kinyarwanda');
INSERT INTO `lang_definitions` VALUES (25525, 5424, 6, 'Kirundi');
INSERT INTO `lang_definitions` VALUES (25526, 5425, 6, 'Knie');
INSERT INTO `lang_definitions` VALUES (25527, 5426, 6, 'Knieproblemen');
INSERT INTO `lang_definitions` VALUES (25528, 5427, 6, 'Knievervanging');
INSERT INTO `lang_definitions` VALUES (25529, 5428, 6, 'Komi');
INSERT INTO `lang_definitions` VALUES (25530, 5429, 6, 'Congo');
INSERT INTO `lang_definitions` VALUES (25531, 5430, 6, 'Koreaan');
INSERT INTO `lang_definitions` VALUES (25532, 5431, 6, 'Kurdisch');
INSERT INTO `lang_definitions` VALUES (25533, 5432, 6, 'Kwanyama, Kuanyama');
INSERT INTO `lang_definitions` VALUES (25534, 5433, 6, 'Kirgisisch');
INSERT INTO `lang_definitions` VALUES (25535, 5434, 6, 'Lab');
INSERT INTO `lang_definitions` VALUES (25536, 5435, 6, 'Lab documenten');
INSERT INTO `lang_definitions` VALUES (25537, 5436, 6, 'SIte address van Lab Uitwisseling');
INSERT INTO `lang_definitions` VALUES (25538, 5437, 6, 'SIte Lab Exchange ID');
INSERT INTO `lang_definitions` VALUES (25539, 5438, 6, 'Lab Exchange Token ID');
INSERT INTO `lang_definitions` VALUES (25540, 5439, 6, 'Lab aanvragen');
INSERT INTO `lang_definitions` VALUES (25541, 5440, 6, 'Lab overzicht');
INSERT INTO `lang_definitions` VALUES (25542, 5441, 6, 'Lab overzicht');
INSERT INTO `lang_definitions` VALUES (25543, 5442, 6, 'Lab Querry status');
INSERT INTO `lang_definitions` VALUES (25544, 5444, 6, 'Lab rapport');
INSERT INTO `lang_definitions` VALUES (25545, 5445, 6, 'Lab resulaat');
INSERT INTO `lang_definitions` VALUES (25546, 5446, 6, 'Lab resultaten');
INSERT INTO `lang_definitions` VALUES (25547, 5448, 6, 'Lab resultaten Categorie naam');
INSERT INTO `lang_definitions` VALUES (25548, 5449, 6, 'Lab resultaten Rapport');
INSERT INTO `lang_definitions` VALUES (25549, 5450, 6, 'Lab Service');
INSERT INTO `lang_definitions` VALUES (25550, 5451, 6, 'Lab test resultaten');
INSERT INTO `lang_definitions` VALUES (25551, 5452, 6, 'Lab/File');
INSERT INTO `lang_definitions` VALUES (25552, 5453, 6, 'Label');
INSERT INTO `lang_definitions` VALUES (25553, 5454, 6, 'Label mag niet leeg zijn');
INSERT INTO `lang_definitions` VALUES (25554, 5455, 6, 'Label Cols');
INSERT INTO `lang_definitions` VALUES (25555, 5456, 6, 'Label voor dit type');
INSERT INTO `lang_definitions` VALUES (25556, 5458, 6, 'LabelCols met een getal tussen 1 en 999 zijn');
INSERT INTO `lang_definitions` VALUES (25557, 5459, 6, 'Labels');
INSERT INTO `lang_definitions` VALUES (25558, 5461, 6, 'Laboratoriuminformatie');
INSERT INTO `lang_definitions` VALUES (25559, 5462, 6, 'Laboratoriumonderzoek');
INSERT INTO `lang_definitions` VALUES (25560, 5463, 6, 'Labs');
INSERT INTO `lang_definitions` VALUES (25561, 5464, 6, 'Scheurwond/huidprobleem');
INSERT INTO `lang_definitions` VALUES (25562, 5465, 6, 'Scheurwond/schaafwond');
INSERT INTO `lang_definitions` VALUES (25563, 5470, 6, 'Landscape');
INSERT INTO `lang_definitions` VALUES (25564, 5471, 6, 'Taal');
INSERT INTO `lang_definitions` VALUES (25565, 5472, 6, 'Code vd taal');
INSERT INTO `lang_definitions` VALUES (25566, 5473, 6, 'Taaldefinitie toegevoegd');
INSERT INTO `lang_definitions` VALUES (25567, 5474, 6, 'Taalinterface gereedschap');
INSERT INTO `lang_definitions` VALUES (25568, 5476, 6, 'Talenlijst (schrijven,toevoegen optioneel)');
INSERT INTO `lang_definitions` VALUES (25569, 5478, 6, 'Naam van de taal');
INSERT INTO `lang_definitions` VALUES (25570, 5479, 6, 'Taal:');
INSERT INTO `lang_definitions` VALUES (25571, 5480, 6, 'Lao');
INSERT INTO `lang_definitions` VALUES (25572, 5481, 6, 'Laotiaan');
INSERT INTO `lang_definitions` VALUES (25573, 5485, 6, 'Laatste');
INSERT INTO `lang_definitions` VALUES (25574, 5486, 6, 'Laatste activiteitdatum');
INSERT INTO `lang_definitions` VALUES (25575, 5487, 6, 'Appendectomie gedaan op');
INSERT INTO `lang_definitions` VALUES (25576, 5489, 6, 'Laatste rekeningdatum');
INSERT INTO `lang_definitions` VALUES (25577, 5490, 6, 'Laatse borst onderzoek');
INSERT INTO `lang_definitions` VALUES (25578, 5491, 6, 'Laatste kalender jaar');
INSERT INTO `lang_definitions` VALUES (25579, 5492, 6, 'Laatste Cataract opreatie');
INSERT INTO `lang_definitions` VALUES (25580, 5493, 6, 'Cholecysectomie gedaan op');
INSERT INTO `lang_definitions` VALUES (25581, 5495, 6, 'Laatste Episode');
INSERT INTO `lang_definitions` VALUES (25582, 5496, 6, 'Laatste Gyn onderzoek');
INSERT INTO `lang_definitions` VALUES (25583, 5497, 6, 'Laatste Hart operatie');
INSERT INTO `lang_definitions` VALUES (25584, 5498, 6, 'Laatste Hernia operatie');
INSERT INTO `lang_definitions` VALUES (25585, 5499, 6, 'Laaste heup vervanging');
INSERT INTO `lang_definitions` VALUES (25586, 5500, 6, 'Hysterctomie gedaan op');
INSERT INTO `lang_definitions` VALUES (25587, 5501, 6, 'Laaste knie vervanging');
INSERT INTO `lang_definitions` VALUES (25588, 5502, 6, 'Laatste level in rekening gebracht');
INSERT INTO `lang_definitions` VALUES (25589, 5503, 6, 'Laatste Mammogram');
INSERT INTO `lang_definitions` VALUES (25590, 5504, 6, 'Laatste menstruatie');
INSERT INTO `lang_definitions` VALUES (25591, 5506, 6, 'Laatste maand');
INSERT INTO `lang_definitions` VALUES (25592, 5507, 6, 'Achternaam');
INSERT INTO `lang_definitions` VALUES (25593, 5508, 6, 'Achternaam');
INSERT INTO `lang_definitions` VALUES (25594, 5513, 6, 'Achternaam:');
INSERT INTO `lang_definitions` VALUES (25595, 5514, 6, 'Laatste algemeen lich. onderzoek');
INSERT INTO `lang_definitions` VALUES (25596, 5515, 6, 'Laatste prostaat onderzoek');
INSERT INTO `lang_definitions` VALUES (25597, 5516, 6, 'Laatste rectale onderzoek');
INSERT INTO `lang_definitions` VALUES (25598, 5517, 6, 'Laatst beoordeeld');
INSERT INTO `lang_definitions` VALUES (25599, 5518, 6, 'Laatste RUN begonnen om');
INSERT INTO `lang_definitions` VALUES (25600, 5519, 6, 'Laatst bewaard');
INSERT INTO `lang_definitions` VALUES (25601, 5520, 6, 'Laatste Sigmoid/Coloscopy ond.');
INSERT INTO `lang_definitions` VALUES (25602, 5522, 6, 'Tonsilectomie gedaan op');
INSERT INTO `lang_definitions` VALUES (25603, 5525, 6, 'Laatste update door');
INSERT INTO `lang_definitions` VALUES (25604, 5526, 6, 'Laatste controle aan');
INSERT INTO `lang_definitions` VALUES (25605, 5527, 6, 'Laatste bezoek');
INSERT INTO `lang_definitions` VALUES (25606, 5528, 6, 'Laatste X-ray onderzoek');
INSERT INTO `lang_definitions` VALUES (25607, 5530, 6, 'Laat recidief (2-12 mnd)');
INSERT INTO `lang_definitions` VALUES (25608, 5531, 6, 'Laterale malleolus');
INSERT INTO `lang_definitions` VALUES (25609, 5532, 6, 'Laterale malleolus:');
INSERT INTO `lang_definitions` VALUES (25610, 5533, 6, 'Laterality');
INSERT INTO `lang_definitions` VALUES (25611, 5534, 6, 'Laterality van deze procedure, indien toepasbaar');
INSERT INTO `lang_definitions` VALUES (25612, 5535, 6, 'lateraal verplaatste PMI:');
INSERT INTO `lang_definitions` VALUES (25613, 5538, 6, 'Alleen de Laatste Resultaten');
INSERT INTO `lang_definitions` VALUES (25614, 5539, 6, 'Laatste bezoek of consultatie');
INSERT INTO `lang_definitions` VALUES (25615, 5540, 6, 'Latijn');
INSERT INTO `lang_definitions` VALUES (25616, 5541, 6, 'Latviaans');
INSERT INTO `lang_definitions` VALUES (25617, 5545, 6, 'Advocatenkantoor');
INSERT INTO `lang_definitions` VALUES (25618, 5546, 6, 'Advocaat');
INSERT INTO `lang_definitions` VALUES (25619, 5547, 6, 'Opmaak');
INSERT INTO `lang_definitions` VALUES (25620, 5548, 6, 'Lay-out (eerst uitloggen, vervolgens inloggen om instellingen te activeren)');
INSERT INTO `lang_definitions` VALUES (25621, 5549, 6, 'Mijn formulieren');
INSERT INTO `lang_definitions` VALUES (25622, 5551, 6, 'Weergave-editor');
INSERT INTO `lang_definitions` VALUES (25623, 5552, 6, 'Layout groepen');
INSERT INTO `lang_definitions` VALUES (25624, 5556, 6, 'Layout stijl');
INSERT INTO `lang_definitions` VALUES (25625, 5558, 6, 'Layout gebaseerde formulieren');
INSERT INTO `lang_definitions` VALUES (25626, 5559, 6, 'Weergave');
INSERT INTO `lang_definitions` VALUES (25627, 5560, 6, 'lb');
INSERT INTO `lang_definitions` VALUES (25628, 5563, 6, 'lbs');
INSERT INTO `lang_definitions` VALUES (25629, 5571, 6, 'LDL');
INSERT INTO `lang_definitions` VALUES (25630, 5573, 6, 'OPEN LATEN indien nog actief');
INSERT INTO `lang_definitions` VALUES (25631, 5574, 6, 'Open laten om originele file naam te behouden');
INSERT INTO `lang_definitions` VALUES (25632, 5575, 6, 'OPEN LATEN om wachtwoord te behouden');
INSERT INTO `lang_definitions` VALUES (25633, 5580, 6, 'Laat bericht achter bij');
INSERT INTO `lang_definitions` VALUES (25634, 5582, 6, 'Stoppen');
INSERT INTO `lang_definitions` VALUES (25635, 5583, 6, 'Als de paswoord zin blank wordt gelaten, wordt het document niet versleuteld');
INSERT INTO `lang_definitions` VALUES (25636, 5584, 6, 'Financieel overzicht');
INSERT INTO `lang_definitions` VALUES (25637, 5586, 6, 'Links');
INSERT INTO `lang_definitions` VALUES (25638, 5589, 6, 'Linkeroor');
INSERT INTO `lang_definitions` VALUES (25639, 5590, 6, 'linkeroor');
INSERT INTO `lang_definitions` VALUES (25640, 5594, 6, 'Links:');
INSERT INTO `lang_definitions` VALUES (25641, 5599, 6, 'Links:');
INSERT INTO `lang_definitions` VALUES (25642, 5600, 6, 'Links:');
INSERT INTO `lang_definitions` VALUES (25643, 5601, 6, 'Pijn in been/Kramp');
INSERT INTO `lang_definitions` VALUES (25644, 5602, 6, 'Juridisch');
INSERT INTO `lang_definitions` VALUES (25645, 5604, 6, 'Legal (papier maat)');
INSERT INTO `lang_definitions` VALUES (25646, 5605, 6, 'Legenda:');
INSERT INTO `lang_definitions` VALUES (25647, 5606, 6, 'Lengte');
INSERT INTO `lang_definitions` VALUES (25648, 5607, 6, 'Lengte van de modifier of 0 als er geen is');
INSERT INTO `lang_definitions` VALUES (25649, 5613, 6, 'Minder dan');
INSERT INTO `lang_definitions` VALUES (25650, 5614, 6, 'Minder dan of gelijk met');
INSERT INTO `lang_definitions` VALUES (25651, 5615, 6, 'Minder prive-informatie (schrijven,toevoegen optioneel)');
INSERT INTO `lang_definitions` VALUES (25652, 5620, 6, 'Brief');
INSERT INTO `lang_definitions` VALUES (25653, 5621, 6, 'Brief aanmaken');
INSERT INTO `lang_definitions` VALUES (25654, 5622, 6, 'Letter (papier maat)');
INSERT INTO `lang_definitions` VALUES (25655, 5623, 6, 'Brief-deel voor arts ondertekening');
INSERT INTO `lang_definitions` VALUES (25656, 5624, 6, 'Brief-deel voor client ondertekening');
INSERT INTO `lang_definitions` VALUES (25657, 5627, 6, 'Hoeveel spoed');
INSERT INTO `lang_definitions` VALUES (25658, 5630, 6, 'Aansprakelijkheid');
INSERT INTO `lang_definitions` VALUES (25659, 5631, 6, 'Medische aansprakelijkheid');
INSERT INTO `lang_definitions` VALUES (25660, 5632, 6, 'Bibliotheek');
INSERT INTO `lang_definitions` VALUES (25661, 5633, 6, 'Rijbewijs/ID');
INSERT INTO `lang_definitions` VALUES (25662, 5635, 6, 'Voornaam van bevoegd voorschrijver');
INSERT INTO `lang_definitions` VALUES (25663, 5636, 6, 'Achternaam van bevoegd voorschrijver');
INSERT INTO `lang_definitions` VALUES (25664, 5637, 6, 'AGB-code bevoegd voorschrijver');
INSERT INTO `lang_definitions` VALUES (25665, 5638, 6, 'Titel van bevoegd voorschrijver');
INSERT INTO `lang_definitions` VALUES (25666, 5639, 6, 'Achternaam gediplomeerd voorschrijver');
INSERT INTO `lang_definitions` VALUES (25667, 5640, 6, 'AGB-code van gediplomeerd voorschrijver');
INSERT INTO `lang_definitions` VALUES (25668, 5641, 6, 'UPIN van gediplomeerd voorscrhijver');
INSERT INTO `lang_definitions` VALUES (25669, 5643, 6, 'Levensbedreigende situatie');
INSERT INTO `lang_definitions` VALUES (25670, 5644, 6, 'Leefwijze');
INSERT INTO `lang_definitions` VALUES (25671, 5646, 6, 'Leefwijze status');
INSERT INTO `lang_definitions` VALUES (25672, 5647, 6, 'Ligament scheur of verzwikt');
INSERT INTO `lang_definitions` VALUES (25673, 5648, 6, 'Matige tabaks roker');
INSERT INTO `lang_definitions` VALUES (25674, 5650, 6, 'Limburgs, Limburgiaans, Limburger');
INSERT INTO `lang_definitions` VALUES (25675, 5651, 6, 'Maximaal aantal gebeurtenissen');
INSERT INTO `lang_definitions` VALUES (25676, 5654, 6, 'Limieten');
INSERT INTO `lang_definitions` VALUES (25677, 5655, 6, 'Lijn');
INSERT INTO `lang_definitions` VALUES (25678, 5656, 6, 'Lingala');
INSERT INTO `lang_definitions` VALUES (25679, 5657, 6, 'Link');
INSERT INTO `lang_definitions` VALUES (25680, 5658, 6, 'Link naar de patient');
INSERT INTO `lang_definitions` VALUES (25681, 5660, 6, 'Gelinked');
INSERT INTO `lang_definitions` VALUES (25682, 5661, 6, 'Linked document');
INSERT INTO `lang_definitions` VALUES (25683, 5662, 6, 'Linked procedure order');
INSERT INTO `lang_definitions` VALUES (25684, 5663, 6, 'Verbonden met document');
INSERT INTO `lang_definitions` VALUES (25685, 5664, 6, 'Linked met procedure order');
INSERT INTO `lang_definitions` VALUES (25686, 5665, 6, 'Lijst');
INSERT INTO `lang_definitions` VALUES (25687, 5666, 6, 'Lijst box');
INSERT INTO `lang_definitions` VALUES (25688, 5667, 6, 'box met lijst');
INSERT INTO `lang_definitions` VALUES (25689, 5668, 6, 'Box met lijst en toevoeg');
INSERT INTO `lang_definitions` VALUES (25690, 5669, 6, 'Box met lijst en toevoeg');
INSERT INTO `lang_definitions` VALUES (25691, 5671, 6, 'Lijsteditor');
INSERT INTO `lang_definitions` VALUES (25692, 5672, 6, 'Lijst van encounters');
INSERT INTO `lang_definitions` VALUES (25693, 5674, 6, 'Groepslijsten');
INSERT INTO `lang_definitions` VALUES (25694, 5675, 6, 'Lijst verzekeringsmij-en');
INSERT INTO `lang_definitions` VALUES (25695, 5676, 6, 'Itemlijst ID');
INSERT INTO `lang_definitions` VALUES (25696, 5677, 6, 'Lijst onderdelen kunnen niet met een nummer beginnen');
INSERT INTO `lang_definitions` VALUES (25697, 5678, 6, 'Lijst onderdelen bevat illegale letterteken(s)');
INSERT INTO `lang_definitions` VALUES (25698, 5680, 6, 'Lijsten tonen');
INSERT INTO `lang_definitions` VALUES (25699, 5682, 6, 'Lijstnaam');
INSERT INTO `lang_definitions` VALUES (25700, 5683, 6, 'Lijstnamen mogen niet met cijfers beginnen');
INSERT INTO `lang_definitions` VALUES (25701, 5688, 6, 'Lijst medicatie');
INSERT INTO `lang_definitions` VALUES (25702, 5689, 6, 'Lijst gebruikt bij bovenstraande Land data optie.');
INSERT INTO `lang_definitions` VALUES (25703, 5690, 6, 'Lijst gebruikt bij bovenstaande State type-data optie.');
INSERT INTO `lang_definitions` VALUES (25704, 5691, 6, 'Listening port van de RFC 5425 TLS syslog server.');
INSERT INTO `lang_definitions` VALUES (25705, 5693, 6, 'Lijsten');
INSERT INTO `lang_definitions` VALUES (25706, 5695, 6, 'Litousch');
INSERT INTO `lang_definitions` VALUES (25707, 5696, 6, 'Testament');
INSERT INTO `lang_definitions` VALUES (25708, 5701, 6, 'LLL:');
INSERT INTO `lang_definitions` VALUES (25709, 5707, 6, 'LMP');
INSERT INTO `lang_definitions` VALUES (25710, 5708, 6, 'Laad het compendium');
INSERT INTO `lang_definitions` VALUES (25711, 5709, 6, 'Definities laden');
INSERT INTO `lang_definitions` VALUES (25712, 5711, 6, 'Laad de Lab configuratie');
INSERT INTO `lang_definitions` VALUES (25713, 5712, 6, 'Laad OE Vraag Opties');
INSERT INTO `lang_definitions` VALUES (25714, 5713, 6, 'Laad Order definities');
INSERT INTO `lang_definitions` VALUES (25715, 5714, 6, 'Laad Order Entry vragen');
INSERT INTO `lang_definitions` VALUES (25716, 5715, 6, 'LOAD SUCCES, Codes zijn bijgevoegd');
INSERT INTO `lang_definitions` VALUES (25717, 5717, 6, 'Aan het laden');
INSERT INTO `lang_definitions` VALUES (25718, 5721, 6, 'Files opladen naar Database. Dit duurt wel even......');
INSERT INTO `lang_definitions` VALUES (25719, 5723, 6, 'LOC');
INSERT INTO `lang_definitions` VALUES (25720, 5724, 6, 'Gebr.');
INSERT INTO `lang_definitions` VALUES (25721, 5725, 6, 'Lokale inhoud');
INSERT INTO `lang_definitions` VALUES (25722, 5726, 6, 'Lokaal file systeem');
INSERT INTO `lang_definitions` VALUES (25723, 5728, 6, 'Lokaal');
INSERT INTO `lang_definitions` VALUES (25724, 5729, 6, 'Lokatie');
INSERT INTO `lang_definitions` VALUES (25725, 5730, 6, 'Locatie:');
INSERT INTO `lang_definitions` VALUES (25726, 5731, 6, 'Lokatie van de OpenEMR machiene en kan gevoelige data bevatten, dus het is aan te bevelen om handmatig de files te dleten na gebruik');
INSERT INTO `lang_definitions` VALUES (25727, 5732, 6, 'Locaties van deze voorraad');
INSERT INTO `lang_definitions` VALUES (25728, 5733, 6, 'Locatie niet gespecificeerd');
INSERT INTO `lang_definitions` VALUES (25729, 5734, 6, 'Locatie waar Hylafax de fax berichten bewaard.');
INSERT INTO `lang_definitions` VALUES (25730, 5735, 6, 'Locatie waar de scans worden bewaard');
INSERT INTO `lang_definitions` VALUES (25731, 5736, 6, 'Locatie:');
INSERT INTO `lang_definitions` VALUES (25732, 5737, 6, 'Afsluiten');
INSERT INTO `lang_definitions` VALUES (25733, 5738, 6, 'Lockstand voor ieder E-signed formulier apart');
INSERT INTO `lang_definitions` VALUES (25734, 5739, 6, 'Lockstand voor Encounters en de formulieren');
INSERT INTO `lang_definitions` VALUES (25735, 5740, 6, 'Lock-stand?');
INSERT INTO `lang_definitions` VALUES (25736, 5741, 6, 'Ge-Locked');
INSERT INTO `lang_definitions` VALUES (25737, 5744, 6, 'Log hele document');
INSERT INTO `lang_definitions` VALUES (25738, 5745, 6, 'Inloggen');
INSERT INTO `lang_definitions` VALUES (25739, 5746, 6, 'Inloggen');
INSERT INTO `lang_definitions` VALUES (25740, 5749, 6, 'Uitloggen');
INSERT INTO `lang_definitions` VALUES (25741, 5752, 6, 'Ingelogd');
INSERT INTO `lang_definitions` VALUES (25742, 5753, 6, 'Actieve gebruiker');
INSERT INTO `lang_definitions` VALUES (25743, 5754, 6, 'Actieve gebruiker:');
INSERT INTO `lang_definitions` VALUES (25744, 5755, 6, 'Afgemeld.');
INSERT INTO `lang_definitions` VALUES (25745, 5756, 6, 'Vastleggen');
INSERT INTO `lang_definitions` VALUES (25746, 5757, 6, 'Inloggen');
INSERT INTO `lang_definitions` VALUES (25747, 5758, 6, 'Inloggen');
INSERT INTO `lang_definitions` VALUES (25748, 5761, 6, 'Login naam van WordPress gebruiker om portaal te gebruiken');
INSERT INTO `lang_definitions` VALUES (25749, 5763, 6, 'Login bij Remote Host');
INSERT INTO `lang_definitions` VALUES (25750, 5764, 6, 'Login bij deze Remote Host is mislukt');
INSERT INTO `lang_definitions` VALUES (25751, 5767, 6, 'Log in met uw gebruikersnaam en wachtwoord en u wordt automatisch geverifieerd');
INSERT INTO `lang_definitions` VALUES (25752, 5768, 6, 'Log uit');
INSERT INTO `lang_definitions` VALUES (25753, 5769, 6, 'log uit');
INSERT INTO `lang_definitions` VALUES (25754, 5770, 6, 'Logs');
INSERT INTO `lang_definitions` VALUES (25755, 5771, 6, 'Logviewer');
INSERT INTO `lang_definitions` VALUES (25756, 5776, 6, 'Opzoeken');
INSERT INTO `lang_definitions` VALUES (25757, 5777, 6, 'Voorraad');
INSERT INTO `lang_definitions` VALUES (25758, 5778, 6, 'ID ontbreekt voor voorraad');
INSERT INTO `lang_definitions` VALUES (25759, 5779, 6, 'Voorraadnummer');
INSERT INTO `lang_definitions` VALUES (25760, 5780, 6, 'Laag');
INSERT INTO `lang_definitions` VALUES (25761, 5781, 6, 'Lage prioriteit');
INSERT INTO `lang_definitions` VALUES (25762, 5782, 6, 'OnderbeenOnderbeen');
INSERT INTO `lang_definitions` VALUES (25763, 5784, 6, 'Laagste prioriteit');
INSERT INTO `lang_definitions` VALUES (25764, 5788, 6, 'Luba-Katanga');
INSERT INTO `lang_definitions` VALUES (25765, 5790, 6, 'Ooglid linksboven');
INSERT INTO `lang_definitions` VALUES (25766, 5791, 6, 'Lumbale wervelkolom');
INSERT INTO `lang_definitions` VALUES (25767, 5792, 6, 'LUNCH');
INSERT INTO `lang_definitions` VALUES (25768, 5793, 6, 'Lunch');
INSERT INTO `lang_definitions` VALUES (25769, 5794, 6, 'Longkanker');
INSERT INTO `lang_definitions` VALUES (25770, 5795, 6, 'Longkanker chirurgie');
INSERT INTO `lang_definitions` VALUES (25771, 5796, 6, 'Longen:');
INSERT INTO `lang_definitions` VALUES (25772, 5797, 6, 'Longen');
INSERT INTO `lang_definitions` VALUES (25773, 5798, 6, 'Lupus');
INSERT INTO `lang_definitions` VALUES (25774, 5799, 6, 'Luxemburgs, Letzeburgisch');
INSERT INTO `lang_definitions` VALUES (25775, 5803, 6, 'L{{Links}}');
INSERT INTO `lang_definitions` VALUES (25776, 5804, 6, 'M');
INSERT INTO `lang_definitions` VALUES (25777, 5805, 6, 'Memb.Association Categorie');
INSERT INTO `lang_definitions` VALUES (25778, 5806, 6, 'MA client abortus toegestaan');
INSERT INTO `lang_definitions` VALUES (25779, 5807, 6, 'MA statistieken');
INSERT INTO `lang_definitions` VALUES (25780, 5808, 6, 'Macedonisch');
INSERT INTO `lang_definitions` VALUES (25781, 5812, 6, 'Mail verstuurd');
INSERT INTO `lang_definitions` VALUES (25782, 5814, 6, 'Main');
INSERT INTO `lang_definitions` VALUES (25783, 5815, 6, 'Hoofdadres');
INSERT INTO `lang_definitions` VALUES (25784, 5821, 6, 'Belangrijkste boven top Scherm');
INSERT INTO `lang_definitions` VALUES (25785, 5824, 6, 'Bijhouden van acieve medicatie allergie lijst');
INSERT INTO `lang_definitions` VALUES (25786, 5825, 6, 'Bijhouden actieve medicatie lijst');
INSERT INTO `lang_definitions` VALUES (25787, 5826, 6, 'Bijhouden van up-to-date lijst van problemen en actieve diagnoses.');
INSERT INTO `lang_definitions` VALUES (25788, 5827, 6, 'Maak aanpassingen op gebruikte categorieen');
INSERT INTO `lang_definitions` VALUES (25789, 5828, 6, 'Maak een nieuwe afspraak voor');
INSERT INTO `lang_definitions` VALUES (25790, 5831, 6, 'Verzeker je ervan \"');
INSERT INTO `lang_definitions` VALUES (25791, 5832, 6, 'Het aanmaken van BATCH files om naar clearing huis te uploaden worden gemarkeerd als in rekening ebrachgt');
INSERT INTO `lang_definitions` VALUES (25792, 5833, 6, 'Malagaskisch');
INSERT INTO `lang_definitions` VALUES (25793, 5834, 6, 'Malaise:');
INSERT INTO `lang_definitions` VALUES (25794, 5835, 6, 'Maleis');
INSERT INTO `lang_definitions` VALUES (25795, 5836, 6, 'Malayaam');
INSERT INTO `lang_definitions` VALUES (25796, 5837, 6, 'Man');
INSERT INTO `lang_definitions` VALUES (25797, 5838, 6, 'Condoom voor man');
INSERT INTO `lang_definitions` VALUES (25798, 5839, 6, 'Mannelijk VSC');
INSERT INTO `lang_definitions` VALUES (25799, 5840, 6, 'Maltesisch');
INSERT INTO `lang_definitions` VALUES (25800, 5841, 6, 'Mammogram');
INSERT INTO `lang_definitions` VALUES (25801, 5842, 6, 'Beheren');
INSERT INTO `lang_definitions` VALUES (25802, 5843, 6, 'Hooks gebruiken');
INSERT INTO `lang_definitions` VALUES (25803, 5845, 6, 'Modules gebruiken');
INSERT INTO `lang_definitions` VALUES (25804, 5850, 6, 'Vertalingen beheren');
INSERT INTO `lang_definitions` VALUES (25805, 5851, 6, 'Bestand');
INSERT INTO `lang_definitions` VALUES (25806, 5852, 6, 'Manager');
INSERT INTO `lang_definitions` VALUES (25807, 5854, 6, 'Verplichte en specifieke velden');
INSERT INTO `lang_definitions` VALUES (25808, 5855, 6, 'Alleen verplichte of alleen specifieke velden, dup check, niet voor zoeken');
INSERT INTO `lang_definitions` VALUES (25809, 5856, 6, 'Verplichte velden of alleen specifieke velden, zoeken en dup controle');
INSERT INTO `lang_definitions` VALUES (25810, 5859, 6, 'Handleiding');
INSERT INTO `lang_definitions` VALUES (25811, 5860, 6, 'Invoeren met de hand');
INSERT INTO `lang_definitions` VALUES (25812, 5864, 6, 'Fabrikant');
INSERT INTO `lang_definitions` VALUES (25813, 5865, 6, 'Manx');
INSERT INTO `lang_definitions` VALUES (25814, 5870, 6, 'Mar');
INSERT INTO `lang_definitions` VALUES (25815, 5873, 6, 'Marathisch (Marathi)');
INSERT INTO `lang_definitions` VALUES (25816, 5874, 6, 'Maart');
INSERT INTO `lang_definitions` VALUES (25817, 5876, 6, 'Burgelijke staat');
INSERT INTO `lang_definitions` VALUES (25818, 5877, 6, 'Huwelijkse staat');
INSERT INTO `lang_definitions` VALUES (25819, 5878, 6, 'Markeer alle als gelezen');
INSERT INTO `lang_definitions` VALUES (25820, 5879, 6, 'Markeren als in rekening gebracht');
INSERT INTO `lang_definitions` VALUES (25821, 5880, 6, 'Aanvinken als in rekening gebracht, maar niet versturen');
INSERT INTO `lang_definitions` VALUES (25822, 5881, 6, 'Aanvinken als geaccepteerd');
INSERT INTO `lang_definitions` VALUES (25823, 5882, 6, 'Aanvinken als geen rekening gestuurd');
INSERT INTO `lang_definitions` VALUES (25824, 5885, 6, 'Aanvinken van deze rapporten als doorgenomen');
INSERT INTO `lang_definitions` VALUES (25825, 5886, 6, 'Aanvinken als geaccepteerd');
INSERT INTO `lang_definitions` VALUES (25826, 5887, 6, 'Gehuwd');
INSERT INTO `lang_definitions` VALUES (25827, 5888, 6, 'Marshallees');
INSERT INTO `lang_definitions` VALUES (25828, 5889, 6, 'Pre-format');
INSERT INTO `lang_definitions` VALUES (25829, 5890, 6, 'Pre-format voor Invoice Nummers');
INSERT INTO `lang_definitions` VALUES (25830, 5891, 6, 'Pre-format voor Client IDs');
INSERT INTO `lang_definitions` VALUES (25831, 5892, 6, 'Pre-format voor Product IDs');
INSERT INTO `lang_definitions` VALUES (25832, 5894, 6, 'Match');
INSERT INTO `lang_definitions` VALUES (25833, 5895, 6, 'Match hoofd/kleine letters');
INSERT INTO `lang_definitions` VALUES (25834, 5896, 6, 'Een gelijke gevonden');
INSERT INTO `lang_definitions` VALUES (25835, 5898, 6, 'Bij elkaar horende patient');
INSERT INTO `lang_definitions` VALUES (25836, 5905, 6, 'Matrix');
INSERT INTO `lang_definitions` VALUES (25837, 5906, 6, 'max');
INSERT INTO `lang_definitions` VALUES (25838, 5907, 6, 'Max');
INSERT INTO `lang_definitions` VALUES (25839, 5909, 6, 'maximale bestandtelling bereikt');
INSERT INTO `lang_definitions` VALUES (25840, 5910, 6, 'max totaal files-count is bereikt-opnieuw namen hieronder uploaden');
INSERT INTO `lang_definitions` VALUES (25841, 5911, 6, 'Maximale grootte');
INSERT INTO `lang_definitions` VALUES (25842, 5912, 6, 'Rechts maxillair');
INSERT INTO `lang_definitions` VALUES (25843, 5913, 6, 'Maximum leeftijd');
INSERT INTO `lang_definitions` VALUES (25844, 5914, 6, 'Maximum aantal karakters');
INSERT INTO `lang_definitions` VALUES (25845, 5917, 6, 'Maximale tijd voodat je wordt uitgelogd. Ingesteld op 7200 seconden (2 uur)');
INSERT INTO `lang_definitions` VALUES (25846, 5918, 6, 'Maximaal aantal keer in een jaar dat een patient onderzocht kan worden');
INSERT INTO `lang_definitions` VALUES (25847, 5919, 6, 'Maximaal aantal keer in een jaar dat een patient onderzocht kan worden. Nul is geen limiet.');
INSERT INTO `lang_definitions` VALUES (25848, 5920, 6, 'Maximum voor verwachtte inventaris, 0 indien niet van toepassing');
INSERT INTO `lang_definitions` VALUES (25849, 5921, 6, 'Maximum maat');
INSERT INTO `lang_definitions` VALUES (25850, 5922, 6, 'Maximum maat (bij 0 worden alle maten geaccepteerd)');
INSERT INTO `lang_definitions` VALUES (25851, 5923, 6, 'Maximale grootte van het thumbnail bestand');
INSERT INTO `lang_definitions` VALUES (25852, 5924, 6, 'Mei');
INSERT INTO `lang_definitions` VALUES (25853, 5926, 6, 'MC');
INSERT INTO `lang_definitions` VALUES (25854, 5927, 6, 'mcg');
INSERT INTO `lang_definitions` VALUES (25855, 5929, 6, 'Dit betekent dat geen van de laatste drie paswoorden toegestaan zijn als het paswoord veranderd wordt');
INSERT INTO `lang_definitions` VALUES (25856, 5930, 6, 'Bloeddruk meten');
INSERT INTO `lang_definitions` VALUES (25857, 5931, 6, 'Meting groeps code');
INSERT INTO `lang_definitions` VALUES (25858, 5933, 6, 'Meting');
INSERT INTO `lang_definitions` VALUES (25859, 5939, 6, 'Mediale malleolus');
INSERT INTO `lang_definitions` VALUES (25860, 5940, 6, 'Medicaid');
INSERT INTO `lang_definitions` VALUES (25861, 5942, 6, 'Medisch');
INSERT INTO `lang_definitions` VALUES (25862, 5943, 6, 'Medische abortus');
INSERT INTO `lang_definitions` VALUES (25863, 5944, 6, 'Medische administratie');
INSERT INTO `lang_definitions` VALUES (25864, 5946, 6, 'Medische historie');
INSERT INTO `lang_definitions` VALUES (25865, 5947, 6, 'Medische issue');
INSERT INTO `lang_definitions` VALUES (25866, 5948, 6, 'Medische issue');
INSERT INTO `lang_definitions` VALUES (25867, 5951, 6, 'Medisch probleem');
INSERT INTO `lang_definitions` VALUES (25868, 5952, 6, 'Medisch probleem');
INSERT INTO `lang_definitions` VALUES (25869, 5953, 6, 'Medische Probleem issue lijst');
INSERT INTO `lang_definitions` VALUES (25870, 5954, 6, 'Medische problemen');
INSERT INTO `lang_definitions` VALUES (25871, 5956, 6, 'Medisch dossier');
INSERT INTO `lang_definitions` VALUES (25872, 5957, 6, 'Medisch dossier #');
INSERT INTO `lang_definitions` VALUES (25873, 5959, 6, 'Medische dossiers');
INSERT INTO `lang_definitions` VALUES (25874, 5961, 6, 'Medische status verstuurd');
INSERT INTO `lang_definitions` VALUES (25875, 5962, 6, 'Medische specialisatie');
INSERT INTO `lang_definitions` VALUES (25876, 5963, 6, 'Medische samenvatting afgegeven');
INSERT INTO `lang_definitions` VALUES (25877, 5964, 6, 'Medisch systeem');
INSERT INTO `lang_definitions` VALUES (25878, 5965, 6, 'Medische type');
INSERT INTO `lang_definitions` VALUES (25879, 5966, 6, 'Medische voorgesch. (schrijven,toevoegen optioneel)');
INSERT INTO `lang_definitions` VALUES (25880, 5968, 6, 'Medicare Part B');
INSERT INTO `lang_definitions` VALUES (25881, 5969, 6, 'Verwijzer is ook zorgverlener voor Medicare');
INSERT INTO `lang_definitions` VALUES (25882, 5970, 6, 'Medicijn');
INSERT INTO `lang_definitions` VALUES (25883, 5971, 6, 'Lijst voor medicatie allergie');
INSERT INTO `lang_definitions` VALUES (25884, 5972, 6, 'Medicatie Issue lijst');
INSERT INTO `lang_definitions` VALUES (25885, 5973, 6, 'Medicatie lijst');
INSERT INTO `lang_definitions` VALUES (25886, 5974, 6, 'Medicatie reconsiliatie uitgevoerd?');
INSERT INTO `lang_definitions` VALUES (25887, 5975, 6, 'Medicijnen');
INSERT INTO `lang_definitions` VALUES (25888, 5978, 6, 'Medicijnen:');
INSERT INTO `lang_definitions` VALUES (25889, 5979, 6, 'Medicatie eenheden');
INSERT INTO `lang_definitions` VALUES (25890, 5980, 6, 'Medium');
INSERT INTO `lang_definitions` VALUES (25891, 5982, 6, 'MedlinePlus verbinding');
INSERT INTO `lang_definitions` VALUES (25892, 5984, 6, 'Lidmaatschap Vereniging Statistisch verslag');
INSERT INTO `lang_definitions` VALUES (25893, 5986, 6, 'Geheugen stoorn.');
INSERT INTO `lang_definitions` VALUES (25894, 5987, 6, 'Mannen');
INSERT INTO `lang_definitions` VALUES (25895, 5988, 6, 'Mannen en vrouwen');
INSERT INTO `lang_definitions` VALUES (25896, 5989, 6, 'Alleen mannen');
INSERT INTO `lang_definitions` VALUES (25897, 5990, 6, 'Menarche');
INSERT INTO `lang_definitions` VALUES (25898, 5991, 6, 'Menopauze');
INSERT INTO `lang_definitions` VALUES (25899, 5992, 6, 'Menstruatie heftigheid');
INSERT INTO `lang_definitions` VALUES (25900, 5993, 6, 'Menstruatiecyclus');
INSERT INTO `lang_definitions` VALUES (25901, 5994, 6, 'Geestesziekte');
INSERT INTO `lang_definitions` VALUES (25902, 5995, 6, 'Geestelijke toestand');
INSERT INTO `lang_definitions` VALUES (25903, 5998, 6, 'Menu tekst');
INSERT INTO `lang_definitions` VALUES (25904, 5999, 6, 'Menus');
INSERT INTO `lang_definitions` VALUES (25905, 6001, 6, 'Samenvoegen');
INSERT INTO `lang_definitions` VALUES (25906, 6002, 6, 'Samenvoegen afgerond');
INSERT INTO `lang_definitions` VALUES (25907, 6003, 6, 'Voeg patienten samen');
INSERT INTO `lang_definitions` VALUES (25908, 6004, 6, 'Samenvoegen met een willekeurige patient');
INSERT INTO `lang_definitions` VALUES (25909, 6005, 6, 'Boodschap');
INSERT INTO `lang_definitions` VALUES (25910, 6006, 6, 'Boodschap- herinnerings- oproepen');
INSERT INTO `lang_definitions` VALUES (25911, 6009, 6, 'De inhoud voor de Merge is niet alleen tekstdus moet het als document opgeslagen worden.');
INSERT INTO `lang_definitions` VALUES (25912, 6010, 6, 'Bericht van de patient');
INSERT INTO `lang_definitions` VALUES (25913, 6012, 6, 'Bericht verzonden');
INSERT INTO `lang_definitions` VALUES (25914, 6013, 6, 'Status van het bericht');
INSERT INTO `lang_definitions` VALUES (25915, 6014, 6, 'Titel van het bericht');
INSERT INTO `lang_definitions` VALUES (25916, 6015, 6, 'Bericht aan patient');
INSERT INTO `lang_definitions` VALUES (25917, 6017, 6, 'Boodschap type');
INSERT INTO `lang_definitions` VALUES (25918, 6018, 6, 'BOODSCHAP:');
INSERT INTO `lang_definitions` VALUES (25919, 6019, 6, 'Berichten');
INSERT INTO `lang_definitions` VALUES (25920, 6022, 6, 'Berichten vandaag verzonden');
INSERT INTO `lang_definitions` VALUES (25921, 6026, 6, 'Methode');
INSERT INTO `lang_definitions` VALUES (25922, 6027, 6, 'Methode en Specifiek Product');
INSERT INTO `lang_definitions` VALUES (25923, 6029, 6, 'Methode om uitgaande berichten te sturen');
INSERT INTO `lang_definitions` VALUES (25924, 6030, 6, 'Methode van vernietiging');
INSERT INTO `lang_definitions` VALUES (25925, 6031, 6, 'Mexicaans/MexAmer/Chicano');
INSERT INTO `lang_definitions` VALUES (25926, 6032, 6, 'Mexico');
INSERT INTO `lang_definitions` VALUES (25927, 6038, 6, 'mg');
INSERT INTO `lang_definitions` VALUES (25928, 6039, 6, 'mg/1ml');
INSERT INTO `lang_definitions` VALUES (25929, 6040, 6, 'mg/2ml');
INSERT INTO `lang_definitions` VALUES (25930, 6041, 6, 'mg/3ml');
INSERT INTO `lang_definitions` VALUES (25931, 6042, 6, 'mg/4ml');
INSERT INTO `lang_definitions` VALUES (25932, 6043, 6, 'mg/5ml');
INSERT INTO `lang_definitions` VALUES (25933, 6044, 6, 'mg/dl');
INSERT INTO `lang_definitions` VALUES (25934, 6045, 6, 'mid');
INSERT INTO `lang_definitions` VALUES (25935, 6046, 6, 'Midden');
INSERT INTO `lang_definitions` VALUES (25936, 6047, 6, 'Intialen/tussenvoegsel');
INSERT INTO `lang_definitions` VALUES (25937, 6048, 6, 'Initialen/tussenvoegsel');
INSERT INTO `lang_definitions` VALUES (25938, 6051, 6, 'DEA midlevel voorschrijver');
INSERT INTO `lang_definitions` VALUES (25939, 6052, 6, 'Voornaam midlevel voorschrijver');
INSERT INTO `lang_definitions` VALUES (25940, 6053, 6, 'Achternaam midlevel voorschrijver');
INSERT INTO `lang_definitions` VALUES (25941, 6055, 6, 'Titulatuur midlevel voorschrijver');
INSERT INTO `lang_definitions` VALUES (25942, 6056, 6, 'UPIN midlevel voorscrijver');
INSERT INTO `lang_definitions` VALUES (25943, 6061, 6, 'Mien');
INSERT INTO `lang_definitions` VALUES (25944, 6062, 6, 'Tijdelijke werkkracht?');
INSERT INTO `lang_definitions` VALUES (25945, 6064, 6, 'Tijdelijk verblijf');
INSERT INTO `lang_definitions` VALUES (25946, 6065, 6, 'Mil/CU.MM');
INSERT INTO `lang_definitions` VALUES (25947, 6067, 6, 'Milde tot matige');
INSERT INTO `lang_definitions` VALUES (25948, 6068, 6, 'Militair Behandelcentrum');
INSERT INTO `lang_definitions` VALUES (25949, 6069, 6, 'Mime type');
INSERT INTO `lang_definitions` VALUES (25950, 6070, 6, 'Mime type');
INSERT INTO `lang_definitions` VALUES (25951, 6071, 6, 'Min');
INSERT INTO `lang_definitions` VALUES (25952, 6072, 6, 'min');
INSERT INTO `lang_definitions` VALUES (25953, 6077, 6, 'Minimum leeftijd');
INSERT INTO `lang_definitions` VALUES (25954, 6080, 6, 'Distorsie +/- synovitis');
INSERT INTO `lang_definitions` VALUES (25955, 6082, 6, 'Minuut');
INSERT INTO `lang_definitions` VALUES (25956, 6083, 6, 'Minuten');
INSERT INTO `lang_definitions` VALUES (25957, 6084, 6, 'minuten');
INSERT INTO `lang_definitions` VALUES (25958, 6086, 6, 'Diversen');
INSERT INTO `lang_definitions` VALUES (25959, 6087, 6, 'Extra rekening opties');
INSERT INTO `lang_definitions` VALUES (25960, 6088, 6, 'Extra rekening opties voor HCFA-1500');
INSERT INTO `lang_definitions` VALUES (25961, 6089, 6, 'Extra rekening opties HCFA');
INSERT INTO `lang_definitions` VALUES (25962, 6090, 6, 'Diversen');
INSERT INTO `lang_definitions` VALUES (25963, 6092, 6, 'Gemist');
INSERT INTO `lang_definitions` VALUES (25964, 6093, 6, 'afwezig');
INSERT INTO `lang_definitions` VALUES (25965, 6094, 6, 'Verplicht veld ontbreekt');
INSERT INTO `lang_definitions` VALUES (25966, 6097, 6, 'Bedrag ontbreekt');
INSERT INTO `lang_definitions` VALUES (25967, 6100, 6, 'Alleen ontbrekende Mods');
INSERT INTO `lang_definitions` VALUES (25968, 6101, 6, 'Afwezig of ongeldig');
INSERT INTO `lang_definitions` VALUES (25969, 6103, 6, 'PID ontbreekt');
INSERT INTO `lang_definitions` VALUES (25970, 6104, 6, 'Rapportdatum ontbreekt');
INSERT INTO `lang_definitions` VALUES (25971, 6105, 6, 'De slash na betaler in broncode wordt gemist');
INSERT INTO `lang_definitions` VALUES (25972, 6111, 6, 'Gemengd');
INSERT INTO `lang_definitions` VALUES (25973, 6113, 6, 'ml');
INSERT INTO `lang_definitions` VALUES (25974, 6114, 6, 'mm/dd/jjjj');
INSERT INTO `lang_definitions` VALUES (25975, 6115, 6, 'mmHg');
INSERT INTO `lang_definitions` VALUES (25976, 6116, 6, 'mmHg');
INSERT INTO `lang_definitions` VALUES (25977, 6117, 6, 'MMR 1');
INSERT INTO `lang_definitions` VALUES (25978, 6118, 6, 'MMR 2');
INSERT INTO `lang_definitions` VALUES (25979, 6120, 6, 'Mobiel');
INSERT INTO `lang_definitions` VALUES (25980, 6121, 6, 'Mobiele telefoon');
INSERT INTO `lang_definitions` VALUES (25981, 6124, 6, 'Verplaatsbare unit');
INSERT INTO `lang_definitions` VALUES (25982, 6125, 6, 'Mod');
INSERT INTO `lang_definitions` VALUES (25983, 6128, 6, 'Matig');
INSERT INTO `lang_definitions` VALUES (25984, 6129, 6, 'Matige prioriteit');
INSERT INTO `lang_definitions` VALUES (25985, 6130, 6, 'Matig tot ernstig');
INSERT INTO `lang_definitions` VALUES (25986, 6131, 6, 'Matig tot lage prioriteit');
INSERT INTO `lang_definitions` VALUES (25987, 6133, 6, 'Modifier');
INSERT INTO `lang_definitions` VALUES (25988, 6139, 6, 'Modifiers');
INSERT INTO `lang_definitions` VALUES (25989, 6140, 6, 'Aanpassen');
INSERT INTO `lang_definitions` VALUES (25990, 6141, 6, 'Datum aanpassen');
INSERT INTO `lang_definitions` VALUES (25991, 6142, 6, 'Aanpassen Patientformulier');
INSERT INTO `lang_definitions` VALUES (25992, 6143, 6, 'Betalingen aanpassen');
INSERT INTO `lang_definitions` VALUES (25993, 6144, 6, 'Aanpassing');
INSERT INTO `lang_definitions` VALUES (25994, 6145, 6, 'Lengte van Mod');
INSERT INTO `lang_definitions` VALUES (25995, 6146, 6, 'Module');
INSERT INTO `lang_definitions` VALUES (25996, 6147, 6, 'Directorie voor Module niet gevonden');
INSERT INTO `lang_definitions` VALUES (25997, 6148, 6, 'Module installer');
INSERT INTO `lang_definitions` VALUES (25998, 6149, 6, 'Naam voor deze Module');
INSERT INTO `lang_definitions` VALUES (25999, 6150, 6, 'Naam voor deze Module bestaat al');
INSERT INTO `lang_definitions` VALUES (26000, 6151, 6, 'Modules gebruiken');
INSERT INTO `lang_definitions` VALUES (26001, 6153, 6, 'Ma');
INSERT INTO `lang_definitions` VALUES (26002, 6154, 6, 'Ma t/m vrij');
INSERT INTO `lang_definitions` VALUES (26003, 6155, 6, 'Ma, woe, vrij');
INSERT INTO `lang_definitions` VALUES (26004, 6156, 6, 'Maandag');
INSERT INTO `lang_definitions` VALUES (26005, 6157, 6, 'Mongools');
INSERT INTO `lang_definitions` VALUES (26006, 6160, 6, 'maand');
INSERT INTO `lang_definitions` VALUES (26007, 6161, 6, 'Maand');
INSERT INTO `lang_definitions` VALUES (26008, 6162, 6, 'Maandoverzicht');
INSERT INTO `lang_definitions` VALUES (26009, 6163, 6, 'Maand(en)');
INSERT INTO `lang_definitions` VALUES (26010, 6164, 6, 'Maandelijks inkomen');
INSERT INTO `lang_definitions` VALUES (26011, 6165, 6, 'maanden');
INSERT INTO `lang_definitions` VALUES (26012, 6166, 6, 'Maanden');
INSERT INTO `lang_definitions` VALUES (26013, 6167, 6, 'maanden geleden');
INSERT INTO `lang_definitions` VALUES (26014, 6179, 6, 'Meer dan 100 resultaten gevonden, specificeer uw zoekactie.');
INSERT INTO `lang_definitions` VALUES (26015, 6180, 6, 'Meer dan 50 gevonden, specificeer de zoekactie.');
INSERT INTO `lang_definitions` VALUES (26016, 6184, 6, 'De top van de kolom kan aangeklikt worden om de sorteer volgorde te veranderen');
INSERT INTO `lang_definitions` VALUES (26017, 6186, 6, 'Meest recente van');
INSERT INTO `lang_definitions` VALUES (26018, 6187, 6, 'Meest recente Lab data:');
INSERT INTO `lang_definitions` VALUES (26019, 6189, 6, 'Meest recente vitals van:');
INSERT INTO `lang_definitions` VALUES (26020, 6190, 6, 'Moeder');
INSERT INTO `lang_definitions` VALUES (26021, 6191, 6, 'Naam moeder');
INSERT INTO `lang_definitions` VALUES (26022, 6192, 6, 'Historie van moeder');
INSERT INTO `lang_definitions` VALUES (26023, 6194, 6, 'Beweeglijkheid');
INSERT INTO `lang_definitions` VALUES (26024, 6195, 6, 'Mond');
INSERT INTO `lang_definitions` VALUES (26025, 6196, 6, 'Verplaats');
INSERT INTO `lang_definitions` VALUES (26026, 6197, 6, 'Verplaats document naar categorie:');
INSERT INTO `lang_definitions` VALUES (26027, 6198, 6, 'Naar beneden');
INSERT INTO `lang_definitions` VALUES (26028, 6199, 6, 'Verplaatsing mislukt!');
INSERT INTO `lang_definitions` VALUES (26029, 6201, 6, 'Ga naar patient');
INSERT INTO `lang_definitions` VALUES (26030, 6202, 6, 'Verplaatsen naar....');
INSERT INTO `lang_definitions` VALUES (26031, 6203, 6, 'Naar boven');
INSERT INTO `lang_definitions` VALUES (26032, 6204, 6, 'Verplaatsen');
INSERT INTO `lang_definitions` VALUES (26033, 6205, 6, 'Ma{{Maandag}}');
INSERT INTO `lang_definitions` VALUES (26034, 6209, 6, 'Dhr.');
INSERT INTO `lang_definitions` VALUES (26035, 6211, 6, 'MRN (pid)');
INSERT INTO `lang_definitions` VALUES (26036, 6215, 6, 'Mvr.');
INSERT INTO `lang_definitions` VALUES (26037, 6217, 6, 'Mej.');
INSERT INTO `lang_definitions` VALUES (26038, 6218, 6, 'MSH-11');
INSERT INTO `lang_definitions` VALUES (26039, 6219, 6, 'MSH-3.1');
INSERT INTO `lang_definitions` VALUES (26040, 6220, 6, 'MSH-4.1');
INSERT INTO `lang_definitions` VALUES (26041, 6221, 6, 'MSH-5.1');
INSERT INTO `lang_definitions` VALUES (26042, 6222, 6, 'MSH-6.1');
INSERT INTO `lang_definitions` VALUES (26043, 6224, 6, 'MSH.8bericht is niet correct');
INSERT INTO `lang_definitions` VALUES (26044, 6226, 6, 'MSP Code');
INSERT INTO `lang_definitions` VALUES (26045, 6227, 6, 'MSP retour codes');
INSERT INTO `lang_definitions` VALUES (26046, 6230, 6, 'Vertalingaanpassing eigen lokale OEMR versie');
INSERT INTO `lang_definitions` VALUES (26047, 6234, 6, 'Diverse plekken');
INSERT INTO `lang_definitions` VALUES (26048, 6236, 6, 'Meerder files kunnen tegelijk worden upgeload door te selecteren met CTRL+Click of SHIFT+Click.');
INSERT INTO `lang_definitions` VALUES (26049, 6237, 6, 'Meedere partijen');
INSERT INTO `lang_definitions` VALUES (26050, 6238, 6, 'Meerdere modifiers kunnen dmv dubbele punt gescheiden worden, max 4 (M:1M2:M3:M4)');
INSERT INTO `lang_definitions` VALUES (26051, 6239, 6, 'Meer keuze selectie lijst');
INSERT INTO `lang_definitions` VALUES (26052, 6242, 6, 'Multi raciaal');
INSERT INTO `lang_definitions` VALUES (26053, 6243, 6, 'Geruis:');
INSERT INTO `lang_definitions` VALUES (26054, 6244, 6, 'Spierpijn');
INSERT INTO `lang_definitions` VALUES (26055, 6245, 6, 'Spierpijnen');
INSERT INTO `lang_definitions` VALUES (26056, 6246, 6, 'Roodheid spieren');
INSERT INTO `lang_definitions` VALUES (26057, 6247, 6, 'Stijfheid spieren');
INSERT INTO `lang_definitions` VALUES (26058, 6248, 6, 'Spier zwelling');
INSERT INTO `lang_definitions` VALUES (26059, 6249, 6, 'Warme spieren');
INSERT INTO `lang_definitions` VALUES (26060, 6250, 6, 'Spieren');
INSERT INTO `lang_definitions` VALUES (26061, 6251, 6, 'Spierkwetsuur');
INSERT INTO `lang_definitions` VALUES (26062, 6252, 6, 'Musculoskelatair');
INSERT INTO `lang_definitions` VALUES (26063, 6256, 6, 'Moet leeg zij als SMTP verificatie niet gebruikt wordt');
INSERT INTO `lang_definitions` VALUES (26064, 6258, 6, 'Moet in ieder geval een dag uitgekozen worden!');
INSERT INTO `lang_definitions` VALUES (26065, 6259, 6, 'Afgesproken in samenspraak');
INSERT INTO `lang_definitions` VALUES (26066, 6260, 6, 'MVA');
INSERT INTO `lang_definitions` VALUES (26067, 6263, 6, 'Mijn standaard waarden');
INSERT INTO `lang_definitions` VALUES (26068, 6264, 6, 'Mijn gezondheid');
INSERT INTO `lang_definitions` VALUES (26069, 6266, 6, 'Mijn termijn');
INSERT INTO `lang_definitions` VALUES (26070, 6267, 6, 'Ikzelf');
INSERT INTO `lang_definitions` VALUES (26071, 6268, 6, 'M{{Maandag}}');
INSERT INTO `lang_definitions` VALUES (26072, 6269, 6, 'Maori');
INSERT INTO `lang_definitions` VALUES (26073, 6271, 6, 'N/A');
INSERT INTO `lang_definitions` VALUES (26074, 6272, 6, 'n/a');
INSERT INTO `lang_definitions` VALUES (26075, 6274, 6, 'Naam');
INSERT INTO `lang_definitions` VALUES (26076, 6275, 6, 'NAAM');
INSERT INTO `lang_definitions` VALUES (26077, 6276, 6, 'Naam (klik voor meer)');
INSERT INTO `lang_definitions` VALUES (26078, 6278, 6, 'Naam 1');
INSERT INTO `lang_definitions` VALUES (26079, 6279, 6, 'Naam 2');
INSERT INTO `lang_definitions` VALUES (26080, 6280, 6, 'Vaccinatie gegeven door');
INSERT INTO `lang_definitions` VALUES (26081, 6282, 6, 'Naam voor het EMR');
INSERT INTO `lang_definitions` VALUES (26082, 6283, 6, 'Naam het principe volgen van codetype_code_langauge.pdf, b.v. icd9_274.11_en.pdf');
INSERT INTO `lang_definitions` VALUES (26083, 6284, 6, 'Naam van Gebeurtenissen');
INSERT INTO `lang_definitions` VALUES (26084, 6285, 6, 'Naam verzekeringsmij.');
INSERT INTO `lang_definitions` VALUES (26085, 6286, 6, 'Naam behandelaar');
INSERT INTO `lang_definitions` VALUES (26086, 6287, 6, 'Naam van afzender voor patient reminders');
INSERT INTO `lang_definitions` VALUES (26087, 6288, 6, 'Naam van chirurg');
INSERT INTO `lang_definitions` VALUES (26088, 6294, 6, 'Naam vertaling');
INSERT INTO `lang_definitions` VALUES (26089, 6295, 6, 'Naam/Waarde');
INSERT INTO `lang_definitions` VALUES (26090, 6296, 6, 'Naam:');
INSERT INTO `lang_definitions` VALUES (26091, 6297, 6, 'Namen');
INSERT INTO `lang_definitions` VALUES (26092, 6300, 6, 'Neusgang:');
INSERT INTO `lang_definitions` VALUES (26093, 6301, 6, 'Neusgang: Normaal Rechts');
INSERT INTO `lang_definitions` VALUES (26094, 6303, 6, 'nasaal');
INSERT INTO `lang_definitions` VALUES (26095, 6304, 6, 'Neusslijmvliezen rose, septum op middenlijn');
INSERT INTO `lang_definitions` VALUES (26096, 6305, 6, 'Nation notities');
INSERT INTO `lang_definitions` VALUES (26097, 6308, 6, 'Configureer NationNotes');
INSERT INTO `lang_definitions` VALUES (26098, 6309, 6, 'NationNotites aanpassings button');
INSERT INTO `lang_definitions` VALUES (26099, 6310, 6, 'Nationaliteit');
INSERT INTO `lang_definitions` VALUES (26100, 6311, 6, 'NationNotes');
INSERT INTO `lang_definitions` VALUES (26101, 6312, 6, 'Oorspronkelijke DATA Loads');
INSERT INTO `lang_definitions` VALUES (26102, 6313, 6, 'Van oorsprong Hawai of andere Pacific eilandbewoner');
INSERT INTO `lang_definitions` VALUES (26103, 6316, 6, 'Biologische ouders');
INSERT INTO `lang_definitions` VALUES (26104, 6318, 6, 'Nauru');
INSERT INTO `lang_definitions` VALUES (26105, 6319, 6, 'Misselijkheid');
INSERT INTO `lang_definitions` VALUES (26106, 6321, 6, 'Navajo, Navaho');
INSERT INTO `lang_definitions` VALUES (26107, 6322, 6, 'Navigatie');
INSERT INTO `lang_definitions` VALUES (26108, 6323, 6, 'Navigatie met encounter formulieren');
INSERT INTO `lang_definitions` VALUES (26109, 6324, 6, 'Navigatie vak gebruikt volledige hoogte van frameset');
INSERT INTO `lang_definitions` VALUES (26110, 6325, 6, 'Navigatie gebied bezoek formulieren');
INSERT INTO `lang_definitions` VALUES (26111, 6326, 6, 'Breedte van Navigatie-vak');
INSERT INTO `lang_definitions` VALUES (26112, 6328, 6, 'Navigatie menu bestaat uit paren van Radio buttons');
INSERT INTO `lang_definitions` VALUES (26113, 6329, 6, 'Navigatie menu is Tree format');
INSERT INTO `lang_definitions` VALUES (26114, 6330, 6, 'Navigatie menu met verberg optie');
INSERT INTO `lang_definitions` VALUES (26115, 6334, 6, 'Nat.Med.Code');
INSERT INTO `lang_definitions` VALUES (26116, 6335, 6, 'NDC data');
INSERT INTO `lang_definitions` VALUES (26117, 6336, 6, 'NDC nummer');
INSERT INTO `lang_definitions` VALUES (26118, 6337, 6, 'Ndonga');
INSERT INTO `lang_definitions` VALUES (26119, 6338, 6, 'Nabij');
INSERT INTO `lang_definitions` VALUES (26120, 6348, 6, 'Nek');
INSERT INTO `lang_definitions` VALUES (26121, 6349, 6, 'Nekproblemen');
INSERT INTO `lang_definitions` VALUES (26122, 6350, 6, 'Nek soepel');
INSERT INTO `lang_definitions` VALUES (26123, 6351, 6, 'Meer dan 1 medicijn benodigd');
INSERT INTO `lang_definitions` VALUES (26124, 6352, 6, 'Omschrijving moet ingevoerd worden');
INSERT INTO `lang_definitions` VALUES (26125, 6353, 6, 'Waarde voor terugsturen moet nog ingevuld worden');
INSERT INTO `lang_definitions` VALUES (26126, 6354, 6, 'Identificator moet nog ingevuld worden');
INSERT INTO `lang_definitions` VALUES (26127, 6355, 6, 'Titel moet nog ingevoerd worden');
INSERT INTO `lang_definitions` VALUES (26128, 6358, 6, 'Authorisatie verplicht');
INSERT INTO `lang_definitions` VALUES (26129, 6359, 6, 'Behoort bij acoorderen');
INSERT INTO `lang_definitions` VALUES (26130, 6360, 6, 'Moet nog extra in rekening gebracht worden');
INSERT INTO `lang_definitions` VALUES (26131, 6361, 6, 'Negatief');
INSERT INTO `lang_definitions` VALUES (26132, 6363, 6, 'Negativen');
INSERT INTO `lang_definitions` VALUES (26133, 6364, 6, 'Neg{{Negatief}}');
INSERT INTO `lang_definitions` VALUES (26134, 6365, 6, 'Buur');
INSERT INTO `lang_definitions` VALUES (26135, 6368, 6, 'Nepalees');
INSERT INTO `lang_definitions` VALUES (26136, 6369, 6, 'Zenuw trauma');
INSERT INTO `lang_definitions` VALUES (26137, 6371, 6, 'Zenuwaandoening / zenuwletsel');
INSERT INTO `lang_definitions` VALUES (26138, 6372, 6, 'Neuro');
INSERT INTO `lang_definitions` VALUES (26139, 6373, 6, 'Zenuwdoofheid');
INSERT INTO `lang_definitions` VALUES (26140, 6374, 6, 'Zenuwzwakte');
INSERT INTO `lang_definitions` VALUES (26141, 6375, 6, 'Neurofysiologie');
INSERT INTO `lang_definitions` VALUES (26142, 6377, 6, 'Neurologisch');
INSERT INTO `lang_definitions` VALUES (26143, 6378, 6, 'Neurologie');
INSERT INTO `lang_definitions` VALUES (26144, 6381, 6, 'Nooit');
INSERT INTO `lang_definitions` VALUES (26145, 6382, 6, 'Nooit alcohol');
INSERT INTO `lang_definitions` VALUES (26146, 6383, 6, 'Nooit gerookt');
INSERT INTO `lang_definitions` VALUES (26147, 6384, 6, 'Nieuw');
INSERT INTO `lang_definitions` VALUES (26148, 6385, 6, 'Nieuw =>');
INSERT INTO `lang_definitions` VALUES (26149, 6386, 6, 'Nieuw geaccepteerden');
INSERT INTO `lang_definitions` VALUES (26150, 6387, 6, 'Nieuwe meldingen');
INSERT INTO `lang_definitions` VALUES (26151, 6388, 6, 'Nieuwe allergie');
INSERT INTO `lang_definitions` VALUES (26152, 6389, 6, 'Nieuw verzoek tot wijziging');
INSERT INTO `lang_definitions` VALUES (26153, 6390, 6, 'Nieuwe afspraak');
INSERT INTO `lang_definitions` VALUES (26154, 6391, 6, 'Nieuwe categorie');
INSERT INTO `lang_definitions` VALUES (26155, 6392, 6, 'Nieuwe categorie');
INSERT INTO `lang_definitions` VALUES (26156, 6393, 6, 'Nieuwe client');
INSERT INTO `lang_definitions` VALUES (26157, 6394, 6, 'Nieuw');
INSERT INTO `lang_definitions` VALUES (26158, 6395, 6, 'Nieuwe voorraad');
INSERT INTO `lang_definitions` VALUES (26159, 6396, 6, 'Nieuwe definitie set toegevoegd');
INSERT INTO `lang_definitions` VALUES (26160, 6397, 6, 'Nieuw document');
INSERT INTO `lang_definitions` VALUES (26161, 6398, 6, 'Nieuw documenten');
INSERT INTO `lang_definitions` VALUES (26162, 6401, 6, 'Nieuwe encounter');
INSERT INTO `lang_definitions` VALUES (26163, 6402, 6, 'Nieuwe encounter aangemaakt met ID');
INSERT INTO `lang_definitions` VALUES (26164, 6403, 6, 'Nieuw contact formulier');
INSERT INTO `lang_definitions` VALUES (26165, 6404, 6, 'Nieuw contact niet geautoriseerd');
INSERT INTO `lang_definitions` VALUES (26166, 6405, 6, 'Nieuw contact');
INSERT INTO `lang_definitions` VALUES (26167, 6406, 6, 'Informatie nieuwe locatie');
INSERT INTO `lang_definitions` VALUES (26168, 6407, 6, 'Nieuw file');
INSERT INTO `lang_definitions` VALUES (26169, 6408, 6, 'Nieuwe files');
INSERT INTO `lang_definitions` VALUES (26170, 6409, 6, 'Validatie nieuw formulier');
INSERT INTO `lang_definitions` VALUES (26171, 6410, 6, 'Nieuwe groep');
INSERT INTO `lang_definitions` VALUES (26172, 6413, 6, 'Nieuwe groepsinformatie');
INSERT INTO `lang_definitions` VALUES (26173, 6422, 6, 'Nieuwe inj/status');
INSERT INTO `lang_definitions` VALUES (26174, 6423, 6, 'Nieuwe items (zie boven voor details)');
INSERT INTO `lang_definitions` VALUES (26175, 6425, 6, 'Nieuwe limiet voor gebeurtenissen');
INSERT INTO `lang_definitions` VALUES (26176, 6426, 6, 'Nieuwe lijst');
INSERT INTO `lang_definitions` VALUES (26177, 6432, 6, 'Nieuwe orders');
INSERT INTO `lang_definitions` VALUES (26178, 6433, 6, 'Nieuwe paragraaf');
INSERT INTO `lang_definitions` VALUES (26179, 6434, 6, 'Nieuw paswoord');
INSERT INTO `lang_definitions` VALUES (26180, 6435, 6, 'Nieuwe patient');
INSERT INTO `lang_definitions` VALUES (26181, 6436, 6, 'Nieuwe Patient');
INSERT INTO `lang_definitions` VALUES (26182, 6437, 6, 'Nieuw patientencontact');
INSERT INTO `lang_definitions` VALUES (26183, 6438, 6, 'Formulier nieuwe patient');
INSERT INTO `lang_definitions` VALUES (26184, 6439, 6, 'ID nieuwe patient');
INSERT INTO `lang_definitions` VALUES (26185, 6441, 6, 'Nieuwe patienten');
INSERT INTO `lang_definitions` VALUES (26186, 6442, 6, 'Nieuwe betaling');
INSERT INTO `lang_definitions` VALUES (26187, 6443, 6, 'Nieuwe Portaal login');
INSERT INTO `lang_definitions` VALUES (26188, 6445, 6, 'Nieuwe pt');
INSERT INTO `lang_definitions` VALUES (26189, 6447, 6, 'Nieuwe resultaten van Lab uitwisseling');
INSERT INTO `lang_definitions` VALUES (26190, 6448, 6, 'Nieuwe zoekactie');
INSERT INTO `lang_definitions` VALUES (26191, 6449, 6, 'Nieuw toevoeging');
INSERT INTO `lang_definitions` VALUES (26192, 6451, 6, 'Nieuwe gebruiker');
INSERT INTO `lang_definitions` VALUES (26193, 6452, 6, 'Nieuwe waarde');
INSERT INTO `lang_definitions` VALUES (26194, 6453, 6, 'Nieuw consult');
INSERT INTO `lang_definitions` VALUES (26195, 6454, 6, 'Nieuw/Zoeken');
INSERT INTO `lang_definitions` VALUES (26196, 6455, 6, 'Nieuwe voorraad Account status');
INSERT INTO `lang_definitions` VALUES (26197, 6456, 6, 'NewCrop Admin');
INSERT INTO `lang_definitions` VALUES (26198, 6457, 6, 'NewCrop aanroepen mislukt');
INSERT INTO `lang_definitions` VALUES (26199, 6458, 6, 'NewCrop Dokter');
INSERT INTO `lang_definitions` VALUES (26200, 6459, 6, 'NewCrop eRx rekening Id');
INSERT INTO `lang_definitions` VALUES (26201, 6463, 6, 'NewCrop eRx naam');
INSERT INTO `lang_definitions` VALUES (26202, 6464, 6, 'NewCorp eRx Partner Naam');
INSERT INTO `lang_definitions` VALUES (26203, 6465, 6, 'Newcorp Paswoord');
INSERT INTO `lang_definitions` VALUES (26204, 6466, 6, 'NewCrop eRx rol');
INSERT INTO `lang_definitions` VALUES (26205, 6467, 6, 'NewCrop eRx rol');
INSERT INTO `lang_definitions` VALUES (26206, 6468, 6, 'NewCrop eRx Site adres');
INSERT INTO `lang_definitions` VALUES (26207, 6469, 6, 'NewCrop eRx SOAP verzoek voor tijd te leven voor Allergies');
INSERT INTO `lang_definitions` VALUES (26208, 6470, 6, 'NewCrop eRx SOAP verzoek voor tijd te leven voor Medicaties');
INSERT INTO `lang_definitions` VALUES (26209, 6471, 6, 'NewCrop eRx gebruikersrol');
INSERT INTO `lang_definitions` VALUES (26210, 6473, 6, 'NewCrop eRx Web Service Adres');
INSERT INTO `lang_definitions` VALUES (26211, 6474, 6, 'NewCrop Manager');
INSERT INTO `lang_definitions` VALUES (26212, 6475, 6, 'NewCrop MedEntry');
INSERT INTO `lang_definitions` VALUES (26213, 6476, 6, 'NewCorp Midlevel voorschrijver');
INSERT INTO `lang_definitions` VALUES (26214, 6477, 6, 'NewCrop Midlevel Verleegkundige');
INSERT INTO `lang_definitions` VALUES (26215, 6478, 6, 'NewCrop Supervisor Dokter');
INSERT INTO `lang_definitions` VALUES (26216, 6479, 6, 'Nieuwer');
INSERT INTO `lang_definitions` VALUES (26217, 6481, 6, 'Krant');
INSERT INTO `lang_definitions` VALUES (26218, 6482, 6, 'Volgende');
INSERT INTO `lang_definitions` VALUES (26219, 6483, 6, 'Volgende afspraakdatum');
INSERT INTO `lang_definitions` VALUES (26220, 6484, 6, 'Volgende dag');
INSERT INTO `lang_definitions` VALUES (26221, 6485, 6, 'Volgende maand');
INSERT INTO `lang_definitions` VALUES (26222, 6486, 6, 'Volgende maand (ingedrukt houden voor menu)');
INSERT INTO `lang_definitions` VALUES (26223, 6488, 6, 'Volgende geplande RUN');
INSERT INTO `lang_definitions` VALUES (26224, 6489, 6, 'Volgende bezoek');
INSERT INTO `lang_definitions` VALUES (26225, 6491, 6, 'Volgende week');
INSERT INTO `lang_definitions` VALUES (26226, 6492, 6, 'Volgend jaar (ingedrukt houden voor menu)');
INSERT INTO `lang_definitions` VALUES (26227, 6493, 6, 'Voorkeurs naam');
INSERT INTO `lang_definitions` VALUES (26228, 6494, 6, 'Alias');
INSERT INTO `lang_definitions` VALUES (26229, 6495, 6, 'Nicht/Neef');
INSERT INTO `lang_definitions` VALUES (26230, 6496, 6, 'Nacht zweten');
INSERT INTO `lang_definitions` VALUES (26231, 6498, 6, 'Normale ext genitalien, vag mucose, cervix');
INSERT INTO `lang_definitions` VALUES (26232, 6499, 6, 'Nee');
INSERT INTO `lang_definitions` VALUES (26233, 6500, 6, 'NEE');
INSERT INTO `lang_definitions` VALUES (26234, 6501, 6, 'nee');
INSERT INTO `lang_definitions` VALUES (26235, 6502, 6, 'Geen toegang');
INSERT INTO `lang_definitions` VALUES (26236, 6503, 6, 'Geen actieve patient reminders');
INSERT INTO `lang_definitions` VALUES (26237, 6504, 6, 'Geen adenopathie (2 gebieden nodig)');
INSERT INTO `lang_definitions` VALUES (26238, 6505, 6, 'Geen aanpssing reden gevonden voor');
INSERT INTO `lang_definitions` VALUES (26239, 6506, 6, 'Adnexa niet pijnlijk of palpabele massa');
INSERT INTO `lang_definitions` VALUES (26240, 6508, 6, 'Geen aanpssing verzoek beschikbaar');
INSERT INTO `lang_definitions` VALUES (26241, 6509, 6, 'Geen afspraken');
INSERT INTO `lang_definitions` VALUES (26242, 6510, 6, 'Geen archiefbestanden present');
INSERT INTO `lang_definitions` VALUES (26243, 6511, 6, 'Geen archieven');
INSERT INTO `lang_definitions` VALUES (26244, 6513, 6, 'Er is geen aanpassing ontdekt in de audit log in de geselecteerde datum  range');
INSERT INTO `lang_definitions` VALUES (26245, 6515, 6, 'Er is momenteel geen factureringssysteem actief');
INSERT INTO `lang_definitions` VALUES (26246, 6516, 6, 'Geen rekeningen gevonden om bij OFX export in te voegen');
INSERT INTO `lang_definitions` VALUES (26247, 6517, 6, 'Geen rekeningen gevonden om in OFX Export bij te voegen<br>');
INSERT INTO `lang_definitions` VALUES (26248, 6519, 6, 'Geen code gespecificeerd');
INSERT INTO `lang_definitions` VALUES (26249, 6520, 6, 'Geen configuratie gemaakt voor deze Module');
INSERT INTO `lang_definitions` VALUES (26250, 6523, 6, 'Geen diagnose');
INSERT INTO `lang_definitions` VALUES (26251, 6525, 6, 'Geen documenten');
INSERT INTO `lang_definitions` VALUES (26252, 6526, 6, 'Geen documenten gevonden');
INSERT INTO `lang_definitions` VALUES (26253, 6527, 6, 'Er kon geen Encounter aangemaakt worden');
INSERT INTO `lang_definitions` VALUES (26254, 6528, 6, 'Geen contacten ....');
INSERT INTO `lang_definitions` VALUES (26255, 6529, 6, 'Geen einddatum');
INSERT INTO `lang_definitions` VALUES (26256, 6530, 6, 'Geen invoer vonden, gebruik het volgende formulier om invoer toe te voegen.');
INSERT INTO `lang_definitions` VALUES (26257, 6531, 6, 'Geen fouten gevonden');
INSERT INTO `lang_definitions` VALUES (26258, 6532, 6, 'Geen gebeurtenissen');
INSERT INTO `lang_definitions` VALUES (26259, 6533, 6, 'Geen FAX nummer opgeslagen voor de geselcteerde organisatie');
INSERT INTO `lang_definitions` VALUES (26260, 6534, 6, 'Geen files geplanned voor installatie');
INSERT INTO `lang_definitions` VALUES (26261, 6536, 6, 'Er is geen groep geselecteerd');
INSERT INTO `lang_definitions` VALUES (26262, 6537, 6, 'Geen hernia');
INSERT INTO `lang_definitions` VALUES (26263, 6538, 6, 'Geen aanknopings punten voor deze Module beschikbaar');
INSERT INTO `lang_definitions` VALUES (26264, 6539, 6, 'Geen anknopins punten voor deze Module aangemaakt');
INSERT INTO `lang_definitions` VALUES (26265, 6540, 6, 'Geen letsel/ziekte');
INSERT INTO `lang_definitions` VALUES (26266, 6541, 6, 'Geen verzekeringsmij. gevonden');
INSERT INTO `lang_definitions` VALUES (26267, 6542, 6, 'Geen interacties gevonden');
INSERT INTO `lang_definitions` VALUES (26268, 6544, 6, 'Geen issues');
INSERT INTO `lang_definitions` VALUES (26269, 6545, 6, 'Geen Issues tijdens dit bezoek');
INSERT INTO `lang_definitions` VALUES (26270, 6546, 6, 'Geen waarden voor geselecteerde categorie');
INSERT INTO `lang_definitions` VALUES (26271, 6547, 6, 'Geen items geselecteerd');
INSERT INTO `lang_definitions` VALUES (26272, 6548, 6, 'Geen bekende allergieen');
INSERT INTO `lang_definitions` VALUES (26273, 6549, 6, 'Geen bekende klinische instructies');
INSERT INTO `lang_definitions` VALUES (26274, 6550, 6, 'Geen bekende contacten');
INSERT INTO `lang_definitions` VALUES (26275, 6552, 6, 'Geen bekende Lab resultaten');
INSERT INTO `lang_definitions` VALUES (26276, 6553, 6, 'Geen bekende medicatie');
INSERT INTO `lang_definitions` VALUES (26277, 6554, 6, 'Geen bekende plan van aanpak');
INSERT INTO `lang_definitions` VALUES (26278, 6555, 6, 'Geen bekende problemen');
INSERT INTO `lang_definitions` VALUES (26279, 6556, 6, 'Geen bekende procedures');
INSERT INTO `lang_definitions` VALUES (26280, 6557, 6, 'Geen bekende doorverwijzing');
INSERT INTO `lang_definitions` VALUES (26281, 6558, 6, 'Geen bekende Sociale functionele status');
INSERT INTO `lang_definitions` VALUES (26282, 6559, 6, 'Geen bekende geschiedenis');
INSERT INTO `lang_definitions` VALUES (26283, 6560, 6, 'Geen bekende vitale delen');
INSERT INTO `lang_definitions` VALUES (26284, 6561, 6, 'Geen lab data gedocumenteerd');
INSERT INTO `lang_definitions` VALUES (26285, 6562, 6, 'Voor de geselcteerde data bestaat geen log-file');
INSERT INTO `lang_definitions` VALUES (26286, 6563, 6, 'geen registratie');
INSERT INTO `lang_definitions` VALUES (26287, 6564, 6, 'Geen registaties ouder dan 7 dagen');
INSERT INTO `lang_definitions` VALUES (26288, 6565, 6, 'Geen zwellingen of gevoeligheid');
INSERT INTO `lang_definitions` VALUES (26289, 6566, 6, 'Geen patienten record voor de opgegeven Re Identificatie code');
INSERT INTO `lang_definitions` VALUES (26290, 6568, 6, 'Geen matches gevonden. Probeer opnieuw.');
INSERT INTO `lang_definitions` VALUES (26291, 6569, 6, 'Er zijn geen overeenkomstigen gevonden');
INSERT INTO `lang_definitions` VALUES (26292, 6570, 6, 'Niets gevonden. Nieuwe patient aanmaken?');
INSERT INTO `lang_definitions` VALUES (26293, 6571, 6, 'Geen van de records voldoet aan zoekopdracht');
INSERT INTO `lang_definitions` VALUES (26294, 6577, 6, 'Geen nieuwe resultaten gevonden');
INSERT INTO `lang_definitions` VALUES (26295, 6578, 6, 'Geen notities');
INSERT INTO `lang_definitions` VALUES (26296, 6579, 6, 'Geen organomegaly');
INSERT INTO `lang_definitions` VALUES (26297, 6580, 6, 'Geen vrije plaatsen gevonden voor deze periode');
INSERT INTO `lang_definitions` VALUES (26298, 6583, 6, 'Geen andere telefoon nummers geregistreerd');
INSERT INTO `lang_definitions` VALUES (26299, 6584, 6, 'Geen parameters geselecteerd');
INSERT INTO `lang_definitions` VALUES (26300, 6585, 6, 'Geen partners gevonden');
INSERT INTO `lang_definitions` VALUES (26301, 6586, 6, 'Geen patienten record gevonden voor de opgegeven Selectie');
INSERT INTO `lang_definitions` VALUES (26302, 6587, 6, 'Geen patienten record gevonden voor de Re-Identificatie code');
INSERT INTO `lang_definitions` VALUES (26303, 6588, 6, 'Geen perifeer oedeem');
INSERT INTO `lang_definitions` VALUES (26304, 6589, 6, 'Geen apotheken gevonden');
INSERT INTO `lang_definitions` VALUES (26305, 6590, 6, 'Geen recepten gevonden');
INSERT INTO `lang_definitions` VALUES (26306, 6592, 6, 'Geen ziekte of letsel aantoonbaar');
INSERT INTO `lang_definitions` VALUES (26307, 6593, 6, 'Geen eerdere vermeldingen');
INSERT INTO `lang_definitions` VALUES (26308, 6594, 6, 'Geen Primary Bisseness Entity geselecteerd in faciliteit lijst');
INSERT INTO `lang_definitions` VALUES (26309, 6595, 6, 'Geen eerdere bezoeken');
INSERT INTO `lang_definitions` VALUES (26310, 6596, 6, 'Geen procedures voor dit bezoek');
INSERT INTO `lang_definitions` VALUES (26311, 6598, 6, 'Geen behandelaars gevonden');
INSERT INTO `lang_definitions` VALUES (26312, 6599, 6, 'Geen uitslag of abnormale lesies');
INSERT INTO `lang_definitions` VALUES (26313, 6602, 6, 'Geen status gevonden');
INSERT INTO `lang_definitions` VALUES (26314, 6603, 6, 'Geen records gevonden.');
INSERT INTO `lang_definitions` VALUES (26315, 6604, 6, 'Geen resultaten gevonden. Breidt uw zoekopdracht uit.');
INSERT INTO `lang_definitions` VALUES (26316, 6607, 6, 'Geen reminders');
INSERT INTO `lang_definitions` VALUES (26317, 6608, 6, 'Geen resultaten gevonden voor ingevoerde search vragen criteria');
INSERT INTO `lang_definitions` VALUES (26318, 6609, 6, 'Geen resultaten');
INSERT INTO `lang_definitions` VALUES (26319, 6610, 6, 'Geen resultaten gevonden');
INSERT INTO `lang_definitions` VALUES (26320, 6612, 6, 'Geen resultaten gevonden voor zoekopdracht');
INSERT INTO `lang_definitions` VALUES (26321, 6613, 6, 'Geen resultaten gevonden, probeer opnieuw.');
INSERT INTO `lang_definitions` VALUES (26322, 6614, 6, 'Geen resultaten, zoek nogmaals');
INSERT INTO `lang_definitions` VALUES (26323, 6615, 6, 'Geen resultaten, zoek nogmaals');
INSERT INTO `lang_definitions` VALUES (26324, 6617, 6, 'Geen settings beschikbaar voor dze Module');
INSERT INTO `lang_definitions` VALUES (26325, 6618, 6, 'Niet gekomen');
INSERT INTO `lang_definitions` VALUES (26326, 6619, 6, 'Niet gekomen');
INSERT INTO `lang_definitions` VALUES (26327, 6621, 6, 'Geen handtekening beschikbaar');
INSERT INTO `lang_definitions` VALUES (26328, 6622, 6, 'Sinus niet pijnlijk');
INSERT INTO `lang_definitions` VALUES (26329, 6623, 6, 'Geen huidintrekkingen of knobbels in mammae');
INSERT INTO `lang_definitions` VALUES (26330, 6624, 6, 'Dergelijke CONSTANTEN naam bestaat niet');
INSERT INTO `lang_definitions` VALUES (26331, 6625, 6, 'Geen tabel geselecteerd! Selecteer een tabel.');
INSERT INTO `lang_definitions` VALUES (26332, 6626, 6, 'Geen veranderd gevoel of knobbels aan testiskels');
INSERT INTO `lang_definitions` VALUES (26333, 6627, 6, 'Nee dank u');
INSERT INTO `lang_definitions` VALUES (26334, 6628, 6, 'Geen thrills of heaves');
INSERT INTO `lang_definitions` VALUES (26335, 6629, 6, 'Geen track geselecteerd');
INSERT INTO `lang_definitions` VALUES (26336, 6630, 6, 'Geen tracks gedocumenteerd');
INSERT INTO `lang_definitions` VALUES (26337, 6632, 6, 'Geen bezoek');
INSERT INTO `lang_definitions` VALUES (26338, 6633, 6, 'Geen vitals vastgelegd');
INSERT INTO `lang_definitions` VALUES (26339, 6634, 6, 'Nee, annuleren');
INSERT INTO `lang_definitions` VALUES (26340, 6635, 6, 'No-fault verzekering ook Auto is Primair');
INSERT INTO `lang_definitions` VALUES (26341, 6636, 6, 'Nee:');
INSERT INTO `lang_definitions` VALUES (26342, 6637, 6, 'Nycturie');
INSERT INTO `lang_definitions` VALUES (26343, 6638, 6, 'Niet betaald');
INSERT INTO `lang_definitions` VALUES (26344, 6640, 6, 'Niet aangegeven report');
INSERT INTO `lang_definitions` VALUES (26345, 6641, 6, 'Geen specifiek letsel');
INSERT INTO `lang_definitions` VALUES (26346, 6642, 6, 'Niet electronisch');
INSERT INTO `lang_definitions` VALUES (26347, 6643, 6, 'NIDDM');
INSERT INTO `lang_definitions` VALUES (26348, 6644, 6, 'Niet verzekerd');
INSERT INTO `lang_definitions` VALUES (26349, 6646, 6, 'Niet-SRH Medisch');
INSERT INTO `lang_definitions` VALUES (26350, 6647, 6, 'Niet-SRH niet-medisch');
INSERT INTO `lang_definitions` VALUES (26351, 6648, 6, 'Geen');
INSERT INTO `lang_definitions` VALUES (26352, 6649, 6, 'geen');
INSERT INTO `lang_definitions` VALUES (26353, 6650, 6, 'Niet gedefinieerd');
INSERT INTO `lang_definitions` VALUES (26354, 6651, 6, 'Niet gedocumenteerd');
INSERT INTO `lang_definitions` VALUES (26355, 6652, 6, 'Geen enkele is gedocumenteerd');
INSERT INTO `lang_definitions` VALUES (26356, 6653, 6, 'Geen van bovenstaande');
INSERT INTO `lang_definitions` VALUES (26357, 6654, 6, 'Geen van de bovenste TOP regels kan leeg zijn');
INSERT INTO `lang_definitions` VALUES (26358, 6683, 6, 'NIDDM');
INSERT INTO `lang_definitions` VALUES (26359, 6684, 6, 'Nor');
INSERT INTO `lang_definitions` VALUES (26360, 6685, 6, 'Normaal');
INSERT INTO `lang_definitions` VALUES (26361, 6687, 6, 'Normale BL');
INSERT INTO `lang_definitions` VALUES (26362, 6688, 6, 'Normaal card. onderzoek:');
INSERT INTO `lang_definitions` VALUES (26363, 6689, 6, 'Normaal card. onderzoek:');
INSERT INTO `lang_definitions` VALUES (26364, 6690, 6, 'Normaal longonderzoek:');
INSERT INTO `lang_definitions` VALUES (26365, 6691, 6, 'Normaal longonderzoek:');
INSERT INTO `lang_definitions` VALUES (26366, 6692, 6, 'Normaal kantoorbezoek');
INSERT INTO `lang_definitions` VALUES (26367, 6693, 6, 'Normale oropharynx');
INSERT INTO `lang_definitions` VALUES (26368, 6694, 6, 'Normaal rechts');
INSERT INTO `lang_definitions` VALUES (26369, 6695, 6, 'Normaal rechts:');
INSERT INTO `lang_definitions` VALUES (26370, 6696, 6, 'Normale weergave');
INSERT INTO `lang_definitions` VALUES (26371, 6697, 6, 'normaal:');
INSERT INTO `lang_definitions` VALUES (26372, 6698, 6, 'Standaard moet dit aangevinkt zijn. Niet gebonden aan access controle');
INSERT INTO `lang_definitions` VALUES (26373, 6699, 6, 'Noord Ndebele');
INSERT INTO `lang_definitions` VALUES (26374, 6700, 6, 'Noord Sami');
INSERT INTO `lang_definitions` VALUES (26375, 6701, 6, 'Noors');
INSERT INTO `lang_definitions` VALUES (26376, 6703, 6, 'Noorweegs Bokmal');
INSERT INTO `lang_definitions` VALUES (26377, 6704, 6, 'Noorweegs Nynorsk');
INSERT INTO `lang_definitions` VALUES (26378, 6705, 6, 'Neus');
INSERT INTO `lang_definitions` VALUES (26379, 6706, 6, 'Bloedneus');
INSERT INTO `lang_definitions` VALUES (26380, 6707, 6, 'geen letter of cijfer');
INSERT INTO `lang_definitions` VALUES (26381, 6709, 6, 'Niet geadministreerd');
INSERT INTO `lang_definitions` VALUES (26382, 6710, 6, 'Niet alle velden zijn noodzakelijk voor code of code type');
INSERT INTO `lang_definitions` VALUES (26383, 6712, 6, 'Niet toegestaan');
INSERT INTO `lang_definitions` VALUES (26384, 6713, 6, 'Niet toegestaan om administratiegroepen te verwijderen');
INSERT INTO `lang_definitions` VALUES (26385, 6714, 6, 'Mag deze niet veranderen');
INSERT INTO `lang_definitions` VALUES (26386, 6715, 6, 'Niet toegestaan om alle veiligheidsmaatregels te inactiveren');
INSERT INTO `lang_definitions` VALUES (26387, 6716, 6, 'Niet toegestaan om ook maar iets van ACL administrateurs te inactiveren');
INSERT INTO `lang_definitions` VALUES (26388, 6717, 6, 'Niet toegestaan om Gebruiker admin te verwijderen van de administrateursgroep');
INSERT INTO `lang_definitions` VALUES (26389, 6718, 6, 'Deze USER mag niet van de Administrator group verwijderd worden');
INSERT INTO `lang_definitions` VALUES (26390, 6719, 6, 'Niet van toepassing');
INSERT INTO `lang_definitions` VALUES (26391, 6720, 6, 'Geen toegang tot PostCalendar module');
INSERT INTO `lang_definitions` VALUES (26392, 6721, 6, 'Niet geautoriseerd');
INSERT INTO `lang_definitions` VALUES (26393, 6722, 6, 'Niet geautoriseerd');
INSERT INTO `lang_definitions` VALUES (26394, 6723, 6, 'Niet geautoriseerd voor deze ploeg!');
INSERT INTO `lang_definitions` VALUES (26395, 6724, 6, 'Niet geautoriseerd voor deze ploeg.');
INSERT INTO `lang_definitions` VALUES (26396, 6725, 6, 'Niet geautoriseerd om Users te veranderen!');
INSERT INTO `lang_definitions` VALUES (26397, 6726, 6, 'Niet geautoriseerd om resutaten te ondertekenen');
INSERT INTO `lang_definitions` VALUES (26398, 6729, 6, 'Niet beschikbaar');
INSERT INTO `lang_definitions` VALUES (26399, 6730, 6, 'Niet gefactureerd');
INSERT INTO `lang_definitions` VALUES (26400, 6731, 6, 'Niet in rekening gebracht');
INSERT INTO `lang_definitions` VALUES (26401, 6732, 6, 'Niet gechecked');
INSERT INTO `lang_definitions` VALUES (26402, 6733, 6, 'Niet uitgechecked');
INSERT INTO `lang_definitions` VALUES (26403, 6734, 6, 'Niet gecodeerd');
INSERT INTO `lang_definitions` VALUES (26404, 6735, 6, 'Niet vastgelegd');
INSERT INTO `lang_definitions` VALUES (26405, 6736, 6, 'Nog niet aan de beurt');
INSERT INTO `lang_definitions` VALUES (26406, 6737, 6, 'Niet electronisch ondertekend');
INSERT INTO `lang_definitions` VALUES (26407, 6738, 6, 'Niet onderzocht');
INSERT INTO `lang_definitions` VALUES (26408, 6739, 6, 'Niet onderzocht:');
INSERT INTO `lang_definitions` VALUES (26409, 6740, 6, 'Niet onderzocht:');
INSERT INTO `lang_definitions` VALUES (26410, 6742, 6, 'niet gevonden');
INSERT INTO `lang_definitions` VALUES (26411, 6743, 6, 'Niet Gevonden');
INSERT INTO `lang_definitions` VALUES (26412, 6744, 6, 'niet gevonden!');
INSERT INTO `lang_definitions` VALUES (26413, 6745, 6, 'Geen Spaans of Latino');
INSERT INTO `lang_definitions` VALUES (26414, 6746, 6, 'Niet geinstalleerd');
INSERT INTO `lang_definitions` VALUES (26415, 6747, 6, 'Niet geinstalleerd');
INSERT INTO `lang_definitions` VALUES (26416, 6751, 6, 'Niet gezien sinds');
INSERT INTO `lang_definitions` VALUES (26417, 6752, 6, 'Niet verzonden');
INSERT INTO `lang_definitions` VALUES (26418, 6753, 6, 'Nog niet verzonden');
INSERT INTO `lang_definitions` VALUES (26419, 6754, 6, 'Niet gespecificeerd');
INSERT INTO `lang_definitions` VALUES (26420, 6755, 6, 'Niet gespecificeerd');
INSERT INTO `lang_definitions` VALUES (26421, 6758, 6, 'Notitie');
INSERT INTO `lang_definitions` VALUES (26422, 6760, 6, 'Geen Codes');
INSERT INTO `lang_definitions` VALUES (26423, 6762, 6, 'Notitie doet er 5 -10 min over om helemaal verwerkt te worden nadat Install geklikt is');
INSERT INTO `lang_definitions` VALUES (26424, 6763, 6, 'Notitie doet er 5 - 10 minuten over om volledig verwerkt te worden nadat Update is aangeklikt');
INSERT INTO `lang_definitions` VALUES (26425, 6764, 6, 'N.B: De audit log moet hierboven geactiveerd worden');
INSERT INTO `lang_definitions` VALUES (26426, 6771, 6, 'Soort notitie');
INSERT INTO `lang_definitions` VALUES (26427, 6772, 6, 'N.B: 12:00 middag is PM en niet AM');
INSERT INTO `lang_definitions` VALUES (26428, 6773, 6, 'N.B: Importeren van externe data kan meer dan een uur duren afhankelijk van de soort hardware die gebruikt wordt. B.v. RxNorm bevat meer dan 6 miljoen regels.');
INSERT INTO `lang_definitions` VALUES (26429, 6774, 6, 'N.B: Alleen de twee jaarlijkse Internationale SnoMed release wordt ondersteund.');
INSERT INTO `lang_definitions` VALUES (26430, 6776, 6, 'N.B: Alleen de volledige maandelijkse RxNorm wordt nu ondersteund');
INSERT INTO `lang_definitions` VALUES (26431, 6778, 6, 'Opm: het importeren kan enkele uren duren');
INSERT INTO `lang_definitions` VALUES (26432, 6779, 6, 'Opm: deze code is niet geauthoriseerd.');
INSERT INTO `lang_definitions` VALUES (26433, 6780, 6, 'N.B: Deze code werd niet door een gemachtigde Gebruiker ingevoerd. Alleen geaccepteerde codes mogen naar het Open Medische Facturering Netwerk worden gestuurd voor verwerking. Indien u deze codes wilt uploaden, selecteer dan hier een gemachtigde gebruiker.');
INSERT INTO `lang_definitions` VALUES (26434, 6783, 6, 'N.B: Bij het uploaden van bestanden met dezelfde naam, wordt deze naam van de bestanden automatisch hernoemd (bijvoorbeeld, zal file.jpg worden file.1.jpg). Bestandsnamen zijn uniek per patiënt, niet per categorie.');
INSERT INTO `lang_definitions` VALUES (26435, 6784, 6, 'N.B: Geuploade bestanden met dezelfde naam worden automatisch hernoemd. Bijvoorbeeld \'<i>file.jpg</i>\' zal worden\'<i>file.jpg.1</i>\'. Bestandsnamen zijn per patiënt uniek, niet per categorie.');
INSERT INTO `lang_definitions` VALUES (26436, 6785, 6, 'Notities');
INSERT INTO `lang_definitions` VALUES (26437, 6788, 6, 'Notities - een contact (schrijven, toevoegen optioneel)');
INSERT INTO `lang_definitions` VALUES (26438, 6790, 6, 'Notities - mijn contacten (schrijven,toevoegen optioneel)');
INSERT INTO `lang_definitions` VALUES (26439, 6793, 6, 'Notities niet geautoriseerd');
INSERT INTO `lang_definitions` VALUES (26440, 6795, 6, 'Niets in wachtlijst om te accoorderen');
INSERT INTO `lang_definitions` VALUES (26441, 6796, 6, 'Niets geselecteerd');
INSERT INTO `lang_definitions` VALUES (26442, 6798, 6, 'Niets te presenteren');
INSERT INTO `lang_definitions` VALUES (26443, 6799, 6, 'Geen import vanuit Allergie');
INSERT INTO `lang_definitions` VALUES (26444, 6800, 6, 'Geen import vanuit Recepten');
INSERT INTO `lang_definitions` VALUES (26445, 6803, 6, 'Niets te tonen');
INSERT INTO `lang_definitions` VALUES (26446, 6804, 6, 'Niets geselecteerd');
INSERT INTO `lang_definitions` VALUES (26447, 6807, 6, 'Notitie ontvangen');
INSERT INTO `lang_definitions` VALUES (26448, 6808, 6, 'MEDEDELING: PostCalendar Toekennen/Wijziging');
INSERT INTO `lang_definitions` VALUES (26449, 6809, 6, 'Bericht');
INSERT INTO `lang_definitions` VALUES (26450, 6810, 6, 'E-mail adres om alert-berichten te sturen');
INSERT INTO `lang_definitions` VALUES (26451, 6813, 6, 'Notificatie verstuurd naar');
INSERT INTO `lang_definitions` VALUES (26452, 6815, 6, 'Berichten');
INSERT INTO `lang_definitions` VALUES (26453, 6816, 6, 'Informeer Admin over Gebeurtenis Toewijzing/Wijziging?');
INSERT INTO `lang_definitions` VALUES (26454, 6820, 6, 'Nov');
INSERT INTO `lang_definitions` VALUES (26455, 6821, 6, 'November');
INSERT INTO `lang_definitions` VALUES (26456, 6824, 6, 'Nu aanmelden voor:');
INSERT INTO `lang_definitions` VALUES (26457, 6825, 6, 'Nu aan het printen');
INSERT INTO `lang_definitions` VALUES (26458, 6826, 6, 'Nu afdrukken $stmt_count verklaringen en bijwerken van ontmoetingen.');
INSERT INTO `lang_definitions` VALUES (26459, 6827, 6, 'Printen van $stmt_count verklaringen en bijwerken van facturen.');
INSERT INTO `lang_definitions` VALUES (26460, 6828, 6, 'Printen van $stmt_count verklaringen en bijwerken van overzichten; ontmoetingen zullen niet worden bijgewerkt.');
INSERT INTO `lang_definitions` VALUES (26461, 6829, 6, 'Printen van $stmt_count verklaringen; facturen zullen niet worden bijgewerkt.');
INSERT INTO `lang_definitions` VALUES (26462, 6834, 6, 'AGB-code');
INSERT INTO `lang_definitions` VALUES (26463, 6836, 6, 'NQF');
INSERT INTO `lang_definitions` VALUES (26464, 6837, 6, 'Nr.');
INSERT INTO `lang_definitions` VALUES (26465, 6838, 6, 'Nr. labs');
INSERT INTO `lang_definitions` VALUES (26466, 6841, 6, 'Aantal afspraken weer te geven op de Onsite portaal');
INSERT INTO `lang_definitions` VALUES (26467, 6842, 6, 'Aantal afspraken om weer te geven in het patient overzicht');
INSERT INTO `lang_definitions` VALUES (26468, 6843, 6, 'Aantal kolommen in jaaroverzicht.');
INSERT INTO `lang_definitions` VALUES (26469, 6844, 6, 'Aantal dagen voordat het vijfde accountbericht verschijnt');
INSERT INTO `lang_definitions` VALUES (26470, 6845, 6, 'Aantal dagen voordat het eerste accountbericht verschijnt');
INSERT INTO `lang_definitions` VALUES (26471, 6846, 6, 'Aantal dagen voordat het eerste accountbericht verschijnt');
INSERT INTO `lang_definitions` VALUES (26472, 6847, 6, 'Aantal dagen voordat het vierde accountbericht verschijnt');
INSERT INTO `lang_definitions` VALUES (26473, 6848, 6, 'Aantal dagen voordat het tweede accountbericht verschijnt');
INSERT INTO `lang_definitions` VALUES (26474, 6849, 6, 'Aantal dagen voordat het derde accountbericht verschijnt');
INSERT INTO `lang_definitions` VALUES (26475, 6850, 6, 'Aantal dagen dat het Client Certificaat nog geldig is.');
INSERT INTO `lang_definitions` VALUES (26476, 6851, 6, 'Aantal dagen vanaf de aanvangsdatum om te zoeken');
INSERT INTO `lang_definitions` VALUES (26477, 6852, 6, 'Aantal posities achter de punt voor valuta. (meestal 0 of 2)');
INSERT INTO `lang_definitions` VALUES (26478, 6853, 6, 'Aantal encounters om te tonen per pagina');
INSERT INTO `lang_definitions` VALUES (26479, 6855, 6, 'Aantal gemiste spelen of gebeurtenissen, indien van toepassing');
INSERT INTO `lang_definitions` VALUES (26480, 6856, 6, 'Aantal uren vooraf alvorens e-mail bericht te sturen.');
INSERT INTO `lang_definitions` VALUES (26481, 6857, 6, 'Aantal uren vooruit om telefoon bericht te sturen');
INSERT INTO `lang_definitions` VALUES (26482, 6858, 6, 'Aantal uren vooraf alvorens SMS berichten te sturen');
INSERT INTO `lang_definitions` VALUES (26483, 6861, 6, 'Aantal minuten tonen van voltooide checkouts. Nul is een constante weergave');
INSERT INTO `lang_definitions` VALUES (26484, 6862, 6, 'Aantal historie kolommen uit het verleden');
INSERT INTO `lang_definitions` VALUES (26485, 6863, 6, 'Aantal patienten te tonen per pagina in de lijst.');
INSERT INTO `lang_definitions` VALUES (26486, 6864, 6, 'Doofheid');
INSERT INTO `lang_definitions` VALUES (26487, 6865, 6, 'Numerator');
INSERT INTO `lang_definitions` VALUES (26488, 6866, 6, 'Tonen van nummerieke volgorde');
INSERT INTO `lang_definitions` VALUES (26489, 6867, 6, 'Nuosu');
INSERT INTO `lang_definitions` VALUES (26490, 6869, 6, 'Voeding');
INSERT INTO `lang_definitions` VALUES (26491, 6870, 6, 'Voedings');
INSERT INTO `lang_definitions` VALUES (26492, 6871, 6, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (26493, 6872, 6, 'O2 Sat');
INSERT INTO `lang_definitions` VALUES (26494, 6874, 6, 'Obesitas 1');
INSERT INTO `lang_definitions` VALUES (26495, 6875, 6, 'Obesitas 2');
INSERT INTO `lang_definitions` VALUES (26496, 6876, 6, 'Obesitas 3');
INSERT INTO `lang_definitions` VALUES (26497, 6877, 6, 'Objectief');
INSERT INTO `lang_definitions` VALUES (26498, 6880, 6, 'Observatie criteria');
INSERT INTO `lang_definitions` VALUES (26499, 6882, 6, 'Observatieformulier');
INSERT INTO `lang_definitions` VALUES (26500, 6883, 6, 'Observatieresultaten');
INSERT INTO `lang_definitions` VALUES (26501, 6885, 6, 'Occitan');
INSERT INTO `lang_definitions` VALUES (26502, 6886, 6, 'Beroep');
INSERT INTO `lang_definitions` VALUES (26503, 6887, 6, 'Beroep van arts');
INSERT INTO `lang_definitions` VALUES (26504, 6889, 6, 'Acuut / Chron / enz.');
INSERT INTO `lang_definitions` VALUES (26505, 6890, 6, 'Okt');
INSERT INTO `lang_definitions` VALUES (26506, 6891, 6, 'Oktober');
INSERT INTO `lang_definitions` VALUES (26507, 6892, 6, 'OD');
INSERT INTO `lang_definitions` VALUES (26508, 6895, 6, 'uit');
INSERT INTO `lang_definitions` VALUES (26509, 6896, 6, 'hoeveelheid');
INSERT INTO `lang_definitions` VALUES (26510, 6897, 6, 'tabletten');
INSERT INTO `lang_definitions` VALUES (26511, 6898, 6, 'van de maand ieder');
INSERT INTO `lang_definitions` VALUES (26512, 6899, 6, 'Reminders kantoor');
INSERT INTO `lang_definitions` VALUES (26513, 6900, 6, 'Uit');
INSERT INTO `lang_definitions` VALUES (26514, 6904, 6, 'Kantoor');
INSERT INTO `lang_definitions` VALUES (26515, 6907, 6, 'Kantoornotities');
INSERT INTO `lang_definitions` VALUES (26516, 6908, 6, 'Kantoorbezoek');
INSERT INTO `lang_definitions` VALUES (26517, 6909, 6, 'Officieel Klinische Kwaliteit meting (CQM) Meting Groepen');
INSERT INTO `lang_definitions` VALUES (26518, 6910, 6, 'Offsite link voor Patienten Ingang');
INSERT INTO `lang_definitions` VALUES (26519, 6911, 6, 'Offsite https link voo Patienten Ingang(Patienten link)');
INSERT INTO `lang_definitions` VALUES (26520, 6912, 6, 'Offsite Patienten Ingang paswoord');
INSERT INTO `lang_definitions` VALUES (26521, 6913, 6, 'Offsite Patienten Ingang paswoord(Laat open indien nog niet geregistreerd)');
INSERT INTO `lang_definitions` VALUES (26522, 6914, 6, 'Offsite Patient Portal Provider ID');
INSERT INTO `lang_definitions` VALUES (26523, 6915, 6, 'Offsite Patient Portal Provider ID(Spatie als er geen registratie is).');
INSERT INTO `lang_definitions` VALUES (26524, 6916, 6, 'Offsite Patienten Ingang Site adres');
INSERT INTO `lang_definitions` VALUES (26525, 6917, 6, 'Offsite Patienten Ingang adres (Patienten link)');
INSERT INTO `lang_definitions` VALUES (26526, 6918, 6, 'Offsite Patienten Ingang Usernaam');
INSERT INTO `lang_definitions` VALUES (26527, 6919, 6, 'Offsite Patienten Ingang Usernaam(Laat open indien nog niet geregistreed)');
INSERT INTO `lang_definitions` VALUES (26528, 6920, 6, 'Offsite Portaal web Service faalt');
INSERT INTO `lang_definitions` VALUES (26529, 6921, 6, 'Nakomelingen');
INSERT INTO `lang_definitions` VALUES (26530, 6922, 6, 'Nakomelingen geschiedenis');
INSERT INTO `lang_definitions` VALUES (26531, 6925, 6, 'zalf');
INSERT INTO `lang_definitions` VALUES (26532, 6926, 6, 'Ojibwe, Ojibwa');
INSERT INTO `lang_definitions` VALUES (26533, 6927, 6, 'OK');
INSERT INTO `lang_definitions` VALUES (26534, 6929, 6, 'Is het Ok om dit pop-up scherm te sluiten?');
INSERT INTO `lang_definitions` VALUES (26535, 6930, 6, 'OK om de gedateerde GCAC issue te linken');
INSERT INTO `lang_definitions` VALUES (26536, 6931, 6, 'Oud');
INSERT INTO `lang_definitions` VALUES (26537, 6932, 6, 'Old Kerks Slavisch, Kerk Slavisch, Oud Bulgaars');
INSERT INTO `lang_definitions` VALUES (26538, 6933, 6, 'Oude clienten');
INSERT INTO `lang_definitions` VALUES (26539, 6934, 6, 'Oude fractuur geen/slechte botverbinding');
INSERT INTO `lang_definitions` VALUES (26540, 6935, 6, 'Oude stijl Layout, linker menu scherm');
INSERT INTO `lang_definitions` VALUES (26541, 6936, 6, 'Oude stijl statisch formulier, zonder zoek of duplicaat controle');
INSERT INTO `lang_definitions` VALUES (26542, 6937, 6, 'Ouder');
INSERT INTO `lang_definitions` VALUES (26543, 6938, 6, 'Ouder dan');
INSERT INTO `lang_definitions` VALUES (26544, 6940, 6, 'Overslaan');
INSERT INTO `lang_definitions` VALUES (26545, 6941, 6, 'Geen omtrekken meten');
INSERT INTO `lang_definitions` VALUES (26546, 6942, 6, 'Verberg werkgever informatie in Client demografische gegevens');
INSERT INTO `lang_definitions` VALUES (26547, 6943, 6, 'Verberg werkgever');
INSERT INTO `lang_definitions` VALUES (26548, 6944, 6, 'Verberg formulier, manier van innemen en interval die dan onderdeel vormen van de dosis');
INSERT INTO `lang_definitions` VALUES (26549, 6945, 6, 'Verberg Verzekeringen en enkele ander zaken op het demografische scherm');
INSERT INTO `lang_definitions` VALUES (26550, 6946, 6, 'Verberg interne gebruikers');
INSERT INTO `lang_definitions` VALUES (26551, 6947, 6, 'Verberg betalings methode op het extra betalings scherm');
INSERT INTO `lang_definitions` VALUES (26552, 6948, 6, 'Automatisch reg.nummer toekennen');
INSERT INTO `lang_definitions` VALUES (26553, 6949, 6, 'Aan');
INSERT INTO `lang_definitions` VALUES (26554, 6950, 6, 'Aan');
INSERT INTO `lang_definitions` VALUES (26555, 6956, 6, 'In voorraad');
INSERT INTO `lang_definitions` VALUES (26556, 6959, 6, 'In bestelling');
INSERT INTO `lang_definitions` VALUES (26557, 6960, 6, 'Aanwezig op afdeling');
INSERT INTO `lang_definitions` VALUES (26558, 6963, 6, 'Deze dag is een vakantiedag, toch gebruiken?');
INSERT INTO `lang_definitions` VALUES (26559, 6970, 6, 'Indien compleet, bekijk en sla dit contact op als een PDF-file');
INSERT INTO `lang_definitions` VALUES (26560, 6975, 6, 'Indien de hoofd Bussiness faciliteit is vastgelegd, niet meer veranderen. Wel veranderen zal de werking in NewCrop ePresciption beinvloeden');
INSERT INTO `lang_definitions` VALUES (26561, 6979, 6, 'Na wijziging wachtwoord opnieuw inloggen');
INSERT INTO `lang_definitions` VALUES (26562, 6982, 6, '1 dag geleden');
INSERT INTO `lang_definitions` VALUES (26563, 6985, 6, '1 maand geleden');
INSERT INTO `lang_definitions` VALUES (26564, 6992, 6, 'Een jaar geleden');
INSERT INTO `lang_definitions` VALUES (26565, 6996, 6, 'WEB-Support');
INSERT INTO `lang_definitions` VALUES (26566, 6997, 6, 'Online Support link');
INSERT INTO `lang_definitions` VALUES (26567, 6999, 6, 'Alleen actieven');
INSERT INTO `lang_definitions` VALUES (26568, 7000, 6, 'Allen van toepassing als de Provider of collated lijst hierboven werd gekozen. PRIMARY selecteerd alleen patienten als de Provider de Primary Provider is. ENCOUNT slecteerd alle patienten die door de Provider gezien zijn.');
INSERT INTO `lang_definitions` VALUES (26569, 7002, 6, 'Alleen ter vergelijking');
INSERT INTO `lang_definitions` VALUES (26570, 7004, 6, 'alleen indien rekening locatie');
INSERT INTO `lang_definitions` VALUES (26571, 7006, 6, 'Alleen niet-actieven');
INSERT INTO `lang_definitions` VALUES (26572, 7007, 6, 'Van gebruiker');
INSERT INTO `lang_definitions` VALUES (26573, 7011, 6, 'Toon slechts de diagnose verslag code');
INSERT INTO `lang_definitions` VALUES (26574, 7012, 6, 'Toon slechts Financieel service verslag code');
INSERT INTO `lang_definitions` VALUES (26575, 7013, 6, 'Alleen actieve receptuur uploaden');
INSERT INTO `lang_definitions` VALUES (26576, 7014, 6, 'Upload alleen actieve recepten naar NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (26577, 7015, 6, 'Begin');
INSERT INTO `lang_definitions` VALUES (26578, 7016, 6, 'Begin van huidige symptomen of ziekte');
INSERT INTO `lang_definitions` VALUES (26579, 7017, 6, 'Begin ziekte:');
INSERT INTO `lang_definitions` VALUES (26580, 7018, 6, 'Begin ziekte:');
INSERT INTO `lang_definitions` VALUES (26581, 7019, 6, 'Begin zwelling:');
INSERT INTO `lang_definitions` VALUES (26582, 7022, 6, 'Begindatum opname:');
INSERT INTO `lang_definitions` VALUES (26583, 7024, 6, 'Onsite Patienten Activiteiten');
INSERT INTO `lang_definitions` VALUES (26584, 7025, 6, 'Onsite Patienten Portaal');
INSERT INTO `lang_definitions` VALUES (26585, 7026, 6, 'Site adres van Patient Portal');
INSERT INTO `lang_definitions` VALUES (26586, 7027, 6, 'Onsite Portaal');
INSERT INTO `lang_definitions` VALUES (26587, 7028, 6, 'Onsite Portaal Activiteiten');
INSERT INTO `lang_definitions` VALUES (26588, 7030, 6, 'Oeps!');
INSERT INTO `lang_definitions` VALUES (26589, 7031, 6, 'Open');
INSERT INTO `lang_definitions` VALUES (26590, 7037, 6, 'Open Contact');
INSERT INTO `lang_definitions` VALUES (26591, 7040, 6, 'Openen in nieuw venster');
INSERT INTO `lang_definitions` VALUES (26592, 7042, 6, 'Huidige patient');
INSERT INTO `lang_definitions` VALUES (26593, 7043, 6, 'Open patient in een nieuw scherm');
INSERT INTO `lang_definitions` VALUES (26594, 7046, 6, 'Maak het bezoek van vandaag open');
INSERT INTO `lang_definitions` VALUES (26595, 7071, 6, 'OpenEMR heef al een Certificaat Authority geconfigureerd');
INSERT INTO `lang_definitions` VALUES (26596, 7074, 6, 'OpenEMR Applicatie Categorie');
INSERT INTO `lang_definitions` VALUES (26597, 7076, 6, 'OpenEMR DB upgrade');
INSERT INTO `lang_definitions` VALUES (26598, 7077, 6, 'OpenEMR Database voo De-identificatie');
INSERT INTO `lang_definitions` VALUES (26599, 7078, 6, 'OpenEMR herkent de binnenkomende file niet in de CONTRIB directory. Dit komt waarschijnlijk doordat de release in support_external_dataloads tabel in de MySQL database geconfigureerd worden.');
INSERT INTO `lang_definitions` VALUES (26600, 7080, 6, 'OpenEMR moet geconfigureerd worden voordat het client certificaten kan gebruiken');
INSERT INTO `lang_definitions` VALUES (26601, 7083, 6, 'OpenEMR Product Registratie');
INSERT INTO `lang_definitions` VALUES (26602, 7084, 6, 'OpenEMR heeft Javascript nodig voor toegangscontrole.');
INSERT INTO `lang_definitions` VALUES (26603, 7085, 6, 'OpenEMR gebruikers');
INSERT INTO `lang_definitions` VALUES (26604, 7086, 6, 'Openingen');
INSERT INTO `lang_definitions` VALUES (26605, 7087, 6, 'Opent in het onderste scherm');
INSERT INTO `lang_definitions` VALUES (26606, 7088, 6, 'Opent in het bovenste scherm');
INSERT INTO `lang_definitions` VALUES (26607, 7091, 6, 'Gebruiker');
INSERT INTO `lang_definitions` VALUES (26608, 7092, 6, 'Ophtalmisch');
INSERT INTO `lang_definitions` VALUES (26609, 7095, 6, 'Mogelijkheid');
INSERT INTO `lang_definitions` VALUES (26610, 7097, 6, 'Voorkeur om methode van document producten op te slaan.');
INSERT INTO `lang_definitions` VALUES (26611, 7098, 6, 'Optie om inventaris en producten voor verkoop te ondersteunen');
INSERT INTO `lang_definitions` VALUES (26612, 7099, 6, 'Keuze mogelijkheid');
INSERT INTO `lang_definitions` VALUES (26613, 7100, 6, 'Optionele categorie naam voor een ID kaart image die op de patient samenvattings pagina te zien is.');
INSERT INTO `lang_definitions` VALUES (26614, 7101, 6, 'Optionele categorie naam voor een ID kaart foto die op de patient samenvattings pagina te zien is.');
INSERT INTO `lang_definitions` VALUES (26615, 7102, 6, 'Categorienaam naar keuze om een document om verbinding te maken met patient gegevens samenvattings pagina. Laat u klikken op de naam van een Client om hun ID kaart te zien.');
INSERT INTO `lang_definitions` VALUES (26616, 7103, 6, 'Optioneel default range voor handmatige resultaten invoer');
INSERT INTO `lang_definitions` VALUES (26617, 7104, 6, 'Optioneel default range voor handmatig invoeren resultaten');
INSERT INTO `lang_definitions` VALUES (26618, 7105, 6, 'Niet verplichte bestemmingsnaam');
INSERT INTO `lang_definitions` VALUES (26619, 7107, 6, 'Medicatienaam optioneel, gebruik % als wildcard');
INSERT INTO `lang_definitions` VALUES (26620, 7109, 6, 'Optionel einddatum mm//dd//jjjj');
INSERT INTO `lang_definitions` VALUES (26621, 7110, 6, 'Immunisatie naam of code optioneel, gebruik % as wild card');
INSERT INTO `lang_definitions` VALUES (26622, 7111, 6, 'Mogelijkheid om informatie te geven over gebeurtenis');
INSERT INTO `lang_definitions` VALUES (26623, 7112, 6, 'Lotnummer optioneel, gebruik % als wildcard');
INSERT INTO `lang_definitions` VALUES (26624, 7113, 6, 'Numeriek client ID naar optioneel');
INSERT INTO `lang_definitions` VALUES (26625, 7114, 6, 'Facultatieve procedurecode');
INSERT INTO `lang_definitions` VALUES (26626, 7115, 6, 'Optionele procedure/service code');
INSERT INTO `lang_definitions` VALUES (26627, 7116, 6, 'Opties');
INSERT INTO `lang_definitions` VALUES (26628, 7117, 6, 'of kies');
INSERT INTO `lang_definitions` VALUES (26629, 7118, 6, 'of');
INSERT INTO `lang_definitions` VALUES (26630, 7119, 6, 'of selecteer');
INSERT INTO `lang_definitions` VALUES (26631, 7120, 6, 'of klik en sleep voor snellere selectie');
INSERT INTO `lang_definitions` VALUES (26632, 7121, 6, 'Of maak dit nieuwe veld ID');
INSERT INTO `lang_definitions` VALUES (26633, 7122, 6, 'Kaart bij:');
INSERT INTO `lang_definitions` VALUES (26634, 7123, 6, 'of selecteer van inventarisatie');
INSERT INTO `lang_definitions` VALUES (26635, 7124, 6, 'of Shift-klik voor verkleinen');
INSERT INTO `lang_definitions` VALUES (26636, 7125, 6, 'Of upload ERA dossier:');
INSERT INTO `lang_definitions` VALUES (26637, 7127, 6, 'Oraal');
INSERT INTO `lang_definitions` VALUES (26638, 7128, 6, 'Orale mucosa is roze, keel schoon');
INSERT INTO `lang_definitions` VALUES (26639, 7129, 6, 'Aanvragen');
INSERT INTO `lang_definitions` VALUES (26640, 7131, 6, 'Bestel en Resultaat types');
INSERT INTO `lang_definitions` VALUES (26641, 7132, 6, 'Aanvraag opties');
INSERT INTO `lang_definitions` VALUES (26642, 7133, 6, 'Datum bestelling');
INSERT INTO `lang_definitions` VALUES (26643, 7134, 6, 'Beschrijving van orders');
INSERT INTO `lang_definitions` VALUES (26644, 7136, 6, 'Bestelformulier');
INSERT INTO `lang_definitions` VALUES (26645, 7137, 6, 'Bestel ID');
INSERT INTO `lang_definitions` VALUES (26646, 7138, 6, 'Bestelling moet een nummer tussen 1 en 999 zijn');
INSERT INTO `lang_definitions` VALUES (26647, 7140, 6, 'Naam bestelling');
INSERT INTO `lang_definitions` VALUES (26648, 7142, 6, 'Prioriteit van bestelling');
INSERT INTO `lang_definitions` VALUES (26649, 7143, 6, 'Bestellingverwerker');
INSERT INTO `lang_definitions` VALUES (26650, 7145, 6, 'Orderresultaten');
INSERT INTO `lang_definitions` VALUES (26651, 7146, 6, 'Orderstatus');
INSERT INTO `lang_definitions` VALUES (26652, 7147, 6, 'Status bestellingen');
INSERT INTO `lang_definitions` VALUES (26653, 7148, 6, 'Order samenvatting');
INSERT INTO `lang_definitions` VALUES (26654, 7149, 6, 'Track order');
INSERT INTO `lang_definitions` VALUES (26655, 7150, 6, 'Aangevraagde type');
INSERT INTO `lang_definitions` VALUES (26656, 7151, 6, 'AangevraagdeTypen');
INSERT INTO `lang_definitions` VALUES (26657, 7152, 6, 'Bestel/Resultaat Type');
INSERT INTO `lang_definitions` VALUES (26658, 7153, 6, 'Besteld');
INSERT INTO `lang_definitions` VALUES (26659, 7154, 6, 'Besteld door');
INSERT INTO `lang_definitions` VALUES (26660, 7155, 6, 'Ordered procedure');
INSERT INTO `lang_definitions` VALUES (26661, 7159, 6, 'Besteld door Dienstverlener:');
INSERT INTO `lang_definitions` VALUES (26662, 7161, 6, 'Bestellingen');
INSERT INTO `lang_definitions` VALUES (26663, 7163, 6, 'Order Path');
INSERT INTO `lang_definitions` VALUES (26664, 7166, 6, 'Orgaanletsel');
INSERT INTO `lang_definitions` VALUES (26665, 7167, 6, 'Organisatie');
INSERT INTO `lang_definitions` VALUES (26666, 7168, 6, 'Naam organisatie');
INSERT INTO `lang_definitions` VALUES (26667, 7169, 6, 'Naam Organisatie Unit');
INSERT INTO `lang_definitions` VALUES (26668, 7170, 6, 'Organisaties');
INSERT INTO `lang_definitions` VALUES (26669, 7171, 6, 'Georiënteerd tijd, persoon, plaats');
INSERT INTO `lang_definitions` VALUES (26670, 7175, 6, 'Origineel');
INSERT INTO `lang_definitions` VALUES (26671, 7176, 6, 'Originele checksom');
INSERT INTO `lang_definitions` VALUES (26672, 7177, 6, 'Origineel bestand');
INSERT INTO `lang_definitions` VALUES (26673, 7179, 6, 'Oriya');
INSERT INTO `lang_definitions` VALUES (26674, 7180, 6, 'Oromo');
INSERT INTO `lang_definitions` VALUES (26675, 7181, 6, 'Orofarynx');
INSERT INTO `lang_definitions` VALUES (26676, 7184, 6, 'Ortopnea');
INSERT INTO `lang_definitions` VALUES (26677, 7188, 6, 'Linker oog');
INSERT INTO `lang_definitions` VALUES (26678, 7189, 6, 'Osteoartritis');
INSERT INTO `lang_definitions` VALUES (26679, 7190, 6, 'Ossetiaans, Ossetisch');
INSERT INTO `lang_definitions` VALUES (26680, 7191, 6, 'Osteopathie');
INSERT INTO `lang_definitions` VALUES (26681, 7193, 6, 'Ander');
INSERT INTO `lang_definitions` VALUES (26682, 7194, 6, 'ander');
INSERT INTO `lang_definitions` VALUES (26683, 7195, 6, 'ANDER');
INSERT INTO `lang_definitions` VALUES (26684, 7196, 6, 'Ander (specificeer)');
INSERT INTO `lang_definitions` VALUES (26685, 7198, 6, 'Anders - gespecificeerd');
INSERT INTO `lang_definitions` VALUES (26686, 7199, 6, 'Andere volwassenen');
INSERT INTO `lang_definitions` VALUES (26687, 7200, 6, 'Andere documenten');
INSERT INTO `lang_definitions` VALUES (26688, 7201, 6, 'Onder overheidsprogramma');
INSERT INTO `lang_definitions` VALUES (26689, 7202, 6, 'Andere HCFA');
INSERT INTO `lang_definitions` VALUES (26690, 7203, 6, 'Nadere kwetsuur nergens anders gespecificeerd');
INSERT INTO `lang_definitions` VALUES (26691, 7204, 6, 'Andere Aansprakelijkheids Verzekering is Primair');
INSERT INTO `lang_definitions` VALUES (26692, 7206, 6, 'andere maand');
INSERT INTO `lang_definitions` VALUES (26693, 7207, 6, 'Ander niet overheidsprogramma');
INSERT INTO `lang_definitions` VALUES (26694, 7208, 6, 'Andere notities');
INSERT INTO `lang_definitions` VALUES (26695, 7209, 6, 'Andere aanwezige symptomen');
INSERT INTO `lang_definitions` VALUES (26696, 7210, 6, 'Andere duidelijke symptomen:');
INSERT INTO `lang_definitions` VALUES (26697, 7213, 6, 'Andere pt resp');
INSERT INTO `lang_definitions` VALUES (26698, 7214, 6, 'Andeer registratie');
INSERT INTO `lang_definitions` VALUES (26699, 7215, 6, 'Ander stress/overbelastings letsel');
INSERT INTO `lang_definitions` VALUES (26700, 7216, 6, 'Ander chirurgisch');
INSERT INTO `lang_definitions` VALUES (26701, 7217, 6, 'Ander/Generisch ivm abortus');
INSERT INTO `lang_definitions` VALUES (26702, 7219, 6, 'Anderen');
INSERT INTO `lang_definitions` VALUES (26703, 7221, 6, 'anders verbreekt u de connecties tussen bestaande tabellen');
INSERT INTO `lang_definitions` VALUES (26704, 7224, 6, 'Ottawa protocol voor enkel letsel');
INSERT INTO `lang_definitions` VALUES (26705, 7225, 6, 'Beide ogen');
INSERT INTO `lang_definitions` VALUES (26706, 7227, 6, 'UIT');
INSERT INTO `lang_definitions` VALUES (26707, 7228, 6, 'Kantoor verlaten');
INSERT INTO `lang_definitions` VALUES (26708, 7230, 6, 'Verwijzing naar elders');
INSERT INTO `lang_definitions` VALUES (26709, 7231, 6, 'Resultaat');
INSERT INTO `lang_definitions` VALUES (26710, 7234, 6, 'Outlook');
INSERT INTO `lang_definitions` VALUES (26711, 7236, 6, 'Soort uitvoer');
INSERT INTO `lang_definitions` VALUES (26712, 7239, 6, 'Alg. conditie bij ontslag');
INSERT INTO `lang_definitions` VALUES (26713, 7240, 6, 'Overtijd');
INSERT INTO `lang_definitions` VALUES (26714, 7244, 6, 'Overbelast');
INSERT INTO `lang_definitions` VALUES (26715, 7245, 6, 'Overzicht');
INSERT INTO `lang_definitions` VALUES (26716, 7246, 6, 'Overgewicht');
INSERT INTO `lang_definitions` VALUES (26717, 7247, 6, 'Overschrijf HIPAA keuze');
INSERT INTO `lang_definitions` VALUES (26718, 7248, 6, 'Eigenaar');
INSERT INTO `lang_definitions` VALUES (26719, 7249, 6, 'Zuurstof saturatie');
INSERT INTO `lang_definitions` VALUES (26720, 7250, 6, 'oz');
INSERT INTO `lang_definitions` VALUES (26721, 7251, 6, 'P');
INSERT INTO `lang_definitions` VALUES (26722, 7252, 6, 'p.c.');
INSERT INTO `lang_definitions` VALUES (26723, 7253, 6, 'p.m.');
INSERT INTO `lang_definitions` VALUES (26724, 7254, 6, 'zo nodig');
INSERT INTO `lang_definitions` VALUES (26725, 7258, 6, 'Pacific Eiland bewoner');
INSERT INTO `lang_definitions` VALUES (26726, 7259, 6, 'Pediatrisch');
INSERT INTO `lang_definitions` VALUES (26727, 7260, 6, 'Pagina');
INSERT INTO `lang_definitions` VALUES (26728, 7263, 6, 'Pagina´s');
INSERT INTO `lang_definitions` VALUES (26729, 7264, 6, 'Betaald');
INSERT INTO `lang_definitions` VALUES (26730, 7265, 6, 'Betaald bedrag dat u will plaatsen');
INSERT INTO `lang_definitions` VALUES (26731, 7266, 6, 'Betaald bedrag');
INSERT INTO `lang_definitions` VALUES (26732, 7267, 6, 'Betaald per');
INSERT INTO `lang_definitions` VALUES (26733, 7268, 6, 'Pijn');
INSERT INTO `lang_definitions` VALUES (26734, 7271, 6, 'Palpitatie');
INSERT INTO `lang_definitions` VALUES (26735, 7274, 6, 'Panjabi, Punjabi');
INSERT INTO `lang_definitions` VALUES (26736, 7275, 6, 'PAP smear');
INSERT INTO `lang_definitions` VALUES (26737, 7276, 6, 'Papier');
INSERT INTO `lang_definitions` VALUES (26738, 7277, 6, 'Papier maat');
INSERT INTO `lang_definitions` VALUES (26739, 7278, 6, 'Paralyse');
INSERT INTO `lang_definitions` VALUES (26740, 7279, 6, 'Ouder');
INSERT INTO `lang_definitions` VALUES (26741, 7284, 6, 'HL7 invoegen');
INSERT INTO `lang_definitions` VALUES (26742, 7285, 6, 'Deels vastgelegd');
INSERT INTO `lang_definitions` VALUES (26743, 7289, 6, 'Partner');
INSERT INTO `lang_definitions` VALUES (26744, 7290, 6, 'Partner naam');
INSERT INTO `lang_definitions` VALUES (26745, 7293, 6, 'Pashto, Pushto');
INSERT INTO `lang_definitions` VALUES (26746, 7294, 6, 'Pass zin');
INSERT INTO `lang_definitions` VALUES (26747, 7295, 6, 'Pass zin om document te ontcijferen');
INSERT INTO `lang_definitions` VALUES (26748, 7296, 6, 'Gepasseerde patienten');
INSERT INTO `lang_definitions` VALUES (26749, 7297, 6, 'Passieve alert');
INSERT INTO `lang_definitions` VALUES (26750, 7299, 6, 'Passieve alert regels');
INSERT INTO `lang_definitions` VALUES (26751, 7301, 6, 'Wachtwoord');
INSERT INTO `lang_definitions` VALUES (26752, 7302, 6, 'Wachtwoord wijzigen');
INSERT INTO `lang_definitions` VALUES (26753, 7303, 6, 'Verandering Paswoord geslaagd');
INSERT INTO `lang_definitions` VALUES (26754, 7304, 6, 'Wachtwoord wijzigen gelukt.');
INSERT INTO `lang_definitions` VALUES (26755, 7306, 6, 'Paswoord voldoet niet aan de minimum eisen en moet minstens drie van de vier onderdelen bevatten: Een nummer, aan kleine letter, een hoofd lettereen speciaal karakter (geen letter of nummer).');
INSERT INTO `lang_definitions` VALUES (26756, 7308, 6, 'Tijd nog beschikbaar totdat het Paswoord verloopt');
INSERT INTO `lang_definitions` VALUES (26757, 7310, 6, 'Pasword voor telefoon Gateway. geautomatiseerde VOIP service verleend door Maviq. Bezoek http://signup.maviq.com voor meer informatie.');
INSERT INTO `lang_definitions` VALUES (26758, 7311, 6, 'Wachtwoord voor SMS Toegang');
INSERT INTO `lang_definitions` VALUES (26759, 7312, 6, 'Paswoord voor SMS toegang');
INSERT INTO `lang_definitions` VALUES (26760, 7313, 6, 'Paswoord voor voormelde gebruiker');
INSERT INTO `lang_definitions` VALUES (26761, 7314, 6, 'Paswoord veiligheid is kort geleden verbeterd.');
INSERT INTO `lang_definitions` VALUES (26762, 7315, 6, 'Paswoord om met CouchDB te verbinden');
INSERT INTO `lang_definitions` VALUES (26763, 7316, 6, 'Paswoord te kort, minimaal 8 karakters');
INSERT INTO `lang_definitions` VALUES (26764, 7319, 6, 'Wachtwoord:');
INSERT INTO `lang_definitions` VALUES (26765, 7322, 6, 'Wachtwoorden verschillend!');
INSERT INTO `lang_definitions` VALUES (26766, 7324, 6, 'Afspraken in verleden');
INSERT INTO `lang_definitions` VALUES (26767, 7325, 6, 'Afspraken in verleden, toon met Widget');
INSERT INTO `lang_definitions` VALUES (26768, 7326, 6, 'Afspraak in het verleden');
INSERT INTO `lang_definitions` VALUES (26769, 7328, 6, 'datum in het verleden');
INSERT INTO `lang_definitions` VALUES (26770, 7329, 6, 'Verlopen');
INSERT INTO `lang_definitions` VALUES (26771, 7330, 6, 'Verlopen');
INSERT INTO `lang_definitions` VALUES (26772, 7331, 6, 'Verlopen interval (Klinische reminders)');
INSERT INTO `lang_definitions` VALUES (26773, 7332, 6, 'Verlopen interval (Patienten reminders)');
INSERT INTO `lang_definitions` VALUES (26774, 7333, 6, 'Patient Encounter lijst');
INSERT INTO `lang_definitions` VALUES (26775, 7334, 6, 'Episode geschiedenis');
INSERT INTO `lang_definitions` VALUES (26776, 7335, 6, 'Episode geschiedenis en Documenten');
INSERT INTO `lang_definitions` VALUES (26777, 7336, 6, 'Verlopen bezoek voor');
INSERT INTO `lang_definitions` VALUES (26778, 7343, 6, 'Afgelopen Jaar');
INSERT INTO `lang_definitions` VALUES (26779, 7344, 6, 'HL7 data invoegen');
INSERT INTO `lang_definitions` VALUES (26780, 7345, 6, 'Plak de te importeren data in het tekstveld hieronder:');
INSERT INTO `lang_definitions` VALUES (26781, 7346, 6, 'Pat');
INSERT INTO `lang_definitions` VALUES (26782, 7348, 6, 'Patch');
INSERT INTO `lang_definitions` VALUES (26783, 7355, 6, 'Pad om Event Log backup te maken');
INSERT INTO `lang_definitions` VALUES (26784, 7356, 6, 'Pad naar CA Certificaat bestand');
INSERT INTO `lang_definitions` VALUES (26785, 7357, 6, 'Pad naar CA key file');
INSERT INTO `lang_definitions` VALUES (26786, 7358, 6, 'Pad naar MSQL bin files');
INSERT INTO `lang_definitions` VALUES (26787, 7359, 6, 'Pad naar Perl Bin files');
INSERT INTO `lang_definitions` VALUES (26788, 7360, 6, 'Pad naar tijdelijke bestanden');
INSERT INTO `lang_definitions` VALUES (26789, 7361, 6, 'Patiënt');
INSERT INTO `lang_definitions` VALUES (26790, 7362, 6, 'PATIENT');
INSERT INTO `lang_definitions` VALUES (26791, 7363, 6, 'patient');
INSERT INTO `lang_definitions` VALUES (26792, 7365, 6, 'Adres van Patient');
INSERT INTO `lang_definitions` VALUES (26793, 7366, 6, 'Adres van Patient niet ingevuld');
INSERT INTO `lang_definitions` VALUES (26794, 7368, 6, 'Patient correctie');
INSERT INTO `lang_definitions` VALUES (26795, 7369, 6, 'Allergieen van pt');
INSERT INTO `lang_definitions` VALUES (26796, 7370, 6, 'Allergieen van pt');
INSERT INTO `lang_definitions` VALUES (26797, 7373, 6, 'Afspraak van pt');
INSERT INTO `lang_definitions` VALUES (26798, 7374, 6, 'Balans voor deze patient');
INSERT INTO `lang_definitions` VALUES (26799, 7375, 6, 'Patienten balans te betalen');
INSERT INTO `lang_definitions` VALUES (26800, 7376, 6, 'Factuur Patient');
INSERT INTO `lang_definitions` VALUES (26801, 7378, 6, 'Kenmerken van Patient');
INSERT INTO `lang_definitions` VALUES (26802, 7379, 6, 'Patientkaart-ID');
INSERT INTO `lang_definitions` VALUES (26803, 7381, 6, 'Check-out patient');
INSERT INTO `lang_definitions` VALUES (26804, 7382, 6, 'Check-out voor patient:');
INSERT INTO `lang_definitions` VALUES (26805, 7383, 6, 'Woonplaats patient');
INSERT INTO `lang_definitions` VALUES (26806, 7384, 6, 'Woonplaats van Patient niet ingevuld');
INSERT INTO `lang_definitions` VALUES (26807, 7386, 6, 'Patiënt communicatie verzonden');
INSERT INTO `lang_definitions` VALUES (26808, 7387, 6, 'Patiënt communicatie verzonden');
INSERT INTO `lang_definitions` VALUES (26809, 7388, 6, 'Land van patient');
INSERT INTO `lang_definitions` VALUES (26810, 7389, 6, 'Land is voor patient niet ingevuld. Ook in Global sttings is het Land van patient niet ingevuld');
INSERT INTO `lang_definitions` VALUES (26811, 7390, 6, 'Dekking voor patient');
INSERT INTO `lang_definitions` VALUES (26812, 7394, 6, 'Data van patient');
INSERT INTO `lang_definitions` VALUES (26813, 7395, 6, 'Geboortedatum Patient');
INSERT INTO `lang_definitions` VALUES (26814, 7396, 6, 'Geboortedatum is niet ingevuld');
INSERT INTO `lang_definitions` VALUES (26815, 7397, 6, 'Beslissing van Patient');
INSERT INTO `lang_definitions` VALUES (26816, 7401, 6, 'Details van patient');
INSERT INTO `lang_definitions` VALUES (26817, 7402, 6, 'Geb datum van patient');
INSERT INTO `lang_definitions` VALUES (26818, 7404, 6, 'Document van patient');
INSERT INTO `lang_definitions` VALUES (26819, 7409, 6, 'Documenten van patient');
INSERT INTO `lang_definitions` VALUES (26820, 7410, 6, 'Patienten voorlichting');
INSERT INTO `lang_definitions` VALUES (26821, 7411, 6, 'Patienten voorlichtings materiaal');
INSERT INTO `lang_definitions` VALUES (26822, 7412, 6, 'Patientcontact(en)');
INSERT INTO `lang_definitions` VALUES (26823, 7413, 6, 'Patientencontactformulier');
INSERT INTO `lang_definitions` VALUES (26824, 7414, 6, 'Patiëntencontacten');
INSERT INTO `lang_definitions` VALUES (26825, 7415, 6, 'Patiënt opzoeken');
INSERT INTO `lang_definitions` VALUES (26826, 7417, 6, 'Voornaam patient');
INSERT INTO `lang_definitions` VALUES (26827, 7418, 6, 'Voornaam Patient');
INSERT INTO `lang_definitions` VALUES (26828, 7419, 6, 'Voornaam van patient niet ingevuld');
INSERT INTO `lang_definitions` VALUES (26829, 7424, 6, 'Geslacht patient');
INSERT INTO `lang_definitions` VALUES (26830, 7425, 6, 'Geslacht patient niet ingevuld');
INSERT INTO `lang_definitions` VALUES (26831, 7426, 6, 'Patient heeft nog geen toestemming gegeven voor Patient portal.');
INSERT INTO `lang_definitions` VALUES (26832, 7428, 6, 'Historie van patient');
INSERT INTO `lang_definitions` VALUES (26833, 7429, 6, 'Historie/leefwijze patient');
INSERT INTO `lang_definitions` VALUES (26834, 7430, 6, 'Huis tel nummer van patient');
INSERT INTO `lang_definitions` VALUES (26835, 7431, 6, 'Patiënt-ID');
INSERT INTO `lang_definitions` VALUES (26836, 7432, 6, 'Patenten ID');
INSERT INTO `lang_definitions` VALUES (26837, 7433, 6, 'Patient-ID kaart');
INSERT INTO `lang_definitions` VALUES (26838, 7434, 6, 'Patient ID Catogorie naam');
INSERT INTO `lang_definitions` VALUES (26839, 7437, 6, 'Vaccinatie van patient');
INSERT INTO `lang_definitions` VALUES (26840, 7438, 6, 'Patientinformatie');
INSERT INTO `lang_definitions` VALUES (26841, 7440, 6, 'Instructies aan patient');
INSERT INTO `lang_definitions` VALUES (26842, 7441, 6, 'Patient verdeeld naar verzekering');
INSERT INTO `lang_definitions` VALUES (26843, 7442, 6, 'Rapport patientverdeling per verzekering');
INSERT INTO `lang_definitions` VALUES (26844, 7445, 6, 'Problemen van patient');
INSERT INTO `lang_definitions` VALUES (26845, 7446, 6, 'Patient Label type');
INSERT INTO `lang_definitions` VALUES (26846, 7447, 6, 'Achtenaam patient');
INSERT INTO `lang_definitions` VALUES (26847, 7448, 6, 'Achternaam Patient');
INSERT INTO `lang_definitions` VALUES (26848, 7449, 6, 'Achternaam van patient niet ingevuld');
INSERT INTO `lang_definitions` VALUES (26849, 7454, 6, 'Patientenoverzicht');
INSERT INTO `lang_definitions` VALUES (26850, 7455, 6, 'Patient Lijst kolommen');
INSERT INTO `lang_definitions` VALUES (26851, 7457, 6, 'Patienten lijst nieuw venster');
INSERT INTO `lang_definitions` VALUES (26852, 7458, 6, 'Patienten lijst pagina afmeting');
INSERT INTO `lang_definitions` VALUES (26853, 7460, 6, 'Fouten tgv patient opzoeken');
INSERT INTO `lang_definitions` VALUES (26854, 7463, 6, 'Pt. Medische Problem(en)');
INSERT INTO `lang_definitions` VALUES (26855, 7464, 6, 'Medicatie patient');
INSERT INTO `lang_definitions` VALUES (26856, 7470, 6, 'Naam Patient');
INSERT INTO `lang_definitions` VALUES (26857, 7472, 6, 'Naam en adres patient');
INSERT INTO `lang_definitions` VALUES (26858, 7473, 6, 'Naam en ID Patient');
INSERT INTO `lang_definitions` VALUES (26859, 7474, 6, 'Naam en Invoice Patient');
INSERT INTO `lang_definitions` VALUES (26860, 7475, 6, 'Naam van de patient noodzakelijk');
INSERT INTO `lang_definitions` VALUES (26861, 7476, 6, 'Naam Patient/ID');
INSERT INTO `lang_definitions` VALUES (26862, 7477, 6, 'Patientnotitie');
INSERT INTO `lang_definitions` VALUES (26863, 7478, 6, 'Soort patientnotitie');
INSERT INTO `lang_definitions` VALUES (26864, 7479, 6, 'Patientnotities');
INSERT INTO `lang_definitions` VALUES (26865, 7480, 6, 'Patientnotities (schrijven en toevoegen optioneel)');
INSERT INTO `lang_definitions` VALUES (26866, 7482, 6, 'Patientnummer');
INSERT INTO `lang_definitions` VALUES (26867, 7483, 6, 'Betaling door patient');
INSERT INTO `lang_definitions` VALUES (26868, 7484, 6, 'Betalingen van Patient');
INSERT INTO `lang_definitions` VALUES (26869, 7485, 6, 'Patient foto categorie naam');
INSERT INTO `lang_definitions` VALUES (26870, 7487, 6, 'Patient ingang');
INSERT INTO `lang_definitions` VALUES (26871, 7490, 6, 'Patient Portaal verbindings probleem');
INSERT INTO `lang_definitions` VALUES (26872, 7492, 6, 'Patient toegang is uitgezet');
INSERT INTO `lang_definitions` VALUES (26873, 7493, 6, 'Patient toegang Login');
INSERT INTO `lang_definitions` VALUES (26874, 7496, 6, 'Patient toegang Web adres');
INSERT INTO `lang_definitions` VALUES (26875, 7497, 6, 'Afdruk van Pt rapport');
INSERT INTO `lang_definitions` VALUES (26876, 7499, 6, 'Overzicht van Patientgegevens');
INSERT INTO `lang_definitions` VALUES (26877, 7500, 6, 'Patient record verzoek');
INSERT INTO `lang_definitions` VALUES (26878, 7501, 6, 'Patient records verzoek');
INSERT INTO `lang_definitions` VALUES (26879, 7502, 6, 'Relegie van Patient');
INSERT INTO `lang_definitions` VALUES (26880, 7503, 6, 'Patient reminder');
INSERT INTO `lang_definitions` VALUES (26881, 7505, 6, 'Patient reminder Batch job');
INSERT INTO `lang_definitions` VALUES (26882, 7506, 6, 'Verwerk voorkeur voor anmaak Patient herinnering');
INSERT INTO `lang_definitions` VALUES (26883, 7507, 6, 'Patient reminder regels');
INSERT INTO `lang_definitions` VALUES (26884, 7508, 6, 'Patient reminder E-mails verzender');
INSERT INTO `lang_definitions` VALUES (26885, 7509, 6, 'Naam van verzender van Patient reminder');
INSERT INTO `lang_definitions` VALUES (26886, 7510, 6, 'Reminder voor pt');
INSERT INTO `lang_definitions` VALUES (26887, 7514, 6, 'Rapportage over patient');
INSERT INTO `lang_definitions` VALUES (26888, 7516, 6, 'Rapport van Patient');
INSERT INTO `lang_definitions` VALUES (26889, 7518, 6, 'Verzoek van patient');
INSERT INTO `lang_definitions` VALUES (26890, 7519, 6, 'Patient verzoek voor medische files');
INSERT INTO `lang_definitions` VALUES (26891, 7521, 6, 'Patient resultaat');
INSERT INTO `lang_definitions` VALUES (26892, 7525, 6, 'Patient zoek resultaten stijl');
INSERT INTO `lang_definitions` VALUES (26893, 7526, 6, 'Client zoeken/Toevoegscherm');
INSERT INTO `lang_definitions` VALUES (26894, 7528, 6, 'Patient setting');
INSERT INTO `lang_definitions` VALUES (26895, 7533, 6, 'Staat woonadres pt');
INSERT INTO `lang_definitions` VALUES (26896, 7537, 6, 'Straatnaam van Patient');
INSERT INTO `lang_definitions` VALUES (26897, 7539, 6, 'Samenvatting over deze patient');
INSERT INTO `lang_definitions` VALUES (26898, 7542, 6, 'Verklaringen voor patienten');
INSERT INTO `lang_definitions` VALUES (26899, 7544, 6, 'Validatie Patienten');
INSERT INTO `lang_definitions` VALUES (26900, 7546, 6, 'Postcode van Patient');
INSERT INTO `lang_definitions` VALUES (26901, 7549, 6, 'patient(en) die overeenkomen met de demografische gegevens die u invoerdde.');
INSERT INTO `lang_definitions` VALUES (26902, 7550, 6, 'Clienten');
INSERT INTO `lang_definitions` VALUES (26903, 7551, 6, 'Patiënt:');
INSERT INTO `lang_definitions` VALUES (26904, 7552, 6, 'Patient-ID');
INSERT INTO `lang_definitions` VALUES (26905, 7553, 6, 'Patienten');
INSERT INTO `lang_definitions` VALUES (26906, 7555, 6, 'Bewerkte patienten');
INSERT INTO `lang_definitions` VALUES (26907, 7559, 6, 'Betalen');
INSERT INTO `lang_definitions` VALUES (26908, 7560, 6, 'Let extra op bij de Gedaan met keuzevakjes. Nadat de verzekeringen als compleet zijn gemarkeerd, zullen we aan de patient vragen om het openstaande bedrag te betalen; wanneer u vergeet om alle verzekeringen als compleet te markeren, dan zal het openstaande bedrag niet ontvangen worden!! Als de patient nog een restbedrag moet betalen, stel dan de vervaldatum overeenkomstig in, omdat dit gevolgen heeft voor de taal die op de patient verklaringen komen te staan.');
INSERT INTO `lang_definitions` VALUES (26909, 7563, 6, 'Betalingsdatum');
INSERT INTO `lang_definitions` VALUES (26910, 7566, 6, 'Betalingsstatus');
INSERT INTO `lang_definitions` VALUES (26911, 7567, 6, 'Naam van betalende persoon');
INSERT INTO `lang_definitions` VALUES (26912, 7568, 6, 'Betaald door');
INSERT INTO `lang_definitions` VALUES (26913, 7572, 6, 'Betaler type');
INSERT INTO `lang_definitions` VALUES (26914, 7573, 6, 'Bataald nu');
INSERT INTO `lang_definitions` VALUES (26915, 7574, 6, 'Betaald door');
INSERT INTO `lang_definitions` VALUES (26916, 7575, 6, 'Betaling');
INSERT INTO `lang_definitions` VALUES (26917, 7576, 6, 'betaling');
INSERT INTO `lang_definitions` VALUES (26918, 7577, 6, 'Betalings aanpassing code');
INSERT INTO `lang_definitions` VALUES (26919, 7578, 6, 'Betaling voor tegenrekening');
INSERT INTO `lang_definitions` VALUES (26920, 7579, 6, 'Betaald bedrag');
INSERT INTO `lang_definitions` VALUES (26921, 7580, 6, 'Betaald bedrag moet numeriek zijn');
INSERT INTO `lang_definitions` VALUES (26922, 7581, 6, 'Betalings Categorie');
INSERT INTO `lang_definitions` VALUES (26923, 7583, 6, 'Datum betaling');
INSERT INTO `lang_definitions` VALUES (26924, 7584, 6, 'Betaling ingevoerd op');
INSERT INTO `lang_definitions` VALUES (26925, 7585, 6, 'Betaald door');
INSERT INTO `lang_definitions` VALUES (26926, 7586, 6, 'Betalings mogelijkheden');
INSERT INTO `lang_definitions` VALUES (26927, 7588, 6, 'Betalings Ins');
INSERT INTO `lang_definitions` VALUES (26928, 7589, 6, 'Betalings lijst');
INSERT INTO `lang_definitions` VALUES (26929, 7590, 6, 'Betalingsmethode');
INSERT INTO `lang_definitions` VALUES (26930, 7592, 6, 'Betaling gesorteerd op');
INSERT INTO `lang_definitions` VALUES (26931, 7593, 6, 'Status van betalen');
INSERT INTO `lang_definitions` VALUES (26932, 7597, 6, 'Betaald door');
INSERT INTO `lang_definitions` VALUES (26933, 7600, 6, 'Betaling waarde voor code');
INSERT INTO `lang_definitions` VALUES (26934, 7602, 6, 'Betalingen');
INSERT INTO `lang_definitions` VALUES (26935, 7606, 6, 'PCP');
INSERT INTO `lang_definitions` VALUES (26936, 7607, 6, 'Prcnt (%) van ROWS');
INSERT INTO `lang_definitions` VALUES (26937, 7610, 6, 'PDF');
INSERT INTO `lang_definitions` VALUES (26938, 7614, 6, 'PDF download geselecteerde statements');
INSERT INTO `lang_definitions` VALUES (26939, 7615, 6, 'PDF taal');
INSERT INTO `lang_definitions` VALUES (26940, 7620, 6, 'Bekken en billen');
INSERT INTO `lang_definitions` VALUES (26941, 7621, 6, 'Pemphigus');
INSERT INTO `lang_definitions` VALUES (26942, 7622, 6, 'Potlood');
INSERT INTO `lang_definitions` VALUES (26943, 7624, 6, 'Niet afgerond');
INSERT INTO `lang_definitions` VALUES (26944, 7626, 6, 'Wachtende op accoordering');
INSERT INTO `lang_definitions` VALUES (26945, 7629, 6, 'Resultaat nog niet ingevoerd');
INSERT INTO `lang_definitions` VALUES (26946, 7630, 6, 'Nog in ondezoek');
INSERT INTO `lang_definitions` VALUES (26947, 7631, 6, 'Resultaat nog niet bekend');
INSERT INTO `lang_definitions` VALUES (26948, 7632, 6, 'Lopende bestellingen');
INSERT INTO `lang_definitions` VALUES (26949, 7633, 6, 'Res volgt');
INSERT INTO `lang_definitions` VALUES (26950, 7634, 6, 'Review niet afgerond');
INSERT INTO `lang_definitions` VALUES (26951, 7635, 6, 'Rx telling pending');
INSERT INTO `lang_definitions` VALUES (26952, 7637, 6, 'Pencilline allergie');
INSERT INTO `lang_definitions` VALUES (26953, 7638, 6, 'Pennington Firm OpenEMR v');
INSERT INTO `lang_definitions` VALUES (26954, 7639, 6, 'Maagzweer/Ulcus Pepticum');
INSERT INTO `lang_definitions` VALUES (26955, 7640, 6, 'Per encounter');
INSERT INTO `lang_definitions` VALUES (26956, 7641, 6, 'per min');
INSERT INTO `lang_definitions` VALUES (26957, 7642, 6, 'Per neusgat');
INSERT INTO `lang_definitions` VALUES (26958, 7643, 6, 'per neusgat');
INSERT INTO `lang_definitions` VALUES (26959, 7644, 6, 'Oraal');
INSERT INTO `lang_definitions` VALUES (26960, 7645, 6, 'oraal');
INSERT INTO `lang_definitions` VALUES (26961, 7646, 6, 'Anaal');
INSERT INTO `lang_definitions` VALUES (26962, 7647, 6, 'anaal');
INSERT INTO `lang_definitions` VALUES (26963, 7648, 6, 'Procent');
INSERT INTO `lang_definitions` VALUES (26964, 7652, 6, 'Percentiel');
INSERT INTO `lang_definitions` VALUES (26965, 7653, 6, 'Rechts geperforeerd');
INSERT INTO `lang_definitions` VALUES (26966, 7654, 6, 'Begin zoekactie');
INSERT INTO `lang_definitions` VALUES (26967, 7655, 6, 'Deze actie uitvoeren');
INSERT INTO `lang_definitions` VALUES (26968, 7656, 6, 'Performance percentage');
INSERT INTO `lang_definitions` VALUES (26969, 7657, 6, 'uitgevoerd');
INSERT INTO `lang_definitions` VALUES (26970, 7658, 6, 'Uitvoerder');
INSERT INTO `lang_definitions` VALUES (26971, 7659, 6, 'Uitvoerende Lab. faciliteit');
INSERT INTO `lang_definitions` VALUES (26972, 7660, 6, 'Uitvoerende organisatie');
INSERT INTO `lang_definitions` VALUES (26973, 7661, 6, 'Punt');
INSERT INTO `lang_definitions` VALUES (26974, 7662, 6, 'Periode in dagen datde gebruiker nog kan in loggen met verlopen paswoord');
INSERT INTO `lang_definitions` VALUES (26975, 7663, 6, 'Zorg rond operatie');
INSERT INTO `lang_definitions` VALUES (26976, 7665, 6, 'Perifeer');
INSERT INTO `lang_definitions` VALUES (26977, 7668, 6, 'Toestaan van \"unsalted\" paswoorden');
INSERT INTO `lang_definitions` VALUES (26978, 7669, 6, 'Persisch');
INSERT INTO `lang_definitions` VALUES (26979, 7670, 6, 'Persische (Farsi)');
INSERT INTO `lang_definitions` VALUES (26980, 7671, 6, 'Persoon');
INSERT INTO `lang_definitions` VALUES (26981, 7672, 6, 'Verpersoonlijken');
INSERT INTO `lang_definitions` VALUES (26982, 7675, 6, 'PG');
INSERT INTO `lang_definitions` VALUES (26983, 7676, 6, 'Apoth');
INSERT INTO `lang_definitions` VALUES (26984, 7677, 6, 'Pharm Com telling');
INSERT INTO `lang_definitions` VALUES (26985, 7678, 6, 'Apotheken');
INSERT INTO `lang_definitions` VALUES (26986, 7680, 6, 'Apotheek');
INSERT INTO `lang_definitions` VALUES (26987, 7681, 6, 'Apotheek Afd. Receptuur');
INSERT INTO `lang_definitions` VALUES (26988, 7688, 6, 'Pheumothorax');
INSERT INTO `lang_definitions` VALUES (26989, 7689, 6, 'phiMail CCD verzenden toegestaan');
INSERT INTO `lang_definitions` VALUES (26990, 7690, 6, 'phiMail mericht controle interval (minuten)');
INSERT INTO `lang_definitions` VALUES (26991, 7691, 6, 'phiMail boodschappen controle interval in minuten');
INSERT INTO `lang_definitions` VALUES (26992, 7692, 6, 'phiMal bericht aan gebruiker');
INSERT INTO `lang_definitions` VALUES (26993, 7693, 6, 'phiMial Paswoord');
INSERT INTO `lang_definitions` VALUES (26994, 7694, 6, 'phiMail Server adres');
INSERT INTO `lang_definitions` VALUES (26995, 7695, 6, 'phiMail Gebrukers naam');
INSERT INTO `lang_definitions` VALUES (26996, 7697, 6, 'Telefoon');
INSERT INTO `lang_definitions` VALUES (26997, 7699, 6, 'Telefoon oproeplijst');
INSERT INTO `lang_definitions` VALUES (26998, 7701, 6, 'Rapport voor lijst telefoon gesprekken');
INSERT INTO `lang_definitions` VALUES (26999, 7703, 6, 'Mibiele telefoon');
INSERT INTO `lang_definitions` VALUES (27000, 7705, 6, 'Telefoon gateway Paswoord');
INSERT INTO `lang_definitions` VALUES (27001, 7706, 6, 'Telefoon gatway URL');
INSERT INTO `lang_definitions` VALUES (27002, 7707, 6, 'Telefoon Gateway Usernaam');
INSERT INTO `lang_definitions` VALUES (27003, 7708, 6, 'Huis telefoon');
INSERT INTO `lang_definitions` VALUES (27004, 7709, 6, 'Telefoon meldings uur');
INSERT INTO `lang_definitions` VALUES (27005, 7710, 6, 'Telefoon nummer');
INSERT INTO `lang_definitions` VALUES (27006, 7711, 6, 'Telefoon nummer');
INSERT INTO `lang_definitions` VALUES (27007, 7715, 6, 'Fotofobie');
INSERT INTO `lang_definitions` VALUES (27008, 7716, 6, 'Fotos');
INSERT INTO `lang_definitions` VALUES (27009, 7717, 6, 'Via PHP opgezocht');
INSERT INTO `lang_definitions` VALUES (27010, 7718, 6, 'PHP CURL module moet geactiveerd worden op uw Server');
INSERT INTO `lang_definitions` VALUES (27011, 7720, 6, 'PHP geëxtraheerd');
INSERT INTO `lang_definitions` VALUES (27012, 7721, 6, 'php-GACL toegangscontroles zijn uitgeschakeld');
INSERT INTO `lang_definitions` VALUES (27013, 7722, 6, 'PHP-gacl is niet geïnstalleerd');
INSERT INTO `lang_definitions` VALUES (27014, 7723, 6, 'Fysiek onderzoek');
INSERT INTO `lang_definitions` VALUES (27015, 7724, 6, 'Arts');
INSERT INTO `lang_definitions` VALUES (27016, 7725, 6, 'Aanvraag door arts');
INSERT INTO `lang_definitions` VALUES (27017, 7726, 6, 'Handtekening arts');
INSERT INTO `lang_definitions` VALUES (27018, 7727, 6, 'Soort arts');
INSERT INTO `lang_definitions` VALUES (27019, 7729, 6, 'Doktoren');
INSERT INTO `lang_definitions` VALUES (27020, 7733, 6, 'kies');
INSERT INTO `lang_definitions` VALUES (27021, 7734, 6, 'Kies');
INSERT INTO `lang_definitions` VALUES (27022, 7735, 6, 'Kies een CSS thema');
INSERT INTO `lang_definitions` VALUES (27023, 7736, 6, 'Kies een algemeen thema (eerst uitloggen vervolgens inloggen om instelllingen te activeren).');
INSERT INTO `lang_definitions` VALUES (27024, 7738, 6, 'PID');
INSERT INTO `lang_definitions` VALUES (27025, 7740, 6, 'PID (Pelvic Infl. Disease)');
INSERT INTO `lang_definitions` VALUES (27026, 7741, 6, 'Pil grootte');
INSERT INTO `lang_definitions` VALUES (27027, 7742, 6, 'Pillen');
INSERT INTO `lang_definitions` VALUES (27028, 7745, 6, 'Plaats de database zip file in de volgende directory als deze geinstalleerd moet worden');
INSERT INTO `lang_definitions` VALUES (27029, 7746, 6, 'Plaats de verkregen ICD 10 database zip files in de volgende directory');
INSERT INTO `lang_definitions` VALUES (27030, 7747, 6, 'Plaats de verkregen ICD 10 database zip file in de volgende directory');
INSERT INTO `lang_definitions` VALUES (27031, 7748, 6, 'Plaats de verkregen RxNorm database zip file in de volgende directory');
INSERT INTO `lang_definitions` VALUES (27032, 7749, 6, 'Plaats de verkregen Snomed database zip file in de volgende directory');
INSERT INTO `lang_definitions` VALUES (27033, 7752, 6, 'Placeholder');
INSERT INTO `lang_definitions` VALUES (27034, 7753, 6, 'Placeholder (vult lege ACLs op)');
INSERT INTO `lang_definitions` VALUES (27035, 7756, 6, 'Vlakke tekst');
INSERT INTO `lang_definitions` VALUES (27036, 7757, 6, 'Plan');
INSERT INTO `lang_definitions` VALUES (27037, 7758, 6, 'Plan succesvol toegevoegd');
INSERT INTO `lang_definitions` VALUES (27038, 7759, 6, 'Plan al in list_options');
INSERT INTO `lang_definitions` VALUES (27039, 7762, 6, 'Naam plan');
INSERT INTO `lang_definitions` VALUES (27040, 7763, 6, 'Naam Plan bestaat al');
INSERT INTO `lang_definitions` VALUES (27041, 7764, 6, 'Naam van plan al gekozen');
INSERT INTO `lang_definitions` VALUES (27042, 7765, 6, 'Naam Plan niet aanwezig');
INSERT INTO `lang_definitions` VALUES (27043, 7768, 6, 'Plan set');
INSERT INTO `lang_definitions` VALUES (27044, 7769, 6, 'Status Plan is veranderd');
INSERT INTO `lang_definitions` VALUES (27045, 7770, 6, 'Status Plan is niet veranderd');
INSERT INTO `lang_definitions` VALUES (27046, 7772, 6, 'Plan is succesvol geupdated');
INSERT INTO `lang_definitions` VALUES (27047, 7773, 6, 'Plan:');
INSERT INTO `lang_definitions` VALUES (27048, 7774, 6, 'Geplande activiteiten');
INSERT INTO `lang_definitions` VALUES (27049, 7775, 6, 'Geplande datum');
INSERT INTO `lang_definitions` VALUES (27050, 7776, 6, 'Plannen');
INSERT INTO `lang_definitions` VALUES (27051, 7777, 6, 'Configuratie plannen');
INSERT INTO `lang_definitions` VALUES (27052, 7778, 6, 'Speler');
INSERT INTO `lang_definitions` VALUES (27053, 7779, 6, 'Spel positie');
INSERT INTO `lang_definitions` VALUES (27054, 7780, 6, 'Voor informatie over deze rekening kunt u bellen met');
INSERT INTO `lang_definitions` VALUES (27055, 7784, 6, 'Verander uw paswoord');
INSERT INTO `lang_definitions` VALUES (27056, 7785, 6, 'File kiezen');
INSERT INTO `lang_definitions` VALUES (27057, 7786, 6, 'Kies een client');
INSERT INTO `lang_definitions` VALUES (27058, 7787, 6, 'Maak a.u.b. een geldige keuze uit de lijst');
INSERT INTO `lang_definitions` VALUES (27059, 7788, 6, 'Kies een valide selectie');
INSERT INTO `lang_definitions` VALUES (27060, 7789, 6, 'Selecteer een waarde voor');
INSERT INTO `lang_definitions` VALUES (27061, 7790, 6, 'Kies hierboven een datum range en klik');
INSERT INTO `lang_definitions` VALUES (27062, 7791, 6, 'Kies het juiste format EDI-271 file');
INSERT INTO `lang_definitions` VALUES (27063, 7792, 6, 'klik op \"download-knop\" om de ge-de-identificeerde data te downloaden');
INSERT INTO `lang_definitions` VALUES (27064, 7793, 6, 'Klik op \"download knop\" om de Re Identificatie data op te downloaden');
INSERT INTO `lang_definitions` VALUES (27065, 7795, 6, 'Sluit dit venster a.u.b af');
INSERT INTO `lang_definitions` VALUES (27066, 7796, 6, 'Vergelijk a.u.b. de nieuwe naam');
INSERT INTO `lang_definitions` VALUES (27067, 7801, 6, 'Neem contact op met de systeembeheerder, de volgende componenten zijn benodigd, maar niet aanwezig.');
INSERT INTO `lang_definitions` VALUES (27068, 7802, 6, 'Eerst de waarde(n) corrigeren alvorens verder te gaan!');
INSERT INTO `lang_definitions` VALUES (27069, 7803, 6, 'Maak de volgende directory aan alvorens verder te gaan');
INSERT INTO `lang_definitions` VALUES (27070, 7805, 6, 'Accepteer dit recept a.u.b. niet, tenzij u het heeft ontvangen per fax.');
INSERT INTO `lang_definitions` VALUES (27071, 7806, 6, 'Accepteer dit recept a.u.b. niet, tenzij u het heeft ontvangen per fax.');
INSERT INTO `lang_definitions` VALUES (27072, 7807, 6, 'Maak GEEN gebruik van uw browser met de STOP of RELOAD knop terwijl deze pagina actief is, als er meer dan 10 minuten zijn verstreken, zal dit niet tot gevolg hebben dat het proces wordt gestopt op de server en onnodige resources zal gebruiken.');
INSERT INTO `lang_definitions` VALUES (27073, 7808, 6, 'ACTIVEER CURL Extensie');
INSERT INTO `lang_definitions` VALUES (27074, 7809, 6, 'ACTIVEER OEPNSSL Extensie');
INSERT INTO `lang_definitions` VALUES (27075, 7810, 6, 'ACTIVEER SOAP Extensie');
INSERT INTO `lang_definitions` VALUES (27076, 7811, 6, 'ACTIVEER XML Extensie');
INSERT INTO `lang_definitions` VALUES (27077, 7813, 6, 'Voer a.u.b. een datum in voor laatst beoordeeld');
INSERT INTO `lang_definitions` VALUES (27078, 7814, 6, 'Datum invoeren');
INSERT INTO `lang_definitions` VALUES (27079, 7816, 6, 'Verloop datum invullen');
INSERT INTO `lang_definitions` VALUES (27080, 7818, 6, 'Bericht aanmaken');
INSERT INTO `lang_definitions` VALUES (27081, 7819, 6, 'Voer a.u.b. een bedrag in met alleen cijfers en een punt.');
INSERT INTO `lang_definitions` VALUES (27082, 7821, 6, 'Nieuw paswoord invoeren');
INSERT INTO `lang_definitions` VALUES (27083, 7822, 6, 'Voer a.u.b. een titel in!');
INSERT INTO `lang_definitions` VALUES (27084, 7824, 6, 'Voer hierboven een bestaand Direct Adres in');
INSERT INTO `lang_definitions` VALUES (27085, 7825, 6, 'Minstens de Item naam invoeren');
INSERT INTO `lang_definitions` VALUES (27086, 7826, 6, 'minstens de track-naam invoeren');
INSERT INTO `lang_definitions` VALUES (27087, 7828, 6, 'Goede Re Identificatie code invullen');
INSERT INTO `lang_definitions` VALUES (27088, 7829, 6, 'Einddatum moet na de begindatum vallen!');
INSERT INTO `lang_definitions` VALUES (27089, 7832, 6, 'Nieuwe zoek opdracht geven');
INSERT INTO `lang_definitions` VALUES (27090, 7833, 6, 'De juiste Re-Identificatie code invullen');
INSERT INTO `lang_definitions` VALUES (27091, 7834, 6, 'Voer a.u.b. een wachtwoord in');
INSERT INTO `lang_definitions` VALUES (27092, 7843, 6, 'Cheque nummer invullen');
INSERT INTO `lang_definitions` VALUES (27093, 7844, 6, 'Ceck/Ref nummer invullen');
INSERT INTO `lang_definitions` VALUES (27094, 7845, 6, 'Datum invullen');
INSERT INTO `lang_definitions` VALUES (27095, 7846, 6, 'Betaald bedrag invullen');
INSERT INTO `lang_definitions` VALUES (27096, 7847, 6, 'Betaalde categorie invullen');
INSERT INTO `lang_definitions` VALUES (27097, 7848, 6, 'Vorm vanbetaling invullen');
INSERT INTO `lang_definitions` VALUES (27098, 7849, 6, 'Datum van vastleggen invullen');
INSERT INTO `lang_definitions` VALUES (27099, 7850, 6, 'Dit invullen voor verder te gaan');
INSERT INTO `lang_definitions` VALUES (27100, 7854, 6, 'Geef reden van visite aan');
INSERT INTO `lang_definitions` VALUES (27101, 7855, 6, 'Voer input search gegevens hierboven in en klik op verzenden om rapport te starten.');
INSERT INTO `lang_definitions` VALUES (27102, 7856, 6, 'Vul zoek criteria in en klik Zoek om resultaat te zien');
INSERT INTO `lang_definitions` VALUES (27103, 7857, 6, 'Vul zoek criteria hierboven in en klik op Zoek om resultaten te zien. (Resultaten worden getoond in een pop-up scherm)');
INSERT INTO `lang_definitions` VALUES (27104, 7858, 6, 'Opnieuw inloggen.');
INSERT INTO `lang_definitions` VALUES (27105, 7859, 6, 'Houd er rekening mee dat dit erg lang kan duren, zelfs tot enkele minuten, uw webbrowser lijkt niet erg actief in deze tijd, maar het genereren van een factuur is een ingewikkeld proces en uw webbrowser is slechts in afwachting van meer informatie.');
INSERT INTO `lang_definitions` VALUES (27106, 7860, 6, 'Let op: constanten zijn hoofdlettergevoelig en iedere string is toegestaan.');
INSERT INTO `lang_definitions` VALUES (27107, 7861, 6, 'Gebruik alleen letters');
INSERT INTO `lang_definitions` VALUES (27108, 7862, 6, 'Gebruik alleen letters zonder spaties');
INSERT INTO `lang_definitions` VALUES (27109, 7863, 6, 'Gelieve dit bedrag betalen');
INSERT INTO `lang_definitions` VALUES (27110, 7864, 6, 'Plaats uw installatie files in de volgende directory');
INSERT INTO `lang_definitions` VALUES (27111, 7867, 6, 'Verwijzing naar');
INSERT INTO `lang_definitions` VALUES (27112, 7868, 6, 'Paswoord wijzigen');
INSERT INTO `lang_definitions` VALUES (27113, 7869, 6, 'Apache Server opnieuw opstarten voor de De-Identificatie te bewerken');
INSERT INTO `lang_definitions` VALUES (27114, 7874, 6, 'Bekijk de bijgevoede attachment');
INSERT INTO `lang_definitions` VALUES (27115, 7875, 6, 'Kiezen');
INSERT INTO `lang_definitions` VALUES (27116, 7876, 6, 'Kies een format');
INSERT INTO `lang_definitions` VALUES (27117, 7877, 6, 'Kies een taal');
INSERT INTO `lang_definitions` VALUES (27118, 7878, 6, 'Kies een patient');
INSERT INTO `lang_definitions` VALUES (27119, 7879, 6, 'Selecteer de Hoofd Faciliteit met TAX ID voor uw faciliteit. Voor eenmans bedrijf gebruik eigen tax id. Hiermee zoekt NewCrop naar identificatie.');
INSERT INTO `lang_definitions` VALUES (27120, 7881, 6, 'Graag een procedure provider selecteren');
INSERT INTO `lang_definitions` VALUES (27121, 7882, 6, 'Ontvanger selecteren');
INSERT INTO `lang_definitions` VALUES (27122, 7884, 6, 'Kies een start en eind datum');
INSERT INTO `lang_definitions` VALUES (27123, 7885, 6, 'Valide ontvanger selecteren');
INSERT INTO `lang_definitions` VALUES (27124, 7886, 6, 'Actieve groep selecteren');
INSERT INTO `lang_definitions` VALUES (27125, 7888, 6, 'Selecteer een reden voor aanpassing van code');
INSERT INTO `lang_definitions` VALUES (27126, 7889, 6, 'Selecteer gebeurtenis');
INSERT INTO `lang_definitions` VALUES (27127, 7891, 6, 'Zoekoptie kiezen');
INSERT INTO `lang_definitions` VALUES (27128, 7892, 6, 'Kies ten minste 1 criteria om te downloaden');
INSERT INTO `lang_definitions` VALUES (27129, 7893, 6, 'Selecteert u ten minste 1 patient.');
INSERT INTO `lang_definitions` VALUES (27130, 7894, 6, 'Minstens één recept kiezen');
INSERT INTO `lang_definitions` VALUES (27131, 7895, 6, 'Encounter selecteren');
INSERT INTO `lang_definitions` VALUES (27132, 7899, 6, 'Selecteer de gewenste pagina\'s om te kopiëren of door te sturen:');
INSERT INTO `lang_definitions` VALUES (27133, 7900, 6, 'Manier van betalen selecteren');
INSERT INTO `lang_definitions` VALUES (27134, 7903, 6, 'Manier van betalen selecteren.');
INSERT INTO `lang_definitions` VALUES (27135, 7904, 6, 'Bezoek categorie slecteren');
INSERT INTO `lang_definitions` VALUES (27136, 7905, 6, 'X12 partner kiezen, nodig om de 270 verzameling te verwerken');
INSERT INTO `lang_definitions` VALUES (27137, 7906, 6, 'Opnieuw instellen');
INSERT INTO `lang_definitions` VALUES (27138, 7907, 6, 'Zet de de_identification_config variabele terug op nul');
INSERT INTO `lang_definitions` VALUES (27139, 7910, 6, 'Opnieuwd De-Identificatie proces starten');
INSERT INTO `lang_definitions` VALUES (27140, 7913, 6, 'OpenEMR DB upgraden om de De-Identificatie procedure, functie, tafels toe te voegen');
INSERT INTO `lang_definitions` VALUES (27141, 7915, 6, 'Bekijk de De-Identificatie fout-log-tabel voor meer details');
INSERT INTO `lang_definitions` VALUES (27142, 7916, 6, 'Bezoek het De-Indentificatie scherm wat later');
INSERT INTO `lang_definitions` VALUES (27143, 7917, 6, 'Bezoek het Re-Identificatie scherm wat later');
INSERT INTO `lang_definitions` VALUES (27144, 7918, 6, 'Bezoek het specifieke scherm wat later');
INSERT INTO `lang_definitions` VALUES (27145, 7920, 6, 'Item om te plotten');
INSERT INTO `lang_definitions` VALUES (27146, 7921, 6, 'Geselecteerde plot items');
INSERT INTO `lang_definitions` VALUES (27147, 7922, 6, 'Meervoud');
INSERT INTO `lang_definitions` VALUES (27148, 7926, 6, 'PM');
INSERT INTO `lang_definitions` VALUES (27149, 7927, 6, 'PM Programma');
INSERT INTO `lang_definitions` VALUES (27150, 7933, 6, 'Methode van betaling');
INSERT INTO `lang_definitions` VALUES (27151, 7934, 6, 'PND');
INSERT INTO `lang_definitions` VALUES (27152, 7935, 6, 'Pneumococ Conj 1');
INSERT INTO `lang_definitions` VALUES (27153, 7936, 6, 'Pneumococ Conj 2');
INSERT INTO `lang_definitions` VALUES (27154, 7937, 6, 'Pneumococ Conj 3');
INSERT INTO `lang_definitions` VALUES (27155, 7938, 6, 'Pneumococ Conj 4');
INSERT INTO `lang_definitions` VALUES (27156, 7939, 6, 'Pneumococcen vaccin');
INSERT INTO `lang_definitions` VALUES (27157, 7940, 6, 'Pneumococcen vaccinatie');
INSERT INTO `lang_definitions` VALUES (27158, 7941, 6, 'Pneumonie vaccinatie status voor ouderen');
INSERT INTO `lang_definitions` VALUES (27159, 7942, 6, 'Pneumonie VaccinatiePneumococcen vaccinatie status voor ouderen (CQM)');
INSERT INTO `lang_definitions` VALUES (27160, 7943, 6, 'Podiatrie');
INSERT INTO `lang_definitions` VALUES (27161, 7944, 6, 'Podiatrie');
INSERT INTO `lang_definitions` VALUES (27162, 7946, 6, 'Point of Service (POS)');
INSERT INTO `lang_definitions` VALUES (27163, 7947, 6, 'Beleid');
INSERT INTO `lang_definitions` VALUES (27164, 7950, 6, 'Polis #');
INSERT INTO `lang_definitions` VALUES (27165, 7951, 6, 'Polis nummer');
INSERT INTO `lang_definitions` VALUES (27166, 7952, 6, 'Pools');
INSERT INTO `lang_definitions` VALUES (27167, 7953, 6, 'Polydipsie');
INSERT INTO `lang_definitions` VALUES (27168, 7954, 6, 'Polygoon');
INSERT INTO `lang_definitions` VALUES (27169, 7955, 6, 'Poliepen');
INSERT INTO `lang_definitions` VALUES (27170, 7956, 6, 'Polyurie');
INSERT INTO `lang_definitions` VALUES (27171, 7957, 6, 'Slechte eetlust');
INSERT INTO `lang_definitions` VALUES (27172, 7958, 6, 'Slechte circulatie');
INSERT INTO `lang_definitions` VALUES (27173, 7959, 6, 'Verminderd gehoor');
INSERT INTO `lang_definitions` VALUES (27174, 7962, 6, 'Pop-ups moet toegestaan worden om deze rapporten te zien');
INSERT INTO `lang_definitions` VALUES (27175, 7964, 6, 'Jaaroverzicht vullen met gebeurtenissen?');
INSERT INTO `lang_definitions` VALUES (27176, 7965, 6, 'Overzicht');
INSERT INTO `lang_definitions` VALUES (27177, 7967, 6, 'Webtoegang');
INSERT INTO `lang_definitions` VALUES (27178, 7969, 6, 'Portaal activiteit');
INSERT INTO `lang_definitions` VALUES (27179, 7976, 6, 'Portaal ID');
INSERT INTO `lang_definitions` VALUES (27180, 7977, 6, 'Portaal ID komt niet overeen met het verzoek aan de portaal!');
INSERT INTO `lang_definitions` VALUES (27181, 7980, 6, 'Portaal paswoord wordt gemist');
INSERT INTO `lang_definitions` VALUES (27182, 7982, 6, 'Portaal verzoek');
INSERT INTO `lang_definitions` VALUES (27183, 7984, 6, 'Portret');
INSERT INTO `lang_definitions` VALUES (27184, 7985, 6, 'Portugees');
INSERT INTO `lang_definitions` VALUES (27185, 7987, 6, 'Portugees (Brazilie)');
INSERT INTO `lang_definitions` VALUES (27186, 7988, 6, 'Portugees (Europa)');
INSERT INTO `lang_definitions` VALUES (27187, 7989, 6, 'POS-code');
INSERT INTO `lang_definitions` VALUES (27188, 7990, 6, 'Positie');
INSERT INTO `lang_definitions` VALUES (27189, 7992, 6, 'Positief');
INSERT INTO `lang_definitions` VALUES (27190, 7993, 6, 'Positieven');
INSERT INTO `lang_definitions` VALUES (27191, 7995, 6, 'Datum vastleggen');
INSERT INTO `lang_definitions` VALUES (27192, 7996, 6, 'Vastleggen voor');
INSERT INTO `lang_definitions` VALUES (27193, 7998, 6, 'Post Nasal Drip');
INSERT INTO `lang_definitions` VALUES (27194, 8000, 6, 'Betalingen vastleggen');
INSERT INTO `lang_definitions` VALUES (27195, 8001, 6, 'Na chirurgische');
INSERT INTO `lang_definitions` VALUES (27196, 8002, 6, 'Verzenden naar de boekhouding en markeren als gefactureerd');
INSERT INTO `lang_definitions` VALUES (27197, 8003, 6, 'Op datum vastleggen');
INSERT INTO `lang_definitions` VALUES (27198, 8004, 6, 'Op datum vastleggen kan niet later zijn dan vandaag');
INSERT INTO `lang_definitions` VALUES (27199, 8006, 6, 'Vastleggen op datum moet groter zijn dan de Financiele sluitings dag');
INSERT INTO `lang_definitions` VALUES (27200, 8007, 6, 'Abortus nazorg');
INSERT INTO `lang_definitions` VALUES (27201, 8008, 6, 'Post-abortus anticonceptie');
INSERT INTO `lang_definitions` VALUES (27202, 8009, 6, 'Post-abortus begeleiding');
INSERT INTO `lang_definitions` VALUES (27203, 8010, 6, 'Post-abortus controle');
INSERT INTO `lang_definitions` VALUES (27204, 8011, 6, 'Per post');
INSERT INTO `lang_definitions` VALUES (27205, 8012, 6, 'Postcode');
INSERT INTO `lang_definitions` VALUES (27206, 8013, 6, 'Postcode');
INSERT INTO `lang_definitions` VALUES (27207, 8014, 6, 'Postcode en Postbusnummer');
INSERT INTO `lang_definitions` VALUES (27208, 8015, 6, 'PostCalendar');
INSERT INTO `lang_definitions` VALUES (27209, 8016, 6, 'PostCalendar administratie');
INSERT INTO `lang_definitions` VALUES (27210, 8017, 6, 'PostCalendar categorie-instellingen');
INSERT INTO `lang_definitions` VALUES (27211, 8018, 6, 'PostCalendar Global Settings');
INSERT INTO `lang_definitions` VALUES (27212, 8023, 6, 'Geplaatst op');
INSERT INTO `lang_definitions` VALUES (27213, 8025, 6, 'Geboekt');
INSERT INTO `lang_definitions` VALUES (27214, 8026, 6, 'Datum plaatsing');
INSERT INTO `lang_definitions` VALUES (27215, 8028, 6, 'Pos{{Afkorting voor Positie}}');
INSERT INTO `lang_definitions` VALUES (27216, 8032, 6, 'Powered by');
INSERT INTO `lang_definitions` VALUES (27217, 8033, 6, 'PPE+Prev Med/Chir Hx');
INSERT INTO `lang_definitions` VALUES (27218, 8034, 6, 'PQRI');
INSERT INTO `lang_definitions` VALUES (27219, 8035, 6, 'PQRI geregistreerd ID');
INSERT INTO `lang_definitions` VALUES (27220, 8036, 6, 'PQRI Registratie naam');
INSERT INTO `lang_definitions` VALUES (27221, 8037, 6, 'Praktijk gerelateerd');
INSERT INTO `lang_definitions` VALUES (27222, 8038, 6, 'Default waarden voor Praktijk');
INSERT INTO `lang_definitions` VALUES (27223, 8039, 6, 'Settings voor Praktijk');
INSERT INTO `lang_definitions` VALUES (27224, 8041, 6, 'Behandelaar');
INSERT INTO `lang_definitions` VALUES (27225, 8042, 6, 'Voor-participatie evaluatie');
INSERT INTO `lang_definitions` VALUES (27226, 8043, 6, 'Vooruit betalen');
INSERT INTO `lang_definitions` VALUES (27227, 8044, 6, 'Vooruit betaling');
INSERT INTO `lang_definitions` VALUES (27228, 8045, 6, 'Consultatie pre-abortus');
INSERT INTO `lang_definitions` VALUES (27229, 8046, 6, 'Pre-abortus begeleiding');
INSERT INTO `lang_definitions` VALUES (27230, 8048, 6, 'Pref Cat');
INSERT INTO `lang_definitions` VALUES (27231, 8049, 6, 'Voorkeur');
INSERT INTO `lang_definitions` VALUES (27232, 8050, 6, 'Voorkeuren');
INSERT INTO `lang_definitions` VALUES (27233, 8052, 6, 'Voorkeurs gebeurtenissen categorie');
INSERT INTO `lang_definitions` VALUES (27234, 8053, 6, 'Voorkeurstaal');
INSERT INTO `lang_definitions` VALUES (27235, 8054, 6, 'Voorkeursapotheek');
INSERT INTO `lang_definitions` VALUES (27236, 8055, 6, 'Preferred Provider Organization (PPO)');
INSERT INTO `lang_definitions` VALUES (27237, 8056, 6, 'Zwang.test');
INSERT INTO `lang_definitions` VALUES (27238, 8057, 6, 'Voorlopig');
INSERT INTO `lang_definitions` VALUES (27239, 8058, 6, 'Voorbereiding om rapport te maken');
INSERT INTO `lang_definitions` VALUES (27240, 8059, 6, 'Vooruitbetalen');
INSERT INTO `lang_definitions` VALUES (27241, 8061, 6, 'Recept');
INSERT INTO `lang_definitions` VALUES (27242, 8063, 6, 'recept heeft de limiet bereikt van');
INSERT INTO `lang_definitions` VALUES (27243, 8064, 6, 'Voorschrijf historie');
INSERT INTO `lang_definitions` VALUES (27244, 8065, 6, 'Voorschrijf historie import succesvol afgerond');
INSERT INTO `lang_definitions` VALUES (27245, 8066, 6, 'Receptlabel');
INSERT INTO `lang_definitions` VALUES (27246, 8067, 6, 'Voorschrijf rapport');
INSERT INTO `lang_definitions` VALUES (27247, 8068, 6, 'Recept succesvol verwijderd.');
INSERT INTO `lang_definitions` VALUES (27248, 8070, 6, 'Recepten');
INSERT INTO `lang_definitions` VALUES (27249, 8073, 6, 'Voorschriften en Ontheffingen');
INSERT INTO `lang_definitions` VALUES (27250, 8074, 6, 'Voorschriften en andere verwijzingen');
INSERT INTO `lang_definitions` VALUES (27251, 8075, 6, 'Voorschriften en/of verwijzing door specialist');
INSERT INTO `lang_definitions` VALUES (27252, 8076, 6, 'Overzicht recepten');
INSERT INTO `lang_definitions` VALUES (27253, 8077, 6, 'Voorschriften/Verwijzingen');
INSERT INTO `lang_definitions` VALUES (27254, 8078, 6, 'Aanwezig');
INSERT INTO `lang_definitions` VALUES (27255, 8079, 6, 'Klacht zoals gepresenteerd');
INSERT INTO `lang_definitions` VALUES (27256, 8080, 6, 'Toon Issue(s)');
INSERT INTO `lang_definitions` VALUES (27257, 8081, 6, 'Druk op Doorgaan om verder te gaan');
INSERT INTO `lang_definitions` VALUES (27258, 8084, 6, 'Voorlopige diagnose');
INSERT INTO `lang_definitions` VALUES (27259, 8085, 6, 'Vermoedelijke diagnose van specialist');
INSERT INTO `lang_definitions` VALUES (27260, 8086, 6, 'Terug');
INSERT INTO `lang_definitions` VALUES (27261, 8087, 6, 'Voorafgaande Med/Chir Historie');
INSERT INTO `lang_definitions` VALUES (27262, 8088, 6, 'Vorige maand (ingedrukt houden voor menu)');
INSERT INTO `lang_definitions` VALUES (27263, 8089, 6, 'Vorig jaar (ingedrukt houden voor menu)');
INSERT INTO `lang_definitions` VALUES (27264, 8091, 6, 'Preventieve zorg');
INSERT INTO `lang_definitions` VALUES (27265, 8092, 6, 'Rehab preventie');
INSERT INTO `lang_definitions` VALUES (27266, 8094, 6, 'Gebeurtenis preview');
INSERT INTO `lang_definitions` VALUES (27267, 8095, 6, 'Preview bestand');
INSERT INTO `lang_definitions` VALUES (27268, 8096, 6, 'Preview niet beschikbaar voor dit documenttype');
INSERT INTO `lang_definitions` VALUES (27269, 8097, 6, 'Preview van');
INSERT INTO `lang_definitions` VALUES (27270, 8098, 6, 'Vorig');
INSERT INTO `lang_definitions` VALUES (27271, 8099, 6, 'Eerdere consultaties');
INSERT INTO `lang_definitions` VALUES (27272, 8100, 6, 'Vorige dag');
INSERT INTO `lang_definitions` VALUES (27273, 8102, 6, 'Vorige Historie/Controles');
INSERT INTO `lang_definitions` VALUES (27274, 8103, 6, 'Vorige maand');
INSERT INTO `lang_definitions` VALUES (27275, 8104, 6, 'Vorige week');
INSERT INTO `lang_definitions` VALUES (27276, 8105, 6, 'Prijs');
INSERT INTO `lang_definitions` VALUES (27277, 8107, 6, 'Prijs gewijzigd');
INSERT INTO `lang_definitions` VALUES (27278, 8108, 6, 'Korting');
INSERT INTO `lang_definitions` VALUES (27279, 8109, 6, 'Prijsniveau');
INSERT INTO `lang_definitions` VALUES (27280, 8110, 6, 'Prijsniveau is veranderd');
INSERT INTO `lang_definitions` VALUES (27281, 8111, 6, 'Prijsniveau:');
INSERT INTO `lang_definitions` VALUES (27282, 8113, 6, 'Bedragen');
INSERT INTO `lang_definitions` VALUES (27283, 8114, 6, 'Primaire');
INSERT INTO `lang_definitions` VALUES (27284, 8115, 6, 'Hoofd Business entiteit');
INSERT INTO `lang_definitions` VALUES (27285, 8116, 6, 'Hoofd BusinessEntiteit Tax ID wordt gebruikt voor NewCrop e-Prescription. Verandering van faciliteit heeft effecten op de werking van Newcrop');
INSERT INTO `lang_definitions` VALUES (27286, 8118, 6, 'Eerstelijns gezondheidszorg');
INSERT INTO `lang_definitions` VALUES (27287, 8125, 6, 'Hoofdverz.');
INSERT INTO `lang_definitions` VALUES (27288, 8126, 6, 'Primaire zorgverzekeraar');
INSERT INTO `lang_definitions` VALUES (27289, 8127, 6, 'Data van primaire zorgverzekeaar');
INSERT INTO `lang_definitions` VALUES (27290, 8128, 6, 'Verstrekker hoofdverzekering');
INSERT INTO `lang_definitions` VALUES (27291, 8129, 6, 'Primaire behandelaar');
INSERT INTO `lang_definitions` VALUES (27292, 8130, 6, 'Print');
INSERT INTO `lang_definitions` VALUES (27293, 8131, 6, 'Printen (HTML)');
INSERT INTO `lang_definitions` VALUES (27294, 8132, 6, 'Printen (PDF)');
INSERT INTO `lang_definitions` VALUES (27295, 8133, 6, 'Print aanpassingen');
INSERT INTO `lang_definitions` VALUES (27296, 8134, 6, 'Printen keuze Encounter');
INSERT INTO `lang_definitions` VALUES (27297, 8135, 6, 'Druk blanco verwijsbrief af');
INSERT INTO `lang_definitions` VALUES (27298, 8136, 6, 'Commando om te printen');
INSERT INTO `lang_definitions` VALUES (27299, 8137, 6, 'Print Aangepaste Bericht');
INSERT INTO `lang_definitions` VALUES (27300, 8138, 6, 'Datum van afdrukken');
INSERT INTO `lang_definitions` VALUES (27301, 8142, 6, 'Hele listing printen');
INSERT INTO `lang_definitions` VALUES (27302, 8143, 6, 'Afdrukformat');
INSERT INTO `lang_definitions` VALUES (27303, 8144, 6, 'Print vier rec. op A4');
INSERT INTO `lang_definitions` VALUES (27304, 8145, 6, 'Print Financieel overzicht');
INSERT INTO `lang_definitions` VALUES (27305, 8147, 6, 'Boodschap uitprinten');
INSERT INTO `lang_definitions` VALUES (27306, 8148, 6, 'Meerdere recepten afdrukken');
INSERT INTO `lang_definitions` VALUES (27307, 8149, 6, 'Meerdere afdrukken naar fax');
INSERT INTO `lang_definitions` VALUES (27308, 8150, 6, 'Printen van naam, handtekening en datum');
INSERT INTO `lang_definitions` VALUES (27309, 8151, 6, 'Printen notities');
INSERT INTO `lang_definitions` VALUES (27310, 8152, 6, 'Pagina 1 afdrukken');
INSERT INTO `lang_definitions` VALUES (27311, 8153, 6, 'Pagina 2 afdrukken');
INSERT INTO `lang_definitions` VALUES (27312, 8154, 6, 'Patient adres label printen');
INSERT INTO `lang_definitions` VALUES (27313, 8156, 6, 'Print kwitanties per aanbieder');
INSERT INTO `lang_definitions` VALUES (27314, 8157, 6, 'Print Status');
INSERT INTO `lang_definitions` VALUES (27315, 8161, 6, 'Druk rapport af');
INSERT INTO `lang_definitions` VALUES (27316, 8163, 6, 'Print geselecteerde statements');
INSERT INTO `lang_definitions` VALUES (27317, 8164, 6, 'Print Vacc.verslag');
INSERT INTO `lang_definitions` VALUES (27318, 8166, 6, 'Print deze Encounter');
INSERT INTO `lang_definitions` VALUES (27319, 8168, 6, 'Print deze Notitie');
INSERT INTO `lang_definitions` VALUES (27320, 8169, 6, 'Print deze Notitie');
INSERT INTO `lang_definitions` VALUES (27321, 8170, 6, 'Druk af naar');
INSERT INTO `lang_definitions` VALUES (27322, 8171, 6, 'Print naar fax');
INSERT INTO `lang_definitions` VALUES (27323, 8172, 6, 'Print voorbeeld');
INSERT INTO `lang_definitions` VALUES (27324, 8173, 6, 'Afdrukbaar');
INSERT INTO `lang_definitions` VALUES (27325, 8174, 6, 'Afdrukbare versie');
INSERT INTO `lang_definitions` VALUES (27326, 8175, 6, 'Afgedrukt');
INSERT INTO `lang_definitions` VALUES (27327, 8178, 6, 'Afdrukresultaten:');
INSERT INTO `lang_definitions` VALUES (27328, 8179, 6, 'Afdrukken overgeslagen; zie testresultaat in');
INSERT INTO `lang_definitions` VALUES (27329, 8180, 6, 'Afdrukken overgeslagen; zie testresultaat in');
INSERT INTO `lang_definitions` VALUES (27330, 8182, 6, 'Eerst Auteur');
INSERT INTO `lang_definitions` VALUES (27331, 8184, 6, 'Vorige autorisatie formulieren');
INSERT INTO `lang_definitions` VALUES (27332, 8189, 6, 'Eerder bezoek');
INSERT INTO `lang_definitions` VALUES (27333, 8191, 6, 'Urgentie');
INSERT INTO `lang_definitions` VALUES (27334, 8192, 6, 'Voorkeur');
INSERT INTO `lang_definitions` VALUES (27335, 8196, 6, 'Prive');
INSERT INTO `lang_definitions` VALUES (27336, 8197, 6, 'Probleem');
INSERT INTO `lang_definitions` VALUES (27337, 8198, 6, 'Probleem lijst');
INSERT INTO `lang_definitions` VALUES (27338, 8199, 6, 'Probleemlijst');
INSERT INTO `lang_definitions` VALUES (27339, 8200, 6, 'Problemen');
INSERT INTO `lang_definitions` VALUES (27340, 8202, 6, 'Problemen/Ziekten');
INSERT INTO `lang_definitions` VALUES (27341, 8203, 6, 'Proc Bat');
INSERT INTO `lang_definitions` VALUES (27342, 8204, 6, 'Proc Cat');
INSERT INTO `lang_definitions` VALUES (27343, 8205, 6, 'Proc Load');
INSERT INTO `lang_definitions` VALUES (27344, 8206, 6, 'Proc in afwachting van review');
INSERT INTO `lang_definitions` VALUES (27345, 8207, 6, 'Proc prov');
INSERT INTO `lang_definitions` VALUES (27346, 8208, 6, 'Proc Res');
INSERT INTO `lang_definitions` VALUES (27347, 8209, 6, 'Verrichtingen');
INSERT INTO `lang_definitions` VALUES (27348, 8210, 6, 'Verrichtingen op lichaamsdeel');
INSERT INTO `lang_definitions` VALUES (27349, 8212, 6, 'Verrichtingen resultaat Boolean');
INSERT INTO `lang_definitions` VALUES (27350, 8214, 6, 'Verrichtingen Code');
INSERT INTO `lang_definitions` VALUES (27351, 8215, 6, 'Verrichtingen Codes');
INSERT INTO `lang_definitions` VALUES (27352, 8216, 6, 'Verrichtingen Links, rechts, beide');
INSERT INTO `lang_definitions` VALUES (27353, 8218, 6, 'Naam van de Procedure');
INSERT INTO `lang_definitions` VALUES (27354, 8220, 6, 'Verrichtingen aanvraag');
INSERT INTO `lang_definitions` VALUES (27355, 8221, 6, 'Volgorde van de procedure');
INSERT INTO `lang_definitions` VALUES (27356, 8223, 6, 'Verrichtingen aanvraag voor');
INSERT INTO `lang_definitions` VALUES (27357, 8224, 6, 'Verzoek om procedure niet gevonden');
INSERT INTO `lang_definitions` VALUES (27358, 8226, 6, 'verrichtingen aanvraag en rapporten');
INSERT INTO `lang_definitions` VALUES (27359, 8227, 6, 'Kies menu voor Procedures');
INSERT INTO `lang_definitions` VALUES (27360, 8228, 6, 'Verstrekker van Procedure');
INSERT INTO `lang_definitions` VALUES (27361, 8229, 6, 'Verstrekker van Procedure');
INSERT INTO `lang_definitions` VALUES (27362, 8231, 6, 'Verstrekkers van Procedure');
INSERT INTO `lang_definitions` VALUES (27363, 8232, 6, 'Rapport verrichtingen');
INSERT INTO `lang_definitions` VALUES (27364, 8235, 6, 'Verrichtingen verslag status');
INSERT INTO `lang_definitions` VALUES (27365, 8237, 6, 'Uitslag verrichting afwijkend');
INSERT INTO `lang_definitions` VALUES (27366, 8238, 6, 'Uitslag verrichting status');
INSERT INTO `lang_definitions` VALUES (27367, 8240, 6, 'Resultaat verrichting');
INSERT INTO `lang_definitions` VALUES (27368, 8241, 6, 'Verrichting Routes');
INSERT INTO `lang_definitions` VALUES (27369, 8243, 6, 'Verrichting Specimen type');
INSERT INTO `lang_definitions` VALUES (27370, 8245, 6, 'Statistisch Rapport verrichtingen');
INSERT INTO `lang_definitions` VALUES (27371, 8248, 6, 'Verrichtingen Type');
INSERT INTO `lang_definitions` VALUES (27372, 8249, 6, 'Verrichtingen Types');
INSERT INTO `lang_definitions` VALUES (27373, 8251, 6, 'Verrichtingen eenheid');
INSERT INTO `lang_definitions` VALUES (27374, 8253, 6, 'Procedure/Service');
INSERT INTO `lang_definitions` VALUES (27375, 8254, 6, 'Verrichtingen');
INSERT INTO `lang_definitions` VALUES (27376, 8256, 6, 'Verwerken');
INSERT INTO `lang_definitions` VALUES (27377, 8257, 6, 'Herinneringen verwerken en versturen');
INSERT INTO `lang_definitions` VALUES (27378, 8258, 6, 'Verwerk ERA bestand');
INSERT INTO `lang_definitions` VALUES (27379, 8259, 6, 'Verwerk nieuwe bestanden');
INSERT INTO `lang_definitions` VALUES (27380, 8260, 6, 'Verwerk nieuwe files voor CSV gegevens');
INSERT INTO `lang_definitions` VALUES (27381, 8261, 6, 'Proces herinneringen');
INSERT INTO `lang_definitions` VALUES (27382, 8262, 6, 'Proces neemt enige tijd');
INSERT INTO `lang_definitions` VALUES (27383, 8263, 6, 'Verwerkt');
INSERT INTO `lang_definitions` VALUES (27384, 8264, 6, 'Verwerkt door');
INSERT INTO `lang_definitions` VALUES (27385, 8265, 6, 'Verwerkings datum');
INSERT INTO `lang_definitions` VALUES (27386, 8266, 6, 'Succesvol verwerkt');
INSERT INTO `lang_definitions` VALUES (27387, 8267, 6, 'Verwerking');
INSERT INTO `lang_definitions` VALUES (27388, 8268, 6, 'Patient herinneringen verwerken en versturen');
INSERT INTO `lang_definitions` VALUES (27389, 8271, 6, 'Patient herinneringen verwerken');
INSERT INTO `lang_definitions` VALUES (27390, 8272, 6, 'verwerkings tijd');
INSERT INTO `lang_definitions` VALUES (27391, 8274, 6, 'Product');
INSERT INTO `lang_definitions` VALUES (27392, 8275, 6, 'Product toegevoegd');
INSERT INTO `lang_definitions` VALUES (27393, 8276, 6, 'Anticonceptie Methode');
INSERT INTO `lang_definitions` VALUES (27394, 8277, 6, 'Product verwijderd');
INSERT INTO `lang_definitions` VALUES (27395, 8278, 6, 'Productie');
INSERT INTO `lang_definitions` VALUES (27396, 8279, 6, 'Producten');
INSERT INTO `lang_definitions` VALUES (27397, 8280, 6, 'Producten, maar geen medicijnen op voorschrift en geen templates');
INSERT INTO `lang_definitions` VALUES (27398, 8282, 6, 'Prof.');
INSERT INTO `lang_definitions` VALUES (27399, 8283, 6, 'Basisgegevens patient');
INSERT INTO `lang_definitions` VALUES (27400, 8284, 6, 'Demografische gegevens');
INSERT INTO `lang_definitions` VALUES (27401, 8286, 6, 'Profielen');
INSERT INTO `lang_definitions` VALUES (27402, 8290, 6, 'Voortgangs notities');
INSERT INTO `lang_definitions` VALUES (27403, 8295, 6, 'Prostaatkanker');
INSERT INTO `lang_definitions` VALUES (27404, 8296, 6, 'Prostaat examen');
INSERT INTO `lang_definitions` VALUES (27405, 8297, 6, 'Prostaatonderzoek');
INSERT INTO `lang_definitions` VALUES (27406, 8298, 6, 'Prostaatproblemen');
INSERT INTO `lang_definitions` VALUES (27407, 8299, 6, 'Prostaat met/of vergroting, knobbels, gevoelig');
INSERT INTO `lang_definitions` VALUES (27408, 8302, 6, 'Protocol');
INSERT INTO `lang_definitions` VALUES (27409, 8304, 6, 'Absolute pad aangeven');
INSERT INTO `lang_definitions` VALUES (27410, 8305, 6, 'Absolute pad van File aangeven');
INSERT INTO `lang_definitions` VALUES (27411, 8309, 6, 'Geef klinische samnevatting van ieder praktijk bezoek');
INSERT INTO `lang_definitions` VALUES (27412, 8311, 6, 'Geef patienten een lectronische copie vanhet gezondheids info (Met diagnostische test resultaten, probleem lijst, medicijn lijst , medicatie allergie) op verzoek.');
INSERT INTO `lang_definitions` VALUES (27413, 8312, 6, 'Voorzie patienten met een tijdig electronische toegang tot hun gezondheids informatie (met lab testen, probleemlijst, medicatie lijst, aleergie voor medicijnen) binnen vier werkdagen vanaf de informatie voor het EP beschikbaar komt.');
INSERT INTO `lang_definitions` VALUES (27414, 8313, 6, 'Geef status aan de patient voor bezoek');
INSERT INTO `lang_definitions` VALUES (27415, 8315, 6, 'Geef een bestaand e-mail adres');
INSERT INTO `lang_definitions` VALUES (27416, 8316, 6, 'Klinische samenvatting(en) geven?');
INSERT INTO `lang_definitions` VALUES (27417, 8317, 6, 'Verstrek voorlichting bron(nen)?');
INSERT INTO `lang_definitions` VALUES (27418, 8318, 6, 'Behandelaar');
INSERT INTO `lang_definitions` VALUES (27419, 8322, 6, 'Behandelaar Id');
INSERT INTO `lang_definitions` VALUES (27420, 8323, 6, 'Behandelaar Id');
INSERT INTO `lang_definitions` VALUES (27421, 8324, 6, 'Behandelaar Id bij gespecificeerde Faciliteit');
INSERT INTO `lang_definitions` VALUES (27422, 8325, 6, 'Behandelaar Matching fouten');
INSERT INTO `lang_definitions` VALUES (27423, 8328, 6, 'Behandelaar niet beschikbaar, kies een andere.');
INSERT INTO `lang_definitions` VALUES (27424, 8329, 6, 'Behandelaar niet beschikbaar, toch kiezen?');
INSERT INTO `lang_definitions` VALUES (27425, 8330, 6, 'Nummer van behandelaar');
INSERT INTO `lang_definitions` VALUES (27426, 8332, 6, 'Behandelaars kwalificatiecode');
INSERT INTO `lang_definitions` VALUES (27427, 8333, 6, 'Relatie tot behandelaar');
INSERT INTO `lang_definitions` VALUES (27428, 8336, 6, 'Behandelaar:');
INSERT INTO `lang_definitions` VALUES (27429, 8337, 6, 'Behandelaars');
INSERT INTO `lang_definitions` VALUES (27430, 8338, 6, 'Behandelaar\'s AGB-code');
INSERT INTO `lang_definitions` VALUES (27431, 8339, 6, 'Zorgverleners zien de hele Kalender');
INSERT INTO `lang_definitions` VALUES (27432, 8341, 6, 'Beh.');
INSERT INTO `lang_definitions` VALUES (27433, 8342, 6, 'PSA');
INSERT INTO `lang_definitions` VALUES (27434, 8343, 6, 'Psoriasis');
INSERT INTO `lang_definitions` VALUES (27435, 8344, 6, 'Psychisch');
INSERT INTO `lang_definitions` VALUES (27436, 8345, 6, 'Psychische diagnose');
INSERT INTO `lang_definitions` VALUES (27437, 8346, 6, 'Psychische medicatie');
INSERT INTO `lang_definitions` VALUES (27438, 8347, 6, 'Psychisch');
INSERT INTO `lang_definitions` VALUES (27439, 8348, 6, 'Psychische brief');
INSERT INTO `lang_definitions` VALUES (27440, 8349, 6, 'Psychische diagnose');
INSERT INTO `lang_definitions` VALUES (27441, 8350, 6, 'Psychisch onderzoek');
INSERT INTO `lang_definitions` VALUES (27442, 8352, 6, 'Psychische historie');
INSERT INTO `lang_definitions` VALUES (27443, 8353, 6, 'Psychische intake');
INSERT INTO `lang_definitions` VALUES (27444, 8354, 6, 'Psychische medicatie');
INSERT INTO `lang_definitions` VALUES (27445, 8358, 6, 'Pt %');
INSERT INTO `lang_definitions` VALUES (27446, 8360, 6, 'Pt.notitie');
INSERT INTO `lang_definitions` VALUES (27447, 8361, 6, 'Pt.notitie/autor.');
INSERT INTO `lang_definitions` VALUES (27448, 8362, 6, 'Pt.teveel');
INSERT INTO `lang_definitions` VALUES (27449, 8364, 6, 'Pt.betaald');
INSERT INTO `lang_definitions` VALUES (27450, 8365, 6, 'Pt verzoekt statusinfo');
INSERT INTO `lang_definitions` VALUES (27451, 8366, 6, 'Pt.restitutie');
INSERT INTO `lang_definitions` VALUES (27452, 8367, 6, 'Pt.ontslagen');
INSERT INTO `lang_definitions` VALUES (27453, 8368, 6, 'Rapport van patient');
INSERT INTO `lang_definitions` VALUES (27454, 8369, 6, 'PT Student, of leeg laten');
INSERT INTO `lang_definitions` VALUES (27455, 8370, 6, 'PT_CITY');
INSERT INTO `lang_definitions` VALUES (27456, 8371, 6, 'PT_GEB');
INSERT INTO `lang_definitions` VALUES (27457, 8372, 6, 'PT_EMAIL');
INSERT INTO `lang_definitions` VALUES (27458, 8373, 6, 'PT_VNAAM');
INSERT INTO `lang_definitions` VALUES (27459, 8374, 6, 'PT_ANAAM');
INSERT INTO `lang_definitions` VALUES (27460, 8375, 6, 'PT_MNAAM');
INSERT INTO `lang_definitions` VALUES (27461, 8376, 6, 'PT_PHONE_CELL');
INSERT INTO `lang_definitions` VALUES (27462, 8377, 6, 'PT_PHONE_HOME');
INSERT INTO `lang_definitions` VALUES (27463, 8378, 6, 'PT_POSTAL');
INSERT INTO `lang_definitions` VALUES (27464, 8379, 6, 'PT_SSN');
INSERT INTO `lang_definitions` VALUES (27465, 8380, 6, 'PT_STAAT');
INSERT INTO `lang_definitions` VALUES (27466, 8381, 6, 'PT_STRAAT');
INSERT INTO `lang_definitions` VALUES (27467, 8383, 6, 'Openbaar');
INSERT INTO `lang_definitions` VALUES (27468, 8387, 6, 'Public health Service (PHS) of andere overheids instantie');
INSERT INTO `lang_definitions` VALUES (27469, 8394, 6, 'Puertoricaans');
INSERT INTO `lang_definitions` VALUES (27470, 8396, 6, 'Pulmonale');
INSERT INTO `lang_definitions` VALUES (27471, 8398, 6, 'Pols');
INSERT INTO `lang_definitions` VALUES (27472, 8399, 6, 'Punjabi');
INSERT INTO `lang_definitions` VALUES (27473, 8401, 6, 'Aankoop');
INSERT INTO `lang_definitions` VALUES (27474, 8402, 6, 'Kopen/Retourneren');
INSERT INTO `lang_definitions` VALUES (27475, 8403, 6, 'Aankopen');
INSERT INTO `lang_definitions` VALUES (27476, 8405, 6, 'Psychiatrie');
INSERT INTO `lang_definitions` VALUES (27477, 8406, 6, 'P{{Justify Header}}');
INSERT INTO `lang_definitions` VALUES (27478, 8407, 6, 'Pali');
INSERT INTO `lang_definitions` VALUES (27479, 8408, 6, 'iedere 3 uur');
INSERT INTO `lang_definitions` VALUES (27480, 8409, 6, 'iedere 4 uur');
INSERT INTO `lang_definitions` VALUES (27481, 8410, 6, 'iedere 5 uur');
INSERT INTO `lang_definitions` VALUES (27482, 8411, 6, 'iedere 6 uur');
INSERT INTO `lang_definitions` VALUES (27483, 8412, 6, 'iedere 8 uur');
INSERT INTO `lang_definitions` VALUES (27484, 8413, 6, 'qd');
INSERT INTO `lang_definitions` VALUES (27485, 8414, 6, 'qid');
INSERT INTO `lang_definitions` VALUES (27486, 8417, 6, 'QOH');
INSERT INTO `lang_definitions` VALUES (27487, 8418, 6, 'QOH is minder dan maandelijks gebruik');
INSERT INTO `lang_definitions` VALUES (27488, 8419, 6, 'Aant');
INSERT INTO `lang_definitions` VALUES (27489, 8420, 6, 'KWT');
INSERT INTO `lang_definitions` VALUES (27490, 8421, 6, 'Kwaliteit');
INSERT INTO `lang_definitions` VALUES (27491, 8422, 6, 'Qualiteit Metingen');
INSERT INTO `lang_definitions` VALUES (27492, 8423, 6, 'Hoeveelheid');
INSERT INTO `lang_definitions` VALUES (27493, 8424, 6, 'Aantal veranderd');
INSERT INTO `lang_definitions` VALUES (27494, 8425, 6, 'Hoeveelheid voor NDC');
INSERT INTO `lang_definitions` VALUES (27495, 8426, 6, 'Hoeveelheid ter beschikking');
INSERT INTO `lang_definitions` VALUES (27496, 8427, 6, 'hoeveelheid lijkt onbruikbaar');
INSERT INTO `lang_definitions` VALUES (27497, 8429, 6, 'Quechua');
INSERT INTO `lang_definitions` VALUES (27498, 8431, 6, 'Vraagteken');
INSERT INTO `lang_definitions` VALUES (27499, 8432, 6, 'Wachtrij voor HCFA batch-verwerking');
INSERT INTO `lang_definitions` VALUES (27500, 8433, 6, 'Wachtrij voor HCFA batch-verwerking en afdrukken');
INSERT INTO `lang_definitions` VALUES (27501, 8434, 6, 'Wachtrij voor de UB-92 batch-verwerking');
INSERT INTO `lang_definitions` VALUES (27502, 8435, 6, 'Wachtrij voor de UB-92 batch-verwerking en afdrukken');
INSERT INTO `lang_definitions` VALUES (27503, 8436, 6, 'In wachtrij');
INSERT INTO `lang_definitions` VALUES (27504, 8437, 6, 'Evenementen administratie in wachtrij');
INSERT INTO `lang_definitions` VALUES (27505, 8438, 6, 'Wachtrij voor');
INSERT INTO `lang_definitions` VALUES (27506, 8440, 6, 'In wachtrij voor toezending aan administratie');
INSERT INTO `lang_definitions` VALUES (27507, 8442, 6, 'Stoppen');
INSERT INTO `lang_definitions` VALUES (27508, 8443, 6, 'Stoppen met Alcohol');
INSERT INTO `lang_definitions` VALUES (27509, 8445, 6, 'R');
INSERT INTO `lang_definitions` VALUES (27510, 8451, 6, 'RA voor Patient, Ecounter of Tracen');
INSERT INTO `lang_definitions` VALUES (27511, 8452, 6, 'Ras');
INSERT INTO `lang_definitions` VALUES (27512, 8453, 6, 'Ras en Etniciteit');
INSERT INTO `lang_definitions` VALUES (27513, 8454, 6, 'Roots/Etnische achtergrond');
INSERT INTO `lang_definitions` VALUES (27514, 8456, 6, 'Radio');
INSERT INTO `lang_definitions` VALUES (27515, 8457, 6, 'Radio knoppen');
INSERT INTO `lang_definitions` VALUES (27516, 8462, 6, 'Bereik');
INSERT INTO `lang_definitions` VALUES (27517, 8463, 6, 'Huiduitslag');
INSERT INTO `lang_definitions` VALUES (27518, 8464, 6, 'Tarief');
INSERT INTO `lang_definitions` VALUES (27519, 8466, 6, 'Verhouding');
INSERT INTO `lang_definitions` VALUES (27520, 8467, 6, 'Voorlopig rapport');
INSERT INTO `lang_definitions` VALUES (27521, 8475, 6, 'Re-Identificatie');
INSERT INTO `lang_definitions` VALUES (27522, 8476, 6, 'Re-Identificatie proces is afgerond');
INSERT INTO `lang_definitions` VALUES (27523, 8477, 6, 'Re-Identificatie proces is nog aan de gang');
INSERT INTO `lang_definitions` VALUES (27524, 8478, 6, 'Re-Identificatie files worden bewaar in');
INSERT INTO `lang_definitions` VALUES (27525, 8479, 6, 'Reeds eerder opgelopen kwetsuur?');
INSERT INTO `lang_definitions` VALUES (27526, 8480, 6, 'Opnieuw openen');
INSERT INTO `lang_definitions` VALUES (27527, 8481, 6, 'Bezoek opnieuw openen');
INSERT INTO `lang_definitions` VALUES (27528, 8482, 6, 'Heropend');
INSERT INTO `lang_definitions` VALUES (27529, 8484, 6, 'Reactie');
INSERT INTO `lang_definitions` VALUES (27530, 8486, 6, 'Reacties');
INSERT INTO `lang_definitions` VALUES (27531, 8489, 6, 'Lezen');
INSERT INTO `lang_definitions` VALUES (27532, 8490, 6, 'Allen-lezen');
INSERT INTO `lang_definitions` VALUES (27533, 8495, 6, 'Alleen uitlezen van Historie');
INSERT INTO `lang_definitions` VALUES (27534, 8496, 6, 'Echte naam');
INSERT INTO `lang_definitions` VALUES (27535, 8497, 6, 'Echt verwijderen');
INSERT INTO `lang_definitions` VALUES (27536, 8498, 6, 'Reden');
INSERT INTO `lang_definitions` VALUES (27537, 8499, 6, 'Reden van overlijden');
INSERT INTO `lang_definitions` VALUES (27538, 8500, 6, 'Reden van sterven');
INSERT INTO `lang_definitions` VALUES (27539, 8501, 6, 'Reden van doorverwijzing');
INSERT INTO `lang_definitions` VALUES (27540, 8502, 6, 'Reden verwijzing');
INSERT INTO `lang_definitions` VALUES (27541, 8504, 6, 'Reden van bezoek');
INSERT INTO `lang_definitions` VALUES (27542, 8506, 6, 'Reden/Form');
INSERT INTO `lang_definitions` VALUES (27543, 8507, 6, 'Reden/Plan');
INSERT INTO `lang_definitions` VALUES (27544, 8521, 6, 'Recu');
INSERT INTO `lang_definitions` VALUES (27545, 8522, 6, 'Betalingsbewijs');
INSERT INTO `lang_definitions` VALUES (27546, 8523, 6, 'Recu aangemaakt');
INSERT INTO `lang_definitions` VALUES (27547, 8524, 6, 'Wijze van betaling');
INSERT INTO `lang_definitions` VALUES (27548, 8525, 6, 'Samenvatting ontvangstbewijzen');
INSERT INTO `lang_definitions` VALUES (27549, 8526, 6, 'Ontvangen');
INSERT INTO `lang_definitions` VALUES (27550, 8527, 6, 'Ontvangen door');
INSERT INTO `lang_definitions` VALUES (27551, 8528, 6, 'Ontvangen faxen');
INSERT INTO `lang_definitions` VALUES (27552, 8530, 6, 'Ontvangen, niet gecontroleerd');
INSERT INTO `lang_definitions` VALUES (27553, 8531, 6, 'Ontvangen, niet gecontroleerd');
INSERT INTO `lang_definitions` VALUES (27554, 8532, 6, 'Ontvanger');
INSERT INTO `lang_definitions` VALUES (27555, 8533, 6, 'ID van ontvanger');
INSERT INTO `lang_definitions` VALUES (27556, 8534, 6, 'ID (ISA08) ontvanger');
INSERT INTO `lang_definitions` VALUES (27557, 8535, 6, 'ID Qualifier (ISA07) ontvanger');
INSERT INTO `lang_definitions` VALUES (27558, 8536, 6, 'ID van ontvanger');
INSERT INTO `lang_definitions` VALUES (27559, 8540, 6, 'Recente laatste drie paswoorden niet mogelijk.');
INSERT INTO `lang_definitions` VALUES (27560, 8542, 6, 'Ontvanger');
INSERT INTO `lang_definitions` VALUES (27561, 8543, 6, 'Ontvangers lijst is leeg');
INSERT INTO `lang_definitions` VALUES (27562, 8544, 6, 'Naam van ontvanger');
INSERT INTO `lang_definitions` VALUES (27563, 8545, 6, 'Ontvanger van vermelding');
INSERT INTO `lang_definitions` VALUES (27564, 8546, 6, 'Onvanger verplicht tenzij als afgedaan aangegeven');
INSERT INTO `lang_definitions` VALUES (27565, 8549, 6, 'Aanbeveling');
INSERT INTO `lang_definitions` VALUES (27566, 8551, 6, 'Follow-up aanbevolen');
INSERT INTO `lang_definitions` VALUES (27567, 8552, 6, 'Aanbevelingen');
INSERT INTO `lang_definitions` VALUES (27568, 8553, 6, 'Aanbevelingen en behandeling');
INSERT INTO `lang_definitions` VALUES (27569, 8554, 6, 'Aanbevelingen door specialist');
INSERT INTO `lang_definitions` VALUES (27570, 8557, 6, 'Vastleggen/Status');
INSERT INTO `lang_definitions` VALUES (27571, 8558, 6, 'Status bestaat reeds');
INSERT INTO `lang_definitions` VALUES (27572, 8564, 6, 'Veranderingen in status en vital signs');
INSERT INTO `lang_definitions` VALUES (27573, 8565, 6, 'Opslaan van demografische gegevens');
INSERT INTO `lang_definitions` VALUES (27574, 8566, 6, 'Vastleggen vermelding');
INSERT INTO `lang_definitions` VALUES (27575, 8567, 6, 'Vastleggen van conditie');
INSERT INTO `lang_definitions` VALUES (27576, 8568, 6, 'Betaling vastleggen');
INSERT INTO `lang_definitions` VALUES (27577, 8569, 6, 'Vastleggen verzoek');
INSERT INTO `lang_definitions` VALUES (27578, 8570, 6, 'Vastleggen verzoek datum');
INSERT INTO `lang_definitions` VALUES (27579, 8571, 6, 'Leg rook gewoonten voor patienten 13 jaar en ouder vast');
INSERT INTO `lang_definitions` VALUES (27580, 8572, 6, 'Statussen');
INSERT INTO `lang_definitions` VALUES (27581, 8573, 6, 'gegevens gevonden');
INSERT INTO `lang_definitions` VALUES (27582, 8574, 6, 'gegevens gevonden.');
INSERT INTO `lang_definitions` VALUES (27583, 8576, 6, 'Recreational drugs gebruik');
INSERT INTO `lang_definitions` VALUES (27584, 8577, 6, 'Recreatie drugs');
INSERT INTO `lang_definitions` VALUES (27585, 8578, 6, 'Rectaal');
INSERT INTO `lang_definitions` VALUES (27586, 8579, 6, 'Rectaalonderzoek');
INSERT INTO `lang_definitions` VALUES (27587, 8580, 6, 'rectaal');
INSERT INTO `lang_definitions` VALUES (27588, 8592, 6, 'Redirection');
INSERT INTO `lang_definitions` VALUES (27589, 8593, 6, 'Roodheid');
INSERT INTO `lang_definitions` VALUES (27590, 8595, 6, 'vermindert:');
INSERT INTO `lang_definitions` VALUES (27591, 8597, 6, 'Verwijzen');
INSERT INTO `lang_definitions` VALUES (27592, 8598, 6, 'Verwijzing door');
INSERT INTO `lang_definitions` VALUES (27593, 8599, 6, 'Datum verwijzing');
INSERT INTO `lang_definitions` VALUES (27594, 8600, 6, 'Verwijs naar');
INSERT INTO `lang_definitions` VALUES (27595, 8603, 6, 'Classificatie verwijzing (urgentie-niveau)');
INSERT INTO `lang_definitions` VALUES (27596, 8604, 6, 'Referentie gebied voor resultaten');
INSERT INTO `lang_definitions` VALUES (27597, 8605, 6, 'Reden verwijzing');
INSERT INTO `lang_definitions` VALUES (27598, 8608, 6, 'Verwijzer');
INSERT INTO `lang_definitions` VALUES (27599, 8609, 6, 'Naam en handtekening verwijzer');
INSERT INTO `lang_definitions` VALUES (27600, 8610, 6, 'Verwijzing');
INSERT INTO `lang_definitions` VALUES (27601, 8611, 6, 'Verwijzing door');
INSERT INTO `lang_definitions` VALUES (27602, 8612, 6, 'Verwijskaart');
INSERT INTO `lang_definitions` VALUES (27603, 8613, 6, 'Verwijsdatum');
INSERT INTO `lang_definitions` VALUES (27604, 8614, 6, 'Verwijsbrief');
INSERT INTO `lang_definitions` VALUES (27605, 8615, 6, 'Verwijzing');
INSERT INTO `lang_definitions` VALUES (27606, 8616, 6, 'ID voor verwijzing');
INSERT INTO `lang_definitions` VALUES (27607, 8618, 6, 'Verwijs reden');
INSERT INTO `lang_definitions` VALUES (27608, 8619, 6, 'Bron aanmelding');
INSERT INTO `lang_definitions` VALUES (27609, 8620, 6, 'Oorsprong van verwijzing voor Encounters');
INSERT INTO `lang_definitions` VALUES (27610, 8621, 6, 'Verwijzing naar');
INSERT INTO `lang_definitions` VALUES (27611, 8622, 6, 'Verwijzingen');
INSERT INTO `lang_definitions` VALUES (27612, 8623, 6, 'Overzicht verwijzingen');
INSERT INTO `lang_definitions` VALUES (27613, 8624, 6, 'Verwezen door');
INSERT INTO `lang_definitions` VALUES (27614, 8625, 6, 'Verwezen door');
INSERT INTO `lang_definitions` VALUES (27615, 8627, 6, 'Verwezen naar');
INSERT INTO `lang_definitions` VALUES (27616, 8628, 6, 'Verwijzer');
INSERT INTO `lang_definitions` VALUES (27617, 8629, 6, 'Adres van verwijzer');
INSERT INTO `lang_definitions` VALUES (27618, 8630, 6, 'Diagnose van verwijzer');
INSERT INTO `lang_definitions` VALUES (27619, 8631, 6, 'Diagnose van verwijzer');
INSERT INTO `lang_definitions` VALUES (27620, 8633, 6, 'Dokter en praktijkgegevens van verwijzer');
INSERT INTO `lang_definitions` VALUES (27621, 8635, 6, 'Verwijzende behandelaar');
INSERT INTO `lang_definitions` VALUES (27622, 8636, 6, 'Herhaling');
INSERT INTO `lang_definitions` VALUES (27623, 8639, 6, 'Herhalingen');
INSERT INTO `lang_definitions` VALUES (27624, 8640, 6, 'herhalingen');
INSERT INTO `lang_definitions` VALUES (27625, 8641, 6, 'Normale reflexen');
INSERT INTO `lang_definitions` VALUES (27626, 8645, 6, 'Vernieuwen');
INSERT INTO `lang_definitions` VALUES (27627, 8646, 6, 'Scherm opschonen');
INSERT INTO `lang_definitions` VALUES (27628, 8648, 6, 'Verversen herinnerings oproepen');
INSERT INTO `lang_definitions` VALUES (27629, 8649, 6, 'Teruggave');
INSERT INTO `lang_definitions` VALUES (27630, 8650, 6, 'Gewijgerd');
INSERT INTO `lang_definitions` VALUES (27631, 8651, 6, 'Geweigerd verklaring af te leggen');
INSERT INTO `lang_definitions` VALUES (27632, 8652, 6, 'reg_re');
INSERT INTO `lang_definitions` VALUES (27633, 8655, 6, 'Register');
INSERT INTO `lang_definitions` VALUES (27634, 8656, 6, 'registreren');
INSERT INTO `lang_definitions` VALUES (27635, 8662, 6, 'Geregistreerd');
INSERT INTO `lang_definitions` VALUES (27636, 8663, 6, 'geregistreerd');
INSERT INTO `lang_definitions` VALUES (27637, 8666, 6, 'Geregistreerde Modules');
INSERT INTO `lang_definitions` VALUES (27638, 8668, 6, 'Registratiedatum');
INSERT INTO `lang_definitions` VALUES (27639, 8671, 6, 'Registratieformulier');
INSERT INTO `lang_definitions` VALUES (27640, 8672, 6, 'Herstel');
INSERT INTO `lang_definitions` VALUES (27641, 8674, 6, 'Niet geaccepteerd');
INSERT INTO `lang_definitions` VALUES (27642, 8675, 6, 'Kans om opnieuw op te spelen');
INSERT INTO `lang_definitions` VALUES (27643, 8676, 6, 'Gerelateerd aan');
INSERT INTO `lang_definitions` VALUES (27644, 8677, 6, 'Gerelateerd');
INSERT INTO `lang_definitions` VALUES (27645, 8678, 6, 'Gerelateerde Issue');
INSERT INTO `lang_definitions` VALUES (27646, 8679, 6, 'Pateint notities die gerelateerd zijn');
INSERT INTO `lang_definitions` VALUES (27647, 8680, 6, 'Relatie(s)/Kinderen');
INSERT INTO `lang_definitions` VALUES (27648, 8681, 6, 'Relaties');
INSERT INTO `lang_definitions` VALUES (27649, 8682, 6, 'Relatie');
INSERT INTO `lang_definitions` VALUES (27650, 8683, 6, 'Relatieve bestelling van deze entiteit');
INSERT INTO `lang_definitions` VALUES (27651, 8684, 6, 'Verwanten');
INSERT INTO `lang_definitions` VALUES (27652, 8686, 6, 'Bloeddruk van verwanten');
INSERT INTO `lang_definitions` VALUES (27653, 8687, 6, 'Kanker bij verwanten');
INSERT INTO `lang_definitions` VALUES (27654, 8688, 6, 'Diabetes bij verwanten');
INSERT INTO `lang_definitions` VALUES (27655, 8689, 6, 'Epilepsie bij verwanten');
INSERT INTO `lang_definitions` VALUES (27656, 8690, 6, 'Hart problemen bij verwanten');
INSERT INTO `lang_definitions` VALUES (27657, 8691, 6, 'Geestes ziekten bij verwanten');
INSERT INTO `lang_definitions` VALUES (27658, 8692, 6, 'CVA bij verwanten');
INSERT INTO `lang_definitions` VALUES (27659, 8693, 6, 'Zelfmoord bij verwanten');
INSERT INTO `lang_definitions` VALUES (27660, 8694, 6, 'Tuberculose bij verwanten');
INSERT INTO `lang_definitions` VALUES (27661, 8695, 6, 'Relay Health Credentials ontbreken voor deze gebruikersaccount.');
INSERT INTO `lang_definitions` VALUES (27662, 8696, 6, 'Relay Health ID');
INSERT INTO `lang_definitions` VALUES (27663, 8698, 6, 'Datum uitgave');
INSERT INTO `lang_definitions` VALUES (27664, 8700, 6, 'Religie');
INSERT INTO `lang_definitions` VALUES (27665, 8705, 6, 'Opnieuw inloggen');
INSERT INTO `lang_definitions` VALUES (27666, 8706, 6, 'Remdr');
INSERT INTO `lang_definitions` VALUES (27667, 8709, 6, 'Geselecteerde Faciliteit onthouden');
INSERT INTO `lang_definitions` VALUES (27668, 8712, 6, 'Herinnering');
INSERT INTO `lang_definitions` VALUES (27669, 8715, 6, 'Tijdval voor herinnering');
INSERT INTO `lang_definitions` VALUES (27670, 8716, 6, 'Nog geen reminder verzonden');
INSERT INTO `lang_definitions` VALUES (27671, 8720, 6, 'Reminder verzonden op');
INSERT INTO `lang_definitions` VALUES (27672, 8725, 6, 'Reminders verversen');
INSERT INTO `lang_definitions` VALUES (27673, 8726, 6, 'Overmaken naar');
INSERT INTO `lang_definitions` VALUES (27674, 8727, 6, 'Remote host');
INSERT INTO `lang_definitions` VALUES (27675, 8729, 6, 'Verwijderen');
INSERT INTO `lang_definitions` VALUES (27676, 8733, 6, 'Groep verwijderen');
INSERT INTO `lang_definitions` VALUES (27677, 8734, 6, 'Groepsformulier verwijderen');
INSERT INTO `lang_definitions` VALUES (27678, 8738, 6, 'Verwijder ondersteuning voor vaccinaties');
INSERT INTO `lang_definitions` VALUES (27679, 8739, 6, 'Verwijder ondersteuning voor phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (27680, 8740, 6, 'Verwijder ondersteuning voor recepten');
INSERT INTO `lang_definitions` VALUES (27681, 8742, 6, 'Verwijder de ondersteuning voor Status volgen');
INSERT INTO `lang_definitions` VALUES (27682, 8743, 6, 'Nierstenen');
INSERT INTO `lang_definitions` VALUES (27683, 8744, 6, 'Naam aanpassen');
INSERT INTO `lang_definitions` VALUES (27684, 8745, 6, 'Groep hernoemen');
INSERT INTO `lang_definitions` VALUES (27685, 8746, 6, 'Weergavestijl');
INSERT INTO `lang_definitions` VALUES (27686, 8747, 6, 'Weergavestijl behandelaar');
INSERT INTO `lang_definitions` VALUES (27687, 8748, 6, 'Weergavestijl behandelaar nummer');
INSERT INTO `lang_definitions` VALUES (27688, 8750, 6, 'Bijbestellen');
INSERT INTO `lang_definitions` VALUES (27689, 8751, 6, 'Nabestelling bij');
INSERT INTO `lang_definitions` VALUES (27690, 8752, 6, 'Voorraad is laag, bijbestellen');
INSERT INTO `lang_definitions` VALUES (27691, 8753, 6, 'Niveau om bij e besellen, 0 indien niet van toepassing');
INSERT INTO `lang_definitions` VALUES (27692, 8754, 6, 'Rep');
INSERT INTO `lang_definitions` VALUES (27693, 8756, 6, 'Herhaal nieuwe paswoord');
INSERT INTO `lang_definitions` VALUES (27694, 8758, 6, 'Blijft zich herhalen');
INSERT INTO `lang_definitions` VALUES (27695, 8759, 6, 'Terugkerende Info:');
INSERT INTO `lang_definitions` VALUES (27696, 8760, 6, 'Herhalingen');
INSERT INTO `lang_definitions` VALUES (27697, 8761, 6, 'Vervangen');
INSERT INTO `lang_definitions` VALUES (27698, 8763, 6, 'Totale Code-set vervangen');
INSERT INTO `lang_definitions` VALUES (27699, 8766, 6, 'vervangen');
INSERT INTO `lang_definitions` VALUES (27700, 8771, 6, 'Antwoord datum');
INSERT INTO `lang_definitions` VALUES (27701, 8772, 6, 'Antwoord van');
INSERT INTO `lang_definitions` VALUES (27702, 8774, 6, 'Overzicht');
INSERT INTO `lang_definitions` VALUES (27703, 8776, 6, 'Rapport-Klinisch');
INSERT INTO `lang_definitions` VALUES (27704, 8779, 6, 'Rapportage door');
INSERT INTO `lang_definitions` VALUES (27705, 8781, 6, 'Rapportage datum');
INSERT INTO `lang_definitions` VALUES (27706, 8782, 6, 'Verslag einde (Relinquished Care Date)');
INSERT INTO `lang_definitions` VALUES (27707, 8783, 6, 'Rapport is verzonden aan de patient');
INSERT INTO `lang_definitions` VALUES (27708, 8784, 6, 'Rapporteren Geschiedenis/Resultaten');
INSERT INTO `lang_definitions` VALUES (27709, 8785, 6, 'Rapport van bezoek');
INSERT INTO `lang_definitions` VALUES (27710, 8786, 6, 'Resultaten rapporteren');
INSERT INTO `lang_definitions` VALUES (27711, 8787, 6, 'Rapporteren Resultaten/Geschiedenis');
INSERT INTO `lang_definitions` VALUES (27712, 8788, 6, 'Begin rapport (Veronderstelde Care datum)');
INSERT INTO `lang_definitions` VALUES (27713, 8789, 6, 'Rapport door');
INSERT INTO `lang_definitions` VALUES (27714, 8790, 6, 'Totalen rapport');
INSERT INTO `lang_definitions` VALUES (27715, 8791, 6, 'Rapport is gefaxt. Klik om overzicht te zien.');
INSERT INTO `lang_definitions` VALUES (27716, 8792, 6, 'Rapport/Formulier');
INSERT INTO `lang_definitions` VALUES (27717, 8793, 6, 'Rapport?');
INSERT INTO `lang_definitions` VALUES (27718, 8794, 6, 'Moet gerapporteerd worden');
INSERT INTO `lang_definitions` VALUES (27719, 8795, 6, 'Gerapporteerd');
INSERT INTO `lang_definitions` VALUES (27720, 8796, 6, 'Datum vastlegging');
INSERT INTO `lang_definitions` VALUES (27721, 8797, 6, 'Overzichten');
INSERT INTO `lang_definitions` VALUES (27722, 8801, 6, 'Omschrijvings verzoek');
INSERT INTO `lang_definitions` VALUES (27723, 8803, 6, 'ID van verzoek is niet beschikbaar!');
INSERT INTO `lang_definitions` VALUES (27724, 8804, 6, 'Verzoek genegeerd - schade afhandeling wordt al uitgevoerd!');
INSERT INTO `lang_definitions` VALUES (27725, 8809, 6, 'Verzoek status');
INSERT INTO `lang_definitions` VALUES (27726, 8810, 6, 'Verzoek type');
INSERT INTO `lang_definitions` VALUES (27727, 8811, 6, 'Verzoek type niet geactiveerd');
INSERT INTO `lang_definitions` VALUES (27728, 8813, 6, 'Verzocht door');
INSERT INTO `lang_definitions` VALUES (27729, 8814, 6, 'Verzoek datum');
INSERT INTO `lang_definitions` VALUES (27730, 8815, 6, 'Aangevraagde Service');
INSERT INTO `lang_definitions` VALUES (27731, 8819, 6, 'Sterk Paswoord noodzakelijk');
INSERT INTO `lang_definitions` VALUES (27732, 8820, 6, 'Uniek paswoord noodzakelijk');
INSERT INTO `lang_definitions` VALUES (27733, 8821, 6, 'Verplicht');
INSERT INTO `lang_definitions` VALUES (27734, 8823, 6, 'Verplichte bijbetaling');
INSERT INTO `lang_definitions` VALUES (27735, 8824, 6, 'Noodzakelijk Veld afwezig; kies de EDI-file voor uploaden');
INSERT INTO `lang_definitions` VALUES (27736, 8825, 6, 'Noodzakelijk veld afwezig; Voornaam invullen');
INSERT INTO `lang_definitions` VALUES (27737, 8826, 6, 'Noodzakelijk veld afwezig: Achternaam invullen');
INSERT INTO `lang_definitions` VALUES (27738, 8827, 6, 'Noodzakelijk veld afwezig: Usernaam invullen');
INSERT INTO `lang_definitions` VALUES (27739, 8828, 6, 'Verplichtte velden');
INSERT INTO `lang_definitions` VALUES (27740, 8829, 6, 'Vastgelegde vereiste');
INSERT INTO `lang_definitions` VALUES (27741, 8832, 6, 'GERESERVEERD');
INSERT INTO `lang_definitions` VALUES (27742, 8833, 6, 'Gereserveerd');
INSERT INTO `lang_definitions` VALUES (27743, 8834, 6, 'Gereserveerd voor vakantie');
INSERT INTO `lang_definitions` VALUES (27744, 8835, 6, 'Gereserveerd om voor behandelaar vast te leggen als er geen afspraken meer daarna gemaakt kunnen worden.');
INSERT INTO `lang_definitions` VALUES (27745, 8836, 6, 'Gereserveerd om vast te leggen dat gebeurtenis niet als verwacht gebeurde.');
INSERT INTO `lang_definitions` VALUES (27746, 8837, 6, 'Gereserveerd voor de behandelaar indien er nog afspraken erna gemaakt kunnen worden.');
INSERT INTO `lang_definitions` VALUES (27747, 8838, 6, 'Resetten');
INSERT INTO `lang_definitions` VALUES (27748, 8842, 6, 'Reset de Offsite portaal credentials');
INSERT INTO `lang_definitions` VALUES (27749, 8844, 6, 'Reset de onsite crednetials');
INSERT INTO `lang_definitions` VALUES (27750, 8850, 6, 'Resn');
INSERT INTO `lang_definitions` VALUES (27751, 8852, 6, 'Opgelost');
INSERT INTO `lang_definitions` VALUES (27752, 8855, 6, 'Ademhaling');
INSERT INTO `lang_definitions` VALUES (27753, 8856, 6, 'Ademhaling zonder inspanning');
INSERT INTO `lang_definitions` VALUES (27754, 8857, 6, 'Gerelateerd aan ademhaling');
INSERT INTO `lang_definitions` VALUES (27755, 8858, 6, 'Reactie');
INSERT INTO `lang_definitions` VALUES (27756, 8859, 6, 'Allen-antwoord');
INSERT INTO `lang_definitions` VALUES (27757, 8862, 6, 'Herstellen');
INSERT INTO `lang_definitions` VALUES (27758, 8863, 6, 'Archief herstellen');
INSERT INTO `lang_definitions` VALUES (27759, 8864, 6, 'Beperk niet geauthoriseerde gebrukers tot Schema Fascilities zoals vastgelegd in Gebruikers Administratie');
INSERT INTO `lang_definitions` VALUES (27760, 8865, 6, 'Beperk Gebruikers tot Faciliteiten');
INSERT INTO `lang_definitions` VALUES (27761, 8866, 6, 'Beperkte training');
INSERT INTO `lang_definitions` VALUES (27762, 8867, 6, 'Resultaten');
INSERT INTO `lang_definitions` VALUES (27763, 8868, 6, 'Naam van resultaat');
INSERT INTO `lang_definitions` VALUES (27764, 8869, 6, 'Resultaat van status');
INSERT INTO `lang_definitions` VALUES (27765, 8870, 6, 'Resultaat van status of abnormaliteit mist');
INSERT INTO `lang_definitions` VALUES (27766, 8871, 6, 'Resultaat, gebruik % als wildcard');
INSERT INTO `lang_definitions` VALUES (27767, 8872, 6, 'Resultaten');
INSERT INTO `lang_definitions` VALUES (27768, 8873, 6, 'Resultaat en');
INSERT INTO `lang_definitions` VALUES (27769, 8874, 6, 'Resultaten gevonden voor zoeken');
INSERT INTO `lang_definitions` VALUES (27770, 8875, 6, 'Groeps resultaat');
INSERT INTO `lang_definitions` VALUES (27771, 8876, 6, 'Alleen resultaten');
INSERT INTO `lang_definitions` VALUES (27772, 8877, 6, 'Path voor resultaten');
INSERT INTO `lang_definitions` VALUES (27773, 8879, 6, 'Resultaten per pagina');
INSERT INTO `lang_definitions` VALUES (27774, 8880, 6, 'Resutaten/details');
INSERT INTO `lang_definitions` VALUES (27775, 8884, 6, 'Onderzoek retina');
INSERT INTO `lang_definitions` VALUES (27776, 8885, 6, 'Ingetrokken rechts:');
INSERT INTO `lang_definitions` VALUES (27777, 8886, 6, 'Geef waarde weer');
INSERT INTO `lang_definitions` VALUES (27778, 8887, 6, 'Stuur bovenste gedeelte terug met uw betaling');
INSERT INTO `lang_definitions` VALUES (27779, 8889, 6, 'Terug naar startpagina');
INSERT INTO `lang_definitions` VALUES (27780, 8890, 6, 'Terug naar kalender');
INSERT INTO `lang_definitions` VALUES (27781, 8891, 6, 'Terugkeren naar rapporteren Resultaten');
INSERT INTO `lang_definitions` VALUES (27782, 8892, 6, 'Nu terug naar ICD10 om installatie af te ronden en klik op ICD10 sectie kopje');
INSERT INTO `lang_definitions` VALUES (27783, 8893, 6, 'Nu terug naar ICD9 om installatie af te ronden en klik op ICD9 sectie kopje');
INSERT INTO `lang_definitions` VALUES (27784, 8894, 6, 'Nu terug naar RxNorm om installatie af te ronden en klik op RxNorm sectie kopje');
INSERT INTO `lang_definitions` VALUES (27785, 8895, 6, 'Nu terug naar SNOMED om installatie af te ronden en klik op SNOMED sectie kopje');
INSERT INTO `lang_definitions` VALUES (27786, 8897, 6, 'Resultaat');
INSERT INTO `lang_definitions` VALUES (27787, 8898, 6, 'Herhalingsconsult');
INSERT INTO `lang_definitions` VALUES (27788, 8899, 6, 'Terug om te spelen');
INSERT INTO `lang_definitions` VALUES (27789, 8901, 6, 'Herhaling van vorige drie paswoorden is niet toegstaan!');
INSERT INTO `lang_definitions` VALUES (27790, 8907, 6, 'Ongedaan maken');
INSERT INTO `lang_definitions` VALUES (27791, 8909, 6, 'Review');
INSERT INTO `lang_definitions` VALUES (27792, 8910, 6, 'Review en goedkeuren');
INSERT INTO `lang_definitions` VALUES (27793, 8914, 6, 'Herziening van de PMH:');
INSERT INTO `lang_definitions` VALUES (27794, 8917, 6, 'Alg. syst. onderzoek');
INSERT INTO `lang_definitions` VALUES (27795, 8918, 6, 'Overzicht med. afwijkingen');
INSERT INTO `lang_definitions` VALUES (27796, 8921, 6, 'Doorgenomen');
INSERT INTO `lang_definitions` VALUES (27797, 8923, 6, 'Aanpassen');
INSERT INTO `lang_definitions` VALUES (27798, 8924, 6, 'Revisie');
INSERT INTO `lang_definitions` VALUES (27799, 8925, 6, 'Rheumatoide Artritis');
INSERT INTO `lang_definitions` VALUES (27800, 8926, 6, 'Rheumatoide Artritis');
INSERT INTO `lang_definitions` VALUES (27801, 8928, 6, 'Recht');
INSERT INTO `lang_definitions` VALUES (27802, 8929, 6, 'Rechterarm');
INSERT INTO `lang_definitions` VALUES (27803, 8931, 6, 'Rechteroor');
INSERT INTO `lang_definitions` VALUES (27804, 8932, 6, 'rechteroor');
INSERT INTO `lang_definitions` VALUES (27805, 8936, 6, 'Rechter kantlijn (mm)');
INSERT INTO `lang_definitions` VALUES (27806, 8940, 6, 'Recht:');
INSERT INTO `lang_definitions` VALUES (27807, 8941, 6, 'Fluittoon in oren');
INSERT INTO `lang_definitions` VALUES (27808, 8942, 6, 'Fluittoon in oren');
INSERT INTO `lang_definitions` VALUES (27809, 8944, 6, 'Risicofactoren');
INSERT INTO `lang_definitions` VALUES (27810, 8945, 6, 'Inschatting urgentie');
INSERT INTO `lang_definitions` VALUES (27811, 8949, 6, 'RLL:');
INSERT INTO `lang_definitions` VALUES (27812, 8955, 6, 'ROM');
INSERT INTO `lang_definitions` VALUES (27813, 8956, 6, 'Roemeens');
INSERT INTO `lang_definitions` VALUES (27814, 8957, 6, 'Romanisch');
INSERT INTO `lang_definitions` VALUES (27815, 8958, 6, 'Kamer 1');
INSERT INTO `lang_definitions` VALUES (27816, 8959, 6, 'Kamer 2');
INSERT INTO `lang_definitions` VALUES (27817, 8960, 6, 'Kamer 3');
INSERT INTO `lang_definitions` VALUES (27818, 8961, 6, 'Kamernummer');
INSERT INTO `lang_definitions` VALUES (27819, 8962, 6, 'Kamergenoot');
INSERT INTO `lang_definitions` VALUES (27820, 8963, 6, 'Rooster');
INSERT INTO `lang_definitions` VALUES (27821, 8966, 6, 'Route');
INSERT INTO `lang_definitions` VALUES (27822, 8967, 6, 'Weg van toediening, indien toepasbaar');
INSERT INTO `lang_definitions` VALUES (27823, 8968, 6, 'Onderweg');
INSERT INTO `lang_definitions` VALUES (27824, 8969, 6, 'Kolommen');
INSERT INTO `lang_definitions` VALUES (27825, 8971, 6, 'RRR zonder MOR');
INSERT INTO `lang_definitions` VALUES (27826, 8972, 6, 'Wrijven:');
INSERT INTO `lang_definitions` VALUES (27827, 8973, 6, 'Wrijven:');
INSERT INTO `lang_definitions` VALUES (27828, 8974, 6, 'Protocollen');
INSERT INTO `lang_definitions` VALUES (27829, 8975, 6, 'Protocollen toevoegen');
INSERT INTO `lang_definitions` VALUES (27830, 8976, 6, 'Detail van protocollen');
INSERT INTO `lang_definitions` VALUES (27831, 8977, 6, 'Protocol ontwikkelaar');
INSERT INTO `lang_definitions` VALUES (27832, 8978, 6, 'Bewerken van protocollen');
INSERT INTO `lang_definitions` VALUES (27833, 8981, 6, 'Protocollen set');
INSERT INTO `lang_definitions` VALUES (27834, 8982, 6, 'Regelset en Plan Set selecties zijn niet consistent. Corrigeer en opnieuw opsturen.');
INSERT INTO `lang_definitions` VALUES (27835, 8984, 6, 'Protocollen');
INSERT INTO `lang_definitions` VALUES (27836, 8986, 6, 'Configuratie voor protocollen');
INSERT INTO `lang_definitions` VALUES (27837, 8989, 6, 'Opdracht uitvoeren:');
INSERT INTO `lang_definitions` VALUES (27838, 8990, 6, 'Ruptuur');
INSERT INTO `lang_definitions` VALUES (27839, 8992, 6, 'Russisch');
INSERT INTO `lang_definitions` VALUES (27840, 8995, 6, 'Rx');
INSERT INTO `lang_definitions` VALUES (27841, 8996, 6, 'Rx');
INSERT INTO `lang_definitions` VALUES (27842, 8997, 6, 'Rx kantlijn onderkant (px)');
INSERT INTO `lang_definitions` VALUES (27843, 8998, 6, 'Rx datum');
INSERT INTO `lang_definitions` VALUES (27844, 8999, 6, 'Rx details');
INSERT INTO `lang_definitions` VALUES (27845, 9001, 6, 'Rx DEA# tonen');
INSERT INTO `lang_definitions` VALUES (27846, 9002, 6, 'Rx NPI tonen');
INSERT INTO `lang_definitions` VALUES (27847, 9003, 6, 'Rx State licence # tonen');
INSERT INTO `lang_definitions` VALUES (27848, 9007, 6, 'Rx linker kantlijn (px)');
INSERT INTO `lang_definitions` VALUES (27849, 9010, 6, 'Rx Papier maat');
INSERT INTO `lang_definitions` VALUES (27850, 9013, 6, 'Rx rechter kantlijn (px)');
INSERT INTO `lang_definitions` VALUES (27851, 9014, 6, 'Rx DEA# tonen');
INSERT INTO `lang_definitions` VALUES (27852, 9015, 6, 'Rx NPI tonen');
INSERT INTO `lang_definitions` VALUES (27853, 9016, 6, 'Rx Sate Licence # tonen');
INSERT INTO `lang_definitions` VALUES (27854, 9017, 6, 'Rx boven kantlijn (px)');
INSERT INTO `lang_definitions` VALUES (27855, 9018, 6, 'Rx type');
INSERT INTO `lang_definitions` VALUES (27856, 9022, 6, 'RXCUI Medicatie');
INSERT INTO `lang_definitions` VALUES (27857, 9023, 6, 'RxNorm');
INSERT INTO `lang_definitions` VALUES (27858, 9024, 6, 'Database voor RxNorm');
INSERT INTO `lang_definitions` VALUES (27859, 9028, 6, 'S');
INSERT INTO `lang_definitions` VALUES (27860, 9029, 6, 'ID-NA');
INSERT INTO `lang_definitions` VALUES (27861, 9030, 6, 'S3:');
INSERT INTO `lang_definitions` VALUES (27862, 9031, 6, 'S4:');
INSERT INTO `lang_definitions` VALUES (27863, 9032, 6, 'SA * * Om de licentie te lezen, ga naar docs/license.txt of bezoek * http://www.gnu.org/copyleft/gpl.html * * / //============ ================================================== ===========//');
INSERT INTO `lang_definitions` VALUES (27864, 9034, 6, 'Verkoop');
INSERT INTO `lang_definitions` VALUES (27865, 9035, 6, 'Verkopen');
INSERT INTO `lang_definitions` VALUES (27866, 9036, 6, 'Verkoop per item');
INSERT INTO `lang_definitions` VALUES (27867, 9037, 6, 'Overzicht omzet per product');
INSERT INTO `lang_definitions` VALUES (27868, 9038, 6, 'Speeksel');
INSERT INTO `lang_definitions` VALUES (27869, 9039, 6, 'Zelfde dag');
INSERT INTO `lang_definitions` VALUES (27870, 9040, 6, 'Samoan');
INSERT INTO `lang_definitions` VALUES (27871, 9041, 6, 'Voorbeeld');
INSERT INTO `lang_definitions` VALUES (27872, 9042, 6, 'Type sanctie');
INSERT INTO `lang_definitions` VALUES (27873, 9043, 6, 'Sango');
INSERT INTO `lang_definitions` VALUES (27874, 9045, 6, 'Sanskrit (Samskrta)');
INSERT INTO `lang_definitions` VALUES (27875, 9046, 6, 'Sardinisch');
INSERT INTO `lang_definitions` VALUES (27876, 9047, 6, 'Zat');
INSERT INTO `lang_definitions` VALUES (27877, 9048, 6, 'Zat - Zon');
INSERT INTO `lang_definitions` VALUES (27878, 9049, 6, 'Zaterdag');
INSERT INTO `lang_definitions` VALUES (27879, 9050, 6, 'Bewaren');
INSERT INTO `lang_definitions` VALUES (27880, 9051, 6, 'BEWAAR');
INSERT INTO `lang_definitions` VALUES (27881, 9054, 6, 'Bezwaar en loguit');
INSERT INTO `lang_definitions` VALUES (27882, 9055, 6, 'Bewaren en sluiten');
INSERT INTO `lang_definitions` VALUES (27883, 9057, 6, 'Save en verwijder verzoek');
INSERT INTO `lang_definitions` VALUES (27884, 9058, 6, 'Bewaren en verstrekken');
INSERT INTO `lang_definitions` VALUES (27885, 9060, 6, 'Bewaren en versturen');
INSERT INTO `lang_definitions` VALUES (27886, 9061, 6, 'Bewaren als nieuw');
INSERT INTO `lang_definitions` VALUES (27887, 9063, 6, 'Bewaren als nieuwe notitie');
INSERT INTO `lang_definitions` VALUES (27888, 9066, 6, 'Bewaar Certificaat settings');
INSERT INTO `lang_definitions` VALUES (27889, 9067, 6, 'Bewaren');
INSERT INTO `lang_definitions` VALUES (27890, 9075, 6, 'Bewaar');
INSERT INTO `lang_definitions` VALUES (27891, 9076, 6, 'Bewaar');
INSERT INTO `lang_definitions` VALUES (27892, 9078, 6, 'Bewaar nieuw veld');
INSERT INTO `lang_definitions` VALUES (27893, 9079, 6, 'Bewaar nieuwe groep');
INSERT INTO `lang_definitions` VALUES (27894, 9080, 6, 'Bewaar nieuwe lijst');
INSERT INTO `lang_definitions` VALUES (27895, 9081, 6, 'Nieuw sjabloon bewaren');
INSERT INTO `lang_definitions` VALUES (27896, 9082, 6, 'Bewaar vergeten selecties');
INSERT INTO `lang_definitions` VALUES (27897, 9083, 6, 'Bewaar pers. gegevens');
INSERT INTO `lang_definitions` VALUES (27898, 9087, 6, 'Status-ID bewaard');
INSERT INTO `lang_definitions` VALUES (27899, 9089, 6, 'Verklaring bewaren');
INSERT INTO `lang_definitions` VALUES (27900, 9090, 6, 'Succesvol gesaved');
INSERT INTO `lang_definitions` VALUES (27901, 9098, 6, 'Gescand');
INSERT INTO `lang_definitions` VALUES (27902, 9099, 6, 'Gescande notitie dit bezoek');
INSERT INTO `lang_definitions` VALUES (27903, 9100, 6, 'Directory van Scanner');
INSERT INTO `lang_definitions` VALUES (27904, 9101, 6, 'In de scanner');
INSERT INTO `lang_definitions` VALUES (27905, 9104, 6, 'Schema');
INSERT INTO `lang_definitions` VALUES (27906, 9106, 6, 'Agenda voor Lokatie:');
INSERT INTO `lang_definitions` VALUES (27907, 9117, 6, 'Briefje voor school');
INSERT INTO `lang_definitions` VALUES (27908, 9122, 6, 'Scoliose');
INSERT INTO `lang_definitions` VALUES (27909, 9125, 6, 'Schots Gaelisch-Gaelisch');
INSERT INTO `lang_definitions` VALUES (27910, 9127, 6, 'Screening/testen te doen');
INSERT INTO `lang_definitions` VALUES (27911, 9133, 6, 'SE');
INSERT INTO `lang_definitions` VALUES (27912, 9134, 6, 'SE Adres');
INSERT INTO `lang_definitions` VALUES (27913, 9135, 6, 'SE Stad');
INSERT INTO `lang_definitions` VALUES (27914, 9136, 6, 'SE Land');
INSERT INTO `lang_definitions` VALUES (27915, 9137, 6, 'SE Localiteit');
INSERT INTO `lang_definitions` VALUES (27916, 9138, 6, 'SE Postcode');
INSERT INTO `lang_definitions` VALUES (27917, 9139, 6, 'SE Staat');
INSERT INTO `lang_definitions` VALUES (27918, 9140, 6, 'SE Postcode');
INSERT INTO `lang_definitions` VALUES (27919, 9141, 6, 'Zoeken');
INSERT INTO `lang_definitions` VALUES (27920, 9142, 6, 'ZOEK');
INSERT INTO `lang_definitions` VALUES (27921, 9143, 6, 'zoeken');
INSERT INTO `lang_definitions` VALUES (27922, 9144, 6, 'opnieuw zoeken');
INSERT INTO `lang_definitions` VALUES (27923, 9145, 6, 'Alle kolomen doorzoeken');
INSERT INTO `lang_definitions` VALUES (27924, 9147, 6, 'Zoek afspraak');
INSERT INTO `lang_definitions` VALUES (27925, 9150, 6, 'Zoek op:');
INSERT INTO `lang_definitions` VALUES (27926, 9152, 6, 'Zoek naar');
INSERT INTO `lang_definitions` VALUES (27927, 9156, 6, 'Zoek naar:');
INSERT INTO `lang_definitions` VALUES (27928, 9158, 6, 'Zoek in');
INSERT INTO `lang_definitions` VALUES (27929, 9159, 6, 'Zoek in');
INSERT INTO `lang_definitions` VALUES (27930, 9161, 6, 'Pt zoeken of toevoegen');
INSERT INTO `lang_definitions` VALUES (27931, 9164, 6, 'Zoek de betaling');
INSERT INTO `lang_definitions` VALUES (27932, 9167, 6, 'Zoek Resultaten');
INSERT INTO `lang_definitions` VALUES (27933, 9168, 6, 'Resultaten zoekactie:');
INSERT INTO `lang_definitions` VALUES (27934, 9169, 6, 'Zoeken geselecteerde');
INSERT INTO `lang_definitions` VALUES (27935, 9171, 6, 'Zoek opdracht correspondeert niet met lijst in DB');
INSERT INTO `lang_definitions` VALUES (27936, 9172, 6, 'Zokeopdrachtmoet minstens drie karakters hebben');
INSERT INTO `lang_definitions` VALUES (27937, 9174, 6, 'Zoek tekst');
INSERT INTO `lang_definitions` VALUES (27938, 9175, 6, 'Gebeurtenissen zoeken');
INSERT INTO `lang_definitions` VALUES (27939, 9178, 6, 'Zoek/Toevoegen');
INSERT INTO `lang_definitions` VALUES (27940, 9179, 6, 'Verzekeraar zoeken/toevoegen');
INSERT INTO `lang_definitions` VALUES (27941, 9181, 6, 'Zoeken naar afspraken');
INSERT INTO `lang_definitions` VALUES (27942, 9182, 6, 'bezig met zoeken.....');
INSERT INTO `lang_definitions` VALUES (27943, 9183, 6, 'Gordel');
INSERT INTO `lang_definitions` VALUES (27944, 9184, 6, 'Gebruik veiligheidsgordel');
INSERT INTO `lang_definitions` VALUES (27945, 9185, 6, 'Gebruik veiligheidsgordel');
INSERT INTO `lang_definitions` VALUES (27946, 9186, 6, 'Tweede');
INSERT INTO `lang_definitions` VALUES (27947, 9187, 6, 'tweede');
INSERT INTO `lang_definitions` VALUES (27948, 9188, 6, 'Tweede acoountbericht');
INSERT INTO `lang_definitions` VALUES (27949, 9189, 6, 'Secundair');
INSERT INTO `lang_definitions` VALUES (27950, 9191, 6, 'Tweede verzekering');
INSERT INTO `lang_definitions` VALUES (27951, 9192, 6, 'Tweede verzekeringsgegevens');
INSERT INTO `lang_definitions` VALUES (27952, 9193, 6, 'Tweede verzekeraar');
INSERT INTO `lang_definitions` VALUES (27953, 9194, 6, 'Secundair type Medicare');
INSERT INTO `lang_definitions` VALUES (27954, 9195, 6, 'seconden');
INSERT INTO `lang_definitions` VALUES (27955, 9196, 6, 'Sectie ID');
INSERT INTO `lang_definitions` VALUES (27956, 9197, 6, 'Sectie ID en naam mag niet leeg zijn');
INSERT INTO `lang_definitions` VALUES (27957, 9198, 6, 'Sectie naam');
INSERT INTO `lang_definitions` VALUES (27958, 9199, 6, 'Sectie succesvol bewaard');
INSERT INTO `lang_definitions` VALUES (27959, 9200, 6, 'Chat (beveiligd)');
INSERT INTO `lang_definitions` VALUES (27960, 9203, 6, 'Berichtenverkeer (beveiligd)');
INSERT INTO `lang_definitions` VALUES (27961, 9207, 6, 'Veiligheid');
INSERT INTO `lang_definitions` VALUES (27962, 9208, 6, 'Bekijk alles');
INSERT INTO `lang_definitions` VALUES (27963, 9210, 6, 'Bekijk machtigingen');
INSERT INTO `lang_definitions` VALUES (27964, 9213, 6, 'Bekijk groeicurve');
INSERT INTO `lang_definitions` VALUES (27965, 9214, 6, 'Bekijk bericht over recentst aangemaakte rekeningen');
INSERT INTO `lang_definitions` VALUES (27966, 9218, 6, 'Vorige bezoek');
INSERT INTO `lang_definitions` VALUES (27967, 9220, 6, 'Naam van segment');
INSERT INTO `lang_definitions` VALUES (27968, 9221, 6, 'Batch Claim onderdelen');
INSERT INTO `lang_definitions` VALUES (27969, 9222, 6, 'Aanvallen');
INSERT INTO `lang_definitions` VALUES (27970, 9223, 6, 'Sel');
INSERT INTO `lang_definitions` VALUES (27971, 9224, 6, 'selecteren');
INSERT INTO `lang_definitions` VALUES (27972, 9225, 6, 'Selecteren');
INSERT INTO `lang_definitions` VALUES (27973, 9227, 6, 'Component seleceteren');
INSERT INTO `lang_definitions` VALUES (27974, 9228, 6, 'Selecteer contekst');
INSERT INTO `lang_definitions` VALUES (27975, 9232, 6, 'Selecteer een percentage van de ROWS of selecteer data');
INSERT INTO `lang_definitions` VALUES (27976, 9235, 6, 'Kies datum spreiding');
INSERT INTO `lang_definitions` VALUES (27977, 9236, 6, 'Selecteer User');
INSERT INTO `lang_definitions` VALUES (27978, 9237, 6, 'Kies een validatie regel');
INSERT INTO `lang_definitions` VALUES (27979, 9239, 6, 'Kies allemaal');
INSERT INTO `lang_definitions` VALUES (27980, 9241, 6, 'Selecteer aanpassings datum');
INSERT INTO `lang_definitions` VALUES (27981, 9242, 6, 'Selecteer veranderingen om te printen');
INSERT INTO `lang_definitions` VALUES (27982, 9248, 6, 'Selecteer CAMOS keuzes om te printen');
INSERT INTO `lang_definitions` VALUES (27983, 9250, 6, 'Selecteer categorie');
INSERT INTO `lang_definitions` VALUES (27984, 9253, 6, 'Selecteerd de voorkeur communicatie');
INSERT INTO `lang_definitions` VALUES (27985, 9254, 6, 'Selecteer overeenkomstige checkboxen om te verwijderen');
INSERT INTO `lang_definitions` VALUES (27986, 9256, 6, 'Selecteer criteria om tre verwijderen');
INSERT INTO `lang_definitions` VALUES (27987, 9257, 6, 'Selecteer CSV tabel');
INSERT INTO `lang_definitions` VALUES (27988, 9260, 6, 'Data selecteren voor De-Identificatie');
INSERT INTO `lang_definitions` VALUES (27989, 9261, 6, 'Data selecteren om in te sluiten bij De-Identificatie');
INSERT INTO `lang_definitions` VALUES (27990, 9262, 6, 'Kies datum');
INSERT INTO `lang_definitions` VALUES (27991, 9264, 6, 'Selecteer gewesnte squad');
INSERT INTO `lang_definitions` VALUES (27992, 9265, 6, 'Selecteer Diagnose');
INSERT INTO `lang_definitions` VALUES (27993, 9267, 6, 'Selecteer Diagnose voor De-Identificatie verzoek');
INSERT INTO `lang_definitions` VALUES (27994, 9271, 6, 'Selecteer medicatie');
INSERT INTO `lang_definitions` VALUES (27995, 9272, 6, 'Selecteer medicaties');
INSERT INTO `lang_definitions` VALUES (27996, 9273, 6, 'Selecteer medicatie voor De-Identificatie verzoek');
INSERT INTO `lang_definitions` VALUES (27997, 9274, 6, 'Selecteer EDI-271 file');
INSERT INTO `lang_definitions` VALUES (27998, 9275, 6, 'Selecteer Encounter');
INSERT INTO `lang_definitions` VALUES (27999, 9276, 6, 'Kies veld');
INSERT INTO `lang_definitions` VALUES (28000, 9278, 6, 'Selecteer velden');
INSERT INTO `lang_definitions` VALUES (28001, 9279, 6, 'Selecteer voor afdrukken');
INSERT INTO `lang_definitions` VALUES (28002, 9285, 6, 'Selecteer Vaccinaties');
INSERT INTO `lang_definitions` VALUES (28003, 9286, 6, 'Selecteer Vaccinatie bij De-Identificatie verzoek');
INSERT INTO `lang_definitions` VALUES (28004, 9287, 6, 'Selecteer verzekering, door te typen');
INSERT INTO `lang_definitions` VALUES (28005, 9288, 6, 'Probleem selecteren');
INSERT INTO `lang_definitions` VALUES (28006, 9289, 6, 'Selecteer Items');
INSERT INTO `lang_definitions` VALUES (28007, 9291, 6, 'Selecteer taal');
INSERT INTO `lang_definitions` VALUES (28008, 9297, 6, 'Selecteer een');
INSERT INTO `lang_definitions` VALUES (28009, 9298, 6, 'Selecteer een of meerdere diagnose codes om de service verlening aan te geven');
INSERT INTO `lang_definitions` VALUES (28010, 9299, 6, 'Selecteer een of meerdere files om te uploaden');
INSERT INTO `lang_definitions` VALUES (28011, 9303, 6, 'Selecteer output');
INSERT INTO `lang_definitions` VALUES (28012, 9305, 6, 'KIES PLAN');
INSERT INTO `lang_definitions` VALUES (28013, 9311, 6, 'Selecteer verzocht door');
INSERT INTO `lang_definitions` VALUES (28014, 9312, 6, 'Selecteer rol');
INSERT INTO `lang_definitions` VALUES (28015, 9314, 6, 'Selecteer bron');
INSERT INTO `lang_definitions` VALUES (28016, 9317, 6, 'Selecteer template');
INSERT INTO `lang_definitions` VALUES (28017, 9321, 6, 'Selecteer de items voor exporteren');
INSERT INTO `lang_definitions` VALUES (28018, 9328, 6, 'Selecteer het probleem welke de oorzaak is voor het gemiste evenement van deze dag');
INSERT INTO `lang_definitions` VALUES (28019, 9333, 6, 'Selecteer patient adres labels vanuit de pop-ups in het linker NAV-scherm om te printen');
INSERT INTO `lang_definitions` VALUES (28020, 9335, 6, 'Selecteer track');
INSERT INTO `lang_definitions` VALUES (28021, 9337, 6, 'Selecteer type');
INSERT INTO `lang_definitions` VALUES (28022, 9338, 6, 'Selecteer User');
INSERT INTO `lang_definitions` VALUES (28023, 9340, 6, 'Selecteer Users van de dropdown lijst');
INSERT INTO `lang_definitions` VALUES (28024, 9341, 6, 'Selecteer welke talen, indien nodig, gekozen moet voor andere keuzes bij inloggen (Alleen van belang als ALLE TALEN hierboven is uitgezet)');
INSERT INTO `lang_definitions` VALUES (28025, 9343, 6, 'Kies JA voor groeps gewijs verwijderen');
INSERT INTO `lang_definitions` VALUES (28026, 9349, 6, 'Geselecteerd');
INSERT INTO `lang_definitions` VALUES (28027, 9350, 6, 'Gekozen encounter');
INSERT INTO `lang_definitions` VALUES (28028, 9355, 6, 'Indien dit gekozen wordt dan wordt bericht aangemaakt dat door iedere ontvanger persoonlijk verwerkt te worden (dus geen groeps taak)');
INSERT INTO `lang_definitions` VALUES (28029, 9357, 6, 'Patient');
INSERT INTO `lang_definitions` VALUES (28030, 9358, 6, 'Patient betaald');
INSERT INTO `lang_definitions` VALUES (28031, 9359, 6, 'VERSTUREN');
INSERT INTO `lang_definitions` VALUES (28032, 9360, 6, 'Versturen');
INSERT INTO `lang_definitions` VALUES (28033, 9361, 6, 'Verstuur datum reminder');
INSERT INTO `lang_definitions` VALUES (28034, 9362, 6, 'Verstuur herinnering');
INSERT INTO `lang_definitions` VALUES (28035, 9363, 6, 'Verstuur een email naar');
INSERT INTO `lang_definitions` VALUES (28036, 9367, 6, 'Verstuur emails');
INSERT INTO `lang_definitions` VALUES (28037, 9369, 6, 'Bezig met verzenden');
INSERT INTO `lang_definitions` VALUES (28038, 9370, 6, 'Verstuur');
INSERT INTO `lang_definitions` VALUES (28039, 9371, 6, 'Verstuur bericht');
INSERT INTO `lang_definitions` VALUES (28040, 9372, 6, 'Bericht versturen');
INSERT INTO `lang_definitions` VALUES (28041, 9376, 6, 'Verstuur notities');
INSERT INTO `lang_definitions` VALUES (28042, 9377, 6, 'Verstuur betaling');
INSERT INTO `lang_definitions` VALUES (28043, 9378, 6, 'Verstuur reminder batch');
INSERT INTO `lang_definitions` VALUES (28044, 9379, 6, 'Verstuur reminders aan patienten per patientmet voorkeur voor perventie/followup verzorging');
INSERT INTO `lang_definitions` VALUES (28045, 9380, 6, 'Verstuur verzoek');
INSERT INTO `lang_definitions` VALUES (28046, 9381, 6, 'Geselecteerde aan archief toevoegen');
INSERT INTO `lang_definitions` VALUES (28047, 9382, 6, 'Geselecteerd aan prullenbak toevoegen ');
INSERT INTO `lang_definitions` VALUES (28048, 9383, 6, 'Verstuur samenvatting met verwijzingen');
INSERT INTO `lang_definitions` VALUES (28049, 9384, 6, 'Verstuur deze file');
INSERT INTO `lang_definitions` VALUES (28050, 9385, 6, 'Verstuur dit bericht');
INSERT INTO `lang_definitions` VALUES (28051, 9386, 6, 'Verstuur aan');
INSERT INTO `lang_definitions` VALUES (28052, 9387, 6, 'Verstuur aan');
INSERT INTO `lang_definitions` VALUES (28053, 9388, 6, 'VERSTUUR AAN');
INSERT INTO `lang_definitions` VALUES (28054, 9389, 6, 'Verstuur aan iedereen');
INSERT INTO `lang_definitions` VALUES (28055, 9390, 6, 'Opbergen in archief');
INSERT INTO `lang_definitions` VALUES (28056, 9392, 6, 'Naar Portaal vesturen');
INSERT INTO `lang_definitions` VALUES (28057, 9393, 6, 'Naar Portaal vesturen');
INSERT INTO `lang_definitions` VALUES (28058, 9394, 6, 'Stuur naar prullenbak');
INSERT INTO `lang_definitions` VALUES (28059, 9395, 6, 'Afzender');
INSERT INTO `lang_definitions` VALUES (28060, 9396, 6, 'ID van afzender');
INSERT INTO `lang_definitions` VALUES (28061, 9397, 6, 'ID (ISA06) afzender');
INSERT INTO `lang_definitions` VALUES (28062, 9398, 6, 'ID Qualifier (ISA05) afzender');
INSERT INTO `lang_definitions` VALUES (28063, 9399, 6, 'ID van Afzender');
INSERT INTO `lang_definitions` VALUES (28064, 9401, 6, 'afzenders naam');
INSERT INTO `lang_definitions` VALUES (28065, 9406, 6, 'Wordt verstuurd naar');
INSERT INTO `lang_definitions` VALUES (28066, 9407, 6, 'Gevoeligheden');
INSERT INTO `lang_definitions` VALUES (28067, 9411, 6, 'Urgentie');
INSERT INTO `lang_definitions` VALUES (28068, 9412, 6, 'Sensorisch onderzoek normaal');
INSERT INTO `lang_definitions` VALUES (28069, 9413, 6, 'Verzonden');
INSERT INTO `lang_definitions` VALUES (28070, 9414, 6, 'verzenden geconfirmeerd');
INSERT INTO `lang_definitions` VALUES (28071, 9415, 6, 'Verstuurd door, (openlaten om iedereen te kiezen)');
INSERT INTO `lang_definitions` VALUES (28072, 9416, 6, 'Verzonden door:');
INSERT INTO `lang_definitions` VALUES (28073, 9417, 6, 'Datum verstuurd');
INSERT INTO `lang_definitions` VALUES (28074, 9418, 6, 'Verstuur Items');
INSERT INTO `lang_definitions` VALUES (28075, 9419, 6, 'Verstuur medische verslagleggingen?');
INSERT INTO `lang_definitions` VALUES (28076, 9420, 6, 'Verzenden is gelukt');
INSERT INTO `lang_definitions` VALUES (28077, 9421, 6, 'Stuur Gezondheidsoverzicht Electronisch?');
INSERT INTO `lang_definitions` VALUES (28078, 9422, 6, 'Stuur Gezondheidsoverzicht?');
INSERT INTO `lang_definitions` VALUES (28079, 9423, 6, 'Verstuur naar printer');
INSERT INTO `lang_definitions` VALUES (28080, 9424, 6, 'Verstuurd aanlaten voor iedereen');
INSERT INTO `lang_definitions` VALUES (28081, 9425, 6, 'Verzonden aan:');
INSERT INTO `lang_definitions` VALUES (28082, 9426, 6, 'Verzonden, maar nog niet geconfirmeerd.');
INSERT INTO `lang_definitions` VALUES (28083, 9427, 6, 'Verzonden, niet aangekomen');
INSERT INTO `lang_definitions` VALUES (28084, 9429, 6, 'Sep');
INSERT INTO `lang_definitions` VALUES (28085, 9430, 6, 'Uit elkaar');
INSERT INTO `lang_definitions` VALUES (28086, 9431, 6, 'September');
INSERT INTO `lang_definitions` VALUES (28087, 9432, 6, 'Seq');
INSERT INTO `lang_definitions` VALUES (28088, 9433, 6, 'Reeks');
INSERT INTO `lang_definitions` VALUES (28089, 9434, 6, 'Servisch');
INSERT INTO `lang_definitions` VALUES (28090, 9435, 6, 'Sev Rep');
INSERT INTO `lang_definitions` VALUES (28091, 9436, 6, 'Server fout: probeer later opnieuw');
INSERT INTO `lang_definitions` VALUES (28092, 9438, 6, 'Server is waarschijnlijk offline');
INSERT INTO `lang_definitions` VALUES (28093, 9439, 6, 'Server bericht:');
INSERT INTO `lang_definitions` VALUES (28094, 9442, 6, 'Service');
INSERT INTO `lang_definitions` VALUES (28095, 9444, 6, 'Categorie verleende Service');
INSERT INTO `lang_definitions` VALUES (28096, 9445, 6, 'Service code');
INSERT INTO `lang_definitions` VALUES (28097, 9446, 6, 'Service code financien verslaglegging');
INSERT INTO `lang_definitions` VALUES (28098, 9447, 6, 'Service codes');
INSERT INTO `lang_definitions` VALUES (28099, 9448, 6, 'Dienst datum');
INSERT INTO `lang_definitions` VALUES (28100, 9451, 6, 'Service datum');
INSERT INTO `lang_definitions` VALUES (28101, 9455, 6, 'Service locatie');
INSERT INTO `lang_definitions` VALUES (28102, 9456, 6, 'Service naam');
INSERT INTO `lang_definitions` VALUES (28103, 9457, 6, 'Dienstverlening door specialist');
INSERT INTO `lang_definitions` VALUES (28104, 9459, 6, 'Service overzicht');
INSERT INTO `lang_definitions` VALUES (28105, 9460, 6, 'Alleen Service overzicht');
INSERT INTO `lang_definitions` VALUES (28106, 9461, 6, 'Verleende diensten');
INSERT INTO `lang_definitions` VALUES (28107, 9462, 6, 'Diensten per Categorie');
INSERT INTO `lang_definitions` VALUES (28108, 9463, 6, 'Verleende diensten');
INSERT INTO `lang_definitions` VALUES (28109, 9464, 6, 'Verleende diensten');
INSERT INTO `lang_definitions` VALUES (28110, 9465, 6, 'Services/Producten');
INSERT INTO `lang_definitions` VALUES (28111, 9466, 6, 'Sessie type');
INSERT INTO `lang_definitions` VALUES (28112, 9467, 6, 'Set');
INSERT INTO `lang_definitions` VALUES (28113, 9468, 6, 'Faciliteit cookie inschakelen om de selectie ussen faciliteiten te behouden');
INSERT INTO `lang_definitions` VALUES (28114, 9469, 6, 'Vastleggen als afgemaakt');
INSERT INTO `lang_definitions` VALUES (28115, 9475, 6, 'Markeer de voorkeurs verwerking voor CDR gebaseerde rapporten.');
INSERT INTO `lang_definitions` VALUES (28116, 9476, 6, 'markeer de voorkeur om patient herinneringne aan te maken (in volledige kliniek modus).');
INSERT INTO `lang_definitions` VALUES (28117, 9478, 6, 'HIer het gehele path gebruiken. Te gebruiken bij SSL certificaten voor HTTPS');
INSERT INTO `lang_definitions` VALUES (28118, 9479, 6, 'Vastgezet op');
INSERT INTO `lang_definitions` VALUES (28119, 9480, 6, 'Terug naar Default');
INSERT INTO `lang_definitions` VALUES (28120, 9486, 6, 'Aanmaken van versie nummer van de Database...');
INSERT INTO `lang_definitions` VALUES (28121, 9488, 6, 'Instellingen');
INSERT INTO `lang_definitions` VALUES (28122, 9492, 6, 'Hevig');
INSERT INTO `lang_definitions` VALUES (28123, 9493, 6, 'Zware migraine');
INSERT INTO `lang_definitions` VALUES (28124, 9494, 6, 'Hevigheid');
INSERT INTO `lang_definitions` VALUES (28125, 9496, 6, 'Ernst van de pijn');
INSERT INTO `lang_definitions` VALUES (28126, 9497, 6, 'Ernst van de pijn:');
INSERT INTO `lang_definitions` VALUES (28127, 9498, 6, 'Geslacht');
INSERT INTO `lang_definitions` VALUES (28128, 9499, 6, 'SOA');
INSERT INTO `lang_definitions` VALUES (28129, 9500, 6, 'SFTP');
INSERT INTO `lang_definitions` VALUES (28130, 9502, 6, 'Sha-1 Hash');
INSERT INTO `lang_definitions` VALUES (28131, 9503, 6, 'Delen met');
INSERT INTO `lang_definitions` VALUES (28132, 9504, 6, 'Shell commando om vanaf de Server te printen');
INSERT INTO `lang_definitions` VALUES (28133, 9505, 6, 'Dienst');
INSERT INTO `lang_definitions` VALUES (28134, 9506, 6, 'Shona');
INSERT INTO `lang_definitions` VALUES (28135, 9507, 6, 'Korte omschrijving');
INSERT INTO `lang_definitions` VALUES (28136, 9510, 6, 'Kortademig');
INSERT INTO `lang_definitions` VALUES (28137, 9511, 6, 'Kortademig');
INSERT INTO `lang_definitions` VALUES (28138, 9512, 6, 'Kortademig 2');
INSERT INTO `lang_definitions` VALUES (28139, 9513, 6, 'Vaccinatie bewijs');
INSERT INTO `lang_definitions` VALUES (28140, 9514, 6, 'Vaccinaties vanaf:');
INSERT INTO `lang_definitions` VALUES (28141, 9515, 6, 'Moet geactiveerd worden');
INSERT INTO `lang_definitions` VALUES (28142, 9516, 6, 'Moet zijn conform nnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (28143, 9517, 6, 'Moet twee letters zijn');
INSERT INTO `lang_definitions` VALUES (28144, 9518, 6, 'Moet tien digits hebben');
INSERT INTO `lang_definitions` VALUES (28145, 9519, 6, 'mag slechts tien digits hebben');
INSERT INTO `lang_definitions` VALUES (28146, 9520, 6, 'Schouder');
INSERT INTO `lang_definitions` VALUES (28147, 9521, 6, 'Schouder en Clavicula');
INSERT INTO `lang_definitions` VALUES (28148, 9522, 6, 'Schouderproblemen');
INSERT INTO `lang_definitions` VALUES (28149, 9523, 6, 'Toon');
INSERT INTO `lang_definitions` VALUES (28150, 9524, 6, 'Laat de actieven zien');
INSERT INTO `lang_definitions` VALUES (28151, 9525, 6, 'Toon Extra Verzekeringsinformatie');
INSERT INTO `lang_definitions` VALUES (28152, 9527, 6, 'Toon alle');
INSERT INTO `lang_definitions` VALUES (28153, 9529, 6, 'Toon alle procedures');
INSERT INTO `lang_definitions` VALUES (28154, 9530, 6, 'Toon alle resultaten');
INSERT INTO `lang_definitions` VALUES (28155, 9531, 6, 'Laat alle transacties zien');
INSERT INTO `lang_definitions` VALUES (28156, 9532, 6, 'Bezig');
INSERT INTO `lang_definitions` VALUES (28157, 9533, 6, 'Alleen geautorizeerden');
INSERT INTO `lang_definitions` VALUES (28158, 9534, 6, 'Laat beschikbare tijd zien');
INSERT INTO `lang_definitions` VALUES (28159, 9535, 6, 'Toon zowel US als Metriek (Metriek heeft voorkeur)');
INSERT INTO `lang_definitions` VALUES (28160, 9536, 6, 'Toon zowel US als Metriek (US heeft voorkeur)');
INSERT INTO `lang_definitions` VALUES (28161, 9539, 6, 'Toon huidig opgeslagen handtekening');
INSERT INTO `lang_definitions` VALUES (28162, 9540, 6, 'Toon details');
INSERT INTO `lang_definitions` VALUES (28163, 9542, 6, 'Alle fouten tonen?');
INSERT INTO `lang_definitions` VALUES (28164, 9543, 6, 'Toon extra Logo bij inloggen');
INSERT INTO `lang_definitions` VALUES (28165, 9544, 6, 'Laat Grafiek zien');
INSERT INTO `lang_definitions` VALUES (28166, 9546, 6, 'Laat gebeurtenis tekst zien bij muis over');
INSERT INTO `lang_definitions` VALUES (28167, 9547, 6, 'Hoeveelheid gebeurtenissen tonen op Admin Pagina?');
INSERT INTO `lang_definitions` VALUES (28168, 9548, 6, 'Laat de NIET-ACTIEVEN zien');
INSERT INTO `lang_definitions` VALUES (28169, 9549, 6, 'Toon Verzekeringsadres Informatie in het Verzekeringsscherm bij de Persoonsgegevens.');
INSERT INTO `lang_definitions` VALUES (28170, 9552, 6, 'Laat menu zien');
INSERT INTO `lang_definitions` VALUES (28171, 9553, 6, 'Alleen Metrieke resultaten tonen');
INSERT INTO `lang_definitions` VALUES (28172, 9556, 6, 'Toon notities');
INSERT INTO `lang_definitions` VALUES (28173, 9558, 6, 'Toon alleen de niet overgeslagen procedures');
INSERT INTO `lang_definitions` VALUES (28174, 9561, 6, 'Laat notities van patient zien');
INSERT INTO `lang_definitions` VALUES (28175, 9562, 6, 'Toon pounds en ounces');
INSERT INTO `lang_definitions` VALUES (28176, 9563, 6, 'Toon pounds als decimale waarde');
INSERT INTO `lang_definitions` VALUES (28177, 9564, 6, 'Laat gehele Primary zien');
INSERT INTO `lang_definitions` VALUES (28178, 9566, 6, 'Toon Ontvangstbewijs');
INSERT INTO `lang_definitions` VALUES (28179, 9567, 6, 'Toon records');
INSERT INTO `lang_definitions` VALUES (28180, 9568, 6, 'Toon reminders');
INSERT INTO `lang_definitions` VALUES (28181, 9569, 6, 'Rapport tonen');
INSERT INTO `lang_definitions` VALUES (28182, 9570, 6, 'Toon rapport');
INSERT INTO `lang_definitions` VALUES (28183, 9574, 6, 'Laat de gebruiker status zien om de lijsten widget toe te voegen (vraagt naar titel en afkorting)');
INSERT INTO `lang_definitions` VALUES (28184, 9577, 6, 'Toon deze categorie op het patient samenvattings scherm zelfs als er geen Issues zijn ingevoerd voor deze categorie.');
INSERT INTO `lang_definitions` VALUES (28185, 9579, 6, 'Toon track historie');
INSERT INTO `lang_definitions` VALUES (28186, 9580, 6, 'Toon alleen nog niet in REK gebracht');
INSERT INTO `lang_definitions` VALUES (28187, 9581, 6, 'Alleen US tonen');
INSERT INTO `lang_definitions` VALUES (28188, 9582, 6, 'Toon reden van bezoek in Patient Flow Board');
INSERT INTO `lang_definitions` VALUES (28189, 9585, 6, 'Toont');
INSERT INTO `lang_definitions` VALUES (28190, 9589, 6, 'Toont resultaten');
INSERT INTO `lang_definitions` VALUES (28191, 9592, 6, 'Broeder');
INSERT INTO `lang_definitions` VALUES (28192, 9593, 6, 'Nakomelingen geschiedenis');
INSERT INTO `lang_definitions` VALUES (28193, 9595, 6, 'Broers/Zussen');
INSERT INTO `lang_definitions` VALUES (28194, 9596, 6, 'Sikkelcel');
INSERT INTO `lang_definitions` VALUES (28195, 9597, 6, 'S/');
INSERT INTO `lang_definitions` VALUES (28196, 9598, 6, 'Sigmoid/Coloscopie');
INSERT INTO `lang_definitions` VALUES (28197, 9599, 6, 'Onderteken');
INSERT INTO `lang_definitions` VALUES (28198, 9600, 6, 'Inloggen');
INSERT INTO `lang_definitions` VALUES (28199, 9601, 6, 'Ondertekenen van Lab resultaten (schrijf, alleen toevoegen is optioneel)');
INSERT INTO `lang_definitions` VALUES (28200, 9603, 6, 'Resultaten ondertekenen');
INSERT INTO `lang_definitions` VALUES (28201, 9604, 6, 'Aanmelden');
INSERT INTO `lang_definitions` VALUES (28202, 9606, 6, 'Handtekening');
INSERT INTO `lang_definitions` VALUES (28203, 9607, 6, 'Handtekening (patient)');
INSERT INTO `lang_definitions` VALUES (28204, 9608, 6, 'Handtekening (patient)');
INSERT INTO `lang_definitions` VALUES (28205, 9609, 6, 'Handtekening:');
INSERT INTO `lang_definitions` VALUES (28206, 9612, 6, 'Getekend Rx');
INSERT INTO `lang_definitions` VALUES (28207, 9613, 6, 'Levenspartner');
INSERT INTO `lang_definitions` VALUES (28208, 9614, 6, 'Aanzienlijke zwelling:');
INSERT INTO `lang_definitions` VALUES (28209, 9615, 6, 'Vereenvoudigd');
INSERT INTO `lang_definitions` VALUES (28210, 9616, 6, 'Extra betaling eenvoudig');
INSERT INTO `lang_definitions` VALUES (28211, 9617, 6, 'Minimum aan Demografische gegevens');
INSERT INTO `lang_definitions` VALUES (28212, 9618, 6, 'Recepten eenvoudig');
INSERT INTO `lang_definitions` VALUES (28213, 9619, 6, 'Sinds');
INSERT INTO `lang_definitions` VALUES (28214, 9620, 6, 'Met vriendelijke groeten,');
INSERT INTO `lang_definitions` VALUES (28215, 9621, 6, 'Sindhi');
INSERT INTO `lang_definitions` VALUES (28216, 9622, 6, 'Ongehuwd');
INSERT INTO `lang_definitions` VALUES (28217, 9624, 6, 'Enkelvoudige selectie lijst');
INSERT INTO `lang_definitions` VALUES (28218, 9625, 6, 'Enkelvoudige selectie lijst met de mogelijkheid om toe te voegen');
INSERT INTO `lang_definitions` VALUES (28219, 9626, 6, 'Enkelvoud');
INSERT INTO `lang_definitions` VALUES (28220, 9627, 6, 'Sinhala');
INSERT INTO `lang_definitions` VALUES (28221, 9628, 6, 'Sinhala, Sinhalees');
INSERT INTO `lang_definitions` VALUES (28222, 9629, 6, 'Sinusproblemen');
INSERT INTO `lang_definitions` VALUES (28223, 9630, 6, 'Chirurgie van de sinus');
INSERT INTO `lang_definitions` VALUES (28224, 9631, 6, 'Sinus gevoelig:');
INSERT INTO `lang_definitions` VALUES (28225, 9632, 6, 'Sinusitis');
INSERT INTO `lang_definitions` VALUES (28226, 9633, 6, 'Zuster');
INSERT INTO `lang_definitions` VALUES (28227, 9634, 6, 'Site');
INSERT INTO `lang_definitions` VALUES (28228, 9637, 6, 'Site ID');
INSERT INTO `lang_definitions` VALUES (28229, 9638, 6, 'Site ID voor Medische Informatie Inetegratie, LLC Lab Exchange Service.');
INSERT INTO `lang_definitions` VALUES (28230, 9639, 6, 'Site ID voor de OpenEMR ondersteuning v an Lab uitwisselings Service');
INSERT INTO `lang_definitions` VALUES (28231, 9641, 6, 'Zes maanden geleden');
INSERT INTO `lang_definitions` VALUES (28232, 9642, 6, 'Zes maanden vooruit');
INSERT INTO `lang_definitions` VALUES (28233, 9643, 6, 'Lengte');
INSERT INTO `lang_definitions` VALUES (28234, 9644, 6, 'grootte');
INSERT INTO `lang_definitions` VALUES (28235, 9646, 6, 'Lengte moet een getal zijn tussen 1 en 999');
INSERT INTO `lang_definitions` VALUES (28236, 9648, 6, 'Lengte/Lijst');
INSERT INTO `lang_definitions` VALUES (28237, 9650, 6, 'Huid');
INSERT INTO `lang_definitions` VALUES (28238, 9651, 6, 'Huidkanker');
INSERT INTO `lang_definitions` VALUES (28239, 9652, 6, 'Huidziekte');
INSERT INTO `lang_definitions` VALUES (28240, 9653, 6, 'Anders huid');
INSERT INTO `lang_definitions` VALUES (28241, 9654, 6, 'Authorisatie van Patient notities verslaan');
INSERT INTO `lang_definitions` VALUES (28242, 9659, 6, 'Sectie overslaan');
INSERT INTO `lang_definitions` VALUES (28243, 9660, 6, 'SQL-Ledger dump wordt overgeslagen- nog niet geimplementeerd voor Windows-server');
INSERT INTO `lang_definitions` VALUES (28244, 9663, 6, 'Slapen');
INSERT INTO `lang_definitions` VALUES (28245, 9664, 6, 'Slaappatroon');
INSERT INTO `lang_definitions` VALUES (28246, 9665, 6, 'Slaappatroon');
INSERT INTO `lang_definitions` VALUES (28247, 9666, 6, 'Slapen');
INSERT INTO `lang_definitions` VALUES (28248, 9667, 6, 'Glijdend');
INSERT INTO `lang_definitions` VALUES (28249, 9668, 6, 'Slovaaks');
INSERT INTO `lang_definitions` VALUES (28250, 9669, 6, 'Sloveens');
INSERT INTO `lang_definitions` VALUES (28251, 9670, 6, 'Sm schuld w / o');
INSERT INTO `lang_definitions` VALUES (28252, 9675, 6, 'Smarty Cache is gewist');
INSERT INTO `lang_definitions` VALUES (28253, 9676, 6, 'Roker, huidig gebruik onbekend');
INSERT INTO `lang_definitions` VALUES (28254, 9677, 6, 'Roken');
INSERT INTO `lang_definitions` VALUES (28255, 9678, 6, 'Rook gedrag');
INSERT INTO `lang_definitions` VALUES (28256, 9680, 6, 'SMS Aut');
INSERT INTO `lang_definitions` VALUES (28257, 9683, 6, 'SMS Gateway');
INSERT INTO `lang_definitions` VALUES (28258, 9684, 6, 'SMS Gateway API-sleutel');
INSERT INTO `lang_definitions` VALUES (28259, 9685, 6, 'SMS Gateway API sleutel');
INSERT INTO `lang_definitions` VALUES (28260, 9686, 6, 'SMS Gateway User Paswoord');
INSERT INTO `lang_definitions` VALUES (28261, 9687, 6, 'SMS Gateway User Naam');
INSERT INTO `lang_definitions` VALUES (28262, 9689, 6, 'SMS-melding');
INSERT INTO `lang_definitions` VALUES (28263, 9690, 6, 'SMS-meldings uren');
INSERT INTO `lang_definitions` VALUES (28264, 9693, 6, 'SMS sturen vóór');
INSERT INTO `lang_definitions` VALUES (28265, 9694, 6, 'SMS verzonden');
INSERT INTO `lang_definitions` VALUES (28266, 9697, 6, 'SMS Tekst, Bruikbare Tag: ***NAAM***, ***AANBIEDER***, ***DATUM ***, ***Begintijd***, *** Eindtijd***<br> b.v. Beste ***Naam***');
INSERT INTO `lang_definitions` VALUES (28267, 9701, 6, 'SMS/E-mail waarschuwingsinstellingen');
INSERT INTO `lang_definitions` VALUES (28268, 9703, 6, 'SMTP Paswoord voor Authenticatie');
INSERT INTO `lang_definitions` VALUES (28269, 9706, 6, 'SMTP Server Hostnaam');
INSERT INTO `lang_definitions` VALUES (28270, 9707, 6, 'SMTP Server Poortnummer');
INSERT INTO `lang_definitions` VALUES (28271, 9708, 6, 'SMTP User voor Autentificatie');
INSERT INTO `lang_definitions` VALUES (28272, 9709, 6, 'SNOMED');
INSERT INTO `lang_definitions` VALUES (28273, 9710, 6, 'SNOMED (RF1 Klinische term');
INSERT INTO `lang_definitions` VALUES (28274, 9711, 6, 'SNOMED (RF1) Diagnoses');
INSERT INTO `lang_definitions` VALUES (28275, 9712, 6, 'SNOMED (RF1) Procedure');
INSERT INTO `lang_definitions` VALUES (28276, 9714, 6, 'SNOMER (RF2) Diagnoses');
INSERT INTO `lang_definitions` VALUES (28277, 9716, 6, 'SNOMED Klinische term');
INSERT INTO `lang_definitions` VALUES (28278, 9717, 6, 'SNOMED Database');
INSERT INTO `lang_definitions` VALUES (28279, 9718, 6, 'SNOMED Diagnose');
INSERT INTO `lang_definitions` VALUES (28280, 9719, 6, 'SNOMED Procedure');
INSERT INTO `lang_definitions` VALUES (28281, 9721, 6, 'Snurken');
INSERT INTO `lang_definitions` VALUES (28282, 9722, 6, 'SOEP');
INSERT INTO `lang_definitions` VALUES (28283, 9725, 6, 'Sociaal');
INSERT INTO `lang_definitions` VALUES (28284, 9726, 6, 'Sociale problemen');
INSERT INTO `lang_definitions` VALUES (28285, 9727, 6, 'Sociale Voorgeschiedenis');
INSERT INTO `lang_definitions` VALUES (28286, 9728, 6, 'Elementen Sociale Voorgeschiedenis');
INSERT INTO `lang_definitions` VALUES (28287, 9729, 6, 'Sociale voorgesch.');
INSERT INTO `lang_definitions` VALUES (28288, 9730, 6, 'BSN');
INSERT INTO `lang_definitions` VALUES (28289, 9732, 6, 'oplossing');
INSERT INTO `lang_definitions` VALUES (28290, 9733, 6, 'Somali');
INSERT INTO `lang_definitions` VALUES (28291, 9734, 6, 'Somatische contekst');
INSERT INTO `lang_definitions` VALUES (28292, 9735, 6, 'Sommige machtigingen werden niet getoond. Klik hier om ze allemaal te zien');
INSERT INTO `lang_definitions` VALUES (28293, 9736, 6, 'Sommige codes werden niet getoond.');
INSERT INTO `lang_definitions` VALUES (28294, 9737, 6, 'Sommige bezoeken werden niet getoond. Klik hier om alles te zien.');
INSERT INTO `lang_definitions` VALUES (28295, 9738, 6, 'Er is een fout opgetreden tijdens De-Identificatie Process');
INSERT INTO `lang_definitions` VALUES (28296, 9740, 6, 'Enkele notities werden niet getoond');
INSERT INTO `lang_definitions` VALUES (28297, 9741, 6, 'Sommige Office notities worden niet getoond. Klik HIER om alles te tonen.');
INSERT INTO `lang_definitions` VALUES (28298, 9743, 6, 'enkele woorden');
INSERT INTO `lang_definitions` VALUES (28299, 9744, 6, 'Iemand anders heeft kort geleden dit bezoek veranderd. Deze pagina dicht maken en weer opneiuw openen');
INSERT INTO `lang_definitions` VALUES (28300, 9745, 6, 'Er is iets fout gegaan');
INSERT INTO `lang_definitions` VALUES (28301, 9747, 6, 'Foutje, probeer het nogmaals');
INSERT INTO `lang_definitions` VALUES (28302, 9748, 6, 'Binnenkort verloopt interval (Kilinische reminders)');
INSERT INTO `lang_definitions` VALUES (28303, 9749, 6, 'Binenkort verloopt interval (Patient reminders)');
INSERT INTO `lang_definitions` VALUES (28304, 9750, 6, 'Zere keel');
INSERT INTO `lang_definitions` VALUES (28305, 9751, 6, 'Mislukt, geen afspraak vastgelegd');
INSERT INTO `lang_definitions` VALUES (28306, 9754, 6, 'Mislukt, probleem met oploaden van de file');
INSERT INTO `lang_definitions` VALUES (28307, 9755, 6, 'Excuus, er was een probeem!');
INSERT INTO `lang_definitions` VALUES (28308, 9758, 6, 'Sorteren op');
INSERT INTO `lang_definitions` VALUES (28309, 9759, 6, 'Gesorteerd op');
INSERT INTO `lang_definitions` VALUES (28310, 9760, 6, 'Sorteer op categorie');
INSERT INTO `lang_definitions` VALUES (28311, 9761, 6, 'Soteer op Checksom');
INSERT INTO `lang_definitions` VALUES (28312, 9762, 6, 'Sorteren op commentaar');
INSERT INTO `lang_definitions` VALUES (28313, 9763, 6, 'Sorteer op Crt User');
INSERT INTO `lang_definitions` VALUES (28314, 9764, 6, 'Sorteren op datum');
INSERT INTO `lang_definitions` VALUES (28315, 9765, 6, 'Sorteren op datum/tijd');
INSERT INTO `lang_definitions` VALUES (28316, 9766, 6, 'Sorteren op gebeurtenis');
INSERT INTO `lang_definitions` VALUES (28317, 9767, 6, 'Sorteren op groep');
INSERT INTO `lang_definitions` VALUES (28318, 9768, 6, 'Sorteer op de nieuwe checksum');
INSERT INTO `lang_definitions` VALUES (28319, 9769, 6, 'Sorteer op de oude checksum');
INSERT INTO `lang_definitions` VALUES (28320, 9770, 6, 'Sorteer op Pt. ID');
INSERT INTO `lang_definitions` VALUES (28321, 9772, 6, 'Sorteer of Success');
INSERT INTO `lang_definitions` VALUES (28322, 9773, 6, 'Sorteer op \"getamperde\" datum/tijd');
INSERT INTO `lang_definitions` VALUES (28323, 9774, 6, 'Sorteren op gebruiker');
INSERT INTO `lang_definitions` VALUES (28324, 9775, 6, 'Sorteren op vaccinatie');
INSERT INTO `lang_definitions` VALUES (28325, 9776, 6, 'Neerwaards sorteren');
INSERT INTO `lang_definitions` VALUES (28326, 9777, 6, 'Resultaten sorteren op');
INSERT INTO `lang_definitions` VALUES (28327, 9778, 6, 'Opwaards sorteren');
INSERT INTO `lang_definitions` VALUES (28328, 9779, 6, 'Bron');
INSERT INTO `lang_definitions` VALUES (28329, 9781, 6, 'Bron file');
INSERT INTO `lang_definitions` VALUES (28330, 9782, 6, 'Bron file path');
INSERT INTO `lang_definitions` VALUES (28331, 9783, 6, 'Bron is niet in code opgenomen');
INSERT INTO `lang_definitions` VALUES (28332, 9784, 6, 'Oorsprong van voorraad');
INSERT INTO `lang_definitions` VALUES (28333, 9785, 6, 'Brondocument');
INSERT INTO `lang_definitions` VALUES (28334, 9786, 6, 'Deze patient');
INSERT INTO `lang_definitions` VALUES (28335, 9787, 6, 'Deze patient heeft geen geboorte datum');
INSERT INTO `lang_definitions` VALUES (28336, 9788, 6, 'Deze patient wordt niet gevonden');
INSERT INTO `lang_definitions` VALUES (28337, 9789, 6, 'Bron:');
INSERT INTO `lang_definitions` VALUES (28338, 9790, 6, 'Zuid Nedebele');
INSERT INTO `lang_definitions` VALUES (28339, 9791, 6, 'Zuid Sotho');
INSERT INTO `lang_definitions` VALUES (28340, 9792, 6, 'Spatie');
INSERT INTO `lang_definitions` VALUES (28341, 9793, 6, 'SPATIE');
INSERT INTO `lang_definitions` VALUES (28342, 9795, 6, 'Spaans');
INSERT INTO `lang_definitions` VALUES (28343, 9796, 6, 'Spaans (Latin American)');
INSERT INTO `lang_definitions` VALUES (28344, 9797, 6, 'Spaans (Spaans)');
INSERT INTO `lang_definitions` VALUES (28345, 9798, 6, 'Spaans-Castiliaans');
INSERT INTO `lang_definitions` VALUES (28346, 9799, 6, 'Speciale karakters zijn niet toegestaan');
INSERT INTO `lang_definitions` VALUES (28347, 9800, 6, 'Speciale behandeling voor het Vitals formulier');
INSERT INTO `lang_definitions` VALUES (28348, 9801, 6, 'Specialist');
INSERT INTO `lang_definitions` VALUES (28349, 9802, 6, 'Naam en handtekening specialist');
INSERT INTO `lang_definitions` VALUES (28350, 9803, 6, 'Gespecialiseerde arts');
INSERT INTO `lang_definitions` VALUES (28351, 9804, 6, 'Specialisatie');
INSERT INTO `lang_definitions` VALUES (28352, 9805, 6, 'Gespecificeerde systemen');
INSERT INTO `lang_definitions` VALUES (28353, 9806, 6, 'Specialisatie:');
INSERT INTO `lang_definitions` VALUES (28354, 9807, 6, 'Specifiek');
INSERT INTO `lang_definitions` VALUES (28355, 9808, 6, 'Specifieke Applicatie');
INSERT INTO `lang_definitions` VALUES (28356, 9809, 6, 'Anticonceptie Dienst verlening');
INSERT INTO `lang_definitions` VALUES (28357, 9810, 6, 'Specifiek resultaat');
INSERT INTO `lang_definitions` VALUES (28358, 9811, 6, 'Specifieke Service');
INSERT INTO `lang_definitions` VALUES (28359, 9812, 6, 'Toegspitst');
INSERT INTO `lang_definitions` VALUES (28360, 9813, 6, 'Specifiek formattering voor codes. # = digit, * = ieder char. Leeg indien ongebruikt.');
INSERT INTO `lang_definitions` VALUES (28361, 9814, 6, 'Geeft de manier aan van formatteren # = digit, @= alfa, *=elk karakter. Leeg is ongebruikt.');
INSERT INTO `lang_definitions` VALUES (28362, 9815, 6, 'Dit geeft de manier van formatteren van referentie numme aan. #- getal, * = een letter. Leeg is ongebruikt.');
INSERT INTO `lang_definitions` VALUES (28363, 9816, 6, 'Geeft de manier aan van Invoice referentie nummers. # = digit, A = Alfa, * = elk karakter. Leeg is ongebruikt');
INSERT INTO `lang_definitions` VALUES (28364, 9817, 6, 'Specificeert formattering voor product NDC veld. # = digit, * = ieder char. Leeg indien ongebruikt.');
INSERT INTO `lang_definitions` VALUES (28365, 9818, 6, 'Geeft formattering aan voor produc NDC velden. # = digit, @ = alfa, * = elk karakter. Leeg is ongebruikt.');
INSERT INTO `lang_definitions` VALUES (28366, 9819, 6, 'Dit geeft de manier aan van formatteren voor externe Client ID-nummer ID = getal, * = een letter. Leeg is ongebruikt');
INSERT INTO `lang_definitions` VALUES (28367, 9820, 6, 'Geeft formattering aan van externe patienten ID. # = digit. @ = alfa, * = elk karakter. Leeg is ongebruikt');
INSERT INTO `lang_definitions` VALUES (28368, 9823, 6, 'Specimen');
INSERT INTO `lang_definitions` VALUES (28369, 9824, 6, 'Nummer van Specimen/Indentifier');
INSERT INTO `lang_definitions` VALUES (28370, 9825, 6, 'Specimen Soort');
INSERT INTO `lang_definitions` VALUES (28371, 9826, 6, 'Specimen soort');
INSERT INTO `lang_definitions` VALUES (28372, 9827, 6, 'Spraak invoer');
INSERT INTO `lang_definitions` VALUES (28373, 9828, 6, 'Spermiciden');
INSERT INTO `lang_definitions` VALUES (28374, 9831, 6, 'Milt verwijdering');
INSERT INTO `lang_definitions` VALUES (28375, 9832, 6, 'Echtgenoot');
INSERT INTO `lang_definitions` VALUES (28376, 9833, 6, 'Geschiedenis echtgenoot');
INSERT INTO `lang_definitions` VALUES (28377, 9834, 6, 'Sputum');
INSERT INTO `lang_definitions` VALUES (28378, 9835, 6, 'Sputum:');
INSERT INTO `lang_definitions` VALUES (28379, 9836, 6, 'Subcutaan');
INSERT INTO `lang_definitions` VALUES (28380, 9837, 6, 'sql');
INSERT INTO `lang_definitions` VALUES (28381, 9839, 6, 'Ploeg');
INSERT INTO `lang_definitions` VALUES (28382, 9840, 6, 'Ploeglidmaatschap');
INSERT INTO `lang_definitions` VALUES (28383, 9841, 6, 'Ploegen');
INSERT INTO `lang_definitions` VALUES (28384, 9843, 6, 'SRH');
INSERT INTO `lang_definitions` VALUES (28385, 9844, 6, 'SRH - Family Planning');
INSERT INTO `lang_definitions` VALUES (28386, 9845, 6, 'SRH Geen Family Planning');
INSERT INTO `lang_definitions` VALUES (28387, 9846, 6, 'SRH verwijzingen');
INSERT INTO `lang_definitions` VALUES (28388, 9847, 6, 'SRH Bezoekformulier');
INSERT INTO `lang_definitions` VALUES (28389, 9848, 6, 'Srv datum');
INSERT INTO `lang_definitions` VALUES (28390, 9849, 6, 'SS');
INSERT INTO `lang_definitions` VALUES (28391, 9850, 6, 'SSL certificaat Administratie');
INSERT INTO `lang_definitions` VALUES (28392, 9851, 6, 'BSN');
INSERT INTO `lang_definitions` VALUES (28393, 9852, 6, 'Stabilitiet');
INSERT INTO `lang_definitions` VALUES (28394, 9854, 6, 'Staps gewijze aanpassingen');
INSERT INTO `lang_definitions` VALUES (28395, 9855, 6, 'Standaard');
INSERT INTO `lang_definitions` VALUES (28396, 9856, 6, 'Standaard controle');
INSERT INTO `lang_definitions` VALUES (28397, 9857, 6, 'Standaard Code');
INSERT INTO `lang_definitions` VALUES (28398, 9860, 6, 'Standaard metingen');
INSERT INTO `lang_definitions` VALUES (28399, 9861, 6, 'Standaard Metingen (Actieve alerts)');
INSERT INTO `lang_definitions` VALUES (28400, 9862, 6, 'Standaard Metingen (Passieve alerts)');
INSERT INTO `lang_definitions` VALUES (28401, 9863, 6, 'Standaard Metingen (Patient herinneringen)');
INSERT INTO `lang_definitions` VALUES (28402, 9864, 6, 'Standaard naam');
INSERT INTO `lang_definitions` VALUES (28403, 9865, 6, 'Standaard: vereenvoudigd: alleen titel, start datum, commentaren en en Actieve check box; geen diagnoses, frequenties eind datum, verwezen door, of sport velden. ; Voetbal trauma');
INSERT INTO `lang_definitions` VALUES (28404, 9866, 6, 'Begin');
INSERT INTO `lang_definitions` VALUES (28405, 9867, 6, 'Start (jjjj-mm-dd):');
INSERT INTO `lang_definitions` VALUES (28406, 9868, 6, 'Een ander rapport opstarten');
INSERT INTO `lang_definitions` VALUES (28407, 9870, 6, 'Start Processing Batch');
INSERT INTO `lang_definitions` VALUES (28408, 9874, 6, 'Begindatum');
INSERT INTO `lang_definitions` VALUES (28409, 9875, 6, 'Startdatum');
INSERT INTO `lang_definitions` VALUES (28410, 9876, 6, 'Begindatum bij deze kliniek');
INSERT INTO `lang_definitions` VALUES (28411, 9877, 6, 'Begin datum kan niet na Eind datum vallen');
INSERT INTO `lang_definitions` VALUES (28412, 9878, 6, 'Begindatum:');
INSERT INTO `lang_definitions` VALUES (28413, 9879, 6, 'Begindatum:');
INSERT INTO `lang_definitions` VALUES (28414, 9881, 6, 'Starttijd');
INSERT INTO `lang_definitions` VALUES (28415, 9883, 6, 'Begindatum');
INSERT INTO `lang_definitions` VALUES (28416, 9884, 6, 'Begindatum');
INSERT INTO `lang_definitions` VALUES (28417, 9888, 6, 'nu');
INSERT INTO `lang_definitions` VALUES (28418, 9889, 6, 'Provincie');
INSERT INTO `lang_definitions` VALUES (28419, 9890, 6, 'Staat specifieke Data soort');
INSERT INTO `lang_definitions` VALUES (28420, 9891, 6, 'Unicode');
INSERT INTO `lang_definitions` VALUES (28421, 9892, 6, 'Licentie nummer van Staat');
INSERT INTO `lang_definitions` VALUES (28422, 9893, 6, 'Lijst van Provincies');
INSERT INTO `lang_definitions` VALUES (28423, 9894, 6, 'Provincie-/Eilandgebiedlijst (schrijven,toevoegen optioneel)');
INSERT INTO `lang_definitions` VALUES (28424, 9896, 6, 'Saten lijst widget om eigen velden aan te maken');
INSERT INTO `lang_definitions` VALUES (28425, 9897, 6, 'Staat of Provincie');
INSERT INTO `lang_definitions` VALUES (28426, 9898, 6, 'Staat/Localiteit');
INSERT INTO `lang_definitions` VALUES (28427, 9899, 6, 'Bario/Parochie');
INSERT INTO `lang_definitions` VALUES (28428, 9900, 6, 'Provincie:');
INSERT INTO `lang_definitions` VALUES (28429, 9903, 6, 'Samenvatting Verklaringen');
INSERT INTO `lang_definitions` VALUES (28430, 9904, 6, 'verklaringen en bijwerken van facturen.');
INSERT INTO `lang_definitions` VALUES (28431, 9906, 6, 'Verklaring verstuurd:');
INSERT INTO `lang_definitions` VALUES (28432, 9907, 6, 'verklaringen; facturen worden niet bijgewerkt.');
INSERT INTO `lang_definitions` VALUES (28433, 9908, 6, 'Niet veranderende tekst');
INSERT INTO `lang_definitions` VALUES (28434, 9909, 6, 'Statistieken');
INSERT INTO `lang_definitions` VALUES (28435, 9910, 6, 'Statistieken');
INSERT INTO `lang_definitions` VALUES (28436, 9911, 6, 'Status');
INSERT INTO `lang_definitions` VALUES (28437, 9914, 6, 'Staus van opname');
INSERT INTO `lang_definitions` VALUES (28438, 9915, 6, 'Status van de claim');
INSERT INTO `lang_definitions` VALUES (28439, 9916, 6, 'Status quo');
INSERT INTO `lang_definitions` VALUES (28440, 9917, 6, 'Type Status');
INSERT INTO `lang_definitions` VALUES (28441, 9918, 6, 'SOA / AIDS Couns');
INSERT INTO `lang_definitions` VALUES (28442, 9919, 6, 'Sterkte en conditionering');
INSERT INTO `lang_definitions` VALUES (28443, 9920, 6, 'Stief Kind');
INSERT INTO `lang_definitions` VALUES (28444, 9921, 6, 'Stiefouder');
INSERT INTO `lang_definitions` VALUES (28445, 9922, 6, 'Stief Broer en Zussen');
INSERT INTO `lang_definitions` VALUES (28446, 9923, 6, 'Stiefkind');
INSERT INTO `lang_definitions` VALUES (28447, 9924, 6, 'Stappen om CCR XML te uploaden');
INSERT INTO `lang_definitions` VALUES (28448, 9925, 6, 'Stappen om DSM IV database te installeren');
INSERT INTO `lang_definitions` VALUES (28449, 9926, 6, 'Stappen om ICD 10 database te installeren');
INSERT INTO `lang_definitions` VALUES (28450, 9927, 6, 'Stappen om ICD 9 database te installeren');
INSERT INTO `lang_definitions` VALUES (28451, 9928, 6, 'Stappen om RxNorm database te installeren');
INSERT INTO `lang_definitions` VALUES (28452, 9929, 6, 'Stappen om SNOMED database te installeren');
INSERT INTO `lang_definitions` VALUES (28453, 9932, 6, 'Stijve gewrichten');
INSERT INTO `lang_definitions` VALUES (28454, 9933, 6, 'Stijfheid');
INSERT INTO `lang_definitions` VALUES (28455, 9935, 6, 'Stock Maanden');
INSERT INTO `lang_definitions` VALUES (28456, 9936, 6, 'Maagpijn');
INSERT INTO `lang_definitions` VALUES (28457, 9937, 6, 'Stop');
INSERT INTO `lang_definitions` VALUES (28458, 9938, 6, 'STOP');
INSERT INTO `lang_definitions` VALUES (28459, 9942, 6, 'OpgeslagenHash');
INSERT INTO `lang_definitions` VALUES (28460, 9943, 6, 'Scheel kijken');
INSERT INTO `lang_definitions` VALUES (28461, 9944, 6, 'Verrekte spier');
INSERT INTO `lang_definitions` VALUES (28462, 9946, 6, 'Stroming');
INSERT INTO `lang_definitions` VALUES (28463, 9947, 6, 'Straat');
INSERT INTO `lang_definitions` VALUES (28464, 9948, 6, 'Straatnaam');
INSERT INTO `lang_definitions` VALUES (28465, 9949, 6, 'Straat en nummer');
INSERT INTO `lang_definitions` VALUES (28466, 9950, 6, 'Kracht');
INSERT INTO `lang_definitions` VALUES (28467, 9951, 6, 'Kracht en Conditie');
INSERT INTO `lang_definitions` VALUES (28468, 9952, 6, 'Strep keel onst.');
INSERT INTO `lang_definitions` VALUES (28469, 9953, 6, 'Stress fractuur');
INSERT INTO `lang_definitions` VALUES (28470, 9954, 6, 'Stress Test');
INSERT INTO `lang_definitions` VALUES (28471, 9955, 6, 'Streep');
INSERT INTO `lang_definitions` VALUES (28472, 9956, 6, 'CVA');
INSERT INTO `lang_definitions` VALUES (28473, 9957, 6, 'cva');
INSERT INTO `lang_definitions` VALUES (28474, 9958, 6, 'Sterk Paswoord betekend minimaal 8 karakters en minstens drie nummers, eenkleine letter eenhoofdletter en een speciaal character.');
INSERT INTO `lang_definitions` VALUES (28475, 9960, 6, 'Stijl');
INSERT INTO `lang_definitions` VALUES (28476, 9961, 6, 'Soort stijl gebruiken om nieuwe patienten toe te voegen');
INSERT INTO `lang_definitions` VALUES (28477, 9964, 6, 'Sub groep');
INSERT INTO `lang_definitions` VALUES (28478, 9965, 6, 'Subcategorie');
INSERT INTO `lang_definitions` VALUES (28479, 9966, 6, 'Subtotaal');
INSERT INTO `lang_definitions` VALUES (28480, 9967, 6, 'Subcategorie');
INSERT INTO `lang_definitions` VALUES (28481, 9968, 6, 'subcategorie');
INSERT INTO `lang_definitions` VALUES (28482, 9969, 6, 'onderhuids');
INSERT INTO `lang_definitions` VALUES (28483, 9970, 6, 'Subject');
INSERT INTO `lang_definitions` VALUES (28484, 9971, 6, 'Subjectief');
INSERT INTO `lang_definitions` VALUES (28485, 9972, 6, 'Onder de tong');
INSERT INTO `lang_definitions` VALUES (28486, 9973, 6, 'onder de tong');
INSERT INTO `lang_definitions` VALUES (28487, 9974, 6, 'Zoek');
INSERT INTO `lang_definitions` VALUES (28488, 9975, 6, 'submit');
INSERT INTO `lang_definitions` VALUES (28489, 9976, 6, 'Bekijk de gehele inhoud');
INSERT INTO `lang_definitions` VALUES (28490, 9977, 6, 'Toezenden en verzoek verwijderen');
INSERT INTO `lang_definitions` VALUES (28491, 9979, 6, 'Bekijk Gebeurtenis');
INSERT INTO `lang_definitions` VALUES (28492, 9980, 6, 'verstuur formulier');
INSERT INTO `lang_definitions` VALUES (28493, 9982, 6, 'Bekijk geselecteerde inhoud');
INSERT INTO `lang_definitions` VALUES (28494, 9983, 6, 'Ingediend');
INSERT INTO `lang_definitions` VALUES (28495, 9984, 6, 'aangeleverd');
INSERT INTO `lang_definitions` VALUES (28496, 9985, 6, 'Aangeleverd door');
INSERT INTO `lang_definitions` VALUES (28497, 9986, 6, 'Leverancier van EDI toegangsnummer (PER06)');
INSERT INTO `lang_definitions` VALUES (28498, 9987, 6, 'Verzekerde');
INSERT INTO `lang_definitions` VALUES (28499, 9988, 6, 'Adres verzekerde');
INSERT INTO `lang_definitions` VALUES (28500, 9989, 6, 'Woonplaats van de verzekerde');
INSERT INTO `lang_definitions` VALUES (28501, 9990, 6, 'Land van verzekerde');
INSERT INTO `lang_definitions` VALUES (28502, 9991, 6, 'Geboortedatum van de verzekerde');
INSERT INTO `lang_definitions` VALUES (28503, 9992, 6, 'Werkgever verzekerde');
INSERT INTO `lang_definitions` VALUES (28504, 9993, 6, 'Werkgever Verzekerde (SE)');
INSERT INTO `lang_definitions` VALUES (28505, 9994, 6, 'Adres van werkgever');
INSERT INTO `lang_definitions` VALUES (28506, 9995, 6, 'Werkgever Stad van werkgever');
INSERT INTO `lang_definitions` VALUES (28507, 9996, 6, 'Land van werkgever');
INSERT INTO `lang_definitions` VALUES (28508, 9997, 6, 'Provincie (werkgever)');
INSERT INTO `lang_definitions` VALUES (28509, 9998, 6, 'Straat (werkgever)');
INSERT INTO `lang_definitions` VALUES (28510, 9999, 6, 'Postcode (werkgever)');
INSERT INTO `lang_definitions` VALUES (28511, 10000, 6, 'Postcode (werkgever)');
INSERT INTO `lang_definitions` VALUES (28512, 10001, 6, 'Voornaam (verzekerde)');
INSERT INTO `lang_definitions` VALUES (28513, 10002, 6, 'Achternaam (verzekerde)');
INSERT INTO `lang_definitions` VALUES (28514, 10004, 6, 'Tussennaam (verzekerde)');
INSERT INTO `lang_definitions` VALUES (28515, 10005, 6, 'Tel. (verzekerde)');
INSERT INTO `lang_definitions` VALUES (28516, 10006, 6, 'Relatie (verzekerde)');
INSERT INTO `lang_definitions` VALUES (28517, 10007, 6, 'Verzekerde relatie is niet Zelf maar de naam is wel hetzelfde! Is dit juist?');
INSERT INTO `lang_definitions` VALUES (28518, 10008, 6, 'Verzekerde relatie is niet Zelf maar ID-NA nummer is wel hetzelfde!');
INSERT INTO `lang_definitions` VALUES (28519, 10009, 6, 'Verzekerde relatie is Zelf maar de naam is niet hetzelfde! Is dit juist?');
INSERT INTO `lang_definitions` VALUES (28520, 10010, 6, 'Verzekerde relatie is Zelf maar ID-NA nummer is niet hetzelfde!');
INSERT INTO `lang_definitions` VALUES (28521, 10011, 6, 'Geslacht (verzekerde)');
INSERT INTO `lang_definitions` VALUES (28522, 10012, 6, 'ID (verzekerde)');
INSERT INTO `lang_definitions` VALUES (28523, 10013, 6, 'Provincie (verzekerde)');
INSERT INTO `lang_definitions` VALUES (28524, 10014, 6, 'Postcode (verzekerde)');
INSERT INTO `lang_definitions` VALUES (28525, 10017, 6, 'Telefoon (verzekerde)');
INSERT INTO `lang_definitions` VALUES (28526, 10018, 6, 'Stof');
INSERT INTO `lang_definitions` VALUES (28527, 10019, 6, 'Reden van Afwijzing');
INSERT INTO `lang_definitions` VALUES (28528, 10020, 6, 'Vervanging');
INSERT INTO `lang_definitions` VALUES (28529, 10021, 6, 'substitutie toegestaan');
INSERT INTO `lang_definitions` VALUES (28530, 10023, 6, 'Subtype');
INSERT INTO `lang_definitions` VALUES (28531, 10024, 6, 'Succes');
INSERT INTO `lang_definitions` VALUES (28532, 10025, 6, 'succes');
INSERT INTO `lang_definitions` VALUES (28533, 10026, 6, 'Met succes afgeronde ontvangst van Lab verslag');
INSERT INTO `lang_definitions` VALUES (28534, 10027, 6, 'Met succes Lab resultaat ontvangen');
INSERT INTO `lang_definitions` VALUES (28535, 10028, 6, 'Informatie opgehaald bij Lab Exchange network was suddesvol');
INSERT INTO `lang_definitions` VALUES (28536, 10030, 6, 'Categorie succesvol toegevoegd');
INSERT INTO `lang_definitions` VALUES (28537, 10031, 6, 'Toegevoegd aan categorie gelukt');
INSERT INTO `lang_definitions` VALUES (28538, 10032, 6, 'Succesvol afgerond');
INSERT INTO `lang_definitions` VALUES (28539, 10033, 6, 'Met succes verwijderd');
INSERT INTO `lang_definitions` VALUES (28540, 10034, 6, 'Details met succes geimporteerd. Kies goedkeuren van patient van het klaar staande goedkeurings scherm');
INSERT INTO `lang_definitions` VALUES (28541, 10035, 6, 'Database met succes geinstalleerd');
INSERT INTO `lang_definitions` VALUES (28542, 10036, 6, 'De volgende Database is met succes geinstalleerd');
INSERT INTO `lang_definitions` VALUES (28543, 10037, 6, 'Met succes aangepast');
INSERT INTO `lang_definitions` VALUES (28544, 10039, 6, 'Met succes opgeslagen. Toewijzen?');
INSERT INTO `lang_definitions` VALUES (28545, 10040, 6, 'Met succes opgeslagen. Wilt u het verspreiden?');
INSERT INTO `lang_definitions` VALUES (28546, 10041, 6, 'Succevol verstuurd');
INSERT INTO `lang_definitions` VALUES (28547, 10042, 6, 'Opslaan gelukt.');
INSERT INTO `lang_definitions` VALUES (28548, 10044, 6, 'Met succes database geupgrade.');
INSERT INTO `lang_definitions` VALUES (28549, 10045, 6, 'De volgende Database is met succes ge-upgraded');
INSERT INTO `lang_definitions` VALUES (28550, 10046, 6, 'Succesvol');
INSERT INTO `lang_definitions` VALUES (28551, 10047, 6, 'Achtervoegsel');
INSERT INTO `lang_definitions` VALUES (28552, 10049, 6, 'Zelfmoord');
INSERT INTO `lang_definitions` VALUES (28553, 10051, 6, 'Samenvatting');
INSERT INTO `lang_definitions` VALUES (28554, 10052, 6, 'Samenvatting van');
INSERT INTO `lang_definitions` VALUES (28555, 10054, 6, 'Overzicht van Geleverde Zorg?');
INSERT INTO `lang_definitions` VALUES (28556, 10055, 6, 'Overzicht van geleverde zorg?');
INSERT INTO `lang_definitions` VALUES (28557, 10058, 6, 'Zon');
INSERT INTO `lang_definitions` VALUES (28558, 10059, 6, 'Soedanees');
INSERT INTO `lang_definitions` VALUES (28559, 10060, 6, 'Zondag');
INSERT INTO `lang_definitions` VALUES (28560, 10061, 6, 'Superbill');
INSERT INTO `lang_definitions` VALUES (28561, 10062, 6, 'Superbill Codes');
INSERT INTO `lang_definitions` VALUES (28562, 10063, 6, 'Supebill Codes Administratie');
INSERT INTO `lang_definitions` VALUES (28563, 10065, 6, 'Superbill overzicht');
INSERT INTO `lang_definitions` VALUES (28564, 10066, 6, 'Superbill Tarieven lijst');
INSERT INTO `lang_definitions` VALUES (28565, 10067, 6, 'Superbill');
INSERT INTO `lang_definitions` VALUES (28566, 10068, 6, 'Superbills, ook wel Contactformulieren of Routing Slips genoemd, vormen een belangrijk deel van de medische praktijk.');
INSERT INTO `lang_definitions` VALUES (28567, 10069, 6, 'Supergebruiker');
INSERT INTO `lang_definitions` VALUES (28568, 10071, 6, 'Supervisie');
INSERT INTO `lang_definitions` VALUES (28569, 10072, 6, 'Toezichthoudende Dokter');
INSERT INTO `lang_definitions` VALUES (28570, 10073, 6, 'Supervisie dokter DEA');
INSERT INTO `lang_definitions` VALUES (28571, 10074, 6, 'Supervisie dokter Voornaam');
INSERT INTO `lang_definitions` VALUES (28572, 10075, 6, 'Supervisie dokter Achternaam');
INSERT INTO `lang_definitions` VALUES (28573, 10076, 6, 'Supervisie dokter AGB-code');
INSERT INTO `lang_definitions` VALUES (28574, 10077, 6, 'Supervisie dokter UPIN');
INSERT INTO `lang_definitions` VALUES (28575, 10080, 6, 'Leverancier');
INSERT INTO `lang_definitions` VALUES (28576, 10081, 6, 'Naam van faciliteit van leverancier');
INSERT INTO `lang_definitions` VALUES (28577, 10082, 6, 'Ondersteuning van gebeurtenissen van Kalender die meerdere behandelaars betreffen');
INSERT INTO `lang_definitions` VALUES (28578, 10083, 6, 'Ondersteuning exp/imp van configuratie data via de Back-up pagina');
INSERT INTO `lang_definitions` VALUES (28579, 10084, 6, 'Ondersteuning Meedere behandelaars gebeurtenis');
INSERT INTO `lang_definitions` VALUES (28580, 10088, 6, 'Alleen ondersteunen van Triple DES versleuteling/ontgrendeling');
INSERT INTO `lang_definitions` VALUES (28581, 10090, 6, 'Surface Type');
INSERT INTO `lang_definitions` VALUES (28582, 10091, 6, 'Chirurg');
INSERT INTO `lang_definitions` VALUES (28583, 10092, 6, 'Operaties');
INSERT INTO `lang_definitions` VALUES (28584, 10093, 6, 'Chirurgie');
INSERT INTO `lang_definitions` VALUES (28585, 10094, 6, 'Chirurgie Issue lijst');
INSERT INTO `lang_definitions` VALUES (28586, 10095, 6, 'Geschorst');
INSERT INTO `lang_definitions` VALUES (28587, 10096, 6, 'suspensie');
INSERT INTO `lang_definitions` VALUES (28588, 10097, 6, 'Zo{{Zondag}}');
INSERT INTO `lang_definitions` VALUES (28589, 10098, 6, 'Svc Datum');
INSERT INTO `lang_definitions` VALUES (28590, 10099, 6, 'Svc Datum:');
INSERT INTO `lang_definitions` VALUES (28591, 10100, 6, 'Swahili');
INSERT INTO `lang_definitions` VALUES (28592, 10101, 6, 'Swati');
INSERT INTO `lang_definitions` VALUES (28593, 10102, 6, 'Zweten:');
INSERT INTO `lang_definitions` VALUES (28594, 10103, 6, 'Zweeds');
INSERT INTO `lang_definitions` VALUES (28595, 10104, 6, 'Zwelling');
INSERT INTO `lang_definitions` VALUES (28596, 10105, 6, 'Zwelling rechts');
INSERT INTO `lang_definitions` VALUES (28597, 10106, 6, 'Gezwollen gewrichten');
INSERT INTO `lang_definitions` VALUES (28598, 10107, 6, 'Gezwollen lymfeklieren');
INSERT INTO `lang_definitions` VALUES (28599, 10108, 6, 'Symbool gebruikt als een decimale punt voor valuta. Niet gebruiken als het aantal decimalen niet gebruikt worden.');
INSERT INTO `lang_definitions` VALUES (28600, 10109, 6, 'Symbool om duizendtallen voor Valuta aan te geven');
INSERT INTO `lang_definitions` VALUES (28601, 10110, 6, 'Symptomen');
INSERT INTO `lang_definitions` VALUES (28602, 10111, 6, 'Synchroniseren');
INSERT INTO `lang_definitions` VALUES (28603, 10112, 6, 'Vertalingen synchroniseren met de lokaal gebruikte vertaling');
INSERT INTO `lang_definitions` VALUES (28604, 10113, 6, 'Synchroniseren van nieuwe client constante');
INSERT INTO `lang_definitions` VALUES (28605, 10114, 6, 'Synchroniseren nieuwe taal');
INSERT INTO `lang_definitions` VALUES (28606, 10115, 6, 'Synchroniseren nieuwe definitie (Taal, Constant, Definitie)');
INSERT INTO `lang_definitions` VALUES (28607, 10116, 6, 'Syncope');
INSERT INTO `lang_definitions` VALUES (28608, 10117, 6, 'Surveillance observatie');
INSERT INTO `lang_definitions` VALUES (28609, 10118, 6, 'Surveillance observatie - Niet gerapporteerde klachten');
INSERT INTO `lang_definitions` VALUES (28610, 10119, 6, 'Syndroom gericht Surveillance rapport');
INSERT INTO `lang_definitions` VALUES (28611, 10120, 6, 'Synovitis, beknelling, bursitis');
INSERT INTO `lang_definitions` VALUES (28612, 10121, 6, 'Systeem');
INSERT INTO `lang_definitions` VALUES (28613, 10124, 6, 'Systolisch');
INSERT INTO `lang_definitions` VALUES (28614, 10125, 6, 'Z{{Zaterdag}}');
INSERT INTO `lang_definitions` VALUES (28615, 10127, 6, 'Z{{Zondag}}');
INSERT INTO `lang_definitions` VALUES (28616, 10128, 6, 'T');
INSERT INTO `lang_definitions` VALUES (28617, 10130, 6, '3 x daags');
INSERT INTO `lang_definitions` VALUES (28618, 10131, 6, 'T.V.');
INSERT INTO `lang_definitions` VALUES (28619, 10133, 6, 'Tabel');
INSERT INTO `lang_definitions` VALUES (28620, 10136, 6, 'Tabel Code');
INSERT INTO `lang_definitions` VALUES (28621, 10137, 6, 'Aanmaken tabel mislukt');
INSERT INTO `lang_definitions` VALUES (28622, 10138, 6, 'Vernieuwen van tabel mislukt');
INSERT INTO `lang_definitions` VALUES (28623, 10139, 6, 'Tabellen');
INSERT INTO `lang_definitions` VALUES (28624, 10140, 6, 'tablet');
INSERT INTO `lang_definitions` VALUES (28625, 10141, 6, 'Tabs');
INSERT INTO `lang_definitions` VALUES (28626, 10143, 6, 'Tabs Layout thema (eerst uitloggen vervolgens inloggen om instellingen te activeren)');
INSERT INTO `lang_definitions` VALUES (28627, 10144, 6, 'Aanvinken voor encounter');
INSERT INTO `lang_definitions` VALUES (28628, 10146, 6, 'Tagalog');
INSERT INTO `lang_definitions` VALUES (28629, 10147, 6, 'Tahitiaans');
INSERT INTO `lang_definitions` VALUES (28630, 10148, 6, 'Tajik');
INSERT INTO `lang_definitions` VALUES (28631, 10149, 6, 'Neem');
INSERT INTO `lang_definitions` VALUES (28632, 10151, 6, 'Kies Insurance van Dropdown menu');
INSERT INTO `lang_definitions` VALUES (28633, 10152, 6, 'Kies Betalings formulier, van drop down menu');
INSERT INTO `lang_definitions` VALUES (28634, 10153, 6, 'Terug nemen');
INSERT INTO `lang_definitions` VALUES (28635, 10154, 6, 'Duurt lang');
INSERT INTO `lang_definitions` VALUES (28636, 10157, 6, 'Groot navigatie vak');
INSERT INTO `lang_definitions` VALUES (28637, 10158, 6, 'Tamil');
INSERT INTO `lang_definitions` VALUES (28638, 10159, 6, 'Datum van tampering');
INSERT INTO `lang_definitions` VALUES (28639, 10160, 6, 'Doel en oorsprong DOB zijn niet gelijk');
INSERT INTO `lang_definitions` VALUES (28640, 10161, 6, 'Doel en bron van geboorte datum kloppen niet met elkaar');
INSERT INTO `lang_definitions` VALUES (28641, 10162, 6, 'Doel en bron van pid kunnen niet hetzelfde zijn!');
INSERT INTO `lang_definitions` VALUES (28642, 10163, 6, 'Doel en bron van SSN zijn niet gelijk');
INSERT INTO `lang_definitions` VALUES (28643, 10164, 6, 'Target datum');
INSERT INTO `lang_definitions` VALUES (28644, 10165, 6, 'Target patient');
INSERT INTO `lang_definitions` VALUES (28645, 10166, 6, 'Target patient heeft geen geboorte datum');
INSERT INTO `lang_definitions` VALUES (28646, 10167, 6, 'Target patient niet gevonden');
INSERT INTO `lang_definitions` VALUES (28647, 10168, 6, 'Target/Actie groepen');
INSERT INTO `lang_definitions` VALUES (28648, 10171, 6, 'Tartaars');
INSERT INTO `lang_definitions` VALUES (28649, 10172, 6, 'BTW Id');
INSERT INTO `lang_definitions` VALUES (28650, 10173, 6, 'Tax ID');
INSERT INTO `lang_definitions` VALUES (28651, 10174, 6, 'Belastingtarief');
INSERT INTO `lang_definitions` VALUES (28652, 10175, 6, 'Belasting');
INSERT INTO `lang_definitions` VALUES (28653, 10176, 6, 'Taxonomie');
INSERT INTO `lang_definitions` VALUES (28654, 10181, 6, 'Td');
INSERT INTO `lang_definitions` VALUES (28655, 10182, 6, 'Overzicht van teamletsels');
INSERT INTO `lang_definitions` VALUES (28656, 10183, 6, 'Teamrooster');
INSERT INTO `lang_definitions` VALUES (28657, 10184, 6, 'Overzicht van teamrooster');
INSERT INTO `lang_definitions` VALUES (28658, 10185, 6, 'Team/Squad');
INSERT INTO `lang_definitions` VALUES (28659, 10187, 6, 'Tel');
INSERT INTO `lang_definitions` VALUES (28660, 10189, 6, 'Telefoon Landen Code');
INSERT INTO `lang_definitions` VALUES (28661, 10191, 6, 'Telugu');
INSERT INTO `lang_definitions` VALUES (28662, 10192, 6, 'Temp');
INSERT INTO `lang_definitions` VALUES (28663, 10193, 6, 'Plaats temp.');
INSERT INTO `lang_definitions` VALUES (28664, 10194, 6, 'Methode Temp');
INSERT INTO `lang_definitions` VALUES (28665, 10196, 6, 'Temperatuur');
INSERT INTO `lang_definitions` VALUES (28666, 10197, 6, 'Sjabloon');
INSERT INTO `lang_definitions` VALUES (28667, 10198, 6, 'Naam sjabloon');
INSERT INTO `lang_definitions` VALUES (28668, 10199, 6, 'Namen van sjablonen mogen niet starten met cijfers.');
INSERT INTO `lang_definitions` VALUES (28669, 10201, 6, 'Sjabloon:');
INSERT INTO `lang_definitions` VALUES (28670, 10202, 6, 'Sjablonen');
INSERT INTO `lang_definitions` VALUES (28671, 10205, 6, 'Arteria Temporalis');
INSERT INTO `lang_definitions` VALUES (28672, 10208, 6, 'Peesblesure');
INSERT INTO `lang_definitions` VALUES (28673, 10209, 6, 'Tendinitis /ositis / bursitis');
INSERT INTO `lang_definitions` VALUES (28674, 10210, 6, 'Spanning');
INSERT INTO `lang_definitions` VALUES (28675, 10211, 6, 'Tentatief Invoice ref. nummer');
INSERT INTO `lang_definitions` VALUES (28676, 10213, 6, 'Derde');
INSERT INTO `lang_definitions` VALUES (28677, 10214, 6, 'Derde verzekering');
INSERT INTO `lang_definitions` VALUES (28678, 10215, 6, 'Derde verzekeringsgegevens');
INSERT INTO `lang_definitions` VALUES (28679, 10216, 6, 'Derde verzekeraar');
INSERT INTO `lang_definitions` VALUES (28680, 10219, 6, 'Test Inplanning');
INSERT INTO `lang_definitions` VALUES (28681, 10220, 6, 'Test het systeem');
INSERT INTO `lang_definitions` VALUES (28682, 10222, 6, 'Tests uitgevoerd');
INSERT INTO `lang_definitions` VALUES (28683, 10223, 6, 'Tekst');
INSERT INTO `lang_definitions` VALUES (28684, 10224, 6, 'Tekst Diagnose');
INSERT INTO `lang_definitions` VALUES (28685, 10225, 6, 'Tekst veld');
INSERT INTO `lang_definitions` VALUES (28686, 10233, 6, 'Datum van tekst');
INSERT INTO `lang_definitions` VALUES (28687, 10234, 6, 'Datum van tekst');
INSERT INTO `lang_definitions` VALUES (28688, 10235, 6, 'Invoerblok voor tekst');
INSERT INTO `lang_definitions` VALUES (28689, 10236, 6, 'Plaats voor tekst');
INSERT INTO `lang_definitions` VALUES (28690, 10237, 6, 'Tekstvak');
INSERT INTO `lang_definitions` VALUES (28691, 10238, 6, 'Tekstvak');
INSERT INTO `lang_definitions` VALUES (28692, 10239, 6, 'Tekstvak lijst');
INSERT INTO `lang_definitions` VALUES (28693, 10240, 6, 'tekstvak lijst');
INSERT INTO `lang_definitions` VALUES (28694, 10241, 6, 'Thaais');
INSERT INTO `lang_definitions` VALUES (28695, 10242, 6, 'Dank U');
INSERT INTO `lang_definitions` VALUES (28696, 10245, 6, 'Bedankt u voor het kiezen');
INSERT INTO `lang_definitions` VALUES (28697, 10247, 6, 'Klik op -Schonen- om alles te verwijderen.');
INSERT INTO `lang_definitions` VALUES (28698, 10254, 6, 'De bovenvermelde statement is mislukt');
INSERT INTO `lang_definitions` VALUES (28699, 10264, 6, 'De Apache SSL server certificaat en sleutel');
INSERT INTO `lang_definitions` VALUES (28700, 10281, 6, 'Het certificaat van Certificaat Authority');
INSERT INTO `lang_definitions` VALUES (28701, 10284, 6, 'Uw claimbestand:');
INSERT INTO `lang_definitions` VALUES (28702, 10290, 6, 'TDe vergelijkbare geplande US extensie van SNOMED pakket is al geinstalleerd.');
INSERT INTO `lang_definitions` VALUES (28703, 10296, 6, 'De corresponderende private sleutel');
INSERT INTO `lang_definitions` VALUES (28704, 10305, 6, 'De data integriteits test voor dit formulier is niet correct');
INSERT INTO `lang_definitions` VALUES (28705, 10322, 6, 'De afwijzings code is');
INSERT INTO `lang_definitions` VALUES (28706, 10323, 6, 'Groep voor onacceptabele Codes');
INSERT INTO `lang_definitions` VALUES (28707, 10328, 6, 'Het bestemmings formulier is gesloten');
INSERT INTO `lang_definitions` VALUES (28708, 10330, 6, 'Het bedoelde formulier is afgesloten; er kan geen actie volgen op uw keuze');
INSERT INTO `lang_definitions` VALUES (28709, 10343, 6, 'De entity die deze procedure uitvoert');
INSERT INTO `lang_definitions` VALUES (28710, 10346, 6, 'Het EP, voorkeurs Hospitaal, of CAH die patienten krijgt van een andere setting of verzorgings instelling of behandelaar of die vindt dat een doktersbezoek belangrijk genoeg is, behoort een reconciliatie van medicatie toe te passen.');
INSERT INTO `lang_definitions` VALUES (28711, 10349, 6, 'Het EP, voorkeurs Hospitaal, of CAH die een patient overplaatst naar een andere verzorgings locatie of behandelaar of die een patient verwijst naar een behandelaar moet een samenvatting aanmaken voor iedere transitie in de zorg of verwijzing.');
INSERT INTO `lang_definitions` VALUES (28712, 10350, 6, 'Gebeurtenis(sen) is/zijn goedgekeurd');
INSERT INTO `lang_definitions` VALUES (28713, 10351, 6, 'Gebeurtenis(sen) is/zijn verborgen');
INSERT INTO `lang_definitions` VALUES (28714, 10352, 6, 'De geexporteerde data verschijnt in het tekstveld hieronder. U kunt het kopieren en plakken in een e-mail of iets anders.');
INSERT INTO `lang_definitions` VALUES (28715, 10353, 6, 'De geexporteerde data verschijnt in het tekstgedeelte onderaan. U kunt dit kopieren en plakken in een emial of elke ander gewenste bestemming (of) download de link hieronder.');
INSERT INTO `lang_definitions` VALUES (28716, 10354, 6, 'De geexporteerde data verschijnt in het tekstveld hieronder. U kunt het kopieren en plakken in een e-mail of iets anders.');
INSERT INTO `lang_definitions` VALUES (28717, 10355, 6, 'De verstuurde data staat hierna in tekst format. Dit kan met Copy Paste in een e-mail of overal elders geplaatst worden.');
INSERT INTO `lang_definitions` VALUES (28718, 10358, 6, 'Deze fiel kan gesaved worden naar CouchDB');
INSERT INTO `lang_definitions` VALUES (28719, 10359, 6, 'De file could kan niet van naam verandert worden, deze fout komt meestal voort uit toestemmingen in opslag systeeem.');
INSERT INTO `lang_definitions` VALUES (28720, 10360, 6, 'Deze file is niet opgeslagen, dit komt meestal vanwege de permissies toegekend aan het systeem van oipslaan');
INSERT INTO `lang_definitions` VALUES (28721, 10364, 6, 'De eerste (\"target\") chart is degeen die het meest kompleet en accuraat is. Demografie, geschiedenis en verzekerings sectie worden hiervoor aangepast.');
INSERT INTO `lang_definitions` VALUES (28722, 10374, 6, 'Maak een account aan bij Unified Medical Language Systeem website');
INSERT INTO `lang_definitions` VALUES (28723, 10380, 6, 'De volgende agendagebeurenis is goedgekeurd');
INSERT INTO `lang_definitions` VALUES (28724, 10381, 6, 'De volgende agendagebeurtenis is gewijzigd');
INSERT INTO `lang_definitions` VALUES (28725, 10382, 6, 'De volgende categorien worden van de categorie lijst afgevoerd');
INSERT INTO `lang_definitions` VALUES (28726, 10383, 6, 'De hierna volgende database release is nu geinstalleerd');
INSERT INTO `lang_definitions` VALUES (28727, 10384, 6, 'De volgende documenten werden aan deze Direct Message toegevoegd:');
INSERT INTO `lang_definitions` VALUES (28728, 10386, 6, 'De navolgende EDI file is ge-upload');
INSERT INTO `lang_definitions` VALUES (28729, 10388, 6, 'De volgende SPOED LOGIN Gebruiker is geactiveerd|:');
INSERT INTO `lang_definitions` VALUES (28730, 10389, 6, 'De volgende fouten zijn opgetreden');
INSERT INTO `lang_definitions` VALUES (28731, 10390, 6, 'Het volgenden veld heeft een verkeerde waarde');
INSERT INTO `lang_definitions` VALUES (28732, 10391, 6, 'De volgende velden zijn leeg.');
INSERT INTO `lang_definitions` VALUES (28733, 10392, 6, 'De volgende velden zijn verplicht');
INSERT INTO `lang_definitions` VALUES (28734, 10393, 6, 'de volgende velden moeten ingevuld worden om een verzoek te versturen.');
INSERT INTO `lang_definitions` VALUES (28735, 10394, 6, 'De volgende velden moeten ingevuld zijn om verzoek te versturen.');
INSERT INTO `lang_definitions` VALUES (28736, 10395, 6, 'De volgende Internationale SnoMed release vertalingen worden ondersteund');
INSERT INTO `lang_definitions` VALUES (28737, 10397, 6, 'De volgende problemen hebben dezelfde diagnose codes. Encounter issues worden niet geupdated. Gebruik van encounter interface dijnet hiervoor.');
INSERT INTO `lang_definitions` VALUES (28738, 10406, 6, 'De host naam van de ATNA audit repositorie machine');
INSERT INTO `lang_definitions` VALUES (28739, 10418, 6, 'Het oorspronkelijke venster is het factuur zoekpagina. Aan de bovenzijde kunt u een bron (bijvoorbeeld controlenummer), betaaldatum en controlebedrag invoeren. De reden voor de bron en betaaldatum is, dat u ze niet steeds hoeft in te voeren voor elke vordering. Het bedrag dat u invoert zal worden verlaagd voor elke factuur die wordt gegeven met een deel van de betaling, en hopelijk zal eindigen op nul als u klaar bent met betalen.');
INSERT INTO `lang_definitions` VALUES (28740, 10420, 6, 'De directory waar geinstalleerd wordt moet aangemaakt worden.');
INSERT INTO `lang_definitions` VALUES (28741, 10421, 6, 'De geinstallerde Internationale SNOMED versie is niet compatibel met het geplande US Extensie SNOMED pakket.');
INSERT INTO `lang_definitions` VALUES (28742, 10422, 6, 'De geinstallerde Internationale SNOMED versie is niet up to date en niet compatibel met deze geplande US Extensie van SNOMED File.');
INSERT INTO `lang_definitions` VALUES (28743, 10423, 6, 'De geinstalleerde versie en de partiele files zijn hetzelfde');
INSERT INTO `lang_definitions` VALUES (28744, 10424, 6, 'De geinstalleerde versie is van een recentere datum dan de geplande aanpassing.');
INSERT INTO `lang_definitions` VALUES (28745, 10431, 6, 'Het label dat aan de gebruiker wordt getoond op het Formulier');
INSERT INTO `lang_definitions` VALUES (28746, 10438, 6, 'De lengte mag niet meer zijn dan het volgende aantal caracters');
INSERT INTO `lang_definitions` VALUES (28747, 10442, 6, 'De merge wordt niet gestart tenzij SSN en geboorte datum van de twee kaarten gelijk zijn. Geboortedatum kan niet leeg zijn.');
INSERT INTO `lang_definitions` VALUES (28748, 10443, 6, 'Dit bericht kon nu niet verzonden worden.');
INSERT INTO `lang_definitions` VALUES (28749, 10458, 6, 'De nieuwe categorie wordt een sub-categorie van');
INSERT INTO `lang_definitions` VALUES (28750, 10460, 6, 'Het nieuwe paswoord kan niet gelijk zijn aan het vorige paswoord');
INSERT INTO `lang_definitions` VALUES (28751, 10461, 6, 'De nieuwe paswoord invoer velden zijn niet gelijk.');
INSERT INTO `lang_definitions` VALUES (28752, 10471, 6, 'Het aantal van de geplande files is niet correct. Gebruik alleen de file die gewenst is om geinstalleerd/ge-upgraded te worden.');
INSERT INTO `lang_definitions` VALUES (28753, 10472, 6, 'Het nummer van de geplande files in niet juist. Maak alleen gebruik van de files die u wilt installeren/upgraden.');
INSERT INTO `lang_definitions` VALUES (28754, 10479, 6, 'Deze pagina brengt u terug naar Demographics. U kunt het Land-veld aan passen en weer doorklikken naar NewCrop');
INSERT INTO `lang_definitions` VALUES (28755, 10482, 6, 'Het wachtwoord moet minimaal acht tekens lang zijn en dient');
INSERT INTO `lang_definitions` VALUES (28756, 10483, 6, 'Het gebruikte paswoord is niet geldig');
INSERT INTO `lang_definitions` VALUES (28757, 10486, 6, 'Vezoek om patienten status is vastgelegd');
INSERT INTO `lang_definitions` VALUES (28758, 10487, 6, 'Patienten reminders zijn verzonden');
INSERT INTO `lang_definitions` VALUES (28759, 10488, 6, 'De patient reminders zijn ge-updated');
INSERT INTO `lang_definitions` VALUES (28760, 10489, 6, 'De patient was niet ingelogd toen dit formulier werd gestuurd');
INSERT INTO `lang_definitions` VALUES (28761, 10493, 6, 'De opgemaakte betalingen kunnen niet toegevoegd worden onder deze datum. Dit geeft garantie dat na het opmaken van eind rapportage niemand nog kan toevoegen voor de voorafgaande data.');
INSERT INTO `lang_definitions` VALUES (28762, 10495, 6, 'Het Portaal heeft data en formilier voor deze patient. Nu laden?');
INSERT INTO `lang_definitions` VALUES (28763, 10505, 6, 'De ruwe datafiles kunne opgehaald worden bij');
INSERT INTO `lang_definitions` VALUES (28764, 10509, 6, 'De overige informatie hieronder is alleen van toepassing als u handmatig invoert, of als u handmatige correcties toepast.');
INSERT INTO `lang_definitions` VALUES (28765, 10512, 6, 'Het gevraagde document is net aanwezig op de aangegeven locatie van het file systeem of er zijn onvoldoende permissies om het in te zien');
INSERT INTO `lang_definitions` VALUES (28766, 10513, 6, 'Dit gevraagde document is niet aanwezig op de verwachte locatie van het bestandssysteem of u heeft te weinig rechten voor dit document.');
INSERT INTO `lang_definitions` VALUES (28767, 10524, 6, 'De tweede \"bron\" kaart zal van de demographics, geschiedenis en verzekerings sectie ontdaan worden. De andere data worden gemerged in de bron kaart.');
INSERT INTO `lang_definitions` VALUES (28768, 10537, 6, 'De Bron en Datum kolommen zijn gekopieerd van de eerste pagina, dus normaliter hoeft u dit niet aan te passen. U kunt een bedrag in de kolom Betalen invoeren, een aanpassingsbedrag in de kolom Aanpassen invoeren of beide. U kunt ook klikken op \"W\" aan de rechterkant om automatisch een correctie te berekenen, die het restant van de kosten afschrijft.');
INSERT INTO `lang_definitions` VALUES (28769, 10540, 6, 'De geplande files-data zijn niet allemaal van dezelfde versie');
INSERT INTO `lang_definitions` VALUES (28770, 10541, 6, 'De geplande file revisie zijn niet allemaal van dezelfde release.');
INSERT INTO `lang_definitions` VALUES (28771, 10542, 6, 'De geplande US Extensie SNOMED pakket kan niet geinstalleerd worden tenzij de Internationale SNOMED Pakket geinstalleerd is.');
INSERT INTO `lang_definitions` VALUES (28772, 10557, 6, 'De tijdsintervallen van de kalender en het kleinste tijdsinterval voor een afspraak positie');
INSERT INTO `lang_definitions` VALUES (28773, 10562, 6, 'Het vertaalde label dat wordt weergegeven op het formulier in de actieve taal');
INSERT INTO `lang_definitions` VALUES (28774, 10563, 6, 'De vertaalde titel die zal verschijnen in de actieve taal');
INSERT INTO `lang_definitions` VALUES (28775, 10564, 6, 'De vertaling van de beschrijving in de actieve taal');
INSERT INTO `lang_definitions` VALUES (28776, 10565, 6, 'De vertaal tabellen zijn gesynchroniseerd');
INSERT INTO `lang_definitions` VALUES (28777, 10566, 6, 'Het type van deze entiteit');
INSERT INTO `lang_definitions` VALUES (28778, 10586, 6, 'De verkoper-specifieke code die deze procedure of het resultaat indentificeerd');
INSERT INTO `lang_definitions` VALUES (28779, 10591, 6, 'De X12-bestanden evenals de resulterende HTML output rapporten worden gearchiveerd in de \"ERA\" submap van de hoofd OpenEMR installatie directory. U wilt soms verwijzen naar deze archieven. De URL is');
INSERT INTO `lang_definitions` VALUES (28780, 10593, 6, 'Het zip-bestand zal de volgende items bevatten');
INSERT INTO `lang_definitions` VALUES (28781, 10594, 6, 'Thema');
INSERT INTO `lang_definitions` VALUES (28782, 10600, 6, 'Dan kan de geplande data feed release verkegen worden bij');
INSERT INTO `lang_definitions` VALUES (28783, 10601, 6, 'Therapeutische injecties');
INSERT INTO `lang_definitions` VALUES (28784, 10602, 6, 'Therapie');
INSERT INTO `lang_definitions` VALUES (28785, 10607, 6, 'Er zijn');
INSERT INTO `lang_definitions` VALUES (28786, 10610, 6, 'Er zijn momenteel geen recepten');
INSERT INTO `lang_definitions` VALUES (28787, 10611, 6, 'Er zijn fouten met uw toezending. Deze worden hieronder beschreven.');
INSERT INTO `lang_definitions` VALUES (28788, 10614, 6, 'er zijn diverse patienten bij de login Portaal.');
INSERT INTO `lang_definitions` VALUES (28789, 10616, 6, 'Er zijn geen Statussen uitgechecked');
INSERT INTO `lang_definitions` VALUES (28790, 10618, 6, 'Er zijn geen vermeldingen voor deze patient');
INSERT INTO `lang_definitions` VALUES (28791, 10621, 6, 'Er is niets nieuws toegevoegd');
INSERT INTO `lang_definitions` VALUES (28792, 10622, 6, 'Er zijn geen notities voor deze patient');
INSERT INTO `lang_definitions` VALUES (28793, 10623, 6, 'Er zijn geen record(s) gevonden.');
INSERT INTO `lang_definitions` VALUES (28794, 10624, 6, 'Er zijn geen transacties opgeslagen voor deze patient');
INSERT INTO `lang_definitions` VALUES (28795, 10639, 6, 'Foutje bij versturen van e-mail naar');
INSERT INTO `lang_definitions` VALUES (28796, 10642, 6, 'Er is al een categorie met de naam');
INSERT INTO `lang_definitions` VALUES (28797, 10643, 6, 'Er is al een subcategorie met de naam');
INSERT INTO `lang_definitions` VALUES (28798, 10644, 6, 'Er is al een item genaamd');
INSERT INTO `lang_definitions` VALUES (28799, 10645, 6, 'Er is al een verzoek gedaan om patient record te openen');
INSERT INTO `lang_definitions` VALUES (28800, 10646, 6, 'Er is geen COA ingevoerd voor AR rekening');
INSERT INTO `lang_definitions` VALUES (28801, 10647, 6, 'Er is geen COA ingevoerd voor Cash rekeninr');
INSERT INTO `lang_definitions` VALUES (28802, 10648, 6, 'Er is geen COA ingevoerd voor inkomsten rekening');
INSERT INTO `lang_definitions` VALUES (28803, 10649, 6, 'Er is geen huidige patient');
INSERT INTO `lang_definitions` VALUES (28804, 10650, 6, 'Er is geen lokale inhoud voor dit onderwerp.');
INSERT INTO `lang_definitions` VALUES (28805, 10651, 6, 'Er is geen match voor de invoice id');
INSERT INTO `lang_definitions` VALUES (28806, 10652, 6, 'Er is geen match voor de invoice id =');
INSERT INTO `lang_definitions` VALUES (28807, 10653, 6, 'Er is geen onderdelen invoer mogelijk voor diensten ID');
INSERT INTO `lang_definitions` VALUES (28808, 10654, 6, 'Er is geen patient met Portaal login');
INSERT INTO `lang_definitions` VALUES (28809, 10655, 6, 'Er was een probleem bij het verzenden van de boodschap.');
INSERT INTO `lang_definitions` VALUES (28810, 10656, 6, 'Er is een fout opgetreden bij het verwerken van uw verzoek.');
INSERT INTO `lang_definitions` VALUES (28811, 10657, 6, 'Er was een OpenEMR SQL escape fout in de volgende string');
INSERT INTO `lang_definitions` VALUES (28812, 10661, 6, 'Dit zijn de 2012 links');
INSERT INTO `lang_definitions` VALUES (28813, 10682, 6, 'Verdikt rechts');
INSERT INTO `lang_definitions` VALUES (28814, 10683, 6, 'Dijbeen');
INSERT INTO `lang_definitions` VALUES (28815, 10684, 6, 'Dij en hamstrings');
INSERT INTO `lang_definitions` VALUES (28816, 10685, 6, 'Dingen die alleen door back-office ingezien kunen worden');
INSERT INTO `lang_definitions` VALUES (28817, 10686, 6, 'Dingen die backoffice kunnen lezen maar niet aanpassen');
INSERT INTO `lang_definitions` VALUES (28818, 10687, 6, 'Dingen die door boekhouding etc. gelezen en aangepast mogen worden');
INSERT INTO `lang_definitions` VALUES (28819, 10688, 6, 'Dingen die back-office kan lezen en gedeeltelijk kan aanpassen');
INSERT INTO `lang_definitions` VALUES (28820, 10689, 6, 'Dingen die alleen kliniekmedewerkers kunnen inzien');
INSERT INTO `lang_definitions` VALUES (28821, 10690, 6, 'Dingen die kliniekmedewerkers kunnen lezen en invoeren maar niet aanpassen');
INSERT INTO `lang_definitions` VALUES (28822, 10691, 6, 'Dingen die kliniekmedewerkers kunnen lezen en aanpassen');
INSERT INTO `lang_definitions` VALUES (28823, 10692, 6, 'Dingen die kliniekmedewerkers kunnen inzien en gedeeltelijk kunnen aanpassen');
INSERT INTO `lang_definitions` VALUES (28824, 10693, 6, 'Dingen die Fornt Office kunnen inzien');
INSERT INTO `lang_definitions` VALUES (28825, 10694, 6, 'Dingen die de balie kan lezen maar niet aanpassen');
INSERT INTO `lang_definitions` VALUES (28826, 10695, 6, 'Dingen die de balie kan lezen en aanpassen');
INSERT INTO `lang_definitions` VALUES (28827, 10696, 6, 'Dingen die Foront office kunne inzien en gedeeltelijk unnen aanpassen');
INSERT INTO `lang_definitions` VALUES (28828, 10697, 6, 'Dingen die doktoren kunnen inzien');
INSERT INTO `lang_definitions` VALUES (28829, 10698, 6, 'Dingen die doktoren kunnen lezen en invoeren maar niet aanpassen');
INSERT INTO `lang_definitions` VALUES (28830, 10699, 6, 'Dingen die doktoren kunnen lezen en aanpassen');
INSERT INTO `lang_definitions` VALUES (28831, 10700, 6, 'Dingen die doktoren kunnen inzien en gedeeltelijk aanpassen');
INSERT INTO `lang_definitions` VALUES (28832, 10701, 6, 'Derde');
INSERT INTO `lang_definitions` VALUES (28833, 10702, 6, 'Derde account bericht');
INSERT INTO `lang_definitions` VALUES (28834, 10704, 6, 'Deze actie kan NIET ongedaan worden gemaakt.');
INSERT INTO `lang_definitions` VALUES (28835, 10705, 6, 'Deze actie kan niet ongedaan worden gamaakt.');
INSERT INTO `lang_definitions` VALUES (28836, 10706, 6, 'Deze actie kan niet ongedaan worden gemaakt. Weet u zeker dat u het formulier wilt verwijderen?');
INSERT INTO `lang_definitions` VALUES (28837, 10707, 6, 'Deze actie wordt vastgelged');
INSERT INTO `lang_definitions` VALUES (28838, 10711, 6, 'Deze tijdsafspraak is al bezet, kies een ander moment.');
INSERT INTO `lang_definitions` VALUES (28839, 10712, 6, 'Deze afspraak slot is al toegekend, toch bijvoegen?');
INSERT INTO `lang_definitions` VALUES (28840, 10713, 6, 'Deze afspraak slot is niet beschikbaar, kies een andere optie');
INSERT INTO `lang_definitions` VALUES (28841, 10714, 6, 'DIt kalender jaar');
INSERT INTO `lang_definitions` VALUES (28842, 10715, 6, 'Deze claim is afgewezen');
INSERT INTO `lang_definitions` VALUES (28843, 10716, 6, 'Deze claim is afgesloten');
INSERT INTO `lang_definitions` VALUES (28844, 10717, 6, 'Deze claim is geweigerd. Reden:');
INSERT INTO `lang_definitions` VALUES (28845, 10718, 6, 'Deze claim is doorgestuurd naar het volgende niveau.');
INSERT INTO `lang_definitions` VALUES (28846, 10725, 6, 'Dit type code gaat niet samen met relaties.');
INSERT INTO `lang_definitions` VALUES (28847, 10727, 6, 'Deze contekst bevat categorien die verwijderd gaan worden. Wilt u doorgaan?');
INSERT INTO `lang_definitions` VALUES (28848, 10730, 6, 'Keuzemogelijkheid voor tonen van afspraken in kalender');
INSERT INTO `lang_definitions` VALUES (28849, 10731, 6, 'Hier legt u vast welk kleurschema gebruikt wordt voor afspraken');
INSERT INTO `lang_definitions` VALUES (28850, 10734, 6, 'Dit bezoek');
INSERT INTO `lang_definitions` VALUES (28851, 10735, 6, 'Voor deze encounter is al een rekening gestuurd. Als het verandert moet worden, moet het heropend worden.');
INSERT INTO `lang_definitions` VALUES (28852, 10737, 6, 'Deze necounter is gelocked. Geen nieuwe documenten kunnen toegevoegd worden.');
INSERT INTO `lang_definitions` VALUES (28853, 10739, 6, 'Deze fax is al verstuurd.');
INSERT INTO `lang_definitions` VALUES (28854, 10740, 6, 'Deze optie is nog niet beschikbaar');
INSERT INTO `lang_definitions` VALUES (28855, 10742, 6, 'Deze functie is zeer experimenteel en niet volledig getest. Eigen risico!');
INSERT INTO `lang_definitions` VALUES (28856, 10753, 6, 'Invoice nummer verandert in');
INSERT INTO `lang_definitions` VALUES (28857, 10763, 6, 'Deze kaart wordt gemerged naar de hoofd kaart toeen wordt dan verwijdert.');
INSERT INTO `lang_definitions` VALUES (28858, 10771, 6, 'Dit is de laatste van meerdere resultaat waarden.');
INSERT INTO `lang_definitions` VALUES (28859, 10772, 6, 'Deze kaart is de hoofd kaart en krijgt de data van de andere kaart');
INSERT INTO `lang_definitions` VALUES (28860, 10784, 6, 'deze locatie');
INSERT INTO `lang_definitions` VALUES (28861, 10786, 6, 'Deze tekst boodschap wordt niet automatisch bewaard. Copieer en bewaar indien gewenst afhenkelijk van de inhoud.');
INSERT INTO `lang_definitions` VALUES (28862, 10788, 6, 'Deze module wordt gebruikt door');
INSERT INTO `lang_definitions` VALUES (28863, 10789, 6, 'Deze module is in test-modus. De database zal niet worden gewijzigd.');
INSERT INTO `lang_definitions` VALUES (28864, 10792, 6, 'Deze module bevordert efficiënte toegang van EOB gegevens.');
INSERT INTO `lang_definitions` VALUES (28865, 10793, 6, 'Deze maand tot heden');
INSERT INTO `lang_definitions` VALUES (28866, 10797, 6, 'De order werd reeds verzonden op');
INSERT INTO `lang_definitions` VALUES (28867, 10798, 6, 'Deze pagina laat u alle ondersteunde externe uploads bekijken, die kunnen worden geimporteerd en aangepast. Iedere volgende sectie kan worden uitgeklapt door op de sectie tab te klikken om de opties van die database te bekijken.');
INSERT INTO `lang_definitions` VALUES (28868, 10799, 6, 'De pagina is gedectiveerd ivm veiligheids redenen.');
INSERT INTO `lang_definitions` VALUES (28869, 10801, 6, 'Deze pagina zal de login pagina inline toevoegen, zodat we niet ieder keer opnieuw hoeven in te loggen.');
INSERT INTO `lang_definitions` VALUES (28870, 10804, 6, 'Deze patiënt is inacief.');
INSERT INTO `lang_definitions` VALUES (28871, 10805, 6, 'Deze patiënt-ID is al in gebruik!');
INSERT INTO `lang_definitions` VALUES (28872, 10807, 6, 'Dit product mag maar een voorraad per warenhuis hebben');
INSERT INTO `lang_definitions` VALUES (28873, 10808, 6, 'Dit protocol is nog niet geimplementeerd');
INSERT INTO `lang_definitions` VALUES (28874, 10809, 6, 'Dit rapport werkt alleen bij ICD9 codes.');
INSERT INTO `lang_definitions` VALUES (28875, 10816, 6, 'Dit stelt de standaard kalanderinstelling in, standaard is een dag weergave.');
INSERT INTO `lang_definitions` VALUES (28876, 10818, 6, 'Dit is de specificatie voor Box 31 toevoegen of niet.');
INSERT INTO `lang_definitions` VALUES (28877, 10819, 6, 'DIt geeft de specificatie aan of het in rekening brengen formulier aangemaakt moet worden.');
INSERT INTO `lang_definitions` VALUES (28878, 10821, 6, 'Deze stap laat u een file aanmaken die u voor toekomstig gebruik moet bewaren. Deze file kan niet opnieuw aangemaakt worden. Doorgaaan?');
INSERT INTO `lang_definitions` VALUES (28879, 10822, 6, 'Deze gebruiker is geen lid van een groep');
INSERT INTO `lang_definitions` VALUES (28880, 10823, 6, 'Deze gebruiker krijgt bericht van de nieuw ingekomen Direct-berichten');
INSERT INTO `lang_definitions` VALUES (28881, 10824, 6, 'Deze Utility is experimenteel. Maak eerst een Back/up van de database en documenten voor deze te gebruiken!');
INSERT INTO `lang_definitions` VALUES (28882, 10826, 6, 'Het bezoek begint met nieuw contraceptie gebruik');
INSERT INTO `lang_definitions` VALUES (28883, 10827, 6, 'Dit bezoek moet een GCAC formulier hebben of een procedure dienstverlening');
INSERT INTO `lang_definitions` VALUES (28884, 10828, 6, 'Dit was het oude niet meer ondersteunde metrieke Vitals formulier.');
INSERT INTO `lang_definitions` VALUES (28885, 10829, 6, 'Deze week tot heden');
INSERT INTO `lang_definitions` VALUES (28886, 10830, 6, 'Dit zal uw niet opgeslagen wijzigingen verwijderen. Weet u het zeker?');
INSERT INTO `lang_definitions` VALUES (28887, 10831, 6, 'Dit activeert de CCR(Continuiteit van zorg rapport) en CCD (Continueiteit van zorg document) rapportage.');
INSERT INTO `lang_definitions` VALUES (28888, 10834, 6, 'Dit laat toe om de debug(\'dummy\') taal te selecteren.');
INSERT INTO `lang_definitions` VALUES (28889, 10838, 6, 'Dit is een \"test opstelling\" waarbij geen fysieke update plaats vindt.');
INSERT INTO `lang_definitions` VALUES (28890, 10843, 6, 'Dit zal een backup aanmaken in tar-format, die daarna naar uw webbrowser wordt gezonden zodat u het kunt bewaren');
INSERT INTO `lang_definitions` VALUES (28891, 10844, 6, 'Dit zorgt voor document versleuteling en ontcijferings mogelijkheden en niet tonen in de user interface.');
INSERT INTO `lang_definitions` VALUES (28892, 10845, 6, 'Dit maakt alle knoppen Edit onbruikbaar zodra het parent formulier afgesloten is met e-Sing.');
INSERT INTO `lang_definitions` VALUES (28893, 10846, 6, 'Dit maakt de Edit knop onbruikbaar voor elk formulier dat is ge- e-signed');
INSERT INTO `lang_definitions` VALUES (28894, 10850, 6, 'Dit maakt ondertekenen van een hele Encounter mogelijk, ipv een enkel formulier');
INSERT INTO `lang_definitions` VALUES (28895, 10851, 6, 'Hiermee kunt u ieder formulier apart ondertekenen');
INSERT INTO `lang_definitions` VALUES (28896, 10852, 6, 'Dit maakt het mogelijkheid om geselecteerde Patiënt Verklaringen uit te sluiten bij afdrukken.');
INSERT INTO `lang_definitions` VALUES (28897, 10854, 6, 'Dit dwingt de Rekeningen widget in het patienten samenvattings scherm altijd open te blijven.');
INSERT INTO `lang_definitions` VALUES (28898, 10855, 6, 'Hiermee krijgt de User de mogelijkheid om af te sluiten(aparte sluiting en ondertekening)');
INSERT INTO `lang_definitions` VALUES (28899, 10857, 6, 'Dit verstopt de lege -sing logs voor het patient rapport');
INSERT INTO `lang_definitions` VALUES (28900, 10859, 6, 'Dit is om twee patient kaarten te mergen naar een kaart. Het is te gebruiken wanneer een patient per vvergissing twee karten heeft laten aanmaken. Als dat vaak gebeurd, zorg ervoor dat er een betere procedure wordt gescheven. Doe dit niet routine matig!');
INSERT INTO `lang_definitions` VALUES (28901, 10860, 6, 'Dit zal niet voorkomen dat u toch naar de e-voorschrijf pagina gaat.');
INSERT INTO `lang_definitions` VALUES (28902, 10861, 6, 'Dit drukt de volgende afspraak af aan de onderzijde van het patiënt dossier');
INSERT INTO `lang_definitions` VALUES (28903, 10867, 6, 'Hiermee wordt de immunisatie lijst aangepast in plaats van de CVX immunisatie lijst.');
INSERT INTO `lang_definitions` VALUES (28904, 10869, 6, 'Dit gebruikt de aangepaste mededeling die de beschrijving toont in plaats van de codes.');
INSERT INTO `lang_definitions` VALUES (28905, 10870, 6, 'Thorax dokter');
INSERT INTO `lang_definitions` VALUES (28906, 10871, 6, 'Thoracale wervelkolom');
INSERT INTO `lang_definitions` VALUES (28907, 10873, 6, 'Thous/CU.MM');
INSERT INTO `lang_definitions` VALUES (28908, 10874, 6, 'Drie maanden geleden');
INSERT INTO `lang_definitions` VALUES (28909, 10877, 6, 'Trillingen');
INSERT INTO `lang_definitions` VALUES (28910, 10878, 6, 'Keel');
INSERT INTO `lang_definitions` VALUES (28911, 10879, 6, 'Keelkanker');
INSERT INTO `lang_definitions` VALUES (28912, 10880, 6, 'Keelkanker chirurgie');
INSERT INTO `lang_definitions` VALUES (28913, 10881, 6, 'Trombose/CVA');
INSERT INTO `lang_definitions` VALUES (28914, 10882, 6, 'Don.');
INSERT INTO `lang_definitions` VALUES (28915, 10883, 6, 'Thumbnail grootte');
INSERT INTO `lang_definitions` VALUES (28916, 10884, 6, 'Donderdag');
INSERT INTO `lang_definitions` VALUES (28917, 10885, 6, 'Donderdag');
INSERT INTO `lang_definitions` VALUES (28918, 10887, 6, 'Schildklier normaal');
INSERT INTO `lang_definitions` VALUES (28919, 10888, 6, 'Schildklierproblemen');
INSERT INTO `lang_definitions` VALUES (28920, 10889, 6, 'Do{{Donderdag}}');
INSERT INTO `lang_definitions` VALUES (28921, 10890, 6, 'TIA');
INSERT INTO `lang_definitions` VALUES (28922, 10891, 6, 'Tibetaans standaard, Tibetaans, cantraal');
INSERT INTO `lang_definitions` VALUES (28923, 10892, 6, 'TID');
INSERT INTO `lang_definitions` VALUES (28924, 10901, 6, 'Tigrinya');
INSERT INTO `lang_definitions` VALUES (28925, 10902, 6, 'Tijd');
INSERT INTO `lang_definitions` VALUES (28926, 10903, 6, 'Format om tijd te tonen');
INSERT INTO `lang_definitions` VALUES (28927, 10904, 6, 'Tijdstoename voor Toevoegen (minuten 1-60)');
INSERT INTO `lang_definitions` VALUES (28928, 10905, 6, 'Tijdselectie');
INSERT INTO `lang_definitions` VALUES (28929, 10907, 6, 'Dit tijdslot is open, gebeurtenis wordt opgeslagen');
INSERT INTO `lang_definitions` VALUES (28930, 10909, 6, 'Tijd resterend voor tonen van Allergie SOAP verzoek in seconden');
INSERT INTO `lang_definitions` VALUES (28931, 10910, 6, 'Tijd resterend voor tonen van Medicatie in SOAP verzoek in zeconden');
INSERT INTO `lang_definitions` VALUES (28932, 10913, 6, 'Tijdgebonden gebeurtenis');
INSERT INTO `lang_definitions` VALUES (28933, 10914, 6, 'Keer array (N / A)');
INSERT INTO `lang_definitions` VALUES (28934, 10915, 6, 'Tijdstip en tekst');
INSERT INTO `lang_definitions` VALUES (28935, 10916, 6, 'Timing');
INSERT INTO `lang_definitions` VALUES (28936, 10917, 6, 'TIN');
INSERT INTO `lang_definitions` VALUES (28937, 10918, 6, 'Tinnitus');
INSERT INTO `lang_definitions` VALUES (28938, 10920, 6, 'Titel');
INSERT INTO `lang_definitions` VALUES (28939, 10923, 6, 'Titel V');
INSERT INTO `lang_definitions` VALUES (28940, 10924, 6, 'Titels van kolommen moeten nummer hebben tussen 1 en 999');
INSERT INTO `lang_definitions` VALUES (28941, 10925, 6, 'Titels');
INSERT INTO `lang_definitions` VALUES (28942, 10926, 6, 'TM\'S:');
INSERT INTO `lang_definitions` VALUES (28943, 10927, 6, 'TMs / EAM\'s / EE, ext neus');
INSERT INTO `lang_definitions` VALUES (28944, 10928, 6, 'Tot');
INSERT INTO `lang_definitions` VALUES (28945, 10929, 6, 'tot/tav');
INSERT INTO `lang_definitions` VALUES (28946, 10930, 6, 'NAAR');
INSERT INTO `lang_definitions` VALUES (28947, 10931, 6, 'naar absolute pad van bestand');
INSERT INTO `lang_definitions` VALUES (28948, 10936, 6, 'Om notities toe te voegen klik');
INSERT INTO `lang_definitions` VALUES (28949, 10937, 6, 'Om notities toe te voegen klik hier');
INSERT INTO `lang_definitions` VALUES (28950, 10938, 6, 'Op aangedane gebied');
INSERT INTO `lang_definitions` VALUES (28951, 10939, 6, 'op aangedane gebied');
INSERT INTO `lang_definitions` VALUES (28952, 10942, 6, 'Automatisch het gekozen formulier openen. Sommige sport teams gebruiken hiervoor football_injury_audit.');
INSERT INTO `lang_definitions` VALUES (28953, 10944, 6, 'Naar rekening overzicht');
INSERT INTO `lang_definitions` VALUES (28954, 10945, 6, 'naar categorie');
INSERT INTO `lang_definitions` VALUES (28955, 10947, 6, 'Naar klinisch overzicht');
INSERT INTO `lang_definitions` VALUES (28956, 10949, 6, 'Naar COPAY');
INSERT INTO `lang_definitions` VALUES (28957, 10952, 6, 'De totaan datum moet later vallen dan de vanaf datum');
INSERT INTO `lang_definitions` VALUES (28958, 10953, 6, 'Naar korting');
INSERT INTO `lang_definitions` VALUES (28959, 10956, 6, 'Naar Dems');
INSERT INTO `lang_definitions` VALUES (28960, 10958, 6, 'Stop de Client kant SSL certificaat door de voorgaande regels in Apache Configuratie File van comment te voorzien');
INSERT INTO `lang_definitions` VALUES (28961, 10960, 6, 'Stop HTTPS door de voorgaande regels van comment te voorzien in de Apache Configuratie file');
INSERT INTO `lang_definitions` VALUES (28962, 10965, 6, 'Toestaan van Client side SSL certificaten');
INSERT INTO `lang_definitions` VALUES (28963, 10966, 6, 'Toestaan van Client side SSL certificaat authenticatie kan alleen door HTTPS activatie');
INSERT INTO `lang_definitions` VALUES (28964, 10970, 6, 'Om alleen HTTPS toe te staan, zorg dat eerder vermelde veranderingen zijn aangebracht en herstart Apache server. Als u ook client siede certificaten wil activeren, doe dit in de volgende sectie');
INSERT INTO `lang_definitions` VALUES (28965, 10972, 6, 'Naar consultatie');
INSERT INTO `lang_definitions` VALUES (28966, 10973, 6, 'Scheiding adhv geslacht');
INSERT INTO `lang_definitions` VALUES (28967, 10980, 6, 'Naar Historie');
INSERT INTO `lang_definitions` VALUES (28968, 10982, 6, 'Naar problemen');
INSERT INTO `lang_definitions` VALUES (28969, 10984, 6, 'Om dit contact aan een reeds bestaand probleem/consult te koppelen, klikt u op het');
INSERT INTO `lang_definitions` VALUES (28970, 10985, 6, 'Om dit contact aan een reeds bestaand probleem/consult te koppelen, klikt u op het gewenste probleem hierboven en daarna op [Bewaren]. Houd de [Ctrl] toets ingedrukt als u meerdere problemen tegelijkertijd wilt selecteren.');
INSERT INTO `lang_definitions` VALUES (28971, 10987, 6, 'opnieuw naar inloggen');
INSERT INTO `lang_definitions` VALUES (28972, 10992, 6, 'Om vermeldingen vast te leggen, klikken');
INSERT INTO `lang_definitions` VALUES (28973, 10994, 6, 'Om opnieuw te verzenden, verwijder het bestand van Communicatie en probeer opnieuw.');
INSERT INTO `lang_definitions` VALUES (28974, 10997, 6, 'lopen');
INSERT INTO `lang_definitions` VALUES (28975, 11001, 6, 'Om https toegang van client certificatie authenticatie te geven doe het volgende');
INSERT INTO `lang_definitions` VALUES (28976, 11002, 6, 'Op de huid');
INSERT INTO `lang_definitions` VALUES (28977, 11003, 6, 'op de huid');
INSERT INTO `lang_definitions` VALUES (28978, 11005, 6, 'naar deze visite?');
INSERT INTO `lang_definitions` VALUES (28979, 11006, 6, 'Om reeds bestaand CCR document te uploaden van een patiënt gebruik: Patient Summary Screen-> Documenten. Voor CCR-document van een nieuwe patiënt maak gebruik van: Miscellanous-> New Documents scherm');
INSERT INTO `lang_definitions` VALUES (28980, 11010, 6, 'Aan:');
INSERT INTO `lang_definitions` VALUES (28981, 11011, 6, 'Aan:');
INSERT INTO `lang_definitions` VALUES (28982, 11012, 6, 'NAAR_STAD');
INSERT INTO `lang_definitions` VALUES (28983, 11013, 6, 'NAAR_FAX');
INSERT INTO `lang_definitions` VALUES (28984, 11014, 6, 'NAAR_VNAAM');
INSERT INTO `lang_definitions` VALUES (28985, 11015, 6, 'NAAR_ANAAM');
INSERT INTO `lang_definitions` VALUES (28986, 11016, 6, 'NAAR_MNAAM');
INSERT INTO `lang_definitions` VALUES (28987, 11017, 6, 'NAAR_ORGANISATIE');
INSERT INTO `lang_definitions` VALUES (28988, 11018, 6, 'NAAR_TELEFOON');
INSERT INTO `lang_definitions` VALUES (28989, 11019, 6, 'NAAR_MOBIELETELEFOON');
INSERT INTO `lang_definitions` VALUES (28990, 11020, 6, 'NAAR_POSTKANTOOR');
INSERT INTO `lang_definitions` VALUES (28991, 11021, 6, 'NAAR _STAAT');
INSERT INTO `lang_definitions` VALUES (28992, 11022, 6, 'NAAR_STRAAT');
INSERT INTO `lang_definitions` VALUES (28993, 11023, 6, 'NAAR_TITEL');
INSERT INTO `lang_definitions` VALUES (28994, 11024, 6, 'NAAR_EXTRA-TITELS');
INSERT INTO `lang_definitions` VALUES (28995, 11025, 6, 'Tabak');
INSERT INTO `lang_definitions` VALUES (28996, 11026, 6, 'Interventie tabaksgebruik stoppen');
INSERT INTO `lang_definitions` VALUES (28997, 11027, 6, 'Interventie tabaksgebruik stoppen (CQM)');
INSERT INTO `lang_definitions` VALUES (28998, 11028, 6, 'Tabaksgebruik');
INSERT INTO `lang_definitions` VALUES (28999, 11029, 6, 'Tabaks gebruik');
INSERT INTO `lang_definitions` VALUES (29000, 11030, 6, 'Evaluatie tabaksgebruik');
INSERT INTO `lang_definitions` VALUES (29001, 11031, 6, 'Evaluatie tabaksgebruik (CQM)');
INSERT INTO `lang_definitions` VALUES (29002, 11032, 6, 'Vandaag');
INSERT INTO `lang_definitions` VALUES (29003, 11033, 6, 'Vandaag');
INSERT INTO `lang_definitions` VALUES (29004, 11034, 6, 'vandaag');
INSERT INTO `lang_definitions` VALUES (29005, 11035, 6, 'Balans van vandaag');
INSERT INTO `lang_definitions` VALUES (29006, 11036, 6, 'Kosten van vandaag');
INSERT INTO `lang_definitions` VALUES (29007, 11037, 6, 'Datum van vandaag');
INSERT INTO `lang_definitions` VALUES (29008, 11038, 6, 'Gebeurtenis(sen) vandaag');
INSERT INTO `lang_definitions` VALUES (29009, 11040, 6, 'Allemaal omzetten');
INSERT INTO `lang_definitions` VALUES (29010, 11041, 6, 'Omschakelen van navigatie');
INSERT INTO `lang_definitions` VALUES (29011, 11042, 6, 'Omschakelen van Patient scherm');
INSERT INTO `lang_definitions` VALUES (29012, 11044, 6, 'Token ID voor de Medical Information Integration, LLC Lab Exchange Service.');
INSERT INTO `lang_definitions` VALUES (29013, 11045, 6, 'Token ID voor de OpenEMR ondersteuning voor LLC Lab Exchange Service');
INSERT INTO `lang_definitions` VALUES (29014, 11046, 6, 'Tonga (TOnga Eilenden)');
INSERT INTO `lang_definitions` VALUES (29015, 11047, 6, 'Tonsilectomie');
INSERT INTO `lang_definitions` VALUES (29016, 11048, 6, 'tonsilectomie');
INSERT INTO `lang_definitions` VALUES (29017, 11049, 6, 'Tips');
INSERT INTO `lang_definitions` VALUES (29018, 11050, 6, 'Boven');
INSERT INTO `lang_definitions` VALUES (29019, 11052, 6, 'Bovenste kantlijk (mm)');
INSERT INTO `lang_definitions` VALUES (29020, 11053, 6, 'Onderdeel');
INSERT INTO `lang_definitions` VALUES (29021, 11054, 6, 'Totaal');
INSERT INTO `lang_definitions` VALUES (29022, 11055, 6, 'totaal');
INSERT INTO `lang_definitions` VALUES (29023, 11056, 6, 'Totaal actieve acties');
INSERT INTO `lang_definitions` VALUES (29024, 11057, 6, 'Toaal actieve reminders na update');
INSERT INTO `lang_definitions` VALUES (29025, 11058, 6, 'Totaal actieve reminders voor update');
INSERT INTO `lang_definitions` VALUES (29026, 11059, 6, 'Totaal aanp');
INSERT INTO `lang_definitions` VALUES (29027, 11060, 6, 'Totaal verschuldigde bedrag');
INSERT INTO `lang_definitions` VALUES (29028, 11061, 6, 'Totaalbedrag betaald');
INSERT INTO `lang_definitions` VALUES (29029, 11062, 6, 'Totaalbedrag schuldig');
INSERT INTO `lang_definitions` VALUES (29030, 11063, 6, 'Totaal bedrag');
INSERT INTO `lang_definitions` VALUES (29031, 11064, 6, 'Totale extra betalingen');
INSERT INTO `lang_definitions` VALUES (29032, 11065, 6, 'Totaal aantal clienten');
INSERT INTO `lang_definitions` VALUES (29033, 11067, 6, 'Totale kosten');
INSERT INTO `lang_definitions` VALUES (29034, 11068, 6, 'De totale toewijzing voor het volgende check nummer is niet vol');
INSERT INTO `lang_definitions` VALUES (29035, 11069, 6, 'totaal aantal entries');
INSERT INTO `lang_definitions` VALUES (29036, 11070, 6, 'Totaal aantal mislukte reminders verzonden via e-mail');
INSERT INTO `lang_definitions` VALUES (29037, 11071, 6, 'Totaal aantal mislukte reminders verzonden via telefoon');
INSERT INTO `lang_definitions` VALUES (29038, 11072, 6, 'Totaal voor');
INSERT INTO `lang_definitions` VALUES (29039, 11073, 6, 'Totaal voor');
INSERT INTO `lang_definitions` VALUES (29040, 11074, 6, 'Totaal voor categorie');
INSERT INTO `lang_definitions` VALUES (29041, 11075, 6, 'Totaal geinactiveerde reminders');
INSERT INTO `lang_definitions` VALUES (29042, 11078, 6, 'Totaal nieuwe reminders');
INSERT INTO `lang_definitions` VALUES (29043, 11079, 6, 'Totaal aantal afspraken');
INSERT INTO `lang_definitions` VALUES (29044, 11080, 6, 'Totaal aantal Drug Screen vermeldingen');
INSERT INTO `lang_definitions` VALUES (29045, 11081, 6, 'Totaal aantal immunisaties');
INSERT INTO `lang_definitions` VALUES (29046, 11082, 6, 'Totaal aantal Issues');
INSERT INTO `lang_definitions` VALUES (29047, 11083, 6, 'Totaal toegang aantal van Patienten Flow Board');
INSERT INTO `lang_definitions` VALUES (29048, 11084, 6, 'Totaal aantal patienten');
INSERT INTO `lang_definitions` VALUES (29049, 11086, 6, 'Totaal paginas');
INSERT INTO `lang_definitions` VALUES (29050, 11087, 6, 'Totaal clinet balans');
INSERT INTO `lang_definitions` VALUES (29051, 11088, 6, 'Total patienten');
INSERT INTO `lang_definitions` VALUES (29052, 11089, 6, 'Totaal aantal patienten');
INSERT INTO `lang_definitions` VALUES (29053, 11090, 6, 'Totaal betalingen');
INSERT INTO `lang_definitions` VALUES (29054, 11091, 6, 'Totaal opnamens');
INSERT INTO `lang_definitions` VALUES (29055, 11093, 6, 'Totaal aantal records gevonden');
INSERT INTO `lang_definitions` VALUES (29056, 11094, 6, 'Totaal afmeting');
INSERT INTO `lang_definitions` VALUES (29057, 11095, 6, 'Totaal SRH & Family planning');
INSERT INTO `lang_definitions` VALUES (29058, 11096, 6, 'Totaal aantal succesvol verstuurde reminders per e-mail');
INSERT INTO `lang_definitions` VALUES (29059, 11097, 6, 'Totaal aantal succesvol verstuurde reminders per telefoon');
INSERT INTO `lang_definitions` VALUES (29060, 11098, 6, 'Totale tijd');
INSERT INTO `lang_definitions` VALUES (29061, 11099, 6, 'Totale overdrachten');
INSERT INTO `lang_definitions` VALUES (29062, 11100, 6, 'Totaal niet veranderde reminders');
INSERT INTO `lang_definitions` VALUES (29063, 11101, 6, 'Totaal niet verzonden reminders na versturen');
INSERT INTO `lang_definitions` VALUES (29064, 11102, 6, 'Totaal niet verzonden reminders na update');
INSERT INTO `lang_definitions` VALUES (29065, 11103, 6, 'Totaal niet verzonden reminders voor versturen');
INSERT INTO `lang_definitions` VALUES (29066, 11104, 6, 'Totaal niet verzonden voor update');
INSERT INTO `lang_definitions` VALUES (29067, 11105, 6, 'Totaal aangepaste reminders');
INSERT INTO `lang_definitions` VALUES (29068, 11106, 6, 'Totalen');
INSERT INTO `lang_definitions` VALUES (29069, 11107, 6, 'Totalen voor');
INSERT INTO `lang_definitions` VALUES (29070, 11108, 6, 'Totalen voor');
INSERT INTO `lang_definitions` VALUES (29071, 11109, 6, 'Alleen totalen');
INSERT INTO `lang_definitions` VALUES (29072, 11123, 6, 'tot{{range}}');
INSERT INTO `lang_definitions` VALUES (29073, 11124, 6, 'tot{{range}}');
INSERT INTO `lang_definitions` VALUES (29074, 11128, 6, 'Vervolgen');
INSERT INTO `lang_definitions` VALUES (29075, 11129, 6, 'Vervolg rapport');
INSERT INTO `lang_definitions` VALUES (29076, 11130, 6, 'Wat te vervolden');
INSERT INTO `lang_definitions` VALUES (29077, 11133, 6, 'Trainer');
INSERT INTO `lang_definitions` VALUES (29078, 11135, 6, 'Soort training');
INSERT INTO `lang_definitions` VALUES (29079, 11136, 6, 'Transactie');
INSERT INTO `lang_definitions` VALUES (29080, 11137, 6, 'Verklaring/verwijzing');
INSERT INTO `lang_definitions` VALUES (29081, 11138, 6, 'verklaring');
INSERT INTO `lang_definitions` VALUES (29082, 11139, 6, 'Transactie mislukt, onvoldoende hoeveelheid voor bestemmings voorraad');
INSERT INTO `lang_definitions` VALUES (29083, 11140, 6, 'Transactie mislukt, hoeveelheid is kleiner dan nul');
INSERT INTO `lang_definitions` VALUES (29084, 11142, 6, 'Soort verklaring');
INSERT INTO `lang_definitions` VALUES (29085, 11143, 6, 'Transacties');
INSERT INTO `lang_definitions` VALUES (29086, 11144, 6, 'Transacties');
INSERT INTO `lang_definitions` VALUES (29087, 11145, 6, 'Transacties (schrijven optioneel)');
INSERT INTO `lang_definitions` VALUES (29088, 11151, 6, 'Transactie/Verwijzingen');
INSERT INTO `lang_definitions` VALUES (29089, 11152, 6, 'Transdermaal');
INSERT INTO `lang_definitions` VALUES (29090, 11153, 6, 'Overplaatsing');
INSERT INTO `lang_definitions` VALUES (29091, 11154, 6, 'Datum van overplaatsing');
INSERT INTO `lang_definitions` VALUES (29092, 11155, 6, 'Overplaatsing mislukt, onvoldoende hoeveelheid in begin voorraad');
INSERT INTO `lang_definitions` VALUES (29093, 11156, 6, 'Overplaatsings samenvatting');
INSERT INTO `lang_definitions` VALUES (29094, 11157, 6, 'Verwijzen naar');
INSERT INTO `lang_definitions` VALUES (29095, 11158, 6, 'Overgedragen door');
INSERT INTO `lang_definitions` VALUES (29096, 11159, 6, 'Overdrachtsdatum');
INSERT INTO `lang_definitions` VALUES (29097, 11160, 6, 'Overplaatsingen');
INSERT INTO `lang_definitions` VALUES (29098, 11161, 6, 'Transitie van de zorg');
INSERT INTO `lang_definitions` VALUES (29099, 11162, 6, 'Overdracht van zorg?');
INSERT INTO `lang_definitions` VALUES (29100, 11163, 6, 'Vertaal Access Controle groepen');
INSERT INTO `lang_definitions` VALUES (29101, 11164, 6, 'Vertaal Afpraak Categorieen');
INSERT INTO `lang_definitions` VALUES (29102, 11165, 6, 'Vertaal Document Categorieen');
INSERT INTO `lang_definitions` VALUES (29103, 11166, 6, 'Vertaal Layouts');
INSERT INTO `lang_definitions` VALUES (29104, 11167, 6, 'Vertaal Lijsten');
INSERT INTO `lang_definitions` VALUES (29105, 11168, 6, 'Vertaal patient notitites');
INSERT INTO `lang_definitions` VALUES (29106, 11169, 6, 'vertaal dit');
INSERT INTO `lang_definitions` VALUES (29107, 11170, 6, 'Vertaling');
INSERT INTO `lang_definitions` VALUES (29108, 11171, 6, 'Vertalingen');
INSERT INTO `lang_definitions` VALUES (29109, 11172, 6, 'Verzenden');
INSERT INTO `lang_definitions` VALUES (29110, 11175, 6, 'Verzenden mislukt');
INSERT INTO `lang_definitions` VALUES (29111, 11177, 6, 'Verzend geselecteerde orders');
INSERT INTO `lang_definitions` VALUES (29112, 11179, 6, 'Ongeval');
INSERT INTO `lang_definitions` VALUES (29113, 11180, 6, 'Behandeling');
INSERT INTO `lang_definitions` VALUES (29114, 11181, 6, 'Behandeling Voltooiing Status');
INSERT INTO `lang_definitions` VALUES (29115, 11182, 6, 'Behandelingsdoelen');
INSERT INTO `lang_definitions` VALUES (29116, 11183, 6, 'Behandelingsplan');
INSERT INTO `lang_definitions` VALUES (29117, 11184, 6, 'Planning voor behandeling');
INSERT INTO `lang_definitions` VALUES (29118, 11185, 6, 'Behandeling gegeven');
INSERT INTO `lang_definitions` VALUES (29119, 11186, 6, 'Behandeling:');
INSERT INTO `lang_definitions` VALUES (29120, 11187, 6, 'Behandeling:');
INSERT INTO `lang_definitions` VALUES (29121, 11188, 6, 'Boom');
INSERT INTO `lang_definitions` VALUES (29122, 11189, 6, 'Tendens');
INSERT INTO `lang_definitions` VALUES (29123, 11190, 6, 'trftime($month_format, mktime(0, 0, 0, $i, 1, 2000)) ); $month_value');
INSERT INTO `lang_definitions` VALUES (29124, 11193, 6, 'Trifocale glas');
INSERT INTO `lang_definitions` VALUES (29125, 11194, 6, 'Trifocale glazen');
INSERT INTO `lang_definitions` VALUES (29126, 11195, 6, 'Trigger punt / Compartement Syndroom / DOMS /Cramp');
INSERT INTO `lang_definitions` VALUES (29127, 11196, 6, 'Trimalleolair');
INSERT INTO `lang_definitions` VALUES (29128, 11199, 6, 'Romp en Abdomen');
INSERT INTO `lang_definitions` VALUES (29129, 11200, 6, 'Vertrouwd direct e-mail adres');
INSERT INTO `lang_definitions` VALUES (29130, 11201, 6, 'Vertrouwde e-mail');
INSERT INTO `lang_definitions` VALUES (29131, 11203, 6, 'U probeert een gebruiker met een reeeds bestaande naam te maken!');
INSERT INTO `lang_definitions` VALUES (29132, 11204, 6, 'Tsonga');
INSERT INTO `lang_definitions` VALUES (29133, 11205, 6, 'theelepel');
INSERT INTO `lang_definitions` VALUES (29134, 11206, 6, 'Tswana');
INSERT INTO `lang_definitions` VALUES (29135, 11207, 6, 'TTS');
INSERT INTO `lang_definitions` VALUES (29136, 11208, 6, 'Tuberculose');
INSERT INTO `lang_definitions` VALUES (29137, 11209, 6, 'Di.');
INSERT INTO `lang_definitions` VALUES (29138, 11210, 6, 'Di. &amp; Do.');
INSERT INTO `lang_definitions` VALUES (29139, 11211, 6, 'Dinsdag');
INSERT INTO `lang_definitions` VALUES (29140, 11212, 6, 'Tumor');
INSERT INTO `lang_definitions` VALUES (29141, 11213, 6, 'Turks');
INSERT INTO `lang_definitions` VALUES (29142, 11214, 6, 'Turkmeens');
INSERT INTO `lang_definitions` VALUES (29143, 11219, 6, 'Schakel de Tips aan/uit');
INSERT INTO `lang_definitions` VALUES (29144, 11220, 6, 'Di{{Dinsdag}}');
INSERT INTO `lang_definitions` VALUES (29145, 11221, 6, 'Twi');
INSERT INTO `lang_definitions` VALUES (29146, 11222, 6, '2 x daags');
INSERT INTO `lang_definitions` VALUES (29147, 11223, 6, 'Twee jaar geleden');
INSERT INTO `lang_definitions` VALUES (29148, 11226, 6, 'Trommelvlies');
INSERT INTO `lang_definitions` VALUES (29149, 11227, 6, 'Soort');
INSERT INTO `lang_definitions` VALUES (29150, 11231, 6, 'Gebruik Id of Naam met minimaal drie karakters (inclusief spaties)');
INSERT INTO `lang_definitions` VALUES (29151, 11238, 6, 'Keuze van kolommen die getoond moeten worden voor Patient zoek resultaat');
INSERT INTO `lang_definitions` VALUES (29152, 11239, 6, 'Type vermelding');
INSERT INTO `lang_definitions` VALUES (29153, 11240, 6, 'Soort gebeurtenissen');
INSERT INTO `lang_definitions` VALUES (29154, 11242, 6, 'Soort layout van scherm');
INSERT INTO `lang_definitions` VALUES (29155, 11243, 6, 'Soort scan met hier de patiënt ID');
INSERT INTO `lang_definitions` VALUES (29156, 11248, 6, 'Tiep hier uw bericht');
INSERT INTO `lang_definitions` VALUES (29157, 11249, 6, 'Aanvraag en resultaat');
INSERT INTO `lang_definitions` VALUES (29158, 11251, 6, 'D{{Donderdag}}');
INSERT INTO `lang_definitions` VALUES (29159, 11252, 6, 'D{{Dinsdag}}');
INSERT INTO `lang_definitions` VALUES (29160, 11270, 6, 'UCSMC codes die door de Universiteit van Calgary Sports Medicine Centre gegeven zijn');
INSERT INTO `lang_definitions` VALUES (29161, 11271, 6, 'Oekrainisch');
INSERT INTO `lang_definitions` VALUES (29162, 11272, 6, 'Ulceraties');
INSERT INTO `lang_definitions` VALUES (29163, 11273, 6, 'Ulceratieve Colitis');
INSERT INTO `lang_definitions` VALUES (29164, 11274, 6, 'Ulcers:');
INSERT INTO `lang_definitions` VALUES (29165, 11276, 6, 'Geen toegang tot directory');
INSERT INTO `lang_definitions` VALUES (29166, 11277, 6, 'Geen toegang tot URL');
INSERT INTO `lang_definitions` VALUES (29167, 11278, 6, 'Niet mogelijk om aan te maken');
INSERT INTO `lang_definitions` VALUES (29168, 11279, 6, 'Niet gelukt om patient document subdirectorie te maken');
INSERT INTO `lang_definitions` VALUES (29169, 11287, 6, 'Geen data in deze file gevonden');
INSERT INTO `lang_definitions` VALUES (29170, 11288, 6, 'Niet mogelijk om deze betaling terug te vinden in ar_activity');
INSERT INTO `lang_definitions` VALUES (29171, 11289, 6, 'Niet mogelijk om applicatie te configureren. Geef schrijf toestemming aan');
INSERT INTO `lang_definitions` VALUES (29172, 11291, 6, 'Nog niet vastgelegd');
INSERT INTO `lang_definitions` VALUES (29173, 11292, 6, 'Maak een keuze');
INSERT INTO `lang_definitions` VALUES (29174, 11293, 6, 'Niet geautoriseerd');
INSERT INTO `lang_definitions` VALUES (29175, 11294, 6, 'Niet geautoriseerde toegang voor ePrescription');
INSERT INTO `lang_definitions` VALUES (29176, 11295, 6, 'Toegang niet geautoriseerd');
INSERT INTO `lang_definitions` VALUES (29177, 11296, 6, 'Niet aangemaakt');
INSERT INTO `lang_definitions` VALUES (29178, 11297, 6, 'Niet verstuurde rekeningen');
INSERT INTO `lang_definitions` VALUES (29179, 11299, 6, 'Oom');
INSERT INTO `lang_definitions` VALUES (29180, 11300, 6, 'onder de tong');
INSERT INTO `lang_definitions` VALUES (29181, 11303, 6, 'Ondergewicht');
INSERT INTO `lang_definitions` VALUES (29182, 11304, 6, 'Niet gediagnostiseerd');
INSERT INTO `lang_definitions` VALUES (29183, 11305, 6, 'NIET verwerkt');
INSERT INTO `lang_definitions` VALUES (29184, 11306, 6, 'NIET verwerkt');
INSERT INTO `lang_definitions` VALUES (29185, 11307, 6, 'Niet verwerkt is');
INSERT INTO `lang_definitions` VALUES (29186, 11308, 6, 'Ongedaan maken');
INSERT INTO `lang_definitions` VALUES (29187, 11309, 6, 'Maak Checkout ongedaan');
INSERT INTO `lang_definitions` VALUES (29188, 11310, 6, 'Onverwachte non-match, maak een nieuwe patient voor dit segment');
INSERT INTO `lang_definitions` VALUES (29189, 11311, 6, 'Unieke Klanten');
INSERT INTO `lang_definitions` VALUES (29190, 11312, 6, 'Unieke identificatie, door mens te lezen, voor dit type');
INSERT INTO `lang_definitions` VALUES (29191, 11315, 6, 'Unieke nieuwe klanten');
INSERT INTO `lang_definitions` VALUES (29192, 11316, 6, 'Unieke nummer identifcatie voor dit type');
INSERT INTO `lang_definitions` VALUES (29193, 11317, 6, 'Patiënten die eenmalig gezien werden');
INSERT INTO `lang_definitions` VALUES (29194, 11318, 6, 'Overzicht van Patiënten die eenmalig gezien werden');
INSERT INTO `lang_definitions` VALUES (29195, 11319, 6, 'Eenmalig bezoek patient');
INSERT INTO `lang_definitions` VALUES (29196, 11320, 6, 'Eenheid');
INSERT INTO `lang_definitions` VALUES (29197, 11321, 6, 'Eenheden');
INSERT INTO `lang_definitions` VALUES (29198, 11322, 6, 'eenheden');
INSERT INTO `lang_definitions` VALUES (29199, 11323, 6, 'Units nodig voor de waaerde van het resultaat');
INSERT INTO `lang_definitions` VALUES (29200, 11324, 6, 'Eenheden voor Vitals Formulier');
INSERT INTO `lang_definitions` VALUES (29201, 11325, 6, 'Eenheden moeten een getal zijn');
INSERT INTO `lang_definitions` VALUES (29202, 11326, 6, 'Units niet gedefinieerd');
INSERT INTO `lang_definitions` VALUES (29203, 11327, 6, 'Units/L');
INSERT INTO `lang_definitions` VALUES (29204, 11328, 6, 'Onbekend of N/A');
INSERT INTO `lang_definitions` VALUES (29205, 11329, 6, 'onbekend (zie log)');
INSERT INTO `lang_definitions` VALUES (29206, 11330, 6, 'Onbekende fout');
INSERT INTO `lang_definitions` VALUES (29207, 11331, 6, 'Niets bekend over roken');
INSERT INTO `lang_definitions` VALUES (29208, 11332, 6, 'Onbekend of N/A');
INSERT INTO `lang_definitions` VALUES (29209, 11335, 6, 'Onbekende User Id:');
INSERT INTO `lang_definitions` VALUES (29210, 11344, 6, 'ontkoppel patient');
INSERT INTO `lang_definitions` VALUES (29211, 11345, 6, 'Niet met name genoemde verzekeringsmij.');
INSERT INTO `lang_definitions` VALUES (29212, 11346, 6, 'Niet geregistreerd');
INSERT INTO `lang_definitions` VALUES (29213, 11347, 6, 'Niet geregistreerde modules');
INSERT INTO `lang_definitions` VALUES (29214, 11348, 6, 'Vriend zonder verwantschap');
INSERT INTO `lang_definitions` VALUES (29215, 11349, 6, 'Alles deselecteren');
INSERT INTO `lang_definitions` VALUES (29216, 11350, 6, 'Niet geselecteerd');
INSERT INTO `lang_definitions` VALUES (29217, 11351, 6, 'Ongespecificeerd');
INSERT INTO `lang_definitions` VALUES (29218, 11352, 6, 'ongestructureerd');
INSERT INTO `lang_definitions` VALUES (29219, 11354, 6, 'Het laden van database file wordt niet ondersteund');
INSERT INTO `lang_definitions` VALUES (29220, 11356, 6, 'tot');
INSERT INTO `lang_definitions` VALUES (29221, 11357, 6, 'tot datum');
INSERT INTO `lang_definitions` VALUES (29222, 11359, 6, 'Onverwachtte aanvulling');
INSERT INTO `lang_definitions` VALUES (29223, 11360, 6, 'Ongebruikt');
INSERT INTO `lang_definitions` VALUES (29224, 11361, 6, 'UOR');
INSERT INTO `lang_definitions` VALUES (29225, 11362, 6, 'Tot aan');
INSERT INTO `lang_definitions` VALUES (29226, 11364, 6, 'Lopende afspraken');
INSERT INTO `lang_definitions` VALUES (29227, 11365, 6, 'Lopende gebeurtenissen');
INSERT INTO `lang_definitions` VALUES (29228, 11366, 6, 'Updaten');
INSERT INTO `lang_definitions` VALUES (29229, 11367, 6, 'Update');
INSERT INTO `lang_definitions` VALUES (29230, 11368, 6, 'Update actief');
INSERT INTO `lang_definitions` VALUES (29231, 11371, 6, 'Bestanden updaten');
INSERT INTO `lang_definitions` VALUES (29232, 11372, 6, 'Info updaten');
INSERT INTO `lang_definitions` VALUES (29233, 11374, 6, 'Update lijst');
INSERT INTO `lang_definitions` VALUES (29234, 11377, 6, 'Update nummer van behandelaar');
INSERT INTO `lang_definitions` VALUES (29235, 11378, 6, 'Update geselecteerde Items');
INSERT INTO `lang_definitions` VALUES (29236, 11380, 6, 'Update het schema om de Maker te activeren.');
INSERT INTO `lang_definitions` VALUES (29237, 11381, 6, 'Update het schema om deze lijst op te bouwen');
INSERT INTO `lang_definitions` VALUES (29238, 11383, 6, 'Update de volgende variabelen in de file');
INSERT INTO `lang_definitions` VALUES (29239, 11384, 6, 'Updat User Info');
INSERT INTO `lang_definitions` VALUES (29240, 11385, 6, 'Bijgewerkt door');
INSERT INTO `lang_definitions` VALUES (29241, 11386, 6, 'Bijgewerkt velden worden paars.');
INSERT INTO `lang_definitions` VALUES (29242, 11390, 6, 'Persoonsgegevens updaten is niet toegestaan');
INSERT INTO `lang_definitions` VALUES (29243, 11391, 6, 'Up-loaden van configuratie file defaults');
INSERT INTO `lang_definitions` VALUES (29244, 11392, 6, 'Aanpassing versie indidcatoren');
INSERT INTO `lang_definitions` VALUES (29245, 11393, 6, 'UPGRADE');
INSERT INTO `lang_definitions` VALUES (29246, 11394, 6, 'Upgrade');
INSERT INTO `lang_definitions` VALUES (29247, 11396, 6, 'Database upgraden');
INSERT INTO `lang_definitions` VALUES (29248, 11398, 6, 'Om OpenEMR database te upgraden om Procedures, Functies en tabellen, nodig voor het De-identificatie proces toe te voegen');
INSERT INTO `lang_definitions` VALUES (29249, 11399, 6, 'Upgrading gaat door');
INSERT INTO `lang_definitions` VALUES (29250, 11400, 6, 'Old NPI');
INSERT INTO `lang_definitions` VALUES (29251, 11401, 6, 'Uploaden');
INSERT INTO `lang_definitions` VALUES (29252, 11402, 6, 'Opload / Save');
INSERT INTO `lang_definitions` VALUES (29253, 11403, 6, 'Template uploaden');
INSERT INTO `lang_definitions` VALUES (29254, 11404, 6, 'Uploaden en toepassen');
INSERT INTO `lang_definitions` VALUES (29255, 11405, 6, 'Uploaden en intalleren');
INSERT INTO `lang_definitions` VALUES (29256, 11406, 6, 'Opladen configuratie data');
INSERT INTO `lang_definitions` VALUES (29257, 11407, 6, 'Document uploaden');
INSERT INTO `lang_definitions` VALUES (29258, 11408, 6, 'Uploaden mislukt!');
INSERT INTO `lang_definitions` VALUES (29259, 11410, 6, 'Plaatje werd geladen naar');
INSERT INTO `lang_definitions` VALUES (29260, 11411, 6, 'Importbestand uploaden:');
INSERT INTO `lang_definitions` VALUES (29261, 11412, 6, 'Upload item');
INSERT INTO `lang_definitions` VALUES (29262, 11413, 6, 'Uploaden van Patient Educatie PDF naar');
INSERT INTO `lang_definitions` VALUES (29263, 11414, 6, 'Upload proces is gelukt');
INSERT INTO `lang_definitions` VALUES (29264, 11415, 6, 'Rapport uploaden');
INSERT INTO `lang_definitions` VALUES (29265, 11416, 6, 'Opload sjabloon voor');
INSERT INTO `lang_definitions` VALUES (29266, 11417, 6, 'Uploaden van de xml file naar Categorie CCR');
INSERT INTO `lang_definitions` VALUES (29267, 11418, 6, 'Dit bestand uploaden');
INSERT INTO `lang_definitions` VALUES (29268, 11421, 6, 'Bij het klikken op een invoice nummer verschijnt het \"handleiding posting venster\". Hier kunt u de datum en notities voor de factuur veranderen, de naam selecteren voor wie je invoert en de verzekeringen selecteren waarvoor alle te verwachen betalingen zijn ontvangen. Belangrijker, voor elke facturerings code waarvoor een bedrag in rekening werd gebracht, kunt u de betaling en informatie aanpassen.');
INSERT INTO `lang_definitions` VALUES (29269, 11426, 6, 'Bij het zoeken wordt u een lijst van facturen getoond. U klikt op een van de factuurnummers om een tweede venster te openen, waarbij gegevensinvoer in de pagina handmatig gedaan kan worden. U kunt ook klikken op de naam van een patiënt als u een notitie wilt maken voor de front office medewerkers, zodat deze kunnen zien wanneer de patiënt aankomt en u kunt de facturen selecteren die op de statements van de patiënt verschijnen en deze statements afdrukken.');
INSERT INTO `lang_definitions` VALUES (29270, 11429, 6, 'Bovenarm');
INSERT INTO `lang_definitions` VALUES (29271, 11430, 6, 'Bovenste ooglid');
INSERT INTO `lang_definitions` VALUES (29272, 11431, 6, 'Urdu');
INSERT INTO `lang_definitions` VALUES (29273, 11432, 6, 'Urgentie');
INSERT INTO `lang_definitions` VALUES (29274, 11433, 6, 'Spoedeisende hulp');
INSERT INTO `lang_definitions` VALUES (29275, 11434, 6, 'Spoedeisende hulppost');
INSERT INTO `lang_definitions` VALUES (29276, 11436, 6, 'Urine');
INSERT INTO `lang_definitions` VALUES (29277, 11437, 6, 'Urineverlies');
INSERT INTO `lang_definitions` VALUES (29278, 11438, 6, 'Frequentie van mictie');
INSERT INTO `lang_definitions` VALUES (29279, 11439, 6, 'Moeizaam op gang komen mictie');
INSERT INTO `lang_definitions` VALUES (29280, 11440, 6, 'Urine microalbumine');
INSERT INTO `lang_definitions` VALUES (29281, 11441, 6, 'Straal van mictie');
INSERT INTO `lang_definitions` VALUES (29282, 11442, 6, 'Mictie drang');
INSERT INTO `lang_definitions` VALUES (29283, 11443, 6, 'URL');
INSERT INTO `lang_definitions` VALUES (29284, 11445, 6, 'URL van ondersteuning voor OpenEMR');
INSERT INTO `lang_definitions` VALUES (29285, 11447, 6, 'URL voor de telefoon Gateway. Geautomatiseerde VOIP service verleend door Maviq. Bezoek http://signup.maviq.com voor meer informatie.');
INSERT INTO `lang_definitions` VALUES (29286, 11448, 6, 'URL voor de WordPress site die de portaalsite ondersteunt');
INSERT INTO `lang_definitions` VALUES (29287, 11450, 6, 'USA');
INSERT INTO `lang_definitions` VALUES (29288, 11451, 6, 'Gebruik');
INSERT INTO `lang_definitions` VALUES (29289, 11453, 6, 'Gebruiks Indicator (ISA15)');
INSERT INTO `lang_definitions` VALUES (29290, 11456, 6, 'Gebruik alleen % in een veld als u die kolom sorteert');
INSERT INTO `lang_definitions` VALUES (29291, 11457, 6, '24-uurs tijdnotering?');
INSERT INTO `lang_definitions` VALUES (29292, 11465, 6, 'Gebruik certified EHR technologie om patient specifieke voorichtings bron te vinden en aan patient te geven indien van toepassing.');
INSERT INTO `lang_definitions` VALUES (29293, 11466, 6, 'Gebruik scherm om inrekening te brengen');
INSERT INTO `lang_definitions` VALUES (29294, 11467, 6, 'Gebruik CPOE voor medicijn bestellingen zelf ingevoerd door een bevoegd behandlaar met licentie die bestellingen kan invoeren inde medische records per State, lokaal en professionele richtlijnen.');
INSERT INTO `lang_definitions` VALUES (29295, 11474, 6, 'Gebruik zelf gemaakte immunisatie lijst');
INSERT INTO `lang_definitions` VALUES (29296, 11475, 6, 'Gebruik aangepaste Statement');
INSERT INTO `lang_definitions` VALUES (29297, 11476, 6, 'Gebruik datum range');
INSERT INTO `lang_definitions` VALUES (29298, 11477, 6, 'Gebruik standaard');
INSERT INTO `lang_definitions` VALUES (29299, 11478, 6, 'Gebruik DELETE mogelijkheid om te verwijderen');
INSERT INTO `lang_definitions` VALUES (29300, 11479, 6, 'Gebruik internationale datumstijl?');
INSERT INTO `lang_definitions` VALUES (29301, 11483, 6, 'Gebruik SOURCE file naam');
INSERT INTO `lang_definitions` VALUES (29302, 11486, 6, 'Gebruik onderstaand veld voor aankoop of overplaatsing');
INSERT INTO `lang_definitions` VALUES (29303, 11490, 6, 'Gebruik deze mogelijkheid alleen bij NIEUW geinstalleerde site,');
INSERT INTO `lang_definitions` VALUES (29304, 11493, 6, 'Gebruik onderwerpen?');
INSERT INTO `lang_definitions` VALUES (29305, 11496, 6, 'Gebruiker');
INSERT INTO `lang_definitions` VALUES (29306, 11497, 6, 'Gebruiker');
INSERT INTO `lang_definitions` VALUES (29307, 11498, 6, 'Gebruiker / groepen');
INSERT INTO `lang_definitions` VALUES (29308, 11499, 6, 'Gebruikers administratie');
INSERT INTO `lang_definitions` VALUES (29309, 11500, 6, 'Gebruiker- en lokatiebeheer');
INSERT INTO `lang_definitions` VALUES (29310, 11501, 6, 'Gebruiker- en groepsbeheer');
INSERT INTO `lang_definitions` VALUES (29311, 11502, 6, 'User kan niet verwijderd worden');
INSERT INTO `lang_definitions` VALUES (29312, 11503, 6, 'User Certificaat Authenticatie is niet geactiveerd');
INSERT INTO `lang_definitions` VALUES (29313, 11507, 6, 'Door gebruiker aangemaakt');
INSERT INTO `lang_definitions` VALUES (29314, 11508, 6, 'Door gebruiker aangemaakte locatie 11');
INSERT INTO `lang_definitions` VALUES (29315, 11509, 6, 'Door gebruiker aangemaakte locatie 12');
INSERT INTO `lang_definitions` VALUES (29316, 11510, 6, 'Door gebruiker aangemaakt veld');
INSERT INTO `lang_definitions` VALUES (29317, 11511, 6, 'Door gebruiker aangemaakte lijst 1');
INSERT INTO `lang_definitions` VALUES (29318, 11512, 6, 'Door gebruiker aangemaakte lijst 2');
INSERT INTO `lang_definitions` VALUES (29319, 11513, 6, 'Door gebruiker aangemaakte lijst 3');
INSERT INTO `lang_definitions` VALUES (29320, 11514, 6, 'Door gebruiker aangemaakte lijst 4');
INSERT INTO `lang_definitions` VALUES (29321, 11515, 6, 'Door gebruiker aangemaakte lijst 5');
INSERT INTO `lang_definitions` VALUES (29322, 11516, 6, 'Door gebruiker aangemaakte lijst 6');
INSERT INTO `lang_definitions` VALUES (29323, 11517, 6, 'Door gebruiker aangemaakte lijst 7');
INSERT INTO `lang_definitions` VALUES (29324, 11518, 6, 'Door gebruiker aangemaakte tekst 1');
INSERT INTO `lang_definitions` VALUES (29325, 11519, 6, 'Door gebruiker aangemaakte tekst 2');
INSERT INTO `lang_definitions` VALUES (29326, 11520, 6, 'Door gebruiker aangemaakte tekst 3');
INSERT INTO `lang_definitions` VALUES (29327, 11521, 6, 'Door gebruiker aangemaakte tekst 4');
INSERT INTO `lang_definitions` VALUES (29328, 11522, 6, 'Door gebruiker aangemaakte tekst 5');
INSERT INTO `lang_definitions` VALUES (29329, 11523, 6, 'Door gebruiker aangemaakte tekst 6');
INSERT INTO `lang_definitions` VALUES (29330, 11524, 6, 'Door gebruiker aangemaakte tekst 7');
INSERT INTO `lang_definitions` VALUES (29331, 11525, 6, 'Door gebruiker aangemaakte tekst 8');
INSERT INTO `lang_definitions` VALUES (29332, 11526, 6, 'Voornaam User');
INSERT INTO `lang_definitions` VALUES (29333, 11527, 6, 'User ID');
INSERT INTO `lang_definitions` VALUES (29334, 11528, 6, 'Gebruikers ID');
INSERT INTO `lang_definitions` VALUES (29335, 11529, 6, 'Gebruiker moet deze toegangscontrole hebben voor Active Alerts en Passive Alerts');
INSERT INTO `lang_definitions` VALUES (29336, 11530, 6, 'USER Logon (met 03 hierboven, anders spatie laten staan) (ISA02)');
INSERT INTO `lang_definitions` VALUES (29337, 11531, 6, 'USER Logon noodzakelijke indicator(ISA01~ gebruik 00 of 03)');
INSERT INTO `lang_definitions` VALUES (29338, 11532, 6, 'WEB-Handleiding');
INSERT INTO `lang_definitions` VALUES (29339, 11533, 6, 'Gebruiker groepsindeling');
INSERT INTO `lang_definitions` VALUES (29340, 11534, 6, 'Naamgebruiker');
INSERT INTO `lang_definitions` VALUES (29341, 11536, 6, 'Gebruiker- of Host-naam mag niet leeg zijn');
INSERT INTO `lang_definitions` VALUES (29342, 11537, 6, 'Gebruiker- of Host-computernaam');
INSERT INTO `lang_definitions` VALUES (29343, 11538, 6, 'Gebruiker Paswoord');
INSERT INTO `lang_definitions` VALUES (29344, 11539, 6, 'USER Paswoord (ISA04~ met 01 hierboven alnders spatie laten staan)');
INSERT INTO `lang_definitions` VALUES (29345, 11540, 6, 'USER Paswoord noodzakelijke indicatir (ISA03~ gebruik 00 of 01)');
INSERT INTO `lang_definitions` VALUES (29346, 11541, 6, 'Gebruiker settings');
INSERT INTO `lang_definitions` VALUES (29347, 11542, 6, 'Handtekening gebruiker');
INSERT INTO `lang_definitions` VALUES (29348, 11543, 6, 'User specifieke setting');
INSERT INTO `lang_definitions` VALUES (29349, 11544, 6, 'User\'s nieuwe paswoord');
INSERT INTO `lang_definitions` VALUES (29350, 11551, 6, 'Userlist7');
INSERT INTO `lang_definitions` VALUES (29351, 11552, 6, 'usernaam');
INSERT INTO `lang_definitions` VALUES (29352, 11553, 6, 'Gebruikersnaam');
INSERT INTO `lang_definitions` VALUES (29353, 11554, 6, 'Gebruikersnaam voor Phone Gateway.');
INSERT INTO `lang_definitions` VALUES (29354, 11555, 6, 'Usernaam for telefoon Gateway. Geautomatiseerd VOIP service aangeboden door Maviq. Bezoek http://signup.maviq.com voor meer informatie.');
INSERT INTO `lang_definitions` VALUES (29355, 11556, 6, 'Gebruikersnaam voor SMS Gateway');
INSERT INTO `lang_definitions` VALUES (29356, 11557, 6, 'Gebruikersnaam voor SMS Gateway.');
INSERT INTO `lang_definitions` VALUES (29357, 11558, 6, 'Username om met CouchDB te verbinden');
INSERT INTO `lang_definitions` VALUES (29358, 11559, 6, 'Gebruiker:');
INSERT INTO `lang_definitions` VALUES (29359, 11560, 6, 'Gebruikers');
INSERT INTO `lang_definitions` VALUES (29360, 11564, 6, 'Gebruikers/Groepen/Logs/Administratie');
INSERT INTO `lang_definitions` VALUES (29361, 11574, 6, 'gebruikt php <a href=\"http://php.net/strftime\"></a> format');
INSERT INTO `lang_definitions` VALUES (29362, 11577, 6, 'Gebruik technologie om productiviteit te verbeteren');
INSERT INTO `lang_definitions` VALUES (29363, 11583, 6, 'Urineweg infecties');
INSERT INTO `lang_definitions` VALUES (29364, 11584, 6, 'Uyghur, Uighur');
INSERT INTO `lang_definitions` VALUES (29365, 11585, 6, 'Oesbekstaans');
INSERT INTO `lang_definitions` VALUES (29366, 11588, 6, 'Vakantie');
INSERT INTO `lang_definitions` VALUES (29367, 11589, 6, 'Vakantie');
INSERT INTO `lang_definitions` VALUES (29368, 11590, 6, 'Vaccin');
INSERT INTO `lang_definitions` VALUES (29369, 11591, 6, 'Categorie die in aanmerking komt voor vaccin financieringsprogramma');
INSERT INTO `lang_definitions` VALUES (29370, 11592, 6, 'Vaccin Type');
INSERT INTO `lang_definitions` VALUES (29371, 11593, 6, 'Pessarium');
INSERT INTO `lang_definitions` VALUES (29372, 11594, 6, 'Titulatuur');
INSERT INTO `lang_definitions` VALUES (29373, 11596, 6, 'accoorderen');
INSERT INTO `lang_definitions` VALUES (29374, 11599, 6, 'Valideren Logboek');
INSERT INTO `lang_definitions` VALUES (29375, 11607, 6, 'Validatiesysteem bij wijzigen van patiëntgegevens.');
INSERT INTO `lang_definitions` VALUES (29376, 11608, 6, 'Validatie regel');
INSERT INTO `lang_definitions` VALUES (29377, 11609, 6, 'Waarde');
INSERT INTO `lang_definitions` VALUES (29378, 11610, 6, 'Waarde 1');
INSERT INTO `lang_definitions` VALUES (29379, 11611, 6, 'Waarde 2');
INSERT INTO `lang_definitions` VALUES (29380, 11612, 6, 'Waarde bij vergelijken');
INSERT INTO `lang_definitions` VALUES (29381, 11613, 6, 'Waarde moet numeriek zijn');
INSERT INTO `lang_definitions` VALUES (29382, 11614, 6, 'Var1');
INSERT INTO `lang_definitions` VALUES (29383, 11615, 6, 'Var2');
INSERT INTO `lang_definitions` VALUES (29384, 11616, 6, 'variabele waarmee het de-indentificatie upgrade script moet lopen');
INSERT INTO `lang_definitions` VALUES (29385, 11619, 6, 'Varicella 1');
INSERT INTO `lang_definitions` VALUES (29386, 11620, 6, 'Varicella 2');
INSERT INTO `lang_definitions` VALUES (29387, 11621, 6, 'Spataderen');
INSERT INTO `lang_definitions` VALUES (29388, 11623, 6, 'Vaatconditie');
INSERT INTO `lang_definitions` VALUES (29389, 11624, 6, 'Vasculair ongeluk');
INSERT INTO `lang_definitions` VALUES (29390, 11625, 6, 'Vaatchirurgie');
INSERT INTO `lang_definitions` VALUES (29391, 11629, 6, 'Venda');
INSERT INTO `lang_definitions` VALUES (29392, 11630, 6, 'Verkoper');
INSERT INTO `lang_definitions` VALUES (29393, 11634, 6, 'Versie');
INSERT INTO `lang_definitions` VALUES (29394, 11638, 6, 'Versie Nummer');
INSERT INTO `lang_definitions` VALUES (29395, 11648, 6, 'Verticale Menustijl');
INSERT INTO `lang_definitions` VALUES (29396, 11653, 6, 'Duizeligheid');
INSERT INTO `lang_definitions` VALUES (29397, 11655, 6, 'Vaten');
INSERT INTO `lang_definitions` VALUES (29398, 11656, 6, 'Veterans Administratie');
INSERT INTO `lang_definitions` VALUES (29399, 11657, 6, 'Veterans Administration Plan');
INSERT INTO `lang_definitions` VALUES (29400, 11658, 6, 'an Indian/Alaskan Native');
INSERT INTO `lang_definitions` VALUES (29401, 11659, 6, 'VFC');
INSERT INTO `lang_definitions` VALUES (29402, 11660, 6, 'VFC van toepassing American/Indian/Alaskan Native');
INSERT INTO `lang_definitions` VALUES (29403, 11661, 6, 'VFC van TOepassing- Niet verzekerd');
INSERT INTO `lang_definitions` VALUES (29404, 11664, 6, 'VF{{vertical fissure}}');
INSERT INTO `lang_definitions` VALUES (29405, 11665, 6, 'per{{verstuurd per/leverancier}}');
INSERT INTO `lang_definitions` VALUES (29406, 11666, 6, 'Vietnamees');
INSERT INTO `lang_definitions` VALUES (29407, 11667, 6, 'Scherm');
INSERT INTO `lang_definitions` VALUES (29408, 11668, 6, 'Bekijken');
INSERT INTO `lang_definitions` VALUES (29409, 11669, 6, 'bekijk - kan alleen bekeken maar niet aangepast');
INSERT INTO `lang_definitions` VALUES (29410, 11670, 6, 'Bekijk allergien');
INSERT INTO `lang_definitions` VALUES (29411, 11671, 6, 'Bekijk een x12-835 ERA file');
INSERT INTO `lang_definitions` VALUES (29412, 11672, 6, 'Bekijk Batch claim x12 tekst');
INSERT INTO `lang_definitions` VALUES (29413, 11673, 6, 'Bekijk Leeg Verwijzing Formulier');
INSERT INTO `lang_definitions` VALUES (29414, 11674, 6, 'Bekijk CCD');
INSERT INTO `lang_definitions` VALUES (29415, 11675, 6, 'Bekijk CCDA');
INSERT INTO `lang_definitions` VALUES (29416, 11676, 6, 'Bekijk beknopt rapport van patient');
INSERT INTO `lang_definitions` VALUES (29417, 11677, 6, 'Bekijk CSV tabellen');
INSERT INTO `lang_definitions` VALUES (29418, 11678, 6, 'Bekijk details');
INSERT INTO `lang_definitions` VALUES (29419, 11679, 6, 'Bekijk document');
INSERT INTO `lang_definitions` VALUES (29420, 11680, 6, 'Bekijk ERA x 12 file');
INSERT INTO `lang_definitions` VALUES (29421, 11681, 6, 'Bekijk contact');
INSERT INTO `lang_definitions` VALUES (29422, 11682, 6, 'Bekijk ERA x12 tekst');
INSERT INTO `lang_definitions` VALUES (29423, 11683, 6, 'Evenementen in een popup-venster bekijken?');
INSERT INTO `lang_definitions` VALUES (29424, 11684, 6, 'Bekijk Faciliteit specfieke User informatie');
INSERT INTO `lang_definitions` VALUES (29425, 11685, 6, 'Bekijk Vierluik');
INSERT INTO `lang_definitions` VALUES (29426, 11686, 6, 'Bekijk lokaal x12 file');
INSERT INTO `lang_definitions` VALUES (29427, 11687, 6, 'Bekijk log');
INSERT INTO `lang_definitions` VALUES (29428, 11688, 6, 'Bekijk berichten');
INSERT INTO `lang_definitions` VALUES (29429, 11690, 6, 'Bekijk pagina 1');
INSERT INTO `lang_definitions` VALUES (29430, 11691, 6, 'Bekijk pagina 2');
INSERT INTO `lang_definitions` VALUES (29431, 11692, 6, 'Bekijk reminders van nu en volgenden');
INSERT INTO `lang_definitions` VALUES (29432, 11693, 6, 'Bekijk oud consult');
INSERT INTO `lang_definitions` VALUES (29433, 11694, 6, 'Bekijk oude consulten');
INSERT INTO `lang_definitions` VALUES (29434, 11695, 6, 'Bekijk Client');
INSERT INTO `lang_definitions` VALUES (29435, 11696, 6, 'Bekijk Schema Regels');
INSERT INTO `lang_definitions` VALUES (29436, 11697, 6, 'Bekijk Afdruk');
INSERT INTO `lang_definitions` VALUES (29437, 11698, 6, 'Bekijk Afdrukbaar Verslag');
INSERT INTO `lang_definitions` VALUES (29438, 11699, 6, 'Bekijk Afdrukbare Versie');
INSERT INTO `lang_definitions` VALUES (29439, 11700, 6, 'Bekijk gerelateerde contacten');
INSERT INTO `lang_definitions` VALUES (29440, 11701, 6, 'bekijk rapport');
INSERT INTO `lang_definitions` VALUES (29441, 11702, 6, 'Bekijk de README file');
INSERT INTO `lang_definitions` VALUES (29442, 11703, 6, 'Bekijk het samenvattingoverzicht gestuurd naar de Fax Server.');
INSERT INTO `lang_definitions` VALUES (29443, 11705, 6, 'Bekijken, Downloaden, Verzenden (BDV) (Meting B)');
INSERT INTO `lang_definitions` VALUES (29444, 11706, 6, 'Bekijken, Downloaden, Verzenden (BDV) (Meting A)');
INSERT INTO `lang_definitions` VALUES (29445, 11712, 6, 'Bekijk/Edit Allergieen');
INSERT INTO `lang_definitions` VALUES (29446, 11713, 6, 'Bekijk/edit Issue');
INSERT INTO `lang_definitions` VALUES (29447, 11714, 6, 'Bekijk/Print');
INSERT INTO `lang_definitions` VALUES (29448, 11717, 6, 'Scherm:');
INSERT INTO `lang_definitions` VALUES (29449, 11718, 6, 'VISA');
INSERT INTO `lang_definitions` VALUES (29450, 11719, 6, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (29451, 11721, 6, 'Viscerale schade / trauma / chirurgie');
INSERT INTO `lang_definitions` VALUES (29452, 11723, 6, 'Gezichtsvermogen');
INSERT INTO `lang_definitions` VALUES (29453, 11724, 6, 'Consultatie');
INSERT INTO `lang_definitions` VALUES (29454, 11725, 6, 'Consultatie kenmerken');
INSERT INTO `lang_definitions` VALUES (29455, 11726, 6, 'Consultatie categorieën');
INSERT INTO `lang_definitions` VALUES (29456, 11727, 6, 'Consultatie categorie');
INSERT INTO `lang_definitions` VALUES (29457, 11728, 6, 'Contact categorie:');
INSERT INTO `lang_definitions` VALUES (29458, 11729, 6, 'Datum contact');
INSERT INTO `lang_definitions` VALUES (29459, 11730, 6, 'Bezoek datum');
INSERT INTO `lang_definitions` VALUES (29460, 11732, 6, 'Kenmerken Consultatie Formulier');
INSERT INTO `lang_definitions` VALUES (29461, 11734, 6, 'Formulieren');
INSERT INTO `lang_definitions` VALUES (29462, 11736, 6, 'Consulatie overzicht');
INSERT INTO `lang_definitions` VALUES (29463, 11743, 6, 'Soort consultatie');
INSERT INTO `lang_definitions` VALUES (29464, 11744, 6, 'Bezochte Patiënten');
INSERT INTO `lang_definitions` VALUES (29465, 11745, 6, 'Consultaties');
INSERT INTO `lang_definitions` VALUES (29466, 11746, 6, 'Bezoeken vanaf');
INSERT INTO `lang_definitions` VALUES (29467, 11747, 6, 'Gezichtsscherpten');
INSERT INTO `lang_definitions` VALUES (29468, 11748, 6, 'Gezichtsscherpte');
INSERT INTO `lang_definitions` VALUES (29469, 11749, 6, 'Visuele velden');
INSERT INTO `lang_definitions` VALUES (29470, 11751, 6, 'Vital Signs');
INSERT INTO `lang_definitions` VALUES (29471, 11752, 6, 'Vitals');
INSERT INTO `lang_definitions` VALUES (29472, 11753, 6, 'Vitals (metriek)');
INSERT INTO `lang_definitions` VALUES (29473, 11754, 6, 'Vitals Form opties');
INSERT INTO `lang_definitions` VALUES (29474, 11756, 6, 'Stem');
INSERT INTO `lang_definitions` VALUES (29475, 11757, 6, 'Ingesproken berichten');
INSERT INTO `lang_definitions` VALUES (29476, 11758, 6, 'Voice bericht verzonden');
INSERT INTO `lang_definitions` VALUES (29477, 11760, 6, 'Ongeldig afgesloten en heropend');
INSERT INTO `lang_definitions` VALUES (29478, 11762, 6, 'Volapuk');
INSERT INTO `lang_definitions` VALUES (29479, 11763, 6, 'Braken');
INSERT INTO `lang_definitions` VALUES (29480, 11764, 6, 'Bon Nummer');
INSERT INTO `lang_definitions` VALUES (29481, 11767, 6, 'W');
INSERT INTO `lang_definitions` VALUES (29482, 11769, 6, 'W tot W{{Witte tot witachtige}}');
INSERT INTO `lang_definitions` VALUES (29483, 11770, 6, 'Buikomv');
INSERT INTO `lang_definitions` VALUES (29484, 11771, 6, 'Buikomvang');
INSERT INTO `lang_definitions` VALUES (29485, 11772, 6, 'Wachtende');
INSERT INTO `lang_definitions` VALUES (29486, 11773, 6, 'Binnen gelopen');
INSERT INTO `lang_definitions` VALUES (29487, 11774, 6, 'Inloop productverkoop gezondheidskliniek');
INSERT INTO `lang_definitions` VALUES (29488, 11775, 6, 'Wallonisch');
INSERT INTO `lang_definitions` VALUES (29489, 11776, 6, 'Walt Pennington');
INSERT INTO `lang_definitions` VALUES (29490, 11777, 6, 'Afdeling van de rechtbank');
INSERT INTO `lang_definitions` VALUES (29491, 11778, 6, 'Warenhuis');
INSERT INTO `lang_definitions` VALUES (29492, 11779, 6, 'Magazijn veranderd');
INSERT INTO `lang_definitions` VALUES (29493, 11780, 6, 'Waarhuis maximum, 0 indien niet gebruikt');
INSERT INTO `lang_definitions` VALUES (29494, 11781, 6, 'Waarhuis minimum, 0 indien niet gebruikt');
INSERT INTO `lang_definitions` VALUES (29495, 11782, 6, 'Warenhuizen');
INSERT INTO `lang_definitions` VALUES (29496, 11783, 6, 'Warm');
INSERT INTO `lang_definitions` VALUES (29497, 11786, 6, 'Waarschuwing');
INSERT INTO `lang_definitions` VALUES (29498, 11787, 6, 'Waarschuwing');
INSERT INTO `lang_definitions` VALUES (29499, 11788, 6, 'LET OP - Volgende werkzame bestanddelen in deze medicijnen zijn ALLERGISCH');
INSERT INTO `lang_definitions` VALUES (29500, 11789, 6, 'Waarschuwing, Controleer nummer is reeds in database opgenomen');
INSERT INTO `lang_definitions` VALUES (29501, 11790, 6, 'Waarschuwing: deze patient heeft niet eenduideige codes in de probleem lijst!');
INSERT INTO `lang_definitions` VALUES (29502, 11791, 6, 'Waarschuwing: Er is vandaag voor deze patiënt al een bezoek aangemaakt!');
INSERT INTO `lang_definitions` VALUES (29503, 11792, 6, 'Let op: Anticonceptie voor een patiënt onder de 10 of boven de 50.');
INSERT INTO `lang_definitions` VALUES (29504, 11793, 6, 'Let op: anticonceptiemethode is niet verenigbaar met een mannelijke patiënt.');
INSERT INTO `lang_definitions` VALUES (29505, 11794, 6, 'Waarschuwing: Als U de 2012-2013 Spaanse versie gebruikt, let er dan op om deze eenmalig te unzippenvoordat deze in de contri/snomed directory (dit is omdat de release van deze file werd \"ge-dubbel zipped\").');
INSERT INTO `lang_definitions` VALUES (29506, 11796, 6, 'Let op: patiënt-ID is niet uniek!');
INSERT INTO `lang_definitions` VALUES (29507, 11797, 6, 'Let op: Er is geen product dat overeenkomt met het anticonceptivum.');
INSERT INTO `lang_definitions` VALUES (29508, 11798, 6, 'Let op: Er is geen dienst die overeenkomt met het anticonceptivum.');
INSERT INTO `lang_definitions` VALUES (29509, 11799, 6, 'LET OP: configuratie wordt overschreven met de data van de ge-upload-de file');
INSERT INTO `lang_definitions` VALUES (29510, 11800, 6, 'WAARSCHUWINGEN');
INSERT INTO `lang_definitions` VALUES (29511, 11801, 6, 'Waarschuwingen');
INSERT INTO `lang_definitions` VALUES (29512, 11802, 6, 'WAARSCHUWINGEN en Meldingen/Herinneringen');
INSERT INTO `lang_definitions` VALUES (29513, 11803, 6, 'Werd al eerder ge-upload');
INSERT INTO `lang_definitions` VALUES (29514, 11804, 6, 'werd niet gevonden');
INSERT INTO `lang_definitions` VALUES (29515, 11805, 6, 'We waarderen prompte betaling van verschuldigde bedragen');
INSERT INTO `lang_definitions` VALUES (29516, 11809, 6, 'We hebben de bovenstaande patient voor evaluatie en behandeling gezien op onze psychiatrische polikliniek. Bedankt voor deze verwijzing.');
INSERT INTO `lang_definitions` VALUES (29517, 11821, 6, 'Zwakheid');
INSERT INTO `lang_definitions` VALUES (29518, 11825, 6, 'Webverwijzing');
INSERT INTO `lang_definitions` VALUES (29519, 11826, 6, 'Web search');
INSERT INTO `lang_definitions` VALUES (29520, 11827, 6, 'Website');
INSERT INTO `lang_definitions` VALUES (29521, 11828, 6, 'Website link voor de Onsite Patient Portal.');
INSERT INTO `lang_definitions` VALUES (29522, 11832, 6, 'Wo.');
INSERT INTO `lang_definitions` VALUES (29523, 11833, 6, 'Woensdag');
INSERT INTO `lang_definitions` VALUES (29524, 11834, 6, 'Week');
INSERT INTO `lang_definitions` VALUES (29525, 11835, 6, 'week');
INSERT INTO `lang_definitions` VALUES (29526, 11836, 6, 'Weekoverzicht');
INSERT INTO `lang_definitions` VALUES (29527, 11837, 6, 'Week(en)');
INSERT INTO `lang_definitions` VALUES (29528, 11838, 6, 'Wekelijkse Exposures');
INSERT INTO `lang_definitions` VALUES (29529, 11839, 6, 'weken');
INSERT INTO `lang_definitions` VALUES (29530, 11840, 6, 'Weken');
INSERT INTO `lang_definitions` VALUES (29531, 11841, 6, 'Gewicht');
INSERT INTO `lang_definitions` VALUES (29532, 11842, 6, 'Gewichtsbeoordeling en counseling voor kinderen en adolescenten');
INSERT INTO `lang_definitions` VALUES (29533, 11843, 6, 'Gewichtsbeoordeling en couseling voor kinderen en aldolescenten (CQM)');
INSERT INTO `lang_definitions` VALUES (29534, 11844, 6, 'Gewichtverandering');
INSERT INTO `lang_definitions` VALUES (29535, 11845, 6, 'Gewichtsverlies');
INSERT INTO `lang_definitions` VALUES (29536, 11846, 6, 'Kliniek voor gewicht adviezen');
INSERT INTO `lang_definitions` VALUES (29537, 11847, 6, 'Welkom');
INSERT INTO `lang_definitions` VALUES (29538, 11849, 6, 'Welsh');
INSERT INTO `lang_definitions` VALUES (29539, 11859, 6, 'West Fries');
INSERT INTO `lang_definitions` VALUES (29540, 11860, 6, 'W{Woensdag}}');
INSERT INTO `lang_definitions` VALUES (29541, 11862, 6, 'Wat moet geteld worden?');
INSERT INTO `lang_definitions` VALUES (29542, 11863, 6, 'Wat voor soort sortering is er in de selectielijsten.');
INSERT INTO `lang_definitions` VALUES (29543, 11864, 6, 'Piepend:');
INSERT INTO `lang_definitions` VALUES (29544, 11865, 6, 'Piepen');
INSERT INTO `lang_definitions` VALUES (29545, 11866, 6, 'Piepen:');
INSERT INTO `lang_definitions` VALUES (29546, 11868, 6, 'Wanneer en hoe vaak?');
INSERT INTO `lang_definitions` VALUES (29547, 11869, 6, 'Indien aangevinkt, de Persoonsgegevens worden geopend in een nieuw Patiënt Flow Boardscherm.');
INSERT INTO `lang_definitions` VALUES (29548, 11872, 6, 'Indien aangevinkt, het Patiënt consultnummer wordt getoond in het Patiënt Flow Board.');
INSERT INTO `lang_definitions` VALUES (29549, 11873, 6, 'Indien aangevinkt, de Patiënt ID wordt getoond in het Patiënt Flow Board.');
INSERT INTO `lang_definitions` VALUES (29550, 11874, 6, 'Indien aangevinkt, de Bezoek Reden wordt getoond in het Patiënt Flow Board.');
INSERT INTO `lang_definitions` VALUES (29551, 11876, 6, 'Indien klaar, klik Submit(hieronder) om uw keuzes toe te passen');
INSERT INTO `lang_definitions` VALUES (29552, 11882, 6, 'Waar kunnen gescande of papieren documenten worden gevonden?');
INSERT INTO `lang_definitions` VALUES (29553, 11883, 6, 'Waar op uw lichaam treedt dit op?');
INSERT INTO `lang_definitions` VALUES (29554, 11884, 6, 'Indien verzekerd');
INSERT INTO `lang_definitions` VALUES (29555, 11885, 6, 'welke dagen zijn uw weekenddagen?');
INSERT INTO `lang_definitions` VALUES (29556, 11886, 6, 'Welke opmerkingen moeten worden weergegeven in het Facturatie Scherm');
INSERT INTO `lang_definitions` VALUES (29557, 11890, 6, 'Whiplash');
INSERT INTO `lang_definitions` VALUES (29558, 11891, 6, 'Blank');
INSERT INTO `lang_definitions` VALUES (29559, 11893, 6, 'Witte tot witachtige');
INSERT INTO `lang_definitions` VALUES (29560, 11894, 6, 'Wie');
INSERT INTO `lang_definitions` VALUES (29561, 11895, 6, 'Wie gaf antwoord?');
INSERT INTO `lang_definitions` VALUES (29562, 11897, 6, 'Weduwstaat');
INSERT INTO `lang_definitions` VALUES (29563, 11898, 6, 'Breedte');
INSERT INTO `lang_definitions` VALUES (29564, 11900, 6, 'Breedte in pixels vanhet linker navigatie scherm');
INSERT INTO `lang_definitions` VALUES (29565, 11902, 6, 'zal worden verborgen als');
INSERT INTO `lang_definitions` VALUES (29566, 11903, 6, 'zal hebben de volgende validatie regels');
INSERT INTO `lang_definitions` VALUES (29567, 11904, 6, 'Met aangegeven Items plot grafiek');
INSERT INTO `lang_definitions` VALUES (29568, 11906, 6, 'met voorkeurs taal');
INSERT INTO `lang_definitions` VALUES (29569, 11907, 6, 'Met geselecteerd als:');
INSERT INTO `lang_definitions` VALUES (29570, 11908, 6, 'met de oude naam');
INSERT INTO `lang_definitions` VALUES (29571, 11910, 6, 'met de waarde');
INSERT INTO `lang_definitions` VALUES (29572, 11911, 6, 'Bij wie kunnen we een bericht achterlaten?');
INSERT INTO `lang_definitions` VALUES (29573, 11912, 6, 'Achtergehouden');
INSERT INTO `lang_definitions` VALUES (29574, 11913, 6, 'binnen uren');
INSERT INTO `lang_definitions` VALUES (29575, 11914, 6, 'binnen uren:');
INSERT INTO `lang_definitions` VALUES (29576, 11915, 6, 'binnen minuten');
INSERT INTO `lang_definitions` VALUES (29577, 11916, 6, 'binnen minuten:');
INSERT INTO `lang_definitions` VALUES (29578, 11917, 6, 'Zonder Faciliteit');
INSERT INTO `lang_definitions` VALUES (29579, 11918, 6, 'Zonder behandelaar');
INSERT INTO `lang_definitions` VALUES (29580, 11919, 6, 'Zonder update');
INSERT INTO `lang_definitions` VALUES (29581, 11920, 6, 'Getuige');
INSERT INTO `lang_definitions` VALUES (29582, 11921, 6, 'wk');
INSERT INTO `lang_definitions` VALUES (29583, 11922, 6, 'Normaal');
INSERT INTO `lang_definitions` VALUES (29584, 11923, 6, 'Wolof');
INSERT INTO `lang_definitions` VALUES (29585, 11924, 6, 'Vrouwen');
INSERT INTO `lang_definitions` VALUES (29586, 11925, 6, 'Alleen vrouwen');
INSERT INTO `lang_definitions` VALUES (29587, 11926, 6, 'WordPress Portaal');
INSERT INTO `lang_definitions` VALUES (29588, 11927, 6, 'Werk');
INSERT INTO `lang_definitions` VALUES (29589, 11928, 6, 'Briefje voor werk');
INSERT INTO `lang_definitions` VALUES (29590, 11929, 6, 'Telefoon werk');
INSERT INTO `lang_definitions` VALUES (29591, 11930, 6, 'Telefoon werk');
INSERT INTO `lang_definitions` VALUES (29592, 11931, 6, 'Werk gerelateerd?');
INSERT INTO `lang_definitions` VALUES (29593, 11932, 6, 'Werk/Scholing/Hobbies');
INSERT INTO `lang_definitions` VALUES (29594, 11933, 6, 'Werk-/Schoolverklaring');
INSERT INTO `lang_definitions` VALUES (29595, 11934, 6, 'werkdag');
INSERT INTO `lang_definitions` VALUES (29596, 11935, 6, 'Arbeids ongeschiktheid compensatie');
INSERT INTO `lang_definitions` VALUES (29597, 11936, 6, 'Arbeidsongeschiktheidsvoorziening Gezondheidsplan');
INSERT INTO `lang_definitions` VALUES (29598, 11937, 6, 'Leeftijds gebonden compensatie of partner regeling met Werkgevers groepsgebonden gezondheids plan');
INSERT INTO `lang_definitions` VALUES (29599, 11940, 6, 'Is bezig..... dit kan enkele minuten duren.');
INSERT INTO `lang_definitions` VALUES (29600, 11941, 6, 'Verslechterd');
INSERT INTO `lang_definitions` VALUES (29601, 11942, 6, 'Zou U het Balans bedrag willen gebruiken voor de Global rekening?');
INSERT INTO `lang_definitions` VALUES (29602, 11943, 6, 'Wilt u deze markeren als opgenomen?');
INSERT INTO `lang_definitions` VALUES (29603, 11944, 6, 'Wilt u toewijzen?');
INSERT INTO `lang_definitions` VALUES (29604, 11945, 6, 'Wilt u Distributie cancelen voor deze patient?');
INSERT INTO `lang_definitions` VALUES (29605, 11946, 6, 'Zou u de betalings distributie willenverwijderen?');
INSERT INTO `lang_definitions` VALUES (29606, 11947, 6, 'Wilt u betalingen verwijderen?');
INSERT INTO `lang_definitions` VALUES (29607, 11948, 6, 'Wilt u betalingen aanpassen en beeindigen');
INSERT INTO `lang_definitions` VALUES (29608, 11949, 6, 'Wilt u betalingen aanpassen?');
INSERT INTO `lang_definitions` VALUES (29609, 11950, 6, 'Wilt u betalingen toewijzen, daarna stopppen?');
INSERT INTO `lang_definitions` VALUES (29610, 11951, 6, 'Wilt u betalingen toewijzen?');
INSERT INTO `lang_definitions` VALUES (29611, 11952, 6, 'Wilt u bewaren?');
INSERT INTO `lang_definitions` VALUES (29612, 11953, 6, 'Pols');
INSERT INTO `lang_definitions` VALUES (29613, 11954, 6, 'Pols en hand');
INSERT INTO `lang_definitions` VALUES (29614, 11955, 6, 'Polsproblemen');
INSERT INTO `lang_definitions` VALUES (29615, 11956, 6, 'schrijven');
INSERT INTO `lang_definitions` VALUES (29616, 11958, 6, 'Afschrijving');
INSERT INTO `lang_definitions` VALUES (29617, 11959, 6, 'Schrijf eenmalig');
INSERT INTO `lang_definitions` VALUES (29618, 11960, 6, 'met enkele');
INSERT INTO `lang_definitions` VALUES (29619, 11963, 6, 'WT');
INSERT INTO `lang_definitions` VALUES (29620, 11965, 6, 'W{{Woensdag}}');
INSERT INTO `lang_definitions` VALUES (29621, 11966, 6, 'x Geannuleerd');
INSERT INTO `lang_definitions` VALUES (29622, 11967, 6, 'x Geannuleerd');
INSERT INTO `lang_definitions` VALUES (29623, 11969, 6, 'Rontgen');
INSERT INTO `lang_definitions` VALUES (29624, 11970, 6, 'Rontgenverslag:');
INSERT INTO `lang_definitions` VALUES (29625, 11971, 6, 'Rontgenverslag:');
INSERT INTO `lang_definitions` VALUES (29626, 11972, 6, 'X12 alleen ICN hernieuwde indiening Nr.');
INSERT INTO `lang_definitions` VALUES (29627, 11975, 6, 'Alleen X12: Vervangingsclaim');
INSERT INTO `lang_definitions` VALUES (29628, 11978, 6, 'X12-partner');
INSERT INTO `lang_definitions` VALUES (29629, 11979, 6, 'X12-partners');
INSERT INTO `lang_definitions` VALUES (29630, 11980, 6, 'x12 segment');
INSERT INTO `lang_definitions` VALUES (29631, 11981, 6, 'x12 tekst');
INSERT INTO `lang_definitions` VALUES (29632, 11984, 6, 'XML');
INSERT INTO `lang_definitions` VALUES (29633, 11987, 6, 'J');
INSERT INTO `lang_definitions` VALUES (29634, 11988, 6, 'jaar');
INSERT INTO `lang_definitions` VALUES (29635, 11989, 6, 'Jaar');
INSERT INTO `lang_definitions` VALUES (29636, 11990, 6, 'Jaaroverzicht');
INSERT INTO `lang_definitions` VALUES (29637, 11991, 6, 'Jaar(en)');
INSERT INTO `lang_definitions` VALUES (29638, 11992, 6, 'Jaren');
INSERT INTO `lang_definitions` VALUES (29639, 11993, 6, 'jaren geleden');
INSERT INTO `lang_definitions` VALUES (29640, 11994, 6, 'Jaren of maanden');
INSERT INTO `lang_definitions` VALUES (29641, 11995, 6, 'Jaren, maanden an dagen');
INSERT INTO `lang_definitions` VALUES (29642, 11996, 6, 'Ja');
INSERT INTO `lang_definitions` VALUES (29643, 11997, 6, 'JA');
INSERT INTO `lang_definitions` VALUES (29644, 11998, 6, 'ja');
INSERT INTO `lang_definitions` VALUES (29645, 11999, 6, 'JA !!');
INSERT INTO `lang_definitions` VALUES (29646, 12000, 6, 'Ja, Verwijderen en Log maken');
INSERT INTO `lang_definitions` VALUES (29647, 12001, 6, 'Ja, verwijder dit formulier');
INSERT INTO `lang_definitions` VALUES (29648, 12002, 6, 'Ja/Nee');
INSERT INTO `lang_definitions` VALUES (29649, 12003, 6, 'Ja:');
INSERT INTO `lang_definitions` VALUES (29650, 12004, 6, 'Yiddish');
INSERT INTO `lang_definitions` VALUES (29651, 12005, 6, 'Yoruba');
INSERT INTO `lang_definitions` VALUES (29652, 12007, 6, 'U staat op het punt het volgende formulier van dit consult te schrappen');
INSERT INTO `lang_definitions` VALUES (29653, 12008, 6, 'U gaat dit bestaande sjabloon voorgoed vervangen. Wilt u doorgaan?');
INSERT INTO `lang_definitions` VALUES (29654, 12011, 6, 'U bent in de grace periode voor inloggen. Verander uw paswoord voor');
INSERT INTO `lang_definitions` VALUES (29655, 12012, 6, 'U mag deze gebeurtenis niet verwijderen');
INSERT INTO `lang_definitions` VALUES (29656, 12013, 6, 'U mag deze gebeurtenis niet anpasssen');
INSERT INTO `lang_definitions` VALUES (29657, 12014, 6, 'U bent hiervoor niet geautoriseerd');
INSERT INTO `lang_definitions` VALUES (29658, 12016, 6, 'U heeft geen bevoegdheid voor deze ploeg');
INSERT INTO `lang_definitions` VALUES (29659, 12017, 6, 'U heeft geen bevoegdheid om problemen toe te voegen/aan te passen');
INSERT INTO `lang_definitions` VALUES (29660, 12018, 6, 'U bent niet geautoriseerd om afspraken te maken');
INSERT INTO `lang_definitions` VALUES (29661, 12019, 6, 'U bent niet bevoegd om dit contact te bekijken.');
INSERT INTO `lang_definitions` VALUES (29662, 12021, 6, 'U probeert de gegevens op te slaan die bij een oud bezoek horen?');
INSERT INTO `lang_definitions` VALUES (29663, 12038, 6, 'U kunt deze functie niet direct benaderen');
INSERT INTO `lang_definitions` VALUES (29664, 12050, 6, 'U kunt deze pagina niet direct benaderen');
INSERT INTO `lang_definitions` VALUES (29665, 12051, 6, 'U kunt geen blanco waarde toevoegen voor een categorie!');
INSERT INTO `lang_definitions` VALUES (29666, 12052, 6, 'U kunt niet een lege waarde toevoegen voor een subcategorie!');
INSERT INTO `lang_definitions` VALUES (29667, 12053, 6, 'U kunt niet een lege waarde toevoegen voor een item!');
INSERT INTO `lang_definitions` VALUES (29668, 12055, 6, 'Nadat er JA ingevuld is, kan er geen toekomstige datum gebruikt worden.');
INSERT INTO `lang_definitions` VALUES (29669, 12057, 6, 'U heeft geen keuze gemaakt');
INSERT INTO `lang_definitions` VALUES (29670, 12058, 6, 'U heeft geen toegang om deze notitie te bekijken/aan te passen');
INSERT INTO `lang_definitions` VALUES (29671, 12061, 6, 'U hebt geprobeerd de inhoud te wijzigen die vergrendeld is. Verwijder het slot als u dit wilt doen. Om te ontgrendelen, verwijdert u de regel \'/ * lock ::*/\'');
INSERT INTO `lang_definitions` VALUES (29672, 12063, 6, 'Succesvol uitgelogged');
INSERT INTO `lang_definitions` VALUES (29673, 12066, 6, 'U heeft geen klinische diensten of producten ingevoerd. Klik op Annuleren om ze toe te voegen. Of klik op OK als u het wilt behouden zoals het is.');
INSERT INTO `lang_definitions` VALUES (29674, 12070, 6, 'U heeft niet-opgeslagen wijzigingen.');
INSERT INTO `lang_definitions` VALUES (29675, 12071, 6, 'U heeft niet-opgeslagen wijzigingen. Ongedaan maken?');
INSERT INTO `lang_definitions` VALUES (29676, 12074, 6, 'U kunt alleen *.txt file uploaden');
INSERT INTO `lang_definitions` VALUES (29677, 12075, 6, 'U kunt ook naar voorkeur HL7 resultaten van een file uploaden');
INSERT INTO `lang_definitions` VALUES (29678, 12076, 6, 'Patient Encounter formulier');
INSERT INTO `lang_definitions` VALUES (29679, 12085, 6, 'U moet een PAS zin invullen om document te versleutelen');
INSERT INTO `lang_definitions` VALUES (29680, 12087, 6, 'U moet uw eigen Paswoord invullen om gebruikers paswoord te veranderen. Leeg laten om hetzelfde Paswoord te gebruiken.');
INSERT INTO `lang_definitions` VALUES (29681, 12088, 6, 'U moet eerst een item selecteren in de sectie waarvan de optie is aangevinkt.');
INSERT INTO `lang_definitions` VALUES (29682, 12090, 6, 'Uw moet eerst een patient selecteren of toevoegen.');
INSERT INTO `lang_definitions` VALUES (29683, 12091, 6, 'U moet eerst een bezoek selecteren of aanmaken.');
INSERT INTO `lang_definitions` VALUES (29684, 12092, 6, 'U moet een bezoek categorie kiezen');
INSERT INTO `lang_definitions` VALUES (29685, 12093, 6, 'U moet een visite categorie kiezen');
INSERT INTO `lang_definitions` VALUES (29686, 12094, 6, 'U moet enige velden selecteren om door te gaan.');
INSERT INTO `lang_definitions` VALUES (29687, 12104, 6, 'U moet deze test uitvoeren indien deze claim met succes gegenereerd is, maar de daadwerkelijke claim-file geen gegevens bevat of slechts een onvoltooid gedeelte van de hoeveelheid gegevens die zij geacht wordt te bevatten. Het is duidelijk met HCFA vorderingen, omdat ze de menselijke leesbare tekst aanmaken. Met X12 claims is proces matig moeilijker om te bepalen of de claim juist is aangemaakt.');
INSERT INTO `lang_definitions` VALUES (29688, 12106, 6, 'Minstens 1 context kiezen');
INSERT INTO `lang_definitions` VALUES (29689, 12107, 6, 'Mistens 1 provider kiezen');
INSERT INTO `lang_definitions` VALUES (29690, 12108, 6, 'U wordt automatisch doorgestuurd naar de persoonsgegevens. Hier kunt u de nodige correcties aanbrengen en terug navigeren naar NewCrop.');
INSERT INTO `lang_definitions` VALUES (29691, 12118, 6, 'Uw klinische raportage');
INSERT INTO `lang_definitions` VALUES (29692, 12119, 6, 'Uw credentials zijn door uw provider verstrekt');
INSERT INTO `lang_definitions` VALUES (29693, 12121, 6, 'Uw e-mail adres');
INSERT INTO `lang_definitions` VALUES (29694, 12122, 6, 'Uw eindatum is ongeldig');
INSERT INTO `lang_definitions` VALUES (29695, 12123, 6, 'Uw gebeurtenis is verwijderd.');
INSERT INTO `lang_definitions` VALUES (29696, 12124, 6, 'Gebeurtenis is aangepast.');
INSERT INTO `lang_definitions` VALUES (29697, 12125, 6, 'Gebeurtenis is toegevoegd.');
INSERT INTO `lang_definitions` VALUES (29698, 12126, 6, 'Uw bestand heeft geen extensie');
INSERT INTO `lang_definitions` VALUES (29699, 12127, 6, 'U file is te groot');
INSERT INTO `lang_definitions` VALUES (29700, 12128, 6, 'Uw eerste dag van de week');
INSERT INTO `lang_definitions` VALUES (29701, 12130, 6, 'Uw installatie van OpenEMR is geregistreerd');
INSERT INTO `lang_definitions` VALUES (29702, 12131, 6, 'Uw Lab resultaten');
INSERT INTO `lang_definitions` VALUES (29703, 12132, 6, 'U lijstnaam is veranderd om aan de naamvereisten tegemoet te komen.');
INSERT INTO `lang_definitions` VALUES (29704, 12133, 6, 'Uw bericht was verstuurd naar:');
INSERT INTO `lang_definitions` VALUES (29705, 12134, 6, 'Uw naam voor deze categorie, procedure of resultaat');
INSERT INTO `lang_definitions` VALUES (29706, 12135, 6, 'Uw nieuwe inloggegevens zijn verzonden. Controleer uw e-mailinbox en eventueel uw spammap. Zodra u zich aanmeldt op uw patiëntenportaal, kunt u gerust een afspraak maken of ons een veilig bericht sturen. We zien ernaar uit om je snel te zien.');
INSERT INTO `lang_definitions` VALUES (29707, 12136, 6, 'Uw volgende afspraak is op');
INSERT INTO `lang_definitions` VALUES (29708, 12137, 6, 'Uw onfile e-mail adres is');
INSERT INTO `lang_definitions` VALUES (29709, 12139, 6, 'Uw Paswoord');
INSERT INTO `lang_definitions` VALUES (29710, 12140, 6, 'Uw wachtwoord is verlopen. Wijzig a.u.b. uw wachtwoord.');
INSERT INTO `lang_definitions` VALUES (29711, 12141, 6, 'Uw wachtwoord verloopt op');
INSERT INTO `lang_definitions` VALUES (29712, 12143, 6, 'Uw wachtwoord verloopt vandaag. Wijzig a.u.b. uw wachtwoord.');
INSERT INTO `lang_definitions` VALUES (29713, 12146, 6, 'Uw PostCalender configuratie is hersteld naar de oorspronkelijke gegevens');
INSERT INTO `lang_definitions` VALUES (29714, 12147, 6, 'Uw PostCalender configuratie is aangepast');
INSERT INTO `lang_definitions` VALUES (29715, 12148, 6, 'Uw herhalingsfrequentie moet een getal zijn');
INSERT INTO `lang_definitions` VALUES (29716, 12149, 6, 'Aantal herhalingen moet minstens 1 zijn');
INSERT INTO `lang_definitions` VALUES (29717, 12150, 6, 'Uw Safe sleutel is');
INSERT INTO `lang_definitions` VALUES (29718, 12151, 6, 'Uw begindatum is later dan einddatum');
INSERT INTO `lang_definitions` VALUES (29719, 12152, 6, 'Uw begindatum is ongeldig');
INSERT INTO `lang_definitions` VALUES (29720, 12153, 6, 'Uw inzending is mislukt');
INSERT INTO `lang_definitions` VALUES (29721, 12154, 6, 'Uw weekenddagen');
INSERT INTO `lang_definitions` VALUES (29722, 12156, 6, 'jjjj-mm-dd');
INSERT INTO `lang_definitions` VALUES (29723, 12157, 6, 'jjjj-mm-dd');
INSERT INTO `lang_definitions` VALUES (29724, 12158, 6, 'jjjj-mm-dd datum geassocieerd met dit document');
INSERT INTO `lang_definitions` VALUES (29725, 12159, 6, 'jjjj-mm-dd datum vernietigd');
INSERT INTO `lang_definitions` VALUES (29726, 12160, 6, 'jjjj-mm-dd geb datum');
INSERT INTO `lang_definitions` VALUES (29727, 12161, 6, 'jjjj-mm-dd geb datum');
INSERT INTO `lang_definitions` VALUES (29728, 12162, 6, 'jjjj-mm-dd datum verloop');
INSERT INTO `lang_definitions` VALUES (29729, 12163, 6, 'jjjj-mm-dd datun begin hospitalisatie');
INSERT INTO `lang_definitions` VALUES (29730, 12164, 6, 'jjjj-mm-dd datum begin, chirurgie, of begin medicatie');
INSERT INTO `lang_definitions` VALUES (29731, 12165, 6, 'jjjj-mm-dd datum aankoop of overplaatsing');
INSERT INTO `lang_definitions` VALUES (29732, 12166, 6, 'jjjj-mm-dd datum van herstel of einde medicatie');
INSERT INTO `lang_definitions` VALUES (29733, 12167, 6, 'jjjj-mm-dd datum return wedstrijd');
INSERT INTO `lang_definitions` VALUES (29734, 12168, 6, 'jjjj-mm-dd datum van Service');
INSERT INTO `lang_definitions` VALUES (29735, 12169, 6, 'jjjj-mm-dd datum van deze brief');
INSERT INTO `lang_definitions` VALUES (29736, 12170, 6, 'jjjj-mm-dd datum van return wedstrijd');
INSERT INTO `lang_definitions` VALUES (29737, 12171, 6, 'jjjj-mm-dd datum dit document');
INSERT INTO `lang_definitions` VALUES (29738, 12172, 6, 'jjjj-mm-dd einddatum');
INSERT INTO `lang_definitions` VALUES (29739, 12173, 6, 'jjjj-mm-dd gebeurtenis of begindatum');
INSERT INTO `lang_definitions` VALUES (29740, 12174, 6, 'jjjj-mm-dd H:m eind datum');
INSERT INTO `lang_definitions` VALUES (29741, 12175, 6, 'jjjj-mm-dd H:m eind datum');
INSERT INTO `lang_definitions` VALUES (29742, 12176, 6, 'jjjj-mm-dd H:m Begin datum');
INSERT INTO `lang_definitions` VALUES (29743, 12177, 6, 'jjjj-mm-dd H:m Begin datum');
INSERT INTO `lang_definitions` VALUES (29744, 12178, 6, 'jjjj-mm-dd uu:mm:ss');
INSERT INTO `lang_definitions` VALUES (29745, 12179, 6, 'jjjj-mm-dd Uren(24) minuten');
INSERT INTO `lang_definitions` VALUES (29746, 12180, 6, 'jjjj-mm-dd laatste datum van gebeurtenis');
INSERT INTO `lang_definitions` VALUES (29747, 12181, 6, 'jjjj-mm-dd startdatum');
INSERT INTO `lang_definitions` VALUES (29748, 12182, 6, 'jjjj-mm-dd startdatum voor zoekactie');
INSERT INTO `lang_definitions` VALUES (29749, 12183, 6, 'ZEF segment interior fout');
INSERT INTO `lang_definitions` VALUES (29750, 12184, 6, 'Zend Module');
INSERT INTO `lang_definitions` VALUES (29751, 12185, 6, 'Extra Zend module check naast de standaard check');
INSERT INTO `lang_definitions` VALUES (29752, 12186, 6, 'Zero');
INSERT INTO `lang_definitions` VALUES (29753, 12187, 6, 'Zhuang, Chuang');
INSERT INTO `lang_definitions` VALUES (29754, 12188, 6, 'Postcode');
INSERT INTO `lang_definitions` VALUES (29755, 12189, 6, 'Postcode');
INSERT INTO `lang_definitions` VALUES (29756, 12191, 6, 'Postcode/Land:');
INSERT INTO `lang_definitions` VALUES (29757, 12192, 6, 'Zoomen');
INSERT INTO `lang_definitions` VALUES (29758, 12193, 6, 'Inzoomen');
INSERT INTO `lang_definitions` VALUES (29759, 12194, 6, 'Uitzoomen');
INSERT INTO `lang_definitions` VALUES (29760, 12195, 6, 'Zoom: klik-sleep, Pan: shift-klik-sleep, Herstel: dubbelklik');
INSERT INTO `lang_definitions` VALUES (29761, 12196, 6, 'Zoeloe');
INSERT INTO `lang_definitions` VALUES (29762, 12197, 6, 'maar was');
INSERT INTO `lang_definitions` VALUES (29763, 12198, 6, 'kon niet bereikt worden');
INSERT INTO `lang_definitions` VALUES (29764, 12199, 6, 'ZEKER verwijderen?');
INSERT INTO `lang_definitions` VALUES (29765, 12200, 6, 'Medicijn');
INSERT INTO `lang_definitions` VALUES (29766, 12201, 6, 'e-mails niet verzonden');
INSERT INTO `lang_definitions` VALUES (29767, 12202, 6, 'van');
INSERT INTO `lang_definitions` VALUES (29768, 12203, 6, 'is aangemaakt');
INSERT INTO `lang_definitions` VALUES (29769, 12204, 6, 'is opnieuw geopend');
INSERT INTO `lang_definitions` VALUES (29770, 12205, 6, 'Geschiedenis');
INSERT INTO `lang_definitions` VALUES (29771, 12206, 6, 'het is geen nummer');
INSERT INTO `lang_definitions` VALUES (29772, 12207, 6, 'opnieuw rekening sturen OK');
INSERT INTO `lang_definitions` VALUES (29773, 12208, 6, 'LLL:');
INSERT INTO `lang_definitions` VALUES (29774, 12209, 6, 'Voorraad');
INSERT INTO `lang_definitions` VALUES (29775, 12210, 6, 'Origineel Medicaid Referentie No.');
INSERT INTO `lang_definitions` VALUES (29776, 12211, 6, 'min');
INSERT INTO `lang_definitions` VALUES (29777, 12212, 6, 'niet gevonden!');
INSERT INTO `lang_definitions` VALUES (29778, 12213, 6, 'Onverwachte resultaten in bepaalde BROWSERS kunnen er de oorzaak van zijn dat de tekst in schokken op het scherm komt met lange pauzes, waardoor het lijkt of het programma vastgelopen is. Uiteindelijk komt het resultaat lijn voor lijn op het scherm.Er kunnen daarna sequentiele nummers getoond worden, dit is hoewel er niets lijkt te gebeuren er nog wel degelijk programma activiteit gaande is. Deze nummers worden getoond met tussenvoeging van stukjes opgemaakte rekeningen en dit alles is normaal.');
INSERT INTO `lang_definitions` VALUES (29779, 12214, 6, 'voorschrift heeft limiet bereikt van');
INSERT INTO `lang_definitions` VALUES (29780, 12215, 6, 'tot');
INSERT INTO `lang_definitions` VALUES (29781, 12216, 6, 'update mislukt, niet in DB?');
INSERT INTO `lang_definitions` VALUES (29782, 12217, 6, 'gemarkeerd als \"alleen factureren\"');
INSERT INTO `lang_definitions` VALUES (29783, 12218, 6, 'succesvol in wachtrij');
INSERT INTO `lang_definitions` VALUES (29784, 12219, 6, '! Vertrokken zonder bezoek Dr');
INSERT INTO `lang_definitions` VALUES (29785, 12220, 6, '\" voor code');
INSERT INTO `lang_definitions` VALUES (29786, 12221, 6, '\" is geCHECKED in POST CALENDER settings');
INSERT INTO `lang_definitions` VALUES (29787, 12222, 6, '# ins/fin probleem');
INSERT INTO `lang_definitions` VALUES (29788, 12223, 6, '# aantal tabletten');
INSERT INTO `lang_definitions` VALUES (29789, 12224, 6, 'NAF.');
INSERT INTO `lang_definitions` VALUES (29790, 12225, 6, '$ Gecodeerd');
INSERT INTO `lang_definitions` VALUES (29791, 12226, 6, '$label (jjjj-mm-dd)');
INSERT INTO `lang_definitions` VALUES (29792, 12227, 6, '%');
INSERT INTO `lang_definitions` VALUES (29793, 12228, 6, '% Geannuleerd < 24 uur');
INSERT INTO `lang_definitions` VALUES (29794, 12229, 6, '% Geannuleerd < 24 uur');
INSERT INTO `lang_definitions` VALUES (29795, 12230, 6, 'zou moeten bestaan maar bestaat niet');
INSERT INTO `lang_definitions` VALUES (29796, 12231, 6, '(% komt overeen met elke string _ komt overeen met elk teken)');
INSERT INTO `lang_definitions` VALUES (29797, 12232, 6, '([CTRL] + klik om meerdere ontvangers te selecteren)');
INSERT INTO `lang_definitions` VALUES (29798, 12233, 6, '(Terug)');
INSERT INTO `lang_definitions` VALUES (29799, 12234, 6, '(Klik om aan te passen)');
INSERT INTO `lang_definitions` VALUES (29800, 12235, 6, '(E-mail verzenden gebeurt meteen, terwijl geautomatiseerde VOIP wordt verzonden naar de Sevice provider in afwachting van verdere afhandeling)');
INSERT INTO `lang_definitions` VALUES (29801, 12236, 6, '(Meer)');
INSERT INTO `lang_definitions` VALUES (29802, 12237, 6, '(Nieuwe patient)');
INSERT INTO `lang_definitions` VALUES (29803, 12238, 6, '(Notities en Autorisaties)');
INSERT INTO `lang_definitions` VALUES (29804, 12239, 6, '(Patient Notitie)');
INSERT INTO `lang_definitions` VALUES (29805, 12240, 6, '(Selecteer een van deze of voer uw eigen titel in)');
INSERT INTO `lang_definitions` VALUES (29806, 12241, 6, '(Shift-)Klik of versleep om de waarde te wijzigen');
INSERT INTO `lang_definitions` VALUES (29807, 12242, 6, '* Reminder verstuurd');
INSERT INTO `lang_definitions` VALUES (29808, 12243, 6, '** Verplaats chirurgie naar problemen!');
INSERT INTO `lang_definitions` VALUES (29809, 12244, 6, '*Verplicht');
INSERT INTO `lang_definitions` VALUES (29810, 12245, 6, '+ Status opgezocht');
INSERT INTO `lang_definitions` VALUES (29811, 12246, 6, '+1');
INSERT INTO `lang_definitions` VALUES (29812, 12247, 6, '+2');
INSERT INTO `lang_definitions` VALUES (29813, 12248, 6, '+3');
INSERT INTO `lang_definitions` VALUES (29814, 12249, 6, '- Geen');
INSERT INTO `lang_definitions` VALUES (29815, 12250, 6, '- Niet gerapporteerd');
INSERT INTO `lang_definitions` VALUES (29816, 12251, 6, '-- Allemaal --');
INSERT INTO `lang_definitions` VALUES (29817, 12252, 6, '--Selecteer Rol--');
INSERT INTO `lang_definitions` VALUES (29818, 12253, 6, '.');
INSERT INTO `lang_definitions` VALUES (29819, 12254, 6, '0');
INSERT INTO `lang_definitions` VALUES (29820, 12255, 6, '0-10');
INSERT INTO `lang_definitions` VALUES (29821, 12256, 6, '0-24');
INSERT INTO `lang_definitions` VALUES (29822, 12257, 6, '02/12{{CMS 1500 formaat datum revisie setting in globals}}');
INSERT INTO `lang_definitions` VALUES (29823, 12258, 6, '08/12{{CMS 1500 formaat datum revisie setting in globals}}');
INSERT INTO `lang_definitions` VALUES (29824, 12259, 6, '1');
INSERT INTO `lang_definitions` VALUES (29825, 12260, 6, '1 - Noord Amerika. See http://www.wtng.info/ voor een lijst met ander Landen Codes');
INSERT INTO `lang_definitions` VALUES (29826, 12261, 6, 'Vanaf nu 1 dag');
INSERT INTO `lang_definitions` VALUES (29827, 12262, 6, 'Vanaf nu 1 maand');
INSERT INTO `lang_definitions` VALUES (29828, 12263, 6, 'Vanaf nu 1 week');
INSERT INTO `lang_definitions` VALUES (29829, 12264, 6, 'Vanaf nu 1 jaar');
INSERT INTO `lang_definitions` VALUES (29830, 12265, 6, '1. Rust houden 2. IJscompressen gedurende twee dagen 3. Compressie, laat verband zitten behalve bij gevoelloos- of bleekheid 4. Voet en been hoogleggen');
INSERT INTO `lang_definitions` VALUES (29831, 12266, 6, '11-14');
INSERT INTO `lang_definitions` VALUES (29832, 12267, 6, '12 uur');
INSERT INTO `lang_definitions` VALUES (29833, 12268, 6, '15-19');
INSERT INTO `lang_definitions` VALUES (29834, 12269, 6, '1mm');
INSERT INTO `lang_definitions` VALUES (29835, 12270, 6, '1ste');
INSERT INTO `lang_definitions` VALUES (29836, 12272, 6, '2');
INSERT INTO `lang_definitions` VALUES (29837, 12273, 6, 'Vanaf nu 2 dagen');
INSERT INTO `lang_definitions` VALUES (29838, 12274, 6, 'Vanaf nu 2 maanden');
INSERT INTO `lang_definitions` VALUES (29839, 12275, 6, 'Vanaf nu 2 weken');
INSERT INTO `lang_definitions` VALUES (29840, 12276, 6, 'Vanaf nu 2 jaar');
INSERT INTO `lang_definitions` VALUES (29841, 12277, 6, '2-20 jaar');
INSERT INTO `lang_definitions` VALUES (29842, 12278, 6, '20-24');
INSERT INTO `lang_definitions` VALUES (29843, 12279, 6, '2011 Automated Measure Calculations (AMC)');
INSERT INTO `lang_definitions` VALUES (29844, 12280, 6, '2011 Clinical Quality Measures (CQM)');
INSERT INTO `lang_definitions` VALUES (29845, 12281, 6, '2011 Official Clinical Quality Measures (CQM) Measure Groups');
INSERT INTO `lang_definitions` VALUES (29846, 12282, 6, '2014 Automated Measure Calculations (AMC)');
INSERT INTO `lang_definitions` VALUES (29847, 12283, 6, '2014 Geautomatiseerde meetberekeningen (AMC) - Stadium I');
INSERT INTO `lang_definitions` VALUES (29848, 12284, 6, '2014 Geautomatiseerde meetberekeningen (AMC) - Stadium II');
INSERT INTO `lang_definitions` VALUES (29849, 12285, 6, '2014 Clinical Quality Measures (CQM)');
INSERT INTO `lang_definitions` VALUES (29850, 12286, 6, '2014 Official Clinical Quality Measures (CQM) Measure Groups');
INSERT INTO `lang_definitions` VALUES (29851, 12287, 6, '2111-13');
INSERT INTO `lang_definitions` VALUES (29852, 12288, 6, '24 uur');
INSERT INTO `lang_definitions` VALUES (29853, 12289, 6, '25+');
INSERT INTO `lang_definitions` VALUES (29854, 12290, 6, '25-29');
INSERT INTO `lang_definitions` VALUES (29855, 12292, 6, '2mm');
INSERT INTO `lang_definitions` VALUES (29856, 12293, 6, '2e');
INSERT INTO `lang_definitions` VALUES (29857, 12296, 6, 'Vanaf nu 3 dagen');
INSERT INTO `lang_definitions` VALUES (29858, 12297, 6, '3 maanden');
INSERT INTO `lang_definitions` VALUES (29859, 12298, 6, 'Vanaf nu 3 manden');
INSERT INTO `lang_definitions` VALUES (29860, 12299, 6, '3 x daags');
INSERT INTO `lang_definitions` VALUES (29861, 12300, 6, 'Vanaf nu 3 weken');
INSERT INTO `lang_definitions` VALUES (29862, 12301, 6, '30-34');
INSERT INTO `lang_definitions` VALUES (29863, 12302, 6, '35-39');
INSERT INTO `lang_definitions` VALUES (29864, 12303, 6, '3mm');
INSERT INTO `lang_definitions` VALUES (29865, 12304, 6, '3e');
INSERT INTO `lang_definitions` VALUES (29866, 12307, 6, 'Vanaf nu 4 dagen');
INSERT INTO `lang_definitions` VALUES (29867, 12308, 6, '4 maanden');
INSERT INTO `lang_definitions` VALUES (29868, 12309, 6, 'Vanaf nu 4 maanden');
INSERT INTO `lang_definitions` VALUES (29869, 12310, 6, '4 x daags');
INSERT INTO `lang_definitions` VALUES (29870, 12311, 6, 'Vanaf nu 4 weken');
INSERT INTO `lang_definitions` VALUES (29871, 12312, 6, '40-44');
INSERT INTO `lang_definitions` VALUES (29872, 12313, 6, '45+');
INSERT INTO `lang_definitions` VALUES (29873, 12314, 6, '465.9, Bovenste luchtweg inf');
INSERT INTO `lang_definitions` VALUES (29874, 12315, 6, '466.0 Bronchitis, Acuut niet specifiek');
INSERT INTO `lang_definitions` VALUES (29875, 12316, 6, '486.0, Pneumonie, Acuut');
INSERT INTO `lang_definitions` VALUES (29876, 12317, 6, '491.21, COPD Exacerbatie');
INSERT INTO `lang_definitions` VALUES (29877, 12318, 6, '481.8 Bronchitis, Chronisch');
INSERT INTO `lang_definitions` VALUES (29878, 12319, 6, '483.92 Astma, Acute exacerbatie');
INSERT INTO `lang_definitions` VALUES (29879, 12320, 6, '496,0 COPD');
INSERT INTO `lang_definitions` VALUES (29880, 12322, 6, '4mm');
INSERT INTO `lang_definitions` VALUES (29881, 12323, 6, '4e');
INSERT INTO `lang_definitions` VALUES (29882, 12326, 6, 'Vanaf nu 5 dagen');
INSERT INTO `lang_definitions` VALUES (29883, 12327, 6, 'Vanaf nu 5 maanden');
INSERT INTO `lang_definitions` VALUES (29884, 12328, 6, 'vanaf nu 5 weken');
INSERT INTO `lang_definitions` VALUES (29885, 12329, 6, '519.7, Bronchospasme');
INSERT INTO `lang_definitions` VALUES (29886, 12330, 6, '5mm');
INSERT INTO `lang_definitions` VALUES (29887, 12331, 6, '5e');
INSERT INTO `lang_definitions` VALUES (29888, 12333, 6, 'Vanaf nu 6 dagen');
INSERT INTO `lang_definitions` VALUES (29889, 12334, 6, '6 maanden');
INSERT INTO `lang_definitions` VALUES (29890, 12335, 6, 'Vanaf nu 6 maanden');
INSERT INTO `lang_definitions` VALUES (29891, 12336, 6, 'Vanaf nu 6 weken');
INSERT INTO `lang_definitions` VALUES (29892, 12337, 6, '6e');
INSERT INTO `lang_definitions` VALUES (29893, 12339, 6, 'Vanaf nu 7 maanden');
INSERT INTO `lang_definitions` VALUES (29894, 12340, 6, 'Vanaf nu 8 maanden');
INSERT INTO `lang_definitions` VALUES (29895, 12341, 6, '8-12 tekens lang, inclusief minstens één hoofdletter, één kleine letter, één cijfer, één speciaal teken en geen gemeenschappelijke tekenreeksen');
INSERT INTO `lang_definitions` VALUES (29896, 12342, 6, '824.0 Fractuur, mediale malleolus, gesloten');
INSERT INTO `lang_definitions` VALUES (29897, 12343, 6, '824.2 Fractuur, laterale malleolus, gesloten');
INSERT INTO `lang_definitions` VALUES (29898, 12344, 6, '824.6 Fractuur, trimeleoliar, gesloten');
INSERT INTO `lang_definitions` VALUES (29899, 12345, 6, '825.32 Fractuur, os naviculare (enkel)');
INSERT INTO `lang_definitions` VALUES (29900, 12346, 6, '824.35 Fractuur, basis 5e metatarsale');
INSERT INTO `lang_definitions` VALUES (29901, 12347, 6, '845.00 Enkel verstuiking NS');
INSERT INTO `lang_definitions` VALUES (29902, 12348, 6, '845.01 Verstuiking mediale (Deltoideus) Lig.');
INSERT INTO `lang_definitions` VALUES (29903, 12349, 6, '845.02 Verstuiking, calcaneo-fibulare');
INSERT INTO `lang_definitions` VALUES (29904, 12350, 6, 'Vanaf nu 9 maanden');
INSERT INTO `lang_definitions` VALUES (29905, 12351, 6, '99212 Vastgesteld - ongecompliceerd');
INSERT INTO `lang_definitions` VALUES (29906, 12352, 6, '99213 Vastgesteld - lage complexiteit');
INSERT INTO `lang_definitions` VALUES (29907, 12353, 6, '< In onderzoekskamer');
INSERT INTO `lang_definitions` VALUES (29908, 12354, 6, '< Niet gerapporteerd');
INSERT INTO `lang_definitions` VALUES (29909, 12355, 6, '= al afgehandeld');
INSERT INTO `lang_definitions` VALUES (29910, 12356, 6, '> 3 HPI elementen');
INSERT INTO `lang_definitions` VALUES (29911, 12357, 6, '> Weggegaan');
INSERT INTO `lang_definitions` VALUES (29912, 12358, 6, '> Heeft niet plaats gevonden');
INSERT INTO `lang_definitions` VALUES (29913, 12359, 6, '?');
INSERT INTO `lang_definitions` VALUES (29914, 12360, 6, '? nog niet gezien');
INSERT INTO `lang_definitions` VALUES (29915, 12361, 6, '? Niet verschenen');
INSERT INTO `lang_definitions` VALUES (29916, 12362, 6, '@ Gearriveerd');
INSERT INTO `lang_definitions` VALUES (29917, 12363, 6, '@Afgehandeld');
INSERT INTO `lang_definitions` VALUES (29918, 12364, 6, '[Verander scherm]');
INSERT INTO `lang_definitions` VALUES (29919, 12365, 6, '[Datum laatste bezoek]');
INSERT INTO `lang_definitions` VALUES (29920, 12366, 6, '[Dgn sinds vorige bezoek]');
INSERT INTO `lang_definitions` VALUES (29921, 12367, 6, '[EOBs]');
INSERT INTO `lang_definitions` VALUES (29922, 12368, 6, '[Export OFX]');
INSERT INTO `lang_definitions` VALUES (29923, 12369, 6, '[niet aanbevolen]');
INSERT INTO `lang_definitions` VALUES (29924, 12370, 6, '[Aantal bezoeken]');
INSERT INTO `lang_definitions` VALUES (29925, 12371, 6, '[Verslagen]');
INSERT INTO `lang_definitions` VALUES (29926, 12372, 6, '[Selecteer alles]');
INSERT INTO `lang_definitions` VALUES (29927, 12373, 6, '[SQL Grootboek]');
INSERT INTO `lang_definitions` VALUES (29928, 12374, 6, '[Begin batch-verwerking]');
INSERT INTO `lang_definitions` VALUES (29929, 12375, 6, '[bekijk log]');
INSERT INTO `lang_definitions` VALUES (29930, 12376, 6, '[Bekijk voorbeeld]');
INSERT INTO `lang_definitions` VALUES (29931, 12377, 6, '^ In afwachting van');
INSERT INTO `lang_definitions` VALUES (29932, 12378, 6, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (29933, 12379, 6, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (29934, 12380, 6, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (29935, 12381, 6, '~ Te laat gekomen');
INSERT INTO `lang_definitions` VALUES (29936, 12382, 6, '~ Te laat gekomen');
INSERT INTO `lang_definitions` VALUES (29937, 1, 7, 'A');
INSERT INTO `lang_definitions` VALUES (29938, 2, 7, 'מספר המחאה או מספר תביעה לזיהוי התשלום');
INSERT INTO `lang_definitions` VALUES (29939, 4, 7, 'אישור לקוח עבור משתמש מנהל המערכת');
INSERT INTO `lang_definitions` VALUES (29940, 6, 7, 'מצורף מסמך קליני');
INSERT INTO `lang_definitions` VALUES (29941, 7, 7, 'מצורף מסמך קליני.');
INSERT INTO `lang_definitions` VALUES (29942, 8, 7, 'קוד מסוג זה כבר נבחר. מחק תחילה את השדה אם ברצונך להחליף אותו.');
INSERT INTO `lang_definitions` VALUES (29943, 13, 7, 'נדרש מפיץ');
INSERT INTO `lang_definitions` VALUES (29944, 17, 7, 'met diverse opties voor toegankelijkheid ');
INSERT INTO `lang_definitions` VALUES (29945, 20, 7, 'נדרש מספר מנה');
INSERT INTO `lang_definitions` VALUES (29946, 21, 7, 'נדרש מספר מנה!');
INSERT INTO `lang_definitions` VALUES (29947, 22, 7, 'אות קטנה');
INSERT INTO `lang_definitions` VALUES (29948, 28, 7, 'ספרה');
INSERT INTO `lang_definitions` VALUES (29949, 29, 7, 'יש לבחור מטופל כדי ליצור דוח זה');
INSERT INTO `lang_definitions` VALUES (29950, 30, 7, 'UB ');
INSERT INTO `lang_definitions` VALUES (29951, 31, 7, 'מטופל עם שם זה כבר קיים.');
INSERT INTO `lang_definitions` VALUES (29952, 32, 7, 'מטופל עם ביטוח לאומי זה כבר קיים.');
INSERT INTO `lang_definitions` VALUES (29953, 36, 7, 'מספר חיובי יראה מספר זה של פגישות קודמות ברכיב גרפי במסך סיכום המטופלים (מספר שלילי יראה את הפגישות הקודמות בסדר יורד)');
INSERT INTO `lang_definitions` VALUES (29954, 37, 7, 'מספר חיובי יראה מספר זה של פגישות קודמות ברכיב גרפי במסך סיכום המטופלים.');
INSERT INTO `lang_definitions` VALUES (29955, 43, 7, 'ניתן לציין מקור הפניה עבור כל ביקור.');
INSERT INTO `lang_definitions` VALUES (29956, 44, 7, 'נדרש קוד IPPF קשור!');
INSERT INTO `lang_definitions` VALUES (29957, 49, 7, 'תו מיוחד');
INSERT INTO `lang_definitions` VALUES (29958, 53, 7, 'ערך ייחודי לזיהוי שדה זה, לא גלוי למשתמש');
INSERT INTO `lang_definitions` VALUES (29959, 56, 7, 'כבר קיים ביקור עבור מטופל זה היום. לחץ על \'ביטול\' כדי לפתוח, או על \'אישור\' כדי להמשיך ביצירת חדש.');
INSERT INTO `lang_definitions` VALUES (29960, 57, 7, 'a.c.');
INSERT INTO `lang_definitions` VALUES (29961, 58, 7, 'a.m.');
INSERT INTO `lang_definitions` VALUES (29962, 60, 7, 'A/F Level Right:');
INSERT INTO `lang_definitions` VALUES (29963, 62, 7, 'AB');
INSERT INTO `lang_definitions` VALUES (29964, 63, 7, 'קיצור');
INSERT INTO `lang_definitions` VALUES (29965, 64, 7, 'מורסה:');
INSERT INTO `lang_definitions` VALUES (29966, 65, 7, 'בטני');
INSERT INTO `lang_definitions` VALUES (29967, 66, 7, 'יכולת נשיאת משקל, ארבעה (4) צעדים~שלבים:');
INSERT INTO `lang_definitions` VALUES (29968, 67, 7, 'Abn');
INSERT INTO `lang_definitions` VALUES (29969, 68, 7, 'ABN1');
INSERT INTO `lang_definitions` VALUES (29970, 70, 7, 'חריג');
INSERT INTO `lang_definitions` VALUES (29971, 71, 7, 'בדיקות דם חריגה');
INSERT INTO `lang_definitions` VALUES (29972, 72, 7, 'צמיחת שיער חריגה');
INSERT INTO `lang_definitions` VALUES (29973, 73, 7, 'ממוגרפיה חריגה');
INSERT INTO `lang_definitions` VALUES (29974, 74, 7, 'בטל');
INSERT INTO `lang_definitions` VALUES (29975, 75, 7, 'הפלה');
INSERT INTO `lang_definitions` VALUES (29976, 76, 7, 'בעיות בהפלה');
INSERT INTO `lang_definitions` VALUES (29977, 77, 7, 'שיטת הפלה');
INSERT INTO `lang_definitions` VALUES (29978, 78, 7, 'קטגוריות הקשורות להפלה');
INSERT INTO `lang_definitions` VALUES (29979, 79, 7, 'הפלות');
INSERT INTO `lang_definitions` VALUES (29980, 82, 7, 'אודות לוח השנה');
INSERT INTO `lang_definitions` VALUES (29981, 84, 7, 'מעל לגבול הפניקה המרבי');
INSERT INTO `lang_definitions` VALUES (29982, 85, 7, 'היעדר לפי אבחון');
INSERT INTO `lang_definitions` VALUES (29983, 87, 7, 'קבל הקצאה');
INSERT INTO `lang_definitions` VALUES (29984, 89, 7, 'קבל תשלום עבור');
INSERT INTO `lang_definitions` VALUES (29985, 90, 7, 'קבל תשלום עבור');
INSERT INTO `lang_definitions` VALUES (29986, 91, 7, 'מקבל הקצאה');
INSERT INTO `lang_definitions` VALUES (29987, 93, 7, 'הרשאות גישה');
INSERT INTO `lang_definitions` VALUES (29988, 94, 7, 'ניהול רשימת בקרת גישה');
INSERT INTO `lang_definitions` VALUES (29989, 98, 7, 'תאריך גישה');
INSERT INTO `lang_definitions` VALUES (29990, 102, 7, 'גישה לא מותרת');
INSERT INTO `lang_definitions` VALUES (29991, 103, 7, 'הגישה אינה מורשית');
INSERT INTO `lang_definitions` VALUES (29992, 105, 7, 'גש לפורטל המטופלים שלך');
INSERT INTO `lang_definitions` VALUES (29993, 106, 7, 'תאונה');
INSERT INTO `lang_definitions` VALUES (29994, 109, 7, 'מזהה חשבון המונפק עבור שירות NewCrop eRx, משמש להפרדה בין חשבונות במקרה של ריבוי מתקנים.');
INSERT INTO `lang_definitions` VALUES (29995, 113, 7, 'שם חשבון');
INSERT INTO `lang_definitions` VALUES (29996, 114, 7, 'שם חשבון שהונפק עבור שירות NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (29997, 115, 7, 'סיסמת חשבון שהונפקה עבור שירות NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (29998, 117, 7, 'חשבונאות');
INSERT INTO `lang_definitions` VALUES (29999, 120, 7, 'חשבון');
INSERT INTO `lang_definitions` VALUES (30000, 122, 7, 'כאבים');
INSERT INTO `lang_definitions` VALUES (30001, 124, 7, 'הודעת אישור מבוקשת (ISA14)');
INSERT INTO `lang_definitions` VALUES (30002, 125, 7, 'הודעות אישור, רישוי ואישור');
INSERT INTO `lang_definitions` VALUES (30003, 126, 7, 'ACL');
INSERT INTO `lang_definitions` VALUES (30004, 127, 7, 'ניהול ACL');
INSERT INTO `lang_definitions` VALUES (30005, 129, 7, 'אין הרשאה לניהול ACL');
INSERT INTO `lang_definitions` VALUES (30006, 132, 7, 'ACL עודכן בהצלחה');
INSERT INTO `lang_definitions` VALUES (30007, 133, 7, 'אקנה');
INSERT INTO `lang_definitions` VALUES (30008, 136, 7, 'פעולה');
INSERT INTO `lang_definitions` VALUES (30009, 137, 7, 'תאריך פעולה');
INSERT INTO `lang_definitions` VALUES (30010, 138, 7, 'פעולה');
INSERT INTO `lang_definitions` VALUES (30011, 142, 7, 'פעולות');
INSERT INTO `lang_definitions` VALUES (30012, 143, 7, 'הפעל');
INSERT INTO `lang_definitions` VALUES (30013, 144, 7, 'הפעל דיווח CCR/CCD');
INSERT INTO `lang_definitions` VALUES (30014, 148, 7, 'פעיל');
INSERT INTO `lang_definitions` VALUES (30015, 150, 7, 'התראה פעילה');
INSERT INTO `lang_definitions` VALUES (30016, 152, 7, 'כללי התראה פעילה');
INSERT INTO `lang_definitions` VALUES (30017, 153, 7, 'התראות/תזכורות פעילות');
INSERT INTO `lang_definitions` VALUES (30018, 158, 7, 'מפגש פעיל');
INSERT INTO `lang_definitions` VALUES (30019, 159, 7, 'קודי אבחנה פעילים');
INSERT INTO `lang_definitions` VALUES (30020, 160, 7, 'רשימות פעילות');
INSERT INTO `lang_definitions` VALUES (30021, 162, 7, 'מטופל פעיל');
INSERT INTO `lang_definitions` VALUES (30022, 163, 7, 'תוכניות פעילות');
INSERT INTO `lang_definitions` VALUES (30023, 173, 7, 'פעילות');
INSERT INTO `lang_definitions` VALUES (30024, 174, 7, 'סוג פעילות');
INSERT INTO `lang_definitions` VALUES (30025, 175, 7, 'קבלות בפועל');
INSERT INTO `lang_definitions` VALUES (30026, 185, 7, 'השתכרות/נסיגה אקוטית');
INSERT INTO `lang_definitions` VALUES (30027, 186, 7, 'ביטוי אקוטי של מצב כרוני');
INSERT INTO `lang_definitions` VALUES (30028, 187, 7, 'אקוטי על כרוני');
INSERT INTO `lang_definitions` VALUES (30029, 189, 7, 'הוסף');
INSERT INTO `lang_definitions` VALUES (30030, 190, 7, 'הוסף');
INSERT INTO `lang_definitions` VALUES (30031, 191, 7, 'הוסף');
INSERT INTO `lang_definitions` VALUES (30032, 192, 7, 'הוסף חברה');
INSERT INTO `lang_definitions` VALUES (30033, 193, 7, 'הוסף תנאי');
INSERT INTO `lang_definitions` VALUES (30034, 197, 7, 'הוסף בית מרקחת');
INSERT INTO `lang_definitions` VALUES (30035, 199, 7, 'הוסף כללים לתוכנית');
INSERT INTO `lang_definitions` VALUES (30036, 200, 7, 'הוסף אירוע עבור');
INSERT INTO `lang_definitions` VALUES (30037, 202, 7, 'הוסף הערה חדשה');
INSERT INTO `lang_definitions` VALUES (30038, 203, 7, 'הוסף כחדש');
INSERT INTO `lang_definitions` VALUES (30039, 204, 7, 'הוסף כמטופל חדש');
INSERT INTO `lang_definitions` VALUES (30040, 206, 7, 'הוסף לחצנים');
INSERT INTO `lang_definitions` VALUES (30041, 207, 7, 'הוסף לחצנים עבור תווים מיוחדים, טקסט להצגה מעל העורך לכלילה בטקסט בלחיצה');
INSERT INTO `lang_definitions` VALUES (30042, 208, 7, 'הוסף קטגוריה');
INSERT INTO `lang_definitions` VALUES (30043, 209, 7, 'הוסף קבוע');
INSERT INTO `lang_definitions` VALUES (30044, 210, 7, 'הוסף הקשר');
INSERT INTO `lang_definitions` VALUES (30045, 211, 7, 'הוסף השתתפות עצמית');
INSERT INTO `lang_definitions` VALUES (30046, 212, 7, 'הוסף קריטריונים');
INSERT INTO `lang_definitions` VALUES (30047, 213, 7, 'הוסף לחצן בהתאמה אישית');
INSERT INTO `lang_definitions` VALUES (30048, 216, 7, 'הוסף אבחון');
INSERT INTO `lang_definitions` VALUES (30049, 217, 7, 'הוסף תרופה');
INSERT INTO `lang_definitions` VALUES (30050, 220, 7, 'הוסף מפגש');
INSERT INTO `lang_definitions` VALUES (30051, 221, 7, 'הוסף מפגש/הערות');
INSERT INTO `lang_definitions` VALUES (30052, 222, 7, 'הוסף מרפאה');
INSERT INTO `lang_definitions` VALUES (30053, 223, 7, 'הוסף שדה');
INSERT INTO `lang_definitions` VALUES (30054, 224, 7, 'הוסף את השורות הבאות לקובץ התצורה של Apache');
INSERT INTO `lang_definitions` VALUES (30055, 225, 7, 'הוסף קבוצה');
INSERT INTO `lang_definitions` VALUES (30056, 227, 7, 'הוסף קוד ICD');
INSERT INTO `lang_definitions` VALUES (30057, 228, 7, 'הוסף חיסון');
INSERT INTO `lang_definitions` VALUES (30058, 229, 7, 'אין הרשאה להוספה!');
INSERT INTO `lang_definitions` VALUES (30059, 230, 7, 'הוסף בעיה');
INSERT INTO `lang_definitions` VALUES (30060, 231, 7, 'הוסף פריט למעקב');
INSERT INTO `lang_definitions` VALUES (30061, 232, 7, 'הוסף שפה');
INSERT INTO `lang_definitions` VALUES (30062, 238, 7, 'הוסף חדש');
INSERT INTO `lang_definitions` VALUES (30063, 239, 7, 'הוסף חדש');
INSERT INTO `lang_definitions` VALUES (30064, 240, 7, 'הוסף קטגוריה חדשה:');
INSERT INTO `lang_definitions` VALUES (30065, 241, 7, 'הוסף אישורים חדשים לקובץ התצורה של Apache');
INSERT INTO `lang_definitions` VALUES (30066, 242, 7, 'הוסף רכיב חדש');
INSERT INTO `lang_definitions` VALUES (30067, 243, 7, 'הוסף רכיבים חדשים');
INSERT INTO `lang_definitions` VALUES (30068, 249, 7, 'הוסף קבוצה חדשה');
INSERT INTO `lang_definitions` VALUES (30069, 250, 7, 'הוסף קבוצה חדשה');
INSERT INTO `lang_definitions` VALUES (30070, 251, 7, 'הוסף מנה חדשה וטרנזקציה');
INSERT INTO `lang_definitions` VALUES (30071, 253, 7, 'הוסף הערה חדשה');
INSERT INTO `lang_definitions` VALUES (30072, 254, 7, 'הוסף הערה חדשה');
INSERT INTO `lang_definitions` VALUES (30073, 255, 7, 'הוסף שותף חדש');
INSERT INTO `lang_definitions` VALUES (30074, 256, 7, 'הוסף מטופל חדש');
INSERT INTO `lang_definitions` VALUES (30075, 257, 7, 'הוסף תוכנית חדשה');
INSERT INTO `lang_definitions` VALUES (30076, 264, 7, 'הוסף הערה');
INSERT INTO `lang_definitions` VALUES (30077, 268, 7, 'הוסף תיק מטופל');
INSERT INTO `lang_definitions` VALUES (30078, 269, 7, 'הוסף מרשם');
INSERT INTO `lang_definitions` VALUES (30079, 270, 7, 'הוסף הליך');
INSERT INTO `lang_definitions` VALUES (30080, 271, 7, 'הוסף מספר ספק');
INSERT INTO `lang_definitions` VALUES (30081, 273, 7, 'הוסף שיקום');
INSERT INTO `lang_definitions` VALUES (30082, 274, 7, 'הוסף כלל');
INSERT INTO `lang_definitions` VALUES (30083, 277, 7, 'הוסף ל:');
INSERT INTO `lang_definitions` VALUES (30084, 281, 7, 'הוסף לרשימת תרופות');
INSERT INTO `lang_definitions` VALUES (30085, 282, 7, 'הוסף רמה עליונה');
INSERT INTO `lang_definitions` VALUES (30086, 283, 7, 'הוסף טרנזקציה');
INSERT INTO `lang_definitions` VALUES (30087, 284, 7, 'הוסף משתמש');
INSERT INTO `lang_definitions` VALUES (30088, 285, 7, 'הוסף משתמש לקבוצה');
INSERT INTO `lang_definitions` VALUES (30089, 287, 7, 'הוסף/ערוך eRx');
INSERT INTO `lang_definitions` VALUES (30090, 289, 7, 'הוסף/ערוך פנייה של מטופל');
INSERT INTO `lang_definitions` VALUES (30091, 290, 7, 'נוסף');
INSERT INTO `lang_definitions` VALUES (30092, 293, 7, 'אין הרשאה להוספת דמוגרפיה.');
INSERT INTO `lang_definitions` VALUES (30093, 294, 7, 'הוספת פריט למעקב נכשלה');
INSERT INTO `lang_definitions` VALUES (30094, 295, 7, 'תסמונת אדיסון');
INSERT INTO `lang_definitions` VALUES (30095, 296, 7, 'תסמונת אדיסון');
INSERT INTO `lang_definitions` VALUES (30096, 297, 7, 'תכונות נוספות');
INSERT INTO `lang_definitions` VALUES (30097, 300, 7, 'אבחון נוסף:');
INSERT INTO `lang_definitions` VALUES (30098, 305, 7, 'היסטוריה נוספת');
INSERT INTO `lang_definitions` VALUES (30099, 306, 7, 'הערות היסטוריה נוספות');
INSERT INTO `lang_definitions` VALUES (30100, 307, 7, 'מידע נוסף');
INSERT INTO `lang_definitions` VALUES (30101, 310, 7, 'מעבדות נוספות');
INSERT INTO `lang_definitions` VALUES (30102, 311, 7, 'הערות נוספות');
INSERT INTO `lang_definitions` VALUES (30103, 313, 7, 'הערות נוספות עבור תוצאה או המלצה זו');
INSERT INTO `lang_definitions` VALUES (30104, 314, 7, 'הערות נוספות:');
INSERT INTO `lang_definitions` VALUES (30105, 315, 7, 'הערות נוספות:');
INSERT INTO `lang_definitions` VALUES (30106, 317, 7, 'הערות רנטגן נוספות:');
INSERT INTO `lang_definitions` VALUES (30107, 318, 7, 'כמו כן, ניתן לייבא את חבילת ההרחבה התואמת של US Snomed בנפרד לאחר התקנת המהדורה הבינלאומית של Snomed (הגרסה באנגלית).');
INSERT INTO `lang_definitions` VALUES (30108, 320, 7, 'הוספה בלבד');
INSERT INTO `lang_definitions` VALUES (30109, 322, 7, 'פנקס כת\'');
INSERT INTO `lang_definitions` VALUES (30110, 323, 7, 'פנקס כתובות');
INSERT INTO `lang_definitions` VALUES (30111, 324, 7, 'כתובת');
INSERT INTO `lang_definitions` VALUES (30112, 325, 7, 'כתובת ומיקוד');
INSERT INTO `lang_definitions` VALUES (30113, 326, 7, 'כתובת ומחוז');
INSERT INTO `lang_definitions` VALUES (30114, 327, 7, 'פנקס כתובות');
INSERT INTO `lang_definitions` VALUES (30115, 328, 7, 'רשומה בפנקס כתובות עבור החברה המבצעת הליך זה');
INSERT INTO `lang_definitions` VALUES (30116, 329, 7, 'רשומה בפנקס כתובות עבור המפיץ');
INSERT INTO `lang_definitions` VALUES (30117, 330, 7, 'רשומה בפנקס כתובות עבור הספק');
INSERT INTO `lang_definitions` VALUES (30118, 331, 7, 'סוגי פנקס כתובות');
INSERT INTO `lang_definitions` VALUES (30119, 332, 7, 'תווית פנקס כתובות');
INSERT INTO `lang_definitions` VALUES (30120, 333, 7, 'תוויות פנקס כתובות');
INSERT INTO `lang_definitions` VALUES (30121, 336, 7, 'כתובת בלבד');
INSERT INTO `lang_definitions` VALUES (30122, 338, 7, 'כתובת, מחוז ומיקוד');
INSERT INTO `lang_definitions` VALUES (30123, 339, 7, 'Address1');
INSERT INTO `lang_definitions` VALUES (30124, 340, 7, 'Address2');
INSERT INTO `lang_definitions` VALUES (30125, 342, 7, 'נמען');
INSERT INTO `lang_definitions` VALUES (30126, 345, 7, 'התאמה');
INSERT INTO `lang_definitions` VALUES (30127, 346, 7, 'סכום~כמות התאמה');
INSERT INTO `lang_definitions` VALUES (30128, 347, 7, 'התאם');
INSERT INTO `lang_definitions` VALUES (30129, 348, 7, 'התאמה');
INSERT INTO `lang_definitions` VALUES (30130, 349, 7, 'סכום התאמה');
INSERT INTO `lang_definitions` VALUES (30131, 350, 7, 'סיבות להתאמה');
INSERT INTO `lang_definitions` VALUES (30132, 352, 7, 'ערך התאמה עבור קוד');
INSERT INTO `lang_definitions` VALUES (30133, 353, 7, 'התאמות');
INSERT INTO `lang_definitions` VALUES (30134, 354, 7, 'התאמת מנהל מערכת');
INSERT INTO `lang_definitions` VALUES (30135, 355, 7, 'מנהל מערכת');
INSERT INTO `lang_definitions` VALUES (30136, 356, 7, 'כתובת דוא\"ל של מנהל מערכת');
INSERT INTO `lang_definitions` VALUES (30137, 357, 7, 'ניתן~מנוהל דרך');
INSERT INTO `lang_definitions` VALUES (30138, 359, 7, 'ניתן~מנוהל');
INSERT INTO `lang_definitions` VALUES (30139, 360, 7, 'ניתן~מנוהל על-ידי');
INSERT INTO `lang_definitions` VALUES (30140, 361, 7, 'תאריך נתינה~ניהול');
INSERT INTO `lang_definitions` VALUES (30141, 362, 7, 'אתר נתינה~ניהול');
INSERT INTO `lang_definitions` VALUES (30142, 363, 7, 'ניהול');
INSERT INTO `lang_definitions` VALUES (30143, 365, 7, 'אתר ניהול');
INSERT INTO `lang_definitions` VALUES (30144, 366, 7, 'מנהלי מערכת');
INSERT INTO `lang_definitions` VALUES (30145, 367, 7, 'מנהלי מערכת יכולים לעשות כל דבר');
INSERT INTO `lang_definitions` VALUES (30146, 368, 7, 'תאריך קליטה');
INSERT INTO `lang_definitions` VALUES (30147, 370, 7, 'ילד מאומץ');
INSERT INTO `lang_definitions` VALUES (30148, 371, 7, 'סינון משקל והמשך טיפול');
INSERT INTO `lang_definitions` VALUES (30149, 372, 7, 'סינון משקל והמשך טיפול (CQM)');
INSERT INTO `lang_definitions` VALUES (30150, 373, 7, 'הנחיה מוקדמת~מתקדמת');
INSERT INTO `lang_definitions` VALUES (30151, 374, 7, 'הנחיות מוקדמות~מתקדמות');
INSERT INTO `lang_definitions` VALUES (30152, 375, 7, 'אזהרת הנחיות מוקדמות~מתקדמות');
INSERT INTO `lang_definitions` VALUES (30153, 376, 7, 'אפשרויות מתקדמות');
INSERT INTO `lang_definitions` VALUES (30154, 377, 7, 'מתקדם');
INSERT INTO `lang_definitions` VALUES (30155, 380, 7, 'ייעוץ');
INSERT INTO `lang_definitions` VALUES (30156, 381, 7, 'רחוק');
INSERT INTO `lang_definitions` VALUES (30157, 382, 7, 'השפעה רגילה');
INSERT INTO `lang_definitions` VALUES (30158, 383, 7, 'אפריקאנס');
INSERT INTO `lang_definitions` VALUES (30159, 386, 7, 'שיחות לאחר שעות עבודה');
INSERT INTO `lang_definitions` VALUES (30160, 387, 7, 'לאחר המעבר ממנגנוני הסיסמה הישנים, שבהם הסיסמאות מאוחסנות בטבלת המשתמשים ללא השלמת Salt, דגל זה אמור לקבל הגדרה כ-false כך שיתאפשרו אימותים בשיטה החדשה בלבד.');
INSERT INTO `lang_definitions` VALUES (30161, 388, 7, 'לאחר ביצוע קביעות התצורה שלעיל, יש לייבא את אישור הלקוח של מנהל מערכת לדפדפן ולהפעיל מחדש את שרת Apache (סיסמה ריקה).');
INSERT INTO `lang_definitions` VALUES (30162, 390, 7, 'לאחר שמירת ה-PDF, לחץ על [הצג יומן] כדי לחפש שגיאות.');
INSERT INTO `lang_definitions` VALUES (30163, 393, 7, 'לאחר שמירת קובצי הטקסט, לחץ על [הצג יומן] כדי לחפש שגיאות.');
INSERT INTO `lang_definitions` VALUES (30164, 396, 7, 'לאחר שמירת האצווה, לחץ על [הצג יומן] כדי לחפש שגיאות.');
INSERT INTO `lang_definitions` VALUES (30165, 398, 7, 'לאחר מכן, העמודה \'התאמה\' תציג את מזהה המטופל הנבחר, או 0 כדי ליצור.');
INSERT INTO `lang_definitions` VALUES (30166, 399, 7, 'לאחר הזנת הפרטים הנכונים, לחץ על הלחצן \'שמור\'.');
INSERT INTO `lang_definitions` VALUES (30167, 400, 7, 'לאחר ההעלאה, לחץ על הלחצן \'ייבוא\'');
INSERT INTO `lang_definitions` VALUES (30168, 404, 7, 'תכנון לאחר טיפול');
INSERT INTO `lang_definitions` VALUES (30169, 406, 7, 'שוב');
INSERT INTO `lang_definitions` VALUES (30170, 407, 7, 'גיל');
INSERT INTO `lang_definitions` VALUES (30171, 409, 7, 'גיל לפי');
INSERT INTO `lang_definitions` VALUES (30172, 410, 7, 'קטגוריית גיל');
INSERT INTO `lang_definitions` VALUES (30173, 411, 7, 'נתוני הגיל חורגים מהטווח.');
INSERT INTO `lang_definitions` VALUES (30174, 412, 7, 'תבנית תצוגת גיל');
INSERT INTO `lang_definitions` VALUES (30175, 413, 7, 'תבנית גיל עבור \"מגיל\" אינה חוקית');
INSERT INTO `lang_definitions` VALUES (30176, 414, 7, 'תבנית גיל עבור \"עד גיל\" אינה חוקית');
INSERT INTO `lang_definitions` VALUES (30177, 415, 7, 'מגיל');
INSERT INTO `lang_definitions` VALUES (30178, 416, 7, 'שינוי תבנית להצגת גיל בשנים');
INSERT INTO `lang_definitions` VALUES (30179, 417, 7, 'מקסימום גיל');
INSERT INTO `lang_definitions` VALUES (30180, 418, 7, 'מינימום גיל');
INSERT INTO `lang_definitions` VALUES (30181, 419, 7, 'טווח גילאים');
INSERT INTO `lang_definitions` VALUES (30182, 420, 7, 'עמודות גיול');
INSERT INTO `lang_definitions` VALUES (30183, 421, 7, 'עמודות גיול:');
INSERT INTO `lang_definitions` VALUES (30184, 422, 7, 'אקאן');
INSERT INTO `lang_definitions` VALUES (30185, 423, 7, 'אלבנית');
INSERT INTO `lang_definitions` VALUES (30186, 424, 7, 'אלכוהול');
INSERT INTO `lang_definitions` VALUES (30187, 425, 7, 'צריכת אלכוהול');
INSERT INTO `lang_definitions` VALUES (30188, 426, 7, 'שימוש באלכוהול');
INSERT INTO `lang_definitions` VALUES (30189, 428, 7, 'ספירת התראות');
INSERT INTO `lang_definitions` VALUES (30190, 434, 7, 'זמן התראה');
INSERT INTO `lang_definitions` VALUES (30191, 435, 7, 'התראות');
INSERT INTO `lang_definitions` VALUES (30192, 436, 7, 'יומן התראות');
INSERT INTO `lang_definitions` VALUES (30193, 437, 7, 'התראות/תזכורות');
INSERT INTO `lang_definitions` VALUES (30194, 439, 7, 'אלאוט');
INSERT INTO `lang_definitions` VALUES (30195, 440, 7, 'הכול');
INSERT INTO `lang_definitions` VALUES (30196, 441, 7, 'הכול');
INSERT INTO `lang_definitions` VALUES (30197, 443, 7, 'הכול (תבנית איסוף A)');
INSERT INTO `lang_definitions` VALUES (30198, 444, 7, 'הכול (תבנית איסוף B)');
INSERT INTO `lang_definitions` VALUES (30199, 445, 7, 'הכול (מצטבר)');
INSERT INTO `lang_definitions` VALUES (30200, 446, 7, 'כל ההתראות');
INSERT INTO `lang_definitions` VALUES (30201, 447, 7, 'כל חישובי המדידות האוטומטיות (AMC)');
INSERT INTO `lang_definitions` VALUES (30202, 448, 7, 'כל הקטגוריות');
INSERT INTO `lang_definitions` VALUES (30203, 449, 7, 'כל מדידות האיכות הקליניות (CQM)');
INSERT INTO `lang_definitions` VALUES (30204, 450, 7, 'כל הקודים');
INSERT INTO `lang_definitions` VALUES (30205, 453, 7, 'כל היום');
INSERT INTO `lang_definitions` VALUES (30206, 454, 7, 'אירוע של כל היום');
INSERT INTO `lang_definitions` VALUES (30207, 455, 7, 'כל שדות הדמוגרפיה, עם חיפוש ובדיקת כפילויות');
INSERT INTO `lang_definitions` VALUES (30208, 457, 7, 'כל המרפאות');
INSERT INTO `lang_definitions` VALUES (30209, 458, 7, 'כל הפציעות/הבעיות/הנושאים');
INSERT INTO `lang_definitions` VALUES (30210, 459, 7, 'כל השפות מותרות');
INSERT INTO `lang_definitions` VALUES (30211, 461, 7, 'כל קבוצות המדידה הרשמית של מדידות האיכות הקליניות (CQM)');
INSERT INTO `lang_definitions` VALUES (30212, 462, 7, 'השם הפרטי המלא או החלקי');
INSERT INTO `lang_definitions` VALUES (30213, 463, 7, 'שם המשפחה המלא או החלקי');
INSERT INTO `lang_definitions` VALUES (30214, 464, 7, 'הארגון המלא או החלקי');
INSERT INTO `lang_definitions` VALUES (30215, 466, 7, 'כל המטופלים');
INSERT INTO `lang_definitions` VALUES (30216, 468, 7, 'כל המוצרים');
INSERT INTO `lang_definitions` VALUES (30217, 469, 7, 'כל המשתמשים');
INSERT INTO `lang_definitions` VALUES (30218, 470, 7, 'כל הפריטים הנסקרים והשליליים:');
INSERT INTO `lang_definitions` VALUES (30219, 475, 7, 'כל הנושאים');
INSERT INTO `lang_definitions` VALUES (30220, 478, 7, 'כל המשתמשים');
INSERT INTO `lang_definitions` VALUES (30221, 479, 7, 'אלרגי');
INSERT INTO `lang_definitions` VALUES (30222, 481, 7, 'רגישויות');
INSERT INTO `lang_definitions` VALUES (30223, 484, 7, 'רגישויות:');
INSERT INTO `lang_definitions` VALUES (30224, 485, 7, 'רגישות');
INSERT INTO `lang_definitions` VALUES (30225, 486, 7, 'ייבוא רגישויות הושלם בהצלחה');
INSERT INTO `lang_definitions` VALUES (30226, 487, 7, 'רשימת רגישויות');
INSERT INTO `lang_definitions` VALUES (30227, 488, 7, 'תגובה לרגישויות');
INSERT INTO `lang_definitions` VALUES (30228, 489, 7, 'אזהרת רגישויות');
INSERT INTO `lang_definitions` VALUES (30229, 490, 7, 'אזהרת רגישויות');
INSERT INTO `lang_definitions` VALUES (30230, 491, 7, 'הקצה');
INSERT INTO `lang_definitions` VALUES (30231, 492, 7, 'אפשר');
INSERT INTO `lang_definitions` VALUES (30232, 494, 7, 'אפשר לבחור בכל השפות הזמינות בתפריט בעת הכניסה למערכת.');
INSERT INTO `lang_definitions` VALUES (30233, 496, 7, 'אפשר יצירת תביעות המכילות אבחונים אך לא הליכים או חיובים. רוב המרפאות לא מעוניינות בכך.');
INSERT INTO `lang_definitions` VALUES (30234, 497, 7, 'הוסף שפת איתור באגים');
INSERT INTO `lang_definitions` VALUES (30235, 500, 7, 'אפשר דוא\"ל');
INSERT INTO `lang_definitions` VALUES (30236, 501, 7, 'האם לאפשר הודעות דואר אלקטרוני?');
INSERT INTO `lang_definitions` VALUES (30237, 502, 7, 'האם לאפשר דוא\"ל?');
INSERT INTO `lang_definitions` VALUES (30238, 503, 7, 'אפשר תביעות מפגש');
INSERT INTO `lang_definitions` VALUES (30239, 506, 7, 'אפשר החלפת מידע רפואי');
INSERT INTO `lang_definitions` VALUES (30240, 508, 7, 'אפשר שיתוף פרטי חיסון');
INSERT INTO `lang_definitions` VALUES (30241, 509, 7, 'אפשר שימוש במרשם החיסונים');
INSERT INTO `lang_definitions` VALUES (30242, 512, 7, 'אפשר הודעות בדואר');
INSERT INTO `lang_definitions` VALUES (30243, 531, 7, 'אפשר ללוח זרימת מטופל לבחור מטופלים לבדיקת סמים.');
INSERT INTO `lang_definitions` VALUES (30244, 533, 7, 'אפשר פורטל מטופלים');
INSERT INTO `lang_definitions` VALUES (30245, 541, 7, 'אפשר SMS');
INSERT INTO `lang_definitions` VALUES (30246, 542, 7, 'האם לאפשר SMS (הודעות טקסט)?');
INSERT INTO `lang_definitions` VALUES (30247, 544, 7, 'האם לאפשר הפעלה מיידית של אירועים שנשלחו?');
INSERT INTO `lang_definitions` VALUES (30248, 545, 7, 'האם לאפשר הודעות בטלפון?');
INSERT INTO `lang_definitions` VALUES (30249, 547, 7, 'אפשר למשתמשים לפרסם אירועים גלובליים');
INSERT INTO `lang_definitions` VALUES (30250, 548, 7, 'אפשר למשתמשים לפרסם לוחות שנה אישיים');
INSERT INTO `lang_definitions` VALUES (30251, 554, 7, 'אפשר הודעה קולית');
INSERT INTO `lang_definitions` VALUES (30252, 555, 7, 'מותר');
INSERT INTO `lang_definitions` VALUES (30253, 556, 7, 'שפות מותרות');
INSERT INTO `lang_definitions` VALUES (30254, 558, 7, 'מותר(c)');
INSERT INTO `lang_definitions` VALUES (30255, 559, 7, 'מאפשר חתימה אלקטרונית על המפגש כולו');
INSERT INTO `lang_definitions` VALUES (30256, 560, 7, 'מאפשר חתימה אלקטרונית על טפסים פרטניים');
INSERT INTO `lang_definitions` VALUES (30257, 561, 7, 'מאפשר דואר');
INSERT INTO `lang_definitions` VALUES (30258, 562, 7, 'מאפשר הודעות קוליות');
INSERT INTO `lang_definitions` VALUES (30259, 566, 7, 'כבר קיים');
INSERT INTO `lang_definitions` VALUES (30260, 568, 7, 'כבר קיים.');
INSERT INTO `lang_definitions` VALUES (30261, 570, 7, 'כבר בשימוש, בחר מזהה אחר');
INSERT INTO `lang_definitions` VALUES (30262, 571, 7, 'כבר בשימוש, בחר כותרת אחרת~תואר אחר');
INSERT INTO `lang_definitions` VALUES (30263, 573, 7, 'כתובת משנית');
INSERT INTO `lang_definitions` VALUES (30264, 577, 7, 'חלופי');
INSERT INTO `lang_definitions` VALUES (30265, 584, 7, 'לחלופין, תוכל להשתמש בדף החיפוש כדי להעלות קובץ העברת כספים אלקטרונית (X12 835) שקיבלת מהמשלם או מהמסלקה.  לשם כך, תוכל ללחוץ על הלחצן \'עיון\' ולבחור את הקובץ להעלאה, ולאחר מכן לחץ על \'חיפוש\' כדי לבצע את ההעלאה ולהציג את החשבוניות התואמות.  במקרה כזה, שאר הפרמטרים המוזכרים לעיל לא יחולו, והמערכת תתעלם מהם.  ההעלאה שומרת את הקובץ, אך עדיין לא מעבדת את התוכן שלו - פעולה זאת נעשית בנפרד כמתואר להלן.');
INSERT INTO `lang_definitions` VALUES (30266, 586, 7, 'AM');
INSERT INTO `lang_definitions` VALUES (30267, 587, 7, 'תוכנית AM');
INSERT INTO `lang_definitions` VALUES (30268, 592, 7, 'AMC');
INSERT INTO `lang_definitions` VALUES (30269, 593, 7, 'מעקב AMC');
INSERT INTO `lang_definitions` VALUES (30270, 594, 7, 'AMC-2011');
INSERT INTO `lang_definitions` VALUES (30271, 595, 7, 'AMC-2014');
INSERT INTO `lang_definitions` VALUES (30272, 596, 7, 'AMC-2014 שלב I');
INSERT INTO `lang_definitions` VALUES (30273, 597, 7, 'AMC-2014 שלב II');
INSERT INTO `lang_definitions` VALUES (30274, 600, 7, 'תקן הערה קיימת');
INSERT INTO `lang_definitions` VALUES (30275, 602, 7, 'תוקן מ:');
INSERT INTO `lang_definitions` VALUES (30276, 604, 7, 'מצב מתוקן');
INSERT INTO `lang_definitions` VALUES (30277, 605, 7, 'תיקונים');
INSERT INTO `lang_definitions` VALUES (30278, 609, 7, 'תיקונים עבור');
INSERT INTO `lang_definitions` VALUES (30279, 610, 7, 'יליד אמריקאי');
INSERT INTO `lang_definitions` VALUES (30280, 611, 7, 'יליד אמריקאי או של אלסקה');
INSERT INTO `lang_definitions` VALUES (30281, 612, 7, 'AMEX');
INSERT INTO `lang_definitions` VALUES (30282, 613, 7, 'אמהרית');
INSERT INTO `lang_definitions` VALUES (30283, 614, 7, 'סכום');
INSERT INTO `lang_definitions` VALUES (30284, 615, 7, 'כמות שניתנה');
INSERT INTO `lang_definitions` VALUES (30285, 617, 7, 'חיובי סכום~סכום חיובים');
INSERT INTO `lang_definitions` VALUES (30286, 620, 7, 'סכום עבור יתרה קודמת');
INSERT INTO `lang_definitions` VALUES (30287, 621, 7, 'סכום עבור ביקור זה');
INSERT INTO `lang_definitions` VALUES (30288, 622, 7, 'סכום ששולם');
INSERT INTO `lang_definitions` VALUES (30289, 623, 7, 'סכום:');
INSERT INTO `lang_definitions` VALUES (30290, 626, 7, 'סכום שחויב בחשבון');
INSERT INTO `lang_definitions` VALUES (30291, 630, 7, 'לאירועים חוזרים דרוש תאריך סיום המאוחר יותר מתאריך ההתחלה!');
INSERT INTO `lang_definitions` VALUES (30292, 631, 7, 'אירעה שגיאה בחתימה על הטופס');
INSERT INTO `lang_definitions` VALUES (30293, 632, 7, 'אירעה שגיאה בעת ביצוע Dump של עץ ספריית אינטרנט של OpenEMR');
INSERT INTO `lang_definitions` VALUES (30294, 633, 7, 'אירעה שגיאה בעת ביצוע Dump של עץ ספריית אינטרנט של phpGACL');
INSERT INTO `lang_definitions` VALUES (30295, 634, 7, 'אירעה שגיאה בעת ביצוע Dump של עץ ספריית אינטרנט של SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (30296, 638, 7, 'בעיית GCAC שלא הושלמה נוצרה וקושרה. צריך יהיה להשלים זאת מאוחר יותר.');
INSERT INTO `lang_definitions` VALUES (30297, 643, 7, 'אירעה שגיאה בלתי-מוגדרת, נא ליצור קשר עם מנהל המערכת.');
INSERT INTO `lang_definitions` VALUES (30298, 644, 7, 'אירעה שגיאה בלתי-צפויה.');
INSERT INTO `lang_definitions` VALUES (30299, 646, 7, 'אות רישית');
INSERT INTO `lang_definitions` VALUES (30300, 647, 7, 'מנותח');
INSERT INTO `lang_definitions` VALUES (30301, 648, 7, 'וכן');
INSERT INTO `lang_definitions` VALUES (30302, 649, 7, 'וכן');
INSERT INTO `lang_definitions` VALUES (30303, 650, 7, 'וכן');
INSERT INTO `lang_definitions` VALUES (30304, 651, 7, 'וכן');
INSERT INTO `lang_definitions` VALUES (30305, 652, 7, 'וכל הנתונים הכפופים? פעולה זו תירשם ביומן');
INSERT INTO `lang_definitions` VALUES (30306, 653, 7, 'ומשנה');
INSERT INTO `lang_definitions` VALUES (30307, 654, 7, 'ומעובד.');
INSERT INTO `lang_definitions` VALUES (30308, 656, 7, 'והפעל מחדש שרת Apache.');
INSERT INTO `lang_definitions` VALUES (30309, 657, 7, 'והסיבה היא');
INSERT INTO `lang_definitions` VALUES (30310, 659, 7, 'אנמיה');
INSERT INTO `lang_definitions` VALUES (30311, 660, 7, 'קרסול');
INSERT INTO `lang_definitions` VALUES (30312, 661, 7, 'קרסול + עקב');
INSERT INTO `lang_definitions` VALUES (30313, 662, 7, 'טופס הערכת קרסול');
INSERT INTO `lang_definitions` VALUES (30314, 663, 7, 'בעיות בקרסול');
INSERT INTO `lang_definitions` VALUES (30315, 664, 7, 'דלקת חוליות מקשחת');
INSERT INTO `lang_definitions` VALUES (30316, 665, 7, 'דלקת חוליות מקשחת');
INSERT INTO `lang_definitions` VALUES (30317, 666, 7, 'אנורקסיה');
INSERT INTO `lang_definitions` VALUES (30318, 667, 7, 'בחלון ההצבה, תוכל גם לבקש חיוב משני. אם תבחר בתיבת סימון זו לפני השמירה, התביעה המקורית תיפתח מחדש ותתווסף לתור בדף החיוב, ותעובד במהלך הרצת החיוב הבאה.');
INSERT INTO `lang_definitions` VALUES (30319, 671, 7, 'ante');
INSERT INTO `lang_definitions` VALUES (30320, 676, 7, 'אנוס nl, ללא רגישות רקטאלית/מסה');
INSERT INTO `lang_definitions` VALUES (30321, 677, 7, 'חרדה');
INSERT INTO `lang_definitions` VALUES (30322, 679, 7, 'כלשהו');
INSERT INTO `lang_definitions` VALUES (30323, 682, 7, 'כל קטגוריה');
INSERT INTO `lang_definitions` VALUES (30324, 688, 7, 'חלק כלשהו של הקוד הרצוי או התיאור שלו');
INSERT INTO `lang_definitions` VALUES (30325, 689, 7, 'חלק כלשהו של המומחיות הרצויה');
INSERT INTO `lang_definitions` VALUES (30326, 690, 7, 'חלק כלשהו של מזהה התרופה או שם התרופה');
INSERT INTO `lang_definitions` VALUES (30327, 691, 7, 'חלק כלשהו של מזהה החיסון או שם החיסון');
INSERT INTO `lang_definitions` VALUES (30328, 692, 7, 'חלק כלשהו משם המטופל, או \"last,first\", או \"X-Y\"');
INSERT INTO `lang_definitions` VALUES (30329, 693, 7, 'כל מידע רלוונטי נוסף');
INSERT INTO `lang_definitions` VALUES (30330, 699, 7, 'מפתח API לשער SMS.');
INSERT INTO `lang_definitions` VALUES (30331, 703, 7, 'אפניאה');
INSERT INTO `lang_definitions` VALUES (30332, 710, 7, 'מראה');
INSERT INTO `lang_definitions` VALUES (30333, 711, 7, 'מראה:');
INSERT INTO `lang_definitions` VALUES (30334, 714, 7, 'צרף הערה זו');
INSERT INTO `lang_definitions` VALUES (30335, 716, 7, 'צרף להערה הקיימת');
INSERT INTO `lang_definitions` VALUES (30336, 717, 7, 'צרף להערה זו');
INSERT INTO `lang_definitions` VALUES (30337, 718, 7, 'צרף להערה זו');
INSERT INTO `lang_definitions` VALUES (30338, 719, 7, 'כריתת תוספתן');
INSERT INTO `lang_definitions` VALUES (30339, 720, 7, 'כריתת תוספתן');
INSERT INTO `lang_definitions` VALUES (30340, 721, 7, 'מטופלים רלוונטיים');
INSERT INTO `lang_definitions` VALUES (30341, 722, 7, 'יישומים~בקשה');
INSERT INTO `lang_definitions` VALUES (30342, 723, 7, 'שם יישום עבור דף כניסה למערכת וכותרת חלון ראשי.');
INSERT INTO `lang_definitions` VALUES (30343, 724, 7, 'קוד מקלט יישום (GS03 - אם ריק, ייעשה שימוש ב-ISA08)');
INSERT INTO `lang_definitions` VALUES (30344, 725, 7, 'קוד שולח יישום (GS02)');
INSERT INTO `lang_definitions` VALUES (30345, 726, 7, 'כותרת יישום');
INSERT INTO `lang_definitions` VALUES (30346, 727, 7, 'חל על טופס הסימנים החיוניים ותרשים צמיחה');
INSERT INTO `lang_definitions` VALUES (30347, 728, 7, 'חל על טופס הסימנים החיוניים');
INSERT INTO `lang_definitions` VALUES (30348, 729, 7, 'האם להחיל את השינויים על האירוע הנוכחי בלבד, על אירוע זה ועל כל המופעים העתידיים או על כל המופעים?');
INSERT INTO `lang_definitions` VALUES (30349, 730, 7, 'החל על האזור הנגוע');
INSERT INTO `lang_definitions` VALUES (30350, 731, 7, 'החל על העור');
INSERT INTO `lang_definitions` VALUES (30351, 732, 7, 'מחיל~החלה');
INSERT INTO `lang_definitions` VALUES (30352, 733, 7, 'מחיל תיקון לאתר');
INSERT INTO `lang_definitions` VALUES (30353, 734, 7, 'פגישה');
INSERT INTO `lang_definitions` VALUES (30354, 735, 7, 'קטגוריית מפגש');
INSERT INTO `lang_definitions` VALUES (30355, 736, 7, 'תאריך פגישה');
INSERT INTO `lang_definitions` VALUES (30356, 742, 7, 'סגנון תצוגת פגישה');
INSERT INTO `lang_definitions` VALUES (30357, 744, 7, 'כלל תזכורת פגישה');
INSERT INTO `lang_definitions` VALUES (30358, 746, 7, 'מצב פגישה');
INSERT INTO `lang_definitions` VALUES (30359, 747, 7, 'מצבי פגישות');
INSERT INTO `lang_definitions` VALUES (30360, 748, 7, 'פגישה בטווח');
INSERT INTO `lang_definitions` VALUES (30361, 749, 7, 'צבע פגישה/אירוע');
INSERT INTO `lang_definitions` VALUES (30362, 750, 7, 'פגישות');
INSERT INTO `lang_definitions` VALUES (30363, 751, 7, 'פגישות (כתיבה אופציונלית)');
INSERT INTO `lang_definitions` VALUES (30364, 752, 7, 'פגישות (כתיבה, wsome אופציונלי)');
INSERT INTO `lang_definitions` VALUES (30365, 755, 7, 'פגישות - פורטל המטופלים באתר - מספר להצגה');
INSERT INTO `lang_definitions` VALUES (30366, 756, 7, 'פגישות - סיכום מטופלים - מספר להצגה');
INSERT INTO `lang_definitions` VALUES (30367, 758, 7, 'פגישות ומפגשים');
INSERT INTO `lang_definitions` VALUES (30368, 759, 7, 'תורים עבור');
INSERT INTO `lang_definitions` VALUES (30369, 760, 7, 'דוח פגישות');
INSERT INTO `lang_definitions` VALUES (30370, 761, 7, 'דוח פגישות-מפגשים');
INSERT INTO `lang_definitions` VALUES (30371, 763, 7, 'בדיקה מתאימה לילדים עם דלקת הלוע (CQM)');
INSERT INTO `lang_definitions` VALUES (30372, 764, 7, 'אשר');
INSERT INTO `lang_definitions` VALUES (30373, 766, 7, 'אשר את המטופל מ\'מטופל/לקוח\'->\'ייבוא\'->\'ממתין לאישור\'');
INSERT INTO `lang_definitions` VALUES (30374, 767, 7, 'אושר');
INSERT INTO `lang_definitions` VALUES (30375, 768, 7, 'ניהול אירועים מאושר~מאושרים');
INSERT INTO `lang_definitions` VALUES (30376, 769, 7, 'אושר בהצלחה');
INSERT INTO `lang_definitions` VALUES (30377, 773, 7, 'שעת הגעה מתוכננת');
INSERT INTO `lang_definitions` VALUES (30378, 774, 7, 'פגישה-מפגש');
INSERT INTO `lang_definitions` VALUES (30379, 776, 7, 'פגישות');
INSERT INTO `lang_definitions` VALUES (30380, 779, 7, 'אפר');
INSERT INTO `lang_definitions` VALUES (30381, 780, 7, 'אפריל');
INSERT INTO `lang_definitions` VALUES (30382, 782, 7, 'ערבית');
INSERT INTO `lang_definitions` VALUES (30383, 783, 7, 'ארגונית');
INSERT INTO `lang_definitions` VALUES (30384, 784, 7, 'ארכיון');
INSERT INTO `lang_definitions` VALUES (30385, 787, 7, 'האם יש לתרגם את שמות הקבוצות לבקרת גישה?');
INSERT INTO `lang_definitions` VALUES (30386, 788, 7, 'האם יש לתרגם את שמות קטגוריות הפגישות?');
INSERT INTO `lang_definitions` VALUES (30387, 789, 7, 'האם יש לתרגם את שמות קטגוריות המסמכים?');
INSERT INTO `lang_definitions` VALUES (30388, 790, 7, 'האם נגבה חיוב עבור סוג זה?');
INSERT INTO `lang_definitions` VALUES (30389, 793, 7, 'האם יש לתרגם את כותרות הערות המטופלים?');
INSERT INTO `lang_definitions` VALUES (30390, 794, 7, 'האם הקודים מאוחסנים בטבלאות SQL לחיצוניות (0-No, 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2)) ?');
INSERT INTO `lang_definitions` VALUES (30391, 795, 7, 'האם אתה מוכן להשלמת בעיית~הנפקת GCAC חדשה עבור ביקור זה?');
INSERT INTO `lang_definitions` VALUES (30392, 797, 7, 'האם אתה בטוח שברצונך להציב עבור היום?');
INSERT INTO `lang_definitions` VALUES (30393, 798, 7, 'האם אתה בטוח שברצונך לאשר אירועים אלה?');
INSERT INTO `lang_definitions` VALUES (30394, 799, 7, 'האם אתה בטוח שברצונך לבטל את השינויים שלך?');
INSERT INTO `lang_definitions` VALUES (30395, 801, 7, 'האם אתה בטוח שברצונך להסיר לחלוטין טופס זה?');
INSERT INTO `lang_definitions` VALUES (30396, 803, 7, 'האם אתה בטוח שברצונך למחוק');
INSERT INTO `lang_definitions` VALUES (30397, 804, 7, 'האם אתה בטוח שברצונך למחוק גילוי זה?');
INSERT INTO `lang_definitions` VALUES (30398, 805, 7, 'האם אתה בטוח שברצונך למחוק אירוע זה?');
INSERT INTO `lang_definitions` VALUES (30399, 806, 7, 'האם אתה בטוח שברצונך למחוק פריט זה ממסד הנתונים?');
INSERT INTO `lang_definitions` VALUES (30400, 808, 7, 'האם אתה בטוח שברצונך למחוק הערה זו?');
INSERT INTO `lang_definitions` VALUES (30401, 809, 7, 'האם אתה בטוח שברצונך למחוק תוכנית זו?');
INSERT INTO `lang_definitions` VALUES (30402, 810, 7, 'האם אתה בטוח שברצונך לערוך אירועים אלה?');
INSERT INTO `lang_definitions` VALUES (30403, 811, 7, 'האם אתה בטוח שברצונך להסתיר אירועים אלה?');
INSERT INTO `lang_definitions` VALUES (30404, 813, 7, 'האם אתה בטוח שברצונך לשדר זאת שוב?');
INSERT INTO `lang_definitions` VALUES (30405, 814, 7, 'האם אתה בטוח שברצונך להציג אירועים אלה?');
INSERT INTO `lang_definitions` VALUES (30406, 815, 7, 'האם אתה בטוח שברצונך למחוק את כל הקבוצה בשם');
INSERT INTO `lang_definitions` VALUES (30407, 816, 7, 'האם אתה בטוח שברצונך למחוק את הרשימה כולה');
INSERT INTO `lang_definitions` VALUES (30408, 817, 7, 'האם אתה בטוח שברצונך למחוק את השדה ב:');
INSERT INTO `lang_definitions` VALUES (30409, 818, 7, 'האם אתה בטוח שברצונך למחוק את השדות הנבחרים?');
INSERT INTO `lang_definitions` VALUES (30410, 819, 7, 'האם אתה בטוח שברצונך להמשיך בפעולות אלה?');
INSERT INTO `lang_definitions` VALUES (30411, 820, 7, 'לא צוין אזור');
INSERT INTO `lang_definitions` VALUES (30412, 821, 7, 'זרוע');
INSERT INTO `lang_definitions` VALUES (30413, 822, 7, 'ארמנית');
INSERT INTO `lang_definitions` VALUES (30414, 826, 7, 'שעת הגעה');
INSERT INTO `lang_definitions` VALUES (30415, 829, 7, 'הפרעת קצב');
INSERT INTO `lang_definitions` VALUES (30416, 830, 7, 'דלקת מפרקים');
INSERT INTO `lang_definitions` VALUES (30417, 831, 7, 'דלקת מפרקים/מחלת מפרקים ניוונית');
INSERT INTO `lang_definitions` VALUES (30418, 832, 7, 'דלקת מפרקים/מחלת מפרקים ניוונית');
INSERT INTO `lang_definitions` VALUES (30419, 836, 7, 'בתור');
INSERT INTO `lang_definitions` VALUES (30420, 838, 7, 'נכון ל:');
INSERT INTO `lang_definitions` VALUES (30421, 844, 7, 'ASC');
INSERT INTO `lang_definitions` VALUES (30422, 845, 7, 'אסיאתית');
INSERT INTO `lang_definitions` VALUES (30423, 846, 7, 'אסאמית');
INSERT INTO `lang_definitions` VALUES (30424, 847, 7, 'הערכת רגישות לפניצילין');
INSERT INTO `lang_definitions` VALUES (30425, 848, 7, 'הערכה');
INSERT INTO `lang_definitions` VALUES (30426, 853, 7, 'הוקצה ל:');
INSERT INTO `lang_definitions` VALUES (30427, 854, 7, 'איש קשר/ עוזר');
INSERT INTO `lang_definitions` VALUES (30428, 861, 7, 'אסתמה');
INSERT INTO `lang_definitions` VALUES (30429, 862, 7, 'ב:');
INSERT INTO `lang_definitions` VALUES (30430, 863, 7, 'נדרש פרמטר חיפוש אחד לפחות אם אתה בוחר הכול.');
INSERT INTO `lang_definitions` VALUES (30431, 866, 7, 'בדמוי סירה');
INSERT INTO `lang_definitions` VALUES (30432, 867, 7, 'בדמוי סירה:');
INSERT INTO `lang_definitions` VALUES (30433, 868, 7, 'קבוצה אתלטית');
INSERT INTO `lang_definitions` VALUES (30434, 869, 7, 'קבוצה אתלטית');
INSERT INTO `lang_definitions` VALUES (30435, 870, 7, 'אתלטי/פציעה');
INSERT INTO `lang_definitions` VALUES (30436, 871, 7, 'אישור CA של ביקורת ATNA');
INSERT INTO `lang_definitions` VALUES (30437, 872, 7, 'מארח ביקורת ATNA');
INSERT INTO `lang_definitions` VALUES (30438, 873, 7, 'אישור מקומי של ביקורת ATNA');
INSERT INTO `lang_definitions` VALUES (30439, 874, 7, 'דוח ביקורת ATNA');
INSERT INTO `lang_definitions` VALUES (30440, 876, 7, 'מטפל');
INSERT INTO `lang_definitions` VALUES (30441, 877, 7, 'שים לב');
INSERT INTO `lang_definitions` VALUES (30442, 879, 7, 'שים לב');
INSERT INTO `lang_definitions` VALUES (30443, 881, 7, 'רופא אודיולוגי');
INSERT INTO `lang_definitions` VALUES (30444, 883, 7, 'שאילתות מנוע CDR של ביקורת');
INSERT INTO `lang_definitions` VALUES (30445, 885, 7, 'התעסקות ביומן ביקורת');
INSERT INTO `lang_definitions` VALUES (30446, 886, 7, 'דוח התעסקות ביומן ביקורת');
INSERT INTO `lang_definitions` VALUES (30447, 890, 7, 'גיבויי יומני ביקורת');
INSERT INTO `lang_definitions` VALUES (30448, 891, 7, 'שונות ביומני ביקורת');
INSERT INTO `lang_definitions` VALUES (30449, 892, 7, 'הזמנה~הוראה ביומני ביקורת');
INSERT INTO `lang_definitions` VALUES (30450, 893, 7, 'תיק מטופל ביומני ביקורת');
INSERT INTO `lang_definitions` VALUES (30451, 894, 7, 'תזמון ביומני ביקורת');
INSERT INTO `lang_definitions` VALUES (30452, 895, 7, 'ניהול אבטחה ביומני ביקורת');
INSERT INTO `lang_definitions` VALUES (30453, 896, 7, 'שאילתת בחירה ביומני ביקורת');
INSERT INTO `lang_definitions` VALUES (30454, 898, 7, 'אוג');
INSERT INTO `lang_definitions` VALUES (30455, 899, 7, 'אוגוסט');
INSERT INTO `lang_definitions` VALUES (30456, 900, 7, 'דודה');
INSERT INTO `lang_definitions` VALUES (30457, 901, 7, 'הרשאה');
INSERT INTO `lang_definitions` VALUES (30458, 902, 7, 'הרשאה/הערות');
INSERT INTO `lang_definitions` VALUES (30459, 918, 7, 'מאמת');
INSERT INTO `lang_definitions` VALUES (30460, 920, 7, 'מחבר');
INSERT INTO `lang_definitions` VALUES (30461, 922, 7, 'קבוצת הרשאה');
INSERT INTO `lang_definitions` VALUES (30462, 923, 7, 'מצב הרשאה');
INSERT INTO `lang_definitions` VALUES (30463, 924, 7, 'הרשאות');
INSERT INTO `lang_definitions` VALUES (30464, 925, 7, 'הרשאה');
INSERT INTO `lang_definitions` VALUES (30465, 926, 7, 'הרשאה - כל מפגש');
INSERT INTO `lang_definitions` VALUES (30466, 928, 7, 'הרשאה - המפגשים שלי');
INSERT INTO `lang_definitions` VALUES (30467, 933, 7, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (30468, 934, 7, 'מורשה');
INSERT INTO `lang_definitions` VALUES (30469, 936, 7, 'מורשה בלבד');
INSERT INTO `lang_definitions` VALUES (30470, 941, 7, 'שליחה אוטומטית');
INSERT INTO `lang_definitions` VALUES (30471, 942, 7, 'יציאה אוטומטית מהמערכת [ימים]');
INSERT INTO `lang_definitions` VALUES (30472, 943, 7, 'העברה אוטומטית');
INSERT INTO `lang_definitions` VALUES (30473, 944, 7, 'יצירה אוטומטית של מפגשים חדשים');
INSERT INTO `lang_definitions` VALUES (30474, 945, 7, 'יצירה אוטומטית');
INSERT INTO `lang_definitions` VALUES (30475, 947, 7, 'חישובי מדידות אוטומטיות (AMC)');
INSERT INTO `lang_definitions` VALUES (30476, 948, 7, 'חישובי מדידות אוטומטיות (AMC)‏ - 2011');
INSERT INTO `lang_definitions` VALUES (30477, 949, 7, 'חישובי מדידות אוטומטיות (AMC)‏ - 2014');
INSERT INTO `lang_definitions` VALUES (30478, 950, 7, 'חישובי מדידות אוטומטיות (AMC)‏ - 2014 שלב I');
INSERT INTO `lang_definitions` VALUES (30479, 951, 7, 'חישובי מדידות אוטומטיות (AMC)‏ - 2014 שלב II');
INSERT INTO `lang_definitions` VALUES (30480, 952, 7, 'מעקב אחר חישובי מדידות אוטומטיות (AMC)‏');
INSERT INTO `lang_definitions` VALUES (30481, 953, 7, 'מדידות אוטומטיות (AMC)');
INSERT INTO `lang_definitions` VALUES (30482, 955, 7, 'אוטומטי');
INSERT INTO `lang_definitions` VALUES (30483, 958, 7, 'צור באופן אוטומטי מפגש חדש כאשר מצב צ\'ק אין של פגישה נבחר.');
INSERT INTO `lang_definitions` VALUES (30484, 959, 7, 'צור באופן אוטומטי מפגש חדש כאשר מצב הפגישה מוגדר כ-\"@\" (הגיע).');
INSERT INTO `lang_definitions` VALUES (30485, 960, 7, 'שכפל באופן אוטומטי קודי הצדקה בגיליון תשלום');
INSERT INTO `lang_definitions` VALUES (30486, 961, 7, 'שכפל באופן אוטומטי קודי הצגה בגיליון תשלום (בעצם מילוי הערכים הריקים בקוד ההצדקה למעלה).');
INSERT INTO `lang_definitions` VALUES (30487, 962, 7, 'Automobile Medical');
INSERT INTO `lang_definitions` VALUES (30488, 964, 7, 'נשמר אוטומטית');
INSERT INTO `lang_definitions` VALUES (30489, 967, 7, 'קטגוריות זמינות');
INSERT INTO `lang_definitions` VALUES (30490, 971, 7, 'מועדים זמינים');
INSERT INTO `lang_definitions` VALUES (30491, 972, 7, 'מעקבים זמינים');
INSERT INTO `lang_definitions` VALUES (30492, 973, 7, 'אווארית');
INSERT INTO `lang_definitions` VALUES (30493, 974, 7, 'כל סוג תווית להדפסת תוויות מטופלים מהפריטים המוקפצים במסך הניווט שבצד');
INSERT INTO `lang_definitions` VALUES (30494, 975, 7, 'אווסטית');
INSERT INTO `lang_definitions` VALUES (30495, 976, 7, 'ממוצע חודשי');
INSERT INTO `lang_definitions` VALUES (30496, 980, 7, 'קריעה/שבר קריעה');
INSERT INTO `lang_definitions` VALUES (30497, 981, 7, 'קריעה בקרסול צדי');
INSERT INTO `lang_definitions` VALUES (30498, 982, 7, 'קריעה בקרסול תיכון');
INSERT INTO `lang_definitions` VALUES (30499, 983, 7, 'מבוסס מודעות');
INSERT INTO `lang_definitions` VALUES (30500, 985, 7, 'בית שחי');
INSERT INTO `lang_definitions` VALUES (30501, 990, 7, 'איימארה');
INSERT INTO `lang_definitions` VALUES (30502, 991, 7, 'אזרבייג\'נית');
INSERT INTO `lang_definitions` VALUES (30503, 992, 7, 'b.i.d.');
INSERT INTO `lang_definitions` VALUES (30504, 993, 7, 'הקודם');
INSERT INTO `lang_definitions` VALUES (30505, 994, 7, 'הקודם');
INSERT INTO `lang_definitions` VALUES (30506, 995, 7, 'שמונה ביקורים אחורה');
INSERT INTO `lang_definitions` VALUES (30507, 996, 7, '11 ביקורים אחורה');
INSERT INTO `lang_definitions` VALUES (30508, 997, 7, 'חמישה ביקורים אחורה');
INSERT INTO `lang_definitions` VALUES (30509, 998, 7, 'ארבעה ביקורים אחורה');
INSERT INTO `lang_definitions` VALUES (30510, 999, 7, 'תשעה ביקורים אחורה');
INSERT INTO `lang_definitions` VALUES (30511, 1000, 7, 'ביקור אחד אחורה');
INSERT INTO `lang_definitions` VALUES (30512, 1001, 7, 'כאבי גב');
INSERT INTO `lang_definitions` VALUES (30513, 1002, 7, 'בעיות גב');
INSERT INTO `lang_definitions` VALUES (30514, 1003, 7, 'שבעה ביקורים אחורה');
INSERT INTO `lang_definitions` VALUES (30515, 1004, 7, 'שישה ביקורים אחורה');
INSERT INTO `lang_definitions` VALUES (30516, 1005, 7, 'ניתוח גב');
INSERT INTO `lang_definitions` VALUES (30517, 1006, 7, 'עשרה ביקורים אחורה');
INSERT INTO `lang_definitions` VALUES (30518, 1007, 7, 'שלושה ביקורים אחורה');
INSERT INTO `lang_definitions` VALUES (30519, 1008, 7, 'חזרה לדף מנהל מערכת');
INSERT INTO `lang_definitions` VALUES (30520, 1011, 7, 'חזרה למפגש');
INSERT INTO `lang_definitions` VALUES (30521, 1012, 7, 'חזרה למטופל');
INSERT INTO `lang_definitions` VALUES (30522, 1013, 7, 'חזרה למטופל');
INSERT INTO `lang_definitions` VALUES (30523, 1015, 7, 'חזרה למשתמשים');
INSERT INTO `lang_definitions` VALUES (30524, 1016, 7, 'חזרה לתצוגה');
INSERT INTO `lang_definitions` VALUES (30525, 1017, 7, '12 ביקורים אחורה');
INSERT INTO `lang_definitions` VALUES (30526, 1018, 7, 'שני ביקורים אחורה');
INSERT INTO `lang_definitions` VALUES (30527, 1019, 7, 'שירותי רקע');
INSERT INTO `lang_definitions` VALUES (30528, 1020, 7, 'גיבוי');
INSERT INTO `lang_definitions` VALUES (30529, 1022, 7, 'קובץ גיבוי נוצר. הורדה תישלח כעת.');
INSERT INTO `lang_definitions` VALUES (30530, 1023, 7, 'רשימת גיבוי');
INSERT INTO `lang_definitions` VALUES (30531, 1024, 7, 'גיבוי הושלם בהצלחה ב:');
INSERT INTO `lang_definitions` VALUES (30532, 1025, 7, 'שיק לא תקין');
INSERT INTO `lang_definitions` VALUES (30533, 1026, 7, 'חוב לא תקין');
INSERT INTO `lang_definitions` VALUES (30534, 1027, 7, 'בהסה אינדונזיה');
INSERT INTO `lang_definitions` VALUES (30535, 1028, 7, 'יתרה');
INSERT INTO `lang_definitions` VALUES (30536, 1031, 7, 'יתרה');
INSERT INTO `lang_definitions` VALUES (30537, 1032, 7, 'יתרה');
INSERT INTO `lang_definitions` VALUES (30538, 1033, 7, 'סכום יתרה');
INSERT INTO `lang_definitions` VALUES (30539, 1034, 7, 'יתרת חוב');
INSERT INTO `lang_definitions` VALUES (30540, 1037, 7, 'במברה');
INSERT INTO `lang_definitions` VALUES (30541, 1038, 7, 'טיוטת בנק');
INSERT INTO `lang_definitions` VALUES (30542, 1039, 7, 'תווית ברקוד');
INSERT INTO `lang_definitions` VALUES (30543, 1040, 7, 'סוג תווית ברקוד');
INSERT INTO `lang_definitions` VALUES (30544, 1041, 7, 'סוג ברקוד להדפסת תוויות ברקוד מהפריטים המוקפצים במסך הניווט שבצד.');
INSERT INTO `lang_definitions` VALUES (30545, 1042, 7, 'בסיס Metarsal חמישי');
INSERT INTO `lang_definitions` VALUES (30546, 1043, 7, 'בסיס Metarsal חמישי:');
INSERT INTO `lang_definitions` VALUES (30547, 1047, 7, 'בשקיר');
INSERT INTO `lang_definitions` VALUES (30548, 1049, 7, 'באסקית');
INSERT INTO `lang_definitions` VALUES (30549, 1050, 7, 'תביעה באצווה');
INSERT INTO `lang_definitions` VALUES (30550, 1051, 7, 'כלי תקשורת באצווה');
INSERT INTO `lang_definitions` VALUES (30551, 1053, 7, 'רשומת~הזנת תשלום באצווה');
INSERT INTO `lang_definitions` VALUES (30552, 1054, 7, 'תשלומים באצווה');
INSERT INTO `lang_definitions` VALUES (30553, 1055, 7, 'המערכת התחילה בעיבוד אצווה; פעולה זו עשויה להימשך זמן מה.');
INSERT INTO `lang_definitions` VALUES (30554, 1056, 7, 'תוצאות אצווה');
INSERT INTO `lang_definitions` VALUES (30555, 1057, 7, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (30556, 1060, 7, 'נא להתאזר בסבלנות, לקבצים מסוימים נדרש עיבוד של כמה דקות!');
INSERT INTO `lang_definitions` VALUES (30557, 1063, 7, 'משום שמזהה זה אינו קיים.');
INSERT INTO `lang_definitions` VALUES (30558, 1072, 7, 'התחלה');
INSERT INTO `lang_definitions` VALUES (30559, 1074, 7, 'תאריך התחלה');
INSERT INTO `lang_definitions` VALUES (30560, 1076, 7, 'תאריך התחלה עבור דוח ספר ראשי');
INSERT INTO `lang_definitions` VALUES (30561, 1077, 7, 'תאריך תחילת שירות yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (30562, 1078, 7, 'שעת ההתחלה ביום של אירועי לוח שנה.');
INSERT INTO `lang_definitions` VALUES (30563, 1081, 7, 'בלרוסית');
INSERT INTO `lang_definitions` VALUES (30564, 1082, 7, 'גיהוק');
INSERT INTO `lang_definitions` VALUES (30565, 1083, 7, 'מתחת למגבלת הפניקה המזערית');
INSERT INTO `lang_definitions` VALUES (30566, 1086, 7, 'בנגאלית');
INSERT INTO `lang_definitions` VALUES (30567, 1087, 7, 'בנגאלי - בנקלה');
INSERT INTO `lang_definitions` VALUES (30568, 1089, 7, 'בין');
INSERT INTO `lang_definitions` VALUES (30569, 1091, 7, 'דו-כיווני');
INSERT INTO `lang_definitions` VALUES (30570, 1094, 7, 'ביהארית');
INSERT INTO `lang_definitions` VALUES (30571, 1095, 7, 'דו-צדדי');
INSERT INTO `lang_definitions` VALUES (30572, 1096, 7, 'דו-צדדי:');
INSERT INTO `lang_definitions` VALUES (30573, 1098, 7, 'תאריך חשבון');
INSERT INTO `lang_definitions` VALUES (30574, 1099, 7, 'תאריך חשבון:');
INSERT INTO `lang_definitions` VALUES (30575, 1101, 7, 'חיוב/גבייה');
INSERT INTO `lang_definitions` VALUES (30576, 1102, 7, 'חויב בחשבון');
INSERT INTO `lang_definitions` VALUES (30577, 1103, 7, 'תאריך חיוב בחשבון');
INSERT INTO `lang_definitions` VALUES (30578, 1104, 7, 'חיוב');
INSERT INTO `lang_definitions` VALUES (30579, 1105, 7, 'חיוב (כתיבה אופציונלית)');
INSERT INTO `lang_definitions` VALUES (30580, 1109, 7, 'הערה');
INSERT INTO `lang_definitions` VALUES (30581, 1110, 7, 'תיאורי קוד חיוב');
INSERT INTO `lang_definitions` VALUES (30582, 1111, 7, 'קוד חיוב עבור השירות המבוקש');
INSERT INTO `lang_definitions` VALUES (30583, 1112, 7, 'קודי חיוב');
INSERT INTO `lang_definitions` VALUES (30584, 1113, 7, 'נתוני חיוב');
INSERT INTO `lang_definitions` VALUES (30585, 1114, 7, 'מחלקת חיוב');
INSERT INTO `lang_definitions` VALUES (30586, 1115, 7, 'מרפאה לחיוב');
INSERT INTO `lang_definitions` VALUES (30587, 1117, 7, 'פרטי החיוב');
INSERT INTO `lang_definitions` VALUES (30588, 1118, 7, 'מיקום החיוב');
INSERT INTO `lang_definitions` VALUES (30589, 1120, 7, 'צירוף יומן חיוב');
INSERT INTO `lang_definitions` VALUES (30590, 1122, 7, 'אפשרות יומן חיוב');
INSERT INTO `lang_definitions` VALUES (30591, 1123, 7, 'החלפת יומן חיוב');
INSERT INTO `lang_definitions` VALUES (30592, 1124, 7, 'הגדרת יומן חיוב לצירוף או להחלפת קובץ היומן.');
INSERT INTO `lang_definitions` VALUES (30593, 1125, 7, 'מנהל חיוב');
INSERT INTO `lang_definitions` VALUES (30594, 1126, 7, 'הערת חיוב');
INSERT INTO `lang_definitions` VALUES (30595, 1127, 7, 'הערת חיוב עבור');
INSERT INTO `lang_definitions` VALUES (30596, 1128, 7, 'הערת חיוב:');
INSERT INTO `lang_definitions` VALUES (30597, 1130, 7, 'תוצאות תור חיוב:');
INSERT INTO `lang_definitions` VALUES (30598, 1131, 7, 'דוח חיוב');
INSERT INTO `lang_definitions` VALUES (30599, 1132, 7, 'מצב חיוב');
INSERT INTO `lang_definitions` VALUES (30600, 1133, 7, 'מצב חיוב = לא חויב');
INSERT INTO `lang_definitions` VALUES (30601, 1134, 7, 'מחויב ל:');
INSERT INTO `lang_definitions` VALUES (30602, 1135, 7, 'תצוגת חיוב');
INSERT INTO `lang_definitions` VALUES (30603, 1138, 7, 'ביופסיה');
INSERT INTO `lang_definitions` VALUES (30604, 1140, 7, 'תאריך לידה');
INSERT INTO `lang_definitions` VALUES (30605, 1141, 7, 'לידה-24 חודשים');
INSERT INTO `lang_definitions` VALUES (30606, 1143, 7, 'ביסלמה');
INSERT INTO `lang_definitions` VALUES (30607, 1144, 7, 'שחור');
INSERT INTO `lang_definitions` VALUES (30608, 1147, 7, 'ריאה שחורה');
INSERT INTO `lang_definitions` VALUES (30609, 1148, 7, 'שחורה או אפרו-אמריקנית');
INSERT INTO `lang_definitions` VALUES (30610, 1149, 7, 'סרטן שלפוחית השתן');
INSERT INTO `lang_definitions` VALUES (30611, 1150, 7, 'זיהומים בשלפוחית השתן');
INSERT INTO `lang_definitions` VALUES (30612, 1152, 7, 'טפסים ריקים');
INSERT INTO `lang_definitions` VALUES (30613, 1153, 7, 'בעיות דימום');
INSERT INTO `lang_definitions` VALUES (30614, 1154, 7, 'שטח מת~נקודות עיוורות');
INSERT INTO `lang_definitions` VALUES (30615, 1156, 7, 'התנפחות');
INSERT INTO `lang_definitions` VALUES (30616, 1158, 7, 'חסום');
INSERT INTO `lang_definitions` VALUES (30617, 1159, 7, 'דם');
INSERT INTO `lang_definitions` VALUES (30618, 1160, 7, 'לחץ דם');
INSERT INTO `lang_definitions` VALUES (30619, 1161, 7, 'לחץ דם');
INSERT INTO `lang_definitions` VALUES (30620, 1162, 7, 'אף מדמם');
INSERT INTO `lang_definitions` VALUES (30621, 1163, 7, 'Blue Cross Blue Shield');
INSERT INTO `lang_definitions` VALUES (30622, 1165, 7, 'שורות כחולות בדוח זה נועדו לספק מידע. שורות שחורות מראות מידע קיים קודם.  שורות ירוקות מראות שינויים שהוחלו בהצלחה.  שורות אדומות מציינות שגיאות, או שינויים שלא הוחלו; יש לעבד אותן ידנית.  בשלב זה, תביעות שנדחו וביטולי תשלום אינם מטופלים באופן אוטומטי, ולכן יופיעו באדום.');
INSERT INTO `lang_definitions` VALUES (30623, 1166, 7, 'ראייה מטושטשת');
INSERT INTO `lang_definitions` VALUES (30624, 1167, 7, 'BMI');
INSERT INTO `lang_definitions` VALUES (30625, 1168, 7, 'מצב BMI');
INSERT INTO `lang_definitions` VALUES (30626, 1169, 7, 'גוף');
INSERT INTO `lang_definitions` VALUES (30627, 1170, 7, 'אזור בגוף');
INSERT INTO `lang_definitions` VALUES (30628, 1171, 7, 'אתר בגוף');
INSERT INTO `lang_definitions` VALUES (30629, 1172, 7, 'אתר בגוף, אם רלוונטי');
INSERT INTO `lang_definitions` VALUES (30630, 1173, 7, 'רגישות בעצמות:');
INSERT INTO `lang_definitions` VALUES (30631, 1174, 7, 'רגישות בעצמות: קרסול תיכון');
INSERT INTO `lang_definitions` VALUES (30632, 1175, 7, 'בוליאני');
INSERT INTO `lang_definitions` VALUES (30633, 1176, 7, 'בוסנית');
INSERT INTO `lang_definitions` VALUES (30634, 1177, 7, 'בוט');
INSERT INTO `lang_definitions` VALUES (30635, 1179, 7, 'שתי האוזניים');
INSERT INTO `lang_definitions` VALUES (30636, 1180, 7, 'שתי האוזניים');
INSERT INTO `lang_definitions` VALUES (30637, 1183, 7, 'תחתית');
INSERT INTO `lang_definitions` VALUES (30638, 1184, 7, 'שוליים תחתונים (px)');
INSERT INTO `lang_definitions` VALUES (30639, 1187, 7, 'תיבה 10 A. קשור לעבודה');
INSERT INTO `lang_definitions` VALUES (30640, 1189, 7, 'תיבה 10 B. תאונת רכב');
INSERT INTO `lang_definitions` VALUES (30641, 1191, 7, 'תיבה 10 C. תאונה אחרת');
INSERT INTO `lang_definitions` VALUES (30642, 1200, 7, 'תיבה 14 מזהה תאריך');
INSERT INTO `lang_definitions` VALUES (30643, 1204, 7, 'תיבה 15 מזהה תאריך אחר');
INSERT INTO `lang_definitions` VALUES (30644, 1205, 7, 'תיבה 15. תאריך אותה מחלה או מחלה דומה (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (30645, 1206, 7, 'תיבה 15. תאריך אותה מחלה או מחלה דומה/תאריך אחר (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (30646, 1211, 7, 'תיבה 16. תאריך תחילת אובדן כושר עבודה (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (30647, 1215, 7, 'תיבה 16. תאריך סיום אובדן כושר עבודה (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (30648, 1227, 7, 'תיבה 18. תאריך תחילת אשפוז (yyyy-mm-dd):‏');
INSERT INTO `lang_definitions` VALUES (30649, 1231, 7, 'תיבה 18. תאריך סיום אשפוז (yyyy-mm-dd):‏');
INSERT INTO `lang_definitions` VALUES (30650, 1235, 7, 'תיבה 20. האם נעשה שימוש במעבדה חיצונית?');
INSERT INTO `lang_definitions` VALUES (30651, 1239, 7, 'תיבה 22. קוד שליחה מחדש ל-Medicaid‏ (ICD-9)');
INSERT INTO `lang_definitions` VALUES (30652, 1243, 7, 'תיבה 23. מס\' הרשאה מוקדמת');
INSERT INTO `lang_definitions` VALUES (30653, 1244, 7, 'לחץ דם');
INSERT INTO `lang_definitions` VALUES (30654, 1245, 7, 'לחץ דם דיאסטולי');
INSERT INTO `lang_definitions` VALUES (30655, 1246, 7, 'לחץ דם סיסטולי');
INSERT INTO `lang_definitions` VALUES (30656, 1247, 7, 'BPD');
INSERT INTO `lang_definitions` VALUES (30657, 1248, 7, 'Bpd');
INSERT INTO `lang_definitions` VALUES (30658, 1251, 7, 'BPS');
INSERT INTO `lang_definitions` VALUES (30659, 1252, 7, 'Bps');
INSERT INTO `lang_definitions` VALUES (30660, 1254, 7, 'פורטוגזית ברזילאית');
INSERT INTO `lang_definitions` VALUES (30661, 1255, 7, 'חזה');
INSERT INTO `lang_definitions` VALUES (30662, 1256, 7, 'ביופסיית בחזה');
INSERT INTO `lang_definitions` VALUES (30663, 1257, 7, 'הפרשה מהחזה');
INSERT INTO `lang_definitions` VALUES (30664, 1258, 7, 'מחלת חזה');
INSERT INTO `lang_definitions` VALUES (30665, 1259, 7, 'בדיקת חזה');
INSERT INTO `lang_definitions` VALUES (30666, 1260, 7, 'מסה בחזה');
INSERT INTO `lang_definitions` VALUES (30667, 1261, 7, 'נשימה');
INSERT INTO `lang_definitions` VALUES (30668, 1262, 7, 'קולות נשימה:');
INSERT INTO `lang_definitions` VALUES (30669, 1263, 7, 'ברטונית');
INSERT INTO `lang_definitions` VALUES (30670, 1265, 7, 'עצמות שבורות');
INSERT INTO `lang_definitions` VALUES (30671, 1266, 7, 'טופס פגום~שבור');
INSERT INTO `lang_definitions` VALUES (30672, 1267, 7, 'טופס ברונכיטיס');
INSERT INTO `lang_definitions` VALUES (30673, 1270, 7, 'עיון');
INSERT INTO `lang_definitions` VALUES (30674, 1271, 7, 'עיין לאיתור תיק~רשומה');
INSERT INTO `lang_definitions` VALUES (30675, 1272, 7, 'פציעה/המטומה');
INSERT INTO `lang_definitions` VALUES (30676, 1275, 7, 'בולגרית');
INSERT INTO `lang_definitions` VALUES (30677, 1276, 7, 'בליטה ימין:');
INSERT INTO `lang_definitions` VALUES (30678, 1277, 7, 'בורמזית');
INSERT INTO `lang_definitions` VALUES (30679, 1278, 7, 'צריבה במתן שתן');
INSERT INTO `lang_definitions` VALUES (30680, 1279, 7, 'צריבה במתן שתן');
INSERT INTO `lang_definitions` VALUES (30681, 1281, 7, 'טלפון בית עסק');
INSERT INTO `lang_definitions` VALUES (30682, 1282, 7, 'תפוס');
INSERT INTO `lang_definitions` VALUES (30683, 1283, 7, 'אך טרם עובד.');
INSERT INTO `lang_definitions` VALUES (30684, 1284, 7, 'עכוז');
INSERT INTO `lang_definitions` VALUES (30685, 1285, 7, 'עכוז + המעי הדק');
INSERT INTO `lang_definitions` VALUES (30686, 1286, 7, 'על-ידי');
INSERT INTO `lang_definitions` VALUES (30687, 1287, 7, 'לפי');
INSERT INTO `lang_definitions` VALUES (30688, 1293, 7, 'דרך הפה');
INSERT INTO `lang_definitions` VALUES (30689, 1295, 7, 'על-ידי/מקור');
INSERT INTO `lang_definitions` VALUES (30690, 1296, 7, 'לפי:');
INSERT INTO `lang_definitions` VALUES (30691, 1299, 7, 'C');
INSERT INTO `lang_definitions` VALUES (30692, 1301, 7, 'אישור CA לאימות שרת יומן מערכת RFC 5425 TLS.');
INSERT INTO `lang_definitions` VALUES (30693, 1302, 7, 'משך חיים של זיכרון מטמון (בשניות)');
INSERT INTO `lang_definitions` VALUES (30694, 1303, 7, 'לשמור במטמון פלט תבנית?');
INSERT INTO `lang_definitions` VALUES (30695, 1305, 7, 'צריכת קפאין');
INSERT INTO `lang_definitions` VALUES (30696, 1306, 7, 'יומן');
INSERT INTO `lang_definitions` VALUES (30697, 1307, 7, 'שעת סיום בלוח שנה');
INSERT INTO `lang_definitions` VALUES (30698, 1308, 7, 'מרווח זמן בלוח שנה');
INSERT INTO `lang_definitions` VALUES (30699, 1309, 7, 'מסך לוח שנה');
INSERT INTO `lang_definitions` VALUES (30700, 1310, 7, 'הגדרות לוח שנה');
INSERT INTO `lang_definitions` VALUES (30701, 1312, 7, 'שעת התחלה בלוח שנה');
INSERT INTO `lang_definitions` VALUES (30702, 1313, 7, 'ממשק משתמש בלוח שנה');
INSERT INTO `lang_definitions` VALUES (30703, 1314, 7, 'תצוגת לוח שנה');
INSERT INTO `lang_definitions` VALUES (30704, 1317, 7, 'קריאה ל-addForm() מוצבת כאן.<br>');
INSERT INTO `lang_definitions` VALUES (30705, 1321, 7, 'קלוריות');
INSERT INTO `lang_definitions` VALUES (30706, 1322, 7, 'קמבודית');
INSERT INTO `lang_definitions` VALUES (30707, 1323, 7, 'CAMOS');
INSERT INTO `lang_definitions` VALUES (30708, 1325, 7, 'לא ניתן להגדיר זאת ללא הגדרת \'סיכום טיפול נשלח\'.');
INSERT INTO `lang_definitions` VALUES (30709, 1326, 7, 'לא ניתן למצוא את הקובץ!');
INSERT INTO `lang_definitions` VALUES (30710, 1327, 7, 'לא ניתן להעלות');
INSERT INTO `lang_definitions` VALUES (30711, 1328, 7, 'קנדה');
INSERT INTO `lang_definitions` VALUES (30712, 1329, 7, 'ביטול');
INSERT INTO `lang_definitions` VALUES (30713, 1332, 7, 'בטל שינויים');
INSERT INTO `lang_definitions` VALUES (30714, 1333, 7, 'מבוטל');
INSERT INTO `lang_definitions` VALUES (30715, 1335, 7, 'סרטן');
INSERT INTO `lang_definitions` VALUES (30716, 1336, 7, 'סינון סרטן: סרטן המעי הגס');
INSERT INTO `lang_definitions` VALUES (30717, 1337, 7, 'סינון סרטן: ממוגרפיה');
INSERT INTO `lang_definitions` VALUES (30718, 1338, 7, 'סינון סרטן: משטח צוואר הרחם');
INSERT INTO `lang_definitions` VALUES (30719, 1339, 7, 'סינון סרטן: סרטן הערמונית');
INSERT INTO `lang_definitions` VALUES (30720, 1340, 7, 'לא ניתן להוסיף רשומה זו, משום שהיא כבר קיימת!');
INSERT INTO `lang_definitions` VALUES (30721, 1341, 7, 'לא ניתן להוסיף/לעדכן רשומה זו, משום שכבר קיימת כפילות!');
INSERT INTO `lang_definitions` VALUES (30722, 1342, 7, 'לא ניתן לאחסן בארכיון, המערכת התעלמה');
INSERT INTO `lang_definitions` VALUES (30723, 1343, 7, 'לא ניתן להמיר ל-JPEG אולי ImageMagick לא מותקן?');
INSERT INTO `lang_definitions` VALUES (30724, 1344, 7, 'לא ניתן למחוק, המערכת התעלמה');
INSERT INTO `lang_definitions` VALUES (30725, 1345, 7, 'לא ניתן להציג בשורה, משום שהסוג אינו נתמך על-ידי הדפדפן.');
INSERT INTO `lang_definitions` VALUES (30726, 1346, 7, 'לא ניתן להציג בשורה, משום שהסוג אינו נתמך על-ידי הדפדפן');
INSERT INTO `lang_definitions` VALUES (30727, 1347, 7, 'לא ניתן להציג בשורה, משום שהסוג אינו נתמך על-ידי הדפדפן.');
INSERT INTO `lang_definitions` VALUES (30728, 1349, 7, 'לא ניתן ליצור');
INSERT INTO `lang_definitions` VALUES (30729, 1350, 7, 'לא ניתן ליצור קובץ');
INSERT INTO `lang_definitions` VALUES (30730, 1351, 7, 'לא ניתן למחוק קובץ (משרת SFTP)');
INSERT INTO `lang_definitions` VALUES (30731, 1352, 7, 'לא ניתן למחוק קובץ');
INSERT INTO `lang_definitions` VALUES (30732, 1353, 7, 'לא ניתן לקבוע שם קובץ של יעד');
INSERT INTO `lang_definitions` VALUES (30733, 1354, 7, 'לא ניתן למצוא');
INSERT INTO `lang_definitions` VALUES (30734, 1355, 7, 'לא ניתן למצוא שם קובץ של יעד');
INSERT INTO `lang_definitions` VALUES (30735, 1356, 7, 'לא ניתן למצוא שדה מקור לדילוג עבור');
INSERT INTO `lang_definitions` VALUES (30736, 1357, 7, 'לא ניתן למצוא שדה יעד לדילוג עבור');
INSERT INTO `lang_definitions` VALUES (30737, 1358, 7, 'לא ניתן למצוא מטופל ממזהה לקוח ב-SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (30738, 1359, 7, 'לא ניתן למצוא הפניית מסמך postscript ב:');
INSERT INTO `lang_definitions` VALUES (30739, 1360, 7, 'לא ניתן למצוא ספק ממטופל ב-SQL-Ledger =');
INSERT INTO `lang_definitions` VALUES (30740, 1361, 7, 'לא ניתן לשנות תשלומים. שלילי ללא התפלגות.');
INSERT INTO `lang_definitions` VALUES (30741, 1363, 7, 'לא ניתן לפתוח');
INSERT INTO `lang_definitions` VALUES (30742, 1364, 7, 'לא ניתן להציב עבור ביטוח. הישות המשלמת שנבחרה היא מטופל.');
INSERT INTO `lang_definitions` VALUES (30743, 1365, 7, 'לא ניתן להציב עבור מטופל. הישות המשלמת שנבחרה היא ביטוח.');
INSERT INTO `lang_definitions` VALUES (30744, 1366, 7, 'לא ניתן להציב תשלומים. שלילי ללא התפלגות.');
INSERT INTO `lang_definitions` VALUES (30745, 1367, 7, 'לא ניתן לקרוא');
INSERT INTO `lang_definitions` VALUES (30746, 1368, 7, 'לא ניתן לקרוא ספרייה');
INSERT INTO `lang_definitions` VALUES (30747, 1369, 7, 'לא ניתן לעדכן, משום שאינך עורך רשומה קיימת!');
INSERT INTO `lang_definitions` VALUES (30748, 1370, 7, 'ברישיות');
INSERT INTO `lang_definitions` VALUES (30749, 1371, 7, 'הכול ברישיות');
INSERT INTO `lang_definitions` VALUES (30750, 1372, 7, 'קפסולה');
INSERT INTO `lang_definitions` VALUES (30751, 1373, 7, 'כרטיס');
INSERT INTO `lang_definitions` VALUES (30752, 1382, 7, 'צנתור לב');
INSERT INTO `lang_definitions` VALUES (30753, 1383, 7, 'אולטראסאונד לב');
INSERT INTO `lang_definitions` VALUES (30754, 1384, 7, 'קרדיו-וסקולרי');
INSERT INTO `lang_definitions` VALUES (30755, 1385, 7, 'תיאום הטיפול');
INSERT INTO `lang_definitions` VALUES (30756, 1389, 7, 'תוכנית הטיפול');
INSERT INTO `lang_definitions` VALUES (30757, 1390, 7, 'טופס תוכנית הטיפול');
INSERT INTO `lang_definitions` VALUES (30758, 1392, 7, 'טופס תוכנית הטיפול');
INSERT INTO `lang_definitions` VALUES (30759, 1396, 7, 'נזק סחוס/דיסק');
INSERT INTO `lang_definitions` VALUES (30760, 1397, 7, 'פציעה סחוסית');
INSERT INTO `lang_definitions` VALUES (30761, 1398, 7, 'פעימות קרטואידיות nl, פעימות פדל nl');
INSERT INTO `lang_definitions` VALUES (30762, 1400, 7, 'מזומן');
INSERT INTO `lang_definitions` VALUES (30763, 1401, 7, 'מזומן');
INSERT INTO `lang_definitions` VALUES (30764, 1402, 7, 'קבלת מזומן');
INSERT INTO `lang_definitions` VALUES (30765, 1403, 7, 'קבלות מזומן לפי ספק');
INSERT INTO `lang_definitions` VALUES (30766, 1404, 7, 'קטלנית-ואלנסית');
INSERT INTO `lang_definitions` VALUES (30767, 1406, 7, 'ניתוח קטרקט');
INSERT INTO `lang_definitions` VALUES (30768, 1407, 7, 'קטרקטים');
INSERT INTO `lang_definitions` VALUES (30769, 1408, 7, 'קטגוריות');
INSERT INTO `lang_definitions` VALUES (30770, 1409, 7, 'קטגוריות עבור');
INSERT INTO `lang_definitions` VALUES (30771, 1410, 7, 'קטגוריה');
INSERT INTO `lang_definitions` VALUES (30772, 1411, 7, 'קטגוריה');
INSERT INTO `lang_definitions` VALUES (30773, 1412, 7, 'קטגוריה');
INSERT INTO `lang_definitions` VALUES (30774, 1416, 7, 'פרטי קטגוריה');
INSERT INTO `lang_definitions` VALUES (30775, 1417, 7, 'מגבלות קטגוריה');
INSERT INTO `lang_definitions` VALUES (30776, 1418, 7, 'שם קטגוריה');
INSERT INTO `lang_definitions` VALUES (30777, 1419, 7, 'שם הקטגוריה ריק');
INSERT INTO `lang_definitions` VALUES (30778, 1420, 7, 'קטגוריה/כותרת');
INSERT INTO `lang_definitions` VALUES (30779, 1421, 7, 'קווקזית');
INSERT INTO `lang_definitions` VALUES (30780, 1422, 7, 'גורם לקבלות להדפיס פרטי מפגש/ספק ראשי');
INSERT INTO `lang_definitions` VALUES (30781, 1425, 7, 'CCD');
INSERT INTO `lang_definitions` VALUES (30782, 1426, 7, 'CCDA');
INSERT INTO `lang_definitions` VALUES (30783, 1431, 7, 'CCR');
INSERT INTO `lang_definitions` VALUES (30784, 1432, 7, 'אישור CCR');
INSERT INTO `lang_definitions` VALUES (30785, 1433, 7, 'סקירת מטופל CCR');
INSERT INTO `lang_definitions` VALUES (30786, 1434, 7, 'סקירה ואישור CCR');
INSERT INTO `lang_definitions` VALUES (30787, 1440, 7, 'קוד CDC');
INSERT INTO `lang_definitions` VALUES (30788, 1442, 7, 'CDR');
INSERT INTO `lang_definitions` VALUES (30789, 1443, 7, 'עדיפות בעיבוד דוחות CDR');
INSERT INTO `lang_definitions` VALUES (30790, 1444, 7, 'תא');
INSERT INTO `lang_definitions` VALUES (30791, 1445, 7, 'טלפון סלולרי');
INSERT INTO `lang_definitions` VALUES (30792, 1446, 7, 'מספר טלפון סלולרי');
INSERT INTO `lang_definitions` VALUES (30793, 1447, 7, 'מספר טלפון סלולרי');
INSERT INTO `lang_definitions` VALUES (30794, 1449, 7, 'אישור מרכזי');
INSERT INTO `lang_definitions` VALUES (30795, 1451, 7, 'מרכז/דרום אמריקאית');
INSERT INTO `lang_definitions` VALUES (30796, 1452, 7, 'המיקום של קובץ crt לרשות אישורים לא יכול להיות ריק');
INSERT INTO `lang_definitions` VALUES (30797, 1453, 7, 'המיקום של קובץ מפתח לרשות אישורים לא יכול להיות ריק');
INSERT INTO `lang_definitions` VALUES (30798, 1454, 7, 'אישור לשליחה לשרת יומן מערכת RFC 5425 TLS.');
INSERT INTO `lang_definitions` VALUES (30799, 1455, 7, 'אשר משתמש~משתמש אישור');
INSERT INTO `lang_definitions` VALUES (30800, 1456, 7, 'אישורים');
INSERT INTO `lang_definitions` VALUES (30801, 1457, 7, 'צ\'מורו');
INSERT INTO `lang_definitions` VALUES (30802, 1458, 7, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (30803, 1459, 7, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (30804, 1460, 7, 'שינוי');
INSERT INTO `lang_definitions` VALUES (30805, 1461, 7, 'שינוי');
INSERT INTO `lang_definitions` VALUES (30806, 1462, 7, 'שינוי פעילות');
INSERT INTO `lang_definitions` VALUES (30807, 1466, 7, 'השינוי נכשל! שגיאה בחיבור CouchDB?');
INSERT INTO `lang_definitions` VALUES (30808, 1467, 7, 'שינוי בראייה');
INSERT INTO `lang_definitions` VALUES (30809, 1468, 7, 'שינוי בראייה');
INSERT INTO `lang_definitions` VALUES (30810, 1470, 7, 'שינוי סיסמה');
INSERT INTO `lang_definitions` VALUES (30811, 1473, 7, 'שינוי מצב עבור');
INSERT INTO `lang_definitions` VALUES (30812, 1475, 7, 'השתנה');
INSERT INTO `lang_definitions` VALUES (30813, 1476, 7, 'שינויי מעיים');
INSERT INTO `lang_definitions` VALUES (30814, 1479, 7, 'משנה מזהה מטופל עבור מסמך');
INSERT INTO `lang_definitions` VALUES (30815, 1484, 7, 'מאפיינים');
INSERT INTO `lang_definitions` VALUES (30816, 1485, 7, 'תווים שנותרו');
INSERT INTO `lang_definitions` VALUES (30817, 1486, 7, 'חיוב');
INSERT INTO `lang_definitions` VALUES (30818, 1487, 7, 'התאמת חיוב');
INSERT INTO `lang_definitions` VALUES (30819, 1488, 7, 'חיוב מקודד');
INSERT INTO `lang_definitions` VALUES (30820, 1490, 7, 'חיובים');
INSERT INTO `lang_definitions` VALUES (30821, 1491, 7, 'תרשים');
INSERT INTO `lang_definitions` VALUES (30822, 1492, 7, 'פעילות בתרשים');
INSERT INTO `lang_definitions` VALUES (30823, 1493, 7, 'דוח פעילות צ\'ק אין/צ\'ק אאוט של תרשים');
INSERT INTO `lang_definitions` VALUES (30824, 1495, 7, 'מזהה תרשים');
INSERT INTO `lang_definitions` VALUES (30825, 1496, 7, 'מספר מטופל:');
INSERT INTO `lang_definitions` VALUES (30826, 1497, 7, 'תווית תרשים');
INSERT INTO `lang_definitions` VALUES (30827, 1498, 7, 'פעילות במיקום תרשים');
INSERT INTO `lang_definitions` VALUES (30828, 1499, 7, 'הערת תרשים');
INSERT INTO `lang_definitions` VALUES (30829, 1500, 7, 'מספר תרשים');
INSERT INTO `lang_definitions` VALUES (30830, 1502, 7, 'מיקומי אחסון תרשים');
INSERT INTO `lang_definitions` VALUES (30831, 1504, 7, 'מעקב תרשים');
INSERT INTO `lang_definitions` VALUES (30832, 1505, 7, 'מעקב תרשים');
INSERT INTO `lang_definitions` VALUES (30833, 1508, 7, 'צ\'ק אאוט תרשימים');
INSERT INTO `lang_definitions` VALUES (30834, 1509, 7, 'תרשימים יוצאים~הוצאת תרשימים');
INSERT INTO `lang_definitions` VALUES (30835, 1512, 7, 'צ\'צ\'נית');
INSERT INTO `lang_definitions` VALUES (30836, 1513, 7, 'בדוק~בדיקה~שיק');
INSERT INTO `lang_definitions` VALUES (30837, 1514, 7, 'בדוק~בדיקה~שיק');
INSERT INTO `lang_definitions` VALUES (30838, 1515, 7, 'בחר הכל');
INSERT INTO `lang_definitions` VALUES (30839, 1516, 7, 'בחר רכיבים');
INSERT INTO `lang_definitions` VALUES (30840, 1517, 7, 'בדוק כמות');
INSERT INTO `lang_definitions` VALUES (30841, 1519, 7, 'תאריך בדיקה');
INSERT INTO `lang_definitions` VALUES (30842, 1521, 7, 'חפש הבדלי תרגומים עם טבלת השפות בהתאמת אישית.');
INSERT INTO `lang_definitions` VALUES (30843, 1526, 7, 'צ\'ק אין');
INSERT INTO `lang_definitions` VALUES (30844, 1527, 7, 'צ\'ק אין ל:');
INSERT INTO `lang_definitions` VALUES (30845, 1528, 7, 'נתוני קלט שיק~בדיקה');
INSERT INTO `lang_definitions` VALUES (30846, 1529, 7, 'בדוק פריטים לכלילה בגרף');
INSERT INTO `lang_definitions` VALUES (30847, 1530, 7, 'בדוק תוצאות מעבדה~תוצאות בדיקת מעבדה');
INSERT INTO `lang_definitions` VALUES (30848, 1531, 7, 'סימן האישור מציין שהפריט עבר סקירה');
INSERT INTO `lang_definitions` VALUES (30849, 1532, 7, 'מס\' שיק');
INSERT INTO `lang_definitions` VALUES (30850, 1533, 7, 'מספר שיק');
INSERT INTO `lang_definitions` VALUES (30851, 1534, 7, 'צ\'ק אאוט');
INSERT INTO `lang_definitions` VALUES (30852, 1535, 7, 'זמן סיום טיפול');
INSERT INTO `lang_definitions` VALUES (30853, 1536, 7, 'בדוק תשלום~תשלום בשיק');
INSERT INTO `lang_definitions` VALUES (30854, 1537, 7, 'סמן תיבה זו אם מדובר בקובץ מוצפן');
INSERT INTO `lang_definitions` VALUES (30855, 1541, 7, 'סמן אפשרות זו אם אתה מעוניין להראות למשתמשים את כל הפגישות כברירת מחדל, ולא רק את הפגישות שלהם.');
INSERT INTO `lang_definitions` VALUES (30856, 1543, 7, 'סמן~בדוק כדי ליצור בעיה מאבחון זה');
INSERT INTO `lang_definitions` VALUES (30857, 1545, 7, 'תאריך שיק~בדיקה/תאריך לידה:');
INSERT INTO `lang_definitions` VALUES (30858, 1547, 7, 'מס\' שיק~בדיקה/תאריך לידה:');
INSERT INTO `lang_definitions` VALUES (30859, 1548, 7, 'מספר שיק/אסמכתא');
INSERT INTO `lang_definitions` VALUES (30860, 1549, 7, 'מספר שיק/אסמכתא');
INSERT INTO `lang_definitions` VALUES (30861, 1550, 7, 'רשימת תיבות סימון');
INSERT INTO `lang_definitions` VALUES (30862, 1551, 7, 'רשימת תיבות סימון');
INSERT INTO `lang_definitions` VALUES (30863, 1552, 7, 'תיבת סימון עם טקסט');
INSERT INTO `lang_definitions` VALUES (30864, 1553, 7, 'תיבת סימון עם טקסט');
INSERT INTO `lang_definitions` VALUES (30865, 1555, 7, 'תיבות הסימון שלמעלה מציינות אם ברצונך לדחות ולמחוק את קובץ ה-HL7.');
INSERT INTO `lang_definitions` VALUES (30866, 1557, 7, 'נבדק~בדוק');
INSERT INTO `lang_definitions` VALUES (30867, 1559, 7, 'תיבה מסומנת = כן,  ריקה = לא');
INSERT INTO `lang_definitions` VALUES (30868, 1561, 7, 'נוסחת תרופה נבדקה?');
INSERT INTO `lang_definitions` VALUES (30869, 1566, 7, 'סימון תיבת הסימון של הנעילה תמנע עריכה נוספת בטפסים כלשהם במפגש זה.');
INSERT INTO `lang_definitions` VALUES (30870, 1568, 7, 'קופה');
INSERT INTO `lang_definitions` VALUES (30871, 1569, 7, 'בדיקת סיכום');
INSERT INTO `lang_definitions` VALUES (30872, 1570, 7, 'חזה');
INSERT INTO `lang_definitions` VALUES (30873, 1571, 7, 'CTAB חזה');
INSERT INTO `lang_definitions` VALUES (30874, 1572, 7, 'כאב בחזה');
INSERT INTO `lang_definitions` VALUES (30875, 1573, 7, 'כאב בחזה:');
INSERT INTO `lang_definitions` VALUES (30876, 1574, 7, 'כאבי חזה');
INSERT INTO `lang_definitions` VALUES (30877, 1575, 7, 'רופא חזה');
INSERT INTO `lang_definitions` VALUES (30878, 1576, 7, 'שינוי');
INSERT INTO `lang_definitions` VALUES (30879, 1577, 7, 'צ\'יצ\'ווה - צ\'ווה - ניאניה');
INSERT INTO `lang_definitions` VALUES (30880, 1578, 7, 'תלונה עיקרית');
INSERT INTO `lang_definitions` VALUES (30881, 1581, 7, 'ילד');
INSERT INTO `lang_definitions` VALUES (30882, 1582, 7, 'מחותן');
INSERT INTO `lang_definitions` VALUES (30883, 1583, 7, 'מצב חיסון לילדים (CQM)');
INSERT INTO `lang_definitions` VALUES (30884, 1584, 7, 'צמרמורת');
INSERT INTO `lang_definitions` VALUES (30885, 1585, 7, 'סינית');
INSERT INTO `lang_definitions` VALUES (30886, 1586, 7, 'סינית (פשוטה)');
INSERT INTO `lang_definitions` VALUES (30887, 1587, 7, 'סינית (מסורתית)');
INSERT INTO `lang_definitions` VALUES (30888, 1588, 7, 'כירופרקטי');
INSERT INTO `lang_definitions` VALUES (30889, 1589, 7, 'אפשרויות');
INSERT INTO `lang_definitions` VALUES (30890, 1590, 7, 'כריתת כיס המרה');
INSERT INTO `lang_definitions` VALUES (30891, 1591, 7, 'כריתת כיס המרה');
INSERT INTO `lang_definitions` VALUES (30892, 1592, 7, 'כריתת כיס המרה');
INSERT INTO `lang_definitions` VALUES (30893, 1593, 7, 'בחר');
INSERT INTO `lang_definitions` VALUES (30894, 1596, 7, 'בחר מקטע, ולחץ בו על פריט; לאחר מכן, במקטע השני, תראה את הפריטים הקשורים כשהם מסומנים, ותוכל ללחוץ במקטע זה כדי להוסיף ולמחוק קשרים.');
INSERT INTO `lang_definitions` VALUES (30895, 1597, 7, 'בחר קריטריונים');
INSERT INTO `lang_definitions` VALUES (30896, 1599, 7, 'בחר הורדה או הצגה בשורה');
INSERT INTO `lang_definitions` VALUES (30897, 1602, 7, 'בחר קובץ');
INSERT INTO `lang_definitions` VALUES (30898, 1603, 7, 'בחר מרשימה');
INSERT INTO `lang_definitions` VALUES (30899, 1604, 7, 'בחר כיוון פריסה');
INSERT INTO `lang_definitions` VALUES (30900, 1605, 7, 'בחר רשימה');
INSERT INTO `lang_definitions` VALUES (30901, 1608, 7, 'בחר גודל נייר');
INSERT INTO `lang_definitions` VALUES (30902, 1610, 7, 'בחר העדפות שפת PDF');
INSERT INTO `lang_definitions` VALUES (30903, 1611, 7, 'בחר תבנית הדפסה עבור דוח מפגש זה.');
INSERT INTO `lang_definitions` VALUES (30904, 1613, 7, 'בחר תצוגת מפגש של ברירת מחדל');
INSERT INTO `lang_definitions` VALUES (30905, 1615, 7, 'ברונכיטיס כרוני');
INSERT INTO `lang_definitions` VALUES (30906, 1616, 7, 'כאב מפרקים כרוני');
INSERT INTO `lang_definitions` VALUES (30907, 1617, 7, 'מחלת כליות כרונית (CKD)');
INSERT INTO `lang_definitions` VALUES (30908, 1620, 7, 'דלקת קרום המפרק/תפליט/כאב מפרקים/שיגדון כרוניים');
INSERT INTO `lang_definitions` VALUES (30909, 1622, 7, 'כרוני/חוזר');
INSERT INTO `lang_definitions` VALUES (30910, 1623, 7, 'צ\'ובאש');
INSERT INTO `lang_definitions` VALUES (30911, 1625, 7, 'שחמת הכבד');
INSERT INTO `lang_definitions` VALUES (30912, 1626, 7, 'שחמת הכבד');
INSERT INTO `lang_definitions` VALUES (30913, 1627, 7, 'עיר');
INSERT INTO `lang_definitions` VALUES (30914, 1629, 7, 'שם עיר');
INSERT INTO `lang_definitions` VALUES (30915, 1630, 7, 'עיר, מחוז');
INSERT INTO `lang_definitions` VALUES (30916, 1631, 7, 'עיר, מחוז, מיקוד');
INSERT INTO `lang_definitions` VALUES (30917, 1633, 7, 'עיר/מחוז');
INSERT INTO `lang_definitions` VALUES (30918, 1634, 7, 'תביעה');
INSERT INTO `lang_definitions` VALUES (30919, 1635, 7, 'תביעה');
INSERT INTO `lang_definitions` VALUES (30920, 1637, 7, 'מצב תביעה');
INSERT INTO `lang_definitions` VALUES (30921, 1638, 7, 'הרצה של בדיקת תביעה הושלמה');
INSERT INTO `lang_definitions` VALUES (30922, 1639, 7, 'סוג תביעה');
INSERT INTO `lang_definitions` VALUES (30923, 1640, 7, 'תביעה הופקה לקובץ');
INSERT INTO `lang_definitions` VALUES (30924, 1641, 7, 'תביעה הופקה לקובץ');
INSERT INTO `lang_definitions` VALUES (30925, 1642, 7, 'תביעות');
INSERT INTO `lang_definitions` VALUES (30926, 1645, 7, 'סיווג');
INSERT INTO `lang_definitions` VALUES (30927, 1646, 7, 'נקה');
INSERT INTO `lang_definitions` VALUES (30928, 1649, 7, 'נקה מטופל פעיל');
INSERT INTO `lang_definitions` VALUES (30929, 1651, 7, 'נקה הכל');
INSERT INTO `lang_definitions` VALUES (30930, 1654, 7, 'נקה נתוני HL7');
INSERT INTO `lang_definitions` VALUES (30931, 1655, 7, 'הצדקה לניקוי');
INSERT INTO `lang_definitions` VALUES (30932, 1659, 7, 'נקה מטמון Smarty');
INSERT INTO `lang_definitions` VALUES (30933, 1661, 7, 'פרטי מסלקה דרושים ליצירת אצווה של EDI 270.');
INSERT INTO `lang_definitions` VALUES (30934, 1662, 7, 'מספר CLIA');
INSERT INTO `lang_definitions` VALUES (30935, 1663, 7, 'לחץ');
INSERT INTO `lang_definitions` VALUES (30936, 1664, 7, 'לחץ על \'ייצוא\' כדי לייצא קטגוריה, קטגוריית משנה, פריט, נתוני תוכן לקובץ טקסט. כל דמיון בין קובץ זה לקובץ XML הוא מקרי בהחלט. על תגי הפתיחה והסגירה להימצא באותה השורה, ועליהם להיכתב באותיות קטנות ללא תווי רווח. כדי לייבא, נווט אל הקובץ ולחץ על \'ייבוא\'. אם הנתונים שונים לחלוטין, הם ימוזגו עם הנתונים הקיימים שלך. אם קיימים שמות פריט דומים, השם הישן יישמר, והחדש יישמר עם מספר שנוסף בסופו.');
INSERT INTO `lang_definitions` VALUES (30937, 1667, 7, 'לחץ על נקודה כלשהי בגרפיקה כדי להוסיף ביאור חדש, ולחץ עליה שוב כדי להסיר אותו');
INSERT INTO `lang_definitions` VALUES (30938, 1671, 7, 'לחץ על \'הורד אישור\' כדי להוריד את האישורים בקובץ ssl.zip');
INSERT INTO `lang_definitions` VALUES (30939, 1672, 7, 'לחץ כדי לראות עוד');
INSERT INTO `lang_definitions` VALUES (30940, 1673, 7, 'לחץ לפרטים נוספים');
INSERT INTO `lang_definitions` VALUES (30941, 1674, 7, 'לחץ לסיכום הזמנה');
INSERT INTO `lang_definitions` VALUES (30942, 1675, 7, 'לחץ לתוצאות');
INSERT INTO `lang_definitions` VALUES (30943, 1678, 7, 'לחץ כאן');
INSERT INTO `lang_definitions` VALUES (30944, 1679, 7, 'לחץ כאן כדי להוסיף מטופל חדש.');
INSERT INTO `lang_definitions` VALUES (30945, 1680, 7, 'לחץ כאן כדי להוסיף מצב שינוי פציעה ולערוך פעילות יומית');
INSERT INTO `lang_definitions` VALUES (30946, 1682, 7, 'לחץ כאן כדי לבחור תאריך');
INSERT INTO `lang_definitions` VALUES (30947, 1683, 7, 'לחץ כאן כדי לבחור תאריך ושעה');
INSERT INTO `lang_definitions` VALUES (30948, 1684, 7, 'לחץ כאן כדי לבחור תאריך התחלה');
INSERT INTO `lang_definitions` VALUES (30949, 1685, 7, 'לחץ כאן כדי לבחור תאריך/שעה');
INSERT INTO `lang_definitions` VALUES (30950, 1686, 7, 'לחץ כאן כדי לבחור תאריך/שעה של התחלה');
INSERT INTO `lang_definitions` VALUES (30951, 1687, 7, 'לחץ כאן כדי לבחור תאריך/שעה של סיום');
INSERT INTO `lang_definitions` VALUES (30952, 1688, 7, 'לחץ כאן כדי לקבוע תצורה של מודול זה');
INSERT INTO `lang_definitions` VALUES (30953, 1690, 7, 'לחץ כאן כדי למחוק את השורה');
INSERT INTO `lang_definitions` VALUES (30954, 1692, 7, 'לחץ כאן כדי להשבית מודול זה');
INSERT INTO `lang_definitions` VALUES (30955, 1693, 7, 'לחץ כאן כדי לשכפל את השורה');
INSERT INTO `lang_definitions` VALUES (30956, 1703, 7, 'לחץ כאן כדי להפעיל מודול זה');
INSERT INTO `lang_definitions` VALUES (30957, 1706, 7, 'לחץ כאן כדי להתקין מודול זה');
INSERT INTO `lang_definitions` VALUES (30958, 1707, 7, 'לחץ כאן כדי לחפש');
INSERT INTO `lang_definitions` VALUES (30959, 1710, 7, 'לחץ כאן כדי לעדכן הגדרות עדיפות, קטגוריה וכינוי');
INSERT INTO `lang_definitions` VALUES (30960, 1714, 7, 'לחץ כאן כדי להציג הכול.');
INSERT INTO `lang_definitions` VALUES (30961, 1715, 7, 'לחץ כאן כדי להציג ולכלול בגרף');
INSERT INTO `lang_definitions` VALUES (30962, 1716, 7, 'לחץ כאן כדי להציג ולכלול בגרף את כל נתוני המעבדה.');
INSERT INTO `lang_definitions` VALUES (30963, 1717, 7, 'לחץ כאן כדי להציג ולכלול בגרף את כל הסימנים החיוביים.');
INSERT INTO `lang_definitions` VALUES (30964, 1718, 7, 'לחץ כאן כדי להציג פרטי מטופל');
INSERT INTO `lang_definitions` VALUES (30965, 1719, 7, 'לחץ כאן כדי להציג הכול.');
INSERT INTO `lang_definitions` VALUES (30966, 1720, 7, 'לחץ כאן כדי להציג/לערוך פרטים נוספים');
INSERT INTO `lang_definitions` VALUES (30967, 1723, 7, 'לחץ על הלחצן \'התקן\' כדי להתקין את מהדורת מסד הנתונים מהתאריך הבא');
INSERT INTO `lang_definitions` VALUES (30968, 1730, 7, 'לחץ על כל אחד מחלקי הזמן כדי להגדילו');
INSERT INTO `lang_definitions` VALUES (30969, 1751, 7, 'לחץ על שם מטופל כדי לפתוח את קובץ המטופל');
INSERT INTO `lang_definitions` VALUES (30970, 1753, 7, 'לחץ על \'רענן\' כדי להציג את כל התוצאות, או הזן קריטריוני חיפוש למעלה כדי להציג תוצאות ספציפיות.');
INSERT INTO `lang_definitions` VALUES (30971, 1777, 7, 'לחץ כדי להוסיף אבחון');
INSERT INTO `lang_definitions` VALUES (30972, 1779, 7, 'לחץ כדי להוסיף רכיבים חדשים');
INSERT INTO `lang_definitions` VALUES (30973, 1780, 7, 'לחץ כדי להוסיף ייעוץ חדש');
INSERT INTO `lang_definitions` VALUES (30974, 1782, 7, 'לחץ כדי לבחור אבחונים להצדקה.');
INSERT INTO `lang_definitions` VALUES (30975, 1785, 7, 'לחץ להורדה');
INSERT INTO `lang_definitions` VALUES (30976, 1786, 7, 'לחץ כדי לערוך');
INSERT INTO `lang_definitions` VALUES (30977, 1787, 7, 'לחץ כדי לערוך תיאור');
INSERT INTO `lang_definitions` VALUES (30978, 1788, 7, 'לחץ כדי לערוך אירוע זה');
INSERT INTO `lang_definitions` VALUES (30979, 1790, 7, 'לחץ כדי ליצור את הדוח');
INSERT INTO `lang_definitions` VALUES (30980, 1799, 7, 'לחץ כדי להתאים מטופל');
INSERT INTO `lang_definitions` VALUES (30981, 1800, 7, 'לחץ כדי להדפיס');
INSERT INTO `lang_definitions` VALUES (30982, 1801, 7, 'לחץ כדי לקבל (להוסיף) מנה חדשה');
INSERT INTO `lang_definitions` VALUES (30983, 1805, 7, 'לחץ כדי לבחור');
INSERT INTO `lang_definitions` VALUES (30984, 1806, 7, 'לחץ כדי לבחור');
INSERT INTO `lang_definitions` VALUES (30985, 1808, 7, 'לחץ כדי להוסיף קוד תקן תעשייה עבור הליך זה');
INSERT INTO `lang_definitions` VALUES (30986, 1811, 7, 'לחץ כדי לבחור קוד הליך אופציונלי');
INSERT INTO `lang_definitions` VALUES (30987, 1812, 7, 'לחץ כדי לבחור או לשנות קידוד');
INSERT INTO `lang_definitions` VALUES (30988, 1813, 7, 'לחץ כדי לבחור או לשנות קוד CVX');
INSERT INTO `lang_definitions` VALUES (30989, 1814, 7, 'לחץ כדי לבחור או לשנות אבחונים');
INSERT INTO `lang_definitions` VALUES (30990, 1815, 7, 'לחץ כדי לבחור או לשנות קודי שירות');
INSERT INTO `lang_definitions` VALUES (30991, 1816, 7, 'לחץ כדי לבחור מטופל');
INSERT INTO `lang_definitions` VALUES (30992, 1817, 7, 'לחץ כדי לבחור קוד קשור');
INSERT INTO `lang_definitions` VALUES (30993, 1819, 7, 'לחץ כדי לבחור שירותים לביצוע אם תוצאה זו חריגה');
INSERT INTO `lang_definitions` VALUES (30994, 1822, 7, 'לחץ כדי לבחור את ההליך הרצוי');
INSERT INTO `lang_definitions` VALUES (30995, 1829, 7, 'לחץ כדי למיין');
INSERT INTO `lang_definitions` VALUES (30996, 1831, 7, 'לחץ כדי להציג');
INSERT INTO `lang_definitions` VALUES (30997, 1833, 7, 'לחץ כדי להציג או לערוך');
INSERT INTO `lang_definitions` VALUES (30998, 1834, 7, 'לחץ כדי להציג/לערוך');
INSERT INTO `lang_definitions` VALUES (30999, 1836, 7, 'לחץ על הלחצן \'שדרוג\' כדי לשדרג את מהדורת מסד הנתונים מהתאריך הבא');
INSERT INTO `lang_definitions` VALUES (31000, 1838, 7, 'לחץ במיקום המצוין למעלה כדי להתאים את המטופל.');
INSERT INTO `lang_definitions` VALUES (31001, 1839, 7, 'לחץ:');
INSERT INTO `lang_definitions` VALUES (31002, 1862, 7, 'ימים לתפוגת אישור לקוח');
INSERT INTO `lang_definitions` VALUES (31003, 1864, 7, 'תקופת תוקף~אימות של אישור לקוח');
INSERT INTO `lang_definitions` VALUES (31004, 1865, 7, 'תוקף אישור לקוח אמור להיות מספר חוקי.');
INSERT INTO `lang_definitions` VALUES (31005, 1866, 7, 'עותק לקוח');
INSERT INTO `lang_definitions` VALUES (31006, 1868, 7, 'מזהה לקוח');
INSERT INTO `lang_definitions` VALUES (31007, 1869, 7, 'סיכום היסטוריה רפואית של לקוח');
INSERT INTO `lang_definitions` VALUES (31008, 1870, 7, 'שם לקוח');
INSERT INTO `lang_definitions` VALUES (31009, 1872, 7, 'מספר לקוח');
INSERT INTO `lang_definitions` VALUES (31010, 1873, 7, 'פרופיל לקוח - לקוחות חדשים');
INSERT INTO `lang_definitions` VALUES (31011, 1874, 7, 'פרופיל לקוח - לקוחות ייחודיים');
INSERT INTO `lang_definitions` VALUES (31012, 1878, 7, 'לקוחות');
INSERT INTO `lang_definitions` VALUES (31013, 1879, 7, 'מרפאה');
INSERT INTO `lang_definitions` VALUES (31014, 1880, 7, 'עותק מרפאה');
INSERT INTO `lang_definitions` VALUES (31015, 1881, 7, 'רשומה יומית של מרפאה');
INSERT INTO `lang_definitions` VALUES (31016, 1882, 7, 'מזהה מרפאה');
INSERT INTO `lang_definitions` VALUES (31017, 1883, 7, 'קליני');
INSERT INTO `lang_definitions` VALUES (31018, 1884, 7, 'מנהל התראות של כללי החלטות קליניים');
INSERT INTO `lang_definitions` VALUES (31019, 1886, 7, 'היסטוריה קלינית');
INSERT INTO `lang_definitions` VALUES (31020, 1888, 7, 'טופס הוראות קליניות');
INSERT INTO `lang_definitions` VALUES (31021, 1889, 7, 'תוכניות קליניות');
INSERT INTO `lang_definitions` VALUES (31022, 1890, 7, 'מדידות איכות קליניות (CQM)');
INSERT INTO `lang_definitions` VALUES (31023, 1891, 7, 'מדידות איכות קליניות (CQM)‏ - 2011');
INSERT INTO `lang_definitions` VALUES (31024, 1892, 7, 'מדידות איכות קליניות (CQM)‏ - 2014');
INSERT INTO `lang_definitions` VALUES (31025, 1893, 7, 'תזכורות קליניות');
INSERT INTO `lang_definitions` VALUES (31026, 1897, 7, 'דוחות קליניים');
INSERT INTO `lang_definitions` VALUES (31027, 1898, 7, 'קטגוריית פעולה של כלל קליני');
INSERT INTO `lang_definitions` VALUES (31028, 1899, 7, 'פריט פעולה של כלל קליני');
INSERT INTO `lang_definitions` VALUES (31029, 1900, 7, 'שיטות סינון של כלל קליני');
INSERT INTO `lang_definitions` VALUES (31030, 1901, 7, 'שיטות יעד של כלל קליני');
INSERT INTO `lang_definitions` VALUES (31031, 1902, 7, 'כללים קליניים');
INSERT INTO `lang_definitions` VALUES (31032, 1903, 7, 'מרווחי גיל של כללים קליניים');
INSERT INTO `lang_definitions` VALUES (31033, 1904, 7, 'השוואות כללים קליניים');
INSERT INTO `lang_definitions` VALUES (31034, 1905, 7, 'סוגי מפגש של כללים קליניים');
INSERT INTO `lang_definitions` VALUES (31035, 1906, 7, 'אפשרויות למועד תזכורת של כללים קליניים');
INSERT INTO `lang_definitions` VALUES (31036, 1907, 7, 'אפשרויות לביטול הפעלת תזכורת של כללים קליניים');
INSERT INTO `lang_definitions` VALUES (31037, 1908, 7, 'מרווחי זמן לתזכורת של כללים קליניים');
INSERT INTO `lang_definitions` VALUES (31038, 1909, 7, 'שיטות תזכורת של כללים קליניים');
INSERT INTO `lang_definitions` VALUES (31039, 1910, 7, 'מרווחי זמן ליעד של כללים קליניים');
INSERT INTO `lang_definitions` VALUES (31040, 1911, 7, 'יעדים קליניים');
INSERT INTO `lang_definitions` VALUES (31041, 1912, 7, 'מונח~פרק זמן~תנאי קליני');
INSERT INTO `lang_definitions` VALUES (31042, 1913, 7, 'קודי מונח~פרק זמן~תנאי קליני');
INSERT INTO `lang_definitions` VALUES (31043, 1914, 7, 'תצוגה קלינית');
INSERT INTO `lang_definitions` VALUES (31044, 1915, 7, 'קלינאים');
INSERT INTO `lang_definitions` VALUES (31045, 1916, 7, 'שכפל');
INSERT INTO `lang_definitions` VALUES (31046, 1917, 7, 'שכפל ביקור אחרון');
INSERT INTO `lang_definitions` VALUES (31047, 1918, 7, 'סגור');
INSERT INTO `lang_definitions` VALUES (31048, 1924, 7, 'סגור חלון');
INSERT INTO `lang_definitions` VALUES (31049, 1925, 7, 'סגור חלון');
INSERT INTO `lang_definitions` VALUES (31050, 1927, 7, 'סגור');
INSERT INTO `lang_definitions` VALUES (31051, 1928, 7, 'ס\"מ');
INSERT INTO `lang_definitions` VALUES (31052, 1931, 7, 'שולי CMS 1500');
INSERT INTO `lang_definitions` VALUES (31053, 1933, 7, 'תבנית טופס נייר CMS 1500');
INSERT INTO `lang_definitions` VALUES (31054, 1938, 7, 'CMS 1500: תבנית תיבה 31');
INSERT INTO `lang_definitions` VALUES (31055, 1939, 7, 'CMS 1500: תאריך בתיבה 31 (חתימה)');
INSERT INTO `lang_definitions` VALUES (31056, 1940, 7, 'מזהה CMS');
INSERT INTO `lang_definitions` VALUES (31057, 1943, 7, 'פורטל CMS');
INSERT INTO `lang_definitions` VALUES (31058, 1944, 7, 'כניסה לפורטל CMS');
INSERT INTO `lang_definitions` VALUES (31059, 1945, 7, 'מזהה כניסה לפורטל CMS');
INSERT INTO `lang_definitions` VALUES (31060, 1946, 7, 'פורטל CMS לא מוגדר כזמין!');
INSERT INTO `lang_definitions` VALUES (31061, 1947, 7, 'סיסמת פורטל CMS');
INSERT INTO `lang_definitions` VALUES (31062, 1948, 7, 'בקשת פורטל CMS');
INSERT INTO `lang_definitions` VALUES (31063, 1949, 7, 'כתובת אתר של פורטל CMS');
INSERT INTO `lang_definitions` VALUES (31064, 1950, 7, 'שם משתמש בפורטל CMS');
INSERT INTO `lang_definitions` VALUES (31065, 1955, 7, 'CN2-12 שלם');
INSERT INTO `lang_definitions` VALUES (31066, 1958, 7, 'השתתפות עצמית');
INSERT INTO `lang_definitions` VALUES (31067, 1959, 7, 'השתתפות עצמית ששולמה');
INSERT INTO `lang_definitions` VALUES (31068, 1962, 7, 'השתתפות עצמית');
INSERT INTO `lang_definitions` VALUES (31069, 1964, 7, 'קוד');
INSERT INTO `lang_definitions` VALUES (31070, 1965, 7, 'קוד');
INSERT INTO `lang_definitions` VALUES (31071, 1967, 7, 'מוצא הקודים');
INSERT INTO `lang_definitions` VALUES (31072, 1968, 7, 'על הקוד להיות שתי אותיות קטנות');
INSERT INTO `lang_definitions` VALUES (31073, 1969, 7, 'קוד או סמל לציון מטבע');
INSERT INTO `lang_definitions` VALUES (31074, 1971, 7, 'טקסט קוד');
INSERT INTO `lang_definitions` VALUES (31075, 1972, 7, 'סוג קוד');
INSERT INTO `lang_definitions` VALUES (31076, 1973, 7, 'סוג קוד');
INSERT INTO `lang_definitions` VALUES (31077, 1974, 7, 'סוג הקוד אינו מזוהה');
INSERT INTO `lang_definitions` VALUES (31078, 1975, 7, 'סוג הקוד טרם הוגדר');
INSERT INTO `lang_definitions` VALUES (31079, 1976, 7, 'סוגי קוד');
INSERT INTO `lang_definitions` VALUES (31080, 1977, 7, 'קודים');
INSERT INTO `lang_definitions` VALUES (31081, 1978, 7, 'מקודד');
INSERT INTO `lang_definitions` VALUES (31082, 1979, 7, 'קודים');
INSERT INTO `lang_definitions` VALUES (31083, 1981, 7, 'קוד אבחנה');
INSERT INTO `lang_definitions` VALUES (31084, 1982, 7, 'קוד אבחנה (ללימוד)');
INSERT INTO `lang_definitions` VALUES (31085, 1983, 7, 'קידוד - כל מפגש (כתיבה, wsome אופציונלי)');
INSERT INTO `lang_definitions` VALUES (31086, 1985, 7, 'קידוד - המפגשים שלי (כתיבה, wsome אופציונלי)');
INSERT INTO `lang_definitions` VALUES (31087, 1990, 7, 'קידוד אינו מורשה');
INSERT INTO `lang_definitions` VALUES (31088, 1991, 7, 'קפה');
INSERT INTO `lang_definitions` VALUES (31089, 1992, 7, 'שימוש בקפה');
INSERT INTO `lang_definitions` VALUES (31090, 1994, 7, 'ביטוח בהשתתפות');
INSERT INTO `lang_definitions` VALUES (31091, 1995, 7, 'גבייה');
INSERT INTO `lang_definitions` VALUES (31092, 1997, 7, 'כווץ');
INSERT INTO `lang_definitions` VALUES (31093, 1998, 7, 'כווץ');
INSERT INTO `lang_definitions` VALUES (31094, 1999, 7, 'כווץ הכול');
INSERT INTO `lang_definitions` VALUES (31095, 2000, 7, 'כווץ הכול');
INSERT INTO `lang_definitions` VALUES (31096, 2001, 7, 'כווץ הכול');
INSERT INTO `lang_definitions` VALUES (31097, 2004, 7, 'נגבה');
INSERT INTO `lang_definitions` VALUES (31098, 2005, 7, 'תאריך גבייה');
INSERT INTO `lang_definitions` VALUES (31099, 2007, 7, 'גביות');
INSERT INTO `lang_definitions` VALUES (31100, 2008, 7, 'דוח גביות');
INSERT INTO `lang_definitions` VALUES (31101, 2009, 7, 'סרטן המעי הגס');
INSERT INTO `lang_definitions` VALUES (31102, 2010, 7, 'סינון סרטן המעי הגס');
INSERT INTO `lang_definitions` VALUES (31103, 2011, 7, 'ניתוח סרטן המעי הגס');
INSERT INTO `lang_definitions` VALUES (31104, 2012, 7, 'קולונוסקופיה');
INSERT INTO `lang_definitions` VALUES (31105, 2013, 7, 'קולונוסקופיה');
INSERT INTO `lang_definitions` VALUES (31106, 2014, 7, 'צבע');
INSERT INTO `lang_definitions` VALUES (31107, 2020, 7, 'צבע:קיצור');
INSERT INTO `lang_definitions` VALUES (31108, 2021, 7, 'עמודה');
INSERT INTO `lang_definitions` VALUES (31109, 2022, 7, 'עמודות');
INSERT INTO `lang_definitions` VALUES (31110, 2024, 7, 'שילוב מנות');
INSERT INTO `lang_definitions` VALUES (31111, 2025, 7, 'פסיק');
INSERT INTO `lang_definitions` VALUES (31112, 2027, 7, 'הערה');
INSERT INTO `lang_definitions` VALUES (31113, 2028, 7, 'הערות');
INSERT INTO `lang_definitions` VALUES (31114, 2030, 7, 'הערות עבור תוצאה או המלצה זו');
INSERT INTO `lang_definitions` VALUES (31115, 2031, 7, 'חברת ביטוח מסחרית');
INSERT INTO `lang_definitions` VALUES (31116, 2032, 7, 'שמור שינויים');
INSERT INTO `lang_definitions` VALUES (31117, 2034, 7, 'תקשורת');
INSERT INTO `lang_definitions` VALUES (31118, 2036, 7, 'תקשורת');
INSERT INTO `lang_definitions` VALUES (31119, 2037, 7, 'רופא קהילתי');
INSERT INTO `lang_definitions` VALUES (31120, 2039, 7, 'חברה');
INSERT INTO `lang_definitions` VALUES (31121, 2040, 7, 'שם חברה');
INSERT INTO `lang_definitions` VALUES (31122, 2041, 7, 'הושלם');
INSERT INTO `lang_definitions` VALUES (31123, 2042, 7, 'זמן ביקור שהושלם');
INSERT INTO `lang_definitions` VALUES (31124, 2043, 7, 'הושלם');
INSERT INTO `lang_definitions` VALUES (31125, 2044, 7, 'הושלם');
INSERT INTO `lang_definitions` VALUES (31126, 2046, 7, 'האם הושלם?');
INSERT INTO `lang_definitions` VALUES (31127, 2048, 7, 'מצב השלמה');
INSERT INTO `lang_definitions` VALUES (31128, 2049, 7, 'סיבוכים מצד ספק השירות');
INSERT INTO `lang_definitions` VALUES (31129, 2050, 7, 'סיבוכי הפלה');
INSERT INTO `lang_definitions` VALUES (31130, 2051, 7, 'רכיבים');
INSERT INTO `lang_definitions` VALUES (31131, 2057, 7, 'מערכת הזמנות רפואית בסיוע מחשב');
INSERT INTO `lang_definitions` VALUES (31132, 2058, 7, 'מסקנות');
INSERT INTO `lang_definitions` VALUES (31133, 2059, 7, 'תנאי~מצב');
INSERT INTO `lang_definitions` VALUES (31134, 2060, 7, 'שדה תנאי~מצב לא נמצא');
INSERT INTO `lang_definitions` VALUES (31135, 2061, 7, 'מצב תנאי~מעמד מצב');
INSERT INTO `lang_definitions` VALUES (31136, 2063, 7, 'תצורה');
INSERT INTO `lang_definitions` VALUES (31137, 2064, 7, 'תצורה');
INSERT INTO `lang_definitions` VALUES (31138, 2065, 7, 'ייצוא/ייבוא תצורה');
INSERT INTO `lang_definitions` VALUES (31139, 2066, 7, 'התצורה נשמרה בהצלחה');
INSERT INTO `lang_definitions` VALUES (31140, 2067, 7, 'הגדר תצורה של Apache ו-OpenEMR לשימוש באישורי SSL בצד הלקוח.');
INSERT INTO `lang_definitions` VALUES (31141, 2068, 7, 'הגדר תצורה של Apache לשימוש באישורי SSL בצד הלקוח.');
INSERT INTO `lang_definitions` VALUES (31142, 2069, 7, 'הגדר תצורה של Apache לשימוש ב-HTTPS.');
INSERT INTO `lang_definitions` VALUES (31143, 2070, 7, 'הגדר תצורה של Openemr לשימוש באישורי SSL בצד הלקוח.');
INSERT INTO `lang_definitions` VALUES (31144, 2074, 7, 'הגדר תצורת מעקבים');
INSERT INTO `lang_definitions` VALUES (31145, 2075, 7, 'הגדר תצורת מעקבים');
INSERT INTO `lang_definitions` VALUES (31146, 2079, 7, 'אשר יצירת מטופל חדש');
INSERT INTO `lang_definitions` VALUES (31147, 2081, 7, 'אשר סיסמה חדשה');
INSERT INTO `lang_definitions` VALUES (31148, 2083, 7, 'אשר תשלום');
INSERT INTO `lang_definitions` VALUES (31149, 2089, 7, 'התנגשות רגישויות');
INSERT INTO `lang_definitions` VALUES (31150, 2090, 7, 'התנגשות תרופות');
INSERT INTO `lang_definitions` VALUES (31151, 2091, 7, 'התנגשות בעיות');
INSERT INTO `lang_definitions` VALUES (31152, 2092, 7, 'מולד');
INSERT INTO `lang_definitions` VALUES (31153, 2094, 7, 'אישונים');
INSERT INTO `lang_definitions` VALUES (31154, 2096, 7, 'שגיאת חיבור');
INSERT INTO `lang_definitions` VALUES (31155, 2097, 7, 'מחברים');
INSERT INTO `lang_definitions` VALUES (31156, 2098, 7, 'קבוע');
INSERT INTO `lang_definitions` VALUES (31157, 2100, 7, 'שם קבוע');
INSERT INTO `lang_definitions` VALUES (31158, 2101, 7, 'שם הקבוע ריק');
INSERT INTO `lang_definitions` VALUES (31159, 2102, 7, 'קבועים');
INSERT INTO `lang_definitions` VALUES (31160, 2103, 7, 'עצירות');
INSERT INTO `lang_definitions` VALUES (31161, 2104, 7, 'קונסטיטוציוני');
INSERT INTO `lang_definitions` VALUES (31162, 2105, 7, 'חברת בנייה');
INSERT INTO `lang_definitions` VALUES (31163, 2106, 7, 'רופא מייעץ');
INSERT INTO `lang_definitions` VALUES (31164, 2107, 7, 'תיאור קצר של ייעוץ');
INSERT INTO `lang_definitions` VALUES (31165, 2109, 7, 'איש קשר~יצירת קשר');
INSERT INTO `lang_definitions` VALUES (31166, 2110, 7, 'דוא\"ל איש קשר');
INSERT INTO `lang_definitions` VALUES (31167, 2111, 7, 'כתובת דוא\"ל של איש קשר');
INSERT INTO `lang_definitions` VALUES (31168, 2112, 7, 'צור קשר עם EMR Direct כדי הירשם לשירות העברת ההודעות של phiMail Direct');
INSERT INTO `lang_definitions` VALUES (31169, 2113, 7, 'פרטי קשר');
INSERT INTO `lang_definitions` VALUES (31170, 2117, 7, 'עדשות מגע');
INSERT INTO `lang_definitions` VALUES (31171, 2118, 7, 'צור קשר עם Medical Information Integration, LLC באתר http://mi-squared.com עבור שירות Lab Exchange.');
INSERT INTO `lang_definitions` VALUES (31172, 2119, 7, 'צור קשר עם Medical Information Integration, LLC באתר http://mi-squared.com או עם ZH Healthcare באתר http://zhservices.com כדי להירשם כמנוי לשירות eRx');
INSERT INTO `lang_definitions` VALUES (31173, 2120, 7, 'צור קשר עם Medical Information Integration, LLC באתר http://mi-squared.com או עם ZH Healthcare באתר http://zhservices.com כדי להירשם כמנוי לשירות NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (31174, 2122, 7, 'שם איש קשר');
INSERT INTO `lang_definitions` VALUES (31175, 2125, 7, 'איש קשר');
INSERT INTO `lang_definitions` VALUES (31176, 2126, 7, 'טלפון איש קשר');
INSERT INTO `lang_definitions` VALUES (31177, 2127, 7, 'מספר טלפון ליצירת קשר');
INSERT INTO `lang_definitions` VALUES (31178, 2129, 7, 'צור קשר עם ZMG, LLC‏ (zmghealth@gmail.com) לרישום לשירות eRx');
INSERT INTO `lang_definitions` VALUES (31179, 2131, 7, 'מכיל~אמור להכיל לפחות שלושה מארבעת הפריטים הבאים:');
INSERT INTO `lang_definitions` VALUES (31180, 2132, 7, 'שם קבוצת גורם מכיל');
INSERT INTO `lang_definitions` VALUES (31181, 2133, 7, 'תוכן');
INSERT INTO `lang_definitions` VALUES (31182, 2134, 7, 'תוכן');
INSERT INTO `lang_definitions` VALUES (31183, 2136, 7, 'הקשר');
INSERT INTO `lang_definitions` VALUES (31184, 2137, 7, 'שם הקשר לא יכול להיות ריק');
INSERT INTO `lang_definitions` VALUES (31185, 2138, 7, 'המשך');
INSERT INTO `lang_definitions` VALUES (31186, 2142, 7, 'המשכיות מסמך טיפול (CCD)');
INSERT INTO `lang_definitions` VALUES (31187, 2145, 7, 'המשכיות תיק טיפול (CCR)');
INSERT INTO `lang_definitions` VALUES (31188, 2146, 7, 'לקוחות Contra');
INSERT INTO `lang_definitions` VALUES (31189, 2147, 7, 'אמצעי מניעה');
INSERT INTO `lang_definitions` VALUES (31190, 2148, 7, 'בעיות באמצעי מניעה');
INSERT INTO `lang_definitions` VALUES (31191, 2149, 7, 'סיבוך באמצעי מניעה (נא לציין)');
INSERT INTO `lang_definitions` VALUES (31192, 2150, 7, 'שיטת אמצעי מניעה');
INSERT INTO `lang_definitions` VALUES (31193, 2151, 7, 'מוצרי אמצעי מניעה');
INSERT INTO `lang_definitions` VALUES (31194, 2152, 7, 'שירותי אמצעי מניעה שהתחילו קודם לכן');
INSERT INTO `lang_definitions` VALUES (31195, 2153, 7, 'תחילת שימוש באמצעי מניעה');
INSERT INTO `lang_definitions` VALUES (31196, 2158, 7, 'מזהה בקרה');
INSERT INTO `lang_definitions` VALUES (31197, 2159, 7, 'מס\' בקרה');
INSERT INTO `lang_definitions` VALUES (31198, 2160, 7, 'חומר מפוקח?');
INSERT INTO `lang_definitions` VALUES (31199, 2168, 7, 'השתתפות עצמית');
INSERT INTO `lang_definitions` VALUES (31200, 2169, 7, 'השתתפות עצמית');
INSERT INTO `lang_definitions` VALUES (31201, 2170, 7, 'השתתפות עצמית');
INSERT INTO `lang_definitions` VALUES (31202, 2171, 7, 'השתתפות עצמית לא חיובית');
INSERT INTO `lang_definitions` VALUES (31203, 2172, 7, 'השתתפות עצמית ששולמה');
INSERT INTO `lang_definitions` VALUES (31204, 2173, 7, 'השתתפות עצמית');
INSERT INTO `lang_definitions` VALUES (31205, 2174, 7, 'COPD');
INSERT INTO `lang_definitions` VALUES (31206, 2175, 7, 'העתק דפים לתרשים מטופל');
INSERT INTO `lang_definitions` VALUES (31207, 2177, 7, 'העתק ערכים');
INSERT INTO `lang_definitions` VALUES (31208, 2178, 7, 'מעתיק את קובץ מסד הנתונים. פעולה זו תימשך זמן מה...');
INSERT INTO `lang_definitions` VALUES (31209, 2179, 7, 'הודעת זכויות יוצרים');
INSERT INTO `lang_definitions` VALUES (31210, 2183, 7, 'קורנית');
INSERT INTO `lang_definitions` VALUES (31211, 2184, 7, 'ניתוח מעקפים');
INSERT INTO `lang_definitions` VALUES (31212, 2185, 7, 'השתלה בניתוח מעקפים (CABG)');
INSERT INTO `lang_definitions` VALUES (31213, 2186, 7, 'מתוקן');
INSERT INTO `lang_definitions` VALUES (31214, 2187, 7, 'קורסיקאית');
INSERT INTO `lang_definitions` VALUES (31215, 2188, 7, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (31216, 2189, 7, 'התחברות ל-CouchDB נכשלה.');
INSERT INTO `lang_definitions` VALUES (31217, 2191, 7, 'מסד נתונים ב-CouchDB');
INSERT INTO `lang_definitions` VALUES (31218, 2192, 7, 'שם מסד נתונים ב-CouchDB');
INSERT INTO `lang_definitions` VALUES (31219, 2195, 7, 'מארח CouchDB');
INSERT INTO `lang_definitions` VALUES (31220, 2196, 7, 'שם מארח CouchDB');
INSERT INTO `lang_definitions` VALUES (31221, 2197, 7, 'הגדרת יומן CouchDB כזמין');
INSERT INTO `lang_definitions` VALUES (31222, 2198, 7, 'סיסמת CouchDB');
INSERT INTO `lang_definitions` VALUES (31223, 2199, 7, 'יציאת CouchDB');
INSERT INTO `lang_definitions` VALUES (31224, 2200, 7, 'יציאת CouchDB');
INSERT INTO `lang_definitions` VALUES (31225, 2201, 7, 'שמירת CouchDB נכשלה');
INSERT INTO `lang_definitions` VALUES (31226, 2203, 7, 'שם משתמש ב-CouchDB');
INSERT INTO `lang_definitions` VALUES (31227, 2204, 7, 'שיעול');
INSERT INTO `lang_definitions` VALUES (31228, 2205, 7, 'שיעול:');
INSERT INTO `lang_definitions` VALUES (31229, 2206, 7, 'לא ניתן להתחבר לשרת');
INSERT INTO `lang_definitions` VALUES (31230, 2208, 7, 'לא ניתן לייבא את המסמך. צור קשר עם ספק ה-EMR.');
INSERT INTO `lang_definitions` VALUES (31231, 2210, 7, 'לא ניתן לפתוח טבלה');
INSERT INTO `lang_definitions` VALUES (31232, 2211, 7, 'לא ניתן לקרוא קובץ');
INSERT INTO `lang_definitions` VALUES (31233, 2212, 7, 'לא ניתן לקרוא את הקובץ');
INSERT INTO `lang_definitions` VALUES (31234, 2214, 7, 'לא ניתן לשלוח דוא\"ל עקב בעיות בשרת,');
INSERT INTO `lang_definitions` VALUES (31235, 2216, 7, 'לא ניתן לשלוח דוא\"ל עקב בעיות בשרת.');
INSERT INTO `lang_definitions` VALUES (31236, 2217, 7, 'לא ניתן ליצור ספריית גיבוי:');
INSERT INTO `lang_definitions` VALUES (31237, 2218, 7, 'לא ניתן להסיר ספרייה:');
INSERT INTO `lang_definitions` VALUES (31238, 2219, 7, 'לא ניתן להסיר קובץ גיבוי:');
INSERT INTO `lang_definitions` VALUES (31239, 2220, 7, 'לא ניתן להסיר קובץ ייצוא ישן:');
INSERT INTO `lang_definitions` VALUES (31240, 2221, 7, 'ניהול קומדין - ניטור INR');
INSERT INTO `lang_definitions` VALUES (31241, 2222, 7, 'ייעוץ לפי שיטה');
INSERT INTO `lang_definitions` VALUES (31242, 2223, 7, 'ייעוץ');
INSERT INTO `lang_definitions` VALUES (31243, 2224, 7, 'פעילויות ייעוץ');
INSERT INTO `lang_definitions` VALUES (31244, 2227, 7, 'טופס הפניה נגדית~צולבת');
INSERT INTO `lang_definitions` VALUES (31245, 2228, 7, 'הפניה נגדית~צולבת');
INSERT INTO `lang_definitions` VALUES (31246, 2229, 7, 'מדינה');
INSERT INTO `lang_definitions` VALUES (31247, 2231, 7, 'סוג נתוני מדינה');
INSERT INTO `lang_definitions` VALUES (31248, 2232, 7, 'רשימת מדינות');
INSERT INTO `lang_definitions` VALUES (31249, 2233, 7, 'רשימת מדינות (כתיבה, הוספה בלבד אופציונלית)');
INSERT INTO `lang_definitions` VALUES (31250, 2235, 7, 'שם מדינה אמור להופיע כשתי אותיות. (דוגמה: ארצות הברית היא US)');
INSERT INTO `lang_definitions` VALUES (31251, 2236, 7, 'מחוז');
INSERT INTO `lang_definitions` VALUES (31252, 2237, 7, 'מחוז');
INSERT INTO `lang_definitions` VALUES (31253, 2238, 7, 'קופון');
INSERT INTO `lang_definitions` VALUES (31254, 2240, 7, 'בן דוד');
INSERT INTO `lang_definitions` VALUES (31255, 2244, 7, 'CPOE');
INSERT INTO `lang_definitions` VALUES (31256, 2245, 7, 'CPT');
INSERT INTO `lang_definitions` VALUES (31257, 2246, 7, 'קוד CPT');
INSERT INTO `lang_definitions` VALUES (31258, 2247, 7, 'קודי CPT');
INSERT INTO `lang_definitions` VALUES (31259, 2248, 7, 'הליך/שירות CPT4');
INSERT INTO `lang_definitions` VALUES (31260, 2249, 7, 'מדידות ביצועי CPTII');
INSERT INTO `lang_definitions` VALUES (31261, 2250, 7, 'CQM');
INSERT INTO `lang_definitions` VALUES (31262, 2252, 7, 'קולות פיצוח:');
INSERT INTO `lang_definitions` VALUES (31263, 2255, 7, 'משחה');
INSERT INTO `lang_definitions` VALUES (31264, 2256, 7, 'צור אישור SSL בצד הלקוח לכל משתמש או מחשב לקוח.');
INSERT INTO `lang_definitions` VALUES (31265, 2257, 7, 'צור אישור SSL בצד הלקוח לכל משתמש או לכל שם מארח של לקוח.');
INSERT INTO `lang_definitions` VALUES (31266, 2261, 7, 'צור מעקב חדש');
INSERT INTO `lang_definitions` VALUES (31267, 2269, 7, 'צור אירוע');
INSERT INTO `lang_definitions` VALUES (31268, 2273, 7, 'צור והורד גיבוי מלא');
INSERT INTO `lang_definitions` VALUES (31269, 2274, 7, 'צור ושנה מעקבים');
INSERT INTO `lang_definitions` VALUES (31270, 2275, 7, 'צור גיבוי');
INSERT INTO `lang_definitions` VALUES (31271, 2276, 7, 'צור אצווה');
INSERT INTO `lang_definitions` VALUES (31272, 2277, 7, 'צור אישור לקוח');
INSERT INTO `lang_definitions` VALUES (31273, 2278, 7, 'צור אישורי SSL בצד לקוח');
INSERT INTO `lang_definitions` VALUES (31274, 2281, 7, 'צור כפילות');
INSERT INTO `lang_definitions` VALUES (31275, 2282, 7, 'צור מפגש');
INSERT INTO `lang_definitions` VALUES (31276, 2283, 7, 'צור גיבוי יומן אירועים');
INSERT INTO `lang_definitions` VALUES (31277, 2285, 7, 'צור בעיה חדשה');
INSERT INTO `lang_definitions` VALUES (31278, 2287, 7, 'צור מטופל חדש');
INSERT INTO `lang_definitions` VALUES (31279, 2288, 7, 'צור מעקב חדש');
INSERT INTO `lang_definitions` VALUES (31280, 2290, 7, 'צור אישורי פורטל מחוץ לאתר');
INSERT INTO `lang_definitions` VALUES (31281, 2292, 7, 'צור אישורי פורטל באתר');
INSERT INTO `lang_definitions` VALUES (31282, 2294, 7, 'צור הערת מטופל');
INSERT INTO `lang_definitions` VALUES (31283, 2296, 7, 'צור רשות אישורי SSL ואת אישורי השרת.');
INSERT INTO `lang_definitions` VALUES (31284, 2297, 7, 'צור ביקור');
INSERT INTO `lang_definitions` VALUES (31285, 2298, 7, 'נוצר');
INSERT INTO `lang_definitions` VALUES (31286, 2306, 7, 'יוצר קובץ ייצוא');
INSERT INTO `lang_definitions` VALUES (31287, 2307, 7, 'יצירת מעקב חדש נכשלה');
INSERT INTO `lang_definitions` VALUES (31288, 2308, 7, 'יצירת קובץ זה במארח מרוחק נכשלה');
INSERT INTO `lang_definitions` VALUES (31289, 2309, 7, 'יוצר');
INSERT INTO `lang_definitions` VALUES (31290, 2311, 7, 'אשראי');
INSERT INTO `lang_definitions` VALUES (31291, 2312, 7, 'כרטיס אשראי');
INSERT INTO `lang_definitions` VALUES (31292, 2314, 7, 'אשראי~זיכויים');
INSERT INTO `lang_definitions` VALUES (31293, 2315, 7, 'קרי');
INSERT INTO `lang_definitions` VALUES (31294, 2316, 7, 'קריטריונים');
INSERT INTO `lang_definitions` VALUES (31295, 2318, 7, 'קרואטית');
INSERT INTO `lang_definitions` VALUES (31296, 2319, 7, 'מחלת קרוהן');
INSERT INTO `lang_definitions` VALUES (31297, 2320, 7, 'מחלת קרוהן');
INSERT INTO `lang_definitions` VALUES (31298, 2323, 7, 'ייצוא CSV');
INSERT INTO `lang_definitions` VALUES (31299, 2324, 7, 'קובץ CSV');
INSERT INTO `lang_definitions` VALUES (31300, 2325, 7, 'טבלאות CSV');
INSERT INTO `lang_definitions` VALUES (31301, 2330, 7, 'CU.MM');
INSERT INTO `lang_definitions` VALUES (31302, 2331, 7, 'קובנית');
INSERT INTO `lang_definitions` VALUES (31303, 2333, 7, 'מקומות עשרוניים של מטבע');
INSERT INTO `lang_definitions` VALUES (31304, 2334, 7, 'סמל נקודה עשרונית של מטבע');
INSERT INTO `lang_definitions` VALUES (31305, 2335, 7, 'מקצה המטבעות');
INSERT INTO `lang_definitions` VALUES (31306, 2336, 7, 'מפריד אלפים של מטבע');
INSERT INTO `lang_definitions` VALUES (31307, 2337, 7, 'נוכחי');
INSERT INTO `lang_definitions` VALUES (31308, 2338, 7, 'אלכוהול נוכחי');
INSERT INTO `lang_definitions` VALUES (31309, 2341, 7, 'ייעוץ נוכחי');
INSERT INTO `lang_definitions` VALUES (31310, 2342, 7, 'קריטריונים נוכחיים');
INSERT INTO `lang_definitions` VALUES (31311, 2344, 7, 'צבע להדגשת יום נוכחי');
INSERT INTO `lang_definitions` VALUES (31312, 2345, 7, 'מעשן מדי יום נוכחי');
INSERT INTO `lang_definitions` VALUES (31313, 2347, 7, 'שם הקובץ הנוכחי השתנה ל:');
INSERT INTO `lang_definitions` VALUES (31314, 2349, 7, 'Hash נוכחי');
INSERT INTO `lang_definitions` VALUES (31315, 2350, 7, 'מיקום נוכחי');
INSERT INTO `lang_definitions` VALUES (31316, 2352, 7, 'תרופות נוכחיות');
INSERT INTO `lang_definitions` VALUES (31317, 2354, 7, 'סיסמה נוכחית');
INSERT INTO `lang_definitions` VALUES (31318, 2356, 7, 'מטופל נוכחי');
INSERT INTO `lang_definitions` VALUES (31319, 2359, 7, 'מטופל~ניקוד~תשלום נוכחי בלבד');
INSERT INTO `lang_definitions` VALUES (31320, 2361, 7, 'סמים פסיכו-אקטיביים נוכחיים');
INSERT INTO `lang_definitions` VALUES (31321, 2363, 7, 'מעשן חלק מהימים נוכחי');
INSERT INTO `lang_definitions` VALUES (31322, 2365, 7, 'שעת עדכון סטטוס');
INSERT INTO `lang_definitions` VALUES (31323, 2369, 7, 'ערך נוכחי');
INSERT INTO `lang_definitions` VALUES (31324, 2371, 7, 'פעיל נוכחי');
INSERT INTO `lang_definitions` VALUES (31325, 2375, 7, 'פועל נוכחי');
INSERT INTO `lang_definitions` VALUES (31326, 2377, 7, 'אין מרפאות בשלב זה.');
INSERT INTO `lang_definitions` VALUES (31327, 2379, 7, 'תסמונת קושינג');
INSERT INTO `lang_definitions` VALUES (31328, 2380, 7, 'תסמונת קושינג');
INSERT INTO `lang_definitions` VALUES (31329, 2382, 7, 'משמורת');
INSERT INTO `lang_definitions` VALUES (31330, 2383, 7, 'התאמה אישית');
INSERT INTO `lang_definitions` VALUES (31331, 2390, 7, 'קלט בהתאמה אישית?');
INSERT INTO `lang_definitions` VALUES (31332, 2395, 7, 'טבלה מותאמת אישית');
INSERT INTO `lang_definitions` VALUES (31333, 2401, 7, 'קוד CVX');
INSERT INTO `lang_definitions` VALUES (31334, 2402, 7, 'קוד CVX');
INSERT INTO `lang_definitions` VALUES (31335, 2403, 7, 'מיפוי קוד CVX');
INSERT INTO `lang_definitions` VALUES (31336, 2404, 7, 'חיסון CVX');
INSERT INTO `lang_definitions` VALUES (31337, 2406, 7, 'מחזור');
INSERT INTO `lang_definitions` VALUES (31338, 2412, 7, 'CYP');
INSERT INTO `lang_definitions` VALUES (31339, 2413, 7, 'מקדם CYP');
INSERT INTO `lang_definitions` VALUES (31340, 2414, 7, 'דוח CYP');
INSERT INTO `lang_definitions` VALUES (31341, 2415, 7, 'צ\'כית');
INSERT INTO `lang_definitions` VALUES (31342, 2416, 7, 'D');
INSERT INTO `lang_definitions` VALUES (31343, 2417, 7, 'D&C');
INSERT INTO `lang_definitions` VALUES (31344, 2418, 7, 'D&E');
INSERT INTO `lang_definitions` VALUES (31345, 2420, 7, 'D.O.B.');
INSERT INTO `lang_definitions` VALUES (31346, 2421, 7, 'יומי');
INSERT INTO `lang_definitions` VALUES (31347, 2422, 7, 'רשומה יומית');
INSERT INTO `lang_definitions` VALUES (31348, 2423, 7, 'דוח יומית');
INSERT INTO `lang_definitions` VALUES (31349, 2425, 7, 'דנית');
INSERT INTO `lang_definitions` VALUES (31350, 2429, 7, 'נתונים דומים כבר קיימים במסד נתונים, נא לשנות את הקוד ו/או התיאור');
INSERT INTO `lang_definitions` VALUES (31351, 2430, 7, 'נתונים דומים כבר קיימים במסד נתונים, נא לשנות את שם הקבוע');
INSERT INTO `lang_definitions` VALUES (31352, 2431, 7, 'עמודות נתונים');
INSERT INTO `lang_definitions` VALUES (31353, 2432, 7, 'מזין הנתונים');
INSERT INTO `lang_definitions` VALUES (31354, 2433, 7, 'הזנת נתונים - מספר ביטוח לאומי');
INSERT INTO `lang_definitions` VALUES (31355, 2434, 7, 'הטקסט שהוזן ארוך מידי');
INSERT INTO `lang_definitions` VALUES (31356, 2435, 7, 'תחילת נתונים');
INSERT INTO `lang_definitions` VALUES (31357, 2436, 7, 'שלמות הנתונים נפגעה');
INSERT INTO `lang_definitions` VALUES (31358, 2437, 7, 'נתונים של כל המפגשים עד כה');
INSERT INTO `lang_definitions` VALUES (31359, 2439, 7, 'סוג נתונים');
INSERT INTO `lang_definitions` VALUES (31360, 2440, 7, 'מסד נתונים');
INSERT INTO `lang_definitions` VALUES (31361, 2442, 7, 'מסד הנתונים לא מותקן.');
INSERT INTO `lang_definitions` VALUES (31362, 2444, 7, 'תיקון למסד נתונים');
INSERT INTO `lang_definitions` VALUES (31363, 2445, 7, 'דיווח מסד נתונים');
INSERT INTO `lang_definitions` VALUES (31364, 2447, 7, 'שדרוג מסד נתונים הסתיים.');
INSERT INTO `lang_definitions` VALUES (31365, 2448, 7, 'DataCols חייב לקבל מספר בין 1 ל-999');
INSERT INTO `lang_definitions` VALUES (31366, 2449, 7, 'תאריך');
INSERT INTO `lang_definitions` VALUES (31367, 2450, 7, 'תאריך');
INSERT INTO `lang_definitions` VALUES (31368, 2451, 7, 'תאריך ושעה של נתינה~ניהול');
INSERT INTO `lang_definitions` VALUES (31369, 2452, 7, 'תאריך/שעה');
INSERT INTO `lang_definitions` VALUES (31370, 2453, 7, 'תאריך נתינה~ניהול');
INSERT INTO `lang_definitions` VALUES (31371, 2454, 7, 'תאריך ושעה של איסוף דגימה');
INSERT INTO `lang_definitions` VALUES (31372, 2455, 7, 'תאריך ושעה של תצפית זו');
INSERT INTO `lang_definitions` VALUES (31373, 2456, 7, 'תאריך ושעה של דוח זה');
INSERT INTO `lang_definitions` VALUES (31374, 2457, 7, 'תאריך ושעה שבהם נאספה הדגימה');
INSERT INTO `lang_definitions` VALUES (31375, 2458, 7, 'התאריך לא יכול להיות גדול יותר מהיום הנוכחי');
INSERT INTO `lang_definitions` VALUES (31376, 2459, 7, 'תאריך אספקה ראשונית של שירותי אמצעי מניעה');
INSERT INTO `lang_definitions` VALUES (31377, 2460, 7, 'תאריך יצירה');
INSERT INTO `lang_definitions` VALUES (31378, 2461, 7, 'תאריך פטירה');
INSERT INTO `lang_definitions` VALUES (31379, 2462, 7, 'תאריך השמדה');
INSERT INTO `lang_definitions` VALUES (31380, 2463, 7, 'תבנית תצוגת תאריך');
INSERT INTO `lang_definitions` VALUES (31381, 2464, 7, 'תבנית תאריך עבור \"סיום פגישה\" אינה חוקית');
INSERT INTO `lang_definitions` VALUES (31382, 2465, 7, 'תבנית תאריך עבור \"תחילת פגישה\" אינה חוקית');
INSERT INTO `lang_definitions` VALUES (31383, 2466, 7, 'תבנית תאריך עבור \"הפגישה הבאה\" אינה חוקית');
INSERT INTO `lang_definitions` VALUES (31384, 2467, 7, 'תבנית תאריך עבור \"לא נראה מאז\" אינה חוקית');
INSERT INTO `lang_definitions` VALUES (31385, 2469, 7, 'תבנית תאריך עבור \"נראה מאז\" אינה חוקית');
INSERT INTO `lang_definitions` VALUES (31386, 2470, 7, 'דוחות מידע חיסון שניתנו');
INSERT INTO `lang_definitions` VALUES (31387, 2471, 7, 'התאריך חסר עבור הקוד');
INSERT INTO `lang_definitions` VALUES (31388, 2472, 7, 'קריטריוני אב של תאריך');
INSERT INTO `lang_definitions` VALUES (31389, 2475, 7, 'תאריך הפקדה בבנק yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (31390, 2476, 7, 'תאריך חיוב');
INSERT INTO `lang_definitions` VALUES (31391, 2477, 7, 'תאריך לידה');
INSERT INTO `lang_definitions` VALUES (31392, 2478, 7, 'תאריך לידה');
INSERT INTO `lang_definitions` VALUES (31393, 2479, 7, 'תאריך לידה');
INSERT INTO `lang_definitions` VALUES (31394, 2481, 7, 'תאריך הזנה~רשומה');
INSERT INTO `lang_definitions` VALUES (31395, 2483, 7, 'תאריך פציעה');
INSERT INTO `lang_definitions` VALUES (31396, 2484, 7, 'תאריך תחילת בעיה');
INSERT INTO `lang_definitions` VALUES (31397, 2487, 7, 'תאריך תשלום yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (31398, 2489, 7, 'תאריך הפניה');
INSERT INTO `lang_definitions` VALUES (31399, 2491, 7, 'תאריך מענה');
INSERT INTO `lang_definitions` VALUES (31400, 2492, 7, 'תאריך דוח');
INSERT INTO `lang_definitions` VALUES (31401, 2493, 7, 'תאריך שירות');
INSERT INTO `lang_definitions` VALUES (31402, 2495, 7, 'תאריך שירות');
INSERT INTO `lang_definitions` VALUES (31403, 2496, 7, 'תאריך שירות = היום');
INSERT INTO `lang_definitions` VALUES (31404, 2498, 7, 'תאריך שירות mm/dd/yyyy');
INSERT INTO `lang_definitions` VALUES (31405, 2499, 7, 'תאריך שירות:');
INSERT INTO `lang_definitions` VALUES (31406, 2500, 7, 'תאריך חתימה');
INSERT INTO `lang_definitions` VALUES (31407, 2501, 7, 'תאריך עדכון מצב');
INSERT INTO `lang_definitions` VALUES (31408, 2503, 7, 'תאריך הזמנה זו');
INSERT INTO `lang_definitions` VALUES (31409, 2504, 7, 'תאריך דוח זה');
INSERT INTO `lang_definitions` VALUES (31410, 2505, 7, 'תאריך דוח VIS');
INSERT INTO `lang_definitions` VALUES (31411, 2506, 7, 'תאריך הזמנה');
INSERT INTO `lang_definitions` VALUES (31412, 2507, 7, 'טווח תאריכים');
INSERT INTO `lang_definitions` VALUES (31413, 2508, 7, 'בורר התאריכים');
INSERT INTO `lang_definitions` VALUES (31414, 2509, 7, 'בורר התאריכים');
INSERT INTO `lang_definitions` VALUES (31415, 2510, 7, 'תאריך שליחה');
INSERT INTO `lang_definitions` VALUES (31416, 2511, 7, 'תאריך שליחת ההודעה');
INSERT INTO `lang_definitions` VALUES (31417, 2512, 7, 'תאריך/שעה');
INSERT INTO `lang_definitions` VALUES (31418, 2513, 7, 'ערכי התאריך לא יכולים להיות ריקים.');
INSERT INTO `lang_definitions` VALUES (31419, 2516, 7, 'תאריך/פגישה');
INSERT INTO `lang_definitions` VALUES (31420, 2517, 7, 'תאריך/הערות');
INSERT INTO `lang_definitions` VALUES (31421, 2518, 7, 'תאריך/הערות של אחרונים');
INSERT INTO `lang_definitions` VALUES (31422, 2519, 7, 'תאריך/שעה');
INSERT INTO `lang_definitions` VALUES (31423, 2520, 7, 'תאריך:');
INSERT INTO `lang_definitions` VALUES (31424, 2523, 7, 'יומן הודעות מתוארכות');
INSERT INTO `lang_definitions` VALUES (31425, 2526, 7, 'יום');
INSERT INTO `lang_definitions` VALUES (31426, 2527, 7, 'ימים');
INSERT INTO `lang_definitions` VALUES (31427, 2529, 7, 'דוח גיליון יומי');
INSERT INTO `lang_definitions` VALUES (31428, 2530, 7, 'תצוגת יום');
INSERT INTO `lang_definitions` VALUES (31429, 2531, 7, 'ימים');
INSERT INTO `lang_definitions` VALUES (31430, 2532, 7, 'ימים ב\'-ו\'');
INSERT INTO `lang_definitions` VALUES (31431, 2533, 7, 'ימים');
INSERT INTO `lang_definitions` VALUES (31432, 2534, 7, 'ימים');
INSERT INTO `lang_definitions` VALUES (31433, 2535, 7, 'ימים עברו');
INSERT INTO `lang_definitions` VALUES (31434, 2536, 7, 'ימים ומשחקים שהוחמצו');
INSERT INTO `lang_definitions` VALUES (31435, 2537, 7, 'ימים מאז מפגש אחרון');
INSERT INTO `lang_definitions` VALUES (31436, 2538, 7, 'ימים שהוחמצו');
INSERT INTO `lang_definitions` VALUES (31437, 2541, 7, 'ימים לעמודה:');
INSERT INTO `lang_definitions` VALUES (31438, 2542, 7, 'ימים/עמודה');
INSERT INTO `lang_definitions` VALUES (31439, 2543, 7, 'ימים/עמודה:');
INSERT INTO `lang_definitions` VALUES (31440, 2544, 7, 'מסד נתונים מותקן');
INSERT INTO `lang_definitions` VALUES (31441, 2545, 7, 'DD/MM/YYYY');
INSERT INTO `lang_definitions` VALUES (31442, 2546, 7, 'ביטול זיהוי');
INSERT INTO `lang_definitions` VALUES (31443, 2547, 7, 'תהליך ביטול הזיהוי הושלם');
INSERT INTO `lang_definitions` VALUES (31444, 2548, 7, 'תהליך ביטול הזיהוי מתבצע');
INSERT INTO `lang_definitions` VALUES (31445, 2549, 7, 'תהליך ביטול הזיהוי התחיל, ופועל ברקע');
INSERT INTO `lang_definitions` VALUES (31446, 2550, 7, 'ייתכן שנתוני ביטול הזיהוי אינם שלמים');
INSERT INTO `lang_definitions` VALUES (31447, 2551, 7, 'קובצי ביטול זיהוי יישמרו ב:');
INSERT INTO `lang_definitions` VALUES (31448, 2552, 7, 'DEA');
INSERT INTO `lang_definitions` VALUES (31449, 2555, 7, 'בטל הפעלה');
INSERT INTO `lang_definitions` VALUES (31450, 2558, 7, 'חירש');
INSERT INTO `lang_definitions` VALUES (31451, 2562, 7, 'מידע איתור באגים');
INSERT INTO `lang_definitions` VALUES (31452, 2563, 7, 'פלט איתור באגים');
INSERT INTO `lang_definitions` VALUES (31453, 2564, 7, 'איתור באגים');
INSERT INTO `lang_definitions` VALUES (31454, 2565, 7, 'דצמ');
INSERT INTO `lang_definitions` VALUES (31455, 2567, 7, 'נפטר');
INSERT INTO `lang_definitions` VALUES (31456, 2574, 7, 'דצמבר');
INSERT INTO `lang_definitions` VALUES (31457, 2578, 7, 'ליברות ואונקיות עשרוניות מופרדות ב-#(למשל 5#4)');
INSERT INTO `lang_definitions` VALUES (31458, 2579, 7, 'סירב לציין');
INSERT INTO `lang_definitions` VALUES (31459, 2580, 7, 'סף השתתפות עצמית');
INSERT INTO `lang_definitions` VALUES (31460, 2581, 7, 'הגעת לסף השתתפות עצמית');
INSERT INTO `lang_definitions` VALUES (31461, 2583, 7, 'ברירת מחדל');
INSERT INTO `lang_definitions` VALUES (31462, 2585, 7, 'תצוגת לוח שנה של ברירת מחדל');
INSERT INTO `lang_definitions` VALUES (31463, 2587, 7, 'מזהה טופס ברירת מחדל של מפגש');
INSERT INTO `lang_definitions` VALUES (31464, 2588, 7, 'תצוגת מפגש של ברירת מחדל');
INSERT INTO `lang_definitions` VALUES (31465, 2589, 7, 'מתקן ברירת מחדל');
INSERT INTO `lang_definitions` VALUES (31466, 2594, 7, 'שפת ברירת מחדל');
INSERT INTO `lang_definitions` VALUES (31467, 2595, 7, 'שפת ברירת מחדל אם שום שפה אחרת לא הותרה או נבחרה.');
INSERT INTO `lang_definitions` VALUES (31468, 2598, 7, 'רשימת ברירת מחדל (כתיבה, הוספה בלבד אופציונלית)');
INSERT INTO `lang_definitions` VALUES (31469, 2600, 7, 'שיטת ברירת מחדל');
INSERT INTO `lang_definitions` VALUES (31470, 2601, 7, 'ימים לתפוגת סיסמה של ברירת מחדל');
INSERT INTO `lang_definitions` VALUES (31471, 2602, 7, 'תקופת תפוגת הסיסמה של ברירת מחדל. 0 פירושו שתכונה זו מושבתת.');
INSERT INTO `lang_definitions` VALUES (31472, 2603, 7, 'מדינת מטופל של ברירת מחדל');
INSERT INTO `lang_definitions` VALUES (31473, 2604, 7, 'מדינת מטופל של ברירת מחדל הנשלחת אל NewCrop eRx, רק אם מדינת המטופל לא הוגדרה.');
INSERT INTO `lang_definitions` VALUES (31474, 2606, 7, 'עדיפות ברירת מחדל');
INSERT INTO `lang_definitions` VALUES (31475, 2607, 7, 'ספק ברירת מחדל');
INSERT INTO `lang_definitions` VALUES (31476, 2609, 7, 'טווח ברירת מחדל');
INSERT INTO `lang_definitions` VALUES (31477, 2610, 7, 'סיבת ברירת מחדל לביקור');
INSERT INTO `lang_definitions` VALUES (31478, 2612, 7, 'סוג קוד חיפוש של ברירת מחדל');
INSERT INTO `lang_definitions` VALUES (31479, 2615, 7, 'הגדרת ברירת מחדל');
INSERT INTO `lang_definitions` VALUES (31480, 2617, 7, 'מצב ברירת מחדל של תיבת סימון של חלון ברשימת המטופלים.');
INSERT INTO `lang_definitions` VALUES (31481, 2618, 7, 'תבנית ברירת מחדל');
INSERT INTO `lang_definitions` VALUES (31482, 2619, 7, 'ברירת מחדל לספק עבור פריט שורה בגיליון התשלום');
INSERT INTO `lang_definitions` VALUES (31483, 2620, 7, 'ברירת מחדל לספק עבור פריט שורה בגיליון התשלום. (רלוונטי רק במקרה של חיוב פריט שורה \'תמיכה\' באפשרות למעלה)');
INSERT INTO `lang_definitions` VALUES (31484, 2621, 7, 'מעבר ברירת מחדל לערך הקודם');
INSERT INTO `lang_definitions` VALUES (31485, 2624, 7, 'יחידות ברירת מחדל');
INSERT INTO `lang_definitions` VALUES (31486, 2626, 7, 'ערך ברירת מחדל');
INSERT INTO `lang_definitions` VALUES (31487, 2628, 7, 'מחסן ברירת מחדל');
INSERT INTO `lang_definitions` VALUES (31488, 2629, 7, 'שותף X12 של ברירת מחדל');
INSERT INTO `lang_definitions` VALUES (31489, 2630, 7, 'ברירת מחדל/גלובלי');
INSERT INTO `lang_definitions` VALUES (31490, 2635, 7, 'מחק');
INSERT INTO `lang_definitions` VALUES (31491, 2636, 7, 'מחק');
INSERT INTO `lang_definitions` VALUES (31492, 2637, 7, 'הישנות מושהית (> 12 חודשים)');
INSERT INTO `lang_definitions` VALUES (31493, 2638, 7, 'מחק');
INSERT INTO `lang_definitions` VALUES (31494, 2639, 7, 'נמחק');
INSERT INTO `lang_definitions` VALUES (31495, 2640, 7, 'מחק קטגוריות עם המזהים:');
INSERT INTO `lang_definitions` VALUES (31496, 2641, 7, 'מחק קטגוריה');
INSERT INTO `lang_definitions` VALUES (31497, 2643, 7, 'מחק טופס מפגש');
INSERT INTO `lang_definitions` VALUES (31498, 2644, 7, 'המחיקה נכשלה!');
INSERT INTO `lang_definitions` VALUES (31499, 2645, 7, 'מחק קבוצה');
INSERT INTO `lang_definitions` VALUES (31500, 2646, 7, 'מחק רשימה');
INSERT INTO `lang_definitions` VALUES (31501, 2648, 7, 'מחק דפים');
INSERT INTO `lang_definitions` VALUES (31502, 2649, 7, 'מחק מטופל, מפגש, טופס, בעיה, מסמך, תשלום, חיוב או טרנזקציה');
INSERT INTO `lang_definitions` VALUES (31503, 2650, 7, 'מחק תוכנית');
INSERT INTO `lang_definitions` VALUES (31504, 2651, 7, 'מחק שורה');
INSERT INTO `lang_definitions` VALUES (31505, 2652, 7, 'מחק פריטים נבחרים');
INSERT INTO `lang_definitions` VALUES (31506, 2653, 7, 'מחק בקשות נבחרות');
INSERT INTO `lang_definitions` VALUES (31507, 2655, 7, 'המחיקה בוצעה בהצלחה.');
INSERT INTO `lang_definitions` VALUES (31508, 2656, 7, 'מחק מסמך זה');
INSERT INTO `lang_definitions` VALUES (31509, 2657, 7, 'מחק טופס זה');
INSERT INTO `lang_definitions` VALUES (31510, 2659, 7, 'מחק הערה זו');
INSERT INTO `lang_definitions` VALUES (31511, 2660, 7, 'נמחק בהצלחה');
INSERT INTO `lang_definitions` VALUES (31512, 2661, 7, 'נמחק בהצלחה.');
INSERT INTO `lang_definitions` VALUES (31513, 2662, 7, 'מחיקה');
INSERT INTO `lang_definitions` VALUES (31514, 2663, 7, 'לא ניתן לבטל מחיקת אירוע זה. לא ניתן לשחזר את הפריט לאחר שנמחק. האם אתה בטוח שברצונך למחוק אירוע זה?');
INSERT INTO `lang_definitions` VALUES (31515, 2666, 7, 'מסירה אושרה');
INSERT INTO `lang_definitions` VALUES (31516, 2667, 7, 'המשלוח אינו מותר לכתובת הישירה שצוינה.');
INSERT INTO `lang_definitions` VALUES (31517, 2668, 7, 'המשלוח אינו מותר בשלב זה לכתובת הישירה שצוינה.');
INSERT INTO `lang_definitions` VALUES (31518, 2669, 7, 'משלוח המסמך הקליני המצורף התבקש על-ידי המטופל');
INSERT INTO `lang_definitions` VALUES (31519, 2670, 7, 'משלוח המסמך הקליני המצורף התבקש על-ידי המטופל.');
INSERT INTO `lang_definitions` VALUES (31520, 2671, 7, 'דמנציה');
INSERT INTO `lang_definitions` VALUES (31521, 2673, 7, 'דמוגרפיה');
INSERT INTO `lang_definitions` VALUES (31522, 2674, 7, 'דמוגרפיה (כתיבה, הוספה בלבד אופציונלית)');
INSERT INTO `lang_definitions` VALUES (31523, 2677, 7, 'שדות דמוגרפיה');
INSERT INTO `lang_definitions` VALUES (31524, 2678, 7, 'קריטריוני סינון דמוגרפיה');
INSERT INTO `lang_definitions` VALUES (31525, 2680, 7, 'דמוגרפיה אינה מורשית');
INSERT INTO `lang_definitions` VALUES (31526, 2681, 7, 'דמוגרפיה אינה מורשית.');
INSERT INTO `lang_definitions` VALUES (31527, 2682, 7, 'נדחה');
INSERT INTO `lang_definitions` VALUES (31528, 2684, 7, 'מכנה');
INSERT INTO `lang_definitions` VALUES (31529, 2687, 7, 'דנטלי');
INSERT INTO `lang_definitions` VALUES (31530, 2688, 7, 'רשימת בעיות דנטליות');
INSERT INTO `lang_definitions` VALUES (31531, 2689, 7, 'בעיות דנטליות');
INSERT INTO `lang_definitions` VALUES (31532, 2691, 7, 'מודולי תלות');
INSERT INTO `lang_definitions` VALUES (31533, 2692, 7, 'בעיית תלות');
INSERT INTO `lang_definitions` VALUES (31534, 2694, 7, 'בהתאם לסוג החשבון שאתה בודק, תראה פלט הדומה ל-HCFA בדף רק עבור חשבונות HCFA, ותראה שורות רבות של טקסט ומידע משובשים במידה מסוימת אם אתה בודק תביעת X12. טקסט משובש זה הוא תבנית X12 EDI 4010A. מדי פעם יופיעו תווים משונים הנראים כמו אבני דומינו או קווים מפותלים. אלו הם תווי בקרה, כגון הזנות דף, ומדובר בתופעה רגילה.');
INSERT INTO `lang_definitions` VALUES (31535, 2696, 7, 'תאריך הפקדה');
INSERT INTO `lang_definitions` VALUES (31536, 2697, 7, 'תאריך ההפקדה לא יכול להיות גדול יותר מהיום הנוכחי');
INSERT INTO `lang_definitions` VALUES (31537, 2698, 7, 'תאריך הפקדה:');
INSERT INTO `lang_definitions` VALUES (31538, 2699, 7, 'בדיכאון');
INSERT INTO `lang_definitions` VALUES (31539, 2700, 7, 'דיכאון');
INSERT INTO `lang_definitions` VALUES (31540, 2705, 7, 'תיאור');
INSERT INTO `lang_definitions` VALUES (31541, 2706, 7, 'תיאור');
INSERT INTO `lang_definitions` VALUES (31542, 2707, 7, 'תיאור');
INSERT INTO `lang_definitions` VALUES (31543, 2708, 7, 'התיאור הוא טקסט ברירת מחדל');
INSERT INTO `lang_definitions` VALUES (31544, 2709, 7, 'תיאור המידע');
INSERT INTO `lang_definitions` VALUES (31545, 2710, 7, 'תיאור של הליך זה או קוד תוצאה');
INSERT INTO `lang_definitions` VALUES (31546, 2711, 7, 'תרגום תיאור');
INSERT INTO `lang_definitions` VALUES (31547, 2712, 7, 'שם קובץ רצוי');
INSERT INTO `lang_definitions` VALUES (31548, 2713, 7, 'יעד');
INSERT INTO `lang_definitions` VALUES (31549, 2714, 7, 'שם קובץ יעד');
INSERT INTO `lang_definitions` VALUES (31550, 2716, 7, 'השמד מנה');
INSERT INTO `lang_definitions` VALUES (31551, 2717, 7, 'השמדה...');
INSERT INTO `lang_definitions` VALUES (31552, 2718, 7, 'הושמד');
INSERT INTO `lang_definitions` VALUES (31553, 2719, 7, 'השמדת תרופות');
INSERT INTO `lang_definitions` VALUES (31554, 2720, 7, 'דוח השמדת תרופות');
INSERT INTO `lang_definitions` VALUES (31555, 2721, 7, 'פירוט');
INSERT INTO `lang_definitions` VALUES (31556, 2726, 7, 'פרטים');
INSERT INTO `lang_definitions` VALUES (31557, 2727, 7, 'מפתח');
INSERT INTO `lang_definitions` VALUES (31558, 2728, 7, 'חריגה התפתחותית');
INSERT INTO `lang_definitions` VALUES (31559, 2730, 7, 'סוכרת');
INSERT INTO `lang_definitions` VALUES (31560, 2731, 7, 'סוכרת');
INSERT INTO `lang_definitions` VALUES (31561, 2732, 7, 'סוכרת: ניהול לחץ דם (CQM)');
INSERT INTO `lang_definitions` VALUES (31562, 2733, 7, 'סוכרת: בדיקת עיניים');
INSERT INTO `lang_definitions` VALUES (31563, 2734, 7, 'סוכרת: בדיקת עיניים (CQM)');
INSERT INTO `lang_definitions` VALUES (31564, 2735, 7, 'סוכרת: בדיקת כף רגל');
INSERT INTO `lang_definitions` VALUES (31565, 2736, 7, 'סוכרת: בדיקת כף רגל (CQM)');
INSERT INTO `lang_definitions` VALUES (31566, 2737, 7, 'סוכרת: בקרה לקויה של HbA1c‏‏ (CQM)');
INSERT INTO `lang_definitions` VALUES (31567, 2738, 7, 'סוכרת: A1C המוגלובין');
INSERT INTO `lang_definitions` VALUES (31568, 2739, 7, 'סוכרת: ניהול ובקרה של LDL‏ (CQM)');
INSERT INTO `lang_definitions` VALUES (31569, 2740, 7, 'סוכרת: מיקרואלבומין שתן');
INSERT INTO `lang_definitions` VALUES (31570, 2741, 7, 'אבחון');
INSERT INTO `lang_definitions` VALUES (31571, 2742, 7, 'אבחונים');
INSERT INTO `lang_definitions` VALUES (31572, 2743, 7, 'אבחנה');
INSERT INTO `lang_definitions` VALUES (31573, 2744, 7, 'קוד אבחון');
INSERT INTO `lang_definitions` VALUES (31574, 2745, 7, 'קודי אבחון');
INSERT INTO `lang_definitions` VALUES (31575, 2747, 7, 'תאריך אבחון');
INSERT INTO `lang_definitions` VALUES (31576, 2749, 7, 'יש לקודד את האבחון במפגש מקושר');
INSERT INTO `lang_definitions` VALUES (31577, 2750, 7, 'שם אבחון');
INSERT INTO `lang_definitions` VALUES (31578, 2751, 7, 'דוח אבחון');
INSERT INTO `lang_definitions` VALUES (31579, 2752, 7, 'דיווח אבחון');
INSERT INTO `lang_definitions` VALUES (31580, 2753, 7, 'דיווח אבחון בלבד');
INSERT INTO `lang_definitions` VALUES (31581, 2754, 7, 'כותרת אבחון');
INSERT INTO `lang_definitions` VALUES (31582, 2755, 7, 'אבחון:');
INSERT INTO `lang_definitions` VALUES (31583, 2756, 7, 'אבחון:');
INSERT INTO `lang_definitions` VALUES (31584, 2758, 7, 'בדיקות שגיאת אבחון:');
INSERT INTO `lang_definitions` VALUES (31585, 2760, 7, 'חיוג~חיוגים~חוגות');
INSERT INTO `lang_definitions` VALUES (31586, 2763, 7, 'דיאפרגמה/מכסים');
INSERT INTO `lang_definitions` VALUES (31587, 2764, 7, 'שלשול');
INSERT INTO `lang_definitions` VALUES (31588, 2765, 7, 'דיאסטולי');
INSERT INTO `lang_definitions` VALUES (31589, 2767, 7, 'הכתבה');
INSERT INTO `lang_definitions` VALUES (31590, 2768, 7, 'הכתבה:');
INSERT INTO `lang_definitions` VALUES (31591, 2769, 7, 'האם קיבלת עותק של הודעת ה-HIPAA?');
INSERT INTO `lang_definitions` VALUES (31592, 2770, 7, 'דיפוזיה:');
INSERT INTO `lang_definitions` VALUES (31593, 2771, 7, 'בחתימה דיגיטלית');
INSERT INTO `lang_definitions` VALUES (31594, 2778, 7, 'כתובת ישירה');
INSERT INTO `lang_definitions` VALUES (31595, 2779, 7, 'כתובת ישירה');
INSERT INTO `lang_definitions` VALUES (31596, 2781, 7, 'דואר ישיר');
INSERT INTO `lang_definitions` VALUES (31597, 2782, 7, 'יומן הודעות ישירות');
INSERT INTO `lang_definitions` VALUES (31598, 2783, 7, 'הודעה ישירה התקבלה.');
INSERT INTO `lang_definitions` VALUES (31599, 2784, 7, 'העברת מסרים ישירה אינה זמינה כעת.');
INSERT INTO `lang_definitions` VALUES (31600, 2785, 7, 'שליחת הודעה ישירה נכשלה.');
INSERT INTO `lang_definitions` VALUES (31601, 2786, 7, 'הנחיות');
INSERT INTO `lang_definitions` VALUES (31602, 2787, 7, 'שם דירקטור');
INSERT INTO `lang_definitions` VALUES (31603, 2788, 7, 'מחיקת ספרייה נכשלה; ממשיך.');
INSERT INTO `lang_definitions` VALUES (31604, 2789, 7, 'נכות');
INSERT INTO `lang_definitions` VALUES (31605, 2790, 7, 'השבת');
INSERT INTO `lang_definitions` VALUES (31606, 2794, 7, 'השבת לוח שנה');
INSERT INTO `lang_definitions` VALUES (31607, 2795, 7, 'השבת מעקב תרשים');
INSERT INTO `lang_definitions` VALUES (31608, 2798, 7, 'השבת חיסונים');
INSERT INTO `lang_definitions` VALUES (31609, 2800, 7, 'השבת טופס סימנים חיוביים מטרי ישן');
INSERT INTO `lang_definitions` VALUES (31610, 2801, 7, 'השבת לוח זרימת מטופל');
INSERT INTO `lang_definitions` VALUES (31611, 2802, 7, 'השבת phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (31612, 2803, 7, 'השבת מרשמים');
INSERT INTO `lang_definitions` VALUES (31613, 2804, 7, 'השבת קבוצות משתמש');
INSERT INTO `lang_definitions` VALUES (31614, 2805, 7, 'מושבת~נכה');
INSERT INTO `lang_definitions` VALUES (31615, 2806, 7, 'מושבת~נכה');
INSERT INTO `lang_definitions` VALUES (31616, 2807, 7, 'מוטב נכה מתחת לגיל 65 עם Large Group Health Plan‏ (LGHP)');
INSERT INTO `lang_definitions` VALUES (31617, 2812, 7, '~בטל~דיסקDISC');
INSERT INTO `lang_definitions` VALUES (31618, 2813, 7, 'בטל');
INSERT INTO `lang_definitions` VALUES (31619, 2814, 7, 'בוטל');
INSERT INTO `lang_definitions` VALUES (31620, 2815, 7, 'שחרור~הפרשה');
INSERT INTO `lang_definitions` VALUES (31621, 2816, 7, 'הפרשה מהשופכה');
INSERT INTO `lang_definitions` VALUES (31622, 2817, 7, 'תרופות להפרשה~תרופות שחרור');
INSERT INTO `lang_definitions` VALUES (31623, 2818, 7, 'הפרשה בצד ימין');
INSERT INTO `lang_definitions` VALUES (31624, 2819, 7, 'הפרשה בצד ימין:');
INSERT INTO `lang_definitions` VALUES (31625, 2820, 7, 'סיכום שחרור');
INSERT INTO `lang_definitions` VALUES (31626, 2822, 7, 'זמן שחרור~הפרשה');
INSERT INTO `lang_definitions` VALUES (31627, 2823, 7, 'משוחרר');
INSERT INTO `lang_definitions` VALUES (31628, 2825, 7, 'פרטי גילוי');
INSERT INTO `lang_definitions` VALUES (31629, 2826, 7, 'סוג העברת מידע');
INSERT INTO `lang_definitions` VALUES (31630, 2827, 7, 'סוגי העברת מידע');
INSERT INTO `lang_definitions` VALUES (31631, 2828, 7, 'גילויים');
INSERT INTO `lang_definitions` VALUES (31632, 2832, 7, 'הפסק');
INSERT INTO `lang_definitions` VALUES (31633, 2833, 7, 'הנחה');
INSERT INTO `lang_definitions` VALUES (31634, 2834, 7, 'סכום הנחה');
INSERT INTO `lang_definitions` VALUES (31635, 2835, 7, 'רמת הנחה');
INSERT INTO `lang_definitions` VALUES (31636, 2836, 7, 'אחוז הנחה');
INSERT INTO `lang_definitions` VALUES (31637, 2837, 7, 'הנחות בתור סכומים כספיים');
INSERT INTO `lang_definitions` VALUES (31638, 2838, 7, 'הנחות במועד התשלום מוזנות בתור סכומי כסף, ולא כאחוז.');
INSERT INTO `lang_definitions` VALUES (31639, 2839, 7, 'תוצאה נפרדת');
INSERT INTO `lang_definitions` VALUES (31640, 2841, 7, 'מחלה');
INSERT INTO `lang_definitions` VALUES (31641, 2843, 7, 'שינוי מיקום~פריקה');
INSERT INTO `lang_definitions` VALUES (31642, 2847, 7, 'מס\' תצוגה');
INSERT INTO `lang_definitions` VALUES (31643, 2848, 7, 'שיגור');
INSERT INTO `lang_definitions` VALUES (31644, 2849, 7, 'שיגור - מסמך התקבל');
INSERT INTO `lang_definitions` VALUES (31645, 2853, 7, 'הוצאה~ניפוק');
INSERT INTO `lang_definitions` VALUES (31646, 2856, 7, 'הצג הנחיות מוקדמות~מתקדמות בדף הדמוגרפיה.');
INSERT INTO `lang_definitions` VALUES (31647, 2858, 7, 'הצג מסמכים');
INSERT INTO `lang_definitions` VALUES (31648, 2859, 7, 'האם להציג תאריכי אירועים בבלוק?');
INSERT INTO `lang_definitions` VALUES (31649, 2860, 7, 'הצג תבנית למשקלים של ארה\"ב');
INSERT INTO `lang_definitions` VALUES (31650, 2861, 7, 'כמה אירועים להציג?');
INSERT INTO `lang_definitions` VALUES (31651, 2863, 7, 'הצג מספר חשבונית או שם מטופל או את שניהם בדוח המכירות');
INSERT INTO `lang_definitions` VALUES (31652, 2865, 7, 'האם להציג מיקומים בבלוק?');
INSERT INTO `lang_definitions` VALUES (31653, 2866, 7, 'שם תצוגה');
INSERT INTO `lang_definitions` VALUES (31654, 2868, 7, 'האם להציג לוח שנה?');
INSERT INTO `lang_definitions` VALUES (31655, 2870, 7, 'הצג את הערת חיוב המפגש או הרעת חיוב מטופל או את שתיהן במסך החיוב.');
INSERT INTO `lang_definitions` VALUES (31656, 2874, 7, 'הצג את עמודת היחידות במסך החיוב');
INSERT INTO `lang_definitions` VALUES (31657, 2875, 7, 'האם להציג את האירועים של היום בבלוק?');
INSERT INTO `lang_definitions` VALUES (31658, 2876, 7, 'האם להציג נושא בבלוק?');
INSERT INTO `lang_definitions` VALUES (31659, 2877, 7, 'האם להציג אירועים קרובים בבלוק?');
INSERT INTO `lang_definitions` VALUES (31660, 2879, 7, 'עמודות מוצגות');
INSERT INTO `lang_definitions` VALUES (31661, 2880, 7, 'מציג את המספר הבא של הגילויים האחרונים:');
INSERT INTO `lang_definitions` VALUES (31662, 2882, 7, 'מציג את המספר הבא של ההערות האחרונות');
INSERT INTO `lang_definitions` VALUES (31663, 2883, 7, 'מציג את המספר הבא של ההערות האחרונות:');
INSERT INTO `lang_definitions` VALUES (31664, 2890, 7, 'הפצה');
INSERT INTO `lang_definitions` VALUES (31665, 2891, 7, 'הפצות');
INSERT INTO `lang_definitions` VALUES (31666, 2892, 7, 'מפיץ');
INSERT INTO `lang_definitions` VALUES (31667, 2894, 7, 'Divehi- Dhivehi- Maldivian-');
INSERT INTO `lang_definitions` VALUES (31668, 2897, 7, 'דיברטיקוליטיס');
INSERT INTO `lang_definitions` VALUES (31669, 2898, 7, 'ניתוח דיברטיקוליטיס');
INSERT INTO `lang_definitions` VALUES (31670, 2899, 7, 'דיברטיקוליטיס');
INSERT INTO `lang_definitions` VALUES (31671, 2900, 7, 'ניתוח דיברטיקוליטיס');
INSERT INTO `lang_definitions` VALUES (31672, 2901, 7, 'גרוש');
INSERT INTO `lang_definitions` VALUES (31673, 2902, 7, 'סחרחורת:');
INSERT INTO `lang_definitions` VALUES (31674, 2905, 7, 'אל תשנה');
INSERT INTO `lang_definitions` VALUES (31675, 2906, 7, 'אל תציג רגישויות שהועלו לאחר ביקור ב-NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (31676, 2907, 7, 'אל תציג רגישויות שהועלו ל-NewCrop');
INSERT INTO `lang_definitions` VALUES (31677, 2908, 7, 'אל תציג תרופות שהועלו לאחר ביקור ב-NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (31678, 2909, 7, 'אל תציג תרופות שהועלו ל-NewCrop');
INSERT INTO `lang_definitions` VALUES (31679, 2910, 7, 'אל תציג העלאת רגישויות של NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (31680, 2911, 7, 'אל תציג העלאת תרופות של NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (31681, 2912, 7, 'אל תציג את לוח השנה.');
INSERT INTO `lang_definitions` VALUES (31682, 2913, 7, 'אל תציג לוח זרימת מטופל.');
INSERT INTO `lang_definitions` VALUES (31683, 2916, 7, 'אל תכלול במלאי ותמכור שום מוצרים');
INSERT INTO `lang_definitions` VALUES (31684, 2919, 7, 'אל תדרוש הרשאה של הערות מטופל');
INSERT INTO `lang_definitions` VALUES (31685, 2920, 7, 'הוראת אי-החייאה');
INSERT INTO `lang_definitions` VALUES (31686, 2921, 7, 'אל תשמור');
INSERT INTO `lang_definitions` VALUES (31687, 2922, 7, 'אל תיתן תחליף');
INSERT INTO `lang_definitions` VALUES (31688, 2925, 7, 'אל תעשה כלום');
INSERT INTO `lang_definitions` VALUES (31689, 2928, 7, 'האם אתה בטוח שברצונך להמשיך');
INSERT INTO `lang_definitions` VALUES (31690, 2929, 7, 'האם אתה בטוח שברצונך למחוק');
INSERT INTO `lang_definitions` VALUES (31691, 2930, 7, 'האם אתה בטוח שברצונך למחוק את הפריטים הנבחרים?');
INSERT INTO `lang_definitions` VALUES (31692, 2931, 7, 'האם אתה בטוח שברצונך למחוק קבוצה זו');
INSERT INTO `lang_definitions` VALUES (31693, 2932, 7, 'האם אתה בטוח שברצונך למחוק?');
INSERT INTO `lang_definitions` VALUES (31694, 2934, 7, 'האם ברצונך להמשיך?');
INSERT INTO `lang_definitions` VALUES (31695, 2935, 7, 'האם ברצונך למחוק זאת?');
INSERT INTO `lang_definitions` VALUES (31696, 2936, 7, 'האם ברצונך למחוק?');
INSERT INTO `lang_definitions` VALUES (31697, 2937, 7, 'האם ברצונך להסיר רשומה זו?');
INSERT INTO `lang_definitions` VALUES (31698, 2938, 7, 'האם ברצונך להמשיך בהוספת מטופל חדש זה?');
INSERT INTO `lang_definitions` VALUES (31699, 2939, 7, 'האם ברצונך להמשיך עם השם החדש?');
INSERT INTO `lang_definitions` VALUES (31700, 2940, 7, 'האם ברצונך למחוק לצמיתות תיק חיסון זה?');
INSERT INTO `lang_definitions` VALUES (31701, 2941, 7, 'תאריך לידה');
INSERT INTO `lang_definitions` VALUES (31702, 2942, 7, 'תאריך לידה חסר, הזן אם אפשר');
INSERT INTO `lang_definitions` VALUES (31703, 2944, 7, 'מסמכים~רופאים');
INSERT INTO `lang_definitions` VALUES (31704, 2945, 7, 'רופא');
INSERT INTO `lang_definitions` VALUES (31705, 2946, 7, 'רופא:');
INSERT INTO `lang_definitions` VALUES (31706, 2947, 7, 'שם וחתימת הרופא');
INSERT INTO `lang_definitions` VALUES (31707, 2948, 7, 'מסמך');
INSERT INTO `lang_definitions` VALUES (31708, 2949, 7, 'מסמך');
INSERT INTO `lang_definitions` VALUES (31709, 2951, 7, 'קטגוריות מסמך');
INSERT INTO `lang_definitions` VALUES (31710, 2952, 7, 'קטגוריית מסמך עבור תוצאות מעבדה לא קיימת');
INSERT INTO `lang_definitions` VALUES (31711, 2953, 7, 'שם קטגוריית מסמך לאחסון של תוצאות מעבדה שהתקבלו אלקטרונית.');
INSERT INTO `lang_definitions` VALUES (31712, 2954, 7, 'שם קטגוריית מסמך לאחסון של מסמכי MDM שהתקבלו אלקטרונית.');
INSERT INTO `lang_definitions` VALUES (31713, 2955, 7, 'קטגוריית מסמך או בטל');
INSERT INTO `lang_definitions` VALUES (31714, 2958, 7, 'לא ניתן להעביר את המסמך למזהה המטופל');
INSERT INTO `lang_definitions` VALUES (31715, 2959, 7, 'מסמך נוצר');
INSERT INTO `lang_definitions` VALUES (31716, 2960, 7, 'תאריך מסמך');
INSERT INTO `lang_definitions` VALUES (31717, 2961, 7, 'המסמך עודכן בהצלחה');
INSERT INTO `lang_definitions` VALUES (31718, 2962, 7, 'מזהה מסמך');
INSERT INTO `lang_definitions` VALUES (31719, 2965, 7, 'המסמך הועבר לקטגוריה החדשה');
INSERT INTO `lang_definitions` VALUES (31720, 2966, 7, 'המסמך הועבר למזהה המטופל');
INSERT INTO `lang_definitions` VALUES (31721, 2967, 7, 'המסמך עבר בדיקת תקינות');
INSERT INTO `lang_definitions` VALUES (31722, 2968, 7, 'המסמך עבר בדיקת תקינות.');
INSERT INTO `lang_definitions` VALUES (31723, 2969, 7, 'שיטת אחסון מסמכים');
INSERT INTO `lang_definitions` VALUES (31724, 2970, 7, 'שם המסמך השתנה בהצלחה.');
INSERT INTO `lang_definitions` VALUES (31725, 2971, 7, 'המסמך תויג למפגש בהצלחה');
INSERT INTO `lang_definitions` VALUES (31726, 2972, 7, 'ניהול תבניות מסמך');
INSERT INTO `lang_definitions` VALUES (31727, 2973, 7, 'תבניות מסמך');
INSERT INTO `lang_definitions` VALUES (31728, 2975, 7, 'מסמכים');
INSERT INTO `lang_definitions` VALUES (31729, 2976, 7, 'חנות דימות/מסמך');
INSERT INTO `lang_definitions` VALUES (31730, 2978, 7, 'מסמכים');
INSERT INTO `lang_definitions` VALUES (31731, 2980, 7, 'מסמכים (כתיבה, הוספה בלבד אופציונלית)');
INSERT INTO `lang_definitions` VALUES (31732, 2988, 7, 'DOC{{תבנית מסמך}}');
INSERT INTO `lang_definitions` VALUES (31733, 2989, 7, 'DOE');
INSERT INTO `lang_definitions` VALUES (31734, 2992, 7, 'לא שווה');
INSERT INTO `lang_definitions` VALUES (31735, 2994, 7, 'לא תואם למספר מפגש PV1');
INSERT INTO `lang_definitions` VALUES (31736, 2995, 7, 'לא נראה חוקי');
INSERT INTO `lang_definitions` VALUES (31737, 2996, 7, 'האם סוג זה מאפשר קודים קשורים?');
INSERT INTO `lang_definitions` VALUES (31738, 2997, 7, 'ידוע בציבור');
INSERT INTO `lang_definitions` VALUES (31739, 2998, 7, 'אל תשמור');
INSERT INTO `lang_definitions` VALUES (31740, 2999, 7, 'אל תשמור');
INSERT INTO `lang_definitions` VALUES (31741, 3000, 7, 'אל תשמור שינויים');
INSERT INTO `lang_definitions` VALUES (31742, 3002, 7, 'סיום');
INSERT INTO `lang_definitions` VALUES (31743, 3004, 7, 'הסתיים~בוצע עם:');
INSERT INTO `lang_definitions` VALUES (31744, 3005, 7, 'הסתיים~בוצע.  הורדה תישלח כעת.');
INSERT INTO `lang_definitions` VALUES (31745, 3006, 7, 'DOS');
INSERT INTO `lang_definitions` VALUES (31746, 3007, 7, 'מינון');
INSERT INTO `lang_definitions` VALUES (31747, 3008, 7, 'מנה');
INSERT INTO `lang_definitions` VALUES (31748, 3011, 7, 'לחץ פעמיים כדי לערוך');
INSERT INTO `lang_definitions` VALUES (31749, 3013, 7, 'ראייה כפולה');
INSERT INTO `lang_definitions` VALUES (31750, 3014, 7, 'הורדה');
INSERT INTO `lang_definitions` VALUES (31751, 3015, 7, 'הורדה');
INSERT INTO `lang_definitions` VALUES (31752, 3018, 7, 'הורד את כל מסמכי המטופל');
INSERT INTO `lang_definitions` VALUES (31753, 3019, 7, 'הורד בכל מקרה');
INSERT INTO `lang_definitions` VALUES (31754, 3020, 7, 'הורד קובץ חיוב, פרסם לחשבונאות וסמן כמחויב');
INSERT INTO `lang_definitions` VALUES (31755, 3021, 7, 'הורד קובץ CCDA');
INSERT INTO `lang_definitions` VALUES (31756, 3022, 7, 'הורד אישורים');
INSERT INTO `lang_definitions` VALUES (31757, 3023, 7, 'הורד נתוני תצורה');
INSERT INTO `lang_definitions` VALUES (31758, 3025, 7, 'הורד תבנית מסמך עבור מטופל וביקור אלה');
INSERT INTO `lang_definitions` VALUES (31759, 3027, 7, 'הורד קובץ מוצפן');
INSERT INTO `lang_definitions` VALUES (31760, 3028, 7, 'הורד פקס');
INSERT INTO `lang_definitions` VALUES (31761, 3029, 7, 'הורד קובץ HL7');
INSERT INTO `lang_definitions` VALUES (31762, 3031, 7, 'הורד קובצי חיבור של פורטל מחוץ לאתר');
INSERT INTO `lang_definitions` VALUES (31763, 3032, 7, 'הורד או מחק תבנית');
INSERT INTO `lang_definitions` VALUES (31764, 3033, 7, 'הורד PDF');
INSERT INTO `lang_definitions` VALUES (31765, 3034, 7, 'הורד קובץ קטגוריה III של QRDA');
INSERT INTO `lang_definitions` VALUES (31766, 3037, 7, 'הורד דוחות נבחרים');
INSERT INTO `lang_definitions` VALUES (31767, 3039, 7, 'בדיקת רופא');
INSERT INTO `lang_definitions` VALUES (31768, 3040, 7, 'ביקור רופא');
INSERT INTO `lang_definitions` VALUES (31769, 3041, 7, 'ד\"ר');
INSERT INTO `lang_definitions` VALUES (31770, 3045, 7, 'גרור להזזה');
INSERT INTO `lang_definitions` VALUES (31771, 3047, 7, 'ריור');
INSERT INTO `lang_definitions` VALUES (31772, 3048, 7, 'רישיון נהיגה או תעודת זהות');
INSERT INTO `lang_definitions` VALUES (31773, 3050, 7, 'תרופה');
INSERT INTO `lang_definitions` VALUES (31774, 3053, 7, 'מוצא התרופות');
INSERT INTO `lang_definitions` VALUES (31775, 3054, 7, 'טפסי תרופה');
INSERT INTO `lang_definitions` VALUES (31776, 3055, 7, 'מזהה תרופה חסר!');
INSERT INTO `lang_definitions` VALUES (31777, 3056, 7, 'מרווחי זמן של תרופה');
INSERT INTO `lang_definitions` VALUES (31778, 3057, 7, 'מלאי תרופה');
INSERT INTO `lang_definitions` VALUES (31779, 3059, 7, 'שם תרופה');
INSERT INTO `lang_definitions` VALUES (31780, 3061, 7, 'מסלולי תרופה');
INSERT INTO `lang_definitions` VALUES (31781, 3062, 7, 'סינון סמים');
INSERT INTO `lang_definitions` VALUES (31782, 3063, 7, 'סינון סמים הושלם');
INSERT INTO `lang_definitions` VALUES (31783, 3064, 7, 'דוח סינון סמים');
INSERT INTO `lang_definitions` VALUES (31784, 3066, 7, 'יחידות תרופה');
INSERT INTO `lang_definitions` VALUES (31785, 3072, 7, 'תרופות');
INSERT INTO `lang_definitions` VALUES (31786, 3073, 7, 'תרופות ומוצרים');
INSERT INTO `lang_definitions` VALUES (31787, 3074, 7, 'יובש בפה');
INSERT INTO `lang_definitions` VALUES (31788, 3075, 7, 'אבחון DSMIV');
INSERT INTO `lang_definitions` VALUES (31789, 3076, 7, 'DT 1');
INSERT INTO `lang_definitions` VALUES (31790, 3077, 7, 'DT 2');
INSERT INTO `lang_definitions` VALUES (31791, 3078, 7, 'DT 3');
INSERT INTO `lang_definitions` VALUES (31792, 3079, 7, 'DT 4');
INSERT INTO `lang_definitions` VALUES (31793, 3080, 7, 'DT 5');
INSERT INTO `lang_definitions` VALUES (31794, 3081, 7, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (31795, 3082, 7, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (31796, 3083, 7, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (31797, 3084, 7, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (31798, 3085, 7, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (31799, 3087, 7, 'לפירעון');
INSERT INTO `lang_definitions` VALUES (31800, 3088, 7, 'תאריך יעד');
INSERT INTO `lang_definitions` VALUES (31801, 3090, 7, 'תאריך יעד mm/dd/yyyy או yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (31802, 3091, 7, 'תאריך יעד:');
INSERT INTO `lang_definitions` VALUES (31803, 3092, 7, 'הוספה לפירעון~הוספה מיועדת~כניסה מיועדת');
INSERT INTO `lang_definitions` VALUES (31804, 3093, 7, 'ניקוד~תשלום לפירעון');
INSERT INTO `lang_definitions` VALUES (31805, 3094, 7, 'לפירעון בקרוב');
INSERT INTO `lang_definitions` VALUES (31806, 3095, 7, 'מצב פירעון');
INSERT INTO `lang_definitions` VALUES (31807, 3096, 7, 'עדכון מצב פירעון');
INSERT INTO `lang_definitions` VALUES (31808, 3097, 7, 'מבצע Dump מסד נתונים של OpenEMR');
INSERT INTO `lang_definitions` VALUES (31809, 3098, 7, 'מבצע Dump עץ ספריית אינטרנט של OpenEMR');
INSERT INTO `lang_definitions` VALUES (31810, 3099, 7, 'מבצע Dump מסד נתונים של phpGACL');
INSERT INTO `lang_definitions` VALUES (31811, 3100, 7, 'מבצע Dump עץ ספריית אינטרנט של phpGACL');
INSERT INTO `lang_definitions` VALUES (31812, 3101, 7, 'מבצע Dump מסד נתונים של SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (31813, 3102, 7, 'מבצע Dump עץ ספריית אינטרנט של SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (31814, 3103, 7, 'בדיקת כפילויות');
INSERT INTO `lang_definitions` VALUES (31815, 3108, 7, 'מזהה כפול בשורה');
INSERT INTO `lang_definitions` VALUES (31816, 3109, 7, 'שם כפול בשורה');
INSERT INTO `lang_definitions` VALUES (31817, 3110, 7, 'אזהרת כפילות');
INSERT INTO `lang_definitions` VALUES (31818, 3111, 7, 'בא כוח');
INSERT INTO `lang_definitions` VALUES (31819, 3112, 7, 'משך זמן');
INSERT INTO `lang_definitions` VALUES (31820, 3113, 7, 'משך זמן');
INSERT INTO `lang_definitions` VALUES (31821, 3114, 7, 'הולנדית');
INSERT INTO `lang_definitions` VALUES (31822, 3116, 7, 'נציג Dx');
INSERT INTO `lang_definitions` VALUES (31823, 3117, 7, 'דיספאגיה');
INSERT INTO `lang_definitions` VALUES (31824, 3118, 7, 'דיספניאה:');
INSERT INTO `lang_definitions` VALUES (31825, 3119, 7, 'דיסאוריאה');
INSERT INTO `lang_definitions` VALUES (31826, 3120, 7, 'דזונגקה');
INSERT INTO `lang_definitions` VALUES (31827, 3128, 7, 'מרשם אלקטרוני?');
INSERT INTO `lang_definitions` VALUES (31828, 3129, 7, 'דוחות אלקטרוניים');
INSERT INTO `lang_definitions` VALUES (31829, 3130, 7, 'e-Rx');
INSERT INTO `lang_definitions` VALUES (31830, 3131, 7, 'e-Rx EPCS');
INSERT INTO `lang_definitions` VALUES (31831, 3132, 7, 'חידוש e-Rx');
INSERT INTO `lang_definitions` VALUES (31832, 3135, 7, 'על כל נמען להגדיר את ההודעות שלו כהודעות שהושלמו.');
INSERT INTO `lang_definitions` VALUES (31833, 3140, 7, 'הישנות מוקדמת (<2 חודשים)');
INSERT INTO `lang_definitions` VALUES (31834, 3141, 7, 'אוזניים');
INSERT INTO `lang_definitions` VALUES (31835, 3148, 7, 'אק\"ג');
INSERT INTO `lang_definitions` VALUES (31836, 3149, 7, 'eClaims');
INSERT INTO `lang_definitions` VALUES (31837, 3152, 7, 'בצקת');
INSERT INTO `lang_definitions` VALUES (31838, 3154, 7, 'היסטוריית EDI');
INSERT INTO `lang_definitions` VALUES (31839, 3155, 7, 'היסטוריית EDI');
INSERT INTO `lang_definitions` VALUES (31840, 3156, 7, 'היסטוריית EDI (תחת \'תשלום\'~\'עמלות\') לאחסון ולפירוש קובצי תגובה של תביעות EDI');
INSERT INTO `lang_definitions` VALUES (31841, 3157, 7, 'העלאת קובץ EDI-271');
INSERT INTO `lang_definitions` VALUES (31842, 3158, 7, 'העלאת קובץ תגובה EDI-271');
INSERT INTO `lang_definitions` VALUES (31843, 3159, 7, 'עריכה');
INSERT INTO `lang_definitions` VALUES (31844, 3160, 7, 'עריכה');
INSERT INTO `lang_definitions` VALUES (31845, 3161, 7, 'עריכת רגישויות');
INSERT INTO `lang_definitions` VALUES (31846, 3163, 7, 'עריכת קטגוריות');
INSERT INTO `lang_definitions` VALUES (31847, 3165, 7, 'עריכת הגדרות');
INSERT INTO `lang_definitions` VALUES (31848, 3166, 7, 'עריכת הגדרות');
INSERT INTO `lang_definitions` VALUES (31849, 3167, 7, 'עריכת אבחונים עבור');
INSERT INTO `lang_definitions` VALUES (31850, 3168, 7, 'עריכת גילוי');
INSERT INTO `lang_definitions` VALUES (31851, 3173, 7, 'עריכת מתקנים');
INSERT INTO `lang_definitions` VALUES (31852, 3174, 7, 'עריכת מרפאה');
INSERT INTO `lang_definitions` VALUES (31853, 3175, 7, 'עריכת פרטי מתקן');
INSERT INTO `lang_definitions` VALUES (31854, 3176, 7, 'עריכת פרטי משתמש ספציפיים למתקן');
INSERT INTO `lang_definitions` VALUES (31855, 3177, 7, 'עריכת קובץ ב:');
INSERT INTO `lang_definitions` VALUES (31856, 3178, 7, 'עריכת טופס');
INSERT INTO `lang_definitions` VALUES (31857, 3179, 7, 'עריכת הגדרות גלובליות');
INSERT INTO `lang_definitions` VALUES (31858, 3181, 7, 'אין הרשאה לעריכה!');
INSERT INTO `lang_definitions` VALUES (31859, 3183, 7, 'עריכת פריסה');
INSERT INTO `lang_definitions` VALUES (31860, 3185, 7, 'עריכת רשימה');
INSERT INTO `lang_definitions` VALUES (31861, 3188, 7, 'עריכת תשלום');
INSERT INTO `lang_definitions` VALUES (31862, 3189, 7, 'עריכת מבנה');
INSERT INTO `lang_definitions` VALUES (31863, 3192, 7, 'עריכת משתמש');
INSERT INTO `lang_definitions` VALUES (31864, 3193, 7, 'עריכת הגדרות משתמש');
INSERT INTO `lang_definitions` VALUES (31865, 3194, 7, 'ערוך את הנתונים שהוזנו');
INSERT INTO `lang_definitions` VALUES (31866, 3195, 7, 'העריכה נכשלה');
INSERT INTO `lang_definitions` VALUES (31867, 3196, 7, 'לימודים');
INSERT INTO `lang_definitions` VALUES (31868, 3197, 7, 'תאריך לימודים');
INSERT INTO `lang_definitions` VALUES (31869, 3198, 7, 'חומרי לימוד עבור');
INSERT INTO `lang_definitions` VALUES (31870, 3199, 7, 'ראה * GNU General Public License לפרטים נוספים.  *   * אמור היית לקבל כבר עותק של GNU General Public License  * יחד עם תוכנית זו. אם לא קיבלת, כתוב בחינם אל');
INSERT INTO `lang_definitions` VALUES (31871, 3200, 7, 'תאריך תוקף');
INSERT INTO `lang_definitions` VALUES (31872, 3201, 7, 'תאריכי תוקף');
INSERT INTO `lang_definitions` VALUES (31873, 3202, 7, 'יעילות');
INSERT INTO `lang_definitions` VALUES (31874, 3204, 7, 'EIN');
INSERT INTO `lang_definitions` VALUES (31875, 3207, 7, 'שפיכות');
INSERT INTO `lang_definitions` VALUES (31876, 3208, 7, 'מרפק');
INSERT INTO `lang_definitions` VALUES (31877, 3209, 7, 'בעיות במרפק');
INSERT INTO `lang_definitions` VALUES (31878, 3210, 7, 'אלקטרוני');
INSERT INTO `lang_definitions` VALUES (31879, 3211, 7, 'מסמך אלקטרוני התקבל');
INSERT INTO `lang_definitions` VALUES (31880, 3212, 7, 'הערות אלקטרוניות');
INSERT INTO `lang_definitions` VALUES (31881, 3214, 7, 'סילוקי חוב אלקטרוניים');
INSERT INTO `lang_definitions` VALUES (31882, 3215, 7, 'דוחות אלקטרוניים');
INSERT INTO `lang_definitions` VALUES (31883, 3218, 7, 'זכאות');
INSERT INTO `lang_definitions` VALUES (31884, 3219, 7, 'אצוות שאילתה זכאות 270');
INSERT INTO `lang_definitions` VALUES (31885, 3220, 7, 'תגובת זכאות');
INSERT INTO `lang_definitions` VALUES (31886, 3222, 7, 'מצב זכאות עבור חיסון מסופק לילדים');
INSERT INTO `lang_definitions` VALUES (31887, 3223, 7, 'זכאי');
INSERT INTO `lang_definitions` VALUES (31888, 3225, 7, 'דואר אלקטרוני');
INSERT INTO `lang_definitions` VALUES (31889, 3226, 7, 'דואר אלקטרוני');
INSERT INTO `lang_definitions` VALUES (31890, 3228, 7, 'כתובת דואר אלקטרוני');
INSERT INTO `lang_definitions` VALUES (31891, 3229, 7, 'כתובת דואר אלקטרוני חסרה');
INSERT INTO `lang_definitions` VALUES (31892, 3230, 7, 'כתובת דואר אלקטרוני של השולח עבור תזכורות מטופל. מענה לתזכורות מטופל יופנה לכתובת זו. חשוב להשתמש בכתובת מתחום האינטרנט של המרפאה, כדי לסייע במניעת הגעה של תזכורות למטופלים אל תיקיות דואר הזבל.');
INSERT INTO `lang_definitions` VALUES (31893, 3231, 7, 'כתובת דואר אלקטרוני, אם ישנה, לקבלת הודעות מנהלה.');
INSERT INTO `lang_definitions` VALUES (31894, 3232, 7, 'כתובת דואר אלקטרוני, אם קיימת, לקבלת הודעות להפעלת משתמש בכניסה למערכת לשעת חירום.');
INSERT INTO `lang_definitions` VALUES (31895, 3233, 7, 'הרשאת דואר אלקטרוני');
INSERT INTO `lang_definitions` VALUES (31896, 3236, 7, 'דואר אלקטרוני מ-Batchcom');
INSERT INTO `lang_definitions` VALUES (31897, 3238, 7, 'הודעה בדואר אלקטרוני');
INSERT INTO `lang_definitions` VALUES (31898, 3239, 7, 'שעות הודעה בדואר אלקטרוני');
INSERT INTO `lang_definitions` VALUES (31899, 3240, 7, 'דוח הודעה בדואר אלקטרוני');
INSERT INTO `lang_definitions` VALUES (31900, 3244, 7, 'דואר אלקטרוני - שלח לפני');
INSERT INTO `lang_definitions` VALUES (31901, 3245, 7, 'שולח דואר אלקטרוני');
INSERT INTO `lang_definitions` VALUES (31902, 3246, 7, 'דואר אלקטרוני נשלח');
INSERT INTO `lang_definitions` VALUES (31903, 3247, 7, 'דואר אלקטרוני נשלח אל');
INSERT INTO `lang_definitions` VALUES (31904, 3248, 7, 'נושא הודעת דוא\"ל');
INSERT INTO `lang_definitions` VALUES (31905, 3251, 7, 'טקסט דואר אלקטרוני, תג לשימוש: ***NAME*** , כגון לכבוד ***NAME***');
INSERT INTO `lang_definitions` VALUES (31906, 3252, 7, 'טקסט דואר אלקטרוני, תג לשימוש: ***NAME*** , כגון לכבוד ***NAME***{{Do Not translate the ***NAME*** elements of this constant.}}');
INSERT INTO `lang_definitions` VALUES (31907, 3253, 7, 'שיטה להעברת דואר אלקטרוני');
INSERT INTO `lang_definitions` VALUES (31908, 3254, 7, 'דואר אלקטרוני נשלח לכתובת הבאה');
INSERT INTO `lang_definitions` VALUES (31909, 3257, 7, 'טיפול חירום');
INSERT INTO `lang_definitions` VALUES (31910, 3259, 7, 'קשר לשעת חירום');
INSERT INTO `lang_definitions` VALUES (31911, 3260, 7, 'איש קשר לשעת חירום');
INSERT INTO `lang_definitions` VALUES (31912, 3261, 7, 'מספר טלפון ליצירת קשר בשעת חירום');
INSERT INTO `lang_definitions` VALUES (31913, 3262, 7, 'אמצעי מניעה לשעת חירום');
INSERT INTO `lang_definitions` VALUES (31914, 3263, 7, 'כניסה למערכת לשעת חירום');
INSERT INTO `lang_definitions` VALUES (31915, 3264, 7, 'ACL של כניסה למערכת לשעת חירום נבחר. המשתמש עדיין נמצא במצב פעיל, נא להשבית את המשתמש ולהפעיל את אותו אחד בעת הצורך בעת מצבי חירום. עבור אל \'ניהול\'->משתמשים להפעלה או להשבתה.');
INSERT INTO `lang_definitions` VALUES (31916, 3265, 7, 'דואר אלקטרוני להפעלת כניסה למערכת בשעת חירום יופץ רק אם תיקבע תצורת ההגדרות הבאות בקובץ interface/globals.php:');
INSERT INTO `lang_definitions` VALUES (31917, 3266, 7, 'כתובת דואר אלקטרוני לכניסה למערכת בשעת חירום');
INSERT INTO `lang_definitions` VALUES (31918, 3267, 7, 'משתמש לכניסה למערכת בשעת חירום יוכל לעשות כל דבר');
INSERT INTO `lang_definitions` VALUES (31919, 3268, 7, 'טלפון לשעת חירום');
INSERT INTO `lang_definitions` VALUES (31920, 3270, 7, 'מצבים וסיבוכים רגשיים/התנהגותיים');
INSERT INTO `lang_definitions` VALUES (31921, 3271, 7, 'נפחת');
INSERT INTO `lang_definitions` VALUES (31922, 3272, 7, 'עובד');
INSERT INTO `lang_definitions` VALUES (31923, 3273, 7, 'מעסיק');
INSERT INTO `lang_definitions` VALUES (31924, 3274, 7, 'כתובת מעסיק');
INSERT INTO `lang_definitions` VALUES (31925, 3275, 7, 'נתוני מעסיק');
INSERT INTO `lang_definitions` VALUES (31926, 3276, 7, 'שם מעסיק');
INSERT INTO `lang_definitions` VALUES (31927, 3277, 7, 'ריק');
INSERT INTO `lang_definitions` VALUES (31928, 3278, 7, 'ריק');
INSERT INTO `lang_definitions` VALUES (31929, 3279, 7, 'סיסמה ריקה אינה מותרת');
INSERT INTO `lang_definitions` VALUES (31930, 3281, 7, 'ערך ריק ב\"שעות דואר אלקטרוני\"');
INSERT INTO `lang_definitions` VALUES (31931, 3282, 7, 'ערך ריק ב\"שולח דואר אלקטרוני\"');
INSERT INTO `lang_definitions` VALUES (31932, 3283, 7, 'ערך ריק ב\"נושא דואר אלקטרוני\"');
INSERT INTO `lang_definitions` VALUES (31933, 3284, 7, 'ערך ריק ב\"טקסט דואר אלקטרוני\"');
INSERT INTO `lang_definitions` VALUES (31934, 3285, 7, 'ערך ריק ב\"שם ספק\"');
INSERT INTO `lang_definitions` VALUES (31935, 3286, 7, 'ערך ריק ב\"סיסמה\"');
INSERT INTO `lang_definitions` VALUES (31936, 3287, 7, 'ערך ריק ב\"שעות SMS\"');
INSERT INTO `lang_definitions` VALUES (31937, 3288, 7, 'ערך ריק ב\"טקסט SMS\"');
INSERT INTO `lang_definitions` VALUES (31938, 3289, 7, 'ערך ריק ב\"שם משתמש\"');
INSERT INTO `lang_definitions` VALUES (31939, 3290, 7, 'EMR Direct');
INSERT INTO `lang_definitions` VALUES (31940, 3292, 7, 'אפשר');
INSERT INTO `lang_definitions` VALUES (31941, 3294, 7, 'אפשר יומן התראות');
INSERT INTO `lang_definitions` VALUES (31942, 3295, 7, 'אפשר רישום ביומן התראות');
INSERT INTO `lang_definitions` VALUES (31943, 3296, 7, 'אפשר בדיקת רגישויות');
INSERT INTO `lang_definitions` VALUES (31944, 3297, 7, 'אפשר בדיקת רגישויות כנגד תרופות ומרשמים');
INSERT INTO `lang_definitions` VALUES (31945, 3298, 7, 'אפשר הצגת הודעות AMC');
INSERT INTO `lang_definitions` VALUES (31946, 3299, 7, 'אפשר פירוט בדוחות AMC');
INSERT INTO `lang_definitions` VALUES (31947, 3300, 7, 'אפשר דיווח AMC');
INSERT INTO `lang_definitions` VALUES (31948, 3301, 7, 'אפשר מעקב AMC');
INSERT INTO `lang_definitions` VALUES (31949, 3302, 7, 'אפשר תכונת תיקונים');
INSERT INTO `lang_definitions` VALUES (31950, 3303, 7, 'אפשר ביקורת ATNA');
INSERT INTO `lang_definitions` VALUES (31951, 3304, 7, 'אפשר הצפנה של יומן ביקורת');
INSERT INTO `lang_definitions` VALUES (31952, 3305, 7, 'אפשר רישום ביומן ביקורת');
INSERT INTO `lang_definitions` VALUES (31953, 3306, 7, 'אפשר Audit Trail and Node Authentication‏ (ATNA).');
INSERT INTO `lang_definitions` VALUES (31954, 3307, 7, 'אפשר דיווח של חישובי המדידות האוטומטיות (AMC)');
INSERT INTO `lang_definitions` VALUES (31955, 3312, 7, 'אפשר SSL לקוח');
INSERT INTO `lang_definitions` VALUES (31956, 3313, 7, 'אפשר אימות אישור של SSL לקוח.');
INSERT INTO `lang_definitions` VALUES (31957, 3314, 7, 'אפשר פריט מוקפץ לתזכורת פעילה קלינית');
INSERT INTO `lang_definitions` VALUES (31958, 3315, 7, 'אפשר כללי החלטות קליניות (CDR)');
INSERT INTO `lang_definitions` VALUES (31959, 3316, 7, 'אפשר פריט מוקפץ לתזכורות פסיביות חדשות קליניות');
INSERT INTO `lang_definitions` VALUES (31960, 3317, 7, 'אפשר רכיב גרפי לתזכורת פסיבית קלינית');
INSERT INTO `lang_definitions` VALUES (31961, 3318, 7, 'אפשר דיווח מדידות האיכות הקליניות (CQM)');
INSERT INTO `lang_definitions` VALUES (31962, 3319, 7, 'אפשר פריט מוקפץ לתזכורת קלינית');
INSERT INTO `lang_definitions` VALUES (31963, 3320, 7, 'אפשר רכיב גרפי לתזכורת קלינית');
INSERT INTO `lang_definitions` VALUES (31964, 3321, 7, 'אפשר פורטל CMS');
INSERT INTO `lang_definitions` VALUES (31965, 3323, 7, 'אפשר פירוט בדוחות CQM');
INSERT INTO `lang_definitions` VALUES (31966, 3324, 7, 'אפשר דיווח CQM');
INSERT INTO `lang_definitions` VALUES (31967, 3329, 7, 'אפשר היסטוריית EDI בתפריט בצד');
INSERT INTO `lang_definitions` VALUES (31968, 3332, 7, 'אפשר הרחבה~סיומת~שלוחה');
INSERT INTO `lang_definitions` VALUES (31969, 3334, 7, 'אפשר תשלום~עמלות בתפריט בצד');
INSERT INTO `lang_definitions` VALUES (31970, 3341, 7, 'אפשר תמיכה ב-Hylafax');
INSERT INTO `lang_definitions` VALUES (31971, 3342, 7, 'אפשר הודעת מצב של ייבוא לאחר ביקור ב-NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (31972, 3343, 7, 'אפשר הודעת מצב של ייבוא עבור NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (31973, 3344, 7, 'אפשר פירוט של דוחות AMC');
INSERT INTO `lang_definitions` VALUES (31974, 3345, 7, 'אפשר פירוט של דוחות CQM');
INSERT INTO `lang_definitions` VALUES (31975, 3346, 7, 'אפשר פירוט של דוחות כללים קליניים סטנדרטיים');
INSERT INTO `lang_definitions` VALUES (31976, 3347, 7, 'אפשר Lab Exchange');
INSERT INTO `lang_definitions` VALUES (31977, 3348, 7, 'אפשר החלפת מצב נעילה');
INSERT INTO `lang_definitions` VALUES (31978, 3349, 7, 'אפשר יומן עבור העלאות/הורדות מסמכים ל-CouchDB');
INSERT INTO `lang_definitions` VALUES (31979, 3350, 7, 'אפשר רישום ביומן של כל שאילתות SQL SELECT.');
INSERT INTO `lang_definitions` VALUES (31980, 3351, 7, 'אפשר רישום ביומן של פעילויות הקשורות לגיבוי.');
INSERT INTO `lang_definitions` VALUES (31981, 3352, 7, 'אפשר רישום ביומן של שאילתות מנוע CDR.');
INSERT INTO `lang_definitions` VALUES (31982, 3353, 7, 'אפשר רישום ביומן של פעילויות שונות.');
INSERT INTO `lang_definitions` VALUES (31983, 3354, 7, 'אפשר רישום ביומן של פעילויות הזמנה.');
INSERT INTO `lang_definitions` VALUES (31984, 3355, 7, 'אפשר רישום ביומן של שינויים בתיקי מטופלים.');
INSERT INTO `lang_definitions` VALUES (31985, 3356, 7, 'אפשר רישום ביומן של פעילויות תזמון.');
INSERT INTO `lang_definitions` VALUES (31986, 3357, 7, 'אפשר רישום ביומן של פעילויות אבטחה וניהול.');
INSERT INTO `lang_definitions` VALUES (31987, 3359, 7, 'אפשר הודעת מצב של ייבוא NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (31988, 3360, 7, 'אפשר שירות NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (31989, 3361, 7, 'אפשר שירות NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (31990, 3365, 7, 'אפשר פורטל מטופלים מחוץ לאתר');
INSERT INTO `lang_definitions` VALUES (31991, 3366, 7, 'אפשר פורטל מטופלים מחוץ לאתר.');
INSERT INTO `lang_definitions` VALUES (31992, 3368, 7, 'אפשר פורטל מטופלים באתר');
INSERT INTO `lang_definitions` VALUES (31993, 3369, 7, 'אפשר הורדת מסמכים של פורטל מטופלים באתר');
INSERT INTO `lang_definitions` VALUES (31994, 3371, 7, 'אפשר פורטל מטופלים באתר.');
INSERT INTO `lang_definitions` VALUES (31995, 3385, 7, 'אפשר רכיב גרפי לתזכורת מטופל');
INSERT INTO `lang_definitions` VALUES (31996, 3387, 7, 'אפשר שירות הודעות phiMail Direct');
INSERT INTO `lang_definitions` VALUES (31997, 3389, 7, 'אפשר הצגת הודעות עבור נתונים דרושים של חישובי מדידות אוטומטיות (AMC)');
INSERT INTO `lang_definitions` VALUES (31998, 3390, 7, 'אפשר בדיקת סמים אקראית');
INSERT INTO `lang_definitions` VALUES (31999, 3391, 7, 'אפשר דיווח של תאריך מעקב עבור חישובי מדידות אוטומטיות (AMC)');
INSERT INTO `lang_definitions` VALUES (32000, 3392, 7, 'אפשר תמיכה בסורק');
INSERT INTO `lang_definitions` VALUES (32001, 3393, 7, 'אפשר פירוט דוחות סטנדרטי');
INSERT INTO `lang_definitions` VALUES (32002, 3394, 7, 'אפשר תמיכה בפורטל WordPress של מקור פתוח על-ידי Sunset Systems');
INSERT INTO `lang_definitions` VALUES (32003, 3396, 7, 'אפשר שירות Lab Exchange של Medical Information Integration, LLC.');
INSERT INTO `lang_definitions` VALUES (32004, 3397, 7, 'אפשר שירות Lab Exchange של Medical Information Integration, LLC.');
INSERT INTO `lang_definitions` VALUES (32005, 3398, 7, 'אפשר אימות אישור משתמש');
INSERT INTO `lang_definitions` VALUES (32006, 3403, 7, 'אפשר שירות ZMG, LLC eRx');
INSERT INTO `lang_definitions` VALUES (32007, 3404, 7, 'מוגדר כזמין');
INSERT INTO `lang_definitions` VALUES (32008, 3410, 7, 'מאפשר את היכולת להוריד מסמכים בפורטל המטופלים באתר על-ידי המשתמש.');
INSERT INTO `lang_definitions` VALUES (32009, 3412, 7, 'מאפשר את לוח החיובים הישן להזנת קודי חיוב ותשלומים. לא מומלץ, נא להשתמש בגיליון התשלום במקום זאת.');
INSERT INTO `lang_definitions` VALUES (32010, 3415, 7, 'Enc');
INSERT INTO `lang_definitions` VALUES (32011, 3417, 7, 'מפגש');
INSERT INTO `lang_definitions` VALUES (32012, 3418, 7, 'מפגש');
INSERT INTO `lang_definitions` VALUES (32013, 3419, 7, 'מפגש');
INSERT INTO `lang_definitions` VALUES (32014, 3420, 7, 'מפגש');
INSERT INTO `lang_definitions` VALUES (32015, 3421, 7, 'מטופל פנים אקוטי של מפגש או ED');
INSERT INTO `lang_definitions` VALUES (32016, 3422, 7, 'יתרת מפגש');
INSERT INTO `lang_definitions` VALUES (32017, 3423, 7, 'הערת חיוב מפגש');
INSERT INTO `lang_definitions` VALUES (32018, 3425, 7, 'ספירת מפגשים');
INSERT INTO `lang_definitions` VALUES (32019, 3426, 7, 'נתוני מפגש');
INSERT INTO `lang_definitions` VALUES (32020, 3427, 7, 'תאריך מפגש');
INSERT INTO `lang_definitions` VALUES (32021, 3428, 7, 'אבחון מפגש');
INSERT INTO `lang_definitions` VALUES (32022, 3429, 7, 'תאריך/סיבה למפגש');
INSERT INTO `lang_definitions` VALUES (32023, 3430, 7, 'רשומת EDI של מפגש');
INSERT INTO `lang_definitions` VALUES (32024, 3431, 7, 'ביקורים חתומים');
INSERT INTO `lang_definitions` VALUES (32025, 3432, 7, 'טופסי מפגש');
INSERT INTO `lang_definitions` VALUES (32026, 3433, 7, 'הערכת בריאות והתנהגות במפגש');
INSERT INTO `lang_definitions` VALUES (32027, 3434, 7, 'היסטוריית מפגש');
INSERT INTO `lang_definitions` VALUES (32028, 3435, 7, 'מזהה מפגש');
INSERT INTO `lang_definitions` VALUES (32029, 3436, 7, 'שפעת מפגש');
INSERT INTO `lang_definitions` VALUES (32030, 3439, 7, 'מספר מפגש');
INSERT INTO `lang_definitions` VALUES (32031, 3440, 7, 'מספר מפגש');
INSERT INTO `lang_definitions` VALUES (32032, 3441, 7, 'שחרור סיעוד מפגש');
INSERT INTO `lang_definitions` VALUES (32033, 3442, 7, 'מתקן סיעוד מפגש');
INSERT INTO `lang_definitions` VALUES (32034, 3443, 7, 'טיפול בעיסוק של מפגש');
INSERT INTO `lang_definitions` VALUES (32035, 3444, 7, 'ביקור במשרד של מפגש');
INSERT INTO `lang_definitions` VALUES (32036, 3445, 7, 'מטופל חיצוני במפגש');
INSERT INTO `lang_definitions` VALUES (32037, 3446, 7, 'מטופל חיצוני במפגש עם PCP ורופא נשים');
INSERT INTO `lang_definitions` VALUES (32038, 3447, 7, 'גודל דף מפגש');
INSERT INTO `lang_definitions` VALUES (32039, 3448, 7, 'תשלום מפגש');
INSERT INTO `lang_definitions` VALUES (32040, 3449, 7, 'הריון מפגש');
INSERT INTO `lang_definitions` VALUES (32041, 3450, 7, 'רפואה מונעת במפגש - ייעוץ אישי');
INSERT INTO `lang_definitions` VALUES (32042, 3451, 7, 'רפואה מונעת במפגש - גיל 40 ומעלה');
INSERT INTO `lang_definitions` VALUES (32043, 3452, 7, 'רפואה מונעת במפגש - ייעוץ קבוצתי');
INSERT INTO `lang_definitions` VALUES (32044, 3453, 7, 'רפואה מונעת במפגש - שירותים אחרים');
INSERT INTO `lang_definitions` VALUES (32045, 3454, 7, 'רפואה מונעת במפגש - שירותים לגיל 18 ומעלה');
INSERT INTO `lang_definitions` VALUES (32046, 3457, 7, 'פסיכיאטרי ופסיכולוגי במפגש');
INSERT INTO `lang_definitions` VALUES (32047, 3458, 7, 'סטטיסטיקת מפגש');
INSERT INTO `lang_definitions` VALUES (32048, 3459, 7, 'סיכום מפגש');
INSERT INTO `lang_definitions` VALUES (32049, 3461, 7, 'המפגש מקודד');
INSERT INTO `lang_definitions` VALUES (32050, 3462, 7, 'מפגש:');
INSERT INTO `lang_definitions` VALUES (32051, 3463, 7, 'מפגש: קלט מפגש לא אקוטי, מטופל חיצוני או אופתלמולוגיה');
INSERT INTO `lang_definitions` VALUES (32052, 3464, 7, 'מפגשים');
INSERT INTO `lang_definitions` VALUES (32053, 3465, 7, 'מפגשים וטפסים');
INSERT INTO `lang_definitions` VALUES (32054, 3466, 7, 'מפגשים וטפסים');
INSERT INTO `lang_definitions` VALUES (32055, 3467, 7, 'המפגש אינו מורשה');
INSERT INTO `lang_definitions` VALUES (32056, 3468, 7, 'דוח מפגשים');
INSERT INTO `lang_definitions` VALUES (32057, 3469, 7, 'מקטע מפגשים');
INSERT INTO `lang_definitions` VALUES (32058, 3470, 7, 'קובץ מוצפן');
INSERT INTO `lang_definitions` VALUES (32059, 3471, 7, 'הצפנה');
INSERT INTO `lang_definitions` VALUES (32060, 3472, 7, 'סיום');
INSERT INTO `lang_definitions` VALUES (32061, 3473, 7, 'סיום (yyyy-mm-dd):‏');
INSERT INTO `lang_definitions` VALUES (32062, 3474, 7, 'תאריך סיום');
INSERT INTO `lang_definitions` VALUES (32063, 3475, 7, 'תאריך סיום');
INSERT INTO `lang_definitions` VALUES (32064, 3479, 7, 'תאריך סיום חייב להיות אחרי תאריך ההתחלה!');
INSERT INTO `lang_definitions` VALUES (32065, 3480, 7, 'תאריך סיום חייב להיות גדול יותר מתאריך ההתחלה');
INSERT INTO `lang_definitions` VALUES (32066, 3482, 7, 'תאריך סיום:');
INSERT INTO `lang_definitions` VALUES (32067, 3483, 7, 'סוף היום לפי הספק או אפשר סיכומים כלליים בלבד');
INSERT INTO `lang_definitions` VALUES (32068, 3484, 7, 'דוח סוף היום');
INSERT INTO `lang_definitions` VALUES (32069, 3485, 7, 'סוף דוח');
INSERT INTO `lang_definitions` VALUES (32070, 3487, 7, 'שעת סיום');
INSERT INTO `lang_definitions` VALUES (32071, 3489, 7, 'מוטב מחלות כליה בשלב סופי ב-MCP עם תוכנית קבוצתית של מעסיק');
INSERT INTO `lang_definitions` VALUES (32072, 3492, 7, 'תאריך סיום שירות yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (32073, 3493, 7, 'תאריך סיום שירות mm/dd/yyyy אם ברצונך להזין טווח');
INSERT INTO `lang_definitions` VALUES (32074, 3494, 7, 'שעת סיום ביום של אירועי לוח שנה.');
INSERT INTO `lang_definitions` VALUES (32075, 3495, 7, 'חריגה בדם אנדו');
INSERT INTO `lang_definitions` VALUES (32076, 3496, 7, 'אנדוקרינה');
INSERT INTO `lang_definitions` VALUES (32077, 3497, 7, 'אנדוסקופיה');
INSERT INTO `lang_definitions` VALUES (32078, 3500, 7, 'מהנדס');
INSERT INTO `lang_definitions` VALUES (32079, 3501, 7, 'חברת הנדסה');
INSERT INTO `lang_definitions` VALUES (32080, 3502, 7, 'אנגלית');
INSERT INTO `lang_definitions` VALUES (32081, 3503, 7, 'אנגלית');
INSERT INTO `lang_definitions` VALUES (32082, 3504, 7, 'אנגלית (הודית)');
INSERT INTO `lang_definitions` VALUES (32083, 3505, 7, 'אנגלית (רגילה)');
INSERT INTO `lang_definitions` VALUES (32084, 3506, 7, 'פקודת Enscript בשימוש על-ידי Hylafax.');
INSERT INTO `lang_definitions` VALUES (32085, 3507, 7, 'ודא של-OpenEMR יש הרשאות כתיבה לספרייה');
INSERT INTO `lang_definitions` VALUES (32086, 3509, 7, 'הפרשה~שחרור אף, אוזן, גרון');
INSERT INTO `lang_definitions` VALUES (32087, 3510, 7, 'כאב אף, אוזן, גרון');
INSERT INTO `lang_definitions` VALUES (32088, 3513, 7, 'הזן קוד אבחון כדי שלא לכלול את כל החשבוניות שלא מכילות אותו');
INSERT INTO `lang_definitions` VALUES (32089, 3515, 7, 'הזן תיקון...');
INSERT INTO `lang_definitions` VALUES (32090, 3518, 7, 'הזן גוף מכתב כאן');
INSERT INTO `lang_definitions` VALUES (32091, 3520, 7, 'הזן סיסמת בסיס של מסד נתונים');
INSERT INTO `lang_definitions` VALUES (32092, 3521, 7, 'הזן שם משתמש בסיס של מסד נתונים');
INSERT INTO `lang_definitions` VALUES (32093, 3529, 7, 'הזן אבחון');
INSERT INTO `lang_definitions` VALUES (32094, 3530, 7, 'הזן תרופות');
INSERT INTO `lang_definitions` VALUES (32095, 3533, 7, 'הזן מפגש');
INSERT INTO `lang_definitions` VALUES (32096, 3534, 7, 'הזן מספר מפגש');
INSERT INTO `lang_definitions` VALUES (32097, 3537, 7, 'הזן חיסונים');
INSERT INTO `lang_definitions` VALUES (32098, 3538, 7, 'הזן מפתח');
INSERT INTO `lang_definitions` VALUES (32099, 3542, 7, 'הזן נתונים חדשים');
INSERT INTO `lang_definitions` VALUES (32100, 3544, 7, 'הזן מצב חדש');
INSERT INTO `lang_definitions` VALUES (32101, 3549, 7, 'הזן כתובת ישירה של נמען');
INSERT INTO `lang_definitions` VALUES (32102, 3567, 7, 'הזן קוד LOINC עבור הליך זה');
INSERT INTO `lang_definitions` VALUES (32103, 3569, 7, 'הזן קוד זיהוי מחדש');
INSERT INTO `lang_definitions` VALUES (32104, 3581, 7, 'הזן קריטריוני חיפוש למעלה');
INSERT INTO `lang_definitions` VALUES (32105, 3584, 7, 'הוזן בשגיאה');
INSERT INTO `lang_definitions` VALUES (32106, 3586, 7, 'רשומות');
INSERT INTO `lang_definitions` VALUES (32107, 3591, 7, 'סביבתי');
INSERT INTO `lang_definitions` VALUES (32108, 3592, 7, 'הזנת נתוני EOB');
INSERT INTO `lang_definitions` VALUES (32109, 3596, 7, 'הצבת EOB - העברת כספים אלקטרונית');
INSERT INTO `lang_definitions` VALUES (32110, 3597, 7, 'הצבת EOB - הוראות');
INSERT INTO `lang_definitions` VALUES (32111, 3598, 7, 'הצבת EOB - חשבונית');
INSERT INTO `lang_definitions` VALUES (32112, 3599, 7, 'הצבת EOB - הערת מטופל');
INSERT INTO `lang_definitions` VALUES (32113, 3600, 7, 'הצבת EOB - חיפוש');
INSERT INTO `lang_definitions` VALUES (32114, 3601, 7, 'EOB');
INSERT INTO `lang_definitions` VALUES (32115, 3602, 7, 'אפילפסיה');
INSERT INTO `lang_definitions` VALUES (32116, 3606, 7, 'שווה');
INSERT INTO `lang_definitions` VALUES (32117, 3608, 7, 'ERA');
INSERT INTO `lang_definitions` VALUES (32118, 3609, 7, 'קובצי ERA');
INSERT INTO `lang_definitions` VALUES (32119, 3610, 7, 'הצבת ERA');
INSERT INTO `lang_definitions` VALUES (32120, 3612, 7, 'מחק');
INSERT INTO `lang_definitions` VALUES (32121, 3614, 7, 'זקפה');
INSERT INTO `lang_definitions` VALUES (32122, 3615, 7, 'שגיאה');
INSERT INTO `lang_definitions` VALUES (32123, 3616, 7, 'שגיאה');
INSERT INTO `lang_definitions` VALUES (32124, 3617, 7, 'שגיאה באישור קבלה של תוצאות מעבדה');
INSERT INTO `lang_definitions` VALUES (32125, 3618, 7, 'שגיאה ביצירת ספרייה!');
INSERT INTO `lang_definitions` VALUES (32126, 3620, 7, 'שגיאה בקבלת תוצאות מעבדה מרשת Lab Exchange');
INSERT INTO `lang_definitions` VALUES (32127, 3621, 7, 'שגיאה בבחירת \"מגדר\"');
INSERT INTO `lang_definitions` VALUES (32128, 3622, 7, 'שגיאה בבחירת \"HIPAA\"');
INSERT INTO `lang_definitions` VALUES (32129, 3623, 7, 'שגיאה בבחירת \"עיבוד~תהליך\"');
INSERT INTO `lang_definitions` VALUES (32130, 3624, 7, 'שגיאה בבחירת \"שער SMS\"');
INSERT INTO `lang_definitions` VALUES (32131, 3625, 7, 'שגיאה בבחירת \"מיין לפי\"');
INSERT INTO `lang_definitions` VALUES (32132, 3626, 7, 'שגיאה בדחיסת gzip של קובץ:');
INSERT INTO `lang_definitions` VALUES (32133, 3627, 7, 'שגיאה באפשרות \'כן\' או \'לא\'');
INSERT INTO `lang_definitions` VALUES (32134, 3630, 7, 'שגיאה בפתיחת קובץ שהועלה לקריאה');
INSERT INTO `lang_definitions` VALUES (32135, 3631, 7, 'שגיאה בעיבוד קובץ');
INSERT INTO `lang_definitions` VALUES (32136, 3632, 7, 'שגיאה בעיבוד העלאה');
INSERT INTO `lang_definitions` VALUES (32137, 3633, 7, 'שגיאה בהסרת הודעה');
INSERT INTO `lang_definitions` VALUES (32138, 3634, 7, 'שגיאה באחזור תוצאות מרשת Lab Exchange');
INSERT INTO `lang_definitions` VALUES (32139, 3635, 7, 'שגיאה באחזור ערכים.');
INSERT INTO `lang_definitions` VALUES (32140, 3636, 7, 'שגיאה בשמירת מסמך');
INSERT INTO `lang_definitions` VALUES (32141, 3637, 7, 'שגיאה בעת הענקת הרשאות קובץ למשתמש OpenEMR.');
INSERT INTO `lang_definitions` VALUES (32142, 3638, 7, 'שגיאה בעת הוספת תוכנית חדשה');
INSERT INTO `lang_definitions` VALUES (32143, 3639, 7, 'שגיאה בעת מחיקת התוכנית');
INSERT INTO `lang_definitions` VALUES (32144, 3640, 7, 'שגיאה בעת רישום טופס!');
INSERT INTO `lang_definitions` VALUES (32145, 3641, 7, 'שגיאה בעת שמירת הקובץ');
INSERT INTO `lang_definitions` VALUES (32146, 3642, 7, 'שגיאה בעת עדכון התוכנית');
INSERT INTO `lang_definitions` VALUES (32147, 3643, 7, 'שגיאה בעת כתיבה בקובץ');
INSERT INTO `lang_definitions` VALUES (32148, 3646, 7, 'אירעה שגיאות מהתוצאות החדשות');
INSERT INTO `lang_definitions` VALUES (32149, 3651, 7, 'שגיאה, הקובץ אינו קיים');
INSERT INTO `lang_definitions` VALUES (32150, 3652, 7, 'שגיאה, לא ניתן לאסוף נתונים מהשרת');
INSERT INTO `lang_definitions` VALUES (32151, 3653, 7, 'שגיאה, לא ניתן ליצור אישור לקוח');
INSERT INTO `lang_definitions` VALUES (32152, 3654, 7, 'שגיאה, לא ניתן ליצור אישור admin.p12.');
INSERT INTO `lang_definitions` VALUES (32153, 3655, 7, 'שגיאה, לא ניתן ליצור אישור של רשות אישורים.');
INSERT INTO `lang_definitions` VALUES (32154, 3656, 7, 'שגיאה, לא ניתן ליצור אישור שרת.');
INSERT INTO `lang_definitions` VALUES (32155, 3658, 7, 'שגיאה: לא ניתן לפתוח קובץ');
INSERT INTO `lang_definitions` VALUES (32156, 3659, 7, 'שגיאה, אימות אישור המשתמש אינו מוגדר כזמין ב-OpenEMR');
INSERT INTO `lang_definitions` VALUES (32157, 3663, 7, 'שגיאה. עליך להתקין את מודול Archive/Tar.php php.');
INSERT INTO `lang_definitions` VALUES (32158, 3664, 7, 'שגיאה: לא ניתן לפתוח table.sql, טופס פגום?');
INSERT INTO `lang_definitions` VALUES (32159, 3667, 7, 'שגיאה: מזהה כפול בשורה');
INSERT INTO `lang_definitions` VALUES (32160, 3668, 7, 'שגיאה: שם כפול בשורה');
INSERT INTO `lang_definitions` VALUES (32161, 3669, 7, 'שגיאה: שדה');
INSERT INTO `lang_definitions` VALUES (32162, 3670, 7, 'שגיאה: מודול ZipArchive PHP חסר');
INSERT INTO `lang_definitions` VALUES (32163, 3671, 7, 'שגיאה: אין ספריית ייבוא ICD.');
INSERT INTO `lang_definitions` VALUES (32164, 3672, 7, 'שגיאה: הסיסמאות לא תואמות. בדוק את מה שהקלדת.');
INSERT INTO `lang_definitions` VALUES (32165, 3673, 7, 'שגיאה: הסיסמאות לא תואמות. בדוק את מה שהקלדת.');
INSERT INTO `lang_definitions` VALUES (32166, 3674, 7, 'שגיאה: הקובץ אינו קיים');
INSERT INTO `lang_definitions` VALUES (32167, 3675, 7, 'שגיאה: המשתנה הבא מכיל תווים לא חוקיים');
INSERT INTO `lang_definitions` VALUES (32168, 3676, 7, 'שגיאה: לא ניתן להעתיק את הקובץ.');
INSERT INTO `lang_definitions` VALUES (32169, 3677, 7, 'שגיאה: לא ניתן ליצור ארכיון להורדה');
INSERT INTO `lang_definitions` VALUES (32170, 3678, 7, 'שגיאה: לא ניתן ליצור ארכיון Zip.');
INSERT INTO `lang_definitions` VALUES (32171, 3679, 7, 'שגיאה: לא ניתן לחלץ את הקובץ.');
INSERT INTO `lang_definitions` VALUES (32172, 3680, 7, 'שגיאה: לא ניתן לטעון את הקובץ למסד הנתונים.');
INSERT INTO `lang_definitions` VALUES (32173, 3681, 7, 'שגיאה: לא ניתן להגדיר את מספר הגרסה.');
INSERT INTO `lang_definitions` VALUES (32174, 3682, 7, 'שגיאות');
INSERT INTO `lang_definitions` VALUES (32175, 3684, 7, 'מצב חשבון eRx');
INSERT INTO `lang_definitions` VALUES (32176, 3685, 7, 'יומני eRx');
INSERT INTO `lang_definitions` VALUES (32177, 3686, 7, 'שם ERX');
INSERT INTO `lang_definitions` VALUES (32178, 3687, 7, 'סיסמת ERX');
INSERT INTO `lang_definitions` VALUES (32179, 3688, 7, 'תפקיד ב-ERX');
INSERT INTO `lang_definitions` VALUES (32180, 3689, 7, 'משתמש ב-ERX');
INSERT INTO `lang_definitions` VALUES (32181, 3690, 7, 'אדמנת:');
INSERT INTO `lang_definitions` VALUES (32182, 3691, 7, 'eSign');
INSERT INTO `lang_definitions` VALUES (32183, 3692, 7, 'יומן eSign');
INSERT INTO `lang_definitions` VALUES (32184, 3693, 7, 'אסקימו');
INSERT INTO `lang_definitions` VALUES (32185, 3696, 7, 'אספרנטו');
INSERT INTO `lang_definitions` VALUES (32186, 3699, 7, 'מטופל קבוע');
INSERT INTO `lang_definitions` VALUES (32187, 3700, 7, 'אסטונית');
INSERT INTO `lang_definitions` VALUES (32188, 3701, 7, 'קבוצה אתנית');
INSERT INTO `lang_definitions` VALUES (32189, 3702, 7, 'קבוצה אתנית או גזע');
INSERT INTO `lang_definitions` VALUES (32190, 3703, 7, 'רשימת קבוצה אתנית-גזע (כתיבה, הוספה בלבד אופציונלית)');
INSERT INTO `lang_definitions` VALUES (32191, 3706, 7, 'ETIN');
INSERT INTO `lang_definitions` VALUES (32192, 3709, 7, 'אירוע');
INSERT INTO `lang_definitions` VALUES (32193, 3710, 7, 'תחילת אירוע');
INSERT INTO `lang_definitions` VALUES (32194, 3711, 7, 'קטגוריית אירוע');
INSERT INTO `lang_definitions` VALUES (32195, 3712, 7, 'תאריך אירוע');
INSERT INTO `lang_definitions` VALUES (32196, 3714, 7, 'תיאור אירוע');
INSERT INTO `lang_definitions` VALUES (32197, 3715, 7, 'פרטי אירוע');
INSERT INTO `lang_definitions` VALUES (32198, 3716, 7, 'האירוע אינו חוזר');
INSERT INTO `lang_definitions` VALUES (32199, 3717, 7, 'משך אירוע');
INSERT INTO `lang_definitions` VALUES (32200, 3718, 7, 'משך אירוע בדקות');
INSERT INTO `lang_definitions` VALUES (32201, 3719, 7, 'דמי אירוע');
INSERT INTO `lang_definitions` VALUES (32202, 3720, 7, 'מיקום אירוע');
INSERT INTO `lang_definitions` VALUES (32203, 3721, 7, 'האירוע חוזר מדי');
INSERT INTO `lang_definitions` VALUES (32204, 3722, 7, 'האירוע חוזר ב:');
INSERT INTO `lang_definitions` VALUES (32205, 3723, 7, 'שעת התחלה של אירוע');
INSERT INTO `lang_definitions` VALUES (32206, 3724, 7, 'כותרת אירוע');
INSERT INTO `lang_definitions` VALUES (32207, 3725, 7, 'כותרת אירוע');
INSERT INTO `lang_definitions` VALUES (32208, 3726, 7, 'אתר אינטרנט של אירוע');
INSERT INTO `lang_definitions` VALUES (32209, 3727, 7, 'אירועים');
INSERT INTO `lang_definitions` VALUES (32210, 3728, 7, 'אירועים עבור');
INSERT INTO `lang_definitions` VALUES (32211, 3729, 7, 'אירועים נפתחים בחלון חדש');
INSERT INTO `lang_definitions` VALUES (32212, 3731, 7, 'כל');
INSERT INTO `lang_definitions` VALUES (32213, 3732, 7, 'כל');
INSERT INTO `lang_definitions` VALUES (32214, 3734, 7, 'כל 3 שעות');
INSERT INTO `lang_definitions` VALUES (32215, 3736, 7, 'כל 4 שעות');
INSERT INTO `lang_definitions` VALUES (32216, 3738, 7, 'כל 5 שעות');
INSERT INTO `lang_definitions` VALUES (32217, 3740, 7, 'כל 6 שעות');
INSERT INTO `lang_definitions` VALUES (32218, 3742, 7, 'כל 8 שעות');
INSERT INTO `lang_definitions` VALUES (32219, 3743, 7, 'כל ארבעה ימים');
INSERT INTO `lang_definitions` VALUES (32220, 3745, 7, 'כל יומיים');
INSERT INTO `lang_definitions` VALUES (32221, 3746, 7, 'כל שלושה ימים');
INSERT INTO `lang_definitions` VALUES (32222, 3747, 7, 'כל, כל יומיים, כל שלושה ימים וכו\'');
INSERT INTO `lang_definitions` VALUES (32223, 3748, 7, 'Ewe');
INSERT INTO `lang_definitions` VALUES (32224, 3749, 7, 'תוצאות בדיקה');
INSERT INTO `lang_definitions` VALUES (32225, 3750, 7, 'תוצאות בדיקה');
INSERT INTO `lang_definitions` VALUES (32226, 3751, 7, 'מס\' חדר בדיקה');
INSERT INTO `lang_definitions` VALUES (32227, 3752, 7, 'מספר חדר בדיקה');
INSERT INTO `lang_definitions` VALUES (32228, 3753, 7, 'בדיקה');
INSERT INTO `lang_definitions` VALUES (32229, 3754, 7, 'תאריך בדיקה');
INSERT INTO `lang_definitions` VALUES (32230, 3755, 7, 'דוגמה');
INSERT INTO `lang_definitions` VALUES (32231, 3758, 7, 'דוגמאות');
INSERT INTO `lang_definitions` VALUES (32232, 3760, 7, 'בדיקות');
INSERT INTO `lang_definitions` VALUES (32233, 3762, 7, 'להוציא');
INSERT INTO `lang_definitions` VALUES (32234, 3763, 7, 'דמע חריג');
INSERT INTO `lang_definitions` VALUES (32235, 3766, 7, 'מטופלים מוחרגים');
INSERT INTO `lang_definitions` VALUES (32236, 3767, 7, 'החרגה');
INSERT INTO `lang_definitions` VALUES (32237, 3768, 7, 'ארגון ספק בלעדי (EPO)');
INSERT INTO `lang_definitions` VALUES (32238, 3770, 7, 'גודל נייר Executive');
INSERT INTO `lang_definitions` VALUES (32239, 3771, 7, 'אימון');
INSERT INTO `lang_definitions` VALUES (32240, 3772, 7, 'דפוסי אימון');
INSERT INTO `lang_definitions` VALUES (32241, 3773, 7, 'דפוסי אימון');
INSERT INTO `lang_definitions` VALUES (32242, 3774, 7, 'קיים');
INSERT INTO `lang_definitions` VALUES (32243, 3778, 7, 'צא מהניהול');
INSERT INTO `lang_definitions` VALUES (32244, 3782, 7, 'תפוגה');
INSERT INTO `lang_definitions` VALUES (32245, 3784, 7, 'הרחב');
INSERT INTO `lang_definitions` VALUES (32246, 3785, 7, 'הרחבה');
INSERT INTO `lang_definitions` VALUES (32247, 3787, 7, 'הרחב הכול');
INSERT INTO `lang_definitions` VALUES (32248, 3788, 7, 'הרחב את כל קטגוריות המסמכים');
INSERT INTO `lang_definitions` VALUES (32249, 3789, 7, 'הרחב את כל קטגוריות המסמכים כברירת מחדל');
INSERT INTO `lang_definitions` VALUES (32250, 3792, 7, 'תצוגה מורחבת');
INSERT INTO `lang_definitions` VALUES (32251, 3793, 7, 'המערכת מצפה ל-form_encounter.pid שהנו');
INSERT INTO `lang_definitions` VALUES (32252, 3794, 7, 'תפוגה');
INSERT INTO `lang_definitions` VALUES (32253, 3795, 7, 'תאריך תפוגה');
INSERT INTO `lang_definitions` VALUES (32254, 3797, 7, 'פקיעת תוקף');
INSERT INTO `lang_definitions` VALUES (32255, 3798, 7, 'פג ב:');
INSERT INTO `lang_definitions` VALUES (32256, 3799, 7, 'ייצוא');
INSERT INTO `lang_definitions` VALUES (32257, 3800, 7, 'ייצוא כ-CSV');
INSERT INTO `lang_definitions` VALUES (32258, 3802, 7, 'ייצוא תצורה');
INSERT INTO `lang_definitions` VALUES (32259, 3804, 7, 'ייצוא חשבוניות נפרדות');
INSERT INTO `lang_definitions` VALUES (32260, 3805, 7, 'ייצוא OFX');
INSERT INTO `lang_definitions` VALUES (32261, 3806, 7, 'ייצוא דמוגרפיית מטופלים');
INSERT INTO `lang_definitions` VALUES (32262, 3808, 7, 'ייצוא דוח PQRI');
INSERT INTO `lang_definitions` VALUES (32263, 3809, 7, 'ייצוא דוח QRDA');
INSERT INTO `lang_definitions` VALUES (32264, 3810, 7, 'ייצוא בחירה כ-CSV');
INSERT INTO `lang_definitions` VALUES (32265, 3811, 7, 'ייצוא בחירה לאוספים~לגביות');
INSERT INTO `lang_definitions` VALUES (32266, 3812, 7, 'ייצוא ל-CSV');
INSERT INTO `lang_definitions` VALUES (32267, 3813, 7, 'ייצוא למערכת חיוב חיצונית');
INSERT INTO `lang_definitions` VALUES (32268, 3815, 7, 'חשיפה למדינות זרות');
INSERT INTO `lang_definitions` VALUES (32269, 3816, 7, 'חשיפה למדינות זרות');
INSERT INTO `lang_definitions` VALUES (32270, 3818, 7, 'זמן חיצוני של איסוף~שנאסף~של גבייה');
INSERT INTO `lang_definitions` VALUES (32271, 3820, 7, 'חיצוני');
INSERT INTO `lang_definitions` VALUES (32272, 3821, 7, 'נתונים חיצוניים');
INSERT INTO `lang_definitions` VALUES (32273, 3823, 7, 'עומסי נתונים חיצוניים');
INSERT INTO `lang_definitions` VALUES (32274, 3824, 7, 'כלי לייבוא מסד נתונים חיצוני');
INSERT INTO `lang_definitions` VALUES (32275, 3828, 7, 'מספר מטופל');
INSERT INTO `lang_definitions` VALUES (32276, 3829, 7, 'מזהה חיצוני');
INSERT INTO `lang_definitions` VALUES (32277, 3830, 7, 'מזהה חיצוני');
INSERT INTO `lang_definitions` VALUES (32278, 3831, 7, 'חיצוני בלבד');
INSERT INTO `lang_definitions` VALUES (32279, 3832, 7, 'ארגון חיצוני');
INSERT INTO `lang_definitions` VALUES (32280, 3833, 7, 'ספק חיצוני');
INSERT INTO `lang_definitions` VALUES (32281, 3834, 7, 'הפניה חיצונית');
INSERT INTO `lang_definitions` VALUES (32282, 3835, 7, 'המשכי טיפול בהפניה חיצונית');
INSERT INTO `lang_definitions` VALUES (32283, 3836, 7, 'הפניה חיצונית?');
INSERT INTO `lang_definitions` VALUES (32284, 3837, 7, 'הפניות חיצוניות');
INSERT INTO `lang_definitions` VALUES (32285, 3838, 7, 'חלץ קובץ zip');
INSERT INTO `lang_definitions` VALUES (32286, 3839, 7, 'מחלץ את הקובץ. פעולה זו תימשך זמן מה...');
INSERT INTO `lang_definitions` VALUES (32287, 3840, 7, 'הפרשה:');
INSERT INTO `lang_definitions` VALUES (32288, 3850, 7, 'גירוי בעין');
INSERT INTO `lang_definitions` VALUES (32289, 3856, 7, 'כאב בעין');
INSERT INTO `lang_definitions` VALUES (32290, 3860, 7, 'אדמומיות בעין');
INSERT INTO `lang_definitions` VALUES (32291, 3863, 7, 'עיניים');
INSERT INTO `lang_definitions` VALUES (32292, 3865, 7, 'F');
INSERT INTO `lang_definitions` VALUES (32293, 3866, 7, 'בעיות דם F/H');
INSERT INTO `lang_definitions` VALUES (32294, 3867, 7, 'F/H שעירות נקבית');
INSERT INTO `lang_definitions` VALUES (32295, 3868, 7, 'מרפאות');
INSERT INTO `lang_definitions` VALUES (32296, 3869, 7, 'מרפאה');
INSERT INTO `lang_definitions` VALUES (32297, 3870, 7, 'מרפאה');
INSERT INTO `lang_definitions` VALUES (32298, 3871, 7, 'ניהול מרפאה');
INSERT INTO `lang_definitions` VALUES (32299, 3872, 7, 'עיר מרפאה');
INSERT INTO `lang_definitions` VALUES (32300, 3873, 7, 'קוד מרפאה');
INSERT INTO `lang_definitions` VALUES (32301, 3875, 7, 'קידומת מדינה של המרפאה');
INSERT INTO `lang_definitions` VALUES (32302, 3876, 7, 'פקס המרפאה');
INSERT INTO `lang_definitions` VALUES (32303, 3878, 7, 'שם המרפאה');
INSERT INTO `lang_definitions` VALUES (32304, 3879, 7, 'NPI מתקן');
INSERT INTO `lang_definitions` VALUES (32305, 3880, 7, 'טלפון המרפאה');
INSERT INTO `lang_definitions` VALUES (32306, 3882, 7, 'פרטי משתמש ספציפיים למרפאה');
INSERT INTO `lang_definitions` VALUES (32307, 3883, 7, 'מחוז המרפאה');
INSERT INTO `lang_definitions` VALUES (32308, 3884, 7, 'רחוב המרפאה');
INSERT INTO `lang_definitions` VALUES (32309, 3886, 7, 'מיקוד המרפאה');
INSERT INTO `lang_definitions` VALUES (32310, 3887, 7, 'מיקוד המרפאה');
INSERT INTO `lang_definitions` VALUES (32311, 3888, 7, 'מרפאה:');
INSERT INTO `lang_definitions` VALUES (32312, 3889, 7, 'הפעולה נכשלה');
INSERT INTO `lang_definitions` VALUES (32313, 3890, 7, 'הפעולה נכשלה');
INSERT INTO `lang_definitions` VALUES (32314, 3891, 7, 'הפעולה נכשלה');
INSERT INTO `lang_definitions` VALUES (32315, 3893, 7, 'מטופלים עם פעולה שנכשלה');
INSERT INTO `lang_definitions` VALUES (32316, 3896, 7, 'הוספת מטופל לפורטל נכשלה');
INSERT INTO `lang_definitions` VALUES (32317, 3897, 7, 'חישוב שם קובץ ייחודי נכשל');
INSERT INTO `lang_definitions` VALUES (32318, 3898, 7, 'יצירה נכשלה');
INSERT INTO `lang_definitions` VALUES (32319, 3901, 7, 'יצירת תיקייה זמנית נכשלה. CouchDB לא יפעל.');
INSERT INTO `lang_definitions` VALUES (32320, 3904, 7, 'השליחה נכשלה');
INSERT INTO `lang_definitions` VALUES (32321, 3907, 7, 'הפעולה נכשלה.');
INSERT INTO `lang_definitions` VALUES (32322, 3908, 7, 'כשל');
INSERT INTO `lang_definitions` VALUES (32323, 3909, 7, 'כשל');
INSERT INTO `lang_definitions` VALUES (32324, 3910, 7, 'הודעת כשל: שליחת הודעה ישירה נכשלה.');
INSERT INTO `lang_definitions` VALUES (32325, 3911, 7, 'כשל: לא ניתן ליצור קובץ zip');
INSERT INTO `lang_definitions` VALUES (32326, 3912, 7, 'כשל: אין מטופלים למדידה');
INSERT INTO `lang_definitions` VALUES (32327, 3913, 7, 'נפילות: סינון, הערכת סיכונים ותוכנית טיפול למניעת נפילות העתיד (CQM)');
INSERT INTO `lang_definitions` VALUES (32328, 3915, 7, 'היסטוריה רפואית משפחתית');
INSERT INTO `lang_definitions` VALUES (32329, 3916, 7, 'היסטוריה משפחתית');
INSERT INTO `lang_definitions` VALUES (32330, 3918, 7, 'היסטוריה משפחתית של גלאוקומה');
INSERT INTO `lang_definitions` VALUES (32331, 3919, 7, 'היסטוריה משפחתית:');
INSERT INTO `lang_definitions` VALUES (32332, 3920, 7, 'בן משפחה');
INSERT INTO `lang_definitions` VALUES (32333, 3921, 7, 'תשלום משפחה');
INSERT INTO `lang_definitions` VALUES (32334, 3922, 7, 'גודל משפחה');
INSERT INTO `lang_definitions` VALUES (32335, 3923, 7, 'Fancy');
INSERT INTO `lang_definitions` VALUES (32336, 3924, 7, 'פרואית');
INSERT INTO `lang_definitions` VALUES (32337, 3925, 7, 'פארסי');
INSERT INTO `lang_definitions` VALUES (32338, 3927, 7, 'קטלני');
INSERT INTO `lang_definitions` VALUES (32339, 3928, 7, 'אב');
INSERT INTO `lang_definitions` VALUES (32340, 3929, 7, 'היסטוריית אב');
INSERT INTO `lang_definitions` VALUES (32341, 3930, 7, 'תשישות');
INSERT INTO `lang_definitions` VALUES (32342, 3931, 7, 'תשישות');
INSERT INTO `lang_definitions` VALUES (32343, 3933, 7, 'פקס');
INSERT INTO `lang_definitions` VALUES (32344, 3934, 7, 'ספירת פקס');
INSERT INTO `lang_definitions` VALUES (32345, 3935, 7, 'מספר פקס');
INSERT INTO `lang_definitions` VALUES (32346, 3936, 7, 'שליחת פקס נכשלה');
INSERT INTO `lang_definitions` VALUES (32347, 3937, 7, 'פקס/סריקה');
INSERT INTO `lang_definitions` VALUES (32348, 3938, 7, 'כניסת פקס');
INSERT INTO `lang_definitions` VALUES (32349, 3939, 7, 'יציאת פקס');
INSERT INTO `lang_definitions` VALUES (32350, 3940, 7, 'תכונות');
INSERT INTO `lang_definitions` VALUES (32351, 3941, 7, 'פבר');
INSERT INTO `lang_definitions` VALUES (32352, 3942, 7, 'פברואר');
INSERT INTO `lang_definitions` VALUES (32353, 3943, 7, 'FECA');
INSERT INTO `lang_definitions` VALUES (32354, 3944, 7, 'מזהה תרופה פדרלי');
INSERT INTO `lang_definitions` VALUES (32355, 3945, 7, 'EIN פדרלי');
INSERT INTO `lang_definitions` VALUES (32356, 3946, 7, 'ת.ז.');
INSERT INTO `lang_definitions` VALUES (32357, 3948, 7, 'תשלום');
INSERT INTO `lang_definitions` VALUES (32358, 3949, 7, 'תשלום');
INSERT INTO `lang_definitions` VALUES (32359, 3950, 7, 'התשלום אינו מותר');
INSERT INTO `lang_definitions` VALUES (32360, 3951, 7, 'גיליון תשלום');
INSERT INTO `lang_definitions` VALUES (32361, 3953, 7, 'אפשרויות גיליון תשלום');
INSERT INTO `lang_definitions` VALUES (32362, 3955, 7, 'תשלום');
INSERT INTO `lang_definitions` VALUES (32363, 3956, 7, 'נקבה');
INSERT INTO `lang_definitions` VALUES (32364, 3957, 7, 'AP נקבה');
INSERT INTO `lang_definitions` VALUES (32365, 3958, 7, 'קונדומים לנקבה');
INSERT INTO `lang_definitions` VALUES (32366, 3959, 7, 'G נקבה');
INSERT INTO `lang_definitions` VALUES (32367, 3960, 7, 'LC נקבה');
INSERT INTO `lang_definitions` VALUES (32368, 3961, 7, 'P נקבה');
INSERT INTO `lang_definitions` VALUES (32369, 3962, 7, 'תסמיני נקבה');
INSERT INTO `lang_definitions` VALUES (32370, 3963, 7, 'VSC נקבה');
INSERT INTO `lang_definitions` VALUES (32371, 3964, 7, 'אחזר');
INSERT INTO `lang_definitions` VALUES (32372, 3965, 7, 'מאחזר את הקובץ הבא מהפורטל');
INSERT INTO `lang_definitions` VALUES (32373, 3966, 7, 'קדחת');
INSERT INTO `lang_definitions` VALUES (32374, 3967, 7, 'קדחת:');
INSERT INTO `lang_definitions` VALUES (32375, 3968, 7, 'בעיות דם FH');
INSERT INTO `lang_definitions` VALUES (32376, 3972, 7, 'פיברואידים');
INSERT INTO `lang_definitions` VALUES (32377, 3974, 7, 'שדה');
INSERT INTO `lang_definitions` VALUES (32378, 3975, 7, 'השדה \'שם\' לא יכול להיות ריק');
INSERT INTO `lang_definitions` VALUES (32379, 3976, 7, 'מזהה שדה');
INSERT INTO `lang_definitions` VALUES (32380, 3978, 7, 'סוג שדה לשימוש עבור מדינת מעסיק או מנוי בדמוגרפיה.');
INSERT INTO `lang_definitions` VALUES (32381, 3979, 7, 'סוג שדה לשימוש עבור מחוז מעסיק או מנוי בדמוגרפיה.');
INSERT INTO `lang_definitions` VALUES (32382, 3980, 7, 'חסרים שדות!');
INSERT INTO `lang_definitions` VALUES (32383, 3982, 7, 'שדות בטופס זה');
INSERT INTO `lang_definitions` VALUES (32384, 3984, 7, 'הודעת חשבון חמישית');
INSERT INTO `lang_definitions` VALUES (32385, 3985, 7, 'פיג\'ית');
INSERT INTO `lang_definitions` VALUES (32386, 3986, 7, 'קובץ');
INSERT INTO `lang_definitions` VALUES (32387, 3989, 7, 'קובץ בספריית התיעוד ללימוד אופן האוטומציה של התהליך ליצירת גיבויים של יומן');
INSERT INTO `lang_definitions` VALUES (32388, 3990, 7, 'מיקום קובץ');
INSERT INTO `lang_definitions` VALUES (32389, 3991, 7, 'ניהול קבצים');
INSERT INTO `lang_definitions` VALUES (32390, 3993, 7, 'שם קובץ');
INSERT INTO `lang_definitions` VALUES (32391, 3997, 7, 'נתיב הקובץ לא נמצא.');
INSERT INTO `lang_definitions` VALUES (32392, 3998, 7, 'הרשאת קובץ מוענקת למשתמש OpenEMR.');
INSERT INTO `lang_definitions` VALUES (32393, 3999, 7, 'אחזור קובץ מ-CouchDB נכשל');
INSERT INTO `lang_definitions` VALUES (32394, 4000, 7, 'חדר תיקים~תיוק חדר');
INSERT INTO `lang_definitions` VALUES (32395, 4001, 7, 'קובץ להעלאה');
INSERT INTO `lang_definitions` VALUES (32396, 4002, 7, 'קובץ להעלאה');
INSERT INTO `lang_definitions` VALUES (32397, 4003, 7, 'קובץ באותו השם כבר קיים במיקום:');
INSERT INTO `lang_definitions` VALUES (32398, 4004, 7, 'שם קובץ');
INSERT INTO `lang_definitions` VALUES (32399, 4005, 7, 'על שם הקובץ להסתיים ב-\"‎.pdf\"');
INSERT INTO `lang_definitions` VALUES (32400, 4006, 7, 'קבצים');
INSERT INTO `lang_definitions` VALUES (32401, 4011, 7, 'פיליפינית');
INSERT INTO `lang_definitions` VALUES (32402, 4013, 7, 'מלא שורה כלשהי מאלה שלמטה.');
INSERT INTO `lang_definitions` VALUES (32403, 4014, 7, 'מלא כאן רק במקרה של שליחת הודעה בדואר אלקטרוני למטופלים');
INSERT INTO `lang_definitions` VALUES (32404, 4023, 7, 'מלא את הערכים למטה');
INSERT INTO `lang_definitions` VALUES (32405, 4024, 7, 'מלא הוראות~הוראות מילוי');
INSERT INTO `lang_definitions` VALUES (32406, 4025, 7, 'מלא את השורה.');
INSERT INTO `lang_definitions` VALUES (32407, 4028, 7, 'סינון');
INSERT INTO `lang_definitions` VALUES (32408, 4029, 7, 'סנן לפי קבועים');
INSERT INTO `lang_definitions` VALUES (32409, 4030, 7, 'סנן לפי הגדרות');
INSERT INTO `lang_definitions` VALUES (32410, 4031, 7, 'מסונן מ:');
INSERT INTO `lang_definitions` VALUES (32411, 4032, 7, 'מסננים');
INSERT INTO `lang_definitions` VALUES (32412, 4033, 7, 'מסננים');
INSERT INTO `lang_definitions` VALUES (32413, 4034, 7, 'סופי');
INSERT INTO `lang_definitions` VALUES (32414, 4035, 7, 'אבחון סופי');
INSERT INTO `lang_definitions` VALUES (32415, 4036, 7, 'אבחון סופי לפי מומחה');
INSERT INTO `lang_definitions` VALUES (32416, 4037, 7, 'מצב סופי');
INSERT INTO `lang_definitions` VALUES (32417, 4038, 7, 'פיננסי');
INSERT INTO `lang_definitions` VALUES (32418, 4039, 7, 'תאריך סגירה פיננסי (yyyy-mm-dd)‏');
INSERT INTO `lang_definitions` VALUES (32419, 4040, 7, 'דיווח פיננסי - כל דבר');
INSERT INTO `lang_definitions` VALUES (32420, 4042, 7, 'דיווח פיננסי - המפגשים שלי');
INSERT INTO `lang_definitions` VALUES (32421, 4045, 7, 'תאריך סקירה פיננסית');
INSERT INTO `lang_definitions` VALUES (32422, 4046, 7, 'סיכום פיננסי לפי קוד שירות');
INSERT INTO `lang_definitions` VALUES (32423, 4048, 7, 'חיפוש');
INSERT INTO `lang_definitions` VALUES (32424, 4049, 7, 'חפש זמינים');
INSERT INTO `lang_definitions` VALUES (32425, 4050, 7, 'חפש פגישות זמינות');
INSERT INTO `lang_definitions` VALUES (32426, 4053, 7, 'חיפוש מטופל');
INSERT INTO `lang_definitions` VALUES (32427, 4054, 7, 'מצא חומרי לימוד מטופל');
INSERT INTO `lang_definitions` VALUES (32428, 4056, 7, 'ממצאים');
INSERT INTO `lang_definitions` VALUES (32429, 4057, 7, 'ממצאים לפי מומחה');
INSERT INTO `lang_definitions` VALUES (32430, 4058, 7, 'בסדר~עדין');
INSERT INTO `lang_definitions` VALUES (32431, 4060, 7, 'סיים תשלומים');
INSERT INTO `lang_definitions` VALUES (32432, 4062, 7, 'הסתיים');
INSERT INTO `lang_definitions` VALUES (32433, 4064, 7, 'פינית');
INSERT INTO `lang_definitions` VALUES (32434, 4065, 7, 'פרטי');
INSERT INTO `lang_definitions` VALUES (32435, 4066, 7, 'הודעת חשבון ראשונה');
INSERT INTO `lang_definitions` VALUES (32436, 4068, 7, 'יום ראשון בשבוע');
INSERT INTO `lang_definitions` VALUES (32437, 4071, 7, 'שם פרטי');
INSERT INTO `lang_definitions` VALUES (32438, 4072, 7, 'שם פרטי');
INSERT INTO `lang_definitions` VALUES (32439, 4073, 7, 'שם פרטי:');
INSERT INTO `lang_definitions` VALUES (32440, 4074, 7, 'ביקור או ייעוץ ראשון');
INSERT INTO `lang_definitions` VALUES (32441, 4077, 7, 'שם פרטי שם משפחה');
INSERT INTO `lang_definitions` VALUES (32442, 4079, 7, 'כושר');
INSERT INTO `lang_definitions` VALUES (32443, 4080, 7, 'רמת כושר');
INSERT INTO `lang_definitions` VALUES (32444, 4081, 7, 'רמת כושר עבור שחקן זה ביום זה');
INSERT INTO `lang_definitions` VALUES (32445, 4082, 7, 'בדיקת כושר');
INSERT INTO `lang_definitions` VALUES (32446, 4083, 7, 'כושר למשחק');
INSERT INTO `lang_definitions` VALUES (32447, 4084, 7, 'תקן תאריכי מפגש~תאריכי מפגש קבועים - כל מפגש');
INSERT INTO `lang_definitions` VALUES (32448, 4086, 7, 'תקן זאת');
INSERT INTO `lang_definitions` VALUES (32449, 4088, 7, 'FL');
INSERT INTO `lang_definitions` VALUES (32450, 4090, 7, 'גזים במערכת העיכול');
INSERT INTO `lang_definitions` VALUES (32451, 4091, 7, 'זרימה');
INSERT INTO `lang_definitions` VALUES (32452, 4092, 7, 'לוח זרימה');
INSERT INTO `lang_definitions` VALUES (32453, 4108, 7, 'עונת השפעת');
INSERT INTO `lang_definitions` VALUES (32454, 4109, 7, 'עונת השפעת');
INSERT INTO `lang_definitions` VALUES (32455, 4110, 7, 'חיסון נגד שפעת');
INSERT INTO `lang_definitions` VALUES (32456, 4111, 7, 'בעיית נוזלים ואלקטרוליטים');
INSERT INTO `lang_definitions` VALUES (32457, 4112, 7, 'FMS');
INSERT INTO `lang_definitions` VALUES (32458, 4113, 7, 'גודל נייר Folio');
INSERT INTO `lang_definitions` VALUES (32459, 4114, 7, 'מעקב ידני');
INSERT INTO `lang_definitions` VALUES (32460, 4115, 7, 'עקוב אחר הוראות אלה להתקנה או לשדרוג של מסד הנתונים הבא');
INSERT INTO `lang_definitions` VALUES (32461, 4116, 7, 'המשך טיפול');
INSERT INTO `lang_definitions` VALUES (32462, 4118, 7, 'הערת המשך טיפול');
INSERT INTO `lang_definitions` VALUES (32463, 4119, 7, 'סיבה להמשך טיפול');
INSERT INTO `lang_definitions` VALUES (32464, 4121, 7, 'להלן קבוע בהתאמה אישית:');
INSERT INTO `lang_definitions` VALUES (32465, 4122, 7, 'להלן שפה בהתאמה אישית:');
INSERT INTO `lang_definitions` VALUES (32466, 4123, 7, 'להלן הגדרה חדשה (שפה, קבוע, הגדרה):');
INSERT INTO `lang_definitions` VALUES (32467, 4124, 7, 'אירעה התעסקות עם השורות הבאות ביומן הביקורת');
INSERT INTO `lang_definitions` VALUES (32468, 4125, 7, 'שירותי המשך טיפול');
INSERT INTO `lang_definitions` VALUES (32469, 4126, 7, 'התווית המשך טיפול');
INSERT INTO `lang_definitions` VALUES (32470, 4129, 7, 'אי-סובלנות לאוכל');
INSERT INTO `lang_definitions` VALUES (32471, 4130, 7, 'כף רגל');
INSERT INTO `lang_definitions` VALUES (32472, 4131, 7, 'בעיות בכף הרגל');
INSERT INTO `lang_definitions` VALUES (32473, 4132, 7, 'כף רגל:');
INSERT INTO `lang_definitions` VALUES (32474, 4133, 7, 'פציעות כדורגל');
INSERT INTO `lang_definitions` VALUES (32475, 4134, 7, 'פציעת כדורגל');
INSERT INTO `lang_definitions` VALUES (32476, 4135, 7, 'דוח פציעת כדורגל');
INSERT INTO `lang_definitions` VALUES (32477, 4136, 7, 'סוג הנעלה');
INSERT INTO `lang_definitions` VALUES (32478, 4137, 7, 'עבור');
INSERT INTO `lang_definitions` VALUES (32479, 4138, 7, 'עבור');
INSERT INTO `lang_definitions` VALUES (32480, 4144, 7, 'עבור הקוד');
INSERT INTO `lang_definitions` VALUES (32481, 4146, 7, 'עבור התאריכים');
INSERT INTO `lang_definitions` VALUES (32482, 4152, 7, 'עבור תביעות מפגש');
INSERT INTO `lang_definitions` VALUES (32483, 4154, 7, 'לדוגמה:');
INSERT INTO `lang_definitions` VALUES (32484, 4158, 7, 'עבור תיבת HCFA 02/12 15 - תאריך אחר עם מזהה להגדרת מה שהתאריך מציין');
INSERT INTO `lang_definitions` VALUES (32485, 4159, 7, 'עבור תאריך תחילת בעיה HCFA 02/12 - מצוין בטופס מפגש, צריך מזהה');
INSERT INTO `lang_definitions` VALUES (32486, 4161, 7, 'עבור חשבונית');
INSERT INTO `lang_definitions` VALUES (32487, 4163, 7, 'עבור Medicare בלבד, אוכף ספק מפנה הזהה לספק נותן השירות.');
INSERT INTO `lang_definitions` VALUES (32488, 4165, 7, 'עבור מספר הזמנת מציב OBR');
INSERT INTO `lang_definitions` VALUES (32489, 4166, 7, 'עבור מטופל');
INSERT INTO `lang_definitions` VALUES (32490, 4172, 7, 'עבור ספק');
INSERT INTO `lang_definitions` VALUES (32491, 4173, 7, 'עבור ארגון/איש מקצוע מופנה');
INSERT INTO `lang_definitions` VALUES (32492, 4176, 7, 'עבור העבר');
INSERT INTO `lang_definitions` VALUES (32493, 4188, 7, 'עבור המשתנה');
INSERT INTO `lang_definitions` VALUES (32494, 4189, 7, 'עבור:');
INSERT INTO `lang_definitions` VALUES (32495, 4190, 7, 'אכיפת פתיחה של רכיב גרפי לחיוב');
INSERT INTO `lang_definitions` VALUES (32496, 4191, 7, 'אכיפה של יצירת מטופל חדש');
INSERT INTO `lang_definitions` VALUES (32497, 4193, 7, 'אכיפת הצגה');
INSERT INTO `lang_definitions` VALUES (32498, 4194, 7, 'אמה');
INSERT INTO `lang_definitions` VALUES (32499, 4195, 7, 'טופס');
INSERT INTO `lang_definitions` VALUES (32500, 4196, 7, 'טופס');
INSERT INTO `lang_definitions` VALUES (32501, 4197, 7, 'רכיב טופס לא נמצא');
INSERT INTO `lang_definitions` VALUES (32502, 4199, 7, 'חתימה על הטופס בוצעה בהצלחה');
INSERT INTO `lang_definitions` VALUES (32503, 4201, 7, 'תבנית');
INSERT INTO `lang_definitions` VALUES (32504, 4202, 7, 'תבנית');
INSERT INTO `lang_definitions` VALUES (32505, 4203, 7, 'תבנית להצגת גיל');
INSERT INTO `lang_definitions` VALUES (32506, 4204, 7, 'תבנית שגויה עבור NDC');
INSERT INTO `lang_definitions` VALUES (32507, 4205, 7, 'תבנית המשמשת להצגת רוב התאריכים.');
INSERT INTO `lang_definitions` VALUES (32508, 4206, 7, 'תבנית המשמשת להצגת רוב השעות.');
INSERT INTO `lang_definitions` VALUES (32509, 4207, 7, 'דוח מעוצב');
INSERT INTO `lang_definitions` VALUES (32510, 4208, 7, 'מעשן לשעבר');
INSERT INTO `lang_definitions` VALUES (32511, 4209, 7, 'טפסים');
INSERT INTO `lang_definitions` VALUES (32512, 4210, 7, 'ניהול טפסים');
INSERT INTO `lang_definitions` VALUES (32513, 4212, 7, 'טפסים חתומים');
INSERT INTO `lang_definitions` VALUES (32514, 4215, 7, 'העבר');
INSERT INTO `lang_definitions` VALUES (32515, 4219, 7, 'העבר דפים בפקס');
INSERT INTO `lang_definitions` VALUES (32516, 4222, 7, 'הועבר');
INSERT INTO `lang_definitions` VALUES (32517, 4224, 7, 'ילד מאומץ');
INSERT INTO `lang_definitions` VALUES (32518, 4225, 7, 'רביעי');
INSERT INTO `lang_definitions` VALUES (32519, 4226, 7, 'הודעת חשבון רביעית');
INSERT INTO `lang_definitions` VALUES (32520, 4227, 7, 'שבר');
INSERT INTO `lang_definitions` VALUES (32521, 4228, 7, 'שבר בנאוויקולה');
INSERT INTO `lang_definitions` VALUES (32522, 4229, 7, 'שבר בקרסול צדי');
INSERT INTO `lang_definitions` VALUES (32523, 4230, 7, 'שבר בקרסול תיכון');
INSERT INTO `lang_definitions` VALUES (32524, 4231, 7, 'שבר, בסיס Metarsal חמישי');
INSERT INTO `lang_definitions` VALUES (32525, 4232, 7, 'מסגרת');
INSERT INTO `lang_definitions` VALUES (32526, 4233, 7, 'נדרשת תמיכת מסגרת');
INSERT INTO `lang_definitions` VALUES (32527, 4235, 7, 'צרפתית');
INSERT INTO `lang_definitions` VALUES (32528, 4236, 7, 'צרפתית (קנדית)');
INSERT INTO `lang_definitions` VALUES (32529, 4237, 7, 'צרפתית (רגילה)');
INSERT INTO `lang_definitions` VALUES (32530, 4238, 7, 'תדירות');
INSERT INTO `lang_definitions` VALUES (32531, 4239, 7, 'צינון בתדירות גבוהה');
INSERT INTO `lang_definitions` VALUES (32532, 4240, 7, 'מחלה בתדירות גבוהה');
INSERT INTO `lang_definitions` VALUES (32533, 4241, 7, 'שישי');
INSERT INTO `lang_definitions` VALUES (32534, 4242, 7, 'יום שישי');
INSERT INTO `lang_definitions` VALUES (32535, 4244, 7, 'מ:');
INSERT INTO `lang_definitions` VALUES (32536, 4245, 7, 'מ:');
INSERT INTO `lang_definitions` VALUES (32537, 4246, 7, 'מ:');
INSERT INTO `lang_definitions` VALUES (32538, 4247, 7, 'תאריך ההתחלה לא יכול להיות גדול יותר מתאריך הסיום.');
INSERT INTO `lang_definitions` VALUES (32539, 4253, 7, 'מ:');
INSERT INTO `lang_definitions` VALUES (32540, 4254, 7, 'מ:');
INSERT INTO `lang_definitions` VALUES (32541, 4255, 7, 'FROM_CITY');
INSERT INTO `lang_definitions` VALUES (32542, 4256, 7, 'FROM_EMAIL');
INSERT INTO `lang_definitions` VALUES (32543, 4257, 7, 'FROM_FNAME');
INSERT INTO `lang_definitions` VALUES (32544, 4258, 7, 'FROM_LNAME');
INSERT INTO `lang_definitions` VALUES (32545, 4259, 7, 'FROM_MNAME');
INSERT INTO `lang_definitions` VALUES (32546, 4260, 7, 'FROM_PHONE');
INSERT INTO `lang_definitions` VALUES (32547, 4261, 7, 'FROM_PHONECELL');
INSERT INTO `lang_definitions` VALUES (32548, 4262, 7, 'FROM_POSTAL');
INSERT INTO `lang_definitions` VALUES (32549, 4263, 7, 'FROM_STATE');
INSERT INTO `lang_definitions` VALUES (32550, 4264, 7, 'FROM_STREET');
INSERT INTO `lang_definitions` VALUES (32551, 4265, 7, 'FROM_TITLE');
INSERT INTO `lang_definitions` VALUES (32552, 4266, 7, 'FROM_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (32553, 4267, 7, 'משרד קדמי');
INSERT INTO `lang_definitions` VALUES (32554, 4268, 7, 'קבלות משרד קדמי');
INSERT INTO `lang_definitions` VALUES (32555, 4269, 7, 'דוח קבלות משרד קדמי');
INSERT INTO `lang_definitions` VALUES (32556, 4270, 7, 'תיעוד קדמי');
INSERT INTO `lang_definitions` VALUES (32557, 4271, 7, 'קדמי ימני:');
INSERT INTO `lang_definitions` VALUES (32558, 4276, 7, 'פולאר');
INSERT INTO `lang_definitions` VALUES (32559, 4278, 7, 'שם מלא');
INSERT INTO `lang_definitions` VALUES (32560, 4280, 7, 'נתיב מלא לספרייה המכילה קובצי הפעלה של MySQL.');
INSERT INTO `lang_definitions` VALUES (32561, 4281, 7, 'נתיב מלא לספרייה המכילה קובצי הפעלה של Perl.');
INSERT INTO `lang_definitions` VALUES (32562, 4282, 7, 'נתיב מלא לספרייה עבור גיבוי יומן אירועים.');
INSERT INTO `lang_definitions` VALUES (32563, 4283, 7, 'נתיב מלא לספרייה המשמשת לקבצים זמניים.');
INSERT INTO `lang_definitions` VALUES (32564, 4284, 7, 'משחק שלם');
INSERT INTO `lang_definitions` VALUES (32565, 4286, 7, 'תרגול שלם');
INSERT INTO `lang_definitions` VALUES (32566, 4288, 7, 'שולם במלואו');
INSERT INTO `lang_definitions` VALUES (32567, 4290, 7, 'טופס מצב תפקודי וקוגניטיבי');
INSERT INTO `lang_definitions` VALUES (32568, 4291, 7, 'מצב תפקודי קוגניטיבי');
INSERT INTO `lang_definitions` VALUES (32569, 4292, 7, 'מצב תפקודי');
INSERT INTO `lang_definitions` VALUES (32570, 4293, 7, 'מקור מימון');
INSERT INTO `lang_definitions` VALUES (32571, 4295, 7, 'עתידי');
INSERT INTO `lang_definitions` VALUES (32572, 4297, 7, 'ו{{יום שישי}}');
INSERT INTO `lang_definitions` VALUES (32573, 4298, 7, 'G');
INSERT INTO `lang_definitions` VALUES (32574, 4299, 7, 'G/DL');
INSERT INTO `lang_definitions` VALUES (32575, 4301, 7, 'גאליצית');
INSERT INTO `lang_definitions` VALUES (32576, 4302, 7, 'בעיה בכיס המרה');
INSERT INTO `lang_definitions` VALUES (32577, 4303, 7, 'אבנים בכיס המרה');
INSERT INTO `lang_definitions` VALUES (32578, 4304, 7, 'תקופת משחק');
INSERT INTO `lang_definitions` VALUES (32579, 4305, 7, 'משחקים');
INSERT INTO `lang_definitions` VALUES (32580, 4306, 7, 'משחקים שהוחמצו');
INSERT INTO `lang_definitions` VALUES (32581, 4307, 7, 'משחקים/אירועים');
INSERT INTO `lang_definitions` VALUES (32582, 4308, 7, 'משחקים/אירועים שהוחמצו');
INSERT INTO `lang_definitions` VALUES (32583, 4309, 7, 'גאנדה');
INSERT INTO `lang_definitions` VALUES (32584, 4310, 7, 'דלקת הקיבה');
INSERT INTO `lang_definitions` VALUES (32585, 4311, 7, 'כאב קיבה');
INSERT INTO `lang_definitions` VALUES (32586, 4312, 7, 'קיבה ומעיים');
INSERT INTO `lang_definitions` VALUES (32587, 4316, 7, 'דוח סטטיסטיקת GCAC');
INSERT INTO `lang_definitions` VALUES (32588, 4317, 7, 'סטטיסטיקת GCAC');
INSERT INTO `lang_definitions` VALUES (32589, 4318, 7, 'טופס ביקור GCAC חסר');
INSERT INTO `lang_definitions` VALUES (32590, 4319, 7, 'מגדר');
INSERT INTO `lang_definitions` VALUES (32591, 4320, 7, 'מגדר');
INSERT INTO `lang_definitions` VALUES (32592, 4321, 7, 'כללי');
INSERT INTO `lang_definitions` VALUES (32593, 4323, 7, 'רשימת בעיות כלליות');
INSERT INTO `lang_definitions` VALUES (32594, 4324, 7, 'רופא כללי');
INSERT INTO `lang_definitions` VALUES (32595, 4325, 7, 'קטגוריית שירות כללית');
INSERT INTO `lang_definitions` VALUES (32596, 4331, 7, 'צור');
INSERT INTO `lang_definitions` VALUES (32597, 4332, 7, 'צור והורד תביעות פיזיות של CMS 1500');
INSERT INTO `lang_definitions` VALUES (32598, 4334, 7, 'צור והורד תביעות פיזיות של HCFA 1500');
INSERT INTO `lang_definitions` VALUES (32599, 4337, 7, 'צור והורד אצוות X12');
INSERT INTO `lang_definitions` VALUES (32600, 4338, 7, 'צור והורד אצוות X12 של תביעת מפגש');
INSERT INTO `lang_definitions` VALUES (32601, 4339, 7, 'צור ושדר מרשמים מורשים באופן אלקטרוני (כל המרשמים).');
INSERT INTO `lang_definitions` VALUES (32602, 4340, 7, 'צור ושדר מרשמים מורשים באופן אלקטרוני (לא כולל חומרים מפוקחים).');
INSERT INTO `lang_definitions` VALUES (32603, 4341, 7, 'צור ושדר מרשמים מורשים באופן אלקטרוני.');
INSERT INTO `lang_definitions` VALUES (32604, 4342, 7, 'צור CMS 1500');
INSERT INTO `lang_definitions` VALUES (32605, 4343, 7, 'צור CMS 1500 PDF');
INSERT INTO `lang_definitions` VALUES (32606, 4344, 7, 'צור CMS 1500 TEXT');
INSERT INTO `lang_definitions` VALUES (32607, 4345, 7, 'צור HCFA');
INSERT INTO `lang_definitions` VALUES (32608, 4347, 7, 'צור חשבונית');
INSERT INTO `lang_definitions` VALUES (32609, 4348, 7, 'צור מכתב');
INSERT INTO `lang_definitions` VALUES (32610, 4349, 7, 'צור מכתב בנושא');
INSERT INTO `lang_definitions` VALUES (32611, 4351, 7, 'צור דוח PQRI (שיטה A)');
INSERT INTO `lang_definitions` VALUES (32612, 4352, 7, 'צור דוח PQRI (שיטה A)‏ - 2011');
INSERT INTO `lang_definitions` VALUES (32613, 4353, 7, 'צור דוח PQRI (שיטה E)');
INSERT INTO `lang_definitions` VALUES (32614, 4354, 7, 'צור דוח PQRI (שיטה E)‏ - 2011');
INSERT INTO `lang_definitions` VALUES (32615, 4355, 7, 'צור QRDA I‏ - 2014');
INSERT INTO `lang_definitions` VALUES (32616, 4356, 7, 'צור QRDA III‏ - 2014');
INSERT INTO `lang_definitions` VALUES (32617, 4357, 7, 'צור דוח');
INSERT INTO `lang_definitions` VALUES (32618, 4365, 7, 'צור שם משתמש וסיסמה עבור');
INSERT INTO `lang_definitions` VALUES (32619, 4366, 7, 'צור X12');
INSERT INTO `lang_definitions` VALUES (32620, 4368, 7, 'צור מפגש X12');
INSERT INTO `lang_definitions` VALUES (32621, 4369, 7, 'צור/הורד QRDA I‏ - 2014');
INSERT INTO `lang_definitions` VALUES (32622, 4370, 7, 'נוצר ב:');
INSERT INTO `lang_definitions` VALUES (32623, 4372, 7, 'יוצר');
INSERT INTO `lang_definitions` VALUES (32624, 4377, 7, 'איברי מין ודרכי השתן');
INSERT INTO `lang_definitions` VALUES (32625, 4378, 7, 'רופא מין ודרכי השתן');
INSERT INTO `lang_definitions` VALUES (32626, 4380, 7, 'גיאורגית');
INSERT INTO `lang_definitions` VALUES (32627, 4381, 7, 'גרמנית');
INSERT INTO `lang_definitions` VALUES (32628, 4382, 7, 'גיל הריוני');
INSERT INTO `lang_definitions` VALUES (32629, 4383, 7, 'גיל הריוני');
INSERT INTO `lang_definitions` VALUES (32630, 4385, 7, 'קבל HL7');
INSERT INTO `lang_definitions` VALUES (32631, 4386, 7, 'קבל HL7');
INSERT INTO `lang_definitions` VALUES (32632, 4392, 7, 'גלאוקומה');
INSERT INTO `lang_definitions` VALUES (32633, 4393, 7, 'היסטוריה משפחתית של גלאוקומה');
INSERT INTO `lang_definitions` VALUES (32634, 4395, 7, 'גלובלי');
INSERT INTO `lang_definitions` VALUES (32635, 4397, 7, 'מדינת מטופל של ברירת מחדל גלובלית');
INSERT INTO `lang_definitions` VALUES (32636, 4398, 7, 'מזהה גלובלי');
INSERT INTO `lang_definitions` VALUES (32637, 4399, 7, 'הגדרות גלובליות');
INSERT INTO `lang_definitions` VALUES (32638, 4400, 7, 'הגדרות גלובליות');
INSERT INTO `lang_definitions` VALUES (32639, 4401, 7, 'GM/DL');
INSERT INTO `lang_definitions` VALUES (32640, 4402, 7, 'בצע');
INSERT INTO `lang_definitions` VALUES (32641, 4403, 7, 'בצע');
INSERT INTO `lang_definitions` VALUES (32642, 4404, 7, 'בצע');
INSERT INTO `lang_definitions` VALUES (32643, 4405, 7, 'חזור');
INSERT INTO `lang_definitions` VALUES (32644, 4407, 7, 'עבור אל');
INSERT INTO `lang_definitions` VALUES (32645, 4417, 7, 'עבור לשבוע של');
INSERT INTO `lang_definitions` VALUES (32646, 4418, 7, 'עבור אל היום~לך היום');
INSERT INTO `lang_definitions` VALUES (32647, 4419, 7, 'מטרה A');
INSERT INTO `lang_definitions` VALUES (32648, 4420, 7, 'מטרה ושיטות');
INSERT INTO `lang_definitions` VALUES (32649, 4421, 7, 'מטרה B');
INSERT INTO `lang_definitions` VALUES (32650, 4422, 7, 'מטרה C');
INSERT INTO `lang_definitions` VALUES (32651, 4428, 7, 'רמת הפציעה');
INSERT INTO `lang_definitions` VALUES (32652, 4429, 7, 'דירוג~כיתה:');
INSERT INTO `lang_definitions` VALUES (32653, 4430, 7, 'גר\'');
INSERT INTO `lang_definitions` VALUES (32654, 4431, 7, 'סיכום כללי');
INSERT INTO `lang_definitions` VALUES (32655, 4432, 7, 'סיכומים כלליים');
INSERT INTO `lang_definitions` VALUES (32656, 4433, 7, 'נכד');
INSERT INTO `lang_definitions` VALUES (32657, 4434, 7, 'סב');
INSERT INTO `lang_definitions` VALUES (32658, 4435, 7, 'ניתן לכלילה בגרף');
INSERT INTO `lang_definitions` VALUES (32659, 4436, 7, 'סב-רב');
INSERT INTO `lang_definitions` VALUES (32660, 4437, 7, 'גדול מ:');
INSERT INTO `lang_definitions` VALUES (32661, 4438, 7, 'גדול מ/שווה ל:');
INSERT INTO `lang_definitions` VALUES (32662, 4439, 7, 'יוונית');
INSERT INTO `lang_definitions` VALUES (32663, 4440, 7, 'יוונית, מודרנית');
INSERT INTO `lang_definitions` VALUES (32664, 4442, 7, 'קבוצה');
INSERT INTO `lang_definitions` VALUES (32665, 4459, 7, 'שם קבוצה');
INSERT INTO `lang_definitions` VALUES (32666, 4460, 7, 'שמות קבוצה לא יכולים להיות ריקים');
INSERT INTO `lang_definitions` VALUES (32667, 4461, 7, 'שמות קבוצה לא יכולים להתחיל בספרה או בתו רווח.');
INSERT INTO `lang_definitions` VALUES (32668, 4462, 7, 'שמות קבוצה לא יכולים להתחיל בספרה.');
INSERT INTO `lang_definitions` VALUES (32669, 4463, 7, 'מספר קבוצה');
INSERT INTO `lang_definitions` VALUES (32670, 4465, 7, 'תשלום קבוצה');
INSERT INTO `lang_definitions` VALUES (32671, 4471, 7, 'קבוצה:');
INSERT INTO `lang_definitions` VALUES (32672, 4472, 7, 'שם קבוצה');
INSERT INTO `lang_definitions` VALUES (32673, 4475, 7, 'קבוצות ובקרות גישה');
INSERT INTO `lang_definitions` VALUES (32674, 4476, 7, 'תרשים צמיחה');
INSERT INTO `lang_definitions` VALUES (32675, 4477, 7, 'עקומת גדילה');
INSERT INTO `lang_definitions` VALUES (32676, 4478, 7, 'gtts(טיפות)');
INSERT INTO `lang_definitions` VALUES (32677, 4479, 7, 'גואמאנית');
INSERT INTO `lang_definitions` VALUES (32678, 4481, 7, 'גואראני');
INSERT INTO `lang_definitions` VALUES (32679, 4484, 7, 'שם אפוטרופוס');
INSERT INTO `lang_definitions` VALUES (32680, 4487, 7, 'גוג\'אראטי');
INSERT INTO `lang_definitions` VALUES (32681, 4489, 7, 'בדיקה גינקולוגית');
INSERT INTO `lang_definitions` VALUES (32682, 4490, 7, 'h');
INSERT INTO `lang_definitions` VALUES (32683, 4492, 7, 'h.s.');
INSERT INTO `lang_definitions` VALUES (32684, 4493, 7, 'צהבת H/O');
INSERT INTO `lang_definitions` VALUES (32685, 4494, 7, 'נמחק בהצלחה. כל קטגוריות משנה, אם קיימות, הוזזו~הועברו למטה~מתחת');
INSERT INTO `lang_definitions` VALUES (32686, 4495, 7, 'המטומה/פציעה');
INSERT INTO `lang_definitions` VALUES (32687, 4496, 7, 'מצב HAI');
INSERT INTO `lang_definitions` VALUES (32688, 4497, 7, 'האיטי-האיטי קריאולי');
INSERT INTO `lang_definitions` VALUES (32689, 4498, 7, 'חצי אח');
INSERT INTO `lang_definitions` VALUES (32690, 4499, 7, 'כף יד + אצבעות');
INSERT INTO `lang_definitions` VALUES (32691, 4500, 7, 'בעיות בכף היד');
INSERT INTO `lang_definitions` VALUES (32692, 4505, 7, 'דיסק קשיח');
INSERT INTO `lang_definitions` VALUES (32693, 4506, 7, 'קושי ללא');
INSERT INTO `lang_definitions` VALUES (32694, 4507, 7, 'מקושר לביקור');
INSERT INTO `lang_definitions` VALUES (32695, 4508, 7, 'התוקף פג');
INSERT INTO `lang_definitions` VALUES (32696, 4509, 7, 'Hash');
INSERT INTO `lang_definitions` VALUES (32697, 4511, 7, 'Hash לא היה קיים עבור קובץ זה. Hash חדש נוצר.');
INSERT INTO `lang_definitions` VALUES (32698, 4512, 7, 'Hash לא תואם. שלמות הנתונים נפגעה.');
INSERT INTO `lang_definitions` VALUES (32699, 4514, 7, 'האוסה');
INSERT INTO `lang_definitions` VALUES (32700, 4515, 7, 'הוואית');
INSERT INTO `lang_definitions` VALUES (32701, 4516, 7, 'פעילויות מסוכנות');
INSERT INTO `lang_definitions` VALUES (32702, 4517, 7, 'פעילויות מסוכנות');
INSERT INTO `lang_definitions` VALUES (32703, 4521, 7, 'שוליים שמאליים של HCFA בנקודות');
INSERT INTO `lang_definitions` VALUES (32704, 4522, 7, 'שולי HCFA');
INSERT INTO `lang_definitions` VALUES (32705, 4523, 7, 'שוליים עליונים של HCFA בנקודות');
INSERT INTO `lang_definitions` VALUES (32706, 4524, 7, 'הליך/שירות HCPCS');
INSERT INTO `lang_definitions` VALUES (32707, 4527, 7, 'he PostCalendar');
INSERT INTO `lang_definitions` VALUES (32708, 4528, 7, 'ראש');
INSERT INTO `lang_definitions` VALUES (32709, 4529, 7, 'היקף ראש');
INSERT INTO `lang_definitions` VALUES (32710, 4530, 7, 'היקף ראש');
INSERT INTO `lang_definitions` VALUES (32711, 4531, 7, 'כאב ראש');
INSERT INTO `lang_definitions` VALUES (32712, 4532, 7, 'כאבי ראש');
INSERT INTO `lang_definitions` VALUES (32713, 4534, 7, 'פעולות שירותי בריאות');
INSERT INTO `lang_definitions` VALUES (32714, 4535, 7, 'פעולות שירותי בריאות');
INSERT INTO `lang_definitions` VALUES (32715, 4537, 7, 'מרכז/מרפאת בריאות');
INSERT INTO `lang_definitions` VALUES (32716, 4540, 7, 'Health Maintenance Organization');
INSERT INTO `lang_definitions` VALUES (32717, 4541, 7, 'Health Maintenance Organization (HMO) Medicare Risk');
INSERT INTO `lang_definitions` VALUES (32718, 4542, 7, 'אובדן שמיעה');
INSERT INTO `lang_definitions` VALUES (32719, 4543, 7, 'התקפת לב');
INSERT INTO `lang_definitions` VALUES (32720, 4544, 7, 'מחלת לב');
INSERT INTO `lang_definitions` VALUES (32721, 4545, 7, 'אי ספיקת לב');
INSERT INTO `lang_definitions` VALUES (32722, 4546, 7, 'בעיה בלב');
INSERT INTO `lang_definitions` VALUES (32723, 4547, 7, 'בעיות בלב');
INSERT INTO `lang_definitions` VALUES (32724, 4548, 7, 'ניתוח לב');
INSERT INTO `lang_definitions` VALUES (32725, 4549, 7, 'השתלת לב');
INSERT INTO `lang_definitions` VALUES (32726, 4550, 7, 'לב:');
INSERT INTO `lang_definitions` VALUES (32727, 4551, 7, 'צרבת');
INSERT INTO `lang_definitions` VALUES (32728, 4552, 7, 'חום או קור');
INSERT INTO `lang_definitions` VALUES (32729, 4553, 7, 'חום או קור');
INSERT INTO `lang_definitions` VALUES (32730, 4554, 7, 'מעשן טבק כבד');
INSERT INTO `lang_definitions` VALUES (32731, 4555, 7, 'עברית');
INSERT INTO `lang_definitions` VALUES (32732, 4556, 7, 'עברית (מודרנית)');
INSERT INTO `lang_definitions` VALUES (32733, 4557, 7, 'HEENT');
INSERT INTO `lang_definitions` VALUES (32734, 4558, 7, 'גובה');
INSERT INTO `lang_definitions` VALUES (32735, 4559, 7, 'גובה/אורך');
INSERT INTO `lang_definitions` VALUES (32736, 4560, 7, 'עזרה');
INSERT INTO `lang_definitions` VALUES (32737, 4561, 7, 'עזרה');
INSERT INTO `lang_definitions` VALUES (32738, 4563, 7, 'הקאת דם');
INSERT INTO `lang_definitions` VALUES (32739, 4564, 7, 'המטוקזיה');
INSERT INTO `lang_definitions` VALUES (32740, 4565, 7, 'המטולוגי');
INSERT INTO `lang_definitions` VALUES (32741, 4566, 7, 'דם בשתן');
INSERT INTO `lang_definitions` VALUES (32742, 4567, 7, 'המוגלובין');
INSERT INTO `lang_definitions` VALUES (32743, 4568, 7, 'A1C המוגלובין');
INSERT INTO `lang_definitions` VALUES (32744, 4569, 7, 'המופטיסיס');
INSERT INTO `lang_definitions` VALUES (32745, 4570, 7, 'צהבת');
INSERT INTO `lang_definitions` VALUES (32746, 4571, 7, 'צהבת A 1');
INSERT INTO `lang_definitions` VALUES (32747, 4572, 7, 'צהבת A 2');
INSERT INTO `lang_definitions` VALUES (32748, 4573, 7, 'צהבת B 1');
INSERT INTO `lang_definitions` VALUES (32749, 4574, 7, 'צהבת B 2');
INSERT INTO `lang_definitions` VALUES (32750, 4575, 7, 'צהבת B 3');
INSERT INTO `lang_definitions` VALUES (32751, 4576, 7, 'כאן');
INSERT INTO `lang_definitions` VALUES (32752, 4579, 7, 'Herero');
INSERT INTO `lang_definitions` VALUES (32753, 4580, 7, 'תיקון בקע');
INSERT INTO `lang_definitions` VALUES (32754, 4581, 7, 'בקע דיסק');
INSERT INTO `lang_definitions` VALUES (32755, 4582, 7, 'הרפס');
INSERT INTO `lang_definitions` VALUES (32756, 4585, 7, 'היסוס');
INSERT INTO `lang_definitions` VALUES (32757, 4586, 7, 'היי, אתה נמצא כאן כבר');
INSERT INTO `lang_definitions` VALUES (32758, 4587, 7, 'Hib 1');
INSERT INTO `lang_definitions` VALUES (32759, 4588, 7, 'Hib 2');
INSERT INTO `lang_definitions` VALUES (32760, 4589, 7, 'Hib 3');
INSERT INTO `lang_definitions` VALUES (32761, 4590, 7, 'Hib 4');
INSERT INTO `lang_definitions` VALUES (32762, 4591, 7, 'מוסתר');
INSERT INTO `lang_definitions` VALUES (32763, 4592, 7, 'ניהול אירועים מוסתרים');
INSERT INTO `lang_definitions` VALUES (32764, 4593, 7, 'הסתר');
INSERT INTO `lang_definitions` VALUES (32765, 4595, 7, 'הסתר פרטים');
INSERT INTO `lang_definitions` VALUES (32766, 4596, 7, 'הסתר יומני E-Sign ריקים בדוח');
INSERT INTO `lang_definitions` VALUES (32767, 4597, 7, 'הסתר אפשרויות הצפנה/פענוח בניהול מסמכים');
INSERT INTO `lang_definitions` VALUES (32768, 4599, 7, 'הסתר תפריט');
INSERT INTO `lang_definitions` VALUES (32769, 4600, 7, 'הסתר תכונת הדפסה');
INSERT INTO `lang_definitions` VALUES (32770, 4601, 7, 'הסתר תזכורות');
INSERT INTO `lang_definitions` VALUES (32771, 4603, 7, 'הסתר/הצג עמודות');
INSERT INTO `lang_definitions` VALUES (32772, 4604, 7, 'HIE');
INSERT INTO `lang_definitions` VALUES (32773, 4605, 7, 'גבוה');
INSERT INTO `lang_definitions` VALUES (32774, 4607, 7, 'לחץ דם גבוה');
INSERT INTO `lang_definitions` VALUES (32775, 4609, 7, 'הינדי');
INSERT INTO `lang_definitions` VALUES (32776, 4610, 7, 'ירך + מפשעה');
INSERT INTO `lang_definitions` VALUES (32777, 4611, 7, 'ירך ומפשעה');
INSERT INTO `lang_definitions` VALUES (32778, 4612, 7, 'בעיות בירך');
INSERT INTO `lang_definitions` VALUES (32779, 4613, 7, 'החלפת ירך');
INSERT INTO `lang_definitions` VALUES (32780, 4615, 7, 'הודעת HIPAA התקבלה');
INSERT INTO `lang_definitions` VALUES (32781, 4616, 7, 'Hiri Motu');
INSERT INTO `lang_definitions` VALUES (32782, 4617, 7, 'שעירות');
INSERT INTO `lang_definitions` VALUES (32783, 4618, 7, 'היספנית');
INSERT INTO `lang_definitions` VALUES (32784, 4619, 7, 'היספנית - אחר (נולד בארה\"ב)');
INSERT INTO `lang_definitions` VALUES (32785, 4620, 7, 'היספנית - אחר (נולד מחוץ לארה\"ב)');
INSERT INTO `lang_definitions` VALUES (32786, 4621, 7, 'היספנית או לטינית');
INSERT INTO `lang_definitions` VALUES (32787, 4623, 7, 'היסטוריה');
INSERT INTO `lang_definitions` VALUES (32788, 4629, 7, 'נתוני היסטוריה');
INSERT INTO `lang_definitions` VALUES (32789, 4630, 7, 'תאריך היסטוריה');
INSERT INTO `lang_definitions` VALUES (32790, 4631, 7, 'שדות היסטוריה');
INSERT INTO `lang_definitions` VALUES (32791, 4632, 7, 'היסטוריה של רשרוש');
INSERT INTO `lang_definitions` VALUES (32792, 4633, 7, 'ההיסטוריה אינה מורשית');
INSERT INTO `lang_definitions` VALUES (32793, 4634, 7, 'היסטוריה של רשרוש בלב');
INSERT INTO `lang_definitions` VALUES (32794, 4638, 7, 'תוצאות~פגיעות~מכות');
INSERT INTO `lang_definitions` VALUES (32795, 4639, 7, 'HIV');
INSERT INTO `lang_definitions` VALUES (32796, 4640, 7, 'סרפדת');
INSERT INTO `lang_definitions` VALUES (32797, 4641, 7, 'HL7');
INSERT INTO `lang_definitions` VALUES (32798, 4649, 7, 'HL7 Viewer');
INSERT INTO `lang_definitions` VALUES (32799, 4650, 7, 'קוד קונספט HL7-V3');
INSERT INTO `lang_definitions` VALUES (32800, 4651, 7, 'HMOL/L');
INSERT INTO `lang_definitions` VALUES (32801, 4652, 7, 'המונג');
INSERT INTO `lang_definitions` VALUES (32802, 4653, 7, 'החזק את מקש [Ctrl] לחץ לבחירה מרובה או לביטול בחירה מרובה');
INSERT INTO `lang_definitions` VALUES (32803, 4655, 7, 'החזק את מקש Ctrl לחוץ כדי לבחור פריטים מרובים');
INSERT INTO `lang_definitions` VALUES (32804, 4656, 7, 'החזק את מקש Ctrl לחוץ כדי לבחור קבוצות מרובות');
INSERT INTO `lang_definitions` VALUES (32805, 4658, 7, 'בית');
INSERT INTO `lang_definitions` VALUES (32806, 4659, 7, 'טלפון בבית');
INSERT INTO `lang_definitions` VALUES (32807, 4660, 7, 'מספר טלפון בבית');
INSERT INTO `lang_definitions` VALUES (32808, 4662, 7, 'מחוסר בית או דומה?');
INSERT INTO `lang_definitions` VALUES (32809, 4664, 7, 'מחוסר בית וכדומה');
INSERT INTO `lang_definitions` VALUES (32810, 4665, 7, 'מחוסר בית וכדומה');
INSERT INTO `lang_definitions` VALUES (32811, 4666, 7, 'Hooks');
INSERT INTO `lang_definitions` VALUES (32812, 4674, 7, 'שם מחשב מארח');
INSERT INTO `lang_definitions` VALUES (32813, 4675, 7, 'שם מחשב מארח לא יכול להיות ריק');
INSERT INTO `lang_definitions` VALUES (32814, 4676, 7, 'שעות');
INSERT INTO `lang_definitions` VALUES (32815, 4677, 7, 'שעה');
INSERT INTO `lang_definitions` VALUES (32816, 4678, 7, 'שעות');
INSERT INTO `lang_definitions` VALUES (32817, 4679, 7, 'שעות');
INSERT INTO `lang_definitions` VALUES (32818, 4681, 7, 'כיצד אירעה הפציעה?');
INSERT INTO `lang_definitions` VALUES (32819, 4682, 7, 'כיצד אירעה הפציעה?:');
INSERT INTO `lang_definitions` VALUES (32820, 4683, 7, 'כיצד שמעת עלינו');
INSERT INTO `lang_definitions` VALUES (32821, 4685, 7, 'כמה חודשים מראש לשאילתה עבור אירועים עתידיים?');
INSERT INTO `lang_definitions` VALUES (32822, 4692, 7, 'HPI:');
INSERT INTO `lang_definitions` VALUES (32823, 4694, 7, 'HT');
INSERT INTO `lang_definitions` VALUES (32824, 4695, 7, 'HTML');
INSERT INTO `lang_definitions` VALUES (32825, 4696, 7, 'פלט HTML?');
INSERT INTO `lang_definitions` VALUES (32826, 4699, 7, 'קישור HTTPS עבור שירות Lab Exchange של Medical Information Integration, LLC.');
INSERT INTO `lang_definitions` VALUES (32827, 4701, 7, 'הונגרית');
INSERT INTO `lang_definitions` VALUES (32828, 4702, 7, 'ספריית Hylafax');
INSERT INTO `lang_definitions` VALUES (32829, 4703, 7, 'פקודת Hylafax Enscript');
INSERT INTO `lang_definitions` VALUES (32830, 4704, 7, 'שרת Hylafax');
INSERT INTO `lang_definitions` VALUES (32831, 4705, 7, 'שם מארח של שרת Hylafax.');
INSERT INTO `lang_definitions` VALUES (32832, 4706, 7, 'היפראקטיבי');
INSERT INTO `lang_definitions` VALUES (32833, 4708, 7, 'יתר לחץ דם');
INSERT INTO `lang_definitions` VALUES (32834, 4709, 7, 'יתר לחץ דם: מדידת לחץ דם');
INSERT INTO `lang_definitions` VALUES (32835, 4710, 7, 'יתר לחץ דם: מדידת לחץ דם (CQM)');
INSERT INTO `lang_definitions` VALUES (32836, 4711, 7, 'היפרתירואידיזם');
INSERT INTO `lang_definitions` VALUES (32837, 4713, 7, 'היפרתירואידיזם');
INSERT INTO `lang_definitions` VALUES (32838, 4716, 7, 'כריתת רחם');
INSERT INTO `lang_definitions` VALUES (32839, 4717, 7, '~אניI');
INSERT INTO `lang_definitions` VALUES (32840, 4718, 7, 'אני עסוק/ה כעת.');
INSERT INTO `lang_definitions` VALUES (32841, 4719, 7, 'אין לי הרשאות לקריאה');
INSERT INTO `lang_definitions` VALUES (32842, 4724, 7, 'ICD');
INSERT INTO `lang_definitions` VALUES (32843, 4725, 7, 'אבחון ICD10');
INSERT INTO `lang_definitions` VALUES (32844, 4726, 7, 'הליך/שירות ICD10');
INSERT INTO `lang_definitions` VALUES (32845, 4727, 7, 'ICD9');
INSERT INTO `lang_definitions` VALUES (32846, 4728, 7, 'אבחון ICD9');
INSERT INTO `lang_definitions` VALUES (32847, 4729, 7, 'הליך/שירות ICD9');
INSERT INTO `lang_definitions` VALUES (32848, 4730, 7, 'איסלנדית');
INSERT INTO `lang_definitions` VALUES (32849, 4734, 7, 'מזהה');
INSERT INTO `lang_definitions` VALUES (32850, 4736, 7, 'מזהה');
INSERT INTO `lang_definitions` VALUES (32851, 4738, 7, 'מזהה לא יכול להיות ריק');
INSERT INTO `lang_definitions` VALUES (32852, 4739, 7, 'תעודה מזהה');
INSERT INTO `lang_definitions` VALUES (32853, 4742, 7, 'IDays');
INSERT INTO `lang_definitions` VALUES (32854, 4743, 7, 'מזוהה בתור');
INSERT INTO `lang_definitions` VALUES (32855, 4745, 7, 'מזהה (מילה אחת)');
INSERT INTO `lang_definitions` VALUES (32856, 4746, 7, 'קוד מזהה');
INSERT INTO `lang_definitions` VALUES (32857, 4747, 7, 'שניות לסיום זמן קצוב של הפעלה לא פעילה');
INSERT INTO `lang_definitions` VALUES (32858, 4748, 7, 'Ido');
INSERT INTO `lang_definitions` VALUES (32859, 4755, 7, 'אם כל הנתונים של כל העמודות הושלמו עבור טופס זה');
INSERT INTO `lang_definitions` VALUES (32860, 4757, 7, 'אם הצדקת החיוב נמצאת בשימוש, הזן שם של סוג קוד אבחון.');
INSERT INTO `lang_definitions` VALUES (32861, 4763, 7, 'אם הוזן, בחר רק את אלה עם שירות זה');
INSERT INTO `lang_definitions` VALUES (32862, 4765, 7, 'אם שם, חלק כלשהו של lastname או lastname,firstname');
INSERT INTO `lang_definitions` VALUES (32863, 4770, 7, 'אם תשלום על-ידי');
INSERT INTO `lang_definitions` VALUES (32864, 4771, 7, 'אם נפטר, הזן תאריך פטירה.');
INSERT INTO `lang_definitions` VALUES (32865, 4775, 7, 'במקרה של שימוש ב-SMTP, שם המארח של השרת או כתובת IP.');
INSERT INTO `lang_definitions` VALUES (32866, 4776, 7, 'במקרה של שימוש ב-SMTP, מספר יציאת TCP של שרת (בדרך כלל 25).');
INSERT INTO `lang_definitions` VALUES (32867, 4803, 7, 'אם לא מועסק, הזן \'סטודנט\'');
INSERT INTO `lang_definitions` VALUES (32868, 4805, 7, 'אם נבחר YMD עבור תצוגת גיל, עבור ל\'שנים\' בלבד כאשר גיל המטופלים עולה על ערך זה בשנים');
INSERT INTO `lang_definitions` VALUES (32869, 4814, 7, 'אם תשנה תפקיד e-RX עבור ePrescription, הדבר עשוי להשפיע על זרימת העבודה של ה-ePrescription. אם תיתקל בבעיה כלשהי, צור קשר עם ספק ה-ePrescription שלך.');
INSERT INTO `lang_definitions` VALUES (32870, 4824, 7, 'אם לא תבחר התאמה, המטופל ייווצר.');
INSERT INTO `lang_definitions` VALUES (32871, 4833, 7, 'אם בחרת להעלות העברת כספים אלקטרונית, חלון החיפוש יופיע שוב עם החשבוניות התואמות מקובץ ה-X12.  תוכל ללחוץ על מספר כלשהו ממספרי החשבוניות (כמתואר למטה) אם ברצונך לבצע תיקונים כלשהם לפני החלת פרטי העברת הכספים. כדי להחיל את השינויים, לחץ על הלחצן \'עבד קובץ ERA\' בתחתית הדף.  פעולה זו תיצור חלון חדש עם דוח מפורט.');
INSERT INTO `lang_definitions` VALUES (32872, 4836, 7, 'אם הזנת \'תאריך תשלום\' בדף החיפוש, ערך זה יעקוף את תאריך הרישום של התשלומים ואת ההתאמות, אשר אחרת היו מתקבלים מקובץ ה-X12.  אפשרות זו עשויה להועיל לצורכי דיווח, אם אתה מעוניין שדיווח הקבלות ישתמש בתאריך הרישום שלך במקום תאריך העיבוד של חברת הביטוח.  שים לב: הדבר ישפיע גם על תאריכים של התאמות ותשלומים קודמים שנכללו בתביעות משניות.');
INSERT INTO `lang_definitions` VALUES (32873, 4850, 7, 'אם ברצונך לשנות את סוגי הנתונים או להוסיף שורות/עמודות');
INSERT INTO `lang_definitions` VALUES (32874, 4851, 7, 'אם ברצונך לשדרג את מסד הנתונים, הצב את קובץ ה-zip של מסד הנתונים בספרייה הבאה');
INSERT INTO `lang_definitions` VALUES (32875, 4853, 7, 'איגבו');
INSERT INTO `lang_definitions` VALUES (32876, 4854, 7, 'התעלם');
INSERT INTO `lang_definitions` VALUES (32877, 4856, 7, 'מחלה');
INSERT INTO `lang_definitions` VALUES (32878, 4857, 7, 'IM');
INSERT INTO `lang_definitions` VALUES (32879, 4859, 7, 'תוצאות תמונה');
INSERT INTO `lang_definitions` VALUES (32880, 4861, 7, 'דימות');
INSERT INTO `lang_definitions` VALUES (32881, 4863, 7, 'שירות דימות');
INSERT INTO `lang_definitions` VALUES (32882, 4865, 7, 'חיסון');
INSERT INTO `lang_definitions` VALUES (32883, 4867, 7, 'קוד חיסון');
INSERT INTO `lang_definitions` VALUES (32884, 4868, 7, 'מצב השלמת חיסון');
INSERT INTO `lang_definitions` VALUES (32885, 4869, 7, 'תאריך חיסון');
INSERT INTO `lang_definitions` VALUES (32886, 4870, 7, 'תאריך תפוגת חיסון');
INSERT INTO `lang_definitions` VALUES (32887, 4872, 7, 'מספר מנה של חיסון');
INSERT INTO `lang_definitions` VALUES (32888, 4873, 7, 'יצרן חיסון');
INSERT INTO `lang_definitions` VALUES (32889, 4878, 7, 'מרשם חיסונים');
INSERT INTO `lang_definitions` VALUES (32890, 4881, 7, 'דוח חיסון');
INSERT INTO `lang_definitions` VALUES (32891, 4882, 7, 'שירות חיסון');
INSERT INTO `lang_definitions` VALUES (32892, 4883, 7, 'כותרת חיסון');
INSERT INTO `lang_definitions` VALUES (32893, 4885, 7, 'חיסונים');
INSERT INTO `lang_definitions` VALUES (32894, 4887, 7, 'ביצוע חיסון');
INSERT INTO `lang_definitions` VALUES (32895, 4888, 7, 'אימונולוגי');
INSERT INTO `lang_definitions` VALUES (32896, 4893, 7, 'שתלים');
INSERT INTO `lang_definitions` VALUES (32897, 4894, 7, 'ייבוא');
INSERT INTO `lang_definitions` VALUES (32898, 4895, 7, 'יבא הכול');
INSERT INTO `lang_definitions` VALUES (32899, 4896, 7, 'ייבוא CCDA');
INSERT INTO `lang_definitions` VALUES (32900, 4897, 7, 'ייבוא CCR');
INSERT INTO `lang_definitions` VALUES (32901, 4898, 7, 'יבא אישור לדפדפן.');
INSERT INTO `lang_definitions` VALUES (32902, 4899, 7, 'ייבוא תצורה');
INSERT INTO `lang_definitions` VALUES (32903, 4900, 7, 'ייבוא נדחה לזמן-לחיות');
INSERT INTO `lang_definitions` VALUES (32904, 4904, 7, 'ייבוא מטופל');
INSERT INTO `lang_definitions` VALUES (32905, 4905, 7, 'ייבוא דמוגרפיית מטופלים');
INSERT INTO `lang_definitions` VALUES (32906, 4910, 7, 'קודים חשובים');
INSERT INTO `lang_definitions` VALUES (32907, 4912, 7, 'חשוב: כלי העלאה זה נועד אך ורק להעלאה של מסמכים על מטופלים אשר טרם הוזנו במערכת. כדי להעלות קבצים עבור מטופלים שכבר הוזנו במערכת, השתמש בכלי ההעלאה המקושר במסך סיכום המטופלים.');
INSERT INTO `lang_definitions` VALUES (32908, 4913, 7, 'רגישויות מיובאות');
INSERT INTO `lang_definitions` VALUES (32909, 4914, 7, 'מיובא מחשבונאות');
INSERT INTO `lang_definitions` VALUES (32910, 4915, 7, 'תרופות מיובאות');
INSERT INTO `lang_definitions` VALUES (32911, 4916, 7, 'בעיות מיובאות');
INSERT INTO `lang_definitions` VALUES (32912, 4920, 7, 'משופר');
INSERT INTO `lang_definitions` VALUES (32913, 4922, 7, 'ב:');
INSERT INTO `lang_definitions` VALUES (32914, 4923, 7, 'ב:~נכנס');
INSERT INTO `lang_definitions` VALUES (32915, 4931, 7, 'בכל עין');
INSERT INTO `lang_definitions` VALUES (32916, 4934, 7, 'בעין שמאל');
INSERT INTO `lang_definitions` VALUES (32917, 4935, 7, 'בנחיר');
INSERT INTO `lang_definitions` VALUES (32918, 4936, 7, 'במשרד');
INSERT INTO `lang_definitions` VALUES (32919, 4947, 7, 'בעין ימין');
INSERT INTO `lang_definitions` VALUES (32920, 4958, 7, 'פנימי~בארגון');
INSERT INTO `lang_definitions` VALUES (32921, 4960, 7, 'לא פעיל');
INSERT INTO `lang_definitions` VALUES (32922, 4965, 7, 'ימים לא פעילים');
INSERT INTO `lang_definitions` VALUES (32923, 4967, 7, 'דואר נכנס');
INSERT INTO `lang_definitions` VALUES (32924, 4968, 7, 'קוד INCITS');
INSERT INTO `lang_definitions` VALUES (32925, 4969, 7, 'כלול את כל הערכים המדווחים עבור כל קוד תוצאה');
INSERT INTO `lang_definitions` VALUES (32926, 4970, 7, 'כלול בדיקת סיכום');
INSERT INTO `lang_definitions` VALUES (32927, 4971, 7, 'כלול פריטים שהושלמו');
INSERT INTO `lang_definitions` VALUES (32928, 4974, 7, 'כלול משתמשים לא פעילים');
INSERT INTO `lang_definitions` VALUES (32929, 4975, 7, 'כלול ללא קטגוריה');
INSERT INTO `lang_definitions` VALUES (32930, 4976, 7, 'כלול נתונים שאינם מובנים');
INSERT INTO `lang_definitions` VALUES (32931, 4977, 7, 'כלול סימנים חיוניים');
INSERT INTO `lang_definitions` VALUES (32932, 4978, 7, 'האם לכלול נתוני סימנים חיוניים?');
INSERT INTO `lang_definitions` VALUES (32933, 4981, 7, 'כלילה');
INSERT INTO `lang_definitions` VALUES (32934, 4982, 7, 'הכנסה');
INSERT INTO `lang_definitions` VALUES (32935, 4983, 7, 'יש לטפל בתוצאות נכנסות:');
INSERT INTO `lang_definitions` VALUES (32936, 4984, 7, 'לא הושלם');
INSERT INTO `lang_definitions` VALUES (32937, 4985, 7, 'טיפול הפלה שלא הושלם');
INSERT INTO `lang_definitions` VALUES (32938, 4986, 7, 'אי שליטה בסוגרים');
INSERT INTO `lang_definitions` VALUES (32939, 4987, 7, 'כלול תוצאות בדיקת מעבדה קליניות בטכנולוגיית EHR מאושרת בתור נתונים מובנים.');
INSERT INTO `lang_definitions` VALUES (32940, 4988, 7, 'סיסמה שגויה!');
INSERT INTO `lang_definitions` VALUES (32941, 4990, 7, 'עלייה:');
INSERT INTO `lang_definitions` VALUES (32942, 4991, 7, 'ביטוח שיפוי');
INSERT INTO `lang_definitions` VALUES (32943, 4994, 7, 'ביניים');
INSERT INTO `lang_definitions` VALUES (32944, 4995, 7, 'הודית');
INSERT INTO `lang_definitions` VALUES (32945, 4998, 7, 'מציין חריגה');
INSERT INTO `lang_definitions` VALUES (32946, 5000, 7, 'מציין אם הבעיה פעילה כעת');
INSERT INTO `lang_definitions` VALUES (32947, 5001, 7, 'התוויות');
INSERT INTO `lang_definitions` VALUES (32948, 5002, 7, 'מחוון לשימוש ייעודי');
INSERT INTO `lang_definitions` VALUES (32949, 5003, 7, 'מטופלים נזקקים');
INSERT INTO `lang_definitions` VALUES (32950, 5004, 7, 'דוח מטופלים נזקקים');
INSERT INTO `lang_definitions` VALUES (32951, 5005, 7, 'נזקקים');
INSERT INTO `lang_definitions` VALUES (32952, 5007, 7, 'דפים פרטניים יכולים לעקוף אפשרות שנייה ושלישית על-ידי הטמעה של הודעת יומן.');
INSERT INTO `lang_definitions` VALUES (32953, 5009, 7, 'אינדונזית');
INSERT INTO `lang_definitions` VALUES (32954, 5010, 7, 'הפלה יזומה');
INSERT INTO `lang_definitions` VALUES (32955, 5011, 7, 'תעשייה~מגזר עסקי');
INSERT INTO `lang_definitions` VALUES (32956, 5012, 7, 'לא זכאי');
INSERT INTO `lang_definitions` VALUES (32957, 5013, 7, 'זיהום/מורסה');
INSERT INTO `lang_definitions` VALUES (32958, 5014, 7, 'זיהומים');
INSERT INTO `lang_definitions` VALUES (32959, 5015, 7, 'ייעוץ לאי-פוריות');
INSERT INTO `lang_definitions` VALUES (32960, 5016, 7, 'אי-פוריות');
INSERT INTO `lang_definitions` VALUES (32961, 5017, 7, 'שפעת 1');
INSERT INTO `lang_definitions` VALUES (32962, 5018, 7, 'שפעת 2');
INSERT INTO `lang_definitions` VALUES (32963, 5019, 7, 'חיסון נגד שפעת למטופלים מגיל 50 ומעלה');
INSERT INTO `lang_definitions` VALUES (32964, 5020, 7, 'חיסון נגד שפעת למטופלים מגיל 50 ומעלה (CQM)');
INSERT INTO `lang_definitions` VALUES (32965, 5021, 7, 'חיסון נגד שפעת');
INSERT INTO `lang_definitions` VALUES (32966, 5022, 7, 'פרטים');
INSERT INTO `lang_definitions` VALUES (32967, 5023, 7, 'בדיקת פרטים 1');
INSERT INTO `lang_definitions` VALUES (32968, 5024, 7, 'בדיקת פרטים 2');
INSERT INTO `lang_definitions` VALUES (32969, 5025, 7, 'בדיקת פרטים 3');
INSERT INTO `lang_definitions` VALUES (32970, 5026, 7, 'בדיקת פרטים 4');
INSERT INTO `lang_definitions` VALUES (32971, 5027, 7, 'בדיקת פרטים 5');
INSERT INTO `lang_definitions` VALUES (32972, 5028, 7, 'בדיקת פרטים 6');
INSERT INTO `lang_definitions` VALUES (32973, 5029, 7, 'מוסר מידע');
INSERT INTO `lang_definitions` VALUES (32974, 5034, 7, 'אינהלציות');
INSERT INTO `lang_definitions` VALUES (32975, 5036, 7, 'אינהלציות');
INSERT INTO `lang_definitions` VALUES (32976, 5038, 7, 'טיפול ראשוני');
INSERT INTO `lang_definitions` VALUES (32977, 5039, 7, 'משתמש ראשוני');
INSERT INTO `lang_definitions` VALUES (32978, 5041, 7, 'זריקה/שיקום');
INSERT INTO `lang_definitions` VALUES (32979, 5042, 7, 'הזרקה');
INSERT INTO `lang_definitions` VALUES (32980, 5043, 7, 'זריקה');
INSERT INTO `lang_definitions` VALUES (32981, 5044, 7, 'חלק פצוע בגוף');
INSERT INTO `lang_definitions` VALUES (32982, 5045, 7, 'יציאת פציעה~פציעה יוצאת');
INSERT INTO `lang_definitions` VALUES (32983, 5046, 7, 'פציעה');
INSERT INTO `lang_definitions` VALUES (32984, 5047, 7, 'מנגנון פציעה');
INSERT INTO `lang_definitions` VALUES (32985, 5048, 7, 'דוח סקירה כללית של פציעה');
INSERT INTO `lang_definitions` VALUES (32986, 5049, 7, 'מעקב אחר פציעה');
INSERT INTO `lang_definitions` VALUES (32987, 5050, 7, 'סוג פציעה');
INSERT INTO `lang_definitions` VALUES (32988, 5051, 7, 'קשור לפציעה/למחלה');
INSERT INTO `lang_definitions` VALUES (32989, 5052, 7, 'בשורה~פנימי');
INSERT INTO `lang_definitions` VALUES (32990, 5055, 7, 'הקלט לא מתחיל במקטע MSH');
INSERT INTO `lang_definitions` VALUES (32991, 5056, 7, 'שדות קלט');
INSERT INTO `lang_definitions` VALUES (32992, 5057, 7, 'INR');
INSERT INTO `lang_definitions` VALUES (32993, 5058, 7, 'Ins 1');
INSERT INTO `lang_definitions` VALUES (32994, 5059, 7, 'Ins 2 או Ins 3');
INSERT INTO `lang_definitions` VALUES (32995, 5060, 7, 'הוסף כתובת~כתובת ביטוח');
INSERT INTO `lang_definitions` VALUES (32996, 5061, 7, 'הוסף התאמה~התאמת ביטוח');
INSERT INTO `lang_definitions` VALUES (32997, 5062, 7, 'הוסף חבילה~חבילת ביטוח');
INSERT INTO `lang_definitions` VALUES (32998, 5063, 7, 'הוסף קוד~קוד ביטוח');
INSERT INTO `lang_definitions` VALUES (32999, 5064, 7, 'הוסף קבוצה~קבוצת ביטוח');
INSERT INTO `lang_definitions` VALUES (33000, 5065, 7, 'הוסף שם~שם ביטוח');
INSERT INTO `lang_definitions` VALUES (33001, 5066, 7, 'הוסף תשלום יתר~תשלום יתר של ביטוח');
INSERT INTO `lang_definitions` VALUES (33002, 5067, 7, 'הוסף מדיניות~פוליסה~פוליסת ביטוח');
INSERT INTO `lang_definitions` VALUES (33003, 5068, 7, 'הוסף החזר~החזר ביטוח');
INSERT INTO `lang_definitions` VALUES (33004, 5069, 7, 'הוסף סיכום~סיכום ביטוח');
INSERT INTO `lang_definitions` VALUES (33005, 5071, 7, 'Ins1');
INSERT INTO `lang_definitions` VALUES (33006, 5072, 7, 'Ins2');
INSERT INTO `lang_definitions` VALUES (33007, 5073, 7, 'Ins3');
INSERT INTO `lang_definitions` VALUES (33008, 5074, 7, 'הוסף');
INSERT INTO `lang_definitions` VALUES (33009, 5075, 7, 'ההוספה נכשלה:');
INSERT INTO `lang_definitions` VALUES (33010, 5079, 7, 'הוסף אירועים ישנים בטבלאות');
INSERT INTO `lang_definitions` VALUES (33011, 5080, 7, 'הוסף שדה מיוחד');
INSERT INTO `lang_definitions` VALUES (33012, 5085, 7, 'אינסומניה');
INSERT INTO `lang_definitions` VALUES (33013, 5086, 7, 'בדוק את היומן');
INSERT INTO `lang_definitions` VALUES (33014, 5087, 7, 'ביקורת');
INSERT INTO `lang_definitions` VALUES (33015, 5088, 7, 'אי-יציבות/נקע חלקי');
INSERT INTO `lang_definitions` VALUES (33016, 5089, 7, 'התקן');
INSERT INTO `lang_definitions` VALUES (33017, 5090, 7, 'התקן');
INSERT INTO `lang_definitions` VALUES (33018, 5092, 7, 'התקן מערך קודים');
INSERT INTO `lang_definitions` VALUES (33019, 5093, 7, 'התקן מסד נתונים');
INSERT INTO `lang_definitions` VALUES (33020, 5100, 7, 'מהדורה מותקנת');
INSERT INTO `lang_definitions` VALUES (33021, 5102, 7, 'בהדרכה');
INSERT INTO `lang_definitions` VALUES (33022, 5103, 7, 'הוראות~הדרכה');
INSERT INTO `lang_definitions` VALUES (33023, 5104, 7, 'הנחיות');
INSERT INTO `lang_definitions` VALUES (33024, 5105, 7, 'הנחיות:');
INSERT INTO `lang_definitions` VALUES (33025, 5107, 7, 'מלאי בלתי-מספיק עבור מזהה המוצר');
INSERT INTO `lang_definitions` VALUES (33026, 5108, 7, 'סוכרת תלוית אינסולין');
INSERT INTO `lang_definitions` VALUES (33027, 5109, 7, 'ביטוח');
INSERT INTO `lang_definitions` VALUES (33028, 5110, 7, 'ביטוח');
INSERT INTO `lang_definitions` VALUES (33029, 5112, 7, 'התאמת ביטוח');
INSERT INTO `lang_definitions` VALUES (33030, 5113, 7, 'התאמת ביטוח');
INSERT INTO `lang_definitions` VALUES (33031, 5114, 7, 'יתרת~מאזן ביטוח');
INSERT INTO `lang_definitions` VALUES (33032, 5115, 7, 'יתרת חוב של ביטוח');
INSERT INTO `lang_definitions` VALUES (33033, 5116, 7, 'חברת ביטוח');
INSERT INTO `lang_definitions` VALUES (33034, 5117, 7, 'חברות ביטוח');
INSERT INTO `lang_definitions` VALUES (33035, 5118, 7, 'חברת ביטוח');
INSERT INTO `lang_definitions` VALUES (33036, 5119, 7, 'חיפוש/הוספה של חברת ביטוח');
INSERT INTO `lang_definitions` VALUES (33037, 5120, 7, 'זיכוי~אשראי ביטוח');
INSERT INTO `lang_definitions` VALUES (33038, 5121, 7, 'נתוני ביטוח');
INSERT INTO `lang_definitions` VALUES (33039, 5124, 7, 'פרטי ביטוח רשומים');
INSERT INTO `lang_definitions` VALUES (33040, 5126, 7, 'מספרי ביטוח');
INSERT INTO `lang_definitions` VALUES (33041, 5127, 7, 'תשלום ביטוח');
INSERT INTO `lang_definitions` VALUES (33042, 5128, 7, 'תשלומי ביטוח');
INSERT INTO `lang_definitions` VALUES (33043, 5129, 7, 'ספק ביטוח');
INSERT INTO `lang_definitions` VALUES (33044, 5131, 7, 'סוגי ביטוח');
INSERT INTO `lang_definitions` VALUES (33045, 5132, 7, 'ביטוחים');
INSERT INTO `lang_definitions` VALUES (33046, 5133, 7, 'מבוטח');
INSERT INTO `lang_definitions` VALUES (33047, 5134, 7, 'מסקנת קליטה~קבלה');
INSERT INTO `lang_definitions` VALUES (33048, 5135, 7, 'תאריך קליטה~קבלה');
INSERT INTO `lang_definitions` VALUES (33049, 5138, 7, 'הידרדרות אינטלקטואלית');
INSERT INTO `lang_definitions` VALUES (33050, 5141, 7, 'אינטרלינגואה');
INSERT INTO `lang_definitions` VALUES (33051, 5142, 7, 'אינטרלינגואה');
INSERT INTO `lang_definitions` VALUES (33052, 5148, 7, 'רגישויות פנימיות');
INSERT INTO `lang_definitions` VALUES (33053, 5149, 7, 'שגיאה פנימית - לא נבחרו דפים!');
INSERT INTO `lang_definitions` VALUES (33054, 5150, 7, 'שגיאה פנימית - לא סופק מזהה מטופל!');
INSERT INTO `lang_definitions` VALUES (33055, 5151, 7, 'שגיאה פנימית בגישה לקובץ שהועלה!');
INSERT INTO `lang_definitions` VALUES (33056, 5153, 7, 'שגיאה פנימית!');
INSERT INTO `lang_definitions` VALUES (33057, 5154, 7, 'שגיאה פנימית, לא צוין מזהה תרופה!');
INSERT INTO `lang_definitions` VALUES (33058, 5155, 7, 'שגיאה פנימית: לא ניתן למצוא MSH-10');
INSERT INTO `lang_definitions` VALUES (33059, 5156, 7, 'שגיאה פנימית: תביעה');
INSERT INTO `lang_definitions` VALUES (33060, 5157, 7, 'שגיאה פנימית: המפגש \'');
INSERT INTO `lang_definitions` VALUES (33061, 5158, 7, 'שגיאה פנימית: חסר pid או מפגש.');
INSERT INTO `lang_definitions` VALUES (33062, 5159, 7, 'שגיאה פנימית: נראה שאיננו נמצאים במפגש!');
INSERT INTO `lang_definitions` VALUES (33063, 5160, 7, 'מזהה פנימי (pid)');
INSERT INTO `lang_definitions` VALUES (33064, 5161, 7, 'תרופות פנימיות');
INSERT INTO `lang_definitions` VALUES (33065, 5162, 7, 'בעיות פנימיות');
INSERT INTO `lang_definitions` VALUES (33066, 5163, 7, 'הפניות פנימיות');
INSERT INTO `lang_definitions` VALUES (33067, 5164, 7, 'זמן פנימי של איסוף~שנאסף~של גבייה');
INSERT INTO `lang_definitions` VALUES (33068, 5165, 7, 'מכס בינלאומי~חובה בינלאומית');
INSERT INTO `lang_definitions` VALUES (33069, 5167, 7, 'מתורגמן');
INSERT INTO `lang_definitions` VALUES (33070, 5168, 7, 'דרוש מתורגמן?');
INSERT INTO `lang_definitions` VALUES (33071, 5169, 7, 'מחלת ריאות בין-רקמתית');
INSERT INTO `lang_definitions` VALUES (33072, 5170, 7, 'מרווח זמן');
INSERT INTO `lang_definitions` VALUES (33073, 5171, 7, 'מרווח זמן (דקות)');
INSERT INTO `lang_definitions` VALUES (33074, 5172, 7, 'מרווח זמן בין בדיקות הודעה (הגדר כאפס לבדיקות ידניות בלבד)');
INSERT INTO `lang_definitions` VALUES (33075, 5173, 7, 'התערבות');
INSERT INTO `lang_definitions` VALUES (33076, 5174, 7, 'התערבות שסופקה');
INSERT INTO `lang_definitions` VALUES (33077, 5175, 7, 'אי-סובלנות');
INSERT INTO `lang_definitions` VALUES (33078, 5176, 7, 'תוך-עורי');
INSERT INTO `lang_definitions` VALUES (33079, 5178, 7, 'תוך-שרירי');
INSERT INTO `lang_definitions` VALUES (33080, 5181, 7, 'תוך-ורידי');
INSERT INTO `lang_definitions` VALUES (33081, 5182, 7, 'הקדמה~מבוא~הכנסה~הצגה');
INSERT INTO `lang_definitions` VALUES (33082, 5183, 7, 'אינוקטיטוט');
INSERT INTO `lang_definitions` VALUES (33083, 5184, 7, 'אינופיאק');
INSERT INTO `lang_definitions` VALUES (33084, 5185, 7, 'תו לא חוקי ב:');
INSERT INTO `lang_definitions` VALUES (33085, 5191, 7, 'טווח תאריכים לא חוקי');
INSERT INTO `lang_definitions` VALUES (33086, 5192, 7, 'סוג קידוד לא חוקי של עטיפת נתונים');
INSERT INTO `lang_definitions` VALUES (33087, 5195, 7, 'אורך לא חוקי עבור');
INSERT INTO `lang_definitions` VALUES (33088, 5196, 7, 'תו לא-נומרי לא חוקי ב:');
INSERT INTO `lang_definitions` VALUES (33089, 5197, 7, 'משלם לא חוקי או חסר במקור עבור קוד');
INSERT INTO `lang_definitions` VALUES (33090, 5199, 7, 'כתובת נמען לא חוקית. נסה שוב.');
INSERT INTO `lang_definitions` VALUES (33091, 5200, 7, 'קודי שירות לא חוקיים');
INSERT INTO `lang_definitions` VALUES (33092, 5201, 7, 'הקצאת מקור לא חוקית \"');
INSERT INTO `lang_definitions` VALUES (33093, 5203, 7, 'שם משתמש או סיסמה לא חוקיים');
INSERT INTO `lang_definitions` VALUES (33094, 5204, 7, 'InvAmt');
INSERT INTO `lang_definitions` VALUES (33095, 5205, 7, 'מלאי');
INSERT INTO `lang_definitions` VALUES (33096, 5206, 7, 'פעילות במלאי');
INSERT INTO `lang_definitions` VALUES (33097, 5207, 7, 'כלילה במלאי ומכירה של תרופות ומוצרים שאינם תרופות');
INSERT INTO `lang_definitions` VALUES (33098, 5208, 7, 'כלילה במלאי ומכירה של תרופות בלבד');
INSERT INTO `lang_definitions` VALUES (33099, 5209, 7, 'מלאי לא זמין להזמנה זו.');
INSERT INTO `lang_definitions` VALUES (33100, 5210, 7, 'רשימת מלאי');
INSERT INTO `lang_definitions` VALUES (33101, 5211, 7, 'טרנזקציות מלאי');
INSERT INTO `lang_definitions` VALUES (33102, 5212, 7, 'חשבונית');
INSERT INTO `lang_definitions` VALUES (33103, 5213, 7, 'חשבונית');
INSERT INTO `lang_definitions` VALUES (33104, 5215, 7, 'יתרת חשבונית');
INSERT INTO `lang_definitions` VALUES (33105, 5216, 7, 'לא ניתן להציב יתרת חשבונית. לא נוצר מפגש.');
INSERT INTO `lang_definitions` VALUES (33106, 5217, 7, 'תאריך חשבונית');
INSERT INTO `lang_definitions` VALUES (33107, 5219, 7, 'לחשבונית אין תאריך!');
INSERT INTO `lang_definitions` VALUES (33108, 5220, 7, 'מספר חשבונית');
INSERT INTO `lang_definitions` VALUES (33109, 5221, 7, 'מספר אסמכתא של חשבונית');
INSERT INTO `lang_definitions` VALUES (33110, 5222, 7, 'מאגר מספרי אסמכתא של חשבונית, אם בשימוש');
INSERT INTO `lang_definitions` VALUES (33111, 5223, 7, 'מאגרי מספרי אסמכתא של חשבונית');
INSERT INTO `lang_definitions` VALUES (33112, 5224, 7, 'מאגר מספרי אסמכתא של חשבונית');
INSERT INTO `lang_definitions` VALUES (33113, 5226, 7, 'חשבונית:');
INSERT INTO `lang_definitions` VALUES (33114, 5237, 7, 'IPPF');
INSERT INTO `lang_definitions` VALUES (33115, 5238, 7, 'הפלה IPPF');
INSERT INTO `lang_definitions` VALUES (33116, 5239, 7, 'אמצעי מניעה IPPF');
INSERT INTO `lang_definitions` VALUES (33117, 5240, 7, 'נתוני IPPF SRH עבור');
INSERT INTO `lang_definitions` VALUES (33118, 5241, 7, 'דוח סטטיסטיקת IPPF');
INSERT INTO `lang_definitions` VALUES (33119, 5242, 7, 'סטטיסטיקת IPPF');
INSERT INTO `lang_definitions` VALUES (33120, 5243, 7, 'IPV 1');
INSERT INTO `lang_definitions` VALUES (33121, 5244, 7, 'IPV 2');
INSERT INTO `lang_definitions` VALUES (33122, 5245, 7, 'IPV 3');
INSERT INTO `lang_definitions` VALUES (33123, 5246, 7, 'IPV 4');
INSERT INTO `lang_definitions` VALUES (33124, 5248, 7, 'אירית');
INSERT INTO `lang_definitions` VALUES (33125, 5249, 7, 'דופק לב לא-סדיר');
INSERT INTO `lang_definitions` VALUES (33126, 5250, 7, 'רגזנות');
INSERT INTO `lang_definitions` VALUES (33127, 5251, 7, 'גירוי');
INSERT INTO `lang_definitions` VALUES (33128, 5252, 7, 'מהווה גרסת שפה אחרת של מסד הנתונים הבא');
INSERT INTO `lang_definitions` VALUES (33129, 5253, 7, 'מהווה גרסה אחרת של מסד הנתונים הבא');
INSERT INTO `lang_definitions` VALUES (33130, 5254, 7, 'מהווה גרסה עדכנית יותר של מסד הנתונים הבא');
INSERT INTO `lang_definitions` VALUES (33131, 5256, 7, 'מהווה שדה חובה.');
INSERT INTO `lang_definitions` VALUES (33132, 5257, 7, 'מהווה צומת בסיס, ולא ניתן למחוק.');
INSERT INTO `lang_definitions` VALUES (33133, 5258, 7, 'מהווה הרחבה~סיומת של מסד הנתונים הבא');
INSERT INTO `lang_definitions` VALUES (33134, 5262, 7, 'האם אפשר למפות קודי CVX אלה לחיסונים שכבר קיימים?');
INSERT INTO `lang_definitions` VALUES (33135, 5263, 7, 'הוצב במקום שגוי או שאינו ידוע');
INSERT INTO `lang_definitions` VALUES (33136, 5266, 7, 'לא נבחר');
INSERT INTO `lang_definitions` VALUES (33137, 5268, 7, 'לא חוקי (שברים עשרוניים הם תקינים).');
INSERT INTO `lang_definitions` VALUES (33138, 5269, 7, 'האם PHP משתמש במצב בטוח?');
INSERT INTO `lang_definitions` VALUES (33139, 5272, 7, 'נבחר');
INSERT INTO `lang_definitions` VALUES (33140, 5273, 7, 'האם טקסט מפריסות טופס נועד לתרגום?');
INSERT INTO `lang_definitions` VALUES (33141, 5274, 7, 'האם טקסט מרשימות נועד לתרגום?');
INSERT INTO `lang_definitions` VALUES (33142, 5275, 7, 'האם השדה מוצפן?');
INSERT INTO `lang_definitions` VALUES (33143, 5276, 7, 'האם זהו סוג קוד של תנאי~פרק זמן רפואי?');
INSERT INTO `lang_definitions` VALUES (33144, 5277, 7, 'האם זהו סוג אבחון?');
INSERT INTO `lang_definitions` VALUES (33145, 5278, 7, 'האם זהו סוג קוד של בעיה רפואית?');
INSERT INTO `lang_definitions` VALUES (33146, 5279, 7, 'האם זהו סוג תרופה?');
INSERT INTO `lang_definitions` VALUES (33147, 5280, 7, 'האם זהו סוג הליך/שירות?');
INSERT INTO `lang_definitions` VALUES (33148, 5281, 7, 'האם פעיל?');
INSERT INTO `lang_definitions` VALUES (33149, 5282, 7, 'האם סוג קוד זה פעיל?');
INSERT INTO `lang_definitions` VALUES (33150, 5283, 7, 'האם סוג קוד זה משמש בתביעות?');
INSERT INTO `lang_definitions` VALUES (33151, 5285, 7, 'האם זה תקין?');
INSERT INTO `lang_definitions` VALUES (33152, 5286, 7, 'האם סוג זה מוסתר בגיליון התשלום?');
INSERT INTO `lang_definitions` VALUES (33153, 5287, 7, 'האם משתמש בטבלאות SQL חיצוניות? אם כן, בחר את התבנית.');
INSERT INTO `lang_definitions` VALUES (33154, 5288, 7, 'ארוך מדי');
INSERT INTO `lang_definitions` VALUES (33155, 5289, 7, 'קוד ISO 639-2');
INSERT INTO `lang_definitions` VALUES (33156, 5290, 7, 'בעיות רפואיות');
INSERT INTO `lang_definitions` VALUES (33157, 5291, 7, 'בעיות רפואיות');
INSERT INTO `lang_definitions` VALUES (33158, 5292, 7, 'תאריך הבעיה');
INSERT INTO `lang_definitions` VALUES (33159, 5293, 7, 'מזהה הבעיה');
INSERT INTO `lang_definitions` VALUES (33160, 5295, 7, 'כותרת הבעיה');
INSERT INTO `lang_definitions` VALUES (33161, 5296, 7, 'סוג הבעיה');
INSERT INTO `lang_definitions` VALUES (33162, 5297, 7, 'סוגי בעיה');
INSERT INTO `lang_definitions` VALUES (33163, 5298, 7, 'סוגיות רפואיות');
INSERT INTO `lang_definitions` VALUES (33164, 5299, 7, 'סוגיות רפואיות');
INSERT INTO `lang_definitions` VALUES (33165, 5300, 7, 'סוגיות רפואיות');
INSERT INTO `lang_definitions` VALUES (33166, 5302, 7, 'בעיות~הנפקות ומפגשים');
INSERT INTO `lang_definitions` VALUES (33167, 5303, 7, 'בעיות~הנפקות ומפגשים עבור');
INSERT INTO `lang_definitions` VALUES (33168, 5308, 7, 'אין הרשאה לבעיות~הנפקות');
INSERT INTO `lang_definitions` VALUES (33169, 5309, 7, 'מקטע בעיות~הנפקות');
INSERT INTO `lang_definitions` VALUES (33170, 5364, 7, 'איטלקית');
INSERT INTO `lang_definitions` VALUES (33171, 5365, 7, 'פריט');
INSERT INTO `lang_definitions` VALUES (33172, 5366, 7, 'פריט');
INSERT INTO `lang_definitions` VALUES (33173, 5368, 7, 'פריטים');
INSERT INTO `lang_definitions` VALUES (33174, 5369, 7, 'טעינת פריטים נכשלה');
INSERT INTO `lang_definitions` VALUES (33175, 5370, 7, 'IU/L');
INSERT INTO `lang_definitions` VALUES (33176, 5371, 7, 'IUD');
INSERT INTO `lang_definitions` VALUES (33177, 5372, 7, 'IV');
INSERT INTO `lang_definitions` VALUES (33178, 5375, 7, 'ינו');
INSERT INTO `lang_definitions` VALUES (33179, 5376, 7, 'ינואר');
INSERT INTO `lang_definitions` VALUES (33180, 5377, 7, 'יפנית');
INSERT INTO `lang_definitions` VALUES (33181, 5378, 7, 'צהבת');
INSERT INTO `lang_definitions` VALUES (33182, 5379, 7, 'יאווית');
INSERT INTO `lang_definitions` VALUES (33183, 5380, 7, 'תיאור תפקיד');
INSERT INTO `lang_definitions` VALUES (33184, 5381, 7, 'מזהה עבודה');
INSERT INTO `lang_definitions` VALUES (33185, 5382, 7, 'תזוזת מפרקים');
INSERT INTO `lang_definitions` VALUES (33186, 5383, 7, 'כאב מפרקים');
INSERT INTO `lang_definitions` VALUES (33187, 5384, 7, 'נקע מפרקים');
INSERT INTO `lang_definitions` VALUES (33188, 5385, 7, 'יול');
INSERT INTO `lang_definitions` VALUES (33189, 5386, 7, 'יולי');
INSERT INTO `lang_definitions` VALUES (33190, 5388, 7, 'יונ');
INSERT INTO `lang_definitions` VALUES (33191, 5389, 7, 'יוני');
INSERT INTO `lang_definitions` VALUES (33192, 5390, 7, 'מתחת לפרטי הבדיקה קיים אזור כחול שבו תזין את פרמטרי החיפוש.  תוכל לחפש לפי שם מטופל, מספר תרשים, מספר מפגש או תאריך שירות או כל שילוב של אלה.  תוכל גם לבחור אם ברצונך לראות את כל החשבוניות, את החשבוניות הפתוחות או רק חשבוניות שהגיע מועד הפירעון שלהן (מצד המטופל).  לחץ על לחצן החיפוש כדי לבצע את החיפוש.');
INSERT INTO `lang_definitions` VALUES (33193, 5391, 7, 'רק שלי');
INSERT INTO `lang_definitions` VALUES (33194, 5392, 7, 'רשומות הצדקה');
INSERT INTO `lang_definitions` VALUES (33195, 5393, 7, 'הצדקה');
INSERT INTO `lang_definitions` VALUES (33196, 5396, 7, 'הצדקה/שמור');
INSERT INTO `lang_definitions` VALUES (33197, 5397, 7, 'J{{יישור כותרת עליונה}}');
INSERT INTO `lang_definitions` VALUES (33198, 5398, 7, 'בסדר, הנה השאר');
INSERT INTO `lang_definitions` VALUES (33199, 5401, 7, 'קלאליסוט, גרינלנדית');
INSERT INTO `lang_definitions` VALUES (33200, 5402, 7, 'קאנאדה');
INSERT INTO `lang_definitions` VALUES (33201, 5403, 7, 'קאנורי');
INSERT INTO `lang_definitions` VALUES (33202, 5404, 7, 'קשמירי');
INSERT INTO `lang_definitions` VALUES (33203, 5405, 7, 'קאזאחית');
INSERT INTO `lang_definitions` VALUES (33204, 5407, 7, 'מפתח');
INSERT INTO `lang_definitions` VALUES (33205, 5411, 7, 'מילות מפתח');
INSERT INTO `lang_definitions` VALUES (33206, 5412, 7, 'ק\"ג');
INSERT INTO `lang_definitions` VALUES (33207, 5413, 7, 'ק\"ג/מ\"ר');
INSERT INTO `lang_definitions` VALUES (33208, 5414, 7, 'חמר');
INSERT INTO `lang_definitions` VALUES (33209, 5415, 7, 'סרטן הכליות');
INSERT INTO `lang_definitions` VALUES (33210, 5416, 7, 'אי ספיקת כליות');
INSERT INTO `lang_definitions` VALUES (33211, 5417, 7, 'זיהומים בכליות');
INSERT INTO `lang_definitions` VALUES (33212, 5418, 7, 'אבנים בכליות');
INSERT INTO `lang_definitions` VALUES (33213, 5419, 7, 'השתלת כליה');
INSERT INTO `lang_definitions` VALUES (33214, 5420, 7, 'קיקויו, גיקויו');
INSERT INTO `lang_definitions` VALUES (33215, 5422, 7, 'קיניארוואנדה');
INSERT INTO `lang_definitions` VALUES (33216, 5424, 7, 'קירונדי');
INSERT INTO `lang_definitions` VALUES (33217, 5425, 7, 'ברך');
INSERT INTO `lang_definitions` VALUES (33218, 5426, 7, 'בעיות בברך');
INSERT INTO `lang_definitions` VALUES (33219, 5427, 7, 'החלפת ברך');
INSERT INTO `lang_definitions` VALUES (33220, 5428, 7, 'קומי');
INSERT INTO `lang_definitions` VALUES (33221, 5429, 7, 'קונגו');
INSERT INTO `lang_definitions` VALUES (33222, 5430, 7, 'קוריאנית');
INSERT INTO `lang_definitions` VALUES (33223, 5431, 7, 'כורדית');
INSERT INTO `lang_definitions` VALUES (33224, 5432, 7, 'קוואניאמה');
INSERT INTO `lang_definitions` VALUES (33225, 5433, 7, 'קירגיז');
INSERT INTO `lang_definitions` VALUES (33226, 5434, 7, 'מעבדה');
INSERT INTO `lang_definitions` VALUES (33227, 5435, 7, 'מסמכי מעבדה');
INSERT INTO `lang_definitions` VALUES (33228, 5436, 7, 'כתובת אתר של Lab Exchange');
INSERT INTO `lang_definitions` VALUES (33229, 5437, 7, 'מזהה אתר של Lab Exchange');
INSERT INTO `lang_definitions` VALUES (33230, 5438, 7, 'מזהה אסימון של Lab Exchange');
INSERT INTO `lang_definitions` VALUES (33231, 5439, 7, 'הזמנת מעבדה');
INSERT INTO `lang_definitions` VALUES (33232, 5440, 7, 'סקירת מעבדה כללית');
INSERT INTO `lang_definitions` VALUES (33233, 5441, 7, 'סקירת מעבדה כללית');
INSERT INTO `lang_definitions` VALUES (33234, 5442, 7, 'מצב שאילתת מעבדה');
INSERT INTO `lang_definitions` VALUES (33235, 5444, 7, 'דוח מעבדה');
INSERT INTO `lang_definitions` VALUES (33236, 5445, 7, 'תוצאת מעבדה');
INSERT INTO `lang_definitions` VALUES (33237, 5446, 7, 'תוצאות מעבדה');
INSERT INTO `lang_definitions` VALUES (33238, 5448, 7, 'שם קטגוריה של תוצאות מעבדה');
INSERT INTO `lang_definitions` VALUES (33239, 5449, 7, 'דוח תוצאות מעבדה');
INSERT INTO `lang_definitions` VALUES (33240, 5450, 7, 'שירות מעבדה');
INSERT INTO `lang_definitions` VALUES (33241, 5451, 7, 'תוצאות בדיקת מעבדה');
INSERT INTO `lang_definitions` VALUES (33242, 5452, 7, 'מעבדה/קובץ');
INSERT INTO `lang_definitions` VALUES (33243, 5453, 7, 'תווית');
INSERT INTO `lang_definitions` VALUES (33244, 5454, 7, 'תווית לא יכולה להיות ריקה');
INSERT INTO `lang_definitions` VALUES (33245, 5455, 7, 'עמודות תווית');
INSERT INTO `lang_definitions` VALUES (33246, 5456, 7, 'תווית עבור סוג זה');
INSERT INTO `lang_definitions` VALUES (33247, 5458, 7, 'LabelCols חייב לקבל מספר בין 1 ל-999');
INSERT INTO `lang_definitions` VALUES (33248, 5459, 7, 'תוויות');
INSERT INTO `lang_definitions` VALUES (33249, 5461, 7, 'פרטי מעבדה');
INSERT INTO `lang_definitions` VALUES (33250, 5462, 7, 'בדיקת מעבדה');
INSERT INTO `lang_definitions` VALUES (33251, 5463, 7, 'מעבדות');
INSERT INTO `lang_definitions` VALUES (33252, 5464, 7, 'חתך/בעיה בעור');
INSERT INTO `lang_definitions` VALUES (33253, 5465, 7, 'חתך/שפשוף');
INSERT INTO `lang_definitions` VALUES (33254, 5467, 7, 'LADate');
INSERT INTO `lang_definitions` VALUES (33255, 5470, 7, 'נוף~תצוגה לרוחב');
INSERT INTO `lang_definitions` VALUES (33256, 5471, 7, 'שפה');
INSERT INTO `lang_definitions` VALUES (33257, 5472, 7, 'קוד שפה');
INSERT INTO `lang_definitions` VALUES (33258, 5473, 7, 'הגדרת שפה נוספה');
INSERT INTO `lang_definitions` VALUES (33259, 5474, 7, 'כלי ממשק שפה');
INSERT INTO `lang_definitions` VALUES (33260, 5476, 7, 'רשימת שפות (כתיבה, הוספה בלבד אופציונלית)');
INSERT INTO `lang_definitions` VALUES (33261, 5478, 7, 'שם שפה');
INSERT INTO `lang_definitions` VALUES (33262, 5479, 7, 'שפה:');
INSERT INTO `lang_definitions` VALUES (33263, 5480, 7, 'לאוס');
INSERT INTO `lang_definitions` VALUES (33264, 5481, 7, 'לאוטית');
INSERT INTO `lang_definitions` VALUES (33265, 5485, 7, 'אחרון');
INSERT INTO `lang_definitions` VALUES (33266, 5486, 7, 'תאריך פעילות אחרון');
INSERT INTO `lang_definitions` VALUES (33267, 5487, 7, 'כריתת תוספתן אחרונה');
INSERT INTO `lang_definitions` VALUES (33268, 5489, 7, 'תאריך חשבון אחרון:');
INSERT INTO `lang_definitions` VALUES (33269, 5490, 7, 'בדיקת חזה אחרונה');
INSERT INTO `lang_definitions` VALUES (33270, 5491, 7, 'שנת לוח אחרונה');
INSERT INTO `lang_definitions` VALUES (33271, 5492, 7, 'ניתוח קטרקט אחרון');
INSERT INTO `lang_definitions` VALUES (33272, 5493, 7, 'הסרת כיס המרה אחרונה');
INSERT INTO `lang_definitions` VALUES (33273, 5495, 7, 'מפגש אחרון');
INSERT INTO `lang_definitions` VALUES (33274, 5496, 7, 'גינקולוגי אחרון בדיקה');
INSERT INTO `lang_definitions` VALUES (33275, 5497, 7, 'ניתוח לב אחרון');
INSERT INTO `lang_definitions` VALUES (33276, 5498, 7, 'תיקון בקע אחרון');
INSERT INTO `lang_definitions` VALUES (33277, 5499, 7, 'החלפת ירך אחרונה');
INSERT INTO `lang_definitions` VALUES (33278, 5500, 7, 'כריתת רחם אחרונה');
INSERT INTO `lang_definitions` VALUES (33279, 5501, 7, 'החלפת ברך אחרונה');
INSERT INTO `lang_definitions` VALUES (33280, 5502, 7, 'רמת חיוב אחרונה');
INSERT INTO `lang_definitions` VALUES (33281, 5503, 7, 'ממוגרפיה אחרונה');
INSERT INTO `lang_definitions` VALUES (33282, 5504, 7, 'תקופת וסת אחרונה');
INSERT INTO `lang_definitions` VALUES (33283, 5506, 7, 'החודש האחרון');
INSERT INTO `lang_definitions` VALUES (33284, 5507, 7, 'שם משפחה');
INSERT INTO `lang_definitions` VALUES (33285, 5508, 7, 'שם משפחה');
INSERT INTO `lang_definitions` VALUES (33286, 5513, 7, 'שם משפחה:');
INSERT INTO `lang_definitions` VALUES (33287, 5514, 7, 'בדיקה פיזית אחרונה');
INSERT INTO `lang_definitions` VALUES (33288, 5515, 7, 'בדיקת ערמונית אחרונה');
INSERT INTO `lang_definitions` VALUES (33289, 5516, 7, 'בדיקה רקטאלית אחרונה');
INSERT INTO `lang_definitions` VALUES (33290, 5517, 7, 'סקירה אחרונה');
INSERT INTO `lang_definitions` VALUES (33291, 5518, 7, 'הרצה אחרונה התחילה ב:');
INSERT INTO `lang_definitions` VALUES (33292, 5519, 7, 'שמירה אחרונה');
INSERT INTO `lang_definitions` VALUES (33293, 5520, 7, 'S/קולונוסקופיה אחרונה');
INSERT INTO `lang_definitions` VALUES (33294, 5521, 7, 'דוח אחרון');
INSERT INTO `lang_definitions` VALUES (33295, 5522, 7, 'כריתת שקדים אחרונה');
INSERT INTO `lang_definitions` VALUES (33296, 5525, 7, 'עדכון אחרון על-ידי');
INSERT INTO `lang_definitions` VALUES (33297, 5526, 7, 'אימות אחרון ב:');
INSERT INTO `lang_definitions` VALUES (33298, 5527, 7, 'ביקור אחרון');
INSERT INTO `lang_definitions` VALUES (33299, 5528, 7, 'רנטגן אחרון');
INSERT INTO `lang_definitions` VALUES (33300, 5530, 7, 'הישנות מאוחרת (2-12 חודשים)');
INSERT INTO `lang_definitions` VALUES (33301, 5531, 7, 'קרסול צדי');
INSERT INTO `lang_definitions` VALUES (33302, 5532, 7, 'קרסול צדי:');
INSERT INTO `lang_definitions` VALUES (33303, 5533, 7, 'רוחביות');
INSERT INTO `lang_definitions` VALUES (33304, 5534, 7, 'רוחביות ההליך, אם רלוונטי');
INSERT INTO `lang_definitions` VALUES (33305, 5535, 7, 'הזזה רוחבית PMI:');
INSERT INTO `lang_definitions` VALUES (33306, 5538, 7, 'תוצאות אחרונות בלבד');
INSERT INTO `lang_definitions` VALUES (33307, 5539, 7, 'ביקור או ייעוץ אחרון');
INSERT INTO `lang_definitions` VALUES (33308, 5540, 7, 'לטינית');
INSERT INTO `lang_definitions` VALUES (33309, 5541, 7, 'לטבית');
INSERT INTO `lang_definitions` VALUES (33310, 5545, 7, 'משרד עו\"ד');
INSERT INTO `lang_definitions` VALUES (33311, 5546, 7, 'עו\"ד');
INSERT INTO `lang_definitions` VALUES (33312, 5547, 7, 'פריסה');
INSERT INTO `lang_definitions` VALUES (33313, 5549, 7, 'מבוסס פריסה');
INSERT INTO `lang_definitions` VALUES (33314, 5551, 7, 'ערוך הפריסה');
INSERT INTO `lang_definitions` VALUES (33315, 5552, 7, 'קבוצות פריסה');
INSERT INTO `lang_definitions` VALUES (33316, 5556, 7, 'סגנון פריסה');
INSERT INTO `lang_definitions` VALUES (33317, 5557, 7, 'טפסי טרנזקציה מבוססי פריסה');
INSERT INTO `lang_definitions` VALUES (33318, 5558, 7, 'טפסי ביקור מבוססי פריסה');
INSERT INTO `lang_definitions` VALUES (33319, 5559, 7, 'פריסות');
INSERT INTO `lang_definitions` VALUES (33320, 5560, 7, 'ליברה');
INSERT INTO `lang_definitions` VALUES (33321, 5563, 7, 'ליברות');
INSERT INTO `lang_definitions` VALUES (33322, 5571, 7, 'LDL');
INSERT INTO `lang_definitions` VALUES (33323, 5573, 7, 'השאר ריק אם עדיין פעיל');
INSERT INTO `lang_definitions` VALUES (33324, 5574, 7, 'השאר ריק כדי לשמור שם קובץ מקורי');
INSERT INTO `lang_definitions` VALUES (33325, 5575, 7, 'השאר ריק כדי להשאיר את הסיסמה ללא שינוי.');
INSERT INTO `lang_definitions` VALUES (33326, 5580, 7, 'השאר הודעה אצל');
INSERT INTO `lang_definitions` VALUES (33327, 5582, 7, 'צא מהטופס');
INSERT INTO `lang_definitions` VALUES (33328, 5583, 7, 'השאר את ביטוי הסיסמה ריק כדי לא להצפין את המסמך');
INSERT INTO `lang_definitions` VALUES (33329, 5584, 7, 'ספר ראשי');
INSERT INTO `lang_definitions` VALUES (33330, 5586, 7, 'שמאל');
INSERT INTO `lang_definitions` VALUES (33331, 5589, 7, 'אוזן שמאל');
INSERT INTO `lang_definitions` VALUES (33332, 5590, 7, 'אוזן שמאל');
INSERT INTO `lang_definitions` VALUES (33333, 5594, 7, 'שוליים שמאליים (מ\"מ)');
INSERT INTO `lang_definitions` VALUES (33334, 5599, 7, 'שמאל:');
INSERT INTO `lang_definitions` VALUES (33335, 5600, 7, 'שמאל:');
INSERT INTO `lang_definitions` VALUES (33336, 5601, 7, 'כאב ברגל/התכווצויות');
INSERT INTO `lang_definitions` VALUES (33337, 5602, 7, 'משפטי');
INSERT INTO `lang_definitions` VALUES (33338, 5603, 7, 'מאמת משפטי');
INSERT INTO `lang_definitions` VALUES (33339, 5604, 7, 'גודל נייר Legal');
INSERT INTO `lang_definitions` VALUES (33340, 5605, 7, 'מקרא:');
INSERT INTO `lang_definitions` VALUES (33341, 5606, 7, 'אורך');
INSERT INTO `lang_definitions` VALUES (33342, 5607, 7, 'אורך המשנה, 0 אם אין');
INSERT INTO `lang_definitions` VALUES (33343, 5613, 7, 'פחות מ:');
INSERT INTO `lang_definitions` VALUES (33344, 5614, 7, 'פחות מ/שווה ל:');
INSERT INTO `lang_definitions` VALUES (33345, 5615, 7, 'מידע פחות פרטי (כתיבה, הוספה בלבד אופציונלית)');
INSERT INTO `lang_definitions` VALUES (33346, 5620, 7, 'מכתב');
INSERT INTO `lang_definitions` VALUES (33347, 5621, 7, 'יוצר המכתבים');
INSERT INTO `lang_definitions` VALUES (33348, 5622, 7, 'גודל נייר Letter');
INSERT INTO `lang_definitions` VALUES (33349, 5623, 7, 'נייר מכתבים לחתימת הרופא');
INSERT INTO `lang_definitions` VALUES (33350, 5624, 7, 'נייר מכתבים לחתימת המטופל');
INSERT INTO `lang_definitions` VALUES (33351, 5627, 7, 'רמת דחיפות');
INSERT INTO `lang_definitions` VALUES (33352, 5630, 7, 'התחייבות~חבות~אחריות');
INSERT INTO `lang_definitions` VALUES (33353, 5631, 7, 'אחריות רפואית');
INSERT INTO `lang_definitions` VALUES (33354, 5633, 7, 'רישיון/מזהה');
INSERT INTO `lang_definitions` VALUES (33355, 5635, 7, 'שם פרטי של נותן מרשם מורשה');
INSERT INTO `lang_definitions` VALUES (33356, 5636, 7, 'שם משפחה של נותן מרשם מורשה');
INSERT INTO `lang_definitions` VALUES (33357, 5637, 7, 'NPI של נותן מרשם מורשה');
INSERT INTO `lang_definitions` VALUES (33358, 5638, 7, 'תואר (קידומת) של נותן מרשם מורשה');
INSERT INTO `lang_definitions` VALUES (33359, 5639, 7, 'שם משפחה של LicensedPrescriber');
INSERT INTO `lang_definitions` VALUES (33360, 5640, 7, 'LicensedPrescriber NPI');
INSERT INTO `lang_definitions` VALUES (33361, 5641, 7, 'LicensedPrescriber UPIN');
INSERT INTO `lang_definitions` VALUES (33362, 5643, 7, 'חומרה מסכנת חיים');
INSERT INTO `lang_definitions` VALUES (33363, 5644, 7, 'אורח חיים');
INSERT INTO `lang_definitions` VALUES (33364, 5646, 7, 'מצב אורח חיים');
INSERT INTO `lang_definitions` VALUES (33365, 5647, 7, 'קרע או נקע ברצועה');
INSERT INTO `lang_definitions` VALUES (33366, 5648, 7, 'מעשן טבק קל~מדי פעם');
INSERT INTO `lang_definitions` VALUES (33367, 5650, 7, 'לימבורגי');
INSERT INTO `lang_definitions` VALUES (33368, 5651, 7, 'מגבלת אירועים');
INSERT INTO `lang_definitions` VALUES (33369, 5654, 7, 'מגבלות');
INSERT INTO `lang_definitions` VALUES (33370, 5656, 7, 'לינגלה');
INSERT INTO `lang_definitions` VALUES (33371, 5657, 7, 'קישור');
INSERT INTO `lang_definitions` VALUES (33372, 5658, 7, 'קישור למטופל');
INSERT INTO `lang_definitions` VALUES (33373, 5660, 7, 'מקושר');
INSERT INTO `lang_definitions` VALUES (33374, 5661, 7, 'מסמך מקושר');
INSERT INTO `lang_definitions` VALUES (33375, 5662, 7, 'הזמנת הליך מקושרת');
INSERT INTO `lang_definitions` VALUES (33376, 5663, 7, 'מקושר למסמך');
INSERT INTO `lang_definitions` VALUES (33377, 5664, 7, 'מקושר להזמנת הליך');
INSERT INTO `lang_definitions` VALUES (33378, 5665, 7, 'רשימה');
INSERT INTO `lang_definitions` VALUES (33379, 5666, 7, 'תיבת רשימה');
INSERT INTO `lang_definitions` VALUES (33380, 5667, 7, 'תיבת רשימה');
INSERT INTO `lang_definitions` VALUES (33381, 5668, 7, 'תיבת רשימה עם הוספה');
INSERT INTO `lang_definitions` VALUES (33382, 5669, 7, 'תיבת רשימה עם הוספה');
INSERT INTO `lang_definitions` VALUES (33383, 5671, 7, 'עורך הרשימות');
INSERT INTO `lang_definitions` VALUES (33384, 5672, 7, 'מפגשי רשימה');
INSERT INTO `lang_definitions` VALUES (33385, 5674, 7, 'קבוצות רשימה');
INSERT INTO `lang_definitions` VALUES (33386, 5675, 7, 'רשימת חברות ביטוח');
INSERT INTO `lang_definitions` VALUES (33387, 5676, 7, 'מזהה פריט רשימה');
INSERT INTO `lang_definitions` VALUES (33388, 5677, 7, 'פריטי רשימה לא יכולים להתחיל בספרה.');
INSERT INTO `lang_definitions` VALUES (33389, 5678, 7, 'פריטי רשימה מכילים תווים לא חוקיים.');
INSERT INTO `lang_definitions` VALUES (33390, 5679, 7, 'רשימת פריטי פריסה');
INSERT INTO `lang_definitions` VALUES (33391, 5680, 7, 'רשימת רשימות');
INSERT INTO `lang_definitions` VALUES (33392, 5682, 7, 'שם רשימה');
INSERT INTO `lang_definitions` VALUES (33393, 5683, 7, 'שמות רשימה לא יכולים להתחיל בספרה.');
INSERT INTO `lang_definitions` VALUES (33394, 5688, 7, 'רשימת מרשמים');
INSERT INTO `lang_definitions` VALUES (33395, 5689, 7, 'רשימה המשמשת את האפשרות לעיל של סוג נתוני מדינה.');
INSERT INTO `lang_definitions` VALUES (33396, 5690, 7, 'רשימה המשמשת את האפשרות לעיל של סוג נתוני מחוז.');
INSERT INTO `lang_definitions` VALUES (33397, 5691, 7, 'יציאת האזנה של שרת יומן מערכת RFC 5425 TLS.');
INSERT INTO `lang_definitions` VALUES (33398, 5693, 7, 'רשימות');
INSERT INTO `lang_definitions` VALUES (33399, 5695, 7, 'ליטאית');
INSERT INTO `lang_definitions` VALUES (33400, 5696, 7, 'צוואה');
INSERT INTO `lang_definitions` VALUES (33401, 5701, 7, 'LLL:');
INSERT INTO `lang_definitions` VALUES (33402, 5707, 7, 'LMP');
INSERT INTO `lang_definitions` VALUES (33403, 5708, 7, 'טען אוגדן');
INSERT INTO `lang_definitions` VALUES (33404, 5709, 7, 'טען הגדרות');
INSERT INTO `lang_definitions` VALUES (33405, 5711, 7, 'טען תצורת מעבדה');
INSERT INTO `lang_definitions` VALUES (33406, 5712, 7, 'טען אפשרויות לשאלות OE');
INSERT INTO `lang_definitions` VALUES (33407, 5713, 7, 'טען הגדרות הזמנה');
INSERT INTO `lang_definitions` VALUES (33408, 5714, 7, 'טעם אפשרויות להזנת הזמנות');
INSERT INTO `lang_definitions` VALUES (33409, 5715, 7, 'הטעינה בוצעה בהצלחה. הקודים נוספו');
INSERT INTO `lang_definitions` VALUES (33410, 5717, 7, 'טוען');
INSERT INTO `lang_definitions` VALUES (33411, 5721, 7, 'טוען את הקבצים למסד הנתונים. פעולה זו תימשך זמן מה...');
INSERT INTO `lang_definitions` VALUES (33412, 5723, 7, 'LOC');
INSERT INTO `lang_definitions` VALUES (33413, 5724, 7, 'מקומי');
INSERT INTO `lang_definitions` VALUES (33414, 5725, 7, 'תוכן מקומי');
INSERT INTO `lang_definitions` VALUES (33415, 5726, 7, 'מערכת קבצים מקומית');
INSERT INTO `lang_definitions` VALUES (33416, 5728, 7, 'מקומי');
INSERT INTO `lang_definitions` VALUES (33417, 5729, 7, 'מיקום');
INSERT INTO `lang_definitions` VALUES (33418, 5730, 7, 'מיקום');
INSERT INTO `lang_definitions` VALUES (33419, 5731, 7, 'מיקום מחשב openemr ועשוי להכיל נתונים רגישים, ולכן מומלץ למחוק ידנית את הקבצים לאחר השימוש');
INSERT INTO `lang_definitions` VALUES (33420, 5732, 7, 'מיקום מנה זו');
INSERT INTO `lang_definitions` VALUES (33421, 5733, 7, 'לא צוין מיקום');
INSERT INTO `lang_definitions` VALUES (33422, 5734, 7, 'מיקום לאחסון פקס של Hylafax.');
INSERT INTO `lang_definitions` VALUES (33423, 5735, 7, 'מיקום לאחסון סריקות.');
INSERT INTO `lang_definitions` VALUES (33424, 5736, 7, 'מיקום:');
INSERT INTO `lang_definitions` VALUES (33425, 5737, 7, 'נעילה');
INSERT INTO `lang_definitions` VALUES (33426, 5738, 7, 'נעל פרטנית טופס בחתימה אלקטרונית');
INSERT INTO `lang_definitions` VALUES (33427, 5739, 7, 'נעל מפגשים בחתימה אלקטרונית ואת הטפסים שלהם');
INSERT INTO `lang_definitions` VALUES (33428, 5740, 7, 'האם לנעול?');
INSERT INTO `lang_definitions` VALUES (33429, 5741, 7, 'נעול');
INSERT INTO `lang_definitions` VALUES (33430, 5743, 7, 'רשום ביומן כל בקשות ו/או תגובות של NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (33431, 5744, 7, 'רשום ביומן מסמך מלא');
INSERT INTO `lang_definitions` VALUES (33432, 5745, 7, 'כניסה');
INSERT INTO `lang_definitions` VALUES (33433, 5746, 7, 'כניסה');
INSERT INTO `lang_definitions` VALUES (33434, 5749, 7, 'יציאה');
INSERT INTO `lang_definitions` VALUES (33435, 5752, 7, 'מחובר למערכת');
INSERT INTO `lang_definitions` VALUES (33436, 5753, 7, 'מחובר למערכת בתור');
INSERT INTO `lang_definitions` VALUES (33437, 5754, 7, 'מחובר למערכת בתור:');
INSERT INTO `lang_definitions` VALUES (33438, 5755, 7, 'יציאה מהמערכת.');
INSERT INTO `lang_definitions` VALUES (33439, 5756, 7, 'רישום');
INSERT INTO `lang_definitions` VALUES (33440, 5757, 7, 'כניסה');
INSERT INTO `lang_definitions` VALUES (33441, 5758, 7, 'כניסה');
INSERT INTO `lang_definitions` VALUES (33442, 5761, 7, 'שם כניסה של משתמש WordPress עבור גישה לפורטל');
INSERT INTO `lang_definitions` VALUES (33443, 5763, 7, 'כניסה למארח מרוחק');
INSERT INTO `lang_definitions` VALUES (33444, 5764, 7, 'כניסה למארח מרוחק זה נכשלה');
INSERT INTO `lang_definitions` VALUES (33445, 5768, 7, 'יציאה');
INSERT INTO `lang_definitions` VALUES (33446, 5769, 7, 'יציאה');
INSERT INTO `lang_definitions` VALUES (33447, 5770, 7, 'יומנים');
INSERT INTO `lang_definitions` VALUES (33448, 5771, 7, 'מציג היומנים');
INSERT INTO `lang_definitions` VALUES (33449, 5772, 7, 'LOINC');
INSERT INTO `lang_definitions` VALUES (33450, 5776, 7, 'חיפוש');
INSERT INTO `lang_definitions` VALUES (33451, 5777, 7, 'מנה');
INSERT INTO `lang_definitions` VALUES (33452, 5778, 7, 'מזהה מנה חסר!');
INSERT INTO `lang_definitions` VALUES (33453, 5779, 7, 'מספר מנה');
INSERT INTO `lang_definitions` VALUES (33454, 5780, 7, 'נמוך');
INSERT INTO `lang_definitions` VALUES (33455, 5781, 7, 'עדיפות נמוכה');
INSERT INTO `lang_definitions` VALUES (33456, 5782, 7, 'רגל תחתונה');
INSERT INTO `lang_definitions` VALUES (33457, 5784, 7, 'עדיפות נמוכה ביותר');
INSERT INTO `lang_definitions` VALUES (33458, 5788, 7, 'לובה-קטנגה');
INSERT INTO `lang_definitions` VALUES (33459, 5791, 7, 'עמוד שדרה מותני');
INSERT INTO `lang_definitions` VALUES (33460, 5792, 7, 'ארוחת צהריים');
INSERT INTO `lang_definitions` VALUES (33461, 5793, 7, 'ארוחת צהריים');
INSERT INTO `lang_definitions` VALUES (33462, 5794, 7, 'סרטן הריאות');
INSERT INTO `lang_definitions` VALUES (33463, 5795, 7, 'ניתוח סרטן הריאות');
INSERT INTO `lang_definitions` VALUES (33464, 5796, 7, 'ריאות:');
INSERT INTO `lang_definitions` VALUES (33465, 5797, 7, 'ריאות:');
INSERT INTO `lang_definitions` VALUES (33466, 5798, 7, 'זאבת');
INSERT INTO `lang_definitions` VALUES (33467, 5799, 7, 'Luxembourgish, Letzeburgesch');
INSERT INTO `lang_definitions` VALUES (33468, 5804, 7, 'M');
INSERT INTO `lang_definitions` VALUES (33469, 5805, 7, 'קטגוריית MA');
INSERT INTO `lang_definitions` VALUES (33470, 5806, 7, 'לקוח MA לקבלת הפלה');
INSERT INTO `lang_definitions` VALUES (33471, 5807, 7, 'סטטיסטיקת MA');
INSERT INTO `lang_definitions` VALUES (33472, 5808, 7, 'מקדונית');
INSERT INTO `lang_definitions` VALUES (33473, 5812, 7, 'דואר נשלח');
INSERT INTO `lang_definitions` VALUES (33474, 5814, 7, 'ראשי');
INSERT INTO `lang_definitions` VALUES (33475, 5815, 7, 'רחוב');
INSERT INTO `lang_definitions` VALUES (33476, 5821, 7, 'מסך חלונית עליונה ראשית');
INSERT INTO `lang_definitions` VALUES (33477, 5824, 7, 'נהל רשימת רגישויות תרופה פעילות.');
INSERT INTO `lang_definitions` VALUES (33478, 5825, 7, 'נהל רשימת תרופות פעילות.');
INSERT INTO `lang_definitions` VALUES (33479, 5826, 7, 'נהל רשימת בעיות עדכנית של אבחונים נוכחיים ופעילים.');
INSERT INTO `lang_definitions` VALUES (33480, 5827, 7, 'בצע שינוים בקטגוריות נוכחיות.');
INSERT INTO `lang_definitions` VALUES (33481, 5828, 7, 'צור פגישה חדשה עבור');
INSERT INTO `lang_definitions` VALUES (33482, 5831, 7, 'ודא \"');
INSERT INTO `lang_definitions` VALUES (33483, 5832, 7, 'יצירת קובצי טקסט באצווה להעלאה אל מסלקה וסימון כפריטים שחויבו');
INSERT INTO `lang_definitions` VALUES (33484, 5833, 7, 'מלגאסית');
INSERT INTO `lang_definitions` VALUES (33485, 5834, 7, 'חוסר נוחות:');
INSERT INTO `lang_definitions` VALUES (33486, 5835, 7, 'מלאי');
INSERT INTO `lang_definitions` VALUES (33487, 5836, 7, 'מלאיאלאם');
INSERT INTO `lang_definitions` VALUES (33488, 5837, 7, 'זכר');
INSERT INTO `lang_definitions` VALUES (33489, 5838, 7, 'קונדומים לזכר');
INSERT INTO `lang_definitions` VALUES (33490, 5839, 7, 'VSC זכר');
INSERT INTO `lang_definitions` VALUES (33491, 5840, 7, 'מלטזית');
INSERT INTO `lang_definitions` VALUES (33492, 5841, 7, 'ממוגרפיה');
INSERT INTO `lang_definitions` VALUES (33493, 5842, 7, 'ניהול');
INSERT INTO `lang_definitions` VALUES (33494, 5843, 7, 'ניהול Hooks');
INSERT INTO `lang_definitions` VALUES (33495, 5845, 7, 'ניהול מודולים');
INSERT INTO `lang_definitions` VALUES (33496, 5850, 7, 'ניהול תרגומים');
INSERT INTO `lang_definitions` VALUES (33497, 5851, 7, 'ניהול');
INSERT INTO `lang_definitions` VALUES (33498, 5854, 7, 'שדות חובה ושדות מצוינים');
INSERT INTO `lang_definitions` VALUES (33499, 5855, 7, 'שדות חובה או שדות מצוינים בלבד, בדיקת כפילויות, ללא חיפוש');
INSERT INTO `lang_definitions` VALUES (33500, 5856, 7, 'שדות חובה או שדות מצוינים בלבד, בדיקת כפילויות וחיפוש');
INSERT INTO `lang_definitions` VALUES (33501, 5859, 7, 'ידני');
INSERT INTO `lang_definitions` VALUES (33502, 5860, 7, 'הצבה ידנית');
INSERT INTO `lang_definitions` VALUES (33503, 5864, 7, 'יצרן');
INSERT INTO `lang_definitions` VALUES (33504, 5865, 7, 'Manx');
INSERT INTO `lang_definitions` VALUES (33505, 5870, 7, 'מרץ');
INSERT INTO `lang_definitions` VALUES (33506, 5871, 7, 'מאראתי');
INSERT INTO `lang_definitions` VALUES (33507, 5873, 7, 'מאראתי');
INSERT INTO `lang_definitions` VALUES (33508, 5874, 7, 'מרץ');
INSERT INTO `lang_definitions` VALUES (33509, 5877, 7, 'מצב משפחתי');
INSERT INTO `lang_definitions` VALUES (33510, 5879, 7, 'סמן כמחויב');
INSERT INTO `lang_definitions` VALUES (33511, 5880, 7, 'סמן כמחויב אך דלג על חיוב');
INSERT INTO `lang_definitions` VALUES (33512, 5881, 7, 'סמן כנסלק');
INSERT INTO `lang_definitions` VALUES (33513, 5882, 7, 'סמן כלא מחויב');
INSERT INTO `lang_definitions` VALUES (33514, 5885, 7, 'סמן דוחות אלה כדוחות שנסקרו');
INSERT INTO `lang_definitions` VALUES (33515, 5886, 7, 'מסומן כנסלק');
INSERT INTO `lang_definitions` VALUES (33516, 5887, 7, 'נשוי');
INSERT INTO `lang_definitions` VALUES (33517, 5888, 7, 'מרשלית');
INSERT INTO `lang_definitions` VALUES (33518, 5889, 7, 'מסיכה');
INSERT INTO `lang_definitions` VALUES (33519, 5890, 7, 'מסיכה עבור מספרי חשבוניות');
INSERT INTO `lang_definitions` VALUES (33520, 5891, 7, 'מסיכה עבור מזהי מטופלים');
INSERT INTO `lang_definitions` VALUES (33521, 5892, 7, 'מסיכה עבור מזהי מוצרים');
INSERT INTO `lang_definitions` VALUES (33522, 5894, 7, 'התאמה');
INSERT INTO `lang_definitions` VALUES (33523, 5895, 7, 'מקרה התאמה~התאמת מקרה');
INSERT INTO `lang_definitions` VALUES (33524, 5896, 7, 'התאמה נמצאה');
INSERT INTO `lang_definitions` VALUES (33525, 5898, 7, 'מטופל מותאם');
INSERT INTO `lang_definitions` VALUES (33526, 5900, 7, 'MaternalAunt');
INSERT INTO `lang_definitions` VALUES (33527, 5902, 7, 'MaternalGrandparent');
INSERT INTO `lang_definitions` VALUES (33528, 5903, 7, 'MaternalGreatgrandparent');
INSERT INTO `lang_definitions` VALUES (33529, 5904, 7, 'MaternalUncle');
INSERT INTO `lang_definitions` VALUES (33530, 5905, 7, 'Matrix');
INSERT INTO `lang_definitions` VALUES (33531, 5907, 7, 'מקסימום');
INSERT INTO `lang_definitions` VALUES (33532, 5910, 7, 'הגעת לספירת הקבצים המרבית - טען מחדש שמות למטה');
INSERT INTO `lang_definitions` VALUES (33533, 5911, 7, 'גודל מקסימום');
INSERT INTO `lang_definitions` VALUES (33534, 5912, 7, 'לסת עליונה ימין:');
INSERT INTO `lang_definitions` VALUES (33535, 5913, 7, 'גיל מקסימום');
INSERT INTO `lang_definitions` VALUES (33536, 5914, 7, 'מקסימום תווים');
INSERT INTO `lang_definitions` VALUES (33537, 5917, 7, 'זמן מקסימום ללא פעילות בשניות לפני יציאה מהמערכת. ברירת המחדל היא 7200 (שעתיים).');
INSERT INTO `lang_definitions` VALUES (33538, 5918, 7, 'מספר מקסימום של פעמים לבדיקת מטופל בשנה');
INSERT INTO `lang_definitions` VALUES (33539, 5919, 7, 'מספר מקסימום של פעמים לבדיקת מטופל בשנה. אפס פירושו ללא מגבלה.');
INSERT INTO `lang_definitions` VALUES (33540, 5920, 7, 'מלאי סביר מקסימום, 0 אם לא רלוונטי');
INSERT INTO `lang_definitions` VALUES (33541, 5921, 7, 'גודל מקסימום');
INSERT INTO `lang_definitions` VALUES (33542, 5922, 7, 'גודל מקסימום (הזן 0 כדי לאפשר כל גודל)');
INSERT INTO `lang_definitions` VALUES (33543, 5924, 7, 'מאי');
INSERT INTO `lang_definitions` VALUES (33544, 5926, 7, 'MC');
INSERT INTO `lang_definitions` VALUES (33545, 5927, 7, 'mcg');
INSERT INTO `lang_definitions` VALUES (33546, 5928, 7, 'שם קטגוריה של מסמך MDM');
INSERT INTO `lang_definitions` VALUES (33547, 5929, 7, 'מראה שאף אחת משלוש הסיסמאות האחרונות אינה מותרת בעת שינוי הסיסמה.');
INSERT INTO `lang_definitions` VALUES (33548, 5930, 7, 'מדידת לחץ דם');
INSERT INTO `lang_definitions` VALUES (33549, 5931, 7, 'קוד קבוצת מדידות');
INSERT INTO `lang_definitions` VALUES (33550, 5932, 7, 'INR מדידה');
INSERT INTO `lang_definitions` VALUES (33551, 5933, 7, 'מדידה');
INSERT INTO `lang_definitions` VALUES (33552, 5939, 7, 'קרסול תיכון:');
INSERT INTO `lang_definitions` VALUES (33553, 5940, 7, 'Medicaid');
INSERT INTO `lang_definitions` VALUES (33554, 5942, 7, 'רפואי');
INSERT INTO `lang_definitions` VALUES (33555, 5943, 7, 'הפלה רפואית');
INSERT INTO `lang_definitions` VALUES (33556, 5944, 7, 'ניהול~מתן רפואי');
INSERT INTO `lang_definitions` VALUES (33557, 5946, 7, 'היסטוריה רפואית');
INSERT INTO `lang_definitions` VALUES (33558, 5947, 7, 'בעיה רפואית');
INSERT INTO `lang_definitions` VALUES (33559, 5948, 7, 'בעיה רפואית');
INSERT INTO `lang_definitions` VALUES (33560, 5951, 7, 'בעיה רפואית');
INSERT INTO `lang_definitions` VALUES (33561, 5952, 7, 'בעיה רפואית');
INSERT INTO `lang_definitions` VALUES (33562, 5953, 7, 'רשימת בעיות רפואיות');
INSERT INTO `lang_definitions` VALUES (33563, 5954, 7, 'בעיות רפואיות');
INSERT INTO `lang_definitions` VALUES (33564, 5956, 7, 'תיק רפואי');
INSERT INTO `lang_definitions` VALUES (33565, 5957, 7, 'מס\' תיק רפואי');
INSERT INTO `lang_definitions` VALUES (33566, 5959, 7, 'תיקים רפואיים');
INSERT INTO `lang_definitions` VALUES (33567, 5961, 7, 'תיקים רפואיים נשלחו');
INSERT INTO `lang_definitions` VALUES (33568, 5962, 7, 'מומחיות רפואית');
INSERT INTO `lang_definitions` VALUES (33569, 5963, 7, 'סיכום רפואי ניתן');
INSERT INTO `lang_definitions` VALUES (33570, 5964, 7, 'מערכת רפואית');
INSERT INTO `lang_definitions` VALUES (33571, 5965, 7, 'סוג רפואי');
INSERT INTO `lang_definitions` VALUES (33572, 5966, 7, 'רפואי/היסטוריה (כתיבה, הוספה בלבד אופציונלית)');
INSERT INTO `lang_definitions` VALUES (33573, 5968, 7, 'Medicare Part B');
INSERT INTO `lang_definitions` VALUES (33574, 5969, 7, 'מפנה Medicare הוא נותן השירות');
INSERT INTO `lang_definitions` VALUES (33575, 5970, 7, 'תרופות');
INSERT INTO `lang_definitions` VALUES (33576, 5971, 7, 'רשימת רגישויות תרופה');
INSERT INTO `lang_definitions` VALUES (33577, 5972, 7, 'רשימת בעיות תרופה');
INSERT INTO `lang_definitions` VALUES (33578, 5973, 7, 'רשימת תרופות');
INSERT INTO `lang_definitions` VALUES (33579, 5974, 7, 'האם בוצע יישוב תרופה?');
INSERT INTO `lang_definitions` VALUES (33580, 5975, 7, 'תרופות');
INSERT INTO `lang_definitions` VALUES (33581, 5978, 7, 'תרופות:');
INSERT INTO `lang_definitions` VALUES (33582, 5979, 7, 'יחידות תרופה');
INSERT INTO `lang_definitions` VALUES (33583, 5980, 7, 'בינוני');
INSERT INTO `lang_definitions` VALUES (33584, 5982, 7, 'MedlinePlus Connect');
INSERT INTO `lang_definitions` VALUES (33585, 5984, 7, 'דוח סטטיסטיקה של ארגון חברים~שיוך חבר');
INSERT INTO `lang_definitions` VALUES (33586, 5986, 7, 'בעיות בזיכרון');
INSERT INTO `lang_definitions` VALUES (33587, 5987, 7, 'גברים');
INSERT INTO `lang_definitions` VALUES (33588, 5988, 7, 'גברים ונשים');
INSERT INTO `lang_definitions` VALUES (33589, 5989, 7, 'גברים בלבד');
INSERT INTO `lang_definitions` VALUES (33590, 5990, 7, 'וסת ראשונה');
INSERT INTO `lang_definitions` VALUES (33591, 5991, 7, 'מנופאוזה');
INSERT INTO `lang_definitions` VALUES (33592, 5992, 7, 'זרימת וסת');
INSERT INTO `lang_definitions` VALUES (33593, 5993, 7, 'תדירות וסת');
INSERT INTO `lang_definitions` VALUES (33594, 5994, 7, 'מחלת נפש');
INSERT INTO `lang_definitions` VALUES (33595, 5998, 7, 'טקסט תפריט');
INSERT INTO `lang_definitions` VALUES (33596, 5999, 7, 'תפריטים');
INSERT INTO `lang_definitions` VALUES (33597, 6001, 7, 'מיזוג');
INSERT INTO `lang_definitions` VALUES (33598, 6002, 7, 'המיזוג הושלם.');
INSERT INTO `lang_definitions` VALUES (33599, 6003, 7, 'מיזוג מטופלים');
INSERT INTO `lang_definitions` VALUES (33600, 6004, 7, 'מזג למטופל כלשהו');
INSERT INTO `lang_definitions` VALUES (33601, 6005, 7, 'הודעה');
INSERT INTO `lang_definitions` VALUES (33602, 6006, 7, 'הודעות למטופלים ותזכורות המשויכות אליך');
INSERT INTO `lang_definitions` VALUES (33603, 6009, 7, 'תוכן ההודעה אינו טקסט רגיל, ולכן אוחסן כמסמך.');
INSERT INTO `lang_definitions` VALUES (33604, 6010, 7, 'הודעה ממטופל');
INSERT INTO `lang_definitions` VALUES (33605, 6012, 7, 'הודעה נשלחה');
INSERT INTO `lang_definitions` VALUES (33606, 6013, 7, 'מצב הודעה');
INSERT INTO `lang_definitions` VALUES (33607, 6014, 7, 'כותרת הודעה');
INSERT INTO `lang_definitions` VALUES (33608, 6015, 7, 'הודעה למטופל');
INSERT INTO `lang_definitions` VALUES (33609, 6017, 7, 'סוג הודעה');
INSERT INTO `lang_definitions` VALUES (33610, 6018, 7, 'הודעה:');
INSERT INTO `lang_definitions` VALUES (33611, 6019, 7, 'הודעות למטופל');
INSERT INTO `lang_definitions` VALUES (33612, 6022, 7, 'הודעות ששלחת היום');
INSERT INTO `lang_definitions` VALUES (33613, 6026, 7, 'שיטה');
INSERT INTO `lang_definitions` VALUES (33614, 6027, 7, 'שיטה ומוצר ספציפי');
INSERT INTO `lang_definitions` VALUES (33615, 6029, 7, 'שיטה לשליחת דואר אלקטרוני יוצא.');
INSERT INTO `lang_definitions` VALUES (33616, 6030, 7, 'שיטת השמדה');
INSERT INTO `lang_definitions` VALUES (33617, 6031, 7, 'מקסיקני/מקסיקני-אמריקני/צ\'יקאנו');
INSERT INTO `lang_definitions` VALUES (33618, 6032, 7, 'מקסיקו');
INSERT INTO `lang_definitions` VALUES (33619, 6038, 7, 'מ\"ג');
INSERT INTO `lang_definitions` VALUES (33620, 6039, 7, 'מ\"ג/1cc');
INSERT INTO `lang_definitions` VALUES (33621, 6040, 7, 'מ\"ג/2cc');
INSERT INTO `lang_definitions` VALUES (33622, 6041, 7, 'מ\"ג/3cc');
INSERT INTO `lang_definitions` VALUES (33623, 6042, 7, 'מ\"ג/4cc');
INSERT INTO `lang_definitions` VALUES (33624, 6043, 7, 'מ\"ג/5cc');
INSERT INTO `lang_definitions` VALUES (33625, 6044, 7, 'MG/DL');
INSERT INTO `lang_definitions` VALUES (33626, 6046, 7, 'אמצעי');
INSERT INTO `lang_definitions` VALUES (33627, 6047, 7, 'שם אמצעי');
INSERT INTO `lang_definitions` VALUES (33628, 6048, 7, 'שם אמצעי');
INSERT INTO `lang_definitions` VALUES (33629, 6050, 7, 'נותן מרשם בדרג ביניים');
INSERT INTO `lang_definitions` VALUES (33630, 6051, 7, 'DEA נותן מרשם בדרג ביניים');
INSERT INTO `lang_definitions` VALUES (33631, 6052, 7, 'שם פרטי של נותן מרשם בדרג ביניים');
INSERT INTO `lang_definitions` VALUES (33632, 6053, 7, 'שם משפחה של נותן מרשם בדרג ביניים');
INSERT INTO `lang_definitions` VALUES (33633, 6055, 7, 'קידומת של נותן מרשם בדרג ביניים');
INSERT INTO `lang_definitions` VALUES (33634, 6056, 7, 'UPIN של נותן מרשם בדרג ביניים');
INSERT INTO `lang_definitions` VALUES (33635, 6061, 7, 'מראה');
INSERT INTO `lang_definitions` VALUES (33636, 6062, 7, 'עובד עונתי או מהגר?');
INSERT INTO `lang_definitions` VALUES (33637, 6064, 7, 'מהגר/עונתי');
INSERT INTO `lang_definitions` VALUES (33638, 6065, 7, 'Mil/CU.MM');
INSERT INTO `lang_definitions` VALUES (33639, 6066, 7, 'עדין~קל');
INSERT INTO `lang_definitions` VALUES (33640, 6067, 7, 'קל עד מתון');
INSERT INTO `lang_definitions` VALUES (33641, 6069, 7, 'סוג MIME');
INSERT INTO `lang_definitions` VALUES (33642, 6070, 7, 'MimeType');
INSERT INTO `lang_definitions` VALUES (33643, 6071, 7, 'מינימום');
INSERT INTO `lang_definitions` VALUES (33644, 6072, 7, 'מינימום');
INSERT INTO `lang_definitions` VALUES (33645, 6077, 7, 'גיל מינימום');
INSERT INTO `lang_definitions` VALUES (33646, 6080, 7, 'נקע מפרקים קל +/- דלקת קרום המפרק');
INSERT INTO `lang_definitions` VALUES (33647, 6081, 7, 'דקה');
INSERT INTO `lang_definitions` VALUES (33648, 6082, 7, 'דקה');
INSERT INTO `lang_definitions` VALUES (33649, 6083, 7, 'דקות');
INSERT INTO `lang_definitions` VALUES (33650, 6084, 7, 'דקות');
INSERT INTO `lang_definitions` VALUES (33651, 6085, 7, 'Mirth IP');
INSERT INTO `lang_definitions` VALUES (33652, 6086, 7, 'שונות');
INSERT INTO `lang_definitions` VALUES (33653, 6087, 7, 'אפשרות חיוב שונות');
INSERT INTO `lang_definitions` VALUES (33654, 6088, 7, 'אפשרויות חיוב שונות עבור HCFA-1500');
INSERT INTO `lang_definitions` VALUES (33655, 6089, 7, 'HCFA אפשרויות חיוב שונות');
INSERT INTO `lang_definitions` VALUES (33656, 6090, 7, 'שונות');
INSERT INTO `lang_definitions` VALUES (33657, 6092, 7, 'הוחמץ');
INSERT INTO `lang_definitions` VALUES (33658, 6093, 7, 'חסר');
INSERT INTO `lang_definitions` VALUES (33659, 6094, 7, 'שדה חובה חסר.');
INSERT INTO `lang_definitions` VALUES (33660, 6097, 7, 'תשלום חסר');
INSERT INTO `lang_definitions` VALUES (33661, 6100, 7, 'מצבים~שינויים חסרים בלבד');
INSERT INTO `lang_definitions` VALUES (33662, 6101, 7, 'חסר או לא חוקי');
INSERT INTO `lang_definitions` VALUES (33663, 6103, 7, 'PID חסר.');
INSERT INTO `lang_definitions` VALUES (33664, 6104, 7, 'תאריך דוח חסר');
INSERT INTO `lang_definitions` VALUES (33665, 6105, 7, 'קו נטוי חסר לאחר משלם במקור עבור קוד');
INSERT INTO `lang_definitions` VALUES (33666, 6111, 7, 'מעורב');
INSERT INTO `lang_definitions` VALUES (33667, 6113, 7, 'מ\"ל');
INSERT INTO `lang_definitions` VALUES (33668, 6114, 7, 'MM/DD/YYYY');
INSERT INTO `lang_definitions` VALUES (33669, 6115, 7, 'mm/hg');
INSERT INTO `lang_definitions` VALUES (33670, 6116, 7, 'mmHg');
INSERT INTO `lang_definitions` VALUES (33671, 6117, 7, 'MMR 1');
INSERT INTO `lang_definitions` VALUES (33672, 6118, 7, 'MMR 2');
INSERT INTO `lang_definitions` VALUES (33673, 6120, 7, 'טלפון סלולארי');
INSERT INTO `lang_definitions` VALUES (33674, 6121, 7, 'טלפון נייד');
INSERT INTO `lang_definitions` VALUES (33675, 6125, 7, 'שינוי');
INSERT INTO `lang_definitions` VALUES (33676, 6126, 7, 'תאריך עדכון');
INSERT INTO `lang_definitions` VALUES (33677, 6128, 7, 'מתון~בינונית');
INSERT INTO `lang_definitions` VALUES (33678, 6129, 7, 'עדיפות בינונית');
INSERT INTO `lang_definitions` VALUES (33679, 6130, 7, 'מתון עד חמור');
INSERT INTO `lang_definitions` VALUES (33680, 6131, 7, 'עדיפות בינונית/נמוכה');
INSERT INTO `lang_definitions` VALUES (33681, 6133, 7, 'משנה');
INSERT INTO `lang_definitions` VALUES (33682, 6139, 7, 'משנים');
INSERT INTO `lang_definitions` VALUES (33683, 6140, 7, 'שינוי');
INSERT INTO `lang_definitions` VALUES (33684, 6141, 7, 'תאריך עדכון');
INSERT INTO `lang_definitions` VALUES (33685, 6143, 7, 'שינוי תשלום');
INSERT INTO `lang_definitions` VALUES (33686, 6145, 7, 'ModLength');
INSERT INTO `lang_definitions` VALUES (33687, 6146, 7, 'מודול');
INSERT INTO `lang_definitions` VALUES (33688, 6147, 7, 'ספריית מודול לא נמצאה');
INSERT INTO `lang_definitions` VALUES (33689, 6148, 7, 'מתקין מודול');
INSERT INTO `lang_definitions` VALUES (33690, 6149, 7, 'שם מודול');
INSERT INTO `lang_definitions` VALUES (33691, 6150, 7, 'שם המודול כבר קיים');
INSERT INTO `lang_definitions` VALUES (33692, 6151, 7, 'מודולים');
INSERT INTO `lang_definitions` VALUES (33693, 6153, 7, 'שני');
INSERT INTO `lang_definitions` VALUES (33694, 6154, 7, 'שני עד שישי');
INSERT INTO `lang_definitions` VALUES (33695, 6155, 7, 'שני, רביעי ושישי');
INSERT INTO `lang_definitions` VALUES (33696, 6156, 7, 'יום שני');
INSERT INTO `lang_definitions` VALUES (33697, 6157, 7, 'מונגולית');
INSERT INTO `lang_definitions` VALUES (33698, 6160, 7, 'חודש');
INSERT INTO `lang_definitions` VALUES (33699, 6161, 7, 'חודש');
INSERT INTO `lang_definitions` VALUES (33700, 6162, 7, 'תצוגת חודש');
INSERT INTO `lang_definitions` VALUES (33701, 6163, 7, 'חודשים');
INSERT INTO `lang_definitions` VALUES (33702, 6164, 7, 'הכנסה חודשית');
INSERT INTO `lang_definitions` VALUES (33703, 6165, 7, 'חודשים');
INSERT INTO `lang_definitions` VALUES (33704, 6166, 7, 'חודשים');
INSERT INTO `lang_definitions` VALUES (33705, 6179, 7, 'נמצאו יותר מ-100 רשומות. נא לצמצם את קריטריוני החיפוש.');
INSERT INTO `lang_definitions` VALUES (33706, 6180, 7, 'יש יותר מ-50 תוצאות, נא למקד את החיפוש.');
INSERT INTO `lang_definitions` VALUES (33707, 6184, 7, 'ניתן ללחוץ על הכותרת העליונה של רוב העמודות כדי לשנות את סדר המיון');
INSERT INTO `lang_definitions` VALUES (33708, 6186, 7, 'הכי מאוחר מ:');
INSERT INTO `lang_definitions` VALUES (33709, 6187, 7, 'נתוני המעבדה העדכניים ביותר:');
INSERT INTO `lang_definitions` VALUES (33710, 6189, 7, 'סימנים חיוניים הכי מאוחרים מ:');
INSERT INTO `lang_definitions` VALUES (33711, 6190, 7, 'אם');
INSERT INTO `lang_definitions` VALUES (33712, 6191, 7, 'שם האם');
INSERT INTO `lang_definitions` VALUES (33713, 6192, 7, 'היסטוריית אם');
INSERT INTO `lang_definitions` VALUES (33714, 6195, 7, 'פה');
INSERT INTO `lang_definitions` VALUES (33715, 6196, 7, 'העבר');
INSERT INTO `lang_definitions` VALUES (33716, 6197, 7, 'העבר מסמך לקטגוריה:');
INSERT INTO `lang_definitions` VALUES (33717, 6198, 7, 'הזז מטה');
INSERT INTO `lang_definitions` VALUES (33718, 6199, 7, 'העברה~הזזה נכשלה!');
INSERT INTO `lang_definitions` VALUES (33719, 6201, 7, 'העבר למטופל');
INSERT INTO `lang_definitions` VALUES (33720, 6202, 7, 'העברה אל...');
INSERT INTO `lang_definitions` VALUES (33721, 6203, 7, 'הזז מעלה');
INSERT INTO `lang_definitions` VALUES (33722, 6204, 7, 'מעביר~מזיז');
INSERT INTO `lang_definitions` VALUES (33723, 6209, 7, 'מר');
INSERT INTO `lang_definitions` VALUES (33724, 6211, 7, 'MRN (pid)');
INSERT INTO `lang_definitions` VALUES (33725, 6215, 7, 'גב\'');
INSERT INTO `lang_definitions` VALUES (33726, 6217, 7, 'גב\'');
INSERT INTO `lang_definitions` VALUES (33727, 6218, 7, 'MSH-11');
INSERT INTO `lang_definitions` VALUES (33728, 6219, 7, 'MSH-3.1');
INSERT INTO `lang_definitions` VALUES (33729, 6220, 7, 'MSH-4.1');
INSERT INTO `lang_definitions` VALUES (33730, 6221, 7, 'MSH-5.1');
INSERT INTO `lang_definitions` VALUES (33731, 6222, 7, 'MSH-6.1');
INSERT INTO `lang_definitions` VALUES (33732, 6223, 7, 'סוג הודעה של MSH.8 אינו נתמך');
INSERT INTO `lang_definitions` VALUES (33733, 6224, 7, 'סוג הודעה של MSH.8 אינו חוקי');
INSERT INTO `lang_definitions` VALUES (33734, 6226, 7, 'קוד MSP');
INSERT INTO `lang_definitions` VALUES (33735, 6227, 7, 'קודי סילוק חוב של MSP');
INSERT INTO `lang_definitions` VALUES (33736, 6230, 7, 'כלי ריבוי-שפות');
INSERT INTO `lang_definitions` VALUES (33737, 6234, 7, 'אזורים מרובים');
INSERT INTO `lang_definitions` VALUES (33738, 6236, 7, 'ניתן להעלות קבצים מרובים בבת אחת על-ידי בחירתם באמצעות CTRL+לחיצה או SHIFT+לחיצה.');
INSERT INTO `lang_definitions` VALUES (33739, 6237, 7, 'מנות מרובות');
INSERT INTO `lang_definitions` VALUES (33740, 6238, 7, 'ניתן להפריד משנים מרובים בנקודתיים בו בתווי רווח, 4 לכל היותר (M1:M2:M3:M4)');
INSERT INTO `lang_definitions` VALUES (33741, 6239, 7, 'רשימת בחירה מרובה');
INSERT INTO `lang_definitions` VALUES (33742, 6242, 7, 'רב-גזעי');
INSERT INTO `lang_definitions` VALUES (33743, 6243, 7, 'רשרוש:');
INSERT INTO `lang_definitions` VALUES (33744, 6244, 7, 'כאב שרירים');
INSERT INTO `lang_definitions` VALUES (33745, 6245, 7, 'כאבי שרירים');
INSERT INTO `lang_definitions` VALUES (33746, 6246, 7, 'אדמומיות בשרירים');
INSERT INTO `lang_definitions` VALUES (33747, 6247, 7, 'נוקשות בשרירים');
INSERT INTO `lang_definitions` VALUES (33748, 6248, 7, 'התנפחות בשרירים');
INSERT INTO `lang_definitions` VALUES (33749, 6249, 7, 'חמימות בשרירים');
INSERT INTO `lang_definitions` VALUES (33750, 6250, 7, 'שריר');
INSERT INTO `lang_definitions` VALUES (33751, 6251, 7, 'פציעת שריר');
INSERT INTO `lang_definitions` VALUES (33752, 6252, 7, 'שרירי-שלדי');
INSERT INTO `lang_definitions` VALUES (33753, 6256, 7, 'חייב להיות ריק אם אין שימוש באימות SMTP.');
INSERT INTO `lang_definitions` VALUES (33754, 6259, 7, 'בהגדרה הדדית');
INSERT INTO `lang_definitions` VALUES (33755, 6260, 7, 'MVA');
INSERT INTO `lang_definitions` VALUES (33756, 6261, 7, 'קוד MVX');
INSERT INTO `lang_definitions` VALUES (33757, 6264, 7, 'הבריאות שלי');
INSERT INTO `lang_definitions` VALUES (33758, 6267, 7, 'עצמי');
INSERT INTO `lang_definitions` VALUES (33759, 6268, 7, 'ב{{יום שני}}');
INSERT INTO `lang_definitions` VALUES (33760, 6269, 7, 'מאורי');
INSERT INTO `lang_definitions` VALUES (33761, 6271, 7, 'N/A');
INSERT INTO `lang_definitions` VALUES (33762, 6272, 7, 'n/a');
INSERT INTO `lang_definitions` VALUES (33763, 6274, 7, 'שם');
INSERT INTO `lang_definitions` VALUES (33764, 6275, 7, 'שם');
INSERT INTO `lang_definitions` VALUES (33765, 6276, 7, 'שם (לחץ כדי לראות עוד)');
INSERT INTO `lang_definitions` VALUES (33766, 6278, 7, 'שם 1');
INSERT INTO `lang_definitions` VALUES (33767, 6279, 7, 'שם 2');
INSERT INTO `lang_definitions` VALUES (33768, 6280, 7, 'שם ותואר של נותן החיסון');
INSERT INTO `lang_definitions` VALUES (33769, 6282, 7, 'שם ב-EMR');
INSERT INTO `lang_definitions` VALUES (33770, 6283, 7, 'השם חייב להיות בתבנית codetype_code_language.pdf, לדוגמה icd9_274.11_en.pdf');
INSERT INTO `lang_definitions` VALUES (33771, 6284, 7, 'שם לאירועים');
INSERT INTO `lang_definitions` VALUES (33772, 6285, 7, 'שם חברת ביטוח');
INSERT INTO `lang_definitions` VALUES (33773, 6286, 7, 'שם ספק');
INSERT INTO `lang_definitions` VALUES (33774, 6287, 7, 'שם השולח עבור תזכורות מטופל.');
INSERT INTO `lang_definitions` VALUES (33775, 6294, 7, 'תרגום שם');
INSERT INTO `lang_definitions` VALUES (33776, 6295, 7, 'שם/ערך');
INSERT INTO `lang_definitions` VALUES (33777, 6296, 7, 'שם:');
INSERT INTO `lang_definitions` VALUES (33778, 6300, 7, 'NARES:');
INSERT INTO `lang_definitions` VALUES (33779, 6301, 7, 'NARES: ימין רגיל');
INSERT INTO `lang_definitions` VALUES (33780, 6304, 7, 'ורוד ברירית האף, קו אמצע ספטום');
INSERT INTO `lang_definitions` VALUES (33781, 6305, 7, 'הערות לאום');
INSERT INTO `lang_definitions` VALUES (33782, 6308, 7, 'תצורת הערות לאום');
INSERT INTO `lang_definitions` VALUES (33783, 6309, 7, 'לחצני החלפת הערות לאום');
INSERT INTO `lang_definitions` VALUES (33784, 6310, 7, 'לאום');
INSERT INTO `lang_definitions` VALUES (33785, 6311, 7, 'NationNotes');
INSERT INTO `lang_definitions` VALUES (33786, 6312, 7, 'עומסי נתונים מקוריים');
INSERT INTO `lang_definitions` VALUES (33787, 6313, 7, 'הוואי ילידי או יליד אי אחר של האוקיאנוס השקט');
INSERT INTO `lang_definitions` VALUES (33788, 6314, 7, 'ילד טבעי');
INSERT INTO `lang_definitions` VALUES (33789, 6316, 7, 'הורה טבעי');
INSERT INTO `lang_definitions` VALUES (33790, 6317, 7, 'אח טבעי');
INSERT INTO `lang_definitions` VALUES (33791, 6318, 7, 'נאורו');
INSERT INTO `lang_definitions` VALUES (33792, 6319, 7, 'בחילה');
INSERT INTO `lang_definitions` VALUES (33793, 6321, 7, 'נאבאחו');
INSERT INTO `lang_definitions` VALUES (33794, 6322, 7, 'ניווט');
INSERT INTO `lang_definitions` VALUES (33795, 6323, 7, 'אזור ניווט כולל טופסי מפגש');
INSERT INTO `lang_definitions` VALUES (33796, 6324, 7, 'אזור ניווט משתמש בגובה מלא של קבוצת מסגרות');
INSERT INTO `lang_definitions` VALUES (33797, 6325, 7, 'טופסי ביקור באזור ניווט');
INSERT INTO `lang_definitions` VALUES (33798, 6326, 7, 'רוחב אזור ניווט');
INSERT INTO `lang_definitions` VALUES (33799, 6328, 7, 'תפריט ניווט כולל זוגות של לחצני אפשרויות');
INSERT INTO `lang_definitions` VALUES (33800, 6329, 7, 'תפריט ניווט בתצוגת עץ');
INSERT INTO `lang_definitions` VALUES (33801, 6330, 7, 'הניווט משתמש בתפריט החלקה');
INSERT INTO `lang_definitions` VALUES (33802, 6334, 7, 'NDC');
INSERT INTO `lang_definitions` VALUES (33803, 6335, 7, 'נתוני NDC');
INSERT INTO `lang_definitions` VALUES (33804, 6336, 7, 'מספר NDC');
INSERT INTO `lang_definitions` VALUES (33805, 6337, 7, 'נדונגה');
INSERT INTO `lang_definitions` VALUES (33806, 6348, 7, 'צוואר');
INSERT INTO `lang_definitions` VALUES (33807, 6349, 7, 'בעיות צוואר');
INSERT INTO `lang_definitions` VALUES (33808, 6350, 7, 'גמישות צוואר');
INSERT INTO `lang_definitions` VALUES (33809, 6352, 7, 'יש להזין תיאור');
INSERT INTO `lang_definitions` VALUES (33810, 6353, 7, 'יש להזין ערך החזרה');
INSERT INTO `lang_definitions` VALUES (33811, 6354, 7, 'יש להזין מזהה');
INSERT INTO `lang_definitions` VALUES (33812, 6355, 7, 'יש להזין כותרת~תואר');
INSERT INTO `lang_definitions` VALUES (33813, 6358, 7, 'דרושה הרשאה');
INSERT INTO `lang_definitions` VALUES (33814, 6359, 7, 'דרושה הצדקה');
INSERT INTO `lang_definitions` VALUES (33815, 6360, 7, 'דרוש חיוב משני');
INSERT INTO `lang_definitions` VALUES (33816, 6361, 7, 'שלילי');
INSERT INTO `lang_definitions` VALUES (33817, 6363, 7, 'שליליים');
INSERT INTO `lang_definitions` VALUES (33818, 6365, 7, 'שכן');
INSERT INTO `lang_definitions` VALUES (33819, 6368, 7, 'נפאלי');
INSERT INTO `lang_definitions` VALUES (33820, 6369, 7, 'פגיעה בעצבים');
INSERT INTO `lang_definitions` VALUES (33821, 6371, 7, 'בעיה עצבית/נזק לעצבים');
INSERT INTO `lang_definitions` VALUES (33822, 6373, 7, 'חוסר תחושה בעצבים');
INSERT INTO `lang_definitions` VALUES (33823, 6374, 7, 'חולשה בעצבים');
INSERT INTO `lang_definitions` VALUES (33824, 6377, 7, 'נוירולוגי');
INSERT INTO `lang_definitions` VALUES (33825, 6381, 7, 'אף פעם לא');
INSERT INTO `lang_definitions` VALUES (33826, 6382, 7, 'אלכוהול - אף פעם לא');
INSERT INTO `lang_definitions` VALUES (33827, 6383, 7, 'מעשן - אף פעם לא');
INSERT INTO `lang_definitions` VALUES (33828, 6384, 7, 'חדש');
INSERT INTO `lang_definitions` VALUES (33829, 6385, 7, 'חדש =>');
INSERT INTO `lang_definitions` VALUES (33830, 6386, 7, 'מקבלים חדשים');
INSERT INTO `lang_definitions` VALUES (33831, 6387, 7, 'התראות חדשות');
INSERT INTO `lang_definitions` VALUES (33832, 6388, 7, 'רגישות חדשה');
INSERT INTO `lang_definitions` VALUES (33833, 6389, 7, 'בקשת תיקון חדשה');
INSERT INTO `lang_definitions` VALUES (33834, 6390, 7, 'פגישה חדשה');
INSERT INTO `lang_definitions` VALUES (33835, 6391, 7, 'קטגוריות חדשות');
INSERT INTO `lang_definitions` VALUES (33836, 6392, 7, 'קטגוריה חדשה');
INSERT INTO `lang_definitions` VALUES (33837, 6393, 7, 'לקוחות חדשים');
INSERT INTO `lang_definitions` VALUES (33838, 6394, 7, 'ייעוץ חדש');
INSERT INTO `lang_definitions` VALUES (33839, 6395, 7, 'New Crop');
INSERT INTO `lang_definitions` VALUES (33840, 6396, 7, 'ערכת הגדרות חדשה נוספה');
INSERT INTO `lang_definitions` VALUES (33841, 6397, 7, 'מסמך חדש');
INSERT INTO `lang_definitions` VALUES (33842, 6398, 7, 'מסמכים חדשים');
INSERT INTO `lang_definitions` VALUES (33843, 6399, 7, 'תזכורות קליניות חדשות');
INSERT INTO `lang_definitions` VALUES (33844, 6401, 7, 'מפגש חדש');
INSERT INTO `lang_definitions` VALUES (33845, 6402, 7, 'מפגש חדש נוצר עם מזהה');
INSERT INTO `lang_definitions` VALUES (33846, 6403, 7, 'טופס ביקור חדש');
INSERT INTO `lang_definitions` VALUES (33847, 6404, 7, 'מפגשים חדשים ללא הרשאה');
INSERT INTO `lang_definitions` VALUES (33848, 6405, 7, 'מפגש חדש');
INSERT INTO `lang_definitions` VALUES (33849, 6406, 7, 'מידע מתקן חדש');
INSERT INTO `lang_definitions` VALUES (33850, 6407, 7, 'קובץ חדש');
INSERT INTO `lang_definitions` VALUES (33851, 6408, 7, 'קבצים חדשים');
INSERT INTO `lang_definitions` VALUES (33852, 6410, 7, 'קבוצה חדשה');
INSERT INTO `lang_definitions` VALUES (33853, 6413, 7, 'פרטי קבוצה חדשה');
INSERT INTO `lang_definitions` VALUES (33854, 6422, 7, 'זריקה/מצב חדש/ה');
INSERT INTO `lang_definitions` VALUES (33855, 6423, 7, 'פריטים חדשים (ראה פרטים לעיל)');
INSERT INTO `lang_definitions` VALUES (33856, 6425, 7, 'מגבלת אירועים חדשה');
INSERT INTO `lang_definitions` VALUES (33857, 6426, 7, 'רשימה חדשה');
INSERT INTO `lang_definitions` VALUES (33858, 6432, 7, 'הזמנות חדשות');
INSERT INTO `lang_definitions` VALUES (33859, 6433, 7, 'סעיף חדש');
INSERT INTO `lang_definitions` VALUES (33860, 6434, 7, 'סיסמה חדשה');
INSERT INTO `lang_definitions` VALUES (33861, 6435, 7, 'מטופל חדש');
INSERT INTO `lang_definitions` VALUES (33862, 6436, 7, 'מטופל חדש');
INSERT INTO `lang_definitions` VALUES (33863, 6437, 7, 'מפגש מטופל חדש');
INSERT INTO `lang_definitions` VALUES (33864, 6438, 7, 'טופס מטופל חדש');
INSERT INTO `lang_definitions` VALUES (33865, 6439, 7, 'מזהה מטופל חדש');
INSERT INTO `lang_definitions` VALUES (33866, 6442, 7, 'תשלום חדש');
INSERT INTO `lang_definitions` VALUES (33867, 6443, 7, 'כניסה לפורטל חדש');
INSERT INTO `lang_definitions` VALUES (33868, 6445, 7, 'דירוג~תשלום~ניקוד חדש');
INSERT INTO `lang_definitions` VALUES (33869, 6447, 7, 'תוצאות חדשות מ-Lab Exchange');
INSERT INTO `lang_definitions` VALUES (33870, 6448, 7, 'חיפוש חדש');
INSERT INTO `lang_definitions` VALUES (33871, 6449, 7, 'שליחות חדשות');
INSERT INTO `lang_definitions` VALUES (33872, 6451, 7, 'משתמש חדש');
INSERT INTO `lang_definitions` VALUES (33873, 6452, 7, 'ערך חדש');
INSERT INTO `lang_definitions` VALUES (33874, 6453, 7, 'ביקור חדש');
INSERT INTO `lang_definitions` VALUES (33875, 6454, 7, 'חדש/חיפוש');
INSERT INTO `lang_definitions` VALUES (33876, 6455, 7, 'מצב חשבון NewCrop');
INSERT INTO `lang_definitions` VALUES (33877, 6456, 7, 'מנהל מערכת ב-NewCrop');
INSERT INTO `lang_definitions` VALUES (33878, 6457, 7, 'קריאת NewCrop נכשלה');
INSERT INTO `lang_definitions` VALUES (33879, 6458, 7, 'רופא ב-NewCrop');
INSERT INTO `lang_definitions` VALUES (33880, 6459, 7, 'מזהה חשבון NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (33881, 6460, 7, 'שם חשבון NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (33882, 6461, 7, 'הגדרת איתור באגים של NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (33883, 6462, 7, 'מדינת מטופל של ברירת מחדל ב-NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (33884, 6463, 7, 'שם ב-NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (33885, 6464, 7, 'שם שותף NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (33886, 6465, 7, 'סיסמת NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (33887, 6466, 7, 'תפקיד ב-NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (33888, 6467, 7, 'תפקיד ב-NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (33889, 6468, 7, 'כתובת אתר של NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (33890, 6469, 7, 'זמן-לחיים של בקשת SOAP ב-NewCrop eRx עבור רגישויות');
INSERT INTO `lang_definitions` VALUES (33891, 6470, 7, 'זמן-לחיים של בקשת SOAP ב-NewCrop eRx עבור תרופות');
INSERT INTO `lang_definitions` VALUES (33892, 6471, 7, 'תפקיד משתמש ב-NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (33893, 6472, 7, 'תפקיד משתמש ב-NewCrop eRx * בחירה לא חוקית *');
INSERT INTO `lang_definitions` VALUES (33894, 6473, 7, 'כתובת שירות אינטרנט של NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (33895, 6474, 7, 'מנהל NewCrop');
INSERT INTO `lang_definitions` VALUES (33896, 6475, 7, 'NewCrop MedEntry');
INSERT INTO `lang_definitions` VALUES (33897, 6476, 7, 'נותן מרשם בדרג ביניים ב-NewCrop');
INSERT INTO `lang_definitions` VALUES (33898, 6477, 7, 'אח/אחות ב-NewCrop');
INSERT INTO `lang_definitions` VALUES (33899, 6478, 7, 'רופא מפקח ב-NewCrop');
INSERT INTO `lang_definitions` VALUES (33900, 6479, 7, 'חדש יותר');
INSERT INTO `lang_definitions` VALUES (33901, 6481, 7, 'עיתון');
INSERT INTO `lang_definitions` VALUES (33902, 6482, 7, 'הבא');
INSERT INTO `lang_definitions` VALUES (33903, 6483, 7, 'תאריך הפגישה הבאה');
INSERT INTO `lang_definitions` VALUES (33904, 6484, 7, 'היום הבא');
INSERT INTO `lang_definitions` VALUES (33905, 6485, 7, 'החודש הבא');
INSERT INTO `lang_definitions` VALUES (33906, 6486, 7, 'החודש הבא (החזק לקבלת תפריט)');
INSERT INTO `lang_definitions` VALUES (33907, 6488, 7, 'הרצה מתוכננת באה');
INSERT INTO `lang_definitions` VALUES (33908, 6491, 7, 'השבוע הבא');
INSERT INTO `lang_definitions` VALUES (33909, 6492, 7, 'השנה הבאה (החזק לקבלת תפריט)');
INSERT INTO `lang_definitions` VALUES (33910, 6493, 7, 'כינוי');
INSERT INTO `lang_definitions` VALUES (33911, 6494, 7, 'כינוי');
INSERT INTO `lang_definitions` VALUES (33912, 6495, 7, 'אחיינית/אחיין');
INSERT INTO `lang_definitions` VALUES (33913, 6496, 7, 'הזעה בלילה');
INSERT INTO `lang_definitions` VALUES (33914, 6499, 7, 'לא');
INSERT INTO `lang_definitions` VALUES (33915, 6500, 7, 'לא');
INSERT INTO `lang_definitions` VALUES (33916, 6502, 7, 'אין גישה');
INSERT INTO `lang_definitions` VALUES (33917, 6503, 7, 'אין תזכורות מטופל פעילות.');
INSERT INTO `lang_definitions` VALUES (33918, 6504, 7, 'ללא אדנופתיה (נדרשים 2 אזורים)');
INSERT INTO `lang_definitions` VALUES (33919, 6505, 7, 'לא נמצא סוג סיבה להתאמה עבור');
INSERT INTO `lang_definitions` VALUES (33920, 6506, 7, 'ללא רגישות אנדקסלית/מסות');
INSERT INTO `lang_definitions` VALUES (33921, 6508, 7, 'אין בקשות זמינות לתיקון');
INSERT INTO `lang_definitions` VALUES (33922, 6509, 7, 'אין פגישות');
INSERT INTO `lang_definitions` VALUES (33923, 6513, 7, 'לא זוהתה התעסקות עם יומן ביקורת בטווח התאריכים שנבחר.');
INSERT INTO `lang_definitions` VALUES (33924, 6515, 7, 'אין מערכת חיוב פעילה נוכחית');
INSERT INTO `lang_definitions` VALUES (33925, 6516, 7, 'לא נמצאו חשבונות לכלילה בייצוא OFX');
INSERT INTO `lang_definitions` VALUES (33926, 6517, 7, 'לא נמצאו חשבונות לכלילה בייצוא OFX<br>');
INSERT INTO `lang_definitions` VALUES (33927, 6518, 7, 'לא זוהו שינויים');
INSERT INTO `lang_definitions` VALUES (33928, 6519, 7, 'לא צוין קוד!');
INSERT INTO `lang_definitions` VALUES (33929, 6520, 7, 'לא הוגדרה תצורה עבור מודול זה');
INSERT INTO `lang_definitions` VALUES (33930, 6522, 7, 'אין נתונים לעיבוד');
INSERT INTO `lang_definitions` VALUES (33931, 6523, 7, 'אין אבחון');
INSERT INTO `lang_definitions` VALUES (33932, 6526, 7, 'לא נמצאו מסמכים');
INSERT INTO `lang_definitions` VALUES (33933, 6527, 7, 'לא ניתן ליצור מפגש');
INSERT INTO `lang_definitions` VALUES (33934, 6529, 7, 'אין תאריך סיום');
INSERT INTO `lang_definitions` VALUES (33935, 6530, 7, 'לא נמצאו רשומות, השתמש בטופס למטה כדי להוסיף רשומה.');
INSERT INTO `lang_definitions` VALUES (33936, 6531, 7, 'לא נמצאו שגיאות');
INSERT INTO `lang_definitions` VALUES (33937, 6532, 7, 'אין אירועים');
INSERT INTO `lang_definitions` VALUES (33938, 6533, 7, 'לא נשמר מספר פקס עבור הארגון הנבחר');
INSERT INTO `lang_definitions` VALUES (33939, 6534, 7, 'לא נקבעו קבצים להתקנה');
INSERT INTO `lang_definitions` VALUES (33940, 6536, 7, 'לא נבחרה קבוצה');
INSERT INTO `lang_definitions` VALUES (33941, 6537, 7, 'אין בקע');
INSERT INTO `lang_definitions` VALUES (33942, 6538, 7, 'אין Hooks זמינים במודול זה');
INSERT INTO `lang_definitions` VALUES (33943, 6539, 7, 'אין Hooks המוגדרים כזמינים עבור מודול זה');
INSERT INTO `lang_definitions` VALUES (33944, 6540, 7, 'אין פציעה/מחלה');
INSERT INTO `lang_definitions` VALUES (33945, 6541, 7, 'לא נמצאו חברות ביטוח');
INSERT INTO `lang_definitions` VALUES (33946, 6544, 7, 'אין בעיות~נושאים~הנפקות');
INSERT INTO `lang_definitions` VALUES (33947, 6545, 7, 'אין אין בעיות~נושאים~הנפקות במפגש זה.');
INSERT INTO `lang_definitions` VALUES (33948, 6546, 7, 'אין פריטים בקטגוריה הנבחרת');
INSERT INTO `lang_definitions` VALUES (33949, 6547, 7, 'לא נבחרו פריטים!');
INSERT INTO `lang_definitions` VALUES (33950, 6548, 7, 'אין רגישויות ידועות');
INSERT INTO `lang_definitions` VALUES (33951, 6549, 7, 'אין הוראות קליניות ידועות');
INSERT INTO `lang_definitions` VALUES (33952, 6550, 7, 'אין מפגשים ידועים');
INSERT INTO `lang_definitions` VALUES (33953, 6551, 7, 'אין חיסונים ידועים');
INSERT INTO `lang_definitions` VALUES (33954, 6552, 7, 'אין תוצאות מעבדה ידועות');
INSERT INTO `lang_definitions` VALUES (33955, 6553, 7, 'אין תרופות ידועות');
INSERT INTO `lang_definitions` VALUES (33956, 6554, 7, 'אין תוכנית טיפול ידועה');
INSERT INTO `lang_definitions` VALUES (33957, 6555, 7, 'אין בעיות ידועות');
INSERT INTO `lang_definitions` VALUES (33958, 6556, 7, 'אין הליכים ידועים');
INSERT INTO `lang_definitions` VALUES (33959, 6557, 7, 'אין הפניות ידועות');
INSERT INTO `lang_definitions` VALUES (33960, 6558, 7, 'אין מצב תפקודי חברתי ידוע');
INSERT INTO `lang_definitions` VALUES (33961, 6559, 7, 'אין היסטוריה חברתית ידועה');
INSERT INTO `lang_definitions` VALUES (33962, 6560, 7, 'אין סימנים חיוביים ידועים');
INSERT INTO `lang_definitions` VALUES (33963, 6561, 7, 'אין נתוני מעבדה מתועדים.');
INSERT INTO `lang_definitions` VALUES (33964, 6562, 7, 'לא קיים קובץ יומן עבור התאריך הנבחר');
INSERT INTO `lang_definitions` VALUES (33965, 6563, 7, 'אין רישום');
INSERT INTO `lang_definitions` VALUES (33966, 6565, 7, 'אין מסות, רגישות');
INSERT INTO `lang_definitions` VALUES (33967, 6566, 7, 'לא נמצא תיק מטופל תואם עבור הקוד שניתן לזיהוי מחדש');
INSERT INTO `lang_definitions` VALUES (33968, 6568, 7, 'לא נמצאו התאמות. נסה שוב לחפש.');
INSERT INTO `lang_definitions` VALUES (33969, 6569, 7, 'לא נמצאו התאמות.');
INSERT INTO `lang_definitions` VALUES (33970, 6570, 7, 'לא נמצאו התאמות. האם ליצור מטופל חדש כעת?');
INSERT INTO `lang_definitions` VALUES (33971, 6571, 7, 'לא נמצאו רשומות תואמות');
INSERT INTO `lang_definitions` VALUES (33972, 6577, 7, 'לא נמצאו תוצאות חדשות');
INSERT INTO `lang_definitions` VALUES (33973, 6578, 7, 'אין הערות');
INSERT INTO `lang_definitions` VALUES (33974, 6579, 7, 'אין אוגרנומגוליה');
INSERT INTO `lang_definitions` VALUES (33975, 6580, 7, 'לא נמצאו מקומות פנויים עבור תקופה זו.');
INSERT INTO `lang_definitions` VALUES (33976, 6583, 7, 'אין מספרי טלפון רשומים');
INSERT INTO `lang_definitions` VALUES (33977, 6584, 7, 'לא נבחרו פרמטרים');
INSERT INTO `lang_definitions` VALUES (33978, 6585, 7, 'לא נמצאו שותפים');
INSERT INTO `lang_definitions` VALUES (33979, 6586, 7, 'לא נמצא תיק מטופל עבור קריטריוני הבחירה שסופקו');
INSERT INTO `lang_definitions` VALUES (33980, 6587, 7, 'לא נמצא תיק מטופל עבור הקוד שניתן לזיהוי מחדש');
INSERT INTO `lang_definitions` VALUES (33981, 6588, 7, 'אין בצקת היקפית');
INSERT INTO `lang_definitions` VALUES (33982, 6589, 7, 'לא נמצאו בתי מרקחת');
INSERT INTO `lang_definitions` VALUES (33983, 6590, 7, 'לא נמצא מרשם');
INSERT INTO `lang_definitions` VALUES (33984, 6592, 7, 'אין מחלה/פציעה נוכחית');
INSERT INTO `lang_definitions` VALUES (33985, 6593, 7, 'אין רשומות קודמות.');
INSERT INTO `lang_definitions` VALUES (33986, 6594, 7, 'לא נבחרה ישות עסקית ראשית ברשימת מתקנים');
INSERT INTO `lang_definitions` VALUES (33987, 6595, 7, 'אין מפגשים קודמים.');
INSERT INTO `lang_definitions` VALUES (33988, 6596, 7, 'אין הליכים במפגש זה.');
INSERT INTO `lang_definitions` VALUES (33989, 6597, 7, 'לא נמצא ספק תואם');
INSERT INTO `lang_definitions` VALUES (33990, 6598, 7, 'לא נמצאו משתמשים');
INSERT INTO `lang_definitions` VALUES (33991, 6599, 7, 'אין פריחה או פצעים חריגים');
INSERT INTO `lang_definitions` VALUES (33992, 6602, 7, 'לא נמצאו רשומות');
INSERT INTO `lang_definitions` VALUES (33993, 6603, 7, 'לא נמצאו רשומות.');
INSERT INTO `lang_definitions` VALUES (33994, 6604, 7, 'לא נמצאו רשומות. נא להרחיב את קריטריוני החיפוש.');
INSERT INTO `lang_definitions` VALUES (33995, 6607, 7, 'אין תזכורות');
INSERT INTO `lang_definitions` VALUES (33996, 6608, 7, 'לא נמצאו תוצאות עבור קריטריוני החיפוש שלמעלה.');
INSERT INTO `lang_definitions` VALUES (33997, 6609, 7, 'אין תוצאות');
INSERT INTO `lang_definitions` VALUES (33998, 6610, 7, 'לא נמצאו תוצאות');
INSERT INTO `lang_definitions` VALUES (33999, 6612, 7, 'לא נמצאו תוצאות עבור החיפוש');
INSERT INTO `lang_definitions` VALUES (34000, 6613, 7, 'לא נמצאו תוצאות, נא לנסות שוב.');
INSERT INTO `lang_definitions` VALUES (34001, 6614, 7, 'אין תוצאות, נא לנסות שוב.');
INSERT INTO `lang_definitions` VALUES (34002, 6615, 7, 'אין, נא לנסות שוב.');
INSERT INTO `lang_definitions` VALUES (34003, 6617, 7, 'אין הגדרות זמינות במודול זה');
INSERT INTO `lang_definitions` VALUES (34004, 6618, 7, 'לא הופיע');
INSERT INTO `lang_definitions` VALUES (34005, 6621, 7, 'אין חתימה רשומה');
INSERT INTO `lang_definitions` VALUES (34006, 6622, 7, 'אין רגישות בסינוס:');
INSERT INTO `lang_definitions` VALUES (34007, 6623, 7, 'אין יצירת גומות בעור או קשריות בחזה');
INSERT INTO `lang_definitions` VALUES (34008, 6624, 7, 'שם הקשר זה לא קיים');
INSERT INTO `lang_definitions` VALUES (34009, 6625, 7, 'לא נבחרה טבלה! בחר טבלה.');
INSERT INTO `lang_definitions` VALUES (34010, 6626, 7, 'אין רגישות באשכים, מסות');
INSERT INTO `lang_definitions` VALUES (34011, 6628, 7, 'אין רעידות או התנשמות');
INSERT INTO `lang_definitions` VALUES (34012, 6629, 7, 'לא נבחרו מעקבים');
INSERT INTO `lang_definitions` VALUES (34013, 6630, 7, 'לא תועדו מעקבים.');
INSERT INTO `lang_definitions` VALUES (34014, 6632, 7, 'אין ביקור');
INSERT INTO `lang_definitions` VALUES (34015, 6633, 7, 'לא תועדו סימנים חיוניים.');
INSERT INTO `lang_definitions` VALUES (34016, 6634, 7, 'לא, בטל');
INSERT INTO `lang_definitions` VALUES (34017, 6635, 7, 'ביטוח No-fault כולל Auto הוא הראשי');
INSERT INTO `lang_definitions` VALUES (34018, 6636, 7, 'לא:');
INSERT INTO `lang_definitions` VALUES (34019, 6637, 7, 'נוקטוריה');
INSERT INTO `lang_definitions` VALUES (34020, 6638, 7, 'לא שולם');
INSERT INTO `lang_definitions` VALUES (34021, 6640, 7, 'דוח - לא דווח');
INSERT INTO `lang_definitions` VALUES (34022, 6641, 7, 'פציעה לא ספציפית');
INSERT INTO `lang_definitions` VALUES (34023, 6642, 7, 'לא אלקטרוני');
INSERT INTO `lang_definitions` VALUES (34024, 6643, 7, 'סוכרת שאינה תלוית אינסולין');
INSERT INTO `lang_definitions` VALUES (34025, 6644, 7, 'לא מבוטח');
INSERT INTO `lang_definitions` VALUES (34026, 6646, 7, 'רפואי לא SRH');
INSERT INTO `lang_definitions` VALUES (34027, 6647, 7, 'לא רפואי לא SRH');
INSERT INTO `lang_definitions` VALUES (34028, 6648, 7, 'ללא');
INSERT INTO `lang_definitions` VALUES (34029, 6649, 7, 'אין');
INSERT INTO `lang_definitions` VALUES (34030, 6650, 7, 'לא הוגדר');
INSERT INTO `lang_definitions` VALUES (34031, 6652, 7, 'לא תועד');
INSERT INTO `lang_definitions` VALUES (34032, 6653, 7, 'אף אחד מהמוזכרים לעיל');
INSERT INTO `lang_definitions` VALUES (34033, 6654, 7, 'לא ניתן להשאיר אף אחת משורות ההתפלגות~ההפצה העליונות ריקות לחלוטין.');
INSERT INTO `lang_definitions` VALUES (34034, 6683, 7, 'סוכרת לא-תלוית אינסולין');
INSERT INTO `lang_definitions` VALUES (34035, 6684, 7, 'רגיל');
INSERT INTO `lang_definitions` VALUES (34036, 6685, 7, 'רגיל');
INSERT INTO `lang_definitions` VALUES (34037, 6687, 7, 'BL רגיל');
INSERT INTO `lang_definitions` VALUES (34038, 6688, 7, 'בדיקת לב רגילה:');
INSERT INTO `lang_definitions` VALUES (34039, 6689, 7, 'בדיקת לב רגילה:');
INSERT INTO `lang_definitions` VALUES (34040, 6690, 7, 'בדיקת ריאות רגילה:');
INSERT INTO `lang_definitions` VALUES (34041, 6691, 7, 'בדיקת ריאות רגילה:');
INSERT INTO `lang_definitions` VALUES (34042, 6692, 7, 'ביקור רגיל במשרד');
INSERT INTO `lang_definitions` VALUES (34043, 6693, 7, 'לוע תקין:');
INSERT INTO `lang_definitions` VALUES (34044, 6694, 7, 'ימין רגיל');
INSERT INTO `lang_definitions` VALUES (34045, 6695, 7, 'ימין רגיל:');
INSERT INTO `lang_definitions` VALUES (34046, 6696, 7, 'תצוגה רגילה');
INSERT INTO `lang_definitions` VALUES (34047, 6697, 7, 'רגיל:');
INSERT INTO `lang_definitions` VALUES (34048, 6698, 7, 'בדרך כלל, יש לסמן~לבדוק זאת. לא קשור לבקשת גישה.');
INSERT INTO `lang_definitions` VALUES (34049, 6699, 7, 'צפון נדבלה');
INSERT INTO `lang_definitions` VALUES (34050, 6700, 7, 'צפון סאמי');
INSERT INTO `lang_definitions` VALUES (34051, 6701, 7, 'נורווגית');
INSERT INTO `lang_definitions` VALUES (34052, 6703, 7, 'נורווגית Bokmål');
INSERT INTO `lang_definitions` VALUES (34053, 6704, 7, 'נורווגית Nynorsk');
INSERT INTO `lang_definitions` VALUES (34054, 6705, 7, 'אף');
INSERT INTO `lang_definitions` VALUES (34055, 6706, 7, 'דימום מהאף');
INSERT INTO `lang_definitions` VALUES (34056, 6707, 7, 'לא אות או ספרה');
INSERT INTO `lang_definitions` VALUES (34057, 6709, 7, 'לא ניתן~נוהל');
INSERT INTO `lang_definitions` VALUES (34058, 6710, 7, 'לא כל השדות דרושים עבור כל הקודים או סוגי הקודים.');
INSERT INTO `lang_definitions` VALUES (34059, 6712, 7, 'לא מותר');
INSERT INTO `lang_definitions` VALUES (34060, 6713, 7, 'מחיקת קבוצת מנהלי המערכת אינה מותרת');
INSERT INTO `lang_definitions` VALUES (34061, 6714, 7, 'עריכה אינה מותרת');
INSERT INTO `lang_definitions` VALUES (34062, 6715, 7, 'השבתת כל אובייקטי האבטחה אינה מותרת');
INSERT INTO `lang_definitions` VALUES (34063, 6716, 7, 'השבתת דבר מה מ-ACL מנהלי המערכת אינה מותרת');
INSERT INTO `lang_definitions` VALUES (34064, 6717, 7, 'אין להסיר משתמש מנהל מערכת מקבוצת מנהלי המערכת');
INSERT INTO `lang_definitions` VALUES (34065, 6718, 7, 'אין להסיר משתמש זה מקבוצת מנהלי המערכת');
INSERT INTO `lang_definitions` VALUES (34066, 6719, 7, 'לא רלוונטי');
INSERT INTO `lang_definitions` VALUES (34067, 6720, 7, 'לא מורשה לגשת למודול PostCalendar');
INSERT INTO `lang_definitions` VALUES (34068, 6721, 7, 'לא מורשה');
INSERT INTO `lang_definitions` VALUES (34069, 6722, 7, 'לא מורשה');
INSERT INTO `lang_definitions` VALUES (34070, 6723, 7, 'לא מותר עבור קבוצה זו!');
INSERT INTO `lang_definitions` VALUES (34071, 6724, 7, 'לא מותר עבור קבוצה זו.');
INSERT INTO `lang_definitions` VALUES (34072, 6725, 7, 'לא מורשה לניהול משתמשים!');
INSERT INTO `lang_definitions` VALUES (34073, 6726, 7, 'לא מורשה לחתימת תוצאות');
INSERT INTO `lang_definitions` VALUES (34074, 6729, 7, 'לא זמין');
INSERT INTO `lang_definitions` VALUES (34075, 6730, 7, 'לא חויב');
INSERT INTO `lang_definitions` VALUES (34076, 6731, 7, 'לא חויב');
INSERT INTO `lang_definitions` VALUES (34077, 6732, 7, 'לא נבדק');
INSERT INTO `lang_definitions` VALUES (34078, 6733, 7, 'לא בוצע צ\'ק אאוט~תשלום');
INSERT INTO `lang_definitions` VALUES (34079, 6734, 7, 'לא מקודד');
INSERT INTO `lang_definitions` VALUES (34080, 6736, 7, 'לא לפירעון');
INSERT INTO `lang_definitions` VALUES (34081, 6737, 7, 'לא חתום');
INSERT INTO `lang_definitions` VALUES (34082, 6738, 7, 'לא נבדק');
INSERT INTO `lang_definitions` VALUES (34083, 6739, 7, 'לא נבדק:');
INSERT INTO `lang_definitions` VALUES (34084, 6740, 7, 'לא נבדק:');
INSERT INTO `lang_definitions` VALUES (34085, 6742, 7, 'לא נמצא');
INSERT INTO `lang_definitions` VALUES (34086, 6743, 7, 'לא נמצא');
INSERT INTO `lang_definitions` VALUES (34087, 6744, 7, 'לא נמצא!');
INSERT INTO `lang_definitions` VALUES (34088, 6745, 7, 'לא היספנית או לטינית');
INSERT INTO `lang_definitions` VALUES (34089, 6746, 7, 'לא מותקן');
INSERT INTO `lang_definitions` VALUES (34090, 6747, 7, 'לא מותקן');
INSERT INTO `lang_definitions` VALUES (34091, 6751, 7, 'לא נראה מאז');
INSERT INTO `lang_definitions` VALUES (34092, 6752, 7, 'לא נשלח');
INSERT INTO `lang_definitions` VALUES (34093, 6753, 7, 'טרם נשלח');
INSERT INTO `lang_definitions` VALUES (34094, 6754, 7, 'לא צוין');
INSERT INTO `lang_definitions` VALUES (34095, 6755, 7, 'לא צוין.');
INSERT INTO `lang_definitions` VALUES (34096, 6758, 7, 'הערה');
INSERT INTO `lang_definitions` VALUES (34097, 6760, 7, 'קודי הערה');
INSERT INTO `lang_definitions` VALUES (34098, 6762, 7, 'שים לב: עיבוד מלא לאחר שתלחץ על \'התקן\' יימשך 5-10 דקות');
INSERT INTO `lang_definitions` VALUES (34099, 6763, 7, 'שים לב: עיבוד מלא לאחר שתלחץ על \'שדרוג\' יימשך 5-10 דקות');
INSERT INTO `lang_definitions` VALUES (34100, 6764, 7, 'שים לב: יש להגדיר למעלה רישום יומן של ביקורת כזמין');
INSERT INTO `lang_definitions` VALUES (34101, 6771, 7, 'סוג הערה');
INSERT INTO `lang_definitions` VALUES (34102, 6772, 7, 'הערה: 12:00 בצהריים זה PM, לא AM');
INSERT INTO `lang_definitions` VALUES (34103, 6773, 7, 'הערה: ייבוא הנתונים החיצוניים עשוי להימשך יותר משעה, בהתאם לתצורת החומרה שלך. לדוגמה, אחת מטבלאות הנתונים של RxNorm מכילה למעלה מ-6 מיליון שורות.');
INSERT INTO `lang_definitions` VALUES (34104, 6774, 7, 'הערה: בשלב זה, קיימת תמיכה במהדורה החצי-שנתית הבינלאומית של Snomed בלבד');
INSERT INTO `lang_definitions` VALUES (34105, 6776, 7, 'הערה: בשלב זה, קיימת תמיכה במהדורה החודשית המלאה של RxNorm בלבד');
INSERT INTO `lang_definitions` VALUES (34106, 6779, 7, 'הערה: קוד זה אינו מורשה.');
INSERT INTO `lang_definitions` VALUES (34107, 6780, 7, 'הערות: קוד זה לא הוזן על-ידי משתמש מורשה. ניתן להעלות אך ורק קודים מורשים לרשת החיוב הרפואי הפתוח לצורך עיבוד. אם ברצונך להעלות קודים אלה, בחר כאן משתמש מורשה.');
INSERT INTO `lang_definitions` VALUES (34108, 6781, 7, 'הערה: השתתפות עצמית זו הוזנה כנגד חיוב אשר לא קיבל הרשאה. סקור את המצב.');
INSERT INTO `lang_definitions` VALUES (34109, 6783, 7, 'הערה: העלאת קבצים עם שמות כפולים תגרום שינוי שם אוטומטי של הקבצים (לדוגמה, file.jpg יהפוך ל-file.1.jpg). שמות הקבצים נחשבים ייחודיים לכל מטופל, ולא לכל קטגוריה.');
INSERT INTO `lang_definitions` VALUES (34110, 6784, 7, 'הערה: העלאת קבצים עם שמות כפולים תגרום שינוי שם אוטומטי של הקבצים. לדוגמה, \'<i>file.jpg</i>\' יהפוך ל-\'<i>file.jpg.1</i>\'. שמות הקבצים נחשבים ייחודיים לכל מטופל, ולא לכל קטגוריה.');
INSERT INTO `lang_definitions` VALUES (34111, 6785, 7, 'הודעות מטופל');
INSERT INTO `lang_definitions` VALUES (34112, 6788, 7, 'הערות - כל מפגש (כתיבה, addonly אופציונלי)');
INSERT INTO `lang_definitions` VALUES (34113, 6790, 7, 'הערות - המפגשים שלי (כתיבה, addonly אופציונלי)');
INSERT INTO `lang_definitions` VALUES (34114, 6793, 7, 'הערות לא מורשות');
INSERT INTO `lang_definitions` VALUES (34115, 6795, 7, 'שום דבר לא ממתין לאישור');
INSERT INTO `lang_definitions` VALUES (34116, 6796, 7, 'לא תועדו נתונים');
INSERT INTO `lang_definitions` VALUES (34117, 6798, 7, 'שום דבר להציג');
INSERT INTO `lang_definitions` VALUES (34118, 6799, 7, 'שום דבר לייבוא עבור רגישות');
INSERT INTO `lang_definitions` VALUES (34119, 6800, 7, 'שום דבר לייבוא עבור מרשם');
INSERT INTO `lang_definitions` VALUES (34120, 6803, 7, 'שום דבר להראות');
INSERT INTO `lang_definitions` VALUES (34121, 6804, 7, 'שום דבר לא נבחר');
INSERT INTO `lang_definitions` VALUES (34122, 6807, 7, 'הודעה התקבלה');
INSERT INTO `lang_definitions` VALUES (34123, 6808, 7, 'הודעה: שליחה/שינוי של PostCalendar');
INSERT INTO `lang_definitions` VALUES (34124, 6809, 7, 'הודעה');
INSERT INTO `lang_definitions` VALUES (34125, 6810, 7, 'כתובת דואר אלקטרוני להודעות');
INSERT INTO `lang_definitions` VALUES (34126, 6813, 7, 'הודעה נשלחה אל');
INSERT INTO `lang_definitions` VALUES (34127, 6815, 7, 'הודעות');
INSERT INTO `lang_definitions` VALUES (34128, 6816, 7, 'האם להודיע למנהל המערכת על שינוי/שליחה של אירוע?');
INSERT INTO `lang_definitions` VALUES (34129, 6820, 7, 'נוב');
INSERT INTO `lang_definitions` VALUES (34130, 6821, 7, 'נובמבר');
INSERT INTO `lang_definitions` VALUES (34131, 6824, 7, 'כעת מציב עבור:');
INSERT INTO `lang_definitions` VALUES (34132, 6825, 7, 'מדפיס כעת');
INSERT INTO `lang_definitions` VALUES (34133, 6826, 7, 'מדפיס כעת $stmt_count דוחות ומעדכן מפגשים.');
INSERT INTO `lang_definitions` VALUES (34134, 6827, 7, 'מדפיס כעת $stmt_count דוחות ומעדכן חשבוניות.');
INSERT INTO `lang_definitions` VALUES (34135, 6828, 7, 'מדפיס כעת $stmt_count דוחות; לא יעודכנו מפגשים.');
INSERT INTO `lang_definitions` VALUES (34136, 6829, 7, 'מדפיס כעת $stmt_count דוחות; לא יעודכנו חשבוניות.');
INSERT INTO `lang_definitions` VALUES (34137, 6834, 7, 'NPI');
INSERT INTO `lang_definitions` VALUES (34138, 6836, 7, 'NQF');
INSERT INTO `lang_definitions` VALUES (34139, 6837, 7, 'מספר');
INSERT INTO `lang_definitions` VALUES (34140, 6838, 7, 'מספר - מעבדות');
INSERT INTO `lang_definitions` VALUES (34141, 6841, 7, 'מספר פגישות להצגה בפורטל מטופלים באתר');
INSERT INTO `lang_definitions` VALUES (34142, 6842, 7, 'מספר פגישות להצגה בסיכומי מטופלים');
INSERT INTO `lang_definitions` VALUES (34143, 6843, 7, 'מספר עמודות בתצוגה שנתית.');
INSERT INTO `lang_definitions` VALUES (34144, 6844, 7, 'מספר ימים לפני הצגת הודעת חשבון חמישית');
INSERT INTO `lang_definitions` VALUES (34145, 6845, 7, 'מספר ימים לפני הצגת הודעת חשבון ראשונה');
INSERT INTO `lang_definitions` VALUES (34146, 6846, 7, 'מספר ימים לפני הצגת הודעת חשבון ראשונה.');
INSERT INTO `lang_definitions` VALUES (34147, 6847, 7, 'מספר ימים לפני הצגת הודעת חשבון רביעית');
INSERT INTO `lang_definitions` VALUES (34148, 6848, 7, 'מספר ימים לפני הצגת הודעת חשבון שנייה');
INSERT INTO `lang_definitions` VALUES (34149, 6849, 7, 'מספר ימים לפני הצגת הודעת חשבון שלישית');
INSERT INTO `lang_definitions` VALUES (34150, 6850, 7, 'מספר ימים של תוקף אישור הלקוח.');
INSERT INTO `lang_definitions` VALUES (34151, 6851, 7, 'מספר ימים לחיפוש מתאריך ההתחלה');
INSERT INTO `lang_definitions` VALUES (34152, 6852, 7, 'מספר הספרות אחרי הנקודה העשרונית עבור מטבע, בדרך כלל 0 או 2.');
INSERT INTO `lang_definitions` VALUES (34153, 6853, 7, 'מספר מפגשים להצגה בדף.');
INSERT INTO `lang_definitions` VALUES (34154, 6855, 7, 'מספר המשחקים או האירועים שהוחמצו, אם ישנם');
INSERT INTO `lang_definitions` VALUES (34155, 6856, 7, 'מספר השעות מראש לשליחת הודעות בדואר אלקטרוני.');
INSERT INTO `lang_definitions` VALUES (34156, 6857, 7, 'מספר השעות מראש לשליחת הודעה בטלפון.');
INSERT INTO `lang_definitions` VALUES (34157, 6858, 7, 'מספר השעות מראש לשליחת הודעות ב-SMS.');
INSERT INTO `lang_definitions` VALUES (34158, 6860, 7, 'מספר הדקות להצגת צ\'ק אאוט~תשלום שהושלם');
INSERT INTO `lang_definitions` VALUES (34159, 6861, 7, 'מספר הדקות להצגת צ\'ק אאוט~תשלום שהושלם. אפס פירושו תצוגה רצופה');
INSERT INTO `lang_definitions` VALUES (34160, 6862, 7, 'מספר עמודות היסטוריה מהעבר');
INSERT INTO `lang_definitions` VALUES (34161, 6863, 7, 'מספר מטופלים להצגה בדף ברשימת המטופלים.');
INSERT INTO `lang_definitions` VALUES (34162, 6864, 7, 'חוסר תחושה');
INSERT INTO `lang_definitions` VALUES (34163, 6865, 7, 'נומרטור');
INSERT INTO `lang_definitions` VALUES (34164, 6866, 7, 'סדר הצגה נומרי');
INSERT INTO `lang_definitions` VALUES (34165, 6867, 7, 'נואוסו');
INSERT INTO `lang_definitions` VALUES (34166, 6869, 7, 'תזונה');
INSERT INTO `lang_definitions` VALUES (34167, 6870, 7, 'תזונתי');
INSERT INTO `lang_definitions` VALUES (34168, 6871, 7, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (34169, 6872, 7, 'O2 Sat');
INSERT INTO `lang_definitions` VALUES (34170, 6874, 7, 'השמנת יתר I');
INSERT INTO `lang_definitions` VALUES (34171, 6875, 7, 'השמנת יתר II');
INSERT INTO `lang_definitions` VALUES (34172, 6876, 7, 'השמנת יתר III');
INSERT INTO `lang_definitions` VALUES (34173, 6877, 7, 'יעד');
INSERT INTO `lang_definitions` VALUES (34174, 6882, 7, 'טופס תצפית');
INSERT INTO `lang_definitions` VALUES (34175, 6885, 7, 'אוקיטן');
INSERT INTO `lang_definitions` VALUES (34176, 6886, 7, 'משלח יד');
INSERT INTO `lang_definitions` VALUES (34177, 6887, 7, 'רופא עיסוק');
INSERT INTO `lang_definitions` VALUES (34178, 6889, 7, 'תדירות');
INSERT INTO `lang_definitions` VALUES (34179, 6890, 7, 'אוק');
INSERT INTO `lang_definitions` VALUES (34180, 6891, 7, 'אוקטובר');
INSERT INTO `lang_definitions` VALUES (34181, 6892, 7, 'OD');
INSERT INTO `lang_definitions` VALUES (34182, 6895, 7, 'מתוך');
INSERT INTO `lang_definitions` VALUES (34183, 6896, 7, 'מתוך כמות של');
INSERT INTO `lang_definitions` VALUES (34184, 6897, 7, 'של מחשבי לוח');
INSERT INTO `lang_definitions` VALUES (34185, 6898, 7, 'בחודש כל');
INSERT INTO `lang_definitions` VALUES (34186, 6899, 7, 'הודעות כלליות');
INSERT INTO `lang_definitions` VALUES (34187, 6900, 7, 'מבוטל');
INSERT INTO `lang_definitions` VALUES (34188, 6907, 7, 'הערות משרד');
INSERT INTO `lang_definitions` VALUES (34189, 6908, 7, 'ביקור במשרד');
INSERT INTO `lang_definitions` VALUES (34190, 6909, 7, 'קבוצות המדידה הרשמית של מדידות האיכות הקליניות (CQM)');
INSERT INTO `lang_definitions` VALUES (34191, 6910, 7, 'קישור HTTPS מחוץ לאתר עבור פורטל המטופלים.');
INSERT INTO `lang_definitions` VALUES (34192, 6911, 7, 'קישור HTTPS מחוץ לאתר עבור פורטל המטופלים (קישור מטופל)');
INSERT INTO `lang_definitions` VALUES (34193, 6912, 7, 'סיסמת פורטל מטופלים מחוץ לאתר');
INSERT INTO `lang_definitions` VALUES (34194, 6913, 7, 'סיסמת פורטל מטופלים מחוץ לאתר (הצב ערך ריק אם לא רשום).');
INSERT INTO `lang_definitions` VALUES (34195, 6914, 7, 'מזהה ספק של פורטל מטופלים מחוץ לאתר');
INSERT INTO `lang_definitions` VALUES (34196, 6915, 7, 'מזהה ספק של פורטל מטופלים מחוץ לאתר (הצב ערך ריק אם לא רשום).');
INSERT INTO `lang_definitions` VALUES (34197, 6916, 7, 'כתובת אתר של פורטל מטופלים מחוץ לאתר');
INSERT INTO `lang_definitions` VALUES (34198, 6917, 7, 'כתובת אתר של פורטל מטופלים מחוץ לאתר (קישור מטופל)');
INSERT INTO `lang_definitions` VALUES (34199, 6918, 7, 'שם משתמש בפורטל מטופלים מחוץ לאתר');
INSERT INTO `lang_definitions` VALUES (34200, 6919, 7, 'שם משתמש בפורטל מטופלים מחוץ לאתר (הצב ערך ריק אם לא רשום).');
INSERT INTO `lang_definitions` VALUES (34201, 6920, 7, 'כשל בשירות אינטרנט של פורטל מחוץ לאתר');
INSERT INTO `lang_definitions` VALUES (34202, 6921, 7, 'צאצא');
INSERT INTO `lang_definitions` VALUES (34203, 6922, 7, 'היסטוריית צאצא');
INSERT INTO `lang_definitions` VALUES (34204, 6925, 7, 'משחה');
INSERT INTO `lang_definitions` VALUES (34205, 6926, 7, 'אוג\'יבווה');
INSERT INTO `lang_definitions` VALUES (34206, 6927, 7, 'אישור');
INSERT INTO `lang_definitions` VALUES (34207, 6929, 7, 'האם לסגור חלון מוקפץ אחר זה?');
INSERT INTO `lang_definitions` VALUES (34208, 6930, 7, 'אישור לקישור בעיית~הנפקת GCAC בתאריך');
INSERT INTO `lang_definitions` VALUES (34209, 6931, 7, 'ישן~זקן');
INSERT INTO `lang_definitions` VALUES (34210, 6932, 7, 'הכנסייה הסלבונית העתיקה');
INSERT INTO `lang_definitions` VALUES (34211, 6933, 7, 'לקוחות ישנים~זקנים');
INSERT INTO `lang_definitions` VALUES (34212, 6934, 7, 'Old fracture non/malunion');
INSERT INTO `lang_definitions` VALUES (34213, 6935, 7, 'פריסה בסגנון הישן ללא תפריט בצד');
INSERT INTO `lang_definitions` VALUES (34214, 6936, 7, 'טופס סטטי בסגנון הישן ללא חיפוש או בדיקת כפילויות');
INSERT INTO `lang_definitions` VALUES (34215, 6937, 7, 'ישן יותר');
INSERT INTO `lang_definitions` VALUES (34216, 6940, 7, 'השמט');
INSERT INTO `lang_definitions` VALUES (34217, 6941, 7, 'השמט היקפים');
INSERT INTO `lang_definitions` VALUES (34218, 6942, 7, 'השמט פרטי מעסיק בדמוגרפיית מטופל');
INSERT INTO `lang_definitions` VALUES (34219, 6943, 7, 'השמט מעסיקים');
INSERT INTO `lang_definitions` VALUES (34220, 6944, 7, 'השמט טופס, מסלול ומרווח זמן לכלילה כחלק מהמינון');
INSERT INTO `lang_definitions` VALUES (34221, 6945, 7, 'השמט ביטוח וכמה פריטים נוספים מטופס הדמוגרפיה');
INSERT INTO `lang_definitions` VALUES (34222, 6946, 7, 'האם להשמיט משתמשים פנימיים?');
INSERT INTO `lang_definitions` VALUES (34223, 6947, 7, 'השמת שיטת תשלום מלוח השתתפות עצמית');
INSERT INTO `lang_definitions` VALUES (34224, 6948, 7, 'השמת להקצאה אוטומטית');
INSERT INTO `lang_definitions` VALUES (34225, 6949, 7, 'מופעל');
INSERT INTO `lang_definitions` VALUES (34226, 6950, 7, 'ב:');
INSERT INTO `lang_definitions` VALUES (34227, 6956, 7, 'זמין');
INSERT INTO `lang_definitions` VALUES (34228, 6959, 7, 'בהזמנה');
INSERT INTO `lang_definitions` VALUES (34229, 6960, 7, 'באתר');
INSERT INTO `lang_definitions` VALUES (34230, 6963, 7, 'בתאריך זה קיים חג , האם להשתמש בכל זאת?');
INSERT INTO `lang_definitions` VALUES (34231, 6975, 7, 'לאחר הגדרת המתקן העסקי הראשי, אין לשנות זאת. החלפת המתקן תשפיע על פעילות החתימה האלקטרונית ב-NewCrop.');
INSERT INTO `lang_definitions` VALUES (34232, 6979, 7, 'לאחר שינוי הסיסמה, עליך להיכנס מחדש למערכת.');
INSERT INTO `lang_definitions` VALUES (34233, 6981, 7, 'אונקולוגיה: רפואי וקרינה - כימות עוצמת כאב (CQM)');
INSERT INTO `lang_definitions` VALUES (34234, 6982, 7, 'לפני יום אחד');
INSERT INTO `lang_definitions` VALUES (34235, 6985, 7, 'לפני חודש אחד');
INSERT INTO `lang_definitions` VALUES (34236, 6992, 7, 'לפני שנה אחת');
INSERT INTO `lang_definitions` VALUES (34237, 6996, 7, 'תמיכה מקוונת');
INSERT INTO `lang_definitions` VALUES (34238, 6997, 7, 'קישור לתמיכה מקוונת');
INSERT INTO `lang_definitions` VALUES (34239, 6999, 7, 'פעיל בלבד');
INSERT INTO `lang_definitions` VALUES (34240, 7000, 7, 'רלוונטי רק אם ספק או רשימת איסוף נבחרו למעלה. ראשי - בוחר אך ורק מטופלים כאשר הספק הוא הספק הראשי. מפגש - בוחר בכל המטופלים שהספק ראה.');
INSERT INTO `lang_definitions` VALUES (34241, 7002, 7, 'להשוואות בלבד');
INSERT INTO `lang_definitions` VALUES (34242, 7004, 7, 'רק אם מיקום חיוב');
INSERT INTO `lang_definitions` VALUES (34243, 7006, 7, 'לא פעיל בלבד');
INSERT INTO `lang_definitions` VALUES (34244, 7007, 7, 'שלי בלבד');
INSERT INTO `lang_definitions` VALUES (34245, 7011, 7, 'הצג קודי דיווח אבחון בלבד');
INSERT INTO `lang_definitions` VALUES (34246, 7012, 7, 'הצג קודי דיווח פיננסיים של קוד שירות בלבד');
INSERT INTO `lang_definitions` VALUES (34247, 7013, 7, 'העלה מרשמים פעילים בלבד');
INSERT INTO `lang_definitions` VALUES (34248, 7014, 7, 'העלה מרשמים פעילים בלבד ל-NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (34249, 7016, 7, 'תחילת תסמינים או מחלה נוכחיים');
INSERT INTO `lang_definitions` VALUES (34250, 7017, 7, 'תחילת מחלה:');
INSERT INTO `lang_definitions` VALUES (34251, 7018, 7, 'תחילת מחלה:');
INSERT INTO `lang_definitions` VALUES (34252, 7019, 7, 'תחילת התנפחות:');
INSERT INTO `lang_definitions` VALUES (34253, 7022, 7, 'תאריך תחילת טיפול:');
INSERT INTO `lang_definitions` VALUES (34254, 7026, 7, 'כתובת אתר של פורטל מטופלים באתר');
INSERT INTO `lang_definitions` VALUES (34255, 7030, 7, 'אופס!');
INSERT INTO `lang_definitions` VALUES (34256, 7031, 7, 'פתח');
INSERT INTO `lang_definitions` VALUES (34257, 7036, 7, 'פתח דמוגרפיה בחלון חדש מלוח הזרימה של המטופלים');
INSERT INTO `lang_definitions` VALUES (34258, 7040, 7, 'פתח בחלון חדש');
INSERT INTO `lang_definitions` VALUES (34259, 7042, 7, 'פתח מטופל');
INSERT INTO `lang_definitions` VALUES (34260, 7043, 7, 'פתח מטופל בחלון חדש');
INSERT INTO `lang_definitions` VALUES (34261, 7046, 7, 'פתח את הביקור של היום');
INSERT INTO `lang_definitions` VALUES (34262, 7071, 7, 'רשות אישורים כבר מוגדרת בתצורת OpenEMR.');
INSERT INTO `lang_definitions` VALUES (34263, 7074, 7, 'קטגוריית יישום OpenEMR');
INSERT INTO `lang_definitions` VALUES (34264, 7076, 7, 'שדרוג מסד נתונים של OpenEMR');
INSERT INTO `lang_definitions` VALUES (34265, 7077, 7, 'שדרוג מסד נתונים של OpenEMR עבור ביטול זיהוי');
INSERT INTO `lang_definitions` VALUES (34266, 7078, 7, 'OpenEMR לא מזהה את הקובץ הנכנס בספריית contrib. בדרך כלל, זאת משום שעליך לקבוע את תצורת המהדורה בטבלה supported_external_dataloads במסד הנתונים של MySQL.');
INSERT INTO `lang_definitions` VALUES (34267, 7080, 7, 'יש לקבוע את תצורת OpenEMR לשימוש באישורים לפני שתוכל ליצור אישורי לקוח.');
INSERT INTO `lang_definitions` VALUES (34268, 7084, 7, 'ל-OpenEMR נדרש Javascript לביצוע אימות משתמשים.');
INSERT INTO `lang_definitions` VALUES (34269, 7085, 7, 'משתמשים ב-OpenEMR');
INSERT INTO `lang_definitions` VALUES (34270, 7086, 7, 'זמינויות');
INSERT INTO `lang_definitions` VALUES (34271, 7091, 7, 'מפעיל~אופרטור');
INSERT INTO `lang_definitions` VALUES (34272, 7092, 7, 'אופתלמי');
INSERT INTO `lang_definitions` VALUES (34273, 7095, 7, 'אפשרות');
INSERT INTO `lang_definitions` VALUES (34274, 7097, 7, 'אפשרות לשמירת שיטה של אחסון מסמכים.');
INSERT INTO `lang_definitions` VALUES (34275, 7098, 7, 'אפשרות לתמיכה במלאי ומכירה של מוצרים');
INSERT INTO `lang_definitions` VALUES (34276, 7099, 7, 'אופציונלי');
INSERT INTO `lang_definitions` VALUES (34277, 7100, 7, 'שם קטגוריה אופציונלי עבור תמונת תעודה מזהה, אשר ניתן להציג מדף סיכום המטופל.');
INSERT INTO `lang_definitions` VALUES (34278, 7101, 7, 'שם קטגוריה אופציונלי עבור תמונות אשר ניתן להציג מדף סיכום המטופל.');
INSERT INTO `lang_definitions` VALUES (34279, 7102, 7, 'שם קטגוריה אופציונלי עבור מסמך לקישור מדף סיכום המטופל. מאפשר לך ללחוץ על שם מטופל כדי לראות את התעודה המזהה שלו.');
INSERT INTO `lang_definitions` VALUES (34280, 7103, 7, 'טווח ברירת מחדל אופציונלי להזנה ידנית של תוצאות');
INSERT INTO `lang_definitions` VALUES (34281, 7104, 7, 'יחידות ברירת מחדל אופציונליות להזנה ידנית של תוצאות');
INSERT INTO `lang_definitions` VALUES (34282, 7105, 7, 'שם יעד אופציונלי');
INSERT INTO `lang_definitions` VALUES (34283, 7107, 7, 'שם תרופה אופציונלי, השתמש ב-% בתור תו כללי');
INSERT INTO `lang_definitions` VALUES (34284, 7110, 7, 'שם או קוד חיסון אופציונלי, השתמש ב-% בתור תו כללי');
INSERT INTO `lang_definitions` VALUES (34285, 7111, 7, 'מידע אופציונלי על אירוע זה');
INSERT INTO `lang_definitions` VALUES (34286, 7112, 7, 'מספר מנה אופציונלי, השתמש ב-% בתור תו כללי');
INSERT INTO `lang_definitions` VALUES (34287, 7113, 7, 'מזהה מטופל ספרתי אופציונלי');
INSERT INTO `lang_definitions` VALUES (34288, 7114, 7, 'קוד הליך אופציונלי');
INSERT INTO `lang_definitions` VALUES (34289, 7115, 7, 'קוד הליך/שירות אופציונלי');
INSERT INTO `lang_definitions` VALUES (34290, 7116, 7, 'אפשרויות');
INSERT INTO `lang_definitions` VALUES (34291, 7117, 7, 'לחלופין');
INSERT INTO `lang_definitions` VALUES (34292, 7118, 7, 'לחלופין');
INSERT INTO `lang_definitions` VALUES (34293, 7119, 7, 'או בחר');
INSERT INTO `lang_definitions` VALUES (34294, 7120, 7, 'או לחץ וגרור לבחירה מהירה יותר.');
INSERT INTO `lang_definitions` VALUES (34295, 7121, 7, 'או צור מזהה שדה חדש');
INSERT INTO `lang_definitions` VALUES (34296, 7122, 7, 'או החוצה ל:');
INSERT INTO `lang_definitions` VALUES (34297, 7123, 7, 'או בחר מהמלאי');
INSERT INTO `lang_definitions` VALUES (34298, 7124, 7, 'או לחיצה+Shift כדי להקטינו');
INSERT INTO `lang_definitions` VALUES (34299, 7125, 7, 'או העלה קובץ ERA:');
INSERT INTO `lang_definitions` VALUES (34300, 7127, 7, 'אוראלי');
INSERT INTO `lang_definitions` VALUES (34301, 7128, 7, 'ורוד ברירית אוראלית, גרון נקי');
INSERT INTO `lang_definitions` VALUES (34302, 7129, 7, 'הזמנה~סדר');
INSERT INTO `lang_definitions` VALUES (34303, 7131, 7, 'סוגי הזמנות ותוצאות');
INSERT INTO `lang_definitions` VALUES (34304, 7132, 7, 'קטלוג הזמנה~הזמן קטלוג');
INSERT INTO `lang_definitions` VALUES (34305, 7133, 7, 'תאריך הזמנה');
INSERT INTO `lang_definitions` VALUES (34306, 7134, 7, 'הזמן מרשמים');
INSERT INTO `lang_definitions` VALUES (34307, 7136, 7, 'הזמן מ:');
INSERT INTO `lang_definitions` VALUES (34308, 7137, 7, 'מזהה הזמנה');
INSERT INTO `lang_definitions` VALUES (34309, 7138, 7, 'ההזמנה חייבת לקבל מספר בין 1 ל-999');
INSERT INTO `lang_definitions` VALUES (34310, 7140, 7, 'שם הזמנה');
INSERT INTO `lang_definitions` VALUES (34311, 7142, 7, 'עדיפויות הזמנה');
INSERT INTO `lang_definitions` VALUES (34312, 7143, 7, 'מעבד הזמנות');
INSERT INTO `lang_definitions` VALUES (34313, 7145, 7, 'תוצאות הזמנה');
INSERT INTO `lang_definitions` VALUES (34314, 7146, 7, 'מצב הזמנה');
INSERT INTO `lang_definitions` VALUES (34315, 7147, 7, 'מצבי הזמנה');
INSERT INTO `lang_definitions` VALUES (34316, 7148, 7, 'סיכום הזמנה');
INSERT INTO `lang_definitions` VALUES (34317, 7149, 7, 'מעקב הזמנה');
INSERT INTO `lang_definitions` VALUES (34318, 7150, 7, 'סוג הזמנה');
INSERT INTO `lang_definitions` VALUES (34319, 7151, 7, 'סוגי הזמנה');
INSERT INTO `lang_definitions` VALUES (34320, 7152, 7, 'סוג הזמנה/תוצאה');
INSERT INTO `lang_definitions` VALUES (34321, 7153, 7, 'הוזמן');
INSERT INTO `lang_definitions` VALUES (34322, 7154, 7, 'הוזמן על-ידי');
INSERT INTO `lang_definitions` VALUES (34323, 7155, 7, 'הליך הוזמן');
INSERT INTO `lang_definitions` VALUES (34324, 7159, 7, 'ספק הזמנה');
INSERT INTO `lang_definitions` VALUES (34325, 7163, 7, 'נתיב הזמנות');
INSERT INTO `lang_definitions` VALUES (34326, 7166, 7, 'פציעה באיברים פנימיים');
INSERT INTO `lang_definitions` VALUES (34327, 7167, 7, 'ארגון');
INSERT INTO `lang_definitions` VALUES (34328, 7168, 7, 'שם ארגון');
INSERT INTO `lang_definitions` VALUES (34329, 7169, 7, 'שם יחידה ארגונית');
INSERT INTO `lang_definitions` VALUES (34330, 7170, 7, 'ארגונים');
INSERT INTO `lang_definitions` VALUES (34331, 7171, 7, 'אוריינטציה x 3');
INSERT INTO `lang_definitions` VALUES (34332, 7175, 7, 'מקורי');
INSERT INTO `lang_definitions` VALUES (34333, 7176, 7, 'בדיקת סיכום מקורית');
INSERT INTO `lang_definitions` VALUES (34334, 7179, 7, 'אורייה');
INSERT INTO `lang_definitions` VALUES (34335, 7180, 7, 'אורומו');
INSERT INTO `lang_definitions` VALUES (34336, 7181, 7, 'לוע פומי:');
INSERT INTO `lang_definitions` VALUES (34337, 7184, 7, 'נשמת השכיבה');
INSERT INTO `lang_definitions` VALUES (34338, 7188, 7, 'OS');
INSERT INTO `lang_definitions` VALUES (34339, 7189, 7, 'דלקת מפרקים ניוונית');
INSERT INTO `lang_definitions` VALUES (34340, 7190, 7, 'אוסטית');
INSERT INTO `lang_definitions` VALUES (34341, 7191, 7, 'אוסטיאופתיה');
INSERT INTO `lang_definitions` VALUES (34342, 7193, 7, 'אחר');
INSERT INTO `lang_definitions` VALUES (34343, 7194, 7, 'אחר');
INSERT INTO `lang_definitions` VALUES (34344, 7196, 7, 'אחר (נא לציין)');
INSERT INTO `lang_definitions` VALUES (34345, 7198, 7, 'אחר - מצוין');
INSERT INTO `lang_definitions` VALUES (34346, 7201, 7, 'תוכנית פדרלית אחרת');
INSERT INTO `lang_definitions` VALUES (34347, 7202, 7, 'HCFA אחר');
INSERT INTO `lang_definitions` VALUES (34348, 7203, 7, 'פציעה אחרת שלא צוינה במקום אחר');
INSERT INTO `lang_definitions` VALUES (34349, 7204, 7, 'ביטוח אחריות אחר הוא הראשי');
INSERT INTO `lang_definitions` VALUES (34350, 7206, 7, 'חודש אחר');
INSERT INTO `lang_definitions` VALUES (34351, 7207, 7, 'תוכניות לא-פדרליות');
INSERT INTO `lang_definitions` VALUES (34352, 7208, 7, 'הערות אחרות');
INSERT INTO `lang_definitions` VALUES (34353, 7209, 7, 'תסמינים רלוונטיים אחרים');
INSERT INTO `lang_definitions` VALUES (34354, 7210, 7, 'תסמינים רלוונטיים אחרים:');
INSERT INTO `lang_definitions` VALUES (34355, 7213, 7, 'תגובת תשלום~ניקוד~דירוג אחרת');
INSERT INTO `lang_definitions` VALUES (34356, 7215, 7, 'פציעת לחץ/שימוש יתר אחרת');
INSERT INTO `lang_definitions` VALUES (34357, 7216, 7, 'כירורגי אחר');
INSERT INTO `lang_definitions` VALUES (34358, 7217, 7, 'אחר/גנרי קשור להפלה');
INSERT INTO `lang_definitions` VALUES (34359, 7218, 7, 'אחר/שונות');
INSERT INTO `lang_definitions` VALUES (34360, 7219, 7, 'אחרים');
INSERT INTO `lang_definitions` VALUES (34361, 7221, 7, 'אחרת, תשמיד את ההפניות מהנתונים הקיימים ואליהם.');
INSERT INTO `lang_definitions` VALUES (34362, 7224, 7, 'Ottawa Ankle Rules');
INSERT INTO `lang_definitions` VALUES (34363, 7225, 7, 'OU');
INSERT INTO `lang_definitions` VALUES (34364, 7227, 7, 'OUT');
INSERT INTO `lang_definitions` VALUES (34365, 7228, 7, 'לא במשרד');
INSERT INTO `lang_definitions` VALUES (34366, 7230, 7, 'הפניה יוצאת');
INSERT INTO `lang_definitions` VALUES (34367, 7231, 7, 'תוצאה');
INSERT INTO `lang_definitions` VALUES (34368, 7234, 7, 'Outlook');
INSERT INTO `lang_definitions` VALUES (34369, 7236, 7, 'סוג פלט');
INSERT INTO `lang_definitions` VALUES (34370, 7239, 7, 'מצב שחרור~הפרשה כללי');
INSERT INTO `lang_definitions` VALUES (34371, 7240, 7, 'תאריך היעד חלף');
INSERT INTO `lang_definitions` VALUES (34372, 7244, 7, 'שימוש יתר');
INSERT INTO `lang_definitions` VALUES (34373, 7245, 7, 'מבט כולל');
INSERT INTO `lang_definitions` VALUES (34374, 7246, 7, 'משקל יתר');
INSERT INTO `lang_definitions` VALUES (34375, 7247, 7, 'החלף אפשרות HIPAA');
INSERT INTO `lang_definitions` VALUES (34376, 7248, 7, 'בעלים');
INSERT INTO `lang_definitions` VALUES (34377, 7249, 7, 'רוויית חמצן');
INSERT INTO `lang_definitions` VALUES (34378, 7250, 7, 'אונקיות');
INSERT INTO `lang_definitions` VALUES (34379, 7251, 7, 'P');
INSERT INTO `lang_definitions` VALUES (34380, 7252, 7, 'p.c.');
INSERT INTO `lang_definitions` VALUES (34381, 7253, 7, 'p.m.');
INSERT INTO `lang_definitions` VALUES (34382, 7254, 7, 'p.r.n.');
INSERT INTO `lang_definitions` VALUES (34383, 7258, 7, 'יליד אי של האוקיאנוס השקט');
INSERT INTO `lang_definitions` VALUES (34384, 7259, 7, 'פדיאטרי');
INSERT INTO `lang_definitions` VALUES (34385, 7260, 7, 'דף');
INSERT INTO `lang_definitions` VALUES (34386, 7263, 7, 'דפים');
INSERT INTO `lang_definitions` VALUES (34387, 7264, 7, 'שולם');
INSERT INTO `lang_definitions` VALUES (34388, 7265, 7, 'סכום משולם שאתה תקצה');
INSERT INTO `lang_definitions` VALUES (34389, 7266, 7, 'סכום ששולם');
INSERT INTO `lang_definitions` VALUES (34390, 7267, 7, 'שולם דרך');
INSERT INTO `lang_definitions` VALUES (34391, 7268, 7, 'כאב');
INSERT INTO `lang_definitions` VALUES (34392, 7270, 7, 'רופא טיפול משכך');
INSERT INTO `lang_definitions` VALUES (34393, 7271, 7, 'פלפיטציה');
INSERT INTO `lang_definitions` VALUES (34394, 7274, 7, 'פנג\'אבי');
INSERT INTO `lang_definitions` VALUES (34395, 7275, 7, 'משטח צוואר הרחם');
INSERT INTO `lang_definitions` VALUES (34396, 7276, 7, 'נייר~מסמך');
INSERT INTO `lang_definitions` VALUES (34397, 7277, 7, 'גודל נייר');
INSERT INTO `lang_definitions` VALUES (34398, 7278, 7, 'שיתוק');
INSERT INTO `lang_definitions` VALUES (34399, 7279, 7, 'הורה');
INSERT INTO `lang_definitions` VALUES (34400, 7280, 7, 'חותן');
INSERT INTO `lang_definitions` VALUES (34401, 7284, 7, 'ניתוח HL7');
INSERT INTO `lang_definitions` VALUES (34402, 7285, 7, 'ניתן חלקית');
INSERT INTO `lang_definitions` VALUES (34403, 7289, 7, 'שותף');
INSERT INTO `lang_definitions` VALUES (34404, 7290, 7, 'שם שותף');
INSERT INTO `lang_definitions` VALUES (34405, 7291, 7, 'שם שותף שהונפק עבור שירות NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (34406, 7293, 7, 'פשטו');
INSERT INTO `lang_definitions` VALUES (34407, 7294, 7, 'ביטוי סיסמה');
INSERT INTO `lang_definitions` VALUES (34408, 7295, 7, 'ביטוי סיסמה להצפנת מסמך');
INSERT INTO `lang_definitions` VALUES (34409, 7296, 7, 'מטופלים שעברו~שנפטרו');
INSERT INTO `lang_definitions` VALUES (34410, 7297, 7, 'התראה פסיבית');
INSERT INTO `lang_definitions` VALUES (34411, 7299, 7, 'כללי התראה פסיבית');
INSERT INTO `lang_definitions` VALUES (34412, 7301, 7, 'סיסמה');
INSERT INTO `lang_definitions` VALUES (34413, 7302, 7, 'שינוי שונתה');
INSERT INTO `lang_definitions` VALUES (34414, 7303, 7, 'שינוי הסיסמה בוצע בהצלחה');
INSERT INTO `lang_definitions` VALUES (34415, 7304, 7, 'שינוי הסיסמה בוצע בהצלחה.');
INSERT INTO `lang_definitions` VALUES (34416, 7306, 7, 'הסיסמה לא עומדת בדרישות המינימום, ועליה להכיל לפחות שלושה מארבעת הפריטים הבאים: ספרה, אות קטנה, אות גדולה, תו מיוחד (לא אות ולא ספרה).');
INSERT INTO `lang_definitions` VALUES (34417, 7308, 7, 'תקופת חסד של תפוגת סיסמה');
INSERT INTO `lang_definitions` VALUES (34418, 7309, 7, 'סיסמה עבור שער טלפון.');
INSERT INTO `lang_definitions` VALUES (34419, 7310, 7, 'סיסמה עבור שער טלפון. שירות VOIP אוטומטי מסופק על-ידי Maviq. עבור אל http://signup.maviq.com למידע נוסף.');
INSERT INTO `lang_definitions` VALUES (34420, 7311, 7, 'סיסמה עבור שער SMS');
INSERT INTO `lang_definitions` VALUES (34421, 7312, 7, 'סיסמה עבור שער SMS.');
INSERT INTO `lang_definitions` VALUES (34422, 7313, 7, 'סיסמה עבור המשתמש לעיל');
INSERT INTO `lang_definitions` VALUES (34423, 7314, 7, 'אבטחת הסיסמה שודרגה לאחרונה.');
INSERT INTO `lang_definitions` VALUES (34424, 7315, 7, 'סיסמה להתחברות ל-CouchDB');
INSERT INTO `lang_definitions` VALUES (34425, 7316, 7, 'הסיסמה קצרה מדי. יש לכלול 8 תווים לכל הפחות.');
INSERT INTO `lang_definitions` VALUES (34426, 7319, 7, 'סיסמה:');
INSERT INTO `lang_definitions` VALUES (34427, 7322, 7, 'הסיסמאות לא תואמות!');
INSERT INTO `lang_definitions` VALUES (34428, 7324, 7, 'פגישות קודמות');
INSERT INTO `lang_definitions` VALUES (34429, 7325, 7, 'רכיב גרפי להצגת פגישות קודמות');
INSERT INTO `lang_definitions` VALUES (34430, 7329, 7, 'תאריך היעד חלף');
INSERT INTO `lang_definitions` VALUES (34431, 7330, 7, 'תאריך היעד חלף');
INSERT INTO `lang_definitions` VALUES (34432, 7331, 7, 'מרווח זמן לתאריך יעד שחלף (תזכורות קליניות)');
INSERT INTO `lang_definitions` VALUES (34433, 7332, 7, 'מרווח זמן לתאריך יעד שחלף (תזכורות מטופל)');
INSERT INTO `lang_definitions` VALUES (34434, 7333, 7, 'רשימת מפגשים קודמים');
INSERT INTO `lang_definitions` VALUES (34435, 7334, 7, 'ביקורים קודמים');
INSERT INTO `lang_definitions` VALUES (34436, 7335, 7, 'ביקורים ומסמכים קודמים');
INSERT INTO `lang_definitions` VALUES (34437, 7336, 7, 'מפגשים קודמים עבור');
INSERT INTO `lang_definitions` VALUES (34438, 7344, 7, 'הדבק נתוני HL7');
INSERT INTO `lang_definitions` VALUES (34439, 7345, 7, 'הדבק את הנתונים כדי לייבא לאזור הטקסט למטה:');
INSERT INTO `lang_definitions` VALUES (34440, 7346, 7, 'מטופל');
INSERT INTO `lang_definitions` VALUES (34441, 7347, 7, 'ספר מטופלים ראשי');
INSERT INTO `lang_definitions` VALUES (34442, 7348, 7, 'תיקון');
INSERT INTO `lang_definitions` VALUES (34443, 7350, 7, 'PaternalAunt');
INSERT INTO `lang_definitions` VALUES (34444, 7351, 7, 'PaternalCousin');
INSERT INTO `lang_definitions` VALUES (34445, 7352, 7, 'PaternalGrandparent');
INSERT INTO `lang_definitions` VALUES (34446, 7353, 7, 'PaternalGreatgrandparent');
INSERT INTO `lang_definitions` VALUES (34447, 7354, 7, 'PaternalUncle');
INSERT INTO `lang_definitions` VALUES (34448, 7355, 7, 'נתיב לגיבוי יומני אירועים');
INSERT INTO `lang_definitions` VALUES (34449, 7356, 7, 'נתיב לקובץ אישורי CA');
INSERT INTO `lang_definitions` VALUES (34450, 7357, 7, 'נתיב לקובץ מפתח CA');
INSERT INTO `lang_definitions` VALUES (34451, 7358, 7, 'נתיב ל-MySQL Binaries');
INSERT INTO `lang_definitions` VALUES (34452, 7359, 7, 'נתיב ל-Perl Binaries');
INSERT INTO `lang_definitions` VALUES (34453, 7360, 7, 'נתיב לקבצים זמניים');
INSERT INTO `lang_definitions` VALUES (34454, 7361, 7, 'מטופל');
INSERT INTO `lang_definitions` VALUES (34455, 7362, 7, 'מטופל');
INSERT INTO `lang_definitions` VALUES (34456, 7363, 7, 'מטופל');
INSERT INTO `lang_definitions` VALUES (34457, 7365, 7, 'כתובת מטופל');
INSERT INTO `lang_definitions` VALUES (34458, 7366, 7, 'כתובת מטופל חסרה');
INSERT INTO `lang_definitions` VALUES (34459, 7367, 7, 'התאמת מטופל');
INSERT INTO `lang_definitions` VALUES (34460, 7368, 7, 'התאמת מטופל');
INSERT INTO `lang_definitions` VALUES (34461, 7369, 7, 'רגישויות מטופל');
INSERT INTO `lang_definitions` VALUES (34462, 7370, 7, 'רגישויות מטופל');
INSERT INTO `lang_definitions` VALUES (34463, 7373, 7, 'פגישת מטופל');
INSERT INTO `lang_definitions` VALUES (34464, 7374, 7, 'יתרת מטופל');
INSERT INTO `lang_definitions` VALUES (34465, 7375, 7, 'יתרת חוב מטופל');
INSERT INTO `lang_definitions` VALUES (34466, 7376, 7, 'הערת חיוב מטופל');
INSERT INTO `lang_definitions` VALUES (34467, 7378, 7, 'מאפייני מטופל');
INSERT INTO `lang_definitions` VALUES (34468, 7379, 7, 'מזהה תרשים מטופל');
INSERT INTO `lang_definitions` VALUES (34469, 7381, 7, 'צ\'ק אאוט~תשלום מטופל');
INSERT INTO `lang_definitions` VALUES (34470, 7382, 7, 'צ\'ק אאוט~תשלום מטופל עבור');
INSERT INTO `lang_definitions` VALUES (34471, 7383, 7, 'עיר מטופל');
INSERT INTO `lang_definitions` VALUES (34472, 7384, 7, 'עיר מטופל חסרה');
INSERT INTO `lang_definitions` VALUES (34473, 7386, 7, 'תקשורת מטופל נשלחה');
INSERT INTO `lang_definitions` VALUES (34474, 7387, 7, 'תקשורת מטופל נשלחה');
INSERT INTO `lang_definitions` VALUES (34475, 7388, 7, 'מדינת מטופל');
INSERT INTO `lang_definitions` VALUES (34476, 7389, 7, 'מדינת עיר מטופל חסרה. כמו כן, טרם הגדרת מדינת מטופל בהגדרות הגלובליות');
INSERT INTO `lang_definitions` VALUES (34477, 7390, 7, 'כיסוי מטופל');
INSERT INTO `lang_definitions` VALUES (34478, 7392, 7, 'אשראי~זיכוי מטופל');
INSERT INTO `lang_definitions` VALUES (34479, 7394, 7, 'נתוני מטופל');
INSERT INTO `lang_definitions` VALUES (34480, 7395, 7, 'תאריך לידה של מטופל');
INSERT INTO `lang_definitions` VALUES (34481, 7396, 7, 'תאריך לידה של מטופל חסר');
INSERT INTO `lang_definitions` VALUES (34482, 7401, 7, 'פרטי מטופל');
INSERT INTO `lang_definitions` VALUES (34483, 7402, 7, 'תאריך לידה של מטופל');
INSERT INTO `lang_definitions` VALUES (34484, 7404, 7, 'מסמך מטופל');
INSERT INTO `lang_definitions` VALUES (34485, 7410, 7, 'השכלת מטופל');
INSERT INTO `lang_definitions` VALUES (34486, 7411, 7, 'חומרי לימוד מטופל');
INSERT INTO `lang_definitions` VALUES (34487, 7412, 7, 'מפגש מטופל');
INSERT INTO `lang_definitions` VALUES (34488, 7413, 7, 'טופס מפגש מטופל');
INSERT INTO `lang_definitions` VALUES (34489, 7414, 7, 'מפגשי מטופל');
INSERT INTO `lang_definitions` VALUES (34490, 7415, 7, 'מוצא המטופלים');
INSERT INTO `lang_definitions` VALUES (34491, 7417, 7, 'שם פרטי של מטופל');
INSERT INTO `lang_definitions` VALUES (34492, 7418, 7, 'שם פרטי של מטופל');
INSERT INTO `lang_definitions` VALUES (34493, 7419, 7, 'שם פרטי של מטופל חסר');
INSERT INTO `lang_definitions` VALUES (34494, 7420, 7, 'לוח זרימת מטופל');
INSERT INTO `lang_definitions` VALUES (34495, 7421, 7, 'דוח לוח זרימת מטופל');
INSERT INTO `lang_definitions` VALUES (34496, 7422, 7, 'חדרי לוח זרימת מטופל');
INSERT INTO `lang_definitions` VALUES (34497, 7423, 7, 'מרווח זמן של טיימר בלוח זרימת מטופל');
INSERT INTO `lang_definitions` VALUES (34498, 7424, 7, 'מגדר מטופל');
INSERT INTO `lang_definitions` VALUES (34499, 7425, 7, 'מגדר מטופל חסר');
INSERT INTO `lang_definitions` VALUES (34500, 7426, 7, 'אין הרשאה לפורטל המטופלים עבור המטופל.');
INSERT INTO `lang_definitions` VALUES (34501, 7428, 7, 'היסטוריית מטופל');
INSERT INTO `lang_definitions` VALUES (34502, 7429, 7, 'היסטוריה/אורח חיים של מטופל');
INSERT INTO `lang_definitions` VALUES (34503, 7430, 7, 'טלפון בבית של מטופל');
INSERT INTO `lang_definitions` VALUES (34504, 7431, 7, 'מזהה מטופל');
INSERT INTO `lang_definitions` VALUES (34505, 7432, 7, 'מזהה מטופל');
INSERT INTO `lang_definitions` VALUES (34506, 7433, 7, 'תעודה מזהה של מטופל');
INSERT INTO `lang_definitions` VALUES (34507, 7434, 7, 'שם קטגוריה של מזהה מטופל');
INSERT INTO `lang_definitions` VALUES (34508, 7437, 7, 'חיסון מטופל');
INSERT INTO `lang_definitions` VALUES (34509, 7438, 7, 'פרטי מטופל');
INSERT INTO `lang_definitions` VALUES (34510, 7440, 7, 'הוראות מטופל');
INSERT INTO `lang_definitions` VALUES (34511, 7441, 7, 'הפצה~חלוקה~התפלגות של ביטוח מטופל');
INSERT INTO `lang_definitions` VALUES (34512, 7442, 7, 'דוח הפצה~חלוקה~התפלגות של ביטוח מטופל');
INSERT INTO `lang_definitions` VALUES (34513, 7445, 7, 'בעיות~הנפקות~נושאים של מטופל');
INSERT INTO `lang_definitions` VALUES (34514, 7446, 7, 'סוג תווית מטופל');
INSERT INTO `lang_definitions` VALUES (34515, 7447, 7, 'שם משפחה של מטופל');
INSERT INTO `lang_definitions` VALUES (34516, 7448, 7, 'שם משפחה של מטופל');
INSERT INTO `lang_definitions` VALUES (34517, 7449, 7, 'שם משפחה של מטופל חסר');
INSERT INTO `lang_definitions` VALUES (34518, 7450, 7, 'ספר מטופלים ראשי');
INSERT INTO `lang_definitions` VALUES (34519, 7451, 7, 'ספר מטופלים ראשי לפי תאריך');
INSERT INTO `lang_definitions` VALUES (34520, 7453, 7, 'הערה לחיוב ברמת מטופל (גביות)');
INSERT INTO `lang_definitions` VALUES (34521, 7454, 7, 'רשימת מטופלים');
INSERT INTO `lang_definitions` VALUES (34522, 7455, 7, 'עמודות רשימת מטופלים');
INSERT INTO `lang_definitions` VALUES (34523, 7456, 7, 'יצירת רשימת מטופלים');
INSERT INTO `lang_definitions` VALUES (34524, 7457, 7, 'חלון חדש של רשימת מטופלים');
INSERT INTO `lang_definitions` VALUES (34525, 7458, 7, 'גודל דף של רשימת מטופלים');
INSERT INTO `lang_definitions` VALUES (34526, 7460, 7, 'שגיאות חיפוש מטופל');
INSERT INTO `lang_definitions` VALUES (34527, 7463, 7, 'בעיות רפואיות של מטופל');
INSERT INTO `lang_definitions` VALUES (34528, 7464, 7, 'תרופות מטופל');
INSERT INTO `lang_definitions` VALUES (34529, 7470, 7, 'שם מטופל');
INSERT INTO `lang_definitions` VALUES (34530, 7472, 7, 'שם וכתובת מטופל');
INSERT INTO `lang_definitions` VALUES (34531, 7473, 7, 'שם ומזהה מטופל');
INSERT INTO `lang_definitions` VALUES (34532, 7474, 7, 'שם וחשבונית מטופל');
INSERT INTO `lang_definitions` VALUES (34533, 7475, 7, 'דרוש שם מטופל');
INSERT INTO `lang_definitions` VALUES (34534, 7476, 7, 'שם/מזהה מטופל');
INSERT INTO `lang_definitions` VALUES (34535, 7477, 7, 'הערת מטופל');
INSERT INTO `lang_definitions` VALUES (34536, 7478, 7, 'סוגי הערות מטופל');
INSERT INTO `lang_definitions` VALUES (34537, 7479, 7, 'הערות מטופל');
INSERT INTO `lang_definitions` VALUES (34538, 7480, 7, 'הערות מטופל (כתיבה ,addonly אופציונלי)');
INSERT INTO `lang_definitions` VALUES (34539, 7482, 7, 'מספר מטופל');
INSERT INTO `lang_definitions` VALUES (34540, 7483, 7, 'תשלום מטופל');
INSERT INTO `lang_definitions` VALUES (34541, 7484, 7, 'תשלומי מטופל');
INSERT INTO `lang_definitions` VALUES (34542, 7485, 7, 'שם קטגוריה של תמונת מטופל');
INSERT INTO `lang_definitions` VALUES (34543, 7487, 7, 'פורטל מטופלים');
INSERT INTO `lang_definitions` VALUES (34544, 7490, 7, 'בעיה בקישוריות לפורטל מטופלים');
INSERT INTO `lang_definitions` VALUES (34545, 7492, 7, 'פורטל מטופלים כבוי');
INSERT INTO `lang_definitions` VALUES (34546, 7493, 7, 'כניסה לפורטל מטופלים');
INSERT INTO `lang_definitions` VALUES (34547, 7496, 7, 'כתובת אינטרנט של פורטל מטופלים');
INSERT INTO `lang_definitions` VALUES (34548, 7497, 7, 'דוח מטופל מודפס');
INSERT INTO `lang_definitions` VALUES (34549, 7499, 7, 'דוח תיק מטופל');
INSERT INTO `lang_definitions` VALUES (34550, 7500, 7, 'בקשת תיק מטופל');
INSERT INTO `lang_definitions` VALUES (34551, 7501, 7, 'בקשת תיקי מטופלים');
INSERT INTO `lang_definitions` VALUES (34552, 7502, 7, 'דת מטופל');
INSERT INTO `lang_definitions` VALUES (34553, 7503, 7, 'תזכורת מטופל');
INSERT INTO `lang_definitions` VALUES (34554, 7505, 7, 'משימת אצווה של תזכורת מטופל');
INSERT INTO `lang_definitions` VALUES (34555, 7506, 7, 'עדיפות לעיבוד יצירה של תזכורת מטופל');
INSERT INTO `lang_definitions` VALUES (34556, 7507, 7, 'כללי תזכורת מטופל');
INSERT INTO `lang_definitions` VALUES (34557, 7508, 7, 'דואר אלקטרוני של שולח תזכורת מטופל');
INSERT INTO `lang_definitions` VALUES (34558, 7509, 7, 'שם של שולח תזכורת מטופל');
INSERT INTO `lang_definitions` VALUES (34559, 7510, 7, 'תזכורות מטופל');
INSERT INTO `lang_definitions` VALUES (34560, 7514, 7, 'דוח מטופל');
INSERT INTO `lang_definitions` VALUES (34561, 7518, 7, 'בקשת מטופל');
INSERT INTO `lang_definitions` VALUES (34562, 7519, 7, 'בקשה לתיקים רפואיים של מטופל~המטופל ביקש תיקים רפואיים');
INSERT INTO `lang_definitions` VALUES (34563, 7521, 7, 'תוצאות מטופל');
INSERT INTO `lang_definitions` VALUES (34564, 7525, 7, 'סגנון תוצאות חיפוש מטופלים');
INSERT INTO `lang_definitions` VALUES (34565, 7526, 7, 'מסך חיפוש/הוספת מטופלים');
INSERT INTO `lang_definitions` VALUES (34566, 7528, 7, 'הגדרת מטופל');
INSERT INTO `lang_definitions` VALUES (34567, 7533, 7, 'מחוז מטופל');
INSERT INTO `lang_definitions` VALUES (34568, 7537, 7, 'כתובת מטופל');
INSERT INTO `lang_definitions` VALUES (34569, 7539, 7, 'סיכום מטופל');
INSERT INTO `lang_definitions` VALUES (34570, 7542, 7, 'פניות מטופל');
INSERT INTO `lang_definitions` VALUES (34571, 7546, 7, 'מיקוד מטופל');
INSERT INTO `lang_definitions` VALUES (34572, 7549, 7, 'מטופלים במסד הנתונים התואמים למידע הדמוגרפי שהזנת.');
INSERT INTO `lang_definitions` VALUES (34573, 7550, 7, 'מטופל/לקוח');
INSERT INTO `lang_definitions` VALUES (34574, 7551, 7, 'מטופל:');
INSERT INTO `lang_definitions` VALUES (34575, 7552, 7, 'PatientID');
INSERT INTO `lang_definitions` VALUES (34576, 7553, 7, 'מטופלים');
INSERT INTO `lang_definitions` VALUES (34577, 7555, 7, 'מטופלים עובדו');
INSERT INTO `lang_definitions` VALUES (34578, 7559, 7, 'תשלום');
INSERT INTO `lang_definitions` VALUES (34579, 7560, 7, 'שים לב לתיבות הסימון \"בוצע עם\".  לאחר סימון הביטוחים כפריטים שהושלמו, נתחיל לבקש מהמטופל לשלם את היתרה הנותרת; אם לא תסמן את כל הביטוחים כפריטים שהושלמו, הסכום הנותר לא ייגבה!  כמו כן, אם קיימת יתרה אשר על המטופל לשלם, יש להגדיר את תאריך הפירעון בהתאם, משום שהדבר ישפיע על השפה שתופיע בדוחות המטופל.');
INSERT INTO `lang_definitions` VALUES (34580, 7563, 7, 'תאריך תשלום:');
INSERT INTO `lang_definitions` VALUES (34581, 7566, 7, 'מצב תשלום');
INSERT INTO `lang_definitions` VALUES (34582, 7567, 7, 'שם מקבל תשלום');
INSERT INTO `lang_definitions` VALUES (34583, 7568, 7, 'משלם');
INSERT INTO `lang_definitions` VALUES (34584, 7572, 7, 'סוג משלם');
INSERT INTO `lang_definitions` VALUES (34585, 7573, 7, 'משלם');
INSERT INTO `lang_definitions` VALUES (34586, 7574, 7, 'ישות משלמת');
INSERT INTO `lang_definitions` VALUES (34587, 7575, 7, 'תשלום');
INSERT INTO `lang_definitions` VALUES (34588, 7576, 7, 'תשלום');
INSERT INTO `lang_definitions` VALUES (34589, 7577, 7, 'קוד התאמת תשלום');
INSERT INTO `lang_definitions` VALUES (34590, 7578, 7, 'תשלום כנגד');
INSERT INTO `lang_definitions` VALUES (34591, 7579, 7, 'סכום תשלום');
INSERT INTO `lang_definitions` VALUES (34592, 7580, 7, 'סכום תשלום חייב להיות נומרי');
INSERT INTO `lang_definitions` VALUES (34593, 7581, 7, 'קטגוריית תשלום');
INSERT INTO `lang_definitions` VALUES (34594, 7583, 7, 'תאריך תשלום');
INSERT INTO `lang_definitions` VALUES (34595, 7584, 7, 'תשלום הוזן ב:');
INSERT INTO `lang_definitions` VALUES (34596, 7585, 7, 'תשלום מ:');
INSERT INTO `lang_definitions` VALUES (34597, 7586, 7, 'שערי תשלום');
INSERT INTO `lang_definitions` VALUES (34598, 7588, 7, 'הוספות תשלום~ביטוח תשלום');
INSERT INTO `lang_definitions` VALUES (34599, 7589, 7, 'רשימת תשלום');
INSERT INTO `lang_definitions` VALUES (34600, 7590, 7, 'אמצעי תשלום');
INSERT INTO `lang_definitions` VALUES (34601, 7592, 7, 'מיון תשלום לפי');
INSERT INTO `lang_definitions` VALUES (34602, 7593, 7, 'מצב תשלום');
INSERT INTO `lang_definitions` VALUES (34603, 7597, 7, 'סוג תשלום');
INSERT INTO `lang_definitions` VALUES (34604, 7600, 7, 'ערך תשלום עבור קוד');
INSERT INTO `lang_definitions` VALUES (34605, 7602, 7, 'תשלומים');
INSERT INTO `lang_definitions` VALUES (34606, 7603, 7, 'משלם');
INSERT INTO `lang_definitions` VALUES (34607, 7606, 7, 'PCP');
INSERT INTO `lang_definitions` VALUES (34608, 7607, 7, 'אחוז (%) שורות');
INSERT INTO `lang_definitions` VALUES (34609, 7610, 7, 'PDF');
INSERT INTO `lang_definitions` VALUES (34610, 7614, 7, 'PDF - הורדת דוחות נבחרים');
INSERT INTO `lang_definitions` VALUES (34611, 7615, 7, 'שפת PDF');
INSERT INTO `lang_definitions` VALUES (34612, 7620, 7, 'אגן הירכיים והעכוז');
INSERT INTO `lang_definitions` VALUES (34613, 7621, 7, 'בוענת');
INSERT INTO `lang_definitions` VALUES (34614, 7624, 7, 'בתהליך');
INSERT INTO `lang_definitions` VALUES (34615, 7626, 7, 'ממתין לאישור');
INSERT INTO `lang_definitions` VALUES (34616, 7629, 7, 'בהמתנה F/U');
INSERT INTO `lang_definitions` VALUES (34617, 7630, 7, 'ממתין להמשך טיפול');
INSERT INTO `lang_definitions` VALUES (34618, 7631, 7, 'ממתין להמשך טיפול מתוצאות');
INSERT INTO `lang_definitions` VALUES (34619, 7632, 7, 'הזמנות בהמתנה');
INSERT INTO `lang_definitions` VALUES (34620, 7633, 7, 'בהמתנה ליישוב');
INSERT INTO `lang_definitions` VALUES (34621, 7634, 7, 'סקירה בהמתנה');
INSERT INTO `lang_definitions` VALUES (34622, 7635, 7, 'ספירת Rx בהמתנה');
INSERT INTO `lang_definitions` VALUES (34623, 7637, 7, 'רגישות לפניצילין');
INSERT INTO `lang_definitions` VALUES (34624, 7638, 7, 'Pennington Firm OpenEMR  v');
INSERT INTO `lang_definitions` VALUES (34625, 7639, 7, 'מחלת אולקוס עיכולית');
INSERT INTO `lang_definitions` VALUES (34626, 7640, 7, 'למפגש');
INSERT INTO `lang_definitions` VALUES (34627, 7641, 7, 'לדקה');
INSERT INTO `lang_definitions` VALUES (34628, 7642, 7, 'לנחיר');
INSERT INTO `lang_definitions` VALUES (34629, 7643, 7, 'לנחיר');
INSERT INTO `lang_definitions` VALUES (34630, 7644, 7, 'ל-Oris');
INSERT INTO `lang_definitions` VALUES (34631, 7645, 7, 'ל-oris');
INSERT INTO `lang_definitions` VALUES (34632, 7646, 7, 'לרקטום');
INSERT INTO `lang_definitions` VALUES (34633, 7647, 7, 'לרקטום');
INSERT INTO `lang_definitions` VALUES (34634, 7648, 7, 'אחוז');
INSERT INTO `lang_definitions` VALUES (34635, 7650, 7, 'אחוז מטופלים לבדיקת סמים');
INSERT INTO `lang_definitions` VALUES (34636, 7651, 7, 'אחוז מטופלים לבחירה לבדיקת סמים אקראית.');
INSERT INTO `lang_definitions` VALUES (34637, 7652, 7, 'אחוזון');
INSERT INTO `lang_definitions` VALUES (34638, 7653, 7, 'ניקוב ימין:');
INSERT INTO `lang_definitions` VALUES (34639, 7654, 7, 'בצע חיפוש');
INSERT INTO `lang_definitions` VALUES (34640, 7655, 7, 'בצע פעולה זו');
INSERT INTO `lang_definitions` VALUES (34641, 7656, 7, 'אחוז ביצועים');
INSERT INTO `lang_definitions` VALUES (34642, 7658, 7, 'מבצע');
INSERT INTO `lang_definitions` VALUES (34643, 7659, 7, 'מתקן מעבדה מבצע');
INSERT INTO `lang_definitions` VALUES (34644, 7660, 7, 'ארגון מבצע');
INSERT INTO `lang_definitions` VALUES (34645, 7661, 7, 'פרק זמן');
INSERT INTO `lang_definitions` VALUES (34646, 7662, 7, 'פרק זמן בימים שבמהלכו המשתמש יוכל להיכנס למערכת עם סיסמה שפגה.');
INSERT INTO `lang_definitions` VALUES (34647, 7663, 7, 'טיפול סב-ניתוחי');
INSERT INTO `lang_definitions` VALUES (34648, 7665, 7, 'היקפי');
INSERT INTO `lang_definitions` VALUES (34649, 7668, 7, 'אפשר סיסמאות Unsalted');
INSERT INTO `lang_definitions` VALUES (34650, 7669, 7, 'פרסית');
INSERT INTO `lang_definitions` VALUES (34651, 7670, 7, 'פרסית (פארסי)');
INSERT INTO `lang_definitions` VALUES (34652, 7671, 7, 'אדם');
INSERT INTO `lang_definitions` VALUES (34653, 7672, 7, 'התאמה אישית');
INSERT INTO `lang_definitions` VALUES (34654, 7675, 7, 'PG');
INSERT INTO `lang_definitions` VALUES (34655, 7676, 7, 'Pharm');
INSERT INTO `lang_definitions` VALUES (34656, 7677, 7, 'Pharm Com Count');
INSERT INTO `lang_definitions` VALUES (34657, 7678, 7, 'בתי מרקחת');
INSERT INTO `lang_definitions` VALUES (34658, 7680, 7, 'בית מרקחת');
INSERT INTO `lang_definitions` VALUES (34659, 7681, 7, 'הנפקה בבית מרקחת');
INSERT INTO `lang_definitions` VALUES (34660, 7688, 7, 'Pheumothorax');
INSERT INTO `lang_definitions` VALUES (34661, 7689, 7, 'phiMail אפשר שליחה של CCD');
INSERT INTO `lang_definitions` VALUES (34662, 7690, 7, 'phiMail אפשר שליחה של CCR');
INSERT INTO `lang_definitions` VALUES (34663, 7691, 7, 'מרווח זמן לבדיקת הודעות phiMail (דקות)');
INSERT INTO `lang_definitions` VALUES (34664, 7692, 7, 'משתמש הודעות ב-phiMail');
INSERT INTO `lang_definitions` VALUES (34665, 7693, 7, 'סיסמה ב-phiMail');
INSERT INTO `lang_definitions` VALUES (34666, 7694, 7, 'כתובת שרת phiMail');
INSERT INTO `lang_definitions` VALUES (34667, 7695, 7, 'שם משתמש ב-phiMail');
INSERT INTO `lang_definitions` VALUES (34668, 7696, 7, 'שאלות PHIN');
INSERT INTO `lang_definitions` VALUES (34669, 7697, 7, 'טלפון');
INSERT INTO `lang_definitions` VALUES (34670, 7699, 7, 'רשימת שיחות טלפון');
INSERT INTO `lang_definitions` VALUES (34671, 7701, 7, 'דוח רשימת שיחות טלפון');
INSERT INTO `lang_definitions` VALUES (34672, 7703, 7, 'טלפון סלולרי~התקשר לסלולרי');
INSERT INTO `lang_definitions` VALUES (34673, 7705, 7, 'סיסמת שער טלפון');
INSERT INTO `lang_definitions` VALUES (34674, 7706, 7, 'כתובת URL של שער טלפון');
INSERT INTO `lang_definitions` VALUES (34675, 7707, 7, 'שם משתמש בשער טלפון');
INSERT INTO `lang_definitions` VALUES (34676, 7708, 7, 'התקשר הביתה');
INSERT INTO `lang_definitions` VALUES (34677, 7709, 7, 'שעת הודעת טלפון');
INSERT INTO `lang_definitions` VALUES (34678, 7710, 7, 'מספר טלפון');
INSERT INTO `lang_definitions` VALUES (34679, 7711, 7, 'מספר טלפון');
INSERT INTO `lang_definitions` VALUES (34680, 7715, 7, 'פוטופוביה');
INSERT INTO `lang_definitions` VALUES (34681, 7716, 7, 'תמונות');
INSERT INTO `lang_definitions` VALUES (34682, 7717, 7, 'PHP דחוס');
INSERT INTO `lang_definitions` VALUES (34683, 7718, 7, 'יש לאפשר מודול PHP CURL בשרת שלך.');
INSERT INTO `lang_definitions` VALUES (34684, 7720, 7, 'PHP חולץ');
INSERT INTO `lang_definitions` VALUES (34685, 7721, 7, 'בקרות גישה של php-GACL מבוטלות');
INSERT INTO `lang_definitions` VALUES (34686, 7722, 7, 'PHP-gacl לא מותקן');
INSERT INTO `lang_definitions` VALUES (34687, 7723, 7, 'בדיקה פיזית');
INSERT INTO `lang_definitions` VALUES (34688, 7724, 7, 'רופא');
INSERT INTO `lang_definitions` VALUES (34689, 7725, 7, 'בקשת רופא');
INSERT INTO `lang_definitions` VALUES (34690, 7726, 7, 'חתימת רופא');
INSERT INTO `lang_definitions` VALUES (34691, 7727, 7, 'סוג רופא');
INSERT INTO `lang_definitions` VALUES (34692, 7729, 7, 'רופאים');
INSERT INTO `lang_definitions` VALUES (34693, 7733, 7, 'בחר');
INSERT INTO `lang_definitions` VALUES (34694, 7734, 7, 'בחר');
INSERT INTO `lang_definitions` VALUES (34695, 7735, 7, 'בחר ערכת נושא של CSS.');
INSERT INTO `lang_definitions` VALUES (34696, 7738, 7, 'מספר מטופל');
INSERT INTO `lang_definitions` VALUES (34697, 7740, 7, 'PID (מחלה דלקתית באגן הירכיים)');
INSERT INTO `lang_definitions` VALUES (34698, 7741, 7, 'גודל גלולה');
INSERT INTO `lang_definitions` VALUES (34699, 7742, 7, 'גלולות');
INSERT INTO `lang_definitions` VALUES (34700, 7745, 7, 'הצב את קובץ ה-zip של מסד הנתונים בספרייה הבאה אם אתה מעוניין באפשרות להתקנה~בהתקנת האפשרות');
INSERT INTO `lang_definitions` VALUES (34701, 7746, 7, 'הצב את קובצי ה-zip של מסד נתונים ICD 10 שהורדת בספרייה הבאה');
INSERT INTO `lang_definitions` VALUES (34702, 7747, 7, 'הצב את קובץ ה-zip של מסד נתונים ICD 9 שהורדת בספרייה הבאה');
INSERT INTO `lang_definitions` VALUES (34703, 7748, 7, 'הצב את קובץ ה-zip של מסד נתונים RxNorm שהורדת בספרייה הבאה');
INSERT INTO `lang_definitions` VALUES (34704, 7749, 7, 'הצב את קובץ ה-zip של מסד נתונים Snomed שהורדת בספרייה הבאה');
INSERT INTO `lang_definitions` VALUES (34705, 7752, 7, 'מציין מיקום');
INSERT INTO `lang_definitions` VALUES (34706, 7753, 7, 'מציין מיקום (שומר על ACL ריקים)');
INSERT INTO `lang_definitions` VALUES (34707, 7756, 7, 'טקסט רגיל');
INSERT INTO `lang_definitions` VALUES (34708, 7757, 7, 'תוכנית');
INSERT INTO `lang_definitions` VALUES (34709, 7758, 7, 'התוכנית נוספה בהצלחה');
INSERT INTO `lang_definitions` VALUES (34710, 7759, 7, 'התוכנית כבר קיימת ב-list_options');
INSERT INTO `lang_definitions` VALUES (34711, 7762, 7, 'שם תוכנית');
INSERT INTO `lang_definitions` VALUES (34712, 7763, 7, 'שם התוכנית כבר קיים');
INSERT INTO `lang_definitions` VALUES (34713, 7764, 7, 'שם התוכנית כבר תפוס');
INSERT INTO `lang_definitions` VALUES (34714, 7765, 7, 'שם תוכנית חסר');
INSERT INTO `lang_definitions` VALUES (34715, 7768, 7, 'אוסף תוכניות');
INSERT INTO `lang_definitions` VALUES (34716, 7769, 7, 'מצב תוכנית השתנה');
INSERT INTO `lang_definitions` VALUES (34717, 7770, 7, 'שינוי מצב תוכנית נכשל');
INSERT INTO `lang_definitions` VALUES (34718, 7772, 7, 'תוכנית עודכנה בהצלחה');
INSERT INTO `lang_definitions` VALUES (34719, 7773, 7, 'תוכנית:');
INSERT INTO `lang_definitions` VALUES (34720, 7774, 7, 'פעילות מתוכננת');
INSERT INTO `lang_definitions` VALUES (34721, 7775, 7, 'תאריך מתוכנן');
INSERT INTO `lang_definitions` VALUES (34722, 7776, 7, 'תוכניות');
INSERT INTO `lang_definitions` VALUES (34723, 7777, 7, 'תצורת תוכניות');
INSERT INTO `lang_definitions` VALUES (34724, 7778, 7, 'שחקן');
INSERT INTO `lang_definitions` VALUES (34725, 7779, 7, 'עמדת משחק');
INSERT INTO `lang_definitions` VALUES (34726, 7780, 7, 'נא להתקשר אם הפרטים שלעיל שגויים');
INSERT INTO `lang_definitions` VALUES (34727, 7784, 7, 'החלף סיסמה.');
INSERT INTO `lang_definitions` VALUES (34728, 7785, 7, 'בחר קובץ');
INSERT INTO `lang_definitions` VALUES (34729, 7786, 7, 'בחר מטופל');
INSERT INTO `lang_definitions` VALUES (34730, 7787, 7, 'בחר בבחירה חוקית מהרשימה.');
INSERT INTO `lang_definitions` VALUES (34731, 7788, 7, 'בחר בבחירה חוקית.');
INSERT INTO `lang_definitions` VALUES (34732, 7789, 7, 'בחר ערך עבור');
INSERT INTO `lang_definitions` VALUES (34733, 7790, 7, 'בחר קריטריוני טווח תאריכים למעלה, ולחץ על \'רענן\' כדי להציג את התוצאות.');
INSERT INTO `lang_definitions` VALUES (34734, 7791, 7, 'בחר קובץ EDI-271 בתבנית נכונה');
INSERT INTO `lang_definitions` VALUES (34735, 7792, 7, 'לחץ על לחצן ההורדה כדי להוריד את הנתונים עם ביטול הזיהוי');
INSERT INTO `lang_definitions` VALUES (34736, 7793, 7, 'לחץ על לחצן ההורדה כדי להוריד את הנתונים עם זיהוי מחדש');
INSERT INTO `lang_definitions` VALUES (34737, 7795, 7, 'סגור חלון זה.');
INSERT INTO `lang_definitions` VALUES (34738, 7796, 7, 'השווה את השם החדש');
INSERT INTO `lang_definitions` VALUES (34739, 7801, 7, 'צור קשר עם מנהל עם המערכת, הרכיבים הבאים נדרשים אך חסרים.');
INSERT INTO `lang_definitions` VALUES (34740, 7802, 7, 'תקן את הערכים לפני שתמשיך!');
INSERT INTO `lang_definitions` VALUES (34741, 7803, 7, 'צור את הספרייה הבאה לפני שתמשיך');
INSERT INTO `lang_definitions` VALUES (34742, 7805, 7, 'אל תתקבל מרשם זה אם לא התקבל בפקס.');
INSERT INTO `lang_definitions` VALUES (34743, 7806, 7, 'אל תתקבל מרשם זה אם לא התקבל בפקס.');
INSERT INTO `lang_definitions` VALUES (34744, 7807, 7, 'אל תשתמש בלחצן העצירה או הטעינה מחדש בדפדפן כאשר דף זה פועל, אלא אם חלפו יותר מ-10 דקות. פעולה זו לא תעצור את התהליך בשרת, ותצרוך משאבים ללא צורך.');
INSERT INTO `lang_definitions` VALUES (34745, 7808, 7, 'אפשר הרחבת CURL');
INSERT INTO `lang_definitions` VALUES (34746, 7809, 7, 'אפשר הרחבת OPENSSL');
INSERT INTO `lang_definitions` VALUES (34747, 7810, 7, 'אפשר הרחבת SOAP');
INSERT INTO `lang_definitions` VALUES (34748, 7811, 7, 'אפשר הרחבת XML');
INSERT INTO `lang_definitions` VALUES (34749, 7813, 7, 'הזן תאריך עבור סקירה אחרונה.');
INSERT INTO `lang_definitions` VALUES (34750, 7814, 7, 'הזן תאריך.');
INSERT INTO `lang_definitions` VALUES (34751, 7816, 7, 'הזן תאריך יעד~פירעון');
INSERT INTO `lang_definitions` VALUES (34752, 7818, 7, 'הזן הודעה');
INSERT INTO `lang_definitions` VALUES (34753, 7819, 7, 'הזן סכום כספי באמצעות מספרים ונקודה עשרונית בלבד.');
INSERT INTO `lang_definitions` VALUES (34754, 7821, 7, 'הזן סיסמה חדשה');
INSERT INTO `lang_definitions` VALUES (34755, 7822, 7, 'הזן כותרת~תואר!');
INSERT INTO `lang_definitions` VALUES (34756, 7824, 7, 'הזן כתובת ישירה חוקית למעלה.');
INSERT INTO `lang_definitions` VALUES (34757, 7825, 7, 'הזן את שם הפריט לפחות');
INSERT INTO `lang_definitions` VALUES (34758, 7826, 7, 'הזן את שם המעקב לפחות');
INSERT INTO `lang_definitions` VALUES (34759, 7828, 7, 'הזן קוד נכון של זיהוי מחדש');
INSERT INTO `lang_definitions` VALUES (34760, 7829, 7, 'הזן תאריך סיום שגדול יותר מתאריך ההתחלה!');
INSERT INTO `lang_definitions` VALUES (34761, 7832, 7, 'הזן מחרוזת חיפוש חדשה');
INSERT INTO `lang_definitions` VALUES (34762, 7833, 7, 'הזן קוד נכון של זיהוי מחדש');
INSERT INTO `lang_definitions` VALUES (34763, 7834, 7, 'הזן את הסיסמה');
INSERT INTO `lang_definitions` VALUES (34764, 7843, 7, 'מלא מספר שיק');
INSERT INTO `lang_definitions` VALUES (34765, 7844, 7, 'מלא מספר שיק/אסמכתא');
INSERT INTO `lang_definitions` VALUES (34766, 7845, 7, 'מלא תאריך');
INSERT INTO `lang_definitions` VALUES (34767, 7846, 7, 'מלא סכום תשלום');
INSERT INTO `lang_definitions` VALUES (34768, 7847, 7, 'מלא קטגוריית תשלום');
INSERT INTO `lang_definitions` VALUES (34769, 7848, 7, 'מלא תשלום מ:');
INSERT INTO `lang_definitions` VALUES (34770, 7849, 7, 'מלא תאריך פרסום');
INSERT INTO `lang_definitions` VALUES (34771, 7850, 7, 'מלא את הערכים לפני שתמשיך.');
INSERT INTO `lang_definitions` VALUES (34772, 7854, 7, 'ציין סיבה לביקור');
INSERT INTO `lang_definitions` VALUES (34773, 7855, 7, 'הזן קריטריוני חיפוש למעלה, ולחץ על \'שלח\' כדי להתחיל בדיווח.');
INSERT INTO `lang_definitions` VALUES (34774, 7856, 7, 'הזן קריטריוני חיפוש למעלה, ולחץ על \'שלח\' כדי להציג תוצאות.');
INSERT INTO `lang_definitions` VALUES (34775, 7857, 7, 'הזן קריטריוני חיפוש למעלה, ולחץ על \'שלח\' כדי להציג תוצאות. (התוצאות יוצגו בחלון מוקפץ)');
INSERT INTO `lang_definitions` VALUES (34776, 7858, 7, 'היכנס שוב.');
INSERT INTO `lang_definitions` VALUES (34777, 7859, 7, 'שים לב: פעולה זו עשויה להימשך זמן מה, עד כמה דקות. ייתכן שהדבר ייראה כאילו הדפדפן שלך אינו פעיל במיוחד למשך זמן זה, אולם הפקת חשבון מהווה תהליך מורכב, ודפדפן האינטרנט שלך בעצם ממתין למידע נוסף.');
INSERT INTO `lang_definitions` VALUES (34778, 7860, 7, 'שים לב: ערכי קבועים הם תלויי רישיות, וכל מחרוזת מותרת.');
INSERT INTO `lang_definitions` VALUES (34779, 7861, 7, 'נא להשתמש בתווים אלפביתיים בלבד');
INSERT INTO `lang_definitions` VALUES (34780, 7862, 7, 'נא להשתמש בתווים אלפביתיים בלבד ללא תווי רווח');
INSERT INTO `lang_definitions` VALUES (34781, 7863, 7, 'נא לשלם סכום זה');
INSERT INTO `lang_definitions` VALUES (34782, 7864, 7, 'הצב את קובצי ההתקנה שלך בספרייה הבאה');
INSERT INTO `lang_definitions` VALUES (34783, 7867, 7, 'ראה');
INSERT INTO `lang_definitions` VALUES (34784, 7868, 7, 'נא לאפס את הסיסמה.');
INSERT INTO `lang_definitions` VALUES (34785, 7869, 7, 'הפעל מחדש את שרת Apache לפני שתתעסק עם ביטול זיהוי');
INSERT INTO `lang_definitions` VALUES (34786, 7874, 7, 'עיין ב-PDF המצורף.');
INSERT INTO `lang_definitions` VALUES (34787, 7875, 7, 'נא לבחור');
INSERT INTO `lang_definitions` VALUES (34788, 7876, 7, 'בחר טופס');
INSERT INTO `lang_definitions` VALUES (34789, 7877, 7, 'בחר שפה');
INSERT INTO `lang_definitions` VALUES (34790, 7878, 7, 'בחר מטופל');
INSERT INTO `lang_definitions` VALUES (34791, 7879, 7, 'בחר מתקן של ישות עסקית ראשית עם \'מזהה מס\' בתור מזהה המס של המתקן שלך. אם אתה איש מקצוע עצמאי, השתמש במזהה המס שלך, לצורך זיהוי שלך במערכת NewCrop.');
INSERT INTO `lang_definitions` VALUES (34792, 7880, 7, 'בחר מתקן של ישות עסקית ראשית עם \'מזהה מס\' בתור מזהה המס של המתקן שלך. אם אתה איש מקצוע עצמאי, השתמש במזהה המס שלך, לצורך זיהוי שלך במערכת NewCrop.');
INSERT INTO `lang_definitions` VALUES (34793, 7881, 7, 'בחר ספק הליך');
INSERT INTO `lang_definitions` VALUES (34794, 7882, 7, 'בחר נמען');
INSERT INTO `lang_definitions` VALUES (34795, 7884, 7, 'בחר תאריך התחלה ותאריך סיום');
INSERT INTO `lang_definitions` VALUES (34796, 7885, 7, 'בחר נמען חוקי');
INSERT INTO `lang_definitions` VALUES (34797, 7886, 7, 'בחר קבוצה פעילה');
INSERT INTO `lang_definitions` VALUES (34798, 7888, 7, 'בחר סיבת התאמה עבור קוד');
INSERT INTO `lang_definitions` VALUES (34799, 7889, 7, 'בחר אירוע');
INSERT INTO `lang_definitions` VALUES (34800, 7891, 7, 'בחר אפשרות חיפוש כלשהי.');
INSERT INTO `lang_definitions` VALUES (34801, 7892, 7, 'בחר קריטריון אחד לפחות להורדה.');
INSERT INTO `lang_definitions` VALUES (34802, 7893, 7, 'בחר מטופל אחד לפחות.');
INSERT INTO `lang_definitions` VALUES (34803, 7894, 7, 'בחר מרשם אחד לפחות!');
INSERT INTO `lang_definitions` VALUES (34804, 7895, 7, 'בחר מפגש');
INSERT INTO `lang_definitions` VALUES (34805, 7899, 7, 'בחר בדפים הרצויים להעתקה או להעברה:');
INSERT INTO `lang_definitions` VALUES (34806, 7900, 7, 'בחר את שיטת התשלום');
INSERT INTO `lang_definitions` VALUES (34807, 7903, 7, 'בחר סוג תשלום.');
INSERT INTO `lang_definitions` VALUES (34808, 7904, 7, 'בחר סוג ביקור');
INSERT INTO `lang_definitions` VALUES (34809, 7905, 7, 'בחר שותף X12, הדרוש ליצירת אצוות 270');
INSERT INTO `lang_definitions` VALUES (34810, 7906, 7, 'נא להגדיר');
INSERT INTO `lang_definitions` VALUES (34811, 7907, 7, 'הגדר משתנה de_identification_config כאפס שוב');
INSERT INTO `lang_definitions` VALUES (34812, 7909, 7, 'ציין כתובת ישירה אחת לפחות');
INSERT INTO `lang_definitions` VALUES (34813, 7910, 7, 'התחל בתהליך חדש של ביטול זיהוי');
INSERT INTO `lang_definitions` VALUES (34814, 7913, 7, 'שדרג את מסד הנתונים של OpenEMR לכלילת הליכי ביטול זיהוי, פונקציה, טבלאות');
INSERT INTO `lang_definitions` VALUES (34815, 7915, 7, 'עיין בטבלת יומן השגיאות של ביטול זיהוי לפרטים נוספים');
INSERT INTO `lang_definitions` VALUES (34816, 7916, 7, 'בקר במסך ביטול הזיהוי לאחר זמן מה');
INSERT INTO `lang_definitions` VALUES (34817, 7917, 7, 'בקר במסך הזיהוי מחדש לאחר זמן מה');
INSERT INTO `lang_definitions` VALUES (34818, 7918, 7, 'בקר במסך לאחר זמן מה');
INSERT INTO `lang_definitions` VALUES (34819, 7920, 7, 'התווה פריט');
INSERT INTO `lang_definitions` VALUES (34820, 7921, 7, 'התווה פריטים נבחרים');
INSERT INTO `lang_definitions` VALUES (34821, 7922, 7, 'רבים');
INSERT INTO `lang_definitions` VALUES (34822, 7926, 7, 'PM');
INSERT INTO `lang_definitions` VALUES (34823, 7927, 7, 'תוכנית PM');
INSERT INTO `lang_definitions` VALUES (34824, 7933, 7, 'שיטת תשלום');
INSERT INTO `lang_definitions` VALUES (34825, 7934, 7, 'PND');
INSERT INTO `lang_definitions` VALUES (34826, 7935, 7, 'Pneumococcal Conjugate 1');
INSERT INTO `lang_definitions` VALUES (34827, 7936, 7, 'Pneumococcal Conjugate 2');
INSERT INTO `lang_definitions` VALUES (34828, 7937, 7, 'Pneumococcal Conjugate 3');
INSERT INTO `lang_definitions` VALUES (34829, 7938, 7, 'Pneumococcal Conjugate 4');
INSERT INTO `lang_definitions` VALUES (34830, 7939, 7, 'חיסון נגד פנוימוקוק');
INSERT INTO `lang_definitions` VALUES (34831, 7940, 7, 'חיסון נגד דלקת ריאות');
INSERT INTO `lang_definitions` VALUES (34832, 7941, 7, 'מצב חיסון נגד דלקת ריאות עבור בוגרים מבוגרים יותר');
INSERT INTO `lang_definitions` VALUES (34833, 7942, 7, 'מצב חיסון נגד דלקת ריאות עבור בוגרים מבוגרים יותר (CQM)');
INSERT INTO `lang_definitions` VALUES (34834, 7943, 7, 'פודיאטרי');
INSERT INTO `lang_definitions` VALUES (34835, 7944, 7, 'פודיאטרי');
INSERT INTO `lang_definitions` VALUES (34836, 7946, 7, 'נקודת שירות (POS)');
INSERT INTO `lang_definitions` VALUES (34837, 7947, 7, 'פוליסה');
INSERT INTO `lang_definitions` VALUES (34838, 7950, 7, 'מס\' פוליסה');
INSERT INTO `lang_definitions` VALUES (34839, 7951, 7, 'מספר פוליסה');
INSERT INTO `lang_definitions` VALUES (34840, 7952, 7, 'פולנית');
INSERT INTO `lang_definitions` VALUES (34841, 7953, 7, 'פולידיפסיה');
INSERT INTO `lang_definitions` VALUES (34842, 7955, 7, 'פוליפים');
INSERT INTO `lang_definitions` VALUES (34843, 7956, 7, 'פוליוריה');
INSERT INTO `lang_definitions` VALUES (34844, 7957, 7, 'תיאבון לקוי');
INSERT INTO `lang_definitions` VALUES (34845, 7958, 7, 'מחזור דם לקוי');
INSERT INTO `lang_definitions` VALUES (34846, 7959, 7, 'שמיעה לקויה');
INSERT INTO `lang_definitions` VALUES (34847, 7962, 7, 'כדי לראות דוחות אלה, יש לאפשר פריטים מוקפצים');
INSERT INTO `lang_definitions` VALUES (34848, 7964, 7, 'האם לאכלס את תצוגת השנה באירועים?');
INSERT INTO `lang_definitions` VALUES (34849, 7965, 7, 'פריטים מוקפצים');
INSERT INTO `lang_definitions` VALUES (34850, 7967, 7, 'פורטל');
INSERT INTO `lang_definitions` VALUES (34851, 7969, 7, 'פעילות בפורטל');
INSERT INTO `lang_definitions` VALUES (34852, 7976, 7, 'מזהה פורטל');
INSERT INTO `lang_definitions` VALUES (34853, 7977, 7, 'מזהה הפורטל אינו תואם לבקשה מהפורטל!');
INSERT INTO `lang_definitions` VALUES (34854, 7980, 7, 'חסרה סיסמת פורטל');
INSERT INTO `lang_definitions` VALUES (34855, 7982, 7, 'בקשות פורטל');
INSERT INTO `lang_definitions` VALUES (34856, 7984, 7, 'דיוקן');
INSERT INTO `lang_definitions` VALUES (34857, 7985, 7, 'פורטוגזית');
INSERT INTO `lang_definitions` VALUES (34858, 7987, 7, 'פורטוגזית (ברזיל)');
INSERT INTO `lang_definitions` VALUES (34859, 7988, 7, 'פורטוגזית (אירופה)');
INSERT INTO `lang_definitions` VALUES (34860, 7989, 7, 'קוד POS');
INSERT INTO `lang_definitions` VALUES (34861, 7990, 7, 'מיקום');
INSERT INTO `lang_definitions` VALUES (34862, 7992, 7, 'חיובי');
INSERT INTO `lang_definitions` VALUES (34863, 7993, 7, 'חיוביים');
INSERT INTO `lang_definitions` VALUES (34864, 7995, 7, 'תאריך פרסום');
INSERT INTO `lang_definitions` VALUES (34865, 7996, 7, 'פרסם עבור');
INSERT INTO `lang_definitions` VALUES (34866, 7998, 7, 'טפטוף מהאף');
INSERT INTO `lang_definitions` VALUES (34867, 8000, 7, 'פרסם תשלומים');
INSERT INTO `lang_definitions` VALUES (34868, 8001, 7, 'לאחר הניתוח');
INSERT INTO `lang_definitions` VALUES (34869, 8002, 7, 'פרסם לחשבונאות וסמן כמחויב');
INSERT INTO `lang_definitions` VALUES (34870, 8003, 7, 'תאריך פרסום');
INSERT INTO `lang_definitions` VALUES (34871, 8004, 7, 'תאריך הפרסום לא יכול להיות גדול יותר מהיום הנוכחי');
INSERT INTO `lang_definitions` VALUES (34872, 8006, 7, 'תאריך הפרסום חייב להיות להיות גדול יותר מתאריך הסגירה הפיננסי.');
INSERT INTO `lang_definitions` VALUES (34873, 8007, 7, 'טיפול לאחר הפלה');
INSERT INTO `lang_definitions` VALUES (34874, 8008, 7, 'אמצעי מניעה לאחר הפלה');
INSERT INTO `lang_definitions` VALUES (34875, 8009, 7, 'ייעוץ לאחר הפלה');
INSERT INTO `lang_definitions` VALUES (34876, 8010, 7, 'המשך טיפול לאחר הפלה');
INSERT INTO `lang_definitions` VALUES (34877, 8011, 7, 'מיקוד');
INSERT INTO `lang_definitions` VALUES (34878, 8012, 7, 'מיקוד');
INSERT INTO `lang_definitions` VALUES (34879, 8013, 7, 'מיקוד');
INSERT INTO `lang_definitions` VALUES (34880, 8014, 7, 'מיקוד ותא דואר');
INSERT INTO `lang_definitions` VALUES (34881, 8015, 7, 'PostCalendar');
INSERT INTO `lang_definitions` VALUES (34882, 8016, 7, 'ניהול מערכת PostCalendar');
INSERT INTO `lang_definitions` VALUES (34883, 8017, 7, 'הגדרות קטגוריות PostCalendar');
INSERT INTO `lang_definitions` VALUES (34884, 8018, 7, 'הגדרות גלובליות של PostCalendar');
INSERT INTO `lang_definitions` VALUES (34885, 8023, 7, 'פורסם ב:');
INSERT INTO `lang_definitions` VALUES (34886, 8026, 7, 'תאריך פרסום');
INSERT INTO `lang_definitions` VALUES (34887, 8028, 7, 'Pos{{קיצור למיקום~משרה}}');
INSERT INTO `lang_definitions` VALUES (34888, 8032, 7, 'מופעל על-ידי');
INSERT INTO `lang_definitions` VALUES (34889, 8033, 7, 'PPE + Prev Med/Surg Hx');
INSERT INTO `lang_definitions` VALUES (34890, 8034, 7, 'PQRI');
INSERT INTO `lang_definitions` VALUES (34891, 8035, 7, 'מזהה רישום PQRI');
INSERT INTO `lang_definitions` VALUES (34892, 8036, 7, 'שם רישום PQRI');
INSERT INTO `lang_definitions` VALUES (34893, 8037, 7, 'פרקטיקה');
INSERT INTO `lang_definitions` VALUES (34894, 8038, 7, 'הגדרת ברירת מחדל של פרקטיקה');
INSERT INTO `lang_definitions` VALUES (34895, 8039, 7, 'הגדרות פרקטיקה');
INSERT INTO `lang_definitions` VALUES (34896, 8041, 7, 'איש מקצוע');
INSERT INTO `lang_definitions` VALUES (34897, 8042, 7, 'לפני הערכת השתתפות');
INSERT INTO `lang_definitions` VALUES (34898, 8043, 7, 'תשלום מראש');
INSERT INTO `lang_definitions` VALUES (34899, 8044, 7, 'תשלום מראש');
INSERT INTO `lang_definitions` VALUES (34900, 8045, 7, 'ייעוץ לפני הפלה');
INSERT INTO `lang_definitions` VALUES (34901, 8046, 7, 'ייעוץ לפני הפלה');
INSERT INTO `lang_definitions` VALUES (34902, 8048, 7, 'קטגוריית אסמכתא~העדפה');
INSERT INTO `lang_definitions` VALUES (34903, 8049, 7, 'העדפה');
INSERT INTO `lang_definitions` VALUES (34904, 8050, 7, 'העדפות');
INSERT INTO `lang_definitions` VALUES (34905, 8052, 7, 'קטגוריית אירוע מועדפת');
INSERT INTO `lang_definitions` VALUES (34906, 8053, 7, 'שפה מועדפת');
INSERT INTO `lang_definitions` VALUES (34907, 8054, 7, 'בית מרקחת מועדף');
INSERT INTO `lang_definitions` VALUES (34908, 8055, 7, 'ארגון ספק מועדף (PPO)');
INSERT INTO `lang_definitions` VALUES (34909, 8056, 7, 'בדיקת הריון');
INSERT INTO `lang_definitions` VALUES (34910, 8057, 7, 'ראשוני');
INSERT INTO `lang_definitions` VALUES (34911, 8058, 7, 'מתכונן להרצת דוח');
INSERT INTO `lang_definitions` VALUES (34912, 8059, 7, 'תשלום מראש');
INSERT INTO `lang_definitions` VALUES (34913, 8061, 7, 'מרשם');
INSERT INTO `lang_definitions` VALUES (34914, 8063, 7, 'המרשם הגיעה למגבלה של');
INSERT INTO `lang_definitions` VALUES (34915, 8064, 7, 'היסטוריית מרשמים');
INSERT INTO `lang_definitions` VALUES (34916, 8065, 7, 'ייבוא היסטוריית מרשמים הושלם בהצלחה');
INSERT INTO `lang_definitions` VALUES (34917, 8066, 7, 'תווית מרשם');
INSERT INTO `lang_definitions` VALUES (34918, 8067, 7, 'דוח מרשם');
INSERT INTO `lang_definitions` VALUES (34919, 8070, 7, 'מרשמים');
INSERT INTO `lang_definitions` VALUES (34920, 8073, 7, 'מרשמים והנפקות');
INSERT INTO `lang_definitions` VALUES (34921, 8074, 7, 'מרשמים והפניות אחרות');
INSERT INTO `lang_definitions` VALUES (34922, 8075, 7, 'מרשמים ו/או הפניות לפי מומחה');
INSERT INTO `lang_definitions` VALUES (34923, 8076, 7, 'דוח מרשמים');
INSERT INTO `lang_definitions` VALUES (34924, 8077, 7, 'מרשמים/הפניות');
INSERT INTO `lang_definitions` VALUES (34925, 8078, 7, 'נוכחי~קיים');
INSERT INTO `lang_definitions` VALUES (34926, 8079, 7, 'הצגת תלונה');
INSERT INTO `lang_definitions` VALUES (34927, 8080, 7, 'הצגת בעיות');
INSERT INTO `lang_definitions` VALUES (34928, 8081, 7, 'לחץ על \'המשך\' כדי להמשיך');
INSERT INTO `lang_definitions` VALUES (34929, 8084, 7, 'השערת אבחון');
INSERT INTO `lang_definitions` VALUES (34930, 8085, 7, 'השערת אבחון לפי מומחה');
INSERT INTO `lang_definitions` VALUES (34931, 8086, 7, 'הקודם');
INSERT INTO `lang_definitions` VALUES (34932, 8087, 7, 'Prev Med/Surg Hx');
INSERT INTO `lang_definitions` VALUES (34933, 8088, 7, 'החודש הקודם (החזק לקבלת תפריט)');
INSERT INTO `lang_definitions` VALUES (34934, 8089, 7, 'השנה הקודמת (החזק לקבלת תפריט)');
INSERT INTO `lang_definitions` VALUES (34935, 8091, 7, 'רפואה מונעת');
INSERT INTO `lang_definitions` VALUES (34936, 8092, 7, 'שיקום מונע');
INSERT INTO `lang_definitions` VALUES (34937, 8093, 7, 'רפואה מונעת וסינון: שימוש בטבק: סינון להתערבות הפסקה (CQM)');
INSERT INTO `lang_definitions` VALUES (34938, 8094, 7, 'תצוגה מקדימה של אירוע');
INSERT INTO `lang_definitions` VALUES (34939, 8096, 7, 'תצוגה מקדימה אינה זמינה עבור סוג מסמך זה');
INSERT INTO `lang_definitions` VALUES (34940, 8097, 7, 'תצוגה מקדימה של');
INSERT INTO `lang_definitions` VALUES (34941, 8098, 7, 'הקודם');
INSERT INTO `lang_definitions` VALUES (34942, 8099, 7, 'ייעוצים קודמים');
INSERT INTO `lang_definitions` VALUES (34943, 8100, 7, 'היום הקודם');
INSERT INTO `lang_definitions` VALUES (34944, 8102, 7, 'היסטוריה/סינון קודמים');
INSERT INTO `lang_definitions` VALUES (34945, 8103, 7, 'החודש הקודם');
INSERT INTO `lang_definitions` VALUES (34946, 8104, 7, 'השבוע הקודם');
INSERT INTO `lang_definitions` VALUES (34947, 8105, 7, 'מחיר');
INSERT INTO `lang_definitions` VALUES (34948, 8108, 7, 'הנחה על מחיר');
INSERT INTO `lang_definitions` VALUES (34949, 8109, 7, 'רמת מחיר');
INSERT INTO `lang_definitions` VALUES (34950, 8111, 7, 'רמת מחיר:');
INSERT INTO `lang_definitions` VALUES (34951, 8113, 7, 'מחירים');
INSERT INTO `lang_definitions` VALUES (34952, 8114, 7, 'ראשי');
INSERT INTO `lang_definitions` VALUES (34953, 8115, 7, 'ישות עסקית ראשית');
INSERT INTO `lang_definitions` VALUES (34954, 8116, 7, 'מזהה המס של ישות עסקית ראשית משמש בתור מזהה החשבון עבור NewCrop ePrescription. החלפת המתקן תשפיע על הפעילות ב-NewCrop.');
INSERT INTO `lang_definitions` VALUES (34955, 8118, 7, 'רפואה ראשונית');
INSERT INTO `lang_definitions` VALUES (34956, 8119, 7, 'ספק רפואה ראשי');
INSERT INTO `lang_definitions` VALUES (34957, 8120, 7, 'עיר מתקן ראשי');
INSERT INTO `lang_definitions` VALUES (34958, 8121, 7, 'קידומת מדינה של מתקן ראשי');
INSERT INTO `lang_definitions` VALUES (34959, 8122, 7, 'מחוז מתקן ראשי');
INSERT INTO `lang_definitions` VALUES (34960, 8123, 7, 'כתובת של מתקן ראשי');
INSERT INTO `lang_definitions` VALUES (34961, 8124, 7, 'מיקוד של מתקן ראשי');
INSERT INTO `lang_definitions` VALUES (34962, 8125, 7, 'ביטוח ראשי');
INSERT INTO `lang_definitions` VALUES (34963, 8126, 7, 'ביטוח ראשי');
INSERT INTO `lang_definitions` VALUES (34964, 8127, 7, 'נתוני ביטוח ראשי');
INSERT INTO `lang_definitions` VALUES (34965, 8128, 7, 'ספק ביטוח ראשי');
INSERT INTO `lang_definitions` VALUES (34966, 8129, 7, 'ספק ראשי');
INSERT INTO `lang_definitions` VALUES (34967, 8130, 7, 'הדפסה');
INSERT INTO `lang_definitions` VALUES (34968, 8131, 7, 'הדפסה (HTML)');
INSERT INTO `lang_definitions` VALUES (34969, 8132, 7, 'הדפסה (PDF)');
INSERT INTO `lang_definitions` VALUES (34970, 8133, 7, 'הדפס תיקונים');
INSERT INTO `lang_definitions` VALUES (34971, 8134, 7, 'הדפס כל מפגש');
INSERT INTO `lang_definitions` VALUES (34972, 8135, 7, 'הדפס טופס הפניה ריק');
INSERT INTO `lang_definitions` VALUES (34973, 8136, 7, 'הדפס');
INSERT INTO `lang_definitions` VALUES (34974, 8138, 7, 'תאריך הדפסה');
INSERT INTO `lang_definitions` VALUES (34975, 8139, 7, 'הדפס דוח סוף היום 1');
INSERT INTO `lang_definitions` VALUES (34976, 8140, 7, 'הדפס דוח סוף היום 2');
INSERT INTO `lang_definitions` VALUES (34977, 8141, 7, 'הדפס דוח סוף היום 3');
INSERT INTO `lang_definitions` VALUES (34978, 8142, 7, 'הדפס רישום מלא');
INSERT INTO `lang_definitions` VALUES (34979, 8143, 7, 'תבנית הדפסה');
INSERT INTO `lang_definitions` VALUES (34980, 8144, 7, 'הדפס ארבעה לוחות~לוח רביעי');
INSERT INTO `lang_definitions` VALUES (34981, 8145, 7, 'הדפס ספר ראשי');
INSERT INTO `lang_definitions` VALUES (34982, 8147, 7, 'הדפס הודעה');
INSERT INTO `lang_definitions` VALUES (34983, 8148, 7, 'הדפס פריטים מרובים');
INSERT INTO `lang_definitions` VALUES (34984, 8149, 7, 'הדפס פריטים מרובים לפקס');
INSERT INTO `lang_definitions` VALUES (34985, 8150, 7, 'הדפס שם, חתימה ותאריך.');
INSERT INTO `lang_definitions` VALUES (34986, 8151, 7, 'הדפס הערות');
INSERT INTO `lang_definitions` VALUES (34987, 8152, 7, 'הדפס דף~דף הדפסה 1');
INSERT INTO `lang_definitions` VALUES (34988, 8153, 7, 'הדפס דף~דף הדפסה 2');
INSERT INTO `lang_definitions` VALUES (34989, 8154, 7, 'הדפס תווית כתובת מטופל');
INSERT INTO `lang_definitions` VALUES (34990, 8155, 7, 'הדפס הערת חיוב מטופל');
INSERT INTO `lang_definitions` VALUES (34991, 8156, 7, 'הדפס קבלות לפי ספק');
INSERT INTO `lang_definitions` VALUES (34992, 8157, 7, 'הדפס רשומה');
INSERT INTO `lang_definitions` VALUES (34993, 8163, 7, 'הדפס דוחות נבחרים');
INSERT INTO `lang_definitions` VALUES (34994, 8164, 7, 'הדפס תיק זריקות');
INSERT INTO `lang_definitions` VALUES (34995, 8165, 7, 'הדפס את הפגישה הבאה בתחתית הספר הראשי');
INSERT INTO `lang_definitions` VALUES (34996, 8166, 7, 'הדפס מפגש זה');
INSERT INTO `lang_definitions` VALUES (34997, 8168, 7, 'הדפס הערה זו');
INSERT INTO `lang_definitions` VALUES (34998, 8169, 7, 'הדפס הערה זו');
INSERT INTO `lang_definitions` VALUES (34999, 8170, 7, 'הדפסה ל:');
INSERT INTO `lang_definitions` VALUES (35000, 8171, 7, 'הדפס לפקס');
INSERT INTO `lang_definitions` VALUES (35001, 8172, 7, 'הדפס תצוגה');
INSERT INTO `lang_definitions` VALUES (35002, 8173, 7, 'להדפסה');
INSERT INTO `lang_definitions` VALUES (35003, 8174, 7, 'גרסה להדפסה');
INSERT INTO `lang_definitions` VALUES (35004, 8175, 7, 'מודפס');
INSERT INTO `lang_definitions` VALUES (35005, 8177, 7, 'אפשרות יומן הדפסה/מדפיס אפשרות יומן');
INSERT INTO `lang_definitions` VALUES (35006, 8178, 7, 'תוצאות הדפסה:');
INSERT INTO `lang_definitions` VALUES (35007, 8179, 7, 'המערכת דילגה על ההדפסה; ראה פלט בדיקה ב:');
INSERT INTO `lang_definitions` VALUES (35008, 8180, 7, 'המערכת דילגה על ההדפסה; ראה פלט בדיקה ב:');
INSERT INTO `lang_definitions` VALUES (35009, 8182, 7, 'הרשאה מוקדמת');
INSERT INTO `lang_definitions` VALUES (35010, 8184, 7, 'טופס הרשאה מוקדמת');
INSERT INTO `lang_definitions` VALUES (35011, 8189, 7, 'ביקור קודם');
INSERT INTO `lang_definitions` VALUES (35012, 8191, 7, 'עדיפות');
INSERT INTO `lang_definitions` VALUES (35013, 8192, 7, 'עדיפות');
INSERT INTO `lang_definitions` VALUES (35014, 8196, 7, 'פרטי');
INSERT INTO `lang_definitions` VALUES (35015, 8197, 7, 'אבחנה');
INSERT INTO `lang_definitions` VALUES (35016, 8198, 7, 'DX בעייתי~בעיה');
INSERT INTO `lang_definitions` VALUES (35017, 8199, 7, 'רשימת בעיות');
INSERT INTO `lang_definitions` VALUES (35018, 8200, 7, 'בעיות');
INSERT INTO `lang_definitions` VALUES (35019, 8202, 7, 'בעיות/נושאים');
INSERT INTO `lang_definitions` VALUES (35020, 8203, 7, 'Proc Bat');
INSERT INTO `lang_definitions` VALUES (35021, 8204, 7, 'Proc Cat');
INSERT INTO `lang_definitions` VALUES (35022, 8205, 7, 'Proc Load');
INSERT INTO `lang_definitions` VALUES (35023, 8206, 7, 'Proc Pending Rev');
INSERT INTO `lang_definitions` VALUES (35024, 8207, 7, 'Proc Prov');
INSERT INTO `lang_definitions` VALUES (35025, 8208, 7, 'Proc Res');
INSERT INTO `lang_definitions` VALUES (35026, 8209, 7, 'הליך');
INSERT INTO `lang_definitions` VALUES (35027, 8210, 7, 'אתרי גוף הליך');
INSERT INTO `lang_definitions` VALUES (35028, 8212, 7, 'תוצאות בוליאניות של הליך');
INSERT INTO `lang_definitions` VALUES (35029, 8214, 7, 'קוד הליך');
INSERT INTO `lang_definitions` VALUES (35030, 8215, 7, 'קודי הליכים');
INSERT INTO `lang_definitions` VALUES (35031, 8216, 7, 'רוחביות הליכים');
INSERT INTO `lang_definitions` VALUES (35032, 8218, 7, 'שם הליך');
INSERT INTO `lang_definitions` VALUES (35033, 8220, 7, 'הזמנת הליך');
INSERT INTO `lang_definitions` VALUES (35034, 8221, 7, 'הזמנת הליך');
INSERT INTO `lang_definitions` VALUES (35035, 8223, 7, 'הזמנת הליך עבור');
INSERT INTO `lang_definitions` VALUES (35036, 8224, 7, 'הזמנת הליך לא נמצאה');
INSERT INTO `lang_definitions` VALUES (35037, 8226, 7, 'הזמנות ודוחות הליך');
INSERT INTO `lang_definitions` VALUES (35038, 8227, 7, 'בורר ההליכים');
INSERT INTO `lang_definitions` VALUES (35039, 8228, 7, 'ספק הליכים');
INSERT INTO `lang_definitions` VALUES (35040, 8229, 7, 'ספק הליכים');
INSERT INTO `lang_definitions` VALUES (35041, 8231, 7, 'ספקי הליכים');
INSERT INTO `lang_definitions` VALUES (35042, 8232, 7, 'דוח הליך');
INSERT INTO `lang_definitions` VALUES (35043, 8235, 7, 'מצבי דוח הליך');
INSERT INTO `lang_definitions` VALUES (35044, 8237, 7, 'תוצאות הליך חריגות');
INSERT INTO `lang_definitions` VALUES (35045, 8238, 7, 'מצבי תוצאות הליך');
INSERT INTO `lang_definitions` VALUES (35046, 8240, 7, 'תוצאות הליך');
INSERT INTO `lang_definitions` VALUES (35047, 8241, 7, 'מסלולי הליך');
INSERT INTO `lang_definitions` VALUES (35048, 8243, 7, 'סוגי דגימה של הליך');
INSERT INTO `lang_definitions` VALUES (35049, 8245, 7, 'דוח סטטיסטיקת הליך');
INSERT INTO `lang_definitions` VALUES (35050, 8248, 7, 'סוג הליך');
INSERT INTO `lang_definitions` VALUES (35051, 8249, 7, 'סוגי הליכים');
INSERT INTO `lang_definitions` VALUES (35052, 8251, 7, 'יחידות הליך');
INSERT INTO `lang_definitions` VALUES (35053, 8253, 7, 'הליך/שירות');
INSERT INTO `lang_definitions` VALUES (35054, 8254, 7, 'הליכים');
INSERT INTO `lang_definitions` VALUES (35055, 8256, 7, 'תהליך');
INSERT INTO `lang_definitions` VALUES (35056, 8257, 7, 'עבד ושלח תזכורות');
INSERT INTO `lang_definitions` VALUES (35057, 8258, 7, 'עבד קובץ ERA');
INSERT INTO `lang_definitions` VALUES (35058, 8260, 7, 'עבד קבצים חדשים עבור רשומות CSV');
INSERT INTO `lang_definitions` VALUES (35059, 8261, 7, 'עבד תזכורות');
INSERT INTO `lang_definitions` VALUES (35060, 8262, 7, 'התהליך נמשך זמן מה');
INSERT INTO `lang_definitions` VALUES (35061, 8263, 7, 'יסתיימו');
INSERT INTO `lang_definitions` VALUES (35062, 8264, 7, 'עובד על-ידי');
INSERT INTO `lang_definitions` VALUES (35063, 8265, 7, 'תאריך עיבוד');
INSERT INTO `lang_definitions` VALUES (35064, 8266, 7, 'עיבוד הושלם בהצלחה');
INSERT INTO `lang_definitions` VALUES (35065, 8267, 7, 'עיבוד מתבצע');
INSERT INTO `lang_definitions` VALUES (35066, 8268, 7, 'מעבד ושולח תזכורות מטופל');
INSERT INTO `lang_definitions` VALUES (35067, 8271, 7, 'מעבד תזכורות מטופל');
INSERT INTO `lang_definitions` VALUES (35068, 8272, 7, 'זמן עיבוד');
INSERT INTO `lang_definitions` VALUES (35069, 8274, 7, 'מוצר');
INSERT INTO `lang_definitions` VALUES (35070, 8276, 7, 'שיטת אמצעי מניעה של מוצר');
INSERT INTO `lang_definitions` VALUES (35071, 8278, 7, 'ייצור');
INSERT INTO `lang_definitions` VALUES (35072, 8279, 7, 'מוצרים');
INSERT INTO `lang_definitions` VALUES (35073, 8280, 7, 'מוצרים אך לא תרופות מרשם ולא תבניות');
INSERT INTO `lang_definitions` VALUES (35074, 8282, 7, 'פרופ\'');
INSERT INTO `lang_definitions` VALUES (35075, 8290, 7, 'הערות התקדמות');
INSERT INTO `lang_definitions` VALUES (35076, 8295, 7, 'סרטן הערמונית');
INSERT INTO `lang_definitions` VALUES (35077, 8296, 7, 'סינון סרטן הערמונית');
INSERT INTO `lang_definitions` VALUES (35078, 8297, 7, 'בדיקת ערמונית');
INSERT INTO `lang_definitions` VALUES (35079, 8298, 7, 'בעיות בערמונית');
INSERT INTO `lang_definitions` VALUES (35080, 8299, 7, 'ערמונית עם גדילה, קשריות, רגישות');
INSERT INTO `lang_definitions` VALUES (35081, 8302, 7, 'פרוטוקול');
INSERT INTO `lang_definitions` VALUES (35082, 8304, 7, 'ספק נתיב מוחלט');
INSERT INTO `lang_definitions` VALUES (35083, 8305, 7, 'ספק נתיב מוחלט של קובץ');
INSERT INTO `lang_definitions` VALUES (35084, 8308, 7, 'ספק סיכומים קליניים עבור מטופלים לכל ביקור במשרד (חדש).');
INSERT INTO `lang_definitions` VALUES (35085, 8309, 7, 'ספק סיכומים קליניים עבור מטופלים לכל ביקור במשרד.');
INSERT INTO `lang_definitions` VALUES (35086, 8311, 7, 'ספק למטופלים עותק אלקטרוני של המידע הרפואי שלהם (בכלל זה תוצאות בדיקת אבחון, רשימת בעיות, רשימת תרופות, רגישויות לתרופות), לפי בקשה.');
INSERT INTO `lang_definitions` VALUES (35087, 8312, 7, 'ספק למטופלים גישה אלקטרונית מהירה למידע הרפואי שלהם (בכלל זה תוצאות מעבדה, רשימת בעיות, רשימת תרופות, רגישויות לתרופות) תוך ארבעה ימי עסקים מהפיכת המידע לזמין ל-EP.');
INSERT INTO `lang_definitions` VALUES (35088, 8313, 7, 'ספק למטופלים תיקים עבור ביקור');
INSERT INTO `lang_definitions` VALUES (35089, 8315, 7, 'ספק כתובת דואר אלקטרוני חוקית');
INSERT INTO `lang_definitions` VALUES (35090, 8316, 7, 'האם סופק סיכום קליני?');
INSERT INTO `lang_definitions` VALUES (35091, 8317, 7, 'האם סופקו משאבי לימוד?');
INSERT INTO `lang_definitions` VALUES (35092, 8318, 7, 'מטפל');
INSERT INTO `lang_definitions` VALUES (35093, 8322, 7, 'מזהה ספק');
INSERT INTO `lang_definitions` VALUES (35094, 8323, 7, 'מזהה ספק');
INSERT INTO `lang_definitions` VALUES (35095, 8324, 7, 'מזהה ספק במתקן שצוין');
INSERT INTO `lang_definitions` VALUES (35096, 8325, 7, 'שגיאות התאמת ספק');
INSERT INTO `lang_definitions` VALUES (35097, 8328, 7, 'הספק אינו זמין, נא לבחור אחר.');
INSERT INTO `lang_definitions` VALUES (35098, 8329, 7, 'הספק אינו זמין, האם להשתמש בו בכל זאת?');
INSERT INTO `lang_definitions` VALUES (35099, 8330, 7, 'מספר ספק');
INSERT INTO `lang_definitions` VALUES (35100, 8333, 7, 'קשרי ספק');
INSERT INTO `lang_definitions` VALUES (35101, 8334, 7, 'התמחות מקצועית');
INSERT INTO `lang_definitions` VALUES (35102, 8336, 7, 'ספק:');
INSERT INTO `lang_definitions` VALUES (35103, 8337, 7, 'משתמשים');
INSERT INTO `lang_definitions` VALUES (35104, 8338, 7, 'NPI משתמשים');
INSERT INTO `lang_definitions` VALUES (35105, 8339, 7, 'משתמשים רואים את לוח השנה המלא');
INSERT INTO `lang_definitions` VALUES (35106, 8341, 7, 'הקודם');
INSERT INTO `lang_definitions` VALUES (35107, 8342, 7, 'PSA');
INSERT INTO `lang_definitions` VALUES (35108, 8343, 7, 'פסוריאזיס');
INSERT INTO `lang_definitions` VALUES (35109, 8345, 7, 'אבחון פסיכיאטרי');
INSERT INTO `lang_definitions` VALUES (35110, 8346, 7, 'תרופה פסיכיאטרית');
INSERT INTO `lang_definitions` VALUES (35111, 8347, 7, 'פסיכיאטרי');
INSERT INTO `lang_definitions` VALUES (35112, 8348, 7, 'מכתב תדרוך פסיכיאטרי');
INSERT INTO `lang_definitions` VALUES (35113, 8349, 7, 'אבחון פסיכיאטרי');
INSERT INTO `lang_definitions` VALUES (35114, 8350, 7, 'בדיקה פסיכיאטרית');
INSERT INTO `lang_definitions` VALUES (35115, 8352, 7, 'היסטוריה פסיכיאטרית');
INSERT INTO `lang_definitions` VALUES (35116, 8353, 7, 'קליטה פסיכיאטרית');
INSERT INTO `lang_definitions` VALUES (35117, 8354, 7, 'תרופה פסיכיאטרית');
INSERT INTO `lang_definitions` VALUES (35118, 8358, 7, 'מטופל~דירוג~ניקוד~תשלום %');
INSERT INTO `lang_definitions` VALUES (35119, 8360, 7, 'הערות מטופל~ניקוד~דירוג~תשלום');
INSERT INTO `lang_definitions` VALUES (35120, 8361, 7, 'הערות/הרשאת מטופל~ניקוד~דירוג~תשלום');
INSERT INTO `lang_definitions` VALUES (35121, 8362, 7, 'תשלום יתר');
INSERT INTO `lang_definitions` VALUES (35122, 8364, 7, 'שולם');
INSERT INTO `lang_definitions` VALUES (35123, 8365, 7, 'בקשת תיק מטופל');
INSERT INTO `lang_definitions` VALUES (35124, 8366, 7, 'החזר תשלום');
INSERT INTO `lang_definitions` VALUES (35125, 8367, 7, 'שחרור מטופל');
INSERT INTO `lang_definitions` VALUES (35126, 8368, 7, 'דוח מטופל');
INSERT INTO `lang_definitions` VALUES (35127, 8369, 7, 'PT Student, או השאר ריק');
INSERT INTO `lang_definitions` VALUES (35128, 8370, 7, 'PT_CITY');
INSERT INTO `lang_definitions` VALUES (35129, 8371, 7, 'PT_DOB');
INSERT INTO `lang_definitions` VALUES (35130, 8372, 7, 'PT_EMAIL');
INSERT INTO `lang_definitions` VALUES (35131, 8373, 7, 'PT_FNAME');
INSERT INTO `lang_definitions` VALUES (35132, 8374, 7, 'PT_LNAME');
INSERT INTO `lang_definitions` VALUES (35133, 8375, 7, 'PT_MNAME');
INSERT INTO `lang_definitions` VALUES (35134, 8376, 7, 'PT_PHONE_CELL');
INSERT INTO `lang_definitions` VALUES (35135, 8377, 7, 'PT_PHONE_HOME');
INSERT INTO `lang_definitions` VALUES (35136, 8378, 7, 'PT_POSTAL');
INSERT INTO `lang_definitions` VALUES (35137, 8379, 7, 'PT_SSN');
INSERT INTO `lang_definitions` VALUES (35138, 8380, 7, 'PT_STATE');
INSERT INTO `lang_definitions` VALUES (35139, 8381, 7, 'PT_STREET');
INSERT INTO `lang_definitions` VALUES (35140, 8382, 7, 'Pubid');
INSERT INTO `lang_definitions` VALUES (35141, 8383, 7, 'ציבורי');
INSERT INTO `lang_definitions` VALUES (35142, 8386, 7, 'רופא ציבורי');
INSERT INTO `lang_definitions` VALUES (35143, 8387, 7, 'שירות הבריאות הציבורי (PHS) או סוכנות פדרלית אחרות');
INSERT INTO `lang_definitions` VALUES (35144, 8394, 7, 'פורטו ריקנית');
INSERT INTO `lang_definitions` VALUES (35145, 8396, 7, 'ריאתי');
INSERT INTO `lang_definitions` VALUES (35146, 8398, 7, 'דופק');
INSERT INTO `lang_definitions` VALUES (35147, 8399, 7, 'פונג\'אבי');
INSERT INTO `lang_definitions` VALUES (35148, 8401, 7, 'רכישה');
INSERT INTO `lang_definitions` VALUES (35149, 8402, 7, 'רכישה/החזרה');
INSERT INTO `lang_definitions` VALUES (35150, 8403, 7, 'רכישות');
INSERT INTO `lang_definitions` VALUES (35151, 8406, 7, 'P{{יישור כותרת עליונה}}');
INSERT INTO `lang_definitions` VALUES (35152, 8407, 7, 'פאלי');
INSERT INTO `lang_definitions` VALUES (35153, 8408, 7, 'q.3h');
INSERT INTO `lang_definitions` VALUES (35154, 8409, 7, 'q.4h');
INSERT INTO `lang_definitions` VALUES (35155, 8410, 7, 'q.5h');
INSERT INTO `lang_definitions` VALUES (35156, 8411, 7, 'q.6h');
INSERT INTO `lang_definitions` VALUES (35157, 8412, 7, 'q.8h');
INSERT INTO `lang_definitions` VALUES (35158, 8413, 7, 'q.d.');
INSERT INTO `lang_definitions` VALUES (35159, 8414, 7, 'q.i.d.');
INSERT INTO `lang_definitions` VALUES (35160, 8417, 7, 'QOH');
INSERT INTO `lang_definitions` VALUES (35161, 8418, 7, 'QOH קטן מהשימוש החודשי');
INSERT INTO `lang_definitions` VALUES (35162, 8419, 7, 'כמות');
INSERT INTO `lang_definitions` VALUES (35163, 8420, 7, 'כמות');
INSERT INTO `lang_definitions` VALUES (35164, 8421, 7, 'איכות');
INSERT INTO `lang_definitions` VALUES (35165, 8422, 7, 'מדידות איכות (CQM)');
INSERT INTO `lang_definitions` VALUES (35166, 8423, 7, 'כמות');
INSERT INTO `lang_definitions` VALUES (35167, 8425, 7, 'כמות עבור NDC');
INSERT INTO `lang_definitions` VALUES (35168, 8426, 7, 'כמות זמינה');
INSERT INTO `lang_definitions` VALUES (35169, 8427, 7, 'נראה שהכמות אינה מתאימה לשימוש');
INSERT INTO `lang_definitions` VALUES (35170, 8429, 7, 'קצ\'ואה');
INSERT INTO `lang_definitions` VALUES (35171, 8431, 7, 'סימן שאלה');
INSERT INTO `lang_definitions` VALUES (35172, 8432, 7, 'תור לעיבוד אצווה של HCFA');
INSERT INTO `lang_definitions` VALUES (35173, 8433, 7, 'תור לעיבוד והדפסה באצווה של HCFA');
INSERT INTO `lang_definitions` VALUES (35174, 8434, 7, 'תור לעיבוד אצווה של UB-92');
INSERT INTO `lang_definitions` VALUES (35175, 8435, 7, 'תור לעיבוד והדפסה באצווה של UB-92');
INSERT INTO `lang_definitions` VALUES (35176, 8436, 7, 'בתור');
INSERT INTO `lang_definitions` VALUES (35177, 8437, 7, 'ניהול אירועים בתור');
INSERT INTO `lang_definitions` VALUES (35178, 8438, 7, 'בתור עבור');
INSERT INTO `lang_definitions` VALUES (35179, 8439, 7, 'בתור להעברה');
INSERT INTO `lang_definitions` VALUES (35180, 8440, 7, 'ניהול שליחות בתור');
INSERT INTO `lang_definitions` VALUES (35181, 8442, 7, 'יציאה');
INSERT INTO `lang_definitions` VALUES (35182, 8443, 7, 'גמילה מאלכוהול');
INSERT INTO `lang_definitions` VALUES (35183, 8445, 7, 'R');
INSERT INTO `lang_definitions` VALUES (35184, 8451, 7, 'RA למטופל, מפגש או מעקב');
INSERT INTO `lang_definitions` VALUES (35185, 8452, 7, 'גזע');
INSERT INTO `lang_definitions` VALUES (35186, 8453, 7, 'גזע וקבוצה אתנית');
INSERT INTO `lang_definitions` VALUES (35187, 8454, 7, 'גזע/קבוצה אתנית');
INSERT INTO `lang_definitions` VALUES (35188, 8456, 7, 'רדיו');
INSERT INTO `lang_definitions` VALUES (35189, 8457, 7, 'לחצני אפשרויות');
INSERT INTO `lang_definitions` VALUES (35190, 8461, 7, 'בדיקת סמים אקראית');
INSERT INTO `lang_definitions` VALUES (35191, 8462, 7, 'טווח');
INSERT INTO `lang_definitions` VALUES (35192, 8463, 7, 'פריחה');
INSERT INTO `lang_definitions` VALUES (35193, 8464, 7, 'תעריף~שיעור~יחס');
INSERT INTO `lang_definitions` VALUES (35194, 8466, 7, 'יחס');
INSERT INTO `lang_definitions` VALUES (35195, 8467, 7, 'דוח גולמי');
INSERT INTO `lang_definitions` VALUES (35196, 8475, 7, 'זיהוי מחדש');
INSERT INTO `lang_definitions` VALUES (35197, 8476, 7, 'תהליך הזיהוי מחדש הושלם');
INSERT INTO `lang_definitions` VALUES (35198, 8477, 7, 'תהליך הזיהוי מחדש מתבצע');
INSERT INTO `lang_definitions` VALUES (35199, 8478, 7, 'קובצי הזיהוי מחדש יישמרו ב:');
INSERT INTO `lang_definitions` VALUES (35200, 8479, 7, 'פציעה חוזרת?');
INSERT INTO `lang_definitions` VALUES (35201, 8480, 7, 'פתח מחדש');
INSERT INTO `lang_definitions` VALUES (35202, 8482, 7, 'נפתח מחדש');
INSERT INTO `lang_definitions` VALUES (35203, 8484, 7, 'תגובה');
INSERT INTO `lang_definitions` VALUES (35204, 8486, 7, 'תגובות');
INSERT INTO `lang_definitions` VALUES (35205, 8489, 7, 'נקרא~קרא~קריאה');
INSERT INTO `lang_definitions` VALUES (35206, 8490, 7, 'לקריאה בלבד');
INSERT INTO `lang_definitions` VALUES (35207, 8495, 7, 'לקריאה בלבד מההיסטוריה');
INSERT INTO `lang_definitions` VALUES (35208, 8496, 7, 'שם אמיתי');
INSERT INTO `lang_definitions` VALUES (35209, 8497, 7, 'מחק באמת');
INSERT INTO `lang_definitions` VALUES (35210, 8498, 7, 'סיבה');
INSERT INTO `lang_definitions` VALUES (35211, 8499, 7, 'סיבת הפטירה');
INSERT INTO `lang_definitions` VALUES (35212, 8500, 7, 'סיבת המוות');
INSERT INTO `lang_definitions` VALUES (35213, 8501, 7, 'סיבה להפניה');
INSERT INTO `lang_definitions` VALUES (35214, 8502, 7, 'סיבה להפניה');
INSERT INTO `lang_definitions` VALUES (35215, 8504, 7, 'סיבה לביקור');
INSERT INTO `lang_definitions` VALUES (35216, 8506, 7, 'סיבת הגעה/ טפסים');
INSERT INTO `lang_definitions` VALUES (35217, 8521, 7, 'קבלה');
INSERT INTO `lang_definitions` VALUES (35218, 8522, 7, 'קבלה עבור תשלום');
INSERT INTO `lang_definitions` VALUES (35219, 8523, 7, 'קבלה נוצרה');
INSERT INTO `lang_definitions` VALUES (35220, 8524, 7, 'קבלות לפי דוח שיטת תשלום');
INSERT INTO `lang_definitions` VALUES (35221, 8525, 7, 'סיכום קבלות');
INSERT INTO `lang_definitions` VALUES (35222, 8526, 7, 'התקבל');
INSERT INTO `lang_definitions` VALUES (35223, 8527, 7, 'התקבל על-ידי');
INSERT INTO `lang_definitions` VALUES (35224, 8528, 7, 'פקסים שהתקבלו');
INSERT INTO `lang_definitions` VALUES (35225, 8530, 7, 'התקבל, לא נסקר');
INSERT INTO `lang_definitions` VALUES (35226, 8531, 7, 'התקבל, טרם נסקר');
INSERT INTO `lang_definitions` VALUES (35227, 8532, 7, 'מקלט');
INSERT INTO `lang_definitions` VALUES (35228, 8533, 7, 'מזהה מקלט');
INSERT INTO `lang_definitions` VALUES (35229, 8534, 7, 'מזהה מקלט (ISA08)');
INSERT INTO `lang_definitions` VALUES (35230, 8535, 7, 'מזהה מקלט (ISA07)');
INSERT INTO `lang_definitions` VALUES (35231, 8536, 7, 'מזהי מקלט');
INSERT INTO `lang_definitions` VALUES (35232, 8540, 7, 'אין להשתמש באחת משלוש הסיסמאות האחרונות.');
INSERT INTO `lang_definitions` VALUES (35233, 8542, 7, 'נמען');
INSERT INTO `lang_definitions` VALUES (35234, 8543, 7, 'רשימת הנמענים~המקבלים ריקה');
INSERT INTO `lang_definitions` VALUES (35235, 8544, 7, 'המקבל');
INSERT INTO `lang_definitions` VALUES (35236, 8545, 7, 'מקבל המידע');
INSERT INTO `lang_definitions` VALUES (35237, 8546, 7, 'נדרש נמען, אלא אם המצב הוא \'בוצע\'');
INSERT INTO `lang_definitions` VALUES (35238, 8549, 7, 'המלצה');
INSERT INTO `lang_definitions` VALUES (35239, 8551, 7, 'המלצה להמשך טיפול');
INSERT INTO `lang_definitions` VALUES (35240, 8552, 7, 'המלצות');
INSERT INTO `lang_definitions` VALUES (35241, 8553, 7, 'המלצות וטיפול');
INSERT INTO `lang_definitions` VALUES (35242, 8554, 7, 'המלצות לפי מומחה');
INSERT INTO `lang_definitions` VALUES (35243, 8557, 7, 'תיעוד');
INSERT INTO `lang_definitions` VALUES (35244, 8558, 7, 'הרשומה כבר קיימת');
INSERT INTO `lang_definitions` VALUES (35245, 8559, 7, 'שינויים ברשומות ובתרשימים של סימנים חיוניים (גובה/משקל/לחץ דם בטווח).');
INSERT INTO `lang_definitions` VALUES (35246, 8560, 7, 'שינויים ברשומות ובתרשימים של סימנים חיוניים (לחץ דם מחוץ לטווח).');
INSERT INTO `lang_definitions` VALUES (35247, 8561, 7, 'שינויים ברשומות ובתרשימים של סימנים חיוניים (גובה/משקל מחוץ לטווח).');
INSERT INTO `lang_definitions` VALUES (35248, 8562, 7, 'שינויים ברשומות ובתרשימים של סימנים חיוניים (חדש).');
INSERT INTO `lang_definitions` VALUES (35249, 8563, 7, 'שינויים ברשומות ובתרשימים של סימנים חיוניים (סט~הגדר 1).');
INSERT INTO `lang_definitions` VALUES (35250, 8564, 7, 'שינויים ברשומות ובתרשימים של סימנים חיוניים.');
INSERT INTO `lang_definitions` VALUES (35251, 8565, 7, 'תעד דמוגרפיה.');
INSERT INTO `lang_definitions` VALUES (35252, 8566, 7, 'תיעוד העברת מידע');
INSERT INTO `lang_definitions` VALUES (35253, 8567, 7, 'תיעוד כושר');
INSERT INTO `lang_definitions` VALUES (35254, 8568, 7, 'תיעוד תשלום');
INSERT INTO `lang_definitions` VALUES (35255, 8570, 7, 'תיעוד תאריך בקשה~תאריך בקשת תיעוד');
INSERT INTO `lang_definitions` VALUES (35256, 8571, 7, 'תיעוד מצב עישון עבור מטופלים בגילאי 13 ומעלה.');
INSERT INTO `lang_definitions` VALUES (35257, 8572, 7, 'רשומות');
INSERT INTO `lang_definitions` VALUES (35258, 8573, 7, 'רשומות נמצאו');
INSERT INTO `lang_definitions` VALUES (35259, 8574, 7, 'רשומות נמצאו.');
INSERT INTO `lang_definitions` VALUES (35260, 8576, 7, 'שימוש בסמים פסיכו-אקטיביים');
INSERT INTO `lang_definitions` VALUES (35261, 8577, 7, 'סמים פסיכו-אקטיביים');
INSERT INTO `lang_definitions` VALUES (35262, 8578, 7, 'רקטאלי');
INSERT INTO `lang_definitions` VALUES (35263, 8579, 7, 'בדיקה רקטאלית');
INSERT INTO `lang_definitions` VALUES (35264, 8580, 7, 'רקטאלית');
INSERT INTO `lang_definitions` VALUES (35265, 8582, 7, 'מחזוריות');
INSERT INTO `lang_definitions` VALUES (35266, 8592, 7, 'ניתוב מחדש');
INSERT INTO `lang_definitions` VALUES (35267, 8593, 7, 'אדמומיות');
INSERT INTO `lang_definitions` VALUES (35268, 8595, 7, 'הופחת:');
INSERT INTO `lang_definitions` VALUES (35269, 8597, 7, 'הפניה');
INSERT INTO `lang_definitions` VALUES (35270, 8598, 7, 'הפניה על-ידי');
INSERT INTO `lang_definitions` VALUES (35271, 8599, 7, 'תאריך הפניה');
INSERT INTO `lang_definitions` VALUES (35272, 8600, 7, 'הפניה ל:');
INSERT INTO `lang_definitions` VALUES (35273, 8603, 7, 'סיווג אסמכתא (רמת סיכון)');
INSERT INTO `lang_definitions` VALUES (35274, 8604, 7, 'טווח אסמכתא של תוצאות');
INSERT INTO `lang_definitions` VALUES (35275, 8605, 7, 'סיבה לאסמכתא');
INSERT INTO `lang_definitions` VALUES (35276, 8608, 7, 'מפנה');
INSERT INTO `lang_definitions` VALUES (35277, 8609, 7, 'שם וחתימת המפנה');
INSERT INTO `lang_definitions` VALUES (35278, 8610, 7, 'הפניה');
INSERT INTO `lang_definitions` VALUES (35279, 8611, 7, 'הפניה על-ידי');
INSERT INTO `lang_definitions` VALUES (35280, 8612, 7, 'כרטיס הפניה');
INSERT INTO `lang_definitions` VALUES (35281, 8613, 7, 'תאריך הפניה');
INSERT INTO `lang_definitions` VALUES (35282, 8614, 7, 'טופס הפניה');
INSERT INTO `lang_definitions` VALUES (35283, 8615, 7, 'טופס הפניה');
INSERT INTO `lang_definitions` VALUES (35284, 8616, 7, 'מזהה הפניה');
INSERT INTO `lang_definitions` VALUES (35285, 8618, 7, 'סיבה להפניה');
INSERT INTO `lang_definitions` VALUES (35286, 8619, 7, 'מקור להפניה');
INSERT INTO `lang_definitions` VALUES (35287, 8620, 7, 'מקושר הפניה עבור מפגשים');
INSERT INTO `lang_definitions` VALUES (35288, 8621, 7, 'הפניה ל:');
INSERT INTO `lang_definitions` VALUES (35289, 8622, 7, 'הפניות');
INSERT INTO `lang_definitions` VALUES (35290, 8623, 7, 'דוח הפניות');
INSERT INTO `lang_definitions` VALUES (35291, 8624, 7, 'תועד על ידי');
INSERT INTO `lang_definitions` VALUES (35292, 8625, 7, 'תועד על ידי');
INSERT INTO `lang_definitions` VALUES (35293, 8627, 7, 'הופנה ל:');
INSERT INTO `lang_definitions` VALUES (35294, 8628, 7, 'מפנה');
INSERT INTO `lang_definitions` VALUES (35295, 8629, 7, 'כתובת מפנה');
INSERT INTO `lang_definitions` VALUES (35296, 8630, 7, 'אבחון מפנה');
INSERT INTO `lang_definitions` VALUES (35297, 8631, 7, 'אבחון מפנה');
INSERT INTO `lang_definitions` VALUES (35298, 8633, 7, 'רופא ופרקטיקה של הפניה');
INSERT INTO `lang_definitions` VALUES (35299, 8635, 7, 'ספק מפנה');
INSERT INTO `lang_definitions` VALUES (35300, 8636, 7, 'מילוי מחדש');
INSERT INTO `lang_definitions` VALUES (35301, 8639, 7, 'מילויים מחדש');
INSERT INTO `lang_definitions` VALUES (35302, 8640, 7, 'מילויים מחדש');
INSERT INTO `lang_definitions` VALUES (35303, 8641, 7, 'רפלקסים תקינים');
INSERT INTO `lang_definitions` VALUES (35304, 8645, 7, 'רענן');
INSERT INTO `lang_definitions` VALUES (35305, 8646, 7, 'רענן מסך');
INSERT INTO `lang_definitions` VALUES (35306, 8648, 7, 'מרענן תזכורות');
INSERT INTO `lang_definitions` VALUES (35307, 8649, 7, 'החזר');
INSERT INTO `lang_definitions` VALUES (35308, 8650, 7, 'סירב');
INSERT INTO `lang_definitions` VALUES (35309, 8651, 7, 'סירב לציין');
INSERT INTO `lang_definitions` VALUES (35310, 8652, 7, 'reg_re');
INSERT INTO `lang_definitions` VALUES (35311, 8655, 7, 'רישום');
INSERT INTO `lang_definitions` VALUES (35312, 8656, 7, 'רישום');
INSERT INTO `lang_definitions` VALUES (35313, 8662, 7, 'נרשם');
INSERT INTO `lang_definitions` VALUES (35314, 8663, 7, 'נרשם');
INSERT INTO `lang_definitions` VALUES (35315, 8666, 7, 'מודולים רשומים');
INSERT INTO `lang_definitions` VALUES (35316, 8668, 7, 'תאריך רישום');
INSERT INTO `lang_definitions` VALUES (35317, 8671, 7, 'טופס רישום');
INSERT INTO `lang_definitions` VALUES (35318, 8672, 7, 'שיקום');
INSERT INTO `lang_definitions` VALUES (35319, 8673, 7, 'רופא שיקום');
INSERT INTO `lang_definitions` VALUES (35320, 8674, 7, 'נדחה');
INSERT INTO `lang_definitions` VALUES (35321, 8675, 7, 'פוטנציאל להידרדרות');
INSERT INTO `lang_definitions` VALUES (35322, 8676, 7, 'קשור ל:');
INSERT INTO `lang_definitions` VALUES (35323, 8677, 7, 'קשור');
INSERT INTO `lang_definitions` VALUES (35324, 8678, 7, 'בעיה קשורה');
INSERT INTO `lang_definitions` VALUES (35325, 8679, 7, 'הערת מטופל קשורות');
INSERT INTO `lang_definitions` VALUES (35326, 8680, 7, 'קשרים/ילדים');
INSERT INTO `lang_definitions` VALUES (35327, 8681, 7, 'קשרים');
INSERT INTO `lang_definitions` VALUES (35328, 8682, 7, 'קשרים');
INSERT INTO `lang_definitions` VALUES (35329, 8683, 7, 'סדר יחסי~הזמנה יחסית של ישות זו');
INSERT INTO `lang_definitions` VALUES (35330, 8684, 7, 'קרובי משפחה');
INSERT INTO `lang_definitions` VALUES (35331, 8686, 7, 'לחץ דם יחסי');
INSERT INTO `lang_definitions` VALUES (35332, 8687, 7, 'סרטן אצל קרובי משפחה');
INSERT INTO `lang_definitions` VALUES (35333, 8688, 7, 'סוכרת אצל קרובי משפחה');
INSERT INTO `lang_definitions` VALUES (35334, 8689, 7, 'אפילפסיה אצל קרובי משפחה');
INSERT INTO `lang_definitions` VALUES (35335, 8690, 7, 'לב אצל קרובי משפחה');
INSERT INTO `lang_definitions` VALUES (35336, 8691, 7, 'מחלות נפש אצל קרובי משפחה');
INSERT INTO `lang_definitions` VALUES (35337, 8692, 7, 'שבץ אצל קרובי משפחה');
INSERT INTO `lang_definitions` VALUES (35338, 8693, 7, 'התאבדות אצל קרובי משפחה');
INSERT INTO `lang_definitions` VALUES (35339, 8694, 7, 'שחפת אצל קרובי משפחה');
INSERT INTO `lang_definitions` VALUES (35340, 8695, 7, 'אישורי Relay Health חסרים בחשבון משתמש זה.');
INSERT INTO `lang_definitions` VALUES (35341, 8696, 7, 'מזהה Relay Health');
INSERT INTO `lang_definitions` VALUES (35342, 8697, 7, 'שחרור');
INSERT INTO `lang_definitions` VALUES (35343, 8698, 7, 'תאריך שחרור');
INSERT INTO `lang_definitions` VALUES (35344, 8700, 7, 'דת');
INSERT INTO `lang_definitions` VALUES (35345, 8701, 7, 'שיוך דתי');
INSERT INTO `lang_definitions` VALUES (35346, 8703, 7, 'טען מחדש');
INSERT INTO `lang_definitions` VALUES (35347, 8705, 7, 'היכנס מחדש');
INSERT INTO `lang_definitions` VALUES (35348, 8706, 7, 'תזכורת');
INSERT INTO `lang_definitions` VALUES (35349, 8709, 7, 'זכור מתקן נבחר');
INSERT INTO `lang_definitions` VALUES (35350, 8712, 7, 'תזכורת');
INSERT INTO `lang_definitions` VALUES (35351, 8715, 7, 'מרווחי זמן לתזכורת');
INSERT INTO `lang_definitions` VALUES (35352, 8716, 7, 'טרם נשלחה תזכורת');
INSERT INTO `lang_definitions` VALUES (35353, 8720, 7, 'שליחת תזכורת ב:');
INSERT INTO `lang_definitions` VALUES (35354, 8725, 7, 'תזכורות');
INSERT INTO `lang_definitions` VALUES (35355, 8726, 7, 'שלח סילוק חוב אל');
INSERT INTO `lang_definitions` VALUES (35356, 8727, 7, 'מארח מרוחק');
INSERT INTO `lang_definitions` VALUES (35357, 8729, 7, 'הסר');
INSERT INTO `lang_definitions` VALUES (35358, 8730, 7, 'הסר את כל הכללים מהתוכנית');
INSERT INTO `lang_definitions` VALUES (35359, 8731, 7, 'הסר חלונית תחתונה');
INSERT INTO `lang_definitions` VALUES (35360, 8733, 7, 'הסר קבוצה');
INSERT INTO `lang_definitions` VALUES (35361, 8734, 7, 'הסר טופס קבוצה');
INSERT INTO `lang_definitions` VALUES (35362, 8738, 7, 'הסר תמיכה לחיסונים');
INSERT INTO `lang_definitions` VALUES (35363, 8739, 7, 'הסר תמיכה ל-phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (35364, 8740, 7, 'הסר תמיכה למרשמים');
INSERT INTO `lang_definitions` VALUES (35365, 8741, 7, 'מסיר את החלונית התחתונה כברירת מחדל בעת הפעלת המערכת.');
INSERT INTO `lang_definitions` VALUES (35366, 8742, 7, 'מסיר את תכונת מעקב התרשים');
INSERT INTO `lang_definitions` VALUES (35367, 8743, 7, 'אבנים בכליות');
INSERT INTO `lang_definitions` VALUES (35368, 8744, 7, 'שינוי שם');
INSERT INTO `lang_definitions` VALUES (35369, 8745, 7, 'שנה שם קבוצה');
INSERT INTO `lang_definitions` VALUES (35370, 8746, 7, 'מעבד');
INSERT INTO `lang_definitions` VALUES (35371, 8747, 7, 'מעבד ספק~ספק מעבד');
INSERT INTO `lang_definitions` VALUES (35372, 8748, 7, 'מעבד מספר ספק~מספר ספק מעבד');
INSERT INTO `lang_definitions` VALUES (35373, 8750, 7, 'שינוי סדר~הזמן מחדש');
INSERT INTO `lang_definitions` VALUES (35374, 8751, 7, 'שינוי סדר~הזמן מחדש ב:');
INSERT INTO `lang_definitions` VALUES (35375, 8752, 7, 'הגעת לנקודת שינוי סדר~הזמנה מחדש');
INSERT INTO `lang_definitions` VALUES (35376, 8753, 7, 'נקודת שינוי סדר~הזמנה מחדש, 0 אם לא רלוונטי');
INSERT INTO `lang_definitions` VALUES (35377, 8754, 7, 'נציג');
INSERT INTO `lang_definitions` VALUES (35378, 8756, 7, 'חזור על הסיסמה החדשה');
INSERT INTO `lang_definitions` VALUES (35379, 8758, 7, 'אירוע חוזר');
INSERT INTO `lang_definitions` VALUES (35380, 8759, 7, 'פרטים חוזרים:');
INSERT INTO `lang_definitions` VALUES (35381, 8760, 7, 'חזרות');
INSERT INTO `lang_definitions` VALUES (35382, 8761, 7, 'החלף');
INSERT INTO `lang_definitions` VALUES (35383, 8763, 7, 'החלף את כל מערך הקודים');
INSERT INTO `lang_definitions` VALUES (35384, 8766, 7, 'הוחלף');
INSERT INTO `lang_definitions` VALUES (35385, 8771, 7, 'תאריך מענה');
INSERT INTO `lang_definitions` VALUES (35386, 8772, 7, 'מענה מ:');
INSERT INTO `lang_definitions` VALUES (35387, 8774, 7, 'דוח');
INSERT INTO `lang_definitions` VALUES (35388, 8776, 7, 'דוח - קליני');
INSERT INTO `lang_definitions` VALUES (35389, 8778, 7, 'דוח - יצירת רשימת מטופלים');
INSERT INTO `lang_definitions` VALUES (35390, 8779, 7, 'דוח על-ידי');
INSERT INTO `lang_definitions` VALUES (35391, 8781, 7, 'תאריך דוח');
INSERT INTO `lang_definitions` VALUES (35392, 8782, 7, 'סיום דוח (תאריך סיום~ויתור טיפול)');
INSERT INTO `lang_definitions` VALUES (35393, 8783, 7, 'הדוח נשלח למטופל.');
INSERT INTO `lang_definitions` VALUES (35394, 8784, 7, 'היסטוריית/תוצאות דוחות');
INSERT INTO `lang_definitions` VALUES (35395, 8786, 7, 'תוצאות דוח');
INSERT INTO `lang_definitions` VALUES (35396, 8787, 7, 'תוצאות/היסטוריית דוחות');
INSERT INTO `lang_definitions` VALUES (35397, 8788, 7, 'תחילת דוח (תאריך תחילת טיפול)');
INSERT INTO `lang_definitions` VALUES (35398, 8789, 7, 'מצב דוח');
INSERT INTO `lang_definitions` VALUES (35399, 8790, 7, 'סיכומי דוח');
INSERT INTO `lang_definitions` VALUES (35400, 8792, 7, 'דוח/טופס');
INSERT INTO `lang_definitions` VALUES (35401, 8794, 7, 'לדיווח');
INSERT INTO `lang_definitions` VALUES (35402, 8795, 7, 'מדווח');
INSERT INTO `lang_definitions` VALUES (35403, 8796, 7, 'תאריך דיווח');
INSERT INTO `lang_definitions` VALUES (35404, 8797, 7, 'דוחות');
INSERT INTO `lang_definitions` VALUES (35405, 8799, 7, 'בקשה ותגובה');
INSERT INTO `lang_definitions` VALUES (35406, 8801, 7, 'תיאור בקשה');
INSERT INTO `lang_definitions` VALUES (35407, 8803, 7, 'מזהה בקשה חסר!');
INSERT INTO `lang_definitions` VALUES (35408, 8804, 7, 'המערכת התעלמה מהבקשה - עיבוד תביעות כבר פועל!');
INSERT INTO `lang_definitions` VALUES (35409, 8808, 7, 'בקשה בלבד');
INSERT INTO `lang_definitions` VALUES (35410, 8809, 7, 'מצב בקשה');
INSERT INTO `lang_definitions` VALUES (35411, 8810, 7, 'סוג בקשה');
INSERT INTO `lang_definitions` VALUES (35412, 8811, 7, 'סוג הבקשה אינו מיושם');
INSERT INTO `lang_definitions` VALUES (35413, 8813, 7, 'מבוקש על-ידי');
INSERT INTO `lang_definitions` VALUES (35414, 8814, 7, 'תאריך בקשה');
INSERT INTO `lang_definitions` VALUES (35415, 8815, 7, 'שירות מבוקש');
INSERT INTO `lang_definitions` VALUES (35416, 8819, 7, 'דרוש סיסמאות חזקות');
INSERT INTO `lang_definitions` VALUES (35417, 8820, 7, 'דרוש סיסמאות ייחודיות');
INSERT INTO `lang_definitions` VALUES (35418, 8821, 7, 'חובה');
INSERT INTO `lang_definitions` VALUES (35419, 8823, 7, 'השתתפות עצמית נדרשת');
INSERT INTO `lang_definitions` VALUES (35420, 8824, 7, 'שדה חובה חסר: בחר קובץ EDI-271 להעלאה');
INSERT INTO `lang_definitions` VALUES (35421, 8825, 7, 'שדה חובה חסר: הזן שם פרטי');
INSERT INTO `lang_definitions` VALUES (35422, 8826, 7, 'שדה חובה חסר: הזן שם משפחה');
INSERT INTO `lang_definitions` VALUES (35423, 8827, 7, 'שדה חובה חסר: הזן שם משתמש');
INSERT INTO `lang_definitions` VALUES (35424, 8828, 7, 'שדות חובה');
INSERT INTO `lang_definitions` VALUES (35425, 8829, 7, 'דרישות');
INSERT INTO `lang_definitions` VALUES (35426, 8832, 7, 'שמור');
INSERT INTO `lang_definitions` VALUES (35427, 8833, 7, 'שמור');
INSERT INTO `lang_definitions` VALUES (35428, 8834, 7, 'שמור לשימוש להגדרת זמן חופשה מתוכנן');
INSERT INTO `lang_definitions` VALUES (35429, 8835, 7, 'שמור להגדרת הזמן שאחריו לספק לא יהיו פגישות זמינות.');
INSERT INTO `lang_definitions` VALUES (35430, 8836, 7, 'שמור להגדרת הזמן שבו אירוע לא אירע כמצוין.');
INSERT INTO `lang_definitions` VALUES (35431, 8837, 7, 'שמור להגדרת הזמן שאחריו לספק עשויות להיות פגישות זמינות.');
INSERT INTO `lang_definitions` VALUES (35432, 8838, 7, 'איפוס');
INSERT INTO `lang_definitions` VALUES (35433, 8842, 7, 'איפוס אישורי פורטל מחוץ לאתר');
INSERT INTO `lang_definitions` VALUES (35434, 8844, 7, 'איפוס אישורי פורטל באתר');
INSERT INTO `lang_definitions` VALUES (35435, 8847, 7, 'רופא חבר');
INSERT INTO `lang_definitions` VALUES (35436, 8850, 7, 'Resn');
INSERT INTO `lang_definitions` VALUES (35437, 8852, 7, 'נפתר');
INSERT INTO `lang_definitions` VALUES (35438, 8855, 7, 'נשימה');
INSERT INTO `lang_definitions` VALUES (35439, 8856, 7, 'נשימה לא מאומצת');
INSERT INTO `lang_definitions` VALUES (35440, 8857, 7, 'נשימתי');
INSERT INTO `lang_definitions` VALUES (35441, 8859, 7, 'תגובה בלבד');
INSERT INTO `lang_definitions` VALUES (35442, 8864, 7, 'הגבל משתמשים שאינם מורשים למתקני התזמון המוגדרים בניהול המשתמשים.');
INSERT INTO `lang_definitions` VALUES (35443, 8865, 7, 'הגבל משתמשים למתקנים');
INSERT INTO `lang_definitions` VALUES (35444, 8866, 7, 'הכשרה מוגבלת');
INSERT INTO `lang_definitions` VALUES (35445, 8867, 7, 'תוצאה');
INSERT INTO `lang_definitions` VALUES (35446, 8868, 7, 'שם תוצאה');
INSERT INTO `lang_definitions` VALUES (35447, 8869, 7, 'מצב תוצאה');
INSERT INTO `lang_definitions` VALUES (35448, 8870, 7, 'מצב תוצאות או חריגה חסרים');
INSERT INTO `lang_definitions` VALUES (35449, 8871, 7, 'תוצאה, השתמש ב-% בתור תו כללי');
INSERT INTO `lang_definitions` VALUES (35450, 8872, 7, 'תוצאות');
INSERT INTO `lang_definitions` VALUES (35451, 8873, 7, 'תוצאות וכן');
INSERT INTO `lang_definitions` VALUES (35452, 8874, 7, 'נמצאו תוצאות עבור החיפוש');
INSERT INTO `lang_definitions` VALUES (35453, 8875, 7, 'קבוצת תוצאות');
INSERT INTO `lang_definitions` VALUES (35454, 8876, 7, 'תוצאות בלבד');
INSERT INTO `lang_definitions` VALUES (35455, 8877, 7, 'נתיב תוצאות');
INSERT INTO `lang_definitions` VALUES (35456, 8879, 7, 'תוצאות לדף');
INSERT INTO `lang_definitions` VALUES (35457, 8880, 7, 'תוצאות/פרטים');
INSERT INTO `lang_definitions` VALUES (35458, 8884, 7, 'בדיקת רשתית');
INSERT INTO `lang_definitions` VALUES (35459, 8885, 7, 'נסיגה ימין:');
INSERT INTO `lang_definitions` VALUES (35460, 8886, 7, 'חזרה');
INSERT INTO `lang_definitions` VALUES (35461, 8887, 7, 'החזר תא החלק למעלה עם התשלום שלך');
INSERT INTO `lang_definitions` VALUES (35462, 8890, 7, 'חזרה ללוח שנה');
INSERT INTO `lang_definitions` VALUES (35463, 8891, 7, 'חזרה לתוצאות דוח');
INSERT INTO `lang_definitions` VALUES (35464, 8892, 7, 'חזור לדף זה, ותוכל להשלים את תהליך ההתקנה של ICD10 על-ידי לחיצה על הכותרת העליונה של מקטע ICD10');
INSERT INTO `lang_definitions` VALUES (35465, 8893, 7, 'חזור לדף זה, ותוכל להשלים את תהליך ההתקנה של ICD9 על-ידי לחיצה על הכותרת העליונה של מקטע ICD9');
INSERT INTO `lang_definitions` VALUES (35466, 8894, 7, 'חזור לדף זה, ותוכל להשלים את תהליך ההתקנה של RxNorm על-ידי לחיצה על הכותרת העליונה של מקטע RXNORM');
INSERT INTO `lang_definitions` VALUES (35467, 8895, 7, 'חזור לדף זה, ותוכל להשלים את תהליך ההתקנה של Snomed על-ידי לחיצה על הכותרת העליונה של מקטע SNOMED');
INSERT INTO `lang_definitions` VALUES (35468, 8897, 7, 'החזר ערך');
INSERT INTO `lang_definitions` VALUES (35469, 8898, 7, 'החזר ביקור');
INSERT INTO `lang_definitions` VALUES (35470, 8899, 7, 'חזר לשחק');
INSERT INTO `lang_definitions` VALUES (35471, 8901, 7, 'שימוש חוזר בשלוש הסיסמאות הקודמות אינו מותר!');
INSERT INTO `lang_definitions` VALUES (35472, 8909, 7, 'סקירה');
INSERT INTO `lang_definitions` VALUES (35473, 8910, 7, 'סקירה ואישור');
INSERT INTO `lang_definitions` VALUES (35474, 8912, 7, 'סקירה ואישור');
INSERT INTO `lang_definitions` VALUES (35475, 8914, 7, 'סקירת PMH:');
INSERT INTO `lang_definitions` VALUES (35476, 8917, 7, 'סקירת מערכות');
INSERT INTO `lang_definitions` VALUES (35477, 8918, 7, 'סקירה של בדיקות מערכות');
INSERT INTO `lang_definitions` VALUES (35478, 8921, 7, 'נסקר');
INSERT INTO `lang_definitions` VALUES (35479, 8924, 7, 'מהדורה');
INSERT INTO `lang_definitions` VALUES (35480, 8925, 7, 'דלקת מפרקים שיגרונית');
INSERT INTO `lang_definitions` VALUES (35481, 8926, 7, 'דלקת מפרקים שיגרונית');
INSERT INTO `lang_definitions` VALUES (35482, 8928, 7, 'ימין');
INSERT INTO `lang_definitions` VALUES (35483, 8931, 7, 'אוזן ימין');
INSERT INTO `lang_definitions` VALUES (35484, 8932, 7, 'אוזן ימין');
INSERT INTO `lang_definitions` VALUES (35485, 8936, 7, 'שוליים ימניים (מ\"מ)');
INSERT INTO `lang_definitions` VALUES (35486, 8940, 7, 'ימין:');
INSERT INTO `lang_definitions` VALUES (35487, 8941, 7, 'צלצול באוזניים');
INSERT INTO `lang_definitions` VALUES (35488, 8942, 7, 'צלצול באוזניים');
INSERT INTO `lang_definitions` VALUES (35489, 8943, 7, 'הערכת קטגוריית סיכון');
INSERT INTO `lang_definitions` VALUES (35490, 8944, 7, 'גורמי סיכון');
INSERT INTO `lang_definitions` VALUES (35491, 8945, 7, 'רמת סיכון');
INSERT INTO `lang_definitions` VALUES (35492, 8949, 7, 'RLL:');
INSERT INTO `lang_definitions` VALUES (35493, 8955, 7, 'ROM');
INSERT INTO `lang_definitions` VALUES (35494, 8956, 7, 'רומנית');
INSERT INTO `lang_definitions` VALUES (35495, 8957, 7, 'רומנש');
INSERT INTO `lang_definitions` VALUES (35496, 8958, 7, 'חדר 1');
INSERT INTO `lang_definitions` VALUES (35497, 8959, 7, 'חדר 2');
INSERT INTO `lang_definitions` VALUES (35498, 8960, 7, 'חדר 3');
INSERT INTO `lang_definitions` VALUES (35499, 8961, 7, 'מספר חדר');
INSERT INTO `lang_definitions` VALUES (35500, 8962, 7, 'שותף לדירה');
INSERT INTO `lang_definitions` VALUES (35501, 8963, 7, 'מערך');
INSERT INTO `lang_definitions` VALUES (35502, 8966, 7, 'מסלול');
INSERT INTO `lang_definitions` VALUES (35503, 8967, 7, 'מסלול הנתינה, אם רלוונטי');
INSERT INTO `lang_definitions` VALUES (35504, 8968, 7, 'מנותב במסלול');
INSERT INTO `lang_definitions` VALUES (35505, 8969, 7, 'שורות');
INSERT INTO `lang_definitions` VALUES (35506, 8971, 7, 'RRR ללא MOR');
INSERT INTO `lang_definitions` VALUES (35507, 8972, 7, 'שפשוף:');
INSERT INTO `lang_definitions` VALUES (35508, 8973, 7, 'שפשופים:');
INSERT INTO `lang_definitions` VALUES (35509, 8974, 7, 'כלל');
INSERT INTO `lang_definitions` VALUES (35510, 8975, 7, 'הוספת כלל');
INSERT INTO `lang_definitions` VALUES (35511, 8976, 7, 'פרטי כלל');
INSERT INTO `lang_definitions` VALUES (35512, 8977, 7, 'מפתח כלל');
INSERT INTO `lang_definitions` VALUES (35513, 8978, 7, 'עריכת כלל');
INSERT INTO `lang_definitions` VALUES (35514, 8979, 7, 'מקור מימון כלל');
INSERT INTO `lang_definitions` VALUES (35515, 8980, 7, 'שחרור כלל');
INSERT INTO `lang_definitions` VALUES (35516, 8981, 7, 'מערך כללים');
INSERT INTO `lang_definitions` VALUES (35517, 8982, 7, 'הבחירות במערך כללים ובמערך תוכניות אינן עקביות. תקן ושלח שוב.');
INSERT INTO `lang_definitions` VALUES (35518, 8983, 7, 'כותרת כלל');
INSERT INTO `lang_definitions` VALUES (35519, 8984, 7, 'כללים');
INSERT INTO `lang_definitions` VALUES (35520, 8985, 7, 'הכללים כבר נמצאים בתוכנית');
INSERT INTO `lang_definitions` VALUES (35521, 8986, 7, 'תצורת כללים');
INSERT INTO `lang_definitions` VALUES (35522, 8989, 7, 'פקודה רצה:');
INSERT INTO `lang_definitions` VALUES (35523, 8990, 7, 'קרע~שבר');
INSERT INTO `lang_definitions` VALUES (35524, 8992, 7, 'רוסית');
INSERT INTO `lang_definitions` VALUES (35525, 8995, 7, 'Rx');
INSERT INTO `lang_definitions` VALUES (35526, 8996, 7, 'RX');
INSERT INTO `lang_definitions` VALUES (35527, 8997, 7, 'שוליים תחתונים של Rx‏ (px)');
INSERT INTO `lang_definitions` VALUES (35528, 9001, 7, 'הפעלת מס\' Rx DEA');
INSERT INTO `lang_definitions` VALUES (35529, 9002, 7, 'הפעלת NPI Rx');
INSERT INTO `lang_definitions` VALUES (35530, 9003, 7, 'הפעלת רישיון Rx מס\'');
INSERT INTO `lang_definitions` VALUES (35531, 9007, 7, 'שוליים שמאליים של Rx‏ (px)');
INSERT INTO `lang_definitions` VALUES (35532, 9010, 7, 'גודל נייר Rx');
INSERT INTO `lang_definitions` VALUES (35533, 9013, 7, 'שוליים ימניים של Rx‏ (px)');
INSERT INTO `lang_definitions` VALUES (35534, 9014, 7, 'הצגת מס\' של Rx DEA');
INSERT INTO `lang_definitions` VALUES (35535, 9015, 7, 'הצגת Rx NPI');
INSERT INTO `lang_definitions` VALUES (35536, 9016, 7, 'הצגת רישיון Rx מס\'');
INSERT INTO `lang_definitions` VALUES (35537, 9017, 7, 'שוליים עליונים של Rx‏ (px)');
INSERT INTO `lang_definitions` VALUES (35538, 9022, 7, 'תרופת RXCUI');
INSERT INTO `lang_definitions` VALUES (35539, 9023, 7, 'RxNorm');
INSERT INTO `lang_definitions` VALUES (35540, 9024, 7, 'מסד נתונים ב-RxNorm');
INSERT INTO `lang_definitions` VALUES (35541, 9028, 7, 'S');
INSERT INTO `lang_definitions` VALUES (35542, 9029, 7, 'S.S.');
INSERT INTO `lang_definitions` VALUES (35543, 9030, 7, 'S3:');
INSERT INTO `lang_definitions` VALUES (35544, 9031, 7, 'S4:');
INSERT INTO `lang_definitions` VALUES (35545, 9032, 7, 'SA  *  * לקריאת הרישיון, קרא את המסמכים/license.txt או עבור אל  * http://www.gnu.org/copyleft/gpl.html  *  */  //========================================================================= //');
INSERT INTO `lang_definitions` VALUES (35546, 9034, 7, 'מכירה');
INSERT INTO `lang_definitions` VALUES (35547, 9035, 7, 'מכירות');
INSERT INTO `lang_definitions` VALUES (35548, 9036, 7, 'מכירות לפי פריט');
INSERT INTO `lang_definitions` VALUES (35549, 9037, 7, 'דוח מכירות לפי מוצר');
INSERT INTO `lang_definitions` VALUES (35550, 9038, 7, 'ריר');
INSERT INTO `lang_definitions` VALUES (35551, 9039, 7, 'אותו היום');
INSERT INTO `lang_definitions` VALUES (35552, 9040, 7, 'סמואית');
INSERT INTO `lang_definitions` VALUES (35553, 9041, 7, 'דגימה');
INSERT INTO `lang_definitions` VALUES (35554, 9042, 7, 'סוג סנקציה');
INSERT INTO `lang_definitions` VALUES (35555, 9043, 7, 'סנגו');
INSERT INTO `lang_definitions` VALUES (35556, 9045, 7, 'סנסקריט');
INSERT INTO `lang_definitions` VALUES (35557, 9046, 7, 'סרדינית');
INSERT INTO `lang_definitions` VALUES (35558, 9047, 7, 'שבת');
INSERT INTO `lang_definitions` VALUES (35559, 9048, 7, 'שבת וראשון');
INSERT INTO `lang_definitions` VALUES (35560, 9049, 7, 'יום שבת');
INSERT INTO `lang_definitions` VALUES (35561, 9050, 7, 'שמור');
INSERT INTO `lang_definitions` VALUES (35562, 9051, 7, 'שמור');
INSERT INTO `lang_definitions` VALUES (35563, 9055, 7, 'שמור וסגור');
INSERT INTO `lang_definitions` VALUES (35564, 9057, 7, 'שמור ומחק בקשה');
INSERT INTO `lang_definitions` VALUES (35565, 9058, 7, 'שבת');
INSERT INTO `lang_definitions` VALUES (35566, 9060, 7, 'שמור ושדר');
INSERT INTO `lang_definitions` VALUES (35567, 9061, 7, 'שמור כחדש');
INSERT INTO `lang_definitions` VALUES (35568, 9063, 7, 'שמור כהערה חדשה');
INSERT INTO `lang_definitions` VALUES (35569, 9066, 7, 'שמור הגדרות אישור');
INSERT INTO `lang_definitions` VALUES (35570, 9067, 7, 'שמור שינויים');
INSERT INTO `lang_definitions` VALUES (35571, 9075, 7, 'שמור טופס');
INSERT INTO `lang_definitions` VALUES (35572, 9076, 7, 'שמור חיסון');
INSERT INTO `lang_definitions` VALUES (35573, 9078, 7, 'שמור שדה חדש');
INSERT INTO `lang_definitions` VALUES (35574, 9079, 7, 'שמור קבוצה חדשה');
INSERT INTO `lang_definitions` VALUES (35575, 9080, 7, 'שמור רשימה חדשה');
INSERT INTO `lang_definitions` VALUES (35576, 9081, 7, 'שמור תבנית חדשה');
INSERT INTO `lang_definitions` VALUES (35577, 9082, 7, 'שמור בחירות השמטה');
INSERT INTO `lang_definitions` VALUES (35578, 9083, 7, 'שמור דמוגרפיית מטופלים');
INSERT INTO `lang_definitions` VALUES (35579, 9087, 7, 'נשמר בהצלחה עבור מזהה טבלה');
INSERT INTO `lang_definitions` VALUES (35580, 9089, 7, 'שמור טרנזקציה');
INSERT INTO `lang_definitions` VALUES (35581, 9090, 7, 'נשמר בהצלחה');
INSERT INTO `lang_definitions` VALUES (35582, 9098, 7, 'נסרק');
INSERT INTO `lang_definitions` VALUES (35583, 9099, 7, 'הערת מפגש סרוקה');
INSERT INTO `lang_definitions` VALUES (35584, 9100, 7, 'ספריית סורק');
INSERT INTO `lang_definitions` VALUES (35585, 9101, 7, 'סורק ב:');
INSERT INTO `lang_definitions` VALUES (35586, 9104, 7, 'לוח זמנים');
INSERT INTO `lang_definitions` VALUES (35587, 9106, 7, 'מתקנים בלוח זמנים:');
INSERT INTO `lang_definitions` VALUES (35588, 9117, 7, 'הערת מוסד לימודים');
INSERT INTO `lang_definitions` VALUES (35589, 9122, 7, 'סקוליוזיס');
INSERT INTO `lang_definitions` VALUES (35590, 9125, 7, 'גאלית סקוטית - גאלית');
INSERT INTO `lang_definitions` VALUES (35591, 9127, 7, 'סינון/בדיקה');
INSERT INTO `lang_definitions` VALUES (35592, 9133, 7, 'SE');
INSERT INTO `lang_definitions` VALUES (35593, 9134, 7, 'כתובת SE');
INSERT INTO `lang_definitions` VALUES (35594, 9135, 7, 'עיר SE');
INSERT INTO `lang_definitions` VALUES (35595, 9136, 7, 'מדינת SE');
INSERT INTO `lang_definitions` VALUES (35596, 9137, 7, 'מיקום SE');
INSERT INTO `lang_definitions` VALUES (35597, 9138, 7, 'מיקוד SE');
INSERT INTO `lang_definitions` VALUES (35598, 9139, 7, 'מחוז SE');
INSERT INTO `lang_definitions` VALUES (35599, 9140, 7, 'מיקוד SE');
INSERT INTO `lang_definitions` VALUES (35600, 9141, 7, 'חיפוש');
INSERT INTO `lang_definitions` VALUES (35601, 9142, 7, 'חיפוש');
INSERT INTO `lang_definitions` VALUES (35602, 9143, 7, 'חיפוש');
INSERT INTO `lang_definitions` VALUES (35603, 9144, 7, 'חפש שוב');
INSERT INTO `lang_definitions` VALUES (35604, 9145, 7, 'חפש בכל העמודות');
INSERT INTO `lang_definitions` VALUES (35605, 9150, 7, 'חפש לפי:');
INSERT INTO `lang_definitions` VALUES (35606, 9152, 7, 'חפש');
INSERT INTO `lang_definitions` VALUES (35607, 9156, 7, 'חפש:');
INSERT INTO `lang_definitions` VALUES (35608, 9158, 7, 'חיפוש ב:');
INSERT INTO `lang_definitions` VALUES (35609, 9159, 7, 'חיפוש ב:');
INSERT INTO `lang_definitions` VALUES (35610, 9161, 7, 'חפש או הוסף מטופל');
INSERT INTO `lang_definitions` VALUES (35611, 9164, 7, 'חפש תשלום');
INSERT INTO `lang_definitions` VALUES (35612, 9167, 7, 'תוצאות חיפוש');
INSERT INTO `lang_definitions` VALUES (35613, 9168, 7, 'תוצאות חיפוש:');
INSERT INTO `lang_definitions` VALUES (35614, 9169, 7, 'חיפוש נבחר');
INSERT INTO `lang_definitions` VALUES (35615, 9171, 7, 'מחרוזת החיפוש לא תואמת לרשימה במסד הנתונים');
INSERT INTO `lang_definitions` VALUES (35616, 9172, 7, 'מחרות החיפוש אמורה לכלול שלושה תווים לפחות');
INSERT INTO `lang_definitions` VALUES (35617, 9174, 7, 'טקסט לחיפוש');
INSERT INTO `lang_definitions` VALUES (35618, 9175, 7, 'חפש באירועים');
INSERT INTO `lang_definitions` VALUES (35619, 9178, 7, 'חיפוש/הוספה');
INSERT INTO `lang_definitions` VALUES (35620, 9179, 7, 'חיפוש/הוספה של מבטח');
INSERT INTO `lang_definitions` VALUES (35621, 9181, 7, 'מחפש פגישות');
INSERT INTO `lang_definitions` VALUES (35622, 9182, 7, 'מחפש…');
INSERT INTO `lang_definitions` VALUES (35623, 9184, 7, 'שימוש בחגורת בטיחות');
INSERT INTO `lang_definitions` VALUES (35624, 9185, 7, 'שימוש בחגורת בטיחות');
INSERT INTO `lang_definitions` VALUES (35625, 9186, 7, 'שנייה');
INSERT INTO `lang_definitions` VALUES (35626, 9187, 7, 'שנייה');
INSERT INTO `lang_definitions` VALUES (35627, 9188, 7, 'הודעת חשבון שנייה');
INSERT INTO `lang_definitions` VALUES (35628, 9189, 7, 'משני');
INSERT INTO `lang_definitions` VALUES (35629, 9191, 7, 'ביטוח משני');
INSERT INTO `lang_definitions` VALUES (35630, 9192, 7, 'נתוני ביטוח משני');
INSERT INTO `lang_definitions` VALUES (35631, 9193, 7, 'ספק ביטוח משני');
INSERT INTO `lang_definitions` VALUES (35632, 9194, 7, 'סוג Medicare משני');
INSERT INTO `lang_definitions` VALUES (35633, 9195, 7, 'שניות');
INSERT INTO `lang_definitions` VALUES (35634, 9196, 7, 'מזהה מקטע');
INSERT INTO `lang_definitions` VALUES (35635, 9197, 7, 'מזהה מקטע ושם לא יכולים להיות ריקים');
INSERT INTO `lang_definitions` VALUES (35636, 9198, 7, 'שם מקטע');
INSERT INTO `lang_definitions` VALUES (35637, 9199, 7, 'מקטע נשמר בהצלחה');
INSERT INTO `lang_definitions` VALUES (35638, 9201, 7, 'העברת הודעות אלקטרונית מאובטחת');
INSERT INTO `lang_definitions` VALUES (35639, 9207, 7, 'אבטחה');
INSERT INTO `lang_definitions` VALUES (35640, 9208, 7, 'ראה הכול');
INSERT INTO `lang_definitions` VALUES (35641, 9210, 7, 'הרשאות צפייה');
INSERT INTO `lang_definitions` VALUES (35642, 9213, 7, 'ראה תרשים-צמיחה');
INSERT INTO `lang_definitions` VALUES (35643, 9214, 7, 'ראה הודעות מהאוסף האחרון של תביעות שנוצרו');
INSERT INTO `lang_definitions` VALUES (35644, 9217, 7, 'ראה רכיב גרפי של תזכורות קליניות לפרטים נוספים');
INSERT INTO `lang_definitions` VALUES (35645, 9218, 7, 'נראה מאז');
INSERT INTO `lang_definitions` VALUES (35646, 9220, 7, 'שם מקטע');
INSERT INTO `lang_definitions` VALUES (35647, 9221, 7, 'תביעת אצווה של מקטעים');
INSERT INTO `lang_definitions` VALUES (35648, 9222, 7, 'פרכוסים');
INSERT INTO `lang_definitions` VALUES (35649, 9223, 7, 'Sel');
INSERT INTO `lang_definitions` VALUES (35650, 9224, 7, 'נבחר');
INSERT INTO `lang_definitions` VALUES (35651, 9225, 7, 'בחר');
INSERT INTO `lang_definitions` VALUES (35652, 9227, 7, 'בחר רכיב');
INSERT INTO `lang_definitions` VALUES (35653, 9228, 7, 'בחר הקשר');
INSERT INTO `lang_definitions` VALUES (35654, 9232, 7, 'בחר אחוז של השורות, או בחר תאריכים');
INSERT INTO `lang_definitions` VALUES (35655, 9235, 7, 'בחר תקופת זמן');
INSERT INTO `lang_definitions` VALUES (35656, 9236, 7, 'בחר משתמש');
INSERT INTO `lang_definitions` VALUES (35657, 9239, 7, 'בחר הכול');
INSERT INTO `lang_definitions` VALUES (35658, 9241, 7, 'בחר תאריך תיקון');
INSERT INTO `lang_definitions` VALUES (35659, 9242, 7, 'בחר תיקונים להדפסה');
INSERT INTO `lang_definitions` VALUES (35660, 9248, 7, 'בחר רשומות CAMOS להדפסה');
INSERT INTO `lang_definitions` VALUES (35661, 9250, 7, 'בחר קטגוריה');
INSERT INTO `lang_definitions` VALUES (35662, 9253, 7, 'בחר העדפות תקשורת');
INSERT INTO `lang_definitions` VALUES (35663, 9254, 7, 'בחר תיבות סימון תואמות למחיקה');
INSERT INTO `lang_definitions` VALUES (35664, 9256, 7, 'בחר קריטריונים להסרה');
INSERT INTO `lang_definitions` VALUES (35665, 9257, 7, 'בחר טבלת CSV');
INSERT INTO `lang_definitions` VALUES (35666, 9260, 7, 'בחר תאריך דרוש לביטול זיהוי');
INSERT INTO `lang_definitions` VALUES (35667, 9261, 7, 'בחר נתונים לכלילה בנתוני ביטול זיהוי');
INSERT INTO `lang_definitions` VALUES (35668, 9262, 7, 'בחר תאריך');
INSERT INTO `lang_definitions` VALUES (35669, 9264, 7, 'בחר קבוצה רצויה');
INSERT INTO `lang_definitions` VALUES (35670, 9265, 7, 'בחר אבחון');
INSERT INTO `lang_definitions` VALUES (35671, 9267, 7, 'בחר אבחון עבור בקשת ביטול זיהוי');
INSERT INTO `lang_definitions` VALUES (35672, 9271, 7, 'בחר תרופה');
INSERT INTO `lang_definitions` VALUES (35673, 9272, 7, 'בחר תרופות');
INSERT INTO `lang_definitions` VALUES (35674, 9273, 7, 'בחר תרופות עבור בקשת ביטול זיהוי');
INSERT INTO `lang_definitions` VALUES (35675, 9274, 7, 'בחר קובץ EDI-271');
INSERT INTO `lang_definitions` VALUES (35676, 9275, 7, 'בחר מפגש');
INSERT INTO `lang_definitions` VALUES (35677, 9276, 7, 'בחר שדה');
INSERT INTO `lang_definitions` VALUES (35678, 9278, 7, 'בחר שדות');
INSERT INTO `lang_definitions` VALUES (35679, 9279, 7, 'בחר להדפסה');
INSERT INTO `lang_definitions` VALUES (35680, 9285, 7, 'בחר חיסונים');
INSERT INTO `lang_definitions` VALUES (35681, 9286, 7, 'בחר חיסונים עבור בקשת ביטול זיהוי');
INSERT INTO `lang_definitions` VALUES (35682, 9287, 7, 'בחר ביטוח, בהקלדה');
INSERT INTO `lang_definitions` VALUES (35683, 9288, 7, 'בחר בעיה');
INSERT INTO `lang_definitions` VALUES (35684, 9289, 7, 'בחר פריטים');
INSERT INTO `lang_definitions` VALUES (35685, 9291, 7, 'בחר שפה');
INSERT INTO `lang_definitions` VALUES (35686, 9297, 7, 'בחר אחד');
INSERT INTO `lang_definitions` VALUES (35687, 9298, 7, 'בחר קוד אבחון אחד או יותר להצדקת השירות');
INSERT INTO `lang_definitions` VALUES (35688, 9299, 7, 'בחר קובץ אחד או יותר להעלאה');
INSERT INTO `lang_definitions` VALUES (35689, 9303, 7, 'בחר פלט');
INSERT INTO `lang_definitions` VALUES (35690, 9305, 7, 'בחר תוכנית');
INSERT INTO `lang_definitions` VALUES (35691, 9311, 7, 'בחר מבוקש על-ידי');
INSERT INTO `lang_definitions` VALUES (35692, 9312, 7, 'בחר תפקיד');
INSERT INTO `lang_definitions` VALUES (35693, 9314, 7, 'בחר מקור');
INSERT INTO `lang_definitions` VALUES (35694, 9317, 7, 'בחר תבנית');
INSERT INTO `lang_definitions` VALUES (35695, 9321, 7, 'בחר פריטי תצורה לייצוא');
INSERT INTO `lang_definitions` VALUES (35696, 9328, 7, 'בחר את הבעיה האחראית העיקרית לאירועים שהוחמצו כלשהם ביום זה');
INSERT INTO `lang_definitions` VALUES (35697, 9333, 7, 'בחר להדפיס תוויות כתובת מטופל מהפריטים המוקפצים במסך הניווט שבצד.');
INSERT INTO `lang_definitions` VALUES (35698, 9335, 7, 'בחר מעקב');
INSERT INTO `lang_definitions` VALUES (35699, 9337, 7, 'בחר סוג');
INSERT INTO `lang_definitions` VALUES (35700, 9338, 7, 'בחר משתמש');
INSERT INTO `lang_definitions` VALUES (35701, 9340, 7, 'בחר משתמשים מהרשימה הנפתחת');
INSERT INTO `lang_definitions` VALUES (35702, 9341, 7, 'בחר אילו שפות, אם בכלל, ניתן יהיה לבחור בכניסה למערכת. (תקף רק אם האפשרות למעלה להתרת כל השפות מבוטלת)');
INSERT INTO `lang_definitions` VALUES (35703, 9343, 7, 'בחר \'כן\' כדי לאשר מחיקת קבוצה');
INSERT INTO `lang_definitions` VALUES (35704, 9347, 7, 'Select1');
INSERT INTO `lang_definitions` VALUES (35705, 9348, 7, 'Select2');
INSERT INTO `lang_definitions` VALUES (35706, 9349, 7, 'נבחר');
INSERT INTO `lang_definitions` VALUES (35707, 9350, 7, 'מפגש נבחר');
INSERT INTO `lang_definitions` VALUES (35708, 9355, 7, 'בחירה באפשרות זו תיצור הודעה אשר על כל מקבל לעבד בנפרד (זו אינה משימה קבוצתית).');
INSERT INTO `lang_definitions` VALUES (35709, 9357, 7, 'עצמי');
INSERT INTO `lang_definitions` VALUES (35710, 9358, 7, 'תשלום עצמי');
INSERT INTO `lang_definitions` VALUES (35711, 9359, 7, 'שלח');
INSERT INTO `lang_definitions` VALUES (35712, 9360, 7, 'שלח');
INSERT INTO `lang_definitions` VALUES (35713, 9361, 7, 'תזכורת חדשה');
INSERT INTO `lang_definitions` VALUES (35714, 9362, 7, 'שלח תזכורת');
INSERT INTO `lang_definitions` VALUES (35715, 9369, 7, 'שליחה בהתקדמות');
INSERT INTO `lang_definitions` VALUES (35716, 9372, 7, 'שלח הודעה');
INSERT INTO `lang_definitions` VALUES (35717, 9378, 7, 'שלח אצוות תזכורות');
INSERT INTO `lang_definitions` VALUES (35718, 9379, 7, 'שלח תזכורת למטופלים לפי העדפת מטופל לרפואה מונעת/המשך טיפול.');
INSERT INTO `lang_definitions` VALUES (35719, 9383, 7, 'שלח סיכומים עם הפניות');
INSERT INTO `lang_definitions` VALUES (35720, 9384, 7, 'שלח קובץ זה');
INSERT INTO `lang_definitions` VALUES (35721, 9385, 7, 'שלח תזכורת');
INSERT INTO `lang_definitions` VALUES (35722, 9386, 7, 'שלח אל');
INSERT INTO `lang_definitions` VALUES (35723, 9387, 7, 'שלח אל');
INSERT INTO `lang_definitions` VALUES (35724, 9388, 7, 'שלח אל');
INSERT INTO `lang_definitions` VALUES (35725, 9389, 7, 'קשר לכולם');
INSERT INTO `lang_definitions` VALUES (35726, 9391, 7, 'שליחה ל-HIE נכשלה');
INSERT INTO `lang_definitions` VALUES (35727, 9392, 7, 'שלח לפורטל');
INSERT INTO `lang_definitions` VALUES (35728, 9393, 7, 'שלח לפורטל');
INSERT INTO `lang_definitions` VALUES (35729, 9395, 7, 'השולח');
INSERT INTO `lang_definitions` VALUES (35730, 9396, 7, 'מזהה השולח');
INSERT INTO `lang_definitions` VALUES (35731, 9397, 7, 'מזהה השולח (ISA06)');
INSERT INTO `lang_definitions` VALUES (35732, 9398, 7, 'מזהה השולח (ISA05)');
INSERT INTO `lang_definitions` VALUES (35733, 9399, 7, 'מזהי שולח');
INSERT INTO `lang_definitions` VALUES (35734, 9406, 7, 'שולח אל');
INSERT INTO `lang_definitions` VALUES (35735, 9407, 7, 'רגישויות');
INSERT INTO `lang_definitions` VALUES (35736, 9411, 7, 'חיסיון הביקור:');
INSERT INTO `lang_definitions` VALUES (35737, 9412, 7, 'בדיקת חישה תקינה');
INSERT INTO `lang_definitions` VALUES (35738, 9413, 7, 'נשלח');
INSERT INTO `lang_definitions` VALUES (35739, 9414, 7, 'נשלח - אושר');
INSERT INTO `lang_definitions` VALUES (35740, 9415, 7, 'נשלח על-ידי, השאר ריק לכולם');
INSERT INTO `lang_definitions` VALUES (35741, 9416, 7, 'נשלח על-ידי:');
INSERT INTO `lang_definitions` VALUES (35742, 9417, 7, 'תאריך שליחה');
INSERT INTO `lang_definitions` VALUES (35743, 9418, 7, 'פריטים נשלחו');
INSERT INTO `lang_definitions` VALUES (35744, 9419, 7, 'תיקים רפואיים נשלחו?');
INSERT INTO `lang_definitions` VALUES (35745, 9420, 7, 'נשלח בהצלחה');
INSERT INTO `lang_definitions` VALUES (35746, 9421, 7, 'האם סיכום הטיפול נשלח באופן אלקטרוני?');
INSERT INTO `lang_definitions` VALUES (35747, 9422, 7, 'האם סיכום הטיפול נשלח?');
INSERT INTO `lang_definitions` VALUES (35748, 9423, 7, 'נשלח למדפסת');
INSERT INTO `lang_definitions` VALUES (35749, 9424, 7, 'נשלח אל, השאר ריק לכולם');
INSERT INTO `lang_definitions` VALUES (35750, 9425, 7, 'נשלח אל:');
INSERT INTO `lang_definitions` VALUES (35751, 9426, 7, 'נשלח, אך טרם אושרה מסירה.');
INSERT INTO `lang_definitions` VALUES (35752, 9427, 7, 'אושר, לא התקבל');
INSERT INTO `lang_definitions` VALUES (35753, 9429, 7, 'ספט');
INSERT INTO `lang_definitions` VALUES (35754, 9430, 7, 'בנפרד');
INSERT INTO `lang_definitions` VALUES (35755, 9431, 7, 'ספטמבר');
INSERT INTO `lang_definitions` VALUES (35756, 9432, 7, 'רצף');
INSERT INTO `lang_definitions` VALUES (35757, 9433, 7, 'רצף');
INSERT INTO `lang_definitions` VALUES (35758, 9434, 7, 'סרבית');
INSERT INTO `lang_definitions` VALUES (35759, 9435, 7, 'נציג שירות');
INSERT INTO `lang_definitions` VALUES (35760, 9438, 7, 'ייתכן שהשרת אינו מקוון');
INSERT INTO `lang_definitions` VALUES (35761, 9439, 7, 'הודעת שרת:');
INSERT INTO `lang_definitions` VALUES (35762, 9442, 7, 'שירות');
INSERT INTO `lang_definitions` VALUES (35763, 9444, 7, 'קטגוריית שירות');
INSERT INTO `lang_definitions` VALUES (35764, 9445, 7, 'קוד שירות');
INSERT INTO `lang_definitions` VALUES (35765, 9446, 7, 'דיווח פיננסי של קוד שירות');
INSERT INTO `lang_definitions` VALUES (35766, 9447, 7, 'קודי שירות');
INSERT INTO `lang_definitions` VALUES (35767, 9448, 7, 'תאריך ביקור');
INSERT INTO `lang_definitions` VALUES (35768, 9451, 7, 'תאריך ביקור:');
INSERT INTO `lang_definitions` VALUES (35769, 9453, 7, 'מתקן שירות');
INSERT INTO `lang_definitions` VALUES (35770, 9455, 7, 'מיקום שירות');
INSERT INTO `lang_definitions` VALUES (35771, 9456, 7, 'שם שירות');
INSERT INTO `lang_definitions` VALUES (35772, 9457, 7, 'השירות מסופק על-ידי מומחה');
INSERT INTO `lang_definitions` VALUES (35773, 9459, 7, 'דיווח שירות');
INSERT INTO `lang_definitions` VALUES (35774, 9460, 7, 'דיווח שירות בלבד');
INSERT INTO `lang_definitions` VALUES (35775, 9461, 7, 'שירותים');
INSERT INTO `lang_definitions` VALUES (35776, 9462, 7, 'שירות לפי קטגוריה');
INSERT INTO `lang_definitions` VALUES (35777, 9463, 7, 'שירותים מסופקים');
INSERT INTO `lang_definitions` VALUES (35778, 9464, 7, 'שירותים מסופקים');
INSERT INTO `lang_definitions` VALUES (35779, 9465, 7, 'שירותים/מוצרים');
INSERT INTO `lang_definitions` VALUES (35780, 9466, 7, 'סוג הפעלה');
INSERT INTO `lang_definitions` VALUES (35781, 9467, 7, 'הגדר');
INSERT INTO `lang_definitions` VALUES (35782, 9468, 7, 'הגדר קובץ Cookie של מתקן כדי לזכור את המתקן הנבחר בין כניסות למערכת.');
INSERT INTO `lang_definitions` VALUES (35783, 9469, 7, 'הגדר כהושלם');
INSERT INTO `lang_definitions` VALUES (35784, 9475, 7, 'הגדר עדיפות עיבוד לדוחות מבוססי מנוע CDR.');
INSERT INTO `lang_definitions` VALUES (35785, 9476, 7, 'הגדר עדיפות עיבוד ליצירת תזכורות מטופל (במצב קליני מלא).');
INSERT INTO `lang_definitions` VALUES (35786, 9478, 7, 'הגדר זאת כנתיב המוחלט המלא. ליצירת אישורי לקוח SSL עבור HTTPS.');
INSERT INTO `lang_definitions` VALUES (35787, 9479, 7, 'הגדר כ:');
INSERT INTO `lang_definitions` VALUES (35788, 9480, 7, 'הגדר כברירת מחדל');
INSERT INTO `lang_definitions` VALUES (35789, 9486, 7, 'מגדיר מספר גרסה במסד הנתונים...');
INSERT INTO `lang_definitions` VALUES (35790, 9488, 7, 'הגדרות');
INSERT INTO `lang_definitions` VALUES (35791, 9492, 7, 'חמור');
INSERT INTO `lang_definitions` VALUES (35792, 9493, 7, 'מיגרנה קשה');
INSERT INTO `lang_definitions` VALUES (35793, 9494, 7, 'מידת חומרה');
INSERT INTO `lang_definitions` VALUES (35794, 9496, 7, 'חומרת הכאב');
INSERT INTO `lang_definitions` VALUES (35795, 9497, 7, 'חומרת הכאב:');
INSERT INTO `lang_definitions` VALUES (35796, 9498, 7, 'מין');
INSERT INTO `lang_definitions` VALUES (35797, 9499, 7, 'מחלת מין');
INSERT INTO `lang_definitions` VALUES (35798, 9500, 7, 'SFTP');
INSERT INTO `lang_definitions` VALUES (35799, 9502, 7, 'Sha-1 Hash');
INSERT INTO `lang_definitions` VALUES (35800, 9503, 7, 'שיתוף');
INSERT INTO `lang_definitions` VALUES (35801, 9504, 7, 'פקודת מעטפת להדפסה מהשרת.');
INSERT INTO `lang_definitions` VALUES (35802, 9505, 7, '~משמרת~הזזה~Shift');
INSERT INTO `lang_definitions` VALUES (35803, 9506, 7, 'שונה');
INSERT INTO `lang_definitions` VALUES (35804, 9507, 7, 'תיאור קצר');
INSERT INTO `lang_definitions` VALUES (35805, 9510, 7, 'קוצר נשימה');
INSERT INTO `lang_definitions` VALUES (35806, 9511, 7, 'קוצר נשימה');
INSERT INTO `lang_definitions` VALUES (35807, 9512, 7, 'קוצר נשימה 2');
INSERT INTO `lang_definitions` VALUES (35808, 9513, 7, 'תיק זריקות');
INSERT INTO `lang_definitions` VALUES (35809, 9514, 7, 'תיק זריקות נכון ל:');
INSERT INTO `lang_definitions` VALUES (35810, 9515, 7, 'יש לאפשר');
INSERT INTO `lang_definitions` VALUES (35811, 9516, 7, 'אמור להיות דומה ל: nnnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (35812, 9517, 7, 'אמור להיות שתי אותיות');
INSERT INTO `lang_definitions` VALUES (35813, 9518, 7, 'אמור להכיל 10 ספרות');
INSERT INTO `lang_definitions` VALUES (35814, 9519, 7, 'אמור להכיל 10 ספרות בלבד');
INSERT INTO `lang_definitions` VALUES (35815, 9520, 7, 'כתף');
INSERT INTO `lang_definitions` VALUES (35816, 9521, 7, 'כתף + עצם הבריח');
INSERT INTO `lang_definitions` VALUES (35817, 9522, 7, 'בעיות בכתף');
INSERT INTO `lang_definitions` VALUES (35818, 9523, 7, 'הצג');
INSERT INTO `lang_definitions` VALUES (35819, 9524, 7, 'הצג פעיל');
INSERT INTO `lang_definitions` VALUES (35820, 9525, 7, 'הצג פרטי ביטוח נוספים');
INSERT INTO `lang_definitions` VALUES (35821, 9527, 7, 'הצג הכול');
INSERT INTO `lang_definitions` VALUES (35822, 9529, 7, 'הצג את כל ההליכים');
INSERT INTO `lang_definitions` VALUES (35823, 9530, 7, 'הצג את כל התוצאות');
INSERT INTO `lang_definitions` VALUES (35824, 9531, 7, 'הצג את כל הטרנזקציות');
INSERT INTO `lang_definitions` VALUES (35825, 9532, 7, 'הצג כתפוס');
INSERT INTO `lang_definitions` VALUES (35826, 9533, 7, 'הצג מורשה בלבד');
INSERT INTO `lang_definitions` VALUES (35827, 9534, 7, 'הצג זמנים זמינים');
INSERT INTO `lang_definitions` VALUES (35828, 9535, 7, 'הצג שיטת מדידה ארה\"ב ומטרי (היחידה הראשית מטרית)');
INSERT INTO `lang_definitions` VALUES (35829, 9536, 7, 'הצג שיטת מדידה ארה\"ב ומטרי (היחידה הראשית ארה\"ב)');
INSERT INTO `lang_definitions` VALUES (35830, 9540, 7, 'הצג פרטים');
INSERT INTO `lang_definitions` VALUES (35831, 9542, 7, 'האם להציג שגיאות בלבד?');
INSERT INTO `lang_definitions` VALUES (35832, 9544, 7, 'הצג גרף');
INSERT INTO `lang_definitions` VALUES (35833, 9546, 7, 'האם להציג טקסט אירוע בריחוף עם העכבר?');
INSERT INTO `lang_definitions` VALUES (35834, 9547, 7, 'כמה אירועים להציג בדפי מנהל מערכת?');
INSERT INTO `lang_definitions` VALUES (35835, 9548, 7, 'הצג לא-פעיל');
INSERT INTO `lang_definitions` VALUES (35836, 9549, 7, 'הצג פרטי כתובת ביטוח בלוח הביטוח של הדמוגרפיה.');
INSERT INTO `lang_definitions` VALUES (35837, 9552, 7, 'הצג תפריט');
INSERT INTO `lang_definitions` VALUES (35838, 9553, 7, 'הצג מטרי בלבד');
INSERT INTO `lang_definitions` VALUES (35839, 9556, 7, 'הצג הערות');
INSERT INTO `lang_definitions` VALUES (35840, 9557, 7, 'הצג רק את הערכים האחרונים המדווחים עבור כל קוד תוצאה');
INSERT INTO `lang_definitions` VALUES (35841, 9558, 7, 'הצג רק הליכים שלא הושמטו');
INSERT INTO `lang_definitions` VALUES (35842, 9561, 7, 'הצג הערות מטופל');
INSERT INTO `lang_definitions` VALUES (35843, 9562, 7, 'הצג ליברות ואונקיות');
INSERT INTO `lang_definitions` VALUES (35844, 9563, 7, 'הצג ליברות כערך עשרוני');
INSERT INTO `lang_definitions` VALUES (35845, 9564, 7, 'הצג ראשי שהושלם');
INSERT INTO `lang_definitions` VALUES (35846, 9568, 7, 'הצג תזכורות');
INSERT INTO `lang_definitions` VALUES (35847, 9569, 7, 'הצג דוח');
INSERT INTO `lang_definitions` VALUES (35848, 9570, 7, 'האם להציג קישורי חיפוש/שליחה בבלוק?');
INSERT INTO `lang_definitions` VALUES (35849, 9571, 7, 'הצג בחירה עבור בדיקת סמים');
INSERT INTO `lang_definitions` VALUES (35850, 9573, 7, 'הצג מצב של בדיקת סמים');
INSERT INTO `lang_definitions` VALUES (35851, 9574, 7, 'הצג טופס מצב בהתאמה אישית עבור הרכיב הגרפי של הוספת רשימה (יבקש כותרת וקיצור).');
INSERT INTO `lang_definitions` VALUES (35852, 9577, 7, 'הצג קטגוריה זו במסך סיכום המטופלים, גם אם לא הוזנו בעיות עבור קטגוריה זו.');
INSERT INTO `lang_definitions` VALUES (35853, 9579, 7, 'הצג היסטוריית מעקבים');
INSERT INTO `lang_definitions` VALUES (35854, 9580, 7, 'הצג פריטים שלא חויבו בלבד');
INSERT INTO `lang_definitions` VALUES (35855, 9581, 7, 'הצג ארה\"ב בלבד');
INSERT INTO `lang_definitions` VALUES (35856, 9585, 7, 'מציג');
INSERT INTO `lang_definitions` VALUES (35857, 9589, 7, 'מציג תוצאה');
INSERT INTO `lang_definitions` VALUES (35858, 9592, 7, 'אח');
INSERT INTO `lang_definitions` VALUES (35859, 9593, 7, 'היסטוריית אחים');
INSERT INTO `lang_definitions` VALUES (35860, 9594, 7, 'גיס');
INSERT INTO `lang_definitions` VALUES (35861, 9595, 7, 'אחים');
INSERT INTO `lang_definitions` VALUES (35862, 9596, 7, 'תא חרמשי');
INSERT INTO `lang_definitions` VALUES (35863, 9597, 7, 'חתימה');
INSERT INTO `lang_definitions` VALUES (35864, 9598, 7, 'S/קולונוסקופיה');
INSERT INTO `lang_definitions` VALUES (35865, 9599, 7, 'חתימה');
INSERT INTO `lang_definitions` VALUES (35866, 9601, 7, 'חתום על תוצאות מעבדה (כתיבה, הוספה בלבד אופציונלית)');
INSERT INTO `lang_definitions` VALUES (35867, 9603, 7, 'חתימה על תוצאות');
INSERT INTO `lang_definitions` VALUES (35868, 9606, 7, 'חתימה');
INSERT INTO `lang_definitions` VALUES (35869, 9607, 7, 'חתימה רשומה');
INSERT INTO `lang_definitions` VALUES (35870, 9609, 7, 'חתימה:');
INSERT INTO `lang_definitions` VALUES (35871, 9612, 7, 'Rx חתום');
INSERT INTO `lang_definitions` VALUES (35872, 9613, 7, 'בן/בת זוג');
INSERT INTO `lang_definitions` VALUES (35873, 9614, 7, 'התנפחות משמעותית:');
INSERT INTO `lang_definitions` VALUES (35874, 9615, 7, 'מפושט');
INSERT INTO `lang_definitions` VALUES (35875, 9616, 7, 'השתתפות עצמית מפושטת');
INSERT INTO `lang_definitions` VALUES (35876, 9617, 7, 'דמוגרפיה מפושטת');
INSERT INTO `lang_definitions` VALUES (35877, 9618, 7, 'מרשמים מפושטים');
INSERT INTO `lang_definitions` VALUES (35878, 9619, 7, 'מאז');
INSERT INTO `lang_definitions` VALUES (35879, 9620, 7, 'בברכה,');
INSERT INTO `lang_definitions` VALUES (35880, 9621, 7, 'סינדי');
INSERT INTO `lang_definitions` VALUES (35881, 9622, 7, 'רווק');
INSERT INTO `lang_definitions` VALUES (35882, 9624, 7, 'רשימה עם אפשרות בחירה בודדת');
INSERT INTO `lang_definitions` VALUES (35883, 9625, 7, 'רשימה עם אפשרות בחירה בודדת עם היכולת להוסיף לרשימה');
INSERT INTO `lang_definitions` VALUES (35884, 9626, 7, 'סינגולרי~יחיד');
INSERT INTO `lang_definitions` VALUES (35885, 9627, 7, 'סינהלה');
INSERT INTO `lang_definitions` VALUES (35886, 9628, 7, 'סינהלה');
INSERT INTO `lang_definitions` VALUES (35887, 9629, 7, 'בעיות סינוס');
INSERT INTO `lang_definitions` VALUES (35888, 9630, 7, 'ניתח סינוס');
INSERT INTO `lang_definitions` VALUES (35889, 9631, 7, 'רגישות בסינוס:');
INSERT INTO `lang_definitions` VALUES (35890, 9632, 7, 'סינוסיטיס');
INSERT INTO `lang_definitions` VALUES (35891, 9634, 7, 'אתר');
INSERT INTO `lang_definitions` VALUES (35892, 9637, 7, 'מזהה אתר');
INSERT INTO `lang_definitions` VALUES (35893, 9638, 7, 'מזהה אתר עבור שירות Lab Exchange של Medical Information Integration, LLC.');
INSERT INTO `lang_definitions` VALUES (35894, 9639, 7, 'מזהה אתר עבור שירות Lab Exchange של Medical Information Integration, LLC.');
INSERT INTO `lang_definitions` VALUES (35895, 9640, 7, 'עובד אתר');
INSERT INTO `lang_definitions` VALUES (35896, 9641, 7, 'לפני שישה חודשים');
INSERT INTO `lang_definitions` VALUES (35897, 9643, 7, 'גודל');
INSERT INTO `lang_definitions` VALUES (35898, 9646, 7, 'הגודל חייב לקבל מספר בין 1 ל-999');
INSERT INTO `lang_definitions` VALUES (35899, 9648, 7, 'גודל/רשימה');
INSERT INTO `lang_definitions` VALUES (35900, 9650, 7, 'עור');
INSERT INTO `lang_definitions` VALUES (35901, 9651, 7, 'סרטן העור');
INSERT INTO `lang_definitions` VALUES (35902, 9652, 7, 'מחלת עור');
INSERT INTO `lang_definitions` VALUES (35903, 9653, 7, 'עור - אחר');
INSERT INTO `lang_definitions` VALUES (35904, 9654, 7, 'הרשאת דילוג של הערות מטופל');
INSERT INTO `lang_definitions` VALUES (35905, 9659, 7, 'מדלג על מקטע');
INSERT INTO `lang_definitions` VALUES (35906, 9660, 7, 'דילוג Dump של SQL-Ledger - לא מיושם עבור שרת Windows');
INSERT INTO `lang_definitions` VALUES (35907, 9661, 7, 'Sl.No');
INSERT INTO `lang_definitions` VALUES (35908, 9664, 7, 'דפוסי שינה');
INSERT INTO `lang_definitions` VALUES (35909, 9665, 7, 'דפוסי שינה');
INSERT INTO `lang_definitions` VALUES (35910, 9666, 7, 'שינה');
INSERT INTO `lang_definitions` VALUES (35911, 9668, 7, 'סלובקית');
INSERT INTO `lang_definitions` VALUES (35912, 9669, 7, 'סלובנית');
INSERT INTO `lang_definitions` VALUES (35913, 9670, 7, 'Sm חוב ללא');
INSERT INTO `lang_definitions` VALUES (35914, 9675, 7, 'מטמון חכם נוקה');
INSERT INTO `lang_definitions` VALUES (35915, 9676, 7, 'מעשן, מצב נוכחי לא ידוע');
INSERT INTO `lang_definitions` VALUES (35916, 9677, 7, 'עישון');
INSERT INTO `lang_definitions` VALUES (35917, 9678, 7, 'מצב עישון');
INSERT INTO `lang_definitions` VALUES (35918, 9680, 7, 'הרשאת SMS');
INSERT INTO `lang_definitions` VALUES (35919, 9683, 7, 'שער SMS');
INSERT INTO `lang_definitions` VALUES (35920, 9684, 7, 'מפתח API של שער SMS');
INSERT INTO `lang_definitions` VALUES (35921, 9685, 7, 'מפתח API של שער SMS');
INSERT INTO `lang_definitions` VALUES (35922, 9686, 7, 'סיסמת שער SMS');
INSERT INTO `lang_definitions` VALUES (35923, 9687, 7, 'שם משתמש בשער SMS');
INSERT INTO `lang_definitions` VALUES (35924, 9689, 7, 'הודעת SMS');
INSERT INTO `lang_definitions` VALUES (35925, 9690, 7, 'שעות הודעת SMS');
INSERT INTO `lang_definitions` VALUES (35926, 9693, 7, 'SMS נשלח לפני');
INSERT INTO `lang_definitions` VALUES (35927, 9694, 7, 'SMS נשלח');
INSERT INTO `lang_definitions` VALUES (35928, 9697, 7, 'טקסט SMS, תג לשימוש: ***NAME***, ***PROVIDER***, ***DATE***, ***STARTTIME***, ***ENDTIME***<br> למשל, לכבוד ***NAME***');
INSERT INTO `lang_definitions` VALUES (35929, 9701, 7, 'הגדרות התראות של SMS/דואר אלקטרוני');
INSERT INTO `lang_definitions` VALUES (35930, 9703, 7, 'סיסמת SMTP לאימות');
INSERT INTO `lang_definitions` VALUES (35931, 9704, 7, 'פרוטוקול אבטחה SMTP');
INSERT INTO `lang_definitions` VALUES (35932, 9705, 7, 'פרוטוקול אבטחה של SMTP להתחברות. נדרש על-ידי שרתים מסוימים כגון Gmail.');
INSERT INTO `lang_definitions` VALUES (35933, 9706, 7, 'שם מארח של שרת SMTP');
INSERT INTO `lang_definitions` VALUES (35934, 9707, 7, 'מספר יציאה של שרת SMTP');
INSERT INTO `lang_definitions` VALUES (35935, 9708, 7, 'משתמש SMTP לאימות');
INSERT INTO `lang_definitions` VALUES (35936, 9709, 7, 'SNOMED');
INSERT INTO `lang_definitions` VALUES (35937, 9710, 7, 'מונח~פרק זמן~תנאי קליני של SNOMED‏ (RF1)');
INSERT INTO `lang_definitions` VALUES (35938, 9711, 7, 'אבחון של SNOMED ‏(RF1)');
INSERT INTO `lang_definitions` VALUES (35939, 9712, 7, 'הליך של SNOMED ‏(RF1)');
INSERT INTO `lang_definitions` VALUES (35940, 9714, 7, 'אבחון של SNOMED ‏(RF1)');
INSERT INTO `lang_definitions` VALUES (35941, 9716, 7, 'מונח~פרק זמן~תנאי קליני של SNOMED');
INSERT INTO `lang_definitions` VALUES (35942, 9717, 7, 'מסד נתונים SNOMED');
INSERT INTO `lang_definitions` VALUES (35943, 9718, 7, 'אבחון SNOMED');
INSERT INTO `lang_definitions` VALUES (35944, 9719, 7, 'הליך SNOMED');
INSERT INTO `lang_definitions` VALUES (35945, 9721, 7, 'נחירה');
INSERT INTO `lang_definitions` VALUES (35946, 9722, 7, 'SOAP');
INSERT INTO `lang_definitions` VALUES (35947, 9726, 7, 'קשיים חברתיים');
INSERT INTO `lang_definitions` VALUES (35948, 9727, 7, 'היסטוריה חברתית');
INSERT INTO `lang_definitions` VALUES (35949, 9728, 7, 'רכיב היסטוריה חברתית');
INSERT INTO `lang_definitions` VALUES (35950, 9729, 7, 'היסטוריה חברתית:');
INSERT INTO `lang_definitions` VALUES (35951, 9730, 7, 'מספר ביטוח לאומי');
INSERT INTO `lang_definitions` VALUES (35952, 9732, 7, 'פתרון');
INSERT INTO `lang_definitions` VALUES (35953, 9733, 7, 'סומלית');
INSERT INTO `lang_definitions` VALUES (35954, 9734, 7, 'הקשר סומטי');
INSERT INTO `lang_definitions` VALUES (35955, 9735, 7, 'הרשאות מסוימות לא הוצגו. לחץ כאן כדי להציג הכול');
INSERT INTO `lang_definitions` VALUES (35956, 9736, 7, 'קודים מסוימים לא הוצגו.');
INSERT INTO `lang_definitions` VALUES (35957, 9737, 7, 'מפגשים מסוימים לא הוצגו. לחץ כאן כדי להציג הכול.');
INSERT INTO `lang_definitions` VALUES (35958, 9738, 7, 'אירעו שגיאות מסוימות בתהליך ביטול הזיהוי');
INSERT INTO `lang_definitions` VALUES (35959, 9740, 7, 'הערות מסוימות לא הוצגו.');
INSERT INTO `lang_definitions` VALUES (35960, 9741, 7, 'הערות משרד מסוימות לא הוצגו. לחץ כאן כדי להציג הכול.');
INSERT INTO `lang_definitions` VALUES (35961, 9743, 7, 'כמה מילים');
INSERT INTO `lang_definitions` VALUES (35962, 9744, 7, 'מישהו אחר שינה עתה ביקור זה. בטל דף זה ונסה שוב.');
INSERT INTO `lang_definitions` VALUES (35963, 9745, 7, 'דבר מה השתבש');
INSERT INTO `lang_definitions` VALUES (35964, 9747, 7, 'דבר מה השתבש נסה שוב.');
INSERT INTO `lang_definitions` VALUES (35965, 9748, 7, 'מרווח זמן קרוב (תזכורות קליניות)');
INSERT INTO `lang_definitions` VALUES (35966, 9749, 7, 'מרווח זמן קרוב (תזכורות מטופל)');
INSERT INTO `lang_definitions` VALUES (35967, 9750, 7, 'כאב גרון');
INSERT INTO `lang_definitions` VALUES (35968, 9751, 7, 'לא נקבעה~תוקנה פגישה');
INSERT INTO `lang_definitions` VALUES (35969, 9754, 7, 'אירעה בעיה בהעלאת הקובץ שלך');
INSERT INTO `lang_definitions` VALUES (35970, 9758, 7, 'מיין לפי');
INSERT INTO `lang_definitions` VALUES (35971, 9759, 7, 'מיין לפי');
INSERT INTO `lang_definitions` VALUES (35972, 9761, 7, 'מיין לפי בדיקת סיכום');
INSERT INTO `lang_definitions` VALUES (35973, 9762, 7, 'מיין לפי הערות');
INSERT INTO `lang_definitions` VALUES (35974, 9763, 7, 'מיין לפי משתמש CRT');
INSERT INTO `lang_definitions` VALUES (35975, 9764, 7, 'מיין לפי תאריך');
INSERT INTO `lang_definitions` VALUES (35976, 9765, 7, 'מיין לפי תאריך/שעה');
INSERT INTO `lang_definitions` VALUES (35977, 9766, 7, 'מיין לפי אירוע');
INSERT INTO `lang_definitions` VALUES (35978, 9767, 7, 'מיין לפי קבוצה');
INSERT INTO `lang_definitions` VALUES (35979, 9768, 7, 'מיין לפי בדיקת סיכום חדשה');
INSERT INTO `lang_definitions` VALUES (35980, 9769, 7, 'מיין לפי בדיקת סיכום ישנה');
INSERT INTO `lang_definitions` VALUES (35981, 9770, 7, 'מיין לפי מזהה מטופל');
INSERT INTO `lang_definitions` VALUES (35982, 9772, 7, 'מיין לפי הצלחה');
INSERT INTO `lang_definitions` VALUES (35983, 9773, 7, 'מיין לפי תאריך/שעה של התעסקות');
INSERT INTO `lang_definitions` VALUES (35984, 9774, 7, 'מיין לפי משתמש');
INSERT INTO `lang_definitions` VALUES (35985, 9775, 7, 'מיין לפי חיסון');
INSERT INTO `lang_definitions` VALUES (35986, 9776, 7, 'מיין למטה');
INSERT INTO `lang_definitions` VALUES (35987, 9777, 7, 'מיין תוצאה לפי');
INSERT INTO `lang_definitions` VALUES (35988, 9778, 7, 'מיין למעלה');
INSERT INTO `lang_definitions` VALUES (35989, 9779, 7, 'מקור');
INSERT INTO `lang_definitions` VALUES (35990, 9781, 7, 'קובץ מקור');
INSERT INTO `lang_definitions` VALUES (35991, 9782, 7, 'נתיב קובץ מקור');
INSERT INTO `lang_definitions` VALUES (35992, 9783, 7, 'המקור חסר עבור הקוד');
INSERT INTO `lang_definitions` VALUES (35993, 9784, 7, 'מנת מקור');
INSERT INTO `lang_definitions` VALUES (35994, 9785, 7, 'מקור המסמך');
INSERT INTO `lang_definitions` VALUES (35995, 9786, 7, 'מטופל מקור');
INSERT INTO `lang_definitions` VALUES (35996, 9787, 7, 'למטופל המקור אין תאריך לידה');
INSERT INTO `lang_definitions` VALUES (35997, 9788, 7, 'מטופל מקור לא נמצא');
INSERT INTO `lang_definitions` VALUES (35998, 9789, 7, 'מקור:');
INSERT INTO `lang_definitions` VALUES (35999, 9790, 7, 'דרום נדבלה');
INSERT INTO `lang_definitions` VALUES (36000, 9791, 7, 'דרום סותו');
INSERT INTO `lang_definitions` VALUES (36001, 9792, 7, 'רווח~חלל');
INSERT INTO `lang_definitions` VALUES (36002, 9793, 7, 'רווח~חלל');
INSERT INTO `lang_definitions` VALUES (36003, 9795, 7, 'ספרדית');
INSERT INTO `lang_definitions` VALUES (36004, 9796, 7, 'ספרדית (אמריקה הלטינית)');
INSERT INTO `lang_definitions` VALUES (36005, 9797, 7, 'ספרדית (ספרד)');
INSERT INTO `lang_definitions` VALUES (36006, 9798, 7, 'ספרדית - קסטילית');
INSERT INTO `lang_definitions` VALUES (36007, 9799, 7, 'תווים מיוחדים אינם מותרים');
INSERT INTO `lang_definitions` VALUES (36008, 9800, 7, 'טיפול מיוחד עבור טופס הסימנים החיוניים');
INSERT INTO `lang_definitions` VALUES (36009, 9801, 7, 'מומחה');
INSERT INTO `lang_definitions` VALUES (36010, 9802, 7, 'שם וחתימת מומחה');
INSERT INTO `lang_definitions` VALUES (36011, 9803, 7, 'רופא מומחה');
INSERT INTO `lang_definitions` VALUES (36012, 9804, 7, 'התמחות');
INSERT INTO `lang_definitions` VALUES (36013, 9805, 7, 'מערכות ייעודיות');
INSERT INTO `lang_definitions` VALUES (36014, 9806, 7, 'התמחות:');
INSERT INTO `lang_definitions` VALUES (36015, 9807, 7, 'ספציפי');
INSERT INTO `lang_definitions` VALUES (36016, 9808, 7, 'יישום ספציפי');
INSERT INTO `lang_definitions` VALUES (36017, 9809, 7, 'שירות אמצעי מניעה ספציפי');
INSERT INTO `lang_definitions` VALUES (36018, 9810, 7, 'תוצאה ספציפית');
INSERT INTO `lang_definitions` VALUES (36019, 9811, 7, 'שירות ספציפי');
INSERT INTO `lang_definitions` VALUES (36020, 9812, 7, 'צוין');
INSERT INTO `lang_definitions` VALUES (36021, 9813, 7, 'מציין עיצוב עבור קודים. # = ספרה, * = כל תו. ריק אם לא בשימוש.');
INSERT INTO `lang_definitions` VALUES (36022, 9814, 7, 'מציין עיצוב עבור קודים. # = ספרה, @ = אלפא, * = כל תו. ריק אם לא בשימוש.');
INSERT INTO `lang_definitions` VALUES (36023, 9815, 7, 'מציין עיצוב עבור מספרי אסמכתא של חשבוניות.  # = ספרה, * = כל תו.  ריק אם לא בשימוש.');
INSERT INTO `lang_definitions` VALUES (36024, 9816, 7, 'מציין עיצוב עבור מספרי אסמכתא של חשבוניות.  # = ספרה, @ = אלפא, * = כל תו.  ריק אם לא בשימוש.');
INSERT INTO `lang_definitions` VALUES (36025, 9817, 7, 'מציין עיצוב עבור שדות NDC של מוצרים.  # = ספרה, * = כל תו.  ריק אם לא בשימוש.');
INSERT INTO `lang_definitions` VALUES (36026, 9818, 7, 'מציין עיצוב עבור שדות NDC של מוצרים.  # = ספרה, @ = אלפא, * = כל תו.  ריק אם לא בשימוש.');
INSERT INTO `lang_definitions` VALUES (36027, 9819, 7, 'מציין עיצוב עבור מזהה המטופל החיצוני.  # = ספרה, * = כל תו.  ריק אם לא בשימוש.');
INSERT INTO `lang_definitions` VALUES (36028, 9820, 7, 'מציין עיצוב עבור מזהה המטופל החיצוני.  # = ספרה, @ = אלפא, * = כל תו.  ריק אם לא בשימוש.');
INSERT INTO `lang_definitions` VALUES (36029, 9823, 7, 'דגימה');
INSERT INTO `lang_definitions` VALUES (36030, 9824, 7, 'מספר/מזהה דגימה');
INSERT INTO `lang_definitions` VALUES (36031, 9825, 7, 'סוג דגימה');
INSERT INTO `lang_definitions` VALUES (36032, 9826, 7, 'סוג דגימה');
INSERT INTO `lang_definitions` VALUES (36033, 9827, 7, 'הכתבת דיבור');
INSERT INTO `lang_definitions` VALUES (36034, 9828, 7, 'קוטלי זרע');
INSERT INTO `lang_definitions` VALUES (36035, 9831, 7, 'כריתת טחול');
INSERT INTO `lang_definitions` VALUES (36036, 9832, 7, 'בן/בת זוג');
INSERT INTO `lang_definitions` VALUES (36037, 9833, 7, 'היסטוריית זוגיות');
INSERT INTO `lang_definitions` VALUES (36038, 9834, 7, 'ריר');
INSERT INTO `lang_definitions` VALUES (36039, 9835, 7, 'ריר:');
INSERT INTO `lang_definitions` VALUES (36040, 9836, 7, 'SQ');
INSERT INTO `lang_definitions` VALUES (36041, 9837, 7, 'sql');
INSERT INTO `lang_definitions` VALUES (36042, 9838, 7, 'SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (36043, 9839, 7, 'קבוצה');
INSERT INTO `lang_definitions` VALUES (36044, 9840, 7, 'חברות בקבוצה');
INSERT INTO `lang_definitions` VALUES (36045, 9841, 7, 'קבוצות');
INSERT INTO `lang_definitions` VALUES (36046, 9843, 7, 'SRH');
INSERT INTO `lang_definitions` VALUES (36047, 9844, 7, 'SRH - תכנון משפחה');
INSERT INTO `lang_definitions` VALUES (36048, 9845, 7, 'SRH - לא תכנון משפחה');
INSERT INTO `lang_definitions` VALUES (36049, 9846, 7, 'הפניות SRH');
INSERT INTO `lang_definitions` VALUES (36050, 9847, 7, 'טופס ביקור SRH');
INSERT INTO `lang_definitions` VALUES (36051, 9848, 7, 'תאריך שירות');
INSERT INTO `lang_definitions` VALUES (36052, 9849, 7, 'מספר מזהה');
INSERT INTO `lang_definitions` VALUES (36053, 9850, 7, 'ניהול אישורי SSL');
INSERT INTO `lang_definitions` VALUES (36054, 9851, 7, 'מספר זיהוי');
INSERT INTO `lang_definitions` VALUES (36055, 9852, 7, 'יציבות');
INSERT INTO `lang_definitions` VALUES (36056, 9854, 7, 'שחרורים מדורגים~בשלבים~מתוזמנים');
INSERT INTO `lang_definitions` VALUES (36057, 9855, 7, 'תקן~רגיל');
INSERT INTO `lang_definitions` VALUES (36058, 9857, 7, 'קוד תקן');
INSERT INTO `lang_definitions` VALUES (36059, 9860, 7, 'מדידות תקניות');
INSERT INTO `lang_definitions` VALUES (36060, 9861, 7, 'מדידות תקניות~אמצעים תקניים (התראות פעילות)');
INSERT INTO `lang_definitions` VALUES (36061, 9862, 7, 'מדידות תקניות~אמצעים תקניים (התראות פסיביות)');
INSERT INTO `lang_definitions` VALUES (36062, 9863, 7, 'מדידות תקניות~אמצעים תקניים (תזכורות מטופל)');
INSERT INTO `lang_definitions` VALUES (36063, 9864, 7, 'שם תקני~תקן');
INSERT INTO `lang_definitions` VALUES (36064, 9865, 7, 'Standard; Simplified: only title, start date, comments and an Active checkbox;no diagnosis, occurrence, end date, referred-by or sports fields. ; פציעת כדורגל');
INSERT INTO `lang_definitions` VALUES (36065, 9866, 7, 'התחלה');
INSERT INTO `lang_definitions` VALUES (36066, 9867, 7, 'התחלה (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (36067, 9868, 7, 'התחל דוח אחר');
INSERT INTO `lang_definitions` VALUES (36068, 9870, 7, 'התחל עיבוד באצווה');
INSERT INTO `lang_definitions` VALUES (36069, 9874, 7, 'תאריך התחלה');
INSERT INTO `lang_definitions` VALUES (36070, 9876, 7, 'תאריך התחלה במרפאה זו');
INSERT INTO `lang_definitions` VALUES (36071, 9877, 7, 'תאריך ההתחלה אינו אמור להיות גדול מתאריך הסיום');
INSERT INTO `lang_definitions` VALUES (36072, 9878, 7, 'תאריך התחלה:');
INSERT INTO `lang_definitions` VALUES (36073, 9879, 7, 'תאריך התחלה:');
INSERT INTO `lang_definitions` VALUES (36074, 9881, 7, 'שעת התחלה');
INSERT INTO `lang_definitions` VALUES (36075, 9884, 7, 'תאריך התחלה');
INSERT INTO `lang_definitions` VALUES (36076, 9888, 7, 'מצב');
INSERT INTO `lang_definitions` VALUES (36077, 9889, 7, 'מספר בית');
INSERT INTO `lang_definitions` VALUES (36078, 9890, 7, 'סוג נתוני מחוז');
INSERT INTO `lang_definitions` VALUES (36079, 9891, 7, 'רישיון מס\'');
INSERT INTO `lang_definitions` VALUES (36080, 9892, 7, 'מספר רישיון');
INSERT INTO `lang_definitions` VALUES (36081, 9893, 7, 'רשימת מחוזות~מצבים');
INSERT INTO `lang_definitions` VALUES (36082, 9894, 7, 'רשימת מחוזות~מצבים (כתיבה, הוספה בלבד אופציונלית)');
INSERT INTO `lang_definitions` VALUES (36083, 9896, 7, 'שדות בהתאמה אישית של רכיב גרפי לרשימת מחוזות~מצבים');
INSERT INTO `lang_definitions` VALUES (36084, 9897, 7, 'מחוז');
INSERT INTO `lang_definitions` VALUES (36085, 9898, 7, 'מחוז/מקומי');
INSERT INTO `lang_definitions` VALUES (36086, 9899, 7, 'מחוז');
INSERT INTO `lang_definitions` VALUES (36087, 9903, 7, 'סיכום דוח');
INSERT INTO `lang_definitions` VALUES (36088, 9904, 7, 'דוחות ומעדכן חשבוניות.');
INSERT INTO `lang_definitions` VALUES (36089, 9906, 7, 'דוחות נשלחו:');
INSERT INTO `lang_definitions` VALUES (36090, 9907, 7, 'דוחות; לא יעודכנו חשבוניות.');
INSERT INTO `lang_definitions` VALUES (36091, 9908, 7, 'טקסט סטטי');
INSERT INTO `lang_definitions` VALUES (36092, 9909, 7, 'סטטיסטיקה');
INSERT INTO `lang_definitions` VALUES (36093, 9910, 7, 'סטטיסטיקה');
INSERT INTO `lang_definitions` VALUES (36094, 9911, 7, 'מצב');
INSERT INTO `lang_definitions` VALUES (36095, 9914, 7, 'מצב קבלה');
INSERT INTO `lang_definitions` VALUES (36096, 9915, 7, 'מצב תביעה');
INSERT INTO `lang_definitions` VALUES (36097, 9916, 7, 'סטטוס קוו');
INSERT INTO `lang_definitions` VALUES (36098, 9917, 7, 'סוג מצב');
INSERT INTO `lang_definitions` VALUES (36099, 9918, 7, 'ייעוץ מחלות מין/AIDS');
INSERT INTO `lang_definitions` VALUES (36100, 9919, 7, 'חוזק והתניה');
INSERT INTO `lang_definitions` VALUES (36101, 9920, 7, 'ילד חורג');
INSERT INTO `lang_definitions` VALUES (36102, 9921, 7, 'הורה חורג');
INSERT INTO `lang_definitions` VALUES (36103, 9922, 7, 'אח חורג');
INSERT INTO `lang_definitions` VALUES (36104, 9924, 7, 'שלבים להעלאת CCR XML');
INSERT INTO `lang_definitions` VALUES (36105, 9925, 7, 'שלבים להתקנת מסד נתונים של DSM IV');
INSERT INTO `lang_definitions` VALUES (36106, 9926, 7, 'שלבים להתקנת מסד נתונים של ICD 10');
INSERT INTO `lang_definitions` VALUES (36107, 9927, 7, 'שלבים להתקנת מסד נתונים של ICD 9');
INSERT INTO `lang_definitions` VALUES (36108, 9928, 7, 'שלבים להתקנת מסד נתונים של RxNorm');
INSERT INTO `lang_definitions` VALUES (36109, 9929, 7, 'שלבים להתקנת מסד נתונים של Snomed');
INSERT INTO `lang_definitions` VALUES (36110, 9932, 7, 'נוקשות במפרקים');
INSERT INTO `lang_definitions` VALUES (36111, 9933, 7, 'נוקשות');
INSERT INTO `lang_definitions` VALUES (36112, 9935, 7, 'חודשי מלאי');
INSERT INTO `lang_definitions` VALUES (36113, 9936, 7, 'כאבי בטן');
INSERT INTO `lang_definitions` VALUES (36114, 9937, 7, 'עצור~עצירה~הפסקה');
INSERT INTO `lang_definitions` VALUES (36115, 9942, 7, 'Hash מאוחסן');
INSERT INTO `lang_definitions` VALUES (36116, 9944, 7, 'מתיחת שריר');
INSERT INTO `lang_definitions` VALUES (36117, 9946, 7, 'זרם');
INSERT INTO `lang_definitions` VALUES (36118, 9947, 7, 'רחוב');
INSERT INTO `lang_definitions` VALUES (36119, 9948, 7, 'כתובת');
INSERT INTO `lang_definitions` VALUES (36120, 9949, 7, 'רחוב וכתובת');
INSERT INTO `lang_definitions` VALUES (36121, 9950, 7, 'חוזק');
INSERT INTO `lang_definitions` VALUES (36122, 9951, 7, 'חוזק והתניה');
INSERT INTO `lang_definitions` VALUES (36123, 9952, 7, 'גרון סטרפטוקוקי');
INSERT INTO `lang_definitions` VALUES (36124, 9953, 7, 'שבר לחץ');
INSERT INTO `lang_definitions` VALUES (36125, 9954, 7, 'בדיקת לחץ');
INSERT INTO `lang_definitions` VALUES (36126, 9956, 7, 'שבץ');
INSERT INTO `lang_definitions` VALUES (36127, 9958, 7, 'סביבה חזקה מכילה 8 תווים לפחות ולפחות שלושה מהבאים: ספרה, אות קטנה, אות גדולה, תו מיוחד.');
INSERT INTO `lang_definitions` VALUES (36128, 9960, 7, 'סגנון');
INSERT INTO `lang_definitions` VALUES (36129, 9961, 7, 'סגנון הטופס המשמש להוספת מטופלים חדשים');
INSERT INTO `lang_definitions` VALUES (36130, 9965, 7, 'קטגוריית משנה');
INSERT INTO `lang_definitions` VALUES (36131, 9966, 7, 'סיכום ביניים');
INSERT INTO `lang_definitions` VALUES (36132, 9967, 7, 'קטגוריית משנה');
INSERT INTO `lang_definitions` VALUES (36133, 9968, 7, 'קטגוריית משנה');
INSERT INTO `lang_definitions` VALUES (36134, 9969, 7, 'מלעורי');
INSERT INTO `lang_definitions` VALUES (36135, 9970, 7, 'נושא');
INSERT INTO `lang_definitions` VALUES (36136, 9971, 7, 'סובייקטיבי');
INSERT INTO `lang_definitions` VALUES (36137, 9972, 7, 'מתחת ללשון');
INSERT INTO `lang_definitions` VALUES (36138, 9973, 7, 'מתחת ללשון');
INSERT INTO `lang_definitions` VALUES (36139, 9974, 7, 'שלח');
INSERT INTO `lang_definitions` VALUES (36140, 9975, 7, 'שלח');
INSERT INTO `lang_definitions` VALUES (36141, 9976, 7, 'שלח את כל התוכן');
INSERT INTO `lang_definitions` VALUES (36142, 9977, 7, 'שלח ומחק בקשה');
INSERT INTO `lang_definitions` VALUES (36143, 9979, 7, 'שלח אירוע');
INSERT INTO `lang_definitions` VALUES (36144, 9980, 7, 'שלח טופס');
INSERT INTO `lang_definitions` VALUES (36145, 9982, 7, 'שלח תוכן נבחר');
INSERT INTO `lang_definitions` VALUES (36146, 9984, 7, 'נשלח');
INSERT INTO `lang_definitions` VALUES (36147, 9985, 7, 'נשלח על-ידי');
INSERT INTO `lang_definitions` VALUES (36148, 9986, 7, 'מספר גישת EDI של השולח (PER06)');
INSERT INTO `lang_definitions` VALUES (36149, 9987, 7, 'מנוי');
INSERT INTO `lang_definitions` VALUES (36150, 9988, 7, 'כתובת מנוי');
INSERT INTO `lang_definitions` VALUES (36151, 9989, 7, 'עיר מנוי');
INSERT INTO `lang_definitions` VALUES (36152, 9990, 7, 'מדינת מנוי');
INSERT INTO `lang_definitions` VALUES (36153, 9991, 7, 'תאריך לידה של מנוי');
INSERT INTO `lang_definitions` VALUES (36154, 9992, 7, 'מעסיק מנוי');
INSERT INTO `lang_definitions` VALUES (36155, 9993, 7, 'מעסיק מנוי (SE)');
INSERT INTO `lang_definitions` VALUES (36156, 9994, 7, 'כתובת מעסיק מנוי');
INSERT INTO `lang_definitions` VALUES (36157, 9995, 7, 'עיר מעסיק מנוי');
INSERT INTO `lang_definitions` VALUES (36158, 9996, 7, 'מדינת מעסיק מנוי');
INSERT INTO `lang_definitions` VALUES (36159, 9997, 7, 'מחוז מעסיק מנוי');
INSERT INTO `lang_definitions` VALUES (36160, 9998, 7, 'רחוב מעסיק מנוי');
INSERT INTO `lang_definitions` VALUES (36161, 9999, 7, 'מיקוד מעסיק מנוי');
INSERT INTO `lang_definitions` VALUES (36162, 10000, 7, 'מיקוד מעסיק מנוי');
INSERT INTO `lang_definitions` VALUES (36163, 10001, 7, 'שם פרטי של מנוי');
INSERT INTO `lang_definitions` VALUES (36164, 10002, 7, 'שם משפחה של מנוי');
INSERT INTO `lang_definitions` VALUES (36165, 10004, 7, 'שם אמצעי של מנוי');
INSERT INTO `lang_definitions` VALUES (36166, 10005, 7, 'טלפון מנוי');
INSERT INTO `lang_definitions` VALUES (36167, 10006, 7, 'קשר מנוי');
INSERT INTO `lang_definitions` VALUES (36168, 10007, 7, 'קשר מנוי אינו \"עצמי\", אך השם זהה! האם זה תקין?');
INSERT INTO `lang_definitions` VALUES (36169, 10008, 7, 'קשר מנוי אינו \"עצמי\", אך מספר הביטוח הלאומי זהה!');
INSERT INTO `lang_definitions` VALUES (36170, 10009, 7, 'קשר מנוי הוא \"עצמי\", אך השם שונה! האם זה תקין?');
INSERT INTO `lang_definitions` VALUES (36171, 10010, 7, 'קשר מנוי הוא \"עצמי\", אך מספר הביטוח הלאומי שונה!');
INSERT INTO `lang_definitions` VALUES (36172, 10011, 7, 'מין מנוי');
INSERT INTO `lang_definitions` VALUES (36173, 10012, 7, 'ביטוח לאומי של מנוי');
INSERT INTO `lang_definitions` VALUES (36174, 10013, 7, 'מחוז מנוי');
INSERT INTO `lang_definitions` VALUES (36175, 10014, 7, 'מיקוד מנוי');
INSERT INTO `lang_definitions` VALUES (36176, 10017, 7, 'טלפון מנוי');
INSERT INTO `lang_definitions` VALUES (36177, 10018, 7, 'חומר');
INSERT INTO `lang_definitions` VALUES (36178, 10020, 7, 'תחליף');
INSERT INTO `lang_definitions` VALUES (36179, 10021, 7, 'תחליף מותר');
INSERT INTO `lang_definitions` VALUES (36180, 10023, 7, 'סוג משנה');
INSERT INTO `lang_definitions` VALUES (36181, 10024, 7, 'הפעולה בוצעה בהצלחה');
INSERT INTO `lang_definitions` VALUES (36182, 10025, 7, 'הפעולה בוצעה בהצלחה');
INSERT INTO `lang_definitions` VALUES (36183, 10026, 7, 'אישור קבלה של תוצאות מעבדה בוצע בהצלחה');
INSERT INTO `lang_definitions` VALUES (36184, 10027, 7, 'קבלת תוצאות מעבדה בוצעה בהצלחה');
INSERT INTO `lang_definitions` VALUES (36185, 10028, 7, 'אחזור תוצאות מרשת Lab Exchange בוצע בהצלחה');
INSERT INTO `lang_definitions` VALUES (36186, 10029, 7, 'העברות שבוצעו בהצלחה');
INSERT INTO `lang_definitions` VALUES (36187, 10030, 7, 'נוסף לקטגוריה בהצלחה');
INSERT INTO `lang_definitions` VALUES (36188, 10031, 7, 'נוסף לקטגוריה בהצלחה,');
INSERT INTO `lang_definitions` VALUES (36189, 10032, 7, 'הסתיים בהצלחה');
INSERT INTO `lang_definitions` VALUES (36190, 10033, 7, 'נמחק בהצלחה');
INSERT INTO `lang_definitions` VALUES (36191, 10034, 7, 'הפרטים יובאו בהצלחה. אשר את המטופל ממסך ההמתנה לאישור');
INSERT INTO `lang_definitions` VALUES (36192, 10035, 7, 'מסד הנתונים הותקן בהצלחה.');
INSERT INTO `lang_definitions` VALUES (36193, 10036, 7, 'מסד הנתונים הבא הותקן בהצלחה');
INSERT INTO `lang_definitions` VALUES (36194, 10037, 7, 'השתנה בהצלחה');
INSERT INTO `lang_definitions` VALUES (36195, 10039, 7, 'נשמר בהצלחה. האם ברצונך להקצות?');
INSERT INTO `lang_definitions` VALUES (36196, 10040, 7, 'נשמר בהצלחה. האם ברצונך להפיץ?');
INSERT INTO `lang_definitions` VALUES (36197, 10041, 7, 'נשלח בהצלחה');
INSERT INTO `lang_definitions` VALUES (36198, 10042, 7, 'אוחסן בהצלחה.');
INSERT INTO `lang_definitions` VALUES (36199, 10044, 7, 'מסד הנתונים שודרג בהצלחה.');
INSERT INTO `lang_definitions` VALUES (36200, 10045, 7, 'מסד הנתונים הבא שודרג בהצלחה');
INSERT INTO `lang_definitions` VALUES (36201, 10046, 7, 'בהצלחה.');
INSERT INTO `lang_definitions` VALUES (36202, 10049, 7, 'התאבדות');
INSERT INTO `lang_definitions` VALUES (36203, 10051, 7, 'סיכום');
INSERT INTO `lang_definitions` VALUES (36204, 10052, 7, 'סיכום של');
INSERT INTO `lang_definitions` VALUES (36205, 10056, 7, 'סיכום טיפול נשלח');
INSERT INTO `lang_definitions` VALUES (36206, 10057, 7, 'סיכום טיפול נשלח באופן אלקטרוני');
INSERT INTO `lang_definitions` VALUES (36207, 10058, 7, 'ראשון');
INSERT INTO `lang_definitions` VALUES (36208, 10059, 7, 'סנדנית');
INSERT INTO `lang_definitions` VALUES (36209, 10060, 7, 'יום ראשון');
INSERT INTO `lang_definitions` VALUES (36210, 10061, 7, 'Superbill');
INSERT INTO `lang_definitions` VALUES (36211, 10062, 7, 'קודי Superbill');
INSERT INTO `lang_definitions` VALUES (36212, 10063, 7, 'ניהול קודי Superbill');
INSERT INTO `lang_definitions` VALUES (36213, 10065, 7, 'דוח Superbill');
INSERT INTO `lang_definitions` VALUES (36214, 10066, 7, 'Superbill/גיליון תשלום');
INSERT INTO `lang_definitions` VALUES (36215, 10067, 7, 'Superbills');
INSERT INTO `lang_definitions` VALUES (36216, 10068, 7, 'Superbills, המכונים לעתים \"טופסי מפגש\" או \"פתקי ניתוב\", מהווים חלק חיוני ברוב הפרקטיקות הרפואיות.');
INSERT INTO `lang_definitions` VALUES (36217, 10069, 7, 'משתמש-על');
INSERT INTO `lang_definitions` VALUES (36218, 10071, 7, 'פיקוח');
INSERT INTO `lang_definitions` VALUES (36219, 10072, 7, 'רופא מפקח');
INSERT INTO `lang_definitions` VALUES (36220, 10073, 7, 'DEA רופא מפקח');
INSERT INTO `lang_definitions` VALUES (36221, 10074, 7, 'שם פרטי של רופא מפקח');
INSERT INTO `lang_definitions` VALUES (36222, 10075, 7, 'שם משפחה של רופא מפקח');
INSERT INTO `lang_definitions` VALUES (36223, 10076, 7, 'NPI של רופא מפקח');
INSERT INTO `lang_definitions` VALUES (36224, 10077, 7, 'UPIN של רופא מפקח');
INSERT INTO `lang_definitions` VALUES (36225, 10081, 7, 'שם מתקן ספק');
INSERT INTO `lang_definitions` VALUES (36226, 10082, 7, 'תמיכה באירועי לוח שנה החלים על משתמשים מרובים');
INSERT INTO `lang_definitions` VALUES (36227, 10083, 7, 'תמיכה בייצוא/ייבוא של נתוני תצורה דרך דף הגיבוי.');
INSERT INTO `lang_definitions` VALUES (36228, 10084, 7, 'תמיכה באירועים מרובי משתמשים');
INSERT INTO `lang_definitions` VALUES (36229, 10086, 7, 'תמיכה בפריט הטמעת ספק בגיליון התשלום');
INSERT INTO `lang_definitions` VALUES (36230, 10088, 7, 'תמיכה בהצפנה/פענוח של TripleDES בלבד.');
INSERT INTO `lang_definitions` VALUES (36231, 10090, 7, 'סוג משטח');
INSERT INTO `lang_definitions` VALUES (36232, 10092, 7, 'ניתוחים');
INSERT INTO `lang_definitions` VALUES (36233, 10093, 7, 'ניתוח');
INSERT INTO `lang_definitions` VALUES (36234, 10094, 7, 'רשימת סוגיות ניתוח');
INSERT INTO `lang_definitions` VALUES (36235, 10095, 7, 'מושהה');
INSERT INTO `lang_definitions` VALUES (36236, 10096, 7, 'השהיה');
INSERT INTO `lang_definitions` VALUES (36237, 10098, 7, 'תאריך שירות');
INSERT INTO `lang_definitions` VALUES (36238, 10099, 7, 'תאריך שירות:');
INSERT INTO `lang_definitions` VALUES (36239, 10100, 7, 'סוואהילי');
INSERT INTO `lang_definitions` VALUES (36240, 10101, 7, 'סוואטי');
INSERT INTO `lang_definitions` VALUES (36241, 10102, 7, 'הזעה:');
INSERT INTO `lang_definitions` VALUES (36242, 10103, 7, 'שוודית');
INSERT INTO `lang_definitions` VALUES (36243, 10104, 7, 'התנפחות');
INSERT INTO `lang_definitions` VALUES (36244, 10105, 7, 'התנפחות ימין');
INSERT INTO `lang_definitions` VALUES (36245, 10106, 7, 'מפרקים נפוחים');
INSERT INTO `lang_definitions` VALUES (36246, 10107, 7, 'קשרי לימפה נפוחים');
INSERT INTO `lang_definitions` VALUES (36247, 10108, 7, 'סמל המשמש כנקודה עשרונית של מטבע. לא בשימוש אם \'מקומות עשרוניים\' הוא 0.');
INSERT INTO `lang_definitions` VALUES (36248, 10109, 7, 'סמל המשמש להפרדת אלפים עבור מטבע.');
INSERT INTO `lang_definitions` VALUES (36249, 10110, 7, 'תסמינים');
INSERT INTO `lang_definitions` VALUES (36250, 10111, 7, 'סנכרן');
INSERT INTO `lang_definitions` VALUES (36251, 10112, 7, 'סנכרן תרגומים עם טבלת שפות בהתאמה אישית.');
INSERT INTO `lang_definitions` VALUES (36252, 10113, 7, 'קבוע חדש בהתאמה אישית מסונכרן:');
INSERT INTO `lang_definitions` VALUES (36253, 10114, 7, 'שפה חדשה בהתאמה אישית מסונכרנת:');
INSERT INTO `lang_definitions` VALUES (36254, 10115, 7, 'הגדרה חדשה מסונכרנת (שפה, קבוע, הגדרה):');
INSERT INTO `lang_definitions` VALUES (36255, 10116, 7, 'סינקופה');
INSERT INTO `lang_definitions` VALUES (36256, 10117, 7, 'מעקב תסמונת');
INSERT INTO `lang_definitions` VALUES (36257, 10118, 7, 'מעקב תסמונת - אין בעיות שדווחו');
INSERT INTO `lang_definitions` VALUES (36258, 10119, 7, 'דוח מעקב תסמונת');
INSERT INTO `lang_definitions` VALUES (36259, 10120, 7, 'דלקת קרום המפרק, חדירה, דלקת הכסת');
INSERT INTO `lang_definitions` VALUES (36260, 10121, 7, 'מערכת');
INSERT INTO `lang_definitions` VALUES (36261, 10124, 7, 'סיסטולי');
INSERT INTO `lang_definitions` VALUES (36262, 10125, 7, 'ש{{יום שבת}}');
INSERT INTO `lang_definitions` VALUES (36263, 10127, 7, 'א{{יום ראשון}}');
INSERT INTO `lang_definitions` VALUES (36264, 10128, 7, 'T');
INSERT INTO `lang_definitions` VALUES (36265, 10130, 7, 't.i.d.');
INSERT INTO `lang_definitions` VALUES (36266, 10131, 7, 'T.V.');
INSERT INTO `lang_definitions` VALUES (36267, 10133, 7, 'טבלה');
INSERT INTO `lang_definitions` VALUES (36268, 10136, 7, 'קוד טבלה');
INSERT INTO `lang_definitions` VALUES (36269, 10137, 7, 'יצירת טבלה נכשלה');
INSERT INTO `lang_definitions` VALUES (36270, 10138, 7, 'עדכון טבלה נכשל');
INSERT INTO `lang_definitions` VALUES (36271, 10139, 7, 'טבלאות');
INSERT INTO `lang_definitions` VALUES (36272, 10140, 7, 'מחשב לוח');
INSERT INTO `lang_definitions` VALUES (36273, 10141, 7, 'לשוניות');
INSERT INTO `lang_definitions` VALUES (36274, 10144, 7, 'תג למפגש');
INSERT INTO `lang_definitions` VALUES (36275, 10146, 7, 'טגלוג');
INSERT INTO `lang_definitions` VALUES (36276, 10147, 7, 'טהאיטית');
INSERT INTO `lang_definitions` VALUES (36277, 10148, 7, 'טאג\'יק');
INSERT INTO `lang_definitions` VALUES (36278, 10149, 7, 'קח~לקיחה');
INSERT INTO `lang_definitions` VALUES (36279, 10151, 7, 'קח ביטוח מהרשימה הנפתחת');
INSERT INTO `lang_definitions` VALUES (36280, 10152, 7, 'קח תחילת תשלום מהרשימה הנפתחת');
INSERT INTO `lang_definitions` VALUES (36281, 10153, 7, 'ביטול');
INSERT INTO `lang_definitions` VALUES (36282, 10154, 7, 'נמשך זמן רב');
INSERT INTO `lang_definitions` VALUES (36283, 10157, 7, 'אזור ניווט גבוה');
INSERT INTO `lang_definitions` VALUES (36284, 10158, 7, 'טאמיל');
INSERT INTO `lang_definitions` VALUES (36285, 10159, 7, 'תאריך התעסקות');
INSERT INTO `lang_definitions` VALUES (36286, 10160, 7, 'בדיקת סיכום עם התעסקות');
INSERT INTO `lang_definitions` VALUES (36287, 10161, 7, 'תאריכי הלידה של היעד והמקור לא תואמים');
INSERT INTO `lang_definitions` VALUES (36288, 10162, 7, 'ייתכן ש-pid היעד והמקור אינם זהים!');
INSERT INTO `lang_definitions` VALUES (36289, 10163, 7, 'מספרי ביטוח לאומי של היעד והמקור לא תואמים');
INSERT INTO `lang_definitions` VALUES (36290, 10164, 7, 'תאריך יעד');
INSERT INTO `lang_definitions` VALUES (36291, 10165, 7, 'מטופל יעד');
INSERT INTO `lang_definitions` VALUES (36292, 10166, 7, 'למטופל היעד אין תאריך לידה');
INSERT INTO `lang_definitions` VALUES (36293, 10167, 7, 'מטופל יעד לא נמצא');
INSERT INTO `lang_definitions` VALUES (36294, 10168, 7, 'קבוצות יעד/פעולה');
INSERT INTO `lang_definitions` VALUES (36295, 10171, 7, 'טטרי');
INSERT INTO `lang_definitions` VALUES (36296, 10172, 7, 'מזהה מס');
INSERT INTO `lang_definitions` VALUES (36297, 10173, 7, 'מזהה מס');
INSERT INTO `lang_definitions` VALUES (36298, 10174, 7, 'שיעור מס');
INSERT INTO `lang_definitions` VALUES (36299, 10175, 7, 'מסים');
INSERT INTO `lang_definitions` VALUES (36300, 10176, 7, 'טקסונומיה');
INSERT INTO `lang_definitions` VALUES (36301, 10181, 7, 'Td');
INSERT INTO `lang_definitions` VALUES (36302, 10182, 7, 'סקירת פציעה קבוצתית');
INSERT INTO `lang_definitions` VALUES (36303, 10183, 7, 'מערך קבוצה');
INSERT INTO `lang_definitions` VALUES (36304, 10184, 7, 'תצוגת מערך קבוצה');
INSERT INTO `lang_definitions` VALUES (36305, 10185, 7, 'קבוצה');
INSERT INTO `lang_definitions` VALUES (36306, 10187, 7, 'טלפון');
INSERT INTO `lang_definitions` VALUES (36307, 10189, 7, 'קידומת טלפון של מדינה');
INSERT INTO `lang_definitions` VALUES (36308, 10191, 7, 'טלוגו');
INSERT INTO `lang_definitions` VALUES (36309, 10192, 7, 'טמפרטורה~זמני~תבנית');
INSERT INTO `lang_definitions` VALUES (36310, 10193, 7, 'מיקום המדידה');
INSERT INTO `lang_definitions` VALUES (36311, 10194, 7, 'שיטה זמנית');
INSERT INTO `lang_definitions` VALUES (36312, 10196, 7, 'טמפרטורה');
INSERT INTO `lang_definitions` VALUES (36313, 10197, 7, 'תבנית');
INSERT INTO `lang_definitions` VALUES (36314, 10198, 7, 'שם תבנית');
INSERT INTO `lang_definitions` VALUES (36315, 10199, 7, 'שמות תבנית לא יכולים להתחיל בספרה.');
INSERT INTO `lang_definitions` VALUES (36316, 10201, 7, 'תבנית:');
INSERT INTO `lang_definitions` VALUES (36317, 10202, 7, 'תבניות');
INSERT INTO `lang_definitions` VALUES (36318, 10205, 7, 'עורק הרקה');
INSERT INTO `lang_definitions` VALUES (36319, 10208, 7, 'פציעה בגיד');
INSERT INTO `lang_definitions` VALUES (36320, 10209, 7, 'דלקת גידים/דלקת גידים כרונית/דלקת הכסת');
INSERT INTO `lang_definitions` VALUES (36321, 10211, 7, 'מס\' אסמכתא טנטטיבי של חשבונית');
INSERT INTO `lang_definitions` VALUES (36322, 10213, 7, 'שלישוני');
INSERT INTO `lang_definitions` VALUES (36323, 10214, 7, 'ביטוח שלישוני');
INSERT INTO `lang_definitions` VALUES (36324, 10215, 7, 'נתוני ביטוח שלישוני');
INSERT INTO `lang_definitions` VALUES (36325, 10216, 7, 'ספק ביטוח שלישוני');
INSERT INTO `lang_definitions` VALUES (36326, 10219, 7, 'תזמון בדיקה');
INSERT INTO `lang_definitions` VALUES (36327, 10220, 7, 'מערכת בדיקה~בדיקת מערכת');
INSERT INTO `lang_definitions` VALUES (36328, 10223, 7, 'טקסט');
INSERT INTO `lang_definitions` VALUES (36329, 10224, 7, 'אבחון טקסט');
INSERT INTO `lang_definitions` VALUES (36330, 10225, 7, 'שדה טקסט');
INSERT INTO `lang_definitions` VALUES (36331, 10227, 7, 'טקסט של הודעת חשבון חמישית.');
INSERT INTO `lang_definitions` VALUES (36332, 10228, 7, 'טקסט של הודעת חשבון ראשונה.');
INSERT INTO `lang_definitions` VALUES (36333, 10229, 7, 'טקסט של הודעת חשבון רביעית.');
INSERT INTO `lang_definitions` VALUES (36334, 10230, 7, 'טקסט של הודעת חשבון שנייה.');
INSERT INTO `lang_definitions` VALUES (36335, 10231, 7, 'טקסט של הודעת חשבון שלישית.');
INSERT INTO `lang_definitions` VALUES (36336, 10233, 7, 'טקסט-תאריך');
INSERT INTO `lang_definitions` VALUES (36337, 10234, 7, 'טקסט-תאריך');
INSERT INTO `lang_definitions` VALUES (36338, 10235, 7, 'Textarea');
INSERT INTO `lang_definitions` VALUES (36339, 10236, 7, 'textarea');
INSERT INTO `lang_definitions` VALUES (36340, 10237, 7, 'תיבת טקסט');
INSERT INTO `lang_definitions` VALUES (36341, 10238, 7, 'תיבת טקסט');
INSERT INTO `lang_definitions` VALUES (36342, 10239, 7, 'רשימת תיבות טקסט');
INSERT INTO `lang_definitions` VALUES (36343, 10240, 7, 'רשימת תיבות טקסט');
INSERT INTO `lang_definitions` VALUES (36344, 10241, 7, 'תאי');
INSERT INTO `lang_definitions` VALUES (36345, 10242, 7, 'תודה רבה');
INSERT INTO `lang_definitions` VALUES (36346, 10245, 7, 'תודה רבה לך על הבחירה ב:');
INSERT INTO `lang_definitions` VALUES (36347, 10247, 7, 'הלחצן \'נקה\' יסיר את כל הביאורים.');
INSERT INTO `lang_definitions` VALUES (36348, 10254, 7, 'הדוח שלמעלה נכשל');
INSERT INTO `lang_definitions` VALUES (36349, 10264, 7, 'אישור שרת ומפתח ציבורי של Apache SSL');
INSERT INTO `lang_definitions` VALUES (36350, 10281, 7, 'אישור של רשות אישורים');
INSERT INTO `lang_definitions` VALUES (36351, 10284, 7, 'תיק התביעה:');
INSERT INTO `lang_definitions` VALUES (36352, 10290, 7, 'החבילה התואמת המתוזמנת של הרחבת SNOMED לארה\"ב כבר הותקנה.');
INSERT INTO `lang_definitions` VALUES (36353, 10296, 7, 'המפתח הפרטי התואם');
INSERT INTO `lang_definitions` VALUES (36354, 10305, 7, 'בדיקת תקינות הנתונים נכשלה עבור טופס זה');
INSERT INTO `lang_definitions` VALUES (36355, 10308, 7, 'סוג קוד ברירת מחדל לחיפוש בגיליון התשלום.');
INSERT INTO `lang_definitions` VALUES (36356, 10322, 7, 'קוד הסירוב הוא');
INSERT INTO `lang_definitions` VALUES (36357, 10323, 7, 'קבוצת קוד הסירוב היא');
INSERT INTO `lang_definitions` VALUES (36358, 10328, 7, 'טופס היעד היה סגור');
INSERT INTO `lang_definitions` VALUES (36359, 10330, 7, 'טופס היעד היה סגור; לא ניתן לממש את בחירתך.');
INSERT INTO `lang_definitions` VALUES (36360, 10343, 7, 'הישות המבצעת הליך זה');
INSERT INTO `lang_definitions` VALUES (36361, 10346, 7, 'ה-EP, בית החולים הזכאי או ה-CAH המקבל מטופל מסביבת טיפול אחרת או מספק שירותי בריאות אחר או אשר לדעתו מפגש מסוים רלוונטי, אמור לבצע יישוב תרופות.');
INSERT INTO `lang_definitions` VALUES (36362, 10347, 7, 'ה-EP, בית החולים הזכאי או ה-CAH המעביר את המטופל שלו לסביבת טיפול או לספק שירותי בריאות אחר, או מפנה את המטופל שלו לספק שירותי בריאות אחר אמור לספק תיק סיכום של הטיפול עבור כל העברה של טיפול או הפניה (מדידה~אמצעי A).');
INSERT INTO `lang_definitions` VALUES (36363, 10348, 7, 'ה-EP, בית החולים הזכאי או ה-CAH המעביר את המטופל שלו לסביבת טיפול או לספק שירותי בריאות אחר, או מפנה את המטופל שלו לספק שירותי בריאות אחר אמור לספק תיק סיכום של הטיפול עבור כל העברה של טיפול או הפניה (מדידה~אמצעי B).');
INSERT INTO `lang_definitions` VALUES (36364, 10349, 7, 'ה-EP, בית החולים הזכאי או ה-CAH המעביר את המטופל שלו לסביבת טיפול או לספק שירותי בריאות אחר, או מפנה את המטופל שלו לספק שירותי בריאות אחר אמור לספק תיק סיכום של הטיפול עבור כל העברה של טיפול או הפניה.');
INSERT INTO `lang_definitions` VALUES (36365, 10350, 7, 'האירועים אושרו.');
INSERT INTO `lang_definitions` VALUES (36366, 10351, 7, 'האירועים הוסתרו.');
INSERT INTO `lang_definitions` VALUES (36367, 10352, 7, 'הנתונים המיוצאים מופיעים באזור הטקסט למטה.  תוכל להעתיק ולהדביק זאת להודעת דואר אלקטרוני או לכל יעד רצוי אחר.');
INSERT INTO `lang_definitions` VALUES (36368, 10353, 7, 'הנתונים המיוצאים מופיעים באזור הטקסט למטה. תוכל להעתיק ולהדביק זאת להודעת דואר אלקטרוני או לכל יעד רצוי אחר או להוריד את הקישור למטה.');
INSERT INTO `lang_definitions` VALUES (36369, 10354, 7, 'הנתונים המיוצאים מופיעים באזור הטקסט למטה. תוכל להעתיק ולהדביק זאת להודעת דואר אלקטרוני או לכל יעד רצוי אחר.');
INSERT INTO `lang_definitions` VALUES (36370, 10355, 7, 'הנתונים המיוצאים מופיעים באזור הטקסט למטה. תוכל להעתיק ולהדביק זאת להודעת דואר אלקטרוני או לכל יעד רצוי אחר.{{MARK FOR DELETION DURING NEXT TRANSLATION BUILD}}');
INSERT INTO `lang_definitions` VALUES (36371, 10358, 7, 'לא ניתן לשמור את הקובץ ב-CouchDB.');
INSERT INTO `lang_definitions` VALUES (36372, 10359, 7, 'שינוי שם הקובץ נכשל. בדרך כלל, שגיאה זו קשורה לבעיות הרשאה במערכת האחסון.');
INSERT INTO `lang_definitions` VALUES (36373, 10360, 7, 'אחסון הקובץ נכשל. בדרך כלל, שגיאה זו קשורה לבעיות הרשאה במערכת האחסון.');
INSERT INTO `lang_definitions` VALUES (36374, 10364, 7, 'התרשים הראשון (\"יעד\") הוא התרשים הנחשב למלא ולמדויק ביותר. מקטעי דמוגרפיה, היסטוריה וביטוח עבור פריט זה יישמרו.');
INSERT INTO `lang_definitions` VALUES (36375, 10372, 7, 'השלב הראשון הוא הורדה של מהדורת SNOMED CT. הגישה אל SNOMED CT מסופקת על-ידי IHTSDO והמדינות החברות. למידע נוסף, ראה');
INSERT INTO `lang_definitions` VALUES (36376, 10374, 7, 'השלב הראשון הוא פתיחת חשבון באתר האינטרנט של Unified Medical Language System');
INSERT INTO `lang_definitions` VALUES (36377, 10380, 7, 'אירוע לוח השנה הבא נוסף:');
INSERT INTO `lang_definitions` VALUES (36378, 10381, 7, 'אירוע לוח השנה הבא השתנה:');
INSERT INTO `lang_definitions` VALUES (36379, 10382, 7, 'הקטגוריות הבאות יוסרו מרשימת הקטגוריות שלך');
INSERT INTO `lang_definitions` VALUES (36380, 10383, 7, 'מהדורת מסד הנתונים הבאה מותקנת כעת');
INSERT INTO `lang_definitions` VALUES (36381, 10384, 7, 'המסמכים הבאים צורפו להודעה ישירה זו:');
INSERT INTO `lang_definitions` VALUES (36382, 10386, 7, 'קובץ ה-EDI הבא הועלה');
INSERT INTO `lang_definitions` VALUES (36383, 10388, 7, 'המשתמש הבא לכניסה למערכת לשעת חירום מופעל:');
INSERT INTO `lang_definitions` VALUES (36384, 10389, 7, 'אירעו השגיאות הבאות');
INSERT INTO `lang_definitions` VALUES (36385, 10390, 7, 'השדה הבא מכיל ערך לא חוקי');
INSERT INTO `lang_definitions` VALUES (36386, 10391, 7, 'השדות הבאים ריקים.');
INSERT INTO `lang_definitions` VALUES (36387, 10392, 7, 'השדות הבאים נדרשים');
INSERT INTO `lang_definitions` VALUES (36388, 10393, 7, 'יש למלא את השדות הבאים כדי לשלוח בקשה.');
INSERT INTO `lang_definitions` VALUES (36389, 10394, 7, 'יש למלא את השדות הבאים כדי לשלוח את הבקשה.');
INSERT INTO `lang_definitions` VALUES (36390, 10395, 7, 'קיימת תמיכה בשפות הבאות של מהדורת Snomed הבינלאומית');
INSERT INTO `lang_definitions` VALUES (36391, 10397, 7, 'לבעיות הבאות יש אותם קודי אבחון. לא יעודכנו בעיות~הנפקות מפגש. השתמש במקום זאת בממשק המפגש.');
INSERT INTO `lang_definitions` VALUES (36392, 10406, 7, 'שם המארח של מחשב מאגר לביקורת ATNA.');
INSERT INTO `lang_definitions` VALUES (36393, 10418, 7, 'החלון הראשוני הוא דף חיפוש החשבוניות.  בחלק העליון תוכל להזין מקור (כגון מספר שיק), תאריך תשלום וסכום שיק.  מקור ותאריך תשלום - כדי שלא תצטרך להזין אותם שוב ושוב לכל תביעה.  הסכום שתזין יקטן עבור כל חשבונית המקבלת חלק מהתשלום, בתקווה שיסתיים באפס כשתסיים.');
INSERT INTO `lang_definitions` VALUES (36394, 10420, 7, 'יש ליצור את ספריית ההתקנה.');
INSERT INTO `lang_definitions` VALUES (36395, 10421, 7, 'גרסת SNOMED הבינלאומית המותקנת אינה תואמת לחבילת SNOMED של הרחבת US המתוזמנת.');
INSERT INTO `lang_definitions` VALUES (36396, 10422, 7, 'גרסת SNOMED הבינלאומית המותקנת אינה עדכנית ואינה תואמת לקובץ SNOMED של הרחבת US המתוזמן.');
INSERT INTO `lang_definitions` VALUES (36397, 10423, 7, 'הגרסה המותקנת של הקבצים המתוזמנים זהה.');
INSERT INTO `lang_definitions` VALUES (36398, 10424, 7, 'הגרסה המותקנת היא עדכנית יותר מאשר הקבצים המתוזמנים.');
INSERT INTO `lang_definitions` VALUES (36399, 10431, 7, 'התווית המוצגת למשתמש על-גבי הטופס.');
INSERT INTO `lang_definitions` VALUES (36400, 10438, 7, 'האורך לא יכול לחרוג ממספר התווים הבא');
INSERT INTO `lang_definitions` VALUES (36401, 10442, 7, 'לא יבוצע מיזוג ללא מספר ביטוח לאומי ותאריך לידה זהים עבור שני התרשימים. תאריכי לידה לא יכולים להיות ריקים.');
INSERT INTO `lang_definitions` VALUES (36402, 10443, 7, 'לא ניתן לשלוח את ההודעה כעת.');
INSERT INTO `lang_definitions` VALUES (36403, 10458, 7, 'הקטגוריה החדשה תהיה קטגוריית משנה של');
INSERT INTO `lang_definitions` VALUES (36404, 10460, 7, 'הסיסמה החדשה לא יכולה להיות זהה לנוכחית.');
INSERT INTO `lang_definitions` VALUES (36405, 10461, 7, 'שדות הסיסמה החדשה אינם זהים.');
INSERT INTO `lang_definitions` VALUES (36406, 10471, 7, 'מספר הקבצים המתוזמנים שגוי. הצב רק את הקובץ שברצונך להתקין/לשדרג אליו.');
INSERT INTO `lang_definitions` VALUES (36407, 10472, 7, 'מספר הקבצים המתוזמנים שגוי. הצב רק את הקבצים שברצונך להתקין/לשדרג אליהם.');
INSERT INTO `lang_definitions` VALUES (36408, 10479, 7, 'הדף יופנה אל הדמוגרפיה. תוכל לערוך את שדה המדינה וללחוץ כדי להגיע שוב אל NewCrop.');
INSERT INTO `lang_definitions` VALUES (36409, 10482, 7, 'על הסיסמה להיות באורך שמונה תווים לפחות, ועליה');
INSERT INTO `lang_definitions` VALUES (36410, 10483, 7, 'הסיסמה שהזנת לא חוקית');
INSERT INTO `lang_definitions` VALUES (36411, 10486, 7, 'בקשת תיק מטופל תועדה.');
INSERT INTO `lang_definitions` VALUES (36412, 10487, 7, 'תזכורות המטופל נשלחו');
INSERT INTO `lang_definitions` VALUES (36413, 10488, 7, 'תזכורות המטופל עודכנו');
INSERT INTO `lang_definitions` VALUES (36414, 10489, 7, 'המטופל לא היה מחובר למערכת בעת שליחת טופס זה');
INSERT INTO `lang_definitions` VALUES (36415, 10493, 7, 'התשלומים שהוצבו לא יכולים להיות נמוכים מתאריך זה. זאת כדי לוודא שלאחר לקיחת הדוח הסופי, אף אחד לא יציב עבור תאריכים קודמים.');
INSERT INTO `lang_definitions` VALUES (36416, 10495, 7, 'הפורטל מכיל נתונים עבור מטופל זה והטופס. האם לטעון כעת?');
INSERT INTO `lang_definitions` VALUES (36417, 10505, 7, 'ניתן לקבל את מהדורת הזנת הנתונים הגולמיים מ:');
INSERT INTO `lang_definitions` VALUES (36418, 10509, 7, 'שער המידע למטה חל רק אם אתה מציב ידנית, או אם אתה מבצע תיקונים ידניים.');
INSERT INTO `lang_definitions` VALUES (36419, 10512, 7, 'המסמך המבוקש אינו קיים במיקום הצפוי במערכת הקבצים, אין שאין די הרשאות לגשת אליו');
INSERT INTO `lang_definitions` VALUES (36420, 10513, 7, 'המסמך המבוקש אינו קיים במיקום הצפוי במערכת הקבצים, אין שאין די הרשאות לגשת אליו.');
INSERT INTO `lang_definitions` VALUES (36421, 10521, 7, 'זמן הרענון של המסך בשניות עבור מסך לוח זרימת המטופל.');
INSERT INTO `lang_definitions` VALUES (36422, 10524, 7, 'מקטעי הדמוגרפיה, ההיסטוריה והביטוח של התרשים השני (\"מקור\") יבוטלו.  שאר הנתונים שלו ימוזגו עם תרשים היעד.');
INSERT INTO `lang_definitions` VALUES (36423, 10537, 7, 'עמודות המקור והתאריך מועתקות מהדף הראשון, כך שבדרך כלל אין צורך לגעת באלה.  תוכל להציב סכום תשלום בעמודת התשלום, סכום התאמה בעמודת ההתאמה, או גם וגם.  תוכל גם ללחוץ על \"W\" בצד כדי לחשב באופן אוטומטי את ערך ההתאמה למחיקת שארית החיוב עבור אותו פריט שורה.');
INSERT INTO `lang_definitions` VALUES (36424, 10540, 7, 'תאריכי המהדורה של הקבצים המתוזמנים לא הגיעו כולם מאותה מהדורה.');
INSERT INTO `lang_definitions` VALUES (36425, 10541, 7, 'התיקונים של הקבצים המתוזמנים לא הגיעו כולם מאותה מהדורה.');
INSERT INTO `lang_definitions` VALUES (36426, 10542, 7, 'לא ניתן להתקין את חבילת SNOMED של הרחבת US המתוזמנת לפני התקנת החבילה הבינלאומית של SNOMED.');
INSERT INTO `lang_definitions` VALUES (36427, 10557, 7, 'רזולוציית הזמן של לוח השנה ומרווח הזמן הקטן ביותר בדקות לחלון פגישה.');
INSERT INTO `lang_definitions` VALUES (36428, 10562, 7, 'התווית המתורגמת שתופיע על-גבי הטופס בשפה הנוכחית');
INSERT INTO `lang_definitions` VALUES (36429, 10563, 7, 'הכותרת המתורגמת שתופיע בשפה הנוכחית');
INSERT INTO `lang_definitions` VALUES (36430, 10564, 7, 'תרגום התיאור בשפה הנוכחית');
INSERT INTO `lang_definitions` VALUES (36431, 10565, 7, 'טבלאות התרגום מסונכרנות');
INSERT INTO `lang_definitions` VALUES (36432, 10566, 7, 'סוג ישות זו');
INSERT INTO `lang_definitions` VALUES (36433, 10586, 7, 'קוד ספציפי לספק המזהה הליך או תוצאה אלה');
INSERT INTO `lang_definitions` VALUES (36434, 10591, 7, 'קובצי X12 כמו גם דוחות פלט HTML של התוצאה מאוחסנים בארכיון בספריית משנה של \"תקופה\" בספריית ההתקנה הראשית של OpenEMR.  מומלץ לעיין בארכיונים אלה מעת לעת.  כתובת ה-URL היא');
INSERT INTO `lang_definitions` VALUES (36435, 10593, 7, 'קובץ ה-zip יכיל את הפריטים הבאים');
INSERT INTO `lang_definitions` VALUES (36436, 10594, 7, 'ערכת נושא');
INSERT INTO `lang_definitions` VALUES (36437, 10600, 7, 'לאחר מכן ניתן לקבל את מהדורת הזנת הנתונים הגולמיים מ:');
INSERT INTO `lang_definitions` VALUES (36438, 10601, 7, 'זריקות טיפוליות');
INSERT INTO `lang_definitions` VALUES (36439, 10607, 7, 'קיימים~קיימות');
INSERT INTO `lang_definitions` VALUES (36440, 10610, 7, 'אין כעת מרשמים');
INSERT INTO `lang_definitions` VALUES (36441, 10611, 7, 'קיימות שגיאות במה ששלחת.  ראה פירוט למטה.');
INSERT INTO `lang_definitions` VALUES (36442, 10614, 7, 'קיימים כמה מטולים עם שם כניסה לפורטל');
INSERT INTO `lang_definitions` VALUES (36443, 10616, 7, 'אין צ\'ק אאוט~לא בוצעה בדיקה~הוצאה של תרשימים.');
INSERT INTO `lang_definitions` VALUES (36444, 10618, 7, 'תיעוד העברת מידע לגורם חיצוני.');
INSERT INTO `lang_definitions` VALUES (36445, 10621, 7, 'אין שליחות חדשות');
INSERT INTO `lang_definitions` VALUES (36446, 10622, 7, 'אין הערות רשומות עבור מטופל זה.');
INSERT INTO `lang_definitions` VALUES (36447, 10624, 7, 'אין פניות רשומות עבור מטופל זה');
INSERT INTO `lang_definitions` VALUES (36448, 10639, 7, 'אירעה שגיאת דואר בשליחה אל');
INSERT INTO `lang_definitions` VALUES (36449, 10642, 7, 'כבר קיימת קטגוריה בשם');
INSERT INTO `lang_definitions` VALUES (36450, 10643, 7, 'כבר קיימת קטגוריית משנה בשם');
INSERT INTO `lang_definitions` VALUES (36451, 10644, 7, 'כבר קיים פריט בשם');
INSERT INTO `lang_definitions` VALUES (36452, 10645, 7, 'כבר קיימת בקשה פתוחה לתיק מטופל.');
INSERT INTO `lang_definitions` VALUES (36453, 10646, 7, 'אין רשומת COA עבור חשבון AR');
INSERT INTO `lang_definitions` VALUES (36454, 10647, 7, 'אין רשומת COA עבור חשבון מזומן');
INSERT INTO `lang_definitions` VALUES (36455, 10648, 7, 'אין רשומת COA עבור חשבון הכנסה');
INSERT INTO `lang_definitions` VALUES (36456, 10649, 7, 'אין מטופל נוכחי');
INSERT INTO `lang_definitions` VALUES (36457, 10650, 7, 'אין תוכן מקומי עבור נושא זה.');
INSERT INTO `lang_definitions` VALUES (36458, 10651, 7, 'אין התאמה עבור מזהה החשבונית');
INSERT INTO `lang_definitions` VALUES (36459, 10652, 7, 'אין התאמה עבור מזהה החשבונית =');
INSERT INTO `lang_definitions` VALUES (36460, 10653, 7, 'אין רשומת חלקים עבור מזהה שירותים');
INSERT INTO `lang_definitions` VALUES (36461, 10654, 7, 'אין מטופל על עם שם כניסה לפורטל');
INSERT INTO `lang_definitions` VALUES (36462, 10655, 7, 'אירעה בעיה בעת שליחת הודעה.');
INSERT INTO `lang_definitions` VALUES (36463, 10656, 7, 'אירעה בעיה בעת עיבוד בקשתך.');
INSERT INTO `lang_definitions` VALUES (36464, 10657, 7, 'קיימת שגיאת Escaping של OpenEMR SQL של המחרוזת הבאה');
INSERT INTO `lang_definitions` VALUES (36465, 10661, 7, 'אלו הם קישורי 2012');
INSERT INTO `lang_definitions` VALUES (36466, 10682, 7, 'התעבות ימין:');
INSERT INTO `lang_definitions` VALUES (36467, 10683, 7, 'ירך');
INSERT INTO `lang_definitions` VALUES (36468, 10684, 7, 'ירך + מיתר הברך');
INSERT INTO `lang_definitions` VALUES (36469, 10685, 7, 'דברים שרק המשרד העורפי יכול לקרוא');
INSERT INTO `lang_definitions` VALUES (36470, 10686, 7, 'דברים שרק המשרד העורפי יכול לקרוא ולהזין, אך לא לשנות');
INSERT INTO `lang_definitions` VALUES (36471, 10687, 7, 'דברים שרק המשרד העורפי יכול לקרוא ולשנות');
INSERT INTO `lang_definitions` VALUES (36472, 10688, 7, 'דברים שרק המשרד העורפי יכול לקרוא ולשנות חלקית');
INSERT INTO `lang_definitions` VALUES (36473, 10689, 7, 'דברים שרק קלינאים יכולים לקרוא');
INSERT INTO `lang_definitions` VALUES (36474, 10690, 7, 'דברים שרק קלינאים יכולים לקרוא ולהזין, אך לא לשנות');
INSERT INTO `lang_definitions` VALUES (36475, 10691, 7, 'דברים שרק קלינאים יכולים לקרוא ולשנות');
INSERT INTO `lang_definitions` VALUES (36476, 10692, 7, 'דברים שרק קלינאים יכולים לקרוא ולשנות חלקית');
INSERT INTO `lang_definitions` VALUES (36477, 10693, 7, 'דברים שרק המשרד הקדמי יכול לקרוא');
INSERT INTO `lang_definitions` VALUES (36478, 10694, 7, 'דברים שרק המשרד הקדמי יכול לקרוא ולהזין, אך לא לשנות');
INSERT INTO `lang_definitions` VALUES (36479, 10695, 7, 'דברים שרק המשרד הקדמי יכול לקרוא ולשנות');
INSERT INTO `lang_definitions` VALUES (36480, 10696, 7, 'דברים שרק המשרד הקדמי יכול לקרוא ולשנות חלקית');
INSERT INTO `lang_definitions` VALUES (36481, 10697, 7, 'דברים שרק הרופאים יכולים לקרוא');
INSERT INTO `lang_definitions` VALUES (36482, 10698, 7, 'דברים שרק הרופאים יכולים לקרוא ולהזין, אך לא לשנות');
INSERT INTO `lang_definitions` VALUES (36483, 10699, 7, 'דברים שרק הרופאים יכולים לקרוא ולשנות');
INSERT INTO `lang_definitions` VALUES (36484, 10700, 7, 'דברים שרק הרופאים יכולים לקרוא ולשנות חלקית');
INSERT INTO `lang_definitions` VALUES (36485, 10701, 7, 'שלישי~שלישית');
INSERT INTO `lang_definitions` VALUES (36486, 10702, 7, 'הודעת חשבון שלישית');
INSERT INTO `lang_definitions` VALUES (36487, 10704, 7, 'לא ניתן לבטל פעולה זו.');
INSERT INTO `lang_definitions` VALUES (36488, 10705, 7, 'לא ניתן לבטל פעולה זו.');
INSERT INTO `lang_definitions` VALUES (36489, 10706, 7, 'לא ניתן לבטל פעולה זו. האם אתה בטוח שברצונך למחוק טופס זה?');
INSERT INTO `lang_definitions` VALUES (36490, 10707, 7, 'פעולה זו תירשם ביומן');
INSERT INTO `lang_definitions` VALUES (36491, 10711, 7, 'חלון פגישה זה כבר נמצא בשימוש, נא לבחור אחר.');
INSERT INTO `lang_definitions` VALUES (36492, 10712, 7, 'חלון פגישה זה כבר נמצא בשימוש, האם להשתמש בו בכל זאת?');
INSERT INTO `lang_definitions` VALUES (36493, 10713, 7, 'חלון פגישה זה אינו זמין, נא לבחור אחר.');
INSERT INTO `lang_definitions` VALUES (36494, 10714, 7, 'שנת לוח זו');
INSERT INTO `lang_definitions` VALUES (36495, 10715, 7, 'תביעה זו בוטלה.');
INSERT INTO `lang_definitions` VALUES (36496, 10716, 7, 'תביעה זו נסגרה.');
INSERT INTO `lang_definitions` VALUES (36497, 10717, 7, 'תביעה זו נדחתה. הסיבה:');
INSERT INTO `lang_definitions` VALUES (36498, 10718, 7, 'תביעה זו הועברה לרמה הבאה.');
INSERT INTO `lang_definitions` VALUES (36499, 10725, 7, 'סוג קוד זה אינו מקבל קשרים.');
INSERT INTO `lang_definitions` VALUES (36500, 10727, 7, 'הקשר זה מכיל קטגוריות, אשר יימחקו. האם אתה בטוח שברצונך להמשיך?');
INSERT INTO `lang_definitions` VALUES (36501, 10730, 7, 'הדבר קובע את אופן הצגת הפגישות בלוח השנה.');
INSERT INTO `lang_definitions` VALUES (36502, 10731, 7, 'הדבר קובע את הבחירה בערכת צבעים עבור פגישה');
INSERT INTO `lang_definitions` VALUES (36503, 10733, 7, 'הדבר מאפשר פריטים בשורה של ספק בגיליון התשלום');
INSERT INTO `lang_definitions` VALUES (36504, 10734, 7, 'מפגש זה');
INSERT INTO `lang_definitions` VALUES (36505, 10735, 7, 'מפגש זה חויב. אם יש צורך לשנות זאת, יש לפתוח מחדש.');
INSERT INTO `lang_definitions` VALUES (36506, 10736, 7, 'גיליון זה כבר שולם. על מנת לבצע שינויים יש לפתוח אותו מחדש או להוסיף שורות חיוב נוספות.');
INSERT INTO `lang_definitions` VALUES (36507, 10737, 7, 'מפגש זה נעול. לא ניתן להוסיף טפסים חדשים.');
INSERT INTO `lang_definitions` VALUES (36508, 10740, 7, 'תכונה זו עדיין לא זמינה');
INSERT INTO `lang_definitions` VALUES (36509, 10742, 7, 'תכונה זו היא ניסויית ביותר, וטרם נבדקה באופן מלא. השימוש באחריותך בלבד!');
INSERT INTO `lang_definitions` VALUES (36510, 10753, 7, 'מספר חשבונית זה השתנה ל:');
INSERT INTO `lang_definitions` VALUES (36511, 10754, 7, 'זהו צאצא תוצאה');
INSERT INTO `lang_definitions` VALUES (36512, 10762, 7, 'זהו תאריך ההתחלה עבור דוח ספר ראשי.');
INSERT INTO `lang_definitions` VALUES (36513, 10763, 7, 'זהו התרשים שימוזג בתרשים הראשי ולאחר מכן יימחק.');
INSERT INTO `lang_definitions` VALUES (36514, 10771, 7, 'אלה הערכים העדכניים ביותר של תוצאות מרובות.');
INSERT INTO `lang_definitions` VALUES (36515, 10772, 7, 'זהו התרשים הראשי שאמור לקבל את הנתונים הממוזגים.');
INSERT INTO `lang_definitions` VALUES (36516, 10784, 7, 'מיקום זה');
INSERT INTO `lang_definitions` VALUES (36517, 10786, 7, 'טקסט הודעה זו אינו נשמר באופן אוטומטי. העתק ושמור אותו לפי הצורך עבור התוכן.');
INSERT INTO `lang_definitions` VALUES (36518, 10788, 7, 'מודול זה נמצא בשימוש על-ידי');
INSERT INTO `lang_definitions` VALUES (36519, 10789, 7, 'מודול זה נמצא במצב בדיקה. מסד הנתונים לא ישתנה.');
INSERT INTO `lang_definitions` VALUES (36520, 10792, 7, 'מודול זה מקדם הזנה יעילה של נתוני EOB.');
INSERT INTO `lang_definitions` VALUES (36521, 10793, 7, 'חודש זה עד היום');
INSERT INTO `lang_definitions` VALUES (36522, 10797, 7, 'הזמנה זו כבר שודרה ב:');
INSERT INTO `lang_definitions` VALUES (36523, 10798, 7, 'דף זה מאפשר לך לסקור כל עומס נתונים חיצוני נתמך אשר באפשרותך להתקין ולשדרג. ניתן להרחיב כל מקטע למטה בלחיצה על הכותרת העליונה של המקטע כדי לעיין במצב מסד הנתונים הרלוונטי המסוים.');
INSERT INTO `lang_definitions` VALUES (36524, 10799, 7, 'דף זה מושבת משיקולי אבטחה.');
INSERT INTO `lang_definitions` VALUES (36525, 10801, 7, 'דף זה יכלול את דף הכניסה למערכת, כדי שלא נצטרך ללחוץ על לחצן הכניסה מחדש כל פעם.');
INSERT INTO `lang_definitions` VALUES (36526, 10804, 7, 'למטופל זה אין פעילות.');
INSERT INTO `lang_definitions` VALUES (36527, 10805, 7, 'מזהה מטופל זה כבר נמצא בשימוש!');
INSERT INTO `lang_definitions` VALUES (36528, 10807, 7, 'מוצר זה מאפשר מנה אחת בלבד לכל מחסן.');
INSERT INTO `lang_definitions` VALUES (36529, 10808, 7, 'פרוטוקול זה לא מיושם');
INSERT INTO `lang_definitions` VALUES (36530, 10809, 7, 'בשלב זה, פרוטוקול זה פועל רק עבור קודי ICD9.');
INSERT INTO `lang_definitions` VALUES (36531, 10816, 7, 'הדבר מגדיר את תצוגת ברירת המחדל של לוח השנה - ברירת המחדל היא תצוגת יום.');
INSERT INTO `lang_definitions` VALUES (36532, 10817, 7, 'מציין את הדפסת דוח סוף היום בהתאמה אישית עם קיבוץ משתמשים, או אפשר הדפסת סיכומים כלליים בלבד');
INSERT INTO `lang_definitions` VALUES (36533, 10818, 7, 'הדבר מציין אם לכלול תאריך בתיבה 31.');
INSERT INTO `lang_definitions` VALUES (36534, 10819, 7, 'הדבר מציין איזו מהדורה של הטופס תיווצר על-ידי מודול החיוב');
INSERT INTO `lang_definitions` VALUES (36535, 10821, 7, 'שלב זה ייצור קובץ אשר עליך לשמור לשימוש עתידי. לא ניתן ליצור שוב את הקובץ. האם ברצונך להמשיך?');
INSERT INTO `lang_definitions` VALUES (36536, 10822, 7, 'משתמש זה אינו חבר בשום קבוצה');
INSERT INTO `lang_definitions` VALUES (36537, 10823, 7, 'משתמש זה יקבל הודעה על הודעות ישירות נכנסות חדשות');
INSERT INTO `lang_definitions` VALUES (36538, 10824, 7, 'כלי שירות זה הוא ניסויי.  גבה את מסד הנתונים והמסמכים שלך לפני השימוש!');
INSERT INTO `lang_definitions` VALUES (36539, 10826, 7, 'ביקור זה מתחיל שימוש באמצעי מניעה חדש');
INSERT INTO `lang_definitions` VALUES (36540, 10827, 7, 'לביקור זה יידרש טופס GCAC, הפניה או שירות הליך.');
INSERT INTO `lang_definitions` VALUES (36541, 10828, 7, 'זה היה הטופס הישן של סימנים חיוביים במדד בלבד, וכעת אינו בשימוש יותר.');
INSERT INTO `lang_definitions` VALUES (36542, 10829, 7, 'שבוע זה עד היום');
INSERT INTO `lang_definitions` VALUES (36543, 10830, 7, 'פעולה זו תבטל שינויים שלא נשמרו. האם אתה בטוח?');
INSERT INTO `lang_definitions` VALUES (36544, 10831, 7, 'פעולה זו תפעיל דיווח CCR (המשכיות תיק טיפול) ו-CCD (המשכיות מסמך טיפול).');
INSERT INTO `lang_definitions` VALUES (36545, 10833, 7, 'הדבר יאפשר הדפסה של הערת חיוב מטופל על-גבי הדוחות.');
INSERT INTO `lang_definitions` VALUES (36546, 10834, 7, 'הדבר יראה בחירה של שפה לאיתור באגים (\'דמה\').');
INSERT INTO `lang_definitions` VALUES (36547, 10836, 7, 'הדבר יאפשר שימוש בדוח סוף יום בהתאמה אישית, ויציין באיזה דוח להשתמש.');
INSERT INTO `lang_definitions` VALUES (36548, 10837, 7, 'הדבר יאפשר שימוש בהודעות Dunning בהתאמה אישית על-גבי הדוחות.');
INSERT INTO `lang_definitions` VALUES (36549, 10838, 7, 'זו תהיה \"הרצה יבשה\" ללא עדכוני נתונים פיזיים.');
INSERT INTO `lang_definitions` VALUES (36550, 10843, 7, 'פעולה זו תיצור גיבוי בתבנית tar, ולאחר מכן תשלח אותה אל דפדפן האינטרנט שלך, כדי שתוכל לשמור אותו.');
INSERT INTO `lang_definitions` VALUES (36551, 10844, 7, 'פעולה זו תשבית את תכונות ההצפנה והפענוח של מסמכים, ותסתיר אותן בממשק המשתמש.');
INSERT INTO `lang_definitions` VALUES (36552, 10845, 7, 'פעולה זו תשבית את לחצן \'עריכה\' בכל הטפסים שמפגש האב שלהם חתום אלקטרונית');
INSERT INTO `lang_definitions` VALUES (36553, 10846, 7, 'פעולה זו תשבית את לחצן \'עריכה\' בכל הטפסים בחתימה אלקטרונית');
INSERT INTO `lang_definitions` VALUES (36554, 10847, 7, 'פעולה זו תציג את מספר החשבונית בדוח המכירות או שם המטופל והמזהה או שם המטופל ומספר חשבונית.');
INSERT INTO `lang_definitions` VALUES (36555, 10850, 7, 'פעולה זו תאפשר חתימה על מפגש מלא, במקום על טפסים נפרדים');
INSERT INTO `lang_definitions` VALUES (36556, 10851, 7, 'פעולה זו תאפשר חתימה על טפסים באופן פרטני');
INSERT INTO `lang_definitions` VALUES (36557, 10854, 7, 'פעולה זו תאלץ פתיחה תמיד של הרכיב הגרפי של חיוב במסך סיכום המטופלים.');
INSERT INTO `lang_definitions` VALUES (36558, 10855, 7, 'פעולה זו תיתן למשתמש את האפשרות לנעול (נעילה וחתימה בנפרד)');
INSERT INTO `lang_definitions` VALUES (36559, 10857, 7, 'פעולה זו תסתיר יומני חתימה אלקטרונית ריקים בדוח המטופלים');
INSERT INTO `lang_definitions` VALUES (36560, 10859, 7, 'פעולה זו תמזג שני תרשימי מטופלים לאחד.  זה שימושי במקרה של יצירת כפל מטופל בטעות.  אם זה קורה בתדירות גבוהה, תקן את ההליכים במשרד - אל תריץ זאת באופן שגרתי!');
INSERT INTO `lang_definitions` VALUES (36561, 10860, 7, 'פעולה זו לא תמנע ממך גישה לאתר המרשמים האלקטרוניים.');
INSERT INTO `lang_definitions` VALUES (36562, 10861, 7, 'פעולה זו תדפיס את הפגישה הבאה בתחתית ספר המטופלים הראשי');
INSERT INTO `lang_definitions` VALUES (36563, 10867, 7, 'פעולה זו תשתמש ברשימת החיסונים בהתאמה אישית במקום ברשימת החיסונים הסטנדרטית של CVX.');
INSERT INTO `lang_definitions` VALUES (36564, 10869, 7, 'פעולה זו תשתמש בדוח בהתאמה אישית המראה את התיאור ולא את הקודים.');
INSERT INTO `lang_definitions` VALUES (36565, 10870, 7, 'רופא בית החזה');
INSERT INTO `lang_definitions` VALUES (36566, 10871, 7, 'עמוד השדרה החזי');
INSERT INTO `lang_definitions` VALUES (36567, 10873, 7, 'Thous/CU.MM');
INSERT INTO `lang_definitions` VALUES (36568, 10874, 7, 'לפני שלושה חודשים');
INSERT INTO `lang_definitions` VALUES (36569, 10878, 7, 'גרון');
INSERT INTO `lang_definitions` VALUES (36570, 10879, 7, 'סרטן הגרון');
INSERT INTO `lang_definitions` VALUES (36571, 10880, 7, 'ניתוח סרטן הגרון');
INSERT INTO `lang_definitions` VALUES (36572, 10881, 7, 'תרומבוסיס/שבץ');
INSERT INTO `lang_definitions` VALUES (36573, 10882, 7, 'חמישי');
INSERT INTO `lang_definitions` VALUES (36574, 10884, 7, 'יום חמישי');
INSERT INTO `lang_definitions` VALUES (36575, 10885, 7, 'יום חמישי');
INSERT INTO `lang_definitions` VALUES (36576, 10887, 7, 'תירואיד תקין');
INSERT INTO `lang_definitions` VALUES (36577, 10888, 7, 'בעיות תירואיד');
INSERT INTO `lang_definitions` VALUES (36578, 10890, 7, 'TIA');
INSERT INTO `lang_definitions` VALUES (36579, 10891, 7, 'טיבטית סטנדרטית, טיבטית, מרכזית');
INSERT INTO `lang_definitions` VALUES (36580, 10892, 7, 'TID');
INSERT INTO `lang_definitions` VALUES (36581, 10901, 7, 'טיגריניה');
INSERT INTO `lang_definitions` VALUES (36582, 10902, 7, 'זמן');
INSERT INTO `lang_definitions` VALUES (36583, 10903, 7, 'תבנית תצוגת שעה');
INSERT INTO `lang_definitions` VALUES (36584, 10904, 7, 'מרווח זמן להוספה (דקות 1-60)');
INSERT INTO `lang_definitions` VALUES (36585, 10905, 7, 'בחירת זמן');
INSERT INTO `lang_definitions` VALUES (36586, 10907, 7, 'חלון הזמן פתוח, שומר אירוע');
INSERT INTO `lang_definitions` VALUES (36587, 10909, 7, 'זמן-לחיות עבור בקשת SOAP של רגישויות בשניות');
INSERT INTO `lang_definitions` VALUES (36588, 10910, 7, 'זמן-לחיות עבור בקשת SOAP של תרופות בשניות');
INSERT INTO `lang_definitions` VALUES (36589, 10911, 7, 'זמן-לחיות עבור בקשת SOAP של רגישויות ב-NewCrop בשניות');
INSERT INTO `lang_definitions` VALUES (36590, 10912, 7, 'זמן-לחיות עבור בקשת SOAP של תרופות ב-NewCrop בשניות');
INSERT INTO `lang_definitions` VALUES (36591, 10913, 7, 'אירוע מתוזמן');
INSERT INTO `lang_definitions` VALUES (36592, 10914, 7, 'מערך זמנים (N/A)');
INSERT INTO `lang_definitions` VALUES (36593, 10915, 7, 'חותמת זמן וטקסט');
INSERT INTO `lang_definitions` VALUES (36594, 10917, 7, 'מספר זיהוי לצורכי מס');
INSERT INTO `lang_definitions` VALUES (36595, 10918, 7, 'טיניטוס');
INSERT INTO `lang_definitions` VALUES (36596, 10920, 7, 'תיאור');
INSERT INTO `lang_definitions` VALUES (36597, 10923, 7, 'תיאור V');
INSERT INTO `lang_definitions` VALUES (36598, 10924, 7, 'TitleCols חייב לקבל מספר בין 1 ל-999');
INSERT INTO `lang_definitions` VALUES (36599, 10925, 7, 'כותרות~תארים');
INSERT INTO `lang_definitions` VALUES (36600, 10926, 7, 'TM\'S:');
INSERT INTO `lang_definitions` VALUES (36601, 10927, 7, 'TMs/EAMs/EE, אף חיצוני');
INSERT INTO `lang_definitions` VALUES (36602, 10928, 7, 'ל');
INSERT INTO `lang_definitions` VALUES (36603, 10929, 7, 'ל');
INSERT INTO `lang_definitions` VALUES (36604, 10930, 7, 'ל');
INSERT INTO `lang_definitions` VALUES (36605, 10931, 7, 'לנתיב מוחלט של קובץ');
INSERT INTO `lang_definitions` VALUES (36606, 10936, 7, 'להוספת הערות, לחץ');
INSERT INTO `lang_definitions` VALUES (36607, 10937, 7, 'להוספת הערות, לחץ כאן');
INSERT INTO `lang_definitions` VALUES (36608, 10938, 7, 'על האזור הנגוע');
INSERT INTO `lang_definitions` VALUES (36609, 10939, 7, 'על האזור הנגוע');
INSERT INTO `lang_definitions` VALUES (36610, 10942, 7, 'לפתיחה אוטומטית של הטופס שצוין. הערך football_injury_audit כאן משמש עבור קבוצות ספורט מסוימות.');
INSERT INTO `lang_definitions` VALUES (36611, 10944, 7, 'לתצוגת מפגשים');
INSERT INTO `lang_definitions` VALUES (36612, 10945, 7, 'לקטגוריה');
INSERT INTO `lang_definitions` VALUES (36613, 10947, 7, 'לתצוגה קלינית');
INSERT INTO `lang_definitions` VALUES (36614, 10949, 7, 'להשתתפות עצמית');
INSERT INTO `lang_definitions` VALUES (36615, 10952, 7, 'תאריך סיום חייב להיות אחרי תאריך ההתחלה!');
INSERT INTO `lang_definitions` VALUES (36616, 10953, 7, 'לסף ההשתתפות העצמית');
INSERT INTO `lang_definitions` VALUES (36617, 10956, 7, 'לדמוגרפיה');
INSERT INTO `lang_definitions` VALUES (36618, 10958, 7, 'כדי להשבית אישורי SSL של צד לקוח, השאר הערה בשורות למעלה בקובץ תצורת Apache והגדר');
INSERT INTO `lang_definitions` VALUES (36619, 10960, 7, 'כדי להשבית HTTPS, השאר הערה בשורות למעלה בקובץ תצורת Apache והפעל מחדש את שרת Apache.');
INSERT INTO `lang_definitions` VALUES (36620, 10965, 7, 'כדי לאפשר אישורי SSL בצד לקוח');
INSERT INTO `lang_definitions` VALUES (36621, 10966, 7, 'כדי לאפשר אימות אישורי SSL של צד לקוח, יש לאפשר HTTPS.');
INSERT INTO `lang_definitions` VALUES (36622, 10970, 7, 'כדי לאפשר HTTPS בלבד, בצע את השינויים למעלה והפעל מחדש את שרת Apache. אם ברצונך לקבוע גם תצורה של אישורי צד לקוח, קבע את תצורתם במקטע הבא.');
INSERT INTO `lang_definitions` VALUES (36623, 10972, 7, 'למפגש');
INSERT INTO `lang_definitions` VALUES (36624, 10973, 7, 'לסינון לפי מין');
INSERT INTO `lang_definitions` VALUES (36625, 10980, 7, 'להיסטוריה');
INSERT INTO `lang_definitions` VALUES (36626, 10982, 7, 'לבעיות');
INSERT INTO `lang_definitions` VALUES (36627, 10984, 7, 'כדי לקשר מפגש*ייעוץ זה לבעיה קיימת, לחץ על');
INSERT INTO `lang_definitions` VALUES (36628, 10985, 7, 'כדי לקשר מפגש/ייעוץ זה לבעיה קיימת, לחץ על הבעיה~ההנפקה הרצויה מעל כדי להדגיש אותה, ולאחר מכן לחץ על [שמור]. החזק את לחצן [Ctrl] לחוץ כדי לבחור בעיות~הנפקות מרובות.');
INSERT INTO `lang_definitions` VALUES (36629, 10987, 7, 'כדי להיכנס שוב למערכת');
INSERT INTO `lang_definitions` VALUES (36630, 10992, 7, 'כדי לתעד העברת מידע לגורם חיצוני, לחץ');
INSERT INTO `lang_definitions` VALUES (36631, 10997, 7, 'כדי להריץ');
INSERT INTO `lang_definitions` VALUES (36632, 11001, 7, 'כדי להגדיר גישת HTTPS עם אימות אישור לקוח, בצע את הפעולות הבאות');
INSERT INTO `lang_definitions` VALUES (36633, 11002, 7, 'לעור');
INSERT INTO `lang_definitions` VALUES (36634, 11003, 7, 'לעור');
INSERT INTO `lang_definitions` VALUES (36635, 11005, 7, 'לביקור זה?');
INSERT INTO `lang_definitions` VALUES (36636, 11006, 7, 'כדי להעלות מסמך CCR של מטופל שכבר קיים, השתמש במסך סיכום המטופלים->\'מסמכים\'. עבור מסמך CCR של מטופל חדש, השתמש במסך \'שונות\'->\'מסמכים חדשים\'.');
INSERT INTO `lang_definitions` VALUES (36637, 11010, 7, 'ל:');
INSERT INTO `lang_definitions` VALUES (36638, 11011, 7, 'ל:');
INSERT INTO `lang_definitions` VALUES (36639, 11012, 7, 'TO_CITY');
INSERT INTO `lang_definitions` VALUES (36640, 11013, 7, 'TO_FAX');
INSERT INTO `lang_definitions` VALUES (36641, 11014, 7, 'TO_FNAME');
INSERT INTO `lang_definitions` VALUES (36642, 11015, 7, 'TO_LNAME');
INSERT INTO `lang_definitions` VALUES (36643, 11016, 7, 'TO_MNAME');
INSERT INTO `lang_definitions` VALUES (36644, 11017, 7, 'TO_ORGANIZATION');
INSERT INTO `lang_definitions` VALUES (36645, 11018, 7, 'TO_PHONE');
INSERT INTO `lang_definitions` VALUES (36646, 11019, 7, 'TO_PHONECELL');
INSERT INTO `lang_definitions` VALUES (36647, 11020, 7, 'TO_POSTAL');
INSERT INTO `lang_definitions` VALUES (36648, 11021, 7, 'TO_STATE');
INSERT INTO `lang_definitions` VALUES (36649, 11022, 7, 'TO_STREET');
INSERT INTO `lang_definitions` VALUES (36650, 11023, 7, 'TO_TITLE');
INSERT INTO `lang_definitions` VALUES (36651, 11024, 7, 'TO_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (36652, 11025, 7, 'טבק');
INSERT INTO `lang_definitions` VALUES (36653, 11026, 7, 'התערבות להפסקת שימוש בטבק');
INSERT INTO `lang_definitions` VALUES (36654, 11027, 7, 'התערבות להפסקת שימוש בטבק (CQM)');
INSERT INTO `lang_definitions` VALUES (36655, 11028, 7, 'שימוש בטבק');
INSERT INTO `lang_definitions` VALUES (36656, 11029, 7, 'שימוש בטבק');
INSERT INTO `lang_definitions` VALUES (36657, 11030, 7, 'הערכת שימוש בטבק');
INSERT INTO `lang_definitions` VALUES (36658, 11031, 7, 'הערכת שימוש בטבק (CQM)');
INSERT INTO `lang_definitions` VALUES (36659, 11032, 7, 'היום');
INSERT INTO `lang_definitions` VALUES (36660, 11033, 7, 'היום');
INSERT INTO `lang_definitions` VALUES (36661, 11034, 7, 'היום');
INSERT INTO `lang_definitions` VALUES (36662, 11035, 7, 'היתרה היום');
INSERT INTO `lang_definitions` VALUES (36663, 11036, 7, 'חיובים היום');
INSERT INTO `lang_definitions` VALUES (36664, 11037, 7, 'תאריך היום');
INSERT INTO `lang_definitions` VALUES (36665, 11038, 7, 'אירועי היום');
INSERT INTO `lang_definitions` VALUES (36666, 11040, 7, 'שנה מצב הכול');
INSERT INTO `lang_definitions` VALUES (36667, 11044, 7, 'מזהה אסימון עבור שירות Lab Exchange של Medical Information Integration, LLC.');
INSERT INTO `lang_definitions` VALUES (36668, 11045, 7, 'מזהה אסימון עבור שירות Lab Exchange של Medical Information Integration, LLC.');
INSERT INTO `lang_definitions` VALUES (36669, 11046, 7, 'טונגה (איי טונגה)');
INSERT INTO `lang_definitions` VALUES (36670, 11047, 7, 'כריתת שקדים');
INSERT INTO `lang_definitions` VALUES (36671, 11048, 7, 'כריתת שקדים');
INSERT INTO `lang_definitions` VALUES (36672, 11050, 7, 'למעלה~עליון');
INSERT INTO `lang_definitions` VALUES (36673, 11052, 7, 'שוליים עליונים (מ\"מ)');
INSERT INTO `lang_definitions` VALUES (36674, 11053, 7, 'נושא');
INSERT INTO `lang_definitions` VALUES (36675, 11054, 7, 'סה\"כ');
INSERT INTO `lang_definitions` VALUES (36676, 11055, 7, 'סה\"כ');
INSERT INTO `lang_definitions` VALUES (36677, 11056, 7, 'סה\"כ פעולות פעילות');
INSERT INTO `lang_definitions` VALUES (36678, 11057, 7, 'סה\"כ תזכורות פעילות לאחר העדכון');
INSERT INTO `lang_definitions` VALUES (36679, 11058, 7, 'סה\"כ תזכורות פעילות לפני העדכון');
INSERT INTO `lang_definitions` VALUES (36680, 11059, 7, 'סה\"כ התאמה');
INSERT INTO `lang_definitions` VALUES (36681, 11060, 7, 'סה\"כ סכום לפירעון');
INSERT INTO `lang_definitions` VALUES (36682, 11061, 7, 'סה\"כ סכום ששולם');
INSERT INTO `lang_definitions` VALUES (36683, 11062, 7, 'סה\"כ יתרת חוב');
INSERT INTO `lang_definitions` VALUES (36684, 11063, 7, 'סה\"כ חיוב');
INSERT INTO `lang_definitions` VALUES (36685, 11064, 7, 'סה\"כ חיובים');
INSERT INTO `lang_definitions` VALUES (36686, 11065, 7, 'סה\"כ לקוחות');
INSERT INTO `lang_definitions` VALUES (36687, 11067, 7, 'סה\"כ עלויות');
INSERT INTO `lang_definitions` VALUES (36688, 11068, 7, 'סה\"כ התפלגות~הפצה~חלוקה עבור מספר שיק שלהלן אינו מלא');
INSERT INTO `lang_definitions` VALUES (36689, 11069, 7, 'סה\"כ רשומות~הזנות');
INSERT INTO `lang_definitions` VALUES (36690, 11070, 7, 'סה\"כ תזכורות שנכשלו בשליחה דרך דואר אלקטרוני');
INSERT INTO `lang_definitions` VALUES (36691, 11071, 7, 'סה\"כ תזכורות שנכשלו בשליחה דרך טלפון');
INSERT INTO `lang_definitions` VALUES (36692, 11072, 7, 'סה\"כ עבור');
INSERT INTO `lang_definitions` VALUES (36693, 11073, 7, 'סה\"כ עבור');
INSERT INTO `lang_definitions` VALUES (36694, 11074, 7, 'סה\"כ עבור קטגוריה');
INSERT INTO `lang_definitions` VALUES (36695, 11075, 7, 'סה\"כ תזכורות שהושבתו');
INSERT INTO `lang_definitions` VALUES (36696, 11078, 7, 'סה\"כ תזכורות חדשות');
INSERT INTO `lang_definitions` VALUES (36697, 11079, 7, 'סה\"כ מספר פגישות');
INSERT INTO `lang_definitions` VALUES (36698, 11080, 7, 'סה\"כ מספר רשומות של סינון סמים');
INSERT INTO `lang_definitions` VALUES (36699, 11081, 7, 'סה\"כ מספר חיסונים');
INSERT INTO `lang_definitions` VALUES (36700, 11082, 7, 'סה\"כ מספר בעיות~הנפקות~נושאים');
INSERT INTO `lang_definitions` VALUES (36701, 11083, 7, 'סה\"כ מספר רשומות של לוח זרימת מטופל');
INSERT INTO `lang_definitions` VALUES (36702, 11084, 7, 'סה\"כ מספר מטופלים');
INSERT INTO `lang_definitions` VALUES (36703, 11086, 7, 'סה\"כ דפים');
INSERT INTO `lang_definitions` VALUES (36704, 11087, 7, 'סה\"כ יתרת מטופל');
INSERT INTO `lang_definitions` VALUES (36705, 11089, 7, 'סה\"כ מטופלים');
INSERT INTO `lang_definitions` VALUES (36706, 11090, 7, 'סה\"כ תשלומים');
INSERT INTO `lang_definitions` VALUES (36707, 11091, 7, 'סה\"כ רשומות');
INSERT INTO `lang_definitions` VALUES (36708, 11093, 7, 'סה\"F רשומות שנמצאו');
INSERT INTO `lang_definitions` VALUES (36709, 11095, 7, 'סה\"כ SRH ותכנון משפחה');
INSERT INTO `lang_definitions` VALUES (36710, 11096, 7, 'סה\"כ תזכורות שבוצעו בהצלחה בשליחה דרך דואר אלקטרוני');
INSERT INTO `lang_definitions` VALUES (36711, 11097, 7, 'סה\"כ תזכורות שבוצעו בהצלחה בשליחה דרך טלפון');
INSERT INTO `lang_definitions` VALUES (36712, 11098, 7, 'סה\"כ זמן');
INSERT INTO `lang_definitions` VALUES (36713, 11099, 7, 'סה\"כ העברות');
INSERT INTO `lang_definitions` VALUES (36714, 11100, 7, 'סה\"כ תזכורות ללא שינוי');
INSERT INTO `lang_definitions` VALUES (36715, 11101, 7, 'סה\"כ תזכורות שלא נשלחו לאחר תהליך השליחה');
INSERT INTO `lang_definitions` VALUES (36716, 11102, 7, 'סה\"כ תזכורות שלא נשלחו לאחר העדכון');
INSERT INTO `lang_definitions` VALUES (36717, 11103, 7, 'סה\"כ תזכורות שלא נשלחו לפני תהליך השליחה');
INSERT INTO `lang_definitions` VALUES (36718, 11104, 7, 'סה\"כ תזכורות שלא נשלחו לפני העדכון');
INSERT INTO `lang_definitions` VALUES (36719, 11105, 7, 'סה\"כ תזכורות מעודכנות');
INSERT INTO `lang_definitions` VALUES (36720, 11106, 7, 'סה\"כ');
INSERT INTO `lang_definitions` VALUES (36721, 11107, 7, 'סה\"כ עבור');
INSERT INTO `lang_definitions` VALUES (36722, 11108, 7, 'סה\"כ עבור');
INSERT INTO `lang_definitions` VALUES (36723, 11109, 7, 'סה\"כ בלבד');
INSERT INTO `lang_definitions` VALUES (36724, 11123, 7, 'ל:{{טווח}}');
INSERT INTO `lang_definitions` VALUES (36725, 11124, 7, 'ל:{{טווח}}');
INSERT INTO `lang_definitions` VALUES (36726, 11128, 7, 'מעקב');
INSERT INTO `lang_definitions` VALUES (36727, 11129, 7, 'דוח מעקב');
INSERT INTO `lang_definitions` VALUES (36728, 11130, 7, 'מעקבים');
INSERT INTO `lang_definitions` VALUES (36729, 11135, 7, 'סוג הכשרה~הדרכה');
INSERT INTO `lang_definitions` VALUES (36730, 11136, 7, 'טרנזקציה');
INSERT INTO `lang_definitions` VALUES (36731, 11137, 7, 'פניות');
INSERT INTO `lang_definitions` VALUES (36732, 11138, 7, 'פניות');
INSERT INTO `lang_definitions` VALUES (36733, 11139, 7, 'הטרנזקציה נכשלה, כמות לא מספיקה במנת יעד');
INSERT INTO `lang_definitions` VALUES (36734, 11140, 7, 'הטרנזקציה נכשלה, הכמות נמוכה מאפס');
INSERT INTO `lang_definitions` VALUES (36735, 11142, 7, 'סוג פנייה');
INSERT INTO `lang_definitions` VALUES (36736, 11143, 7, 'פניות');
INSERT INTO `lang_definitions` VALUES (36737, 11144, 7, 'פניות');
INSERT INTO `lang_definitions` VALUES (36738, 11145, 7, 'טרנזקציות (כתיבה אופציונלית)');
INSERT INTO `lang_definitions` VALUES (36739, 11151, 7, 'טרנזקציות/הפניות');
INSERT INTO `lang_definitions` VALUES (36740, 11152, 7, 'דרך העור');
INSERT INTO `lang_definitions` VALUES (36741, 11153, 7, 'העברה');
INSERT INTO `lang_definitions` VALUES (36742, 11154, 7, 'תאריך העברה');
INSERT INTO `lang_definitions` VALUES (36743, 11155, 7, 'ההעברה נכשלה, כמות לא מספיקה במנת מקור');
INSERT INTO `lang_definitions` VALUES (36744, 11156, 7, 'סיכום העברה~העברת סיכום');
INSERT INTO `lang_definitions` VALUES (36745, 11157, 7, 'העברה אל');
INSERT INTO `lang_definitions` VALUES (36746, 11158, 7, 'הועבר על-ידי');
INSERT INTO `lang_definitions` VALUES (36747, 11159, 7, 'תאריך העברה');
INSERT INTO `lang_definitions` VALUES (36748, 11160, 7, 'העברות');
INSERT INTO `lang_definitions` VALUES (36749, 11161, 7, 'מעבר טיפול');
INSERT INTO `lang_definitions` VALUES (36750, 11162, 7, 'מעבר/העברת טיפול?');
INSERT INTO `lang_definitions` VALUES (36751, 11163, 7, 'תרגום קבוצות בקרת גישה');
INSERT INTO `lang_definitions` VALUES (36752, 11164, 7, 'תרגום קטגוריות פגישה');
INSERT INTO `lang_definitions` VALUES (36753, 11165, 7, 'תרגום קטגוריות מסמך');
INSERT INTO `lang_definitions` VALUES (36754, 11166, 7, 'תרגום פריסות');
INSERT INTO `lang_definitions` VALUES (36755, 11167, 7, 'תרגום רשימות');
INSERT INTO `lang_definitions` VALUES (36756, 11168, 7, 'תרגום כותרות הערות מטופל');
INSERT INTO `lang_definitions` VALUES (36757, 11169, 7, 'תרגום זה');
INSERT INTO `lang_definitions` VALUES (36758, 11170, 7, 'תרגום');
INSERT INTO `lang_definitions` VALUES (36759, 11171, 7, 'תרגומים');
INSERT INTO `lang_definitions` VALUES (36760, 11172, 7, 'שידור');
INSERT INTO `lang_definitions` VALUES (36761, 11175, 7, 'שידור נכשל');
INSERT INTO `lang_definitions` VALUES (36762, 11177, 7, 'שדר הזדמנות נבחרות');
INSERT INTO `lang_definitions` VALUES (36763, 11179, 7, 'טראומה');
INSERT INTO `lang_definitions` VALUES (36764, 11180, 7, 'טיפול');
INSERT INTO `lang_definitions` VALUES (36765, 11181, 7, 'מצב השלמת טיפול');
INSERT INTO `lang_definitions` VALUES (36766, 11182, 7, 'מטרות טיפול');
INSERT INTO `lang_definitions` VALUES (36767, 11183, 7, 'תוכנית טיפול');
INSERT INTO `lang_definitions` VALUES (36768, 11184, 7, 'תכנון טיפול');
INSERT INTO `lang_definitions` VALUES (36769, 11185, 7, 'טיפול שהתקבל');
INSERT INTO `lang_definitions` VALUES (36770, 11186, 7, 'טיפול:');
INSERT INTO `lang_definitions` VALUES (36771, 11187, 7, 'טיפול:');
INSERT INTO `lang_definitions` VALUES (36772, 11189, 7, 'הצג הכל');
INSERT INTO `lang_definitions` VALUES (36773, 11190, 7, 'trftime($month_format, mktime(0, 0, 0, $i, 1, 2000)) );             $month_value');
INSERT INTO `lang_definitions` VALUES (36774, 11195, 7, 'Trigger point / compartment syndrome / DOMS / cramp');
INSERT INTO `lang_definitions` VALUES (36775, 11196, 7, 'Trimalleolar');
INSERT INTO `lang_definitions` VALUES (36776, 11199, 7, 'גו ובטן');
INSERT INTO `lang_definitions` VALUES (36777, 11200, 7, 'כתובת מהימנה של דואר אלקטרוני ישיר');
INSERT INTO `lang_definitions` VALUES (36778, 11201, 7, 'דואר אלקטרוני מהימן');
INSERT INTO `lang_definitions` VALUES (36779, 11203, 7, 'מנסה ליצור משתמש עם שם משתמש קיים!');
INSERT INTO `lang_definitions` VALUES (36780, 11204, 7, 'טסונגה');
INSERT INTO `lang_definitions` VALUES (36781, 11205, 7, 'tsp');
INSERT INTO `lang_definitions` VALUES (36782, 11206, 7, 'צוואנה');
INSERT INTO `lang_definitions` VALUES (36783, 11207, 7, 'TTS');
INSERT INTO `lang_definitions` VALUES (36784, 11208, 7, 'שחפת');
INSERT INTO `lang_definitions` VALUES (36785, 11209, 7, 'שלישי');
INSERT INTO `lang_definitions` VALUES (36786, 11210, 7, 'שלישי וחמישי');
INSERT INTO `lang_definitions` VALUES (36787, 11211, 7, 'יום שלישי');
INSERT INTO `lang_definitions` VALUES (36788, 11212, 7, 'גידול');
INSERT INTO `lang_definitions` VALUES (36789, 11213, 7, 'טורקית');
INSERT INTO `lang_definitions` VALUES (36790, 11214, 7, 'טורקמנית');
INSERT INTO `lang_definitions` VALUES (36791, 11221, 7, 'Twi');
INSERT INTO `lang_definitions` VALUES (36792, 11222, 7, 'פעמיים ביום');
INSERT INTO `lang_definitions` VALUES (36793, 11223, 7, 'לפני שנתיים');
INSERT INTO `lang_definitions` VALUES (36794, 11226, 7, 'עור התוף');
INSERT INTO `lang_definitions` VALUES (36795, 11227, 7, 'סוג');
INSERT INTO `lang_definitions` VALUES (36796, 11231, 7, 'מזהה סוג או שם. 3 תווים מינימום (כולל תווי רווח).');
INSERT INTO `lang_definitions` VALUES (36797, 11238, 7, 'סוג עמודות המוצגות עבור תוצאות חיפוש מטופל');
INSERT INTO `lang_definitions` VALUES (36798, 11239, 7, 'סוג גילוי');
INSERT INTO `lang_definitions` VALUES (36799, 11240, 7, 'סוג אירועים');
INSERT INTO `lang_definitions` VALUES (36800, 11242, 7, 'סוג פריסת מסך');
INSERT INTO `lang_definitions` VALUES (36801, 11243, 7, 'הקלד או סרוק מזהה מטופל כאן');
INSERT INTO `lang_definitions` VALUES (36802, 11248, 7, 'תיאור ההודעה');
INSERT INTO `lang_definitions` VALUES (36803, 11249, 7, 'סוגי הזמנות ותוצאות');
INSERT INTO `lang_definitions` VALUES (36804, 11251, 7, 'ה{{יום חמישי}}');
INSERT INTO `lang_definitions` VALUES (36805, 11252, 7, 'ג{{יום שלישי}}');
INSERT INTO `lang_definitions` VALUES (36806, 11261, 7, 'UAC Appl');
INSERT INTO `lang_definitions` VALUES (36807, 11262, 7, 'UAC Tot');
INSERT INTO `lang_definitions` VALUES (36808, 11270, 7, 'קודי UCSMC המסופקים על-ידי University of Calgary Sports Medicine Centre');
INSERT INTO `lang_definitions` VALUES (36809, 11271, 7, 'אוקראינית');
INSERT INTO `lang_definitions` VALUES (36810, 11272, 7, 'התכייבות');
INSERT INTO `lang_definitions` VALUES (36811, 11273, 7, 'קוליטיס כיבית');
INSERT INTO `lang_definitions` VALUES (36812, 11274, 7, 'אולקוס:');
INSERT INTO `lang_definitions` VALUES (36813, 11276, 7, 'לא ניתן לגשת לספרייה');
INSERT INTO `lang_definitions` VALUES (36814, 11277, 7, 'לא ניתן לגשת לכתובת URL');
INSERT INTO `lang_definitions` VALUES (36815, 11278, 7, 'לא ניתן ליצור');
INSERT INTO `lang_definitions` VALUES (36816, 11279, 7, 'לא ניתן ליצור ספריית משנה של מסמך מטופל');
INSERT INTO `lang_definitions` VALUES (36817, 11287, 7, 'לא ניתן למצוא את הנתונים בקובץ זה.');
INSERT INTO `lang_definitions` VALUES (36818, 11288, 7, 'לא ניתן להתאים תשלום זה ב-ar_activity');
INSERT INTO `lang_definitions` VALUES (36819, 11289, 7, 'לא ניתן לשנות תצורת יישום, תן הרשאת כתיבה ל:');
INSERT INTO `lang_definitions` VALUES (36820, 11291, 7, 'לא הוחל');
INSERT INTO `lang_definitions` VALUES (36821, 11292, 7, 'לא הוקצה');
INSERT INTO `lang_definitions` VALUES (36822, 11293, 7, 'לא מורשה');
INSERT INTO `lang_definitions` VALUES (36823, 11294, 7, 'גישה לא מורשית למרשם אלקטרוני');
INSERT INTO `lang_definitions` VALUES (36824, 11295, 7, 'גישה לא מורשית.');
INSERT INTO `lang_definitions` VALUES (36825, 11296, 7, 'לא מחויב');
INSERT INTO `lang_definitions` VALUES (36826, 11297, 7, 'לא מחויב בלבד');
INSERT INTO `lang_definitions` VALUES (36827, 11299, 7, 'דוד');
INSERT INTO `lang_definitions` VALUES (36828, 11300, 7, 'מתחת ללשון');
INSERT INTO `lang_definitions` VALUES (36829, 11303, 7, 'תת-משקל');
INSERT INTO `lang_definitions` VALUES (36830, 11304, 7, 'לא מאובחן');
INSERT INTO `lang_definitions` VALUES (36831, 11305, 7, 'ללא התפלגות~חלוקה');
INSERT INTO `lang_definitions` VALUES (36832, 11306, 7, 'ללא התפלגות~חלוקה');
INSERT INTO `lang_definitions` VALUES (36833, 11307, 7, 'ללא התפלגות~חלוקה זה');
INSERT INTO `lang_definitions` VALUES (36834, 11309, 7, 'בטל צ\'ק אאוט~תשלום');
INSERT INTO `lang_definitions` VALUES (36835, 11310, 7, 'אי התאמה לא צפויה, יוצר מטופל חדש עבור מקטע');
INSERT INTO `lang_definitions` VALUES (36836, 11311, 7, 'לקוחות ייחודיים');
INSERT INTO `lang_definitions` VALUES (36837, 11312, 7, 'מזהה ייחודי הקריא לאדם עבור סוג זה');
INSERT INTO `lang_definitions` VALUES (36838, 11315, 7, 'לקוחות ייחודיים חדשים');
INSERT INTO `lang_definitions` VALUES (36839, 11316, 7, 'מזהה נומרי ייחודי עבור סוג זה');
INSERT INTO `lang_definitions` VALUES (36840, 11317, 7, 'מטופלים ייחודיים שנראו');
INSERT INTO `lang_definitions` VALUES (36841, 11318, 7, 'דוח מטופלים ייחודיים שנראו');
INSERT INTO `lang_definitions` VALUES (36842, 11319, 7, 'SP ייחודי');
INSERT INTO `lang_definitions` VALUES (36843, 11320, 7, 'יחידה');
INSERT INTO `lang_definitions` VALUES (36844, 11321, 7, 'יחידות');
INSERT INTO `lang_definitions` VALUES (36845, 11322, 7, 'יחידות');
INSERT INTO `lang_definitions` VALUES (36846, 11323, 7, 'יחידות הרלוונטיות לערך התוצאה');
INSERT INTO `lang_definitions` VALUES (36847, 11324, 7, 'יחידות עבור טופסי ביקור');
INSERT INTO `lang_definitions` VALUES (36848, 11325, 7, 'היחידות חייבות להיות מספר');
INSERT INTO `lang_definitions` VALUES (36849, 11326, 7, 'לא הוגדרו יחידות');
INSERT INTO `lang_definitions` VALUES (36850, 11327, 7, 'יחידות/L');
INSERT INTO `lang_definitions` VALUES (36851, 11328, 7, 'לא ידוע');
INSERT INTO `lang_definitions` VALUES (36852, 11329, 7, 'לא ידוע (ראה יומן)');
INSERT INTO `lang_definitions` VALUES (36853, 11330, 7, 'שגיאה לא ידועה');
INSERT INTO `lang_definitions` VALUES (36854, 11331, 7, 'לא ידוע אם אי פעם עישון');
INSERT INTO `lang_definitions` VALUES (36855, 11332, 7, 'לא ידוע או N/A');
INSERT INTO `lang_definitions` VALUES (36856, 11335, 7, 'מזהה משתמש לא ידוע:');
INSERT INTO `lang_definitions` VALUES (36857, 11344, 7, 'בטל קישור מטופל');
INSERT INTO `lang_definitions` VALUES (36858, 11345, 7, 'חברת ביטוח ללא שם');
INSERT INTO `lang_definitions` VALUES (36859, 11346, 7, 'לא רשום');
INSERT INTO `lang_definitions` VALUES (36860, 11347, 7, 'מודולים לא רשומים');
INSERT INTO `lang_definitions` VALUES (36861, 11348, 7, 'חבר לא קשור');
INSERT INTO `lang_definitions` VALUES (36862, 11349, 7, 'בטל בחירת הכול');
INSERT INTO `lang_definitions` VALUES (36863, 11350, 7, 'לא נבחר');
INSERT INTO `lang_definitions` VALUES (36864, 11351, 7, 'לא צוין');
INSERT INTO `lang_definitions` VALUES (36865, 11352, 7, 'לא מובנה');
INSERT INTO `lang_definitions` VALUES (36866, 11354, 7, 'קובץ טעינת מסד נתונים ללא תמיכה');
INSERT INTO `lang_definitions` VALUES (36867, 11355, 7, 'סוג תוצאת MDM OBX ללא תמיכה');
INSERT INTO `lang_definitions` VALUES (36868, 11356, 7, 'עד');
INSERT INTO `lang_definitions` VALUES (36869, 11359, 7, 'תיוק בזמן שגוי');
INSERT INTO `lang_definitions` VALUES (36870, 11360, 7, 'לא בשימוש');
INSERT INTO `lang_definitions` VALUES (36871, 11361, 7, 'UOR');
INSERT INTO `lang_definitions` VALUES (36872, 11362, 7, 'עד');
INSERT INTO `lang_definitions` VALUES (36873, 11364, 7, 'פגישות קרובות');
INSERT INTO `lang_definitions` VALUES (36874, 11365, 7, 'אירועים קרובים');
INSERT INTO `lang_definitions` VALUES (36875, 11366, 7, 'עדכון');
INSERT INTO `lang_definitions` VALUES (36876, 11367, 7, 'עדכון');
INSERT INTO `lang_definitions` VALUES (36877, 11368, 7, 'עדכן פעיל');
INSERT INTO `lang_definitions` VALUES (36878, 11371, 7, 'עדכן קבצים');
INSERT INTO `lang_definitions` VALUES (36879, 11372, 7, 'עדכן פרטים');
INSERT INTO `lang_definitions` VALUES (36880, 11374, 7, 'עדכן רשימה');
INSERT INTO `lang_definitions` VALUES (36881, 11377, 7, 'עדכן מספר ספק');
INSERT INTO `lang_definitions` VALUES (36882, 11378, 7, 'עדכן פריטים נבחרים');
INSERT INTO `lang_definitions` VALUES (36883, 11383, 7, 'עדכן את המשתנים הבאים בקובץ');
INSERT INTO `lang_definitions` VALUES (36884, 11384, 7, 'עדכן פרטי משתמש');
INSERT INTO `lang_definitions` VALUES (36885, 11385, 7, 'עודכן על-ידי');
INSERT INTO `lang_definitions` VALUES (36886, 11390, 7, 'אין הרשאה לעדכון דמוגרפיה.');
INSERT INTO `lang_definitions` VALUES (36887, 11391, 7, 'מעדכן הגדרות ברירת מחדל גלובליות של תצורה');
INSERT INTO `lang_definitions` VALUES (36888, 11392, 7, 'מעדכן מחווני גרסה');
INSERT INTO `lang_definitions` VALUES (36889, 11393, 7, 'שדרוג');
INSERT INTO `lang_definitions` VALUES (36890, 11394, 7, 'שדרוג');
INSERT INTO `lang_definitions` VALUES (36891, 11396, 7, 'שדרג מסד נתונים');
INSERT INTO `lang_definitions` VALUES (36892, 11398, 7, 'משדר מסד נתונים של OpenEMR לכלילת הליכים, פונקציות וטבלאות הנחוצים לתהליך ביטול הזיהוי');
INSERT INTO `lang_definitions` VALUES (36893, 11399, 7, 'השדרוג יימשך');
INSERT INTO `lang_definitions` VALUES (36894, 11400, 7, 'UPIN');
INSERT INTO `lang_definitions` VALUES (36895, 11401, 7, 'העלאה');
INSERT INTO `lang_definitions` VALUES (36896, 11403, 7, 'העלה תבנית');
INSERT INTO `lang_definitions` VALUES (36897, 11405, 7, 'העלה והתקן');
INSERT INTO `lang_definitions` VALUES (36898, 11406, 7, 'העלה נתוני תצורה');
INSERT INTO `lang_definitions` VALUES (36899, 11407, 7, 'העלה מסמך');
INSERT INTO `lang_definitions` VALUES (36900, 11408, 7, 'ההעלאה נכשלה!');
INSERT INTO `lang_definitions` VALUES (36901, 11410, 7, 'העלה תמונה אל');
INSERT INTO `lang_definitions` VALUES (36902, 11411, 7, 'העלה קובץ ייבוא:');
INSERT INTO `lang_definitions` VALUES (36903, 11413, 7, 'העלה PDF לימוד מטופל אל');
INSERT INTO `lang_definitions` VALUES (36904, 11414, 7, 'ההעלאה עובדה בהצלחה');
INSERT INTO `lang_definitions` VALUES (36905, 11415, 7, 'דוח העלאה');
INSERT INTO `lang_definitions` VALUES (36906, 11417, 7, 'העלה את קובץ ה-XML תחת CCR הקטגוריה');
INSERT INTO `lang_definitions` VALUES (36907, 11418, 7, 'העלה קובץ זה');
INSERT INTO `lang_definitions` VALUES (36908, 11421, 7, 'לאחר לחיצה על מספר חשבונית, יופיע \"חלון ההצבה הידנית\". כאן תוכל לשנות את תאריך הפירעון והערות עבור החשבונית, לבחור את הצד שעבורו אתה מצב ולבחור את הביטוחים שעבורם התקבלו כל התשלומים הצפויים.  והכי חשוב - לכל קוד חיוב שעבורו היה סכום חיוב, תוכל להזין פרטי תשלום והתאמה.');
INSERT INTO `lang_definitions` VALUES (36909, 11426, 7, 'לאחר החיפוש, תקבל רשימת חשבוניות.  תוכל ללחוץ על אחד ממספרי החשבוניות כי לפתוח חלון שני, שהוא דף הזנת הנתונים להצבה ידנית.  תוכל גם ללחוץ על שם מטופל אם ברצונך להזין הערה אשר צוות המשרד הקדמי יראה בעת צ\'ק אין של המטופל, ותוכל לבחור חשבוניות שיופיעו בדוחות מטופל וכן להדפיס דוחות אלה.');
INSERT INTO `lang_definitions` VALUES (36910, 11429, 7, 'זרוע');
INSERT INTO `lang_definitions` VALUES (36911, 11431, 7, 'אורדו');
INSERT INTO `lang_definitions` VALUES (36912, 11432, 7, 'דחיפות');
INSERT INTO `lang_definitions` VALUES (36913, 11433, 7, 'טיפול דחוף');
INSERT INTO `lang_definitions` VALUES (36914, 11436, 7, 'שתן');
INSERT INTO `lang_definitions` VALUES (36915, 11437, 7, 'טפטוף שתן');
INSERT INTO `lang_definitions` VALUES (36916, 11438, 7, 'תדירות שתן');
INSERT INTO `lang_definitions` VALUES (36917, 11439, 7, 'היסוס בשתן');
INSERT INTO `lang_definitions` VALUES (36918, 11440, 7, 'מיקרואלבומין שתן');
INSERT INTO `lang_definitions` VALUES (36919, 11441, 7, 'זרימת שתן');
INSERT INTO `lang_definitions` VALUES (36920, 11442, 7, 'בהילות שתן');
INSERT INTO `lang_definitions` VALUES (36921, 11443, 7, 'כתובת URL');
INSERT INTO `lang_definitions` VALUES (36922, 11444, 7, 'כתובת URL של כתובת אתר NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (36923, 11445, 7, 'כתובת URL לתמיכת OpenEMR.');
INSERT INTO `lang_definitions` VALUES (36924, 11446, 7, 'כתובת URL עבור שער טלפון.');
INSERT INTO `lang_definitions` VALUES (36925, 11447, 7, 'כתובת URL עבור שער טלפון. שירות VOIP אוטומטי מסופק על-ידי Maviq. עבור אל http://signup.maviq.com למידע נוסף.');
INSERT INTO `lang_definitions` VALUES (36926, 11448, 7, 'כתובת URL עבור אתר WordPress התומך בפורטל');
INSERT INTO `lang_definitions` VALUES (36927, 11449, 7, 'כתובות URL עבור כתובת שירות NewCrop eRx, מופרדות בנקודה-פסיק.');
INSERT INTO `lang_definitions` VALUES (36928, 11450, 7, 'ארה\"ב');
INSERT INTO `lang_definitions` VALUES (36929, 11451, 7, 'שימוש');
INSERT INTO `lang_definitions` VALUES (36930, 11453, 7, 'מחוון שימוש (ISA15)');
INSERT INTO `lang_definitions` VALUES (36931, 11456, 7, 'השתמש ב-% בלבד בשדה כדי למיין בעמודה זו בלבד');
INSERT INTO `lang_definitions` VALUES (36932, 11457, 7, 'האם להשתמש בתבנית 24 שעות?');
INSERT INTO `lang_definitions` VALUES (36933, 11464, 7, 'השתמש בטכנולוגיית EHR מאושרת לזיהוי משאבי לימוד ספציפיים למטופל וכדי לספק משאבים אלה למטופל במידת הצורך (חדש).');
INSERT INTO `lang_definitions` VALUES (36934, 11465, 7, 'השתמש בטכנולוגיית EHR מאושרת לזיהוי משאבי לימוד ספציפיים למטופל וכדי לספק משאבים אלה למטופל במידת הצורך.');
INSERT INTO `lang_definitions` VALUES (36935, 11466, 7, 'השתמש בלוח חיובים~לוח חיובי שימוש');
INSERT INTO `lang_definitions` VALUES (36936, 11467, 7, 'השתמש ב=CPOE להזמנות תרופה המוזנות ישירות על-ידי כל איש רפואה מורשה שבאפשרותו להזין הזמנות בתיק הרפואי לפי הנחיות מקומיות ומקצועיות.');
INSERT INTO `lang_definitions` VALUES (36937, 11470, 7, 'השתמש ב-CPOE להזמנות הליכים.');
INSERT INTO `lang_definitions` VALUES (36938, 11471, 7, 'השתמש ב-CPOE להזמנות רדיולוגיה.');
INSERT INTO `lang_definitions` VALUES (36939, 11472, 7, 'השתמש בהודעות Dunning בהתאמה אישית');
INSERT INTO `lang_definitions` VALUES (36940, 11473, 7, 'השתמש בדוח סוף היום בהתאמה אישית');
INSERT INTO `lang_definitions` VALUES (36941, 11474, 7, 'השתמש ברשימת חיסונים בהתאמה אישית');
INSERT INTO `lang_definitions` VALUES (36942, 11475, 7, 'השתמש בדוח בהתאמה אישית');
INSERT INTO `lang_definitions` VALUES (36943, 11476, 7, 'השתמש בטווח תאריכים');
INSERT INTO `lang_definitions` VALUES (36944, 11477, 7, 'השתמש בהגדרות ברירת מחדל');
INSERT INTO `lang_definitions` VALUES (36945, 11478, 7, 'השתמש באפשרות המחיקה כדי להסיר.');
INSERT INTO `lang_definitions` VALUES (36946, 11479, 7, 'האם להשתמש בסגנון תאריכים בינלאומי?');
INSERT INTO `lang_definitions` VALUES (36947, 11483, 7, 'השתמש בשם קובץ מקור');
INSERT INTO `lang_definitions` VALUES (36948, 11486, 7, 'השתמש בשדות שלמטה לרכישה או להעברה.');
INSERT INTO `lang_definitions` VALUES (36949, 11490, 7, 'השתמש בתכונה זו עם אתרים בהתקנה חדשה בלבד~השתמש רק בתכונה זו עם אתרים בהתקנה חדשה,');
INSERT INTO `lang_definitions` VALUES (36950, 11493, 7, 'האם להשתמש בנושאים?');
INSERT INTO `lang_definitions` VALUES (36951, 11496, 7, 'משתמש');
INSERT INTO `lang_definitions` VALUES (36952, 11497, 7, 'משתמש');
INSERT INTO `lang_definitions` VALUES (36953, 11498, 7, 'משתמש/קבוצות');
INSERT INTO `lang_definitions` VALUES (36954, 11499, 7, 'ניהול משתמשים');
INSERT INTO `lang_definitions` VALUES (36955, 11500, 7, 'ניהול משתמשים ומתקנים');
INSERT INTO `lang_definitions` VALUES (36956, 11501, 7, 'ניהול משתמשים וקבוצות');
INSERT INTO `lang_definitions` VALUES (36957, 11502, 7, 'לא ניתן למחוק את המשתמש');
INSERT INTO `lang_definitions` VALUES (36958, 11503, 7, 'אימות אישור משתמש מושבת');
INSERT INTO `lang_definitions` VALUES (36959, 11507, 7, 'מוגדר על-ידי המשתמש~משתמש מוגדר');
INSERT INTO `lang_definitions` VALUES (36960, 11508, 7, 'אזור המוגדר על-ידי המשתמש 11');
INSERT INTO `lang_definitions` VALUES (36961, 11509, 7, 'אזור המוגדר על-ידי המשתמש 12');
INSERT INTO `lang_definitions` VALUES (36962, 11510, 7, 'שדה המוגדר על-ידי המשתמש');
INSERT INTO `lang_definitions` VALUES (36963, 11511, 7, 'רשימה המוגדרת על-ידי המשתמש 1');
INSERT INTO `lang_definitions` VALUES (36964, 11512, 7, 'רשימה המוגדרת על-ידי המשתמש 2');
INSERT INTO `lang_definitions` VALUES (36965, 11513, 7, 'רשימה המוגדרת על-ידי המשתמש 3');
INSERT INTO `lang_definitions` VALUES (36966, 11514, 7, 'רשימה המוגדרת על-ידי המשתמש 4');
INSERT INTO `lang_definitions` VALUES (36967, 11515, 7, 'רשימה המוגדרת על-ידי המשתמש 5');
INSERT INTO `lang_definitions` VALUES (36968, 11516, 7, 'רשימה המוגדרת על-ידי המשתמש 6');
INSERT INTO `lang_definitions` VALUES (36969, 11517, 7, 'רשימה המוגדרת על-ידי המשתמש 7');
INSERT INTO `lang_definitions` VALUES (36970, 11518, 7, 'טקסט המוגדר על-ידי המשתמש 1');
INSERT INTO `lang_definitions` VALUES (36971, 11519, 7, 'טקסט המוגדר על-ידי המשתמש 2');
INSERT INTO `lang_definitions` VALUES (36972, 11520, 7, 'טקסט המוגדר על-ידי המשתמש 3');
INSERT INTO `lang_definitions` VALUES (36973, 11521, 7, 'טקסט המוגדר על-ידי המשתמש 4');
INSERT INTO `lang_definitions` VALUES (36974, 11522, 7, 'טקסט המוגדר על-ידי המשתמש 5');
INSERT INTO `lang_definitions` VALUES (36975, 11523, 7, 'טקסט המוגדר על-ידי המשתמש 6');
INSERT INTO `lang_definitions` VALUES (36976, 11524, 7, 'טקסט המוגדר על-ידי המשתמש 7');
INSERT INTO `lang_definitions` VALUES (36977, 11525, 7, 'טקסט המוגדר על-ידי המשתמש 8');
INSERT INTO `lang_definitions` VALUES (36978, 11526, 7, 'שם פרטי של המשתמש');
INSERT INTO `lang_definitions` VALUES (36979, 11528, 7, 'מזהה משתמש');
INSERT INTO `lang_definitions` VALUES (36980, 11529, 7, 'למשתמש נדרשת בקרת גישה זו עבור התראות פעילות והתראות פסיביות');
INSERT INTO `lang_definitions` VALUES (36981, 11530, 7, 'כניסת משתמש (אם 03 למעלה~מעל, השאר תווי רווח~חללים) (ISA02)');
INSERT INTO `lang_definitions` VALUES (36982, 11531, 7, 'מחוון נדרש לכניסת משתמש (ISA01~ השתמש ב-00 או ב-03)');
INSERT INTO `lang_definitions` VALUES (36983, 11532, 7, 'מדריך למשתמש');
INSERT INTO `lang_definitions` VALUES (36984, 11533, 7, 'חברויות משתמש');
INSERT INTO `lang_definitions` VALUES (36985, 11534, 7, 'שם משתמש');
INSERT INTO `lang_definitions` VALUES (36986, 11536, 7, 'שם משתמש או שם מארח לא יכול להיות ריק');
INSERT INTO `lang_definitions` VALUES (36987, 11537, 7, 'שם משתמש או מארח');
INSERT INTO `lang_definitions` VALUES (36988, 11539, 7, 'סיסמת משתמש (ISA04~ אם 01 למעלה~מעל, אחרת, השאר תווי רווח~חללים)');
INSERT INTO `lang_definitions` VALUES (36989, 11540, 7, 'מחוון נדרש לסיסמת משתמש (ISA03~ השתמש ב-00 או ב-01)');
INSERT INTO `lang_definitions` VALUES (36990, 11541, 7, 'הגדרות משתמש');
INSERT INTO `lang_definitions` VALUES (36991, 11543, 7, 'הגדרה ספציפית למשתמש');
INSERT INTO `lang_definitions` VALUES (36992, 11544, 7, 'הסיסמה החדשה של המשתמש');
INSERT INTO `lang_definitions` VALUES (36993, 11553, 7, 'שם משתמש');
INSERT INTO `lang_definitions` VALUES (36994, 11554, 7, 'שם משתמש עבור שער טלפון.');
INSERT INTO `lang_definitions` VALUES (36995, 11555, 7, 'שם משתמש עבור שער טלפון. שירות VOIP אוטומטי מסופק על-ידי Maviq. עבור אל http://signup.maviq.com למידע נוסף.');
INSERT INTO `lang_definitions` VALUES (36996, 11556, 7, 'שם משתמש עבור שער SMS');
INSERT INTO `lang_definitions` VALUES (36997, 11557, 7, 'שם משתמש עבור שער SMS.');
INSERT INTO `lang_definitions` VALUES (36998, 11558, 7, 'שם משתמש להתחברות ל-CouchDB');
INSERT INTO `lang_definitions` VALUES (36999, 11559, 7, 'שם משתמש:');
INSERT INTO `lang_definitions` VALUES (37000, 11560, 7, 'משתמשים');
INSERT INTO `lang_definitions` VALUES (37001, 11564, 7, 'ניהול משתמשים/קבוצות/יומנים');
INSERT INTO `lang_definitions` VALUES (37002, 11574, 7, 'uses php <a href=\"http://php.net/strftime\">strftime</a> format');
INSERT INTO `lang_definitions` VALUES (37003, 11583, 7, 'UTI');
INSERT INTO `lang_definitions` VALUES (37004, 11584, 7, 'אויגור');
INSERT INTO `lang_definitions` VALUES (37005, 11585, 7, 'אוזבקית');
INSERT INTO `lang_definitions` VALUES (37006, 11588, 7, 'חופשה');
INSERT INTO `lang_definitions` VALUES (37007, 11589, 7, 'חופשה');
INSERT INTO `lang_definitions` VALUES (37008, 11590, 7, 'חיסון');
INSERT INTO `lang_definitions` VALUES (37009, 11593, 7, 'טבעת וגינאלית');
INSERT INTO `lang_definitions` VALUES (37010, 11594, 7, 'פרידה');
INSERT INTO `lang_definitions` VALUES (37011, 11596, 7, 'אימות');
INSERT INTO `lang_definitions` VALUES (37012, 11609, 7, 'ערך');
INSERT INTO `lang_definitions` VALUES (37013, 11610, 7, 'ערך 1');
INSERT INTO `lang_definitions` VALUES (37014, 11611, 7, 'ערך 2');
INSERT INTO `lang_definitions` VALUES (37015, 11612, 7, 'ערך אם השוואה');
INSERT INTO `lang_definitions` VALUES (37016, 11613, 7, 'על הערך להיות נומרי');
INSERT INTO `lang_definitions` VALUES (37017, 11614, 7, 'Var1');
INSERT INTO `lang_definitions` VALUES (37018, 11615, 7, 'Var2');
INSERT INTO `lang_definitions` VALUES (37019, 11616, 7, 'משתנה לאחד להרצת קובץ Script של שדרוג ביטול הזיהוי');
INSERT INTO `lang_definitions` VALUES (37020, 11619, 7, 'Varicella 1');
INSERT INTO `lang_definitions` VALUES (37021, 11620, 7, 'Varicella 2');
INSERT INTO `lang_definitions` VALUES (37022, 11621, 7, 'דליות');
INSERT INTO `lang_definitions` VALUES (37023, 11623, 7, 'בעיה וסקולרית');
INSERT INTO `lang_definitions` VALUES (37024, 11624, 7, 'פציעה וסקולרית');
INSERT INTO `lang_definitions` VALUES (37025, 11625, 7, 'ניתוח וסקולרי');
INSERT INTO `lang_definitions` VALUES (37026, 11629, 7, 'ונדה');
INSERT INTO `lang_definitions` VALUES (37027, 11630, 7, 'ספק');
INSERT INTO `lang_definitions` VALUES (37028, 11634, 7, 'גרסה');
INSERT INTO `lang_definitions` VALUES (37029, 11653, 7, 'ורטיגו');
INSERT INTO `lang_definitions` VALUES (37030, 11656, 7, 'ניהול וטראנים');
INSERT INTO `lang_definitions` VALUES (37031, 11657, 7, 'תוכנית ניהול וטראנים');
INSERT INTO `lang_definitions` VALUES (37032, 11659, 7, 'VFC');
INSERT INTO `lang_definitions` VALUES (37033, 11666, 7, 'וייטנאמית');
INSERT INTO `lang_definitions` VALUES (37034, 11667, 7, 'תצוגה');
INSERT INTO `lang_definitions` VALUES (37035, 11668, 7, 'תצוגה');
INSERT INTO `lang_definitions` VALUES (37036, 11670, 7, 'הצג רגישויות');
INSERT INTO `lang_definitions` VALUES (37037, 11671, 7, 'הצג קובץ x12-835 ERA');
INSERT INTO `lang_definitions` VALUES (37038, 11672, 7, 'הצג טקסט תביעת אצווה של x12');
INSERT INTO `lang_definitions` VALUES (37039, 11673, 7, 'הצג טופס הפניה ריק');
INSERT INTO `lang_definitions` VALUES (37040, 11675, 7, 'הצג CCDA');
INSERT INTO `lang_definitions` VALUES (37041, 11676, 7, 'הצג דוח מטופלים מקיף');
INSERT INTO `lang_definitions` VALUES (37042, 11677, 7, 'הצג טבלאות CSV');
INSERT INTO `lang_definitions` VALUES (37043, 11678, 7, 'הצג פרטים');
INSERT INTO `lang_definitions` VALUES (37044, 11679, 7, 'הצג מסמך');
INSERT INTO `lang_definitions` VALUES (37045, 11681, 7, 'הצג מפגש');
INSERT INTO `lang_definitions` VALUES (37046, 11682, 7, 'הצג טקסט ERA x12');
INSERT INTO `lang_definitions` VALUES (37047, 11683, 7, 'האם להציג אירועים בחלון מוקפץ?');
INSERT INTO `lang_definitions` VALUES (37048, 11684, 7, 'הצג פרטי משתמש ספציפיים למתקן');
INSERT INTO `lang_definitions` VALUES (37049, 11685, 7, 'הצג ארבעה לוחות~לוח רביעי');
INSERT INTO `lang_definitions` VALUES (37050, 11686, 7, 'הצג קובץ x12 מקומי');
INSERT INTO `lang_definitions` VALUES (37051, 11687, 7, 'הצג יומן');
INSERT INTO `lang_definitions` VALUES (37052, 11690, 7, 'הצג עמוד 1');
INSERT INTO `lang_definitions` VALUES (37053, 11691, 7, 'הצג עמוד 2');
INSERT INTO `lang_definitions` VALUES (37054, 11692, 7, 'הצג תזכורות עבר ועתיד');
INSERT INTO `lang_definitions` VALUES (37055, 11695, 7, 'הצג מטופל');
INSERT INTO `lang_definitions` VALUES (37056, 11696, 7, 'הצג כללי תוכנית');
INSERT INTO `lang_definitions` VALUES (37057, 11697, 7, 'הצג גרסה להדפסה');
INSERT INTO `lang_definitions` VALUES (37058, 11698, 7, 'הצג דוח מתאים להדפסה');
INSERT INTO `lang_definitions` VALUES (37059, 11699, 7, 'הצג גרסה להדפסה');
INSERT INTO `lang_definitions` VALUES (37060, 11700, 7, 'הצג מפגשים קשורים');
INSERT INTO `lang_definitions` VALUES (37061, 11701, 7, 'הצג דוח');
INSERT INTO `lang_definitions` VALUES (37062, 11702, 7, 'הצג קובץ README');
INSERT INTO `lang_definitions` VALUES (37063, 11705, 7, 'תצוגה, הורדה, שידור (VDT)  (מדידה~אמצעי B)');
INSERT INTO `lang_definitions` VALUES (37064, 11706, 7, 'תצוגה, הורדה, שידור (VDT)  (מדידה~אמצעי A)');
INSERT INTO `lang_definitions` VALUES (37065, 11712, 7, 'הצג/ערוך רגישויות');
INSERT INTO `lang_definitions` VALUES (37066, 11713, 7, 'הצג/ערוך');
INSERT INTO `lang_definitions` VALUES (37067, 11714, 7, 'הצג/הדפס');
INSERT INTO `lang_definitions` VALUES (37068, 11717, 7, 'הצג:');
INSERT INTO `lang_definitions` VALUES (37069, 11718, 7, 'VISA');
INSERT INTO `lang_definitions` VALUES (37070, 11719, 7, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (37071, 11721, 7, 'נזק/טראומה/ניתוח ויסצרליים');
INSERT INTO `lang_definitions` VALUES (37072, 11722, 7, 'VisForm');
INSERT INTO `lang_definitions` VALUES (37073, 11724, 7, 'ביקור');
INSERT INTO `lang_definitions` VALUES (37074, 11725, 7, 'תכונות ביקור');
INSERT INTO `lang_definitions` VALUES (37075, 11726, 7, 'סוגי ביקור');
INSERT INTO `lang_definitions` VALUES (37076, 11727, 7, 'סוג ביקור');
INSERT INTO `lang_definitions` VALUES (37077, 11728, 7, 'סוג ביקור:');
INSERT INTO `lang_definitions` VALUES (37078, 11729, 7, 'תאריך ביקור');
INSERT INTO `lang_definitions` VALUES (37079, 11730, 7, 'תאריך ביקור');
INSERT INTO `lang_definitions` VALUES (37080, 11732, 7, 'תכונות טופס ביקור');
INSERT INTO `lang_definitions` VALUES (37081, 11734, 7, 'טופסי ביקור');
INSERT INTO `lang_definitions` VALUES (37082, 11736, 7, 'היסטוריית ביקורים');
INSERT INTO `lang_definitions` VALUES (37083, 11743, 7, 'סוג תור');
INSERT INTO `lang_definitions` VALUES (37084, 11745, 7, 'ביקורים');
INSERT INTO `lang_definitions` VALUES (37085, 11746, 7, 'ביקורים מ:');
INSERT INTO `lang_definitions` VALUES (37086, 11751, 7, 'סימנים חיוניים');
INSERT INTO `lang_definitions` VALUES (37087, 11752, 7, 'סימנים חיוניים');
INSERT INTO `lang_definitions` VALUES (37088, 11753, 7, 'סימנים חיוניים (מטרי~מדד)');
INSERT INTO `lang_definitions` VALUES (37089, 11754, 7, 'אפשרויות של טופס סימנים חיוניים');
INSERT INTO `lang_definitions` VALUES (37090, 11756, 7, 'קול');
INSERT INTO `lang_definitions` VALUES (37091, 11758, 7, 'קול נשלח');
INSERT INTO `lang_definitions` VALUES (37092, 11762, 7, 'Volapük');
INSERT INTO `lang_definitions` VALUES (37093, 11763, 7, 'הקאות');
INSERT INTO `lang_definitions` VALUES (37094, 11764, 7, 'מספר שובר');
INSERT INTO `lang_definitions` VALUES (37095, 11767, 7, 'W');
INSERT INTO `lang_definitions` VALUES (37096, 11770, 7, 'היקף מותניים');
INSERT INTO `lang_definitions` VALUES (37097, 11771, 7, 'היקף מותניים');
INSERT INTO `lang_definitions` VALUES (37098, 11772, 7, 'ממתין');
INSERT INTO `lang_definitions` VALUES (37099, 11773, 7, 'Walk-In');
INSERT INTO `lang_definitions` VALUES (37100, 11775, 7, 'וואלון');
INSERT INTO `lang_definitions` VALUES (37101, 11776, 7, 'Walt Pennington');
INSERT INTO `lang_definitions` VALUES (37102, 11778, 7, 'מחסן');
INSERT INTO `lang_definitions` VALUES (37103, 11780, 7, 'מקסימום מחסן, 0 אם לא רלוונטי');
INSERT INTO `lang_definitions` VALUES (37104, 11781, 7, 'מינימום מחסן, 0 אם לא רלוונטי');
INSERT INTO `lang_definitions` VALUES (37105, 11782, 7, 'מחסנים');
INSERT INTO `lang_definitions` VALUES (37106, 11783, 7, 'חמים');
INSERT INTO `lang_definitions` VALUES (37107, 11786, 7, 'אזהרה');
INSERT INTO `lang_definitions` VALUES (37108, 11787, 7, 'אזהרה');
INSERT INTO `lang_definitions` VALUES (37109, 11788, 7, 'אזהרה - התרופות הפעילות הבאות הן רגישויות');
INSERT INTO `lang_definitions` VALUES (37110, 11789, 7, 'אזהרה, מספר שיק כבר קיים במסד נתונים');
INSERT INTO `lang_definitions` VALUES (37111, 11790, 7, 'אזהרה, למטופל יש קודים שאינם חד משמעיים ברשימת הבעיות!');
INSERT INTO `lang_definitions` VALUES (37112, 11791, 7, 'אזהרה: כבר נוצר ביקור עבור מטופל זה היום!');
INSERT INTO `lang_definitions` VALUES (37113, 11794, 7, 'אזהרה: אם אתה משתמש בגרסה הספרדית מתאריך 2012-10-31, שים לב שעליך לבטל את הדחיסה פעם אחת לפני ההצבה ב-contrib/snomed (זאת משום שהקובץ המשוחרר היה בדחיסה כפולה).');
INSERT INTO `lang_definitions` VALUES (37114, 11796, 7, 'אזהרה: מזהה המטופל לא ייחודי!');
INSERT INTO `lang_definitions` VALUES (37115, 11799, 7, 'אזהרה: פעולה זו תחליף את פרטי התצורה עם נתונים מהקובץ שהועלה!');
INSERT INTO `lang_definitions` VALUES (37116, 11800, 7, 'אזהרות');
INSERT INTO `lang_definitions` VALUES (37117, 11801, 7, 'אזהרות');
INSERT INTO `lang_definitions` VALUES (37118, 11802, 7, 'אזהרות והתראות/תזכורות');
INSERT INTO `lang_definitions` VALUES (37119, 11803, 7, 'כבר הועלה');
INSERT INTO `lang_definitions` VALUES (37120, 11804, 7, 'לא נמצא');
INSERT INTO `lang_definitions` VALUES (37121, 11805, 7, 'אנו מעריכים את התשלום המיידי של היתרה לפירעון');
INSERT INTO `lang_definitions` VALUES (37122, 11809, 7, 'ראינו את המטופל שלך לעיל לצורך הערכה וטיפול במרפאה הפסיכיאטרית שלנו למטופלי חוץ. אנו מודים לך על ההפניה.');
INSERT INTO `lang_definitions` VALUES (37123, 11821, 7, 'חולשה');
INSERT INTO `lang_definitions` VALUES (37124, 11825, 7, 'הפניה לאינטרנט');
INSERT INTO `lang_definitions` VALUES (37125, 11826, 7, 'חיפוש באינטרנט');
INSERT INTO `lang_definitions` VALUES (37126, 11827, 7, 'אתר אינטרנט');
INSERT INTO `lang_definitions` VALUES (37127, 11828, 7, 'קישור אתר אינטרנט עבור פורטל המטופלים באתר.');
INSERT INTO `lang_definitions` VALUES (37128, 11832, 7, 'רביעי');
INSERT INTO `lang_definitions` VALUES (37129, 11833, 7, 'יום רביעי');
INSERT INTO `lang_definitions` VALUES (37130, 11834, 7, 'שבוע');
INSERT INTO `lang_definitions` VALUES (37131, 11835, 7, 'שבוע');
INSERT INTO `lang_definitions` VALUES (37132, 11836, 7, 'תצוגת שבוע');
INSERT INTO `lang_definitions` VALUES (37133, 11837, 7, 'שבועות');
INSERT INTO `lang_definitions` VALUES (37134, 11838, 7, 'חשיפות שבועיות');
INSERT INTO `lang_definitions` VALUES (37135, 11839, 7, 'שבועות');
INSERT INTO `lang_definitions` VALUES (37136, 11840, 7, 'שבועות');
INSERT INTO `lang_definitions` VALUES (37137, 11841, 7, 'משקל');
INSERT INTO `lang_definitions` VALUES (37138, 11842, 7, 'הערכת משקל וייעוץ עבור ילדים ומתבגרים');
INSERT INTO `lang_definitions` VALUES (37139, 11843, 7, 'הערכת משקל וייעוץ עבור ילדים ומתבגרים (CQM)');
INSERT INTO `lang_definitions` VALUES (37140, 11844, 7, 'שינוי משקל');
INSERT INTO `lang_definitions` VALUES (37141, 11845, 7, 'ירידה במשקל');
INSERT INTO `lang_definitions` VALUES (37142, 11846, 7, 'קליניקה לירידה במשקל');
INSERT INTO `lang_definitions` VALUES (37143, 11847, 7, 'קבלת פנים');
INSERT INTO `lang_definitions` VALUES (37144, 11849, 7, 'וולשית');
INSERT INTO `lang_definitions` VALUES (37145, 11859, 7, 'מערב פריזית');
INSERT INTO `lang_definitions` VALUES (37146, 11862, 7, 'מה צריך לספור?');
INSERT INTO `lang_definitions` VALUES (37147, 11864, 7, 'חרחורים:');
INSERT INTO `lang_definitions` VALUES (37148, 11865, 7, 'חרחור');
INSERT INTO `lang_definitions` VALUES (37149, 11866, 7, 'חרחור:');
INSERT INTO `lang_definitions` VALUES (37150, 11869, 7, 'כאשר מסומן, הדמוגרפיה תיפתח בחלון חדש מלוח הזרימה של המטופלים.');
INSERT INTO `lang_definitions` VALUES (37151, 11876, 7, 'לסיום, לחץ על \'שלח\' (למטה) כדי להחיל את הבחירות שלך.');
INSERT INTO `lang_definitions` VALUES (37152, 11882, 7, 'היכן ניתן למצוא מסמכים קשורים סרוקים או פיזיים?');
INSERT INTO `lang_definitions` VALUES (37153, 11884, 7, 'אם מבוטח');
INSERT INTO `lang_definitions` VALUES (37154, 11886, 7, 'אילו הערות יוצגו במסך החיוב');
INSERT INTO `lang_definitions` VALUES (37155, 11890, 7, 'צליפה');
INSERT INTO `lang_definitions` VALUES (37156, 11891, 7, 'לבן');
INSERT INTO `lang_definitions` VALUES (37157, 11894, 7, 'מי');
INSERT INTO `lang_definitions` VALUES (37158, 11895, 7, 'מי השיב?');
INSERT INTO `lang_definitions` VALUES (37159, 11897, 7, 'אלמן');
INSERT INTO `lang_definitions` VALUES (37160, 11898, 7, 'רוחב');
INSERT INTO `lang_definitions` VALUES (37161, 11900, 7, 'רוחב בפיקסלים של מסגרת הניווט שבצד.');
INSERT INTO `lang_definitions` VALUES (37162, 11902, 7, 'יוסתר אם');
INSERT INTO `lang_definitions` VALUES (37163, 11904, 7, 'עם התוויית פריטים מסומנים~שנבדקו');
INSERT INTO `lang_definitions` VALUES (37164, 11906, 7, 'עם שפה מועדפת');
INSERT INTO `lang_definitions` VALUES (37165, 11907, 7, 'עם בחירה:');
INSERT INTO `lang_definitions` VALUES (37166, 11908, 7, 'עם השם הישן');
INSERT INTO `lang_definitions` VALUES (37167, 11910, 7, 'עם ערך');
INSERT INTO `lang_definitions` VALUES (37168, 11911, 7, 'אצל מי נוכל להשאיר הודעה?');
INSERT INTO `lang_definitions` VALUES (37169, 11912, 7, 'מוחזק~בעיכוב');
INSERT INTO `lang_definitions` VALUES (37170, 11913, 7, 'תוך שעות');
INSERT INTO `lang_definitions` VALUES (37171, 11914, 7, 'תוך שעות:');
INSERT INTO `lang_definitions` VALUES (37172, 11915, 7, 'תוך דקות');
INSERT INTO `lang_definitions` VALUES (37173, 11916, 7, 'תוך דקות:');
INSERT INTO `lang_definitions` VALUES (37174, 11917, 7, 'ללא מתקן');
INSERT INTO `lang_definitions` VALUES (37175, 11918, 7, 'ללא ספק');
INSERT INTO `lang_definitions` VALUES (37176, 11919, 7, 'ללא עדכון');
INSERT INTO `lang_definitions` VALUES (37177, 11920, 7, 'עד~עדות');
INSERT INTO `lang_definitions` VALUES (37178, 11921, 7, 'שבוע');
INSERT INTO `lang_definitions` VALUES (37179, 11922, 7, 'WNL');
INSERT INTO `lang_definitions` VALUES (37180, 11923, 7, 'וולוף');
INSERT INTO `lang_definitions` VALUES (37181, 11924, 7, 'נשים');
INSERT INTO `lang_definitions` VALUES (37182, 11925, 7, 'נשים בלבד');
INSERT INTO `lang_definitions` VALUES (37183, 11926, 7, 'פורטל WordPress');
INSERT INTO `lang_definitions` VALUES (37184, 11927, 7, 'עבודה');
INSERT INTO `lang_definitions` VALUES (37185, 11928, 7, 'הערה לעבודה');
INSERT INTO `lang_definitions` VALUES (37186, 11929, 7, 'טלפון בעבודה');
INSERT INTO `lang_definitions` VALUES (37187, 11930, 7, 'מספר טלפון בעבודה');
INSERT INTO `lang_definitions` VALUES (37188, 11931, 7, 'קשור לעבודה?');
INSERT INTO `lang_definitions` VALUES (37189, 11932, 7, 'עבודה/השכלה/תחביבים');
INSERT INTO `lang_definitions` VALUES (37190, 11933, 7, 'הערה לעבודה/למוסד לימודים');
INSERT INTO `lang_definitions` VALUES (37191, 11934, 7, 'יום עבודה');
INSERT INTO `lang_definitions` VALUES (37192, 11935, 7, 'פיצוי עובד');
INSERT INTO `lang_definitions` VALUES (37193, 11936, 7, 'תוכנית בריאות לפיצוי עובדים');
INSERT INTO `lang_definitions` VALUES (37194, 11937, 7, 'מוטב בגיל עבודה או בן/בת זוג עם תוכנית בריאות קבוצתית של מעביד');
INSERT INTO `lang_definitions` VALUES (37195, 11940, 7, 'עובד... התהליך עשוי להימשך דקה.');
INSERT INTO `lang_definitions` VALUES (37196, 11941, 7, 'חמור יותר');
INSERT INTO `lang_definitions` VALUES (37197, 11942, 7, 'האם תרצה להחיל את סכום היתרה על החשבון הגלובלי?');
INSERT INTO `lang_definitions` VALUES (37198, 11943, 7, 'האם תרצה לסמן אותם כפריטים שנוקו?');
INSERT INTO `lang_definitions` VALUES (37199, 11944, 7, 'האם ברצונך להקצות?');
INSERT INTO `lang_definitions` VALUES (37200, 11945, 7, 'האם ברצונך לבטל הפצה~חלוקה~התפלגות עבור מטופל זה?');
INSERT INTO `lang_definitions` VALUES (37201, 11946, 7, 'האם ברצונך למחוק התפלגות תשלומים?');
INSERT INTO `lang_definitions` VALUES (37202, 11947, 7, 'האם ברצונך למחוק תשלומים?');
INSERT INTO `lang_definitions` VALUES (37203, 11948, 7, 'האם ברצונך לשנות ולסיים תשלומים?');
INSERT INTO `lang_definitions` VALUES (37204, 11949, 7, 'האם ברצונך לשנות תשלומים?');
INSERT INTO `lang_definitions` VALUES (37205, 11950, 7, 'האם ברצונך להציב ולסיים תשלומים?');
INSERT INTO `lang_definitions` VALUES (37206, 11951, 7, 'האם ברצונך להציב תשלומים?');
INSERT INTO `lang_definitions` VALUES (37207, 11952, 7, 'האם ברצונך לשמור?');
INSERT INTO `lang_definitions` VALUES (37208, 11953, 7, 'פרק כף היד');
INSERT INTO `lang_definitions` VALUES (37209, 11954, 7, 'פרק כף היד וכף היד');
INSERT INTO `lang_definitions` VALUES (37210, 11955, 7, 'בעיות בפרק כף היד');
INSERT INTO `lang_definitions` VALUES (37211, 11956, 7, 'כתיבה');
INSERT INTO `lang_definitions` VALUES (37212, 11958, 7, 'מחיקה');
INSERT INTO `lang_definitions` VALUES (37213, 11959, 7, 'כתוב פעם אחת');
INSERT INTO `lang_definitions` VALUES (37214, 11960, 7, 'wsome');
INSERT INTO `lang_definitions` VALUES (37215, 11963, 7, 'WT');
INSERT INTO `lang_definitions` VALUES (37216, 11965, 7, 'ד{{יום רביעי}}');
INSERT INTO `lang_definitions` VALUES (37217, 11966, 7, 'x מבוטל');
INSERT INTO `lang_definitions` VALUES (37218, 11967, 7, 'x מבוטל');
INSERT INTO `lang_definitions` VALUES (37219, 11969, 7, 'רנטגן');
INSERT INTO `lang_definitions` VALUES (37220, 11970, 7, 'פירוש רנטגן:');
INSERT INTO `lang_definitions` VALUES (37221, 11971, 7, 'פירוש רנטגן:');
INSERT INTO `lang_definitions` VALUES (37222, 11975, 7, 'X12 בלבד: תביעת החלפה~חילוף');
INSERT INTO `lang_definitions` VALUES (37223, 11978, 7, 'שותף X12');
INSERT INTO `lang_definitions` VALUES (37224, 11979, 7, 'שותפי X12');
INSERT INTO `lang_definitions` VALUES (37225, 11981, 7, 'טקסט X12');
INSERT INTO `lang_definitions` VALUES (37226, 11982, 7, 'קוסה');
INSERT INTO `lang_definitions` VALUES (37227, 11984, 7, 'XML');
INSERT INTO `lang_definitions` VALUES (37228, 11987, 7, 'Y');
INSERT INTO `lang_definitions` VALUES (37229, 11988, 7, 'שנה');
INSERT INTO `lang_definitions` VALUES (37230, 11989, 7, 'שנה');
INSERT INTO `lang_definitions` VALUES (37231, 11990, 7, 'תצוגת שנה');
INSERT INTO `lang_definitions` VALUES (37232, 11991, 7, 'שנים');
INSERT INTO `lang_definitions` VALUES (37233, 11992, 7, 'שנים');
INSERT INTO `lang_definitions` VALUES (37234, 11994, 7, 'שנים או חודשים');
INSERT INTO `lang_definitions` VALUES (37235, 11995, 7, 'שנים, חדשים וימים');
INSERT INTO `lang_definitions` VALUES (37236, 11996, 7, 'כן');
INSERT INTO `lang_definitions` VALUES (37237, 11997, 7, 'כן');
INSERT INTO `lang_definitions` VALUES (37238, 11998, 7, 'כן');
INSERT INTO `lang_definitions` VALUES (37239, 11999, 7, 'כן!');
INSERT INTO `lang_definitions` VALUES (37240, 12000, 7, 'כן, מחק ורשום ביומן');
INSERT INTO `lang_definitions` VALUES (37241, 12001, 7, 'כן, מחק טופס זה');
INSERT INTO `lang_definitions` VALUES (37242, 12002, 7, 'כן/לא');
INSERT INTO `lang_definitions` VALUES (37243, 12003, 7, 'כן:');
INSERT INTO `lang_definitions` VALUES (37244, 12004, 7, 'יידיש');
INSERT INTO `lang_definitions` VALUES (37245, 12005, 7, 'יורובה');
INSERT INTO `lang_definitions` VALUES (37246, 12007, 7, 'אתה עומד למחוק את הטופס הבא ממפגש זה');
INSERT INTO `lang_definitions` VALUES (37247, 12008, 7, 'אתה עומד להחליף לצמיתות את התבנית הקיימת. האם אתה בטוח שברצונך להמשיך?');
INSERT INTO `lang_definitions` VALUES (37248, 12011, 7, 'אתה נמצא בתקופת החסד לכניסה למערכת. שנה את הסיסמה לפני');
INSERT INTO `lang_definitions` VALUES (37249, 12012, 7, 'אינך מורשה למחוק אירוע זה');
INSERT INTO `lang_definitions` VALUES (37250, 12013, 7, 'אינך מורשה לערוך אירוע זה');
INSERT INTO `lang_definitions` VALUES (37251, 12014, 7, 'אינך מורשה לכך.');
INSERT INTO `lang_definitions` VALUES (37252, 12016, 7, 'אינך מורשה לגשת לקבוצה זו.');
INSERT INTO `lang_definitions` VALUES (37253, 12017, 7, 'אינך מורשה להוסיף/לערוך בעיות.');
INSERT INTO `lang_definitions` VALUES (37254, 12018, 7, 'אינך מורשה לקבוע פגישות.');
INSERT INTO `lang_definitions` VALUES (37255, 12019, 7, 'אינך מורשה לראות מפגש זה.');
INSERT INTO `lang_definitions` VALUES (37256, 12021, 7, 'האם אתה מפרסם כנגד מפגש ישן?');
INSERT INTO `lang_definitions` VALUES (37257, 12038, 7, 'לא ניתן לגשת ישירות פונקציה זו.');
INSERT INTO `lang_definitions` VALUES (37258, 12050, 7, 'לא ניתן לגשת ישירות לדף זה.');
INSERT INTO `lang_definitions` VALUES (37259, 12051, 7, 'לא ניתן להוסיף ערך ריק עבור קטגוריה!');
INSERT INTO `lang_definitions` VALUES (37260, 12052, 7, 'לא ניתן להוסיף ערך ריק עבור קטגוריית משנה!');
INSERT INTO `lang_definitions` VALUES (37261, 12053, 7, 'לא ניתן להוסיף ערך ריק עבור פריט!');
INSERT INTO `lang_definitions` VALUES (37262, 12055, 7, 'לא ניתן להזין תאריך עתידי עם ערך השלמה \'כן\'.');
INSERT INTO `lang_definitions` VALUES (37263, 12057, 7, 'לא בחרת שום פעולות.');
INSERT INTO `lang_definitions` VALUES (37264, 12058, 7, 'אין לך גישה להצגה/עריכה של הערה זו');
INSERT INTO `lang_definitions` VALUES (37265, 12061, 7, 'ניסית לשנות תוכן נעול. הסר את הנעילה אם ברצונך לעשות זאת כדי לבטל נעילה, הסר את השורה \'/*lock::*/\'');
INSERT INTO `lang_definitions` VALUES (37266, 12063, 7, 'יצאת בהצלחה מהמערכת.');
INSERT INTO `lang_definitions` VALUES (37267, 12074, 7, 'תוכל להעלות קובצי ‎ .txt בלבד');
INSERT INTO `lang_definitions` VALUES (37268, 12075, 7, 'אופציונלית, תוכל להעלות תוצאות HL7 מקובץ');
INSERT INTO `lang_definitions` VALUES (37269, 12076, 7, 'תוכל להציב כאן טקסט בתור תלונת ברירת מחדל בטופס של מפגש מטופל חדש.');
INSERT INTO `lang_definitions` VALUES (37270, 12085, 7, 'עליך להזין ביטוי סיסמה כדי להצפין את המסמך');
INSERT INTO `lang_definitions` VALUES (37271, 12087, 7, 'עליך להזין סיסמה משלך כדי לשנות סיסמאות משתמש. השאר ריק כדי להשאיר את הסיסמה ללא שינוי.');
INSERT INTO `lang_definitions` VALUES (37272, 12088, 7, 'עליך לבחור תחילה פריט במקטע אשר לחצן האפשרויות שלו מסומן.');
INSERT INTO `lang_definitions` VALUES (37273, 12090, 7, 'עליך לבחור או להוסיף תחילה מטופל.');
INSERT INTO `lang_definitions` VALUES (37274, 12091, 7, 'עליך לבחור או ליצור תחילה מפגש.');
INSERT INTO `lang_definitions` VALUES (37275, 12092, 7, 'יש לבחור סוג ביקור');
INSERT INTO `lang_definitions` VALUES (37276, 12093, 7, 'יש לבחור סוג ביקור.');
INSERT INTO `lang_definitions` VALUES (37277, 12094, 7, 'יש לבחור שדות כדי להמשיך.');
INSERT INTO `lang_definitions` VALUES (37278, 12104, 7, 'יש להריץ בדיקה זו אם נראה שתביעה זו נוצרת בהצלחה, אולם תיק התביעה בפועל אינו מכיל שום נתונים או רק חלק בלתי מוגמר של כמו ת הנתונים שהוא אמור להכיל. העניין ברור עם תביעות HCFA, משום שהן מתאימות לקריאה אנושית, ואילו תביעות X12 קשות יותר לעיבוד על מנת לקבוע אם התביעה הושלמה כראוי.');
INSERT INTO `lang_definitions` VALUES (37279, 12106, 7, 'יש לבחור הקשר אחד לפחות');
INSERT INTO `lang_definitions` VALUES (37280, 12107, 7, 'יש לבחור ספק אחד לפחות');
INSERT INTO `lang_definitions` VALUES (37281, 12108, 7, 'תופנה באופן אוטומטי אל הדמוגרפיה. תוכל לבצע את התיקונים הנחוצים ולנווט שוב אל NewCrop.');
INSERT INTO `lang_definitions` VALUES (37282, 12118, 7, 'הדוח הקליני שלך');
INSERT INTO `lang_definitions` VALUES (37283, 12122, 7, 'תאריך הסיום לא חוקי');
INSERT INTO `lang_definitions` VALUES (37284, 12123, 7, 'האירוע נמחק.');
INSERT INTO `lang_definitions` VALUES (37285, 12124, 7, 'האירוע השתנה.');
INSERT INTO `lang_definitions` VALUES (37286, 12125, 7, 'האירוע נשלח.');
INSERT INTO `lang_definitions` VALUES (37287, 12127, 7, 'הקובץ גדול מדי');
INSERT INTO `lang_definitions` VALUES (37288, 12131, 7, 'תוצאות המעבדה שלך');
INSERT INTO `lang_definitions` VALUES (37289, 12132, 7, 'שם הרשימה השתנה בהתאם לדרישות מתן השמות.');
INSERT INTO `lang_definitions` VALUES (37290, 12133, 7, 'ההודעה נשלחה למסירה אל');
INSERT INTO `lang_definitions` VALUES (37291, 12134, 7, 'השם שלך עבור קטגוריה, הליך או תוצאה אלה');
INSERT INTO `lang_definitions` VALUES (37292, 12139, 7, 'הסיסמה שלך');
INSERT INTO `lang_definitions` VALUES (37293, 12140, 7, 'הסיסמה שלך פגה. החלף סיסמה.');
INSERT INTO `lang_definitions` VALUES (37294, 12141, 7, 'הסיסמה שלך תפוג ב:');
INSERT INTO `lang_definitions` VALUES (37295, 12143, 7, 'הסיסמה שלך תפוג היום. החלף סיסמה.');
INSERT INTO `lang_definitions` VALUES (37296, 12144, 7, 'הסיסמה היא החתימה שלך');
INSERT INTO `lang_definitions` VALUES (37297, 12146, 7, 'תצורת PostCalendar התאפסה לשימוש בהגדרות ברירת מחדל.');
INSERT INTO `lang_definitions` VALUES (37298, 12147, 7, 'תצורת PostCalendar עודכנה.');
INSERT INTO `lang_definitions` VALUES (37299, 12148, 7, 'תדירות החזרה חייבת להיות מספר שלם.');
INSERT INTO `lang_definitions` VALUES (37300, 12149, 7, 'תדירות החזרה חייבת להיות 1 לפחות.');
INSERT INTO `lang_definitions` VALUES (37301, 12151, 7, 'תאריך ההתחלה גדול מתאריך הסיום');
INSERT INTO `lang_definitions` VALUES (37302, 12152, 7, 'תאריך ההתחלה לא חוקי');
INSERT INTO `lang_definitions` VALUES (37303, 12153, 7, 'השליחה נכשלה.');
INSERT INTO `lang_definitions` VALUES (37304, 12156, 7, 'yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (37305, 12157, 7, 'YYYY-MM-DD');
INSERT INTO `lang_definitions` VALUES (37306, 12158, 7, 'תאריך yyyy-mm-dd המשויך למסמך זה');
INSERT INTO `lang_definitions` VALUES (37307, 12159, 7, 'תאריך השמדה yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (37308, 12160, 7, 'תאריך לידה yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (37309, 12161, 7, 'תאריך לידה yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (37310, 12162, 7, 'תאריך תפוגה yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (37311, 12163, 7, 'תאריך תחילת בעיה או אשפוז yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (37312, 12164, 7, 'תאריך תחילת בעיה, ניתוח או תחילת מתן תרופה yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (37313, 12165, 7, 'תאריך רכישה או העברה yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (37314, 12166, 7, 'תאריך החלמה או סיום מתן תרופה yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (37315, 12167, 7, 'תאריך חזרה למשחק yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (37316, 12168, 7, 'תאריך שירות yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (37317, 12169, 7, 'תאריך מכתב זה yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (37318, 12170, 7, 'תאריך חזרה למשחק yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (37319, 12171, 7, 'תאריך מסמך yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (37320, 12173, 7, 'תאריך אירוע או תאריך התחלה yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (37321, 12174, 7, 'תאריך סיום yyyy-mm-dd H:m');
INSERT INTO `lang_definitions` VALUES (37322, 12175, 7, 'תאריך סיום yyyy-mm-dd H:m');
INSERT INTO `lang_definitions` VALUES (37323, 12176, 7, 'תאריך התחלה yyyy-mm-dd H:m');
INSERT INTO `lang_definitions` VALUES (37324, 12177, 7, 'תאריך התחלה yyyy-mm-dd H:m');
INSERT INTO `lang_definitions` VALUES (37325, 12178, 7, 'yyyy-mm-dd hh:mm:ss');
INSERT INTO `lang_definitions` VALUES (37326, 12179, 7, 'yyyy-mm-dd שעות(24):דקות');
INSERT INTO `lang_definitions` VALUES (37327, 12180, 7, 'תאריך אחרון של אירוע זה yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (37328, 12182, 7, 'תאריך התחלה של חיפוש yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (37329, 12183, 7, 'שגיאה פנימית של מקטע ZEF');
INSERT INTO `lang_definitions` VALUES (37330, 12184, 7, 'מודול Zend');
INSERT INTO `lang_definitions` VALUES (37331, 12186, 7, 'אפס');
INSERT INTO `lang_definitions` VALUES (37332, 12187, 7, 'ג\'ואנג, צ\'ואנג');
INSERT INTO `lang_definitions` VALUES (37333, 12188, 7, 'מיקוד');
INSERT INTO `lang_definitions` VALUES (37334, 12189, 7, 'מיקוד');
INSERT INTO `lang_definitions` VALUES (37335, 12191, 7, 'מיקוד/מדינה:');
INSERT INTO `lang_definitions` VALUES (37336, 12196, 7, 'זולו');
INSERT INTO `lang_definitions` VALUES (37337, 12197, 7, 'אבל~~');
INSERT INTO `lang_definitions` VALUES (37338, 12198, 7, 'ביצוע הגישה נכשל.');
INSERT INTO `lang_definitions` VALUES (37339, 12199, 7, 'האם אתה בטוח שברצונך למחוק');
INSERT INTO `lang_definitions` VALUES (37340, 12200, 7, 'תרופה');
INSERT INTO `lang_definitions` VALUES (37341, 12201, 7, 'הודעות דואר אלקטרוני לא נשלחו');
INSERT INTO `lang_definitions` VALUES (37342, 12202, 7, 'מ:');
INSERT INTO `lang_definitions` VALUES (37343, 12203, 7, 'נוצר.');
INSERT INTO `lang_definitions` VALUES (37344, 12204, 7, 'נפתח מחדש.');
INSERT INTO `lang_definitions` VALUES (37345, 12205, 7, 'היסטוריה');
INSERT INTO `lang_definitions` VALUES (37346, 12206, 7, 'לא מספר');
INSERT INTO `lang_definitions` VALUES (37347, 12207, 7, 'מוכן לחיוב מחדש.');
INSERT INTO `lang_definitions` VALUES (37348, 12208, 7, 'LLL:');
INSERT INTO `lang_definitions` VALUES (37349, 12209, 7, 'מנה');
INSERT INTO `lang_definitions` VALUES (37350, 12210, 7, 'מס\' אסמכתא מקורי של Medicaid');
INSERT INTO `lang_definitions` VALUES (37351, 12211, 7, 'מינימום');
INSERT INTO `lang_definitions` VALUES (37352, 12212, 7, 'לא נמצא!');
INSERT INTO `lang_definitions` VALUES (37353, 12213, 7, 'הבדלים בדפדפנים רבים עשויים לגרום לכך שהפלט למטה ייכנס למסך שלך בטלטלה פתאומית, ושיהיו השהיות ממושכות למשך כמה שניות כאשר הוא מופיע, כאילו שהתוכנית התרסקה. זהו אינו המצב, ולבסוף תראה את הפלט יוצא שורה אחר שורה. תיתכן הופעה של מספרים ברצף למטה, כדי לציין שגם אם לא מוצג שום דבר אחר, מתקיימת פעילות. מספרים אלה ישובצו עם תוכן החיוב, ומדובר בתופעה תקינה.');
INSERT INTO `lang_definitions` VALUES (37354, 12214, 7, 'המרשם הגיעה למגבלה של');
INSERT INTO `lang_definitions` VALUES (37355, 12215, 7, 'עד');
INSERT INTO `lang_definitions` VALUES (37356, 12216, 7, 'העדכון נכשל, לא במסד הנתונים?');
INSERT INTO `lang_definitions` VALUES (37357, 12217, 7, 'סומן כמחויב בלבד.');
INSERT INTO `lang_definitions` VALUES (37358, 12218, 7, 'נוסף לתור בהצלחה.');
INSERT INTO `lang_definitions` VALUES (37359, 12219, 7, 'עזב ללא ביקור!');
INSERT INTO `lang_definitions` VALUES (37360, 12220, 7, '\" עבור הקוד');
INSERT INTO `lang_definitions` VALUES (37361, 12221, 7, '\" קיבל ערך CHECKED בהגדרות PostCalendar!');
INSERT INTO `lang_definitions` VALUES (37362, 12222, 7, 'מס\' בעיה של הוספה/סיום');
INSERT INTO `lang_definitions` VALUES (37363, 12223, 7, 'מס\' טבלאות:');
INSERT INTO `lang_definitions` VALUES (37364, 12224, 7, '$');
INSERT INTO `lang_definitions` VALUES (37365, 12225, 7, '$ קידוד הסתיים');
INSERT INTO `lang_definitions` VALUES (37366, 12226, 7, '$label (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (37367, 12227, 7, '%');
INSERT INTO `lang_definitions` VALUES (37368, 12228, 7, '% בוטל < 24 שע\'');
INSERT INTO `lang_definitions` VALUES (37369, 12229, 7, '% בוטל < 24 שע\'');
INSERT INTO `lang_definitions` VALUES (37370, 12230, 7, '\' אמור להיות קיים, אך לא קיים.');
INSERT INTO `lang_definitions` VALUES (37371, 12231, 7, '(% התאמה למחרוזת כלשהי, _ התאמה לתו כלשהו)');
INSERT INTO `lang_definitions` VALUES (37372, 12232, 7, '([ctrl] + לחיצה לבחירה בנמענים מרובים)');
INSERT INTO `lang_definitions` VALUES (37373, 12233, 7, '(הקודם)');
INSERT INTO `lang_definitions` VALUES (37374, 12234, 7, '(לחץ כדי לערוך)');
INSERT INTO `lang_definitions` VALUES (37375, 12235, 7, '(שליחת דואר אלקטרוני מבוצעת באופן מיידי, ואילו VOIP אוטומטי נשלח אל ספק השירות לעיבוד נוסף.)');
INSERT INTO `lang_definitions` VALUES (37376, 12236, 7, '(עוד)');
INSERT INTO `lang_definitions` VALUES (37377, 12237, 7, '(מטופל חדש)');
INSERT INTO `lang_definitions` VALUES (37378, 12238, 7, '(הערות והרשאות)');
INSERT INTO `lang_definitions` VALUES (37379, 12239, 7, '(הערות מטופל)');
INSERT INTO `lang_definitions` VALUES (37380, 12240, 7, '(בחר אחד מאלה, או הקלד תיאור משלך)');
INSERT INTO `lang_definitions` VALUES (37381, 12241, 7, '(Shift +)לחיצה, או גרור כדי לשנות את הערך');
INSERT INTO `lang_definitions` VALUES (37382, 12242, 7, '* התזכורת בוצעה~הסתיימה');
INSERT INTO `lang_definitions` VALUES (37383, 12243, 7, '** העבר את הניתוחים לבעיות!');
INSERT INTO `lang_definitions` VALUES (37384, 12244, 7, '*חובה');
INSERT INTO `lang_definitions` VALUES (37385, 12245, 7, '+ תרשים נמשך');
INSERT INTO `lang_definitions` VALUES (37386, 12249, 7, '- ללא');
INSERT INTO `lang_definitions` VALUES (37387, 12251, 7, '-- הכול --');
INSERT INTO `lang_definitions` VALUES (37388, 12252, 7, '-- בחר תפקיד --');
INSERT INTO `lang_definitions` VALUES (37389, 12253, 7, '.');
INSERT INTO `lang_definitions` VALUES (37390, 12254, 7, '0');
INSERT INTO `lang_definitions` VALUES (37391, 12255, 7, '0-10');
INSERT INTO `lang_definitions` VALUES (37392, 12256, 7, '0-24');
INSERT INTO `lang_definitions` VALUES (37393, 12257, 7, '02/12{{הגדרת תיקון של תאריך תבנית CMS 1500 בהגדרות כלליות}}');
INSERT INTO `lang_definitions` VALUES (37394, 12258, 7, '08/05{{הגדרת תיקון של תאריך תבנית CMS 1500 בהגדרות כלליות}}');
INSERT INTO `lang_definitions` VALUES (37395, 12259, 7, '1');
INSERT INTO `lang_definitions` VALUES (37396, 12260, 7, '1 = צפון אמריקה. ראה http://www.wtng.info/ לרשימה של שאר קידומות המדינה.');
INSERT INTO `lang_definitions` VALUES (37397, 12261, 7, 'יום אחד מעכשיו');
INSERT INTO `lang_definitions` VALUES (37398, 12262, 7, 'חודש אחד מעכשיו');
INSERT INTO `lang_definitions` VALUES (37399, 12263, 7, 'שבוע אחד מעכשיו');
INSERT INTO `lang_definitions` VALUES (37400, 12264, 7, 'שנה אחת מעכשיו');
INSERT INTO `lang_definitions` VALUES (37401, 12265, 7, '1.לנוח 2. קרח ליומיים 3. קומפרסיה~דחיסה, השאר את החבישה במקומה, אלא אם מתפתח אובדן תחושה ברגל או צבע חיוור 4. הגבה את כף הרגל והרגל');
INSERT INTO `lang_definitions` VALUES (37402, 12266, 7, '11-14');
INSERT INTO `lang_definitions` VALUES (37403, 12267, 7, '12 שעות');
INSERT INTO `lang_definitions` VALUES (37404, 12268, 7, '15-19');
INSERT INTO `lang_definitions` VALUES (37405, 12270, 7, 'ראשון');
INSERT INTO `lang_definitions` VALUES (37406, 12272, 7, '2');
INSERT INTO `lang_definitions` VALUES (37407, 12273, 7, 'יומיים מעכשיו');
INSERT INTO `lang_definitions` VALUES (37408, 12274, 7, 'חודשיים מעכשיו');
INSERT INTO `lang_definitions` VALUES (37409, 12275, 7, 'שבועיים מעכשיו');
INSERT INTO `lang_definitions` VALUES (37410, 12276, 7, 'שנתיים מעכשיו');
INSERT INTO `lang_definitions` VALUES (37411, 12277, 7, '2-20 שנה');
INSERT INTO `lang_definitions` VALUES (37412, 12278, 7, '20-24');
INSERT INTO `lang_definitions` VALUES (37413, 12279, 7, '2011 חישובי מדידות אוטומטיות (AMC)');
INSERT INTO `lang_definitions` VALUES (37414, 12280, 7, '2011 מדידות האיכות הקליניות (CQM)');
INSERT INTO `lang_definitions` VALUES (37415, 12281, 7, '2011 קבוצות המדידה הרשמית של מדידות האיכות הקליניות (CQM)');
INSERT INTO `lang_definitions` VALUES (37416, 12282, 7, '2014 חישובי מדידות אוטומטיות (AMC)');
INSERT INTO `lang_definitions` VALUES (37417, 12283, 7, '2014 חישובי מדידות אוטומטיות (AMC)‏ - שלב I');
INSERT INTO `lang_definitions` VALUES (37418, 12284, 7, '2014 חישובי מדידות אוטומטיות (AMC)‏ - שלב II');
INSERT INTO `lang_definitions` VALUES (37419, 12285, 7, '2014 מדידות האיכות הקליניות (CQM)');
INSERT INTO `lang_definitions` VALUES (37420, 12286, 7, '2014 קבוצות המדידה הרשמית של מדידות האיכות הקליניות (CQM)');
INSERT INTO `lang_definitions` VALUES (37421, 12287, 7, '2111-13');
INSERT INTO `lang_definitions` VALUES (37422, 12288, 7, '24 שעות');
INSERT INTO `lang_definitions` VALUES (37423, 12289, 7, '25+');
INSERT INTO `lang_definitions` VALUES (37424, 12290, 7, '25-29');
INSERT INTO `lang_definitions` VALUES (37425, 12293, 7, 'שני');
INSERT INTO `lang_definitions` VALUES (37426, 12296, 7, '3 ימים מעכשיו');
INSERT INTO `lang_definitions` VALUES (37427, 12297, 7, '3 חודשים');
INSERT INTO `lang_definitions` VALUES (37428, 12298, 7, '3 חודשים מעכשיו');
INSERT INTO `lang_definitions` VALUES (37429, 12299, 7, '3 פעמים ביום');
INSERT INTO `lang_definitions` VALUES (37430, 12300, 7, '3 שבועות מעכשיו');
INSERT INTO `lang_definitions` VALUES (37431, 12301, 7, '30-34');
INSERT INTO `lang_definitions` VALUES (37432, 12302, 7, '35-39');
INSERT INTO `lang_definitions` VALUES (37433, 12304, 7, 'שלישי');
INSERT INTO `lang_definitions` VALUES (37434, 12307, 7, '4 ימים מעכשיו');
INSERT INTO `lang_definitions` VALUES (37435, 12308, 7, '4 חודשים');
INSERT INTO `lang_definitions` VALUES (37436, 12309, 7, '4 חודשים מעכשיו');
INSERT INTO `lang_definitions` VALUES (37437, 12310, 7, '4 פעמים ביום');
INSERT INTO `lang_definitions` VALUES (37438, 12311, 7, '4 שבועות מעכשיו');
INSERT INTO `lang_definitions` VALUES (37439, 12312, 7, '40-44');
INSERT INTO `lang_definitions` VALUES (37440, 12313, 7, '45+');
INSERT INTO `lang_definitions` VALUES (37441, 12314, 7, '465.9, URI');
INSERT INTO `lang_definitions` VALUES (37442, 12315, 7, '466.0, ברונכיטיס, אקוטי NOS');
INSERT INTO `lang_definitions` VALUES (37443, 12316, 7, '486.0, דלקת ריאות, אקוטי');
INSERT INTO `lang_definitions` VALUES (37444, 12317, 7, '491.21, החמרה של COPD');
INSERT INTO `lang_definitions` VALUES (37445, 12318, 7, '491.8, ברונכיטיס, כרוני');
INSERT INTO `lang_definitions` VALUES (37446, 12319, 7, '493.92, אסתמה, החמרה אקוטית');
INSERT INTO `lang_definitions` VALUES (37447, 12320, 7, '496.0, COPD');
INSERT INTO `lang_definitions` VALUES (37448, 12323, 7, 'רביעי');
INSERT INTO `lang_definitions` VALUES (37449, 12326, 7, '5 ימים מעכשיו');
INSERT INTO `lang_definitions` VALUES (37450, 12327, 7, '5 חודשים מעכשיו');
INSERT INTO `lang_definitions` VALUES (37451, 12328, 7, '5 שבועות מעכשיו');
INSERT INTO `lang_definitions` VALUES (37452, 12329, 7, '519.7, ברונכוספאזם');
INSERT INTO `lang_definitions` VALUES (37453, 12331, 7, 'חמישי');
INSERT INTO `lang_definitions` VALUES (37454, 12333, 7, '6 ימים מעכשיו');
INSERT INTO `lang_definitions` VALUES (37455, 12334, 7, '6 חודשים');
INSERT INTO `lang_definitions` VALUES (37456, 12335, 7, '6 חודשים מעכשיו');
INSERT INTO `lang_definitions` VALUES (37457, 12336, 7, '6 שבועות מעכשיו');
INSERT INTO `lang_definitions` VALUES (37458, 12337, 7, 'שישי');
INSERT INTO `lang_definitions` VALUES (37459, 12339, 7, '7 חודשים מעכשיו');
INSERT INTO `lang_definitions` VALUES (37460, 12340, 7, '8 חודשים מעכשיו');
INSERT INTO `lang_definitions` VALUES (37461, 12342, 7, '824.0 שבר, קרסול תיכון, סגור');
INSERT INTO `lang_definitions` VALUES (37462, 12343, 7, '824.2 שבר, קרסול צדדי, סגור');
INSERT INTO `lang_definitions` VALUES (37463, 12344, 7, '824.6 שבר, Trimalleolar, סגור');
INSERT INTO `lang_definitions` VALUES (37464, 12345, 7, '825.32 שבר, בדמוי סירה (קרסול)');
INSERT INTO `lang_definitions` VALUES (37465, 12346, 7, '825.35 שבר, בסיס Metarsal חמישי');
INSERT INTO `lang_definitions` VALUES (37466, 12347, 7, '845.00 נקע קרסול NOS');
INSERT INTO `lang_definitions` VALUES (37467, 12348, 7, '845.01 מתיחת רצועה מרכזית (דלתון)');
INSERT INTO `lang_definitions` VALUES (37468, 12349, 7, '845.02 מתיחה, עצם עקב שוקית');
INSERT INTO `lang_definitions` VALUES (37469, 12350, 7, '9 חודשים מעכשיו');
INSERT INTO `lang_definitions` VALUES (37470, 12351, 7, '99212 נקבע - ללא סיבוך');
INSERT INTO `lang_definitions` VALUES (37471, 12352, 7, '99213 נקבע - מורכבות נמוכה');
INSERT INTO `lang_definitions` VALUES (37472, 12353, 7, '< בחדר בדיקה');
INSERT INTO `lang_definitions` VALUES (37473, 12357, 7, '> בוצע צ\'ק אאוט~תשלום');
INSERT INTO `lang_definitions` VALUES (37474, 12359, 7, '?');
INSERT INTO `lang_definitions` VALUES (37475, 12361, 7, '? לא הופיע');
INSERT INTO `lang_definitions` VALUES (37476, 12362, 7, '@ הגעה');
INSERT INTO `lang_definitions` VALUES (37477, 12364, 7, '[שנה תצוגה]');
INSERT INTO `lang_definitions` VALUES (37478, 12365, 7, '[תאריך מפגש אחרון]');
INSERT INTO `lang_definitions` VALUES (37479, 12366, 7, '[ימים מאז מפגש אחרון]');
INSERT INTO `lang_definitions` VALUES (37480, 12367, 7, '[EOB]');
INSERT INTO `lang_definitions` VALUES (37481, 12368, 7, '[ייצוא OFX]');
INSERT INTO `lang_definitions` VALUES (37482, 12369, 7, '[לא מומלץ]');
INSERT INTO `lang_definitions` VALUES (37483, 12370, 7, '[מספר מפגשים]');
INSERT INTO `lang_definitions` VALUES (37484, 12371, 7, '[דוחות]');
INSERT INTO `lang_definitions` VALUES (37485, 12372, 7, '[בחר הכול]');
INSERT INTO `lang_definitions` VALUES (37486, 12373, 7, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (37487, 12374, 7, '[התחל עיבוד באצווה]');
INSERT INTO `lang_definitions` VALUES (37488, 12375, 7, '[הצג יומן]');
INSERT INTO `lang_definitions` VALUES (37489, 12376, 7, '[הצג דוח מתאים להדפסה]');
INSERT INTO `lang_definitions` VALUES (37490, 12378, 7, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (37491, 12379, 7, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (37492, 12380, 7, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (37493, 12381, 7, '~ הגעה באיחור');
INSERT INTO `lang_definitions` VALUES (37494, 1, 8, 'Un');
INSERT INTO `lang_definitions` VALUES (37495, 2, 8, 'Un numéro de chèque ou un numéro de réclamation pour identifier le paiement.');
INSERT INTO `lang_definitions` VALUES (37496, 3, 8, 'Une réclamation doit être sélectionnée pour identifier le paiement.');
INSERT INTO `lang_definitions` VALUES (37497, 4, 8, 'Un certificat client pour l\'administrateur');
INSERT INTO `lang_definitions` VALUES (37498, 6, 8, 'Un document clinique a été attaché');
INSERT INTO `lang_definitions` VALUES (37499, 7, 8, 'Un document clinique a été attaché');
INSERT INTO `lang_definitions` VALUES (37500, 8, 8, 'un code pour ce type a déja été selectionné. Veuillez supprimer le contenu du champ en premier afin de le remplacer.');
INSERT INTO `lang_definitions` VALUES (37501, 13, 8, 'Un distributeur est requis');
INSERT INTO `lang_definitions` VALUES (37502, 17, 8, 'Un formulaire de visite GCAC doit être ajouté à cette visite');
INSERT INTO `lang_definitions` VALUES (37503, 19, 8, 'Une application importante comme openEMR est utilisée par une multitude d\'utilisateurs avec des rôles et des degrés de responsabilité variés. Il est impératif que l\'accès aux différentes parties du programme soit accordé en fonction des besoins de chaque utilisateur. Pour ce faire il faut utiliser la liste de contrôle d\'accès (ACL).');
INSERT INTO `lang_definitions` VALUES (37504, 20, 8, 'Un numéro de lot est requis');
INSERT INTO `lang_definitions` VALUES (37505, 21, 8, 'Un numéro de lot est exigé !');
INSERT INTO `lang_definitions` VALUES (37506, 22, 8, 'Une lettre en minuscule');
INSERT INTO `lang_definitions` VALUES (37507, 28, 8, 'Un numero');
INSERT INTO `lang_definitions` VALUES (37508, 29, 8, 'Un patient doit être sélectionné afin de générer un rapport.');
INSERT INTO `lang_definitions` VALUES (37509, 30, 8, 'Un patient avec cet identifiant existe déjà.');
INSERT INTO `lang_definitions` VALUES (37510, 31, 8, 'Un patient avec ce nom existe déjà.');
INSERT INTO `lang_definitions` VALUES (37511, 32, 8, 'Un patient avec ce numero de sécurité social existe déjà.');
INSERT INTO `lang_definitions` VALUES (37512, 33, 8, 'Un paiement est nécessaire ! Meri de saisir un paiement dans le champ indiqué.');
INSERT INTO `lang_definitions` VALUES (37513, 36, 8, 'Une valeur positive montrera autant de rendez-vous antérieurs dans un Widget dans l\'écran du Résumé du Patient (si la valeur est négative, le système affichera les rendez-vous antérieurs en ordre décroissant)');
INSERT INTO `lang_definitions` VALUES (37514, 37, 8, 'Une valeur positive montrera autant de rendez-vous anterieur dans un Widget dans l\'écran Résumé du patient.');
INSERT INTO `lang_definitions` VALUES (37515, 38, 8, 'Un produit a été sélectionné mais il n\'y a pas de section produit dans ce formulaire.');
INSERT INTO `lang_definitions` VALUES (37516, 43, 8, 'Une source de référence peut être spécifiée pour chaque visite.');
INSERT INTO `lang_definitions` VALUES (37517, 44, 8, 'Un code relatif à IPPF est exigé!');
INSERT INTO `lang_definitions` VALUES (37518, 46, 8, 'Une courte description de ce groupe qui apparaîtrra lorsque vous survolerez le groupe nouvellement créé (ARO).');
INSERT INTO `lang_definitions` VALUES (37519, 49, 8, 'Un caractère spécial');
INSERT INTO `lang_definitions` VALUES (37520, 53, 8, 'Une valeur unique afin d\'identifier ce champ, invisible pour l\'utilisateur');
INSERT INTO `lang_definitions` VALUES (37521, 55, 8, 'Une visite existe déjà aujourd\'hui pour ce groupe.  Sélectionner Annuler pour ouvrir la visite existante ou Ok pour créer une nouvelle visite.');
INSERT INTO `lang_definitions` VALUES (37522, 56, 8, 'Une visite existe déjà aujourd\'hui pour ce patient.  Sélectionner Annuler pour ouvrir la visite existante ou Ok pour créer une nouvelle visite.');
INSERT INTO `lang_definitions` VALUES (37523, 57, 8, 'Avant les repas');
INSERT INTO `lang_definitions` VALUES (37524, 58, 8, 'matin');
INSERT INTO `lang_definitions` VALUES (37525, 59, 8, 'A/C{{chambre anterieur}}');
INSERT INTO `lang_definitions` VALUES (37526, 60, 8, 'Fluidité d\'air au niveau de l\'oreille droite');
INSERT INTO `lang_definitions` VALUES (37527, 62, 8, 'AB');
INSERT INTO `lang_definitions` VALUES (37528, 63, 8, 'Abréviation');
INSERT INTO `lang_definitions` VALUES (37529, 64, 8, 'Abcès');
INSERT INTO `lang_definitions` VALUES (37530, 65, 8, 'Abdominal');
INSERT INTO `lang_definitions` VALUES (37531, 66, 8, 'Capable de supporter le poids sur 4 marches:');
INSERT INTO `lang_definitions` VALUES (37532, 67, 8, 'Anormal');
INSERT INTO `lang_definitions` VALUES (37533, 68, 8, 'ABN1');
INSERT INTO `lang_definitions` VALUES (37534, 70, 8, 'Anormal');
INSERT INTO `lang_definitions` VALUES (37535, 71, 8, 'Test Sanguin Anormal');
INSERT INTO `lang_definitions` VALUES (37536, 72, 8, 'Croissance anormale des cheveux');
INSERT INTO `lang_definitions` VALUES (37537, 73, 8, 'Mammographie Anormale');
INSERT INTO `lang_definitions` VALUES (37538, 74, 8, 'Avorter');
INSERT INTO `lang_definitions` VALUES (37539, 75, 8, 'Avortement');
INSERT INTO `lang_definitions` VALUES (37540, 76, 8, 'Problème médical relatif à l\'avortement');
INSERT INTO `lang_definitions` VALUES (37541, 77, 8, 'Méthode d\'avortement');
INSERT INTO `lang_definitions` VALUES (37542, 78, 8, 'Catégories relative à l\'avortement');
INSERT INTO `lang_definitions` VALUES (37543, 79, 8, 'Avortements');
INSERT INTO `lang_definitions` VALUES (37544, 80, 8, 'À propos');
INSERT INTO `lang_definitions` VALUES (37545, 81, 8, 'A propos du tableau de bord du Portail');
INSERT INTO `lang_definitions` VALUES (37546, 82, 8, 'À propos du calendrier');
INSERT INTO `lang_definitions` VALUES (37547, 83, 8, 'A propos de votre portail');
INSERT INTO `lang_definitions` VALUES (37548, 84, 8, 'Au-dessus des limites de panique');
INSERT INTO `lang_definitions` VALUES (37549, 85, 8, 'Absence de diagnostique');
INSERT INTO `lang_definitions` VALUES (37550, 86, 8, 'Accepter');
INSERT INTO `lang_definitions` VALUES (37551, 87, 8, 'Accepter l\'affectation');
INSERT INTO `lang_definitions` VALUES (37552, 89, 8, 'Accepter le Paiement pour');
INSERT INTO `lang_definitions` VALUES (37553, 90, 8, 'Accepter le Paiement pour');
INSERT INTO `lang_definitions` VALUES (37554, 91, 8, 'Accepte l\'affectation');
INSERT INTO `lang_definitions` VALUES (37555, 93, 8, 'Contrôle d\'accès');
INSERT INTO `lang_definitions` VALUES (37556, 94, 8, 'Liste de contrôle d\'accès administratif');
INSERT INTO `lang_definitions` VALUES (37557, 95, 8, 'Aide de la Liste de Contrôle d\'Acces');
INSERT INTO `lang_definitions` VALUES (37558, 96, 8, 'Liste de Contrôle d\'accès');
INSERT INTO `lang_definitions` VALUES (37559, 98, 8, 'Date d\'accès');
INSERT INTO `lang_definitions` VALUES (37560, 99, 8, 'Accès refusé');
INSERT INTO `lang_definitions` VALUES (37561, 100, 8, 'L\'accès est alors accordé sélectivement aux différentes parties du programme en fonction des besoins.');
INSERT INTO `lang_definitions` VALUES (37562, 101, 8, 'Accès non autorisé');
INSERT INTO `lang_definitions` VALUES (37563, 102, 8, 'Accès non autorisés');
INSERT INTO `lang_definitions` VALUES (37564, 103, 8, 'Accès non autorisés');
INSERT INTO `lang_definitions` VALUES (37565, 104, 8, 'Accédez à vos documents médicaux');
INSERT INTO `lang_definitions` VALUES (37566, 105, 8, 'Accédez à votre Portail Patients');
INSERT INTO `lang_definitions` VALUES (37567, 106, 8, 'Accident');
INSERT INTO `lang_definitions` VALUES (37568, 107, 8, 'Compte');
INSERT INTO `lang_definitions` VALUES (37569, 109, 8, 'L\'identifiant du compte fourni pour le service NewCrop eRx, utilisé afin de distinguer les comptes multi-installation');
INSERT INTO `lang_definitions` VALUES (37570, 110, 8, 'L\'identifiant du compte pour le service NewCrop eRx fourni, utilisé pour séparer des comptes multi-établissements.');
INSERT INTO `lang_definitions` VALUES (37571, 111, 8, 'Identifiant du compte pour le service eRx de votre établissement de soins.');
INSERT INTO `lang_definitions` VALUES (37572, 112, 8, 'Le compte est validé. Envoyer une nouvelle accréditation ?');
INSERT INTO `lang_definitions` VALUES (37573, 113, 8, 'Nom du Compte');
INSERT INTO `lang_definitions` VALUES (37574, 114, 8, 'Nom du compte fourni pour le service NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (37575, 115, 8, 'Mot de passe du compte fourni pour le service NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (37576, 117, 8, 'Comptabilité');
INSERT INTO `lang_definitions` VALUES (37577, 120, 8, 'Acct');
INSERT INTO `lang_definitions` VALUES (37578, 121, 8, 'ACD{{profondeur de la chambre anterieur}}');
INSERT INTO `lang_definitions` VALUES (37579, 122, 8, 'Douleurs');
INSERT INTO `lang_definitions` VALUES (37580, 123, 8, 'Autoriser comme ma signature électronique');
INSERT INTO `lang_definitions` VALUES (37581, 124, 8, 'Acquittement demandé (ISA14)');
INSERT INTO `lang_definitions` VALUES (37582, 125, 8, 'Remerciements, Licence et Accréditation');
INSERT INTO `lang_definitions` VALUES (37583, 126, 8, 'ACL');
INSERT INTO `lang_definitions` VALUES (37584, 127, 8, 'ACL d\'Administration');
INSERT INTO `lang_definitions` VALUES (37585, 128, 8, 'Administration de l\'ACL (acl)');
INSERT INTO `lang_definitions` VALUES (37586, 129, 8, 'ACL d\'Administration Non Autorisée');
INSERT INTO `lang_definitions` VALUES (37587, 132, 8, 'ACL correctement mis à jour');
INSERT INTO `lang_definitions` VALUES (37588, 133, 8, 'Acné');
INSERT INTO `lang_definitions` VALUES (37589, 135, 8, 'ACOM{{Segment Anterieur}}');
INSERT INTO `lang_definitions` VALUES (37590, 136, 8, 'Acte');
INSERT INTO `lang_definitions` VALUES (37591, 137, 8, 'Date d\'Acte');
INSERT INTO `lang_definitions` VALUES (37592, 138, 8, 'Action');
INSERT INTO `lang_definitions` VALUES (37593, 139, 8, 'Action entreprise');
INSERT INTO `lang_definitions` VALUES (37594, 140, 8, 'Durée de l\'action entreprise');
INSERT INTO `lang_definitions` VALUES (37595, 142, 8, 'Actions');
INSERT INTO `lang_definitions` VALUES (37596, 143, 8, 'Activez');
INSERT INTO `lang_definitions` VALUES (37597, 144, 8, 'Activer le Rapport CCR/CCD');
INSERT INTO `lang_definitions` VALUES (37598, 145, 8, 'activez pour trier la colonne par ordre croissant');
INSERT INTO `lang_definitions` VALUES (37599, 146, 8, 'activez pour trier la colonne par ordre décroissant');
INSERT INTO `lang_definitions` VALUES (37600, 148, 8, 'Effective');
INSERT INTO `lang_definitions` VALUES (37601, 150, 8, 'Alerte Active');
INSERT INTO `lang_definitions` VALUES (37602, 152, 8, 'Règles d\'Alerte Actives');
INSERT INTO `lang_definitions` VALUES (37603, 153, 8, 'Alertes Actives/Rappels');
INSERT INTO `lang_definitions` VALUES (37604, 154, 8, 'Graphe actif');
INSERT INTO `lang_definitions` VALUES (37605, 158, 8, 'Venue active');
INSERT INTO `lang_definitions` VALUES (37606, 159, 8, 'Codes de problèmes médicaux actifs');
INSERT INTO `lang_definitions` VALUES (37607, 160, 8, 'Listes actives');
INSERT INTO `lang_definitions` VALUES (37608, 161, 8, 'Messages actifs');
INSERT INTO `lang_definitions` VALUES (37609, 162, 8, 'Patient actif');
INSERT INTO `lang_definitions` VALUES (37610, 163, 8, 'Régimes Actives');
INSERT INTO `lang_definitions` VALUES (37611, 164, 8, 'Patrons actifs');
INSERT INTO `lang_definitions` VALUES (37612, 173, 8, 'Activité');
INSERT INTO `lang_definitions` VALUES (37613, 174, 8, 'Type d\'Activité');
INSERT INTO `lang_definitions` VALUES (37614, 175, 8, 'Reçu actuel');
INSERT INTO `lang_definitions` VALUES (37615, 176, 8, 'Acuité');
INSERT INTO `lang_definitions` VALUES (37616, 177, 8, 'ACUITÉ');
INSERT INTO `lang_definitions` VALUES (37617, 178, 8, 'Acuité avec autoréfraction');
INSERT INTO `lang_definitions` VALUES (37618, 179, 8, 'Acuité avec lentilles de contact');
INSERT INTO `lang_definitions` VALUES (37619, 180, 8, 'Acuité avec correction');
INSERT INTO `lang_definitions` VALUES (37620, 181, 8, 'Acuité avec réfraction cytoplégique');
INSERT INTO `lang_definitions` VALUES (37621, 182, 8, 'Acuité avec réfraction manifeste');
INSERT INTO `lang_definitions` VALUES (37622, 185, 8, 'Intoxication/Sevrage');
INSERT INTO `lang_definitions` VALUES (37623, 186, 8, 'Manifestation aigüe d\'une maladie chronique');
INSERT INTO `lang_definitions` VALUES (37624, 187, 8, 'Maladie Chronique Aiguë');
INSERT INTO `lang_definitions` VALUES (37625, 189, 8, 'Ajouter');
INSERT INTO `lang_definitions` VALUES (37626, 190, 8, 'ajouter');
INSERT INTO `lang_definitions` VALUES (37627, 191, 8, 'Ajouter');
INSERT INTO `lang_definitions` VALUES (37628, 192, 8, 'Ajouter une Compagnie d\'assurance');
INSERT INTO `lang_definitions` VALUES (37629, 193, 8, 'Ajouter une condition');
INSERT INTO `lang_definitions` VALUES (37630, 195, 8, 'Ajouter un nouveau rappel');
INSERT INTO `lang_definitions` VALUES (37631, 197, 8, 'Ajouter une Pharmacie');
INSERT INTO `lang_definitions` VALUES (37632, 199, 8, 'Ajouter toutes les règles au plan');
INSERT INTO `lang_definitions` VALUES (37633, 200, 8, 'Ajouter un événement pour');
INSERT INTO `lang_definitions` VALUES (37634, 202, 8, 'Ajouter une note');
INSERT INTO `lang_definitions` VALUES (37635, 203, 8, 'Ajouter en tant que nouveau');
INSERT INTO `lang_definitions` VALUES (37636, 204, 8, 'Ajouter comme nouveau patient');
INSERT INTO `lang_definitions` VALUES (37637, 205, 8, 'Ajouter les bordures de lignes en bas');
INSERT INTO `lang_definitions` VALUES (37638, 206, 8, 'Boutons Ajouter');
INSERT INTO `lang_definitions` VALUES (37639, 207, 8, 'Boutons Ajouter pour les caractères spéciaux, Textes devant figurer en haut de l\'éditeur à inclure dans le texte suite à un Clic');
INSERT INTO `lang_definitions` VALUES (37640, 208, 8, 'Ajouter une Catégorie');
INSERT INTO `lang_definitions` VALUES (37641, 209, 8, 'Ajouter une Constante');
INSERT INTO `lang_definitions` VALUES (37642, 210, 8, 'Ajouter un Contexte');
INSERT INTO `lang_definitions` VALUES (37643, 211, 8, 'Insérer un co-payeur');
INSERT INTO `lang_definitions` VALUES (37644, 212, 8, 'Ajouter un Critère');
INSERT INTO `lang_definitions` VALUES (37645, 213, 8, 'Ajouter un Bouton Personnalisé');
INSERT INTO `lang_definitions` VALUES (37646, 216, 8, 'Ajouter un Diagnostic');
INSERT INTO `lang_definitions` VALUES (37647, 217, 8, 'Ajouter un Médicament');
INSERT INTO `lang_definitions` VALUES (37648, 219, 8, 'Ajouter un rendez-vous');
INSERT INTO `lang_definitions` VALUES (37649, 220, 8, 'Ajouter un rendez-vous');
INSERT INTO `lang_definitions` VALUES (37650, 221, 8, 'Ajouter Notes/rendez-vous');
INSERT INTO `lang_definitions` VALUES (37651, 222, 8, 'Ajouter un équipement médical');
INSERT INTO `lang_definitions` VALUES (37652, 223, 8, 'Ajouter un domaine');
INSERT INTO `lang_definitions` VALUES (37653, 224, 8, 'Ajouter les lignes suivantes au fichier de configuration du serveur Apache');
INSERT INTO `lang_definitions` VALUES (37654, 225, 8, 'Ajouter un Groupe');
INSERT INTO `lang_definitions` VALUES (37655, 226, 8, 'Ajouter un Groupe');
INSERT INTO `lang_definitions` VALUES (37656, 227, 8, 'Ajouter le code ICD');
INSERT INTO `lang_definitions` VALUES (37657, 228, 8, 'Ajouter une vaccination');
INSERT INTO `lang_definitions` VALUES (37658, 229, 8, 'L\'ajout n\'est pas autorisé!');
INSERT INTO `lang_definitions` VALUES (37659, 230, 8, 'Ajouter un problème médical');
INSERT INTO `lang_definitions` VALUES (37660, 231, 8, 'Ajouter un élément à suivre');
INSERT INTO `lang_definitions` VALUES (37661, 232, 8, 'Ajouter une langue');
INSERT INTO `lang_definitions` VALUES (37662, 234, 8, 'Ajouter manuellement');
INSERT INTO `lang_definitions` VALUES (37663, 237, 8, 'Ajouter des éléments supplémentaires.');
INSERT INTO `lang_definitions` VALUES (37664, 238, 8, 'Ajouter un nouveau');
INSERT INTO `lang_definitions` VALUES (37665, 239, 8, 'Ajouter un nouveau');
INSERT INTO `lang_definitions` VALUES (37666, 240, 8, 'Ajouter une nouvelle catégorie:');
INSERT INTO `lang_definitions` VALUES (37667, 241, 8, 'Ajouter les nouveaux certificats au fichier de configuration du serveur Apache');
INSERT INTO `lang_definitions` VALUES (37668, 242, 8, 'Ajouter un Nouveau Composant');
INSERT INTO `lang_definitions` VALUES (37669, 243, 8, 'Ajouter de Nouveau Composants');
INSERT INTO `lang_definitions` VALUES (37670, 244, 8, 'Ajouter une nouvelle base de données');
INSERT INTO `lang_definitions` VALUES (37671, 248, 8, 'AJOUTER UN NOUVEAU GROUPE');
INSERT INTO `lang_definitions` VALUES (37672, 249, 8, 'Ajouter un Nouveau Groupe');
INSERT INTO `lang_definitions` VALUES (37673, 250, 8, 'Ajouter un nouveau problème médical');
INSERT INTO `lang_definitions` VALUES (37674, 251, 8, 'Ajouter un nouveau lot et transaction');
INSERT INTO `lang_definitions` VALUES (37675, 253, 8, 'Ajouter une nouvelle note');
INSERT INTO `lang_definitions` VALUES (37676, 254, 8, 'Ajouter une nouvelle note');
INSERT INTO `lang_definitions` VALUES (37677, 255, 8, 'Ajouter un nouveau Partenaire');
INSERT INTO `lang_definitions` VALUES (37678, 256, 8, 'Ajouter un Nouveau Patient');
INSERT INTO `lang_definitions` VALUES (37679, 257, 8, 'AJOUTER UN NOUVEAU PLAN');
INSERT INTO `lang_definitions` VALUES (37680, 264, 8, 'Ajouter une note');
INSERT INTO `lang_definitions` VALUES (37681, 266, 8, 'Ajouter un Paquet');
INSERT INTO `lang_definitions` VALUES (37682, 267, 8, 'Ajouter un Patient');
INSERT INTO `lang_definitions` VALUES (37683, 268, 8, 'Ajouter une fiche Patient');
INSERT INTO `lang_definitions` VALUES (37684, 269, 8, 'Ajouter une ordonnance');
INSERT INTO `lang_definitions` VALUES (37685, 270, 8, 'Ajouter une procédure');
INSERT INTO `lang_definitions` VALUES (37686, 271, 8, 'Ajouter le numéro du prestataire');
INSERT INTO `lang_definitions` VALUES (37687, 272, 8, 'Ajouter un Rappel');
INSERT INTO `lang_definitions` VALUES (37688, 273, 8, 'Ajouter une cure de déxintoxication');
INSERT INTO `lang_definitions` VALUES (37689, 274, 8, 'Ajouter une règle');
INSERT INTO `lang_definitions` VALUES (37690, 276, 8, 'Ajouter l\'heure à la date');
INSERT INTO `lang_definitions` VALUES (37691, 277, 8, 'Ajouter à');
INSERT INTO `lang_definitions` VALUES (37692, 281, 8, 'Ajouter à la Listes des Médicaments');
INSERT INTO `lang_definitions` VALUES (37693, 282, 8, 'Ajouter le Niveau Supérieur');
INSERT INTO `lang_definitions` VALUES (37694, 283, 8, 'Ajouter une Transaction');
INSERT INTO `lang_definitions` VALUES (37695, 284, 8, 'Ajouter un Utilisateur');
INSERT INTO `lang_definitions` VALUES (37696, 285, 8, 'Ajouter un Utilisateur au Groupe');
INSERT INTO `lang_definitions` VALUES (37697, 286, 8, 'Ajouter.{{Additional Measurements}}');
INSERT INTO `lang_definitions` VALUES (37698, 287, 8, 'Ajouter/Editer eRx');
INSERT INTO `lang_definitions` VALUES (37699, 289, 8, 'Ajouter/Editer la Transaction du Patient');
INSERT INTO `lang_definitions` VALUES (37700, 290, 8, 'Ajouté');
INSERT INTO `lang_definitions` VALUES (37701, 291, 8, 'Ajoute');
INSERT INTO `lang_definitions` VALUES (37702, 292, 8, 'Ajout d\'/un participant');
INSERT INTO `lang_definitions` VALUES (37703, 293, 8, 'L\'ajout de données démographiques n\'est pas autorisé');
INSERT INTO `lang_definitions` VALUES (37704, 294, 8, 'Echec de l\'/ajout d\'/un élément à suivre');
INSERT INTO `lang_definitions` VALUES (37705, 295, 8, 'Syndrome d\'Addison');
INSERT INTO `lang_definitions` VALUES (37706, 296, 8, 'Syndrome d\'Addison');
INSERT INTO `lang_definitions` VALUES (37707, 297, 8, 'Attributs supplémentaires');
INSERT INTO `lang_definitions` VALUES (37708, 298, 8, 'Points de Données Additionnels');
INSERT INTO `lang_definitions` VALUES (37709, 299, 8, 'Date additionnelle:');
INSERT INTO `lang_definitions` VALUES (37710, 300, 8, 'Diagnostique supplémentaire');
INSERT INTO `lang_definitions` VALUES (37711, 301, 8, 'Découvertes supplémentaire');
INSERT INTO `lang_definitions` VALUES (37712, 305, 8, 'Antécédent supplémentaire');
INSERT INTO `lang_definitions` VALUES (37713, 306, 8, 'Notes d\'antécédent(s) supplémentaire(s)');
INSERT INTO `lang_definitions` VALUES (37714, 307, 8, 'Information complémentaire');
INSERT INTO `lang_definitions` VALUES (37715, 310, 8, 'Laboratoires supplémentaires');
INSERT INTO `lang_definitions` VALUES (37716, 311, 8, 'Notes supplémentaires');
INSERT INTO `lang_definitions` VALUES (37717, 313, 8, 'Notes complémentaires pour ce résultat ou recommandation');
INSERT INTO `lang_definitions` VALUES (37718, 314, 8, 'Notes supplémentaires:');
INSERT INTO `lang_definitions` VALUES (37719, 315, 8, 'Notes supplémentaires:');
INSERT INTO `lang_definitions` VALUES (37720, 317, 8, 'Radiographies supplémentaires:');
INSERT INTO `lang_definitions` VALUES (37721, 318, 8, 'En outre, le paquet Snomed US Extension correspondant peut être importé séparément après l\'installation du (version anglaise) Snomed sortie international');
INSERT INTO `lang_definitions` VALUES (37722, 320, 8, 'Ajouter seulement');
INSERT INTO `lang_definitions` VALUES (37723, 321, 8, 'Ajouter seulement - peut être lu et ajouté mais non modifié');
INSERT INTO `lang_definitions` VALUES (37724, 322, 8, 'Carnet d\'adresses');
INSERT INTO `lang_definitions` VALUES (37725, 323, 8, 'Carnet d\'adresses');
INSERT INTO `lang_definitions` VALUES (37726, 324, 8, 'Adresse');
INSERT INTO `lang_definitions` VALUES (37727, 325, 8, 'Adresse et code postal');
INSERT INTO `lang_definitions` VALUES (37728, 326, 8, 'Addresse et état');
INSERT INTO `lang_definitions` VALUES (37729, 327, 8, 'Carnet d\'adresses');
INSERT INTO `lang_definitions` VALUES (37730, 328, 8, 'Entrée au carnet d\'adresses pour la compagnie réalisant cette procédure');
INSERT INTO `lang_definitions` VALUES (37731, 329, 8, 'Entrée au carnet d\'adresses pour le distributeur');
INSERT INTO `lang_definitions` VALUES (37732, 330, 8, 'Entrée au carnet d\'adresses pour le vendeur');
INSERT INTO `lang_definitions` VALUES (37733, 331, 8, 'Type de carnet d\'adresse');
INSERT INTO `lang_definitions` VALUES (37734, 332, 8, 'Etiquette de l\'/adresse');
INSERT INTO `lang_definitions` VALUES (37735, 333, 8, 'Etiquettes des adresses');
INSERT INTO `lang_definitions` VALUES (37736, 336, 8, 'Adresse seulement');
INSERT INTO `lang_definitions` VALUES (37737, 337, 8, 'Adresse, ville, état et code postal');
INSERT INTO `lang_definitions` VALUES (37738, 338, 8, 'Adresse, état et code postal');
INSERT INTO `lang_definitions` VALUES (37739, 339, 8, 'Adresse 1');
INSERT INTO `lang_definitions` VALUES (37740, 340, 8, 'Adresse 2');
INSERT INTO `lang_definitions` VALUES (37741, 341, 8, 'DESTINE A');
INSERT INTO `lang_definitions` VALUES (37742, 342, 8, 'Destinataire');
INSERT INTO `lang_definitions` VALUES (37743, 345, 8, 'Ajuster');
INSERT INTO `lang_definitions` VALUES (37744, 346, 8, 'Montant Ajusté');
INSERT INTO `lang_definitions` VALUES (37745, 347, 8, 'Ajuster');
INSERT INTO `lang_definitions` VALUES (37746, 348, 8, 'Ajustement');
INSERT INTO `lang_definitions` VALUES (37747, 349, 8, 'Ajustemen du montant');
INSERT INTO `lang_definitions` VALUES (37748, 350, 8, 'Raisons de l\'ajustement');
INSERT INTO `lang_definitions` VALUES (37749, 352, 8, 'Valeur de l\'ajustement pour code');
INSERT INTO `lang_definitions` VALUES (37750, 353, 8, 'Ajustements');
INSERT INTO `lang_definitions` VALUES (37751, 354, 8, 'Ajustement administratif');
INSERT INTO `lang_definitions` VALUES (37752, 355, 8, 'Administrateur');
INSERT INTO `lang_definitions` VALUES (37753, 356, 8, 'Adresse mail Administrateur');
INSERT INTO `lang_definitions` VALUES (37754, 357, 8, 'Administrer via');
INSERT INTO `lang_definitions` VALUES (37755, 359, 8, 'Administré');
INSERT INTO `lang_definitions` VALUES (37756, 360, 8, 'Administré par');
INSERT INTO `lang_definitions` VALUES (37757, 361, 8, 'Date d\'/administration');
INSERT INTO `lang_definitions` VALUES (37758, 362, 8, 'Site administré');
INSERT INTO `lang_definitions` VALUES (37759, 363, 8, 'Administration');
INSERT INTO `lang_definitions` VALUES (37760, 364, 8, 'Administration (admin)');
INSERT INTO `lang_definitions` VALUES (37761, 365, 8, 'Site d\'administration');
INSERT INTO `lang_definitions` VALUES (37762, 366, 8, 'Administrateurs');
INSERT INTO `lang_definitions` VALUES (37763, 367, 8, 'Les administrateurs ont tous les droits');
INSERT INTO `lang_definitions` VALUES (37764, 368, 8, 'Date d\'admission');
INSERT INTO `lang_definitions` VALUES (37765, 370, 8, 'Enfant adopté');
INSERT INTO `lang_definitions` VALUES (37766, 371, 8, 'Suivi et Dépistage du poids pour Adulte');
INSERT INTO `lang_definitions` VALUES (37767, 372, 8, 'Suivi et Dépistage du poids pour Adulte (CQM)');
INSERT INTO `lang_definitions` VALUES (37768, 373, 8, 'Directive préalable');
INSERT INTO `lang_definitions` VALUES (37769, 374, 8, 'Directives préalables');
INSERT INTO `lang_definitions` VALUES (37770, 375, 8, 'Avertissement de directives anticipées');
INSERT INTO `lang_definitions` VALUES (37771, 376, 8, 'Paramètres avancés');
INSERT INTO `lang_definitions` VALUES (37772, 377, 8, 'Avancé');
INSERT INTO `lang_definitions` VALUES (37773, 378, 8, 'Avancé - Contrôle d\'accès plus fin');
INSERT INTO `lang_definitions` VALUES (37774, 380, 8, 'Conseil');
INSERT INTO `lang_definitions` VALUES (37775, 381, 8, 'de loin');
INSERT INTO `lang_definitions` VALUES (37776, 382, 8, 'Affecte Normale');
INSERT INTO `lang_definitions` VALUES (37777, 383, 8, 'Afrikaans');
INSERT INTO `lang_definitions` VALUES (37778, 384, 8, 'après');
INSERT INTO `lang_definitions` VALUES (37779, 385, 8, 'après (après midi)');
INSERT INTO `lang_definitions` VALUES (37780, 386, 8, 'Appels hors des heures de travail');
INSERT INTO `lang_definitions` VALUES (37781, 387, 8, 'Après la migration des anciens mécanismes de mot de passe où les mots de passe sont stockés dans la table des utilisateurs sans sel, est complete. Cet indicateur doit être réglé sur Faux afin que seule l\'authentification par la nouvelle méthode est possible.');
INSERT INTO `lang_definitions` VALUES (37782, 388, 8, 'Après avoir réalisé les configurations mentionnées, importer le certificat du client administré dans le navigateur puis redémarrer le serveur Apache (mot de passe vide)');
INSERT INTO `lang_definitions` VALUES (37783, 390, 8, 'Après avoir enregistré le PDF, cliquer [view log] pour verifier d\'éventuelles erreurs');
INSERT INTO `lang_definitions` VALUES (37784, 393, 8, 'Après avoir enregistré les fichiers TEXT, cliquer [view log] pour verifier d\'éventuelles erreurs');
INSERT INTO `lang_definitions` VALUES (37785, 396, 8, 'Après avoir enregistré votre fichier séquentiel (batch), cliquer sur [View Log], pour vérifier d\'éventuelles erreurs.');
INSERT INTO `lang_definitions` VALUES (37786, 399, 8, 'Après avoir correctement entrer les informations, cliquer sur le bouton d\'enregistrement.');
INSERT INTO `lang_definitions` VALUES (37787, 400, 8, 'Après le téléchargement, cliquez sur le bouton \"importer\"');
INSERT INTO `lang_definitions` VALUES (37788, 401, 8, 'Après le téléchargement, cliquez  \"importer\"');
INSERT INTO `lang_definitions` VALUES (37789, 404, 8, 'Planification du suivi');
INSERT INTO `lang_definitions` VALUES (37790, 406, 8, 'Encore');
INSERT INTO `lang_definitions` VALUES (37791, 407, 8, 'Age');
INSERT INTO `lang_definitions` VALUES (37792, 409, 8, 'Age par');
INSERT INTO `lang_definitions` VALUES (37793, 410, 8, 'Catégorie d\'âge');
INSERT INTO `lang_definitions` VALUES (37794, 411, 8, 'Données concernant l\'âge sont erronées');
INSERT INTO `lang_definitions` VALUES (37795, 412, 8, 'Format d\'affichage de l\'age');
INSERT INTO `lang_definitions` VALUES (37796, 413, 8, 'Le format pour \"âge à partir de\" est invalide');
INSERT INTO `lang_definitions` VALUES (37797, 414, 8, 'Le format pour \"âge jusqu\'à\" est invalide');
INSERT INTO `lang_definitions` VALUES (37798, 415, 8, 'Age à partir de');
INSERT INTO `lang_definitions` VALUES (37799, 416, 8, 'Âge en années pour le changement de format d\'affichage');
INSERT INTO `lang_definitions` VALUES (37800, 417, 8, 'Age maximum');
INSERT INTO `lang_definitions` VALUES (37801, 418, 8, 'Age minimum');
INSERT INTO `lang_definitions` VALUES (37802, 419, 8, 'Tranche d\'âge');
INSERT INTO `lang_definitions` VALUES (37803, 420, 8, 'Anciennes Colonnes');
INSERT INTO `lang_definitions` VALUES (37804, 421, 8, 'Anciennes Colonnes:');
INSERT INTO `lang_definitions` VALUES (37805, 423, 8, 'Albanais(e)');
INSERT INTO `lang_definitions` VALUES (37806, 424, 8, 'Alcool');
INSERT INTO `lang_definitions` VALUES (37807, 425, 8, 'Consommation d\'Alcool');
INSERT INTO `lang_definitions` VALUES (37808, 426, 8, 'Usage d\'alcool');
INSERT INTO `lang_definitions` VALUES (37809, 427, 8, 'Alerte');
INSERT INTO `lang_definitions` VALUES (37810, 428, 8, 'Nombre d\'alerte');
INSERT INTO `lang_definitions` VALUES (37811, 430, 8, 'Alerte à la date anniversaire et après');
INSERT INTO `lang_definitions` VALUES (37812, 432, 8, 'Alerte à la date d\'anniversaire du patient');
INSERT INTO `lang_definitions` VALUES (37813, 433, 8, 'Alerte seulement à la date d\'anniversaire');
INSERT INTO `lang_definitions` VALUES (37814, 434, 8, 'Heure de l\'alerte');
INSERT INTO `lang_definitions` VALUES (37815, 435, 8, 'Alerts');
INSERT INTO `lang_definitions` VALUES (37816, 436, 8, 'Log de l\'alerte');
INSERT INTO `lang_definitions` VALUES (37817, 437, 8, 'Alertes/Rappels');
INSERT INTO `lang_definitions` VALUES (37818, 438, 8, 'Alerte{{Mental Status}}');
INSERT INTO `lang_definitions` VALUES (37819, 439, 8, 'ALEUT');
INSERT INTO `lang_definitions` VALUES (37820, 440, 8, 'Tout/ Toutes');
INSERT INTO `lang_definitions` VALUES (37821, 441, 8, 'Tout/ Toutes');
INSERT INTO `lang_definitions` VALUES (37822, 442, 8, 'Tout');
INSERT INTO `lang_definitions` VALUES (37823, 443, 8, 'Tous (Assemblage Format A)');
INSERT INTO `lang_definitions` VALUES (37824, 444, 8, 'Tous (Assemblage Format B)');
INSERT INTO `lang_definitions` VALUES (37825, 445, 8, 'Tous (Cumulative)');
INSERT INTO `lang_definitions` VALUES (37826, 446, 8, 'Toutes les alertes');
INSERT INTO `lang_definitions` VALUES (37827, 448, 8, 'Toutes catégories');
INSERT INTO `lang_definitions` VALUES (37828, 450, 8, 'Tous codes');
INSERT INTO `lang_definitions` VALUES (37829, 452, 8, 'Toutes les dates');
INSERT INTO `lang_definitions` VALUES (37830, 453, 8, 'Tout au long de la journée');
INSERT INTO `lang_definitions` VALUES (37831, 454, 8, 'Evénement durant toute la journée');
INSERT INTO `lang_definitions` VALUES (37832, 455, 8, 'Tout les champs démographiques, avec recherche et vérification des doublons');
INSERT INTO `lang_definitions` VALUES (37833, 456, 8, 'Tous les rendez-vous');
INSERT INTO `lang_definitions` VALUES (37834, 457, 8, 'Tous les équipements/ installations');
INSERT INTO `lang_definitions` VALUES (37835, 458, 8, 'Toutes les Blessures/Problèmes');
INSERT INTO `lang_definitions` VALUES (37836, 459, 8, 'Toutes langues autorisées');
INSERT INTO `lang_definitions` VALUES (37837, 460, 8, 'Tous les messages');
INSERT INTO `lang_definitions` VALUES (37838, 462, 8, 'Tout ou une partie du prénom');
INSERT INTO `lang_definitions` VALUES (37839, 463, 8, 'Tout ou une partie du nom de famille');
INSERT INTO `lang_definitions` VALUES (37840, 464, 8, 'Tout ou une partie de l\'entreprise');
INSERT INTO `lang_definitions` VALUES (37841, 466, 8, 'Tous les patients');
INSERT INTO `lang_definitions` VALUES (37842, 468, 8, 'Tous produits');
INSERT INTO `lang_definitions` VALUES (37843, 469, 8, 'Tous fournisseurs');
INSERT INTO `lang_definitions` VALUES (37844, 470, 8, 'Tous examinés et négatifs:');
INSERT INTO `lang_definitions` VALUES (37845, 475, 8, 'Tous sujets');
INSERT INTO `lang_definitions` VALUES (37846, 478, 8, 'Tous les utilisateurs');
INSERT INTO `lang_definitions` VALUES (37847, 479, 8, 'Allergique');
INSERT INTO `lang_definitions` VALUES (37848, 480, 8, 'Allergique à');
INSERT INTO `lang_definitions` VALUES (37849, 481, 8, 'Allergies');
INSERT INTO `lang_definitions` VALUES (37850, 484, 8, 'Allergies:');
INSERT INTO `lang_definitions` VALUES (37851, 485, 8, 'Allergie');
INSERT INTO `lang_definitions` VALUES (37852, 486, 8, 'L\'importation des allergies c\'est terminé avec succes');
INSERT INTO `lang_definitions` VALUES (37853, 487, 8, 'Liste des problèmes du à l\'allergie');
INSERT INTO `lang_definitions` VALUES (37854, 488, 8, 'Réaction allergique');
INSERT INTO `lang_definitions` VALUES (37855, 489, 8, 'ALERTE ALLERGIE');
INSERT INTO `lang_definitions` VALUES (37856, 490, 8, 'Alerte Allergie');
INSERT INTO `lang_definitions` VALUES (37857, 491, 8, 'Affecter');
INSERT INTO `lang_definitions` VALUES (37858, 492, 8, 'Autoriser');
INSERT INTO `lang_definitions` VALUES (37859, 493, 8, 'Autoriser les administrateurs à supprimer des patients');
INSERT INTO `lang_definitions` VALUES (37860, 494, 8, 'Autoriser toutes les langues disponibles en option dans le menu lors de l\'ouverture de session');
INSERT INTO `lang_definitions` VALUES (37861, 495, 8, 'Autoriser l\'enregistrement avant l\'heure du rendez-vous');
INSERT INTO `lang_definitions` VALUES (37862, 496, 8, 'Autoriser la creation de demandes d\'indémnisation contenant les diagnostiques mais non les procedures ou les frais. La majorité des cliniques y sont réticentes.');
INSERT INTO `lang_definitions` VALUES (37863, 497, 8, 'Autoriser le langage de débogage');
INSERT INTO `lang_definitions` VALUES (37864, 499, 8, 'Autoriser l\'enregistrement précoce');
INSERT INTO `lang_definitions` VALUES (37865, 500, 8, 'Autoriser les e-mails');
INSERT INTO `lang_definitions` VALUES (37866, 501, 8, 'Autoriser les messages e-mails ?');
INSERT INTO `lang_definitions` VALUES (37867, 502, 8, 'Autoriser les e-mails ?');
INSERT INTO `lang_definitions` VALUES (37868, 503, 8, 'Autoriser les demandes de rendez-vous');
INSERT INTO `lang_definitions` VALUES (37869, 505, 8, 'Autoriser la transmission d/\'informations de santé');
INSERT INTO `lang_definitions` VALUES (37870, 506, 8, 'Autoriser l\'échange d\'information médicale');
INSERT INTO `lang_definitions` VALUES (37871, 507, 8, 'Autoriser la transmission d/\'information sur l/\'immunisation');
INSERT INTO `lang_definitions` VALUES (37872, 508, 8, 'Autoriser le partage d\'information d\'immunisation');
INSERT INTO `lang_definitions` VALUES (37873, 509, 8, 'Autorise l\'utilisation du registre d\'immunisation');
INSERT INTO `lang_definitions` VALUES (37874, 512, 8, 'Autoriser les courriers');
INSERT INTO `lang_definitions` VALUES (37875, 514, 8, 'Autoriser les bases de données multiples');
INSERT INTO `lang_definitions` VALUES (37876, 533, 8, 'Autoriser le Portail Patient');
INSERT INTO `lang_definitions` VALUES (37877, 539, 8, 'Autoriser le courrier postal');
INSERT INTO `lang_definitions` VALUES (37878, 541, 8, 'Autoriser les SMS');
INSERT INTO `lang_definitions` VALUES (37879, 542, 8, 'Autoriser les SMS (textos) ?');
INSERT INTO `lang_definitions` VALUES (37880, 544, 8, 'Autoriser l\'activation instantanée des événements proposés ?');
INSERT INTO `lang_definitions` VALUES (37881, 545, 8, 'Autoriser les messages téléphoniques ?');
INSERT INTO `lang_definitions` VALUES (37882, 546, 8, 'Autoriser l/\'utilisation avec bases de données multiples');
INSERT INTO `lang_definitions` VALUES (37883, 547, 8, 'Autoriser les utilisateurs de publier des Evénements Globaux');
INSERT INTO `lang_definitions` VALUES (37884, 548, 8, 'Autoriser les utilisateurs à publier des calendriers personnels');
INSERT INTO `lang_definitions` VALUES (37885, 553, 8, 'Autoriser les appels vocaux');
INSERT INTO `lang_definitions` VALUES (37886, 554, 8, 'Autoriser les messages vocaux');
INSERT INTO `lang_definitions` VALUES (37887, 555, 8, 'Autorisé');
INSERT INTO `lang_definitions` VALUES (37888, 556, 8, 'Langues autorisées');
INSERT INTO `lang_definitions` VALUES (37889, 558, 8, 'Autorisé (c)');
INSERT INTO `lang_definitions` VALUES (37890, 559, 8, 'Permet la signature electronique pour la visite');
INSERT INTO `lang_definitions` VALUES (37891, 560, 8, 'Permet la signature electronique des formulaires');
INSERT INTO `lang_definitions` VALUES (37892, 561, 8, 'Permet le courrier');
INSERT INTO `lang_definitions` VALUES (37893, 562, 8, 'Permet les messages vocaux');
INSERT INTO `lang_definitions` VALUES (37894, 566, 8, 'existe déjà');
INSERT INTO `lang_definitions` VALUES (37895, 568, 8, 'existe déjà.');
INSERT INTO `lang_definitions` VALUES (37896, 569, 8, 'Déjà enregistré');
INSERT INTO `lang_definitions` VALUES (37897, 570, 8, 'Déjà utilisé, veuillez choisir un autre identifiant');
INSERT INTO `lang_definitions` VALUES (37898, 571, 8, 'Déjà utilisé, veuillez choisir un autre titre');
INSERT INTO `lang_definitions` VALUES (37899, 573, 8, 'Adresse secondaire');
INSERT INTO `lang_definitions` VALUES (37900, 577, 8, 'modifier');
INSERT INTO `lang_definitions` VALUES (37901, 584, 8, 'Alternativement, vous pouvez utiliser la page de recherche pour transférer une remise électronique (X12 835) du fichier que vous avez obtenu à partir de votre payeur ou chambre de compensation. Vous pouvez le faire en cliquant sur le bouton Parcourir et sélectionner le fichier à télécharger, puis en cliquant sur Rechercher pour effectuer le téléchargement et l\'affichage des factures correspondantes. Dans ce cas, les autres paramètres mentionnés ci-dessus ne s\'appliquent pas et sera ignoré. Téléchargement enregistre le fichier mais n\'a pas encore traiter son contenu - ce qui est fait séparément comme décrit ci-dessous.');
INSERT INTO `lang_definitions` VALUES (37902, 586, 8, 'AM');
INSERT INTO `lang_definitions` VALUES (37903, 587, 8, 'Programme Matinal');
INSERT INTO `lang_definitions` VALUES (37904, 588, 8, 'Amblyopie');
INSERT INTO `lang_definitions` VALUES (37905, 589, 8, 'Ambulance - air ou mer');
INSERT INTO `lang_definitions` VALUES (37906, 590, 8, 'Ambulance - sol');
INSERT INTO `lang_definitions` VALUES (37907, 591, 8, 'Centre de chirurgie ambulatoire');
INSERT INTO `lang_definitions` VALUES (37908, 592, 8, 'AMC');
INSERT INTO `lang_definitions` VALUES (37909, 593, 8, 'Suivi AMC');
INSERT INTO `lang_definitions` VALUES (37910, 600, 8, 'Modifier la note existante');
INSERT INTO `lang_definitions` VALUES (37911, 610, 8, 'Indien d\'Amérique');
INSERT INTO `lang_definitions` VALUES (37912, 611, 8, 'Indiens d\'Amérique ou autochtones d\'Alaska');
INSERT INTO `lang_definitions` VALUES (37913, 612, 8, 'AMEX');
INSERT INTO `lang_definitions` VALUES (37914, 613, 8, 'Amharique');
INSERT INTO `lang_definitions` VALUES (37915, 614, 8, 'Montant');
INSERT INTO `lang_definitions` VALUES (37916, 615, 8, 'Quantité Administrée');
INSERT INTO `lang_definitions` VALUES (37917, 617, 8, 'Montant des frais');
INSERT INTO `lang_definitions` VALUES (37918, 618, 8, 'Montant des frais:');
INSERT INTO `lang_definitions` VALUES (37919, 619, 8, 'Montant dû:');
INSERT INTO `lang_definitions` VALUES (37920, 620, 8, 'Montant du solde précédent');
INSERT INTO `lang_definitions` VALUES (37921, 621, 8, 'Montant pour cette visite');
INSERT INTO `lang_definitions` VALUES (37922, 622, 8, 'Montant payé');
INSERT INTO `lang_definitions` VALUES (37923, 623, 8, 'Montant:');
INSERT INTO `lang_definitions` VALUES (37924, 624, 8, 'Amplitudes');
INSERT INTO `lang_definitions` VALUES (37925, 626, 8, 'Montant a payer');
INSERT INTO `lang_definitions` VALUES (37926, 630, 8, 'Une date de fin postérieur à la date de démarrage est nécessaire pour les événements répétés!');
INSERT INTO `lang_definitions` VALUES (37927, 631, 8, 'Une erreur est survenue lors de la signature du formulaire');
INSERT INTO `lang_definitions` VALUES (37928, 632, 8, 'Une erreur est survenue durant le vidage de l\'arborescence du répertoire web OpenEMR');
INSERT INTO `lang_definitions` VALUES (37929, 633, 8, 'Une erreur est survenue durant le vidage de l\'arborescence du répertoire web phpGACL');
INSERT INTO `lang_definitions` VALUES (37930, 634, 8, 'Une erreur est survenue durant le vidage de l\'arborescence du répertoire web SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (37931, 635, 8, 'une erreur est survenue: Fichier à télécharger manquant: utiliser le bouton retour!');
INSERT INTO `lang_definitions` VALUES (37932, 638, 8, 'Une édition incomplète de GCAC a été crée et reliée. Elle devra être complétée plus tard.');
INSERT INTO `lang_definitions` VALUES (37933, 643, 8, 'Une erreur non définie est survenue, merci de contcater votre administrateur systèmes.');
INSERT INTO `lang_definitions` VALUES (37934, 644, 8, 'Une erreur inattendue s\'est produite.');
INSERT INTO `lang_definitions` VALUES (37935, 646, 8, 'Une lettre majuscule');
INSERT INTO `lang_definitions` VALUES (37936, 647, 8, 'Analysé');
INSERT INTO `lang_definitions` VALUES (37937, 648, 8, 'et');
INSERT INTO `lang_definitions` VALUES (37938, 649, 8, 'Et');
INSERT INTO `lang_definitions` VALUES (37939, 650, 8, 'ET');
INSERT INTO `lang_definitions` VALUES (37940, 651, 8, 'et');
INSERT INTO `lang_definitions` VALUES (37941, 652, 8, 'et tous les données secondaires? Cette action sera enregistrée');
INSERT INTO `lang_definitions` VALUES (37942, 653, 8, 'et modificateur');
INSERT INTO `lang_definitions` VALUES (37943, 654, 8, 'et traité.');
INSERT INTO `lang_definitions` VALUES (37944, 656, 8, 'et redémarrer le serveur Apache.');
INSERT INTO `lang_definitions` VALUES (37945, 657, 8, 'et la raison est');
INSERT INTO `lang_definitions` VALUES (37946, 659, 8, 'Anémie');
INSERT INTO `lang_definitions` VALUES (37947, 660, 8, 'Cheville');
INSERT INTO `lang_definitions` VALUES (37948, 661, 8, 'Cheville + Talon');
INSERT INTO `lang_definitions` VALUES (37949, 662, 8, 'Formulaire d\'évalution de cheville');
INSERT INTO `lang_definitions` VALUES (37950, 663, 8, 'Problèmes de cheville');
INSERT INTO `lang_definitions` VALUES (37951, 664, 8, 'Spondylarthrite Ankylosante');
INSERT INTO `lang_definitions` VALUES (37952, 665, 8, 'Spondylarthrite Ankylosante');
INSERT INTO `lang_definitions` VALUES (37953, 666, 8, 'Anorexie');
INSERT INTO `lang_definitions` VALUES (37954, 667, 8, 'Une autre manipulation possible dans la fenêtre affichée est la demande d\'une seconde facturation. Si vous cocher cette case avant d\'enregistrer, alors la demande originale sera ré ouverte, ajoutée à la page de facturation et exécutée lors de la prochaine échéance.');
INSERT INTO `lang_definitions` VALUES (37955, 671, 8, 'avant');
INSERT INTO `lang_definitions` VALUES (37956, 672, 8, 'Profondeur de la chambre antérieure');
INSERT INTO `lang_definitions` VALUES (37957, 673, 8, 'Segment antérieur');
INSERT INTO `lang_definitions` VALUES (37958, 674, 8, 'Valeurs apr défaut du segment antérieur');
INSERT INTO `lang_definitions` VALUES (37959, 676, 8, 'Anus normal, sans tendreté/masse rectale');
INSERT INTO `lang_definitions` VALUES (37960, 677, 8, 'Anxiété');
INSERT INTO `lang_definitions` VALUES (37961, 678, 8, 'n\'importe lequel');
INSERT INTO `lang_definitions` VALUES (37962, 679, 8, 'N\'importe quel(le) / Tout(e)');
INSERT INTO `lang_definitions` VALUES (37963, 681, 8, 'N\'importe quel bruit carotidien perçu ?');
INSERT INTO `lang_definitions` VALUES (37964, 682, 8, 'Toute catégorie');
INSERT INTO `lang_definitions` VALUES (37965, 688, 8, 'Toute partie du code désiré ou sa description');
INSERT INTO `lang_definitions` VALUES (37966, 689, 8, 'Toute partie de le spécialité désirée');
INSERT INTO `lang_definitions` VALUES (37967, 690, 8, 'Toute partie de l\'identification ou du nom du médicament');
INSERT INTO `lang_definitions` VALUES (37968, 691, 8, 'Toute partie de l’identification ou du nom d\'immunisation');
INSERT INTO `lang_definitions` VALUES (37969, 692, 8, 'Toute partie du nom du patient, ou \"nom, prénom\", ou \"X-Y\"');
INSERT INTO `lang_definitions` VALUES (37970, 693, 8, 'Toute autre information pertinente');
INSERT INTO `lang_definitions` VALUES (37971, 699, 8, 'Clé API pour le relais SMS');
INSERT INTO `lang_definitions` VALUES (37972, 703, 8, 'Apnée');
INSERT INTO `lang_definitions` VALUES (37973, 710, 8, 'Apparence');
INSERT INTO `lang_definitions` VALUES (37974, 711, 8, 'Apparence:');
INSERT INTO `lang_definitions` VALUES (37975, 714, 8, 'Ajouter cette note');
INSERT INTO `lang_definitions` VALUES (37976, 716, 8, 'Ajouter à la note existante');
INSERT INTO `lang_definitions` VALUES (37977, 717, 8, 'Ajouter à cette note');
INSERT INTO `lang_definitions` VALUES (37978, 718, 8, 'Ajouter à Cette Note');
INSERT INTO `lang_definitions` VALUES (37979, 719, 8, 'Appendicectomie');
INSERT INTO `lang_definitions` VALUES (37980, 721, 8, 'Les patients concernés');
INSERT INTO `lang_definitions` VALUES (37981, 722, 8, 'Application');
INSERT INTO `lang_definitions` VALUES (37982, 723, 8, 'Nom utilisateur pour la page d’accès et titre de fenêtre principale');
INSERT INTO `lang_definitions` VALUES (37983, 724, 8, 'Code Application receveur (GS03 - si vide ISA08 sera utilisé)');
INSERT INTO `lang_definitions` VALUES (37984, 725, 8, 'Code Application émettrice (GS02)');
INSERT INTO `lang_definitions` VALUES (37985, 726, 8, 'Titre de l\'Application');
INSERT INTO `lang_definitions` VALUES (37986, 727, 8, 'Appliquer au formulaire des fonctions vitales et à la courbe de croissance');
INSERT INTO `lang_definitions` VALUES (37987, 728, 8, 'Appliquer au formulaire des fonctions vitales');
INSERT INTO `lang_definitions` VALUES (37988, 729, 8, 'Appliquer les changements seulement à l’événement actuel, à celui ci ainsi qu\'aux futurs événements, ou à tous les événements ?');
INSERT INTO `lang_definitions` VALUES (37989, 730, 8, 'Appliquer à la section désignée');
INSERT INTO `lang_definitions` VALUES (37990, 731, 8, 'appliquer sur la peau');
INSERT INTO `lang_definitions` VALUES (37991, 732, 8, 'Application');
INSERT INTO `lang_definitions` VALUES (37992, 733, 8, 'Application du patch au site');
INSERT INTO `lang_definitions` VALUES (37993, 734, 8, 'RDV');
INSERT INTO `lang_definitions` VALUES (37994, 736, 8, 'Date de RDV');
INSERT INTO `lang_definitions` VALUES (37995, 742, 8, 'Style d\'affichage des Rendez-vous');
INSERT INTO `lang_definitions` VALUES (37996, 743, 8, 'RDV effectué par');
INSERT INTO `lang_definitions` VALUES (37997, 744, 8, 'Règle de rappel de RDV');
INSERT INTO `lang_definitions` VALUES (37998, 746, 8, 'Statut du rendez-vous');
INSERT INTO `lang_definitions` VALUES (37999, 747, 8, 'Statuts du rendez-vous');
INSERT INTO `lang_definitions` VALUES (38000, 748, 8, 'Rendez-vous dans');
INSERT INTO `lang_definitions` VALUES (38001, 749, 8, 'Couleur d\'Evénement/Rendez-vous');
INSERT INTO `lang_definitions` VALUES (38002, 750, 8, 'Des Rendez-vous');
INSERT INTO `lang_definitions` VALUES (38003, 751, 8, 'Rendez-vous (option d\'écriture)');
INSERT INTO `lang_definitions` VALUES (38004, 752, 8, 'Rendez-vous(ecrire, pas obligatoire)');
INSERT INTO `lang_definitions` VALUES (38005, 758, 8, 'Rendez-vous et Rencontres');
INSERT INTO `lang_definitions` VALUES (38006, 760, 8, 'Rapport des Rendez-vous');
INSERT INTO `lang_definitions` VALUES (38007, 761, 8, 'Rapport des Rencontres et Rendez-vous');
INSERT INTO `lang_definitions` VALUES (38008, 764, 8, 'Approuver');
INSERT INTO `lang_definitions` VALUES (38009, 767, 8, 'Approuvé');
INSERT INTO `lang_definitions` VALUES (38010, 768, 8, 'Evénements administratifs approuvés');
INSERT INTO `lang_definitions` VALUES (38011, 772, 8, 'Statut RDV');
INSERT INTO `lang_definitions` VALUES (38012, 773, 8, 'Heure RDV');
INSERT INTO `lang_definitions` VALUES (38013, 774, 8, 'RDV-Visite');
INSERT INTO `lang_definitions` VALUES (38014, 776, 8, 'RDVs');
INSERT INTO `lang_definitions` VALUES (38015, 779, 8, 'Avr.');
INSERT INTO `lang_definitions` VALUES (38016, 780, 8, 'Avril');
INSERT INTO `lang_definitions` VALUES (38017, 782, 8, 'Arabe');
INSERT INTO `lang_definitions` VALUES (38018, 784, 8, 'Archive');
INSERT INTO `lang_definitions` VALUES (38019, 787, 8, 'les noms du groupe de contrôle doivent ils être traduits ?');
INSERT INTO `lang_definitions` VALUES (38020, 788, 8, 'Les noms de catégorie de rendez vous doivent ils être traduits ?');
INSERT INTO `lang_definitions` VALUES (38021, 789, 8, 'Les noms de catégorie de documents doivent ils être traduits?');
INSERT INTO `lang_definitions` VALUES (38022, 790, 8, 'Des frais sont ils facturés pour ce type ?');
INSERT INTO `lang_definitions` VALUES (38023, 793, 8, 'Les titres des notes des patients doivent ils être traduits?');
INSERT INTO `lang_definitions` VALUES (38024, 794, 8, 'Les codes sont-ils stocker dans des tables sql externes (0-Non, 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2)) ?');
INSERT INTO `lang_definitions` VALUES (38025, 795, 8, 'Etes vous prêt à compléter une nouvelle version GCAC pour cette consultation ?');
INSERT INTO `lang_definitions` VALUES (38026, 797, 8, 'Etes-vous sûr de vouloir poster pour aujourd\'hui?');
INSERT INTO `lang_definitions` VALUES (38027, 798, 8, 'Etes vous sur de vouloir valider ces événements ?');
INSERT INTO `lang_definitions` VALUES (38028, 801, 8, 'Etes vous sur de vouloir complètement effacer ce formulaire ?');
INSERT INTO `lang_definitions` VALUES (38029, 804, 8, 'Etes vous sur de vouloir supprimer cet accès ?');
INSERT INTO `lang_definitions` VALUES (38030, 805, 8, 'Etes vous certain de vouloir effacer cet événement ?');
INSERT INTO `lang_definitions` VALUES (38031, 806, 8, 'Etes vous certain de vouloir effacer cet élément de la base de données ?');
INSERT INTO `lang_definitions` VALUES (38032, 808, 8, 'Etes vous certain de vouloir effacer cette note ?');
INSERT INTO `lang_definitions` VALUES (38033, 810, 8, 'Etes vous certain de vouloir éditer ces événements ?');
INSERT INTO `lang_definitions` VALUES (38034, 811, 8, 'Etes vous certain de vouloir masquer ces événements ?');
INSERT INTO `lang_definitions` VALUES (38035, 814, 8, 'Etes vous certain de vouloir voir ces événements ?');
INSERT INTO `lang_definitions` VALUES (38036, 815, 8, 'Etes vous certain de vouloir effacer l\'ensemble du groupe nommé ?');
INSERT INTO `lang_definitions` VALUES (38037, 816, 8, 'Etes vous sur de vouloir effacer l\'ensemble de la liste?');
INSERT INTO `lang_definitions` VALUES (38038, 817, 8, 'Etes vous certain de vouloir de vouloir effacer le champs interne ?');
INSERT INTO `lang_definitions` VALUES (38039, 818, 8, 'Etes vous certain de vouloir effacer les champs sélectionnés ?');
INSERT INTO `lang_definitions` VALUES (38040, 819, 8, 'Etes vous certain de vouloir poursuivre ces actions ?');
INSERT INTO `lang_definitions` VALUES (38041, 820, 8, 'Zone non spécifiée');
INSERT INTO `lang_definitions` VALUES (38042, 821, 8, 'Bras');
INSERT INTO `lang_definitions` VALUES (38043, 822, 8, 'Arménien');
INSERT INTO `lang_definitions` VALUES (38044, 826, 8, 'Heure d\'arrivée');
INSERT INTO `lang_definitions` VALUES (38045, 827, 8, 'Arrivé');
INSERT INTO `lang_definitions` VALUES (38046, 828, 8, 'Arrivé en retard');
INSERT INTO `lang_definitions` VALUES (38047, 829, 8, 'Arythmie');
INSERT INTO `lang_definitions` VALUES (38048, 830, 8, 'Arthrite');
INSERT INTO `lang_definitions` VALUES (38049, 831, 8, 'Arthrite / arthrose');
INSERT INTO `lang_definitions` VALUES (38050, 832, 8, 'Arthrite / arthrose');
INSERT INTO `lang_definitions` VALUES (38051, 836, 8, 'comme');
INSERT INTO `lang_definitions` VALUES (38052, 838, 8, 'A compter de');
INSERT INTO `lang_definitions` VALUES (38053, 845, 8, 'Asiatique');
INSERT INTO `lang_definitions` VALUES (38054, 848, 8, 'Evaluation');
INSERT INTO `lang_definitions` VALUES (38055, 853, 8, 'Affecté à');
INSERT INTO `lang_definitions` VALUES (38056, 854, 8, 'Assistant');
INSERT INTO `lang_definitions` VALUES (38057, 861, 8, 'Asthme');
INSERT INTO `lang_definitions` VALUES (38058, 862, 8, 'à');
INSERT INTO `lang_definitions` VALUES (38059, 863, 8, 'Au moins un paramètre de recherche est requis si vous sélectionnez tout');
INSERT INTO `lang_definitions` VALUES (38060, 866, 8, 'Au naviculaire');
INSERT INTO `lang_definitions` VALUES (38061, 867, 8, 'Au naviculaire:');
INSERT INTO `lang_definitions` VALUES (38062, 868, 8, 'Equipe d\'Athlétisme');
INSERT INTO `lang_definitions` VALUES (38063, 869, 8, 'Equipe d\'Athlétisme');
INSERT INTO `lang_definitions` VALUES (38064, 870, 8, 'Blessure sportive');
INSERT INTO `lang_definitions` VALUES (38065, 871, 8, 'Certificat CA d’audit ATNA');
INSERT INTO `lang_definitions` VALUES (38066, 872, 8, 'Hôte d\'audit ATNA');
INSERT INTO `lang_definitions` VALUES (38067, 873, 8, 'Certificat local d\'audit ATNA');
INSERT INTO `lang_definitions` VALUES (38068, 874, 8, 'Port d\'audit ATNA');
INSERT INTO `lang_definitions` VALUES (38069, 877, 8, 'Attention');
INSERT INTO `lang_definitions` VALUES (38070, 879, 8, 'Attention');
INSERT INTO `lang_definitions` VALUES (38071, 883, 8, 'Audit des requêtes du moteur CDR');
INSERT INTO `lang_definitions` VALUES (38072, 890, 8, 'Sauvegardes des journaux d\'Audit');
INSERT INTO `lang_definitions` VALUES (38073, 891, 8, 'Autres Journalisation d\'Audit');
INSERT INTO `lang_definitions` VALUES (38074, 892, 8, 'Commande de journalisation d\'Audit');
INSERT INTO `lang_definitions` VALUES (38075, 893, 8, 'Journalisation d\'Audit des Enregistrements de Patient');
INSERT INTO `lang_definitions` VALUES (38076, 894, 8, 'Planification de la Journalisation d\'Audit');
INSERT INTO `lang_definitions` VALUES (38077, 895, 8, 'Administration de la Sécurité de la Journalisation d\'Audit');
INSERT INTO `lang_definitions` VALUES (38078, 896, 8, 'Journalisation d\'Audit des requêtes SELECT');
INSERT INTO `lang_definitions` VALUES (38079, 898, 8, 'Août');
INSERT INTO `lang_definitions` VALUES (38080, 899, 8, 'Août');
INSERT INTO `lang_definitions` VALUES (38081, 901, 8, 'Autorisation');
INSERT INTO `lang_definitions` VALUES (38082, 902, 8, 'Autorisation/notes');
INSERT INTO `lang_definitions` VALUES (38083, 922, 8, 'Groupe d\'Autorisation');
INSERT INTO `lang_definitions` VALUES (38084, 923, 8, 'Etat de l\'autorisation');
INSERT INTO `lang_definitions` VALUES (38085, 924, 8, 'Autorisations');
INSERT INTO `lang_definitions` VALUES (38086, 925, 8, 'Autoriser');
INSERT INTO `lang_definitions` VALUES (38087, 926, 8, 'Autoriser – toutes rencontres');
INSERT INTO `lang_definitions` VALUES (38088, 928, 8, 'Autoriser – mes rencontres');
INSERT INTO `lang_definitions` VALUES (38089, 933, 8, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (38090, 934, 8, 'Autorisé');
INSERT INTO `lang_definitions` VALUES (38091, 936, 8, 'Autorisé Uniquement');
INSERT INTO `lang_definitions` VALUES (38092, 941, 8, 'Envoi automatique');
INSERT INTO `lang_definitions` VALUES (38093, 944, 8, 'Auto-Création Nouvelles Rencontres');
INSERT INTO `lang_definitions` VALUES (38094, 945, 8, 'Auto-généré');
INSERT INTO `lang_definitions` VALUES (38095, 947, 8, 'Calculs des mesures automatisées (AMC)');
INSERT INTO `lang_definitions` VALUES (38096, 952, 8, 'Suivi des Calculs des mesures automatisées (AMC)');
INSERT INTO `lang_definitions` VALUES (38097, 953, 8, 'Mesures Automatisées (AMC)');
INSERT INTO `lang_definitions` VALUES (38098, 955, 8, 'Automatique');
INSERT INTO `lang_definitions` VALUES (38099, 959, 8, 'Créer automatiquement une nouvelle rencontre lorsque l\'état du rendez-vous est fixé à \"@\" (arrivée).');
INSERT INTO `lang_definitions` VALUES (38100, 962, 8, 'Voiture médicalisée');
INSERT INTO `lang_definitions` VALUES (38101, 964, 8, 'auto-enregistré');
INSERT INTO `lang_definitions` VALUES (38102, 967, 8, 'Catégories Disponibles');
INSERT INTO `lang_definitions` VALUES (38103, 971, 8, 'Horaires Disponibles');
INSERT INTO `lang_definitions` VALUES (38104, 976, 8, 'Moyenne Mensuelle');
INSERT INTO `lang_definitions` VALUES (38105, 980, 8, 'Avulsion / avulsion fracture');
INSERT INTO `lang_definitions` VALUES (38106, 981, 8, 'Avulsion du Malléole latérale');
INSERT INTO `lang_definitions` VALUES (38107, 982, 8, 'Avulsion du Malléole médiale');
INSERT INTO `lang_definitions` VALUES (38108, 983, 8, 'Basées sur la Connaissance');
INSERT INTO `lang_definitions` VALUES (38109, 985, 8, 'Auxiliaire');
INSERT INTO `lang_definitions` VALUES (38110, 992, 8, 'deux fois par jour');
INSERT INTO `lang_definitions` VALUES (38111, 993, 8, 'Derrière');
INSERT INTO `lang_definitions` VALUES (38112, 994, 8, 'derrière');
INSERT INTO `lang_definitions` VALUES (38113, 995, 8, 'Retour huit visites');
INSERT INTO `lang_definitions` VALUES (38114, 996, 8, 'Retour onze visites');
INSERT INTO `lang_definitions` VALUES (38115, 997, 8, 'Retour cinq visites');
INSERT INTO `lang_definitions` VALUES (38116, 998, 8, 'Retour quatre visites');
INSERT INTO `lang_definitions` VALUES (38117, 999, 8, 'Retour neuf visites');
INSERT INTO `lang_definitions` VALUES (38118, 1000, 8, 'Retour une visite');
INSERT INTO `lang_definitions` VALUES (38119, 1001, 8, 'Douleur dorsale');
INSERT INTO `lang_definitions` VALUES (38120, 1002, 8, 'Problèmes de dos');
INSERT INTO `lang_definitions` VALUES (38121, 1003, 8, 'Reporter sept visites');
INSERT INTO `lang_definitions` VALUES (38122, 1004, 8, 'Reporter six visites');
INSERT INTO `lang_definitions` VALUES (38123, 1005, 8, 'Chirurgie du dos');
INSERT INTO `lang_definitions` VALUES (38124, 1006, 8, 'Retour dix visites');
INSERT INTO `lang_definitions` VALUES (38125, 1007, 8, 'Retour trois visites');
INSERT INTO `lang_definitions` VALUES (38126, 1008, 8, 'Retour à la page de l\'Admin');
INSERT INTO `lang_definitions` VALUES (38127, 1013, 8, 'Retour au patient');
INSERT INTO `lang_definitions` VALUES (38128, 1015, 8, 'Retour aux utilisateurs');
INSERT INTO `lang_definitions` VALUES (38129, 1016, 8, 'Retour à la Vue');
INSERT INTO `lang_definitions` VALUES (38130, 1017, 8, 'Retour douze visites');
INSERT INTO `lang_definitions` VALUES (38131, 1018, 8, 'Retour deux visites');
INSERT INTO `lang_definitions` VALUES (38132, 1019, 8, 'Les services d\'arrière-plan');
INSERT INTO `lang_definitions` VALUES (38133, 1020, 8, 'Sauvegarde');
INSERT INTO `lang_definitions` VALUES (38134, 1022, 8, 'Un document de sauvegarde a été créé Le téléchargement va être lancé.');
INSERT INTO `lang_definitions` VALUES (38135, 1024, 8, 'Sauvegarde effectuée avec succès');
INSERT INTO `lang_definitions` VALUES (38136, 1025, 8, 'Chèque sans provision');
INSERT INTO `lang_definitions` VALUES (38137, 1026, 8, 'Créances Douteuses');
INSERT INTO `lang_definitions` VALUES (38138, 1027, 8, 'Bahasa Indonésien');
INSERT INTO `lang_definitions` VALUES (38139, 1028, 8, 'Bal');
INSERT INTO `lang_definitions` VALUES (38140, 1031, 8, 'Balance');
INSERT INTO `lang_definitions` VALUES (38141, 1032, 8, 'balance');
INSERT INTO `lang_definitions` VALUES (38142, 1033, 8, 'Montant du solde');
INSERT INTO `lang_definitions` VALUES (38143, 1034, 8, 'Solde dû');
INSERT INTO `lang_definitions` VALUES (38144, 1038, 8, 'Traite');
INSERT INTO `lang_definitions` VALUES (38145, 1042, 8, 'Base du cinquième (5ème) Métatarsien');
INSERT INTO `lang_definitions` VALUES (38146, 1043, 8, 'Base du cinquième (5ème) Métatarsien:');
INSERT INTO `lang_definitions` VALUES (38147, 1049, 8, 'Basque');
INSERT INTO `lang_definitions` VALUES (38148, 1050, 8, 'Réclamation du Lot (batch)');
INSERT INTO `lang_definitions` VALUES (38149, 1051, 8, 'Outil de communication du lot (batch)');
INSERT INTO `lang_definitions` VALUES (38150, 1053, 8, 'Entrée de Payement du Lot (batch)');
INSERT INTO `lang_definitions` VALUES (38151, 1054, 8, 'Paiement par lots');
INSERT INTO `lang_definitions` VALUES (38152, 1055, 8, 'Traitement du lot (batch) lancé; cela peut prendre du temps.');
INSERT INTO `lang_definitions` VALUES (38153, 1056, 8, 'Résultats du lot (Batch)');
INSERT INTO `lang_definitions` VALUES (38154, 1057, 8, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (38155, 1063, 8, 'car cet identifiant n\'existe pas.');
INSERT INTO `lang_definitions` VALUES (38156, 1064, 8, 'avant');
INSERT INTO `lang_definitions` VALUES (38157, 1065, 8, 'avant(Après midi)');
INSERT INTO `lang_definitions` VALUES (38158, 1072, 8, 'Début');
INSERT INTO `lang_definitions` VALUES (38159, 1074, 8, 'Date Début');
INSERT INTO `lang_definitions` VALUES (38160, 1077, 8, 'Date début du service aaaa-mm-jj');
INSERT INTO `lang_definitions` VALUES (38161, 1078, 8, 'Heure début de journée pour les évènements calendaires.');
INSERT INTO `lang_definitions` VALUES (38162, 1081, 8, 'Biellorusse');
INSERT INTO `lang_definitions` VALUES (38163, 1082, 8, 'Eructation');
INSERT INTO `lang_definitions` VALUES (38164, 1086, 8, 'Bengale');
INSERT INTO `lang_definitions` VALUES (38165, 1089, 8, 'entre');
INSERT INTO `lang_definitions` VALUES (38166, 1091, 8, 'Bidirectionnel');
INSERT INTO `lang_definitions` VALUES (38167, 1092, 8, 'Bifocale');
INSERT INTO `lang_definitions` VALUES (38168, 1093, 8, 'Bifocaux');
INSERT INTO `lang_definitions` VALUES (38169, 1095, 8, 'Bilatéral');
INSERT INTO `lang_definitions` VALUES (38170, 1096, 8, 'Bilatéral:');
INSERT INTO `lang_definitions` VALUES (38171, 1099, 8, 'Date de facture:');
INSERT INTO `lang_definitions` VALUES (38172, 1101, 8, 'Collecter/Facturer');
INSERT INTO `lang_definitions` VALUES (38173, 1102, 8, 'Facturé');
INSERT INTO `lang_definitions` VALUES (38174, 1103, 8, 'Facturé le');
INSERT INTO `lang_definitions` VALUES (38175, 1104, 8, 'Facturation');
INSERT INTO `lang_definitions` VALUES (38176, 1105, 8, 'Facturation (écriture optionnel)');
INSERT INTO `lang_definitions` VALUES (38177, 1109, 8, 'Destinataire de facturation');
INSERT INTO `lang_definitions` VALUES (38178, 1111, 8, 'Code de facturation pour le Service demandé');
INSERT INTO `lang_definitions` VALUES (38179, 1112, 8, 'Codes de facturation');
INSERT INTO `lang_definitions` VALUES (38180, 1113, 8, 'Donnée de facturation');
INSERT INTO `lang_definitions` VALUES (38181, 1114, 8, 'Service de facturation');
INSERT INTO `lang_definitions` VALUES (38182, 1115, 8, 'Centre de facturation');
INSERT INTO `lang_definitions` VALUES (38183, 1117, 8, 'Information sur la facturation');
INSERT INTO `lang_definitions` VALUES (38184, 1118, 8, 'Lieu de facturation');
INSERT INTO `lang_definitions` VALUES (38185, 1125, 8, 'Gestionnaire de facturation');
INSERT INTO `lang_definitions` VALUES (38186, 1126, 8, 'Note de facturation');
INSERT INTO `lang_definitions` VALUES (38187, 1127, 8, 'Note de facturation pour');
INSERT INTO `lang_definitions` VALUES (38188, 1128, 8, 'Note de facturation:');
INSERT INTO `lang_definitions` VALUES (38189, 1130, 8, 'Résutalt de la file de facturation:');
INSERT INTO `lang_definitions` VALUES (38190, 1131, 8, 'Rapport de facturation');
INSERT INTO `lang_definitions` VALUES (38191, 1132, 8, 'Statut de facturation');
INSERT INTO `lang_definitions` VALUES (38192, 1133, 8, 'Statut de facturation = non facturé');
INSERT INTO `lang_definitions` VALUES (38193, 1134, 8, 'facturation à');
INSERT INTO `lang_definitions` VALUES (38194, 1138, 8, 'Biopsie');
INSERT INTO `lang_definitions` VALUES (38195, 1139, 8, 'Certificat de naissance');
INSERT INTO `lang_definitions` VALUES (38196, 1140, 8, 'DDN');
INSERT INTO `lang_definitions` VALUES (38197, 1141, 8, 'Naissance-24 mois');
INSERT INTO `lang_definitions` VALUES (38198, 1142, 8, 'Centre de naissance');
INSERT INTO `lang_definitions` VALUES (38199, 1144, 8, 'Noir');
INSERT INTO `lang_definitions` VALUES (38200, 1146, 8, 'Liste noire');
INSERT INTO `lang_definitions` VALUES (38201, 1147, 8, 'Poumons Noir');
INSERT INTO `lang_definitions` VALUES (38202, 1148, 8, 'Noir ou Afro-américain');
INSERT INTO `lang_definitions` VALUES (38203, 1149, 8, 'Cancer de la vésicule');
INSERT INTO `lang_definitions` VALUES (38204, 1150, 8, 'Infections de la vésicule');
INSERT INTO `lang_definitions` VALUES (38205, 1151, 8, 'Vide');
INSERT INTO `lang_definitions` VALUES (38206, 1152, 8, 'Formulaires blancs');
INSERT INTO `lang_definitions` VALUES (38207, 1153, 8, 'Problèmes de saignement');
INSERT INTO `lang_definitions` VALUES (38208, 1154, 8, 'Scotome');
INSERT INTO `lang_definitions` VALUES (38209, 1155, 8, 'Cécité');
INSERT INTO `lang_definitions` VALUES (38210, 1156, 8, 'Ballonement');
INSERT INTO `lang_definitions` VALUES (38211, 1158, 8, 'Bouché');
INSERT INTO `lang_definitions` VALUES (38212, 1159, 8, 'Sang');
INSERT INTO `lang_definitions` VALUES (38213, 1160, 8, 'Pression Arterielle');
INSERT INTO `lang_definitions` VALUES (38214, 1161, 8, 'Pression arterielle');
INSERT INTO `lang_definitions` VALUES (38215, 1162, 8, 'Nez en sang');
INSERT INTO `lang_definitions` VALUES (38216, 1163, 8, 'Blue Cross Blue Shield');
INSERT INTO `lang_definitions` VALUES (38217, 1165, 8, 'Les lignes bleues dans ce rapport sont à titre informatif. Les lignes noires indiquent les informations déjà existantes. Les lignes vertes montrent les changements qui ont été appliqués avec succès. Les lignes rouges indiquent des erreurs, ou des changements qui n\'ont pas été appliquées; elles doivent être traitées manuellement. Revendications qui sont actuellement privés et les inversions de paiement ne sont pas traitées automatiquement et donc apparaîtra en rouge.');
INSERT INTO `lang_definitions` VALUES (38218, 1166, 8, 'Vision Brouillée');
INSERT INTO `lang_definitions` VALUES (38219, 1167, 8, 'IMC');
INSERT INTO `lang_definitions` VALUES (38220, 1168, 8, 'Etat de L\'IMC');
INSERT INTO `lang_definitions` VALUES (38221, 1169, 8, 'Corps');
INSERT INTO `lang_definitions` VALUES (38222, 1170, 8, 'Région du corps');
INSERT INTO `lang_definitions` VALUES (38223, 1171, 8, 'Zone du corps');
INSERT INTO `lang_definitions` VALUES (38224, 1172, 8, 'Zone du corps , si applicable');
INSERT INTO `lang_definitions` VALUES (38225, 1173, 8, 'Sensibilité osseuse:');
INSERT INTO `lang_definitions` VALUES (38226, 1174, 8, 'Sensibilité osseuse: Malléole médiane');
INSERT INTO `lang_definitions` VALUES (38227, 1175, 8, 'Booléen');
INSERT INTO `lang_definitions` VALUES (38228, 1177, 8, 'En dessous');
INSERT INTO `lang_definitions` VALUES (38229, 1178, 8, 'Les deux');
INSERT INTO `lang_definitions` VALUES (38230, 1179, 8, 'Les deux oreilles');
INSERT INTO `lang_definitions` VALUES (38231, 1180, 8, 'les deux oreilles');
INSERT INTO `lang_definitions` VALUES (38232, 1183, 8, 'Partie inférieure (Bas)');
INSERT INTO `lang_definitions` VALUES (38233, 1187, 8, 'Case 10 A. Liée à l\'Emploi');
INSERT INTO `lang_definitions` VALUES (38234, 1189, 8, 'Case 10 B. Accident de Voiture');
INSERT INTO `lang_definitions` VALUES (38235, 1191, 8, 'Case 10 C. Autre Accident');
INSERT INTO `lang_definitions` VALUES (38236, 1205, 8, 'Case 15. Date de maladie identique ou similaire (aaaa-mm-jj):');
INSERT INTO `lang_definitions` VALUES (38237, 1211, 8, 'Case 16. Date début d\'incapacité de travail (aaaa-mm-jj) :');
INSERT INTO `lang_definitions` VALUES (38238, 1215, 8, 'Case 16. Date fin de l\'incapacité de travail (aaaa-mm-jj) :');
INSERT INTO `lang_definitions` VALUES (38239, 1227, 8, 'Case 18. Date début d\'Hospitalisation (aaaa-mm-jj) :');
INSERT INTO `lang_definitions` VALUES (38240, 1231, 8, 'Case 18. Date fin d\'Hospitalisation (aaaa-mm-jj) :');
INSERT INTO `lang_definitions` VALUES (38241, 1235, 8, 'Case 20. Est-ce laboratoire extérieur utilisé?');
INSERT INTO `lang_definitions` VALUES (38242, 1239, 8, 'Case 22. Nouvelle présentation du Code Medicaid (CIM-9)');
INSERT INTO `lang_definitions` VALUES (38243, 1243, 8, 'Case 23. N ° d\'autorisation préalable');
INSERT INTO `lang_definitions` VALUES (38244, 1244, 8, 'Pression Atrérielle');
INSERT INTO `lang_definitions` VALUES (38245, 1245, 8, 'PA Disatolique');
INSERT INTO `lang_definitions` VALUES (38246, 1246, 8, 'PA Systoloque');
INSERT INTO `lang_definitions` VALUES (38247, 1248, 8, 'PA diast');
INSERT INTO `lang_definitions` VALUES (38248, 1252, 8, 'PA syst');
INSERT INTO `lang_definitions` VALUES (38249, 1254, 8, 'Portugais Brésilien');
INSERT INTO `lang_definitions` VALUES (38250, 1255, 8, 'Seins');
INSERT INTO `lang_definitions` VALUES (38251, 1256, 8, 'Biopsie Mammaire');
INSERT INTO `lang_definitions` VALUES (38252, 1257, 8, 'Décharge Seins');
INSERT INTO `lang_definitions` VALUES (38253, 1258, 8, 'Maladie du sein');
INSERT INTO `lang_definitions` VALUES (38254, 1259, 8, 'Examen Mammaire');
INSERT INTO `lang_definitions` VALUES (38255, 1260, 8, 'Masse des Seins');
INSERT INTO `lang_definitions` VALUES (38256, 1262, 8, 'Bruits respiratoires:');
INSERT INTO `lang_definitions` VALUES (38257, 1263, 8, 'Breton');
INSERT INTO `lang_definitions` VALUES (38258, 1265, 8, 'Fractures');
INSERT INTO `lang_definitions` VALUES (38259, 1267, 8, 'Formulaire de Bronchites');
INSERT INTO `lang_definitions` VALUES (38260, 1270, 8, 'Parcourir');
INSERT INTO `lang_definitions` VALUES (38261, 1271, 8, 'Parcourir pour Enregistrement');
INSERT INTO `lang_definitions` VALUES (38262, 1272, 8, 'Ecchymose/hématome');
INSERT INTO `lang_definitions` VALUES (38263, 1275, 8, 'Bulgare');
INSERT INTO `lang_definitions` VALUES (38264, 1276, 8, 'Enflement Droit:');
INSERT INTO `lang_definitions` VALUES (38265, 1278, 8, 'Brûlure à la miction');
INSERT INTO `lang_definitions` VALUES (38266, 1279, 8, 'Brûlure à la miction');
INSERT INTO `lang_definitions` VALUES (38267, 1281, 8, 'Téléphone professionnel');
INSERT INTO `lang_definitions` VALUES (38268, 1282, 8, 'Occupé');
INSERT INTO `lang_definitions` VALUES (38269, 1283, 8, 'mais pas encore traité.');
INSERT INTO `lang_definitions` VALUES (38270, 1284, 8, 'Fesses');
INSERT INTO `lang_definitions` VALUES (38271, 1285, 8, 'Fesses + S.I');
INSERT INTO `lang_definitions` VALUES (38272, 1286, 8, 'par');
INSERT INTO `lang_definitions` VALUES (38273, 1287, 8, 'Par');
INSERT INTO `lang_definitions` VALUES (38274, 1293, 8, 'Par voie orale');
INSERT INTO `lang_definitions` VALUES (38275, 1295, 8, 'Par / Source');
INSERT INTO `lang_definitions` VALUES (38276, 1296, 8, 'Par:');
INSERT INTO `lang_definitions` VALUES (38277, 1299, 8, 'C');
INSERT INTO `lang_definitions` VALUES (38278, 1301, 8, 'Certificat CA pour verifier le serveur syslog RFC 5425 TLS');
INSERT INTO `lang_definitions` VALUES (38279, 1302, 8, 'Durée de vie du cache (en secondes)');
INSERT INTO `lang_definitions` VALUES (38280, 1303, 8, 'Mettre en cache le résultat du modèle?');
INSERT INTO `lang_definitions` VALUES (38281, 1304, 8, 'Caféine');
INSERT INTO `lang_definitions` VALUES (38282, 1305, 8, 'Consommation de caféine');
INSERT INTO `lang_definitions` VALUES (38283, 1306, 8, 'Agenda');
INSERT INTO `lang_definitions` VALUES (38284, 1307, 8, 'Heure Fin de l\'Agenda');
INSERT INTO `lang_definitions` VALUES (38285, 1308, 8, 'Intervalle de l\'Agenda');
INSERT INTO `lang_definitions` VALUES (38286, 1309, 8, 'Ecran de l\'Agenda');
INSERT INTO `lang_definitions` VALUES (38287, 1310, 8, 'Paramètre de l\'Agenda');
INSERT INTO `lang_definitions` VALUES (38288, 1311, 8, 'Paramètres de l\'agenda (agenda)');
INSERT INTO `lang_definitions` VALUES (38289, 1312, 8, 'Heure Début de l\'Agenda');
INSERT INTO `lang_definitions` VALUES (38290, 1313, 8, 'Agenda UI');
INSERT INTO `lang_definitions` VALUES (38291, 1314, 8, 'Vue Agenda');
INSERT INTO `lang_definitions` VALUES (38292, 1317, 8, 'Appel à addForm () ce fait ici.<br>');
INSERT INTO `lang_definitions` VALUES (38293, 1318, 8, 'Rappel');
INSERT INTO `lang_definitions` VALUES (38294, 1319, 8, 'Rappel effectué');
INSERT INTO `lang_definitions` VALUES (38295, 1320, 8, 'Rappel demandé');
INSERT INTO `lang_definitions` VALUES (38296, 1321, 8, 'Calories');
INSERT INTO `lang_definitions` VALUES (38297, 1322, 8, 'Cambodgien');
INSERT INTO `lang_definitions` VALUES (38298, 1323, 8, 'CAMOS');
INSERT INTO `lang_definitions` VALUES (38299, 1324, 8, 'Ne peut déterminer l\'OS!');
INSERT INTO `lang_definitions` VALUES (38300, 1326, 8, 'Fichier non trouvé!');
INSERT INTO `lang_definitions` VALUES (38301, 1327, 8, 'Ne peut télécharger');
INSERT INTO `lang_definitions` VALUES (38302, 1328, 8, 'Canada');
INSERT INTO `lang_definitions` VALUES (38303, 1329, 8, 'Annuler');
INSERT INTO `lang_definitions` VALUES (38304, 1330, 8, 'annuler');
INSERT INTO `lang_definitions` VALUES (38305, 1332, 8, 'Annuler les Modifications');
INSERT INTO `lang_definitions` VALUES (38306, 1333, 8, 'Annulés');
INSERT INTO `lang_definitions` VALUES (38307, 1334, 8, 'Annulation < 24h');
INSERT INTO `lang_definitions` VALUES (38308, 1335, 8, 'Cancer');
INSERT INTO `lang_definitions` VALUES (38309, 1336, 8, 'Dépistage du cancer: cancer du côlon');
INSERT INTO `lang_definitions` VALUES (38310, 1337, 8, 'Dépistage du cancer: Mammographie');
INSERT INTO `lang_definitions` VALUES (38311, 1338, 8, 'Dépistage du cancer: Pap');
INSERT INTO `lang_definitions` VALUES (38312, 1339, 8, 'Dépistage du cancer: cancer de la prostate');
INSERT INTO `lang_definitions` VALUES (38313, 1340, 8, 'Impossible d\'ajouter cette entrée car elle existe déjà!');
INSERT INTO `lang_definitions` VALUES (38314, 1341, 8, 'Impossible d\'ajouter/mettre à jour cette entrée, car un doublon existe déjà!');
INSERT INTO `lang_definitions` VALUES (38315, 1342, 8, 'ne peut pas être archivé, ignoré');
INSERT INTO `lang_definitions` VALUES (38316, 1343, 8, 'ne peut pas être convertie au format JPEG. Peut-être ImageMagick n\'est pas installé?');
INSERT INTO `lang_definitions` VALUES (38317, 1344, 8, 'ne peut pas être supprimé, ignoré');
INSERT INTO `lang_definitions` VALUES (38318, 1345, 8, 'ne peut pas être archivé, ignoré');
INSERT INTO `lang_definitions` VALUES (38319, 1346, 8, 'ne peut pas être affiché car son type n\'est pas supporté par le navigateur');
INSERT INTO `lang_definitions` VALUES (38320, 1347, 8, 'ne peut pas être affiché car son type n\'est pas supporté par le navigateur.');
INSERT INTO `lang_definitions` VALUES (38321, 1349, 8, 'Impossible de créer');
INSERT INTO `lang_definitions` VALUES (38322, 1350, 8, 'Création du fichier impossible');
INSERT INTO `lang_definitions` VALUES (38323, 1351, 8, 'Suppression du fichier (depuis le serveur SMTP) impossible');
INSERT INTO `lang_definitions` VALUES (38324, 1352, 8, 'Suppression du fichier impossible');
INSERT INTO `lang_definitions` VALUES (38325, 1353, 8, 'Impossible de déterminer un nom de fichier de destination');
INSERT INTO `lang_definitions` VALUES (38326, 1354, 8, 'Impossible de trouver');
INSERT INTO `lang_definitions` VALUES (38327, 1355, 8, 'Impossible de trouver le nom de fichier destination');
INSERT INTO `lang_definitions` VALUES (38328, 1358, 8, 'Impossible de trouver le patient à partir du client ID (dans SQL-Ledger)');
INSERT INTO `lang_definitions` VALUES (38329, 1359, 8, 'Impossible de trouver le document PostScript en référence');
INSERT INTO `lang_definitions` VALUES (38330, 1360, 8, 'Impossible de trouver le fournisseur à partir de \'employé (dans SQL-Ledger) =');
INSERT INTO `lang_definitions` VALUES (38331, 1361, 8, 'Impossible de modifier les Paiements. Reste est négatif.');
INSERT INTO `lang_definitions` VALUES (38332, 1362, 8, 'Impossible d\'ouvrir');
INSERT INTO `lang_definitions` VALUES (38333, 1363, 8, 'Impossible d\'ouvrir');
INSERT INTO `lang_definitions` VALUES (38334, 1364, 8, 'Ne pouvez pas poster l\'Assurance. L’Entité Payeur sélectionnée est le Patient.');
INSERT INTO `lang_definitions` VALUES (38335, 1365, 8, 'Ne pouvez pas poster le Patients. L\'organisme Payeur choisi est l\'Assurance.');
INSERT INTO `lang_definitions` VALUES (38336, 1366, 8, 'Ne pouvez pas poster des paiements. Reste est négatif.');
INSERT INTO `lang_definitions` VALUES (38337, 1367, 8, 'Impossible de lire');
INSERT INTO `lang_definitions` VALUES (38338, 1368, 8, 'Impossible de lire le répertoire');
INSERT INTO `lang_definitions` VALUES (38339, 1369, 8, 'Impossible de mettre à jour car vous n\'éditez pas une entrée existante !');
INSERT INTO `lang_definitions` VALUES (38340, 1370, 8, 'Capitaliser');
INSERT INTO `lang_definitions` VALUES (38341, 1371, 8, 'Tout capitaliser');
INSERT INTO `lang_definitions` VALUES (38342, 1372, 8, 'capsule');
INSERT INTO `lang_definitions` VALUES (38343, 1373, 8, 'Carte');
INSERT INTO `lang_definitions` VALUES (38344, 1382, 8, 'Cathétérisme Cardiaque');
INSERT INTO `lang_definitions` VALUES (38345, 1383, 8, 'Echo cardiaque');
INSERT INTO `lang_definitions` VALUES (38346, 1384, 8, 'Cardiovasculaire');
INSERT INTO `lang_definitions` VALUES (38347, 1385, 8, 'Coordination des soins');
INSERT INTO `lang_definitions` VALUES (38348, 1386, 8, 'Seulement la coordination des soins');
INSERT INTO `lang_definitions` VALUES (38349, 1388, 8, 'Soignant');
INSERT INTO `lang_definitions` VALUES (38350, 1389, 8, 'Plan de soins');
INSERT INTO `lang_definitions` VALUES (38351, 1390, 8, 'Formulaire Plan de Soins');
INSERT INTO `lang_definitions` VALUES (38352, 1392, 8, 'Equipe de soins');
INSERT INTO `lang_definitions` VALUES (38353, 1394, 8, 'Bruit carotidien');
INSERT INTO `lang_definitions` VALUES (38354, 1395, 8, 'Carotide{{carotid arteries}}');
INSERT INTO `lang_definitions` VALUES (38355, 1396, 8, 'Cartilage / chondrales / dégâts disque');
INSERT INTO `lang_definitions` VALUES (38356, 1397, 8, 'Lésion cartilagineuse');
INSERT INTO `lang_definitions` VALUES (38357, 1398, 8, 'Pulsations carotides nl, pouls de pédale nl');
INSERT INTO `lang_definitions` VALUES (38358, 1399, 8, 'CAR{{carotid arteries}}');
INSERT INTO `lang_definitions` VALUES (38359, 1400, 8, 'espèces');
INSERT INTO `lang_definitions` VALUES (38360, 1401, 8, 'Espèces');
INSERT INTO `lang_definitions` VALUES (38361, 1402, 8, 'Reçu d\'Espèce');
INSERT INTO `lang_definitions` VALUES (38362, 1403, 8, 'Reçus d\'Espèce par la ressource');
INSERT INTO `lang_definitions` VALUES (38363, 1404, 8, 'Catalan - Valencien');
INSERT INTO `lang_definitions` VALUES (38364, 1405, 8, 'Cataracte');
INSERT INTO `lang_definitions` VALUES (38365, 1406, 8, 'Chirurgie de la Cataracte');
INSERT INTO `lang_definitions` VALUES (38366, 1407, 8, 'Cataracte');
INSERT INTO `lang_definitions` VALUES (38367, 1408, 8, 'Catégories');
INSERT INTO `lang_definitions` VALUES (38368, 1409, 8, 'Catégories pour');
INSERT INTO `lang_definitions` VALUES (38369, 1410, 8, 'Catégorie');
INSERT INTO `lang_definitions` VALUES (38370, 1411, 8, 'catégorie');
INSERT INTO `lang_definitions` VALUES (38371, 1412, 8, 'Catégorie');
INSERT INTO `lang_definitions` VALUES (38372, 1414, 8, 'Catégorie changée.');
INSERT INTO `lang_definitions` VALUES (38373, 1415, 8, 'Schema de catégorie des couleurs');
INSERT INTO `lang_definitions` VALUES (38374, 1416, 8, 'Détails Catégorie');
INSERT INTO `lang_definitions` VALUES (38375, 1417, 8, 'Limites Catégorie');
INSERT INTO `lang_definitions` VALUES (38376, 1418, 8, 'Nom Catégorie');
INSERT INTO `lang_definitions` VALUES (38377, 1419, 8, 'Nom catégorie vide');
INSERT INTO `lang_definitions` VALUES (38378, 1420, 8, 'Titre/Catégorie');
INSERT INTO `lang_definitions` VALUES (38379, 1421, 8, 'Caucasien');
INSERT INTO `lang_definitions` VALUES (38380, 1422, 8, 'Raisons monétaires pour imprimer des consultations/les informations sur l\'assurance principale');
INSERT INTO `lang_definitions` VALUES (38381, 1442, 8, 'Dépot de document clinique');
INSERT INTO `lang_definitions` VALUES (38382, 1443, 8, 'Priorité de traitement des rapport CDR');
INSERT INTO `lang_definitions` VALUES (38383, 1444, 8, 'Cellule');
INSERT INTO `lang_definitions` VALUES (38384, 1445, 8, 'Téléphone Cellulaire');
INSERT INTO `lang_definitions` VALUES (38385, 1447, 8, 'Numéro de Téléphone Cellulaire');
INSERT INTO `lang_definitions` VALUES (38386, 1449, 8, 'Centrale de Certification');
INSERT INTO `lang_definitions` VALUES (38387, 1450, 8, 'Epaisseur de la tâche maculaire centrale');
INSERT INTO `lang_definitions` VALUES (38388, 1451, 8, 'Centrale/Amérique du Sud');
INSERT INTO `lang_definitions` VALUES (38389, 1452, 8, 'L\'emplacement du fichier crt de l\'Autorité de certification ne peut pas être vide');
INSERT INTO `lang_definitions` VALUES (38390, 1453, 8, 'L\'emplacement du fichier key de l\'Autorité de certification emplacement ne peut pas être vide');
INSERT INTO `lang_definitions` VALUES (38391, 1454, 8, 'Certificat à envoyer au serveur RFC 5425 TLS syslog server.');
INSERT INTO `lang_definitions` VALUES (38392, 1455, 8, 'Certificat Utilisateur');
INSERT INTO `lang_definitions` VALUES (38393, 1456, 8, 'Certificats');
INSERT INTO `lang_definitions` VALUES (38394, 1458, 8, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (38395, 1459, 8, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (38396, 1460, 8, 'modifier');
INSERT INTO `lang_definitions` VALUES (38397, 1461, 8, 'Modifier');
INSERT INTO `lang_definitions` VALUES (38398, 1462, 8, 'Modifier l\'Activité');
INSERT INTO `lang_definitions` VALUES (38399, 1466, 8, 'Changement échoué! erreur de connexion CouchDB ?');
INSERT INTO `lang_definitions` VALUES (38400, 1467, 8, 'Changement de vision');
INSERT INTO `lang_definitions` VALUES (38401, 1468, 8, 'Changement de vision');
INSERT INTO `lang_definitions` VALUES (38402, 1470, 8, 'Changer mot de passe');
INSERT INTO `lang_definitions` VALUES (38403, 1473, 8, 'Changer le statut pour');
INSERT INTO `lang_definitions` VALUES (38404, 1475, 8, 'Modifié');
INSERT INTO `lang_definitions` VALUES (38405, 1476, 8, 'Intestin modifié');
INSERT INTO `lang_definitions` VALUES (38406, 1479, 8, 'Modification de l\'ID patient pour le document');
INSERT INTO `lang_definitions` VALUES (38407, 1483, 8, 'Chaînes');
INSERT INTO `lang_definitions` VALUES (38408, 1484, 8, 'Caractéristiques');
INSERT INTO `lang_definitions` VALUES (38409, 1485, 8, 'Caractères restants');
INSERT INTO `lang_definitions` VALUES (38410, 1486, 8, 'Charge');
INSERT INTO `lang_definitions` VALUES (38411, 1487, 8, 'Ajustement de Frais');
INSERT INTO `lang_definitions` VALUES (38412, 1488, 8, 'Frais encodé');
INSERT INTO `lang_definitions` VALUES (38413, 1489, 8, 'Frais Total');
INSERT INTO `lang_definitions` VALUES (38414, 1490, 8, 'Frais');
INSERT INTO `lang_definitions` VALUES (38415, 1491, 8, 'Graphique');
INSERT INTO `lang_definitions` VALUES (38416, 1492, 8, 'Graphique d\'Activité');
INSERT INTO `lang_definitions` VALUES (38417, 1493, 8, 'Rapport d\'Activité des Entrées/Sorties');
INSERT INTO `lang_definitions` VALUES (38418, 1495, 8, 'ID Graphique');
INSERT INTO `lang_definitions` VALUES (38419, 1496, 8, 'ID Graphique:');
INSERT INTO `lang_definitions` VALUES (38420, 1498, 8, 'Graphique lieu d\'activité');
INSERT INTO `lang_definitions` VALUES (38421, 1499, 8, 'Note sur le graphique');
INSERT INTO `lang_definitions` VALUES (38422, 1500, 8, 'Numéro Graphique');
INSERT INTO `lang_definitions` VALUES (38423, 1502, 8, 'Emplacements de stockage graphique');
INSERT INTO `lang_definitions` VALUES (38424, 1504, 8, 'Suivi graphique');
INSERT INTO `lang_definitions` VALUES (38425, 1505, 8, 'Suivi graphique');
INSERT INTO `lang_definitions` VALUES (38426, 1508, 8, 'Graphiques vérifiés');
INSERT INTO `lang_definitions` VALUES (38427, 1509, 8, 'Sortie des graphiques');
INSERT INTO `lang_definitions` VALUES (38428, 1510, 8, 'Conversation');
INSERT INTO `lang_definitions` VALUES (38429, 1511, 8, 'Historique des conversations');
INSERT INTO `lang_definitions` VALUES (38430, 1513, 8, 'Vérifier');
INSERT INTO `lang_definitions` VALUES (38431, 1514, 8, 'vérifier');
INSERT INTO `lang_definitions` VALUES (38432, 1515, 8, 'Vérifier Tous');
INSERT INTO `lang_definitions` VALUES (38433, 1517, 8, 'Vérifier le Montant');
INSERT INTO `lang_definitions` VALUES (38434, 1519, 8, 'vérifier la Date');
INSERT INTO `lang_definitions` VALUES (38435, 1521, 8, 'Vérifiez les différences de traductions avec la table personnalisée de la langue.');
INSERT INTO `lang_definitions` VALUES (38436, 1526, 8, 'Arrivée');
INSERT INTO `lang_definitions` VALUES (38437, 1527, 8, 'Arrivée à');
INSERT INTO `lang_definitions` VALUES (38438, 1528, 8, 'Vérifier les données d\'entrée');
INSERT INTO `lang_definitions` VALUES (38439, 1530, 8, 'Vérifier les résultats de laboratoire');
INSERT INTO `lang_definitions` VALUES (38440, 1531, 8, 'Coche indique revue');
INSERT INTO `lang_definitions` VALUES (38441, 1532, 8, 'Ne pas vérifier');
INSERT INTO `lang_definitions` VALUES (38442, 1533, 8, 'vérifier le numéro');
INSERT INTO `lang_definitions` VALUES (38443, 1534, 8, 'Sortie');
INSERT INTO `lang_definitions` VALUES (38444, 1535, 8, 'Heure de sortie');
INSERT INTO `lang_definitions` VALUES (38445, 1536, 8, 'Paiement par chèque');
INSERT INTO `lang_definitions` VALUES (38446, 1537, 8, 'Cochez la case s\'il s\'agit d\'un fichier crypté');
INSERT INTO `lang_definitions` VALUES (38447, 1541, 8, 'Cochez cette case si vous souhaitez que les prestataires voient tous les rendez par défaut et non seulement les leurs.');
INSERT INTO `lang_definitions` VALUES (38448, 1543, 8, 'Cochez pour créer un problème à partir de ce diagnostic');
INSERT INTO `lang_definitions` VALUES (38449, 1545, 8, 'Vérifier/Date de la notice explicative des prestations recues');
INSERT INTO `lang_definitions` VALUES (38450, 1547, 8, 'Vérifier/Numéro de la notice explicative des prestations recues');
INSERT INTO `lang_definitions` VALUES (38451, 1548, 8, 'Chèque/Ref Numero');
INSERT INTO `lang_definitions` VALUES (38452, 1549, 8, 'Chèque/Numéro de référence');
INSERT INTO `lang_definitions` VALUES (38453, 1550, 8, 'Liste de case à cocher');
INSERT INTO `lang_definitions` VALUES (38454, 1551, 8, 'liste case à cocher');
INSERT INTO `lang_definitions` VALUES (38455, 1552, 8, 'case à cocher w/texte');
INSERT INTO `lang_definitions` VALUES (38456, 1553, 8, 'Case à cocher w/texte');
INSERT INTO `lang_definitions` VALUES (38457, 1557, 8, 'Vérifié');
INSERT INTO `lang_definitions` VALUES (38458, 1559, 8, 'Case coché = oui, vide = non');
INSERT INTO `lang_definitions` VALUES (38459, 1568, 8, 'Verification');
INSERT INTO `lang_definitions` VALUES (38460, 1569, 8, 'Somme de contrôle');
INSERT INTO `lang_definitions` VALUES (38461, 1570, 8, 'Thorax');
INSERT INTO `lang_definitions` VALUES (38462, 1571, 8, 'Auscultation pulmonaire');
INSERT INTO `lang_definitions` VALUES (38463, 1572, 8, 'Douleur Thoracique');
INSERT INTO `lang_definitions` VALUES (38464, 1573, 8, 'Douleur Thoracique:');
INSERT INTO `lang_definitions` VALUES (38465, 1574, 8, 'Douleurs Thoraciques');
INSERT INTO `lang_definitions` VALUES (38466, 1578, 8, 'Principal réclamation');
INSERT INTO `lang_definitions` VALUES (38467, 1581, 8, 'Enfant');
INSERT INTO `lang_definitions` VALUES (38468, 1583, 8, 'Statut vaccination infantile (CQM)');
INSERT INTO `lang_definitions` VALUES (38469, 1584, 8, 'Frissons');
INSERT INTO `lang_definitions` VALUES (38470, 1585, 8, 'Chinois');
INSERT INTO `lang_definitions` VALUES (38471, 1586, 8, 'Chinois (simplifié)');
INSERT INTO `lang_definitions` VALUES (38472, 1587, 8, 'Chinois (Traditionnel)');
INSERT INTO `lang_definitions` VALUES (38473, 1589, 8, 'Choix');
INSERT INTO `lang_definitions` VALUES (38474, 1590, 8, 'Cholécystectomie');
INSERT INTO `lang_definitions` VALUES (38475, 1592, 8, 'Cholecystestomie');
INSERT INTO `lang_definitions` VALUES (38476, 1593, 8, 'Choisissez');
INSERT INTO `lang_definitions` VALUES (38477, 1596, 8, 'Choisissez une section et cliquez sur un article, puis dans l\'autre section, vous verrez les éléments liés en surbrillance, et vous pouvez cliquer dans cette section pour ajouter et supprimer les relations.');
INSERT INTO `lang_definitions` VALUES (38478, 1597, 8, 'Choisir des critères');
INSERT INTO `lang_definitions` VALUES (38479, 1602, 8, 'Choisir un fichier');
INSERT INTO `lang_definitions` VALUES (38480, 1603, 8, 'Choisir dans la liste');
INSERT INTO `lang_definitions` VALUES (38481, 1605, 8, 'Choisir la liste');
INSERT INTO `lang_definitions` VALUES (38482, 1611, 8, 'Choisissez le format d\'impression pour ce rapport de rencontre.');
INSERT INTO `lang_definitions` VALUES (38483, 1615, 8, 'Bronchite chronique');
INSERT INTO `lang_definitions` VALUES (38484, 1616, 8, 'Douleurs articulaires chroniques');
INSERT INTO `lang_definitions` VALUES (38485, 1617, 8, 'Maladie rénale chronique');
INSERT INTO `lang_definitions` VALUES (38486, 1620, 8, 'Synovite chronique / effusion / douleurs articulaires / goutte');
INSERT INTO `lang_definitions` VALUES (38487, 1622, 8, 'Chronique / Récurrent');
INSERT INTO `lang_definitions` VALUES (38488, 1625, 8, 'Cirrhose du foie');
INSERT INTO `lang_definitions` VALUES (38489, 1626, 8, 'Cirrhose du foie');
INSERT INTO `lang_definitions` VALUES (38490, 1627, 8, 'Ville');
INSERT INTO `lang_definitions` VALUES (38491, 1629, 8, 'Nom Ville');
INSERT INTO `lang_definitions` VALUES (38492, 1630, 8, 'Ville, Etat');
INSERT INTO `lang_definitions` VALUES (38493, 1631, 8, 'Ville, Etat Code Postal');
INSERT INTO `lang_definitions` VALUES (38494, 1633, 8, 'Ville/Etat');
INSERT INTO `lang_definitions` VALUES (38495, 1634, 8, 'Réclamation');
INSERT INTO `lang_definitions` VALUES (38496, 1635, 8, 'Réclamation');
INSERT INTO `lang_definitions` VALUES (38497, 1637, 8, 'Etat de votre demande');
INSERT INTO `lang_definitions` VALUES (38498, 1638, 8, 'Exécution du test de la revendication terminé');
INSERT INTO `lang_definitions` VALUES (38499, 1639, 8, 'Type de revendication');
INSERT INTO `lang_definitions` VALUES (38500, 1640, 8, 'La demande a été généré dans un fichier');
INSERT INTO `lang_definitions` VALUES (38501, 1641, 8, 'La demande a été généré dans un fichier');
INSERT INTO `lang_definitions` VALUES (38502, 1642, 8, 'Demandes');
INSERT INTO `lang_definitions` VALUES (38503, 1645, 8, 'Classification');
INSERT INTO `lang_definitions` VALUES (38504, 1646, 8, 'Effacer');
INSERT INTO `lang_definitions` VALUES (38505, 1649, 8, 'EFFACER LE PATIENT ACTIF');
INSERT INTO `lang_definitions` VALUES (38506, 1651, 8, 'Effacer tout');
INSERT INTO `lang_definitions` VALUES (38507, 1654, 8, 'Effacer les données HL7');
INSERT INTO `lang_definitions` VALUES (38508, 1655, 8, 'Justification claire');
INSERT INTO `lang_definitions` VALUES (38509, 1659, 8, 'Effacer Smarty Cache');
INSERT INTO `lang_definitions` VALUES (38510, 1661, 8, 'Informations de la chambre de compensation nécessaires pour la création du lot EDI 270');
INSERT INTO `lang_definitions` VALUES (38511, 1662, 8, 'Numéro CLIA');
INSERT INTO `lang_definitions` VALUES (38512, 1663, 8, 'Cliquez');
INSERT INTO `lang_definitions` VALUES (38513, 1664, 8, 'Cliquez sur «exporter» pour exporter votre Catégorie, Sous-catégorie, objets, et les données de contenu dans un fichier texte. Toute ressemblance de ce fichier à un fichier XML est purement fortuite. Les balises d’ouverture et de fermeture doivent être sur la même ligne, ils doivent être en minuscules et sans espace. Pour importer, rechercher un fichier et cliquez sur «importer». Si les données sont complètement différentes, elles vont être fusionnées avec les données existantes. Si il y’a des noms similaires, l’ancien sera conservé et le nouveau enregistré avec un numéro ajouté à la fin.');
INSERT INTO `lang_definitions` VALUES (38514, 1667, 8, 'Cliquez sur un point sur ​​le graphique pour ajouter une nouvelle annotation, cliquez à nouveau pour enlever');
INSERT INTO `lang_definitions` VALUES (38515, 1671, 8, 'Cliquez sur Télécharger le certificat pour télécharger les certificats dans le fichier ssl.zip');
INSERT INTO `lang_definitions` VALUES (38516, 1672, 8, 'Cliquer pour plus');
INSERT INTO `lang_definitions` VALUES (38517, 1673, 8, 'Cliquer pour plus de détails');
INSERT INTO `lang_definitions` VALUES (38518, 1674, 8, 'Cliquez pour un récapitulatif de la commande');
INSERT INTO `lang_definitions` VALUES (38519, 1675, 8, 'Cliquez ici pour les résultats');
INSERT INTO `lang_definitions` VALUES (38520, 1678, 8, 'Cliquez ici');
INSERT INTO `lang_definitions` VALUES (38521, 1679, 8, 'Cliquez ici pour ajouter un nouveau patient.');
INSERT INTO `lang_definitions` VALUES (38522, 1680, 8, 'Cliquez ici pour ajouter le nouveau statut de changement de blessures et de modifier l\'activité quotidienne');
INSERT INTO `lang_definitions` VALUES (38523, 1682, 8, 'Cliquez ici pour choisir une date');
INSERT INTO `lang_definitions` VALUES (38524, 1683, 8, 'Cliquez ici pour choisir une date et une heure');
INSERT INTO `lang_definitions` VALUES (38525, 1684, 8, 'Cliquez ici pour choisir une date de début');
INSERT INTO `lang_definitions` VALUES (38526, 1707, 8, 'Cliquez ici pour rechercher');
INSERT INTO `lang_definitions` VALUES (38527, 1710, 8, 'Cliquez ici pour mettre à jour les paramètres de priorité, catégorie et le surnom');
INSERT INTO `lang_definitions` VALUES (38528, 1714, 8, 'Cliquez ici pour tout afficher.');
INSERT INTO `lang_definitions` VALUES (38529, 1715, 8, 'Cliquez ici pour afficher');
INSERT INTO `lang_definitions` VALUES (38530, 1717, 8, 'Cliquez ici pour afficher les signes vitaux.');
INSERT INTO `lang_definitions` VALUES (38531, 1718, 8, 'Cliquez ici pour afficher les détails du patient');
INSERT INTO `lang_definitions` VALUES (38532, 1719, 8, 'Cliquez ici pour les afficher tous.');
INSERT INTO `lang_definitions` VALUES (38533, 1720, 8, 'Cliquez ici pour afficher / éditer plus de détails');
INSERT INTO `lang_definitions` VALUES (38534, 1723, 8, 'Cliquez sur Installer pour installer une version de la base de données de la date suivante');
INSERT INTO `lang_definitions` VALUES (38535, 1730, 8, 'Cliquez sur une des parties du temps de l\'augmenter');
INSERT INTO `lang_definitions` VALUES (38536, 1751, 8, 'Cliquez sur le nom du patient pour ouvrir le fichier du patient');
INSERT INTO `lang_definitions` VALUES (38537, 1753, 8, 'Cliquez sur Actualiser pour afficher tous les résultats, ou introduit les critères de recherche ci-dessus pour afficher des résultats spécifiques.');
INSERT INTO `lang_definitions` VALUES (38538, 1777, 8, 'Cliquez sur pour ajouter un diagnostic');
INSERT INTO `lang_definitions` VALUES (38539, 1779, 8, 'Cliquez pour ajouter de nouveaux composants');
INSERT INTO `lang_definitions` VALUES (38540, 1780, 8, 'Cliquez pour ajouter une nouvelle consultation');
INSERT INTO `lang_definitions` VALUES (38541, 1785, 8, 'Cliquez ici pour télécharger');
INSERT INTO `lang_definitions` VALUES (38542, 1786, 8, 'Cliquez pour modifier');
INSERT INTO `lang_definitions` VALUES (38543, 1787, 8, 'Cliquez sur pour éditer la description');
INSERT INTO `lang_definitions` VALUES (38544, 1788, 8, 'Cliquez pour modifier cet événement');
INSERT INTO `lang_definitions` VALUES (38545, 1790, 8, 'Cliquez pour générer le rapport');
INSERT INTO `lang_definitions` VALUES (38546, 1800, 8, 'Cliquez pour imprimer');
INSERT INTO `lang_definitions` VALUES (38547, 1801, 8, 'Cliquez pour recevoir (ajouter) un nouveau lot');
INSERT INTO `lang_definitions` VALUES (38548, 1805, 8, 'Cliquez pour sélectionner');
INSERT INTO `lang_definitions` VALUES (38549, 1806, 8, 'Cliquez pour sélectionner');
INSERT INTO `lang_definitions` VALUES (38550, 1808, 8, 'Cliquez pour sélectionner un code standard pour cette procédure');
INSERT INTO `lang_definitions` VALUES (38551, 1811, 8, 'Cliquez pour sélectionner un code facultatif de procédure');
INSERT INTO `lang_definitions` VALUES (38552, 1813, 8, 'Cliquez pour sélectionner ou modifier le code CVX');
INSERT INTO `lang_definitions` VALUES (38553, 1814, 8, 'Cliquez pour sélectionner ou modifier les diagnostics');
INSERT INTO `lang_definitions` VALUES (38554, 1815, 8, 'Cliquez pour sélectionner ou modifier les codes de service');
INSERT INTO `lang_definitions` VALUES (38555, 1816, 8, 'Cliquez pour sélectionner le patient');
INSERT INTO `lang_definitions` VALUES (38556, 1817, 8, 'Cliquez pour sélectionner le code associé');
INSERT INTO `lang_definitions` VALUES (38557, 1819, 8, 'Cliquez pour sélectionner les services à effectuer si ce résultat est anormal');
INSERT INTO `lang_definitions` VALUES (38558, 1822, 8, 'Cliquez pour sélectionner la procédure désirée');
INSERT INTO `lang_definitions` VALUES (38559, 1829, 8, 'Cliquez pour trier');
INSERT INTO `lang_definitions` VALUES (38560, 1831, 8, 'Cliquez pour afficher');
INSERT INTO `lang_definitions` VALUES (38561, 1833, 8, 'Cliquez pour afficher ou modifier');
INSERT INTO `lang_definitions` VALUES (38562, 1834, 8, 'Cliquez pour afficher/modifier');
INSERT INTO `lang_definitions` VALUES (38563, 1836, 8, 'Cliquez sur le bouton Upgrade pour mettre à niveau la base de données à partir de la date suivante');
INSERT INTO `lang_definitions` VALUES (38564, 1839, 8, 'Cliquez:');
INSERT INTO `lang_definitions` VALUES (38565, 1862, 8, 'Jours d\'expiration du certificat client');
INSERT INTO `lang_definitions` VALUES (38566, 1864, 8, 'Période de validation du certificat client');
INSERT INTO `lang_definitions` VALUES (38567, 1865, 8, 'La validité du certificat client doit être un nombre valide.');
INSERT INTO `lang_definitions` VALUES (38568, 1866, 8, 'Copie Client');
INSERT INTO `lang_definitions` VALUES (38569, 1869, 8, 'Résumé dossier médical du client');
INSERT INTO `lang_definitions` VALUES (38570, 1870, 8, 'Nom du client');
INSERT INTO `lang_definitions` VALUES (38571, 1872, 8, 'Numéro du client');
INSERT INTO `lang_definitions` VALUES (38572, 1873, 8, 'Profil client - Nouveaux Clients');
INSERT INTO `lang_definitions` VALUES (38573, 1874, 8, 'Profil client - Clients unique');
INSERT INTO `lang_definitions` VALUES (38574, 1878, 8, 'Patients');
INSERT INTO `lang_definitions` VALUES (38575, 1879, 8, 'Clinique');
INSERT INTO `lang_definitions` VALUES (38576, 1880, 8, 'Copie Clinique');
INSERT INTO `lang_definitions` VALUES (38577, 1881, 8, 'Relevé quotidien Clinique');
INSERT INTO `lang_definitions` VALUES (38578, 1882, 8, 'Identification Clinique');
INSERT INTO `lang_definitions` VALUES (38579, 1883, 8, 'Médical');
INSERT INTO `lang_definitions` VALUES (38580, 1884, 8, 'Règles de décision clinique, gestionnaire d\'alertes');
INSERT INTO `lang_definitions` VALUES (38581, 1886, 8, 'Histoire du clinique');
INSERT INTO `lang_definitions` VALUES (38582, 1887, 8, 'Instructions cliniques');
INSERT INTO `lang_definitions` VALUES (38583, 1888, 8, 'Formulaire Instructions Cliniques');
INSERT INTO `lang_definitions` VALUES (38584, 1889, 8, 'Plans cliniques');
INSERT INTO `lang_definitions` VALUES (38585, 1890, 8, 'Mesures de qualité clinique (LCQ)');
INSERT INTO `lang_definitions` VALUES (38586, 1891, 8, 'reminders');
INSERT INTO `lang_definitions` VALUES (38587, 1893, 8, 'Rappels cliniques');
INSERT INTO `lang_definitions` VALUES (38588, 1897, 8, 'Rapports cliniques');
INSERT INTO `lang_definitions` VALUES (38589, 1898, 8, 'Règle clinique, Catégorie d\'action');
INSERT INTO `lang_definitions` VALUES (38590, 1899, 8, 'Règle clinique, Elément d\'action');
INSERT INTO `lang_definitions` VALUES (38591, 1900, 8, 'Règle cliniques, méthodes de filtrage');
INSERT INTO `lang_definitions` VALUES (38592, 1901, 8, 'Règle cliniques, les méthodes cible');
INSERT INTO `lang_definitions` VALUES (38593, 1902, 8, 'Règles cliniques');
INSERT INTO `lang_definitions` VALUES (38594, 1903, 8, 'Règles cliniques, intervalles d\'âge');
INSERT INTO `lang_definitions` VALUES (38595, 1904, 8, 'Règles cliniques, les comparaisons');
INSERT INTO `lang_definitions` VALUES (38596, 1905, 8, 'Règles cliniques, Types Rencontre');
INSERT INTO `lang_definitions` VALUES (38597, 1906, 8, 'Règles cliniques, Options cause de rappel');
INSERT INTO `lang_definitions` VALUES (38598, 1907, 8, 'Règles cliniques, Options inactivation de rappel');
INSERT INTO `lang_definitions` VALUES (38599, 1908, 8, 'Règles cliniques, Intervalles de rappel');
INSERT INTO `lang_definitions` VALUES (38600, 1909, 8, 'Règles cliniques, Méthodes de rappel');
INSERT INTO `lang_definitions` VALUES (38601, 1910, 8, 'Règles cliniques, Intervalles cible');
INSERT INTO `lang_definitions` VALUES (38602, 1911, 8, 'Objectifs cliniques');
INSERT INTO `lang_definitions` VALUES (38603, 1912, 8, 'Terme clinique');
INSERT INTO `lang_definitions` VALUES (38604, 1913, 8, 'Code(s) terme(s) clinique');
INSERT INTO `lang_definitions` VALUES (38605, 1914, 8, 'Vue médicale');
INSERT INTO `lang_definitions` VALUES (38606, 1915, 8, 'Cliniciens');
INSERT INTO `lang_definitions` VALUES (38607, 1916, 8, 'Clone');
INSERT INTO `lang_definitions` VALUES (38608, 1917, 8, 'Cloner la dernière visite');
INSERT INTO `lang_definitions` VALUES (38609, 1918, 8, 'Fermer');
INSERT INTO `lang_definitions` VALUES (38610, 1925, 8, 'Fermer la fenêtre');
INSERT INTO `lang_definitions` VALUES (38611, 1927, 8, 'Fermé');
INSERT INTO `lang_definitions` VALUES (38612, 1928, 8, 'cm');
INSERT INTO `lang_definitions` VALUES (38613, 1931, 8, 'Formulaire de remboursement de frais medicaux');
INSERT INTO `lang_definitions` VALUES (38614, 1940, 8, 'ID du formulaire de remboursement de frais medicaux');
INSERT INTO `lang_definitions` VALUES (38615, 1955, 8, 'CN2-12 intact');
INSERT INTO `lang_definitions` VALUES (38616, 1958, 8, 'ticket modérateur');
INSERT INTO `lang_definitions` VALUES (38617, 1959, 8, 'ticket réglé');
INSERT INTO `lang_definitions` VALUES (38618, 1962, 8, 'TICKET MODÉRATEUR');
INSERT INTO `lang_definitions` VALUES (38619, 1964, 8, 'Code');
INSERT INTO `lang_definitions` VALUES (38620, 1965, 8, 'code');
INSERT INTO `lang_definitions` VALUES (38621, 1967, 8, 'code Recherche');
INSERT INTO `lang_definitions` VALUES (38622, 1968, 8, 'Code doit être deux lettre en minuscule');
INSERT INTO `lang_definitions` VALUES (38623, 1969, 8, 'Code ou symbole pour indiquer la monnaie');
INSERT INTO `lang_definitions` VALUES (38624, 1971, 8, 'Texte du code');
INSERT INTO `lang_definitions` VALUES (38625, 1973, 8, 'type de code');
INSERT INTO `lang_definitions` VALUES (38626, 1976, 8, 'Types de code');
INSERT INTO `lang_definitions` VALUES (38627, 1977, 8, 'Code(s)');
INSERT INTO `lang_definitions` VALUES (38628, 1979, 8, 'Codes');
INSERT INTO `lang_definitions` VALUES (38629, 1981, 8, 'Codage');
INSERT INTO `lang_definitions` VALUES (38630, 1983, 8, 'Codage - toutes rencontres (par écrit, avec quelques options)');
INSERT INTO `lang_definitions` VALUES (38631, 1985, 8, 'Codage - mes rencontres (par écrit, avec quelques options)');
INSERT INTO `lang_definitions` VALUES (38632, 1990, 8, 'Codification Non autorisé');
INSERT INTO `lang_definitions` VALUES (38633, 1991, 8, 'Café');
INSERT INTO `lang_definitions` VALUES (38634, 1994, 8, 'Coassurance');
INSERT INTO `lang_definitions` VALUES (38635, 1997, 8, 'Réduire');
INSERT INTO `lang_definitions` VALUES (38636, 1998, 8, 'réduire');
INSERT INTO `lang_definitions` VALUES (38637, 1999, 8, 'Réduire tout');
INSERT INTO `lang_definitions` VALUES (38638, 2000, 8, 'Réduire tout');
INSERT INTO `lang_definitions` VALUES (38639, 2001, 8, 'réduire tout');
INSERT INTO `lang_definitions` VALUES (38640, 2005, 8, 'Date de collection');
INSERT INTO `lang_definitions` VALUES (38641, 2007, 8, 'Collections');
INSERT INTO `lang_definitions` VALUES (38642, 2008, 8, 'Rapport de Collections');
INSERT INTO `lang_definitions` VALUES (38643, 2009, 8, 'Cancer du côlon');
INSERT INTO `lang_definitions` VALUES (38644, 2010, 8, 'Dépistage du cancer du côlon');
INSERT INTO `lang_definitions` VALUES (38645, 2011, 8, 'Chirurgie du cancer du colon');
INSERT INTO `lang_definitions` VALUES (38646, 2012, 8, 'Coloscopie');
INSERT INTO `lang_definitions` VALUES (38647, 2013, 8, 'coloscopie');
INSERT INTO `lang_definitions` VALUES (38648, 2014, 8, 'Couleur');
INSERT INTO `lang_definitions` VALUES (38649, 2020, 8, 'Couleur: Abrév');
INSERT INTO `lang_definitions` VALUES (38650, 2021, 8, 'Colonne');
INSERT INTO `lang_definitions` VALUES (38651, 2022, 8, 'colonnes');
INSERT INTO `lang_definitions` VALUES (38652, 2024, 8, 'Lots Combinés');
INSERT INTO `lang_definitions` VALUES (38653, 2025, 8, 'Virgule');
INSERT INTO `lang_definitions` VALUES (38654, 2027, 8, 'Commentaire');
INSERT INTO `lang_definitions` VALUES (38655, 2028, 8, 'Commentaires');
INSERT INTO `lang_definitions` VALUES (38656, 2030, 8, 'Commentaires ou recommandation pour ce résultat');
INSERT INTO `lang_definitions` VALUES (38657, 2031, 8, 'Entreprise Assurance Cie');
INSERT INTO `lang_definitions` VALUES (38658, 2032, 8, 'Valider les modifications');
INSERT INTO `lang_definitions` VALUES (38659, 2036, 8, 'Communications');
INSERT INTO `lang_definitions` VALUES (38660, 2039, 8, 'Société');
INSERT INTO `lang_definitions` VALUES (38661, 2040, 8, 'Nom de la société');
INSERT INTO `lang_definitions` VALUES (38662, 2041, 8, 'Compléter');
INSERT INTO `lang_definitions` VALUES (38663, 2043, 8, 'Terminé');
INSERT INTO `lang_definitions` VALUES (38664, 2046, 8, 'Terminé?');
INSERT INTO `lang_definitions` VALUES (38665, 2049, 8, 'Complications par Prestataire de services');
INSERT INTO `lang_definitions` VALUES (38666, 2050, 8, 'Les complications d\'avortement');
INSERT INTO `lang_definitions` VALUES (38667, 2051, 8, 'Composants');
INSERT INTO `lang_definitions` VALUES (38668, 2057, 8, 'Système de commande Médical Assisté par Ordinateur');
INSERT INTO `lang_definitions` VALUES (38669, 2058, 8, 'Conclusions');
INSERT INTO `lang_definitions` VALUES (38670, 2064, 8, 'Configuration');
INSERT INTO `lang_definitions` VALUES (38671, 2065, 8, 'Export / Import de la Configuration');
INSERT INTO `lang_definitions` VALUES (38672, 2067, 8, 'Configurer Apache et OpenEMR pour utiliser des certificats SSL côté client.');
INSERT INTO `lang_definitions` VALUES (38673, 2068, 8, 'Configurer Apache pour utiliser les certificats SSL côté client');
INSERT INTO `lang_definitions` VALUES (38674, 2069, 8, 'Configurer Apache pour utiliser le protocole HTTPS.');
INSERT INTO `lang_definitions` VALUES (38675, 2070, 8, 'Configurez OpenEMR pour utiliser des certificats SSL côté client');
INSERT INTO `lang_definitions` VALUES (38676, 2079, 8, 'Confirmer la création du nouveau Patient');
INSERT INTO `lang_definitions` VALUES (38677, 2081, 8, 'Confirmer le Nouveau Passe');
INSERT INTO `lang_definitions` VALUES (38678, 2083, 8, 'Confirmer le Payement');
INSERT INTO `lang_definitions` VALUES (38679, 2092, 8, 'Congénitale');
INSERT INTO `lang_definitions` VALUES (38680, 2094, 8, 'Conjonctives, pupilles');
INSERT INTO `lang_definitions` VALUES (38681, 2097, 8, 'Connecteurs');
INSERT INTO `lang_definitions` VALUES (38682, 2098, 8, 'Constante');
INSERT INTO `lang_definitions` VALUES (38683, 2100, 8, 'nom de la constante');
INSERT INTO `lang_definitions` VALUES (38684, 2101, 8, 'Nom de la constante est vide');
INSERT INTO `lang_definitions` VALUES (38685, 2102, 8, 'constantes');
INSERT INTO `lang_definitions` VALUES (38686, 2103, 8, 'Constipation');
INSERT INTO `lang_definitions` VALUES (38687, 2104, 8, 'Constitutionnel');
INSERT INTO `lang_definitions` VALUES (38688, 2107, 8, 'Descriptif bref de la consultation');
INSERT INTO `lang_definitions` VALUES (38689, 2109, 8, 'Contact');
INSERT INTO `lang_definitions` VALUES (38690, 2110, 8, 'Email du Contact');
INSERT INTO `lang_definitions` VALUES (38691, 2111, 8, 'Adresse Email du contact');
INSERT INTO `lang_definitions` VALUES (38692, 2112, 8, 'Contactez EMR Direct pour vous abonner au service de messagerie phiMail Direct');
INSERT INTO `lang_definitions` VALUES (38693, 2113, 8, 'coordonnées');
INSERT INTO `lang_definitions` VALUES (38694, 2117, 8, 'Lentilles de contact');
INSERT INTO `lang_definitions` VALUES (38695, 2118, 8, 'Contacter pour l\'intégration d\'informations médicale, LLC à http://mi-squared.com pour le service d\'échange de laboratoire');
INSERT INTO `lang_definitions` VALUES (38696, 2119, 8, 'Contacter pour l\'intégration d\'informations médicale, LLC à http://mi-squared.com ou ZH Healthcare à http://zhservices.com pour s\'inscrire au service eRx');
INSERT INTO `lang_definitions` VALUES (38697, 2122, 8, 'Nom du contact');
INSERT INTO `lang_definitions` VALUES (38698, 2125, 8, 'Personne à contacter');
INSERT INTO `lang_definitions` VALUES (38699, 2127, 8, 'Numéro de téléphone');
INSERT INTO `lang_definitions` VALUES (38700, 2129, 8, 'Contacter ZMG, LCC (zmghealth@gmail.com) pour s\'inscrire au service eRx');
INSERT INTO `lang_definitions` VALUES (38701, 2131, 8, 'contient au moins trois des quatre éléments suivants:');
INSERT INTO `lang_definitions` VALUES (38702, 2132, 8, 'Nom du conteneur de groupe');
INSERT INTO `lang_definitions` VALUES (38703, 2133, 8, 'Contenu');
INSERT INTO `lang_definitions` VALUES (38704, 2134, 8, 'contenu');
INSERT INTO `lang_definitions` VALUES (38705, 2136, 8, 'Contexte');
INSERT INTO `lang_definitions` VALUES (38706, 2137, 8, 'Nom de contexte ne peut être vides');
INSERT INTO `lang_definitions` VALUES (38707, 2138, 8, 'Continuer');
INSERT INTO `lang_definitions` VALUES (38708, 2142, 8, 'Document de Continuité des soins (CCD)');
INSERT INTO `lang_definitions` VALUES (38709, 2145, 8, 'Enregistrement de Continuité des soins (RCC)');
INSERT INTO `lang_definitions` VALUES (38710, 2147, 8, 'Contraception');
INSERT INTO `lang_definitions` VALUES (38711, 2148, 8, 'Problèmes de contraception');
INSERT INTO `lang_definitions` VALUES (38712, 2149, 8, 'Complication de la contraception (à préciser)');
INSERT INTO `lang_definitions` VALUES (38713, 2150, 8, 'Méthode contraceptive');
INSERT INTO `lang_definitions` VALUES (38714, 2151, 8, 'Produits contraceptifs');
INSERT INTO `lang_definitions` VALUES (38715, 2152, 8, 'Services contraceptifs déjà démarré');
INSERT INTO `lang_definitions` VALUES (38716, 2153, 8, 'Début des contraceptifs');
INSERT INTO `lang_definitions` VALUES (38717, 2158, 8, 'ID de Conrôle');
INSERT INTO `lang_definitions` VALUES (38718, 2159, 8, 'N° de Contrôle');
INSERT INTO `lang_definitions` VALUES (38719, 2168, 8, 'COPAY');
INSERT INTO `lang_definitions` VALUES (38720, 2169, 8, 'Copay');
INSERT INTO `lang_definitions` VALUES (38721, 2170, 8, 'CoPay');
INSERT INTO `lang_definitions` VALUES (38722, 2171, 8, 'Copay débiteur');
INSERT INTO `lang_definitions` VALUES (38723, 2172, 8, 'Paiement Copay');
INSERT INTO `lang_definitions` VALUES (38724, 2173, 8, 'Copays');
INSERT INTO `lang_definitions` VALUES (38725, 2174, 8, 'MPOC');
INSERT INTO `lang_definitions` VALUES (38726, 2175, 8, 'Copier les pages dans le dossier du patient');
INSERT INTO `lang_definitions` VALUES (38727, 2177, 8, 'Copier les valeurs');
INSERT INTO `lang_definitions` VALUES (38728, 2178, 8, 'Copie du fichier de base de données. Cela va prendre un certain temps ...');
INSERT INTO `lang_definitions` VALUES (38729, 2179, 8, 'Avis Copyright');
INSERT INTO `lang_definitions` VALUES (38730, 2184, 8, 'Pontage de l\'artère coronaire');
INSERT INTO `lang_definitions` VALUES (38731, 2185, 8, 'Greffe de pontage de l\'artère coronaire');
INSERT INTO `lang_definitions` VALUES (38732, 2186, 8, 'Corrigé');
INSERT INTO `lang_definitions` VALUES (38733, 2188, 8, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (38734, 2189, 8, 'Échec de la connexion CouchDB.');
INSERT INTO `lang_definitions` VALUES (38735, 2191, 8, 'Base de données CouchDB.');
INSERT INTO `lang_definitions` VALUES (38736, 2192, 8, 'Nom de base de données CouchDB.');
INSERT INTO `lang_definitions` VALUES (38737, 2195, 8, 'Hôte CouchDB.');
INSERT INTO `lang_definitions` VALUES (38738, 2196, 8, 'Nom d\'hôte CouchDB.');
INSERT INTO `lang_definitions` VALUES (38739, 2197, 8, 'Log activé CouchDB.');
INSERT INTO `lang_definitions` VALUES (38740, 2198, 8, 'Mot de passe CouchDB.');
INSERT INTO `lang_definitions` VALUES (38741, 2199, 8, 'Numero de port CouchDB.');
INSERT INTO `lang_definitions` VALUES (38742, 2200, 8, 'Numero de port CouchDB.');
INSERT INTO `lang_definitions` VALUES (38743, 2203, 8, 'Nom d\'utilisateur CouchDB.');
INSERT INTO `lang_definitions` VALUES (38744, 2204, 8, 'Toux');
INSERT INTO `lang_definitions` VALUES (38745, 2205, 8, 'Toux:');
INSERT INTO `lang_definitions` VALUES (38746, 2211, 8, 'Impossible de lire le fichier');
INSERT INTO `lang_definitions` VALUES (38747, 2214, 8, 'Impossible d\'envoyer e-mail en raison d\'un problème de serveur,');
INSERT INTO `lang_definitions` VALUES (38748, 2216, 8, 'Impossible d\'envoyer e-mail en raison d\'un problème de serveur,');
INSERT INTO `lang_definitions` VALUES (38749, 2217, 8, 'Impossible de créer le répertoire de sauvegarde:');
INSERT INTO `lang_definitions` VALUES (38750, 2218, 8, 'Impossible de supprimer le répertoire:');
INSERT INTO `lang_definitions` VALUES (38751, 2219, 8, 'Impossible de supprimer le fichier de sauvegarde ancienne:');
INSERT INTO `lang_definitions` VALUES (38752, 2220, 8, 'Impossible de supprimer l\'ancien fichier d\'exportation:');
INSERT INTO `lang_definitions` VALUES (38753, 2221, 8, 'Gestion de la coumadine - contrôle INR');
INSERT INTO `lang_definitions` VALUES (38754, 2223, 8, 'Psychothérapie');
INSERT INTO `lang_definitions` VALUES (38755, 2224, 8, 'Activités d\'aide psychologique');
INSERT INTO `lang_definitions` VALUES (38756, 2227, 8, 'Formulaire d\'envois à l\'acceuil');
INSERT INTO `lang_definitions` VALUES (38757, 2228, 8, 'Envois à l\'acceuil');
INSERT INTO `lang_definitions` VALUES (38758, 2229, 8, 'Pays');
INSERT INTO `lang_definitions` VALUES (38759, 2231, 8, 'Type de données Pays');
INSERT INTO `lang_definitions` VALUES (38760, 2232, 8, 'Liste des Pays');
INSERT INTO `lang_definitions` VALUES (38761, 2233, 8, 'Liste des Pays(ecriture, ajout seulement optionnel)');
INSERT INTO `lang_definitions` VALUES (38762, 2235, 8, 'Nom du pays devrait être représenté dans deux lettres. (Exemple: États-Unis c\'est US)');
INSERT INTO `lang_definitions` VALUES (38763, 2236, 8, 'région');
INSERT INTO `lang_definitions` VALUES (38764, 2238, 8, 'Coupon');
INSERT INTO `lang_definitions` VALUES (38765, 2245, 8, 'CPT');
INSERT INTO `lang_definitions` VALUES (38766, 2246, 8, 'CPT Code');
INSERT INTO `lang_definitions` VALUES (38767, 2247, 8, 'CPT Codes');
INSERT INTO `lang_definitions` VALUES (38768, 2248, 8, 'CPT4 Procedure/Service');
INSERT INTO `lang_definitions` VALUES (38769, 2249, 8, 'CPTII Mesure des perfomances');
INSERT INTO `lang_definitions` VALUES (38770, 2250, 8, 'LCQ');
INSERT INTO `lang_definitions` VALUES (38771, 2252, 8, 'Craquements:');
INSERT INTO `lang_definitions` VALUES (38772, 2255, 8, 'Crème');
INSERT INTO `lang_definitions` VALUES (38773, 2256, 8, 'Créer un certificat SSL côté client pour chaque utilisateur ou ordinateur client.');
INSERT INTO `lang_definitions` VALUES (38774, 2257, 8, 'Créer un certificat SSL côté client pour un utilisateur ou un nom d\'hôte client.');
INSERT INTO `lang_definitions` VALUES (38775, 2269, 8, 'Créer un événement');
INSERT INTO `lang_definitions` VALUES (38776, 2273, 8, 'Créer et télécharger une sauvegarde complète');
INSERT INTO `lang_definitions` VALUES (38777, 2275, 8, 'Créer une sauvegarde');
INSERT INTO `lang_definitions` VALUES (38778, 2276, 8, 'créer un lot');
INSERT INTO `lang_definitions` VALUES (38779, 2277, 8, 'Créer un certificat client');
INSERT INTO `lang_definitions` VALUES (38780, 2278, 8, 'Créer des certificats SSL côté client');
INSERT INTO `lang_definitions` VALUES (38781, 2281, 8, 'Créer un duplicata');
INSERT INTO `lang_definitions` VALUES (38782, 2283, 8, 'Créer une sauvegarde du journal d\'événements');
INSERT INTO `lang_definitions` VALUES (38783, 2285, 8, 'Créer un nouveau problème');
INSERT INTO `lang_definitions` VALUES (38784, 2287, 8, 'Créer un nouveau patient');
INSERT INTO `lang_definitions` VALUES (38785, 2290, 8, 'Créer crédentiels pour un portail hors site');
INSERT INTO `lang_definitions` VALUES (38786, 2292, 8, 'Créer crédentiels pour un portail sur site');
INSERT INTO `lang_definitions` VALUES (38787, 2294, 8, 'Créer remarque patient');
INSERT INTO `lang_definitions` VALUES (38788, 2296, 8, 'Créer l\'autorité de certification SSL et les certificats du serveur.');
INSERT INTO `lang_definitions` VALUES (38789, 2297, 8, 'Créer Visite');
INSERT INTO `lang_definitions` VALUES (38790, 2298, 8, 'Créé');
INSERT INTO `lang_definitions` VALUES (38791, 2306, 8, 'Préparation du fichier d\'exportation');
INSERT INTO `lang_definitions` VALUES (38792, 2308, 8, 'La création de ce fichier sur l\'hôte distant a échoué');
INSERT INTO `lang_definitions` VALUES (38793, 2309, 8, 'Créateur');
INSERT INTO `lang_definitions` VALUES (38794, 2311, 8, 'Crédit');
INSERT INTO `lang_definitions` VALUES (38795, 2312, 8, 'Carte de crédit');
INSERT INTO `lang_definitions` VALUES (38796, 2314, 8, 'Crédits');
INSERT INTO `lang_definitions` VALUES (38797, 2316, 8, 'Critère');
INSERT INTO `lang_definitions` VALUES (38798, 2319, 8, 'Maladie de Crohn');
INSERT INTO `lang_definitions` VALUES (38799, 2320, 8, 'Maladie de Crohn');
INSERT INTO `lang_definitions` VALUES (38800, 2323, 8, 'Exportation au format CSV');
INSERT INTO `lang_definitions` VALUES (38801, 2324, 8, 'Fichier CSV');
INSERT INTO `lang_definitions` VALUES (38802, 2325, 8, 'Table CSV');
INSERT INTO `lang_definitions` VALUES (38803, 2330, 8, 'Millimètre cube');
INSERT INTO `lang_definitions` VALUES (38804, 2331, 8, 'Cubain');
INSERT INTO `lang_definitions` VALUES (38805, 2333, 8, 'Nombre de décimales');
INSERT INTO `lang_definitions` VALUES (38806, 2334, 8, 'Symbole de décimales');
INSERT INTO `lang_definitions` VALUES (38807, 2335, 8, 'Désignateur de devise');
INSERT INTO `lang_definitions` VALUES (38808, 2336, 8, 'Séparateur des milliers');
INSERT INTO `lang_definitions` VALUES (38809, 2337, 8, 'Actuelle');
INSERT INTO `lang_definitions` VALUES (38810, 2338, 8, 'Alcool actuelle');
INSERT INTO `lang_definitions` VALUES (38811, 2341, 8, 'Consultation actuelle');
INSERT INTO `lang_definitions` VALUES (38812, 2342, 8, 'Critère actuel');
INSERT INTO `lang_definitions` VALUES (38813, 2344, 8, 'Couleur d\'accentuation pour le jour courant');
INSERT INTO `lang_definitions` VALUES (38814, 2345, 8, 'Fumeur quotidien actif');
INSERT INTO `lang_definitions` VALUES (38815, 2347, 8, 'Nom du fichier courant a ét changé pour');
INSERT INTO `lang_definitions` VALUES (38816, 2349, 8, 'Hachage actuelle');
INSERT INTO `lang_definitions` VALUES (38817, 2350, 8, 'Adresse actuelle');
INSERT INTO `lang_definitions` VALUES (38818, 2352, 8, 'Médicaments en vigeur');
INSERT INTO `lang_definitions` VALUES (38819, 2354, 8, 'Mot de passe en vigeur');
INSERT INTO `lang_definitions` VALUES (38820, 2356, 8, 'Patient en cours');
INSERT INTO `lang_definitions` VALUES (38821, 2361, 8, 'Drogues actuelles');
INSERT INTO `lang_definitions` VALUES (38822, 2363, 8, 'Fumeur occasionnel');
INSERT INTO `lang_definitions` VALUES (38823, 2364, 8, 'Statut actuel');
INSERT INTO `lang_definitions` VALUES (38824, 2365, 8, 'Heure du Statut Actuel');
INSERT INTO `lang_definitions` VALUES (38825, 2368, 8, 'Utilisateur actuel');
INSERT INTO `lang_definitions` VALUES (38826, 2371, 8, 'Actif actuellement');
INSERT INTO `lang_definitions` VALUES (38827, 2375, 8, 'En cours d\'exécution');
INSERT INTO `lang_definitions` VALUES (38828, 2377, 8, 'Actuellement, il n\'existe uncune installation.');
INSERT INTO `lang_definitions` VALUES (38829, 2379, 8, 'Syndrome de Cushing');
INSERT INTO `lang_definitions` VALUES (38830, 2380, 8, 'Syndrome de Cushing');
INSERT INTO `lang_definitions` VALUES (38831, 2383, 8, 'Personalisé');
INSERT INTO `lang_definitions` VALUES (38832, 2390, 8, 'Entrée personnalisée?');
INSERT INTO `lang_definitions` VALUES (38833, 2395, 8, 'Table personnalisée');
INSERT INTO `lang_definitions` VALUES (38834, 2402, 8, 'Code CVX');
INSERT INTO `lang_definitions` VALUES (38835, 2403, 8, 'Mappage code CVX');
INSERT INTO `lang_definitions` VALUES (38836, 2404, 8, 'Immunisation CVX');
INSERT INTO `lang_definitions` VALUES (38837, 2406, 8, 'Cycle');
INSERT INTO `lang_definitions` VALUES (38838, 2415, 8, 'Tchèque');
INSERT INTO `lang_definitions` VALUES (38839, 2416, 8, 'D');
INSERT INTO `lang_definitions` VALUES (38840, 2417, 8, 'D&C');
INSERT INTO `lang_definitions` VALUES (38841, 2418, 8, 'D&E');
INSERT INTO `lang_definitions` VALUES (38842, 2420, 8, 'D.D.N');
INSERT INTO `lang_definitions` VALUES (38843, 2421, 8, 'quotidien');
INSERT INTO `lang_definitions` VALUES (38844, 2422, 8, 'Relevé quotidien');
INSERT INTO `lang_definitions` VALUES (38845, 2425, 8, 'Danois');
INSERT INTO `lang_definitions` VALUES (38846, 2426, 8, 'Tableau');
INSERT INTO `lang_definitions` VALUES (38847, 2429, 8, 'Données similaires sont déjà en base de données,veuillez change le code et/ou la description');
INSERT INTO `lang_definitions` VALUES (38848, 2430, 8, 'Données similaires sont déjà en base de données, veuillez changer le nom de la constante');
INSERT INTO `lang_definitions` VALUES (38849, 2431, 8, 'données Cols');
INSERT INTO `lang_definitions` VALUES (38850, 2434, 8, 'Erreur de données');
INSERT INTO `lang_definitions` VALUES (38851, 2439, 8, 'Type de données');
INSERT INTO `lang_definitions` VALUES (38852, 2440, 8, 'Base de Données');
INSERT INTO `lang_definitions` VALUES (38853, 2442, 8, 'Base de Données non installée');
INSERT INTO `lang_definitions` VALUES (38854, 2444, 8, 'Correction de base de données');
INSERT INTO `lang_definitions` VALUES (38855, 2445, 8, 'Rapports de la Base de données');
INSERT INTO `lang_definitions` VALUES (38856, 2447, 8, 'Mise à niveau Base de Données términée.');
INSERT INTO `lang_definitions` VALUES (38857, 2448, 8, 'DataCols doit être un nombre entre 1 et 999');
INSERT INTO `lang_definitions` VALUES (38858, 2449, 8, 'Date');
INSERT INTO `lang_definitions` VALUES (38859, 2450, 8, 'DATE');
INSERT INTO `lang_definitions` VALUES (38860, 2451, 8, 'Date & heure Administré');
INSERT INTO `lang_definitions` VALUES (38861, 2453, 8, 'Date d\'administration');
INSERT INTO `lang_definitions` VALUES (38862, 2454, 8, 'Date et heure du prélèvement');
INSERT INTO `lang_definitions` VALUES (38863, 2455, 8, 'Date et heure de cette observation');
INSERT INTO `lang_definitions` VALUES (38864, 2457, 8, 'Date et heure auxquelles le prélèvement a été recueilli');
INSERT INTO `lang_definitions` VALUES (38865, 2458, 8, 'Date ne peut être supérieure à Aujourd\'hui');
INSERT INTO `lang_definitions` VALUES (38866, 2459, 8, 'Date de services de contraception initialement prévu');
INSERT INTO `lang_definitions` VALUES (38867, 2460, 8, 'Date de création');
INSERT INTO `lang_definitions` VALUES (38868, 2461, 8, 'Date de décès');
INSERT INTO `lang_definitions` VALUES (38869, 2462, 8, 'Date de déstruction');
INSERT INTO `lang_definitions` VALUES (38870, 2463, 8, 'Format d\'affichage des dates');
INSERT INTO `lang_definitions` VALUES (38871, 2464, 8, 'Format de la date de \"fin de rendez-vous\" n\'est pas valide');
INSERT INTO `lang_definitions` VALUES (38872, 2465, 8, 'Format de la date de \"début du rendez-\" n\'est pas valide');
INSERT INTO `lang_definitions` VALUES (38873, 2466, 8, 'Format de date pour \"Prochain rendez-vous\" n\'est pas valide');
INSERT INTO `lang_definitions` VALUES (38874, 2467, 8, 'Format de la date de \"jamais vu depuis\" n\'est pas valide');
INSERT INTO `lang_definitions` VALUES (38875, 2469, 8, 'Format de date pour \"vu depuis\" n\'est pas valide');
INSERT INTO `lang_definitions` VALUES (38876, 2470, 8, 'Date de vaccination des déclarations de l\'information tenu');
INSERT INTO `lang_definitions` VALUES (38877, 2471, 8, 'Manque la Date pour le code');
INSERT INTO `lang_definitions` VALUES (38878, 2472, 8, 'Date de Critère principal');
INSERT INTO `lang_definitions` VALUES (38879, 2475, 8, 'Date de dépôt bancaire aaaa-mm-jj');
INSERT INTO `lang_definitions` VALUES (38880, 2476, 8, 'Date de facturation');
INSERT INTO `lang_definitions` VALUES (38881, 2477, 8, 'Date de naissance');
INSERT INTO `lang_definitions` VALUES (38882, 2478, 8, 'Date de naissance');
INSERT INTO `lang_definitions` VALUES (38883, 2479, 8, 'Date de naissance');
INSERT INTO `lang_definitions` VALUES (38884, 2481, 8, 'Date d\'entrée');
INSERT INTO `lang_definitions` VALUES (38885, 2483, 8, 'Date de l\'accident');
INSERT INTO `lang_definitions` VALUES (38886, 2487, 8, 'Date de paiement aaaa-mm-jj');
INSERT INTO `lang_definitions` VALUES (38887, 2489, 8, 'Date de saisine');
INSERT INTO `lang_definitions` VALUES (38888, 2491, 8, 'Date de réponse');
INSERT INTO `lang_definitions` VALUES (38889, 2492, 8, 'Date du rapport');
INSERT INTO `lang_definitions` VALUES (38890, 2493, 8, 'Date du service');
INSERT INTO `lang_definitions` VALUES (38891, 2495, 8, 'Date du service');
INSERT INTO `lang_definitions` VALUES (38892, 2496, 8, 'Date du service = Aujourd\'hui');
INSERT INTO `lang_definitions` VALUES (38893, 2498, 8, 'Date du service mm/jj/aaaa');
INSERT INTO `lang_definitions` VALUES (38894, 2499, 8, 'Date du service:');
INSERT INTO `lang_definitions` VALUES (38895, 2500, 8, 'Date de signature');
INSERT INTO `lang_definitions` VALUES (38896, 2501, 8, 'Date de changement de statut');
INSERT INTO `lang_definitions` VALUES (38897, 2503, 8, 'Date de cette commande');
INSERT INTO `lang_definitions` VALUES (38898, 2504, 8, 'Date du présent rapport');
INSERT INTO `lang_definitions` VALUES (38899, 2505, 8, 'Date de déclaration VIS');
INSERT INTO `lang_definitions` VALUES (38900, 2506, 8, 'Date de commande');
INSERT INTO `lang_definitions` VALUES (38901, 2509, 8, 'Sélecteur de Date');
INSERT INTO `lang_definitions` VALUES (38902, 2510, 8, 'Date d\'envoi');
INSERT INTO `lang_definitions` VALUES (38903, 2511, 8, 'Date de l\'envoi du message');
INSERT INTO `lang_definitions` VALUES (38904, 2513, 8, 'La date ne peut être vide.');
INSERT INTO `lang_definitions` VALUES (38905, 2516, 8, 'Date/Appt');
INSERT INTO `lang_definitions` VALUES (38906, 2517, 8, 'Date/Notes');
INSERT INTO `lang_definitions` VALUES (38907, 2518, 8, 'Date/Notes de dernière');
INSERT INTO `lang_definitions` VALUES (38908, 2519, 8, 'Date/Heure');
INSERT INTO `lang_definitions` VALUES (38909, 2520, 8, 'Date:');
INSERT INTO `lang_definitions` VALUES (38910, 2523, 8, 'Journal des messages daté');
INSERT INTO `lang_definitions` VALUES (38911, 2526, 8, 'Jour');
INSERT INTO `lang_definitions` VALUES (38912, 2527, 8, 'jour');
INSERT INTO `lang_definitions` VALUES (38913, 2530, 8, 'Vue quotidienne');
INSERT INTO `lang_definitions` VALUES (38914, 2531, 8, 'Jour(s)');
INSERT INTO `lang_definitions` VALUES (38915, 2532, 8, 'Jour(s) M-F');
INSERT INTO `lang_definitions` VALUES (38916, 2533, 8, 'jours');
INSERT INTO `lang_definitions` VALUES (38917, 2534, 8, 'Jours');
INSERT INTO `lang_definitions` VALUES (38918, 2535, 8, 'jours avant');
INSERT INTO `lang_definitions` VALUES (38919, 2536, 8, 'Jours et Jeux manqués');
INSERT INTO `lang_definitions` VALUES (38920, 2537, 8, 'Jours depuis dernière Rencontre');
INSERT INTO `lang_definitions` VALUES (38921, 2538, 8, 'jours manqués');
INSERT INTO `lang_definitions` VALUES (38922, 2540, 8, 'Jours de la semaine');
INSERT INTO `lang_definitions` VALUES (38923, 2541, 8, 'Jours par colonne:');
INSERT INTO `lang_definitions` VALUES (38924, 2543, 8, 'Jours/Col:');
INSERT INTO `lang_definitions` VALUES (38925, 2544, 8, 'BD installée');
INSERT INTO `lang_definitions` VALUES (38926, 2545, 8, 'JJ/MM/AAAA');
INSERT INTO `lang_definitions` VALUES (38927, 2546, 8, 'Dés-identification');
INSERT INTO `lang_definitions` VALUES (38928, 2547, 8, 'Processus de dés-identification est terminé');
INSERT INTO `lang_definitions` VALUES (38929, 2548, 8, 'Processus de dés-identification est en cours');
INSERT INTO `lang_definitions` VALUES (38930, 2549, 8, 'Processus de dés-identification est démarré et s\'exécute en arrière-plan');
INSERT INTO `lang_definitions` VALUES (38931, 2550, 8, 'Données dépersonnalisées peuvent ne pas être complète');
INSERT INTO `lang_definitions` VALUES (38932, 2551, 8, 'Fichiers dés-identification seront sauvegardés dans');
INSERT INTO `lang_definitions` VALUES (38933, 2552, 8, 'DEA');
INSERT INTO `lang_definitions` VALUES (38934, 2558, 8, 'Sourd');
INSERT INTO `lang_definitions` VALUES (38935, 2562, 8, 'informations de débogage');
INSERT INTO `lang_definitions` VALUES (38936, 2564, 8, 'débogage');
INSERT INTO `lang_definitions` VALUES (38937, 2565, 8, 'Dec.');
INSERT INTO `lang_definitions` VALUES (38938, 2567, 8, 'Décédé');
INSERT INTO `lang_definitions` VALUES (38939, 2574, 8, 'Décembre');
INSERT INTO `lang_definitions` VALUES (38940, 2578, 8, 'Livres décimales ou livres et onces séparés par #(i.e. 5#4)');
INSERT INTO `lang_definitions` VALUES (38941, 2580, 8, 'Déductible');
INSERT INTO `lang_definitions` VALUES (38942, 2583, 8, 'Par défaut');
INSERT INTO `lang_definitions` VALUES (38943, 2585, 8, 'Afficher Calendrier par défaut');
INSERT INTO `lang_definitions` VALUES (38944, 2587, 8, 'ID formulaire par défaut des Rencontres');
INSERT INTO `lang_definitions` VALUES (38945, 2589, 8, 'Facilité par défaut');
INSERT INTO `lang_definitions` VALUES (38946, 2594, 8, 'Langue par défaut');
INSERT INTO `lang_definitions` VALUES (38947, 2595, 8, 'Langue par défaut si aucune autre n\'est autorisé ou choisi.');
INSERT INTO `lang_definitions` VALUES (38948, 2598, 8, 'Liste par défaut (écrire, ajouter seulement en option)');
INSERT INTO `lang_definitions` VALUES (38949, 2600, 8, 'Méthode par défaut');
INSERT INTO `lang_definitions` VALUES (38950, 2601, 8, 'Délai en Jours d\'expiration du mot de passe par défaut');
INSERT INTO `lang_definitions` VALUES (38951, 2602, 8, 'Période d\'expiration par défaut du mot de passe en jours. 0 signifie que cette fonctionnalité est désactivée.');
INSERT INTO `lang_definitions` VALUES (38952, 2603, 8, 'Pays par defaut du patient');
INSERT INTO `lang_definitions` VALUES (38953, 2605, 8, 'Prix par défaut');
INSERT INTO `lang_definitions` VALUES (38954, 2606, 8, 'Priorité par defaut');
INSERT INTO `lang_definitions` VALUES (38955, 2607, 8, 'Ressource par défaut');
INSERT INTO `lang_definitions` VALUES (38956, 2609, 8, 'Plage par défaut');
INSERT INTO `lang_definitions` VALUES (38957, 2610, 8, 'Motif de la visite par défaut');
INSERT INTO `lang_definitions` VALUES (38958, 2615, 8, 'Paramètre par défaut');
INSERT INTO `lang_definitions` VALUES (38959, 2617, 8, 'État par défault de la nouvelle fenètre de checkbox dans la liste des patients');
INSERT INTO `lang_definitions` VALUES (38960, 2618, 8, 'Modèle par défaut');
INSERT INTO `lang_definitions` VALUES (38961, 2624, 8, 'Unités par défaut');
INSERT INTO `lang_definitions` VALUES (38962, 2626, 8, 'Valeur par défaut');
INSERT INTO `lang_definitions` VALUES (38963, 2628, 8, 'Entrepôt par défaut');
INSERT INTO `lang_definitions` VALUES (38964, 2629, 8, 'Partenaire X12 par défaut');
INSERT INTO `lang_definitions` VALUES (38965, 2630, 8, 'Défaut / Global');
INSERT INTO `lang_definitions` VALUES (38966, 2635, 8, 'Sup.');
INSERT INTO `lang_definitions` VALUES (38967, 2636, 8, 'sup.');
INSERT INTO `lang_definitions` VALUES (38968, 2637, 8, 'Pecurrence différée (> 12 Mo)');
INSERT INTO `lang_definitions` VALUES (38969, 2638, 8, 'Supprimer');
INSERT INTO `lang_definitions` VALUES (38970, 2639, 8, 'supprimer');
INSERT INTO `lang_definitions` VALUES (38971, 2640, 8, 'Supprimer les catégories avec ID(s):');
INSERT INTO `lang_definitions` VALUES (38972, 2641, 8, 'Supprimer Catégorie');
INSERT INTO `lang_definitions` VALUES (38973, 2644, 8, 'Echec de suppression!');
INSERT INTO `lang_definitions` VALUES (38974, 2645, 8, 'Supprimer groupe');
INSERT INTO `lang_definitions` VALUES (38975, 2646, 8, 'Supprimer liste');
INSERT INTO `lang_definitions` VALUES (38976, 2648, 8, 'Supprimer des pages');
INSERT INTO `lang_definitions` VALUES (38977, 2649, 8, 'Supprimer Patient, Rencontre, formulaire, Problème, Document, Paiement, Facturation ou Transaction');
INSERT INTO `lang_definitions` VALUES (38978, 2651, 8, 'Supprimer ligne');
INSERT INTO `lang_definitions` VALUES (38979, 2652, 8, 'Supprimer éléments sélectionnés');
INSERT INTO `lang_definitions` VALUES (38980, 2655, 8, 'Suppression avec succès.');
INSERT INTO `lang_definitions` VALUES (38981, 2656, 8, 'Supprimer ce document');
INSERT INTO `lang_definitions` VALUES (38982, 2657, 8, 'Supprimer ce formulaire');
INSERT INTO `lang_definitions` VALUES (38983, 2659, 8, 'Supprimer cette note');
INSERT INTO `lang_definitions` VALUES (38984, 2661, 8, 'Supprimé avec succès.');
INSERT INTO `lang_definitions` VALUES (38985, 2662, 8, 'Suppression en cours');
INSERT INTO `lang_definitions` VALUES (38986, 2663, 8, 'La suppression de cet événement ne peut être annulée. Il ne peut pas être récupéré une fois qu\'il est effacé. Etes-vous sûr de vouloir supprimer cet événement?');
INSERT INTO `lang_definitions` VALUES (38987, 2666, 8, 'Livraison Confirmé');
INSERT INTO `lang_definitions` VALUES (38988, 2668, 8, 'La livraison n\'est pas actuellement autorisé à l\'adresse directe indiquée.');
INSERT INTO `lang_definitions` VALUES (38989, 2670, 8, 'Livraison du document clinique ci-joint a été demandé par le patient.');
INSERT INTO `lang_definitions` VALUES (38990, 2671, 8, 'Démence');
INSERT INTO `lang_definitions` VALUES (38991, 2673, 8, 'Données démographiques');
INSERT INTO `lang_definitions` VALUES (38992, 2674, 8, 'Données démographiques (écriture, ajouter seulement en option)');
INSERT INTO `lang_definitions` VALUES (38993, 2678, 8, 'Données démographiques critères de recherche');
INSERT INTO `lang_definitions` VALUES (38994, 2680, 8, 'Données démographiques non autorisés');
INSERT INTO `lang_definitions` VALUES (38995, 2681, 8, 'Données démographiques non autorisés.');
INSERT INTO `lang_definitions` VALUES (38996, 2682, 8, 'Refusé');
INSERT INTO `lang_definitions` VALUES (38997, 2684, 8, 'Dénominateur');
INSERT INTO `lang_definitions` VALUES (38998, 2687, 8, 'Dentaire');
INSERT INTO `lang_definitions` VALUES (38999, 2688, 8, 'Liste des problèmes dentaire');
INSERT INTO `lang_definitions` VALUES (39000, 2689, 8, 'Problèmes dentaires');
INSERT INTO `lang_definitions` VALUES (39001, 2694, 8, 'Selon le type de facture que vous testez, vous verrez une sortie similaire à HCFA sur une page vierge pour les factures HCFA, vous verrez de nombreuses lignes de texte et information quelque peu déformé si vous testez une réclamation X12. Ce texte déformé est le format X12 EDI 4010A. Occasionnellement, vous verrez caractères étranges qui ressemblent aux dominos ou tildes, ce sont les caractères de contrôle tels que les sauts de page et sont normales.');
INSERT INTO `lang_definitions` VALUES (39002, 2696, 8, 'date de dépôt');
INSERT INTO `lang_definitions` VALUES (39003, 2697, 8, 'La date de dépôt ne peut pas être supérieur à Aujourd\'hui');
INSERT INTO `lang_definitions` VALUES (39004, 2698, 8, 'Date de dépôt:');
INSERT INTO `lang_definitions` VALUES (39005, 2699, 8, 'Déprimé');
INSERT INTO `lang_definitions` VALUES (39006, 2700, 8, 'Dépression');
INSERT INTO `lang_definitions` VALUES (39007, 2706, 8, 'Description');
INSERT INTO `lang_definitions` VALUES (39008, 2707, 8, 'description');
INSERT INTO `lang_definitions` VALUES (39009, 2709, 8, 'Description de la divulgation');
INSERT INTO `lang_definitions` VALUES (39010, 2710, 8, 'Description de cette procédure ou le code résultat');
INSERT INTO `lang_definitions` VALUES (39011, 2711, 8, 'Traduction de la description');
INSERT INTO `lang_definitions` VALUES (39012, 2713, 8, 'Destination');
INSERT INTO `lang_definitions` VALUES (39013, 2714, 8, 'Nom du fichier destination');
INSERT INTO `lang_definitions` VALUES (39014, 2716, 8, 'Détruire lot');
INSERT INTO `lang_definitions` VALUES (39015, 2717, 8, 'Détruire...');
INSERT INTO `lang_definitions` VALUES (39016, 2718, 8, 'Détruite');
INSERT INTO `lang_definitions` VALUES (39017, 2719, 8, 'Médicaments détruits');
INSERT INTO `lang_definitions` VALUES (39018, 2720, 8, 'Rapport de destruction des Médicaments');
INSERT INTO `lang_definitions` VALUES (39019, 2721, 8, 'Détail');
INSERT INTO `lang_definitions` VALUES (39020, 2726, 8, 'Détails');
INSERT INTO `lang_definitions` VALUES (39021, 2728, 8, 'Anomalie de développement');
INSERT INTO `lang_definitions` VALUES (39022, 2730, 8, 'Diabètes');
INSERT INTO `lang_definitions` VALUES (39023, 2731, 8, 'Diabètes sucrées');
INSERT INTO `lang_definitions` VALUES (39024, 2732, 8, 'Diabètes: gestion de la pression artérielle (LCQ)');
INSERT INTO `lang_definitions` VALUES (39025, 2733, 8, 'Diabètes: examen de la vue');
INSERT INTO `lang_definitions` VALUES (39026, 2734, 8, 'Diabètes: examen des yeux (LCQ)');
INSERT INTO `lang_definitions` VALUES (39027, 2735, 8, 'Diabètes: examen des pieds');
INSERT INTO `lang_definitions` VALUES (39028, 2736, 8, 'Diabètes: examen des pieds (LCQ)');
INSERT INTO `lang_definitions` VALUES (39029, 2737, 8, 'Diabètes: Faible contrôle HbA1c (LCQ)');
INSERT INTO `lang_definitions` VALUES (39030, 2738, 8, 'Diabètes: Hémoglobine A1C');
INSERT INTO `lang_definitions` VALUES (39031, 2739, 8, 'Diabètes: Gestion et de contrôle LDL (LCQ)');
INSERT INTO `lang_definitions` VALUES (39032, 2740, 8, 'Diabètes: Microalbumine urinaire');
INSERT INTO `lang_definitions` VALUES (39033, 2741, 8, 'Diagnostic');
INSERT INTO `lang_definitions` VALUES (39034, 2742, 8, 'Diagnostics');
INSERT INTO `lang_definitions` VALUES (39035, 2743, 8, 'Diagnostic');
INSERT INTO `lang_definitions` VALUES (39036, 2744, 8, 'Code diagnostic');
INSERT INTO `lang_definitions` VALUES (39037, 2747, 8, 'Date du diagnostic');
INSERT INTO `lang_definitions` VALUES (39038, 2749, 8, 'Le diagnostic doit être codé en une rencontre liée');
INSERT INTO `lang_definitions` VALUES (39039, 2750, 8, 'Nom du Diagnostic');
INSERT INTO `lang_definitions` VALUES (39040, 2751, 8, 'Rapport de diagnostic');
INSERT INTO `lang_definitions` VALUES (39041, 2752, 8, 'Rapports de diagnostic');
INSERT INTO `lang_definitions` VALUES (39042, 2753, 8, 'Rapports de diagnostic seulement');
INSERT INTO `lang_definitions` VALUES (39043, 2754, 8, 'Titre du Diagnostic');
INSERT INTO `lang_definitions` VALUES (39044, 2755, 8, 'Diagnostic:');
INSERT INTO `lang_definitions` VALUES (39045, 2756, 8, 'Diagnostic:');
INSERT INTO `lang_definitions` VALUES (39046, 2758, 8, 'Tests de diagnostic:');
INSERT INTO `lang_definitions` VALUES (39047, 2760, 8, 'Cadrans');
INSERT INTO `lang_definitions` VALUES (39048, 2763, 8, 'Diaphragmes / Casquettes');
INSERT INTO `lang_definitions` VALUES (39049, 2764, 8, 'Diarrhée');
INSERT INTO `lang_definitions` VALUES (39050, 2767, 8, 'Dictée');
INSERT INTO `lang_definitions` VALUES (39051, 2768, 8, 'Dictée:');
INSERT INTO `lang_definitions` VALUES (39052, 2769, 8, 'Avez-vous reçu une copie de l\'avis HIPAA?');
INSERT INTO `lang_definitions` VALUES (39053, 2770, 8, 'Diffuse:');
INSERT INTO `lang_definitions` VALUES (39054, 2771, 8, 'Signé numériquement');
INSERT INTO `lang_definitions` VALUES (39055, 2781, 8, 'Publipostage direct');
INSERT INTO `lang_definitions` VALUES (39056, 2782, 8, 'Messsage de log direct');
INSERT INTO `lang_definitions` VALUES (39057, 2783, 8, 'Message reçu direct');
INSERT INTO `lang_definitions` VALUES (39058, 2784, 8, 'Le système de messagerie direct est actuellement indisponible');
INSERT INTO `lang_definitions` VALUES (39059, 2785, 8, 'Echec du système d\'envois de message direct');
INSERT INTO `lang_definitions` VALUES (39060, 2787, 8, 'Nom du Directeur');
INSERT INTO `lang_definitions` VALUES (39061, 2788, 8, 'Echet de la suppréssion du répertoire; continuer.');
INSERT INTO `lang_definitions` VALUES (39062, 2789, 8, 'Handicap');
INSERT INTO `lang_definitions` VALUES (39063, 2794, 8, 'Désactiver le calendrier');
INSERT INTO `lang_definitions` VALUES (39064, 2795, 8, 'Désactiver Graphique Suivi');
INSERT INTO `lang_definitions` VALUES (39065, 2798, 8, 'Désactiver Vaccination');
INSERT INTO `lang_definitions` VALUES (39066, 2800, 8, 'Désactiver Formulaire Ancien métrique des signes vitaux');
INSERT INTO `lang_definitions` VALUES (39067, 2802, 8, 'Désactiver phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (39068, 2803, 8, 'Désactiver Prescriptions');
INSERT INTO `lang_definitions` VALUES (39069, 2804, 8, 'Désactiver Groupes d\'utilisateurs');
INSERT INTO `lang_definitions` VALUES (39070, 2805, 8, 'handicapé');
INSERT INTO `lang_definitions` VALUES (39071, 2806, 8, 'Handicapé');
INSERT INTO `lang_definitions` VALUES (39072, 2807, 8, 'Bénéficiaire handicapés de moins de 65 ans avec l\'allocation de solidarité');
INSERT INTO `lang_definitions` VALUES (39073, 2812, 8, 'DISQUE');
INSERT INTO `lang_definitions` VALUES (39074, 2815, 8, 'Refoulement');
INSERT INTO `lang_definitions` VALUES (39075, 2816, 8, 'Refoulement de l\'urètre');
INSERT INTO `lang_definitions` VALUES (39076, 2818, 8, 'Refoulement à droite');
INSERT INTO `lang_definitions` VALUES (39077, 2819, 8, 'Refoulement à droite:');
INSERT INTO `lang_definitions` VALUES (39078, 2823, 8, 'Déchargé');
INSERT INTO `lang_definitions` VALUES (39079, 2825, 8, 'Divulgation info');
INSERT INTO `lang_definitions` VALUES (39080, 2826, 8, 'Type de divulgation');
INSERT INTO `lang_definitions` VALUES (39081, 2827, 8, 'Types de divulgation');
INSERT INTO `lang_definitions` VALUES (39082, 2828, 8, 'Divulgations');
INSERT INTO `lang_definitions` VALUES (39083, 2833, 8, 'Remise');
INSERT INTO `lang_definitions` VALUES (39084, 2834, 8, 'Montant de remise');
INSERT INTO `lang_definitions` VALUES (39085, 2835, 8, 'Niveau de remise');
INSERT INTO `lang_definitions` VALUES (39086, 2836, 8, 'Taux de remise');
INSERT INTO `lang_definitions` VALUES (39087, 2837, 8, 'Réductions au montant en numéraire');
INSERT INTO `lang_definitions` VALUES (39088, 2838, 8, 'Réductions au moment du contrôle sont entrés comme montants, par opposition au pourcentage.');
INSERT INTO `lang_definitions` VALUES (39089, 2839, 8, 'Résultat discret');
INSERT INTO `lang_definitions` VALUES (39090, 2841, 8, 'Maladie');
INSERT INTO `lang_definitions` VALUES (39091, 2843, 8, 'Luxation');
INSERT INTO `lang_definitions` VALUES (39092, 2847, 8, 'Disp #');
INSERT INTO `lang_definitions` VALUES (39093, 2848, 8, 'Expédition');
INSERT INTO `lang_definitions` VALUES (39094, 2849, 8, 'Document expédié reçu');
INSERT INTO `lang_definitions` VALUES (39095, 2853, 8, 'Distribué');
INSERT INTO `lang_definitions` VALUES (39096, 2856, 8, 'Afficher les pré-arrangements dans l\'écran démographie');
INSERT INTO `lang_definitions` VALUES (39097, 2859, 8, 'Afficher les dates d\'évènements dans le bloc?');
INSERT INTO `lang_definitions` VALUES (39098, 2860, 8, 'Format d\'affichage des poids des États-Unis');
INSERT INTO `lang_definitions` VALUES (39099, 2861, 8, 'Afficher combien d\'évènements');
INSERT INTO `lang_definitions` VALUES (39100, 2865, 8, 'Afficher l\'adresse dans le bloc');
INSERT INTO `lang_definitions` VALUES (39101, 2866, 8, 'Afficher le nom');
INSERT INTO `lang_definitions` VALUES (39102, 2868, 8, 'Afficher le calendrier?');
INSERT INTO `lang_definitions` VALUES (39103, 2875, 8, 'Afficher dans le bloc les évènements du jour?');
INSERT INTO `lang_definitions` VALUES (39104, 2876, 8, 'Afficher dans le bloc les sujets?');
INSERT INTO `lang_definitions` VALUES (39105, 2877, 8, 'Afficher dans le bloc les évènements à venir?');
INSERT INTO `lang_definitions` VALUES (39106, 2879, 8, 'Colonnes visibles');
INSERT INTO `lang_definitions` VALUES (39107, 2880, 8, 'Passer au numéro suivant de la liste des divulgations récentes:');
INSERT INTO `lang_definitions` VALUES (39108, 2882, 8, 'Passer au numéro suivant de la liste de notes récentes');
INSERT INTO `lang_definitions` VALUES (39109, 2883, 8, 'Passer au numéro suivant de la liste de notes récentes:');
INSERT INTO `lang_definitions` VALUES (39110, 2890, 8, 'Distribution');
INSERT INTO `lang_definitions` VALUES (39111, 2891, 8, 'Distributions');
INSERT INTO `lang_definitions` VALUES (39112, 2892, 8, 'Distributeur');
INSERT INTO `lang_definitions` VALUES (39113, 2897, 8, 'Sigmoïdite');
INSERT INTO `lang_definitions` VALUES (39114, 2898, 8, 'Chirurgie pour la sigmoïdite');
INSERT INTO `lang_definitions` VALUES (39115, 2899, 8, 'Diverticulite');
INSERT INTO `lang_definitions` VALUES (39116, 2900, 8, 'Chirurgie pour la diverticulite');
INSERT INTO `lang_definitions` VALUES (39117, 2901, 8, 'Divorcé');
INSERT INTO `lang_definitions` VALUES (39118, 2902, 8, 'Vertiges:');
INSERT INTO `lang_definitions` VALUES (39119, 2905, 8, 'Ne pas modifier');
INSERT INTO `lang_definitions` VALUES (39120, 2907, 8, 'Ne pas afficher Allergie téléchargés à NewCrop');
INSERT INTO `lang_definitions` VALUES (39121, 2909, 8, 'Ne pas afficher Médicament téléchargés à NewCrop');
INSERT INTO `lang_definitions` VALUES (39122, 2912, 8, 'Ne pas afficher le calendrier.');
INSERT INTO `lang_definitions` VALUES (39123, 2916, 8, 'Pas d\'inventaire et vente de produits');
INSERT INTO `lang_definitions` VALUES (39124, 2919, 8, 'Ne nécessite pas une autorisation écrite du patient');
INSERT INTO `lang_definitions` VALUES (39125, 2920, 8, 'Prescription de non-réanimation');
INSERT INTO `lang_definitions` VALUES (39126, 2921, 8, 'ne pas enregistrer');
INSERT INTO `lang_definitions` VALUES (39127, 2922, 8, 'ne pas substituer');
INSERT INTO `lang_definitions` VALUES (39128, 2925, 8, 'ne rien faire');
INSERT INTO `lang_definitions` VALUES (39129, 2929, 8, 'Voulez-vous vraiment supprimer');
INSERT INTO `lang_definitions` VALUES (39130, 2930, 8, 'Voulez-vous vraiment supprimer la sélection?');
INSERT INTO `lang_definitions` VALUES (39131, 2931, 8, 'Voulez-vous vraiment supprimer ce groupe');
INSERT INTO `lang_definitions` VALUES (39132, 2934, 8, 'Voulez-vous continuer?');
INSERT INTO `lang_definitions` VALUES (39133, 2935, 8, 'Voulez-vous supprimer cet élément?');
INSERT INTO `lang_definitions` VALUES (39134, 2936, 8, 'Voulez-vous supprimer?');
INSERT INTO `lang_definitions` VALUES (39135, 2937, 8, 'Voulez-vous supprimer cet enregistrement?');
INSERT INTO `lang_definitions` VALUES (39136, 2938, 8, 'Vous désirez continuer l\'ajout de ce nouveau patient?');
INSERT INTO `lang_definitions` VALUES (39137, 2939, 8, 'Vous désirez continuer sous le nouveau nom?');
INSERT INTO `lang_definitions` VALUES (39138, 2940, 8, 'Vous désirez supprimer DEFINITIVEMENT ce dossier de vaccination?');
INSERT INTO `lang_definitions` VALUES (39139, 2941, 8, 'DDN');
INSERT INTO `lang_definitions` VALUES (39140, 2942, 8, 'La date des naissance est manquante, fournir si disponible');
INSERT INTO `lang_definitions` VALUES (39141, 2944, 8, 'Documents');
INSERT INTO `lang_definitions` VALUES (39142, 2945, 8, 'Médecin');
INSERT INTO `lang_definitions` VALUES (39143, 2946, 8, 'Médecin:');
INSERT INTO `lang_definitions` VALUES (39144, 2947, 8, 'Nom du médecin et signature');
INSERT INTO `lang_definitions` VALUES (39145, 2948, 8, 'Document');
INSERT INTO `lang_definitions` VALUES (39146, 2949, 8, 'document');
INSERT INTO `lang_definitions` VALUES (39147, 2951, 8, 'Catégories document');
INSERT INTO `lang_definitions` VALUES (39148, 2958, 8, 'Document ne peut être attaché à l\'identification du patient');
INSERT INTO `lang_definitions` VALUES (39149, 2960, 8, 'Date du document');
INSERT INTO `lang_definitions` VALUES (39150, 2961, 8, 'Date et version du document modifiés avec succès');
INSERT INTO `lang_definitions` VALUES (39151, 2962, 8, 'Nº du document');
INSERT INTO `lang_definitions` VALUES (39152, 2965, 8, 'Document déplacé vers la nouvelle catégorie');
INSERT INTO `lang_definitions` VALUES (39153, 2966, 8, 'Document attaché à l\'identification du patient');
INSERT INTO `lang_definitions` VALUES (39154, 2968, 8, 'Vérification d\'intégrité du Document passé.');
INSERT INTO `lang_definitions` VALUES (39155, 2969, 8, 'Méthode de stockage de documents');
INSERT INTO `lang_definitions` VALUES (39156, 2970, 8, 'Document renommé avec succès.');
INSERT INTO `lang_definitions` VALUES (39157, 2976, 8, 'Lieu Document/Imagerie');
INSERT INTO `lang_definitions` VALUES (39158, 2978, 8, 'Documents');
INSERT INTO `lang_definitions` VALUES (39159, 2980, 8, 'Documents (écriture, ajout seulement optionnel)');
INSERT INTO `lang_definitions` VALUES (39160, 2989, 8, 'Date d\'entrée');
INSERT INTO `lang_definitions` VALUES (39161, 2994, 8, 'Ne correspond pas au nombre de rencontre PV1');
INSERT INTO `lang_definitions` VALUES (39162, 2995, 8, 'Ne semble pas valide');
INSERT INTO `lang_definitions` VALUES (39163, 2996, 8, 'Est-ce que ce type permet codes connexes?');
INSERT INTO `lang_definitions` VALUES (39164, 2997, 8, 'concubinage');
INSERT INTO `lang_definitions` VALUES (39165, 2998, 8, 'Ne pas sauvegarder');
INSERT INTO `lang_definitions` VALUES (39166, 2999, 8, 'Ne pas sauvegarder');
INSERT INTO `lang_definitions` VALUES (39167, 3000, 8, 'Ne pas sauvegarder les changements');
INSERT INTO `lang_definitions` VALUES (39168, 3002, 8, 'Terminé');
INSERT INTO `lang_definitions` VALUES (39169, 3004, 8, 'Effectué avec:');
INSERT INTO `lang_definitions` VALUES (39170, 3005, 8, 'Terminé. Envoi du téléchargement');
INSERT INTO `lang_definitions` VALUES (39171, 3006, 8, 'DOS');
INSERT INTO `lang_definitions` VALUES (39172, 3007, 8, 'Posologie');
INSERT INTO `lang_definitions` VALUES (39173, 3011, 8, 'Double-cliquez pour éditer');
INSERT INTO `lang_definitions` VALUES (39174, 3013, 8, 'Vision Double');
INSERT INTO `lang_definitions` VALUES (39175, 3014, 8, 'Télécharger');
INSERT INTO `lang_definitions` VALUES (39176, 3019, 8, 'Télécharger dans tout les cas');
INSERT INTO `lang_definitions` VALUES (39177, 3020, 8, 'Télécharger la facturation, la posté à la comptabilité la marquer comme facturé');
INSERT INTO `lang_definitions` VALUES (39178, 3022, 8, 'Télécharger les certificats');
INSERT INTO `lang_definitions` VALUES (39179, 3023, 8, 'Télécharger les données de configuration');
INSERT INTO `lang_definitions` VALUES (39180, 3027, 8, 'télécharger le fichier crypté');
INSERT INTO `lang_definitions` VALUES (39181, 3033, 8, 'Télécharger le PDF');
INSERT INTO `lang_definitions` VALUES (39182, 3037, 8, 'Télécharger les déclarations sélectionnées');
INSERT INTO `lang_definitions` VALUES (39183, 3039, 8, 'Contrôle du Dr');
INSERT INTO `lang_definitions` VALUES (39184, 3040, 8, 'Visite du Dr');
INSERT INTO `lang_definitions` VALUES (39185, 3041, 8, 'Dr');
INSERT INTO `lang_definitions` VALUES (39186, 3045, 8, 'Glissez pour déplacer');
INSERT INTO `lang_definitions` VALUES (39187, 3047, 8, 'Bavements');
INSERT INTO `lang_definitions` VALUES (39188, 3048, 8, 'Permis de conduire ou de N° Identification');
INSERT INTO `lang_definitions` VALUES (39189, 3050, 8, 'Médicament');
INSERT INTO `lang_definitions` VALUES (39190, 3053, 8, 'Chercheur de médicaments');
INSERT INTO `lang_definitions` VALUES (39191, 3054, 8, 'Formes médicamenteuse');
INSERT INTO `lang_definitions` VALUES (39192, 3055, 8, 'ID du médicament manquant!');
INSERT INTO `lang_definitions` VALUES (39193, 3056, 8, 'Intervale des prises de médicament');
INSERT INTO `lang_definitions` VALUES (39194, 3057, 8, 'Inventaire des médicaments');
INSERT INTO `lang_definitions` VALUES (39195, 3059, 8, 'Nom du médicament');
INSERT INTO `lang_definitions` VALUES (39196, 3061, 8, 'Voies du médicament');
INSERT INTO `lang_definitions` VALUES (39197, 3066, 8, 'Unités du médicament');
INSERT INTO `lang_definitions` VALUES (39198, 3072, 8, 'Médicaments');
INSERT INTO `lang_definitions` VALUES (39199, 3073, 8, 'Produits et Médicaments');
INSERT INTO `lang_definitions` VALUES (39200, 3074, 8, 'Bouche sèche');
INSERT INTO `lang_definitions` VALUES (39201, 3075, 8, 'Diagnostique DSMIV');
INSERT INTO `lang_definitions` VALUES (39202, 3076, 8, 'DT 1');
INSERT INTO `lang_definitions` VALUES (39203, 3077, 8, 'DT 2');
INSERT INTO `lang_definitions` VALUES (39204, 3078, 8, 'DT 3');
INSERT INTO `lang_definitions` VALUES (39205, 3079, 8, 'DT 4');
INSERT INTO `lang_definitions` VALUES (39206, 3080, 8, 'DT 5');
INSERT INTO `lang_definitions` VALUES (39207, 3081, 8, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (39208, 3082, 8, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (39209, 3083, 8, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (39210, 3084, 8, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (39211, 3085, 8, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (39212, 3087, 8, 'Solde dû');
INSERT INTO `lang_definitions` VALUES (39213, 3088, 8, 'Date d\'échéance');
INSERT INTO `lang_definitions` VALUES (39214, 3090, 8, 'Date d\'échéance mm/jj/aaaa ou aaaa-mm-jj');
INSERT INTO `lang_definitions` VALUES (39215, 3091, 8, 'Date d\'échéance:');
INSERT INTO `lang_definitions` VALUES (39216, 3092, 8, 'Échéance de l\'assurance');
INSERT INTO `lang_definitions` VALUES (39217, 3093, 8, 'Échéance du patient');
INSERT INTO `lang_definitions` VALUES (39218, 3094, 8, 'Échéance prochaine');
INSERT INTO `lang_definitions` VALUES (39219, 3095, 8, 'Etat échéance');
INSERT INTO `lang_definitions` VALUES (39220, 3096, 8, 'Mise à jour de Etat échéance');
INSERT INTO `lang_definitions` VALUES (39221, 3097, 8, 'Dumping de la base de données OpenEMR');
INSERT INTO `lang_definitions` VALUES (39222, 3098, 8, 'Dumping de l\'arborescence web OpenEMR');
INSERT INTO `lang_definitions` VALUES (39223, 3099, 8, 'Dumping de la base de données phpGACL');
INSERT INTO `lang_definitions` VALUES (39224, 3100, 8, 'Dumping de l\'arborescence web phpGACL');
INSERT INTO `lang_definitions` VALUES (39225, 3101, 8, 'Dumping de la base de données SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (39226, 3102, 8, 'Dumping de l\'arborescence web SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (39227, 3103, 8, 'Vérifiez Dup');
INSERT INTO `lang_definitions` VALUES (39228, 3108, 8, 'Numéro ID dupliqué sur la ligne');
INSERT INTO `lang_definitions` VALUES (39229, 3109, 8, 'Nom dupliqué sur la ligne');
INSERT INTO `lang_definitions` VALUES (39230, 3110, 8, 'AVERTISSEMENT DUPLICATION');
INSERT INTO `lang_definitions` VALUES (39231, 3111, 8, 'Procuration durable');
INSERT INTO `lang_definitions` VALUES (39232, 3112, 8, 'Durée');
INSERT INTO `lang_definitions` VALUES (39233, 3113, 8, 'durée');
INSERT INTO `lang_definitions` VALUES (39234, 3114, 8, 'Hollandais');
INSERT INTO `lang_definitions` VALUES (39235, 3116, 8, 'Dx Rep');
INSERT INTO `lang_definitions` VALUES (39236, 3117, 8, 'Dysphagie');
INSERT INTO `lang_definitions` VALUES (39237, 3118, 8, 'Dyspnée:');
INSERT INTO `lang_definitions` VALUES (39238, 3119, 8, 'Dysurie');
INSERT INTO `lang_definitions` VALUES (39239, 3128, 8, 'Préscription électronique');
INSERT INTO `lang_definitions` VALUES (39240, 3129, 8, 'Rapports électronique');
INSERT INTO `lang_definitions` VALUES (39241, 3130, 8, 'Prescription électronique');
INSERT INTO `lang_definitions` VALUES (39242, 3132, 8, 'Renouvellement e-Rx');
INSERT INTO `lang_definitions` VALUES (39243, 3135, 8, 'Chaque destinataire doit marquer ses propre messages comme terminés.');
INSERT INTO `lang_definitions` VALUES (39244, 3140, 8, 'Récidive précoce (<2 Mo)');
INSERT INTO `lang_definitions` VALUES (39245, 3141, 8, 'Oreilles');
INSERT INTO `lang_definitions` VALUES (39246, 3148, 8, 'ECG');
INSERT INTO `lang_definitions` VALUES (39247, 3149, 8, 'Réclamations électronique');
INSERT INTO `lang_definitions` VALUES (39248, 3152, 8, 'Œdème');
INSERT INTO `lang_definitions` VALUES (39249, 3154, 8, 'Historique EDI');
INSERT INTO `lang_definitions` VALUES (39250, 3155, 8, 'Historique EDI');
INSERT INTO `lang_definitions` VALUES (39251, 3156, 8, 'Historique (sous honoraires) EDI pour le stockage et l\'interprétation des fichiers de réponse au revendications EDI');
INSERT INTO `lang_definitions` VALUES (39252, 3157, 8, 'EDI-271 Fichier Upload');
INSERT INTO `lang_definitions` VALUES (39253, 3158, 8, 'EDI-271 Fichier Réponse Upload');
INSERT INTO `lang_definitions` VALUES (39254, 3159, 8, 'Editer');
INSERT INTO `lang_definitions` VALUES (39255, 3160, 8, 'éditer');
INSERT INTO `lang_definitions` VALUES (39256, 3161, 8, 'Editer les Allergies');
INSERT INTO `lang_definitions` VALUES (39257, 3163, 8, 'Editer les Catégories');
INSERT INTO `lang_definitions` VALUES (39258, 3165, 8, 'Editer les Définitions');
INSERT INTO `lang_definitions` VALUES (39259, 3166, 8, 'Editer les définitions');
INSERT INTO `lang_definitions` VALUES (39260, 3167, 8, 'Editer les Diagnostics pour');
INSERT INTO `lang_definitions` VALUES (39261, 3168, 8, 'Editer Divulgation');
INSERT INTO `lang_definitions` VALUES (39262, 3173, 8, 'Editer les Services');
INSERT INTO `lang_definitions` VALUES (39263, 3174, 8, 'Editer Facilité');
INSERT INTO `lang_definitions` VALUES (39264, 3175, 8, 'Editer les informations de Service');
INSERT INTO `lang_definitions` VALUES (39265, 3177, 8, 'Editer le fichier de');
INSERT INTO `lang_definitions` VALUES (39266, 3178, 8, 'Editer la forme');
INSERT INTO `lang_definitions` VALUES (39267, 3179, 8, 'Editer les paramètres globaux');
INSERT INTO `lang_definitions` VALUES (39268, 3181, 8, 'Modification non autorisée!');
INSERT INTO `lang_definitions` VALUES (39269, 3183, 8, 'Editer mise en page');
INSERT INTO `lang_definitions` VALUES (39270, 3185, 8, 'Editer la liste');
INSERT INTO `lang_definitions` VALUES (39271, 3188, 8, 'Editer paiement');
INSERT INTO `lang_definitions` VALUES (39272, 3189, 8, 'Editer la structure');
INSERT INTO `lang_definitions` VALUES (39273, 3192, 8, 'Editer l\'utilisateur');
INSERT INTO `lang_definitions` VALUES (39274, 3193, 8, 'Editer les paramètres de l\'utilisateur');
INSERT INTO `lang_definitions` VALUES (39275, 3196, 8, 'Education');
INSERT INTO `lang_definitions` VALUES (39276, 3197, 8, 'Date Education');
INSERT INTO `lang_definitions` VALUES (39277, 3199, 8, 'Voir la Licence * GNU GPL pour plus de détails. * * Vous devriez avoir reçu une copie de la Licence Publique Générale GNU * avec ce programme, sinon, écrivez à Free');
INSERT INTO `lang_definitions` VALUES (39278, 3200, 8, 'Date d\'effet');
INSERT INTO `lang_definitions` VALUES (39279, 3202, 8, 'Efficacité');
INSERT INTO `lang_definitions` VALUES (39280, 3204, 8, 'EIN');
INSERT INTO `lang_definitions` VALUES (39281, 3207, 8, 'Ejaculations');
INSERT INTO `lang_definitions` VALUES (39282, 3208, 8, 'Coude');
INSERT INTO `lang_definitions` VALUES (39283, 3209, 8, 'Problèmes de coude');
INSERT INTO `lang_definitions` VALUES (39284, 3210, 8, 'Electronique');
INSERT INTO `lang_definitions` VALUES (39285, 3214, 8, 'Versements électroniques');
INSERT INTO `lang_definitions` VALUES (39286, 3215, 8, 'Rapports électroniques');
INSERT INTO `lang_definitions` VALUES (39287, 3218, 8, 'Admissibilité');
INSERT INTO `lang_definitions` VALUES (39288, 3219, 8, 'Admissibilité 270 enquête globale');
INSERT INTO `lang_definitions` VALUES (39289, 3220, 8, 'Réponse d\'Admissibilité');
INSERT INTO `lang_definitions` VALUES (39290, 3222, 8, 'Status de l\'autorisation pour vacciner des enfants avec les vaccins fournient');
INSERT INTO `lang_definitions` VALUES (39291, 3223, 8, 'Admissible');
INSERT INTO `lang_definitions` VALUES (39292, 3225, 8, 'Courriel');
INSERT INTO `lang_definitions` VALUES (39293, 3228, 8, 'Courriel');
INSERT INTO `lang_definitions` VALUES (39294, 3230, 8, 'L\'adresse de réponse pour les courriels de rappel envoyés aux patients. Les réponses des patientes à leur courriel de rappel seront envoyés à cette adresse. Il est important d\'utiliser une adresse de réponse qui fait partie du domaine de votre clinique afin d\'empêcher que les réponses de vos patients ne sont retrouvent classées parmi les pourriels.');
INSERT INTO `lang_definitions` VALUES (39295, 3231, 8, 'Courriel, si disponible, pour recevoir les messages administratifs.');
INSERT INTO `lang_definitions` VALUES (39296, 3232, 8, 'Courriel, si disponible, pour recevoir l\'activation d\'urgence des login des usagers');
INSERT INTO `lang_definitions` VALUES (39297, 3233, 8, 'Authentifiant courriel');
INSERT INTO `lang_definitions` VALUES (39298, 3236, 8, 'Email du Batchcom');
INSERT INTO `lang_definitions` VALUES (39299, 3238, 8, 'Notification courriel');
INSERT INTO `lang_definitions` VALUES (39300, 3239, 8, 'Heures de la notification courriel');
INSERT INTO `lang_definitions` VALUES (39301, 3240, 8, 'Rapport de la notification courriel');
INSERT INTO `lang_definitions` VALUES (39302, 3244, 8, 'Envoyer le mail avant');
INSERT INTO `lang_definitions` VALUES (39303, 3245, 8, 'Expéditeur');
INSERT INTO `lang_definitions` VALUES (39304, 3246, 8, 'Message envoyé');
INSERT INTO `lang_definitions` VALUES (39305, 3247, 8, 'Message envoyé à');
INSERT INTO `lang_definitions` VALUES (39306, 3248, 8, 'Sujet de l\'email');
INSERT INTO `lang_definitions` VALUES (39307, 3253, 8, 'Methode de transport du courriel');
INSERT INTO `lang_definitions` VALUES (39308, 3254, 8, 'Email a été envoyé à l\'adresse suivante');
INSERT INTO `lang_definitions` VALUES (39309, 3259, 8, 'Contact d\'urgence');
INSERT INTO `lang_definitions` VALUES (39310, 3260, 8, 'Personne à contacter en cas d\'urgence');
INSERT INTO `lang_definitions` VALUES (39311, 3261, 8, 'Numéro de téléphone du contact d\'urgence');
INSERT INTO `lang_definitions` VALUES (39312, 3262, 8, 'Contraception d\'urgence');
INSERT INTO `lang_definitions` VALUES (39313, 3263, 8, 'Identifiant d\'urgence');
INSERT INTO `lang_definitions` VALUES (39314, 3264, 8, 'Le login d\'urgence ACL est choisis. L\'utilisateur est encore dans un état actif, s\'il vous plait désactivez l\'utilisateur et réactivez le même en cas de situations d\'urgence. Visitez Adminstration->Utilisateurs pour les activations et désactivations.');
INSERT INTO `lang_definitions` VALUES (39315, 3265, 8, 'L\'activation par courriel du login d\'urgence sera envoyé uniquement si les paramètres suivant du fichier interface/globals.php sont configuré:');
INSERT INTO `lang_definitions` VALUES (39316, 3266, 8, 'Courriel du login d\'urgence');
INSERT INTO `lang_definitions` VALUES (39317, 3267, 8, 'Le login d\'urgence peut tout faire');
INSERT INTO `lang_definitions` VALUES (39318, 3268, 8, 'Téléphone d\'urgence');
INSERT INTO `lang_definitions` VALUES (39319, 3270, 8, 'Conditions et complications émotionnelles et comportementalles');
INSERT INTO `lang_definitions` VALUES (39320, 3271, 8, 'Emphysème');
INSERT INTO `lang_definitions` VALUES (39321, 3272, 8, 'Employé(e)');
INSERT INTO `lang_definitions` VALUES (39322, 3273, 8, 'Employeur');
INSERT INTO `lang_definitions` VALUES (39323, 3274, 8, 'Adresse de l\'employeur');
INSERT INTO `lang_definitions` VALUES (39324, 3275, 8, 'Information sur l\'employeur');
INSERT INTO `lang_definitions` VALUES (39325, 3276, 8, 'Nom de l\'employeur');
INSERT INTO `lang_definitions` VALUES (39326, 3277, 8, 'VIDE');
INSERT INTO `lang_definitions` VALUES (39327, 3278, 8, 'vide');
INSERT INTO `lang_definitions` VALUES (39328, 3279, 8, 'Mot de passe vide non autorisé');
INSERT INTO `lang_definitions` VALUES (39329, 3281, 8, 'Aucune données pour \"Horaire de courriel\"');
INSERT INTO `lang_definitions` VALUES (39330, 3282, 8, 'Aucune entrée pour \"Expéditeur du courrier\"');
INSERT INTO `lang_definitions` VALUES (39331, 3283, 8, 'Aucune entrée pour \"Sujet du courrier\"');
INSERT INTO `lang_definitions` VALUES (39332, 3284, 8, 'Aucune entrée pour \"Texte du courrier\"');
INSERT INTO `lang_definitions` VALUES (39333, 3285, 8, 'Aucune entrée pour \"Nom du dispensateur\"');
INSERT INTO `lang_definitions` VALUES (39334, 3286, 8, 'Aucune entrée pour \"Mot de passe\"');
INSERT INTO `lang_definitions` VALUES (39335, 3287, 8, 'Aucune entrée pour \"Expéditeur du courrier\"');
INSERT INTO `lang_definitions` VALUES (39336, 3288, 8, 'Aucune entrée pour \"Texto\"');
INSERT INTO `lang_definitions` VALUES (39337, 3289, 8, 'Aucune entrée pour \"Nom d\'usager');
INSERT INTO `lang_definitions` VALUES (39338, 3300, 8, 'Activer les rapports sur CAM');
INSERT INTO `lang_definitions` VALUES (39339, 3301, 8, 'Activer le suivis de CAM');
INSERT INTO `lang_definitions` VALUES (39340, 3303, 8, 'Activer l\'Audit ATNA');
INSERT INTO `lang_definitions` VALUES (39341, 3305, 8, 'Activer la journalisation d\'Audit');
INSERT INTO `lang_definitions` VALUES (39342, 3307, 8, 'Activer les rapports sur la calculation automatique des mesures (CAM)');
INSERT INTO `lang_definitions` VALUES (39343, 3312, 8, 'Activer SSL pour les clients');
INSERT INTO `lang_definitions` VALUES (39344, 3313, 8, 'Activer l\'authentification par certificat SSL pour les clients');
INSERT INTO `lang_definitions` VALUES (39345, 3315, 8, 'Activer les Règles de Décisions Clinique (RDC)');
INSERT INTO `lang_definitions` VALUES (39346, 3318, 8, 'Activer le rapport des mesures de qualité clinique (LCQ)');
INSERT INTO `lang_definitions` VALUES (39347, 3319, 8, 'Activer le popup de rappel cilnique');
INSERT INTO `lang_definitions` VALUES (39348, 3320, 8, 'Activer le gadget de rappel clinique');
INSERT INTO `lang_definitions` VALUES (39349, 3324, 8, 'Activer les rapports LCQ');
INSERT INTO `lang_definitions` VALUES (39350, 3329, 8, 'Activer Historique EDI dans le menu de Gauche');
INSERT INTO `lang_definitions` VALUES (39351, 3334, 8, 'activer les honnoraires dans le menu de gauche');
INSERT INTO `lang_definitions` VALUES (39352, 3341, 8, 'Activer le support Hylafax');
INSERT INTO `lang_definitions` VALUES (39353, 3347, 8, 'Activer Lab Exchange');
INSERT INTO `lang_definitions` VALUES (39354, 3349, 8, 'Activer l\'outil de log pour les document téléversés/téléchargés sur CouchDB');
INSERT INTO `lang_definitions` VALUES (39355, 3350, 8, 'Activer la journalisation des requêtes SELECT SQL.');
INSERT INTO `lang_definitions` VALUES (39356, 3351, 8, 'Activer la journalisation des activités liés aux sauvegardes.');
INSERT INTO `lang_definitions` VALUES (39357, 3352, 8, 'Activer la journalisation des requettes du moteur CDR');
INSERT INTO `lang_definitions` VALUES (39358, 3353, 8, 'Activer la journalisation des activités diverses.');
INSERT INTO `lang_definitions` VALUES (39359, 3354, 8, 'Activer la journalisation des activités de commande.');
INSERT INTO `lang_definitions` VALUES (39360, 3355, 8, 'Activer la journalisation des modifications du dossier patient.');
INSERT INTO `lang_definitions` VALUES (39361, 3356, 8, 'Activer la journalisation des activités de planification.');
INSERT INTO `lang_definitions` VALUES (39362, 3357, 8, 'Activer la journalisation des activités de sécurité et d\'administration.');
INSERT INTO `lang_definitions` VALUES (39363, 3360, 8, 'Activer le service NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (39364, 3365, 8, 'Activer l\'accès à distance au portail patient');
INSERT INTO `lang_definitions` VALUES (39365, 3366, 8, 'Activer l\'accès à distance au portail patient.');
INSERT INTO `lang_definitions` VALUES (39366, 3368, 8, 'Activer l\'accès local au portail patient');
INSERT INTO `lang_definitions` VALUES (39367, 3371, 8, 'Activer l\'accès local au portail patient.');
INSERT INTO `lang_definitions` VALUES (39368, 3385, 8, 'Activer le widget de rappel patient');
INSERT INTO `lang_definitions` VALUES (39369, 3387, 8, 'Activer le service de messagerie direct phiMail');
INSERT INTO `lang_definitions` VALUES (39370, 3392, 8, 'Activer le support du scanner');
INSERT INTO `lang_definitions` VALUES (39371, 3396, 8, 'Activer l\'intégration des informations médical, LLC service d\'échange de laboratoire');
INSERT INTO `lang_definitions` VALUES (39372, 3397, 8, 'Activer le support OpenEMR du LLC service d\'échange de laboratoire');
INSERT INTO `lang_definitions` VALUES (39373, 3398, 8, 'Activer lauthentification utilisateur par certificat');
INSERT INTO `lang_definitions` VALUES (39374, 3403, 8, 'Activer ZMG, service LLC eRx');
INSERT INTO `lang_definitions` VALUES (39375, 3404, 8, 'Activé');
INSERT INTO `lang_definitions` VALUES (39376, 3412, 8, 'Activer l\'ancien panneau des Taxes pour entrer les codes de facturation et les payements. Non recommendé, utilisez Fee Sheet à la place.');
INSERT INTO `lang_definitions` VALUES (39377, 3415, 8, 'Rdv');
INSERT INTO `lang_definitions` VALUES (39378, 3417, 8, 'Rencontre');
INSERT INTO `lang_definitions` VALUES (39379, 3418, 8, 'Rencontre');
INSERT INTO `lang_definitions` VALUES (39380, 3419, 8, 'Rencontre');
INSERT INTO `lang_definitions` VALUES (39381, 3420, 8, 'rencontre');
INSERT INTO `lang_definitions` VALUES (39382, 3427, 8, 'Date Venue');
INSERT INTO `lang_definitions` VALUES (39383, 3428, 8, 'Diagnostic Venue');
INSERT INTO `lang_definitions` VALUES (39384, 3430, 8, 'Enregistrement de rencontre EDI');
INSERT INTO `lang_definitions` VALUES (39385, 3432, 8, 'Formulaires de Venue');
INSERT INTO `lang_definitions` VALUES (39386, 3433, 8, 'Consultation médicale');
INSERT INTO `lang_definitions` VALUES (39387, 3434, 8, 'Historique des Venues');
INSERT INTO `lang_definitions` VALUES (39388, 3435, 8, 'N° Venue');
INSERT INTO `lang_definitions` VALUES (39389, 3439, 8, 'Numéro Venue');
INSERT INTO `lang_definitions` VALUES (39390, 3442, 8, 'Rencontre du service d\'infirmerie');
INSERT INTO `lang_definitions` VALUES (39391, 3445, 8, 'Rencontre avec un patient externe');
INSERT INTO `lang_definitions` VALUES (39392, 3447, 8, 'Taille de la page des rencontres');
INSERT INTO `lang_definitions` VALUES (39393, 3448, 8, 'Rencontre de payement');
INSERT INTO `lang_definitions` VALUES (39394, 3449, 8, 'Rencontre pour la grossesse');
INSERT INTO `lang_definitions` VALUES (39395, 3450, 8, 'rencontre de médecine préventive - aide psychologique individuelle');
INSERT INTO `lang_definitions` VALUES (39396, 3451, 8, 'rencontre de médecine préventive pour les 40 ans et plus');
INSERT INTO `lang_definitions` VALUES (39397, 3452, 8, 'rencontre de médecine préventive groupe d\'aide psychologique');
INSERT INTO `lang_definitions` VALUES (39398, 3453, 8, 'rencontre de médecine préventive autres services');
INSERT INTO `lang_definitions` VALUES (39399, 3454, 8, 'rencontre de médecine préventive pour les 18 ans et plus');
INSERT INTO `lang_definitions` VALUES (39400, 3457, 8, 'rencontre psychatrique et psychologique');
INSERT INTO `lang_definitions` VALUES (39401, 3458, 8, 'Statistique de la rencontre');
INSERT INTO `lang_definitions` VALUES (39402, 3459, 8, 'Résumé de la rencontre');
INSERT INTO `lang_definitions` VALUES (39403, 3461, 8, 'La rencontre était codé');
INSERT INTO `lang_definitions` VALUES (39404, 3462, 8, 'Rencontre:');
INSERT INTO `lang_definitions` VALUES (39405, 3464, 8, 'Rencontres');
INSERT INTO `lang_definitions` VALUES (39406, 3465, 8, 'Rencontres et Formulaires');
INSERT INTO `lang_definitions` VALUES (39407, 3466, 8, 'Rencontres et Formulaires');
INSERT INTO `lang_definitions` VALUES (39408, 3467, 8, 'Rencontres non authorizées');
INSERT INTO `lang_definitions` VALUES (39409, 3468, 8, 'Rapport des rencontres');
INSERT INTO `lang_definitions` VALUES (39410, 3469, 8, 'Partie rencontres');
INSERT INTO `lang_definitions` VALUES (39411, 3471, 8, 'Encryption');
INSERT INTO `lang_definitions` VALUES (39412, 3472, 8, 'Fin');
INSERT INTO `lang_definitions` VALUES (39413, 3473, 8, 'Fin (aaaa-mm-jj):');
INSERT INTO `lang_definitions` VALUES (39414, 3474, 8, 'Date Fin');
INSERT INTO `lang_definitions` VALUES (39415, 3475, 8, 'Date fin');
INSERT INTO `lang_definitions` VALUES (39416, 3480, 8, 'Date fin doit être supérieur à date début');
INSERT INTO `lang_definitions` VALUES (39417, 3482, 8, 'Date Fin:');
INSERT INTO `lang_definitions` VALUES (39418, 3487, 8, 'Heure Fin');
INSERT INTO `lang_definitions` VALUES (39419, 3492, 8, 'Date de fin de service aaaa-mm-jj');
INSERT INTO `lang_definitions` VALUES (39420, 3494, 8, 'Heure fin de journée pour les événements du calendrier.');
INSERT INTO `lang_definitions` VALUES (39421, 3495, 8, 'Sang endocrinien anormal');
INSERT INTO `lang_definitions` VALUES (39422, 3496, 8, 'Endocrine');
INSERT INTO `lang_definitions` VALUES (39423, 3497, 8, 'Endoscopie');
INSERT INTO `lang_definitions` VALUES (39424, 3502, 8, 'Anglais');
INSERT INTO `lang_definitions` VALUES (39425, 3503, 8, 'Anglais');
INSERT INTO `lang_definitions` VALUES (39426, 3504, 8, 'Anglais (Indien)');
INSERT INTO `lang_definitions` VALUES (39427, 3505, 8, 'Anglais (Standard)');
INSERT INTO `lang_definitions` VALUES (39428, 3506, 8, 'Commande Enscript utilisé par Hylafax.');
INSERT INTO `lang_definitions` VALUES (39429, 3507, 8, 'Vérifier que OpenEMR a les privilèges d\'écriture dans le répertoire');
INSERT INTO `lang_definitions` VALUES (39430, 3513, 8, 'Entrer un code diagnostic pour exclure toute les factures exemptent de ce code');
INSERT INTO `lang_definitions` VALUES (39431, 3520, 8, 'Entrer le mot de passe root de la base de donnée');
INSERT INTO `lang_definitions` VALUES (39432, 3521, 8, 'Entrer le nom d\'utilisateur root de la base de donnée');
INSERT INTO `lang_definitions` VALUES (39433, 3529, 8, 'Entrer le diagnostic');
INSERT INTO `lang_definitions` VALUES (39434, 3530, 8, 'Entrer la liste des médicaments');
INSERT INTO `lang_definitions` VALUES (39435, 3533, 8, 'Entrer une rencontre');
INSERT INTO `lang_definitions` VALUES (39436, 3534, 8, 'Entrer un numéro de rencontre');
INSERT INTO `lang_definitions` VALUES (39437, 3537, 8, 'Entrer les vaccinations');
INSERT INTO `lang_definitions` VALUES (39438, 3538, 8, 'Entrer la clef');
INSERT INTO `lang_definitions` VALUES (39439, 3544, 8, 'Entrer un nouvel État');
INSERT INTO `lang_definitions` VALUES (39440, 3549, 8, 'Entrer les adresses direct des destinataires');
INSERT INTO `lang_definitions` VALUES (39441, 3569, 8, 'Entrer le code de Re-Identification');
INSERT INTO `lang_definitions` VALUES (39442, 3581, 8, 'Entrer vos critères de recherches ci-dessus');
INSERT INTO `lang_definitions` VALUES (39443, 3584, 8, 'Entré dans Erreur');
INSERT INTO `lang_definitions` VALUES (39444, 3586, 8, 'entrées');
INSERT INTO `lang_definitions` VALUES (39445, 3591, 8, 'Environnementale');
INSERT INTO `lang_definitions` VALUES (39446, 3602, 8, 'Épilepsie');
INSERT INTO `lang_definitions` VALUES (39447, 3609, 8, 'Fichiers ERA');
INSERT INTO `lang_definitions` VALUES (39448, 3612, 8, 'Effacer');
INSERT INTO `lang_definitions` VALUES (39449, 3614, 8, 'Érections');
INSERT INTO `lang_definitions` VALUES (39450, 3615, 8, 'Erreur');
INSERT INTO `lang_definitions` VALUES (39451, 3617, 8, 'L\'accusé réception des résulats de laboratoire a généré une erreur');
INSERT INTO `lang_definitions` VALUES (39452, 3620, 8, 'Une erreur est survenue dans l\'obtention des resultats de labo via Lab Exchange Network');
INSERT INTO `lang_definitions` VALUES (39453, 3621, 8, 'Erreur dans le champ \"Sexe\"');
INSERT INTO `lang_definitions` VALUES (39454, 3622, 8, 'Erreur dans la selection \"HIPAA\"');
INSERT INTO `lang_definitions` VALUES (39455, 3623, 8, 'Erreur dans la selection \"Processus\"');
INSERT INTO `lang_definitions` VALUES (39456, 3624, 8, 'Erreur dans la selection de la \"SMS Gateway\"');
INSERT INTO `lang_definitions` VALUES (39457, 3625, 8, 'Erreur dans la selection de \"Tri\"');
INSERT INTO `lang_definitions` VALUES (39458, 3626, 8, 'Erreur lors de la compression gzip du fichier:');
INSERT INTO `lang_definitions` VALUES (39459, 3627, 8, 'Erreur dans les options OUI ou NON');
INSERT INTO `lang_definitions` VALUES (39460, 3630, 8, 'Erreur lors de l\'ouverture du fichier téléchargé');
INSERT INTO `lang_definitions` VALUES (39461, 3631, 8, 'Erreur du traitement du fichier');
INSERT INTO `lang_definitions` VALUES (39462, 3632, 8, 'Erreur lors du téléversement en cours');
INSERT INTO `lang_definitions` VALUES (39463, 3633, 8, 'Erreur lors de la suppression du message');
INSERT INTO `lang_definitions` VALUES (39464, 3634, 8, 'Erreur lors de la récupérations des résultats via Lab Exchange Network');
INSERT INTO `lang_definitions` VALUES (39465, 3635, 8, 'Erreur lors de la récupération des valeurs.');
INSERT INTO `lang_definitions` VALUES (39466, 3637, 8, 'Erreur lors de l\'élevage de privilège sur les fichier pour l\'utilisateur OpenEMR');
INSERT INTO `lang_definitions` VALUES (39467, 3640, 8, 'erreur lors de l\'enregistrement du formulaire!');
INSERT INTO `lang_definitions` VALUES (39468, 3641, 8, 'Erreur lors de l\'enregistrement du fichier');
INSERT INTO `lang_definitions` VALUES (39469, 3643, 8, 'Erreur lors de l\'écriture dans le ficher');
INSERT INTO `lang_definitions` VALUES (39470, 3646, 8, 'erreur(s) rencontrée(s) dans les nouveaux résultats');
INSERT INTO `lang_definitions` VALUES (39471, 3651, 8, 'Erreur, ce fichier n\'existe pas');
INSERT INTO `lang_definitions` VALUES (39472, 3652, 8, 'ERREUR, impossible de collecter des données depuis le serveur');
INSERT INTO `lang_definitions` VALUES (39473, 3653, 8, 'Erreur, impossible de créer le certificat client.');
INSERT INTO `lang_definitions` VALUES (39474, 3654, 8, 'Erreur, impossible de créer le certificat admin.p12.');
INSERT INTO `lang_definitions` VALUES (39475, 3655, 8, 'Erreur, impossible de créer le certificat de l\'autorité de certification.');
INSERT INTO `lang_definitions` VALUES (39476, 3656, 8, 'Erreur, impossible de créer le certificat serveur.');
INSERT INTO `lang_definitions` VALUES (39477, 3658, 8, 'Erreur, impossible d\'ouvrir le fichier');
INSERT INTO `lang_definitions` VALUES (39478, 3659, 8, 'Erreur, l\'authorité de certification est pas activée dand OpenEMR');
INSERT INTO `lang_definitions` VALUES (39479, 3663, 8, 'Erreur, vous devez intaller le module php Archive/Tar.php.');
INSERT INTO `lang_definitions` VALUES (39480, 3664, 8, 'ERREUR: ne peut pas ouvrir table.sql, le formulaire est-il cassé?');
INSERT INTO `lang_definitions` VALUES (39481, 3667, 8, 'Erreur: identifiant dupliqué à la ligne');
INSERT INTO `lang_definitions` VALUES (39482, 3668, 8, 'Erreur: nom dupliqué à la ligne');
INSERT INTO `lang_definitions` VALUES (39483, 3669, 8, 'ERREUR: Champ');
INSERT INTO `lang_definitions` VALUES (39484, 3670, 8, 'ERREUR: L\'archive zip du module PHP est absente');
INSERT INTO `lang_definitions` VALUES (39485, 3671, 8, 'ERREUR: pas de répertoire pour l\'importation d\'ICD');
INSERT INTO `lang_definitions` VALUES (39486, 3672, 8, 'Erreur: les mots de passe sont différent. S\'il vous plait verifiez votre orthographe.');
INSERT INTO `lang_definitions` VALUES (39487, 3673, 8, 'Erreur: les mots de passe sont différent. S\'il vous plait verifiez votre orthographe.');
INSERT INTO `lang_definitions` VALUES (39488, 3674, 8, 'Erreur: le fichier n\'existe pas');
INSERT INTO `lang_definitions` VALUES (39489, 3675, 8, 'ERREUR: La variable suivante contient des caractères non autorisés');
INSERT INTO `lang_definitions` VALUES (39490, 3676, 8, 'ERREUR: Impossible de copier le fichier.');
INSERT INTO `lang_definitions` VALUES (39491, 3677, 8, 'Erreur: Impossible de créer une archive téléchargeable');
INSERT INTO `lang_definitions` VALUES (39492, 3678, 8, 'ERREUR: Impossible de créer une archive Zip');
INSERT INTO `lang_definitions` VALUES (39493, 3679, 8, 'ERREUR: Impossible d\'extraire le fichier.');
INSERT INTO `lang_definitions` VALUES (39494, 3680, 8, 'ERREUR: Impossible de charger le fichier dans la base de donnée');
INSERT INTO `lang_definitions` VALUES (39495, 3681, 8, 'ERREUR: Impossible d\'affecter le numéro de version');
INSERT INTO `lang_definitions` VALUES (39496, 3682, 8, 'Erreurs');
INSERT INTO `lang_definitions` VALUES (39497, 3684, 8, 'Status du compte eRx');
INSERT INTO `lang_definitions` VALUES (39498, 3685, 8, 'Logs d\'ERX');
INSERT INTO `lang_definitions` VALUES (39499, 3686, 8, 'Nom d\'ERX');
INSERT INTO `lang_definitions` VALUES (39500, 3687, 8, 'Mot de passe d\'ERX');
INSERT INTO `lang_definitions` VALUES (39501, 3688, 8, 'Rôle d\'ERX');
INSERT INTO `lang_definitions` VALUES (39502, 3689, 8, 'Utilisateur d\'ERX');
INSERT INTO `lang_definitions` VALUES (39503, 3690, 8, 'Erythème:');
INSERT INTO `lang_definitions` VALUES (39504, 3693, 8, 'Esquimaux');
INSERT INTO `lang_definitions` VALUES (39505, 3699, 8, 'Patient établi');
INSERT INTO `lang_definitions` VALUES (39506, 3700, 8, 'Estonien');
INSERT INTO `lang_definitions` VALUES (39507, 3701, 8, 'Éthnicité');
INSERT INTO `lang_definitions` VALUES (39508, 3702, 8, 'Éthnicité ou Race');
INSERT INTO `lang_definitions` VALUES (39509, 3703, 8, 'Liste des éthnicié ou race (écriture, ajout seulement optionnel)');
INSERT INTO `lang_definitions` VALUES (39510, 3706, 8, 'ETIN');
INSERT INTO `lang_definitions` VALUES (39511, 3709, 8, 'Évènement');
INSERT INTO `lang_definitions` VALUES (39512, 3710, 8, 'Évènement commence');
INSERT INTO `lang_definitions` VALUES (39513, 3711, 8, 'Catégorie de l\'Évènement');
INSERT INTO `lang_definitions` VALUES (39514, 3712, 8, 'Date de l\'Évènement');
INSERT INTO `lang_definitions` VALUES (39515, 3714, 8, 'Description de l\'Évènement');
INSERT INTO `lang_definitions` VALUES (39516, 3715, 8, 'Détails de l\'Évènement');
INSERT INTO `lang_definitions` VALUES (39517, 3716, 8, 'Évènement ne se répètant pas');
INSERT INTO `lang_definitions` VALUES (39518, 3717, 8, 'Durée de l\'Évènement');
INSERT INTO `lang_definitions` VALUES (39519, 3718, 8, 'Durée de l\'Évènement en min.');
INSERT INTO `lang_definitions` VALUES (39520, 3719, 8, 'Coût de l\'Évènement');
INSERT INTO `lang_definitions` VALUES (39521, 3720, 8, 'Lieu de l\'Évènement');
INSERT INTO `lang_definitions` VALUES (39522, 3721, 8, 'Évènement se répètant tous les');
INSERT INTO `lang_definitions` VALUES (39523, 3722, 8, 'Évènement se répètant chaque');
INSERT INTO `lang_definitions` VALUES (39524, 3723, 8, 'Heure de début de l\'Évènement');
INSERT INTO `lang_definitions` VALUES (39525, 3724, 8, 'Nom de l\'évènement');
INSERT INTO `lang_definitions` VALUES (39526, 3725, 8, 'Nom de l\'Évènement');
INSERT INTO `lang_definitions` VALUES (39527, 3726, 8, 'Site web de l\'évènement');
INSERT INTO `lang_definitions` VALUES (39528, 3727, 8, 'Évènements');
INSERT INTO `lang_definitions` VALUES (39529, 3728, 8, 'Évènements pour');
INSERT INTO `lang_definitions` VALUES (39530, 3729, 8, 'Évènements s\'ouvrent dans nouvelle fenêtre');
INSERT INTO `lang_definitions` VALUES (39531, 3731, 8, 'chaque/toutes');
INSERT INTO `lang_definitions` VALUES (39532, 3732, 8, 'Chaque/Toutes');
INSERT INTO `lang_definitions` VALUES (39533, 3734, 8, 'toutes les 3 heures');
INSERT INTO `lang_definitions` VALUES (39534, 3736, 8, 'toutes les 4 heures');
INSERT INTO `lang_definitions` VALUES (39535, 3738, 8, 'toutes les 5 heures');
INSERT INTO `lang_definitions` VALUES (39536, 3740, 8, 'toutes les 6 heures');
INSERT INTO `lang_definitions` VALUES (39537, 3742, 8, 'toutes les 8 heures');
INSERT INTO `lang_definitions` VALUES (39538, 3743, 8, 'Toutes les quatrième');
INSERT INTO `lang_definitions` VALUES (39539, 3745, 8, 'Toutes Autres');
INSERT INTO `lang_definitions` VALUES (39540, 3746, 8, 'Tous les troisièmes');
INSERT INTO `lang_definitions` VALUES (39541, 3747, 8, 'Tous, tout les autes, tout les 3èmes, etc.');
INSERT INTO `lang_definitions` VALUES (39542, 3749, 8, 'Examen et résultats de test');
INSERT INTO `lang_definitions` VALUES (39543, 3750, 8, 'Résultats d\'examen');
INSERT INTO `lang_definitions` VALUES (39544, 3751, 8, 'Salle d\'examen');
INSERT INTO `lang_definitions` VALUES (39545, 3753, 8, 'Examination');
INSERT INTO `lang_definitions` VALUES (39546, 3754, 8, 'Date de l\'examination');
INSERT INTO `lang_definitions` VALUES (39547, 3755, 8, 'Exemple');
INSERT INTO `lang_definitions` VALUES (39548, 3758, 8, 'Exemples');
INSERT INTO `lang_definitions` VALUES (39549, 3760, 8, 'Exams/Tests');
INSERT INTO `lang_definitions` VALUES (39550, 3762, 8, 'Sauf');
INSERT INTO `lang_definitions` VALUES (39551, 3763, 8, 'Production de larme excessive');
INSERT INTO `lang_definitions` VALUES (39552, 3766, 8, 'Patients Exclus');
INSERT INTO `lang_definitions` VALUES (39553, 3767, 8, 'Exclusion');
INSERT INTO `lang_definitions` VALUES (39554, 3771, 8, 'Exercice');
INSERT INTO `lang_definitions` VALUES (39555, 3772, 8, 'Types d\'exercices');
INSERT INTO `lang_definitions` VALUES (39556, 3773, 8, 'Types d\'Exercices');
INSERT INTO `lang_definitions` VALUES (39557, 3774, 8, 'Existe');
INSERT INTO `lang_definitions` VALUES (39558, 3777, 8, 'Validé');
INSERT INTO `lang_definitions` VALUES (39559, 3778, 8, 'Quite l\'administration');
INSERT INTO `lang_definitions` VALUES (39560, 3782, 8, 'Agr');
INSERT INTO `lang_definitions` VALUES (39561, 3784, 8, 'Agrandir');
INSERT INTO `lang_definitions` VALUES (39562, 3785, 8, 'agrandir');
INSERT INTO `lang_definitions` VALUES (39563, 3787, 8, 'Tout Agrandir');
INSERT INTO `lang_definitions` VALUES (39564, 3792, 8, 'Agrandir Vue');
INSERT INTO `lang_definitions` VALUES (39565, 3793, 8, 'form_encounter.pid attendu');
INSERT INTO `lang_definitions` VALUES (39566, 3794, 8, 'Expiration');
INSERT INTO `lang_definitions` VALUES (39567, 3795, 8, 'Date d\'expiration');
INSERT INTO `lang_definitions` VALUES (39568, 3797, 8, 'Expire');
INSERT INTO `lang_definitions` VALUES (39569, 3798, 8, 'expire dans');
INSERT INTO `lang_definitions` VALUES (39570, 3799, 8, 'Exporter');
INSERT INTO `lang_definitions` VALUES (39571, 3800, 8, 'Exporter en CSV');
INSERT INTO `lang_definitions` VALUES (39572, 3802, 8, 'Exporter Configuration');
INSERT INTO `lang_definitions` VALUES (39573, 3806, 8, 'Exporter les données démographique du patient');
INSERT INTO `lang_definitions` VALUES (39574, 3808, 8, 'Export de Raport PQRI');
INSERT INTO `lang_definitions` VALUES (39575, 3810, 8, 'Exporter Sélection en CSV');
INSERT INTO `lang_definitions` VALUES (39576, 3811, 8, 'Exporter la sélection en collections');
INSERT INTO `lang_definitions` VALUES (39577, 3812, 8, 'Exporter en CSV');
INSERT INTO `lang_definitions` VALUES (39578, 3813, 8, 'Exporter vers le sytème de faturation externe');
INSERT INTO `lang_definitions` VALUES (39579, 3815, 8, 'Exposition à des pays étrangé');
INSERT INTO `lang_definitions` VALUES (39580, 3816, 8, 'Exposition à des pays étrangé');
INSERT INTO `lang_definitions` VALUES (39581, 3818, 8, 'Temps Ext Collecté');
INSERT INTO `lang_definitions` VALUES (39582, 3820, 8, 'Externe');
INSERT INTO `lang_definitions` VALUES (39583, 3821, 8, 'Données externes');
INSERT INTO `lang_definitions` VALUES (39584, 3823, 8, 'Données externes chargées');
INSERT INTO `lang_definitions` VALUES (39585, 3824, 8, 'Outils d\'importation d\'une base de donnée externe');
INSERT INTO `lang_definitions` VALUES (39586, 3828, 8, 'ID externe');
INSERT INTO `lang_definitions` VALUES (39587, 3829, 8, 'Id externe');
INSERT INTO `lang_definitions` VALUES (39588, 3830, 8, 'Identifiant externe');
INSERT INTO `lang_definitions` VALUES (39589, 3831, 8, 'Externe uniquement');
INSERT INTO `lang_definitions` VALUES (39590, 3834, 8, 'Spécialiste externe');
INSERT INTO `lang_definitions` VALUES (39591, 3835, 8, 'Suivis du spécialiste externe');
INSERT INTO `lang_definitions` VALUES (39592, 3836, 8, 'Spécialiste externe ?');
INSERT INTO `lang_definitions` VALUES (39593, 3837, 8, 'Specialistes Externes');
INSERT INTO `lang_definitions` VALUES (39594, 3838, 8, 'Extraire le fichier ZIP');
INSERT INTO `lang_definitions` VALUES (39595, 3839, 8, 'Extraction du fichier. ceci peut durer un peu...');
INSERT INTO `lang_definitions` VALUES (39596, 3848, 8, 'Examen de l\'oeil');
INSERT INTO `lang_definitions` VALUES (39597, 3850, 8, 'Iritation Oculaire');
INSERT INTO `lang_definitions` VALUES (39598, 3856, 8, 'Douleur Oculaire');
INSERT INTO `lang_definitions` VALUES (39599, 3860, 8, 'Oeil Rouge');
INSERT INTO `lang_definitions` VALUES (39600, 3863, 8, 'Yeux');
INSERT INTO `lang_definitions` VALUES (39601, 3865, 8, 'F');
INSERT INTO `lang_definitions` VALUES (39602, 3866, 8, 'F/H Problèmes Sanguins');
INSERT INTO `lang_definitions` VALUES (39603, 3868, 8, 'Etablissements');
INSERT INTO `lang_definitions` VALUES (39604, 3869, 8, 'Etablissement');
INSERT INTO `lang_definitions` VALUES (39605, 3870, 8, 'etablissement');
INSERT INTO `lang_definitions` VALUES (39606, 3871, 8, 'Etablissement Médical Adminstration');
INSERT INTO `lang_definitions` VALUES (39607, 3872, 8, 'Etablissement Médical Ville');
INSERT INTO `lang_definitions` VALUES (39608, 3873, 8, 'Etablissement Médical Code Postal');
INSERT INTO `lang_definitions` VALUES (39609, 3875, 8, 'Etablissement Medical Code Pays');
INSERT INTO `lang_definitions` VALUES (39610, 3876, 8, 'Etablissement Medical Fax');
INSERT INTO `lang_definitions` VALUES (39611, 3878, 8, 'Etablissement Medical Nom');
INSERT INTO `lang_definitions` VALUES (39612, 3879, 8, 'Etablissement Medical NPI');
INSERT INTO `lang_definitions` VALUES (39613, 3880, 8, 'Etablissement Medical Télèphone');
INSERT INTO `lang_definitions` VALUES (39614, 3883, 8, 'État des locaux');
INSERT INTO `lang_definitions` VALUES (39615, 3884, 8, 'Rue des locaux');
INSERT INTO `lang_definitions` VALUES (39616, 3886, 8, 'Code postal des locaux');
INSERT INTO `lang_definitions` VALUES (39617, 3888, 8, 'Locaux:');
INSERT INTO `lang_definitions` VALUES (39618, 3889, 8, 'ECHEC');
INSERT INTO `lang_definitions` VALUES (39619, 3890, 8, 'Echoué');
INSERT INTO `lang_definitions` VALUES (39620, 3891, 8, 'échoué');
INSERT INTO `lang_definitions` VALUES (39621, 3901, 8, 'Echec de création du dossier temporaire. CouchDB ne vas pas fonctionner');
INSERT INTO `lang_definitions` VALUES (39622, 3907, 8, 'Échoué.');
INSERT INTO `lang_definitions` VALUES (39623, 3908, 8, 'échec');
INSERT INTO `lang_definitions` VALUES (39624, 3916, 8, 'Antécédents Familiaux');
INSERT INTO `lang_definitions` VALUES (39625, 3918, 8, 'Antécédents Familiaux de Glaucome');
INSERT INTO `lang_definitions` VALUES (39626, 3919, 8, 'Antécédents Familiaux:');
INSERT INTO `lang_definitions` VALUES (39627, 3921, 8, 'Payement familliaux');
INSERT INTO `lang_definitions` VALUES (39628, 3922, 8, 'Taille de la Famille');
INSERT INTO `lang_definitions` VALUES (39629, 3923, 8, 'Envie');
INSERT INTO `lang_definitions` VALUES (39630, 3928, 8, 'Père');
INSERT INTO `lang_definitions` VALUES (39631, 3930, 8, 'Fatigue');
INSERT INTO `lang_definitions` VALUES (39632, 3931, 8, 'asthénié');
INSERT INTO `lang_definitions` VALUES (39633, 3933, 8, 'Fax/Télécopie');
INSERT INTO `lang_definitions` VALUES (39634, 3934, 8, 'Nombre Fax');
INSERT INTO `lang_definitions` VALUES (39635, 3935, 8, 'Numéro FAX');
INSERT INTO `lang_definitions` VALUES (39636, 3937, 8, 'Fax/Document numérisé');
INSERT INTO `lang_definitions` VALUES (39637, 3938, 8, 'Fax reçus');
INSERT INTO `lang_definitions` VALUES (39638, 3939, 8, 'Fax envoyés');
INSERT INTO `lang_definitions` VALUES (39639, 3940, 8, 'Fonctionnalités');
INSERT INTO `lang_definitions` VALUES (39640, 3941, 8, 'févr.');
INSERT INTO `lang_definitions` VALUES (39641, 3942, 8, 'Février');
INSERT INTO `lang_definitions` VALUES (39642, 3948, 8, 'Facturation');
INSERT INTO `lang_definitions` VALUES (39643, 3949, 8, 'facturation');
INSERT INTO `lang_definitions` VALUES (39644, 3950, 8, 'Facturation impossible');
INSERT INTO `lang_definitions` VALUES (39645, 3951, 8, 'Codification');
INSERT INTO `lang_definitions` VALUES (39646, 3953, 8, 'Options de codification');
INSERT INTO `lang_definitions` VALUES (39647, 3955, 8, 'Tarification');
INSERT INTO `lang_definitions` VALUES (39648, 3956, 8, 'Féminin');
INSERT INTO `lang_definitions` VALUES (39649, 3958, 8, 'Préservatifs Féminins');
INSERT INTO `lang_definitions` VALUES (39650, 3959, 8, 'Point G');
INSERT INTO `lang_definitions` VALUES (39651, 3960, 8, 'Dernière conception');
INSERT INTO `lang_definitions` VALUES (39652, 3961, 8, 'Pelvis féminin');
INSERT INTO `lang_definitions` VALUES (39653, 3962, 8, 'Symptômes Féminin');
INSERT INTO `lang_definitions` VALUES (39654, 3966, 8, 'Fièvre');
INSERT INTO `lang_definitions` VALUES (39655, 3967, 8, 'Fièvre:');
INSERT INTO `lang_definitions` VALUES (39656, 3968, 8, 'Problèmes sanguins FH');
INSERT INTO `lang_definitions` VALUES (39657, 3972, 8, 'Fibromes');
INSERT INTO `lang_definitions` VALUES (39658, 3978, 8, 'Type de champs à utiliser dans démographiques pour un employeur ou un nouveau pays.');
INSERT INTO `lang_definitions` VALUES (39659, 3979, 8, 'Type de champs à utiliser dans démographiques pour un employeur ou un nouvel État.');
INSERT INTO `lang_definitions` VALUES (39660, 3980, 8, 'Le(s) champs manquent!');
INSERT INTO `lang_definitions` VALUES (39661, 3986, 8, 'Fichier');
INSERT INTO `lang_definitions` VALUES (39662, 3989, 8, 'Fichier dans le répertoire de documentation pour apprendre comment créer le processus de création des sauvegardes de log');
INSERT INTO `lang_definitions` VALUES (39663, 3990, 8, 'Location du fichier');
INSERT INTO `lang_definitions` VALUES (39664, 3991, 8, 'Gestion de Fichiers');
INSERT INTO `lang_definitions` VALUES (39665, 3998, 8, 'Privilège sur les fichiers accordé à l\'utilisateur OpenEMR');
INSERT INTO `lang_definitions` VALUES (39666, 3999, 8, 'Echec de la récupération du fichier via CouchDB');
INSERT INTO `lang_definitions` VALUES (39667, 4000, 8, 'Chambre du fichier');
INSERT INTO `lang_definitions` VALUES (39668, 4001, 8, 'Fichier à télécharger');
INSERT INTO `lang_definitions` VALUES (39669, 4002, 8, 'Fichier à Télécharger');
INSERT INTO `lang_definitions` VALUES (39670, 4003, 8, 'Fichier avec même nom existe déjà à:');
INSERT INTO `lang_definitions` VALUES (39671, 4004, 8, 'Nom Fichier');
INSERT INTO `lang_definitions` VALUES (39672, 4006, 8, 'Fichiers');
INSERT INTO `lang_definitions` VALUES (39673, 4011, 8, 'Philippin');
INSERT INTO `lang_definitions` VALUES (39674, 4013, 8, 'Remplissez une des ligne en dessous.');
INSERT INTO `lang_definitions` VALUES (39675, 4014, 8, 'Remplissez ici que si la notification est envoyé par email aux patients');
INSERT INTO `lang_definitions` VALUES (39676, 4023, 8, 'Complétez les valeurs ci-dessous');
INSERT INTO `lang_definitions` VALUES (39677, 4025, 8, 'Remplissez la ligne.');
INSERT INTO `lang_definitions` VALUES (39678, 4028, 8, 'Filtre');
INSERT INTO `lang_definitions` VALUES (39679, 4029, 8, 'Filtre pour les constantes');
INSERT INTO `lang_definitions` VALUES (39680, 4030, 8, 'Filtre pour les définitions');
INSERT INTO `lang_definitions` VALUES (39681, 4031, 8, 'filtré depuis');
INSERT INTO `lang_definitions` VALUES (39682, 4032, 8, 'Filtres');
INSERT INTO `lang_definitions` VALUES (39683, 4033, 8, 'filtres');
INSERT INTO `lang_definitions` VALUES (39684, 4034, 8, 'Final');
INSERT INTO `lang_definitions` VALUES (39685, 4035, 8, 'Diagnostic final');
INSERT INTO `lang_definitions` VALUES (39686, 4036, 8, 'Le diagnostic final par un spécialiste');
INSERT INTO `lang_definitions` VALUES (39687, 4037, 8, 'Statut final');
INSERT INTO `lang_definitions` VALUES (39688, 4038, 8, 'Financier');
INSERT INTO `lang_definitions` VALUES (39689, 4039, 8, 'Date de clôture financière (aaaa-mm-jj)');
INSERT INTO `lang_definitions` VALUES (39690, 4040, 8, 'Report Financier - tout');
INSERT INTO `lang_definitions` VALUES (39691, 4042, 8, 'Report Financier - mes visites');
INSERT INTO `lang_definitions` VALUES (39692, 4044, 8, 'Dernière facture');
INSERT INTO `lang_definitions` VALUES (39693, 4045, 8, 'Date de dernière facture');
INSERT INTO `lang_definitions` VALUES (39694, 4046, 8, 'Résumé financier via un code service');
INSERT INTO `lang_definitions` VALUES (39695, 4048, 8, 'Trouver');
INSERT INTO `lang_definitions` VALUES (39696, 4049, 8, 'Disponibilité');
INSERT INTO `lang_definitions` VALUES (39697, 4050, 8, 'Trouver les RDV disponible');
INSERT INTO `lang_definitions` VALUES (39698, 4053, 8, 'Trouver un patient');
INSERT INTO `lang_definitions` VALUES (39699, 4054, 8, 'Trouver éducation des patients');
INSERT INTO `lang_definitions` VALUES (39700, 4056, 8, 'Résultats');
INSERT INTO `lang_definitions` VALUES (39701, 4057, 8, 'Les résultats par un spécialiste');
INSERT INTO `lang_definitions` VALUES (39702, 4058, 8, 'Bien');
INSERT INTO `lang_definitions` VALUES (39703, 4060, 8, 'Finition des Paiements');
INSERT INTO `lang_definitions` VALUES (39704, 4062, 8, 'finis');
INSERT INTO `lang_definitions` VALUES (39705, 4065, 8, 'Premier');
INSERT INTO `lang_definitions` VALUES (39706, 4067, 8, '1er jour de la semaine');
INSERT INTO `lang_definitions` VALUES (39707, 4068, 8, '1er jour de la semaine');
INSERT INTO `lang_definitions` VALUES (39708, 4071, 8, 'Prénom');
INSERT INTO `lang_definitions` VALUES (39709, 4072, 8, 'Prénom');
INSERT INTO `lang_definitions` VALUES (39710, 4073, 8, 'Prénom :');
INSERT INTO `lang_definitions` VALUES (39711, 4074, 8, '1ere visite ou consultation');
INSERT INTO `lang_definitions` VALUES (39712, 4075, 8, '1ere visite : pas d\'archive');
INSERT INTO `lang_definitions` VALUES (39713, 4077, 8, 'Prénom Nom');
INSERT INTO `lang_definitions` VALUES (39714, 4079, 8, 'Fitness');
INSERT INTO `lang_definitions` VALUES (39715, 4080, 8, 'Niveau de Fitness');
INSERT INTO `lang_definitions` VALUES (39716, 4081, 8, 'La condition physique pour ce joueur cette journée');
INSERT INTO `lang_definitions` VALUES (39717, 4083, 8, 'Fitness à jouer');
INSERT INTO `lang_definitions` VALUES (39718, 4084, 8, 'Fix rencontre dates - toutes les rencontres');
INSERT INTO `lang_definitions` VALUES (39719, 4086, 8, 'corriger ce');
INSERT INTO `lang_definitions` VALUES (39720, 4088, 8, 'FL');
INSERT INTO `lang_definitions` VALUES (39721, 4090, 8, 'flatulence');
INSERT INTO `lang_definitions` VALUES (39722, 4091, 8, 'Débit');
INSERT INTO `lang_definitions` VALUES (39723, 4092, 8, 'Tableau Blanc');
INSERT INTO `lang_definitions` VALUES (39724, 4108, 8, 'Saison grippale');
INSERT INTO `lang_definitions` VALUES (39725, 4109, 8, 'Saison grippale');
INSERT INTO `lang_definitions` VALUES (39726, 4110, 8, 'Vaccination contre la grippe');
INSERT INTO `lang_definitions` VALUES (39727, 4111, 8, 'Fluide et problème d\'électrolytes');
INSERT INTO `lang_definitions` VALUES (39728, 4112, 8, 'FMS');
INSERT INTO `lang_definitions` VALUES (39729, 4114, 8, 'Suivez manuellement');
INSERT INTO `lang_definitions` VALUES (39730, 4115, 8, 'Suivez ses instruction pour installer ou mètre à jour la base de donnée suivante');
INSERT INTO `lang_definitions` VALUES (39731, 4116, 8, 'Suivi');
INSERT INTO `lang_definitions` VALUES (39732, 4119, 8, 'Raison de Suivi');
INSERT INTO `lang_definitions` VALUES (39733, 4121, 8, 'Voici une nouvelle constante personnalisée:');
INSERT INTO `lang_definitions` VALUES (39734, 4122, 8, 'Voici un nouveau langage personnalisé:');
INSERT INTO `lang_definitions` VALUES (39735, 4123, 8, 'Voici une nouvelle définition (Langue, Constant, Définition):');
INSERT INTO `lang_definitions` VALUES (39736, 4125, 8, 'Services de suivi');
INSERT INTO `lang_definitions` VALUES (39737, 4126, 8, 'Suivis indiqués');
INSERT INTO `lang_definitions` VALUES (39738, 4129, 8, 'Intolérance alimentaire');
INSERT INTO `lang_definitions` VALUES (39739, 4130, 8, 'Pied');
INSERT INTO `lang_definitions` VALUES (39740, 4131, 8, 'Problèmes de pied');
INSERT INTO `lang_definitions` VALUES (39741, 4132, 8, 'Pied:');
INSERT INTO `lang_definitions` VALUES (39742, 4133, 8, 'Blessures de football');
INSERT INTO `lang_definitions` VALUES (39743, 4134, 8, 'Blessure de football');
INSERT INTO `lang_definitions` VALUES (39744, 4135, 8, 'Rapport de blessure de football');
INSERT INTO `lang_definitions` VALUES (39745, 4136, 8, 'Type de chaussures');
INSERT INTO `lang_definitions` VALUES (39746, 4137, 8, 'pour');
INSERT INTO `lang_definitions` VALUES (39747, 4138, 8, 'Pour');
INSERT INTO `lang_definitions` VALUES (39748, 4144, 8, 'Pour le code');
INSERT INTO `lang_definitions` VALUES (39749, 4152, 8, 'Pour les réclamations Rencontre');
INSERT INTO `lang_definitions` VALUES (39750, 4154, 8, 'Par exemple:');
INSERT INTO `lang_definitions` VALUES (39751, 4161, 8, 'pour la facturation');
INSERT INTO `lang_definitions` VALUES (39752, 4176, 8, 'Pour le passé');
INSERT INTO `lang_definitions` VALUES (39753, 4188, 8, 'pour la variable');
INSERT INTO `lang_definitions` VALUES (39754, 4189, 8, 'pour:');
INSERT INTO `lang_definitions` VALUES (39755, 4190, 8, 'Forcer l\'ouverture du gadget de facturation');
INSERT INTO `lang_definitions` VALUES (39756, 4191, 8, 'Forcer la création d\'un nouveau patient');
INSERT INTO `lang_definitions` VALUES (39757, 4193, 8, 'Forcer la vue');
INSERT INTO `lang_definitions` VALUES (39758, 4194, 8, 'Avant-bras');
INSERT INTO `lang_definitions` VALUES (39759, 4195, 8, 'Formulaire');
INSERT INTO `lang_definitions` VALUES (39760, 4196, 8, 'formulaire');
INSERT INTO `lang_definitions` VALUES (39761, 4201, 8, 'Format');
INSERT INTO `lang_definitions` VALUES (39762, 4202, 8, 'format');
INSERT INTO `lang_definitions` VALUES (39763, 4203, 8, 'Format pour laffichage de l\'age');
INSERT INTO `lang_definitions` VALUES (39764, 4204, 8, 'Format incorrect pour NDC');
INSERT INTO `lang_definitions` VALUES (39765, 4205, 8, 'Format utilisé pour afficher les dates.');
INSERT INTO `lang_definitions` VALUES (39766, 4206, 8, 'Format utilisé pour afficher le temps.');
INSERT INTO `lang_definitions` VALUES (39767, 4207, 8, 'Rapport formaté');
INSERT INTO `lang_definitions` VALUES (39768, 4208, 8, 'Ancien fumeur');
INSERT INTO `lang_definitions` VALUES (39769, 4209, 8, 'Formulaires');
INSERT INTO `lang_definitions` VALUES (39770, 4210, 8, 'Formulaires d\'administration');
INSERT INTO `lang_definitions` VALUES (39771, 4215, 8, 'Faire suivre');
INSERT INTO `lang_definitions` VALUES (39772, 4219, 8, 'Envoi Pages par fax');
INSERT INTO `lang_definitions` VALUES (39773, 4222, 8, 'Transmis');
INSERT INTO `lang_definitions` VALUES (39774, 4225, 8, 'Quatrième');
INSERT INTO `lang_definitions` VALUES (39775, 4227, 8, 'Fracture');
INSERT INTO `lang_definitions` VALUES (39776, 4228, 8, 'Fracture du naviculaire');
INSERT INTO `lang_definitions` VALUES (39777, 4229, 8, 'Fracture du malléole latéral');
INSERT INTO `lang_definitions` VALUES (39778, 4230, 8, 'Fracture du malléole médian');
INSERT INTO `lang_definitions` VALUES (39779, 4231, 8, 'Fracture, à la base du cinquième métatarsien');
INSERT INTO `lang_definitions` VALUES (39780, 4233, 8, 'Support de l\'ossature requis');
INSERT INTO `lang_definitions` VALUES (39781, 4235, 8, 'Français');
INSERT INTO `lang_definitions` VALUES (39782, 4236, 8, 'Français (Canadien)');
INSERT INTO `lang_definitions` VALUES (39783, 4237, 8, 'Français (Standard)');
INSERT INTO `lang_definitions` VALUES (39784, 4238, 8, 'Fréquence');
INSERT INTO `lang_definitions` VALUES (39785, 4239, 8, 'Rhumes fréquents');
INSERT INTO `lang_definitions` VALUES (39786, 4240, 8, 'Maladie fréquente');
INSERT INTO `lang_definitions` VALUES (39787, 4241, 8, 'Ven.');
INSERT INTO `lang_definitions` VALUES (39788, 4242, 8, 'Vendredi');
INSERT INTO `lang_definitions` VALUES (39789, 4243, 8, 'Ami');
INSERT INTO `lang_definitions` VALUES (39790, 4244, 8, 'De');
INSERT INTO `lang_definitions` VALUES (39791, 4245, 8, 'DE');
INSERT INTO `lang_definitions` VALUES (39792, 4246, 8, 'de');
INSERT INTO `lang_definitions` VALUES (39793, 4247, 8, 'Date De ne peut être supérieur à Date A.');
INSERT INTO `lang_definitions` VALUES (39794, 4253, 8, 'De :');
INSERT INTO `lang_definitions` VALUES (39795, 4254, 8, 'De :');
INSERT INTO `lang_definitions` VALUES (39796, 4267, 8, 'Bureau dacceuil');
INSERT INTO `lang_definitions` VALUES (39797, 4268, 8, 'Recettes du bureau d\'acceuil');
INSERT INTO `lang_definitions` VALUES (39798, 4269, 8, 'Rapport des recettes du bureau d\'acceuil');
INSERT INTO `lang_definitions` VALUES (39799, 4272, 8, 'Ve{{Vendredi}}');
INSERT INTO `lang_definitions` VALUES (39800, 4278, 8, 'Nom');
INSERT INTO `lang_definitions` VALUES (39801, 4280, 8, 'Chemin complet du dossier contenant les executables MySQL.');
INSERT INTO `lang_definitions` VALUES (39802, 4281, 8, 'Chemin complet du dossier contenant les executables Perl');
INSERT INTO `lang_definitions` VALUES (39803, 4282, 8, 'Chemin complet du dossier pour les sauvegarde des logs des evenements');
INSERT INTO `lang_definitions` VALUES (39804, 4283, 8, 'Chemin complet du dossier utilisé pour les fichiers temporaires');
INSERT INTO `lang_definitions` VALUES (39805, 4286, 8, 'Entrainement complet');
INSERT INTO `lang_definitions` VALUES (39806, 4288, 8, 'Soldé');
INSERT INTO `lang_definitions` VALUES (39807, 4289, 8, 'Statut Fonctionnel et Cognitif');
INSERT INTO `lang_definitions` VALUES (39808, 4290, 8, 'Formulaire Statut Fonctionnel et Cognitif');
INSERT INTO `lang_definitions` VALUES (39809, 4291, 8, 'Statut Fonctionnel Cognitif');
INSERT INTO `lang_definitions` VALUES (39810, 4292, 8, 'Condition fonctionnel');
INSERT INTO `lang_definitions` VALUES (39811, 4296, 8, 'RDV futurs');
INSERT INTO `lang_definitions` VALUES (39812, 4297, 8, 'V{{Vendredi}}');
INSERT INTO `lang_definitions` VALUES (39813, 4302, 8, 'Irritation de la vessie');
INSERT INTO `lang_definitions` VALUES (39814, 4303, 8, 'Lithiases biliaires');
INSERT INTO `lang_definitions` VALUES (39815, 4304, 8, 'Période du jeu');
INSERT INTO `lang_definitions` VALUES (39816, 4305, 8, 'Jeux');
INSERT INTO `lang_definitions` VALUES (39817, 4306, 8, 'Jeux manqués');
INSERT INTO `lang_definitions` VALUES (39818, 4307, 8, 'jeux / événements');
INSERT INTO `lang_definitions` VALUES (39819, 4308, 8, 'Jeux / Evénements manqués');
INSERT INTO `lang_definitions` VALUES (39820, 4310, 8, 'Gastrite');
INSERT INTO `lang_definitions` VALUES (39821, 4311, 8, 'Douleur ventrale');
INSERT INTO `lang_definitions` VALUES (39822, 4312, 8, 'Gastrointestinal');
INSERT INTO `lang_definitions` VALUES (39823, 4319, 8, 'Genre');
INSERT INTO `lang_definitions` VALUES (39824, 4320, 8, 'Genre');
INSERT INTO `lang_definitions` VALUES (39825, 4321, 8, 'Général');
INSERT INTO `lang_definitions` VALUES (39826, 4323, 8, 'Liste des problèmes généraux');
INSERT INTO `lang_definitions` VALUES (39827, 4325, 8, 'Catégories de services généraux');
INSERT INTO `lang_definitions` VALUES (39828, 4347, 8, 'Généré une facture');
INSERT INTO `lang_definitions` VALUES (39829, 4348, 8, 'Généré une lettre');
INSERT INTO `lang_definitions` VALUES (39830, 4349, 8, 'Généré une lettre a propos');
INSERT INTO `lang_definitions` VALUES (39831, 4357, 8, 'Généré un rapport');
INSERT INTO `lang_definitions` VALUES (39832, 4365, 8, 'Généré un utilisateur et un mot de passe pour');
INSERT INTO `lang_definitions` VALUES (39833, 4366, 8, 'Généré X12');
INSERT INTO `lang_definitions` VALUES (39834, 4368, 8, 'Généré rencontre x12');
INSERT INTO `lang_definitions` VALUES (39835, 4370, 8, 'Généré le');
INSERT INTO `lang_definitions` VALUES (39836, 4372, 8, 'Génère');
INSERT INTO `lang_definitions` VALUES (39837, 4377, 8, 'Génito-urinaire');
INSERT INTO `lang_definitions` VALUES (39838, 4381, 8, 'Allemand');
INSERT INTO `lang_definitions` VALUES (39839, 4386, 8, 'Obtenir HL7');
INSERT INTO `lang_definitions` VALUES (39840, 4392, 8, 'Glaucome');
INSERT INTO `lang_definitions` VALUES (39841, 4393, 8, 'Antécédents Familiaux de Glaucome');
INSERT INTO `lang_definitions` VALUES (39842, 4395, 8, 'Globale');
INSERT INTO `lang_definitions` VALUES (39843, 4398, 8, 'ID Globale');
INSERT INTO `lang_definitions` VALUES (39844, 4399, 8, 'Paramètres Globales');
INSERT INTO `lang_definitions` VALUES (39845, 4400, 8, 'Globales');
INSERT INTO `lang_definitions` VALUES (39846, 4403, 8, 'Aller');
INSERT INTO `lang_definitions` VALUES (39847, 4404, 8, 'aller');
INSERT INTO `lang_definitions` VALUES (39848, 4407, 8, 'Aller à');
INSERT INTO `lang_definitions` VALUES (39849, 4417, 8, 'Aller à la semaine du');
INSERT INTO `lang_definitions` VALUES (39850, 4418, 8, 'Aujourd\'hui');
INSERT INTO `lang_definitions` VALUES (39851, 4419, 8, 'Objectif A');
INSERT INTO `lang_definitions` VALUES (39852, 4420, 8, 'But et méthodes');
INSERT INTO `lang_definitions` VALUES (39853, 4421, 8, 'Objectif B');
INSERT INTO `lang_definitions` VALUES (39854, 4422, 8, 'Objectif C');
INSERT INTO `lang_definitions` VALUES (39855, 4428, 8, 'Degré de traumatismes');
INSERT INTO `lang_definitions` VALUES (39856, 4429, 8, 'Grade:');
INSERT INTO `lang_definitions` VALUES (39857, 4430, 8, 'grammes');
INSERT INTO `lang_definitions` VALUES (39858, 4431, 8, 'Total général');
INSERT INTO `lang_definitions` VALUES (39859, 4432, 8, 'Totaux généraux');
INSERT INTO `lang_definitions` VALUES (39860, 4437, 8, 'Supérieur à');
INSERT INTO `lang_definitions` VALUES (39861, 4438, 8, 'Supérieur ou égal à');
INSERT INTO `lang_definitions` VALUES (39862, 4439, 8, 'Grecque');
INSERT INTO `lang_definitions` VALUES (39863, 4442, 8, 'Groupe');
INSERT INTO `lang_definitions` VALUES (39864, 4459, 8, 'Nom du groupe');
INSERT INTO `lang_definitions` VALUES (39865, 4460, 8, 'Nom du groupe ne peut pas être vide');
INSERT INTO `lang_definitions` VALUES (39866, 4461, 8, 'Nom du groupe ne peut pas commencé par un nombre ou un espace');
INSERT INTO `lang_definitions` VALUES (39867, 4462, 8, 'Nom du groupe ne peut pas commencé par un nombre');
INSERT INTO `lang_definitions` VALUES (39868, 4463, 8, 'Nombre de groupe');
INSERT INTO `lang_definitions` VALUES (39869, 4465, 8, 'Condition du groupe');
INSERT INTO `lang_definitions` VALUES (39870, 4471, 8, 'Groupe:');
INSERT INTO `lang_definitions` VALUES (39871, 4472, 8, 'Nom du groupe');
INSERT INTO `lang_definitions` VALUES (39872, 4475, 8, 'Groupes et contrôles d\'acces');
INSERT INTO `lang_definitions` VALUES (39873, 4476, 8, 'Courbe de Croissance');
INSERT INTO `lang_definitions` VALUES (39874, 4477, 8, 'Courbe de Croissance');
INSERT INTO `lang_definitions` VALUES (39875, 4478, 8, 'gouttes');
INSERT INTO `lang_definitions` VALUES (39876, 4482, 8, 'Personne de confiance');
INSERT INTO `lang_definitions` VALUES (39877, 4484, 8, 'Nom du résponsable');
INSERT INTO `lang_definitions` VALUES (39878, 4489, 8, 'Examen Gynécologique');
INSERT INTO `lang_definitions` VALUES (39879, 4494, 8, 'a été correctement supprimé. Les sous-catégories, si présentes, ont été déplacés en dessous');
INSERT INTO `lang_definitions` VALUES (39880, 4495, 8, 'Hématomes / Echymoses');
INSERT INTO `lang_definitions` VALUES (39881, 4499, 8, 'Main + Doigts');
INSERT INTO `lang_definitions` VALUES (39882, 4500, 8, 'Problèmes au niveau Main');
INSERT INTO `lang_definitions` VALUES (39883, 4502, 8, 'Joyeux Anniversaire');
INSERT INTO `lang_definitions` VALUES (39884, 4505, 8, 'Disque dur');
INSERT INTO `lang_definitions` VALUES (39885, 4507, 8, 'À été relier à la visite');
INSERT INTO `lang_definitions` VALUES (39886, 4508, 8, 'a expiré');
INSERT INTO `lang_definitions` VALUES (39887, 4515, 8, 'Hawaien');
INSERT INTO `lang_definitions` VALUES (39888, 4516, 8, 'Activités dangereuses');
INSERT INTO `lang_definitions` VALUES (39889, 4517, 8, 'Activités Dangereuses');
INSERT INTO `lang_definitions` VALUES (39890, 4528, 8, 'Tête');
INSERT INTO `lang_definitions` VALUES (39891, 4529, 8, 'Per Crânien');
INSERT INTO `lang_definitions` VALUES (39892, 4530, 8, 'Périmètre Crânien');
INSERT INTO `lang_definitions` VALUES (39893, 4531, 8, 'Céphalée');
INSERT INTO `lang_definitions` VALUES (39894, 4532, 8, 'Céphalées');
INSERT INTO `lang_definitions` VALUES (39895, 4534, 8, 'Opérations de santé');
INSERT INTO `lang_definitions` VALUES (39896, 4535, 8, 'Opérations de Santé');
INSERT INTO `lang_definitions` VALUES (39897, 4537, 8, 'Hôpital / centre de soin');
INSERT INTO `lang_definitions` VALUES (39898, 4542, 8, 'Perte d\'Audition');
INSERT INTO `lang_definitions` VALUES (39899, 4543, 8, 'Infarctus');
INSERT INTO `lang_definitions` VALUES (39900, 4544, 8, 'Maladie Cardiaque');
INSERT INTO `lang_definitions` VALUES (39901, 4545, 8, 'Insuffisance Cardiaque');
INSERT INTO `lang_definitions` VALUES (39902, 4546, 8, 'Problème Cardiaque');
INSERT INTO `lang_definitions` VALUES (39903, 4547, 8, 'Problèmes Cardiaques');
INSERT INTO `lang_definitions` VALUES (39904, 4548, 8, 'Chirurgie Cardiaque');
INSERT INTO `lang_definitions` VALUES (39905, 4549, 8, 'Transplantation Cardiaque');
INSERT INTO `lang_definitions` VALUES (39906, 4550, 8, 'COEUR:');
INSERT INTO `lang_definitions` VALUES (39907, 4551, 8, 'Pyrosis');
INSERT INTO `lang_definitions` VALUES (39908, 4552, 8, 'Chaud ou Froid');
INSERT INTO `lang_definitions` VALUES (39909, 4553, 8, 'CHAUD Ou FROID');
INSERT INTO `lang_definitions` VALUES (39910, 4554, 8, 'Grand fumeur de tabac');
INSERT INTO `lang_definitions` VALUES (39911, 4555, 8, 'Israëlien');
INSERT INTO `lang_definitions` VALUES (39912, 4558, 8, 'Hauteur');
INSERT INTO `lang_definitions` VALUES (39913, 4560, 8, 'Aide');
INSERT INTO `lang_definitions` VALUES (39914, 4561, 8, 'aide');
INSERT INTO `lang_definitions` VALUES (39915, 4563, 8, 'Hématémèse');
INSERT INTO `lang_definitions` VALUES (39916, 4564, 8, 'Rectorragie');
INSERT INTO `lang_definitions` VALUES (39917, 4565, 8, 'Hématologie');
INSERT INTO `lang_definitions` VALUES (39918, 4566, 8, 'Hématurie');
INSERT INTO `lang_definitions` VALUES (39919, 4567, 8, 'Hémoglobine');
INSERT INTO `lang_definitions` VALUES (39920, 4568, 8, 'Hémoglobine A1C');
INSERT INTO `lang_definitions` VALUES (39921, 4569, 8, 'Hémoptysie');
INSERT INTO `lang_definitions` VALUES (39922, 4570, 8, 'Hépatite');
INSERT INTO `lang_definitions` VALUES (39923, 4571, 8, 'Hépatite A 1');
INSERT INTO `lang_definitions` VALUES (39924, 4572, 8, 'Hépatite A 2');
INSERT INTO `lang_definitions` VALUES (39925, 4573, 8, 'Hépatite B 1');
INSERT INTO `lang_definitions` VALUES (39926, 4574, 8, 'Hépatite B 2');
INSERT INTO `lang_definitions` VALUES (39927, 4575, 8, 'Hépatite B 3');
INSERT INTO `lang_definitions` VALUES (39928, 4576, 8, 'ici');
INSERT INTO `lang_definitions` VALUES (39929, 4580, 8, 'Cure d\'Hernie');
INSERT INTO `lang_definitions` VALUES (39930, 4581, 8, 'Hernie discale');
INSERT INTO `lang_definitions` VALUES (39931, 4582, 8, 'Herpès');
INSERT INTO `lang_definitions` VALUES (39932, 4585, 8, 'Hésitation');
INSERT INTO `lang_definitions` VALUES (39933, 4586, 8, 'heyyo. vous avez été ici pour');
INSERT INTO `lang_definitions` VALUES (39934, 4588, 8, 'Hib 2');
INSERT INTO `lang_definitions` VALUES (39935, 4589, 8, 'Hib 3');
INSERT INTO `lang_definitions` VALUES (39936, 4590, 8, 'Hib 4');
INSERT INTO `lang_definitions` VALUES (39937, 4591, 8, 'Caché');
INSERT INTO `lang_definitions` VALUES (39938, 4592, 8, 'Evénements d\'Administration masqués');
INSERT INTO `lang_definitions` VALUES (39939, 4593, 8, 'Cacher');
INSERT INTO `lang_definitions` VALUES (39940, 4595, 8, 'Masquer les détails');
INSERT INTO `lang_definitions` VALUES (39941, 4597, 8, 'Masquer l\'option cryptage/décryptage dans la gestion documentaire');
INSERT INTO `lang_definitions` VALUES (39942, 4599, 8, 'Masquer les menus');
INSERT INTO `lang_definitions` VALUES (39943, 4601, 8, 'Cacher les rappels');
INSERT INTO `lang_definitions` VALUES (39944, 4603, 8, 'Afficher / Masquer les colonnes');
INSERT INTO `lang_definitions` VALUES (39945, 4605, 8, 'Elevé');
INSERT INTO `lang_definitions` VALUES (39946, 4607, 8, 'Hypertension artérielle');
INSERT INTO `lang_definitions` VALUES (39947, 4609, 8, 'Hindi');
INSERT INTO `lang_definitions` VALUES (39948, 4610, 8, 'La hanche + l\'aine');
INSERT INTO `lang_definitions` VALUES (39949, 4611, 8, 'La hanche et l\'aine');
INSERT INTO `lang_definitions` VALUES (39950, 4612, 8, 'Les problèmes de hanche');
INSERT INTO `lang_definitions` VALUES (39951, 4613, 8, 'Prothèse de la hanche');
INSERT INTO `lang_definitions` VALUES (39952, 4617, 8, 'Hirsutisme');
INSERT INTO `lang_definitions` VALUES (39953, 4618, 8, 'Hispanique');
INSERT INTO `lang_definitions` VALUES (39954, 4619, 8, 'Hispanique - Autres (Né aux Etats-Unis)');
INSERT INTO `lang_definitions` VALUES (39955, 4620, 8, 'Hispanique - Autres (Né à l\'extérieur des États-Unis)');
INSERT INTO `lang_definitions` VALUES (39956, 4621, 8, 'Hispanique ou Latino');
INSERT INTO `lang_definitions` VALUES (39957, 4622, 8, 'Antécédents - Source non spécifié');
INSERT INTO `lang_definitions` VALUES (39958, 4623, 8, 'Antécédents');
INSERT INTO `lang_definitions` VALUES (39959, 4624, 8, 'Antécédents');
INSERT INTO `lang_definitions` VALUES (39960, 4629, 8, 'Historique des données');
INSERT INTO `lang_definitions` VALUES (39961, 4630, 8, 'Date de l\'histoire');
INSERT INTO `lang_definitions` VALUES (39962, 4631, 8, 'Champs Antécédents');
INSERT INTO `lang_definitions` VALUES (39963, 4632, 8, 'Historique du Souffle');
INSERT INTO `lang_definitions` VALUES (39964, 4633, 8, 'Historique non autorisé');
INSERT INTO `lang_definitions` VALUES (39965, 4634, 8, 'Historique du souffle cardiaque');
INSERT INTO `lang_definitions` VALUES (39966, 4638, 8, 'visites (Clics)');
INSERT INTO `lang_definitions` VALUES (39967, 4639, 8, 'VIH');
INSERT INTO `lang_definitions` VALUES (39968, 4649, 8, 'Visionneuse HL7');
INSERT INTO `lang_definitions` VALUES (39969, 4653, 8, 'Maintenir [Ctrl] appuyé pour une sélection multiple ou pour déselectionner');
INSERT INTO `lang_definitions` VALUES (39970, 4655, 8, 'Maintenir Ctrl appuyé pour sélectionner plusieurs items');
INSERT INTO `lang_definitions` VALUES (39971, 4656, 8, 'Maintenir Ctrl appuyé pour sélectionner plusieurs groupes');
INSERT INTO `lang_definitions` VALUES (39972, 4658, 8, 'Accueil');
INSERT INTO `lang_definitions` VALUES (39973, 4659, 8, 'Téléphone à domicile');
INSERT INTO `lang_definitions` VALUES (39974, 4660, 8, 'Numéro de téléphone a domicile');
INSERT INTO `lang_definitions` VALUES (39975, 4662, 8, 'Sans-abri ou similaires?');
INSERT INTO `lang_definitions` VALUES (39976, 4664, 8, 'Sans-abri, etc.');
INSERT INTO `lang_definitions` VALUES (39977, 4665, 8, 'Sans-abri, etc.');
INSERT INTO `lang_definitions` VALUES (39978, 4674, 8, 'Nom de l\'hôte');
INSERT INTO `lang_definitions` VALUES (39979, 4675, 8, 'Nom de l\'hôte ne peut pas être vide');
INSERT INTO `lang_definitions` VALUES (39980, 4677, 8, 'Heure');
INSERT INTO `lang_definitions` VALUES (39981, 4678, 8, 'Heures');
INSERT INTO `lang_definitions` VALUES (39982, 4681, 8, 'Comment vous êtes blessé?');
INSERT INTO `lang_definitions` VALUES (39983, 4682, 8, 'Comment vous êtes blessé?:');
INSERT INTO `lang_definitions` VALUES (39984, 4683, 8, 'Comment nous avez connus');
INSERT INTO `lang_definitions` VALUES (39985, 4685, 8, 'Combiens de mois se sont écouler depuis la requète jusqu\'au evenements à venir ?');
INSERT INTO `lang_definitions` VALUES (39986, 4695, 8, 'HTML');
INSERT INTO `lang_definitions` VALUES (39987, 4696, 8, 'sortie HTML ?');
INSERT INTO `lang_definitions` VALUES (39988, 4699, 8, 'Liens https pour le support LLC le service d\'échange de laboratoire via OpenEMP');
INSERT INTO `lang_definitions` VALUES (39989, 4701, 8, 'Hongrois');
INSERT INTO `lang_definitions` VALUES (39990, 4702, 8, 'Répertoire pour Hylafax');
INSERT INTO `lang_definitions` VALUES (39991, 4703, 8, 'Commande de chiffrement pour Hylafax');
INSERT INTO `lang_definitions` VALUES (39992, 4704, 8, 'Serveur Hylafax');
INSERT INTO `lang_definitions` VALUES (39993, 4705, 8, 'Nom du serveur Hylafax');
INSERT INTO `lang_definitions` VALUES (39994, 4706, 8, 'Hyperactive');
INSERT INTO `lang_definitions` VALUES (39995, 4708, 8, 'Hypertension');
INSERT INTO `lang_definitions` VALUES (39996, 4709, 8, 'Hypertension: mesure de pression artérielle.');
INSERT INTO `lang_definitions` VALUES (39997, 4710, 8, 'Hypertension: mesure de pression artérielle (CQM).');
INSERT INTO `lang_definitions` VALUES (39998, 4711, 8, 'Hyperthyroïdie');
INSERT INTO `lang_definitions` VALUES (39999, 4713, 8, 'Hypothyroïdie');
INSERT INTO `lang_definitions` VALUES (40000, 4716, 8, 'Hystérectomie');
INSERT INTO `lang_definitions` VALUES (40001, 4717, 8, 'je');
INSERT INTO `lang_definitions` VALUES (40002, 4718, 8, 'Je suis occupé pendant ce temps.');
INSERT INTO `lang_definitions` VALUES (40003, 4719, 8, 'Je n\'ai pas l\'autorisation de lecture');
INSERT INTO `lang_definitions` VALUES (40004, 4724, 8, 'ICD');
INSERT INTO `lang_definitions` VALUES (40005, 4725, 8, 'Diagnostic ICD10');
INSERT INTO `lang_definitions` VALUES (40006, 4726, 8, 'Service/Procédure ICD10');
INSERT INTO `lang_definitions` VALUES (40007, 4727, 8, 'ICD9');
INSERT INTO `lang_definitions` VALUES (40008, 4728, 8, 'Diagnostic ICD9');
INSERT INTO `lang_definitions` VALUES (40009, 4729, 8, 'Service/Procédure ICD9');
INSERT INTO `lang_definitions` VALUES (40010, 4734, 8, 'ID');
INSERT INTO `lang_definitions` VALUES (40011, 4736, 8, 'Identifiant');
INSERT INTO `lang_definitions` VALUES (40012, 4738, 8, 'L\'ID ne peux pas être vide');
INSERT INTO `lang_definitions` VALUES (40013, 4739, 8, 'Carte d\'identité');
INSERT INTO `lang_definitions` VALUES (40014, 4743, 8, 'identifié comme');
INSERT INTO `lang_definitions` VALUES (40015, 4745, 8, 'Identifiant(un seul mot)');
INSERT INTO `lang_definitions` VALUES (40016, 4746, 8, 'Code d\'identification');
INSERT INTO `lang_definitions` VALUES (40017, 4747, 8, 'Temps avant la fermeture d\'une session en seconde');
INSERT INTO `lang_definitions` VALUES (40018, 4755, 8, 'Si toutes les données pour toute les colones de ce formulaire sont completées');
INSERT INTO `lang_definitions` VALUES (40019, 4757, 8, 'Si une justification de facturation est utilisé entré le nom du type de code de diagnostic');
INSERT INTO `lang_definitions` VALUES (40020, 4763, 8, 'Si entré, sélectionner uniquement ceux qui ont eu accès à ce service');
INSERT INTO `lang_definitions` VALUES (40021, 4765, 8, 'Si nom, partie du nom de famille ou nom de famile, prénom');
INSERT INTO `lang_definitions` VALUES (40022, 4770, 8, 'Si payé par');
INSERT INTO `lang_definitions` VALUES (40023, 4771, 8, 'Si la personne est décédé, alors entrer la date de décé.');
INSERT INTO `lang_definitions` VALUES (40024, 4775, 8, 'Si SMTP est utilisé, le nom du serveur ou l\'adresse IP.');
INSERT INTO `lang_definitions` VALUES (40025, 4776, 8, 'Si SMTP est utilisé, le numéro de port du TCP du serveur (normalement 25).');
INSERT INTO `lang_definitions` VALUES (40026, 4803, 8, 'si chômeur entrer étudiant');
INSERT INTO `lang_definitions` VALUES (40027, 4805, 8, 'Si AMJ est sélectionner pour l\'affichage de l\'age, changer pour uniquement l\'Année quand les patients sont plus vieux que cette valeur en année');
INSERT INTO `lang_definitions` VALUES (40028, 4850, 8, 'Si vous désirez changer les types des données, ajouter des lignes ou colonnes');
INSERT INTO `lang_definitions` VALUES (40029, 4854, 8, 'Ignorer');
INSERT INTO `lang_definitions` VALUES (40030, 4856, 8, 'Maladie');
INSERT INTO `lang_definitions` VALUES (40031, 4863, 8, 'Service d\'imagerie');
INSERT INTO `lang_definitions` VALUES (40032, 4865, 8, 'Vaccination');
INSERT INTO `lang_definitions` VALUES (40033, 4867, 8, 'Code du Vaccin');
INSERT INTO `lang_definitions` VALUES (40034, 4869, 8, 'Date de la Vaccination');
INSERT INTO `lang_definitions` VALUES (40035, 4870, 8, 'Date d\'expiration de la vaccination');
INSERT INTO `lang_definitions` VALUES (40036, 4872, 8, 'Numéro de lot du Vaccin');
INSERT INTO `lang_definitions` VALUES (40037, 4873, 8, 'Fabriquant du Vaccin');
INSERT INTO `lang_definitions` VALUES (40038, 4878, 8, 'Registre de vaccination');
INSERT INTO `lang_definitions` VALUES (40039, 4882, 8, 'Service de vaccination');
INSERT INTO `lang_definitions` VALUES (40040, 4883, 8, 'Nom de la Vaccination');
INSERT INTO `lang_definitions` VALUES (40041, 4885, 8, 'Vaccinations');
INSERT INTO `lang_definitions` VALUES (40042, 4887, 8, 'Vaccine');
INSERT INTO `lang_definitions` VALUES (40043, 4888, 8, 'Immunologique');
INSERT INTO `lang_definitions` VALUES (40044, 4893, 8, 'Implants');
INSERT INTO `lang_definitions` VALUES (40045, 4894, 8, 'Importer');
INSERT INTO `lang_definitions` VALUES (40046, 4898, 8, 'Importé le certificant dans le navigateur.');
INSERT INTO `lang_definitions` VALUES (40047, 4899, 8, 'Importer Configuration');
INSERT INTO `lang_definitions` VALUES (40048, 4904, 8, 'Importer Patient');
INSERT INTO `lang_definitions` VALUES (40049, 4905, 8, 'Importer les Données démographiques du Patient');
INSERT INTO `lang_definitions` VALUES (40050, 4910, 8, 'Codes importants');
INSERT INTO `lang_definitions` VALUES (40051, 4914, 8, 'Importer de la Comptabilité');
INSERT INTO `lang_definitions` VALUES (40052, 4920, 8, 'Amélioré');
INSERT INTO `lang_definitions` VALUES (40053, 4922, 8, 'dans');
INSERT INTO `lang_definitions` VALUES (40054, 4923, 8, 'DANS');
INSERT INTO `lang_definitions` VALUES (40055, 4931, 8, 'dans chaque oeil');
INSERT INTO `lang_definitions` VALUES (40056, 4934, 8, 'dans l\'oeil gauche');
INSERT INTO `lang_definitions` VALUES (40057, 4935, 8, 'dans les narines');
INSERT INTO `lang_definitions` VALUES (40058, 4936, 8, 'Dans le bureau');
INSERT INTO `lang_definitions` VALUES (40059, 4947, 8, 'dans l\'oeil droit');
INSERT INTO `lang_definitions` VALUES (40060, 4958, 8, 'dans la maison');
INSERT INTO `lang_definitions` VALUES (40061, 4960, 8, 'Inactif');
INSERT INTO `lang_definitions` VALUES (40062, 4965, 8, 'Jours inactif');
INSERT INTO `lang_definitions` VALUES (40063, 4967, 8, 'Dans la boite');
INSERT INTO `lang_definitions` VALUES (40064, 4970, 8, 'Inclure la somme de contrôle');
INSERT INTO `lang_definitions` VALUES (40065, 4971, 8, 'Inclusion complété');
INSERT INTO `lang_definitions` VALUES (40066, 4974, 8, 'Inclure les utilisateurs inactif');
INSERT INTO `lang_definitions` VALUES (40067, 4975, 8, 'Inclure les non catégorisé');
INSERT INTO `lang_definitions` VALUES (40068, 4976, 8, 'Inclure les données non structuré');
INSERT INTO `lang_definitions` VALUES (40069, 4977, 8, 'Inclure les données vitales');
INSERT INTO `lang_definitions` VALUES (40070, 4978, 8, 'Inclure les données vitales ?');
INSERT INTO `lang_definitions` VALUES (40071, 4981, 8, 'inclusion');
INSERT INTO `lang_definitions` VALUES (40072, 4982, 8, 'Revenus');
INSERT INTO `lang_definitions` VALUES (40073, 4984, 8, 'Incomplété');
INSERT INTO `lang_definitions` VALUES (40074, 4985, 8, 'Traitement d\'avortement incompété');
INSERT INTO `lang_definitions` VALUES (40075, 4986, 8, 'Incontinence');
INSERT INTO `lang_definitions` VALUES (40076, 4988, 8, 'Mot de passe incorrect!');
INSERT INTO `lang_definitions` VALUES (40077, 4990, 8, 'augmenté:');
INSERT INTO `lang_definitions` VALUES (40078, 4991, 8, 'Indemnité de l\'assurance');
INSERT INTO `lang_definitions` VALUES (40079, 4994, 8, 'Indeterminé');
INSERT INTO `lang_definitions` VALUES (40080, 4995, 8, 'Indien');
INSERT INTO `lang_definitions` VALUES (40081, 4998, 8, 'Indiquez les anomaiies');
INSERT INTO `lang_definitions` VALUES (40082, 5000, 8, 'Indiquez si ce problème est actuelement actif');
INSERT INTO `lang_definitions` VALUES (40083, 5002, 8, 'Indicateur pour une utilisation spécialisée');
INSERT INTO `lang_definitions` VALUES (40084, 5003, 8, 'Patients très pauvres');
INSERT INTO `lang_definitions` VALUES (40085, 5004, 8, 'Rapport sur les patients très pauvres');
INSERT INTO `lang_definitions` VALUES (40086, 5005, 8, 'Très pauvres');
INSERT INTO `lang_definitions` VALUES (40087, 5010, 8, 'Avortement causé par');
INSERT INTO `lang_definitions` VALUES (40088, 5011, 8, 'Industrie');
INSERT INTO `lang_definitions` VALUES (40089, 5012, 8, 'Non éligible');
INSERT INTO `lang_definitions` VALUES (40090, 5013, 8, 'Infection / Abcès');
INSERT INTO `lang_definitions` VALUES (40091, 5014, 8, 'Infections');
INSERT INTO `lang_definitions` VALUES (40092, 5016, 8, 'Infertilité');
INSERT INTO `lang_definitions` VALUES (40093, 5017, 8, 'Vaccin anti-grippale 1');
INSERT INTO `lang_definitions` VALUES (40094, 5018, 8, 'Vaccin anti-grippale 2');
INSERT INTO `lang_definitions` VALUES (40095, 5019, 8, 'Vaccin anti-grippale pour Patients >=50 ans');
INSERT INTO `lang_definitions` VALUES (40096, 5020, 8, 'Vaccin anti-grippale pour Patients >=50 ans (LCQ)');
INSERT INTO `lang_definitions` VALUES (40097, 5021, 8, 'Vaccin anti-Grippal');
INSERT INTO `lang_definitions` VALUES (40098, 5034, 8, 'inhalations');
INSERT INTO `lang_definitions` VALUES (40099, 5039, 8, 'Utilisateur initial');
INSERT INTO `lang_definitions` VALUES (40100, 5042, 8, 'Injectables');
INSERT INTO `lang_definitions` VALUES (40101, 5043, 8, 'Injection');
INSERT INTO `lang_definitions` VALUES (40102, 5044, 8, 'Partie du corps blessée');
INSERT INTO `lang_definitions` VALUES (40103, 5046, 8, 'Blessure');
INSERT INTO `lang_definitions` VALUES (40104, 5047, 8, 'Méchanisme de blessure');
INSERT INTO `lang_definitions` VALUES (40105, 5048, 8, 'Rapport de la blessure vue d\'ensemble');
INSERT INTO `lang_definitions` VALUES (40106, 5049, 8, 'Surveillance de la blessure');
INSERT INTO `lang_definitions` VALUES (40107, 5050, 8, 'Type de blessure');
INSERT INTO `lang_definitions` VALUES (40108, 5051, 8, 'Lié a la blessure/maladie');
INSERT INTO `lang_definitions` VALUES (40109, 5056, 8, 'Champs à insérer');
INSERT INTO `lang_definitions` VALUES (40110, 5058, 8, 'Ins 1');
INSERT INTO `lang_definitions` VALUES (40111, 5059, 8, 'Ins 2 ou Ins 3');
INSERT INTO `lang_definitions` VALUES (40112, 5060, 8, 'Adresse de l\'ins');
INSERT INTO `lang_definitions` VALUES (40113, 5063, 8, 'Code de l\'ins');
INSERT INTO `lang_definitions` VALUES (40114, 5064, 8, 'Groupe e l\'ins');
INSERT INTO `lang_definitions` VALUES (40115, 5065, 8, 'Nom de l\'ins');
INSERT INTO `lang_definitions` VALUES (40116, 5066, 8, 'Sur-payement de l\'ins');
INSERT INTO `lang_definitions` VALUES (40117, 5067, 8, 'Politique de l\'ins');
INSERT INTO `lang_definitions` VALUES (40118, 5068, 8, 'Rembourcement de l\'ins');
INSERT INTO `lang_definitions` VALUES (40119, 5069, 8, 'Résumé de l\'ins');
INSERT INTO `lang_definitions` VALUES (40120, 5071, 8, 'Ins1');
INSERT INTO `lang_definitions` VALUES (40121, 5072, 8, 'Ins2');
INSERT INTO `lang_definitions` VALUES (40122, 5073, 8, 'Ins3');
INSERT INTO `lang_definitions` VALUES (40123, 5075, 8, 'Insertion échoué:');
INSERT INTO `lang_definitions` VALUES (40124, 5079, 8, 'Insertion d\'anciens evenements dans les tables');
INSERT INTO `lang_definitions` VALUES (40125, 5085, 8, 'Insomnie');
INSERT INTO `lang_definitions` VALUES (40126, 5086, 8, 'Inspecter les logs');
INSERT INTO `lang_definitions` VALUES (40127, 5087, 8, 'Inspection');
INSERT INTO `lang_definitions` VALUES (40128, 5088, 8, 'Instabilité / sous-luxation');
INSERT INTO `lang_definitions` VALUES (40129, 5089, 8, 'INSTALLER');
INSERT INTO `lang_definitions` VALUES (40130, 5090, 8, 'Installer');
INSERT INTO `lang_definitions` VALUES (40131, 5093, 8, 'installer DB');
INSERT INTO `lang_definitions` VALUES (40132, 5100, 8, 'Version installée');
INSERT INTO `lang_definitions` VALUES (40133, 5102, 8, 'Instruit');
INSERT INTO `lang_definitions` VALUES (40134, 5103, 8, 'Instruction');
INSERT INTO `lang_definitions` VALUES (40135, 5105, 8, 'Instructions:');
INSERT INTO `lang_definitions` VALUES (40136, 5107, 8, 'Stock insufisant pour le produit d\'identifiant');
INSERT INTO `lang_definitions` VALUES (40137, 5108, 8, 'Diabètes necessitant de l\'insuline');
INSERT INTO `lang_definitions` VALUES (40138, 5109, 8, 'Assurance');
INSERT INTO `lang_definitions` VALUES (40139, 5110, 8, 'assurance');
INSERT INTO `lang_definitions` VALUES (40140, 5114, 8, 'Balance de l\'assurance');
INSERT INTO `lang_definitions` VALUES (40141, 5115, 8, 'Balance de l\'assurance dû');
INSERT INTO `lang_definitions` VALUES (40142, 5116, 8, 'Comp d\'assurance');
INSERT INTO `lang_definitions` VALUES (40143, 5117, 8, 'Companies d\'assurance');
INSERT INTO `lang_definitions` VALUES (40144, 5118, 8, 'Companie d\'assurance');
INSERT INTO `lang_definitions` VALUES (40145, 5119, 8, 'Rechercher/Ajouter une companie d\'assurance');
INSERT INTO `lang_definitions` VALUES (40146, 5121, 8, 'Données de l\'assurance');
INSERT INTO `lang_definitions` VALUES (40147, 5124, 8, 'Information sur l\'assurance dans le fichier');
INSERT INTO `lang_definitions` VALUES (40148, 5126, 8, 'Numéros d\'assurance');
INSERT INTO `lang_definitions` VALUES (40149, 5127, 8, 'Payement de l\'assurance');
INSERT INTO `lang_definitions` VALUES (40150, 5129, 8, 'Fournisseur de l\'assurance');
INSERT INTO `lang_definitions` VALUES (40151, 5133, 8, 'Assuré');
INSERT INTO `lang_definitions` VALUES (40152, 5138, 8, 'Déclin intellectuel');
INSERT INTO `lang_definitions` VALUES (40153, 5149, 8, 'Erreur interne - aucune pages ont été sélectionner!');
INSERT INTO `lang_definitions` VALUES (40154, 5150, 8, 'Erreur interne - l\'ID du patient n\'a pas été fournis!');
INSERT INTO `lang_definitions` VALUES (40155, 5151, 8, 'Erreur interne durant l\'accès au fichier téléversé!');
INSERT INTO `lang_definitions` VALUES (40156, 5153, 8, 'Erreur interne!');
INSERT INTO `lang_definitions` VALUES (40157, 5154, 8, 'Erreur interne, aucun identifant de médicament spécifié');
INSERT INTO `lang_definitions` VALUES (40158, 5156, 8, 'Erreur interne: réclamation');
INSERT INTO `lang_definitions` VALUES (40159, 5157, 8, 'Erreur interne: rencontre');
INSERT INTO `lang_definitions` VALUES (40160, 5158, 8, 'Erreur interne: le pid ou la rencontre manque.');
INSERT INTO `lang_definitions` VALUES (40161, 5159, 8, 'Erreur interne: nous n\'avons pas l\'air d\'être dans une rencontre');
INSERT INTO `lang_definitions` VALUES (40162, 5160, 8, 'Identifiant interne (pid)');
INSERT INTO `lang_definitions` VALUES (40163, 5163, 8, 'Envois interne');
INSERT INTO `lang_definitions` VALUES (40164, 5164, 8, 'Temps interne colllecté');
INSERT INTO `lang_definitions` VALUES (40165, 5165, 8, 'Devoir international');
INSERT INTO `lang_definitions` VALUES (40166, 5167, 8, 'interprète');
INSERT INTO `lang_definitions` VALUES (40167, 5168, 8, 'Besoin d\'un interprète ?');
INSERT INTO `lang_definitions` VALUES (40168, 5169, 8, 'Maladie des interstices du poumon');
INSERT INTO `lang_definitions` VALUES (40169, 5170, 8, 'Intervale');
INSERT INTO `lang_definitions` VALUES (40170, 5171, 8, 'Intervale (minutes)');
INSERT INTO `lang_definitions` VALUES (40171, 5172, 8, 'Intervale entre les verification des messages (mettre à 0 seulement pour les verifications manuels)');
INSERT INTO `lang_definitions` VALUES (40172, 5173, 8, 'Opération');
INSERT INTO `lang_definitions` VALUES (40173, 5174, 8, 'Opération fournis');
INSERT INTO `lang_definitions` VALUES (40174, 5175, 8, 'Intolérance');
INSERT INTO `lang_definitions` VALUES (40175, 5178, 8, 'Intramusculaire');
INSERT INTO `lang_definitions` VALUES (40176, 5181, 8, 'Intraveineuse');
INSERT INTO `lang_definitions` VALUES (40177, 5182, 8, 'Introduction');
INSERT INTO `lang_definitions` VALUES (40178, 5185, 8, 'Caractère invalide dans');
INSERT INTO `lang_definitions` VALUES (40179, 5195, 8, 'Taille invalide pour');
INSERT INTO `lang_definitions` VALUES (40180, 5196, 8, 'Caractère non numérique invalide dans');
INSERT INTO `lang_definitions` VALUES (40181, 5199, 8, 'Adresse du destinataire invaide. S\'il vous plait essayez encore.');
INSERT INTO `lang_definitions` VALUES (40182, 5200, 8, 'Codes service invalident');
INSERT INTO `lang_definitions` VALUES (40183, 5201, 8, 'Source désignée invalide \"');
INSERT INTO `lang_definitions` VALUES (40184, 5203, 8, 'Nom d\'utilisateur ou mot de passe invalide');
INSERT INTO `lang_definitions` VALUES (40185, 5205, 8, 'Inventaire');
INSERT INTO `lang_definitions` VALUES (40186, 5206, 8, 'Activité de l\'inventaire');
INSERT INTO `lang_definitions` VALUES (40187, 5207, 8, 'Inventaire et vente de médicaments et d\'autres produits');
INSERT INTO `lang_definitions` VALUES (40188, 5208, 8, 'Inventaire et ventes de médicament seulement');
INSERT INTO `lang_definitions` VALUES (40189, 5209, 8, 'L\'inventaire n\'est pas disponible pour cette commande.');
INSERT INTO `lang_definitions` VALUES (40190, 5210, 8, 'Liste d\'inventaire');
INSERT INTO `lang_definitions` VALUES (40191, 5211, 8, 'Transactions d\'inventaire');
INSERT INTO `lang_definitions` VALUES (40192, 5212, 8, 'Facture');
INSERT INTO `lang_definitions` VALUES (40193, 5213, 8, 'facture');
INSERT INTO `lang_definitions` VALUES (40194, 5215, 8, 'Balance de facturation');
INSERT INTO `lang_definitions` VALUES (40195, 5216, 8, 'La balance de facturation ne peut pas être posté. Aucune rencontre est créée');
INSERT INTO `lang_definitions` VALUES (40196, 5217, 8, 'Date de facturation');
INSERT INTO `lang_definitions` VALUES (40197, 5219, 8, 'La facturaton n\'a pas de date!');
INSERT INTO `lang_definitions` VALUES (40198, 5220, 8, 'Nombre de la facturation');
INSERT INTO `lang_definitions` VALUES (40199, 5221, 8, 'Nombre de référence de la facturation');
INSERT INTO `lang_definitions` VALUES (40200, 5226, 8, 'Facturation:');
INSERT INTO `lang_definitions` VALUES (40201, 5249, 8, 'Battement de corps irrégulier');
INSERT INTO `lang_definitions` VALUES (40202, 5250, 8, 'Irritabilité');
INSERT INTO `lang_definitions` VALUES (40203, 5251, 8, 'Irritation');
INSERT INTO `lang_definitions` VALUES (40204, 5252, 8, 'est une version différente du langage de la base de donnée suivante');
INSERT INTO `lang_definitions` VALUES (40205, 5253, 8, 'est une version différente de la base de donnée suivante');
INSERT INTO `lang_definitions` VALUES (40206, 5254, 8, 'est une version plus récente de la base de donnée suivant');
INSERT INTO `lang_definitions` VALUES (40207, 5256, 8, 'est un champ requis.');
INSERT INTO `lang_definitions` VALUES (40208, 5258, 8, 'est une extension de la base de donnée suivante');
INSERT INTO `lang_definitions` VALUES (40209, 5263, 8, 'est malplacé ou inconnu');
INSERT INTO `lang_definitions` VALUES (40210, 5265, 8, 'n\'est pas une adresse email valide');
INSERT INTO `lang_definitions` VALUES (40211, 5266, 8, 'non sélectionné');
INSERT INTO `lang_definitions` VALUES (40212, 5267, 8, 'invalide');
INSERT INTO `lang_definitions` VALUES (40213, 5268, 8, 'est non valide (les fractions décimale sont OK).');
INSERT INTO `lang_definitions` VALUES (40214, 5269, 8, 'Est PHP utilisant le mode de sureté?');
INSERT INTO `lang_definitions` VALUES (40215, 5275, 8, 'Le fichier est il chiffré ?');
INSERT INTO `lang_definitions` VALUES (40216, 5276, 8, 'Est un type de code pour un terme clinique?');
INSERT INTO `lang_definitions` VALUES (40217, 5277, 8, 'Est un type de diagnistic?');
INSERT INTO `lang_definitions` VALUES (40218, 5278, 8, 'Est un type de code pour un problème médicale?');
INSERT INTO `lang_definitions` VALUES (40219, 5280, 8, 'Est un type de procedure/service?');
INSERT INTO `lang_definitions` VALUES (40220, 5281, 8, 'Est actif?');
INSERT INTO `lang_definitions` VALUES (40221, 5282, 8, 'Ce type de code est-il actif?');
INSERT INTO `lang_definitions` VALUES (40222, 5283, 8, 'Ce type de code est-il utilisé dans les demandes?');
INSERT INTO `lang_definitions` VALUES (40223, 5286, 8, 'Ce type de code est-il actif?');
INSERT INTO `lang_definitions` VALUES (40224, 5287, 8, 'Est ce que ca utilise des tables sql externe? Si oui, alors choissiez le format.');
INSERT INTO `lang_definitions` VALUES (40225, 5288, 8, 'est trop long');
INSERT INTO `lang_definitions` VALUES (40226, 5290, 8, 'Diagnostic');
INSERT INTO `lang_definitions` VALUES (40227, 5291, 8, 'Diagnostic');
INSERT INTO `lang_definitions` VALUES (40228, 5292, 8, 'Date du problème');
INSERT INTO `lang_definitions` VALUES (40229, 5293, 8, 'ID Diagnostic');
INSERT INTO `lang_definitions` VALUES (40230, 5295, 8, 'Titre du problème');
INSERT INTO `lang_definitions` VALUES (40231, 5296, 8, 'Type du problème');
INSERT INTO `lang_definitions` VALUES (40232, 5297, 8, 'Type de problèmes');
INSERT INTO `lang_definitions` VALUES (40233, 5298, 8, 'Diagnostics');
INSERT INTO `lang_definitions` VALUES (40234, 5299, 8, 'Problèmes (Blessures/Medicale/Alergies)');
INSERT INTO `lang_definitions` VALUES (40235, 5300, 8, 'Problèmes (Blessures/Medicale/Alergies):');
INSERT INTO `lang_definitions` VALUES (40236, 5302, 8, 'Diagnostics et Visites');
INSERT INTO `lang_definitions` VALUES (40237, 5303, 8, 'Diagnostics et visites pour');
INSERT INTO `lang_definitions` VALUES (40238, 5307, 8, 'Liste des diagnostics');
INSERT INTO `lang_definitions` VALUES (40239, 5308, 8, 'Diagnosticss non autorisés');
INSERT INTO `lang_definitions` VALUES (40240, 5309, 8, 'Section Diagnostics');
INSERT INTO `lang_definitions` VALUES (40241, 5364, 8, 'Italien');
INSERT INTO `lang_definitions` VALUES (40242, 5365, 8, 'Article');
INSERT INTO `lang_definitions` VALUES (40243, 5366, 8, 'article');
INSERT INTO `lang_definitions` VALUES (40244, 5368, 8, 'articles');
INSERT INTO `lang_definitions` VALUES (40245, 5369, 8, 'Chargement d\'Articles a échoué');
INSERT INTO `lang_definitions` VALUES (40246, 5375, 8, 'janv.');
INSERT INTO `lang_definitions` VALUES (40247, 5376, 8, 'Janvier');
INSERT INTO `lang_definitions` VALUES (40248, 5377, 8, 'Japonais');
INSERT INTO `lang_definitions` VALUES (40249, 5378, 8, 'Jaunisse');
INSERT INTO `lang_definitions` VALUES (40250, 5380, 8, 'Description de la Tâche');
INSERT INTO `lang_definitions` VALUES (40251, 5381, 8, 'ID Tâche');
INSERT INTO `lang_definitions` VALUES (40252, 5382, 8, 'Dislocations conjointe');
INSERT INTO `lang_definitions` VALUES (40253, 5383, 8, 'Douleurs articulaires');
INSERT INTO `lang_definitions` VALUES (40254, 5384, 8, 'Entorses conjointe');
INSERT INTO `lang_definitions` VALUES (40255, 5385, 8, 'juil.');
INSERT INTO `lang_definitions` VALUES (40256, 5386, 8, 'Juillet');
INSERT INTO `lang_definitions` VALUES (40257, 5388, 8, 'juin');
INSERT INTO `lang_definitions` VALUES (40258, 5389, 8, 'Juin');
INSERT INTO `lang_definitions` VALUES (40259, 5390, 8, 'Juste en dessous l\'information vérifié est une zone bleu ou vous mettez vos paramètres de recherche. Vous pouvez chercher en fonction du nom du patient, du numéro de graphique, du numéro de rencontre ou de la date de service, or n\'importe quel combinaison. Vous pouvez aussi selectionner ce que vous voullez pour voir toutes les facturations, les facturations ouverte, ou seulement les facturation non payées (par le patient). Cliquez sur le bouton Rechercher pour effectuer la recherche.');
INSERT INTO `lang_definitions` VALUES (40260, 5391, 8, 'Seulement mien');
INSERT INTO `lang_definitions` VALUES (40261, 5392, 8, 'Entrée de la justification');
INSERT INTO `lang_definitions` VALUES (40262, 5393, 8, 'Justifier');
INSERT INTO `lang_definitions` VALUES (40263, 5396, 8, 'Justifier/Sauvegarder');
INSERT INTO `lang_definitions` VALUES (40264, 5407, 8, 'Clef');
INSERT INTO `lang_definitions` VALUES (40265, 5411, 8, 'Mots clef');
INSERT INTO `lang_definitions` VALUES (40266, 5412, 8, 'kg');
INSERT INTO `lang_definitions` VALUES (40267, 5413, 8, 'kg/m^2');
INSERT INTO `lang_definitions` VALUES (40268, 5415, 8, 'Cancer du rein');
INSERT INTO `lang_definitions` VALUES (40269, 5416, 8, 'Deficiance du rein');
INSERT INTO `lang_definitions` VALUES (40270, 5417, 8, 'Infections du rein');
INSERT INTO `lang_definitions` VALUES (40271, 5418, 8, 'Calculs rénale');
INSERT INTO `lang_definitions` VALUES (40272, 5419, 8, 'Transplantation de rein');
INSERT INTO `lang_definitions` VALUES (40273, 5425, 8, 'Genoux');
INSERT INTO `lang_definitions` VALUES (40274, 5426, 8, 'Problème au genoux');
INSERT INTO `lang_definitions` VALUES (40275, 5427, 8, 'Remplacement du genoux');
INSERT INTO `lang_definitions` VALUES (40276, 5430, 8, 'Coréen');
INSERT INTO `lang_definitions` VALUES (40277, 5434, 8, 'Lab');
INSERT INTO `lang_definitions` VALUES (40278, 5442, 8, 'Status de la requete pour le laboratoire');
INSERT INTO `lang_definitions` VALUES (40279, 5444, 8, 'Rapport du laboratoire');
INSERT INTO `lang_definitions` VALUES (40280, 5445, 8, 'Résultat de laboratoire');
INSERT INTO `lang_definitions` VALUES (40281, 5446, 8, 'Résultats de laboratoire');
INSERT INTO `lang_definitions` VALUES (40282, 5449, 8, 'Rapport des résultats du laboratoire');
INSERT INTO `lang_definitions` VALUES (40283, 5450, 8, 'Service du laboratoire');
INSERT INTO `lang_definitions` VALUES (40284, 5451, 8, 'Résultats des tests fait par le laboratoire');
INSERT INTO `lang_definitions` VALUES (40285, 5453, 8, 'Étiquette');
INSERT INTO `lang_definitions` VALUES (40286, 5454, 8, 'L\'étiquette ne peut pas être vide');
INSERT INTO `lang_definitions` VALUES (40287, 5456, 8, 'Étiquette pour ce type');
INSERT INTO `lang_definitions` VALUES (40288, 5459, 8, 'Étiquettes');
INSERT INTO `lang_definitions` VALUES (40289, 5463, 8, 'Laboratoire');
INSERT INTO `lang_definitions` VALUES (40290, 5464, 8, 'Lacération / problèmes de peau');
INSERT INTO `lang_definitions` VALUES (40291, 5465, 8, 'Lacération/abrasion');
INSERT INTO `lang_definitions` VALUES (40292, 5471, 8, 'Langue');
INSERT INTO `lang_definitions` VALUES (40293, 5472, 8, 'Code de la langue');
INSERT INTO `lang_definitions` VALUES (40294, 5473, 8, 'Définition de la langue ajouté');
INSERT INTO `lang_definitions` VALUES (40295, 5476, 8, 'Liste des langues (écriture, ajout seulement optionnel)');
INSERT INTO `lang_definitions` VALUES (40296, 5478, 8, 'Nom de la langue');
INSERT INTO `lang_definitions` VALUES (40297, 5479, 8, 'langue:');
INSERT INTO `lang_definitions` VALUES (40298, 5481, 8, 'Laotien');
INSERT INTO `lang_definitions` VALUES (40299, 5485, 8, 'Dernier');
INSERT INTO `lang_definitions` VALUES (40300, 5486, 8, 'Date de la dernière activité');
INSERT INTO `lang_definitions` VALUES (40301, 5489, 8, 'Date de la dernière facturation:');
INSERT INTO `lang_definitions` VALUES (40302, 5491, 8, 'Dernière année du calendrier');
INSERT INTO `lang_definitions` VALUES (40303, 5495, 8, 'Dernière rencontre');
INSERT INTO `lang_definitions` VALUES (40304, 5506, 8, 'Mois dernier');
INSERT INTO `lang_definitions` VALUES (40305, 5507, 8, 'Nom de Famille');
INSERT INTO `lang_definitions` VALUES (40306, 5508, 8, 'Nom de famille');
INSERT INTO `lang_definitions` VALUES (40307, 5513, 8, 'Nom de Famille:');
INSERT INTO `lang_definitions` VALUES (40308, 5517, 8, 'Dernière révision');
INSERT INTO `lang_definitions` VALUES (40309, 5519, 8, 'Dernière savegarde');
INSERT INTO `lang_definitions` VALUES (40310, 5525, 8, 'Dernière modification par');
INSERT INTO `lang_definitions` VALUES (40311, 5526, 8, 'Dernière verification sur');
INSERT INTO `lang_definitions` VALUES (40312, 5527, 8, 'Dernière visite');
INSERT INTO `lang_definitions` VALUES (40313, 5530, 8, 'Dernière récurrence (2-12 Mo)');
INSERT INTO `lang_definitions` VALUES (40314, 5531, 8, 'Maléolle latérale');
INSERT INTO `lang_definitions` VALUES (40315, 5532, 8, 'Maléolle latérale:');
INSERT INTO `lang_definitions` VALUES (40316, 5533, 8, 'Latéralité');
INSERT INTO `lang_definitions` VALUES (40317, 5563, 8, 'Colopathie fonctionnelle');
INSERT INTO `lang_definitions` VALUES (40318, 5573, 8, 'Laissez vide si encore actif');
INSERT INTO `lang_definitions` VALUES (40319, 5574, 8, 'Laissez vide pour garder le nom du fichier originel');
INSERT INTO `lang_definitions` VALUES (40320, 5575, 8, 'Laissez vide pour ne pas changer le mot de passe');
INSERT INTO `lang_definitions` VALUES (40321, 5580, 8, 'Laissez un message avec');
INSERT INTO `lang_definitions` VALUES (40322, 5582, 8, 'Laissez le formulaire');
INSERT INTO `lang_definitions` VALUES (40323, 5583, 8, 'Laisser le long mot de passe vide ne vas pas chiffrer le document');
INSERT INTO `lang_definitions` VALUES (40324, 5584, 8, 'Contabilidade');
INSERT INTO `lang_definitions` VALUES (40325, 5585, 8, 'Contabilidade - Sumariza todas as cobranças, pagamentos, ajustes e balanços de todos os encontros pertencentes ao utente');
INSERT INTO `lang_definitions` VALUES (40326, 5586, 8, 'Gauche');
INSERT INTO `lang_definitions` VALUES (40327, 5589, 8, 'Oreille Gauche');
INSERT INTO `lang_definitions` VALUES (40328, 5590, 8, 'oreille gauche');
INSERT INTO `lang_definitions` VALUES (40329, 5599, 8, 'Gauche:');
INSERT INTO `lang_definitions` VALUES (40330, 5600, 8, 'Gauche:');
INSERT INTO `lang_definitions` VALUES (40331, 5601, 8, 'Douleur à la jambe/Crampe');
INSERT INTO `lang_definitions` VALUES (40332, 5602, 8, 'Legale');
INSERT INTO `lang_definitions` VALUES (40333, 5604, 8, 'Taille Legale du papier');
INSERT INTO `lang_definitions` VALUES (40334, 5605, 8, 'Legende:');
INSERT INTO `lang_definitions` VALUES (40335, 5606, 8, 'Longueur');
INSERT INTO `lang_definitions` VALUES (40336, 5613, 8, 'Plus petit que');
INSERT INTO `lang_definitions` VALUES (40337, 5614, 8, 'Plus petit ou égale à');
INSERT INTO `lang_definitions` VALUES (40338, 5620, 8, 'Lettre');
INSERT INTO `lang_definitions` VALUES (40339, 5621, 8, 'Générateur de lettre');
INSERT INTO `lang_definitions` VALUES (40340, 5622, 8, 'Taille du papier à lettre');
INSERT INTO `lang_definitions` VALUES (40341, 5623, 8, 'Entête que les médecins signent');
INSERT INTO `lang_definitions` VALUES (40342, 5624, 8, 'Entête que les patients signent');
INSERT INTO `lang_definitions` VALUES (40343, 5627, 8, 'Niveau d\'urgence');
INSERT INTO `lang_definitions` VALUES (40344, 5633, 8, 'Permis/Carte ID');
INSERT INTO `lang_definitions` VALUES (40345, 5644, 8, 'Style de vie');
INSERT INTO `lang_definitions` VALUES (40346, 5646, 8, 'Satus du style de vie');
INSERT INTO `lang_definitions` VALUES (40347, 5647, 8, 'déchirrement du ligament ou entorse');
INSERT INTO `lang_definitions` VALUES (40348, 5648, 8, 'Petit fumeur de tabac');
INSERT INTO `lang_definitions` VALUES (40349, 5651, 8, 'Limite des évenements');
INSERT INTO `lang_definitions` VALUES (40350, 5654, 8, 'Limites');
INSERT INTO `lang_definitions` VALUES (40351, 5657, 8, 'Lien');
INSERT INTO `lang_definitions` VALUES (40352, 5658, 8, 'Lien au patient');
INSERT INTO `lang_definitions` VALUES (40353, 5660, 8, 'Lié');
INSERT INTO `lang_definitions` VALUES (40354, 5661, 8, 'Document lié');
INSERT INTO `lang_definitions` VALUES (40355, 5662, 8, 'Ordre de procédure lié');
INSERT INTO `lang_definitions` VALUES (40356, 5663, 8, 'Lié au document');
INSERT INTO `lang_definitions` VALUES (40357, 5664, 8, 'Lié à l\'ordre de procédure');
INSERT INTO `lang_definitions` VALUES (40358, 5665, 8, 'Liste');
INSERT INTO `lang_definitions` VALUES (40359, 5666, 8, 'Boite de liste');
INSERT INTO `lang_definitions` VALUES (40360, 5667, 8, 'boite de liste');
INSERT INTO `lang_definitions` VALUES (40361, 5671, 8, 'Editeur de liste');
INSERT INTO `lang_definitions` VALUES (40362, 5672, 8, 'Liste des rencontres');
INSERT INTO `lang_definitions` VALUES (40363, 5674, 8, 'Liste des groupes');
INSERT INTO `lang_definitions` VALUES (40364, 5675, 8, 'Liste des compagnies d\'assurance');
INSERT INTO `lang_definitions` VALUES (40365, 5677, 8, 'La liste d\'élements ne peux pas commencer avec un nombre.');
INSERT INTO `lang_definitions` VALUES (40366, 5678, 8, 'La liste d\'élements contient un/des caractères illegale/illegaux');
INSERT INTO `lang_definitions` VALUES (40367, 5680, 8, 'Liste de listes');
INSERT INTO `lang_definitions` VALUES (40368, 5682, 8, 'Liste de noms');
INSERT INTO `lang_definitions` VALUES (40369, 5683, 8, 'Liste de noms ne peux pas commencer par un nombres.');
INSERT INTO `lang_definitions` VALUES (40370, 5688, 8, 'Liste de prescriptions');
INSERT INTO `lang_definitions` VALUES (40371, 5693, 8, 'Listes');
INSERT INTO `lang_definitions` VALUES (40372, 5695, 8, 'Lithuanien');
INSERT INTO `lang_definitions` VALUES (40373, 5708, 8, 'Charger les collections');
INSERT INTO `lang_definitions` VALUES (40374, 5709, 8, 'Charger les définitions');
INSERT INTO `lang_definitions` VALUES (40375, 5711, 8, 'Charger la configuration du laboratoire');
INSERT INTO `lang_definitions` VALUES (40376, 5713, 8, 'Charger l\'ordre des definitions');
INSERT INTO `lang_definitions` VALUES (40377, 5714, 8, 'Charger l\'ordre des questions entré');
INSERT INTO `lang_definitions` VALUES (40378, 5717, 8, 'CHARGEMENT');
INSERT INTO `lang_definitions` VALUES (40379, 5721, 8, 'Chargement des fichiers dans la base de donnée. Ceci va prendre du temps...');
INSERT INTO `lang_definitions` VALUES (40380, 5724, 8, 'Locale');
INSERT INTO `lang_definitions` VALUES (40381, 5728, 8, 'Locale');
INSERT INTO `lang_definitions` VALUES (40382, 5729, 8, 'Localité');
INSERT INTO `lang_definitions` VALUES (40383, 5730, 8, 'Location');
INSERT INTO `lang_definitions` VALUES (40384, 5731, 8, 'location de la machine openemr et peut contenir des données sensible, il est recommendé de supprimer manuelement les fichiers après leurs utilisation');
INSERT INTO `lang_definitions` VALUES (40385, 5732, 8, 'Location de ce lot');
INSERT INTO `lang_definitions` VALUES (40386, 5733, 8, 'Location non spécifié');
INSERT INTO `lang_definitions` VALUES (40387, 5734, 8, 'Location ou Hylafax stock les faxes.');
INSERT INTO `lang_definitions` VALUES (40388, 5735, 8, 'Location ou les scans sont stocké.');
INSERT INTO `lang_definitions` VALUES (40389, 5736, 8, 'Location:');
INSERT INTO `lang_definitions` VALUES (40390, 5737, 8, 'Verrous');
INSERT INTO `lang_definitions` VALUES (40391, 5745, 8, 'Connexion');
INSERT INTO `lang_definitions` VALUES (40392, 5746, 8, 'Connexion');
INSERT INTO `lang_definitions` VALUES (40393, 5749, 8, 'Déconnexion');
INSERT INTO `lang_definitions` VALUES (40394, 5752, 8, 'Connecté');
INSERT INTO `lang_definitions` VALUES (40395, 5753, 8, 'Connecté comme');
INSERT INTO `lang_definitions` VALUES (40396, 5754, 8, 'Connecté comme:');
INSERT INTO `lang_definitions` VALUES (40397, 5755, 8, 'Déconnecté');
INSERT INTO `lang_definitions` VALUES (40398, 5756, 8, 'Connecté');
INSERT INTO `lang_definitions` VALUES (40399, 5757, 8, 'Connexion');
INSERT INTO `lang_definitions` VALUES (40400, 5758, 8, 'Connexion');
INSERT INTO `lang_definitions` VALUES (40401, 5763, 8, 'Connexion a un hôte distant');
INSERT INTO `lang_definitions` VALUES (40402, 5764, 8, 'Connexion a cet hôte distant a échoué');
INSERT INTO `lang_definitions` VALUES (40403, 5768, 8, 'Déconnexion');
INSERT INTO `lang_definitions` VALUES (40404, 5769, 8, 'déconnexion');
INSERT INTO `lang_definitions` VALUES (40405, 5770, 8, 'Logs');
INSERT INTO `lang_definitions` VALUES (40406, 5771, 8, 'Afficheur des logs');
INSERT INTO `lang_definitions` VALUES (40407, 5777, 8, 'Lot');
INSERT INTO `lang_definitions` VALUES (40408, 5778, 8, 'L\'ID du lot est manquante!');
INSERT INTO `lang_definitions` VALUES (40409, 5779, 8, 'Numéro du lot');
INSERT INTO `lang_definitions` VALUES (40410, 5780, 8, 'Faible');
INSERT INTO `lang_definitions` VALUES (40411, 5781, 8, 'Faible priorité');
INSERT INTO `lang_definitions` VALUES (40412, 5782, 8, 'mollet');
INSERT INTO `lang_definitions` VALUES (40413, 5784, 8, 'Priorité minimun');
INSERT INTO `lang_definitions` VALUES (40414, 5791, 8, 'Colonne lombaire');
INSERT INTO `lang_definitions` VALUES (40415, 5792, 8, 'Déjeuner');
INSERT INTO `lang_definitions` VALUES (40416, 5793, 8, 'Déjeuner');
INSERT INTO `lang_definitions` VALUES (40417, 5794, 8, 'Cancer du Poummon');
INSERT INTO `lang_definitions` VALUES (40418, 5795, 8, 'Chirurgie du Cancer de poumon');
INSERT INTO `lang_definitions` VALUES (40419, 5796, 8, 'POUMMONS:');
INSERT INTO `lang_definitions` VALUES (40420, 5797, 8, 'Poummons:');
INSERT INTO `lang_definitions` VALUES (40421, 5798, 8, 'Lupus');
INSERT INTO `lang_definitions` VALUES (40422, 5812, 8, 'Courriel envoyé');
INSERT INTO `lang_definitions` VALUES (40423, 5814, 8, 'Principale');
INSERT INTO `lang_definitions` VALUES (40424, 5815, 8, 'Adresse principale');
INSERT INTO `lang_definitions` VALUES (40425, 5824, 8, 'Maintenir actif la liste d\'allergie médicale');
INSERT INTO `lang_definitions` VALUES (40426, 5825, 8, 'Maintenir actif la liste des médicaments');
INSERT INTO `lang_definitions` VALUES (40427, 5826, 8, 'Maintenir une liste à jour de problèmes des diagnostics actif');
INSERT INTO `lang_definitions` VALUES (40428, 5827, 8, 'Faire les modifications sur les catégories actuel.');
INSERT INTO `lang_definitions` VALUES (40429, 5828, 8, 'Faire un nouveau rendez-vous pour');
INSERT INTO `lang_definitions` VALUES (40430, 5834, 8, 'Malaise:');
INSERT INTO `lang_definitions` VALUES (40431, 5837, 8, 'Masculin');
INSERT INTO `lang_definitions` VALUES (40432, 5838, 8, 'Préservatifs Masculin');
INSERT INTO `lang_definitions` VALUES (40433, 5841, 8, 'Mammographie');
INSERT INTO `lang_definitions` VALUES (40434, 5842, 8, 'Gérer');
INSERT INTO `lang_definitions` VALUES (40435, 5850, 8, 'Gérer les traductions');
INSERT INTO `lang_definitions` VALUES (40436, 5851, 8, 'Gestion');
INSERT INTO `lang_definitions` VALUES (40437, 5854, 8, 'Les champs obligatoires et spécifiés');
INSERT INTO `lang_definitions` VALUES (40438, 5855, 8, 'Les champs obligatoires ou spécifié, contrôle de dup, pas de recherche');
INSERT INTO `lang_definitions` VALUES (40439, 5856, 8, 'Les champs obligatoires ou spécifié, recherche et contrôle de dup');
INSERT INTO `lang_definitions` VALUES (40440, 5859, 8, 'Manuel');
INSERT INTO `lang_definitions` VALUES (40441, 5860, 8, 'Postage Manuel');
INSERT INTO `lang_definitions` VALUES (40442, 5864, 8, 'Fabriquant');
INSERT INTO `lang_definitions` VALUES (40443, 5870, 8, 'mars');
INSERT INTO `lang_definitions` VALUES (40444, 5874, 8, 'Mars');
INSERT INTO `lang_definitions` VALUES (40445, 5877, 8, 'État civil');
INSERT INTO `lang_definitions` VALUES (40446, 5880, 8, 'Marquer comme facturés, mais la facturation est ignoré');
INSERT INTO `lang_definitions` VALUES (40447, 5881, 8, 'Marquer comme réglé');
INSERT INTO `lang_definitions` VALUES (40448, 5882, 8, 'Marquer comme non facturées');
INSERT INTO `lang_definitions` VALUES (40449, 5885, 8, 'Marquer ces rapports comme relue');
INSERT INTO `lang_definitions` VALUES (40450, 5886, 8, 'Marquer comme réglé');
INSERT INTO `lang_definitions` VALUES (40451, 5887, 8, 'Marié');
INSERT INTO `lang_definitions` VALUES (40452, 5889, 8, 'Masque');
INSERT INTO `lang_definitions` VALUES (40453, 5890, 8, 'Masque pour les numéros de facturation');
INSERT INTO `lang_definitions` VALUES (40454, 5891, 8, 'Masque pour les ID Patient');
INSERT INTO `lang_definitions` VALUES (40455, 5892, 8, 'Masque pour les ID de produit');
INSERT INTO `lang_definitions` VALUES (40456, 5894, 8, 'Correspond');
INSERT INTO `lang_definitions` VALUES (40457, 5907, 8, 'Max');
INSERT INTO `lang_definitions` VALUES (40458, 5912, 8, 'Maxillaire droit:');
INSERT INTO `lang_definitions` VALUES (40459, 5913, 8, 'Age maximum');
INSERT INTO `lang_definitions` VALUES (40460, 5914, 8, 'Nombre de caractères maximun');
INSERT INTO `lang_definitions` VALUES (40461, 5917, 8, 'Le temps maximum d\'inactivité en secondes avant la déconnexion. Par défaut est 7200 (2 heures).');
INSERT INTO `lang_definitions` VALUES (40462, 5920, 8, 'Inventaire maximale raisonnable, 0 si non applicable');
INSERT INTO `lang_definitions` VALUES (40463, 5921, 8, 'Taille maximum');
INSERT INTO `lang_definitions` VALUES (40464, 5922, 8, 'Taille maximum (entré 0 n\'autorisera aucune taille');
INSERT INTO `lang_definitions` VALUES (40465, 5924, 8, 'Mai');
INSERT INTO `lang_definitions` VALUES (40466, 5929, 8, 'Aucun des trois dernier mot de passe ne sont autorisé lors du changement de mot de passe.');
INSERT INTO `lang_definitions` VALUES (40467, 5931, 8, 'Code du groupe de mesure');
INSERT INTO `lang_definitions` VALUES (40468, 5933, 8, 'Mesure');
INSERT INTO `lang_definitions` VALUES (40469, 5939, 8, 'Malléole interne:');
INSERT INTO `lang_definitions` VALUES (40470, 5940, 8, 'Couverture médicale minimum');
INSERT INTO `lang_definitions` VALUES (40471, 5942, 8, 'Médical');
INSERT INTO `lang_definitions` VALUES (40472, 5943, 8, 'Avortement médicamenteux');
INSERT INTO `lang_definitions` VALUES (40473, 5944, 8, 'Administration médical');
INSERT INTO `lang_definitions` VALUES (40474, 5946, 8, 'Antécédents médicaux');
INSERT INTO `lang_definitions` VALUES (40475, 5947, 8, 'Problème médical');
INSERT INTO `lang_definitions` VALUES (40476, 5948, 8, 'Problème médical');
INSERT INTO `lang_definitions` VALUES (40477, 5951, 8, 'Problème Médical');
INSERT INTO `lang_definitions` VALUES (40478, 5952, 8, 'Problème médical');
INSERT INTO `lang_definitions` VALUES (40479, 5953, 8, 'Liste de problemes médicaux');
INSERT INTO `lang_definitions` VALUES (40480, 5954, 8, 'Problèmes Médicaux');
INSERT INTO `lang_definitions` VALUES (40481, 5956, 8, 'Enregistrement Médical');
INSERT INTO `lang_definitions` VALUES (40482, 5957, 8, 'Pas d\'enregistrement médical');
INSERT INTO `lang_definitions` VALUES (40483, 5959, 8, 'Enregistrements Médicaux');
INSERT INTO `lang_definitions` VALUES (40484, 5961, 8, 'Enregistrements médicaux envoyé');
INSERT INTO `lang_definitions` VALUES (40485, 5963, 8, 'Résumé médical fournis');
INSERT INTO `lang_definitions` VALUES (40486, 5964, 8, 'Système Médical');
INSERT INTO `lang_definitions` VALUES (40487, 5965, 8, 'Type Médical');
INSERT INTO `lang_definitions` VALUES (40488, 5966, 8, 'Médical/Historique (écriture, ajout seulement optionnel)');
INSERT INTO `lang_definitions` VALUES (40489, 5970, 8, 'Médication');
INSERT INTO `lang_definitions` VALUES (40490, 5974, 8, 'Réconciliation des préscriptions effectués');
INSERT INTO `lang_definitions` VALUES (40491, 5975, 8, 'Prescriptions');
INSERT INTO `lang_definitions` VALUES (40492, 5978, 8, 'Préscriptions:');
INSERT INTO `lang_definitions` VALUES (40493, 5979, 8, 'Unités Médicale');
INSERT INTO `lang_definitions` VALUES (40494, 5980, 8, 'Moyen');
INSERT INTO `lang_definitions` VALUES (40495, 5986, 8, 'Problèmes de Mémoire');
INSERT INTO `lang_definitions` VALUES (40496, 5987, 8, 'Homme');
INSERT INTO `lang_definitions` VALUES (40497, 5988, 8, 'Hommes et Femmes');
INSERT INTO `lang_definitions` VALUES (40498, 5989, 8, 'Hommes Seulement');
INSERT INTO `lang_definitions` VALUES (40499, 5990, 8, 'Ménarche');
INSERT INTO `lang_definitions` VALUES (40500, 5991, 8, 'Ménopause');
INSERT INTO `lang_definitions` VALUES (40501, 5992, 8, 'Flux Menstruel');
INSERT INTO `lang_definitions` VALUES (40502, 5993, 8, 'Fréquence Menstruel');
INSERT INTO `lang_definitions` VALUES (40503, 5994, 8, 'Maladie Mentale');
INSERT INTO `lang_definitions` VALUES (40504, 6001, 8, 'Fusionner');
INSERT INTO `lang_definitions` VALUES (40505, 6002, 8, 'Fusion finis.');
INSERT INTO `lang_definitions` VALUES (40506, 6003, 8, 'Fusion des patients');
INSERT INTO `lang_definitions` VALUES (40507, 6005, 8, 'Message');
INSERT INTO `lang_definitions` VALUES (40508, 6006, 8, 'Message et centre de rappel');
INSERT INTO `lang_definitions` VALUES (40509, 6007, 8, 'Messagerie');
INSERT INTO `lang_definitions` VALUES (40510, 6009, 8, 'Le contenu n\'est pas uniquement du texte donc il a été stocké comme un document.');
INSERT INTO `lang_definitions` VALUES (40511, 6010, 8, 'Message du patient');
INSERT INTO `lang_definitions` VALUES (40512, 6012, 8, 'Message envoyé');
INSERT INTO `lang_definitions` VALUES (40513, 6013, 8, 'Etat du Message');
INSERT INTO `lang_definitions` VALUES (40514, 6014, 8, 'Message Titre');
INSERT INTO `lang_definitions` VALUES (40515, 6015, 8, 'Message au patient');
INSERT INTO `lang_definitions` VALUES (40516, 6017, 8, 'Type du message');
INSERT INTO `lang_definitions` VALUES (40517, 6018, 8, 'MESSAGE:');
INSERT INTO `lang_definitions` VALUES (40518, 6019, 8, 'Messages');
INSERT INTO `lang_definitions` VALUES (40519, 6021, 8, 'Message Ecran');
INSERT INTO `lang_definitions` VALUES (40520, 6022, 8, 'Messages que vous avez envoyer aujourd\'hui');
INSERT INTO `lang_definitions` VALUES (40521, 6026, 8, 'Méthode');
INSERT INTO `lang_definitions` VALUES (40522, 6027, 8, 'Méthode et Produit Spécifique');
INSERT INTO `lang_definitions` VALUES (40523, 6029, 8, 'Mode d\'envoi e-mails sortants.');
INSERT INTO `lang_definitions` VALUES (40524, 6030, 8, 'Méthode de Destruction');
INSERT INTO `lang_definitions` VALUES (40525, 6038, 8, 'mg');
INSERT INTO `lang_definitions` VALUES (40526, 6039, 8, 'mg/1cc');
INSERT INTO `lang_definitions` VALUES (40527, 6040, 8, 'mg/2cc');
INSERT INTO `lang_definitions` VALUES (40528, 6041, 8, 'mg/3cc');
INSERT INTO `lang_definitions` VALUES (40529, 6042, 8, 'mg/4cc');
INSERT INTO `lang_definitions` VALUES (40530, 6043, 8, 'mg/5cc');
INSERT INTO `lang_definitions` VALUES (40531, 6044, 8, 'MG/DL');
INSERT INTO `lang_definitions` VALUES (40532, 6046, 8, 'Moyen');
INSERT INTO `lang_definitions` VALUES (40533, 6047, 8, 'Deuxième Prénom');
INSERT INTO `lang_definitions` VALUES (40534, 6048, 8, 'Deuxième prénom');
INSERT INTO `lang_definitions` VALUES (40535, 6062, 8, 'Migrant ou travailleur saisonnier?');
INSERT INTO `lang_definitions` VALUES (40536, 6063, 8, 'Migrant Saisonnier');
INSERT INTO `lang_definitions` VALUES (40537, 6064, 8, 'Migrant/Saisonnier');
INSERT INTO `lang_definitions` VALUES (40538, 6071, 8, 'Min');
INSERT INTO `lang_definitions` VALUES (40539, 6072, 8, 'min');
INSERT INTO `lang_definitions` VALUES (40540, 6077, 8, 'Age minimum');
INSERT INTO `lang_definitions` VALUES (40541, 6082, 8, 'Minute');
INSERT INTO `lang_definitions` VALUES (40542, 6083, 8, 'Minutes');
INSERT INTO `lang_definitions` VALUES (40543, 6084, 8, 'minutes');
INSERT INTO `lang_definitions` VALUES (40544, 6086, 8, 'Divers');
INSERT INTO `lang_definitions` VALUES (40545, 6087, 8, 'Autres Options de Facturation');
INSERT INTO `lang_definitions` VALUES (40546, 6088, 8, 'Autres Options de Facturation pour HCFA-1500');
INSERT INTO `lang_definitions` VALUES (40547, 6089, 8, 'Autres Options de Facturation HCFA');
INSERT INTO `lang_definitions` VALUES (40548, 6090, 8, 'Divers/Autres');
INSERT INTO `lang_definitions` VALUES (40549, 6092, 8, 'Manqué');
INSERT INTO `lang_definitions` VALUES (40550, 6093, 8, 'manquante');
INSERT INTO `lang_definitions` VALUES (40551, 6094, 8, 'Manque d\'un champ requis');
INSERT INTO `lang_definitions` VALUES (40552, 6097, 8, 'Frais Manquants');
INSERT INTO `lang_definitions` VALUES (40553, 6100, 8, 'Mods manquants seulement');
INSERT INTO `lang_definitions` VALUES (40554, 6101, 8, 'Manquant ou Invalide');
INSERT INTO `lang_definitions` VALUES (40555, 6103, 8, 'PID manquant.');
INSERT INTO `lang_definitions` VALUES (40556, 6104, 8, 'Manque date de rapport');
INSERT INTO `lang_definitions` VALUES (40557, 6108, 8, 'Titre manquant');
INSERT INTO `lang_definitions` VALUES (40558, 6111, 8, 'Mixe');
INSERT INTO `lang_definitions` VALUES (40559, 6113, 8, 'ml');
INSERT INTO `lang_definitions` VALUES (40560, 6114, 8, 'MM/JJ/AAAA');
INSERT INTO `lang_definitions` VALUES (40561, 6115, 8, 'mm/hg');
INSERT INTO `lang_definitions` VALUES (40562, 6116, 8, 'mmHg');
INSERT INTO `lang_definitions` VALUES (40563, 6120, 8, 'Portable');
INSERT INTO `lang_definitions` VALUES (40564, 6121, 8, 'Téléphone portable');
INSERT INTO `lang_definitions` VALUES (40565, 6125, 8, 'Mod');
INSERT INTO `lang_definitions` VALUES (40566, 6129, 8, 'Priorité modéré');
INSERT INTO `lang_definitions` VALUES (40567, 6131, 8, 'Priorité modéré/faible');
INSERT INTO `lang_definitions` VALUES (40568, 6133, 8, 'Modificateur');
INSERT INTO `lang_definitions` VALUES (40569, 6139, 8, 'Modificateurs');
INSERT INTO `lang_definitions` VALUES (40570, 6140, 8, 'Modifié');
INSERT INTO `lang_definitions` VALUES (40571, 6143, 8, 'Modifier les Paiements');
INSERT INTO `lang_definitions` VALUES (40572, 6153, 8, 'Lu.');
INSERT INTO `lang_definitions` VALUES (40573, 6154, 8, 'Lu. à Ve.');
INSERT INTO `lang_definitions` VALUES (40574, 6155, 8, 'Lu. Mer. &amp; Ve.');
INSERT INTO `lang_definitions` VALUES (40575, 6156, 8, 'Lundi');
INSERT INTO `lang_definitions` VALUES (40576, 6160, 8, 'mois');
INSERT INTO `lang_definitions` VALUES (40577, 6161, 8, 'Mois');
INSERT INTO `lang_definitions` VALUES (40578, 6162, 8, 'Vue du Mois');
INSERT INTO `lang_definitions` VALUES (40579, 6163, 8, 'Mois');
INSERT INTO `lang_definitions` VALUES (40580, 6164, 8, 'Revenue Mensuel');
INSERT INTO `lang_definitions` VALUES (40581, 6165, 8, 'mois');
INSERT INTO `lang_definitions` VALUES (40582, 6166, 8, 'Mois');
INSERT INTO `lang_definitions` VALUES (40583, 6177, 8, 'Plus d\'options');
INSERT INTO `lang_definitions` VALUES (40584, 6179, 8, 'Plus de 100 enregistrement trouvé. S\'il vous plait utilisez des critères de recherches plus précis');
INSERT INTO `lang_definitions` VALUES (40585, 6180, 8, 'Plus de 50 enregistrement trouvé. S\'il vous plait utilisez des critères de recherches plus précis');
INSERT INTO `lang_definitions` VALUES (40586, 6184, 8, 'La plupart des entêtes de colonnes peuvent êtres cliquées pour changer l\'ordre de trie');
INSERT INTO `lang_definitions` VALUES (40587, 6186, 8, 'Formulaire le plus récent');
INSERT INTO `lang_definitions` VALUES (40588, 6189, 8, 'Formulaire des constantes vitales le plus récent:');
INSERT INTO `lang_definitions` VALUES (40589, 6190, 8, 'Mère');
INSERT INTO `lang_definitions` VALUES (40590, 6191, 8, 'Nom de la Mère');
INSERT INTO `lang_definitions` VALUES (40591, 6195, 8, 'Bouche');
INSERT INTO `lang_definitions` VALUES (40592, 6196, 8, 'Déplacer');
INSERT INTO `lang_definitions` VALUES (40593, 6197, 8, 'Déplacer un document vers Catégorie:');
INSERT INTO `lang_definitions` VALUES (40594, 6198, 8, 'Déplacer vers bas');
INSERT INTO `lang_definitions` VALUES (40595, 6199, 8, 'Déplacement échoué!');
INSERT INTO `lang_definitions` VALUES (40596, 6201, 8, 'Déplacer vers le patient');
INSERT INTO `lang_definitions` VALUES (40597, 6202, 8, 'Déplacer vers ...');
INSERT INTO `lang_definitions` VALUES (40598, 6203, 8, 'Déplacer vers haut');
INSERT INTO `lang_definitions` VALUES (40599, 6204, 8, 'Déplacement');
INSERT INTO `lang_definitions` VALUES (40600, 6205, 8, 'Lu{{Lundi}}');
INSERT INTO `lang_definitions` VALUES (40601, 6209, 8, 'M.');
INSERT INTO `lang_definitions` VALUES (40602, 6215, 8, 'Mme.');
INSERT INTO `lang_definitions` VALUES (40603, 6217, 8, 'Mlle.');
INSERT INTO `lang_definitions` VALUES (40604, 6230, 8, 'Outil multi langues');
INSERT INTO `lang_definitions` VALUES (40605, 6234, 8, 'Zones multiples');
INSERT INTO `lang_definitions` VALUES (40606, 6236, 8, 'Plusieurs fichiers peuvent êtres téléchargé en une seule fois en les sélectionnant en utilisant CTRL+Clic ou SHIFT+Clic.');
INSERT INTO `lang_definitions` VALUES (40607, 6237, 8, 'Plusieurs lots');
INSERT INTO `lang_definitions` VALUES (40608, 6238, 8, 'Plusieurs modificateur peuvent êtres separé par les colonnes ou des espaces, 4 maximum (M1:M2:M3:M4)');
INSERT INTO `lang_definitions` VALUES (40609, 6242, 8, 'Multiracial');
INSERT INTO `lang_definitions` VALUES (40610, 6243, 8, 'Murmur:');
INSERT INTO `lang_definitions` VALUES (40611, 6244, 8, 'Douleurs musculaires');
INSERT INTO `lang_definitions` VALUES (40612, 6245, 8, 'Douleurs musculaires');
INSERT INTO `lang_definitions` VALUES (40613, 6246, 8, 'Rougeur musculaire');
INSERT INTO `lang_definitions` VALUES (40614, 6247, 8, 'Raideur musculaire');
INSERT INTO `lang_definitions` VALUES (40615, 6248, 8, 'Enflure musculaire');
INSERT INTO `lang_definitions` VALUES (40616, 6249, 8, 'Chaleur musculaire');
INSERT INTO `lang_definitions` VALUES (40617, 6250, 8, 'Muscle');
INSERT INTO `lang_definitions` VALUES (40618, 6251, 8, 'Lésion musculaire');
INSERT INTO `lang_definitions` VALUES (40619, 6252, 8, 'Musculo-squelettiques');
INSERT INTO `lang_definitions` VALUES (40620, 6256, 8, 'Doit être vide si l\'autentification SMTP n\'est pas utilisé.');
INSERT INTO `lang_definitions` VALUES (40621, 6258, 8, 'Merci de sélectionner au moins une journée !');
INSERT INTO `lang_definitions` VALUES (40622, 6259, 8, 'Définis Mutuellement');
INSERT INTO `lang_definitions` VALUES (40623, 6265, 8, 'Mes messages');
INSERT INTO `lang_definitions` VALUES (40624, 6267, 8, 'Moi-même');
INSERT INTO `lang_definitions` VALUES (40625, 6268, 8, 'L{{Lundi}}');
INSERT INTO `lang_definitions` VALUES (40626, 6271, 8, 'N/A');
INSERT INTO `lang_definitions` VALUES (40627, 6272, 8, 'n/a');
INSERT INTO `lang_definitions` VALUES (40628, 6274, 8, 'Nom');
INSERT INTO `lang_definitions` VALUES (40629, 6275, 8, 'NOM');
INSERT INTO `lang_definitions` VALUES (40630, 6276, 8, 'Nom (Cliquer pour plus de détails)');
INSERT INTO `lang_definitions` VALUES (40631, 6278, 8, 'Nom 1');
INSERT INTO `lang_definitions` VALUES (40632, 6279, 8, 'Nom 2');
INSERT INTO `lang_definitions` VALUES (40633, 6280, 8, 'Nom et titre de l\'administrateur de la vaccination');
INSERT INTO `lang_definitions` VALUES (40634, 6282, 8, 'Nom DPI');
INSERT INTO `lang_definitions` VALUES (40635, 6284, 8, 'Nom des événements');
INSERT INTO `lang_definitions` VALUES (40636, 6285, 8, 'Nom de la societé d\'assurance');
INSERT INTO `lang_definitions` VALUES (40637, 6286, 8, 'Nom du fournisseur');
INSERT INTO `lang_definitions` VALUES (40638, 6287, 8, 'Nom de l\'expéditeur pour les rappels des patients.');
INSERT INTO `lang_definitions` VALUES (40639, 6288, 8, 'Nom du chirurgien');
INSERT INTO `lang_definitions` VALUES (40640, 6293, 8, 'Nom sur la carte');
INSERT INTO `lang_definitions` VALUES (40641, 6294, 8, 'Traduction du nom');
INSERT INTO `lang_definitions` VALUES (40642, 6295, 8, 'Nom/Valeur');
INSERT INTO `lang_definitions` VALUES (40643, 6296, 8, 'Nom :');
INSERT INTO `lang_definitions` VALUES (40644, 6297, 8, 'Noms');
INSERT INTO `lang_definitions` VALUES (40645, 6304, 8, 'Mucoses nasal rose, cloison médiane');
INSERT INTO `lang_definitions` VALUES (40646, 6305, 8, 'Notes des pays');
INSERT INTO `lang_definitions` VALUES (40647, 6308, 8, 'Configuré les notes des pays');
INSERT INTO `lang_definitions` VALUES (40648, 6310, 8, 'Nationalité');
INSERT INTO `lang_definitions` VALUES (40649, 6313, 8, 'Natifs d\'Hawaii ou autres îles du Pacifique');
INSERT INTO `lang_definitions` VALUES (40650, 6319, 8, 'Nausée');
INSERT INTO `lang_definitions` VALUES (40651, 6322, 8, 'Navigation');
INSERT INTO `lang_definitions` VALUES (40652, 6323, 8, 'Zone de navigation comprend des formulaires de rencontre');
INSERT INTO `lang_definitions` VALUES (40653, 6324, 8, 'Zone de navigation utilise plein hauteur des cadres');
INSERT INTO `lang_definitions` VALUES (40654, 6326, 8, 'Largeur de la zone de navigation');
INSERT INTO `lang_definitions` VALUES (40655, 6328, 8, 'Menu de navigation composée de paires de boutons radio');
INSERT INTO `lang_definitions` VALUES (40656, 6329, 8, 'Menu de navigation est une arborescence');
INSERT INTO `lang_definitions` VALUES (40657, 6330, 8, 'Navigation utilise un menu coulissant');
INSERT INTO `lang_definitions` VALUES (40658, 6348, 8, 'Cou');
INSERT INTO `lang_definitions` VALUES (40659, 6349, 8, 'Problèmes de cou');
INSERT INTO `lang_definitions` VALUES (40660, 6350, 8, 'Cou souple');
INSERT INTO `lang_definitions` VALUES (40661, 6352, 8, 'Vous devez saisir une description');
INSERT INTO `lang_definitions` VALUES (40662, 6353, 8, 'Vous devez saisir une valeur de retour');
INSERT INTO `lang_definitions` VALUES (40663, 6354, 8, 'Vous devez saisir un identifiant');
INSERT INTO `lang_definitions` VALUES (40664, 6355, 8, 'Vous devez saisir le titre');
INSERT INTO `lang_definitions` VALUES (40665, 6358, 8, 'Besoin d\'authentification');
INSERT INTO `lang_definitions` VALUES (40666, 6359, 8, 'Besoin de justification');
INSERT INTO `lang_definitions` VALUES (40667, 6360, 8, 'Besoins de facturation secondaire');
INSERT INTO `lang_definitions` VALUES (40668, 6361, 8, 'Négatif');
INSERT INTO `lang_definitions` VALUES (40669, 6363, 8, 'Négatifs');
INSERT INTO `lang_definitions` VALUES (40670, 6369, 8, 'Blessures aux nerfs');
INSERT INTO `lang_definitions` VALUES (40671, 6371, 8, 'Problèmes neuraux / damage neuraux');
INSERT INTO `lang_definitions` VALUES (40672, 6373, 8, 'Engourdissement neurale');
INSERT INTO `lang_definitions` VALUES (40673, 6374, 8, 'Faiblaisse neurale');
INSERT INTO `lang_definitions` VALUES (40674, 6377, 8, 'Neurologique');
INSERT INTO `lang_definitions` VALUES (40675, 6381, 8, 'Jamais');
INSERT INTO `lang_definitions` VALUES (40676, 6382, 8, 'Jamais alcoolique');
INSERT INTO `lang_definitions` VALUES (40677, 6383, 8, 'Jamais fumeur');
INSERT INTO `lang_definitions` VALUES (40678, 6384, 8, 'Nouveau7');
INSERT INTO `lang_definitions` VALUES (40679, 6385, 8, 'Nouveau =>');
INSERT INTO `lang_definitions` VALUES (40680, 6387, 8, 'Nouvelles alertes');
INSERT INTO `lang_definitions` VALUES (40681, 6388, 8, 'Nouvelle allergie');
INSERT INTO `lang_definitions` VALUES (40682, 6390, 8, 'Nouveau rendez-vous');
INSERT INTO `lang_definitions` VALUES (40683, 6391, 8, 'Nouvelles catégories');
INSERT INTO `lang_definitions` VALUES (40684, 6392, 8, 'Nouvelle catégorie');
INSERT INTO `lang_definitions` VALUES (40685, 6393, 8, 'Nouveaux clients');
INSERT INTO `lang_definitions` VALUES (40686, 6394, 8, 'Nouvelle consultation');
INSERT INTO `lang_definitions` VALUES (40687, 6395, 8, 'Nouvelle récolte');
INSERT INTO `lang_definitions` VALUES (40688, 6396, 8, 'Nouvel ensemble de définition ajouté');
INSERT INTO `lang_definitions` VALUES (40689, 6397, 8, 'Nouveau document');
INSERT INTO `lang_definitions` VALUES (40690, 6398, 8, 'Nouveaux Documents');
INSERT INTO `lang_definitions` VALUES (40691, 6399, 8, 'Rappel automatique des informations cliniques à remplir');
INSERT INTO `lang_definitions` VALUES (40692, 6401, 8, 'Nouvelle venue');
INSERT INTO `lang_definitions` VALUES (40693, 6402, 8, 'Nouvelle venue créé avec l \'id');
INSERT INTO `lang_definitions` VALUES (40694, 6403, 8, 'Nouveau formulaire de venue');
INSERT INTO `lang_definitions` VALUES (40695, 6404, 8, 'De nouvelles venues ne sont pas autorisées');
INSERT INTO `lang_definitions` VALUES (40696, 6405, 8, 'Nouvelle Venue');
INSERT INTO `lang_definitions` VALUES (40697, 6406, 8, 'Information d \'un nouveau site');
INSERT INTO `lang_definitions` VALUES (40698, 6407, 8, 'Nouveau fichier');
INSERT INTO `lang_definitions` VALUES (40699, 6408, 8, 'Nouveaux Fichiers');
INSERT INTO `lang_definitions` VALUES (40700, 6410, 8, 'Nouveau groupe');
INSERT INTO `lang_definitions` VALUES (40701, 6413, 8, 'Nouvelle information du Groupe');
INSERT INTO `lang_definitions` VALUES (40702, 6422, 8, 'Nouvelle blessure/status');
INSERT INTO `lang_definitions` VALUES (40703, 6425, 8, 'Nouvelle limite d\'événements');
INSERT INTO `lang_definitions` VALUES (40704, 6426, 8, 'Nouvelle liste');
INSERT INTO `lang_definitions` VALUES (40705, 6432, 8, 'Nouvelles commandes');
INSERT INTO `lang_definitions` VALUES (40706, 6433, 8, 'Nouveau paragraphe');
INSERT INTO `lang_definitions` VALUES (40707, 6434, 8, 'Nouveau mot de passe');
INSERT INTO `lang_definitions` VALUES (40708, 6435, 8, 'nouveau patient');
INSERT INTO `lang_definitions` VALUES (40709, 6436, 8, 'NOUVEAU PATIENT');
INSERT INTO `lang_definitions` VALUES (40710, 6437, 8, 'Nouvelle rencontre avec le patient');
INSERT INTO `lang_definitions` VALUES (40711, 6438, 8, 'Nouveau formulaire du patient');
INSERT INTO `lang_definitions` VALUES (40712, 6439, 8, 'Nouvel ID du patient');
INSERT INTO `lang_definitions` VALUES (40713, 6442, 8, 'Nouveau paiement');
INSERT INTO `lang_definitions` VALUES (40714, 6447, 8, 'De nouveaux résultats de Lab Exchange');
INSERT INTO `lang_definitions` VALUES (40715, 6448, 8, 'Nouvelle recherche');
INSERT INTO `lang_definitions` VALUES (40716, 6449, 8, 'Nouvelles demandes');
INSERT INTO `lang_definitions` VALUES (40717, 6451, 8, 'Nouvel utilisateur');
INSERT INTO `lang_definitions` VALUES (40718, 6453, 8, 'Nouvelle visite');
INSERT INTO `lang_definitions` VALUES (40719, 6454, 8, 'Nouveau/Recherche');
INSERT INTO `lang_definitions` VALUES (40720, 6455, 8, 'NewCrop Statut du compte');
INSERT INTO `lang_definitions` VALUES (40721, 6456, 8, 'NewCrop Admin');
INSERT INTO `lang_definitions` VALUES (40722, 6457, 8, 'NewCrop Echec de l\'appel');
INSERT INTO `lang_definitions` VALUES (40723, 6458, 8, 'NewCrop Docteur');
INSERT INTO `lang_definitions` VALUES (40724, 6463, 8, 'NewCrop Nom eRx');
INSERT INTO `lang_definitions` VALUES (40725, 6464, 8, 'NewCrop Nom du partenaire eRx');
INSERT INTO `lang_definitions` VALUES (40726, 6465, 8, 'NewCrop mot de passe eRx');
INSERT INTO `lang_definitions` VALUES (40727, 6466, 8, 'NewCrop rôle eRx');
INSERT INTO `lang_definitions` VALUES (40728, 6467, 8, 'NewCrop rôle eRx');
INSERT INTO `lang_definitions` VALUES (40729, 6468, 8, 'NewCrop adresse du site eRx');
INSERT INTO `lang_definitions` VALUES (40730, 6473, 8, 'NewCrop Adresse Web de Service eRx');
INSERT INTO `lang_definitions` VALUES (40731, 6474, 8, 'NewCrop gérant');
INSERT INTO `lang_definitions` VALUES (40732, 6477, 8, 'NewCrop Infirmière');
INSERT INTO `lang_definitions` VALUES (40733, 6478, 8, 'NewCrop médecin superviseur');
INSERT INTO `lang_definitions` VALUES (40734, 6481, 8, 'Journal');
INSERT INTO `lang_definitions` VALUES (40735, 6482, 8, 'Suivant');
INSERT INTO `lang_definitions` VALUES (40736, 6484, 8, 'Jour suivant');
INSERT INTO `lang_definitions` VALUES (40737, 6485, 8, 'Mois suivant');
INSERT INTO `lang_definitions` VALUES (40738, 6486, 8, 'Le mois prochain (maintenir enfoncé pour le menu)');
INSERT INTO `lang_definitions` VALUES (40739, 6488, 8, 'Prochaine exécution prévue');
INSERT INTO `lang_definitions` VALUES (40740, 6491, 8, 'Semaine suivante');
INSERT INTO `lang_definitions` VALUES (40741, 6492, 8, 'l\'année prochaine (maintenir enfoncé pour le menu)');
INSERT INTO `lang_definitions` VALUES (40742, 6494, 8, 'Pseudonyme');
INSERT INTO `lang_definitions` VALUES (40743, 6496, 8, 'Sueurs nocturne');
INSERT INTO `lang_definitions` VALUES (40744, 6498, 8, 'Parties génitale feminine, mucose vaginale, col de l\'utérus');
INSERT INTO `lang_definitions` VALUES (40745, 6499, 8, 'Non');
INSERT INTO `lang_definitions` VALUES (40746, 6500, 8, 'NON');
INSERT INTO `lang_definitions` VALUES (40747, 6502, 8, 'Pas d\'accès');
INSERT INTO `lang_definitions` VALUES (40748, 6503, 8, 'Aucun rappel pour le patient actif.');
INSERT INTO `lang_definitions` VALUES (40749, 6504, 8, 'Pas d\'adénopathie (2 zones sont requises)');
INSERT INTO `lang_definitions` VALUES (40750, 6509, 8, 'Aucun rendez-vous');
INSERT INTO `lang_definitions` VALUES (40751, 6515, 8, 'Aucun système de payement est actuelement actif');
INSERT INTO `lang_definitions` VALUES (40752, 6519, 8, 'Aucun code a été spécifié!');
INSERT INTO `lang_definitions` VALUES (40753, 6523, 8, 'Pas de diagnostic');
INSERT INTO `lang_definitions` VALUES (40754, 6526, 8, 'Pas de document trouvé');
INSERT INTO `lang_definitions` VALUES (40755, 6527, 8, 'Aucune rencontre ne peut être crée');
INSERT INTO `lang_definitions` VALUES (40756, 6529, 8, 'Pas de date de fin');
INSERT INTO `lang_definitions` VALUES (40757, 6530, 8, 'Pas d\'entrés trouvé, utilisé le formulaire si dessous pour ajouter une entré.');
INSERT INTO `lang_definitions` VALUES (40758, 6531, 8, 'Pas d\'erreurs trouvé');
INSERT INTO `lang_definitions` VALUES (40759, 6532, 8, 'Pas d\'evenements');
INSERT INTO `lang_definitions` VALUES (40760, 6536, 8, 'Aucun groupe n\'a été sélectionné');
INSERT INTO `lang_definitions` VALUES (40761, 6537, 8, 'Pas d\'hernie');
INSERT INTO `lang_definitions` VALUES (40762, 6540, 8, 'Pas de blessures/maladies');
INSERT INTO `lang_definitions` VALUES (40763, 6541, 8, 'Pas de compagnie d\'assurance trouvé');
INSERT INTO `lang_definitions` VALUES (40764, 6544, 8, 'Pas de problèmes');
INSERT INTO `lang_definitions` VALUES (40765, 6545, 8, 'Pas de problèmes sur cette rencontre');
INSERT INTO `lang_definitions` VALUES (40766, 6546, 8, 'Pas d\'objets dans la catégorie sélectionné');
INSERT INTO `lang_definitions` VALUES (40767, 6547, 8, 'Aucun objets n\'a été sélectionné!');
INSERT INTO `lang_definitions` VALUES (40768, 6561, 8, 'Aucun résultat de laboratoire');
INSERT INTO `lang_definitions` VALUES (40769, 6562, 8, 'Aucun fichier de logs pour la date sélectionné');
INSERT INTO `lang_definitions` VALUES (40770, 6565, 8, 'Pas de masses, tendresse');
INSERT INTO `lang_definitions` VALUES (40771, 6566, 8, 'Aucun patient ne correspond au code d\'identification');
INSERT INTO `lang_definitions` VALUES (40772, 6567, 8, 'Pas de résultat pour');
INSERT INTO `lang_definitions` VALUES (40773, 6568, 8, 'Aucune correspondance trouvé. Essayez de rechercher encore.');
INSERT INTO `lang_definitions` VALUES (40774, 6569, 8, 'Pas de correspondances trouvé.');
INSERT INTO `lang_definitions` VALUES (40775, 6570, 8, 'Pas de correspondances trouvé. Crée un nouveau patient?');
INSERT INTO `lang_definitions` VALUES (40776, 6571, 8, 'Pas de données correspondante trouvé');
INSERT INTO `lang_definitions` VALUES (40777, 6575, 8, 'Pas de Nom');
INSERT INTO `lang_definitions` VALUES (40778, 6576, 8, 'Pas de nouveau message sur');
INSERT INTO `lang_definitions` VALUES (40779, 6577, 8, 'Aucun nouveau resultats trouvé');
INSERT INTO `lang_definitions` VALUES (40780, 6578, 8, 'Pas de notes');
INSERT INTO `lang_definitions` VALUES (40781, 6580, 8, 'Aucune ouverture ont été trouvé sur cette période.');
INSERT INTO `lang_definitions` VALUES (40782, 6583, 8, 'Pas d\'autres numéros de téléphone listé');
INSERT INTO `lang_definitions` VALUES (40783, 6585, 8, 'Pas de partenaire trouvé');
INSERT INTO `lang_definitions` VALUES (40784, 6586, 8, 'Pas d\'enregistrement de patient trouvé pour les critères sélectionné');
INSERT INTO `lang_definitions` VALUES (40785, 6587, 8, 'Pas d\'enregistrement de patient trouvé pour le code d\'identification');
INSERT INTO `lang_definitions` VALUES (40786, 6588, 8, 'Pas d\'eudème périphérique');
INSERT INTO `lang_definitions` VALUES (40787, 6589, 8, 'Pas de pharmacies trouvée');
INSERT INTO `lang_definitions` VALUES (40788, 6590, 8, 'Pas de prescriptions trouvé');
INSERT INTO `lang_definitions` VALUES (40789, 6591, 8, 'Pas de préscriptions sélectionnée');
INSERT INTO `lang_definitions` VALUES (40790, 6592, 8, 'Ne présente pas de maladie/blessure');
INSERT INTO `lang_definitions` VALUES (40791, 6593, 8, 'Pas d\'entrés précédente.');
INSERT INTO `lang_definitions` VALUES (40792, 6595, 8, 'Pas de rencontre précedentes');
INSERT INTO `lang_definitions` VALUES (40793, 6596, 8, 'Pas de procédures sur cette rencontre.');
INSERT INTO `lang_definitions` VALUES (40794, 6598, 8, 'Pas de fournisseurs trouvé.');
INSERT INTO `lang_definitions` VALUES (40795, 6599, 8, 'Pas de rashes ou de lésions annormale');
INSERT INTO `lang_definitions` VALUES (40796, 6602, 8, 'Pas d\'enregistrement trouvé');
INSERT INTO `lang_definitions` VALUES (40797, 6603, 8, 'Pas de résultats');
INSERT INTO `lang_definitions` VALUES (40798, 6604, 8, 'Pas d\'enregistrement trouvé. S\'ils vous plait généralisé vos critères de recherche.');
INSERT INTO `lang_definitions` VALUES (40799, 6606, 8, 'Pas de rappel');
INSERT INTO `lang_definitions` VALUES (40800, 6607, 8, 'Pas de rappel');
INSERT INTO `lang_definitions` VALUES (40801, 6608, 8, 'Pas de résultats trouvé, pour les critères de recherches ci-dessus');
INSERT INTO `lang_definitions` VALUES (40802, 6609, 8, 'Pas de résultats');
INSERT INTO `lang_definitions` VALUES (40803, 6610, 8, 'Pas de résultats trouvé');
INSERT INTO `lang_definitions` VALUES (40804, 6612, 8, 'Pas de résultats trouvé pour la recherche');
INSERT INTO `lang_definitions` VALUES (40805, 6613, 8, 'Pas de résultats trouvé, s\'il vous plait essayez encore.');
INSERT INTO `lang_definitions` VALUES (40806, 6614, 8, 'Pas de résultats, s\'il vous plait essayez encore.');
INSERT INTO `lang_definitions` VALUES (40807, 6615, 8, 'Pas de résultats, s\'il vous plait essayez encore.');
INSERT INTO `lang_definitions` VALUES (40808, 6618, 8, 'Pas d\'affichage');
INSERT INTO `lang_definitions` VALUES (40809, 6622, 8, 'Pas de tendresse des sinus');
INSERT INTO `lang_definitions` VALUES (40810, 6623, 8, 'Pas de criblage de la peau ou de nodules dans les seins');
INSERT INTO `lang_definitions` VALUES (40811, 6625, 8, 'Pas de table sélectionné. Sélectionnez une table.');
INSERT INTO `lang_definitions` VALUES (40812, 6626, 8, 'Pas de tendresses/masses testiculaire');
INSERT INTO `lang_definitions` VALUES (40813, 6628, 8, 'Pas de frissons ou de nausées');
INSERT INTO `lang_definitions` VALUES (40814, 6632, 8, 'Pas de visite');
INSERT INTO `lang_definitions` VALUES (40815, 6633, 8, 'Aucun signe vitaux n\'a été documenté.');
INSERT INTO `lang_definitions` VALUES (40816, 6634, 8, 'Non, annulation');
INSERT INTO `lang_definitions` VALUES (40817, 6636, 8, 'Non:');
INSERT INTO `lang_definitions` VALUES (40818, 6638, 8, 'Non payé');
INSERT INTO `lang_definitions` VALUES (40819, 6640, 8, 'Enregistrement non reporté');
INSERT INTO `lang_definitions` VALUES (40820, 6641, 8, 'Pas de blessure spécifique');
INSERT INTO `lang_definitions` VALUES (40821, 6643, 8, 'Diabètes non dépendant a l\'insuline');
INSERT INTO `lang_definitions` VALUES (40822, 6644, 8, 'Non assuré');
INSERT INTO `lang_definitions` VALUES (40823, 6648, 8, 'Aucun(e)');
INSERT INTO `lang_definitions` VALUES (40824, 6649, 8, 'aucun(e)');
INSERT INTO `lang_definitions` VALUES (40825, 6650, 8, 'Aucun défini');
INSERT INTO `lang_definitions` VALUES (40826, 6652, 8, 'Aucun n\'a été documenté');
INSERT INTO `lang_definitions` VALUES (40827, 6653, 8, 'Aucun de ceux au dessus');
INSERT INTO `lang_definitions` VALUES (40828, 6655, 8, 'Aucune selection');
INSERT INTO `lang_definitions` VALUES (40829, 6664, 8, 'Aucun{{Encounter}}');
INSERT INTO `lang_definitions` VALUES (40830, 6672, 8, 'Aucun{{Patient}}');
INSERT INTO `lang_definitions` VALUES (40831, 6683, 8, 'Diabètes non dépendant a l\'insuline');
INSERT INTO `lang_definitions` VALUES (40832, 6685, 8, 'Normale');
INSERT INTO `lang_definitions` VALUES (40833, 6688, 8, 'Examen cardiaque normal:');
INSERT INTO `lang_definitions` VALUES (40834, 6689, 8, 'Examen cardiaque normal:');
INSERT INTO `lang_definitions` VALUES (40835, 6690, 8, 'Examen des poumons normal:');
INSERT INTO `lang_definitions` VALUES (40836, 6691, 8, 'Examen des poumons normal:');
INSERT INTO `lang_definitions` VALUES (40837, 6692, 8, 'Visite normale du bureau');
INSERT INTO `lang_definitions` VALUES (40838, 6694, 8, 'Droite normale');
INSERT INTO `lang_definitions` VALUES (40839, 6695, 8, 'Droite normale:');
INSERT INTO `lang_definitions` VALUES (40840, 6696, 8, 'Vue normale:');
INSERT INTO `lang_definitions` VALUES (40841, 6697, 8, 'normal(e):');
INSERT INTO `lang_definitions` VALUES (40842, 6698, 8, 'Normalement cela devrait etre vérifié. N\'est pas relié au controle d\'acces');
INSERT INTO `lang_definitions` VALUES (40843, 6701, 8, 'Norvegien');
INSERT INTO `lang_definitions` VALUES (40844, 6705, 8, 'Nez');
INSERT INTO `lang_definitions` VALUES (40845, 6706, 8, 'Saignement du nez');
INSERT INTO `lang_definitions` VALUES (40846, 6707, 8, 'N\'est pas une lettre ou un nombre');
INSERT INTO `lang_definitions` VALUES (40847, 6710, 8, 'Tout les champs ne sont pas requis pour tout les codes ou types de codes');
INSERT INTO `lang_definitions` VALUES (40848, 6712, 8, 'Non autorisé');
INSERT INTO `lang_definitions` VALUES (40849, 6713, 8, 'Suppression du groupe d\'administration n\'est pas autorisé');
INSERT INTO `lang_definitions` VALUES (40850, 6714, 8, 'Edition non autorisé');
INSERT INTO `lang_definitions` VALUES (40851, 6715, 8, 'Désactiver tout les objets de sécurité n\'est pas autorisé');
INSERT INTO `lang_definitions` VALUES (40852, 6719, 8, 'Non applicable');
INSERT INTO `lang_definitions` VALUES (40853, 6721, 8, 'Non Autorisé');
INSERT INTO `lang_definitions` VALUES (40854, 6722, 8, 'Non autorisé');
INSERT INTO `lang_definitions` VALUES (40855, 6723, 8, 'Non autorisé pour ce groupe!');
INSERT INTO `lang_definitions` VALUES (40856, 6724, 8, 'Non autorisé pour ce groupe.');
INSERT INTO `lang_definitions` VALUES (40857, 6725, 8, 'Gestion des utilisateur non autorisé');
INSERT INTO `lang_definitions` VALUES (40858, 6726, 8, 'Signer les resultats n\'est pas autorisé');
INSERT INTO `lang_definitions` VALUES (40859, 6729, 8, 'Non disponible');
INSERT INTO `lang_definitions` VALUES (40860, 6731, 8, 'Non facturé');
INSERT INTO `lang_definitions` VALUES (40861, 6732, 8, 'Non vérifié');
INSERT INTO `lang_definitions` VALUES (40862, 6734, 8, 'Non codé');
INSERT INTO `lang_definitions` VALUES (40863, 6736, 8, 'Non dû');
INSERT INTO `lang_definitions` VALUES (40864, 6738, 8, 'Non examiné');
INSERT INTO `lang_definitions` VALUES (40865, 6739, 8, 'Non examiné:');
INSERT INTO `lang_definitions` VALUES (40866, 6740, 8, 'Non examiné:');
INSERT INTO `lang_definitions` VALUES (40867, 6742, 8, 'non trouvé');
INSERT INTO `lang_definitions` VALUES (40868, 6744, 8, 'non trouvé!');
INSERT INTO `lang_definitions` VALUES (40869, 6745, 8, 'N\'est pas hispanique ou Latino');
INSERT INTO `lang_definitions` VALUES (40870, 6746, 8, 'Non installé');
INSERT INTO `lang_definitions` VALUES (40871, 6751, 8, 'N\'a pas été vue depuis');
INSERT INTO `lang_definitions` VALUES (40872, 6752, 8, 'Non envoyé');
INSERT INTO `lang_definitions` VALUES (40873, 6753, 8, 'Non envoyé pour le moment');
INSERT INTO `lang_definitions` VALUES (40874, 6754, 8, 'Non spécifié');
INSERT INTO `lang_definitions` VALUES (40875, 6755, 8, 'Non spécifié.');
INSERT INTO `lang_definitions` VALUES (40876, 6758, 8, 'Note');
INSERT INTO `lang_definitions` VALUES (40877, 6760, 8, 'Codes des notes');
INSERT INTO `lang_definitions` VALUES (40878, 6762, 8, 'Cela va prendre 5 à 10 min pour finir le processus après avoir cliqué sur installer');
INSERT INTO `lang_definitions` VALUES (40879, 6763, 8, 'Cela va prendre 5 à 10 min pour finir le processus après avoir cliqué sur mettre à jour');
INSERT INTO `lang_definitions` VALUES (40880, 6771, 8, 'Type de la note');
INSERT INTO `lang_definitions` VALUES (40881, 6785, 8, 'Notes');
INSERT INTO `lang_definitions` VALUES (40882, 6788, 8, 'Notes - toutes rencontres (écriture, ajout seulement optionnel)');
INSERT INTO `lang_definitions` VALUES (40883, 6790, 8, 'Notes - mes rencontres (écriture, ajout seulement optionnel)');
INSERT INTO `lang_definitions` VALUES (40884, 6793, 8, 'Notes non autorisées');
INSERT INTO `lang_definitions` VALUES (40885, 6796, 8, 'Aucun élément enregistré');
INSERT INTO `lang_definitions` VALUES (40886, 6799, 8, 'Rien à importé pour les allergies');
INSERT INTO `lang_definitions` VALUES (40887, 6800, 8, 'Rien à importé pour les prescriptions');
INSERT INTO `lang_definitions` VALUES (40888, 6803, 8, 'Rien a montrer');
INSERT INTO `lang_definitions` VALUES (40889, 6804, 8, 'Rien n\'a été sélectionné');
INSERT INTO `lang_definitions` VALUES (40890, 6809, 8, 'Notification');
INSERT INTO `lang_definitions` VALUES (40891, 6810, 8, 'Notification d\'adresse courriel');
INSERT INTO `lang_definitions` VALUES (40892, 6815, 8, 'Notifications');
INSERT INTO `lang_definitions` VALUES (40893, 6816, 8, 'Notifié l\'admin au sujet des evenement de soumission/modifiation ?');
INSERT INTO `lang_definitions` VALUES (40894, 6820, 8, 'Nov.');
INSERT INTO `lang_definitions` VALUES (40895, 6821, 8, 'Novembre');
INSERT INTO `lang_definitions` VALUES (40896, 6824, 8, 'Poster maintenant pour:');
INSERT INTO `lang_definitions` VALUES (40897, 6825, 8, 'Imprimer maintenant');
INSERT INTO `lang_definitions` VALUES (40898, 6837, 8, 'Nombre');
INSERT INTO `lang_definitions` VALUES (40899, 6838, 8, 'Nombre de labos');
INSERT INTO `lang_definitions` VALUES (40900, 6843, 8, 'Nombre de colonnes dans la vue annuelle.');
INSERT INTO `lang_definitions` VALUES (40901, 6850, 8, 'Nombre de jours ou le certificat client est valide.');
INSERT INTO `lang_definitions` VALUES (40902, 6852, 8, 'Nombre de chiffre après le point décimale pour la monnais, habituellement 0 ou 2');
INSERT INTO `lang_definitions` VALUES (40903, 6853, 8, 'Nombre de rencontres a afficher par pages.');
INSERT INTO `lang_definitions` VALUES (40904, 6855, 8, 'Nombre de jeux ou d\'evenements manqué, si il y a');
INSERT INTO `lang_definitions` VALUES (40905, 6856, 8, 'Nombre d\'heures d\'avance pour les notifications courriel.');
INSERT INTO `lang_definitions` VALUES (40906, 6857, 8, 'Nombre d\'heures d\'avance pour les notifications téléphonique.');
INSERT INTO `lang_definitions` VALUES (40907, 6858, 8, 'Nombre d\'heures d\'avance pour les notifications SMS.');
INSERT INTO `lang_definitions` VALUES (40908, 6863, 8, 'Nombre de patient à afficher par page dans la liste de patients');
INSERT INTO `lang_definitions` VALUES (40909, 6866, 8, 'Affichage par ordre numérique');
INSERT INTO `lang_definitions` VALUES (40910, 6869, 8, 'Nutrition');
INSERT INTO `lang_definitions` VALUES (40911, 6874, 8, 'Obésité I');
INSERT INTO `lang_definitions` VALUES (40912, 6875, 8, 'Obésité II');
INSERT INTO `lang_definitions` VALUES (40913, 6876, 8, 'Obésité III');
INSERT INTO `lang_definitions` VALUES (40914, 6877, 8, 'Objectif');
INSERT INTO `lang_definitions` VALUES (40915, 6886, 8, 'Emploi');
INSERT INTO `lang_definitions` VALUES (40916, 6889, 8, 'Occurence');
INSERT INTO `lang_definitions` VALUES (40917, 6890, 8, 'Oct');
INSERT INTO `lang_definitions` VALUES (40918, 6891, 8, 'Octobre');
INSERT INTO `lang_definitions` VALUES (40919, 6892, 8, 'OD');
INSERT INTO `lang_definitions` VALUES (40920, 6895, 8, 'de');
INSERT INTO `lang_definitions` VALUES (40921, 6896, 8, 'de quantité');
INSERT INTO `lang_definitions` VALUES (40922, 6897, 8, 'de tablettes');
INSERT INTO `lang_definitions` VALUES (40923, 6907, 8, 'Notes du bureau');
INSERT INTO `lang_definitions` VALUES (40924, 6908, 8, 'Visite du bureau');
INSERT INTO `lang_definitions` VALUES (40925, 6921, 8, 'descendance');
INSERT INTO `lang_definitions` VALUES (40926, 6927, 8, 'OK');
INSERT INTO `lang_definitions` VALUES (40927, 6930, 8, 'OK pour lié le problème GCAC daté');
INSERT INTO `lang_definitions` VALUES (40928, 6931, 8, 'Ancien');
INSERT INTO `lang_definitions` VALUES (40929, 6933, 8, 'Clients anciens');
INSERT INTO `lang_definitions` VALUES (40930, 6935, 8, 'Ancien type d\'affichage sans menu à gauche');
INSERT INTO `lang_definitions` VALUES (40931, 6940, 8, 'Oublier');
INSERT INTO `lang_definitions` VALUES (40932, 6941, 8, 'Circomférences oubliées');
INSERT INTO `lang_definitions` VALUES (40933, 6942, 8, 'Informations sur l\'employeur oubliées dans Données démographiques du patient');
INSERT INTO `lang_definitions` VALUES (40934, 6943, 8, 'Employeurs oubliés');
INSERT INTO `lang_definitions` VALUES (40935, 6945, 8, 'Oublit de l\'assurance et diverses autres choses dans le formulaire démographique');
INSERT INTO `lang_definitions` VALUES (40936, 6946, 8, 'Utilisateurs internes oubliés?');
INSERT INTO `lang_definitions` VALUES (40937, 6949, 8, 'Sur');
INSERT INTO `lang_definitions` VALUES (40938, 6950, 8, 'sur');
INSERT INTO `lang_definitions` VALUES (40939, 6956, 8, 'Sur la main');
INSERT INTO `lang_definitions` VALUES (40940, 6959, 8, 'Sur l\'ordre');
INSERT INTO `lang_definitions` VALUES (40941, 6960, 8, 'Sur le site');
INSERT INTO `lang_definitions` VALUES (40942, 6979, 8, 'Une fois que vous avez changé votre mot de passe, vous devez vous reconnecter');
INSERT INTO `lang_definitions` VALUES (40943, 6996, 8, 'Support en ligne');
INSERT INTO `lang_definitions` VALUES (40944, 6997, 8, 'Lien du support en ligne');
INSERT INTO `lang_definitions` VALUES (40945, 6999, 8, 'Actif seulement');
INSERT INTO `lang_definitions` VALUES (40946, 7004, 8, 'Seulement si location de la facturation');
INSERT INTO `lang_definitions` VALUES (40947, 7006, 8, 'Seulement innactif');
INSERT INTO `lang_definitions` VALUES (40948, 7007, 8, 'Seulement mien');
INSERT INTO `lang_definitions` VALUES (40949, 7011, 8, 'Montré uniquement les codes de diagnostique rapporté');
INSERT INTO `lang_definitions` VALUES (40950, 7013, 8, 'Mettre a jour uniquement les prescriptions actives');
INSERT INTO `lang_definitions` VALUES (40951, 7017, 8, 'Commencement de la maladie:');
INSERT INTO `lang_definitions` VALUES (40952, 7018, 8, 'Commencement de la maladie:');
INSERT INTO `lang_definitions` VALUES (40953, 7019, 8, 'Commencement de l\'enflure');
INSERT INTO `lang_definitions` VALUES (40954, 7022, 8, 'Date du début d\'hospatilisation');
INSERT INTO `lang_definitions` VALUES (40955, 7030, 8, 'Oops!');
INSERT INTO `lang_definitions` VALUES (40956, 7031, 8, 'Ouvrir');
INSERT INTO `lang_definitions` VALUES (40957, 7037, 8, 'Venue ouverte');
INSERT INTO `lang_definitions` VALUES (40958, 7040, 8, 'Ouvrir dans une nouvelle fenètre');
INSERT INTO `lang_definitions` VALUES (40959, 7046, 8, 'Ouvrir les visites d\'aujourd\'hui');
INSERT INTO `lang_definitions` VALUES (40960, 7071, 8, 'OpenEMR a déjà un certificat d\'autorité configuré');
INSERT INTO `lang_definitions` VALUES (40961, 7076, 8, 'Mettre à jour la base de donnée d\'OpenEMR');
INSERT INTO `lang_definitions` VALUES (40962, 7085, 8, 'Utilisateurs d\'OpenEMR');
INSERT INTO `lang_definitions` VALUES (40963, 7086, 8, 'Ouvertures');
INSERT INTO `lang_definitions` VALUES (40964, 7095, 8, 'Option');
INSERT INTO `lang_definitions` VALUES (40965, 7099, 8, 'Optionneil');
INSERT INTO `lang_definitions` VALUES (40966, 7116, 8, 'Options');
INSERT INTO `lang_definitions` VALUES (40967, 7117, 8, 'OU');
INSERT INTO `lang_definitions` VALUES (40968, 7118, 8, 'Ou');
INSERT INTO `lang_definitions` VALUES (40969, 7119, 8, 'ou choisir');
INSERT INTO `lang_definitions` VALUES (40970, 7120, 8, 'ou cliquer et glisser pour une sélection plus rapide.');
INSERT INTO `lang_definitions` VALUES (40971, 7124, 8, 'Ou Shift-clic pour le diminuer');
INSERT INTO `lang_definitions` VALUES (40972, 7125, 8, 'Ou téléverser un fchier ERA:');
INSERT INTO `lang_definitions` VALUES (40973, 7127, 8, 'Oral');
INSERT INTO `lang_definitions` VALUES (40974, 7128, 8, 'Mucoses buccal roses, gorge normale');
INSERT INTO `lang_definitions` VALUES (40975, 7129, 8, 'Commander');
INSERT INTO `lang_definitions` VALUES (40976, 7131, 8, 'Commander et types de resultats');
INSERT INTO `lang_definitions` VALUES (40977, 7132, 8, 'Catalogue de commande');
INSERT INTO `lang_definitions` VALUES (40978, 7133, 8, 'Date de la commande');
INSERT INTO `lang_definitions` VALUES (40979, 7136, 8, 'Commander depuis');
INSERT INTO `lang_definitions` VALUES (40980, 7137, 8, 'ID de la commande');
INSERT INTO `lang_definitions` VALUES (40981, 7153, 8, 'Commandé');
INSERT INTO `lang_definitions` VALUES (40982, 7154, 8, 'Commandé par');
INSERT INTO `lang_definitions` VALUES (40983, 7166, 8, 'Blessure à l\'organe');
INSERT INTO `lang_definitions` VALUES (40984, 7167, 8, 'Organisation');
INSERT INTO `lang_definitions` VALUES (40985, 7168, 8, 'Nom de l\'organisation');
INSERT INTO `lang_definitions` VALUES (40986, 7170, 8, 'Organisations');
INSERT INTO `lang_definitions` VALUES (40987, 7175, 8, 'Original');
INSERT INTO `lang_definitions` VALUES (40988, 7184, 8, 'Orthopédiee');
INSERT INTO `lang_definitions` VALUES (40989, 7193, 8, 'Autre');
INSERT INTO `lang_definitions` VALUES (40990, 7194, 8, 'autre');
INSERT INTO `lang_definitions` VALUES (40991, 7196, 8, 'Autre (spécifier)');
INSERT INTO `lang_definitions` VALUES (40992, 7198, 8, 'Autre - Spécifié');
INSERT INTO `lang_definitions` VALUES (40993, 7201, 8, 'Autre programe fédérale');
INSERT INTO `lang_definitions` VALUES (40994, 7203, 8, 'Autre blessure, pas d\'autre endroit spécifié');
INSERT INTO `lang_definitions` VALUES (40995, 7206, 8, 'autre mois');
INSERT INTO `lang_definitions` VALUES (40996, 7207, 8, 'Autre programes non-fédérale');
INSERT INTO `lang_definitions` VALUES (40997, 7208, 8, 'Autres Notes');
INSERT INTO `lang_definitions` VALUES (40998, 7209, 8, 'Autres symptômes pertinents');
INSERT INTO `lang_definitions` VALUES (40999, 7210, 8, 'Autres symptômes pertinents:');
INSERT INTO `lang_definitions` VALUES (41000, 7216, 8, 'Autre chirurgie');
INSERT INTO `lang_definitions` VALUES (41001, 7217, 8, 'Autre choses relié à l\'avortement');
INSERT INTO `lang_definitions` VALUES (41002, 7219, 8, 'Autres');
INSERT INTO `lang_definitions` VALUES (41003, 7221, 8, 'sinon vous allez detruire des references à/de données existantes.');
INSERT INTO `lang_definitions` VALUES (41004, 7225, 8, 'OU');
INSERT INTO `lang_definitions` VALUES (41005, 7227, 8, 'En dehors');
INSERT INTO `lang_definitions` VALUES (41006, 7228, 8, 'En dehors du bureau');
INSERT INTO `lang_definitions` VALUES (41007, 7230, 8, 'Rapport de départ');
INSERT INTO `lang_definitions` VALUES (41008, 7231, 8, 'Dépenses');
INSERT INTO `lang_definitions` VALUES (41009, 7234, 8, 'Outlook');
INSERT INTO `lang_definitions` VALUES (41010, 7240, 8, 'Trop de dettes');
INSERT INTO `lang_definitions` VALUES (41011, 7244, 8, 'Trop d\'utilisation');
INSERT INTO `lang_definitions` VALUES (41012, 7245, 8, 'Vue générale');
INSERT INTO `lang_definitions` VALUES (41013, 7246, 8, 'Sucharge pondérale');
INSERT INTO `lang_definitions` VALUES (41014, 7249, 8, 'Saturation d\'O2');
INSERT INTO `lang_definitions` VALUES (41015, 7252, 8, 'pc');
INSERT INTO `lang_definitions` VALUES (41016, 7253, 8, 'pm');
INSERT INTO `lang_definitions` VALUES (41017, 7254, 8, 'prn');
INSERT INTO `lang_definitions` VALUES (41018, 7259, 8, 'Pédiatrique');
INSERT INTO `lang_definitions` VALUES (41019, 7260, 8, 'Page');
INSERT INTO `lang_definitions` VALUES (41020, 7263, 8, 'Pages');
INSERT INTO `lang_definitions` VALUES (41021, 7264, 8, 'Payé');
INSERT INTO `lang_definitions` VALUES (41022, 7266, 8, 'Mt payé');
INSERT INTO `lang_definitions` VALUES (41023, 7267, 8, 'Payé par');
INSERT INTO `lang_definitions` VALUES (41024, 7268, 8, 'Douleur');
INSERT INTO `lang_definitions` VALUES (41025, 7271, 8, 'Palpitation');
INSERT INTO `lang_definitions` VALUES (41026, 7275, 8, 'Test de Pap');
INSERT INTO `lang_definitions` VALUES (41027, 7276, 8, 'Papier');
INSERT INTO `lang_definitions` VALUES (41028, 7277, 8, 'Taille du papier');
INSERT INTO `lang_definitions` VALUES (41029, 7278, 8, 'Paralysie');
INSERT INTO `lang_definitions` VALUES (41030, 7289, 8, 'Partenaire');
INSERT INTO `lang_definitions` VALUES (41031, 7290, 8, 'Nom du partenaire');
INSERT INTO `lang_definitions` VALUES (41032, 7297, 8, 'Alerte passive');
INSERT INTO `lang_definitions` VALUES (41033, 7299, 8, 'Règles d\'alerte passive');
INSERT INTO `lang_definitions` VALUES (41034, 7301, 8, 'Mot de passe');
INSERT INTO `lang_definitions` VALUES (41035, 7302, 8, 'Modification de mot de passe');
INSERT INTO `lang_definitions` VALUES (41036, 7303, 8, 'Mot de passe modifié avec succes');
INSERT INTO `lang_definitions` VALUES (41037, 7304, 8, 'Mot de passe modifié avec succes.');
INSERT INTO `lang_definitions` VALUES (41038, 7308, 8, 'Periode de grâce avant expiration du mot de passe');
INSERT INTO `lang_definitions` VALUES (41039, 7319, 8, 'Mot de passe:');
INSERT INTO `lang_definitions` VALUES (41040, 7322, 8, 'Les mots de passes ne correspondent pas!');
INSERT INTO `lang_definitions` VALUES (41041, 7324, 8, 'Anciens rendez-vous');
INSERT INTO `lang_definitions` VALUES (41042, 7325, 8, 'Gadget d\'affichage d\'ancien rendez-vous');
INSERT INTO `lang_definitions` VALUES (41043, 7326, 8, 'RDV passés');
INSERT INTO `lang_definitions` VALUES (41044, 7328, 8, 'Date passée');
INSERT INTO `lang_definitions` VALUES (41045, 7329, 8, 'En retard');
INSERT INTO `lang_definitions` VALUES (41046, 7330, 8, 'En Retard');
INSERT INTO `lang_definitions` VALUES (41047, 7333, 8, 'Liste de venues effectuées');
INSERT INTO `lang_definitions` VALUES (41048, 7334, 8, 'Venues réalisées');
INSERT INTO `lang_definitions` VALUES (41049, 7335, 8, 'Venues et documents archivés');
INSERT INTO `lang_definitions` VALUES (41050, 7336, 8, 'Venues antérieures pour');
INSERT INTO `lang_definitions` VALUES (41051, 7337, 8, 'Antécédents médicaux réalisés');
INSERT INTO `lang_definitions` VALUES (41052, 7338, 8, 'Rencontres réalisés');
INSERT INTO `lang_definitions` VALUES (41053, 7361, 8, 'Patient');
INSERT INTO `lang_definitions` VALUES (41054, 7362, 8, 'PATIENT');
INSERT INTO `lang_definitions` VALUES (41055, 7363, 8, 'patient');
INSERT INTO `lang_definitions` VALUES (41056, 7365, 8, 'L\'adresse du patient manque');
INSERT INTO `lang_definitions` VALUES (41057, 7366, 8, 'L\'adresse du patient');
INSERT INTO `lang_definitions` VALUES (41058, 7369, 8, 'Allergies du patient');
INSERT INTO `lang_definitions` VALUES (41059, 7370, 8, 'Allergies du Patient');
INSERT INTO `lang_definitions` VALUES (41060, 7373, 8, 'Rendez-vous du patient');
INSERT INTO `lang_definitions` VALUES (41061, 7374, 8, 'Payements du patient');
INSERT INTO `lang_definitions` VALUES (41062, 7375, 8, 'Payements restant du patient');
INSERT INTO `lang_definitions` VALUES (41063, 7379, 8, 'Numéro de dossier');
INSERT INTO `lang_definitions` VALUES (41064, 7383, 8, 'Ville du patient');
INSERT INTO `lang_definitions` VALUES (41065, 7384, 8, 'Ville patient est manquante');
INSERT INTO `lang_definitions` VALUES (41066, 7386, 8, 'Communication patient envoyé');
INSERT INTO `lang_definitions` VALUES (41067, 7387, 8, 'Communication patient envoyé');
INSERT INTO `lang_definitions` VALUES (41068, 7388, 8, 'Pays patient');
INSERT INTO `lang_definitions` VALUES (41069, 7389, 8, 'Pays Patients est manquant. Aussi, vous n\'avez pas réglé Pays par défaut pour les patients dans Paramètres Globaux');
INSERT INTO `lang_definitions` VALUES (41070, 7390, 8, 'Prise En Charge');
INSERT INTO `lang_definitions` VALUES (41071, 7394, 8, 'Les données des patients');
INSERT INTO `lang_definitions` VALUES (41072, 7396, 8, 'Date de naissance du patient est manquante');
INSERT INTO `lang_definitions` VALUES (41073, 7401, 8, 'Données du patient');
INSERT INTO `lang_definitions` VALUES (41074, 7402, 8, 'Date de naissance du patient');
INSERT INTO `lang_definitions` VALUES (41075, 7404, 8, 'Document du patient');
INSERT INTO `lang_definitions` VALUES (41076, 7410, 8, 'Education du patient');
INSERT INTO `lang_definitions` VALUES (41077, 7412, 8, 'Rencontre avec le patient');
INSERT INTO `lang_definitions` VALUES (41078, 7413, 8, 'Formulaire de rencontre avec le patient');
INSERT INTO `lang_definitions` VALUES (41079, 7414, 8, 'Rencontres avec le patient');
INSERT INTO `lang_definitions` VALUES (41080, 7415, 8, 'Annuaire des patients');
INSERT INTO `lang_definitions` VALUES (41081, 7417, 8, 'Prénom du patient');
INSERT INTO `lang_definitions` VALUES (41082, 7419, 8, 'Prénom du patient manquant');
INSERT INTO `lang_definitions` VALUES (41083, 7424, 8, 'Sexe du patient');
INSERT INTO `lang_definitions` VALUES (41084, 7425, 8, 'Sexe du patient manquant');
INSERT INTO `lang_definitions` VALUES (41085, 7426, 8, 'Patient n\'a pas autorisé le Portail des patients.');
INSERT INTO `lang_definitions` VALUES (41086, 7428, 8, 'Historique du patient');
INSERT INTO `lang_definitions` VALUES (41087, 7429, 8, 'Historique du patient / Mode de vie');
INSERT INTO `lang_definitions` VALUES (41088, 7430, 8, 'Téléphone à domicile du patient');
INSERT INTO `lang_definitions` VALUES (41089, 7431, 8, 'ID Patient');
INSERT INTO `lang_definitions` VALUES (41090, 7432, 8, 'ID Patient');
INSERT INTO `lang_definitions` VALUES (41091, 7433, 8, 'ID carte du patient');
INSERT INTO `lang_definitions` VALUES (41092, 7437, 8, 'Vaccination du patient');
INSERT INTO `lang_definitions` VALUES (41093, 7438, 8, 'Informations du patient');
INSERT INTO `lang_definitions` VALUES (41094, 7440, 8, 'Instructions du patient');
INSERT INTO `lang_definitions` VALUES (41095, 7445, 8, 'Problèmes patient');
INSERT INTO `lang_definitions` VALUES (41096, 7447, 8, 'Nom du patient');
INSERT INTO `lang_definitions` VALUES (41097, 7448, 8, 'Nom du patient');
INSERT INTO `lang_definitions` VALUES (41098, 7449, 8, 'Nom du patient manquant');
INSERT INTO `lang_definitions` VALUES (41099, 7453, 8, 'Note facturation');
INSERT INTO `lang_definitions` VALUES (41100, 7454, 8, 'Liste patients');
INSERT INTO `lang_definitions` VALUES (41101, 7455, 8, 'Colonnes de la liste des patients');
INSERT INTO `lang_definitions` VALUES (41102, 7457, 8, 'Liste des patients dans une nouvelle fenêtre');
INSERT INTO `lang_definitions` VALUES (41103, 7458, 8, 'Taille de la page de la liste des patients');
INSERT INTO `lang_definitions` VALUES (41104, 7460, 8, 'Erreurs de recherche patient');
INSERT INTO `lang_definitions` VALUES (41105, 7463, 8, 'Problèmes médicaux du patient');
INSERT INTO `lang_definitions` VALUES (41106, 7464, 8, 'Les médicaments du patient');
INSERT INTO `lang_definitions` VALUES (41107, 7470, 8, 'Nom du patient');
INSERT INTO `lang_definitions` VALUES (41108, 7472, 8, 'Nom et adresse du patient');
INSERT INTO `lang_definitions` VALUES (41109, 7475, 8, 'Nom du patient requis');
INSERT INTO `lang_definitions` VALUES (41110, 7476, 8, 'Nom Patient/IPP');
INSERT INTO `lang_definitions` VALUES (41111, 7477, 8, 'Remarque patient');
INSERT INTO `lang_definitions` VALUES (41112, 7478, 8, 'Types des remarques patient');
INSERT INTO `lang_definitions` VALUES (41113, 7479, 8, 'Remarques patient');
INSERT INTO `lang_definitions` VALUES (41114, 7480, 8, 'Notes du patient (écrire, ajout seulement optionnel)');
INSERT INTO `lang_definitions` VALUES (41115, 7482, 8, 'IPP patient');
INSERT INTO `lang_definitions` VALUES (41116, 7483, 8, 'Paiement du patient');
INSERT INTO `lang_definitions` VALUES (41117, 7484, 8, 'Paiement patient');
INSERT INTO `lang_definitions` VALUES (41118, 7487, 8, 'Portail Patient');
INSERT INTO `lang_definitions` VALUES (41119, 7492, 8, 'Portail Patient est désactivé');
INSERT INTO `lang_definitions` VALUES (41120, 7493, 8, 'Connexion au Portail Patient');
INSERT INTO `lang_definitions` VALUES (41121, 7496, 8, 'Adresse web du Portail Patient');
INSERT INTO `lang_definitions` VALUES (41122, 7497, 8, 'Rapport imprimé du patient');
INSERT INTO `lang_definitions` VALUES (41123, 7499, 8, 'Rapport de dossier patient');
INSERT INTO `lang_definitions` VALUES (41124, 7500, 8, 'Demande de dossier patient');
INSERT INTO `lang_definitions` VALUES (41125, 7501, 8, 'Demande des dossiers patient');
INSERT INTO `lang_definitions` VALUES (41126, 7503, 8, 'Rappel du patient');
INSERT INTO `lang_definitions` VALUES (41127, 7506, 8, 'Priorité de traitement pour la création d\'un rappel patient');
INSERT INTO `lang_definitions` VALUES (41128, 7507, 8, 'Règles de rappel des patients');
INSERT INTO `lang_definitions` VALUES (41129, 7508, 8, 'Expéditeur e-mail pour les rappels patients');
INSERT INTO `lang_definitions` VALUES (41130, 7509, 8, 'Nom d\'expéditeur pour les rappels patients');
INSERT INTO `lang_definitions` VALUES (41131, 7510, 8, 'Rappels patients');
INSERT INTO `lang_definitions` VALUES (41132, 7514, 8, 'Rapport patient');
INSERT INTO `lang_definitions` VALUES (41133, 7518, 8, 'Demande patient');
INSERT INTO `lang_definitions` VALUES (41134, 7519, 8, 'Dossiers médicaux demandés par le patient');
INSERT INTO `lang_definitions` VALUES (41135, 7521, 8, 'Résultats du patients');
INSERT INTO `lang_definitions` VALUES (41136, 7525, 8, 'Style des résultats de recherche des patients');
INSERT INTO `lang_definitions` VALUES (41137, 7526, 8, 'Ecran de Recherche/Ajout patient');
INSERT INTO `lang_definitions` VALUES (41138, 7528, 8, 'Réglages du patient');
INSERT INTO `lang_definitions` VALUES (41139, 7533, 8, 'Etat du patient');
INSERT INTO `lang_definitions` VALUES (41140, 7539, 8, 'Résumé du patient');
INSERT INTO `lang_definitions` VALUES (41141, 7542, 8, 'Transactions du patient');
INSERT INTO `lang_definitions` VALUES (41142, 7546, 8, 'Code postale du patient');
INSERT INTO `lang_definitions` VALUES (41143, 7549, 8, 'Patient (s) dans la base de données qui correspond(ent) aux critères démographique que vous avez entré.');
INSERT INTO `lang_definitions` VALUES (41144, 7550, 8, 'Patientele');
INSERT INTO `lang_definitions` VALUES (41145, 7551, 8, 'Patient:');
INSERT INTO `lang_definitions` VALUES (41146, 7552, 8, 'ID Patient');
INSERT INTO `lang_definitions` VALUES (41147, 7553, 8, 'Patients');
INSERT INTO `lang_definitions` VALUES (41148, 7555, 8, 'Patients traités');
INSERT INTO `lang_definitions` VALUES (41149, 7556, 8, 'Patients débiteurs');
INSERT INTO `lang_definitions` VALUES (41150, 7559, 8, 'Payer');
INSERT INTO `lang_definitions` VALUES (41151, 7563, 8, 'Date de paiement :');
INSERT INTO `lang_definitions` VALUES (41152, 7564, 8, 'Reçu de paiement');
INSERT INTO `lang_definitions` VALUES (41153, 7566, 8, 'Statut du paiement');
INSERT INTO `lang_definitions` VALUES (41154, 7567, 8, 'Nom du payeur');
INSERT INTO `lang_definitions` VALUES (41155, 7568, 8, 'Payeur');
INSERT INTO `lang_definitions` VALUES (41156, 7572, 8, 'Type de payeur');
INSERT INTO `lang_definitions` VALUES (41157, 7573, 8, 'Montant payé');
INSERT INTO `lang_definitions` VALUES (41158, 7574, 8, 'Entité payeuse');
INSERT INTO `lang_definitions` VALUES (41159, 7575, 8, 'Paiement');
INSERT INTO `lang_definitions` VALUES (41160, 7576, 8, 'paiement');
INSERT INTO `lang_definitions` VALUES (41161, 7578, 8, 'Paiement pour');
INSERT INTO `lang_definitions` VALUES (41162, 7579, 8, 'Montant du paiement');
INSERT INTO `lang_definitions` VALUES (41163, 7580, 8, 'Le montant du paiement doit etre numérique');
INSERT INTO `lang_definitions` VALUES (41164, 7581, 8, 'Catégorie du paiement');
INSERT INTO `lang_definitions` VALUES (41165, 7583, 8, 'Date du paiement');
INSERT INTO `lang_definitions` VALUES (41166, 7584, 8, 'paiement entré le');
INSERT INTO `lang_definitions` VALUES (41167, 7585, 8, 'Paiement provenant de');
INSERT INTO `lang_definitions` VALUES (41168, 7589, 8, 'Liste du payement');
INSERT INTO `lang_definitions` VALUES (41169, 7590, 8, 'Methode de paiement');
INSERT INTO `lang_definitions` VALUES (41170, 7592, 8, 'Trié les paiement par');
INSERT INTO `lang_definitions` VALUES (41171, 7593, 8, 'Status du paiement');
INSERT INTO `lang_definitions` VALUES (41172, 7597, 8, 'Type de payement');
INSERT INTO `lang_definitions` VALUES (41173, 7602, 8, 'Payements');
INSERT INTO `lang_definitions` VALUES (41174, 7610, 8, 'PDF');
INSERT INTO `lang_definitions` VALUES (41175, 7620, 8, 'Pelvis et fesses');
INSERT INTO `lang_definitions` VALUES (41176, 7624, 8, 'En attente');
INSERT INTO `lang_definitions` VALUES (41177, 7630, 8, 'Suivis en attente');
INSERT INTO `lang_definitions` VALUES (41178, 7631, 8, 'Suivis en attente depuis les resultats');
INSERT INTO `lang_definitions` VALUES (41179, 7632, 8, 'Commandes en attentes');
INSERT INTO `lang_definitions` VALUES (41180, 7639, 8, 'maladie d\'ulcer digestif');
INSERT INTO `lang_definitions` VALUES (41181, 7640, 8, 'Par rencontre');
INSERT INTO `lang_definitions` VALUES (41182, 7641, 8, 'par min');
INSERT INTO `lang_definitions` VALUES (41183, 7642, 8, 'Au nombril');
INSERT INTO `lang_definitions` VALUES (41184, 7643, 8, 'au nombril');
INSERT INTO `lang_definitions` VALUES (41185, 7646, 8, 'Au rectum');
INSERT INTO `lang_definitions` VALUES (41186, 7647, 8, 'au rectum');
INSERT INTO `lang_definitions` VALUES (41187, 7648, 8, 'Pourcent');
INSERT INTO `lang_definitions` VALUES (41188, 7652, 8, 'centile');
INSERT INTO `lang_definitions` VALUES (41189, 7654, 8, 'Faire une recherche');
INSERT INTO `lang_definitions` VALUES (41190, 7655, 8, 'Faire cette action');
INSERT INTO `lang_definitions` VALUES (41191, 7661, 8, 'Période');
INSERT INTO `lang_definitions` VALUES (41192, 7662, 8, 'Période en jour ou un utilisateur pourra se connecter avec un mot de passe expiré.');
INSERT INTO `lang_definitions` VALUES (41193, 7665, 8, 'Périphérique');
INSERT INTO `lang_definitions` VALUES (41194, 7668, 8, 'Autoriser les mots de passe non salé');
INSERT INTO `lang_definitions` VALUES (41195, 7669, 8, 'Perse');
INSERT INTO `lang_definitions` VALUES (41196, 7671, 8, 'Personne');
INSERT INTO `lang_definitions` VALUES (41197, 7672, 8, 'Personnaliser');
INSERT INTO `lang_definitions` VALUES (41198, 7678, 8, 'Pharmacies');
INSERT INTO `lang_definitions` VALUES (41199, 7680, 8, 'Pharmacie');
INSERT INTO `lang_definitions` VALUES (41200, 7681, 8, 'Dispensaire de batiment');
INSERT INTO `lang_definitions` VALUES (41201, 7697, 8, 'Téléphone');
INSERT INTO `lang_definitions` VALUES (41202, 7699, 8, 'Liste d\'appel du téléphone');
INSERT INTO `lang_definitions` VALUES (41203, 7701, 8, 'Rapport sur la liste d\'appel du téléphone');
INSERT INTO `lang_definitions` VALUES (41204, 7711, 8, 'Numéro de téléphone');
INSERT INTO `lang_definitions` VALUES (41205, 7715, 8, 'Photophobie');
INSERT INTO `lang_definitions` VALUES (41206, 7716, 8, 'Photos');
INSERT INTO `lang_definitions` VALUES (41207, 7717, 8, 'PHP compressé');
INSERT INTO `lang_definitions` VALUES (41208, 7722, 8, 'PHP-gacl n\'est pas installé');
INSERT INTO `lang_definitions` VALUES (41209, 7723, 8, 'Examen Physique');
INSERT INTO `lang_definitions` VALUES (41210, 7725, 8, 'Demande du médecin');
INSERT INTO `lang_definitions` VALUES (41211, 7726, 8, 'Signature du médecin');
INSERT INTO `lang_definitions` VALUES (41212, 7729, 8, 'Médecins');
INSERT INTO `lang_definitions` VALUES (41213, 7733, 8, 'choisir');
INSERT INTO `lang_definitions` VALUES (41214, 7734, 8, 'Chosir');
INSERT INTO `lang_definitions` VALUES (41215, 7735, 8, 'Choisir un thème CSS.');
INSERT INTO `lang_definitions` VALUES (41216, 7740, 8, 'PID (maladie inflammatoire pelvienne)');
INSERT INTO `lang_definitions` VALUES (41217, 7741, 8, 'Taille de la pilule');
INSERT INTO `lang_definitions` VALUES (41218, 7742, 8, 'Pilules');
INSERT INTO `lang_definitions` VALUES (41219, 7756, 8, 'Texte uniquement');
INSERT INTO `lang_definitions` VALUES (41220, 7757, 8, 'Plan');
INSERT INTO `lang_definitions` VALUES (41221, 7762, 8, 'Nom du plan');
INSERT INTO `lang_definitions` VALUES (41222, 7773, 8, 'Plan:');
INSERT INTO `lang_definitions` VALUES (41223, 7776, 8, 'Plans');
INSERT INTO `lang_definitions` VALUES (41224, 7778, 8, 'Joueur');
INSERT INTO `lang_definitions` VALUES (41225, 7779, 8, 'Position de jeu');
INSERT INTO `lang_definitions` VALUES (41226, 7780, 8, 'S\'il vous plait appelez si n\'importe quel information ci-dessus est incorrecte');
INSERT INTO `lang_definitions` VALUES (41227, 7784, 8, 'S\'il vous plait changer votre mot de passe.');
INSERT INTO `lang_definitions` VALUES (41228, 7785, 8, 'S\'il vous plait choississez un fichié');
INSERT INTO `lang_definitions` VALUES (41229, 7786, 8, 'S\'il vous plait chossissez un patient');
INSERT INTO `lang_definitions` VALUES (41230, 7787, 8, 'S\'il vous plait choississez une selection valide dans la liste.');
INSERT INTO `lang_definitions` VALUES (41231, 7788, 8, 'S\'il vous plait choississez une sélection valide.');
INSERT INTO `lang_definitions` VALUES (41232, 7789, 8, 'S\'il vous plait choississez une valeur pour');
INSERT INTO `lang_definitions` VALUES (41233, 7795, 8, 'S\'il vous plait fermer cette fenètre.');
INSERT INTO `lang_definitions` VALUES (41234, 7814, 8, 'S\'il vous plait entrer une date.');
INSERT INTO `lang_definitions` VALUES (41235, 7818, 8, 'S\'il vous plait entrer un message');
INSERT INTO `lang_definitions` VALUES (41236, 7819, 8, 'S\'il vous plait entrer entrer un montant monaitaire en utilisant uniquement des nombres et le point decimal.');
INSERT INTO `lang_definitions` VALUES (41237, 7821, 8, 'S\'il vous plait entrer un nouveau mot de passe');
INSERT INTO `lang_definitions` VALUES (41238, 7822, 8, 'S\'il vous plait entrer un titre!');
INSERT INTO `lang_definitions` VALUES (41239, 7832, 8, 'S\'il vous plait entrer une nouvelle phrase de recherche');
INSERT INTO `lang_definitions` VALUES (41240, 7834, 8, 'S\'il vous plait entrer le mot de passe');
INSERT INTO `lang_definitions` VALUES (41241, 7845, 8, 'S\'il vous plait remplissez la date');
INSERT INTO `lang_definitions` VALUES (41242, 7846, 8, 'S\'il vous plait rentrez le montant du payement');
INSERT INTO `lang_definitions` VALUES (41243, 7847, 8, 'S\'il vous plait rentrez la catégorie de payement');
INSERT INTO `lang_definitions` VALUES (41244, 7854, 8, 'S\'il vous plait indiquez la raison de la visite');
INSERT INTO `lang_definitions` VALUES (41245, 7858, 8, 'S\'il vous plait connectez vous de nouveau.');
INSERT INTO `lang_definitions` VALUES (41246, 7861, 8, 'S\'il vous plait utilisez des caractères alphabetique');
INSERT INTO `lang_definitions` VALUES (41247, 7862, 8, 'S\'il vous plait utilisez des caractères alphabetique sans espace');
INSERT INTO `lang_definitions` VALUES (41248, 7863, 8, 'S\'il vous plait payez ce montant');
INSERT INTO `lang_definitions` VALUES (41249, 7864, 8, 'S\'il vous plait placez vos fichiers d\'installation dans le dossier suivant');
INSERT INTO `lang_definitions` VALUES (41250, 7868, 8, 'S\'il vous plait resetez le mot de passe');
INSERT INTO `lang_definitions` VALUES (41251, 7875, 8, 'S\'il vous plait selectionnez');
INSERT INTO `lang_definitions` VALUES (41252, 7877, 8, 'S\'il vous plait selectionnez une langue');
INSERT INTO `lang_definitions` VALUES (41253, 7878, 8, 'S\'il vous plait selectionnez un patient.');
INSERT INTO `lang_definitions` VALUES (41254, 7889, 8, 'S\'il vous plait selectionnez un évenement');
INSERT INTO `lang_definitions` VALUES (41255, 7891, 8, 'S\'il vous plait selectionnez n\'importe quel option de recherche/');
INSERT INTO `lang_definitions` VALUES (41256, 7894, 8, 'S\'il vous plait selectionnez au moins une prescription!');
INSERT INTO `lang_definitions` VALUES (41257, 7899, 8, 'S\'il vous plait selectionnez les pages voulues pour copier ou faire suivre:');
INSERT INTO `lang_definitions` VALUES (41258, 7900, 8, 'S\'il vous plait selectionnez la méthode de payement');
INSERT INTO `lang_definitions` VALUES (41259, 7903, 8, 'S\'il vous plait selectionnez le type de payement.');
INSERT INTO `lang_definitions` VALUES (41260, 7906, 8, 'S\'il vous plait mettre');
INSERT INTO `lang_definitions` VALUES (41261, 7918, 8, 'S\'il vous plait visitez l\'ecran après un certain temps');
INSERT INTO `lang_definitions` VALUES (41262, 7922, 8, 'Pluriel');
INSERT INTO `lang_definitions` VALUES (41263, 7940, 8, 'Vaccin contre la pneumonie');
INSERT INTO `lang_definitions` VALUES (41264, 7941, 8, 'Status du vaccin contre la pneumonie pour adultes les plus anciens');
INSERT INTO `lang_definitions` VALUES (41265, 7942, 8, 'Status du vaccin contre la pneumonie pour adultes les plus anciens (LCQ)');
INSERT INTO `lang_definitions` VALUES (41266, 7943, 8, 'Podologie');
INSERT INTO `lang_definitions` VALUES (41267, 7951, 8, 'Numéro de la politice');
INSERT INTO `lang_definitions` VALUES (41268, 7952, 8, 'Polonais');
INSERT INTO `lang_definitions` VALUES (41269, 7955, 8, 'Polypes');
INSERT INTO `lang_definitions` VALUES (41270, 7957, 8, 'Faible appétit');
INSERT INTO `lang_definitions` VALUES (41271, 7958, 8, 'Faible circulation');
INSERT INTO `lang_definitions` VALUES (41272, 7959, 8, 'Ouïe faible');
INSERT INTO `lang_definitions` VALUES (41273, 7962, 8, 'Les pop up doivent être activés pour voir ces rapport');
INSERT INTO `lang_definitions` VALUES (41274, 7967, 8, 'Portail');
INSERT INTO `lang_definitions` VALUES (41275, 7969, 8, 'Activité du portail');
INSERT INTO `lang_definitions` VALUES (41276, 7985, 8, 'Portugais');
INSERT INTO `lang_definitions` VALUES (41277, 7987, 8, 'Portugais (Brésillien)');
INSERT INTO `lang_definitions` VALUES (41278, 7988, 8, 'Portugais (Européen)');
INSERT INTO `lang_definitions` VALUES (41279, 7992, 8, 'Positif');
INSERT INTO `lang_definitions` VALUES (41280, 7993, 8, 'Positifs');
INSERT INTO `lang_definitions` VALUES (41281, 8011, 8, 'Postal');
INSERT INTO `lang_definitions` VALUES (41282, 8012, 8, 'Code Postal');
INSERT INTO `lang_definitions` VALUES (41283, 8013, 8, 'Code postal');
INSERT INTO `lang_definitions` VALUES (41284, 8026, 8, 'Date d\'envois');
INSERT INTO `lang_definitions` VALUES (41285, 8037, 8, 'Entrainement');
INSERT INTO `lang_definitions` VALUES (41286, 8038, 8, 'Paramètre par defaut des entrainements');
INSERT INTO `lang_definitions` VALUES (41287, 8039, 8, 'Paramètre par defaut des entrainements');
INSERT INTO `lang_definitions` VALUES (41288, 8041, 8, 'Entraineur');
INSERT INTO `lang_definitions` VALUES (41289, 8043, 8, 'Pré-payement');
INSERT INTO `lang_definitions` VALUES (41290, 8044, 8, 'Pré-payement');
INSERT INTO `lang_definitions` VALUES (41291, 8045, 8, 'Consultation pré-avortement');
INSERT INTO `lang_definitions` VALUES (41292, 8046, 8, 'Aide psychologique pré-avortement');
INSERT INTO `lang_definitions` VALUES (41293, 8047, 8, 'Montant de l\'acompte');
INSERT INTO `lang_definitions` VALUES (41294, 8050, 8, 'Préférences');
INSERT INTO `lang_definitions` VALUES (41295, 8052, 8, 'Catégorie d\'évenement préféré');
INSERT INTO `lang_definitions` VALUES (41296, 8053, 8, 'Langue préféré');
INSERT INTO `lang_definitions` VALUES (41297, 8054, 8, 'Pharmacie préféré');
INSERT INTO `lang_definitions` VALUES (41298, 8056, 8, 'Test de grossesse');
INSERT INTO `lang_definitions` VALUES (41299, 8057, 8, 'Préliminaire');
INSERT INTO `lang_definitions` VALUES (41300, 8059, 8, 'Pré-payement');
INSERT INTO `lang_definitions` VALUES (41301, 8061, 8, 'Prescription');
INSERT INTO `lang_definitions` VALUES (41302, 8064, 8, 'Historique des prescriptions');
INSERT INTO `lang_definitions` VALUES (41303, 8065, 8, 'L\'historique des prescriptions a été importé avec succes');
INSERT INTO `lang_definitions` VALUES (41304, 8070, 8, 'Prescriptions');
INSERT INTO `lang_definitions` VALUES (41305, 8076, 8, 'Rapport des prescriptions');
INSERT INTO `lang_definitions` VALUES (41306, 8077, 8, 'Prescriptions/Envois vers des spécialistes');
INSERT INTO `lang_definitions` VALUES (41307, 8078, 8, 'Présent');
INSERT INTO `lang_definitions` VALUES (41308, 8079, 8, 'À des réclamations');
INSERT INTO `lang_definitions` VALUES (41309, 8080, 8, 'À des problèmes');
INSERT INTO `lang_definitions` VALUES (41310, 8081, 8, 'Appuyer sur Continuer pour effectuer l\'action');
INSERT INTO `lang_definitions` VALUES (41311, 8084, 8, 'Diagnostic présumé');
INSERT INTO `lang_definitions` VALUES (41312, 8085, 8, 'Diagnostic présumé par un spécialiste');
INSERT INTO `lang_definitions` VALUES (41313, 8091, 8, 'Soin préventif');
INSERT INTO `lang_definitions` VALUES (41314, 8094, 8, 'Aperçu de l\'evenement');
INSERT INTO `lang_definitions` VALUES (41315, 8097, 8, 'Aperçu de');
INSERT INTO `lang_definitions` VALUES (41316, 8098, 8, 'Précédent');
INSERT INTO `lang_definitions` VALUES (41317, 8099, 8, 'Consultations précédente');
INSERT INTO `lang_definitions` VALUES (41318, 8100, 8, 'Jour précédent');
INSERT INTO `lang_definitions` VALUES (41319, 8103, 8, 'Mois précédent');
INSERT INTO `lang_definitions` VALUES (41320, 8104, 8, 'Semaine précédente');
INSERT INTO `lang_definitions` VALUES (41321, 8105, 8, 'Prix');
INSERT INTO `lang_definitions` VALUES (41322, 8108, 8, 'Prix sacrifié');
INSERT INTO `lang_definitions` VALUES (41323, 8109, 8, 'Niveau du prix');
INSERT INTO `lang_definitions` VALUES (41324, 8111, 8, 'Niveau du prix:');
INSERT INTO `lang_definitions` VALUES (41325, 8113, 8, 'Prix');
INSERT INTO `lang_definitions` VALUES (41326, 8114, 8, 'Principale');
INSERT INTO `lang_definitions` VALUES (41327, 8126, 8, 'Assurance principale');
INSERT INTO `lang_definitions` VALUES (41328, 8127, 8, 'Donnée de l\'assurance principale');
INSERT INTO `lang_definitions` VALUES (41329, 8128, 8, 'Fournisseur de l\'assurance principale');
INSERT INTO `lang_definitions` VALUES (41330, 8129, 8, 'Fournisseur principale');
INSERT INTO `lang_definitions` VALUES (41331, 8130, 8, 'Imprimer');
INSERT INTO `lang_definitions` VALUES (41332, 8131, 8, 'Imprimer (HTML)');
INSERT INTO `lang_definitions` VALUES (41333, 8132, 8, 'Imprimer (PDF)');
INSERT INTO `lang_definitions` VALUES (41334, 8134, 8, 'Imprimer n\'importe quel rencontre');
INSERT INTO `lang_definitions` VALUES (41335, 8138, 8, 'Imprimer la date');
INSERT INTO `lang_definitions` VALUES (41336, 8147, 8, 'Imprimer message');
INSERT INTO `lang_definitions` VALUES (41337, 8148, 8, 'Impression multiple');
INSERT INTO `lang_definitions` VALUES (41338, 8151, 8, 'Imprimer notes');
INSERT INTO `lang_definitions` VALUES (41339, 8152, 8, 'Impression Page 1');
INSERT INTO `lang_definitions` VALUES (41340, 8153, 8, 'Impression Page 2');
INSERT INTO `lang_definitions` VALUES (41341, 8157, 8, 'Imprimer l\'enregistrement');
INSERT INTO `lang_definitions` VALUES (41342, 8166, 8, 'Imprimer cette rencontre');
INSERT INTO `lang_definitions` VALUES (41343, 8168, 8, 'Imprimer cette note');
INSERT INTO `lang_definitions` VALUES (41344, 8169, 8, 'Imprimer Cette Note');
INSERT INTO `lang_definitions` VALUES (41345, 8173, 8, 'imprimable');
INSERT INTO `lang_definitions` VALUES (41346, 8174, 8, 'Version imprimable');
INSERT INTO `lang_definitions` VALUES (41347, 8175, 8, 'Imprimé');
INSERT INTO `lang_definitions` VALUES (41348, 8178, 8, 'Résultats en cours d\'impression:');
INSERT INTO `lang_definitions` VALUES (41349, 8182, 8, 'Authorisation précédente');
INSERT INTO `lang_definitions` VALUES (41350, 8184, 8, 'Formulaire d\'authorisation précédente');
INSERT INTO `lang_definitions` VALUES (41351, 8189, 8, 'Visite précédente');
INSERT INTO `lang_definitions` VALUES (41352, 8191, 8, 'Priorité');
INSERT INTO `lang_definitions` VALUES (41353, 8192, 8, 'Priorité');
INSERT INTO `lang_definitions` VALUES (41354, 8196, 8, 'Privé');
INSERT INTO `lang_definitions` VALUES (41355, 8197, 8, 'Diagnostic');
INSERT INTO `lang_definitions` VALUES (41356, 8199, 8, 'Liste de problème');
INSERT INTO `lang_definitions` VALUES (41357, 8200, 8, 'Diagnostics');
INSERT INTO `lang_definitions` VALUES (41358, 8202, 8, 'Diagnostics');
INSERT INTO `lang_definitions` VALUES (41359, 8209, 8, 'Procédure');
INSERT INTO `lang_definitions` VALUES (41360, 8214, 8, 'Code de la procédure');
INSERT INTO `lang_definitions` VALUES (41361, 8215, 8, 'Codes de la procédure');
INSERT INTO `lang_definitions` VALUES (41362, 8218, 8, 'Nom de la procédure');
INSERT INTO `lang_definitions` VALUES (41363, 8220, 8, 'Ordre de la Procédure');
INSERT INTO `lang_definitions` VALUES (41364, 8221, 8, 'Ordre de la procédure');
INSERT INTO `lang_definitions` VALUES (41365, 8223, 8, 'Ordre de la Procédure pour');
INSERT INTO `lang_definitions` VALUES (41366, 8226, 8, 'Ordres de la procédure et rapport');
INSERT INTO `lang_definitions` VALUES (41367, 8228, 8, 'Fournisseur de la procédure');
INSERT INTO `lang_definitions` VALUES (41368, 8229, 8, 'Fournisseur de la Procédure');
INSERT INTO `lang_definitions` VALUES (41369, 8231, 8, 'Fournisseurs de la procédure');
INSERT INTO `lang_definitions` VALUES (41370, 8232, 8, 'Rapport de la Procédure');
INSERT INTO `lang_definitions` VALUES (41371, 8235, 8, 'Status des rapport de la procédure');
INSERT INTO `lang_definitions` VALUES (41372, 8237, 8, 'Resultat anormal suite à la procédure');
INSERT INTO `lang_definitions` VALUES (41373, 8238, 8, 'Status du résultat de la procédure');
INSERT INTO `lang_definitions` VALUES (41374, 8240, 8, 'Résultats de la procédure');
INSERT INTO `lang_definitions` VALUES (41375, 8248, 8, 'Type de procédure');
INSERT INTO `lang_definitions` VALUES (41376, 8249, 8, 'Types de procédure');
INSERT INTO `lang_definitions` VALUES (41377, 8253, 8, 'Procédure/Service');
INSERT INTO `lang_definitions` VALUES (41378, 8254, 8, 'Procédures');
INSERT INTO `lang_definitions` VALUES (41379, 8256, 8, 'Processus');
INSERT INTO `lang_definitions` VALUES (41380, 8257, 8, 'Processus et envoyer les rappels');
INSERT INTO `lang_definitions` VALUES (41381, 8263, 8, 'Préparé');
INSERT INTO `lang_definitions` VALUES (41382, 8264, 8, 'Préparé par');
INSERT INTO `lang_definitions` VALUES (41383, 8265, 8, 'Date préparé');
INSERT INTO `lang_definitions` VALUES (41384, 8266, 8, 'préparé avec succes');
INSERT INTO `lang_definitions` VALUES (41385, 8267, 8, 'Traitement');
INSERT INTO `lang_definitions` VALUES (41386, 8268, 8, 'Traitement et envois des rappels du patient');
INSERT INTO `lang_definitions` VALUES (41387, 8271, 8, 'Traitement des rappels du patient');
INSERT INTO `lang_definitions` VALUES (41388, 8272, 8, 'Traitement du temps');
INSERT INTO `lang_definitions` VALUES (41389, 8274, 8, 'Produit');
INSERT INTO `lang_definitions` VALUES (41390, 8278, 8, 'Production');
INSERT INTO `lang_definitions` VALUES (41391, 8279, 8, 'Produits');
INSERT INTO `lang_definitions` VALUES (41392, 8295, 8, 'Cancer prostatique');
INSERT INTO `lang_definitions` VALUES (41393, 8296, 8, 'Depistage cancer prostatique');
INSERT INTO `lang_definitions` VALUES (41394, 8297, 8, 'Examen prostatique');
INSERT INTO `lang_definitions` VALUES (41395, 8298, 8, 'Problèmes prostatiques');
INSERT INTO `lang_definitions` VALUES (41396, 8302, 8, 'Protocole');
INSERT INTO `lang_definitions` VALUES (41397, 8304, 8, 'Fournir le chemin absolu');
INSERT INTO `lang_definitions` VALUES (41398, 8305, 8, 'Fournir le chemin absolu du fichier');
INSERT INTO `lang_definitions` VALUES (41399, 8309, 8, 'Fournir les résumés clinique des patients pour chaque visite au bureau.');
INSERT INTO `lang_definitions` VALUES (41400, 8313, 8, 'Fournir les enregistrement au patient pour la visite');
INSERT INTO `lang_definitions` VALUES (41401, 8315, 8, 'Fournir une adresse courriel valide');
INSERT INTO `lang_definitions` VALUES (41402, 8316, 8, 'Résumé clinique fournis?');
INSERT INTO `lang_definitions` VALUES (41403, 8317, 8, 'Ressources d\'éducation fournis?');
INSERT INTO `lang_definitions` VALUES (41404, 8318, 8, 'Ressource');
INSERT INTO `lang_definitions` VALUES (41405, 8320, 8, 'Accès ');
INSERT INTO `lang_definitions` VALUES (41406, 8321, 8, 'Tableau des ressources');
INSERT INTO `lang_definitions` VALUES (41407, 8322, 8, 'Id de la ressource');
INSERT INTO `lang_definitions` VALUES (41408, 8323, 8, 'ID de la ressource');
INSERT INTO `lang_definitions` VALUES (41409, 8324, 8, 'ID Etablissement de la ressource');
INSERT INTO `lang_definitions` VALUES (41410, 8327, 8, 'nom de la ressource');
INSERT INTO `lang_definitions` VALUES (41411, 8328, 8, 'Ressouce non disponible, merci d\'en sélectionner une autre');
INSERT INTO `lang_definitions` VALUES (41412, 8329, 8, 'Ressource non disponible, voulez vous forcer le créneau ?');
INSERT INTO `lang_definitions` VALUES (41413, 8330, 8, 'Numéro de la ressource');
INSERT INTO `lang_definitions` VALUES (41414, 8331, 8, 'Numéro de la ressource (type)');
INSERT INTO `lang_definitions` VALUES (41415, 8332, 8, 'Code qualifiant de la ressource');
INSERT INTO `lang_definitions` VALUES (41416, 8334, 8, 'Type de la ressource');
INSERT INTO `lang_definitions` VALUES (41417, 8336, 8, 'Ressource :');
INSERT INTO `lang_definitions` VALUES (41418, 8337, 8, 'Ressources');
INSERT INTO `lang_definitions` VALUES (41419, 8338, 8, 'NPI Ressources');
INSERT INTO `lang_definitions` VALUES (41420, 8339, 8, 'Vue complète de l\'agenda Ressource');
INSERT INTO `lang_definitions` VALUES (41421, 8343, 8, 'Psoriasis');
INSERT INTO `lang_definitions` VALUES (41422, 8347, 8, 'Psychiatrique');
INSERT INTO `lang_definitions` VALUES (41423, 8348, 8, 'Résumé de la lettre psychiatrique');
INSERT INTO `lang_definitions` VALUES (41424, 8349, 8, 'Diagnostic psychiatrique');
INSERT INTO `lang_definitions` VALUES (41425, 8350, 8, 'Examen psychiatrique');
INSERT INTO `lang_definitions` VALUES (41426, 8352, 8, 'Historique psychiatrique');
INSERT INTO `lang_definitions` VALUES (41427, 8354, 8, 'Médication psychiatrique');
INSERT INTO `lang_definitions` VALUES (41428, 8383, 8, 'Publique');
INSERT INTO `lang_definitions` VALUES (41429, 8387, 8, 'Service de santé publique ou autre agence fédérale');
INSERT INTO `lang_definitions` VALUES (41430, 8394, 8, 'Porto ricain');
INSERT INTO `lang_definitions` VALUES (41431, 8396, 8, 'Pulmonaire');
INSERT INTO `lang_definitions` VALUES (41432, 8398, 8, 'Pouls');
INSERT INTO `lang_definitions` VALUES (41433, 8399, 8, 'Panjabi');
INSERT INTO `lang_definitions` VALUES (41434, 8401, 8, 'Achat');
INSERT INTO `lang_definitions` VALUES (41435, 8402, 8, 'Achat / Retour');
INSERT INTO `lang_definitions` VALUES (41436, 8403, 8, 'Achats');
INSERT INTO `lang_definitions` VALUES (41437, 8408, 8, 'toutes les 3 h');
INSERT INTO `lang_definitions` VALUES (41438, 8409, 8, 'toutes les 4 h');
INSERT INTO `lang_definitions` VALUES (41439, 8410, 8, 'toutes les 5 h');
INSERT INTO `lang_definitions` VALUES (41440, 8411, 8, 'toutes les 6 h');
INSERT INTO `lang_definitions` VALUES (41441, 8412, 8, 'toutes les 8 h');
INSERT INTO `lang_definitions` VALUES (41442, 8413, 8, 'une fois par jour');
INSERT INTO `lang_definitions` VALUES (41443, 8414, 8, '4 fois par jour');
INSERT INTO `lang_definitions` VALUES (41444, 8419, 8, 'Qté.');
INSERT INTO `lang_definitions` VALUES (41445, 8420, 8, 'Qté.');
INSERT INTO `lang_definitions` VALUES (41446, 8421, 8, 'Qualité');
INSERT INTO `lang_definitions` VALUES (41447, 8422, 8, 'Mesures de Qualité (CQM)');
INSERT INTO `lang_definitions` VALUES (41448, 8423, 8, 'Quantité');
INSERT INTO `lang_definitions` VALUES (41449, 8426, 8, 'Quantité disponible');
INSERT INTO `lang_definitions` VALUES (41450, 8427, 8, 'La quantité semble non utilisable');
INSERT INTO `lang_definitions` VALUES (41451, 8431, 8, 'Point d\'intégoration');
INSERT INTO `lang_definitions` VALUES (41452, 8442, 8, 'Quitter');
INSERT INTO `lang_definitions` VALUES (41453, 8443, 8, 'Quitter Alcool');
INSERT INTO `lang_definitions` VALUES (41454, 8452, 8, 'Race');
INSERT INTO `lang_definitions` VALUES (41455, 8453, 8, 'Race et ethnicité');
INSERT INTO `lang_definitions` VALUES (41456, 8454, 8, 'Race/Ethnicité');
INSERT INTO `lang_definitions` VALUES (41457, 8456, 8, 'Radio');
INSERT INTO `lang_definitions` VALUES (41458, 8457, 8, 'Boutons radio');
INSERT INTO `lang_definitions` VALUES (41459, 8462, 8, 'Plage');
INSERT INTO `lang_definitions` VALUES (41460, 8463, 8, 'Eruptions');
INSERT INTO `lang_definitions` VALUES (41461, 8464, 8, 'Taux');
INSERT INTO `lang_definitions` VALUES (41462, 8466, 8, 'Ratio');
INSERT INTO `lang_definitions` VALUES (41463, 8467, 8, 'Données brute');
INSERT INTO `lang_definitions` VALUES (41464, 8480, 8, 'Re-ouvrir');
INSERT INTO `lang_definitions` VALUES (41465, 8482, 8, 'Ré-ouvert');
INSERT INTO `lang_definitions` VALUES (41466, 8484, 8, 'Reaction');
INSERT INTO `lang_definitions` VALUES (41467, 8486, 8, 'Réactions');
INSERT INTO `lang_definitions` VALUES (41468, 8489, 8, 'Lire');
INSERT INTO `lang_definitions` VALUES (41469, 8496, 8, 'Nom réel');
INSERT INTO `lang_definitions` VALUES (41470, 8497, 8, 'Vraiment supprimé');
INSERT INTO `lang_definitions` VALUES (41471, 8498, 8, 'Raison');
INSERT INTO `lang_definitions` VALUES (41472, 8499, 8, 'Raison du décés');
INSERT INTO `lang_definitions` VALUES (41473, 8500, 8, 'Cause du décès');
INSERT INTO `lang_definitions` VALUES (41474, 8502, 8, 'Raison de l\'envois vers le spécialiste');
INSERT INTO `lang_definitions` VALUES (41475, 8504, 8, 'Motif de la visite');
INSERT INTO `lang_definitions` VALUES (41476, 8506, 8, 'Raison/Formulaire');
INSERT INTO `lang_definitions` VALUES (41477, 8510, 8, 'Tableau des Rappels');
INSERT INTO `lang_definitions` VALUES (41478, 8512, 8, 'Tableau des Rappels : Indisponible');
INSERT INTO `lang_definitions` VALUES (41479, 8513, 8, 'Campagne de rappels');
INSERT INTO `lang_definitions` VALUES (41480, 8519, 8, 'Rappel quand');
INSERT INTO `lang_definitions` VALUES (41481, 8520, 8, 'Rappels');
INSERT INTO `lang_definitions` VALUES (41482, 8521, 8, 'Reçu');
INSERT INTO `lang_definitions` VALUES (41483, 8522, 8, 'Reçu du paiement');
INSERT INTO `lang_definitions` VALUES (41484, 8523, 8, 'Reçu créé');
INSERT INTO `lang_definitions` VALUES (41485, 8525, 8, 'Résumé des reçus');
INSERT INTO `lang_definitions` VALUES (41486, 8526, 8, 'Geré');
INSERT INTO `lang_definitions` VALUES (41487, 8527, 8, 'Geré par');
INSERT INTO `lang_definitions` VALUES (41488, 8528, 8, 'Faxes reçus');
INSERT INTO `lang_definitions` VALUES (41489, 8530, 8, 'Reçus, non vérifié');
INSERT INTO `lang_definitions` VALUES (41490, 8532, 8, 'Receveur');
INSERT INTO `lang_definitions` VALUES (41491, 8533, 8, 'ID du receveur');
INSERT INTO `lang_definitions` VALUES (41492, 8536, 8, 'IDs du receveur');
INSERT INTO `lang_definitions` VALUES (41493, 8540, 8, 'Les trois mot de passe les plus recent ne sont pas autorisé.');
INSERT INTO `lang_definitions` VALUES (41494, 8542, 8, 'Destinataire');
INSERT INTO `lang_definitions` VALUES (41495, 8543, 8, 'La liste du destinataire est vide');
INSERT INTO `lang_definitions` VALUES (41496, 8544, 8, 'Nom du destinataire');
INSERT INTO `lang_definitions` VALUES (41497, 8546, 8, 'Destinataire requis à moins que le status est Finis');
INSERT INTO `lang_definitions` VALUES (41498, 8549, 8, 'Recommendation');
INSERT INTO `lang_definitions` VALUES (41499, 8551, 8, 'Recommendation pour le suivis');
INSERT INTO `lang_definitions` VALUES (41500, 8552, 8, 'Recommendations');
INSERT INTO `lang_definitions` VALUES (41501, 8553, 8, 'Recommendations et traitement');
INSERT INTO `lang_definitions` VALUES (41502, 8554, 8, 'Recommendations par un spécialiste');
INSERT INTO `lang_definitions` VALUES (41503, 8557, 8, 'Enregistrement');
INSERT INTO `lang_definitions` VALUES (41504, 8558, 8, 'L\'enregistrement existe déjà');
INSERT INTO `lang_definitions` VALUES (41505, 8565, 8, 'Enregistements démographique.');
INSERT INTO `lang_definitions` VALUES (41506, 8567, 8, 'Enregistrement de la forme physique');
INSERT INTO `lang_definitions` VALUES (41507, 8568, 8, 'Enregistrement du payement');
INSERT INTO `lang_definitions` VALUES (41508, 8570, 8, 'Enregistrement de la date de la requète');
INSERT INTO `lang_definitions` VALUES (41509, 8571, 8, 'Enregistrement de la consommation de tabac pour les patients de plus de 13 ans.');
INSERT INTO `lang_definitions` VALUES (41510, 8572, 8, 'Enregistrements');
INSERT INTO `lang_definitions` VALUES (41511, 8573, 8, 'enregistrements trouvés');
INSERT INTO `lang_definitions` VALUES (41512, 8574, 8, 'enregistrements trouvés.');
INSERT INTO `lang_definitions` VALUES (41513, 8576, 8, 'Usage de drogues récréationnelles');
INSERT INTO `lang_definitions` VALUES (41514, 8577, 8, 'Drogues récréationnelles');
INSERT INTO `lang_definitions` VALUES (41515, 8578, 8, 'Rectale');
INSERT INTO `lang_definitions` VALUES (41516, 8579, 8, 'Examen Rectal');
INSERT INTO `lang_definitions` VALUES (41517, 8580, 8, 'Voie Rectale');
INSERT INTO `lang_definitions` VALUES (41518, 8584, 8, 'RDV récurrents');
INSERT INTO `lang_definitions` VALUES (41519, 8592, 8, 'Redirection');
INSERT INTO `lang_definitions` VALUES (41520, 8593, 8, 'Rougeurs');
INSERT INTO `lang_definitions` VALUES (41521, 8595, 8, 'réduit:');
INSERT INTO `lang_definitions` VALUES (41522, 8597, 8, 'Mentionner');
INSERT INTO `lang_definitions` VALUES (41523, 8598, 8, 'Mentionner par');
INSERT INTO `lang_definitions` VALUES (41524, 8599, 8, 'Date de la mention');
INSERT INTO `lang_definitions` VALUES (41525, 8600, 8, 'Mentionner pour');
INSERT INTO `lang_definitions` VALUES (41526, 8604, 8, 'Plage de référence des résultats');
INSERT INTO `lang_definitions` VALUES (41527, 8609, 8, 'Mentionner le nom et la signature');
INSERT INTO `lang_definitions` VALUES (41528, 8610, 8, 'Envois vers un spécialite');
INSERT INTO `lang_definitions` VALUES (41529, 8611, 8, 'Envois vers un spécialite par');
INSERT INTO `lang_definitions` VALUES (41530, 8612, 8, 'Carte du spécialiste');
INSERT INTO `lang_definitions` VALUES (41531, 8613, 8, 'Date de l\'envois vers un spécialiste');
INSERT INTO `lang_definitions` VALUES (41532, 8614, 8, 'Formulaire de l\'envois vers un spécialiste');
INSERT INTO `lang_definitions` VALUES (41533, 8616, 8, 'ID du spécialiste');
INSERT INTO `lang_definitions` VALUES (41534, 8619, 8, 'Source info');
INSERT INTO `lang_definitions` VALUES (41535, 8634, 8, 'Ressource superviseur');
INSERT INTO `lang_definitions` VALUES (41536, 8635, 8, 'Ressource Superviseur');
INSERT INTO `lang_definitions` VALUES (41537, 8636, 8, 'Recharge');
INSERT INTO `lang_definitions` VALUES (41538, 8639, 8, 'Recharges');
INSERT INTO `lang_definitions` VALUES (41539, 8640, 8, 'recharges');
INSERT INTO `lang_definitions` VALUES (41540, 8641, 8, 'Reflexes normaux');
INSERT INTO `lang_definitions` VALUES (41541, 8645, 8, 'Actualiser');
INSERT INTO `lang_definitions` VALUES (41542, 8648, 8, 'Actualisation des rappels');
INSERT INTO `lang_definitions` VALUES (41543, 8651, 8, 'Refuser dans l\'Étant');
INSERT INTO `lang_definitions` VALUES (41544, 8656, 8, 's\'enregistrer');
INSERT INTO `lang_definitions` VALUES (41545, 8662, 8, 'Enregistré');
INSERT INTO `lang_definitions` VALUES (41546, 8663, 8, 'enregistré');
INSERT INTO `lang_definitions` VALUES (41547, 8668, 8, 'Date d\'Enregistrement');
INSERT INTO `lang_definitions` VALUES (41548, 8671, 8, 'Forumalire d\'Enregistrement');
INSERT INTO `lang_definitions` VALUES (41549, 8672, 8, 'Rééducation');
INSERT INTO `lang_definitions` VALUES (41550, 8675, 8, 'Potentiel de rechute');
INSERT INTO `lang_definitions` VALUES (41551, 8676, 8, 'Fait référence à');
INSERT INTO `lang_definitions` VALUES (41552, 8677, 8, 'Relié');
INSERT INTO `lang_definitions` VALUES (41553, 8678, 8, 'Problème relié');
INSERT INTO `lang_definitions` VALUES (41554, 8679, 8, 'Notes des patient reliées');
INSERT INTO `lang_definitions` VALUES (41555, 8680, 8, 'Relation(s) / Enfant');
INSERT INTO `lang_definitions` VALUES (41556, 8681, 8, 'Relations');
INSERT INTO `lang_definitions` VALUES (41557, 8682, 8, 'Lien');
INSERT INTO `lang_definitions` VALUES (41558, 8683, 8, 'Odre relatif de cette entitée');
INSERT INTO `lang_definitions` VALUES (41559, 8684, 8, 'Relatifs');
INSERT INTO `lang_definitions` VALUES (41560, 8700, 8, 'Religion');
INSERT INTO `lang_definitions` VALUES (41561, 8705, 8, 'Reconnexion');
INSERT INTO `lang_definitions` VALUES (41562, 8712, 8, 'Rappel');
INSERT INTO `lang_definitions` VALUES (41563, 8715, 8, 'Intervals des rappels');
INSERT INTO `lang_definitions` VALUES (41564, 8716, 8, 'Rappel pas encore Envoyé');
INSERT INTO `lang_definitions` VALUES (41565, 8720, 8, 'Rappel Envoye Le');
INSERT INTO `lang_definitions` VALUES (41566, 8725, 8, 'Rappels');
INSERT INTO `lang_definitions` VALUES (41567, 8727, 8, 'Hôte distant');
INSERT INTO `lang_definitions` VALUES (41568, 8729, 8, 'Supprimer');
INSERT INTO `lang_definitions` VALUES (41569, 8733, 8, 'Supprimer Groupe');
INSERT INTO `lang_definitions` VALUES (41570, 8734, 8, 'Formulaire de suppression d\'un groupe');
INSERT INTO `lang_definitions` VALUES (41571, 8739, 8, 'Supprime aide pour phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (41572, 8740, 8, 'Supprime aide pour prescription');
INSERT INTO `lang_definitions` VALUES (41573, 8743, 8, 'Lithiases rénales');
INSERT INTO `lang_definitions` VALUES (41574, 8744, 8, 'Renommer');
INSERT INTO `lang_definitions` VALUES (41575, 8745, 8, 'Renommer groupe');
INSERT INTO `lang_definitions` VALUES (41576, 8746, 8, 'Praticien');
INSERT INTO `lang_definitions` VALUES (41577, 8747, 8, 'Ressource Praticien');
INSERT INTO `lang_definitions` VALUES (41578, 8748, 8, 'Numero Ressource Praticien');
INSERT INTO `lang_definitions` VALUES (41579, 8749, 8, 'Numero Ressource Praticien (Type)');
INSERT INTO `lang_definitions` VALUES (41580, 8750, 8, 'Réorganiser');
INSERT INTO `lang_definitions` VALUES (41581, 8751, 8, 'Réorganiser à');
INSERT INTO `lang_definitions` VALUES (41582, 8752, 8, 'Le point dé réorganisation a été atteind');
INSERT INTO `lang_definitions` VALUES (41583, 8756, 8, 'Répéter le nouveau mot de passe');
INSERT INTO `lang_definitions` VALUES (41584, 8758, 8, 'Evènement répété');
INSERT INTO `lang_definitions` VALUES (41585, 8759, 8, 'Répéter l\'information');
INSERT INTO `lang_definitions` VALUES (41586, 8760, 8, 'Répétés');
INSERT INTO `lang_definitions` VALUES (41587, 8761, 8, 'REMPLACER');
INSERT INTO `lang_definitions` VALUES (41588, 8771, 8, 'Date de Réponse');
INSERT INTO `lang_definitions` VALUES (41589, 8772, 8, 'Réponse De');
INSERT INTO `lang_definitions` VALUES (41590, 8774, 8, 'Rapport');
INSERT INTO `lang_definitions` VALUES (41591, 8776, 8, 'Rapport - Clinique');
INSERT INTO `lang_definitions` VALUES (41592, 8779, 8, 'Rapport par');
INSERT INTO `lang_definitions` VALUES (41593, 8784, 8, 'Rapporter l\'historique/les résultats');
INSERT INTO `lang_definitions` VALUES (41594, 8786, 8, 'Rapport des résultats');
INSERT INTO `lang_definitions` VALUES (41595, 8787, 8, 'Rapporter les résultats/l\'historique');
INSERT INTO `lang_definitions` VALUES (41596, 8789, 8, 'Status du rapport');
INSERT INTO `lang_definitions` VALUES (41597, 8790, 8, 'Rapport totaux');
INSERT INTO `lang_definitions` VALUES (41598, 8792, 8, 'Rapport / Formulaire');
INSERT INTO `lang_definitions` VALUES (41599, 8794, 8, 'Rapportable');
INSERT INTO `lang_definitions` VALUES (41600, 8795, 8, 'Rapporté');
INSERT INTO `lang_definitions` VALUES (41601, 8796, 8, 'Date rapporté');
INSERT INTO `lang_definitions` VALUES (41602, 8797, 8, 'Rapports');
INSERT INTO `lang_definitions` VALUES (41603, 8804, 8, 'Requète ignoré - le processus de récamation est déjà débuté!');
INSERT INTO `lang_definitions` VALUES (41604, 8815, 8, 'Service requis');
INSERT INTO `lang_definitions` VALUES (41605, 8819, 8, 'Requière des mots de passes fort');
INSERT INTO `lang_definitions` VALUES (41606, 8820, 8, 'Requière des mots de passes unique');
INSERT INTO `lang_definitions` VALUES (41607, 8821, 8, 'Exigé');
INSERT INTO `lang_definitions` VALUES (41608, 8823, 8, 'ticket modérateur exigé');
INSERT INTO `lang_definitions` VALUES (41609, 8824, 8, 'Champ manquant: choisir le fichier EDI-271 à télécharger svp');
INSERT INTO `lang_definitions` VALUES (41610, 8825, 8, 'Champ manquant: entrer le prénom svp');
INSERT INTO `lang_definitions` VALUES (41611, 8826, 8, 'Champ manquant: entrer le nom de famille svp');
INSERT INTO `lang_definitions` VALUES (41612, 8827, 8, 'Champ manquant: entrer le nom d\'utilisateur svp');
INSERT INTO `lang_definitions` VALUES (41613, 8828, 8, 'Champs obligatoires');
INSERT INTO `lang_definitions` VALUES (41614, 8829, 8, 'Pré-requis');
INSERT INTO `lang_definitions` VALUES (41615, 8832, 8, 'RESERVE');
INSERT INTO `lang_definitions` VALUES (41616, 8833, 8, 'Réservé');
INSERT INTO `lang_definitions` VALUES (41617, 8838, 8, 'Redémaré');
INSERT INTO `lang_definitions` VALUES (41618, 8852, 8, 'Résolu');
INSERT INTO `lang_definitions` VALUES (41619, 8855, 8, 'Respiration');
INSERT INTO `lang_definitions` VALUES (41620, 8857, 8, 'Respiratoire');
INSERT INTO `lang_definitions` VALUES (41621, 8867, 8, 'Résultat');
INSERT INTO `lang_definitions` VALUES (41622, 8868, 8, 'Nom du résultat');
INSERT INTO `lang_definitions` VALUES (41623, 8869, 8, 'Status du résultat');
INSERT INTO `lang_definitions` VALUES (41624, 8870, 8, 'Satus du resultat ou \'annormalité est manquante');
INSERT INTO `lang_definitions` VALUES (41625, 8872, 8, 'Résultats');
INSERT INTO `lang_definitions` VALUES (41626, 8873, 8, 'Résultats et');
INSERT INTO `lang_definitions` VALUES (41627, 8874, 8, 'Résultats trouvé pour la recherche');
INSERT INTO `lang_definitions` VALUES (41628, 8875, 8, 'Groupe des résultats');
INSERT INTO `lang_definitions` VALUES (41629, 8877, 8, 'Chemin des résultats');
INSERT INTO `lang_definitions` VALUES (41630, 8879, 8, 'Résultats par page');
INSERT INTO `lang_definitions` VALUES (41631, 8880, 8, 'Résultats/Détails');
INSERT INTO `lang_definitions` VALUES (41632, 8884, 8, 'Examen rétinal');
INSERT INTO `lang_definitions` VALUES (41633, 8886, 8, 'Retour');
INSERT INTO `lang_definitions` VALUES (41634, 8890, 8, 'Retour à l\'Agenda');
INSERT INTO `lang_definitions` VALUES (41635, 8891, 8, 'Retour au rapport des résultats');
INSERT INTO `lang_definitions` VALUES (41636, 8897, 8, 'Valeur de retour');
INSERT INTO `lang_definitions` VALUES (41637, 8898, 8, 'Retour de la visite');
INSERT INTO `lang_definitions` VALUES (41638, 8901, 8, 'Réutilisé les trois dernier mot de passe n\'est pas utilisable!');
INSERT INTO `lang_definitions` VALUES (41639, 8917, 8, 'Revue des systèmes');
INSERT INTO `lang_definitions` VALUES (41640, 8918, 8, 'Revue des systèmes via checkbox');
INSERT INTO `lang_definitions` VALUES (41641, 8921, 8, 'Relu');
INSERT INTO `lang_definitions` VALUES (41642, 8924, 8, 'Révision');
INSERT INTO `lang_definitions` VALUES (41643, 8925, 8, 'Polyarthrite rhumatoïde');
INSERT INTO `lang_definitions` VALUES (41644, 8926, 8, 'Polyarthrite rhumatoïde');
INSERT INTO `lang_definitions` VALUES (41645, 8928, 8, 'Droite');
INSERT INTO `lang_definitions` VALUES (41646, 8931, 8, 'Oreille Droite');
INSERT INTO `lang_definitions` VALUES (41647, 8932, 8, 'oreille droite');
INSERT INTO `lang_definitions` VALUES (41648, 8940, 8, 'Droite:');
INSERT INTO `lang_definitions` VALUES (41649, 8941, 8, 'Acouphènes');
INSERT INTO `lang_definitions` VALUES (41650, 8942, 8, 'Acouphènes');
INSERT INTO `lang_definitions` VALUES (41651, 8944, 8, 'Facteurs de risque');
INSERT INTO `lang_definitions` VALUES (41652, 8945, 8, 'Niveau de risque');
INSERT INTO `lang_definitions` VALUES (41653, 8956, 8, 'Roumain');
INSERT INTO `lang_definitions` VALUES (41654, 8958, 8, 'Salle 1');
INSERT INTO `lang_definitions` VALUES (41655, 8959, 8, 'Salle 2');
INSERT INTO `lang_definitions` VALUES (41656, 8960, 8, 'Salle 3');
INSERT INTO `lang_definitions` VALUES (41657, 8961, 8, 'Numéro de salle');
INSERT INTO `lang_definitions` VALUES (41658, 8963, 8, 'Tableau de service');
INSERT INTO `lang_definitions` VALUES (41659, 8968, 8, 'Routé');
INSERT INTO `lang_definitions` VALUES (41660, 8969, 8, 'Lignes');
INSERT INTO `lang_definitions` VALUES (41661, 8974, 8, 'Règle');
INSERT INTO `lang_definitions` VALUES (41662, 8975, 8, 'Ajouter règle');
INSERT INTO `lang_definitions` VALUES (41663, 8976, 8, 'Détail de règle');
INSERT INTO `lang_definitions` VALUES (41664, 8978, 8, 'Modifier règle');
INSERT INTO `lang_definitions` VALUES (41665, 8984, 8, 'Règles');
INSERT INTO `lang_definitions` VALUES (41666, 8986, 8, 'Règles de configuration');
INSERT INTO `lang_definitions` VALUES (41667, 8989, 8, 'Commande fonctionnant:');
INSERT INTO `lang_definitions` VALUES (41668, 8990, 8, 'Rupture');
INSERT INTO `lang_definitions` VALUES (41669, 8992, 8, 'Russe');
INSERT INTO `lang_definitions` VALUES (41670, 9034, 8, 'Vente');
INSERT INTO `lang_definitions` VALUES (41671, 9035, 8, 'Ventes');
INSERT INTO `lang_definitions` VALUES (41672, 9036, 8, 'Ventes par objet');
INSERT INTO `lang_definitions` VALUES (41673, 9037, 8, 'Ventes par rapport de produit');
INSERT INTO `lang_definitions` VALUES (41674, 9038, 8, 'Salive');
INSERT INTO `lang_definitions` VALUES (41675, 9039, 8, 'Même jour');
INSERT INTO `lang_definitions` VALUES (41676, 9041, 8, 'Echantillon');
INSERT INTO `lang_definitions` VALUES (41677, 9042, 8, 'Type de sanction');
INSERT INTO `lang_definitions` VALUES (41678, 9047, 8, 'Sam.');
INSERT INTO `lang_definitions` VALUES (41679, 9048, 8, 'Sam. et Dim.');
INSERT INTO `lang_definitions` VALUES (41680, 9049, 8, 'Samedi');
INSERT INTO `lang_definitions` VALUES (41681, 9050, 8, 'Sauvegarder');
INSERT INTO `lang_definitions` VALUES (41682, 9051, 8, 'SAUVEGARDER');
INSERT INTO `lang_definitions` VALUES (41683, 9055, 8, 'Sauvegarder et fermer');
INSERT INTO `lang_definitions` VALUES (41684, 9058, 8, 'Sauvegarder et prodiguer');
INSERT INTO `lang_definitions` VALUES (41685, 9060, 8, 'Sauvegarder et transmètre');
INSERT INTO `lang_definitions` VALUES (41686, 9061, 8, 'Sauvegarder comme nouveau');
INSERT INTO `lang_definitions` VALUES (41687, 9063, 8, 'Sauvegarder comme une nouvelle note');
INSERT INTO `lang_definitions` VALUES (41688, 9066, 8, 'Sauvegarder les paramètres du certificat');
INSERT INTO `lang_definitions` VALUES (41689, 9067, 8, 'Sauvegarder les changements');
INSERT INTO `lang_definitions` VALUES (41690, 9075, 8, 'Sauvegarder le formulaire');
INSERT INTO `lang_definitions` VALUES (41691, 9076, 8, 'Sauvegarder les immunisation');
INSERT INTO `lang_definitions` VALUES (41692, 9078, 8, 'Sauvegarder un nouveau champs');
INSERT INTO `lang_definitions` VALUES (41693, 9079, 8, 'Sauvegarder comme un nouveau groupe');
INSERT INTO `lang_definitions` VALUES (41694, 9080, 8, 'Sauvegarder une nouvelle liste');
INSERT INTO `lang_definitions` VALUES (41695, 9082, 8, 'Sauvegarder les séléctions omisent');
INSERT INTO `lang_definitions` VALUES (41696, 9083, 8, 'Savegarder les données démographique du patient');
INSERT INTO `lang_definitions` VALUES (41697, 9089, 8, 'Sauvegarder la transaction');
INSERT INTO `lang_definitions` VALUES (41698, 9094, 8, 'Sa{{Samedi}}');
INSERT INTO `lang_definitions` VALUES (41699, 9098, 8, 'Numérisé');
INSERT INTO `lang_definitions` VALUES (41700, 9099, 8, 'Note de la rencontre numérisé');
INSERT INTO `lang_definitions` VALUES (41701, 9100, 8, 'Répertoire du scanner');
INSERT INTO `lang_definitions` VALUES (41702, 9104, 8, 'Emplois du temps');
INSERT INTO `lang_definitions` VALUES (41703, 9106, 8, 'Emplois du temps des établissements:');
INSERT INTO `lang_definitions` VALUES (41704, 9117, 8, 'Notes d\'écoles');
INSERT INTO `lang_definitions` VALUES (41705, 9122, 8, 'Scoliose');
INSERT INTO `lang_definitions` VALUES (41706, 9141, 8, 'Chercher');
INSERT INTO `lang_definitions` VALUES (41707, 9143, 8, 'chercher');
INSERT INTO `lang_definitions` VALUES (41708, 9144, 8, 'chercher de nouveau');
INSERT INTO `lang_definitions` VALUES (41709, 9145, 8, 'Rechercher sur toutes les colonnes');
INSERT INTO `lang_definitions` VALUES (41710, 9150, 8, 'Chercher par:');
INSERT INTO `lang_definitions` VALUES (41711, 9152, 8, 'Recherche de');
INSERT INTO `lang_definitions` VALUES (41712, 9156, 8, 'Recherche de:');
INSERT INTO `lang_definitions` VALUES (41713, 9158, 8, 'Rechercher Dans');
INSERT INTO `lang_definitions` VALUES (41714, 9159, 8, 'Chercher dans');
INSERT INTO `lang_definitions` VALUES (41715, 9161, 8, 'Chercher ou Ajouter patient');
INSERT INTO `lang_definitions` VALUES (41716, 9164, 8, 'Recherche Paiement');
INSERT INTO `lang_definitions` VALUES (41717, 9167, 8, 'Résultats de la recherche');
INSERT INTO `lang_definitions` VALUES (41718, 9168, 8, 'Résultats de la recherche :');
INSERT INTO `lang_definitions` VALUES (41719, 9169, 8, 'Recherche selectionnée');
INSERT INTO `lang_definitions` VALUES (41720, 9171, 8, 'La chaine de caractères recherchée ne correspond pas avec une liste dans la base de donnée');
INSERT INTO `lang_definitions` VALUES (41721, 9172, 8, 'La chaine de caractères recherchée devrait avoir au moins 3 caractères');
INSERT INTO `lang_definitions` VALUES (41722, 9174, 8, 'Texte rechercher');
INSERT INTO `lang_definitions` VALUES (41723, 9175, 8, 'Rechercher les évenements');
INSERT INTO `lang_definitions` VALUES (41724, 9178, 8, 'Chercher/Ajouter');
INSERT INTO `lang_definitions` VALUES (41725, 9179, 8, 'Rechercher/Ajouter un assuré');
INSERT INTO `lang_definitions` VALUES (41726, 9181, 8, 'Recherche pour des rendez-vous');
INSERT INTO `lang_definitions` VALUES (41727, 9182, 8, 'Recherche...');
INSERT INTO `lang_definitions` VALUES (41728, 9186, 8, 'Seconde');
INSERT INTO `lang_definitions` VALUES (41729, 9189, 8, 'Secondaire');
INSERT INTO `lang_definitions` VALUES (41730, 9191, 8, 'Assurance secondaire');
INSERT INTO `lang_definitions` VALUES (41731, 9192, 8, 'Données de l\'assurance secondaire');
INSERT INTO `lang_definitions` VALUES (41732, 9193, 8, 'Fournisseur de l\'assurance secondaire');
INSERT INTO `lang_definitions` VALUES (41733, 9207, 8, 'Sécurité');
INSERT INTO `lang_definitions` VALUES (41734, 9208, 8, 'Voir Tout');
INSERT INTO `lang_definitions` VALUES (41735, 9210, 8, 'Voir les autorisations');
INSERT INTO `lang_definitions` VALUES (41736, 9213, 8, 'Voir Courbe de croissance');
INSERT INTO `lang_definitions` VALUES (41737, 9214, 8, 'Voir les messages depuis le dernier lot de réclamations générée');
INSERT INTO `lang_definitions` VALUES (41738, 9217, 8, 'Voir les rappels du moteur de règles pour plus de détails');
INSERT INTO `lang_definitions` VALUES (41739, 9218, 8, 'Vu depuis');
INSERT INTO `lang_definitions` VALUES (41740, 9219, 8, 'Vu avec');
INSERT INTO `lang_definitions` VALUES (41741, 9220, 8, 'Nom du segment');
INSERT INTO `lang_definitions` VALUES (41742, 9222, 8, 'Crises d\'épilepsie');
INSERT INTO `lang_definitions` VALUES (41743, 9224, 8, 'saisir');
INSERT INTO `lang_definitions` VALUES (41744, 9225, 8, 'Saisir');
INSERT INTO `lang_definitions` VALUES (41745, 9228, 8, 'Saisir un contexte');
INSERT INTO `lang_definitions` VALUES (41746, 9236, 8, 'Sélectionner un Utilisateur');
INSERT INTO `lang_definitions` VALUES (41747, 9239, 8, 'Tout Sélectionner');
INSERT INTO `lang_definitions` VALUES (41748, 9250, 8, 'Sélectionner catégorie');
INSERT INTO `lang_definitions` VALUES (41749, 9256, 8, 'Selectionner les critères à supprimé');
INSERT INTO `lang_definitions` VALUES (41750, 9262, 8, 'Saisir date');
INSERT INTO `lang_definitions` VALUES (41751, 9264, 8, 'Saisir le groupe désiré');
INSERT INTO `lang_definitions` VALUES (41752, 9265, 8, 'Saisir Diagnostic');
INSERT INTO `lang_definitions` VALUES (41753, 9271, 8, 'Saisir Médication');
INSERT INTO `lang_definitions` VALUES (41754, 9272, 8, 'Saisir Médications');
INSERT INTO `lang_definitions` VALUES (41755, 9276, 8, 'Sélectionner champ');
INSERT INTO `lang_definitions` VALUES (41756, 9278, 8, 'Sélectionner Champs');
INSERT INTO `lang_definitions` VALUES (41757, 9279, 8, 'Sélection à imprimer');
INSERT INTO `lang_definitions` VALUES (41758, 9285, 8, 'Sélectionner Vaccins');
INSERT INTO `lang_definitions` VALUES (41759, 9287, 8, 'Sélectionner Assurance, en tapant');
INSERT INTO `lang_definitions` VALUES (41760, 9288, 8, 'Sélectionner Problème');
INSERT INTO `lang_definitions` VALUES (41761, 9291, 8, 'Sélectionner Langue');
INSERT INTO `lang_definitions` VALUES (41762, 9297, 8, 'Sélectionner un(e');
INSERT INTO `lang_definitions` VALUES (41763, 9298, 8, 'Sélectionner un ou plusieur codes diagnostique pour justifié le service');
INSERT INTO `lang_definitions` VALUES (41764, 9299, 8, 'Sélectionner un ou plusieurs fichiers à téléversé');
INSERT INTO `lang_definitions` VALUES (41765, 9321, 8, 'Sélectionner les objets de configuration à exporter');
INSERT INTO `lang_definitions` VALUES (41766, 9338, 8, 'Sélectionner Utilisateur');
INSERT INTO `lang_definitions` VALUES (41767, 9340, 8, 'Sélectionner Utilisateurs dans Liste déroulante');
INSERT INTO `lang_definitions` VALUES (41768, 9343, 8, 'Sélectionner Oui pour confirmer la suppression du groupe');
INSERT INTO `lang_definitions` VALUES (41769, 9349, 8, 'Sélectionné');
INSERT INTO `lang_definitions` VALUES (41770, 9350, 8, 'Rencontre sélectionnée');
INSERT INTO `lang_definitions` VALUES (41771, 9357, 8, 'Patient');
INSERT INTO `lang_definitions` VALUES (41772, 9358, 8, 'Paiement Patient');
INSERT INTO `lang_definitions` VALUES (41773, 9359, 8, 'ENVOI');
INSERT INTO `lang_definitions` VALUES (41774, 9360, 8, 'Envoyer');
INSERT INTO `lang_definitions` VALUES (41775, 9361, 8, 'Envoyer une date de rappel');
INSERT INTO `lang_definitions` VALUES (41776, 9362, 8, 'Envoyer un rappel');
INSERT INTO `lang_definitions` VALUES (41777, 9363, 8, 'Envoyer un courriel à');
INSERT INTO `lang_definitions` VALUES (41778, 9369, 8, 'Envoi en cours');
INSERT INTO `lang_definitions` VALUES (41779, 9372, 8, 'Envoyer un message');
INSERT INTO `lang_definitions` VALUES (41780, 9384, 8, 'Envoyer ce fichier');
INSERT INTO `lang_definitions` VALUES (41781, 9385, 8, 'Envoyer ce message');
INSERT INTO `lang_definitions` VALUES (41782, 9386, 8, 'Envoyer à');
INSERT INTO `lang_definitions` VALUES (41783, 9389, 8, 'Envoyer à tous');
INSERT INTO `lang_definitions` VALUES (41784, 9395, 8, 'Envoyeur');
INSERT INTO `lang_definitions` VALUES (41785, 9396, 8, 'ID de l\'envoyeur');
INSERT INTO `lang_definitions` VALUES (41786, 9399, 8, 'IDs de l\'envoyeur');
INSERT INTO `lang_definitions` VALUES (41787, 9406, 8, 'Envoi à');
INSERT INTO `lang_definitions` VALUES (41788, 9407, 8, 'Sensitivitées');
INSERT INTO `lang_definitions` VALUES (41789, 9411, 8, 'Sensitivité');
INSERT INTO `lang_definitions` VALUES (41790, 9412, 8, 'Examen sensoriel normal');
INSERT INTO `lang_definitions` VALUES (41791, 9413, 8, 'Envoyé');
INSERT INTO `lang_definitions` VALUES (41792, 9415, 8, 'Envoyé par, laissez vide pour tous');
INSERT INTO `lang_definitions` VALUES (41793, 9417, 8, 'Date d\'envoi');
INSERT INTO `lang_definitions` VALUES (41794, 9418, 8, 'Objets envoyés');
INSERT INTO `lang_definitions` VALUES (41795, 9419, 8, 'Envoyer les enregistrements médicaux');
INSERT INTO `lang_definitions` VALUES (41796, 9420, 8, 'Envoi terminé');
INSERT INTO `lang_definitions` VALUES (41797, 9423, 8, 'Envoyé à l\'imprimante');
INSERT INTO `lang_definitions` VALUES (41798, 9424, 8, 'Envoyé à, laissez vide pour tous');
INSERT INTO `lang_definitions` VALUES (41799, 9426, 8, 'Envoyé, mais récéption non confirmée');
INSERT INTO `lang_definitions` VALUES (41800, 9427, 8, 'Envoyé, mais non reçu');
INSERT INTO `lang_definitions` VALUES (41801, 9429, 8, 'Sep.');
INSERT INTO `lang_definitions` VALUES (41802, 9430, 8, 'Séparé');
INSERT INTO `lang_definitions` VALUES (41803, 9431, 8, 'Septembre');
INSERT INTO `lang_definitions` VALUES (41804, 9432, 8, 'Séq.');
INSERT INTO `lang_definitions` VALUES (41805, 9433, 8, 'Séquence');
INSERT INTO `lang_definitions` VALUES (41806, 9442, 8, 'Service');
INSERT INTO `lang_definitions` VALUES (41807, 9444, 8, 'Catégorie de service');
INSERT INTO `lang_definitions` VALUES (41808, 9445, 8, 'Code de service');
INSERT INTO `lang_definitions` VALUES (41809, 9447, 8, 'Codes service');
INSERT INTO `lang_definitions` VALUES (41810, 9448, 8, 'Date de service');
INSERT INTO `lang_definitions` VALUES (41811, 9451, 8, 'Date de service:');
INSERT INTO `lang_definitions` VALUES (41812, 9455, 8, 'Emplacement du service');
INSERT INTO `lang_definitions` VALUES (41813, 9456, 8, 'Nom du service');
INSERT INTO `lang_definitions` VALUES (41814, 9457, 8, 'Service fourni par un spécialiste');
INSERT INTO `lang_definitions` VALUES (41815, 9461, 8, 'Services');
INSERT INTO `lang_definitions` VALUES (41816, 9462, 8, 'Services par Catégorie');
INSERT INTO `lang_definitions` VALUES (41817, 9463, 8, 'Services fournis');
INSERT INTO `lang_definitions` VALUES (41818, 9464, 8, 'Services fournis');
INSERT INTO `lang_definitions` VALUES (41819, 9465, 8, 'Produits/Services');
INSERT INTO `lang_definitions` VALUES (41820, 9466, 8, 'Type de Service');
INSERT INTO `lang_definitions` VALUES (41821, 9467, 8, 'Mettre');
INSERT INTO `lang_definitions` VALUES (41822, 9469, 8, 'Mettre comme complété');
INSERT INTO `lang_definitions` VALUES (41823, 9479, 8, 'Mettre à');
INSERT INTO `lang_definitions` VALUES (41824, 9480, 8, 'Mettre par défaut');
INSERT INTO `lang_definitions` VALUES (41825, 9482, 8, 'Mettre la valeur à');
INSERT INTO `lang_definitions` VALUES (41826, 9488, 8, 'Réglages');
INSERT INTO `lang_definitions` VALUES (41827, 9493, 8, 'Migraine sévère');
INSERT INTO `lang_definitions` VALUES (41828, 9496, 8, 'Intensité de la douleur');
INSERT INTO `lang_definitions` VALUES (41829, 9497, 8, 'Intensité de la douleur:');
INSERT INTO `lang_definitions` VALUES (41830, 9498, 8, 'Sexe');
INSERT INTO `lang_definitions` VALUES (41831, 9499, 8, 'Maladies sexuellement transmissibles');
INSERT INTO `lang_definitions` VALUES (41832, 9500, 8, 'SFTP');
INSERT INTO `lang_definitions` VALUES (41833, 9502, 8, 'Hashe Sha-1');
INSERT INTO `lang_definitions` VALUES (41834, 9503, 8, 'Partage');
INSERT INTO `lang_definitions` VALUES (41835, 9504, 8, 'Commande shell pour imprimé depuis le serveur');
INSERT INTO `lang_definitions` VALUES (41836, 9507, 8, 'Petite description');
INSERT INTO `lang_definitions` VALUES (41837, 9510, 8, 'Souffle court');
INSERT INTO `lang_definitions` VALUES (41838, 9511, 8, 'Souffle Court');
INSERT INTO `lang_definitions` VALUES (41839, 9512, 8, 'Souffle Court 2');
INSERT INTO `lang_definitions` VALUES (41840, 9516, 8, 'devrait être comme nnnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (41841, 9517, 8, 'Devrait être de deux lettres');
INSERT INTO `lang_definitions` VALUES (41842, 9518, 8, 'devrait contenir 10 chiffres');
INSERT INTO `lang_definitions` VALUES (41843, 9519, 8, 'devrait contenir uniquement 10 chiffres');
INSERT INTO `lang_definitions` VALUES (41844, 9520, 8, 'Épaule');
INSERT INTO `lang_definitions` VALUES (41845, 9521, 8, 'Épaule + clavicule');
INSERT INTO `lang_definitions` VALUES (41846, 9522, 8, 'Problème à l\'épaule');
INSERT INTO `lang_definitions` VALUES (41847, 9523, 8, 'Montrer');
INSERT INTO `lang_definitions` VALUES (41848, 9524, 8, 'Montrer les actifs');
INSERT INTO `lang_definitions` VALUES (41849, 9527, 8, 'Montrer tout');
INSERT INTO `lang_definitions` VALUES (41850, 9529, 8, 'Montrer toutes les procédures');
INSERT INTO `lang_definitions` VALUES (41851, 9531, 8, 'Montrer toutes les transactions');
INSERT INTO `lang_definitions` VALUES (41852, 9532, 8, 'Montrer comme occupé');
INSERT INTO `lang_definitions` VALUES (41853, 9533, 8, 'Montrer les autorisés seulement');
INSERT INTO `lang_definitions` VALUES (41854, 9534, 8, 'Montrer les horraires disponible');
INSERT INTO `lang_definitions` VALUES (41855, 9540, 8, 'Montrer les détails');
INSERT INTO `lang_definitions` VALUES (41856, 9542, 8, 'Montrer les erreurs seulement?');
INSERT INTO `lang_definitions` VALUES (41857, 9544, 8, 'Montrer le graphique');
INSERT INTO `lang_definitions` VALUES (41858, 9548, 8, 'Montrer les innactifs');
INSERT INTO `lang_definitions` VALUES (41859, 9552, 8, 'Montrer le menu');
INSERT INTO `lang_definitions` VALUES (41860, 9556, 8, 'Montrer les notes');
INSERT INTO `lang_definitions` VALUES (41861, 9561, 8, 'Montrer les notes du patient');
INSERT INTO `lang_definitions` VALUES (41862, 9562, 8, 'Montrer les livres et les onces');
INSERT INTO `lang_definitions` VALUES (41863, 9563, 8, 'Montrer les livres avec des valeurs décimale');
INSERT INTO `lang_definitions` VALUES (41864, 9568, 8, 'Montrer les rappels');
INSERT INTO `lang_definitions` VALUES (41865, 9569, 8, 'Montrer les rapports');
INSERT INTO `lang_definitions` VALUES (41866, 9580, 8, 'Montrer les non facturé seulement');
INSERT INTO `lang_definitions` VALUES (41867, 9581, 8, 'Montrer les USA seulement');
INSERT INTO `lang_definitions` VALUES (41868, 9585, 8, 'Montrer');
INSERT INTO `lang_definitions` VALUES (41869, 9589, 8, 'Montrer les résultats');
INSERT INTO `lang_definitions` VALUES (41870, 9595, 8, 'Frères et Soeurs');
INSERT INTO `lang_definitions` VALUES (41871, 9596, 8, 'Drépanocyte');
INSERT INTO `lang_definitions` VALUES (41872, 9598, 8, 'Sigmoïde/Coloscopie');
INSERT INTO `lang_definitions` VALUES (41873, 9601, 8, 'Signez les résultats du laboratoire (écrire, ajout seulement optionnel)');
INSERT INTO `lang_definitions` VALUES (41874, 9603, 8, 'Signez les résultats');
INSERT INTO `lang_definitions` VALUES (41875, 9606, 8, 'Signature');
INSERT INTO `lang_definitions` VALUES (41876, 9609, 8, 'Signature:');
INSERT INTO `lang_definitions` VALUES (41877, 9614, 8, 'Enflure significatif:');
INSERT INTO `lang_definitions` VALUES (41878, 9615, 8, 'Simplifié');
INSERT INTO `lang_definitions` VALUES (41879, 9616, 8, 'Ticket modérateur simplifié');
INSERT INTO `lang_definitions` VALUES (41880, 9617, 8, 'Démographique simplifié');
INSERT INTO `lang_definitions` VALUES (41881, 9618, 8, 'Prescriptions simplifié');
INSERT INTO `lang_definitions` VALUES (41882, 9619, 8, 'Depuis');
INSERT INTO `lang_definitions` VALUES (41883, 9620, 8, 'Sincèrement');
INSERT INTO `lang_definitions` VALUES (41884, 9622, 8, 'Célibataire');
INSERT INTO `lang_definitions` VALUES (41885, 9624, 8, 'Liste à une seule sélection');
INSERT INTO `lang_definitions` VALUES (41886, 9625, 8, 'Liste à une seule sélection avec la capacité d\'ajouté à la liste');
INSERT INTO `lang_definitions` VALUES (41887, 9626, 8, 'Singulié');
INSERT INTO `lang_definitions` VALUES (41888, 9629, 8, 'Problèmes aux sinus');
INSERT INTO `lang_definitions` VALUES (41889, 9630, 8, 'Chirurgie des sinus');
INSERT INTO `lang_definitions` VALUES (41890, 9631, 8, 'TENDRESSE DES SINUS:');
INSERT INTO `lang_definitions` VALUES (41891, 9632, 8, 'Sinusite');
INSERT INTO `lang_definitions` VALUES (41892, 9634, 8, 'Site');
INSERT INTO `lang_definitions` VALUES (41893, 9637, 8, 'ID du site');
INSERT INTO `lang_definitions` VALUES (41894, 9643, 8, 'Taille');
INSERT INTO `lang_definitions` VALUES (41895, 9646, 8, 'La taille doit être un nombre entre 1 et 999');
INSERT INTO `lang_definitions` VALUES (41896, 9648, 8, 'Taille/Liste');
INSERT INTO `lang_definitions` VALUES (41897, 9650, 8, 'Peau');
INSERT INTO `lang_definitions` VALUES (41898, 9651, 8, 'Cancer de la peau');
INSERT INTO `lang_definitions` VALUES (41899, 9652, 8, 'Maladie de peau');
INSERT INTO `lang_definitions` VALUES (41900, 9653, 8, 'Autre choses sur la peau');
INSERT INTO `lang_definitions` VALUES (41901, 9654, 8, 'Passée l\'autorisation pour les notes du patient');
INSERT INTO `lang_definitions` VALUES (41902, 9659, 8, 'Passée la sélection');
INSERT INTO `lang_definitions` VALUES (41903, 9664, 8, 'Motif de sommeil');
INSERT INTO `lang_definitions` VALUES (41904, 9665, 8, 'Motif de Sommeil');
INSERT INTO `lang_definitions` VALUES (41905, 9666, 8, 'Sommeil');
INSERT INTO `lang_definitions` VALUES (41906, 9668, 8, 'Slovaque');
INSERT INTO `lang_definitions` VALUES (41907, 9676, 8, 'Fummeur, status actuel non connu');
INSERT INTO `lang_definitions` VALUES (41908, 9677, 8, 'Pirje duhani');
INSERT INTO `lang_definitions` VALUES (41909, 9678, 8, 'Status du tabagisme');
INSERT INTO `lang_definitions` VALUES (41910, 9680, 8, 'Authentification SMS');
INSERT INTO `lang_definitions` VALUES (41911, 9683, 8, 'SMS Gateway');
INSERT INTO `lang_definitions` VALUES (41912, 9684, 8, 'SMS Gateway API key');
INSERT INTO `lang_definitions` VALUES (41913, 9685, 8, 'SMS Gateway API Key');
INSERT INTO `lang_definitions` VALUES (41914, 9686, 8, 'SMS Gateway Mot de passe');
INSERT INTO `lang_definitions` VALUES (41915, 9687, 8, 'SMS Gateway login utilisateur');
INSERT INTO `lang_definitions` VALUES (41916, 9689, 8, 'Notification SMS');
INSERT INTO `lang_definitions` VALUES (41917, 9690, 8, 'Heures de notification SMS');
INSERT INTO `lang_definitions` VALUES (41918, 9693, 8, 'SMS envoyé précédement');
INSERT INTO `lang_definitions` VALUES (41919, 9694, 8, 'SMS envoyé');
INSERT INTO `lang_definitions` VALUES (41920, 9701, 8, 'Paramètre des alertes SMS/Courriel');
INSERT INTO `lang_definitions` VALUES (41921, 9703, 8, 'SMTP mot de passe d\'authentification');
INSERT INTO `lang_definitions` VALUES (41922, 9706, 8, 'SMTP Hostname du serveur');
INSERT INTO `lang_definitions` VALUES (41923, 9707, 8, 'SMTP Serveur Numero du Port');
INSERT INTO `lang_definitions` VALUES (41924, 9708, 8, 'SMTP login pour l\'authentification');
INSERT INTO `lang_definitions` VALUES (41925, 9709, 8, 'SNOMED');
INSERT INTO `lang_definitions` VALUES (41926, 9721, 8, 'Ronflement');
INSERT INTO `lang_definitions` VALUES (41927, 9726, 8, 'Difficulté social');
INSERT INTO `lang_definitions` VALUES (41928, 9729, 8, 'Historique social:');
INSERT INTO `lang_definitions` VALUES (41929, 9730, 8, 'Numéro de sécurité social');
INSERT INTO `lang_definitions` VALUES (41930, 9732, 8, 'solution');
INSERT INTO `lang_definitions` VALUES (41931, 9734, 8, 'Contexte physique');
INSERT INTO `lang_definitions` VALUES (41932, 9735, 8, 'Certaines autorisations n\'ont pas été affichées.Cliquez ici pour les voir tous.');
INSERT INTO `lang_definitions` VALUES (41933, 9736, 8, 'Certaines codes n\'ont pas été affichées.');
INSERT INTO `lang_definitions` VALUES (41934, 9738, 8, 'Certaines erreurs ont été rencontrées lors du processus d\'Identification');
INSERT INTO `lang_definitions` VALUES (41935, 9740, 8, 'Certaines notes n\'ont pas été affichées');
INSERT INTO `lang_definitions` VALUES (41936, 9741, 8, 'Certaines notes du bureau n\'ont pas été affichées.Cliquez ici pour voir tous.');
INSERT INTO `lang_definitions` VALUES (41937, 9743, 8, 'certain mots');
INSERT INTO `lang_definitions` VALUES (41938, 9747, 8, 'Quelquechose c\'est mal passée. S\'il vous plait essayez encore');
INSERT INTO `lang_definitions` VALUES (41939, 9750, 8, 'Irritation de la gorge');
INSERT INTO `lang_definitions` VALUES (41940, 9751, 8, 'Désolé aucun rendez-vous est pris');
INSERT INTO `lang_definitions` VALUES (41941, 9754, 8, 'Désolé, il y a eu un problème lors du téléversement de votre fichier');
INSERT INTO `lang_definitions` VALUES (41942, 9758, 8, 'Trier par');
INSERT INTO `lang_definitions` VALUES (41943, 9759, 8, 'Trier Par');
INSERT INTO `lang_definitions` VALUES (41944, 9761, 8, 'Trier par somme de contrôle');
INSERT INTO `lang_definitions` VALUES (41945, 9762, 8, 'Trier par commentaires');
INSERT INTO `lang_definitions` VALUES (41946, 9764, 8, 'Trier par la date');
INSERT INTO `lang_definitions` VALUES (41947, 9765, 8, 'Trier par la date');
INSERT INTO `lang_definitions` VALUES (41948, 9766, 8, 'Trier par évenement');
INSERT INTO `lang_definitions` VALUES (41949, 9767, 8, 'Trier par groupe');
INSERT INTO `lang_definitions` VALUES (41950, 9770, 8, 'Trier par ID patient');
INSERT INTO `lang_definitions` VALUES (41951, 9772, 8, 'Trier par succes');
INSERT INTO `lang_definitions` VALUES (41952, 9774, 8, 'Trier par utilisateur');
INSERT INTO `lang_definitions` VALUES (41953, 9775, 8, 'Trier par vaccin');
INSERT INTO `lang_definitions` VALUES (41954, 9776, 8, 'Trier par ordre décroissant');
INSERT INTO `lang_definitions` VALUES (41955, 9777, 8, 'Trier les resultats par');
INSERT INTO `lang_definitions` VALUES (41956, 9778, 8, 'Trier par odre croissant');
INSERT INTO `lang_definitions` VALUES (41957, 9779, 8, 'Source');
INSERT INTO `lang_definitions` VALUES (41958, 9781, 8, 'Fichier source');
INSERT INTO `lang_definitions` VALUES (41959, 9782, 8, 'Chemin du fichier source');
INSERT INTO `lang_definitions` VALUES (41960, 9786, 8, 'Patient source');
INSERT INTO `lang_definitions` VALUES (41961, 9787, 8, 'Le patient source n\'a pas de D.D.N');
INSERT INTO `lang_definitions` VALUES (41962, 9788, 8, 'Le patient source n\'a pas été trouvé');
INSERT INTO `lang_definitions` VALUES (41963, 9789, 8, 'Source:');
INSERT INTO `lang_definitions` VALUES (41964, 9792, 8, 'Espace');
INSERT INTO `lang_definitions` VALUES (41965, 9793, 8, 'ESPACE');
INSERT INTO `lang_definitions` VALUES (41966, 9795, 8, 'Espagnol');
INSERT INTO `lang_definitions` VALUES (41967, 9796, 8, 'Espagnol (Amerique Latine)');
INSERT INTO `lang_definitions` VALUES (41968, 9797, 8, 'Espagnol (Espagne)');
INSERT INTO `lang_definitions` VALUES (41969, 9799, 8, 'Les caractères spéciaux ne sont pas autorisé');
INSERT INTO `lang_definitions` VALUES (41970, 9800, 8, 'Traitement spéciale pour le formulaire des constantes vitales');
INSERT INTO `lang_definitions` VALUES (41971, 9801, 8, 'Spécialiste');
INSERT INTO `lang_definitions` VALUES (41972, 9802, 8, 'Nom et signature du Spécialiste');
INSERT INTO `lang_definitions` VALUES (41973, 9804, 8, 'Spécialité');
INSERT INTO `lang_definitions` VALUES (41974, 9805, 8, 'Systèmes spécialisés');
INSERT INTO `lang_definitions` VALUES (41975, 9806, 8, 'Spécialité:');
INSERT INTO `lang_definitions` VALUES (41976, 9807, 8, 'Spécifique');
INSERT INTO `lang_definitions` VALUES (41977, 9808, 8, 'Spplication spécifique');
INSERT INTO `lang_definitions` VALUES (41978, 9809, 8, 'Service de contraception spécifique');
INSERT INTO `lang_definitions` VALUES (41979, 9810, 8, 'Résultat spécifique');
INSERT INTO `lang_definitions` VALUES (41980, 9811, 8, 'Service spécifique');
INSERT INTO `lang_definitions` VALUES (41981, 9812, 8, 'Spécifiée');
INSERT INTO `lang_definitions` VALUES (41982, 9823, 8, 'Spécimen');
INSERT INTO `lang_definitions` VALUES (41983, 9824, 8, 'Numéro du spécimen/identifiant');
INSERT INTO `lang_definitions` VALUES (41984, 9825, 8, 'Type de spécimen');
INSERT INTO `lang_definitions` VALUES (41985, 9827, 8, 'Dictée vocale');
INSERT INTO `lang_definitions` VALUES (41986, 9828, 8, 'Spermicides');
INSERT INTO `lang_definitions` VALUES (41987, 9831, 8, 'Splénectomie');
INSERT INTO `lang_definitions` VALUES (41988, 9832, 8, 'Conjoint');
INSERT INTO `lang_definitions` VALUES (41989, 9834, 8, 'Crachat');
INSERT INTO `lang_definitions` VALUES (41990, 9835, 8, 'Crachat:');
INSERT INTO `lang_definitions` VALUES (41991, 9839, 8, 'Equipe');
INSERT INTO `lang_definitions` VALUES (41992, 9840, 8, 'Membres déquipe');
INSERT INTO `lang_definitions` VALUES (41993, 9841, 8, 'Equipes');
INSERT INTO `lang_definitions` VALUES (41994, 9849, 8, 'N.S.S.');
INSERT INTO `lang_definitions` VALUES (41995, 9850, 8, 'Administration du certificat SSL');
INSERT INTO `lang_definitions` VALUES (41996, 9851, 8, 'N.S.S.');
INSERT INTO `lang_definitions` VALUES (41997, 9852, 8, 'Stabilité');
INSERT INTO `lang_definitions` VALUES (41998, 9855, 8, 'Standard');
INSERT INTO `lang_definitions` VALUES (41999, 9857, 8, 'Code standard');
INSERT INTO `lang_definitions` VALUES (42000, 9860, 8, 'Mesures standard');
INSERT INTO `lang_definitions` VALUES (42001, 9861, 8, 'Mesures standard (Alertes active)');
INSERT INTO `lang_definitions` VALUES (42002, 9862, 8, 'Mesures standard (Alertes passive)');
INSERT INTO `lang_definitions` VALUES (42003, 9863, 8, 'Mesures standard (Rappels patient)');
INSERT INTO `lang_definitions` VALUES (42004, 9864, 8, 'Nom standard');
INSERT INTO `lang_definitions` VALUES (42005, 9866, 8, 'Début');
INSERT INTO `lang_definitions` VALUES (42006, 9867, 8, 'Début (aaaa-mm-jj):');
INSERT INTO `lang_definitions` VALUES (42007, 9868, 8, 'Commencer un nouveau rapport');
INSERT INTO `lang_definitions` VALUES (42008, 9874, 8, 'Date de début');
INSERT INTO `lang_definitions` VALUES (42009, 9876, 8, 'Date de début dans cette clinique');
INSERT INTO `lang_definitions` VALUES (42010, 9877, 8, 'Date de début ne doit pas être supérieur Date de fin');
INSERT INTO `lang_definitions` VALUES (42011, 9878, 8, 'Date de début:');
INSERT INTO `lang_definitions` VALUES (42012, 9879, 8, 'Date de début:');
INSERT INTO `lang_definitions` VALUES (42013, 9881, 8, 'Heure de début');
INSERT INTO `lang_definitions` VALUES (42014, 9884, 8, 'Date de démarrage');
INSERT INTO `lang_definitions` VALUES (42015, 9889, 8, 'Région');
INSERT INTO `lang_definitions` VALUES (42016, 9890, 8, 'Type de donnée État');
INSERT INTO `lang_definitions` VALUES (42017, 9892, 8, 'Numéro de licence de l\'État');
INSERT INTO `lang_definitions` VALUES (42018, 9893, 8, 'Liste des États');
INSERT INTO `lang_definitions` VALUES (42019, 9894, 8, 'Liste des États (écriture, ajout seulement optionnel)');
INSERT INTO `lang_definitions` VALUES (42020, 9896, 8, 'Liste des États (écriture, ajout seulement optionnel)');
INSERT INTO `lang_definitions` VALUES (42021, 9897, 8, 'État ou province');
INSERT INTO `lang_definitions` VALUES (42022, 9898, 8, 'État/Localité');
INSERT INTO `lang_definitions` VALUES (42023, 9899, 8, 'État/Paroisse');
INSERT INTO `lang_definitions` VALUES (42024, 9903, 8, 'Résumé du relevé');
INSERT INTO `lang_definitions` VALUES (42025, 9904, 8, 'Relevés et factures en cours de traitement.');
INSERT INTO `lang_definitions` VALUES (42026, 9906, 8, 'Relevés envoyés:');
INSERT INTO `lang_definitions` VALUES (42027, 9907, 8, 'Relevés; les factures ne seront pas mise à jour.');
INSERT INTO `lang_definitions` VALUES (42028, 9908, 8, 'Texte statique');
INSERT INTO `lang_definitions` VALUES (42029, 9909, 8, 'Statistiques');
INSERT INTO `lang_definitions` VALUES (42030, 9910, 8, 'Stats');
INSERT INTO `lang_definitions` VALUES (42031, 9911, 8, 'Statut');
INSERT INTO `lang_definitions` VALUES (42032, 9914, 8, 'Status de l\'admission');
INSERT INTO `lang_definitions` VALUES (42033, 9915, 8, 'Satus de la réclamation');
INSERT INTO `lang_definitions` VALUES (42034, 9916, 8, 'Status quo');
INSERT INTO `lang_definitions` VALUES (42035, 9917, 8, 'Type Statut');
INSERT INTO `lang_definitions` VALUES (42036, 9918, 8, 'MST/SIDA aide psychologique');
INSERT INTO `lang_definitions` VALUES (42037, 9919, 8, 'Force et conditionnement');
INSERT INTO `lang_definitions` VALUES (42038, 9925, 8, 'Etapes pour l\'installation de la base de données DSM IV');
INSERT INTO `lang_definitions` VALUES (42039, 9926, 8, 'Etapes pour l\'installation de la base de données ICD 10');
INSERT INTO `lang_definitions` VALUES (42040, 9927, 8, 'Etapes pour l\'installation de la base de données ICD 9');
INSERT INTO `lang_definitions` VALUES (42041, 9928, 8, 'Etapes pour l\'installation de la base de données RxNorm');
INSERT INTO `lang_definitions` VALUES (42042, 9929, 8, 'Etapes pour l\'installation de la base de données Snomed');
INSERT INTO `lang_definitions` VALUES (42043, 9932, 8, 'Raideur articulaire');
INSERT INTO `lang_definitions` VALUES (42044, 9933, 8, 'Raideur');
INSERT INTO `lang_definitions` VALUES (42045, 9936, 8, 'Douleurs a l\'estomac');
INSERT INTO `lang_definitions` VALUES (42046, 9942, 8, 'Hashe enregistré');
INSERT INTO `lang_definitions` VALUES (42047, 9944, 8, 'Effort des muscles');
INSERT INTO `lang_definitions` VALUES (42048, 9946, 8, 'Flux');
INSERT INTO `lang_definitions` VALUES (42049, 9947, 8, 'Rue');
INSERT INTO `lang_definitions` VALUES (42050, 9948, 8, 'Rue de l\'adresse');
INSERT INTO `lang_definitions` VALUES (42051, 9949, 8, 'Rue et numéro');
INSERT INTO `lang_definitions` VALUES (42052, 9950, 8, 'Force');
INSERT INTO `lang_definitions` VALUES (42053, 9952, 8, 'Angine');
INSERT INTO `lang_definitions` VALUES (42054, 9953, 8, 'Fracture de fatigue');
INSERT INTO `lang_definitions` VALUES (42055, 9954, 8, 'Test de stresse');
INSERT INTO `lang_definitions` VALUES (42056, 9956, 8, 'AVC');
INSERT INTO `lang_definitions` VALUES (42057, 9958, 8, 'Un mot de passe fort doit faire 8 caractères au minimum, et contenir au moins 3 des 4 types suivant: un nombre, une lettre minuscule, une lettre majuscule, un caratère spécial.');
INSERT INTO `lang_definitions` VALUES (42058, 9960, 8, 'Style');
INSERT INTO `lang_definitions` VALUES (42059, 9961, 8, 'Style de formulaire utilisé pour ajouter de nouveaux patients');
INSERT INTO `lang_definitions` VALUES (42060, 9965, 8, 'Sous-catégorie');
INSERT INTO `lang_definitions` VALUES (42061, 9966, 8, 'Sous-total');
INSERT INTO `lang_definitions` VALUES (42062, 9967, 8, 'Souscatégorie');
INSERT INTO `lang_definitions` VALUES (42063, 9968, 8, 'souscatégorie');
INSERT INTO `lang_definitions` VALUES (42064, 9969, 8, 'sous-cutané');
INSERT INTO `lang_definitions` VALUES (42065, 9970, 8, 'Sujet');
INSERT INTO `lang_definitions` VALUES (42066, 9971, 8, 'Subjectif');
INSERT INTO `lang_definitions` VALUES (42067, 9972, 8, 'Sous la langue');
INSERT INTO `lang_definitions` VALUES (42068, 9973, 8, 'sous la langue');
INSERT INTO `lang_definitions` VALUES (42069, 9974, 8, 'Soumettre');
INSERT INTO `lang_definitions` VALUES (42070, 9975, 8, 'soumettre');
INSERT INTO `lang_definitions` VALUES (42071, 9976, 8, 'Soumettre tout le contenu');
INSERT INTO `lang_definitions` VALUES (42072, 9979, 8, 'Soumettre l\'evenement');
INSERT INTO `lang_definitions` VALUES (42073, 9980, 8, 'soumettre le formulaire');
INSERT INTO `lang_definitions` VALUES (42074, 9982, 8, 'Soumettre le contenu sélectionné');
INSERT INTO `lang_definitions` VALUES (42075, 9984, 8, 'Soumis');
INSERT INTO `lang_definitions` VALUES (42076, 9985, 8, 'Soumis par');
INSERT INTO `lang_definitions` VALUES (42077, 9987, 8, 'Abonné');
INSERT INTO `lang_definitions` VALUES (42078, 9988, 8, 'Adresse de l\'abonné');
INSERT INTO `lang_definitions` VALUES (42079, 9992, 8, 'Employeur de l\'abonné');
INSERT INTO `lang_definitions` VALUES (42080, 9994, 8, 'Adresse de l\'employeur de l\'abonné');
INSERT INTO `lang_definitions` VALUES (42081, 9995, 8, 'Ville de l\'employeur de l\'abonné');
INSERT INTO `lang_definitions` VALUES (42082, 9996, 8, 'Pays de l\'employeur de l\'abonné');
INSERT INTO `lang_definitions` VALUES (42083, 9997, 8, 'État de l\'employeur de l\'abonné');
INSERT INTO `lang_definitions` VALUES (42084, 10000, 8, 'Code postal de l\'employeur de l\'abonné');
INSERT INTO `lang_definitions` VALUES (42085, 10005, 8, 'Téléphone de l\'abonné');
INSERT INTO `lang_definitions` VALUES (42086, 10006, 8, 'Relation de l\'abonné');
INSERT INTO `lang_definitions` VALUES (42087, 10007, 8, 'L\'abonné n\'a pas célibataire en relation mais le nom est le même! Est ce réelement juste?');
INSERT INTO `lang_definitions` VALUES (42088, 10008, 8, 'L\'abonné n\'a pas célibataire en relation mais le N.S.S. est le même!');
INSERT INTO `lang_definitions` VALUES (42089, 10009, 8, 'L\'abonné a célibataire en relation mais le nom est différent! Est ce réellement juste?');
INSERT INTO `lang_definitions` VALUES (42090, 10010, 8, 'L\'abonné a célibataire en relation mais le S.S.N. est différent!');
INSERT INTO `lang_definitions` VALUES (42091, 10011, 8, 'Sexe de l\'abonné');
INSERT INTO `lang_definitions` VALUES (42092, 10020, 8, 'Subtitution');
INSERT INTO `lang_definitions` VALUES (42093, 10021, 8, 'substitition autorisé');
INSERT INTO `lang_definitions` VALUES (42094, 10024, 8, 'Succès');
INSERT INTO `lang_definitions` VALUES (42095, 10025, 8, 'succès');
INSERT INTO `lang_definitions` VALUES (42096, 10026, 8, 'Succès confirmant la réception des résultats de laboratoire');
INSERT INTO `lang_definitions` VALUES (42097, 10027, 8, 'Succès d\'obtention des resultats de laboratoire');
INSERT INTO `lang_definitions` VALUES (42098, 10028, 8, 'Succès de la récupération des résultats depuis le reseau d\'echange de laboratoire');
INSERT INTO `lang_definitions` VALUES (42099, 10030, 8, 'Catégorie ajoutée avec succès');
INSERT INTO `lang_definitions` VALUES (42100, 10031, 8, 'a été ajouté avec succes à la catégorie');
INSERT INTO `lang_definitions` VALUES (42101, 10033, 8, 'Supprimé avec succès');
INSERT INTO `lang_definitions` VALUES (42102, 10035, 8, 'La base de donnée a été installée avec succès.');
INSERT INTO `lang_definitions` VALUES (42103, 10036, 8, 'La base de donnée suivante a été installée avec succès');
INSERT INTO `lang_definitions` VALUES (42104, 10037, 8, 'Modifié avec succès');
INSERT INTO `lang_definitions` VALUES (42105, 10039, 8, 'Sauvegarde Reussi.Souhaitez-vous l\'atribuer ?');
INSERT INTO `lang_definitions` VALUES (42106, 10040, 8, 'Sauvegarde Reussi.Souhaitez-vous le distribuer ?');
INSERT INTO `lang_definitions` VALUES (42107, 10042, 8, 'Rangé avec succès.');
INSERT INTO `lang_definitions` VALUES (42108, 10044, 8, 'La mise à jour de la base de donnée cest déroulée avec succès');
INSERT INTO `lang_definitions` VALUES (42109, 10045, 8, 'La mise à jour de la base de donnée suivante cest déroulée avec succès');
INSERT INTO `lang_definitions` VALUES (42110, 10046, 8, 'Avec succès.');
INSERT INTO `lang_definitions` VALUES (42111, 10049, 8, 'Suicide');
INSERT INTO `lang_definitions` VALUES (42112, 10051, 8, 'Résumé');
INSERT INTO `lang_definitions` VALUES (42113, 10052, 8, 'Résumé de');
INSERT INTO `lang_definitions` VALUES (42114, 10054, 8, 'Résumé des soins fournis');
INSERT INTO `lang_definitions` VALUES (42115, 10055, 8, 'Résumé des soins fournis ');
INSERT INTO `lang_definitions` VALUES (42116, 10056, 8, 'Résué des soins transmis');
INSERT INTO `lang_definitions` VALUES (42117, 10058, 8, 'Dim');
INSERT INTO `lang_definitions` VALUES (42118, 10060, 8, 'Dimanche');
INSERT INTO `lang_definitions` VALUES (42119, 10069, 8, 'Superutilisateur');
INSERT INTO `lang_definitions` VALUES (42120, 10071, 8, 'Superviseur');
INSERT INTO `lang_definitions` VALUES (42121, 10072, 8, 'Medecin Superviseur');
INSERT INTO `lang_definitions` VALUES (42122, 10074, 8, 'Prénom du Medecin Superviseur');
INSERT INTO `lang_definitions` VALUES (42123, 10075, 8, 'Nom du Medecin Superviseur');
INSERT INTO `lang_definitions` VALUES (42124, 10076, 8, 'NPI du Medecin Superviseur');
INSERT INTO `lang_definitions` VALUES (42125, 10078, 8, 'Ressource Superviseur');
INSERT INTO `lang_definitions` VALUES (42126, 10080, 8, 'Fournisseur');
INSERT INTO `lang_definitions` VALUES (42127, 10081, 8, 'Nom de l\'établissement fournisseur');
INSERT INTO `lang_definitions` VALUES (42128, 10090, 8, 'Type de surface');
INSERT INTO `lang_definitions` VALUES (42129, 10092, 8, 'Chirurgies');
INSERT INTO `lang_definitions` VALUES (42130, 10093, 8, 'Chirurgie');
INSERT INTO `lang_definitions` VALUES (42131, 10094, 8, 'Liste des problèmes de la chirurgie');
INSERT INTO `lang_definitions` VALUES (42132, 10095, 8, 'Suspendu');
INSERT INTO `lang_definitions` VALUES (42133, 10096, 8, 'suspension');
INSERT INTO `lang_definitions` VALUES (42134, 10097, 8, 'Di{{Dimanche}}');
INSERT INTO `lang_definitions` VALUES (42135, 10102, 8, 'Traspiration:');
INSERT INTO `lang_definitions` VALUES (42136, 10103, 8, 'Suèdois');
INSERT INTO `lang_definitions` VALUES (42137, 10104, 8, 'Enflure');
INSERT INTO `lang_definitions` VALUES (42138, 10105, 8, 'Enflure droite');
INSERT INTO `lang_definitions` VALUES (42139, 10106, 8, 'Articulations enflées');
INSERT INTO `lang_definitions` VALUES (42140, 10107, 8, 'Ganglions lymphatique enflés');
INSERT INTO `lang_definitions` VALUES (42141, 10108, 8, 'Symbole utilisé comme point décimal pour les monaies. Non utilisé si Decimal Places est à 0.');
INSERT INTO `lang_definitions` VALUES (42142, 10109, 8, 'Symbole utilisé pour séparé les centaines pour les monaies.');
INSERT INTO `lang_definitions` VALUES (42143, 10110, 8, 'Symptômes');
INSERT INTO `lang_definitions` VALUES (42144, 10111, 8, 'Synchroniser');
INSERT INTO `lang_definitions` VALUES (42145, 10112, 8, 'Synchroniser les traductions avec la table de personnalisation du langage');
INSERT INTO `lang_definitions` VALUES (42146, 10113, 8, 'Nouvelle constante personalisé synchronisé');
INSERT INTO `lang_definitions` VALUES (42147, 10114, 8, 'Nouvelle langue personalisée synchronisé');
INSERT INTO `lang_definitions` VALUES (42148, 10115, 8, 'Nouvelle definition synchronisé (Langage,constante,definition):');
INSERT INTO `lang_definitions` VALUES (42149, 10116, 8, 'Syncope');
INSERT INTO `lang_definitions` VALUES (42150, 10120, 8, 'Synovie, empiètement, bursite');
INSERT INTO `lang_definitions` VALUES (42151, 10121, 8, 'Système');
INSERT INTO `lang_definitions` VALUES (42152, 10127, 8, 'D{{Dimanche}}');
INSERT INTO `lang_definitions` VALUES (42153, 10133, 8, 'Table');
INSERT INTO `lang_definitions` VALUES (42154, 10137, 8, 'Création de la table échouée');
INSERT INTO `lang_definitions` VALUES (42155, 10138, 8, 'Mise à jour de la table échouée');
INSERT INTO `lang_definitions` VALUES (42156, 10140, 8, 'comprimé');
INSERT INTO `lang_definitions` VALUES (42157, 10146, 8, 'Tagalog');
INSERT INTO `lang_definitions` VALUES (42158, 10149, 8, 'Prendre');
INSERT INTO `lang_definitions` VALUES (42159, 10151, 8, 'Choisir l\'assurance, depuis le menu déroulant');
INSERT INTO `lang_definitions` VALUES (42160, 10152, 8, 'Selectionner le paiment à partir, depuis le menu déroulant');
INSERT INTO `lang_definitions` VALUES (42161, 10154, 8, 'Prend du temps');
INSERT INTO `lang_definitions` VALUES (42162, 10157, 8, 'Grande zone de navigation');
INSERT INTO `lang_definitions` VALUES (42163, 10161, 8, 'La D.D.N source et cible ne correspondent pas');
INSERT INTO `lang_definitions` VALUES (42164, 10162, 8, 'Le pid source et cible pourrait ne pas être le même!');
INSERT INTO `lang_definitions` VALUES (42165, 10163, 8, 'Le N.S.S source et cible ne correspondent pas');
INSERT INTO `lang_definitions` VALUES (42166, 10164, 8, 'Date cible');
INSERT INTO `lang_definitions` VALUES (42167, 10165, 8, 'Patient cible');
INSERT INTO `lang_definitions` VALUES (42168, 10166, 8, 'Le patient cible n\'a pas de D.D.N');
INSERT INTO `lang_definitions` VALUES (42169, 10167, 8, 'Le patient cible n\'a pas été trouvé');
INSERT INTO `lang_definitions` VALUES (42170, 10168, 8, 'Groupes de cible/actions');
INSERT INTO `lang_definitions` VALUES (42171, 10173, 8, 'ID Taxe');
INSERT INTO `lang_definitions` VALUES (42172, 10174, 8, 'Taux de la taxe');
INSERT INTO `lang_definitions` VALUES (42173, 10175, 8, 'Taxes');
INSERT INTO `lang_definitions` VALUES (42174, 10176, 8, 'Taxonomie');
INSERT INTO `lang_definitions` VALUES (42175, 10182, 8, 'Vue de l\'équipe des blessures');
INSERT INTO `lang_definitions` VALUES (42176, 10183, 8, 'Tableau de service');
INSERT INTO `lang_definitions` VALUES (42177, 10184, 8, 'Vue du tableau de service');
INSERT INTO `lang_definitions` VALUES (42178, 10185, 8, 'Équipe/Groupe');
INSERT INTO `lang_definitions` VALUES (42179, 10187, 8, 'Tel');
INSERT INTO `lang_definitions` VALUES (42180, 10189, 8, 'Code téléphonique du pays');
INSERT INTO `lang_definitions` VALUES (42181, 10192, 8, 'Temporaire');
INSERT INTO `lang_definitions` VALUES (42182, 10193, 8, 'Emplacement temporaire');
INSERT INTO `lang_definitions` VALUES (42183, 10194, 8, 'Méthode temporaire');
INSERT INTO `lang_definitions` VALUES (42184, 10196, 8, 'Température');
INSERT INTO `lang_definitions` VALUES (42185, 10197, 8, 'Gabarit');
INSERT INTO `lang_definitions` VALUES (42186, 10198, 8, 'Nom du gabarit');
INSERT INTO `lang_definitions` VALUES (42187, 10199, 8, 'Les noms de gabarit ne peuvent pas commencer avec des nombres.');
INSERT INTO `lang_definitions` VALUES (42188, 10201, 8, 'Gabarit:');
INSERT INTO `lang_definitions` VALUES (42189, 10202, 8, 'Gabarits');
INSERT INTO `lang_definitions` VALUES (42190, 10205, 8, 'Artère temporale');
INSERT INTO `lang_definitions` VALUES (42191, 10208, 8, 'lésion tendineuse');
INSERT INTO `lang_definitions` VALUES (42192, 10209, 8, 'Tendinite / problème / bursite');
INSERT INTO `lang_definitions` VALUES (42193, 10211, 8, 'Tentative de facture Ref No');
INSERT INTO `lang_definitions` VALUES (42194, 10213, 8, 'Tertiaire');
INSERT INTO `lang_definitions` VALUES (42195, 10214, 8, 'Assurance tertiaire');
INSERT INTO `lang_definitions` VALUES (42196, 10215, 8, 'Données de l\'assurance tertiaire');
INSERT INTO `lang_definitions` VALUES (42197, 10216, 8, 'Fournisseur de l\'assurance tertiaire');
INSERT INTO `lang_definitions` VALUES (42198, 10219, 8, 'Emplois du temps test');
INSERT INTO `lang_definitions` VALUES (42199, 10220, 8, 'Système de test');
INSERT INTO `lang_definitions` VALUES (42200, 10223, 8, 'Texte');
INSERT INTO `lang_definitions` VALUES (42201, 10224, 8, 'Texte diagnostic');
INSERT INTO `lang_definitions` VALUES (42202, 10225, 8, 'Champs texte');
INSERT INTO `lang_definitions` VALUES (42203, 10233, 8, 'Date-Texte');
INSERT INTO `lang_definitions` VALUES (42204, 10234, 8, 'date-texte');
INSERT INTO `lang_definitions` VALUES (42205, 10235, 8, 'Zone de texte');
INSERT INTO `lang_definitions` VALUES (42206, 10236, 8, 'zone de texte');
INSERT INTO `lang_definitions` VALUES (42207, 10237, 8, 'Boite de texte');
INSERT INTO `lang_definitions` VALUES (42208, 10238, 8, 'boite de texte');
INSERT INTO `lang_definitions` VALUES (42209, 10239, 8, 'Liste de boites de texte');
INSERT INTO `lang_definitions` VALUES (42210, 10240, 8, 'Liste de boites de texte');
INSERT INTO `lang_definitions` VALUES (42211, 10241, 8, 'Thai');
INSERT INTO `lang_definitions` VALUES (42212, 10242, 8, 'Merci');
INSERT INTO `lang_definitions` VALUES (42213, 10245, 8, 'Merci à vous pour avoir choisit');
INSERT INTO `lang_definitions` VALUES (42214, 10247, 8, 'Le bouton \'Effacer\' va supprimer toutes les annotations.');
INSERT INTO `lang_definitions` VALUES (42215, 10254, 8, 'La déclaration ci-dessus a échouée');
INSERT INTO `lang_definitions` VALUES (42216, 10284, 8, 'Le fichier de réclamation:');
INSERT INTO `lang_definitions` VALUES (42217, 10350, 8, 'Le(s) évenement(s) a/ont été autorisé.');
INSERT INTO `lang_definitions` VALUES (42218, 10351, 8, 'Le(s) évenement(s) a/ont été caché.');
INSERT INTO `lang_definitions` VALUES (42219, 10442, 8, 'La fusion ne va pas s\'executer a moins que le N.S.S. et la D.D.N des deux entités soient identique. Les D.D.Ns ne peuvent pas être vide.');
INSERT INTO `lang_definitions` VALUES (42220, 10443, 8, 'Le message pourrait ne pas être envoyé durant cette période.');
INSERT INTO `lang_definitions` VALUES (42221, 10458, 8, 'La nouvelle catégorie sera une sous-catégorie de');
INSERT INTO `lang_definitions` VALUES (42222, 10460, 8, 'Le nouveau mot de passe ne peut pas être le même que le mot de passe actuel.');
INSERT INTO `lang_definitions` VALUES (42223, 10461, 8, 'Les champs de nouveau mot de passe ne sont pas les même.');
INSERT INTO `lang_definitions` VALUES (42224, 10482, 8, 'Le mot de passe doit avoir au moins 8 caractères, et doit');
INSERT INTO `lang_definitions` VALUES (42225, 10487, 8, 'Les rappels du patient à été envoyé');
INSERT INTO `lang_definitions` VALUES (42226, 10488, 8, 'Les rappels du patient à été envoyé');
INSERT INTO `lang_definitions` VALUES (42227, 10593, 8, 'Le fichier vide va contenir les objets suivant');
INSERT INTO `lang_definitions` VALUES (42228, 10594, 8, 'Theme');
INSERT INTO `lang_definitions` VALUES (42229, 10601, 8, 'Injections thérapeutique');
INSERT INTO `lang_definitions` VALUES (42230, 10607, 8, 'Il y a');
INSERT INTO `lang_definitions` VALUES (42231, 10610, 8, 'Actuelement il y a aucunes prescriptions');
INSERT INTO `lang_definitions` VALUES (42232, 10618, 8, 'Il n\'y a pas de divulgations enregistré pour ce patient');
INSERT INTO `lang_definitions` VALUES (42233, 10621, 8, 'Il n\'y a pas de nouvelle sousmissions');
INSERT INTO `lang_definitions` VALUES (42234, 10622, 8, 'Il n\'y a pas de notes sur le fichier pour ce patient.');
INSERT INTO `lang_definitions` VALUES (42235, 10624, 8, 'Il n\'y a aucune transactions sur le fichier de ce patient.');
INSERT INTO `lang_definitions` VALUES (42236, 10639, 8, 'Il y a eu une erreur lors de l\'envois de mail');
INSERT INTO `lang_definitions` VALUES (42237, 10642, 8, 'Il y a déjà une catégorie nommé');
INSERT INTO `lang_definitions` VALUES (42238, 10643, 8, 'Il y a déjà une sous-catégorie nommé');
INSERT INTO `lang_definitions` VALUES (42239, 10644, 8, 'Il y a déjà un objet nommé');
INSERT INTO `lang_definitions` VALUES (42240, 10645, 8, 'Il y a toujours une requète d\'enregistrement de patient ouverte.');
INSERT INTO `lang_definitions` VALUES (42241, 10649, 8, 'Il n\'y a pas de patient actuel');
INSERT INTO `lang_definitions` VALUES (42242, 10651, 8, 'Il n\'y a pas de correspondance avec l\'id de la facture');
INSERT INTO `lang_definitions` VALUES (42243, 10652, 8, 'Il n\'y a pas de correspondance avec l\'id de la facture =');
INSERT INTO `lang_definitions` VALUES (42244, 10655, 8, 'Il y a eu un problème a l\'envois du message.');
INSERT INTO `lang_definitions` VALUES (42245, 10656, 8, 'Il y a eu une erreur durant l\'execution de votre requète.');
INSERT INTO `lang_definitions` VALUES (42246, 10661, 8, 'Ceci sont les liens 2012');
INSERT INTO `lang_definitions` VALUES (42247, 10683, 8, 'Cuisse');
INSERT INTO `lang_definitions` VALUES (42248, 10684, 8, 'Cuisse + tendon du jarret');
INSERT INTO `lang_definitions` VALUES (42249, 10685, 8, 'Choses que les services administratifs peuvent seulement lire');
INSERT INTO `lang_definitions` VALUES (42250, 10686, 8, 'Choses que les services administratifs peuvent seulement lire et ajouter mais pas modifier');
INSERT INTO `lang_definitions` VALUES (42251, 10687, 8, 'Choses que les services administratifs peuvent lire et modifier');
INSERT INTO `lang_definitions` VALUES (42252, 10688, 8, 'Choses que les services administratifs peuvent lire et partielement modifier');
INSERT INTO `lang_definitions` VALUES (42253, 10689, 8, 'Choses que les cliniciens peuvent seulements lire');
INSERT INTO `lang_definitions` VALUES (42254, 10690, 8, 'Choses que les cliniciens peuvent lire et ajouter mais pas modifier');
INSERT INTO `lang_definitions` VALUES (42255, 10691, 8, 'Choses que les cliniciens peuvent lire et modifier');
INSERT INTO `lang_definitions` VALUES (42256, 10692, 8, 'Choses que les cliniciens peuvent lire et partielement modifier');
INSERT INTO `lang_definitions` VALUES (42257, 10693, 8, 'Choses que l\'acceuil peut seulement lire');
INSERT INTO `lang_definitions` VALUES (42258, 10694, 8, 'Choses que l\'acceuil peut seulement lire et ajouter mais pas modifier');
INSERT INTO `lang_definitions` VALUES (42259, 10695, 8, 'Choses que l\'acceuil peut lire et modifier');
INSERT INTO `lang_definitions` VALUES (42260, 10696, 8, 'Choses que l\'acceuil peut lire et partielement modifier');
INSERT INTO `lang_definitions` VALUES (42261, 10697, 8, 'Choses que les médecins peuvent seulement lire');
INSERT INTO `lang_definitions` VALUES (42262, 10698, 8, 'Choses que les médecins peuvent lire et ajouter mais pas modifier');
INSERT INTO `lang_definitions` VALUES (42263, 10699, 8, 'Choses que les médecins peuvent lire et modifier');
INSERT INTO `lang_definitions` VALUES (42264, 10700, 8, 'Choses que les médecins peuvent lire et partielement modifier');
INSERT INTO `lang_definitions` VALUES (42265, 10701, 8, 'Troisième');
INSERT INTO `lang_definitions` VALUES (42266, 10704, 8, 'Cette action NE PEUT PAS être annulée.');
INSERT INTO `lang_definitions` VALUES (42267, 10705, 8, 'Cette action ne peut pas être annulée.');
INSERT INTO `lang_definitions` VALUES (42268, 10707, 8, 'Cette action sera enregistrée');
INSERT INTO `lang_definitions` VALUES (42269, 10715, 8, 'Cette réclamation a été annulée');
INSERT INTO `lang_definitions` VALUES (42270, 10716, 8, 'Cette réclamation a été fermée.');
INSERT INTO `lang_definitions` VALUES (42271, 10717, 8, 'Cette réclamation a été refusée. Raison:-');
INSERT INTO `lang_definitions` VALUES (42272, 10718, 8, 'Cette réclamation est passée au niveau suivant.');
INSERT INTO `lang_definitions` VALUES (42273, 10725, 8, 'Ce type de code n\'accèpte pas les relations.');
INSERT INTO `lang_definitions` VALUES (42274, 10730, 8, 'Ceci determine comment les rendez-vous s\'affiche sur le calendrier.');
INSERT INTO `lang_definitions` VALUES (42275, 10731, 8, 'Ceci determine quel schéma de couleur sera utilisé pour les rendez-vous');
INSERT INTO `lang_definitions` VALUES (42276, 10734, 8, 'Cette rencontre');
INSERT INTO `lang_definitions` VALUES (42277, 10735, 8, 'Cette rencontre a été payée. Si vous devez changer ceci, elle doit être ré-ouverte.');
INSERT INTO `lang_definitions` VALUES (42278, 10740, 8, 'Cette fonctionnalitée n\'est pas disponible');
INSERT INTO `lang_definitions` VALUES (42279, 10742, 8, 'Cette fonctionnalitée est très expérimentale et peu testée. Utilisez la a vos propre risques!');
INSERT INTO `lang_definitions` VALUES (42280, 10753, 8, 'Le numéro de facturation a été changer en');
INSERT INTO `lang_definitions` VALUES (42281, 10784, 8, 'cette location');
INSERT INTO `lang_definitions` VALUES (42282, 10789, 8, 'Ce module est en mode test. La base de donnée ne sera pas changée.');
INSERT INTO `lang_definitions` VALUES (42283, 10799, 8, 'Cette page est désactivée pour des raisons de sécurité.');
INSERT INTO `lang_definitions` VALUES (42284, 10804, 8, 'Ce patient a aucune activité.');
INSERT INTO `lang_definitions` VALUES (42285, 10805, 8, 'Cette ID patient est déjà utilisée!');
INSERT INTO `lang_definitions` VALUES (42286, 10807, 8, 'Ce produit autorise seulement un lot par entrepôt.');
INSERT INTO `lang_definitions` VALUES (42287, 10808, 8, 'Ce protocole est non implémenté');
INSERT INTO `lang_definitions` VALUES (42288, 10809, 8, 'Ce rapport fonctionne actuelement seulement pour les codes ICD9.');
INSERT INTO `lang_definitions` VALUES (42289, 10821, 8, 'Cette étape va générer un fichier que vous devez sauvegarder pour une utilisation futur. Ce fichier ne pourra pas être regénéré. Voulez vous continuer?');
INSERT INTO `lang_definitions` VALUES (42290, 10822, 8, 'Cet utilisateur est membre d\'aucun groupes');
INSERT INTO `lang_definitions` VALUES (42291, 10823, 8, 'Cet utilisateur va recevoir des notifications des nouveau messages Direct arrivant');
INSERT INTO `lang_definitions` VALUES (42292, 10826, 8, 'Cette visite marque le début d\'une nouvelle utilisation de contraceptifs');
INSERT INTO `lang_definitions` VALUES (42293, 10828, 8, 'Ceci était l\'ancien formulaire des constantes vitals avec métrique seulement, maintenant déprécié.');
INSERT INTO `lang_definitions` VALUES (42294, 10871, 8, 'Colonne vertébrale thorasique');
INSERT INTO `lang_definitions` VALUES (42295, 10878, 8, 'Gorge');
INSERT INTO `lang_definitions` VALUES (42296, 10879, 8, 'Cancer de la gorge');
INSERT INTO `lang_definitions` VALUES (42297, 10880, 8, 'Chirurgie du cancer de la gorge');
INSERT INTO `lang_definitions` VALUES (42298, 10881, 8, 'Thrombose/AVC');
INSERT INTO `lang_definitions` VALUES (42299, 10882, 8, 'Jeu.');
INSERT INTO `lang_definitions` VALUES (42300, 10884, 8, 'Jeudi');
INSERT INTO `lang_definitions` VALUES (42301, 10885, 8, 'Jeudi');
INSERT INTO `lang_definitions` VALUES (42302, 10887, 8, 'Thyroïde normale');
INSERT INTO `lang_definitions` VALUES (42303, 10888, 8, 'Problèmes à la thyroïde');
INSERT INTO `lang_definitions` VALUES (42304, 10889, 8, 'Je{{Jeudi}}');
INSERT INTO `lang_definitions` VALUES (42305, 10902, 8, 'Heure');
INSERT INTO `lang_definitions` VALUES (42306, 10903, 8, 'Format d\'affichage du temps');
INSERT INTO `lang_definitions` VALUES (42307, 10904, 8, 'Incrément du temps pour l\'ajout (minutes 1-60)');
INSERT INTO `lang_definitions` VALUES (42308, 10905, 8, 'Sélection du temps');
INSERT INTO `lang_definitions` VALUES (42309, 10907, 8, 'Période de temps ouverte, sauvegarde de l\'événement');
INSERT INTO `lang_definitions` VALUES (42310, 10913, 8, 'Événement daté');
INSERT INTO `lang_definitions` VALUES (42311, 10915, 8, 'Marqueur temporel et texte');
INSERT INTO `lang_definitions` VALUES (42312, 10918, 8, 'Acouphène');
INSERT INTO `lang_definitions` VALUES (42313, 10920, 8, 'Titre');
INSERT INTO `lang_definitions` VALUES (42314, 10923, 8, 'Titre V');
INSERT INTO `lang_definitions` VALUES (42315, 10925, 8, 'Titres');
INSERT INTO `lang_definitions` VALUES (42316, 10928, 8, 'Pour');
INSERT INTO `lang_definitions` VALUES (42317, 10929, 8, 'pour');
INSERT INTO `lang_definitions` VALUES (42318, 10930, 8, 'POUR');
INSERT INTO `lang_definitions` VALUES (42319, 10931, 8, 'Pour le chemin absolu du fichier');
INSERT INTO `lang_definitions` VALUES (42320, 10936, 8, 'Pour ajouter des notes, s\'il vous plait cliquez');
INSERT INTO `lang_definitions` VALUES (42321, 10937, 8, 'Pour ajouter des notes, s\'il vous plait cliquez ici');
INSERT INTO `lang_definitions` VALUES (42322, 10938, 8, 'Vers la zone affectée');
INSERT INTO `lang_definitions` VALUES (42323, 10939, 8, 'vers la zone affectée');
INSERT INTO `lang_definitions` VALUES (42324, 10942, 8, 'Pour ouvrir automatiquement le formulaire spécifié. Certaines équipes de sport utilise ici football_injury_audit.');
INSERT INTO `lang_definitions` VALUES (42325, 10944, 8, 'Vers la vue de facturation');
INSERT INTO `lang_definitions` VALUES (42326, 10945, 8, 'Vers la vue de facturation');
INSERT INTO `lang_definitions` VALUES (42327, 10947, 8, 'Vers la vue clinique');
INSERT INTO `lang_definitions` VALUES (42328, 10949, 8, 'Vers le ticket modérateur');
INSERT INTO `lang_definitions` VALUES (42329, 10958, 8, 'Pour désactiver les certificats SSL coté client, commenter les lignes ci-dessus dans le fichier de configuration Apache et mettre');
INSERT INTO `lang_definitions` VALUES (42330, 10960, 8, 'Pour désactivé https, commnenter les lignes ci-dessus dans le fichier de configuration Apache et redémarer le serveur Apache.');
INSERT INTO `lang_definitions` VALUES (42331, 10965, 8, 'Pour activer les certificats ssl coté client');
INSERT INTO `lang_definitions` VALUES (42332, 10966, 8, 'Pour activer l\'authentification coté client par certificat SSL. HTTPS devrait être activé.');
INSERT INTO `lang_definitions` VALUES (42333, 10970, 8, 'Pour activité uniquement HTTPS, faites les changement ci-dessus et redémaré le serveur Apache. Si vous voullez configurer égalements les certificats coté client, s\'il vous plait configuré les dans la section suivante.');
INSERT INTO `lang_definitions` VALUES (42334, 10973, 8, 'Pour filtrer par sexe');
INSERT INTO `lang_definitions` VALUES (42335, 10980, 8, 'Pour l\'historique');
INSERT INTO `lang_definitions` VALUES (42336, 10982, 8, 'Pour les problèmes');
INSERT INTO `lang_definitions` VALUES (42337, 10984, 8, 'Pour lié cette rencontre/consultation à un problème existant, cliquez sur le');
INSERT INTO `lang_definitions` VALUES (42338, 10987, 8, 'Pour ce connecter encore');
INSERT INTO `lang_definitions` VALUES (42339, 10992, 8, 'Pour enregistrer les révélations, s\'il vous plait cliquez');
INSERT INTO `lang_definitions` VALUES (42340, 10997, 8, 'Pour executer');
INSERT INTO `lang_definitions` VALUES (42341, 11001, 8, 'Pour configurer les accès https avec l\'authentification client par certification, faire ce qui suit');
INSERT INTO `lang_definitions` VALUES (42342, 11005, 8, 'Pour cette visite?');
INSERT INTO `lang_definitions` VALUES (42343, 11010, 8, 'À:');
INSERT INTO `lang_definitions` VALUES (42344, 11011, 8, 'À:');
INSERT INTO `lang_definitions` VALUES (42345, 11025, 8, 'Tabac');
INSERT INTO `lang_definitions` VALUES (42346, 11026, 8, 'Intervention en abandon du tabagisme');
INSERT INTO `lang_definitions` VALUES (42347, 11027, 8, 'Intervention en abandon du tabagisme (CQC)');
INSERT INTO `lang_definitions` VALUES (42348, 11028, 8, 'Tabagisme');
INSERT INTO `lang_definitions` VALUES (42349, 11029, 8, 'Tabagisme');
INSERT INTO `lang_definitions` VALUES (42350, 11030, 8, 'Questionnaire sur tabagisme');
INSERT INTO `lang_definitions` VALUES (42351, 11031, 8, 'Questionnaire sur tabagisme (CQC)');
INSERT INTO `lang_definitions` VALUES (42352, 11032, 8, 'Aujourd\'hui');
INSERT INTO `lang_definitions` VALUES (42353, 11033, 8, 'AUJOURD\'HUI');
INSERT INTO `lang_definitions` VALUES (42354, 11034, 8, 'aujourd\'hui');
INSERT INTO `lang_definitions` VALUES (42355, 11035, 8, 'Solde d\'aujourd\'hui');
INSERT INTO `lang_definitions` VALUES (42356, 11036, 8, 'Charges d\'aujourd\'hui');
INSERT INTO `lang_definitions` VALUES (42357, 11037, 8, 'Date d\'Aujourd\'hui');
INSERT INTO `lang_definitions` VALUES (42358, 11038, 8, 'Evènements Ce jour');
INSERT INTO `lang_definitions` VALUES (42359, 11047, 8, 'Amydalectomie');
INSERT INTO `lang_definitions` VALUES (42360, 11050, 8, 'Haut');
INSERT INTO `lang_definitions` VALUES (42361, 11053, 8, 'Sujet');
INSERT INTO `lang_definitions` VALUES (42362, 11054, 8, 'Total');
INSERT INTO `lang_definitions` VALUES (42363, 11055, 8, 'total');
INSERT INTO `lang_definitions` VALUES (42364, 11056, 8, 'Total des actions actives');
INSERT INTO `lang_definitions` VALUES (42365, 11057, 8, 'Total des rappels actif après mise à jour');
INSERT INTO `lang_definitions` VALUES (42366, 11058, 8, 'Total des rappels actif avant mise à jour');
INSERT INTO `lang_definitions` VALUES (42367, 11060, 8, 'Montant total dû');
INSERT INTO `lang_definitions` VALUES (42368, 11061, 8, 'Montant Total Payé');
INSERT INTO `lang_definitions` VALUES (42369, 11062, 8, 'Total de solde du');
INSERT INTO `lang_definitions` VALUES (42370, 11063, 8, 'Total de la charge');
INSERT INTO `lang_definitions` VALUES (42371, 11064, 8, 'Total des charges');
INSERT INTO `lang_definitions` VALUES (42372, 11065, 8, 'Total patients');
INSERT INTO `lang_definitions` VALUES (42373, 11066, 8, 'Total Co-Pay');
INSERT INTO `lang_definitions` VALUES (42374, 11067, 8, 'Coût total');
INSERT INTO `lang_definitions` VALUES (42375, 11069, 8, 'Entrées totales');
INSERT INTO `lang_definitions` VALUES (42376, 11070, 8, 'Total des échecs des envois de rappels par courriel');
INSERT INTO `lang_definitions` VALUES (42377, 11071, 8, 'Total des échecs des envois de rappels par téléphone');
INSERT INTO `lang_definitions` VALUES (42378, 11072, 8, 'Total pour');
INSERT INTO `lang_definitions` VALUES (42379, 11073, 8, 'Total pour');
INSERT INTO `lang_definitions` VALUES (42380, 11074, 8, 'Total pour la catégorie');
INSERT INTO `lang_definitions` VALUES (42381, 11075, 8, 'Total de Rappels désactivés');
INSERT INTO `lang_definitions` VALUES (42382, 11078, 8, 'Total de nouveaux rappels');
INSERT INTO `lang_definitions` VALUES (42383, 11079, 8, 'Nombre total de rendez-vous');
INSERT INTO `lang_definitions` VALUES (42384, 11081, 8, 'Nombre Total de Vaccination');
INSERT INTO `lang_definitions` VALUES (42385, 11082, 8, 'Nombre total de problèmes');
INSERT INTO `lang_definitions` VALUES (42386, 11084, 8, 'Nombre Total de Patients');
INSERT INTO `lang_definitions` VALUES (42387, 11087, 8, 'Solde total du patient');
INSERT INTO `lang_definitions` VALUES (42388, 11089, 8, 'Patients total');
INSERT INTO `lang_definitions` VALUES (42389, 11093, 8, 'Total des enregistrement fournis');
INSERT INTO `lang_definitions` VALUES (42390, 11096, 8, 'Total des rappels envoyés avec succès par courriel');
INSERT INTO `lang_definitions` VALUES (42391, 11097, 8, 'Total des rappels envoyés avec succès par téléphone');
INSERT INTO `lang_definitions` VALUES (42392, 11098, 8, 'Temps Total');
INSERT INTO `lang_definitions` VALUES (42393, 11100, 8, 'Total des rappels non changé');
INSERT INTO `lang_definitions` VALUES (42394, 11101, 8, 'Total des rappels non envoyé après le processus d\'envois');
INSERT INTO `lang_definitions` VALUES (42395, 11102, 8, 'Total des rappels non envoyé après mise à jour');
INSERT INTO `lang_definitions` VALUES (42396, 11103, 8, 'Total des rappels non envoyé avant le processus d\'envois');
INSERT INTO `lang_definitions` VALUES (42397, 11104, 8, 'Total des rappels non envoyé avant mise à jour');
INSERT INTO `lang_definitions` VALUES (42398, 11105, 8, 'Total des rappels mis à jour');
INSERT INTO `lang_definitions` VALUES (42399, 11106, 8, 'Totals');
INSERT INTO `lang_definitions` VALUES (42400, 11107, 8, 'Totals pour');
INSERT INTO `lang_definitions` VALUES (42401, 11108, 8, 'Totals pour');
INSERT INTO `lang_definitions` VALUES (42402, 11123, 8, 'à{{range}}');
INSERT INTO `lang_definitions` VALUES (42403, 11124, 8, 'A{{range}}');
INSERT INTO `lang_definitions` VALUES (42404, 11135, 8, 'Type d\'entrainement');
INSERT INTO `lang_definitions` VALUES (42405, 11137, 8, 'Transfert');
INSERT INTO `lang_definitions` VALUES (42406, 11138, 8, 'transfert');
INSERT INTO `lang_definitions` VALUES (42407, 11139, 8, 'Transaction échoué, quantité insufisante dans le lot de destination');
INSERT INTO `lang_definitions` VALUES (42408, 11140, 8, 'Transaction échoué, la quantité est inférieur a zéro');
INSERT INTO `lang_definitions` VALUES (42409, 11142, 8, 'Type de transfert');
INSERT INTO `lang_definitions` VALUES (42410, 11143, 8, 'Transferts');
INSERT INTO `lang_definitions` VALUES (42411, 11144, 8, 'transfert');
INSERT INTO `lang_definitions` VALUES (42412, 11145, 8, 'Transactions (écriture optionnel)');
INSERT INTO `lang_definitions` VALUES (42413, 11151, 8, 'Transactions/Envois vers un spécialiste');
INSERT INTO `lang_definitions` VALUES (42414, 11153, 8, 'Transfert');
INSERT INTO `lang_definitions` VALUES (42415, 11154, 8, 'Date de transfert');
INSERT INTO `lang_definitions` VALUES (42416, 11155, 8, 'Transfert');
INSERT INTO `lang_definitions` VALUES (42417, 11156, 8, 'Résumé de transfert');
INSERT INTO `lang_definitions` VALUES (42418, 11157, 8, 'Transféré à');
INSERT INTO `lang_definitions` VALUES (42419, 11160, 8, 'Transferts');
INSERT INTO `lang_definitions` VALUES (42420, 11162, 8, 'Mutation / Transfert');
INSERT INTO `lang_definitions` VALUES (42421, 11163, 8, 'Traduire les groupes de controles d\'accès');
INSERT INTO `lang_definitions` VALUES (42422, 11164, 8, 'Traduire les categories de rendez-vous');
INSERT INTO `lang_definitions` VALUES (42423, 11165, 8, 'Traduire les categories de documents');
INSERT INTO `lang_definitions` VALUES (42424, 11166, 8, 'Disposition des traductions');
INSERT INTO `lang_definitions` VALUES (42425, 11167, 8, 'Listes de traduction');
INSERT INTO `lang_definitions` VALUES (42426, 11168, 8, 'Traduire les titres des notes patients');
INSERT INTO `lang_definitions` VALUES (42427, 11169, 8, 'Traduire ceci');
INSERT INTO `lang_definitions` VALUES (42428, 11170, 8, 'Traduction');
INSERT INTO `lang_definitions` VALUES (42429, 11171, 8, 'Traductions');
INSERT INTO `lang_definitions` VALUES (42430, 11172, 8, 'Transmettre');
INSERT INTO `lang_definitions` VALUES (42431, 11175, 8, 'Transmission échoué');
INSERT INTO `lang_definitions` VALUES (42432, 11177, 8, 'Transmission des ordres sélectionné');
INSERT INTO `lang_definitions` VALUES (42433, 11179, 8, 'Traumatisme');
INSERT INTO `lang_definitions` VALUES (42434, 11180, 8, 'Traitement');
INSERT INTO `lang_definitions` VALUES (42435, 11182, 8, 'Objectifs du traitement');
INSERT INTO `lang_definitions` VALUES (42436, 11183, 8, 'Plan thérapeutique');
INSERT INTO `lang_definitions` VALUES (42437, 11184, 8, 'Planning thérapeutique');
INSERT INTO `lang_definitions` VALUES (42438, 11185, 8, 'Traitement reçu');
INSERT INTO `lang_definitions` VALUES (42439, 11186, 8, 'Traitement:');
INSERT INTO `lang_definitions` VALUES (42440, 11187, 8, 'Traitement:');
INSERT INTO `lang_definitions` VALUES (42441, 11188, 8, 'Arbre');
INSERT INTO `lang_definitions` VALUES (42442, 11189, 8, 'Tendance');
INSERT INTO `lang_definitions` VALUES (42443, 11196, 8, 'Tri-malléolaire');
INSERT INTO `lang_definitions` VALUES (42444, 11199, 8, 'Thorax et abdomen');
INSERT INTO `lang_definitions` VALUES (42445, 11203, 8, 'Tentative de création d\'un utilisateur avec un nom existant!');
INSERT INTO `lang_definitions` VALUES (42446, 11208, 8, 'Tuberculose');
INSERT INTO `lang_definitions` VALUES (42447, 11209, 8, 'Mar.');
INSERT INTO `lang_definitions` VALUES (42448, 11210, 8, 'Mar. &amp; Jeu.');
INSERT INTO `lang_definitions` VALUES (42449, 11211, 8, 'Mardi');
INSERT INTO `lang_definitions` VALUES (42450, 11212, 8, 'Tumeur');
INSERT INTO `lang_definitions` VALUES (42451, 11213, 8, 'Turque');
INSERT INTO `lang_definitions` VALUES (42452, 11220, 8, 'Ma{{Mardi}}');
INSERT INTO `lang_definitions` VALUES (42453, 11222, 8, 'deux fois par jour');
INSERT INTO `lang_definitions` VALUES (42454, 11226, 8, 'Tympan');
INSERT INTO `lang_definitions` VALUES (42455, 11227, 8, 'Type');
INSERT INTO `lang_definitions` VALUES (42456, 11231, 8, 'Taper Id ou Nom, 3 caractères min. (espaces inclus)');
INSERT INTO `lang_definitions` VALUES (42457, 11238, 8, 'Type de colonnes affichées pour les resultats de recherche sur les patients');
INSERT INTO `lang_definitions` VALUES (42458, 11239, 8, 'Type de divulgation');
INSERT INTO `lang_definitions` VALUES (42459, 11240, 8, 'Type d\'évenements');
INSERT INTO `lang_definitions` VALUES (42460, 11242, 8, 'Type de disposition d\'écran');
INSERT INTO `lang_definitions` VALUES (42461, 11243, 8, 'Entrer ou scanner l\'identifiant du patient ici');
INSERT INTO `lang_definitions` VALUES (42462, 11248, 8, 'Entrer votre message ici');
INSERT INTO `lang_definitions` VALUES (42463, 11249, 8, 'Types d\'ordre ou de résultats');
INSERT INTO `lang_definitions` VALUES (42464, 11251, 8, 'J{{Jeudi}}');
INSERT INTO `lang_definitions` VALUES (42465, 11252, 8, 'M{{Mardi}}');
INSERT INTO `lang_definitions` VALUES (42466, 11270, 8, 'UCSMC code fournies par le Centre de la medicine du Sports de l\'Université de Calgary');
INSERT INTO `lang_definitions` VALUES (42467, 11271, 8, 'Ukrainien');
INSERT INTO `lang_definitions` VALUES (42468, 11272, 8, 'Ulcérations');
INSERT INTO `lang_definitions` VALUES (42469, 11273, 8, 'Colite Ulcéreuse');
INSERT INTO `lang_definitions` VALUES (42470, 11274, 8, 'Ulcères:');
INSERT INTO `lang_definitions` VALUES (42471, 11278, 8, 'Création Impossible');
INSERT INTO `lang_definitions` VALUES (42472, 11288, 8, 'Impossible de faire correspondre ce paiement dans les ar_activity');
INSERT INTO `lang_definitions` VALUES (42473, 11291, 8, 'Non Appliquée');
INSERT INTO `lang_definitions` VALUES (42474, 11292, 8, 'Non Attribué');
INSERT INTO `lang_definitions` VALUES (42475, 11293, 8, 'Non autorisé');
INSERT INTO `lang_definitions` VALUES (42476, 11294, 8, 'Accès non autorisé à ePrescription');
INSERT INTO `lang_definitions` VALUES (42477, 11295, 8, 'Accès non autorisé.');
INSERT INTO `lang_definitions` VALUES (42478, 11296, 8, 'Non facturé');
INSERT INTO `lang_definitions` VALUES (42479, 11297, 8, 'Uniquement Les non Facturés');
INSERT INTO `lang_definitions` VALUES (42480, 11300, 8, 'sous la langue');
INSERT INTO `lang_definitions` VALUES (42481, 11303, 8, 'Insuffisance Pondérale');
INSERT INTO `lang_definitions` VALUES (42482, 11304, 8, 'Non Diagnostiqué');
INSERT INTO `lang_definitions` VALUES (42483, 11305, 8, 'Non réparti');
INSERT INTO `lang_definitions` VALUES (42484, 11306, 8, 'NON RÉPARTI');
INSERT INTO `lang_definitions` VALUES (42485, 11307, 8, 'Non réparti est');
INSERT INTO `lang_definitions` VALUES (42486, 11309, 8, 'Annuler la Vérification');
INSERT INTO `lang_definitions` VALUES (42487, 11311, 8, 'Clients Unique');
INSERT INTO `lang_definitions` VALUES (42488, 11312, 8, 'Identifiant lisible Unique pour ce type');
INSERT INTO `lang_definitions` VALUES (42489, 11315, 8, 'Nouveau Client Unique');
INSERT INTO `lang_definitions` VALUES (42490, 11316, 8, 'Identificateur numérique unique pour ce type');
INSERT INTO `lang_definitions` VALUES (42491, 11317, 8, 'Patients Vu Unique');
INSERT INTO `lang_definitions` VALUES (42492, 11318, 8, 'Rapport de Patients Vu Unique');
INSERT INTO `lang_definitions` VALUES (42493, 11319, 8, 'SP Unique');
INSERT INTO `lang_definitions` VALUES (42494, 11320, 8, 'Unité');
INSERT INTO `lang_definitions` VALUES (42495, 11321, 8, 'Unités');
INSERT INTO `lang_definitions` VALUES (42496, 11322, 8, 'unités');
INSERT INTO `lang_definitions` VALUES (42497, 11323, 8, 'Unités applicable a la valeur résultat');
INSERT INTO `lang_definitions` VALUES (42498, 11324, 8, 'Unités pour les Formulaire de Visite');
INSERT INTO `lang_definitions` VALUES (42499, 11325, 8, 'Les unités doivent être un nombre');
INSERT INTO `lang_definitions` VALUES (42500, 11326, 8, 'Unités Indéfinies');
INSERT INTO `lang_definitions` VALUES (42501, 11327, 8, 'Unités / L');
INSERT INTO `lang_definitions` VALUES (42502, 11328, 8, 'Inconnu');
INSERT INTO `lang_definitions` VALUES (42503, 11331, 8, 'Inconnu si déjà fumé');
INSERT INTO `lang_definitions` VALUES (42504, 11332, 8, 'Inconnu ou N/A');
INSERT INTO `lang_definitions` VALUES (42505, 11335, 8, 'ID utilisateur inconnue');
INSERT INTO `lang_definitions` VALUES (42506, 11344, 8, 'patient non lié');
INSERT INTO `lang_definitions` VALUES (42507, 11345, 8, 'AMO sans Nom');
INSERT INTO `lang_definitions` VALUES (42508, 11346, 8, 'non inscrit');
INSERT INTO `lang_definitions` VALUES (42509, 11349, 8, 'Tout dé-sélectionner');
INSERT INTO `lang_definitions` VALUES (42510, 11350, 8, 'non sélectionnés');
INSERT INTO `lang_definitions` VALUES (42511, 11351, 8, 'Non spécifié');
INSERT INTO `lang_definitions` VALUES (42512, 11352, 8, 'non structuré');
INSERT INTO `lang_definitions` VALUES (42513, 11354, 8, 'Fichier de chargement de base de données Non-Supporté');
INSERT INTO `lang_definitions` VALUES (42514, 11356, 8, 'jusqu\'à ce');
INSERT INTO `lang_definitions` VALUES (42515, 11357, 8, 'jusqu\'à');
INSERT INTO `lang_definitions` VALUES (42516, 11359, 8, 'le dépôt intempestif');
INSERT INTO `lang_definitions` VALUES (42517, 11360, 8, 'Inutilisé');
INSERT INTO `lang_definitions` VALUES (42518, 11362, 8, 'Jusqu\'à');
INSERT INTO `lang_definitions` VALUES (42519, 11364, 8, 'Prochains Rendez-vous');
INSERT INTO `lang_definitions` VALUES (42520, 11365, 8, 'Événements à venir');
INSERT INTO `lang_definitions` VALUES (42521, 11366, 8, 'Mise à jour');
INSERT INTO `lang_definitions` VALUES (42522, 11367, 8, 'mise à jour');
INSERT INTO `lang_definitions` VALUES (42523, 11368, 8, 'Mise à jour Actif');
INSERT INTO `lang_definitions` VALUES (42524, 11371, 8, 'Mise à jour de fichiers');
INSERT INTO `lang_definitions` VALUES (42525, 11372, 8, 'Info de Mise à Jour');
INSERT INTO `lang_definitions` VALUES (42526, 11374, 8, 'Liste de Mise à jour');
INSERT INTO `lang_definitions` VALUES (42527, 11377, 8, 'Mettre à jour le Numéro de fournisseur');
INSERT INTO `lang_definitions` VALUES (42528, 11378, 8, 'Mettre à jour les éléments sélectionnés');
INSERT INTO `lang_definitions` VALUES (42529, 11383, 8, 'Mettre à jour les variables suivantes dans le fichier');
INSERT INTO `lang_definitions` VALUES (42530, 11384, 8, 'Mettre à jour les données utilisateur');
INSERT INTO `lang_definitions` VALUES (42531, 11385, 8, 'Mis à jour par');
INSERT INTO `lang_definitions` VALUES (42532, 11390, 8, 'Mise à jour des données démographiques n\'est pas autorisée.');
INSERT INTO `lang_definitions` VALUES (42533, 11391, 8, 'Mise à jour de la configuration globale par défauts');
INSERT INTO `lang_definitions` VALUES (42534, 11392, 8, 'Mise à jour des indicateurs de version');
INSERT INTO `lang_definitions` VALUES (42535, 11393, 8, 'MISE À JOUR');
INSERT INTO `lang_definitions` VALUES (42536, 11394, 8, 'Mise à niveau');
INSERT INTO `lang_definitions` VALUES (42537, 11396, 8, 'Mise à niveau de Base de Données');
INSERT INTO `lang_definitions` VALUES (42538, 11398, 8, 'Mises à niveau la base de données OpenEMR afin d\'inclure les Procédures, Fonctions et tables nécessaires au processus de De-identification');
INSERT INTO `lang_definitions` VALUES (42539, 11399, 8, 'Mise à niveau va continuer');
INSERT INTO `lang_definitions` VALUES (42540, 11401, 8, 'Transférer');
INSERT INTO `lang_definitions` VALUES (42541, 11406, 8, 'Transférer les données de configuration');
INSERT INTO `lang_definitions` VALUES (42542, 11407, 8, 'Transférer le Document');
INSERT INTO `lang_definitions` VALUES (42543, 11408, 8, 'Échec du transfert!');
INSERT INTO `lang_definitions` VALUES (42544, 11410, 8, 'Transférer l\'image à');
INSERT INTO `lang_definitions` VALUES (42545, 11411, 8, 'Transférer le fichier d\'import :');
INSERT INTO `lang_definitions` VALUES (42546, 11414, 8, 'La mise à jour c\'est déroullée avec succès');
INSERT INTO `lang_definitions` VALUES (42547, 11415, 8, 'Transférer le Rapport');
INSERT INTO `lang_definitions` VALUES (42548, 11418, 8, 'Transférer ce fichier:');
INSERT INTO `lang_definitions` VALUES (42549, 11429, 8, 'Haut du bras');
INSERT INTO `lang_definitions` VALUES (42550, 11432, 8, 'Urgence');
INSERT INTO `lang_definitions` VALUES (42551, 11436, 8, 'Urine');
INSERT INTO `lang_definitions` VALUES (42552, 11437, 8, 'Miction Goutte à Goutte');
INSERT INTO `lang_definitions` VALUES (42553, 11438, 8, 'Fréquence des Mictions');
INSERT INTO `lang_definitions` VALUES (42554, 11439, 8, 'Hésitation d\'Urine');
INSERT INTO `lang_definitions` VALUES (42555, 11440, 8, 'Microalbumine urinaire');
INSERT INTO `lang_definitions` VALUES (42556, 11441, 8, 'Jet d\'Urine');
INSERT INTO `lang_definitions` VALUES (42557, 11442, 8, 'Urgence urinaire');
INSERT INTO `lang_definitions` VALUES (42558, 11443, 8, 'URL');
INSERT INTO `lang_definitions` VALUES (42559, 11445, 8, 'URL pour le support OpenEMR.');
INSERT INTO `lang_definitions` VALUES (42560, 11447, 8, 'URL pour la passerelle téléphonique. Service automatisé VOIP offert par Maviq. Veuillez visitez http://signup.maviq.com pour plus d\'informations.');
INSERT INTO `lang_definitions` VALUES (42561, 11451, 8, 'Utilisation');
INSERT INTO `lang_definitions` VALUES (42562, 11453, 8, 'Indicateur d\'Utilisation (ISA15)');
INSERT INTO `lang_definitions` VALUES (42563, 11456, 8, 'Utilisez % uniquement dans un champ pour trié en fonction de cette colonne');
INSERT INTO `lang_definitions` VALUES (42564, 11457, 8, 'Utiliser le format 24 heures?');
INSERT INTO `lang_definitions` VALUES (42565, 11465, 8, 'Utiliser la technologie certifiée DSE pour identifier des ressources d\'éducation spécifique à chaque patient et de fournir les ressources nécessaires pour le patient, le cas échéant.');
INSERT INTO `lang_definitions` VALUES (42566, 11466, 8, 'Utilisez le Panel des Frais');
INSERT INTO `lang_definitions` VALUES (42567, 11467, 8, 'Utilisez CPOE pour les commandes de médication entrés directement par tout professionnel de santé agréé qui peut entrer des commandes dans le dossier médical par Etat, directives locales et professionnelles.');
INSERT INTO `lang_definitions` VALUES (42568, 11474, 8, 'Utiliser la liste de vaccination personnalisée');
INSERT INTO `lang_definitions` VALUES (42569, 11476, 8, 'Utiliser Intervalle de dates');
INSERT INTO `lang_definitions` VALUES (42570, 11477, 8, 'Utiliser les Valeurs par Défaut');
INSERT INTO `lang_definitions` VALUES (42571, 11478, 8, 'Utilisez l\'Option Supprimer pour le Retirer.');
INSERT INTO `lang_definitions` VALUES (42572, 11479, 8, 'Utilisez le style de date international?');
INSERT INTO `lang_definitions` VALUES (42573, 11483, 8, 'Utiliser le nom du fichier source');
INSERT INTO `lang_definitions` VALUES (42574, 11486, 8, 'Utilisez le champs ci-dessous pour un achat ou un transfert.');
INSERT INTO `lang_definitions` VALUES (42575, 11490, 8, 'Utilisez cette fonction uniquement avec des sites nouvellement installés,');
INSERT INTO `lang_definitions` VALUES (42576, 11493, 8, 'Utilisez les sujets?');
INSERT INTO `lang_definitions` VALUES (42577, 11496, 8, 'Utilisateur');
INSERT INTO `lang_definitions` VALUES (42578, 11498, 8, 'Utilisateur / Groupes');
INSERT INTO `lang_definitions` VALUES (42579, 11499, 8, 'Administration des Utilisateurs');
INSERT INTO `lang_definitions` VALUES (42580, 11500, 8, 'Administration des Utilisateurs et Services');
INSERT INTO `lang_definitions` VALUES (42581, 11501, 8, 'Administration des Utilisateurs et Groupe');
INSERT INTO `lang_definitions` VALUES (42582, 11503, 8, 'Certificat d\'Authentification Utilisateur est désactivé');
INSERT INTO `lang_definitions` VALUES (42583, 11507, 8, 'Défini par l\'Utilisateur');
INSERT INTO `lang_definitions` VALUES (42584, 11508, 8, 'Défini par l\'Utilisateur Zone 11');
INSERT INTO `lang_definitions` VALUES (42585, 11509, 8, 'Défini par l\'Utilisateur Zone 12');
INSERT INTO `lang_definitions` VALUES (42586, 11510, 8, 'Défini par l\'Utilisateur Champ');
INSERT INTO `lang_definitions` VALUES (42587, 11511, 8, 'Défini par l\'Utilisateur Liste 1');
INSERT INTO `lang_definitions` VALUES (42588, 11512, 8, 'Défini par l\'Utilisateur Liste 2');
INSERT INTO `lang_definitions` VALUES (42589, 11513, 8, 'Défini par l\'Utilisateur Liste 3');
INSERT INTO `lang_definitions` VALUES (42590, 11514, 8, 'Défini par l\'Utilisateur Liste 4');
INSERT INTO `lang_definitions` VALUES (42591, 11515, 8, 'Défini par l\'Utilisateur Liste 5');
INSERT INTO `lang_definitions` VALUES (42592, 11516, 8, 'Défini par l\'Utilisateur Liste 6');
INSERT INTO `lang_definitions` VALUES (42593, 11517, 8, 'Défini par l\'Utilisateur Liste 7');
INSERT INTO `lang_definitions` VALUES (42594, 11518, 8, 'Défini par l\'Utilisateur Texte 1');
INSERT INTO `lang_definitions` VALUES (42595, 11519, 8, 'Défini par l\'Utilisateur Texte 2');
INSERT INTO `lang_definitions` VALUES (42596, 11520, 8, 'Défini par l\'Utilisateur Texte 3');
INSERT INTO `lang_definitions` VALUES (42597, 11521, 8, 'Défini par l\'Utilisateur Texte 4');
INSERT INTO `lang_definitions` VALUES (42598, 11522, 8, 'Défini par l\'Utilisateur Texte 5');
INSERT INTO `lang_definitions` VALUES (42599, 11523, 8, 'Défini par l\'Utilisateur Texte 6');
INSERT INTO `lang_definitions` VALUES (42600, 11524, 8, 'Défini par l\'Utilisateur Texte 7');
INSERT INTO `lang_definitions` VALUES (42601, 11525, 8, 'Défini par l\'Utilisateur Texte 8');
INSERT INTO `lang_definitions` VALUES (42602, 11526, 8, 'Prénom utilisateur');
INSERT INTO `lang_definitions` VALUES (42603, 11530, 8, 'Login Utilisateur (si 03 et plus, sinon laisser des espaces) (ISA02)');
INSERT INTO `lang_definitions` VALUES (42604, 11531, 8, 'Nom d\'utilisateur requiere un indice (ISA01~ utiliser 00 ou 03)');
INSERT INTO `lang_definitions` VALUES (42605, 11532, 8, 'Manuel Utilisateur');
INSERT INTO `lang_definitions` VALUES (42606, 11533, 8, 'Affiliations d\'Utilisateur');
INSERT INTO `lang_definitions` VALUES (42607, 11534, 8, 'Nom Utilisateur');
INSERT INTO `lang_definitions` VALUES (42608, 11536, 8, 'Nom d\'Utilisateur ou le nom d\'Hôte ne peut pas être vide');
INSERT INTO `lang_definitions` VALUES (42609, 11537, 8, 'Utilisateur ou nom d\'Hôte');
INSERT INTO `lang_definitions` VALUES (42610, 11539, 8, 'Mot de passe utilisateur (ISA04~si 01 et plus, sinon laisser des espaces)');
INSERT INTO `lang_definitions` VALUES (42611, 11540, 8, 'Mot de passe utilisateur requiere un indice (ISA03~ utiliser 00 ou 01)');
INSERT INTO `lang_definitions` VALUES (42612, 11541, 8, 'Paramètres Utilisateur');
INSERT INTO `lang_definitions` VALUES (42613, 11543, 8, 'Paramètre Utilisateur Spécifique');
INSERT INTO `lang_definitions` VALUES (42614, 11544, 8, 'Nouveau mot de passe de l\'utilisateur');
INSERT INTO `lang_definitions` VALUES (42615, 11553, 8, 'Nom Utilisateur');
INSERT INTO `lang_definitions` VALUES (42616, 11555, 8, 'Nom utilisateur pour la passerelle téléphonique. Service automatisé VOIP offert par Maviq. Veuillez visitez http://signup.maviq.com pour plus d\'informations.');
INSERT INTO `lang_definitions` VALUES (42617, 11556, 8, 'Nom Utilisateur pour la Passerelle SMS');
INSERT INTO `lang_definitions` VALUES (42618, 11557, 8, 'Nom Utilisateur pour la Passerelle SMS.');
INSERT INTO `lang_definitions` VALUES (42619, 11558, 8, 'Nom d\'utilisateur pour ce connecter a CouchDB');
INSERT INTO `lang_definitions` VALUES (42620, 11559, 8, 'Nom Utilisateur:');
INSERT INTO `lang_definitions` VALUES (42621, 11560, 8, 'Utilisateurs');
INSERT INTO `lang_definitions` VALUES (42622, 11564, 8, 'Utilisateurs/Groupes/Journaux d\'Administration');
INSERT INTO `lang_definitions` VALUES (42623, 11574, 8, 'Utilise le format php <a href=\"http://php.net/strftime\">strftime</a>');
INSERT INTO `lang_definitions` VALUES (42624, 11583, 8, 'Infections Urinaires');
INSERT INTO `lang_definitions` VALUES (42625, 11588, 8, 'Vacances');
INSERT INTO `lang_definitions` VALUES (42626, 11589, 8, 'Vacances');
INSERT INTO `lang_definitions` VALUES (42627, 11590, 8, 'vaccin');
INSERT INTO `lang_definitions` VALUES (42628, 11593, 8, 'Anneau Vaginal');
INSERT INTO `lang_definitions` VALUES (42629, 11594, 8, 'Discours d\'adieu');
INSERT INTO `lang_definitions` VALUES (42630, 11596, 8, 'valider');
INSERT INTO `lang_definitions` VALUES (42631, 11609, 8, 'Valeur');
INSERT INTO `lang_definitions` VALUES (42632, 11610, 8, 'Valeur 1');
INSERT INTO `lang_definitions` VALUES (42633, 11611, 8, 'Valeur 2');
INSERT INTO `lang_definitions` VALUES (42634, 11613, 8, 'La Valeur doit être numérique');
INSERT INTO `lang_definitions` VALUES (42635, 11614, 8, 'Var1');
INSERT INTO `lang_definitions` VALUES (42636, 11615, 8, 'Var2');
INSERT INTO `lang_definitions` VALUES (42637, 11619, 8, 'Varicelle 1');
INSERT INTO `lang_definitions` VALUES (42638, 11620, 8, 'Varicelle 2');
INSERT INTO `lang_definitions` VALUES (42639, 11621, 8, 'Varices');
INSERT INTO `lang_definitions` VALUES (42640, 11623, 8, 'Etat vasculaire');
INSERT INTO `lang_definitions` VALUES (42641, 11624, 8, 'Lésion vasculaire');
INSERT INTO `lang_definitions` VALUES (42642, 11625, 8, 'Chirurgie Vasculaire');
INSERT INTO `lang_definitions` VALUES (42643, 11630, 8, 'Vendeur');
INSERT INTO `lang_definitions` VALUES (42644, 11634, 8, 'Version');
INSERT INTO `lang_definitions` VALUES (42645, 11653, 8, 'Vertige');
INSERT INTO `lang_definitions` VALUES (42646, 11656, 8, 'Administration des vétérans');
INSERT INTO `lang_definitions` VALUES (42647, 11657, 8, 'Régime des Vétérans');
INSERT INTO `lang_definitions` VALUES (42648, 11666, 8, 'Vietnamien');
INSERT INTO `lang_definitions` VALUES (42649, 11667, 8, 'Vue');
INSERT INTO `lang_definitions` VALUES (42650, 11668, 8, 'vue');
INSERT INTO `lang_definitions` VALUES (42651, 11670, 8, 'Afficher les Allergies');
INSERT INTO `lang_definitions` VALUES (42652, 11676, 8, 'Afficher le rapport globale du patient');
INSERT INTO `lang_definitions` VALUES (42653, 11677, 8, 'Afficher les tables CSV');
INSERT INTO `lang_definitions` VALUES (42654, 11679, 8, 'Afficher le document');
INSERT INTO `lang_definitions` VALUES (42655, 11681, 8, 'Afficher la visite');
INSERT INTO `lang_definitions` VALUES (42656, 11683, 8, 'Afficher les événements dans une fenêtre popup?');
INSERT INTO `lang_definitions` VALUES (42657, 11687, 8, 'Afficher les log');
INSERT INTO `lang_definitions` VALUES (42658, 11690, 8, 'Afficher la Page 1');
INSERT INTO `lang_definitions` VALUES (42659, 11691, 8, 'Afficher la Page 2');
INSERT INTO `lang_definitions` VALUES (42660, 11692, 8, 'Afficher les rappels futur et passé');
INSERT INTO `lang_definitions` VALUES (42661, 11695, 8, 'Afficher le Patient');
INSERT INTO `lang_definitions` VALUES (42662, 11700, 8, 'Afficher les visites liées');
INSERT INTO `lang_definitions` VALUES (42663, 11701, 8, 'Afficher le rapport');
INSERT INTO `lang_definitions` VALUES (42664, 11702, 8, 'Afficher le fichier README');
INSERT INTO `lang_definitions` VALUES (42665, 11712, 8, 'Afficher/Editer les Allergies');
INSERT INTO `lang_definitions` VALUES (42666, 11713, 8, 'Afficher/Editer problème');
INSERT INTO `lang_definitions` VALUES (42667, 11714, 8, 'Afficher/Imprimer');
INSERT INTO `lang_definitions` VALUES (42668, 11717, 8, 'Vue:');
INSERT INTO `lang_definitions` VALUES (42669, 11718, 8, 'VISA');
INSERT INTO `lang_definitions` VALUES (42670, 11719, 8, 'Autre carte bleu');
INSERT INTO `lang_definitions` VALUES (42671, 11721, 8, 'Dommages/Traumatisme/Chirurgie Viscérale');
INSERT INTO `lang_definitions` VALUES (42672, 11724, 8, 'Visite');
INSERT INTO `lang_definitions` VALUES (42673, 11728, 8, 'Catégorie la Visite:');
INSERT INTO `lang_definitions` VALUES (42674, 11729, 8, 'Date Visite');
INSERT INTO `lang_definitions` VALUES (42675, 11730, 8, 'Date de visite');
INSERT INTO `lang_definitions` VALUES (42676, 11734, 8, 'Formulaires de Visite');
INSERT INTO `lang_definitions` VALUES (42677, 11736, 8, 'Historique des Visites');
INSERT INTO `lang_definitions` VALUES (42678, 11739, 8, 'Raison de la visite');
INSERT INTO `lang_definitions` VALUES (42679, 11740, 8, 'Statut de la visite');
INSERT INTO `lang_definitions` VALUES (42680, 11741, 8, 'Résumé des visites');
INSERT INTO `lang_definitions` VALUES (42681, 11743, 8, 'Type de visite');
INSERT INTO `lang_definitions` VALUES (42682, 11745, 8, 'Visites');
INSERT INTO `lang_definitions` VALUES (42683, 11746, 8, 'Visites depuis');
INSERT INTO `lang_definitions` VALUES (42684, 11751, 8, 'Signes vitaux');
INSERT INTO `lang_definitions` VALUES (42685, 11752, 8, 'Vitaux');
INSERT INTO `lang_definitions` VALUES (42686, 11753, 8, 'Signes vitaux (métrique)');
INSERT INTO `lang_definitions` VALUES (42687, 11754, 8, 'Options du formulaire des Signes vitaux');
INSERT INTO `lang_definitions` VALUES (42688, 11756, 8, 'Voix');
INSERT INTO `lang_definitions` VALUES (42689, 11758, 8, 'Voix transmise');
INSERT INTO `lang_definitions` VALUES (42690, 11763, 8, 'Vomissements');
INSERT INTO `lang_definitions` VALUES (42691, 11770, 8, 'Tour de taille');
INSERT INTO `lang_definitions` VALUES (42692, 11771, 8, 'Tour de taille');
INSERT INTO `lang_definitions` VALUES (42693, 11772, 8, 'En attente');
INSERT INTO `lang_definitions` VALUES (42694, 11778, 8, 'Entrepôt');
INSERT INTO `lang_definitions` VALUES (42695, 11780, 8, 'Entrepôt maximal, 0 n\'est pas applicable');
INSERT INTO `lang_definitions` VALUES (42696, 11781, 8, 'Entrepôt minimal, 0 n\'est pas applicable');
INSERT INTO `lang_definitions` VALUES (42697, 11782, 8, 'Entrepôts');
INSERT INTO `lang_definitions` VALUES (42698, 11783, 8, 'Chaud');
INSERT INTO `lang_definitions` VALUES (42699, 11786, 8, 'Attention');
INSERT INTO `lang_definitions` VALUES (42700, 11787, 8, 'ATTENTION');
INSERT INTO `lang_definitions` VALUES (42701, 11789, 8, 'Attention, Numéro de Chèque existe déjà dans la base de données');
INSERT INTO `lang_definitions` VALUES (42702, 11790, 8, 'Attention, le patient a des codes ambigues dans la liste des problemes');
INSERT INTO `lang_definitions` VALUES (42703, 11791, 8, 'Attention: Une visite est déjà créé pour ce patient aujourd\'hui!');
INSERT INTO `lang_definitions` VALUES (42704, 11796, 8, 'Attention: l\'ID du Patient n\'est pas unique!');
INSERT INTO `lang_definitions` VALUES (42705, 11799, 8, 'AVERISSEMENT: Cette action va remplacer les données de la configuration par ceux du fichier téléchargé!');
INSERT INTO `lang_definitions` VALUES (42706, 11801, 8, 'Avertissements');
INSERT INTO `lang_definitions` VALUES (42707, 11803, 8, 'déjà transféré');
INSERT INTO `lang_definitions` VALUES (42708, 11804, 8, 'n\'a pas été trouvé');
INSERT INTO `lang_definitions` VALUES (42709, 11805, 8, 'Nous apprécions le paiement rapide des soldes exigibles');
INSERT INTO `lang_definitions` VALUES (42710, 11809, 8, 'nous avons vu votre patient, référencé ci-dessus, pour l\'évaluation et le traitement dans notre clinique de psychiatrie ambulatoire. Je vous remercie de cette saisine.');
INSERT INTO `lang_definitions` VALUES (42711, 11821, 8, 'Faiblesses');
INSERT INTO `lang_definitions` VALUES (42712, 11826, 8, 'Recherche Web');
INSERT INTO `lang_definitions` VALUES (42713, 11827, 8, 'Site Web');
INSERT INTO `lang_definitions` VALUES (42714, 11828, 8, 'Lien du site web pour le portail patient sur le site');
INSERT INTO `lang_definitions` VALUES (42715, 11832, 8, 'mer.');
INSERT INTO `lang_definitions` VALUES (42716, 11833, 8, 'Mercredi');
INSERT INTO `lang_definitions` VALUES (42717, 11834, 8, 'Semaine');
INSERT INTO `lang_definitions` VALUES (42718, 11835, 8, 'semaine');
INSERT INTO `lang_definitions` VALUES (42719, 11836, 8, 'Vue Hebdomadaire');
INSERT INTO `lang_definitions` VALUES (42720, 11837, 8, 'Semaine(s)');
INSERT INTO `lang_definitions` VALUES (42721, 11838, 8, 'Expositions Hebdomadaire');
INSERT INTO `lang_definitions` VALUES (42722, 11839, 8, 'semaines');
INSERT INTO `lang_definitions` VALUES (42723, 11840, 8, 'Semaines');
INSERT INTO `lang_definitions` VALUES (42724, 11841, 8, 'Poids');
INSERT INTO `lang_definitions` VALUES (42725, 11842, 8, 'Évaluation du poids et de conseils aux enfants et les adolescents');
INSERT INTO `lang_definitions` VALUES (42726, 11843, 8, 'Évaluation du poids et de conseils aux enfants et les adolescents (CQM)');
INSERT INTO `lang_definitions` VALUES (42727, 11844, 8, 'Changement de Poids');
INSERT INTO `lang_definitions` VALUES (42728, 11845, 8, 'Perte de Poids');
INSERT INTO `lang_definitions` VALUES (42729, 11846, 8, 'Clinique de perte de poids');
INSERT INTO `lang_definitions` VALUES (42730, 11847, 8, 'Bienvenue');
INSERT INTO `lang_definitions` VALUES (42731, 11860, 8, 'Me{{Mercredi}}');
INSERT INTO `lang_definitions` VALUES (42732, 11862, 8, 'Que faut-il comptés?');
INSERT INTO `lang_definitions` VALUES (42733, 11864, 8, 'Sifflements:');
INSERT INTO `lang_definitions` VALUES (42734, 11865, 8, 'Sifflement');
INSERT INTO `lang_definitions` VALUES (42735, 11866, 8, 'Sifflement:');
INSERT INTO `lang_definitions` VALUES (42736, 11882, 8, 'Où se trouvent les documents ou papier numérisés?');
INSERT INTO `lang_definitions` VALUES (42737, 11884, 8, 'Si assuré');
INSERT INTO `lang_definitions` VALUES (42738, 11890, 8, 'Coup de lapin');
INSERT INTO `lang_definitions` VALUES (42739, 11891, 8, 'Blanc');
INSERT INTO `lang_definitions` VALUES (42740, 11894, 8, 'Qui');
INSERT INTO `lang_definitions` VALUES (42741, 11895, 8, 'Qui a répondu?');
INSERT INTO `lang_definitions` VALUES (42742, 11897, 8, 'Veuf(ve)');
INSERT INTO `lang_definitions` VALUES (42743, 11898, 8, 'Largeur');
INSERT INTO `lang_definitions` VALUES (42744, 11900, 8, 'Largeur en pixels du cadre gauche de navigation.');
INSERT INTO `lang_definitions` VALUES (42745, 11907, 8, 'Avec la sélection:');
INSERT INTO `lang_definitions` VALUES (42746, 11908, 8, 'avec l\'ancien nom');
INSERT INTO `lang_definitions` VALUES (42747, 11911, 8, 'Avec qui pouvons-nous laisser un message?');
INSERT INTO `lang_definitions` VALUES (42748, 11912, 8, 'Retenu');
INSERT INTO `lang_definitions` VALUES (42749, 11913, 8, 'en quelques heures');
INSERT INTO `lang_definitions` VALUES (42750, 11914, 8, 'en quelques heures:');
INSERT INTO `lang_definitions` VALUES (42751, 11915, 8, 'en quelques minutes');
INSERT INTO `lang_definitions` VALUES (42752, 11916, 8, 'en quelques minutes:');
INSERT INTO `lang_definitions` VALUES (42753, 11917, 8, 'Sans batiment');
INSERT INTO `lang_definitions` VALUES (42754, 11918, 8, 'Sans fournisseur');
INSERT INTO `lang_definitions` VALUES (42755, 11919, 8, 'Sans mise à jour');
INSERT INTO `lang_definitions` VALUES (42756, 11920, 8, 'Témoignage');
INSERT INTO `lang_definitions` VALUES (42757, 11921, 8, 'semaine');
INSERT INTO `lang_definitions` VALUES (42758, 11924, 8, 'Femme');
INSERT INTO `lang_definitions` VALUES (42759, 11925, 8, 'Femmes Seulement');
INSERT INTO `lang_definitions` VALUES (42760, 11926, 8, 'Wordpress Portail');
INSERT INTO `lang_definitions` VALUES (42761, 11927, 8, 'Travaux');
INSERT INTO `lang_definitions` VALUES (42762, 11928, 8, 'NOTE DE TRAVAIL');
INSERT INTO `lang_definitions` VALUES (42763, 11929, 8, 'Téléphone Professionnel');
INSERT INTO `lang_definitions` VALUES (42764, 11930, 8, 'Numéro de Téléphone Professionnel');
INSERT INTO `lang_definitions` VALUES (42765, 11931, 8, 'Les travaux liés?');
INSERT INTO `lang_definitions` VALUES (42766, 11932, 8, 'Travail/ Education/ Loisirs');
INSERT INTO `lang_definitions` VALUES (42767, 11933, 8, 'Travail/ Note Scolaire');
INSERT INTO `lang_definitions` VALUES (42768, 11934, 8, 'jour ouvrable');
INSERT INTO `lang_definitions` VALUES (42769, 11935, 8, 'Idemnisation du personnel');
INSERT INTO `lang_definitions` VALUES (42770, 11936, 8, 'Régime d\'indemnisation du personnel de santé');
INSERT INTO `lang_definitions` VALUES (42771, 11940, 8, 'En cours... Ceci pourrait prendre une minute.');
INSERT INTO `lang_definitions` VALUES (42772, 11941, 8, 'Pire');
INSERT INTO `lang_definitions` VALUES (42773, 11942, 8, 'Souhaitez-vous imputer le montant qui reste sur le Compte Global?');
INSERT INTO `lang_definitions` VALUES (42774, 11943, 8, 'Voulez-vous qu\'ils soient marqués comme compensés.');
INSERT INTO `lang_definitions` VALUES (42775, 11944, 8, 'Vous souhaitez allouer?');
INSERT INTO `lang_definitions` VALUES (42776, 11945, 8, 'Voulez-vous Annuler Répartition de ce Patient?');
INSERT INTO `lang_definitions` VALUES (42777, 11946, 8, 'Voulez-vous Supprimer Répartition du paiement?');
INSERT INTO `lang_definitions` VALUES (42778, 11947, 8, 'Voulez-vous Supprimer les Paiements?');
INSERT INTO `lang_definitions` VALUES (42779, 11948, 8, 'Voulez-vous Modifier et Terminer les Paiements?');
INSERT INTO `lang_definitions` VALUES (42780, 11949, 8, 'Voulez-vous Modifier les Paiements?');
INSERT INTO `lang_definitions` VALUES (42781, 11950, 8, 'Voulez-vous Poster et Terminer Les Paiements?');
INSERT INTO `lang_definitions` VALUES (42782, 11951, 8, 'Voulez-vous Poster les Paiements?');
INSERT INTO `lang_definitions` VALUES (42783, 11952, 8, 'Voulez-vous Sauvegarder?');
INSERT INTO `lang_definitions` VALUES (42784, 11953, 8, 'Poignet');
INSERT INTO `lang_definitions` VALUES (42785, 11954, 8, 'Poignet et main');
INSERT INTO `lang_definitions` VALUES (42786, 11955, 8, 'Problèmes de Poignet');
INSERT INTO `lang_definitions` VALUES (42787, 11956, 8, 'écrire');
INSERT INTO `lang_definitions` VALUES (42788, 11958, 8, 'radiation');
INSERT INTO `lang_definitions` VALUES (42789, 11960, 8, 'avec quelques');
INSERT INTO `lang_definitions` VALUES (42790, 11963, 8, 'POIDS');
INSERT INTO `lang_definitions` VALUES (42791, 11965, 8, 'M{{Mercredi}}');
INSERT INTO `lang_definitions` VALUES (42792, 11966, 8, 'x Annulé');
INSERT INTO `lang_definitions` VALUES (42793, 11967, 8, 'x Annulé');
INSERT INTO `lang_definitions` VALUES (42794, 11969, 8, 'Rayon X');
INSERT INTO `lang_definitions` VALUES (42795, 11970, 8, 'Interprétation Rayon X:');
INSERT INTO `lang_definitions` VALUES (42796, 11971, 8, 'Interprétation Rayon X:');
INSERT INTO `lang_definitions` VALUES (42797, 11975, 8, 'X12 uniquement: Demande de Remplacement');
INSERT INTO `lang_definitions` VALUES (42798, 11978, 8, 'X12 Partenaire');
INSERT INTO `lang_definitions` VALUES (42799, 11979, 8, 'X12 Partenaires');
INSERT INTO `lang_definitions` VALUES (42800, 11981, 8, 'Texte X12');
INSERT INTO `lang_definitions` VALUES (42801, 11987, 8, 'An');
INSERT INTO `lang_definitions` VALUES (42802, 11988, 8, 'année');
INSERT INTO `lang_definitions` VALUES (42803, 11989, 8, 'année');
INSERT INTO `lang_definitions` VALUES (42804, 11990, 8, 'Vue Annuelle');
INSERT INTO `lang_definitions` VALUES (42805, 11991, 8, 'Année(s)');
INSERT INTO `lang_definitions` VALUES (42806, 11992, 8, 'Années');
INSERT INTO `lang_definitions` VALUES (42807, 11994, 8, 'Années ou mois');
INSERT INTO `lang_definitions` VALUES (42808, 11995, 8, 'Années, mois, et jours');
INSERT INTO `lang_definitions` VALUES (42809, 11996, 8, 'Oui');
INSERT INTO `lang_definitions` VALUES (42810, 11997, 8, 'OUI');
INSERT INTO `lang_definitions` VALUES (42811, 11998, 8, 'oui');
INSERT INTO `lang_definitions` VALUES (42812, 11999, 8, 'OUI!');
INSERT INTO `lang_definitions` VALUES (42813, 12000, 8, 'Oui, supprimer et enregistrer');
INSERT INTO `lang_definitions` VALUES (42814, 12002, 8, 'Oui/Non');
INSERT INTO `lang_definitions` VALUES (42815, 12003, 8, 'Oui:');
INSERT INTO `lang_definitions` VALUES (42816, 12004, 8, 'Yidich');
INSERT INTO `lang_definitions` VALUES (42817, 12008, 8, 'Vous allez définitivement remplacer le modèle existant. Etes-vous sûr de vouloir continuer?');
INSERT INTO `lang_definitions` VALUES (42818, 12011, 8, 'Vous êtes en période de connexion supplémentaire. Changez votre mot de passe avant');
INSERT INTO `lang_definitions` VALUES (42819, 12012, 8, 'Vous n\'êtes pas autorisé à supprimer cet événement');
INSERT INTO `lang_definitions` VALUES (42820, 12013, 8, 'Vous n\'êtes pas autorisé à modifier l\'événement');
INSERT INTO `lang_definitions` VALUES (42821, 12014, 8, 'Vous n\'êtes pas autorisé pour cela.');
INSERT INTO `lang_definitions` VALUES (42822, 12016, 8, 'Vous n\'êtes pas autorisé à accéder à cette équipe.');
INSERT INTO `lang_definitions` VALUES (42823, 12017, 8, 'Vous n\'êtes pas autorisé à ajouter/modifier ces sujets');
INSERT INTO `lang_definitions` VALUES (42824, 12018, 8, 'Vous n\'êtes pas autorisé à planifier des rendez.');
INSERT INTO `lang_definitions` VALUES (42825, 12019, 8, 'Vous n\'êtes pas autorisé de voir cette visite.');
INSERT INTO `lang_definitions` VALUES (42826, 12021, 8, 'Vous postez contre une ancienne rencontre?');
INSERT INTO `lang_definitions` VALUES (42827, 12038, 8, 'Vous ne pouvez pas accéder à cette fonctionnalité directement.');
INSERT INTO `lang_definitions` VALUES (42828, 12050, 8, 'Vous ne pouvez accéder à cette page directement.');
INSERT INTO `lang_definitions` VALUES (42829, 12051, 8, 'Vous ne pouvez ajouter une valeur vide pour une catégorie!');
INSERT INTO `lang_definitions` VALUES (42830, 12052, 8, 'Vous ne pouvez ajouter une valeur vide pour une sous-catégorie!');
INSERT INTO `lang_definitions` VALUES (42831, 12053, 8, 'Vous ne pouvez ajouter une valeur vide pour un élément!');
INSERT INTO `lang_definitions` VALUES (42832, 12055, 8, 'Vous ne pouvez pas entrer une date future avec une valeur OUI (YES) introduite.');
INSERT INTO `lang_definitions` VALUES (42833, 12057, 8, 'Vous n\'avez sélectionné aucune action.');
INSERT INTO `lang_definitions` VALUES (42834, 12058, 8, 'Vous n\'avez pas accès pour voir/éditer cette note');
INSERT INTO `lang_definitions` VALUES (42835, 12061, 8, 'Vous avez tenté de modifier un contenu qui est verrouillé. Retirez le verrou si vous voulez faire cela. Pour déverrouiller, supprimer la ligne, \'/*lock ::*/\'');
INSERT INTO `lang_definitions` VALUES (42836, 12063, 8, 'Vous avez été déconnecter avec succès.');
INSERT INTO `lang_definitions` VALUES (42837, 12074, 8, 'Vous ne pouvez transférer que les fichiers .txt');
INSERT INTO `lang_definitions` VALUES (42838, 12076, 8, 'Vous pouvez mettre insérer ici la plainte par défaut dans le formulaire Nouvelle Visite du Patient.');
INSERT INTO `lang_definitions` VALUES (42839, 12085, 8, 'Vous devez entrer un mot de passe pour crypter le document');
INSERT INTO `lang_definitions` VALUES (42840, 12087, 8, 'Vous devez entrer votre mot de passe pour changer les mots de passe des utilisateurs. Laissez vide pour garder le mot de passe inchangé.');
INSERT INTO `lang_definitions` VALUES (42841, 12090, 8, 'Vous devez d\'abord sélectionner ou ajouter un patient.');
INSERT INTO `lang_definitions` VALUES (42842, 12091, 8, 'Vous devez d\'abord sélectionner ou créer une visite.');
INSERT INTO `lang_definitions` VALUES (42843, 12092, 8, 'Vous devez sélectionner une catégorie de visite');
INSERT INTO `lang_definitions` VALUES (42844, 12093, 8, 'Vous devez sélectionner une catégorie de visite.');
INSERT INTO `lang_definitions` VALUES (42845, 12094, 8, 'Vous devez sélectionner des champs pour continuer.');
INSERT INTO `lang_definitions` VALUES (42846, 12106, 8, 'Vous devez sélectionner au moins un contexte');
INSERT INTO `lang_definitions` VALUES (42847, 12107, 8, 'Vous devez sélectionner au moins un Prestataire');
INSERT INTO `lang_definitions` VALUES (42848, 12122, 8, 'Votre date fin est invalide');
INSERT INTO `lang_definitions` VALUES (42849, 12123, 8, 'Votre événement a été supprimé.');
INSERT INTO `lang_definitions` VALUES (42850, 12124, 8, 'Votre événement a été modifié.');
INSERT INTO `lang_definitions` VALUES (42851, 12125, 8, 'Votre événement a été soumis.');
INSERT INTO `lang_definitions` VALUES (42852, 12127, 8, 'Votre fichier est trop grand');
INSERT INTO `lang_definitions` VALUES (42853, 12132, 8, 'Votre nom de liste a été modifiée pour répondre aux exigences de nommage.');
INSERT INTO `lang_definitions` VALUES (42854, 12133, 8, 'Votre message a été soumis pour une livraison à');
INSERT INTO `lang_definitions` VALUES (42855, 12134, 8, 'Votre nom pour cette catégorie, procédure ou résultat');
INSERT INTO `lang_definitions` VALUES (42856, 12139, 8, 'Votre mot de passe');
INSERT INTO `lang_definitions` VALUES (42857, 12140, 8, 'Votre mot de passe a expiré. Veuillez changer votre mot de passe.');
INSERT INTO `lang_definitions` VALUES (42858, 12141, 8, 'Votre mot de passe expire le');
INSERT INTO `lang_definitions` VALUES (42859, 12143, 8, 'Votre mot de passe expire aujourd\'hui. Veuillez changer votre mot de passe.');
INSERT INTO `lang_definitions` VALUES (42860, 12146, 8, 'Votre configuration PostCalendar est réinitialisé par les paramètres par défaut.');
INSERT INTO `lang_definitions` VALUES (42861, 12147, 8, 'Votre configuration PostCalendar est actualisé.');
INSERT INTO `lang_definitions` VALUES (42862, 12148, 8, 'Votre fréquence de répétition doit être un entier.');
INSERT INTO `lang_definitions` VALUES (42863, 12149, 8, 'Votre fréquence de répétition doit être au moins 1.');
INSERT INTO `lang_definitions` VALUES (42864, 12151, 8, 'Votre date début est supérieure à la date fin');
INSERT INTO `lang_definitions` VALUES (42865, 12152, 8, 'Votre date début est invalide');
INSERT INTO `lang_definitions` VALUES (42866, 12153, 8, 'Votre soumission a échoué.');
INSERT INTO `lang_definitions` VALUES (42867, 12156, 8, 'aaaa-mm-jj');
INSERT INTO `lang_definitions` VALUES (42868, 12157, 8, 'AAAA-MM-JJ');
INSERT INTO `lang_definitions` VALUES (42869, 12158, 8, 'aaaa-mm-jj date associé à ce document');
INSERT INTO `lang_definitions` VALUES (42870, 12159, 8, 'aaaa-mm-jj date de destruction');
INSERT INTO `lang_definitions` VALUES (42871, 12160, 8, 'aaaa-mm-jj date de naissance');
INSERT INTO `lang_definitions` VALUES (42872, 12161, 8, 'aaaa-mm-jj Date de Naissance');
INSERT INTO `lang_definitions` VALUES (42873, 12162, 8, 'aaaa-mm-jj date d\'expiration');
INSERT INTO `lang_definitions` VALUES (42874, 12163, 8, 'aaaa-mm-jj Date du début ou de l\'hospitalisation');
INSERT INTO `lang_definitions` VALUES (42875, 12164, 8, 'aaaa-mm-jj date du début, chirurgie ou début de médication');
INSERT INTO `lang_definitions` VALUES (42876, 12165, 8, 'aaaa-mm-jj date d\'achat ou transfert');
INSERT INTO `lang_definitions` VALUES (42877, 12166, 8, 'aaaa-mm-jj date de récupération et fin de médication');
INSERT INTO `lang_definitions` VALUES (42878, 12167, 8, 'aaaa-mm-jj Date de retour au jeu');
INSERT INTO `lang_definitions` VALUES (42879, 12168, 8, 'aaaa-mm-jj Date de service');
INSERT INTO `lang_definitions` VALUES (42880, 12169, 8, 'aaaa-mm-jj date de cette lettre');
INSERT INTO `lang_definitions` VALUES (42881, 12170, 8, 'aaaa-mm-jj date de retour au jeu');
INSERT INTO `lang_definitions` VALUES (42882, 12171, 8, 'aaaa-mm-jj date du document');
INSERT INTO `lang_definitions` VALUES (42883, 12173, 8, 'aaaa-mm-jj date d\'évènement ou de début');
INSERT INTO `lang_definitions` VALUES (42884, 12178, 8, 'aaaa-mm-jj hh:mm:ss');
INSERT INTO `lang_definitions` VALUES (42885, 12180, 8, 'aaaa-mm-jj dernière date de l\'événement');
INSERT INTO `lang_definitions` VALUES (42886, 12186, 8, 'Zéro');
INSERT INTO `lang_definitions` VALUES (42887, 12188, 8, 'Code Postal');
INSERT INTO `lang_definitions` VALUES (42888, 12189, 8, 'Code Postal');
INSERT INTO `lang_definitions` VALUES (42889, 12191, 8, 'Code Postal/Pays:');
INSERT INTO `lang_definitions` VALUES (42890, 12196, 8, 'Zoulou');
INSERT INTO `lang_definitions` VALUES (42891, 12197, 8, 'mais étais');
INSERT INTO `lang_definitions` VALUES (42892, 12198, 8, 'ne peut être accédé');
INSERT INTO `lang_definitions` VALUES (42893, 12199, 8, 'Voulez-vous vraiment supprimer');
INSERT INTO `lang_definitions` VALUES (42894, 12200, 8, 'Médicament');
INSERT INTO `lang_definitions` VALUES (42895, 12201, 8, 'email non envoyé');
INSERT INTO `lang_definitions` VALUES (42896, 12202, 8, 'de');
INSERT INTO `lang_definitions` VALUES (42897, 12203, 8, 'a été crée');
INSERT INTO `lang_definitions` VALUES (42898, 12204, 8, 'a été ré-ouvert');
INSERT INTO `lang_definitions` VALUES (42899, 12205, 8, 'Histoire');
INSERT INTO `lang_definitions` VALUES (42900, 12206, 8, 'n\'est pas un nombre');
INSERT INTO `lang_definitions` VALUES (42901, 12207, 8, 'est prêt à une ré-facturation');
INSERT INTO `lang_definitions` VALUES (42902, 12208, 8, 'LLL:');
INSERT INTO `lang_definitions` VALUES (42903, 12209, 8, 'Lot');
INSERT INTO `lang_definitions` VALUES (42904, 12210, 8, 'N° Référence d\'Origine Assurance Maladie');
INSERT INTO `lang_definitions` VALUES (42905, 12211, 8, 'min');
INSERT INTO `lang_definitions` VALUES (42906, 12212, 8, 'introuvable!');
INSERT INTO `lang_definitions` VALUES (42907, 12213, 8, 'Particularités dans de nombreux navigateurs peut signifier que la sortie ci-dessous entre votre écran par saccades brusques et qu\'il y a de longues pauses de plusieurs secondes, où il semble que les choses peuvent avoir écrasé. Ce n\'est pas le cas, vous finirez par voir la sortie sortant ligne par ligne. Il y a peut-être des numéros séquentiels apparaissant ci-dessous, ce n\'est pour indiquer que même si rien d\'autre peut-être il y a une activité affichant passe. Ces numéros seront entrecoupés avec le contenu de la facturation et c\'est normal.');
INSERT INTO `lang_definitions` VALUES (42908, 12214, 8, 'ordonnance a atteint sa limite de');
INSERT INTO `lang_definitions` VALUES (42909, 12215, 8, 'jusqu\'à');
INSERT INTO `lang_definitions` VALUES (42910, 12216, 8, 'mise à jour échoué, pas dans la base de données?');
INSERT INTO `lang_definitions` VALUES (42911, 12217, 8, 'a été marqué comme facturé uniquement.');
INSERT INTO `lang_definitions` VALUES (42912, 12218, 8, 'a été mis en file d\'attente avec succès.');
INSERT INTO `lang_definitions` VALUES (42913, 12219, 8, '! Laissé w/o visite');
INSERT INTO `lang_definitions` VALUES (42914, 12220, 8, '\" pour le code');
INSERT INTO `lang_definitions` VALUES (42915, 12221, 8, '\" est activé dans les règles du Calendrier!');
INSERT INTO `lang_definitions` VALUES (42916, 12223, 8, 'nb de comprimés:');
INSERT INTO `lang_definitions` VALUES (42917, 12224, 8, '$');
INSERT INTO `lang_definitions` VALUES (42918, 12225, 8, '$ Codage fait');
INSERT INTO `lang_definitions` VALUES (42919, 12226, 8, '$label (aaaa-mm-jj):');
INSERT INTO `lang_definitions` VALUES (42920, 12227, 8, '%');
INSERT INTO `lang_definitions` VALUES (42921, 12228, 8, '% Annulé < 24h');
INSERT INTO `lang_definitions` VALUES (42922, 12229, 8, '% Annulé < 24h');
INSERT INTO `lang_definitions` VALUES (42923, 12230, 8, 'devrait exister mais au contraire.');
INSERT INTO `lang_definitions` VALUES (42924, 12231, 8, '(% correspond à toute chaîne, _ à tout caractères)');
INSERT INTO `lang_definitions` VALUES (42925, 12232, 8, '([ctrl] + clic pour sélectionner des destinataires multiple)');
INSERT INTO `lang_definitions` VALUES (42926, 12233, 8, '(Arrière)');
INSERT INTO `lang_definitions` VALUES (42927, 12234, 8, '(Cliquez pour modifier)');
INSERT INTO `lang_definitions` VALUES (42928, 12235, 8, '(Livraison Email est immédiat, tandis que le VOIP automatisés est envoyé au fournisseur de service pour un traitement ultérieur.)');
INSERT INTO `lang_definitions` VALUES (42929, 12236, 8, '(Plus)');
INSERT INTO `lang_definitions` VALUES (42930, 12237, 8, '(Nouveau Patient)');
INSERT INTO `lang_definitions` VALUES (42931, 12238, 8, '(Notes et Autorisations)');
INSERT INTO `lang_definitions` VALUES (42932, 12239, 8, '(Notes sur le Patient)');
INSERT INTO `lang_definitions` VALUES (42933, 12240, 8, '(Selectionner un parmis cela, ou tapé votre propre titre)');
INSERT INTO `lang_definitions` VALUES (42934, 12241, 8, '(Shift-)Click ou glissé pour changer la valeur');
INSERT INTO `lang_definitions` VALUES (42935, 12242, 8, '* Rappel fait');
INSERT INTO `lang_definitions` VALUES (42936, 12243, 8, '** S\'il vous plait transférez les chirurgies vers les problèmes!');
INSERT INTO `lang_definitions` VALUES (42937, 12244, 8, '*Obligatoire');
INSERT INTO `lang_definitions` VALUES (42938, 12245, 8, '+ Diagramme retiré');
INSERT INTO `lang_definitions` VALUES (42939, 12246, 8, '+1');
INSERT INTO `lang_definitions` VALUES (42940, 12247, 8, '+2');
INSERT INTO `lang_definitions` VALUES (42941, 12248, 8, '+3');
INSERT INTO `lang_definitions` VALUES (42942, 12249, 8, '- Aucun');
INSERT INTO `lang_definitions` VALUES (42943, 12251, 8, '-- Tous --');
INSERT INTO `lang_definitions` VALUES (42944, 12252, 8, '--Sélectionné un rôle--');
INSERT INTO `lang_definitions` VALUES (42945, 12253, 8, '.');
INSERT INTO `lang_definitions` VALUES (42946, 12254, 8, '0');
INSERT INTO `lang_definitions` VALUES (42947, 12255, 8, '0-10');
INSERT INTO `lang_definitions` VALUES (42948, 12256, 8, '0-24');
INSERT INTO `lang_definitions` VALUES (42949, 12259, 8, '1');
INSERT INTO `lang_definitions` VALUES (42950, 12260, 8, '1 = Amérique du Nord. Voir http://www.wtng.info/ pour la liste des codes des autres pays.');
INSERT INTO `lang_definitions` VALUES (42951, 12261, 8, '1 jour à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (42952, 12262, 8, '1 mois à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (42953, 12263, 8, '1 semaine à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (42954, 12264, 8, '1 an à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (42955, 12265, 8, '1. Repos 2. Glace pour deux jours 3. Compression, laissez le pansement en place à moins que le pied ne développe un engourdissement ou a une couleur pâle 4. Surélever le pied et la jambe');
INSERT INTO `lang_definitions` VALUES (42956, 12266, 8, '11-14');
INSERT INTO `lang_definitions` VALUES (42957, 12267, 8, '12 H');
INSERT INTO `lang_definitions` VALUES (42958, 12268, 8, '15-19');
INSERT INTO `lang_definitions` VALUES (42959, 12269, 8, '1mm');
INSERT INTO `lang_definitions` VALUES (42960, 12272, 8, '2');
INSERT INTO `lang_definitions` VALUES (42961, 12273, 8, '2 jours à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (42962, 12274, 8, '2 mois à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (42963, 12275, 8, '2 semaines à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (42964, 12276, 8, '2 mois à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (42965, 12277, 8, '2-20 années');
INSERT INTO `lang_definitions` VALUES (42966, 12278, 8, '20-24');
INSERT INTO `lang_definitions` VALUES (42967, 12287, 8, '2111-13');
INSERT INTO `lang_definitions` VALUES (42968, 12288, 8, '24 H');
INSERT INTO `lang_definitions` VALUES (42969, 12289, 8, '25+');
INSERT INTO `lang_definitions` VALUES (42970, 12290, 8, '25-29');
INSERT INTO `lang_definitions` VALUES (42971, 12292, 8, '2mm');
INSERT INTO `lang_definitions` VALUES (42972, 12293, 8, '2ème');
INSERT INTO `lang_definitions` VALUES (42973, 12296, 8, '3 jours à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (42974, 12297, 8, '3 mois');
INSERT INTO `lang_definitions` VALUES (42975, 12298, 8, '3 mois à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (42976, 12299, 8, '3 fois par jour');
INSERT INTO `lang_definitions` VALUES (42977, 12300, 8, '3 semaines à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (42978, 12301, 8, '30-34');
INSERT INTO `lang_definitions` VALUES (42979, 12302, 8, '35-39');
INSERT INTO `lang_definitions` VALUES (42980, 12303, 8, '3mm');
INSERT INTO `lang_definitions` VALUES (42981, 12304, 8, '3ème');
INSERT INTO `lang_definitions` VALUES (42982, 12307, 8, '4 jours à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (42983, 12308, 8, '4 mois');
INSERT INTO `lang_definitions` VALUES (42984, 12309, 8, '4 mois à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (42985, 12310, 8, '4 fois par jour');
INSERT INTO `lang_definitions` VALUES (42986, 12311, 8, '4 semaines à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (42987, 12312, 8, '40-44');
INSERT INTO `lang_definitions` VALUES (42988, 12313, 8, '45+');
INSERT INTO `lang_definitions` VALUES (42989, 12315, 8, '466.0, Bronchite, Aiguë NOS');
INSERT INTO `lang_definitions` VALUES (42990, 12316, 8, '486.0, Pneumonie, Aiguë');
INSERT INTO `lang_definitions` VALUES (42991, 12318, 8, '491.8, Bronchite, Chronique');
INSERT INTO `lang_definitions` VALUES (42992, 12319, 8, '493.92, Asthme, Exacerbés Aiguë.');
INSERT INTO `lang_definitions` VALUES (42993, 12322, 8, '4mm');
INSERT INTO `lang_definitions` VALUES (42994, 12323, 8, '4ème');
INSERT INTO `lang_definitions` VALUES (42995, 12326, 8, '5 jours à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (42996, 12327, 8, '5 mois à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (42997, 12328, 8, '5 semaines à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (42998, 12329, 8, '519.7, Broncho-spasme');
INSERT INTO `lang_definitions` VALUES (42999, 12331, 8, '5ème');
INSERT INTO `lang_definitions` VALUES (43000, 12333, 8, '6 jours à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (43001, 12334, 8, '6 mois');
INSERT INTO `lang_definitions` VALUES (43002, 12335, 8, '6 mois à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (43003, 12336, 8, '6 semaines à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (43004, 12337, 8, '6ème');
INSERT INTO `lang_definitions` VALUES (43005, 12339, 8, '7 mois à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (43006, 12340, 8, '8 mois à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (43007, 12342, 8, '824.0 Fracture, malléole interne, fermée');
INSERT INTO `lang_definitions` VALUES (43008, 12343, 8, '824.2 Fracture, malléole latérale, fermée');
INSERT INTO `lang_definitions` VALUES (43009, 12344, 8, '824.6 Fracture, tri-malléolaires, fermé');
INSERT INTO `lang_definitions` VALUES (43010, 12345, 8, '825,32 Fracture, de la Naviculaire (cheville)');
INSERT INTO `lang_definitions` VALUES (43011, 12346, 8, '825,35 Fracture, Base de cinquième (5ème) Métatarsien');
INSERT INTO `lang_definitions` VALUES (43012, 12347, 8, '845,00 entorse de la cheville NOS');
INSERT INTO `lang_definitions` VALUES (43013, 12348, 8, '845,01 Entorse Médial (deltoïde) Lig.');
INSERT INTO `lang_definitions` VALUES (43014, 12349, 8, '845,02 Entorse, péroné calcanéum');
INSERT INTO `lang_definitions` VALUES (43015, 12350, 8, '9 mois à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (43016, 12351, 8, '99212 Installé - sans complication');
INSERT INTO `lang_definitions` VALUES (43017, 12352, 8, '99213 Installé - faible complication');
INSERT INTO `lang_definitions` VALUES (43018, 12353, 8, '< En salle d\'examen');
INSERT INTO `lang_definitions` VALUES (43019, 12357, 8, '> Vérifié');
INSERT INTO `lang_definitions` VALUES (43020, 12359, 8, '?');
INSERT INTO `lang_definitions` VALUES (43021, 12361, 8, '? Pas d\'affichage');
INSERT INTO `lang_definitions` VALUES (43022, 12362, 8, '@ Arrivé');
INSERT INTO `lang_definitions` VALUES (43023, 12364, 8, '[Changer de Vue]');
INSERT INTO `lang_definitions` VALUES (43024, 12365, 8, '[Date de Dernière Visite]');
INSERT INTO `lang_definitions` VALUES (43025, 12366, 8, '[Jours Depuis Dernière Visite]');
INSERT INTO `lang_definitions` VALUES (43026, 12367, 8, '[Notice explicative des prestations]');
INSERT INTO `lang_definitions` VALUES (43027, 12368, 8, '[Exporter OFX]');
INSERT INTO `lang_definitions` VALUES (43028, 12369, 8, '[déconseillé]');
INSERT INTO `lang_definitions` VALUES (43029, 12370, 8, '[Nombre De Visites]');
INSERT INTO `lang_definitions` VALUES (43030, 12371, 8, '[Rapports]');
INSERT INTO `lang_definitions` VALUES (43031, 12372, 8, '[Sélectionner Tout]');
INSERT INTO `lang_definitions` VALUES (43032, 12373, 8, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (43033, 12374, 8, '[Début de Traitement par Lots]');
INSERT INTO `lang_definitions` VALUES (43034, 12375, 8, '[Afficher le Journal]');
INSERT INTO `lang_definitions` VALUES (43035, 12376, 8, '[Afficher Rapport Imprimable]');
INSERT INTO `lang_definitions` VALUES (43036, 12378, 8, '_PC_DUR_HEURES');
INSERT INTO `lang_definitions` VALUES (43037, 12379, 8, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (43038, 12380, 8, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (43039, 12381, 8, '~ Arrivé en retard');
INSERT INTO `lang_definitions` VALUES (43040, 1, 9, 'Un');
INSERT INTO `lang_definitions` VALUES (43041, 2, 9, 'Un numéro de chèque ou un numéro de réclamation pour identifier le paiement.');
INSERT INTO `lang_definitions` VALUES (43042, 4, 9, 'Un certificat du client pour l\'administrateur');
INSERT INTO `lang_definitions` VALUES (43043, 6, 9, 'Un document clinique se trouve en attachement');
INSERT INTO `lang_definitions` VALUES (43044, 7, 9, 'Un document clinique est attaché.');
INSERT INTO `lang_definitions` VALUES (43045, 8, 9, 'Un code semblable est déjà sélectionné.  Veuillez supprimer le contenu champ en premier afin de la remplacer.');
INSERT INTO `lang_definitions` VALUES (43046, 13, 9, 'Un distributeur est requis');
INSERT INTO `lang_definitions` VALUES (43047, 17, 9, 'Un formulaire de visite GCAC doit être ajouté à cette visite');
INSERT INTO `lang_definitions` VALUES (43048, 20, 9, 'Un numéros de lot est requis');
INSERT INTO `lang_definitions` VALUES (43049, 21, 9, 'Un numéro de lot est exigé !');
INSERT INTO `lang_definitions` VALUES (43050, 22, 9, 'Une lettre en minuscule');
INSERT INTO `lang_definitions` VALUES (43051, 28, 9, 'Un nombre');
INSERT INTO `lang_definitions` VALUES (43052, 29, 9, 'Un patient doit être sélectionné afin que ce rapport soit produit.');
INSERT INTO `lang_definitions` VALUES (43053, 30, 9, 'Un patient avec cet identifiant existe déjà.');
INSERT INTO `lang_definitions` VALUES (43054, 31, 9, 'Un patient avec ce nom existe déjà.');
INSERT INTO `lang_definitions` VALUES (43055, 32, 9, 'Un patient avec ce matriculant existe déjà.');
INSERT INTO `lang_definitions` VALUES (43056, 36, 9, 'Une valeur positive montrera autant de rendez-vous antérieurs dans un Widget dans l\'écran du Résumé du Patient (si la valeur est négative, le système affichera les rendez-vous antérieurs en ordre décroissant)');
INSERT INTO `lang_definitions` VALUES (43057, 37, 9, 'Une valeur positive montrera autant de rendez-vous antérieurs dans un Widget dans l\'écran du Résumé du Patient');
INSERT INTO `lang_definitions` VALUES (43058, 43, 9, 'Une source de référence peut être spécifiée pour chaque visite.');
INSERT INTO `lang_definitions` VALUES (43059, 44, 9, 'Le code relatif à IPPF est exigé!');
INSERT INTO `lang_definitions` VALUES (43060, 49, 9, 'Un caractère spécial');
INSERT INTO `lang_definitions` VALUES (43061, 53, 9, 'Une valeur unique afin d\'identifier ce champ, invisible pour l\'utilisateur');
INSERT INTO `lang_definitions` VALUES (43062, 56, 9, 'Une visite existe déjà aujourd\'hui pour ce patient.  Sélectionner Annuler pour ouvrir la visite existante ou Ok pour créer une nouvelle visite.');
INSERT INTO `lang_definitions` VALUES (43063, 57, 9, 'Avant les repas');
INSERT INTO `lang_definitions` VALUES (43064, 58, 9, 'matin');
INSERT INTO `lang_definitions` VALUES (43065, 59, 9, 'A/C{{chambre anterieur}}');
INSERT INTO `lang_definitions` VALUES (43066, 60, 9, 'Fluidité d\'air au niveau de l\'oreille droite');
INSERT INTO `lang_definitions` VALUES (43067, 62, 9, 'AB');
INSERT INTO `lang_definitions` VALUES (43068, 63, 9, 'Abréviation');
INSERT INTO `lang_definitions` VALUES (43069, 64, 9, 'Abcès');
INSERT INTO `lang_definitions` VALUES (43070, 65, 9, 'Abdominal');
INSERT INTO `lang_definitions` VALUES (43071, 66, 9, 'Capable de supporter le poids sur 4 marches:');
INSERT INTO `lang_definitions` VALUES (43072, 67, 9, 'Ano');
INSERT INTO `lang_definitions` VALUES (43073, 68, 9, 'ABN1');
INSERT INTO `lang_definitions` VALUES (43074, 70, 9, 'Anormal');
INSERT INTO `lang_definitions` VALUES (43075, 71, 9, 'Test Sanguin Anormal');
INSERT INTO `lang_definitions` VALUES (43076, 72, 9, 'Croissance anormale des cheveux');
INSERT INTO `lang_definitions` VALUES (43077, 73, 9, 'Mammographie Anormale');
INSERT INTO `lang_definitions` VALUES (43078, 74, 9, 'Abandonner');
INSERT INTO `lang_definitions` VALUES (43079, 75, 9, 'Avortement');
INSERT INTO `lang_definitions` VALUES (43080, 76, 9, 'Problème médical relatif à l\'avortement');
INSERT INTO `lang_definitions` VALUES (43081, 77, 9, 'Méthode d\'avortement');
INSERT INTO `lang_definitions` VALUES (43082, 78, 9, 'Catégories relative à l\'avortement');
INSERT INTO `lang_definitions` VALUES (43083, 79, 9, 'Avortements');
INSERT INTO `lang_definitions` VALUES (43084, 80, 9, 'À propos');
INSERT INTO `lang_definitions` VALUES (43085, 82, 9, 'A propos du calendrier');
INSERT INTO `lang_definitions` VALUES (43086, 84, 9, 'Au-dessus des limites de panique');
INSERT INTO `lang_definitions` VALUES (43087, 85, 9, 'Absence de diagnostique');
INSERT INTO `lang_definitions` VALUES (43088, 87, 9, 'Accepter l\'affectation');
INSERT INTO `lang_definitions` VALUES (43089, 89, 9, 'Accepter le Paiement pour');
INSERT INTO `lang_definitions` VALUES (43090, 90, 9, 'Accepter le Paiement pour');
INSERT INTO `lang_definitions` VALUES (43091, 91, 9, 'Accepte l\'affectation');
INSERT INTO `lang_definitions` VALUES (43092, 93, 9, 'Contrôle d\'accès');
INSERT INTO `lang_definitions` VALUES (43093, 94, 9, 'Liste de contrôle d\'accès administratif');
INSERT INTO `lang_definitions` VALUES (43094, 98, 9, 'Date d\'accès');
INSERT INTO `lang_definitions` VALUES (43095, 102, 9, 'Accès refusé');
INSERT INTO `lang_definitions` VALUES (43096, 103, 9, 'Accès non autorisé');
INSERT INTO `lang_definitions` VALUES (43097, 104, 9, 'Accèdez à vos informations médicales');
INSERT INTO `lang_definitions` VALUES (43098, 105, 9, 'Accédez à votre Portail Patient');
INSERT INTO `lang_definitions` VALUES (43099, 106, 9, 'Accident');
INSERT INTO `lang_definitions` VALUES (43100, 107, 9, 'Compte');
INSERT INTO `lang_definitions` VALUES (43101, 109, 9, 'L\'identifiant du compte fourni pour le service NewCrop eRx, utilisé afin de distinguer les comptes multi-installation');
INSERT INTO `lang_definitions` VALUES (43102, 113, 9, 'Nom du Compte');
INSERT INTO `lang_definitions` VALUES (43103, 114, 9, 'Nom du compte fourni pour le service NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (43104, 115, 9, 'Mot de passe du compte fourni pour le service NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (43105, 117, 9, 'Comptabilité');
INSERT INTO `lang_definitions` VALUES (43106, 121, 9, 'ACD{{profondeur de la chambre anterieur}}');
INSERT INTO `lang_definitions` VALUES (43107, 122, 9, 'Douleurs');
INSERT INTO `lang_definitions` VALUES (43108, 124, 9, 'Acquittement demandé (ISA14)');
INSERT INTO `lang_definitions` VALUES (43109, 125, 9, 'Remerciements, Licence et Accréditation');
INSERT INTO `lang_definitions` VALUES (43110, 126, 9, 'ACL');
INSERT INTO `lang_definitions` VALUES (43111, 127, 9, 'ACL d\'Administration');
INSERT INTO `lang_definitions` VALUES (43112, 129, 9, 'ACL d\'Administration Non Autorisée');
INSERT INTO `lang_definitions` VALUES (43113, 132, 9, 'ACL mis à jour');
INSERT INTO `lang_definitions` VALUES (43114, 133, 9, 'Acné');
INSERT INTO `lang_definitions` VALUES (43115, 136, 9, 'Acte');
INSERT INTO `lang_definitions` VALUES (43116, 137, 9, 'Date d\'Acte');
INSERT INTO `lang_definitions` VALUES (43117, 138, 9, 'Action');
INSERT INTO `lang_definitions` VALUES (43118, 142, 9, 'Actions');
INSERT INTO `lang_definitions` VALUES (43119, 143, 9, 'Activez');
INSERT INTO `lang_definitions` VALUES (43120, 144, 9, 'Activer le Rapport CCR/CCD');
INSERT INTO `lang_definitions` VALUES (43121, 148, 9, 'Effective');
INSERT INTO `lang_definitions` VALUES (43122, 150, 9, 'Alerte Active');
INSERT INTO `lang_definitions` VALUES (43123, 152, 9, 'Règles d\'Alerte Actives');
INSERT INTO `lang_definitions` VALUES (43124, 153, 9, 'Alertes Actives/Rappels');
INSERT INTO `lang_definitions` VALUES (43125, 154, 9, 'Dossier actif');
INSERT INTO `lang_definitions` VALUES (43126, 158, 9, 'Rencontre active');
INSERT INTO `lang_definitions` VALUES (43127, 159, 9, 'Code de problème médical activé');
INSERT INTO `lang_definitions` VALUES (43128, 160, 9, 'Listes actives');
INSERT INTO `lang_definitions` VALUES (43129, 162, 9, 'Patient actif');
INSERT INTO `lang_definitions` VALUES (43130, 163, 9, 'Régimes Actives');
INSERT INTO `lang_definitions` VALUES (43131, 173, 9, 'Activité');
INSERT INTO `lang_definitions` VALUES (43132, 174, 9, 'Type d\'Activité');
INSERT INTO `lang_definitions` VALUES (43133, 176, 9, 'Acuité');
INSERT INTO `lang_definitions` VALUES (43134, 177, 9, 'ACUITÉ');
INSERT INTO `lang_definitions` VALUES (43135, 185, 9, 'Intoxication / Sevrage aigü');
INSERT INTO `lang_definitions` VALUES (43136, 186, 9, 'Manifestation aigüe d\'une condition chronique');
INSERT INTO `lang_definitions` VALUES (43137, 187, 9, 'Maladie Chronique Aiguë');
INSERT INTO `lang_definitions` VALUES (43138, 189, 9, 'Ajouter');
INSERT INTO `lang_definitions` VALUES (43139, 190, 9, 'ajouter');
INSERT INTO `lang_definitions` VALUES (43140, 191, 9, 'Ajouter');
INSERT INTO `lang_definitions` VALUES (43141, 192, 9, 'Ajouter une Campanie d\'assurance');
INSERT INTO `lang_definitions` VALUES (43142, 197, 9, 'Ajouter une Pharmacie');
INSERT INTO `lang_definitions` VALUES (43143, 200, 9, 'Ajouter un événement pour');
INSERT INTO `lang_definitions` VALUES (43144, 202, 9, 'Ajouter une note');
INSERT INTO `lang_definitions` VALUES (43145, 203, 9, 'Ajouter en tant que nouveau');
INSERT INTO `lang_definitions` VALUES (43146, 206, 9, 'Boutons Ajout');
INSERT INTO `lang_definitions` VALUES (43147, 207, 9, 'Boutons Ajouter pour les caractères spéciaux, Textes devant figurer en haut de l\'éditeur à inclure dans le texte suite à un Clic');
INSERT INTO `lang_definitions` VALUES (43148, 208, 9, 'Ajouter une Catégorie');
INSERT INTO `lang_definitions` VALUES (43149, 209, 9, 'Ajouter une Constante');
INSERT INTO `lang_definitions` VALUES (43150, 210, 9, 'Ajouter un Contexte');
INSERT INTO `lang_definitions` VALUES (43151, 211, 9, 'Insérer un co-payeur');
INSERT INTO `lang_definitions` VALUES (43152, 212, 9, 'Ajouter un Critère');
INSERT INTO `lang_definitions` VALUES (43153, 213, 9, 'Ajouter un Bouton Personnalisé');
INSERT INTO `lang_definitions` VALUES (43154, 216, 9, 'Ajouter un Diagnostic');
INSERT INTO `lang_definitions` VALUES (43155, 217, 9, 'Ajouter un Médicament');
INSERT INTO `lang_definitions` VALUES (43156, 220, 9, 'Ajouter un rendez-vous');
INSERT INTO `lang_definitions` VALUES (43157, 221, 9, 'Ajouter Notes/rendez-vous');
INSERT INTO `lang_definitions` VALUES (43158, 222, 9, 'Ajouter un équipement médical');
INSERT INTO `lang_definitions` VALUES (43159, 223, 9, 'Ajouter un domaine');
INSERT INTO `lang_definitions` VALUES (43160, 224, 9, 'Ajouter les lignes suivantes au fichier de configuration du serveur Apache');
INSERT INTO `lang_definitions` VALUES (43161, 225, 9, 'Ajouter un Groupe');
INSERT INTO `lang_definitions` VALUES (43162, 227, 9, 'Ajouter le code ICD');
INSERT INTO `lang_definitions` VALUES (43163, 228, 9, 'Ajouter une vaccination');
INSERT INTO `lang_definitions` VALUES (43164, 229, 9, 'L\'ajout n\'est pas permis!');
INSERT INTO `lang_definitions` VALUES (43165, 230, 9, 'Ajouter un problème médical');
INSERT INTO `lang_definitions` VALUES (43166, 231, 9, 'Ajouter un élément à suivre');
INSERT INTO `lang_definitions` VALUES (43167, 232, 9, 'Ajouter une langue');
INSERT INTO `lang_definitions` VALUES (43168, 238, 9, 'Ajouter du nouveau');
INSERT INTO `lang_definitions` VALUES (43169, 239, 9, 'Ajouter du nouveau');
INSERT INTO `lang_definitions` VALUES (43170, 240, 9, 'Ajouter une nouvelle catégorie:');
INSERT INTO `lang_definitions` VALUES (43171, 241, 9, 'Ajouter les nouveaux certificats au fichier de configuration du serveur Apache');
INSERT INTO `lang_definitions` VALUES (43172, 242, 9, 'Ajouter un nouveau composant');
INSERT INTO `lang_definitions` VALUES (43173, 243, 9, 'Ajouter des nouveaux composants');
INSERT INTO `lang_definitions` VALUES (43174, 249, 9, 'Ajouter un Nouveau Groupe');
INSERT INTO `lang_definitions` VALUES (43175, 250, 9, 'Ajouter un nouveau problème clinique');
INSERT INTO `lang_definitions` VALUES (43176, 251, 9, 'Ajouter un nouveau lot et transaction');
INSERT INTO `lang_definitions` VALUES (43177, 253, 9, 'Ajouter une nouvelle note');
INSERT INTO `lang_definitions` VALUES (43178, 254, 9, 'Ajouter une nouvelle note');
INSERT INTO `lang_definitions` VALUES (43179, 255, 9, 'Ajouter un nouveau Partenaire');
INSERT INTO `lang_definitions` VALUES (43180, 256, 9, 'Ajouter un nouveau patient');
INSERT INTO `lang_definitions` VALUES (43181, 257, 9, 'AJOUTER UN NOUVEAU PLAN');
INSERT INTO `lang_definitions` VALUES (43182, 264, 9, 'Ajouter une note');
INSERT INTO `lang_definitions` VALUES (43183, 268, 9, 'Ajouter une fiche Patient');
INSERT INTO `lang_definitions` VALUES (43184, 269, 9, 'Ajouter une préscription');
INSERT INTO `lang_definitions` VALUES (43185, 270, 9, 'Ajouter une procédure');
INSERT INTO `lang_definitions` VALUES (43186, 271, 9, 'Ajouter le numéro du prestataire');
INSERT INTO `lang_definitions` VALUES (43187, 273, 9, 'Ajouter une cure de désintoxication');
INSERT INTO `lang_definitions` VALUES (43188, 274, 9, 'Ajouter une règle');
INSERT INTO `lang_definitions` VALUES (43189, 277, 9, 'Ajouter à');
INSERT INTO `lang_definitions` VALUES (43190, 281, 9, 'Ajouter à la Listes des Médicaments');
INSERT INTO `lang_definitions` VALUES (43191, 282, 9, 'Ajouter le Niveau Supérieur');
INSERT INTO `lang_definitions` VALUES (43192, 283, 9, 'Ajouter une Transaction');
INSERT INTO `lang_definitions` VALUES (43193, 284, 9, 'Ajouter un Utilisateur');
INSERT INTO `lang_definitions` VALUES (43194, 285, 9, 'Ajouter un Utilisateur au Groupe');
INSERT INTO `lang_definitions` VALUES (43195, 286, 9, 'Ajouter');
INSERT INTO `lang_definitions` VALUES (43196, 287, 9, 'Ajouter/Editer eRx');
INSERT INTO `lang_definitions` VALUES (43197, 289, 9, 'Ajouter/Editer la Transaction du Patient');
INSERT INTO `lang_definitions` VALUES (43198, 290, 9, 'Ajouté');
INSERT INTO `lang_definitions` VALUES (43199, 293, 9, 'L\'ajout de données démographiques n\'est pas autorisé');
INSERT INTO `lang_definitions` VALUES (43200, 294, 9, 'Échec d\'ajout d\'un élément à suivre');
INSERT INTO `lang_definitions` VALUES (43201, 295, 9, 'Syndrome d\'Addison');
INSERT INTO `lang_definitions` VALUES (43202, 296, 9, 'Syndrome d\'Addison');
INSERT INTO `lang_definitions` VALUES (43203, 297, 9, 'Attributs supplémentaires');
INSERT INTO `lang_definitions` VALUES (43204, 300, 9, 'Diagnostique supplémentaire');
INSERT INTO `lang_definitions` VALUES (43205, 305, 9, 'Antécédent supplémentaire');
INSERT INTO `lang_definitions` VALUES (43206, 306, 9, 'Notes d\'antécédent(s) supplémentaire(s)');
INSERT INTO `lang_definitions` VALUES (43207, 307, 9, 'Information complémentaire');
INSERT INTO `lang_definitions` VALUES (43208, 310, 9, 'Laboratoires supplémentaires');
INSERT INTO `lang_definitions` VALUES (43209, 311, 9, 'Notes supplémentaires');
INSERT INTO `lang_definitions` VALUES (43210, 313, 9, 'Notes complémentaires / Recommendation pour ce résultat');
INSERT INTO `lang_definitions` VALUES (43211, 314, 9, 'Notes supplémentaires:');
INSERT INTO `lang_definitions` VALUES (43212, 315, 9, 'Notes supplémentaires:');
INSERT INTO `lang_definitions` VALUES (43213, 317, 9, 'Radiographies supplémentaires:');
INSERT INTO `lang_definitions` VALUES (43214, 318, 9, 'De plus, le composant US Snomed Extension correspondant peut être importé séparément après avoir installé la version internationale de la mise à jour Snomed (version anglaise)');
INSERT INTO `lang_definitions` VALUES (43215, 320, 9, 'Ajouter seulement');
INSERT INTO `lang_definitions` VALUES (43216, 322, 9, 'Carnet d\'adresses');
INSERT INTO `lang_definitions` VALUES (43217, 323, 9, 'Carnet d\'adresses');
INSERT INTO `lang_definitions` VALUES (43218, 324, 9, 'Adresse');
INSERT INTO `lang_definitions` VALUES (43219, 325, 9, 'Adresse et Code Postal');
INSERT INTO `lang_definitions` VALUES (43220, 326, 9, 'Adresse et Province');
INSERT INTO `lang_definitions` VALUES (43221, 327, 9, 'Carnet d\'adresses');
INSERT INTO `lang_definitions` VALUES (43222, 328, 9, 'Entrée au carnet d\'adresses pour la compagnie réalisant cette procédure');
INSERT INTO `lang_definitions` VALUES (43223, 329, 9, 'Entrée au carnet d\'adresses pour le distributeur');
INSERT INTO `lang_definitions` VALUES (43224, 330, 9, 'Entrée au carnet d\'adresses pour le vendeur');
INSERT INTO `lang_definitions` VALUES (43225, 331, 9, 'Type de carnet d\'adresse');
INSERT INTO `lang_definitions` VALUES (43226, 332, 9, 'Étiquette d\'adresse');
INSERT INTO `lang_definitions` VALUES (43227, 333, 9, 'Étiquettes d\'adresse');
INSERT INTO `lang_definitions` VALUES (43228, 336, 9, 'Adresse seulement');
INSERT INTO `lang_definitions` VALUES (43229, 338, 9, 'Adresse, Province et Code Postal');
INSERT INTO `lang_definitions` VALUES (43230, 339, 9, 'Adresse 1');
INSERT INTO `lang_definitions` VALUES (43231, 340, 9, 'Adresse 2');
INSERT INTO `lang_definitions` VALUES (43232, 342, 9, 'Destinataire');
INSERT INTO `lang_definitions` VALUES (43233, 345, 9, 'Ajuster');
INSERT INTO `lang_definitions` VALUES (43234, 346, 9, 'Montant Ajusté');
INSERT INTO `lang_definitions` VALUES (43235, 347, 9, 'Ajuster');
INSERT INTO `lang_definitions` VALUES (43236, 348, 9, 'Ajustement');
INSERT INTO `lang_definitions` VALUES (43237, 349, 9, 'Montant de l\'ajustement');
INSERT INTO `lang_definitions` VALUES (43238, 350, 9, 'Raisons de l\'ajustement');
INSERT INTO `lang_definitions` VALUES (43239, 352, 9, 'Valeur de l\'ajustement pour code');
INSERT INTO `lang_definitions` VALUES (43240, 353, 9, 'Ajustements');
INSERT INTO `lang_definitions` VALUES (43241, 354, 9, 'Ajustement administratif');
INSERT INTO `lang_definitions` VALUES (43242, 355, 9, 'Administrateur');
INSERT INTO `lang_definitions` VALUES (43243, 356, 9, 'Adresse mail Administrateur');
INSERT INTO `lang_definitions` VALUES (43244, 357, 9, 'Administrer via');
INSERT INTO `lang_definitions` VALUES (43245, 359, 9, 'Administré');
INSERT INTO `lang_definitions` VALUES (43246, 360, 9, 'Administré par');
INSERT INTO `lang_definitions` VALUES (43247, 361, 9, 'Administré le (date)');
INSERT INTO `lang_definitions` VALUES (43248, 362, 9, 'Administré à (site)');
INSERT INTO `lang_definitions` VALUES (43249, 363, 9, 'Administration');
INSERT INTO `lang_definitions` VALUES (43250, 365, 9, 'Site d\'administration');
INSERT INTO `lang_definitions` VALUES (43251, 366, 9, 'Administrateurs');
INSERT INTO `lang_definitions` VALUES (43252, 367, 9, 'Les administrateurs ont tous les droits');
INSERT INTO `lang_definitions` VALUES (43253, 368, 9, 'Date d\'admission');
INSERT INTO `lang_definitions` VALUES (43254, 370, 9, 'Enfant adopté');
INSERT INTO `lang_definitions` VALUES (43255, 371, 9, 'Suivi et Dépistage du poids pour Adulte');
INSERT INTO `lang_definitions` VALUES (43256, 372, 9, 'Suivi et Dépistage du poids pour Adulte (CQM)');
INSERT INTO `lang_definitions` VALUES (43257, 373, 9, 'Directive préalable');
INSERT INTO `lang_definitions` VALUES (43258, 374, 9, 'Directives préalables');
INSERT INTO `lang_definitions` VALUES (43259, 375, 9, 'Avertissement de directives anticipées');
INSERT INTO `lang_definitions` VALUES (43260, 376, 9, 'Paramètres avancés');
INSERT INTO `lang_definitions` VALUES (43261, 377, 9, 'Avancé');
INSERT INTO `lang_definitions` VALUES (43262, 380, 9, 'Conseil');
INSERT INTO `lang_definitions` VALUES (43263, 381, 9, 'de loin');
INSERT INTO `lang_definitions` VALUES (43264, 382, 9, 'Affecte Normale');
INSERT INTO `lang_definitions` VALUES (43265, 383, 9, 'Afrikaans');
INSERT INTO `lang_definitions` VALUES (43266, 386, 9, 'Appels hors des heures de travail');
INSERT INTO `lang_definitions` VALUES (43267, 387, 9, 'Suite à la migration des méchanismes antérieurs selon lesquels les mots de passe sont stockés dans la table des utilisateurs sans sel est complet, ce témoin devrait être configuré à Faux de sort que seule l\'authentification par le nouveau mécanisme est possible.');
INSERT INTO `lang_definitions` VALUES (43268, 388, 9, 'Après avoir réalisé les configurations mentionnées, importer le certificat du client administré dans le navigateur puis redémarrer le serveur Apache (mot de passe vide)');
INSERT INTO `lang_definitions` VALUES (43269, 390, 9, 'Après avoir enregistré le PDF, cliquer [view log] pour verifier d\'éventuelles erreurs');
INSERT INTO `lang_definitions` VALUES (43270, 393, 9, 'Après avoir enregistré les fichiers TEXT, cliquer [view log] pour verifier d\'éventuelles erreurs');
INSERT INTO `lang_definitions` VALUES (43271, 396, 9, 'Après avoir enregistré votre fichier séquentiel (batch), cliquer sur [View Log], pour vérifier d\'éventuelles erreurs.');
INSERT INTO `lang_definitions` VALUES (43272, 399, 9, 'Après avoir correctement entrer les informations, cliquer sur le bouton d\'enregistrement.');
INSERT INTO `lang_definitions` VALUES (43273, 400, 9, 'Après avoir téléchargé, sélectionner \"Importer\"');
INSERT INTO `lang_definitions` VALUES (43274, 404, 9, 'Planification du suivi post-soins');
INSERT INTO `lang_definitions` VALUES (43275, 406, 9, 'Encore');
INSERT INTO `lang_definitions` VALUES (43276, 407, 9, 'Age');
INSERT INTO `lang_definitions` VALUES (43277, 409, 9, 'Age par');
INSERT INTO `lang_definitions` VALUES (43278, 410, 9, 'Catégorie d\'âge');
INSERT INTO `lang_definitions` VALUES (43279, 411, 9, 'Données concernant l\'âge sont erronées');
INSERT INTO `lang_definitions` VALUES (43280, 412, 9, 'Format de l\'affichage de l\'âge');
INSERT INTO `lang_definitions` VALUES (43281, 413, 9, 'Le format pour \"âge à partir de\" est invalide');
INSERT INTO `lang_definitions` VALUES (43282, 414, 9, 'Le format pour \"âge jusqu\'à\" est invalide');
INSERT INTO `lang_definitions` VALUES (43283, 415, 9, 'Age à partir de');
INSERT INTO `lang_definitions` VALUES (43284, 416, 9, 'Âge en années pour le changement de format d\'affichage');
INSERT INTO `lang_definitions` VALUES (43285, 417, 9, 'Age maximum');
INSERT INTO `lang_definitions` VALUES (43286, 418, 9, 'Age minimum');
INSERT INTO `lang_definitions` VALUES (43287, 419, 9, 'Tranche d\'âge');
INSERT INTO `lang_definitions` VALUES (43288, 421, 9, 'Aciennes Colonnes:');
INSERT INTO `lang_definitions` VALUES (43289, 423, 9, 'Albanais(e)');
INSERT INTO `lang_definitions` VALUES (43290, 424, 9, 'Alcool');
INSERT INTO `lang_definitions` VALUES (43291, 425, 9, 'Consommation d\'Alcool');
INSERT INTO `lang_definitions` VALUES (43292, 426, 9, 'Usage de produits alcoolisés');
INSERT INTO `lang_definitions` VALUES (43293, 428, 9, 'Nombre d\'alerte');
INSERT INTO `lang_definitions` VALUES (43294, 435, 9, 'Alerts');
INSERT INTO `lang_definitions` VALUES (43295, 440, 9, 'Tout/ Toutes');
INSERT INTO `lang_definitions` VALUES (43296, 441, 9, 'Tout/ Toutes');
INSERT INTO `lang_definitions` VALUES (43297, 443, 9, 'Tous (Assemblage Format A)');
INSERT INTO `lang_definitions` VALUES (43298, 444, 9, 'Tous (Assemblage Format B)');
INSERT INTO `lang_definitions` VALUES (43299, 445, 9, 'Tous (Cumulative)');
INSERT INTO `lang_definitions` VALUES (43300, 448, 9, 'Toutes catégories');
INSERT INTO `lang_definitions` VALUES (43301, 450, 9, 'Tous codes');
INSERT INTO `lang_definitions` VALUES (43302, 453, 9, 'Tout au long de la journée');
INSERT INTO `lang_definitions` VALUES (43303, 454, 9, 'Evénement durant toute la journée');
INSERT INTO `lang_definitions` VALUES (43304, 455, 9, 'Tout les champs démographiques, avec recherche et vérification des doublons');
INSERT INTO `lang_definitions` VALUES (43305, 457, 9, 'Tous les équipements/ installations');
INSERT INTO `lang_definitions` VALUES (43306, 458, 9, 'Toutes les Blessures/Problèmes');
INSERT INTO `lang_definitions` VALUES (43307, 459, 9, 'Toutes langues autorisées');
INSERT INTO `lang_definitions` VALUES (43308, 462, 9, 'Tout ou une partie du prénom');
INSERT INTO `lang_definitions` VALUES (43309, 463, 9, 'Tout ou une partie du nom de famille');
INSERT INTO `lang_definitions` VALUES (43310, 464, 9, 'Tout ou une partie de l\'entreprise');
INSERT INTO `lang_definitions` VALUES (43311, 466, 9, 'Tous les patients');
INSERT INTO `lang_definitions` VALUES (43312, 468, 9, 'Tous produits');
INSERT INTO `lang_definitions` VALUES (43313, 469, 9, 'Tous fournisseurs');
INSERT INTO `lang_definitions` VALUES (43314, 470, 9, 'Tous examinés et négatifs:');
INSERT INTO `lang_definitions` VALUES (43315, 475, 9, 'Tous sujets');
INSERT INTO `lang_definitions` VALUES (43316, 478, 9, 'Tous les utilisateurs');
INSERT INTO `lang_definitions` VALUES (43317, 479, 9, 'Allergique');
INSERT INTO `lang_definitions` VALUES (43318, 481, 9, 'Allergies');
INSERT INTO `lang_definitions` VALUES (43319, 484, 9, 'Allergies:');
INSERT INTO `lang_definitions` VALUES (43320, 485, 9, 'Allergie');
INSERT INTO `lang_definitions` VALUES (43321, 486, 9, 'Importation des allergies complété avec succès');
INSERT INTO `lang_definitions` VALUES (43322, 487, 9, 'Liste des problèmes reliés aux allergies');
INSERT INTO `lang_definitions` VALUES (43323, 488, 9, 'Réaction allergique');
INSERT INTO `lang_definitions` VALUES (43324, 490, 9, 'Alerte Allergie');
INSERT INTO `lang_definitions` VALUES (43325, 491, 9, 'Affecter');
INSERT INTO `lang_definitions` VALUES (43326, 492, 9, 'Autoriser');
INSERT INTO `lang_definitions` VALUES (43327, 494, 9, 'Autoriser toutes les langues disponibles en option dans le menu lors de l\'ouverture de session');
INSERT INTO `lang_definitions` VALUES (43328, 496, 9, 'Autoriser la creation de demandes d\'indémnisation contenant les diagnostiques mais non les procedures ou les frais. La majorité des cliniques y sont réticentes.');
INSERT INTO `lang_definitions` VALUES (43329, 497, 9, 'Autoriser le langage de débogage');
INSERT INTO `lang_definitions` VALUES (43330, 500, 9, 'Autoriser les e-mails');
INSERT INTO `lang_definitions` VALUES (43331, 501, 9, 'Autoriser les messages e-mails ?');
INSERT INTO `lang_definitions` VALUES (43332, 502, 9, 'Autoriser les e-mails ?');
INSERT INTO `lang_definitions` VALUES (43333, 503, 9, 'Autoriser les Réclamations de Rencontre');
INSERT INTO `lang_definitions` VALUES (43334, 506, 9, 'Autoriser l\'échange d\'information médicale');
INSERT INTO `lang_definitions` VALUES (43335, 508, 9, 'Autoriser le partage d\'information d\'immunisation');
INSERT INTO `lang_definitions` VALUES (43336, 509, 9, 'Autorise l\'utilisation du registre d\'immunisation');
INSERT INTO `lang_definitions` VALUES (43337, 512, 9, 'Autoriser les courriers');
INSERT INTO `lang_definitions` VALUES (43338, 533, 9, 'Autoriser le Portail Patient');
INSERT INTO `lang_definitions` VALUES (43339, 541, 9, 'Autoriser les SMS');
INSERT INTO `lang_definitions` VALUES (43340, 542, 9, 'Autoriser les SMS (textos) ?');
INSERT INTO `lang_definitions` VALUES (43341, 544, 9, 'Autoriser l\'activation instantanée des événements proposés ?');
INSERT INTO `lang_definitions` VALUES (43342, 545, 9, 'Autoriser les messages téléphoniques ?');
INSERT INTO `lang_definitions` VALUES (43343, 547, 9, 'Autoriser les utilisateurs de publier des Evénements Globaux');
INSERT INTO `lang_definitions` VALUES (43344, 548, 9, 'Autoriser les utilisateurs à publier des calendriers personnels');
INSERT INTO `lang_definitions` VALUES (43345, 554, 9, 'Autoriser les messages vocaux');
INSERT INTO `lang_definitions` VALUES (43346, 555, 9, 'Autorisé');
INSERT INTO `lang_definitions` VALUES (43347, 556, 9, 'Langues autorisées');
INSERT INTO `lang_definitions` VALUES (43348, 558, 9, 'Autorisé (c)');
INSERT INTO `lang_definitions` VALUES (43349, 559, 9, 'Permet le E-Sign pour toute la consultation');
INSERT INTO `lang_definitions` VALUES (43350, 560, 9, 'Permet le E-Sign pour les formulaires individuels');
INSERT INTO `lang_definitions` VALUES (43351, 561, 9, 'Permet le courrier');
INSERT INTO `lang_definitions` VALUES (43352, 562, 9, 'Permet les messages vocaux');
INSERT INTO `lang_definitions` VALUES (43353, 566, 9, 'existe déjà');
INSERT INTO `lang_definitions` VALUES (43354, 568, 9, 'existe déjà.');
INSERT INTO `lang_definitions` VALUES (43355, 570, 9, 'Déjà utilisé, veuillez choisir un autre identifiant');
INSERT INTO `lang_definitions` VALUES (43356, 571, 9, 'Déjà utilisé, veuillez choisir un autre titre');
INSERT INTO `lang_definitions` VALUES (43357, 573, 9, 'Adresse secondaire');
INSERT INTO `lang_definitions` VALUES (43358, 577, 9, 'modifier');
INSERT INTO `lang_definitions` VALUES (43359, 584, 9, 'Alternativement, vous pouvez utiliser la page de recherche pour transférer une remise électronique (X12 835) du fichier que vous avez obtenu à partir de votre payeur ou chambre de compensation. Vous pouvez le faire en cliquant sur le bouton Parcourir et sélectionner le fichier à télécharger, puis en cliquant sur Rechercher pour effectuer le téléchargement et l\'affichage des factures correspondantes. Dans ce cas, les autres paramètres mentionnés ci-dessus ne s\'appliquent pas et sera ignoré. Téléchargement enregistre le fichier mais n\'a pas encore traiter son contenu - ce qui est fait séparément comme décrit ci-dessous.');
INSERT INTO `lang_definitions` VALUES (43360, 586, 9, 'AM');
INSERT INTO `lang_definitions` VALUES (43361, 587, 9, 'Programme Matinal');
INSERT INTO `lang_definitions` VALUES (43362, 593, 9, 'Suivi AMC');
INSERT INTO `lang_definitions` VALUES (43363, 600, 9, 'Modifier la note existante');
INSERT INTO `lang_definitions` VALUES (43364, 610, 9, 'Indien d\'Amérique');
INSERT INTO `lang_definitions` VALUES (43365, 611, 9, 'Indiens d\'Amérique ou autochtones d\'Alaska');
INSERT INTO `lang_definitions` VALUES (43366, 612, 9, 'AMEX');
INSERT INTO `lang_definitions` VALUES (43367, 613, 9, 'Amharique');
INSERT INTO `lang_definitions` VALUES (43368, 614, 9, 'Montant');
INSERT INTO `lang_definitions` VALUES (43369, 617, 9, 'Montant des frais');
INSERT INTO `lang_definitions` VALUES (43370, 620, 9, 'Montant du solde précédent');
INSERT INTO `lang_definitions` VALUES (43371, 621, 9, 'Montant pour cette visite');
INSERT INTO `lang_definitions` VALUES (43372, 622, 9, 'Montant payé');
INSERT INTO `lang_definitions` VALUES (43373, 623, 9, 'Montant:');
INSERT INTO `lang_definitions` VALUES (43374, 626, 9, 'Montant facturé');
INSERT INTO `lang_definitions` VALUES (43375, 630, 9, 'Une date de fin ultérieure à la date de début est requise pour des événements répétés!');
INSERT INTO `lang_definitions` VALUES (43376, 631, 9, 'Une erreur s\'est produite à la signature du formulaire');
INSERT INTO `lang_definitions` VALUES (43377, 632, 9, 'Une erreur est survenue durant le vidage de l\'arborescence du répertoire web OpenEMR');
INSERT INTO `lang_definitions` VALUES (43378, 633, 9, 'Une erreur est survenue durant le vidage de l\'arborescence du répertoire web phpGACL');
INSERT INTO `lang_definitions` VALUES (43379, 634, 9, 'Une erreur est survenue durant le vidage de l\'arborescence du répertoire web SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (43380, 638, 9, 'Une édition incomplète de GCAC a été crée et reliée. Elle devra être complétée plus tard.');
INSERT INTO `lang_definitions` VALUES (43381, 644, 9, 'Une erreur inattendue s\'est produite.');
INSERT INTO `lang_definitions` VALUES (43382, 646, 9, 'Une lettre majuscule');
INSERT INTO `lang_definitions` VALUES (43383, 648, 9, 'et');
INSERT INTO `lang_definitions` VALUES (43384, 649, 9, 'Et');
INSERT INTO `lang_definitions` VALUES (43385, 650, 9, 'ET');
INSERT INTO `lang_definitions` VALUES (43386, 651, 9, 'et');
INSERT INTO `lang_definitions` VALUES (43387, 652, 9, 'et tous les données secondaires? Cette action sera enregistrée');
INSERT INTO `lang_definitions` VALUES (43388, 653, 9, 'et modificateur');
INSERT INTO `lang_definitions` VALUES (43389, 654, 9, 'et traité.');
INSERT INTO `lang_definitions` VALUES (43390, 656, 9, 'et redémarrer le serveur Apache.');
INSERT INTO `lang_definitions` VALUES (43391, 657, 9, 'et la raison est');
INSERT INTO `lang_definitions` VALUES (43392, 659, 9, 'Anémie');
INSERT INTO `lang_definitions` VALUES (43393, 660, 9, 'Cheville');
INSERT INTO `lang_definitions` VALUES (43394, 661, 9, 'Cheville + Talon');
INSERT INTO `lang_definitions` VALUES (43395, 662, 9, 'Formulaire d\'évalution de cheville');
INSERT INTO `lang_definitions` VALUES (43396, 663, 9, 'Problèmes de cheville');
INSERT INTO `lang_definitions` VALUES (43397, 664, 9, 'Spondylarthrite Ankylosante');
INSERT INTO `lang_definitions` VALUES (43398, 665, 9, 'Spondylarthrite Ankylosante');
INSERT INTO `lang_definitions` VALUES (43399, 666, 9, 'Anorexie');
INSERT INTO `lang_definitions` VALUES (43400, 667, 9, 'Une autre manipulation possible dans la fenêtre affichée est la demande d\'une seconde facturation. Si vous cocher cette case avant d\'enregistrer, alors la demande originale sera ré ouverte, ajoutée à la page de facturation et exécutée lors de la prochaine échéance.');
INSERT INTO `lang_definitions` VALUES (43401, 671, 9, 'avant');
INSERT INTO `lang_definitions` VALUES (43402, 676, 9, 'Anus normal, sans tendreté/masse rectale');
INSERT INTO `lang_definitions` VALUES (43403, 677, 9, 'Anxiété');
INSERT INTO `lang_definitions` VALUES (43404, 679, 9, 'N\'importe quel(le) / Tout(e)');
INSERT INTO `lang_definitions` VALUES (43405, 682, 9, 'Toute catégorie');
INSERT INTO `lang_definitions` VALUES (43406, 688, 9, 'Toute partie du code désiré ou sa description');
INSERT INTO `lang_definitions` VALUES (43407, 689, 9, 'Toute partie de le spécialité désirée');
INSERT INTO `lang_definitions` VALUES (43408, 690, 9, 'Toute partie de l\'identification ou du nom du médicament');
INSERT INTO `lang_definitions` VALUES (43409, 691, 9, 'Toute partie de l’identification ou du nom d\'immunisation');
INSERT INTO `lang_definitions` VALUES (43410, 692, 9, 'Toute partie du nom du patient, ou \"nom, prénom\", ou \"X-Y\"');
INSERT INTO `lang_definitions` VALUES (43411, 693, 9, 'Toute autre information pertinente');
INSERT INTO `lang_definitions` VALUES (43412, 699, 9, 'Clé API pour le relais SMS');
INSERT INTO `lang_definitions` VALUES (43413, 703, 9, 'Apnée');
INSERT INTO `lang_definitions` VALUES (43414, 710, 9, 'Apparence');
INSERT INTO `lang_definitions` VALUES (43415, 711, 9, 'Apparence:');
INSERT INTO `lang_definitions` VALUES (43416, 714, 9, 'Ajouter cette note');
INSERT INTO `lang_definitions` VALUES (43417, 716, 9, 'Ajouter à la note existante');
INSERT INTO `lang_definitions` VALUES (43418, 717, 9, 'Ajouter à cette note');
INSERT INTO `lang_definitions` VALUES (43419, 718, 9, 'Ajouter à Cette Note');
INSERT INTO `lang_definitions` VALUES (43420, 719, 9, 'Appendicectomie');
INSERT INTO `lang_definitions` VALUES (43421, 720, 9, 'appendicectomie');
INSERT INTO `lang_definitions` VALUES (43422, 721, 9, 'Les patients concernés');
INSERT INTO `lang_definitions` VALUES (43423, 722, 9, 'Application');
INSERT INTO `lang_definitions` VALUES (43424, 723, 9, 'Nom utilisateur pour la page d’accès et titre de fenêtre principale');
INSERT INTO `lang_definitions` VALUES (43425, 724, 9, 'Code Application receveur (GS03 - si vide ISA08 sera utilisé)');
INSERT INTO `lang_definitions` VALUES (43426, 725, 9, 'Code Application émettrice (GS02)');
INSERT INTO `lang_definitions` VALUES (43427, 726, 9, 'Titre de l\'Application');
INSERT INTO `lang_definitions` VALUES (43428, 727, 9, 'S\'applique au formulaire des Fonctions Vitaux et de la Courbe de Croissance');
INSERT INTO `lang_definitions` VALUES (43429, 728, 9, 'S\'applique au formulaire des fonctions vitales');
INSERT INTO `lang_definitions` VALUES (43430, 729, 9, 'Appliquer les changements seulement à l’événement actuel, à celui ci ainsi qu\'aux futurs événements, ou à tous les événements ?');
INSERT INTO `lang_definitions` VALUES (43431, 730, 9, 'Appliquer à la section désignée');
INSERT INTO `lang_definitions` VALUES (43432, 731, 9, 'appliquer sur la peau');
INSERT INTO `lang_definitions` VALUES (43433, 732, 9, 'Application');
INSERT INTO `lang_definitions` VALUES (43434, 733, 9, 'Application de la rustine au site');
INSERT INTO `lang_definitions` VALUES (43435, 734, 9, 'Rendez-vous');
INSERT INTO `lang_definitions` VALUES (43436, 736, 9, 'Date de rendez-vous');
INSERT INTO `lang_definitions` VALUES (43437, 742, 9, 'Style d\'affichage des Rendez-vous');
INSERT INTO `lang_definitions` VALUES (43438, 744, 9, 'Règle de rappel de rendez-vous');
INSERT INTO `lang_definitions` VALUES (43439, 746, 9, 'Statut du rendez-vous');
INSERT INTO `lang_definitions` VALUES (43440, 747, 9, 'Statuts du rendez-vous');
INSERT INTO `lang_definitions` VALUES (43441, 748, 9, 'Rendez-vous dans');
INSERT INTO `lang_definitions` VALUES (43442, 749, 9, 'Couleur d\'Evénement/Rendez-vous');
INSERT INTO `lang_definitions` VALUES (43443, 750, 9, 'Des Rendez-vous');
INSERT INTO `lang_definitions` VALUES (43444, 751, 9, 'Rendez-vous (option d\'écriture)');
INSERT INTO `lang_definitions` VALUES (43445, 758, 9, 'Rendez-vous et Rencontres');
INSERT INTO `lang_definitions` VALUES (43446, 760, 9, 'Rapport des Rendez-vous');
INSERT INTO `lang_definitions` VALUES (43447, 761, 9, 'Rapport des Rencontres et Rendez-vous');
INSERT INTO `lang_definitions` VALUES (43448, 763, 9, 'Évaluation appropriée pour les enfants ayant contracté la pharyngite (Mesures de qualité clinique)');
INSERT INTO `lang_definitions` VALUES (43449, 764, 9, 'Approuver');
INSERT INTO `lang_definitions` VALUES (43450, 766, 9, 'Approuver le patient à partir de Patient/Client->Importer->En attente d\'approbation');
INSERT INTO `lang_definitions` VALUES (43451, 767, 9, 'Approuvé');
INSERT INTO `lang_definitions` VALUES (43452, 768, 9, 'Evénements administratifs approuvés');
INSERT INTO `lang_definitions` VALUES (43453, 769, 9, 'Approuvé avec succès');
INSERT INTO `lang_definitions` VALUES (43454, 774, 9, 'RDV-Visite');
INSERT INTO `lang_definitions` VALUES (43455, 776, 9, 'RDVs');
INSERT INTO `lang_definitions` VALUES (43456, 779, 9, 'Avr.');
INSERT INTO `lang_definitions` VALUES (43457, 780, 9, 'Avril');
INSERT INTO `lang_definitions` VALUES (43458, 782, 9, 'Arabe');
INSERT INTO `lang_definitions` VALUES (43459, 783, 9, 'Aragonais');
INSERT INTO `lang_definitions` VALUES (43460, 784, 9, 'Archive');
INSERT INTO `lang_definitions` VALUES (43461, 787, 9, 'les noms du groupe de contrôle doivent ils être traduits ?');
INSERT INTO `lang_definitions` VALUES (43462, 788, 9, 'Les noms de catégorie de rendez vous doivent ils être traduits ?');
INSERT INTO `lang_definitions` VALUES (43463, 789, 9, 'Les noms de catégorie de documents doivent ils être traduits?');
INSERT INTO `lang_definitions` VALUES (43464, 790, 9, 'Des frais sont ils facturés pour ce type ?');
INSERT INTO `lang_definitions` VALUES (43465, 793, 9, 'Les titres des notes des patients doivent ils être traduits?');
INSERT INTO `lang_definitions` VALUES (43466, 794, 9, 'Les codes sont-ils stockés dans des tables sql externes (0-Non, 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2)) ?');
INSERT INTO `lang_definitions` VALUES (43467, 795, 9, 'Etes vous prêt à compléter une nouvelle version GCAC pour cette consultation ?');
INSERT INTO `lang_definitions` VALUES (43468, 797, 9, 'Êtes vous certain(e) de faire une inscription aujourd\'hui?');
INSERT INTO `lang_definitions` VALUES (43469, 798, 9, 'Etes vous sur de vouloir valider ces événements ?');
INSERT INTO `lang_definitions` VALUES (43470, 801, 9, 'Etes vous sur de vouloir complètement effacer ce formulaire ?');
INSERT INTO `lang_definitions` VALUES (43471, 804, 9, 'Etes vous sur de vouloir supprimer cet accès ?');
INSERT INTO `lang_definitions` VALUES (43472, 805, 9, 'Etes vous certain de vouloir effacer cet événement ?');
INSERT INTO `lang_definitions` VALUES (43473, 806, 9, 'Etes vous certain de vouloir effacer cet élément de la base de données ?');
INSERT INTO `lang_definitions` VALUES (43474, 808, 9, 'Etes vous certain de vouloir effacer cette note ?');
INSERT INTO `lang_definitions` VALUES (43475, 810, 9, 'Etes vous certain de vouloir éditer ces événements ?');
INSERT INTO `lang_definitions` VALUES (43476, 811, 9, 'Etes vous certain de vouloir masquer ces événements ?');
INSERT INTO `lang_definitions` VALUES (43477, 814, 9, 'Etes vous certain de vouloir voir ces événements ?');
INSERT INTO `lang_definitions` VALUES (43478, 815, 9, 'Etes vous certain de vouloir effacer l\'ensemble du groupe nommé ?');
INSERT INTO `lang_definitions` VALUES (43479, 816, 9, 'Etes vous sur de vouloir effacer l\'ensemble de la liste?');
INSERT INTO `lang_definitions` VALUES (43480, 817, 9, 'Etes vous certain de vouloir de vouloir effacer le champs interne ?');
INSERT INTO `lang_definitions` VALUES (43481, 818, 9, 'Etes vous certain de vouloir effacer les champs sélectionnés ?');
INSERT INTO `lang_definitions` VALUES (43482, 819, 9, 'Etes vous certain de vouloir poursuivre ces actions ?');
INSERT INTO `lang_definitions` VALUES (43483, 820, 9, 'Zone non spécifiée');
INSERT INTO `lang_definitions` VALUES (43484, 821, 9, 'Bras');
INSERT INTO `lang_definitions` VALUES (43485, 822, 9, 'Arménien');
INSERT INTO `lang_definitions` VALUES (43486, 829, 9, 'Arythmie');
INSERT INTO `lang_definitions` VALUES (43487, 830, 9, 'Arthrite');
INSERT INTO `lang_definitions` VALUES (43488, 831, 9, 'Arthrite / arthrose');
INSERT INTO `lang_definitions` VALUES (43489, 832, 9, 'Arthrite / arthrose');
INSERT INTO `lang_definitions` VALUES (43490, 836, 9, 'comme');
INSERT INTO `lang_definitions` VALUES (43491, 838, 9, 'A compter de');
INSERT INTO `lang_definitions` VALUES (43492, 845, 9, 'Asiatique');
INSERT INTO `lang_definitions` VALUES (43493, 848, 9, 'Evaluation');
INSERT INTO `lang_definitions` VALUES (43494, 853, 9, 'Affecté à');
INSERT INTO `lang_definitions` VALUES (43495, 854, 9, 'Assistant');
INSERT INTO `lang_definitions` VALUES (43496, 861, 9, 'Asthme');
INSERT INTO `lang_definitions` VALUES (43497, 862, 9, 'à');
INSERT INTO `lang_definitions` VALUES (43498, 863, 9, 'Au moins un paramètre de recherche est requis si vous sélectionnez tout');
INSERT INTO `lang_definitions` VALUES (43499, 866, 9, 'Au naviculaire');
INSERT INTO `lang_definitions` VALUES (43500, 867, 9, 'Au naviculaire:');
INSERT INTO `lang_definitions` VALUES (43501, 868, 9, 'Equipe d\'Athlétisme');
INSERT INTO `lang_definitions` VALUES (43502, 870, 9, 'Blessure sportive');
INSERT INTO `lang_definitions` VALUES (43503, 871, 9, 'Certificat CA d’audit ATNA');
INSERT INTO `lang_definitions` VALUES (43504, 872, 9, 'Hôte d\'audit ATNA');
INSERT INTO `lang_definitions` VALUES (43505, 873, 9, 'Certificat local d\'audit ATNA');
INSERT INTO `lang_definitions` VALUES (43506, 874, 9, 'Port d\'audit ATNA');
INSERT INTO `lang_definitions` VALUES (43507, 877, 9, 'Attention');
INSERT INTO `lang_definitions` VALUES (43508, 879, 9, 'Attention');
INSERT INTO `lang_definitions` VALUES (43509, 890, 9, 'Sauvegardes des journaux d\'Audit');
INSERT INTO `lang_definitions` VALUES (43510, 891, 9, 'Autres Journalisation d\'Audit');
INSERT INTO `lang_definitions` VALUES (43511, 892, 9, 'Commande de journalisation d\'Audit');
INSERT INTO `lang_definitions` VALUES (43512, 893, 9, 'Journalisation d\'Audit des Enregistrements de Patient');
INSERT INTO `lang_definitions` VALUES (43513, 894, 9, 'Planification de la Journalisation d\'Audit');
INSERT INTO `lang_definitions` VALUES (43514, 895, 9, 'Administration de la Sécurité de la Journalisation d\'Audit');
INSERT INTO `lang_definitions` VALUES (43515, 896, 9, 'Journalisation d\'Audit des requêtes SELECT');
INSERT INTO `lang_definitions` VALUES (43516, 898, 9, 'Août');
INSERT INTO `lang_definitions` VALUES (43517, 899, 9, 'Août');
INSERT INTO `lang_definitions` VALUES (43518, 901, 9, 'Autorisation');
INSERT INTO `lang_definitions` VALUES (43519, 902, 9, 'Autorisation/notes');
INSERT INTO `lang_definitions` VALUES (43520, 922, 9, 'Groupe d\'Autorisation');
INSERT INTO `lang_definitions` VALUES (43521, 924, 9, 'Autorisations');
INSERT INTO `lang_definitions` VALUES (43522, 925, 9, 'Autoriser');
INSERT INTO `lang_definitions` VALUES (43523, 926, 9, 'Autoriser – toutes rencontres');
INSERT INTO `lang_definitions` VALUES (43524, 928, 9, 'Autoriser – mes rencontres');
INSERT INTO `lang_definitions` VALUES (43525, 934, 9, 'Autorisé');
INSERT INTO `lang_definitions` VALUES (43526, 936, 9, 'Autorisé Uniquement');
INSERT INTO `lang_definitions` VALUES (43527, 941, 9, 'Envoi automatique');
INSERT INTO `lang_definitions` VALUES (43528, 944, 9, 'Auto-Création Nouvelles Rencontres');
INSERT INTO `lang_definitions` VALUES (43529, 945, 9, 'Auto-généré');
INSERT INTO `lang_definitions` VALUES (43530, 947, 9, 'Calculs des mesures automatisées (AMC)');
INSERT INTO `lang_definitions` VALUES (43531, 952, 9, 'Suivi des Calculs des mesures automatisées (AMC)');
INSERT INTO `lang_definitions` VALUES (43532, 953, 9, 'Mesures Automatisées (AMC)');
INSERT INTO `lang_definitions` VALUES (43533, 955, 9, 'Automatique');
INSERT INTO `lang_definitions` VALUES (43534, 959, 9, 'Créer automatiquement une nouvelle rencontre lorsque l\'état du rendez-vous est fixé à \"@\" (arrivée).');
INSERT INTO `lang_definitions` VALUES (43535, 962, 9, 'Voiture médicalisée');
INSERT INTO `lang_definitions` VALUES (43536, 964, 9, 'auto-enregistré');
INSERT INTO `lang_definitions` VALUES (43537, 967, 9, 'Catégories Disponibles');
INSERT INTO `lang_definitions` VALUES (43538, 971, 9, 'Horaires Disponibles');
INSERT INTO `lang_definitions` VALUES (43539, 976, 9, 'Moyenne Mensuelle');
INSERT INTO `lang_definitions` VALUES (43540, 980, 9, 'Avulsion / avulsion fracture');
INSERT INTO `lang_definitions` VALUES (43541, 981, 9, 'Avulsion du Malléole latérale');
INSERT INTO `lang_definitions` VALUES (43542, 982, 9, 'Avulsion du Malléole médiale');
INSERT INTO `lang_definitions` VALUES (43543, 983, 9, 'Basées sur la Connaissance');
INSERT INTO `lang_definitions` VALUES (43544, 985, 9, 'Auxiliaire');
INSERT INTO `lang_definitions` VALUES (43545, 992, 9, 'deux fois par jour');
INSERT INTO `lang_definitions` VALUES (43546, 993, 9, 'Derrière');
INSERT INTO `lang_definitions` VALUES (43547, 994, 9, 'derrière');
INSERT INTO `lang_definitions` VALUES (43548, 995, 9, 'Retour huit visites');
INSERT INTO `lang_definitions` VALUES (43549, 996, 9, 'Retour onze visites');
INSERT INTO `lang_definitions` VALUES (43550, 997, 9, 'Retour cinq visites');
INSERT INTO `lang_definitions` VALUES (43551, 998, 9, 'Retour quatre visites');
INSERT INTO `lang_definitions` VALUES (43552, 999, 9, 'Retour neuf visites');
INSERT INTO `lang_definitions` VALUES (43553, 1000, 9, 'Retour une visite');
INSERT INTO `lang_definitions` VALUES (43554, 1001, 9, 'Douleur dorsale');
INSERT INTO `lang_definitions` VALUES (43555, 1002, 9, 'Problèmes de dos');
INSERT INTO `lang_definitions` VALUES (43556, 1003, 9, 'Reporter sept visites');
INSERT INTO `lang_definitions` VALUES (43557, 1004, 9, 'Reporter six visites');
INSERT INTO `lang_definitions` VALUES (43558, 1005, 9, 'Chirurgie du dos');
INSERT INTO `lang_definitions` VALUES (43559, 1006, 9, 'Retour dix visites');
INSERT INTO `lang_definitions` VALUES (43560, 1007, 9, 'Retour trois visites');
INSERT INTO `lang_definitions` VALUES (43561, 1008, 9, 'Retour à la page d\'administration');
INSERT INTO `lang_definitions` VALUES (43562, 1011, 9, 'Retour à la consultation');
INSERT INTO `lang_definitions` VALUES (43563, 1012, 9, 'Retour au Patient');
INSERT INTO `lang_definitions` VALUES (43564, 1013, 9, 'Retour au patient');
INSERT INTO `lang_definitions` VALUES (43565, 1015, 9, 'Retour aux Utilisateurs');
INSERT INTO `lang_definitions` VALUES (43566, 1016, 9, 'Retour à la Vue');
INSERT INTO `lang_definitions` VALUES (43567, 1017, 9, 'Retour douze visites');
INSERT INTO `lang_definitions` VALUES (43568, 1018, 9, 'Retour deux visites');
INSERT INTO `lang_definitions` VALUES (43569, 1019, 9, 'Services d\'arrière-plan');
INSERT INTO `lang_definitions` VALUES (43570, 1020, 9, 'Sauvegarde');
INSERT INTO `lang_definitions` VALUES (43571, 1022, 9, 'Un document de sauvegarde a été créé Le téléchargement va être lancé.');
INSERT INTO `lang_definitions` VALUES (43572, 1023, 9, 'Liste de sauvegarde');
INSERT INTO `lang_definitions` VALUES (43573, 1024, 9, 'Sauvegarde effectuée avec succès');
INSERT INTO `lang_definitions` VALUES (43574, 1025, 9, 'Chèque sans provision');
INSERT INTO `lang_definitions` VALUES (43575, 1026, 9, 'Créances Douteuses');
INSERT INTO `lang_definitions` VALUES (43576, 1027, 9, 'Bahasa Indonésien');
INSERT INTO `lang_definitions` VALUES (43577, 1028, 9, 'Bal');
INSERT INTO `lang_definitions` VALUES (43578, 1031, 9, 'Balance');
INSERT INTO `lang_definitions` VALUES (43579, 1032, 9, 'balance');
INSERT INTO `lang_definitions` VALUES (43580, 1033, 9, 'Montant du solde');
INSERT INTO `lang_definitions` VALUES (43581, 1034, 9, 'Solde dû');
INSERT INTO `lang_definitions` VALUES (43582, 1038, 9, 'Traite');
INSERT INTO `lang_definitions` VALUES (43583, 1039, 9, 'Étiquette code-barres');
INSERT INTO `lang_definitions` VALUES (43584, 1040, 9, 'Type d\'étiquette code-barres');
INSERT INTO `lang_definitions` VALUES (43585, 1041, 9, 'Type de code-barres pour l\'impression d\'étiquettes code-barres à partir des menus locaux dans la fenêtre de navigation gauche.');
INSERT INTO `lang_definitions` VALUES (43586, 1042, 9, 'Base du cinquième (5ème) Métatarsien');
INSERT INTO `lang_definitions` VALUES (43587, 1043, 9, 'Base du cinquième (5ème) Métatarsien:');
INSERT INTO `lang_definitions` VALUES (43588, 1050, 9, 'Réclamation en lot');
INSERT INTO `lang_definitions` VALUES (43589, 1051, 9, 'Outil de communication du lot (batch)');
INSERT INTO `lang_definitions` VALUES (43590, 1053, 9, 'Entrée de Payement du Lot (batch)');
INSERT INTO `lang_definitions` VALUES (43591, 1054, 9, 'Paiements en lot');
INSERT INTO `lang_definitions` VALUES (43592, 1055, 9, 'Traitement du lot (batch) lancé; cela peut prendre du temps.');
INSERT INTO `lang_definitions` VALUES (43593, 1056, 9, 'Résultats du lot (Batch)');
INSERT INTO `lang_definitions` VALUES (43594, 1060, 9, 'Veuillez patienter, certains fichiers peuvent prendre plusieurs minutes à traiter!');
INSERT INTO `lang_definitions` VALUES (43595, 1063, 9, 'car cet identifiant n\'existe pas.');
INSERT INTO `lang_definitions` VALUES (43596, 1072, 9, 'Début');
INSERT INTO `lang_definitions` VALUES (43597, 1074, 9, 'Date Début');
INSERT INTO `lang_definitions` VALUES (43598, 1077, 9, 'Date début du service aaaa-mm-jj');
INSERT INTO `lang_definitions` VALUES (43599, 1078, 9, 'Heure début de journée pour les évènements calendaires.');
INSERT INTO `lang_definitions` VALUES (43600, 1082, 9, 'Eructation');
INSERT INTO `lang_definitions` VALUES (43601, 1089, 9, 'entre');
INSERT INTO `lang_definitions` VALUES (43602, 1091, 9, 'bi-directionnel');
INSERT INTO `lang_definitions` VALUES (43603, 1095, 9, 'Bilatéral');
INSERT INTO `lang_definitions` VALUES (43604, 1096, 9, 'Bilatéral:');
INSERT INTO `lang_definitions` VALUES (43605, 1099, 9, 'Date de facture:');
INSERT INTO `lang_definitions` VALUES (43606, 1101, 9, 'Collecter/Facturer');
INSERT INTO `lang_definitions` VALUES (43607, 1102, 9, 'Facturé');
INSERT INTO `lang_definitions` VALUES (43608, 1104, 9, 'Facturation');
INSERT INTO `lang_definitions` VALUES (43609, 1105, 9, 'Facturation (écriture optionnel)');
INSERT INTO `lang_definitions` VALUES (43610, 1109, 9, 'Destinataire de facturation');
INSERT INTO `lang_definitions` VALUES (43611, 1111, 9, 'Code de facturation pour le Service demandé');
INSERT INTO `lang_definitions` VALUES (43612, 1112, 9, 'Codes de facturation');
INSERT INTO `lang_definitions` VALUES (43613, 1113, 9, 'Donnée de facturation');
INSERT INTO `lang_definitions` VALUES (43614, 1114, 9, 'Service de facturation');
INSERT INTO `lang_definitions` VALUES (43615, 1115, 9, 'Fonds de Facturations');
INSERT INTO `lang_definitions` VALUES (43616, 1117, 9, 'Information sur la facturation');
INSERT INTO `lang_definitions` VALUES (43617, 1118, 9, 'Lieu de facturation');
INSERT INTO `lang_definitions` VALUES (43618, 1125, 9, 'Gestionnaire de facturation');
INSERT INTO `lang_definitions` VALUES (43619, 1126, 9, 'Note de facturation');
INSERT INTO `lang_definitions` VALUES (43620, 1127, 9, 'Note de facturation pour');
INSERT INTO `lang_definitions` VALUES (43621, 1128, 9, 'Note de facturation:');
INSERT INTO `lang_definitions` VALUES (43622, 1130, 9, 'Résutalt de la file de facturation:');
INSERT INTO `lang_definitions` VALUES (43623, 1131, 9, 'Rapport de facturation');
INSERT INTO `lang_definitions` VALUES (43624, 1132, 9, 'État de facturation');
INSERT INTO `lang_definitions` VALUES (43625, 1133, 9, 'Statut de facturation = non facturé');
INSERT INTO `lang_definitions` VALUES (43626, 1134, 9, 'facturation à');
INSERT INTO `lang_definitions` VALUES (43627, 1138, 9, 'Biopsie');
INSERT INTO `lang_definitions` VALUES (43628, 1140, 9, 'Date de naissance');
INSERT INTO `lang_definitions` VALUES (43629, 1144, 9, 'Noir');
INSERT INTO `lang_definitions` VALUES (43630, 1147, 9, 'Poumon noir');
INSERT INTO `lang_definitions` VALUES (43631, 1148, 9, 'Noir ou Afro-américain');
INSERT INTO `lang_definitions` VALUES (43632, 1149, 9, 'Cancer de la vésicule');
INSERT INTO `lang_definitions` VALUES (43633, 1150, 9, 'Infections de la vésicule');
INSERT INTO `lang_definitions` VALUES (43634, 1152, 9, 'Formulaires blancs');
INSERT INTO `lang_definitions` VALUES (43635, 1153, 9, 'Problèmes de saignement');
INSERT INTO `lang_definitions` VALUES (43636, 1154, 9, 'Scotome');
INSERT INTO `lang_definitions` VALUES (43637, 1156, 9, 'Ballonement');
INSERT INTO `lang_definitions` VALUES (43638, 1158, 9, 'Bouché');
INSERT INTO `lang_definitions` VALUES (43639, 1159, 9, 'Sang');
INSERT INTO `lang_definitions` VALUES (43640, 1160, 9, 'Pression Arterielle');
INSERT INTO `lang_definitions` VALUES (43641, 1161, 9, 'Pression arterielle');
INSERT INTO `lang_definitions` VALUES (43642, 1162, 9, 'Nez en sang');
INSERT INTO `lang_definitions` VALUES (43643, 1163, 9, 'Blue Cross Blue Shield');
INSERT INTO `lang_definitions` VALUES (43644, 1165, 9, 'Les lignes bleues dans ce rapport sont à titre informatif. Les lignes noires indiquent les informations déjà existantes. Les lignes vertes montrent les changements qui ont été appliqués avec succès. Les lignes rouges indiquent des erreurs, ou des changements qui n\'ont pas été appliquées; elles doivent être traitées manuellement. Revendications qui sont actuellement privés et les inversions de paiement ne sont pas traitées automatiquement et donc apparaîtra en rouge.');
INSERT INTO `lang_definitions` VALUES (43645, 1166, 9, 'Vision Brouillée');
INSERT INTO `lang_definitions` VALUES (43646, 1167, 9, 'IMC');
INSERT INTO `lang_definitions` VALUES (43647, 1168, 9, 'Etat de L\'IMC');
INSERT INTO `lang_definitions` VALUES (43648, 1170, 9, 'Région du corps');
INSERT INTO `lang_definitions` VALUES (43649, 1171, 9, 'Zone du corps');
INSERT INTO `lang_definitions` VALUES (43650, 1172, 9, 'Zone du corps , si applicable');
INSERT INTO `lang_definitions` VALUES (43651, 1173, 9, 'Sensibilité osseuse:');
INSERT INTO `lang_definitions` VALUES (43652, 1174, 9, 'Sensibilité osseuse: Malléole médiane');
INSERT INTO `lang_definitions` VALUES (43653, 1175, 9, 'Booléen');
INSERT INTO `lang_definitions` VALUES (43654, 1176, 9, 'Bosniaque');
INSERT INTO `lang_definitions` VALUES (43655, 1179, 9, 'Les deux oreilles');
INSERT INTO `lang_definitions` VALUES (43656, 1180, 9, 'les deux oreilles');
INSERT INTO `lang_definitions` VALUES (43657, 1183, 9, 'Partie inférieure (Bas)');
INSERT INTO `lang_definitions` VALUES (43658, 1187, 9, 'Case 10 A. Liée à l\'Emploi');
INSERT INTO `lang_definitions` VALUES (43659, 1189, 9, 'Case 10 B. Accident de Voiture');
INSERT INTO `lang_definitions` VALUES (43660, 1191, 9, 'Case 10 C. Autre Accident');
INSERT INTO `lang_definitions` VALUES (43661, 1205, 9, 'Case 15. Date de maladie identique ou similaire (aaaa-mm-jj):');
INSERT INTO `lang_definitions` VALUES (43662, 1206, 9, 'Case 15. Date de maladie identique ou similaire/Autre Date (aaaa-mm-jj):');
INSERT INTO `lang_definitions` VALUES (43663, 1211, 9, 'Case 16. Date début d\'incapacité de travail (aaaa-mm-jj) :');
INSERT INTO `lang_definitions` VALUES (43664, 1215, 9, 'Case 16. Date fin de l\'incapacité de travail (aaaa-mm-jj) :');
INSERT INTO `lang_definitions` VALUES (43665, 1227, 9, 'Case 18. Date début d\'Hospitalisation (aaaa-mm-jj) :');
INSERT INTO `lang_definitions` VALUES (43666, 1231, 9, 'Case 18. Date fin d\'Hospitalisation (aaaa-mm-jj) :');
INSERT INTO `lang_definitions` VALUES (43667, 1235, 9, 'Case 20. Est-ce laboratoire extérieur utilisé?');
INSERT INTO `lang_definitions` VALUES (43668, 1239, 9, 'Case 22. Nouvelle présentation du Code Medicaid (CIM-9)');
INSERT INTO `lang_definitions` VALUES (43669, 1243, 9, 'Case 23. N ° d\'autorisation préalable');
INSERT INTO `lang_definitions` VALUES (43670, 1244, 9, 'Pression Atrérielle');
INSERT INTO `lang_definitions` VALUES (43671, 1245, 9, 'PA Disatolique');
INSERT INTO `lang_definitions` VALUES (43672, 1246, 9, 'PA Systoloque');
INSERT INTO `lang_definitions` VALUES (43673, 1248, 9, 'PA diast');
INSERT INTO `lang_definitions` VALUES (43674, 1252, 9, 'PA syst');
INSERT INTO `lang_definitions` VALUES (43675, 1254, 9, 'Portugais Brésilien');
INSERT INTO `lang_definitions` VALUES (43676, 1255, 9, 'Seins');
INSERT INTO `lang_definitions` VALUES (43677, 1256, 9, 'Biopsie Mammaire');
INSERT INTO `lang_definitions` VALUES (43678, 1257, 9, 'Décharge Seins');
INSERT INTO `lang_definitions` VALUES (43679, 1258, 9, 'Maladie du sein');
INSERT INTO `lang_definitions` VALUES (43680, 1259, 9, 'Examen Mammaire');
INSERT INTO `lang_definitions` VALUES (43681, 1260, 9, 'Masse des Seins');
INSERT INTO `lang_definitions` VALUES (43682, 1262, 9, 'Bruits respiratoires:');
INSERT INTO `lang_definitions` VALUES (43683, 1263, 9, 'Breton');
INSERT INTO `lang_definitions` VALUES (43684, 1265, 9, 'Fractures');
INSERT INTO `lang_definitions` VALUES (43685, 1267, 9, 'Formulaire de Bronchites');
INSERT INTO `lang_definitions` VALUES (43686, 1270, 9, 'Parcourir');
INSERT INTO `lang_definitions` VALUES (43687, 1271, 9, 'Parcourir pour Enregistrement');
INSERT INTO `lang_definitions` VALUES (43688, 1272, 9, 'Ecchymose/hématome');
INSERT INTO `lang_definitions` VALUES (43689, 1275, 9, 'Bulgare');
INSERT INTO `lang_definitions` VALUES (43690, 1276, 9, 'Enflement Droit:');
INSERT INTO `lang_definitions` VALUES (43691, 1278, 9, 'Brûlure à la miction');
INSERT INTO `lang_definitions` VALUES (43692, 1279, 9, 'Brûlure à la miction');
INSERT INTO `lang_definitions` VALUES (43693, 1281, 9, 'Téléphone au bureau');
INSERT INTO `lang_definitions` VALUES (43694, 1282, 9, 'Occupé');
INSERT INTO `lang_definitions` VALUES (43695, 1283, 9, 'mais pas encore traité.');
INSERT INTO `lang_definitions` VALUES (43696, 1284, 9, 'Fesses');
INSERT INTO `lang_definitions` VALUES (43697, 1285, 9, 'Fesses + S.I');
INSERT INTO `lang_definitions` VALUES (43698, 1286, 9, 'par');
INSERT INTO `lang_definitions` VALUES (43699, 1287, 9, 'Par');
INSERT INTO `lang_definitions` VALUES (43700, 1293, 9, 'Par voie orale');
INSERT INTO `lang_definitions` VALUES (43701, 1295, 9, 'Par / Source');
INSERT INTO `lang_definitions` VALUES (43702, 1296, 9, 'Par:');
INSERT INTO `lang_definitions` VALUES (43703, 1299, 9, 'C');
INSERT INTO `lang_definitions` VALUES (43704, 1301, 9, 'Certificat CA pour verifier le serveur syslog RFC 5425 TLS');
INSERT INTO `lang_definitions` VALUES (43705, 1302, 9, 'Durée de vie du cache (en secondes)');
INSERT INTO `lang_definitions` VALUES (43706, 1303, 9, 'Mettre en cache le résultat du modèle?');
INSERT INTO `lang_definitions` VALUES (43707, 1305, 9, 'Consommation de caféine');
INSERT INTO `lang_definitions` VALUES (43708, 1306, 9, 'Agenda');
INSERT INTO `lang_definitions` VALUES (43709, 1307, 9, 'Heure Fin de l\'Agenda');
INSERT INTO `lang_definitions` VALUES (43710, 1308, 9, 'Intervalle de l\'Agenda');
INSERT INTO `lang_definitions` VALUES (43711, 1309, 9, 'Ecran de l\'Agenda');
INSERT INTO `lang_definitions` VALUES (43712, 1310, 9, 'Paramètre de l\'Agenda');
INSERT INTO `lang_definitions` VALUES (43713, 1312, 9, 'Heure Début de l\'Agenda');
INSERT INTO `lang_definitions` VALUES (43714, 1313, 9, 'Agenda UI');
INSERT INTO `lang_definitions` VALUES (43715, 1314, 9, 'Vue Agenda');
INSERT INTO `lang_definitions` VALUES (43716, 1317, 9, 'Appel à addForm () ce fait ici.<br>');
INSERT INTO `lang_definitions` VALUES (43717, 1321, 9, 'Calories');
INSERT INTO `lang_definitions` VALUES (43718, 1322, 9, 'Cambodgien');
INSERT INTO `lang_definitions` VALUES (43719, 1329, 9, 'Annuler');
INSERT INTO `lang_definitions` VALUES (43720, 1332, 9, 'Annuler les Modifications');
INSERT INTO `lang_definitions` VALUES (43721, 1333, 9, 'Annulés');
INSERT INTO `lang_definitions` VALUES (43722, 1335, 9, 'Cancer');
INSERT INTO `lang_definitions` VALUES (43723, 1336, 9, 'Dépistage du cancer: cancer du côlon');
INSERT INTO `lang_definitions` VALUES (43724, 1337, 9, 'Dépistage du cancer: Mammographie');
INSERT INTO `lang_definitions` VALUES (43725, 1338, 9, 'Dépistage du cancer: Pap');
INSERT INTO `lang_definitions` VALUES (43726, 1339, 9, 'Dépistage du cancer: cancer de la prostate');
INSERT INTO `lang_definitions` VALUES (43727, 1340, 9, 'Impossible d\'ajouter cette entrée car elle existe déjà!');
INSERT INTO `lang_definitions` VALUES (43728, 1341, 9, 'Impossible d\'ajouter/mettre à jour cette entrée, car un doublon existe déjà!');
INSERT INTO `lang_definitions` VALUES (43729, 1343, 9, 'ne peut pas être convertie au format JPEG. Peut-être ImageMagick n\'est pas installé?');
INSERT INTO `lang_definitions` VALUES (43730, 1345, 9, 'ne peut pas être affiché car son type n\'est pas supporté par le navigateur.');
INSERT INTO `lang_definitions` VALUES (43731, 1346, 9, 'ne peut pas être affiché car son type n\'est pas supporté par le navigateur');
INSERT INTO `lang_definitions` VALUES (43732, 1347, 9, 'ne peut pas être affiché car son type n\'est pas supporté par le navigateur.');
INSERT INTO `lang_definitions` VALUES (43733, 1349, 9, 'Impossible de créer');
INSERT INTO `lang_definitions` VALUES (43734, 1354, 9, 'Impossible de trouver');
INSERT INTO `lang_definitions` VALUES (43735, 1355, 9, 'Impossible de trouver le nom de fichier destination');
INSERT INTO `lang_definitions` VALUES (43736, 1358, 9, 'Impossible de trouver le patient à partir du client ID (dans SQL-Ledger)');
INSERT INTO `lang_definitions` VALUES (43737, 1359, 9, 'Impossible de trouver le document PostScript en référence');
INSERT INTO `lang_definitions` VALUES (43738, 1360, 9, 'Impossible de trouver le fournisseur à partir de \'employé (dans SQL-Ledger) =');
INSERT INTO `lang_definitions` VALUES (43739, 1361, 9, 'Impossible de modifier les Paiements. Reste est négatif.');
INSERT INTO `lang_definitions` VALUES (43740, 1363, 9, 'Impossible d\'ouvrir');
INSERT INTO `lang_definitions` VALUES (43741, 1364, 9, 'Ne pouvez pas poster l\'Assurance. L’Entité Payeur sélectionnée est le Patient.');
INSERT INTO `lang_definitions` VALUES (43742, 1365, 9, 'Ne pouvez pas poster le Patients. L\'organisme Payeur choisi est l\'Assurance.');
INSERT INTO `lang_definitions` VALUES (43743, 1366, 9, 'Ne pouvez pas poster des paiements. Reste est négatif.');
INSERT INTO `lang_definitions` VALUES (43744, 1367, 9, 'Impossible de lire');
INSERT INTO `lang_definitions` VALUES (43745, 1368, 9, 'Impossible de lire le répertoire');
INSERT INTO `lang_definitions` VALUES (43746, 1369, 9, 'Impossible de mettre à jour car vous n\'éditez pas une entrée existante !');
INSERT INTO `lang_definitions` VALUES (43747, 1370, 9, 'Capitaliser');
INSERT INTO `lang_definitions` VALUES (43748, 1372, 9, 'capsule');
INSERT INTO `lang_definitions` VALUES (43749, 1373, 9, 'Carte');
INSERT INTO `lang_definitions` VALUES (43750, 1382, 9, 'Cathétérisme Cardiaque');
INSERT INTO `lang_definitions` VALUES (43751, 1383, 9, 'Echo cardiaque');
INSERT INTO `lang_definitions` VALUES (43752, 1384, 9, 'Cardiovasculaire');
INSERT INTO `lang_definitions` VALUES (43753, 1396, 9, 'Cartilage / chondrales / dégâts disque');
INSERT INTO `lang_definitions` VALUES (43754, 1397, 9, 'Lésion cartilagineuse');
INSERT INTO `lang_definitions` VALUES (43755, 1398, 9, 'Pulsations carotides nl, pouls de pédale nl');
INSERT INTO `lang_definitions` VALUES (43756, 1400, 9, 'espèces');
INSERT INTO `lang_definitions` VALUES (43757, 1401, 9, 'Espèces');
INSERT INTO `lang_definitions` VALUES (43758, 1402, 9, 'Reçu d\'Espèce');
INSERT INTO `lang_definitions` VALUES (43759, 1403, 9, 'Reçus d\'Espèce par le fournisseur');
INSERT INTO `lang_definitions` VALUES (43760, 1406, 9, 'Chirurgie de la Cataracte');
INSERT INTO `lang_definitions` VALUES (43761, 1407, 9, 'Cataracte');
INSERT INTO `lang_definitions` VALUES (43762, 1408, 9, 'Catégories');
INSERT INTO `lang_definitions` VALUES (43763, 1409, 9, 'Catégories pour');
INSERT INTO `lang_definitions` VALUES (43764, 1410, 9, 'Catégorie');
INSERT INTO `lang_definitions` VALUES (43765, 1411, 9, 'catégorie');
INSERT INTO `lang_definitions` VALUES (43766, 1412, 9, 'Catégorie');
INSERT INTO `lang_definitions` VALUES (43767, 1416, 9, 'Détails Catégorie');
INSERT INTO `lang_definitions` VALUES (43768, 1417, 9, 'Limites Catégorie');
INSERT INTO `lang_definitions` VALUES (43769, 1418, 9, 'Nom Catégorie');
INSERT INTO `lang_definitions` VALUES (43770, 1419, 9, 'Nom catégorie vide');
INSERT INTO `lang_definitions` VALUES (43771, 1420, 9, 'Titre/Catégorie');
INSERT INTO `lang_definitions` VALUES (43772, 1421, 9, 'Caucasien');
INSERT INTO `lang_definitions` VALUES (43773, 1445, 9, 'Téléphone Cellulaire');
INSERT INTO `lang_definitions` VALUES (43774, 1447, 9, 'Numéro de Téléphone Cellulaire');
INSERT INTO `lang_definitions` VALUES (43775, 1449, 9, 'Centrale de Certification');
INSERT INTO `lang_definitions` VALUES (43776, 1451, 9, 'Centrale/Amérique du Sud');
INSERT INTO `lang_definitions` VALUES (43777, 1452, 9, 'L\'emplacement du fichier crt de l\'Autorité de certification ne peut pas être vide');
INSERT INTO `lang_definitions` VALUES (43778, 1453, 9, 'L\'emplacement du fichier key de l\'Autorité de certification emplacement ne peut pas être vide');
INSERT INTO `lang_definitions` VALUES (43779, 1455, 9, 'Certificat Utilisateur');
INSERT INTO `lang_definitions` VALUES (43780, 1456, 9, 'Certificats');
INSERT INTO `lang_definitions` VALUES (43781, 1460, 9, 'modifier');
INSERT INTO `lang_definitions` VALUES (43782, 1461, 9, 'Modifier');
INSERT INTO `lang_definitions` VALUES (43783, 1462, 9, 'Modifier l\'Activité');
INSERT INTO `lang_definitions` VALUES (43784, 1467, 9, 'Changement de vision');
INSERT INTO `lang_definitions` VALUES (43785, 1468, 9, 'Changement de vision');
INSERT INTO `lang_definitions` VALUES (43786, 1475, 9, 'Modifié');
INSERT INTO `lang_definitions` VALUES (43787, 1476, 9, 'Intestin modifié');
INSERT INTO `lang_definitions` VALUES (43788, 1484, 9, 'Caractéristiques');
INSERT INTO `lang_definitions` VALUES (43789, 1486, 9, 'Charge');
INSERT INTO `lang_definitions` VALUES (43790, 1487, 9, 'Ajustement de Frais');
INSERT INTO `lang_definitions` VALUES (43791, 1490, 9, 'Frais');
INSERT INTO `lang_definitions` VALUES (43792, 1491, 9, 'Graphique');
INSERT INTO `lang_definitions` VALUES (43793, 1492, 9, 'Graphique d\'Activité');
INSERT INTO `lang_definitions` VALUES (43794, 1493, 9, 'Rapport d\'Activité des Entrées/Sorties');
INSERT INTO `lang_definitions` VALUES (43795, 1495, 9, 'ID Graphique');
INSERT INTO `lang_definitions` VALUES (43796, 1496, 9, 'ID Graphique:');
INSERT INTO `lang_definitions` VALUES (43797, 1498, 9, 'Graphique lieu d\'activité');
INSERT INTO `lang_definitions` VALUES (43798, 1499, 9, 'Note sur le graphique');
INSERT INTO `lang_definitions` VALUES (43799, 1500, 9, 'Numéro Graphique');
INSERT INTO `lang_definitions` VALUES (43800, 1502, 9, 'Emplacements de stockage graphique');
INSERT INTO `lang_definitions` VALUES (43801, 1504, 9, 'Suivi graphique');
INSERT INTO `lang_definitions` VALUES (43802, 1508, 9, 'Graphiques vérifiés');
INSERT INTO `lang_definitions` VALUES (43803, 1509, 9, 'Sortie des graphiques');
INSERT INTO `lang_definitions` VALUES (43804, 1513, 9, 'Vérifier');
INSERT INTO `lang_definitions` VALUES (43805, 1514, 9, 'vérifier');
INSERT INTO `lang_definitions` VALUES (43806, 1515, 9, 'Vérifier Tous');
INSERT INTO `lang_definitions` VALUES (43807, 1517, 9, 'Vérifier le Montant');
INSERT INTO `lang_definitions` VALUES (43808, 1519, 9, 'vérifier la Date');
INSERT INTO `lang_definitions` VALUES (43809, 1521, 9, 'Vérifiez les différences de traductions avec la table personnalisée de la langue.');
INSERT INTO `lang_definitions` VALUES (43810, 1527, 9, 'Arrivée à');
INSERT INTO `lang_definitions` VALUES (43811, 1528, 9, 'Vérifier les données d\'entrée');
INSERT INTO `lang_definitions` VALUES (43812, 1530, 9, 'Vérifier les résultats de laboratoire');
INSERT INTO `lang_definitions` VALUES (43813, 1533, 9, 'vérifier le numéro');
INSERT INTO `lang_definitions` VALUES (43814, 1536, 9, 'vérifier le Paiement');
INSERT INTO `lang_definitions` VALUES (43815, 1537, 9, 'Cochez la case s\'il s\'agit d\'un fichier crypté');
INSERT INTO `lang_definitions` VALUES (43816, 1541, 9, 'Cochez cette case si vous souhaitez que les prestataires voient tous les rendez par défaut et non seulement les leurs.');
INSERT INTO `lang_definitions` VALUES (43817, 1550, 9, 'Liste de case à cocher');
INSERT INTO `lang_definitions` VALUES (43818, 1551, 9, 'liste case à cocher');
INSERT INTO `lang_definitions` VALUES (43819, 1552, 9, 'case à cocher w/texte');
INSERT INTO `lang_definitions` VALUES (43820, 1553, 9, 'Case à cocher w/texte');
INSERT INTO `lang_definitions` VALUES (43821, 1557, 9, 'Vérifié');
INSERT INTO `lang_definitions` VALUES (43822, 1559, 9, 'Case coché = oui, vide = non');
INSERT INTO `lang_definitions` VALUES (43823, 1568, 9, 'Vérification');
INSERT INTO `lang_definitions` VALUES (43824, 1569, 9, 'Somme de contrôle');
INSERT INTO `lang_definitions` VALUES (43825, 1570, 9, 'Thorax');
INSERT INTO `lang_definitions` VALUES (43826, 1572, 9, 'Douleur Thoracique');
INSERT INTO `lang_definitions` VALUES (43827, 1573, 9, 'Douleur Thoracique:');
INSERT INTO `lang_definitions` VALUES (43828, 1574, 9, 'Douleurs Thoraciques');
INSERT INTO `lang_definitions` VALUES (43829, 1578, 9, 'Principal réclamation');
INSERT INTO `lang_definitions` VALUES (43830, 1581, 9, 'Enfant');
INSERT INTO `lang_definitions` VALUES (43831, 1583, 9, 'Statut vaccination infantile (CQM)');
INSERT INTO `lang_definitions` VALUES (43832, 1584, 9, 'Frissons');
INSERT INTO `lang_definitions` VALUES (43833, 1585, 9, 'Chinois');
INSERT INTO `lang_definitions` VALUES (43834, 1586, 9, 'Chinois (simplifié)');
INSERT INTO `lang_definitions` VALUES (43835, 1587, 9, 'Chinois (Traditionnel)');
INSERT INTO `lang_definitions` VALUES (43836, 1589, 9, 'Choix');
INSERT INTO `lang_definitions` VALUES (43837, 1590, 9, 'Cholécystectomie');
INSERT INTO `lang_definitions` VALUES (43838, 1592, 9, 'Cholecystestomie');
INSERT INTO `lang_definitions` VALUES (43839, 1593, 9, 'Choisissez');
INSERT INTO `lang_definitions` VALUES (43840, 1596, 9, 'Choisissez une section et cliquez sur un article, puis dans l\'autre section, vous verrez les éléments liés en surbrillance, et vous pouvez cliquer dans cette section pour ajouter et supprimer les relations.');
INSERT INTO `lang_definitions` VALUES (43841, 1597, 9, 'Choisir des critères');
INSERT INTO `lang_definitions` VALUES (43842, 1605, 9, 'Choisir la liste');
INSERT INTO `lang_definitions` VALUES (43843, 1611, 9, 'Choisissez le format d\'impression pour ce rapport de rencontre.');
INSERT INTO `lang_definitions` VALUES (43844, 1615, 9, 'Bronchite chronique');
INSERT INTO `lang_definitions` VALUES (43845, 1616, 9, 'Douleurs articulaires chroniques');
INSERT INTO `lang_definitions` VALUES (43846, 1617, 9, 'Maladie rénale chronique');
INSERT INTO `lang_definitions` VALUES (43847, 1620, 9, 'Synovite chronique / effusion / douleurs articulaires / goutte');
INSERT INTO `lang_definitions` VALUES (43848, 1622, 9, 'Chronique / Récurrent');
INSERT INTO `lang_definitions` VALUES (43849, 1625, 9, 'Cirrhose du foie');
INSERT INTO `lang_definitions` VALUES (43850, 1626, 9, 'Cirrhose du foie');
INSERT INTO `lang_definitions` VALUES (43851, 1627, 9, 'Ville');
INSERT INTO `lang_definitions` VALUES (43852, 1629, 9, 'Nom Ville');
INSERT INTO `lang_definitions` VALUES (43853, 1630, 9, 'Ville, Etat');
INSERT INTO `lang_definitions` VALUES (43854, 1631, 9, 'Ville, Etat Code Postal');
INSERT INTO `lang_definitions` VALUES (43855, 1633, 9, 'Ville/Etat');
INSERT INTO `lang_definitions` VALUES (43856, 1634, 9, 'Réclamation');
INSERT INTO `lang_definitions` VALUES (43857, 1635, 9, 'Réclamation');
INSERT INTO `lang_definitions` VALUES (43858, 1645, 9, 'Classification');
INSERT INTO `lang_definitions` VALUES (43859, 1646, 9, 'Effacer');
INSERT INTO `lang_definitions` VALUES (43860, 1651, 9, 'Effacer tout');
INSERT INTO `lang_definitions` VALUES (43861, 1654, 9, 'Effacer les données HL7');
INSERT INTO `lang_definitions` VALUES (43862, 1655, 9, 'Justification claire');
INSERT INTO `lang_definitions` VALUES (43863, 1663, 9, 'Cliquez');
INSERT INTO `lang_definitions` VALUES (43864, 1672, 9, 'Cliquer pour plus');
INSERT INTO `lang_definitions` VALUES (43865, 1678, 9, 'Cliquez ici');
INSERT INTO `lang_definitions` VALUES (43866, 1679, 9, 'Cliquez ici pour ajouter un nouveau patient.');
INSERT INTO `lang_definitions` VALUES (43867, 1682, 9, 'Cliquez ici pour choisir une date');
INSERT INTO `lang_definitions` VALUES (43868, 1683, 9, 'Cliquez ici pour choisir une date et une heure');
INSERT INTO `lang_definitions` VALUES (43869, 1684, 9, 'Cliquez ici pour choisir une date de début');
INSERT INTO `lang_definitions` VALUES (43870, 1707, 9, 'Cliquez ici pour rechercher');
INSERT INTO `lang_definitions` VALUES (43871, 1710, 9, 'Cliquez ici pour mettre à jour les paramètres de priorité, catégorie et le surnom');
INSERT INTO `lang_definitions` VALUES (43872, 1714, 9, 'Cliquez ici pour tout afficher.');
INSERT INTO `lang_definitions` VALUES (43873, 1715, 9, 'Cliquez ici pour afficher');
INSERT INTO `lang_definitions` VALUES (43874, 1717, 9, 'Cliquez ici pour afficher les signes vitaux.');
INSERT INTO `lang_definitions` VALUES (43875, 1718, 9, 'Cliquez ici pour afficher les détails du patient');
INSERT INTO `lang_definitions` VALUES (43876, 1719, 9, 'Cliquez ici pour les affichés tous.');
INSERT INTO `lang_definitions` VALUES (43877, 1723, 9, 'Cliquez sur Installer pour installer une version de la base de données de la date suivante');
INSERT INTO `lang_definitions` VALUES (43878, 1730, 9, 'Cliquez sur une des parties du temps de l\'augmenter');
INSERT INTO `lang_definitions` VALUES (43879, 1753, 9, 'Cliquez sur Actualiser pour afficher tous les résultats, ou introduit les critères de recherche ci-dessus pour afficher des résultats spécifiques.');
INSERT INTO `lang_definitions` VALUES (43880, 1779, 9, 'Cliquez pour ajouter de nouveaux composants');
INSERT INTO `lang_definitions` VALUES (43881, 1780, 9, 'Cliquez pour ajouter une nouvelle consultation');
INSERT INTO `lang_definitions` VALUES (43882, 1785, 9, 'Cliquez ici pour télécharger');
INSERT INTO `lang_definitions` VALUES (43883, 1786, 9, 'Cliquez pour modifier');
INSERT INTO `lang_definitions` VALUES (43884, 1788, 9, 'Cliquez pour modifier cet événement');
INSERT INTO `lang_definitions` VALUES (43885, 1790, 9, 'Cliquez pour générer le rapport');
INSERT INTO `lang_definitions` VALUES (43886, 1800, 9, 'Cliquez pour imprimer');
INSERT INTO `lang_definitions` VALUES (43887, 1801, 9, 'Cliquez pour recevoir (ajouter) un nouveau lot');
INSERT INTO `lang_definitions` VALUES (43888, 1805, 9, 'Cliquez pour sélectionner');
INSERT INTO `lang_definitions` VALUES (43889, 1806, 9, 'Cliquez pour sélectionner');
INSERT INTO `lang_definitions` VALUES (43890, 1808, 9, 'Cliquez pour sélectionner un code standard pour cette procédure');
INSERT INTO `lang_definitions` VALUES (43891, 1813, 9, 'Cliquez pour sélectionner ou modifier le code CVX');
INSERT INTO `lang_definitions` VALUES (43892, 1814, 9, 'Cliquez pour sélectionner ou modifier les diagnostics');
INSERT INTO `lang_definitions` VALUES (43893, 1815, 9, 'Cliquez pour sélectionner ou modifier les codes de service');
INSERT INTO `lang_definitions` VALUES (43894, 1816, 9, 'Cliquez pour sélectionner le patient');
INSERT INTO `lang_definitions` VALUES (43895, 1817, 9, 'Cliquez pour sélectionner le code associé');
INSERT INTO `lang_definitions` VALUES (43896, 1819, 9, 'Cliquez pour sélectionner les services à effectuer si ce résultat est anormal');
INSERT INTO `lang_definitions` VALUES (43897, 1822, 9, 'Cliquez pour sélectionner la procédure désirée');
INSERT INTO `lang_definitions` VALUES (43898, 1831, 9, 'Cliquez pour afficher');
INSERT INTO `lang_definitions` VALUES (43899, 1833, 9, 'Cliquez pour afficher ou modifier');
INSERT INTO `lang_definitions` VALUES (43900, 1834, 9, 'Cliquez pour afficher/modifier');
INSERT INTO `lang_definitions` VALUES (43901, 1836, 9, 'Cliquez sur le bouton Upgrade pour mettre à niveau la base de données à partir de la date suivante');
INSERT INTO `lang_definitions` VALUES (43902, 1839, 9, 'Cliquez:');
INSERT INTO `lang_definitions` VALUES (43903, 1862, 9, 'Jours d\'expiration du certificat client');
INSERT INTO `lang_definitions` VALUES (43904, 1864, 9, 'Période de validation du certificat client');
INSERT INTO `lang_definitions` VALUES (43905, 1865, 9, 'La validité du certificat client doit être un nombre valide.');
INSERT INTO `lang_definitions` VALUES (43906, 1866, 9, 'Copie Client');
INSERT INTO `lang_definitions` VALUES (43907, 1869, 9, 'Résumé dossier médical du client');
INSERT INTO `lang_definitions` VALUES (43908, 1873, 9, 'Profil client - Nouveaux Clients');
INSERT INTO `lang_definitions` VALUES (43909, 1874, 9, 'Profil client - Clients unique');
INSERT INTO `lang_definitions` VALUES (43910, 1878, 9, 'Clients');
INSERT INTO `lang_definitions` VALUES (43911, 1879, 9, 'Clinique');
INSERT INTO `lang_definitions` VALUES (43912, 1880, 9, 'Copie Clinique');
INSERT INTO `lang_definitions` VALUES (43913, 1881, 9, 'Relevé quotidien Clinique');
INSERT INTO `lang_definitions` VALUES (43914, 1882, 9, 'Identification Clinique');
INSERT INTO `lang_definitions` VALUES (43915, 1883, 9, 'Clinique');
INSERT INTO `lang_definitions` VALUES (43916, 1884, 9, 'Règles de décision clinique, gestionnaire d\'alertes');
INSERT INTO `lang_definitions` VALUES (43917, 1889, 9, 'Plans cliniques');
INSERT INTO `lang_definitions` VALUES (43918, 1890, 9, 'Critères de qualité clinique (CQC)');
INSERT INTO `lang_definitions` VALUES (43919, 1893, 9, 'Rappels cliniques');
INSERT INTO `lang_definitions` VALUES (43920, 1897, 9, 'Rapports cliniques');
INSERT INTO `lang_definitions` VALUES (43921, 1898, 9, 'Règle clinique, Catégorie d\'action');
INSERT INTO `lang_definitions` VALUES (43922, 1899, 9, 'Règle clinique, Elément d\'action');
INSERT INTO `lang_definitions` VALUES (43923, 1900, 9, 'Règle cliniques, méthodes de filtrage');
INSERT INTO `lang_definitions` VALUES (43924, 1901, 9, 'Règle cliniques, les méthodes cible');
INSERT INTO `lang_definitions` VALUES (43925, 1902, 9, 'Règles cliniques');
INSERT INTO `lang_definitions` VALUES (43926, 1903, 9, 'Règles cliniques, intervalles d\'âge');
INSERT INTO `lang_definitions` VALUES (43927, 1904, 9, 'Règles cliniques, les comparaisons');
INSERT INTO `lang_definitions` VALUES (43928, 1905, 9, 'Règles cliniques, Types Rencontre');
INSERT INTO `lang_definitions` VALUES (43929, 1906, 9, 'Règles cliniques, Options cause de rappel');
INSERT INTO `lang_definitions` VALUES (43930, 1907, 9, 'Règles cliniques, Options inactivation de rappel');
INSERT INTO `lang_definitions` VALUES (43931, 1908, 9, 'Règles cliniques, Intervalles de rappel');
INSERT INTO `lang_definitions` VALUES (43932, 1909, 9, 'Règles cliniques, Méthodes de rappel');
INSERT INTO `lang_definitions` VALUES (43933, 1910, 9, 'Règles cliniques, Intervalles cible');
INSERT INTO `lang_definitions` VALUES (43934, 1911, 9, 'Objectifs cliniques');
INSERT INTO `lang_definitions` VALUES (43935, 1915, 9, 'Cliniciens');
INSERT INTO `lang_definitions` VALUES (43936, 1916, 9, 'Clone');
INSERT INTO `lang_definitions` VALUES (43937, 1917, 9, 'Cloner dernière Visite');
INSERT INTO `lang_definitions` VALUES (43938, 1918, 9, 'Fermer');
INSERT INTO `lang_definitions` VALUES (43939, 1925, 9, 'Fermer la fenêtre');
INSERT INTO `lang_definitions` VALUES (43940, 1927, 9, 'Fermé');
INSERT INTO `lang_definitions` VALUES (43941, 1928, 9, 'cm');
INSERT INTO `lang_definitions` VALUES (43942, 1962, 9, 'copaiement');
INSERT INTO `lang_definitions` VALUES (43943, 1964, 9, 'Code');
INSERT INTO `lang_definitions` VALUES (43944, 1965, 9, 'code');
INSERT INTO `lang_definitions` VALUES (43945, 1967, 9, 'code Recherche');
INSERT INTO `lang_definitions` VALUES (43946, 1968, 9, 'Code doit être deux lettre en minuscule');
INSERT INTO `lang_definitions` VALUES (43947, 1969, 9, 'Code ou symbole pour indiquer la monnaie');
INSERT INTO `lang_definitions` VALUES (43948, 1971, 9, 'Texte du code');
INSERT INTO `lang_definitions` VALUES (43949, 1973, 9, 'type de code');
INSERT INTO `lang_definitions` VALUES (43950, 1976, 9, 'Types de code');
INSERT INTO `lang_definitions` VALUES (43951, 1979, 9, 'Codes');
INSERT INTO `lang_definitions` VALUES (43952, 1981, 9, 'Codage');
INSERT INTO `lang_definitions` VALUES (43953, 1983, 9, 'Codage - toutes rencontres (par écrit, avec quelques options)');
INSERT INTO `lang_definitions` VALUES (43954, 1985, 9, 'Codage - mes rencontres (par écrit, avec quelques options)');
INSERT INTO `lang_definitions` VALUES (43955, 1990, 9, 'Codification Non autorisé');
INSERT INTO `lang_definitions` VALUES (43956, 1991, 9, 'Café');
INSERT INTO `lang_definitions` VALUES (43957, 1994, 9, 'Coassurance');
INSERT INTO `lang_definitions` VALUES (43958, 1997, 9, 'Réduire');
INSERT INTO `lang_definitions` VALUES (43959, 1998, 9, 'réduire');
INSERT INTO `lang_definitions` VALUES (43960, 1999, 9, 'Réduire tout');
INSERT INTO `lang_definitions` VALUES (43961, 2000, 9, 'Réduire tout');
INSERT INTO `lang_definitions` VALUES (43962, 2001, 9, 'réduire tout');
INSERT INTO `lang_definitions` VALUES (43963, 2007, 9, 'Collections');
INSERT INTO `lang_definitions` VALUES (43964, 2008, 9, 'Rapport de Collections');
INSERT INTO `lang_definitions` VALUES (43965, 2009, 9, 'Cancer du côlon');
INSERT INTO `lang_definitions` VALUES (43966, 2010, 9, 'Dépistage du cancer du côlon');
INSERT INTO `lang_definitions` VALUES (43967, 2011, 9, 'Chirurgie du cancer du colon');
INSERT INTO `lang_definitions` VALUES (43968, 2012, 9, 'Coloscopie');
INSERT INTO `lang_definitions` VALUES (43969, 2013, 9, 'coloscopie');
INSERT INTO `lang_definitions` VALUES (43970, 2014, 9, 'Couleur');
INSERT INTO `lang_definitions` VALUES (43971, 2020, 9, 'Couleur: Abrév');
INSERT INTO `lang_definitions` VALUES (43972, 2021, 9, 'Colonne');
INSERT INTO `lang_definitions` VALUES (43973, 2022, 9, 'colonnes');
INSERT INTO `lang_definitions` VALUES (43974, 2024, 9, 'Lots Combinés');
INSERT INTO `lang_definitions` VALUES (43975, 2025, 9, 'Virgule');
INSERT INTO `lang_definitions` VALUES (43976, 2027, 9, 'Commentaire');
INSERT INTO `lang_definitions` VALUES (43977, 2028, 9, 'Commentaires');
INSERT INTO `lang_definitions` VALUES (43978, 2030, 9, 'Commentaires ou recommandation pour ce résultat');
INSERT INTO `lang_definitions` VALUES (43979, 2031, 9, 'Entreprise Assurance Cie');
INSERT INTO `lang_definitions` VALUES (43980, 2032, 9, 'Valider les modifications');
INSERT INTO `lang_definitions` VALUES (43981, 2036, 9, 'Communications');
INSERT INTO `lang_definitions` VALUES (43982, 2039, 9, 'Société');
INSERT INTO `lang_definitions` VALUES (43983, 2040, 9, 'Nom de la société');
INSERT INTO `lang_definitions` VALUES (43984, 2041, 9, 'Compléter');
INSERT INTO `lang_definitions` VALUES (43985, 2043, 9, 'Terminé');
INSERT INTO `lang_definitions` VALUES (43986, 2046, 9, 'Terminé?');
INSERT INTO `lang_definitions` VALUES (43987, 2049, 9, 'Complications par Prestataire de services');
INSERT INTO `lang_definitions` VALUES (43988, 2050, 9, 'Les complications d\'avortement');
INSERT INTO `lang_definitions` VALUES (43989, 2051, 9, 'Composants');
INSERT INTO `lang_definitions` VALUES (43990, 2057, 9, 'Système de commande Médical Assisté par Ordinateur');
INSERT INTO `lang_definitions` VALUES (43991, 2058, 9, 'Conclusions');
INSERT INTO `lang_definitions` VALUES (43992, 2064, 9, 'Configuration');
INSERT INTO `lang_definitions` VALUES (43993, 2065, 9, 'Export / Import de la Configuration');
INSERT INTO `lang_definitions` VALUES (43994, 2067, 9, 'Configurer Apache et OpenEMR pour utiliser les certificats SSL coté client');
INSERT INTO `lang_definitions` VALUES (43995, 2068, 9, 'Configurer Apache pour utiliser les certificats SSL coté client');
INSERT INTO `lang_definitions` VALUES (43996, 2069, 9, 'Configurer Apache pour utiliser HTTPS');
INSERT INTO `lang_definitions` VALUES (43997, 2070, 9, 'Configurer OpenEMR pour utiliser les certificats SSL coté client');
INSERT INTO `lang_definitions` VALUES (43998, 2079, 9, 'Confirmer la création du nouveau Patient');
INSERT INTO `lang_definitions` VALUES (43999, 2081, 9, 'Confirmer le Nouveau Passe');
INSERT INTO `lang_definitions` VALUES (44000, 2083, 9, 'Confirmer le Payement');
INSERT INTO `lang_definitions` VALUES (44001, 2092, 9, 'Congénitale');
INSERT INTO `lang_definitions` VALUES (44002, 2094, 9, 'Conjonctives, pupilles');
INSERT INTO `lang_definitions` VALUES (44003, 2098, 9, 'Constante');
INSERT INTO `lang_definitions` VALUES (44004, 2100, 9, 'nom de la constante');
INSERT INTO `lang_definitions` VALUES (44005, 2101, 9, 'Nom de la constante est vide');
INSERT INTO `lang_definitions` VALUES (44006, 2102, 9, 'constantes');
INSERT INTO `lang_definitions` VALUES (44007, 2103, 9, 'Constipation');
INSERT INTO `lang_definitions` VALUES (44008, 2104, 9, 'Constitutionnel');
INSERT INTO `lang_definitions` VALUES (44009, 2107, 9, 'Descriptif bref de la consultation');
INSERT INTO `lang_definitions` VALUES (44010, 2109, 9, 'Contact');
INSERT INTO `lang_definitions` VALUES (44011, 2110, 9, 'Email du Contact');
INSERT INTO `lang_definitions` VALUES (44012, 2111, 9, 'Adresse Email du contact');
INSERT INTO `lang_definitions` VALUES (44013, 2113, 9, 'coordonnées');
INSERT INTO `lang_definitions` VALUES (44014, 2117, 9, 'Lentilles de contact');
INSERT INTO `lang_definitions` VALUES (44015, 2122, 9, 'Nom du contact');
INSERT INTO `lang_definitions` VALUES (44016, 2125, 9, 'Personne à contacter');
INSERT INTO `lang_definitions` VALUES (44017, 2127, 9, 'Numéro de téléphone');
INSERT INTO `lang_definitions` VALUES (44018, 2131, 9, 'contient au moins trois des quatre éléments suivants:');
INSERT INTO `lang_definitions` VALUES (44019, 2133, 9, 'Contenu');
INSERT INTO `lang_definitions` VALUES (44020, 2134, 9, 'contenu');
INSERT INTO `lang_definitions` VALUES (44021, 2136, 9, 'Contexte');
INSERT INTO `lang_definitions` VALUES (44022, 2137, 9, 'Nom de contexte ne peut être vides');
INSERT INTO `lang_definitions` VALUES (44023, 2138, 9, 'Continuer');
INSERT INTO `lang_definitions` VALUES (44024, 2142, 9, 'Document de Continuité des soins (CCD)');
INSERT INTO `lang_definitions` VALUES (44025, 2145, 9, 'Enregistrement de Continuité des soins (RCC)');
INSERT INTO `lang_definitions` VALUES (44026, 2147, 9, 'Contraception');
INSERT INTO `lang_definitions` VALUES (44027, 2148, 9, 'Problèmes de contraception');
INSERT INTO `lang_definitions` VALUES (44028, 2149, 9, 'Complication de la contraception (à préciser)');
INSERT INTO `lang_definitions` VALUES (44029, 2150, 9, 'Méthode contraceptive');
INSERT INTO `lang_definitions` VALUES (44030, 2151, 9, 'Produits contraceptifs');
INSERT INTO `lang_definitions` VALUES (44031, 2152, 9, 'Services contraceptifs déjà démarré');
INSERT INTO `lang_definitions` VALUES (44032, 2153, 9, 'Début des contraceptifs');
INSERT INTO `lang_definitions` VALUES (44033, 2269, 9, 'Créer un événement');
INSERT INTO `lang_definitions` VALUES (44034, 2273, 9, 'Créer et télécharger une sauvegarde complète');
INSERT INTO `lang_definitions` VALUES (44035, 2275, 9, 'Créer une sauvegarde');
INSERT INTO `lang_definitions` VALUES (44036, 2276, 9, 'créer un lot');
INSERT INTO `lang_definitions` VALUES (44037, 2277, 9, 'Créer un certificat client');
INSERT INTO `lang_definitions` VALUES (44038, 2278, 9, 'Créer des certificats SSL côté client');
INSERT INTO `lang_definitions` VALUES (44039, 2281, 9, 'Créer une duplicata');
INSERT INTO `lang_definitions` VALUES (44040, 2283, 9, 'Créer une sauvegarde du journal d\'événements');
INSERT INTO `lang_definitions` VALUES (44041, 2285, 9, 'Créer un nouveau problème');
INSERT INTO `lang_definitions` VALUES (44042, 2287, 9, 'Créer un nouveau patient');
INSERT INTO `lang_definitions` VALUES (44043, 2290, 9, 'Créer crédentiels pour un portail hors site');
INSERT INTO `lang_definitions` VALUES (44044, 2292, 9, 'Créer crédentiels pour un portail sur site');
INSERT INTO `lang_definitions` VALUES (44045, 2294, 9, 'Créer remarque patient');
INSERT INTO `lang_definitions` VALUES (44046, 2296, 9, 'Créer l\'autorité de certification SSL et les certificats du serveur.');
INSERT INTO `lang_definitions` VALUES (44047, 2297, 9, 'Ajouter une visite');
INSERT INTO `lang_definitions` VALUES (44048, 2298, 9, 'Ajoutée');
INSERT INTO `lang_definitions` VALUES (44049, 2306, 9, 'Préparation du fichier d\'exportation');
INSERT INTO `lang_definitions` VALUES (44050, 2308, 9, 'La création de ce fichier sur l\'hôte distant a échoué');
INSERT INTO `lang_definitions` VALUES (44051, 2309, 9, 'Créateur');
INSERT INTO `lang_definitions` VALUES (44052, 2311, 9, 'Crédit');
INSERT INTO `lang_definitions` VALUES (44053, 2312, 9, 'Carte de crédit');
INSERT INTO `lang_definitions` VALUES (44054, 2314, 9, 'Crédits');
INSERT INTO `lang_definitions` VALUES (44055, 2316, 9, 'Critères');
INSERT INTO `lang_definitions` VALUES (44056, 2319, 9, 'La maladie de Crohn');
INSERT INTO `lang_definitions` VALUES (44057, 2320, 9, 'La maladie de Crohn');
INSERT INTO `lang_definitions` VALUES (44058, 2323, 9, 'Exporter CSV');
INSERT INTO `lang_definitions` VALUES (44059, 2324, 9, 'Fichier CSV');
INSERT INTO `lang_definitions` VALUES (44060, 2325, 9, 'Table CSV');
INSERT INTO `lang_definitions` VALUES (44061, 2350, 9, 'Adresse actuelle');
INSERT INTO `lang_definitions` VALUES (44062, 2352, 9, 'Médicaments en vigeur');
INSERT INTO `lang_definitions` VALUES (44063, 2354, 9, 'Mot de passe en vigeur');
INSERT INTO `lang_definitions` VALUES (44064, 2356, 9, 'Patient en cours');
INSERT INTO `lang_definitions` VALUES (44065, 2361, 9, 'Drogues de rue en usage');
INSERT INTO `lang_definitions` VALUES (44066, 2371, 9, 'Active actuellement');
INSERT INTO `lang_definitions` VALUES (44067, 2379, 9, 'Syndrome de Cushing');
INSERT INTO `lang_definitions` VALUES (44068, 2380, 9, 'Syndrome de Cushing');
INSERT INTO `lang_definitions` VALUES (44069, 2383, 9, 'Personnalisé');
INSERT INTO `lang_definitions` VALUES (44070, 2416, 9, 'D');
INSERT INTO `lang_definitions` VALUES (44071, 2417, 9, 'D&C');
INSERT INTO `lang_definitions` VALUES (44072, 2418, 9, 'D&E');
INSERT INTO `lang_definitions` VALUES (44073, 2420, 9, 'D.O.B.');
INSERT INTO `lang_definitions` VALUES (44074, 2421, 9, 'quotidien');
INSERT INTO `lang_definitions` VALUES (44075, 2422, 9, 'Relevé quotidien');
INSERT INTO `lang_definitions` VALUES (44076, 2425, 9, 'Danois');
INSERT INTO `lang_definitions` VALUES (44077, 2429, 9, 'Données similaires sont déjà en base de données,veuillez change le code et/ou la description');
INSERT INTO `lang_definitions` VALUES (44078, 2430, 9, 'Données similaires sont déjà en base de données, veuillez changer le nom de la constante');
INSERT INTO `lang_definitions` VALUES (44079, 2431, 9, 'données Cols');
INSERT INTO `lang_definitions` VALUES (44080, 2439, 9, 'Type de données');
INSERT INTO `lang_definitions` VALUES (44081, 2440, 9, 'Base de Données');
INSERT INTO `lang_definitions` VALUES (44082, 2442, 9, 'Base de Données non installée');
INSERT INTO `lang_definitions` VALUES (44083, 2445, 9, 'Rapports de la Base de données');
INSERT INTO `lang_definitions` VALUES (44084, 2447, 9, 'Mise à niveau Base de Données términée.');
INSERT INTO `lang_definitions` VALUES (44085, 2448, 9, 'DataCols doit être un nombre entre 1 et 999');
INSERT INTO `lang_definitions` VALUES (44086, 2449, 9, 'Date');
INSERT INTO `lang_definitions` VALUES (44087, 2450, 9, 'DATE');
INSERT INTO `lang_definitions` VALUES (44088, 2453, 9, 'Date d\'administration');
INSERT INTO `lang_definitions` VALUES (44089, 2454, 9, 'Date et heure du prélèvement');
INSERT INTO `lang_definitions` VALUES (44090, 2457, 9, 'Date et heure auxquelles le prélèvement a été recueilli');
INSERT INTO `lang_definitions` VALUES (44091, 2458, 9, 'Date ne peut être supérieure à Aujourd\'hui');
INSERT INTO `lang_definitions` VALUES (44092, 2459, 9, 'Date de services de contraception initialement prévu');
INSERT INTO `lang_definitions` VALUES (44093, 2460, 9, 'Date de création');
INSERT INTO `lang_definitions` VALUES (44094, 2461, 9, 'Date de décès');
INSERT INTO `lang_definitions` VALUES (44095, 2462, 9, 'Date de déstruction');
INSERT INTO `lang_definitions` VALUES (44096, 2463, 9, 'Format d\'affichage des dates');
INSERT INTO `lang_definitions` VALUES (44097, 2464, 9, 'Format de la date de \"fin de rendez-vous\" n\'est pas valide');
INSERT INTO `lang_definitions` VALUES (44098, 2465, 9, 'Format de la date de \"début du rendez-\" n\'est pas valide');
INSERT INTO `lang_definitions` VALUES (44099, 2466, 9, 'Format de date pour \"Prochain rendez-vous\" n\'est pas valide');
INSERT INTO `lang_definitions` VALUES (44100, 2467, 9, 'Format de la date de \"jamais vu depuis\" n\'est pas valide');
INSERT INTO `lang_definitions` VALUES (44101, 2469, 9, 'Format de date pour \"vu depuis\" n\'est pas valide');
INSERT INTO `lang_definitions` VALUES (44102, 2470, 9, 'Date de vaccination des déclarations de l\'information tenu');
INSERT INTO `lang_definitions` VALUES (44103, 2471, 9, 'Manque la Date pour le code');
INSERT INTO `lang_definitions` VALUES (44104, 2472, 9, 'Date de Critère principal');
INSERT INTO `lang_definitions` VALUES (44105, 2475, 9, 'Date de dépôt bancaire aaaa-mm-jj');
INSERT INTO `lang_definitions` VALUES (44106, 2477, 9, 'Date de naissance');
INSERT INTO `lang_definitions` VALUES (44107, 2478, 9, 'Date de naissance');
INSERT INTO `lang_definitions` VALUES (44108, 2479, 9, 'Date de naissance');
INSERT INTO `lang_definitions` VALUES (44109, 2483, 9, 'Date de l\'accident');
INSERT INTO `lang_definitions` VALUES (44110, 2487, 9, 'Date de paiement aaaa-mm-jj');
INSERT INTO `lang_definitions` VALUES (44111, 2489, 9, 'Date de saisine');
INSERT INTO `lang_definitions` VALUES (44112, 2491, 9, 'Date de réponse');
INSERT INTO `lang_definitions` VALUES (44113, 2495, 9, 'Date du service');
INSERT INTO `lang_definitions` VALUES (44114, 2496, 9, 'Date du service = Aujourd\'hui');
INSERT INTO `lang_definitions` VALUES (44115, 2498, 9, 'Date du service mm/jj/aaaa');
INSERT INTO `lang_definitions` VALUES (44116, 2499, 9, 'Date du service:');
INSERT INTO `lang_definitions` VALUES (44117, 2500, 9, 'Date de signature');
INSERT INTO `lang_definitions` VALUES (44118, 2503, 9, 'Date de cette commande');
INSERT INTO `lang_definitions` VALUES (44119, 2504, 9, 'Date du présent rapport');
INSERT INTO `lang_definitions` VALUES (44120, 2505, 9, 'Date de déclaration VIS');
INSERT INTO `lang_definitions` VALUES (44121, 2506, 9, 'Date de commande');
INSERT INTO `lang_definitions` VALUES (44122, 2509, 9, 'Sélecteur de Date');
INSERT INTO `lang_definitions` VALUES (44123, 2510, 9, 'Date d\'envoi');
INSERT INTO `lang_definitions` VALUES (44124, 2513, 9, 'La date ne peut être vide.');
INSERT INTO `lang_definitions` VALUES (44125, 2516, 9, 'Date/Appt');
INSERT INTO `lang_definitions` VALUES (44126, 2517, 9, 'Date/Notes');
INSERT INTO `lang_definitions` VALUES (44127, 2518, 9, 'Date/Notes de dernière');
INSERT INTO `lang_definitions` VALUES (44128, 2519, 9, 'Date/Heure');
INSERT INTO `lang_definitions` VALUES (44129, 2520, 9, 'Date:');
INSERT INTO `lang_definitions` VALUES (44130, 2526, 9, 'Jour');
INSERT INTO `lang_definitions` VALUES (44131, 2527, 9, 'jour');
INSERT INTO `lang_definitions` VALUES (44132, 2530, 9, 'Vue quotidienne');
INSERT INTO `lang_definitions` VALUES (44133, 2531, 9, 'Jour(s)');
INSERT INTO `lang_definitions` VALUES (44134, 2532, 9, 'Jour(s) M-F');
INSERT INTO `lang_definitions` VALUES (44135, 2533, 9, 'jours');
INSERT INTO `lang_definitions` VALUES (44136, 2534, 9, 'Jours');
INSERT INTO `lang_definitions` VALUES (44137, 2535, 9, 'jours avant');
INSERT INTO `lang_definitions` VALUES (44138, 2536, 9, 'Jours et Jeux manqués');
INSERT INTO `lang_definitions` VALUES (44139, 2537, 9, 'Jours depuis dernière Rencontre');
INSERT INTO `lang_definitions` VALUES (44140, 2538, 9, 'jours manqués');
INSERT INTO `lang_definitions` VALUES (44141, 2541, 9, 'Jours par colonne:');
INSERT INTO `lang_definitions` VALUES (44142, 2543, 9, 'Jours/Col:');
INSERT INTO `lang_definitions` VALUES (44143, 2544, 9, 'BD installée');
INSERT INTO `lang_definitions` VALUES (44144, 2545, 9, 'JJ/MM/AAAA');
INSERT INTO `lang_definitions` VALUES (44145, 2546, 9, 'Dés-identification');
INSERT INTO `lang_definitions` VALUES (44146, 2547, 9, 'Processus de dés-identification est terminé');
INSERT INTO `lang_definitions` VALUES (44147, 2548, 9, 'Processus de dés-identification est en cours');
INSERT INTO `lang_definitions` VALUES (44148, 2549, 9, 'Processus de dés-identification est démarré et s\'exécute en arrière-plan');
INSERT INTO `lang_definitions` VALUES (44149, 2550, 9, 'Données dépersonnalisées peuvent ne pas être complète');
INSERT INTO `lang_definitions` VALUES (44150, 2551, 9, 'Fichiers dés-identification seront sauvegardés dans');
INSERT INTO `lang_definitions` VALUES (44151, 2552, 9, 'DEA');
INSERT INTO `lang_definitions` VALUES (44152, 2558, 9, 'Sourd');
INSERT INTO `lang_definitions` VALUES (44153, 2562, 9, 'informations de débogage');
INSERT INTO `lang_definitions` VALUES (44154, 2565, 9, 'Dec.');
INSERT INTO `lang_definitions` VALUES (44155, 2567, 9, 'Décédé');
INSERT INTO `lang_definitions` VALUES (44156, 2574, 9, 'Décembre');
INSERT INTO `lang_definitions` VALUES (44157, 2580, 9, 'Déductible');
INSERT INTO `lang_definitions` VALUES (44158, 2583, 9, 'Par défaut');
INSERT INTO `lang_definitions` VALUES (44159, 2585, 9, 'Afficher Calendrier par défaut');
INSERT INTO `lang_definitions` VALUES (44160, 2587, 9, 'ID formulaire par défaut des Rencontres');
INSERT INTO `lang_definitions` VALUES (44161, 2589, 9, 'Facilité par défaut');
INSERT INTO `lang_definitions` VALUES (44162, 2594, 9, 'Langue par défaut');
INSERT INTO `lang_definitions` VALUES (44163, 2595, 9, 'Langue par défaut si aucune autre n\'est autorisé ou choisi.');
INSERT INTO `lang_definitions` VALUES (44164, 2598, 9, 'Liste par défaut (écrire, ajouter seulement en option)');
INSERT INTO `lang_definitions` VALUES (44165, 2600, 9, 'Méthode par défaut');
INSERT INTO `lang_definitions` VALUES (44166, 2601, 9, 'Délai en Jours d\'expiration du mot de passe par défaut');
INSERT INTO `lang_definitions` VALUES (44167, 2602, 9, 'Période d\'expiration par défaut du mot de passe en jours. 0 signifie que cette fonctionnalité est désactivée.');
INSERT INTO `lang_definitions` VALUES (44168, 2607, 9, 'Fournisseur par défaut');
INSERT INTO `lang_definitions` VALUES (44169, 2609, 9, 'Plage par défaut');
INSERT INTO `lang_definitions` VALUES (44170, 2610, 9, 'Motif de la visite par défaut');
INSERT INTO `lang_definitions` VALUES (44171, 2615, 9, 'Paramètre par défaut');
INSERT INTO `lang_definitions` VALUES (44172, 2618, 9, 'Modèle par défaut');
INSERT INTO `lang_definitions` VALUES (44173, 2624, 9, 'Unités par défaut');
INSERT INTO `lang_definitions` VALUES (44174, 2626, 9, 'Valeur par défaut');
INSERT INTO `lang_definitions` VALUES (44175, 2628, 9, 'Entrepôt par défaut');
INSERT INTO `lang_definitions` VALUES (44176, 2629, 9, 'Partenaire X12 par défaut');
INSERT INTO `lang_definitions` VALUES (44177, 2630, 9, 'Défaut / Global');
INSERT INTO `lang_definitions` VALUES (44178, 2635, 9, 'Sup.');
INSERT INTO `lang_definitions` VALUES (44179, 2636, 9, 'sup.');
INSERT INTO `lang_definitions` VALUES (44180, 2637, 9, 'Pecurrence différée (> 12 Mo)');
INSERT INTO `lang_definitions` VALUES (44181, 2638, 9, 'Supprimer');
INSERT INTO `lang_definitions` VALUES (44182, 2639, 9, 'supprimer');
INSERT INTO `lang_definitions` VALUES (44183, 2640, 9, 'Supprimer les catégories avec ID(s):');
INSERT INTO `lang_definitions` VALUES (44184, 2641, 9, 'Supprimer Catégorie');
INSERT INTO `lang_definitions` VALUES (44185, 2645, 9, 'Supprimer groupe');
INSERT INTO `lang_definitions` VALUES (44186, 2646, 9, 'Supprimer liste');
INSERT INTO `lang_definitions` VALUES (44187, 2648, 9, 'Supprimer des pages');
INSERT INTO `lang_definitions` VALUES (44188, 2649, 9, 'Supprimer Patient, Rencontre, formulaire, Problème, Document, Paiement, Facturation ou Transaction');
INSERT INTO `lang_definitions` VALUES (44189, 2651, 9, 'Supprimer ligne');
INSERT INTO `lang_definitions` VALUES (44190, 2652, 9, 'Supprimer éléments sélectionnés');
INSERT INTO `lang_definitions` VALUES (44191, 2655, 9, 'Suppression avec succès.');
INSERT INTO `lang_definitions` VALUES (44192, 2656, 9, 'Supprimer ce document');
INSERT INTO `lang_definitions` VALUES (44193, 2657, 9, 'Supprimer ce formulaire');
INSERT INTO `lang_definitions` VALUES (44194, 2659, 9, 'Supprimer cette note');
INSERT INTO `lang_definitions` VALUES (44195, 2661, 9, 'Supprimé avec succès.');
INSERT INTO `lang_definitions` VALUES (44196, 2671, 9, 'Démence');
INSERT INTO `lang_definitions` VALUES (44197, 2673, 9, 'Données démographiques');
INSERT INTO `lang_definitions` VALUES (44198, 2674, 9, 'Données démographiques (écriture, ajouter seulement en option)');
INSERT INTO `lang_definitions` VALUES (44199, 2678, 9, 'Données démographiques critères de recherche');
INSERT INTO `lang_definitions` VALUES (44200, 2680, 9, 'Données démographiques non autorisés');
INSERT INTO `lang_definitions` VALUES (44201, 2681, 9, 'Données démographiques non autorisés.');
INSERT INTO `lang_definitions` VALUES (44202, 2684, 9, 'Dénominateur');
INSERT INTO `lang_definitions` VALUES (44203, 2687, 9, 'Dentaire');
INSERT INTO `lang_definitions` VALUES (44204, 2689, 9, 'Problèmes dentaires');
INSERT INTO `lang_definitions` VALUES (44205, 2694, 9, 'Selon le type de facture que vous testez, vous verrez une sortie similaire à HCFA sur une page vierge pour les factures HCFA, vous verrez de nombreuses lignes de texte et information quelque peu déformé si vous testez une réclamation X12. Ce texte déformé est le format X12 EDI 4010A. Occasionnellement, vous verrez caractères étranges qui ressemblent aux dominos ou tildes, ce sont les caractères de contrôle tels que les sauts de page et sont normales.');
INSERT INTO `lang_definitions` VALUES (44206, 2696, 9, 'Date dépôt');
INSERT INTO `lang_definitions` VALUES (44207, 2697, 9, 'Date dépôt ne peut pas être supérieur à Aujourd\'hui');
INSERT INTO `lang_definitions` VALUES (44208, 2698, 9, 'Date dépôt:');
INSERT INTO `lang_definitions` VALUES (44209, 2699, 9, 'Déprimé');
INSERT INTO `lang_definitions` VALUES (44210, 2700, 9, 'Dépression');
INSERT INTO `lang_definitions` VALUES (44211, 2706, 9, 'Description');
INSERT INTO `lang_definitions` VALUES (44212, 2707, 9, 'description');
INSERT INTO `lang_definitions` VALUES (44213, 2709, 9, 'Description de la divulgation');
INSERT INTO `lang_definitions` VALUES (44214, 2710, 9, 'Description de cette procédure ou le code résultat');
INSERT INTO `lang_definitions` VALUES (44215, 2711, 9, 'Traduction de la description');
INSERT INTO `lang_definitions` VALUES (44216, 2713, 9, 'Destination');
INSERT INTO `lang_definitions` VALUES (44217, 2714, 9, 'Nom du fichier destination');
INSERT INTO `lang_definitions` VALUES (44218, 2716, 9, 'Détruire lot');
INSERT INTO `lang_definitions` VALUES (44219, 2717, 9, 'Détruire...');
INSERT INTO `lang_definitions` VALUES (44220, 2718, 9, 'Détruite');
INSERT INTO `lang_definitions` VALUES (44221, 2719, 9, 'Médicaments détruits');
INSERT INTO `lang_definitions` VALUES (44222, 2720, 9, 'Rapport de destruction des Médicaments');
INSERT INTO `lang_definitions` VALUES (44223, 2721, 9, 'Détail');
INSERT INTO `lang_definitions` VALUES (44224, 2726, 9, 'Détails');
INSERT INTO `lang_definitions` VALUES (44225, 2728, 9, 'Developmental anomalie');
INSERT INTO `lang_definitions` VALUES (44226, 2730, 9, 'Diabète');
INSERT INTO `lang_definitions` VALUES (44227, 2731, 9, 'Diabète');
INSERT INTO `lang_definitions` VALUES (44228, 2732, 9, 'Diabète: gestion de la pression artérielle (CQM)');
INSERT INTO `lang_definitions` VALUES (44229, 2733, 9, 'Diabète: examen de la vue');
INSERT INTO `lang_definitions` VALUES (44230, 2734, 9, 'Diabète: examen des yeux (CQM)');
INSERT INTO `lang_definitions` VALUES (44231, 2735, 9, 'Diabète: examen des pieds');
INSERT INTO `lang_definitions` VALUES (44232, 2736, 9, 'Diabète: examen des pieds (CQM)');
INSERT INTO `lang_definitions` VALUES (44233, 2737, 9, 'Diabète: Faible contrôle HbA1c (CQM)');
INSERT INTO `lang_definitions` VALUES (44234, 2738, 9, 'Diabète: Hémoglobine A1C');
INSERT INTO `lang_definitions` VALUES (44235, 2739, 9, 'Diabète: Gestion et de contrôle LDL (CQM)');
INSERT INTO `lang_definitions` VALUES (44236, 2740, 9, 'Diabète: Microalbumine urinaire');
INSERT INTO `lang_definitions` VALUES (44237, 2741, 9, 'Diagnostic');
INSERT INTO `lang_definitions` VALUES (44238, 2743, 9, 'Diagnostic');
INSERT INTO `lang_definitions` VALUES (44239, 2744, 9, 'Code diagnostic');
INSERT INTO `lang_definitions` VALUES (44240, 2747, 9, 'Date diagnostic');
INSERT INTO `lang_definitions` VALUES (44241, 2749, 9, 'Le diagnostic doit être codé en une rencontre liée');
INSERT INTO `lang_definitions` VALUES (44242, 2750, 9, 'Nom Diagnostic');
INSERT INTO `lang_definitions` VALUES (44243, 2751, 9, 'Rapport de diagnostic');
INSERT INTO `lang_definitions` VALUES (44244, 2754, 9, 'Titre Diagnostic');
INSERT INTO `lang_definitions` VALUES (44245, 2755, 9, 'Diagnostic:');
INSERT INTO `lang_definitions` VALUES (44246, 2756, 9, 'Diagnostic:');
INSERT INTO `lang_definitions` VALUES (44247, 2758, 9, 'Tests de diagnostic:');
INSERT INTO `lang_definitions` VALUES (44248, 2760, 9, 'Cadrans');
INSERT INTO `lang_definitions` VALUES (44249, 2763, 9, 'Diaphragmes / Casquettes');
INSERT INTO `lang_definitions` VALUES (44250, 2764, 9, 'Diarrhée');
INSERT INTO `lang_definitions` VALUES (44251, 2767, 9, 'Dictée');
INSERT INTO `lang_definitions` VALUES (44252, 2768, 9, 'Dictée:');
INSERT INTO `lang_definitions` VALUES (44253, 2769, 9, 'Avez-vous reçu une copie de l\'avis HIPAA?');
INSERT INTO `lang_definitions` VALUES (44254, 2770, 9, 'Diffuse:');
INSERT INTO `lang_definitions` VALUES (44255, 2771, 9, 'Signé numériquement');
INSERT INTO `lang_definitions` VALUES (44256, 2781, 9, 'Publipostage direct');
INSERT INTO `lang_definitions` VALUES (44257, 2787, 9, 'Nom du Directeur');
INSERT INTO `lang_definitions` VALUES (44258, 2789, 9, 'Handicap');
INSERT INTO `lang_definitions` VALUES (44259, 2794, 9, 'Désactiver Calendrier');
INSERT INTO `lang_definitions` VALUES (44260, 2795, 9, 'Désactiver Graphique Suivi');
INSERT INTO `lang_definitions` VALUES (44261, 2798, 9, 'Désactiver Vaccination');
INSERT INTO `lang_definitions` VALUES (44262, 2800, 9, 'Désactiver Formulaire Ancien métrique des signes vitaux');
INSERT INTO `lang_definitions` VALUES (44263, 2802, 9, 'Désactiver phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (44264, 2803, 9, 'Désactiver Prescriptions');
INSERT INTO `lang_definitions` VALUES (44265, 2804, 9, 'Désactiver Groupes d\'utilisateurs');
INSERT INTO `lang_definitions` VALUES (44266, 2805, 9, 'handicapé');
INSERT INTO `lang_definitions` VALUES (44267, 2806, 9, 'Handicapé');
INSERT INTO `lang_definitions` VALUES (44268, 2812, 9, 'DISQUE');
INSERT INTO `lang_definitions` VALUES (44269, 2815, 9, 'Refoulement');
INSERT INTO `lang_definitions` VALUES (44270, 2816, 9, 'Refoulement de l\'urètre');
INSERT INTO `lang_definitions` VALUES (44271, 2818, 9, 'Refoulement à droite');
INSERT INTO `lang_definitions` VALUES (44272, 2819, 9, 'Refoulement à droite:');
INSERT INTO `lang_definitions` VALUES (44273, 2825, 9, 'Divulgation info');
INSERT INTO `lang_definitions` VALUES (44274, 2826, 9, 'Type Divulgation');
INSERT INTO `lang_definitions` VALUES (44275, 2827, 9, 'Types Divulgation');
INSERT INTO `lang_definitions` VALUES (44276, 2828, 9, 'Divulgations');
INSERT INTO `lang_definitions` VALUES (44277, 2833, 9, 'Remise');
INSERT INTO `lang_definitions` VALUES (44278, 2834, 9, 'Montant de remise');
INSERT INTO `lang_definitions` VALUES (44279, 2835, 9, 'Niveau de remise');
INSERT INTO `lang_definitions` VALUES (44280, 2836, 9, 'Taux de remise');
INSERT INTO `lang_definitions` VALUES (44281, 2837, 9, 'Réductions au montant en numéraire');
INSERT INTO `lang_definitions` VALUES (44282, 2838, 9, 'Réductions au moment du contrôle sont entrés comme montants, par opposition au pourcentage.');
INSERT INTO `lang_definitions` VALUES (44283, 2839, 9, 'Résultat discret');
INSERT INTO `lang_definitions` VALUES (44284, 2841, 9, 'Maladie');
INSERT INTO `lang_definitions` VALUES (44285, 2843, 9, 'Luxation');
INSERT INTO `lang_definitions` VALUES (44286, 2848, 9, 'Expédition');
INSERT INTO `lang_definitions` VALUES (44287, 2849, 9, 'Expédition document reçu');
INSERT INTO `lang_definitions` VALUES (44288, 2853, 9, 'Distribué');
INSERT INTO `lang_definitions` VALUES (44289, 2856, 9, 'Afficher les pré-arrangements dans l\'écran démographie');
INSERT INTO `lang_definitions` VALUES (44290, 2859, 9, 'Afficher les dates d\'évènements dans le bloc?');
INSERT INTO `lang_definitions` VALUES (44291, 2861, 9, 'Afficher combien d\'évènements');
INSERT INTO `lang_definitions` VALUES (44292, 2866, 9, 'Afficher le nom');
INSERT INTO `lang_definitions` VALUES (44293, 2868, 9, 'Afficher le calendrier?');
INSERT INTO `lang_definitions` VALUES (44294, 2875, 9, 'Afficher dans le bloc les évènements du jour?');
INSERT INTO `lang_definitions` VALUES (44295, 2876, 9, 'Afficher dans le bloc les sujets?');
INSERT INTO `lang_definitions` VALUES (44296, 2877, 9, 'Afficher dans le bloc les évènements à venir?');
INSERT INTO `lang_definitions` VALUES (44297, 2879, 9, 'Colonnes visibles');
INSERT INTO `lang_definitions` VALUES (44298, 2880, 9, 'Passer au numéro suivant de la liste des divulgations récentes:');
INSERT INTO `lang_definitions` VALUES (44299, 2882, 9, 'Passer au numéro suivant de la liste de notes récentes:');
INSERT INTO `lang_definitions` VALUES (44300, 2883, 9, 'Passer au numéro suivant de la liste de notes récentes');
INSERT INTO `lang_definitions` VALUES (44301, 2890, 9, 'Distribution');
INSERT INTO `lang_definitions` VALUES (44302, 2891, 9, 'Distributions');
INSERT INTO `lang_definitions` VALUES (44303, 2892, 9, 'Distributeur');
INSERT INTO `lang_definitions` VALUES (44304, 2897, 9, 'Sigmoïdite');
INSERT INTO `lang_definitions` VALUES (44305, 2898, 9, 'Chirurgie pour diverticulite');
INSERT INTO `lang_definitions` VALUES (44306, 2899, 9, 'Diverticulite');
INSERT INTO `lang_definitions` VALUES (44307, 2900, 9, 'Chirurgie pour diverticulite');
INSERT INTO `lang_definitions` VALUES (44308, 2901, 9, 'Divorcé');
INSERT INTO `lang_definitions` VALUES (44309, 2902, 9, 'Vertiges:');
INSERT INTO `lang_definitions` VALUES (44310, 2905, 9, 'Ne pas modifier');
INSERT INTO `lang_definitions` VALUES (44311, 2912, 9, 'Ne pas afficher le calendrier.');
INSERT INTO `lang_definitions` VALUES (44312, 2916, 9, 'Pas d\'inventaire et vente de produits');
INSERT INTO `lang_definitions` VALUES (44313, 2919, 9, 'Ne nécessite pas une autorisation écrite du patient');
INSERT INTO `lang_definitions` VALUES (44314, 2920, 9, 'Prescription de non-réanimation');
INSERT INTO `lang_definitions` VALUES (44315, 2921, 9, 'ne pas enregistrer');
INSERT INTO `lang_definitions` VALUES (44316, 2922, 9, 'ne pas substituer');
INSERT INTO `lang_definitions` VALUES (44317, 2925, 9, 'ne rien faire');
INSERT INTO `lang_definitions` VALUES (44318, 2929, 9, 'Voulez-vous vraiment supprimer');
INSERT INTO `lang_definitions` VALUES (44319, 2930, 9, 'Voulez-vous vraiment supprimer la sélection?');
INSERT INTO `lang_definitions` VALUES (44320, 2931, 9, 'Voulez-vous vraiment supprimer ce groupe');
INSERT INTO `lang_definitions` VALUES (44321, 2934, 9, 'Voulez-vous continuer?');
INSERT INTO `lang_definitions` VALUES (44322, 2935, 9, 'Voulez-vous supprimer cet élément?');
INSERT INTO `lang_definitions` VALUES (44323, 2936, 9, 'Voulez-vous supprimer?');
INSERT INTO `lang_definitions` VALUES (44324, 2937, 9, 'Voulez-vous supprimer cet enregistrement?');
INSERT INTO `lang_definitions` VALUES (44325, 2938, 9, 'Vous désirez continuer l\'ajout de ce nouveau patient?');
INSERT INTO `lang_definitions` VALUES (44326, 2939, 9, 'Vous désirez continuer sous le nouveau nom?');
INSERT INTO `lang_definitions` VALUES (44327, 2940, 9, 'Vous désirez supprimer DEFINITIVEMENT ce dossier de vaccination?');
INSERT INTO `lang_definitions` VALUES (44328, 2942, 9, 'La date des naissance est manquante, fournir si disponible');
INSERT INTO `lang_definitions` VALUES (44329, 2944, 9, 'Documents');
INSERT INTO `lang_definitions` VALUES (44330, 2945, 9, 'Médecin');
INSERT INTO `lang_definitions` VALUES (44331, 2946, 9, 'Médecin:');
INSERT INTO `lang_definitions` VALUES (44332, 2947, 9, 'Nom du médecin et signature');
INSERT INTO `lang_definitions` VALUES (44333, 2948, 9, 'Document');
INSERT INTO `lang_definitions` VALUES (44334, 2949, 9, 'document');
INSERT INTO `lang_definitions` VALUES (44335, 2951, 9, 'Catégories document');
INSERT INTO `lang_definitions` VALUES (44336, 2958, 9, 'Document ne peut être attaché à l\'identification du patient');
INSERT INTO `lang_definitions` VALUES (44337, 2960, 9, 'Date du document');
INSERT INTO `lang_definitions` VALUES (44338, 2961, 9, 'Date et version du document modifiés avec succès');
INSERT INTO `lang_definitions` VALUES (44339, 2962, 9, 'Nº du document');
INSERT INTO `lang_definitions` VALUES (44340, 2965, 9, 'Document déplacé vers la nouvelle catégorie');
INSERT INTO `lang_definitions` VALUES (44341, 2966, 9, 'Document attaché à l\'identification du patient');
INSERT INTO `lang_definitions` VALUES (44342, 2968, 9, 'Vérification d\'intégrité du Document passé.');
INSERT INTO `lang_definitions` VALUES (44343, 2970, 9, 'Document renommé avec succès.');
INSERT INTO `lang_definitions` VALUES (44344, 2976, 9, 'Lieu Document/Imagerie');
INSERT INTO `lang_definitions` VALUES (44345, 2978, 9, 'Documents');
INSERT INTO `lang_definitions` VALUES (44346, 2980, 9, 'Documents (écriture, addonly optionnel)');
INSERT INTO `lang_definitions` VALUES (44347, 2989, 9, 'Date d\'entrée');
INSERT INTO `lang_definitions` VALUES (44348, 2998, 9, 'Ne pas sauvegarder');
INSERT INTO `lang_definitions` VALUES (44349, 2999, 9, 'Ne pas sauvegarder');
INSERT INTO `lang_definitions` VALUES (44350, 3000, 9, 'Ne pas sauvegarder les changements');
INSERT INTO `lang_definitions` VALUES (44351, 3002, 9, 'Terminé');
INSERT INTO `lang_definitions` VALUES (44352, 3004, 9, 'Effectué avec:');
INSERT INTO `lang_definitions` VALUES (44353, 3005, 9, 'Terminé. Envoi du téléchargement');
INSERT INTO `lang_definitions` VALUES (44354, 3007, 9, 'Posologie');
INSERT INTO `lang_definitions` VALUES (44355, 3011, 9, 'Double-cliquez pour éditer');
INSERT INTO `lang_definitions` VALUES (44356, 3013, 9, 'Vision Double');
INSERT INTO `lang_definitions` VALUES (44357, 3014, 9, 'Télécharger');
INSERT INTO `lang_definitions` VALUES (44358, 3019, 9, 'Télécharger dans tout les cas');
INSERT INTO `lang_definitions` VALUES (44359, 3020, 9, 'Télécharger la facturation, la posté à la comptabilité la marquer comme facturé');
INSERT INTO `lang_definitions` VALUES (44360, 3022, 9, 'Télécharger les certificats');
INSERT INTO `lang_definitions` VALUES (44361, 3023, 9, 'Télécharger les données de configuration');
INSERT INTO `lang_definitions` VALUES (44362, 3027, 9, 'télécharger le fichier crypté');
INSERT INTO `lang_definitions` VALUES (44363, 3037, 9, 'Télécharger les déclarations sélectionnées');
INSERT INTO `lang_definitions` VALUES (44364, 3039, 9, 'Contrôle du Dr');
INSERT INTO `lang_definitions` VALUES (44365, 3040, 9, 'Visite du Dr');
INSERT INTO `lang_definitions` VALUES (44366, 3041, 9, 'Dr');
INSERT INTO `lang_definitions` VALUES (44367, 3045, 9, 'Glissez pour déplacer');
INSERT INTO `lang_definitions` VALUES (44368, 3047, 9, 'Dribble');
INSERT INTO `lang_definitions` VALUES (44369, 3048, 9, 'Permis de conduire ou de N° Identification');
INSERT INTO `lang_definitions` VALUES (44370, 3050, 9, 'Médicament');
INSERT INTO `lang_definitions` VALUES (44371, 3053, 9, 'Chercheur médicaments');
INSERT INTO `lang_definitions` VALUES (44372, 3054, 9, 'Formes médicamenteuse');
INSERT INTO `lang_definitions` VALUES (44373, 3055, 9, 'ID du médicament manquant!');
INSERT INTO `lang_definitions` VALUES (44374, 3057, 9, 'Inventaire des médicaments');
INSERT INTO `lang_definitions` VALUES (44375, 3059, 9, 'Nom du médicament');
INSERT INTO `lang_definitions` VALUES (44376, 3061, 9, 'Voies du médicament');
INSERT INTO `lang_definitions` VALUES (44377, 3066, 9, 'Unités du médicament');
INSERT INTO `lang_definitions` VALUES (44378, 3072, 9, 'Médicaments');
INSERT INTO `lang_definitions` VALUES (44379, 3073, 9, 'Produits et Médicaments');
INSERT INTO `lang_definitions` VALUES (44380, 3074, 9, 'Bouche sèche');
INSERT INTO `lang_definitions` VALUES (44381, 3087, 9, 'Due');
INSERT INTO `lang_definitions` VALUES (44382, 3088, 9, 'Date d\'échéance');
INSERT INTO `lang_definitions` VALUES (44383, 3090, 9, 'Date d\'échéance mm/jj/aaaa ou aaaa-mm-jj');
INSERT INTO `lang_definitions` VALUES (44384, 3091, 9, 'Date d\'échéance:');
INSERT INTO `lang_definitions` VALUES (44385, 3092, 9, 'Due Ins');
INSERT INTO `lang_definitions` VALUES (44386, 3093, 9, 'Due Pt');
INSERT INTO `lang_definitions` VALUES (44387, 3094, 9, 'Due Bientôt');
INSERT INTO `lang_definitions` VALUES (44388, 3095, 9, 'Etat échéance');
INSERT INTO `lang_definitions` VALUES (44389, 3096, 9, 'Mise à jour de Etat échéance');
INSERT INTO `lang_definitions` VALUES (44390, 3097, 9, 'Dumping de la base de données OpenEMR');
INSERT INTO `lang_definitions` VALUES (44391, 3098, 9, 'Dumping de l\'arborescence web OpenEMR');
INSERT INTO `lang_definitions` VALUES (44392, 3099, 9, 'Dumping de la base de données phpGACL');
INSERT INTO `lang_definitions` VALUES (44393, 3100, 9, 'Dumping de l\'arborescence web phpGACL');
INSERT INTO `lang_definitions` VALUES (44394, 3101, 9, 'Dumping de la base de données SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (44395, 3102, 9, 'Dumping de l\'arborescence web SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (44396, 3103, 9, 'Vérifiez Dup');
INSERT INTO `lang_definitions` VALUES (44397, 3108, 9, 'Numéro ID dupliqué sur la ligne');
INSERT INTO `lang_definitions` VALUES (44398, 3109, 9, 'Nom dupliqué sur la ligne');
INSERT INTO `lang_definitions` VALUES (44399, 3110, 9, 'AVERTISSEMENT DUPLICATION');
INSERT INTO `lang_definitions` VALUES (44400, 3111, 9, 'Procuration durable');
INSERT INTO `lang_definitions` VALUES (44401, 3112, 9, 'Durée');
INSERT INTO `lang_definitions` VALUES (44402, 3113, 9, 'durée');
INSERT INTO `lang_definitions` VALUES (44403, 3114, 9, 'Hollandais');
INSERT INTO `lang_definitions` VALUES (44404, 3117, 9, 'Dysphagie');
INSERT INTO `lang_definitions` VALUES (44405, 3118, 9, 'Dyspnée:');
INSERT INTO `lang_definitions` VALUES (44406, 3119, 9, 'Dysurie');
INSERT INTO `lang_definitions` VALUES (44407, 3128, 9, 'Procuration durable');
INSERT INTO `lang_definitions` VALUES (44408, 3132, 9, 'Renouvellement e-Rx');
INSERT INTO `lang_definitions` VALUES (44409, 3140, 9, 'Récidive précoce (<2 Mo)');
INSERT INTO `lang_definitions` VALUES (44410, 3141, 9, 'Oreilles');
INSERT INTO `lang_definitions` VALUES (44411, 3148, 9, 'ECG');
INSERT INTO `lang_definitions` VALUES (44412, 3152, 9, 'OEdème');
INSERT INTO `lang_definitions` VALUES (44413, 3157, 9, 'EDI-271 Fichier Upload');
INSERT INTO `lang_definitions` VALUES (44414, 3158, 9, 'EDI-271 Fichier Réponse Upload');
INSERT INTO `lang_definitions` VALUES (44415, 3159, 9, 'Editer');
INSERT INTO `lang_definitions` VALUES (44416, 3160, 9, 'éditer');
INSERT INTO `lang_definitions` VALUES (44417, 3161, 9, 'Editer les Allergies');
INSERT INTO `lang_definitions` VALUES (44418, 3163, 9, 'Editer les Catégories');
INSERT INTO `lang_definitions` VALUES (44419, 3165, 9, 'Editer les Définitions');
INSERT INTO `lang_definitions` VALUES (44420, 3166, 9, 'Editer les définitions');
INSERT INTO `lang_definitions` VALUES (44421, 3167, 9, 'Editer les Diagnostics pour');
INSERT INTO `lang_definitions` VALUES (44422, 3168, 9, 'Editer Divulgation');
INSERT INTO `lang_definitions` VALUES (44423, 3173, 9, 'Editer les Services');
INSERT INTO `lang_definitions` VALUES (44424, 3174, 9, 'Editer Facilité');
INSERT INTO `lang_definitions` VALUES (44425, 3175, 9, 'Editer les informations de Service');
INSERT INTO `lang_definitions` VALUES (44426, 3177, 9, 'Editer le fichier de');
INSERT INTO `lang_definitions` VALUES (44427, 3178, 9, 'Editer la forme');
INSERT INTO `lang_definitions` VALUES (44428, 3179, 9, 'Editer les paramètres globaux');
INSERT INTO `lang_definitions` VALUES (44429, 3183, 9, 'Editer mise en page');
INSERT INTO `lang_definitions` VALUES (44430, 3185, 9, 'Editer la liste');
INSERT INTO `lang_definitions` VALUES (44431, 3188, 9, 'Editer paiement');
INSERT INTO `lang_definitions` VALUES (44432, 3189, 9, 'Editer la structure');
INSERT INTO `lang_definitions` VALUES (44433, 3192, 9, 'Editer l\'utilisateur');
INSERT INTO `lang_definitions` VALUES (44434, 3193, 9, 'Editer les paramètres de l\'utilisateur');
INSERT INTO `lang_definitions` VALUES (44435, 3196, 9, 'Education');
INSERT INTO `lang_definitions` VALUES (44436, 3197, 9, 'Date Education');
INSERT INTO `lang_definitions` VALUES (44437, 3199, 9, 'Voir la Licence * GNU GPL pour plus de détails. * * Vous devriez avoir reçu une copie de la Licence Publique Générale GNU * avec ce programme, sinon, écrivez à Free');
INSERT INTO `lang_definitions` VALUES (44438, 3200, 9, 'Date d\'effet');
INSERT INTO `lang_definitions` VALUES (44439, 3202, 9, 'Efficacité');
INSERT INTO `lang_definitions` VALUES (44440, 3204, 9, 'EIN');
INSERT INTO `lang_definitions` VALUES (44441, 3207, 9, 'Ejaculations');
INSERT INTO `lang_definitions` VALUES (44442, 3208, 9, 'Coude');
INSERT INTO `lang_definitions` VALUES (44443, 3209, 9, 'Problèmes de coude');
INSERT INTO `lang_definitions` VALUES (44444, 3210, 9, 'Electronique');
INSERT INTO `lang_definitions` VALUES (44445, 3218, 9, 'Admissibilité');
INSERT INTO `lang_definitions` VALUES (44446, 3220, 9, 'Réponse d\'Admissibilité');
INSERT INTO `lang_definitions` VALUES (44447, 3223, 9, 'Admissible');
INSERT INTO `lang_definitions` VALUES (44448, 3225, 9, 'Courriel');
INSERT INTO `lang_definitions` VALUES (44449, 3228, 9, 'Courriel');
INSERT INTO `lang_definitions` VALUES (44450, 3230, 9, 'L\'adresse de réponse pour les courriels de rappel envoyés aux patients. Les réponses des patientes à leur courriel de rappel seront envoyés à cette adresse. Il est important d\'utiliser une adresse de réponse qui fait partie du domaine de votre clinique afin d\'empêcher que les réponses de vos patients ne sont retrouvent classées parmi les pourriels.');
INSERT INTO `lang_definitions` VALUES (44451, 3231, 9, 'Courriel, si disponible, pour recevoir les messages administratifs.');
INSERT INTO `lang_definitions` VALUES (44452, 3232, 9, 'Courriel, si disponible, pour recevoir l\'activation d\'urgence des login des usagers');
INSERT INTO `lang_definitions` VALUES (44453, 3271, 9, 'Emphysème');
INSERT INTO `lang_definitions` VALUES (44454, 3272, 9, 'Employé(e)');
INSERT INTO `lang_definitions` VALUES (44455, 3273, 9, 'Employeur');
INSERT INTO `lang_definitions` VALUES (44456, 3274, 9, 'Adresse de l\'employeur');
INSERT INTO `lang_definitions` VALUES (44457, 3275, 9, 'Information sur l\'employeur');
INSERT INTO `lang_definitions` VALUES (44458, 3276, 9, 'Nom de l\'employeur');
INSERT INTO `lang_definitions` VALUES (44459, 3277, 9, 'VIDE');
INSERT INTO `lang_definitions` VALUES (44460, 3278, 9, 'vide');
INSERT INTO `lang_definitions` VALUES (44461, 3281, 9, 'Aucune données pour \"Horaire de courriel\"');
INSERT INTO `lang_definitions` VALUES (44462, 3282, 9, 'Aucune entrée pour \"Expéditeur du courrier\"');
INSERT INTO `lang_definitions` VALUES (44463, 3283, 9, 'Aucune entrée pour \"Sujet du courrier\"');
INSERT INTO `lang_definitions` VALUES (44464, 3284, 9, 'Aucune entrée pour \"Texte du courrier\"');
INSERT INTO `lang_definitions` VALUES (44465, 3285, 9, 'Aucune entrée pour \"Nom du dispensateur\"');
INSERT INTO `lang_definitions` VALUES (44466, 3286, 9, 'Aucune entrée pour \"Mot de passe\"');
INSERT INTO `lang_definitions` VALUES (44467, 3287, 9, 'Aucune entrée pour \"Expéditeur du courrier\"');
INSERT INTO `lang_definitions` VALUES (44468, 3288, 9, 'Aucune entrée pour \"Texto\"');
INSERT INTO `lang_definitions` VALUES (44469, 3289, 9, 'Aucune entrée pour \"Nom d\'usager');
INSERT INTO `lang_definitions` VALUES (44470, 3312, 9, 'Activer le client SSL');
INSERT INTO `lang_definitions` VALUES (44471, 3313, 9, 'Activer la validation des certificats de client SSL');
INSERT INTO `lang_definitions` VALUES (44472, 3315, 9, 'Activer les Règles de Choix Cliniques (RCC)');
INSERT INTO `lang_definitions` VALUES (44473, 3318, 9, 'Création des rapports de Critères de Qualité Clinique (CQC)');
INSERT INTO `lang_definitions` VALUES (44474, 3324, 9, 'Création des rapports de Mesure de Qualité Clinique (CQC)');
INSERT INTO `lang_definitions` VALUES (44475, 3365, 9, 'Activer l\'accès à distance au portail patient');
INSERT INTO `lang_definitions` VALUES (44476, 3366, 9, 'Activer l\'accès à distance au portail patient.');
INSERT INTO `lang_definitions` VALUES (44477, 3368, 9, 'Activer l\'accès local au portail patient');
INSERT INTO `lang_definitions` VALUES (44478, 3371, 9, 'Activer l\'accès local au portail patient.');
INSERT INTO `lang_definitions` VALUES (44479, 3385, 9, 'Activer le widget de rappel patient');
INSERT INTO `lang_definitions` VALUES (44480, 3417, 9, 'Rencontre');
INSERT INTO `lang_definitions` VALUES (44481, 3418, 9, 'Rencontre');
INSERT INTO `lang_definitions` VALUES (44482, 3419, 9, 'rencontre');
INSERT INTO `lang_definitions` VALUES (44483, 3420, 9, 'Rencontre');
INSERT INTO `lang_definitions` VALUES (44484, 3427, 9, 'Date Rencontre');
INSERT INTO `lang_definitions` VALUES (44485, 3432, 9, 'Formulaires Rencontre');
INSERT INTO `lang_definitions` VALUES (44486, 3435, 9, 'N° Rencontre');
INSERT INTO `lang_definitions` VALUES (44487, 3439, 9, 'Numéro Rencontre');
INSERT INTO `lang_definitions` VALUES (44488, 3462, 9, 'Rencontre:');
INSERT INTO `lang_definitions` VALUES (44489, 3464, 9, 'Rencontres');
INSERT INTO `lang_definitions` VALUES (44490, 3472, 9, 'Fin');
INSERT INTO `lang_definitions` VALUES (44491, 3473, 9, 'Fin (aaaa-mm-jj):');
INSERT INTO `lang_definitions` VALUES (44492, 3474, 9, 'Date Fin');
INSERT INTO `lang_definitions` VALUES (44493, 3475, 9, 'Date fin');
INSERT INTO `lang_definitions` VALUES (44494, 3480, 9, 'Date fin doit être supérieur à date début');
INSERT INTO `lang_definitions` VALUES (44495, 3482, 9, 'Date Fin:');
INSERT INTO `lang_definitions` VALUES (44496, 3487, 9, 'Heure Fin');
INSERT INTO `lang_definitions` VALUES (44497, 3492, 9, 'Date de fin de service aaaa-mm-jj');
INSERT INTO `lang_definitions` VALUES (44498, 3494, 9, 'Heure fin de journée pour les événements du calendrier.');
INSERT INTO `lang_definitions` VALUES (44499, 3495, 9, 'Sang endocrinien anormal');
INSERT INTO `lang_definitions` VALUES (44500, 3496, 9, 'Endocrine');
INSERT INTO `lang_definitions` VALUES (44501, 3497, 9, 'Endoscopie');
INSERT INTO `lang_definitions` VALUES (44502, 3502, 9, 'Anglais');
INSERT INTO `lang_definitions` VALUES (44503, 3503, 9, 'Anglais');
INSERT INTO `lang_definitions` VALUES (44504, 3504, 9, 'Anglais (Indien)');
INSERT INTO `lang_definitions` VALUES (44505, 3505, 9, 'Anglais (Standard)');
INSERT INTO `lang_definitions` VALUES (44506, 3506, 9, 'Commande Enscript utilisé par Hylafax.');
INSERT INTO `lang_definitions` VALUES (44507, 3507, 9, 'Vérifier que OpenEMR a les privilèges d\'écriture dans le répertoire');
INSERT INTO `lang_definitions` VALUES (44508, 3529, 9, 'Entrer le diagnostic');
INSERT INTO `lang_definitions` VALUES (44509, 3530, 9, 'Entrer la liste des médicaments');
INSERT INTO `lang_definitions` VALUES (44510, 3537, 9, 'Entrer les vaccinations');
INSERT INTO `lang_definitions` VALUES (44511, 3602, 9, 'Épilepsie');
INSERT INTO `lang_definitions` VALUES (44512, 3612, 9, 'Effacer');
INSERT INTO `lang_definitions` VALUES (44513, 3614, 9, 'Érections');
INSERT INTO `lang_definitions` VALUES (44514, 3615, 9, 'Erreur');
INSERT INTO `lang_definitions` VALUES (44515, 3617, 9, 'L\'accusé réception des résulats de laboratoire a généré une erreur');
INSERT INTO `lang_definitions` VALUES (44516, 3709, 9, 'Évènement');
INSERT INTO `lang_definitions` VALUES (44517, 3731, 9, 'chaque/toutes');
INSERT INTO `lang_definitions` VALUES (44518, 3732, 9, 'Chaque/Toutes');
INSERT INTO `lang_definitions` VALUES (44519, 3734, 9, 'toutes les 3 heures');
INSERT INTO `lang_definitions` VALUES (44520, 3736, 9, 'toutes les 4 heures');
INSERT INTO `lang_definitions` VALUES (44521, 3738, 9, 'toutes les 5 heures');
INSERT INTO `lang_definitions` VALUES (44522, 3740, 9, 'toutes les 6 heures');
INSERT INTO `lang_definitions` VALUES (44523, 3742, 9, 'toutes les 8 heures');
INSERT INTO `lang_definitions` VALUES (44524, 3743, 9, 'Toutes les quatrième');
INSERT INTO `lang_definitions` VALUES (44525, 3745, 9, 'Toutes Autres');
INSERT INTO `lang_definitions` VALUES (44526, 3746, 9, 'Tous les troisièmes');
INSERT INTO `lang_definitions` VALUES (44527, 3750, 9, 'Résultats d\'examen');
INSERT INTO `lang_definitions` VALUES (44528, 3755, 9, 'Example');
INSERT INTO `lang_definitions` VALUES (44529, 3758, 9, 'Examples');
INSERT INTO `lang_definitions` VALUES (44530, 3784, 9, 'Aggrandir');
INSERT INTO `lang_definitions` VALUES (44531, 3785, 9, 'aggrandir');
INSERT INTO `lang_definitions` VALUES (44532, 3787, 9, 'Tout aggrandir');
INSERT INTO `lang_definitions` VALUES (44533, 3933, 9, 'Fax/Télécopie');
INSERT INTO `lang_definitions` VALUES (44534, 3934, 9, 'Nombre Fax');
INSERT INTO `lang_definitions` VALUES (44535, 3935, 9, 'Numéro FAX');
INSERT INTO `lang_definitions` VALUES (44536, 3941, 9, 'févr.');
INSERT INTO `lang_definitions` VALUES (44537, 3942, 9, 'Février');
INSERT INTO `lang_definitions` VALUES (44538, 3948, 9, 'Frais');
INSERT INTO `lang_definitions` VALUES (44539, 3949, 9, 'frais');
INSERT INTO `lang_definitions` VALUES (44540, 3950, 9, 'Frais non autorisés');
INSERT INTO `lang_definitions` VALUES (44541, 3951, 9, 'Note de Frais');
INSERT INTO `lang_definitions` VALUES (44542, 3953, 9, 'Options Note de Frais');
INSERT INTO `lang_definitions` VALUES (44543, 3955, 9, 'Frais');
INSERT INTO `lang_definitions` VALUES (44544, 3956, 9, 'Féminin');
INSERT INTO `lang_definitions` VALUES (44545, 3958, 9, 'Préservatifs Féminins');
INSERT INTO `lang_definitions` VALUES (44546, 3959, 9, 'Point G');
INSERT INTO `lang_definitions` VALUES (44547, 3962, 9, 'Symptômes Féminin');
INSERT INTO `lang_definitions` VALUES (44548, 3966, 9, 'Fièvre');
INSERT INTO `lang_definitions` VALUES (44549, 3967, 9, 'Fièvre:');
INSERT INTO `lang_definitions` VALUES (44550, 3968, 9, 'Problèmes sanguins FH');
INSERT INTO `lang_definitions` VALUES (44551, 3972, 9, 'Fibromes');
INSERT INTO `lang_definitions` VALUES (44552, 3986, 9, 'Fichier');
INSERT INTO `lang_definitions` VALUES (44553, 3991, 9, 'Gestion de Fichiers');
INSERT INTO `lang_definitions` VALUES (44554, 4004, 9, 'Nom Fichier');
INSERT INTO `lang_definitions` VALUES (44555, 4006, 9, 'Fichiers');
INSERT INTO `lang_definitions` VALUES (44556, 4011, 9, 'Philippin');
INSERT INTO `lang_definitions` VALUES (44557, 4013, 9, 'Remplissez une des ligne en dessous.');
INSERT INTO `lang_definitions` VALUES (44558, 4014, 9, 'Remplissez ici que si la notification est envoyé par email aux patients');
INSERT INTO `lang_definitions` VALUES (44559, 4023, 9, 'Complétez les valeurs ci-dessous');
INSERT INTO `lang_definitions` VALUES (44560, 4025, 9, 'Remplissez la ligne.');
INSERT INTO `lang_definitions` VALUES (44561, 4028, 9, 'Filter');
INSERT INTO `lang_definitions` VALUES (44562, 4029, 9, 'Filtre pour les constantes');
INSERT INTO `lang_definitions` VALUES (44563, 4030, 9, 'Filtre pour les définitions');
INSERT INTO `lang_definitions` VALUES (44564, 4032, 9, 'Filtres');
INSERT INTO `lang_definitions` VALUES (44565, 4034, 9, 'Final');
INSERT INTO `lang_definitions` VALUES (44566, 4035, 9, 'Diagnostic final');
INSERT INTO `lang_definitions` VALUES (44567, 4036, 9, 'Le diagnostic final par un spécialiste');
INSERT INTO `lang_definitions` VALUES (44568, 4038, 9, 'Financier');
INSERT INTO `lang_definitions` VALUES (44569, 4039, 9, 'Date de clôture financière (aaaa-mm-jj)');
INSERT INTO `lang_definitions` VALUES (44570, 4040, 9, 'Report Financier - tout');
INSERT INTO `lang_definitions` VALUES (44571, 4042, 9, 'Report Financier - mes visites');
INSERT INTO `lang_definitions` VALUES (44572, 4045, 9, 'Date de révision financière');
INSERT INTO `lang_definitions` VALUES (44573, 4048, 9, 'Trouver');
INSERT INTO `lang_definitions` VALUES (44574, 4049, 9, 'Trouver Disponible');
INSERT INTO `lang_definitions` VALUES (44575, 4050, 9, 'Trouver rendez-vous disponible');
INSERT INTO `lang_definitions` VALUES (44576, 4053, 9, 'Trouver un patient');
INSERT INTO `lang_definitions` VALUES (44577, 4054, 9, 'Trouver éducation des patients');
INSERT INTO `lang_definitions` VALUES (44578, 4056, 9, 'Résultats');
INSERT INTO `lang_definitions` VALUES (44579, 4057, 9, 'Les résultats par un spécialiste');
INSERT INTO `lang_definitions` VALUES (44580, 4058, 9, 'Bien');
INSERT INTO `lang_definitions` VALUES (44581, 4060, 9, 'Finition des Paiements');
INSERT INTO `lang_definitions` VALUES (44582, 4065, 9, 'Premier');
INSERT INTO `lang_definitions` VALUES (44583, 4068, 9, 'Premier jour de la semaine');
INSERT INTO `lang_definitions` VALUES (44584, 4071, 9, 'Prénom');
INSERT INTO `lang_definitions` VALUES (44585, 4072, 9, 'Prénom');
INSERT INTO `lang_definitions` VALUES (44586, 4073, 9, 'Prénom:');
INSERT INTO `lang_definitions` VALUES (44587, 4079, 9, 'Fitness');
INSERT INTO `lang_definitions` VALUES (44588, 4080, 9, 'Niveau de Fitness');
INSERT INTO `lang_definitions` VALUES (44589, 4081, 9, 'La condition physique pour ce joueur cette journée');
INSERT INTO `lang_definitions` VALUES (44590, 4083, 9, 'Fitness à jouer');
INSERT INTO `lang_definitions` VALUES (44591, 4084, 9, 'Fix rencontre dates - toutes les rencontres');
INSERT INTO `lang_definitions` VALUES (44592, 4086, 9, 'corriger ce');
INSERT INTO `lang_definitions` VALUES (44593, 4090, 9, 'flatulence');
INSERT INTO `lang_definitions` VALUES (44594, 4091, 9, 'Débit');
INSERT INTO `lang_definitions` VALUES (44595, 4108, 9, 'Saison grippale');
INSERT INTO `lang_definitions` VALUES (44596, 4109, 9, 'Saison grippale');
INSERT INTO `lang_definitions` VALUES (44597, 4110, 9, 'Vaccination contre la grippe');
INSERT INTO `lang_definitions` VALUES (44598, 4111, 9, 'Fluide et problème d\'électrolytes');
INSERT INTO `lang_definitions` VALUES (44599, 4114, 9, 'Suivez manuellement');
INSERT INTO `lang_definitions` VALUES (44600, 4116, 9, 'Suivi');
INSERT INTO `lang_definitions` VALUES (44601, 4119, 9, 'Raison de Suivi');
INSERT INTO `lang_definitions` VALUES (44602, 4121, 9, 'Voici une nouvelle constante personnalisée:');
INSERT INTO `lang_definitions` VALUES (44603, 4122, 9, 'Voici un nouveau langage personnalisé:');
INSERT INTO `lang_definitions` VALUES (44604, 4123, 9, 'Voici une nouvelle définition (Langue, Constant, Définition):');
INSERT INTO `lang_definitions` VALUES (44605, 4125, 9, 'Services de suivi');
INSERT INTO `lang_definitions` VALUES (44606, 4126, 9, 'Suivis indiqués');
INSERT INTO `lang_definitions` VALUES (44607, 4129, 9, 'Intolérance alimentaire');
INSERT INTO `lang_definitions` VALUES (44608, 4130, 9, 'Pied');
INSERT INTO `lang_definitions` VALUES (44609, 4131, 9, 'Problèmes de pied');
INSERT INTO `lang_definitions` VALUES (44610, 4132, 9, 'Pied:');
INSERT INTO `lang_definitions` VALUES (44611, 4133, 9, 'Blessures de football');
INSERT INTO `lang_definitions` VALUES (44612, 4135, 9, 'Rapport de blessure de football');
INSERT INTO `lang_definitions` VALUES (44613, 4136, 9, 'Type de chaussures');
INSERT INTO `lang_definitions` VALUES (44614, 4137, 9, 'pour');
INSERT INTO `lang_definitions` VALUES (44615, 4138, 9, 'Pour');
INSERT INTO `lang_definitions` VALUES (44616, 4144, 9, 'Pour le code');
INSERT INTO `lang_definitions` VALUES (44617, 4152, 9, 'Pour les réclamations Rencontre');
INSERT INTO `lang_definitions` VALUES (44618, 4154, 9, 'Par exemple:');
INSERT INTO `lang_definitions` VALUES (44619, 4161, 9, 'pour la facturation');
INSERT INTO `lang_definitions` VALUES (44620, 4176, 9, 'Pour le passé');
INSERT INTO `lang_definitions` VALUES (44621, 4188, 9, 'pour la variable');
INSERT INTO `lang_definitions` VALUES (44622, 4189, 9, 'pour:');
INSERT INTO `lang_definitions` VALUES (44623, 4194, 9, 'Avant-bras');
INSERT INTO `lang_definitions` VALUES (44624, 4195, 9, 'Formulaire');
INSERT INTO `lang_definitions` VALUES (44625, 4196, 9, 'formulaire');
INSERT INTO `lang_definitions` VALUES (44626, 4201, 9, 'Format');
INSERT INTO `lang_definitions` VALUES (44627, 4202, 9, 'format');
INSERT INTO `lang_definitions` VALUES (44628, 4204, 9, 'Format incorrect pour NDC');
INSERT INTO `lang_definitions` VALUES (44629, 4205, 9, 'Format utilisé pour afficher les dates.');
INSERT INTO `lang_definitions` VALUES (44630, 4206, 9, 'Format utilisé pour afficher le temps.');
INSERT INTO `lang_definitions` VALUES (44631, 4207, 9, 'Rapport formaté');
INSERT INTO `lang_definitions` VALUES (44632, 4208, 9, 'Ancien fumeur');
INSERT INTO `lang_definitions` VALUES (44633, 4209, 9, 'Formulaires');
INSERT INTO `lang_definitions` VALUES (44634, 4210, 9, 'Formulaires d\'administration');
INSERT INTO `lang_definitions` VALUES (44635, 4219, 9, 'Envoi Pages par fax');
INSERT INTO `lang_definitions` VALUES (44636, 4222, 9, 'Transmis');
INSERT INTO `lang_definitions` VALUES (44637, 4225, 9, 'Quatrième');
INSERT INTO `lang_definitions` VALUES (44638, 4227, 9, 'Fracture');
INSERT INTO `lang_definitions` VALUES (44639, 4235, 9, 'Français');
INSERT INTO `lang_definitions` VALUES (44640, 4238, 9, 'Fréquence');
INSERT INTO `lang_definitions` VALUES (44641, 4239, 9, 'Rhumes fréquents');
INSERT INTO `lang_definitions` VALUES (44642, 4240, 9, 'Maladie fréquente');
INSERT INTO `lang_definitions` VALUES (44643, 4241, 9, 'Ven.');
INSERT INTO `lang_definitions` VALUES (44644, 4242, 9, 'Vendredi');
INSERT INTO `lang_definitions` VALUES (44645, 4244, 9, 'De');
INSERT INTO `lang_definitions` VALUES (44646, 4245, 9, 'DE');
INSERT INTO `lang_definitions` VALUES (44647, 4246, 9, 'de');
INSERT INTO `lang_definitions` VALUES (44648, 4247, 9, 'Date De ne peut être supérieur à Date A.');
INSERT INTO `lang_definitions` VALUES (44649, 4253, 9, 'De :');
INSERT INTO `lang_definitions` VALUES (44650, 4254, 9, 'De :');
INSERT INTO `lang_definitions` VALUES (44651, 4278, 9, 'Nom');
INSERT INTO `lang_definitions` VALUES (44652, 4288, 9, 'Soldé');
INSERT INTO `lang_definitions` VALUES (44653, 4304, 9, 'Période du jeu');
INSERT INTO `lang_definitions` VALUES (44654, 4305, 9, 'Jeux');
INSERT INTO `lang_definitions` VALUES (44655, 4306, 9, 'Jeux manqués');
INSERT INTO `lang_definitions` VALUES (44656, 4307, 9, 'jeux / événements');
INSERT INTO `lang_definitions` VALUES (44657, 4308, 9, 'Jeux / Evénements manqués');
INSERT INTO `lang_definitions` VALUES (44658, 4310, 9, 'Gastrite');
INSERT INTO `lang_definitions` VALUES (44659, 4312, 9, 'Gastrointestinal');
INSERT INTO `lang_definitions` VALUES (44660, 4319, 9, 'Genre');
INSERT INTO `lang_definitions` VALUES (44661, 4320, 9, 'Genre');
INSERT INTO `lang_definitions` VALUES (44662, 4321, 9, 'Général');
INSERT INTO `lang_definitions` VALUES (44663, 4381, 9, 'Allemand');
INSERT INTO `lang_definitions` VALUES (44664, 4392, 9, 'Glaucome');
INSERT INTO `lang_definitions` VALUES (44665, 4403, 9, 'Aller');
INSERT INTO `lang_definitions` VALUES (44666, 4404, 9, 'aller');
INSERT INTO `lang_definitions` VALUES (44667, 4407, 9, 'Aller à');
INSERT INTO `lang_definitions` VALUES (44668, 4417, 9, 'Aller à la semaine du');
INSERT INTO `lang_definitions` VALUES (44669, 4418, 9, 'Aujourd\'hui');
INSERT INTO `lang_definitions` VALUES (44670, 4428, 9, 'Degré de traumatismes');
INSERT INTO `lang_definitions` VALUES (44671, 4429, 9, 'Grade:');
INSERT INTO `lang_definitions` VALUES (44672, 4430, 9, 'grammes');
INSERT INTO `lang_definitions` VALUES (44673, 4431, 9, 'Total général');
INSERT INTO `lang_definitions` VALUES (44674, 4432, 9, 'Totaux généraux');
INSERT INTO `lang_definitions` VALUES (44675, 4437, 9, 'Supérieur à');
INSERT INTO `lang_definitions` VALUES (44676, 4438, 9, 'Supérieur ou égal à');
INSERT INTO `lang_definitions` VALUES (44677, 4439, 9, 'Grecque');
INSERT INTO `lang_definitions` VALUES (44678, 4442, 9, 'Groupe');
INSERT INTO `lang_definitions` VALUES (44679, 4459, 9, 'Nom du groupe');
INSERT INTO `lang_definitions` VALUES (44680, 4471, 9, 'Groupe:');
INSERT INTO `lang_definitions` VALUES (44681, 4478, 9, 'gouttes');
INSERT INTO `lang_definitions` VALUES (44682, 4558, 9, 'Hauteur');
INSERT INTO `lang_definitions` VALUES (44683, 4560, 9, 'Aide');
INSERT INTO `lang_definitions` VALUES (44684, 4561, 9, 'aide');
INSERT INTO `lang_definitions` VALUES (44685, 4563, 9, 'Hématémèse');
INSERT INTO `lang_definitions` VALUES (44686, 4564, 9, 'Rectorragie');
INSERT INTO `lang_definitions` VALUES (44687, 4565, 9, 'Hématologie');
INSERT INTO `lang_definitions` VALUES (44688, 4566, 9, 'Hématurie');
INSERT INTO `lang_definitions` VALUES (44689, 4567, 9, 'Hémoglobine');
INSERT INTO `lang_definitions` VALUES (44690, 4568, 9, 'Hémoglobine A1C');
INSERT INTO `lang_definitions` VALUES (44691, 4569, 9, 'Hémoptysie');
INSERT INTO `lang_definitions` VALUES (44692, 4570, 9, 'Hépatite');
INSERT INTO `lang_definitions` VALUES (44693, 4571, 9, 'Hépatite A 1');
INSERT INTO `lang_definitions` VALUES (44694, 4572, 9, 'Hépatite A 2');
INSERT INTO `lang_definitions` VALUES (44695, 4573, 9, 'Hépatite B 1');
INSERT INTO `lang_definitions` VALUES (44696, 4574, 9, 'Hépatite B 2');
INSERT INTO `lang_definitions` VALUES (44697, 4575, 9, 'Hépatite B 3');
INSERT INTO `lang_definitions` VALUES (44698, 4576, 9, 'ici');
INSERT INTO `lang_definitions` VALUES (44699, 4580, 9, 'Cure d\'Hernie');
INSERT INTO `lang_definitions` VALUES (44700, 4581, 9, 'Hernie discale');
INSERT INTO `lang_definitions` VALUES (44701, 4582, 9, 'Herpès');
INSERT INTO `lang_definitions` VALUES (44702, 4585, 9, 'Hésitation');
INSERT INTO `lang_definitions` VALUES (44703, 4586, 9, 'heyyo. vous avez été ici pour');
INSERT INTO `lang_definitions` VALUES (44704, 4591, 9, 'Caché');
INSERT INTO `lang_definitions` VALUES (44705, 4592, 9, 'Evénements d\'Administration masqués');
INSERT INTO `lang_definitions` VALUES (44706, 4593, 9, 'Cacher');
INSERT INTO `lang_definitions` VALUES (44707, 4595, 9, 'Masquer les détails');
INSERT INTO `lang_definitions` VALUES (44708, 4597, 9, 'Masquer l\'option cryptage/décryptage dans la gestion documentaire');
INSERT INTO `lang_definitions` VALUES (44709, 4599, 9, 'Masquer les menus');
INSERT INTO `lang_definitions` VALUES (44710, 4603, 9, 'Afficher / Masquer les colonnes');
INSERT INTO `lang_definitions` VALUES (44711, 4605, 9, 'Elevé');
INSERT INTO `lang_definitions` VALUES (44712, 4607, 9, 'Hypertension artérielle');
INSERT INTO `lang_definitions` VALUES (44713, 4609, 9, 'Hindi');
INSERT INTO `lang_definitions` VALUES (44714, 4610, 9, 'La hanche + l\'aine');
INSERT INTO `lang_definitions` VALUES (44715, 4611, 9, 'La hanche et l\'aine');
INSERT INTO `lang_definitions` VALUES (44716, 4612, 9, 'Les problèmes de hanche');
INSERT INTO `lang_definitions` VALUES (44717, 4613, 9, 'Prothèse de la hanche');
INSERT INTO `lang_definitions` VALUES (44718, 4618, 9, 'Hispanique');
INSERT INTO `lang_definitions` VALUES (44719, 4619, 9, 'Hispanique - Autres (Né aux Etats-Unis)');
INSERT INTO `lang_definitions` VALUES (44720, 4620, 9, 'Hispanique - Autres (Né à l\'extérieur des États-Unis)');
INSERT INTO `lang_definitions` VALUES (44721, 4621, 9, 'Hispanique ou Latino');
INSERT INTO `lang_definitions` VALUES (44722, 4623, 9, 'Histoire');
INSERT INTO `lang_definitions` VALUES (44723, 4629, 9, 'Historique des données');
INSERT INTO `lang_definitions` VALUES (44724, 4630, 9, 'Date de l\'histoire');
INSERT INTO `lang_definitions` VALUES (44725, 4632, 9, 'Historique du Souffle');
INSERT INTO `lang_definitions` VALUES (44726, 4633, 9, 'Historique non autorisé');
INSERT INTO `lang_definitions` VALUES (44727, 4634, 9, 'Historique du souffle cardiaque');
INSERT INTO `lang_definitions` VALUES (44728, 4638, 9, 'visites (Clics)');
INSERT INTO `lang_definitions` VALUES (44729, 4639, 9, 'VIH');
INSERT INTO `lang_definitions` VALUES (44730, 4658, 9, 'Accueil');
INSERT INTO `lang_definitions` VALUES (44731, 4659, 9, 'Téléphone à domicile');
INSERT INTO `lang_definitions` VALUES (44732, 4660, 9, 'Numéro de téléphone a domicile');
INSERT INTO `lang_definitions` VALUES (44733, 4662, 9, 'Sans-abri ou similaires?');
INSERT INTO `lang_definitions` VALUES (44734, 4664, 9, 'Sans-abri, etc.');
INSERT INTO `lang_definitions` VALUES (44735, 4665, 9, 'Sans-abri, etc.');
INSERT INTO `lang_definitions` VALUES (44736, 4674, 9, 'Nom de l\'hôte');
INSERT INTO `lang_definitions` VALUES (44737, 4675, 9, 'Nom de l\'hôte ne peut pas être vide');
INSERT INTO `lang_definitions` VALUES (44738, 4677, 9, 'Heure');
INSERT INTO `lang_definitions` VALUES (44739, 4678, 9, 'Heures');
INSERT INTO `lang_definitions` VALUES (44740, 4681, 9, 'Comment vous êtes blessé?');
INSERT INTO `lang_definitions` VALUES (44741, 4682, 9, 'Comment vous êtes blessé?:');
INSERT INTO `lang_definitions` VALUES (44742, 4706, 9, 'Hyperactive');
INSERT INTO `lang_definitions` VALUES (44743, 4708, 9, 'Hypertension');
INSERT INTO `lang_definitions` VALUES (44744, 4709, 9, 'Hypertension: mesure de pression artérielle.');
INSERT INTO `lang_definitions` VALUES (44745, 4710, 9, 'Hypertension: mesure de pression artérielle (CQC).');
INSERT INTO `lang_definitions` VALUES (44746, 4711, 9, 'Hyperthyroïdie');
INSERT INTO `lang_definitions` VALUES (44747, 4713, 9, 'Hypothyroïdie');
INSERT INTO `lang_definitions` VALUES (44748, 4716, 9, 'Hystérectomie');
INSERT INTO `lang_definitions` VALUES (44749, 4717, 9, 'je');
INSERT INTO `lang_definitions` VALUES (44750, 4718, 9, 'Je suis occupé pendant ce temps.');
INSERT INTO `lang_definitions` VALUES (44751, 4719, 9, 'Je n\'ai pas l\'autorisation de lecture');
INSERT INTO `lang_definitions` VALUES (44752, 5364, 9, 'Italien');
INSERT INTO `lang_definitions` VALUES (44753, 5365, 9, 'Article');
INSERT INTO `lang_definitions` VALUES (44754, 5366, 9, 'article');
INSERT INTO `lang_definitions` VALUES (44755, 5369, 9, 'Chargement d\'Articles a échoué');
INSERT INTO `lang_definitions` VALUES (44756, 5375, 9, 'janv.');
INSERT INTO `lang_definitions` VALUES (44757, 5376, 9, 'Janvier');
INSERT INTO `lang_definitions` VALUES (44758, 5377, 9, 'Japonais');
INSERT INTO `lang_definitions` VALUES (44759, 5378, 9, 'Jaunisse');
INSERT INTO `lang_definitions` VALUES (44760, 5380, 9, 'Description de la Tâche');
INSERT INTO `lang_definitions` VALUES (44761, 5381, 9, 'ID Tâche');
INSERT INTO `lang_definitions` VALUES (44762, 5382, 9, 'Dislocations conjointe');
INSERT INTO `lang_definitions` VALUES (44763, 5383, 9, 'Douleurs articulaires');
INSERT INTO `lang_definitions` VALUES (44764, 5384, 9, 'Entorses conjointe');
INSERT INTO `lang_definitions` VALUES (44765, 5385, 9, 'juil.');
INSERT INTO `lang_definitions` VALUES (44766, 5386, 9, 'Juillet');
INSERT INTO `lang_definitions` VALUES (44767, 5388, 9, 'juin');
INSERT INTO `lang_definitions` VALUES (44768, 5389, 9, 'Juin');
INSERT INTO `lang_definitions` VALUES (44769, 5792, 9, 'Déjeuner');
INSERT INTO `lang_definitions` VALUES (44770, 5793, 9, 'Déjeuner');
INSERT INTO `lang_definitions` VALUES (44771, 5794, 9, 'Cancer du Poummon');
INSERT INTO `lang_definitions` VALUES (44772, 5795, 9, 'Chirurgie du Cancer de poumon');
INSERT INTO `lang_definitions` VALUES (44773, 5796, 9, 'POUMMONS:');
INSERT INTO `lang_definitions` VALUES (44774, 5797, 9, 'Poummons:');
INSERT INTO `lang_definitions` VALUES (44775, 5834, 9, 'Malaise:');
INSERT INTO `lang_definitions` VALUES (44776, 5837, 9, 'Masculin');
INSERT INTO `lang_definitions` VALUES (44777, 5838, 9, 'Préservatifs Masculin');
INSERT INTO `lang_definitions` VALUES (44778, 5841, 9, 'Mammographie');
INSERT INTO `lang_definitions` VALUES (44779, 5842, 9, 'Gérer');
INSERT INTO `lang_definitions` VALUES (44780, 5850, 9, 'Gérer les traductions');
INSERT INTO `lang_definitions` VALUES (44781, 5851, 9, 'Gestion');
INSERT INTO `lang_definitions` VALUES (44782, 5854, 9, 'Les champs obligatoires et spécifiés');
INSERT INTO `lang_definitions` VALUES (44783, 5855, 9, 'Les champs obligatoires ou spécifié, contrôle de dup, pas de recherche');
INSERT INTO `lang_definitions` VALUES (44784, 5856, 9, 'Les champs obligatoires ou spécifié, recherche et contrôle de dup');
INSERT INTO `lang_definitions` VALUES (44785, 5859, 9, 'Manuel');
INSERT INTO `lang_definitions` VALUES (44786, 5860, 9, 'Postage Manuel');
INSERT INTO `lang_definitions` VALUES (44787, 5864, 9, 'Fabriquant');
INSERT INTO `lang_definitions` VALUES (44788, 5870, 9, 'mars');
INSERT INTO `lang_definitions` VALUES (44789, 5874, 9, 'Mars');
INSERT INTO `lang_definitions` VALUES (44790, 5877, 9, 'État civil');
INSERT INTO `lang_definitions` VALUES (44791, 5880, 9, 'Marquer comme facturés, mais la facturation est ignoré');
INSERT INTO `lang_definitions` VALUES (44792, 5881, 9, 'Marquer comme réglé');
INSERT INTO `lang_definitions` VALUES (44793, 5882, 9, 'Marquer comme non facturées');
INSERT INTO `lang_definitions` VALUES (44794, 5886, 9, 'Marquer comme réglé');
INSERT INTO `lang_definitions` VALUES (44795, 5887, 9, 'Marié');
INSERT INTO `lang_definitions` VALUES (44796, 5889, 9, 'Masque');
INSERT INTO `lang_definitions` VALUES (44797, 5890, 9, 'Masque pour les numéros de facturation');
INSERT INTO `lang_definitions` VALUES (44798, 5891, 9, 'Masque pour les ID Patient');
INSERT INTO `lang_definitions` VALUES (44799, 5892, 9, 'Masque pour les ID de produit');
INSERT INTO `lang_definitions` VALUES (44800, 5894, 9, 'Correspond');
INSERT INTO `lang_definitions` VALUES (44801, 5907, 9, 'Max');
INSERT INTO `lang_definitions` VALUES (44802, 5912, 9, 'Maxillaire droit:');
INSERT INTO `lang_definitions` VALUES (44803, 5913, 9, 'Age maximum');
INSERT INTO `lang_definitions` VALUES (44804, 5917, 9, 'Le temps maximum d\'inactivité en secondes avant la déconnexion. Par défaut est 7200 (2 heures).');
INSERT INTO `lang_definitions` VALUES (44805, 5924, 9, 'Mai');
INSERT INTO `lang_definitions` VALUES (44806, 5933, 9, 'Mesure');
INSERT INTO `lang_definitions` VALUES (44807, 5939, 9, 'Malléole interne:');
INSERT INTO `lang_definitions` VALUES (44808, 5942, 9, 'Médicale');
INSERT INTO `lang_definitions` VALUES (44809, 5943, 9, 'Avortement médicamenteux');
INSERT INTO `lang_definitions` VALUES (44810, 5944, 9, 'Administration médicale');
INSERT INTO `lang_definitions` VALUES (44811, 5946, 9, 'Antécédents médicaux');
INSERT INTO `lang_definitions` VALUES (44812, 5947, 9, 'Problème médical');
INSERT INTO `lang_definitions` VALUES (44813, 5948, 9, 'Problème médical');
INSERT INTO `lang_definitions` VALUES (44814, 5952, 9, 'Problème médical');
INSERT INTO `lang_definitions` VALUES (44815, 5954, 9, 'Problèmes Médicaux');
INSERT INTO `lang_definitions` VALUES (44816, 5956, 9, 'Enregistrement Médical');
INSERT INTO `lang_definitions` VALUES (44817, 5957, 9, 'No Enregistrement Médical');
INSERT INTO `lang_definitions` VALUES (44818, 5959, 9, 'Enregistrements Médicaux');
INSERT INTO `lang_definitions` VALUES (44819, 5964, 9, 'Système Médical');
INSERT INTO `lang_definitions` VALUES (44820, 5970, 9, 'Médication');
INSERT INTO `lang_definitions` VALUES (44821, 5975, 9, 'Médications');
INSERT INTO `lang_definitions` VALUES (44822, 5978, 9, 'Médications:');
INSERT INTO `lang_definitions` VALUES (44823, 5979, 9, 'Unités Médicale');
INSERT INTO `lang_definitions` VALUES (44824, 5980, 9, 'Moyen');
INSERT INTO `lang_definitions` VALUES (44825, 5986, 9, 'Problèmes de Mémoire');
INSERT INTO `lang_definitions` VALUES (44826, 5987, 9, 'Homme');
INSERT INTO `lang_definitions` VALUES (44827, 5988, 9, 'Hommes et Femmes');
INSERT INTO `lang_definitions` VALUES (44828, 5989, 9, 'Hommes Seulement');
INSERT INTO `lang_definitions` VALUES (44829, 5990, 9, 'Ménarche');
INSERT INTO `lang_definitions` VALUES (44830, 5991, 9, 'Ménopause');
INSERT INTO `lang_definitions` VALUES (44831, 5992, 9, 'Flux Menstruel');
INSERT INTO `lang_definitions` VALUES (44832, 5993, 9, 'Fréquence Menstruel');
INSERT INTO `lang_definitions` VALUES (44833, 5994, 9, 'Maladie Mentale');
INSERT INTO `lang_definitions` VALUES (44834, 6013, 9, 'Etat du Message');
INSERT INTO `lang_definitions` VALUES (44835, 6026, 9, 'Méthode');
INSERT INTO `lang_definitions` VALUES (44836, 6027, 9, 'Méthode et Produit Spécifique');
INSERT INTO `lang_definitions` VALUES (44837, 6029, 9, 'Mode d\'envoi e-mails sortants.');
INSERT INTO `lang_definitions` VALUES (44838, 6030, 9, 'Méthode de Destruction');
INSERT INTO `lang_definitions` VALUES (44839, 6046, 9, 'Moyen');
INSERT INTO `lang_definitions` VALUES (44840, 6047, 9, 'Deuxième Prénom');
INSERT INTO `lang_definitions` VALUES (44841, 6048, 9, 'Deuxième prénom');
INSERT INTO `lang_definitions` VALUES (44842, 6086, 9, 'Divers');
INSERT INTO `lang_definitions` VALUES (44843, 6087, 9, 'Autres Options de Facturation');
INSERT INTO `lang_definitions` VALUES (44844, 6088, 9, 'Autres Options de Facturation pour HCFA-1500');
INSERT INTO `lang_definitions` VALUES (44845, 6089, 9, 'Autres Options de Facturation HCFA');
INSERT INTO `lang_definitions` VALUES (44846, 6090, 9, 'Divers/Autres');
INSERT INTO `lang_definitions` VALUES (44847, 6092, 9, 'Manqué');
INSERT INTO `lang_definitions` VALUES (44848, 6094, 9, 'Manque d\'un champ requis');
INSERT INTO `lang_definitions` VALUES (44849, 6097, 9, 'Frais Manquants');
INSERT INTO `lang_definitions` VALUES (44850, 6101, 9, 'Manquant ou Invalide');
INSERT INTO `lang_definitions` VALUES (44851, 6104, 9, 'Manque date de rapport');
INSERT INTO `lang_definitions` VALUES (44852, 6111, 9, 'Mixe');
INSERT INTO `lang_definitions` VALUES (44853, 6114, 9, 'MM/JJ/AAAA');
INSERT INTO `lang_definitions` VALUES (44854, 6133, 9, 'Modificateur');
INSERT INTO `lang_definitions` VALUES (44855, 6143, 9, 'Modifier les Paiements');
INSERT INTO `lang_definitions` VALUES (44856, 6153, 9, 'Lu.');
INSERT INTO `lang_definitions` VALUES (44857, 6154, 9, 'Lu. à Ve.');
INSERT INTO `lang_definitions` VALUES (44858, 6155, 9, 'Lu. Mer. &amp; Ve.');
INSERT INTO `lang_definitions` VALUES (44859, 6156, 9, 'Lundi');
INSERT INTO `lang_definitions` VALUES (44860, 6160, 9, 'mois');
INSERT INTO `lang_definitions` VALUES (44861, 6161, 9, 'Mois');
INSERT INTO `lang_definitions` VALUES (44862, 6162, 9, 'Vue du Mois');
INSERT INTO `lang_definitions` VALUES (44863, 6163, 9, 'Mois');
INSERT INTO `lang_definitions` VALUES (44864, 6164, 9, 'Revenue Mensuel');
INSERT INTO `lang_definitions` VALUES (44865, 6166, 9, 'Mois');
INSERT INTO `lang_definitions` VALUES (44866, 6190, 9, 'Mère');
INSERT INTO `lang_definitions` VALUES (44867, 6191, 9, 'Nom de la Mère');
INSERT INTO `lang_definitions` VALUES (44868, 6195, 9, 'Bouche');
INSERT INTO `lang_definitions` VALUES (44869, 6196, 9, 'Déplacer');
INSERT INTO `lang_definitions` VALUES (44870, 6197, 9, 'Déplacer un document vers Catégorie:');
INSERT INTO `lang_definitions` VALUES (44871, 6198, 9, 'Déplacer vers bas');
INSERT INTO `lang_definitions` VALUES (44872, 6201, 9, 'Déplacer vers le patient');
INSERT INTO `lang_definitions` VALUES (44873, 6202, 9, 'Déplacer vers ...');
INSERT INTO `lang_definitions` VALUES (44874, 6203, 9, 'Déplacer vers haut');
INSERT INTO `lang_definitions` VALUES (44875, 6209, 9, 'M.');
INSERT INTO `lang_definitions` VALUES (44876, 6215, 9, 'Mme.');
INSERT INTO `lang_definitions` VALUES (44877, 6217, 9, 'Mlle.');
INSERT INTO `lang_definitions` VALUES (44878, 6230, 9, 'Outil multi langues');
INSERT INTO `lang_definitions` VALUES (44879, 6234, 9, 'Zones multiples');
INSERT INTO `lang_definitions` VALUES (44880, 6237, 9, 'Plusieurs lots');
INSERT INTO `lang_definitions` VALUES (44881, 6242, 9, 'Multiracial');
INSERT INTO `lang_definitions` VALUES (44882, 6243, 9, 'Murmur:');
INSERT INTO `lang_definitions` VALUES (44883, 6244, 9, 'Douleurs musculaires');
INSERT INTO `lang_definitions` VALUES (44884, 6245, 9, 'Douleurs musculaires');
INSERT INTO `lang_definitions` VALUES (44885, 6246, 9, 'Rougeur musculaire');
INSERT INTO `lang_definitions` VALUES (44886, 6247, 9, 'Raideur musculaire');
INSERT INTO `lang_definitions` VALUES (44887, 6248, 9, 'Enflure musculaire');
INSERT INTO `lang_definitions` VALUES (44888, 6249, 9, 'Chaleur musculaire');
INSERT INTO `lang_definitions` VALUES (44889, 6250, 9, 'Muscle');
INSERT INTO `lang_definitions` VALUES (44890, 6251, 9, 'Lésion musculaire');
INSERT INTO `lang_definitions` VALUES (44891, 6252, 9, 'Musculo-squelettiques');
INSERT INTO `lang_definitions` VALUES (44892, 6909, 9, 'Groupement officiel des Critères de Qualité Clinique');
INSERT INTO `lang_definitions` VALUES (44893, 6910, 9, 'Lien Https pour l\'accès à distance au portail patient');
INSERT INTO `lang_definitions` VALUES (44894, 6912, 9, 'Mot de passe pour l\'accès à distance au portail patient');
INSERT INTO `lang_definitions` VALUES (44895, 6913, 9, 'Mot de passe pour l\'accès à distance au portail patient (laisser le champs vide si vous n\'êtes pas enregistré)');
INSERT INTO `lang_definitions` VALUES (44896, 6916, 9, 'Adresse pour l\'accès à distance au portail patient');
INSERT INTO `lang_definitions` VALUES (44897, 6925, 9, 'Onguent');
INSERT INTO `lang_definitions` VALUES (44898, 6927, 9, 'Confirmer');
INSERT INTO `lang_definitions` VALUES (44899, 6940, 9, 'Omettre');
INSERT INTO `lang_definitions` VALUES (44900, 7167, 9, 'Organisation');
INSERT INTO `lang_definitions` VALUES (44901, 7168, 9, 'Nom de l\'organisation');
INSERT INTO `lang_definitions` VALUES (44902, 7169, 9, 'Nom de l\'unité organisationnelle');
INSERT INTO `lang_definitions` VALUES (44903, 7170, 9, 'Organisations');
INSERT INTO `lang_definitions` VALUES (44904, 7175, 9, 'Original');
INSERT INTO `lang_definitions` VALUES (44905, 7191, 9, 'Osthéopathie');
INSERT INTO `lang_definitions` VALUES (44906, 7193, 9, 'Autre');
INSERT INTO `lang_definitions` VALUES (44907, 7194, 9, 'autre');
INSERT INTO `lang_definitions` VALUES (44908, 7196, 9, 'Autre (préciser)');
INSERT INTO `lang_definitions` VALUES (44909, 7198, 9, 'Autre - Précisé');
INSERT INTO `lang_definitions` VALUES (44910, 7201, 9, 'Autre programme fédéral');
INSERT INTO `lang_definitions` VALUES (44911, 7231, 9, 'Résultat(s)');
INSERT INTO `lang_definitions` VALUES (44912, 7234, 9, 'Prognostic');
INSERT INTO `lang_definitions` VALUES (44913, 7236, 9, 'Type de prognostic');
INSERT INTO `lang_definitions` VALUES (44914, 7239, 9, 'État général au congé');
INSERT INTO `lang_definitions` VALUES (44915, 7246, 9, 'Sucharge pondérale');
INSERT INTO `lang_definitions` VALUES (44916, 7249, 9, 'Saturation d\'O2');
INSERT INTO `lang_definitions` VALUES (44917, 7252, 9, 'pc');
INSERT INTO `lang_definitions` VALUES (44918, 7253, 9, 'pm');
INSERT INTO `lang_definitions` VALUES (44919, 7254, 9, 'prn');
INSERT INTO `lang_definitions` VALUES (44920, 7259, 9, 'Pédiatrique');
INSERT INTO `lang_definitions` VALUES (44921, 7260, 9, 'Page');
INSERT INTO `lang_definitions` VALUES (44922, 7263, 9, 'Pages');
INSERT INTO `lang_definitions` VALUES (44923, 7264, 9, 'Payé');
INSERT INTO `lang_definitions` VALUES (44924, 7267, 9, 'Payé avec');
INSERT INTO `lang_definitions` VALUES (44925, 7268, 9, 'Douleur');
INSERT INTO `lang_definitions` VALUES (44926, 7271, 9, 'Palpitation');
INSERT INTO `lang_definitions` VALUES (44927, 7275, 9, 'Test de Pap');
INSERT INTO `lang_definitions` VALUES (44928, 7278, 9, 'Paralysie');
INSERT INTO `lang_definitions` VALUES (44929, 7301, 9, 'Mot de passe');
INSERT INTO `lang_definitions` VALUES (44930, 7302, 9, 'Modification de mot de passe');
INSERT INTO `lang_definitions` VALUES (44931, 7304, 9, 'Mot de passe modifié');
INSERT INTO `lang_definitions` VALUES (44932, 7319, 9, 'Mot de passe:');
INSERT INTO `lang_definitions` VALUES (44933, 7361, 9, 'Patient');
INSERT INTO `lang_definitions` VALUES (44934, 7362, 9, 'PATIENT');
INSERT INTO `lang_definitions` VALUES (44935, 7363, 9, 'patient');
INSERT INTO `lang_definitions` VALUES (44936, 7369, 9, 'Allergie');
INSERT INTO `lang_definitions` VALUES (44937, 7370, 9, 'Allergie');
INSERT INTO `lang_definitions` VALUES (44938, 7379, 9, 'Numéro de dossier');
INSERT INTO `lang_definitions` VALUES (44939, 7394, 9, 'Données du Patient');
INSERT INTO `lang_definitions` VALUES (44940, 7395, 9, 'Date de Naissance du Patient');
INSERT INTO `lang_definitions` VALUES (44941, 7396, 9, 'Date de Naissance du Patient est manquante');
INSERT INTO `lang_definitions` VALUES (44942, 7401, 9, 'Détails du Patient');
INSERT INTO `lang_definitions` VALUES (44943, 7402, 9, 'DDN du Patient');
INSERT INTO `lang_definitions` VALUES (44944, 7404, 9, 'Document du Patient');
INSERT INTO `lang_definitions` VALUES (44945, 7410, 9, 'Éducation du Patient');
INSERT INTO `lang_definitions` VALUES (44946, 7411, 9, 'Matériel d\'éducation du Patient');
INSERT INTO `lang_definitions` VALUES (44947, 7412, 9, 'Consultation Patient');
INSERT INTO `lang_definitions` VALUES (44948, 7413, 9, 'Formulaire de Consultation Patient');
INSERT INTO `lang_definitions` VALUES (44949, 7414, 9, 'Consultation Patient');
INSERT INTO `lang_definitions` VALUES (44950, 7415, 9, 'Répertoire des patients');
INSERT INTO `lang_definitions` VALUES (44951, 7417, 9, 'Nom du Patient');
INSERT INTO `lang_definitions` VALUES (44952, 7418, 9, 'Nom du Patient');
INSERT INTO `lang_definitions` VALUES (44953, 7420, 9, 'Tableau de bord de flux de patients');
INSERT INTO `lang_definitions` VALUES (44954, 7539, 9, 'Résumé du Patient');
INSERT INTO `lang_definitions` VALUES (44955, 7563, 9, 'Date de paiement :');
INSERT INTO `lang_definitions` VALUES (44956, 7564, 9, 'Reçu de paiement');
INSERT INTO `lang_definitions` VALUES (44957, 7566, 9, 'Statut du paiement');
INSERT INTO `lang_definitions` VALUES (44958, 7567, 9, 'Nom du payeur');
INSERT INTO `lang_definitions` VALUES (44959, 7568, 9, 'Payeur');
INSERT INTO `lang_definitions` VALUES (44960, 7572, 9, 'Type de payeur');
INSERT INTO `lang_definitions` VALUES (44961, 7573, 9, 'Montant payé');
INSERT INTO `lang_definitions` VALUES (44962, 7575, 9, 'Paiement');
INSERT INTO `lang_definitions` VALUES (44963, 7576, 9, 'paiement');
INSERT INTO `lang_definitions` VALUES (44964, 8399, 9, 'Panjabi');
INSERT INTO `lang_definitions` VALUES (44965, 8401, 9, 'Achat');
INSERT INTO `lang_definitions` VALUES (44966, 8402, 9, 'Achat / Retour');
INSERT INTO `lang_definitions` VALUES (44967, 8403, 9, 'Achats');
INSERT INTO `lang_definitions` VALUES (44968, 8419, 9, 'Qté.');
INSERT INTO `lang_definitions` VALUES (44969, 8420, 9, 'Qté.');
INSERT INTO `lang_definitions` VALUES (44970, 8421, 9, 'Qualité');
INSERT INTO `lang_definitions` VALUES (44971, 8422, 9, 'Critères de Qualité (CQ)');
INSERT INTO `lang_definitions` VALUES (44972, 8423, 9, 'Quantité');
INSERT INTO `lang_definitions` VALUES (44973, 8426, 9, 'Quantité disponible');
INSERT INTO `lang_definitions` VALUES (44974, 8504, 9, 'Raison de la Venue');
INSERT INTO `lang_definitions` VALUES (44975, 8509, 9, 'Rappel');
INSERT INTO `lang_definitions` VALUES (44976, 8510, 9, 'Tableau des Rappels');
INSERT INTO `lang_definitions` VALUES (44977, 8512, 9, 'Tableau des Rappels : Indisponible');
INSERT INTO `lang_definitions` VALUES (44978, 8513, 9, 'Campagnes de Rappels');
INSERT INTO `lang_definitions` VALUES (44979, 8572, 9, 'Enregistrements');
INSERT INTO `lang_definitions` VALUES (44980, 8573, 9, 'enregistrements trouvés');
INSERT INTO `lang_definitions` VALUES (44981, 8574, 9, 'enregistrements trouvés.');
INSERT INTO `lang_definitions` VALUES (44982, 8578, 9, 'Rectale');
INSERT INTO `lang_definitions` VALUES (44983, 8579, 9, 'Examen Rectal');
INSERT INTO `lang_definitions` VALUES (44984, 8580, 9, 'Voie Rectale');
INSERT INTO `lang_definitions` VALUES (44985, 8593, 9, 'Rougeurs');
INSERT INTO `lang_definitions` VALUES (44986, 9429, 9, 'sept.');
INSERT INTO `lang_definitions` VALUES (44987, 9430, 9, 'Séparé');
INSERT INTO `lang_definitions` VALUES (44988, 9431, 9, 'Septembre');
INSERT INTO `lang_definitions` VALUES (44989, 9432, 9, 'Séq.');
INSERT INTO `lang_definitions` VALUES (44990, 9433, 9, 'Séquence');
INSERT INTO `lang_definitions` VALUES (44991, 9442, 9, 'Service');
INSERT INTO `lang_definitions` VALUES (44992, 9444, 9, 'Catégorie de service');
INSERT INTO `lang_definitions` VALUES (44993, 9445, 9, 'Code de service');
INSERT INTO `lang_definitions` VALUES (44994, 9447, 9, 'Codes service');
INSERT INTO `lang_definitions` VALUES (44995, 9448, 9, 'Date de service');
INSERT INTO `lang_definitions` VALUES (44996, 9451, 9, 'Date de service:');
INSERT INTO `lang_definitions` VALUES (44997, 9455, 9, 'Emplacement du service');
INSERT INTO `lang_definitions` VALUES (44998, 9457, 9, 'Service fourni par un spécialiste');
INSERT INTO `lang_definitions` VALUES (44999, 9461, 9, 'Services');
INSERT INTO `lang_definitions` VALUES (45000, 9462, 9, 'Services par Catégorie');
INSERT INTO `lang_definitions` VALUES (45001, 9463, 9, 'Services fournis');
INSERT INTO `lang_definitions` VALUES (45002, 9464, 9, 'Services fournis');
INSERT INTO `lang_definitions` VALUES (45003, 9465, 9, 'Produits/Services');
INSERT INTO `lang_definitions` VALUES (45004, 9466, 9, 'Type de Service');
INSERT INTO `lang_definitions` VALUES (45005, 9488, 9, 'Réglages');
INSERT INTO `lang_definitions` VALUES (45006, 9493, 9, 'Migraine sévère');
INSERT INTO `lang_definitions` VALUES (45007, 9496, 9, 'Intensité de la douleur');
INSERT INTO `lang_definitions` VALUES (45008, 9497, 9, 'Intensité de la douleur:');
INSERT INTO `lang_definitions` VALUES (45009, 9498, 9, 'Sexe');
INSERT INTO `lang_definitions` VALUES (45010, 9499, 9, 'Maladies sexuellement transmissibles');
INSERT INTO `lang_definitions` VALUES (45011, 9500, 9, 'SFTP');
INSERT INTO `lang_definitions` VALUES (45012, 9502, 9, 'Hashe Sha-1');
INSERT INTO `lang_definitions` VALUES (45013, 9503, 9, 'Partage');
INSERT INTO `lang_definitions` VALUES (45014, 9507, 9, 'Description abrégée');
INSERT INTO `lang_definitions` VALUES (45015, 9510, 9, 'Souffle court');
INSERT INTO `lang_definitions` VALUES (45016, 9511, 9, 'Souffle court');
INSERT INTO `lang_definitions` VALUES (45017, 9512, 9, 'Souffle court 2');
INSERT INTO `lang_definitions` VALUES (45018, 9513, 9, 'Historique de vaccination');
INSERT INTO `lang_definitions` VALUES (45019, 9514, 9, 'Historique de vaccination en date du:');
INSERT INTO `lang_definitions` VALUES (45020, 9515, 9, 'Devrait être activé');
INSERT INTO `lang_definitions` VALUES (45021, 9516, 9, 'Devrait être comme nnnnn-nnn-nn');
INSERT INTO `lang_definitions` VALUES (45022, 9517, 9, 'Devrait être deux lettres');
INSERT INTO `lang_definitions` VALUES (45023, 9518, 9, 'Devrait être composé de 10 chiffres');
INSERT INTO `lang_definitions` VALUES (45024, 9519, 9, 'Devrait être composé de seulement 10 chiffres');
INSERT INTO `lang_definitions` VALUES (45025, 9520, 9, 'Épaule');
INSERT INTO `lang_definitions` VALUES (45026, 9521, 9, 'Épaule et clavicule');
INSERT INTO `lang_definitions` VALUES (45027, 9522, 9, 'Problèmes avec l\'épaule');
INSERT INTO `lang_definitions` VALUES (45028, 9523, 9, 'Afficher');
INSERT INTO `lang_definitions` VALUES (45029, 9524, 9, 'Afficher ce qui est actif');
INSERT INTO `lang_definitions` VALUES (45030, 9525, 9, 'Afficher des informations d\'assurance additionnelles');
INSERT INTO `lang_definitions` VALUES (45031, 9527, 9, 'Afficher tout');
INSERT INTO `lang_definitions` VALUES (45032, 9529, 9, 'Afficher toutes les procédures');
INSERT INTO `lang_definitions` VALUES (45033, 9530, 9, 'Afficher tous les résultats');
INSERT INTO `lang_definitions` VALUES (45034, 9531, 9, 'Afficher toutes les transactions');
INSERT INTO `lang_definitions` VALUES (45035, 9532, 9, 'Afficher comme étant occupé');
INSERT INTO `lang_definitions` VALUES (45036, 9533, 9, 'Afficher seulement ce qui est autorisé');
INSERT INTO `lang_definitions` VALUES (45037, 9534, 9, 'Afficher que les plages horaires disponibles');
INSERT INTO `lang_definitions` VALUES (45038, 9540, 9, 'Afficher les détails');
INSERT INTO `lang_definitions` VALUES (45039, 9542, 9, 'N\'afficher que les erreurs');
INSERT INTO `lang_definitions` VALUES (45040, 9544, 9, 'Afficher le graphique');
INSERT INTO `lang_definitions` VALUES (45041, 9546, 9, 'Afficher le texte affiché lors d\'un effet de survol');
INSERT INTO `lang_definitions` VALUES (45042, 9547, 9, 'Afficher le nombre d\'événements sur les pages d\'administration');
INSERT INTO `lang_definitions` VALUES (45043, 9548, 9, 'Afficher ce qui est inactif');
INSERT INTO `lang_definitions` VALUES (45044, 9552, 9, 'Afficher le menu');
INSERT INTO `lang_definitions` VALUES (45045, 9553, 9, 'Afficher en métrique seulement');
INSERT INTO `lang_definitions` VALUES (45046, 9556, 9, 'Afficher les Notes');
INSERT INTO `lang_definitions` VALUES (45047, 9557, 9, 'N\'afficher que les dernières valeurs rapportées pour chaque code de résultat');
INSERT INTO `lang_definitions` VALUES (45048, 9558, 9, 'Ne montrer que les procédures qui n\'ont pas été omises');
INSERT INTO `lang_definitions` VALUES (45049, 9795, 9, 'Espagnol');
INSERT INTO `lang_definitions` VALUES (45050, 9801, 9, 'Spécialiste');
INSERT INTO `lang_definitions` VALUES (45051, 9802, 9, 'Nom et signature du Spécialiste');
INSERT INTO `lang_definitions` VALUES (45052, 9804, 9, 'Spécialité');
INSERT INTO `lang_definitions` VALUES (45053, 9805, 9, 'Systèmes spécialisés');
INSERT INTO `lang_definitions` VALUES (45054, 9806, 9, 'Spécialité:');
INSERT INTO `lang_definitions` VALUES (45055, 9807, 9, 'Spécifique');
INSERT INTO `lang_definitions` VALUES (45056, 9808, 9, 'Spplication spécifique');
INSERT INTO `lang_definitions` VALUES (45057, 9809, 9, 'Service de contraception spécifique');
INSERT INTO `lang_definitions` VALUES (45058, 9810, 9, 'Résultat spécifique');
INSERT INTO `lang_definitions` VALUES (45059, 9811, 9, 'Service spécifique');
INSERT INTO `lang_definitions` VALUES (45060, 9812, 9, 'Spécifiée');
INSERT INTO `lang_definitions` VALUES (45061, 9823, 9, 'Spécimen');
INSERT INTO `lang_definitions` VALUES (45062, 9824, 9, 'Numéro du spécimen/identifiant');
INSERT INTO `lang_definitions` VALUES (45063, 9825, 9, 'Type de spécimen');
INSERT INTO `lang_definitions` VALUES (45064, 9827, 9, 'Dictée vocale');
INSERT INTO `lang_definitions` VALUES (45065, 9828, 9, 'Spermicides');
INSERT INTO `lang_definitions` VALUES (45066, 9831, 9, 'Splénectomie');
INSERT INTO `lang_definitions` VALUES (45067, 9832, 9, 'Conjoint');
INSERT INTO `lang_definitions` VALUES (45068, 9834, 9, 'Crachat');
INSERT INTO `lang_definitions` VALUES (45069, 9835, 9, 'Crachat:');
INSERT INTO `lang_definitions` VALUES (45070, 9839, 9, 'Equipe');
INSERT INTO `lang_definitions` VALUES (45071, 9840, 9, 'Membres déquipe');
INSERT INTO `lang_definitions` VALUES (45072, 9841, 9, 'Equipes');
INSERT INTO `lang_definitions` VALUES (45073, 9852, 9, 'Stabilité');
INSERT INTO `lang_definitions` VALUES (45074, 9855, 9, 'Standard');
INSERT INTO `lang_definitions` VALUES (45075, 9857, 9, 'Code standard');
INSERT INTO `lang_definitions` VALUES (45076, 9860, 9, 'Mesures standard');
INSERT INTO `lang_definitions` VALUES (45077, 9864, 9, 'Nom standard');
INSERT INTO `lang_definitions` VALUES (45078, 9866, 9, 'Début');
INSERT INTO `lang_definitions` VALUES (45079, 9867, 9, 'Début (aaaa-mm-jj):');
INSERT INTO `lang_definitions` VALUES (45080, 9874, 9, 'Date de début');
INSERT INTO `lang_definitions` VALUES (45081, 9876, 9, 'Date de début dans cette clinique');
INSERT INTO `lang_definitions` VALUES (45082, 9877, 9, 'Date de début ne doit pas être supérieur Date de fin');
INSERT INTO `lang_definitions` VALUES (45083, 9878, 9, 'Date de début:');
INSERT INTO `lang_definitions` VALUES (45084, 9879, 9, 'Date de début:');
INSERT INTO `lang_definitions` VALUES (45085, 9881, 9, 'Heure de début');
INSERT INTO `lang_definitions` VALUES (45086, 9884, 9, 'Date de démarrage');
INSERT INTO `lang_definitions` VALUES (45087, 10127, 9, 'D{{Dimanche}}');
INSERT INTO `lang_definitions` VALUES (45088, 11010, 9, 'A:');
INSERT INTO `lang_definitions` VALUES (45089, 11011, 9, 'A:');
INSERT INTO `lang_definitions` VALUES (45090, 11026, 9, 'Intervention en abandon du tabagisme');
INSERT INTO `lang_definitions` VALUES (45091, 11027, 9, 'Intervention en abandon du tabagisme (CQC)');
INSERT INTO `lang_definitions` VALUES (45092, 11028, 9, 'Tabagisme');
INSERT INTO `lang_definitions` VALUES (45093, 11030, 9, 'Questionnaire sur tabagisme');
INSERT INTO `lang_definitions` VALUES (45094, 11031, 9, 'Questionnaire sur tabagisme (CQC)');
INSERT INTO `lang_definitions` VALUES (45095, 11170, 9, 'Traduction');
INSERT INTO `lang_definitions` VALUES (45096, 11171, 9, 'Traductions');
INSERT INTO `lang_definitions` VALUES (45097, 11172, 9, 'Transmettre');
INSERT INTO `lang_definitions` VALUES (45098, 11175, 9, 'Échec de la transmission');
INSERT INTO `lang_definitions` VALUES (45099, 11177, 9, 'Transmettre les requêtes sélectionnées');
INSERT INTO `lang_definitions` VALUES (45100, 11179, 9, 'Traumatologie');
INSERT INTO `lang_definitions` VALUES (45101, 11180, 9, 'Traitement');
INSERT INTO `lang_definitions` VALUES (45102, 11182, 9, 'Objectifs du traitement');
INSERT INTO `lang_definitions` VALUES (45103, 11183, 9, 'Plan de traitement');
INSERT INTO `lang_definitions` VALUES (45104, 11184, 9, 'Planification du traitement');
INSERT INTO `lang_definitions` VALUES (45105, 11185, 9, 'Traitement reçu');
INSERT INTO `lang_definitions` VALUES (45106, 11186, 9, 'Traitement:');
INSERT INTO `lang_definitions` VALUES (45107, 11187, 9, 'Traitement:');
INSERT INTO `lang_definitions` VALUES (45108, 11189, 9, 'Tendance');
INSERT INTO `lang_definitions` VALUES (45109, 11196, 9, 'Tri-malléolaire');
INSERT INTO `lang_definitions` VALUES (45110, 11199, 9, 'Thorax et abdomen');
INSERT INTO `lang_definitions` VALUES (45111, 11208, 9, 'Tuberculose');
INSERT INTO `lang_definitions` VALUES (45112, 11209, 9, 'Mar.');
INSERT INTO `lang_definitions` VALUES (45113, 11210, 9, 'Mar. &amp; Jeu.');
INSERT INTO `lang_definitions` VALUES (45114, 11211, 9, 'Mardi');
INSERT INTO `lang_definitions` VALUES (45115, 11212, 9, 'Tumeur');
INSERT INTO `lang_definitions` VALUES (45116, 11213, 9, 'Turque');
INSERT INTO `lang_definitions` VALUES (45117, 11222, 9, 'deux fois par jour');
INSERT INTO `lang_definitions` VALUES (45118, 11226, 9, 'Tympan');
INSERT INTO `lang_definitions` VALUES (45119, 11227, 9, 'Type');
INSERT INTO `lang_definitions` VALUES (45120, 11242, 9, 'Configuration de l\'écran');
INSERT INTO `lang_definitions` VALUES (45121, 11243, 9, 'Saisir ou lire l\'identifiant du patient ici');
INSERT INTO `lang_definitions` VALUES (45122, 11248, 9, 'Saisir votre message ici');
INSERT INTO `lang_definitions` VALUES (45123, 11249, 9, 'Types d\'ordonnances et résultats');
INSERT INTO `lang_definitions` VALUES (45124, 11272, 9, 'ulcérations');
INSERT INTO `lang_definitions` VALUES (45125, 11273, 9, 'Colite Ulcéreuse');
INSERT INTO `lang_definitions` VALUES (45126, 11274, 9, 'Ulcères:');
INSERT INTO `lang_definitions` VALUES (45127, 11278, 9, 'Création Impossible');
INSERT INTO `lang_definitions` VALUES (45128, 11291, 9, 'Non Appliquée');
INSERT INTO `lang_definitions` VALUES (45129, 11292, 9, 'Non Attribué');
INSERT INTO `lang_definitions` VALUES (45130, 11293, 9, 'Non autorisé');
INSERT INTO `lang_definitions` VALUES (45131, 11294, 9, 'Accès non autorisé à ePrescription');
INSERT INTO `lang_definitions` VALUES (45132, 11295, 9, 'Accès non autorisé.');
INSERT INTO `lang_definitions` VALUES (45133, 11296, 9, 'Non-facturé');
INSERT INTO `lang_definitions` VALUES (45134, 11297, 9, 'Uniquement Les non Facturés');
INSERT INTO `lang_definitions` VALUES (45135, 11300, 9, 'sous la langue');
INSERT INTO `lang_definitions` VALUES (45136, 11303, 9, 'Insuffisance Pondérale');
INSERT INTO `lang_definitions` VALUES (45137, 11304, 9, 'Non Diagnostiqué');
INSERT INTO `lang_definitions` VALUES (45138, 11305, 9, 'NON RÉPARTI');
INSERT INTO `lang_definitions` VALUES (45139, 11306, 9, 'NON RÉPARTI');
INSERT INTO `lang_definitions` VALUES (45140, 11307, 9, 'non réparti est');
INSERT INTO `lang_definitions` VALUES (45141, 11309, 9, 'Annuler la Vérification');
INSERT INTO `lang_definitions` VALUES (45142, 11311, 9, 'Clients Unique');
INSERT INTO `lang_definitions` VALUES (45143, 11312, 9, 'Identifiant lisible Unique pour ce type');
INSERT INTO `lang_definitions` VALUES (45144, 11315, 9, 'Nouveau Client Unique');
INSERT INTO `lang_definitions` VALUES (45145, 11316, 9, 'Identificateur numérique unique pour ce type');
INSERT INTO `lang_definitions` VALUES (45146, 11317, 9, 'Patients Vu Unique');
INSERT INTO `lang_definitions` VALUES (45147, 11318, 9, 'Rapport de Patients Vu Unique');
INSERT INTO `lang_definitions` VALUES (45148, 11319, 9, 'SP Unique');
INSERT INTO `lang_definitions` VALUES (45149, 11320, 9, 'Unité');
INSERT INTO `lang_definitions` VALUES (45150, 11321, 9, 'Unités');
INSERT INTO `lang_definitions` VALUES (45151, 11322, 9, 'unités');
INSERT INTO `lang_definitions` VALUES (45152, 11324, 9, 'Unités pour les Formulaire de Visite');
INSERT INTO `lang_definitions` VALUES (45153, 11325, 9, 'Les unités doivent être un nombre');
INSERT INTO `lang_definitions` VALUES (45154, 11326, 9, 'Unités Indéfinies');
INSERT INTO `lang_definitions` VALUES (45155, 11327, 9, 'Unités / L');
INSERT INTO `lang_definitions` VALUES (45156, 11328, 9, 'Inconnu');
INSERT INTO `lang_definitions` VALUES (45157, 11331, 9, 'Inconnu si déjà fumé');
INSERT INTO `lang_definitions` VALUES (45158, 11332, 9, 'Inconnu ou N/A');
INSERT INTO `lang_definitions` VALUES (45159, 11344, 9, 'Disjoindre patient');
INSERT INTO `lang_definitions` VALUES (45160, 11345, 9, 'AMO sans Nom');
INSERT INTO `lang_definitions` VALUES (45161, 11346, 9, 'non inscrit');
INSERT INTO `lang_definitions` VALUES (45162, 11349, 9, 'Tout dé-sélectionner');
INSERT INTO `lang_definitions` VALUES (45163, 11350, 9, 'non sélectionnés');
INSERT INTO `lang_definitions` VALUES (45164, 11351, 9, 'Non spécifié');
INSERT INTO `lang_definitions` VALUES (45165, 11352, 9, 'non structuré');
INSERT INTO `lang_definitions` VALUES (45166, 11354, 9, 'Fichier de chargement de base de données NON-SUPPORTÉ');
INSERT INTO `lang_definitions` VALUES (45167, 11356, 9, 'jusqu\'à ce');
INSERT INTO `lang_definitions` VALUES (45168, 11359, 9, 'le dépôt intempestif');
INSERT INTO `lang_definitions` VALUES (45169, 11360, 9, 'Inutilisé');
INSERT INTO `lang_definitions` VALUES (45170, 11362, 9, 'Jusqu\'à');
INSERT INTO `lang_definitions` VALUES (45171, 11364, 9, 'Prochains Rendez-vous');
INSERT INTO `lang_definitions` VALUES (45172, 11365, 9, 'Événements à venir');
INSERT INTO `lang_definitions` VALUES (45173, 11366, 9, 'Mise à jour');
INSERT INTO `lang_definitions` VALUES (45174, 11367, 9, 'mise à jour');
INSERT INTO `lang_definitions` VALUES (45175, 11368, 9, 'Mise à jour Actif');
INSERT INTO `lang_definitions` VALUES (45176, 11371, 9, 'Mise à jour de fichiers');
INSERT INTO `lang_definitions` VALUES (45177, 11372, 9, 'Info de Mise à Jour');
INSERT INTO `lang_definitions` VALUES (45178, 11374, 9, 'Liste de Mise à jour');
INSERT INTO `lang_definitions` VALUES (45179, 11377, 9, 'Mettre à jour le Numéro de fournisseur');
INSERT INTO `lang_definitions` VALUES (45180, 11378, 9, 'Mettre à jour les éléments sélectionnés');
INSERT INTO `lang_definitions` VALUES (45181, 11383, 9, 'Mettre à jour les variables suivantes dans le fichier');
INSERT INTO `lang_definitions` VALUES (45182, 11384, 9, 'Mettre à jour les données utilisateur');
INSERT INTO `lang_definitions` VALUES (45183, 11390, 9, 'Mise à jour des données démographiques n\'est pas autorisée.');
INSERT INTO `lang_definitions` VALUES (45184, 11391, 9, 'Mettre à niveau les valeurs initiales des paramètres globaux');
INSERT INTO `lang_definitions` VALUES (45185, 11392, 9, 'Mettre à niveau les indicateurs de version');
INSERT INTO `lang_definitions` VALUES (45186, 11393, 9, 'MISE À NIVEAU');
INSERT INTO `lang_definitions` VALUES (45187, 11394, 9, 'Mise à niveau');
INSERT INTO `lang_definitions` VALUES (45188, 11396, 9, 'Mise à niveau de Base de Données');
INSERT INTO `lang_definitions` VALUES (45189, 11398, 9, 'Mises à niveau la base de données OpenEMR afin d\'inclure les Procédures, Fonctions et tables nécessaires au processus de De-identification');
INSERT INTO `lang_definitions` VALUES (45190, 11399, 9, 'Mise à niveau va continuer');
INSERT INTO `lang_definitions` VALUES (45191, 11401, 9, 'Transférer');
INSERT INTO `lang_definitions` VALUES (45192, 11406, 9, 'Transférer les données de configuration');
INSERT INTO `lang_definitions` VALUES (45193, 11407, 9, 'Transférer le Document');
INSERT INTO `lang_definitions` VALUES (45194, 11408, 9, 'Échec du transfert!');
INSERT INTO `lang_definitions` VALUES (45195, 11410, 9, 'Transférer l\'image à');
INSERT INTO `lang_definitions` VALUES (45196, 11411, 9, 'Transférer le fichier d\'import :');
INSERT INTO `lang_definitions` VALUES (45197, 11415, 9, 'Transférer le Rapport');
INSERT INTO `lang_definitions` VALUES (45198, 11418, 9, 'Transférer ce fichier:');
INSERT INTO `lang_definitions` VALUES (45199, 11429, 9, 'Haut du bras');
INSERT INTO `lang_definitions` VALUES (45200, 11432, 9, 'Urgence');
INSERT INTO `lang_definitions` VALUES (45201, 11436, 9, 'Urine');
INSERT INTO `lang_definitions` VALUES (45202, 11437, 9, 'Miction Goutte à Goutte');
INSERT INTO `lang_definitions` VALUES (45203, 11438, 9, 'Fréquence des Mictions');
INSERT INTO `lang_definitions` VALUES (45204, 11439, 9, 'Hésitation d\'Urine');
INSERT INTO `lang_definitions` VALUES (45205, 11440, 9, 'Microalbumine urinaire');
INSERT INTO `lang_definitions` VALUES (45206, 11441, 9, 'Jet d\'Urine');
INSERT INTO `lang_definitions` VALUES (45207, 11442, 9, 'Urgence urinaire');
INSERT INTO `lang_definitions` VALUES (45208, 11443, 9, 'URL');
INSERT INTO `lang_definitions` VALUES (45209, 11445, 9, 'URL pour le support OpenEMR.');
INSERT INTO `lang_definitions` VALUES (45210, 11447, 9, 'URL pour la passerelle téléphonique. Service automatisé VOIP offert par Maviq. Veuillez visitez http://signup.maviq.com pour plus d\'informations.');
INSERT INTO `lang_definitions` VALUES (45211, 11453, 9, 'Indicateur d\'Utilisation (ISA15)');
INSERT INTO `lang_definitions` VALUES (45212, 11456, 9, 'Utiliser % seul dans un champ afin de trier uniquement sur cette colonne');
INSERT INTO `lang_definitions` VALUES (45213, 11457, 9, 'Utiliser le format 24 heures?');
INSERT INTO `lang_definitions` VALUES (45214, 11465, 9, 'Utiliser la technologie certifiée DSE pour identifier des ressources d\'éducation spécifique à chaque patient et de fournir les ressources nécessaires pour le patient, le cas échéant.');
INSERT INTO `lang_definitions` VALUES (45215, 11466, 9, 'Utilisez le Panel des Frais');
INSERT INTO `lang_definitions` VALUES (45216, 11467, 9, 'Utilisez CPOE pour les commandes de médication entrés directement par tout professionnel de santé agréé qui peut entrer des commandes dans le dossier médical par Etat, directives locales et professionnelles.');
INSERT INTO `lang_definitions` VALUES (45217, 11474, 9, 'Utiliser la liste de vaccination personnalisée');
INSERT INTO `lang_definitions` VALUES (45218, 11476, 9, 'Utiliser Intervalle de dates');
INSERT INTO `lang_definitions` VALUES (45219, 11477, 9, 'Utiliser les Valeurs par Défaut');
INSERT INTO `lang_definitions` VALUES (45220, 11478, 9, 'Utilisez l\'Option Supprimer pour le Retirer.');
INSERT INTO `lang_definitions` VALUES (45221, 11479, 9, 'Utilisez le style de date international?');
INSERT INTO `lang_definitions` VALUES (45222, 11483, 9, 'Utiliser le nom du fichier source');
INSERT INTO `lang_definitions` VALUES (45223, 11486, 9, 'Utilisez le champs ci-dessous pour un achat ou un transfert.');
INSERT INTO `lang_definitions` VALUES (45224, 11490, 9, 'Utilisez cette fonction uniquement avec des sites nouvellement installés,');
INSERT INTO `lang_definitions` VALUES (45225, 11493, 9, 'Utilisez les sujets?');
INSERT INTO `lang_definitions` VALUES (45226, 11496, 9, 'Utilisateur');
INSERT INTO `lang_definitions` VALUES (45227, 11498, 9, 'Utilisateur / Groupes');
INSERT INTO `lang_definitions` VALUES (45228, 11499, 9, 'Administration des Utilisateurs');
INSERT INTO `lang_definitions` VALUES (45229, 11500, 9, 'Administration des Utilisateurs et Services');
INSERT INTO `lang_definitions` VALUES (45230, 11501, 9, 'Administration des Utilisateurs et Groupe');
INSERT INTO `lang_definitions` VALUES (45231, 11503, 9, 'Certificat d\'Authentification Utilisateur est désactivé');
INSERT INTO `lang_definitions` VALUES (45232, 11507, 9, 'Défini par l\'Utilisateur');
INSERT INTO `lang_definitions` VALUES (45233, 11508, 9, 'Défini par l\'Utilisateur Zone 11');
INSERT INTO `lang_definitions` VALUES (45234, 11509, 9, 'Défini par l\'Utilisateur Zone 12');
INSERT INTO `lang_definitions` VALUES (45235, 11510, 9, 'Défini par l\'Utilisateur Champ');
INSERT INTO `lang_definitions` VALUES (45236, 11511, 9, 'Défini par l\'Utilisateur Liste 1');
INSERT INTO `lang_definitions` VALUES (45237, 11512, 9, 'Défini par l\'Utilisateur Liste 2');
INSERT INTO `lang_definitions` VALUES (45238, 11513, 9, 'Défini par l\'Utilisateur Liste 3');
INSERT INTO `lang_definitions` VALUES (45239, 11514, 9, 'Défini par l\'Utilisateur Liste 4');
INSERT INTO `lang_definitions` VALUES (45240, 11515, 9, 'Défini par l\'Utilisateur Liste 5');
INSERT INTO `lang_definitions` VALUES (45241, 11516, 9, 'Défini par l\'Utilisateur Liste 6');
INSERT INTO `lang_definitions` VALUES (45242, 11517, 9, 'Défini par l\'Utilisateur Liste 7');
INSERT INTO `lang_definitions` VALUES (45243, 11518, 9, 'Défini par l\'Utilisateur Texte 1');
INSERT INTO `lang_definitions` VALUES (45244, 11519, 9, 'Défini par l\'Utilisateur Texte 2');
INSERT INTO `lang_definitions` VALUES (45245, 11520, 9, 'Défini par l\'Utilisateur Texte 3');
INSERT INTO `lang_definitions` VALUES (45246, 11521, 9, 'Défini par l\'Utilisateur Texte 4');
INSERT INTO `lang_definitions` VALUES (45247, 11522, 9, 'Défini par l\'Utilisateur Texte 5');
INSERT INTO `lang_definitions` VALUES (45248, 11523, 9, 'Défini par l\'Utilisateur Texte 6');
INSERT INTO `lang_definitions` VALUES (45249, 11524, 9, 'Défini par l\'Utilisateur Texte 7');
INSERT INTO `lang_definitions` VALUES (45250, 11525, 9, 'Défini par l\'Utilisateur Texte 8');
INSERT INTO `lang_definitions` VALUES (45251, 11526, 9, 'Prénom utilisateur');
INSERT INTO `lang_definitions` VALUES (45252, 11532, 9, 'Manuel Utilisateur');
INSERT INTO `lang_definitions` VALUES (45253, 11533, 9, 'Affiliations d\'Utilisateur');
INSERT INTO `lang_definitions` VALUES (45254, 11534, 9, 'Nom Utilisateur');
INSERT INTO `lang_definitions` VALUES (45255, 11536, 9, 'Nom d\'Utilisateur ou le nom d\'Hôte ne peut pas être vide');
INSERT INTO `lang_definitions` VALUES (45256, 11537, 9, 'Utilisateur ou nom d\'Hôte');
INSERT INTO `lang_definitions` VALUES (45257, 11541, 9, 'Paramètres Utilisateur');
INSERT INTO `lang_definitions` VALUES (45258, 11543, 9, 'Paramètre Utilisateur Spécifique');
INSERT INTO `lang_definitions` VALUES (45259, 11553, 9, 'Nom Utilisateur');
INSERT INTO `lang_definitions` VALUES (45260, 11555, 9, 'Nom utilisateur pour la passerelle téléphonique. Service automatisé VOIP offert par Maviq. Veuillez visitez http://signup.maviq.com pour plus d\'informations.');
INSERT INTO `lang_definitions` VALUES (45261, 11556, 9, 'Nom Utilisateur pour la Passerelle SMS');
INSERT INTO `lang_definitions` VALUES (45262, 11557, 9, 'Nom Utilisateur pour la Passerelle SMS.');
INSERT INTO `lang_definitions` VALUES (45263, 11559, 9, 'Nom Utilisateur:');
INSERT INTO `lang_definitions` VALUES (45264, 11560, 9, 'Utilisateurs');
INSERT INTO `lang_definitions` VALUES (45265, 11564, 9, 'Utilisateurs/Groupes/Journaux d\'Administration');
INSERT INTO `lang_definitions` VALUES (45266, 11574, 9, 'Utilise le format php <a href=\"http://php.net/strftime\">strftime</a>');
INSERT INTO `lang_definitions` VALUES (45267, 11583, 9, 'Infections Urinaires');
INSERT INTO `lang_definitions` VALUES (45268, 11588, 9, 'Vacances');
INSERT INTO `lang_definitions` VALUES (45269, 11589, 9, 'Vacances');
INSERT INTO `lang_definitions` VALUES (45270, 11590, 9, 'vaccin');
INSERT INTO `lang_definitions` VALUES (45271, 11593, 9, 'Anneau Vaginal');
INSERT INTO `lang_definitions` VALUES (45272, 11594, 9, 'Discours d\'adieu');
INSERT INTO `lang_definitions` VALUES (45273, 11596, 9, 'valider');
INSERT INTO `lang_definitions` VALUES (45274, 11609, 9, 'Valeur');
INSERT INTO `lang_definitions` VALUES (45275, 11610, 9, 'Valeur 1');
INSERT INTO `lang_definitions` VALUES (45276, 11611, 9, 'Valeur 2');
INSERT INTO `lang_definitions` VALUES (45277, 11613, 9, 'La Valeur doit être numérique');
INSERT INTO `lang_definitions` VALUES (45278, 11614, 9, 'Var1');
INSERT INTO `lang_definitions` VALUES (45279, 11615, 9, 'Var2');
INSERT INTO `lang_definitions` VALUES (45280, 11619, 9, 'Varicelle 1');
INSERT INTO `lang_definitions` VALUES (45281, 11620, 9, 'Varicelle 2');
INSERT INTO `lang_definitions` VALUES (45282, 11621, 9, 'Varices');
INSERT INTO `lang_definitions` VALUES (45283, 11623, 9, 'Etat vasculaire');
INSERT INTO `lang_definitions` VALUES (45284, 11624, 9, 'Lésion vasculaire');
INSERT INTO `lang_definitions` VALUES (45285, 11625, 9, 'Chirurgie Vasculaire');
INSERT INTO `lang_definitions` VALUES (45286, 11630, 9, 'Vendeur');
INSERT INTO `lang_definitions` VALUES (45287, 11634, 9, 'Version');
INSERT INTO `lang_definitions` VALUES (45288, 11653, 9, 'Vertige');
INSERT INTO `lang_definitions` VALUES (45289, 11656, 9, 'Ministère des anciens combattants');
INSERT INTO `lang_definitions` VALUES (45290, 11657, 9, 'Régime des anciens combattants');
INSERT INTO `lang_definitions` VALUES (45291, 11666, 9, 'Vietnamien');
INSERT INTO `lang_definitions` VALUES (45292, 11667, 9, 'Vue');
INSERT INTO `lang_definitions` VALUES (45293, 11668, 9, 'vue');
INSERT INTO `lang_definitions` VALUES (45294, 11670, 9, 'Afficher les Allergies');
INSERT INTO `lang_definitions` VALUES (45295, 11676, 9, 'Afficher le rapport globale du patient');
INSERT INTO `lang_definitions` VALUES (45296, 11679, 9, 'Afficher le document');
INSERT INTO `lang_definitions` VALUES (45297, 11681, 9, 'Afficher la visite');
INSERT INTO `lang_definitions` VALUES (45298, 11683, 9, 'Afficher les événements dans une fenêtre popup?');
INSERT INTO `lang_definitions` VALUES (45299, 11690, 9, 'Afficher la Page 1');
INSERT INTO `lang_definitions` VALUES (45300, 11691, 9, 'Afficher la Page 2');
INSERT INTO `lang_definitions` VALUES (45301, 11695, 9, 'Afficher le Patient');
INSERT INTO `lang_definitions` VALUES (45302, 11700, 9, 'Afficher les visites liées');
INSERT INTO `lang_definitions` VALUES (45303, 11712, 9, 'Afficher/Editer les Allergies');
INSERT INTO `lang_definitions` VALUES (45304, 11713, 9, 'Afficher/Editer problème');
INSERT INTO `lang_definitions` VALUES (45305, 11714, 9, 'Afficher/Imprimer');
INSERT INTO `lang_definitions` VALUES (45306, 11717, 9, 'Vue:');
INSERT INTO `lang_definitions` VALUES (45307, 11718, 9, 'VISA');
INSERT INTO `lang_definitions` VALUES (45308, 11721, 9, 'Dommages/Traumatisme/Chirurgie Viscérale');
INSERT INTO `lang_definitions` VALUES (45309, 11728, 9, 'Catégorie la Visite:');
INSERT INTO `lang_definitions` VALUES (45310, 11729, 9, 'Date Visite');
INSERT INTO `lang_definitions` VALUES (45311, 11734, 9, 'Formulaires de Visite');
INSERT INTO `lang_definitions` VALUES (45312, 11736, 9, 'Historique des Visites');
INSERT INTO `lang_definitions` VALUES (45313, 11745, 9, 'Visites');
INSERT INTO `lang_definitions` VALUES (45314, 11746, 9, 'Visites depuis');
INSERT INTO `lang_definitions` VALUES (45315, 11751, 9, 'Signes vitaux');
INSERT INTO `lang_definitions` VALUES (45316, 11752, 9, 'Vitaux');
INSERT INTO `lang_definitions` VALUES (45317, 11753, 9, 'Signes vitaux (métrique)');
INSERT INTO `lang_definitions` VALUES (45318, 11756, 9, 'Voix');
INSERT INTO `lang_definitions` VALUES (45319, 11758, 9, 'Voix transmise');
INSERT INTO `lang_definitions` VALUES (45320, 11763, 9, 'Vomissements');
INSERT INTO `lang_definitions` VALUES (45321, 11770, 9, 'Tour de taille');
INSERT INTO `lang_definitions` VALUES (45322, 11771, 9, 'Tour de taille');
INSERT INTO `lang_definitions` VALUES (45323, 11772, 9, 'En attente');
INSERT INTO `lang_definitions` VALUES (45324, 11778, 9, 'Entrepôt');
INSERT INTO `lang_definitions` VALUES (45325, 11782, 9, 'Entrepôts');
INSERT INTO `lang_definitions` VALUES (45326, 11783, 9, 'Chaud');
INSERT INTO `lang_definitions` VALUES (45327, 11786, 9, 'Attention');
INSERT INTO `lang_definitions` VALUES (45328, 11787, 9, 'ATTENTION');
INSERT INTO `lang_definitions` VALUES (45329, 11789, 9, 'Attention, Numéro de Chèque existe déjà dans la base de données');
INSERT INTO `lang_definitions` VALUES (45330, 11791, 9, 'Attention: Une visite est déjà créé pour ce patient aujourd\'hui!');
INSERT INTO `lang_definitions` VALUES (45331, 11796, 9, 'Attention: l\'ID du Patient n\'est pas unique!');
INSERT INTO `lang_definitions` VALUES (45332, 11799, 9, 'AVERISSEMENT: Cette action va remplacer les données de la configuration par ceux du fichier téléchargé!');
INSERT INTO `lang_definitions` VALUES (45333, 11801, 9, 'Avertissements');
INSERT INTO `lang_definitions` VALUES (45334, 11803, 9, 'déjà transféré');
INSERT INTO `lang_definitions` VALUES (45335, 11805, 9, 'Nous apprécions le paiement rapide des soldes exigibles');
INSERT INTO `lang_definitions` VALUES (45336, 11809, 9, 'nous avons vu votre patient, référencé ci-dessus, pour l\'évaluation et le traitement dans notre clinique de psychiatrie ambulatoire. Je vous remercie de cette saisine.');
INSERT INTO `lang_definitions` VALUES (45337, 11821, 9, 'Faiblesses');
INSERT INTO `lang_definitions` VALUES (45338, 11826, 9, 'Recherche Web');
INSERT INTO `lang_definitions` VALUES (45339, 11827, 9, 'Site Web');
INSERT INTO `lang_definitions` VALUES (45340, 11832, 9, 'mer.');
INSERT INTO `lang_definitions` VALUES (45341, 11833, 9, 'Mercredi');
INSERT INTO `lang_definitions` VALUES (45342, 11834, 9, 'Semaine');
INSERT INTO `lang_definitions` VALUES (45343, 11835, 9, 'semaine');
INSERT INTO `lang_definitions` VALUES (45344, 11836, 9, 'Vue Hebdomadaire');
INSERT INTO `lang_definitions` VALUES (45345, 11837, 9, 'Semaine(s)');
INSERT INTO `lang_definitions` VALUES (45346, 11838, 9, 'Expositions Hebdomadaire');
INSERT INTO `lang_definitions` VALUES (45347, 11840, 9, 'Semaines');
INSERT INTO `lang_definitions` VALUES (45348, 11841, 9, 'Poids');
INSERT INTO `lang_definitions` VALUES (45349, 11842, 9, 'Évaluation du poids et de conseils aux enfants et les adolescents');
INSERT INTO `lang_definitions` VALUES (45350, 11843, 9, 'Évaluation du poids et de conseils aux enfants et les adolescents (CQM)');
INSERT INTO `lang_definitions` VALUES (45351, 11844, 9, 'Changement de Poids');
INSERT INTO `lang_definitions` VALUES (45352, 11845, 9, 'Perte de Poids');
INSERT INTO `lang_definitions` VALUES (45353, 11846, 9, 'Clinique de perte de poids');
INSERT INTO `lang_definitions` VALUES (45354, 11847, 9, 'Bienvenue');
INSERT INTO `lang_definitions` VALUES (45355, 11862, 9, 'Que faut-il comptés?');
INSERT INTO `lang_definitions` VALUES (45356, 11864, 9, 'Sifflements:');
INSERT INTO `lang_definitions` VALUES (45357, 11865, 9, 'Sifflement');
INSERT INTO `lang_definitions` VALUES (45358, 11866, 9, 'Sifflement:');
INSERT INTO `lang_definitions` VALUES (45359, 11876, 9, 'Lorsque vous avez terminé, veuillez cliquer Soumettre (en bas) afin d\'appliquer vos choix');
INSERT INTO `lang_definitions` VALUES (45360, 11882, 9, 'Où se trouvent les documents ou papier numérisés?');
INSERT INTO `lang_definitions` VALUES (45361, 11886, 9, 'Quelles notes devraient être affichées dans l\'Écran de Facturation');
INSERT INTO `lang_definitions` VALUES (45362, 11890, 9, 'Coup de lapin');
INSERT INTO `lang_definitions` VALUES (45363, 11891, 9, 'Blanc');
INSERT INTO `lang_definitions` VALUES (45364, 11894, 9, 'Qui');
INSERT INTO `lang_definitions` VALUES (45365, 11895, 9, 'Qui a répondu?');
INSERT INTO `lang_definitions` VALUES (45366, 11897, 9, 'Veuf(ve)');
INSERT INTO `lang_definitions` VALUES (45367, 11898, 9, 'Largeur');
INSERT INTO `lang_definitions` VALUES (45368, 11900, 9, 'Largeur en pixels du cadre gauche de navigation.');
INSERT INTO `lang_definitions` VALUES (45369, 11902, 9, 'sera caché si');
INSERT INTO `lang_definitions` VALUES (45370, 11906, 9, 'avec langue préférentielle');
INSERT INTO `lang_definitions` VALUES (45371, 11907, 9, 'Avec la sélection:');
INSERT INTO `lang_definitions` VALUES (45372, 11908, 9, 'avec l\'ancien nom');
INSERT INTO `lang_definitions` VALUES (45373, 11910, 9, 'avec valeur');
INSERT INTO `lang_definitions` VALUES (45374, 11911, 9, 'Avec qui pouvons-nous laisser un message?');
INSERT INTO `lang_definitions` VALUES (45375, 11912, 9, 'Retenu');
INSERT INTO `lang_definitions` VALUES (45376, 11913, 9, 'en quelques heures');
INSERT INTO `lang_definitions` VALUES (45377, 11914, 9, 'en quelques heures:');
INSERT INTO `lang_definitions` VALUES (45378, 11915, 9, 'en quelques minutes');
INSERT INTO `lang_definitions` VALUES (45379, 11916, 9, 'en quelques minutes:');
INSERT INTO `lang_definitions` VALUES (45380, 11919, 9, 'Sans mise à jour');
INSERT INTO `lang_definitions` VALUES (45381, 11920, 9, 'Témoignage');
INSERT INTO `lang_definitions` VALUES (45382, 11921, 9, 'semaine');
INSERT INTO `lang_definitions` VALUES (45383, 11924, 9, 'Femme');
INSERT INTO `lang_definitions` VALUES (45384, 11925, 9, 'Femmes Seulement');
INSERT INTO `lang_definitions` VALUES (45385, 11927, 9, 'Travaux');
INSERT INTO `lang_definitions` VALUES (45386, 11928, 9, 'NOTE DE TRAVAIL');
INSERT INTO `lang_definitions` VALUES (45387, 11929, 9, 'Téléphone Professionnel');
INSERT INTO `lang_definitions` VALUES (45388, 11930, 9, 'Numéro de Téléphone Professionnel');
INSERT INTO `lang_definitions` VALUES (45389, 11931, 9, 'Les travaux liés?');
INSERT INTO `lang_definitions` VALUES (45390, 11932, 9, 'Travail/ Education/ Loisirs');
INSERT INTO `lang_definitions` VALUES (45391, 11933, 9, 'Travail/ Note Scolaire');
INSERT INTO `lang_definitions` VALUES (45392, 11934, 9, 'jour ouvrable');
INSERT INTO `lang_definitions` VALUES (45393, 11936, 9, 'Régime d\'indemnisation du personnel de santé');
INSERT INTO `lang_definitions` VALUES (45394, 11941, 9, 'Pire');
INSERT INTO `lang_definitions` VALUES (45395, 11942, 9, 'Souhaitez-vous imputer le montant qui reste sur le Compte Global?');
INSERT INTO `lang_definitions` VALUES (45396, 11943, 9, 'Voulez-vous qu\'ils soient marqués comme compensés.');
INSERT INTO `lang_definitions` VALUES (45397, 11944, 9, 'Vous souhaitez allouer?');
INSERT INTO `lang_definitions` VALUES (45398, 11945, 9, 'Voulez-vous Annuler Répartition de ce Patient?');
INSERT INTO `lang_definitions` VALUES (45399, 11946, 9, 'Voulez-vous Supprimer Répartition du paiement?');
INSERT INTO `lang_definitions` VALUES (45400, 11947, 9, 'Voulez-vous Supprimer les Paiements?');
INSERT INTO `lang_definitions` VALUES (45401, 11948, 9, 'Voulez-vous Modifier et Terminer les Paiements?');
INSERT INTO `lang_definitions` VALUES (45402, 11949, 9, 'Voulez-vous Modifier les Paiements?');
INSERT INTO `lang_definitions` VALUES (45403, 11950, 9, 'Voulez-vous Poster et Terminer Les Paiements?');
INSERT INTO `lang_definitions` VALUES (45404, 11951, 9, 'Voulez-vous Poster les Paiements?');
INSERT INTO `lang_definitions` VALUES (45405, 11952, 9, 'Voulez-vous Sauvegarder?');
INSERT INTO `lang_definitions` VALUES (45406, 11953, 9, 'Poignet');
INSERT INTO `lang_definitions` VALUES (45407, 11954, 9, 'Poignet et main');
INSERT INTO `lang_definitions` VALUES (45408, 11955, 9, 'Problèmes de Poignet');
INSERT INTO `lang_definitions` VALUES (45409, 11956, 9, 'écrire');
INSERT INTO `lang_definitions` VALUES (45410, 11958, 9, 'radiation');
INSERT INTO `lang_definitions` VALUES (45411, 11959, 9, 'Écrire une seule fois');
INSERT INTO `lang_definitions` VALUES (45412, 11960, 9, 'avec quelques');
INSERT INTO `lang_definitions` VALUES (45413, 11963, 9, 'POIDS');
INSERT INTO `lang_definitions` VALUES (45414, 11965, 9, 'M{{Mercredi}}');
INSERT INTO `lang_definitions` VALUES (45415, 11966, 9, 'x Annulé');
INSERT INTO `lang_definitions` VALUES (45416, 11967, 9, 'x Annulé');
INSERT INTO `lang_definitions` VALUES (45417, 11969, 9, 'Rayon X');
INSERT INTO `lang_definitions` VALUES (45418, 11970, 9, 'Interprétation Rayon X:');
INSERT INTO `lang_definitions` VALUES (45419, 11971, 9, 'Interprétation Rayon X:');
INSERT INTO `lang_definitions` VALUES (45420, 11975, 9, 'X12 uniquement: Demande de Remplacement');
INSERT INTO `lang_definitions` VALUES (45421, 11978, 9, 'X12 Partenaire');
INSERT INTO `lang_definitions` VALUES (45422, 11979, 9, 'X12 Partenaires');
INSERT INTO `lang_definitions` VALUES (45423, 11984, 9, 'XML');
INSERT INTO `lang_definitions` VALUES (45424, 11987, 9, 'A');
INSERT INTO `lang_definitions` VALUES (45425, 11988, 9, 'Année');
INSERT INTO `lang_definitions` VALUES (45426, 11989, 9, 'Année');
INSERT INTO `lang_definitions` VALUES (45427, 11990, 9, 'Vue Annuelle');
INSERT INTO `lang_definitions` VALUES (45428, 11991, 9, 'Année(s)');
INSERT INTO `lang_definitions` VALUES (45429, 11992, 9, 'Années');
INSERT INTO `lang_definitions` VALUES (45430, 11994, 9, 'Années ou mois');
INSERT INTO `lang_definitions` VALUES (45431, 11995, 9, 'Années, mois et jours');
INSERT INTO `lang_definitions` VALUES (45432, 11996, 9, 'Oui');
INSERT INTO `lang_definitions` VALUES (45433, 11997, 9, 'OUI');
INSERT INTO `lang_definitions` VALUES (45434, 11998, 9, 'oui');
INSERT INTO `lang_definitions` VALUES (45435, 11999, 9, 'OUI!');
INSERT INTO `lang_definitions` VALUES (45436, 12000, 9, 'Oui, Supprimer et Journaliser');
INSERT INTO `lang_definitions` VALUES (45437, 12001, 9, 'Oui, Supprimer ce formulaire');
INSERT INTO `lang_definitions` VALUES (45438, 12002, 9, 'Oui/Non');
INSERT INTO `lang_definitions` VALUES (45439, 12003, 9, 'Oui:');
INSERT INTO `lang_definitions` VALUES (45440, 12004, 9, 'Yidich');
INSERT INTO `lang_definitions` VALUES (45441, 12007, 9, 'Vous êtes sur le point de supprimer le formulaire suivant de cette consultation');
INSERT INTO `lang_definitions` VALUES (45442, 12008, 9, 'Vous êtes sur le point de remplacer le gabarit existant de façon permanente. Etes-vous sûr de vouloir continuer?');
INSERT INTO `lang_definitions` VALUES (45443, 12011, 9, 'Vous êtes en période de connexion supplémentaire. Changez votre mot de passe avant');
INSERT INTO `lang_definitions` VALUES (45444, 12012, 9, 'Vous n\'êtes pas autorisé à supprimer cet événement');
INSERT INTO `lang_definitions` VALUES (45445, 12013, 9, 'Vous n\'êtes pas autorisé à modifier l\'événement');
INSERT INTO `lang_definitions` VALUES (45446, 12014, 9, 'Vous n\'êtes pas autorisé pour cela.');
INSERT INTO `lang_definitions` VALUES (45447, 12016, 9, 'Vous n\'êtes pas autorisé à accéder à cette équipe.');
INSERT INTO `lang_definitions` VALUES (45448, 12017, 9, 'Vous n\'êtes pas autorisé à ajouter/modifier ces sujets');
INSERT INTO `lang_definitions` VALUES (45449, 12018, 9, 'Vous n\'êtes pas autorisé à planifier des rendez.');
INSERT INTO `lang_definitions` VALUES (45450, 12019, 9, 'Vous n\'êtes pas autorisé de voir cette visite.');
INSERT INTO `lang_definitions` VALUES (45451, 12038, 9, 'Vous ne pouvez pas accéder à cette fonctionnalité directement.');
INSERT INTO `lang_definitions` VALUES (45452, 12050, 9, 'Vous ne pouvez accéder à cette page directement.');
INSERT INTO `lang_definitions` VALUES (45453, 12051, 9, 'Vous ne pouvez ajouter une valeur vide pour une catégorie!');
INSERT INTO `lang_definitions` VALUES (45454, 12052, 9, 'Vous ne pouvez ajouter une valeur vide pour une sous-catégorie!');
INSERT INTO `lang_definitions` VALUES (45455, 12053, 9, 'Vous ne pouvez ajouter une valeur vide pour un élément!');
INSERT INTO `lang_definitions` VALUES (45456, 12055, 9, 'Vous ne pouvez pas entrer une date future avec une valeur OUI (YES) introduite.');
INSERT INTO `lang_definitions` VALUES (45457, 12057, 9, 'Vous n\'avez sélectionné aucune action.');
INSERT INTO `lang_definitions` VALUES (45458, 12058, 9, 'Vous n\'avez pas accès pour voir/éditer cette note');
INSERT INTO `lang_definitions` VALUES (45459, 12061, 9, 'Vous avez tenté de modifier un contenu qui est verrouillé. Retirez le verrou si vous voulez faire cela. Pour déverrouiller, supprimer la ligne, \'/*lock ::*/\'');
INSERT INTO `lang_definitions` VALUES (45460, 12063, 9, 'Vous avez été déconnecter avec succès.');
INSERT INTO `lang_definitions` VALUES (45461, 12074, 9, 'Vous ne pouvez transférer que les fichiers .txt');
INSERT INTO `lang_definitions` VALUES (45462, 12075, 9, 'Vous pouvez télécharger des résultats en format HL7 à partir d\'un fichier');
INSERT INTO `lang_definitions` VALUES (45463, 12076, 9, 'Vous pouvez mettre insérer ici la plainte par défaut dans le formulaire Nouvelle Visite du Patient.');
INSERT INTO `lang_definitions` VALUES (45464, 12085, 9, 'Vous devez entrer un mot de passe pour crypter le document');
INSERT INTO `lang_definitions` VALUES (45465, 12087, 9, 'Vous devez saisir votre mot de passe pour modifier les mots de passe des utilisateurs. Veuillez laisser vide pour que le mot de passe demeure inchangé.');
INSERT INTO `lang_definitions` VALUES (45466, 12088, 9, 'Vous devez premièrement choisir un élément dans la section dont le cercle d\'option est sélectionné.');
INSERT INTO `lang_definitions` VALUES (45467, 12090, 9, 'Vous devez d\'abord sélectionner ou ajouter un patient.');
INSERT INTO `lang_definitions` VALUES (45468, 12091, 9, 'Vous devez d\'abord sélectionner ou créer une visite.');
INSERT INTO `lang_definitions` VALUES (45469, 12092, 9, 'Vous devez sélectionner une catégorie de visite');
INSERT INTO `lang_definitions` VALUES (45470, 12093, 9, 'Vous devez sélectionner une catégorie de visite.');
INSERT INTO `lang_definitions` VALUES (45471, 12094, 9, 'Vous devez sélectionner des champs pour continuer.');
INSERT INTO `lang_definitions` VALUES (45472, 12106, 9, 'Vous devez sélectionner au moins un contexte');
INSERT INTO `lang_definitions` VALUES (45473, 12107, 9, 'Vous devez sélectionner au moins un Prestataire');
INSERT INTO `lang_definitions` VALUES (45474, 12108, 9, 'Vous serez automatiquement redirigé aux Données démographiques.  Vous pouvez effectuer les corrections nécessaires et vous diriger de nouveau vers NewCrop.');
INSERT INTO `lang_definitions` VALUES (45475, 12118, 9, 'Votre rapport clinique');
INSERT INTO `lang_definitions` VALUES (45476, 12122, 9, 'Votre date fin est invalide');
INSERT INTO `lang_definitions` VALUES (45477, 12123, 9, 'Votre événement a été supprimé.');
INSERT INTO `lang_definitions` VALUES (45478, 12124, 9, 'Votre événement a été modifié.');
INSERT INTO `lang_definitions` VALUES (45479, 12125, 9, 'Votre événement a été soumis.');
INSERT INTO `lang_definitions` VALUES (45480, 12127, 9, 'Votre fichier est trop grand');
INSERT INTO `lang_definitions` VALUES (45481, 12131, 9, 'Vos résultats de laboratoire');
INSERT INTO `lang_definitions` VALUES (45482, 12132, 9, 'Votre nom de liste a été modifiée pour répondre aux exigences de nommage.');
INSERT INTO `lang_definitions` VALUES (45483, 12133, 9, 'Votre message a été soumis pour être livré à');
INSERT INTO `lang_definitions` VALUES (45484, 12134, 9, 'Votre nom pour cette catégorie, procédure ou résultat');
INSERT INTO `lang_definitions` VALUES (45485, 12139, 9, 'Votre mot de passe');
INSERT INTO `lang_definitions` VALUES (45486, 12140, 9, 'Votre mot de passe a expiré. Veuillez changer votre mot de passe.');
INSERT INTO `lang_definitions` VALUES (45487, 12141, 9, 'Votre mot de passe expire le');
INSERT INTO `lang_definitions` VALUES (45488, 12143, 9, 'Votre mot de passe expire aujourd\'hui. Veuillez changer votre mot de passe.');
INSERT INTO `lang_definitions` VALUES (45489, 12144, 9, 'Votre mot de passe sert de signature');
INSERT INTO `lang_definitions` VALUES (45490, 12146, 9, 'Votre configuration PostCalendar est réinitialisé par les paramètres par défaut.');
INSERT INTO `lang_definitions` VALUES (45491, 12147, 9, 'Votre configuration PostCalendar est actualisé.');
INSERT INTO `lang_definitions` VALUES (45492, 12148, 9, 'Votre fréquence de répétition doit être un entier.');
INSERT INTO `lang_definitions` VALUES (45493, 12149, 9, 'Votre fréquence de répétition doit être au moins 1.');
INSERT INTO `lang_definitions` VALUES (45494, 12151, 9, 'Votre date début est supérieure à la date fin');
INSERT INTO `lang_definitions` VALUES (45495, 12152, 9, 'Votre date début est invalide');
INSERT INTO `lang_definitions` VALUES (45496, 12153, 9, 'Votre soumission a échoué.');
INSERT INTO `lang_definitions` VALUES (45497, 12156, 9, 'aaaa-mm-jj');
INSERT INTO `lang_definitions` VALUES (45498, 12157, 9, 'AAAA-MM-JJ');
INSERT INTO `lang_definitions` VALUES (45499, 12158, 9, 'aaaa-mm-jj date associé à ce document');
INSERT INTO `lang_definitions` VALUES (45500, 12159, 9, 'aaaa-mm-jj date de destruction');
INSERT INTO `lang_definitions` VALUES (45501, 12160, 9, 'aaaa-mm-jj date de naissance');
INSERT INTO `lang_definitions` VALUES (45502, 12161, 9, 'aaaa-mm-jj Date de Naissance');
INSERT INTO `lang_definitions` VALUES (45503, 12162, 9, 'aaaa-mm-jj date d\'expiration');
INSERT INTO `lang_definitions` VALUES (45504, 12163, 9, 'aaaa-mm-jj Date du début ou de l\'hospitalisation');
INSERT INTO `lang_definitions` VALUES (45505, 12164, 9, 'aaaa-mm-jj date du début, chirurgie ou début de médication');
INSERT INTO `lang_definitions` VALUES (45506, 12165, 9, 'aaaa-mm-jj date d\'achat ou transfert');
INSERT INTO `lang_definitions` VALUES (45507, 12166, 9, 'aaaa-mm-jj date de récupération et fin de médication');
INSERT INTO `lang_definitions` VALUES (45508, 12167, 9, 'aaaa-mm-jj Date de retour au jeu');
INSERT INTO `lang_definitions` VALUES (45509, 12168, 9, 'aaaa-mm-jj Date de service');
INSERT INTO `lang_definitions` VALUES (45510, 12169, 9, 'aaaa-mm-jj date de cette lettre');
INSERT INTO `lang_definitions` VALUES (45511, 12170, 9, 'aaaa-mm-jj date de retour au jeu');
INSERT INTO `lang_definitions` VALUES (45512, 12171, 9, 'aaaa-mm-jj date du document');
INSERT INTO `lang_definitions` VALUES (45513, 12173, 9, 'aaaa-mm-jj date d\'évènement ou de début');
INSERT INTO `lang_definitions` VALUES (45514, 12174, 9, 'yyyy-mm-dd H:m Date de fin');
INSERT INTO `lang_definitions` VALUES (45515, 12175, 9, 'yyyy-mm-dd H:m Date de fin');
INSERT INTO `lang_definitions` VALUES (45516, 12176, 9, 'yyyy-mm-dd H:m Date de début');
INSERT INTO `lang_definitions` VALUES (45517, 12177, 9, 'yyyy-mm-dd H:m Date de début');
INSERT INTO `lang_definitions` VALUES (45518, 12178, 9, 'aaaa-mm-jj hh:mm:ss');
INSERT INTO `lang_definitions` VALUES (45519, 12179, 9, 'aaaa-mm-jj Heures(24): minutes');
INSERT INTO `lang_definitions` VALUES (45520, 12180, 9, 'aaaa-mm-jj dernière date de l\'événement');
INSERT INTO `lang_definitions` VALUES (45521, 12182, 9, 'aaaa-mm-jj date de départ pour la recherche');
INSERT INTO `lang_definitions` VALUES (45522, 12186, 9, 'Zéro');
INSERT INTO `lang_definitions` VALUES (45523, 12188, 9, 'Code Postal');
INSERT INTO `lang_definitions` VALUES (45524, 12189, 9, 'Code Postal');
INSERT INTO `lang_definitions` VALUES (45525, 12191, 9, 'Code Postal/Pays:');
INSERT INTO `lang_definitions` VALUES (45526, 12196, 9, 'Zoulou');
INSERT INTO `lang_definitions` VALUES (45527, 12197, 9, 'mais étais');
INSERT INTO `lang_definitions` VALUES (45528, 12198, 9, 'ne peut être accédé');
INSERT INTO `lang_definitions` VALUES (45529, 12199, 9, 'Voulez-vous vraiment supprimer');
INSERT INTO `lang_definitions` VALUES (45530, 12200, 9, 'Médicament');
INSERT INTO `lang_definitions` VALUES (45531, 12201, 9, 'email non envoyé');
INSERT INTO `lang_definitions` VALUES (45532, 12202, 9, 'de');
INSERT INTO `lang_definitions` VALUES (45533, 12203, 9, 'a été crée');
INSERT INTO `lang_definitions` VALUES (45534, 12204, 9, 'a été ré-ouvert');
INSERT INTO `lang_definitions` VALUES (45535, 12205, 9, 'Histoire');
INSERT INTO `lang_definitions` VALUES (45536, 12206, 9, 'n\'est pas un nombre');
INSERT INTO `lang_definitions` VALUES (45537, 12207, 9, 'est prêt à une ré-facturation');
INSERT INTO `lang_definitions` VALUES (45538, 12209, 9, 'Lot');
INSERT INTO `lang_definitions` VALUES (45539, 12210, 9, 'N° Référence d\'Origine Assurance Maladie');
INSERT INTO `lang_definitions` VALUES (45540, 12211, 9, 'min');
INSERT INTO `lang_definitions` VALUES (45541, 12212, 9, 'introuvable!');
INSERT INTO `lang_definitions` VALUES (45542, 12213, 9, 'Particularités dans de nombreux navigateurs peut signifier que la sortie ci-dessous entre votre écran par saccades brusques et qu\'il y a de longues pauses de plusieurs secondes, où il semble que les choses peuvent avoir écrasé. Ce n\'est pas le cas, vous finirez par voir la sortie sortant ligne par ligne. Il y a peut-être des numéros séquentiels apparaissant ci-dessous, ce n\'est pour indiquer que même si rien d\'autre peut-être il y a une activité affichant passe. Ces numéros seront entrecoupés avec le contenu de la facturation et c\'est normal.');
INSERT INTO `lang_definitions` VALUES (45543, 12214, 9, 'ordonnance a atteint sa limite de');
INSERT INTO `lang_definitions` VALUES (45544, 12215, 9, 'jusqu\'à');
INSERT INTO `lang_definitions` VALUES (45545, 12216, 9, 'mise à jour échoué, pas dans la base de données?');
INSERT INTO `lang_definitions` VALUES (45546, 12217, 9, 'a été marqué comme facturé uniquement.');
INSERT INTO `lang_definitions` VALUES (45547, 12218, 9, 'a été mis en file d\'attente avec succès.');
INSERT INTO `lang_definitions` VALUES (45548, 12219, 9, '! Laissé w/o visite');
INSERT INTO `lang_definitions` VALUES (45549, 12220, 9, '\" pour le code');
INSERT INTO `lang_definitions` VALUES (45550, 12221, 9, '\" est activé dans les règles du Calendrier!');
INSERT INTO `lang_definitions` VALUES (45551, 12223, 9, 'nb de comprimés:');
INSERT INTO `lang_definitions` VALUES (45552, 12225, 9, '$ Codage fait');
INSERT INTO `lang_definitions` VALUES (45553, 12226, 9, '$label (aaaa-mm-jj):');
INSERT INTO `lang_definitions` VALUES (45554, 12227, 9, '%');
INSERT INTO `lang_definitions` VALUES (45555, 12228, 9, '% Annulé < 24h');
INSERT INTO `lang_definitions` VALUES (45556, 12229, 9, '% Annulé < 24h');
INSERT INTO `lang_definitions` VALUES (45557, 12230, 9, 'devrait exister mais au contraire.');
INSERT INTO `lang_definitions` VALUES (45558, 12231, 9, '(% correspond à toute chaîne, _ à tout caractères)');
INSERT INTO `lang_definitions` VALUES (45559, 12233, 9, '(Arrière)');
INSERT INTO `lang_definitions` VALUES (45560, 12234, 9, '(Cliquez pour modifier)');
INSERT INTO `lang_definitions` VALUES (45561, 12235, 9, '(Livraison Email est immédiat, tandis que le VOIP automatisés est envoyé au fournisseur de service pour un traitement ultérieur.)');
INSERT INTO `lang_definitions` VALUES (45562, 12236, 9, '(Plus)');
INSERT INTO `lang_definitions` VALUES (45563, 12237, 9, '(Nouveau Patient)');
INSERT INTO `lang_definitions` VALUES (45564, 12238, 9, '(Notes et Autorisations)');
INSERT INTO `lang_definitions` VALUES (45565, 12239, 9, '(Notes sur le Patient)');
INSERT INTO `lang_definitions` VALUES (45566, 12240, 9, '(Veuillez electionner parmi eux ou saisir votre propre titre)');
INSERT INTO `lang_definitions` VALUES (45567, 12241, 9, '(Shift-)Cliquer ou glisser pour modifier la valeur');
INSERT INTO `lang_definitions` VALUES (45568, 12242, 9, '* Rappel effectué');
INSERT INTO `lang_definitions` VALUES (45569, 12243, 9, '** Veuillez déplacer les chirurgies vers les problèmes cliniques!');
INSERT INTO `lang_definitions` VALUES (45570, 12244, 9, '*Obligatoire');
INSERT INTO `lang_definitions` VALUES (45571, 12245, 9, '+ Diagramme retiré');
INSERT INTO `lang_definitions` VALUES (45572, 12249, 9, '- Aucun');
INSERT INTO `lang_definitions` VALUES (45573, 12251, 9, '-- Tous --');
INSERT INTO `lang_definitions` VALUES (45574, 12252, 9, '--Sélectionner un rôle--');
INSERT INTO `lang_definitions` VALUES (45575, 12254, 9, '0');
INSERT INTO `lang_definitions` VALUES (45576, 12255, 9, '0-11');
INSERT INTO `lang_definitions` VALUES (45577, 12256, 9, '0-25');
INSERT INTO `lang_definitions` VALUES (45578, 12260, 9, '1 = Amérique du Nord. Voir http://www.wtng.info/ pour la liste des codes des autres pays.');
INSERT INTO `lang_definitions` VALUES (45579, 12261, 9, 'Dans une journée');
INSERT INTO `lang_definitions` VALUES (45580, 12262, 9, 'Dans un mois');
INSERT INTO `lang_definitions` VALUES (45581, 12263, 9, 'Dans une semaine');
INSERT INTO `lang_definitions` VALUES (45582, 12264, 9, 'Dans un an');
INSERT INTO `lang_definitions` VALUES (45583, 12265, 9, '1. Repos 2. Glace pour deux jours 3. Compression, laissez le pansement en place à moins que le pied ne développe un engourdissement ou a une couleur pâle 4. Surélever le pied et la jambe');
INSERT INTO `lang_definitions` VALUES (45584, 12266, 9, '11-14');
INSERT INTO `lang_definitions` VALUES (45585, 12267, 9, '12 hr');
INSERT INTO `lang_definitions` VALUES (45586, 12268, 9, '15-19');
INSERT INTO `lang_definitions` VALUES (45587, 12270, 9, '1er');
INSERT INTO `lang_definitions` VALUES (45588, 12272, 9, '2');
INSERT INTO `lang_definitions` VALUES (45589, 12273, 9, 'Dans 2 jours');
INSERT INTO `lang_definitions` VALUES (45590, 12274, 9, 'Dans 2 mois');
INSERT INTO `lang_definitions` VALUES (45591, 12275, 9, 'Dans 2 semaines');
INSERT INTO `lang_definitions` VALUES (45592, 12276, 9, 'Dans 2 mois');
INSERT INTO `lang_definitions` VALUES (45593, 12277, 9, '2-20 ans');
INSERT INTO `lang_definitions` VALUES (45594, 12278, 9, '20-24');
INSERT INTO `lang_definitions` VALUES (45595, 12287, 9, '2111-14');
INSERT INTO `lang_definitions` VALUES (45596, 12288, 9, '24 hr');
INSERT INTO `lang_definitions` VALUES (45597, 12289, 9, '25+');
INSERT INTO `lang_definitions` VALUES (45598, 12290, 9, '25-29');
INSERT INTO `lang_definitions` VALUES (45599, 12293, 9, '2nd');
INSERT INTO `lang_definitions` VALUES (45600, 12296, 9, 'Dans 3 jours');
INSERT INTO `lang_definitions` VALUES (45601, 12297, 9, '3 mois');
INSERT INTO `lang_definitions` VALUES (45602, 12298, 9, 'Dans 3 mois');
INSERT INTO `lang_definitions` VALUES (45603, 12299, 9, '3 fois par jour');
INSERT INTO `lang_definitions` VALUES (45604, 12300, 9, 'Dans 3 semaines');
INSERT INTO `lang_definitions` VALUES (45605, 12301, 9, '30-34');
INSERT INTO `lang_definitions` VALUES (45606, 12302, 9, '35-39');
INSERT INTO `lang_definitions` VALUES (45607, 12304, 9, '3ème');
INSERT INTO `lang_definitions` VALUES (45608, 12307, 9, 'Dans 4 jours');
INSERT INTO `lang_definitions` VALUES (45609, 12308, 9, '4 mois');
INSERT INTO `lang_definitions` VALUES (45610, 12309, 9, 'Dans 4 mois');
INSERT INTO `lang_definitions` VALUES (45611, 12310, 9, '4 fois par jour');
INSERT INTO `lang_definitions` VALUES (45612, 12311, 9, 'Dans 4 semaines');
INSERT INTO `lang_definitions` VALUES (45613, 12312, 9, '40-44');
INSERT INTO `lang_definitions` VALUES (45614, 12313, 9, '45+');
INSERT INTO `lang_definitions` VALUES (45615, 12314, 9, '465.9, IVRS');
INSERT INTO `lang_definitions` VALUES (45616, 12315, 9, '466.0, Bronchite, Aiguë NOS');
INSERT INTO `lang_definitions` VALUES (45617, 12316, 9, '486.0, Pneumonie, Aiguë');
INSERT INTO `lang_definitions` VALUES (45618, 12317, 9, '491.21 Exacerbation reliée à une MPOC');
INSERT INTO `lang_definitions` VALUES (45619, 12318, 9, '491.8, Bronchite, Chronique');
INSERT INTO `lang_definitions` VALUES (45620, 12319, 9, '493.92, Asthme, Exacerbés Aiguë.');
INSERT INTO `lang_definitions` VALUES (45621, 12320, 9, '496.0, MPOC');
INSERT INTO `lang_definitions` VALUES (45622, 12323, 9, '4ème');
INSERT INTO `lang_definitions` VALUES (45623, 12326, 9, 'Dans 5 jours');
INSERT INTO `lang_definitions` VALUES (45624, 12327, 9, 'Dans 5 mois');
INSERT INTO `lang_definitions` VALUES (45625, 12328, 9, 'Dans 5 semaines');
INSERT INTO `lang_definitions` VALUES (45626, 12329, 9, '519.7, Broncho-spasme');
INSERT INTO `lang_definitions` VALUES (45627, 12331, 9, '5ème');
INSERT INTO `lang_definitions` VALUES (45628, 12333, 9, 'Dans 6 jours');
INSERT INTO `lang_definitions` VALUES (45629, 12334, 9, '6 mois');
INSERT INTO `lang_definitions` VALUES (45630, 12335, 9, 'Dans 6 mois');
INSERT INTO `lang_definitions` VALUES (45631, 12336, 9, 'Dans 6 semaines');
INSERT INTO `lang_definitions` VALUES (45632, 12337, 9, '6ème');
INSERT INTO `lang_definitions` VALUES (45633, 12339, 9, 'Dans 7 mois');
INSERT INTO `lang_definitions` VALUES (45634, 12340, 9, 'Dans 8 mois');
INSERT INTO `lang_definitions` VALUES (45635, 12342, 9, '824.0 Fracture, malléole interne, fermée');
INSERT INTO `lang_definitions` VALUES (45636, 12343, 9, '824.2 Fracture, malléole latérale, fermée');
INSERT INTO `lang_definitions` VALUES (45637, 12344, 9, '824.6 Fracture, tri-malléolaires, fermé');
INSERT INTO `lang_definitions` VALUES (45638, 12345, 9, '825,32 Fracture, de la Naviculaire (cheville)');
INSERT INTO `lang_definitions` VALUES (45639, 12346, 9, '825,35 Fracture, Base de cinquième (5ème) Métatarsien');
INSERT INTO `lang_definitions` VALUES (45640, 12347, 9, '845,00 entorse de la cheville NOS');
INSERT INTO `lang_definitions` VALUES (45641, 12348, 9, '845,01 Entorse Médial (deltoïde) Lig.');
INSERT INTO `lang_definitions` VALUES (45642, 12349, 9, '845,02 Entorse, péroné calcanéum');
INSERT INTO `lang_definitions` VALUES (45643, 12350, 9, 'Dans 9 mois');
INSERT INTO `lang_definitions` VALUES (45644, 12351, 9, '99212 Installé - sans complication');
INSERT INTO `lang_definitions` VALUES (45645, 12352, 9, '99213 Installé - faible complication');
INSERT INTO `lang_definitions` VALUES (45646, 12353, 9, '< En salle d\'examen');
INSERT INTO `lang_definitions` VALUES (45647, 12357, 9, '> Vérifié');
INSERT INTO `lang_definitions` VALUES (45648, 12359, 9, '?');
INSERT INTO `lang_definitions` VALUES (45649, 12361, 9, '? Ne s\'est pas présenté');
INSERT INTO `lang_definitions` VALUES (45650, 12362, 9, '@ Arrivé');
INSERT INTO `lang_definitions` VALUES (45651, 12364, 9, '[Changer de Vue]');
INSERT INTO `lang_definitions` VALUES (45652, 12365, 9, '[Date de Dernière Visite]');
INSERT INTO `lang_definitions` VALUES (45653, 12366, 9, '[Jours Depuis Dernière Visite]');
INSERT INTO `lang_definitions` VALUES (45654, 12368, 9, '[Exporter OFX]');
INSERT INTO `lang_definitions` VALUES (45655, 12369, 9, '[déconseillé]');
INSERT INTO `lang_definitions` VALUES (45656, 12370, 9, '[Nombre De Visites]');
INSERT INTO `lang_definitions` VALUES (45657, 12371, 9, '[Rapports]');
INSERT INTO `lang_definitions` VALUES (45658, 12372, 9, '[Sélectionner Tout]');
INSERT INTO `lang_definitions` VALUES (45659, 12373, 9, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (45660, 12374, 9, '[Début de Traitement par Lots]');
INSERT INTO `lang_definitions` VALUES (45661, 12375, 9, '[Afficher le Journal]');
INSERT INTO `lang_definitions` VALUES (45662, 12376, 9, '[Afficher Rapport Imprimable]');
INSERT INTO `lang_definitions` VALUES (45663, 12378, 9, '_PC_DUR_HEURES');
INSERT INTO `lang_definitions` VALUES (45664, 12379, 9, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (45665, 12380, 9, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (45666, 12381, 9, '~ Arrivé en retard');
INSERT INTO `lang_definitions` VALUES (45667, 1, 10, '一');
INSERT INTO `lang_definitions` VALUES (45668, 2, 10, '支票或索赔编号用于辨别付款');
INSERT INTO `lang_definitions` VALUES (45669, 4, 10, '管理员用户的客户端证书');
INSERT INTO `lang_definitions` VALUES (45670, 13, 10, '需要一个分销商');
INSERT INTO `lang_definitions` VALUES (45671, 17, 10, '本次门诊应添加一个GCAC门诊表格');
INSERT INTO `lang_definitions` VALUES (45672, 20, 10, '需要一个批号');
INSERT INTO `lang_definitions` VALUES (45673, 21, 10, '需要一个批号！');
INSERT INTO `lang_definitions` VALUES (45674, 22, 10, '小写字母');
INSERT INTO `lang_definitions` VALUES (45675, 28, 10, '数字');
INSERT INTO `lang_definitions` VALUES (45676, 30, 10, '已有客户持有此身份证号。');
INSERT INTO `lang_definitions` VALUES (45677, 31, 10, '已有客户使用此姓名。');
INSERT INTO `lang_definitions` VALUES (45678, 32, 10, '已有客户使用此身份证号。');
INSERT INTO `lang_definitions` VALUES (45679, 43, 10, '可为每次门诊标明转介来源。');
INSERT INTO `lang_definitions` VALUES (45680, 44, 10, '需要一个相关的IPPF代码！');
INSERT INTO `lang_definitions` VALUES (45681, 49, 10, '一个特殊字符');
INSERT INTO `lang_definitions` VALUES (45682, 53, 10, '一个辨认此域的独有值，用户看不到');
INSERT INTO `lang_definitions` VALUES (45683, 57, 10, 'a.c.');
INSERT INTO `lang_definitions` VALUES (45684, 58, 10, '上午');
INSERT INTO `lang_definitions` VALUES (45685, 60, 10, 'A/F级右侧：');
INSERT INTO `lang_definitions` VALUES (45686, 62, 10, 'AB');
INSERT INTO `lang_definitions` VALUES (45687, 63, 10, '缩写');
INSERT INTO `lang_definitions` VALUES (45688, 64, 10, '脓肿：');
INSERT INTO `lang_definitions` VALUES (45689, 65, 10, '腹部');
INSERT INTO `lang_definitions` VALUES (45690, 66, 10, '能承受重量四(4)步骤：');
INSERT INTO `lang_definitions` VALUES (45691, 67, 10, '异常的');
INSERT INTO `lang_definitions` VALUES (45692, 68, 10, '异常1');
INSERT INTO `lang_definitions` VALUES (45693, 70, 10, '异常的');
INSERT INTO `lang_definitions` VALUES (45694, 71, 10, '异常的血液测验');
INSERT INTO `lang_definitions` VALUES (45695, 72, 10, '异常的毛发生长');
INSERT INTO `lang_definitions` VALUES (45696, 73, 10, '异常的乳房X光');
INSERT INTO `lang_definitions` VALUES (45697, 75, 10, '堕胎');
INSERT INTO `lang_definitions` VALUES (45698, 76, 10, '堕胎问题');
INSERT INTO `lang_definitions` VALUES (45699, 77, 10, '堕胎方式');
INSERT INTO `lang_definitions` VALUES (45700, 78, 10, '与堕胎有关的分类');
INSERT INTO `lang_definitions` VALUES (45701, 79, 10, '堕胎');
INSERT INTO `lang_definitions` VALUES (45702, 82, 10, '关于日历');
INSERT INTO `lang_definitions` VALUES (45703, 85, 10, '缺席的诊断');
INSERT INTO `lang_definitions` VALUES (45704, 87, 10, '接受指派');
INSERT INTO `lang_definitions` VALUES (45705, 89, 10, '接受付款');
INSERT INTO `lang_definitions` VALUES (45706, 90, 10, '接受付款');
INSERT INTO `lang_definitions` VALUES (45707, 91, 10, '接受指派');
INSERT INTO `lang_definitions` VALUES (45708, 93, 10, '访问权限管理');
INSERT INTO `lang_definitions` VALUES (45709, 94, 10, '访问权限列表管理');
INSERT INTO `lang_definitions` VALUES (45710, 102, 10, '禁止访问');
INSERT INTO `lang_definitions` VALUES (45711, 105, 10, '访问客户管理门户');
INSERT INTO `lang_definitions` VALUES (45712, 113, 10, '帐号名');
INSERT INTO `lang_definitions` VALUES (45713, 117, 10, '会计');
INSERT INTO `lang_definitions` VALUES (45714, 122, 10, '疼痛');
INSERT INTO `lang_definitions` VALUES (45715, 124, 10, '确认要求（ISA14）');
INSERT INTO `lang_definitions` VALUES (45716, 126, 10, 'ACL');
INSERT INTO `lang_definitions` VALUES (45717, 127, 10, 'ACL管理');
INSERT INTO `lang_definitions` VALUES (45718, 129, 10, '未授权管理ACL');
INSERT INTO `lang_definitions` VALUES (45719, 133, 10, '粉刺');
INSERT INTO `lang_definitions` VALUES (45720, 136, 10, '行动');
INSERT INTO `lang_definitions` VALUES (45721, 137, 10, '行动日期');
INSERT INTO `lang_definitions` VALUES (45722, 138, 10, '行动');
INSERT INTO `lang_definitions` VALUES (45723, 142, 10, '行动');
INSERT INTO `lang_definitions` VALUES (45724, 144, 10, '启动CCR/CCD报表');
INSERT INTO `lang_definitions` VALUES (45725, 148, 10, '起始治疗');
INSERT INTO `lang_definitions` VALUES (45726, 150, 10, '起始治疗提示');
INSERT INTO `lang_definitions` VALUES (45727, 152, 10, '起始治疗提示规则');
INSERT INTO `lang_definitions` VALUES (45728, 153, 10, '起始治疗提示');
INSERT INTO `lang_definitions` VALUES (45729, 158, 10, '起始治疗接触');
INSERT INTO `lang_definitions` VALUES (45730, 160, 10, '起始治疗清单');
INSERT INTO `lang_definitions` VALUES (45731, 162, 10, '起始治疗客户');
INSERT INTO `lang_definitions` VALUES (45732, 163, 10, '起始治疗计划');
INSERT INTO `lang_definitions` VALUES (45733, 173, 10, '治疗方案');
INSERT INTO `lang_definitions` VALUES (45734, 174, 10, '治疗类型');
INSERT INTO `lang_definitions` VALUES (45735, 187, 10, '急性或慢性');
INSERT INTO `lang_definitions` VALUES (45736, 189, 10, '添加');
INSERT INTO `lang_definitions` VALUES (45737, 190, 10, '添加');
INSERT INTO `lang_definitions` VALUES (45738, 191, 10, '添加');
INSERT INTO `lang_definitions` VALUES (45739, 192, 10, '添加单位');
INSERT INTO `lang_definitions` VALUES (45740, 197, 10, '添加药房');
INSERT INTO `lang_definitions` VALUES (45741, 200, 10, '添加事件为');
INSERT INTO `lang_definitions` VALUES (45742, 202, 10, '添加为新备注');
INSERT INTO `lang_definitions` VALUES (45743, 203, 10, '添加为新增');
INSERT INTO `lang_definitions` VALUES (45744, 206, 10, '添加按钮');
INSERT INTO `lang_definitions` VALUES (45745, 207, 10, '添加特殊字符按钮，以单机方式在编辑器顶部显示');
INSERT INTO `lang_definitions` VALUES (45746, 208, 10, '添加分类');
INSERT INTO `lang_definitions` VALUES (45747, 209, 10, '添加常数');
INSERT INTO `lang_definitions` VALUES (45748, 210, 10, '添加上下文');
INSERT INTO `lang_definitions` VALUES (45749, 211, 10, '添加共付额');
INSERT INTO `lang_definitions` VALUES (45750, 212, 10, '添加标准');
INSERT INTO `lang_definitions` VALUES (45751, 213, 10, '添加自定义按钮');
INSERT INTO `lang_definitions` VALUES (45752, 216, 10, '添加诊断');
INSERT INTO `lang_definitions` VALUES (45753, 217, 10, '添加药物');
INSERT INTO `lang_definitions` VALUES (45754, 220, 10, '添加治疗接触');
INSERT INTO `lang_definitions` VALUES (45755, 221, 10, '添加治疗接触/备注');
INSERT INTO `lang_definitions` VALUES (45756, 222, 10, '添加设施');
INSERT INTO `lang_definitions` VALUES (45757, 223, 10, '添加字段');
INSERT INTO `lang_definitions` VALUES (45758, 224, 10, '添加以下行到Apache配置文件');
INSERT INTO `lang_definitions` VALUES (45759, 225, 10, '添加组');
INSERT INTO `lang_definitions` VALUES (45760, 227, 10, '添加ICD码');
INSERT INTO `lang_definitions` VALUES (45761, 228, 10, '添加免疫');
INSERT INTO `lang_definitions` VALUES (45762, 229, 10, '无权限执行添加！');
INSERT INTO `lang_definitions` VALUES (45763, 230, 10, '添加问题');
INSERT INTO `lang_definitions` VALUES (45764, 232, 10, '添加语言');
INSERT INTO `lang_definitions` VALUES (45765, 238, 10, '新增');
INSERT INTO `lang_definitions` VALUES (45766, 239, 10, '新增');
INSERT INTO `lang_definitions` VALUES (45767, 240, 10, '新增类别：');
INSERT INTO `lang_definitions` VALUES (45768, 241, 10, '新增证书到Apache配置文件');
INSERT INTO `lang_definitions` VALUES (45769, 249, 10, '新增组');
INSERT INTO `lang_definitions` VALUES (45770, 251, 10, '新增批号和交易');
INSERT INTO `lang_definitions` VALUES (45771, 253, 10, '新增备注');
INSERT INTO `lang_definitions` VALUES (45772, 254, 10, '新增备注');
INSERT INTO `lang_definitions` VALUES (45773, 255, 10, '新增伙伴');
INSERT INTO `lang_definitions` VALUES (45774, 264, 10, '添加备注');
INSERT INTO `lang_definitions` VALUES (45775, 268, 10, '添加病历');
INSERT INTO `lang_definitions` VALUES (45776, 269, 10, '添加处方');
INSERT INTO `lang_definitions` VALUES (45777, 271, 10, '添加专家编号');
INSERT INTO `lang_definitions` VALUES (45778, 273, 10, '添加康复');
INSERT INTO `lang_definitions` VALUES (45779, 274, 10, '添加规则');
INSERT INTO `lang_definitions` VALUES (45780, 277, 10, '添加到');
INSERT INTO `lang_definitions` VALUES (45781, 281, 10, '添加到药品清单');
INSERT INTO `lang_definitions` VALUES (45782, 282, 10, '添加最高级别');
INSERT INTO `lang_definitions` VALUES (45783, 283, 10, '添加交易');
INSERT INTO `lang_definitions` VALUES (45784, 284, 10, '添加用户');
INSERT INTO `lang_definitions` VALUES (45785, 285, 10, '添加到用户组');
INSERT INTO `lang_definitions` VALUES (45786, 287, 10, '添加/编辑eRX');
INSERT INTO `lang_definitions` VALUES (45787, 289, 10, '添加/编辑客户交易');
INSERT INTO `lang_definitions` VALUES (45788, 290, 10, '添加完毕');
INSERT INTO `lang_definitions` VALUES (45789, 293, 10, '不允许添加户口资料');
INSERT INTO `lang_definitions` VALUES (45790, 297, 10, '附加属性');
INSERT INTO `lang_definitions` VALUES (45791, 300, 10, '附加诊断：');
INSERT INTO `lang_definitions` VALUES (45792, 305, 10, '附加病史');
INSERT INTO `lang_definitions` VALUES (45793, 306, 10, '附加病史备注');
INSERT INTO `lang_definitions` VALUES (45794, 307, 10, '其它信息');
INSERT INTO `lang_definitions` VALUES (45795, 310, 10, '附加实验室');
INSERT INTO `lang_definitions` VALUES (45796, 311, 10, '附加备注');
INSERT INTO `lang_definitions` VALUES (45797, 314, 10, '附加备注：');
INSERT INTO `lang_definitions` VALUES (45798, 315, 10, '附加备注：');
INSERT INTO `lang_definitions` VALUES (45799, 317, 10, '额外的X射线备注：');
INSERT INTO `lang_definitions` VALUES (45800, 320, 10, '只添加');
INSERT INTO `lang_definitions` VALUES (45801, 322, 10, '通讯录');
INSERT INTO `lang_definitions` VALUES (45802, 323, 10, '通讯录');
INSERT INTO `lang_definitions` VALUES (45803, 324, 10, '地址');
INSERT INTO `lang_definitions` VALUES (45804, 327, 10, '通讯录');
INSERT INTO `lang_definitions` VALUES (45805, 328, 10, '执行此疗程的单位通讯录条目');
INSERT INTO `lang_definitions` VALUES (45806, 329, 10, '经销商的通讯录');
INSERT INTO `lang_definitions` VALUES (45807, 330, 10, '供应商的通讯录');
INSERT INTO `lang_definitions` VALUES (45808, 331, 10, '通讯录类型');
INSERT INTO `lang_definitions` VALUES (45809, 339, 10, '地址1');
INSERT INTO `lang_definitions` VALUES (45810, 340, 10, '地址2');
INSERT INTO `lang_definitions` VALUES (45811, 342, 10, '收件人');
INSERT INTO `lang_definitions` VALUES (45812, 345, 10, '调整');
INSERT INTO `lang_definitions` VALUES (45813, 346, 10, '调整金额');
INSERT INTO `lang_definitions` VALUES (45814, 347, 10, '调整');
INSERT INTO `lang_definitions` VALUES (45815, 348, 10, '调整');
INSERT INTO `lang_definitions` VALUES (45816, 349, 10, '调整金额');
INSERT INTO `lang_definitions` VALUES (45817, 350, 10, '调整原因');
INSERT INTO `lang_definitions` VALUES (45818, 352, 10, '将值调整为代码');
INSERT INTO `lang_definitions` VALUES (45819, 353, 10, '调整');
INSERT INTO `lang_definitions` VALUES (45820, 354, 10, '行政调整');
INSERT INTO `lang_definitions` VALUES (45821, 355, 10, '管理员');
INSERT INTO `lang_definitions` VALUES (45822, 356, 10, '管理员Email地址');
INSERT INTO `lang_definitions` VALUES (45823, 357, 10, '管理方式');
INSERT INTO `lang_definitions` VALUES (45824, 359, 10, '管理');
INSERT INTO `lang_definitions` VALUES (45825, 360, 10, '管理工作由');
INSERT INTO `lang_definitions` VALUES (45826, 363, 10, '管理');
INSERT INTO `lang_definitions` VALUES (45827, 366, 10, '管理员');
INSERT INTO `lang_definitions` VALUES (45828, 367, 10, '管理员可以做任何事');
INSERT INTO `lang_definitions` VALUES (45829, 371, 10, '成人体重筛查和跟踪');
INSERT INTO `lang_definitions` VALUES (45830, 372, 10, '成人体重筛查和跟踪（CQM）');
INSERT INTO `lang_definitions` VALUES (45831, 373, 10, '事先指示');
INSERT INTO `lang_definitions` VALUES (45832, 374, 10, '事先指示');
INSERT INTO `lang_definitions` VALUES (45833, 375, 10, '事先指示警告');
INSERT INTO `lang_definitions` VALUES (45834, 377, 10, '高级的');
INSERT INTO `lang_definitions` VALUES (45835, 380, 10, '建议');
INSERT INTO `lang_definitions` VALUES (45836, 382, 10, '影响正常');
INSERT INTO `lang_definitions` VALUES (45837, 386, 10, '办公时间以外致电');
INSERT INTO `lang_definitions` VALUES (45838, 388, 10, '在执行上述配置，进口的管理客户端证书的浏览器并重新启动服务器（空密码）。');
INSERT INTO `lang_definitions` VALUES (45839, 390, 10, '保存后，点击[查看]检查错误日志。');
INSERT INTO `lang_definitions` VALUES (45840, 393, 10, '保存后，点击查看检查错误日志[ ]。');
INSERT INTO `lang_definitions` VALUES (45841, 396, 10, '保存您的批号后，点击[查看日志]检查错误。');
INSERT INTO `lang_definitions` VALUES (45842, 399, 10, '输入正确的信息后，点击\"保存\"按钮。');
INSERT INTO `lang_definitions` VALUES (45843, 406, 10, '再次');
INSERT INTO `lang_definitions` VALUES (45844, 407, 10, '年龄');
INSERT INTO `lang_definitions` VALUES (45845, 409, 10, '年龄按');
INSERT INTO `lang_definitions` VALUES (45846, 410, 10, '年龄分类');
INSERT INTO `lang_definitions` VALUES (45847, 411, 10, '年龄数据超出范围');
INSERT INTO `lang_definitions` VALUES (45848, 413, 10, '年龄从的格式无效');
INSERT INTO `lang_definitions` VALUES (45849, 414, 10, '年龄到的格式无效');
INSERT INTO `lang_definitions` VALUES (45850, 415, 10, '年龄从');
INSERT INTO `lang_definitions` VALUES (45851, 417, 10, '最大年龄');
INSERT INTO `lang_definitions` VALUES (45852, 418, 10, '最小年龄');
INSERT INTO `lang_definitions` VALUES (45853, 419, 10, '年龄范围');
INSERT INTO `lang_definitions` VALUES (45854, 421, 10, '实效列：');
INSERT INTO `lang_definitions` VALUES (45855, 423, 10, '阿尔巴尼亚人');
INSERT INTO `lang_definitions` VALUES (45856, 424, 10, '酒精');
INSERT INTO `lang_definitions` VALUES (45857, 425, 10, '酒精消耗量');
INSERT INTO `lang_definitions` VALUES (45858, 428, 10, '提醒次数');
INSERT INTO `lang_definitions` VALUES (45859, 435, 10, '提醒');
INSERT INTO `lang_definitions` VALUES (45860, 439, 10, 'ALEUT');
INSERT INTO `lang_definitions` VALUES (45861, 440, 10, '全部');
INSERT INTO `lang_definitions` VALUES (45862, 441, 10, '全部');
INSERT INTO `lang_definitions` VALUES (45863, 443, 10, '全部(整合格式A)');
INSERT INTO `lang_definitions` VALUES (45864, 444, 10, '全部(整合格式B)');
INSERT INTO `lang_definitions` VALUES (45865, 445, 10, '全部(渐增)');
INSERT INTO `lang_definitions` VALUES (45866, 448, 10, '所有类别');
INSERT INTO `lang_definitions` VALUES (45867, 450, 10, '所有编码');
INSERT INTO `lang_definitions` VALUES (45868, 453, 10, '全天');
INSERT INTO `lang_definitions` VALUES (45869, 454, 10, '全天活动');
INSERT INTO `lang_definitions` VALUES (45870, 455, 10, '所有个人户口资料字段，附带搜索和重复检查');
INSERT INTO `lang_definitions` VALUES (45871, 457, 10, '所有设施');
INSERT INTO `lang_definitions` VALUES (45872, 458, 10, '所有伤害/问题');
INSERT INTO `lang_definitions` VALUES (45873, 459, 10, '所有允许的语言');
INSERT INTO `lang_definitions` VALUES (45874, 462, 10, '名字的全部或部分');
INSERT INTO `lang_definitions` VALUES (45875, 463, 10, '姓氏的全部或部分');
INSERT INTO `lang_definitions` VALUES (45876, 464, 10, '组织的全部或部分');
INSERT INTO `lang_definitions` VALUES (45877, 468, 10, '所有产品');
INSERT INTO `lang_definitions` VALUES (45878, 469, 10, '所有服务者');
INSERT INTO `lang_definitions` VALUES (45879, 470, 10, '所有已评估的胶片：');
INSERT INTO `lang_definitions` VALUES (45880, 475, 10, '所有主题');
INSERT INTO `lang_definitions` VALUES (45881, 478, 10, '所有用户');
INSERT INTO `lang_definitions` VALUES (45882, 479, 10, '过敏');
INSERT INTO `lang_definitions` VALUES (45883, 481, 10, '过敏症');
INSERT INTO `lang_definitions` VALUES (45884, 484, 10, '过敏症：');
INSERT INTO `lang_definitions` VALUES (45885, 485, 10, '过敏症');
INSERT INTO `lang_definitions` VALUES (45886, 486, 10, '过敏清单导入完成');
INSERT INTO `lang_definitions` VALUES (45887, 488, 10, '过敏反应');
INSERT INTO `lang_definitions` VALUES (45888, 491, 10, '分配');
INSERT INTO `lang_definitions` VALUES (45889, 492, 10, '允许');
INSERT INTO `lang_definitions` VALUES (45890, 494, 10, '登入时提供所有可用语言选择');
INSERT INTO `lang_definitions` VALUES (45891, 496, 10, '允许创建包含诊断的索偿，不包含程序或收费。大部分诊所不需要这。');
INSERT INTO `lang_definitions` VALUES (45892, 497, 10, '允许调试语言');
INSERT INTO `lang_definitions` VALUES (45893, 500, 10, '允许电子邮件');
INSERT INTO `lang_definitions` VALUES (45894, 501, 10, '是否允许电子邮件信息？');
INSERT INTO `lang_definitions` VALUES (45895, 502, 10, '是否允许电子邮件？');
INSERT INTO `lang_definitions` VALUES (45896, 503, 10, '允许接触的索赔');
INSERT INTO `lang_definitions` VALUES (45897, 506, 10, '允许健康信息交换');
INSERT INTO `lang_definitions` VALUES (45898, 508, 10, '允许分享免疫信息');
INSERT INTO `lang_definitions` VALUES (45899, 509, 10, '允许用于免疫注册');
INSERT INTO `lang_definitions` VALUES (45900, 512, 10, '允许邮件信息');
INSERT INTO `lang_definitions` VALUES (45901, 533, 10, '允许客户网站');
INSERT INTO `lang_definitions` VALUES (45902, 541, 10, '允许短信');
INSERT INTO `lang_definitions` VALUES (45903, 542, 10, '是否允许短信(文本信息)？');
INSERT INTO `lang_definitions` VALUES (45904, 544, 10, '是否允许将提交事件作出了执行的？');
INSERT INTO `lang_definitions` VALUES (45905, 545, 10, '是否允许电话留言？');
INSERT INTO `lang_definitions` VALUES (45906, 547, 10, '允许用户发布全局活动');
INSERT INTO `lang_definitions` VALUES (45907, 548, 10, '允许用户发布个人日历');
INSERT INTO `lang_definitions` VALUES (45908, 554, 10, '允许使用语音留言');
INSERT INTO `lang_definitions` VALUES (45909, 555, 10, '允许的');
INSERT INTO `lang_definitions` VALUES (45910, 556, 10, '允许的语言');
INSERT INTO `lang_definitions` VALUES (45911, 558, 10, '允许(c）');
INSERT INTO `lang_definitions` VALUES (45912, 566, 10, '已经存在');
INSERT INTO `lang_definitions` VALUES (45913, 568, 10, '已经存在。');
INSERT INTO `lang_definitions` VALUES (45914, 570, 10, '已使用，选择另一个标识符');
INSERT INTO `lang_definitions` VALUES (45915, 571, 10, '已使用，选择另一个名称');
INSERT INTO `lang_definitions` VALUES (45916, 573, 10, '备选地址');
INSERT INTO `lang_definitions` VALUES (45917, 577, 10, '备选');
INSERT INTO `lang_definitions` VALUES (45918, 584, 10, '“或者，你可以使用搜索页面上传文件，您从您的付款人或票据交换所获得的电子汇款（ X12的835 ） 。您可以通过点击”浏览“按钮并选择要上传的文件，然后单击搜索以执行上传，并显示相应的发票。其他参数，在这种情况下，上述不适用，将被忽略，上传的文件保存，但还没有处理它的内容 - 。分别完成如下所述”');
INSERT INTO `lang_definitions` VALUES (45919, 586, 10, '上午');
INSERT INTO `lang_definitions` VALUES (45920, 587, 10, '上午计划');
INSERT INTO `lang_definitions` VALUES (45921, 592, 10, '先天多发性关节挛缩症');
INSERT INTO `lang_definitions` VALUES (45922, 593, 10, '先天多发性关节挛缩症追踪');
INSERT INTO `lang_definitions` VALUES (45923, 600, 10, '修订现有备注');
INSERT INTO `lang_definitions` VALUES (45924, 610, 10, '印第安人');
INSERT INTO `lang_definitions` VALUES (45925, 611, 10, '美洲印地安人或阿拉斯加原住民');
INSERT INTO `lang_definitions` VALUES (45926, 612, 10, '美国运通');
INSERT INTO `lang_definitions` VALUES (45927, 613, 10, '阿姆哈啦語');
INSERT INTO `lang_definitions` VALUES (45928, 614, 10, '金额');
INSERT INTO `lang_definitions` VALUES (45929, 617, 10, '收费金额');
INSERT INTO `lang_definitions` VALUES (45930, 620, 10, '过去平衡的金额');
INSERT INTO `lang_definitions` VALUES (45931, 621, 10, '本次诊疗金额');
INSERT INTO `lang_definitions` VALUES (45932, 622, 10, '已付金额');
INSERT INTO `lang_definitions` VALUES (45933, 623, 10, '金额：');
INSERT INTO `lang_definitions` VALUES (45934, 626, 10, '已开发票金额');
INSERT INTO `lang_definitions` VALUES (45935, 630, 10, '重复活动的结束日期必须晚于起始日期！');
INSERT INTO `lang_definitions` VALUES (45936, 632, 10, '导出OpenEMR网页目录时错误');
INSERT INTO `lang_definitions` VALUES (45937, 633, 10, '导出phpGACL网页目录时错误');
INSERT INTO `lang_definitions` VALUES (45938, 634, 10, '导出SQL数据库时错误');
INSERT INTO `lang_definitions` VALUES (45939, 638, 10, '一个不完成的GCAC问题已经被创建和连接，稍后需要有人去完成。');
INSERT INTO `lang_definitions` VALUES (45940, 644, 10, '发生意外的错误。');
INSERT INTO `lang_definitions` VALUES (45941, 646, 10, '一个大写字母');
INSERT INTO `lang_definitions` VALUES (45942, 648, 10, '以及');
INSERT INTO `lang_definitions` VALUES (45943, 649, 10, '以及');
INSERT INTO `lang_definitions` VALUES (45944, 650, 10, '以及');
INSERT INTO `lang_definitions` VALUES (45945, 651, 10, '以及');
INSERT INTO `lang_definitions` VALUES (45946, 652, 10, '以及所有从属数据？此次操作将被记录');
INSERT INTO `lang_definitions` VALUES (45947, 653, 10, '以及修改');
INSERT INTO `lang_definitions` VALUES (45948, 654, 10, '并处理。');
INSERT INTO `lang_definitions` VALUES (45949, 656, 10, '重新启动Apache服务器。');
INSERT INTO `lang_definitions` VALUES (45950, 657, 10, '并且原因是');
INSERT INTO `lang_definitions` VALUES (45951, 659, 10, '贫血');
INSERT INTO `lang_definitions` VALUES (45952, 660, 10, '腳踝');
INSERT INTO `lang_definitions` VALUES (45953, 661, 10, '腳踝 +足跟');
INSERT INTO `lang_definitions` VALUES (45954, 662, 10, '腳踝评估表');
INSERT INTO `lang_definitions` VALUES (45955, 663, 10, '腳踝问题');
INSERT INTO `lang_definitions` VALUES (45956, 664, 10, '强直性脊柱炎');
INSERT INTO `lang_definitions` VALUES (45957, 665, 10, '强直性脊柱炎');
INSERT INTO `lang_definitions` VALUES (45958, 666, 10, '厌食');
INSERT INTO `lang_definitions` VALUES (45959, 667, 10, '另一件事，你可以在发布窗口是要求二次计费。保存之前，如果您选择此复选框，然后在原索赔将被重新打开计费页上，将在下一次计费中处理。“');
INSERT INTO `lang_definitions` VALUES (45960, 671, 10, '前');
INSERT INTO `lang_definitions` VALUES (45961, 677, 10, '焦虑');
INSERT INTO `lang_definitions` VALUES (45962, 679, 10, '任何');
INSERT INTO `lang_definitions` VALUES (45963, 682, 10, '任何类别');
INSERT INTO `lang_definitions` VALUES (45964, 688, 10, '任何部分或其所需的代码说明');
INSERT INTO `lang_definitions` VALUES (45965, 689, 10, '任何部分的理想专业');
INSERT INTO `lang_definitions` VALUES (45966, 690, 10, '任何药物编号或药物名称的一部分');
INSERT INTO `lang_definitions` VALUES (45967, 691, 10, '免疫标识或免疫名称的任何部分');
INSERT INTO `lang_definitions` VALUES (45968, 692, 10, '患者姓名的任何部分，或“最后，第一”或“的XY ”');
INSERT INTO `lang_definitions` VALUES (45969, 699, 10, '短信网关的API密钥');
INSERT INTO `lang_definitions` VALUES (45970, 703, 10, '窒息');
INSERT INTO `lang_definitions` VALUES (45971, 710, 10, '外观');
INSERT INTO `lang_definitions` VALUES (45972, 711, 10, '外观：');
INSERT INTO `lang_definitions` VALUES (45973, 714, 10, '附加本备注');
INSERT INTO `lang_definitions` VALUES (45974, 716, 10, '附加到现有备注');
INSERT INTO `lang_definitions` VALUES (45975, 717, 10, '附加到本备注');
INSERT INTO `lang_definitions` VALUES (45976, 718, 10, '附加到本备注');
INSERT INTO `lang_definitions` VALUES (45977, 719, 10, '阑尾切除术');
INSERT INTO `lang_definitions` VALUES (45978, 721, 10, '适用患者');
INSERT INTO `lang_definitions` VALUES (45979, 723, 10, '登录页面的应用程序的名称和主窗口的标题');
INSERT INTO `lang_definitions` VALUES (45980, 724, 10, '应用接收器代码（如果ISA08空白将使用GS03 ）');
INSERT INTO `lang_definitions` VALUES (45981, 725, 10, '应用发件人代码（ GS02 ）');
INSERT INTO `lang_definitions` VALUES (45982, 726, 10, '应用程序标题');
INSERT INTO `lang_definitions` VALUES (45983, 727, 10, '在生命微像和生长曲线图上适用');
INSERT INTO `lang_definitions` VALUES (45984, 729, 10, '修改应用到当前的事件，这和所有未来的事件，或全部事件？');
INSERT INTO `lang_definitions` VALUES (45985, 730, 10, '适用于受影响地区');
INSERT INTO `lang_definitions` VALUES (45986, 731, 10, '适用于皮肤');
INSERT INTO `lang_definitions` VALUES (45987, 732, 10, '应用');
INSERT INTO `lang_definitions` VALUES (45988, 733, 10, '应用补丁到网站上');
INSERT INTO `lang_definitions` VALUES (45989, 734, 10, '预约');
INSERT INTO `lang_definitions` VALUES (45990, 736, 10, '预约日期');
INSERT INTO `lang_definitions` VALUES (45991, 742, 10, '预约显示格式');
INSERT INTO `lang_definitions` VALUES (45992, 744, 10, '预约提醒规则');
INSERT INTO `lang_definitions` VALUES (45993, 746, 10, '预约状态');
INSERT INTO `lang_definitions` VALUES (45994, 747, 10, '预约状态');
INSERT INTO `lang_definitions` VALUES (45995, 748, 10, '预约内容');
INSERT INTO `lang_definitions` VALUES (45996, 749, 10, '预约/事件颜色');
INSERT INTO `lang_definitions` VALUES (45997, 750, 10, '预约');
INSERT INTO `lang_definitions` VALUES (45998, 751, 10, '预约（可选写）');
INSERT INTO `lang_definitions` VALUES (45999, 758, 10, '预约和治疗');
INSERT INTO `lang_definitions` VALUES (46000, 760, 10, '预约报告');
INSERT INTO `lang_definitions` VALUES (46001, 761, 10, '预约-治疗报告');
INSERT INTO `lang_definitions` VALUES (46002, 764, 10, '批准');
INSERT INTO `lang_definitions` VALUES (46003, 767, 10, '批准');
INSERT INTO `lang_definitions` VALUES (46004, 768, 10, '批准事件管理');
INSERT INTO `lang_definitions` VALUES (46005, 774, 10, 'Appt-Enc');
INSERT INTO `lang_definitions` VALUES (46006, 776, 10, '聘任');
INSERT INTO `lang_definitions` VALUES (46007, 779, 10, '四月');
INSERT INTO `lang_definitions` VALUES (46008, 780, 10, '四月');
INSERT INTO `lang_definitions` VALUES (46009, 782, 10, '阿拉伯');
INSERT INTO `lang_definitions` VALUES (46010, 787, 10, '门诊控制组名称要翻译吗？');
INSERT INTO `lang_definitions` VALUES (46011, 788, 10, '预约类名称要翻译吗？');
INSERT INTO `lang_definitions` VALUES (46012, 789, 10, '文档类名称要翻译吗？');
INSERT INTO `lang_definitions` VALUES (46013, 790, 10, '这种类型要收费吗？');
INSERT INTO `lang_definitions` VALUES (46014, 793, 10, '患者备注标题要翻译吗？');
INSERT INTO `lang_definitions` VALUES (46015, 794, 10, '是代码存储在外部数据库表（0 -没有，1-icd10，2-snomed（rf1），3-snomed（rf2））？');
INSERT INTO `lang_definitions` VALUES (46016, 795, 10, '是否准备一个新的GCAC来完成此次门诊？');
INSERT INTO `lang_definitions` VALUES (46017, 798, 10, '你确定要批准这些事件吗？');
INSERT INTO `lang_definitions` VALUES (46018, 801, 10, '你确定你要完全消除这种形式吗？');
INSERT INTO `lang_definitions` VALUES (46019, 804, 10, '你确定要删除这个泄露？');
INSERT INTO `lang_definitions` VALUES (46020, 805, 10, '你确定要删除这个事件？');
INSERT INTO `lang_definitions` VALUES (46021, 806, 10, '你确定要从数据库中删除这个项目吗？');
INSERT INTO `lang_definitions` VALUES (46022, 808, 10, '你确定要删除这个备注吗 ？');
INSERT INTO `lang_definitions` VALUES (46023, 810, 10, '你确定要编辑这些事件？');
INSERT INTO `lang_definitions` VALUES (46024, 811, 10, '你确定要隐藏这些事件？');
INSERT INTO `lang_definitions` VALUES (46025, 814, 10, '你确定要浏览这些事件？');
INSERT INTO `lang_definitions` VALUES (46026, 815, 10, '你确定要删除整组命名？');
INSERT INTO `lang_definitions` VALUES (46027, 816, 10, '你确定要删除整个清单？');
INSERT INTO `lang_definitions` VALUES (46028, 817, 10, '你确定要删除字段？');
INSERT INTO `lang_definitions` VALUES (46029, 818, 10, '你确定要删除选定的字段吗？');
INSERT INTO `lang_definitions` VALUES (46030, 819, 10, '你确定你想继续这些操作吗？');
INSERT INTO `lang_definitions` VALUES (46031, 820, 10, '区域未指定');
INSERT INTO `lang_definitions` VALUES (46032, 821, 10, '手臂');
INSERT INTO `lang_definitions` VALUES (46033, 822, 10, '亚美尼亚语');
INSERT INTO `lang_definitions` VALUES (46034, 829, 10, '心律失常');
INSERT INTO `lang_definitions` VALUES (46035, 830, 10, '关节炎');
INSERT INTO `lang_definitions` VALUES (46036, 831, 10, '关节炎/退化性关节疾病');
INSERT INTO `lang_definitions` VALUES (46037, 832, 10, '关节炎/退化性关节疾病');
INSERT INTO `lang_definitions` VALUES (46038, 836, 10, '同样的');
INSERT INTO `lang_definitions` VALUES (46039, 838, 10, '作为');
INSERT INTO `lang_definitions` VALUES (46040, 845, 10, '亚洲');
INSERT INTO `lang_definitions` VALUES (46041, 848, 10, '评价');
INSERT INTO `lang_definitions` VALUES (46042, 853, 10, '分配给');
INSERT INTO `lang_definitions` VALUES (46043, 854, 10, '助理');
INSERT INTO `lang_definitions` VALUES (46044, 861, 10, '哮喘');
INSERT INTO `lang_definitions` VALUES (46045, 862, 10, '在');
INSERT INTO `lang_definitions` VALUES (46046, 863, 10, '如果你选择全部，至少有一个搜索参数是必需的。');
INSERT INTO `lang_definitions` VALUES (46047, 866, 10, '在舟状骨');
INSERT INTO `lang_definitions` VALUES (46048, 867, 10, '在舟状骨');
INSERT INTO `lang_definitions` VALUES (46049, 868, 10, '田径队');
INSERT INTO `lang_definitions` VALUES (46050, 870, 10, '田径/损伤');
INSERT INTO `lang_definitions` VALUES (46051, 871, 10, 'ATNA审计CA证书');
INSERT INTO `lang_definitions` VALUES (46052, 872, 10, 'ATNA审计主机');
INSERT INTO `lang_definitions` VALUES (46053, 873, 10, 'ATNA审计的本地证书');
INSERT INTO `lang_definitions` VALUES (46054, 874, 10, 'ATNA审计端口');
INSERT INTO `lang_definitions` VALUES (46055, 877, 10, '注意项');
INSERT INTO `lang_definitions` VALUES (46056, 879, 10, '经办人');
INSERT INTO `lang_definitions` VALUES (46057, 890, 10, '审计备份日志');
INSERT INTO `lang_definitions` VALUES (46058, 891, 10, '审计杂项日志');
INSERT INTO `lang_definitions` VALUES (46059, 892, 10, '审计采购日志');
INSERT INTO `lang_definitions` VALUES (46060, 893, 10, '审计客户记录日志');
INSERT INTO `lang_definitions` VALUES (46061, 894, 10, '审计调度日志');
INSERT INTO `lang_definitions` VALUES (46062, 895, 10, '审计安全管理日志');
INSERT INTO `lang_definitions` VALUES (46063, 896, 10, '审计查询日志');
INSERT INTO `lang_definitions` VALUES (46064, 898, 10, '八月');
INSERT INTO `lang_definitions` VALUES (46065, 899, 10, '八月');
INSERT INTO `lang_definitions` VALUES (46066, 901, 10, '验证');
INSERT INTO `lang_definitions` VALUES (46067, 902, 10, '验证/备注');
INSERT INTO `lang_definitions` VALUES (46068, 922, 10, '授权组');
INSERT INTO `lang_definitions` VALUES (46069, 924, 10, '授权组');
INSERT INTO `lang_definitions` VALUES (46070, 925, 10, '授权组');
INSERT INTO `lang_definitions` VALUES (46071, 926, 10, '授权-任何治疗');
INSERT INTO `lang_definitions` VALUES (46072, 928, 10, '授权-我的治疗');
INSERT INTO `lang_definitions` VALUES (46073, 934, 10, '授权');
INSERT INTO `lang_definitions` VALUES (46074, 936, 10, '只授权');
INSERT INTO `lang_definitions` VALUES (46075, 941, 10, '自动发送');
INSERT INTO `lang_definitions` VALUES (46076, 944, 10, '自动-创建新的治疗');
INSERT INTO `lang_definitions` VALUES (46077, 945, 10, '自动生成');
INSERT INTO `lang_definitions` VALUES (46078, 947, 10, '自动测量计算（AMC）');
INSERT INTO `lang_definitions` VALUES (46079, 952, 10, '自动追踪测量计算（AMC）');
INSERT INTO `lang_definitions` VALUES (46080, 953, 10, '自动措施（AMC）');
INSERT INTO `lang_definitions` VALUES (46081, 955, 10, '自动');
INSERT INTO `lang_definitions` VALUES (46082, 959, 10, '自动创建一个新的约会时治疗的状态设置为“@”（到）。');
INSERT INTO `lang_definitions` VALUES (46083, 962, 10, '汽车医疗');
INSERT INTO `lang_definitions` VALUES (46084, 964, 10, '自动保存');
INSERT INTO `lang_definitions` VALUES (46085, 967, 10, '可用类别');
INSERT INTO `lang_definitions` VALUES (46086, 971, 10, '可用时间');
INSERT INTO `lang_definitions` VALUES (46087, 976, 10, '平均每月');
INSERT INTO `lang_definitions` VALUES (46088, 980, 10, '撕脱/撕脱骨折');
INSERT INTO `lang_definitions` VALUES (46089, 981, 10, '外踝撕脱');
INSERT INTO `lang_definitions` VALUES (46090, 982, 10, '内踝撕脱');
INSERT INTO `lang_definitions` VALUES (46091, 983, 10, '感知的');
INSERT INTO `lang_definitions` VALUES (46092, 985, 10, '腋窝');
INSERT INTO `lang_definitions` VALUES (46093, 992, 10, '出价');
INSERT INTO `lang_definitions` VALUES (46094, 993, 10, '回来');
INSERT INTO `lang_definitions` VALUES (46095, 994, 10, '回来');
INSERT INTO `lang_definitions` VALUES (46096, 995, 10, '后八次门诊');
INSERT INTO `lang_definitions` VALUES (46097, 996, 10, '后十一次门诊');
INSERT INTO `lang_definitions` VALUES (46098, 997, 10, '后五次门诊');
INSERT INTO `lang_definitions` VALUES (46099, 998, 10, '后四次门诊');
INSERT INTO `lang_definitions` VALUES (46100, 999, 10, '后九次门诊');
INSERT INTO `lang_definitions` VALUES (46101, 1000, 10, '返回门诊');
INSERT INTO `lang_definitions` VALUES (46102, 1001, 10, '背部疼痛');
INSERT INTO `lang_definitions` VALUES (46103, 1002, 10, '背部问题');
INSERT INTO `lang_definitions` VALUES (46104, 1003, 10, '后七次门诊');
INSERT INTO `lang_definitions` VALUES (46105, 1004, 10, '后六次门诊');
INSERT INTO `lang_definitions` VALUES (46106, 1005, 10, '背部手术');
INSERT INTO `lang_definitions` VALUES (46107, 1006, 10, '后十次门诊');
INSERT INTO `lang_definitions` VALUES (46108, 1007, 10, '后三次门诊');
INSERT INTO `lang_definitions` VALUES (46109, 1013, 10, '回到客户');
INSERT INTO `lang_definitions` VALUES (46110, 1016, 10, '回观');
INSERT INTO `lang_definitions` VALUES (46111, 1017, 10, '后十二次门诊');
INSERT INTO `lang_definitions` VALUES (46112, 1018, 10, '复诊两次');
INSERT INTO `lang_definitions` VALUES (46113, 1020, 10, '备用的，备份文件');
INSERT INTO `lang_definitions` VALUES (46114, 1022, 10, '备份文件已经建立，将要发送下载');
INSERT INTO `lang_definitions` VALUES (46115, 1024, 10, '备份成功建立');
INSERT INTO `lang_definitions` VALUES (46116, 1025, 10, '空头支票');
INSERT INTO `lang_definitions` VALUES (46117, 1026, 10, '呆账（收不回的帐）');
INSERT INTO `lang_definitions` VALUES (46118, 1027, 10, '印度尼西亚语');
INSERT INTO `lang_definitions` VALUES (46119, 1028, 10, '巴拉腊特（美、澳地名）');
INSERT INTO `lang_definitions` VALUES (46120, 1031, 10, '结账平衡');
INSERT INTO `lang_definitions` VALUES (46121, 1032, 10, '结平（账目）');
INSERT INTO `lang_definitions` VALUES (46122, 1034, 10, '由于负债');
INSERT INTO `lang_definitions` VALUES (46123, 1038, 10, '银行汇票');
INSERT INTO `lang_definitions` VALUES (46124, 1042, 10, '第五Metarsal底部（基地）');
INSERT INTO `lang_definitions` VALUES (46125, 1043, 10, '第五Metarsal底部（基地）');
INSERT INTO `lang_definitions` VALUES (46126, 1051, 10, '成批通信工具');
INSERT INTO `lang_definitions` VALUES (46127, 1053, 10, '批量付款条目');
INSERT INTO `lang_definitions` VALUES (46128, 1055, 10, '批处理开始，这可能需要一段时间。');
INSERT INTO `lang_definitions` VALUES (46129, 1056, 10, '批处理结果');
INSERT INTO `lang_definitions` VALUES (46130, 1057, 10, '批量命令，批量Com');
INSERT INTO `lang_definitions` VALUES (46131, 1063, 10, '因为我不存在');
INSERT INTO `lang_definitions` VALUES (46132, 1072, 10, '开始');
INSERT INTO `lang_definitions` VALUES (46133, 1074, 10, '开始日期');
INSERT INTO `lang_definitions` VALUES (46134, 1077, 10, '服务开始日期，以年/月/日形式');
INSERT INTO `lang_definitions` VALUES (46135, 1078, 10, '日历事项上一天开始的时间');
INSERT INTO `lang_definitions` VALUES (46136, 1082, 10, '打嗝，吐出');
INSERT INTO `lang_definitions` VALUES (46137, 1089, 10, '两者之间');
INSERT INTO `lang_definitions` VALUES (46138, 1095, 10, '双边的，双向的；两侧的。');
INSERT INTO `lang_definitions` VALUES (46139, 1096, 10, '双边的，双向的；两侧的。');
INSERT INTO `lang_definitions` VALUES (46140, 1099, 10, '账单日期');
INSERT INTO `lang_definitions` VALUES (46141, 1101, 10, '账单/收账');
INSERT INTO `lang_definitions` VALUES (46142, 1102, 10, '给……开账单；为……发提货单；把……登录在帐');
INSERT INTO `lang_definitions` VALUES (46143, 1104, 10, '开具账单，营业额');
INSERT INTO `lang_definitions` VALUES (46144, 1105, 10, '计费（写可选）');
INSERT INTO `lang_definitions` VALUES (46145, 1109, 10, '结算经办人');
INSERT INTO `lang_definitions` VALUES (46146, 1111, 10, '结算规范要求的服务');
INSERT INTO `lang_definitions` VALUES (46147, 1112, 10, '结算代码');
INSERT INTO `lang_definitions` VALUES (46148, 1113, 10, '结算日期');
INSERT INTO `lang_definitions` VALUES (46149, 1114, 10, '结算部门');
INSERT INTO `lang_definitions` VALUES (46150, 1115, 10, '结算设备');
INSERT INTO `lang_definitions` VALUES (46151, 1117, 10, '结算信息');
INSERT INTO `lang_definitions` VALUES (46152, 1118, 10, '帐单位置');
INSERT INTO `lang_definitions` VALUES (46153, 1125, 10, '结账经理');
INSERT INTO `lang_definitions` VALUES (46154, 1126, 10, '结算说明');
INSERT INTO `lang_definitions` VALUES (46155, 1127, 10, '结算说明');
INSERT INTO `lang_definitions` VALUES (46156, 1128, 10, '帐单票据：');
INSERT INTO `lang_definitions` VALUES (46157, 1130, 10, '结算队列结果：');
INSERT INTO `lang_definitions` VALUES (46158, 1131, 10, '结算报告');
INSERT INTO `lang_definitions` VALUES (46159, 1133, 10, '开票状态=未开票');
INSERT INTO `lang_definitions` VALUES (46160, 1134, 10, '帐单');
INSERT INTO `lang_definitions` VALUES (46161, 1138, 10, '或组织检查，活体检视');
INSERT INTO `lang_definitions` VALUES (46162, 1140, 10, '出生日期');
INSERT INTO `lang_definitions` VALUES (46163, 1144, 10, '黑色');
INSERT INTO `lang_definitions` VALUES (46164, 1147, 10, '黑（矽）肺病，肺尘病');
INSERT INTO `lang_definitions` VALUES (46165, 1148, 10, '黑人或者非裔美国人');
INSERT INTO `lang_definitions` VALUES (46166, 1149, 10, '膀胱癌');
INSERT INTO `lang_definitions` VALUES (46167, 1150, 10, '膀胱感染');
INSERT INTO `lang_definitions` VALUES (46168, 1152, 10, '空白表格');
INSERT INTO `lang_definitions` VALUES (46169, 1153, 10, '出血问题');
INSERT INTO `lang_definitions` VALUES (46170, 1154, 10, '盲点');
INSERT INTO `lang_definitions` VALUES (46171, 1156, 10, '膨胀');
INSERT INTO `lang_definitions` VALUES (46172, 1158, 10, '封锁');
INSERT INTO `lang_definitions` VALUES (46173, 1159, 10, '血液');
INSERT INTO `lang_definitions` VALUES (46174, 1160, 10, '血压');
INSERT INTO `lang_definitions` VALUES (46175, 1161, 10, '血压');
INSERT INTO `lang_definitions` VALUES (46176, 1162, 10, '鼻子出血');
INSERT INTO `lang_definitions` VALUES (46177, 1163, 10, '蓝十字蓝盾');
INSERT INTO `lang_definitions` VALUES (46178, 1165, 10, '蓝线在本报告中的信息。黑色的线条显示先前存在的信息。绿色线条显示变化，成功的应用。红色线显示错误');
INSERT INTO `lang_definitions` VALUES (46179, 1166, 10, '视力模糊');
INSERT INTO `lang_definitions` VALUES (46180, 1167, 10, '体质指数');
INSERT INTO `lang_definitions` VALUES (46181, 1168, 10, '体质指数等级');
INSERT INTO `lang_definitions` VALUES (46182, 1170, 10, '身体部位');
INSERT INTO `lang_definitions` VALUES (46183, 1171, 10, '身体位置');
INSERT INTO `lang_definitions` VALUES (46184, 1172, 10, '身体位置');
INSERT INTO `lang_definitions` VALUES (46185, 1173, 10, '骨嫩：');
INSERT INTO `lang_definitions` VALUES (46186, 1174, 10, '骨嫩：内踝');
INSERT INTO `lang_definitions` VALUES (46187, 1175, 10, '布尔');
INSERT INTO `lang_definitions` VALUES (46188, 1177, 10, '博特');
INSERT INTO `lang_definitions` VALUES (46189, 1179, 10, '双耳');
INSERT INTO `lang_definitions` VALUES (46190, 1180, 10, '双耳');
INSERT INTO `lang_definitions` VALUES (46191, 1183, 10, '底部');
INSERT INTO `lang_definitions` VALUES (46192, 1187, 10, '方框10 A.就业相关');
INSERT INTO `lang_definitions` VALUES (46193, 1189, 10, '方框10湾车祸');
INSERT INTO `lang_definitions` VALUES (46194, 1191, 10, '方框10 C.其他事故');
INSERT INTO `lang_definitions` VALUES (46195, 1205, 10, '方框15.日期相同或类似的疾病(年-月-日）');
INSERT INTO `lang_definitions` VALUES (46196, 1211, 10, '方框16 。日期无法工作（格式yyyy - mm - DD ）的：');
INSERT INTO `lang_definitions` VALUES (46197, 1215, 10, '方框16 。日期无法工作（格式yyyy - mm - DD ）的：');
INSERT INTO `lang_definitions` VALUES (46198, 1227, 10, '箱18 。住院日（格式yyyy - mm - DD ）的：');
INSERT INTO `lang_definitions` VALUES (46199, 1231, 10, '箱18 。住院日期（格式yyyy - mm - DD ）的：');
INSERT INTO `lang_definitions` VALUES (46200, 1235, 10, '箱20 。境外实验室使用？');
INSERT INTO `lang_definitions` VALUES (46201, 1239, 10, '箱22 。医疗重新码（的ICD - 9 ）');
INSERT INTO `lang_definitions` VALUES (46202, 1243, 10, '箱23 。事先授权号');
INSERT INTO `lang_definitions` VALUES (46203, 1244, 10, '血压');
INSERT INTO `lang_definitions` VALUES (46204, 1245, 10, '舒张压');
INSERT INTO `lang_definitions` VALUES (46205, 1246, 10, '收缩压');
INSERT INTO `lang_definitions` VALUES (46206, 1248, 10, 'Bpd');
INSERT INTO `lang_definitions` VALUES (46207, 1252, 10, 'Bps');
INSERT INTO `lang_definitions` VALUES (46208, 1254, 10, '巴西葡萄牙语');
INSERT INTO `lang_definitions` VALUES (46209, 1255, 10, '乳房');
INSERT INTO `lang_definitions` VALUES (46210, 1256, 10, '乳腺活组织检查');
INSERT INTO `lang_definitions` VALUES (46211, 1257, 10, '乳腺排出物');
INSERT INTO `lang_definitions` VALUES (46212, 1258, 10, '乳腺疾病');
INSERT INTO `lang_definitions` VALUES (46213, 1259, 10, '乳房检查');
INSERT INTO `lang_definitions` VALUES (46214, 1260, 10, '乳房肿块');
INSERT INTO `lang_definitions` VALUES (46215, 1262, 10, '呼吸音：');
INSERT INTO `lang_definitions` VALUES (46216, 1265, 10, '骨折');
INSERT INTO `lang_definitions` VALUES (46217, 1267, 10, '支气管炎表格');
INSERT INTO `lang_definitions` VALUES (46218, 1270, 10, '浏览');
INSERT INTO `lang_definitions` VALUES (46219, 1271, 10, '浏览记录');
INSERT INTO `lang_definitions` VALUES (46220, 1272, 10, '青肿/血肿');
INSERT INTO `lang_definitions` VALUES (46221, 1276, 10, '胀右：');
INSERT INTO `lang_definitions` VALUES (46222, 1278, 10, '燃烧排尿');
INSERT INTO `lang_definitions` VALUES (46223, 1279, 10, '燃烧排尿');
INSERT INTO `lang_definitions` VALUES (46224, 1282, 10, '忙碌的');
INSERT INTO `lang_definitions` VALUES (46225, 1283, 10, '但尚未处理的。');
INSERT INTO `lang_definitions` VALUES (46226, 1284, 10, '臀部');
INSERT INTO `lang_definitions` VALUES (46227, 1285, 10, '臀部+副省长');
INSERT INTO `lang_definitions` VALUES (46228, 1286, 10, '通过');
INSERT INTO `lang_definitions` VALUES (46229, 1287, 10, '通过');
INSERT INTO `lang_definitions` VALUES (46230, 1293, 10, '经口');
INSERT INTO `lang_definitions` VALUES (46231, 1295, 10, '文/来源');
INSERT INTO `lang_definitions` VALUES (46232, 1296, 10, '方式：');
INSERT INTO `lang_definitions` VALUES (46233, 1299, 10, 'C');
INSERT INTO `lang_definitions` VALUES (46234, 1301, 10, '证书验证的玫瑰花5425协议日志服务器。');
INSERT INTO `lang_definitions` VALUES (46235, 1302, 10, '缓存寿命（秒）');
INSERT INTO `lang_definitions` VALUES (46236, 1303, 10, '缓存模板输出？');
INSERT INTO `lang_definitions` VALUES (46237, 1305, 10, '喝咖啡');
INSERT INTO `lang_definitions` VALUES (46238, 1306, 10, '日历');
INSERT INTO `lang_definitions` VALUES (46239, 1307, 10, '日历结束时间');
INSERT INTO `lang_definitions` VALUES (46240, 1308, 10, '日历区间');
INSERT INTO `lang_definitions` VALUES (46241, 1309, 10, '日历画面');
INSERT INTO `lang_definitions` VALUES (46242, 1310, 10, '日历设置');
INSERT INTO `lang_definitions` VALUES (46243, 1312, 10, '日历开始时间');
INSERT INTO `lang_definitions` VALUES (46244, 1313, 10, '日历界面');
INSERT INTO `lang_definitions` VALUES (46245, 1314, 10, '日历视图');
INSERT INTO `lang_definitions` VALUES (46246, 1317, 10, '呼吁addForm（ ）这里。');
INSERT INTO `lang_definitions` VALUES (46247, 1321, 10, '卡路里');
INSERT INTO `lang_definitions` VALUES (46248, 1322, 10, '柬埔寨');
INSERT INTO `lang_definitions` VALUES (46249, 1323, 10, 'CAMOS');
INSERT INTO `lang_definitions` VALUES (46250, 1329, 10, '取消');
INSERT INTO `lang_definitions` VALUES (46251, 1332, 10, '取消变更');
INSERT INTO `lang_definitions` VALUES (46252, 1333, 10, '取消');
INSERT INTO `lang_definitions` VALUES (46253, 1335, 10, '癌症');
INSERT INTO `lang_definitions` VALUES (46254, 1336, 10, '癌症检查：结肠癌的筛查');
INSERT INTO `lang_definitions` VALUES (46255, 1337, 10, '癌症检查：检查');
INSERT INTO `lang_definitions` VALUES (46256, 1338, 10, '癌症检查：子宫颈抹片');
INSERT INTO `lang_definitions` VALUES (46257, 1339, 10, '癌症检查：前列腺癌的筛查');
INSERT INTO `lang_definitions` VALUES (46258, 1340, 10, '无法添加该项已经存在！');
INSERT INTO `lang_definitions` VALUES (46259, 1341, 10, '无法添加/更新这项重复已经存在！');
INSERT INTO `lang_definitions` VALUES (46260, 1343, 10, '不能转换为JPEG格式。也许照片管理没有安装？');
INSERT INTO `lang_definitions` VALUES (46261, 1345, 10, '无法显示内置类型，因为它不支持的浏览器。');
INSERT INTO `lang_definitions` VALUES (46262, 1346, 10, '无法显示内置类型，因为它不支持的浏览器');
INSERT INTO `lang_definitions` VALUES (46263, 1347, 10, '无法显示内置类型，因为它不支持的浏览器。');
INSERT INTO `lang_definitions` VALUES (46264, 1349, 10, '无法创建');
INSERT INTO `lang_definitions` VALUES (46265, 1354, 10, '无法找到');
INSERT INTO `lang_definitions` VALUES (46266, 1355, 10, '找不到目标文件名');
INSERT INTO `lang_definitions` VALUES (46267, 1358, 10, '找不到客户从SQL查问客户ID');
INSERT INTO `lang_definitions` VALUES (46268, 1359, 10, '找不到后记中提到的文件');
INSERT INTO `lang_definitions` VALUES (46269, 1360, 10, '找不到提供商从SQL查问雇员=');
INSERT INTO `lang_definitions` VALUES (46270, 1361, 10, '不能修改支付未分配是否定的。');
INSERT INTO `lang_definitions` VALUES (46271, 1363, 10, '无法打开');
INSERT INTO `lang_definitions` VALUES (46272, 1364, 10, '不能为保险付费单位选定的客户。');
INSERT INTO `lang_definitions` VALUES (46273, 1365, 10, '不能为客户支付单位选定的保险。');
INSERT INTO `lang_definitions` VALUES (46274, 1366, 10, '不能支付未分配是否定的。');
INSERT INTO `lang_definitions` VALUES (46275, 1367, 10, '不能读');
INSERT INTO `lang_definitions` VALUES (46276, 1368, 10, '无法读取目录');
INSERT INTO `lang_definitions` VALUES (46277, 1369, 10, '不能更新，是因为您没有编辑现有条目！');
INSERT INTO `lang_definitions` VALUES (46278, 1370, 10, '利用');
INSERT INTO `lang_definitions` VALUES (46279, 1372, 10, '胶囊');
INSERT INTO `lang_definitions` VALUES (46280, 1373, 10, '卡片');
INSERT INTO `lang_definitions` VALUES (46281, 1382, 10, '心导管');
INSERT INTO `lang_definitions` VALUES (46282, 1383, 10, '心脏回声');
INSERT INTO `lang_definitions` VALUES (46283, 1384, 10, '心血管');
INSERT INTO `lang_definitions` VALUES (46284, 1396, 10, '软骨/软骨/椎间盘损伤');
INSERT INTO `lang_definitions` VALUES (46285, 1397, 10, '软骨损伤');
INSERT INTO `lang_definitions` VALUES (46286, 1398, 10, '颈动脉搏动荷，踏板脉冲荷');
INSERT INTO `lang_definitions` VALUES (46287, 1400, 10, '现金');
INSERT INTO `lang_definitions` VALUES (46288, 1401, 10, '现金');
INSERT INTO `lang_definitions` VALUES (46289, 1402, 10, '现金市盈率');
INSERT INTO `lang_definitions` VALUES (46290, 1403, 10, '现金收据的服务人员');
INSERT INTO `lang_definitions` VALUES (46291, 1406, 10, '白内障手术');
INSERT INTO `lang_definitions` VALUES (46292, 1407, 10, '白内障');
INSERT INTO `lang_definitions` VALUES (46293, 1408, 10, '分类');
INSERT INTO `lang_definitions` VALUES (46294, 1409, 10, '分类');
INSERT INTO `lang_definitions` VALUES (46295, 1410, 10, '分类');
INSERT INTO `lang_definitions` VALUES (46296, 1411, 10, '分类');
INSERT INTO `lang_definitions` VALUES (46297, 1412, 10, '分类');
INSERT INTO `lang_definitions` VALUES (46298, 1416, 10, '分类信息');
INSERT INTO `lang_definitions` VALUES (46299, 1417, 10, '分类界限');
INSERT INTO `lang_definitions` VALUES (46300, 1418, 10, '分类名称');
INSERT INTO `lang_definitions` VALUES (46301, 1419, 10, '类别名称是空的');
INSERT INTO `lang_definitions` VALUES (46302, 1420, 10, '分类标题');
INSERT INTO `lang_definitions` VALUES (46303, 1421, 10, '高加索');
INSERT INTO `lang_definitions` VALUES (46304, 1422, 10, '原因收据打印治疗/主要服务人员信息');
INSERT INTO `lang_definitions` VALUES (46305, 1444, 10, '手机');
INSERT INTO `lang_definitions` VALUES (46306, 1445, 10, '手机');
INSERT INTO `lang_definitions` VALUES (46307, 1447, 10, '手机号码');
INSERT INTO `lang_definitions` VALUES (46308, 1449, 10, '中央认证');
INSERT INTO `lang_definitions` VALUES (46309, 1451, 10, '中美洲和南美洲');
INSERT INTO `lang_definitions` VALUES (46310, 1452, 10, '证书权威阴极射线管文件的位置不能为空');
INSERT INTO `lang_definitions` VALUES (46311, 1453, 10, '证书颁发机构密钥文件位置不能为空');
INSERT INTO `lang_definitions` VALUES (46312, 1454, 10, '证书送玫瑰花5425协议日志服务器。');
INSERT INTO `lang_definitions` VALUES (46313, 1455, 10, '证书用户');
INSERT INTO `lang_definitions` VALUES (46314, 1456, 10, '证书');
INSERT INTO `lang_definitions` VALUES (46315, 1458, 10, '保健医疗计划');
INSERT INTO `lang_definitions` VALUES (46316, 1459, 10, '保健医疗计划');
INSERT INTO `lang_definitions` VALUES (46317, 1460, 10, '更改');
INSERT INTO `lang_definitions` VALUES (46318, 1461, 10, '更改');
INSERT INTO `lang_definitions` VALUES (46319, 1462, 10, '变更活动');
INSERT INTO `lang_definitions` VALUES (46320, 1467, 10, '视力变化');
INSERT INTO `lang_definitions` VALUES (46321, 1468, 10, '视力变化');
INSERT INTO `lang_definitions` VALUES (46322, 1475, 10, '改变');
INSERT INTO `lang_definitions` VALUES (46323, 1476, 10, '改变肠');
INSERT INTO `lang_definitions` VALUES (46324, 1484, 10, '特征');
INSERT INTO `lang_definitions` VALUES (46325, 1485, 10, '剩余字符');
INSERT INTO `lang_definitions` VALUES (46326, 1486, 10, '电荷');
INSERT INTO `lang_definitions` VALUES (46327, 1487, 10, '费用调整');
INSERT INTO `lang_definitions` VALUES (46328, 1490, 10, '收费');
INSERT INTO `lang_definitions` VALUES (46329, 1491, 10, '病历');
INSERT INTO `lang_definitions` VALUES (46330, 1492, 10, '病历活动');
INSERT INTO `lang_definitions` VALUES (46331, 1493, 10, '病历登记/登出活动报告');
INSERT INTO `lang_definitions` VALUES (46332, 1495, 10, '病历编号：');
INSERT INTO `lang_definitions` VALUES (46333, 1496, 10, '病历编号：');
INSERT INTO `lang_definitions` VALUES (46334, 1498, 10, '病历地点活动');
INSERT INTO `lang_definitions` VALUES (46335, 1499, 10, '病历附注');
INSERT INTO `lang_definitions` VALUES (46336, 1500, 10, '病历编号：');
INSERT INTO `lang_definitions` VALUES (46337, 1502, 10, '病历存放地址');
INSERT INTO `lang_definitions` VALUES (46338, 1504, 10, '病历跟踪');
INSERT INTO `lang_definitions` VALUES (46339, 1505, 10, '病历蒂尔克');
INSERT INTO `lang_definitions` VALUES (46340, 1508, 10, '病历借出');
INSERT INTO `lang_definitions` VALUES (46341, 1509, 10, '病历输出');
INSERT INTO `lang_definitions` VALUES (46342, 1513, 10, '检查');
INSERT INTO `lang_definitions` VALUES (46343, 1514, 10, '检查');
INSERT INTO `lang_definitions` VALUES (46344, 1515, 10, '检查所有');
INSERT INTO `lang_definitions` VALUES (46345, 1517, 10, '检查金额');
INSERT INTO `lang_definitions` VALUES (46346, 1519, 10, '检查日期');
INSERT INTO `lang_definitions` VALUES (46347, 1521, 10, '检查差异与习语翻译表。');
INSERT INTO `lang_definitions` VALUES (46348, 1527, 10, '登记到');
INSERT INTO `lang_definitions` VALUES (46349, 1528, 10, '检查输入数据');
INSERT INTO `lang_definitions` VALUES (46350, 1530, 10, '检查实验室成果');
INSERT INTO `lang_definitions` VALUES (46351, 1533, 10, '检查号码');
INSERT INTO `lang_definitions` VALUES (46352, 1536, 10, '检查付款');
INSERT INTO `lang_definitions` VALUES (46353, 1537, 10, '检查框，如果这是一个加密文件');
INSERT INTO `lang_definitions` VALUES (46354, 1541, 10, '检查如果您想提供者看到所有任命了违约，不只是自己。');
INSERT INTO `lang_definitions` VALUES (46355, 1545, 10, '检查/ EOB日期：');
INSERT INTO `lang_definitions` VALUES (46356, 1547, 10, '检查/ EOB编号：');
INSERT INTO `lang_definitions` VALUES (46357, 1548, 10, '检查/参考编号');
INSERT INTO `lang_definitions` VALUES (46358, 1549, 10, '检查/编号');
INSERT INTO `lang_definitions` VALUES (46359, 1550, 10, '复选框列表');
INSERT INTO `lang_definitions` VALUES (46360, 1551, 10, '复选框列表');
INSERT INTO `lang_definitions` VALUES (46361, 1552, 10, '复选框瓦特/文');
INSERT INTO `lang_definitions` VALUES (46362, 1553, 10, '复选框瓦特/文');
INSERT INTO `lang_definitions` VALUES (46363, 1557, 10, '选中');
INSERT INTO `lang_definitions` VALUES (46364, 1559, 10, '检查盒=，=没有空');
INSERT INTO `lang_definitions` VALUES (46365, 1568, 10, '结帐');
INSERT INTO `lang_definitions` VALUES (46366, 1569, 10, '检验和');
INSERT INTO `lang_definitions` VALUES (46367, 1570, 10, '胸膛');
INSERT INTO `lang_definitions` VALUES (46368, 1571, 10, '公益金的CTAB');
INSERT INTO `lang_definitions` VALUES (46369, 1572, 10, '胸痛：');
INSERT INTO `lang_definitions` VALUES (46370, 1573, 10, '胸痛：');
INSERT INTO `lang_definitions` VALUES (46371, 1574, 10, '胸部疼痛');
INSERT INTO `lang_definitions` VALUES (46372, 1576, 10, '孟加拉');
INSERT INTO `lang_definitions` VALUES (46373, 1578, 10, '主诉');
INSERT INTO `lang_definitions` VALUES (46374, 1581, 10, '儿童');
INSERT INTO `lang_definitions` VALUES (46375, 1583, 10, '儿童免疫接种状况（CQM）');
INSERT INTO `lang_definitions` VALUES (46376, 1584, 10, '冷');
INSERT INTO `lang_definitions` VALUES (46377, 1585, 10, '中文');
INSERT INTO `lang_definitions` VALUES (46378, 1586, 10, '中文简体');
INSERT INTO `lang_definitions` VALUES (46379, 1587, 10, '中文繁体');
INSERT INTO `lang_definitions` VALUES (46380, 1589, 10, '选择');
INSERT INTO `lang_definitions` VALUES (46381, 1590, 10, '胆囊切除术');
INSERT INTO `lang_definitions` VALUES (46382, 1592, 10, '胆囊切除术');
INSERT INTO `lang_definitions` VALUES (46383, 1593, 10, '选择');
INSERT INTO `lang_definitions` VALUES (46384, 1596, 10, '选择一个部分，点击一个项目内；然后在其他部分你会看到有关项目突出，你可以点击，添加和删除的关系。');
INSERT INTO `lang_definitions` VALUES (46385, 1597, 10, '选择标准');
INSERT INTO `lang_definitions` VALUES (46386, 1605, 10, '选择表格');
INSERT INTO `lang_definitions` VALUES (46387, 1611, 10, '选择打印格式该报告。');
INSERT INTO `lang_definitions` VALUES (46388, 1615, 10, '慢性支气管炎');
INSERT INTO `lang_definitions` VALUES (46389, 1616, 10, '慢性关节痛');
INSERT INTO `lang_definitions` VALUES (46390, 1617, 10, '慢性肾脏疾病（慢性肾病）');
INSERT INTO `lang_definitions` VALUES (46391, 1620, 10, '慢性滑膜炎/积液/关节疼痛/痛风');
INSERT INTO `lang_definitions` VALUES (46392, 1622, 10, '慢性/复发');
INSERT INTO `lang_definitions` VALUES (46393, 1625, 10, '肝硬化');
INSERT INTO `lang_definitions` VALUES (46394, 1626, 10, '肝硬化肝');
INSERT INTO `lang_definitions` VALUES (46395, 1627, 10, '城市');
INSERT INTO `lang_definitions` VALUES (46396, 1629, 10, '城市名称');
INSERT INTO `lang_definitions` VALUES (46397, 1630, 10, '城市，国家');
INSERT INTO `lang_definitions` VALUES (46398, 1631, 10, '市，州邮编');
INSERT INTO `lang_definitions` VALUES (46399, 1633, 10, '城市/州');
INSERT INTO `lang_definitions` VALUES (46400, 1634, 10, '主张');
INSERT INTO `lang_definitions` VALUES (46401, 1635, 10, '主张');
INSERT INTO `lang_definitions` VALUES (46402, 1638, 10, '索赔运行测试已完成');
INSERT INTO `lang_definitions` VALUES (46403, 1641, 10, '索赔产生的文件');
INSERT INTO `lang_definitions` VALUES (46404, 1645, 10, '分类');
INSERT INTO `lang_definitions` VALUES (46405, 1646, 10, '清楚的');
INSERT INTO `lang_definitions` VALUES (46406, 1651, 10, '全部清除');
INSERT INTO `lang_definitions` VALUES (46407, 1654, 10, '明确的标准数据');
INSERT INTO `lang_definitions` VALUES (46408, 1655, 10, '明确的理由');
INSERT INTO `lang_definitions` VALUES (46409, 1659, 10, '明确Smarty缓存');
INSERT INTO `lang_definitions` VALUES (46410, 1661, 10, '结算信息需要联通270批创作。');
INSERT INTO `lang_definitions` VALUES (46411, 1662, 10, '集数');
INSERT INTO `lang_definitions` VALUES (46412, 1663, 10, '点击');
INSERT INTO `lang_definitions` VALUES (46413, 1664, 10, '点击\'出口\'出口您的类别，子类别，项目，内容数据到一个文本文件。任何相似性这一文件的文件是纯粹的巧合。开幕式和闭幕式的标签必须在同一行，他们必须小写没有空间。进口，浏览文件并单击“导入”。如果数据是完全不同的，它将与您现有的数据。如果有类似的项目名称，旧将保持和新的保存与一个号码添加到结束。');
INSERT INTO `lang_definitions` VALUES (46414, 1667, 10, '点击一个点上的图形添加一个新的诠释，再次点击删除”');
INSERT INTO `lang_definitions` VALUES (46415, 1671, 10, '点击下载证书下载证书的文件ssl.zip');
INSERT INTO `lang_definitions` VALUES (46416, 1672, 10, '点击查看更多');
INSERT INTO `lang_definitions` VALUES (46417, 1678, 10, '点击这里');
INSERT INTO `lang_definitions` VALUES (46418, 1679, 10, '点击此处添加一个新的客户。');
INSERT INTO `lang_definitions` VALUES (46419, 1680, 10, '点击此处新增损伤改变现状和编辑日常活动');
INSERT INTO `lang_definitions` VALUES (46420, 1682, 10, '点击这里选择日期');
INSERT INTO `lang_definitions` VALUES (46421, 1683, 10, '点击这里选择日期和时间');
INSERT INTO `lang_definitions` VALUES (46422, 1684, 10, '点击这里选择开始日期');
INSERT INTO `lang_definitions` VALUES (46423, 1707, 10, '点击这里搜索');
INSERT INTO `lang_definitions` VALUES (46424, 1710, 10, '点击这里更新优先');
INSERT INTO `lang_definitions` VALUES (46425, 1714, 10, '点击此处查看全部。');
INSERT INTO `lang_definitions` VALUES (46426, 1715, 10, '点击这里查看和图');
INSERT INTO `lang_definitions` VALUES (46427, 1717, 10, '点击这里查看和图形所有生命迹象。');
INSERT INTO `lang_definitions` VALUES (46428, 1718, 10, '点击这里查看客户的细节');
INSERT INTO `lang_definitions` VALUES (46429, 1719, 10, '点击这里查看他们所有。');
INSERT INTO `lang_definitions` VALUES (46430, 1723, 10, '点击安装按钮安装数据库释放从以下日期');
INSERT INTO `lang_definitions` VALUES (46431, 1730, 10, '点击任何地方的时间增加');
INSERT INTO `lang_definitions` VALUES (46432, 1751, 10, '点击打开文件名客户客户');
INSERT INTO `lang_definitions` VALUES (46433, 1753, 10, '点击刷新查看所有结果或请输入搜索标准查看结果。');
INSERT INTO `lang_definitions` VALUES (46434, 1779, 10, '点击新增组件');
INSERT INTO `lang_definitions` VALUES (46435, 1780, 10, '点击新增咨询');
INSERT INTO `lang_definitions` VALUES (46436, 1785, 10, '点击下载');
INSERT INTO `lang_definitions` VALUES (46437, 1786, 10, '点击修改');
INSERT INTO `lang_definitions` VALUES (46438, 1788, 10, '点击编辑这个事件');
INSERT INTO `lang_definitions` VALUES (46439, 1790, 10, '点击生成报告');
INSERT INTO `lang_definitions` VALUES (46440, 1800, 10, '点击打印');
INSERT INTO `lang_definitions` VALUES (46441, 1801, 10, '点击领取（添加）全新地段');
INSERT INTO `lang_definitions` VALUES (46442, 1805, 10, '单击以选中');
INSERT INTO `lang_definitions` VALUES (46443, 1806, 10, '点击选择');
INSERT INTO `lang_definitions` VALUES (46444, 1808, 10, '点击选择一个行业标准的代码，这个程序');
INSERT INTO `lang_definitions` VALUES (46445, 1813, 10, '点击以更改CVX编码');
INSERT INTO `lang_definitions` VALUES (46446, 1814, 10, '单击以选中或改变诊断');
INSERT INTO `lang_definitions` VALUES (46447, 1815, 10, '点击选择或更改服务代码');
INSERT INTO `lang_definitions` VALUES (46448, 1816, 10, '单击以选中客户');
INSERT INTO `lang_definitions` VALUES (46449, 1817, 10, '单击以选中相关的代码');
INSERT INTO `lang_definitions` VALUES (46450, 1819, 10, '点击选择服务执行这个结果是不正常的');
INSERT INTO `lang_definitions` VALUES (46451, 1822, 10, '点击选择需要的程序');
INSERT INTO `lang_definitions` VALUES (46452, 1831, 10, '点击查看');
INSERT INTO `lang_definitions` VALUES (46453, 1833, 10, '点击查看或编辑');
INSERT INTO `lang_definitions` VALUES (46454, 1834, 10, '点击查看/编辑');
INSERT INTO `lang_definitions` VALUES (46455, 1836, 10, '点击升级按钮升级数据库释放从以下日期');
INSERT INTO `lang_definitions` VALUES (46456, 1839, 10, '点击：');
INSERT INTO `lang_definitions` VALUES (46457, 1862, 10, '客户证书到期日');
INSERT INTO `lang_definitions` VALUES (46458, 1864, 10, '客户端证书有效期');
INSERT INTO `lang_definitions` VALUES (46459, 1865, 10, '客户端证书的有效性应是一个有效的数目。');
INSERT INTO `lang_definitions` VALUES (46460, 1866, 10, '客户端复制');
INSERT INTO `lang_definitions` VALUES (46461, 1869, 10, '客户端医学史');
INSERT INTO `lang_definitions` VALUES (46462, 1873, 10, '客户简介-新客户');
INSERT INTO `lang_definitions` VALUES (46463, 1874, 10, '客户简介-独特的客户');
INSERT INTO `lang_definitions` VALUES (46464, 1878, 10, '客户');
INSERT INTO `lang_definitions` VALUES (46465, 1879, 10, '诊所');
INSERT INTO `lang_definitions` VALUES (46466, 1880, 10, '诊所复制');
INSERT INTO `lang_definitions` VALUES (46467, 1881, 10, '诊所每日纪录');
INSERT INTO `lang_definitions` VALUES (46468, 1882, 10, '诊所编号');
INSERT INTO `lang_definitions` VALUES (46469, 1883, 10, '临床');
INSERT INTO `lang_definitions` VALUES (46470, 1884, 10, '临床决策规则警报');
INSERT INTO `lang_definitions` VALUES (46471, 1889, 10, '诊所计划');
INSERT INTO `lang_definitions` VALUES (46472, 1890, 10, '临床质量的措施（CQM）');
INSERT INTO `lang_definitions` VALUES (46473, 1893, 10, '临床指示');
INSERT INTO `lang_definitions` VALUES (46474, 1897, 10, '临床报告');
INSERT INTO `lang_definitions` VALUES (46475, 1898, 10, '临床规则的行动类');
INSERT INTO `lang_definitions` VALUES (46476, 1899, 10, '临床规则的行动项目');
INSERT INTO `lang_definitions` VALUES (46477, 1900, 10, '临床规则过滤方法');
INSERT INTO `lang_definitions` VALUES (46478, 1901, 10, '临床规则目标的方法');
INSERT INTO `lang_definitions` VALUES (46479, 1902, 10, '临床规则');
INSERT INTO `lang_definitions` VALUES (46480, 1903, 10, '临床规则的年龄间隔');
INSERT INTO `lang_definitions` VALUES (46481, 1904, 10, '临床规则比较');
INSERT INTO `lang_definitions` VALUES (46482, 1905, 10, '临床规则治疗的类型');
INSERT INTO `lang_definitions` VALUES (46483, 1906, 10, '由于临床规则提醒选项');
INSERT INTO `lang_definitions` VALUES (46484, 1907, 10, '临床规则提醒失活的选择');
INSERT INTO `lang_definitions` VALUES (46485, 1908, 10, '临床规则提示间隔');
INSERT INTO `lang_definitions` VALUES (46486, 1909, 10, '临床规则提醒方法');
INSERT INTO `lang_definitions` VALUES (46487, 1910, 10, '临床规则目标间隔');
INSERT INTO `lang_definitions` VALUES (46488, 1911, 10, '临床目标');
INSERT INTO `lang_definitions` VALUES (46489, 1915, 10, '临床医生');
INSERT INTO `lang_definitions` VALUES (46490, 1916, 10, '克隆');
INSERT INTO `lang_definitions` VALUES (46491, 1917, 10, '克隆过去的门诊');
INSERT INTO `lang_definitions` VALUES (46492, 1918, 10, '关闭');
INSERT INTO `lang_definitions` VALUES (46493, 1925, 10, '关闭窗口');
INSERT INTO `lang_definitions` VALUES (46494, 1927, 10, '公开');
INSERT INTO `lang_definitions` VALUES (46495, 1928, 10, '厘米');
INSERT INTO `lang_definitions` VALUES (46496, 1931, 10, '1500利润');
INSERT INTO `lang_definitions` VALUES (46497, 1940, 10, '不育系编号');
INSERT INTO `lang_definitions` VALUES (46498, 1955, 10, 'CN2网络- 12完整');
INSERT INTO `lang_definitions` VALUES (46499, 1962, 10, '共付款');
INSERT INTO `lang_definitions` VALUES (46500, 1964, 10, '码');
INSERT INTO `lang_definitions` VALUES (46501, 1965, 10, '代码');
INSERT INTO `lang_definitions` VALUES (46502, 1967, 10, '代码查找');
INSERT INTO `lang_definitions` VALUES (46503, 1968, 10, '代码必须是两个字母小写');
INSERT INTO `lang_definitions` VALUES (46504, 1969, 10, '代码或符号表示货币');
INSERT INTO `lang_definitions` VALUES (46505, 1971, 10, '代码文本');
INSERT INTO `lang_definitions` VALUES (46506, 1973, 10, '代码类型');
INSERT INTO `lang_definitions` VALUES (46507, 1976, 10, '代码类型');
INSERT INTO `lang_definitions` VALUES (46508, 1979, 10, '码');
INSERT INTO `lang_definitions` VALUES (46509, 1981, 10, '编码');
INSERT INTO `lang_definitions` VALUES (46510, 1983, 10, '编码-任何治疗（写wsome可选）');
INSERT INTO `lang_definitions` VALUES (46511, 1985, 10, '编码-任何治疗（写wsome可选）');
INSERT INTO `lang_definitions` VALUES (46512, 1990, 10, '编码未授权');
INSERT INTO `lang_definitions` VALUES (46513, 1991, 10, '咖啡');
INSERT INTO `lang_definitions` VALUES (46514, 1994, 10, '共同保险');
INSERT INTO `lang_definitions` VALUES (46515, 1995, 10, '科尔W / O型');
INSERT INTO `lang_definitions` VALUES (46516, 1997, 10, '折叠');
INSERT INTO `lang_definitions` VALUES (46517, 1998, 10, '折叠');
INSERT INTO `lang_definitions` VALUES (46518, 1999, 10, '全部折叠');
INSERT INTO `lang_definitions` VALUES (46519, 2000, 10, '全部折叠');
INSERT INTO `lang_definitions` VALUES (46520, 2001, 10, '全部折叠');
INSERT INTO `lang_definitions` VALUES (46521, 2007, 10, '集合');
INSERT INTO `lang_definitions` VALUES (46522, 2008, 10, '馆藏报告');
INSERT INTO `lang_definitions` VALUES (46523, 2009, 10, '结肠癌');
INSERT INTO `lang_definitions` VALUES (46524, 2010, 10, '结肠癌的筛查');
INSERT INTO `lang_definitions` VALUES (46525, 2011, 10, '结肠癌手术');
INSERT INTO `lang_definitions` VALUES (46526, 2012, 10, '结肠镜检查');
INSERT INTO `lang_definitions` VALUES (46527, 2013, 10, '结肠镜检查');
INSERT INTO `lang_definitions` VALUES (46528, 2014, 10, '彩色');
INSERT INTO `lang_definitions` VALUES (46529, 2020, 10, '颜色：简称');
INSERT INTO `lang_definitions` VALUES (46530, 2021, 10, '列');
INSERT INTO `lang_definitions` VALUES (46531, 2022, 10, '专栏');
INSERT INTO `lang_definitions` VALUES (46532, 2024, 10, '结合大量');
INSERT INTO `lang_definitions` VALUES (46533, 2025, 10, '逗号');
INSERT INTO `lang_definitions` VALUES (46534, 2027, 10, '评论');
INSERT INTO `lang_definitions` VALUES (46535, 2028, 10, '评论');
INSERT INTO `lang_definitions` VALUES (46536, 2030, 10, '这一结果或推荐意见');
INSERT INTO `lang_definitions` VALUES (46537, 2031, 10, '商业保险有限公司');
INSERT INTO `lang_definitions` VALUES (46538, 2032, 10, '承诺更改');
INSERT INTO `lang_definitions` VALUES (46539, 2036, 10, '通信');
INSERT INTO `lang_definitions` VALUES (46540, 2039, 10, '公司');
INSERT INTO `lang_definitions` VALUES (46541, 2040, 10, '公司名称');
INSERT INTO `lang_definitions` VALUES (46542, 2041, 10, '完全');
INSERT INTO `lang_definitions` VALUES (46543, 2043, 10, '完成');
INSERT INTO `lang_definitions` VALUES (46544, 2046, 10, '完成？');
INSERT INTO `lang_definitions` VALUES (46545, 2049, 10, '并发症的服务提供商');
INSERT INTO `lang_definitions` VALUES (46546, 2050, 10, '堕胎并发症');
INSERT INTO `lang_definitions` VALUES (46547, 2051, 10, '组件');
INSERT INTO `lang_definitions` VALUES (46548, 2057, 10, '医学计算机辅助订货系统');
INSERT INTO `lang_definitions` VALUES (46549, 2058, 10, '结论');
INSERT INTO `lang_definitions` VALUES (46550, 2064, 10, '配置');
INSERT INTO `lang_definitions` VALUES (46551, 2065, 10, '配置导入/导出');
INSERT INTO `lang_definitions` VALUES (46552, 2067, 10, '配置及openemr使用客户端证书。');
INSERT INTO `lang_definitions` VALUES (46553, 2068, 10, '配置要使用客户端证书');
INSERT INTO `lang_definitions` VALUES (46554, 2069, 10, '配置要使用加密。');
INSERT INTO `lang_definitions` VALUES (46555, 2070, 10, '配置openemr使用客户端证书');
INSERT INTO `lang_definitions` VALUES (46556, 2079, 10, '创建确认新客户');
INSERT INTO `lang_definitions` VALUES (46557, 2081, 10, '创建新的密码');
INSERT INTO `lang_definitions` VALUES (46558, 2083, 10, '创建新的付款方式');
INSERT INTO `lang_definitions` VALUES (46559, 2092, 10, '先天性');
INSERT INTO `lang_definitions` VALUES (46560, 2094, 10, '结膜成形');
INSERT INTO `lang_definitions` VALUES (46561, 2098, 10, '常数');
INSERT INTO `lang_definitions` VALUES (46562, 2100, 10, '常量名');
INSERT INTO `lang_definitions` VALUES (46563, 2101, 10, '不断的名称是空的');
INSERT INTO `lang_definitions` VALUES (46564, 2102, 10, '常数');
INSERT INTO `lang_definitions` VALUES (46565, 2103, 10, '便秘');
INSERT INTO `lang_definitions` VALUES (46566, 2104, 10, '保健运动');
INSERT INTO `lang_definitions` VALUES (46567, 2107, 10, '咨询简介');
INSERT INTO `lang_definitions` VALUES (46568, 2109, 10, '联系方式');
INSERT INTO `lang_definitions` VALUES (46569, 2110, 10, '联系人电子邮件');
INSERT INTO `lang_definitions` VALUES (46570, 2111, 10, '联系电子邮件地址');
INSERT INTO `lang_definitions` VALUES (46571, 2113, 10, '联系信息');
INSERT INTO `lang_definitions` VALUES (46572, 2117, 10, '隐形眼镜');
INSERT INTO `lang_definitions` VALUES (46573, 2122, 10, '联系人姓名');
INSERT INTO `lang_definitions` VALUES (46574, 2125, 10, '联系人');
INSERT INTO `lang_definitions` VALUES (46575, 2127, 10, '联系电话号码');
INSERT INTO `lang_definitions` VALUES (46576, 2129, 10, '订阅服务的电子服务定联系LLC（zmghealth@gmail.com）');
INSERT INTO `lang_definitions` VALUES (46577, 2131, 10, '至少包含三个以下四个项目：');
INSERT INTO `lang_definitions` VALUES (46578, 2133, 10, '内容');
INSERT INTO `lang_definitions` VALUES (46579, 2134, 10, '内容');
INSERT INTO `lang_definitions` VALUES (46580, 2136, 10, '上下文');
INSERT INTO `lang_definitions` VALUES (46581, 2137, 10, '上下文的名称不能为空');
INSERT INTO `lang_definitions` VALUES (46582, 2138, 10, '继续');
INSERT INTO `lang_definitions` VALUES (46583, 2142, 10, '连续性的护理文件（电荷耦合器件）');
INSERT INTO `lang_definitions` VALUES (46584, 2145, 10, '持续护理记录（重整）');
INSERT INTO `lang_definitions` VALUES (46585, 2146, 10, '康特拉客户');
INSERT INTO `lang_definitions` VALUES (46586, 2147, 10, '避孕的');
INSERT INTO `lang_definitions` VALUES (46587, 2148, 10, '避孕的问题');
INSERT INTO `lang_definitions` VALUES (46588, 2149, 10, '避孕并发症（具体说明）');
INSERT INTO `lang_definitions` VALUES (46589, 2150, 10, '避孕方法');
INSERT INTO `lang_definitions` VALUES (46590, 2151, 10, '避孕产品');
INSERT INTO `lang_definitions` VALUES (46591, 2152, 10, '避孕服务以前开始');
INSERT INTO `lang_definitions` VALUES (46592, 2153, 10, '避孕药开始');
INSERT INTO `lang_definitions` VALUES (46593, 2158, 10, '控制编号');
INSERT INTO `lang_definitions` VALUES (46594, 2159, 10, '编号');
INSERT INTO `lang_definitions` VALUES (46595, 2169, 10, '挂号费');
INSERT INTO `lang_definitions` VALUES (46596, 2170, 10, '挂号费');
INSERT INTO `lang_definitions` VALUES (46597, 2171, 10, '不主动挂号');
INSERT INTO `lang_definitions` VALUES (46598, 2173, 10, '挂号费');
INSERT INTO `lang_definitions` VALUES (46599, 2174, 10, '慢性阻塞性肺病');
INSERT INTO `lang_definitions` VALUES (46600, 2175, 10, '复制页面客户图');
INSERT INTO `lang_definitions` VALUES (46601, 2177, 10, '复制价值观');
INSERT INTO `lang_definitions` VALUES (46602, 2178, 10, '复制数据库文件。这将需要一些时间…');
INSERT INTO `lang_definitions` VALUES (46603, 2179, 10, '版权声明');
INSERT INTO `lang_definitions` VALUES (46604, 2184, 10, '冠状动脉搭桥');
INSERT INTO `lang_definitions` VALUES (46605, 2185, 10, '冠状动脉旁路移植术（术）');
INSERT INTO `lang_definitions` VALUES (46606, 2186, 10, '改正');
INSERT INTO `lang_definitions` VALUES (46607, 2204, 10, '咳嗽');
INSERT INTO `lang_definitions` VALUES (46608, 2205, 10, '咳嗽：');
INSERT INTO `lang_definitions` VALUES (46609, 2211, 10, '无法读取文件');
INSERT INTO `lang_definitions` VALUES (46610, 2214, 10, '因服务器问题无法发送电子邮件');
INSERT INTO `lang_definitions` VALUES (46611, 2217, 10, '无法创建备份目录：');
INSERT INTO `lang_definitions` VALUES (46612, 2218, 10, '不能删除目录：');
INSERT INTO `lang_definitions` VALUES (46613, 2219, 10, '无法删除旧的备份文件：');
INSERT INTO `lang_definitions` VALUES (46614, 2220, 10, '无法删除旧文件：');
INSERT INTO `lang_definitions` VALUES (46615, 2221, 10, '香豆管理-比值监测');
INSERT INTO `lang_definitions` VALUES (46616, 2222, 10, '顾问的方法');
INSERT INTO `lang_definitions` VALUES (46617, 2223, 10, '咨询');
INSERT INTO `lang_definitions` VALUES (46618, 2224, 10, '咨询活动');
INSERT INTO `lang_definitions` VALUES (46619, 2227, 10, '案子转介表格');
INSERT INTO `lang_definitions` VALUES (46620, 2228, 10, '案子转介');
INSERT INTO `lang_definitions` VALUES (46621, 2229, 10, '国家');
INSERT INTO `lang_definitions` VALUES (46622, 2231, 10, '国家数据类型');
INSERT INTO `lang_definitions` VALUES (46623, 2232, 10, '国家列表');
INSERT INTO `lang_definitions` VALUES (46624, 2233, 10, '国家名单（写只添加可选）');
INSERT INTO `lang_definitions` VALUES (46625, 2235, 10, '国家应在2个字母代表。（例如：United States 是 US）');
INSERT INTO `lang_definitions` VALUES (46626, 2236, 10, '县');
INSERT INTO `lang_definitions` VALUES (46627, 2238, 10, '优惠券');
INSERT INTO `lang_definitions` VALUES (46628, 2245, 10, '胸腔物理治疗');
INSERT INTO `lang_definitions` VALUES (46629, 2246, 10, '胸腔物理治疗代码');
INSERT INTO `lang_definitions` VALUES (46630, 2247, 10, '胸腔物理治疗代码');
INSERT INTO `lang_definitions` VALUES (46631, 2250, 10, '喹芥子气');
INSERT INTO `lang_definitions` VALUES (46632, 2252, 10, '裂纹：');
INSERT INTO `lang_definitions` VALUES (46633, 2255, 10, '奶油');
INSERT INTO `lang_definitions` VALUES (46634, 2256, 10, '创建一个客户端证书为每个用户或客户机。');
INSERT INTO `lang_definitions` VALUES (46635, 2257, 10, '创建一个客户端证书或者用户或客户端的名称。');
INSERT INTO `lang_definitions` VALUES (46636, 2269, 10, '创建活动');
INSERT INTO `lang_definitions` VALUES (46637, 2273, 10, '创建和下载一个完整备份');
INSERT INTO `lang_definitions` VALUES (46638, 2275, 10, '创建备份');
INSERT INTO `lang_definitions` VALUES (46639, 2276, 10, '创建批量');
INSERT INTO `lang_definitions` VALUES (46640, 2277, 10, '创建客户端证书');
INSERT INTO `lang_definitions` VALUES (46641, 2278, 10, '创建客户端SSL证书');
INSERT INTO `lang_definitions` VALUES (46642, 2281, 10, '创建副本');
INSERT INTO `lang_definitions` VALUES (46643, 2283, 10, '创建事件日志备份');
INSERT INTO `lang_definitions` VALUES (46644, 2285, 10, '创建新的问题');
INSERT INTO `lang_definitions` VALUES (46645, 2287, 10, '创造新的客户');
INSERT INTO `lang_definitions` VALUES (46646, 2290, 10, '建立异地门户凭据');
INSERT INTO `lang_definitions` VALUES (46647, 2292, 10, '建立本地门户凭据');
INSERT INTO `lang_definitions` VALUES (46648, 2294, 10, '创建患者注意');
INSERT INTO `lang_definitions` VALUES (46649, 2296, 10, '创建证书权威和服务器证书。');
INSERT INTO `lang_definitions` VALUES (46650, 2297, 10, '创建门诊');
INSERT INTO `lang_definitions` VALUES (46651, 2298, 10, '创建');
INSERT INTO `lang_definitions` VALUES (46652, 2306, 10, '创建导出文件');
INSERT INTO `lang_definitions` VALUES (46653, 2309, 10, '创建者');
INSERT INTO `lang_definitions` VALUES (46654, 2311, 10, '信贷');
INSERT INTO `lang_definitions` VALUES (46655, 2312, 10, '信用卡');
INSERT INTO `lang_definitions` VALUES (46656, 2314, 10, '信用');
INSERT INTO `lang_definitions` VALUES (46657, 2316, 10, '标准');
INSERT INTO `lang_definitions` VALUES (46658, 2319, 10, '克罗恩病');
INSERT INTO `lang_definitions` VALUES (46659, 2320, 10, '克罗恩病');
INSERT INTO `lang_definitions` VALUES (46660, 2323, 10, '导出成CSV格式');
INSERT INTO `lang_definitions` VALUES (46661, 2324, 10, 'CSV文件');
INSERT INTO `lang_definitions` VALUES (46662, 2330, 10, 'CU.MM');
INSERT INTO `lang_definitions` VALUES (46663, 2331, 10, '古巴语');
INSERT INTO `lang_definitions` VALUES (46664, 2333, 10, '货币小数');
INSERT INTO `lang_definitions` VALUES (46665, 2334, 10, '货币小数点符号');
INSERT INTO `lang_definitions` VALUES (46666, 2335, 10, '货币代号');
INSERT INTO `lang_definitions` VALUES (46667, 2336, 10, '货币的千位分隔符');
INSERT INTO `lang_definitions` VALUES (46668, 2337, 10, '当前的');
INSERT INTO `lang_definitions` VALUES (46669, 2338, 10, '目前酒精');
INSERT INTO `lang_definitions` VALUES (46670, 2341, 10, '目前的协商');
INSERT INTO `lang_definitions` VALUES (46671, 2342, 10, '当前标准');
INSERT INTO `lang_definitions` VALUES (46672, 2344, 10, '当天标明颜色');
INSERT INTO `lang_definitions` VALUES (46673, 2345, 10, '当天的吸烟者');
INSERT INTO `lang_definitions` VALUES (46674, 2347, 10, '目前文件名改为');
INSERT INTO `lang_definitions` VALUES (46675, 2349, 10, '目前哈希');
INSERT INTO `lang_definitions` VALUES (46676, 2350, 10, '目前位置');
INSERT INTO `lang_definitions` VALUES (46677, 2352, 10, '目前药物');
INSERT INTO `lang_definitions` VALUES (46678, 2354, 10, '目前密码');
INSERT INTO `lang_definitions` VALUES (46679, 2356, 10, '目前客户');
INSERT INTO `lang_definitions` VALUES (46680, 2361, 10, '目前的娱乐性药物');
INSERT INTO `lang_definitions` VALUES (46681, 2363, 10, '目前有一天吸烟');
INSERT INTO `lang_definitions` VALUES (46682, 2371, 10, '目前活跃');
INSERT INTO `lang_definitions` VALUES (46683, 2377, 10, '目前没有任何设施。');
INSERT INTO `lang_definitions` VALUES (46684, 2379, 10, '柯兴综合征');
INSERT INTO `lang_definitions` VALUES (46685, 2380, 10, '柯兴综合征');
INSERT INTO `lang_definitions` VALUES (46686, 2383, 10, '风俗');
INSERT INTO `lang_definitions` VALUES (46687, 2390, 10, '自定义输入？');
INSERT INTO `lang_definitions` VALUES (46688, 2395, 10, '自定义表');
INSERT INTO `lang_definitions` VALUES (46689, 2402, 10, 'CVX编码');
INSERT INTO `lang_definitions` VALUES (46690, 2403, 10, 'CVX编码绘图');
INSERT INTO `lang_definitions` VALUES (46691, 2406, 10, '过期');
INSERT INTO `lang_definitions` VALUES (46692, 2412, 10, '色素');
INSERT INTO `lang_definitions` VALUES (46693, 2413, 10, '色素因子');
INSERT INTO `lang_definitions` VALUES (46694, 2414, 10, '色素报告');
INSERT INTO `lang_definitions` VALUES (46695, 2415, 10, '捷克语');
INSERT INTO `lang_definitions` VALUES (46696, 2416, 10, 'D');
INSERT INTO `lang_definitions` VALUES (46697, 2417, 10, '扩张宫颈及刮宫');
INSERT INTO `lang_definitions` VALUES (46698, 2418, 10, '发展和é');
INSERT INTO `lang_definitions` VALUES (46699, 2420, 10, 'D.O.B.');
INSERT INTO `lang_definitions` VALUES (46700, 2421, 10, '每日');
INSERT INTO `lang_definitions` VALUES (46701, 2422, 10, '日志');
INSERT INTO `lang_definitions` VALUES (46702, 2425, 10, '丹麦语');
INSERT INTO `lang_definitions` VALUES (46703, 2429, 10, '数据一样，是已经在数据库中，请改变代码和/或描述');
INSERT INTO `lang_definitions` VALUES (46704, 2430, 10, '数据一样，是已经在数据库中，请改变常量的名称');
INSERT INTO `lang_definitions` VALUES (46705, 2431, 10, '数据列');
INSERT INTO `lang_definitions` VALUES (46706, 2434, 10, '数据错误');
INSERT INTO `lang_definitions` VALUES (46707, 2439, 10, '数据类型');
INSERT INTO `lang_definitions` VALUES (46708, 2440, 10, '数据库');
INSERT INTO `lang_definitions` VALUES (46709, 2442, 10, '未安装数据库。');
INSERT INTO `lang_definitions` VALUES (46710, 2445, 10, '数据库报告');
INSERT INTO `lang_definitions` VALUES (46711, 2447, 10, '数据库升级完成。');
INSERT INTO `lang_definitions` VALUES (46712, 2448, 10, '数据列必须是一个数字1和999之间');
INSERT INTO `lang_definitions` VALUES (46713, 2449, 10, '日期');
INSERT INTO `lang_definitions` VALUES (46714, 2450, 10, '日期');
INSERT INTO `lang_definitions` VALUES (46715, 2453, 10, '迄今为止直辖');
INSERT INTO `lang_definitions` VALUES (46716, 2454, 10, '样品采集的日期和时间');
INSERT INTO `lang_definitions` VALUES (46717, 2455, 10, '这个观察的日期和时间');
INSERT INTO `lang_definitions` VALUES (46718, 2457, 10, '样品采集的日期和时间');
INSERT INTO `lang_definitions` VALUES (46719, 2458, 10, '日期不能比今天更大');
INSERT INTO `lang_definitions` VALUES (46720, 2459, 10, '迄今为止最初提供避孕服务');
INSERT INTO `lang_definitions` VALUES (46721, 2460, 10, '创建日期');
INSERT INTO `lang_definitions` VALUES (46722, 2461, 10, '最新的死者');
INSERT INTO `lang_definitions` VALUES (46723, 2462, 10, '日期毁坏');
INSERT INTO `lang_definitions` VALUES (46724, 2463, 10, '日期显示格式');
INSERT INTO `lang_definitions` VALUES (46725, 2464, 10, '日期格式为“任命结束”是无效的');
INSERT INTO `lang_definitions` VALUES (46726, 2465, 10, '日期格式为“任命开始”是无效的');
INSERT INTO `lang_definitions` VALUES (46727, 2466, 10, '日期格式“下一个约会”是无效的');
INSERT INTO `lang_definitions` VALUES (46728, 2467, 10, '日期格式“以来从未见过的”无效');
INSERT INTO `lang_definitions` VALUES (46729, 2469, 10, '日期格式“以来”是无效的');
INSERT INTO `lang_definitions` VALUES (46730, 2470, 10, '日期免疫信息陈述');
INSERT INTO `lang_definitions` VALUES (46731, 2471, 10, '日期代码遗失');
INSERT INTO `lang_definitions` VALUES (46732, 2472, 10, '日期大师标准');
INSERT INTO `lang_definitions` VALUES (46733, 2475, 10, '银行存款日期年-月-日');
INSERT INTO `lang_definitions` VALUES (46734, 2477, 10, '出生日期');
INSERT INTO `lang_definitions` VALUES (46735, 2478, 10, '出生日期');
INSERT INTO `lang_definitions` VALUES (46736, 2479, 10, '出生日期');
INSERT INTO `lang_definitions` VALUES (46737, 2483, 10, '外伤日期');
INSERT INTO `lang_definitions` VALUES (46738, 2487, 10, '付款日期年-月-日');
INSERT INTO `lang_definitions` VALUES (46739, 2489, 10, '转介日期');
INSERT INTO `lang_definitions` VALUES (46740, 2491, 10, '答辩日期');
INSERT INTO `lang_definitions` VALUES (46741, 2495, 10, '送达日期');
INSERT INTO `lang_definitions` VALUES (46742, 2496, 10, '服务日期=今天');
INSERT INTO `lang_definitions` VALUES (46743, 2498, 10, '服务日期月-日-年');
INSERT INTO `lang_definitions` VALUES (46744, 2499, 10, '服务日期：');
INSERT INTO `lang_definitions` VALUES (46745, 2500, 10, '签字日期');
INSERT INTO `lang_definitions` VALUES (46746, 2503, 10, '这个命令的日期');
INSERT INTO `lang_definitions` VALUES (46747, 2504, 10, '这份报告的日期');
INSERT INTO `lang_definitions` VALUES (46748, 2505, 10, '可见声明日期');
INSERT INTO `lang_definitions` VALUES (46749, 2506, 10, '日期排列');
INSERT INTO `lang_definitions` VALUES (46750, 2509, 10, '日期选择');
INSERT INTO `lang_definitions` VALUES (46751, 2510, 10, '发送日期');
INSERT INTO `lang_definitions` VALUES (46752, 2511, 10, '消息被发送的日期');
INSERT INTO `lang_definitions` VALUES (46753, 2513, 10, '日期值不能为空。');
INSERT INTO `lang_definitions` VALUES (46754, 2516, 10, '日期/ APPT');
INSERT INTO `lang_definitions` VALUES (46755, 2517, 10, '日期/备注');
INSERT INTO `lang_definitions` VALUES (46756, 2518, 10, '最后日期/债券');
INSERT INTO `lang_definitions` VALUES (46757, 2519, 10, '日期/时间');
INSERT INTO `lang_definitions` VALUES (46758, 2520, 10, '日期：');
INSERT INTO `lang_definitions` VALUES (46759, 2523, 10, '过时的消息日志');
INSERT INTO `lang_definitions` VALUES (46760, 2526, 10, '天');
INSERT INTO `lang_definitions` VALUES (46761, 2527, 10, '天');
INSERT INTO `lang_definitions` VALUES (46762, 2530, 10, '日视图');
INSERT INTO `lang_definitions` VALUES (46763, 2531, 10, '天（S）');
INSERT INTO `lang_definitions` VALUES (46764, 2532, 10, '天（S）M - F');
INSERT INTO `lang_definitions` VALUES (46765, 2533, 10, '天');
INSERT INTO `lang_definitions` VALUES (46766, 2534, 10, '天');
INSERT INTO `lang_definitions` VALUES (46767, 2535, 10, '日前');
INSERT INTO `lang_definitions` VALUES (46768, 2536, 10, '天及投篮游戏');
INSERT INTO `lang_definitions` VALUES (46769, 2537, 10, '最后治疗天');
INSERT INTO `lang_definitions` VALUES (46770, 2538, 10, '天漏');
INSERT INTO `lang_definitions` VALUES (46771, 2541, 10, '每列的日子：');
INSERT INTO `lang_definitions` VALUES (46772, 2543, 10, '天/彩色：');
INSERT INTO `lang_definitions` VALUES (46773, 2544, 10, 'DB的安装');
INSERT INTO `lang_definitions` VALUES (46774, 2545, 10, '月/日/年');
INSERT INTO `lang_definitions` VALUES (46775, 2546, 10, '德鉴定');
INSERT INTO `lang_definitions` VALUES (46776, 2547, 10, '德识别过程完成');
INSERT INTO `lang_definitions` VALUES (46777, 2548, 10, '德识别过程是正在进行');
INSERT INTO `lang_definitions` VALUES (46778, 2549, 10, '德鉴定过程启动并运行在后台');
INSERT INTO `lang_definitions` VALUES (46779, 2550, 10, '德查明的数据可能是不完整的');
INSERT INTO `lang_definitions` VALUES (46780, 2551, 10, '德识别文件将被保存在');
INSERT INTO `lang_definitions` VALUES (46781, 2552, 10, 'DEA方法');
INSERT INTO `lang_definitions` VALUES (46782, 2558, 10, '聋');
INSERT INTO `lang_definitions` VALUES (46783, 2562, 10, '调试信息');
INSERT INTO `lang_definitions` VALUES (46784, 2565, 10, '十二月');
INSERT INTO `lang_definitions` VALUES (46785, 2567, 10, '死者');
INSERT INTO `lang_definitions` VALUES (46786, 2574, 10, '十二月');
INSERT INTO `lang_definitions` VALUES (46787, 2580, 10, '扣税');
INSERT INTO `lang_definitions` VALUES (46788, 2581, 10, '抵扣气象');
INSERT INTO `lang_definitions` VALUES (46789, 2583, 10, '默认');
INSERT INTO `lang_definitions` VALUES (46790, 2585, 10, '默认日历视图');
INSERT INTO `lang_definitions` VALUES (46791, 2587, 10, '默认治疗表格编号');
INSERT INTO `lang_definitions` VALUES (46792, 2589, 10, '默认设备');
INSERT INTO `lang_definitions` VALUES (46793, 2594, 10, '默认语言');
INSERT INTO `lang_definitions` VALUES (46794, 2595, 10, '允许或默认情况下，如果没有其他的语言选择。');
INSERT INTO `lang_definitions` VALUES (46795, 2598, 10, '默认列表（写');
INSERT INTO `lang_definitions` VALUES (46796, 2600, 10, '默认的方法');
INSERT INTO `lang_definitions` VALUES (46797, 2601, 10, '默认密码到期日');
INSERT INTO `lang_definitions` VALUES (46798, 2602, 10, '默认密码在天的有效期。 0表示禁用此功能。');
INSERT INTO `lang_definitions` VALUES (46799, 2603, 10, '默认患者国家');
INSERT INTO `lang_definitions` VALUES (46800, 2607, 10, '默认提供');
INSERT INTO `lang_definitions` VALUES (46801, 2609, 10, '默认范围');
INSERT INTO `lang_definitions` VALUES (46802, 2610, 10, '默认用餐的原因');
INSERT INTO `lang_definitions` VALUES (46803, 2615, 10, '默认设置');
INSERT INTO `lang_definitions` VALUES (46804, 2618, 10, '默认模板');
INSERT INTO `lang_definitions` VALUES (46805, 2624, 10, '默认单位');
INSERT INTO `lang_definitions` VALUES (46806, 2626, 10, '默认值');
INSERT INTO `lang_definitions` VALUES (46807, 2628, 10, '默认仓库');
INSERT INTO `lang_definitions` VALUES (46808, 2629, 10, '缺省值X12的合作伙伴');
INSERT INTO `lang_definitions` VALUES (46809, 2630, 10, '默认/全球');
INSERT INTO `lang_definitions` VALUES (46810, 2635, 10, '德尔');
INSERT INTO `lang_definitions` VALUES (46811, 2636, 10, '德尔');
INSERT INTO `lang_definitions` VALUES (46812, 2637, 10, '延迟复发（>12个月）');
INSERT INTO `lang_definitions` VALUES (46813, 2638, 10, '删除');
INSERT INTO `lang_definitions` VALUES (46814, 2639, 10, '删除');
INSERT INTO `lang_definitions` VALUES (46815, 2640, 10, '删除类别编号（补） ：');
INSERT INTO `lang_definitions` VALUES (46816, 2641, 10, '删除类别');
INSERT INTO `lang_definitions` VALUES (46817, 2645, 10, '删除组');
INSERT INTO `lang_definitions` VALUES (46818, 2646, 10, '删除列表');
INSERT INTO `lang_definitions` VALUES (46819, 2648, 10, '删除页面');
INSERT INTO `lang_definitions` VALUES (46820, 2649, 10, '删除客户');
INSERT INTO `lang_definitions` VALUES (46821, 2651, 10, '删除行');
INSERT INTO `lang_definitions` VALUES (46822, 2652, 10, '删除所选项目');
INSERT INTO `lang_definitions` VALUES (46823, 2655, 10, '删除成功。');
INSERT INTO `lang_definitions` VALUES (46824, 2656, 10, '删除这个文件');
INSERT INTO `lang_definitions` VALUES (46825, 2657, 10, '删除这个表格');
INSERT INTO `lang_definitions` VALUES (46826, 2659, 10, '删除本说明');
INSERT INTO `lang_definitions` VALUES (46827, 2661, 10, '成功删除。');
INSERT INTO `lang_definitions` VALUES (46828, 2671, 10, '痴呆');
INSERT INTO `lang_definitions` VALUES (46829, 2673, 10, '户口资料');
INSERT INTO `lang_definitions` VALUES (46830, 2674, 10, '户口资料（写、只添加都可选）');
INSERT INTO `lang_definitions` VALUES (46831, 2678, 10, '户口资料筛选条件');
INSERT INTO `lang_definitions` VALUES (46832, 2680, 10, '不允许设置户口资料');
INSERT INTO `lang_definitions` VALUES (46833, 2681, 10, '不允许设置户口资料。');
INSERT INTO `lang_definitions` VALUES (46834, 2682, 10, '拒绝');
INSERT INTO `lang_definitions` VALUES (46835, 2684, 10, '分母');
INSERT INTO `lang_definitions` VALUES (46836, 2687, 10, '牙科');
INSERT INTO `lang_definitions` VALUES (46837, 2689, 10, '牙科问题');
INSERT INTO `lang_definitions` VALUES (46838, 2694, 10, '根据条例草案，你正在测试，你会看到像输出HCFA票据HCFA一个空白的页面上，你会看到许多行有点乱码的文字和信息，如果你正在测试一个X12的索赔。这乱码的文字是X12的4010A的EDI格式。偶尔，你会看到奇怪的字符，看起来像多米诺骨牌或squiglies');
INSERT INTO `lang_definitions` VALUES (46839, 2696, 10, '存款日期');
INSERT INTO `lang_definitions` VALUES (46840, 2697, 10, '存款日期不能比今天更大');
INSERT INTO `lang_definitions` VALUES (46841, 2698, 10, '存款日期：');
INSERT INTO `lang_definitions` VALUES (46842, 2699, 10, '郁闷');
INSERT INTO `lang_definitions` VALUES (46843, 2700, 10, '萧条');
INSERT INTO `lang_definitions` VALUES (46844, 2706, 10, '描述');
INSERT INTO `lang_definitions` VALUES (46845, 2707, 10, '描述');
INSERT INTO `lang_definitions` VALUES (46846, 2709, 10, '披露的说明');
INSERT INTO `lang_definitions` VALUES (46847, 2710, 10, '这个过程或结果代码的说明');
INSERT INTO `lang_definitions` VALUES (46848, 2711, 10, '描写语言的翻译');
INSERT INTO `lang_definitions` VALUES (46849, 2713, 10, '目的地');
INSERT INTO `lang_definitions` VALUES (46850, 2714, 10, '目标文件名');
INSERT INTO `lang_definitions` VALUES (46851, 2716, 10, '破坏地段');
INSERT INTO `lang_definitions` VALUES (46852, 2717, 10, '摧毁...');
INSERT INTO `lang_definitions` VALUES (46853, 2718, 10, '销毁');
INSERT INTO `lang_definitions` VALUES (46854, 2719, 10, '销毁毒品');
INSERT INTO `lang_definitions` VALUES (46855, 2720, 10, '摧毁毒品报告');
INSERT INTO `lang_definitions` VALUES (46856, 2721, 10, '细节');
INSERT INTO `lang_definitions` VALUES (46857, 2726, 10, '详情');
INSERT INTO `lang_definitions` VALUES (46858, 2728, 10, '发育异常');
INSERT INTO `lang_definitions` VALUES (46859, 2730, 10, '糖尿病');
INSERT INTO `lang_definitions` VALUES (46860, 2731, 10, '糖尿病');
INSERT INTO `lang_definitions` VALUES (46861, 2732, 10, '糖尿病：血压管理（CQM）');
INSERT INTO `lang_definitions` VALUES (46862, 2733, 10, '糖尿病：眼睛考试');
INSERT INTO `lang_definitions` VALUES (46863, 2734, 10, '糖尿病：眼科检查（CQM）');
INSERT INTO `lang_definitions` VALUES (46864, 2735, 10, '糖尿病：足部检查');
INSERT INTO `lang_definitions` VALUES (46865, 2736, 10, '糖尿病：足部检查（CQM）');
INSERT INTO `lang_definitions` VALUES (46866, 2737, 10, '糖尿病：糖化血红蛋白控制能力较差（CQM）');
INSERT INTO `lang_definitions` VALUES (46867, 2738, 10, '糖尿病：糖化血红蛋白');
INSERT INTO `lang_definitions` VALUES (46868, 2739, 10, '糖尿病：LDL的管理和控制（CQM）');
INSERT INTO `lang_definitions` VALUES (46869, 2740, 10, '糖尿病：尿微量白蛋白');
INSERT INTO `lang_definitions` VALUES (46870, 2741, 10, '诊断');
INSERT INTO `lang_definitions` VALUES (46871, 2743, 10, '诊断');
INSERT INTO `lang_definitions` VALUES (46872, 2744, 10, '诊断代码');
INSERT INTO `lang_definitions` VALUES (46873, 2747, 10, '诊断日期');
INSERT INTO `lang_definitions` VALUES (46874, 2749, 10, '诊断必须被编码到一个链接的邂逅');
INSERT INTO `lang_definitions` VALUES (46875, 2750, 10, '诊断名称');
INSERT INTO `lang_definitions` VALUES (46876, 2751, 10, '诊断报告');
INSERT INTO `lang_definitions` VALUES (46877, 2754, 10, '诊断名称');
INSERT INTO `lang_definitions` VALUES (46878, 2755, 10, '诊断：');
INSERT INTO `lang_definitions` VALUES (46879, 2756, 10, '诊断：');
INSERT INTO `lang_definitions` VALUES (46880, 2758, 10, '诊断测试：');
INSERT INTO `lang_definitions` VALUES (46881, 2760, 10, '拨号');
INSERT INTO `lang_definitions` VALUES (46882, 2763, 10, '膜片/瓶盖');
INSERT INTO `lang_definitions` VALUES (46883, 2764, 10, '腹泻');
INSERT INTO `lang_definitions` VALUES (46884, 2767, 10, '听写');
INSERT INTO `lang_definitions` VALUES (46885, 2768, 10, '听写：');
INSERT INTO `lang_definitions` VALUES (46886, 2769, 10, '你收到一份HIPAA的通告？');
INSERT INTO `lang_definitions` VALUES (46887, 2770, 10, '弥漫性：');
INSERT INTO `lang_definitions` VALUES (46888, 2771, 10, '数字签名');
INSERT INTO `lang_definitions` VALUES (46889, 2781, 10, '商函');
INSERT INTO `lang_definitions` VALUES (46890, 2787, 10, '董事姓名');
INSERT INTO `lang_definitions` VALUES (46891, 2789, 10, '残疾');
INSERT INTO `lang_definitions` VALUES (46892, 2794, 10, '禁用日历');
INSERT INTO `lang_definitions` VALUES (46893, 2795, 10, '禁用走势跟踪');
INSERT INTO `lang_definitions` VALUES (46894, 2798, 10, '禁用免疫');
INSERT INTO `lang_definitions` VALUES (46895, 2800, 10, '停用旧表公制命脉');
INSERT INTO `lang_definitions` VALUES (46896, 2802, 10, '禁用的phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (46897, 2803, 10, '禁用处方');
INSERT INTO `lang_definitions` VALUES (46898, 2804, 10, '禁用用户组');
INSERT INTO `lang_definitions` VALUES (46899, 2805, 10, '禁用');
INSERT INTO `lang_definitions` VALUES (46900, 2806, 10, '禁用');
INSERT INTO `lang_definitions` VALUES (46901, 2807, 10, '65岁以下，大集团的健康计划（LGHP禁用受益人）');
INSERT INTO `lang_definitions` VALUES (46902, 2812, 10, '光盘');
INSERT INTO `lang_definitions` VALUES (46903, 2815, 10, '排出');
INSERT INTO `lang_definitions` VALUES (46904, 2816, 10, '排放从尿道');
INSERT INTO `lang_definitions` VALUES (46905, 2818, 10, '排污权');
INSERT INTO `lang_definitions` VALUES (46906, 2819, 10, '排污权：');
INSERT INTO `lang_definitions` VALUES (46907, 2825, 10, '披露信息');
INSERT INTO `lang_definitions` VALUES (46908, 2826, 10, '披露类型');
INSERT INTO `lang_definitions` VALUES (46909, 2827, 10, '披露类型');
INSERT INTO `lang_definitions` VALUES (46910, 2828, 10, '披露');
INSERT INTO `lang_definitions` VALUES (46911, 2833, 10, '折扣');
INSERT INTO `lang_definitions` VALUES (46912, 2834, 10, '折扣额');
INSERT INTO `lang_definitions` VALUES (46913, 2835, 10, '折扣级别');
INSERT INTO `lang_definitions` VALUES (46914, 2836, 10, '折扣百分比');
INSERT INTO `lang_definitions` VALUES (46915, 2837, 10, '货币金额的折扣');
INSERT INTO `lang_definitions` VALUES (46916, 2838, 10, '折扣结帐时进入货币数量，而不是百分比。');
INSERT INTO `lang_definitions` VALUES (46917, 2839, 10, '结果离散');
INSERT INTO `lang_definitions` VALUES (46918, 2841, 10, '疾病');
INSERT INTO `lang_definitions` VALUES (46919, 2843, 10, '脱位');
INSERT INTO `lang_definitions` VALUES (46920, 2847, 10, '显示#');
INSERT INTO `lang_definitions` VALUES (46921, 2848, 10, '调度');
INSERT INTO `lang_definitions` VALUES (46922, 2849, 10, '调度收稿文件');
INSERT INTO `lang_definitions` VALUES (46923, 2853, 10, '配药');
INSERT INTO `lang_definitions` VALUES (46924, 2856, 10, '事前指示在人口统计页面显示。');
INSERT INTO `lang_definitions` VALUES (46925, 2859, 10, '展示活动日期块？');
INSERT INTO `lang_definitions` VALUES (46926, 2861, 10, '显示多少个活动？');
INSERT INTO `lang_definitions` VALUES (46927, 2865, 10, '显示位置块？');
INSERT INTO `lang_definitions` VALUES (46928, 2866, 10, '显示姓名');
INSERT INTO `lang_definitions` VALUES (46929, 2868, 10, '显示日历？');
INSERT INTO `lang_definitions` VALUES (46930, 2875, 10, '显示今天的事件块？');
INSERT INTO `lang_definitions` VALUES (46931, 2876, 10, '显示话题块？');
INSERT INTO `lang_definitions` VALUES (46932, 2877, 10, '即将举行的活动中显示块？');
INSERT INTO `lang_definitions` VALUES (46933, 2879, 10, '显示列');
INSERT INTO `lang_definitions` VALUES (46934, 2880, 10, '显示以下一些最新披露：');
INSERT INTO `lang_definitions` VALUES (46935, 2882, 10, '显示以下一些最新的笔记');
INSERT INTO `lang_definitions` VALUES (46936, 2883, 10, '显示以下一些最新的笔记');
INSERT INTO `lang_definitions` VALUES (46937, 2890, 10, '分布');
INSERT INTO `lang_definitions` VALUES (46938, 2891, 10, '分布');
INSERT INTO `lang_definitions` VALUES (46939, 2892, 10, '经销商');
INSERT INTO `lang_definitions` VALUES (46940, 2897, 10, '憩室');
INSERT INTO `lang_definitions` VALUES (46941, 2898, 10, '憩室外科');
INSERT INTO `lang_definitions` VALUES (46942, 2899, 10, 'divirticulitis');
INSERT INTO `lang_definitions` VALUES (46943, 2900, 10, 'divirticulitis外科');
INSERT INTO `lang_definitions` VALUES (46944, 2901, 10, '离婚');
INSERT INTO `lang_definitions` VALUES (46945, 2902, 10, '头晕：');
INSERT INTO `lang_definitions` VALUES (46946, 2905, 10, '不要改变');
INSERT INTO `lang_definitions` VALUES (46947, 2907, 10, '不显示上传到NewCrop过敏');
INSERT INTO `lang_definitions` VALUES (46948, 2909, 10, '不显示上传到NewCrop的药物');
INSERT INTO `lang_definitions` VALUES (46949, 2912, 10, '不显示日历。');
INSERT INTO `lang_definitions` VALUES (46950, 2916, 10, '不要库存和销售任何产品');
INSERT INTO `lang_definitions` VALUES (46951, 2919, 10, '不需要客户笔记被授权');
INSERT INTO `lang_definitions` VALUES (46952, 2920, 10, '不复苏订购的');
INSERT INTO `lang_definitions` VALUES (46953, 2921, 10, '不保存');
INSERT INTO `lang_definitions` VALUES (46954, 2922, 10, '不能取代');
INSERT INTO `lang_definitions` VALUES (46955, 2925, 10, '什么也不做');
INSERT INTO `lang_definitions` VALUES (46956, 2929, 10, '你真的要删除');
INSERT INTO `lang_definitions` VALUES (46957, 2930, 10, '你真的要删除的选择吗？');
INSERT INTO `lang_definitions` VALUES (46958, 2931, 10, '你真的要删除这个组');
INSERT INTO `lang_definitions` VALUES (46959, 2934, 10, '你要继续吗？');
INSERT INTO `lang_definitions` VALUES (46960, 2935, 10, '你要删除这个吗？');
INSERT INTO `lang_definitions` VALUES (46961, 2936, 10, '你要删除吗？');
INSERT INTO `lang_definitions` VALUES (46962, 2937, 10, '你想删除此记录？');
INSERT INTO `lang_definitions` VALUES (46963, 2938, 10, '你是否愿意继续加入这个新的客户吗？');
INSERT INTO `lang_definitions` VALUES (46964, 2939, 10, '你想继续用新的名称？');
INSERT INTO `lang_definitions` VALUES (46965, 2940, 10, '你想永久删除这个免疫记录？');
INSERT INTO `lang_definitions` VALUES (46966, 2941, 10, '出生日期');
INSERT INTO `lang_definitions` VALUES (46967, 2942, 10, '出生丢失，如果可能的话，请输入');
INSERT INTO `lang_definitions` VALUES (46968, 2944, 10, '文档');
INSERT INTO `lang_definitions` VALUES (46969, 2945, 10, '医生');
INSERT INTO `lang_definitions` VALUES (46970, 2946, 10, '医生：');
INSERT INTO `lang_definitions` VALUES (46971, 2947, 10, '医生的姓名和签字');
INSERT INTO `lang_definitions` VALUES (46972, 2948, 10, '文件');
INSERT INTO `lang_definitions` VALUES (46973, 2949, 10, '文件');
INSERT INTO `lang_definitions` VALUES (46974, 2951, 10, '文件分类');
INSERT INTO `lang_definitions` VALUES (46975, 2958, 10, '文件无法移动到客户编号');
INSERT INTO `lang_definitions` VALUES (46976, 2960, 10, '文件日期');
INSERT INTO `lang_definitions` VALUES (46977, 2961, 10, '成功更新文件的日期和问题');
INSERT INTO `lang_definitions` VALUES (46978, 2962, 10, '文档编号');
INSERT INTO `lang_definitions` VALUES (46979, 2965, 10, '文件移动到新的类别');
INSERT INTO `lang_definitions` VALUES (46980, 2966, 10, '文件移动到客户编号');
INSERT INTO `lang_definitions` VALUES (46981, 2968, 10, '文件通过完整性检查。');
INSERT INTO `lang_definitions` VALUES (46982, 2970, 10, '文件改名成功。');
INSERT INTO `lang_definitions` VALUES (46983, 2976, 10, '文档/影像店');
INSERT INTO `lang_definitions` VALUES (46984, 2978, 10, '文件');
INSERT INTO `lang_definitions` VALUES (46985, 2980, 10, '文件（写，只添加可选）');
INSERT INTO `lang_definitions` VALUES (46986, 2989, 10, '运动时呼吸困难');
INSERT INTO `lang_definitions` VALUES (46987, 2996, 10, '是否允许这种类型的相关代码？');
INSERT INTO `lang_definitions` VALUES (46988, 2997, 10, '国内合作伙伴');
INSERT INTO `lang_definitions` VALUES (46989, 2998, 10, '不保存');
INSERT INTO `lang_definitions` VALUES (46990, 2999, 10, '不保存');
INSERT INTO `lang_definitions` VALUES (46991, 3000, 10, '不保存更改');
INSERT INTO `lang_definitions` VALUES (46992, 3002, 10, '完成');
INSERT INTO `lang_definitions` VALUES (46993, 3004, 10, '这样做：');
INSERT INTO `lang_definitions` VALUES (46994, 3005, 10, '完成。现在将发送下载。');
INSERT INTO `lang_definitions` VALUES (46995, 3006, 10, 'DOS');
INSERT INTO `lang_definitions` VALUES (46996, 3007, 10, '剂量');
INSERT INTO `lang_definitions` VALUES (46997, 3011, 10, '双击编辑');
INSERT INTO `lang_definitions` VALUES (46998, 3013, 10, '双瞳');
INSERT INTO `lang_definitions` VALUES (46999, 3014, 10, '下载');
INSERT INTO `lang_definitions` VALUES (47000, 3019, 10, '下载无论如何');
INSERT INTO `lang_definitions` VALUES (47001, 3020, 10, '下载计费文件，张贴到嘴的会计和标志');
INSERT INTO `lang_definitions` VALUES (47002, 3022, 10, '下载证书');
INSERT INTO `lang_definitions` VALUES (47003, 3023, 10, '下载配置数据');
INSERT INTO `lang_definitions` VALUES (47004, 3027, 10, '加密文件下载');
INSERT INTO `lang_definitions` VALUES (47005, 3037, 10, '下载选中的语句');
INSERT INTO `lang_definitions` VALUES (47006, 3039, 10, '医生检查');
INSERT INTO `lang_definitions` VALUES (47007, 3040, 10, '博士门诊');
INSERT INTO `lang_definitions` VALUES (47008, 3041, 10, '博士');
INSERT INTO `lang_definitions` VALUES (47009, 3045, 10, '拖动以移动');
INSERT INTO `lang_definitions` VALUES (47010, 3047, 10, '运球');
INSERT INTO `lang_definitions` VALUES (47011, 3048, 10, '驾驶执照或州身份证');
INSERT INTO `lang_definitions` VALUES (47012, 3050, 10, '药物');
INSERT INTO `lang_definitions` VALUES (47013, 3053, 10, '药品搜索');
INSERT INTO `lang_definitions` VALUES (47014, 3054, 10, '剂型');
INSERT INTO `lang_definitions` VALUES (47015, 3055, 10, '药物身份证丢失！');
INSERT INTO `lang_definitions` VALUES (47016, 3056, 10, '药品警告');
INSERT INTO `lang_definitions` VALUES (47017, 3057, 10, '药品库存');
INSERT INTO `lang_definitions` VALUES (47018, 3059, 10, '药品名称');
INSERT INTO `lang_definitions` VALUES (47019, 3061, 10, '贩毒路线');
INSERT INTO `lang_definitions` VALUES (47020, 3066, 10, '禁毒单位');
INSERT INTO `lang_definitions` VALUES (47021, 3072, 10, '药品');
INSERT INTO `lang_definitions` VALUES (47022, 3073, 10, '毒品和产品');
INSERT INTO `lang_definitions` VALUES (47023, 3074, 10, '口干');
INSERT INTO `lang_definitions` VALUES (47024, 3076, 10, '白喉，破伤风疫苗 1');
INSERT INTO `lang_definitions` VALUES (47025, 3077, 10, '白喉，破伤风疫苗 2');
INSERT INTO `lang_definitions` VALUES (47026, 3078, 10, '白喉，破伤风疫苗 3');
INSERT INTO `lang_definitions` VALUES (47027, 3079, 10, '白喉，破伤风疫苗 4');
INSERT INTO `lang_definitions` VALUES (47028, 3080, 10, '白喉，破伤风疫苗 5');
INSERT INTO `lang_definitions` VALUES (47029, 3081, 10, '百白破三联疫苗 1');
INSERT INTO `lang_definitions` VALUES (47030, 3082, 10, '百白破三联疫苗 2');
INSERT INTO `lang_definitions` VALUES (47031, 3083, 10, '百白破三联疫苗 3');
INSERT INTO `lang_definitions` VALUES (47032, 3084, 10, '百白破三联疫苗 4');
INSERT INTO `lang_definitions` VALUES (47033, 3085, 10, '百白破三联疫苗 5');
INSERT INTO `lang_definitions` VALUES (47034, 3087, 10, '由于');
INSERT INTO `lang_definitions` VALUES (47035, 3088, 10, '截止日期');
INSERT INTO `lang_definitions` VALUES (47036, 3090, 10, '截止日期月/日/年或格式年-月 -日');
INSERT INTO `lang_definitions` VALUES (47037, 3091, 10, '截止日期：');
INSERT INTO `lang_definitions` VALUES (47038, 3092, 10, '由于集');
INSERT INTO `lang_definitions` VALUES (47039, 3093, 10, '由于铂');
INSERT INTO `lang_definitions` VALUES (47040, 3094, 10, '即将到期');
INSERT INTO `lang_definitions` VALUES (47041, 3095, 10, '应有的地位');
INSERT INTO `lang_definitions` VALUES (47042, 3096, 10, '应有的地位更新');
INSERT INTO `lang_definitions` VALUES (47043, 3097, 10, '倾倒OpenEMR数据库');
INSERT INTO `lang_definitions` VALUES (47044, 3098, 10, '倾倒OpenEMR web目录树');
INSERT INTO `lang_definitions` VALUES (47045, 3099, 10, '倾倒phpGACL数据库');
INSERT INTO `lang_definitions` VALUES (47046, 3100, 10, '倾倒phpGACL Web目录树');
INSERT INTO `lang_definitions` VALUES (47047, 3101, 10, '倾销SQL的总帐数据库');
INSERT INTO `lang_definitions` VALUES (47048, 3102, 10, '倾倒SQL总帐web目录树');
INSERT INTO `lang_definitions` VALUES (47049, 3103, 10, 'DUP检查');
INSERT INTO `lang_definitions` VALUES (47050, 3108, 10, '重复的ID上线');
INSERT INTO `lang_definitions` VALUES (47051, 3109, 10, '重复上线名称');
INSERT INTO `lang_definitions` VALUES (47052, 3110, 10, '复制的警告');
INSERT INTO `lang_definitions` VALUES (47053, 3111, 10, '检察长的持久动力');
INSERT INTO `lang_definitions` VALUES (47054, 3112, 10, '有效期');
INSERT INTO `lang_definitions` VALUES (47055, 3113, 10, '期限');
INSERT INTO `lang_definitions` VALUES (47056, 3114, 10, '荷兰文');
INSERT INTO `lang_definitions` VALUES (47057, 3117, 10, '吞咽困难');
INSERT INTO `lang_definitions` VALUES (47058, 3118, 10, '呼吸困难：');
INSERT INTO `lang_definitions` VALUES (47059, 3119, 10, '排尿困难');
INSERT INTO `lang_definitions` VALUES (47060, 3128, 10, '电子处方？');
INSERT INTO `lang_definitions` VALUES (47061, 3130, 10, '的E-Rx');
INSERT INTO `lang_definitions` VALUES (47062, 3132, 10, '电子接收重建');
INSERT INTO `lang_definitions` VALUES (47063, 3135, 10, '每个收件人必须设置为完成自己的消息。');
INSERT INTO `lang_definitions` VALUES (47064, 3140, 10, '早期复发（<2个月）');
INSERT INTO `lang_definitions` VALUES (47065, 3141, 10, '耳朵');
INSERT INTO `lang_definitions` VALUES (47066, 3148, 10, '心电图');
INSERT INTO `lang_definitions` VALUES (47067, 3152, 10, '浮肿');
INSERT INTO `lang_definitions` VALUES (47068, 3157, 10, 'EDI-271文件上传');
INSERT INTO `lang_definitions` VALUES (47069, 3158, 10, 'EDI-271响应文件上传');
INSERT INTO `lang_definitions` VALUES (47070, 3159, 10, '编辑');
INSERT INTO `lang_definitions` VALUES (47071, 3160, 10, '编辑');
INSERT INTO `lang_definitions` VALUES (47072, 3161, 10, '编辑过敏');
INSERT INTO `lang_definitions` VALUES (47073, 3163, 10, '编辑类别');
INSERT INTO `lang_definitions` VALUES (47074, 3165, 10, '编辑定义');
INSERT INTO `lang_definitions` VALUES (47075, 3166, 10, '编辑定义');
INSERT INTO `lang_definitions` VALUES (47076, 3167, 10, '编辑诊断');
INSERT INTO `lang_definitions` VALUES (47077, 3168, 10, '编辑披露');
INSERT INTO `lang_definitions` VALUES (47078, 3173, 10, '编辑设施');
INSERT INTO `lang_definitions` VALUES (47079, 3174, 10, '编辑设备');
INSERT INTO `lang_definitions` VALUES (47080, 3175, 10, '编辑设施信息');
INSERT INTO `lang_definitions` VALUES (47081, 3177, 10, '编辑中的文件');
INSERT INTO `lang_definitions` VALUES (47082, 3178, 10, '编辑表格');
INSERT INTO `lang_definitions` VALUES (47083, 3179, 10, '编辑全局设置');
INSERT INTO `lang_definitions` VALUES (47084, 3181, 10, '编辑不认可！');
INSERT INTO `lang_definitions` VALUES (47085, 3183, 10, '编辑布局');
INSERT INTO `lang_definitions` VALUES (47086, 3185, 10, '编辑列表');
INSERT INTO `lang_definitions` VALUES (47087, 3188, 10, '编辑付款');
INSERT INTO `lang_definitions` VALUES (47088, 3189, 10, '编辑结构');
INSERT INTO `lang_definitions` VALUES (47089, 3192, 10, '编辑用户');
INSERT INTO `lang_definitions` VALUES (47090, 3193, 10, '编辑用户设置');
INSERT INTO `lang_definitions` VALUES (47091, 3196, 10, '教育');
INSERT INTO `lang_definitions` VALUES (47092, 3197, 10, '教育日期');
INSERT INTO `lang_definitions` VALUES (47093, 3199, 10, '｜*通用公共许可证的更多细节。* *您应该已经收到一份通用公共许可证*随着这个程序；如果没有，写信给自由');
INSERT INTO `lang_definitions` VALUES (47094, 3200, 10, '生效日期');
INSERT INTO `lang_definitions` VALUES (47095, 3202, 10, '效力');
INSERT INTO `lang_definitions` VALUES (47096, 3204, 10, 'EIN');
INSERT INTO `lang_definitions` VALUES (47097, 3207, 10, '射精');
INSERT INTO `lang_definitions` VALUES (47098, 3208, 10, '肘');
INSERT INTO `lang_definitions` VALUES (47099, 3209, 10, '手肘问题');
INSERT INTO `lang_definitions` VALUES (47100, 3210, 10, '电子');
INSERT INTO `lang_definitions` VALUES (47101, 3214, 10, '电子汇款');
INSERT INTO `lang_definitions` VALUES (47102, 3218, 10, '合格');
INSERT INTO `lang_definitions` VALUES (47103, 3219, 10, '资格270询问批次');
INSERT INTO `lang_definitions` VALUES (47104, 3220, 10, '资格响应');
INSERT INTO `lang_definitions` VALUES (47105, 3222, 10, '儿童疫苗的资格地位提供疫苗');
INSERT INTO `lang_definitions` VALUES (47106, 3223, 10, '合格');
INSERT INTO `lang_definitions` VALUES (47107, 3225, 10, '电子邮件');
INSERT INTO `lang_definitions` VALUES (47108, 3228, 10, '电邮地址');
INSERT INTO `lang_definitions` VALUES (47109, 3230, 10, '客户提醒发件人的电子邮件地址。客户提醒的回复将被定向到这个地址。重要的是要使用您的诊所“域的地址，以避免有助于防止垃圾邮件文件夹要耐心提醒。');
INSERT INTO `lang_definitions` VALUES (47110, 3231, 10, '电子邮件地址，如果有的话，收到行政通知。');
INSERT INTO `lang_definitions` VALUES (47111, 3232, 10, '电子邮件地址，如果有的话，接受紧急登录用户激活邮件。');
INSERT INTO `lang_definitions` VALUES (47112, 3233, 10, '电子邮件验证');
INSERT INTO `lang_definitions` VALUES (47113, 3236, 10, '电子邮件从Batchcom');
INSERT INTO `lang_definitions` VALUES (47114, 3238, 10, '电子邮件通知');
INSERT INTO `lang_definitions` VALUES (47115, 3239, 10, '电子邮件通知时间');
INSERT INTO `lang_definitions` VALUES (47116, 3244, 10, '电子邮件发送之前');
INSERT INTO `lang_definitions` VALUES (47117, 3245, 10, '电子邮件发件人');
INSERT INTO `lang_definitions` VALUES (47118, 3246, 10, '电子邮件发送');
INSERT INTO `lang_definitions` VALUES (47119, 3248, 10, '电子邮件主题');
INSERT INTO `lang_definitions` VALUES (47120, 3251, 10, '电子邮件的文本，可用标签：***姓名***，即亲爱的***姓名***');
INSERT INTO `lang_definitions` VALUES (47121, 3253, 10, '电子邮件传输方法');
INSERT INTO `lang_definitions` VALUES (47122, 3254, 10, '电子邮件发送到以下地址');
INSERT INTO `lang_definitions` VALUES (47123, 3259, 10, '紧急联络人');
INSERT INTO `lang_definitions` VALUES (47124, 3260, 10, '紧急联络人');
INSERT INTO `lang_definitions` VALUES (47125, 3261, 10, '紧急联络电话号码');
INSERT INTO `lang_definitions` VALUES (47126, 3262, 10, '紧急避孕');
INSERT INTO `lang_definitions` VALUES (47127, 3263, 10, '紧急登录');
INSERT INTO `lang_definitions` VALUES (47128, 3264, 10, '紧急登录ACL选择。用户仍处于活跃状态，请取消激活用户和在紧急情况下需要时激活相同。门诊管理“ - >”激活或去激活的用户。');
INSERT INTO `lang_definitions` VALUES (47129, 3265, 10, '紧急登录激活电子邮件将发给如果在接口/ globals.php文件配置以下设置：');
INSERT INTO `lang_definitions` VALUES (47130, 3266, 10, '紧急登录的电邮地址');
INSERT INTO `lang_definitions` VALUES (47131, 3267, 10, '紧急登录的用户可以做什么');
INSERT INTO `lang_definitions` VALUES (47132, 3268, 10, '紧急电话');
INSERT INTO `lang_definitions` VALUES (47133, 3271, 10, '肺气肿');
INSERT INTO `lang_definitions` VALUES (47134, 3272, 10, '雇员');
INSERT INTO `lang_definitions` VALUES (47135, 3273, 10, '单位');
INSERT INTO `lang_definitions` VALUES (47136, 3274, 10, '单位地址');
INSERT INTO `lang_definitions` VALUES (47137, 3275, 10, '单位数据');
INSERT INTO `lang_definitions` VALUES (47138, 3276, 10, '单位名称');
INSERT INTO `lang_definitions` VALUES (47139, 3277, 10, '空的');
INSERT INTO `lang_definitions` VALUES (47140, 3278, 10, '空的');
INSERT INTO `lang_definitions` VALUES (47141, 3281, 10, '空值在“电子邮件时间”');
INSERT INTO `lang_definitions` VALUES (47142, 3282, 10, '空值在“电子邮件发件人”');
INSERT INTO `lang_definitions` VALUES (47143, 3283, 10, '空值在“电子邮件的主题”');
INSERT INTO `lang_definitions` VALUES (47144, 3284, 10, '空值在“电子邮件正文”');
INSERT INTO `lang_definitions` VALUES (47145, 3285, 10, '空值在“名称的提供者”');
INSERT INTO `lang_definitions` VALUES (47146, 3286, 10, '空值在“密码”');
INSERT INTO `lang_definitions` VALUES (47147, 3287, 10, '空值在“短信时间”');
INSERT INTO `lang_definitions` VALUES (47148, 3288, 10, '空值在“短信”');
INSERT INTO `lang_definitions` VALUES (47149, 3289, 10, '空值在“用户名”');
INSERT INTO `lang_definitions` VALUES (47150, 3298, 10, '启用资产管理公司的激励');
INSERT INTO `lang_definitions` VALUES (47151, 3300, 10, '启用资产管理报告');
INSERT INTO `lang_definitions` VALUES (47152, 3301, 10, '启用资产管理公司跟踪');
INSERT INTO `lang_definitions` VALUES (47153, 3303, 10, '启用ATNA审计');
INSERT INTO `lang_definitions` VALUES (47154, 3305, 10, '启用审核日志记录');
INSERT INTO `lang_definitions` VALUES (47155, 3306, 10, '启用审计跟踪和节点认证（ATNA）。');
INSERT INTO `lang_definitions` VALUES (47156, 3307, 10, '启用自动测量计算（AMC）的报告');
INSERT INTO `lang_definitions` VALUES (47157, 3312, 10, '启用客户端SSL');
INSERT INTO `lang_definitions` VALUES (47158, 3313, 10, '启用客户端SSL证书认证。');
INSERT INTO `lang_definitions` VALUES (47159, 3315, 10, '使临床决策规则“（CDR）');
INSERT INTO `lang_definitions` VALUES (47160, 3318, 10, '使临床质量的措施（CQM）报告');
INSERT INTO `lang_definitions` VALUES (47161, 3319, 10, '使临床提醒弹出');
INSERT INTO `lang_definitions` VALUES (47162, 3320, 10, '使临床提醒部件');
INSERT INTO `lang_definitions` VALUES (47163, 3324, 10, '启用CQM报告');
INSERT INTO `lang_definitions` VALUES (47164, 3341, 10, '启用HylaFax等支持');
INSERT INTO `lang_definitions` VALUES (47165, 3343, 10, '使进口NewCrop ERX状态消息');
INSERT INTO `lang_definitions` VALUES (47166, 3347, 10, '启用实验室交流');
INSERT INTO `lang_definitions` VALUES (47167, 3350, 10, '启用所有的SQL SELECT查询的记录。');
INSERT INTO `lang_definitions` VALUES (47168, 3351, 10, '启用日志记录备份的相关活动。');
INSERT INTO `lang_definitions` VALUES (47169, 3353, 10, '使杂项活动的记录。');
INSERT INTO `lang_definitions` VALUES (47170, 3354, 10, '启用排序活动的记录。');
INSERT INTO `lang_definitions` VALUES (47171, 3355, 10, '启用病历修改的记录。');
INSERT INTO `lang_definitions` VALUES (47172, 3356, 10, '启用调度活动的记录。');
INSERT INTO `lang_definitions` VALUES (47173, 3357, 10, '启用安全和管理活动的记录。');
INSERT INTO `lang_definitions` VALUES (47174, 3360, 10, '启用NewCrop ERX服务');
INSERT INTO `lang_definitions` VALUES (47175, 3365, 10, '启用异地患者门户');
INSERT INTO `lang_definitions` VALUES (47176, 3366, 10, '启用异地患者门户。');
INSERT INTO `lang_definitions` VALUES (47177, 3368, 10, '启用上门患者门户');
INSERT INTO `lang_definitions` VALUES (47178, 3371, 10, '启用上门患者门户。');
INSERT INTO `lang_definitions` VALUES (47179, 3385, 10, '使客户提醒部件');
INSERT INTO `lang_definitions` VALUES (47180, 3389, 10, '启用自动测量计算所需的数据（AMC）的激励');
INSERT INTO `lang_definitions` VALUES (47181, 3391, 10, '启用的自动测量计算日期（AMC）的跟踪报告');
INSERT INTO `lang_definitions` VALUES (47182, 3392, 10, '启用扫描仪支持');
INSERT INTO `lang_definitions` VALUES (47183, 3397, 10, '启用的OpenEMR支持LLC实验室外汇服务。');
INSERT INTO `lang_definitions` VALUES (47184, 3398, 10, '启用用户证书验证');
INSERT INTO `lang_definitions` VALUES (47185, 3403, 10, '启用ZMG，ERX服务有限责任公司');
INSERT INTO `lang_definitions` VALUES (47186, 3404, 10, '启用');
INSERT INTO `lang_definitions` VALUES (47187, 3412, 10, '使老费面板进入帐单代码和付款。不推荐使用，而费用表。');
INSERT INTO `lang_definitions` VALUES (47188, 3415, 10, '电子图');
INSERT INTO `lang_definitions` VALUES (47189, 3417, 10, '电子图');
INSERT INTO `lang_definitions` VALUES (47190, 3418, 10, '治疗');
INSERT INTO `lang_definitions` VALUES (47191, 3419, 10, '治疗');
INSERT INTO `lang_definitions` VALUES (47192, 3420, 10, '治疗');
INSERT INTO `lang_definitions` VALUES (47193, 3421, 10, '治疗急性住院或急诊');
INSERT INTO `lang_definitions` VALUES (47194, 3427, 10, '治疗日期');
INSERT INTO `lang_definitions` VALUES (47195, 3432, 10, '治疗表格');
INSERT INTO `lang_definitions` VALUES (47196, 3433, 10, '治疗健康和行为评估');
INSERT INTO `lang_definitions` VALUES (47197, 3434, 10, '治疗历史');
INSERT INTO `lang_definitions` VALUES (47198, 3435, 10, '治疗的ID');
INSERT INTO `lang_definitions` VALUES (47199, 3436, 10, '治疗流感');
INSERT INTO `lang_definitions` VALUES (47200, 3439, 10, '治疗数');
INSERT INTO `lang_definitions` VALUES (47201, 3441, 10, '治疗护理放电');
INSERT INTO `lang_definitions` VALUES (47202, 3442, 10, '治疗护理设施');
INSERT INTO `lang_definitions` VALUES (47203, 3443, 10, '治疗职业治疗');
INSERT INTO `lang_definitions` VALUES (47204, 3444, 10, '治疗办公室门诊');
INSERT INTO `lang_definitions` VALUES (47205, 3445, 10, '治疗门诊');
INSERT INTO `lang_definitions` VALUES (47206, 3446, 10, '治疗门诊W / PCP及妇产科');
INSERT INTO `lang_definitions` VALUES (47207, 3447, 10, '治疗页面大小');
INSERT INTO `lang_definitions` VALUES (47208, 3449, 10, '治疗怀孕');
INSERT INTO `lang_definitions` VALUES (47209, 3450, 10, '治疗预防医学 - 个别辅导');
INSERT INTO `lang_definitions` VALUES (47210, 3451, 10, '治疗预防医学40岁及以上');
INSERT INTO `lang_definitions` VALUES (47211, 3452, 10, '治疗预防医学小组辅导');
INSERT INTO `lang_definitions` VALUES (47212, 3453, 10, '治疗预防医学的其他服务');
INSERT INTO `lang_definitions` VALUES (47213, 3454, 10, '治疗预防医学服务，18岁及以上');
INSERT INTO `lang_definitions` VALUES (47214, 3457, 10, '治疗精神与心理');
INSERT INTO `lang_definitions` VALUES (47215, 3458, 10, '治疗统计');
INSERT INTO `lang_definitions` VALUES (47216, 3459, 10, '治疗摘要');
INSERT INTO `lang_definitions` VALUES (47217, 3461, 10, '治疗编码');
INSERT INTO `lang_definitions` VALUES (47218, 3462, 10, '治疗：');
INSERT INTO `lang_definitions` VALUES (47219, 3463, 10, '治疗：遇到急性输入，门诊，或眼科');
INSERT INTO `lang_definitions` VALUES (47220, 3464, 10, '邂逅');
INSERT INTO `lang_definitions` VALUES (47221, 3465, 10, '治疗与形式');
INSERT INTO `lang_definitions` VALUES (47222, 3466, 10, '治疗与形式');
INSERT INTO `lang_definitions` VALUES (47223, 3467, 10, '治疗未授权');
INSERT INTO `lang_definitions` VALUES (47224, 3468, 10, '座谈会报告');
INSERT INTO `lang_definitions` VALUES (47225, 3469, 10, '治疗科');
INSERT INTO `lang_definitions` VALUES (47226, 3471, 10, '加密');
INSERT INTO `lang_definitions` VALUES (47227, 3472, 10, '结束');
INSERT INTO `lang_definitions` VALUES (47228, 3473, 10, '结束（年-月-日）：');
INSERT INTO `lang_definitions` VALUES (47229, 3474, 10, '结束日期');
INSERT INTO `lang_definitions` VALUES (47230, 3475, 10, '结束日期');
INSERT INTO `lang_definitions` VALUES (47231, 3480, 10, '比开始日期结束日期应该更大');
INSERT INTO `lang_definitions` VALUES (47232, 3482, 10, '结束日期：');
INSERT INTO `lang_definitions` VALUES (47233, 3487, 10, '结束时间');
INSERT INTO `lang_definitions` VALUES (47234, 3489, 10, '终末期肾脏病中的MCP与用人单位的集团计划的受益人');
INSERT INTO `lang_definitions` VALUES (47235, 3492, 10, '服务的结束日期（年-月-日）');
INSERT INTO `lang_definitions` VALUES (47236, 3493, 10, '如果你想进入一个范围结束DOS（月/日/年）');
INSERT INTO `lang_definitions` VALUES (47237, 3494, 10, '结束一天的小时日历事件。');
INSERT INTO `lang_definitions` VALUES (47238, 3495, 10, '远藤异常血');
INSERT INTO `lang_definitions` VALUES (47239, 3496, 10, '内分泌');
INSERT INTO `lang_definitions` VALUES (47240, 3497, 10, '内窥镜');
INSERT INTO `lang_definitions` VALUES (47241, 3502, 10, '英语');
INSERT INTO `lang_definitions` VALUES (47242, 3503, 10, '英语');
INSERT INTO `lang_definitions` VALUES (47243, 3504, 10, '英语（印度）');
INSERT INTO `lang_definitions` VALUES (47244, 3505, 10, '英语（标准）');
INSERT INTO `lang_definitions` VALUES (47245, 3506, 10, 'enscript命令使用HylaFax等。');
INSERT INTO `lang_definitions` VALUES (47246, 3507, 10, '确保OpenEMR有写权限的目录');
INSERT INTO `lang_definitions` VALUES (47247, 3509, 10, '耳鼻喉科放电');
INSERT INTO `lang_definitions` VALUES (47248, 3510, 10, '耳鼻喉科疼痛');
INSERT INTO `lang_definitions` VALUES (47249, 3513, 10, '输入诊断代码排除所有不包含发票');
INSERT INTO `lang_definitions` VALUES (47250, 3518, 10, '在此处输入信件的正文');
INSERT INTO `lang_definitions` VALUES (47251, 3520, 10, '输入数据库root密码');
INSERT INTO `lang_definitions` VALUES (47252, 3521, 10, '输入数据库的root用户名');
INSERT INTO `lang_definitions` VALUES (47253, 3529, 10, '进入诊断');
INSERT INTO `lang_definitions` VALUES (47254, 3530, 10, '输入药品');
INSERT INTO `lang_definitions` VALUES (47255, 3537, 10, '进入免疫接种');
INSERT INTO `lang_definitions` VALUES (47256, 3538, 10, '回车键');
INSERT INTO `lang_definitions` VALUES (47257, 3544, 10, '输入新的国家');
INSERT INTO `lang_definitions` VALUES (47258, 3569, 10, '进入再识别代码');
INSERT INTO `lang_definitions` VALUES (47259, 3581, 10, '输入您的搜索标准以上');
INSERT INTO `lang_definitions` VALUES (47260, 3591, 10, '环境');
INSERT INTO `lang_definitions` VALUES (47261, 3592, 10, 'EOB数据录入');
INSERT INTO `lang_definitions` VALUES (47262, 3596, 10, 'EOB发布-电子汇款');
INSERT INTO `lang_definitions` VALUES (47263, 3597, 10, 'EOB张贴-说明');
INSERT INTO `lang_definitions` VALUES (47264, 3598, 10, 'EOB发布-发票');
INSERT INTO `lang_definitions` VALUES (47265, 3599, 10, 'EOB张贴-患者请注意');
INSERT INTO `lang_definitions` VALUES (47266, 3600, 10, 'EOB发布-搜索');
INSERT INTO `lang_definitions` VALUES (47267, 3602, 10, '癫痫');
INSERT INTO `lang_definitions` VALUES (47268, 3608, 10, '自责');
INSERT INTO `lang_definitions` VALUES (47269, 3610, 10, '自责发帖');
INSERT INTO `lang_definitions` VALUES (47270, 3612, 10, '抹去');
INSERT INTO `lang_definitions` VALUES (47271, 3614, 10, '勃起');
INSERT INTO `lang_definitions` VALUES (47272, 3615, 10, '错误');
INSERT INTO `lang_definitions` VALUES (47273, 3617, 10, '实验室结果的错误确认收到');
INSERT INTO `lang_definitions` VALUES (47274, 3620, 10, '从实验室交换网络实验室结果错误');
INSERT INTO `lang_definitions` VALUES (47275, 3621, 10, '中的错误“性别”的选择');
INSERT INTO `lang_definitions` VALUES (47276, 3622, 10, '中的错误“法案”的选择');
INSERT INTO `lang_definitions` VALUES (47277, 3623, 10, '中的错误“过程”选择');
INSERT INTO `lang_definitions` VALUES (47278, 3624, 10, '错误的“短信网关”选择');
INSERT INTO `lang_definitions` VALUES (47279, 3625, 10, '中的错误“排序方式”的选择');
INSERT INTO `lang_definitions` VALUES (47280, 3626, 10, '在GZIP压缩文件中的错误：');
INSERT INTO `lang_definitions` VALUES (47281, 3627, 10, 'YES或NO选项的错误');
INSERT INTO `lang_definitions` VALUES (47282, 3630, 10, '阅读文件上传错误开幕');
INSERT INTO `lang_definitions` VALUES (47283, 3633, 10, '删除邮件时出错');
INSERT INTO `lang_definitions` VALUES (47284, 3634, 10, '从实验室交换网络的​​错误检索结果');
INSERT INTO `lang_definitions` VALUES (47285, 3637, 10, '批准文件的特权的OpenEMR用户时的错误。');
INSERT INTO `lang_definitions` VALUES (47286, 3640, 10, '在注册表格的错误！');
INSERT INTO `lang_definitions` VALUES (47287, 3641, 10, '错误，而保存的文件');
INSERT INTO `lang_definitions` VALUES (47288, 3643, 10, '写入文件时出错');
INSERT INTO `lang_definitions` VALUES (47289, 3651, 10, '错误，该文件不存在');
INSERT INTO `lang_definitions` VALUES (47290, 3652, 10, '错误，无法从服务器收集数据');
INSERT INTO `lang_definitions` VALUES (47291, 3653, 10, '错误，无法创建客户端证书。');
INSERT INTO `lang_definitions` VALUES (47292, 3654, 10, '错误，无法，以创建该admin.p12的的证书。');
INSERT INTO `lang_definitions` VALUES (47293, 3655, 10, '错误，无法创建的证书颁发机构证书。');
INSERT INTO `lang_definitions` VALUES (47294, 3656, 10, '错误，无法创建服务器证书。');
INSERT INTO `lang_definitions` VALUES (47295, 3658, 10, '错误，无法打开文件');
INSERT INTO `lang_definitions` VALUES (47296, 3659, 10, '错误，用户证书验证不在OpenEMR启用');
INSERT INTO `lang_definitions` VALUES (47297, 3663, 10, '错误。你需要安装存档/ Tar.php的PHP模块。');
INSERT INTO `lang_definitions` VALUES (47298, 3664, 10, '错误：无法打开table.sql，破碎的形式？');
INSERT INTO `lang_definitions` VALUES (47299, 3667, 10, '错误：重复的ID上线');
INSERT INTO `lang_definitions` VALUES (47300, 3668, 10, '错误：重复的名称上线');
INSERT INTO `lang_definitions` VALUES (47301, 3669, 10, '错误：场');
INSERT INTO `lang_definitions` VALUES (47302, 3670, 10, '错误：缺少ZipArchive PHP模块');
INSERT INTO `lang_definitions` VALUES (47303, 3672, 10, '错误：密码不匹配。请检查您的打字。');
INSERT INTO `lang_definitions` VALUES (47304, 3673, 10, '错误：密码不\'吨匹配。请检查您的打字。');
INSERT INTO `lang_definitions` VALUES (47305, 3674, 10, '错误：文件不存在');
INSERT INTO `lang_definitions` VALUES (47306, 3675, 10, '错误：以下变量包含无效字符');
INSERT INTO `lang_definitions` VALUES (47307, 3676, 10, '错误：无法复制的文件。');
INSERT INTO `lang_definitions` VALUES (47308, 3677, 10, '错误：无法创建下载的存档');
INSERT INTO `lang_definitions` VALUES (47309, 3678, 10, '错误：无法创建Zip存档。');
INSERT INTO `lang_definitions` VALUES (47310, 3679, 10, '错误：无法提取该文件。');
INSERT INTO `lang_definitions` VALUES (47311, 3680, 10, '错误：无法加载到数据库中的文件。');
INSERT INTO `lang_definitions` VALUES (47312, 3681, 10, '错误：无法设置版本号。');
INSERT INTO `lang_definitions` VALUES (47313, 3682, 10, '错误');
INSERT INTO `lang_definitions` VALUES (47314, 3684, 10, 'ERX帐户状态');
INSERT INTO `lang_definitions` VALUES (47315, 3685, 10, 'ERX日志');
INSERT INTO `lang_definitions` VALUES (47316, 3686, 10, '的ERX名称');
INSERT INTO `lang_definitions` VALUES (47317, 3687, 10, '的ERX密码');
INSERT INTO `lang_definitions` VALUES (47318, 3688, 10, '的ERX作用');
INSERT INTO `lang_definitions` VALUES (47319, 3689, 10, '的ERX用户');
INSERT INTO `lang_definitions` VALUES (47320, 3690, 10, '红斑：');
INSERT INTO `lang_definitions` VALUES (47321, 3693, 10, '爱斯基摩人');
INSERT INTO `lang_definitions` VALUES (47322, 3699, 10, '建立客户');
INSERT INTO `lang_definitions` VALUES (47323, 3701, 10, '种族');
INSERT INTO `lang_definitions` VALUES (47324, 3702, 10, '民族或种族');
INSERT INTO `lang_definitions` VALUES (47325, 3703, 10, '种族赛名单（写，只添加可选）');
INSERT INTO `lang_definitions` VALUES (47326, 3706, 10, '生成');
INSERT INTO `lang_definitions` VALUES (47327, 3709, 10, '事件');
INSERT INTO `lang_definitions` VALUES (47328, 3710, 10, '活动开始');
INSERT INTO `lang_definitions` VALUES (47329, 3711, 10, '事件类别');
INSERT INTO `lang_definitions` VALUES (47330, 3712, 10, '活动日期');
INSERT INTO `lang_definitions` VALUES (47331, 3714, 10, '事件描述');
INSERT INTO `lang_definitions` VALUES (47332, 3715, 10, '活动详情');
INSERT INTO `lang_definitions` VALUES (47333, 3716, 10, '事件不会重演');
INSERT INTO `lang_definitions` VALUES (47334, 3717, 10, '事件时间');
INSERT INTO `lang_definitions` VALUES (47335, 3718, 10, '活动期间在几分钟');
INSERT INTO `lang_definitions` VALUES (47336, 3719, 10, '活动费');
INSERT INTO `lang_definitions` VALUES (47337, 3720, 10, '活动地点');
INSERT INTO `lang_definitions` VALUES (47338, 3721, 10, '每一个事件重复');
INSERT INTO `lang_definitions` VALUES (47339, 3722, 10, '事件重复的');
INSERT INTO `lang_definitions` VALUES (47340, 3723, 10, '活动开始时间');
INSERT INTO `lang_definitions` VALUES (47341, 3724, 10, '活动名称');
INSERT INTO `lang_definitions` VALUES (47342, 3725, 10, '活动名称');
INSERT INTO `lang_definitions` VALUES (47343, 3726, 10, '网址');
INSERT INTO `lang_definitions` VALUES (47344, 3727, 10, '事件');
INSERT INTO `lang_definitions` VALUES (47345, 3728, 10, '事件');
INSERT INTO `lang_definitions` VALUES (47346, 3729, 10, '活动在新视窗开启');
INSERT INTO `lang_definitions` VALUES (47347, 3731, 10, '每个的');
INSERT INTO `lang_definitions` VALUES (47348, 3732, 10, '每个的');
INSERT INTO `lang_definitions` VALUES (47349, 3734, 10, '每3小时');
INSERT INTO `lang_definitions` VALUES (47350, 3736, 10, '每4小时');
INSERT INTO `lang_definitions` VALUES (47351, 3738, 10, '每5个小时');
INSERT INTO `lang_definitions` VALUES (47352, 3740, 10, '每6小时');
INSERT INTO `lang_definitions` VALUES (47353, 3742, 10, '每隔8小时');
INSERT INTO `lang_definitions` VALUES (47354, 3743, 10, '每4名');
INSERT INTO `lang_definitions` VALUES (47355, 3745, 10, '所有其他');
INSERT INTO `lang_definitions` VALUES (47356, 3746, 10, '每三');
INSERT INTO `lang_definitions` VALUES (47357, 3747, 10, '每一个，每个，每第三，等。');
INSERT INTO `lang_definitions` VALUES (47358, 3749, 10, '考试和测试结果');
INSERT INTO `lang_definitions` VALUES (47359, 3750, 10, '考试结果');
INSERT INTO `lang_definitions` VALUES (47360, 3753, 10, '考试');
INSERT INTO `lang_definitions` VALUES (47361, 3754, 10, '考试日期');
INSERT INTO `lang_definitions` VALUES (47362, 3755, 10, '例子');
INSERT INTO `lang_definitions` VALUES (47363, 3758, 10, '举例');
INSERT INTO `lang_definitions` VALUES (47364, 3760, 10, '考试/考试');
INSERT INTO `lang_definitions` VALUES (47365, 3762, 10, '除');
INSERT INTO `lang_definitions` VALUES (47366, 3763, 10, '过多的流泪');
INSERT INTO `lang_definitions` VALUES (47367, 3766, 10, '排除患者');
INSERT INTO `lang_definitions` VALUES (47368, 3767, 10, '排除');
INSERT INTO `lang_definitions` VALUES (47369, 3768, 10, '独家服务人员组织（EPO）');
INSERT INTO `lang_definitions` VALUES (47370, 3770, 10, '执行纸张尺寸');
INSERT INTO `lang_definitions` VALUES (47371, 3771, 10, '行使');
INSERT INTO `lang_definitions` VALUES (47372, 3772, 10, '运动模式');
INSERT INTO `lang_definitions` VALUES (47373, 3773, 10, '运动模式');
INSERT INTO `lang_definitions` VALUES (47374, 3774, 10, '存在');
INSERT INTO `lang_definitions` VALUES (47375, 3778, 10, '管理退出');
INSERT INTO `lang_definitions` VALUES (47376, 3782, 10, '进出口');
INSERT INTO `lang_definitions` VALUES (47377, 3784, 10, '扩大');
INSERT INTO `lang_definitions` VALUES (47378, 3785, 10, '扩大');
INSERT INTO `lang_definitions` VALUES (47379, 3787, 10, '全部展开');
INSERT INTO `lang_definitions` VALUES (47380, 3792, 10, '扩展视图');
INSERT INTO `lang_definitions` VALUES (47381, 3793, 10, '预计form_encounter.pid是');
INSERT INTO `lang_definitions` VALUES (47382, 3794, 10, '过期');
INSERT INTO `lang_definitions` VALUES (47383, 3795, 10, '截止日期');
INSERT INTO `lang_definitions` VALUES (47384, 3797, 10, '过期');
INSERT INTO `lang_definitions` VALUES (47385, 3798, 10, '到期');
INSERT INTO `lang_definitions` VALUES (47386, 3799, 10, '出口');
INSERT INTO `lang_definitions` VALUES (47387, 3800, 10, '导出为CSV');
INSERT INTO `lang_definitions` VALUES (47388, 3802, 10, '导出配置');
INSERT INTO `lang_definitions` VALUES (47389, 3806, 10, '导出客户的人口统计资料');
INSERT INTO `lang_definitions` VALUES (47390, 3808, 10, '出口PQRI报告');
INSERT INTO `lang_definitions` VALUES (47391, 3810, 10, '出口为CSV选择');
INSERT INTO `lang_definitions` VALUES (47392, 3811, 10, '导出选定的集合');
INSERT INTO `lang_definitions` VALUES (47393, 3812, 10, '导出到CSV');
INSERT INTO `lang_definitions` VALUES (47394, 3813, 10, '导出到外部计费系统');
INSERT INTO `lang_definitions` VALUES (47395, 3815, 10, '暴露于国外');
INSERT INTO `lang_definitions` VALUES (47396, 3816, 10, '暴露到国外');
INSERT INTO `lang_definitions` VALUES (47397, 3818, 10, '分机时收取');
INSERT INTO `lang_definitions` VALUES (47398, 3820, 10, '外部');
INSERT INTO `lang_definitions` VALUES (47399, 3828, 10, '外部ID');
INSERT INTO `lang_definitions` VALUES (47400, 3829, 10, '外部ID');
INSERT INTO `lang_definitions` VALUES (47401, 3830, 10, '外部标识符');
INSERT INTO `lang_definitions` VALUES (47402, 3831, 10, '外部仅');
INSERT INTO `lang_definitions` VALUES (47403, 3834, 10, '对外推介');
INSERT INTO `lang_definitions` VALUES (47404, 3835, 10, '对外推介Followups');
INSERT INTO `lang_definitions` VALUES (47405, 3836, 10, '外部转介？');
INSERT INTO `lang_definitions` VALUES (47406, 3837, 10, '对外推介');
INSERT INTO `lang_definitions` VALUES (47407, 3838, 10, '解压zip文件');
INSERT INTO `lang_definitions` VALUES (47408, 3839, 10, '提取该文件。这将花费一些时间...');
INSERT INTO `lang_definitions` VALUES (47409, 3840, 10, '分泌物：');
INSERT INTO `lang_definitions` VALUES (47410, 3850, 10, '眼刺痛');
INSERT INTO `lang_definitions` VALUES (47411, 3856, 10, '眼睛疼痛');
INSERT INTO `lang_definitions` VALUES (47412, 3860, 10, '眼睛发红');
INSERT INTO `lang_definitions` VALUES (47413, 3863, 10, '双眼');
INSERT INTO `lang_definitions` VALUES (47414, 3865, 10, 'F');
INSERT INTO `lang_definitions` VALUES (47415, 3866, 10, 'F / H级的血液问题');
INSERT INTO `lang_definitions` VALUES (47416, 3867, 10, 'F / H级女性多毛症/皮纹');
INSERT INTO `lang_definitions` VALUES (47417, 3868, 10, '设备');
INSERT INTO `lang_definitions` VALUES (47418, 3869, 10, '设施');
INSERT INTO `lang_definitions` VALUES (47419, 3870, 10, '设施');
INSERT INTO `lang_definitions` VALUES (47420, 3871, 10, '基金管理');
INSERT INTO `lang_definitions` VALUES (47421, 3872, 10, '基金市');
INSERT INTO `lang_definitions` VALUES (47422, 3873, 10, '设备代码');
INSERT INTO `lang_definitions` VALUES (47423, 3875, 10, '设施的国家代码');
INSERT INTO `lang_definitions` VALUES (47424, 3876, 10, '设施传真');
INSERT INTO `lang_definitions` VALUES (47425, 3878, 10, '设施名称');
INSERT INTO `lang_definitions` VALUES (47426, 3879, 10, '基金的非营利机构');
INSERT INTO `lang_definitions` VALUES (47427, 3880, 10, '工厂电话');
INSERT INTO `lang_definitions` VALUES (47428, 3883, 10, '基金国');
INSERT INTO `lang_definitions` VALUES (47429, 3884, 10, '工厂街');
INSERT INTO `lang_definitions` VALUES (47430, 3886, 10, '基金邮编');
INSERT INTO `lang_definitions` VALUES (47431, 3888, 10, '设施：');
INSERT INTO `lang_definitions` VALUES (47432, 3889, 10, '失败');
INSERT INTO `lang_definitions` VALUES (47433, 3890, 10, '失败');
INSERT INTO `lang_definitions` VALUES (47434, 3891, 10, '失败');
INSERT INTO `lang_definitions` VALUES (47435, 3908, 10, '失败');
INSERT INTO `lang_definitions` VALUES (47436, 3916, 10, '家族史');
INSERT INTO `lang_definitions` VALUES (47437, 3918, 10, '青光眼家族史');
INSERT INTO `lang_definitions` VALUES (47438, 3919, 10, '家族病史：');
INSERT INTO `lang_definitions` VALUES (47439, 3921, 10, '家庭补助金');
INSERT INTO `lang_definitions` VALUES (47440, 3922, 10, '家庭规模');
INSERT INTO `lang_definitions` VALUES (47441, 3923, 10, '花式');
INSERT INTO `lang_definitions` VALUES (47442, 3925, 10, '波斯语');
INSERT INTO `lang_definitions` VALUES (47443, 3928, 10, '父亲');
INSERT INTO `lang_definitions` VALUES (47444, 3930, 10, '疲惫');
INSERT INTO `lang_definitions` VALUES (47445, 3931, 10, '疲惫');
INSERT INTO `lang_definitions` VALUES (47446, 3933, 10, '传真');
INSERT INTO `lang_definitions` VALUES (47447, 3934, 10, '传真计数');
INSERT INTO `lang_definitions` VALUES (47448, 3935, 10, '传真号码');
INSERT INTO `lang_definitions` VALUES (47449, 3937, 10, '传真/扫描');
INSERT INTO `lang_definitions` VALUES (47450, 3938, 10, '传真在');
INSERT INTO `lang_definitions` VALUES (47451, 3939, 10, '传真输出');
INSERT INTO `lang_definitions` VALUES (47452, 3940, 10, '特点');
INSERT INTO `lang_definitions` VALUES (47453, 3941, 10, '二月');
INSERT INTO `lang_definitions` VALUES (47454, 3942, 10, '二月');
INSERT INTO `lang_definitions` VALUES (47455, 3943, 10, 'FECA');
INSERT INTO `lang_definitions` VALUES (47456, 3944, 10, '联邦药品编号');
INSERT INTO `lang_definitions` VALUES (47457, 3945, 10, '联邦艾因');
INSERT INTO `lang_definitions` VALUES (47458, 3946, 10, '联邦税务ID');
INSERT INTO `lang_definitions` VALUES (47459, 3948, 10, '费用');
INSERT INTO `lang_definitions` VALUES (47460, 3949, 10, '费用');
INSERT INTO `lang_definitions` VALUES (47461, 3950, 10, '不允许使用的费用');
INSERT INTO `lang_definitions` VALUES (47462, 3951, 10, '收费表');
INSERT INTO `lang_definitions` VALUES (47463, 3953, 10, '费用表选项');
INSERT INTO `lang_definitions` VALUES (47464, 3955, 10, '费用');
INSERT INTO `lang_definitions` VALUES (47465, 3956, 10, '女性');
INSERT INTO `lang_definitions` VALUES (47466, 3957, 10, '女性怀孕');
INSERT INTO `lang_definitions` VALUES (47467, 3958, 10, '女用避孕套');
INSERT INTO `lang_definitions` VALUES (47468, 3959, 10, '女性G');
INSERT INTO `lang_definitions` VALUES (47469, 3960, 10, '女性LC');
INSERT INTO `lang_definitions` VALUES (47470, 3961, 10, '女性P级');
INSERT INTO `lang_definitions` VALUES (47471, 3962, 10, '女性症状');
INSERT INTO `lang_definitions` VALUES (47472, 3963, 10, '女性VSC');
INSERT INTO `lang_definitions` VALUES (47473, 3966, 10, '发烧：');
INSERT INTO `lang_definitions` VALUES (47474, 3967, 10, '发烧：');
INSERT INTO `lang_definitions` VALUES (47475, 3968, 10, '家族性高胆固醇血症血液问题');
INSERT INTO `lang_definitions` VALUES (47476, 3972, 10, '子宫肌瘤');
INSERT INTO `lang_definitions` VALUES (47477, 3978, 10, '在国家户口资料中单位或用户使用的字段类型');
INSERT INTO `lang_definitions` VALUES (47478, 3979, 10, '在省统计学中单位或用户使用的字段类型');
INSERT INTO `lang_definitions` VALUES (47479, 3980, 10, '字段（S）丢失！');
INSERT INTO `lang_definitions` VALUES (47480, 3986, 10, '档案');
INSERT INTO `lang_definitions` VALUES (47481, 3989, 10, '在“文档”目录中的档案，用来了解如何创建日志过程自动化');
INSERT INTO `lang_definitions` VALUES (47482, 3990, 10, '档案位置');
INSERT INTO `lang_definitions` VALUES (47483, 3991, 10, '档案处理');
INSERT INTO `lang_definitions` VALUES (47484, 3998, 10, '档案授权给OpenEMR用户');
INSERT INTO `lang_definitions` VALUES (47485, 4000, 10, '档案室');
INSERT INTO `lang_definitions` VALUES (47486, 4001, 10, '上传档案');
INSERT INTO `lang_definitions` VALUES (47487, 4003, 10, '具有相同名称的档案已经存在于：');
INSERT INTO `lang_definitions` VALUES (47488, 4004, 10, '档案名称');
INSERT INTO `lang_definitions` VALUES (47489, 4006, 10, '档案');
INSERT INTO `lang_definitions` VALUES (47490, 4011, 10, '菲律宾');
INSERT INTO `lang_definitions` VALUES (47491, 4013, 10, '填写以下所有');
INSERT INTO `lang_definitions` VALUES (47492, 4014, 10, '只有在这里填写发送电子邮件通知患者');
INSERT INTO `lang_definitions` VALUES (47493, 4023, 10, '填写以下内容');
INSERT INTO `lang_definitions` VALUES (47494, 4025, 10, '填写这一行');
INSERT INTO `lang_definitions` VALUES (47495, 4028, 10, '过滤器');
INSERT INTO `lang_definitions` VALUES (47496, 4029, 10, '过滤常量');
INSERT INTO `lang_definitions` VALUES (47497, 4030, 10, '过滤的定义');
INSERT INTO `lang_definitions` VALUES (47498, 4032, 10, '过滤器');
INSERT INTO `lang_definitions` VALUES (47499, 4033, 10, '过滤器');
INSERT INTO `lang_definitions` VALUES (47500, 4034, 10, '最后');
INSERT INTO `lang_definitions` VALUES (47501, 4035, 10, '最后诊断');
INSERT INTO `lang_definitions` VALUES (47502, 4036, 10, '最后诊断专家');
INSERT INTO `lang_definitions` VALUES (47503, 4038, 10, '财务');
INSERT INTO `lang_definitions` VALUES (47504, 4039, 10, '财务计算日期（年-月-日）');
INSERT INTO `lang_definitions` VALUES (47505, 4040, 10, '财务报告-所有');
INSERT INTO `lang_definitions` VALUES (47506, 4042, 10, '财务报告-我的治疗');
INSERT INTO `lang_definitions` VALUES (47507, 4045, 10, '财务审查日期');
INSERT INTO `lang_definitions` VALUES (47508, 4048, 10, '查找');
INSERT INTO `lang_definitions` VALUES (47509, 4049, 10, '寻找可用');
INSERT INTO `lang_definitions` VALUES (47510, 4050, 10, '寻找可用的任命');
INSERT INTO `lang_definitions` VALUES (47511, 4053, 10, '发现客户');
INSERT INTO `lang_definitions` VALUES (47512, 4054, 10, '查找客户教育资源');
INSERT INTO `lang_definitions` VALUES (47513, 4056, 10, '调查结果');
INSERT INTO `lang_definitions` VALUES (47514, 4057, 10, '专家诊断');
INSERT INTO `lang_definitions` VALUES (47515, 4058, 10, '罚款');
INSERT INTO `lang_definitions` VALUES (47516, 4060, 10, '完成付款');
INSERT INTO `lang_definitions` VALUES (47517, 4065, 10, '首先');
INSERT INTO `lang_definitions` VALUES (47518, 4068, 10, '一周的第一天');
INSERT INTO `lang_definitions` VALUES (47519, 4071, 10, '名字');
INSERT INTO `lang_definitions` VALUES (47520, 4072, 10, '名字');
INSERT INTO `lang_definitions` VALUES (47521, 4073, 10, '名字');
INSERT INTO `lang_definitions` VALUES (47522, 4079, 10, '健身');
INSERT INTO `lang_definitions` VALUES (47523, 4080, 10, '健身等级');
INSERT INTO `lang_definitions` VALUES (47524, 4081, 10, '这个球员在这一天的健身水平');
INSERT INTO `lang_definitions` VALUES (47525, 4083, 10, '健身游戏');
INSERT INTO `lang_definitions` VALUES (47526, 4084, 10, '解决治疗的日期 – 所有治疗');
INSERT INTO `lang_definitions` VALUES (47527, 4086, 10, '解决这个问题');
INSERT INTO `lang_definitions` VALUES (47528, 4088, 10, '福罗里达州');
INSERT INTO `lang_definitions` VALUES (47529, 4090, 10, '胀气');
INSERT INTO `lang_definitions` VALUES (47530, 4091, 10, '流量');
INSERT INTO `lang_definitions` VALUES (47531, 4108, 10, '流感季节');
INSERT INTO `lang_definitions` VALUES (47532, 4109, 10, '流感季节');
INSERT INTO `lang_definitions` VALUES (47533, 4110, 10, '接种流感疫苗');
INSERT INTO `lang_definitions` VALUES (47534, 4111, 10, '液体和电解质的问题');
INSERT INTO `lang_definitions` VALUES (47535, 4112, 10, '柔性制造系统');
INSERT INTO `lang_definitions` VALUES (47536, 4113, 10, '开纸大小');
INSERT INTO `lang_definitions` VALUES (47537, 4114, 10, '后续手动');
INSERT INTO `lang_definitions` VALUES (47538, 4116, 10, '追踪');
INSERT INTO `lang_definitions` VALUES (47539, 4119, 10, '追踪理由');
INSERT INTO `lang_definitions` VALUES (47540, 4121, 10, '下一个新的自定义常数');
INSERT INTO `lang_definitions` VALUES (47541, 4122, 10, '下一个新的自定义语言');
INSERT INTO `lang_definitions` VALUES (47542, 4123, 10, '以下是一个新的定义（语言，常数，定义）：');
INSERT INTO `lang_definitions` VALUES (47543, 4125, 10, '后续服务');
INSERT INTO `lang_definitions` VALUES (47544, 4126, 10, '追踪指示');
INSERT INTO `lang_definitions` VALUES (47545, 4129, 10, '偏食症');
INSERT INTO `lang_definitions` VALUES (47546, 4130, 10, '脚');
INSERT INTO `lang_definitions` VALUES (47547, 4131, 10, '足部问题');
INSERT INTO `lang_definitions` VALUES (47548, 4132, 10, '步行：');
INSERT INTO `lang_definitions` VALUES (47549, 4133, 10, '足球伤害');
INSERT INTO `lang_definitions` VALUES (47550, 4135, 10, '足球损伤报告');
INSERT INTO `lang_definitions` VALUES (47551, 4136, 10, '鞋型');
INSERT INTO `lang_definitions` VALUES (47552, 4137, 10, '针对');
INSERT INTO `lang_definitions` VALUES (47553, 4138, 10, '针对');
INSERT INTO `lang_definitions` VALUES (47554, 4144, 10, '针对编码');
INSERT INTO `lang_definitions` VALUES (47555, 4152, 10, '针对治疗索赔');
INSERT INTO `lang_definitions` VALUES (47556, 4154, 10, '例如');
INSERT INTO `lang_definitions` VALUES (47557, 4161, 10, '发票');
INSERT INTO `lang_definitions` VALUES (47558, 4163, 10, '医疗保险只，力指服务人员是一样的渲染服务人员。');
INSERT INTO `lang_definitions` VALUES (47559, 4173, 10, '所提的组织/执业');
INSERT INTO `lang_definitions` VALUES (47560, 4176, 10, '在过去的');
INSERT INTO `lang_definitions` VALUES (47561, 4188, 10, '可变的');
INSERT INTO `lang_definitions` VALUES (47562, 4189, 10, '针对：');
INSERT INTO `lang_definitions` VALUES (47563, 4190, 10, '计费部件打开');
INSERT INTO `lang_definitions` VALUES (47564, 4191, 10, '创建新的客户');
INSERT INTO `lang_definitions` VALUES (47565, 4194, 10, '前臂');
INSERT INTO `lang_definitions` VALUES (47566, 4195, 10, '表格');
INSERT INTO `lang_definitions` VALUES (47567, 4196, 10, '表格');
INSERT INTO `lang_definitions` VALUES (47568, 4201, 10, '格式');
INSERT INTO `lang_definitions` VALUES (47569, 4202, 10, '格式');
INSERT INTO `lang_definitions` VALUES (47570, 4204, 10, '格式不正确的伴侣');
INSERT INTO `lang_definitions` VALUES (47571, 4205, 10, '使用的格式显示日期。');
INSERT INTO `lang_definitions` VALUES (47572, 4206, 10, '格式用于显示的次数最多。');
INSERT INTO `lang_definitions` VALUES (47573, 4207, 10, '格式报告');
INSERT INTO `lang_definitions` VALUES (47574, 4208, 10, '曾吸烟者');
INSERT INTO `lang_definitions` VALUES (47575, 4209, 10, '形式');
INSERT INTO `lang_definitions` VALUES (47576, 4210, 10, '形式管理');
INSERT INTO `lang_definitions` VALUES (47577, 4215, 10, '当前');
INSERT INTO `lang_definitions` VALUES (47578, 4219, 10, '前页传真');
INSERT INTO `lang_definitions` VALUES (47579, 4222, 10, '转发');
INSERT INTO `lang_definitions` VALUES (47580, 4225, 10, '第四次');
INSERT INTO `lang_definitions` VALUES (47581, 4227, 10, '骨折');
INSERT INTO `lang_definitions` VALUES (47582, 4228, 10, '骨折在舟');
INSERT INTO `lang_definitions` VALUES (47583, 4229, 10, '外踝骨折');
INSERT INTO `lang_definitions` VALUES (47584, 4230, 10, '内踝骨折');
INSERT INTO `lang_definitions` VALUES (47585, 4231, 10, '骨折，第五跖骨基地（第五）');
INSERT INTO `lang_definitions` VALUES (47586, 4235, 10, '法文');
INSERT INTO `lang_definitions` VALUES (47587, 4236, 10, '法文（加拿大）');
INSERT INTO `lang_definitions` VALUES (47588, 4237, 10, '法文（标准）');
INSERT INTO `lang_definitions` VALUES (47589, 4238, 10, '频率');
INSERT INTO `lang_definitions` VALUES (47590, 4239, 10, '频发性感冒');
INSERT INTO `lang_definitions` VALUES (47591, 4240, 10, '频发性疾病');
INSERT INTO `lang_definitions` VALUES (47592, 4241, 10, '周五');
INSERT INTO `lang_definitions` VALUES (47593, 4242, 10, '周五');
INSERT INTO `lang_definitions` VALUES (47594, 4244, 10, '从');
INSERT INTO `lang_definitions` VALUES (47595, 4245, 10, '从');
INSERT INTO `lang_definitions` VALUES (47596, 4246, 10, '从');
INSERT INTO `lang_definitions` VALUES (47597, 4247, 10, '开始日期不能大于日期。');
INSERT INTO `lang_definitions` VALUES (47598, 4253, 10, '来自：');
INSERT INTO `lang_definitions` VALUES (47599, 4254, 10, '来自：');
INSERT INTO `lang_definitions` VALUES (47600, 4255, 10, '来自-城市');
INSERT INTO `lang_definitions` VALUES (47601, 4257, 10, '来自-名字');
INSERT INTO `lang_definitions` VALUES (47602, 4258, 10, '来自-姓氏');
INSERT INTO `lang_definitions` VALUES (47603, 4259, 10, '来自-中间名称');
INSERT INTO `lang_definitions` VALUES (47604, 4261, 10, '来自-电话');
INSERT INTO `lang_definitions` VALUES (47605, 4262, 10, '来自-邮编');
INSERT INTO `lang_definitions` VALUES (47606, 4263, 10, '来自-省');
INSERT INTO `lang_definitions` VALUES (47607, 4264, 10, '来自-街道');
INSERT INTO `lang_definitions` VALUES (47608, 4265, 10, '来自-标题');
INSERT INTO `lang_definitions` VALUES (47609, 4266, 10, '来自-告别');
INSERT INTO `lang_definitions` VALUES (47610, 4267, 10, '前台');
INSERT INTO `lang_definitions` VALUES (47611, 4268, 10, '前台收款');
INSERT INTO `lang_definitions` VALUES (47612, 4269, 10, '前台收款报表');
INSERT INTO `lang_definitions` VALUES (47613, 4270, 10, '接待记录');
INSERT INTO `lang_definitions` VALUES (47614, 4271, 10, '正面右：');
INSERT INTO `lang_definitions` VALUES (47615, 4278, 10, '全名');
INSERT INTO `lang_definitions` VALUES (47616, 4280, 10, '包含MySQL的全路径的可执行文件目录。');
INSERT INTO `lang_definitions` VALUES (47617, 4281, 10, '包含Perl的全路径的可执行文件目录。');
INSERT INTO `lang_definitions` VALUES (47618, 4282, 10, '完整的目录路径为事件日志备份。');
INSERT INTO `lang_definitions` VALUES (47619, 4283, 10, '全路径用于临时文件目录。');
INSERT INTO `lang_definitions` VALUES (47620, 4284, 10, '充分发挥');
INSERT INTO `lang_definitions` VALUES (47621, 4286, 10, '训练');
INSERT INTO `lang_definitions` VALUES (47622, 4288, 10, '全额支付');
INSERT INTO `lang_definitions` VALUES (47623, 4298, 10, 'G');
INSERT INTO `lang_definitions` VALUES (47624, 4299, 10, 'G/DL');
INSERT INTO `lang_definitions` VALUES (47625, 4302, 10, '胆囊条件');
INSERT INTO `lang_definitions` VALUES (47626, 4303, 10, '胆结石');
INSERT INTO `lang_definitions` VALUES (47627, 4304, 10, '运动时间');
INSERT INTO `lang_definitions` VALUES (47628, 4305, 10, '运动会');
INSERT INTO `lang_definitions` VALUES (47629, 4306, 10, '错过');
INSERT INTO `lang_definitions` VALUES (47630, 4307, 10, '运动/事件');
INSERT INTO `lang_definitions` VALUES (47631, 4308, 10, '运动/活动漏诊');
INSERT INTO `lang_definitions` VALUES (47632, 4310, 10, '胃炎');
INSERT INTO `lang_definitions` VALUES (47633, 4311, 10, '胃疼');
INSERT INTO `lang_definitions` VALUES (47634, 4312, 10, '胃肠道');
INSERT INTO `lang_definitions` VALUES (47635, 4316, 10, 'GCAC统计报告');
INSERT INTO `lang_definitions` VALUES (47636, 4317, 10, 'GCAC统计');
INSERT INTO `lang_definitions` VALUES (47637, 4318, 10, 'GCAC门诊形式丢失');
INSERT INTO `lang_definitions` VALUES (47638, 4319, 10, '性别');
INSERT INTO `lang_definitions` VALUES (47639, 4320, 10, '性别');
INSERT INTO `lang_definitions` VALUES (47640, 4321, 10, '一般');
INSERT INTO `lang_definitions` VALUES (47641, 4325, 10, '一般事务类');
INSERT INTO `lang_definitions` VALUES (47642, 4332, 10, '生成和下载CMS 1500文件要求');
INSERT INTO `lang_definitions` VALUES (47643, 4334, 10, '生成和下载HCFA 1500年书面索赔');
INSERT INTO `lang_definitions` VALUES (47644, 4337, 10, '生成并下载X12批次');
INSERT INTO `lang_definitions` VALUES (47645, 4338, 10, '产生和下载x 12治疗索赔一批');
INSERT INTO `lang_definitions` VALUES (47646, 4341, 10, '生成和传输允许电子处方。');
INSERT INTO `lang_definitions` VALUES (47647, 4342, 10, '生成CMS 1500');
INSERT INTO `lang_definitions` VALUES (47648, 4343, 10, '生成CMS 1500PDF');
INSERT INTO `lang_definitions` VALUES (47649, 4344, 10, '生成CMS 1500文本');
INSERT INTO `lang_definitions` VALUES (47650, 4345, 10, '生成HCFA');
INSERT INTO `lang_definitions` VALUES (47651, 4348, 10, '生成信件');
INSERT INTO `lang_definitions` VALUES (47652, 4349, 10, '产生来信');
INSERT INTO `lang_definitions` VALUES (47653, 4351, 10, '产生PQRI报告（方法A）');
INSERT INTO `lang_definitions` VALUES (47654, 4353, 10, '产生PQRI报告（方法E）');
INSERT INTO `lang_definitions` VALUES (47655, 4357, 10, '生成报告');
INSERT INTO `lang_definitions` VALUES (47656, 4365, 10, '生成的用户名和密码');
INSERT INTO `lang_definitions` VALUES (47657, 4366, 10, '生成X12');
INSERT INTO `lang_definitions` VALUES (47658, 4368, 10, '生成X12治疗');
INSERT INTO `lang_definitions` VALUES (47659, 4370, 10, '产生');
INSERT INTO `lang_definitions` VALUES (47660, 4372, 10, '生成');
INSERT INTO `lang_definitions` VALUES (47661, 4377, 10, '泌尿生殖');
INSERT INTO `lang_definitions` VALUES (47662, 4381, 10, '德语');
INSERT INTO `lang_definitions` VALUES (47663, 4386, 10, '获得HL7');
INSERT INTO `lang_definitions` VALUES (47664, 4392, 10, '青光眼');
INSERT INTO `lang_definitions` VALUES (47665, 4393, 10, '青光眼家族史');
INSERT INTO `lang_definitions` VALUES (47666, 4395, 10, '全局');
INSERT INTO `lang_definitions` VALUES (47667, 4398, 10, '全局编号');
INSERT INTO `lang_definitions` VALUES (47668, 4399, 10, '全局设置');
INSERT INTO `lang_definitions` VALUES (47669, 4400, 10, '全局');
INSERT INTO `lang_definitions` VALUES (47670, 4401, 10, 'GM/DL');
INSERT INTO `lang_definitions` VALUES (47671, 4403, 10, '离去');
INSERT INTO `lang_definitions` VALUES (47672, 4404, 10, '离去');
INSERT INTO `lang_definitions` VALUES (47673, 4407, 10, '到');
INSERT INTO `lang_definitions` VALUES (47674, 4417, 10, '转到周');
INSERT INTO `lang_definitions` VALUES (47675, 4418, 10, '今天去');
INSERT INTO `lang_definitions` VALUES (47676, 4428, 10, '外伤等级');
INSERT INTO `lang_definitions` VALUES (47677, 4429, 10, '等级：');
INSERT INTO `lang_definitions` VALUES (47678, 4430, 10, '克');
INSERT INTO `lang_definitions` VALUES (47679, 4431, 10, '总计');
INSERT INTO `lang_definitions` VALUES (47680, 4432, 10, '总计');
INSERT INTO `lang_definitions` VALUES (47681, 4435, 10, '图标');
INSERT INTO `lang_definitions` VALUES (47682, 4437, 10, '大于');
INSERT INTO `lang_definitions` VALUES (47683, 4438, 10, '大于或等于');
INSERT INTO `lang_definitions` VALUES (47684, 4439, 10, '希腊语');
INSERT INTO `lang_definitions` VALUES (47685, 4442, 10, '团体');
INSERT INTO `lang_definitions` VALUES (47686, 4459, 10, '团体名');
INSERT INTO `lang_definitions` VALUES (47687, 4460, 10, '团体名不能是空白的');
INSERT INTO `lang_definitions` VALUES (47688, 4461, 10, '团体名不能以数字或空格开始。');
INSERT INTO `lang_definitions` VALUES (47689, 4462, 10, '团体名不能以数字开始。');
INSERT INTO `lang_definitions` VALUES (47690, 4463, 10, '团体号码');
INSERT INTO `lang_definitions` VALUES (47691, 4465, 10, '团体付款');
INSERT INTO `lang_definitions` VALUES (47692, 4471, 10, '组：');
INSERT INTO `lang_definitions` VALUES (47693, 4472, 10, '群组');
INSERT INTO `lang_definitions` VALUES (47694, 4475, 10, '团体和门诊控制');
INSERT INTO `lang_definitions` VALUES (47695, 4476, 10, '生长图表');
INSERT INTO `lang_definitions` VALUES (47696, 4477, 10, '生长-图表');
INSERT INTO `lang_definitions` VALUES (47697, 4478, 10, '糖耐量（滴）');
INSERT INTO `lang_definitions` VALUES (47698, 4479, 10, '监护人');
INSERT INTO `lang_definitions` VALUES (47699, 4484, 10, '监护人姓名');
INSERT INTO `lang_definitions` VALUES (47700, 4489, 10, '妇科考试');
INSERT INTO `lang_definitions` VALUES (47701, 4490, 10, 'h');
INSERT INTO `lang_definitions` VALUES (47702, 4492, 10, 'h.s.');
INSERT INTO `lang_definitions` VALUES (47703, 4493, 10, 'H/O肝炎');
INSERT INTO `lang_definitions` VALUES (47704, 4494, 10, '已成功删除。如果存在任何分类别被移到下面');
INSERT INTO `lang_definitions` VALUES (47705, 4495, 10, '血肿/瘀伤');
INSERT INTO `lang_definitions` VALUES (47706, 4496, 10, 'HAI状态');
INSERT INTO `lang_definitions` VALUES (47707, 4499, 10, '手+手指');
INSERT INTO `lang_definitions` VALUES (47708, 4500, 10, '手部问题');
INSERT INTO `lang_definitions` VALUES (47709, 4506, 10, '艰难W / O型');
INSERT INTO `lang_definitions` VALUES (47710, 4507, 10, '已链接门诊');
INSERT INTO `lang_definitions` VALUES (47711, 4508, 10, '已过期');
INSERT INTO `lang_definitions` VALUES (47712, 4509, 10, '拼凑');
INSERT INTO `lang_definitions` VALUES (47713, 4511, 10, '不存在此文件的散列。生成新的哈希。');
INSERT INTO `lang_definitions` VALUES (47714, 4512, 10, '哈希不匹配。数据的完整性受到损害。');
INSERT INTO `lang_definitions` VALUES (47715, 4515, 10, '夏威夷语');
INSERT INTO `lang_definitions` VALUES (47716, 4516, 10, '危险活动');
INSERT INTO `lang_definitions` VALUES (47717, 4517, 10, '危险活动');
INSERT INTO `lang_definitions` VALUES (47718, 4521, 10, 'HCFA左边源点');
INSERT INTO `lang_definitions` VALUES (47719, 4522, 10, 'HCFA保证金');
INSERT INTO `lang_definitions` VALUES (47720, 4523, 10, 'HCFA顶部源点');
INSERT INTO `lang_definitions` VALUES (47721, 4527, 10, '他发布日历');
INSERT INTO `lang_definitions` VALUES (47722, 4528, 10, '头');
INSERT INTO `lang_definitions` VALUES (47723, 4529, 10, '头围');
INSERT INTO `lang_definitions` VALUES (47724, 4530, 10, '头围');
INSERT INTO `lang_definitions` VALUES (47725, 4531, 10, '头痛');
INSERT INTO `lang_definitions` VALUES (47726, 4532, 10, '头痛');
INSERT INTO `lang_definitions` VALUES (47727, 4534, 10, '卫生保健');
INSERT INTO `lang_definitions` VALUES (47728, 4535, 10, '卫生保健');
INSERT INTO `lang_definitions` VALUES (47729, 4537, 10, '健康中心/诊所');
INSERT INTO `lang_definitions` VALUES (47730, 4540, 10, '健康维护组织');
INSERT INTO `lang_definitions` VALUES (47731, 4541, 10, '健康维护组织（健保组织）医疗风险');
INSERT INTO `lang_definitions` VALUES (47732, 4542, 10, '听力损耗');
INSERT INTO `lang_definitions` VALUES (47733, 4543, 10, '心脏病发作');
INSERT INTO `lang_definitions` VALUES (47734, 4544, 10, '心脏病');
INSERT INTO `lang_definitions` VALUES (47735, 4545, 10, '心力衰竭');
INSERT INTO `lang_definitions` VALUES (47736, 4546, 10, '心脏问题');
INSERT INTO `lang_definitions` VALUES (47737, 4547, 10, '心脏问题');
INSERT INTO `lang_definitions` VALUES (47738, 4548, 10, '心脏手术');
INSERT INTO `lang_definitions` VALUES (47739, 4549, 10, '心脏移植');
INSERT INTO `lang_definitions` VALUES (47740, 4550, 10, '心：');
INSERT INTO `lang_definitions` VALUES (47741, 4551, 10, '心痛');
INSERT INTO `lang_definitions` VALUES (47742, 4552, 10, '热或冷');
INSERT INTO `lang_definitions` VALUES (47743, 4553, 10, '热或冷');
INSERT INTO `lang_definitions` VALUES (47744, 4555, 10, '希伯来语');
INSERT INTO `lang_definitions` VALUES (47745, 4557, 10, '头眼耳鼻喉');
INSERT INTO `lang_definitions` VALUES (47746, 4558, 10, '身高');
INSERT INTO `lang_definitions` VALUES (47747, 4560, 10, '帮助');
INSERT INTO `lang_definitions` VALUES (47748, 4561, 10, '帮助');
INSERT INTO `lang_definitions` VALUES (47749, 4563, 10, '吐血');
INSERT INTO `lang_definitions` VALUES (47750, 4564, 10, '便血');
INSERT INTO `lang_definitions` VALUES (47751, 4565, 10, '血液学');
INSERT INTO `lang_definitions` VALUES (47752, 4566, 10, '血尿');
INSERT INTO `lang_definitions` VALUES (47753, 4567, 10, '血红蛋白');
INSERT INTO `lang_definitions` VALUES (47754, 4568, 10, '糖化血红蛋白');
INSERT INTO `lang_definitions` VALUES (47755, 4569, 10, '咳血');
INSERT INTO `lang_definitions` VALUES (47756, 4570, 10, '肝炎');
INSERT INTO `lang_definitions` VALUES (47757, 4571, 10, 'A型肝炎1');
INSERT INTO `lang_definitions` VALUES (47758, 4572, 10, 'A型肝炎2');
INSERT INTO `lang_definitions` VALUES (47759, 4573, 10, 'B型肝炎1');
INSERT INTO `lang_definitions` VALUES (47760, 4574, 10, 'B型肝炎2');
INSERT INTO `lang_definitions` VALUES (47761, 4575, 10, 'B型肝炎3');
INSERT INTO `lang_definitions` VALUES (47762, 4576, 10, '这里');
INSERT INTO `lang_definitions` VALUES (47763, 4580, 10, '疝修补术');
INSERT INTO `lang_definitions` VALUES (47764, 4581, 10, '腰椎间盘突出');
INSERT INTO `lang_definitions` VALUES (47765, 4582, 10, '疱疹');
INSERT INTO `lang_definitions` VALUES (47766, 4585, 10, '迟疑');
INSERT INTO `lang_definitions` VALUES (47767, 4586, 10, 'heyyo 。你在这里');
INSERT INTO `lang_definitions` VALUES (47768, 4587, 10, 'B型流感嗜血杆菌结合疫苗 1');
INSERT INTO `lang_definitions` VALUES (47769, 4588, 10, 'B型流感嗜血杆菌结合疫苗 2');
INSERT INTO `lang_definitions` VALUES (47770, 4589, 10, 'B型流感嗜血杆菌结合疫苗 3');
INSERT INTO `lang_definitions` VALUES (47771, 4590, 10, 'B型流感嗜血杆菌结合疫苗 4');
INSERT INTO `lang_definitions` VALUES (47772, 4591, 10, '隐藏');
INSERT INTO `lang_definitions` VALUES (47773, 4592, 10, '隐藏活动管理');
INSERT INTO `lang_definitions` VALUES (47774, 4593, 10, '隐藏');
INSERT INTO `lang_definitions` VALUES (47775, 4595, 10, '隐藏详细信息');
INSERT INTO `lang_definitions` VALUES (47776, 4597, 10, '隐藏加密/解密方案文件管理');
INSERT INTO `lang_definitions` VALUES (47777, 4599, 10, '隐藏菜单');
INSERT INTO `lang_definitions` VALUES (47778, 4601, 10, '隐藏提醒');
INSERT INTO `lang_definitions` VALUES (47779, 4603, 10, '隐藏/显示列');
INSERT INTO `lang_definitions` VALUES (47780, 4605, 10, '高的');
INSERT INTO `lang_definitions` VALUES (47781, 4607, 10, '血压高');
INSERT INTO `lang_definitions` VALUES (47782, 4609, 10, '印地语');
INSERT INTO `lang_definitions` VALUES (47783, 4610, 10, '髋部+腹股沟');
INSERT INTO `lang_definitions` VALUES (47784, 4611, 10, '髋部和腹股沟');
INSERT INTO `lang_definitions` VALUES (47785, 4612, 10, '髋关节的问题');
INSERT INTO `lang_definitions` VALUES (47786, 4613, 10, '髋关节置换术');
INSERT INTO `lang_definitions` VALUES (47787, 4615, 10, 'HIPAA的公告收稿');
INSERT INTO `lang_definitions` VALUES (47788, 4617, 10, '多毛/皮纹');
INSERT INTO `lang_definitions` VALUES (47789, 4618, 10, '西班牙裔');
INSERT INTO `lang_definitions` VALUES (47790, 4619, 10, '西班牙语-其他（生的在美国）');
INSERT INTO `lang_definitions` VALUES (47791, 4620, 10, '西班牙语-其他（生的美国以外）');
INSERT INTO `lang_definitions` VALUES (47792, 4621, 10, '西班牙裔或拉丁裔');
INSERT INTO `lang_definitions` VALUES (47793, 4623, 10, '历史');
INSERT INTO `lang_definitions` VALUES (47794, 4629, 10, '历史数据');
INSERT INTO `lang_definitions` VALUES (47795, 4630, 10, '历史数据');
INSERT INTO `lang_definitions` VALUES (47796, 4632, 10, '心脏杂音病史');
INSERT INTO `lang_definitions` VALUES (47797, 4633, 10, '历史上没有授权');
INSERT INTO `lang_definitions` VALUES (47798, 4634, 10, '心脏杂音病史');
INSERT INTO `lang_definitions` VALUES (47799, 4638, 10, '次数');
INSERT INTO `lang_definitions` VALUES (47800, 4639, 10, '人体免疫缺损病毒，艾滋病病毒');
INSERT INTO `lang_definitions` VALUES (47801, 4649, 10, 'HL7标准浏览器');
INSERT INTO `lang_definitions` VALUES (47802, 4651, 10, 'HMOL/L');
INSERT INTO `lang_definitions` VALUES (47803, 4652, 10, '苗族');
INSERT INTO `lang_definitions` VALUES (47804, 4653, 10, '按住[ Ctrl键]以便进行多项选择或取消');
INSERT INTO `lang_definitions` VALUES (47805, 4655, 10, '按住CTRL键选择多个项目');
INSERT INTO `lang_definitions` VALUES (47806, 4656, 10, '按住CTRL键选择多个敢死队');
INSERT INTO `lang_definitions` VALUES (47807, 4658, 10, '首页');
INSERT INTO `lang_definitions` VALUES (47808, 4659, 10, '住宅电话');
INSERT INTO `lang_definitions` VALUES (47809, 4660, 10, '住宅电话');
INSERT INTO `lang_definitions` VALUES (47810, 4662, 10, '无家可归或类似？');
INSERT INTO `lang_definitions` VALUES (47811, 4664, 10, '无家可归，等');
INSERT INTO `lang_definitions` VALUES (47812, 4665, 10, '无家可归，等');
INSERT INTO `lang_definitions` VALUES (47813, 4674, 10, '主机名');
INSERT INTO `lang_definitions` VALUES (47814, 4675, 10, '主机名不能为空');
INSERT INTO `lang_definitions` VALUES (47815, 4677, 10, '小时');
INSERT INTO `lang_definitions` VALUES (47816, 4678, 10, '小时');
INSERT INTO `lang_definitions` VALUES (47817, 4681, 10, '如何受伤？');
INSERT INTO `lang_definitions` VALUES (47818, 4682, 10, '如何受伤？：');
INSERT INTO `lang_definitions` VALUES (47819, 4683, 10, '他们是如何知道我们的');
INSERT INTO `lang_definitions` VALUES (47820, 4685, 10, '有多少未来几个月来查询即将举行的活动？');
INSERT INTO `lang_definitions` VALUES (47821, 4692, 10, '液相色谱法：');
INSERT INTO `lang_definitions` VALUES (47822, 4694, 10, 'HT');
INSERT INTO `lang_definitions` VALUES (47823, 4695, 10, 'HTML');
INSERT INTO `lang_definitions` VALUES (47824, 4699, 10, '网页链接的OpenEMR支持实验室交流服务有限责任公司。');
INSERT INTO `lang_definitions` VALUES (47825, 4701, 10, '匈牙利语');
INSERT INTO `lang_definitions` VALUES (47826, 4702, 10, 'HylaFax目录');
INSERT INTO `lang_definitions` VALUES (47827, 4703, 10, 'HylaFax等Enscript指令');
INSERT INTO `lang_definitions` VALUES (47828, 4704, 10, 'HylaFax服务器');
INSERT INTO `lang_definitions` VALUES (47829, 4705, 10, 'HylaFax服务器主机名');
INSERT INTO `lang_definitions` VALUES (47830, 4706, 10, '活跃的');
INSERT INTO `lang_definitions` VALUES (47831, 4708, 10, '高血压');
INSERT INTO `lang_definitions` VALUES (47832, 4709, 10, '高血压：血压测量');
INSERT INTO `lang_definitions` VALUES (47833, 4710, 10, '高血压：血压测量（CQM）');
INSERT INTO `lang_definitions` VALUES (47834, 4711, 10, '甲状腺功能亢进症');
INSERT INTO `lang_definitions` VALUES (47835, 4713, 10, '甲状腺功能减退症');
INSERT INTO `lang_definitions` VALUES (47836, 4716, 10, '子宫切除术');
INSERT INTO `lang_definitions` VALUES (47837, 4717, 10, '我');
INSERT INTO `lang_definitions` VALUES (47838, 4718, 10, '我在这段时间里忙碌。');
INSERT INTO `lang_definitions` VALUES (47839, 4719, 10, '我没有权限读取');
INSERT INTO `lang_definitions` VALUES (47840, 4724, 10, '国际疾病分类');
INSERT INTO `lang_definitions` VALUES (47841, 4727, 10, '国际疾病分类9');
INSERT INTO `lang_definitions` VALUES (47842, 4734, 10, '编号');
INSERT INTO `lang_definitions` VALUES (47843, 4736, 10, '编号');
INSERT INTO `lang_definitions` VALUES (47844, 4738, 10, '编号不能为空');
INSERT INTO `lang_definitions` VALUES (47845, 4739, 10, '身份证');
INSERT INTO `lang_definitions` VALUES (47846, 4742, 10, '身份证有效期');
INSERT INTO `lang_definitions` VALUES (47847, 4743, 10, '经鉴定为');
INSERT INTO `lang_definitions` VALUES (47848, 4745, 10, '标识符（一个字）');
INSERT INTO `lang_definitions` VALUES (47849, 4747, 10, '空闲会话超时秒');
INSERT INTO `lang_definitions` VALUES (47850, 4755, 10, '如果所有的数据都列有完整的这种形式');
INSERT INTO `lang_definitions` VALUES (47851, 4757, 10, '如果结算的理由是用来输入姓名的诊断代码类型。');
INSERT INTO `lang_definitions` VALUES (47852, 4763, 10, '如果输入的，只选择那些谁有这样的服务');
INSERT INTO `lang_definitions` VALUES (47853, 4765, 10, '如果任何一部分的名字，姓氏或姓氏，名字');
INSERT INTO `lang_definitions` VALUES (47854, 4770, 10, '如果支付');
INSERT INTO `lang_definitions` VALUES (47855, 4771, 10, '如果人已过世，输入逝世日期。');
INSERT INTO `lang_definitions` VALUES (47856, 4775, 10, '如果使用SMTP服务器，输入主机名或地址。');
INSERT INTO `lang_definitions` VALUES (47857, 4776, 10, '如果使用SMTP服务器，输入端口(通常25)。');
INSERT INTO `lang_definitions` VALUES (47858, 4803, 10, '如果失业，选择输入学生');
INSERT INTO `lang_definitions` VALUES (47859, 4814, 10, '如果你改变eprescription e-rx作用，它可能影响eprescription工作流。如果你面对任何困难，联系你的eprescription供应商。');
INSERT INTO `lang_definitions` VALUES (47860, 4833, 10, '如果你选择上传电子汇款，然后搜索窗口重新显示本身与匹配发票从X 12文件。你可以点击任何这些发票编号（如下所述）如果你希望做任何修正之前的汇款信息应用。应用更改，单击文件过程的时间');
INSERT INTO `lang_definitions` VALUES (47861, 4836, 10, '如果你输入了支付日期在搜索页');
INSERT INTO `lang_definitions` VALUES (47862, 4850, 10, '如果你想改变数据类型，或添加行或列');
INSERT INTO `lang_definitions` VALUES (47863, 4851, 10, '如果你想升级数据库，将数据库文件在以下目录');
INSERT INTO `lang_definitions` VALUES (47864, 4854, 10, '忽视');
INSERT INTO `lang_definitions` VALUES (47865, 4856, 10, '疾病');
INSERT INTO `lang_definitions` VALUES (47866, 4857, 10, '即时通讯');
INSERT INTO `lang_definitions` VALUES (47867, 4863, 10, '影像服务');
INSERT INTO `lang_definitions` VALUES (47868, 4865, 10, '免疫');
INSERT INTO `lang_definitions` VALUES (47869, 4867, 10, '免疫编号');
INSERT INTO `lang_definitions` VALUES (47870, 4869, 10, '免疫日期');
INSERT INTO `lang_definitions` VALUES (47871, 4872, 10, '免疫批号');
INSERT INTO `lang_definitions` VALUES (47872, 4873, 10, '免疫制造商');
INSERT INTO `lang_definitions` VALUES (47873, 4878, 10, '免疫登记');
INSERT INTO `lang_definitions` VALUES (47874, 4882, 10, '免疫接种服务');
INSERT INTO `lang_definitions` VALUES (47875, 4883, 10, '免疫标题');
INSERT INTO `lang_definitions` VALUES (47876, 4885, 10, '免疫接种');
INSERT INTO `lang_definitions` VALUES (47877, 4887, 10, '免疫接种');
INSERT INTO `lang_definitions` VALUES (47878, 4888, 10, '免疫学');
INSERT INTO `lang_definitions` VALUES (47879, 4893, 10, '种植体');
INSERT INTO `lang_definitions` VALUES (47880, 4894, 10, '导入');
INSERT INTO `lang_definitions` VALUES (47881, 4898, 10, '进口证书的浏览器。');
INSERT INTO `lang_definitions` VALUES (47882, 4899, 10, '导入配置');
INSERT INTO `lang_definitions` VALUES (47883, 4904, 10, '导入客户');
INSERT INTO `lang_definitions` VALUES (47884, 4905, 10, '导入客户统计数据');
INSERT INTO `lang_definitions` VALUES (47885, 4914, 10, '从会计导入');
INSERT INTO `lang_definitions` VALUES (47886, 4920, 10, '改良的');
INSERT INTO `lang_definitions` VALUES (47887, 4922, 10, '在');
INSERT INTO `lang_definitions` VALUES (47888, 4923, 10, '在');
INSERT INTO `lang_definitions` VALUES (47889, 4931, 10, '在每只眼睛');
INSERT INTO `lang_definitions` VALUES (47890, 4934, 10, '在左眼');
INSERT INTO `lang_definitions` VALUES (47891, 4935, 10, '在鼻孔');
INSERT INTO `lang_definitions` VALUES (47892, 4936, 10, '在办公室');
INSERT INTO `lang_definitions` VALUES (47893, 4947, 10, '在右眼');
INSERT INTO `lang_definitions` VALUES (47894, 4958, 10, '在内部');
INSERT INTO `lang_definitions` VALUES (47895, 4960, 10, '不活跃');
INSERT INTO `lang_definitions` VALUES (47896, 4965, 10, '无效天');
INSERT INTO `lang_definitions` VALUES (47897, 4967, 10, '收件箱');
INSERT INTO `lang_definitions` VALUES (47898, 4970, 10, '包括校验');
INSERT INTO `lang_definitions` VALUES (47899, 4971, 10, '包括完成');
INSERT INTO `lang_definitions` VALUES (47900, 4974, 10, '包括活跃用户');
INSERT INTO `lang_definitions` VALUES (47901, 4975, 10, '包括未分类');
INSERT INTO `lang_definitions` VALUES (47902, 4976, 10, '包括不活跃数据');
INSERT INTO `lang_definitions` VALUES (47903, 4977, 10, '包括生命迹象');
INSERT INTO `lang_definitions` VALUES (47904, 4978, 10, '包括生命迹象数据？');
INSERT INTO `lang_definitions` VALUES (47905, 4981, 10, '包括不活跃数据');
INSERT INTO `lang_definitions` VALUES (47906, 4982, 10, '收入');
INSERT INTO `lang_definitions` VALUES (47907, 4984, 10, '不完全');
INSERT INTO `lang_definitions` VALUES (47908, 4985, 10, '不完全流产治疗');
INSERT INTO `lang_definitions` VALUES (47909, 4986, 10, '失禁');
INSERT INTO `lang_definitions` VALUES (47910, 4987, 10, '将临床实验结果为认证的电子病历结构化数据的技术。');
INSERT INTO `lang_definitions` VALUES (47911, 4990, 10, '增加：');
INSERT INTO `lang_definitions` VALUES (47912, 4991, 10, '弥偿保险');
INSERT INTO `lang_definitions` VALUES (47913, 4994, 10, '不定');
INSERT INTO `lang_definitions` VALUES (47914, 4995, 10, '印第安');
INSERT INTO `lang_definitions` VALUES (47915, 4998, 10, '显示异常');
INSERT INTO `lang_definitions` VALUES (47916, 5000, 10, '表明，如果这个问题目前正在积极');
INSERT INTO `lang_definitions` VALUES (47917, 5002, 10, '使用专门的指标');
INSERT INTO `lang_definitions` VALUES (47918, 5003, 10, '贫困的患者');
INSERT INTO `lang_definitions` VALUES (47919, 5004, 10, '贫困患者报告');
INSERT INTO `lang_definitions` VALUES (47920, 5005, 10, '贫困');
INSERT INTO `lang_definitions` VALUES (47921, 5010, 10, '人工流产');
INSERT INTO `lang_definitions` VALUES (47922, 5012, 10, '不合格');
INSERT INTO `lang_definitions` VALUES (47923, 5013, 10, '感染/脓肿');
INSERT INTO `lang_definitions` VALUES (47924, 5014, 10, '感染');
INSERT INTO `lang_definitions` VALUES (47925, 5015, 10, '插入硬币');
INSERT INTO `lang_definitions` VALUES (47926, 5016, 10, '不孕症');
INSERT INTO `lang_definitions` VALUES (47927, 5017, 10, '1 型流感');
INSERT INTO `lang_definitions` VALUES (47928, 5018, 10, '2 型流感');
INSERT INTO `lang_definitions` VALUES (47929, 5019, 10, '接种流感患者> = 50岁');
INSERT INTO `lang_definitions` VALUES (47930, 5020, 10, '接种流感患者> = 50岁（CQM）');
INSERT INTO `lang_definitions` VALUES (47931, 5021, 10, '流感疫苗');
INSERT INTO `lang_definitions` VALUES (47932, 5022, 10, '信息');
INSERT INTO `lang_definitions` VALUES (47933, 5023, 10, '信息测试1');
INSERT INTO `lang_definitions` VALUES (47934, 5024, 10, '信息测试2');
INSERT INTO `lang_definitions` VALUES (47935, 5025, 10, '信息测试3');
INSERT INTO `lang_definitions` VALUES (47936, 5026, 10, '信息测试4');
INSERT INTO `lang_definitions` VALUES (47937, 5027, 10, '信息测试5');
INSERT INTO `lang_definitions` VALUES (47938, 5028, 10, '信息测试6');
INSERT INTO `lang_definitions` VALUES (47939, 5034, 10, '吸入');
INSERT INTO `lang_definitions` VALUES (47940, 5036, 10, 'inhilations');
INSERT INTO `lang_definitions` VALUES (47941, 5039, 10, '首位使用者');
INSERT INTO `lang_definitions` VALUES (47942, 5041, 10, '损伤/康复');
INSERT INTO `lang_definitions` VALUES (47943, 5042, 10, '注射剂');
INSERT INTO `lang_definitions` VALUES (47944, 5043, 10, '注射剂');
INSERT INTO `lang_definitions` VALUES (47945, 5044, 10, '受伤的身体部位');
INSERT INTO `lang_definitions` VALUES (47946, 5045, 10, '受伤的');
INSERT INTO `lang_definitions` VALUES (47947, 5046, 10, '受伤');
INSERT INTO `lang_definitions` VALUES (47948, 5047, 10, '损伤机理');
INSERT INTO `lang_definitions` VALUES (47949, 5048, 10, '损伤报告');
INSERT INTO `lang_definitions` VALUES (47950, 5049, 10, '损伤监测');
INSERT INTO `lang_definitions` VALUES (47951, 5050, 10, '损伤类型');
INSERT INTO `lang_definitions` VALUES (47952, 5051, 10, '损伤/疾病有关');
INSERT INTO `lang_definitions` VALUES (47953, 5056, 10, '输入字段');
INSERT INTO `lang_definitions` VALUES (47954, 5057, 10, '印度卢比');
INSERT INTO `lang_definitions` VALUES (47955, 5061, 10, '插件调整');
INSERT INTO `lang_definitions` VALUES (47956, 5062, 10, '插件捆绑');
INSERT INTO `lang_definitions` VALUES (47957, 5063, 10, '插件代码');
INSERT INTO `lang_definitions` VALUES (47958, 5066, 10, '插件多缴');
INSERT INTO `lang_definitions` VALUES (47959, 5068, 10, '移民局退款');
INSERT INTO `lang_definitions` VALUES (47960, 5069, 10, '移民局摘要');
INSERT INTO `lang_definitions` VALUES (47961, 5071, 10, '移民局1');
INSERT INTO `lang_definitions` VALUES (47962, 5072, 10, '移民局2');
INSERT INTO `lang_definitions` VALUES (47963, 5073, 10, '移民局3');
INSERT INTO `lang_definitions` VALUES (47964, 5075, 10, '插入失败：');
INSERT INTO `lang_definitions` VALUES (47965, 5079, 10, '插入到表的旧事件');
INSERT INTO `lang_definitions` VALUES (47966, 5085, 10, '失眠');
INSERT INTO `lang_definitions` VALUES (47967, 5087, 10, '检查；视察');
INSERT INTO `lang_definitions` VALUES (47968, 5088, 10, '不全脱位');
INSERT INTO `lang_definitions` VALUES (47969, 5090, 10, '安装');
INSERT INTO `lang_definitions` VALUES (47970, 5093, 10, '安装数据库');
INSERT INTO `lang_definitions` VALUES (47971, 5102, 10, '指示');
INSERT INTO `lang_definitions` VALUES (47972, 5103, 10, '指示');
INSERT INTO `lang_definitions` VALUES (47973, 5105, 10, '介绍');
INSERT INTO `lang_definitions` VALUES (47974, 5108, 10, '胰岛素依赖型客户');
INSERT INTO `lang_definitions` VALUES (47975, 5109, 10, '保险');
INSERT INTO `lang_definitions` VALUES (47976, 5110, 10, '保险');
INSERT INTO `lang_definitions` VALUES (47977, 5116, 10, '保险训练班');
INSERT INTO `lang_definitions` VALUES (47978, 5117, 10, '保险公司');
INSERT INTO `lang_definitions` VALUES (47979, 5118, 10, '保险公司');
INSERT INTO `lang_definitions` VALUES (47980, 5119, 10, '保险公司搜索/添加');
INSERT INTO `lang_definitions` VALUES (47981, 5121, 10, '保险数据');
INSERT INTO `lang_definitions` VALUES (47982, 5124, 10, '保险信息文件');
INSERT INTO `lang_definitions` VALUES (47983, 5126, 10, '保险号码');
INSERT INTO `lang_definitions` VALUES (47984, 5127, 10, '支付保证金');
INSERT INTO `lang_definitions` VALUES (47985, 5129, 10, '保险提供者');
INSERT INTO `lang_definitions` VALUES (47986, 5134, 10, '摄入总量');
INSERT INTO `lang_definitions` VALUES (47987, 5135, 10, '摄入日期');
INSERT INTO `lang_definitions` VALUES (47988, 5138, 10, '智力下降');
INSERT INTO `lang_definitions` VALUES (47989, 5149, 10, '内部错误-无选定页面');
INSERT INTO `lang_definitions` VALUES (47990, 5150, 10, '内部错误-无客户身份证明');
INSERT INTO `lang_definitions` VALUES (47991, 5151, 10, '内部错误门诊上传的文件！');
INSERT INTO `lang_definitions` VALUES (47992, 5153, 10, '内部错误');
INSERT INTO `lang_definitions` VALUES (47993, 5154, 10, 'no drug ID specified!');
INSERT INTO `lang_definitions` VALUES (47994, 5156, 10, '内部错误：索赔');
INSERT INTO `lang_definitions` VALUES (47995, 5157, 10, '内部错误：治疗');
INSERT INTO `lang_definitions` VALUES (47996, 5158, 10, '内部错误：控制或治疗丢失。');
INSERT INTO `lang_definitions` VALUES (47997, 5159, 10, '内部错误：我们不能进行治疗！');
INSERT INTO `lang_definitions` VALUES (47998, 5160, 10, '内部标识符（图）');
INSERT INTO `lang_definitions` VALUES (47999, 5163, 10, '内部转诊客户');
INSERT INTO `lang_definitions` VALUES (48000, 5164, 10, '内部时间收集');
INSERT INTO `lang_definitions` VALUES (48001, 5165, 10, '国际责任');
INSERT INTO `lang_definitions` VALUES (48002, 5167, 10, '译员，口译者');
INSERT INTO `lang_definitions` VALUES (48003, 5168, 10, '需要口译？');
INSERT INTO `lang_definitions` VALUES (48004, 5169, 10, '间质性肺炎');
INSERT INTO `lang_definitions` VALUES (48005, 5170, 10, '间隔');
INSERT INTO `lang_definitions` VALUES (48006, 5173, 10, '介入');
INSERT INTO `lang_definitions` VALUES (48007, 5175, 10, '耐受');
INSERT INTO `lang_definitions` VALUES (48008, 5178, 10, '肌肉的');
INSERT INTO `lang_definitions` VALUES (48009, 5181, 10, '静脉注射地');
INSERT INTO `lang_definitions` VALUES (48010, 5182, 10, '介绍');
INSERT INTO `lang_definitions` VALUES (48011, 5185, 10, '存在无效字符');
INSERT INTO `lang_definitions` VALUES (48012, 5195, 10, '无效的长度');
INSERT INTO `lang_definitions` VALUES (48013, 5196, 10, '无效的非数字字符');
INSERT INTO `lang_definitions` VALUES (48014, 5197, 10, '无效或者缺失支付人来源的代码');
INSERT INTO `lang_definitions` VALUES (48015, 5200, 10, '无效服务代码');
INSERT INTO `lang_definitions` VALUES (48016, 5201, 10, '无效的源名称');
INSERT INTO `lang_definitions` VALUES (48017, 5204, 10, 'InvAmt');
INSERT INTO `lang_definitions` VALUES (48018, 5205, 10, '存货清单');
INSERT INTO `lang_definitions` VALUES (48019, 5206, 10, '清查活动');
INSERT INTO `lang_definitions` VALUES (48020, 5207, 10, '库存和销售药品和非处方药产品');
INSERT INTO `lang_definitions` VALUES (48021, 5208, 10, '存货和销售药物');
INSERT INTO `lang_definitions` VALUES (48022, 5209, 10, '此订单的详细目录不存在');
INSERT INTO `lang_definitions` VALUES (48023, 5210, 10, '盘存清单');
INSERT INTO `lang_definitions` VALUES (48024, 5211, 10, '库存事务');
INSERT INTO `lang_definitions` VALUES (48025, 5212, 10, '发票');
INSERT INTO `lang_definitions` VALUES (48026, 5213, 10, '发票');
INSERT INTO `lang_definitions` VALUES (48027, 5217, 10, '发票日期');
INSERT INTO `lang_definitions` VALUES (48028, 5219, 10, '发票无日期');
INSERT INTO `lang_definitions` VALUES (48029, 5220, 10, '发票号');
INSERT INTO `lang_definitions` VALUES (48030, 5221, 10, '发票的参考号码');
INSERT INTO `lang_definitions` VALUES (48031, 5222, 10, '如果有使用，发票的参考号码');
INSERT INTO `lang_definitions` VALUES (48032, 5223, 10, '发票的参考号码池');
INSERT INTO `lang_definitions` VALUES (48033, 5224, 10, '发票Refno池');
INSERT INTO `lang_definitions` VALUES (48034, 5226, 10, '发票：');
INSERT INTO `lang_definitions` VALUES (48035, 5237, 10, '计划生育');
INSERT INTO `lang_definitions` VALUES (48036, 5240, 10, '计划生育生殖健康数据');
INSERT INTO `lang_definitions` VALUES (48037, 5241, 10, '计生统计报告');
INSERT INTO `lang_definitions` VALUES (48038, 5242, 10, '计划生育统计');
INSERT INTO `lang_definitions` VALUES (48039, 5243, 10, '灭活脊髓灰质炎疫苗 1');
INSERT INTO `lang_definitions` VALUES (48040, 5244, 10, '灭活脊髓灰质炎疫苗 2');
INSERT INTO `lang_definitions` VALUES (48041, 5245, 10, '灭活脊髓灰质炎疫苗 3');
INSERT INTO `lang_definitions` VALUES (48042, 5246, 10, '灭活脊髓灰质炎疫苗 4');
INSERT INTO `lang_definitions` VALUES (48043, 5249, 10, '无规律心跳');
INSERT INTO `lang_definitions` VALUES (48044, 5250, 10, '兴奋性');
INSERT INTO `lang_definitions` VALUES (48045, 5251, 10, '刺激物');
INSERT INTO `lang_definitions` VALUES (48046, 5256, 10, '必填字段');
INSERT INTO `lang_definitions` VALUES (48047, 5257, 10, '是一个根节点和不可删除。');
INSERT INTO `lang_definitions` VALUES (48048, 5268, 10, '无效（十进制分数是好的）。');
INSERT INTO `lang_definitions` VALUES (48049, 5269, 10, '是使用安全模式？');
INSERT INTO `lang_definitions` VALUES (48050, 5273, 10, '是文本形式布局的翻译？');
INSERT INTO `lang_definitions` VALUES (48051, 5274, 10, '本文从列表翻译？');
INSERT INTO `lang_definitions` VALUES (48052, 5275, 10, '该文件是加密？');
INSERT INTO `lang_definitions` VALUES (48053, 5277, 10, '这是一个诊断的类型？');
INSERT INTO `lang_definitions` VALUES (48054, 5282, 10, '这是代码类型活动？');
INSERT INTO `lang_definitions` VALUES (48055, 5286, 10, '这是隐藏在收费表？');
INSERT INTO `lang_definitions` VALUES (48056, 5288, 10, '太长');
INSERT INTO `lang_definitions` VALUES (48057, 5290, 10, '发行；流出');
INSERT INTO `lang_definitions` VALUES (48058, 5291, 10, '发行物；争论点');
INSERT INTO `lang_definitions` VALUES (48059, 5292, 10, '签发日期');
INSERT INTO `lang_definitions` VALUES (48060, 5293, 10, '签发编号');
INSERT INTO `lang_definitions` VALUES (48061, 5295, 10, '签发标题');
INSERT INTO `lang_definitions` VALUES (48062, 5298, 10, '议题');
INSERT INTO `lang_definitions` VALUES (48063, 5299, 10, '问题（伤害/医疗/过敏）');
INSERT INTO `lang_definitions` VALUES (48064, 5300, 10, '议题（受伤/医疗/过敏）');
INSERT INTO `lang_definitions` VALUES (48065, 5302, 10, '问题和治疗');
INSERT INTO `lang_definitions` VALUES (48066, 5303, 10, '问题和治疗');
INSERT INTO `lang_definitions` VALUES (48067, 5308, 10, '问题没有授权');
INSERT INTO `lang_definitions` VALUES (48068, 5309, 10, '问题一部分');
INSERT INTO `lang_definitions` VALUES (48069, 5364, 10, '意大利语');
INSERT INTO `lang_definitions` VALUES (48070, 5365, 10, '项目');
INSERT INTO `lang_definitions` VALUES (48071, 5366, 10, '项目');
INSERT INTO `lang_definitions` VALUES (48072, 5369, 10, '项目负荷失败');
INSERT INTO `lang_definitions` VALUES (48073, 5370, 10, 'IU/L');
INSERT INTO `lang_definitions` VALUES (48074, 5371, 10, '宫内节育器');
INSERT INTO `lang_definitions` VALUES (48075, 5372, 10, '静脉点滴');
INSERT INTO `lang_definitions` VALUES (48076, 5375, 10, '一月');
INSERT INTO `lang_definitions` VALUES (48077, 5376, 10, '一月');
INSERT INTO `lang_definitions` VALUES (48078, 5377, 10, '日语');
INSERT INTO `lang_definitions` VALUES (48079, 5378, 10, '黄疸病');
INSERT INTO `lang_definitions` VALUES (48080, 5380, 10, '工作描述');
INSERT INTO `lang_definitions` VALUES (48081, 5381, 10, '工作卡');
INSERT INTO `lang_definitions` VALUES (48082, 5382, 10, '关节错位');
INSERT INTO `lang_definitions` VALUES (48083, 5383, 10, '关节疼痛');
INSERT INTO `lang_definitions` VALUES (48084, 5384, 10, '关节扭伤');
INSERT INTO `lang_definitions` VALUES (48085, 5385, 10, '七月');
INSERT INTO `lang_definitions` VALUES (48086, 5386, 10, '七月');
INSERT INTO `lang_definitions` VALUES (48087, 5388, 10, '六月');
INSERT INTO `lang_definitions` VALUES (48088, 5389, 10, '六月');
INSERT INTO `lang_definitions` VALUES (48089, 5390, 10, '在检查信息蓝色区域，你把你的搜索参数。您可以搜索的客户姓名，号码图表，遇到数字或日期的服务，或任何组合的这些。你也可以选择是否你想看到所有的发票，开发票，发票，或是由于（由客户）。点击搜索按钮进行搜索。');
INSERT INTO `lang_definitions` VALUES (48090, 5391, 10, '只是我');
INSERT INTO `lang_definitions` VALUES (48091, 5393, 10, '辩解');
INSERT INTO `lang_definitions` VALUES (48092, 5396, 10, '理由/保存');
INSERT INTO `lang_definitions` VALUES (48093, 5398, 10, 'K，这里是休息');
INSERT INTO `lang_definitions` VALUES (48094, 5407, 10, '关键');
INSERT INTO `lang_definitions` VALUES (48095, 5411, 10, '关键词');
INSERT INTO `lang_definitions` VALUES (48096, 5412, 10, '公斤');
INSERT INTO `lang_definitions` VALUES (48097, 5413, 10, '公斤/平方公尺');
INSERT INTO `lang_definitions` VALUES (48098, 5415, 10, '肾细胞癌');
INSERT INTO `lang_definitions` VALUES (48099, 5416, 10, '肾功能衰竭');
INSERT INTO `lang_definitions` VALUES (48100, 5417, 10, '肾脏感染');
INSERT INTO `lang_definitions` VALUES (48101, 5418, 10, '肾结石');
INSERT INTO `lang_definitions` VALUES (48102, 5419, 10, '肾移植');
INSERT INTO `lang_definitions` VALUES (48103, 5425, 10, '膝盖');
INSERT INTO `lang_definitions` VALUES (48104, 5426, 10, '膝盖问题');
INSERT INTO `lang_definitions` VALUES (48105, 5427, 10, '膝关节置换术');
INSERT INTO `lang_definitions` VALUES (48106, 5430, 10, '韩国');
INSERT INTO `lang_definitions` VALUES (48107, 5434, 10, '实验室');
INSERT INTO `lang_definitions` VALUES (48108, 5436, 10, '实验室交易所网站地址');
INSERT INTO `lang_definitions` VALUES (48109, 5437, 10, '实验室交易所网站编号');
INSERT INTO `lang_definitions` VALUES (48110, 5438, 10, '实验室外汇令牌ID');
INSERT INTO `lang_definitions` VALUES (48111, 5442, 10, '实验室查询状态');
INSERT INTO `lang_definitions` VALUES (48112, 5444, 10, '实验报告');
INSERT INTO `lang_definitions` VALUES (48113, 5445, 10, '实验结果');
INSERT INTO `lang_definitions` VALUES (48114, 5446, 10, '实验室检测结果');
INSERT INTO `lang_definitions` VALUES (48115, 5449, 10, '实验室检测结果报告');
INSERT INTO `lang_definitions` VALUES (48116, 5450, 10, '实验室服务');
INSERT INTO `lang_definitions` VALUES (48117, 5451, 10, '实验室测试结果');
INSERT INTO `lang_definitions` VALUES (48118, 5453, 10, '标签');
INSERT INTO `lang_definitions` VALUES (48119, 5454, 10, '标签不能空白');
INSERT INTO `lang_definitions` VALUES (48120, 5455, 10, '标签COLS');
INSERT INTO `lang_definitions` VALUES (48121, 5456, 10, '这种类型的标签');
INSERT INTO `lang_definitions` VALUES (48122, 5458, 10, 'LabelCols必须是一个数字1和999之间');
INSERT INTO `lang_definitions` VALUES (48123, 5459, 10, '标签');
INSERT INTO `lang_definitions` VALUES (48124, 5463, 10, '实验室');
INSERT INTO `lang_definitions` VALUES (48125, 5464, 10, '裂伤/皮肤状况');
INSERT INTO `lang_definitions` VALUES (48126, 5465, 10, '撕裂/磨损');
INSERT INTO `lang_definitions` VALUES (48127, 5471, 10, '语言');
INSERT INTO `lang_definitions` VALUES (48128, 5472, 10, '语言代码');
INSERT INTO `lang_definitions` VALUES (48129, 5473, 10, '语言定义的补充');
INSERT INTO `lang_definitions` VALUES (48130, 5474, 10, '语言界面工具');
INSERT INTO `lang_definitions` VALUES (48131, 5476, 10, '语言列表(可写、只许添加－可选项)');
INSERT INTO `lang_definitions` VALUES (48132, 5478, 10, '语言名称');
INSERT INTO `lang_definitions` VALUES (48133, 5479, 10, '语言：');
INSERT INTO `lang_definitions` VALUES (48134, 5481, 10, '老挝');
INSERT INTO `lang_definitions` VALUES (48135, 5485, 10, '上次');
INSERT INTO `lang_definitions` VALUES (48136, 5486, 10, '上次活动日期');
INSERT INTO `lang_definitions` VALUES (48137, 5489, 10, '最后发票日期：');
INSERT INTO `lang_definitions` VALUES (48138, 5491, 10, '上一个日历年');
INSERT INTO `lang_definitions` VALUES (48139, 5495, 10, '上次接触');
INSERT INTO `lang_definitions` VALUES (48140, 5506, 10, '上个月');
INSERT INTO `lang_definitions` VALUES (48141, 5507, 10, '姓');
INSERT INTO `lang_definitions` VALUES (48142, 5508, 10, '姓');
INSERT INTO `lang_definitions` VALUES (48143, 5513, 10, '姓氏：');
INSERT INTO `lang_definitions` VALUES (48144, 5517, 10, '最新评论');
INSERT INTO `lang_definitions` VALUES (48145, 5519, 10, '最后保存');
INSERT INTO `lang_definitions` VALUES (48146, 5525, 10, '最后更新');
INSERT INTO `lang_definitions` VALUES (48147, 5526, 10, '最后验证');
INSERT INTO `lang_definitions` VALUES (48148, 5527, 10, '最后门诊');
INSERT INTO `lang_definitions` VALUES (48149, 5530, 10, '晚期复发（2-12莫）');
INSERT INTO `lang_definitions` VALUES (48150, 5531, 10, '外踝');
INSERT INTO `lang_definitions` VALUES (48151, 5532, 10, '外踝：');
INSERT INTO `lang_definitions` VALUES (48152, 5533, 10, '偏侧');
INSERT INTO `lang_definitions` VALUES (48153, 5534, 10, '偏侧此过程中，如适用');
INSERT INTO `lang_definitions` VALUES (48154, 5535, 10, '横向流离失所的PMI：');
INSERT INTO `lang_definitions` VALUES (48155, 5549, 10, '布局的基础');
INSERT INTO `lang_definitions` VALUES (48156, 5551, 10, '布局编辑器');
INSERT INTO `lang_definitions` VALUES (48157, 5552, 10, '布局组');
INSERT INTO `lang_definitions` VALUES (48158, 5556, 10, '布局风格');
INSERT INTO `lang_definitions` VALUES (48159, 5558, 10, '基于布局的门诊形式');
INSERT INTO `lang_definitions` VALUES (48160, 5559, 10, '布局');
INSERT INTO `lang_definitions` VALUES (48161, 5560, 10, '磅');
INSERT INTO `lang_definitions` VALUES (48162, 5563, 10, '磅');
INSERT INTO `lang_definitions` VALUES (48163, 5571, 10, '低密度脂蛋白');
INSERT INTO `lang_definitions` VALUES (48164, 5573, 10, '留下空白，如果仍然活跃');
INSERT INTO `lang_definitions` VALUES (48165, 5574, 10, '留空以保持原有名');
INSERT INTO `lang_definitions` VALUES (48166, 5575, 10, '留空密码保持不变。');
INSERT INTO `lang_definitions` VALUES (48167, 5580, 10, '留言给');
INSERT INTO `lang_definitions` VALUES (48168, 5582, 10, '离开表格');
INSERT INTO `lang_definitions` VALUES (48169, 5583, 10, '离开通行短语留空将不加密文件');
INSERT INTO `lang_definitions` VALUES (48170, 5586, 10, '左');
INSERT INTO `lang_definitions` VALUES (48171, 5589, 10, '左耳');
INSERT INTO `lang_definitions` VALUES (48172, 5590, 10, '左耳');
INSERT INTO `lang_definitions` VALUES (48173, 5599, 10, '左：');
INSERT INTO `lang_definitions` VALUES (48174, 5600, 10, '左：');
INSERT INTO `lang_definitions` VALUES (48175, 5601, 10, '腿部疼痛/抽筋');
INSERT INTO `lang_definitions` VALUES (48176, 5602, 10, '法律');
INSERT INTO `lang_definitions` VALUES (48177, 5604, 10, '法律纸张尺寸');
INSERT INTO `lang_definitions` VALUES (48178, 5605, 10, '图例：');
INSERT INTO `lang_definitions` VALUES (48179, 5606, 10, '长度');
INSERT INTO `lang_definitions` VALUES (48180, 5607, 10, '如果没有修饰符的长度，0');
INSERT INTO `lang_definitions` VALUES (48181, 5613, 10, '小于');
INSERT INTO `lang_definitions` VALUES (48182, 5614, 10, '小于或等于');
INSERT INTO `lang_definitions` VALUES (48183, 5615, 10, '减的私人信息（写，addonly可选）');
INSERT INTO `lang_definitions` VALUES (48184, 5620, 10, '信函');
INSERT INTO `lang_definitions` VALUES (48185, 5621, 10, '信函生成器');
INSERT INTO `lang_definitions` VALUES (48186, 5622, 10, 'Letter纸张尺寸');
INSERT INTO `lang_definitions` VALUES (48187, 5623, 10, '信笺，医生迹象');
INSERT INTO `lang_definitions` VALUES (48188, 5624, 10, '信笺，客户的迹象');
INSERT INTO `lang_definitions` VALUES (48189, 5627, 10, '紧急级别');
INSERT INTO `lang_definitions` VALUES (48190, 5630, 10, '责任');
INSERT INTO `lang_definitions` VALUES (48191, 5631, 10, '责任医疗');
INSERT INTO `lang_definitions` VALUES (48192, 5633, 10, '牌照/ ID');
INSERT INTO `lang_definitions` VALUES (48193, 5639, 10, 'LicensedPrescriber最后的名字');
INSERT INTO `lang_definitions` VALUES (48194, 5640, 10, 'LicensedPrescriber非营利机构');
INSERT INTO `lang_definitions` VALUES (48195, 5641, 10, 'LicensedPrescriber的UPIN');
INSERT INTO `lang_definitions` VALUES (48196, 5644, 10, '生活方式');
INSERT INTO `lang_definitions` VALUES (48197, 5646, 10, '生活方式的地位');
INSERT INTO `lang_definitions` VALUES (48198, 5647, 10, '韧带撕裂或扭伤');
INSERT INTO `lang_definitions` VALUES (48199, 5651, 10, '极限活动');
INSERT INTO `lang_definitions` VALUES (48200, 5654, 10, '范围');
INSERT INTO `lang_definitions` VALUES (48201, 5657, 10, '链接');
INSERT INTO `lang_definitions` VALUES (48202, 5658, 10, '链接到客户');
INSERT INTO `lang_definitions` VALUES (48203, 5660, 10, '链接');
INSERT INTO `lang_definitions` VALUES (48204, 5663, 10, '链接文件');
INSERT INTO `lang_definitions` VALUES (48205, 5665, 10, '表');
INSERT INTO `lang_definitions` VALUES (48206, 5666, 10, '列表框');
INSERT INTO `lang_definitions` VALUES (48207, 5667, 10, '列表框');
INSERT INTO `lang_definitions` VALUES (48208, 5668, 10, '列表框瓦特/附加');
INSERT INTO `lang_definitions` VALUES (48209, 5669, 10, '列表框瓦特/附加');
INSERT INTO `lang_definitions` VALUES (48210, 5671, 10, '列表编辑器');
INSERT INTO `lang_definitions` VALUES (48211, 5672, 10, '名单中遇到');
INSERT INTO `lang_definitions` VALUES (48212, 5674, 10, '列表组');
INSERT INTO `lang_definitions` VALUES (48213, 5675, 10, '列表保险公司');
INSERT INTO `lang_definitions` VALUES (48214, 5677, 10, '列表中的项目，不能以数字开头。');
INSERT INTO `lang_definitions` VALUES (48215, 5678, 10, '列表项包含非法字符（S）。');
INSERT INTO `lang_definitions` VALUES (48216, 5680, 10, '名单列表');
INSERT INTO `lang_definitions` VALUES (48217, 5682, 10, '列表名称');
INSERT INTO `lang_definitions` VALUES (48218, 5683, 10, '与数字列表的名称不能启动。');
INSERT INTO `lang_definitions` VALUES (48219, 5688, 10, '名单处方');
INSERT INTO `lang_definitions` VALUES (48220, 5689, 10, '由上述国家的数据类型“选项列表。');
INSERT INTO `lang_definitions` VALUES (48221, 5690, 10, '由上述国家的数据类型“选项列表。');
INSERT INTO `lang_definitions` VALUES (48222, 5691, 10, '听力的RFC5425 TLS syslog服务器的端口。');
INSERT INTO `lang_definitions` VALUES (48223, 5693, 10, '列表');
INSERT INTO `lang_definitions` VALUES (48224, 5696, 10, '生前遗嘱');
INSERT INTO `lang_definitions` VALUES (48225, 5701, 10, '微光：');
INSERT INTO `lang_definitions` VALUES (48226, 5707, 10, '低熔点');
INSERT INTO `lang_definitions` VALUES (48227, 5709, 10, '负载定义');
INSERT INTO `lang_definitions` VALUES (48228, 5717, 10, 'LOADING');
INSERT INTO `lang_definitions` VALUES (48229, 5721, 10, '加载到数据库中的文件。这将花费一些时间...');
INSERT INTO `lang_definitions` VALUES (48230, 5723, 10, '组委会');
INSERT INTO `lang_definitions` VALUES (48231, 5724, 10, '当地');
INSERT INTO `lang_definitions` VALUES (48232, 5728, 10, '语言环境');
INSERT INTO `lang_definitions` VALUES (48233, 5729, 10, '地方');
INSERT INTO `lang_definitions` VALUES (48234, 5730, 10, '位置');
INSERT INTO `lang_definitions` VALUES (48235, 5731, 10, '位置的openemr机，并可能包含敏感数据，因此建议手动删除后，其使用的文件');
INSERT INTO `lang_definitions` VALUES (48236, 5732, 10, '这个地段的位置');
INSERT INTO `lang_definitions` VALUES (48237, 5733, 10, '地点不详');
INSERT INTO `lang_definitions` VALUES (48238, 5734, 10, '位置HylaFax等商店传真。');
INSERT INTO `lang_definitions` VALUES (48239, 5735, 10, '扫描存储的位置。');
INSERT INTO `lang_definitions` VALUES (48240, 5736, 10, '地点：');
INSERT INTO `lang_definitions` VALUES (48241, 5737, 10, '锁');
INSERT INTO `lang_definitions` VALUES (48242, 5745, 10, '登录');
INSERT INTO `lang_definitions` VALUES (48243, 5746, 10, '登录');
INSERT INTO `lang_definitions` VALUES (48244, 5749, 10, '注销');
INSERT INTO `lang_definitions` VALUES (48245, 5752, 10, '登录');
INSERT INTO `lang_definitions` VALUES (48246, 5753, 10, '登录为');
INSERT INTO `lang_definitions` VALUES (48247, 5754, 10, '登录为：');
INSERT INTO `lang_definitions` VALUES (48248, 5755, 10, '注销。');
INSERT INTO `lang_definitions` VALUES (48249, 5757, 10, '登录');
INSERT INTO `lang_definitions` VALUES (48250, 5758, 10, '登录');
INSERT INTO `lang_definitions` VALUES (48251, 5768, 10, '登出');
INSERT INTO `lang_definitions` VALUES (48252, 5769, 10, '注销');
INSERT INTO `lang_definitions` VALUES (48253, 5770, 10, '日志');
INSERT INTO `lang_definitions` VALUES (48254, 5771, 10, '日志查看器');
INSERT INTO `lang_definitions` VALUES (48255, 5776, 10, '抬头');
INSERT INTO `lang_definitions` VALUES (48256, 5777, 10, '很多');
INSERT INTO `lang_definitions` VALUES (48257, 5778, 10, '地段编号失踪！');
INSERT INTO `lang_definitions` VALUES (48258, 5779, 10, '批号');
INSERT INTO `lang_definitions` VALUES (48259, 5780, 10, '低');
INSERT INTO `lang_definitions` VALUES (48260, 5782, 10, '小腿');
INSERT INTO `lang_definitions` VALUES (48261, 5791, 10, '腰椎');
INSERT INTO `lang_definitions` VALUES (48262, 5792, 10, '午餐');
INSERT INTO `lang_definitions` VALUES (48263, 5793, 10, '午餐');
INSERT INTO `lang_definitions` VALUES (48264, 5794, 10, '肺癌');
INSERT INTO `lang_definitions` VALUES (48265, 5795, 10, '肺癌手术');
INSERT INTO `lang_definitions` VALUES (48266, 5796, 10, '肺：');
INSERT INTO `lang_definitions` VALUES (48267, 5797, 10, '肺部：');
INSERT INTO `lang_definitions` VALUES (48268, 5798, 10, '狼疮');
INSERT INTO `lang_definitions` VALUES (48269, 5804, 10, '中号');
INSERT INTO `lang_definitions` VALUES (48270, 5805, 10, '马类');
INSERT INTO `lang_definitions` VALUES (48271, 5806, 10, '马端接受流产');
INSERT INTO `lang_definitions` VALUES (48272, 5807, 10, '马统计');
INSERT INTO `lang_definitions` VALUES (48273, 5812, 10, '邮件发送');
INSERT INTO `lang_definitions` VALUES (48274, 5814, 10, '主');
INSERT INTO `lang_definitions` VALUES (48275, 5815, 10, '主要地址');
INSERT INTO `lang_definitions` VALUES (48276, 5821, 10, '热门窗格屏幕');
INSERT INTO `lang_definitions` VALUES (48277, 5824, 10, '保持积极的药物过敏名单。');
INSERT INTO `lang_definitions` VALUES (48278, 5825, 10, '保持积极的药物清单。');
INSERT INTO `lang_definitions` VALUES (48279, 5826, 10, '保持最新的问题清单，目前活跃的诊断。');
INSERT INTO `lang_definitions` VALUES (48280, 5827, 10, '修改最近的分类');
INSERT INTO `lang_definitions` VALUES (48281, 5828, 10, '新的任命');
INSERT INTO `lang_definitions` VALUES (48282, 5831, 10, '确定');
INSERT INTO `lang_definitions` VALUES (48283, 5832, 10, '分批文本文件上传到结算帐单和标记');
INSERT INTO `lang_definitions` VALUES (48284, 5834, 10, '不舒服');
INSERT INTO `lang_definitions` VALUES (48285, 5837, 10, '男性');
INSERT INTO `lang_definitions` VALUES (48286, 5838, 10, '男性避孕套');
INSERT INTO `lang_definitions` VALUES (48287, 5839, 10, '男性输精管结扎术');
INSERT INTO `lang_definitions` VALUES (48288, 5841, 10, '乳房X线照片');
INSERT INTO `lang_definitions` VALUES (48289, 5842, 10, '处理');
INSERT INTO `lang_definitions` VALUES (48290, 5850, 10, '处理翻译');
INSERT INTO `lang_definitions` VALUES (48291, 5851, 10, '管理');
INSERT INTO `lang_definitions` VALUES (48292, 5854, 10, '强制性和指定的域');
INSERT INTO `lang_definitions` VALUES (48293, 5855, 10, '强制性或特定领域，重复检查，没有搜索');
INSERT INTO `lang_definitions` VALUES (48294, 5856, 10, '强制性或特定领域，搜索和重复检查');
INSERT INTO `lang_definitions` VALUES (48295, 5859, 10, '手册');
INSERT INTO `lang_definitions` VALUES (48296, 5860, 10, '手动记录');
INSERT INTO `lang_definitions` VALUES (48297, 5864, 10, '制造商');
INSERT INTO `lang_definitions` VALUES (48298, 5870, 10, '三月');
INSERT INTO `lang_definitions` VALUES (48299, 5874, 10, '三月');
INSERT INTO `lang_definitions` VALUES (48300, 5877, 10, '婚姻状况');
INSERT INTO `lang_definitions` VALUES (48301, 5880, 10, '标记为已出账单但是略过记账');
INSERT INTO `lang_definitions` VALUES (48302, 5881, 10, '标记为已清除');
INSERT INTO `lang_definitions` VALUES (48303, 5882, 10, '标记为未出账单');
INSERT INTO `lang_definitions` VALUES (48304, 5886, 10, '标记为未清除');
INSERT INTO `lang_definitions` VALUES (48305, 5887, 10, '已婚的');
INSERT INTO `lang_definitions` VALUES (48306, 5889, 10, '面罩');
INSERT INTO `lang_definitions` VALUES (48307, 5890, 10, '发票掩码');
INSERT INTO `lang_definitions` VALUES (48308, 5891, 10, '客户标示掩码');
INSERT INTO `lang_definitions` VALUES (48309, 5892, 10, '产品标示掩码');
INSERT INTO `lang_definitions` VALUES (48310, 5894, 10, '符合');
INSERT INTO `lang_definitions` VALUES (48311, 5907, 10, '最大');
INSERT INTO `lang_definitions` VALUES (48312, 5912, 10, '右侧颚骨');
INSERT INTO `lang_definitions` VALUES (48313, 5913, 10, '最大年龄');
INSERT INTO `lang_definitions` VALUES (48314, 5914, 10, '最大字符数');
INSERT INTO `lang_definitions` VALUES (48315, 5917, 10, '最大空闲时间内注销。默认值为7200（2小时）。');
INSERT INTO `lang_definitions` VALUES (48316, 5920, 10, '最大限度的合理库存，0不适用');
INSERT INTO `lang_definitions` VALUES (48317, 5924, 10, '五月');
INSERT INTO `lang_definitions` VALUES (48318, 5926, 10, '管委会');
INSERT INTO `lang_definitions` VALUES (48319, 5927, 10, '微克');
INSERT INTO `lang_definitions` VALUES (48320, 5929, 10, '最后三个密码手段不允许更改密码时。');
INSERT INTO `lang_definitions` VALUES (48321, 5931, 10, '测量组代码');
INSERT INTO `lang_definitions` VALUES (48322, 5933, 10, '测量组代码');
INSERT INTO `lang_definitions` VALUES (48323, 5939, 10, '内踝');
INSERT INTO `lang_definitions` VALUES (48324, 5940, 10, '医疗补助');
INSERT INTO `lang_definitions` VALUES (48325, 5942, 10, '医学的/内科的');
INSERT INTO `lang_definitions` VALUES (48326, 5943, 10, '药物堕胎');
INSERT INTO `lang_definitions` VALUES (48327, 5944, 10, '医疗管理');
INSERT INTO `lang_definitions` VALUES (48328, 5946, 10, '医疗史');
INSERT INTO `lang_definitions` VALUES (48329, 5947, 10, '医疗问题');
INSERT INTO `lang_definitions` VALUES (48330, 5948, 10, '医疗问题');
INSERT INTO `lang_definitions` VALUES (48331, 5952, 10, '医疗问题');
INSERT INTO `lang_definitions` VALUES (48332, 5954, 10, '医疗问题');
INSERT INTO `lang_definitions` VALUES (48333, 5956, 10, '医学');
INSERT INTO `lang_definitions` VALUES (48334, 5957, 10, '病案＃');
INSERT INTO `lang_definitions` VALUES (48335, 5959, 10, '病案');
INSERT INTO `lang_definitions` VALUES (48336, 5961, 10, '发送的医疗记录');
INSERT INTO `lang_definitions` VALUES (48337, 5963, 10, '给出病例摘要');
INSERT INTO `lang_definitions` VALUES (48338, 5964, 10, '医疗系统');
INSERT INTO `lang_definitions` VALUES (48339, 5965, 10, '医疗类型');
INSERT INTO `lang_definitions` VALUES (48340, 5966, 10, '医学史（写，只添加可选）');
INSERT INTO `lang_definitions` VALUES (48341, 5968, 10, '医疗保险的B部分');
INSERT INTO `lang_definitions` VALUES (48342, 5969, 10, '医疗保险受益人');
INSERT INTO `lang_definitions` VALUES (48343, 5970, 10, '药物');
INSERT INTO `lang_definitions` VALUES (48344, 5971, 10, '药物过敏列表');
INSERT INTO `lang_definitions` VALUES (48345, 5973, 10, '药物列表');
INSERT INTO `lang_definitions` VALUES (48346, 5974, 10, '药物和解？');
INSERT INTO `lang_definitions` VALUES (48347, 5975, 10, '药物');
INSERT INTO `lang_definitions` VALUES (48348, 5978, 10, '药物：');
INSERT INTO `lang_definitions` VALUES (48349, 5979, 10, '内科');
INSERT INTO `lang_definitions` VALUES (48350, 5980, 10, '媒体');
INSERT INTO `lang_definitions` VALUES (48351, 5984, 10, '会员协会数据报告');
INSERT INTO `lang_definitions` VALUES (48352, 5986, 10, '记忆问题');
INSERT INTO `lang_definitions` VALUES (48353, 5987, 10, '男性');
INSERT INTO `lang_definitions` VALUES (48354, 5988, 10, '男性和女性');
INSERT INTO `lang_definitions` VALUES (48355, 5989, 10, '只有男性');
INSERT INTO `lang_definitions` VALUES (48356, 5990, 10, '月经初潮');
INSERT INTO `lang_definitions` VALUES (48357, 5991, 10, '停经期，更年期');
INSERT INTO `lang_definitions` VALUES (48358, 5992, 10, '月经');
INSERT INTO `lang_definitions` VALUES (48359, 5993, 10, '月经频率');
INSERT INTO `lang_definitions` VALUES (48360, 5994, 10, '心理疾病');
INSERT INTO `lang_definitions` VALUES (48361, 6005, 10, '消息');
INSERT INTO `lang_definitions` VALUES (48362, 6006, 10, '信息和提醒中心');
INSERT INTO `lang_definitions` VALUES (48363, 6012, 10, '发送信息');
INSERT INTO `lang_definitions` VALUES (48364, 6013, 10, '信息状态');
INSERT INTO `lang_definitions` VALUES (48365, 6018, 10, '消息');
INSERT INTO `lang_definitions` VALUES (48366, 6019, 10, '信息');
INSERT INTO `lang_definitions` VALUES (48367, 6022, 10, '今天发送的信息');
INSERT INTO `lang_definitions` VALUES (48368, 6026, 10, '方法');
INSERT INTO `lang_definitions` VALUES (48369, 6027, 10, '方法和产品');
INSERT INTO `lang_definitions` VALUES (48370, 6029, 10, '发送电子邮件的方法。');
INSERT INTO `lang_definitions` VALUES (48371, 6030, 10, '破坏性方法');
INSERT INTO `lang_definitions` VALUES (48372, 6031, 10, '墨西哥/ MexAmer的/奇卡诺');
INSERT INTO `lang_definitions` VALUES (48373, 6038, 10, '毫克');
INSERT INTO `lang_definitions` VALUES (48374, 6039, 10, '毫克/1立方厘米');
INSERT INTO `lang_definitions` VALUES (48375, 6040, 10, '毫克/2立方厘米');
INSERT INTO `lang_definitions` VALUES (48376, 6041, 10, '毫克/3立方厘米');
INSERT INTO `lang_definitions` VALUES (48377, 6042, 10, '毫克/4立方厘米');
INSERT INTO `lang_definitions` VALUES (48378, 6043, 10, '毫克/5立方厘');
INSERT INTO `lang_definitions` VALUES (48379, 6044, 10, '毫克/升');
INSERT INTO `lang_definitions` VALUES (48380, 6046, 10, '中间');
INSERT INTO `lang_definitions` VALUES (48381, 6047, 10, '名和姓之间的名字');
INSERT INTO `lang_definitions` VALUES (48382, 6048, 10, '中间名字');
INSERT INTO `lang_definitions` VALUES (48383, 6051, 10, '中级处方分析');
INSERT INTO `lang_definitions` VALUES (48384, 6052, 10, '中级处方名');
INSERT INTO `lang_definitions` VALUES (48385, 6053, 10, '中级处方姓氏');
INSERT INTO `lang_definitions` VALUES (48386, 6055, 10, '中层处方前缀');
INSERT INTO `lang_definitions` VALUES (48387, 6056, 10, '中级处方的UPIN');
INSERT INTO `lang_definitions` VALUES (48388, 6061, 10, '风采');
INSERT INTO `lang_definitions` VALUES (48389, 6062, 10, '移民和季节性工人？');
INSERT INTO `lang_definitions` VALUES (48390, 6064, 10, '移民/季节');
INSERT INTO `lang_definitions` VALUES (48391, 6065, 10, 'MIL / CU.MM');
INSERT INTO `lang_definitions` VALUES (48392, 6070, 10, 'Mime类型');
INSERT INTO `lang_definitions` VALUES (48393, 6071, 10, '分');
INSERT INTO `lang_definitions` VALUES (48394, 6072, 10, '分');
INSERT INTO `lang_definitions` VALUES (48395, 6077, 10, '最低年龄');
INSERT INTO `lang_definitions` VALUES (48396, 6080, 10, '小关节劳损+ / -滑膜炎');
INSERT INTO `lang_definitions` VALUES (48397, 6082, 10, '分钟');
INSERT INTO `lang_definitions` VALUES (48398, 6083, 10, '分钟');
INSERT INTO `lang_definitions` VALUES (48399, 6084, 10, '分钟');
INSERT INTO `lang_definitions` VALUES (48400, 6086, 10, '其他类型');
INSERT INTO `lang_definitions` VALUES (48401, 6087, 10, '杂项帐单选项');
INSERT INTO `lang_definitions` VALUES (48402, 6088, 10, '其他结算方式的医疗卫生融资- 1500');
INSERT INTO `lang_definitions` VALUES (48403, 6089, 10, '杂项帐单选项相关');
INSERT INTO `lang_definitions` VALUES (48404, 6090, 10, '杂项');
INSERT INTO `lang_definitions` VALUES (48405, 6092, 10, '丢失');
INSERT INTO `lang_definitions` VALUES (48406, 6093, 10, '丢失');
INSERT INTO `lang_definitions` VALUES (48407, 6094, 10, '缺少必要的字段');
INSERT INTO `lang_definitions` VALUES (48408, 6097, 10, '遗失费用');
INSERT INTO `lang_definitions` VALUES (48409, 6100, 10, '丢失的MODS');
INSERT INTO `lang_definitions` VALUES (48410, 6101, 10, '丢失或无效');
INSERT INTO `lang_definitions` VALUES (48411, 6103, 10, '椎间盘脱出缺失');
INSERT INTO `lang_definitions` VALUES (48412, 6104, 10, '丢失报告日期');
INSERT INTO `lang_definitions` VALUES (48413, 6105, 10, '丢失斜线付款人源代码后');
INSERT INTO `lang_definitions` VALUES (48414, 6111, 10, '混合');
INSERT INTO `lang_definitions` VALUES (48415, 6113, 10, '毫升');
INSERT INTO `lang_definitions` VALUES (48416, 6114, 10, '月/日/年');
INSERT INTO `lang_definitions` VALUES (48417, 6115, 10, '毫米/汞柱');
INSERT INTO `lang_definitions` VALUES (48418, 6116, 10, '毫米汞柱');
INSERT INTO `lang_definitions` VALUES (48419, 6117, 10, '孕产妇死亡率1');
INSERT INTO `lang_definitions` VALUES (48420, 6118, 10, '孕产妇死亡率2');
INSERT INTO `lang_definitions` VALUES (48421, 6120, 10, '移动');
INSERT INTO `lang_definitions` VALUES (48422, 6121, 10, '移动电话');
INSERT INTO `lang_definitions` VALUES (48423, 6125, 10, '修改');
INSERT INTO `lang_definitions` VALUES (48424, 6133, 10, '调节器');
INSERT INTO `lang_definitions` VALUES (48425, 6139, 10, '调节器');
INSERT INTO `lang_definitions` VALUES (48426, 6143, 10, '修改付款');
INSERT INTO `lang_definitions` VALUES (48427, 6145, 10, '修改长度');
INSERT INTO `lang_definitions` VALUES (48428, 6153, 10, '一');
INSERT INTO `lang_definitions` VALUES (48429, 6154, 10, '周一至周五');
INSERT INTO `lang_definitions` VALUES (48430, 6155, 10, 'Wed &amp; Fri');
INSERT INTO `lang_definitions` VALUES (48431, 6156, 10, '周一');
INSERT INTO `lang_definitions` VALUES (48432, 6160, 10, '月');
INSERT INTO `lang_definitions` VALUES (48433, 6161, 10, '月');
INSERT INTO `lang_definitions` VALUES (48434, 6162, 10, '按月查看');
INSERT INTO `lang_definitions` VALUES (48435, 6163, 10, '月');
INSERT INTO `lang_definitions` VALUES (48436, 6164, 10, '月收入');
INSERT INTO `lang_definitions` VALUES (48437, 6166, 10, '几个月');
INSERT INTO `lang_definitions` VALUES (48438, 6179, 10, '超过100的记录，发现。请缩小您的搜索标准。');
INSERT INTO `lang_definitions` VALUES (48439, 6180, 10, '超过50的结果，请让您的搜索更具体。');
INSERT INTO `lang_definitions` VALUES (48440, 6184, 10, '大多数列标题可以点击更改排序顺序');
INSERT INTO `lang_definitions` VALUES (48441, 6186, 10, '最近从');
INSERT INTO `lang_definitions` VALUES (48442, 6189, 10, '从最新的生命迹象：');
INSERT INTO `lang_definitions` VALUES (48443, 6190, 10, '母亲');
INSERT INTO `lang_definitions` VALUES (48444, 6191, 10, '母亲姓名');
INSERT INTO `lang_definitions` VALUES (48445, 6195, 10, '口');
INSERT INTO `lang_definitions` VALUES (48446, 6196, 10, '移动');
INSERT INTO `lang_definitions` VALUES (48447, 6197, 10, '移动文件类型');
INSERT INTO `lang_definitions` VALUES (48448, 6198, 10, '下移');
INSERT INTO `lang_definitions` VALUES (48449, 6201, 10, '移动客户');
INSERT INTO `lang_definitions` VALUES (48450, 6202, 10, '移动到');
INSERT INTO `lang_definitions` VALUES (48451, 6203, 10, '上移');
INSERT INTO `lang_definitions` VALUES (48452, 6209, 10, '先生');
INSERT INTO `lang_definitions` VALUES (48453, 6215, 10, '女士');
INSERT INTO `lang_definitions` VALUES (48454, 6217, 10, '小姐');
INSERT INTO `lang_definitions` VALUES (48455, 6226, 10, 'MSP代码');
INSERT INTO `lang_definitions` VALUES (48456, 6230, 10, '多语工具');
INSERT INTO `lang_definitions` VALUES (48457, 6234, 10, '多个地区');
INSERT INTO `lang_definitions` VALUES (48458, 6237, 10, '多个地段');
INSERT INTO `lang_definitions` VALUES (48459, 6238, 10, '多个修饰符可以由逗号分隔或空间，最大4（M 1：平方米：立方米：M 4）');
INSERT INTO `lang_definitions` VALUES (48460, 6242, 10, '多种族');
INSERT INTO `lang_definitions` VALUES (48461, 6243, 10, '杂音');
INSERT INTO `lang_definitions` VALUES (48462, 6244, 10, '肌肉疼痛');
INSERT INTO `lang_definitions` VALUES (48463, 6245, 10, '肌肉疼痛');
INSERT INTO `lang_definitions` VALUES (48464, 6246, 10, '肌肉发红');
INSERT INTO `lang_definitions` VALUES (48465, 6247, 10, '肌肉僵硬');
INSERT INTO `lang_definitions` VALUES (48466, 6248, 10, '肌肉肿胀');
INSERT INTO `lang_definitions` VALUES (48467, 6249, 10, '肌肉温度');
INSERT INTO `lang_definitions` VALUES (48468, 6250, 10, '肌肉');
INSERT INTO `lang_definitions` VALUES (48469, 6251, 10, '肌肉损伤');
INSERT INTO `lang_definitions` VALUES (48470, 6252, 10, '肌肉骨骼');
INSERT INTO `lang_definitions` VALUES (48471, 6256, 10, '如果不使用SM TP认证必须是空的。');
INSERT INTO `lang_definitions` VALUES (48472, 6259, 10, '共同定义');
INSERT INTO `lang_definitions` VALUES (48473, 6260, 10, '机械振荡分析');
INSERT INTO `lang_definitions` VALUES (48474, 6267, 10, '我自己的');
INSERT INTO `lang_definitions` VALUES (48475, 6271, 10, '不适合');
INSERT INTO `lang_definitions` VALUES (48476, 6272, 10, '不适合');
INSERT INTO `lang_definitions` VALUES (48477, 6274, 10, '名字');
INSERT INTO `lang_definitions` VALUES (48478, 6276, 10, '名称（查看更多）');
INSERT INTO `lang_definitions` VALUES (48479, 6278, 10, '名字1');
INSERT INTO `lang_definitions` VALUES (48480, 6279, 10, '名字2');
INSERT INTO `lang_definitions` VALUES (48481, 6280, 10, '姓名与头衔的免疫系统管理员');
INSERT INTO `lang_definitions` VALUES (48482, 6284, 10, '活动名称');
INSERT INTO `lang_definitions` VALUES (48483, 6285, 10, '保险公司名称');
INSERT INTO `lang_definitions` VALUES (48484, 6286, 10, '服务人员名称');
INSERT INTO `lang_definitions` VALUES (48485, 6287, 10, '客户提醒发件人名称');
INSERT INTO `lang_definitions` VALUES (48486, 6294, 10, '翻译名称');
INSERT INTO `lang_definitions` VALUES (48487, 6295, 10, '名称/内容');
INSERT INTO `lang_definitions` VALUES (48488, 6296, 10, '名称：');
INSERT INTO `lang_definitions` VALUES (48489, 6300, 10, '鼻腔：');
INSERT INTO `lang_definitions` VALUES (48490, 6301, 10, '鼻腔：右侧正常');
INSERT INTO `lang_definitions` VALUES (48491, 6304, 10, '鼻粘膜粉红色，隔中线');
INSERT INTO `lang_definitions` VALUES (48492, 6305, 10, '国家债券');
INSERT INTO `lang_definitions` VALUES (48493, 6308, 10, '国家债券配置');
INSERT INTO `lang_definitions` VALUES (48494, 6310, 10, '国籍');
INSERT INTO `lang_definitions` VALUES (48495, 6311, 10, '国家债券');
INSERT INTO `lang_definitions` VALUES (48496, 6313, 10, '夏威夷原住民和其他太平洋岛民');
INSERT INTO `lang_definitions` VALUES (48497, 6319, 10, '反胃恶心');
INSERT INTO `lang_definitions` VALUES (48498, 6322, 10, '导航');
INSERT INTO `lang_definitions` VALUES (48499, 6323, 10, '导航区包括遇到的形式');
INSERT INTO `lang_definitions` VALUES (48500, 6324, 10, '导航区采用全高框架');
INSERT INTO `lang_definitions` VALUES (48501, 6325, 10, '区域导航门诊');
INSERT INTO `lang_definitions` VALUES (48502, 6326, 10, '导航区宽度');
INSERT INTO `lang_definitions` VALUES (48503, 6328, 10, '导航菜单包括对单选按钮');
INSERT INTO `lang_definitions` VALUES (48504, 6329, 10, '导航菜单树视图');
INSERT INTO `lang_definitions` VALUES (48505, 6330, 10, '导航用滑动菜单');
INSERT INTO `lang_definitions` VALUES (48506, 6334, 10, '规格化设备坐标');
INSERT INTO `lang_definitions` VALUES (48507, 6336, 10, '规格化设备坐标号码');
INSERT INTO `lang_definitions` VALUES (48508, 6348, 10, '颈部');
INSERT INTO `lang_definitions` VALUES (48509, 6349, 10, '颈部问题');
INSERT INTO `lang_definitions` VALUES (48510, 6350, 10, '颈部柔软');
INSERT INTO `lang_definitions` VALUES (48511, 6352, 10, '需要输入一个描述');
INSERT INTO `lang_definitions` VALUES (48512, 6353, 10, '需要输入一个返回值');
INSERT INTO `lang_definitions` VALUES (48513, 6354, 10, '需要输入标识符');
INSERT INTO `lang_definitions` VALUES (48514, 6355, 10, '需要输入标题');
INSERT INTO `lang_definitions` VALUES (48515, 6358, 10, '需要验证');
INSERT INTO `lang_definitions` VALUES (48516, 6359, 10, '需要对齐');
INSERT INTO `lang_definitions` VALUES (48517, 6360, 10, '需要二次计费');
INSERT INTO `lang_definitions` VALUES (48518, 6361, 10, '阴性');
INSERT INTO `lang_definitions` VALUES (48519, 6363, 10, '阴性');
INSERT INTO `lang_definitions` VALUES (48520, 6369, 10, '神经损伤');
INSERT INTO `lang_definitions` VALUES (48521, 6371, 10, '神经/神经损害');
INSERT INTO `lang_definitions` VALUES (48522, 6373, 10, '神经麻木');
INSERT INTO `lang_definitions` VALUES (48523, 6374, 10, '神经虚弱');
INSERT INTO `lang_definitions` VALUES (48524, 6377, 10, '神经系统');
INSERT INTO `lang_definitions` VALUES (48525, 6381, 10, '从不');
INSERT INTO `lang_definitions` VALUES (48526, 6382, 10, '从不喝酒');
INSERT INTO `lang_definitions` VALUES (48527, 6383, 10, '从不吸烟');
INSERT INTO `lang_definitions` VALUES (48528, 6384, 10, '新');
INSERT INTO `lang_definitions` VALUES (48529, 6385, 10, '新=>');
INSERT INTO `lang_definitions` VALUES (48530, 6386, 10, '新的受体');
INSERT INTO `lang_definitions` VALUES (48531, 6388, 10, '新过敏');
INSERT INTO `lang_definitions` VALUES (48532, 6390, 10, '新的任命');
INSERT INTO `lang_definitions` VALUES (48533, 6391, 10, '新类型');
INSERT INTO `lang_definitions` VALUES (48534, 6392, 10, '新类型');
INSERT INTO `lang_definitions` VALUES (48535, 6393, 10, '新客户');
INSERT INTO `lang_definitions` VALUES (48536, 6394, 10, '新的咨询');
INSERT INTO `lang_definitions` VALUES (48537, 6395, 10, '新作物');
INSERT INTO `lang_definitions` VALUES (48538, 6396, 10, '新的定义设置添加');
INSERT INTO `lang_definitions` VALUES (48539, 6397, 10, '新建文档');
INSERT INTO `lang_definitions` VALUES (48540, 6401, 10, '新的治疗');
INSERT INTO `lang_definitions` VALUES (48541, 6402, 10, '创建新的治疗编号');
INSERT INTO `lang_definitions` VALUES (48542, 6403, 10, '新的治疗表格');
INSERT INTO `lang_definitions` VALUES (48543, 6404, 10, '新的治疗未授权');
INSERT INTO `lang_definitions` VALUES (48544, 6405, 10, '新Enctr');
INSERT INTO `lang_definitions` VALUES (48545, 6406, 10, '新的设施信息');
INSERT INTO `lang_definitions` VALUES (48546, 6410, 10, '新组');
INSERT INTO `lang_definitions` VALUES (48547, 6413, 10, '新组信息');
INSERT INTO `lang_definitions` VALUES (48548, 6422, 10, '新损伤/状态');
INSERT INTO `lang_definitions` VALUES (48549, 6425, 10, '事件新的限制');
INSERT INTO `lang_definitions` VALUES (48550, 6426, 10, '新表格');
INSERT INTO `lang_definitions` VALUES (48551, 6432, 10, '新医嘱');
INSERT INTO `lang_definitions` VALUES (48552, 6433, 10, '新段落');
INSERT INTO `lang_definitions` VALUES (48553, 6434, 10, '新密码');
INSERT INTO `lang_definitions` VALUES (48554, 6435, 10, '新客户');
INSERT INTO `lang_definitions` VALUES (48555, 6436, 10, '新客户');
INSERT INTO `lang_definitions` VALUES (48556, 6437, 10, '新客户治疗');
INSERT INTO `lang_definitions` VALUES (48557, 6438, 10, '新客户表格');
INSERT INTO `lang_definitions` VALUES (48558, 6439, 10, '新客户编号');
INSERT INTO `lang_definitions` VALUES (48559, 6442, 10, '新的付款方式');
INSERT INTO `lang_definitions` VALUES (48560, 6445, 10, '新客户');
INSERT INTO `lang_definitions` VALUES (48561, 6447, 10, '实验室新成果');
INSERT INTO `lang_definitions` VALUES (48562, 6448, 10, '新搜索');
INSERT INTO `lang_definitions` VALUES (48563, 6449, 10, '新的提名');
INSERT INTO `lang_definitions` VALUES (48564, 6451, 10, '新用户');
INSERT INTO `lang_definitions` VALUES (48565, 6453, 10, '新门诊');
INSERT INTO `lang_definitions` VALUES (48566, 6454, 10, '新/搜索');
INSERT INTO `lang_definitions` VALUES (48567, 6455, 10, 'NewCrop帐户状态');
INSERT INTO `lang_definitions` VALUES (48568, 6456, 10, 'NewCrop管理');
INSERT INTO `lang_definitions` VALUES (48569, 6457, 10, 'NewCrop呼叫失败');
INSERT INTO `lang_definitions` VALUES (48570, 6458, 10, 'NewCrop一声');
INSERT INTO `lang_definitions` VALUES (48571, 6463, 10, 'NewCrop ERX名字');
INSERT INTO `lang_definitions` VALUES (48572, 6464, 10, 'NewCrop ERX合作伙伴名字');
INSERT INTO `lang_definitions` VALUES (48573, 6465, 10, 'NewCrop ERX密码');
INSERT INTO `lang_definitions` VALUES (48574, 6466, 10, 'NewCrop ERX的角色');
INSERT INTO `lang_definitions` VALUES (48575, 6467, 10, 'NewCrop ERX的角色');
INSERT INTO `lang_definitions` VALUES (48576, 6468, 10, 'NewCrop ERX网站地址');
INSERT INTO `lang_definitions` VALUES (48577, 6473, 10, 'NewCrop ERX网络服务地址');
INSERT INTO `lang_definitions` VALUES (48578, 6474, 10, 'NewCrop ERX经理');
INSERT INTO `lang_definitions` VALUES (48579, 6475, 10, 'NewCrop ERX MedEntry');
INSERT INTO `lang_definitions` VALUES (48580, 6476, 10, 'NewCrop ERX中级处方');
INSERT INTO `lang_definitions` VALUES (48581, 6477, 10, 'NewCrop ERX护士');
INSERT INTO `lang_definitions` VALUES (48582, 6478, 10, 'NewCrop ERX监督医生');
INSERT INTO `lang_definitions` VALUES (48583, 6481, 10, '报纸');
INSERT INTO `lang_definitions` VALUES (48584, 6482, 10, '下一个');
INSERT INTO `lang_definitions` VALUES (48585, 6484, 10, '第二天');
INSERT INTO `lang_definitions` VALUES (48586, 6485, 10, '下个月');
INSERT INTO `lang_definitions` VALUES (48587, 6486, 10, '下个月（按住菜单）');
INSERT INTO `lang_definitions` VALUES (48588, 6491, 10, '下周');
INSERT INTO `lang_definitions` VALUES (48589, 6492, 10, '明年（按住菜单）');
INSERT INTO `lang_definitions` VALUES (48590, 6494, 10, '昵称');
INSERT INTO `lang_definitions` VALUES (48591, 6496, 10, '盗汗');
INSERT INTO `lang_definitions` VALUES (48592, 6499, 10, '否');
INSERT INTO `lang_definitions` VALUES (48593, 6500, 10, '否');
INSERT INTO `lang_definitions` VALUES (48594, 6502, 10, '禁止存取');
INSERT INTO `lang_definitions` VALUES (48595, 6503, 10, '没有启动疗程客户的提醒。');
INSERT INTO `lang_definitions` VALUES (48596, 6505, 10, '没有调整的原因类型的发现');
INSERT INTO `lang_definitions` VALUES (48597, 6509, 10, '没有预约');
INSERT INTO `lang_definitions` VALUES (48598, 6515, 10, '没有计费系统是目前活跃');
INSERT INTO `lang_definitions` VALUES (48599, 6517, 10, '没有发现包括在产品出口');
INSERT INTO `lang_definitions` VALUES (48600, 6519, 10, '没有代码指定！');
INSERT INTO `lang_definitions` VALUES (48601, 6523, 10, '没有诊断');
INSERT INTO `lang_definitions` VALUES (48602, 6526, 10, '没有诊断档案');
INSERT INTO `lang_definitions` VALUES (48603, 6529, 10, '没有结束日期');
INSERT INTO `lang_definitions` VALUES (48604, 6530, 10, '未找到任何条目，请使用下面的表格添加条目。');
INSERT INTO `lang_definitions` VALUES (48605, 6531, 10, '没有找到错误');
INSERT INTO `lang_definitions` VALUES (48606, 6532, 10, '没有事件');
INSERT INTO `lang_definitions` VALUES (48607, 6536, 10, '没有被选中');
INSERT INTO `lang_definitions` VALUES (48608, 6537, 10, '没有疝气');
INSERT INTO `lang_definitions` VALUES (48609, 6540, 10, '没有伤害/疾病');
INSERT INTO `lang_definitions` VALUES (48610, 6541, 10, '没有保险公司');
INSERT INTO `lang_definitions` VALUES (48611, 6544, 10, '没有问题');
INSERT INTO `lang_definitions` VALUES (48612, 6546, 10, '没有项目在选定的类别');
INSERT INTO `lang_definitions` VALUES (48613, 6547, 10, '没有一项被选中！');
INSERT INTO `lang_definitions` VALUES (48614, 6562, 10, '没有日志文件存在选定日期');
INSERT INTO `lang_definitions` VALUES (48615, 6565, 10, '没有肿块，压痛');
INSERT INTO `lang_definitions` VALUES (48616, 6566, 10, '对于所有在识别代码，没有发现符合的客户');
INSERT INTO `lang_definitions` VALUES (48617, 6569, 10, '没有发现匹配。');
INSERT INTO `lang_definitions` VALUES (48618, 6570, 10, '没有发现匹配。创建新的客户吗？');
INSERT INTO `lang_definitions` VALUES (48619, 6577, 10, '没有发现新的研究成果');
INSERT INTO `lang_definitions` VALUES (48620, 6578, 10, '没有备注');
INSERT INTO `lang_definitions` VALUES (48621, 6579, 10, '没有器官肿大');
INSERT INTO `lang_definitions` VALUES (48622, 6580, 10, '没有被发现的这一时期。');
INSERT INTO `lang_definitions` VALUES (48623, 6583, 10, '没有其他的电话号码列');
INSERT INTO `lang_definitions` VALUES (48624, 6585, 10, '没有找到合作伙伴');
INSERT INTO `lang_definitions` VALUES (48625, 6586, 10, '没有客户记录发现特定的选择标准');
INSERT INTO `lang_definitions` VALUES (48626, 6587, 10, '没有客户记录发现对于给定的重新识别代码');
INSERT INTO `lang_definitions` VALUES (48627, 6588, 10, '无周边水肿');
INSERT INTO `lang_definitions` VALUES (48628, 6589, 10, '没有找到药房');
INSERT INTO `lang_definitions` VALUES (48629, 6590, 10, '没有找到处方');
INSERT INTO `lang_definitions` VALUES (48630, 6592, 10, '没有呈现疾病/损伤');
INSERT INTO `lang_definitions` VALUES (48631, 6593, 10, '没有以前的作品。');
INSERT INTO `lang_definitions` VALUES (48632, 6594, 10, '没有经营实体，设施清单中选择');
INSERT INTO `lang_definitions` VALUES (48633, 6598, 10, '没有提供发现');
INSERT INTO `lang_definitions` VALUES (48634, 6599, 10, '没有皮疹或异常病变');
INSERT INTO `lang_definitions` VALUES (48635, 6602, 10, '没有找到记录');
INSERT INTO `lang_definitions` VALUES (48636, 6604, 10, '没有找到记录。请扩大您的搜索条件。');
INSERT INTO `lang_definitions` VALUES (48637, 6607, 10, '没有提醒');
INSERT INTO `lang_definitions` VALUES (48638, 6608, 10, '没有结果发现，上述搜索条件。');
INSERT INTO `lang_definitions` VALUES (48639, 6609, 10, '没有结果');
INSERT INTO `lang_definitions` VALUES (48640, 6612, 10, '对于搜索没有找到结果');
INSERT INTO `lang_definitions` VALUES (48641, 6613, 10, '找不到结果，请再试一次。');
INSERT INTO `lang_definitions` VALUES (48642, 6614, 10, '没有结果，请再次托盘。');
INSERT INTO `lang_definitions` VALUES (48643, 6615, 10, '没有结果，请再试一次。');
INSERT INTO `lang_definitions` VALUES (48644, 6618, 10, '没有展示');
INSERT INTO `lang_definitions` VALUES (48645, 6622, 10, '无窦嫩：');
INSERT INTO `lang_definitions` VALUES (48646, 6623, 10, '没有皮肤压痕或乳腺结节');
INSERT INTO `lang_definitions` VALUES (48647, 6624, 10, '没有这样的上下文名称');
INSERT INTO `lang_definitions` VALUES (48648, 6626, 10, '没有睾丸触痛，群众');
INSERT INTO `lang_definitions` VALUES (48649, 6628, 10, '没有惊险刺激或抛掷');
INSERT INTO `lang_definitions` VALUES (48650, 6632, 10, '没有门诊');
INSERT INTO `lang_definitions` VALUES (48651, 6633, 10, '命脉已被记录在案。');
INSERT INTO `lang_definitions` VALUES (48652, 6634, 10, '不，取消');
INSERT INTO `lang_definitions` VALUES (48653, 6635, 10, '包括自动的无过失保险是小学');
INSERT INTO `lang_definitions` VALUES (48654, 6636, 10, '编号：');
INSERT INTO `lang_definitions` VALUES (48655, 6637, 10, '夜尿');
INSERT INTO `lang_definitions` VALUES (48656, 6638, 10, '非付费');
INSERT INTO `lang_definitions` VALUES (48657, 6640, 10, '非报告的报告');
INSERT INTO `lang_definitions` VALUES (48658, 6641, 10, '非特异性损伤');
INSERT INTO `lang_definitions` VALUES (48659, 6642, 10, '非电子');
INSERT INTO `lang_definitions` VALUES (48660, 6643, 10, '非胰岛素依赖型糖尿病');
INSERT INTO `lang_definitions` VALUES (48661, 6646, 10, '非生殖健康医疗');
INSERT INTO `lang_definitions` VALUES (48662, 6647, 10, '非生殖健康的非医疗');
INSERT INTO `lang_definitions` VALUES (48663, 6648, 10, '没有');
INSERT INTO `lang_definitions` VALUES (48664, 6649, 10, '没有');
INSERT INTO `lang_definitions` VALUES (48665, 6650, 10, '没有定义');
INSERT INTO `lang_definitions` VALUES (48666, 6652, 10, '没有被记录在案');
INSERT INTO `lang_definitions` VALUES (48667, 6653, 10, '以上皆非');
INSERT INTO `lang_definitions` VALUES (48668, 6654, 10, '顶配行没有能够完全地空白。');
INSERT INTO `lang_definitions` VALUES (48669, 6683, 10, '非胰岛素依赖型');
INSERT INTO `lang_definitions` VALUES (48670, 6684, 10, '也不');
INSERT INTO `lang_definitions` VALUES (48671, 6685, 10, '正常');
INSERT INTO `lang_definitions` VALUES (48672, 6687, 10, '正常的“基本法”');
INSERT INTO `lang_definitions` VALUES (48673, 6688, 10, '心脏正常考试：');
INSERT INTO `lang_definitions` VALUES (48674, 6689, 10, '心脏正常考试：');
INSERT INTO `lang_definitions` VALUES (48675, 6690, 10, '正常肺组织考试：');
INSERT INTO `lang_definitions` VALUES (48676, 6691, 10, '正常肺组织考试：');
INSERT INTO `lang_definitions` VALUES (48677, 6692, 10, '普通办公室门诊');
INSERT INTO `lang_definitions` VALUES (48678, 6693, 10, '正常口咽：');
INSERT INTO `lang_definitions` VALUES (48679, 6694, 10, '正常吗');
INSERT INTO `lang_definitions` VALUES (48680, 6695, 10, '正常右：');
INSERT INTO `lang_definitions` VALUES (48681, 6696, 10, '普通视图');
INSERT INTO `lang_definitions` VALUES (48682, 6697, 10, '正常情况：');
INSERT INTO `lang_definitions` VALUES (48683, 6698, 10, '通常，这应该被选中。不相关的门诊控制。');
INSERT INTO `lang_definitions` VALUES (48684, 6701, 10, '挪威');
INSERT INTO `lang_definitions` VALUES (48685, 6705, 10, '鼻子');
INSERT INTO `lang_definitions` VALUES (48686, 6706, 10, '鼻血');
INSERT INTO `lang_definitions` VALUES (48687, 6707, 10, '不是一个字母或数字');
INSERT INTO `lang_definitions` VALUES (48688, 6710, 10, '并不是所有的领域都需要所有的代码或代码类型。');
INSERT INTO `lang_definitions` VALUES (48689, 6712, 10, '不允许');
INSERT INTO `lang_definitions` VALUES (48690, 6713, 10, '不允许删除Administrators组');
INSERT INTO `lang_definitions` VALUES (48691, 6714, 10, '不允许编辑');
INSERT INTO `lang_definitions` VALUES (48692, 6715, 10, '不允许灭活所有安全对象');
INSERT INTO `lang_definitions` VALUES (48693, 6716, 10, '不允许任何灭活从管理员ACL');
INSERT INTO `lang_definitions` VALUES (48694, 6717, 10, '不允许从Administrators组删除admin用户');
INSERT INTO `lang_definitions` VALUES (48695, 6718, 10, '不允许从Administrators组删除该用户');
INSERT INTO `lang_definitions` VALUES (48696, 6720, 10, '未经授权门诊PostCalendar模块');
INSERT INTO `lang_definitions` VALUES (48697, 6721, 10, '未经授权');
INSERT INTO `lang_definitions` VALUES (48698, 6722, 10, '未经授权');
INSERT INTO `lang_definitions` VALUES (48699, 6723, 10, '这支球队没有授权！');
INSERT INTO `lang_definitions` VALUES (48700, 6724, 10, '这支球队没有授权。');
INSERT INTO `lang_definitions` VALUES (48701, 6729, 10, '不提供');
INSERT INTO `lang_definitions` VALUES (48702, 6731, 10, '不收费');
INSERT INTO `lang_definitions` VALUES (48703, 6732, 10, '不检查');
INSERT INTO `lang_definitions` VALUES (48704, 6733, 10, '未签出');
INSERT INTO `lang_definitions` VALUES (48705, 6736, 10, '不因');
INSERT INTO `lang_definitions` VALUES (48706, 6738, 10, '不检查');
INSERT INTO `lang_definitions` VALUES (48707, 6739, 10, '不检查：');
INSERT INTO `lang_definitions` VALUES (48708, 6740, 10, '不检查：');
INSERT INTO `lang_definitions` VALUES (48709, 6742, 10, '未找到');
INSERT INTO `lang_definitions` VALUES (48710, 6744, 10, '没有找到！');
INSERT INTO `lang_definitions` VALUES (48711, 6745, 10, '非西班牙裔或拉丁裔');
INSERT INTO `lang_definitions` VALUES (48712, 6751, 10, '以来从未见过');
INSERT INTO `lang_definitions` VALUES (48713, 6753, 10, '不发了');
INSERT INTO `lang_definitions` VALUES (48714, 6755, 10, '未指定。');
INSERT INTO `lang_definitions` VALUES (48715, 6758, 10, '注意');
INSERT INTO `lang_definitions` VALUES (48716, 6760, 10, '注意代码');
INSERT INTO `lang_definitions` VALUES (48717, 6762, 10, '注意将需要5-10分钟充分处理后，你点击安装');
INSERT INTO `lang_definitions` VALUES (48718, 6763, 10, '注意将需要5-10分钟充分处理后，单击“升级”');
INSERT INTO `lang_definitions` VALUES (48719, 6764, 10, '请注意，审计记录需要启用以上');
INSERT INTO `lang_definitions` VALUES (48720, 6771, 10, '注类型');
INSERT INTO `lang_definitions` VALUES (48721, 6780, 10, '注：此代码没有被授权的用户。只有授权的代码可以被上传到开放的医疗帐单处理网络。如果你想上传这些代码，请选择一个授权的用户在这里。');
INSERT INTO `lang_definitions` VALUES (48722, 6783, 10, '注：上传文件和重复的名字将导致文件被自动地重新命名（例如，file.jpg将成为文件。1版。）。文件名被认为是独特的每个客户，而不是每类。');
INSERT INTO `lang_definitions` VALUES (48723, 6784, 10, '注：上传文件和重复的名字将导致文件被自动更名。例如“< >图片文件。< / > \'将成为“< >文件。2。1 < / > \'。文件名被认为是独特的每个客户，而不是每类。');
INSERT INTO `lang_definitions` VALUES (48724, 6785, 10, '笔记');
INSERT INTO `lang_definitions` VALUES (48725, 6788, 10, '注 – 任何接触（写，只添加可选）');
INSERT INTO `lang_definitions` VALUES (48726, 6790, 10, '注 – 我的治疗（写，只添加可选）');
INSERT INTO `lang_definitions` VALUES (48727, 6793, 10, '未授权的债券');
INSERT INTO `lang_definitions` VALUES (48728, 6796, 10, '没有记录');
INSERT INTO `lang_definitions` VALUES (48729, 6799, 10, '进口过敏无关');
INSERT INTO `lang_definitions` VALUES (48730, 6800, 10, '进口处方无关');
INSERT INTO `lang_definitions` VALUES (48731, 6804, 10, '被选中任何内容');
INSERT INTO `lang_definitions` VALUES (48732, 6808, 10, '通知:: PostCalendar提交/修改');
INSERT INTO `lang_definitions` VALUES (48733, 6809, 10, '通知');
INSERT INTO `lang_definitions` VALUES (48734, 6810, 10, '通知电子邮件地址');
INSERT INTO `lang_definitions` VALUES (48735, 6815, 10, '通知');
INSERT INTO `lang_definitions` VALUES (48736, 6816, 10, '关于事件提交/修改通知管理员吗？');
INSERT INTO `lang_definitions` VALUES (48737, 6820, 10, '十一月');
INSERT INTO `lang_definitions` VALUES (48738, 6821, 10, '十一月');
INSERT INTO `lang_definitions` VALUES (48739, 6824, 10, '现在张贴：');
INSERT INTO `lang_definitions` VALUES (48740, 6825, 10, '现在打印');
INSERT INTO `lang_definitions` VALUES (48741, 6826, 10, '现在印刷$ stmt_count报表和更新的治疗。');
INSERT INTO `lang_definitions` VALUES (48742, 6827, 10, '现在印刷$ stmt_count报表和更新的发票。');
INSERT INTO `lang_definitions` VALUES (48743, 6828, 10, '现在印刷$ stmt_count报表;交锋将不会被更新。');
INSERT INTO `lang_definitions` VALUES (48744, 6829, 10, '现在印刷$ stmt_count报表;发票将不会被更新。');
INSERT INTO `lang_definitions` VALUES (48745, 6834, 10, '非营利机构');
INSERT INTO `lang_definitions` VALUES (48746, 6836, 10, 'NQF');
INSERT INTO `lang_definitions` VALUES (48747, 6837, 10, '数');
INSERT INTO `lang_definitions` VALUES (48748, 6838, 10, '数实验室');
INSERT INTO `lang_definitions` VALUES (48749, 6843, 10, '今年视图中的列数。');
INSERT INTO `lang_definitions` VALUES (48750, 6850, 10, '客户端证书是有效的天数。');
INSERT INTO `lang_definitions` VALUES (48751, 6852, 10, '后小数点的货币，通常是0或2位数的号码。');
INSERT INTO `lang_definitions` VALUES (48752, 6853, 10, '数遇到每页显示。');
INSERT INTO `lang_definitions` VALUES (48753, 6855, 10, '游戏或事件的数量，如果错过了');
INSERT INTO `lang_definitions` VALUES (48754, 6856, 10, '提前发送电子邮件通知的小时数。');
INSERT INTO `lang_definitions` VALUES (48755, 6857, 10, '提前发送电话通知的小时数。');
INSERT INTO `lang_definitions` VALUES (48756, 6858, 10, '提前发送短信通知的小时数。');
INSERT INTO `lang_definitions` VALUES (48757, 6862, 10, '过去的历史，列数');
INSERT INTO `lang_definitions` VALUES (48758, 6864, 10, '麻木');
INSERT INTO `lang_definitions` VALUES (48759, 6865, 10, '分子');
INSERT INTO `lang_definitions` VALUES (48760, 6866, 10, '数字显示顺序');
INSERT INTO `lang_definitions` VALUES (48761, 6869, 10, '营养');
INSERT INTO `lang_definitions` VALUES (48762, 6871, 10, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (48763, 6872, 10, '氧气星期六');
INSERT INTO `lang_definitions` VALUES (48764, 6874, 10, '肥胖的我');
INSERT INTO `lang_definitions` VALUES (48765, 6875, 10, '肥胖二');
INSERT INTO `lang_definitions` VALUES (48766, 6876, 10, '肥胖三');
INSERT INTO `lang_definitions` VALUES (48767, 6877, 10, '目标');
INSERT INTO `lang_definitions` VALUES (48768, 6886, 10, '占用');
INSERT INTO `lang_definitions` VALUES (48769, 6889, 10, '发生');
INSERT INTO `lang_definitions` VALUES (48770, 6890, 10, '十月');
INSERT INTO `lang_definitions` VALUES (48771, 6891, 10, '十月');
INSERT INTO `lang_definitions` VALUES (48772, 6892, 10, '外径');
INSERT INTO `lang_definitions` VALUES (48773, 6895, 10, '的');
INSERT INTO `lang_definitions` VALUES (48774, 6896, 10, '数量');
INSERT INTO `lang_definitions` VALUES (48775, 6897, 10, '片剂');
INSERT INTO `lang_definitions` VALUES (48776, 6898, 10, '每月的');
INSERT INTO `lang_definitions` VALUES (48777, 6899, 10, 'OFC债券');
INSERT INTO `lang_definitions` VALUES (48778, 6900, 10, '关闭');
INSERT INTO `lang_definitions` VALUES (48779, 6907, 10, '办公室债券');
INSERT INTO `lang_definitions` VALUES (48780, 6908, 10, '办公室门诊');
INSERT INTO `lang_definitions` VALUES (48781, 6909, 10, '官方临床质量的措施（CQM）测量组');
INSERT INTO `lang_definitions` VALUES (48782, 6910, 10, '异地HTTPS链接的患者门户。');
INSERT INTO `lang_definitions` VALUES (48783, 6911, 10, '异地HTTPS链接，对客户的门户。（客户链接）');
INSERT INTO `lang_definitions` VALUES (48784, 6912, 10, '异地客户门户密码');
INSERT INTO `lang_definitions` VALUES (48785, 6913, 10, '异地患者门户密码（沽空白如果没有注册）。');
INSERT INTO `lang_definitions` VALUES (48786, 6916, 10, '异地患者门户网站地址');
INSERT INTO `lang_definitions` VALUES (48787, 6917, 10, '异地患者门户网站地址（客户链接）');
INSERT INTO `lang_definitions` VALUES (48788, 6918, 10, '异地患者门户网站用户名');
INSERT INTO `lang_definitions` VALUES (48789, 6919, 10, '异地患者门户用户名（沽空白如果没有注册）。');
INSERT INTO `lang_definitions` VALUES (48790, 6921, 10, '子孙');
INSERT INTO `lang_definitions` VALUES (48791, 6925, 10, '软膏');
INSERT INTO `lang_definitions` VALUES (48792, 6927, 10, '确定');
INSERT INTO `lang_definitions` VALUES (48793, 6930, 10, '确定连接GCAC发行日期');
INSERT INTO `lang_definitions` VALUES (48794, 6931, 10, '老');
INSERT INTO `lang_definitions` VALUES (48795, 6933, 10, '老客户');
INSERT INTO `lang_definitions` VALUES (48796, 6934, 10, '陈旧性骨折非/畸形愈合');
INSERT INTO `lang_definitions` VALUES (48797, 6935, 10, '没有左侧菜单中的旧风格布局');
INSERT INTO `lang_definitions` VALUES (48798, 6936, 10, '旧式的静态形式，没有搜索或重复检查');
INSERT INTO `lang_definitions` VALUES (48799, 6942, 10, '省略单位在客户的人口统计信息');
INSERT INTO `lang_definitions` VALUES (48800, 6943, 10, '省略单位');
INSERT INTO `lang_definitions` VALUES (48801, 6944, 10, '省略形式，路线和时间间隔，然后成为部分剂量');
INSERT INTO `lang_definitions` VALUES (48802, 6945, 10, '从人口统计表格省略保险和一些其他的事情');
INSERT INTO `lang_definitions` VALUES (48803, 6946, 10, '省略内部用户？');
INSERT INTO `lang_definitions` VALUES (48804, 6947, 10, '省略的共同薪酬面板付款方式');
INSERT INTO `lang_definitions` VALUES (48805, 6948, 10, '遗漏autoassign');
INSERT INTO `lang_definitions` VALUES (48806, 6949, 10, '上');
INSERT INTO `lang_definitions` VALUES (48807, 6950, 10, '上');
INSERT INTO `lang_definitions` VALUES (48808, 6956, 10, '手头上');
INSERT INTO `lang_definitions` VALUES (48809, 6959, 10, '关于订购');
INSERT INTO `lang_definitions` VALUES (48810, 6960, 10, '在现场');
INSERT INTO `lang_definitions` VALUES (48811, 6975, 10, '一旦主要的商业设施的设置，它不应该被改变。改变该设施将影响的工作NewCrop ePrescription。');
INSERT INTO `lang_definitions` VALUES (48812, 6979, 10, '一旦你改变你的密码，你将不得不重新登录。');
INSERT INTO `lang_definitions` VALUES (48813, 6996, 10, '在线支持');
INSERT INTO `lang_definitions` VALUES (48814, 6997, 10, '在线支持链接');
INSERT INTO `lang_definitions` VALUES (48815, 6999, 10, '只有活动');
INSERT INTO `lang_definitions` VALUES (48816, 7004, 10, '如果帐单位置');
INSERT INTO `lang_definitions` VALUES (48817, 7006, 10, '只有无效');
INSERT INTO `lang_definitions` VALUES (48818, 7007, 10, '只有矿');
INSERT INTO `lang_definitions` VALUES (48819, 7013, 10, '只上传积极的处方');
INSERT INTO `lang_definitions` VALUES (48820, 7017, 10, '疾病发作：');
INSERT INTO `lang_definitions` VALUES (48821, 7018, 10, '发病Ilness：');
INSERT INTO `lang_definitions` VALUES (48822, 7019, 10, '发病膨胀：');
INSERT INTO `lang_definitions` VALUES (48823, 7022, 10, '发病/ HOSP。日期：');
INSERT INTO `lang_definitions` VALUES (48824, 7026, 10, '上门客户门户网站地址');
INSERT INTO `lang_definitions` VALUES (48825, 7030, 10, '哎呀！');
INSERT INTO `lang_definitions` VALUES (48826, 7031, 10, '打开');
INSERT INTO `lang_definitions` VALUES (48827, 7046, 10, '今日访华');
INSERT INTO `lang_definitions` VALUES (48828, 7071, 10, 'OpenEMR已经配置证书颁发机构。');
INSERT INTO `lang_definitions` VALUES (48829, 7076, 10, 'OpenEMR数据库升级');
INSERT INTO `lang_definitions` VALUES (48830, 7077, 10, '德识别OpenEMR数据库升级');
INSERT INTO `lang_definitions` VALUES (48831, 7080, 10, 'OpenEMR必须配置使用证书之前，它可以创建客户端证书。');
INSERT INTO `lang_definitions` VALUES (48832, 7084, 10, 'OpenEMR需要Javascript执行用户身份验证。');
INSERT INTO `lang_definitions` VALUES (48833, 7085, 10, 'OpenEMR用户');
INSERT INTO `lang_definitions` VALUES (48834, 7086, 10, '开口');
INSERT INTO `lang_definitions` VALUES (48835, 7092, 10, '眼科');
INSERT INTO `lang_definitions` VALUES (48836, 7095, 10, '选项');
INSERT INTO `lang_definitions` VALUES (48837, 7098, 10, '选项，以支持产品的库存和销售');
INSERT INTO `lang_definitions` VALUES (48838, 7099, 10, '可选');
INSERT INTO `lang_definitions` VALUES (48839, 7100, 10, '身份证图像，可以从病人的摘要页面浏览可选的类别名称。');
INSERT INTO `lang_definitions` VALUES (48840, 7101, 10, '可选的类别名称，可以从病人的摘要页面浏览的照片图像。');
INSERT INTO `lang_definitions` VALUES (48841, 7102, 10, '从病人的摘要页面链接到一个文件可选的类别名称。让你点击一个病人的名字，看到他们的身份证。');
INSERT INTO `lang_definitions` VALUES (48842, 7103, 10, '结果手工录入可选的默认范围');
INSERT INTO `lang_definitions` VALUES (48843, 7104, 10, '可选的默认单位手工录入结果');
INSERT INTO `lang_definitions` VALUES (48844, 7105, 10, '可选的目的地名称');
INSERT INTO `lang_definitions` VALUES (48845, 7107, 10, '可选药物名称，使用％作为通配符');
INSERT INTO `lang_definitions` VALUES (48846, 7111, 10, '有关此事件的可选信息');
INSERT INTO `lang_definitions` VALUES (48847, 7112, 10, '可选的批号，使用一个通配符％');
INSERT INTO `lang_definitions` VALUES (48848, 7113, 10, '可选的数字病人ID');
INSERT INTO `lang_definitions` VALUES (48849, 7114, 10, '可选的程序代码');
INSERT INTO `lang_definitions` VALUES (48850, 7116, 10, '选项');
INSERT INTO `lang_definitions` VALUES (48851, 7117, 10, '或');
INSERT INTO `lang_definitions` VALUES (48852, 7118, 10, '或');
INSERT INTO `lang_definitions` VALUES (48853, 7119, 10, '或选择');
INSERT INTO `lang_definitions` VALUES (48854, 7120, 10, '或单击并拖动可进行快速选择。');
INSERT INTO `lang_definitions` VALUES (48855, 7122, 10, '或出');
INSERT INTO `lang_definitions` VALUES (48856, 7124, 10, '或Shift单击减少');
INSERT INTO `lang_definitions` VALUES (48857, 7125, 10, '或者自责文件上传：');
INSERT INTO `lang_definitions` VALUES (48858, 7127, 10, '口服');
INSERT INTO `lang_definitions` VALUES (48859, 7128, 10, '粉红色的口腔粘膜，咽喉明确');
INSERT INTO `lang_definitions` VALUES (48860, 7129, 10, '秩序');
INSERT INTO `lang_definitions` VALUES (48861, 7131, 10, '订购和结果类型');
INSERT INTO `lang_definitions` VALUES (48862, 7132, 10, '订购目录');
INSERT INTO `lang_definitions` VALUES (48863, 7133, 10, '订购日期');
INSERT INTO `lang_definitions` VALUES (48864, 7136, 10, '订购');
INSERT INTO `lang_definitions` VALUES (48865, 7138, 10, '顺序必须是一个数字1和999之间');
INSERT INTO `lang_definitions` VALUES (48866, 7140, 10, '订购产品名称');
INSERT INTO `lang_definitions` VALUES (48867, 7142, 10, '为了优先');
INSERT INTO `lang_definitions` VALUES (48868, 7143, 10, '订单处理');
INSERT INTO `lang_definitions` VALUES (48869, 7147, 10, '订单状态');
INSERT INTO `lang_definitions` VALUES (48870, 7150, 10, '订单类型');
INSERT INTO `lang_definitions` VALUES (48871, 7152, 10, '订单/结果类型');
INSERT INTO `lang_definitions` VALUES (48872, 7153, 10, '订购');
INSERT INTO `lang_definitions` VALUES (48873, 7159, 10, '排列提供商');
INSERT INTO `lang_definitions` VALUES (48874, 7166, 10, '器官损伤');
INSERT INTO `lang_definitions` VALUES (48875, 7167, 10, '组织');
INSERT INTO `lang_definitions` VALUES (48876, 7168, 10, '组织名称');
INSERT INTO `lang_definitions` VALUES (48877, 7169, 10, '组织单位名称');
INSERT INTO `lang_definitions` VALUES (48878, 7170, 10, '组织');
INSERT INTO `lang_definitions` VALUES (48879, 7171, 10, '面向×3');
INSERT INTO `lang_definitions` VALUES (48880, 7175, 10, '原');
INSERT INTO `lang_definitions` VALUES (48881, 7181, 10, '口咽：');
INSERT INTO `lang_definitions` VALUES (48882, 7184, 10, '端坐呼吸');
INSERT INTO `lang_definitions` VALUES (48883, 7188, 10, '操作系统');
INSERT INTO `lang_definitions` VALUES (48884, 7189, 10, '骨性关节炎');
INSERT INTO `lang_definitions` VALUES (48885, 7193, 10, '其他');
INSERT INTO `lang_definitions` VALUES (48886, 7194, 10, '其他');
INSERT INTO `lang_definitions` VALUES (48887, 7196, 10, '其他（请注明）');
INSERT INTO `lang_definitions` VALUES (48888, 7198, 10, '其他 - 指定');
INSERT INTO `lang_definitions` VALUES (48889, 7201, 10, '其他联邦计划');
INSERT INTO `lang_definitions` VALUES (48890, 7202, 10, '其他HCFA');
INSERT INTO `lang_definitions` VALUES (48891, 7203, 10, '其他未列明的损伤');
INSERT INTO `lang_definitions` VALUES (48892, 7204, 10, '其他责任保险是小学');
INSERT INTO `lang_definitions` VALUES (48893, 7206, 10, '其他月份');
INSERT INTO `lang_definitions` VALUES (48894, 7207, 10, '其他非联邦计划');
INSERT INTO `lang_definitions` VALUES (48895, 7208, 10, '其他注意事项');
INSERT INTO `lang_definitions` VALUES (48896, 7209, 10, '其他相关症状');
INSERT INTO `lang_definitions` VALUES (48897, 7210, 10, '其他相关症状：');
INSERT INTO `lang_definitions` VALUES (48898, 7213, 10, '其他PT RESP');
INSERT INTO `lang_definitions` VALUES (48899, 7215, 10, '其他压力/过度使用伤害');
INSERT INTO `lang_definitions` VALUES (48900, 7216, 10, '其他手术');
INSERT INTO `lang_definitions` VALUES (48901, 7217, 10, '其他/通用人工流产有关');
INSERT INTO `lang_definitions` VALUES (48902, 7219, 10, '他人');
INSERT INTO `lang_definitions` VALUES (48903, 7221, 10, '否则，你会破坏到/从现有的数据参考。');
INSERT INTO `lang_definitions` VALUES (48904, 7224, 10, '渥太华踝规则');
INSERT INTO `lang_definitions` VALUES (48905, 7225, 10, '地带');
INSERT INTO `lang_definitions` VALUES (48906, 7227, 10, '输出');
INSERT INTO `lang_definitions` VALUES (48907, 7228, 10, '不在办公室');
INSERT INTO `lang_definitions` VALUES (48908, 7230, 10, '出境转介');
INSERT INTO `lang_definitions` VALUES (48909, 7231, 10, '结果');
INSERT INTO `lang_definitions` VALUES (48910, 7234, 10, '展望');
INSERT INTO `lang_definitions` VALUES (48911, 7240, 10, '逾期');
INSERT INTO `lang_definitions` VALUES (48912, 7244, 10, '过度使用');
INSERT INTO `lang_definitions` VALUES (48913, 7246, 10, '超重');
INSERT INTO `lang_definitions` VALUES (48914, 7247, 10, '覆盖HIPAA的选择');
INSERT INTO `lang_definitions` VALUES (48915, 7249, 10, '血氧饱和度');
INSERT INTO `lang_definitions` VALUES (48916, 7251, 10, 'P级');
INSERT INTO `lang_definitions` VALUES (48917, 7252, 10, '饭后');
INSERT INTO `lang_definitions` VALUES (48918, 7253, 10, '下午');
INSERT INTO `lang_definitions` VALUES (48919, 7254, 10, '随时');
INSERT INTO `lang_definitions` VALUES (48920, 7258, 10, '太平洋岛民');
INSERT INTO `lang_definitions` VALUES (48921, 7259, 10, '儿科');
INSERT INTO `lang_definitions` VALUES (48922, 7260, 10, '页');
INSERT INTO `lang_definitions` VALUES (48923, 7263, 10, '页');
INSERT INTO `lang_definitions` VALUES (48924, 7264, 10, '支付');
INSERT INTO `lang_definitions` VALUES (48925, 7265, 10, '支付的金额，你将分配');
INSERT INTO `lang_definitions` VALUES (48926, 7267, 10, '支付通过');
INSERT INTO `lang_definitions` VALUES (48927, 7268, 10, '疼痛');
INSERT INTO `lang_definitions` VALUES (48928, 7271, 10, '心慌');
INSERT INTO `lang_definitions` VALUES (48929, 7275, 10, '子宫颈抹片检查');
INSERT INTO `lang_definitions` VALUES (48930, 7277, 10, '纸张尺寸');
INSERT INTO `lang_definitions` VALUES (48931, 7278, 10, '瘫痪');
INSERT INTO `lang_definitions` VALUES (48932, 7284, 10, '解析的HL7');
INSERT INTO `lang_definitions` VALUES (48933, 7289, 10, '伙伴');
INSERT INTO `lang_definitions` VALUES (48934, 7290, 10, '伙伴名称');
INSERT INTO `lang_definitions` VALUES (48935, 7294, 10, '口令短语');
INSERT INTO `lang_definitions` VALUES (48936, 7295, 10, '口令短语解密文件');
INSERT INTO `lang_definitions` VALUES (48937, 7296, 10, '通过患者');
INSERT INTO `lang_definitions` VALUES (48938, 7297, 10, '被动警报');
INSERT INTO `lang_definitions` VALUES (48939, 7299, 10, '被动警报规则');
INSERT INTO `lang_definitions` VALUES (48940, 7301, 10, '密码');
INSERT INTO `lang_definitions` VALUES (48941, 7302, 10, '更改密码');
INSERT INTO `lang_definitions` VALUES (48942, 7304, 10, '密码更改成功。');
INSERT INTO `lang_definitions` VALUES (48943, 7308, 10, '密码过期的宽限期');
INSERT INTO `lang_definitions` VALUES (48944, 7310, 10, '电话网关的密码。自动化由Maviq提供VOIP服务。更多信息，请门诊http://signup.maviq.com。');
INSERT INTO `lang_definitions` VALUES (48945, 7311, 10, '短信网关的密码');
INSERT INTO `lang_definitions` VALUES (48946, 7312, 10, '短信网关的密码。');
INSERT INTO `lang_definitions` VALUES (48947, 7314, 10, '密码的安全性最近已经升级。');
INSERT INTO `lang_definitions` VALUES (48948, 7319, 10, '密码：');
INSERT INTO `lang_definitions` VALUES (48949, 7329, 10, '逾期');
INSERT INTO `lang_definitions` VALUES (48950, 7330, 10, '逾期');
INSERT INTO `lang_definitions` VALUES (48951, 7331, 10, '过去由于区间（临床提醒）');
INSERT INTO `lang_definitions` VALUES (48952, 7332, 10, '过去由于区间（客户提醒）');
INSERT INTO `lang_definitions` VALUES (48953, 7333, 10, '过去遭遇名单');
INSERT INTO `lang_definitions` VALUES (48954, 7334, 10, '过去的遭遇');
INSERT INTO `lang_definitions` VALUES (48955, 7335, 10, '过去的遭遇和文件');
INSERT INTO `lang_definitions` VALUES (48956, 7336, 10, '对过去的遭遇');
INSERT INTO `lang_definitions` VALUES (48957, 7344, 10, '粘贴的HL7数据');
INSERT INTO `lang_definitions` VALUES (48958, 7345, 10, '粘贴的数据导入到文本区域：');
INSERT INTO `lang_definitions` VALUES (48959, 7346, 10, '拍');
INSERT INTO `lang_definitions` VALUES (48960, 7348, 10, '贴片');
INSERT INTO `lang_definitions` VALUES (48961, 7355, 10, '事件日志备份的路径');
INSERT INTO `lang_definitions` VALUES (48962, 7356, 10, 'CA证书文件的路径');
INSERT INTO `lang_definitions` VALUES (48963, 7357, 10, 'CA密钥文件的路径');
INSERT INTO `lang_definitions` VALUES (48964, 7358, 10, '到MySQL二进制代码的路径');
INSERT INTO `lang_definitions` VALUES (48965, 7359, 10, 'Perl的二进制代码的路径');
INSERT INTO `lang_definitions` VALUES (48966, 7360, 10, '临时文件的路径');
INSERT INTO `lang_definitions` VALUES (48967, 7361, 10, '客户');
INSERT INTO `lang_definitions` VALUES (48968, 7362, 10, '客户');
INSERT INTO `lang_definitions` VALUES (48969, 7363, 10, '客户');
INSERT INTO `lang_definitions` VALUES (48970, 7365, 10, '客户地址');
INSERT INTO `lang_definitions` VALUES (48971, 7366, 10, '客户地址丢失');
INSERT INTO `lang_definitions` VALUES (48972, 7369, 10, '客户过敏');
INSERT INTO `lang_definitions` VALUES (48973, 7370, 10, '客户过敏');
INSERT INTO `lang_definitions` VALUES (48974, 7373, 10, '客户预约');
INSERT INTO `lang_definitions` VALUES (48975, 7379, 10, '病历编号');
INSERT INTO `lang_definitions` VALUES (48976, 7381, 10, '客户结帐');
INSERT INTO `lang_definitions` VALUES (48977, 7382, 10, '客户结帐为');
INSERT INTO `lang_definitions` VALUES (48978, 7383, 10, '客户城');
INSERT INTO `lang_definitions` VALUES (48979, 7384, 10, '客户城失踪');
INSERT INTO `lang_definitions` VALUES (48980, 7386, 10, '发送医患沟通');
INSERT INTO `lang_definitions` VALUES (48981, 7387, 10, '发送客户的交际');
INSERT INTO `lang_definitions` VALUES (48982, 7388, 10, '患者国家');
INSERT INTO `lang_definitions` VALUES (48983, 7389, 10, '耐心地失踪。你也没有设置全局设置的默认客户国家');
INSERT INTO `lang_definitions` VALUES (48984, 7394, 10, '客户的数据');
INSERT INTO `lang_definitions` VALUES (48985, 7396, 10, '客户出生日期失踪');
INSERT INTO `lang_definitions` VALUES (48986, 7401, 10, '客户的详细资料');
INSERT INTO `lang_definitions` VALUES (48987, 7402, 10, '客户出生日期');
INSERT INTO `lang_definitions` VALUES (48988, 7404, 10, '患者文件');
INSERT INTO `lang_definitions` VALUES (48989, 7410, 10, '客户教育');
INSERT INTO `lang_definitions` VALUES (48990, 7411, 10, '患者教育材料');
INSERT INTO `lang_definitions` VALUES (48991, 7412, 10, '客户的遭遇');
INSERT INTO `lang_definitions` VALUES (48992, 7413, 10, '患者遭遇表格');
INSERT INTO `lang_definitions` VALUES (48993, 7414, 10, '客户的遭遇');
INSERT INTO `lang_definitions` VALUES (48994, 7415, 10, '客户查找');
INSERT INTO `lang_definitions` VALUES (48995, 7417, 10, '客户首先名称');
INSERT INTO `lang_definitions` VALUES (48996, 7419, 10, '客户的名字是丢失');
INSERT INTO `lang_definitions` VALUES (48997, 7424, 10, '患者的性别');
INSERT INTO `lang_definitions` VALUES (48998, 7425, 10, '患者的性别缺失');
INSERT INTO `lang_definitions` VALUES (48999, 7426, 10, '客户并没有授权的患者门户。');
INSERT INTO `lang_definitions` VALUES (49000, 7428, 10, '病历');
INSERT INTO `lang_definitions` VALUES (49001, 7429, 10, '客户的历史/生活方式');
INSERT INTO `lang_definitions` VALUES (49002, 7430, 10, '患者家中电话');
INSERT INTO `lang_definitions` VALUES (49003, 7431, 10, '客户ID');
INSERT INTO `lang_definitions` VALUES (49004, 7433, 10, '客户ID卡');
INSERT INTO `lang_definitions` VALUES (49005, 7434, 10, '客户编号类别名称');
INSERT INTO `lang_definitions` VALUES (49006, 7437, 10, '客户免疫');
INSERT INTO `lang_definitions` VALUES (49007, 7438, 10, '客户信息');
INSERT INTO `lang_definitions` VALUES (49008, 7440, 10, '耐心的指导');
INSERT INTO `lang_definitions` VALUES (49009, 7441, 10, '客户保险销售');
INSERT INTO `lang_definitions` VALUES (49010, 7442, 10, '客户保险分布报告');
INSERT INTO `lang_definitions` VALUES (49011, 7445, 10, '客户的问题');
INSERT INTO `lang_definitions` VALUES (49012, 7447, 10, '客户姓');
INSERT INTO `lang_definitions` VALUES (49013, 7449, 10, '患者姓丢失');
INSERT INTO `lang_definitions` VALUES (49014, 7454, 10, '客户名单');
INSERT INTO `lang_definitions` VALUES (49015, 7460, 10, '客户查找错误');
INSERT INTO `lang_definitions` VALUES (49016, 7463, 10, '门诊医疗问题');
INSERT INTO `lang_definitions` VALUES (49017, 7464, 10, '客户的药物');
INSERT INTO `lang_definitions` VALUES (49018, 7470, 10, '客户姓名');
INSERT INTO `lang_definitions` VALUES (49019, 7472, 10, '客户姓名及地址');
INSERT INTO `lang_definitions` VALUES (49020, 7475, 10, '客户姓名必需');
INSERT INTO `lang_definitions` VALUES (49021, 7477, 10, '患者请注意');
INSERT INTO `lang_definitions` VALUES (49022, 7478, 10, '客户注意类型');
INSERT INTO `lang_definitions` VALUES (49023, 7479, 10, '患者注意事项');
INSERT INTO `lang_definitions` VALUES (49024, 7480, 10, '客户的注意事项（写，只添加可选）');
INSERT INTO `lang_definitions` VALUES (49025, 7482, 10, '客户数');
INSERT INTO `lang_definitions` VALUES (49026, 7483, 10, '客户付款');
INSERT INTO `lang_definitions` VALUES (49027, 7485, 10, '客户的照片分类名称');
INSERT INTO `lang_definitions` VALUES (49028, 7487, 10, '患者门户');
INSERT INTO `lang_definitions` VALUES (49029, 7492, 10, '客户门户网站被关闭');
INSERT INTO `lang_definitions` VALUES (49030, 7493, 10, '患者门户登录');
INSERT INTO `lang_definitions` VALUES (49031, 7496, 10, '患者门户网站地址');
INSERT INTO `lang_definitions` VALUES (49032, 7497, 10, '客户印制报告');
INSERT INTO `lang_definitions` VALUES (49033, 7499, 10, '病历报告');
INSERT INTO `lang_definitions` VALUES (49034, 7500, 10, '客户记录请求');
INSERT INTO `lang_definitions` VALUES (49035, 7501, 10, '客户记录的要求');
INSERT INTO `lang_definitions` VALUES (49036, 7503, 10, '客户提醒');
INSERT INTO `lang_definitions` VALUES (49037, 7505, 10, '客户提醒批处理作业');
INSERT INTO `lang_definitions` VALUES (49038, 7507, 10, '客户提醒规则');
INSERT INTO `lang_definitions` VALUES (49039, 7508, 10, '客户提醒发件人的电子邮件');
INSERT INTO `lang_definitions` VALUES (49040, 7509, 10, '客户提醒发件人名称');
INSERT INTO `lang_definitions` VALUES (49041, 7510, 10, '客户提醒');
INSERT INTO `lang_definitions` VALUES (49042, 7514, 10, '客户报告');
INSERT INTO `lang_definitions` VALUES (49043, 7518, 10, '客户要求');
INSERT INTO `lang_definitions` VALUES (49044, 7519, 10, '客户要求医疗记录');
INSERT INTO `lang_definitions` VALUES (49045, 7521, 10, '客户的结果');
INSERT INTO `lang_definitions` VALUES (49046, 7525, 10, '客户的搜索结果样式');
INSERT INTO `lang_definitions` VALUES (49047, 7526, 10, '客户搜索/添加屏幕');
INSERT INTO `lang_definitions` VALUES (49048, 7528, 10, '客户设置');
INSERT INTO `lang_definitions` VALUES (49049, 7533, 10, '客户状态');
INSERT INTO `lang_definitions` VALUES (49050, 7539, 10, '客户摘要');
INSERT INTO `lang_definitions` VALUES (49051, 7542, 10, '客户交易');
INSERT INTO `lang_definitions` VALUES (49052, 7546, 10, '客户邮编');
INSERT INTO `lang_definitions` VALUES (49053, 7549, 10, '客户在数据库中，你已经进入人口信息相匹配。');
INSERT INTO `lang_definitions` VALUES (49054, 7550, 10, '客户/客户端');
INSERT INTO `lang_definitions` VALUES (49055, 7551, 10, '客户：');
INSERT INTO `lang_definitions` VALUES (49056, 7552, 10, '客户编号');
INSERT INTO `lang_definitions` VALUES (49057, 7553, 10, '患者');
INSERT INTO `lang_definitions` VALUES (49058, 7559, 10, '付');
INSERT INTO `lang_definitions` VALUES (49059, 7560, 10, '要注意的复选框“完成”。后保险标记为完成，然后我们将开始要求客户支付余额;如果你失败了，以纪念所有的保险，然后完成剩余的金额将不会被收集！此外，如果有一个平衡，客户应支付，然后设置适当的截止日期，因为这会影响对客户报表中出现的语言。');
INSERT INTO `lang_definitions` VALUES (49060, 7563, 10, '支付日期：');
INSERT INTO `lang_definitions` VALUES (49061, 7566, 10, '支付状态');
INSERT INTO `lang_definitions` VALUES (49062, 7567, 10, '收款人名称');
INSERT INTO `lang_definitions` VALUES (49063, 7568, 10, '付款人');
INSERT INTO `lang_definitions` VALUES (49064, 7572, 10, '付款人类型');
INSERT INTO `lang_definitions` VALUES (49065, 7573, 10, '付款');
INSERT INTO `lang_definitions` VALUES (49066, 7574, 10, '支付实体');
INSERT INTO `lang_definitions` VALUES (49067, 7575, 10, '付款');
INSERT INTO `lang_definitions` VALUES (49068, 7576, 10, '付款');
INSERT INTO `lang_definitions` VALUES (49069, 7577, 10, '付款调整代码');
INSERT INTO `lang_definitions` VALUES (49070, 7579, 10, '付款金额');
INSERT INTO `lang_definitions` VALUES (49071, 7580, 10, '付款金额必须是数字');
INSERT INTO `lang_definitions` VALUES (49072, 7581, 10, '支付类别');
INSERT INTO `lang_definitions` VALUES (49073, 7583, 10, '付款日期');
INSERT INTO `lang_definitions` VALUES (49074, 7584, 10, '支付输入在');
INSERT INTO `lang_definitions` VALUES (49075, 7585, 10, '款项');
INSERT INTO `lang_definitions` VALUES (49076, 7588, 10, '支付插件');
INSERT INTO `lang_definitions` VALUES (49077, 7589, 10, '支付清单');
INSERT INTO `lang_definitions` VALUES (49078, 7590, 10, '付款方式');
INSERT INTO `lang_definitions` VALUES (49079, 7592, 10, '付款方式分类');
INSERT INTO `lang_definitions` VALUES (49080, 7593, 10, '付款状态');
INSERT INTO `lang_definitions` VALUES (49081, 7597, 10, '付款方式');
INSERT INTO `lang_definitions` VALUES (49082, 7600, 10, '支付价值为代码');
INSERT INTO `lang_definitions` VALUES (49083, 7602, 10, '付款');
INSERT INTO `lang_definitions` VALUES (49084, 7606, 10, '五氯酚');
INSERT INTO `lang_definitions` VALUES (49085, 7610, 10, 'PDF格式');
INSERT INTO `lang_definitions` VALUES (49086, 7614, 10, 'PDF下载选中的语句');
INSERT INTO `lang_definitions` VALUES (49087, 7620, 10, '骨盆和臀部');
INSERT INTO `lang_definitions` VALUES (49088, 7621, 10, '天疱疮');
INSERT INTO `lang_definitions` VALUES (49089, 7624, 10, '有待');
INSERT INTO `lang_definitions` VALUES (49090, 7629, 10, '待F/ü');
INSERT INTO `lang_definitions` VALUES (49091, 7630, 10, '待后续');
INSERT INTO `lang_definitions` VALUES (49092, 7631, 10, '从结果有待随访');
INSERT INTO `lang_definitions` VALUES (49093, 7632, 10, '挂单');
INSERT INTO `lang_definitions` VALUES (49094, 7633, 10, '待水库');
INSERT INTO `lang_definitions` VALUES (49095, 7634, 10, '待审查');
INSERT INTO `lang_definitions` VALUES (49096, 7635, 10, '待Rx计数');
INSERT INTO `lang_definitions` VALUES (49097, 7638, 10, '彭宁顿事务所OpenEMR至五');
INSERT INTO `lang_definitions` VALUES (49098, 7639, 10, '消化性溃疡病');
INSERT INTO `lang_definitions` VALUES (49099, 7641, 10, '每分钟');
INSERT INTO `lang_definitions` VALUES (49100, 7642, 10, '每个鼻孔');
INSERT INTO `lang_definitions` VALUES (49101, 7643, 10, '每个鼻孔');
INSERT INTO `lang_definitions` VALUES (49102, 7644, 10, '每ORIS');
INSERT INTO `lang_definitions` VALUES (49103, 7645, 10, '每匝');
INSERT INTO `lang_definitions` VALUES (49104, 7646, 10, '每直肠');
INSERT INTO `lang_definitions` VALUES (49105, 7647, 10, '每直肠');
INSERT INTO `lang_definitions` VALUES (49106, 7648, 10, '百分之');
INSERT INTO `lang_definitions` VALUES (49107, 7652, 10, '百分');
INSERT INTO `lang_definitions` VALUES (49108, 7653, 10, '穿孔右：');
INSERT INTO `lang_definitions` VALUES (49109, 7654, 10, '执行搜索');
INSERT INTO `lang_definitions` VALUES (49110, 7655, 10, '执行此操作');
INSERT INTO `lang_definitions` VALUES (49111, 7656, 10, '性能百分比');
INSERT INTO `lang_definitions` VALUES (49112, 7659, 10, '执行实验室设施');
INSERT INTO `lang_definitions` VALUES (49113, 7661, 10, '期间');
INSERT INTO `lang_definitions` VALUES (49114, 7662, 10, '在天期间，用户可能过期的密码登录。');
INSERT INTO `lang_definitions` VALUES (49115, 7663, 10, '围手术期护理');
INSERT INTO `lang_definitions` VALUES (49116, 7665, 10, '外围设备');
INSERT INTO `lang_definitions` VALUES (49117, 7671, 10, '人');
INSERT INTO `lang_definitions` VALUES (49118, 7672, 10, '个性化');
INSERT INTO `lang_definitions` VALUES (49119, 7675, 10, '编辑器');
INSERT INTO `lang_definitions` VALUES (49120, 7676, 10, '医药');
INSERT INTO `lang_definitions` VALUES (49121, 7677, 10, '医药COM计数');
INSERT INTO `lang_definitions` VALUES (49122, 7678, 10, '药房');
INSERT INTO `lang_definitions` VALUES (49123, 7680, 10, '药房');
INSERT INTO `lang_definitions` VALUES (49124, 7681, 10, '药店药房');
INSERT INTO `lang_definitions` VALUES (49125, 7688, 10, '气胸');
INSERT INTO `lang_definitions` VALUES (49126, 7697, 10, '电话');
INSERT INTO `lang_definitions` VALUES (49127, 7699, 10, '手机通话清单');
INSERT INTO `lang_definitions` VALUES (49128, 7705, 10, '电话网关密码');
INSERT INTO `lang_definitions` VALUES (49129, 7706, 10, '电话网关的URL');
INSERT INTO `lang_definitions` VALUES (49130, 7707, 10, '电话网关的用户名');
INSERT INTO `lang_definitions` VALUES (49131, 7709, 10, '电话通知一小时');
INSERT INTO `lang_definitions` VALUES (49132, 7711, 10, '电话号码');
INSERT INTO `lang_definitions` VALUES (49133, 7715, 10, '畏光');
INSERT INTO `lang_definitions` VALUES (49134, 7716, 10, '照片');
INSERT INTO `lang_definitions` VALUES (49135, 7717, 10, 'PHP的压缩');
INSERT INTO `lang_definitions` VALUES (49136, 7718, 10, 'PHP的CURL模块应在您的服务器上启用。');
INSERT INTO `lang_definitions` VALUES (49137, 7720, 10, 'PHP的提取');
INSERT INTO `lang_definitions` VALUES (49138, 7721, 10, '关闭，php-GACL的门诊控制');
INSERT INTO `lang_definitions` VALUES (49139, 7722, 10, '未安装PHP的gacl');
INSERT INTO `lang_definitions` VALUES (49140, 7723, 10, '体检');
INSERT INTO `lang_definitions` VALUES (49141, 7725, 10, '医生要求');
INSERT INTO `lang_definitions` VALUES (49142, 7726, 10, '医师签名');
INSERT INTO `lang_definitions` VALUES (49143, 7729, 10, '医生');
INSERT INTO `lang_definitions` VALUES (49144, 7733, 10, '挑');
INSERT INTO `lang_definitions` VALUES (49145, 7734, 10, '挑');
INSERT INTO `lang_definitions` VALUES (49146, 7735, 10, '挑一个CSS主题。');
INSERT INTO `lang_definitions` VALUES (49147, 7738, 10, '骨腔炎疾病');
INSERT INTO `lang_definitions` VALUES (49148, 7740, 10, '盆腔炎（PID）');
INSERT INTO `lang_definitions` VALUES (49149, 7741, 10, '药片大小');
INSERT INTO `lang_definitions` VALUES (49150, 7742, 10, '丸');
INSERT INTO `lang_definitions` VALUES (49151, 7745, 10, '如果要安装的选项，将在以下目录数据库zip文件');
INSERT INTO `lang_definitions` VALUES (49152, 7752, 10, '占位符');
INSERT INTO `lang_definitions` VALUES (49153, 7753, 10, '占位符（保持空的ACL）');
INSERT INTO `lang_definitions` VALUES (49154, 7756, 10, '纯文本');
INSERT INTO `lang_definitions` VALUES (49155, 7757, 10, '计划');
INSERT INTO `lang_definitions` VALUES (49156, 7762, 10, '计划名称');
INSERT INTO `lang_definitions` VALUES (49157, 7768, 10, '计划集');
INSERT INTO `lang_definitions` VALUES (49158, 7773, 10, '计划：');
INSERT INTO `lang_definitions` VALUES (49159, 7776, 10, '计划');
INSERT INTO `lang_definitions` VALUES (49160, 7778, 10, '播放机');
INSERT INTO `lang_definitions` VALUES (49161, 7779, 10, '演奏位置');
INSERT INTO `lang_definitions` VALUES (49162, 7780, 10, '请拨打如果任何上述信息是不正确的');
INSERT INTO `lang_definitions` VALUES (49163, 7784, 10, '请更改您的密码。');
INSERT INTO `lang_definitions` VALUES (49164, 7785, 10, '请选择一个文件');
INSERT INTO `lang_definitions` VALUES (49165, 7786, 10, '请选择一个客户');
INSERT INTO `lang_definitions` VALUES (49166, 7787, 10, '请从列表中选择一个有效的选择。');
INSERT INTO `lang_definitions` VALUES (49167, 7788, 10, '请选择一个有效的选择。');
INSERT INTO `lang_definitions` VALUES (49168, 7789, 10, '请选择一个值');
INSERT INTO `lang_definitions` VALUES (49169, 7790, 10, '请选择日期范围标准以上，并单击“刷新”以查看结果。');
INSERT INTO `lang_definitions` VALUES (49170, 7791, 10, '请选择正确的格式文件的EDI-271');
INSERT INTO `lang_definitions` VALUES (49171, 7792, 10, '请点击下载按钮下载德查明的数据');
INSERT INTO `lang_definitions` VALUES (49172, 7793, 10, '请点击下载按钮下载数据重新鉴定');
INSERT INTO `lang_definitions` VALUES (49173, 7795, 10, '请关闭此窗口。');
INSERT INTO `lang_definitions` VALUES (49174, 7796, 10, '请比较新的名称');
INSERT INTO `lang_definitions` VALUES (49175, 7805, 10, '请不要接受这个处方除非是通过收到的传真。');
INSERT INTO `lang_definitions` VALUES (49176, 7806, 10, '请不要接受这个处方，除非它是通过传真收到。');
INSERT INTO `lang_definitions` VALUES (49177, 7807, 10, '请不要用你的浏览器的刷新按钮，该页面停止或运行超过10分钟过去了，这不会导致进程停止服务器上，会消耗一些资源。');
INSERT INTO `lang_definitions` VALUES (49178, 7808, 10, '请启用CURL扩展');
INSERT INTO `lang_definitions` VALUES (49179, 7809, 10, '请启用OpenSSL扩展');
INSERT INTO `lang_definitions` VALUES (49180, 7810, 10, '请启用SOAP扩展');
INSERT INTO `lang_definitions` VALUES (49181, 7811, 10, '请启用XML扩展');
INSERT INTO `lang_definitions` VALUES (49182, 7813, 10, '请输入点评日期。');
INSERT INTO `lang_definitions` VALUES (49183, 7814, 10, '请输入一个日期。');
INSERT INTO `lang_definitions` VALUES (49184, 7816, 10, '请输入截止日期');
INSERT INTO `lang_definitions` VALUES (49185, 7818, 10, '请输入信息');
INSERT INTO `lang_definitions` VALUES (49186, 7819, 10, '请输入货币金额只使用数字和小数点。');
INSERT INTO `lang_definitions` VALUES (49187, 7821, 10, '请输入新密码');
INSERT INTO `lang_definitions` VALUES (49188, 7822, 10, '请输入标题！');
INSERT INTO `lang_definitions` VALUES (49189, 7828, 10, '请输入正确的重新识别代码');
INSERT INTO `lang_definitions` VALUES (49190, 7832, 10, '请输入新的搜索字符串');
INSERT INTO `lang_definitions` VALUES (49191, 7833, 10, '请输入正确的重新识别代码');
INSERT INTO `lang_definitions` VALUES (49192, 7834, 10, '请输入密码');
INSERT INTO `lang_definitions` VALUES (49193, 7843, 10, '请填写支票号码');
INSERT INTO `lang_definitions` VALUES (49194, 7845, 10, '请填写日期');
INSERT INTO `lang_definitions` VALUES (49195, 7846, 10, '请填写支付金额');
INSERT INTO `lang_definitions` VALUES (49196, 7847, 10, '请填写付款类别');
INSERT INTO `lang_definitions` VALUES (49197, 7848, 10, '请填写支付');
INSERT INTO `lang_definitions` VALUES (49198, 7849, 10, '请填写邮政日');
INSERT INTO `lang_definitions` VALUES (49199, 7850, 10, '请填写，然后再继续。');
INSERT INTO `lang_definitions` VALUES (49200, 7854, 10, '请注明门诊原因');
INSERT INTO `lang_definitions` VALUES (49201, 7856, 10, '以上请输入搜索条件，然后点击提交查看结果。');
INSERT INTO `lang_definitions` VALUES (49202, 7857, 10, '以上请输入搜索条件，然后点击提交查看结果。 （结果将显示在一个弹出窗口）');
INSERT INTO `lang_definitions` VALUES (49203, 7858, 10, '请重新登录。');
INSERT INTO `lang_definitions` VALUES (49204, 7859, 10, '请注意，这可能需要很长一段时间，长达数分钟，您的网页浏览器可能不会出现在此期间非常活跃，但产生了一项法案，是一个复杂的过程，您的网页浏览器只是等待更多的信息。');
INSERT INTO `lang_definitions` VALUES (49205, 7860, 10, '请注意：常量是区分大小写的，并允许任何字符串。');
INSERT INTO `lang_definitions` VALUES (49206, 7861, 10, '请只使用字母字符');
INSERT INTO `lang_definitions` VALUES (49207, 7862, 10, '请只使用不带空格的字母字符');
INSERT INTO `lang_definitions` VALUES (49208, 7863, 10, '请支付这笔款项');
INSERT INTO `lang_definitions` VALUES (49209, 7867, 10, '请参阅');
INSERT INTO `lang_definitions` VALUES (49210, 7868, 10, '请重设密码。');
INSERT INTO `lang_definitions` VALUES (49211, 7869, 10, '前打去识别，请重新启动Apache服务器');
INSERT INTO `lang_definitions` VALUES (49212, 7877, 10, '请选择一种语言');
INSERT INTO `lang_definitions` VALUES (49213, 7878, 10, '请选择一个客户。');
INSERT INTO `lang_definitions` VALUES (49214, 7879, 10, '请选择一个主要的商业设施税号的“税号”的实体设施。如果你是一个个体医生，用你的税号。这是用来确定你在NewCrop系统。');
INSERT INTO `lang_definitions` VALUES (49215, 7882, 10, '请选择一个收件人');
INSERT INTO `lang_definitions` VALUES (49216, 7884, 10, '请选择一个开始日期和结束日期');
INSERT INTO `lang_definitions` VALUES (49217, 7885, 10, '请选择一个有效的收件人');
INSERT INTO `lang_definitions` VALUES (49218, 7888, 10, '请选择一个代码调整原因');
INSERT INTO `lang_definitions` VALUES (49219, 7889, 10, '请选择一个事件');
INSERT INTO `lang_definitions` VALUES (49220, 7891, 10, '请选择任何搜索选项。');
INSERT INTO `lang_definitions` VALUES (49221, 7894, 10, '请选择至少一个处方！');
INSERT INTO `lang_definitions` VALUES (49222, 7899, 10, '请选择所需的网页，复制或转发：');
INSERT INTO `lang_definitions` VALUES (49223, 7900, 10, '请选择付款方式');
INSERT INTO `lang_definitions` VALUES (49224, 7905, 10, '请选择X12的合作伙伴，需要创造的270批次');
INSERT INTO `lang_definitions` VALUES (49225, 7906, 10, '请设置');
INSERT INTO `lang_definitions` VALUES (49226, 7907, 10, '请设置de_identification_config变回零');
INSERT INTO `lang_definitions` VALUES (49227, 7910, 10, '请开始新德鉴定过程');
INSERT INTO `lang_definitions` VALUES (49228, 7913, 10, '请升级OpenEMR数据库，包括德鉴定程序，功能表');
INSERT INTO `lang_definitions` VALUES (49229, 7915, 10, '有关详细信息，请查看德识别错误日志表');
INSERT INTO `lang_definitions` VALUES (49230, 7916, 10, '经过一段时间后，请门诊德识别屏幕');
INSERT INTO `lang_definitions` VALUES (49231, 7917, 10, '请门诊一段时间后，重新标识屏幕');
INSERT INTO `lang_definitions` VALUES (49232, 7918, 10, '一段时间后，请门诊屏幕');
INSERT INTO `lang_definitions` VALUES (49233, 7926, 10, '下午');
INSERT INTO `lang_definitions` VALUES (49234, 7927, 10, '下午计划');
INSERT INTO `lang_definitions` VALUES (49235, 7933, 10, 'PMT方法');
INSERT INTO `lang_definitions` VALUES (49236, 7934, 10, '间隙性夜间呼吸困难');
INSERT INTO `lang_definitions` VALUES (49237, 7935, 10, '肺炎球菌1');
INSERT INTO `lang_definitions` VALUES (49238, 7936, 10, '肺炎球菌2');
INSERT INTO `lang_definitions` VALUES (49239, 7937, 10, '肺炎球菌3');
INSERT INTO `lang_definitions` VALUES (49240, 7938, 10, '肺炎球菌4');
INSERT INTO `lang_definitions` VALUES (49241, 7939, 10, '肺炎球菌疫苗');
INSERT INTO `lang_definitions` VALUES (49242, 7940, 10, '肺炎疫苗');
INSERT INTO `lang_definitions` VALUES (49243, 7941, 10, '针对老年人的肺炎疫苗接种状况');
INSERT INTO `lang_definitions` VALUES (49244, 7942, 10, '针对老年人的肺炎疫苗接种情况（CQM）');
INSERT INTO `lang_definitions` VALUES (49245, 7943, 10, '足部');
INSERT INTO `lang_definitions` VALUES (49246, 7946, 10, '服务点（POS）');
INSERT INTO `lang_definitions` VALUES (49247, 7947, 10, '政策');
INSERT INTO `lang_definitions` VALUES (49248, 7950, 10, '保单号码');
INSERT INTO `lang_definitions` VALUES (49249, 7951, 10, '保单号码');
INSERT INTO `lang_definitions` VALUES (49250, 7952, 10, '波兰语');
INSERT INTO `lang_definitions` VALUES (49251, 7953, 10, '烦渴');
INSERT INTO `lang_definitions` VALUES (49252, 7955, 10, '息肉');
INSERT INTO `lang_definitions` VALUES (49253, 7956, 10, '尿');
INSERT INTO `lang_definitions` VALUES (49254, 7957, 10, '食欲不佳');
INSERT INTO `lang_definitions` VALUES (49255, 7958, 10, '流通不畅');
INSERT INTO `lang_definitions` VALUES (49256, 7959, 10, '听力差');
INSERT INTO `lang_definitions` VALUES (49257, 7962, 10, '看到这些报告，需要启用弹出窗口');
INSERT INTO `lang_definitions` VALUES (49258, 7964, 10, '填充今年视图与事件？');
INSERT INTO `lang_definitions` VALUES (49259, 7965, 10, '弹出窗口');
INSERT INTO `lang_definitions` VALUES (49260, 7969, 10, '门户网站活动');
INSERT INTO `lang_definitions` VALUES (49261, 7985, 10, '葡萄牙');
INSERT INTO `lang_definitions` VALUES (49262, 7987, 10, '葡萄牙语（巴西）');
INSERT INTO `lang_definitions` VALUES (49263, 7988, 10, '葡萄牙（欧洲）');
INSERT INTO `lang_definitions` VALUES (49264, 7989, 10, 'POS机代号');
INSERT INTO `lang_definitions` VALUES (49265, 7992, 10, '积极');
INSERT INTO `lang_definitions` VALUES (49266, 7993, 10, '阳性');
INSERT INTO `lang_definitions` VALUES (49267, 7996, 10, '邮政');
INSERT INTO `lang_definitions` VALUES (49268, 7998, 10, '发表滴鼻');
INSERT INTO `lang_definitions` VALUES (49269, 8000, 10, '发表付款');
INSERT INTO `lang_definitions` VALUES (49270, 8001, 10, '发表手术');
INSERT INTO `lang_definitions` VALUES (49271, 8002, 10, '发布嘴会计和标志');
INSERT INTO `lang_definitions` VALUES (49272, 8003, 10, '发布日期');
INSERT INTO `lang_definitions` VALUES (49273, 8004, 10, '发布日期不能比今天更大的');
INSERT INTO `lang_definitions` VALUES (49274, 8006, 10, '发布日期必须大于财政关闭日期。');
INSERT INTO `lang_definitions` VALUES (49275, 8007, 10, '流产后保健');
INSERT INTO `lang_definitions` VALUES (49276, 8008, 10, '人工流产后避孕');
INSERT INTO `lang_definitions` VALUES (49277, 8009, 10, '堕胎后咨询');
INSERT INTO `lang_definitions` VALUES (49278, 8010, 10, '后流产跟帖');
INSERT INTO `lang_definitions` VALUES (49279, 8011, 10, '邮政');
INSERT INTO `lang_definitions` VALUES (49280, 8012, 10, '邮政编码');
INSERT INTO `lang_definitions` VALUES (49281, 8013, 10, '邮政编码');
INSERT INTO `lang_definitions` VALUES (49282, 8015, 10, '发布日历');
INSERT INTO `lang_definitions` VALUES (49283, 8016, 10, '发布日历管理');
INSERT INTO `lang_definitions` VALUES (49284, 8017, 10, '发布日历类别设置');
INSERT INTO `lang_definitions` VALUES (49285, 8018, 10, '发布日历全局设置');
INSERT INTO `lang_definitions` VALUES (49286, 8023, 10, '发表于');
INSERT INTO `lang_definitions` VALUES (49287, 8026, 10, '发布日期');
INSERT INTO `lang_definitions` VALUES (49288, 8032, 10, '技术支持');
INSERT INTO `lang_definitions` VALUES (49289, 8033, 10, '个人防护装备+预防医学/外科HX');
INSERT INTO `lang_definitions` VALUES (49290, 8034, 10, 'PQRI');
INSERT INTO `lang_definitions` VALUES (49291, 8035, 10, 'PQRI注册编号');
INSERT INTO `lang_definitions` VALUES (49292, 8036, 10, 'PQRI注册名称');
INSERT INTO `lang_definitions` VALUES (49293, 8037, 10, '实践');
INSERT INTO `lang_definitions` VALUES (49294, 8038, 10, '实践默认设置');
INSERT INTO `lang_definitions` VALUES (49295, 8039, 10, '实践设置');
INSERT INTO `lang_definitions` VALUES (49296, 8041, 10, '医生');
INSERT INTO `lang_definitions` VALUES (49297, 8044, 10, '预先付款');
INSERT INTO `lang_definitions` VALUES (49298, 8045, 10, '堕胎前协商');
INSERT INTO `lang_definitions` VALUES (49299, 8046, 10, '堕胎前辅导');
INSERT INTO `lang_definitions` VALUES (49300, 8048, 10, '县猫');
INSERT INTO `lang_definitions` VALUES (49301, 8050, 10, '喜好');
INSERT INTO `lang_definitions` VALUES (49302, 8052, 10, '首选事件类别');
INSERT INTO `lang_definitions` VALUES (49303, 8053, 10, '首选语言');
INSERT INTO `lang_definitions` VALUES (49304, 8054, 10, '首选药剂');
INSERT INTO `lang_definitions` VALUES (49305, 8055, 10, '优先提供者组织（PPO）');
INSERT INTO `lang_definitions` VALUES (49306, 8056, 10, '怀孕测试');
INSERT INTO `lang_definitions` VALUES (49307, 8057, 10, '初步');
INSERT INTO `lang_definitions` VALUES (49308, 8059, 10, '预付');
INSERT INTO `lang_definitions` VALUES (49309, 8061, 10, '处方');
INSERT INTO `lang_definitions` VALUES (49310, 8063, 10, '处方已达到极限');
INSERT INTO `lang_definitions` VALUES (49311, 8064, 10, '处方历史');
INSERT INTO `lang_definitions` VALUES (49312, 8065, 10, '处方历史进口顺利完成');
INSERT INTO `lang_definitions` VALUES (49313, 8066, 10, '处方标签');
INSERT INTO `lang_definitions` VALUES (49314, 8067, 10, '处方报告');
INSERT INTO `lang_definitions` VALUES (49315, 8070, 10, '处方');
INSERT INTO `lang_definitions` VALUES (49316, 8073, 10, '处方和特许');
INSERT INTO `lang_definitions` VALUES (49317, 8074, 10, '处方药和其他转介');
INSERT INTO `lang_definitions` VALUES (49318, 8075, 10, '处方药和/或专科转介');
INSERT INTO `lang_definitions` VALUES (49319, 8076, 10, '处方报告');
INSERT INTO `lang_definitions` VALUES (49320, 8077, 10, '处方/转介');
INSERT INTO `lang_definitions` VALUES (49321, 8078, 10, '目前');
INSERT INTO `lang_definitions` VALUES (49322, 8079, 10, '提出投诉');
INSERT INTO `lang_definitions` VALUES (49323, 8081, 10, '按继续进行');
INSERT INTO `lang_definitions` VALUES (49324, 8084, 10, '推定诊断');
INSERT INTO `lang_definitions` VALUES (49325, 8085, 10, '假定由专家诊断');
INSERT INTO `lang_definitions` VALUES (49326, 8086, 10, '上一页');
INSERT INTO `lang_definitions` VALUES (49327, 8087, 10, '预防医学/外科HX');
INSERT INTO `lang_definitions` VALUES (49328, 8088, 10, '上一页。本月（按住菜单）');
INSERT INTO `lang_definitions` VALUES (49329, 8089, 10, '上一页。一年（按住菜单）');
INSERT INTO `lang_definitions` VALUES (49330, 8091, 10, '预防保健');
INSERT INTO `lang_definitions` VALUES (49331, 8094, 10, '预览事件');
INSERT INTO `lang_definitions` VALUES (49332, 8097, 10, '预览');
INSERT INTO `lang_definitions` VALUES (49333, 8098, 10, '前');
INSERT INTO `lang_definitions` VALUES (49334, 8099, 10, '以往的磋商');
INSERT INTO `lang_definitions` VALUES (49335, 8100, 10, '前一天');
INSERT INTO `lang_definitions` VALUES (49336, 8102, 10, '以前的历史/筛选');
INSERT INTO `lang_definitions` VALUES (49337, 8103, 10, '前一个月');
INSERT INTO `lang_definitions` VALUES (49338, 8104, 10, '上星期');
INSERT INTO `lang_definitions` VALUES (49339, 8105, 10, '价格');
INSERT INTO `lang_definitions` VALUES (49340, 8108, 10, '价格折扣');
INSERT INTO `lang_definitions` VALUES (49341, 8109, 10, '价格水平');
INSERT INTO `lang_definitions` VALUES (49342, 8111, 10, '价格水平：');
INSERT INTO `lang_definitions` VALUES (49343, 8113, 10, '价格');
INSERT INTO `lang_definitions` VALUES (49344, 8114, 10, '主');
INSERT INTO `lang_definitions` VALUES (49345, 8115, 10, '主要业务实体');
INSERT INTO `lang_definitions` VALUES (49346, 8116, 10, '主要业务实体税号用于帐户编号 NewCrop处方。改变该设施将影响的工作NewCrop。');
INSERT INTO `lang_definitions` VALUES (49347, 8125, 10, '主要插件');
INSERT INTO `lang_definitions` VALUES (49348, 8126, 10, '原保险');
INSERT INTO `lang_definitions` VALUES (49349, 8127, 10, '原保险数据');
INSERT INTO `lang_definitions` VALUES (49350, 8128, 10, '主要保险提供商');
INSERT INTO `lang_definitions` VALUES (49351, 8129, 10, '主要服务人员');
INSERT INTO `lang_definitions` VALUES (49352, 8130, 10, '打印');
INSERT INTO `lang_definitions` VALUES (49353, 8131, 10, '打印（HTML）');
INSERT INTO `lang_definitions` VALUES (49354, 8132, 10, '打印（PDF）');
INSERT INTO `lang_definitions` VALUES (49355, 8134, 10, '打印任何相逢');
INSERT INTO `lang_definitions` VALUES (49356, 8135, 10, '打印空白推荐表格');
INSERT INTO `lang_definitions` VALUES (49357, 8136, 10, '打印命令');
INSERT INTO `lang_definitions` VALUES (49358, 8143, 10, '打印格式');
INSERT INTO `lang_definitions` VALUES (49359, 8144, 10, '打印四个小组');
INSERT INTO `lang_definitions` VALUES (49360, 8147, 10, '打印消息');
INSERT INTO `lang_definitions` VALUES (49361, 8148, 10, '打印多');
INSERT INTO `lang_definitions` VALUES (49362, 8149, 10, '打印多个传真');
INSERT INTO `lang_definitions` VALUES (49363, 8150, 10, '打印名称，标志和日期。');
INSERT INTO `lang_definitions` VALUES (49364, 8151, 10, '打印票据');
INSERT INTO `lang_definitions` VALUES (49365, 8152, 10, '打印第1页');
INSERT INTO `lang_definitions` VALUES (49366, 8153, 10, '打印第2页');
INSERT INTO `lang_definitions` VALUES (49367, 8156, 10, '通过提供打印收据');
INSERT INTO `lang_definitions` VALUES (49368, 8157, 10, '打印记录');
INSERT INTO `lang_definitions` VALUES (49369, 8163, 10, '打印选定报表');
INSERT INTO `lang_definitions` VALUES (49370, 8164, 10, '打印铅球纪录');
INSERT INTO `lang_definitions` VALUES (49371, 8166, 10, '打印这场遭遇战');
INSERT INTO `lang_definitions` VALUES (49372, 8168, 10, '打印说明');
INSERT INTO `lang_definitions` VALUES (49373, 8169, 10, '打印本说明');
INSERT INTO `lang_definitions` VALUES (49374, 8171, 10, '打印传真');
INSERT INTO `lang_definitions` VALUES (49375, 8172, 10, '打印查看');
INSERT INTO `lang_definitions` VALUES (49376, 8173, 10, '打印');
INSERT INTO `lang_definitions` VALUES (49377, 8174, 10, '打印版本');
INSERT INTO `lang_definitions` VALUES (49378, 8175, 10, '印');
INSERT INTO `lang_definitions` VALUES (49379, 8178, 10, '打印结果：');
INSERT INTO `lang_definitions` VALUES (49380, 8179, 10, '印刷跳过;看到测试输出');
INSERT INTO `lang_definitions` VALUES (49381, 8180, 10, '印刷跳过;看到测试输出');
INSERT INTO `lang_definitions` VALUES (49382, 8182, 10, '在此之前验证');
INSERT INTO `lang_definitions` VALUES (49383, 8184, 10, '以前授权书');
INSERT INTO `lang_definitions` VALUES (49384, 8189, 10, '在此之前门诊');
INSERT INTO `lang_definitions` VALUES (49385, 8191, 10, '优先');
INSERT INTO `lang_definitions` VALUES (49386, 8192, 10, '优先');
INSERT INTO `lang_definitions` VALUES (49387, 8196, 10, '私人');
INSERT INTO `lang_definitions` VALUES (49388, 8197, 10, '问题');
INSERT INTO `lang_definitions` VALUES (49389, 8198, 10, '问题的DX');
INSERT INTO `lang_definitions` VALUES (49390, 8199, 10, '问题列表');
INSERT INTO `lang_definitions` VALUES (49391, 8202, 10, '问题/问题');
INSERT INTO `lang_definitions` VALUES (49392, 8203, 10, '丙卡巴井棒');
INSERT INTO `lang_definitions` VALUES (49393, 8204, 10, '丙卡巴井貓');
INSERT INTO `lang_definitions` VALUES (49394, 8206, 10, '程序待定挂起');
INSERT INTO `lang_definitions` VALUES (49395, 8208, 10, '程序');
INSERT INTO `lang_definitions` VALUES (49396, 8209, 10, '程序');
INSERT INTO `lang_definitions` VALUES (49397, 8210, 10, '过程部位');
INSERT INTO `lang_definitions` VALUES (49398, 8212, 10, '程序布尔结果');
INSERT INTO `lang_definitions` VALUES (49399, 8214, 10, '刑事诉讼法');
INSERT INTO `lang_definitions` VALUES (49400, 8216, 10, '议事偏侧性');
INSERT INTO `lang_definitions` VALUES (49401, 8220, 10, '程序订购');
INSERT INTO `lang_definitions` VALUES (49402, 8223, 10, '程序订购');
INSERT INTO `lang_definitions` VALUES (49403, 8232, 10, '程序的报告');
INSERT INTO `lang_definitions` VALUES (49404, 8235, 10, '程序报告状态');
INSERT INTO `lang_definitions` VALUES (49405, 8237, 10, '过程的结果异常');
INSERT INTO `lang_definitions` VALUES (49406, 8238, 10, '过程的结果状态');
INSERT INTO `lang_definitions` VALUES (49407, 8240, 10, '程序的结果');
INSERT INTO `lang_definitions` VALUES (49408, 8241, 10, '议事路线');
INSERT INTO `lang_definitions` VALUES (49409, 8243, 10, '过程标本类型');
INSERT INTO `lang_definitions` VALUES (49410, 8245, 10, '议事统计报告');
INSERT INTO `lang_definitions` VALUES (49411, 8248, 10, '程序类型');
INSERT INTO `lang_definitions` VALUES (49412, 8249, 10, '过程类型');
INSERT INTO `lang_definitions` VALUES (49413, 8251, 10, '议事单位');
INSERT INTO `lang_definitions` VALUES (49414, 8254, 10, '程序');
INSERT INTO `lang_definitions` VALUES (49415, 8256, 10, '过程');
INSERT INTO `lang_definitions` VALUES (49416, 8258, 10, '程世代文件');
INSERT INTO `lang_definitions` VALUES (49417, 8263, 10, '处理');
INSERT INTO `lang_definitions` VALUES (49418, 8264, 10, '处理');
INSERT INTO `lang_definitions` VALUES (49419, 8265, 10, '处理日期');
INSERT INTO `lang_definitions` VALUES (49420, 8267, 10, '处理');
INSERT INTO `lang_definitions` VALUES (49421, 8274, 10, '产品');
INSERT INTO `lang_definitions` VALUES (49422, 8276, 10, '产品的避孕方法');
INSERT INTO `lang_definitions` VALUES (49423, 8279, 10, '产品');
INSERT INTO `lang_definitions` VALUES (49424, 8280, 10, '产品，但没有处方药和无模板');
INSERT INTO `lang_definitions` VALUES (49425, 8282, 10, '教授');
INSERT INTO `lang_definitions` VALUES (49426, 8290, 10, '病程记录');
INSERT INTO `lang_definitions` VALUES (49427, 8295, 10, '前列腺癌');
INSERT INTO `lang_definitions` VALUES (49428, 8296, 10, '前列腺癌筛查');
INSERT INTO `lang_definitions` VALUES (49429, 8297, 10, '前列腺检查');
INSERT INTO `lang_definitions` VALUES (49430, 8298, 10, '前列腺问题');
INSERT INTO `lang_definitions` VALUES (49431, 8299, 10, 'W / O enlrgmt，前列腺结节，招标');
INSERT INTO `lang_definitions` VALUES (49432, 8304, 10, '提供绝对路径');
INSERT INTO `lang_definitions` VALUES (49433, 8305, 10, '提供的文件的绝对路径');
INSERT INTO `lang_definitions` VALUES (49434, 8309, 10, '为每个办公室门诊患者的临床总结。');
INSERT INTO `lang_definitions` VALUES (49435, 8311, 10, '提供电子版本，他们的健康信息（包括诊断测试的结果，问题的清单，用药清单，药物过敏）的患者，要求。');
INSERT INTO `lang_definitions` VALUES (49436, 8312, 10, '提供及时的电子门诊信息的EP在四个工作日对他们的健康信息（包括实验室检测结果，问题的清单，用药清单，药物过敏）的患者。');
INSERT INTO `lang_definitions` VALUES (49437, 8313, 10, '参观患者提供记录');
INSERT INTO `lang_definitions` VALUES (49438, 8315, 10, '提供有效的电子邮件地址');
INSERT INTO `lang_definitions` VALUES (49439, 8316, 10, '提供临床总结？');
INSERT INTO `lang_definitions` VALUES (49440, 8317, 10, '提供教育资源（S）？');
INSERT INTO `lang_definitions` VALUES (49441, 8318, 10, '服务人员');
INSERT INTO `lang_definitions` VALUES (49442, 8323, 10, '服务人员ID');
INSERT INTO `lang_definitions` VALUES (49443, 8324, 10, '指定设施的服务人员ID');
INSERT INTO `lang_definitions` VALUES (49444, 8325, 10, '服务人员匹配错误');
INSERT INTO `lang_definitions` VALUES (49445, 8330, 10, '服务人员数目');
INSERT INTO `lang_definitions` VALUES (49446, 8336, 10, '服务人员：');
INSERT INTO `lang_definitions` VALUES (49447, 8337, 10, '服务人员');
INSERT INTO `lang_definitions` VALUES (49448, 8338, 10, '提供非营利机构');
INSERT INTO `lang_definitions` VALUES (49449, 8339, 10, '服务人员把整个日历');
INSERT INTO `lang_definitions` VALUES (49450, 8341, 10, '上一页');
INSERT INTO `lang_definitions` VALUES (49451, 8342, 10, '变压吸附');
INSERT INTO `lang_definitions` VALUES (49452, 8343, 10, '银屑病');
INSERT INTO `lang_definitions` VALUES (49453, 8345, 10, '精极度紧张的诊断');
INSERT INTO `lang_definitions` VALUES (49454, 8346, 10, '精极度紧张用药');
INSERT INTO `lang_definitions` VALUES (49455, 8347, 10, '精神科');
INSERT INTO `lang_definitions` VALUES (49456, 8348, 10, '精神科摘要字母');
INSERT INTO `lang_definitions` VALUES (49457, 8349, 10, '精神科诊断');
INSERT INTO `lang_definitions` VALUES (49458, 8350, 10, '精神病鉴定');
INSERT INTO `lang_definitions` VALUES (49459, 8352, 10, '有精神病史');
INSERT INTO `lang_definitions` VALUES (49460, 8353, 10, '精神科进');
INSERT INTO `lang_definitions` VALUES (49461, 8354, 10, '精神科药物');
INSERT INTO `lang_definitions` VALUES (49462, 8358, 10, '客户百分比');
INSERT INTO `lang_definitions` VALUES (49463, 8360, 10, '客户注释');
INSERT INTO `lang_definitions` VALUES (49464, 8361, 10, '客户注释/验证');
INSERT INTO `lang_definitions` VALUES (49465, 8362, 10, '客户多缴');
INSERT INTO `lang_definitions` VALUES (49466, 8364, 10, '客户付费');
INSERT INTO `lang_definitions` VALUES (49467, 8365, 10, '客户建议请求');
INSERT INTO `lang_definitions` VALUES (49468, 8366, 10, '客户退款');
INSERT INTO `lang_definitions` VALUES (49469, 8367, 10, '客户痊愈');
INSERT INTO `lang_definitions` VALUES (49470, 8368, 10, '客户报告');
INSERT INTO `lang_definitions` VALUES (49471, 8369, 10, '客户，或留空');
INSERT INTO `lang_definitions` VALUES (49472, 8370, 10, '客户_城市');
INSERT INTO `lang_definitions` VALUES (49473, 8371, 10, '客户_出生日期');
INSERT INTO `lang_definitions` VALUES (49474, 8373, 10, '客户_名字');
INSERT INTO `lang_definitions` VALUES (49475, 8374, 10, '客户_姓氏');
INSERT INTO `lang_definitions` VALUES (49476, 8375, 10, '客户_中间名字');
INSERT INTO `lang_definitions` VALUES (49477, 8378, 10, '客户_邮编');
INSERT INTO `lang_definitions` VALUES (49478, 8380, 10, '客户_省/市');
INSERT INTO `lang_definitions` VALUES (49479, 8381, 10, '客户_街道');
INSERT INTO `lang_definitions` VALUES (49480, 8383, 10, '公众');
INSERT INTO `lang_definitions` VALUES (49481, 8387, 10, '公共卫生服务（PHS）或其他联邦机构');
INSERT INTO `lang_definitions` VALUES (49482, 8394, 10, '波多黎各');
INSERT INTO `lang_definitions` VALUES (49483, 8396, 10, '肺');
INSERT INTO `lang_definitions` VALUES (49484, 8398, 10, '脉冲');
INSERT INTO `lang_definitions` VALUES (49485, 8399, 10, '旁遮普');
INSERT INTO `lang_definitions` VALUES (49486, 8401, 10, '采购');
INSERT INTO `lang_definitions` VALUES (49487, 8402, 10, '购买/返回');
INSERT INTO `lang_definitions` VALUES (49488, 8403, 10, '采购');
INSERT INTO `lang_definitions` VALUES (49489, 8408, 10, '每3小時');
INSERT INTO `lang_definitions` VALUES (49490, 8409, 10, '每4小時');
INSERT INTO `lang_definitions` VALUES (49491, 8410, 10, '每5小時');
INSERT INTO `lang_definitions` VALUES (49492, 8411, 10, '每6小時');
INSERT INTO `lang_definitions` VALUES (49493, 8412, 10, '每8小時');
INSERT INTO `lang_definitions` VALUES (49494, 8413, 10, '每天4次');
INSERT INTO `lang_definitions` VALUES (49495, 8414, 10, '每天4次');
INSERT INTO `lang_definitions` VALUES (49496, 8417, 10, '每隔1小時');
INSERT INTO `lang_definitions` VALUES (49497, 8418, 10, '每隔1小時是少於每月用量');
INSERT INTO `lang_definitions` VALUES (49498, 8419, 10, '数量');
INSERT INTO `lang_definitions` VALUES (49499, 8420, 10, '数量');
INSERT INTO `lang_definitions` VALUES (49500, 8421, 10, '质量');
INSERT INTO `lang_definitions` VALUES (49501, 8422, 10, '质量的措施（CQM）');
INSERT INTO `lang_definitions` VALUES (49502, 8423, 10, '数量');
INSERT INTO `lang_definitions` VALUES (49503, 8425, 10, 'NDC的数量');
INSERT INTO `lang_definitions` VALUES (49504, 8426, 10, '手边的数量');
INSERT INTO `lang_definitions` VALUES (49505, 8427, 10, '数量似乎不可用');
INSERT INTO `lang_definitions` VALUES (49506, 8431, 10, '问号');
INSERT INTO `lang_definitions` VALUES (49507, 8432, 10, '为HCFA批处理队列');
INSERT INTO `lang_definitions` VALUES (49508, 8433, 10, 'HCFA批量处理和印刷队列');
INSERT INTO `lang_definitions` VALUES (49509, 8434, 10, 'UB-92批量处理队列');
INSERT INTO `lang_definitions` VALUES (49510, 8435, 10, 'UB-92的批量处理和打印队列');
INSERT INTO `lang_definitions` VALUES (49511, 8436, 10, '排队');
INSERT INTO `lang_definitions` VALUES (49512, 8437, 10, '排队的事件管理');
INSERT INTO `lang_definitions` VALUES (49513, 8438, 10, '排队');
INSERT INTO `lang_definitions` VALUES (49514, 8440, 10, '排队提交管理');
INSERT INTO `lang_definitions` VALUES (49515, 8442, 10, '退出');
INSERT INTO `lang_definitions` VALUES (49516, 8443, 10, '戒烟酒');
INSERT INTO `lang_definitions` VALUES (49517, 8445, 10, 'ŕ');
INSERT INTO `lang_definitions` VALUES (49518, 8452, 10, '种族');
INSERT INTO `lang_definitions` VALUES (49519, 8453, 10, '种族和民族');
INSERT INTO `lang_definitions` VALUES (49520, 8454, 10, '种族/族裔');
INSERT INTO `lang_definitions` VALUES (49521, 8456, 10, '无线电');
INSERT INTO `lang_definitions` VALUES (49522, 8457, 10, '单选按钮');
INSERT INTO `lang_definitions` VALUES (49523, 8462, 10, '范围');
INSERT INTO `lang_definitions` VALUES (49524, 8463, 10, '皮疹');
INSERT INTO `lang_definitions` VALUES (49525, 8464, 10, '率');
INSERT INTO `lang_definitions` VALUES (49526, 8466, 10, '比');
INSERT INTO `lang_definitions` VALUES (49527, 8467, 10, '原报告');
INSERT INTO `lang_definitions` VALUES (49528, 8475, 10, '重新鉴定');
INSERT INTO `lang_definitions` VALUES (49529, 8476, 10, '重新鉴定过程完成');
INSERT INTO `lang_definitions` VALUES (49530, 8477, 10, '重新鉴定的过程是正在进行');
INSERT INTO `lang_definitions` VALUES (49531, 8478, 10, '重新鉴定的文件将被保存在');
INSERT INTO `lang_definitions` VALUES (49532, 8479, 10, '再度受伤？');
INSERT INTO `lang_definitions` VALUES (49533, 8480, 10, '重新开放');
INSERT INTO `lang_definitions` VALUES (49534, 8482, 10, '重新开放');
INSERT INTO `lang_definitions` VALUES (49535, 8484, 10, '反应');
INSERT INTO `lang_definitions` VALUES (49536, 8486, 10, '反应');
INSERT INTO `lang_definitions` VALUES (49537, 8489, 10, '阅读');
INSERT INTO `lang_definitions` VALUES (49538, 8496, 10, '真实姓名');
INSERT INTO `lang_definitions` VALUES (49539, 8497, 10, '真正删除');
INSERT INTO `lang_definitions` VALUES (49540, 8498, 10, '原因');
INSERT INTO `lang_definitions` VALUES (49541, 8499, 10, '原因死者');
INSERT INTO `lang_definitions` VALUES (49542, 8500, 10, '死亡原因');
INSERT INTO `lang_definitions` VALUES (49543, 8502, 10, '转介原因');
INSERT INTO `lang_definitions` VALUES (49544, 8504, 10, '门诊的原因');
INSERT INTO `lang_definitions` VALUES (49545, 8506, 10, '原因/表格');
INSERT INTO `lang_definitions` VALUES (49546, 8521, 10, '收据');
INSERT INTO `lang_definitions` VALUES (49547, 8522, 10, '付款收据');
INSERT INTO `lang_definitions` VALUES (49548, 8523, 10, '收据生成');
INSERT INTO `lang_definitions` VALUES (49549, 8524, 10, '预收付款方法报告');
INSERT INTO `lang_definitions` VALUES (49550, 8525, 10, '收款汇总');
INSERT INTO `lang_definitions` VALUES (49551, 8526, 10, '收到');
INSERT INTO `lang_definitions` VALUES (49552, 8527, 10, '收到');
INSERT INTO `lang_definitions` VALUES (49553, 8528, 10, '接收的传真');
INSERT INTO `lang_definitions` VALUES (49554, 8532, 10, '接收器');
INSERT INTO `lang_definitions` VALUES (49555, 8533, 10, '接收器的ID');
INSERT INTO `lang_definitions` VALUES (49556, 8534, 10, '接收器的ID（ISA08）');
INSERT INTO `lang_definitions` VALUES (49557, 8535, 10, '接收器的ID预选赛（ISA07）');
INSERT INTO `lang_definitions` VALUES (49558, 8540, 10, '近三个密码是不允许的。');
INSERT INTO `lang_definitions` VALUES (49559, 8542, 10, '接受者');
INSERT INTO `lang_definitions` VALUES (49560, 8543, 10, '收件人列表是空的');
INSERT INTO `lang_definitions` VALUES (49561, 8544, 10, '收件人姓名');
INSERT INTO `lang_definitions` VALUES (49562, 8545, 10, '收件人披露');
INSERT INTO `lang_definitions` VALUES (49563, 8549, 10, '建议');
INSERT INTO `lang_definitions` VALUES (49564, 8552, 10, '建议');
INSERT INTO `lang_definitions` VALUES (49565, 8553, 10, '建议和治疗');
INSERT INTO `lang_definitions` VALUES (49566, 8554, 10, '由专家的建议');
INSERT INTO `lang_definitions` VALUES (49567, 8557, 10, '记录');
INSERT INTO `lang_definitions` VALUES (49568, 8558, 10, '记录已经存在');
INSERT INTO `lang_definitions` VALUES (49569, 8564, 10, '记录和图表，在生命体征的变化。');
INSERT INTO `lang_definitions` VALUES (49570, 8565, 10, '记录人口统计。');
INSERT INTO `lang_definitions` VALUES (49571, 8566, 10, '记录披露');
INSERT INTO `lang_definitions` VALUES (49572, 8567, 10, '记录健身');
INSERT INTO `lang_definitions` VALUES (49573, 8568, 10, '记录付款');
INSERT INTO `lang_definitions` VALUES (49574, 8570, 10, '记录请求日期');
INSERT INTO `lang_definitions` VALUES (49575, 8571, 10, '纪录为13岁或以上的患者吸烟状况。');
INSERT INTO `lang_definitions` VALUES (49576, 8572, 10, '记录');
INSERT INTO `lang_definitions` VALUES (49577, 8573, 10, '找到记录');
INSERT INTO `lang_definitions` VALUES (49578, 8574, 10, '找到记录。');
INSERT INTO `lang_definitions` VALUES (49579, 8576, 10, '娱乐性药物的使用');
INSERT INTO `lang_definitions` VALUES (49580, 8577, 10, '娱乐性药物');
INSERT INTO `lang_definitions` VALUES (49581, 8578, 10, '直肠');
INSERT INTO `lang_definitions` VALUES (49582, 8579, 10, '直肠检查');
INSERT INTO `lang_definitions` VALUES (49583, 8580, 10, '直肠');
INSERT INTO `lang_definitions` VALUES (49584, 8592, 10, '重定向');
INSERT INTO `lang_definitions` VALUES (49585, 8593, 10, '发红');
INSERT INTO `lang_definitions` VALUES (49586, 8595, 10, '降低：');
INSERT INTO `lang_definitions` VALUES (49587, 8597, 10, '参考');
INSERT INTO `lang_definitions` VALUES (49588, 8598, 10, '指由');
INSERT INTO `lang_definitions` VALUES (49589, 8599, 10, '请参阅日期');
INSERT INTO `lang_definitions` VALUES (49590, 8600, 10, '指');
INSERT INTO `lang_definitions` VALUES (49591, 8603, 10, '参考分类（风险水平）');
INSERT INTO `lang_definitions` VALUES (49592, 8604, 10, '结果参考范围');
INSERT INTO `lang_definitions` VALUES (49593, 8605, 10, '参考的原因');
INSERT INTO `lang_definitions` VALUES (49594, 8609, 10, 'Referer的名称和签名');
INSERT INTO `lang_definitions` VALUES (49595, 8610, 10, '转诊');
INSERT INTO `lang_definitions` VALUES (49596, 8611, 10, '转介');
INSERT INTO `lang_definitions` VALUES (49597, 8612, 10, '转诊卡');
INSERT INTO `lang_definitions` VALUES (49598, 8613, 10, '转介日期');
INSERT INTO `lang_definitions` VALUES (49599, 8614, 10, '转介表');
INSERT INTO `lang_definitions` VALUES (49600, 8615, 10, '转学表');
INSERT INTO `lang_definitions` VALUES (49601, 8616, 10, '转诊的ID');
INSERT INTO `lang_definitions` VALUES (49602, 8619, 10, '转介来源');
INSERT INTO `lang_definitions` VALUES (49603, 8620, 10, '转介来源为遭遇');
INSERT INTO `lang_definitions` VALUES (49604, 8621, 10, '转诊到');
INSERT INTO `lang_definitions` VALUES (49605, 8622, 10, '介绍人');
INSERT INTO `lang_definitions` VALUES (49606, 8623, 10, '介绍人报告');
INSERT INTO `lang_definitions` VALUES (49607, 8624, 10, '所提');
INSERT INTO `lang_definitions` VALUES (49608, 8625, 10, '所提');
INSERT INTO `lang_definitions` VALUES (49609, 8627, 10, '简称');
INSERT INTO `lang_definitions` VALUES (49610, 8628, 10, '引荐');
INSERT INTO `lang_definitions` VALUES (49611, 8630, 10, '引荐诊断');
INSERT INTO `lang_definitions` VALUES (49612, 8631, 10, '引荐诊断');
INSERT INTO `lang_definitions` VALUES (49613, 8633, 10, '在谈到医生和实践');
INSERT INTO `lang_definitions` VALUES (49614, 8635, 10, '在谈到服务人员');
INSERT INTO `lang_definitions` VALUES (49615, 8636, 10, '笔芯');
INSERT INTO `lang_definitions` VALUES (49616, 8639, 10, '笔芯');
INSERT INTO `lang_definitions` VALUES (49617, 8640, 10, '笔芯');
INSERT INTO `lang_definitions` VALUES (49618, 8641, 10, '反射正常');
INSERT INTO `lang_definitions` VALUES (49619, 8645, 10, '刷新');
INSERT INTO `lang_definitions` VALUES (49620, 8648, 10, '清爽提醒');
INSERT INTO `lang_definitions` VALUES (49621, 8651, 10, '拒绝说明');
INSERT INTO `lang_definitions` VALUES (49622, 8652, 10, '注册');
INSERT INTO `lang_definitions` VALUES (49623, 8656, 10, '注册');
INSERT INTO `lang_definitions` VALUES (49624, 8662, 10, '注册');
INSERT INTO `lang_definitions` VALUES (49625, 8663, 10, '注册');
INSERT INTO `lang_definitions` VALUES (49626, 8668, 10, '注册日期');
INSERT INTO `lang_definitions` VALUES (49627, 8671, 10, '报名表');
INSERT INTO `lang_definitions` VALUES (49628, 8672, 10, '复原');
INSERT INTO `lang_definitions` VALUES (49629, 8676, 10, '涉及到');
INSERT INTO `lang_definitions` VALUES (49630, 8677, 10, '有关');
INSERT INTO `lang_definitions` VALUES (49631, 8678, 10, '相关问题');
INSERT INTO `lang_definitions` VALUES (49632, 8680, 10, '关系（S）/儿童');
INSERT INTO `lang_definitions` VALUES (49633, 8681, 10, '关系');
INSERT INTO `lang_definitions` VALUES (49634, 8682, 10, '关系');
INSERT INTO `lang_definitions` VALUES (49635, 8683, 10, '这个实体的相对顺序');
INSERT INTO `lang_definitions` VALUES (49636, 8684, 10, '亲属');
INSERT INTO `lang_definitions` VALUES (49637, 8695, 10, '继电器健康凭据丢失该用户帐户。');
INSERT INTO `lang_definitions` VALUES (49638, 8696, 10, '继电器健康ID');
INSERT INTO `lang_definitions` VALUES (49639, 8700, 10, '宗教');
INSERT INTO `lang_definitions` VALUES (49640, 8705, 10, '重新登录');
INSERT INTO `lang_definitions` VALUES (49641, 8706, 10, 'remdr');
INSERT INTO `lang_definitions` VALUES (49642, 8709, 10, '记住选择基金');
INSERT INTO `lang_definitions` VALUES (49643, 8712, 10, '提醒');
INSERT INTO `lang_definitions` VALUES (49644, 8715, 10, '提醒间隔');
INSERT INTO `lang_definitions` VALUES (49645, 8716, 10, '提醒不要发了');
INSERT INTO `lang_definitions` VALUES (49646, 8720, 10, '发送提醒');
INSERT INTO `lang_definitions` VALUES (49647, 8725, 10, '提醒');
INSERT INTO `lang_definitions` VALUES (49648, 8726, 10, '汇至');
INSERT INTO `lang_definitions` VALUES (49649, 8729, 10, '清除');
INSERT INTO `lang_definitions` VALUES (49650, 8733, 10, '删除组');
INSERT INTO `lang_definitions` VALUES (49651, 8734, 10, '删除组的形式');
INSERT INTO `lang_definitions` VALUES (49652, 8738, 10, '删除免疫支持');
INSERT INTO `lang_definitions` VALUES (49653, 8739, 10, '删除phpMyAdmin的支持');
INSERT INTO `lang_definitions` VALUES (49654, 8740, 10, '删除处方');
INSERT INTO `lang_definitions` VALUES (49655, 8742, 10, '删除图表跟踪功能');
INSERT INTO `lang_definitions` VALUES (49656, 8743, 10, '肾结石');
INSERT INTO `lang_definitions` VALUES (49657, 8744, 10, '重命名');
INSERT INTO `lang_definitions` VALUES (49658, 8745, 10, '重命名组');
INSERT INTO `lang_definitions` VALUES (49659, 8746, 10, '渲染');
INSERT INTO `lang_definitions` VALUES (49660, 8747, 10, '渲染提供商');
INSERT INTO `lang_definitions` VALUES (49661, 8748, 10, '渲染提供商的号码');
INSERT INTO `lang_definitions` VALUES (49662, 8750, 10, '重新排序');
INSERT INTO `lang_definitions` VALUES (49663, 8751, 10, '重新排列在');
INSERT INTO `lang_definitions` VALUES (49664, 8752, 10, '订货点已达到');
INSERT INTO `lang_definitions` VALUES (49665, 8753, 10, '重新排序来看，如果不适用');
INSERT INTO `lang_definitions` VALUES (49666, 8754, 10, '声望');
INSERT INTO `lang_definitions` VALUES (49667, 8758, 10, '重复事件');
INSERT INTO `lang_definitions` VALUES (49668, 8759, 10, '重复信息：');
INSERT INTO `lang_definitions` VALUES (49669, 8760, 10, '重复');
INSERT INTO `lang_definitions` VALUES (49670, 8771, 10, '回复日期');
INSERT INTO `lang_definitions` VALUES (49671, 8772, 10, '回复从');
INSERT INTO `lang_definitions` VALUES (49672, 8774, 10, '报告');
INSERT INTO `lang_definitions` VALUES (49673, 8776, 10, '报告 - 临床');
INSERT INTO `lang_definitions` VALUES (49674, 8779, 10, '的报告');
INSERT INTO `lang_definitions` VALUES (49675, 8789, 10, '报告状态');
INSERT INTO `lang_definitions` VALUES (49676, 8790, 10, '报告汇总');
INSERT INTO `lang_definitions` VALUES (49677, 8794, 10, '申报');
INSERT INTO `lang_definitions` VALUES (49678, 8795, 10, '报告');
INSERT INTO `lang_definitions` VALUES (49679, 8796, 10, '报告日期');
INSERT INTO `lang_definitions` VALUES (49680, 8797, 10, '报告');
INSERT INTO `lang_definitions` VALUES (49681, 8804, 10, '请求被忽略 - 索赔处理已经运行！');
INSERT INTO `lang_definitions` VALUES (49682, 8815, 10, '请求的服务');
INSERT INTO `lang_definitions` VALUES (49683, 8819, 10, '需要强有力的密码');
INSERT INTO `lang_definitions` VALUES (49684, 8820, 10, '需要独特的密码');
INSERT INTO `lang_definitions` VALUES (49685, 8821, 10, '需要');
INSERT INTO `lang_definitions` VALUES (49686, 8824, 10, '必填失踪：请选择的EDI-271要上传的文件');
INSERT INTO `lang_definitions` VALUES (49687, 8825, 10, '缺少必需的字段：请输入名字');
INSERT INTO `lang_definitions` VALUES (49688, 8826, 10, '缺少必需的字段：请输入姓氏');
INSERT INTO `lang_definitions` VALUES (49689, 8827, 10, '缺少必需的字段：请输入用户名');
INSERT INTO `lang_definitions` VALUES (49690, 8828, 10, '必填字段');
INSERT INTO `lang_definitions` VALUES (49691, 8829, 10, '要求');
INSERT INTO `lang_definitions` VALUES (49692, 8832, 10, '版权所有');
INSERT INTO `lang_definitions` VALUES (49693, 8833, 10, '版权所有');
INSERT INTO `lang_definitions` VALUES (49694, 8834, 10, '保留使用定义排定的休假时间');
INSERT INTO `lang_definitions` VALUES (49695, 8835, 10, '服务人员可能无法获得任命时，保留的定义。');
INSERT INTO `lang_definitions` VALUES (49696, 8836, 10, '保留定义事件没有发生时指定。');
INSERT INTO `lang_definitions` VALUES (49697, 8837, 10, '保留todefine当一个服务人员可能会haveavailable任命后。');
INSERT INTO `lang_definitions` VALUES (49698, 8838, 10, '重置');
INSERT INTO `lang_definitions` VALUES (49699, 8842, 10, '复位异地门户证书');
INSERT INTO `lang_definitions` VALUES (49700, 8844, 10, '复位上门门户全权证书');
INSERT INTO `lang_definitions` VALUES (49701, 8850, 10, 'resn');
INSERT INTO `lang_definitions` VALUES (49702, 8852, 10, '解决');
INSERT INTO `lang_definitions` VALUES (49703, 8855, 10, '呼吸');
INSERT INTO `lang_definitions` VALUES (49704, 8856, 10, '呼吸器努力unlabored');
INSERT INTO `lang_definitions` VALUES (49705, 8857, 10, '呼吸系统');
INSERT INTO `lang_definitions` VALUES (49706, 8864, 10, '限制非授权用户在用户管理中设置的附表设施。');
INSERT INTO `lang_definitions` VALUES (49707, 8865, 10, '限制用户设施');
INSERT INTO `lang_definitions` VALUES (49708, 8866, 10, '有限的培训');
INSERT INTO `lang_definitions` VALUES (49709, 8867, 10, '导致');
INSERT INTO `lang_definitions` VALUES (49710, 8869, 10, '结果状态');
INSERT INTO `lang_definitions` VALUES (49711, 8870, 10, '结果状态或异常丢失');
INSERT INTO `lang_definitions` VALUES (49712, 8871, 10, '因此，使用一个通配符％');
INSERT INTO `lang_definitions` VALUES (49713, 8873, 10, '结果和');
INSERT INTO `lang_definitions` VALUES (49714, 8874, 10, '结果发现搜索');
INSERT INTO `lang_definitions` VALUES (49715, 8875, 10, '结果A组');
INSERT INTO `lang_definitions` VALUES (49716, 8879, 10, '结果每页');
INSERT INTO `lang_definitions` VALUES (49717, 8880, 10, '结果/详细信息');
INSERT INTO `lang_definitions` VALUES (49718, 8884, 10, '视网膜考试');
INSERT INTO `lang_definitions` VALUES (49719, 8885, 10, '收回权：');
INSERT INTO `lang_definitions` VALUES (49720, 8886, 10, '返回');
INSERT INTO `lang_definitions` VALUES (49721, 8887, 10, '回到上面的一部分，与您的付款');
INSERT INTO `lang_definitions` VALUES (49722, 8890, 10, '返回到日历');
INSERT INTO `lang_definitions` VALUES (49723, 8897, 10, '返回值');
INSERT INTO `lang_definitions` VALUES (49724, 8898, 10, '复诊');
INSERT INTO `lang_definitions` VALUES (49725, 8899, 10, '返回到播放');
INSERT INTO `lang_definitions` VALUES (49726, 8914, 10, '玛嘉烈医院回顾：');
INSERT INTO `lang_definitions` VALUES (49727, 8917, 10, '系统回顾');
INSERT INTO `lang_definitions` VALUES (49728, 8918, 10, '审查系统的检查');
INSERT INTO `lang_definitions` VALUES (49729, 8921, 10, '评论');
INSERT INTO `lang_definitions` VALUES (49730, 8924, 10, '调整');
INSERT INTO `lang_definitions` VALUES (49731, 8928, 10, '权利');
INSERT INTO `lang_definitions` VALUES (49732, 8931, 10, '右耳');
INSERT INTO `lang_definitions` VALUES (49733, 8932, 10, '右耳');
INSERT INTO `lang_definitions` VALUES (49734, 8940, 10, '右：');
INSERT INTO `lang_definitions` VALUES (49735, 8941, 10, '言犹在耳');
INSERT INTO `lang_definitions` VALUES (49736, 8942, 10, '言犹在耳');
INSERT INTO `lang_definitions` VALUES (49737, 8944, 10, '风险因素');
INSERT INTO `lang_definitions` VALUES (49738, 8945, 10, '风险水平');
INSERT INTO `lang_definitions` VALUES (49739, 8949, 10, 'RLL的：');
INSERT INTO `lang_definitions` VALUES (49740, 8955, 10, '光盘');
INSERT INTO `lang_definitions` VALUES (49741, 8956, 10, '罗马尼亚');
INSERT INTO `lang_definitions` VALUES (49742, 8963, 10, '名册');
INSERT INTO `lang_definitions` VALUES (49743, 8966, 10, '路线');
INSERT INTO `lang_definitions` VALUES (49744, 8967, 10, '给药途径，如适用');
INSERT INTO `lang_definitions` VALUES (49745, 8968, 10, '路由');
INSERT INTO `lang_definitions` VALUES (49746, 8969, 10, '行');
INSERT INTO `lang_definitions` VALUES (49747, 8971, 10, '存款准备金率没有铁道部');
INSERT INTO `lang_definitions` VALUES (49748, 8972, 10, '擦：');
INSERT INTO `lang_definitions` VALUES (49749, 8973, 10, '搓：');
INSERT INTO `lang_definitions` VALUES (49750, 8974, 10, '排除');
INSERT INTO `lang_definitions` VALUES (49751, 8975, 10, '规则添加');
INSERT INTO `lang_definitions` VALUES (49752, 8976, 10, '规则详情');
INSERT INTO `lang_definitions` VALUES (49753, 8978, 10, '规则编辑');
INSERT INTO `lang_definitions` VALUES (49754, 8981, 10, '规则集');
INSERT INTO `lang_definitions` VALUES (49755, 8984, 10, '规则');
INSERT INTO `lang_definitions` VALUES (49756, 8986, 10, '规则配置');
INSERT INTO `lang_definitions` VALUES (49757, 8989, 10, '运行命令：');
INSERT INTO `lang_definitions` VALUES (49758, 8990, 10, '破裂');
INSERT INTO `lang_definitions` VALUES (49759, 8992, 10, '俄');
INSERT INTO `lang_definitions` VALUES (49760, 8995, 10, 'RX');
INSERT INTO `lang_definitions` VALUES (49761, 8996, 10, '接收');
INSERT INTO `lang_definitions` VALUES (49762, 8997, 10, 'RX底部边距（PX）');
INSERT INTO `lang_definitions` VALUES (49763, 9001, 10, 'RX启用DEA的＃');
INSERT INTO `lang_definitions` VALUES (49764, 9002, 10, 'RX启用非营利机构');
INSERT INTO `lang_definitions` VALUES (49765, 9003, 10, 'RX启用国家许可。 ＃');
INSERT INTO `lang_definitions` VALUES (49766, 9007, 10, 'RX左边界（PX）');
INSERT INTO `lang_definitions` VALUES (49767, 9010, 10, '接收纸张尺寸');
INSERT INTO `lang_definitions` VALUES (49768, 9013, 10, 'RX右边缘（PX）');
INSERT INTO `lang_definitions` VALUES (49769, 9014, 10, '接收显示DEA＃');
INSERT INTO `lang_definitions` VALUES (49770, 9015, 10, 'RX显示非营利机构');
INSERT INTO `lang_definitions` VALUES (49771, 9016, 10, '接收显示国家许可。 ＃');
INSERT INTO `lang_definitions` VALUES (49772, 9017, 10, 'RX边距（PX）');
INSERT INTO `lang_definitions` VALUES (49773, 9023, 10, 'RxNorm');
INSERT INTO `lang_definitions` VALUES (49774, 9024, 10, 'RxNorm数据库');
INSERT INTO `lang_definitions` VALUES (49775, 9028, 10, '小号');
INSERT INTO `lang_definitions` VALUES (49776, 9029, 10, 'S.S.');
INSERT INTO `lang_definitions` VALUES (49777, 9030, 10, '中三：');
INSERT INTO `lang_definitions` VALUES (49778, 9031, 10, '四至：');
INSERT INTO `lang_definitions` VALUES (49779, 9032, 10, 'SA**阅读许可请阅读DOCS / LICENSE.TXT或* http://www.gnu.org/copyleft/gpl.html门诊** / //============ ================================================== ===========//');
INSERT INTO `lang_definitions` VALUES (49780, 9034, 10, '出售');
INSERT INTO `lang_definitions` VALUES (49781, 9035, 10, '销售');
INSERT INTO `lang_definitions` VALUES (49782, 9036, 10, '主要项目的销售');
INSERT INTO `lang_definitions` VALUES (49783, 9037, 10, '销售产品报告');
INSERT INTO `lang_definitions` VALUES (49784, 9038, 10, '唾液');
INSERT INTO `lang_definitions` VALUES (49785, 9039, 10, '同一天');
INSERT INTO `lang_definitions` VALUES (49786, 9040, 10, '萨摩亚');
INSERT INTO `lang_definitions` VALUES (49787, 9041, 10, '样本');
INSERT INTO `lang_definitions` VALUES (49788, 9042, 10, '处罚种类');
INSERT INTO `lang_definitions` VALUES (49789, 9047, 10, '星期六');
INSERT INTO `lang_definitions` VALUES (49790, 9048, 10, '周六和周日');
INSERT INTO `lang_definitions` VALUES (49791, 9049, 10, '星期六');
INSERT INTO `lang_definitions` VALUES (49792, 9050, 10, '保存');
INSERT INTO `lang_definitions` VALUES (49793, 9051, 10, '保存');
INSERT INTO `lang_definitions` VALUES (49794, 9055, 10, '保存并关闭');
INSERT INTO `lang_definitions` VALUES (49795, 9058, 10, '保存和分配');
INSERT INTO `lang_definitions` VALUES (49796, 9061, 10, '另存为新');
INSERT INTO `lang_definitions` VALUES (49797, 9063, 10, '另存为新的笔记');
INSERT INTO `lang_definitions` VALUES (49798, 9066, 10, '保存证书设置');
INSERT INTO `lang_definitions` VALUES (49799, 9067, 10, '保存更改');
INSERT INTO `lang_definitions` VALUES (49800, 9075, 10, '保存表格');
INSERT INTO `lang_definitions` VALUES (49801, 9076, 10, '保存免疫');
INSERT INTO `lang_definitions` VALUES (49802, 9078, 10, '保存新领域');
INSERT INTO `lang_definitions` VALUES (49803, 9079, 10, '保存新组');
INSERT INTO `lang_definitions` VALUES (49804, 9080, 10, '保存新的列表');
INSERT INTO `lang_definitions` VALUES (49805, 9081, 10, '保存新模板');
INSERT INTO `lang_definitions` VALUES (49806, 9083, 10, '保存客户的人口统计资料');
INSERT INTO `lang_definitions` VALUES (49807, 9087, 10, '成功保存图表编号');
INSERT INTO `lang_definitions` VALUES (49808, 9089, 10, '节约交易');
INSERT INTO `lang_definitions` VALUES (49809, 9098, 10, '扫描');
INSERT INTO `lang_definitions` VALUES (49810, 9099, 10, '扫描遭遇注意');
INSERT INTO `lang_definitions` VALUES (49811, 9100, 10, '扫描仪指南');
INSERT INTO `lang_definitions` VALUES (49812, 9101, 10, '扫描器');
INSERT INTO `lang_definitions` VALUES (49813, 9104, 10, '时间表');
INSERT INTO `lang_definitions` VALUES (49814, 9106, 10, '附表设施：');
INSERT INTO `lang_definitions` VALUES (49815, 9117, 10, '校注');
INSERT INTO `lang_definitions` VALUES (49816, 9122, 10, '脊柱侧凸');
INSERT INTO `lang_definitions` VALUES (49817, 9133, 10, 'SEL');
INSERT INTO `lang_definitions` VALUES (49818, 9134, 10, 'SE的地址');
INSERT INTO `lang_definitions` VALUES (49819, 9135, 10, 'SE城');
INSERT INTO `lang_definitions` VALUES (49820, 9136, 10, 'SE地区');
INSERT INTO `lang_definitions` VALUES (49821, 9137, 10, 'SE方位');
INSERT INTO `lang_definitions` VALUES (49822, 9138, 10, 'SE邮政编码');
INSERT INTO `lang_definitions` VALUES (49823, 9139, 10, 'SE国');
INSERT INTO `lang_definitions` VALUES (49824, 9140, 10, 'SE邮编');
INSERT INTO `lang_definitions` VALUES (49825, 9141, 10, '搜索');
INSERT INTO `lang_definitions` VALUES (49826, 9143, 10, '搜索');
INSERT INTO `lang_definitions` VALUES (49827, 9144, 10, '再次搜索');
INSERT INTO `lang_definitions` VALUES (49828, 9150, 10, '搜寻：');
INSERT INTO `lang_definitions` VALUES (49829, 9152, 10, '搜索');
INSERT INTO `lang_definitions` VALUES (49830, 9156, 10, '搜索：');
INSERT INTO `lang_definitions` VALUES (49831, 9159, 10, '搜索');
INSERT INTO `lang_definitions` VALUES (49832, 9161, 10, '搜寻或新增客户');
INSERT INTO `lang_definitions` VALUES (49833, 9164, 10, '搜索付款');
INSERT INTO `lang_definitions` VALUES (49834, 9168, 10, '搜索结果：');
INSERT INTO `lang_definitions` VALUES (49835, 9169, 10, '搜索时选择');
INSERT INTO `lang_definitions` VALUES (49836, 9171, 10, '搜索字符串不匹配数据库中的名单');
INSERT INTO `lang_definitions` VALUES (49837, 9172, 10, '搜索字符串应该至少有三个字符');
INSERT INTO `lang_definitions` VALUES (49838, 9174, 10, '搜索文本');
INSERT INTO `lang_definitions` VALUES (49839, 9175, 10, '搜索事件');
INSERT INTO `lang_definitions` VALUES (49840, 9178, 10, '搜索/添加');
INSERT INTO `lang_definitions` VALUES (49841, 9179, 10, '搜索/加入保险');
INSERT INTO `lang_definitions` VALUES (49842, 9181, 10, '寻找约会');
INSERT INTO `lang_definitions` VALUES (49843, 9182, 10, '搜索...');
INSERT INTO `lang_definitions` VALUES (49844, 9184, 10, '安全带的使用');
INSERT INTO `lang_definitions` VALUES (49845, 9185, 10, '安全带的使用');
INSERT INTO `lang_definitions` VALUES (49846, 9186, 10, '第二');
INSERT INTO `lang_definitions` VALUES (49847, 9189, 10, '次要');
INSERT INTO `lang_definitions` VALUES (49848, 9191, 10, '中学保险');
INSERT INTO `lang_definitions` VALUES (49849, 9192, 10, '二级保险数据');
INSERT INTO `lang_definitions` VALUES (49850, 9193, 10, '二次保险提供商');
INSERT INTO `lang_definitions` VALUES (49851, 9194, 10, '二级医疗保险类型');
INSERT INTO `lang_definitions` VALUES (49852, 9207, 10, '安全');
INSERT INTO `lang_definitions` VALUES (49853, 9208, 10, '查看全部');
INSERT INTO `lang_definitions` VALUES (49854, 9210, 10, '看到授权');
INSERT INTO `lang_definitions` VALUES (49855, 9213, 10, '看到增长的走势');
INSERT INTO `lang_definitions` VALUES (49856, 9214, 10, '看到最后一组消息从生成的索赔');
INSERT INTO `lang_definitions` VALUES (49857, 9218, 10, '看到自');
INSERT INTO `lang_definitions` VALUES (49858, 9222, 10, '癫痫发作');
INSERT INTO `lang_definitions` VALUES (49859, 9223, 10, 'SEL');
INSERT INTO `lang_definitions` VALUES (49860, 9224, 10, '选择');
INSERT INTO `lang_definitions` VALUES (49861, 9225, 10, '选择');
INSERT INTO `lang_definitions` VALUES (49862, 9228, 10, '选择一个关联');
INSERT INTO `lang_definitions` VALUES (49863, 9235, 10, '选择一个时间跨度');
INSERT INTO `lang_definitions` VALUES (49864, 9236, 10, '选择一个用户');
INSERT INTO `lang_definitions` VALUES (49865, 9239, 10, '选择全部');
INSERT INTO `lang_definitions` VALUES (49866, 9248, 10, '选择打印CAMOS条目');
INSERT INTO `lang_definitions` VALUES (49867, 9250, 10, '选择类别');
INSERT INTO `lang_definitions` VALUES (49868, 9254, 10, '选择相应的复选框删除');
INSERT INTO `lang_definitions` VALUES (49869, 9256, 10, '选择要删除的标准');
INSERT INTO `lang_definitions` VALUES (49870, 9260, 10, '选择德鉴定所需的数据');
INSERT INTO `lang_definitions` VALUES (49871, 9261, 10, '选择在德中包含的数据标识数据');
INSERT INTO `lang_definitions` VALUES (49872, 9262, 10, '选择日期');
INSERT INTO `lang_definitions` VALUES (49873, 9264, 10, '选择所需的小队');
INSERT INTO `lang_definitions` VALUES (49874, 9265, 10, '选择诊断');
INSERT INTO `lang_definitions` VALUES (49875, 9267, 10, '选择诊断为德鉴定请求');
INSERT INTO `lang_definitions` VALUES (49876, 9271, 10, '选择药物');
INSERT INTO `lang_definitions` VALUES (49877, 9272, 10, '选择药物');
INSERT INTO `lang_definitions` VALUES (49878, 9273, 10, '选择药物为德鉴定请求');
INSERT INTO `lang_definitions` VALUES (49879, 9274, 10, '选择的EDI-271文件');
INSERT INTO `lang_definitions` VALUES (49880, 9276, 10, '选择字段');
INSERT INTO `lang_definitions` VALUES (49881, 9278, 10, '选择字段');
INSERT INTO `lang_definitions` VALUES (49882, 9279, 10, '选择打印');
INSERT INTO `lang_definitions` VALUES (49883, 9285, 10, '选择免疫');
INSERT INTO `lang_definitions` VALUES (49884, 9286, 10, '选择德鉴定要求的预防接种');
INSERT INTO `lang_definitions` VALUES (49885, 9287, 10, '选择保险，键入');
INSERT INTO `lang_definitions` VALUES (49886, 9288, 10, '选择发行');
INSERT INTO `lang_definitions` VALUES (49887, 9291, 10, '选择语言');
INSERT INTO `lang_definitions` VALUES (49888, 9298, 10, '选择一个或多个诊断代码来证明服务');
INSERT INTO `lang_definitions` VALUES (49889, 9321, 10, '选择导出的配置项');
INSERT INTO `lang_definitions` VALUES (49890, 9328, 10, '选择错过了这一天的任何事件负有主要责任的问题');
INSERT INTO `lang_definitions` VALUES (49891, 9338, 10, '选择用户');
INSERT INTO `lang_definitions` VALUES (49892, 9340, 10, '从下拉列表中选择用户');
INSERT INTO `lang_definitions` VALUES (49893, 9341, 10, '选择哪种语言，如果有的话，可能会在登录时选择。 （只有关，如果上述所有语言允许被关闭）');
INSERT INTO `lang_definitions` VALUES (49894, 9343, 10, '选择是确认组删除');
INSERT INTO `lang_definitions` VALUES (49895, 9349, 10, '选');
INSERT INTO `lang_definitions` VALUES (49896, 9350, 10, '选择治疗');
INSERT INTO `lang_definitions` VALUES (49897, 9355, 10, '选择这将创建一个消息，需要单独处理每个收件人（这不是一组的任务）。');
INSERT INTO `lang_definitions` VALUES (49898, 9357, 10, '自');
INSERT INTO `lang_definitions` VALUES (49899, 9358, 10, '自付费');
INSERT INTO `lang_definitions` VALUES (49900, 9360, 10, '发送');
INSERT INTO `lang_definitions` VALUES (49901, 9361, 10, '发送日的提醒');
INSERT INTO `lang_definitions` VALUES (49902, 9362, 10, '发送提醒');
INSERT INTO `lang_definitions` VALUES (49903, 9369, 10, '正在进行中发送');
INSERT INTO `lang_definitions` VALUES (49904, 9372, 10, '发送消息');
INSERT INTO `lang_definitions` VALUES (49905, 9378, 10, '发送提醒批次');
INSERT INTO `lang_definitions` VALUES (49906, 9379, 10, '发送提醒患者每预防/跟进护理客户的偏好。');
INSERT INTO `lang_definitions` VALUES (49907, 9383, 10, '发送介绍人摘要');
INSERT INTO `lang_definitions` VALUES (49908, 9384, 10, '发送此文件');
INSERT INTO `lang_definitions` VALUES (49909, 9385, 10, '发送此消息');
INSERT INTO `lang_definitions` VALUES (49910, 9386, 10, '发送到');
INSERT INTO `lang_definitions` VALUES (49911, 9389, 10, '向所有');
INSERT INTO `lang_definitions` VALUES (49912, 9395, 10, '寄件人');
INSERT INTO `lang_definitions` VALUES (49913, 9396, 10, '发件人ID');
INSERT INTO `lang_definitions` VALUES (49914, 9397, 10, '发件人ID（ISA06）');
INSERT INTO `lang_definitions` VALUES (49915, 9398, 10, 'Sender ID的预选赛（ISA05）');
INSERT INTO `lang_definitions` VALUES (49916, 9407, 10, '敏感性');
INSERT INTO `lang_definitions` VALUES (49917, 9411, 10, '灵敏度：');
INSERT INTO `lang_definitions` VALUES (49918, 9412, 10, '感官检查正常');
INSERT INTO `lang_definitions` VALUES (49919, 9415, 10, '发送留下的所有空白');
INSERT INTO `lang_definitions` VALUES (49920, 9417, 10, '发送日期');
INSERT INTO `lang_definitions` VALUES (49921, 9418, 10, '已发送邮件');
INSERT INTO `lang_definitions` VALUES (49922, 9419, 10, '发送病历？');
INSERT INTO `lang_definitions` VALUES (49923, 9420, 10, '发送成功');
INSERT INTO `lang_definitions` VALUES (49924, 9423, 10, '发送到打印机。');
INSERT INTO `lang_definitions` VALUES (49925, 9424, 10, '离开发送到所有空白');
INSERT INTO `lang_definitions` VALUES (49926, 9429, 10, '九月');
INSERT INTO `lang_definitions` VALUES (49927, 9430, 10, '分离');
INSERT INTO `lang_definitions` VALUES (49928, 9431, 10, '九月');
INSERT INTO `lang_definitions` VALUES (49929, 9432, 10, '序号');
INSERT INTO `lang_definitions` VALUES (49930, 9433, 10, '序列');
INSERT INTO `lang_definitions` VALUES (49931, 9442, 10, '服务');
INSERT INTO `lang_definitions` VALUES (49932, 9444, 10, '服务类别');
INSERT INTO `lang_definitions` VALUES (49933, 9445, 10, '服务守则');
INSERT INTO `lang_definitions` VALUES (49934, 9447, 10, '服务代码');
INSERT INTO `lang_definitions` VALUES (49935, 9448, 10, '服务日期');
INSERT INTO `lang_definitions` VALUES (49936, 9451, 10, '服务日期：');
INSERT INTO `lang_definitions` VALUES (49937, 9455, 10, '服务地点');
INSERT INTO `lang_definitions` VALUES (49938, 9457, 10, '由专家提供的服务');
INSERT INTO `lang_definitions` VALUES (49939, 9461, 10, '服务');
INSERT INTO `lang_definitions` VALUES (49940, 9462, 10, '服务类别');
INSERT INTO `lang_definitions` VALUES (49941, 9463, 10, '提供的服务');
INSERT INTO `lang_definitions` VALUES (49942, 9464, 10, '所提供的服务');
INSERT INTO `lang_definitions` VALUES (49943, 9465, 10, '服务/产品');
INSERT INTO `lang_definitions` VALUES (49944, 9466, 10, '会话类型');
INSERT INTO `lang_definitions` VALUES (49945, 9467, 10, '集');
INSERT INTO `lang_definitions` VALUES (49946, 9468, 10, '设施设置Cookie以记住登录之间的选定设施。');
INSERT INTO `lang_definitions` VALUES (49947, 9469, 10, '设置为已完成');
INSERT INTO `lang_definitions` VALUES (49948, 9478, 10, '设置这个完整的绝对路径。为创建HTTPS客户端SSL证书。');
INSERT INTO `lang_definitions` VALUES (49949, 9479, 10, '设置为');
INSERT INTO `lang_definitions` VALUES (49950, 9480, 10, '设置为默认');
INSERT INTO `lang_definitions` VALUES (49951, 9486, 10, '设置在数据库中的版本号...');
INSERT INTO `lang_definitions` VALUES (49952, 9488, 10, '设置');
INSERT INTO `lang_definitions` VALUES (49953, 9493, 10, '严重偏头痛');
INSERT INTO `lang_definitions` VALUES (49954, 9496, 10, '疼痛严重程度');
INSERT INTO `lang_definitions` VALUES (49955, 9497, 10, '疼痛严重程度：');
INSERT INTO `lang_definitions` VALUES (49956, 9498, 10, '性别');
INSERT INTO `lang_definitions` VALUES (49957, 9499, 10, '性病');
INSERT INTO `lang_definitions` VALUES (49958, 9502, 10, 'SHA-1哈希');
INSERT INTO `lang_definitions` VALUES (49959, 9503, 10, '共享');
INSERT INTO `lang_definitions` VALUES (49960, 9504, 10, '从打印服务器的shell命令。');
INSERT INTO `lang_definitions` VALUES (49961, 9510, 10, '气短');
INSERT INTO `lang_definitions` VALUES (49962, 9511, 10, '气短');
INSERT INTO `lang_definitions` VALUES (49963, 9512, 10, '急促的呼吸2');
INSERT INTO `lang_definitions` VALUES (49964, 9513, 10, '铅球纪录');
INSERT INTO `lang_definitions` VALUES (49965, 9514, 10, '作为拍摄记录：');
INSERT INTO `lang_definitions` VALUES (49966, 9516, 10, '应该类似于nnnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (49967, 9517, 10, '应该是两个字母');
INSERT INTO `lang_definitions` VALUES (49968, 9518, 10, '应包含10个数字');
INSERT INTO `lang_definitions` VALUES (49969, 9519, 10, '应该只包含10个数字');
INSERT INTO `lang_definitions` VALUES (49970, 9520, 10, '肩');
INSERT INTO `lang_definitions` VALUES (49971, 9521, 10, '肩+锁骨');
INSERT INTO `lang_definitions` VALUES (49972, 9522, 10, '肩部有问题');
INSERT INTO `lang_definitions` VALUES (49973, 9523, 10, '显示');
INSERT INTO `lang_definitions` VALUES (49974, 9527, 10, '显示所有');
INSERT INTO `lang_definitions` VALUES (49975, 9531, 10, '显示所有交易');
INSERT INTO `lang_definitions` VALUES (49976, 9532, 10, '显示为忙碌');
INSERT INTO `lang_definitions` VALUES (49977, 9533, 10, '显示唯一授权');
INSERT INTO `lang_definitions` VALUES (49978, 9534, 10, '显示可用的时间');
INSERT INTO `lang_definitions` VALUES (49979, 9535, 10, '显示美国和公制（主要单位是公制）');
INSERT INTO `lang_definitions` VALUES (49980, 9536, 10, '显示美国和公制（主要单位是美国）');
INSERT INTO `lang_definitions` VALUES (49981, 9540, 10, '显示详细信息');
INSERT INTO `lang_definitions` VALUES (49982, 9544, 10, '显示图形');
INSERT INTO `lang_definitions` VALUES (49983, 9546, 10, '徘徊在mouseover事件文本的显示？');
INSERT INTO `lang_definitions` VALUES (49984, 9547, 10, '管理页面上多少事件？');
INSERT INTO `lang_definitions` VALUES (49985, 9552, 10, '显示菜单');
INSERT INTO `lang_definitions` VALUES (49986, 9553, 10, '显示公制只');
INSERT INTO `lang_definitions` VALUES (49987, 9556, 10, '显示注释');
INSERT INTO `lang_definitions` VALUES (49988, 9561, 10, '客户笔记');
INSERT INTO `lang_definitions` VALUES (49989, 9564, 10, '显示初步完成');
INSERT INTO `lang_definitions` VALUES (49990, 9568, 10, '显示提醒');
INSERT INTO `lang_definitions` VALUES (49991, 9569, 10, '展后报告');
INSERT INTO `lang_definitions` VALUES (49992, 9570, 10, '显示搜索/块提交的联系？');
INSERT INTO `lang_definitions` VALUES (49993, 9574, 10, '显示附加列表部件的自定义状态的形式（要求标题和缩写）。');
INSERT INTO `lang_definitions` VALUES (49994, 9580, 10, '显示未入账只有');
INSERT INTO `lang_definitions` VALUES (49995, 9581, 10, '显示，美国只');
INSERT INTO `lang_definitions` VALUES (49996, 9595, 10, '兄弟姐妹');
INSERT INTO `lang_definitions` VALUES (49997, 9596, 10, '镰状细胞');
INSERT INTO `lang_definitions` VALUES (49998, 9597, 10, 'SIG');
INSERT INTO `lang_definitions` VALUES (49999, 9598, 10, '乙状结肠/大肠镜检查');
INSERT INTO `lang_definitions` VALUES (50000, 9601, 10, '注册实验室检测结果（写');
INSERT INTO `lang_definitions` VALUES (50001, 9603, 10, '签结果');
INSERT INTO `lang_definitions` VALUES (50002, 9606, 10, '签名');
INSERT INTO `lang_definitions` VALUES (50003, 9609, 10, '签名：');
INSERT INTO `lang_definitions` VALUES (50004, 9612, 10, '签名接收');
INSERT INTO `lang_definitions` VALUES (50005, 9614, 10, '显著膨胀：');
INSERT INTO `lang_definitions` VALUES (50006, 9616, 10, '简体有限公司支付');
INSERT INTO `lang_definitions` VALUES (50007, 9617, 10, '简化户口资料');
INSERT INTO `lang_definitions` VALUES (50008, 9618, 10, '简化处方');
INSERT INTO `lang_definitions` VALUES (50009, 9619, 10, '自');
INSERT INTO `lang_definitions` VALUES (50010, 9620, 10, '诚挚');
INSERT INTO `lang_definitions` VALUES (50011, 9622, 10, '单');
INSERT INTO `lang_definitions` VALUES (50012, 9624, 10, '单选择列表');
INSERT INTO `lang_definitions` VALUES (50013, 9625, 10, '单选择列表添加到列表的能力');
INSERT INTO `lang_definitions` VALUES (50014, 9629, 10, '窦问题');
INSERT INTO `lang_definitions` VALUES (50015, 9630, 10, '鼻窦手术');
INSERT INTO `lang_definitions` VALUES (50016, 9631, 10, '窦压痛：');
INSERT INTO `lang_definitions` VALUES (50017, 9632, 10, '鼻窦炎');
INSERT INTO `lang_definitions` VALUES (50018, 9637, 10, '站点ID');
INSERT INTO `lang_definitions` VALUES (50019, 9639, 10, '为OpenEMR支持LLC实验室Exchange服务的网站ID。');
INSERT INTO `lang_definitions` VALUES (50020, 9643, 10, '大小');
INSERT INTO `lang_definitions` VALUES (50021, 9646, 10, '尺寸必须介于1和999');
INSERT INTO `lang_definitions` VALUES (50022, 9648, 10, '尺寸/名单');
INSERT INTO `lang_definitions` VALUES (50023, 9650, 10, '皮肤');
INSERT INTO `lang_definitions` VALUES (50024, 9651, 10, '皮肤癌');
INSERT INTO `lang_definitions` VALUES (50025, 9652, 10, '皮肤病');
INSERT INTO `lang_definitions` VALUES (50026, 9653, 10, '皮肤的其他');
INSERT INTO `lang_definitions` VALUES (50027, 9654, 10, '跳过授权客户笔记');
INSERT INTO `lang_definitions` VALUES (50028, 9659, 10, '跳越区间');
INSERT INTO `lang_definitions` VALUES (50029, 9660, 10, '跳转sql-ledger转储-没有实施服务器');
INSERT INTO `lang_definitions` VALUES (50030, 9664, 10, '睡眠模式');
INSERT INTO `lang_definitions` VALUES (50031, 9665, 10, '睡眠模式');
INSERT INTO `lang_definitions` VALUES (50032, 9666, 10, '睡美人');
INSERT INTO `lang_definitions` VALUES (50033, 9668, 10, '斯洛伐克文');
INSERT INTO `lang_definitions` VALUES (50034, 9670, 10, '钐债务W / O型');
INSERT INTO `lang_definitions` VALUES (50035, 9675, 10, 'Smarty缓存已被清除');
INSERT INTO `lang_definitions` VALUES (50036, 9676, 10, '吸烟者的当前状态未知');
INSERT INTO `lang_definitions` VALUES (50037, 9678, 10, '吸烟状况');
INSERT INTO `lang_definitions` VALUES (50038, 9680, 10, '短信管理');
INSERT INTO `lang_definitions` VALUES (50039, 9683, 10, '短信网关');
INSERT INTO `lang_definitions` VALUES (50040, 9684, 10, '短信网关API密钥');
INSERT INTO `lang_definitions` VALUES (50041, 9685, 10, '短信网关API密钥');
INSERT INTO `lang_definitions` VALUES (50042, 9686, 10, '短信网关密码');
INSERT INTO `lang_definitions` VALUES (50043, 9687, 10, '短信网关用户名');
INSERT INTO `lang_definitions` VALUES (50044, 9689, 10, '短信通知');
INSERT INTO `lang_definitions` VALUES (50045, 9690, 10, '短信通知时间');
INSERT INTO `lang_definitions` VALUES (50046, 9693, 10, '发送短信之前');
INSERT INTO `lang_definitions` VALUES (50047, 9694, 10, '发送短信');
INSERT INTO `lang_definitions` VALUES (50048, 9697, 10, '短信文本使用标签：* * * * * * * * * * * * * * * * * * * *服务人员');
INSERT INTO `lang_definitions` VALUES (50049, 9701, 10, '短信/电子邮件警报设置');
INSERT INTO `lang_definitions` VALUES (50050, 9703, 10, '密码认证协议');
INSERT INTO `lang_definitions` VALUES (50051, 9706, 10, 'SMTP主机名');
INSERT INTO `lang_definitions` VALUES (50052, 9707, 10, 'SM TP服务器端口号');
INSERT INTO `lang_definitions` VALUES (50053, 9708, 10, '用户认证协议');
INSERT INTO `lang_definitions` VALUES (50054, 9709, 10, '医学分类命名法');
INSERT INTO `lang_definitions` VALUES (50055, 9717, 10, '术语数据库');
INSERT INTO `lang_definitions` VALUES (50056, 9721, 10, '打呼噜');
INSERT INTO `lang_definitions` VALUES (50057, 9722, 10, '肥皂');
INSERT INTO `lang_definitions` VALUES (50058, 9726, 10, '社会困难');
INSERT INTO `lang_definitions` VALUES (50059, 9729, 10, '社会史：');
INSERT INTO `lang_definitions` VALUES (50060, 9730, 10, '社会安全号码');
INSERT INTO `lang_definitions` VALUES (50061, 9732, 10, '解决方案');
INSERT INTO `lang_definitions` VALUES (50062, 9734, 10, '躯体方面');
INSERT INTO `lang_definitions` VALUES (50063, 9735, 10, '一些授权是不显示的。点击这里查看所有');
INSERT INTO `lang_definitions` VALUES (50064, 9736, 10, '一些代码不显示的。');
INSERT INTO `lang_definitions` VALUES (50065, 9737, 10, '有些遇到没有显示出来。点击这里查看所有。');
INSERT INTO `lang_definitions` VALUES (50066, 9738, 10, '一些时发生错误的识别过程');
INSERT INTO `lang_definitions` VALUES (50067, 9740, 10, '一些笔记不显示。');
INSERT INTO `lang_definitions` VALUES (50068, 9743, 10, '一些话');
INSERT INTO `lang_definitions` VALUES (50069, 9747, 10, '事情出了错。请再试一次。');
INSERT INTO `lang_definitions` VALUES (50070, 9748, 10, '不久由于区间（临床提醒）');
INSERT INTO `lang_definitions` VALUES (50071, 9749, 10, '不久由于区间（客户提醒）');
INSERT INTO `lang_definitions` VALUES (50072, 9750, 10, '喉咙痛');
INSERT INTO `lang_definitions` VALUES (50073, 9754, 10, '对不起，您的文件上传有问题');
INSERT INTO `lang_definitions` VALUES (50074, 9758, 10, '排序方式');
INSERT INTO `lang_definitions` VALUES (50075, 9759, 10, '排序');
INSERT INTO `lang_definitions` VALUES (50076, 9761, 10, '按校检排序');
INSERT INTO `lang_definitions` VALUES (50077, 9762, 10, '按意见排序');
INSERT INTO `lang_definitions` VALUES (50078, 9763, 10, '按CRT用户排序');
INSERT INTO `lang_definitions` VALUES (50079, 9764, 10, '按日期排序');
INSERT INTO `lang_definitions` VALUES (50080, 9765, 10, '按时间排序');
INSERT INTO `lang_definitions` VALUES (50081, 9766, 10, '按事件排序');
INSERT INTO `lang_definitions` VALUES (50082, 9767, 10, '按组排序');
INSERT INTO `lang_definitions` VALUES (50083, 9770, 10, '按客户编号排序');
INSERT INTO `lang_definitions` VALUES (50084, 9772, 10, '按成功排序');
INSERT INTO `lang_definitions` VALUES (50085, 9774, 10, '按用户排序');
INSERT INTO `lang_definitions` VALUES (50086, 9775, 10, '按疫苗排序');
INSERT INTO `lang_definitions` VALUES (50087, 9776, 10, '降序');
INSERT INTO `lang_definitions` VALUES (50088, 9777, 10, '排序结果');
INSERT INTO `lang_definitions` VALUES (50089, 9778, 10, '升序');
INSERT INTO `lang_definitions` VALUES (50090, 9779, 10, '来源');
INSERT INTO `lang_definitions` VALUES (50091, 9781, 10, '源文件');
INSERT INTO `lang_definitions` VALUES (50092, 9782, 10, '源文件路径');
INSERT INTO `lang_definitions` VALUES (50093, 9783, 10, '源代码是失踪');
INSERT INTO `lang_definitions` VALUES (50094, 9784, 10, '源地段');
INSERT INTO `lang_definitions` VALUES (50095, 9789, 10, '来源：');
INSERT INTO `lang_definitions` VALUES (50096, 9792, 10, '空间');
INSERT INTO `lang_definitions` VALUES (50097, 9793, 10, '空间');
INSERT INTO `lang_definitions` VALUES (50098, 9795, 10, '西班牙语');
INSERT INTO `lang_definitions` VALUES (50099, 9796, 10, '西班牙语（拉丁美洲）');
INSERT INTO `lang_definitions` VALUES (50100, 9797, 10, '西班牙语（西班牙）');
INSERT INTO `lang_definitions` VALUES (50101, 9801, 10, '专家');
INSERT INTO `lang_definitions` VALUES (50102, 9802, 10, '专家的姓名和签名');
INSERT INTO `lang_definitions` VALUES (50103, 9804, 10, '专业');
INSERT INTO `lang_definitions` VALUES (50104, 9805, 10, '专业系统');
INSERT INTO `lang_definitions` VALUES (50105, 9806, 10, '专业：');
INSERT INTO `lang_definitions` VALUES (50106, 9807, 10, '特定');
INSERT INTO `lang_definitions` VALUES (50107, 9808, 10, '特定应用');
INSERT INTO `lang_definitions` VALUES (50108, 9809, 10, '特定的避孕服务');
INSERT INTO `lang_definitions` VALUES (50109, 9810, 10, '特定结果');
INSERT INTO `lang_definitions` VALUES (50110, 9811, 10, '特定服务');
INSERT INTO `lang_definitions` VALUES (50111, 9812, 10, '特定');
INSERT INTO `lang_definitions` VALUES (50112, 9813, 10, '指定格式代码。# =数字* =任何字符。如果不使用空。');
INSERT INTO `lang_definitions` VALUES (50113, 9814, 10, '指定格式代码。# =数字@ =α* =任何字符。如果不使用空。');
INSERT INTO `lang_definitions` VALUES (50114, 9815, 10, '指定格式的发票的参考号码。# =数字* =任何字符。如果不使用空。');
INSERT INTO `lang_definitions` VALUES (50115, 9816, 10, '指定格式的发票的参考号码。# =数字@ =α* =任何字符。如果不使用空。');
INSERT INTO `lang_definitions` VALUES (50116, 9817, 10, '指定格式领域产品控制器。# =数字* =任何字符。如果不使用空。');
INSERT INTO `lang_definitions` VALUES (50117, 9818, 10, '指定格式领域产品控制器。# =数字@ =α* =任何字符。如果不使用空。');
INSERT INTO `lang_definitions` VALUES (50118, 9819, 10, '指定格式的外部客户的ID。# =数字* =任何字符。如果不使用空。');
INSERT INTO `lang_definitions` VALUES (50119, 9820, 10, '指定格式的外部客户的ID。# =数字@ =α* =任何字符。如果不使用空。');
INSERT INTO `lang_definitions` VALUES (50120, 9823, 10, '标本');
INSERT INTO `lang_definitions` VALUES (50121, 9824, 10, '标本号/标识符');
INSERT INTO `lang_definitions` VALUES (50122, 9825, 10, '标本类型');
INSERT INTO `lang_definitions` VALUES (50123, 9827, 10, '语音听写');
INSERT INTO `lang_definitions` VALUES (50124, 9828, 10, '杀精剂');
INSERT INTO `lang_definitions` VALUES (50125, 9831, 10, '脾切除术');
INSERT INTO `lang_definitions` VALUES (50126, 9832, 10, '配偶');
INSERT INTO `lang_definitions` VALUES (50127, 9834, 10, '痰');
INSERT INTO `lang_definitions` VALUES (50128, 9835, 10, '痰：');
INSERT INTO `lang_definitions` VALUES (50129, 9836, 10, '倚强');
INSERT INTO `lang_definitions` VALUES (50130, 9839, 10, '队');
INSERT INTO `lang_definitions` VALUES (50131, 9840, 10, '小组成员');
INSERT INTO `lang_definitions` VALUES (50132, 9841, 10, '队');
INSERT INTO `lang_definitions` VALUES (50133, 9843, 10, '性健康和生殖健康');
INSERT INTO `lang_definitions` VALUES (50134, 9844, 10, '性健康和生殖健康-计划生育');
INSERT INTO `lang_definitions` VALUES (50135, 9845, 10, '非计划生育生殖健康');
INSERT INTO `lang_definitions` VALUES (50136, 9846, 10, '性健康和生殖健康推荐');
INSERT INTO `lang_definitions` VALUES (50137, 9847, 10, '性健康和生殖健康门诊表');
INSERT INTO `lang_definitions` VALUES (50138, 9848, 10, 'SRV日期');
INSERT INTO `lang_definitions` VALUES (50139, 9849, 10, '党卫军');
INSERT INTO `lang_definitions` VALUES (50140, 9850, 10, '证书管理');
INSERT INTO `lang_definitions` VALUES (50141, 9851, 10, '炙');
INSERT INTO `lang_definitions` VALUES (50142, 9852, 10, '稳定');
INSERT INTO `lang_definitions` VALUES (50143, 9855, 10, '标准');
INSERT INTO `lang_definitions` VALUES (50144, 9857, 10, '标准规定');
INSERT INTO `lang_definitions` VALUES (50145, 9860, 10, '标准措施');
INSERT INTO `lang_definitions` VALUES (50146, 9864, 10, '标准名称');
INSERT INTO `lang_definitions` VALUES (50147, 9866, 10, '开始');
INSERT INTO `lang_definitions` VALUES (50148, 9867, 10, '启动（年-月-日）：');
INSERT INTO `lang_definitions` VALUES (50149, 9874, 10, '开始日期');
INSERT INTO `lang_definitions` VALUES (50150, 9876, 10, '开始日期在这个诊所');
INSERT INTO `lang_definitions` VALUES (50151, 9877, 10, '开始日期不能大于结束日期');
INSERT INTO `lang_definitions` VALUES (50152, 9878, 10, '起始日期：');
INSERT INTO `lang_definitions` VALUES (50153, 9879, 10, '开始日期：');
INSERT INTO `lang_definitions` VALUES (50154, 9881, 10, '开始时间');
INSERT INTO `lang_definitions` VALUES (50155, 9884, 10, '起始日期');
INSERT INTO `lang_definitions` VALUES (50156, 9888, 10, '统计');
INSERT INTO `lang_definitions` VALUES (50157, 9889, 10, '状态');
INSERT INTO `lang_definitions` VALUES (50158, 9890, 10, '数据类型');
INSERT INTO `lang_definitions` VALUES (50159, 9891, 10, '状态编号。#');
INSERT INTO `lang_definitions` VALUES (50160, 9892, 10, '国家执照号码');
INSERT INTO `lang_definitions` VALUES (50161, 9893, 10, '国家名单');
INSERT INTO `lang_definitions` VALUES (50162, 9894, 10, '状态列表（写只添加可选）');
INSERT INTO `lang_definitions` VALUES (50163, 9896, 10, '自定义域状态部件清单');
INSERT INTO `lang_definitions` VALUES (50164, 9897, 10, '州或省');
INSERT INTO `lang_definitions` VALUES (50165, 9898, 10, '国家/地点');
INSERT INTO `lang_definitions` VALUES (50166, 9899, 10, '国家/帕里什');
INSERT INTO `lang_definitions` VALUES (50167, 9903, 10, '声明总结');
INSERT INTO `lang_definitions` VALUES (50168, 9904, 10, '报表和更新的发票。');
INSERT INTO `lang_definitions` VALUES (50169, 9906, 10, '报表发送：');
INSERT INTO `lang_definitions` VALUES (50170, 9907, 10, '报表；发票将不被更新。');
INSERT INTO `lang_definitions` VALUES (50171, 9908, 10, '静态文字');
INSERT INTO `lang_definitions` VALUES (50172, 9909, 10, '统计');
INSERT INTO `lang_definitions` VALUES (50173, 9910, 10, '统计');
INSERT INTO `lang_definitions` VALUES (50174, 9911, 10, '身份');
INSERT INTO `lang_definitions` VALUES (50175, 9916, 10, '现状');
INSERT INTO `lang_definitions` VALUES (50176, 9918, 10, '性病/艾滋病顾问');
INSERT INTO `lang_definitions` VALUES (50177, 9919, 10, '强度和空调');
INSERT INTO `lang_definitions` VALUES (50178, 9932, 10, '关节僵硬');
INSERT INTO `lang_definitions` VALUES (50179, 9933, 10, '僵硬');
INSERT INTO `lang_definitions` VALUES (50180, 9935, 10, '库存月');
INSERT INTO `lang_definitions` VALUES (50181, 9936, 10, '胃痛');
INSERT INTO `lang_definitions` VALUES (50182, 9942, 10, '存储的哈希');
INSERT INTO `lang_definitions` VALUES (50183, 9944, 10, '应变的肌肉');
INSERT INTO `lang_definitions` VALUES (50184, 9946, 10, '河流');
INSERT INTO `lang_definitions` VALUES (50185, 9947, 10, '街');
INSERT INTO `lang_definitions` VALUES (50186, 9948, 10, '街道地址');
INSERT INTO `lang_definitions` VALUES (50187, 9949, 10, '街及编号');
INSERT INTO `lang_definitions` VALUES (50188, 9950, 10, '实力');
INSERT INTO `lang_definitions` VALUES (50189, 9952, 10, '链球菌性喉炎');
INSERT INTO `lang_definitions` VALUES (50190, 9953, 10, '应力性骨折');
INSERT INTO `lang_definitions` VALUES (50191, 9954, 10, '应力测试');
INSERT INTO `lang_definitions` VALUES (50192, 9956, 10, '敲击');
INSERT INTO `lang_definitions` VALUES (50193, 9958, 10, '强大的密码是指至少8个字符和至少有三个：一个小写字母');
INSERT INTO `lang_definitions` VALUES (50194, 9961, 10, '风格的形式用于增加新的客户');
INSERT INTO `lang_definitions` VALUES (50195, 9965, 10, '子范畴');
INSERT INTO `lang_definitions` VALUES (50196, 9966, 10, '小计');
INSERT INTO `lang_definitions` VALUES (50197, 9967, 10, '分类');
INSERT INTO `lang_definitions` VALUES (50198, 9968, 10, '分类');
INSERT INTO `lang_definitions` VALUES (50199, 9969, 10, '皮下');
INSERT INTO `lang_definitions` VALUES (50200, 9970, 10, '科目');
INSERT INTO `lang_definitions` VALUES (50201, 9971, 10, '主观');
INSERT INTO `lang_definitions` VALUES (50202, 9972, 10, '舌下');
INSERT INTO `lang_definitions` VALUES (50203, 9973, 10, '舌下');
INSERT INTO `lang_definitions` VALUES (50204, 9974, 10, '提交');
INSERT INTO `lang_definitions` VALUES (50205, 9975, 10, '听从');
INSERT INTO `lang_definitions` VALUES (50206, 9976, 10, '提交的所有内容');
INSERT INTO `lang_definitions` VALUES (50207, 9979, 10, '提交事件');
INSERT INTO `lang_definitions` VALUES (50208, 9980, 10, '提交表格');
INSERT INTO `lang_definitions` VALUES (50209, 9982, 10, '将选定内容');
INSERT INTO `lang_definitions` VALUES (50210, 9984, 10, '听从');
INSERT INTO `lang_definitions` VALUES (50211, 9985, 10, '提交');
INSERT INTO `lang_definitions` VALUES (50212, 9986, 10, '提交电子数据交换接入号码（per06）');
INSERT INTO `lang_definitions` VALUES (50213, 9987, 10, '用户');
INSERT INTO `lang_definitions` VALUES (50214, 9988, 10, '用户地址');
INSERT INTO `lang_definitions` VALUES (50215, 9992, 10, '用户单位');
INSERT INTO `lang_definitions` VALUES (50216, 9993, 10, '用户单位（SE）');
INSERT INTO `lang_definitions` VALUES (50217, 9994, 10, '用户单位地址');
INSERT INTO `lang_definitions` VALUES (50218, 9995, 10, '用户单位市');
INSERT INTO `lang_definitions` VALUES (50219, 9996, 10, '用户单位国家');
INSERT INTO `lang_definitions` VALUES (50220, 9997, 10, '用户单位国');
INSERT INTO `lang_definitions` VALUES (50221, 10000, 10, '用户单位邮编');
INSERT INTO `lang_definitions` VALUES (50222, 10005, 10, '用户电话');
INSERT INTO `lang_definitions` VALUES (50223, 10006, 10, '客户关系');
INSERT INTO `lang_definitions` VALUES (50224, 10007, 10, '用户关系不是自己姓名相同！这是真的吗？');
INSERT INTO `lang_definitions` VALUES (50225, 10008, 10, '用户关系不是自我但相同数量！');
INSERT INTO `lang_definitions` VALUES (50226, 10009, 10, '用户的关系是自但是名字是不同的！这是真的吗？');
INSERT INTO `lang_definitions` VALUES (50227, 10010, 10, '用户关系自我但数是不同的！');
INSERT INTO `lang_definitions` VALUES (50228, 10011, 10, '用户性别');
INSERT INTO `lang_definitions` VALUES (50229, 10020, 10, '换人');
INSERT INTO `lang_definitions` VALUES (50230, 10021, 10, '替代允许');
INSERT INTO `lang_definitions` VALUES (50231, 10024, 10, '成功');
INSERT INTO `lang_definitions` VALUES (50232, 10025, 10, '成功');
INSERT INTO `lang_definitions` VALUES (50233, 10026, 10, '成功确认收到实验室结果');
INSERT INTO `lang_definitions` VALUES (50234, 10027, 10, '成功的实验结果');
INSERT INTO `lang_definitions` VALUES (50235, 10028, 10, '成功检索结果从实验室交换网络');
INSERT INTO `lang_definitions` VALUES (50236, 10030, 10, '成功添加分类');
INSERT INTO `lang_definitions` VALUES (50237, 10031, 10, '成功添加分类');
INSERT INTO `lang_definitions` VALUES (50238, 10033, 10, '成功删除');
INSERT INTO `lang_definitions` VALUES (50239, 10035, 10, '成功安装数据库');
INSERT INTO `lang_definitions` VALUES (50240, 10037, 10, '成功修改');
INSERT INTO `lang_definitions` VALUES (50241, 10039, 10, '成功保存。你想分配？');
INSERT INTO `lang_definitions` VALUES (50242, 10040, 10, '成功保存。您想发布？');
INSERT INTO `lang_definitions` VALUES (50243, 10042, 10, '成功储存。');
INSERT INTO `lang_definitions` VALUES (50244, 10044, 10, '成功升级数据库。');
INSERT INTO `lang_definitions` VALUES (50245, 10046, 10, '成功');
INSERT INTO `lang_definitions` VALUES (50246, 10049, 10, '自杀');
INSERT INTO `lang_definitions` VALUES (50247, 10051, 10, '摘要');
INSERT INTO `lang_definitions` VALUES (50248, 10052, 10, '摘要信息');
INSERT INTO `lang_definitions` VALUES (50249, 10058, 10, '太阳');
INSERT INTO `lang_definitions` VALUES (50250, 10060, 10, '星期日');
INSERT INTO `lang_definitions` VALUES (50251, 10061, 10, '超级账单');
INSERT INTO `lang_definitions` VALUES (50252, 10062, 10, '超级账单码');
INSERT INTO `lang_definitions` VALUES (50253, 10063, 10, '超级账单代码管理');
INSERT INTO `lang_definitions` VALUES (50254, 10065, 10, '超级账单报告');
INSERT INTO `lang_definitions` VALUES (50255, 10066, 10, '超级账单 /费用表');
INSERT INTO `lang_definitions` VALUES (50256, 10067, 10, '超级账单');
INSERT INTO `lang_definitions` VALUES (50257, 10068, 10, '超级账单有时称为遇到的形式或路由单是不可缺少的一部分，大多数医疗做法。');
INSERT INTO `lang_definitions` VALUES (50258, 10069, 10, '超级用户');
INSERT INTO `lang_definitions` VALUES (50259, 10071, 10, '监督');
INSERT INTO `lang_definitions` VALUES (50260, 10073, 10, '监督医生的数据包络分析');
INSERT INTO `lang_definitions` VALUES (50261, 10074, 10, '监督医生名字');
INSERT INTO `lang_definitions` VALUES (50262, 10075, 10, '监督医生姓氏');
INSERT INTO `lang_definitions` VALUES (50263, 10076, 10, '监督医生助理');
INSERT INTO `lang_definitions` VALUES (50264, 10077, 10, '医生在监督');
INSERT INTO `lang_definitions` VALUES (50265, 10081, 10, '供应商设施的名字');
INSERT INTO `lang_definitions` VALUES (50266, 10082, 10, '支持日历事件，适用于多个服务人员');
INSERT INTO `lang_definitions` VALUES (50267, 10083, 10, '支持出口/进口配置数据通过备份页面。');
INSERT INTO `lang_definitions` VALUES (50268, 10084, 10, '支持多服务人员的事件');
INSERT INTO `lang_definitions` VALUES (50269, 10088, 10, '支持Triple DES加密/解密只。');
INSERT INTO `lang_definitions` VALUES (50270, 10090, 10, '表面类型');
INSERT INTO `lang_definitions` VALUES (50271, 10092, 10, '外科手术');
INSERT INTO `lang_definitions` VALUES (50272, 10093, 10, '外科手术');
INSERT INTO `lang_definitions` VALUES (50273, 10095, 10, '暂停');
INSERT INTO `lang_definitions` VALUES (50274, 10096, 10, '暂停');
INSERT INTO `lang_definitions` VALUES (50275, 10098, 10, '日期的SVC');
INSERT INTO `lang_definitions` VALUES (50276, 10099, 10, '静止无功补偿器日期：');
INSERT INTO `lang_definitions` VALUES (50277, 10102, 10, '出汗：');
INSERT INTO `lang_definitions` VALUES (50278, 10103, 10, '瑞典文');
INSERT INTO `lang_definitions` VALUES (50279, 10104, 10, '肿胀');
INSERT INTO `lang_definitions` VALUES (50280, 10105, 10, '右侧溶胀');
INSERT INTO `lang_definitions` VALUES (50281, 10106, 10, '关节肿胀');
INSERT INTO `lang_definitions` VALUES (50282, 10107, 10, '淋巴结肿大');
INSERT INTO `lang_definitions` VALUES (50283, 10108, 10, '小数点符号用作货币。如果不使用小数位数是0。');
INSERT INTO `lang_definitions` VALUES (50284, 10109, 10, '用于分离数以千计的货币符号。');
INSERT INTO `lang_definitions` VALUES (50285, 10110, 10, '症状');
INSERT INTO `lang_definitions` VALUES (50286, 10111, 10, '同步');
INSERT INTO `lang_definitions` VALUES (50287, 10112, 10, '同步翻译与自定义语言表。');
INSERT INTO `lang_definitions` VALUES (50288, 10113, 10, '同步新的自定义常数：');
INSERT INTO `lang_definitions` VALUES (50289, 10114, 10, '同步新的自定义语言：');
INSERT INTO `lang_definitions` VALUES (50290, 10115, 10, '同步的新定义（语言常量定义）：');
INSERT INTO `lang_definitions` VALUES (50291, 10116, 10, '晕厥');
INSERT INTO `lang_definitions` VALUES (50292, 10117, 10, '症状监测');
INSERT INTO `lang_definitions` VALUES (50293, 10118, 10, '症状监测-非报告的问题');
INSERT INTO `lang_definitions` VALUES (50294, 10120, 10, 'impingement');
INSERT INTO `lang_definitions` VALUES (50295, 10121, 10, '系统');
INSERT INTO `lang_definitions` VALUES (50296, 10128, 10, 'Ť');
INSERT INTO `lang_definitions` VALUES (50297, 10130, 10, '每日三次');
INSERT INTO `lang_definitions` VALUES (50298, 10131, 10, '电视');
INSERT INTO `lang_definitions` VALUES (50299, 10133, 10, '表');
INSERT INTO `lang_definitions` VALUES (50300, 10137, 10, '表创建失败');
INSERT INTO `lang_definitions` VALUES (50301, 10138, 10, '表更新失败');
INSERT INTO `lang_definitions` VALUES (50302, 10140, 10, '片剂');
INSERT INTO `lang_definitions` VALUES (50303, 10146, 10, '菲律宾语');
INSERT INTO `lang_definitions` VALUES (50304, 10149, 10, '拿');
INSERT INTO `lang_definitions` VALUES (50305, 10151, 10, '以保险');
INSERT INTO `lang_definitions` VALUES (50306, 10152, 10, '参加付款');
INSERT INTO `lang_definitions` VALUES (50307, 10153, 10, '收回');
INSERT INTO `lang_definitions` VALUES (50308, 10154, 10, '持续时间较长');
INSERT INTO `lang_definitions` VALUES (50309, 10157, 10, '高导航区');
INSERT INTO `lang_definitions` VALUES (50310, 10164, 10, '预定日期');
INSERT INTO `lang_definitions` VALUES (50311, 10168, 10, '目标/行动组');
INSERT INTO `lang_definitions` VALUES (50312, 10173, 10, '税务编号');
INSERT INTO `lang_definitions` VALUES (50313, 10174, 10, '税率');
INSERT INTO `lang_definitions` VALUES (50314, 10175, 10, '税');
INSERT INTO `lang_definitions` VALUES (50315, 10176, 10, '分类');
INSERT INTO `lang_definitions` VALUES (50316, 10181, 10, '破伤风及白喉类毒素');
INSERT INTO `lang_definitions` VALUES (50317, 10182, 10, '小组损伤概况');
INSERT INTO `lang_definitions` VALUES (50318, 10183, 10, '小组名册');
INSERT INTO `lang_definitions` VALUES (50319, 10184, 10, '小组名册查看');
INSERT INTO `lang_definitions` VALUES (50320, 10185, 10, '团队/小队');
INSERT INTO `lang_definitions` VALUES (50321, 10187, 10, '电话');
INSERT INTO `lang_definitions` VALUES (50322, 10189, 10, '国家电话代码');
INSERT INTO `lang_definitions` VALUES (50323, 10192, 10, '临时');
INSERT INTO `lang_definitions` VALUES (50324, 10193, 10, '临时位置');
INSERT INTO `lang_definitions` VALUES (50325, 10194, 10, '温度的方法');
INSERT INTO `lang_definitions` VALUES (50326, 10196, 10, '温度');
INSERT INTO `lang_definitions` VALUES (50327, 10197, 10, '模板');
INSERT INTO `lang_definitions` VALUES (50328, 10198, 10, '模板名称');
INSERT INTO `lang_definitions` VALUES (50329, 10199, 10, '模板名称不能以数字开始。');
INSERT INTO `lang_definitions` VALUES (50330, 10201, 10, '模板：');
INSERT INTO `lang_definitions` VALUES (50331, 10202, 10, '模板');
INSERT INTO `lang_definitions` VALUES (50332, 10205, 10, '颞浅动脉');
INSERT INTO `lang_definitions` VALUES (50333, 10208, 10, '肌腱损伤');
INSERT INTO `lang_definitions` VALUES (50334, 10209, 10, '肌腱炎/尘埃沉着病/滑囊炎');
INSERT INTO `lang_definitions` VALUES (50335, 10211, 10, '暂定发票编号');
INSERT INTO `lang_definitions` VALUES (50336, 10213, 10, '第三纪');
INSERT INTO `lang_definitions` VALUES (50337, 10214, 10, '第三保险');
INSERT INTO `lang_definitions` VALUES (50338, 10215, 10, '第三保险数据');
INSERT INTO `lang_definitions` VALUES (50339, 10216, 10, '第三保险提供商');
INSERT INTO `lang_definitions` VALUES (50340, 10219, 10, '测试调度');
INSERT INTO `lang_definitions` VALUES (50341, 10220, 10, '测试系统');
INSERT INTO `lang_definitions` VALUES (50342, 10223, 10, '文本');
INSERT INTO `lang_definitions` VALUES (50343, 10224, 10, '文本诊断');
INSERT INTO `lang_definitions` VALUES (50344, 10225, 10, '文本字段');
INSERT INTO `lang_definitions` VALUES (50345, 10233, 10, '文字日期');
INSERT INTO `lang_definitions` VALUES (50346, 10234, 10, '文字日期');
INSERT INTO `lang_definitions` VALUES (50347, 10235, 10, '文本');
INSERT INTO `lang_definitions` VALUES (50348, 10236, 10, '文本');
INSERT INTO `lang_definitions` VALUES (50349, 10237, 10, '文本');
INSERT INTO `lang_definitions` VALUES (50350, 10238, 10, '文本');
INSERT INTO `lang_definitions` VALUES (50351, 10239, 10, '文本清单');
INSERT INTO `lang_definitions` VALUES (50352, 10240, 10, '文本清单');
INSERT INTO `lang_definitions` VALUES (50353, 10241, 10, '泰语');
INSERT INTO `lang_definitions` VALUES (50354, 10242, 10, '谢谢您');
INSERT INTO `lang_definitions` VALUES (50355, 10245, 10, '谢谢你的选择');
INSERT INTO `lang_definitions` VALUES (50356, 10247, 10, '明确\'按钮将移除所有注解。');
INSERT INTO `lang_definitions` VALUES (50357, 10254, 10, '上述声明失败');
INSERT INTO `lang_definitions` VALUES (50358, 10264, 10, 'Apache服务器的证书和公钥');
INSERT INTO `lang_definitions` VALUES (50359, 10281, 10, '权威的证书');
INSERT INTO `lang_definitions` VALUES (50360, 10284, 10, '索赔文件：');
INSERT INTO `lang_definitions` VALUES (50361, 10296, 10, '相应的私钥');
INSERT INTO `lang_definitions` VALUES (50362, 10322, 10, '拒绝代码');
INSERT INTO `lang_definitions` VALUES (50363, 10323, 10, '否定组代码');
INSERT INTO `lang_definitions` VALUES (50364, 10328, 10, '目的地的形式被关闭');
INSERT INTO `lang_definitions` VALUES (50365, 10330, 10, '目的地形式封闭;我不能采取行动，您的选择。');
INSERT INTO `lang_definitions` VALUES (50366, 10346, 10, '专业资格的医院或肝炎谁收到客户从另一个设置的照顾或提供服务或认为遇到有关执行药物和解。');
INSERT INTO `lang_definitions` VALUES (50367, 10349, 10, '专业资格的医院或肝炎谁过渡到另一个的客户设置的照顾或提供服务或是指他们的客户到另一个服务人员的照顾应提供简要记录每一个过渡照顾或转介。');
INSERT INTO `lang_definitions` VALUES (50368, 10350, 10, '事件（县）已被批准。');
INSERT INTO `lang_definitions` VALUES (50369, 10351, 10, '事件（县）已被隐藏。');
INSERT INTO `lang_definitions` VALUES (50370, 10352, 10, '出口数据显示在文本区。你可以复制并粘贴到电子邮件或任何其他所需的目的地。');
INSERT INTO `lang_definitions` VALUES (50371, 10354, 10, '出口数据显示在文本区。你可以复制并粘贴到电子邮件或任何其他所需的目的地。');
INSERT INTO `lang_definitions` VALUES (50372, 10355, 10, '出口数据显示在文本区。你可以复制并粘贴到电子邮件或任何其他所需的目的地。');
INSERT INTO `lang_definitions` VALUES (50373, 10359, 10, '该文件可能不会被成功更名为这个错误通常是有关权限问题上的存储系统。');
INSERT INTO `lang_definitions` VALUES (50374, 10380, 10, '以下日历事件已新增：');
INSERT INTO `lang_definitions` VALUES (50375, 10381, 10, '以下日历事件已改性：');
INSERT INTO `lang_definitions` VALUES (50376, 10382, 10, '以下类别将被删除从您的列表类');
INSERT INTO `lang_definitions` VALUES (50377, 10383, 10, '下列数据库版本目前安装');
INSERT INTO `lang_definitions` VALUES (50378, 10386, 10, '下列文件已经上传');
INSERT INTO `lang_definitions` VALUES (50379, 10388, 10, '以下紧急登录用户激活：');
INSERT INTO `lang_definitions` VALUES (50380, 10389, 10, '发生了下列错误');
INSERT INTO `lang_definitions` VALUES (50381, 10392, 10, '以下领域的需要');
INSERT INTO `lang_definitions` VALUES (50382, 10394, 10, '以下领域必须填写发送请求。');
INSERT INTO `lang_definitions` VALUES (50383, 10406, 10, '主机的atna审计知识库机。');
INSERT INTO `lang_definitions` VALUES (50384, 10418, 10, '最初的窗口是发票搜索页。在上面你可以输入一个源（如支票号码）和支票的金额支付日期。原因的来源和日期，你不需要输入他们一遍又一遍，每个索赔。你的金额输入将减少每个发票是一部分付款');
INSERT INTO `lang_definitions` VALUES (50385, 10431, 10, '标签显示给用户的形式');
INSERT INTO `lang_definitions` VALUES (50386, 10438, 10, '长度不应超过下列字符数');
INSERT INTO `lang_definitions` VALUES (50387, 10458, 10, '新的分类将是一个分类别');
INSERT INTO `lang_definitions` VALUES (50388, 10460, 10, '新密码不能同当前密码。');
INSERT INTO `lang_definitions` VALUES (50389, 10461, 10, '新密码领域是不一样的。');
INSERT INTO `lang_definitions` VALUES (50390, 10479, 10, '本页将被重定向到人口。你可以编辑领域和国家newcrop再次点击。');
INSERT INTO `lang_definitions` VALUES (50391, 10482, 10, '密码必须至少八个字符');
INSERT INTO `lang_definitions` VALUES (50392, 10486, 10, '客户记录的要求已被记录。');
INSERT INTO `lang_definitions` VALUES (50393, 10487, 10, '客户提醒已发送');
INSERT INTO `lang_definitions` VALUES (50394, 10488, 10, '客户提醒已更新');
INSERT INTO `lang_definitions` VALUES (50395, 10493, 10, '付款张贴不能超过这个日期。这将确保在最后报告中没有人后，以前的日期。');
INSERT INTO `lang_definitions` VALUES (50396, 10509, 10, '其余的信息只适用于如果您是张贴手动或如果你正在做手动更正。');
INSERT INTO `lang_definitions` VALUES (50397, 10513, 10, '请求的文件不在预期的位置上的文件或没有足够的门诊权限。');
INSERT INTO `lang_definitions` VALUES (50398, 10537, 10, '来源和日期列复制从第一页，通常你不需要触摸那些。你可以把付款金额的支付列调整量的调整列或两者。你也可以点击“瓦特”的权利，自动计算价值的调整，将其余的费用');
INSERT INTO `lang_definitions` VALUES (50399, 10557, 10, '时间粒度的日历和最小间隔分钟赴约槽。');
INSERT INTO `lang_definitions` VALUES (50400, 10562, 10, '翻译标签，会出现在当前的形式语言');
INSERT INTO `lang_definitions` VALUES (50401, 10563, 10, '翻译标题将出现在当前的语言');
INSERT INTO `lang_definitions` VALUES (50402, 10564, 10, '翻译的语言描述在当前');
INSERT INTO `lang_definitions` VALUES (50403, 10565, 10, '翻译表同步。');
INSERT INTO `lang_definitions` VALUES (50404, 10566, 10, '这个实体的类型');
INSERT INTO `lang_definitions` VALUES (50405, 10586, 10, '供应商特定的代码确定这一过程或结果');
INSERT INTO `lang_definitions` VALUES (50406, 10591, 10, '在X12的文件以及由此产生的HTML输出报告的存档中的“时代”子目录主要OpenEMR安装目录。您将要提及这些档案不时。网址是');
INSERT INTO `lang_definitions` VALUES (50407, 10593, 10, '压缩文件将包含下列项目');
INSERT INTO `lang_definitions` VALUES (50408, 10594, 10, '主题');
INSERT INTO `lang_definitions` VALUES (50409, 10601, 10, '注射治疗');
INSERT INTO `lang_definitions` VALUES (50410, 10607, 10, '有');
INSERT INTO `lang_definitions` VALUES (50411, 10610, 10, '目前还没有处方');
INSERT INTO `lang_definitions` VALUES (50412, 10611, 10, '有错误的意见。这些概述如下。');
INSERT INTO `lang_definitions` VALUES (50413, 10616, 10, '有没有图检查。');
INSERT INTO `lang_definitions` VALUES (50414, 10618, 10, '目前没有披露记录这个客户。');
INSERT INTO `lang_definitions` VALUES (50415, 10621, 10, '没有新的划界案');
INSERT INTO `lang_definitions` VALUES (50416, 10622, 10, '这里没有说明文件的客户。');
INSERT INTO `lang_definitions` VALUES (50417, 10624, 10, '有没有交易文件这个客户。');
INSERT INTO `lang_definitions` VALUES (50418, 10639, 10, '已经有送的邮件错误');
INSERT INTO `lang_definitions` VALUES (50419, 10642, 10, '已经有类别命名');
INSERT INTO `lang_definitions` VALUES (50420, 10643, 10, '已经有一个分类命名');
INSERT INTO `lang_definitions` VALUES (50421, 10644, 10, '已经有一个项目为');
INSERT INTO `lang_definitions` VALUES (50422, 10645, 10, '已经有一个开放的客户记录的要求。');
INSERT INTO `lang_definitions` VALUES (50423, 10646, 10, '有没有真品进入阿肯色州帐户');
INSERT INTO `lang_definitions` VALUES (50424, 10647, 10, '有没有真品入境的现金帐户');
INSERT INTO `lang_definitions` VALUES (50425, 10648, 10, '有没有真品入境的收入帐户');
INSERT INTO `lang_definitions` VALUES (50426, 10649, 10, '目前没有耐心');
INSERT INTO `lang_definitions` VALUES (50427, 10651, 10, '没有匹配的发票编号');
INSERT INTO `lang_definitions` VALUES (50428, 10652, 10, '没有匹配的发票编号=');
INSERT INTO `lang_definitions` VALUES (50429, 10653, 10, '没有任何部分进入服务编号');
INSERT INTO `lang_definitions` VALUES (50430, 10656, 10, '时发生错误处理您的请求。');
INSERT INTO `lang_definitions` VALUES (50431, 10682, 10, '增厚的权利：');
INSERT INTO `lang_definitions` VALUES (50432, 10683, 10, '大腿');
INSERT INTO `lang_definitions` VALUES (50433, 10684, 10, '大腿+腿筋');
INSERT INTO `lang_definitions` VALUES (50434, 10686, 10, '办公室人员可以阅读和输入但不能修改');
INSERT INTO `lang_definitions` VALUES (50435, 10687, 10, '办公室人员可以读取和修改');
INSERT INTO `lang_definitions` VALUES (50436, 10690, 10, '医生可以阅读和输入但不能修改');
INSERT INTO `lang_definitions` VALUES (50437, 10691, 10, '医生可以读取和修改');
INSERT INTO `lang_definitions` VALUES (50438, 10694, 10, '前台可以读取和修改');
INSERT INTO `lang_definitions` VALUES (50439, 10695, 10, '前台可以读取和修改');
INSERT INTO `lang_definitions` VALUES (50440, 10698, 10, '医生可以阅读和输入但不能修改');
INSERT INTO `lang_definitions` VALUES (50441, 10699, 10, '医生可以读取和修改的东西');
INSERT INTO `lang_definitions` VALUES (50442, 10701, 10, '第三');
INSERT INTO `lang_definitions` VALUES (50443, 10704, 10, '此操作无法撤消。');
INSERT INTO `lang_definitions` VALUES (50444, 10705, 10, '此操作无法撤消。');
INSERT INTO `lang_definitions` VALUES (50445, 10707, 10, '这一行动将被记录');
INSERT INTO `lang_definitions` VALUES (50446, 10714, 10, '本历年');
INSERT INTO `lang_definitions` VALUES (50447, 10717, 10, '这个要求被拒绝的原因：—');
INSERT INTO `lang_definitions` VALUES (50448, 10718, 10, '这种说法已被转发到下一个水平。');
INSERT INTO `lang_definitions` VALUES (50449, 10725, 10, '此代码类型不接受关系。');
INSERT INTO `lang_definitions` VALUES (50450, 10727, 10, '这方面包含类别，它将被删除。你还想继续吗？');
INSERT INTO `lang_definitions` VALUES (50451, 10730, 10, '这是显示在日历约会。');
INSERT INTO `lang_definitions` VALUES (50452, 10731, 10, '这一决定哪些颜色模式用于预约');
INSERT INTO `lang_definitions` VALUES (50453, 10734, 10, '此次治疗');
INSERT INTO `lang_definitions` VALUES (50454, 10742, 10, '这个功能是非常实验和测试的不完全。使用你自己的风险！');
INSERT INTO `lang_definitions` VALUES (50455, 10753, 10, '这发票号码已变更为');
INSERT INTO `lang_definitions` VALUES (50456, 10789, 10, '该模块在测试模式。该数据库将不会改变。');
INSERT INTO `lang_definitions` VALUES (50457, 10792, 10, '此模块促进有效入境EOB数据。');
INSERT INTO `lang_definitions` VALUES (50458, 10793, 10, '本月迄今');
INSERT INTO `lang_definitions` VALUES (50459, 10801, 10, '本页将内联包括登录页面，这样我们就不必每次点击重新登录。');
INSERT INTO `lang_definitions` VALUES (50460, 10804, 10, '这个客户没有活动。');
INSERT INTO `lang_definitions` VALUES (50461, 10805, 10, '这名患者已在使用中！');
INSERT INTO `lang_definitions` VALUES (50462, 10807, 10, '本产品只允许一个多每个仓库。');
INSERT INTO `lang_definitions` VALUES (50463, 10821, 10, '这一步将生成一个文件，你必须保存以供将来使用。不能将文件重新生成。你想继续吗？');
INSERT INTO `lang_definitions` VALUES (50464, 10822, 10, '这个用户不属于任何团体');
INSERT INTO `lang_definitions` VALUES (50465, 10826, 10, '这次门诊，开始新的避孕药具的使用');
INSERT INTO `lang_definitions` VALUES (50466, 10827, 10, '这将需要一个亚洲电玩研讨会的形式，转诊或服务的程序。');
INSERT INTO `lang_definitions` VALUES (50467, 10828, 10, '这是老年metric-only命脉，现在已不再使用。');
INSERT INTO `lang_definitions` VALUES (50468, 10829, 10, '本周迄今');
INSERT INTO `lang_definitions` VALUES (50469, 10831, 10, '这将启动重整（连续照护纪录）和（连续性的护理文件）报告。');
INSERT INTO `lang_definitions` VALUES (50470, 10834, 10, '这将允许选择调试（\'dummy \'）语言。');
INSERT INTO `lang_definitions` VALUES (50471, 10843, 10, '这将创建一个备份中焦油的格式和发送到您的网页浏览器，这样你可以保存它');
INSERT INTO `lang_definitions` VALUES (50472, 10844, 10, '这将关闭文件的加密和解密功能，并隐藏他们的用户界面。');
INSERT INTO `lang_definitions` VALUES (50473, 10854, 10, '这将迫使计费部件在客户摘要屏幕总是开。');
INSERT INTO `lang_definitions` VALUES (50474, 10860, 10, '这将不会阻止你去网站的电子处方。');
INSERT INTO `lang_definitions` VALUES (50475, 10867, 10, '这将使用自定义免疫表而非标准雪佛龙免疫列表。');
INSERT INTO `lang_definitions` VALUES (50476, 10871, 10, '胸椎');
INSERT INTO `lang_definitions` VALUES (50477, 10873, 10, 'thous / CU.MM');
INSERT INTO `lang_definitions` VALUES (50478, 10878, 10, '咽喉');
INSERT INTO `lang_definitions` VALUES (50479, 10879, 10, '咽喉癌');
INSERT INTO `lang_definitions` VALUES (50480, 10880, 10, '咽喉癌手术');
INSERT INTO `lang_definitions` VALUES (50481, 10881, 10, '血栓/中风');
INSERT INTO `lang_definitions` VALUES (50482, 10882, 10, '星期四');
INSERT INTO `lang_definitions` VALUES (50483, 10884, 10, 'Thurdsay');
INSERT INTO `lang_definitions` VALUES (50484, 10885, 10, '星期四');
INSERT INTO `lang_definitions` VALUES (50485, 10887, 10, '甲状腺正常');
INSERT INTO `lang_definitions` VALUES (50486, 10888, 10, '甲状腺问题');
INSERT INTO `lang_definitions` VALUES (50487, 10890, 10, '短暂性缺血性发作');
INSERT INTO `lang_definitions` VALUES (50488, 10892, 10, '一天三次');
INSERT INTO `lang_definitions` VALUES (50489, 10902, 10, '时间');
INSERT INTO `lang_definitions` VALUES (50490, 10903, 10, '时间显示格式');
INSERT INTO `lang_definitions` VALUES (50491, 10904, 10, '时间增量的添加（分钟1-60 ）');
INSERT INTO `lang_definitions` VALUES (50492, 10905, 10, '选择时间');
INSERT INTO `lang_definitions` VALUES (50493, 10913, 10, '时间事件');
INSERT INTO `lang_definitions` VALUES (50494, 10914, 10, '时报阵列（ ñ /解放军）');
INSERT INTO `lang_definitions` VALUES (50495, 10915, 10, '时间戳和文字');
INSERT INTO `lang_definitions` VALUES (50496, 10917, 10, '锡');
INSERT INTO `lang_definitions` VALUES (50497, 10918, 10, '耳鸣');
INSERT INTO `lang_definitions` VALUES (50498, 10920, 10, '标题');
INSERT INTO `lang_definitions` VALUES (50499, 10923, 10, '第五章');
INSERT INTO `lang_definitions` VALUES (50500, 10924, 10, '标题COLS必须是一个数字1和999之间');
INSERT INTO `lang_definitions` VALUES (50501, 10925, 10, '标题');
INSERT INTO `lang_definitions` VALUES (50502, 10926, 10, '商标的：');
INSERT INTO `lang_definitions` VALUES (50503, 10927, 10, '颅/季风/电子，外鼻');
INSERT INTO `lang_definitions` VALUES (50504, 10928, 10, '至');
INSERT INTO `lang_definitions` VALUES (50505, 10929, 10, '至');
INSERT INTO `lang_definitions` VALUES (50506, 10930, 10, '至');
INSERT INTO `lang_definitions` VALUES (50507, 10931, 10, '绝对路径的文件');
INSERT INTO `lang_definitions` VALUES (50508, 10936, 10, '添加注释，请点击');
INSERT INTO `lang_definitions` VALUES (50509, 10937, 10, '添加注释，请点击这里');
INSERT INTO `lang_definitions` VALUES (50510, 10938, 10, '受影响的地区');
INSERT INTO `lang_definitions` VALUES (50511, 10939, 10, '受影响的地区');
INSERT INTO `lang_definitions` VALUES (50512, 10942, 10, '自动打开指定的形式。一些运动队在这里的足球损伤');
INSERT INTO `lang_definitions` VALUES (50513, 10944, 10, '帐单视图');
INSERT INTO `lang_definitions` VALUES (50514, 10945, 10, '类');
INSERT INTO `lang_definitions` VALUES (50515, 10947, 10, '临床视图');
INSERT INTO `lang_definitions` VALUES (50516, 10949, 10, '以共付额');
INSERT INTO `lang_definitions` VALUES (50517, 10953, 10, '涉足');
INSERT INTO `lang_definitions` VALUES (50518, 10956, 10, '到数字高程模型');
INSERT INTO `lang_definitions` VALUES (50519, 10958, 10, '禁用客户端证书，上述评论线配置文件和设置');
INSERT INTO `lang_definitions` VALUES (50520, 10960, 10, '禁用网页，评论上述线路配置文件并重新启动服务器。');
INSERT INTO `lang_definitions` VALUES (50521, 10965, 10, '使客户端证书');
INSERT INTO `lang_definitions` VALUES (50522, 10966, 10, '使客户端证书认证，HTTPS应启用。');
INSERT INTO `lang_definitions` VALUES (50523, 10970, 10, '为了使只有一块，执行上述改动并重新启动服务器。如果你想配置客户端证书，请配置在下一节。');
INSERT INTO `lang_definitions` VALUES (50524, 10972, 10, '为了Enctr');
INSERT INTO `lang_definitions` VALUES (50525, 10973, 10, '按性别过滤');
INSERT INTO `lang_definitions` VALUES (50526, 10980, 10, '历史');
INSERT INTO `lang_definitions` VALUES (50527, 10982, 10, '问题');
INSERT INTO `lang_definitions` VALUES (50528, 10984, 10, '链接这遭遇/咨询到现有的问题，单击');
INSERT INTO `lang_definitions` VALUES (50529, 10985, 10, '链接这遭遇/咨询到现有的问题，单击所需的问题突出，然后点击[保留]。按住[控制]按钮来选择多个问题。');
INSERT INTO `lang_definitions` VALUES (50530, 10987, 10, '重新登录');
INSERT INTO `lang_definitions` VALUES (50531, 10992, 10, '记录披露，请点击');
INSERT INTO `lang_definitions` VALUES (50532, 10997, 10, '经营');
INSERT INTO `lang_definitions` VALUES (50533, 11001, 10, '安装网页门诊客户端证书认证，做以下');
INSERT INTO `lang_definitions` VALUES (50534, 11002, 10, '皮肤');
INSERT INTO `lang_definitions` VALUES (50535, 11003, 10, '皮肤');
INSERT INTO `lang_definitions` VALUES (50536, 11005, 10, '这次门诊？');
INSERT INTO `lang_definitions` VALUES (50537, 11010, 10, '到：');
INSERT INTO `lang_definitions` VALUES (50538, 11011, 10, '到：');
INSERT INTO `lang_definitions` VALUES (50539, 11012, 10, '到-城市');
INSERT INTO `lang_definitions` VALUES (50540, 11013, 10, '到-传真');
INSERT INTO `lang_definitions` VALUES (50541, 11014, 10, '到-名字');
INSERT INTO `lang_definitions` VALUES (50542, 11015, 10, '到-姓氏');
INSERT INTO `lang_definitions` VALUES (50543, 11016, 10, '到-中间名字');
INSERT INTO `lang_definitions` VALUES (50544, 11017, 10, '到-组织');
INSERT INTO `lang_definitions` VALUES (50545, 11020, 10, '到-邮政编码');
INSERT INTO `lang_definitions` VALUES (50546, 11021, 10, '到-省市');
INSERT INTO `lang_definitions` VALUES (50547, 11022, 10, '到-街道');
INSERT INTO `lang_definitions` VALUES (50548, 11023, 10, '到-标题');
INSERT INTO `lang_definitions` VALUES (50549, 11024, 10, '到-告别');
INSERT INTO `lang_definitions` VALUES (50550, 11025, 10, '烟草');
INSERT INTO `lang_definitions` VALUES (50551, 11026, 10, '戒烟干预');
INSERT INTO `lang_definitions` VALUES (50552, 11027, 10, '戒烟干预（CQM）');
INSERT INTO `lang_definitions` VALUES (50553, 11028, 10, '烟草使用');
INSERT INTO `lang_definitions` VALUES (50554, 11030, 10, '烟草的使用评估');
INSERT INTO `lang_definitions` VALUES (50555, 11031, 10, '烟草的使用评估（CQM）');
INSERT INTO `lang_definitions` VALUES (50556, 11032, 10, '今天');
INSERT INTO `lang_definitions` VALUES (50557, 11033, 10, '今天');
INSERT INTO `lang_definitions` VALUES (50558, 11034, 10, '今天');
INSERT INTO `lang_definitions` VALUES (50559, 11035, 10, '今天 平衡');
INSERT INTO `lang_definitions` VALUES (50560, 11036, 10, '今天\'的指控');
INSERT INTO `lang_definitions` VALUES (50561, 11037, 10, '今天的日期');
INSERT INTO `lang_definitions` VALUES (50562, 11038, 10, '今天的活动');
INSERT INTO `lang_definitions` VALUES (50563, 11045, 10, '令牌编号为openemr支持实验室交流服务有限责任公司。');
INSERT INTO `lang_definitions` VALUES (50564, 11047, 10, '扁桃体');
INSERT INTO `lang_definitions` VALUES (50565, 11050, 10, '顶端');
INSERT INTO `lang_definitions` VALUES (50566, 11053, 10, '专题');
INSERT INTO `lang_definitions` VALUES (50567, 11054, 10, '共计');
INSERT INTO `lang_definitions` VALUES (50568, 11055, 10, '总');
INSERT INTO `lang_definitions` VALUES (50569, 11056, 10, '活跃活动的总数');
INSERT INTO `lang_definitions` VALUES (50570, 11057, 10, '更新后主动提示的总数');
INSERT INTO `lang_definitions` VALUES (50571, 11058, 10, '更新前主动提示的总数');
INSERT INTO `lang_definitions` VALUES (50572, 11060, 10, '总金额');
INSERT INTO `lang_definitions` VALUES (50573, 11061, 10, '所支付的款项总额');
INSERT INTO `lang_definitions` VALUES (50574, 11064, 10, '总费用');
INSERT INTO `lang_definitions` VALUES (50575, 11065, 10, '共计客户');
INSERT INTO `lang_definitions` VALUES (50576, 11067, 10, '总成本');
INSERT INTO `lang_definitions` VALUES (50577, 11068, 10, '支票号分布不完整的总数');
INSERT INTO `lang_definitions` VALUES (50578, 11070, 10, '没有提示发送邮件的总数');
INSERT INTO `lang_definitions` VALUES (50579, 11071, 10, '没有提示发送电话的总数');
INSERT INTO `lang_definitions` VALUES (50580, 11072, 10, '共计');
INSERT INTO `lang_definitions` VALUES (50581, 11073, 10, '共计');
INSERT INTO `lang_definitions` VALUES (50582, 11074, 10, '总类');
INSERT INTO `lang_definitions` VALUES (50583, 11075, 10, '不活跃挺行总数');
INSERT INTO `lang_definitions` VALUES (50584, 11078, 10, '新的提示总数');
INSERT INTO `lang_definitions` VALUES (50585, 11081, 10, '免疫接种的总数');
INSERT INTO `lang_definitions` VALUES (50586, 11082, 10, '问题总数');
INSERT INTO `lang_definitions` VALUES (50587, 11084, 10, '患者总数');
INSERT INTO `lang_definitions` VALUES (50588, 11087, 10, '全部客户的平衡');
INSERT INTO `lang_definitions` VALUES (50589, 11089, 10, '客户人数');
INSERT INTO `lang_definitions` VALUES (50590, 11093, 10, '找到记录总数');
INSERT INTO `lang_definitions` VALUES (50591, 11095, 10, '共计生殖健康与计划生育');
INSERT INTO `lang_definitions` VALUES (50592, 11096, 10, '总成功的提示通过电子邮件发送');
INSERT INTO `lang_definitions` VALUES (50593, 11097, 10, '总的成功提醒发送通过电话');
INSERT INTO `lang_definitions` VALUES (50594, 11100, 10, '全不变的提醒');
INSERT INTO `lang_definitions` VALUES (50595, 11101, 10, '总发送提醒后，发送进程');
INSERT INTO `lang_definitions` VALUES (50596, 11102, 10, '总发送提醒后更新');
INSERT INTO `lang_definitions` VALUES (50597, 11103, 10, '总发送前提醒发送过程');
INSERT INTO `lang_definitions` VALUES (50598, 11104, 10, '总发送提醒前更新');
INSERT INTO `lang_definitions` VALUES (50599, 11105, 10, '完全更新提醒');
INSERT INTO `lang_definitions` VALUES (50600, 11106, 10, '总计');
INSERT INTO `lang_definitions` VALUES (50601, 11107, 10, '总计');
INSERT INTO `lang_definitions` VALUES (50602, 11108, 10, '总计');
INSERT INTO `lang_definitions` VALUES (50603, 11135, 10, '培训类型');
INSERT INTO `lang_definitions` VALUES (50604, 11136, 10, '交易');
INSERT INTO `lang_definitions` VALUES (50605, 11137, 10, '交易');
INSERT INTO `lang_definitions` VALUES (50606, 11138, 10, '交易');
INSERT INTO `lang_definitions` VALUES (50607, 11139, 10, '交易失败，数量不足，在目的地的地段');
INSERT INTO `lang_definitions` VALUES (50608, 11140, 10, '交易失败，量小于0');
INSERT INTO `lang_definitions` VALUES (50609, 11142, 10, '交易类型');
INSERT INTO `lang_definitions` VALUES (50610, 11143, 10, '交易');
INSERT INTO `lang_definitions` VALUES (50611, 11144, 10, '交易');
INSERT INTO `lang_definitions` VALUES (50612, 11145, 10, '交易（写可选）');
INSERT INTO `lang_definitions` VALUES (50613, 11151, 10, '交易/推介');
INSERT INTO `lang_definitions` VALUES (50614, 11153, 10, '转换');
INSERT INTO `lang_definitions` VALUES (50615, 11155, 10, '传输失败，数量不足源地段');
INSERT INTO `lang_definitions` VALUES (50616, 11160, 10, '转换');
INSERT INTO `lang_definitions` VALUES (50617, 11162, 10, '过渡/转让照顾？');
INSERT INTO `lang_definitions` VALUES (50618, 11163, 10, '翻译的门诊控制组');
INSERT INTO `lang_definitions` VALUES (50619, 11164, 10, '翻译任用类别');
INSERT INTO `lang_definitions` VALUES (50620, 11165, 10, '翻译文件');
INSERT INTO `lang_definitions` VALUES (50621, 11166, 10, '翻译布局');
INSERT INTO `lang_definitions` VALUES (50622, 11167, 10, '翻译表');
INSERT INTO `lang_definitions` VALUES (50623, 11168, 10, '客户注意标题的翻译');
INSERT INTO `lang_definitions` VALUES (50624, 11169, 10, '把这种');
INSERT INTO `lang_definitions` VALUES (50625, 11170, 10, '翻译');
INSERT INTO `lang_definitions` VALUES (50626, 11171, 10, '翻译');
INSERT INTO `lang_definitions` VALUES (50627, 11179, 10, '外伤');
INSERT INTO `lang_definitions` VALUES (50628, 11180, 10, '治疗');
INSERT INTO `lang_definitions` VALUES (50629, 11182, 10, '治疗目标');
INSERT INTO `lang_definitions` VALUES (50630, 11183, 10, '治疗方案');
INSERT INTO `lang_definitions` VALUES (50631, 11186, 10, '治疗：');
INSERT INTO `lang_definitions` VALUES (50632, 11187, 10, '治疗：');
INSERT INTO `lang_definitions` VALUES (50633, 11189, 10, '趋势');
INSERT INTO `lang_definitions` VALUES (50634, 11190, 10, 'trftime（$ month_format，mktime（0，0，0，1，2000美元，month_value美元）））；');
INSERT INTO `lang_definitions` VALUES (50635, 11195, 10, '触发点/隔综合征/ DOMS /抽筋');
INSERT INTO `lang_definitions` VALUES (50636, 11196, 10, '三踝');
INSERT INTO `lang_definitions` VALUES (50637, 11199, 10, '躯干和腹部');
INSERT INTO `lang_definitions` VALUES (50638, 11205, 10, '小勺');
INSERT INTO `lang_definitions` VALUES (50639, 11207, 10, '语音合成');
INSERT INTO `lang_definitions` VALUES (50640, 11208, 10, '结核病');
INSERT INTO `lang_definitions` VALUES (50641, 11209, 10, '星期二');
INSERT INTO `lang_definitions` VALUES (50642, 11210, 10, '星期二及星期四');
INSERT INTO `lang_definitions` VALUES (50643, 11211, 10, '星期二');
INSERT INTO `lang_definitions` VALUES (50644, 11212, 10, '肿瘤');
INSERT INTO `lang_definitions` VALUES (50645, 11213, 10, '土耳其语');
INSERT INTO `lang_definitions` VALUES (50646, 11222, 10, '每天两次');
INSERT INTO `lang_definitions` VALUES (50647, 11226, 10, '鼓膜');
INSERT INTO `lang_definitions` VALUES (50648, 11227, 10, '类型');
INSERT INTO `lang_definitions` VALUES (50649, 11231, 10, '类型标识或名称。最少3个字符（包括空格）。');
INSERT INTO `lang_definitions` VALUES (50650, 11238, 10, '列类型显示客户的搜索结果');
INSERT INTO `lang_definitions` VALUES (50651, 11239, 10, '披露的类型');
INSERT INTO `lang_definitions` VALUES (50652, 11240, 10, '事件类型');
INSERT INTO `lang_definitions` VALUES (50653, 11242, 10, '类型的屏幕布局');
INSERT INTO `lang_definitions` VALUES (50654, 11243, 10, '输入或扫描客户标识符这里');
INSERT INTO `lang_definitions` VALUES (50655, 11248, 10, '在这里键入您的消息');
INSERT INTO `lang_definitions` VALUES (50656, 11249, 10, '指令的类型和结果');
INSERT INTO `lang_definitions` VALUES (50657, 11270, 10, 'UCSMC代码提供了卡尔加里大学运动医学中心');
INSERT INTO `lang_definitions` VALUES (50658, 11271, 10, '乌克兰语');
INSERT INTO `lang_definitions` VALUES (50659, 11272, 10, '溃疡');
INSERT INTO `lang_definitions` VALUES (50660, 11273, 10, '溃疡性结肠炎');
INSERT INTO `lang_definitions` VALUES (50661, 11274, 10, '溃疡：');
INSERT INTO `lang_definitions` VALUES (50662, 11278, 10, '无法创建');
INSERT INTO `lang_definitions` VALUES (50663, 11291, 10, '未使用');
INSERT INTO `lang_definitions` VALUES (50664, 11292, 10, '未指定');
INSERT INTO `lang_definitions` VALUES (50665, 11294, 10, '未经授权的门诊到e处方');
INSERT INTO `lang_definitions` VALUES (50666, 11295, 10, '未经授权的门诊。');
INSERT INTO `lang_definitions` VALUES (50667, 11297, 10, '未入账只有');
INSERT INTO `lang_definitions` VALUES (50668, 11300, 10, '根据舌');
INSERT INTO `lang_definitions` VALUES (50669, 11303, 10, '重量不足');
INSERT INTO `lang_definitions` VALUES (50670, 11304, 10, '确诊');
INSERT INTO `lang_definitions` VALUES (50671, 11305, 10, '未分配');
INSERT INTO `lang_definitions` VALUES (50672, 11306, 10, '未分配');
INSERT INTO `lang_definitions` VALUES (50673, 11307, 10, '未分配是');
INSERT INTO `lang_definitions` VALUES (50674, 11309, 10, '撤消结帐');
INSERT INTO `lang_definitions` VALUES (50675, 11311, 10, '独特的客户');
INSERT INTO `lang_definitions` VALUES (50676, 11312, 10, '这种独特的人类可读的标识符');
INSERT INTO `lang_definitions` VALUES (50677, 11315, 10, '独特的新客户');
INSERT INTO `lang_definitions` VALUES (50678, 11316, 10, '这种独特的数字标识符');
INSERT INTO `lang_definitions` VALUES (50679, 11317, 10, '独特的看客户');
INSERT INTO `lang_definitions` VALUES (50680, 11318, 10, '独特的看客户的报告');
INSERT INTO `lang_definitions` VALUES (50681, 11319, 10, '独特的警司');
INSERT INTO `lang_definitions` VALUES (50682, 11320, 10, '股');
INSERT INTO `lang_definitions` VALUES (50683, 11321, 10, '单位');
INSERT INTO `lang_definitions` VALUES (50684, 11322, 10, '单位');
INSERT INTO `lang_definitions` VALUES (50685, 11324, 10, '门诊表格单位');
INSERT INTO `lang_definitions` VALUES (50686, 11325, 10, '单位必须是一个数字');
INSERT INTO `lang_definitions` VALUES (50687, 11326, 10, '没有定义单位');
INSERT INTO `lang_definitions` VALUES (50688, 11327, 10, '单位/升');
INSERT INTO `lang_definitions` VALUES (50689, 11328, 10, '未知');
INSERT INTO `lang_definitions` VALUES (50690, 11331, 10, '未知是否吸烟');
INSERT INTO `lang_definitions` VALUES (50691, 11332, 10, '未知或N /阿');
INSERT INTO `lang_definitions` VALUES (50692, 11344, 10, '没有联系的客户');
INSERT INTO `lang_definitions` VALUES (50693, 11345, 10, '无名保险公司');
INSERT INTO `lang_definitions` VALUES (50694, 11346, 10, '未注册');
INSERT INTO `lang_definitions` VALUES (50695, 11349, 10, '取消所有选择');
INSERT INTO `lang_definitions` VALUES (50696, 11350, 10, '反选');
INSERT INTO `lang_definitions` VALUES (50697, 11351, 10, '不确定');
INSERT INTO `lang_definitions` VALUES (50698, 11352, 10, '非结构化');
INSERT INTO `lang_definitions` VALUES (50699, 11356, 10, '直到');
INSERT INTO `lang_definitions` VALUES (50700, 11359, 10, '过早备案');
INSERT INTO `lang_definitions` VALUES (50701, 11360, 10, '未使用');
INSERT INTO `lang_definitions` VALUES (50702, 11361, 10, '非正常事件报告');
INSERT INTO `lang_definitions` VALUES (50703, 11362, 10, '最多');
INSERT INTO `lang_definitions` VALUES (50704, 11364, 10, '即将到来的约会');
INSERT INTO `lang_definitions` VALUES (50705, 11365, 10, '即将举行的活动');
INSERT INTO `lang_definitions` VALUES (50706, 11366, 10, '更新');
INSERT INTO `lang_definitions` VALUES (50707, 11367, 10, '更新');
INSERT INTO `lang_definitions` VALUES (50708, 11368, 10, '主动更新');
INSERT INTO `lang_definitions` VALUES (50709, 11371, 10, '更新文件');
INSERT INTO `lang_definitions` VALUES (50710, 11372, 10, '更新信息');
INSERT INTO `lang_definitions` VALUES (50711, 11374, 10, '更新列表');
INSERT INTO `lang_definitions` VALUES (50712, 11377, 10, '更新服务提供者号码');
INSERT INTO `lang_definitions` VALUES (50713, 11378, 10, '更新选定项目');
INSERT INTO `lang_definitions` VALUES (50714, 11383, 10, '更新下列文件中的变数');
INSERT INTO `lang_definitions` VALUES (50715, 11384, 10, '更新用户资料');
INSERT INTO `lang_definitions` VALUES (50716, 11390, 10, '更新人口统计未授权');
INSERT INTO `lang_definitions` VALUES (50717, 11394, 10, '升级');
INSERT INTO `lang_definitions` VALUES (50718, 11396, 10, '升级数据库');
INSERT INTO `lang_definitions` VALUES (50719, 11398, 10, '升级openemr数据库包括程序，功能和表所需的识别过程');
INSERT INTO `lang_definitions` VALUES (50720, 11399, 10, '升级将继续');
INSERT INTO `lang_definitions` VALUES (50721, 11400, 10, 'UPIN');
INSERT INTO `lang_definitions` VALUES (50722, 11401, 10, '上传');
INSERT INTO `lang_definitions` VALUES (50723, 11406, 10, '上传配置数据');
INSERT INTO `lang_definitions` VALUES (50724, 11407, 10, '上传文件');
INSERT INTO `lang_definitions` VALUES (50725, 11408, 10, '上传失败！');
INSERT INTO `lang_definitions` VALUES (50726, 11410, 10, '上传图片到');
INSERT INTO `lang_definitions` VALUES (50727, 11411, 10, '上传导入文件：');
INSERT INTO `lang_definitions` VALUES (50728, 11415, 10, '上传报告');
INSERT INTO `lang_definitions` VALUES (50729, 11418, 10, '上传此文件：');
INSERT INTO `lang_definitions` VALUES (50730, 11421, 10, '在点击发票号码“手动发布窗口”。在这里你可以更改日期和说明的发票，选择为你是谁张贴，并选择保险，所有预期的paymants已收到。最重要的是，对于每一个帐单代码的数量被指控，你可以进入巴勒斯坦权力机构');
INSERT INTO `lang_definitions` VALUES (50731, 11426, 10, '在搜索你提出一个清单，发票。你可以点击其中的发票号码，打开另一个窗口，数据输入页手工过帐。你也可以点击一个客户的名字，如果你想进入一个注意，前台的工作人员会看到当客户检查，你可以选择在发票上。');
INSERT INTO `lang_definitions` VALUES (50732, 11429, 10, '上臂');
INSERT INTO `lang_definitions` VALUES (50733, 11432, 10, '紧迫');
INSERT INTO `lang_definitions` VALUES (50734, 11436, 10, '尿液');
INSERT INTO `lang_definitions` VALUES (50735, 11437, 10, '尿不尽');
INSERT INTO `lang_definitions` VALUES (50736, 11438, 10, '频尿');
INSERT INTO `lang_definitions` VALUES (50737, 11439, 10, '尿犹豫不决');
INSERT INTO `lang_definitions` VALUES (50738, 11440, 10, '尿微量白蛋白');
INSERT INTO `lang_definitions` VALUES (50739, 11441, 10, '尿流');
INSERT INTO `lang_definitions` VALUES (50740, 11442, 10, '尿急');
INSERT INTO `lang_definitions` VALUES (50741, 11443, 10, '网址');
INSERT INTO `lang_definitions` VALUES (50742, 11445, 10, 'OpenEMR支持地址');
INSERT INTO `lang_definitions` VALUES (50743, 11447, 10, '电话网关。自动电话服务提供商maviq。门诊http://signup.maviq.com获得更多信息请门诊。');
INSERT INTO `lang_definitions` VALUES (50744, 11453, 10, '使用指标（isa15）');
INSERT INTO `lang_definitions` VALUES (50745, 11456, 10, '使用%单独在一场只是排序的列');
INSERT INTO `lang_definitions` VALUES (50746, 11457, 10, '使用24小时时间格式？');
INSERT INTO `lang_definitions` VALUES (50747, 11465, 10, '使用认证的电子病历技术识别特定的教育资源和提供这些资源的患者如果适当的。');
INSERT INTO `lang_definitions` VALUES (50748, 11466, 10, '使用收费小组');
INSERT INTO `lang_definitions` VALUES (50749, 11467, 10, '使用证据为药物的订单直接进入任何许可的医疗保健专业人士谁可以输入订单纳入医疗记录每个国家，地方和专业准则。');
INSERT INTO `lang_definitions` VALUES (50750, 11474, 10, '使用自定义免疫列表');
INSERT INTO `lang_definitions` VALUES (50751, 11476, 10, '使用日期范围');
INSERT INTO `lang_definitions` VALUES (50752, 11477, 10, '使用默认值');
INSERT INTO `lang_definitions` VALUES (50753, 11478, 10, '使用“删除”选项来删除。');
INSERT INTO `lang_definitions` VALUES (50754, 11479, 10, '利用国际最新的风格？');
INSERT INTO `lang_definitions` VALUES (50755, 11483, 10, '使用源文件名');
INSERT INTO `lang_definitions` VALUES (50756, 11486, 10, '使用域下购买或转让。');
INSERT INTO `lang_definitions` VALUES (50757, 11490, 10, '使用此功能只有新安装的网站，');
INSERT INTO `lang_definitions` VALUES (50758, 11493, 10, '使用主题？');
INSERT INTO `lang_definitions` VALUES (50759, 11496, 10, '用户');
INSERT INTO `lang_definitions` VALUES (50760, 11498, 10, '用户/组');
INSERT INTO `lang_definitions` VALUES (50761, 11499, 10, '用户管理');
INSERT INTO `lang_definitions` VALUES (50762, 11500, 10, '用户和基金管理');
INSERT INTO `lang_definitions` VALUES (50763, 11501, 10, '用户和组管理');
INSERT INTO `lang_definitions` VALUES (50764, 11503, 10, '用户证书验证被禁用');
INSERT INTO `lang_definitions` VALUES (50765, 11507, 10, '用户定义');
INSERT INTO `lang_definitions` VALUES (50766, 11508, 10, '用户定义的第11区');
INSERT INTO `lang_definitions` VALUES (50767, 11509, 10, '用户定义的第12区');
INSERT INTO `lang_definitions` VALUES (50768, 11510, 10, '用户定义字段');
INSERT INTO `lang_definitions` VALUES (50769, 11511, 10, '用户定义字段1');
INSERT INTO `lang_definitions` VALUES (50770, 11512, 10, '用户定义字段2');
INSERT INTO `lang_definitions` VALUES (50771, 11513, 10, '用户定义字段3');
INSERT INTO `lang_definitions` VALUES (50772, 11514, 10, '用户定义字段4');
INSERT INTO `lang_definitions` VALUES (50773, 11515, 10, '用户定义字段5');
INSERT INTO `lang_definitions` VALUES (50774, 11516, 10, '用户定义字段6');
INSERT INTO `lang_definitions` VALUES (50775, 11517, 10, '用户定义字段7');
INSERT INTO `lang_definitions` VALUES (50776, 11518, 10, '用户定义文本1');
INSERT INTO `lang_definitions` VALUES (50777, 11519, 10, '用户定义文本2');
INSERT INTO `lang_definitions` VALUES (50778, 11520, 10, '用户定义文本3');
INSERT INTO `lang_definitions` VALUES (50779, 11521, 10, '用户定义文本4');
INSERT INTO `lang_definitions` VALUES (50780, 11522, 10, '用户定义文本5');
INSERT INTO `lang_definitions` VALUES (50781, 11523, 10, '用户定义文本6');
INSERT INTO `lang_definitions` VALUES (50782, 11524, 10, '用户定义文本7');
INSERT INTO `lang_definitions` VALUES (50783, 11525, 10, '用户定义文本8');
INSERT INTO `lang_definitions` VALUES (50784, 11526, 10, '用户名字');
INSERT INTO `lang_definitions` VALUES (50785, 11532, 10, '用户手册');
INSERT INTO `lang_definitions` VALUES (50786, 11533, 10, '用户会员资格');
INSERT INTO `lang_definitions` VALUES (50787, 11534, 10, '用户名');
INSERT INTO `lang_definitions` VALUES (50788, 11536, 10, '用户名或主机名不能为空');
INSERT INTO `lang_definitions` VALUES (50789, 11537, 10, '用户和主机名');
INSERT INTO `lang_definitions` VALUES (50790, 11541, 10, '用户设置');
INSERT INTO `lang_definitions` VALUES (50791, 11543, 10, '用户特定设置');
INSERT INTO `lang_definitions` VALUES (50792, 11553, 10, '用户名');
INSERT INTO `lang_definitions` VALUES (50793, 11555, 10, '用户名电话网关。自动电话服务提供maviq。http://signup.maviq.com更多信息请门诊。');
INSERT INTO `lang_definitions` VALUES (50794, 11556, 10, '用户的短信网关');
INSERT INTO `lang_definitions` VALUES (50795, 11557, 10, '用户名的短信网关。');
INSERT INTO `lang_definitions` VALUES (50796, 11559, 10, '用户名：');
INSERT INTO `lang_definitions` VALUES (50797, 11560, 10, '用户');
INSERT INTO `lang_definitions` VALUES (50798, 11564, 10, '用户/组/日志管理');
INSERT INTO `lang_definitions` VALUES (50799, 11574, 10, '使用的PHP的<a href=\"http://php.net/strftime\">它将“ / 1 ”的格式');
INSERT INTO `lang_definitions` VALUES (50800, 11583, 10, 'UTIs');
INSERT INTO `lang_definitions` VALUES (50801, 11588, 10, '假期');
INSERT INTO `lang_definitions` VALUES (50802, 11589, 10, '假期');
INSERT INTO `lang_definitions` VALUES (50803, 11590, 10, '疫苗');
INSERT INTO `lang_definitions` VALUES (50804, 11593, 10, '阴道环');
INSERT INTO `lang_definitions` VALUES (50805, 11594, 10, '告别');
INSERT INTO `lang_definitions` VALUES (50806, 11596, 10, '证实');
INSERT INTO `lang_definitions` VALUES (50807, 11609, 10, '值');
INSERT INTO `lang_definitions` VALUES (50808, 11610, 10, '值1');
INSERT INTO `lang_definitions` VALUES (50809, 11611, 10, '值2');
INSERT INTO `lang_definitions` VALUES (50810, 11613, 10, '值应该是数字');
INSERT INTO `lang_definitions` VALUES (50811, 11614, 10, '变数1');
INSERT INTO `lang_definitions` VALUES (50812, 11615, 10, '变数2');
INSERT INTO `lang_definitions` VALUES (50813, 11616, 10, '变量到一个跑去识别升级脚本');
INSERT INTO `lang_definitions` VALUES (50814, 11619, 10, '水痘1');
INSERT INTO `lang_definitions` VALUES (50815, 11620, 10, '水痘2');
INSERT INTO `lang_definitions` VALUES (50816, 11621, 10, '静脉曲张');
INSERT INTO `lang_definitions` VALUES (50817, 11623, 10, '血管条件');
INSERT INTO `lang_definitions` VALUES (50818, 11624, 10, '血管损伤');
INSERT INTO `lang_definitions` VALUES (50819, 11625, 10, '血管外科手术');
INSERT INTO `lang_definitions` VALUES (50820, 11630, 10, '供应商');
INSERT INTO `lang_definitions` VALUES (50821, 11634, 10, '版本');
INSERT INTO `lang_definitions` VALUES (50822, 11653, 10, '头晕');
INSERT INTO `lang_definitions` VALUES (50823, 11656, 10, '退伍军人管理');
INSERT INTO `lang_definitions` VALUES (50824, 11657, 10, '退伍军人管理局计划');
INSERT INTO `lang_definitions` VALUES (50825, 11659, 10, '心室功能曲线');
INSERT INTO `lang_definitions` VALUES (50826, 11666, 10, '越南人');
INSERT INTO `lang_definitions` VALUES (50827, 11667, 10, '查看');
INSERT INTO `lang_definitions` VALUES (50828, 11668, 10, '查看');
INSERT INTO `lang_definitions` VALUES (50829, 11670, 10, '查看过敏');
INSERT INTO `lang_definitions` VALUES (50830, 11676, 10, '查看综合客户报告');
INSERT INTO `lang_definitions` VALUES (50831, 11679, 10, '查看文档');
INSERT INTO `lang_definitions` VALUES (50832, 11681, 10, '查看治疗');
INSERT INTO `lang_definitions` VALUES (50833, 11683, 10, '鉴于事件的弹出一个窗口？');
INSERT INTO `lang_definitions` VALUES (50834, 11687, 10, '查看日志');
INSERT INTO `lang_definitions` VALUES (50835, 11690, 10, '第1页');
INSERT INTO `lang_definitions` VALUES (50836, 11691, 10, '第2页');
INSERT INTO `lang_definitions` VALUES (50837, 11692, 10, '查看过去和未来提醒');
INSERT INTO `lang_definitions` VALUES (50838, 11695, 10, '查看客户');
INSERT INTO `lang_definitions` VALUES (50839, 11700, 10, '查看相关的遭遇');
INSERT INTO `lang_definitions` VALUES (50840, 11712, 10, '查看/编辑过敏');
INSERT INTO `lang_definitions` VALUES (50841, 11713, 10, '查看/编辑问题');
INSERT INTO `lang_definitions` VALUES (50842, 11714, 10, '查看/打印');
INSERT INTO `lang_definitions` VALUES (50843, 11717, 10, '查看：');
INSERT INTO `lang_definitions` VALUES (50844, 11718, 10, '签证');
INSERT INTO `lang_definitions` VALUES (50845, 11719, 10, 'VISA卡/ MC / AMEX / DIS');
INSERT INTO `lang_definitions` VALUES (50846, 11721, 10, '内脏损害/损伤/外科手术');
INSERT INTO `lang_definitions` VALUES (50847, 11728, 10, '门诊类别：');
INSERT INTO `lang_definitions` VALUES (50848, 11729, 10, '门诊日期');
INSERT INTO `lang_definitions` VALUES (50849, 11730, 10, '门诊日期');
INSERT INTO `lang_definitions` VALUES (50850, 11734, 10, '门诊表格');
INSERT INTO `lang_definitions` VALUES (50851, 11736, 10, '门诊历史');
INSERT INTO `lang_definitions` VALUES (50852, 11745, 10, '门诊');
INSERT INTO `lang_definitions` VALUES (50853, 11746, 10, '门诊');
INSERT INTO `lang_definitions` VALUES (50854, 11751, 10, '健康状况征兆');
INSERT INTO `lang_definitions` VALUES (50855, 11752, 10, '要害');
INSERT INTO `lang_definitions` VALUES (50856, 11753, 10, '生命迹象（公制）');
INSERT INTO `lang_definitions` VALUES (50857, 11756, 10, '语音');
INSERT INTO `lang_definitions` VALUES (50858, 11758, 10, '语音发送');
INSERT INTO `lang_definitions` VALUES (50859, 11763, 10, '吐');
INSERT INTO `lang_definitions` VALUES (50860, 11767, 10, 'W');
INSERT INTO `lang_definitions` VALUES (50861, 11770, 10, '腰围');
INSERT INTO `lang_definitions` VALUES (50862, 11771, 10, '腰围');
INSERT INTO `lang_definitions` VALUES (50863, 11772, 10, '等待');
INSERT INTO `lang_definitions` VALUES (50864, 11773, 10, '门市');
INSERT INTO `lang_definitions` VALUES (50865, 11776, 10, '沃尔特·彭宁顿');
INSERT INTO `lang_definitions` VALUES (50866, 11778, 10, '仓库');
INSERT INTO `lang_definitions` VALUES (50867, 11780, 10, '仓库最大，0不适用');
INSERT INTO `lang_definitions` VALUES (50868, 11781, 10, '仓库最低，0不适用');
INSERT INTO `lang_definitions` VALUES (50869, 11782, 10, '仓库');
INSERT INTO `lang_definitions` VALUES (50870, 11783, 10, '暖和');
INSERT INTO `lang_definitions` VALUES (50871, 11786, 10, '警告');
INSERT INTO `lang_definitions` VALUES (50872, 11787, 10, '警告');
INSERT INTO `lang_definitions` VALUES (50873, 11789, 10, '警告，支票号码已经存在于数据库中');
INSERT INTO `lang_definitions` VALUES (50874, 11791, 10, '警告：门诊已创建的这个客户今天！');
INSERT INTO `lang_definitions` VALUES (50875, 11796, 10, '警告：客户的ID是不是唯一的！');
INSERT INTO `lang_definitions` VALUES (50876, 11799, 10, '警告：这将覆盖配置信息和数据的上传的文件！');
INSERT INTO `lang_definitions` VALUES (50877, 11801, 10, '警告');
INSERT INTO `lang_definitions` VALUES (50878, 11803, 10, '已上传');
INSERT INTO `lang_definitions` VALUES (50879, 11805, 10, '我们感谢及时付款的余额到期');
INSERT INTO `lang_definitions` VALUES (50880, 11809, 10, '我们已经看到你的上述客户的评估和治疗的门诊精神病诊所。感谢你为这个转诊。');
INSERT INTO `lang_definitions` VALUES (50881, 11821, 10, '软弱');
INSERT INTO `lang_definitions` VALUES (50882, 11826, 10, '网页搜索');
INSERT INTO `lang_definitions` VALUES (50883, 11827, 10, '网站');
INSERT INTO `lang_definitions` VALUES (50884, 11828, 10, '上门客户门户网站的链接。');
INSERT INTO `lang_definitions` VALUES (50885, 11832, 10, '星期三');
INSERT INTO `lang_definitions` VALUES (50886, 11833, 10, '星期三');
INSERT INTO `lang_definitions` VALUES (50887, 11834, 10, '周');
INSERT INTO `lang_definitions` VALUES (50888, 11835, 10, '周');
INSERT INTO `lang_definitions` VALUES (50889, 11836, 10, '周视图');
INSERT INTO `lang_definitions` VALUES (50890, 11837, 10, '本周（县）');
INSERT INTO `lang_definitions` VALUES (50891, 11838, 10, '周刊披露');
INSERT INTO `lang_definitions` VALUES (50892, 11840, 10, '周');
INSERT INTO `lang_definitions` VALUES (50893, 11841, 10, '体重');
INSERT INTO `lang_definitions` VALUES (50894, 11842, 10, '体重评估和辅导的儿童和青少年');
INSERT INTO `lang_definitions` VALUES (50895, 11843, 10, '体重评估和辅导的儿童和青少年（CQM）');
INSERT INTO `lang_definitions` VALUES (50896, 11844, 10, '体重变化');
INSERT INTO `lang_definitions` VALUES (50897, 11845, 10, '体重减轻');
INSERT INTO `lang_definitions` VALUES (50898, 11846, 10, '减肥诊所');
INSERT INTO `lang_definitions` VALUES (50899, 11847, 10, '欢迎');
INSERT INTO `lang_definitions` VALUES (50900, 11862, 10, '怎么计算？');
INSERT INTO `lang_definitions` VALUES (50901, 11864, 10, '哮鸣音：');
INSERT INTO `lang_definitions` VALUES (50902, 11865, 10, '哮喘');
INSERT INTO `lang_definitions` VALUES (50903, 11866, 10, '哮喘：');
INSERT INTO `lang_definitions` VALUES (50904, 11882, 10, '凡可能相关的纸质文件扫描或发现？');
INSERT INTO `lang_definitions` VALUES (50905, 11884, 10, '有无保险');
INSERT INTO `lang_definitions` VALUES (50906, 11891, 10, '白色');
INSERT INTO `lang_definitions` VALUES (50907, 11894, 10, '个人资料');
INSERT INTO `lang_definitions` VALUES (50908, 11895, 10, '谁回答？');
INSERT INTO `lang_definitions` VALUES (50909, 11897, 10, '丧偶');
INSERT INTO `lang_definitions` VALUES (50910, 11898, 10, '宽度');
INSERT INTO `lang_definitions` VALUES (50911, 11900, 10, '在像素宽度的左侧导航框架。');
INSERT INTO `lang_definitions` VALUES (50912, 11907, 10, '随着选择');
INSERT INTO `lang_definitions` VALUES (50913, 11908, 10, '与旧名称');
INSERT INTO `lang_definitions` VALUES (50914, 11911, 10, '其中我们可以留个口信吗？');
INSERT INTO `lang_definitions` VALUES (50915, 11912, 10, '隐瞒');
INSERT INTO `lang_definitions` VALUES (50916, 11913, 10, '在几个小时内');
INSERT INTO `lang_definitions` VALUES (50917, 11914, 10, '在几个小时内：');
INSERT INTO `lang_definitions` VALUES (50918, 11915, 10, '几分钟之内');
INSERT INTO `lang_definitions` VALUES (50919, 11916, 10, '几分钟之内：');
INSERT INTO `lang_definitions` VALUES (50920, 11919, 10, '没有更新');
INSERT INTO `lang_definitions` VALUES (50921, 11920, 10, '证人');
INSERT INTO `lang_definitions` VALUES (50922, 11921, 10, '周');
INSERT INTO `lang_definitions` VALUES (50923, 11922, 10, '在正常范围内');
INSERT INTO `lang_definitions` VALUES (50924, 11924, 10, '妇女');
INSERT INTO `lang_definitions` VALUES (50925, 11925, 10, '只有妇女');
INSERT INTO `lang_definitions` VALUES (50926, 11927, 10, '工作');
INSERT INTO `lang_definitions` VALUES (50927, 11928, 10, '工作说明');
INSERT INTO `lang_definitions` VALUES (50928, 11929, 10, '工作电话');
INSERT INTO `lang_definitions` VALUES (50929, 11930, 10, '工作电话');
INSERT INTO `lang_definitions` VALUES (50930, 11931, 10, '有关的工作？');
INSERT INTO `lang_definitions` VALUES (50931, 11932, 10, '工作/教育/爱好');
INSERT INTO `lang_definitions` VALUES (50932, 11933, 10, '工作/学校请注意');
INSERT INTO `lang_definitions` VALUES (50933, 11934, 10, '工作日');
INSERT INTO `lang_definitions` VALUES (50934, 11935, 10, '工人的补偿`');
INSERT INTO `lang_definitions` VALUES (50935, 11936, 10, '工人赔偿健康计划');
INSERT INTO `lang_definitions` VALUES (50936, 11937, 10, '工作年龄的受益人或配偶单位团体健康计划');
INSERT INTO `lang_definitions` VALUES (50937, 11941, 10, '更坏');
INSERT INTO `lang_definitions` VALUES (50938, 11942, 10, '你会喜欢平衡量适用于全局账户？');
INSERT INTO `lang_definitions` VALUES (50939, 11943, 10, '你会喜欢它们被标记为清除。');
INSERT INTO `lang_definitions` VALUES (50940, 11944, 10, '你想分配？');
INSERT INTO `lang_definitions` VALUES (50941, 11945, 10, '你愿意取消分配为客户？');
INSERT INTO `lang_definitions` VALUES (50942, 11946, 10, '你想删除分配？');
INSERT INTO `lang_definitions` VALUES (50943, 11947, 10, '要删除吗？');
INSERT INTO `lang_definitions` VALUES (50944, 11948, 10, '你想修改并完成付款？');
INSERT INTO `lang_definitions` VALUES (50945, 11949, 10, '你想修改付款？');
INSERT INTO `lang_definitions` VALUES (50946, 11950, 10, '你想完成付款？');
INSERT INTO `lang_definitions` VALUES (50947, 11951, 10, '你想付款？');
INSERT INTO `lang_definitions` VALUES (50948, 11952, 10, '你想保存？');
INSERT INTO `lang_definitions` VALUES (50949, 11953, 10, '手腕');
INSERT INTO `lang_definitions` VALUES (50950, 11954, 10, '手腕和手');
INSERT INTO `lang_definitions` VALUES (50951, 11955, 10, '手腕问题');
INSERT INTO `lang_definitions` VALUES (50952, 11956, 10, '写');
INSERT INTO `lang_definitions` VALUES (50953, 11958, 10, '注销');
INSERT INTO `lang_definitions` VALUES (50954, 11960, 10, 'wsome');
INSERT INTO `lang_definitions` VALUES (50955, 11963, 10, '重量');
INSERT INTO `lang_definitions` VALUES (50956, 11966, 10, 'X取消');
INSERT INTO `lang_definitions` VALUES (50957, 11967, 10, 'X取消');
INSERT INTO `lang_definitions` VALUES (50958, 11969, 10, '透视');
INSERT INTO `lang_definitions` VALUES (50959, 11970, 10, 'X射线释义：');
INSERT INTO `lang_definitions` VALUES (50960, 11971, 10, 'X射线释义：');
INSERT INTO `lang_definitions` VALUES (50961, 11975, 10, 'X12只：更换索赔');
INSERT INTO `lang_definitions` VALUES (50962, 11978, 10, 'X12合作伙伴');
INSERT INTO `lang_definitions` VALUES (50963, 11979, 10, 'X12合作伙伴');
INSERT INTO `lang_definitions` VALUES (50964, 11987, 10, '年');
INSERT INTO `lang_definitions` VALUES (50965, 11988, 10, '年');
INSERT INTO `lang_definitions` VALUES (50966, 11989, 10, '年');
INSERT INTO `lang_definitions` VALUES (50967, 11990, 10, '今年查看');
INSERT INTO `lang_definitions` VALUES (50968, 11991, 10, '年份');
INSERT INTO `lang_definitions` VALUES (50969, 11992, 10, '岁');
INSERT INTO `lang_definitions` VALUES (50970, 11996, 10, '是');
INSERT INTO `lang_definitions` VALUES (50971, 11997, 10, '是');
INSERT INTO `lang_definitions` VALUES (50972, 11998, 10, '是');
INSERT INTO `lang_definitions` VALUES (50973, 11999, 10, '是！');
INSERT INTO `lang_definitions` VALUES (50974, 12000, 10, '是，删除和注销');
INSERT INTO `lang_definitions` VALUES (50975, 12002, 10, '是/否');
INSERT INTO `lang_definitions` VALUES (50976, 12003, 10, '是：');
INSERT INTO `lang_definitions` VALUES (50977, 12004, 10, '意第绪语');
INSERT INTO `lang_definitions` VALUES (50978, 12008, 10, '你将永久替换现有的模板。你确定你希望继续吗？');
INSERT INTO `lang_definitions` VALUES (50979, 12011, 10, '你在宽限登录时间。更改密码之前');
INSERT INTO `lang_definitions` VALUES (50980, 12012, 10, '您不可以删除此活动');
INSERT INTO `lang_definitions` VALUES (50981, 12013, 10, '不允许您编辑此事件');
INSERT INTO `lang_definitions` VALUES (50982, 12014, 10, '您未获授权的。');
INSERT INTO `lang_definitions` VALUES (50983, 12016, 10, '你没有被授权进入这个小队。');
INSERT INTO `lang_definitions` VALUES (50984, 12017, 10, '你没有被授权添加/编辑问题');
INSERT INTO `lang_definitions` VALUES (50985, 12018, 10, '你没有被授权安排约会。');
INSERT INTO `lang_definitions` VALUES (50986, 12019, 10, '你没有被授权看到这样的治疗。');
INSERT INTO `lang_definitions` VALUES (50987, 12038, 10, '您不能使用此功能直接。');
INSERT INTO `lang_definitions` VALUES (50988, 12050, 10, '您无法直接门诊此页。');
INSERT INTO `lang_definitions` VALUES (50989, 12051, 10, '您无法添加一个空白的价值范畴！');
INSERT INTO `lang_definitions` VALUES (50990, 12052, 10, '您无法添加一个空白的价值分类！');
INSERT INTO `lang_definitions` VALUES (50991, 12053, 10, '您无法添加一个空白的项目！');
INSERT INTO `lang_definitions` VALUES (50992, 12055, 10, '你不能进入一个将来的日期与完成的价值，是的。');
INSERT INTO `lang_definitions` VALUES (50993, 12057, 10, '你没有选择任何行动。');
INSERT INTO `lang_definitions` VALUES (50994, 12058, 10, '您没有权限查看/编辑笔记');
INSERT INTO `lang_definitions` VALUES (50995, 12061, 10, '你试图改变内容是锁定的。如果你想这样做，清解锁。解锁删除线');
INSERT INTO `lang_definitions` VALUES (50996, 12063, 10, '你已经登出。');
INSERT INTO `lang_definitions` VALUES (50997, 12074, 10, '你可能只是文件上传。');
INSERT INTO `lang_definitions` VALUES (50998, 12076, 10, '你可以把这里作为默认的投诉在新客户遇到形式。');
INSERT INTO `lang_definitions` VALUES (50999, 12085, 10, '你必须输入一个密码来加密文件');
INSERT INTO `lang_definitions` VALUES (51000, 12090, 10, '您必须先选择或添加一个客户。');
INSERT INTO `lang_definitions` VALUES (51001, 12091, 10, '您必须先选择或创建一个遇到。');
INSERT INTO `lang_definitions` VALUES (51002, 12092, 10, '你必须选择一个门诊类');
INSERT INTO `lang_definitions` VALUES (51003, 12093, 10, '你必须选择一个门诊类。');
INSERT INTO `lang_definitions` VALUES (51004, 12094, 10, '你必须选择一些领域继续。');
INSERT INTO `lang_definitions` VALUES (51005, 12104, 10, '你应该运行这个测试如果这个说法似乎产生成功但实际索赔文件不包含任何数据或只有一个未完成的部分的数据量，它应该包含。这是明显的医疗卫生融资声称因为他们是人类可读的X 12声称它是一个艰难的过程来确定是否');
INSERT INTO `lang_definitions` VALUES (51006, 12106, 10, '你必须至少选择一个背景');
INSERT INTO `lang_definitions` VALUES (51007, 12107, 10, '你必须至少选择一个服务人员');
INSERT INTO `lang_definitions` VALUES (51008, 12122, 10, '您的结束日期无效');
INSERT INTO `lang_definitions` VALUES (51009, 12123, 10, '您的活动已被删除。');
INSERT INTO `lang_definitions` VALUES (51010, 12124, 10, '您的活动已被修改。');
INSERT INTO `lang_definitions` VALUES (51011, 12125, 10, '您的活动已提交。');
INSERT INTO `lang_definitions` VALUES (51012, 12127, 10, '你的文件太大');
INSERT INTO `lang_definitions` VALUES (51013, 12132, 10, '你的名单上的名字已改为符合命名要求。');
INSERT INTO `lang_definitions` VALUES (51014, 12134, 10, '你的名字为这类程序或结果”');
INSERT INTO `lang_definitions` VALUES (51015, 12140, 10, '您的密码已过期。请更改您的密码。');
INSERT INTO `lang_definitions` VALUES (51016, 12141, 10, '您的密码过期');
INSERT INTO `lang_definitions` VALUES (51017, 12143, 10, '您的密码今天到期。请更改您的密码。');
INSERT INTO `lang_definitions` VALUES (51018, 12146, 10, '您PostCalendar配置已重置为使用默认值。');
INSERT INTO `lang_definitions` VALUES (51019, 12147, 10, '您PostCalendar配置已更新。');
INSERT INTO `lang_definitions` VALUES (51020, 12148, 10, '您的重复频率必须是整数。');
INSERT INTO `lang_definitions` VALUES (51021, 12149, 10, '您的重复频率必须至少为1 。');
INSERT INTO `lang_definitions` VALUES (51022, 12151, 10, '您的开始日期大于结束日期');
INSERT INTO `lang_definitions` VALUES (51023, 12152, 10, '您的开始日期是无效的');
INSERT INTO `lang_definitions` VALUES (51024, 12153, 10, '您提交失败。');
INSERT INTO `lang_definitions` VALUES (51025, 12156, 10, '格式年 - 月 -日');
INSERT INTO `lang_definitions` VALUES (51026, 12157, 10, '年-月-日');
INSERT INTO `lang_definitions` VALUES (51027, 12158, 10, '日期与此相关的文件（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (51028, 12159, 10, '销毁日期（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (51029, 12160, 10, '出生日期（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (51030, 12161, 10, '出生日期（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (51031, 12162, 10, '截止日期（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (51032, 12163, 10, '发病日期或住院（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (51033, 12164, 10, '发病日期（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (51034, 12165, 10, '购买或者转让日期（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (51035, 12166, 10, '恢复或结尾的药物起始日（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (51036, 12167, 10, '返回日期发挥（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (51037, 12168, 10, '送达日期（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (51038, 12169, 10, '本函之日起（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (51039, 12170, 10, '返回日期发挥（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (51040, 12171, 10, '文件日期（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (51041, 12173, 10, '活动日期或开始日期（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (51042, 12178, 10, '年-月-日 时：分：秒');
INSERT INTO `lang_definitions` VALUES (51043, 12180, 10, '事件最后日期（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (51044, 12186, 10, '零');
INSERT INTO `lang_definitions` VALUES (51045, 12188, 10, '邮编');
INSERT INTO `lang_definitions` VALUES (51046, 12189, 10, '邮编');
INSERT INTO `lang_definitions` VALUES (51047, 12191, 10, '邮编/国家：');
INSERT INTO `lang_definitions` VALUES (51048, 12196, 10, '祖鲁语');
INSERT INTO `lang_definitions` VALUES (51049, 12197, 10, '但却是');
INSERT INTO `lang_definitions` VALUES (51050, 12198, 10, '不允许门诊');
INSERT INTO `lang_definitions` VALUES (51051, 12199, 10, '你真的想删除吗');
INSERT INTO `lang_definitions` VALUES (51052, 12200, 10, '药品');
INSERT INTO `lang_definitions` VALUES (51053, 12201, 10, '邮件没有送出');
INSERT INTO `lang_definitions` VALUES (51054, 12202, 10, '从');
INSERT INTO `lang_definitions` VALUES (51055, 12203, 10, '已创建');
INSERT INTO `lang_definitions` VALUES (51056, 12204, 10, '已重新打开');
INSERT INTO `lang_definitions` VALUES (51057, 12205, 10, '历史');
INSERT INTO `lang_definitions` VALUES (51058, 12206, 10, '不是一个数字');
INSERT INTO `lang_definitions` VALUES (51059, 12207, 10, '可以重新送帐单了');
INSERT INTO `lang_definitions` VALUES (51060, 12208, 10, '左肺下叶');
INSERT INTO `lang_definitions` VALUES (51061, 12209, 10, '很多');
INSERT INTO `lang_definitions` VALUES (51062, 12210, 10, '医疗补助原始参考号码');
INSERT INTO `lang_definitions` VALUES (51063, 12211, 10, '最小');
INSERT INTO `lang_definitions` VALUES (51064, 12212, 10, '没有找到');
INSERT INTO `lang_definitions` VALUES (51065, 12213, 10, '特点在许多浏览器可能意味着输出下面进入你的屏幕突然抽搐，有长时间的停顿几秒钟，它似乎事情可能坠毁。不是这样的，你最终会看到输出了一行行。有可能是连续的数字出现如下，这是表明，即使没有其他可显示有活动。这些数字会穿插内容的计费，这是正常的。');
INSERT INTO `lang_definitions` VALUES (51066, 12214, 10, '药方已达到限度');
INSERT INTO `lang_definitions` VALUES (51067, 12215, 10, '直到');
INSERT INTO `lang_definitions` VALUES (51068, 12216, 10, '更新失败，不是在数据库？');
INSERT INTO `lang_definitions` VALUES (51069, 12217, 10, '被标记为只送了帐单');
INSERT INTO `lang_definitions` VALUES (51070, 12218, 10, '被成功加入队列');
INSERT INTO `lang_definitions` VALUES (51071, 12219, 10, '! 没门诊就离开');
INSERT INTO `lang_definitions` VALUES (51072, 12221, 10, '\" 记录在公布日历的配置中');
INSERT INTO `lang_definitions` VALUES (51073, 12222, 10, '# 保险/财务问题');
INSERT INTO `lang_definitions` VALUES (51074, 12223, 10, '片剂：');
INSERT INTO `lang_definitions` VALUES (51075, 12224, 10, '$');
INSERT INTO `lang_definitions` VALUES (51076, 12225, 10, '$ 已编好号');
INSERT INTO `lang_definitions` VALUES (51077, 12226, 10, '$标签（yyyy-mm-dd）：');
INSERT INTO `lang_definitions` VALUES (51078, 12227, 10, '%');
INSERT INTO `lang_definitions` VALUES (51079, 12228, 10, '% 已取消 < 24小时');
INSERT INTO `lang_definitions` VALUES (51080, 12229, 10, '% 已取消 < 24小时');
INSERT INTO `lang_definitions` VALUES (51081, 12230, 10, '应该存在，但是不存在');
INSERT INTO `lang_definitions` VALUES (51082, 12231, 10, '_ matches any character)');
INSERT INTO `lang_definitions` VALUES (51083, 12232, 10, '（[ctrl]+单击选择更多收件人）');
INSERT INTO `lang_definitions` VALUES (51084, 12233, 10, '（返回）');
INSERT INTO `lang_definitions` VALUES (51085, 12234, 10, '（点击编辑）');
INSERT INTO `lang_definitions` VALUES (51086, 12235, 10, '（电子邮件立即送货，而自动电话发送到服务提供商进一步处理。）');
INSERT INTO `lang_definitions` VALUES (51087, 12236, 10, '（更多）');
INSERT INTO `lang_definitions` VALUES (51088, 12237, 10, '(新客户)');
INSERT INTO `lang_definitions` VALUES (51089, 12238, 10, '(备注和授权)');
INSERT INTO `lang_definitions` VALUES (51090, 12239, 10, '(客户备注)');
INSERT INTO `lang_definitions` VALUES (51091, 12240, 10, 'or type your own title)');
INSERT INTO `lang_definitions` VALUES (51092, 12241, 10, '（Shift）单机或拖动改变值');
INSERT INTO `lang_definitions` VALUES (51093, 12242, 10, '* 提醒');
INSERT INTO `lang_definitions` VALUES (51094, 12243, 10, '** 请将手术移到问题！');
INSERT INTO `lang_definitions` VALUES (51095, 12244, 10, '*要求的');
INSERT INTO `lang_definitions` VALUES (51096, 12245, 10, '+图表展开了');
INSERT INTO `lang_definitions` VALUES (51097, 12249, 10, '-空');
INSERT INTO `lang_definitions` VALUES (51098, 12253, 10, '.');
INSERT INTO `lang_definitions` VALUES (51099, 12254, 10, '0');
INSERT INTO `lang_definitions` VALUES (51100, 12255, 10, '0-10');
INSERT INTO `lang_definitions` VALUES (51101, 12256, 10, '0-24');
INSERT INTO `lang_definitions` VALUES (51102, 12259, 10, '1');
INSERT INTO `lang_definitions` VALUES (51103, 12260, 10, '1=北美。查看其它国家或地区请门诊 http://www.wtng.info/');
INSERT INTO `lang_definitions` VALUES (51104, 12261, 10, '从现在起一天');
INSERT INTO `lang_definitions` VALUES (51105, 12262, 10, '从现在起一个月');
INSERT INTO `lang_definitions` VALUES (51106, 12263, 10, '从现在起一周');
INSERT INTO `lang_definitions` VALUES (51107, 12264, 10, '从现在起一年');
INSERT INTO `lang_definitions` VALUES (51108, 12265, 10, '其余的2 1。冰天3。压缩，离开敷料除非脚发展麻木或苍白色4。提高脚和腿');
INSERT INTO `lang_definitions` VALUES (51109, 12266, 10, '11-14');
INSERT INTO `lang_definitions` VALUES (51110, 12267, 10, '12小時');
INSERT INTO `lang_definitions` VALUES (51111, 12268, 10, '15-19');
INSERT INTO `lang_definitions` VALUES (51112, 12272, 10, '2');
INSERT INTO `lang_definitions` VALUES (51113, 12273, 10, '从现在起两天');
INSERT INTO `lang_definitions` VALUES (51114, 12274, 10, '从现在起两个月');
INSERT INTO `lang_definitions` VALUES (51115, 12275, 10, '从现在起两周');
INSERT INTO `lang_definitions` VALUES (51116, 12276, 10, '从现在起两年');
INSERT INTO `lang_definitions` VALUES (51117, 12278, 10, '20-24');
INSERT INTO `lang_definitions` VALUES (51118, 12287, 10, '2011-13');
INSERT INTO `lang_definitions` VALUES (51119, 12288, 10, '24小时');
INSERT INTO `lang_definitions` VALUES (51120, 12289, 10, '25+');
INSERT INTO `lang_definitions` VALUES (51121, 12290, 10, '25-29');
INSERT INTO `lang_definitions` VALUES (51122, 12293, 10, '第二');
INSERT INTO `lang_definitions` VALUES (51123, 12296, 10, '从现在起三天');
INSERT INTO `lang_definitions` VALUES (51124, 12297, 10, '三个月');
INSERT INTO `lang_definitions` VALUES (51125, 12298, 10, '从现在起三个月');
INSERT INTO `lang_definitions` VALUES (51126, 12299, 10, '每天三次');
INSERT INTO `lang_definitions` VALUES (51127, 12300, 10, '从现在三周');
INSERT INTO `lang_definitions` VALUES (51128, 12301, 10, '30-34');
INSERT INTO `lang_definitions` VALUES (51129, 12302, 10, '35-39');
INSERT INTO `lang_definitions` VALUES (51130, 12304, 10, '第三');
INSERT INTO `lang_definitions` VALUES (51131, 12307, 10, '从现在起四天');
INSERT INTO `lang_definitions` VALUES (51132, 12308, 10, '四个月');
INSERT INTO `lang_definitions` VALUES (51133, 12309, 10, '从现在起四个月');
INSERT INTO `lang_definitions` VALUES (51134, 12310, 10, '每天四次');
INSERT INTO `lang_definitions` VALUES (51135, 12311, 10, '从现在四周');
INSERT INTO `lang_definitions` VALUES (51136, 12312, 10, '40-44');
INSERT INTO `lang_definitions` VALUES (51137, 12313, 10, '45+');
INSERT INTO `lang_definitions` VALUES (51138, 12314, 10, '465.9，上呼吸道感染');
INSERT INTO `lang_definitions` VALUES (51139, 12315, 10, '466.0，支氣管炎，急性一氧化氮合酶');
INSERT INTO `lang_definitions` VALUES (51140, 12316, 10, '486.0，肺炎，急性');
INSERT INTO `lang_definitions` VALUES (51141, 12317, 10, '491.21，慢性阻塞性肺病加重');
INSERT INTO `lang_definitions` VALUES (51142, 12318, 10, '491.8，支氣管炎，慢性');
INSERT INTO `lang_definitions` VALUES (51143, 12319, 10, '493.92，哮喘，急性惡化。');
INSERT INTO `lang_definitions` VALUES (51144, 12320, 10, '496.0，慢性阻塞性肺病');
INSERT INTO `lang_definitions` VALUES (51145, 12323, 10, '第四');
INSERT INTO `lang_definitions` VALUES (51146, 12326, 10, '从现在起五天');
INSERT INTO `lang_definitions` VALUES (51147, 12327, 10, '从现在起五个月');
INSERT INTO `lang_definitions` VALUES (51148, 12328, 10, '从现在起五周');
INSERT INTO `lang_definitions` VALUES (51149, 12329, 10, 'Bronchospasm');
INSERT INTO `lang_definitions` VALUES (51150, 12331, 10, '第五');
INSERT INTO `lang_definitions` VALUES (51151, 12333, 10, '从现在起六天');
INSERT INTO `lang_definitions` VALUES (51152, 12334, 10, '六个月');
INSERT INTO `lang_definitions` VALUES (51153, 12335, 10, '从现在起六个月');
INSERT INTO `lang_definitions` VALUES (51154, 12336, 10, '从现在起六周');
INSERT INTO `lang_definitions` VALUES (51155, 12337, 10, '第六');
INSERT INTO `lang_definitions` VALUES (51156, 12339, 10, '从现在起七个月');
INSERT INTO `lang_definitions` VALUES (51157, 12340, 10, '从现在起八个月');
INSERT INTO `lang_definitions` VALUES (51158, 12342, 10, '824.0骨折，內踝，閉鎖性');
INSERT INTO `lang_definitions` VALUES (51159, 12343, 10, '824.2骨折，外踝，閉鎖性');
INSERT INTO `lang_definitions` VALUES (51160, 12344, 10, '824.6骨折，三踝，閉鎖性');
INSERT INTO `lang_definitions` VALUES (51161, 12345, 10, '825.32骨折，舟（脚踝）');
INSERT INTO `lang_definitions` VALUES (51162, 12346, 10, '825.35骨折，第五跖骨基地（第五）');
INSERT INTO `lang_definitions` VALUES (51163, 12347, 10, '845.00 踝关节扭伤 NOS');
INSERT INTO `lang_definitions` VALUES (51164, 12348, 10, '845.00 踝关节三角韧带扭伤');
INSERT INTO `lang_definitions` VALUES (51165, 12349, 10, '845.02扭伤，跟骨腓骨');
INSERT INTO `lang_definitions` VALUES (51166, 12350, 10, '从现在起九个月');
INSERT INTO `lang_definitions` VALUES (51167, 12351, 10, '99212 已建立 - 简单的');
INSERT INTO `lang_definitions` VALUES (51168, 12352, 10, '99213 已建立 - 低复杂度');
INSERT INTO `lang_definitions` VALUES (51169, 12353, 10, '< 在检查室');
INSERT INTO `lang_definitions` VALUES (51170, 12357, 10, '>已结帐');
INSERT INTO `lang_definitions` VALUES (51171, 12361, 10, '? 没显示');
INSERT INTO `lang_definitions` VALUES (51172, 12362, 10, '@ 已到达');
INSERT INTO `lang_definitions` VALUES (51173, 12364, 10, '[转换显示]');
INSERT INTO `lang_definitions` VALUES (51174, 12365, 10, '[上一次看诊的日期]');
INSERT INTO `lang_definitions` VALUES (51175, 12366, 10, '[离上一次看诊的天数]');
INSERT INTO `lang_definitions` VALUES (51176, 12368, 10, '[导出OFX格式]');
INSERT INTO `lang_definitions` VALUES (51177, 12369, 10, '[不推荐]');
INSERT INTO `lang_definitions` VALUES (51178, 12370, 10, '[看诊的次数]');
INSERT INTO `lang_definitions` VALUES (51179, 12371, 10, '[报告]');
INSERT INTO `lang_definitions` VALUES (51180, 12372, 10, '[选择所有]');
INSERT INTO `lang_definitions` VALUES (51181, 12373, 10, '[数据库总帐]');
INSERT INTO `lang_definitions` VALUES (51182, 12374, 10, '[开始批量处理]');
INSERT INTO `lang_definitions` VALUES (51183, 12375, 10, '[查看记录]');
INSERT INTO `lang_definitions` VALUES (51184, 12376, 10, '[查看可打印的报告]');
INSERT INTO `lang_definitions` VALUES (51185, 1, 11, '一');
INSERT INTO `lang_definitions` VALUES (51186, 2, 11, '一個支票或申索號碼 用來查詢付款');
INSERT INTO `lang_definitions` VALUES (51187, 4, 11, '一個管理員用戶的客戶端證書');
INSERT INTO `lang_definitions` VALUES (51188, 13, 11, '需要一個經銷商');
INSERT INTO `lang_definitions` VALUES (51189, 17, 11, '一個GCAC參訪表格應該增加到這次的參訪');
INSERT INTO `lang_definitions` VALUES (51190, 20, 11, '需要很多的數字');
INSERT INTO `lang_definitions` VALUES (51191, 21, 11, '需要很多的數字﹗');
INSERT INTO `lang_definitions` VALUES (51192, 22, 11, '一個小寫字母');
INSERT INTO `lang_definitions` VALUES (51193, 28, 11, '一個數字');
INSERT INTO `lang_definitions` VALUES (51194, 30, 11, '一位有這個身分證的病人已經存在');
INSERT INTO `lang_definitions` VALUES (51195, 31, 11, '一位有這個名字的病人已經存在');
INSERT INTO `lang_definitions` VALUES (51196, 32, 11, '一位有這種沙門氏-志賀氏桿菌的病人已經存在');
INSERT INTO `lang_definitions` VALUES (51197, 43, 11, '每次訪問，可以指定轉介來源。');
INSERT INTO `lang_definitions` VALUES (51198, 44, 11, '需要一個相關國際計劃生育聯合會的代碼！');
INSERT INTO `lang_definitions` VALUES (51199, 49, 11, '特性');
INSERT INTO `lang_definitions` VALUES (51200, 53, 11, '一個獨特的價值來辨認此領域，使用者不可看見');
INSERT INTO `lang_definitions` VALUES (51201, 57, 11, 'a.c.');
INSERT INTO `lang_definitions` VALUES (51202, 58, 11, '上午');
INSERT INTO `lang_definitions` VALUES (51203, 60, 11, 'A/F Level右側：');
INSERT INTO `lang_definitions` VALUES (51204, 62, 11, '不正常 流產');
INSERT INTO `lang_definitions` VALUES (51205, 63, 11, '縮寫');
INSERT INTO `lang_definitions` VALUES (51206, 64, 11, '膿瘍');
INSERT INTO `lang_definitions` VALUES (51207, 65, 11, '腹部的');
INSERT INTO `lang_definitions` VALUES (51208, 66, 11, '能夠承受重量4個步驟：');
INSERT INTO `lang_definitions` VALUES (51209, 67, 11, '異常的');
INSERT INTO `lang_definitions` VALUES (51210, 68, 11, '不正常1');
INSERT INTO `lang_definitions` VALUES (51211, 70, 11, '不正常');
INSERT INTO `lang_definitions` VALUES (51212, 71, 11, '不正常的血液測試');
INSERT INTO `lang_definitions` VALUES (51213, 72, 11, '不正常的頭髮生長');
INSERT INTO `lang_definitions` VALUES (51214, 73, 11, '不正常的乳房攝影');
INSERT INTO `lang_definitions` VALUES (51215, 75, 11, '流產');
INSERT INTO `lang_definitions` VALUES (51216, 76, 11, '流產議題');
INSERT INTO `lang_definitions` VALUES (51217, 77, 11, '流產方法');
INSERT INTO `lang_definitions` VALUES (51218, 78, 11, '與流產有關的類別');
INSERT INTO `lang_definitions` VALUES (51219, 79, 11, '墮胎');
INSERT INTO `lang_definitions` VALUES (51220, 82, 11, '關於日曆');
INSERT INTO `lang_definitions` VALUES (51221, 85, 11, '診斷為失神');
INSERT INTO `lang_definitions` VALUES (51222, 87, 11, '接受指派');
INSERT INTO `lang_definitions` VALUES (51223, 90, 11, '接受付款為');
INSERT INTO `lang_definitions` VALUES (51224, 91, 11, '接受指派 承擔任務');
INSERT INTO `lang_definitions` VALUES (51225, 93, 11, '存取控制');
INSERT INTO `lang_definitions` VALUES (51226, 94, 11, '存取控制表管理');
INSERT INTO `lang_definitions` VALUES (51227, 105, 11, '進入你的病人入口網站');
INSERT INTO `lang_definitions` VALUES (51228, 113, 11, '帳目名稱');
INSERT INTO `lang_definitions` VALUES (51229, 117, 11, '會計');
INSERT INTO `lang_definitions` VALUES (51230, 122, 11, '疼痛');
INSERT INTO `lang_definitions` VALUES (51231, 124, 11, '確認要求（ISA14）');
INSERT INTO `lang_definitions` VALUES (51232, 126, 11, '前十字韌帶');
INSERT INTO `lang_definitions` VALUES (51233, 127, 11, '訪問控制列表管理');
INSERT INTO `lang_definitions` VALUES (51234, 129, 11, '未授權訪問控制列表管理');
INSERT INTO `lang_definitions` VALUES (51235, 133, 11, '粉刺');
INSERT INTO `lang_definitions` VALUES (51236, 136, 11, '行動');
INSERT INTO `lang_definitions` VALUES (51237, 137, 11, '行動日期');
INSERT INTO `lang_definitions` VALUES (51238, 138, 11, '行動');
INSERT INTO `lang_definitions` VALUES (51239, 142, 11, '行動');
INSERT INTO `lang_definitions` VALUES (51240, 144, 11, '啟動CCR/ CCD的報表');
INSERT INTO `lang_definitions` VALUES (51241, 148, 11, '活躍');
INSERT INTO `lang_definitions` VALUES (51242, 150, 11, '活躍戒備');
INSERT INTO `lang_definitions` VALUES (51243, 152, 11, '主動警示規則');
INSERT INTO `lang_definitions` VALUES (51244, 153, 11, '活耀戒備/提示');
INSERT INTO `lang_definitions` VALUES (51245, 158, 11, '積極接觸 活躍遭遇');
INSERT INTO `lang_definitions` VALUES (51246, 160, 11, '活躍名單');
INSERT INTO `lang_definitions` VALUES (51247, 162, 11, '活躍患者');
INSERT INTO `lang_definitions` VALUES (51248, 163, 11, '活躍計畫');
INSERT INTO `lang_definitions` VALUES (51249, 173, 11, '活動');
INSERT INTO `lang_definitions` VALUES (51250, 174, 11, '活動類型');
INSERT INTO `lang_definitions` VALUES (51251, 187, 11, '急性 慢性');
INSERT INTO `lang_definitions` VALUES (51252, 189, 11, '增加');
INSERT INTO `lang_definitions` VALUES (51253, 190, 11, '增加');
INSERT INTO `lang_definitions` VALUES (51254, 191, 11, '腺苷酸去氨碁酵素 注意力缺乏障礙');
INSERT INTO `lang_definitions` VALUES (51255, 192, 11, '增加一家公司');
INSERT INTO `lang_definitions` VALUES (51256, 197, 11, '增加一家藥房');
INSERT INTO `lang_definitions` VALUES (51257, 200, 11, '增加一個事件為了');
INSERT INTO `lang_definitions` VALUES (51258, 202, 11, '加入一個新的說明');
INSERT INTO `lang_definitions` VALUES (51259, 203, 11, '增加就像是新的');
INSERT INTO `lang_definitions` VALUES (51260, 206, 11, '增加按鈕');
INSERT INTO `lang_definitions` VALUES (51261, 207, 11, '添加特殊字符的按鈕，文本將顯示在編輯器的頂部，為的是到文本上點擊');
INSERT INTO `lang_definitions` VALUES (51262, 208, 11, '增加類別');
INSERT INTO `lang_definitions` VALUES (51263, 209, 11, '增加常數');
INSERT INTO `lang_definitions` VALUES (51264, 210, 11, '增加上下文');
INSERT INTO `lang_definitions` VALUES (51265, 211, 11, '加入共付額');
INSERT INTO `lang_definitions` VALUES (51266, 212, 11, '新增條件');
INSERT INTO `lang_definitions` VALUES (51267, 213, 11, '增加習慣按鈕');
INSERT INTO `lang_definitions` VALUES (51268, 216, 11, '增加診斷');
INSERT INTO `lang_definitions` VALUES (51269, 217, 11, '增加藥物');
INSERT INTO `lang_definitions` VALUES (51270, 220, 11, '增加遭遇');
INSERT INTO `lang_definitions` VALUES (51271, 221, 11, '增加遭遇/筆記');
INSERT INTO `lang_definitions` VALUES (51272, 222, 11, '增加設施');
INSERT INTO `lang_definitions` VALUES (51273, 223, 11, '增加領域');
INSERT INTO `lang_definitions` VALUES (51274, 224, 11, '增加下列幾行到亞帕契印地安人配置檔案中');
INSERT INTO `lang_definitions` VALUES (51275, 225, 11, '增加小組');
INSERT INTO `lang_definitions` VALUES (51276, 227, 11, '增加國際疾病分類碼');
INSERT INTO `lang_definitions` VALUES (51277, 228, 11, '增加免疫');
INSERT INTO `lang_definitions` VALUES (51278, 230, 11, '增加議題');
INSERT INTO `lang_definitions` VALUES (51279, 232, 11, '增加語言');
INSERT INTO `lang_definitions` VALUES (51280, 238, 11, '增加新');
INSERT INTO `lang_definitions` VALUES (51281, 239, 11, '增加新');
INSERT INTO `lang_definitions` VALUES (51282, 240, 11, '增加新的類別﹕');
INSERT INTO `lang_definitions` VALUES (51283, 241, 11, '增加新的證明到亞帕契印地安人配置檔案中');
INSERT INTO `lang_definitions` VALUES (51284, 249, 11, '增加新的小組');
INSERT INTO `lang_definitions` VALUES (51285, 251, 11, '增加很多新的合約');
INSERT INTO `lang_definitions` VALUES (51286, 253, 11, '增加新的註解');
INSERT INTO `lang_definitions` VALUES (51287, 254, 11, '增加新的註解');
INSERT INTO `lang_definitions` VALUES (51288, 255, 11, '增加新的夥伴');
INSERT INTO `lang_definitions` VALUES (51289, 264, 11, '增加註解');
INSERT INTO `lang_definitions` VALUES (51290, 268, 11, '增加病患紀錄');
INSERT INTO `lang_definitions` VALUES (51291, 269, 11, '增加處方');
INSERT INTO `lang_definitions` VALUES (51292, 271, 11, '增加提供者數量');
INSERT INTO `lang_definitions` VALUES (51293, 273, 11, '增加康復');
INSERT INTO `lang_definitions` VALUES (51294, 274, 11, '增加規則');
INSERT INTO `lang_definitions` VALUES (51295, 277, 11, '加到');
INSERT INTO `lang_definitions` VALUES (51296, 281, 11, '加到藥物名單中');
INSERT INTO `lang_definitions` VALUES (51297, 282, 11, '加到最高層級');
INSERT INTO `lang_definitions` VALUES (51298, 283, 11, '增加交易');
INSERT INTO `lang_definitions` VALUES (51299, 284, 11, '增加使用者');
INSERT INTO `lang_definitions` VALUES (51300, 285, 11, '將使用者加入小組中');
INSERT INTO `lang_definitions` VALUES (51301, 287, 11, '添加/編輯eRX');
INSERT INTO `lang_definitions` VALUES (51302, 289, 11, '添加/編輯病人的交易');
INSERT INTO `lang_definitions` VALUES (51303, 290, 11, '增加');
INSERT INTO `lang_definitions` VALUES (51304, 293, 11, '加入人口統計沒有被授權。');
INSERT INTO `lang_definitions` VALUES (51305, 295, 11, '愛迪生症候群');
INSERT INTO `lang_definitions` VALUES (51306, 296, 11, '愛迪生症候群');
INSERT INTO `lang_definitions` VALUES (51307, 297, 11, '附加的屬性');
INSERT INTO `lang_definitions` VALUES (51308, 300, 11, '附加的診斷：');
INSERT INTO `lang_definitions` VALUES (51309, 305, 11, '附加的病史');
INSERT INTO `lang_definitions` VALUES (51310, 306, 11, '附加的病史紀錄');
INSERT INTO `lang_definitions` VALUES (51311, 307, 11, '附加的資訊');
INSERT INTO `lang_definitions` VALUES (51312, 310, 11, '額外的實驗室');
INSERT INTO `lang_definitions` VALUES (51313, 311, 11, '其他注意事項');
INSERT INTO `lang_definitions` VALUES (51314, 314, 11, '其他注意事項︰');
INSERT INTO `lang_definitions` VALUES (51315, 315, 11, '其他注意事項︰');
INSERT INTO `lang_definitions` VALUES (51316, 317, 11, '另外的放射線紀錄');
INSERT INTO `lang_definitions` VALUES (51317, 320, 11, '沒有結果');
INSERT INTO `lang_definitions` VALUES (51318, 322, 11, 'Addr Bk');
INSERT INTO `lang_definitions` VALUES (51319, 323, 11, 'Addr Bk');
INSERT INTO `lang_definitions` VALUES (51320, 324, 11, '地址');
INSERT INTO `lang_definitions` VALUES (51321, 327, 11, '通訊簿');
INSERT INTO `lang_definitions` VALUES (51322, 328, 11, '執行此程序的公司的通訊簿條目');
INSERT INTO `lang_definitions` VALUES (51323, 329, 11, '經銷商的通訊簿條目');
INSERT INTO `lang_definitions` VALUES (51324, 330, 11, '對供應商的通訊簿條目');
INSERT INTO `lang_definitions` VALUES (51325, 331, 11, '通訊簿類型');
INSERT INTO `lang_definitions` VALUES (51326, 339, 11, '地址1');
INSERT INTO `lang_definitions` VALUES (51327, 340, 11, '地址2');
INSERT INTO `lang_definitions` VALUES (51328, 342, 11, '收信人');
INSERT INTO `lang_definitions` VALUES (51329, 345, 11, '形容詞');
INSERT INTO `lang_definitions` VALUES (51330, 346, 11, '可調節金額');
INSERT INTO `lang_definitions` VALUES (51331, 347, 11, '調整');
INSERT INTO `lang_definitions` VALUES (51332, 348, 11, '調整');
INSERT INTO `lang_definitions` VALUES (51333, 350, 11, '調整原因');
INSERT INTO `lang_definitions` VALUES (51334, 352, 11, '代碼的調整價值');
INSERT INTO `lang_definitions` VALUES (51335, 353, 11, '調整');
INSERT INTO `lang_definitions` VALUES (51336, 354, 11, '行政調節');
INSERT INTO `lang_definitions` VALUES (51337, 355, 11, '用藥 管理');
INSERT INTO `lang_definitions` VALUES (51338, 356, 11, '管理電子郵件地址');
INSERT INTO `lang_definitions` VALUES (51339, 357, 11, '管理經');
INSERT INTO `lang_definitions` VALUES (51340, 359, 11, '管理');
INSERT INTO `lang_definitions` VALUES (51341, 360, 11, '管理工作由');
INSERT INTO `lang_definitions` VALUES (51342, 363, 11, '管理');
INSERT INTO `lang_definitions` VALUES (51343, 366, 11, '管理者');
INSERT INTO `lang_definitions` VALUES (51344, 367, 11, '管理者可以做任何事');
INSERT INTO `lang_definitions` VALUES (51345, 371, 11, '成人體重篩檢與追蹤');
INSERT INTO `lang_definitions` VALUES (51346, 372, 11, '成人體重篩檢與追蹤(CQM)');
INSERT INTO `lang_definitions` VALUES (51347, 373, 11, '事先指示');
INSERT INTO `lang_definitions` VALUES (51348, 374, 11, '事先指示');
INSERT INTO `lang_definitions` VALUES (51349, 375, 11, '事先指示警告');
INSERT INTO `lang_definitions` VALUES (51350, 377, 11, '進階的');
INSERT INTO `lang_definitions` VALUES (51351, 380, 11, '建議');
INSERT INTO `lang_definitions` VALUES (51352, 382, 11, '影響正常');
INSERT INTO `lang_definitions` VALUES (51353, 386, 11, '經過幾個小時通話');
INSERT INTO `lang_definitions` VALUES (51354, 388, 11, '執行上述配置後，管理客戶端證書導入到瀏覽器並重新啟動Apache服務器（密碼為空）。');
INSERT INTO `lang_definitions` VALUES (51355, 390, 11, '儲存PDF文件後，單擊[查看日誌]以檢查錯誤。');
INSERT INTO `lang_definitions` VALUES (51356, 393, 11, '儲存文本文件（S）後，點擊[查看日誌」來檢查錯誤。');
INSERT INTO `lang_definitions` VALUES (51357, 396, 11, '儲存你的批處理後，單擊[查看日誌]以檢查錯誤。');
INSERT INTO `lang_definitions` VALUES (51358, 399, 11, '資料輸入正確後，點擊儲存按鈕。');
INSERT INTO `lang_definitions` VALUES (51359, 406, 11, '再次');
INSERT INTO `lang_definitions` VALUES (51360, 407, 11, '年齡');
INSERT INTO `lang_definitions` VALUES (51361, 409, 11, '年齡由');
INSERT INTO `lang_definitions` VALUES (51362, 410, 11, '年齡分類');
INSERT INTO `lang_definitions` VALUES (51363, 411, 11, '年齡資料超出範圍');
INSERT INTO `lang_definitions` VALUES (51364, 413, 11, '年齡的格式為“年齡從”是無效的');
INSERT INTO `lang_definitions` VALUES (51365, 414, 11, '年齡的格式為“年齡直到”是無效的');
INSERT INTO `lang_definitions` VALUES (51366, 415, 11, '年齡從');
INSERT INTO `lang_definitions` VALUES (51367, 417, 11, '最大年齡');
INSERT INTO `lang_definitions` VALUES (51368, 418, 11, '最小年齡');
INSERT INTO `lang_definitions` VALUES (51369, 419, 11, '年齡範圍');
INSERT INTO `lang_definitions` VALUES (51370, 421, 11, '老化列：');
INSERT INTO `lang_definitions` VALUES (51371, 424, 11, '酒精');
INSERT INTO `lang_definitions` VALUES (51372, 425, 11, '酒類消費');
INSERT INTO `lang_definitions` VALUES (51373, 428, 11, '機警的計數');
INSERT INTO `lang_definitions` VALUES (51374, 435, 11, '警報');
INSERT INTO `lang_definitions` VALUES (51375, 439, 11, '阿留申');
INSERT INTO `lang_definitions` VALUES (51376, 440, 11, '全部');
INSERT INTO `lang_definitions` VALUES (51377, 441, 11, '急性淋巴性白血症');
INSERT INTO `lang_definitions` VALUES (51378, 443, 11, '全部(被校對的格式A)');
INSERT INTO `lang_definitions` VALUES (51379, 444, 11, '全部(被校對的格式B)');
INSERT INTO `lang_definitions` VALUES (51380, 445, 11, '全部(漸增)');
INSERT INTO `lang_definitions` VALUES (51381, 448, 11, '所有的分類');
INSERT INTO `lang_definitions` VALUES (51382, 450, 11, '所有的代碼');
INSERT INTO `lang_definitions` VALUES (51383, 453, 11, '整天');
INSERT INTO `lang_definitions` VALUES (51384, 454, 11, '整天的事件');
INSERT INTO `lang_definitions` VALUES (51385, 455, 11, '所有人口統計學領域，搜索和重複檢查');
INSERT INTO `lang_definitions` VALUES (51386, 457, 11, '所有設施');
INSERT INTO `lang_definitions` VALUES (51387, 458, 11, '所有傷害/問題/議題');
INSERT INTO `lang_definitions` VALUES (51388, 459, 11, '所有允許的語言');
INSERT INTO `lang_definitions` VALUES (51389, 462, 11, '全部或部分名字');
INSERT INTO `lang_definitions` VALUES (51390, 463, 11, '全部或部分姓氏');
INSERT INTO `lang_definitions` VALUES (51391, 468, 11, '所有產品');
INSERT INTO `lang_definitions` VALUES (51392, 469, 11, '所有提供者');
INSERT INTO `lang_definitions` VALUES (51393, 470, 11, '所有審查與拒絕：');
INSERT INTO `lang_definitions` VALUES (51394, 475, 11, '所有主題');
INSERT INTO `lang_definitions` VALUES (51395, 478, 11, '所有使用者');
INSERT INTO `lang_definitions` VALUES (51396, 479, 11, '過敏的');
INSERT INTO `lang_definitions` VALUES (51397, 481, 11, '過敏');
INSERT INTO `lang_definitions` VALUES (51398, 484, 11, '過敏：');
INSERT INTO `lang_definitions` VALUES (51399, 485, 11, '過敏');
INSERT INTO `lang_definitions` VALUES (51400, 486, 11, '過敏導入成功完成');
INSERT INTO `lang_definitions` VALUES (51401, 488, 11, '過敏反應');
INSERT INTO `lang_definitions` VALUES (51402, 491, 11, '分配');
INSERT INTO `lang_definitions` VALUES (51403, 492, 11, '允許');
INSERT INTO `lang_definitions` VALUES (51404, 494, 11, '允許在登錄選單選擇所有可用的語言。');
INSERT INTO `lang_definitions` VALUES (51405, 496, 11, '允許索賠創建包含診斷，但沒有程序或收費。大多數診所不想這樣。');
INSERT INTO `lang_definitions` VALUES (51406, 497, 11, '允許調試語言');
INSERT INTO `lang_definitions` VALUES (51407, 500, 11, '允許電子郵件');
INSERT INTO `lang_definitions` VALUES (51408, 501, 11, '允許電子郵件的訊息嗎?');
INSERT INTO `lang_definitions` VALUES (51409, 502, 11, '允許電子郵件嗎?');
INSERT INTO `lang_definitions` VALUES (51410, 503, 11, '允許遭遇索賠');
INSERT INTO `lang_definitions` VALUES (51411, 506, 11, '允許健康資訊交換');
INSERT INTO `lang_definitions` VALUES (51412, 508, 11, '允許分享免疫資訊');
INSERT INTO `lang_definitions` VALUES (51413, 509, 11, '允許使用免疫登記表');
INSERT INTO `lang_definitions` VALUES (51414, 512, 11, '允許郵件訊息');
INSERT INTO `lang_definitions` VALUES (51415, 533, 11, '允許病患門戶網站');
INSERT INTO `lang_definitions` VALUES (51416, 541, 11, '允許短訊');
INSERT INTO `lang_definitions` VALUES (51417, 542, 11, '允許短訊（文字信息）？');
INSERT INTO `lang_definitions` VALUES (51418, 544, 11, '允許立即主動作出提交事件了嗎？');
INSERT INTO `lang_definitions` VALUES (51419, 545, 11, '允許電話訊息嗎?');
INSERT INTO `lang_definitions` VALUES (51420, 547, 11, '允許用戶出版全球性事件');
INSERT INTO `lang_definitions` VALUES (51421, 548, 11, '允許用戶出版個人日曆');
INSERT INTO `lang_definitions` VALUES (51422, 554, 11, '允許語音訊息');
INSERT INTO `lang_definitions` VALUES (51423, 555, 11, '准許');
INSERT INTO `lang_definitions` VALUES (51424, 556, 11, '准許的語言');
INSERT INTO `lang_definitions` VALUES (51425, 558, 11, '准許©');
INSERT INTO `lang_definitions` VALUES (51426, 566, 11, '已經存在');
INSERT INTO `lang_definitions` VALUES (51427, 568, 11, '已經存在.');
INSERT INTO `lang_definitions` VALUES (51428, 570, 11, '已被使用，選擇另一個識別碼');
INSERT INTO `lang_definitions` VALUES (51429, 571, 11, '已被使用，選擇另一個標題');
INSERT INTO `lang_definitions` VALUES (51430, 573, 11, '替代地址');
INSERT INTO `lang_definitions` VALUES (51431, 577, 11, '改變');
INSERT INTO `lang_definitions` VALUES (51432, 584, 11, '另外，你可以使用搜索頁面上傳文件，您從您的付款人或票據交換所獲得的電子匯款業務（X12的835）。您可以通過點擊“瀏覽”按鈕，選擇要上傳的文件，然後點擊搜索執行上傳，並顯示相應的發票。上面提到的其他參數，在這種情況下不適用，將被忽略。上傳保存的文件，但還沒有處理它的內容 - 這是分別執行如下所述。');
INSERT INTO `lang_definitions` VALUES (51433, 586, 11, '航空醫學 上午');
INSERT INTO `lang_definitions` VALUES (51434, 587, 11, '航空醫學規劃');
INSERT INTO `lang_definitions` VALUES (51435, 592, 11, '先天多發性關節攣縮症');
INSERT INTO `lang_definitions` VALUES (51436, 593, 11, '先天多發性關節攣縮症追蹤');
INSERT INTO `lang_definitions` VALUES (51437, 600, 11, '修正現有的筆記');
INSERT INTO `lang_definitions` VALUES (51438, 610, 11, '美洲印地安人');
INSERT INTO `lang_definitions` VALUES (51439, 611, 11, '美洲印地安人或阿拉斯加原住民');
INSERT INTO `lang_definitions` VALUES (51440, 612, 11, '美國運通');
INSERT INTO `lang_definitions` VALUES (51441, 613, 11, '阿姆哈啦語');
INSERT INTO `lang_definitions` VALUES (51442, 614, 11, '數量');
INSERT INTO `lang_definitions` VALUES (51443, 617, 11, '收費總量');
INSERT INTO `lang_definitions` VALUES (51444, 620, 11, '過去平衡的數量');
INSERT INTO `lang_definitions` VALUES (51445, 621, 11, '這次看診的數量');
INSERT INTO `lang_definitions` VALUES (51446, 622, 11, '已付金額');
INSERT INTO `lang_definitions` VALUES (51447, 623, 11, '數量：');
INSERT INTO `lang_definitions` VALUES (51448, 632, 11, '棄置OpenEMR網頁目錄樹時發生錯誤');
INSERT INTO `lang_definitions` VALUES (51449, 633, 11, '棄置phpGACL網站目錄樹時發生錯誤');
INSERT INTO `lang_definitions` VALUES (51450, 634, 11, '棄置SQL總帳web目錄樹時發生錯誤');
INSERT INTO `lang_definitions` VALUES (51451, 638, 11, '一個不完整的GCAC問題已創建和連接。有人會需要稍後完成它。');
INSERT INTO `lang_definitions` VALUES (51452, 644, 11, '一個非預期的錯誤已經發生了');
INSERT INTO `lang_definitions` VALUES (51453, 646, 11, '一個大寫字母');
INSERT INTO `lang_definitions` VALUES (51454, 648, 11, '以及');
INSERT INTO `lang_definitions` VALUES (51455, 649, 11, '以及 和 並且');
INSERT INTO `lang_definitions` VALUES (51456, 650, 11, '以及 和 並且');
INSERT INTO `lang_definitions` VALUES (51457, 651, 11, '以及');
INSERT INTO `lang_definitions` VALUES (51458, 652, 11, '以及所有輔助的資料?這次行動將被登錄');
INSERT INTO `lang_definitions` VALUES (51459, 653, 11, '以及修飾詞');
INSERT INTO `lang_definitions` VALUES (51460, 654, 11, '和處理。');
INSERT INTO `lang_definitions` VALUES (51461, 656, 11, '並且重新啟動阿帕契伺服器。');
INSERT INTO `lang_definitions` VALUES (51462, 657, 11, '並且原因是');
INSERT INTO `lang_definitions` VALUES (51463, 659, 11, '貧血');
INSERT INTO `lang_definitions` VALUES (51464, 660, 11, '腳踝');
INSERT INTO `lang_definitions` VALUES (51465, 661, 11, '腳踝加腳跟');
INSERT INTO `lang_definitions` VALUES (51466, 662, 11, '腳踝評估表');
INSERT INTO `lang_definitions` VALUES (51467, 663, 11, '腳踝問題');
INSERT INTO `lang_definitions` VALUES (51468, 664, 11, '強直性脊柱炎');
INSERT INTO `lang_definitions` VALUES (51469, 665, 11, '強直性脊柱炎');
INSERT INTO `lang_definitions` VALUES (51470, 666, 11, '厭食');
INSERT INTO `lang_definitions` VALUES (51471, 667, 11, '你可以在發布窗口做的另一件事是要求二次計費。如果你在儲存以前選擇此複選框，原索賠將被重新打開，並且在帳單頁排隊，將在未來計費運行期間進行處理。');
INSERT INTO `lang_definitions` VALUES (51472, 671, 11, '前廳 賭注');
INSERT INTO `lang_definitions` VALUES (51473, 676, 11, '肛門NL，沒有直腸壓痛/腫塊');
INSERT INTO `lang_definitions` VALUES (51474, 677, 11, '焦慮');
INSERT INTO `lang_definitions` VALUES (51475, 679, 11, '任何');
INSERT INTO `lang_definitions` VALUES (51476, 682, 11, '任何類別');
INSERT INTO `lang_definitions` VALUES (51477, 688, 11, '所需的代碼或說明的任何部分');
INSERT INTO `lang_definitions` VALUES (51478, 689, 11, '任何所需的專業');
INSERT INTO `lang_definitions` VALUES (51479, 690, 11, '任何藥物識別或藥物名稱的一部分');
INSERT INTO `lang_definitions` VALUES (51480, 691, 11, '免疫標識或免疫名稱的任何部分');
INSERT INTO `lang_definitions` VALUES (51481, 692, 11, '病患姓名的任何部分,或\"最後,最初,或\"X-Y\"');
INSERT INTO `lang_definitions` VALUES (51482, 699, 11, '短信網關的API鍵。');
INSERT INTO `lang_definitions` VALUES (51483, 703, 11, '呼吸暫停');
INSERT INTO `lang_definitions` VALUES (51484, 710, 11, '外觀');
INSERT INTO `lang_definitions` VALUES (51485, 711, 11, '外觀：');
INSERT INTO `lang_definitions` VALUES (51486, 714, 11, '附加本說明');
INSERT INTO `lang_definitions` VALUES (51487, 716, 11, '附加到現有的說明');
INSERT INTO `lang_definitions` VALUES (51488, 717, 11, '附加到本說明');
INSERT INTO `lang_definitions` VALUES (51489, 718, 11, '附加到本說明');
INSERT INTO `lang_definitions` VALUES (51490, 719, 11, '闌尾切除術');
INSERT INTO `lang_definitions` VALUES (51491, 721, 11, '適用患者');
INSERT INTO `lang_definitions` VALUES (51492, 723, 11, '登錄頁面的應用程序的名稱和主窗口的標題。');
INSERT INTO `lang_definitions` VALUES (51493, 725, 11, '應用發件人代碼（GS02）');
INSERT INTO `lang_definitions` VALUES (51494, 726, 11, '應用標題');
INSERT INTO `lang_definitions` VALUES (51495, 727, 11, '使用在生命徵象表格與生長曲線圖');
INSERT INTO `lang_definitions` VALUES (51496, 729, 11, '只適用於目前事件，對這個和所有未來的事件，或所有事件的變化？');
INSERT INTO `lang_definitions` VALUES (51497, 730, 11, '使用在受影響的區域');
INSERT INTO `lang_definitions` VALUES (51498, 731, 11, '使用在皮膚');
INSERT INTO `lang_definitions` VALUES (51499, 732, 11, '提供');
INSERT INTO `lang_definitions` VALUES (51500, 734, 11, '約定 委任');
INSERT INTO `lang_definitions` VALUES (51501, 736, 11, '預約日期');
INSERT INTO `lang_definitions` VALUES (51502, 742, 11, '約會表現風格');
INSERT INTO `lang_definitions` VALUES (51503, 744, 11, '約會提醒規則');
INSERT INTO `lang_definitions` VALUES (51504, 746, 11, '預約狀況');
INSERT INTO `lang_definitions` VALUES (51505, 747, 11, '預約狀況');
INSERT INTO `lang_definitions` VALUES (51506, 748, 11, '預約之內');
INSERT INTO `lang_definitions` VALUES (51507, 749, 11, '預約/事件顏色');
INSERT INTO `lang_definitions` VALUES (51508, 750, 11, '預約');
INSERT INTO `lang_definitions` VALUES (51509, 751, 11, '任命(自選的寫)');
INSERT INTO `lang_definitions` VALUES (51510, 758, 11, '任命與遭遇');
INSERT INTO `lang_definitions` VALUES (51511, 760, 11, '任用報告');
INSERT INTO `lang_definitions` VALUES (51512, 761, 11, '任用–相遇報告');
INSERT INTO `lang_definitions` VALUES (51513, 764, 11, '批准');
INSERT INTO `lang_definitions` VALUES (51514, 767, 11, '批准');
INSERT INTO `lang_definitions` VALUES (51515, 768, 11, '批准的事件管理');
INSERT INTO `lang_definitions` VALUES (51516, 774, 11, '聘任-ENC');
INSERT INTO `lang_definitions` VALUES (51517, 776, 11, '聘任');
INSERT INTO `lang_definitions` VALUES (51518, 779, 11, '四月');
INSERT INTO `lang_definitions` VALUES (51519, 780, 11, '四月');
INSERT INTO `lang_definitions` VALUES (51520, 782, 11, '阿拉伯');
INSERT INTO `lang_definitions` VALUES (51521, 787, 11, '存取控制的組名要翻譯嗎?');
INSERT INTO `lang_definitions` VALUES (51522, 788, 11, '任命類別的名字要翻譯嗎?');
INSERT INTO `lang_definitions` VALUES (51523, 789, 11, '文件類別的名字要翻譯嗎?');
INSERT INTO `lang_definitions` VALUES (51524, 790, 11, '這個類型要收費嗎?');
INSERT INTO `lang_definitions` VALUES (51525, 793, 11, '病患說明標題要翻譯嗎?');
INSERT INTO `lang_definitions` VALUES (51526, 795, 11, '對這次訪問 你準備完成一個新的GCAC議題了嗎?');
INSERT INTO `lang_definitions` VALUES (51527, 798, 11, '你確定想要批准這些事件?');
INSERT INTO `lang_definitions` VALUES (51528, 801, 11, '你確定想要完全移除這個格式?');
INSERT INTO `lang_definitions` VALUES (51529, 804, 11, '你確定想要刪除這個發現嗎?');
INSERT INTO `lang_definitions` VALUES (51530, 805, 11, '你確定想要刪除這個事件?');
INSERT INTO `lang_definitions` VALUES (51531, 806, 11, '你確定想要從資料庫中刪除這個項目嗎?');
INSERT INTO `lang_definitions` VALUES (51532, 808, 11, '你確定要刪除本說明嗎？');
INSERT INTO `lang_definitions` VALUES (51533, 810, 11, '你確定想要編輯這些事件嗎?');
INSERT INTO `lang_definitions` VALUES (51534, 811, 11, '你確定想要隱藏這些事件嗎?');
INSERT INTO `lang_definitions` VALUES (51535, 814, 11, '你確定想要瀏覽這些事件嗎?');
INSERT INTO `lang_definitions` VALUES (51536, 815, 11, '你確定要刪除整個上榜的群體');
INSERT INTO `lang_definitions` VALUES (51537, 816, 11, '你確定要刪除全部表單');
INSERT INTO `lang_definitions` VALUES (51538, 817, 11, '你確定要刪除字段');
INSERT INTO `lang_definitions` VALUES (51539, 818, 11, '你確定要刪除選定的欄位嗎？');
INSERT INTO `lang_definitions` VALUES (51540, 819, 11, '你確定你\'想繼續這些行動？');
INSERT INTO `lang_definitions` VALUES (51541, 820, 11, '區域未指定');
INSERT INTO `lang_definitions` VALUES (51542, 821, 11, '手臂');
INSERT INTO `lang_definitions` VALUES (51543, 822, 11, '亞美尼亞語');
INSERT INTO `lang_definitions` VALUES (51544, 829, 11, '心律不整');
INSERT INTO `lang_definitions` VALUES (51545, 830, 11, '關節炎');
INSERT INTO `lang_definitions` VALUES (51546, 831, 11, '關節炎/退化性關節疾病');
INSERT INTO `lang_definitions` VALUES (51547, 832, 11, '關節炎/退化性關節疾病');
INSERT INTO `lang_definitions` VALUES (51548, 836, 11, '如同');
INSERT INTO `lang_definitions` VALUES (51549, 838, 11, '自');
INSERT INTO `lang_definitions` VALUES (51550, 845, 11, '亞洲');
INSERT INTO `lang_definitions` VALUES (51551, 848, 11, '評估');
INSERT INTO `lang_definitions` VALUES (51552, 853, 11, '分配');
INSERT INTO `lang_definitions` VALUES (51553, 854, 11, '助理');
INSERT INTO `lang_definitions` VALUES (51554, 861, 11, '氣喘');
INSERT INTO `lang_definitions` VALUES (51555, 862, 11, '在');
INSERT INTO `lang_definitions` VALUES (51556, 863, 11, '如果你選擇全部，至少有一個搜索參數是必需的。');
INSERT INTO `lang_definitions` VALUES (51557, 866, 11, '在舟狀骨');
INSERT INTO `lang_definitions` VALUES (51558, 867, 11, '在舟狀骨：');
INSERT INTO `lang_definitions` VALUES (51559, 868, 11, '田徑隊');
INSERT INTO `lang_definitions` VALUES (51560, 870, 11, '運動的/傷害');
INSERT INTO `lang_definitions` VALUES (51561, 871, 11, 'ATNA審核CA證書');
INSERT INTO `lang_definitions` VALUES (51562, 872, 11, 'ATNA審核主持人');
INSERT INTO `lang_definitions` VALUES (51563, 873, 11, 'ATNA審核地區性證書');
INSERT INTO `lang_definitions` VALUES (51564, 874, 11, 'ATNA審核端口');
INSERT INTO `lang_definitions` VALUES (51565, 877, 11, '注意');
INSERT INTO `lang_definitions` VALUES (51566, 879, 11, '經辦人');
INSERT INTO `lang_definitions` VALUES (51567, 890, 11, '審計日誌備份');
INSERT INTO `lang_definitions` VALUES (51568, 891, 11, '審計日誌雜項');
INSERT INTO `lang_definitions` VALUES (51569, 892, 11, '審計日誌順序');
INSERT INTO `lang_definitions` VALUES (51570, 893, 11, '審計日誌病患紀錄');
INSERT INTO `lang_definitions` VALUES (51571, 894, 11, '審計日誌的安排');
INSERT INTO `lang_definitions` VALUES (51572, 895, 11, '審計日誌的安全管理');
INSERT INTO `lang_definitions` VALUES (51573, 896, 11, '稽核記錄SELECT查詢');
INSERT INTO `lang_definitions` VALUES (51574, 898, 11, '八月');
INSERT INTO `lang_definitions` VALUES (51575, 899, 11, '八月');
INSERT INTO `lang_definitions` VALUES (51576, 901, 11, '驗證');
INSERT INTO `lang_definitions` VALUES (51577, 902, 11, '驗證/註釋');
INSERT INTO `lang_definitions` VALUES (51578, 922, 11, '授權小組');
INSERT INTO `lang_definitions` VALUES (51579, 924, 11, '授權');
INSERT INTO `lang_definitions` VALUES (51580, 925, 11, '授權 核准');
INSERT INTO `lang_definitions` VALUES (51581, 926, 11, '批准-任何的交易');
INSERT INTO `lang_definitions` VALUES (51582, 928, 11, '批准-我的交易');
INSERT INTO `lang_definitions` VALUES (51583, 934, 11, '授權 核准');
INSERT INTO `lang_definitions` VALUES (51584, 936, 11, '只批准');
INSERT INTO `lang_definitions` VALUES (51585, 941, 11, '自動傳送');
INSERT INTO `lang_definitions` VALUES (51586, 944, 11, '自動創造新的遭遇');
INSERT INTO `lang_definitions` VALUES (51587, 945, 11, '自動產生');
INSERT INTO `lang_definitions` VALUES (51588, 947, 11, '自動化的測量演算(AMC)');
INSERT INTO `lang_definitions` VALUES (51589, 952, 11, '自動化的測量演算(AMC)追蹤');
INSERT INTO `lang_definitions` VALUES (51590, 953, 11, '自動化的措施(AMC)');
INSERT INTO `lang_definitions` VALUES (51591, 955, 11, '自動的');
INSERT INTO `lang_definitions` VALUES (51592, 959, 11, '自動的創造一個新的遭遇當約定的狀態是設定在\"@\"(到達)');
INSERT INTO `lang_definitions` VALUES (51593, 962, 11, '汽車醫療');
INSERT INTO `lang_definitions` VALUES (51594, 964, 11, '自動儲存');
INSERT INTO `lang_definitions` VALUES (51595, 967, 11, '可用類別');
INSERT INTO `lang_definitions` VALUES (51596, 971, 11, '可用時間');
INSERT INTO `lang_definitions` VALUES (51597, 976, 11, '平均每月');
INSERT INTO `lang_definitions` VALUES (51598, 980, 11, '撕裂/撕裂的骨折');
INSERT INTO `lang_definitions` VALUES (51599, 981, 11, '撕裂傷外踝');
INSERT INTO `lang_definitions` VALUES (51600, 982, 11, '撕裂傷內踝');
INSERT INTO `lang_definitions` VALUES (51601, 983, 11, '基於了悟');
INSERT INTO `lang_definitions` VALUES (51602, 985, 11, '腋下');
INSERT INTO `lang_definitions` VALUES (51603, 992, 11, '一天兩次');
INSERT INTO `lang_definitions` VALUES (51604, 993, 11, '後面 背面');
INSERT INTO `lang_definitions` VALUES (51605, 994, 11, '後面 背面');
INSERT INTO `lang_definitions` VALUES (51606, 995, 11, '以前的八次訪問');
INSERT INTO `lang_definitions` VALUES (51607, 996, 11, '以前的拾壹次訪問');
INSERT INTO `lang_definitions` VALUES (51608, 997, 11, '以前的五次訪問');
INSERT INTO `lang_definitions` VALUES (51609, 998, 11, '以前的四次訪問');
INSERT INTO `lang_definitions` VALUES (51610, 999, 11, '以前的九次訪問');
INSERT INTO `lang_definitions` VALUES (51611, 1000, 11, '以前的一次訪問');
INSERT INTO `lang_definitions` VALUES (51612, 1001, 11, '背痛');
INSERT INTO `lang_definitions` VALUES (51613, 1002, 11, '背部問題');
INSERT INTO `lang_definitions` VALUES (51614, 1003, 11, '以前的七次訪問');
INSERT INTO `lang_definitions` VALUES (51615, 1004, 11, '以前的六次訪問');
INSERT INTO `lang_definitions` VALUES (51616, 1005, 11, '背部手術');
INSERT INTO `lang_definitions` VALUES (51617, 1006, 11, '以前的十次訪問');
INSERT INTO `lang_definitions` VALUES (51618, 1007, 11, '以前的三次訪問');
INSERT INTO `lang_definitions` VALUES (51619, 1013, 11, '支持病人');
INSERT INTO `lang_definitions` VALUES (51620, 1016, 11, '回到查看');
INSERT INTO `lang_definitions` VALUES (51621, 1017, 11, '以前的十二次訪問');
INSERT INTO `lang_definitions` VALUES (51622, 1018, 11, '以前的兩次訪問');
INSERT INTO `lang_definitions` VALUES (51623, 1020, 11, '備份');
INSERT INTO `lang_definitions` VALUES (51624, 1022, 11, '已創建的備份文件。現在將傳送下載。');
INSERT INTO `lang_definitions` VALUES (51625, 1024, 11, '順利地使用的備份');
INSERT INTO `lang_definitions` VALUES (51626, 1025, 11, '空頭支票');
INSERT INTO `lang_definitions` VALUES (51627, 1026, 11, '重債');
INSERT INTO `lang_definitions` VALUES (51628, 1027, 11, '印度尼西亞語');
INSERT INTO `lang_definitions` VALUES (51629, 1028, 11, '平衡');
INSERT INTO `lang_definitions` VALUES (51630, 1031, 11, '平衡');
INSERT INTO `lang_definitions` VALUES (51631, 1032, 11, '平衡');
INSERT INTO `lang_definitions` VALUES (51632, 1034, 11, '到期餘額');
INSERT INTO `lang_definitions` VALUES (51633, 1038, 11, '銀行匯票');
INSERT INTO `lang_definitions` VALUES (51634, 1042, 11, '第五(第5) Metarsal基地');
INSERT INTO `lang_definitions` VALUES (51635, 1043, 11, '第五(第5) Metarsal基地︰');
INSERT INTO `lang_definitions` VALUES (51636, 1051, 11, '一批通訊工具');
INSERT INTO `lang_definitions` VALUES (51637, 1053, 11, '一批付款條目');
INSERT INTO `lang_definitions` VALUES (51638, 1055, 11, '批次處理啟動，這可能需要一段時間。');
INSERT INTO `lang_definitions` VALUES (51639, 1056, 11, '一批結果');
INSERT INTO `lang_definitions` VALUES (51640, 1057, 11, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (51641, 1063, 11, '因為那個身份證不存在');
INSERT INTO `lang_definitions` VALUES (51642, 1072, 11, '開始');
INSERT INTO `lang_definitions` VALUES (51643, 1074, 11, '開始日期');
INSERT INTO `lang_definitions` VALUES (51644, 1077, 11, '服務開始日期年年年年-月月-日日');
INSERT INTO `lang_definitions` VALUES (51645, 1078, 11, '日曆事件一天開始的時間');
INSERT INTO `lang_definitions` VALUES (51646, 1082, 11, '噯氣');
INSERT INTO `lang_definitions` VALUES (51647, 1089, 11, '兩者之間');
INSERT INTO `lang_definitions` VALUES (51648, 1095, 11, '雙側');
INSERT INTO `lang_definitions` VALUES (51649, 1096, 11, '雙側︰');
INSERT INTO `lang_definitions` VALUES (51650, 1099, 11, '帳單日期︰');
INSERT INTO `lang_definitions` VALUES (51651, 1101, 11, '帳單/收集');
INSERT INTO `lang_definitions` VALUES (51652, 1102, 11, '帳單');
INSERT INTO `lang_definitions` VALUES (51653, 1104, 11, '帳單');
INSERT INTO `lang_definitions` VALUES (51654, 1105, 11, '廣告(自選的寫)');
INSERT INTO `lang_definitions` VALUES (51655, 1109, 11, '廣告經辦人');
INSERT INTO `lang_definitions` VALUES (51656, 1111, 11, '要求服務的廣告代碼');
INSERT INTO `lang_definitions` VALUES (51657, 1112, 11, '帳單代碼');
INSERT INTO `lang_definitions` VALUES (51658, 1113, 11, '帳單日期');
INSERT INTO `lang_definitions` VALUES (51659, 1114, 11, '廣告部門');
INSERT INTO `lang_definitions` VALUES (51660, 1115, 11, '廣告設施');
INSERT INTO `lang_definitions` VALUES (51661, 1117, 11, '廣告資訊');
INSERT INTO `lang_definitions` VALUES (51662, 1118, 11, '廣告地點');
INSERT INTO `lang_definitions` VALUES (51663, 1125, 11, '廣告經理');
INSERT INTO `lang_definitions` VALUES (51664, 1126, 11, '計費筆記');
INSERT INTO `lang_definitions` VALUES (51665, 1127, 11, '計費筆記為');
INSERT INTO `lang_definitions` VALUES (51666, 1128, 11, '計費筆記︰');
INSERT INTO `lang_definitions` VALUES (51667, 1130, 11, '計費隊列結果：');
INSERT INTO `lang_definitions` VALUES (51668, 1131, 11, '計費報告');
INSERT INTO `lang_definitions` VALUES (51669, 1133, 11, '計費狀態=未入帳');
INSERT INTO `lang_definitions` VALUES (51670, 1134, 11, '入賬到');
INSERT INTO `lang_definitions` VALUES (51671, 1138, 11, '切片');
INSERT INTO `lang_definitions` VALUES (51672, 1140, 11, '出生日期');
INSERT INTO `lang_definitions` VALUES (51673, 1144, 11, '黑');
INSERT INTO `lang_definitions` VALUES (51674, 1148, 11, '黑人或非裔美國人');
INSERT INTO `lang_definitions` VALUES (51675, 1149, 11, '膀胱癌');
INSERT INTO `lang_definitions` VALUES (51676, 1150, 11, '膀胱感染');
INSERT INTO `lang_definitions` VALUES (51677, 1152, 11, '空白表格');
INSERT INTO `lang_definitions` VALUES (51678, 1153, 11, '流血問題');
INSERT INTO `lang_definitions` VALUES (51679, 1154, 11, '盲點');
INSERT INTO `lang_definitions` VALUES (51680, 1156, 11, '腹脹');
INSERT INTO `lang_definitions` VALUES (51681, 1158, 11, '封鎖 阻斷');
INSERT INTO `lang_definitions` VALUES (51682, 1159, 11, '血液');
INSERT INTO `lang_definitions` VALUES (51683, 1160, 11, '血壓');
INSERT INTO `lang_definitions` VALUES (51684, 1161, 11, '血壓');
INSERT INTO `lang_definitions` VALUES (51685, 1162, 11, '流鼻血');
INSERT INTO `lang_definitions` VALUES (51686, 1163, 11, '藍十字藍盾');
INSERT INTO `lang_definitions` VALUES (51687, 1165, 11, '本報告中的藍線都是資訊。黑線顯示原有資訊。綠線顯示已成功應用的變化。紅線顯示錯誤，或不適用的變化;這些必須人工處理。目前拒絕索賠和支付撥回不自動處理，所以會出現紅色。');
INSERT INTO `lang_definitions` VALUES (51688, 1166, 11, '視覺模糊');
INSERT INTO `lang_definitions` VALUES (51689, 1167, 11, '身體質量指數');
INSERT INTO `lang_definitions` VALUES (51690, 1168, 11, '身體質量指數狀態');
INSERT INTO `lang_definitions` VALUES (51691, 1170, 11, '身體部位');
INSERT INTO `lang_definitions` VALUES (51692, 1171, 11, '身體位置');
INSERT INTO `lang_definitions` VALUES (51693, 1172, 11, '身體位置，如果適用');
INSERT INTO `lang_definitions` VALUES (51694, 1173, 11, '骨頭壓痛︰');
INSERT INTO `lang_definitions` VALUES (51695, 1174, 11, '骨頭壓痛︰內側內踝');
INSERT INTO `lang_definitions` VALUES (51696, 1175, 11, '部爾');
INSERT INTO `lang_definitions` VALUES (51697, 1177, 11, '博特 機器人');
INSERT INTO `lang_definitions` VALUES (51698, 1179, 11, '雙耳');
INSERT INTO `lang_definitions` VALUES (51699, 1180, 11, '雙耳');
INSERT INTO `lang_definitions` VALUES (51700, 1183, 11, '臀部');
INSERT INTO `lang_definitions` VALUES (51701, 1187, 11, '框10A.與就業相關');
INSERT INTO `lang_definitions` VALUES (51702, 1189, 11, '框10B.車禍');
INSERT INTO `lang_definitions` VALUES (51703, 1191, 11, '框10C.其他意外');
INSERT INTO `lang_definitions` VALUES (51704, 1211, 11, '框16.無法工作的日期從(年年年年-月月-日日)');
INSERT INTO `lang_definitions` VALUES (51705, 1215, 11, '框16.無法工作的日期至(年年年年-月月-日日)');
INSERT INTO `lang_definitions` VALUES (51706, 1227, 11, '框18.住院日期從(年年年年-月月-日日)');
INSERT INTO `lang_definitions` VALUES (51707, 1231, 11, '框18.住院日期至(年年年年-月月-日日)');
INSERT INTO `lang_definitions` VALUES (51708, 1235, 11, '框20.使用外面的檢驗室嗎?');
INSERT INTO `lang_definitions` VALUES (51709, 1239, 11, '框22.醫療補助重新提交代碼(ICD-9)');
INSERT INTO `lang_definitions` VALUES (51710, 1243, 11, '框23.事先授權號');
INSERT INTO `lang_definitions` VALUES (51711, 1244, 11, '血壓');
INSERT INTO `lang_definitions` VALUES (51712, 1245, 11, '收縮壓');
INSERT INTO `lang_definitions` VALUES (51713, 1246, 11, '舒張壓');
INSERT INTO `lang_definitions` VALUES (51714, 1248, 11, 'Bpd');
INSERT INTO `lang_definitions` VALUES (51715, 1252, 11, 'Bps');
INSERT INTO `lang_definitions` VALUES (51716, 1254, 11, '巴西葡萄牙語');
INSERT INTO `lang_definitions` VALUES (51717, 1255, 11, '乳房');
INSERT INTO `lang_definitions` VALUES (51718, 1256, 11, '乳房切片');
INSERT INTO `lang_definitions` VALUES (51719, 1257, 11, '乳房分泌物');
INSERT INTO `lang_definitions` VALUES (51720, 1258, 11, '乳房疾病');
INSERT INTO `lang_definitions` VALUES (51721, 1259, 11, '乳房檢查');
INSERT INTO `lang_definitions` VALUES (51722, 1260, 11, '乳房腫塊');
INSERT INTO `lang_definitions` VALUES (51723, 1262, 11, '呼吸音︰');
INSERT INTO `lang_definitions` VALUES (51724, 1265, 11, '斷裂的骨頭');
INSERT INTO `lang_definitions` VALUES (51725, 1267, 11, '支氣管炎表單');
INSERT INTO `lang_definitions` VALUES (51726, 1270, 11, '瀏覽');
INSERT INTO `lang_definitions` VALUES (51727, 1271, 11, '瀏覽記錄');
INSERT INTO `lang_definitions` VALUES (51728, 1272, 11, '瘀青/血腫');
INSERT INTO `lang_definitions` VALUES (51729, 1276, 11, '右側膨出︰');
INSERT INTO `lang_definitions` VALUES (51730, 1278, 11, '排尿時燒灼感');
INSERT INTO `lang_definitions` VALUES (51731, 1279, 11, '排尿時燒灼感');
INSERT INTO `lang_definitions` VALUES (51732, 1282, 11, '忙碌');
INSERT INTO `lang_definitions` VALUES (51733, 1283, 11, '但尚未處理');
INSERT INTO `lang_definitions` VALUES (51734, 1284, 11, '臀部');
INSERT INTO `lang_definitions` VALUES (51735, 1285, 11, '臀部+ S.I.');
INSERT INTO `lang_definitions` VALUES (51736, 1286, 11, '通過 由');
INSERT INTO `lang_definitions` VALUES (51737, 1287, 11, '通過 由');
INSERT INTO `lang_definitions` VALUES (51738, 1293, 11, '由口');
INSERT INTO `lang_definitions` VALUES (51739, 1295, 11, '由/來源');
INSERT INTO `lang_definitions` VALUES (51740, 1296, 11, '由︰');
INSERT INTO `lang_definitions` VALUES (51741, 1301, 11, 'CA證書驗證RFC5425 TLS syslog服務器。');
INSERT INTO `lang_definitions` VALUES (51742, 1302, 11, '緩存生存期(秒)');
INSERT INTO `lang_definitions` VALUES (51743, 1303, 11, '快取範本輸出？');
INSERT INTO `lang_definitions` VALUES (51744, 1305, 11, '咖啡因消耗量');
INSERT INTO `lang_definitions` VALUES (51745, 1306, 11, '日曆');
INSERT INTO `lang_definitions` VALUES (51746, 1307, 11, '日曆結束時間');
INSERT INTO `lang_definitions` VALUES (51747, 1308, 11, '日曆間隔');
INSERT INTO `lang_definitions` VALUES (51748, 1309, 11, '日曆畫面');
INSERT INTO `lang_definitions` VALUES (51749, 1310, 11, '日曆設置');
INSERT INTO `lang_definitions` VALUES (51750, 1312, 11, '日曆開始時間');
INSERT INTO `lang_definitions` VALUES (51751, 1313, 11, '日曆的用戶介面');
INSERT INTO `lang_definitions` VALUES (51752, 1314, 11, '日曆視圖');
INSERT INTO `lang_definitions` VALUES (51753, 1317, 11, '呼叫添加表格去這裡參考。');
INSERT INTO `lang_definitions` VALUES (51754, 1321, 11, '卡路里');
INSERT INTO `lang_definitions` VALUES (51755, 1322, 11, '柬埔寨');
INSERT INTO `lang_definitions` VALUES (51756, 1323, 11, 'CAMOS');
INSERT INTO `lang_definitions` VALUES (51757, 1329, 11, '取消');
INSERT INTO `lang_definitions` VALUES (51758, 1332, 11, '取消變更');
INSERT INTO `lang_definitions` VALUES (51759, 1333, 11, '取消');
INSERT INTO `lang_definitions` VALUES (51760, 1335, 11, '癌症');
INSERT INTO `lang_definitions` VALUES (51761, 1336, 11, '癌症篩檢︰直腸癌篩檢');
INSERT INTO `lang_definitions` VALUES (51762, 1337, 11, '癌症篩檢︰乳房攝影');
INSERT INTO `lang_definitions` VALUES (51763, 1338, 11, '癌症篩檢︰子宮頸抹片');
INSERT INTO `lang_definitions` VALUES (51764, 1339, 11, '癌症篩檢︰攝護腺癌篩檢');
INSERT INTO `lang_definitions` VALUES (51765, 1340, 11, '不能添加此項因為它已經存在!');
INSERT INTO `lang_definitions` VALUES (51766, 1341, 11, '不能添加/更新這個條目，因為重複已經存在！');
INSERT INTO `lang_definitions` VALUES (51767, 1343, 11, '不能轉換為 JPEG。也許 ImageMagick是沒有安裝？');
INSERT INTO `lang_definitions` VALUES (51768, 1345, 11, '不能顯示內聯，因為它的類型不是由瀏覽器支持。');
INSERT INTO `lang_definitions` VALUES (51769, 1346, 11, '不能顯示內聯，因為它的類型是不是由瀏覽器支持。');
INSERT INTO `lang_definitions` VALUES (51770, 1347, 11, '不能顯示內聯，因為它的類型是不是由瀏覽器支持。');
INSERT INTO `lang_definitions` VALUES (51771, 1349, 11, '無法創造');
INSERT INTO `lang_definitions` VALUES (51772, 1354, 11, '找不到');
INSERT INTO `lang_definitions` VALUES (51773, 1355, 11, '無法找到目標檔案名稱');
INSERT INTO `lang_definitions` VALUES (51774, 1358, 11, '從 SQL總客戶名單中無法找到病人');
INSERT INTO `lang_definitions` VALUES (51775, 1359, 11, '找不到PostScript文件參考');
INSERT INTO `lang_definitions` VALUES (51776, 1360, 11, '不能從SQL總帳僱員找到提供者=');
INSERT INTO `lang_definitions` VALUES (51777, 1361, 11, '不能修改付款方式。未分配利潤是負的。');
INSERT INTO `lang_definitions` VALUES (51778, 1363, 11, '無法打開');
INSERT INTO `lang_definitions` VALUES (51779, 1364, 11, '不能為保險張貼。付款實體選擇是病人');
INSERT INTO `lang_definitions` VALUES (51780, 1365, 11, '不能為病人張貼。付款實體選擇是保險');
INSERT INTO `lang_definitions` VALUES (51781, 1366, 11, '不能張貼付款方式，未分配利潤是負的。');
INSERT INTO `lang_definitions` VALUES (51782, 1367, 11, '無法讀取');
INSERT INTO `lang_definitions` VALUES (51783, 1368, 11, '不能讀目錄');
INSERT INTO `lang_definitions` VALUES (51784, 1369, 11, '無法更新因為你不是編輯現有的條目');
INSERT INTO `lang_definitions` VALUES (51785, 1370, 11, '大寫');
INSERT INTO `lang_definitions` VALUES (51786, 1372, 11, '膠囊');
INSERT INTO `lang_definitions` VALUES (51787, 1373, 11, '卡片');
INSERT INTO `lang_definitions` VALUES (51788, 1382, 11, '心導管置入術');
INSERT INTO `lang_definitions` VALUES (51789, 1383, 11, '心臟超音波');
INSERT INTO `lang_definitions` VALUES (51790, 1384, 11, '心臟血管的');
INSERT INTO `lang_definitions` VALUES (51791, 1396, 11, '軟骨組織/軟骨面/椎間盤損傷');
INSERT INTO `lang_definitions` VALUES (51792, 1397, 11, '軟骨損傷');
INSERT INTO `lang_definitions` VALUES (51793, 1398, 11, '頸動脈搏動nl，足的脈搏 nl');
INSERT INTO `lang_definitions` VALUES (51794, 1400, 11, '現金');
INSERT INTO `lang_definitions` VALUES (51795, 1401, 11, '現金');
INSERT INTO `lang_definitions` VALUES (51796, 1402, 11, '現金紀錄');
INSERT INTO `lang_definitions` VALUES (51797, 1403, 11, '供應商提供現金收據');
INSERT INTO `lang_definitions` VALUES (51798, 1406, 11, '白內障手術');
INSERT INTO `lang_definitions` VALUES (51799, 1407, 11, '白內障');
INSERT INTO `lang_definitions` VALUES (51800, 1408, 11, '類別');
INSERT INTO `lang_definitions` VALUES (51801, 1409, 11, '類別為');
INSERT INTO `lang_definitions` VALUES (51802, 1410, 11, '類別');
INSERT INTO `lang_definitions` VALUES (51803, 1411, 11, '類別');
INSERT INTO `lang_definitions` VALUES (51804, 1412, 11, '類別');
INSERT INTO `lang_definitions` VALUES (51805, 1416, 11, '類別細節');
INSERT INTO `lang_definitions` VALUES (51806, 1417, 11, '類別限制');
INSERT INTO `lang_definitions` VALUES (51807, 1418, 11, '類別名稱');
INSERT INTO `lang_definitions` VALUES (51808, 1419, 11, '類別名字是空的');
INSERT INTO `lang_definitions` VALUES (51809, 1420, 11, '類別或標題');
INSERT INTO `lang_definitions` VALUES (51810, 1421, 11, '高加索 白種人');
INSERT INTO `lang_definitions` VALUES (51811, 1422, 11, '造成收入列印至遭遇/主要提供者資訊');
INSERT INTO `lang_definitions` VALUES (51812, 1445, 11, '手機');
INSERT INTO `lang_definitions` VALUES (51813, 1447, 11, '手機號碼');
INSERT INTO `lang_definitions` VALUES (51814, 1449, 11, '中央證明');
INSERT INTO `lang_definitions` VALUES (51815, 1451, 11, '中央或南美');
INSERT INTO `lang_definitions` VALUES (51816, 1452, 11, '認證授權crt檔案位置不可能是空的');
INSERT INTO `lang_definitions` VALUES (51817, 1453, 11, '認證授權關鍵檔案位置不可能是空的');
INSERT INTO `lang_definitions` VALUES (51818, 1454, 11, '發送RFC5425 TLS的syslog服務器的證書。');
INSERT INTO `lang_definitions` VALUES (51819, 1455, 11, '證明用戶');
INSERT INTO `lang_definitions` VALUES (51820, 1456, 11, '證明');
INSERT INTO `lang_definitions` VALUES (51821, 1458, 11, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (51822, 1459, 11, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (51823, 1460, 11, '改變');
INSERT INTO `lang_definitions` VALUES (51824, 1461, 11, '改變');
INSERT INTO `lang_definitions` VALUES (51825, 1462, 11, '改變活動');
INSERT INTO `lang_definitions` VALUES (51826, 1467, 11, '視力改變');
INSERT INTO `lang_definitions` VALUES (51827, 1468, 11, '視力改變');
INSERT INTO `lang_definitions` VALUES (51828, 1475, 11, '改變');
INSERT INTO `lang_definitions` VALUES (51829, 1476, 11, '改變的腸子');
INSERT INTO `lang_definitions` VALUES (51830, 1484, 11, '特徵');
INSERT INTO `lang_definitions` VALUES (51831, 1486, 11, '負責 收費 充電');
INSERT INTO `lang_definitions` VALUES (51832, 1487, 11, '調整收費');
INSERT INTO `lang_definitions` VALUES (51833, 1490, 11, '充電');
INSERT INTO `lang_definitions` VALUES (51834, 1491, 11, '病歷');
INSERT INTO `lang_definitions` VALUES (51835, 1492, 11, '圖表活動');
INSERT INTO `lang_definitions` VALUES (51836, 1493, 11, '病力借入/借出活動報告');
INSERT INTO `lang_definitions` VALUES (51837, 1495, 11, '病歷編號');
INSERT INTO `lang_definitions` VALUES (51838, 1496, 11, '病歷編號：');
INSERT INTO `lang_definitions` VALUES (51839, 1498, 11, '圖表位置活動');
INSERT INTO `lang_definitions` VALUES (51840, 1499, 11, '病歷附註');
INSERT INTO `lang_definitions` VALUES (51841, 1500, 11, '病歷號碼');
INSERT INTO `lang_definitions` VALUES (51842, 1502, 11, '病歷存放位置');
INSERT INTO `lang_definitions` VALUES (51843, 1504, 11, '病歷追蹤者');
INSERT INTO `lang_definitions` VALUES (51844, 1505, 11, 'Chart Trk');
INSERT INTO `lang_definitions` VALUES (51845, 1508, 11, '病歷借出');
INSERT INTO `lang_definitions` VALUES (51846, 1509, 11, '圖表輸出');
INSERT INTO `lang_definitions` VALUES (51847, 1513, 11, '檢查');
INSERT INTO `lang_definitions` VALUES (51848, 1514, 11, '檢查');
INSERT INTO `lang_definitions` VALUES (51849, 1515, 11, '檢查全部');
INSERT INTO `lang_definitions` VALUES (51850, 1517, 11, '檢查量');
INSERT INTO `lang_definitions` VALUES (51851, 1519, 11, '檢查日期');
INSERT INTO `lang_definitions` VALUES (51852, 1521, 11, '用習慣語言表檢查翻譯的不同處');
INSERT INTO `lang_definitions` VALUES (51853, 1527, 11, '簽入到');
INSERT INTO `lang_definitions` VALUES (51854, 1528, 11, '檢查輸入資料');
INSERT INTO `lang_definitions` VALUES (51855, 1530, 11, '檢查實驗室結果');
INSERT INTO `lang_definitions` VALUES (51856, 1533, 11, '支票號碼');
INSERT INTO `lang_definitions` VALUES (51857, 1536, 11, '檢查付款');
INSERT INTO `lang_definitions` VALUES (51858, 1537, 11, '如果這是一個被加密的文件，檢查箱子');
INSERT INTO `lang_definitions` VALUES (51859, 1541, 11, '如果你想在默認情況下，供應商看到所有預約而不只是他們自己的，檢查這個。');
INSERT INTO `lang_definitions` VALUES (51860, 1545, 11, '檢查/EOB日期：');
INSERT INTO `lang_definitions` VALUES (51861, 1547, 11, '檢查/EOB編號：');
INSERT INTO `lang_definitions` VALUES (51862, 1548, 11, '檢查或參考數目');
INSERT INTO `lang_definitions` VALUES (51863, 1549, 11, '檢查或參考數目');
INSERT INTO `lang_definitions` VALUES (51864, 1550, 11, '複選框名單');
INSERT INTO `lang_definitions` VALUES (51865, 1551, 11, '複選框名單');
INSERT INTO `lang_definitions` VALUES (51866, 1552, 11, '複選框W /文字');
INSERT INTO `lang_definitions` VALUES (51867, 1553, 11, '複選框W /文字');
INSERT INTO `lang_definitions` VALUES (51868, 1557, 11, '檢查');
INSERT INTO `lang_definitions` VALUES (51869, 1559, 11, '複選框=是，空的=沒有');
INSERT INTO `lang_definitions` VALUES (51870, 1568, 11, '結算離開');
INSERT INTO `lang_definitions` VALUES (51871, 1569, 11, '校驗');
INSERT INTO `lang_definitions` VALUES (51872, 1570, 11, '胸部');
INSERT INTO `lang_definitions` VALUES (51873, 1571, 11, '胸部鯨蠟基三甲基銨溴化物');
INSERT INTO `lang_definitions` VALUES (51874, 1572, 11, '胸痛');
INSERT INTO `lang_definitions` VALUES (51875, 1573, 11, '胸痛：');
INSERT INTO `lang_definitions` VALUES (51876, 1574, 11, '胸痛');
INSERT INTO `lang_definitions` VALUES (51877, 1576, 11, 'Chg');
INSERT INTO `lang_definitions` VALUES (51878, 1578, 11, '主訴');
INSERT INTO `lang_definitions` VALUES (51879, 1581, 11, '兒童');
INSERT INTO `lang_definitions` VALUES (51880, 1583, 11, '兒童時期預防注射狀況(CQM)');
INSERT INTO `lang_definitions` VALUES (51881, 1584, 11, '寒顫');
INSERT INTO `lang_definitions` VALUES (51882, 1585, 11, '中文');
INSERT INTO `lang_definitions` VALUES (51883, 1586, 11, '中文(簡體字)');
INSERT INTO `lang_definitions` VALUES (51884, 1587, 11, '中文(繁體字)');
INSERT INTO `lang_definitions` VALUES (51885, 1589, 11, '選擇');
INSERT INTO `lang_definitions` VALUES (51886, 1590, 11, '膽囊摘除術');
INSERT INTO `lang_definitions` VALUES (51887, 1592, 11, '膽囊摘除術');
INSERT INTO `lang_definitions` VALUES (51888, 1593, 11, '選擇');
INSERT INTO `lang_definitions` VALUES (51889, 1596, 11, '選擇一節並且點擊此節內的項目，然後在其他節你會看到相關的項目突出，您可以在那節中點擊來添加和刪除的關係。');
INSERT INTO `lang_definitions` VALUES (51890, 1597, 11, '選擇標準');
INSERT INTO `lang_definitions` VALUES (51891, 1605, 11, '選擇表單');
INSERT INTO `lang_definitions` VALUES (51892, 1611, 11, '選擇這個遭遇報告的列印格式。');
INSERT INTO `lang_definitions` VALUES (51893, 1615, 11, '慢性支氣管炎');
INSERT INTO `lang_definitions` VALUES (51894, 1616, 11, '慢性關節痛');
INSERT INTO `lang_definitions` VALUES (51895, 1617, 11, '慢性腎臟病(CKD)');
INSERT INTO `lang_definitions` VALUES (51896, 1620, 11, '慢性滑膜炎/滲出液/關節痛/痛風');
INSERT INTO `lang_definitions` VALUES (51897, 1622, 11, '慢性的/復發的');
INSERT INTO `lang_definitions` VALUES (51898, 1625, 11, '肝硬化');
INSERT INTO `lang_definitions` VALUES (51899, 1626, 11, '肝硬化');
INSERT INTO `lang_definitions` VALUES (51900, 1627, 11, '城市');
INSERT INTO `lang_definitions` VALUES (51901, 1629, 11, '城市名');
INSERT INTO `lang_definitions` VALUES (51902, 1630, 11, '城市，州');
INSERT INTO `lang_definitions` VALUES (51903, 1631, 11, '城市，州郵編');
INSERT INTO `lang_definitions` VALUES (51904, 1633, 11, '城市/州');
INSERT INTO `lang_definitions` VALUES (51905, 1634, 11, '要求 索賠 應用');
INSERT INTO `lang_definitions` VALUES (51906, 1635, 11, '要求 索賠 應用');
INSERT INTO `lang_definitions` VALUES (51907, 1638, 11, '索賠測試已完成運行');
INSERT INTO `lang_definitions` VALUES (51908, 1641, 11, '索賠產生的文件');
INSERT INTO `lang_definitions` VALUES (51909, 1645, 11, '分類');
INSERT INTO `lang_definitions` VALUES (51910, 1646, 11, '清晰');
INSERT INTO `lang_definitions` VALUES (51911, 1651, 11, '清除所有');
INSERT INTO `lang_definitions` VALUES (51912, 1654, 11, '清除HL7的資料');
INSERT INTO `lang_definitions` VALUES (51913, 1655, 11, '明確的理由');
INSERT INTO `lang_definitions` VALUES (51914, 1659, 11, '清除Smarty的快取記憶體');
INSERT INTO `lang_definitions` VALUES (51915, 1661, 11, 'EDI的270批次創建需要的交換所資訊。');
INSERT INTO `lang_definitions` VALUES (51916, 1662, 11, 'CLIA 號碼');
INSERT INTO `lang_definitions` VALUES (51917, 1663, 11, '點擊');
INSERT INTO `lang_definitions` VALUES (51918, 1664, 11, '點擊“出口”以出口你的分類，子類別，項目，內容數據到一個文本文件。這個文件與XML文件任何的相似之處，純屬巧合。開始和結束標記必須在同一行上，他們必須是不帶空格的小寫。導入，瀏覽一個文件，並單擊“導入”。如果數據是完全不同的，它會與您現有的數據合併。如果有類似的項目名稱，舊的將被保存和新的一個會以一個添加到末尾的數字儲存。');
INSERT INTO `lang_definitions` VALUES (51919, 1667, 11, '點擊圖形上的點，以增加一個新的註釋，再次點擊將其刪除');
INSERT INTO `lang_definitions` VALUES (51920, 1671, 11, '點擊下載證書，以下載在ssl.zip文件的憑證');
INSERT INTO `lang_definitions` VALUES (51921, 1672, 11, '更多的點擊');
INSERT INTO `lang_definitions` VALUES (51922, 1678, 11, '點擊這裡');
INSERT INTO `lang_definitions` VALUES (51923, 1679, 11, '點擊這裡來增加新病人');
INSERT INTO `lang_definitions` VALUES (51924, 1680, 11, '點擊這裡以增加新的傷害變動狀態和編輯每日活動');
INSERT INTO `lang_definitions` VALUES (51925, 1682, 11, '點擊這裡來選擇日期');
INSERT INTO `lang_definitions` VALUES (51926, 1683, 11, '點擊這裡來選擇日期和時間');
INSERT INTO `lang_definitions` VALUES (51927, 1684, 11, '點擊這裡來選擇開始日期');
INSERT INTO `lang_definitions` VALUES (51928, 1707, 11, '點擊這裡來搜尋');
INSERT INTO `lang_definitions` VALUES (51929, 1710, 11, '點擊這裡更新優先權、類別和暱稱設置');
INSERT INTO `lang_definitions` VALUES (51930, 1714, 11, '點擊這裡觀看全部');
INSERT INTO `lang_definitions` VALUES (51931, 1715, 11, '點擊這裡觀看和註標');
INSERT INTO `lang_definitions` VALUES (51932, 1717, 11, '點擊這裡觀看和註標所有命脈');
INSERT INTO `lang_definitions` VALUES (51933, 1718, 11, '點擊這裡觀看病人細節');
INSERT INTO `lang_definitions` VALUES (51934, 1719, 11, '點擊這裡觀看他們全部');
INSERT INTO `lang_definitions` VALUES (51935, 1723, 11, '點擊儲存按鈕以儲存從下列日期釋出的資料庫');
INSERT INTO `lang_definitions` VALUES (51936, 1730, 11, '點擊任何一個時間部份以增加它');
INSERT INTO `lang_definitions` VALUES (51937, 1753, 11, '點擊“刷新”查看所有結果，或請輸入上述的搜索條件來查看具體的成果。');
INSERT INTO `lang_definitions` VALUES (51938, 1779, 11, '點擊以增加新的組分');
INSERT INTO `lang_definitions` VALUES (51939, 1780, 11, '點擊以增加新的諮詢');
INSERT INTO `lang_definitions` VALUES (51940, 1785, 11, '點擊來下載');
INSERT INTO `lang_definitions` VALUES (51941, 1786, 11, '點擊來編輯');
INSERT INTO `lang_definitions` VALUES (51942, 1788, 11, '點擊來編輯這個事件');
INSERT INTO `lang_definitions` VALUES (51943, 1790, 11, '點擊來產生報告');
INSERT INTO `lang_definitions` VALUES (51944, 1800, 11, '點擊來列印');
INSERT INTO `lang_definitions` VALUES (51945, 1801, 11, '點擊以接受(增加)新的全部');
INSERT INTO `lang_definitions` VALUES (51946, 1805, 11, '點擊以選擇');
INSERT INTO `lang_definitions` VALUES (51947, 1806, 11, '點擊以選擇');
INSERT INTO `lang_definitions` VALUES (51948, 1808, 11, '為這個過程點擊以選擇一個工業標準的代碼');
INSERT INTO `lang_definitions` VALUES (51949, 1813, 11, '點擊以選擇或改變CVX代碼');
INSERT INTO `lang_definitions` VALUES (51950, 1814, 11, '點擊以選擇或改變診斷');
INSERT INTO `lang_definitions` VALUES (51951, 1815, 11, '點擊以選擇或改變服務代碼');
INSERT INTO `lang_definitions` VALUES (51952, 1816, 11, '點擊以選擇病人');
INSERT INTO `lang_definitions` VALUES (51953, 1817, 11, '點擊以選擇相關代碼');
INSERT INTO `lang_definitions` VALUES (51954, 1819, 11, '如果這個結果是不正常的，點擊以選擇服務以執行');
INSERT INTO `lang_definitions` VALUES (51955, 1822, 11, '點擊以選擇希望的步驟');
INSERT INTO `lang_definitions` VALUES (51956, 1831, 11, '點擊以流覽');
INSERT INTO `lang_definitions` VALUES (51957, 1833, 11, '點擊以流覽或編輯');
INSERT INTO `lang_definitions` VALUES (51958, 1834, 11, '點擊以流覽/編輯');
INSERT INTO `lang_definitions` VALUES (51959, 1836, 11, '點擊升級按鈕以升級從下列日期釋出的資料庫');
INSERT INTO `lang_definitions` VALUES (51960, 1839, 11, '點擊：');
INSERT INTO `lang_definitions` VALUES (51961, 1862, 11, '客戶證書失效日');
INSERT INTO `lang_definitions` VALUES (51962, 1864, 11, '客戶證書驗證期間');
INSERT INTO `lang_definitions` VALUES (51963, 1865, 11, '客户證書有效性應該是一個合法的數字');
INSERT INTO `lang_definitions` VALUES (51964, 1866, 11, '客戶副本');
INSERT INTO `lang_definitions` VALUES (51965, 1869, 11, '客戶醫療史摘要');
INSERT INTO `lang_definitions` VALUES (51966, 1873, 11, '客戶簡介-新客戶');
INSERT INTO `lang_definitions` VALUES (51967, 1874, 11, '客戶簡介-獨特的客戶');
INSERT INTO `lang_definitions` VALUES (51968, 1878, 11, '客戶');
INSERT INTO `lang_definitions` VALUES (51969, 1879, 11, '臨床學 診所');
INSERT INTO `lang_definitions` VALUES (51970, 1880, 11, '診所副本');
INSERT INTO `lang_definitions` VALUES (51971, 1881, 11, '診所日誌');
INSERT INTO `lang_definitions` VALUES (51972, 1882, 11, '診所證件');
INSERT INTO `lang_definitions` VALUES (51973, 1883, 11, '臨床的');
INSERT INTO `lang_definitions` VALUES (51974, 1884, 11, '臨床决定規則機敏的經理');
INSERT INTO `lang_definitions` VALUES (51975, 1889, 11, '臨床計劃');
INSERT INTO `lang_definitions` VALUES (51976, 1890, 11, '臨床品質測量(CQM)');
INSERT INTO `lang_definitions` VALUES (51977, 1893, 11, '臨床提示');
INSERT INTO `lang_definitions` VALUES (51978, 1897, 11, '臨床報告');
INSERT INTO `lang_definitions` VALUES (51979, 1898, 11, '臨床規則行動類別');
INSERT INTO `lang_definitions` VALUES (51980, 1899, 11, '臨床規則行動項目');
INSERT INTO `lang_definitions` VALUES (51981, 1900, 11, '臨床規則篩選方法');
INSERT INTO `lang_definitions` VALUES (51982, 1901, 11, '臨床規則目標方法');
INSERT INTO `lang_definitions` VALUES (51983, 1902, 11, '臨床規則');
INSERT INTO `lang_definitions` VALUES (51984, 1903, 11, '臨床規則年齡間隔時間');
INSERT INTO `lang_definitions` VALUES (51985, 1904, 11, '臨床規則比較');
INSERT INTO `lang_definitions` VALUES (51986, 1905, 11, '臨床規則遭遇類型');
INSERT INTO `lang_definitions` VALUES (51987, 1906, 11, '臨床規則提示會費選項');
INSERT INTO `lang_definitions` VALUES (51988, 1907, 11, '臨床規則提示鈍化作用選項');
INSERT INTO `lang_definitions` VALUES (51989, 1908, 11, '臨床規則提示間隔時間');
INSERT INTO `lang_definitions` VALUES (51990, 1909, 11, '臨床規則提示方法');
INSERT INTO `lang_definitions` VALUES (51991, 1910, 11, '臨床規則目標間隔時間');
INSERT INTO `lang_definitions` VALUES (51992, 1911, 11, '臨床目標');
INSERT INTO `lang_definitions` VALUES (51993, 1915, 11, '臨床工作者');
INSERT INTO `lang_definitions` VALUES (51994, 1916, 11, '同本生物 無性繁殖');
INSERT INTO `lang_definitions` VALUES (51995, 1917, 11, '複製過去的訪問');
INSERT INTO `lang_definitions` VALUES (51996, 1918, 11, '關閉');
INSERT INTO `lang_definitions` VALUES (51997, 1925, 11, '關窗');
INSERT INTO `lang_definitions` VALUES (51998, 1927, 11, '關閉');
INSERT INTO `lang_definitions` VALUES (51999, 1928, 11, '公分');
INSERT INTO `lang_definitions` VALUES (52000, 1931, 11, 'CMS 1500 Margins');
INSERT INTO `lang_definitions` VALUES (52001, 1940, 11, '可拉德心境評量表憑證');
INSERT INTO `lang_definitions` VALUES (52002, 1955, 11, 'CN2-12 intact');
INSERT INTO `lang_definitions` VALUES (52003, 1962, 11, '共付額');
INSERT INTO `lang_definitions` VALUES (52004, 1964, 11, '代碼');
INSERT INTO `lang_definitions` VALUES (52005, 1965, 11, '代碼');
INSERT INTO `lang_definitions` VALUES (52006, 1967, 11, '編碼發現者');
INSERT INTO `lang_definitions` VALUES (52007, 1968, 11, '代碼必須是兩個字母的小寫');
INSERT INTO `lang_definitions` VALUES (52008, 1969, 11, '表明貨幣的代碼或標誌');
INSERT INTO `lang_definitions` VALUES (52009, 1971, 11, '代碼文本');
INSERT INTO `lang_definitions` VALUES (52010, 1973, 11, '代碼類型');
INSERT INTO `lang_definitions` VALUES (52011, 1976, 11, '代碼類型');
INSERT INTO `lang_definitions` VALUES (52012, 1979, 11, '代碼');
INSERT INTO `lang_definitions` VALUES (52013, 1981, 11, '編碼');
INSERT INTO `lang_definitions` VALUES (52014, 1983, 11, '編碼 - 任何接觸（寫一些可選）');
INSERT INTO `lang_definitions` VALUES (52015, 1985, 11, '編碼 - 我的接觸（寫一些可選）');
INSERT INTO `lang_definitions` VALUES (52016, 1990, 11, '沒授權的編碼');
INSERT INTO `lang_definitions` VALUES (52017, 1991, 11, '咖啡');
INSERT INTO `lang_definitions` VALUES (52018, 1994, 11, '共同擔保');
INSERT INTO `lang_definitions` VALUES (52019, 1995, 11, 'Coll w/o');
INSERT INTO `lang_definitions` VALUES (52020, 1997, 11, '虛脫 崩潰');
INSERT INTO `lang_definitions` VALUES (52021, 1998, 11, '虛脫 崩潰');
INSERT INTO `lang_definitions` VALUES (52022, 1999, 11, '全部崩潰');
INSERT INTO `lang_definitions` VALUES (52023, 2000, 11, '全部崩潰');
INSERT INTO `lang_definitions` VALUES (52024, 2001, 11, '全部崩潰');
INSERT INTO `lang_definitions` VALUES (52025, 2007, 11, '收集');
INSERT INTO `lang_definitions` VALUES (52026, 2008, 11, '彙集報告');
INSERT INTO `lang_definitions` VALUES (52027, 2009, 11, '大腸癌');
INSERT INTO `lang_definitions` VALUES (52028, 2010, 11, '大腸癌篩檢');
INSERT INTO `lang_definitions` VALUES (52029, 2011, 11, '大腸癌手術');
INSERT INTO `lang_definitions` VALUES (52030, 2012, 11, '大腸鏡檢');
INSERT INTO `lang_definitions` VALUES (52031, 2013, 11, '大腸鏡檢');
INSERT INTO `lang_definitions` VALUES (52032, 2014, 11, '顏色');
INSERT INTO `lang_definitions` VALUES (52033, 2020, 11, '顏色：縮寫');
INSERT INTO `lang_definitions` VALUES (52034, 2021, 11, '欄 列');
INSERT INTO `lang_definitions` VALUES (52035, 2022, 11, '專欄');
INSERT INTO `lang_definitions` VALUES (52036, 2024, 11, '結合全部');
INSERT INTO `lang_definitions` VALUES (52037, 2025, 11, '逗號');
INSERT INTO `lang_definitions` VALUES (52038, 2027, 11, '評論');
INSERT INTO `lang_definitions` VALUES (52039, 2028, 11, '評論');
INSERT INTO `lang_definitions` VALUES (52040, 2030, 11, '這個結果或建議的評論');
INSERT INTO `lang_definitions` VALUES (52041, 2031, 11, '商業保險有限公司');
INSERT INTO `lang_definitions` VALUES (52042, 2032, 11, '承諾改變');
INSERT INTO `lang_definitions` VALUES (52043, 2036, 11, '溝通');
INSERT INTO `lang_definitions` VALUES (52044, 2039, 11, '公司');
INSERT INTO `lang_definitions` VALUES (52045, 2040, 11, '公司名稱');
INSERT INTO `lang_definitions` VALUES (52046, 2041, 11, '完全 全部');
INSERT INTO `lang_definitions` VALUES (52047, 2043, 11, '完全 全部');
INSERT INTO `lang_definitions` VALUES (52048, 2046, 11, '完全 全部?');
INSERT INTO `lang_definitions` VALUES (52049, 2049, 11, '服務提供商的合併症');
INSERT INTO `lang_definitions` VALUES (52050, 2050, 11, '流產合併症');
INSERT INTO `lang_definitions` VALUES (52051, 2051, 11, '組件');
INSERT INTO `lang_definitions` VALUES (52052, 2057, 11, '電腦輔助醫囑系統');
INSERT INTO `lang_definitions` VALUES (52053, 2058, 11, '結論');
INSERT INTO `lang_definitions` VALUES (52054, 2064, 11, '配置');
INSERT INTO `lang_definitions` VALUES (52055, 2065, 11, '配置出口或進口');
INSERT INTO `lang_definitions` VALUES (52056, 2067, 11, '配置Apache和OpenEMR以使用客戶端的SSL證書。');
INSERT INTO `lang_definitions` VALUES (52057, 2068, 11, '配置Apache以使用客戶端的SSL證書');
INSERT INTO `lang_definitions` VALUES (52058, 2069, 11, '配置Apache以使用HTTPS。');
INSERT INTO `lang_definitions` VALUES (52059, 2070, 11, '配置Openemr以使用客戶端SSL證書');
INSERT INTO `lang_definitions` VALUES (52060, 2079, 11, '證實創造新的患者');
INSERT INTO `lang_definitions` VALUES (52061, 2081, 11, '證實新的密碼');
INSERT INTO `lang_definitions` VALUES (52062, 2083, 11, '證實付款');
INSERT INTO `lang_definitions` VALUES (52063, 2092, 11, '先天性');
INSERT INTO `lang_definitions` VALUES (52064, 2094, 11, '結膜，瞳孔');
INSERT INTO `lang_definitions` VALUES (52065, 2098, 11, '常數 常量');
INSERT INTO `lang_definitions` VALUES (52066, 2100, 11, '恆定的名字');
INSERT INTO `lang_definitions` VALUES (52067, 2101, 11, '恆定的名字是空白的');
INSERT INTO `lang_definitions` VALUES (52068, 2102, 11, '常數 常量');
INSERT INTO `lang_definitions` VALUES (52069, 2103, 11, '便秘');
INSERT INTO `lang_definitions` VALUES (52070, 2104, 11, '構成 合法');
INSERT INTO `lang_definitions` VALUES (52071, 2107, 11, '諮詢簡要說明');
INSERT INTO `lang_definitions` VALUES (52072, 2109, 11, '連絡接觸');
INSERT INTO `lang_definitions` VALUES (52073, 2110, 11, '往來電子郵件');
INSERT INTO `lang_definitions` VALUES (52074, 2111, 11, '聯繫人電子郵件地址');
INSERT INTO `lang_definitions` VALUES (52075, 2113, 11, '聯絡信息');
INSERT INTO `lang_definitions` VALUES (52076, 2117, 11, '隱形眼鏡');
INSERT INTO `lang_definitions` VALUES (52077, 2122, 11, '聯繫人姓名');
INSERT INTO `lang_definitions` VALUES (52078, 2125, 11, '聯繫人');
INSERT INTO `lang_definitions` VALUES (52079, 2127, 11, '聯繫的電話號碼');
INSERT INTO `lang_definitions` VALUES (52080, 2129, 11, '聯繫ZMG，LLC（zmghealth@gmail.com）為簽署ERX的服務');
INSERT INTO `lang_definitions` VALUES (52081, 2131, 11, '下列4項至少要包含3項');
INSERT INTO `lang_definitions` VALUES (52082, 2133, 11, '內容');
INSERT INTO `lang_definitions` VALUES (52083, 2134, 11, '內容');
INSERT INTO `lang_definitions` VALUES (52084, 2136, 11, '上下文 前後關係');
INSERT INTO `lang_definitions` VALUES (52085, 2137, 11, '上下文名稱不能是空的');
INSERT INTO `lang_definitions` VALUES (52086, 2138, 11, '繼續');
INSERT INTO `lang_definitions` VALUES (52087, 2142, 11, '連續性照顧文件(CCD)');
INSERT INTO `lang_definitions` VALUES (52088, 2145, 11, '連續性照顧紀錄(CCR)');
INSERT INTO `lang_definitions` VALUES (52089, 2146, 11, '針對客戶');
INSERT INTO `lang_definitions` VALUES (52090, 2147, 11, '避孕');
INSERT INTO `lang_definitions` VALUES (52091, 2148, 11, '避孕議題');
INSERT INTO `lang_definitions` VALUES (52092, 2149, 11, '避孕合併症(指定)');
INSERT INTO `lang_definitions` VALUES (52093, 2150, 11, '避孕方法');
INSERT INTO `lang_definitions` VALUES (52094, 2151, 11, '避孕的產品');
INSERT INTO `lang_definitions` VALUES (52095, 2152, 11, '避孕服務以前就開始了');
INSERT INTO `lang_definitions` VALUES (52096, 2153, 11, '避孕藥開始');
INSERT INTO `lang_definitions` VALUES (52097, 2158, 11, '控制身分');
INSERT INTO `lang_definitions` VALUES (52098, 2159, 11, '控制序號');
INSERT INTO `lang_definitions` VALUES (52099, 2169, 11, '共付額');
INSERT INTO `lang_definitions` VALUES (52100, 2170, 11, '共付額');
INSERT INTO `lang_definitions` VALUES (52101, 2171, 11, '共付額非主動');
INSERT INTO `lang_definitions` VALUES (52102, 2173, 11, '共付額');
INSERT INTO `lang_definitions` VALUES (52103, 2174, 11, '慢性阻塞性肺部疾病');
INSERT INTO `lang_definitions` VALUES (52104, 2175, 11, '複製網頁到病歷');
INSERT INTO `lang_definitions` VALUES (52105, 2177, 11, '複製價值');
INSERT INTO `lang_definitions` VALUES (52106, 2178, 11, '複製資料庫檔案。這會花些時間');
INSERT INTO `lang_definitions` VALUES (52107, 2179, 11, '版權須知');
INSERT INTO `lang_definitions` VALUES (52108, 2184, 11, '冠狀動脈分流');
INSERT INTO `lang_definitions` VALUES (52109, 2185, 11, '冠狀動脈分流移植');
INSERT INTO `lang_definitions` VALUES (52110, 2186, 11, '矯正');
INSERT INTO `lang_definitions` VALUES (52111, 2204, 11, '咳嗽');
INSERT INTO `lang_definitions` VALUES (52112, 2205, 11, '咳嗽：');
INSERT INTO `lang_definitions` VALUES (52113, 2211, 11, '無法讀取檔案');
INSERT INTO `lang_definitions` VALUES (52114, 2214, 11, '不能傳送電子郵件由於伺服器問題，');
INSERT INTO `lang_definitions` VALUES (52115, 2217, 11, '不能創造備份子目錄：');
INSERT INTO `lang_definitions` VALUES (52116, 2218, 11, '不能移除子目錄:');
INSERT INTO `lang_definitions` VALUES (52117, 2219, 11, '不能移除舊的備份檔案：');
INSERT INTO `lang_definitions` VALUES (52118, 2220, 11, '不能移除舊的出口檔案：');
INSERT INTO `lang_definitions` VALUES (52119, 2221, 11, '香豆管理- INR監測');
INSERT INTO `lang_definitions` VALUES (52120, 2222, 11, 'Couns by Method');
INSERT INTO `lang_definitions` VALUES (52121, 2223, 11, '諮商');
INSERT INTO `lang_definitions` VALUES (52122, 2224, 11, '諮商活動');
INSERT INTO `lang_definitions` VALUES (52123, 2227, 11, '案子轉介表格');
INSERT INTO `lang_definitions` VALUES (52124, 2228, 11, '案子轉介');
INSERT INTO `lang_definitions` VALUES (52125, 2229, 11, '國家');
INSERT INTO `lang_definitions` VALUES (52126, 2231, 11, '國家資料類型');
INSERT INTO `lang_definitions` VALUES (52127, 2232, 11, '國家名單');
INSERT INTO `lang_definitions` VALUES (52128, 2233, 11, '國家名單(寫， 任意可選)');
INSERT INTO `lang_definitions` VALUES (52129, 2235, 11, '國名應該用2個字母代表(如:美國是US)');
INSERT INTO `lang_definitions` VALUES (52130, 2236, 11, '縣');
INSERT INTO `lang_definitions` VALUES (52131, 2238, 11, '優惠卷');
INSERT INTO `lang_definitions` VALUES (52132, 2245, 11, '胸腔物理治療');
INSERT INTO `lang_definitions` VALUES (52133, 2246, 11, '胸腔物理治療代碼');
INSERT INTO `lang_definitions` VALUES (52134, 2247, 11, '胸腔物理治療代碼');
INSERT INTO `lang_definitions` VALUES (52135, 2250, 11, 'CQM');
INSERT INTO `lang_definitions` VALUES (52136, 2252, 11, '爆裂聲：');
INSERT INTO `lang_definitions` VALUES (52137, 2255, 11, '奶油');
INSERT INTO `lang_definitions` VALUES (52138, 2256, 11, '為每個用戶或客戶機上創建一個客戶端SSL證書。');
INSERT INTO `lang_definitions` VALUES (52139, 2257, 11, '創建一個客戶端SSL證書用戶或客戶端主機名。');
INSERT INTO `lang_definitions` VALUES (52140, 2269, 11, '創造一個事件');
INSERT INTO `lang_definitions` VALUES (52141, 2273, 11, '創造並且下載一個完全備份');
INSERT INTO `lang_definitions` VALUES (52142, 2275, 11, '創造備份');
INSERT INTO `lang_definitions` VALUES (52143, 2276, 11, '創建批量');
INSERT INTO `lang_definitions` VALUES (52144, 2277, 11, '創造客户端憑證');
INSERT INTO `lang_definitions` VALUES (52145, 2278, 11, '創建客戶端SSL證書');
INSERT INTO `lang_definitions` VALUES (52146, 2281, 11, '創造複製品');
INSERT INTO `lang_definitions` VALUES (52147, 2283, 11, '創造事件日誌備份');
INSERT INTO `lang_definitions` VALUES (52148, 2285, 11, '創造新的議題');
INSERT INTO `lang_definitions` VALUES (52149, 2287, 11, '創造新的患者');
INSERT INTO `lang_definitions` VALUES (52150, 2290, 11, '建立異地門戶證書');
INSERT INTO `lang_definitions` VALUES (52151, 2292, 11, '建立就地門戶證書');
INSERT INTO `lang_definitions` VALUES (52152, 2294, 11, '創建患者附註');
INSERT INTO `lang_definitions` VALUES (52153, 2296, 11, '創建SSL憑證授權單位的及伺服器證書。');
INSERT INTO `lang_definitions` VALUES (52154, 2297, 11, '創建訪問');
INSERT INTO `lang_definitions` VALUES (52155, 2298, 11, '創造');
INSERT INTO `lang_definitions` VALUES (52156, 2306, 11, '創造出口文件');
INSERT INTO `lang_definitions` VALUES (52157, 2309, 11, '創作者');
INSERT INTO `lang_definitions` VALUES (52158, 2311, 11, '信用');
INSERT INTO `lang_definitions` VALUES (52159, 2312, 11, '信用卡');
INSERT INTO `lang_definitions` VALUES (52160, 2314, 11, '信用');
INSERT INTO `lang_definitions` VALUES (52161, 2316, 11, '標準');
INSERT INTO `lang_definitions` VALUES (52162, 2319, 11, '克隆氏疾病 局部性迴腸炎');
INSERT INTO `lang_definitions` VALUES (52163, 2320, 11, '克隆氏疾病 局部性迴腸炎');
INSERT INTO `lang_definitions` VALUES (52164, 2323, 11, 'CSV Export');
INSERT INTO `lang_definitions` VALUES (52165, 2324, 11, 'CSV 檔案');
INSERT INTO `lang_definitions` VALUES (52166, 2330, 11, 'CU.MM');
INSERT INTO `lang_definitions` VALUES (52167, 2331, 11, '古巴人');
INSERT INTO `lang_definitions` VALUES (52168, 2333, 11, '貨幣的小數位');
INSERT INTO `lang_definitions` VALUES (52169, 2334, 11, '貨幣的小數點符號');
INSERT INTO `lang_definitions` VALUES (52170, 2335, 11, '貨幣的標誌符');
INSERT INTO `lang_definitions` VALUES (52171, 2336, 11, '貨幣的千位分隔符');
INSERT INTO `lang_definitions` VALUES (52172, 2337, 11, '當前');
INSERT INTO `lang_definitions` VALUES (52173, 2338, 11, '目前酒精');
INSERT INTO `lang_definitions` VALUES (52174, 2341, 11, '目前諮詢');
INSERT INTO `lang_definitions` VALUES (52175, 2342, 11, '當前標準');
INSERT INTO `lang_definitions` VALUES (52176, 2344, 11, '目前每天標明顏色');
INSERT INTO `lang_definitions` VALUES (52177, 2345, 11, '目前每天的吸煙者');
INSERT INTO `lang_definitions` VALUES (52178, 2347, 11, '目前檔案更名為');
INSERT INTO `lang_definitions` VALUES (52179, 2349, 11, '當前哈希');
INSERT INTO `lang_definitions` VALUES (52180, 2350, 11, '當前位置');
INSERT INTO `lang_definitions` VALUES (52181, 2352, 11, '目前的藥物');
INSERT INTO `lang_definitions` VALUES (52182, 2354, 11, '目前的密碼');
INSERT INTO `lang_definitions` VALUES (52183, 2356, 11, '目前患者');
INSERT INTO `lang_definitions` VALUES (52184, 2361, 11, '目前的娛樂性藥物');
INSERT INTO `lang_definitions` VALUES (52185, 2363, 11, '目前某些每天吸煙者');
INSERT INTO `lang_definitions` VALUES (52186, 2371, 11, '當前活動');
INSERT INTO `lang_definitions` VALUES (52187, 2377, 11, '目前沒有任何設施。');
INSERT INTO `lang_definitions` VALUES (52188, 2379, 11, '庫欣症候群');
INSERT INTO `lang_definitions` VALUES (52189, 2380, 11, '庫欣症候群');
INSERT INTO `lang_definitions` VALUES (52190, 2383, 11, '風俗');
INSERT INTO `lang_definitions` VALUES (52191, 2390, 11, '自定義的輸入？');
INSERT INTO `lang_definitions` VALUES (52192, 2395, 11, '自定義表');
INSERT INTO `lang_definitions` VALUES (52193, 2402, 11, 'CVX代碼');
INSERT INTO `lang_definitions` VALUES (52194, 2403, 11, 'CVX代碼繪圖');
INSERT INTO `lang_definitions` VALUES (52195, 2406, 11, '週期');
INSERT INTO `lang_definitions` VALUES (52196, 2412, 11, '色素');
INSERT INTO `lang_definitions` VALUES (52197, 2413, 11, '色素因素');
INSERT INTO `lang_definitions` VALUES (52198, 2414, 11, '色素報告');
INSERT INTO `lang_definitions` VALUES (52199, 2417, 11, '子宮頸擴張與子宮內膜刮除術');
INSERT INTO `lang_definitions` VALUES (52200, 2418, 11, '擴張與排除');
INSERT INTO `lang_definitions` VALUES (52201, 2420, 11, '出生日期');
INSERT INTO `lang_definitions` VALUES (52202, 2421, 11, '每天');
INSERT INTO `lang_definitions` VALUES (52203, 2422, 11, '每日紀錄');
INSERT INTO `lang_definitions` VALUES (52204, 2425, 11, '丹麥語');
INSERT INTO `lang_definitions` VALUES (52205, 2429, 11, '一樣的數據是已經在數據庫中，請更改代碼和/或描述');
INSERT INTO `lang_definitions` VALUES (52206, 2430, 11, '一樣的數據是已經在數據庫中，請更改常數名稱');
INSERT INTO `lang_definitions` VALUES (52207, 2431, 11, '資料列');
INSERT INTO `lang_definitions` VALUES (52208, 2439, 11, '資料形式');
INSERT INTO `lang_definitions` VALUES (52209, 2440, 11, '資料庫');
INSERT INTO `lang_definitions` VALUES (52210, 2442, 11, '資料庫沒有儲存');
INSERT INTO `lang_definitions` VALUES (52211, 2445, 11, '資料庫報告');
INSERT INTO `lang_definitions` VALUES (52212, 2447, 11, '資料庫升級完成了');
INSERT INTO `lang_definitions` VALUES (52213, 2448, 11, '資料列必須是從1到999之間的數字');
INSERT INTO `lang_definitions` VALUES (52214, 2449, 11, '日期');
INSERT INTO `lang_definitions` VALUES (52215, 2450, 11, '日期');
INSERT INTO `lang_definitions` VALUES (52216, 2453, 11, '入院日期');
INSERT INTO `lang_definitions` VALUES (52217, 2454, 11, '樣本收集的日期與時間');
INSERT INTO `lang_definitions` VALUES (52218, 2457, 11, '樣本被收集的日期與時間');
INSERT INTO `lang_definitions` VALUES (52219, 2458, 11, '日期不能大於今天');
INSERT INTO `lang_definitions` VALUES (52220, 2459, 11, '最初提供的避孕服務日期');
INSERT INTO `lang_definitions` VALUES (52221, 2460, 11, '被創造的日期');
INSERT INTO `lang_definitions` VALUES (52222, 2461, 11, '死亡的日期');
INSERT INTO `lang_definitions` VALUES (52223, 2462, 11, '被毀壞的日期');
INSERT INTO `lang_definitions` VALUES (52224, 2463, 11, '日期顯示格式');
INSERT INTO `lang_definitions` VALUES (52225, 2464, 11, '“預約結束”的日期格式無效');
INSERT INTO `lang_definitions` VALUES (52226, 2465, 11, '“預約開始”的日期格式無效');
INSERT INTO `lang_definitions` VALUES (52227, 2466, 11, '“下次預約”的日期格式無效');
INSERT INTO `lang_definitions` VALUES (52228, 2467, 11, '“沒有看到自從”的日期格式無效');
INSERT INTO `lang_definitions` VALUES (52229, 2469, 11, '“看到自從”的日期格式無效');
INSERT INTO `lang_definitions` VALUES (52230, 2470, 11, '日期免疫資訊報表給定');
INSERT INTO `lang_definitions` VALUES (52231, 2471, 11, '提供給代碼的日期遺失了');
INSERT INTO `lang_definitions` VALUES (52232, 2472, 11, '日期主要標準');
INSERT INTO `lang_definitions` VALUES (52233, 2475, 11, '銀行存款日期年年年年/月月/日日');
INSERT INTO `lang_definitions` VALUES (52234, 2477, 11, '生日');
INSERT INTO `lang_definitions` VALUES (52235, 2478, 11, '生日');
INSERT INTO `lang_definitions` VALUES (52236, 2479, 11, '生日');
INSERT INTO `lang_definitions` VALUES (52237, 2483, 11, '受傷日期');
INSERT INTO `lang_definitions` VALUES (52238, 2487, 11, '付款日期年年年年/月月/日日');
INSERT INTO `lang_definitions` VALUES (52239, 2489, 11, '推舉日期');
INSERT INTO `lang_definitions` VALUES (52240, 2491, 11, '回復日期');
INSERT INTO `lang_definitions` VALUES (52241, 2495, 11, '服務日期');
INSERT INTO `lang_definitions` VALUES (52242, 2496, 11, '服務日期是今天');
INSERT INTO `lang_definitions` VALUES (52243, 2498, 11, '服務日期月月/日日/年年年年');
INSERT INTO `lang_definitions` VALUES (52244, 2499, 11, '服務日期：');
INSERT INTO `lang_definitions` VALUES (52245, 2500, 11, '簽名日期');
INSERT INTO `lang_definitions` VALUES (52246, 2503, 11, '這個醫囑的日期');
INSERT INTO `lang_definitions` VALUES (52247, 2504, 11, '這個報告的日期');
INSERT INTO `lang_definitions` VALUES (52248, 2505, 11, '可見聲明的日期');
INSERT INTO `lang_definitions` VALUES (52249, 2506, 11, '訂購的日期');
INSERT INTO `lang_definitions` VALUES (52250, 2509, 11, '日期選擇器');
INSERT INTO `lang_definitions` VALUES (52251, 2510, 11, '發送的日期');
INSERT INTO `lang_definitions` VALUES (52252, 2513, 11, '日期價值不可能是空白的。');
INSERT INTO `lang_definitions` VALUES (52253, 2516, 11, '可見聲明日期');
INSERT INTO `lang_definitions` VALUES (52254, 2517, 11, '日期或附註');
INSERT INTO `lang_definitions` VALUES (52255, 2518, 11, '日期或最後的附註');
INSERT INTO `lang_definitions` VALUES (52256, 2519, 11, '日期或時間');
INSERT INTO `lang_definitions` VALUES (52257, 2520, 11, '日期：');
INSERT INTO `lang_definitions` VALUES (52258, 2526, 11, '天');
INSERT INTO `lang_definitions` VALUES (52259, 2527, 11, '天');
INSERT INTO `lang_definitions` VALUES (52260, 2530, 11, '日視圖');
INSERT INTO `lang_definitions` VALUES (52261, 2531, 11, '幾天');
INSERT INTO `lang_definitions` VALUES (52262, 2532, 11, '天（S）M - F');
INSERT INTO `lang_definitions` VALUES (52263, 2533, 11, '幾天');
INSERT INTO `lang_definitions` VALUES (52264, 2534, 11, '幾天');
INSERT INTO `lang_definitions` VALUES (52265, 2535, 11, '幾天以前');
INSERT INTO `lang_definitions` VALUES (52266, 2536, 11, '錯過的幾天和比賽');
INSERT INTO `lang_definitions` VALUES (52267, 2537, 11, '最後遭遇天');
INSERT INTO `lang_definitions` VALUES (52268, 2538, 11, '錯過的幾天');
INSERT INTO `lang_definitions` VALUES (52269, 2541, 11, '幾天每個專欄：');
INSERT INTO `lang_definitions` VALUES (52270, 2543, 11, '幾天或關口：');
INSERT INTO `lang_definitions` VALUES (52271, 2544, 11, '安裝的資料庫');
INSERT INTO `lang_definitions` VALUES (52272, 2545, 11, '日日/月月/年年年年');
INSERT INTO `lang_definitions` VALUES (52273, 2546, 11, '去辨識');
INSERT INTO `lang_definitions` VALUES (52274, 2547, 11, '去識別過程完成');
INSERT INTO `lang_definitions` VALUES (52275, 2548, 11, '去識別過程正在進行');
INSERT INTO `lang_definitions` VALUES (52276, 2549, 11, '去識別過程啟動並在後台運行');
INSERT INTO `lang_definitions` VALUES (52277, 2550, 11, '去識別的數據可能無法完成');
INSERT INTO `lang_definitions` VALUES (52278, 2551, 11, '去識別文件將儲存在');
INSERT INTO `lang_definitions` VALUES (52279, 2558, 11, '聾');
INSERT INTO `lang_definitions` VALUES (52280, 2562, 11, '調試信息');
INSERT INTO `lang_definitions` VALUES (52281, 2565, 11, '十二月');
INSERT INTO `lang_definitions` VALUES (52282, 2567, 11, '死者 已故');
INSERT INTO `lang_definitions` VALUES (52283, 2574, 11, '十二月');
INSERT INTO `lang_definitions` VALUES (52284, 2580, 11, '扣稅');
INSERT INTO `lang_definitions` VALUES (52285, 2581, 11, '可扣除會面');
INSERT INTO `lang_definitions` VALUES (52286, 2583, 11, '預設 默認');
INSERT INTO `lang_definitions` VALUES (52287, 2585, 11, '預設日曆視圖');
INSERT INTO `lang_definitions` VALUES (52288, 2587, 11, '預設遭遇表格');
INSERT INTO `lang_definitions` VALUES (52289, 2589, 11, '預設設備');
INSERT INTO `lang_definitions` VALUES (52290, 2594, 11, '預設語言');
INSERT INTO `lang_definitions` VALUES (52291, 2595, 11, '預設語言，如果沒有其他的允許或選擇。');
INSERT INTO `lang_definitions` VALUES (52292, 2598, 11, '預設列表（寫，addonly可選）');
INSERT INTO `lang_definitions` VALUES (52293, 2600, 11, '預設方法');
INSERT INTO `lang_definitions` VALUES (52294, 2601, 11, '預設密碼到期日');
INSERT INTO `lang_definitions` VALUES (52295, 2602, 11, '預設密碼在幾天的有效期間。 0表示禁用此功能。');
INSERT INTO `lang_definitions` VALUES (52296, 2607, 11, '預設提供者');
INSERT INTO `lang_definitions` VALUES (52297, 2609, 11, '預設範圍');
INSERT INTO `lang_definitions` VALUES (52298, 2610, 11, '預設訪問的原因');
INSERT INTO `lang_definitions` VALUES (52299, 2615, 11, '預設設定');
INSERT INTO `lang_definitions` VALUES (52300, 2618, 11, '預設範本');
INSERT INTO `lang_definitions` VALUES (52301, 2624, 11, '預設單位');
INSERT INTO `lang_definitions` VALUES (52302, 2626, 11, '預設值');
INSERT INTO `lang_definitions` VALUES (52303, 2628, 11, '預設倉庫');
INSERT INTO `lang_definitions` VALUES (52304, 2629, 11, '默認的值X12的合作夥伴');
INSERT INTO `lang_definitions` VALUES (52305, 2630, 11, '默認/全球');
INSERT INTO `lang_definitions` VALUES (52306, 2635, 11, 'DEL鍵');
INSERT INTO `lang_definitions` VALUES (52307, 2636, 11, 'DEL鍵');
INSERT INTO `lang_definitions` VALUES (52308, 2637, 11, '延遲復發(超過12個月)');
INSERT INTO `lang_definitions` VALUES (52309, 2638, 11, '刪除');
INSERT INTO `lang_definitions` VALUES (52310, 2639, 11, '刪除');
INSERT INTO `lang_definitions` VALUES (52311, 2640, 11, '用身分證刪除類別');
INSERT INTO `lang_definitions` VALUES (52312, 2641, 11, '刪除類別');
INSERT INTO `lang_definitions` VALUES (52313, 2645, 11, '刪除群組');
INSERT INTO `lang_definitions` VALUES (52314, 2646, 11, '刪除表單');
INSERT INTO `lang_definitions` VALUES (52315, 2648, 11, '刪除頁數');
INSERT INTO `lang_definitions` VALUES (52316, 2649, 11, '刪除患者、遭遇、形式、問題、文件、付款、布告或者交易');
INSERT INTO `lang_definitions` VALUES (52317, 2651, 11, '刪除行');
INSERT INTO `lang_definitions` VALUES (52318, 2652, 11, '刪除選擇的項目');
INSERT INTO `lang_definitions` VALUES (52319, 2655, 11, '成功的刪除');
INSERT INTO `lang_definitions` VALUES (52320, 2656, 11, '刪除此文件');
INSERT INTO `lang_definitions` VALUES (52321, 2657, 11, '刪除這個形式');
INSERT INTO `lang_definitions` VALUES (52322, 2659, 11, '刪除這個筆記');
INSERT INTO `lang_definitions` VALUES (52323, 2661, 11, '成功的刪除');
INSERT INTO `lang_definitions` VALUES (52324, 2671, 11, '老年癡呆');
INSERT INTO `lang_definitions` VALUES (52325, 2673, 11, '人口統計學');
INSERT INTO `lang_definitions` VALUES (52326, 2674, 11, '人口統計學（寫，addonly可選）');
INSERT INTO `lang_definitions` VALUES (52327, 2678, 11, '人口統計學篩選標準');
INSERT INTO `lang_definitions` VALUES (52328, 2680, 11, '沒授權的人口統計學');
INSERT INTO `lang_definitions` VALUES (52329, 2681, 11, '沒授權的人口統計學。');
INSERT INTO `lang_definitions` VALUES (52330, 2684, 11, '分母');
INSERT INTO `lang_definitions` VALUES (52331, 2687, 11, '牙齒的');
INSERT INTO `lang_definitions` VALUES (52332, 2689, 11, '牙齒問題');
INSERT INTO `lang_definitions` VALUES (52333, 2694, 11, '根據您正在測試的帳單類型，你將會看到HCFA像在為HCFA帳單空白頁的輸出，你會看到許多行有點亂碼的文字和信息，如果你正在測試一個X12索賠。這亂碼的文字是X12的EDI4010A格式。偶爾你會看到奇怪的字符，看起來像多米諾骨牌或squiglies，這些都是控制字符，如頁面提要，都是正常的。');
INSERT INTO `lang_definitions` VALUES (52334, 2696, 11, '存款日期');
INSERT INTO `lang_definitions` VALUES (52335, 2697, 11, '存款日期不能大於今天');
INSERT INTO `lang_definitions` VALUES (52336, 2698, 11, '存款日期：');
INSERT INTO `lang_definitions` VALUES (52337, 2699, 11, '抑鬱的');
INSERT INTO `lang_definitions` VALUES (52338, 2700, 11, '抑鬱');
INSERT INTO `lang_definitions` VALUES (52339, 2706, 11, '描述');
INSERT INTO `lang_definitions` VALUES (52340, 2707, 11, '描述');
INSERT INTO `lang_definitions` VALUES (52341, 2709, 11, '透露的描述');
INSERT INTO `lang_definitions` VALUES (52342, 2710, 11, '這個過程或結果編碼的描述');
INSERT INTO `lang_definitions` VALUES (52343, 2711, 11, '描述翻譯');
INSERT INTO `lang_definitions` VALUES (52344, 2713, 11, '目的地');
INSERT INTO `lang_definitions` VALUES (52345, 2714, 11, '目的地文件名');
INSERT INTO `lang_definitions` VALUES (52346, 2716, 11, '毀壞全部');
INSERT INTO `lang_definitions` VALUES (52347, 2717, 11, '毀壞…');
INSERT INTO `lang_definitions` VALUES (52348, 2718, 11, '毀壞的');
INSERT INTO `lang_definitions` VALUES (52349, 2719, 11, '被毀壞的藥物');
INSERT INTO `lang_definitions` VALUES (52350, 2720, 11, '被毀壞的藥物報告');
INSERT INTO `lang_definitions` VALUES (52351, 2721, 11, '詳情');
INSERT INTO `lang_definitions` VALUES (52352, 2726, 11, '詳情');
INSERT INTO `lang_definitions` VALUES (52353, 2728, 11, '發展上的異常');
INSERT INTO `lang_definitions` VALUES (52354, 2730, 11, '糖尿病');
INSERT INTO `lang_definitions` VALUES (52355, 2731, 11, '糖尿病');
INSERT INTO `lang_definitions` VALUES (52356, 2732, 11, '糖尿病：血壓處理(CQM)');
INSERT INTO `lang_definitions` VALUES (52357, 2733, 11, '糖尿病：眼睛檢查');
INSERT INTO `lang_definitions` VALUES (52358, 2734, 11, '糖尿病：眼睛檢查(CQM)');
INSERT INTO `lang_definitions` VALUES (52359, 2735, 11, '糖尿病：腳的檢查');
INSERT INTO `lang_definitions` VALUES (52360, 2736, 11, '糖尿病：腳的檢查(CQM)');
INSERT INTO `lang_definitions` VALUES (52361, 2737, 11, '糖尿病：醣化血色素控制不良(CQM)');
INSERT INTO `lang_definitions` VALUES (52362, 2738, 11, '糖尿病：糖化血紅蛋白');
INSERT INTO `lang_definitions` VALUES (52363, 2739, 11, '糖尿病：低密度脂蛋白處理與控制');
INSERT INTO `lang_definitions` VALUES (52364, 2740, 11, '糖尿病：尿中微小白蛋白');
INSERT INTO `lang_definitions` VALUES (52365, 2741, 11, '診斷');
INSERT INTO `lang_definitions` VALUES (52366, 2743, 11, '診斷');
INSERT INTO `lang_definitions` VALUES (52367, 2744, 11, '診斷代碼');
INSERT INTO `lang_definitions` VALUES (52368, 2747, 11, '診斷日期');
INSERT INTO `lang_definitions` VALUES (52369, 2749, 11, '診斷必須編碼置入一個連結的遭遇');
INSERT INTO `lang_definitions` VALUES (52370, 2750, 11, '診斷名稱');
INSERT INTO `lang_definitions` VALUES (52371, 2751, 11, '診斷報告');
INSERT INTO `lang_definitions` VALUES (52372, 2754, 11, '診斷標題');
INSERT INTO `lang_definitions` VALUES (52373, 2755, 11, '診斷：');
INSERT INTO `lang_definitions` VALUES (52374, 2756, 11, '診斷：');
INSERT INTO `lang_definitions` VALUES (52375, 2758, 11, '診斷試驗：');
INSERT INTO `lang_definitions` VALUES (52376, 2760, 11, '撥號');
INSERT INTO `lang_definitions` VALUES (52377, 2763, 11, '膜片或蓋帽');
INSERT INTO `lang_definitions` VALUES (52378, 2764, 11, '腹瀉');
INSERT INTO `lang_definitions` VALUES (52379, 2767, 11, '口述');
INSERT INTO `lang_definitions` VALUES (52380, 2768, 11, '口述：');
INSERT INTO `lang_definitions` VALUES (52381, 2769, 11, '您是否接到了HIPAA通知的影本？');
INSERT INTO `lang_definitions` VALUES (52382, 2770, 11, '擴散：');
INSERT INTO `lang_definitions` VALUES (52383, 2771, 11, '數字的簽署');
INSERT INTO `lang_definitions` VALUES (52384, 2781, 11, '直接的郵件');
INSERT INTO `lang_definitions` VALUES (52385, 2787, 11, '主任的名字');
INSERT INTO `lang_definitions` VALUES (52386, 2789, 11, '殘疾');
INSERT INTO `lang_definitions` VALUES (52387, 2794, 11, '功能失效的日曆');
INSERT INTO `lang_definitions` VALUES (52388, 2795, 11, '功能失效的病歷追蹤儀');
INSERT INTO `lang_definitions` VALUES (52389, 2798, 11, '功能失效的免疫作用');
INSERT INTO `lang_definitions` VALUES (52390, 2800, 11, '停用舊的生命徵象格式表');
INSERT INTO `lang_definitions` VALUES (52391, 2802, 11, '禁用的phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (52392, 2803, 11, '禁用處方');
INSERT INTO `lang_definitions` VALUES (52393, 2804, 11, '禁止使用者群組');
INSERT INTO `lang_definitions` VALUES (52394, 2805, 11, '禁止 停用');
INSERT INTO `lang_definitions` VALUES (52395, 2806, 11, '禁止 停用');
INSERT INTO `lang_definitions` VALUES (52396, 2812, 11, '唱片');
INSERT INTO `lang_definitions` VALUES (52397, 2815, 11, '分泌物 出院');
INSERT INTO `lang_definitions` VALUES (52398, 2816, 11, '尿道分泌物');
INSERT INTO `lang_definitions` VALUES (52399, 2818, 11, '右側分泌物');
INSERT INTO `lang_definitions` VALUES (52400, 2819, 11, '右側分泌物：');
INSERT INTO `lang_definitions` VALUES (52401, 2825, 11, '公開信息');
INSERT INTO `lang_definitions` VALUES (52402, 2826, 11, '公開形式');
INSERT INTO `lang_definitions` VALUES (52403, 2827, 11, '公開形式');
INSERT INTO `lang_definitions` VALUES (52404, 2828, 11, '披露');
INSERT INTO `lang_definitions` VALUES (52405, 2833, 11, '折扣');
INSERT INTO `lang_definitions` VALUES (52406, 2834, 11, '折扣量');
INSERT INTO `lang_definitions` VALUES (52407, 2835, 11, '折扣程度');
INSERT INTO `lang_definitions` VALUES (52408, 2836, 11, '折扣百分比');
INSERT INTO `lang_definitions` VALUES (52409, 2837, 11, '貨幣金額的折扣');
INSERT INTO `lang_definitions` VALUES (52410, 2838, 11, '在結賬時輸入折扣作為貨幣金額，而不是百分比。');
INSERT INTO `lang_definitions` VALUES (52411, 2839, 11, '離散的結果');
INSERT INTO `lang_definitions` VALUES (52412, 2841, 11, '疾病');
INSERT INTO `lang_definitions` VALUES (52413, 2843, 11, '脫臼 錯位');
INSERT INTO `lang_definitions` VALUES (52414, 2847, 11, 'DISP＃');
INSERT INTO `lang_definitions` VALUES (52415, 2848, 11, '派遣');
INSERT INTO `lang_definitions` VALUES (52416, 2849, 11, '分派接收到的文件');
INSERT INTO `lang_definitions` VALUES (52417, 2853, 11, '免除');
INSERT INTO `lang_definitions` VALUES (52418, 2856, 11, '在人口統計頁顯示的預先指示');
INSERT INTO `lang_definitions` VALUES (52419, 2859, 11, '在區塊顯示事件的日期嗎？');
INSERT INTO `lang_definitions` VALUES (52420, 2861, 11, '顯示多少事件');
INSERT INTO `lang_definitions` VALUES (52421, 2865, 11, '顯示區塊的位置嗎？');
INSERT INTO `lang_definitions` VALUES (52422, 2866, 11, '顯示姓名');
INSERT INTO `lang_definitions` VALUES (52423, 2868, 11, '顯示日曆嗎？');
INSERT INTO `lang_definitions` VALUES (52424, 2875, 11, '在區塊顯示今天的事件嗎？');
INSERT INTO `lang_definitions` VALUES (52425, 2876, 11, '在區塊顯示主題嗎？');
INSERT INTO `lang_definitions` VALUES (52426, 2877, 11, '在區塊顯示即將到來的活動嗎？');
INSERT INTO `lang_definitions` VALUES (52427, 2879, 11, '顯示的列');
INSERT INTO `lang_definitions` VALUES (52428, 2880, 11, '顯示最近期披露的數目如下：');
INSERT INTO `lang_definitions` VALUES (52429, 2882, 11, '顯示最近期筆記的下列號碼');
INSERT INTO `lang_definitions` VALUES (52430, 2883, 11, '顯示最近期筆記的下列號碼：');
INSERT INTO `lang_definitions` VALUES (52431, 2890, 11, '分布');
INSERT INTO `lang_definitions` VALUES (52432, 2891, 11, '分布');
INSERT INTO `lang_definitions` VALUES (52433, 2892, 11, '經銷商');
INSERT INTO `lang_definitions` VALUES (52434, 2897, 11, '憩室炎');
INSERT INTO `lang_definitions` VALUES (52435, 2898, 11, '憩室炎手術');
INSERT INTO `lang_definitions` VALUES (52436, 2899, 11, '憩室炎');
INSERT INTO `lang_definitions` VALUES (52437, 2900, 11, '憩室炎手術');
INSERT INTO `lang_definitions` VALUES (52438, 2901, 11, '離婚');
INSERT INTO `lang_definitions` VALUES (52439, 2902, 11, '暈眩：');
INSERT INTO `lang_definitions` VALUES (52440, 2905, 11, '不要改變');
INSERT INTO `lang_definitions` VALUES (52441, 2912, 11, '不要顯示日曆。');
INSERT INTO `lang_definitions` VALUES (52442, 2916, 11, '不要庫存和銷售任何產品');
INSERT INTO `lang_definitions` VALUES (52443, 2919, 11, '不需要病人筆記被授權');
INSERT INTO `lang_definitions` VALUES (52444, 2920, 11, '不需要復甦術醫囑');
INSERT INTO `lang_definitions` VALUES (52445, 2921, 11, '不要儲存');
INSERT INTO `lang_definitions` VALUES (52446, 2922, 11, '不能取代');
INSERT INTO `lang_definitions` VALUES (52447, 2925, 11, '什麼都不做');
INSERT INTO `lang_definitions` VALUES (52448, 2929, 11, '你真的要刪除');
INSERT INTO `lang_definitions` VALUES (52449, 2930, 11, '妳真的要刪除所選的嗎？');
INSERT INTO `lang_definitions` VALUES (52450, 2931, 11, '妳真的要刪除此群組');
INSERT INTO `lang_definitions` VALUES (52451, 2934, 11, '妳想要繼續嗎？');
INSERT INTO `lang_definitions` VALUES (52452, 2935, 11, '妳想要刪除這個嗎？');
INSERT INTO `lang_definitions` VALUES (52453, 2936, 11, '妳想要刪除嗎');
INSERT INTO `lang_definitions` VALUES (52454, 2937, 11, '妳想要移除這個紀錄嗎');
INSERT INTO `lang_definitions` VALUES (52455, 2938, 11, '妳希望繼續加這個新病人嗎');
INSERT INTO `lang_definitions` VALUES (52456, 2939, 11, '你想繼續用新的名稱嗎？');
INSERT INTO `lang_definitions` VALUES (52457, 2940, 11, '你想永久刪除這個免疫記錄嗎？');
INSERT INTO `lang_definitions` VALUES (52458, 2941, 11, '出生日期');
INSERT INTO `lang_definitions` VALUES (52459, 2942, 11, '出生日期不見了， 如果可能請輸入');
INSERT INTO `lang_definitions` VALUES (52460, 2944, 11, '文件');
INSERT INTO `lang_definitions` VALUES (52461, 2945, 11, '醫師');
INSERT INTO `lang_definitions` VALUES (52462, 2946, 11, '醫師：');
INSERT INTO `lang_definitions` VALUES (52463, 2947, 11, '醫師的姓名與簽名');
INSERT INTO `lang_definitions` VALUES (52464, 2948, 11, '文件');
INSERT INTO `lang_definitions` VALUES (52465, 2949, 11, '文件');
INSERT INTO `lang_definitions` VALUES (52466, 2951, 11, '文件類別');
INSERT INTO `lang_definitions` VALUES (52467, 2958, 11, '文件無法移到病人的身分證明');
INSERT INTO `lang_definitions` VALUES (52468, 2960, 11, '文件日期');
INSERT INTO `lang_definitions` VALUES (52469, 2961, 11, '成功更新文件的日期和問題');
INSERT INTO `lang_definitions` VALUES (52470, 2962, 11, '文件辨識');
INSERT INTO `lang_definitions` VALUES (52471, 2965, 11, '文件移到新的類別');
INSERT INTO `lang_definitions` VALUES (52472, 2966, 11, '文件移到病人的身份證');
INSERT INTO `lang_definitions` VALUES (52473, 2968, 11, '文件通過完整性檢查');
INSERT INTO `lang_definitions` VALUES (52474, 2970, 11, '文件成功的重新命名');
INSERT INTO `lang_definitions` VALUES (52475, 2976, 11, '文檔/影像店');
INSERT INTO `lang_definitions` VALUES (52476, 2978, 11, '文檔/影像店');
INSERT INTO `lang_definitions` VALUES (52477, 2980, 11, '文件（寫，只添加可選）');
INSERT INTO `lang_definitions` VALUES (52478, 2989, 11, '運動時(用力時)呼吸困難');
INSERT INTO `lang_definitions` VALUES (52479, 2996, 11, '是否允許這種類型的相關代碼？');
INSERT INTO `lang_definitions` VALUES (52480, 2997, 11, '國內合作夥伴');
INSERT INTO `lang_definitions` VALUES (52481, 2998, 11, '不要儲存');
INSERT INTO `lang_definitions` VALUES (52482, 2999, 11, '不要儲存');
INSERT INTO `lang_definitions` VALUES (52483, 3000, 11, '不要儲存更改');
INSERT INTO `lang_definitions` VALUES (52484, 3002, 11, '完成');
INSERT INTO `lang_definitions` VALUES (52485, 3004, 11, '以….完成：');
INSERT INTO `lang_definitions` VALUES (52486, 3005, 11, '完成。現在將傳送下載。');
INSERT INTO `lang_definitions` VALUES (52487, 3006, 11, 'DOS');
INSERT INTO `lang_definitions` VALUES (52488, 3007, 11, '劑量');
INSERT INTO `lang_definitions` VALUES (52489, 3011, 11, '雙擊編輯');
INSERT INTO `lang_definitions` VALUES (52490, 3013, 11, '複視');
INSERT INTO `lang_definitions` VALUES (52491, 3014, 11, '下載');
INSERT INTO `lang_definitions` VALUES (52492, 3019, 11, '下載無論如何');
INSERT INTO `lang_definitions` VALUES (52493, 3020, 11, '下載計費文件，發佈到會計部門並以帳單型式標記');
INSERT INTO `lang_definitions` VALUES (52494, 3022, 11, '下載證書');
INSERT INTO `lang_definitions` VALUES (52495, 3023, 11, '下載配置數據');
INSERT INTO `lang_definitions` VALUES (52496, 3027, 11, '下載加密文件');
INSERT INTO `lang_definitions` VALUES (52497, 3037, 11, '下載選中的語句');
INSERT INTO `lang_definitions` VALUES (52498, 3039, 11, '醫師檢查');
INSERT INTO `lang_definitions` VALUES (52499, 3040, 11, '醫師巡房');
INSERT INTO `lang_definitions` VALUES (52500, 3041, 11, '醫師');
INSERT INTO `lang_definitions` VALUES (52501, 3045, 11, '拖曳以移動');
INSERT INTO `lang_definitions` VALUES (52502, 3047, 11, '運球');
INSERT INTO `lang_definitions` VALUES (52503, 3048, 11, '駕照或州身分證');
INSERT INTO `lang_definitions` VALUES (52504, 3050, 11, '藥物');
INSERT INTO `lang_definitions` VALUES (52505, 3053, 11, '藥品搜索');
INSERT INTO `lang_definitions` VALUES (52506, 3054, 11, '藥品形式');
INSERT INTO `lang_definitions` VALUES (52507, 3055, 11, '藥品證明遺失');
INSERT INTO `lang_definitions` VALUES (52508, 3056, 11, '藥品警告');
INSERT INTO `lang_definitions` VALUES (52509, 3057, 11, '藥品庫存');
INSERT INTO `lang_definitions` VALUES (52510, 3059, 11, '藥品名稱');
INSERT INTO `lang_definitions` VALUES (52511, 3061, 11, '販毒路線');
INSERT INTO `lang_definitions` VALUES (52512, 3066, 11, '藥品單位');
INSERT INTO `lang_definitions` VALUES (52513, 3072, 11, '藥物');
INSERT INTO `lang_definitions` VALUES (52514, 3073, 11, '藥物和產品');
INSERT INTO `lang_definitions` VALUES (52515, 3074, 11, '口乾');
INSERT INTO `lang_definitions` VALUES (52516, 3076, 11, '白喉，破傷風混合疫苗 1');
INSERT INTO `lang_definitions` VALUES (52517, 3077, 11, '白喉，破傷風混合疫苗 2');
INSERT INTO `lang_definitions` VALUES (52518, 3078, 11, '白喉，破傷風混合疫苗3');
INSERT INTO `lang_definitions` VALUES (52519, 3079, 11, '白喉，破傷風混合疫苗 4');
INSERT INTO `lang_definitions` VALUES (52520, 3080, 11, '白喉，破傷風混合疫苗5');
INSERT INTO `lang_definitions` VALUES (52521, 3081, 11, '新型三合一疫苗1');
INSERT INTO `lang_definitions` VALUES (52522, 3082, 11, '新型三合一疫苗2');
INSERT INTO `lang_definitions` VALUES (52523, 3083, 11, '新型三合一疫苗3');
INSERT INTO `lang_definitions` VALUES (52524, 3084, 11, '新型三合一疫苗4');
INSERT INTO `lang_definitions` VALUES (52525, 3085, 11, '新型三合一疫苗5');
INSERT INTO `lang_definitions` VALUES (52526, 3087, 11, '由於 因為');
INSERT INTO `lang_definitions` VALUES (52527, 3088, 11, '截止日期');
INSERT INTO `lang_definitions` VALUES (52528, 3090, 11, '截止日期月月/日日/年年年年或年年年年-月月-日日');
INSERT INTO `lang_definitions` VALUES (52529, 3091, 11, '截止日期：');
INSERT INTO `lang_definitions` VALUES (52530, 3092, 11, '由於慣性');
INSERT INTO `lang_definitions` VALUES (52531, 3093, 11, '由於病人');
INSERT INTO `lang_definitions` VALUES (52532, 3094, 11, '即將到期');
INSERT INTO `lang_definitions` VALUES (52533, 3095, 11, '應有的地位');
INSERT INTO `lang_definitions` VALUES (52534, 3096, 11, '應有的地位更新');
INSERT INTO `lang_definitions` VALUES (52535, 3097, 11, '傾銷OpenEMR數據庫');
INSERT INTO `lang_definitions` VALUES (52536, 3098, 11, '傾銷OpenEMR web目錄樹');
INSERT INTO `lang_definitions` VALUES (52537, 3099, 11, '傾銷phpGACL數據庫');
INSERT INTO `lang_definitions` VALUES (52538, 3100, 11, '傾銷phpGACL Web目錄樹');
INSERT INTO `lang_definitions` VALUES (52539, 3101, 11, '傾銷SQL的總帳數據庫');
INSERT INTO `lang_definitions` VALUES (52540, 3102, 11, '傾銷SQL總帳web目錄樹');
INSERT INTO `lang_definitions` VALUES (52541, 3103, 11, 'DUP檢查');
INSERT INTO `lang_definitions` VALUES (52542, 3108, 11, '重複的身分證明上線');
INSERT INTO `lang_definitions` VALUES (52543, 3109, 11, '重複的名字上線');
INSERT INTO `lang_definitions` VALUES (52544, 3110, 11, '重複的警告');
INSERT INTO `lang_definitions` VALUES (52545, 3111, 11, '檢察長的持久動力');
INSERT INTO `lang_definitions` VALUES (52546, 3112, 11, '期間');
INSERT INTO `lang_definitions` VALUES (52547, 3113, 11, '持續時間');
INSERT INTO `lang_definitions` VALUES (52548, 3114, 11, '荷蘭人');
INSERT INTO `lang_definitions` VALUES (52549, 3117, 11, '吞嚥困難');
INSERT INTO `lang_definitions` VALUES (52550, 3118, 11, '呼吸困難：');
INSERT INTO `lang_definitions` VALUES (52551, 3119, 11, '排尿困難');
INSERT INTO `lang_definitions` VALUES (52552, 3128, 11, '電子處方？');
INSERT INTO `lang_definitions` VALUES (52553, 3140, 11, '早期復發（<2個月）');
INSERT INTO `lang_definitions` VALUES (52554, 3141, 11, '耳朵');
INSERT INTO `lang_definitions` VALUES (52555, 3148, 11, '心電圖');
INSERT INTO `lang_definitions` VALUES (52556, 3152, 11, '水腫');
INSERT INTO `lang_definitions` VALUES (52557, 3157, 11, 'EDI的271檔案上傳');
INSERT INTO `lang_definitions` VALUES (52558, 3158, 11, 'EDI的271回應檔案上傳');
INSERT INTO `lang_definitions` VALUES (52559, 3159, 11, '編輯');
INSERT INTO `lang_definitions` VALUES (52560, 3160, 11, '編輯');
INSERT INTO `lang_definitions` VALUES (52561, 3161, 11, '編輯過敏');
INSERT INTO `lang_definitions` VALUES (52562, 3163, 11, '編輯類別');
INSERT INTO `lang_definitions` VALUES (52563, 3165, 11, '編輯定義');
INSERT INTO `lang_definitions` VALUES (52564, 3166, 11, '編輯定義');
INSERT INTO `lang_definitions` VALUES (52565, 3167, 11, '編輯診斷為');
INSERT INTO `lang_definitions` VALUES (52566, 3168, 11, '編輯披露');
INSERT INTO `lang_definitions` VALUES (52567, 3173, 11, '編輯設施');
INSERT INTO `lang_definitions` VALUES (52568, 3174, 11, '編輯設備');
INSERT INTO `lang_definitions` VALUES (52569, 3175, 11, '編輯設施資訊');
INSERT INTO `lang_definitions` VALUES (52570, 3177, 11, '編輯檔案在');
INSERT INTO `lang_definitions` VALUES (52571, 3178, 11, '編輯表單');
INSERT INTO `lang_definitions` VALUES (52572, 3179, 11, '編輯全球設置');
INSERT INTO `lang_definitions` VALUES (52573, 3183, 11, '編輯佈局');
INSERT INTO `lang_definitions` VALUES (52574, 3185, 11, '編輯清單');
INSERT INTO `lang_definitions` VALUES (52575, 3188, 11, '編輯付款');
INSERT INTO `lang_definitions` VALUES (52576, 3189, 11, '編輯結構');
INSERT INTO `lang_definitions` VALUES (52577, 3192, 11, '編輯使用者');
INSERT INTO `lang_definitions` VALUES (52578, 3193, 11, '編輯使用者設定');
INSERT INTO `lang_definitions` VALUES (52579, 3196, 11, '教育');
INSERT INTO `lang_definitions` VALUES (52580, 3197, 11, '教育日期');
INSERT INTO `lang_definitions` VALUES (52581, 3199, 11, 'EE* GNU通用公共許可證詳細信息。 **你應該已經收到隨著這一計劃的GNU通用公共許可證的副本;如果沒有，寫信給自由');
INSERT INTO `lang_definitions` VALUES (52582, 3200, 11, '生效日期');
INSERT INTO `lang_definitions` VALUES (52583, 3202, 11, '效用');
INSERT INTO `lang_definitions` VALUES (52584, 3204, 11, 'EIN');
INSERT INTO `lang_definitions` VALUES (52585, 3207, 11, '射精');
INSERT INTO `lang_definitions` VALUES (52586, 3208, 11, '手肘');
INSERT INTO `lang_definitions` VALUES (52587, 3209, 11, '手肘問題');
INSERT INTO `lang_definitions` VALUES (52588, 3210, 11, '電子');
INSERT INTO `lang_definitions` VALUES (52589, 3214, 11, '電子匯款');
INSERT INTO `lang_definitions` VALUES (52590, 3218, 11, '合格');
INSERT INTO `lang_definitions` VALUES (52591, 3219, 11, '資格270詢問批次');
INSERT INTO `lang_definitions` VALUES (52592, 3220, 11, '資格回應');
INSERT INTO `lang_definitions` VALUES (52593, 3222, 11, '為兒童提供疫苗的疫苗資格獲得狀況');
INSERT INTO `lang_definitions` VALUES (52594, 3223, 11, '合格');
INSERT INTO `lang_definitions` VALUES (52595, 3225, 11, '電子郵件');
INSERT INTO `lang_definitions` VALUES (52596, 3228, 11, '電郵地址');
INSERT INTO `lang_definitions` VALUES (52597, 3230, 11, '病人提醒發件人的電子郵件地址。病人提醒的回覆將被引導到這個地址。使用您的診所的網域地址是很重要的，從去到垃圾郵件文件夾以避免幫助預防病人提醒。');
INSERT INTO `lang_definitions` VALUES (52598, 3231, 11, '電子郵件地址，如果有的話，收到行政通知。');
INSERT INTO `lang_definitions` VALUES (52599, 3232, 11, '電子郵件地址，如果有的話，接受緊急登錄使用者激活郵件。');
INSERT INTO `lang_definitions` VALUES (52600, 3233, 11, '電子郵件驗證');
INSERT INTO `lang_definitions` VALUES (52601, 3236, 11, '從批次COM的電子郵件');
INSERT INTO `lang_definitions` VALUES (52602, 3238, 11, '電子郵件通知');
INSERT INTO `lang_definitions` VALUES (52603, 3239, 11, '電子郵件通知時間');
INSERT INTO `lang_definitions` VALUES (52604, 3244, 11, '電子郵件發送之前');
INSERT INTO `lang_definitions` VALUES (52605, 3245, 11, '電子郵件發送者');
INSERT INTO `lang_definitions` VALUES (52606, 3246, 11, '發送電子郵件');
INSERT INTO `lang_definitions` VALUES (52607, 3248, 11, '電子郵件主題');
INSERT INTO `lang_definitions` VALUES (52608, 3251, 11, '電子郵件的文本，可用標籤：***姓名***，例如親愛的***姓名***');
INSERT INTO `lang_definitions` VALUES (52609, 3253, 11, '電子郵件傳送方式');
INSERT INTO `lang_definitions` VALUES (52610, 3254, 11, '電子郵件發送到以下地址');
INSERT INTO `lang_definitions` VALUES (52611, 3259, 11, '緊急聯絡');
INSERT INTO `lang_definitions` VALUES (52612, 3260, 11, '緊急聯絡人');
INSERT INTO `lang_definitions` VALUES (52613, 3261, 11, '緊急聯絡電話號碼');
INSERT INTO `lang_definitions` VALUES (52614, 3262, 11, '緊急避孕');
INSERT INTO `lang_definitions` VALUES (52615, 3263, 11, '緊急登錄');
INSERT INTO `lang_definitions` VALUES (52616, 3264, 11, '緊急登錄ACL被選擇。用戶仍處於活躍狀態，請取消激活用戶和在緊急情況下需要時激活相同。訪問管理“ - >”激活或去激活的用戶。');
INSERT INTO `lang_definitions` VALUES (52617, 3265, 11, '緊急登錄激活電子郵件將傳閱如果在接口/ globals.php文件配置符合以下設置：');
INSERT INTO `lang_definitions` VALUES (52618, 3266, 11, '緊急登錄的電郵地址');
INSERT INTO `lang_definitions` VALUES (52619, 3267, 11, '緊急登錄的用戶可以做任何事情');
INSERT INTO `lang_definitions` VALUES (52620, 3268, 11, '緊急電話');
INSERT INTO `lang_definitions` VALUES (52621, 3271, 11, '肺氣腫');
INSERT INTO `lang_definitions` VALUES (52622, 3272, 11, '雇員');
INSERT INTO `lang_definitions` VALUES (52623, 3273, 11, '单位');
INSERT INTO `lang_definitions` VALUES (52624, 3274, 11, '单位地址');
INSERT INTO `lang_definitions` VALUES (52625, 3275, 11, '单位資料');
INSERT INTO `lang_definitions` VALUES (52626, 3276, 11, '单位姓名');
INSERT INTO `lang_definitions` VALUES (52627, 3277, 11, '空的');
INSERT INTO `lang_definitions` VALUES (52628, 3278, 11, '空的');
INSERT INTO `lang_definitions` VALUES (52629, 3281, 11, '在“電子郵件時間”為空值');
INSERT INTO `lang_definitions` VALUES (52630, 3282, 11, '在“電子郵件發件人”為空值');
INSERT INTO `lang_definitions` VALUES (52631, 3283, 11, '在“郵件主題”為空值');
INSERT INTO `lang_definitions` VALUES (52632, 3284, 11, '在“電子郵件文本”為空值');
INSERT INTO `lang_definitions` VALUES (52633, 3285, 11, '在“提供者名稱”為空值');
INSERT INTO `lang_definitions` VALUES (52634, 3286, 11, '在“密碼”為空值');
INSERT INTO `lang_definitions` VALUES (52635, 3287, 11, '在“短訊時間”為空值');
INSERT INTO `lang_definitions` VALUES (52636, 3288, 11, '在“短訊文字”為空值');
INSERT INTO `lang_definitions` VALUES (52637, 3289, 11, '在“用戶名”為空值');
INSERT INTO `lang_definitions` VALUES (52638, 3298, 11, '允許資產管理公司的激勵');
INSERT INTO `lang_definitions` VALUES (52639, 3300, 11, '允許資產管理報告');
INSERT INTO `lang_definitions` VALUES (52640, 3301, 11, '允許資產管理公司追踪');
INSERT INTO `lang_definitions` VALUES (52641, 3303, 11, '允許ATNA審核');
INSERT INTO `lang_definitions` VALUES (52642, 3305, 11, '啟用審核日誌記錄');
INSERT INTO `lang_definitions` VALUES (52643, 3306, 11, '允許審計追踪和節點認證（ATNA）。');
INSERT INTO `lang_definitions` VALUES (52644, 3307, 11, '允許自動測量計算（AMC）的報告');
INSERT INTO `lang_definitions` VALUES (52645, 3312, 11, '允許客戶端SSL');
INSERT INTO `lang_definitions` VALUES (52646, 3313, 11, '允許客戶端SSL證書認證。');
INSERT INTO `lang_definitions` VALUES (52647, 3315, 11, '允許臨床決策規則“（CDR）');
INSERT INTO `lang_definitions` VALUES (52648, 3318, 11, '允許臨床質量測量（CQM）報告');
INSERT INTO `lang_definitions` VALUES (52649, 3319, 11, '允許臨床提醒彈出式視窗');
INSERT INTO `lang_definitions` VALUES (52650, 3320, 11, '允許臨床提醒構件');
INSERT INTO `lang_definitions` VALUES (52651, 3324, 11, '允許CQM報告');
INSERT INTO `lang_definitions` VALUES (52652, 3341, 11, '允許HylaFax等支持');
INSERT INTO `lang_definitions` VALUES (52653, 3347, 11, '允許實驗室交流');
INSERT INTO `lang_definitions` VALUES (52654, 3350, 11, '允許所有的SQL SELECT查詢的記錄。');
INSERT INTO `lang_definitions` VALUES (52655, 3351, 11, '允許日誌記錄備份的相關活動。');
INSERT INTO `lang_definitions` VALUES (52656, 3353, 11, '允許雜項活動的記錄。');
INSERT INTO `lang_definitions` VALUES (52657, 3354, 11, '允許排序活動的記錄。');
INSERT INTO `lang_definitions` VALUES (52658, 3355, 11, '允許病歷修改的記錄。');
INSERT INTO `lang_definitions` VALUES (52659, 3356, 11, '允許調度活動的記錄。');
INSERT INTO `lang_definitions` VALUES (52660, 3357, 11, '允許安全和管理活動的記錄。');
INSERT INTO `lang_definitions` VALUES (52661, 3360, 11, '允許NewCrop ERX服務');
INSERT INTO `lang_definitions` VALUES (52662, 3365, 11, '允許非現場患者門戶');
INSERT INTO `lang_definitions` VALUES (52663, 3366, 11, '允許非現場患者門戶');
INSERT INTO `lang_definitions` VALUES (52664, 3368, 11, '允許非現場患者門戶');
INSERT INTO `lang_definitions` VALUES (52665, 3371, 11, '允許非現場患者門戶');
INSERT INTO `lang_definitions` VALUES (52666, 3385, 11, '允許病人提醒構件');
INSERT INTO `lang_definitions` VALUES (52667, 3389, 11, '允許自動測量計算所需的數據（AMC）的激勵');
INSERT INTO `lang_definitions` VALUES (52668, 3391, 11, '允許自動測量計算日期（AMC）的追踪報告');
INSERT INTO `lang_definitions` VALUES (52669, 3392, 11, '允許掃描儀支持');
INSERT INTO `lang_definitions` VALUES (52670, 3397, 11, '允許OpenEMR支持LLC實驗室交流服務。');
INSERT INTO `lang_definitions` VALUES (52671, 3398, 11, '允許用戶證書驗證');
INSERT INTO `lang_definitions` VALUES (52672, 3403, 11, '允許ZMG，ERX服務有限責任公司');
INSERT INTO `lang_definitions` VALUES (52673, 3404, 11, '使能');
INSERT INTO `lang_definitions` VALUES (52674, 3412, 11, '使老費面板進入計費代碼和支付。不推薦使用收費表代替。');
INSERT INTO `lang_definitions` VALUES (52675, 3417, 11, '電子海圖');
INSERT INTO `lang_definitions` VALUES (52676, 3418, 11, '遭遇');
INSERT INTO `lang_definitions` VALUES (52677, 3419, 11, '遭遇');
INSERT INTO `lang_definitions` VALUES (52678, 3420, 11, '遭遇');
INSERT INTO `lang_definitions` VALUES (52679, 3421, 11, '遇到急性住院或急診');
INSERT INTO `lang_definitions` VALUES (52680, 3427, 11, '遇到日期');
INSERT INTO `lang_definitions` VALUES (52681, 3432, 11, '遇到表格');
INSERT INTO `lang_definitions` VALUES (52682, 3433, 11, '遇到健康和行為評估');
INSERT INTO `lang_definitions` VALUES (52683, 3434, 11, '遇到歷史');
INSERT INTO `lang_definitions` VALUES (52684, 3435, 11, '遇到識別碼');
INSERT INTO `lang_definitions` VALUES (52685, 3436, 11, '遇到流感');
INSERT INTO `lang_definitions` VALUES (52686, 3439, 11, '遇到號碼');
INSERT INTO `lang_definitions` VALUES (52687, 3441, 11, '遇到護理出院');
INSERT INTO `lang_definitions` VALUES (52688, 3442, 11, '遇到護理設施');
INSERT INTO `lang_definitions` VALUES (52689, 3443, 11, '遇到職業治療');
INSERT INTO `lang_definitions` VALUES (52690, 3444, 11, '遇到辦公室訪問');
INSERT INTO `lang_definitions` VALUES (52691, 3445, 11, '遇到門診');
INSERT INTO `lang_definitions` VALUES (52692, 3446, 11, '遇到門診W / PCP及婦產科');
INSERT INTO `lang_definitions` VALUES (52693, 3447, 11, '遇到頁面大小');
INSERT INTO `lang_definitions` VALUES (52694, 3449, 11, '遇到懷孕');
INSERT INTO `lang_definitions` VALUES (52695, 3450, 11, '遇到預防醫學 - 個別諮商');
INSERT INTO `lang_definitions` VALUES (52696, 3451, 11, '遇到預防醫學40歲及以上');
INSERT INTO `lang_definitions` VALUES (52697, 3452, 11, '遇到預防醫學團體諮商');
INSERT INTO `lang_definitions` VALUES (52698, 3453, 11, '遇到預防醫學的其他服務');
INSERT INTO `lang_definitions` VALUES (52699, 3454, 11, '遇到預防醫學服務，18歲及以上');
INSERT INTO `lang_definitions` VALUES (52700, 3457, 11, '遇到精神與心理');
INSERT INTO `lang_definitions` VALUES (52701, 3458, 11, '遇到統計');
INSERT INTO `lang_definitions` VALUES (52702, 3459, 11, '遇到摘要');
INSERT INTO `lang_definitions` VALUES (52703, 3461, 11, '遇到編碼');
INSERT INTO `lang_definitions` VALUES (52704, 3462, 11, '遇到：');
INSERT INTO `lang_definitions` VALUES (52705, 3463, 11, '遇到：遇到非急性住院，門診，或眼科');
INSERT INTO `lang_definitions` VALUES (52706, 3464, 11, '遇到');
INSERT INTO `lang_definitions` VALUES (52707, 3465, 11, '遭遇與表格');
INSERT INTO `lang_definitions` VALUES (52708, 3466, 11, '遭遇與amp︰表格');
INSERT INTO `lang_definitions` VALUES (52709, 3467, 11, '遇到不授權');
INSERT INTO `lang_definitions` VALUES (52710, 3468, 11, '遭遇舉報');
INSERT INTO `lang_definitions` VALUES (52711, 3469, 11, '遭遇節');
INSERT INTO `lang_definitions` VALUES (52712, 3471, 11, '加密');
INSERT INTO `lang_definitions` VALUES (52713, 3472, 11, '結束');
INSERT INTO `lang_definitions` VALUES (52714, 3473, 11, '結束(年年年年-月月-日日)');
INSERT INTO `lang_definitions` VALUES (52715, 3474, 11, '結束日期');
INSERT INTO `lang_definitions` VALUES (52716, 3475, 11, '結束日期');
INSERT INTO `lang_definitions` VALUES (52717, 3480, 11, '結束日期應該大於開始日期');
INSERT INTO `lang_definitions` VALUES (52718, 3482, 11, '結束日期︰');
INSERT INTO `lang_definitions` VALUES (52719, 3487, 11, '結束時間');
INSERT INTO `lang_definitions` VALUES (52720, 3492, 11, '服務結束日期年年年年-月月-日日');
INSERT INTO `lang_definitions` VALUES (52721, 3493, 11, '如果你想進入一個範圍結束DOS月月/日日/年年年年');
INSERT INTO `lang_definitions` VALUES (52722, 3494, 11, '結束一天的小時日曆事件。');
INSERT INTO `lang_definitions` VALUES (52723, 3495, 11, '內膜不正常出血');
INSERT INTO `lang_definitions` VALUES (52724, 3496, 11, '內分泌');
INSERT INTO `lang_definitions` VALUES (52725, 3497, 11, '內視鏡');
INSERT INTO `lang_definitions` VALUES (52726, 3502, 11, '英文');
INSERT INTO `lang_definitions` VALUES (52727, 3503, 11, '英文');
INSERT INTO `lang_definitions` VALUES (52728, 3504, 11, '英語（印度）');
INSERT INTO `lang_definitions` VALUES (52729, 3505, 11, '英語（標準）');
INSERT INTO `lang_definitions` VALUES (52730, 3506, 11, 'enscript命令由HylaFax使用');
INSERT INTO `lang_definitions` VALUES (52731, 3507, 11, '確保OpenEMR有寫權限的目錄');
INSERT INTO `lang_definitions` VALUES (52732, 3509, 11, '耳鼻喉分泌物');
INSERT INTO `lang_definitions` VALUES (52733, 3510, 11, '耳鼻喉疼痛');
INSERT INTO `lang_definitions` VALUES (52734, 3513, 11, '輸入診斷代碼排除所有不包含發票');
INSERT INTO `lang_definitions` VALUES (52735, 3518, 11, '在此處輸入信件的正文');
INSERT INTO `lang_definitions` VALUES (52736, 3520, 11, '輸入數據庫根密碼');
INSERT INTO `lang_definitions` VALUES (52737, 3521, 11, '輸入數據庫根的用戶名');
INSERT INTO `lang_definitions` VALUES (52738, 3529, 11, '輸入診斷');
INSERT INTO `lang_definitions` VALUES (52739, 3530, 11, '輸入藥物');
INSERT INTO `lang_definitions` VALUES (52740, 3537, 11, '輸入預防注射');
INSERT INTO `lang_definitions` VALUES (52741, 3538, 11, '輸入鍵');
INSERT INTO `lang_definitions` VALUES (52742, 3544, 11, '輸入新的國家');
INSERT INTO `lang_definitions` VALUES (52743, 3569, 11, '輸入再識別代碼');
INSERT INTO `lang_definitions` VALUES (52744, 3581, 11, '輸入您的上述搜索標準');
INSERT INTO `lang_definitions` VALUES (52745, 3591, 11, '環境的');
INSERT INTO `lang_definitions` VALUES (52746, 3592, 11, 'EOB資料條目');
INSERT INTO `lang_definitions` VALUES (52747, 3596, 11, '平等機會條例草案發帖 - 電子匯款');
INSERT INTO `lang_definitions` VALUES (52748, 3597, 11, '平等機會條例草案發帖 - 說明');
INSERT INTO `lang_definitions` VALUES (52749, 3598, 11, '平等機會條例草案發帖 - 發票');
INSERT INTO `lang_definitions` VALUES (52750, 3599, 11, '平等機會條例草案發帖 - 患者請注意');
INSERT INTO `lang_definitions` VALUES (52751, 3600, 11, '平等機會條例草案發帖 - 搜索');
INSERT INTO `lang_definitions` VALUES (52752, 3602, 11, '癲癇');
INSERT INTO `lang_definitions` VALUES (52753, 3608, 11, '自責 紀元 年代');
INSERT INTO `lang_definitions` VALUES (52754, 3610, 11, '年代發帖');
INSERT INTO `lang_definitions` VALUES (52755, 3612, 11, '刪除');
INSERT INTO `lang_definitions` VALUES (52756, 3614, 11, '勃起');
INSERT INTO `lang_definitions` VALUES (52757, 3615, 11, '錯誤');
INSERT INTO `lang_definitions` VALUES (52758, 3617, 11, '實驗室結果的錯誤確認收到');
INSERT INTO `lang_definitions` VALUES (52759, 3620, 11, '從實驗室交換網絡得到錯誤的實驗室結果');
INSERT INTO `lang_definitions` VALUES (52760, 3621, 11, '在“性別”選擇錯誤');
INSERT INTO `lang_definitions` VALUES (52761, 3622, 11, '“HIPAA法案”中的錯誤選擇');
INSERT INTO `lang_definitions` VALUES (52762, 3623, 11, '在“過程”選擇錯誤');
INSERT INTO `lang_definitions` VALUES (52763, 3624, 11, '在“短信網關”選擇錯誤');
INSERT INTO `lang_definitions` VALUES (52764, 3625, 11, '在“排序方式”的選擇錯誤');
INSERT INTO `lang_definitions` VALUES (52765, 3626, 11, '在GZIP壓縮文件中的錯誤：');
INSERT INTO `lang_definitions` VALUES (52766, 3627, 11, '在是或不是選項的錯誤');
INSERT INTO `lang_definitions` VALUES (52767, 3630, 11, '錯誤閱讀啟用上傳檔案');
INSERT INTO `lang_definitions` VALUES (52768, 3634, 11, '從實驗室交換網絡的錯誤檢索結果');
INSERT INTO `lang_definitions` VALUES (52769, 3637, 11, '授予OpenEMR使用者檔案權限時的錯誤。');
INSERT INTO `lang_definitions` VALUES (52770, 3640, 11, '在註冊表格的錯誤！');
INSERT INTO `lang_definitions` VALUES (52771, 3641, 11, '儲存檔案時出錯');
INSERT INTO `lang_definitions` VALUES (52772, 3643, 11, '寫入檔案時出錯');
INSERT INTO `lang_definitions` VALUES (52773, 3651, 11, '錯誤，檔案不存在');
INSERT INTO `lang_definitions` VALUES (52774, 3652, 11, '錯誤，無法從伺服器收集資料');
INSERT INTO `lang_definitions` VALUES (52775, 3653, 11, '錯誤，無法創建客戶端證書。');
INSERT INTO `lang_definitions` VALUES (52776, 3654, 11, '錯誤，無法創建admin.p12證書。');
INSERT INTO `lang_definitions` VALUES (52777, 3655, 11, '錯誤，無法創建的證書頒發機構證書。');
INSERT INTO `lang_definitions` VALUES (52778, 3656, 11, '錯誤，無法創建伺服器憑證。');
INSERT INTO `lang_definitions` VALUES (52779, 3658, 11, '錯誤，無法打開檔案');
INSERT INTO `lang_definitions` VALUES (52780, 3659, 11, '錯誤，用戶證書驗證無法在OpenEMR啟用');
INSERT INTO `lang_definitions` VALUES (52781, 3663, 11, '錯誤，你需要安裝存檔/ Tar.php的PHP模組。');
INSERT INTO `lang_definitions` VALUES (52782, 3664, 11, '錯誤：無法打開table.sql，破碎的形式？');
INSERT INTO `lang_definitions` VALUES (52783, 3667, 11, '錯誤：重複的識別碼上線');
INSERT INTO `lang_definitions` VALUES (52784, 3668, 11, '錯誤：重複的名稱上線');
INSERT INTO `lang_definitions` VALUES (52785, 3669, 11, '錯誤：字段');
INSERT INTO `lang_definitions` VALUES (52786, 3670, 11, '錯誤：缺少ZipArchive PHP模組');
INSERT INTO `lang_definitions` VALUES (52787, 3672, 11, '錯誤：密碼不符合。請檢查您的打字。');
INSERT INTO `lang_definitions` VALUES (52788, 3673, 11, '錯誤：密碼不符合。請檢查您的打字。');
INSERT INTO `lang_definitions` VALUES (52789, 3674, 11, '錯誤：檔案不存在');
INSERT INTO `lang_definitions` VALUES (52790, 3676, 11, '錯誤：無法複製檔案。');
INSERT INTO `lang_definitions` VALUES (52791, 3677, 11, '錯誤：無法創建下載的存檔');
INSERT INTO `lang_definitions` VALUES (52792, 3678, 11, '錯誤：無法創建Zip存檔。');
INSERT INTO `lang_definitions` VALUES (52793, 3679, 11, '錯誤：無法解壓縮檔案。');
INSERT INTO `lang_definitions` VALUES (52794, 3680, 11, '錯誤：無法將檔案載入到數據庫中。');
INSERT INTO `lang_definitions` VALUES (52795, 3681, 11, '錯誤：無法設置版本編號。');
INSERT INTO `lang_definitions` VALUES (52796, 3682, 11, '錯誤');
INSERT INTO `lang_definitions` VALUES (52797, 3684, 11, 'ERX帳戶狀態');
INSERT INTO `lang_definitions` VALUES (52798, 3686, 11, 'ERX的名稱');
INSERT INTO `lang_definitions` VALUES (52799, 3687, 11, 'ERX的密碼');
INSERT INTO `lang_definitions` VALUES (52800, 3688, 11, 'ERX的作用');
INSERT INTO `lang_definitions` VALUES (52801, 3689, 11, 'ERX使用者');
INSERT INTO `lang_definitions` VALUES (52802, 3690, 11, '紅斑：');
INSERT INTO `lang_definitions` VALUES (52803, 3693, 11, '愛斯基摩人');
INSERT INTO `lang_definitions` VALUES (52804, 3699, 11, '建立病人');
INSERT INTO `lang_definitions` VALUES (52805, 3701, 11, '種族');
INSERT INTO `lang_definitions` VALUES (52806, 3702, 11, '民族或種族');
INSERT INTO `lang_definitions` VALUES (52807, 3703, 11, '種族劃分比賽名單（寫，addonly可選）');
INSERT INTO `lang_definitions` VALUES (52808, 3706, 11, '肉類');
INSERT INTO `lang_definitions` VALUES (52809, 3709, 11, '事件');
INSERT INTO `lang_definitions` VALUES (52810, 3710, 11, '活動開始');
INSERT INTO `lang_definitions` VALUES (52811, 3711, 11, '事件類別');
INSERT INTO `lang_definitions` VALUES (52812, 3712, 11, '事件的日期');
INSERT INTO `lang_definitions` VALUES (52813, 3714, 11, '事件描述');
INSERT INTO `lang_definitions` VALUES (52814, 3715, 11, '事件細節');
INSERT INTO `lang_definitions` VALUES (52815, 3716, 11, '事件無法重複');
INSERT INTO `lang_definitions` VALUES (52816, 3717, 11, '事件的持續時間');
INSERT INTO `lang_definitions` VALUES (52817, 3718, 11, '事件的持續時間在幾分鐘內');
INSERT INTO `lang_definitions` VALUES (52818, 3719, 11, '活動費用');
INSERT INTO `lang_definitions` VALUES (52819, 3720, 11, '活動地點');
INSERT INTO `lang_definitions` VALUES (52820, 3721, 11, '事件重複一次');
INSERT INTO `lang_definitions` VALUES (52821, 3722, 11, '事件重複在');
INSERT INTO `lang_definitions` VALUES (52822, 3723, 11, '事件的開始時間');
INSERT INTO `lang_definitions` VALUES (52823, 3724, 11, '事件標題');
INSERT INTO `lang_definitions` VALUES (52824, 3725, 11, '事件標題');
INSERT INTO `lang_definitions` VALUES (52825, 3726, 11, '活動網站');
INSERT INTO `lang_definitions` VALUES (52826, 3727, 11, '活動');
INSERT INTO `lang_definitions` VALUES (52827, 3728, 11, '對於事件');
INSERT INTO `lang_definitions` VALUES (52828, 3729, 11, '在新視窗開啟事件');
INSERT INTO `lang_definitions` VALUES (52829, 3731, 11, '每一個');
INSERT INTO `lang_definitions` VALUES (52830, 3732, 11, '每一個');
INSERT INTO `lang_definitions` VALUES (52831, 3734, 11, '每3小時');
INSERT INTO `lang_definitions` VALUES (52832, 3736, 11, '每4小時');
INSERT INTO `lang_definitions` VALUES (52833, 3738, 11, '每5小時');
INSERT INTO `lang_definitions` VALUES (52834, 3740, 11, '每6小時');
INSERT INTO `lang_definitions` VALUES (52835, 3742, 11, '每8小時');
INSERT INTO `lang_definitions` VALUES (52836, 3743, 11, '每四次');
INSERT INTO `lang_definitions` VALUES (52837, 3745, 11, '每隔');
INSERT INTO `lang_definitions` VALUES (52838, 3746, 11, '每三次');
INSERT INTO `lang_definitions` VALUES (52839, 3747, 11, '每一個，每次，每3個等');
INSERT INTO `lang_definitions` VALUES (52840, 3749, 11, '檢查和測試結果');
INSERT INTO `lang_definitions` VALUES (52841, 3750, 11, '檢查結果');
INSERT INTO `lang_definitions` VALUES (52842, 3753, 11, '檢查');
INSERT INTO `lang_definitions` VALUES (52843, 3754, 11, '檢查日期');
INSERT INTO `lang_definitions` VALUES (52844, 3755, 11, '舉例');
INSERT INTO `lang_definitions` VALUES (52845, 3758, 11, '舉例');
INSERT INTO `lang_definitions` VALUES (52846, 3760, 11, '檢查/測試');
INSERT INTO `lang_definitions` VALUES (52847, 3763, 11, '過多的流淚');
INSERT INTO `lang_definitions` VALUES (52848, 3766, 11, '排除患者');
INSERT INTO `lang_definitions` VALUES (52849, 3767, 11, '排除');
INSERT INTO `lang_definitions` VALUES (52850, 3768, 11, '獨家供應商組織（紅血球生成素）');
INSERT INTO `lang_definitions` VALUES (52851, 3771, 11, '運動');
INSERT INTO `lang_definitions` VALUES (52852, 3772, 11, '運動型態');
INSERT INTO `lang_definitions` VALUES (52853, 3773, 11, '運動型態');
INSERT INTO `lang_definitions` VALUES (52854, 3774, 11, '存在');
INSERT INTO `lang_definitions` VALUES (52855, 3778, 11, '由(當局)政府退出');
INSERT INTO `lang_definitions` VALUES (52856, 3782, 11, '進出口');
INSERT INTO `lang_definitions` VALUES (52857, 3784, 11, '擴大');
INSERT INTO `lang_definitions` VALUES (52858, 3785, 11, '擴大');
INSERT INTO `lang_definitions` VALUES (52859, 3787, 11, '全部展開');
INSERT INTO `lang_definitions` VALUES (52860, 3792, 11, '擴展視圖');
INSERT INTO `lang_definitions` VALUES (52861, 3793, 11, '預期form_encounter.pid是');
INSERT INTO `lang_definitions` VALUES (52862, 3794, 11, '過期 吐氣');
INSERT INTO `lang_definitions` VALUES (52863, 3795, 11, '過期日期');
INSERT INTO `lang_definitions` VALUES (52864, 3797, 11, '過期');
INSERT INTO `lang_definitions` VALUES (52865, 3798, 11, '到期');
INSERT INTO `lang_definitions` VALUES (52866, 3799, 11, '出口 輸出');
INSERT INTO `lang_definitions` VALUES (52867, 3800, 11, '以CSV格式輸出');
INSERT INTO `lang_definitions` VALUES (52868, 3802, 11, '導出配置');
INSERT INTO `lang_definitions` VALUES (52869, 3806, 11, '輸出病人的人口統計資料');
INSERT INTO `lang_definitions` VALUES (52870, 3808, 11, '輸出PQRI報告');
INSERT INTO `lang_definitions` VALUES (52871, 3810, 11, '以CSV格式選擇的輸出');
INSERT INTO `lang_definitions` VALUES (52872, 3811, 11, '導出選定的集合');
INSERT INTO `lang_definitions` VALUES (52873, 3812, 11, '導出到CSV');
INSERT INTO `lang_definitions` VALUES (52874, 3813, 11, '導出到外部計費系統');
INSERT INTO `lang_definitions` VALUES (52875, 3815, 11, '暴露於國外');
INSERT INTO `lang_definitions` VALUES (52876, 3816, 11, '暴露於國外');
INSERT INTO `lang_definitions` VALUES (52877, 3818, 11, '分機時收取');
INSERT INTO `lang_definitions` VALUES (52878, 3820, 11, '外部 表面');
INSERT INTO `lang_definitions` VALUES (52879, 3828, 11, '外用辨認器');
INSERT INTO `lang_definitions` VALUES (52880, 3829, 11, '外用辨認器');
INSERT INTO `lang_definitions` VALUES (52881, 3830, 11, '外用辨認器');
INSERT INTO `lang_definitions` VALUES (52882, 3831, 11, '外部只有');
INSERT INTO `lang_definitions` VALUES (52883, 3834, 11, '外部轉診');
INSERT INTO `lang_definitions` VALUES (52884, 3835, 11, '外部轉診追踪');
INSERT INTO `lang_definitions` VALUES (52885, 3836, 11, '外部轉診');
INSERT INTO `lang_definitions` VALUES (52886, 3837, 11, '外部轉診');
INSERT INTO `lang_definitions` VALUES (52887, 3838, 11, '解壓zip檔案');
INSERT INTO `lang_definitions` VALUES (52888, 3839, 11, '解壓縮檔案。這將花費一些時間...');
INSERT INTO `lang_definitions` VALUES (52889, 3840, 11, '滲出液：');
INSERT INTO `lang_definitions` VALUES (52890, 3850, 11, '眼睛刺痛');
INSERT INTO `lang_definitions` VALUES (52891, 3856, 11, '眼睛疼痛');
INSERT INTO `lang_definitions` VALUES (52892, 3860, 11, '眼睛發红');
INSERT INTO `lang_definitions` VALUES (52893, 3863, 11, '眼睛');
INSERT INTO `lang_definitions` VALUES (52894, 3866, 11, 'F / H級的血液問題');
INSERT INTO `lang_definitions` VALUES (52895, 3867, 11, 'F / H級女性多毛症/皮紋');
INSERT INTO `lang_definitions` VALUES (52896, 3868, 11, '設備');
INSERT INTO `lang_definitions` VALUES (52897, 3869, 11, '設備');
INSERT INTO `lang_definitions` VALUES (52898, 3870, 11, '設備');
INSERT INTO `lang_definitions` VALUES (52899, 3871, 11, '基金管理');
INSERT INTO `lang_definitions` VALUES (52900, 3872, 11, '設施的城市');
INSERT INTO `lang_definitions` VALUES (52901, 3873, 11, '設備代碼');
INSERT INTO `lang_definitions` VALUES (52902, 3875, 11, '設施的的國家代碼');
INSERT INTO `lang_definitions` VALUES (52903, 3876, 11, '設施的傳真');
INSERT INTO `lang_definitions` VALUES (52904, 3878, 11, '設施的名稱');
INSERT INTO `lang_definitions` VALUES (52905, 3879, 11, '設施的非營利機構');
INSERT INTO `lang_definitions` VALUES (52906, 3880, 11, '設施的電話');
INSERT INTO `lang_definitions` VALUES (52907, 3883, 11, '設施的狀態');
INSERT INTO `lang_definitions` VALUES (52908, 3884, 11, '設施的街道');
INSERT INTO `lang_definitions` VALUES (52909, 3886, 11, '設施的郵遞區號');
INSERT INTO `lang_definitions` VALUES (52910, 3888, 11, '設施：');
INSERT INTO `lang_definitions` VALUES (52911, 3889, 11, '失敗');
INSERT INTO `lang_definitions` VALUES (52912, 3890, 11, '失敗的');
INSERT INTO `lang_definitions` VALUES (52913, 3891, 11, '失敗的');
INSERT INTO `lang_definitions` VALUES (52914, 3908, 11, '失敗');
INSERT INTO `lang_definitions` VALUES (52915, 3916, 11, '家族史');
INSERT INTO `lang_definitions` VALUES (52916, 3918, 11, '青光眼家族史');
INSERT INTO `lang_definitions` VALUES (52917, 3919, 11, '家族史：');
INSERT INTO `lang_definitions` VALUES (52918, 3921, 11, '家庭補助金');
INSERT INTO `lang_definitions` VALUES (52919, 3922, 11, '家庭規模');
INSERT INTO `lang_definitions` VALUES (52920, 3923, 11, '幻想');
INSERT INTO `lang_definitions` VALUES (52921, 3925, 11, '波斯語');
INSERT INTO `lang_definitions` VALUES (52922, 3928, 11, '父親');
INSERT INTO `lang_definitions` VALUES (52923, 3930, 11, '疲勞');
INSERT INTO `lang_definitions` VALUES (52924, 3931, 11, '疲勞');
INSERT INTO `lang_definitions` VALUES (52925, 3933, 11, '傳真');
INSERT INTO `lang_definitions` VALUES (52926, 3934, 11, '傳真計數');
INSERT INTO `lang_definitions` VALUES (52927, 3935, 11, '傳真號碼');
INSERT INTO `lang_definitions` VALUES (52928, 3937, 11, '傳真/掃描');
INSERT INTO `lang_definitions` VALUES (52929, 3938, 11, '在傳真');
INSERT INTO `lang_definitions` VALUES (52930, 3939, 11, '傳真輸出');
INSERT INTO `lang_definitions` VALUES (52931, 3940, 11, '特點');
INSERT INTO `lang_definitions` VALUES (52932, 3941, 11, '二月');
INSERT INTO `lang_definitions` VALUES (52933, 3942, 11, '二月');
INSERT INTO `lang_definitions` VALUES (52934, 3943, 11, 'FECA');
INSERT INTO `lang_definitions` VALUES (52935, 3944, 11, '聯邦藥物證明');
INSERT INTO `lang_definitions` VALUES (52936, 3945, 11, '聯邦的EIN');
INSERT INTO `lang_definitions` VALUES (52937, 3946, 11, '聯邦稅號');
INSERT INTO `lang_definitions` VALUES (52938, 3948, 11, '費用');
INSERT INTO `lang_definitions` VALUES (52939, 3949, 11, '費用');
INSERT INTO `lang_definitions` VALUES (52940, 3950, 11, '費用是不允許使用');
INSERT INTO `lang_definitions` VALUES (52941, 3951, 11, '收費表');
INSERT INTO `lang_definitions` VALUES (52942, 3953, 11, '費用表選項');
INSERT INTO `lang_definitions` VALUES (52943, 3955, 11, '費用');
INSERT INTO `lang_definitions` VALUES (52944, 3956, 11, '女性');
INSERT INTO `lang_definitions` VALUES (52945, 3957, 11, '女性懷孕');
INSERT INTO `lang_definitions` VALUES (52946, 3958, 11, '女用避孕套');
INSERT INTO `lang_definitions` VALUES (52947, 3959, 11, '女性G');
INSERT INTO `lang_definitions` VALUES (52948, 3960, 11, '女性立法');
INSERT INTO `lang_definitions` VALUES (52949, 3961, 11, '女性P級');
INSERT INTO `lang_definitions` VALUES (52950, 3962, 11, '女性的症狀');
INSERT INTO `lang_definitions` VALUES (52951, 3963, 11, '女性VSC');
INSERT INTO `lang_definitions` VALUES (52952, 3966, 11, '發燒');
INSERT INTO `lang_definitions` VALUES (52953, 3967, 11, '發燒：');
INSERT INTO `lang_definitions` VALUES (52954, 3968, 11, '家族性高膽固醇血症血液問題');
INSERT INTO `lang_definitions` VALUES (52955, 3972, 11, '子宮肌瘤');
INSERT INTO `lang_definitions` VALUES (52956, 3978, 11, '在國家人口統計學中单位或用戶使用的字段類型。');
INSERT INTO `lang_definitions` VALUES (52957, 3979, 11, '在州人口統計學中单位或用戶使用的字段類型。');
INSERT INTO `lang_definitions` VALUES (52958, 3980, 11, '場（S）失踪了！');
INSERT INTO `lang_definitions` VALUES (52959, 3986, 11, '檔案');
INSERT INTO `lang_definitions` VALUES (52960, 3989, 11, '在“文檔”目錄中的檔案，以了解如何創建日誌備份過程自動化');
INSERT INTO `lang_definitions` VALUES (52961, 3990, 11, '檔案的位置');
INSERT INTO `lang_definitions` VALUES (52962, 3991, 11, '檔案處理');
INSERT INTO `lang_definitions` VALUES (52963, 3998, 11, '檔案授予權限給OpenEMR用戶');
INSERT INTO `lang_definitions` VALUES (52964, 4000, 11, '檔案室');
INSERT INTO `lang_definitions` VALUES (52965, 4001, 11, '上傳檔案');
INSERT INTO `lang_definitions` VALUES (52966, 4003, 11, '具有相同名稱的檔案已經存在在位置：');
INSERT INTO `lang_definitions` VALUES (52967, 4004, 11, '檔案名稱');
INSERT INTO `lang_definitions` VALUES (52968, 4006, 11, '檔案');
INSERT INTO `lang_definitions` VALUES (52969, 4011, 11, '菲律賓');
INSERT INTO `lang_definitions` VALUES (52970, 4013, 11, '填寫下行所有');
INSERT INTO `lang_definitions` VALUES (52971, 4014, 11, '只有發送電子郵件通知病人在這裡填寫');
INSERT INTO `lang_definitions` VALUES (52972, 4023, 11, '填寫以下的值');
INSERT INTO `lang_definitions` VALUES (52973, 4025, 11, '填充這一行。');
INSERT INTO `lang_definitions` VALUES (52974, 4028, 11, '過濾');
INSERT INTO `lang_definitions` VALUES (52975, 4029, 11, '過濾常量');
INSERT INTO `lang_definitions` VALUES (52976, 4030, 11, '過濾的定義');
INSERT INTO `lang_definitions` VALUES (52977, 4032, 11, '過濾');
INSERT INTO `lang_definitions` VALUES (52978, 4034, 11, '最後');
INSERT INTO `lang_definitions` VALUES (52979, 4035, 11, '最後診斷');
INSERT INTO `lang_definitions` VALUES (52980, 4036, 11, '專家下的最後診斷');
INSERT INTO `lang_definitions` VALUES (52981, 4038, 11, '金融');
INSERT INTO `lang_definitions` VALUES (52982, 4039, 11, '財務結算日期(年年年年/月月/日日)');
INSERT INTO `lang_definitions` VALUES (52983, 4040, 11, '任何財務報告');
INSERT INTO `lang_definitions` VALUES (52984, 4042, 11, '財務報告 - 我的遭遇');
INSERT INTO `lang_definitions` VALUES (52985, 4045, 11, '財務審查日期');
INSERT INTO `lang_definitions` VALUES (52986, 4048, 11, '發現');
INSERT INTO `lang_definitions` VALUES (52987, 4049, 11, '找到可用的');
INSERT INTO `lang_definitions` VALUES (52988, 4050, 11, '找到可用的預約');
INSERT INTO `lang_definitions` VALUES (52989, 4053, 11, '找到病人');
INSERT INTO `lang_definitions` VALUES (52990, 4054, 11, '病患教育資源');
INSERT INTO `lang_definitions` VALUES (52991, 4056, 11, '發現');
INSERT INTO `lang_definitions` VALUES (52992, 4057, 11, '由專家發現');
INSERT INTO `lang_definitions` VALUES (52993, 4058, 11, '罰款');
INSERT INTO `lang_definitions` VALUES (52994, 4060, 11, '完成付款');
INSERT INTO `lang_definitions` VALUES (52995, 4065, 11, '第一');
INSERT INTO `lang_definitions` VALUES (52996, 4068, 11, '一週的第一天');
INSERT INTO `lang_definitions` VALUES (52997, 4071, 11, '名字');
INSERT INTO `lang_definitions` VALUES (52998, 4072, 11, '名字');
INSERT INTO `lang_definitions` VALUES (52999, 4073, 11, '名字：');
INSERT INTO `lang_definitions` VALUES (53000, 4079, 11, '適用性');
INSERT INTO `lang_definitions` VALUES (53001, 4080, 11, '體能程度');
INSERT INTO `lang_definitions` VALUES (53002, 4081, 11, '這個球員在這一天的體能程度');
INSERT INTO `lang_definitions` VALUES (53003, 4083, 11, '是否適合播放');
INSERT INTO `lang_definitions` VALUES (53004, 4084, 11, '修正遇到的日期 - 任何遭遇');
INSERT INTO `lang_definitions` VALUES (53005, 4086, 11, '解決這個問題');
INSERT INTO `lang_definitions` VALUES (53006, 4088, 11, '佛羅里達州');
INSERT INTO `lang_definitions` VALUES (53007, 4090, 11, '脹氣');
INSERT INTO `lang_definitions` VALUES (53008, 4091, 11, '流量');
INSERT INTO `lang_definitions` VALUES (53009, 4108, 11, '流感季節');
INSERT INTO `lang_definitions` VALUES (53010, 4109, 11, '流感季節');
INSERT INTO `lang_definitions` VALUES (53011, 4110, 11, '流感疫苗注射');
INSERT INTO `lang_definitions` VALUES (53012, 4111, 11, '液體與電解質問題');
INSERT INTO `lang_definitions` VALUES (53013, 4112, 11, '柔性製造系統');
INSERT INTO `lang_definitions` VALUES (53014, 4114, 11, '按照手動方式');
INSERT INTO `lang_definitions` VALUES (53015, 4116, 11, '追蹤');
INSERT INTO `lang_definitions` VALUES (53016, 4119, 11, '追蹤理由');
INSERT INTO `lang_definitions` VALUES (53017, 4121, 11, '下面是一個新的自訂常數：');
INSERT INTO `lang_definitions` VALUES (53018, 4122, 11, '下面是一個新的自訂語言：');
INSERT INTO `lang_definitions` VALUES (53019, 4123, 11, '下面是一個新的定義（語言，常數，定義）：');
INSERT INTO `lang_definitions` VALUES (53020, 4125, 11, '後續服務');
INSERT INTO `lang_definitions` VALUES (53021, 4126, 11, '追踪指示');
INSERT INTO `lang_definitions` VALUES (53022, 4129, 11, '食物不耐症');
INSERT INTO `lang_definitions` VALUES (53023, 4130, 11, '腳');
INSERT INTO `lang_definitions` VALUES (53024, 4131, 11, '足部問題');
INSERT INTO `lang_definitions` VALUES (53025, 4132, 11, '腳：');
INSERT INTO `lang_definitions` VALUES (53026, 4133, 11, '足球傷害');
INSERT INTO `lang_definitions` VALUES (53027, 4135, 11, '足球傷亡報告');
INSERT INTO `lang_definitions` VALUES (53028, 4136, 11, '鞋類類型');
INSERT INTO `lang_definitions` VALUES (53029, 4137, 11, '為 針對');
INSERT INTO `lang_definitions` VALUES (53030, 4138, 11, '為 針對');
INSERT INTO `lang_definitions` VALUES (53031, 4144, 11, '對於代碼');
INSERT INTO `lang_definitions` VALUES (53032, 4152, 11, '對於遭遇索賠');
INSERT INTO `lang_definitions` VALUES (53033, 4154, 11, '例如：');
INSERT INTO `lang_definitions` VALUES (53034, 4161, 11, '發票');
INSERT INTO `lang_definitions` VALUES (53035, 4163, 11, '為了醫療保險，強迫 提供者要和 提供者一樣。');
INSERT INTO `lang_definitions` VALUES (53036, 4173, 11, '所提的組織/實踐者');
INSERT INTO `lang_definitions` VALUES (53037, 4176, 11, '在過去');
INSERT INTO `lang_definitions` VALUES (53038, 4188, 11, '為可變');
INSERT INTO `lang_definitions` VALUES (53039, 4189, 11, '為：');
INSERT INTO `lang_definitions` VALUES (53040, 4190, 11, '部隊帳單控件開啟');
INSERT INTO `lang_definitions` VALUES (53041, 4191, 11, '迫使建立新病人');
INSERT INTO `lang_definitions` VALUES (53042, 4194, 11, '前臂');
INSERT INTO `lang_definitions` VALUES (53043, 4195, 11, '表格');
INSERT INTO `lang_definitions` VALUES (53044, 4196, 11, '表格');
INSERT INTO `lang_definitions` VALUES (53045, 4201, 11, '格式化');
INSERT INTO `lang_definitions` VALUES (53046, 4202, 11, '格式化');
INSERT INTO `lang_definitions` VALUES (53047, 4204, 11, '格式化不正確的國防委員會');
INSERT INTO `lang_definitions` VALUES (53048, 4205, 11, '格式化用於顯示最多的日期');
INSERT INTO `lang_definitions` VALUES (53049, 4206, 11, '格式化用於顯示最多的時間');
INSERT INTO `lang_definitions` VALUES (53050, 4207, 11, '格式化的報告');
INSERT INTO `lang_definitions` VALUES (53051, 4208, 11, '原吸煙者');
INSERT INTO `lang_definitions` VALUES (53052, 4209, 11, '形式 表單');
INSERT INTO `lang_definitions` VALUES (53053, 4210, 11, '表格管理');
INSERT INTO `lang_definitions` VALUES (53054, 4219, 11, '向前頁經由傳真');
INSERT INTO `lang_definitions` VALUES (53055, 4222, 11, '轉發 送交');
INSERT INTO `lang_definitions` VALUES (53056, 4225, 11, '第四個 四次');
INSERT INTO `lang_definitions` VALUES (53057, 4227, 11, '骨折');
INSERT INTO `lang_definitions` VALUES (53058, 4228, 11, '舟狀骨骨折');
INSERT INTO `lang_definitions` VALUES (53059, 4229, 11, '外踝骨折');
INSERT INTO `lang_definitions` VALUES (53060, 4230, 11, '內踝骨折');
INSERT INTO `lang_definitions` VALUES (53061, 4231, 11, '骨折，第五（五）蹠骨底');
INSERT INTO `lang_definitions` VALUES (53062, 4235, 11, '法國人');
INSERT INTO `lang_definitions` VALUES (53063, 4238, 11, '頻率');
INSERT INTO `lang_definitions` VALUES (53064, 4239, 11, '經常感冒');
INSERT INTO `lang_definitions` VALUES (53065, 4240, 11, '經常生病');
INSERT INTO `lang_definitions` VALUES (53066, 4241, 11, '星期五');
INSERT INTO `lang_definitions` VALUES (53067, 4242, 11, '星期五');
INSERT INTO `lang_definitions` VALUES (53068, 4244, 11, '從');
INSERT INTO `lang_definitions` VALUES (53069, 4245, 11, '從');
INSERT INTO `lang_definitions` VALUES (53070, 4246, 11, '從');
INSERT INTO `lang_definitions` VALUES (53071, 4247, 11, '從不能比迄今為止更大的日期。');
INSERT INTO `lang_definitions` VALUES (53072, 4253, 11, '來自：');
INSERT INTO `lang_definitions` VALUES (53073, 4254, 11, '來自：');
INSERT INTO `lang_definitions` VALUES (53074, 4255, 11, '來自城市');
INSERT INTO `lang_definitions` VALUES (53075, 4267, 11, '前台辦公室');
INSERT INTO `lang_definitions` VALUES (53076, 4268, 11, '前台辦公室收據');
INSERT INTO `lang_definitions` VALUES (53077, 4269, 11, '前台辦公室收益報告');
INSERT INTO `lang_definitions` VALUES (53078, 4270, 11, '接待記錄');
INSERT INTO `lang_definitions` VALUES (53079, 4271, 11, '右額葉：');
INSERT INTO `lang_definitions` VALUES (53080, 4278, 11, '全名');
INSERT INTO `lang_definitions` VALUES (53081, 4280, 11, '包含MySQL可執行程序的目錄得完整路徑。');
INSERT INTO `lang_definitions` VALUES (53082, 4281, 11, '包含Perl可執行程序的目錄的完整路徑。');
INSERT INTO `lang_definitions` VALUES (53083, 4282, 11, '事件日誌備份目錄的完整路徑。');
INSERT INTO `lang_definitions` VALUES (53084, 4283, 11, '用於暫存檔案的目錄的完整路徑。');
INSERT INTO `lang_definitions` VALUES (53085, 4284, 11, '充分發揮');
INSERT INTO `lang_definitions` VALUES (53086, 4286, 11, '完整的訓練');
INSERT INTO `lang_definitions` VALUES (53087, 4288, 11, '全數支付');
INSERT INTO `lang_definitions` VALUES (53088, 4299, 11, 'G/DL');
INSERT INTO `lang_definitions` VALUES (53089, 4302, 11, '膽囊情況');
INSERT INTO `lang_definitions` VALUES (53090, 4303, 11, '膽結石');
INSERT INTO `lang_definitions` VALUES (53091, 4304, 11, '比賽期間');
INSERT INTO `lang_definitions` VALUES (53092, 4305, 11, '遊戲 運動會');
INSERT INTO `lang_definitions` VALUES (53093, 4306, 11, '遊戲錯過');
INSERT INTO `lang_definitions` VALUES (53094, 4307, 11, '遊戲/事件');
INSERT INTO `lang_definitions` VALUES (53095, 4308, 11, '遊戲/事件錯過');
INSERT INTO `lang_definitions` VALUES (53096, 4310, 11, '胃炎');
INSERT INTO `lang_definitions` VALUES (53097, 4311, 11, '胃痛');
INSERT INTO `lang_definitions` VALUES (53098, 4312, 11, '腸胃道的');
INSERT INTO `lang_definitions` VALUES (53099, 4316, 11, 'GCAC統計報告');
INSERT INTO `lang_definitions` VALUES (53100, 4317, 11, 'GCAC統計');
INSERT INTO `lang_definitions` VALUES (53101, 4318, 11, 'GCAC訪問表單失踪');
INSERT INTO `lang_definitions` VALUES (53102, 4319, 11, '性別');
INSERT INTO `lang_definitions` VALUES (53103, 4320, 11, '性別');
INSERT INTO `lang_definitions` VALUES (53104, 4321, 11, '性別的');
INSERT INTO `lang_definitions` VALUES (53105, 4325, 11, '一般服務類別');
INSERT INTO `lang_definitions` VALUES (53106, 4332, 11, '創造和下載CMS1500文件索賠');
INSERT INTO `lang_definitions` VALUES (53107, 4334, 11, '創造和下載HCFA1500文件索賠');
INSERT INTO `lang_definitions` VALUES (53108, 4337, 11, '生成並下載X12的批次');
INSERT INTO `lang_definitions` VALUES (53109, 4338, 11, '生成並下載X12的遭遇索賠批次');
INSERT INTO `lang_definitions` VALUES (53110, 4341, 11, '以電子方式生成和傳輸允許的處方。');
INSERT INTO `lang_definitions` VALUES (53111, 4342, 11, '創造CMS1500');
INSERT INTO `lang_definitions` VALUES (53112, 4343, 11, '創造CMS1500PDF');
INSERT INTO `lang_definitions` VALUES (53113, 4344, 11, '創造CMS1500案文');
INSERT INTO `lang_definitions` VALUES (53114, 4345, 11, '創造HCFA');
INSERT INTO `lang_definitions` VALUES (53115, 4348, 11, '創造的信');
INSERT INTO `lang_definitions` VALUES (53116, 4349, 11, '創造的信有關');
INSERT INTO `lang_definitions` VALUES (53117, 4351, 11, '創造PQRI報告（A法）');
INSERT INTO `lang_definitions` VALUES (53118, 4353, 11, '創造PQRI報告（E法）');
INSERT INTO `lang_definitions` VALUES (53119, 4357, 11, '創造的報告');
INSERT INTO `lang_definitions` VALUES (53120, 4365, 11, '創造用戶名和密碼');
INSERT INTO `lang_definitions` VALUES (53121, 4366, 11, '創造X12的');
INSERT INTO `lang_definitions` VALUES (53122, 4368, 11, '創造X12的遭遇');
INSERT INTO `lang_definitions` VALUES (53123, 4370, 11, '製作於');
INSERT INTO `lang_definitions` VALUES (53124, 4372, 11, '產生');
INSERT INTO `lang_definitions` VALUES (53125, 4377, 11, '泌尿生殖系統');
INSERT INTO `lang_definitions` VALUES (53126, 4381, 11, '德國人');
INSERT INTO `lang_definitions` VALUES (53127, 4386, 11, '得到的HL7');
INSERT INTO `lang_definitions` VALUES (53128, 4392, 11, '青光眼');
INSERT INTO `lang_definitions` VALUES (53129, 4393, 11, '青光眼家族史');
INSERT INTO `lang_definitions` VALUES (53130, 4395, 11, '全球');
INSERT INTO `lang_definitions` VALUES (53131, 4398, 11, '全球認證');
INSERT INTO `lang_definitions` VALUES (53132, 4399, 11, '全球設置');
INSERT INTO `lang_definitions` VALUES (53133, 4400, 11, '全局數據');
INSERT INTO `lang_definitions` VALUES (53134, 4401, 11, 'GM/DL');
INSERT INTO `lang_definitions` VALUES (53135, 4403, 11, '去');
INSERT INTO `lang_definitions` VALUES (53136, 4404, 11, '去');
INSERT INTO `lang_definitions` VALUES (53137, 4407, 11, '到');
INSERT INTO `lang_definitions` VALUES (53138, 4417, 11, '轉到星期的');
INSERT INTO `lang_definitions` VALUES (53139, 4418, 11, '今天去');
INSERT INTO `lang_definitions` VALUES (53140, 4428, 11, '受傷程度');
INSERT INTO `lang_definitions` VALUES (53141, 4429, 11, '程度：');
INSERT INTO `lang_definitions` VALUES (53142, 4430, 11, '公克');
INSERT INTO `lang_definitions` VALUES (53143, 4431, 11, '累計');
INSERT INTO `lang_definitions` VALUES (53144, 4432, 11, '總計');
INSERT INTO `lang_definitions` VALUES (53145, 4435, 11, 'Graphable');
INSERT INTO `lang_definitions` VALUES (53146, 4437, 11, '大於');
INSERT INTO `lang_definitions` VALUES (53147, 4438, 11, '大於或等於');
INSERT INTO `lang_definitions` VALUES (53148, 4439, 11, '希臘語');
INSERT INTO `lang_definitions` VALUES (53149, 4442, 11, '團體 組');
INSERT INTO `lang_definitions` VALUES (53150, 4459, 11, '組名');
INSERT INTO `lang_definitions` VALUES (53151, 4460, 11, '組名不能空白');
INSERT INTO `lang_definitions` VALUES (53152, 4461, 11, '團體名稱不能用數字開始或空格。');
INSERT INTO `lang_definitions` VALUES (53153, 4462, 11, '團體名稱不能用數字開始。');
INSERT INTO `lang_definitions` VALUES (53154, 4463, 11, '團體號碼');
INSERT INTO `lang_definitions` VALUES (53155, 4465, 11, '團體支付');
INSERT INTO `lang_definitions` VALUES (53156, 4471, 11, '組：');
INSERT INTO `lang_definitions` VALUES (53157, 4472, 11, '組的名稱');
INSERT INTO `lang_definitions` VALUES (53158, 4475, 11, '團體和存取控制');
INSERT INTO `lang_definitions` VALUES (53159, 4476, 11, '生長曲線圖');
INSERT INTO `lang_definitions` VALUES (53160, 4477, 11, '生長曲線圖');
INSERT INTO `lang_definitions` VALUES (53161, 4478, 11, '滴');
INSERT INTO `lang_definitions` VALUES (53162, 4479, 11, 'Guamanian');
INSERT INTO `lang_definitions` VALUES (53163, 4484, 11, '監護人的姓名');
INSERT INTO `lang_definitions` VALUES (53164, 4489, 11, '婦科檢查');
INSERT INTO `lang_definitions` VALUES (53165, 4492, 11, '睡前');
INSERT INTO `lang_definitions` VALUES (53166, 4493, 11, '肝癌病史');
INSERT INTO `lang_definitions` VALUES (53167, 4494, 11, '已經成功刪除。如果存在任何次類別已被移到下面');
INSERT INTO `lang_definitions` VALUES (53168, 4495, 11, '血腫/瘀傷');
INSERT INTO `lang_definitions` VALUES (53169, 4496, 11, '紅血球凝集抑制作用情形');
INSERT INTO `lang_definitions` VALUES (53170, 4499, 11, '手+手指');
INSERT INTO `lang_definitions` VALUES (53171, 4500, 11, '手的問題');
INSERT INTO `lang_definitions` VALUES (53172, 4506, 11, '無困難');
INSERT INTO `lang_definitions` VALUES (53173, 4507, 11, '已經與訪視連結');
INSERT INTO `lang_definitions` VALUES (53174, 4508, 11, '已過期');
INSERT INTO `lang_definitions` VALUES (53175, 4509, 11, '散列');
INSERT INTO `lang_definitions` VALUES (53176, 4511, 11, '哈希不存在於此文件。產生一個新的哈希。');
INSERT INTO `lang_definitions` VALUES (53177, 4512, 11, '哈希不匹配。資料的完整性被破壞。');
INSERT INTO `lang_definitions` VALUES (53178, 4515, 11, '夏威夷');
INSERT INTO `lang_definitions` VALUES (53179, 4516, 11, '危險活動');
INSERT INTO `lang_definitions` VALUES (53180, 4517, 11, '危險活動');
INSERT INTO `lang_definitions` VALUES (53181, 4521, 11, '以點為HCFA左邊距');
INSERT INTO `lang_definitions` VALUES (53182, 4522, 11, 'HCFA保證金');
INSERT INTO `lang_definitions` VALUES (53183, 4523, 11, '以點為HCFA上邊距');
INSERT INTO `lang_definitions` VALUES (53184, 4527, 11, '他張貼日曆');
INSERT INTO `lang_definitions` VALUES (53185, 4528, 11, '頭');
INSERT INTO `lang_definitions` VALUES (53186, 4529, 11, '頭圍');
INSERT INTO `lang_definitions` VALUES (53187, 4530, 11, '頭圍');
INSERT INTO `lang_definitions` VALUES (53188, 4531, 11, '頭痛');
INSERT INTO `lang_definitions` VALUES (53189, 4532, 11, '頭痛');
INSERT INTO `lang_definitions` VALUES (53190, 4534, 11, '醫療保健業務');
INSERT INTO `lang_definitions` VALUES (53191, 4535, 11, '醫療保健業務');
INSERT INTO `lang_definitions` VALUES (53192, 4537, 11, '健康中心/診所');
INSERT INTO `lang_definitions` VALUES (53193, 4540, 11, '健康維護組織');
INSERT INTO `lang_definitions` VALUES (53194, 4541, 11, '健康維護組織（HMO）醫療保險風險');
INSERT INTO `lang_definitions` VALUES (53195, 4542, 11, '聽力喪失');
INSERT INTO `lang_definitions` VALUES (53196, 4543, 11, '心臟病發作');
INSERT INTO `lang_definitions` VALUES (53197, 4544, 11, '心臟疾病');
INSERT INTO `lang_definitions` VALUES (53198, 4545, 11, '心衰竭');
INSERT INTO `lang_definitions` VALUES (53199, 4546, 11, '心臟問題');
INSERT INTO `lang_definitions` VALUES (53200, 4547, 11, '心臟問題');
INSERT INTO `lang_definitions` VALUES (53201, 4548, 11, '心臟手術');
INSERT INTO `lang_definitions` VALUES (53202, 4549, 11, '心臟移植');
INSERT INTO `lang_definitions` VALUES (53203, 4550, 11, '心臟：');
INSERT INTO `lang_definitions` VALUES (53204, 4551, 11, '胃灼熱');
INSERT INTO `lang_definitions` VALUES (53205, 4552, 11, '熱或冷');
INSERT INTO `lang_definitions` VALUES (53206, 4553, 11, '熱或冷');
INSERT INTO `lang_definitions` VALUES (53207, 4555, 11, '希伯來文');
INSERT INTO `lang_definitions` VALUES (53208, 4557, 11, '頭眼睛耳朵鼻子喉嚨');
INSERT INTO `lang_definitions` VALUES (53209, 4558, 11, '身高');
INSERT INTO `lang_definitions` VALUES (53210, 4560, 11, '幫助');
INSERT INTO `lang_definitions` VALUES (53211, 4561, 11, '幫助');
INSERT INTO `lang_definitions` VALUES (53212, 4563, 11, '吐血');
INSERT INTO `lang_definitions` VALUES (53213, 4564, 11, '便血');
INSERT INTO `lang_definitions` VALUES (53214, 4565, 11, '血液學');
INSERT INTO `lang_definitions` VALUES (53215, 4566, 11, '血尿');
INSERT INTO `lang_definitions` VALUES (53216, 4567, 11, '血色素');
INSERT INTO `lang_definitions` VALUES (53217, 4568, 11, '糖化血紅蛋白');
INSERT INTO `lang_definitions` VALUES (53218, 4569, 11, '咯血');
INSERT INTO `lang_definitions` VALUES (53219, 4570, 11, '肝炎');
INSERT INTO `lang_definitions` VALUES (53220, 4571, 11, 'A型肝炎1');
INSERT INTO `lang_definitions` VALUES (53221, 4572, 11, 'A型肝炎2');
INSERT INTO `lang_definitions` VALUES (53222, 4573, 11, 'B型肝炎1');
INSERT INTO `lang_definitions` VALUES (53223, 4574, 11, 'B型肝炎2');
INSERT INTO `lang_definitions` VALUES (53224, 4575, 11, 'B型肝炎3');
INSERT INTO `lang_definitions` VALUES (53225, 4576, 11, '這裡');
INSERT INTO `lang_definitions` VALUES (53226, 4580, 11, '疝氣修補');
INSERT INTO `lang_definitions` VALUES (53227, 4581, 11, '椎間盤突出');
INSERT INTO `lang_definitions` VALUES (53228, 4582, 11, '皰疹');
INSERT INTO `lang_definitions` VALUES (53229, 4585, 11, '猶豫');
INSERT INTO `lang_definitions` VALUES (53230, 4586, 11, 'heyyo。你一直在這裡為');
INSERT INTO `lang_definitions` VALUES (53231, 4587, 11, 'B型嗜血桿菌疫苗1');
INSERT INTO `lang_definitions` VALUES (53232, 4588, 11, 'B型嗜血桿菌疫苗2');
INSERT INTO `lang_definitions` VALUES (53233, 4589, 11, 'B型嗜血桿菌疫苗3');
INSERT INTO `lang_definitions` VALUES (53234, 4590, 11, 'B型嗜血桿菌疫苗4');
INSERT INTO `lang_definitions` VALUES (53235, 4591, 11, '隱藏');
INSERT INTO `lang_definitions` VALUES (53236, 4592, 11, '政務隱藏事件');
INSERT INTO `lang_definitions` VALUES (53237, 4593, 11, '隱藏');
INSERT INTO `lang_definitions` VALUES (53238, 4595, 11, '隱藏的詳情');
INSERT INTO `lang_definitions` VALUES (53239, 4597, 11, '隱藏在文檔管理的加密/解密選項');
INSERT INTO `lang_definitions` VALUES (53240, 4599, 11, '隱藏菜單');
INSERT INTO `lang_definitions` VALUES (53241, 4603, 11, '隱藏/顯示列');
INSERT INTO `lang_definitions` VALUES (53242, 4605, 11, '高');
INSERT INTO `lang_definitions` VALUES (53243, 4607, 11, '高血壓');
INSERT INTO `lang_definitions` VALUES (53244, 4609, 11, '印地文');
INSERT INTO `lang_definitions` VALUES (53245, 4610, 11, '髖部+腹股溝');
INSERT INTO `lang_definitions` VALUES (53246, 4611, 11, '髖部與腹股溝');
INSERT INTO `lang_definitions` VALUES (53247, 4612, 11, '髖部問題');
INSERT INTO `lang_definitions` VALUES (53248, 4613, 11, '髖關節置換');
INSERT INTO `lang_definitions` VALUES (53249, 4615, 11, 'HIPAA收到的通知');
INSERT INTO `lang_definitions` VALUES (53250, 4617, 11, '多毛/皮紋');
INSERT INTO `lang_definitions` VALUES (53251, 4618, 11, '西班牙裔美國人');
INSERT INTO `lang_definitions` VALUES (53252, 4619, 11, '其他拉美裔（生於美國）');
INSERT INTO `lang_definitions` VALUES (53253, 4620, 11, '西班牙裔美國人 - （美國以外出生）');
INSERT INTO `lang_definitions` VALUES (53254, 4621, 11, '西班牙裔或拉丁裔');
INSERT INTO `lang_definitions` VALUES (53255, 4623, 11, '歷史');
INSERT INTO `lang_definitions` VALUES (53256, 4629, 11, '歷史數據');
INSERT INTO `lang_definitions` VALUES (53257, 4630, 11, '歷史數據');
INSERT INTO `lang_definitions` VALUES (53258, 4632, 11, '雜音史');
INSERT INTO `lang_definitions` VALUES (53259, 4633, 11, '無授權史');
INSERT INTO `lang_definitions` VALUES (53260, 4634, 11, '心臟雜音史');
INSERT INTO `lang_definitions` VALUES (53261, 4638, 11, '次數');
INSERT INTO `lang_definitions` VALUES (53262, 4639, 11, '人類免疫缺失病毒');
INSERT INTO `lang_definitions` VALUES (53263, 4649, 11, 'HL7的瀏覽器');
INSERT INTO `lang_definitions` VALUES (53264, 4651, 11, 'HMOL/L');
INSERT INTO `lang_definitions` VALUES (53265, 4652, 11, '苗族');
INSERT INTO `lang_definitions` VALUES (53266, 4653, 11, '按住[Ctrl]鍵可多重選擇或取消選擇');
INSERT INTO `lang_definitions` VALUES (53267, 4655, 11, '按住Ctrl鍵選取多個項目');
INSERT INTO `lang_definitions` VALUES (53268, 4656, 11, '按住Ctrl鍵選擇多個小隊');
INSERT INTO `lang_definitions` VALUES (53269, 4658, 11, '首頁');
INSERT INTO `lang_definitions` VALUES (53270, 4659, 11, '家裡電話');
INSERT INTO `lang_definitions` VALUES (53271, 4660, 11, '家裡電話號碼');
INSERT INTO `lang_definitions` VALUES (53272, 4662, 11, '無家可歸者或類似的嗎？');
INSERT INTO `lang_definitions` VALUES (53273, 4664, 11, '無家可歸者，等等');
INSERT INTO `lang_definitions` VALUES (53274, 4665, 11, '無家可歸者，等等。');
INSERT INTO `lang_definitions` VALUES (53275, 4674, 11, '主機名稱');
INSERT INTO `lang_definitions` VALUES (53276, 4675, 11, '主機名稱不能是空白');
INSERT INTO `lang_definitions` VALUES (53277, 4677, 11, '小時');
INSERT INTO `lang_definitions` VALUES (53278, 4678, 11, '小時');
INSERT INTO `lang_definitions` VALUES (53279, 4681, 11, '傷害是怎麼發生？');
INSERT INTO `lang_definitions` VALUES (53280, 4682, 11, '傷害是怎麼發生？');
INSERT INTO `lang_definitions` VALUES (53281, 4683, 11, '他們是如何得知我們');
INSERT INTO `lang_definitions` VALUES (53282, 4685, 11, '多少個月提前為即將到來的事件查詢？');
INSERT INTO `lang_definitions` VALUES (53283, 4692, 11, '華能國際：');
INSERT INTO `lang_definitions` VALUES (53284, 4694, 11, '羥色胺 高溫');
INSERT INTO `lang_definitions` VALUES (53285, 4695, 11, 'HTML');
INSERT INTO `lang_definitions` VALUES (53286, 4699, 11, 'HTTPS連結OpenEMR支持LLC實驗室交換服務。');
INSERT INTO `lang_definitions` VALUES (53287, 4702, 11, 'HylaFax目錄');
INSERT INTO `lang_definitions` VALUES (53288, 4703, 11, 'HylaFax等Enscript指令');
INSERT INTO `lang_definitions` VALUES (53289, 4704, 11, 'HylaFAX服務器');
INSERT INTO `lang_definitions` VALUES (53290, 4705, 11, 'HylaFAX服務器的主機名。');
INSERT INTO `lang_definitions` VALUES (53291, 4706, 11, '亢進 過度活躍');
INSERT INTO `lang_definitions` VALUES (53292, 4708, 11, '高血壓');
INSERT INTO `lang_definitions` VALUES (53293, 4709, 11, '高血壓：血壓測量');
INSERT INTO `lang_definitions` VALUES (53294, 4710, 11, '高血壓：血壓測量（CQM）');
INSERT INTO `lang_definitions` VALUES (53295, 4711, 11, '甲狀腺功能亢進症');
INSERT INTO `lang_definitions` VALUES (53296, 4713, 11, '甲狀腺功能過低症');
INSERT INTO `lang_definitions` VALUES (53297, 4716, 11, '子宮切除術');
INSERT INTO `lang_definitions` VALUES (53298, 4718, 11, '我這段時間忙。');
INSERT INTO `lang_definitions` VALUES (53299, 4719, 11, '我沒有權限讀取');
INSERT INTO `lang_definitions` VALUES (53300, 4724, 11, '國際疾病分類');
INSERT INTO `lang_definitions` VALUES (53301, 4727, 11, '國際疾病分類9');
INSERT INTO `lang_definitions` VALUES (53302, 4734, 11, '身份證 識別碼');
INSERT INTO `lang_definitions` VALUES (53303, 4736, 11, '身份證 識別碼');
INSERT INTO `lang_definitions` VALUES (53304, 4738, 11, '身份證 不能空白');
INSERT INTO `lang_definitions` VALUES (53305, 4739, 11, '身分證');
INSERT INTO `lang_definitions` VALUES (53306, 4742, 11, 'IDays');
INSERT INTO `lang_definitions` VALUES (53307, 4743, 11, '確定為');
INSERT INTO `lang_definitions` VALUES (53308, 4745, 11, '標識符（一個字）');
INSERT INTO `lang_definitions` VALUES (53309, 4747, 11, '閒置工作階段逾秒');
INSERT INTO `lang_definitions` VALUES (53310, 4755, 11, '如果所有列的所有數據都完成這種形式');
INSERT INTO `lang_definitions` VALUES (53311, 4757, 11, '如果使用計費的理由是輸入診斷代碼類型的名稱。');
INSERT INTO `lang_definitions` VALUES (53312, 4763, 11, '如果進入，只能選擇有此服務的那些');
INSERT INTO `lang_definitions` VALUES (53313, 4765, 11, '如果名稱，任何部分姓氏或姓氏，名字');
INSERT INTO `lang_definitions` VALUES (53314, 4770, 11, '如果支付');
INSERT INTO `lang_definitions` VALUES (53315, 4771, 11, '如果人去世了，那麼輸入死亡日期。');
INSERT INTO `lang_definitions` VALUES (53316, 4775, 11, '如果使用SMTP，服務器的主機名或IP位址。');
INSERT INTO `lang_definitions` VALUES (53317, 4776, 11, '如果使用SMTP，服務器的TCP連接埠號碼（通常為25）。');
INSERT INTO `lang_definitions` VALUES (53318, 4803, 11, '如果無業 輸入學生');
INSERT INTO `lang_definitions` VALUES (53319, 4814, 11, '如果您更改E-RX對ePrescription的角色，它可能會影響ePrescription工作流程。如果您遇到任何困難，請聯繫您ePrescription供應商');
INSERT INTO `lang_definitions` VALUES (53320, 4833, 11, '如果您已選擇上傳電子匯款，然後從X12檔案在搜索窗口重新顯示匹配的發票。你可以點擊任何這些發票號碼（如下所述）如果你想在已經使用匯款信息之前進行任何修改，請單擊頁面底部的過程ERA檔案按鈕，這將產生一份有詳細的報告的新窗口。');
INSERT INTO `lang_definitions` VALUES (53321, 4836, 11, '如果你在搜索頁面輸入付費的日期，這將覆蓋付費的張貼的日期，否則要從X12檔案取得，調整過帳日期。這可能是有用的報告目的，如果你想你的收益報告使用您張貼的日期，而不是保險公司“處理日期。注意，這也將影響到二次索賠事先支付和調整的日期。');
INSERT INTO `lang_definitions` VALUES (53322, 4850, 11, '如果你想改變數據類型，或添加行或列');
INSERT INTO `lang_definitions` VALUES (53323, 4851, 11, '如果你要升級資料庫，然後將資料庫zip檔案放置如果你要升級的資料庫，然後將其放置資料庫zip文件在以下目錄中在以下目錄中');
INSERT INTO `lang_definitions` VALUES (53324, 4854, 11, '忽略');
INSERT INTO `lang_definitions` VALUES (53325, 4856, 11, '疾病');
INSERT INTO `lang_definitions` VALUES (53326, 4857, 11, '肌肉注射');
INSERT INTO `lang_definitions` VALUES (53327, 4863, 11, '影像服務');
INSERT INTO `lang_definitions` VALUES (53328, 4865, 11, '免疫');
INSERT INTO `lang_definitions` VALUES (53329, 4867, 11, '免疫編碼');
INSERT INTO `lang_definitions` VALUES (53330, 4869, 11, '免疫日期');
INSERT INTO `lang_definitions` VALUES (53331, 4872, 11, '免疫批號');
INSERT INTO `lang_definitions` VALUES (53332, 4873, 11, '免疫製造商');
INSERT INTO `lang_definitions` VALUES (53333, 4878, 11, '免疫登記');
INSERT INTO `lang_definitions` VALUES (53334, 4882, 11, '免疫服務');
INSERT INTO `lang_definitions` VALUES (53335, 4883, 11, '免疫標題');
INSERT INTO `lang_definitions` VALUES (53336, 4885, 11, '免疫接種');
INSERT INTO `lang_definitions` VALUES (53337, 4887, 11, '免疫接種');
INSERT INTO `lang_definitions` VALUES (53338, 4888, 11, '免疫');
INSERT INTO `lang_definitions` VALUES (53339, 4893, 11, '植入');
INSERT INTO `lang_definitions` VALUES (53340, 4894, 11, '進口');
INSERT INTO `lang_definitions` VALUES (53341, 4898, 11, '證書導入到瀏覽器。');
INSERT INTO `lang_definitions` VALUES (53342, 4899, 11, '導入配置');
INSERT INTO `lang_definitions` VALUES (53343, 4904, 11, '導入病人');
INSERT INTO `lang_definitions` VALUES (53344, 4905, 11, '導入病人的人口統計資料');
INSERT INTO `lang_definitions` VALUES (53345, 4914, 11, '從會計導入');
INSERT INTO `lang_definitions` VALUES (53346, 4920, 11, '改善');
INSERT INTO `lang_definitions` VALUES (53347, 4922, 11, '在');
INSERT INTO `lang_definitions` VALUES (53348, 4923, 11, '在');
INSERT INTO `lang_definitions` VALUES (53349, 4931, 11, '在每隻眼睛');
INSERT INTO `lang_definitions` VALUES (53350, 4934, 11, '在左眼');
INSERT INTO `lang_definitions` VALUES (53351, 4935, 11, '在鼻孔');
INSERT INTO `lang_definitions` VALUES (53352, 4936, 11, '在辦公室');
INSERT INTO `lang_definitions` VALUES (53353, 4947, 11, '在右眼');
INSERT INTO `lang_definitions` VALUES (53354, 4958, 11, '在內部');
INSERT INTO `lang_definitions` VALUES (53355, 4960, 11, '不活動 無效');
INSERT INTO `lang_definitions` VALUES (53356, 4965, 11, '不活躍的日子');
INSERT INTO `lang_definitions` VALUES (53357, 4967, 11, '收件箱');
INSERT INTO `lang_definitions` VALUES (53358, 4970, 11, '包括校驗');
INSERT INTO `lang_definitions` VALUES (53359, 4971, 11, '包括完成');
INSERT INTO `lang_definitions` VALUES (53360, 4974, 11, '包括不活躍用戶');
INSERT INTO `lang_definitions` VALUES (53361, 4975, 11, '包括未分類');
INSERT INTO `lang_definitions` VALUES (53362, 4976, 11, '包括非結構化資料');
INSERT INTO `lang_definitions` VALUES (53363, 4977, 11, '包括生命徵象');
INSERT INTO `lang_definitions` VALUES (53364, 4978, 11, '包括生命徵象資料？');
INSERT INTO `lang_definitions` VALUES (53365, 4981, 11, '列入');
INSERT INTO `lang_definitions` VALUES (53366, 4982, 11, '收入');
INSERT INTO `lang_definitions` VALUES (53367, 4984, 11, '不完全');
INSERT INTO `lang_definitions` VALUES (53368, 4985, 11, '不完全流產治療');
INSERT INTO `lang_definitions` VALUES (53369, 4986, 11, '失禁');
INSERT INTO `lang_definitions` VALUES (53370, 4987, 11, '將臨床實驗室的測試結果納入認證的電子病歷技術當成結構化資料。');
INSERT INTO `lang_definitions` VALUES (53371, 4990, 11, '增加：');
INSERT INTO `lang_definitions` VALUES (53372, 4991, 11, '賠償保險');
INSERT INTO `lang_definitions` VALUES (53373, 4994, 11, '不確定');
INSERT INTO `lang_definitions` VALUES (53374, 4995, 11, '印度');
INSERT INTO `lang_definitions` VALUES (53375, 4998, 11, '顯示異常');
INSERT INTO `lang_definitions` VALUES (53376, 5000, 11, '顯示，如果這個問題目前是積極的');
INSERT INTO `lang_definitions` VALUES (53377, 5002, 11, '使用專門的指標');
INSERT INTO `lang_definitions` VALUES (53378, 5003, 11, '貧困的病人');
INSERT INTO `lang_definitions` VALUES (53379, 5004, 11, '貧困的病人報告');
INSERT INTO `lang_definitions` VALUES (53380, 5005, 11, '貧民');
INSERT INTO `lang_definitions` VALUES (53381, 5010, 11, '人工流產');
INSERT INTO `lang_definitions` VALUES (53382, 5012, 11, '不合格');
INSERT INTO `lang_definitions` VALUES (53383, 5013, 11, '感染/膿腫');
INSERT INTO `lang_definitions` VALUES (53384, 5014, 11, '感染');
INSERT INTO `lang_definitions` VALUES (53385, 5015, 11, '插入硬幣');
INSERT INTO `lang_definitions` VALUES (53386, 5016, 11, '不孕症');
INSERT INTO `lang_definitions` VALUES (53387, 5017, 11, '流感1');
INSERT INTO `lang_definitions` VALUES (53388, 5018, 11, '流感2');
INSERT INTO `lang_definitions` VALUES (53389, 5019, 11, '流感疫苗接種的病人>= 50歲');
INSERT INTO `lang_definitions` VALUES (53390, 5020, 11, '流感疫苗接種的病人>= 50歲(CQM)');
INSERT INTO `lang_definitions` VALUES (53391, 5021, 11, '流感疫苗');
INSERT INTO `lang_definitions` VALUES (53392, 5022, 11, '信息');
INSERT INTO `lang_definitions` VALUES (53393, 5023, 11, '信息測試1');
INSERT INTO `lang_definitions` VALUES (53394, 5024, 11, '信息測試2');
INSERT INTO `lang_definitions` VALUES (53395, 5025, 11, '信息測試3');
INSERT INTO `lang_definitions` VALUES (53396, 5026, 11, '信息測試4');
INSERT INTO `lang_definitions` VALUES (53397, 5027, 11, '信息測試5');
INSERT INTO `lang_definitions` VALUES (53398, 5028, 11, '信息測試6');
INSERT INTO `lang_definitions` VALUES (53399, 5034, 11, '吸入');
INSERT INTO `lang_definitions` VALUES (53400, 5036, 11, 'inhilations');
INSERT INTO `lang_definitions` VALUES (53401, 5039, 11, '最初的用戶');
INSERT INTO `lang_definitions` VALUES (53402, 5041, 11, '損傷/康復');
INSERT INTO `lang_definitions` VALUES (53403, 5042, 11, '注射劑');
INSERT INTO `lang_definitions` VALUES (53404, 5043, 11, '注射劑');
INSERT INTO `lang_definitions` VALUES (53405, 5044, 11, '受傷的身體部位');
INSERT INTO `lang_definitions` VALUES (53406, 5045, 11, '受傷的');
INSERT INTO `lang_definitions` VALUES (53407, 5046, 11, '傷害');
INSERT INTO `lang_definitions` VALUES (53408, 5047, 11, '損傷機轉');
INSERT INTO `lang_definitions` VALUES (53409, 5048, 11, '損傷的概述報告');
INSERT INTO `lang_definitions` VALUES (53410, 5049, 11, '傷害監測');
INSERT INTO `lang_definitions` VALUES (53411, 5050, 11, '損傷類型');
INSERT INTO `lang_definitions` VALUES (53412, 5051, 11, '傷害/疾病相關');
INSERT INTO `lang_definitions` VALUES (53413, 5056, 11, '輸入字段');
INSERT INTO `lang_definitions` VALUES (53414, 5057, 11, '印度盧比');
INSERT INTO `lang_definitions` VALUES (53415, 5061, 11, '插件調整');
INSERT INTO `lang_definitions` VALUES (53416, 5062, 11, '插件捆綁');
INSERT INTO `lang_definitions` VALUES (53417, 5063, 11, '插件代碼');
INSERT INTO `lang_definitions` VALUES (53418, 5066, 11, '插件多繳');
INSERT INTO `lang_definitions` VALUES (53419, 5068, 11, '移民局退款');
INSERT INTO `lang_definitions` VALUES (53420, 5069, 11, '移民局摘要');
INSERT INTO `lang_definitions` VALUES (53421, 5071, 11, '移民局1');
INSERT INTO `lang_definitions` VALUES (53422, 5072, 11, '移民局2');
INSERT INTO `lang_definitions` VALUES (53423, 5073, 11, '移民局3');
INSERT INTO `lang_definitions` VALUES (53424, 5075, 11, '插入失敗：');
INSERT INTO `lang_definitions` VALUES (53425, 5079, 11, '插入到表中的舊事件');
INSERT INTO `lang_definitions` VALUES (53426, 5085, 11, '失眠');
INSERT INTO `lang_definitions` VALUES (53427, 5087, 11, '檢查');
INSERT INTO `lang_definitions` VALUES (53428, 5088, 11, '不穩定/半脫位');
INSERT INTO `lang_definitions` VALUES (53429, 5090, 11, '安裝');
INSERT INTO `lang_definitions` VALUES (53430, 5093, 11, '安裝數據庫');
INSERT INTO `lang_definitions` VALUES (53431, 5102, 11, '指示');
INSERT INTO `lang_definitions` VALUES (53432, 5103, 11, '指示');
INSERT INTO `lang_definitions` VALUES (53433, 5105, 11, '說明：');
INSERT INTO `lang_definitions` VALUES (53434, 5108, 11, '胰島素依賴型糖尿病');
INSERT INTO `lang_definitions` VALUES (53435, 5109, 11, '保險');
INSERT INTO `lang_definitions` VALUES (53436, 5110, 11, '保險');
INSERT INTO `lang_definitions` VALUES (53437, 5116, 11, '保險訓練班');
INSERT INTO `lang_definitions` VALUES (53438, 5117, 11, '保險公司');
INSERT INTO `lang_definitions` VALUES (53439, 5118, 11, '保險公司');
INSERT INTO `lang_definitions` VALUES (53440, 5119, 11, '保險公司的搜尋/添加');
INSERT INTO `lang_definitions` VALUES (53441, 5121, 11, '保險數據');
INSERT INTO `lang_definitions` VALUES (53442, 5124, 11, '文件上的保險資料');
INSERT INTO `lang_definitions` VALUES (53443, 5126, 11, '保險號碼');
INSERT INTO `lang_definitions` VALUES (53444, 5127, 11, '給付保險金');
INSERT INTO `lang_definitions` VALUES (53445, 5129, 11, '保險提供者');
INSERT INTO `lang_definitions` VALUES (53446, 5134, 11, '攝入結論');
INSERT INTO `lang_definitions` VALUES (53447, 5135, 11, '攝入日期');
INSERT INTO `lang_definitions` VALUES (53448, 5138, 11, '智力下降');
INSERT INTO `lang_definitions` VALUES (53449, 5149, 11, '內部錯誤 - 沒有頁面選擇！');
INSERT INTO `lang_definitions` VALUES (53450, 5150, 11, '內部錯誤 - 沒有提供病人身份！');
INSERT INTO `lang_definitions` VALUES (53451, 5151, 11, '內部錯誤存取上傳的文件！');
INSERT INTO `lang_definitions` VALUES (53452, 5153, 11, '內部錯誤');
INSERT INTO `lang_definitions` VALUES (53453, 5154, 11, '內部錯誤，沒有指定的藥物編號！');
INSERT INTO `lang_definitions` VALUES (53454, 5156, 11, '內部錯誤：索賠');
INSERT INTO `lang_definitions` VALUES (53455, 5157, 11, '內部錯誤：遇到\'');
INSERT INTO `lang_definitions` VALUES (53456, 5158, 11, '內部錯誤：pid或遇到遺漏。');
INSERT INTO `lang_definitions` VALUES (53457, 5160, 11, '內部標識符（PID）');
INSERT INTO `lang_definitions` VALUES (53458, 5163, 11, '內部轉介');
INSERT INTO `lang_definitions` VALUES (53459, 5164, 11, '內部時間收集');
INSERT INTO `lang_definitions` VALUES (53460, 5165, 11, '國際義務');
INSERT INTO `lang_definitions` VALUES (53461, 5167, 11, '口譯員');
INSERT INTO `lang_definitions` VALUES (53462, 5168, 11, '需要口譯員嗎？');
INSERT INTO `lang_definitions` VALUES (53463, 5169, 11, '間質性肺疾病');
INSERT INTO `lang_definitions` VALUES (53464, 5170, 11, '間隔');
INSERT INTO `lang_definitions` VALUES (53465, 5173, 11, '介入');
INSERT INTO `lang_definitions` VALUES (53466, 5175, 11, '無法耐受');
INSERT INTO `lang_definitions` VALUES (53467, 5178, 11, '肌肉注射的');
INSERT INTO `lang_definitions` VALUES (53468, 5181, 11, '靜脈注射的');
INSERT INTO `lang_definitions` VALUES (53469, 5182, 11, '簡介');
INSERT INTO `lang_definitions` VALUES (53470, 5185, 11, '無效的字符在');
INSERT INTO `lang_definitions` VALUES (53471, 5195, 11, '無效的長度');
INSERT INTO `lang_definitions` VALUES (53472, 5196, 11, '無效的非數字字符');
INSERT INTO `lang_definitions` VALUES (53473, 5197, 11, '無效或遺失的付款人在代碼源');
INSERT INTO `lang_definitions` VALUES (53474, 5200, 11, '無效的服務代碼');
INSERT INTO `lang_definitions` VALUES (53475, 5201, 11, '指定無效的源“');
INSERT INTO `lang_definitions` VALUES (53476, 5204, 11, 'InvAmt');
INSERT INTO `lang_definitions` VALUES (53477, 5205, 11, '庫存');
INSERT INTO `lang_definitions` VALUES (53478, 5206, 11, '清查活動');
INSERT INTO `lang_definitions` VALUES (53479, 5207, 11, '庫存和銷售兩種藥物和非藥物產品');
INSERT INTO `lang_definitions` VALUES (53480, 5208, 11, '僅清點和推銷藥品');
INSERT INTO `lang_definitions` VALUES (53481, 5209, 11, '庫存是不是按此順序。');
INSERT INTO `lang_definitions` VALUES (53482, 5210, 11, '庫存清單');
INSERT INTO `lang_definitions` VALUES (53483, 5211, 11, '庫存交易');
INSERT INTO `lang_definitions` VALUES (53484, 5212, 11, '發票');
INSERT INTO `lang_definitions` VALUES (53485, 5213, 11, '發票');
INSERT INTO `lang_definitions` VALUES (53486, 5217, 11, '發票日期');
INSERT INTO `lang_definitions` VALUES (53487, 5219, 11, '發票沒有日期');
INSERT INTO `lang_definitions` VALUES (53488, 5220, 11, '發票號碼');
INSERT INTO `lang_definitions` VALUES (53489, 5221, 11, '發票參考編號');
INSERT INTO `lang_definitions` VALUES (53490, 5222, 11, '如果有使用，發票參考號碼池');
INSERT INTO `lang_definitions` VALUES (53491, 5223, 11, '發票參考號碼池');
INSERT INTO `lang_definitions` VALUES (53492, 5224, 11, '只是發票Refno池');
INSERT INTO `lang_definitions` VALUES (53493, 5226, 11, '發票');
INSERT INTO `lang_definitions` VALUES (53494, 5237, 11, '國際計劃生育聯合會');
INSERT INTO `lang_definitions` VALUES (53495, 5240, 11, '國際計劃生育聯合會生殖健康數據');
INSERT INTO `lang_definitions` VALUES (53496, 5241, 11, '國際計劃生育聯合會統計報告');
INSERT INTO `lang_definitions` VALUES (53497, 5242, 11, '國際計劃生育聯合會統計');
INSERT INTO `lang_definitions` VALUES (53498, 5243, 11, '注射式小兒麻痺疫苗(沙克疫苗)1');
INSERT INTO `lang_definitions` VALUES (53499, 5244, 11, '注射式小兒麻痺疫苗(沙克疫苗)2');
INSERT INTO `lang_definitions` VALUES (53500, 5245, 11, '注射式小兒麻痺疫苗(沙克疫苗)3');
INSERT INTO `lang_definitions` VALUES (53501, 5246, 11, '注射式小兒麻痺疫苗(沙克疫苗)4');
INSERT INTO `lang_definitions` VALUES (53502, 5249, 11, '心跳不規則');
INSERT INTO `lang_definitions` VALUES (53503, 5250, 11, '易怒');
INSERT INTO `lang_definitions` VALUES (53504, 5251, 11, '刺激');
INSERT INTO `lang_definitions` VALUES (53505, 5256, 11, '是必填字段。');
INSERT INTO `lang_definitions` VALUES (53506, 5257, 11, '是一個根節點，並不能刪除。');
INSERT INTO `lang_definitions` VALUES (53507, 5268, 11, '是無效的（小數都OK）。');
INSERT INTO `lang_definitions` VALUES (53508, 5269, 11, 'PHP是使用安全模式？');
INSERT INTO `lang_definitions` VALUES (53509, 5273, 11, '是要翻譯的文字形式佈局？');
INSERT INTO `lang_definitions` VALUES (53510, 5274, 11, '是從清單的文字進行翻譯？');
INSERT INTO `lang_definitions` VALUES (53511, 5275, 11, '是文件加密？');
INSERT INTO `lang_definitions` VALUES (53512, 5277, 11, '這是一個診斷類型嗎？');
INSERT INTO `lang_definitions` VALUES (53513, 5286, 11, '這種類型是隱藏在收費表？');
INSERT INTO `lang_definitions` VALUES (53514, 5288, 11, '太長');
INSERT INTO `lang_definitions` VALUES (53515, 5290, 11, '問題');
INSERT INTO `lang_definitions` VALUES (53516, 5291, 11, '問題');
INSERT INTO `lang_definitions` VALUES (53517, 5292, 11, '發行日期');
INSERT INTO `lang_definitions` VALUES (53518, 5293, 11, '問題編號');
INSERT INTO `lang_definitions` VALUES (53519, 5295, 11, '問題標題');
INSERT INTO `lang_definitions` VALUES (53520, 5298, 11, '問題');
INSERT INTO `lang_definitions` VALUES (53521, 5299, 11, '問題（傷害/醫療/過敏）');
INSERT INTO `lang_definitions` VALUES (53522, 5300, 11, '問題（傷害/醫療/過敏）：');
INSERT INTO `lang_definitions` VALUES (53523, 5302, 11, '問題和遭遇');
INSERT INTO `lang_definitions` VALUES (53524, 5303, 11, '問題和遭遇的');
INSERT INTO `lang_definitions` VALUES (53525, 5308, 11, '未經授權的議題');
INSERT INTO `lang_definitions` VALUES (53526, 5309, 11, '問題部分');
INSERT INTO `lang_definitions` VALUES (53527, 5364, 11, '意大利的');
INSERT INTO `lang_definitions` VALUES (53528, 5365, 11, '項目');
INSERT INTO `lang_definitions` VALUES (53529, 5366, 11, '項目');
INSERT INTO `lang_definitions` VALUES (53530, 5369, 11, '項目負荷失敗');
INSERT INTO `lang_definitions` VALUES (53531, 5370, 11, '子宮內的/L');
INSERT INTO `lang_definitions` VALUES (53532, 5371, 11, '子宮內避孕器');
INSERT INTO `lang_definitions` VALUES (53533, 5372, 11, '經靜脈');
INSERT INTO `lang_definitions` VALUES (53534, 5375, 11, '一月');
INSERT INTO `lang_definitions` VALUES (53535, 5376, 11, '一月');
INSERT INTO `lang_definitions` VALUES (53536, 5377, 11, '日本人');
INSERT INTO `lang_definitions` VALUES (53537, 5378, 11, '黃疸');
INSERT INTO `lang_definitions` VALUES (53538, 5380, 11, '職位描述');
INSERT INTO `lang_definitions` VALUES (53539, 5381, 11, '作業識別碼');
INSERT INTO `lang_definitions` VALUES (53540, 5382, 11, '關節脫位');
INSERT INTO `lang_definitions` VALUES (53541, 5383, 11, '關節疼痛');
INSERT INTO `lang_definitions` VALUES (53542, 5384, 11, '關節扭傷');
INSERT INTO `lang_definitions` VALUES (53543, 5385, 11, '七月');
INSERT INTO `lang_definitions` VALUES (53544, 5386, 11, '七月');
INSERT INTO `lang_definitions` VALUES (53545, 5388, 11, '六月');
INSERT INTO `lang_definitions` VALUES (53546, 5389, 11, '六月');
INSERT INTO `lang_definitions` VALUES (53547, 5390, 11, '就在檢查信息的下面，是您把您的搜索參數放在一個藍色的區域。您可以按病人的姓名，病歷號碼，遇到號碼或服務的日期，或這些的任意組合進行搜索。你也可以選擇是否要看到所有的發票，開的發票，或者是由病人的唯一發票。點擊“搜索”按鈕進行搜索。');
INSERT INTO `lang_definitions` VALUES (53548, 5391, 11, '只是我');
INSERT INTO `lang_definitions` VALUES (53549, 5393, 11, '辯解');
INSERT INTO `lang_definitions` VALUES (53550, 5396, 11, '理由/保存');
INSERT INTO `lang_definitions` VALUES (53551, 5398, 11, 'K，這裡是其餘的');
INSERT INTO `lang_definitions` VALUES (53552, 5411, 11, '關鍵字');
INSERT INTO `lang_definitions` VALUES (53553, 5412, 11, '公斤');
INSERT INTO `lang_definitions` VALUES (53554, 5413, 11, '公斤/平方公尺');
INSERT INTO `lang_definitions` VALUES (53555, 5415, 11, '腎臟癌');
INSERT INTO `lang_definitions` VALUES (53556, 5416, 11, '腎臟衰竭');
INSERT INTO `lang_definitions` VALUES (53557, 5417, 11, '腎炎');
INSERT INTO `lang_definitions` VALUES (53558, 5418, 11, '腎結石');
INSERT INTO `lang_definitions` VALUES (53559, 5419, 11, '腎臟移植');
INSERT INTO `lang_definitions` VALUES (53560, 5425, 11, '膝 膝關節');
INSERT INTO `lang_definitions` VALUES (53561, 5426, 11, '膝蓋問題');
INSERT INTO `lang_definitions` VALUES (53562, 5427, 11, '膝關節置換術');
INSERT INTO `lang_definitions` VALUES (53563, 5430, 11, '韓國');
INSERT INTO `lang_definitions` VALUES (53564, 5434, 11, '實驗室');
INSERT INTO `lang_definitions` VALUES (53565, 5436, 11, '實驗室交換網站地址');
INSERT INTO `lang_definitions` VALUES (53566, 5437, 11, '實驗室交換網站編號');
INSERT INTO `lang_definitions` VALUES (53567, 5438, 11, '實驗室交換憑證識別碼');
INSERT INTO `lang_definitions` VALUES (53568, 5442, 11, '實驗室查詢狀態');
INSERT INTO `lang_definitions` VALUES (53569, 5444, 11, '實驗報告');
INSERT INTO `lang_definitions` VALUES (53570, 5445, 11, '實驗結果');
INSERT INTO `lang_definitions` VALUES (53571, 5446, 11, '實驗結果');
INSERT INTO `lang_definitions` VALUES (53572, 5449, 11, '實驗結果報告');
INSERT INTO `lang_definitions` VALUES (53573, 5450, 11, '實驗室服務');
INSERT INTO `lang_definitions` VALUES (53574, 5451, 11, '實驗室測試結果');
INSERT INTO `lang_definitions` VALUES (53575, 5453, 11, '標籤');
INSERT INTO `lang_definitions` VALUES (53576, 5454, 11, '標籤不能空白');
INSERT INTO `lang_definitions` VALUES (53577, 5455, 11, 'Label Cols');
INSERT INTO `lang_definitions` VALUES (53578, 5458, 11, 'LabelCols必須是1和999之間的一個數字');
INSERT INTO `lang_definitions` VALUES (53579, 5459, 11, '標籤');
INSERT INTO `lang_definitions` VALUES (53580, 5463, 11, '實驗室');
INSERT INTO `lang_definitions` VALUES (53581, 5464, 11, '裂傷/皮膚狀況');
INSERT INTO `lang_definitions` VALUES (53582, 5465, 11, '撕裂/磨損');
INSERT INTO `lang_definitions` VALUES (53583, 5471, 11, '語言');
INSERT INTO `lang_definitions` VALUES (53584, 5472, 11, '語言代碼');
INSERT INTO `lang_definitions` VALUES (53585, 5473, 11, '語言定義的補充');
INSERT INTO `lang_definitions` VALUES (53586, 5474, 11, '語言界面工具');
INSERT INTO `lang_definitions` VALUES (53587, 5476, 11, '語言列表（寫，addonly可選）');
INSERT INTO `lang_definitions` VALUES (53588, 5478, 11, '語言名稱');
INSERT INTO `lang_definitions` VALUES (53589, 5479, 11, '語言：');
INSERT INTO `lang_definitions` VALUES (53590, 5481, 11, '老撾語');
INSERT INTO `lang_definitions` VALUES (53591, 5485, 11, '最後');
INSERT INTO `lang_definitions` VALUES (53592, 5486, 11, '上次活動日期');
INSERT INTO `lang_definitions` VALUES (53593, 5489, 11, '最後法案日期：');
INSERT INTO `lang_definitions` VALUES (53594, 5491, 11, '上一歷年');
INSERT INTO `lang_definitions` VALUES (53595, 5495, 11, '最後相逢');
INSERT INTO `lang_definitions` VALUES (53596, 5506, 11, '上個月');
INSERT INTO `lang_definitions` VALUES (53597, 5507, 11, '姓');
INSERT INTO `lang_definitions` VALUES (53598, 5508, 11, '姓');
INSERT INTO `lang_definitions` VALUES (53599, 5513, 11, '姓：');
INSERT INTO `lang_definitions` VALUES (53600, 5517, 11, '最新評論');
INSERT INTO `lang_definitions` VALUES (53601, 5519, 11, '最後保存');
INSERT INTO `lang_definitions` VALUES (53602, 5525, 11, '最後更新');
INSERT INTO `lang_definitions` VALUES (53603, 5526, 11, '最後驗證');
INSERT INTO `lang_definitions` VALUES (53604, 5527, 11, '最後訪問');
INSERT INTO `lang_definitions` VALUES (53605, 5530, 11, '晚期復發（2-12莫）');
INSERT INTO `lang_definitions` VALUES (53606, 5531, 11, '外踝');
INSERT INTO `lang_definitions` VALUES (53607, 5532, 11, '外踝：');
INSERT INTO `lang_definitions` VALUES (53608, 5533, 11, '偏側');
INSERT INTO `lang_definitions` VALUES (53609, 5534, 11, '此過程中偏側化，如適用');
INSERT INTO `lang_definitions` VALUES (53610, 5535, 11, '側面取代採購經理指數：');
INSERT INTO `lang_definitions` VALUES (53611, 5549, 11, '版式的基礎');
INSERT INTO `lang_definitions` VALUES (53612, 5551, 11, '佈局編輯器');
INSERT INTO `lang_definitions` VALUES (53613, 5552, 11, '版式組');
INSERT INTO `lang_definitions` VALUES (53614, 5556, 11, '佈局樣式');
INSERT INTO `lang_definitions` VALUES (53615, 5558, 11, '基於佈局的訪問表格');
INSERT INTO `lang_definitions` VALUES (53616, 5559, 11, '佈局');
INSERT INTO `lang_definitions` VALUES (53617, 5560, 11, '磅');
INSERT INTO `lang_definitions` VALUES (53618, 5563, 11, '磅');
INSERT INTO `lang_definitions` VALUES (53619, 5571, 11, '低密度脂蛋白');
INSERT INTO `lang_definitions` VALUES (53620, 5573, 11, '留下空白，如果仍然活躍');
INSERT INTO `lang_definitions` VALUES (53621, 5574, 11, '留空以保持原有檔名');
INSERT INTO `lang_definitions` VALUES (53622, 5575, 11, '留空密碼保持不變。');
INSERT INTO `lang_definitions` VALUES (53623, 5580, 11, '留下訊息');
INSERT INTO `lang_definitions` VALUES (53624, 5582, 11, '留下表單');
INSERT INTO `lang_definitions` VALUES (53625, 5583, 11, '留下通行短語留空將不能加密文件');
INSERT INTO `lang_definitions` VALUES (53626, 5586, 11, '左側 離開 留下');
INSERT INTO `lang_definitions` VALUES (53627, 5589, 11, '左耳');
INSERT INTO `lang_definitions` VALUES (53628, 5590, 11, '左耳');
INSERT INTO `lang_definitions` VALUES (53629, 5599, 11, '左側：');
INSERT INTO `lang_definitions` VALUES (53630, 5600, 11, '左側：');
INSERT INTO `lang_definitions` VALUES (53631, 5601, 11, '腿部疼痛/痙攣');
INSERT INTO `lang_definitions` VALUES (53632, 5602, 11, '法律');
INSERT INTO `lang_definitions` VALUES (53633, 5605, 11, '圖例：');
INSERT INTO `lang_definitions` VALUES (53634, 5606, 11, '長度');
INSERT INTO `lang_definitions` VALUES (53635, 5607, 11, '如果沒有修飾符的長度，0');
INSERT INTO `lang_definitions` VALUES (53636, 5613, 11, '小於');
INSERT INTO `lang_definitions` VALUES (53637, 5614, 11, '小於或等於');
INSERT INTO `lang_definitions` VALUES (53638, 5615, 11, '較少的私人信息（寫，addonly可選）');
INSERT INTO `lang_definitions` VALUES (53639, 5620, 11, '信件 字母');
INSERT INTO `lang_definitions` VALUES (53640, 5621, 11, '字母產生器');
INSERT INTO `lang_definitions` VALUES (53641, 5623, 11, '醫生簽名的信紙');
INSERT INTO `lang_definitions` VALUES (53642, 5624, 11, '病人簽名的信紙');
INSERT INTO `lang_definitions` VALUES (53643, 5627, 11, '緊急級別');
INSERT INTO `lang_definitions` VALUES (53644, 5630, 11, '責任');
INSERT INTO `lang_definitions` VALUES (53645, 5631, 11, '責任醫療');
INSERT INTO `lang_definitions` VALUES (53646, 5633, 11, '執照/ 識別碼 身分證');
INSERT INTO `lang_definitions` VALUES (53647, 5639, 11, '有執照處方者姓氏');
INSERT INTO `lang_definitions` VALUES (53648, 5640, 11, '有執照處方者新產品引進');
INSERT INTO `lang_definitions` VALUES (53649, 5641, 11, '有執照處方者的UPIN');
INSERT INTO `lang_definitions` VALUES (53650, 5644, 11, '生活方式');
INSERT INTO `lang_definitions` VALUES (53651, 5646, 11, '生活方式的狀態');
INSERT INTO `lang_definitions` VALUES (53652, 5647, 11, '韌帶撕裂或扭傷');
INSERT INTO `lang_definitions` VALUES (53653, 5651, 11, '極限活動');
INSERT INTO `lang_definitions` VALUES (53654, 5657, 11, '連接');
INSERT INTO `lang_definitions` VALUES (53655, 5660, 11, '連接');
INSERT INTO `lang_definitions` VALUES (53656, 5663, 11, '連接文件');
INSERT INTO `lang_definitions` VALUES (53657, 5665, 11, '名單');
INSERT INTO `lang_definitions` VALUES (53658, 5666, 11, '列表框');
INSERT INTO `lang_definitions` VALUES (53659, 5667, 11, '列表框');
INSERT INTO `lang_definitions` VALUES (53660, 5668, 11, '列表框瓦特/附加');
INSERT INTO `lang_definitions` VALUES (53661, 5669, 11, '列表框瓦特/附加');
INSERT INTO `lang_definitions` VALUES (53662, 5671, 11, '列表編輯器');
INSERT INTO `lang_definitions` VALUES (53663, 5672, 11, '名單中遇到');
INSERT INTO `lang_definitions` VALUES (53664, 5674, 11, '列表組');
INSERT INTO `lang_definitions` VALUES (53665, 5675, 11, '列表保險公司');
INSERT INTO `lang_definitions` VALUES (53666, 5677, 11, '列表中的項目，不能以數字開頭。');
INSERT INTO `lang_definitions` VALUES (53667, 5678, 11, '列表中的項目包含不合法的字元（S）。');
INSERT INTO `lang_definitions` VALUES (53668, 5680, 11, '列出名單');
INSERT INTO `lang_definitions` VALUES (53669, 5682, 11, '列表名稱');
INSERT INTO `lang_definitions` VALUES (53670, 5683, 11, '列表的名稱不能以數字啟動。');
INSERT INTO `lang_definitions` VALUES (53671, 5688, 11, '列表處方');
INSERT INTO `lang_definitions` VALUES (53672, 5689, 11, '由上述國家的數據類型選項列表。');
INSERT INTO `lang_definitions` VALUES (53673, 5690, 11, '由上述州的數據類型選項列表。');
INSERT INTO `lang_definitions` VALUES (53674, 5691, 11, '聽力的RFC5425 TLS syslog服務器的端口。');
INSERT INTO `lang_definitions` VALUES (53675, 5693, 11, '列表');
INSERT INTO `lang_definitions` VALUES (53676, 5696, 11, '生前遺囑');
INSERT INTO `lang_definitions` VALUES (53677, 5701, 11, '微光：');
INSERT INTO `lang_definitions` VALUES (53678, 5707, 11, '低熔點');
INSERT INTO `lang_definitions` VALUES (53679, 5709, 11, '負載定義');
INSERT INTO `lang_definitions` VALUES (53680, 5717, 11, '加載');
INSERT INTO `lang_definitions` VALUES (53681, 5721, 11, '檔案加載到數據庫中。這將花費一些時間...');
INSERT INTO `lang_definitions` VALUES (53682, 5723, 11, '組委會');
INSERT INTO `lang_definitions` VALUES (53683, 5724, 11, '當地');
INSERT INTO `lang_definitions` VALUES (53684, 5728, 11, '區域設置');
INSERT INTO `lang_definitions` VALUES (53685, 5729, 11, '方位');
INSERT INTO `lang_definitions` VALUES (53686, 5730, 11, '位置');
INSERT INTO `lang_definitions` VALUES (53687, 5731, 11, 'openemr機的位置，並可能包含敏感數據，因此建議在使用後手動刪除該文件');
INSERT INTO `lang_definitions` VALUES (53688, 5732, 11, '這個地段的位置');
INSERT INTO `lang_definitions` VALUES (53689, 5733, 11, '地點不詳');
INSERT INTO `lang_definitions` VALUES (53690, 5734, 11, '位置HylaFax等商店傳真。');
INSERT INTO `lang_definitions` VALUES (53691, 5735, 11, '掃描存儲的位置。');
INSERT INTO `lang_definitions` VALUES (53692, 5736, 11, '地點：');
INSERT INTO `lang_definitions` VALUES (53693, 5737, 11, '鎖');
INSERT INTO `lang_definitions` VALUES (53694, 5745, 11, '登錄');
INSERT INTO `lang_definitions` VALUES (53695, 5749, 11, '註銷');
INSERT INTO `lang_definitions` VALUES (53696, 5752, 11, '登錄');
INSERT INTO `lang_definitions` VALUES (53697, 5753, 11, '登錄為');
INSERT INTO `lang_definitions` VALUES (53698, 5754, 11, '登錄為：');
INSERT INTO `lang_definitions` VALUES (53699, 5755, 11, '註銷。');
INSERT INTO `lang_definitions` VALUES (53700, 5757, 11, '登錄');
INSERT INTO `lang_definitions` VALUES (53701, 5758, 11, '登錄');
INSERT INTO `lang_definitions` VALUES (53702, 5768, 11, '註銷');
INSERT INTO `lang_definitions` VALUES (53703, 5769, 11, '註銷');
INSERT INTO `lang_definitions` VALUES (53704, 5770, 11, '日誌');
INSERT INTO `lang_definitions` VALUES (53705, 5771, 11, '日誌查看器');
INSERT INTO `lang_definitions` VALUES (53706, 5776, 11, '查找');
INSERT INTO `lang_definitions` VALUES (53707, 5777, 11, '很多');
INSERT INTO `lang_definitions` VALUES (53708, 5778, 11, '地段識別碼失踪！');
INSERT INTO `lang_definitions` VALUES (53709, 5779, 11, '批號');
INSERT INTO `lang_definitions` VALUES (53710, 5780, 11, '低');
INSERT INTO `lang_definitions` VALUES (53711, 5782, 11, '下肢');
INSERT INTO `lang_definitions` VALUES (53712, 5791, 11, '腰椎');
INSERT INTO `lang_definitions` VALUES (53713, 5792, 11, '午餐');
INSERT INTO `lang_definitions` VALUES (53714, 5793, 11, '午餐');
INSERT INTO `lang_definitions` VALUES (53715, 5794, 11, '肺癌');
INSERT INTO `lang_definitions` VALUES (53716, 5795, 11, '肺癌手術');
INSERT INTO `lang_definitions` VALUES (53717, 5796, 11, '肺的：');
INSERT INTO `lang_definitions` VALUES (53718, 5797, 11, '肺的：');
INSERT INTO `lang_definitions` VALUES (53719, 5798, 11, '狼瘡');
INSERT INTO `lang_definitions` VALUES (53720, 5805, 11, '專員類別');
INSERT INTO `lang_definitions` VALUES (53721, 5806, 11, '專員客戶接受流產');
INSERT INTO `lang_definitions` VALUES (53722, 5807, 11, '專員統計');
INSERT INTO `lang_definitions` VALUES (53723, 5812, 11, '郵件發送');
INSERT INTO `lang_definitions` VALUES (53724, 5814, 11, '主要');
INSERT INTO `lang_definitions` VALUES (53725, 5815, 11, '主要地址');
INSERT INTO `lang_definitions` VALUES (53726, 5821, 11, '熱門面板顯示屏');
INSERT INTO `lang_definitions` VALUES (53727, 5824, 11, '保持積極的藥物過敏名單。');
INSERT INTO `lang_definitions` VALUES (53728, 5825, 11, '保持積極的藥物名單。');
INSERT INTO `lang_definitions` VALUES (53729, 5826, 11, '保持當前和積極的診斷的最新問題清單。');
INSERT INTO `lang_definitions` VALUES (53730, 5827, 11, '當前類別作出修改。');
INSERT INTO `lang_definitions` VALUES (53731, 5828, 11, '作出新的預約');
INSERT INTO `lang_definitions` VALUES (53732, 5831, 11, '確保“');
INSERT INTO `lang_definitions` VALUES (53733, 5832, 11, '上傳結算所批處理文本文件，將標誌著作為帳單');
INSERT INTO `lang_definitions` VALUES (53734, 5834, 11, '身體不適：');
INSERT INTO `lang_definitions` VALUES (53735, 5837, 11, '男性');
INSERT INTO `lang_definitions` VALUES (53736, 5838, 11, '男性保險套');
INSERT INTO `lang_definitions` VALUES (53737, 5839, 11, '男性輸精管結紮術');
INSERT INTO `lang_definitions` VALUES (53738, 5841, 11, '乳房X光檢查');
INSERT INTO `lang_definitions` VALUES (53739, 5842, 11, '處理');
INSERT INTO `lang_definitions` VALUES (53740, 5850, 11, '處理翻譯');
INSERT INTO `lang_definitions` VALUES (53741, 5851, 11, '管理');
INSERT INTO `lang_definitions` VALUES (53742, 5854, 11, '強制性和指定的領域');
INSERT INTO `lang_definitions` VALUES (53743, 5855, 11, '只有強制性或指定字段，DUP檢查，沒有搜尋');
INSERT INTO `lang_definitions` VALUES (53744, 5856, 11, '只有強制或指定領域，搜尋和dup檢查');
INSERT INTO `lang_definitions` VALUES (53745, 5859, 11, '手冊');
INSERT INTO `lang_definitions` VALUES (53746, 5860, 11, '手冊紀錄');
INSERT INTO `lang_definitions` VALUES (53747, 5864, 11, '製造商');
INSERT INTO `lang_definitions` VALUES (53748, 5870, 11, '三月');
INSERT INTO `lang_definitions` VALUES (53749, 5874, 11, '三月');
INSERT INTO `lang_definitions` VALUES (53750, 5877, 11, '婚姻狀態');
INSERT INTO `lang_definitions` VALUES (53751, 5880, 11, '標記為已開帳單，但略過計費');
INSERT INTO `lang_definitions` VALUES (53752, 5881, 11, '標記為已清除');
INSERT INTO `lang_definitions` VALUES (53753, 5882, 11, '標記為未開帳單');
INSERT INTO `lang_definitions` VALUES (53754, 5886, 11, '標記為已清除');
INSERT INTO `lang_definitions` VALUES (53755, 5887, 11, '已婚的');
INSERT INTO `lang_definitions` VALUES (53756, 5889, 11, '面罩');
INSERT INTO `lang_definitions` VALUES (53757, 5890, 11, '發票號碼的掩碼');
INSERT INTO `lang_definitions` VALUES (53758, 5891, 11, '為病人標識掩碼');
INSERT INTO `lang_definitions` VALUES (53759, 5892, 11, '掩碼的產品標識');
INSERT INTO `lang_definitions` VALUES (53760, 5894, 11, '符合');
INSERT INTO `lang_definitions` VALUES (53761, 5907, 11, '最大');
INSERT INTO `lang_definitions` VALUES (53762, 5912, 11, '右上頜：');
INSERT INTO `lang_definitions` VALUES (53763, 5913, 11, '最大年齡');
INSERT INTO `lang_definitions` VALUES (53764, 5917, 11, '在註銷之前幾秒鐘的最大閒置時間。默認值是7200（2小時）。');
INSERT INTO `lang_definitions` VALUES (53765, 5924, 11, '五月');
INSERT INTO `lang_definitions` VALUES (53766, 5926, 11, '管委會');
INSERT INTO `lang_definitions` VALUES (53767, 5927, 11, '微克');
INSERT INTO `lang_definitions` VALUES (53768, 5929, 11, '當更改密碼時，是指最後三個密碼都不允許。');
INSERT INTO `lang_definitions` VALUES (53769, 5931, 11, '測量群組代碼');
INSERT INTO `lang_definitions` VALUES (53770, 5933, 11, '測量');
INSERT INTO `lang_definitions` VALUES (53771, 5939, 11, '內踝：');
INSERT INTO `lang_definitions` VALUES (53772, 5940, 11, '醫療補助');
INSERT INTO `lang_definitions` VALUES (53773, 5942, 11, '醫學');
INSERT INTO `lang_definitions` VALUES (53774, 5943, 11, '藥物流產');
INSERT INTO `lang_definitions` VALUES (53775, 5944, 11, '醫療管理');
INSERT INTO `lang_definitions` VALUES (53776, 5946, 11, '醫學史');
INSERT INTO `lang_definitions` VALUES (53777, 5947, 11, '醫療問題');
INSERT INTO `lang_definitions` VALUES (53778, 5948, 11, '醫療問題');
INSERT INTO `lang_definitions` VALUES (53779, 5952, 11, '醫療問題');
INSERT INTO `lang_definitions` VALUES (53780, 5954, 11, '醫療問題');
INSERT INTO `lang_definitions` VALUES (53781, 5956, 11, '醫療紀錄');
INSERT INTO `lang_definitions` VALUES (53782, 5957, 11, '醫療記錄＃');
INSERT INTO `lang_definitions` VALUES (53783, 5959, 11, '醫療紀錄');
INSERT INTO `lang_definitions` VALUES (53784, 5961, 11, '發送的醫療記錄');
INSERT INTO `lang_definitions` VALUES (53785, 5963, 11, '給出病歷摘要');
INSERT INTO `lang_definitions` VALUES (53786, 5964, 11, '醫療系統');
INSERT INTO `lang_definitions` VALUES (53787, 5965, 11, '醫療型態');
INSERT INTO `lang_definitions` VALUES (53788, 5966, 11, '醫學/歷史（寫，addonly可選）');
INSERT INTO `lang_definitions` VALUES (53789, 5968, 11, '醫療保險B部分');
INSERT INTO `lang_definitions` VALUES (53790, 5969, 11, '醫療保險轉介者是呈現程序');
INSERT INTO `lang_definitions` VALUES (53791, 5970, 11, '藥物');
INSERT INTO `lang_definitions` VALUES (53792, 5971, 11, '藥物過敏清單');
INSERT INTO `lang_definitions` VALUES (53793, 5973, 11, '藥物清單');
INSERT INTO `lang_definitions` VALUES (53794, 5974, 11, '服藥調節執行嗎？');
INSERT INTO `lang_definitions` VALUES (53795, 5975, 11, '藥物');
INSERT INTO `lang_definitions` VALUES (53796, 5978, 11, '藥物：');
INSERT INTO `lang_definitions` VALUES (53797, 5979, 11, '醫學單位');
INSERT INTO `lang_definitions` VALUES (53798, 5980, 11, '中等 媒介');
INSERT INTO `lang_definitions` VALUES (53799, 5984, 11, '會員協會統計報告');
INSERT INTO `lang_definitions` VALUES (53800, 5986, 11, '記憶體問題');
INSERT INTO `lang_definitions` VALUES (53801, 5987, 11, '男性');
INSERT INTO `lang_definitions` VALUES (53802, 5988, 11, '男性與女性');
INSERT INTO `lang_definitions` VALUES (53803, 5989, 11, '只有男性');
INSERT INTO `lang_definitions` VALUES (53804, 5990, 11, '初潮');
INSERT INTO `lang_definitions` VALUES (53805, 5991, 11, '停經');
INSERT INTO `lang_definitions` VALUES (53806, 5992, 11, '月經量');
INSERT INTO `lang_definitions` VALUES (53807, 5993, 11, '月經頻率');
INSERT INTO `lang_definitions` VALUES (53808, 5994, 11, '精神疾病');
INSERT INTO `lang_definitions` VALUES (53809, 6005, 11, '訊息');
INSERT INTO `lang_definitions` VALUES (53810, 6013, 11, '訊息狀態');
INSERT INTO `lang_definitions` VALUES (53811, 6018, 11, '訊息：');
INSERT INTO `lang_definitions` VALUES (53812, 6019, 11, '訊息');
INSERT INTO `lang_definitions` VALUES (53813, 6026, 11, '方法');
INSERT INTO `lang_definitions` VALUES (53814, 6027, 11, '方法和特定產品');
INSERT INTO `lang_definitions` VALUES (53815, 6029, 11, '傳出的電子郵件發送方法。');
INSERT INTO `lang_definitions` VALUES (53816, 6030, 11, '銷毀方法');
INSERT INTO `lang_definitions` VALUES (53817, 6031, 11, '墨西哥/ MexAmer的/墨裔美國人');
INSERT INTO `lang_definitions` VALUES (53818, 6038, 11, '毫克');
INSERT INTO `lang_definitions` VALUES (53819, 6039, 11, '毫克/1毫升');
INSERT INTO `lang_definitions` VALUES (53820, 6040, 11, '毫克/2毫升');
INSERT INTO `lang_definitions` VALUES (53821, 6041, 11, '毫克/3毫升');
INSERT INTO `lang_definitions` VALUES (53822, 6042, 11, '毫克/4毫升');
INSERT INTO `lang_definitions` VALUES (53823, 6043, 11, '毫克/5毫升');
INSERT INTO `lang_definitions` VALUES (53824, 6044, 11, '毫克/升');
INSERT INTO `lang_definitions` VALUES (53825, 6046, 11, '中間');
INSERT INTO `lang_definitions` VALUES (53826, 6047, 11, '中間名字');
INSERT INTO `lang_definitions` VALUES (53827, 6048, 11, '中間名字');
INSERT INTO `lang_definitions` VALUES (53828, 6051, 11, '中級處方DEA');
INSERT INTO `lang_definitions` VALUES (53829, 6052, 11, '中級處方名');
INSERT INTO `lang_definitions` VALUES (53830, 6053, 11, '中級處方姓氏');
INSERT INTO `lang_definitions` VALUES (53831, 6055, 11, '中級處方首碼');
INSERT INTO `lang_definitions` VALUES (53832, 6056, 11, '中級處方的UPIN');
INSERT INTO `lang_definitions` VALUES (53833, 6061, 11, '風采');
INSERT INTO `lang_definitions` VALUES (53834, 6062, 11, '農民或季節性工人嗎？');
INSERT INTO `lang_definitions` VALUES (53835, 6064, 11, '移民/季節');
INSERT INTO `lang_definitions` VALUES (53836, 6065, 11, 'Mil/立方公釐');
INSERT INTO `lang_definitions` VALUES (53837, 6070, 11, 'Mime類型');
INSERT INTO `lang_definitions` VALUES (53838, 6071, 11, '分');
INSERT INTO `lang_definitions` VALUES (53839, 6072, 11, '分');
INSERT INTO `lang_definitions` VALUES (53840, 6077, 11, '最小年紀');
INSERT INTO `lang_definitions` VALUES (53841, 6080, 11, '輕微的關節扭傷+/ - 滑膜炎');
INSERT INTO `lang_definitions` VALUES (53842, 6082, 11, '分鐘');
INSERT INTO `lang_definitions` VALUES (53843, 6083, 11, '分鐘');
INSERT INTO `lang_definitions` VALUES (53844, 6084, 11, '分鐘');
INSERT INTO `lang_definitions` VALUES (53845, 6086, 11, '其他類別');
INSERT INTO `lang_definitions` VALUES (53846, 6087, 11, '其他類別帳單選項');
INSERT INTO `lang_definitions` VALUES (53847, 6088, 11, '其他類別結算方式HCFA-1500');
INSERT INTO `lang_definitions` VALUES (53848, 6089, 11, '其他類別帳單選項HCFA');
INSERT INTO `lang_definitions` VALUES (53849, 6090, 11, '雜項');
INSERT INTO `lang_definitions` VALUES (53850, 6092, 11, '錯過');
INSERT INTO `lang_definitions` VALUES (53851, 6093, 11, '失踪');
INSERT INTO `lang_definitions` VALUES (53852, 6094, 11, '缺少必要的字段');
INSERT INTO `lang_definitions` VALUES (53853, 6097, 11, '遺失費用');
INSERT INTO `lang_definitions` VALUES (53854, 6100, 11, '只遺失MODS');
INSERT INTO `lang_definitions` VALUES (53855, 6101, 11, '遺失或無效');
INSERT INTO `lang_definitions` VALUES (53856, 6103, 11, '椎間盤脫出缺失。');
INSERT INTO `lang_definitions` VALUES (53857, 6104, 11, '遺失報告的日期');
INSERT INTO `lang_definitions` VALUES (53858, 6105, 11, '代碼源的付款人之後遺失斜線');
INSERT INTO `lang_definitions` VALUES (53859, 6111, 11, '混合');
INSERT INTO `lang_definitions` VALUES (53860, 6113, 11, '毫升');
INSERT INTO `lang_definitions` VALUES (53861, 6114, 11, '月月/日日/年年年年');
INSERT INTO `lang_definitions` VALUES (53862, 6115, 11, '毫米/汞柱');
INSERT INTO `lang_definitions` VALUES (53863, 6116, 11, '毫米汞柱');
INSERT INTO `lang_definitions` VALUES (53864, 6117, 11, '麻疹德國麻疹腮腺炎疫苗1');
INSERT INTO `lang_definitions` VALUES (53865, 6118, 11, '麻疹德國麻疹腮腺炎疫苗2');
INSERT INTO `lang_definitions` VALUES (53866, 6120, 11, '移動');
INSERT INTO `lang_definitions` VALUES (53867, 6121, 11, '行動電話');
INSERT INTO `lang_definitions` VALUES (53868, 6125, 11, '按付款當日價格計算 國防部');
INSERT INTO `lang_definitions` VALUES (53869, 6133, 11, '修改器');
INSERT INTO `lang_definitions` VALUES (53870, 6143, 11, '修改付款方式');
INSERT INTO `lang_definitions` VALUES (53871, 6145, 11, '中期長度');
INSERT INTO `lang_definitions` VALUES (53872, 6153, 11, '星期一');
INSERT INTO `lang_definitions` VALUES (53873, 6154, 11, '週一至週五');
INSERT INTO `lang_definitions` VALUES (53874, 6155, 11, '逢星期一，三，五');
INSERT INTO `lang_definitions` VALUES (53875, 6156, 11, '星期一');
INSERT INTO `lang_definitions` VALUES (53876, 6160, 11, '月');
INSERT INTO `lang_definitions` VALUES (53877, 6161, 11, '月');
INSERT INTO `lang_definitions` VALUES (53878, 6162, 11, '按月查看');
INSERT INTO `lang_definitions` VALUES (53879, 6163, 11, '月');
INSERT INTO `lang_definitions` VALUES (53880, 6164, 11, '月收入');
INSERT INTO `lang_definitions` VALUES (53881, 6166, 11, '幾個月');
INSERT INTO `lang_definitions` VALUES (53882, 6179, 11, '超過100筆記錄。請縮小您的搜尋條件。');
INSERT INTO `lang_definitions` VALUES (53883, 6180, 11, '超過50筆的結果，請讓你的搜尋更具體。');
INSERT INTO `lang_definitions` VALUES (53884, 6186, 11, '最近從');
INSERT INTO `lang_definitions` VALUES (53885, 6189, 11, '從最近期的生命徵象：');
INSERT INTO `lang_definitions` VALUES (53886, 6190, 11, '母親');
INSERT INTO `lang_definitions` VALUES (53887, 6191, 11, '母親的姓名');
INSERT INTO `lang_definitions` VALUES (53888, 6195, 11, '嘴');
INSERT INTO `lang_definitions` VALUES (53889, 6196, 11, '移動');
INSERT INTO `lang_definitions` VALUES (53890, 6197, 11, '移動文件類別：');
INSERT INTO `lang_definitions` VALUES (53891, 6198, 11, '向下移動');
INSERT INTO `lang_definitions` VALUES (53892, 6201, 11, '移至病人');
INSERT INTO `lang_definitions` VALUES (53893, 6202, 11, '移動到...');
INSERT INTO `lang_definitions` VALUES (53894, 6203, 11, '向上移動');
INSERT INTO `lang_definitions` VALUES (53895, 6209, 11, '先生');
INSERT INTO `lang_definitions` VALUES (53896, 6215, 11, '女士');
INSERT INTO `lang_definitions` VALUES (53897, 6217, 11, '小姐');
INSERT INTO `lang_definitions` VALUES (53898, 6230, 11, '多語言工具');
INSERT INTO `lang_definitions` VALUES (53899, 6234, 11, '多個領域');
INSERT INTO `lang_definitions` VALUES (53900, 6237, 11, '多個地段');
INSERT INTO `lang_definitions` VALUES (53901, 6242, 11, '多種族');
INSERT INTO `lang_definitions` VALUES (53902, 6243, 11, '雜音：');
INSERT INTO `lang_definitions` VALUES (53903, 6244, 11, '肌肉酸痛');
INSERT INTO `lang_definitions` VALUES (53904, 6245, 11, '肌肉酸痛');
INSERT INTO `lang_definitions` VALUES (53905, 6246, 11, '肌肉發紅');
INSERT INTO `lang_definitions` VALUES (53906, 6247, 11, '肌肉僵硬');
INSERT INTO `lang_definitions` VALUES (53907, 6248, 11, '肌肉腫脹');
INSERT INTO `lang_definitions` VALUES (53908, 6249, 11, '肌肉溫暖');
INSERT INTO `lang_definitions` VALUES (53909, 6250, 11, '肌肉');
INSERT INTO `lang_definitions` VALUES (53910, 6251, 11, '肌肉傷害');
INSERT INTO `lang_definitions` VALUES (53911, 6252, 11, '肌肉骨骼的');
INSERT INTO `lang_definitions` VALUES (53912, 6256, 11, '如果不使用SMTP身份驗證，必須是空的。');
INSERT INTO `lang_definitions` VALUES (53913, 6259, 11, '共同定義');
INSERT INTO `lang_definitions` VALUES (53914, 6260, 11, '製造業增加值');
INSERT INTO `lang_definitions` VALUES (53915, 6271, 11, '不適合的');
INSERT INTO `lang_definitions` VALUES (53916, 6272, 11, '不適合的');
INSERT INTO `lang_definitions` VALUES (53917, 6274, 11, '名字 名稱');
INSERT INTO `lang_definitions` VALUES (53918, 6276, 11, '名稱（點擊查看更多）');
INSERT INTO `lang_definitions` VALUES (53919, 6278, 11, '名稱1');
INSERT INTO `lang_definitions` VALUES (53920, 6279, 11, '名稱2');
INSERT INTO `lang_definitions` VALUES (53921, 6280, 11, '免疫系統管理員的名稱和標題');
INSERT INTO `lang_definitions` VALUES (53922, 6284, 11, '活動名稱');
INSERT INTO `lang_definitions` VALUES (53923, 6285, 11, '保險公司名稱');
INSERT INTO `lang_definitions` VALUES (53924, 6286, 11, '供應商名稱');
INSERT INTO `lang_definitions` VALUES (53925, 6287, 11, '病人提醒發件人的名稱。');
INSERT INTO `lang_definitions` VALUES (53926, 6294, 11, '翻譯名稱');
INSERT INTO `lang_definitions` VALUES (53927, 6295, 11, '名稱/價值');
INSERT INTO `lang_definitions` VALUES (53928, 6296, 11, '名稱：');
INSERT INTO `lang_definitions` VALUES (53929, 6300, 11, '鼻腔： 鼻孔');
INSERT INTO `lang_definitions` VALUES (53930, 6301, 11, '鼻孔：右側正常');
INSERT INTO `lang_definitions` VALUES (53931, 6304, 11, '鼻腔粘膜粉紅色，鼻中隔正中');
INSERT INTO `lang_definitions` VALUES (53932, 6305, 11, '國家債券');
INSERT INTO `lang_definitions` VALUES (53933, 6308, 11, '國家債券配置');
INSERT INTO `lang_definitions` VALUES (53934, 6310, 11, '國籍');
INSERT INTO `lang_definitions` VALUES (53935, 6311, 11, '國家債券');
INSERT INTO `lang_definitions` VALUES (53936, 6313, 11, '夏威夷原住民或其他太平洋島民');
INSERT INTO `lang_definitions` VALUES (53937, 6319, 11, '噁心');
INSERT INTO `lang_definitions` VALUES (53938, 6322, 11, '導航');
INSERT INTO `lang_definitions` VALUES (53939, 6323, 11, '導航區域包括相遇形式');
INSERT INTO `lang_definitions` VALUES (53940, 6324, 11, '導航區域採用全高度的框架');
INSERT INTO `lang_definitions` VALUES (53941, 6325, 11, '導航區參觀形式');
INSERT INTO `lang_definitions` VALUES (53942, 6326, 11, '導航區域寬度');
INSERT INTO `lang_definitions` VALUES (53943, 6328, 11, '導航菜單包括配對單選按鈕');
INSERT INTO `lang_definitions` VALUES (53944, 6329, 11, '導航菜單是一個樹視圖');
INSERT INTO `lang_definitions` VALUES (53945, 6330, 11, '導航採用的是滑動菜單');
INSERT INTO `lang_definitions` VALUES (53946, 6334, 11, '國家數據中心');
INSERT INTO `lang_definitions` VALUES (53947, 6336, 11, '國家數據中心編號');
INSERT INTO `lang_definitions` VALUES (53948, 6348, 11, '頸部');
INSERT INTO `lang_definitions` VALUES (53949, 6349, 11, '頸部問題');
INSERT INTO `lang_definitions` VALUES (53950, 6350, 11, '頸部柔軟');
INSERT INTO `lang_definitions` VALUES (53951, 6352, 11, '需要輸入一個描述');
INSERT INTO `lang_definitions` VALUES (53952, 6353, 11, '需要輸入一個返回值');
INSERT INTO `lang_definitions` VALUES (53953, 6354, 11, '需要輸入標識符');
INSERT INTO `lang_definitions` VALUES (53954, 6355, 11, '需要輸入標題');
INSERT INTO `lang_definitions` VALUES (53955, 6358, 11, '需要驗證');
INSERT INTO `lang_definitions` VALUES (53956, 6359, 11, '需要對齊');
INSERT INTO `lang_definitions` VALUES (53957, 6360, 11, '需要二次計費');
INSERT INTO `lang_definitions` VALUES (53958, 6361, 11, '陰性');
INSERT INTO `lang_definitions` VALUES (53959, 6363, 11, '陰性');
INSERT INTO `lang_definitions` VALUES (53960, 6369, 11, '神經受損');
INSERT INTO `lang_definitions` VALUES (53961, 6371, 11, '神經情況/神經損傷');
INSERT INTO `lang_definitions` VALUES (53962, 6373, 11, '神經麻木');
INSERT INTO `lang_definitions` VALUES (53963, 6374, 11, '神經虛弱');
INSERT INTO `lang_definitions` VALUES (53964, 6377, 11, '神經系統的');
INSERT INTO `lang_definitions` VALUES (53965, 6381, 11, '從不');
INSERT INTO `lang_definitions` VALUES (53966, 6382, 11, '從不喝酒');
INSERT INTO `lang_definitions` VALUES (53967, 6383, 11, '從不抽菸');
INSERT INTO `lang_definitions` VALUES (53968, 6384, 11, '新');
INSERT INTO `lang_definitions` VALUES (53969, 6385, 11, '新 =>');
INSERT INTO `lang_definitions` VALUES (53970, 6386, 11, '新的受體');
INSERT INTO `lang_definitions` VALUES (53971, 6388, 11, '新的過敏');
INSERT INTO `lang_definitions` VALUES (53972, 6390, 11, '新的任命');
INSERT INTO `lang_definitions` VALUES (53973, 6391, 11, '新類別');
INSERT INTO `lang_definitions` VALUES (53974, 6392, 11, '新類別');
INSERT INTO `lang_definitions` VALUES (53975, 6393, 11, '新個案');
INSERT INTO `lang_definitions` VALUES (53976, 6394, 11, '新的諮詢');
INSERT INTO `lang_definitions` VALUES (53977, 6395, 11, '新作物');
INSERT INTO `lang_definitions` VALUES (53978, 6396, 11, '新的定義設置添加');
INSERT INTO `lang_definitions` VALUES (53979, 6397, 11, '新文檔');
INSERT INTO `lang_definitions` VALUES (53980, 6401, 11, '相遇');
INSERT INTO `lang_definitions` VALUES (53981, 6403, 11, '相遇表');
INSERT INTO `lang_definitions` VALUES (53982, 6404, 11, '新的遭遇未授權');
INSERT INTO `lang_definitions` VALUES (53983, 6405, 11, 'New Enctr');
INSERT INTO `lang_definitions` VALUES (53984, 6406, 11, '新設施資訊');
INSERT INTO `lang_definitions` VALUES (53985, 6410, 11, '新群組');
INSERT INTO `lang_definitions` VALUES (53986, 6413, 11, '新群組資訊');
INSERT INTO `lang_definitions` VALUES (53987, 6422, 11, '新的損傷/狀態');
INSERT INTO `lang_definitions` VALUES (53988, 6425, 11, '事件的新限制');
INSERT INTO `lang_definitions` VALUES (53989, 6426, 11, '新表單');
INSERT INTO `lang_definitions` VALUES (53990, 6432, 11, '新醫囑');
INSERT INTO `lang_definitions` VALUES (53991, 6433, 11, '新段落');
INSERT INTO `lang_definitions` VALUES (53992, 6434, 11, '新密碼');
INSERT INTO `lang_definitions` VALUES (53993, 6435, 11, '新病人');
INSERT INTO `lang_definitions` VALUES (53994, 6436, 11, '新病人');
INSERT INTO `lang_definitions` VALUES (53995, 6437, 11, '新病人遭遇');
INSERT INTO `lang_definitions` VALUES (53996, 6438, 11, '新病人表單');
INSERT INTO `lang_definitions` VALUES (53997, 6439, 11, '新病人身分證');
INSERT INTO `lang_definitions` VALUES (53998, 6442, 11, '新的付款方式');
INSERT INTO `lang_definitions` VALUES (53999, 6445, 11, '新病人');
INSERT INTO `lang_definitions` VALUES (54000, 6447, 11, '來自實驗室交易所的新結果');
INSERT INTO `lang_definitions` VALUES (54001, 6448, 11, '新的搜尋');
INSERT INTO `lang_definitions` VALUES (54002, 6449, 11, '新的提名');
INSERT INTO `lang_definitions` VALUES (54003, 6451, 11, '新用戶');
INSERT INTO `lang_definitions` VALUES (54004, 6453, 11, '新的訪問');
INSERT INTO `lang_definitions` VALUES (54005, 6454, 11, '新/搜索');
INSERT INTO `lang_definitions` VALUES (54006, 6455, 11, 'NewCrop帳戶狀態');
INSERT INTO `lang_definitions` VALUES (54007, 6456, 11, 'NewCrop管理');
INSERT INTO `lang_definitions` VALUES (54008, 6457, 11, 'NewCrop呼叫失敗');
INSERT INTO `lang_definitions` VALUES (54009, 6458, 11, 'NewCrop醫生');
INSERT INTO `lang_definitions` VALUES (54010, 6463, 11, 'NewCrop ERX名字');
INSERT INTO `lang_definitions` VALUES (54011, 6464, 11, 'NewCrop ERX合作夥伴名字');
INSERT INTO `lang_definitions` VALUES (54012, 6465, 11, 'NewCrop ERX密碼');
INSERT INTO `lang_definitions` VALUES (54013, 6466, 11, 'NewCrop ERX的的角色');
INSERT INTO `lang_definitions` VALUES (54014, 6467, 11, 'NewCrop ERX的的角色');
INSERT INTO `lang_definitions` VALUES (54015, 6468, 11, 'NewCrop ERX網站地址');
INSERT INTO `lang_definitions` VALUES (54016, 6473, 11, 'NewCrop的ERX網絡服務地址');
INSERT INTO `lang_definitions` VALUES (54017, 6474, 11, 'NewCrop經理');
INSERT INTO `lang_definitions` VALUES (54018, 6475, 11, 'NewCrop MedEntry');
INSERT INTO `lang_definitions` VALUES (54019, 6476, 11, 'NewCrop中層處方');
INSERT INTO `lang_definitions` VALUES (54020, 6477, 11, 'NewCrop護士');
INSERT INTO `lang_definitions` VALUES (54021, 6478, 11, 'NewCrop監督醫生');
INSERT INTO `lang_definitions` VALUES (54022, 6481, 11, '報紙');
INSERT INTO `lang_definitions` VALUES (54023, 6482, 11, '下一個');
INSERT INTO `lang_definitions` VALUES (54024, 6484, 11, '第二天');
INSERT INTO `lang_definitions` VALUES (54025, 6485, 11, '下個月');
INSERT INTO `lang_definitions` VALUES (54026, 6486, 11, '下個月（持有選單）');
INSERT INTO `lang_definitions` VALUES (54027, 6491, 11, '下週');
INSERT INTO `lang_definitions` VALUES (54028, 6492, 11, '明年（持有選單）');
INSERT INTO `lang_definitions` VALUES (54029, 6494, 11, '暱稱');
INSERT INTO `lang_definitions` VALUES (54030, 6496, 11, '夜間盜汗');
INSERT INTO `lang_definitions` VALUES (54031, 6498, 11, 'nL的外生殖器，陰道粘膜，子宮頸');
INSERT INTO `lang_definitions` VALUES (54032, 6499, 11, '不');
INSERT INTO `lang_definitions` VALUES (54033, 6500, 11, '不');
INSERT INTO `lang_definitions` VALUES (54034, 6502, 11, '禁止存取');
INSERT INTO `lang_definitions` VALUES (54035, 6503, 11, '患者沒有主動提醒。');
INSERT INTO `lang_definitions` VALUES (54036, 6504, 11, '無淋巴結腫大（​​需要2個區域）');
INSERT INTO `lang_definitions` VALUES (54037, 6505, 11, '沒有調整的原因類型發現');
INSERT INTO `lang_definitions` VALUES (54038, 6506, 11, '沒有皮膚附屬器壓痛/腫塊');
INSERT INTO `lang_definitions` VALUES (54039, 6509, 11, '沒有預約');
INSERT INTO `lang_definitions` VALUES (54040, 6515, 11, '目前沒有計費系統是主動的');
INSERT INTO `lang_definitions` VALUES (54041, 6517, 11, '沒有找到文件包括氧氟沙星出口參考');
INSERT INTO `lang_definitions` VALUES (54042, 6519, 11, '沒有指定代碼！');
INSERT INTO `lang_definitions` VALUES (54043, 6523, 11, '沒有診斷');
INSERT INTO `lang_definitions` VALUES (54044, 6526, 11, '沒有找到檔案');
INSERT INTO `lang_definitions` VALUES (54045, 6529, 11, '沒有結束日期');
INSERT INTO `lang_definitions` VALUES (54046, 6530, 11, '沒有內容，使用下面的表格添加一個條目。');
INSERT INTO `lang_definitions` VALUES (54047, 6531, 11, '沒有找到錯誤');
INSERT INTO `lang_definitions` VALUES (54048, 6532, 11, '沒有事件');
INSERT INTO `lang_definitions` VALUES (54049, 6536, 11, '沒有群組被選中');
INSERT INTO `lang_definitions` VALUES (54050, 6537, 11, '沒有疝氣');
INSERT INTO `lang_definitions` VALUES (54051, 6540, 11, '沒有傷害/疾病');
INSERT INTO `lang_definitions` VALUES (54052, 6541, 11, '沒有保險公司發現');
INSERT INTO `lang_definitions` VALUES (54053, 6544, 11, '沒有問題');
INSERT INTO `lang_definitions` VALUES (54054, 6546, 11, '根據所選的類別沒有項目');
INSERT INTO `lang_definitions` VALUES (54055, 6547, 11, '沒有項目被選中！');
INSERT INTO `lang_definitions` VALUES (54056, 6565, 11, '沒有腫塊，壓痛');
INSERT INTO `lang_definitions` VALUES (54057, 6566, 11, '對於所給再識別代碼，沒有發現符合的病人紀錄');
INSERT INTO `lang_definitions` VALUES (54058, 6570, 11, '沒有找到任何相符。創建新的病人嗎？');
INSERT INTO `lang_definitions` VALUES (54059, 6577, 11, '沒有找到新的研究結果');
INSERT INTO `lang_definitions` VALUES (54060, 6578, 11, '沒有注意到');
INSERT INTO `lang_definitions` VALUES (54061, 6579, 11, '沒有器官腫大');
INSERT INTO `lang_definitions` VALUES (54062, 6580, 11, '發現此期間沒有開口。');
INSERT INTO `lang_definitions` VALUES (54063, 6583, 11, '沒有其他的電話號碼');
INSERT INTO `lang_definitions` VALUES (54064, 6585, 11, '沒有找到合作夥伴');
INSERT INTO `lang_definitions` VALUES (54065, 6586, 11, '對於給的選擇標準中，沒有符合的病人記錄');
INSERT INTO `lang_definitions` VALUES (54066, 6587, 11, '對於給的再識別代碼，沒有符合的病人記錄');
INSERT INTO `lang_definitions` VALUES (54067, 6588, 11, '無周邊水腫');
INSERT INTO `lang_definitions` VALUES (54068, 6589, 11, '沒有找到藥房');
INSERT INTO `lang_definitions` VALUES (54069, 6590, 11, '沒有找到處方');
INSERT INTO `lang_definitions` VALUES (54070, 6592, 11, '沒有呈現疾病/損傷');
INSERT INTO `lang_definitions` VALUES (54071, 6593, 11, '沒有以前的條目。');
INSERT INTO `lang_definitions` VALUES (54072, 6598, 11, '沒有找到提供者');
INSERT INTO `lang_definitions` VALUES (54073, 6599, 11, '沒有皮疹或異常病變');
INSERT INTO `lang_definitions` VALUES (54074, 6602, 11, '沒有找到記錄。');
INSERT INTO `lang_definitions` VALUES (54075, 6604, 11, '沒有找到記錄。請擴大您的搜尋條件。');
INSERT INTO `lang_definitions` VALUES (54076, 6608, 11, '對於上述搜索條件，沒有發現結果。');
INSERT INTO `lang_definitions` VALUES (54077, 6609, 11, '沒有結果');
INSERT INTO `lang_definitions` VALUES (54078, 6612, 11, '搜尋沒有發現結果');
INSERT INTO `lang_definitions` VALUES (54079, 6614, 11, '沒有結果，請再試一次。');
INSERT INTO `lang_definitions` VALUES (54080, 6615, 11, '沒有結果，請再試試看');
INSERT INTO `lang_definitions` VALUES (54081, 6618, 11, '無顯示');
INSERT INTO `lang_definitions` VALUES (54082, 6622, 11, '無竇壓痛：');
INSERT INTO `lang_definitions` VALUES (54083, 6623, 11, '沒有皮膚壓痕或乳腺結節');
INSERT INTO `lang_definitions` VALUES (54084, 6624, 11, '沒有這樣的上下文名稱');
INSERT INTO `lang_definitions` VALUES (54085, 6626, 11, '沒有睾丸壓痛，腫塊');
INSERT INTO `lang_definitions` VALUES (54086, 6628, 11, '沒有驚險刺激或拋擲');
INSERT INTO `lang_definitions` VALUES (54087, 6632, 11, '沒有訪問');
INSERT INTO `lang_definitions` VALUES (54088, 6633, 11, '沒有已被記錄的生命徵象。');
INSERT INTO `lang_definitions` VALUES (54089, 6634, 11, '不，取消');
INSERT INTO `lang_definitions` VALUES (54090, 6636, 11, '不：');
INSERT INTO `lang_definitions` VALUES (54091, 6637, 11, '夜尿');
INSERT INTO `lang_definitions` VALUES (54092, 6638, 11, '非付費');
INSERT INTO `lang_definitions` VALUES (54093, 6640, 11, '非已報告的報告');
INSERT INTO `lang_definitions` VALUES (54094, 6641, 11, '非特異性損傷');
INSERT INTO `lang_definitions` VALUES (54095, 6642, 11, '非電子化的');
INSERT INTO `lang_definitions` VALUES (54096, 6643, 11, '非胰島素依賴型糖尿病');
INSERT INTO `lang_definitions` VALUES (54097, 6646, 11, '非生殖健康醫療');
INSERT INTO `lang_definitions` VALUES (54098, 6647, 11, '非生殖健康的非醫療');
INSERT INTO `lang_definitions` VALUES (54099, 6648, 11, '沒有');
INSERT INTO `lang_definitions` VALUES (54100, 6649, 11, '沒有');
INSERT INTO `lang_definitions` VALUES (54101, 6650, 11, '沒有定義');
INSERT INTO `lang_definitions` VALUES (54102, 6652, 11, '沒有被記錄在案');
INSERT INTO `lang_definitions` VALUES (54103, 6653, 11, '以上皆非');
INSERT INTO `lang_definitions` VALUES (54104, 6654, 11, '沒有頂端分布行能夠完全地空白。');
INSERT INTO `lang_definitions` VALUES (54105, 6683, 11, '非胰島素依賴型糖尿病');
INSERT INTO `lang_definitions` VALUES (54106, 6684, 11, '也不');
INSERT INTO `lang_definitions` VALUES (54107, 6685, 11, '正常');
INSERT INTO `lang_definitions` VALUES (54108, 6687, 11, '正常的“基本法”');
INSERT INTO `lang_definitions` VALUES (54109, 6688, 11, '正常心臟檢查：');
INSERT INTO `lang_definitions` VALUES (54110, 6689, 11, '正常心臟檢查：');
INSERT INTO `lang_definitions` VALUES (54111, 6690, 11, '正常肺臟檢查：');
INSERT INTO `lang_definitions` VALUES (54112, 6691, 11, '正常肺臟檢查：');
INSERT INTO `lang_definitions` VALUES (54113, 6692, 11, '普通辦公室訪問');
INSERT INTO `lang_definitions` VALUES (54114, 6693, 11, '正常口咽：');
INSERT INTO `lang_definitions` VALUES (54115, 6694, 11, '右側正常');
INSERT INTO `lang_definitions` VALUES (54116, 6695, 11, '右側正常：');
INSERT INTO `lang_definitions` VALUES (54117, 6696, 11, '普通視圖');
INSERT INTO `lang_definitions` VALUES (54118, 6697, 11, '正常：');
INSERT INTO `lang_definitions` VALUES (54119, 6698, 11, '通常，這應該要檢查。與存取控制無關。');
INSERT INTO `lang_definitions` VALUES (54120, 6701, 11, '挪威');
INSERT INTO `lang_definitions` VALUES (54121, 6705, 11, '鼻子');
INSERT INTO `lang_definitions` VALUES (54122, 6706, 11, '流鼻血');
INSERT INTO `lang_definitions` VALUES (54123, 6707, 11, '不是一個字母或數字');
INSERT INTO `lang_definitions` VALUES (54124, 6710, 11, '並不是所有的領域都需要所有代碼或代碼類型。');
INSERT INTO `lang_definitions` VALUES (54125, 6712, 11, '不允許');
INSERT INTO `lang_definitions` VALUES (54126, 6713, 11, '不允許刪除管理員群組');
INSERT INTO `lang_definitions` VALUES (54127, 6714, 11, '不允許編輯');
INSERT INTO `lang_definitions` VALUES (54128, 6715, 11, '不允許鈍化所有保障對象');
INSERT INTO `lang_definitions` VALUES (54129, 6716, 11, '不允許從管理員訪問控制列表鈍化任何事情');
INSERT INTO `lang_definitions` VALUES (54130, 6717, 11, '不允許從管理員群組刪除管理員用戶');
INSERT INTO `lang_definitions` VALUES (54131, 6718, 11, '不允許從管理員群組刪除此用戶');
INSERT INTO `lang_definitions` VALUES (54132, 6720, 11, '未經授權存取郵政日曆模塊');
INSERT INTO `lang_definitions` VALUES (54133, 6721, 11, '未經授權');
INSERT INTO `lang_definitions` VALUES (54134, 6722, 11, '未經授權');
INSERT INTO `lang_definitions` VALUES (54135, 6724, 11, '這支球隊沒有授權。');
INSERT INTO `lang_definitions` VALUES (54136, 6729, 11, '不提供');
INSERT INTO `lang_definitions` VALUES (54137, 6731, 11, '不收費');
INSERT INTO `lang_definitions` VALUES (54138, 6732, 11, '不檢查');
INSERT INTO `lang_definitions` VALUES (54139, 6733, 11, '未簽出');
INSERT INTO `lang_definitions` VALUES (54140, 6736, 11, '不是因為');
INSERT INTO `lang_definitions` VALUES (54141, 6738, 11, '沒有檢查');
INSERT INTO `lang_definitions` VALUES (54142, 6739, 11, '沒有檢查：');
INSERT INTO `lang_definitions` VALUES (54143, 6740, 11, '沒有檢查：');
INSERT INTO `lang_definitions` VALUES (54144, 6742, 11, '沒有找到');
INSERT INTO `lang_definitions` VALUES (54145, 6744, 11, '沒有找到！');
INSERT INTO `lang_definitions` VALUES (54146, 6745, 11, '非西班牙裔或拉丁裔');
INSERT INTO `lang_definitions` VALUES (54147, 6751, 11, '以來從未見過');
INSERT INTO `lang_definitions` VALUES (54148, 6753, 11, '尚未發送');
INSERT INTO `lang_definitions` VALUES (54149, 6755, 11, '未指定。');
INSERT INTO `lang_definitions` VALUES (54150, 6758, 11, '注意 筆記 註解');
INSERT INTO `lang_definitions` VALUES (54151, 6762, 11, '你點擊安裝後，注意將需要5-10分鐘充分處理');
INSERT INTO `lang_definitions` VALUES (54152, 6763, 11, '你點擊更新後，注意將需要5-10分鐘充分處理');
INSERT INTO `lang_definitions` VALUES (54153, 6764, 11, '請注意，審計記錄需要能啟用上方');
INSERT INTO `lang_definitions` VALUES (54154, 6771, 11, '紀錄形式');
INSERT INTO `lang_definitions` VALUES (54155, 6780, 11, '注意：此代碼沒有被授權的用戶進入。只有經授權的代碼可能會被上傳到公開處理醫療帳單網絡。如果你想上傳這些代碼，請在這裡選擇一個授權用戶。');
INSERT INTO `lang_definitions` VALUES (54156, 6783, 11, '注意：上傳文件名稱重複會導致文件自動改名（例如，file.jpg將成為file.1.jpg）。文件名每名患者被認為是獨特的，不是每個類別。');
INSERT INTO `lang_definitions` VALUES (54157, 6784, 11, '注意：上傳文件名稱重複會導致文件自動改名。例如“<I> file.jpg</ I>\'將成為\'<I> file.jpg.1</ I>”。文件名每名患者被認為是獨特的，不是每個類別。');
INSERT INTO `lang_definitions` VALUES (54158, 6785, 11, '筆記');
INSERT INTO `lang_definitions` VALUES (54159, 6788, 11, '注意 - 任何遭遇（寫，addonly可選）');
INSERT INTO `lang_definitions` VALUES (54160, 6790, 11, '注意 - 我的遭遇（寫，addonly可選）');
INSERT INTO `lang_definitions` VALUES (54161, 6793, 11, '未授權的筆記');
INSERT INTO `lang_definitions` VALUES (54162, 6796, 11, '沒有記錄');
INSERT INTO `lang_definitions` VALUES (54163, 6799, 11, '沒有什麼導入過敏');
INSERT INTO `lang_definitions` VALUES (54164, 6800, 11, '沒有什麼導入處方');
INSERT INTO `lang_definitions` VALUES (54165, 6804, 11, '沒有什麼被選中');
INSERT INTO `lang_definitions` VALUES (54166, 6808, 11, '公告::張貼日曆提交/修改');
INSERT INTO `lang_definitions` VALUES (54167, 6809, 11, '通知');
INSERT INTO `lang_definitions` VALUES (54168, 6810, 11, '通知電子郵件地址');
INSERT INTO `lang_definitions` VALUES (54169, 6815, 11, '通知');
INSERT INTO `lang_definitions` VALUES (54170, 6816, 11, '關於事件提交/修改通知管理員了嗎？');
INSERT INTO `lang_definitions` VALUES (54171, 6820, 11, '十一月');
INSERT INTO `lang_definitions` VALUES (54172, 6821, 11, '十一月');
INSERT INTO `lang_definitions` VALUES (54173, 6824, 11, '現在張貼：');
INSERT INTO `lang_definitions` VALUES (54174, 6825, 11, '現在列印');
INSERT INTO `lang_definitions` VALUES (54175, 6826, 11, '現在列印$ stmt的計數報表和更新遭遇。');
INSERT INTO `lang_definitions` VALUES (54176, 6827, 11, '現在列印$ stmt的計數報表和更新發票。');
INSERT INTO `lang_definitions` VALUES (54177, 6828, 11, '現在列印$ stmt的計數報表;遭遇將不會被更新。');
INSERT INTO `lang_definitions` VALUES (54178, 6829, 11, '現在列印$ stmt的計數報表;發票將不會被更新。');
INSERT INTO `lang_definitions` VALUES (54179, 6834, 11, '非營利機構');
INSERT INTO `lang_definitions` VALUES (54180, 6836, 11, 'NQF');
INSERT INTO `lang_definitions` VALUES (54181, 6837, 11, '數目 號碼');
INSERT INTO `lang_definitions` VALUES (54182, 6838, 11, '號碼實驗室');
INSERT INTO `lang_definitions` VALUES (54183, 6843, 11, '年度視圖中的列號碼。');
INSERT INTO `lang_definitions` VALUES (54184, 6850, 11, '客戶端證書的天號碼是有效的。');
INSERT INTO `lang_definitions` VALUES (54185, 6852, 11, '在貨幣的小數點後面，通常是0或2位數的號碼。');
INSERT INTO `lang_definitions` VALUES (54186, 6853, 11, '每頁顯示遇到的數目。');
INSERT INTO `lang_definitions` VALUES (54187, 6855, 11, '如果有遊戲或事件的號碼遺漏');
INSERT INTO `lang_definitions` VALUES (54188, 6856, 11, '提前發送電子郵件通知的時數。');
INSERT INTO `lang_definitions` VALUES (54189, 6857, 11, '提前發送電話通知的時數。');
INSERT INTO `lang_definitions` VALUES (54190, 6858, 11, '提前發送短信通知的時數。');
INSERT INTO `lang_definitions` VALUES (54191, 6862, 11, '過去歷史列的號碼');
INSERT INTO `lang_definitions` VALUES (54192, 6864, 11, '麻木');
INSERT INTO `lang_definitions` VALUES (54193, 6865, 11, '分子 計算者');
INSERT INTO `lang_definitions` VALUES (54194, 6866, 11, '數字顯示順序');
INSERT INTO `lang_definitions` VALUES (54195, 6869, 11, '營養');
INSERT INTO `lang_definitions` VALUES (54196, 6871, 11, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (54197, 6872, 11, '氧氣飽和度');
INSERT INTO `lang_definitions` VALUES (54198, 6874, 11, '第一度肥胖');
INSERT INTO `lang_definitions` VALUES (54199, 6875, 11, '第二度肥胖');
INSERT INTO `lang_definitions` VALUES (54200, 6876, 11, '第三度肥胖');
INSERT INTO `lang_definitions` VALUES (54201, 6877, 11, '目標');
INSERT INTO `lang_definitions` VALUES (54202, 6886, 11, '職業');
INSERT INTO `lang_definitions` VALUES (54203, 6889, 11, '發生');
INSERT INTO `lang_definitions` VALUES (54204, 6890, 11, '十月');
INSERT INTO `lang_definitions` VALUES (54205, 6891, 11, '十月');
INSERT INTO `lang_definitions` VALUES (54206, 6892, 11, '右眼 外徑');
INSERT INTO `lang_definitions` VALUES (54207, 6895, 11, '的');
INSERT INTO `lang_definitions` VALUES (54208, 6896, 11, '的數量');
INSERT INTO `lang_definitions` VALUES (54209, 6897, 11, '片劑');
INSERT INTO `lang_definitions` VALUES (54210, 6898, 11, '每月的');
INSERT INTO `lang_definitions` VALUES (54211, 6899, 11, '光纜筆記');
INSERT INTO `lang_definitions` VALUES (54212, 6900, 11, '關閉');
INSERT INTO `lang_definitions` VALUES (54213, 6907, 11, '辦公室筆記');
INSERT INTO `lang_definitions` VALUES (54214, 6908, 11, '辦公室訪問');
INSERT INTO `lang_definitions` VALUES (54215, 6909, 11, '官方臨床質量測量（CQM）測量組');
INSERT INTO `lang_definitions` VALUES (54216, 6910, 11, '關閉網站的HTTPS連結的患者門戶。');
INSERT INTO `lang_definitions` VALUES (54217, 6912, 11, '非本網站的患者門戶密碼');
INSERT INTO `lang_definitions` VALUES (54218, 6913, 11, '非本網站患者門戶密碼（放空白如果沒有註冊）。');
INSERT INTO `lang_definitions` VALUES (54219, 6916, 11, '非本網站患者門戶網站地址');
INSERT INTO `lang_definitions` VALUES (54220, 6918, 11, '非本網站患者門戶網站用戶名');
INSERT INTO `lang_definitions` VALUES (54221, 6919, 11, '非本網站患者門戶用戶名（放空白如果沒有註冊）。');
INSERT INTO `lang_definitions` VALUES (54222, 6921, 11, '子孫');
INSERT INTO `lang_definitions` VALUES (54223, 6925, 11, '軟膏');
INSERT INTO `lang_definitions` VALUES (54224, 6927, 11, '確定');
INSERT INTO `lang_definitions` VALUES (54225, 6930, 11, '確定連接GCAC發行日期');
INSERT INTO `lang_definitions` VALUES (54226, 6931, 11, '年老');
INSERT INTO `lang_definitions` VALUES (54227, 6933, 11, '年老病人');
INSERT INTO `lang_definitions` VALUES (54228, 6934, 11, '陳舊性骨折非/畸形癒合');
INSERT INTO `lang_definitions` VALUES (54229, 6935, 11, '沒有左側菜單的舊風格版面');
INSERT INTO `lang_definitions` VALUES (54230, 6936, 11, '舊式的靜態形式，沒有搜尋或重複檢查');
INSERT INTO `lang_definitions` VALUES (54231, 6942, 11, '在病人的人口統計資料中省略单位');
INSERT INTO `lang_definitions` VALUES (54232, 6943, 11, '省略单位');
INSERT INTO `lang_definitions` VALUES (54233, 6944, 11, '省略形式，路線和時間間隔，然後成為部分劑量');
INSERT INTO `lang_definitions` VALUES (54234, 6945, 11, '從人口統計表格省略保險和一些其他的事情');
INSERT INTO `lang_definitions` VALUES (54235, 6946, 11, '省略內部用戶？');
INSERT INTO `lang_definitions` VALUES (54236, 6947, 11, '省略共同薪酬面板付款方式');
INSERT INTO `lang_definitions` VALUES (54237, 6948, 11, '省略來自動分配');
INSERT INTO `lang_definitions` VALUES (54238, 6949, 11, '關於 上');
INSERT INTO `lang_definitions` VALUES (54239, 6950, 11, '關於 上');
INSERT INTO `lang_definitions` VALUES (54240, 6956, 11, '在手上');
INSERT INTO `lang_definitions` VALUES (54241, 6959, 11, '關於訂購');
INSERT INTO `lang_definitions` VALUES (54242, 6960, 11, '在現場');
INSERT INTO `lang_definitions` VALUES (54243, 6975, 11, '一旦主要的商業設施已設置，它不應該被改變。改變該設施將影響自在NewCrop ePrescription的工作。');
INSERT INTO `lang_definitions` VALUES (54244, 6979, 11, '一旦你改變你的密碼，你將不得不重新登錄。');
INSERT INTO `lang_definitions` VALUES (54245, 6996, 11, '線上支援');
INSERT INTO `lang_definitions` VALUES (54246, 6997, 11, '線上支援連結');
INSERT INTO `lang_definitions` VALUES (54247, 6999, 11, '只有活動');
INSERT INTO `lang_definitions` VALUES (54248, 7004, 11, '如果帳單位置');
INSERT INTO `lang_definitions` VALUES (54249, 7006, 11, '只有無效');
INSERT INTO `lang_definitions` VALUES (54250, 7007, 11, '只有我的');
INSERT INTO `lang_definitions` VALUES (54251, 7017, 11, '疾病發作：');
INSERT INTO `lang_definitions` VALUES (54252, 7018, 11, '疾病發作：');
INSERT INTO `lang_definitions` VALUES (54253, 7019, 11, '開始腫脹：');
INSERT INTO `lang_definitions` VALUES (54254, 7022, 11, '發病/ HOSP。日期：');
INSERT INTO `lang_definitions` VALUES (54255, 7026, 11, '上門病患門戶網站地址');
INSERT INTO `lang_definitions` VALUES (54256, 7030, 11, '哎呀！');
INSERT INTO `lang_definitions` VALUES (54257, 7031, 11, '打開');
INSERT INTO `lang_definitions` VALUES (54258, 7046, 11, '今日來訪');
INSERT INTO `lang_definitions` VALUES (54259, 7071, 11, '打開電子病歷已經有一個證書頒發機構配置。');
INSERT INTO `lang_definitions` VALUES (54260, 7076, 11, '打開電子病歷數據庫升級');
INSERT INTO `lang_definitions` VALUES (54261, 7077, 11, '為了去識別，打開電子病歷數據庫升級');
INSERT INTO `lang_definitions` VALUES (54262, 7080, 11, '打開電子病歷必須配置使用證書之前，它可以創建客戶端證書。');
INSERT INTO `lang_definitions` VALUES (54263, 7084, 11, '打開電子病歷需要Javascript執行用戶身份驗證。');
INSERT INTO `lang_definitions` VALUES (54264, 7085, 11, '打開電子病歷使用者');
INSERT INTO `lang_definitions` VALUES (54265, 7086, 11, '開口');
INSERT INTO `lang_definitions` VALUES (54266, 7092, 11, '眼科');
INSERT INTO `lang_definitions` VALUES (54267, 7095, 11, '選項');
INSERT INTO `lang_definitions` VALUES (54268, 7098, 11, '選項，以支持產品的庫存和銷售');
INSERT INTO `lang_definitions` VALUES (54269, 7099, 11, '可選的');
INSERT INTO `lang_definitions` VALUES (54270, 7100, 11, '身份證圖像可選的的類別名稱，可以從病人的摘要頁面瀏覽。');
INSERT INTO `lang_definitions` VALUES (54271, 7101, 11, '照片圖像可選的類別名稱，可以從病人的摘要頁面瀏覽。');
INSERT INTO `lang_definitions` VALUES (54272, 7102, 11, '從病人的摘要頁面鏈接到一個文件可選的的類別名稱。讓你點擊一個病人的名字，看到他們的身份證。');
INSERT INTO `lang_definitions` VALUES (54273, 7103, 11, '手動輸入結果可選的預設範圍');
INSERT INTO `lang_definitions` VALUES (54274, 7104, 11, '手動輸入結果可選的預設單位');
INSERT INTO `lang_definitions` VALUES (54275, 7105, 11, '可選的的目的地名稱');
INSERT INTO `lang_definitions` VALUES (54276, 7107, 11, '可選的藥物名稱，使用％作為萬用字元');
INSERT INTO `lang_definitions` VALUES (54277, 7111, 11, '有關此事件的可選的資訊');
INSERT INTO `lang_definitions` VALUES (54278, 7112, 11, '可選的批號，使用％作為萬用字元');
INSERT INTO `lang_definitions` VALUES (54279, 7113, 11, '可選的數字病人身份');
INSERT INTO `lang_definitions` VALUES (54280, 7114, 11, '可選的的程序代碼');
INSERT INTO `lang_definitions` VALUES (54281, 7116, 11, '選項');
INSERT INTO `lang_definitions` VALUES (54282, 7117, 11, '手術室');
INSERT INTO `lang_definitions` VALUES (54283, 7118, 11, '或');
INSERT INTO `lang_definitions` VALUES (54284, 7119, 11, '或選擇');
INSERT INTO `lang_definitions` VALUES (54285, 7120, 11, '或點擊並拖拽可進行快速選擇。');
INSERT INTO `lang_definitions` VALUES (54286, 7122, 11, '或出去');
INSERT INTO `lang_definitions` VALUES (54287, 7124, 11, '或Shift點擊以減少它');
INSERT INTO `lang_definitions` VALUES (54288, 7125, 11, '或者上傳ERA檔案：');
INSERT INTO `lang_definitions` VALUES (54289, 7127, 11, '口腔');
INSERT INTO `lang_definitions` VALUES (54290, 7128, 11, '粉紅色的口腔粘膜，咽喉清澈');
INSERT INTO `lang_definitions` VALUES (54291, 7129, 11, '醫囑');
INSERT INTO `lang_definitions` VALUES (54292, 7131, 11, '訂單和結果類型');
INSERT INTO `lang_definitions` VALUES (54293, 7132, 11, '訂購目錄');
INSERT INTO `lang_definitions` VALUES (54294, 7133, 11, '訂購日期');
INSERT INTO `lang_definitions` VALUES (54295, 7136, 11, '訂購從');
INSERT INTO `lang_definitions` VALUES (54296, 7138, 11, '順序必須是一個1到999之間的數字');
INSERT INTO `lang_definitions` VALUES (54297, 7140, 11, '訂購名稱');
INSERT INTO `lang_definitions` VALUES (54298, 7142, 11, '訂購優先順序');
INSERT INTO `lang_definitions` VALUES (54299, 7143, 11, '訂單處理');
INSERT INTO `lang_definitions` VALUES (54300, 7147, 11, '訂單狀態');
INSERT INTO `lang_definitions` VALUES (54301, 7150, 11, '訂單型態');
INSERT INTO `lang_definitions` VALUES (54302, 7152, 11, '訂單/結果類型');
INSERT INTO `lang_definitions` VALUES (54303, 7153, 11, '訂購');
INSERT INTO `lang_definitions` VALUES (54304, 7159, 11, '訂購提供商');
INSERT INTO `lang_definitions` VALUES (54305, 7166, 11, '器官損傷');
INSERT INTO `lang_definitions` VALUES (54306, 7167, 11, '組織');
INSERT INTO `lang_definitions` VALUES (54307, 7168, 11, '組織名稱');
INSERT INTO `lang_definitions` VALUES (54308, 7169, 11, '組織單位名稱');
INSERT INTO `lang_definitions` VALUES (54309, 7170, 11, '組織');
INSERT INTO `lang_definitions` VALUES (54310, 7171, 11, '面向×3');
INSERT INTO `lang_definitions` VALUES (54311, 7175, 11, '原本');
INSERT INTO `lang_definitions` VALUES (54312, 7181, 11, '口咽：');
INSERT INTO `lang_definitions` VALUES (54313, 7184, 11, '端坐呼吸');
INSERT INTO `lang_definitions` VALUES (54314, 7188, 11, '左眼');
INSERT INTO `lang_definitions` VALUES (54315, 7189, 11, '骨性關節炎');
INSERT INTO `lang_definitions` VALUES (54316, 7193, 11, '其他');
INSERT INTO `lang_definitions` VALUES (54317, 7194, 11, '其他');
INSERT INTO `lang_definitions` VALUES (54318, 7196, 11, '其他（請註明）');
INSERT INTO `lang_definitions` VALUES (54319, 7198, 11, '其他-請註明');
INSERT INTO `lang_definitions` VALUES (54320, 7201, 11, '其他聯邦計劃');
INSERT INTO `lang_definitions` VALUES (54321, 7202, 11, '其他HCFA');
INSERT INTO `lang_definitions` VALUES (54322, 7203, 11, '其他未列明的損傷');
INSERT INTO `lang_definitions` VALUES (54323, 7206, 11, '其他月份');
INSERT INTO `lang_definitions` VALUES (54324, 7207, 11, '其他非聯邦計劃');
INSERT INTO `lang_definitions` VALUES (54325, 7208, 11, '其他注意事項');
INSERT INTO `lang_definitions` VALUES (54326, 7209, 11, '其他相關症狀');
INSERT INTO `lang_definitions` VALUES (54327, 7210, 11, '其他相關症狀：');
INSERT INTO `lang_definitions` VALUES (54328, 7213, 11, '其他PT RESP賬戶');
INSERT INTO `lang_definitions` VALUES (54329, 7215, 11, '其他壓力/過度使用傷害');
INSERT INTO `lang_definitions` VALUES (54330, 7216, 11, '其他手術');
INSERT INTO `lang_definitions` VALUES (54331, 7217, 11, '其他/通用人工流產有關');
INSERT INTO `lang_definitions` VALUES (54332, 7219, 11, '他人');
INSERT INTO `lang_definitions` VALUES (54333, 7221, 11, '否則，你將會破壞參考文獻到/從現有的數據。');
INSERT INTO `lang_definitions` VALUES (54334, 7224, 11, '渥太華踝規則');
INSERT INTO `lang_definitions` VALUES (54335, 7225, 11, '雙眼');
INSERT INTO `lang_definitions` VALUES (54336, 7227, 11, '輸出 趕出');
INSERT INTO `lang_definitions` VALUES (54337, 7228, 11, '走出辦公室');
INSERT INTO `lang_definitions` VALUES (54338, 7230, 11, '出境轉介');
INSERT INTO `lang_definitions` VALUES (54339, 7231, 11, '結果');
INSERT INTO `lang_definitions` VALUES (54340, 7234, 11, '展望 意見');
INSERT INTO `lang_definitions` VALUES (54341, 7244, 11, '過度使用');
INSERT INTO `lang_definitions` VALUES (54342, 7246, 11, '過重');
INSERT INTO `lang_definitions` VALUES (54343, 7247, 11, '覆蓋HIPAA的選擇');
INSERT INTO `lang_definitions` VALUES (54344, 7249, 11, '氧氣飽和度');
INSERT INTO `lang_definitions` VALUES (54345, 7252, 11, '飯後');
INSERT INTO `lang_definitions` VALUES (54346, 7253, 11, '下午');
INSERT INTO `lang_definitions` VALUES (54347, 7254, 11, '隨時');
INSERT INTO `lang_definitions` VALUES (54348, 7258, 11, '太平洋島民');
INSERT INTO `lang_definitions` VALUES (54349, 7259, 11, '兒科');
INSERT INTO `lang_definitions` VALUES (54350, 7260, 11, '頁');
INSERT INTO `lang_definitions` VALUES (54351, 7263, 11, '頁數');
INSERT INTO `lang_definitions` VALUES (54352, 7264, 11, '支付');
INSERT INTO `lang_definitions` VALUES (54353, 7265, 11, '你將分配支付的金額');
INSERT INTO `lang_definitions` VALUES (54354, 7267, 11, '支付透過');
INSERT INTO `lang_definitions` VALUES (54355, 7268, 11, '疼痛');
INSERT INTO `lang_definitions` VALUES (54356, 7271, 11, '叩診');
INSERT INTO `lang_definitions` VALUES (54357, 7275, 11, '子宮頸抹片');
INSERT INTO `lang_definitions` VALUES (54358, 7278, 11, '麻痺');
INSERT INTO `lang_definitions` VALUES (54359, 7284, 11, '解析的HL7');
INSERT INTO `lang_definitions` VALUES (54360, 7289, 11, '夥伴');
INSERT INTO `lang_definitions` VALUES (54361, 7290, 11, '夥伴名字');
INSERT INTO `lang_definitions` VALUES (54362, 7294, 11, '通關密語');
INSERT INTO `lang_definitions` VALUES (54363, 7295, 11, '密碼解密文件');
INSERT INTO `lang_definitions` VALUES (54364, 7296, 11, '傳遞患者');
INSERT INTO `lang_definitions` VALUES (54365, 7297, 11, '被動警報');
INSERT INTO `lang_definitions` VALUES (54366, 7299, 11, '被動警報規則');
INSERT INTO `lang_definitions` VALUES (54367, 7301, 11, '密碼');
INSERT INTO `lang_definitions` VALUES (54368, 7302, 11, '密碼改變');
INSERT INTO `lang_definitions` VALUES (54369, 7304, 11, '成功的改變密碼');
INSERT INTO `lang_definitions` VALUES (54370, 7308, 11, '密碼過期的寬限期');
INSERT INTO `lang_definitions` VALUES (54371, 7310, 11, '電話網關的密碼。由Maviq提供自動化VOIP服務。更多信息，請訪問http://signup.maviq.com。');
INSERT INTO `lang_definitions` VALUES (54372, 7311, 11, '短信網關的密碼');
INSERT INTO `lang_definitions` VALUES (54373, 7312, 11, '短信網關的密碼');
INSERT INTO `lang_definitions` VALUES (54374, 7314, 11, '密碼的安全性最近已經升級。');
INSERT INTO `lang_definitions` VALUES (54375, 7319, 11, '密碼：');
INSERT INTO `lang_definitions` VALUES (54376, 7329, 11, '逾期');
INSERT INTO `lang_definitions` VALUES (54377, 7330, 11, '逾期');
INSERT INTO `lang_definitions` VALUES (54378, 7331, 11, '逾期間隔（臨床提醒）');
INSERT INTO `lang_definitions` VALUES (54379, 7332, 11, '逾期間隔（病人提醒）');
INSERT INTO `lang_definitions` VALUES (54380, 7333, 11, '過去遭遇名單');
INSERT INTO `lang_definitions` VALUES (54381, 7334, 11, '過去遭遇');
INSERT INTO `lang_definitions` VALUES (54382, 7335, 11, '過去遭遇與文件');
INSERT INTO `lang_definitions` VALUES (54383, 7336, 11, '對過去遭遇');
INSERT INTO `lang_definitions` VALUES (54384, 7344, 11, '貼上HL7數據');
INSERT INTO `lang_definitions` VALUES (54385, 7345, 11, '貼上數據導入到下列文本區域：');
INSERT INTO `lang_definitions` VALUES (54386, 7346, 11, '輕拍');
INSERT INTO `lang_definitions` VALUES (54387, 7348, 11, '貼片');
INSERT INTO `lang_definitions` VALUES (54388, 7355, 11, '事件日誌備份的路徑');
INSERT INTO `lang_definitions` VALUES (54389, 7356, 11, 'CA憑證檔案的路徑');
INSERT INTO `lang_definitions` VALUES (54390, 7357, 11, 'CA密鑰文件的路徑');
INSERT INTO `lang_definitions` VALUES (54391, 7358, 11, '到MySQL二進制代碼的路徑');
INSERT INTO `lang_definitions` VALUES (54392, 7359, 11, '到Perl二進制代碼的路徑');
INSERT INTO `lang_definitions` VALUES (54393, 7360, 11, '到暫存檔的路徑');
INSERT INTO `lang_definitions` VALUES (54394, 7361, 11, '病人');
INSERT INTO `lang_definitions` VALUES (54395, 7362, 11, '病人');
INSERT INTO `lang_definitions` VALUES (54396, 7363, 11, '病人');
INSERT INTO `lang_definitions` VALUES (54397, 7369, 11, '病人過敏');
INSERT INTO `lang_definitions` VALUES (54398, 7370, 11, '病人過敏');
INSERT INTO `lang_definitions` VALUES (54399, 7373, 11, '病人預約');
INSERT INTO `lang_definitions` VALUES (54400, 7379, 11, '病歷編號');
INSERT INTO `lang_definitions` VALUES (54401, 7381, 11, '病人結帳');
INSERT INTO `lang_definitions` VALUES (54402, 7382, 11, '病人結帳為');
INSERT INTO `lang_definitions` VALUES (54403, 7383, 11, '病人城市');
INSERT INTO `lang_definitions` VALUES (54404, 7386, 11, '發送醫患溝通');
INSERT INTO `lang_definitions` VALUES (54405, 7387, 11, '發送醫患溝通');
INSERT INTO `lang_definitions` VALUES (54406, 7388, 11, '病人國家');
INSERT INTO `lang_definitions` VALUES (54407, 7394, 11, '病人資料');
INSERT INTO `lang_definitions` VALUES (54408, 7401, 11, '病人詳情');
INSERT INTO `lang_definitions` VALUES (54409, 7402, 11, '病人出生日期');
INSERT INTO `lang_definitions` VALUES (54410, 7404, 11, '病人資料');
INSERT INTO `lang_definitions` VALUES (54411, 7410, 11, '病人教育');
INSERT INTO `lang_definitions` VALUES (54412, 7411, 11, '病患教育資源');
INSERT INTO `lang_definitions` VALUES (54413, 7412, 11, '病人遭遇');
INSERT INTO `lang_definitions` VALUES (54414, 7413, 11, '病人遭遇表格');
INSERT INTO `lang_definitions` VALUES (54415, 7414, 11, '病人遭遇');
INSERT INTO `lang_definitions` VALUES (54416, 7415, 11, '病人查找程序');
INSERT INTO `lang_definitions` VALUES (54417, 7417, 11, '病人的名字');
INSERT INTO `lang_definitions` VALUES (54418, 7424, 11, '病人性別');
INSERT INTO `lang_definitions` VALUES (54419, 7426, 11, '病人並沒有授權的患者門戶。');
INSERT INTO `lang_definitions` VALUES (54420, 7428, 11, '病歷');
INSERT INTO `lang_definitions` VALUES (54421, 7429, 11, '病人的歷史/生活方式');
INSERT INTO `lang_definitions` VALUES (54422, 7430, 11, '患者家中電話');
INSERT INTO `lang_definitions` VALUES (54423, 7431, 11, '病人身分');
INSERT INTO `lang_definitions` VALUES (54424, 7433, 11, '病人身分証');
INSERT INTO `lang_definitions` VALUES (54425, 7434, 11, '病人身份類別名稱');
INSERT INTO `lang_definitions` VALUES (54426, 7437, 11, '病人免疫');
INSERT INTO `lang_definitions` VALUES (54427, 7438, 11, '病人資訊');
INSERT INTO `lang_definitions` VALUES (54428, 7440, 11, '耐心的指導');
INSERT INTO `lang_definitions` VALUES (54429, 7441, 11, '病人保險銷售');
INSERT INTO `lang_definitions` VALUES (54430, 7442, 11, '病人保險銷售報告');
INSERT INTO `lang_definitions` VALUES (54431, 7445, 11, '病人的問題');
INSERT INTO `lang_definitions` VALUES (54432, 7447, 11, '病人的姓');
INSERT INTO `lang_definitions` VALUES (54433, 7454, 11, '病人表單');
INSERT INTO `lang_definitions` VALUES (54434, 7460, 11, '病人查詢錯誤');
INSERT INTO `lang_definitions` VALUES (54435, 7463, 11, '病人醫療問題');
INSERT INTO `lang_definitions` VALUES (54436, 7464, 11, '病人的藥物');
INSERT INTO `lang_definitions` VALUES (54437, 7470, 11, '病人姓名');
INSERT INTO `lang_definitions` VALUES (54438, 7472, 11, '病人姓名與住址');
INSERT INTO `lang_definitions` VALUES (54439, 7475, 11, '所需的病人姓名');
INSERT INTO `lang_definitions` VALUES (54440, 7477, 11, '病人附註');
INSERT INTO `lang_definitions` VALUES (54441, 7478, 11, '病人附註形式');
INSERT INTO `lang_definitions` VALUES (54442, 7479, 11, '病人附註');
INSERT INTO `lang_definitions` VALUES (54443, 7480, 11, '病人的注意事項（寫，addonly可選）');
INSERT INTO `lang_definitions` VALUES (54444, 7482, 11, '病人數');
INSERT INTO `lang_definitions` VALUES (54445, 7483, 11, '病人付款');
INSERT INTO `lang_definitions` VALUES (54446, 7485, 11, '病人的照片分類名稱');
INSERT INTO `lang_definitions` VALUES (54447, 7487, 11, '患者門戶');
INSERT INTO `lang_definitions` VALUES (54448, 7492, 11, '病人門戶網站被關閉');
INSERT INTO `lang_definitions` VALUES (54449, 7493, 11, '患者門戶登錄');
INSERT INTO `lang_definitions` VALUES (54450, 7496, 11, '病人門戶網站地址');
INSERT INTO `lang_definitions` VALUES (54451, 7497, 11, '病人印製報告');
INSERT INTO `lang_definitions` VALUES (54452, 7499, 11, '病人印製報告');
INSERT INTO `lang_definitions` VALUES (54453, 7500, 11, '病人記錄請求');
INSERT INTO `lang_definitions` VALUES (54454, 7501, 11, '病人記錄請求');
INSERT INTO `lang_definitions` VALUES (54455, 7503, 11, '病人提醒');
INSERT INTO `lang_definitions` VALUES (54456, 7505, 11, '病人提醒批次工作');
INSERT INTO `lang_definitions` VALUES (54457, 7507, 11, '病人提醒規則');
INSERT INTO `lang_definitions` VALUES (54458, 7508, 11, '病人提醒發件人的電子郵件');
INSERT INTO `lang_definitions` VALUES (54459, 7509, 11, '病人提醒發件人名稱');
INSERT INTO `lang_definitions` VALUES (54460, 7510, 11, '病人提醒');
INSERT INTO `lang_definitions` VALUES (54461, 7514, 11, '病人報告');
INSERT INTO `lang_definitions` VALUES (54462, 7518, 11, '病人請求');
INSERT INTO `lang_definitions` VALUES (54463, 7519, 11, '病人要求醫療記錄');
INSERT INTO `lang_definitions` VALUES (54464, 7521, 11, '病人結果');
INSERT INTO `lang_definitions` VALUES (54465, 7525, 11, '病人搜索結果類型');
INSERT INTO `lang_definitions` VALUES (54466, 7526, 11, '病人搜索/添加螢幕');
INSERT INTO `lang_definitions` VALUES (54467, 7528, 11, '病人設置');
INSERT INTO `lang_definitions` VALUES (54468, 7533, 11, '病人狀態');
INSERT INTO `lang_definitions` VALUES (54469, 7539, 11, '病人摘要');
INSERT INTO `lang_definitions` VALUES (54470, 7542, 11, '病人事務');
INSERT INTO `lang_definitions` VALUES (54471, 7546, 11, '病人郵編');
INSERT INTO `lang_definitions` VALUES (54472, 7549, 11, '在資料庫中的病人，符合你已經進入的人口統計資訊。');
INSERT INTO `lang_definitions` VALUES (54473, 7550, 11, '病人/客戶');
INSERT INTO `lang_definitions` VALUES (54474, 7551, 11, '病人：');
INSERT INTO `lang_definitions` VALUES (54475, 7552, 11, '病人身分');
INSERT INTO `lang_definitions` VALUES (54476, 7553, 11, '病人');
INSERT INTO `lang_definitions` VALUES (54477, 7559, 11, '付');
INSERT INTO `lang_definitions` VALUES (54478, 7560, 11, '要注意複選框“完成”。保險標記為完成後，然後我們將開始要求病人支付餘額;如果你完整標記所有的保險失敗，然後完成剩餘的金額將不會被收集！此外，如果有一個病人應支付的平衡，然後設置適當的截止日期，因為這會影響對病人報表中出現的語言。');
INSERT INTO `lang_definitions` VALUES (54479, 7563, 11, '支付日期：');
INSERT INTO `lang_definitions` VALUES (54480, 7566, 11, '支付狀態');
INSERT INTO `lang_definitions` VALUES (54481, 7567, 11, '收款人名稱');
INSERT INTO `lang_definitions` VALUES (54482, 7568, 11, '付款人');
INSERT INTO `lang_definitions` VALUES (54483, 7572, 11, '付款人類型');
INSERT INTO `lang_definitions` VALUES (54484, 7573, 11, '付款');
INSERT INTO `lang_definitions` VALUES (54485, 7574, 11, '支付實體');
INSERT INTO `lang_definitions` VALUES (54486, 7575, 11, '付款');
INSERT INTO `lang_definitions` VALUES (54487, 7576, 11, '付款');
INSERT INTO `lang_definitions` VALUES (54488, 7577, 11, '付款調整代碼');
INSERT INTO `lang_definitions` VALUES (54489, 7579, 11, '付款金額');
INSERT INTO `lang_definitions` VALUES (54490, 7580, 11, '付款金額必須是數字');
INSERT INTO `lang_definitions` VALUES (54491, 7581, 11, '付款類別');
INSERT INTO `lang_definitions` VALUES (54492, 7583, 11, '付款日期');
INSERT INTO `lang_definitions` VALUES (54493, 7584, 11, '付款輸入在');
INSERT INTO `lang_definitions` VALUES (54494, 7585, 11, '款項');
INSERT INTO `lang_definitions` VALUES (54495, 7588, 11, '付款插件');
INSERT INTO `lang_definitions` VALUES (54496, 7589, 11, '付款清單');
INSERT INTO `lang_definitions` VALUES (54497, 7590, 11, '付款方法');
INSERT INTO `lang_definitions` VALUES (54498, 7592, 11, '付款方式分類');
INSERT INTO `lang_definitions` VALUES (54499, 7593, 11, '付款情況');
INSERT INTO `lang_definitions` VALUES (54500, 7597, 11, '付款型態');
INSERT INTO `lang_definitions` VALUES (54501, 7600, 11, '付款價值為代碼');
INSERT INTO `lang_definitions` VALUES (54502, 7602, 11, '付款');
INSERT INTO `lang_definitions` VALUES (54503, 7606, 11, '主治醫生');
INSERT INTO `lang_definitions` VALUES (54504, 7610, 11, 'PDF格式');
INSERT INTO `lang_definitions` VALUES (54505, 7614, 11, 'PDF下載選中的語句');
INSERT INTO `lang_definitions` VALUES (54506, 7620, 11, '骨盆和臀部');
INSERT INTO `lang_definitions` VALUES (54507, 7621, 11, '天皰瘡');
INSERT INTO `lang_definitions` VALUES (54508, 7624, 11, '掛起的');
INSERT INTO `lang_definitions` VALUES (54509, 7629, 11, '有待追蹤');
INSERT INTO `lang_definitions` VALUES (54510, 7630, 11, '有待追蹤');
INSERT INTO `lang_definitions` VALUES (54511, 7631, 11, '從結果有待追蹤');
INSERT INTO `lang_definitions` VALUES (54512, 7632, 11, '等待處理的醫囑');
INSERT INTO `lang_definitions` VALUES (54513, 7633, 11, '掛起分辨率');
INSERT INTO `lang_definitions` VALUES (54514, 7634, 11, '待審查');
INSERT INTO `lang_definitions` VALUES (54515, 7635, 11, '待Rx計數');
INSERT INTO `lang_definitions` VALUES (54516, 7638, 11, '彭寧頓事務所OpenEMR至五');
INSERT INTO `lang_definitions` VALUES (54517, 7639, 11, '胃潰瘍疾病');
INSERT INTO `lang_definitions` VALUES (54518, 7641, 11, '每分鐘');
INSERT INTO `lang_definitions` VALUES (54519, 7642, 11, '每個鼻孔');
INSERT INTO `lang_definitions` VALUES (54520, 7643, 11, '每個鼻孔');
INSERT INTO `lang_definitions` VALUES (54521, 7644, 11, 'Per Oris');
INSERT INTO `lang_definitions` VALUES (54522, 7645, 11, 'per oris');
INSERT INTO `lang_definitions` VALUES (54523, 7646, 11, '由直腸');
INSERT INTO `lang_definitions` VALUES (54524, 7647, 11, '由直腸');
INSERT INTO `lang_definitions` VALUES (54525, 7648, 11, '百分比');
INSERT INTO `lang_definitions` VALUES (54526, 7652, 11, '百分位');
INSERT INTO `lang_definitions` VALUES (54527, 7653, 11, '穿孔的右側：');
INSERT INTO `lang_definitions` VALUES (54528, 7654, 11, '執行搜尋');
INSERT INTO `lang_definitions` VALUES (54529, 7655, 11, '執行這個動作');
INSERT INTO `lang_definitions` VALUES (54530, 7656, 11, '績效百分比');
INSERT INTO `lang_definitions` VALUES (54531, 7659, 11, '執行實驗室設施');
INSERT INTO `lang_definitions` VALUES (54532, 7661, 11, '期間');
INSERT INTO `lang_definitions` VALUES (54533, 7662, 11, '在幾天的期間有一個用戶可能用過期的密碼登錄。');
INSERT INTO `lang_definitions` VALUES (54534, 7663, 11, '手術全期照顧');
INSERT INTO `lang_definitions` VALUES (54535, 7665, 11, '周邊的');
INSERT INTO `lang_definitions` VALUES (54536, 7671, 11, '人');
INSERT INTO `lang_definitions` VALUES (54537, 7672, 11, '個性化');
INSERT INTO `lang_definitions` VALUES (54538, 7675, 11, '編程器');
INSERT INTO `lang_definitions` VALUES (54539, 7676, 11, '藥理學');
INSERT INTO `lang_definitions` VALUES (54540, 7677, 11, '藥理學COM計數');
INSERT INTO `lang_definitions` VALUES (54541, 7678, 11, '藥房');
INSERT INTO `lang_definitions` VALUES (54542, 7680, 11, '藥房');
INSERT INTO `lang_definitions` VALUES (54543, 7681, 11, '藥房配藥');
INSERT INTO `lang_definitions` VALUES (54544, 7688, 11, '氣胸');
INSERT INTO `lang_definitions` VALUES (54545, 7697, 11, '電話');
INSERT INTO `lang_definitions` VALUES (54546, 7699, 11, '手機通話清單');
INSERT INTO `lang_definitions` VALUES (54547, 7705, 11, '電話網關密碼');
INSERT INTO `lang_definitions` VALUES (54548, 7706, 11, '電話網關的網址');
INSERT INTO `lang_definitions` VALUES (54549, 7707, 11, '電話網關的用戶名');
INSERT INTO `lang_definitions` VALUES (54550, 7709, 11, '電話通知一小時');
INSERT INTO `lang_definitions` VALUES (54551, 7711, 11, '電話號碼');
INSERT INTO `lang_definitions` VALUES (54552, 7715, 11, '畏光');
INSERT INTO `lang_definitions` VALUES (54553, 7716, 11, '照片');
INSERT INTO `lang_definitions` VALUES (54554, 7717, 11, 'PHP的壓縮');
INSERT INTO `lang_definitions` VALUES (54555, 7718, 11, 'PHP的CURL模塊應在您的服務器上啟用。');
INSERT INTO `lang_definitions` VALUES (54556, 7720, 11, 'PHP的提取');
INSERT INTO `lang_definitions` VALUES (54557, 7721, 11, 'php-GACL的存取控制是關閉的');
INSERT INTO `lang_definitions` VALUES (54558, 7722, 11, 'PHPgacl沒有安裝');
INSERT INTO `lang_definitions` VALUES (54559, 7723, 11, '身體檢查');
INSERT INTO `lang_definitions` VALUES (54560, 7725, 11, '醫師要求');
INSERT INTO `lang_definitions` VALUES (54561, 7726, 11, '醫師簽名');
INSERT INTO `lang_definitions` VALUES (54562, 7729, 11, '醫師');
INSERT INTO `lang_definitions` VALUES (54563, 7733, 11, '選擇');
INSERT INTO `lang_definitions` VALUES (54564, 7734, 11, '選擇');
INSERT INTO `lang_definitions` VALUES (54565, 7735, 11, '挑一個CSS主題。');
INSERT INTO `lang_definitions` VALUES (54566, 7738, 11, '骨盆腔發炎疾病');
INSERT INTO `lang_definitions` VALUES (54567, 7740, 11, '骨盆腔發炎疾病（PID）');
INSERT INTO `lang_definitions` VALUES (54568, 7741, 11, '藥片大小');
INSERT INTO `lang_definitions` VALUES (54569, 7742, 11, '藥丸');
INSERT INTO `lang_definitions` VALUES (54570, 7745, 11, '如果要安裝此選項，將數據庫zip檔案放在以下目錄');
INSERT INTO `lang_definitions` VALUES (54571, 7752, 11, '佔位');
INSERT INTO `lang_definitions` VALUES (54572, 7753, 11, '佔位（保持空的ACL）');
INSERT INTO `lang_definitions` VALUES (54573, 7756, 11, '純文字');
INSERT INTO `lang_definitions` VALUES (54574, 7757, 11, '計劃');
INSERT INTO `lang_definitions` VALUES (54575, 7762, 11, '計畫名稱');
INSERT INTO `lang_definitions` VALUES (54576, 7768, 11, '計劃設定');
INSERT INTO `lang_definitions` VALUES (54577, 7773, 11, '計劃：');
INSERT INTO `lang_definitions` VALUES (54578, 7776, 11, '計劃');
INSERT INTO `lang_definitions` VALUES (54579, 7778, 11, '播放機');
INSERT INTO `lang_definitions` VALUES (54580, 7779, 11, '演奏位置');
INSERT INTO `lang_definitions` VALUES (54581, 7780, 11, '如果任何上述信息是不正確的請呼叫');
INSERT INTO `lang_definitions` VALUES (54582, 7784, 11, '請更改您的密碼。');
INSERT INTO `lang_definitions` VALUES (54583, 7785, 11, '請選擇一個檔案');
INSERT INTO `lang_definitions` VALUES (54584, 7786, 11, '請選擇一個病人');
INSERT INTO `lang_definitions` VALUES (54585, 7787, 11, '請從列表中選擇一個有效的選擇。');
INSERT INTO `lang_definitions` VALUES (54586, 7788, 11, '請選擇一個有效的選擇。');
INSERT INTO `lang_definitions` VALUES (54587, 7789, 11, '請選擇一個值為');
INSERT INTO `lang_definitions` VALUES (54588, 7790, 11, '請選擇以上日期範圍標準，並單擊“刷新”以查看結果。');
INSERT INTO `lang_definitions` VALUES (54589, 7791, 11, '請選擇適當格式化的EDI-271檔案');
INSERT INTO `lang_definitions` VALUES (54590, 7792, 11, '請點擊下載按鈕下載去識別的數據');
INSERT INTO `lang_definitions` VALUES (54591, 7793, 11, '請點擊下載按鈕下載再識別的數據');
INSERT INTO `lang_definitions` VALUES (54592, 7795, 11, '請關閉此視窗。');
INSERT INTO `lang_definitions` VALUES (54593, 7796, 11, '請比較新的名稱');
INSERT INTO `lang_definitions` VALUES (54594, 7805, 11, '請不要接受這個處方，除非它是通過facimile被接收。');
INSERT INTO `lang_definitions` VALUES (54595, 7806, 11, '請不要接受這個處方，除非它是通過facimile被接收。');
INSERT INTO `lang_definitions` VALUES (54596, 7807, 11, '請不要使用您的瀏覽器停止或重新載入按鈕，當此頁正在運行時，除非已經過去了10多分鐘，這不會導致在服務器上的過程停止，以及將消耗uneccesary資源。');
INSERT INTO `lang_definitions` VALUES (54597, 7813, 11, '請輸入最新評論日期。');
INSERT INTO `lang_definitions` VALUES (54598, 7814, 11, '請輸入一個日期。');
INSERT INTO `lang_definitions` VALUES (54599, 7819, 11, '請輸入貨幣金額只使用數字和小數點。');
INSERT INTO `lang_definitions` VALUES (54600, 7821, 11, '請輸入新密碼');
INSERT INTO `lang_definitions` VALUES (54601, 7822, 11, '請輸入標題！');
INSERT INTO `lang_definitions` VALUES (54602, 7828, 11, '請輸入正確的重新識別代碼');
INSERT INTO `lang_definitions` VALUES (54603, 7832, 11, '請輸入新的搜索字符串');
INSERT INTO `lang_definitions` VALUES (54604, 7833, 11, '請輸入這個正確的重新識別代碼');
INSERT INTO `lang_definitions` VALUES (54605, 7834, 11, '請輸入密碼');
INSERT INTO `lang_definitions` VALUES (54606, 7843, 11, '請填寫支票號碼');
INSERT INTO `lang_definitions` VALUES (54607, 7845, 11, '請填寫日期');
INSERT INTO `lang_definitions` VALUES (54608, 7846, 11, '請填寫支付金額');
INSERT INTO `lang_definitions` VALUES (54609, 7847, 11, '請填寫付款類別');
INSERT INTO `lang_definitions` VALUES (54610, 7848, 11, '請填寫從哪裡支付');
INSERT INTO `lang_definitions` VALUES (54611, 7849, 11, '請填寫發佈日期');
INSERT INTO `lang_definitions` VALUES (54612, 7850, 11, '在繼續之前請填寫他們。');
INSERT INTO `lang_definitions` VALUES (54613, 7854, 11, '請註明訪問原因');
INSERT INTO `lang_definitions` VALUES (54614, 7856, 11, '請輸入以上搜索條件，然後點擊提交查看結果。');
INSERT INTO `lang_definitions` VALUES (54615, 7857, 11, '以上請輸入搜索條件，然後點擊提交查看結果。（結果將顯示在一個彈出窗口）');
INSERT INTO `lang_definitions` VALUES (54616, 7858, 11, '請重新登錄。');
INSERT INTO `lang_definitions` VALUES (54617, 7859, 11, '請注意，這可能需要很長一段時間，長達數分鐘，您的網頁瀏覽器在此期間可能不會出現非常活躍，但產生了一項法案，是一個複雜的過程，您的網頁瀏覽器只是等待更多的信息。');
INSERT INTO `lang_definitions` VALUES (54618, 7860, 11, '請注意：常數是區分大小寫的，並允許任何字符串。');
INSERT INTO `lang_definitions` VALUES (54619, 7861, 11, '只使用字母字符');
INSERT INTO `lang_definitions` VALUES (54620, 7862, 11, '請只使用不帶空格的字母字符');
INSERT INTO `lang_definitions` VALUES (54621, 7863, 11, '請支付這筆款項');
INSERT INTO `lang_definitions` VALUES (54622, 7867, 11, '請參考');
INSERT INTO `lang_definitions` VALUES (54623, 7868, 11, '請重設密碼。');
INSERT INTO `lang_definitions` VALUES (54624, 7869, 11, '在以去識別遊戲之前，請重新啟動Apache服務器');
INSERT INTO `lang_definitions` VALUES (54625, 7877, 11, '請選擇一種語言');
INSERT INTO `lang_definitions` VALUES (54626, 7878, 11, '請選擇一個病人');
INSERT INTO `lang_definitions` VALUES (54627, 7879, 11, '請用“稅號”選擇一個主要的商業實體設施當成你的設施稅號。如果你是一個個體從業員，使用你的稅號。這是在NewCrop系統中用來識別你的。');
INSERT INTO `lang_definitions` VALUES (54628, 7884, 11, '請選擇一個開始日期和結束日期');
INSERT INTO `lang_definitions` VALUES (54629, 7888, 11, '請選擇一個代碼調整原因');
INSERT INTO `lang_definitions` VALUES (54630, 7889, 11, '請選擇一個事件');
INSERT INTO `lang_definitions` VALUES (54631, 7891, 11, '請選擇任何搜索選項。');
INSERT INTO `lang_definitions` VALUES (54632, 7894, 11, '請選擇至少一個處方！');
INSERT INTO `lang_definitions` VALUES (54633, 7899, 11, '請選擇所需的網頁，複製或轉發：');
INSERT INTO `lang_definitions` VALUES (54634, 7900, 11, '請選擇付款方式');
INSERT INTO `lang_definitions` VALUES (54635, 7905, 11, '請選擇X12的合作夥伴，需要創造270批次');
INSERT INTO `lang_definitions` VALUES (54636, 7906, 11, '請設置');
INSERT INTO `lang_definitions` VALUES (54637, 7907, 11, '請設置de_identification_config變數回到零');
INSERT INTO `lang_definitions` VALUES (54638, 7910, 11, '請開始新的去識別過程');
INSERT INTO `lang_definitions` VALUES (54639, 7913, 11, '請升級OpenEMR數據庫，包括去識別程序，功能，表');
INSERT INTO `lang_definitions` VALUES (54640, 7915, 11, '有關詳細信息，請查看去識別錯誤日誌表');
INSERT INTO `lang_definitions` VALUES (54641, 7916, 11, '經過一段時間後，請瀏覽去識別螢幕');
INSERT INTO `lang_definitions` VALUES (54642, 7917, 11, '經過一段時間後，請瀏覽再識別螢幕');
INSERT INTO `lang_definitions` VALUES (54643, 7918, 11, '一段時間後，請瀏覽螢幕');
INSERT INTO `lang_definitions` VALUES (54644, 7926, 11, '下午');
INSERT INTO `lang_definitions` VALUES (54645, 7927, 11, '下午計劃');
INSERT INTO `lang_definitions` VALUES (54646, 7933, 11, 'PMT方法');
INSERT INTO `lang_definitions` VALUES (54647, 7934, 11, '陣發性夜間呼吸困難');
INSERT INTO `lang_definitions` VALUES (54648, 7935, 11, '肺炎球菌1');
INSERT INTO `lang_definitions` VALUES (54649, 7936, 11, '肺炎球菌2');
INSERT INTO `lang_definitions` VALUES (54650, 7937, 11, '肺炎球菌3');
INSERT INTO `lang_definitions` VALUES (54651, 7938, 11, '肺炎球菌4');
INSERT INTO `lang_definitions` VALUES (54652, 7939, 11, '肺炎球菌疫苗');
INSERT INTO `lang_definitions` VALUES (54653, 7940, 11, '肺炎球菌疫苗');
INSERT INTO `lang_definitions` VALUES (54654, 7941, 11, '針對老年人的肺炎疫苗接種狀況');
INSERT INTO `lang_definitions` VALUES (54655, 7942, 11, '針對老年人的肺炎疫苗接種情況（CQM）');
INSERT INTO `lang_definitions` VALUES (54656, 7943, 11, '足部');
INSERT INTO `lang_definitions` VALUES (54657, 7946, 11, '服務點（POS）');
INSERT INTO `lang_definitions` VALUES (54658, 7947, 11, '保單號碼');
INSERT INTO `lang_definitions` VALUES (54659, 7950, 11, '保單號碼');
INSERT INTO `lang_definitions` VALUES (54660, 7951, 11, '保單號碼');
INSERT INTO `lang_definitions` VALUES (54661, 7952, 11, '波蘭語 拋光');
INSERT INTO `lang_definitions` VALUES (54662, 7953, 11, '煩渴');
INSERT INTO `lang_definitions` VALUES (54663, 7955, 11, '息肉');
INSERT INTO `lang_definitions` VALUES (54664, 7956, 11, '多尿');
INSERT INTO `lang_definitions` VALUES (54665, 7957, 11, '食慾不振');
INSERT INTO `lang_definitions` VALUES (54666, 7958, 11, '循環不佳');
INSERT INTO `lang_definitions` VALUES (54667, 7959, 11, '聽力差');
INSERT INTO `lang_definitions` VALUES (54668, 7962, 11, '需要啟用彈出式窗口來看這些報告');
INSERT INTO `lang_definitions` VALUES (54669, 7964, 11, '用事件填充今年視圖？');
INSERT INTO `lang_definitions` VALUES (54670, 7965, 11, '彈出式窗口');
INSERT INTO `lang_definitions` VALUES (54671, 7969, 11, '入口網站活動');
INSERT INTO `lang_definitions` VALUES (54672, 7985, 11, '葡萄牙');
INSERT INTO `lang_definitions` VALUES (54673, 7987, 11, '葡萄牙語（巴西）');
INSERT INTO `lang_definitions` VALUES (54674, 7988, 11, '葡萄牙（歐洲）');
INSERT INTO `lang_definitions` VALUES (54675, 7989, 11, 'POS機代碼');
INSERT INTO `lang_definitions` VALUES (54676, 7992, 11, '積極的 正向 陽性');
INSERT INTO `lang_definitions` VALUES (54677, 7993, 11, '積極的 正向 陽性');
INSERT INTO `lang_definitions` VALUES (54678, 7996, 11, '職位以');
INSERT INTO `lang_definitions` VALUES (54679, 7998, 11, '鼻涕倒流');
INSERT INTO `lang_definitions` VALUES (54680, 8000, 11, '上傳付款');
INSERT INTO `lang_definitions` VALUES (54681, 8001, 11, '手術後');
INSERT INTO `lang_definitions` VALUES (54682, 8002, 11, '發布會計和標記為帳單');
INSERT INTO `lang_definitions` VALUES (54683, 8003, 11, '發布日期');
INSERT INTO `lang_definitions` VALUES (54684, 8004, 11, '發布日期不能大於今天');
INSERT INTO `lang_definitions` VALUES (54685, 8006, 11, '發布日期必須大於財務關閉日期。');
INSERT INTO `lang_definitions` VALUES (54686, 8007, 11, '流產後照顧');
INSERT INTO `lang_definitions` VALUES (54687, 8008, 11, '人工流產後避孕');
INSERT INTO `lang_definitions` VALUES (54688, 8009, 11, '墮胎後諮詢');
INSERT INTO `lang_definitions` VALUES (54689, 8010, 11, '人工流產後追蹤');
INSERT INTO `lang_definitions` VALUES (54690, 8011, 11, '郵政');
INSERT INTO `lang_definitions` VALUES (54691, 8012, 11, '郵政編碼');
INSERT INTO `lang_definitions` VALUES (54692, 8013, 11, '郵政編碼');
INSERT INTO `lang_definitions` VALUES (54693, 8015, 11, '張貼日曆');
INSERT INTO `lang_definitions` VALUES (54694, 8016, 11, '張貼日曆管理');
INSERT INTO `lang_definitions` VALUES (54695, 8017, 11, '張貼日曆類別設置');
INSERT INTO `lang_definitions` VALUES (54696, 8018, 11, '張貼全球設置日曆');
INSERT INTO `lang_definitions` VALUES (54697, 8023, 11, '發表於');
INSERT INTO `lang_definitions` VALUES (54698, 8026, 11, '發布日期');
INSERT INTO `lang_definitions` VALUES (54699, 8032, 11, '技術支持');
INSERT INTO `lang_definitions` VALUES (54700, 8033, 11, '個人防護裝備+預防醫學/外科HX');
INSERT INTO `lang_definitions` VALUES (54701, 8034, 11, 'PQRI');
INSERT INTO `lang_definitions` VALUES (54702, 8035, 11, 'PQRI註冊編號');
INSERT INTO `lang_definitions` VALUES (54703, 8036, 11, 'PQRI註冊名稱');
INSERT INTO `lang_definitions` VALUES (54704, 8037, 11, '實務');
INSERT INTO `lang_definitions` VALUES (54705, 8038, 11, '實務預設設定');
INSERT INTO `lang_definitions` VALUES (54706, 8039, 11, '實務設定');
INSERT INTO `lang_definitions` VALUES (54707, 8041, 11, '執業者');
INSERT INTO `lang_definitions` VALUES (54708, 8044, 11, '預先付款');
INSERT INTO `lang_definitions` VALUES (54709, 8045, 11, '墮胎前諮詢');
INSERT INTO `lang_definitions` VALUES (54710, 8046, 11, '墮胎前輔導');
INSERT INTO `lang_definitions` VALUES (54711, 8048, 11, '縣貓');
INSERT INTO `lang_definitions` VALUES (54712, 8050, 11, '喜好');
INSERT INTO `lang_definitions` VALUES (54713, 8052, 11, '首選事件類別');
INSERT INTO `lang_definitions` VALUES (54714, 8053, 11, '首選語言');
INSERT INTO `lang_definitions` VALUES (54715, 8054, 11, '首選藥房');
INSERT INTO `lang_definitions` VALUES (54716, 8055, 11, '優先提供者組織（PPO）');
INSERT INTO `lang_definitions` VALUES (54717, 8056, 11, '懷孕測試');
INSERT INTO `lang_definitions` VALUES (54718, 8057, 11, '初步');
INSERT INTO `lang_definitions` VALUES (54719, 8059, 11, '預付');
INSERT INTO `lang_definitions` VALUES (54720, 8061, 11, '處方');
INSERT INTO `lang_definitions` VALUES (54721, 8063, 11, '處方已達到極限');
INSERT INTO `lang_definitions` VALUES (54722, 8064, 11, '處方史');
INSERT INTO `lang_definitions` VALUES (54723, 8065, 11, '處方史進口順利完成');
INSERT INTO `lang_definitions` VALUES (54724, 8066, 11, '處方標籤');
INSERT INTO `lang_definitions` VALUES (54725, 8067, 11, '處方報告');
INSERT INTO `lang_definitions` VALUES (54726, 8070, 11, '處方');
INSERT INTO `lang_definitions` VALUES (54727, 8073, 11, '處方和特許');
INSERT INTO `lang_definitions` VALUES (54728, 8074, 11, '處方藥和其他轉介');
INSERT INTO `lang_definitions` VALUES (54729, 8075, 11, '處方藥和/或專科轉介');
INSERT INTO `lang_definitions` VALUES (54730, 8076, 11, '處方報告');
INSERT INTO `lang_definitions` VALUES (54731, 8077, 11, '處方/轉介');
INSERT INTO `lang_definitions` VALUES (54732, 8078, 11, '目前');
INSERT INTO `lang_definitions` VALUES (54733, 8079, 11, '表現抱怨');
INSERT INTO `lang_definitions` VALUES (54734, 8081, 11, '按下繼續以進行');
INSERT INTO `lang_definitions` VALUES (54735, 8084, 11, '假設的診斷');
INSERT INTO `lang_definitions` VALUES (54736, 8085, 11, '由專家下的假設診斷');
INSERT INTO `lang_definitions` VALUES (54737, 8086, 11, '前頁');
INSERT INTO `lang_definitions` VALUES (54738, 8087, 11, '預防醫學/外科HX');
INSERT INTO `lang_definitions` VALUES (54739, 8088, 11, '上一頁。每月（持有選單）');
INSERT INTO `lang_definitions` VALUES (54740, 8089, 11, '上一頁。每年（持有選單）');
INSERT INTO `lang_definitions` VALUES (54741, 8091, 11, '預防保健');
INSERT INTO `lang_definitions` VALUES (54742, 8094, 11, '預覽事件');
INSERT INTO `lang_definitions` VALUES (54743, 8097, 11, '預覽');
INSERT INTO `lang_definitions` VALUES (54744, 8098, 11, '以前');
INSERT INTO `lang_definitions` VALUES (54745, 8099, 11, '事前協商');
INSERT INTO `lang_definitions` VALUES (54746, 8100, 11, '前一天');
INSERT INTO `lang_definitions` VALUES (54747, 8102, 11, '過去史/篩選');
INSERT INTO `lang_definitions` VALUES (54748, 8103, 11, '前一個月');
INSERT INTO `lang_definitions` VALUES (54749, 8104, 11, '上星期');
INSERT INTO `lang_definitions` VALUES (54750, 8105, 11, '價格');
INSERT INTO `lang_definitions` VALUES (54751, 8108, 11, '價格折扣');
INSERT INTO `lang_definitions` VALUES (54752, 8109, 11, '價格等級');
INSERT INTO `lang_definitions` VALUES (54753, 8111, 11, '價格等級：');
INSERT INTO `lang_definitions` VALUES (54754, 8113, 11, '價格');
INSERT INTO `lang_definitions` VALUES (54755, 8114, 11, '初級 主要');
INSERT INTO `lang_definitions` VALUES (54756, 8115, 11, '主要商業實體');
INSERT INTO `lang_definitions` VALUES (54757, 8116, 11, '主要業務實體稅號用於 NewCrop ePrescription帳戶編號。改變該設施將影響在NewCrop的工作。');
INSERT INTO `lang_definitions` VALUES (54758, 8125, 11, '原保險');
INSERT INTO `lang_definitions` VALUES (54759, 8126, 11, '原保險');
INSERT INTO `lang_definitions` VALUES (54760, 8127, 11, '原保險日期');
INSERT INTO `lang_definitions` VALUES (54761, 8128, 11, '原保險提供者');
INSERT INTO `lang_definitions` VALUES (54762, 8129, 11, '主要提供者');
INSERT INTO `lang_definitions` VALUES (54763, 8130, 11, '列印');
INSERT INTO `lang_definitions` VALUES (54764, 8131, 11, '列印（HTML）');
INSERT INTO `lang_definitions` VALUES (54765, 8132, 11, '列印(PDF)');
INSERT INTO `lang_definitions` VALUES (54766, 8134, 11, '列印任何遭遇');
INSERT INTO `lang_definitions` VALUES (54767, 8135, 11, '列印空白推薦表格');
INSERT INTO `lang_definitions` VALUES (54768, 8136, 11, '列印命令');
INSERT INTO `lang_definitions` VALUES (54769, 8143, 11, '列印格式');
INSERT INTO `lang_definitions` VALUES (54770, 8144, 11, '列印四個小組');
INSERT INTO `lang_definitions` VALUES (54771, 8147, 11, '列印訊息');
INSERT INTO `lang_definitions` VALUES (54772, 8148, 11, '列印多個');
INSERT INTO `lang_definitions` VALUES (54773, 8149, 11, '列印多個傳真');
INSERT INTO `lang_definitions` VALUES (54774, 8150, 11, '列印名稱，標誌和日期。');
INSERT INTO `lang_definitions` VALUES (54775, 8151, 11, '列印註釋');
INSERT INTO `lang_definitions` VALUES (54776, 8152, 11, '列印第一頁');
INSERT INTO `lang_definitions` VALUES (54777, 8153, 11, '列印第二頁');
INSERT INTO `lang_definitions` VALUES (54778, 8156, 11, '提供者列印收據');
INSERT INTO `lang_definitions` VALUES (54779, 8157, 11, '列印紀錄');
INSERT INTO `lang_definitions` VALUES (54780, 8163, 11, '列印選定的報表');
INSERT INTO `lang_definitions` VALUES (54781, 8164, 11, '列印射擊紀錄');
INSERT INTO `lang_definitions` VALUES (54782, 8166, 11, '列印這次遭遇');
INSERT INTO `lang_definitions` VALUES (54783, 8168, 11, '列印說明');
INSERT INTO `lang_definitions` VALUES (54784, 8169, 11, '列印說明');
INSERT INTO `lang_definitions` VALUES (54785, 8171, 11, '列印傳真');
INSERT INTO `lang_definitions` VALUES (54786, 8172, 11, '列印查看');
INSERT INTO `lang_definitions` VALUES (54787, 8173, 11, '可列印的');
INSERT INTO `lang_definitions` VALUES (54788, 8174, 11, '列印版本');
INSERT INTO `lang_definitions` VALUES (54789, 8175, 11, '印刷的');
INSERT INTO `lang_definitions` VALUES (54790, 8178, 11, '列印結果：');
INSERT INTO `lang_definitions` VALUES (54791, 8179, 11, '列印略過;請參閱測試輸出');
INSERT INTO `lang_definitions` VALUES (54792, 8180, 11, '列印略過;請參閱測試輸出');
INSERT INTO `lang_definitions` VALUES (54793, 8182, 11, '在此之前驗證');
INSERT INTO `lang_definitions` VALUES (54794, 8184, 11, '以前授權書');
INSERT INTO `lang_definitions` VALUES (54795, 8191, 11, '優先');
INSERT INTO `lang_definitions` VALUES (54796, 8192, 11, '優先');
INSERT INTO `lang_definitions` VALUES (54797, 8196, 11, '私人');
INSERT INTO `lang_definitions` VALUES (54798, 8197, 11, '問題');
INSERT INTO `lang_definitions` VALUES (54799, 8198, 11, '問題診斷');
INSERT INTO `lang_definitions` VALUES (54800, 8199, 11, '問題表單');
INSERT INTO `lang_definitions` VALUES (54801, 8202, 11, '問題/議題');
INSERT INTO `lang_definitions` VALUES (54802, 8203, 11, '丙卡巴井棒');
INSERT INTO `lang_definitions` VALUES (54803, 8204, 11, '丙卡巴井貓');
INSERT INTO `lang_definitions` VALUES (54804, 8206, 11, 'Proc Pending Rev');
INSERT INTO `lang_definitions` VALUES (54805, 8208, 11, 'Proc Res');
INSERT INTO `lang_definitions` VALUES (54806, 8209, 11, '程序');
INSERT INTO `lang_definitions` VALUES (54807, 8210, 11, '過程部位');
INSERT INTO `lang_definitions` VALUES (54808, 8212, 11, '程序布林結果');
INSERT INTO `lang_definitions` VALUES (54809, 8214, 11, '程序代碼');
INSERT INTO `lang_definitions` VALUES (54810, 8216, 11, 'Procedure Lateralities');
INSERT INTO `lang_definitions` VALUES (54811, 8220, 11, '程序順序');
INSERT INTO `lang_definitions` VALUES (54812, 8223, 11, '程序順序為了');
INSERT INTO `lang_definitions` VALUES (54813, 8232, 11, '過程報告');
INSERT INTO `lang_definitions` VALUES (54814, 8235, 11, '過程報告狀態');
INSERT INTO `lang_definitions` VALUES (54815, 8237, 11, '過程結果異常');
INSERT INTO `lang_definitions` VALUES (54816, 8238, 11, '過程結果狀態');
INSERT INTO `lang_definitions` VALUES (54817, 8240, 11, '過程結果');
INSERT INTO `lang_definitions` VALUES (54818, 8241, 11, '過程路線');
INSERT INTO `lang_definitions` VALUES (54819, 8243, 11, '過程標本類型');
INSERT INTO `lang_definitions` VALUES (54820, 8245, 11, '過程統計報告');
INSERT INTO `lang_definitions` VALUES (54821, 8248, 11, '過程類型');
INSERT INTO `lang_definitions` VALUES (54822, 8249, 11, '過程類型');
INSERT INTO `lang_definitions` VALUES (54823, 8251, 11, '過程單位');
INSERT INTO `lang_definitions` VALUES (54824, 8254, 11, '過程');
INSERT INTO `lang_definitions` VALUES (54825, 8256, 11, '過程');
INSERT INTO `lang_definitions` VALUES (54826, 8258, 11, '過程年代檔案');
INSERT INTO `lang_definitions` VALUES (54827, 8267, 11, '過程');
INSERT INTO `lang_definitions` VALUES (54828, 8274, 11, '產品');
INSERT INTO `lang_definitions` VALUES (54829, 8276, 11, '產品的避孕方法');
INSERT INTO `lang_definitions` VALUES (54830, 8279, 11, '產品');
INSERT INTO `lang_definitions` VALUES (54831, 8280, 11, '產品，但沒有處方藥和無範本');
INSERT INTO `lang_definitions` VALUES (54832, 8282, 11, '教授');
INSERT INTO `lang_definitions` VALUES (54833, 8290, 11, '病程記錄');
INSERT INTO `lang_definitions` VALUES (54834, 8295, 11, '攝護腺癌');
INSERT INTO `lang_definitions` VALUES (54835, 8296, 11, '攝護腺癌篩檢');
INSERT INTO `lang_definitions` VALUES (54836, 8297, 11, '攝護腺檢查');
INSERT INTO `lang_definitions` VALUES (54837, 8298, 11, '攝護腺問題');
INSERT INTO `lang_definitions` VALUES (54838, 8299, 11, '前列腺W / O變大，結節，柔軟');
INSERT INTO `lang_definitions` VALUES (54839, 8304, 11, '提供絕對路徑');
INSERT INTO `lang_definitions` VALUES (54840, 8305, 11, '提供檔案的絕對路徑');
INSERT INTO `lang_definitions` VALUES (54841, 8309, 11, '為每個辦公室訪問患者提供臨床摘要。');
INSERT INTO `lang_definitions` VALUES (54842, 8311, 11, '依據要求提供患者，他們健康信息的電子影本（包括診斷測試的結果，問題的清單，用藥清單，藥物過敏）要求。');
INSERT INTO `lang_definitions` VALUES (54843, 8312, 11, '在四個工作日內，以電子存取信息提供患者及時的健康信息（包括實驗室檢測結果，問題的清單，用藥清單，藥物過敏）EP對他們的。');
INSERT INTO `lang_definitions` VALUES (54844, 8313, 11, '提供患者參觀記錄');
INSERT INTO `lang_definitions` VALUES (54845, 8315, 11, '提供有效的電子郵件地址');
INSERT INTO `lang_definitions` VALUES (54846, 8316, 11, '提供臨床摘要？');
INSERT INTO `lang_definitions` VALUES (54847, 8317, 11, '提供教育資源？');
INSERT INTO `lang_definitions` VALUES (54848, 8318, 11, '提供者列印收據');
INSERT INTO `lang_definitions` VALUES (54849, 8325, 11, '提供者配對錯誤');
INSERT INTO `lang_definitions` VALUES (54850, 8330, 11, '提供者編號');
INSERT INTO `lang_definitions` VALUES (54851, 8336, 11, '提供者：');
INSERT INTO `lang_definitions` VALUES (54852, 8337, 11, '提供者');
INSERT INTO `lang_definitions` VALUES (54853, 8338, 11, '提供者的新產品引進');
INSERT INTO `lang_definitions` VALUES (54854, 8339, 11, '供應商把整個日曆');
INSERT INTO `lang_definitions` VALUES (54855, 8341, 11, '上一頁');
INSERT INTO `lang_definitions` VALUES (54856, 8342, 11, '變壓吸附');
INSERT INTO `lang_definitions` VALUES (54857, 8343, 11, '牛皮癬');
INSERT INTO `lang_definitions` VALUES (54858, 8345, 11, '精神科診斷');
INSERT INTO `lang_definitions` VALUES (54859, 8346, 11, '精神科藥物');
INSERT INTO `lang_definitions` VALUES (54860, 8347, 11, '精神科的');
INSERT INTO `lang_definitions` VALUES (54861, 8348, 11, '精神科摘要函件');
INSERT INTO `lang_definitions` VALUES (54862, 8349, 11, '精神科診斷');
INSERT INTO `lang_definitions` VALUES (54863, 8350, 11, '精神病鑑定');
INSERT INTO `lang_definitions` VALUES (54864, 8352, 11, '精神病史');
INSERT INTO `lang_definitions` VALUES (54865, 8353, 11, '精神科攝入');
INSERT INTO `lang_definitions` VALUES (54866, 8354, 11, '精神科藥物');
INSERT INTO `lang_definitions` VALUES (54867, 8358, 11, '病人百分比');
INSERT INTO `lang_definitions` VALUES (54868, 8360, 11, '病人註释');
INSERT INTO `lang_definitions` VALUES (54869, 8361, 11, '病人註釋/驗證');
INSERT INTO `lang_definitions` VALUES (54870, 8362, 11, '病人多繳');
INSERT INTO `lang_definitions` VALUES (54871, 8364, 11, '病人付費');
INSERT INTO `lang_definitions` VALUES (54872, 8365, 11, '病人建議請求');
INSERT INTO `lang_definitions` VALUES (54873, 8366, 11, '病人退款');
INSERT INTO `lang_definitions` VALUES (54874, 8367, 11, '病人釋放');
INSERT INTO `lang_definitions` VALUES (54875, 8368, 11, '病人報告');
INSERT INTO `lang_definitions` VALUES (54876, 8369, 11, '太平洋學生，或留空白');
INSERT INTO `lang_definitions` VALUES (54877, 8370, 11, '太平洋-城市');
INSERT INTO `lang_definitions` VALUES (54878, 8371, 11, '太平洋-出生日期');
INSERT INTO `lang_definitions` VALUES (54879, 8373, 11, '太平洋-FNAME');
INSERT INTO `lang_definitions` VALUES (54880, 8374, 11, '太平洋-LNAME');
INSERT INTO `lang_definitions` VALUES (54881, 8375, 11, '太平洋-MNAME');
INSERT INTO `lang_definitions` VALUES (54882, 8378, 11, '太平洋-郵政');
INSERT INTO `lang_definitions` VALUES (54883, 8380, 11, '太平洋-州');
INSERT INTO `lang_definitions` VALUES (54884, 8381, 11, '太平洋-街');
INSERT INTO `lang_definitions` VALUES (54885, 8383, 11, '公眾');
INSERT INTO `lang_definitions` VALUES (54886, 8394, 11, '波多黎各');
INSERT INTO `lang_definitions` VALUES (54887, 8396, 11, '肺的');
INSERT INTO `lang_definitions` VALUES (54888, 8398, 11, '脈搏');
INSERT INTO `lang_definitions` VALUES (54889, 8399, 11, '旁遮普');
INSERT INTO `lang_definitions` VALUES (54890, 8401, 11, 'Purchase');
INSERT INTO `lang_definitions` VALUES (54891, 8402, 11, '購買/返回');
INSERT INTO `lang_definitions` VALUES (54892, 8403, 11, '採購');
INSERT INTO `lang_definitions` VALUES (54893, 8408, 11, '每3小時');
INSERT INTO `lang_definitions` VALUES (54894, 8409, 11, '每4小時');
INSERT INTO `lang_definitions` VALUES (54895, 8410, 11, '每5小時');
INSERT INTO `lang_definitions` VALUES (54896, 8411, 11, '每6小時');
INSERT INTO `lang_definitions` VALUES (54897, 8412, 11, '每8小時');
INSERT INTO `lang_definitions` VALUES (54898, 8413, 11, '每天4次');
INSERT INTO `lang_definitions` VALUES (54899, 8414, 11, '每天4次');
INSERT INTO `lang_definitions` VALUES (54900, 8417, 11, '每隔1小時');
INSERT INTO `lang_definitions` VALUES (54901, 8418, 11, '每隔1小時是少於每月用量');
INSERT INTO `lang_definitions` VALUES (54902, 8419, 11, '品質');
INSERT INTO `lang_definitions` VALUES (54903, 8420, 11, '品質');
INSERT INTO `lang_definitions` VALUES (54904, 8421, 11, '品質');
INSERT INTO `lang_definitions` VALUES (54905, 8422, 11, '質量測量（CQM）');
INSERT INTO `lang_definitions` VALUES (54906, 8423, 11, '數量');
INSERT INTO `lang_definitions` VALUES (54907, 8425, 11, 'NDC的數量');
INSERT INTO `lang_definitions` VALUES (54908, 8426, 11, '手邊的數量');
INSERT INTO `lang_definitions` VALUES (54909, 8427, 11, '數量似乎無法使用');
INSERT INTO `lang_definitions` VALUES (54910, 8431, 11, '問號');
INSERT INTO `lang_definitions` VALUES (54911, 8432, 11, '為HCFA成批處理隊列');
INSERT INTO `lang_definitions` VALUES (54912, 8433, 11, '為HCFA成批處理隊列與印刷');
INSERT INTO `lang_definitions` VALUES (54913, 8434, 11, '為UB-92成批處理隊列');
INSERT INTO `lang_definitions` VALUES (54914, 8435, 11, '為UB-92成批處理隊列與印刷');
INSERT INTO `lang_definitions` VALUES (54915, 8436, 11, '排隊');
INSERT INTO `lang_definitions` VALUES (54916, 8437, 11, '排隊的事件管理');
INSERT INTO `lang_definitions` VALUES (54917, 8438, 11, '排隊等候');
INSERT INTO `lang_definitions` VALUES (54918, 8440, 11, '排隊提交管理');
INSERT INTO `lang_definitions` VALUES (54919, 8442, 11, '退出');
INSERT INTO `lang_definitions` VALUES (54920, 8443, 11, '戒酒');
INSERT INTO `lang_definitions` VALUES (54921, 8452, 11, '種族');
INSERT INTO `lang_definitions` VALUES (54922, 8453, 11, '種族和民族');
INSERT INTO `lang_definitions` VALUES (54923, 8454, 11, '種族/族裔');
INSERT INTO `lang_definitions` VALUES (54924, 8456, 11, '收音機');
INSERT INTO `lang_definitions` VALUES (54925, 8457, 11, '單選按鈕');
INSERT INTO `lang_definitions` VALUES (54926, 8462, 11, '範圍');
INSERT INTO `lang_definitions` VALUES (54927, 8463, 11, '皮疹');
INSERT INTO `lang_definitions` VALUES (54928, 8464, 11, '速率');
INSERT INTO `lang_definitions` VALUES (54929, 8466, 11, '比率');
INSERT INTO `lang_definitions` VALUES (54930, 8467, 11, '原報告');
INSERT INTO `lang_definitions` VALUES (54931, 8475, 11, '重新鑑定');
INSERT INTO `lang_definitions` VALUES (54932, 8476, 11, '重新鑑定過程完成');
INSERT INTO `lang_definitions` VALUES (54933, 8477, 11, '重新鑑定的過程是正在進行');
INSERT INTO `lang_definitions` VALUES (54934, 8478, 11, '重新鑑定的文件將被保存在');
INSERT INTO `lang_definitions` VALUES (54935, 8479, 11, '再度受傷？');
INSERT INTO `lang_definitions` VALUES (54936, 8480, 11, '重新開放');
INSERT INTO `lang_definitions` VALUES (54937, 8482, 11, '重新開放');
INSERT INTO `lang_definitions` VALUES (54938, 8484, 11, '反應');
INSERT INTO `lang_definitions` VALUES (54939, 8486, 11, '反應');
INSERT INTO `lang_definitions` VALUES (54940, 8489, 11, '讀');
INSERT INTO `lang_definitions` VALUES (54941, 8496, 11, '真實姓名');
INSERT INTO `lang_definitions` VALUES (54942, 8497, 11, '真正刪除');
INSERT INTO `lang_definitions` VALUES (54943, 8498, 11, '理由');
INSERT INTO `lang_definitions` VALUES (54944, 8499, 11, '死亡原因');
INSERT INTO `lang_definitions` VALUES (54945, 8500, 11, '死亡原因');
INSERT INTO `lang_definitions` VALUES (54946, 8502, 11, '轉介原因');
INSERT INTO `lang_definitions` VALUES (54947, 8504, 11, '訪問的原因');
INSERT INTO `lang_definitions` VALUES (54948, 8506, 11, '原因/表格');
INSERT INTO `lang_definitions` VALUES (54949, 8521, 11, '收據');
INSERT INTO `lang_definitions` VALUES (54950, 8522, 11, '付款收據');
INSERT INTO `lang_definitions` VALUES (54951, 8523, 11, '收據產生');
INSERT INTO `lang_definitions` VALUES (54952, 8524, 11, '預收付款方法報告');
INSERT INTO `lang_definitions` VALUES (54953, 8525, 11, '收據摘要');
INSERT INTO `lang_definitions` VALUES (54954, 8526, 11, '接受');
INSERT INTO `lang_definitions` VALUES (54955, 8527, 11, '收到的');
INSERT INTO `lang_definitions` VALUES (54956, 8528, 11, '接收的傳真');
INSERT INTO `lang_definitions` VALUES (54957, 8532, 11, '接收器');
INSERT INTO `lang_definitions` VALUES (54958, 8533, 11, '接收器的編號');
INSERT INTO `lang_definitions` VALUES (54959, 8534, 11, '接收器的編號（ISA08）');
INSERT INTO `lang_definitions` VALUES (54960, 8535, 11, '接收器的ID限定符（ISA07）');
INSERT INTO `lang_definitions` VALUES (54961, 8540, 11, '最近三個密碼是不允許的。');
INSERT INTO `lang_definitions` VALUES (54962, 8542, 11, '接受者');
INSERT INTO `lang_definitions` VALUES (54963, 8543, 11, '收件人列表是空的');
INSERT INTO `lang_definitions` VALUES (54964, 8544, 11, '收件人姓名');
INSERT INTO `lang_definitions` VALUES (54965, 8545, 11, '收件人披露');
INSERT INTO `lang_definitions` VALUES (54966, 8549, 11, '建議');
INSERT INTO `lang_definitions` VALUES (54967, 8552, 11, '建議');
INSERT INTO `lang_definitions` VALUES (54968, 8553, 11, '建議與治療');
INSERT INTO `lang_definitions` VALUES (54969, 8554, 11, '專家的建議');
INSERT INTO `lang_definitions` VALUES (54970, 8557, 11, '紀錄');
INSERT INTO `lang_definitions` VALUES (54971, 8564, 11, '生命徵象的紀錄與圖表改變');
INSERT INTO `lang_definitions` VALUES (54972, 8565, 11, '記錄人口統計。');
INSERT INTO `lang_definitions` VALUES (54973, 8566, 11, '記錄披露');
INSERT INTO `lang_definitions` VALUES (54974, 8567, 11, '健身記錄');
INSERT INTO `lang_definitions` VALUES (54975, 8568, 11, '記錄付款');
INSERT INTO `lang_definitions` VALUES (54976, 8570, 11, '記錄請求日期');
INSERT INTO `lang_definitions` VALUES (54977, 8571, 11, '為13歲或以上的患者紀錄吸煙狀況。');
INSERT INTO `lang_definitions` VALUES (54978, 8572, 11, '紀錄');
INSERT INTO `lang_definitions` VALUES (54979, 8573, 11, '找到記錄');
INSERT INTO `lang_definitions` VALUES (54980, 8574, 11, '找到記錄。');
INSERT INTO `lang_definitions` VALUES (54981, 8576, 11, '娛樂性藥物的使用');
INSERT INTO `lang_definitions` VALUES (54982, 8577, 11, '娛樂性藥物');
INSERT INTO `lang_definitions` VALUES (54983, 8578, 11, '直腸的');
INSERT INTO `lang_definitions` VALUES (54984, 8579, 11, '直腸檢查');
INSERT INTO `lang_definitions` VALUES (54985, 8580, 11, '直腸的');
INSERT INTO `lang_definitions` VALUES (54986, 8592, 11, '重新定向');
INSERT INTO `lang_definitions` VALUES (54987, 8593, 11, '發紅');
INSERT INTO `lang_definitions` VALUES (54988, 8595, 11, '降低：');
INSERT INTO `lang_definitions` VALUES (54989, 8597, 11, '參考');
INSERT INTO `lang_definitions` VALUES (54990, 8598, 11, '指由');
INSERT INTO `lang_definitions` VALUES (54991, 8599, 11, '參考日期');
INSERT INTO `lang_definitions` VALUES (54992, 8600, 11, '參考');
INSERT INTO `lang_definitions` VALUES (54993, 8603, 11, '參考分類（風險等級）');
INSERT INTO `lang_definitions` VALUES (54994, 8604, 11, '結果參考範圍');
INSERT INTO `lang_definitions` VALUES (54995, 8605, 11, '參考原因');
INSERT INTO `lang_definitions` VALUES (54996, 8609, 11, '參考姓名與簽名');
INSERT INTO `lang_definitions` VALUES (54997, 8610, 11, '轉診');
INSERT INTO `lang_definitions` VALUES (54998, 8611, 11, '所提及');
INSERT INTO `lang_definitions` VALUES (54999, 8612, 11, '轉診卡');
INSERT INTO `lang_definitions` VALUES (55000, 8613, 11, '轉診日期');
INSERT INTO `lang_definitions` VALUES (55001, 8614, 11, '轉診表格');
INSERT INTO `lang_definitions` VALUES (55002, 8615, 11, '轉診表格');
INSERT INTO `lang_definitions` VALUES (55003, 8616, 11, '轉診編號');
INSERT INTO `lang_definitions` VALUES (55004, 8619, 11, '轉診來源');
INSERT INTO `lang_definitions` VALUES (55005, 8620, 11, '轉介來源為遭遇');
INSERT INTO `lang_definitions` VALUES (55006, 8621, 11, '轉診到');
INSERT INTO `lang_definitions` VALUES (55007, 8622, 11, '轉診');
INSERT INTO `lang_definitions` VALUES (55008, 8623, 11, '轉診報告');
INSERT INTO `lang_definitions` VALUES (55009, 8624, 11, '所提及');
INSERT INTO `lang_definitions` VALUES (55010, 8625, 11, '所提及');
INSERT INTO `lang_definitions` VALUES (55011, 8627, 11, '轉診到');
INSERT INTO `lang_definitions` VALUES (55012, 8628, 11, '轉診');
INSERT INTO `lang_definitions` VALUES (55013, 8630, 11, '轉介診斷');
INSERT INTO `lang_definitions` VALUES (55014, 8631, 11, '轉介診斷');
INSERT INTO `lang_definitions` VALUES (55015, 8633, 11, '在談到醫生和實踐');
INSERT INTO `lang_definitions` VALUES (55016, 8635, 11, '在談到提供者');
INSERT INTO `lang_definitions` VALUES (55017, 8636, 11, '補充');
INSERT INTO `lang_definitions` VALUES (55018, 8639, 11, '補充');
INSERT INTO `lang_definitions` VALUES (55019, 8640, 11, '補充');
INSERT INTO `lang_definitions` VALUES (55020, 8641, 11, '反射正常');
INSERT INTO `lang_definitions` VALUES (55021, 8645, 11, '重新整理');
INSERT INTO `lang_definitions` VALUES (55022, 8651, 11, '拒絕說明');
INSERT INTO `lang_definitions` VALUES (55023, 8652, 11, 'reg_re');
INSERT INTO `lang_definitions` VALUES (55024, 8656, 11, '註冊');
INSERT INTO `lang_definitions` VALUES (55025, 8662, 11, '註冊');
INSERT INTO `lang_definitions` VALUES (55026, 8663, 11, '註冊');
INSERT INTO `lang_definitions` VALUES (55027, 8668, 11, '註冊日期');
INSERT INTO `lang_definitions` VALUES (55028, 8671, 11, '報名表');
INSERT INTO `lang_definitions` VALUES (55029, 8672, 11, '復健');
INSERT INTO `lang_definitions` VALUES (55030, 8676, 11, '有關的');
INSERT INTO `lang_definitions` VALUES (55031, 8677, 11, '有關');
INSERT INTO `lang_definitions` VALUES (55032, 8678, 11, '相關問題');
INSERT INTO `lang_definitions` VALUES (55033, 8680, 11, '關係（S）/兒童');
INSERT INTO `lang_definitions` VALUES (55034, 8681, 11, '關係');
INSERT INTO `lang_definitions` VALUES (55035, 8682, 11, '關係');
INSERT INTO `lang_definitions` VALUES (55036, 8683, 11, '這個實體的相對順序');
INSERT INTO `lang_definitions` VALUES (55037, 8684, 11, '親屬');
INSERT INTO `lang_definitions` VALUES (55038, 8695, 11, '替換健康憑據由該用戶帳戶遺漏。');
INSERT INTO `lang_definitions` VALUES (55039, 8696, 11, '替換健康憑證');
INSERT INTO `lang_definitions` VALUES (55040, 8700, 11, '信仰');
INSERT INTO `lang_definitions` VALUES (55041, 8705, 11, '重新登錄');
INSERT INTO `lang_definitions` VALUES (55042, 8706, 11, 'Remdr');
INSERT INTO `lang_definitions` VALUES (55043, 8709, 11, '記住選定的設備');
INSERT INTO `lang_definitions` VALUES (55044, 8712, 11, '提醒');
INSERT INTO `lang_definitions` VALUES (55045, 8715, 11, '提醒間隔');
INSERT INTO `lang_definitions` VALUES (55046, 8716, 11, '提醒不要發了');
INSERT INTO `lang_definitions` VALUES (55047, 8720, 11, '發送提醒');
INSERT INTO `lang_definitions` VALUES (55048, 8726, 11, '匯至');
INSERT INTO `lang_definitions` VALUES (55049, 8729, 11, '移除');
INSERT INTO `lang_definitions` VALUES (55050, 8733, 11, '移除群組');
INSERT INTO `lang_definitions` VALUES (55051, 8734, 11, '移除群組型式');
INSERT INTO `lang_definitions` VALUES (55052, 8738, 11, '刪除免疫支持');
INSERT INTO `lang_definitions` VALUES (55053, 8739, 11, '刪除phpMyAdmin的支持');
INSERT INTO `lang_definitions` VALUES (55054, 8740, 11, '刪除處方');
INSERT INTO `lang_definitions` VALUES (55055, 8742, 11, '刪除圖表追踪功能');
INSERT INTO `lang_definitions` VALUES (55056, 8743, 11, '腎結石');
INSERT INTO `lang_definitions` VALUES (55057, 8744, 11, '重新命名');
INSERT INTO `lang_definitions` VALUES (55058, 8745, 11, '重新命名群組');
INSERT INTO `lang_definitions` VALUES (55059, 8746, 11, '呈現');
INSERT INTO `lang_definitions` VALUES (55060, 8747, 11, '呈現提供者');
INSERT INTO `lang_definitions` VALUES (55061, 8748, 11, '呈現提供者編號');
INSERT INTO `lang_definitions` VALUES (55062, 8750, 11, '重新排序');
INSERT INTO `lang_definitions` VALUES (55063, 8751, 11, '重新排列在');
INSERT INTO `lang_definitions` VALUES (55064, 8752, 11, '訂貨點已達到');
INSERT INTO `lang_definitions` VALUES (55065, 8754, 11, '重複');
INSERT INTO `lang_definitions` VALUES (55066, 8758, 11, '重複事件');
INSERT INTO `lang_definitions` VALUES (55067, 8759, 11, '重複資訊：');
INSERT INTO `lang_definitions` VALUES (55068, 8760, 11, '重複');
INSERT INTO `lang_definitions` VALUES (55069, 8771, 11, '回復日期');
INSERT INTO `lang_definitions` VALUES (55070, 8772, 11, '回復從');
INSERT INTO `lang_definitions` VALUES (55071, 8774, 11, '報告');
INSERT INTO `lang_definitions` VALUES (55072, 8776, 11, '報告 - 臨床');
INSERT INTO `lang_definitions` VALUES (55073, 8779, 11, '報告由');
INSERT INTO `lang_definitions` VALUES (55074, 8789, 11, '報告情況');
INSERT INTO `lang_definitions` VALUES (55075, 8790, 11, '報告匯總');
INSERT INTO `lang_definitions` VALUES (55076, 8794, 11, '申報的');
INSERT INTO `lang_definitions` VALUES (55077, 8795, 11, '申報的');
INSERT INTO `lang_definitions` VALUES (55078, 8796, 11, '申報日期');
INSERT INTO `lang_definitions` VALUES (55079, 8797, 11, '申報');
INSERT INTO `lang_definitions` VALUES (55080, 8804, 11, '請求被忽略 - 索賠處理已經運行！');
INSERT INTO `lang_definitions` VALUES (55081, 8815, 11, '請求服務');
INSERT INTO `lang_definitions` VALUES (55082, 8819, 11, '需要強有力的密碼');
INSERT INTO `lang_definitions` VALUES (55083, 8820, 11, '需要獨特的密碼');
INSERT INTO `lang_definitions` VALUES (55084, 8821, 11, '需要');
INSERT INTO `lang_definitions` VALUES (55085, 8824, 11, '缺少必填欄位：請選擇的EDI-271要上傳的文件');
INSERT INTO `lang_definitions` VALUES (55086, 8825, 11, '缺少必填欄位：請輸入名字');
INSERT INTO `lang_definitions` VALUES (55087, 8826, 11, '缺少必填欄位：請輸入姓');
INSERT INTO `lang_definitions` VALUES (55088, 8827, 11, '缺少必填欄位：請輸入使用者姓名');
INSERT INTO `lang_definitions` VALUES (55089, 8828, 11, '需要的欄位');
INSERT INTO `lang_definitions` VALUES (55090, 8829, 11, '需要');
INSERT INTO `lang_definitions` VALUES (55091, 8832, 11, '保留');
INSERT INTO `lang_definitions` VALUES (55092, 8833, 11, '保留');
INSERT INTO `lang_definitions` VALUES (55093, 8834, 11, '預留使用確定排定的休假時間');
INSERT INTO `lang_definitions` VALUES (55094, 8835, 11, '當供應商之後可能無法獲得任命時，保留定義。');
INSERT INTO `lang_definitions` VALUES (55095, 8836, 11, '當事件沒有按指定發生時，保留定義。');
INSERT INTO `lang_definitions` VALUES (55096, 8837, 11, '當提供者之後可能獲得任命時，保留定義。');
INSERT INTO `lang_definitions` VALUES (55097, 8838, 11, '重新設置');
INSERT INTO `lang_definitions` VALUES (55098, 8842, 11, '重新設定場外入口網站憑證');
INSERT INTO `lang_definitions` VALUES (55099, 8844, 11, '重新設定場內入口網站憑證');
INSERT INTO `lang_definitions` VALUES (55100, 8850, 11, 'Resn');
INSERT INTO `lang_definitions` VALUES (55101, 8852, 11, '解決這個問題');
INSERT INTO `lang_definitions` VALUES (55102, 8855, 11, '呼吸');
INSERT INTO `lang_definitions` VALUES (55103, 8856, 11, '用力呼吸不費力');
INSERT INTO `lang_definitions` VALUES (55104, 8857, 11, '呼吸的');
INSERT INTO `lang_definitions` VALUES (55105, 8864, 11, '限制非授權用戶在用戶管理中設置的附表設施。');
INSERT INTO `lang_definitions` VALUES (55106, 8865, 11, '限制用戶到設施');
INSERT INTO `lang_definitions` VALUES (55107, 8866, 11, '受限制的訓練');
INSERT INTO `lang_definitions` VALUES (55108, 8867, 11, '結果');
INSERT INTO `lang_definitions` VALUES (55109, 8869, 11, '結果狀態');
INSERT INTO `lang_definitions` VALUES (55110, 8870, 11, '結果狀態或異常遺漏');
INSERT INTO `lang_definitions` VALUES (55111, 8871, 11, '因此，使用萬用字元％');
INSERT INTO `lang_definitions` VALUES (55112, 8873, 11, '結果與');
INSERT INTO `lang_definitions` VALUES (55113, 8874, 11, '找到研究結果');
INSERT INTO `lang_definitions` VALUES (55114, 8875, 11, '結果組');
INSERT INTO `lang_definitions` VALUES (55115, 8879, 11, '每頁結果');
INSERT INTO `lang_definitions` VALUES (55116, 8880, 11, '結果/細節');
INSERT INTO `lang_definitions` VALUES (55117, 8884, 11, '視網膜檢查');
INSERT INTO `lang_definitions` VALUES (55118, 8885, 11, '回縮右惻：');
INSERT INTO `lang_definitions` VALUES (55119, 8886, 11, '返回');
INSERT INTO `lang_definitions` VALUES (55120, 8887, 11, '用您的付款，回到上述的一部分');
INSERT INTO `lang_definitions` VALUES (55121, 8890, 11, '返回到日曆');
INSERT INTO `lang_definitions` VALUES (55122, 8897, 11, '返回值');
INSERT INTO `lang_definitions` VALUES (55123, 8898, 11, '回訪');
INSERT INTO `lang_definitions` VALUES (55124, 8899, 11, '返回到播放');
INSERT INTO `lang_definitions` VALUES (55125, 8914, 11, '瑪嘉烈醫院回顧：');
INSERT INTO `lang_definitions` VALUES (55126, 8917, 11, '系統回顧');
INSERT INTO `lang_definitions` VALUES (55127, 8918, 11, '系統回顧檢查');
INSERT INTO `lang_definitions` VALUES (55128, 8921, 11, '回顧');
INSERT INTO `lang_definitions` VALUES (55129, 8924, 11, '調整');
INSERT INTO `lang_definitions` VALUES (55130, 8925, 11, '類風濕性關節炎');
INSERT INTO `lang_definitions` VALUES (55131, 8926, 11, '類風濕性關節炎');
INSERT INTO `lang_definitions` VALUES (55132, 8928, 11, '右側');
INSERT INTO `lang_definitions` VALUES (55133, 8931, 11, '右耳');
INSERT INTO `lang_definitions` VALUES (55134, 8932, 11, '右耳');
INSERT INTO `lang_definitions` VALUES (55135, 8940, 11, '右側：');
INSERT INTO `lang_definitions` VALUES (55136, 8941, 11, '言猶在耳');
INSERT INTO `lang_definitions` VALUES (55137, 8942, 11, '言猶在耳');
INSERT INTO `lang_definitions` VALUES (55138, 8944, 11, '風險因素');
INSERT INTO `lang_definitions` VALUES (55139, 8945, 11, '風險等級');
INSERT INTO `lang_definitions` VALUES (55140, 8949, 11, '右下葉肺炎：');
INSERT INTO `lang_definitions` VALUES (55141, 8955, 11, '右側中耳炎');
INSERT INTO `lang_definitions` VALUES (55142, 8963, 11, '名冊');
INSERT INTO `lang_definitions` VALUES (55143, 8966, 11, '路徑');
INSERT INTO `lang_definitions` VALUES (55144, 8967, 11, '給藥途徑，如適用');
INSERT INTO `lang_definitions` VALUES (55145, 8968, 11, '佈線');
INSERT INTO `lang_definitions` VALUES (55146, 8969, 11, '行');
INSERT INTO `lang_definitions` VALUES (55147, 8971, 11, '存款準備金沒有靜曲強度');
INSERT INTO `lang_definitions` VALUES (55148, 8972, 11, '擦：');
INSERT INTO `lang_definitions` VALUES (55149, 8973, 11, '擦：');
INSERT INTO `lang_definitions` VALUES (55150, 8974, 11, '規則');
INSERT INTO `lang_definitions` VALUES (55151, 8975, 11, '規則加');
INSERT INTO `lang_definitions` VALUES (55152, 8976, 11, '規則詳情');
INSERT INTO `lang_definitions` VALUES (55153, 8978, 11, '規則編輯');
INSERT INTO `lang_definitions` VALUES (55154, 8981, 11, '規則設置');
INSERT INTO `lang_definitions` VALUES (55155, 8984, 11, '規則');
INSERT INTO `lang_definitions` VALUES (55156, 8986, 11, '規則配置');
INSERT INTO `lang_definitions` VALUES (55157, 8989, 11, '運行命令：');
INSERT INTO `lang_definitions` VALUES (55158, 8990, 11, '破裂');
INSERT INTO `lang_definitions` VALUES (55159, 8992, 11, '俄國');
INSERT INTO `lang_definitions` VALUES (55160, 8995, 11, '接收');
INSERT INTO `lang_definitions` VALUES (55161, 8996, 11, '接收');
INSERT INTO `lang_definitions` VALUES (55162, 9023, 11, 'RxNorm');
INSERT INTO `lang_definitions` VALUES (55163, 9024, 11, 'RxNorm資料庫');
INSERT INTO `lang_definitions` VALUES (55164, 9029, 11, 'S.S.');
INSERT INTO `lang_definitions` VALUES (55165, 9030, 11, 'S3:');
INSERT INTO `lang_definitions` VALUES (55166, 9031, 11, 'S4:');
INSERT INTO `lang_definitions` VALUES (55167, 9032, 11, 'SA**閱讀許可請閱讀DOCS / LICENSE.TXT或訪問* http://www.gnu.org/copyleft/gpl.html');
INSERT INTO `lang_definitions` VALUES (55168, 9034, 11, '銷售');
INSERT INTO `lang_definitions` VALUES (55169, 9035, 11, '銷售量');
INSERT INTO `lang_definitions` VALUES (55170, 9036, 11, '主要項目的銷售量');
INSERT INTO `lang_definitions` VALUES (55171, 9037, 11, '銷售量產品報告');
INSERT INTO `lang_definitions` VALUES (55172, 9038, 11, '唾液');
INSERT INTO `lang_definitions` VALUES (55173, 9039, 11, '同一天');
INSERT INTO `lang_definitions` VALUES (55174, 9040, 11, '薩摩亞人');
INSERT INTO `lang_definitions` VALUES (55175, 9041, 11, '樣本 標本');
INSERT INTO `lang_definitions` VALUES (55176, 9042, 11, '處罰種類');
INSERT INTO `lang_definitions` VALUES (55177, 9047, 11, '星期六');
INSERT INTO `lang_definitions` VALUES (55178, 9048, 11, '週六和週日');
INSERT INTO `lang_definitions` VALUES (55179, 9049, 11, '星期六');
INSERT INTO `lang_definitions` VALUES (55180, 9050, 11, '儲存');
INSERT INTO `lang_definitions` VALUES (55181, 9051, 11, '儲存');
INSERT INTO `lang_definitions` VALUES (55182, 9058, 11, '保存和分配');
INSERT INTO `lang_definitions` VALUES (55183, 9061, 11, '另存為新的');
INSERT INTO `lang_definitions` VALUES (55184, 9063, 11, '另存為新的筆記');
INSERT INTO `lang_definitions` VALUES (55185, 9066, 11, '保存證書設置');
INSERT INTO `lang_definitions` VALUES (55186, 9067, 11, '保存更改');
INSERT INTO `lang_definitions` VALUES (55187, 9075, 11, '保存形式');
INSERT INTO `lang_definitions` VALUES (55188, 9076, 11, '保存免疫接種');
INSERT INTO `lang_definitions` VALUES (55189, 9078, 11, '保存新領域');
INSERT INTO `lang_definitions` VALUES (55190, 9079, 11, '保存新群組');
INSERT INTO `lang_definitions` VALUES (55191, 9080, 11, '保存新的列表');
INSERT INTO `lang_definitions` VALUES (55192, 9081, 11, '保存新範本');
INSERT INTO `lang_definitions` VALUES (55193, 9083, 11, '保存病人的人口統計資料');
INSERT INTO `lang_definitions` VALUES (55194, 9087, 11, '成功的保存圖表編號');
INSERT INTO `lang_definitions` VALUES (55195, 9089, 11, '保存事務');
INSERT INTO `lang_definitions` VALUES (55196, 9098, 11, '掃描');
INSERT INTO `lang_definitions` VALUES (55197, 9099, 11, '掃描遭遇筆記');
INSERT INTO `lang_definitions` VALUES (55198, 9100, 11, '掃瞄器目錄');
INSERT INTO `lang_definitions` VALUES (55199, 9101, 11, '掃描程序在');
INSERT INTO `lang_definitions` VALUES (55200, 9104, 11, '日程表');
INSERT INTO `lang_definitions` VALUES (55201, 9106, 11, '進度設施：');
INSERT INTO `lang_definitions` VALUES (55202, 9117, 11, '校注');
INSERT INTO `lang_definitions` VALUES (55203, 9122, 11, '脊柱側彎');
INSERT INTO `lang_definitions` VALUES (55204, 9133, 11, 'SE');
INSERT INTO `lang_definitions` VALUES (55205, 9134, 11, 'SE地址');
INSERT INTO `lang_definitions` VALUES (55206, 9135, 11, 'SE城市');
INSERT INTO `lang_definitions` VALUES (55207, 9136, 11, 'SE國家');
INSERT INTO `lang_definitions` VALUES (55208, 9137, 11, '東南方位');
INSERT INTO `lang_definitions` VALUES (55209, 9138, 11, 'SE郵政編碼');
INSERT INTO `lang_definitions` VALUES (55210, 9139, 11, 'SE州');
INSERT INTO `lang_definitions` VALUES (55211, 9140, 11, 'SE郵編');
INSERT INTO `lang_definitions` VALUES (55212, 9141, 11, '搜尋');
INSERT INTO `lang_definitions` VALUES (55213, 9143, 11, '搜尋');
INSERT INTO `lang_definitions` VALUES (55214, 9144, 11, '再搜尋');
INSERT INTO `lang_definitions` VALUES (55215, 9150, 11, '搜尋被：');
INSERT INTO `lang_definitions` VALUES (55216, 9152, 11, '搜索');
INSERT INTO `lang_definitions` VALUES (55217, 9156, 11, '搜索：');
INSERT INTO `lang_definitions` VALUES (55218, 9159, 11, '相關搜索');
INSERT INTO `lang_definitions` VALUES (55219, 9161, 11, '搜尋或新增病人');
INSERT INTO `lang_definitions` VALUES (55220, 9164, 11, '搜索付款');
INSERT INTO `lang_definitions` VALUES (55221, 9168, 11, '搜索結果：');
INSERT INTO `lang_definitions` VALUES (55222, 9169, 11, '搜索時選擇');
INSERT INTO `lang_definitions` VALUES (55223, 9171, 11, '搜索字符串沒有與數據庫中的名單相符');
INSERT INTO `lang_definitions` VALUES (55224, 9172, 11, '搜索字符串應該至少有三個字元');
INSERT INTO `lang_definitions` VALUES (55225, 9174, 11, '搜索文字');
INSERT INTO `lang_definitions` VALUES (55226, 9175, 11, '搜索事件');
INSERT INTO `lang_definitions` VALUES (55227, 9178, 11, '搜索/添加');
INSERT INTO `lang_definitions` VALUES (55228, 9179, 11, '搜索/加入保險人');
INSERT INTO `lang_definitions` VALUES (55229, 9181, 11, '尋找約會');
INSERT INTO `lang_definitions` VALUES (55230, 9182, 11, '搜索...');
INSERT INTO `lang_definitions` VALUES (55231, 9184, 11, '使用安全帶');
INSERT INTO `lang_definitions` VALUES (55232, 9185, 11, '使用安全帶');
INSERT INTO `lang_definitions` VALUES (55233, 9186, 11, '第二');
INSERT INTO `lang_definitions` VALUES (55234, 9189, 11, '續發的');
INSERT INTO `lang_definitions` VALUES (55235, 9191, 11, '次要保險');
INSERT INTO `lang_definitions` VALUES (55236, 9192, 11, '次要保險日期');
INSERT INTO `lang_definitions` VALUES (55237, 9193, 11, '次要保險提供者');
INSERT INTO `lang_definitions` VALUES (55238, 9207, 11, '安全性');
INSERT INTO `lang_definitions` VALUES (55239, 9208, 11, '查看全部');
INSERT INTO `lang_definitions` VALUES (55240, 9210, 11, '看到授權');
INSERT INTO `lang_definitions` VALUES (55241, 9213, 11, '看生長曲線圖');
INSERT INTO `lang_definitions` VALUES (55242, 9214, 11, '從最後一組產生的索賠看到消息');
INSERT INTO `lang_definitions` VALUES (55243, 9218, 11, '看到自');
INSERT INTO `lang_definitions` VALUES (55244, 9222, 11, '痙攣');
INSERT INTO `lang_definitions` VALUES (55245, 9223, 11, 'SEL');
INSERT INTO `lang_definitions` VALUES (55246, 9224, 11, '選擇');
INSERT INTO `lang_definitions` VALUES (55247, 9225, 11, '選擇');
INSERT INTO `lang_definitions` VALUES (55248, 9228, 11, '選擇一個關聯');
INSERT INTO `lang_definitions` VALUES (55249, 9236, 11, '選擇一個用戶');
INSERT INTO `lang_definitions` VALUES (55250, 9239, 11, '選擇全部');
INSERT INTO `lang_definitions` VALUES (55251, 9248, 11, '選擇列印CAMOS條目');
INSERT INTO `lang_definitions` VALUES (55252, 9250, 11, '選擇類別');
INSERT INTO `lang_definitions` VALUES (55253, 9254, 11, '選擇對應的的複選框以刪除');
INSERT INTO `lang_definitions` VALUES (55254, 9256, 11, '選擇要刪除的標準');
INSERT INTO `lang_definitions` VALUES (55255, 9260, 11, '選擇去識別所需的資料');
INSERT INTO `lang_definitions` VALUES (55256, 9261, 11, '選擇的數據將在包含在去識別的資料中');
INSERT INTO `lang_definitions` VALUES (55257, 9262, 11, '選擇的日期');
INSERT INTO `lang_definitions` VALUES (55258, 9264, 11, '選擇所需的陣容');
INSERT INTO `lang_definitions` VALUES (55259, 9265, 11, '選擇診斷');
INSERT INTO `lang_definitions` VALUES (55260, 9267, 11, '為去識別請求選擇診斷');
INSERT INTO `lang_definitions` VALUES (55261, 9271, 11, '選擇藥物');
INSERT INTO `lang_definitions` VALUES (55262, 9272, 11, '選擇藥物');
INSERT INTO `lang_definitions` VALUES (55263, 9273, 11, '為去識別請求選擇藥物');
INSERT INTO `lang_definitions` VALUES (55264, 9274, 11, '選擇EDI-271文件');
INSERT INTO `lang_definitions` VALUES (55265, 9276, 11, '選擇字段');
INSERT INTO `lang_definitions` VALUES (55266, 9278, 11, '選擇字段');
INSERT INTO `lang_definitions` VALUES (55267, 9279, 11, '選擇列印');
INSERT INTO `lang_definitions` VALUES (55268, 9285, 11, '選擇免疫');
INSERT INTO `lang_definitions` VALUES (55269, 9286, 11, '為去識別請求選擇免疫');
INSERT INTO `lang_definitions` VALUES (55270, 9287, 11, '藉由輸入選擇保險');
INSERT INTO `lang_definitions` VALUES (55271, 9288, 11, '選擇目錄');
INSERT INTO `lang_definitions` VALUES (55272, 9291, 11, '選擇語言');
INSERT INTO `lang_definitions` VALUES (55273, 9321, 11, '選擇導出的配置項');
INSERT INTO `lang_definitions` VALUES (55274, 9328, 11, '選擇在這一天任何錯過了的事件負有主要責任的問題');
INSERT INTO `lang_definitions` VALUES (55275, 9338, 11, '選擇用戶');
INSERT INTO `lang_definitions` VALUES (55276, 9340, 11, '從下載表單中選擇客戶');
INSERT INTO `lang_definitions` VALUES (55277, 9341, 11, '選擇哪種語言，如果有的話，可能會在登錄時選擇。 （只有相關，如果上述所有語言允許被關閉）');
INSERT INTO `lang_definitions` VALUES (55278, 9343, 11, '選擇“是”以確認群組刪除');
INSERT INTO `lang_definitions` VALUES (55279, 9349, 11, '選擇的');
INSERT INTO `lang_definitions` VALUES (55280, 9350, 11, '選擇遭遇');
INSERT INTO `lang_definitions` VALUES (55281, 9357, 11, '自己');
INSERT INTO `lang_definitions` VALUES (55282, 9358, 11, '自付費');
INSERT INTO `lang_definitions` VALUES (55283, 9360, 11, '發送');
INSERT INTO `lang_definitions` VALUES (55284, 9369, 11, '發送正在進行中');
INSERT INTO `lang_definitions` VALUES (55285, 9372, 11, '發送消息');
INSERT INTO `lang_definitions` VALUES (55286, 9378, 11, '發送提醒批次');
INSERT INTO `lang_definitions` VALUES (55287, 9379, 11, '發送提醒患者每個病人對預防/追蹤照顧的偏好。');
INSERT INTO `lang_definitions` VALUES (55288, 9383, 11, '發送轉介摘要');
INSERT INTO `lang_definitions` VALUES (55289, 9384, 11, '發送此文件');
INSERT INTO `lang_definitions` VALUES (55290, 9395, 11, '寄件人');
INSERT INTO `lang_definitions` VALUES (55291, 9396, 11, '寄件者識別碼');
INSERT INTO `lang_definitions` VALUES (55292, 9397, 11, '寄件者識別碼（ISA06）');
INSERT INTO `lang_definitions` VALUES (55293, 9398, 11, '寄件者識別碼限定符（ISA05）');
INSERT INTO `lang_definitions` VALUES (55294, 9407, 11, '敏感性');
INSERT INTO `lang_definitions` VALUES (55295, 9411, 11, '敏感性：');
INSERT INTO `lang_definitions` VALUES (55296, 9412, 11, '感官檢查正常');
INSERT INTO `lang_definitions` VALUES (55297, 9418, 11, '已發送郵件');
INSERT INTO `lang_definitions` VALUES (55298, 9419, 11, '發送病歷？');
INSERT INTO `lang_definitions` VALUES (55299, 9420, 11, '成功的發送');
INSERT INTO `lang_definitions` VALUES (55300, 9423, 11, '發送到印表機。');
INSERT INTO `lang_definitions` VALUES (55301, 9429, 11, '九月');
INSERT INTO `lang_definitions` VALUES (55302, 9430, 11, '分離');
INSERT INTO `lang_definitions` VALUES (55303, 9431, 11, '九月');
INSERT INTO `lang_definitions` VALUES (55304, 9432, 11, '順序');
INSERT INTO `lang_definitions` VALUES (55305, 9433, 11, '順序');
INSERT INTO `lang_definitions` VALUES (55306, 9442, 11, '服務');
INSERT INTO `lang_definitions` VALUES (55307, 9444, 11, '服務類別');
INSERT INTO `lang_definitions` VALUES (55308, 9445, 11, '服務代碼');
INSERT INTO `lang_definitions` VALUES (55309, 9447, 11, '服務代碼');
INSERT INTO `lang_definitions` VALUES (55310, 9448, 11, '服務日期');
INSERT INTO `lang_definitions` VALUES (55311, 9451, 11, '服務日期：');
INSERT INTO `lang_definitions` VALUES (55312, 9455, 11, '服務地點');
INSERT INTO `lang_definitions` VALUES (55313, 9457, 11, '專家提供的服務');
INSERT INTO `lang_definitions` VALUES (55314, 9461, 11, '服務');
INSERT INTO `lang_definitions` VALUES (55315, 9462, 11, '服務類別');
INSERT INTO `lang_definitions` VALUES (55316, 9463, 11, '提供的服務');
INSERT INTO `lang_definitions` VALUES (55317, 9464, 11, '提供的服務');
INSERT INTO `lang_definitions` VALUES (55318, 9465, 11, '服務/產品');
INSERT INTO `lang_definitions` VALUES (55319, 9466, 11, '工作階段類型');
INSERT INTO `lang_definitions` VALUES (55320, 9467, 11, '設置');
INSERT INTO `lang_definitions` VALUES (55321, 9468, 11, '設施設置Cookie以記住登錄之間的選定設施。');
INSERT INTO `lang_definitions` VALUES (55322, 9478, 11, '設置這個完整的絕對路徑。為創建HTTPS客戶端SSL證書。');
INSERT INTO `lang_definitions` VALUES (55323, 9479, 11, '設置到');
INSERT INTO `lang_definitions` VALUES (55324, 9480, 11, '設為默認值');
INSERT INTO `lang_definitions` VALUES (55325, 9486, 11, '設置在數據庫中的版本編號...');
INSERT INTO `lang_definitions` VALUES (55326, 9488, 11, '設置');
INSERT INTO `lang_definitions` VALUES (55327, 9493, 11, '嚴重偏頭痛');
INSERT INTO `lang_definitions` VALUES (55328, 9496, 11, '疼痛嚴重程度');
INSERT INTO `lang_definitions` VALUES (55329, 9497, 11, '疼痛嚴重程度：');
INSERT INTO `lang_definitions` VALUES (55330, 9498, 11, '性別');
INSERT INTO `lang_definitions` VALUES (55331, 9499, 11, '性病');
INSERT INTO `lang_definitions` VALUES (55332, 9502, 11, 'SHA-1哈希');
INSERT INTO `lang_definitions` VALUES (55333, 9503, 11, '分享');
INSERT INTO `lang_definitions` VALUES (55334, 9504, 11, '從伺服器發出的列印shell命令');
INSERT INTO `lang_definitions` VALUES (55335, 9510, 11, '呼吸短促');
INSERT INTO `lang_definitions` VALUES (55336, 9511, 11, '呼吸短促');
INSERT INTO `lang_definitions` VALUES (55337, 9512, 11, '呼吸短促2');
INSERT INTO `lang_definitions` VALUES (55338, 9513, 11, '拍攝紀錄');
INSERT INTO `lang_definitions` VALUES (55339, 9514, 11, '作為拍攝記錄：');
INSERT INTO `lang_definitions` VALUES (55340, 9516, 11, '應該像NNNNN-NNNN-NN');
INSERT INTO `lang_definitions` VALUES (55341, 9517, 11, '應該是兩個字母');
INSERT INTO `lang_definitions` VALUES (55342, 9518, 11, '應包含10個數字');
INSERT INTO `lang_definitions` VALUES (55343, 9519, 11, '應包含只有10個數字');
INSERT INTO `lang_definitions` VALUES (55344, 9520, 11, '肩膀');
INSERT INTO `lang_definitions` VALUES (55345, 9521, 11, '肩膀+鎖骨');
INSERT INTO `lang_definitions` VALUES (55346, 9522, 11, '肩膀問題');
INSERT INTO `lang_definitions` VALUES (55347, 9523, 11, '顯示');
INSERT INTO `lang_definitions` VALUES (55348, 9527, 11, '顯示全部');
INSERT INTO `lang_definitions` VALUES (55349, 9531, 11, '顯示所有事務');
INSERT INTO `lang_definitions` VALUES (55350, 9532, 11, '顯示為忙碌');
INSERT INTO `lang_definitions` VALUES (55351, 9533, 11, '只顯示授權');
INSERT INTO `lang_definitions` VALUES (55352, 9534, 11, '顯示可用的時間');
INSERT INTO `lang_definitions` VALUES (55353, 9535, 11, '顯示美元和公制（主要單位是公制）');
INSERT INTO `lang_definitions` VALUES (55354, 9536, 11, '顯示美元和公制（主要單位是公制）');
INSERT INTO `lang_definitions` VALUES (55355, 9540, 11, '顯示詳細信息');
INSERT INTO `lang_definitions` VALUES (55356, 9544, 11, '顯示圖形');
INSERT INTO `lang_definitions` VALUES (55357, 9547, 11, '顯示管理頁面上有多少事件？');
INSERT INTO `lang_definitions` VALUES (55358, 9552, 11, '顯示菜單');
INSERT INTO `lang_definitions` VALUES (55359, 9553, 11, '只顯示公制');
INSERT INTO `lang_definitions` VALUES (55360, 9556, 11, '顯示註釋');
INSERT INTO `lang_definitions` VALUES (55361, 9561, 11, '顯示病人筆記');
INSERT INTO `lang_definitions` VALUES (55362, 9564, 11, '顯示初步完成');
INSERT INTO `lang_definitions` VALUES (55363, 9569, 11, '顯示報告');
INSERT INTO `lang_definitions` VALUES (55364, 9570, 11, '在區塊中顯示搜索/提交的連結？');
INSERT INTO `lang_definitions` VALUES (55365, 9574, 11, '顯示附加列表部件的自訂定義狀態的形式（要求標題和縮寫）。');
INSERT INTO `lang_definitions` VALUES (55366, 9580, 11, '只顯示未入賬');
INSERT INTO `lang_definitions` VALUES (55367, 9581, 11, '只顯示美國');
INSERT INTO `lang_definitions` VALUES (55368, 9595, 11, '手足');
INSERT INTO `lang_definitions` VALUES (55369, 9596, 11, '鎌狀細胞');
INSERT INTO `lang_definitions` VALUES (55370, 9597, 11, '加標記');
INSERT INTO `lang_definitions` VALUES (55371, 9598, 11, '乙狀結腸/大腸鏡檢查');
INSERT INTO `lang_definitions` VALUES (55372, 9601, 11, '簽署實驗室檢測結果（寫，addonly可選）');
INSERT INTO `lang_definitions` VALUES (55373, 9603, 11, '簽署結果');
INSERT INTO `lang_definitions` VALUES (55374, 9606, 11, '簽名');
INSERT INTO `lang_definitions` VALUES (55375, 9609, 11, '簽名：');
INSERT INTO `lang_definitions` VALUES (55376, 9612, 11, '簽名接收');
INSERT INTO `lang_definitions` VALUES (55377, 9614, 11, '顯著腫脹：');
INSERT INTO `lang_definitions` VALUES (55378, 9616, 11, '簡化的共同付款');
INSERT INTO `lang_definitions` VALUES (55379, 9617, 11, '簡化的人口統計學');
INSERT INTO `lang_definitions` VALUES (55380, 9618, 11, '簡化的處方');
INSERT INTO `lang_definitions` VALUES (55381, 9619, 11, '自從');
INSERT INTO `lang_definitions` VALUES (55382, 9620, 11, '真誠的，');
INSERT INTO `lang_definitions` VALUES (55383, 9622, 11, '單一');
INSERT INTO `lang_definitions` VALUES (55384, 9624, 11, '單選擇列表');
INSERT INTO `lang_definitions` VALUES (55385, 9625, 11, '單選擇列表與能力添加到列表');
INSERT INTO `lang_definitions` VALUES (55386, 9629, 11, '竇問題');
INSERT INTO `lang_definitions` VALUES (55387, 9630, 11, '竇手術');
INSERT INTO `lang_definitions` VALUES (55388, 9631, 11, '竇壓痛：');
INSERT INTO `lang_definitions` VALUES (55389, 9632, 11, '鼻竇炎');
INSERT INTO `lang_definitions` VALUES (55390, 9637, 11, '網站憑證');
INSERT INTO `lang_definitions` VALUES (55391, 9639, 11, '為OpenEMR支持LLC實驗室交換服務的網站憑證。');
INSERT INTO `lang_definitions` VALUES (55392, 9643, 11, '大小');
INSERT INTO `lang_definitions` VALUES (55393, 9646, 11, '大小必須是一個介於1和999之間的數字');
INSERT INTO `lang_definitions` VALUES (55394, 9648, 11, '尺寸/名單');
INSERT INTO `lang_definitions` VALUES (55395, 9650, 11, '皮膚');
INSERT INTO `lang_definitions` VALUES (55396, 9651, 11, '皮膚癌');
INSERT INTO `lang_definitions` VALUES (55397, 9652, 11, '皮膚疾病');
INSERT INTO `lang_definitions` VALUES (55398, 9653, 11, '皮膚其他');
INSERT INTO `lang_definitions` VALUES (55399, 9654, 11, '跳過病人註釋的授權');
INSERT INTO `lang_definitions` VALUES (55400, 9659, 11, '略過一節');
INSERT INTO `lang_definitions` VALUES (55401, 9660, 11, '略過SQL總帳轉儲 - 沒有為Windows服務器實施');
INSERT INTO `lang_definitions` VALUES (55402, 9664, 11, '睡眠形態');
INSERT INTO `lang_definitions` VALUES (55403, 9665, 11, '睡眠形態');
INSERT INTO `lang_definitions` VALUES (55404, 9666, 11, '睡眠形態');
INSERT INTO `lang_definitions` VALUES (55405, 9668, 11, '斯洛伐克');
INSERT INTO `lang_definitions` VALUES (55406, 9670, 11, '釤債務W / O');
INSERT INTO `lang_definitions` VALUES (55407, 9675, 11, '醒目的快取記憶體已被清除');
INSERT INTO `lang_definitions` VALUES (55408, 9676, 11, '吸煙者，目前狀態未知');
INSERT INTO `lang_definitions` VALUES (55409, 9678, 11, '吸煙情形');
INSERT INTO `lang_definitions` VALUES (55410, 9680, 11, '短訊驗證');
INSERT INTO `lang_definitions` VALUES (55411, 9683, 11, '短訊網關');
INSERT INTO `lang_definitions` VALUES (55412, 9684, 11, '短訊網關API鍵');
INSERT INTO `lang_definitions` VALUES (55413, 9685, 11, '短信網關API鍵');
INSERT INTO `lang_definitions` VALUES (55414, 9686, 11, '短訊網關密碼');
INSERT INTO `lang_definitions` VALUES (55415, 9687, 11, '短訊網關用戶名稱');
INSERT INTO `lang_definitions` VALUES (55416, 9689, 11, '短訊通知');
INSERT INTO `lang_definitions` VALUES (55417, 9690, 11, '短訊通知時間');
INSERT INTO `lang_definitions` VALUES (55418, 9693, 11, '短訊發送前');
INSERT INTO `lang_definitions` VALUES (55419, 9694, 11, '短訊發送');
INSERT INTO `lang_definitions` VALUES (55420, 9697, 11, '短訊，可用標籤：***姓名***，***提供商***，***日期***，*** STARTTIME***，*** ENDTIME***參考，即親愛的***姓名***');
INSERT INTO `lang_definitions` VALUES (55421, 9701, 11, '短訊/電子郵件警報設置');
INSERT INTO `lang_definitions` VALUES (55422, 9703, 11, 'SMTP密碼身份驗證');
INSERT INTO `lang_definitions` VALUES (55423, 9706, 11, 'SMTP服務器的主機名');
INSERT INTO `lang_definitions` VALUES (55424, 9707, 11, 'SMTP服務器端口號碼');
INSERT INTO `lang_definitions` VALUES (55425, 9708, 11, 'SMTP用戶身份驗證');
INSERT INTO `lang_definitions` VALUES (55426, 9717, 11, 'SNOMED的資料庫');
INSERT INTO `lang_definitions` VALUES (55427, 9721, 11, '打鼾');
INSERT INTO `lang_definitions` VALUES (55428, 9722, 11, '主觀資料客觀資料評估計畫');
INSERT INTO `lang_definitions` VALUES (55429, 9726, 11, '社交困難');
INSERT INTO `lang_definitions` VALUES (55430, 9729, 11, '社會史：');
INSERT INTO `lang_definitions` VALUES (55431, 9730, 11, '社會安全號碼');
INSERT INTO `lang_definitions` VALUES (55432, 9732, 11, '解決');
INSERT INTO `lang_definitions` VALUES (55433, 9734, 11, '語義上下文');
INSERT INTO `lang_definitions` VALUES (55434, 9735, 11, '一些授權不顯示。點擊此處查看全部');
INSERT INTO `lang_definitions` VALUES (55435, 9736, 11, '有些代碼不顯示。');
INSERT INTO `lang_definitions` VALUES (55436, 9737, 11, '一些遭遇不顯示。點擊此處查看全部。');
INSERT INTO `lang_definitions` VALUES (55437, 9738, 11, '去識別過程中出現一些錯誤');
INSERT INTO `lang_definitions` VALUES (55438, 9740, 11, '不顯示一些注意事項。');
INSERT INTO `lang_definitions` VALUES (55439, 9743, 11, '有些話');
INSERT INTO `lang_definitions` VALUES (55440, 9747, 11, '出了錯。請再試一次。');
INSERT INTO `lang_definitions` VALUES (55441, 9748, 11, '不久，由於時間間隔（臨床提醒）');
INSERT INTO `lang_definitions` VALUES (55442, 9749, 11, '不久，由於時間間隔（病人提醒）');
INSERT INTO `lang_definitions` VALUES (55443, 9750, 11, '喉嚨痛');
INSERT INTO `lang_definitions` VALUES (55444, 9754, 11, '很抱歉，上傳您的檔案有問題');
INSERT INTO `lang_definitions` VALUES (55445, 9758, 11, '排序');
INSERT INTO `lang_definitions` VALUES (55446, 9759, 11, '排序');
INSERT INTO `lang_definitions` VALUES (55447, 9761, 11, '通過校驗和排序');
INSERT INTO `lang_definitions` VALUES (55448, 9762, 11, '排序意見');
INSERT INTO `lang_definitions` VALUES (55449, 9763, 11, '按CRT用戶排序');
INSERT INTO `lang_definitions` VALUES (55450, 9764, 11, '按日期排序');
INSERT INTO `lang_definitions` VALUES (55451, 9765, 11, '按日期/時間排序');
INSERT INTO `lang_definitions` VALUES (55452, 9766, 11, '按事件排序');
INSERT INTO `lang_definitions` VALUES (55453, 9767, 11, '按群組排序');
INSERT INTO `lang_definitions` VALUES (55454, 9770, 11, '按病人身分排序');
INSERT INTO `lang_definitions` VALUES (55455, 9772, 11, '按成功排序');
INSERT INTO `lang_definitions` VALUES (55456, 9774, 11, '按用戶排序');
INSERT INTO `lang_definitions` VALUES (55457, 9775, 11, '按疫苗排序');
INSERT INTO `lang_definitions` VALUES (55458, 9776, 11, '降序');
INSERT INTO `lang_definitions` VALUES (55459, 9777, 11, '排序結果');
INSERT INTO `lang_definitions` VALUES (55460, 9778, 11, '升序');
INSERT INTO `lang_definitions` VALUES (55461, 9779, 11, '來源');
INSERT INTO `lang_definitions` VALUES (55462, 9781, 11, '來源檔案');
INSERT INTO `lang_definitions` VALUES (55463, 9782, 11, '來源檔案路徑');
INSERT INTO `lang_definitions` VALUES (55464, 9783, 11, '來源遺漏的代碼');
INSERT INTO `lang_definitions` VALUES (55465, 9784, 11, '來源批次');
INSERT INTO `lang_definitions` VALUES (55466, 9789, 11, '來源：');
INSERT INTO `lang_definitions` VALUES (55467, 9792, 11, '空間');
INSERT INTO `lang_definitions` VALUES (55468, 9793, 11, '空間');
INSERT INTO `lang_definitions` VALUES (55469, 9795, 11, '西班牙');
INSERT INTO `lang_definitions` VALUES (55470, 9801, 11, '專家');
INSERT INTO `lang_definitions` VALUES (55471, 9802, 11, '專家姓名和簽名');
INSERT INTO `lang_definitions` VALUES (55472, 9804, 11, '專業');
INSERT INTO `lang_definitions` VALUES (55473, 9805, 11, '專業系統');
INSERT INTO `lang_definitions` VALUES (55474, 9806, 11, '專業：');
INSERT INTO `lang_definitions` VALUES (55475, 9807, 11, '具體');
INSERT INTO `lang_definitions` VALUES (55476, 9808, 11, '具體應用');
INSERT INTO `lang_definitions` VALUES (55477, 9809, 11, '具體避孕服務');
INSERT INTO `lang_definitions` VALUES (55478, 9810, 11, '具體結果');
INSERT INTO `lang_definitions` VALUES (55479, 9811, 11, '具體服務');
INSERT INTO `lang_definitions` VALUES (55480, 9812, 11, '具體的');
INSERT INTO `lang_definitions` VALUES (55481, 9813, 11, '指定的編碼格式。 ＃=數字，* =任意字符。空如果不使用。');
INSERT INTO `lang_definitions` VALUES (55482, 9814, 11, '指定的編碼格式。＃=數字，@=阿爾法，* =任意字符。空如果不使用。');
INSERT INTO `lang_definitions` VALUES (55483, 9815, 11, '指定格式化發票參考號碼。 ＃=數字，* =任意字符。空如果不使用。');
INSERT INTO `lang_definitions` VALUES (55484, 9816, 11, '指定格式化發票參考號碼。＃=數字，@=阿爾法，* =任意字符。空如果不使用。');
INSERT INTO `lang_definitions` VALUES (55485, 9817, 11, '指定格式化產品NDC的領域。 ＃=數字，* =任意字符。空如果不使用。');
INSERT INTO `lang_definitions` VALUES (55486, 9818, 11, '指定格式化產品NDC的領域。＃=數字，@=阿爾法，* =任意字符。空如果不使用。');
INSERT INTO `lang_definitions` VALUES (55487, 9819, 11, '指定格式為外部的病人ID。 ＃=數字，* =任意字符。空如果不使用。');
INSERT INTO `lang_definitions` VALUES (55488, 9820, 11, '指定格式為外部的病人ID。＃=數字，@=阿爾法，* =任意字符。空如果不使用。');
INSERT INTO `lang_definitions` VALUES (55489, 9823, 11, '標本');
INSERT INTO `lang_definitions` VALUES (55490, 9824, 11, '標本數/標識符');
INSERT INTO `lang_definitions` VALUES (55491, 9825, 11, '標本類型');
INSERT INTO `lang_definitions` VALUES (55492, 9827, 11, '語音聽寫');
INSERT INTO `lang_definitions` VALUES (55493, 9828, 11, '殺精劑');
INSERT INTO `lang_definitions` VALUES (55494, 9831, 11, '脾臟切除術');
INSERT INTO `lang_definitions` VALUES (55495, 9832, 11, '配偶');
INSERT INTO `lang_definitions` VALUES (55496, 9834, 11, '痰');
INSERT INTO `lang_definitions` VALUES (55497, 9835, 11, '痰：');
INSERT INTO `lang_definitions` VALUES (55498, 9836, 11, '倚');
INSERT INTO `lang_definitions` VALUES (55499, 9839, 11, '陣容');
INSERT INTO `lang_definitions` VALUES (55500, 9840, 11, '陣容成員');
INSERT INTO `lang_definitions` VALUES (55501, 9841, 11, '小隊');
INSERT INTO `lang_definitions` VALUES (55502, 9843, 11, '生殖健康');
INSERT INTO `lang_definitions` VALUES (55503, 9844, 11, '生殖健康 - 計劃生育');
INSERT INTO `lang_definitions` VALUES (55504, 9845, 11, '生殖健康非計劃生育');
INSERT INTO `lang_definitions` VALUES (55505, 9846, 11, '生殖健康轉介');
INSERT INTO `lang_definitions` VALUES (55506, 9847, 11, '生殖健康訪問表');
INSERT INTO `lang_definitions` VALUES (55507, 9848, 11, 'SRV日期');
INSERT INTO `lang_definitions` VALUES (55508, 9849, 11, '不銹鋼');
INSERT INTO `lang_definitions` VALUES (55509, 9850, 11, 'SSL證書管理');
INSERT INTO `lang_definitions` VALUES (55510, 9851, 11, '社會安全號碼');
INSERT INTO `lang_definitions` VALUES (55511, 9852, 11, '穩定度');
INSERT INTO `lang_definitions` VALUES (55512, 9855, 11, '標準');
INSERT INTO `lang_definitions` VALUES (55513, 9857, 11, '標準代碼');
INSERT INTO `lang_definitions` VALUES (55514, 9860, 11, '標準測量');
INSERT INTO `lang_definitions` VALUES (55515, 9864, 11, '標準名稱');
INSERT INTO `lang_definitions` VALUES (55516, 9866, 11, '開始');
INSERT INTO `lang_definitions` VALUES (55517, 9867, 11, '開始(年年年年/月月/日日)');
INSERT INTO `lang_definitions` VALUES (55518, 9874, 11, '開始日期');
INSERT INTO `lang_definitions` VALUES (55519, 9876, 11, '在這診所的開始日期');
INSERT INTO `lang_definitions` VALUES (55520, 9877, 11, '開始日期不應該大於結束日期');
INSERT INTO `lang_definitions` VALUES (55521, 9878, 11, '開始日期︰');
INSERT INTO `lang_definitions` VALUES (55522, 9879, 11, '開始日期︰');
INSERT INTO `lang_definitions` VALUES (55523, 9881, 11, '開始時間');
INSERT INTO `lang_definitions` VALUES (55524, 9884, 11, '開始日期');
INSERT INTO `lang_definitions` VALUES (55525, 9888, 11, '統計');
INSERT INTO `lang_definitions` VALUES (55526, 9889, 11, '國家');
INSERT INTO `lang_definitions` VALUES (55527, 9890, 11, '國家數據類型');
INSERT INTO `lang_definitions` VALUES (55528, 9892, 11, '國家許可證編號');
INSERT INTO `lang_definitions` VALUES (55529, 9893, 11, '狀態列表');
INSERT INTO `lang_definitions` VALUES (55530, 9894, 11, '國家名單（寫，addonly可選）');
INSERT INTO `lang_definitions` VALUES (55531, 9896, 11, '國家列表部件的自定義字段');
INSERT INTO `lang_definitions` VALUES (55532, 9897, 11, '州或省');
INSERT INTO `lang_definitions` VALUES (55533, 9898, 11, '國家/產地');
INSERT INTO `lang_definitions` VALUES (55534, 9899, 11, '國家/教區');
INSERT INTO `lang_definitions` VALUES (55535, 9903, 11, '發言摘要');
INSERT INTO `lang_definitions` VALUES (55536, 9904, 11, '報表和更新發票。');
INSERT INTO `lang_definitions` VALUES (55537, 9906, 11, '報表發送：');
INSERT INTO `lang_definitions` VALUES (55538, 9907, 11, '報表;發票將不會被更新。');
INSERT INTO `lang_definitions` VALUES (55539, 9908, 11, '靜態文字');
INSERT INTO `lang_definitions` VALUES (55540, 9909, 11, '統計');
INSERT INTO `lang_definitions` VALUES (55541, 9910, 11, '統計');
INSERT INTO `lang_definitions` VALUES (55542, 9911, 11, '狀態');
INSERT INTO `lang_definitions` VALUES (55543, 9916, 11, '現狀');
INSERT INTO `lang_definitions` VALUES (55544, 9918, 11, '性病/愛滋病Couns');
INSERT INTO `lang_definitions` VALUES (55545, 9919, 11, '實力和調節');
INSERT INTO `lang_definitions` VALUES (55546, 9932, 11, '關節僵硬');
INSERT INTO `lang_definitions` VALUES (55547, 9933, 11, '僵硬');
INSERT INTO `lang_definitions` VALUES (55548, 9935, 11, '庫存月份');
INSERT INTO `lang_definitions` VALUES (55549, 9936, 11, '胃痛');
INSERT INTO `lang_definitions` VALUES (55550, 9942, 11, '儲存的散列');
INSERT INTO `lang_definitions` VALUES (55551, 9944, 11, '肌肉緊張');
INSERT INTO `lang_definitions` VALUES (55552, 9946, 11, '流');
INSERT INTO `lang_definitions` VALUES (55553, 9947, 11, '街道');
INSERT INTO `lang_definitions` VALUES (55554, 9948, 11, '街道地址');
INSERT INTO `lang_definitions` VALUES (55555, 9949, 11, '街道與號碼');
INSERT INTO `lang_definitions` VALUES (55556, 9950, 11, '強度');
INSERT INTO `lang_definitions` VALUES (55557, 9952, 11, '咽喉炎');
INSERT INTO `lang_definitions` VALUES (55558, 9953, 11, '壓迫性骨折');
INSERT INTO `lang_definitions` VALUES (55559, 9954, 11, '壓力試驗');
INSERT INTO `lang_definitions` VALUES (55560, 9956, 11, '中風');
INSERT INTO `lang_definitions` VALUES (55561, 9958, 11, '強密碼是指至少8個字符，並至少有三個：一個數字，小寫字母，大寫字母，特殊字符。');
INSERT INTO `lang_definitions` VALUES (55562, 9961, 11, '添加新患者使用的形式風格');
INSERT INTO `lang_definitions` VALUES (55563, 9965, 11, '子類');
INSERT INTO `lang_definitions` VALUES (55564, 9966, 11, '小計');
INSERT INTO `lang_definitions` VALUES (55565, 9967, 11, '子類');
INSERT INTO `lang_definitions` VALUES (55566, 9968, 11, '子類');
INSERT INTO `lang_definitions` VALUES (55567, 9969, 11, '皮下');
INSERT INTO `lang_definitions` VALUES (55568, 9970, 11, '主題');
INSERT INTO `lang_definitions` VALUES (55569, 9971, 11, '主題的');
INSERT INTO `lang_definitions` VALUES (55570, 9972, 11, '舌下');
INSERT INTO `lang_definitions` VALUES (55571, 9973, 11, '舌下');
INSERT INTO `lang_definitions` VALUES (55572, 9974, 11, '提交');
INSERT INTO `lang_definitions` VALUES (55573, 9975, 11, '提交');
INSERT INTO `lang_definitions` VALUES (55574, 9976, 11, '提交全部內容');
INSERT INTO `lang_definitions` VALUES (55575, 9979, 11, '提交事件');
INSERT INTO `lang_definitions` VALUES (55576, 9980, 11, '提交表單');
INSERT INTO `lang_definitions` VALUES (55577, 9982, 11, '提交選擇的內容');
INSERT INTO `lang_definitions` VALUES (55578, 9984, 11, '提交');
INSERT INTO `lang_definitions` VALUES (55579, 9985, 11, '提交被');
INSERT INTO `lang_definitions` VALUES (55580, 9986, 11, '發表者EDI存取號碼（PER06）');
INSERT INTO `lang_definitions` VALUES (55581, 9987, 11, '訂閱者');
INSERT INTO `lang_definitions` VALUES (55582, 9988, 11, '訂閱者住址');
INSERT INTO `lang_definitions` VALUES (55583, 9992, 11, '訂閱者单位');
INSERT INTO `lang_definitions` VALUES (55584, 9993, 11, '訂閱者单位(SE)');
INSERT INTO `lang_definitions` VALUES (55585, 9994, 11, '訂閱者单位地址');
INSERT INTO `lang_definitions` VALUES (55586, 9995, 11, '訂閱者单位城市');
INSERT INTO `lang_definitions` VALUES (55587, 9996, 11, '訂閱者单位國家');
INSERT INTO `lang_definitions` VALUES (55588, 9997, 11, '訂閱者单位州');
INSERT INTO `lang_definitions` VALUES (55589, 10000, 11, '訂閱者单位郵編');
INSERT INTO `lang_definitions` VALUES (55590, 10005, 11, '訂閱者電話');
INSERT INTO `lang_definitions` VALUES (55591, 10006, 11, '訂閱者關係');
INSERT INTO `lang_definitions` VALUES (55592, 10007, 11, '訂閱者的關係不是自封，但名稱是相同的！這是真的確定嗎？');
INSERT INTO `lang_definitions` VALUES (55593, 10008, 11, '訂閱者的關係不是自封，但SS名稱是相同的！');
INSERT INTO `lang_definitions` VALUES (55594, 10009, 11, '訂閱者的關係是自封，但名稱不一樣！這是真的確定嗎？');
INSERT INTO `lang_definitions` VALUES (55595, 10010, 11, '訂閱者的關係是自封，但SS名稱不一樣！');
INSERT INTO `lang_definitions` VALUES (55596, 10011, 11, '訂閱者性別');
INSERT INTO `lang_definitions` VALUES (55597, 10020, 11, '替換');
INSERT INTO `lang_definitions` VALUES (55598, 10021, 11, '允許替換');
INSERT INTO `lang_definitions` VALUES (55599, 10024, 11, '成功');
INSERT INTO `lang_definitions` VALUES (55600, 10025, 11, '成功');
INSERT INTO `lang_definitions` VALUES (55601, 10026, 11, '成功確認收到實驗室的結果');
INSERT INTO `lang_definitions` VALUES (55602, 10027, 11, '成功收到實驗室的結果');
INSERT INTO `lang_definitions` VALUES (55603, 10028, 11, '從實驗室交換網絡的成功檢索結果');
INSERT INTO `lang_definitions` VALUES (55604, 10030, 11, '成功添加類別');
INSERT INTO `lang_definitions` VALUES (55605, 10031, 11, '成功添加到類別');
INSERT INTO `lang_definitions` VALUES (55606, 10033, 11, '成功刪除');
INSERT INTO `lang_definitions` VALUES (55607, 10035, 11, '成功安裝了資料庫。');
INSERT INTO `lang_definitions` VALUES (55608, 10037, 11, '修改成功');
INSERT INTO `lang_definitions` VALUES (55609, 10039, 11, '成功儲存，你想分配嗎？');
INSERT INTO `lang_definitions` VALUES (55610, 10040, 11, '成功儲存，你想分發嗎？');
INSERT INTO `lang_definitions` VALUES (55611, 10042, 11, '成功儲存。');
INSERT INTO `lang_definitions` VALUES (55612, 10044, 11, '成功升級資料庫。');
INSERT INTO `lang_definitions` VALUES (55613, 10046, 11, '成功地');
INSERT INTO `lang_definitions` VALUES (55614, 10049, 11, '自殺');
INSERT INTO `lang_definitions` VALUES (55615, 10051, 11, '總結');
INSERT INTO `lang_definitions` VALUES (55616, 10052, 11, '總結');
INSERT INTO `lang_definitions` VALUES (55617, 10058, 11, '太陽');
INSERT INTO `lang_definitions` VALUES (55618, 10060, 11, '星期日');
INSERT INTO `lang_definitions` VALUES (55619, 10061, 11, 'Superbill');
INSERT INTO `lang_definitions` VALUES (55620, 10062, 11, 'superbill代碼');
INSERT INTO `lang_definitions` VALUES (55621, 10063, 11, 'superbill代碼管理');
INSERT INTO `lang_definitions` VALUES (55622, 10065, 11, 'Superbill報告');
INSERT INTO `lang_definitions` VALUES (55623, 10068, 11, 'superbills，有時也被稱為遇到表格或路線簡，是大多數醫療實踐的重要組成部分。');
INSERT INTO `lang_definitions` VALUES (55624, 10069, 11, '超級用戶');
INSERT INTO `lang_definitions` VALUES (55625, 10071, 11, '監督');
INSERT INTO `lang_definitions` VALUES (55626, 10073, 11, '監督醫生DEA方法');
INSERT INTO `lang_definitions` VALUES (55627, 10074, 11, '監督醫生姓名');
INSERT INTO `lang_definitions` VALUES (55628, 10075, 11, '監督醫生的姓氏');
INSERT INTO `lang_definitions` VALUES (55629, 10076, 11, '監督醫生新產品引進');
INSERT INTO `lang_definitions` VALUES (55630, 10077, 11, '監督醫生的UPIN');
INSERT INTO `lang_definitions` VALUES (55631, 10081, 11, '供應商設施的名稱');
INSERT INTO `lang_definitions` VALUES (55632, 10082, 11, '適用於多個供應商的支持日曆事件');
INSERT INTO `lang_definitions` VALUES (55633, 10083, 11, '經由備份頁面支持出口/進口配置數據。');
INSERT INTO `lang_definitions` VALUES (55634, 10084, 11, '支持多種供應商的活動');
INSERT INTO `lang_definitions` VALUES (55635, 10088, 11, '支持三重DES加密/解密。');
INSERT INTO `lang_definitions` VALUES (55636, 10090, 11, '表面類型');
INSERT INTO `lang_definitions` VALUES (55637, 10092, 11, '手術');
INSERT INTO `lang_definitions` VALUES (55638, 10093, 11, '手術');
INSERT INTO `lang_definitions` VALUES (55639, 10095, 11, '懸浮');
INSERT INTO `lang_definitions` VALUES (55640, 10096, 11, '懸掛');
INSERT INTO `lang_definitions` VALUES (55641, 10098, 11, 'SVC的日期');
INSERT INTO `lang_definitions` VALUES (55642, 10099, 11, 'SVC的日期：');
INSERT INTO `lang_definitions` VALUES (55643, 10102, 11, '流汗：');
INSERT INTO `lang_definitions` VALUES (55644, 10103, 11, '瑞典');
INSERT INTO `lang_definitions` VALUES (55645, 10104, 11, '腫脹');
INSERT INTO `lang_definitions` VALUES (55646, 10105, 11, '右側腫脹');
INSERT INTO `lang_definitions` VALUES (55647, 10106, 11, '關節腫脹');
INSERT INTO `lang_definitions` VALUES (55648, 10107, 11, '淋巴節腫脹');
INSERT INTO `lang_definitions` VALUES (55649, 10108, 11, '作為貨幣的小數點符號使用。如果小數位數為0則不使用。');
INSERT INTO `lang_definitions` VALUES (55650, 10109, 11, '用符號分開成千上萬貨幣。');
INSERT INTO `lang_definitions` VALUES (55651, 10110, 11, '症狀');
INSERT INTO `lang_definitions` VALUES (55652, 10111, 11, '同步');
INSERT INTO `lang_definitions` VALUES (55653, 10112, 11, '自定義語言表的同步翻譯。');
INSERT INTO `lang_definitions` VALUES (55654, 10113, 11, '同步新的自定義常數：');
INSERT INTO `lang_definitions` VALUES (55655, 10114, 11, '同步新的自定義的語言：');
INSERT INTO `lang_definitions` VALUES (55656, 10115, 11, '同步的新定義（語言，常數，定義）：');
INSERT INTO `lang_definitions` VALUES (55657, 10116, 11, '昏厥');
INSERT INTO `lang_definitions` VALUES (55658, 10117, 11, '症狀監測');
INSERT INTO `lang_definitions` VALUES (55659, 10118, 11, '症狀監測 - 非報告的問題');
INSERT INTO `lang_definitions` VALUES (55660, 10120, 11, '滑膜炎，撞擊，滑囊炎');
INSERT INTO `lang_definitions` VALUES (55661, 10121, 11, '系統');
INSERT INTO `lang_definitions` VALUES (55662, 10130, 11, '一天三次');
INSERT INTO `lang_definitions` VALUES (55663, 10131, 11, 'T.V.');
INSERT INTO `lang_definitions` VALUES (55664, 10133, 11, '表');
INSERT INTO `lang_definitions` VALUES (55665, 10137, 11, '創建表失敗');
INSERT INTO `lang_definitions` VALUES (55666, 10138, 11, '表更新失敗');
INSERT INTO `lang_definitions` VALUES (55667, 10140, 11, '錠劑');
INSERT INTO `lang_definitions` VALUES (55668, 10146, 11, '菲律賓語');
INSERT INTO `lang_definitions` VALUES (55669, 10149, 11, '拿');
INSERT INTO `lang_definitions` VALUES (55670, 10151, 11, '參加保險，從下拉');
INSERT INTO `lang_definitions` VALUES (55671, 10152, 11, '採取付款從，從下拉');
INSERT INTO `lang_definitions` VALUES (55672, 10153, 11, '收回');
INSERT INTO `lang_definitions` VALUES (55673, 10154, 11, '需要長時間');
INSERT INTO `lang_definitions` VALUES (55674, 10157, 11, '高大導航區');
INSERT INTO `lang_definitions` VALUES (55675, 10164, 11, '預定日期');
INSERT INTO `lang_definitions` VALUES (55676, 10168, 11, '目標/行動組');
INSERT INTO `lang_definitions` VALUES (55677, 10173, 11, '稅籍編號');
INSERT INTO `lang_definitions` VALUES (55678, 10174, 11, '稅率');
INSERT INTO `lang_definitions` VALUES (55679, 10175, 11, '稅');
INSERT INTO `lang_definitions` VALUES (55680, 10176, 11, '分類');
INSERT INTO `lang_definitions` VALUES (55681, 10181, 11, '運輸署');
INSERT INTO `lang_definitions` VALUES (55682, 10182, 11, '團隊損傷概述');
INSERT INTO `lang_definitions` VALUES (55683, 10183, 11, '隊員名單');
INSERT INTO `lang_definitions` VALUES (55684, 10184, 11, '隊員名單查看');
INSERT INTO `lang_definitions` VALUES (55685, 10185, 11, '團隊/隊');
INSERT INTO `lang_definitions` VALUES (55686, 10187, 11, '電話');
INSERT INTO `lang_definitions` VALUES (55687, 10189, 11, '電話國家代碼');
INSERT INTO `lang_definitions` VALUES (55688, 10192, 11, '溫度');
INSERT INTO `lang_definitions` VALUES (55689, 10193, 11, '臨時位置');
INSERT INTO `lang_definitions` VALUES (55690, 10194, 11, '溫度方法');
INSERT INTO `lang_definitions` VALUES (55691, 10196, 11, '溫度');
INSERT INTO `lang_definitions` VALUES (55692, 10197, 11, '範本');
INSERT INTO `lang_definitions` VALUES (55693, 10198, 11, '範本名稱');
INSERT INTO `lang_definitions` VALUES (55694, 10199, 11, '範本名稱不能以數字開始');
INSERT INTO `lang_definitions` VALUES (55695, 10201, 11, '範本：');
INSERT INTO `lang_definitions` VALUES (55696, 10202, 11, '範本');
INSERT INTO `lang_definitions` VALUES (55697, 10205, 11, '顳動脈');
INSERT INTO `lang_definitions` VALUES (55698, 10208, 11, '肌腱損傷');
INSERT INTO `lang_definitions` VALUES (55699, 10209, 11, '肌腱/塵埃沉著病/滑囊炎');
INSERT INTO `lang_definitions` VALUES (55700, 10211, 11, '暫行發票編號無');
INSERT INTO `lang_definitions` VALUES (55701, 10213, 11, '第三');
INSERT INTO `lang_definitions` VALUES (55702, 10214, 11, '第三保險');
INSERT INTO `lang_definitions` VALUES (55703, 10215, 11, '第三保險資料');
INSERT INTO `lang_definitions` VALUES (55704, 10216, 11, '第三保險提供者');
INSERT INTO `lang_definitions` VALUES (55705, 10219, 11, '測試排程');
INSERT INTO `lang_definitions` VALUES (55706, 10220, 11, '測試系統');
INSERT INTO `lang_definitions` VALUES (55707, 10223, 11, '文字');
INSERT INTO `lang_definitions` VALUES (55708, 10224, 11, '文字診斷');
INSERT INTO `lang_definitions` VALUES (55709, 10225, 11, '文字欄位');
INSERT INTO `lang_definitions` VALUES (55710, 10233, 11, '文字-日期');
INSERT INTO `lang_definitions` VALUES (55711, 10234, 11, '文字-日期');
INSERT INTO `lang_definitions` VALUES (55712, 10235, 11, '文本區域');
INSERT INTO `lang_definitions` VALUES (55713, 10236, 11, '文本區域');
INSERT INTO `lang_definitions` VALUES (55714, 10237, 11, '文字方塊');
INSERT INTO `lang_definitions` VALUES (55715, 10238, 11, '文字方塊');
INSERT INTO `lang_definitions` VALUES (55716, 10239, 11, '文字方塊名單');
INSERT INTO `lang_definitions` VALUES (55717, 10240, 11, '文字方塊名單');
INSERT INTO `lang_definitions` VALUES (55718, 10241, 11, '泰國');
INSERT INTO `lang_definitions` VALUES (55719, 10242, 11, '謝謝你');
INSERT INTO `lang_definitions` VALUES (55720, 10245, 11, '感謝您選擇');
INSERT INTO `lang_definitions` VALUES (55721, 10247, 11, '“清除”按鈕，將刪除所有註釋。');
INSERT INTO `lang_definitions` VALUES (55722, 10254, 11, '上述聲明失敗');
INSERT INTO `lang_definitions` VALUES (55723, 10264, 11, 'Apache的SSL服務器證書和公鑰');
INSERT INTO `lang_definitions` VALUES (55724, 10281, 11, '證書頒發機構的證書');
INSERT INTO `lang_definitions` VALUES (55725, 10284, 11, '索賠文件：');
INSERT INTO `lang_definitions` VALUES (55726, 10296, 11, '相應的私鑰');
INSERT INTO `lang_definitions` VALUES (55727, 10322, 11, '拒絕代碼是');
INSERT INTO `lang_definitions` VALUES (55728, 10323, 11, '拒絕群組代碼是');
INSERT INTO `lang_definitions` VALUES (55729, 10328, 11, '目標的形式被關閉');
INSERT INTO `lang_definitions` VALUES (55730, 10330, 11, '目標的形式被關閉，對你的選擇我不能採取行動。');
INSERT INTO `lang_definitions` VALUES (55731, 10346, 11, 'EP，合資格的醫院或CAH從其他照顧機構或護理服務提供者接受病人，或者認為遭遇是應執行有關藥物核對。');
INSERT INTO `lang_definitions` VALUES (55732, 10349, 11, 'EP，合資格的醫院或CAH轉送他們的病人到其他照顧機構或護理服務提供者或轉送他們的病人到其他照顧機構，應該提供每個過渡期照顧或轉介的照顧紀錄的摘要。');
INSERT INTO `lang_definitions` VALUES (55733, 10350, 11, '事件（S）已獲得批准。');
INSERT INTO `lang_definitions` VALUES (55734, 10351, 11, '事件（S）已被隱藏。');
INSERT INTO `lang_definitions` VALUES (55735, 10352, 11, '導出的數據將出現在下面的文本區域。您可以複製並粘貼到電子郵件或任何其他所需的目的地。');
INSERT INTO `lang_definitions` VALUES (55736, 10354, 11, '導出的數據將出現在下面的文本區域。您可以複製並粘貼到電子郵件或任何其他所需的目的地。');
INSERT INTO `lang_definitions` VALUES (55737, 10355, 11, '導出的數據將出現在下面的文本區域。您可以複製並粘貼到電子郵件或任何其他所需的目的地。');
INSERT INTO `lang_definitions` VALUES (55738, 10359, 11, '檔案無法成功更名，此錯誤通常與存儲系統上的權限問題有關。');
INSERT INTO `lang_definitions` VALUES (55739, 10380, 11, '已加入以下的日曆事件：');
INSERT INTO `lang_definitions` VALUES (55740, 10381, 11, '以下的日曆事件已被修改：');
INSERT INTO `lang_definitions` VALUES (55741, 10382, 11, '以下類別將從您的類別列表刪除');
INSERT INTO `lang_definitions` VALUES (55742, 10383, 11, '下列發布的資料庫是最近安裝的');
INSERT INTO `lang_definitions` VALUES (55743, 10386, 11, '下列EDI檔案已上載');
INSERT INTO `lang_definitions` VALUES (55744, 10388, 11, '下列緊急登錄用戶被激活：');
INSERT INTO `lang_definitions` VALUES (55745, 10389, 11, '發生以下錯誤');
INSERT INTO `lang_definitions` VALUES (55746, 10392, 11, '需要以下領域');
INSERT INTO `lang_definitions` VALUES (55747, 10394, 11, '以下字段必須填寫發送請求。');
INSERT INTO `lang_definitions` VALUES (55748, 10406, 11, 'ATNA審計倉庫機器的主機名稱。');
INSERT INTO `lang_definitions` VALUES (55749, 10418, 11, '初始窗口是發票的搜索頁面。在頂部，你可以輸入源碼（如支票號碼），支付日期，支票金額。來源及收費日期的原因是使你不必為每一項索賠一次又一次的鍵入他們。給的每個發票是付款的一部分，你輸入的金額將減少，並希望當你做的時候能以零結束。');
INSERT INTO `lang_definitions` VALUES (55750, 10431, 11, '出現在表單上的用戶的標籤');
INSERT INTO `lang_definitions` VALUES (55751, 10438, 11, '長度不應超過以下數量的字符');
INSERT INTO `lang_definitions` VALUES (55752, 10458, 11, '新的類別，將是一個子類');
INSERT INTO `lang_definitions` VALUES (55753, 10460, 11, '新密碼不能和目前的密碼相同。');
INSERT INTO `lang_definitions` VALUES (55754, 10461, 11, '新密碼字段是不一樣的。');
INSERT INTO `lang_definitions` VALUES (55755, 10482, 11, '密碼必須至少為八個字符，並應');
INSERT INTO `lang_definitions` VALUES (55756, 10486, 11, '已記錄病人的記錄請求。');
INSERT INTO `lang_definitions` VALUES (55757, 10487, 11, '病人提醒已發送');
INSERT INTO `lang_definitions` VALUES (55758, 10488, 11, '病人提醒已更新');
INSERT INTO `lang_definitions` VALUES (55759, 10493, 11, '支付發布不能低於這個日期.這確保拿了最終報告以後，沒有人發布以前的資料。');
INSERT INTO `lang_definitions` VALUES (55760, 10509, 11, '其餘以下的信息僅適用於您手工張貼，或者如果你正在做手工更正。');
INSERT INTO `lang_definitions` VALUES (55761, 10513, 11, '要求的文件是不存在文件系統上預期的位置，或者有沒有足夠的權限進入它。');
INSERT INTO `lang_definitions` VALUES (55762, 10537, 11, '從第一頁被複製的來源和日期列，所以通常你不需要接觸這些。你可以把薪酬支付的金額放在支付列，調整金額放在調整列，或兩者兼而有之。您也可以點擊右側的“W”自動計算調整值，為該行的項目寫入了收費的其餘部分。');
INSERT INTO `lang_definitions` VALUES (55763, 10557, 11, '日曆的時間粒度和預約時隙的間隔以分鐘為最小。');
INSERT INTO `lang_definitions` VALUES (55764, 10562, 11, '翻譯的標籤將出現用當前的語言形式');
INSERT INTO `lang_definitions` VALUES (55765, 10563, 11, '翻譯的標題將以當前的語言出現');
INSERT INTO `lang_definitions` VALUES (55766, 10564, 11, '用當前的語言描述的翻譯');
INSERT INTO `lang_definitions` VALUES (55767, 10565, 11, '翻譯表是同步的。');
INSERT INTO `lang_definitions` VALUES (55768, 10566, 11, '這個實體的類型');
INSERT INTO `lang_definitions` VALUES (55769, 10586, 11, '供應商特定的代碼，識別此過程或結果');
INSERT INTO `lang_definitions` VALUES (55770, 10591, 11, '這個X12的文件，就像由此產生的HTML輸出報告，存檔在“時代”的主要OpenEMR安裝目錄的子目錄。你將要不時對這些檔案存檔。 URL是');
INSERT INTO `lang_definitions` VALUES (55771, 10593, 11, 'zip文件將包含以下項目');
INSERT INTO `lang_definitions` VALUES (55772, 10594, 11, '主題');
INSERT INTO `lang_definitions` VALUES (55773, 10601, 11, '治療性注射');
INSERT INTO `lang_definitions` VALUES (55774, 10607, 11, '有');
INSERT INTO `lang_definitions` VALUES (55775, 10610, 11, '目前沒有處方');
INSERT INTO `lang_definitions` VALUES (55776, 10611, 11, '您提交有錯誤。這些概述如下。');
INSERT INTO `lang_definitions` VALUES (55777, 10616, 11, '沒有病歷簽出');
INSERT INTO `lang_definitions` VALUES (55778, 10618, 11, '這個病人的記錄沒有披露。');
INSERT INTO `lang_definitions` VALUES (55779, 10621, 11, '沒有新的提交的文件');
INSERT INTO `lang_definitions` VALUES (55780, 10622, 11, '這個病人檔案中沒有註釋。');
INSERT INTO `lang_definitions` VALUES (55781, 10624, 11, '這個病人檔案中沒有任何交易。');
INSERT INTO `lang_definitions` VALUES (55782, 10639, 11, '已經有一個郵件錯誤發送到');
INSERT INTO `lang_definitions` VALUES (55783, 10642, 11, '已經有一個類別命名為');
INSERT INTO `lang_definitions` VALUES (55784, 10643, 11, '已經有一個次類別命名為');
INSERT INTO `lang_definitions` VALUES (55785, 10644, 11, '已經有一個項目命名為');
INSERT INTO `lang_definitions` VALUES (55786, 10645, 11, '已經有一個開放的病歷請求。');
INSERT INTO `lang_definitions` VALUES (55787, 10646, 11, '沒有農委會條目的AR帳戶');
INSERT INTO `lang_definitions` VALUES (55788, 10647, 11, '沒有COA條目的現金帳戶');
INSERT INTO `lang_definitions` VALUES (55789, 10648, 11, '沒有COA條目的收入帳戶');
INSERT INTO `lang_definitions` VALUES (55790, 10649, 11, '沒有當前的病人');
INSERT INTO `lang_definitions` VALUES (55791, 10651, 11, '沒有符合的發票編號');
INSERT INTO `lang_definitions` VALUES (55792, 10652, 11, '沒有符合的發票編號＝');
INSERT INTO `lang_definitions` VALUES (55793, 10653, 11, '服務編號沒有零件條目');
INSERT INTO `lang_definitions` VALUES (55794, 10656, 11, '正當處理您的請求時，有一個錯誤。');
INSERT INTO `lang_definitions` VALUES (55795, 10682, 11, '增厚，右：');
INSERT INTO `lang_definitions` VALUES (55796, 10683, 11, '大腿');
INSERT INTO `lang_definitions` VALUES (55797, 10684, 11, '大腿+腿筋');
INSERT INTO `lang_definitions` VALUES (55798, 10686, 11, '就是後台辦公室可以閱讀和進入，但不能修改');
INSERT INTO `lang_definitions` VALUES (55799, 10687, 11, '就是後台辦公室可以閱讀和修改');
INSERT INTO `lang_definitions` VALUES (55800, 10690, 11, '就是臨床醫師可以讀取和進入，但不能修改');
INSERT INTO `lang_definitions` VALUES (55801, 10691, 11, '就是臨床醫師可以讀取和修改');
INSERT INTO `lang_definitions` VALUES (55802, 10694, 11, '就是前台辦公室可以閱讀和進入，但不能修改');
INSERT INTO `lang_definitions` VALUES (55803, 10695, 11, '就是前台辦公室可以閱讀和修改');
INSERT INTO `lang_definitions` VALUES (55804, 10698, 11, '就是醫師可以讀取和進入，但不能修改');
INSERT INTO `lang_definitions` VALUES (55805, 10699, 11, '就是醫師可以讀取和修改');
INSERT INTO `lang_definitions` VALUES (55806, 10701, 11, '第三');
INSERT INTO `lang_definitions` VALUES (55807, 10704, 11, '這一行動不可撤消');
INSERT INTO `lang_definitions` VALUES (55808, 10705, 11, '這一行動不可撤消');
INSERT INTO `lang_definitions` VALUES (55809, 10707, 11, '這個行動將被記錄');
INSERT INTO `lang_definitions` VALUES (55810, 10714, 11, '本日曆年度');
INSERT INTO `lang_definitions` VALUES (55811, 10717, 11, '這種說法一直否認.原因： -');
INSERT INTO `lang_definitions` VALUES (55812, 10718, 11, '這項索賠已被轉發到下一級別。');
INSERT INTO `lang_definitions` VALUES (55813, 10725, 11, '此代碼類型不接受關係。');
INSERT INTO `lang_definitions` VALUES (55814, 10727, 11, '這個上下文包含的類別，將被刪除。你仍然要繼續嗎？');
INSERT INTO `lang_definitions` VALUES (55815, 10730, 11, '這就決定任命如何在日曆上顯示。');
INSERT INTO `lang_definitions` VALUES (55816, 10731, 11, '這就決定任命配色方案');
INSERT INTO `lang_definitions` VALUES (55817, 10734, 11, '這場遭遇戰');
INSERT INTO `lang_definitions` VALUES (55818, 10742, 11, '此功能是非常實驗性，並沒有完全測試。使用需要您自擔風險！');
INSERT INTO `lang_definitions` VALUES (55819, 10753, 11, '該發票號碼已變更為');
INSERT INTO `lang_definitions` VALUES (55820, 10789, 11, '這個模塊是處於測試模式。該數據庫將不能更改。');
INSERT INTO `lang_definitions` VALUES (55821, 10792, 11, '此模塊，促進有效的進入EOB資料。');
INSERT INTO `lang_definitions` VALUES (55822, 10793, 11, '這個日期的月份');
INSERT INTO `lang_definitions` VALUES (55823, 10801, 11, '這頁的內聯將包括登錄頁面，使我們不必每次點擊重新登錄。');
INSERT INTO `lang_definitions` VALUES (55824, 10804, 11, '這個病人沒有活動。');
INSERT INTO `lang_definitions` VALUES (55825, 10805, 11, '這名病人身份證已在使用！');
INSERT INTO `lang_definitions` VALUES (55826, 10807, 11, '此產品只允許每個倉庫的一個地段。');
INSERT INTO `lang_definitions` VALUES (55827, 10821, 11, '這一步將生成一個文件，你必須儲存以供將來使用。該文件不能再次產生。你要繼續嗎？');
INSERT INTO `lang_definitions` VALUES (55828, 10822, 11, '該用戶是不屬於任何團體的成員');
INSERT INTO `lang_definitions` VALUES (55829, 10826, 11, '這次訪問開始新的使用避孕方法');
INSERT INTO `lang_definitions` VALUES (55830, 10827, 11, '這次訪問將需要一個GCAC形式，轉介或程序服務。');
INSERT INTO `lang_definitions` VALUES (55831, 10828, 11, '這是舊的指標只有生命徵象表單，現在已經過時。');
INSERT INTO `lang_definitions` VALUES (55832, 10829, 11, '本週迄今');
INSERT INTO `lang_definitions` VALUES (55833, 10831, 11, '這將激活CCR（照顧記錄連續性）和CCD（護理文件的連續性）的報告。');
INSERT INTO `lang_definitions` VALUES (55834, 10834, 11, '這將允許選擇調試（“虛擬”）的語言。');
INSERT INTO `lang_definitions` VALUES (55835, 10843, 11, '這將創建一個tar格式備份，然後將它發送到您的網頁瀏覽器，所以你可以把它保存');
INSERT INTO `lang_definitions` VALUES (55836, 10844, 11, '這將禁用文件加密和解密功能，並隱藏在UI。');
INSERT INTO `lang_definitions` VALUES (55837, 10854, 11, '這將迫使病人摘要“屏幕中的帳單部件始終是開放的。');
INSERT INTO `lang_definitions` VALUES (55838, 10867, 11, '這將使用自定義免疫名單，而不是標準的CVX免疫名單。');
INSERT INTO `lang_definitions` VALUES (55839, 10871, 11, '胸椎');
INSERT INTO `lang_definitions` VALUES (55840, 10873, 11, 'Thous/立方釐米');
INSERT INTO `lang_definitions` VALUES (55841, 10878, 11, '喉嚨');
INSERT INTO `lang_definitions` VALUES (55842, 10879, 11, '喉癌');
INSERT INTO `lang_definitions` VALUES (55843, 10880, 11, '喉癌手術');
INSERT INTO `lang_definitions` VALUES (55844, 10881, 11, '血栓形成/中風');
INSERT INTO `lang_definitions` VALUES (55845, 10882, 11, '星期二');
INSERT INTO `lang_definitions` VALUES (55846, 10884, 11, '星期二');
INSERT INTO `lang_definitions` VALUES (55847, 10885, 11, '星期二');
INSERT INTO `lang_definitions` VALUES (55848, 10887, 11, '甲狀腺正常');
INSERT INTO `lang_definitions` VALUES (55849, 10888, 11, '甲狀腺問題');
INSERT INTO `lang_definitions` VALUES (55850, 10890, 11, '短暫性缺血性發作');
INSERT INTO `lang_definitions` VALUES (55851, 10892, 11, '一天三次');
INSERT INTO `lang_definitions` VALUES (55852, 10902, 11, '時間');
INSERT INTO `lang_definitions` VALUES (55853, 10903, 11, '時間顯示格式');
INSERT INTO `lang_definitions` VALUES (55854, 10904, 11, '時間增量為新增（分鐘1-60）');
INSERT INTO `lang_definitions` VALUES (55855, 10905, 11, '時間選擇');
INSERT INTO `lang_definitions` VALUES (55856, 10913, 11, '時間事件');
INSERT INTO `lang_definitions` VALUES (55857, 10914, 11, '時代陣列（N / A）');
INSERT INTO `lang_definitions` VALUES (55858, 10915, 11, '時間戳和文字');
INSERT INTO `lang_definitions` VALUES (55859, 10917, 11, '錫');
INSERT INTO `lang_definitions` VALUES (55860, 10918, 11, '耳鳴');
INSERT INTO `lang_definitions` VALUES (55861, 10920, 11, '標題');
INSERT INTO `lang_definitions` VALUES (55862, 10923, 11, '標題五');
INSERT INTO `lang_definitions` VALUES (55863, 10924, 11, '標題COLS必須是一個介於1和999之間的數字');
INSERT INTO `lang_definitions` VALUES (55864, 10925, 11, '標題');
INSERT INTO `lang_definitions` VALUES (55865, 10926, 11, '商標“S：');
INSERT INTO `lang_definitions` VALUES (55866, 10927, 11, 'TMS/ EAMS/ EE，外鼻子');
INSERT INTO `lang_definitions` VALUES (55867, 10928, 11, '至');
INSERT INTO `lang_definitions` VALUES (55868, 10929, 11, '至');
INSERT INTO `lang_definitions` VALUES (55869, 10930, 11, '至');
INSERT INTO `lang_definitions` VALUES (55870, 10931, 11, '到文件的絕對路徑');
INSERT INTO `lang_definitions` VALUES (55871, 10936, 11, '添加註釋，請點擊');
INSERT INTO `lang_definitions` VALUES (55872, 10937, 11, '添加註釋，請點擊這裡');
INSERT INTO `lang_definitions` VALUES (55873, 10938, 11, '患處');
INSERT INTO `lang_definitions` VALUES (55874, 10939, 11, '患處');
INSERT INTO `lang_definitions` VALUES (55875, 10942, 11, '到自動打開指定的表單。一些運動隊在這裡使用football_injury_audit。');
INSERT INTO `lang_definitions` VALUES (55876, 10944, 11, '到帳單查看');
INSERT INTO `lang_definitions` VALUES (55877, 10945, 11, '到類別');
INSERT INTO `lang_definitions` VALUES (55878, 10947, 11, '到臨床查看');
INSERT INTO `lang_definitions` VALUES (55879, 10949, 11, '以共付額');
INSERT INTO `lang_definitions` VALUES (55880, 10953, 11, '涉足');
INSERT INTO `lang_definitions` VALUES (55881, 10956, 11, '到數字高程模型');
INSERT INTO `lang_definitions` VALUES (55882, 10958, 11, '禁用客戶端的SSL證書，在Apache配置文件發表評論上述行，並設置');
INSERT INTO `lang_definitions` VALUES (55883, 10960, 11, '禁用HTTPS，在Apache配置文件發表評論上述行，並重新啟動Apache服務器。');
INSERT INTO `lang_definitions` VALUES (55884, 10965, 11, '為了使客戶端SSL證書');
INSERT INTO `lang_definitions` VALUES (55885, 10966, 11, '啟用客戶端SSL證書驗證，HTTPS應該被啟用。');
INSERT INTO `lang_definitions` VALUES (55886, 10970, 11, '啟用只有HTTPS的，執行上述更改並重新啟動Apache服務器。如果你要配置客戶端證書，請他們在下一節配置。');
INSERT INTO `lang_definitions` VALUES (55887, 10972, 11, '為了Enctr');
INSERT INTO `lang_definitions` VALUES (55888, 10973, 11, '按性別篩選');
INSERT INTO `lang_definitions` VALUES (55889, 10980, 11, '到歷史');
INSERT INTO `lang_definitions` VALUES (55890, 10982, 11, '問題');
INSERT INTO `lang_definitions` VALUES (55891, 10984, 11, '連結此相遇/以現有的問題進行磋商，請按一下');
INSERT INTO `lang_definitions` VALUES (55892, 10985, 11, '連結此相遇/以現有的問題進行磋商，單擊以上所需的問題，選中它，然後單擊[保存]。按住[Ctrl]鍵按鈕來選擇多個問題。');
INSERT INTO `lang_definitions` VALUES (55893, 10987, 11, '再次登錄');
INSERT INTO `lang_definitions` VALUES (55894, 10992, 11, '要記錄的信息披露，請點擊');
INSERT INTO `lang_definitions` VALUES (55895, 10997, 11, '運行');
INSERT INTO `lang_definitions` VALUES (55896, 11001, 11, '設置客戶端證書身份驗證的HTTPS訪問，請執行以下');
INSERT INTO `lang_definitions` VALUES (55897, 11002, 11, '對皮膚');
INSERT INTO `lang_definitions` VALUES (55898, 11003, 11, '對皮膚');
INSERT INTO `lang_definitions` VALUES (55899, 11005, 11, '對這次參訪？');
INSERT INTO `lang_definitions` VALUES (55900, 11010, 11, '到：');
INSERT INTO `lang_definitions` VALUES (55901, 11011, 11, '到：');
INSERT INTO `lang_definitions` VALUES (55902, 11012, 11, '到-城市');
INSERT INTO `lang_definitions` VALUES (55903, 11013, 11, '到-傳真');
INSERT INTO `lang_definitions` VALUES (55904, 11014, 11, 'TO_FNAME');
INSERT INTO `lang_definitions` VALUES (55905, 11015, 11, 'TO_LNAME');
INSERT INTO `lang_definitions` VALUES (55906, 11016, 11, 'TO_MNAME');
INSERT INTO `lang_definitions` VALUES (55907, 11017, 11, '到-組織');
INSERT INTO `lang_definitions` VALUES (55908, 11020, 11, '到-郵政');
INSERT INTO `lang_definitions` VALUES (55909, 11021, 11, '到-國家');
INSERT INTO `lang_definitions` VALUES (55910, 11022, 11, '到-街道');
INSERT INTO `lang_definitions` VALUES (55911, 11023, 11, '到-標題');
INSERT INTO `lang_definitions` VALUES (55912, 11024, 11, '到-告別');
INSERT INTO `lang_definitions` VALUES (55913, 11025, 11, '煙草');
INSERT INTO `lang_definitions` VALUES (55914, 11026, 11, '戒菸措施');
INSERT INTO `lang_definitions` VALUES (55915, 11027, 11, '戒菸措施(CQM)');
INSERT INTO `lang_definitions` VALUES (55916, 11028, 11, '煙草使用');
INSERT INTO `lang_definitions` VALUES (55917, 11030, 11, '煙草使用評估');
INSERT INTO `lang_definitions` VALUES (55918, 11031, 11, '煙草使用評估(CQM)');
INSERT INTO `lang_definitions` VALUES (55919, 11032, 11, '今天');
INSERT INTO `lang_definitions` VALUES (55920, 11034, 11, '今天');
INSERT INTO `lang_definitions` VALUES (55921, 11037, 11, '今天的日期');
INSERT INTO `lang_definitions` VALUES (55922, 11038, 11, '今天的活動');
INSERT INTO `lang_definitions` VALUES (55923, 11045, 11, '標記ID的OpenEMR支持LLC實驗室交流中心。');
INSERT INTO `lang_definitions` VALUES (55924, 11047, 11, '扁桃腺切除術');
INSERT INTO `lang_definitions` VALUES (55925, 11050, 11, '頂部');
INSERT INTO `lang_definitions` VALUES (55926, 11053, 11, '主題');
INSERT INTO `lang_definitions` VALUES (55927, 11054, 11, '全部');
INSERT INTO `lang_definitions` VALUES (55928, 11055, 11, '全部');
INSERT INTO `lang_definitions` VALUES (55929, 11056, 11, '總活性行動');
INSERT INTO `lang_definitions` VALUES (55930, 11057, 11, '更新後的總主動提醒');
INSERT INTO `lang_definitions` VALUES (55931, 11058, 11, '更新前的總主動提醒');
INSERT INTO `lang_definitions` VALUES (55932, 11060, 11, '總金額');
INSERT INTO `lang_definitions` VALUES (55933, 11061, 11, '支付的款項總額');
INSERT INTO `lang_definitions` VALUES (55934, 11064, 11, '總費用');
INSERT INTO `lang_definitions` VALUES (55935, 11065, 11, '總客戶');
INSERT INTO `lang_definitions` VALUES (55936, 11067, 11, '總成本');
INSERT INTO `lang_definitions` VALUES (55937, 11068, 11, '下列支票號碼總的分佈是不完全的');
INSERT INTO `lang_definitions` VALUES (55938, 11070, 11, '透過電子郵件發送所有失敗的提醒');
INSERT INTO `lang_definitions` VALUES (55939, 11071, 11, '透過電話發送所有失敗的提醒');
INSERT INTO `lang_definitions` VALUES (55940, 11072, 11, '總計');
INSERT INTO `lang_definitions` VALUES (55941, 11073, 11, '總計');
INSERT INTO `lang_definitions` VALUES (55942, 11074, 11, '總計類別');
INSERT INTO `lang_definitions` VALUES (55943, 11075, 11, '總計不活化的提醒');
INSERT INTO `lang_definitions` VALUES (55944, 11078, 11, '新提醒總計');
INSERT INTO `lang_definitions` VALUES (55945, 11081, 11, '免疫接種的總數');
INSERT INTO `lang_definitions` VALUES (55946, 11082, 11, '問題總數');
INSERT INTO `lang_definitions` VALUES (55947, 11084, 11, '病人總數');
INSERT INTO `lang_definitions` VALUES (55948, 11087, 11, '總病人平衡');
INSERT INTO `lang_definitions` VALUES (55949, 11089, 11, '總病人');
INSERT INTO `lang_definitions` VALUES (55950, 11093, 11, '找到記錄總計');
INSERT INTO `lang_definitions` VALUES (55951, 11095, 11, '總計生殖健康與計劃生育');
INSERT INTO `lang_definitions` VALUES (55952, 11096, 11, '通過電子郵件發送的總成功提醒');
INSERT INTO `lang_definitions` VALUES (55953, 11097, 11, '通過電話發送的總成功提醒');
INSERT INTO `lang_definitions` VALUES (55954, 11100, 11, '整體不變的提醒');
INSERT INTO `lang_definitions` VALUES (55955, 11101, 11, '發送過程以後全部未發送提醒');
INSERT INTO `lang_definitions` VALUES (55956, 11102, 11, '更新以後全部未發送提醒');
INSERT INTO `lang_definitions` VALUES (55957, 11103, 11, '發送過程以前全部未發送提醒');
INSERT INTO `lang_definitions` VALUES (55958, 11104, 11, '更新以前全部未發送提醒');
INSERT INTO `lang_definitions` VALUES (55959, 11105, 11, '全部更新的提醒');
INSERT INTO `lang_definitions` VALUES (55960, 11106, 11, '總計');
INSERT INTO `lang_definitions` VALUES (55961, 11107, 11, '為匯總');
INSERT INTO `lang_definitions` VALUES (55962, 11108, 11, '為匯總');
INSERT INTO `lang_definitions` VALUES (55963, 11135, 11, '培訓種類');
INSERT INTO `lang_definitions` VALUES (55964, 11136, 11, '進行交易');
INSERT INTO `lang_definitions` VALUES (55965, 11137, 11, '進行交易');
INSERT INTO `lang_definitions` VALUES (55966, 11138, 11, '進行交易');
INSERT INTO `lang_definitions` VALUES (55967, 11139, 11, '交易失敗，在許多目的地數量不足');
INSERT INTO `lang_definitions` VALUES (55968, 11140, 11, '交易失敗，數量小於零');
INSERT INTO `lang_definitions` VALUES (55969, 11142, 11, '交易類型');
INSERT INTO `lang_definitions` VALUES (55970, 11143, 11, '進行交易');
INSERT INTO `lang_definitions` VALUES (55971, 11144, 11, '進行交易');
INSERT INTO `lang_definitions` VALUES (55972, 11145, 11, '交易（寫可選）');
INSERT INTO `lang_definitions` VALUES (55973, 11151, 11, '交易/轉介');
INSERT INTO `lang_definitions` VALUES (55974, 11153, 11, '轉讓');
INSERT INTO `lang_definitions` VALUES (55975, 11155, 11, '傳輸失敗，在源代碼數量不足');
INSERT INTO `lang_definitions` VALUES (55976, 11160, 11, '轉讓');
INSERT INTO `lang_definitions` VALUES (55977, 11162, 11, '轉型/轉移護理？');
INSERT INTO `lang_definitions` VALUES (55978, 11163, 11, '翻譯訪問控制組');
INSERT INTO `lang_definitions` VALUES (55979, 11164, 11, '翻譯委任分類');
INSERT INTO `lang_definitions` VALUES (55980, 11165, 11, '翻譯文件分類');
INSERT INTO `lang_definitions` VALUES (55981, 11166, 11, '翻譯版面');
INSERT INTO `lang_definitions` VALUES (55982, 11167, 11, '翻譯名單');
INSERT INTO `lang_definitions` VALUES (55983, 11168, 11, '翻譯病人附註標題');
INSERT INTO `lang_definitions` VALUES (55984, 11169, 11, '翻譯這個');
INSERT INTO `lang_definitions` VALUES (55985, 11170, 11, '翻譯');
INSERT INTO `lang_definitions` VALUES (55986, 11171, 11, '翻譯');
INSERT INTO `lang_definitions` VALUES (55987, 11179, 11, '創傷');
INSERT INTO `lang_definitions` VALUES (55988, 11180, 11, '治療');
INSERT INTO `lang_definitions` VALUES (55989, 11182, 11, '治療目標');
INSERT INTO `lang_definitions` VALUES (55990, 11183, 11, '治療計畫');
INSERT INTO `lang_definitions` VALUES (55991, 11186, 11, '治療：');
INSERT INTO `lang_definitions` VALUES (55992, 11187, 11, '治療：');
INSERT INTO `lang_definitions` VALUES (55993, 11189, 11, '趨勢');
INSERT INTO `lang_definitions` VALUES (55994, 11190, 11, 'strftime（個月美元的格式，mktime（0，0，0，$ I，1，2000）））;元一個月的價值');
INSERT INTO `lang_definitions` VALUES (55995, 11195, 11, '觸發點/腔室症候群/延遲性肌肉酸痛/抽筋');
INSERT INTO `lang_definitions` VALUES (55996, 11196, 11, '三踝');
INSERT INTO `lang_definitions` VALUES (55997, 11199, 11, '軀幹與腹部');
INSERT INTO `lang_definitions` VALUES (55998, 11205, 11, '茶匙');
INSERT INTO `lang_definitions` VALUES (55999, 11207, 11, '語音合成');
INSERT INTO `lang_definitions` VALUES (56000, 11208, 11, '肺結核');
INSERT INTO `lang_definitions` VALUES (56001, 11209, 11, '星期二');
INSERT INTO `lang_definitions` VALUES (56002, 11210, 11, '星期二及四');
INSERT INTO `lang_definitions` VALUES (56003, 11211, 11, '星期二');
INSERT INTO `lang_definitions` VALUES (56004, 11212, 11, '腫瘤');
INSERT INTO `lang_definitions` VALUES (56005, 11213, 11, '土耳其');
INSERT INTO `lang_definitions` VALUES (56006, 11222, 11, '每天兩次');
INSERT INTO `lang_definitions` VALUES (56007, 11226, 11, '鼓膜');
INSERT INTO `lang_definitions` VALUES (56008, 11227, 11, '類型');
INSERT INTO `lang_definitions` VALUES (56009, 11231, 11, '類型標識或Name.3最小字符（包括空格）。');
INSERT INTO `lang_definitions` VALUES (56010, 11238, 11, '列類型顯示病人的搜索結果');
INSERT INTO `lang_definitions` VALUES (56011, 11239, 11, '披露的類型');
INSERT INTO `lang_definitions` VALUES (56012, 11240, 11, '事件類型');
INSERT INTO `lang_definitions` VALUES (56013, 11242, 11, '屏幕佈局類型');
INSERT INTO `lang_definitions` VALUES (56014, 11243, 11, '在這裡鍵入或掃描病人標識');
INSERT INTO `lang_definitions` VALUES (56015, 11249, 11, '醫囑類型與結果');
INSERT INTO `lang_definitions` VALUES (56016, 11270, 11, '卡爾加里大學體育醫學中心所提供的UCSMC代碼');
INSERT INTO `lang_definitions` VALUES (56017, 11272, 11, '潰瘍');
INSERT INTO `lang_definitions` VALUES (56018, 11273, 11, '潰瘍性結腸炎');
INSERT INTO `lang_definitions` VALUES (56019, 11274, 11, '潰瘍：');
INSERT INTO `lang_definitions` VALUES (56020, 11278, 11, '無法創建');
INSERT INTO `lang_definitions` VALUES (56021, 11291, 11, '未應用');
INSERT INTO `lang_definitions` VALUES (56022, 11292, 11, '未分配');
INSERT INTO `lang_definitions` VALUES (56023, 11293, 11, '未授权');
INSERT INTO `lang_definitions` VALUES (56024, 11294, 11, '未獲授權下取用e處方');
INSERT INTO `lang_definitions` VALUES (56025, 11295, 11, '未獲授權下取用');
INSERT INTO `lang_definitions` VALUES (56026, 11297, 11, '未入賬只有');
INSERT INTO `lang_definitions` VALUES (56027, 11300, 11, '舌下');
INSERT INTO `lang_definitions` VALUES (56028, 11303, 11, '體重過輕');
INSERT INTO `lang_definitions` VALUES (56029, 11304, 11, '未診斷出的');
INSERT INTO `lang_definitions` VALUES (56030, 11305, 11, '未經分派');
INSERT INTO `lang_definitions` VALUES (56031, 11306, 11, '未經分派');
INSERT INTO `lang_definitions` VALUES (56032, 11307, 11, '未經分派的是');
INSERT INTO `lang_definitions` VALUES (56033, 11309, 11, '撤消簽出');
INSERT INTO `lang_definitions` VALUES (56034, 11311, 11, '獨特的客戶');
INSERT INTO `lang_definitions` VALUES (56035, 11312, 11, '獨特的人類可讀的這種類型的標識符');
INSERT INTO `lang_definitions` VALUES (56036, 11315, 11, '獨特的新客戶');
INSERT INTO `lang_definitions` VALUES (56037, 11316, 11, '這種類型的唯一的數字標識符');
INSERT INTO `lang_definitions` VALUES (56038, 11317, 11, '獨特的病人');
INSERT INTO `lang_definitions` VALUES (56039, 11318, 11, '獨特的所見的患者報告');
INSERT INTO `lang_definitions` VALUES (56040, 11319, 11, '獨特的收縮壓');
INSERT INTO `lang_definitions` VALUES (56041, 11320, 11, '單位');
INSERT INTO `lang_definitions` VALUES (56042, 11321, 11, '單位');
INSERT INTO `lang_definitions` VALUES (56043, 11322, 11, '單位');
INSERT INTO `lang_definitions` VALUES (56044, 11324, 11, '訪問表格的單位');
INSERT INTO `lang_definitions` VALUES (56045, 11325, 11, '單位必須是一個數字');
INSERT INTO `lang_definitions` VALUES (56046, 11326, 11, '單位沒有定義');
INSERT INTO `lang_definitions` VALUES (56047, 11327, 11, '單位/ L');
INSERT INTO `lang_definitions` VALUES (56048, 11328, 11, '未知的');
INSERT INTO `lang_definitions` VALUES (56049, 11331, 11, '不知過去曾否吸煙');
INSERT INTO `lang_definitions` VALUES (56050, 11332, 11, '未知的或N / A');
INSERT INTO `lang_definitions` VALUES (56051, 11345, 11, '未命名的保險公司');
INSERT INTO `lang_definitions` VALUES (56052, 11346, 11, '未註冊');
INSERT INTO `lang_definitions` VALUES (56053, 11349, 11, '取消選擇所有');
INSERT INTO `lang_definitions` VALUES (56054, 11350, 11, '未選定');
INSERT INTO `lang_definitions` VALUES (56055, 11351, 11, '不確定');
INSERT INTO `lang_definitions` VALUES (56056, 11352, 11, '非結構化');
INSERT INTO `lang_definitions` VALUES (56057, 11356, 11, '直到');
INSERT INTO `lang_definitions` VALUES (56058, 11359, 11, '不合時宜的申請');
INSERT INTO `lang_definitions` VALUES (56059, 11360, 11, '未使用');
INSERT INTO `lang_definitions` VALUES (56060, 11361, 11, 'UOR');
INSERT INTO `lang_definitions` VALUES (56061, 11362, 11, '最多');
INSERT INTO `lang_definitions` VALUES (56062, 11364, 11, '即將到來的約會');
INSERT INTO `lang_definitions` VALUES (56063, 11365, 11, '即將舉行的活動');
INSERT INTO `lang_definitions` VALUES (56064, 11366, 11, '更新');
INSERT INTO `lang_definitions` VALUES (56065, 11367, 11, '更新');
INSERT INTO `lang_definitions` VALUES (56066, 11368, 11, '主動更新');
INSERT INTO `lang_definitions` VALUES (56067, 11371, 11, '更新文件');
INSERT INTO `lang_definitions` VALUES (56068, 11372, 11, '更新資料');
INSERT INTO `lang_definitions` VALUES (56069, 11374, 11, '更新列表');
INSERT INTO `lang_definitions` VALUES (56070, 11377, 11, '更新服務提供者號碼');
INSERT INTO `lang_definitions` VALUES (56071, 11378, 11, '更新選定的項目');
INSERT INTO `lang_definitions` VALUES (56072, 11383, 11, '更新下列文件中的變數');
INSERT INTO `lang_definitions` VALUES (56073, 11384, 11, '更新用戶資料');
INSERT INTO `lang_definitions` VALUES (56074, 11390, 11, '更新人口統計未被授權。');
INSERT INTO `lang_definitions` VALUES (56075, 11394, 11, '升級');
INSERT INTO `lang_definitions` VALUES (56076, 11396, 11, '升級資料庫');
INSERT INTO `lang_definitions` VALUES (56077, 11398, 11, '升級OpenEMR資料庫，包括過程，函數和去識別過程中所需的表格');
INSERT INTO `lang_definitions` VALUES (56078, 11399, 11, '升級將繼續');
INSERT INTO `lang_definitions` VALUES (56079, 11400, 11, 'UPIN');
INSERT INTO `lang_definitions` VALUES (56080, 11401, 11, '上載');
INSERT INTO `lang_definitions` VALUES (56081, 11406, 11, '上傳配置數據');
INSERT INTO `lang_definitions` VALUES (56082, 11407, 11, '上傳文件');
INSERT INTO `lang_definitions` VALUES (56083, 11408, 11, '上傳失敗！');
INSERT INTO `lang_definitions` VALUES (56084, 11410, 11, '上傳圖片到');
INSERT INTO `lang_definitions` VALUES (56085, 11411, 11, '上傳導入文件：');
INSERT INTO `lang_definitions` VALUES (56086, 11415, 11, '上傳報告');
INSERT INTO `lang_definitions` VALUES (56087, 11418, 11, '上傳這個文件：');
INSERT INTO `lang_definitions` VALUES (56088, 11421, 11, '當點擊發票號碼“手冊的發布窗口”出現。在這裡，你可以改變發票的截止日期和票據，選擇你張貼的黨，並選擇保險，所有預期的付款已經收到。最重要的是，收費金額為每個計費代碼，您可以輸入支付和調整資訊。');
INSERT INTO `lang_definitions` VALUES (56089, 11426, 11, '根據搜索，你與發票清單一起出現。你可以點擊一個發票號碼打開第二個窗口，這是手冊發布的數據條目頁面上的發票號碼之一。您也可以點擊上病人的名字，如果你想輸入一個音符，前台人員會看到病人檢查時，您可以選擇的發票出現在病人的報表和打印這些報表。');
INSERT INTO `lang_definitions` VALUES (56090, 11429, 11, '上臂');
INSERT INTO `lang_definitions` VALUES (56091, 11432, 11, '迫切性');
INSERT INTO `lang_definitions` VALUES (56092, 11436, 11, '尿液');
INSERT INTO `lang_definitions` VALUES (56093, 11437, 11, '尿液滴落');
INSERT INTO `lang_definitions` VALUES (56094, 11438, 11, '頻尿');
INSERT INTO `lang_definitions` VALUES (56095, 11439, 11, '尿猶豫不決');
INSERT INTO `lang_definitions` VALUES (56096, 11440, 11, '尿微量白蛋白');
INSERT INTO `lang_definitions` VALUES (56097, 11441, 11, '尿流');
INSERT INTO `lang_definitions` VALUES (56098, 11442, 11, '尿急');
INSERT INTO `lang_definitions` VALUES (56099, 11443, 11, '網址');
INSERT INTO `lang_definitions` VALUES (56100, 11445, 11, '網址為OpenEMR支持。');
INSERT INTO `lang_definitions` VALUES (56101, 11447, 11, '電話網關的URL。由Maviq提供自動化的VOIP服務。更多信息，請訪問http://signup.maviq.com。');
INSERT INTO `lang_definitions` VALUES (56102, 11453, 11, '使用指標（ISA15）');
INSERT INTO `lang_definitions` VALUES (56103, 11457, 11, '使用24小時時間格式？');
INSERT INTO `lang_definitions` VALUES (56104, 11465, 11, '使用認證的電子病歷技術，以確定病人具體的教育資源，並提供這些資源給病人，如果適當。');
INSERT INTO `lang_definitions` VALUES (56105, 11466, 11, '使用收費小組');
INSERT INTO `lang_definitions` VALUES (56106, 11467, 11, '使用CPOE系統直接輸入醫囑任何有執照的的醫療專業人士，可以將醫囑輸入進入醫療記錄，每個國家，地方和專業指引。');
INSERT INTO `lang_definitions` VALUES (56107, 11474, 11, '使用自訂的免疫名單');
INSERT INTO `lang_definitions` VALUES (56108, 11476, 11, '使用日期範圍');
INSERT INTO `lang_definitions` VALUES (56109, 11477, 11, '使用預設值');
INSERT INTO `lang_definitions` VALUES (56110, 11478, 11, '使用刪除選項去刪除。');
INSERT INTO `lang_definitions` VALUES (56111, 11479, 11, '使用國際日期的樣式？');
INSERT INTO `lang_definitions` VALUES (56112, 11483, 11, '使用來源檔名');
INSERT INTO `lang_definitions` VALUES (56113, 11486, 11, '使用下面的字段購買或轉讓。');
INSERT INTO `lang_definitions` VALUES (56114, 11490, 11, '此功能只能使用新安裝的站點，');
INSERT INTO `lang_definitions` VALUES (56115, 11493, 11, '使用主題？');
INSERT INTO `lang_definitions` VALUES (56116, 11496, 11, '使用者');
INSERT INTO `lang_definitions` VALUES (56117, 11498, 11, '用戶/組');
INSERT INTO `lang_definitions` VALUES (56118, 11499, 11, '用戶管理');
INSERT INTO `lang_definitions` VALUES (56119, 11500, 11, '使用者和設備管理');
INSERT INTO `lang_definitions` VALUES (56120, 11501, 11, '用戶和群組管理');
INSERT INTO `lang_definitions` VALUES (56121, 11503, 11, '已停用使用者證書驗證');
INSERT INTO `lang_definitions` VALUES (56122, 11507, 11, '用戶定義');
INSERT INTO `lang_definitions` VALUES (56123, 11508, 11, '用戶定義的第11區');
INSERT INTO `lang_definitions` VALUES (56124, 11509, 11, '用戶定義的第12區');
INSERT INTO `lang_definitions` VALUES (56125, 11510, 11, '使用者定義的字段');
INSERT INTO `lang_definitions` VALUES (56126, 11511, 11, '用戶定義的列表1');
INSERT INTO `lang_definitions` VALUES (56127, 11512, 11, '用戶定義的列表2');
INSERT INTO `lang_definitions` VALUES (56128, 11513, 11, '用戶定義的列表3');
INSERT INTO `lang_definitions` VALUES (56129, 11514, 11, '用戶定義的列表4');
INSERT INTO `lang_definitions` VALUES (56130, 11515, 11, '用戶定義的列表5');
INSERT INTO `lang_definitions` VALUES (56131, 11516, 11, '用戶定義的列表6');
INSERT INTO `lang_definitions` VALUES (56132, 11517, 11, '用戶定義的列表7');
INSERT INTO `lang_definitions` VALUES (56133, 11518, 11, '使用者定義的文字1');
INSERT INTO `lang_definitions` VALUES (56134, 11519, 11, '使用者定義的文字2');
INSERT INTO `lang_definitions` VALUES (56135, 11520, 11, '使用者定義的文字3');
INSERT INTO `lang_definitions` VALUES (56136, 11521, 11, '使用者定義的文字4');
INSERT INTO `lang_definitions` VALUES (56137, 11522, 11, '使用者定義的文字5');
INSERT INTO `lang_definitions` VALUES (56138, 11523, 11, '使用者定義的文字6');
INSERT INTO `lang_definitions` VALUES (56139, 11524, 11, '使用者定義的文字7');
INSERT INTO `lang_definitions` VALUES (56140, 11525, 11, '使用者定義的文字8');
INSERT INTO `lang_definitions` VALUES (56141, 11526, 11, '使用者名字');
INSERT INTO `lang_definitions` VALUES (56142, 11532, 11, '用戶手冊');
INSERT INTO `lang_definitions` VALUES (56143, 11533, 11, '用戶成員');
INSERT INTO `lang_definitions` VALUES (56144, 11534, 11, '用戶名稱');
INSERT INTO `lang_definitions` VALUES (56145, 11536, 11, '用戶名或主機名不能是空白');
INSERT INTO `lang_definitions` VALUES (56146, 11537, 11, '使用者或主機名');
INSERT INTO `lang_definitions` VALUES (56147, 11541, 11, '用戶設置');
INSERT INTO `lang_definitions` VALUES (56148, 11543, 11, '用戶特定設置');
INSERT INTO `lang_definitions` VALUES (56149, 11553, 11, '用戶名稱');
INSERT INTO `lang_definitions` VALUES (56150, 11555, 11, '電話網關的用戶名。由Maviq提供自動化的VOIP服務。更多信息，請訪問http://signup.maviq.com。');
INSERT INTO `lang_definitions` VALUES (56151, 11556, 11, '短訊網關的用戶名');
INSERT INTO `lang_definitions` VALUES (56152, 11557, 11, '短信網關的用戶名');
INSERT INTO `lang_definitions` VALUES (56153, 11559, 11, '用戶名稱：');
INSERT INTO `lang_definitions` VALUES (56154, 11560, 11, '用戶');
INSERT INTO `lang_definitions` VALUES (56155, 11564, 11, '用戶/組/日誌管理');
INSERT INTO `lang_definitions` VALUES (56156, 11574, 11, '使用PHP<a href=\"http://php.net/strftime\">strftime</ a>的格式');
INSERT INTO `lang_definitions` VALUES (56157, 11583, 11, '尿路感染');
INSERT INTO `lang_definitions` VALUES (56158, 11588, 11, '度假');
INSERT INTO `lang_definitions` VALUES (56159, 11589, 11, '度假');
INSERT INTO `lang_definitions` VALUES (56160, 11590, 11, '疫苗');
INSERT INTO `lang_definitions` VALUES (56161, 11593, 11, '陰道環');
INSERT INTO `lang_definitions` VALUES (56162, 11594, 11, '告別');
INSERT INTO `lang_definitions` VALUES (56163, 11596, 11, '驗證');
INSERT INTO `lang_definitions` VALUES (56164, 11609, 11, '價值');
INSERT INTO `lang_definitions` VALUES (56165, 11610, 11, '價值1');
INSERT INTO `lang_definitions` VALUES (56166, 11611, 11, '價值2');
INSERT INTO `lang_definitions` VALUES (56167, 11613, 11, '值應該是數字');
INSERT INTO `lang_definitions` VALUES (56168, 11614, 11, '變數1');
INSERT INTO `lang_definitions` VALUES (56169, 11615, 11, '變數2');
INSERT INTO `lang_definitions` VALUES (56170, 11616, 11, '一個變數去運行識別升級指令碼');
INSERT INTO `lang_definitions` VALUES (56171, 11619, 11, '水痘1');
INSERT INTO `lang_definitions` VALUES (56172, 11620, 11, '水痘2');
INSERT INTO `lang_definitions` VALUES (56173, 11621, 11, '靜脈曲張');
INSERT INTO `lang_definitions` VALUES (56174, 11623, 11, '血管情況');
INSERT INTO `lang_definitions` VALUES (56175, 11624, 11, '血管損傷');
INSERT INTO `lang_definitions` VALUES (56176, 11625, 11, '血管手術');
INSERT INTO `lang_definitions` VALUES (56177, 11630, 11, '供應商');
INSERT INTO `lang_definitions` VALUES (56178, 11634, 11, '版本');
INSERT INTO `lang_definitions` VALUES (56179, 11653, 11, '眩暈');
INSERT INTO `lang_definitions` VALUES (56180, 11657, 11, '退伍軍人管理局計劃');
INSERT INTO `lang_definitions` VALUES (56181, 11659, 11, 'VFC');
INSERT INTO `lang_definitions` VALUES (56182, 11666, 11, '越南人');
INSERT INTO `lang_definitions` VALUES (56183, 11667, 11, '查看');
INSERT INTO `lang_definitions` VALUES (56184, 11668, 11, '查看');
INSERT INTO `lang_definitions` VALUES (56185, 11670, 11, '查看過敏');
INSERT INTO `lang_definitions` VALUES (56186, 11676, 11, '查看全面的病人報告');
INSERT INTO `lang_definitions` VALUES (56187, 11679, 11, '查看文件');
INSERT INTO `lang_definitions` VALUES (56188, 11681, 11, '查看遭遇');
INSERT INTO `lang_definitions` VALUES (56189, 11683, 11, '查看在彈出窗口中的事件嗎？');
INSERT INTO `lang_definitions` VALUES (56190, 11690, 11, '看第1頁');
INSERT INTO `lang_definitions` VALUES (56191, 11691, 11, '看第2頁');
INSERT INTO `lang_definitions` VALUES (56192, 11695, 11, '查看病人');
INSERT INTO `lang_definitions` VALUES (56193, 11700, 11, '查看相關的遭遇');
INSERT INTO `lang_definitions` VALUES (56194, 11712, 11, '查看/編輯過敏');
INSERT INTO `lang_definitions` VALUES (56195, 11713, 11, '查看/編輯問題');
INSERT INTO `lang_definitions` VALUES (56196, 11714, 11, '查看/列印');
INSERT INTO `lang_definitions` VALUES (56197, 11717, 11, '查看：');
INSERT INTO `lang_definitions` VALUES (56198, 11718, 11, '簽證');
INSERT INTO `lang_definitions` VALUES (56199, 11719, 11, 'VISA卡/ MC/ AMEX/ DIS');
INSERT INTO `lang_definitions` VALUES (56200, 11721, 11, '內臟損害/外傷/手術');
INSERT INTO `lang_definitions` VALUES (56201, 11728, 11, '訪問類別：');
INSERT INTO `lang_definitions` VALUES (56202, 11729, 11, '訪問日期');
INSERT INTO `lang_definitions` VALUES (56203, 11734, 11, '訪問表格');
INSERT INTO `lang_definitions` VALUES (56204, 11736, 11, '訪問歷史');
INSERT INTO `lang_definitions` VALUES (56205, 11745, 11, '訪問');
INSERT INTO `lang_definitions` VALUES (56206, 11746, 11, '從訪問');
INSERT INTO `lang_definitions` VALUES (56207, 11751, 11, '生命徵象的紀錄與圖表改變');
INSERT INTO `lang_definitions` VALUES (56208, 11752, 11, '命脈');
INSERT INTO `lang_definitions` VALUES (56209, 11753, 11, '生命徵象（公制）');
INSERT INTO `lang_definitions` VALUES (56210, 11756, 11, '聲音');
INSERT INTO `lang_definitions` VALUES (56211, 11758, 11, '聲音傳送');
INSERT INTO `lang_definitions` VALUES (56212, 11763, 11, '嘔吐');
INSERT INTO `lang_definitions` VALUES (56213, 11770, 11, '腰圍');
INSERT INTO `lang_definitions` VALUES (56214, 11771, 11, '腰圍');
INSERT INTO `lang_definitions` VALUES (56215, 11772, 11, '等候');
INSERT INTO `lang_definitions` VALUES (56216, 11773, 11, '步入式');
INSERT INTO `lang_definitions` VALUES (56217, 11776, 11, '沃爾特·彭寧頓');
INSERT INTO `lang_definitions` VALUES (56218, 11778, 11, '倉庫');
INSERT INTO `lang_definitions` VALUES (56219, 11782, 11, '倉庫');
INSERT INTO `lang_definitions` VALUES (56220, 11783, 11, '溫暖');
INSERT INTO `lang_definitions` VALUES (56221, 11786, 11, '警告');
INSERT INTO `lang_definitions` VALUES (56222, 11787, 11, '警告');
INSERT INTO `lang_definitions` VALUES (56223, 11789, 11, '警告，支票號碼已經存在於數據庫中');
INSERT INTO `lang_definitions` VALUES (56224, 11791, 11, '警告：這個病人今天已經有一次訪問了！');
INSERT INTO `lang_definitions` VALUES (56225, 11796, 11, '警告：病人識別不是唯一的！');
INSERT INTO `lang_definitions` VALUES (56226, 11799, 11, '警告：這將覆蓋從上傳的文件資料的配置信息！');
INSERT INTO `lang_definitions` VALUES (56227, 11801, 11, '警告');
INSERT INTO `lang_definitions` VALUES (56228, 11803, 11, '已經上傳');
INSERT INTO `lang_definitions` VALUES (56229, 11805, 11, '我們感謝及時支付到期的結餘');
INSERT INTO `lang_definitions` VALUES (56230, 11809, 11, '我們已經看到在我們的門診精神病診所的評估和治療你的上述病人。謝謝你這個轉介。');
INSERT INTO `lang_definitions` VALUES (56231, 11821, 11, '軟弱');
INSERT INTO `lang_definitions` VALUES (56232, 11826, 11, '網頁搜索');
INSERT INTO `lang_definitions` VALUES (56233, 11827, 11, '網站');
INSERT INTO `lang_definitions` VALUES (56234, 11828, 11, '上門患者門戶網站連結。');
INSERT INTO `lang_definitions` VALUES (56235, 11832, 11, '星期三');
INSERT INTO `lang_definitions` VALUES (56236, 11833, 11, '星期三');
INSERT INTO `lang_definitions` VALUES (56237, 11834, 11, '週');
INSERT INTO `lang_definitions` VALUES (56238, 11835, 11, '週');
INSERT INTO `lang_definitions` VALUES (56239, 11836, 11, '週視圖');
INSERT INTO `lang_definitions` VALUES (56240, 11837, 11, '週');
INSERT INTO `lang_definitions` VALUES (56241, 11838, 11, '周刊披露');
INSERT INTO `lang_definitions` VALUES (56242, 11840, 11, '週');
INSERT INTO `lang_definitions` VALUES (56243, 11841, 11, '體重');
INSERT INTO `lang_definitions` VALUES (56244, 11842, 11, '兒童和青少年體重的評估和諮詢');
INSERT INTO `lang_definitions` VALUES (56245, 11843, 11, '兒童和青少年體重的評估和諮詢CQM)');
INSERT INTO `lang_definitions` VALUES (56246, 11844, 11, '體重改變');
INSERT INTO `lang_definitions` VALUES (56247, 11845, 11, '減重');
INSERT INTO `lang_definitions` VALUES (56248, 11846, 11, '減肥診所');
INSERT INTO `lang_definitions` VALUES (56249, 11847, 11, '歡迎');
INSERT INTO `lang_definitions` VALUES (56250, 11862, 11, '要計算什麼？');
INSERT INTO `lang_definitions` VALUES (56251, 11864, 11, '哮鳴音：');
INSERT INTO `lang_definitions` VALUES (56252, 11865, 11, '哮鳴音');
INSERT INTO `lang_definitions` VALUES (56253, 11866, 11, '哮鳴音：');
INSERT INTO `lang_definitions` VALUES (56254, 11882, 11, '哪裡可能找到有關掃描或紙張文件？');
INSERT INTO `lang_definitions` VALUES (56255, 11890, 11, '頸椎過度屈伸');
INSERT INTO `lang_definitions` VALUES (56256, 11891, 11, '白色');
INSERT INTO `lang_definitions` VALUES (56257, 11894, 11, '誰');
INSERT INTO `lang_definitions` VALUES (56258, 11895, 11, '誰回答？');
INSERT INTO `lang_definitions` VALUES (56259, 11897, 11, '喪偶');
INSERT INTO `lang_definitions` VALUES (56260, 11900, 11, '在左側導航框架的像素寬度。');
INSERT INTO `lang_definitions` VALUES (56261, 11907, 11, '隨著選擇：');
INSERT INTO `lang_definitions` VALUES (56262, 11908, 11, '與舊名稱');
INSERT INTO `lang_definitions` VALUES (56263, 11911, 11, '我們留個口信給誰？');
INSERT INTO `lang_definitions` VALUES (56264, 11912, 11, '隱瞞');
INSERT INTO `lang_definitions` VALUES (56265, 11913, 11, '在幾個小時內');
INSERT INTO `lang_definitions` VALUES (56266, 11914, 11, '在幾個小時內：');
INSERT INTO `lang_definitions` VALUES (56267, 11915, 11, '在幾分鐘之內');
INSERT INTO `lang_definitions` VALUES (56268, 11916, 11, '在幾分鐘之內：');
INSERT INTO `lang_definitions` VALUES (56269, 11919, 11, '沒有更新');
INSERT INTO `lang_definitions` VALUES (56270, 11920, 11, '見證');
INSERT INTO `lang_definitions` VALUES (56271, 11921, 11, '週');
INSERT INTO `lang_definitions` VALUES (56272, 11922, 11, '在正常範圍內');
INSERT INTO `lang_definitions` VALUES (56273, 11924, 11, '婦女');
INSERT INTO `lang_definitions` VALUES (56274, 11925, 11, '只有婦女');
INSERT INTO `lang_definitions` VALUES (56275, 11927, 11, '工作');
INSERT INTO `lang_definitions` VALUES (56276, 11928, 11, '工作的說明');
INSERT INTO `lang_definitions` VALUES (56277, 11929, 11, '工作電話');
INSERT INTO `lang_definitions` VALUES (56278, 11930, 11, '工作電話號碼');
INSERT INTO `lang_definitions` VALUES (56279, 11931, 11, '相關的工作嗎？');
INSERT INTO `lang_definitions` VALUES (56280, 11932, 11, '工作/教育/愛好');
INSERT INTO `lang_definitions` VALUES (56281, 11933, 11, '工作/學校筆記');
INSERT INTO `lang_definitions` VALUES (56282, 11934, 11, '工作日');
INSERT INTO `lang_definitions` VALUES (56283, 11936, 11, '工人補償健康計劃');
INSERT INTO `lang_definitions` VALUES (56284, 11941, 11, '更壞');
INSERT INTO `lang_definitions` VALUES (56285, 11942, 11, '你想將餘額應用到全局帳戶？');
INSERT INTO `lang_definitions` VALUES (56286, 11943, 11, '你想把他們標記為清除。');
INSERT INTO `lang_definitions` VALUES (56287, 11944, 11, '你想分配？');
INSERT INTO `lang_definitions` VALUES (56288, 11945, 11, '你想取消這名病人的分發？');
INSERT INTO `lang_definitions` VALUES (56289, 11946, 11, '你想刪除收入分配？');
INSERT INTO `lang_definitions` VALUES (56290, 11947, 11, '你想刪除收入？');
INSERT INTO `lang_definitions` VALUES (56291, 11948, 11, '你想修改並完成付款？');
INSERT INTO `lang_definitions` VALUES (56292, 11949, 11, '你想修改付款？');
INSERT INTO `lang_definitions` VALUES (56293, 11950, 11, '你想發表和完成付款？');
INSERT INTO `lang_definitions` VALUES (56294, 11951, 11, '你想發表付款？');
INSERT INTO `lang_definitions` VALUES (56295, 11952, 11, '你想保存？');
INSERT INTO `lang_definitions` VALUES (56296, 11953, 11, '手腕');
INSERT INTO `lang_definitions` VALUES (56297, 11954, 11, '手腕與手');
INSERT INTO `lang_definitions` VALUES (56298, 11955, 11, '手腕問題');
INSERT INTO `lang_definitions` VALUES (56299, 11956, 11, '寫');
INSERT INTO `lang_definitions` VALUES (56300, 11958, 11, '註銷');
INSERT INTO `lang_definitions` VALUES (56301, 11960, 11, 'wsome');
INSERT INTO `lang_definitions` VALUES (56302, 11963, 11, '寬廣的型態');
INSERT INTO `lang_definitions` VALUES (56303, 11966, 11, 'x取消');
INSERT INTO `lang_definitions` VALUES (56304, 11967, 11, 'x取消');
INSERT INTO `lang_definitions` VALUES (56305, 11969, 11, 'X-射線');
INSERT INTO `lang_definitions` VALUES (56306, 11970, 11, 'X射線解讀：');
INSERT INTO `lang_definitions` VALUES (56307, 11971, 11, 'X射線解讀：');
INSERT INTO `lang_definitions` VALUES (56308, 11975, 11, 'X12的只有：更換索賠');
INSERT INTO `lang_definitions` VALUES (56309, 11978, 11, 'X12的合作夥伴');
INSERT INTO `lang_definitions` VALUES (56310, 11979, 11, 'X12的合作夥伴們');
INSERT INTO `lang_definitions` VALUES (56311, 11988, 11, '年');
INSERT INTO `lang_definitions` VALUES (56312, 11989, 11, '年');
INSERT INTO `lang_definitions` VALUES (56313, 11990, 11, '年視圖');
INSERT INTO `lang_definitions` VALUES (56314, 11991, 11, '年');
INSERT INTO `lang_definitions` VALUES (56315, 11992, 11, '年');
INSERT INTO `lang_definitions` VALUES (56316, 11996, 11, '是');
INSERT INTO `lang_definitions` VALUES (56317, 11997, 11, '年');
INSERT INTO `lang_definitions` VALUES (56318, 11998, 11, '是');
INSERT INTO `lang_definitions` VALUES (56319, 11999, 11, '是的﹗');
INSERT INTO `lang_definitions` VALUES (56320, 12000, 11, '是的，刪除和註銷');
INSERT INTO `lang_definitions` VALUES (56321, 12002, 11, '是/否');
INSERT INTO `lang_definitions` VALUES (56322, 12003, 11, '是：');
INSERT INTO `lang_definitions` VALUES (56323, 12004, 11, '意第緒語');
INSERT INTO `lang_definitions` VALUES (56324, 12008, 11, '你是要永久取代現有的範本。你確定要繼續嗎？');
INSERT INTO `lang_definitions` VALUES (56325, 12011, 11, '你是在格雷斯登錄期間。改變你以前的密碼');
INSERT INTO `lang_definitions` VALUES (56326, 12012, 11, '不允許您刪除此事件');
INSERT INTO `lang_definitions` VALUES (56327, 12013, 11, '不允許您編輯此事件');
INSERT INTO `lang_definitions` VALUES (56328, 12014, 11, '這個你沒有被授權。');
INSERT INTO `lang_definitions` VALUES (56329, 12016, 11, '您未被授權訪問此小隊。');
INSERT INTO `lang_definitions` VALUES (56330, 12017, 11, '您沒有被授權去添加/編輯問題');
INSERT INTO `lang_definitions` VALUES (56331, 12018, 11, '您沒有被授權來安排約會。');
INSERT INTO `lang_definitions` VALUES (56332, 12019, 11, '您沒有被授權去看這個遭遇。');
INSERT INTO `lang_definitions` VALUES (56333, 12038, 11, '你不能直接進入這個功能。');
INSERT INTO `lang_definitions` VALUES (56334, 12050, 11, '你不能直接進入這頁。');
INSERT INTO `lang_definitions` VALUES (56335, 12051, 11, '你不可以添加空白值對一個類別！');
INSERT INTO `lang_definitions` VALUES (56336, 12052, 11, '你不可以添加空白值對一個次類別！');
INSERT INTO `lang_definitions` VALUES (56337, 12053, 11, '你不可以添加空白值對一個項目！');
INSERT INTO `lang_definitions` VALUES (56338, 12055, 11, '你不能用一個完成值YES輸入一個未來的日期。');
INSERT INTO `lang_definitions` VALUES (56339, 12057, 11, '你不能選擇的任何行動。');
INSERT INTO `lang_definitions` VALUES (56340, 12058, 11, '你不必進入去查看/編輯本說明');
INSERT INTO `lang_definitions` VALUES (56341, 12061, 11, '您試圖改變的內容已被鎖定。如果你想解除鎖定，要解鎖。刪除行“，/*鎖::* /\'');
INSERT INTO `lang_definitions` VALUES (56342, 12063, 11, '您已經成功註銷。');
INSERT INTO `lang_definitions` VALUES (56343, 12074, 11, '你只可以上傳。文本文件');
INSERT INTO `lang_definitions` VALUES (56344, 12076, 11, '你可以把文本放在這裡作為在新的病人遭遇形式的默認投訴。');
INSERT INTO `lang_definitions` VALUES (56345, 12085, 11, '您必須輸入一個密碼短語來加密文件');
INSERT INTO `lang_definitions` VALUES (56346, 12090, 11, '你必須先選擇或添加一個病人。');
INSERT INTO `lang_definitions` VALUES (56347, 12091, 11, '你必須先選擇或創建一個遭遇。');
INSERT INTO `lang_definitions` VALUES (56348, 12092, 11, '你必須選擇一個訪問類別');
INSERT INTO `lang_definitions` VALUES (56349, 12093, 11, '你必須選擇一個訪問類別。');
INSERT INTO `lang_definitions` VALUES (56350, 12094, 11, '你必須選擇一些領域以繼續。');
INSERT INTO `lang_definitions` VALUES (56351, 12104, 11, '你應該運行這個測試，如果這種說法似乎成功地生成，但實際的索賠文件不包含任何數據或僅僅只有一個它應該包含的未完成部分的數據量。與HCFA索賠是很明顯的，因為它們是人類可讀的X12的索賠，這是一個比較多的艱難過程，以確定是否正確完整的索賠。');
INSERT INTO `lang_definitions` VALUES (56352, 12106, 11, '你應該至少選擇一個上下文');
INSERT INTO `lang_definitions` VALUES (56353, 12107, 11, '你應該至少選擇一個提供者');
INSERT INTO `lang_definitions` VALUES (56354, 12122, 11, '您的結束日期是無效的');
INSERT INTO `lang_definitions` VALUES (56355, 12123, 11, '您的事件已被刪除。');
INSERT INTO `lang_definitions` VALUES (56356, 12124, 11, '您的事件已被修改。');
INSERT INTO `lang_definitions` VALUES (56357, 12125, 11, '已提交您的事件。');
INSERT INTO `lang_definitions` VALUES (56358, 12127, 11, '你的檔案太大');
INSERT INTO `lang_definitions` VALUES (56359, 12132, 11, '列表的名稱已被更改，以滿足命名要求。');
INSERT INTO `lang_definitions` VALUES (56360, 12134, 11, '你的姓名對這一類別，過程或結果');
INSERT INTO `lang_definitions` VALUES (56361, 12140, 11, '你的密碼已過期。請更改您的密碼。');
INSERT INTO `lang_definitions` VALUES (56362, 12141, 11, '你的密碼過期');
INSERT INTO `lang_definitions` VALUES (56363, 12143, 11, '今天您的密碼過期。請更改您的密碼。');
INSERT INTO `lang_definitions` VALUES (56364, 12146, 11, '你PostCalendar配置已經重置為使用默認值。');
INSERT INTO `lang_definitions` VALUES (56365, 12147, 11, '你PostCalendar配置已更新。');
INSERT INTO `lang_definitions` VALUES (56366, 12148, 11, '你的重複頻率必須是一個整數。');
INSERT INTO `lang_definitions` VALUES (56367, 12149, 11, '你的重複頻率必須至少有1。');
INSERT INTO `lang_definitions` VALUES (56368, 12151, 11, '你的開始日期大於你的結束日期');
INSERT INTO `lang_definitions` VALUES (56369, 12152, 11, '你的起始日期是無效的');
INSERT INTO `lang_definitions` VALUES (56370, 12153, 11, '你的提交失敗。');
INSERT INTO `lang_definitions` VALUES (56371, 12156, 11, '年年年年-月月-日日');
INSERT INTO `lang_definitions` VALUES (56372, 12157, 11, '年年年年-月月-日日');
INSERT INTO `lang_definitions` VALUES (56373, 12158, 11, '年年年年-月月-日日日期與此檔案相關');
INSERT INTO `lang_definitions` VALUES (56374, 12159, 11, '年年年年-月月-日日日期破壞');
INSERT INTO `lang_definitions` VALUES (56375, 12160, 11, '年年年年-月月-日日出生日期');
INSERT INTO `lang_definitions` VALUES (56376, 12161, 11, '年年年年-月月-日日出生日期');
INSERT INTO `lang_definitions` VALUES (56377, 12162, 11, '年年年年-月月-日日死亡日期');
INSERT INTO `lang_definitions` VALUES (56378, 12163, 11, '年年年年-月月-日日發病或住院日期');
INSERT INTO `lang_definitions` VALUES (56379, 12164, 11, '年年年年-月月-日日發病，手術或藥物開始日期');
INSERT INTO `lang_definitions` VALUES (56380, 12165, 11, '年年年年-月月-日日購買或轉讓日期');
INSERT INTO `lang_definitions` VALUES (56381, 12166, 11, '年年年年-月月-日日恢復或藥物停止日期');
INSERT INTO `lang_definitions` VALUES (56382, 12167, 11, '年年年年-月月-日日回播日期');
INSERT INTO `lang_definitions` VALUES (56383, 12168, 11, '年年年年-月月-日日服務日期');
INSERT INTO `lang_definitions` VALUES (56384, 12169, 11, '年年年年-月月-日日這封信的日期');
INSERT INTO `lang_definitions` VALUES (56385, 12170, 11, '年年年年-月月-日日回播日期');
INSERT INTO `lang_definitions` VALUES (56386, 12171, 11, '年年年年-月月-日日文件日期');
INSERT INTO `lang_definitions` VALUES (56387, 12173, 11, '年年年年-月月-日日事件日期或開始日期');
INSERT INTO `lang_definitions` VALUES (56388, 12178, 11, '年年年年-月月-日日時時︰分分︰秒秒');
INSERT INTO `lang_definitions` VALUES (56389, 12180, 11, '年年年年-月月-日日這事件的最後日期');
INSERT INTO `lang_definitions` VALUES (56390, 12186, 11, '零');
INSERT INTO `lang_definitions` VALUES (56391, 12188, 11, '郵政編碼');
INSERT INTO `lang_definitions` VALUES (56392, 12189, 11, '郵政編碼');
INSERT INTO `lang_definitions` VALUES (56393, 12191, 11, '郵編/國家：');
INSERT INTO `lang_definitions` VALUES (56394, 12196, 11, '祖魯');
INSERT INTO `lang_definitions` VALUES (56395, 12197, 11, '但被');
INSERT INTO `lang_definitions` VALUES (56396, 12198, 11, '無法存取。');
INSERT INTO `lang_definitions` VALUES (56397, 12199, 11, '你真的要刪除');
INSERT INTO `lang_definitions` VALUES (56398, 12200, 11, '藥');
INSERT INTO `lang_definitions` VALUES (56399, 12201, 11, '沒有發送的電子郵件');
INSERT INTO `lang_definitions` VALUES (56400, 12202, 11, '從');
INSERT INTO `lang_definitions` VALUES (56401, 12203, 11, '已創建。');
INSERT INTO `lang_definitions` VALUES (56402, 12204, 11, '已經重新開放');
INSERT INTO `lang_definitions` VALUES (56403, 12205, 11, '歷史');
INSERT INTO `lang_definitions` VALUES (56404, 12206, 11, '不是一個數字');
INSERT INTO `lang_definitions` VALUES (56405, 12207, 11, '準備好重新計費。');
INSERT INTO `lang_definitions` VALUES (56406, 12208, 11, '左肺下葉：');
INSERT INTO `lang_definitions` VALUES (56407, 12209, 11, '很多');
INSERT INTO `lang_definitions` VALUES (56408, 12210, 11, '醫療原始參考號碼');
INSERT INTO `lang_definitions` VALUES (56409, 12211, 11, '分');
INSERT INTO `lang_definitions` VALUES (56410, 12212, 11, '沒有找到！');
INSERT INTO `lang_definitions` VALUES (56411, 12213, 11, '許多瀏覽器中的pecularities可能表示，以突然急跳的方式鍵入你的屏幕下面的輸出，並且有好幾秒鐘的長時間停頓，這看起來好像事情可能已墜毀。情況並非如此，你最終會看到輸出一行一行的出來。有可能出現下面的序列號，這是表事，即使沒有別的可顯示，但是活動仍進行。這些號碼將與計費內容夾雜在一起，這是正常的。');
INSERT INTO `lang_definitions` VALUES (56412, 12214, 11, '處方已達到極限');
INSERT INTO `lang_definitions` VALUES (56413, 12215, 11, '直到');
INSERT INTO `lang_definitions` VALUES (56414, 12216, 11, '更新失敗，不是在數據庫中？');
INSERT INTO `lang_definitions` VALUES (56415, 12217, 11, '被標記為只收費。');
INSERT INTO `lang_definitions` VALUES (56416, 12218, 11, '成功地排隊。');
INSERT INTO `lang_definitions` VALUES (56417, 12219, 11, '！左W / O訪問');
INSERT INTO `lang_definitions` VALUES (56418, 12220, 11, '“為代碼');
INSERT INTO `lang_definitions` VALUES (56419, 12222, 11, '＃INS /魚翅問題');
INSERT INTO `lang_definitions` VALUES (56420, 12223, 11, '＃片劑：');
INSERT INTO `lang_definitions` VALUES (56421, 12224, 11, '$');
INSERT INTO `lang_definitions` VALUES (56422, 12225, 11, '$編碼完成');
INSERT INTO `lang_definitions` VALUES (56423, 12226, 11, '﹩標籤（年年年年 -月 月 -日日）：');
INSERT INTO `lang_definitions` VALUES (56424, 12227, 11, '%');
INSERT INTO `lang_definitions` VALUES (56425, 12228, 11, '％取消<24小時');
INSERT INTO `lang_definitions` VALUES (56426, 12229, 11, '％取消<24小時');
INSERT INTO `lang_definitions` VALUES (56427, 12230, 11, '應該存在，但是沒有。');
INSERT INTO `lang_definitions` VALUES (56428, 12231, 11, '（％匹配任何字符串，_匹配任何字符）');
INSERT INTO `lang_definitions` VALUES (56429, 12233, 11, '（返回）');
INSERT INTO `lang_definitions` VALUES (56430, 12234, 11, '（點擊來編輯）');
INSERT INTO `lang_definitions` VALUES (56431, 12235, 11, '（電子郵件傳遞是立即的，而自動化的VOIP被發送到服務供應商進行進一步的處理。）');
INSERT INTO `lang_definitions` VALUES (56432, 12236, 11, '（更多）');
INSERT INTO `lang_definitions` VALUES (56433, 12237, 11, '（新病人）');
INSERT INTO `lang_definitions` VALUES (56434, 12238, 11, '（附註和授權）');
INSERT INTO `lang_definitions` VALUES (56435, 12239, 11, '（病人註釋）');
INSERT INTO `lang_definitions` VALUES (56436, 12240, 11, '（選擇其中之一，或鍵入自己的標題）');
INSERT INTO `lang_definitions` VALUES (56437, 12241, 11, '（移位）點擊或拖動來改變值');
INSERT INTO `lang_definitions` VALUES (56438, 12242, 11, '*提示完成');
INSERT INTO `lang_definitions` VALUES (56439, 12243, 11, '**請移動手術的事項！');
INSERT INTO `lang_definitions` VALUES (56440, 12244, 11, '*必填');
INSERT INTO `lang_definitions` VALUES (56441, 12245, 11, '+圖表拉出');
INSERT INTO `lang_definitions` VALUES (56442, 12249, 11, '- 沒有');
INSERT INTO `lang_definitions` VALUES (56443, 12255, 11, '0-10');
INSERT INTO `lang_definitions` VALUES (56444, 12256, 11, '0-24');
INSERT INTO `lang_definitions` VALUES (56445, 12260, 11, '1=北美。看到http://www.wtng.info/~~V其他國家或地區代碼列表。');
INSERT INTO `lang_definitions` VALUES (56446, 12265, 11, '1.休息2冰敷兩天3。壓迫，敷料留在原處，除非腳發展麻木或蒼白色4抬高腿和腳');
INSERT INTO `lang_definitions` VALUES (56447, 12266, 11, '11-14');
INSERT INTO `lang_definitions` VALUES (56448, 12267, 11, '12小時');
INSERT INTO `lang_definitions` VALUES (56449, 12268, 11, '15-19');
INSERT INTO `lang_definitions` VALUES (56450, 12278, 11, '20-24');
INSERT INTO `lang_definitions` VALUES (56451, 12287, 11, '2111-13');
INSERT INTO `lang_definitions` VALUES (56452, 12288, 11, '24小時');
INSERT INTO `lang_definitions` VALUES (56453, 12289, 11, '25+');
INSERT INTO `lang_definitions` VALUES (56454, 12290, 11, '25-29');
INSERT INTO `lang_definitions` VALUES (56455, 12293, 11, '第二');
INSERT INTO `lang_definitions` VALUES (56456, 12297, 11, '三個月');
INSERT INTO `lang_definitions` VALUES (56457, 12299, 11, '每天三次');
INSERT INTO `lang_definitions` VALUES (56458, 12301, 11, '30-34');
INSERT INTO `lang_definitions` VALUES (56459, 12302, 11, '35-39');
INSERT INTO `lang_definitions` VALUES (56460, 12304, 11, '第三');
INSERT INTO `lang_definitions` VALUES (56461, 12308, 11, '4個月');
INSERT INTO `lang_definitions` VALUES (56462, 12310, 11, '每天四次');
INSERT INTO `lang_definitions` VALUES (56463, 12312, 11, '40-44');
INSERT INTO `lang_definitions` VALUES (56464, 12313, 11, '45+');
INSERT INTO `lang_definitions` VALUES (56465, 12314, 11, '465.9，上呼吸道感染');
INSERT INTO `lang_definitions` VALUES (56466, 12315, 11, '466.0，支氣管炎，急性一氧化氮合酶');
INSERT INTO `lang_definitions` VALUES (56467, 12316, 11, '486.0，肺炎，急性');
INSERT INTO `lang_definitions` VALUES (56468, 12317, 11, '491.21，慢性阻塞性肺病加重');
INSERT INTO `lang_definitions` VALUES (56469, 12318, 11, '491.8，支氣管炎，慢性');
INSERT INTO `lang_definitions` VALUES (56470, 12319, 11, '493.92，哮喘，急性惡化。');
INSERT INTO `lang_definitions` VALUES (56471, 12320, 11, '496.0，慢性阻塞性肺病');
INSERT INTO `lang_definitions` VALUES (56472, 12323, 11, '第四');
INSERT INTO `lang_definitions` VALUES (56473, 12329, 11, '519.7支氣管痙攣');
INSERT INTO `lang_definitions` VALUES (56474, 12331, 11, '第五');
INSERT INTO `lang_definitions` VALUES (56475, 12334, 11, '6個月');
INSERT INTO `lang_definitions` VALUES (56476, 12337, 11, '第六');
INSERT INTO `lang_definitions` VALUES (56477, 12342, 11, '824.0骨折，內踝，閉鎖性');
INSERT INTO `lang_definitions` VALUES (56478, 12343, 11, '824.2骨折，外踝，閉鎖性');
INSERT INTO `lang_definitions` VALUES (56479, 12344, 11, '824.6骨折，三踝，閉鎖性');
INSERT INTO `lang_definitions` VALUES (56480, 12345, 11, '825.32的舟狀骨骨折，（腳踝）');
INSERT INTO `lang_definitions` VALUES (56481, 12346, 11, '825.35骨折，第五（5）蹠骨基部');
INSERT INTO `lang_definitions` VALUES (56482, 12347, 11, '845.00踝關節扭傷的一氧化氮合酶');
INSERT INTO `lang_definitions` VALUES (56483, 12348, 11, '845.01扭傷內側（三角肌）韌帶。');
INSERT INTO `lang_definitions` VALUES (56484, 12349, 11, '845.02扭傷，跟骨腓骨');
INSERT INTO `lang_definitions` VALUES (56485, 12351, 11, '99212成立 - 單純性');
INSERT INTO `lang_definitions` VALUES (56486, 12352, 11, '99213成立 - 低複雜度');
INSERT INTO `lang_definitions` VALUES (56487, 12353, 11, '<在診療室');
INSERT INTO `lang_definitions` VALUES (56488, 12357, 11, '>檢查');
INSERT INTO `lang_definitions` VALUES (56489, 12361, 11, '？無顯示');
INSERT INTO `lang_definitions` VALUES (56490, 12362, 11, '@抵達');
INSERT INTO `lang_definitions` VALUES (56491, 12364, 11, '[更改視圖]');
INSERT INTO `lang_definitions` VALUES (56492, 12365, 11, '[最後相遇的日期]');
INSERT INTO `lang_definitions` VALUES (56493, 12366, 11, '[自從最後相遇的天數]');
INSERT INTO `lang_definitions` VALUES (56494, 12367, 11, '平等機會條例草案]');
INSERT INTO `lang_definitions` VALUES (56495, 12368, 11, '[出口氧氟沙星]');
INSERT INTO `lang_definitions` VALUES (56496, 12369, 11, '[不推薦]');
INSERT INTO `lang_definitions` VALUES (56497, 12370, 11, '[邂逅的號碼]');
INSERT INTO `lang_definitions` VALUES (56498, 12371, 11, '[報告]');
INSERT INTO `lang_definitions` VALUES (56499, 12372, 11, '[全選]');
INSERT INTO `lang_definitions` VALUES (56500, 12373, 11, '[SQL總帳]');
INSERT INTO `lang_definitions` VALUES (56501, 12374, 11, '[開始批次處理]');
INSERT INTO `lang_definitions` VALUES (56502, 12375, 11, '[查看日誌]');
INSERT INTO `lang_definitions` VALUES (56503, 12376, 11, '[查看列印報告]');
INSERT INTO `lang_definitions` VALUES (56504, 12378, 11, '_PC_DUR_小時');
INSERT INTO `lang_definitions` VALUES (56505, 12379, 11, '_PC_DUR_分鐘');
INSERT INTO `lang_definitions` VALUES (56506, 12380, 11, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (56507, 12381, 11, '〜遲到');
INSERT INTO `lang_definitions` VALUES (56508, 2, 12, 'Номер чека или приходного документа для идентификации оплаты');
INSERT INTO `lang_definitions` VALUES (56509, 4, 12, 'Сертификат клиента для пользователя admin');
INSERT INTO `lang_definitions` VALUES (56510, 6, 12, 'Клинический документ прикреплен');
INSERT INTO `lang_definitions` VALUES (56511, 7, 12, 'Клинический документ прикреплен.');
INSERT INTO `lang_definitions` VALUES (56512, 8, 12, 'Код данного типа уже выбран. Очистите поле, чтобы заменить.');
INSERT INTO `lang_definitions` VALUES (56513, 13, 12, 'Специалист(распределитель) является обязательным');
INSERT INTO `lang_definitions` VALUES (56514, 17, 12, 'Для этого посещения необходимо добавить форму GCAC.');
INSERT INTO `lang_definitions` VALUES (56515, 20, 12, 'Номер партии обязателен');
INSERT INTO `lang_definitions` VALUES (56516, 21, 12, 'Номер партии обязателен!');
INSERT INTO `lang_definitions` VALUES (56517, 22, 12, 'Прописная буква');
INSERT INTO `lang_definitions` VALUES (56518, 28, 12, 'Номер');
INSERT INTO `lang_definitions` VALUES (56519, 29, 12, 'Выберите пациента, чтобы сформировать отчёт');
INSERT INTO `lang_definitions` VALUES (56520, 30, 12, 'Пациент с этим номером документа уже существует.');
INSERT INTO `lang_definitions` VALUES (56521, 31, 12, 'Пациент под этим именем уже существует');
INSERT INTO `lang_definitions` VALUES (56522, 32, 12, 'Пациент с этим ИНН уже существует.');
INSERT INTO `lang_definitions` VALUES (56523, 43, 12, 'Источник направления может быть указан для каждого посещения.');
INSERT INTO `lang_definitions` VALUES (56524, 44, 12, 'Требуется cвязанный код IPPF!');
INSERT INTO `lang_definitions` VALUES (56525, 49, 12, 'специальный символ');
INSERT INTO `lang_definitions` VALUES (56526, 53, 12, 'Для пользователя уникальное значение идентификации этого поля не видно');
INSERT INTO `lang_definitions` VALUES (56527, 56, 12, 'Данный пациент уже имеет запись на сегодня. Нажмите \"Ok\", чтобы создать новый или \"Отмена\", чтобы открыть существующий');
INSERT INTO `lang_definitions` VALUES (56528, 57, 12, 'до еды');
INSERT INTO `lang_definitions` VALUES (56529, 58, 12, 'до полудня');
INSERT INTO `lang_definitions` VALUES (56530, 59, 12, 'передняя камера');
INSERT INTO `lang_definitions` VALUES (56531, 60, 12, 'Равное право при пожаре или несчастном случае:');
INSERT INTO `lang_definitions` VALUES (56532, 62, 12, 'Астматический бронхит');
INSERT INTO `lang_definitions` VALUES (56533, 63, 12, 'Сокращение');
INSERT INTO `lang_definitions` VALUES (56534, 64, 12, 'Абсцесс:');
INSERT INTO `lang_definitions` VALUES (56535, 65, 12, 'Абдоминальный');
INSERT INTO `lang_definitions` VALUES (56536, 66, 12, 'Способен переносить вес на четыре (4) шага');
INSERT INTO `lang_definitions` VALUES (56537, 67, 12, 'Откл.');
INSERT INTO `lang_definitions` VALUES (56538, 68, 12, 'Откл.1');
INSERT INTO `lang_definitions` VALUES (56539, 70, 12, 'Отклонение от нормы');
INSERT INTO `lang_definitions` VALUES (56540, 71, 12, 'Анализ крови с отклонением от нормы');
INSERT INTO `lang_definitions` VALUES (56541, 72, 12, 'Патология роста волос');
INSERT INTO `lang_definitions` VALUES (56542, 73, 12, 'Маммограмма с отклонением от нормы');
INSERT INTO `lang_definitions` VALUES (56543, 75, 12, 'Аборт');
INSERT INTO `lang_definitions` VALUES (56544, 76, 12, 'Проблемы аборта');
INSERT INTO `lang_definitions` VALUES (56545, 77, 12, 'Метод прерывания беременности');
INSERT INTO `lang_definitions` VALUES (56546, 78, 12, 'Категории, связанные с абортом');
INSERT INTO `lang_definitions` VALUES (56547, 79, 12, 'Аборты');
INSERT INTO `lang_definitions` VALUES (56548, 80, 12, 'Подробнее');
INSERT INTO `lang_definitions` VALUES (56549, 82, 12, 'Согласно регистрации');
INSERT INTO `lang_definitions` VALUES (56550, 85, 12, 'Отсутствие диагноза');
INSERT INTO `lang_definitions` VALUES (56551, 87, 12, 'Принять назначение');
INSERT INTO `lang_definitions` VALUES (56552, 89, 12, 'Принять оплату за');
INSERT INTO `lang_definitions` VALUES (56553, 90, 12, 'Принять оплату за');
INSERT INTO `lang_definitions` VALUES (56554, 91, 12, 'Принимать назначение');
INSERT INTO `lang_definitions` VALUES (56555, 93, 12, 'Управление конролем');
INSERT INTO `lang_definitions` VALUES (56556, 94, 12, 'Администрирование через список управления доступом (ACL)');
INSERT INTO `lang_definitions` VALUES (56557, 102, 12, 'Доступ не разрешен');
INSERT INTO `lang_definitions` VALUES (56558, 103, 12, 'Доступ не разрешен');
INSERT INTO `lang_definitions` VALUES (56559, 105, 12, 'Портал для доступа вашего пациента');
INSERT INTO `lang_definitions` VALUES (56560, 106, 12, 'Проишествие');
INSERT INTO `lang_definitions` VALUES (56561, 113, 12, 'Имя учетной записи');
INSERT INTO `lang_definitions` VALUES (56562, 117, 12, 'Учёт');
INSERT INTO `lang_definitions` VALUES (56563, 121, 12, 'Глубина передней камеры');
INSERT INTO `lang_definitions` VALUES (56564, 122, 12, 'Боли');
INSERT INTO `lang_definitions` VALUES (56565, 124, 12, 'Запрошено подтверждение');
INSERT INTO `lang_definitions` VALUES (56566, 125, 12, 'Подтверждение получения, лицензирование и сертификация');
INSERT INTO `lang_definitions` VALUES (56567, 126, 12, 'ACL');
INSERT INTO `lang_definitions` VALUES (56568, 127, 12, 'Администрирование ACL');
INSERT INTO `lang_definitions` VALUES (56569, 129, 12, 'Администрирование ACL не разрешено.');
INSERT INTO `lang_definitions` VALUES (56570, 133, 12, 'Боль');
INSERT INTO `lang_definitions` VALUES (56571, 136, 12, 'Контракт');
INSERT INTO `lang_definitions` VALUES (56572, 137, 12, 'Дата подписания контракта');
INSERT INTO `lang_definitions` VALUES (56573, 138, 12, 'Действие');
INSERT INTO `lang_definitions` VALUES (56574, 142, 12, 'Действия');
INSERT INTO `lang_definitions` VALUES (56575, 144, 12, 'Активировать сообщения CCR/CCD');
INSERT INTO `lang_definitions` VALUES (56576, 148, 12, 'Активный');
INSERT INTO `lang_definitions` VALUES (56577, 150, 12, 'Активное извещение');
INSERT INTO `lang_definitions` VALUES (56578, 152, 12, 'Правила активных извещений');
INSERT INTO `lang_definitions` VALUES (56579, 153, 12, 'Активные извещения/ напоминания');
INSERT INTO `lang_definitions` VALUES (56580, 158, 12, 'Активированное обращение');
INSERT INTO `lang_definitions` VALUES (56581, 160, 12, 'Активные списки');
INSERT INTO `lang_definitions` VALUES (56582, 162, 12, 'Активированный пациент');
INSERT INTO `lang_definitions` VALUES (56583, 163, 12, 'Активные программы');
INSERT INTO `lang_definitions` VALUES (56584, 173, 12, 'Активность');
INSERT INTO `lang_definitions` VALUES (56585, 174, 12, 'Тип активности');
INSERT INTO `lang_definitions` VALUES (56586, 176, 12, 'Острота');
INSERT INTO `lang_definitions` VALUES (56587, 177, 12, 'Острота');
INSERT INTO `lang_definitions` VALUES (56588, 187, 12, 'Острый или хронический');
INSERT INTO `lang_definitions` VALUES (56589, 189, 12, 'Добавить');
INSERT INTO `lang_definitions` VALUES (56590, 190, 12, 'добавить');
INSERT INTO `lang_definitions` VALUES (56591, 191, 12, 'ДОБАВИТЬ');
INSERT INTO `lang_definitions` VALUES (56592, 192, 12, 'Добавить компанию');
INSERT INTO `lang_definitions` VALUES (56593, 193, 12, 'Добавить условие');
INSERT INTO `lang_definitions` VALUES (56594, 197, 12, 'Добавить аптеку');
INSERT INTO `lang_definitions` VALUES (56595, 200, 12, 'добавить событие для');
INSERT INTO `lang_definitions` VALUES (56596, 202, 12, 'Добавить как новую запись');
INSERT INTO `lang_definitions` VALUES (56597, 203, 12, 'Добавить как новая');
INSERT INTO `lang_definitions` VALUES (56598, 206, 12, 'Добавить кнопки');
INSERT INTO `lang_definitions` VALUES (56599, 207, 12, 'Добавьте кнопки для специальных литеров, текстов, чтобы отображать вверху редактора для включения в текст при щелчке');
INSERT INTO `lang_definitions` VALUES (56600, 208, 12, 'Добавить категорию');
INSERT INTO `lang_definitions` VALUES (56601, 209, 12, 'Добавить константу');
INSERT INTO `lang_definitions` VALUES (56602, 210, 12, 'Добавить контекст');
INSERT INTO `lang_definitions` VALUES (56603, 211, 12, 'Добавить оплату пациента');
INSERT INTO `lang_definitions` VALUES (56604, 212, 12, 'Добавить критерий');
INSERT INTO `lang_definitions` VALUES (56605, 213, 12, 'Добавить собственную кнопку');
INSERT INTO `lang_definitions` VALUES (56606, 216, 12, 'Добавить диагноз');
INSERT INTO `lang_definitions` VALUES (56607, 217, 12, 'Добавить лекарство');
INSERT INTO `lang_definitions` VALUES (56608, 220, 12, 'Добавить обращение');
INSERT INTO `lang_definitions` VALUES (56609, 221, 12, 'Добавить обращение/запись');
INSERT INTO `lang_definitions` VALUES (56610, 222, 12, 'Добавить услугу');
INSERT INTO `lang_definitions` VALUES (56611, 223, 12, 'Добавить поле');
INSERT INTO `lang_definitions` VALUES (56612, 224, 12, 'Добавьте следующие строки в конфигурационный файл Apache');
INSERT INTO `lang_definitions` VALUES (56613, 225, 12, 'Добавить группу');
INSERT INTO `lang_definitions` VALUES (56614, 227, 12, 'Добавляет код ICD');
INSERT INTO `lang_definitions` VALUES (56615, 228, 12, 'Добавить вакцинацию');
INSERT INTO `lang_definitions` VALUES (56616, 229, 12, 'Добавление не разрешено!');
INSERT INTO `lang_definitions` VALUES (56617, 230, 12, 'Добавить аспекты');
INSERT INTO `lang_definitions` VALUES (56618, 232, 12, 'Добавить язык');
INSERT INTO `lang_definitions` VALUES (56619, 237, 12, 'Добавить элементы');
INSERT INTO `lang_definitions` VALUES (56620, 238, 12, 'Добавить новое');
INSERT INTO `lang_definitions` VALUES (56621, 239, 12, 'Добавить новое');
INSERT INTO `lang_definitions` VALUES (56622, 240, 12, 'Добавить новую категорию');
INSERT INTO `lang_definitions` VALUES (56623, 241, 12, 'Добавьте новые сертификаты в конфигурационный файл Apache');
INSERT INTO `lang_definitions` VALUES (56624, 242, 12, 'Добавить новый компонент');
INSERT INTO `lang_definitions` VALUES (56625, 243, 12, 'Добавить новые компоненты');
INSERT INTO `lang_definitions` VALUES (56626, 249, 12, 'Добавить новую группу');
INSERT INTO `lang_definitions` VALUES (56627, 251, 12, 'Добавить новую партию или товарооборот');
INSERT INTO `lang_definitions` VALUES (56628, 253, 12, 'Добавить новую запись');
INSERT INTO `lang_definitions` VALUES (56629, 254, 12, 'Добавить новую запись');
INSERT INTO `lang_definitions` VALUES (56630, 255, 12, 'Добавить нового партнера');
INSERT INTO `lang_definitions` VALUES (56631, 256, 12, 'Добавить пациента');
INSERT INTO `lang_definitions` VALUES (56632, 257, 12, 'Добавить новый план');
INSERT INTO `lang_definitions` VALUES (56633, 264, 12, 'Добавить запись');
INSERT INTO `lang_definitions` VALUES (56634, 268, 12, 'Добавить запись для пациента');
INSERT INTO `lang_definitions` VALUES (56635, 269, 12, 'Добавить назначение');
INSERT INTO `lang_definitions` VALUES (56636, 270, 12, 'Добавить анализ');
INSERT INTO `lang_definitions` VALUES (56637, 271, 12, 'Добавить номер поставщика');
INSERT INTO `lang_definitions` VALUES (56638, 273, 12, 'Добавить реабилитацию');
INSERT INTO `lang_definitions` VALUES (56639, 274, 12, 'Добавить правило');
INSERT INTO `lang_definitions` VALUES (56640, 277, 12, 'Добавить к');
INSERT INTO `lang_definitions` VALUES (56641, 281, 12, 'Добавить к списку препаратов');
INSERT INTO `lang_definitions` VALUES (56642, 282, 12, 'Добавить основной уровень');
INSERT INTO `lang_definitions` VALUES (56643, 283, 12, 'Добавить транзакцию');
INSERT INTO `lang_definitions` VALUES (56644, 284, 12, 'Добавить пользователя');
INSERT INTO `lang_definitions` VALUES (56645, 285, 12, 'Добавить пользователя в группу');
INSERT INTO `lang_definitions` VALUES (56646, 286, 12, 'Проч.{{прочие измерения}}');
INSERT INTO `lang_definitions` VALUES (56647, 287, 12, 'Добавить/изменить eRx');
INSERT INTO `lang_definitions` VALUES (56648, 289, 12, 'Добавить/изменить транзакцию по пациенту');
INSERT INTO `lang_definitions` VALUES (56649, 290, 12, 'дополнено');
INSERT INTO `lang_definitions` VALUES (56650, 293, 12, 'Добавление персональных данных не разрешено.');
INSERT INTO `lang_definitions` VALUES (56651, 295, 12, 'Синдром Эддисона');
INSERT INTO `lang_definitions` VALUES (56652, 296, 12, 'Синдром Эддисона');
INSERT INTO `lang_definitions` VALUES (56653, 297, 12, 'Дополнительные атрибуты');
INSERT INTO `lang_definitions` VALUES (56654, 300, 12, 'Дополнительный диагноз:');
INSERT INTO `lang_definitions` VALUES (56655, 305, 12, 'Дополнительный анамнез');
INSERT INTO `lang_definitions` VALUES (56656, 306, 12, 'Дополнительные записи в историю');
INSERT INTO `lang_definitions` VALUES (56657, 307, 12, 'Дополнительная информация');
INSERT INTO `lang_definitions` VALUES (56658, 310, 12, 'Дополнительные лабораторные исследования');
INSERT INTO `lang_definitions` VALUES (56659, 311, 12, 'Дополнительные записи');
INSERT INTO `lang_definitions` VALUES (56660, 313, 12, 'Дополнительные записи для этого результата или рекомендации');
INSERT INTO `lang_definitions` VALUES (56661, 314, 12, 'Дополнительные записи:');
INSERT INTO `lang_definitions` VALUES (56662, 315, 12, 'Дополнительные записи:');
INSERT INTO `lang_definitions` VALUES (56663, 317, 12, 'Дополнительные записи к рентген-исследованию:');
INSERT INTO `lang_definitions` VALUES (56664, 320, 12, 'только добавление');
INSERT INTO `lang_definitions` VALUES (56665, 322, 12, 'Адр. кн.');
INSERT INTO `lang_definitions` VALUES (56666, 323, 12, 'Адр. книга');
INSERT INTO `lang_definitions` VALUES (56667, 324, 12, 'Адрес');
INSERT INTO `lang_definitions` VALUES (56668, 325, 12, 'Адрес и индекс');
INSERT INTO `lang_definitions` VALUES (56669, 326, 12, 'Адрес и регион');
INSERT INTO `lang_definitions` VALUES (56670, 327, 12, 'Адресная книга');
INSERT INTO `lang_definitions` VALUES (56671, 328, 12, 'Запись в адресную книгу для компании, выполняющей эту методику');
INSERT INTO `lang_definitions` VALUES (56672, 329, 12, 'Запись в адресную книгу для специалиста');
INSERT INTO `lang_definitions` VALUES (56673, 330, 12, 'Запись в адресную книгу для производителя');
INSERT INTO `lang_definitions` VALUES (56674, 331, 12, 'Типы адресной книги');
INSERT INTO `lang_definitions` VALUES (56675, 338, 12, 'Адрес, регион и почтовый индекс');
INSERT INTO `lang_definitions` VALUES (56676, 339, 12, 'Адрес1');
INSERT INTO `lang_definitions` VALUES (56677, 340, 12, 'Адрес2');
INSERT INTO `lang_definitions` VALUES (56678, 342, 12, 'АДРЕС');
INSERT INTO `lang_definitions` VALUES (56679, 345, 12, 'Корр.');
INSERT INTO `lang_definitions` VALUES (56680, 346, 12, 'Количество корр.');
INSERT INTO `lang_definitions` VALUES (56681, 347, 12, 'Корректировать');
INSERT INTO `lang_definitions` VALUES (56682, 348, 12, 'Корректировка');
INSERT INTO `lang_definitions` VALUES (56683, 349, 12, 'Итоговая корректировка');
INSERT INTO `lang_definitions` VALUES (56684, 350, 12, 'Причины корректировки');
INSERT INTO `lang_definitions` VALUES (56685, 352, 12, 'Значение корректировки для кода');
INSERT INTO `lang_definitions` VALUES (56686, 353, 12, 'Исправления');
INSERT INTO `lang_definitions` VALUES (56687, 354, 12, 'Настройка адм.');
INSERT INTO `lang_definitions` VALUES (56688, 355, 12, 'Админ.');
INSERT INTO `lang_definitions` VALUES (56689, 356, 12, 'Электронный адрес admin');
INSERT INTO `lang_definitions` VALUES (56690, 357, 12, 'Выполнять через');
INSERT INTO `lang_definitions` VALUES (56691, 359, 12, 'Настроен');
INSERT INTO `lang_definitions` VALUES (56692, 360, 12, 'Настроен через');
INSERT INTO `lang_definitions` VALUES (56693, 363, 12, 'Администрирование');
INSERT INTO `lang_definitions` VALUES (56694, 366, 12, 'Администраторы');
INSERT INTO `lang_definitions` VALUES (56695, 367, 12, 'Администраторы могут делать всё');
INSERT INTO `lang_definitions` VALUES (56696, 371, 12, 'Всплывающее отображение веса взрослого');
INSERT INTO `lang_definitions` VALUES (56697, 372, 12, 'Всплывающее отображение веса взрослого (CQM)');
INSERT INTO `lang_definitions` VALUES (56698, 373, 12, 'Предварительная инструкция');
INSERT INTO `lang_definitions` VALUES (56699, 374, 12, 'Предварительные инструкции');
INSERT INTO `lang_definitions` VALUES (56700, 375, 12, 'Предупреждение о предварительной инструкции');
INSERT INTO `lang_definitions` VALUES (56701, 377, 12, 'Усовершенствованный');
INSERT INTO `lang_definitions` VALUES (56702, 380, 12, 'Совет');
INSERT INTO `lang_definitions` VALUES (56703, 382, 12, 'Повлиять на норму');
INSERT INTO `lang_definitions` VALUES (56704, 386, 12, 'После час. вызовов');
INSERT INTO `lang_definitions` VALUES (56705, 388, 12, 'После завершения указанных настроек импортируйте сертификат клиента admin в браузер и перезапустите сервер Apache (пустой пароль).');
INSERT INTO `lang_definitions` VALUES (56706, 390, 12, 'После сохранения PDF нажмите [Просмотр журнала] для проверки ошибок.');
INSERT INTO `lang_definitions` VALUES (56707, 393, 12, 'Просле сохранения файла(в) TEXT нажмите [Просмотр журнала] для проверки ошибок.');
INSERT INTO `lang_definitions` VALUES (56708, 396, 12, 'После сохранения пакета кликните [Просмотр журнала] для проверки ошибок.');
INSERT INTO `lang_definitions` VALUES (56709, 399, 12, 'После правильного ввода информации нажмите кнопку Сохранить.');
INSERT INTO `lang_definitions` VALUES (56710, 400, 12, 'После загрузки нажмите кнопку \"Импорт\"');
INSERT INTO `lang_definitions` VALUES (56711, 406, 12, 'Повторно');
INSERT INTO `lang_definitions` VALUES (56712, 407, 12, 'Возраст');
INSERT INTO `lang_definitions` VALUES (56713, 409, 12, 'Возраст по');
INSERT INTO `lang_definitions` VALUES (56714, 410, 12, 'Возрастная категория');
INSERT INTO `lang_definitions` VALUES (56715, 411, 12, 'Данные возраста вне диапазона.');
INSERT INTO `lang_definitions` VALUES (56716, 412, 12, 'Формат отображения возраста');
INSERT INTO `lang_definitions` VALUES (56717, 413, 12, 'Формат возраста \" возраст от\" не действителен');
INSERT INTO `lang_definitions` VALUES (56718, 414, 12, 'Формат возраста \" возраст до\" не действителен');
INSERT INTO `lang_definitions` VALUES (56719, 415, 12, 'Возраст от');
INSERT INTO `lang_definitions` VALUES (56720, 417, 12, 'Возраст макс');
INSERT INTO `lang_definitions` VALUES (56721, 418, 12, 'Возраст мин');
INSERT INTO `lang_definitions` VALUES (56722, 419, 12, 'Возрастной диапазон');
INSERT INTO `lang_definitions` VALUES (56723, 421, 12, 'Столбцы возрастов:');
INSERT INTO `lang_definitions` VALUES (56724, 423, 12, 'Албанский');
INSERT INTO `lang_definitions` VALUES (56725, 424, 12, 'Алкоголь');
INSERT INTO `lang_definitions` VALUES (56726, 425, 12, 'Употребление алкоголя');
INSERT INTO `lang_definitions` VALUES (56727, 428, 12, 'Количество извещений');
INSERT INTO `lang_definitions` VALUES (56728, 435, 12, 'Оповещения');
INSERT INTO `lang_definitions` VALUES (56729, 439, 12, 'АЛЕУТ');
INSERT INTO `lang_definitions` VALUES (56730, 440, 12, 'Все');
INSERT INTO `lang_definitions` VALUES (56731, 441, 12, 'Все');
INSERT INTO `lang_definitions` VALUES (56732, 443, 12, 'Все (формат сопоставления A)');
INSERT INTO `lang_definitions` VALUES (56733, 444, 12, 'Все (формат сопоставления B)');
INSERT INTO `lang_definitions` VALUES (56734, 445, 12, 'Все (совокупный)');
INSERT INTO `lang_definitions` VALUES (56735, 448, 12, 'Все категории');
INSERT INTO `lang_definitions` VALUES (56736, 450, 12, 'Все коды');
INSERT INTO `lang_definitions` VALUES (56737, 453, 12, 'Весь день');
INSERT INTO `lang_definitions` VALUES (56738, 454, 12, 'Событие на весь день');
INSERT INTO `lang_definitions` VALUES (56739, 455, 12, 'Все поля по персональным данным с поиском и двойной проверкой');
INSERT INTO `lang_definitions` VALUES (56740, 457, 12, 'Все услуги');
INSERT INTO `lang_definitions` VALUES (56741, 458, 12, 'Все травмы/проблемы/аспекты');
INSERT INTO `lang_definitions` VALUES (56742, 459, 12, 'Разрешены все языки');
INSERT INTO `lang_definitions` VALUES (56743, 462, 12, 'Имя или его часть');
INSERT INTO `lang_definitions` VALUES (56744, 463, 12, 'Фамилия или её часть');
INSERT INTO `lang_definitions` VALUES (56745, 464, 12, 'Вся или часть организации');
INSERT INTO `lang_definitions` VALUES (56746, 468, 12, 'Вся продукция');
INSERT INTO `lang_definitions` VALUES (56747, 469, 12, 'Все специалисты');
INSERT INTO `lang_definitions` VALUES (56748, 470, 12, 'Все были рассмотрены и отрицательные');
INSERT INTO `lang_definitions` VALUES (56749, 475, 12, 'Все разделы');
INSERT INTO `lang_definitions` VALUES (56750, 478, 12, 'Все пользователи');
INSERT INTO `lang_definitions` VALUES (56751, 479, 12, 'Аллергология');
INSERT INTO `lang_definitions` VALUES (56752, 481, 12, 'Аллергия');
INSERT INTO `lang_definitions` VALUES (56753, 484, 12, 'Аллергия:');
INSERT INTO `lang_definitions` VALUES (56754, 485, 12, 'Аллергия');
INSERT INTO `lang_definitions` VALUES (56755, 486, 12, 'Импорт аллергии успешно завершен');
INSERT INTO `lang_definitions` VALUES (56756, 488, 12, 'Аллергическая реакция');
INSERT INTO `lang_definitions` VALUES (56757, 491, 12, 'Внести');
INSERT INTO `lang_definitions` VALUES (56758, 492, 12, 'Разрешить');
INSERT INTO `lang_definitions` VALUES (56759, 494, 12, 'Разрешить выбирать все доступные языки в меню входа в систему.');
INSERT INTO `lang_definitions` VALUES (56760, 496, 12, 'Разрешает создание требований, содержащих диагнозы, но не процедуры или оплату. Большинству клиник это не требуется.');
INSERT INTO `lang_definitions` VALUES (56761, 497, 12, 'Разрешить язык отладки');
INSERT INTO `lang_definitions` VALUES (56762, 500, 12, 'Разрешить e-mail');
INSERT INTO `lang_definitions` VALUES (56763, 501, 12, 'Разрешить сообщения по e-mail?');
INSERT INTO `lang_definitions` VALUES (56764, 502, 12, 'Разрешить e-mail?');
INSERT INTO `lang_definitions` VALUES (56765, 503, 12, 'Разрешить запрос обращения');
INSERT INTO `lang_definitions` VALUES (56766, 506, 12, 'Разрешить обмен информации о здоровье');
INSERT INTO `lang_definitions` VALUES (56767, 508, 12, 'Разрешить обмен информации о вакцинации');
INSERT INTO `lang_definitions` VALUES (56768, 509, 12, 'Разрешить использование реестра вакцинации');
INSERT INTO `lang_definitions` VALUES (56769, 512, 12, 'Разрешить передачу сообщений почтой');
INSERT INTO `lang_definitions` VALUES (56770, 533, 12, 'Разрешить портал пациентов');
INSERT INTO `lang_definitions` VALUES (56771, 541, 12, 'Разрешить СМС');
INSERT INTO `lang_definitions` VALUES (56772, 542, 12, 'Разрешить СМС (текстовое сообщение)');
INSERT INTO `lang_definitions` VALUES (56773, 544, 12, 'Разрешить немедленную активацию подчиненных событий?');
INSERT INTO `lang_definitions` VALUES (56774, 545, 12, 'Разрешить телефонные сообщения?');
INSERT INTO `lang_definitions` VALUES (56775, 547, 12, 'Разрешает пользователям публиковывать общие мероприятия');
INSERT INTO `lang_definitions` VALUES (56776, 548, 12, 'Разрешает пользователям опубликовывать персональный календарь');
INSERT INTO `lang_definitions` VALUES (56777, 554, 12, 'Разрешить голосовые сообщения');
INSERT INTO `lang_definitions` VALUES (56778, 555, 12, 'Разрешено');
INSERT INTO `lang_definitions` VALUES (56779, 556, 12, 'Разрешённые языки');
INSERT INTO `lang_definitions` VALUES (56780, 558, 12, 'Разрешено (c)');
INSERT INTO `lang_definitions` VALUES (56781, 566, 12, 'уже существует');
INSERT INTO `lang_definitions` VALUES (56782, 568, 12, 'уже существует.');
INSERT INTO `lang_definitions` VALUES (56783, 570, 12, 'Уже используется, выберите другой идентификатор');
INSERT INTO `lang_definitions` VALUES (56784, 571, 12, 'Уже используется, выберите другой заголовок');
INSERT INTO `lang_definitions` VALUES (56785, 573, 12, 'Альтернативный адрес');
INSERT INTO `lang_definitions` VALUES (56786, 577, 12, 'другой');
INSERT INTO `lang_definitions` VALUES (56787, 584, 12, 'Также можно использовать страницу поиска для загрузки файла электронного денежного перевода (X12 835), который вы получили от плательщика или расчетного центра. Это можно сделать, нажав кнопку \"Обзор\" и выбрав файл для загрузки, а затем нажав Поиск, чтобы выполнить загрузку и отображение соответствующих счетов-фактур. В этом случае другие параметры, указанные выше, не применяются, и будут игнорированы. Загрузка сохраняет файл, но еще не обрабатывает его содержимое - это будет сделано отдельно, как описано ниже.');
INSERT INTO `lang_definitions` VALUES (56788, 586, 12, 'до полудня');
INSERT INTO `lang_definitions` VALUES (56789, 587, 12, 'Утренняя программа');
INSERT INTO `lang_definitions` VALUES (56790, 592, 12, 'AMC');
INSERT INTO `lang_definitions` VALUES (56791, 593, 12, 'Отслеживание AMC');
INSERT INTO `lang_definitions` VALUES (56792, 600, 12, 'Исправить существующую запись');
INSERT INTO `lang_definitions` VALUES (56793, 610, 12, 'Американский индеец');
INSERT INTO `lang_definitions` VALUES (56794, 611, 12, 'Американский индеец или уроженец Аляски');
INSERT INTO `lang_definitions` VALUES (56795, 612, 12, 'Американская фондовая биржа');
INSERT INTO `lang_definitions` VALUES (56796, 613, 12, 'Амхарский');
INSERT INTO `lang_definitions` VALUES (56797, 614, 12, 'Итог');
INSERT INTO `lang_definitions` VALUES (56798, 617, 12, 'Итоговый платеж');
INSERT INTO `lang_definitions` VALUES (56799, 620, 12, 'Итог прошлого баланса');
INSERT INTO `lang_definitions` VALUES (56800, 621, 12, 'Итог для этого посещения');
INSERT INTO `lang_definitions` VALUES (56801, 622, 12, 'Итоговая оплата');
INSERT INTO `lang_definitions` VALUES (56802, 623, 12, 'Итог:');
INSERT INTO `lang_definitions` VALUES (56803, 626, 12, 'Оплаченный итог');
INSERT INTO `lang_definitions` VALUES (56804, 630, 12, 'Для повторных событий требуется, чтобы дата окончания была позднее, чем дата начала');
INSERT INTO `lang_definitions` VALUES (56805, 632, 12, 'При формировании дампа дерева веб-каталога OpenEMR произошла ошибка');
INSERT INTO `lang_definitions` VALUES (56806, 633, 12, 'Во время формирования дампа дерева веб-каталога phpGACL произошла ошибка');
INSERT INTO `lang_definitions` VALUES (56807, 634, 12, 'Во время форирования дампа по дереву веб-каталога для регистра SQL произошла ошибка');
INSERT INTO `lang_definitions` VALUES (56808, 638, 12, 'Создана и связана неполная проблема GCAC. Позже потребуется ее заполение.');
INSERT INTO `lang_definitions` VALUES (56809, 644, 12, 'Непредвиденная ошибка.');
INSERT INTO `lang_definitions` VALUES (56810, 646, 12, 'Заглавная буква');
INSERT INTO `lang_definitions` VALUES (56811, 648, 12, 'и');
INSERT INTO `lang_definitions` VALUES (56812, 649, 12, 'и');
INSERT INTO `lang_definitions` VALUES (56813, 650, 12, 'И');
INSERT INTO `lang_definitions` VALUES (56814, 651, 12, 'и');
INSERT INTO `lang_definitions` VALUES (56815, 652, 12, 'и все нижестоящие данные? Эти действия будут записываться');
INSERT INTO `lang_definitions` VALUES (56816, 653, 12, 'и модификатор');
INSERT INTO `lang_definitions` VALUES (56817, 654, 12, 'и обработан.');
INSERT INTO `lang_definitions` VALUES (56818, 656, 12, 'и перезагрузите сервер Apache.');
INSERT INTO `lang_definitions` VALUES (56819, 657, 12, 'и причина');
INSERT INTO `lang_definitions` VALUES (56820, 659, 12, 'Анемия');
INSERT INTO `lang_definitions` VALUES (56821, 660, 12, 'Лодыжка');
INSERT INTO `lang_definitions` VALUES (56822, 661, 12, 'Лодыжка + пятка');
INSERT INTO `lang_definitions` VALUES (56823, 662, 12, 'Форма оценки голеностопа');
INSERT INTO `lang_definitions` VALUES (56824, 663, 12, 'Проблемы голеностопного сустава');
INSERT INTO `lang_definitions` VALUES (56825, 664, 12, 'Анкилозирующий спондилит');
INSERT INTO `lang_definitions` VALUES (56826, 665, 12, 'Анкилозирующий спондилит');
INSERT INTO `lang_definitions` VALUES (56827, 666, 12, 'Анорексия');
INSERT INTO `lang_definitions` VALUES (56828, 667, 12, 'В окне отправки также можно сделать повторный запрос счета. Если выберите этот переключатель перед сохранением, то на странице счетов будет вновь открыто первоначальное требование и поставлено в очередь, и при следующем запуске биллинга оно будет обработано.');
INSERT INTO `lang_definitions` VALUES (56829, 671, 12, 'ставка');
INSERT INTO `lang_definitions` VALUES (56830, 676, 12, 'Тонус анального сфинктера обычный, безболезненный, опухолевых образований нет');
INSERT INTO `lang_definitions` VALUES (56831, 677, 12, 'Тревожность');
INSERT INTO `lang_definitions` VALUES (56832, 679, 12, 'Любой');
INSERT INTO `lang_definitions` VALUES (56833, 682, 12, 'Любая категория');
INSERT INTO `lang_definitions` VALUES (56834, 688, 12, 'Любая часть искомого кода или его описания');
INSERT INTO `lang_definitions` VALUES (56835, 689, 12, 'Любая часть искомой специальности');
INSERT INTO `lang_definitions` VALUES (56836, 690, 12, 'Любая часть медикамента или его наименование');
INSERT INTO `lang_definitions` VALUES (56837, 691, 12, 'Любая часть id или имени вакцинации');
INSERT INTO `lang_definitions` VALUES (56838, 692, 12, 'Любая часть именования пациента, или \"фамилия,имя\", или \"X-Y\"');
INSERT INTO `lang_definitions` VALUES (56839, 699, 12, 'Ключ API для шлюза СМС');
INSERT INTO `lang_definitions` VALUES (56840, 703, 12, 'Апноэ');
INSERT INTO `lang_definitions` VALUES (56841, 710, 12, 'Внешний вид');
INSERT INTO `lang_definitions` VALUES (56842, 711, 12, 'Внешний вид:');
INSERT INTO `lang_definitions` VALUES (56843, 714, 12, 'Приложить эту запись');
INSERT INTO `lang_definitions` VALUES (56844, 716, 12, 'Приложить к существующей записи');
INSERT INTO `lang_definitions` VALUES (56845, 717, 12, 'Приложить к этой записи');
INSERT INTO `lang_definitions` VALUES (56846, 718, 12, 'Приложить к этой записи');
INSERT INTO `lang_definitions` VALUES (56847, 719, 12, 'Аппендэктомия');
INSERT INTO `lang_definitions` VALUES (56848, 721, 12, 'Подходящие пациенты');
INSERT INTO `lang_definitions` VALUES (56849, 723, 12, 'Применение имени для страницы логина основного заголовка окна.');
INSERT INTO `lang_definitions` VALUES (56850, 724, 12, 'Принимающий код приложения (GS03 - при пустом будет использоваться ISA08)');
INSERT INTO `lang_definitions` VALUES (56851, 725, 12, 'Код отправителя заявки (GS02)');
INSERT INTO `lang_definitions` VALUES (56852, 726, 12, 'Название приложения');
INSERT INTO `lang_definitions` VALUES (56853, 727, 12, 'Применяется в форме жизненно важных показателей и карте физического развития');
INSERT INTO `lang_definitions` VALUES (56854, 729, 12, 'Применить изменения только к текущему событию, к текущему и всем будущим или ко всем?');
INSERT INTO `lang_definitions` VALUES (56855, 730, 12, 'нанести на пораженные участки');
INSERT INTO `lang_definitions` VALUES (56856, 731, 12, 'нанести на кожу');
INSERT INTO `lang_definitions` VALUES (56857, 732, 12, 'Нанесение');
INSERT INTO `lang_definitions` VALUES (56858, 734, 12, 'Запись на прием');
INSERT INTO `lang_definitions` VALUES (56859, 736, 12, 'Дата приема');
INSERT INTO `lang_definitions` VALUES (56860, 742, 12, 'Стиль отображения записи на прием');
INSERT INTO `lang_definitions` VALUES (56861, 744, 12, 'Правило напоминания о приеме');
INSERT INTO `lang_definitions` VALUES (56862, 746, 12, 'Статус приема');
INSERT INTO `lang_definitions` VALUES (56863, 747, 12, 'Статусы для приема');
INSERT INTO `lang_definitions` VALUES (56864, 748, 12, 'запись на прием за период между');
INSERT INTO `lang_definitions` VALUES (56865, 749, 12, 'Цвет записи/мероприятия');
INSERT INTO `lang_definitions` VALUES (56866, 750, 12, 'Записи на прием');
INSERT INTO `lang_definitions` VALUES (56867, 751, 12, 'Записи на прием (write необязательно)');
INSERT INTO `lang_definitions` VALUES (56868, 752, 12, 'Записи на прием (write, wsome необязательно)');
INSERT INTO `lang_definitions` VALUES (56869, 758, 12, 'Записи на прием и обращения');
INSERT INTO `lang_definitions` VALUES (56870, 760, 12, 'Отчет по приему');
INSERT INTO `lang_definitions` VALUES (56871, 761, 12, 'Отчет по приему-обращениям');
INSERT INTO `lang_definitions` VALUES (56872, 764, 12, 'Подтвердить');
INSERT INTO `lang_definitions` VALUES (56873, 767, 12, 'Подтверждено');
INSERT INTO `lang_definitions` VALUES (56874, 768, 12, 'Управление утверждёнными событиями');
INSERT INTO `lang_definitions` VALUES (56875, 774, 12, 'Назн-обр.');
INSERT INTO `lang_definitions` VALUES (56876, 776, 12, 'Назн.');
INSERT INTO `lang_definitions` VALUES (56877, 779, 12, 'Апр');
INSERT INTO `lang_definitions` VALUES (56878, 780, 12, 'Апрель');
INSERT INTO `lang_definitions` VALUES (56879, 782, 12, 'Арабский');
INSERT INTO `lang_definitions` VALUES (56880, 787, 12, 'Переводить имена для групп управления доступом?');
INSERT INTO `lang_definitions` VALUES (56881, 788, 12, 'Переводить имена для категорий приема?');
INSERT INTO `lang_definitions` VALUES (56882, 789, 12, 'Переводить имена для категорий документов?');
INSERT INTO `lang_definitions` VALUES (56883, 790, 12, 'Для этого типа оплата предусмотрена?');
INSERT INTO `lang_definitions` VALUES (56884, 793, 12, 'Переводить заголовки для записи по пациенту?');
INSERT INTO `lang_definitions` VALUES (56885, 794, 12, 'Эти кодировки сохранены во внешних таблицах sql (0-нет, 1-МКБ-10, 2-SNOMED(RF1), 3-SNOMED(RF2))?');
INSERT INTO `lang_definitions` VALUES (56886, 795, 12, 'Готовы завершить новую проблему GCAC для этого посещения?');
INSERT INTO `lang_definitions` VALUES (56887, 797, 12, 'Действительно назначить на сегодня?');
INSERT INTO `lang_definitions` VALUES (56888, 798, 12, 'Действительно, нужно утвердить эти события?');
INSERT INTO `lang_definitions` VALUES (56889, 801, 12, 'Действительно нужно полностью удалить эту форму?');
INSERT INTO `lang_definitions` VALUES (56890, 804, 12, 'Действительно, нужно удалить эту публикацию?');
INSERT INTO `lang_definitions` VALUES (56891, 805, 12, 'Действительно, нужно удалить это событие?');
INSERT INTO `lang_definitions` VALUES (56892, 806, 12, 'Действительно нужно удалить этот пункт из базы данных?');
INSERT INTO `lang_definitions` VALUES (56893, 808, 12, 'Действительно нужно удалить эту запись?');
INSERT INTO `lang_definitions` VALUES (56894, 810, 12, 'Действительно, нужно изменить эти события?');
INSERT INTO `lang_definitions` VALUES (56895, 811, 12, 'Действительно, нужно скрыть эти события?');
INSERT INTO `lang_definitions` VALUES (56896, 814, 12, 'Действительно, нужно открыть эти события?');
INSERT INTO `lang_definitions` VALUES (56897, 815, 12, 'Действительно, нужно удалить всю группу');
INSERT INTO `lang_definitions` VALUES (56898, 816, 12, 'Действительно, нужно удалить список целиком');
INSERT INTO `lang_definitions` VALUES (56899, 817, 12, 'Действительно, нужно удалить поля в');
INSERT INTO `lang_definitions` VALUES (56900, 818, 12, 'Действительно, нужно удалить выбранные поля?');
INSERT INTO `lang_definitions` VALUES (56901, 819, 12, 'Действительно хотите продолжить эти действия?');
INSERT INTO `lang_definitions` VALUES (56902, 820, 12, 'Не указана область');
INSERT INTO `lang_definitions` VALUES (56903, 821, 12, 'Рука');
INSERT INTO `lang_definitions` VALUES (56904, 822, 12, 'Армянский');
INSERT INTO `lang_definitions` VALUES (56905, 829, 12, 'Аритмия');
INSERT INTO `lang_definitions` VALUES (56906, 830, 12, 'Артрит');
INSERT INTO `lang_definitions` VALUES (56907, 831, 12, 'Артрит / деструктивное заболевание суставов');
INSERT INTO `lang_definitions` VALUES (56908, 832, 12, 'Артрит / деструктивное заболевание суставов');
INSERT INTO `lang_definitions` VALUES (56909, 836, 12, 'как');
INSERT INTO `lang_definitions` VALUES (56910, 838, 12, 'Как из');
INSERT INTO `lang_definitions` VALUES (56911, 845, 12, 'Азиатский');
INSERT INTO `lang_definitions` VALUES (56912, 848, 12, 'Оценка');
INSERT INTO `lang_definitions` VALUES (56913, 853, 12, 'Назначено');
INSERT INTO `lang_definitions` VALUES (56914, 854, 12, 'Ассистент');
INSERT INTO `lang_definitions` VALUES (56915, 861, 12, 'Астма');
INSERT INTO `lang_definitions` VALUES (56916, 862, 12, 'в');
INSERT INTO `lang_definitions` VALUES (56917, 863, 12, 'При выборе всех требуется хотя бы один параметр поиска.');
INSERT INTO `lang_definitions` VALUES (56918, 866, 12, 'В ладьевидной');
INSERT INTO `lang_definitions` VALUES (56919, 867, 12, 'В ладьевидной:');
INSERT INTO `lang_definitions` VALUES (56920, 868, 12, 'Спортивная команда');
INSERT INTO `lang_definitions` VALUES (56921, 870, 12, 'Спортивная/травма');
INSERT INTO `lang_definitions` VALUES (56922, 871, 12, 'Сертификат CA аудита ATNA');
INSERT INTO `lang_definitions` VALUES (56923, 872, 12, 'Хост аудита ATNA');
INSERT INTO `lang_definitions` VALUES (56924, 873, 12, 'Местный сертификат для аудита ATNA');
INSERT INTO `lang_definitions` VALUES (56925, 874, 12, 'Порт аудита ATNA');
INSERT INTO `lang_definitions` VALUES (56926, 877, 12, 'Внимание');
INSERT INTO `lang_definitions` VALUES (56927, 879, 12, 'Вним.');
INSERT INTO `lang_definitions` VALUES (56928, 890, 12, 'Аудит журналирования резервного копирования');
INSERT INTO `lang_definitions` VALUES (56929, 891, 12, 'Аудит смешанного журналирования');
INSERT INTO `lang_definitions` VALUES (56930, 892, 12, 'Аудит журналирования назначения');
INSERT INTO `lang_definitions` VALUES (56931, 893, 12, 'Аудит журналирования записи по пациенту');
INSERT INTO `lang_definitions` VALUES (56932, 894, 12, 'Аудит журналирования планирования');
INSERT INTO `lang_definitions` VALUES (56933, 895, 12, 'Аудит журналирования управления безопасностью');
INSERT INTO `lang_definitions` VALUES (56934, 896, 12, 'Аудит журналирования запроса SELECT');
INSERT INTO `lang_definitions` VALUES (56935, 898, 12, 'Авг');
INSERT INTO `lang_definitions` VALUES (56936, 899, 12, 'Август');
INSERT INTO `lang_definitions` VALUES (56937, 901, 12, 'Разр.');
INSERT INTO `lang_definitions` VALUES (56938, 902, 12, 'Разр./записи');
INSERT INTO `lang_definitions` VALUES (56939, 922, 12, 'Группа полномочий');
INSERT INTO `lang_definitions` VALUES (56940, 923, 12, 'Статус полномочий');
INSERT INTO `lang_definitions` VALUES (56941, 924, 12, 'Полномочия');
INSERT INTO `lang_definitions` VALUES (56942, 925, 12, 'Разрешить');
INSERT INTO `lang_definitions` VALUES (56943, 926, 12, 'Разрешить - любые обращения');
INSERT INTO `lang_definitions` VALUES (56944, 928, 12, 'Разрешить - мои обращения');
INSERT INTO `lang_definitions` VALUES (56945, 934, 12, 'Уполномоченный');
INSERT INTO `lang_definitions` VALUES (56946, 936, 12, 'Только уполномоченный');
INSERT INTO `lang_definitions` VALUES (56947, 941, 12, 'Автоматическая отправка');
INSERT INTO `lang_definitions` VALUES (56948, 944, 12, 'Создать новое обращение автоматически');
INSERT INTO `lang_definitions` VALUES (56949, 945, 12, 'Авто-созданные');
INSERT INTO `lang_definitions` VALUES (56950, 947, 12, 'Автоматическое вычисление единицы измерения (AMC)');
INSERT INTO `lang_definitions` VALUES (56951, 952, 12, 'Отслеживание автоматического вычисления единицы измерения (AMC)');
INSERT INTO `lang_definitions` VALUES (56952, 953, 12, 'Автоматическая единица измерения (AMC)');
INSERT INTO `lang_definitions` VALUES (56953, 955, 12, 'Автоматически');
INSERT INTO `lang_definitions` VALUES (56954, 959, 12, 'Создает новое обращение автоматически, когда статус приема устанавливается на \"@\" (проведенный).');
INSERT INTO `lang_definitions` VALUES (56955, 962, 12, 'Медицина автокатастроф');
INSERT INTO `lang_definitions` VALUES (56956, 964, 12, 'автосохранен');
INSERT INTO `lang_definitions` VALUES (56957, 967, 12, 'Доступные категории');
INSERT INTO `lang_definitions` VALUES (56958, 971, 12, 'Доступное время');
INSERT INTO `lang_definitions` VALUES (56959, 976, 12, 'Каждый август');
INSERT INTO `lang_definitions` VALUES (56960, 980, 12, 'Разрыв / перелом с отрывом');
INSERT INTO `lang_definitions` VALUES (56961, 981, 12, 'Отрыв латеральной лодыжки');
INSERT INTO `lang_definitions` VALUES (56962, 982, 12, 'Отрыв медиальной лодыжки');
INSERT INTO `lang_definitions` VALUES (56963, 983, 12, 'На основе информированности');
INSERT INTO `lang_definitions` VALUES (56964, 985, 12, 'Подмышечно');
INSERT INTO `lang_definitions` VALUES (56965, 992, 12, 'дважды в день');
INSERT INTO `lang_definitions` VALUES (56966, 993, 12, 'Назад');
INSERT INTO `lang_definitions` VALUES (56967, 994, 12, 'назад');
INSERT INTO `lang_definitions` VALUES (56968, 995, 12, 'Восемь посещений назад');
INSERT INTO `lang_definitions` VALUES (56969, 996, 12, 'Одиннадцать посещений назад');
INSERT INTO `lang_definitions` VALUES (56970, 997, 12, 'Пять посещений назад');
INSERT INTO `lang_definitions` VALUES (56971, 998, 12, 'Четыре посещения назад');
INSERT INTO `lang_definitions` VALUES (56972, 999, 12, 'Девять посещений назад');
INSERT INTO `lang_definitions` VALUES (56973, 1000, 12, 'Одно посещение назад');
INSERT INTO `lang_definitions` VALUES (56974, 1001, 12, 'Боли в спине');
INSERT INTO `lang_definitions` VALUES (56975, 1002, 12, 'Спинальные проблемы');
INSERT INTO `lang_definitions` VALUES (56976, 1003, 12, 'Семь посещений назад');
INSERT INTO `lang_definitions` VALUES (56977, 1004, 12, 'Шесть посещений назад');
INSERT INTO `lang_definitions` VALUES (56978, 1005, 12, 'Хирургия позвоночника');
INSERT INTO `lang_definitions` VALUES (56979, 1006, 12, 'Десять посещений назад');
INSERT INTO `lang_definitions` VALUES (56980, 1007, 12, 'Три посещения назад');
INSERT INTO `lang_definitions` VALUES (56981, 1008, 12, 'Назад на страницу Администрирования');
INSERT INTO `lang_definitions` VALUES (56982, 1013, 12, 'Назад к пациенту');
INSERT INTO `lang_definitions` VALUES (56983, 1015, 12, 'Назад к пользователям');
INSERT INTO `lang_definitions` VALUES (56984, 1016, 12, 'Назад к просмотру');
INSERT INTO `lang_definitions` VALUES (56985, 1017, 12, 'Двенадцать посещений назад');
INSERT INTO `lang_definitions` VALUES (56986, 1018, 12, 'Два посещения назад');
INSERT INTO `lang_definitions` VALUES (56987, 1020, 12, 'Резервная копия');
INSERT INTO `lang_definitions` VALUES (56988, 1022, 12, 'Файл резервного копированя создан.Теперь будет  отправлена загрузка.');
INSERT INTO `lang_definitions` VALUES (56989, 1024, 12, 'Резервная копия принята');
INSERT INTO `lang_definitions` VALUES (56990, 1025, 12, 'Неправильная регистрация');
INSERT INTO `lang_definitions` VALUES (56991, 1026, 12, 'Наибольший долг');
INSERT INTO `lang_definitions` VALUES (56992, 1027, 12, 'Бахаса Индонезия');
INSERT INTO `lang_definitions` VALUES (56993, 1028, 12, 'Бал.');
INSERT INTO `lang_definitions` VALUES (56994, 1031, 12, 'Баланс');
INSERT INTO `lang_definitions` VALUES (56995, 1032, 12, 'баланс');
INSERT INTO `lang_definitions` VALUES (56996, 1033, 12, 'Итог баланса');
INSERT INTO `lang_definitions` VALUES (56997, 1034, 12, 'Остаток причитающихся средств');
INSERT INTO `lang_definitions` VALUES (56998, 1038, 12, 'Банковский расчет');
INSERT INTO `lang_definitions` VALUES (56999, 1042, 12, 'Основание пятого (5-го) метатарсального');
INSERT INTO `lang_definitions` VALUES (57000, 1043, 12, 'Основание пятого (5-го) метатарсального:');
INSERT INTO `lang_definitions` VALUES (57001, 1051, 12, 'Средство пакетной передачи данных');
INSERT INTO `lang_definitions` VALUES (57002, 1053, 12, 'Ввод групповой оплаты');
INSERT INTO `lang_definitions` VALUES (57003, 1054, 12, 'Групповая оплата');
INSERT INTO `lang_definitions` VALUES (57004, 1055, 12, 'Инициирована пакетная обработка; она может занят время.');
INSERT INTO `lang_definitions` VALUES (57005, 1056, 12, 'Пакетные результаты');
INSERT INTO `lang_definitions` VALUES (57006, 1057, 12, 'Пакетная передача');
INSERT INTO `lang_definitions` VALUES (57007, 1063, 12, 'из-за того, что id не существует.');
INSERT INTO `lang_definitions` VALUES (57008, 1072, 12, 'Начало');
INSERT INTO `lang_definitions` VALUES (57009, 1074, 12, 'Начальная дата');
INSERT INTO `lang_definitions` VALUES (57010, 1077, 12, 'Начальная дата обслуживания yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (57011, 1078, 12, 'Начальный час дня для календарных событий.');
INSERT INTO `lang_definitions` VALUES (57012, 1082, 12, 'Отрыжка');
INSERT INTO `lang_definitions` VALUES (57013, 1086, 12, 'Бенгальский');
INSERT INTO `lang_definitions` VALUES (57014, 1089, 12, 'между');
INSERT INTO `lang_definitions` VALUES (57015, 1095, 12, 'Билатерально');
INSERT INTO `lang_definitions` VALUES (57016, 1096, 12, 'Билатерально:');
INSERT INTO `lang_definitions` VALUES (57017, 1099, 12, 'Дата подсчета:');
INSERT INTO `lang_definitions` VALUES (57018, 1101, 12, 'Счета/подсчет');
INSERT INTO `lang_definitions` VALUES (57019, 1102, 12, 'Оплаченный');
INSERT INTO `lang_definitions` VALUES (57020, 1104, 12, 'Счета');
INSERT INTO `lang_definitions` VALUES (57021, 1105, 12, 'Счета (write необязательно)');
INSERT INTO `lang_definitions` VALUES (57022, 1109, 12, 'Предупреждение по платежу');
INSERT INTO `lang_definitions` VALUES (57023, 1111, 12, 'Биллинговый код для запрашиваемой услуги');
INSERT INTO `lang_definitions` VALUES (57024, 1112, 12, 'Биллинговые коды');
INSERT INTO `lang_definitions` VALUES (57025, 1113, 12, 'Дата платежа');
INSERT INTO `lang_definitions` VALUES (57026, 1114, 12, 'Экономический отдел');
INSERT INTO `lang_definitions` VALUES (57027, 1115, 12, 'Биллинговая услуга');
INSERT INTO `lang_definitions` VALUES (57028, 1117, 12, 'Биллинговая информация');
INSERT INTO `lang_definitions` VALUES (57029, 1118, 12, 'Размещение бухгалтерии');
INSERT INTO `lang_definitions` VALUES (57030, 1125, 12, 'Менеджер по платежам');
INSERT INTO `lang_definitions` VALUES (57031, 1126, 12, 'Биллинговая запись');
INSERT INTO `lang_definitions` VALUES (57032, 1127, 12, 'Биллинговая запись для');
INSERT INTO `lang_definitions` VALUES (57033, 1128, 12, 'Биллинговая запись:');
INSERT INTO `lang_definitions` VALUES (57034, 1130, 12, 'Результаты биллингового запроса');
INSERT INTO `lang_definitions` VALUES (57035, 1131, 12, 'Биллинговый отчет');
INSERT INTO `lang_definitions` VALUES (57036, 1132, 12, 'Биллинговый статус');
INSERT INTO `lang_definitions` VALUES (57037, 1133, 12, 'Статус счета = не оплачен');
INSERT INTO `lang_definitions` VALUES (57038, 1134, 12, 'счет в');
INSERT INTO `lang_definitions` VALUES (57039, 1138, 12, 'Биопсия');
INSERT INTO `lang_definitions` VALUES (57040, 1140, 12, 'Дата рождения');
INSERT INTO `lang_definitions` VALUES (57041, 1144, 12, 'Черный');
INSERT INTO `lang_definitions` VALUES (57042, 1147, 12, 'Затемненное легкое');
INSERT INTO `lang_definitions` VALUES (57043, 1148, 12, 'Черный или афро-американец');
INSERT INTO `lang_definitions` VALUES (57044, 1149, 12, 'Рак мочевого пузыря');
INSERT INTO `lang_definitions` VALUES (57045, 1150, 12, 'Инфекция мочевого пузыря');
INSERT INTO `lang_definitions` VALUES (57046, 1152, 12, 'Пустые формы');
INSERT INTO `lang_definitions` VALUES (57047, 1153, 12, 'Жалобы на кровотечение');
INSERT INTO `lang_definitions` VALUES (57048, 1154, 12, 'Выпадение зрения');
INSERT INTO `lang_definitions` VALUES (57049, 1156, 12, 'Вздутие живота');
INSERT INTO `lang_definitions` VALUES (57050, 1158, 12, 'Блокированный');
INSERT INTO `lang_definitions` VALUES (57051, 1159, 12, 'Кровь');
INSERT INTO `lang_definitions` VALUES (57052, 1160, 12, 'Артериальное давление');
INSERT INTO `lang_definitions` VALUES (57053, 1161, 12, 'Артериальное давление');
INSERT INTO `lang_definitions` VALUES (57054, 1162, 12, 'Носовое кровотечение');
INSERT INTO `lang_definitions` VALUES (57055, 1163, 12, 'Медицинское страховое общество Синий Щит');
INSERT INTO `lang_definitions` VALUES (57056, 1165, 12, 'Синии строки в этом отчете являются информационными.  Черные строки показывают ранее существовавшую  информацию. Зеленые строки показывают изменения,  которые были успешно применены. Красные строки  обозначают ошибки или изменения, которые не были  применены; они должны быть обработаны вручную.  В настоящее время отклоненные требования и откат  оплаты автоматически не обрабатываются, и поэтому  будут отображаться красным.');
INSERT INTO `lang_definitions` VALUES (57057, 1166, 12, 'Нечеткое зрение');
INSERT INTO `lang_definitions` VALUES (57058, 1167, 12, 'ИМТ');
INSERT INTO `lang_definitions` VALUES (57059, 1168, 12, 'Статус ИМТ');
INSERT INTO `lang_definitions` VALUES (57060, 1170, 12, 'Область тела');
INSERT INTO `lang_definitions` VALUES (57061, 1171, 12, 'Участок тела');
INSERT INTO `lang_definitions` VALUES (57062, 1172, 12, 'Участок тела, если применимо');
INSERT INTO `lang_definitions` VALUES (57063, 1173, 12, 'Болезненность в костях:');
INSERT INTO `lang_definitions` VALUES (57064, 1174, 12, 'Болезненность в костях: медиальная лодыжка');
INSERT INTO `lang_definitions` VALUES (57065, 1175, 12, 'Булевый');
INSERT INTO `lang_definitions` VALUES (57066, 1177, 12, 'Нижняя часть');
INSERT INTO `lang_definitions` VALUES (57067, 1179, 12, 'Оба уха');
INSERT INTO `lang_definitions` VALUES (57068, 1180, 12, 'оба глаза');
INSERT INTO `lang_definitions` VALUES (57069, 1183, 12, 'Нижний');
INSERT INTO `lang_definitions` VALUES (57070, 1187, 12, 'BOX 10 A. Производственная');
INSERT INTO `lang_definitions` VALUES (57071, 1189, 12, 'BOX 10 B. Автомобильная травма');
INSERT INTO `lang_definitions` VALUES (57072, 1191, 12, 'BOX 10 C. Другие повреждения');
INSERT INTO `lang_definitions` VALUES (57073, 1205, 12, 'ПОЛЕ 18. Дата того же или похожего заболевания (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (57074, 1211, 12, 'ПОЛЕ 16. Нетрудоспособен с даты (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (57075, 1215, 12, 'ПОЛЕ 16. Нетрудоспособен до даты (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (57076, 1227, 12, 'ПОЛЕ 18. Дата госпитализации с (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (57077, 1231, 12, 'ПОЛЕ 18. Госпитализация до даты (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (57078, 1235, 12, 'BOX 20. Внешняя лаборатория используется?');
INSERT INTO `lang_definitions` VALUES (57079, 1239, 12, 'BOX 22. Код повторно оказанной медпомощи (ICD-9)');
INSERT INTO `lang_definitions` VALUES (57080, 1243, 12, 'BOX 23. Прежних полномочий нет.');
INSERT INTO `lang_definitions` VALUES (57081, 1244, 12, 'АД');
INSERT INTO `lang_definitions` VALUES (57082, 1245, 12, 'Диастолическое АД');
INSERT INTO `lang_definitions` VALUES (57083, 1246, 12, 'Систолическое АД');
INSERT INTO `lang_definitions` VALUES (57084, 1248, 12, 'АДд');
INSERT INTO `lang_definitions` VALUES (57085, 1252, 12, 'АДс');
INSERT INTO `lang_definitions` VALUES (57086, 1254, 12, 'Португалец бразильского происхождения');
INSERT INTO `lang_definitions` VALUES (57087, 1255, 12, 'Молочная железа');
INSERT INTO `lang_definitions` VALUES (57088, 1256, 12, 'Бипсия молочной железы');
INSERT INTO `lang_definitions` VALUES (57089, 1257, 12, 'Отделяемое из соска');
INSERT INTO `lang_definitions` VALUES (57090, 1258, 12, 'Заболевание молочной железы');
INSERT INTO `lang_definitions` VALUES (57091, 1259, 12, 'Обследование молочной железы');
INSERT INTO `lang_definitions` VALUES (57092, 1260, 12, 'Новообразование молочной железы');
INSERT INTO `lang_definitions` VALUES (57093, 1262, 12, 'Шумы при дыхании:');
INSERT INTO `lang_definitions` VALUES (57094, 1265, 12, 'Повреждение скелета');
INSERT INTO `lang_definitions` VALUES (57095, 1267, 12, 'Форма для бронхита');
INSERT INTO `lang_definitions` VALUES (57096, 1270, 12, 'Просмотреть');
INSERT INTO `lang_definitions` VALUES (57097, 1271, 12, 'Просмотреть для записи');
INSERT INTO `lang_definitions` VALUES (57098, 1272, 12, 'Ушиб/гематома');
INSERT INTO `lang_definitions` VALUES (57099, 1276, 12, 'Выбухание справа:');
INSERT INTO `lang_definitions` VALUES (57100, 1278, 12, 'Жжение при мочеиспускании');
INSERT INTO `lang_definitions` VALUES (57101, 1279, 12, 'Жжение при мочеиспускании');
INSERT INTO `lang_definitions` VALUES (57102, 1282, 12, 'Занят');
INSERT INTO `lang_definitions` VALUES (57103, 1283, 12, 'но еще не обработано.');
INSERT INTO `lang_definitions` VALUES (57104, 1284, 12, 'Ягодицы');
INSERT INTO `lang_definitions` VALUES (57105, 1285, 12, 'Ягодицы + S.I.');
INSERT INTO `lang_definitions` VALUES (57106, 1286, 12, 'через');
INSERT INTO `lang_definitions` VALUES (57107, 1287, 12, 'Через');
INSERT INTO `lang_definitions` VALUES (57108, 1293, 12, 'перорально');
INSERT INTO `lang_definitions` VALUES (57109, 1295, 12, 'Через/поиск');
INSERT INTO `lang_definitions` VALUES (57110, 1296, 12, 'Через:');
INSERT INTO `lang_definitions` VALUES (57111, 1299, 12, 'C');
INSERT INTO `lang_definitions` VALUES (57112, 1301, 12, 'Сертификат CA для подтверждения сервера syslog TLS RFC 5425.');
INSERT INTO `lang_definitions` VALUES (57113, 1302, 12, 'Время жизни кэша (в секундах)');
INSERT INTO `lang_definitions` VALUES (57114, 1303, 12, 'Шаблон кэша выполнен?');
INSERT INTO `lang_definitions` VALUES (57115, 1305, 12, 'Употребление кофеина');
INSERT INTO `lang_definitions` VALUES (57116, 1306, 12, 'Календарь');
INSERT INTO `lang_definitions` VALUES (57117, 1307, 12, 'Календарный час окончания');
INSERT INTO `lang_definitions` VALUES (57118, 1308, 12, 'Календарный период');
INSERT INTO `lang_definitions` VALUES (57119, 1309, 12, 'Отображение календаря');
INSERT INTO `lang_definitions` VALUES (57120, 1310, 12, 'Настройки календаря');
INSERT INTO `lang_definitions` VALUES (57121, 1312, 12, 'Час начала регистрации');
INSERT INTO `lang_definitions` VALUES (57122, 1313, 12, 'Пользовательский вид календаря');
INSERT INTO `lang_definitions` VALUES (57123, 1314, 12, 'Просмотр календаря');
INSERT INTO `lang_definitions` VALUES (57124, 1317, 12, 'Вызов addForm() делается здесь.<br>');
INSERT INTO `lang_definitions` VALUES (57125, 1321, 12, 'Калории');
INSERT INTO `lang_definitions` VALUES (57126, 1322, 12, 'Кампучиец');
INSERT INTO `lang_definitions` VALUES (57127, 1323, 12, 'CAMOS');
INSERT INTO `lang_definitions` VALUES (57128, 1329, 12, 'Отменить');
INSERT INTO `lang_definitions` VALUES (57129, 1332, 12, 'Отменить изменения');
INSERT INTO `lang_definitions` VALUES (57130, 1333, 12, 'Отменено');
INSERT INTO `lang_definitions` VALUES (57131, 1335, 12, 'Рак');
INSERT INTO `lang_definitions` VALUES (57132, 1336, 12, 'Скрининг рака: скрининг рака толстого кишечника');
INSERT INTO `lang_definitions` VALUES (57133, 1337, 12, 'Скрининг рака: маммография');
INSERT INTO `lang_definitions` VALUES (57134, 1338, 12, 'Скрининг рака: мазок Папаникалау');
INSERT INTO `lang_definitions` VALUES (57135, 1339, 12, 'Скрининг рака: скрининг рака предстательной железы');
INSERT INTO `lang_definitions` VALUES (57136, 1340, 12, 'Не удалось добавить эту запись, потому что она уже имеется!');
INSERT INTO `lang_definitions` VALUES (57137, 1341, 12, 'Не удалось добавить/обновить эту запись, потому что уже имеется дубликат!');
INSERT INTO `lang_definitions` VALUES (57138, 1343, 12, 'не удалось преобразовать в JPEG. Возможно не установлен ImageMagick?');
INSERT INTO `lang_definitions` VALUES (57139, 1345, 12, 'не может быть отображен в сети потому, что его тип не поддерживается браузером.');
INSERT INTO `lang_definitions` VALUES (57140, 1346, 12, 'не может быть отображен в сети потому, что его тип не поддерживается браузером.');
INSERT INTO `lang_definitions` VALUES (57141, 1347, 12, 'не может быть отображен в сети потому, что его тип не поддерживается браузером.');
INSERT INTO `lang_definitions` VALUES (57142, 1349, 12, 'Не удалось создать');
INSERT INTO `lang_definitions` VALUES (57143, 1354, 12, 'Не удалось найти');
INSERT INTO `lang_definitions` VALUES (57144, 1355, 12, 'Не удается найти предназначенное имя файла');
INSERT INTO `lang_definitions` VALUES (57145, 1358, 12, 'Не удалось найти пациента в пользовательском id реестре SQL');
INSERT INTO `lang_definitions` VALUES (57146, 1359, 12, 'Не удалось найти ссылку на документ postscript в');
INSERT INTO `lang_definitions` VALUES (57147, 1360, 12, 'Не удалось найти специалиста из реестра SQL служащий =');
INSERT INTO `lang_definitions` VALUES (57148, 1361, 12, 'Не удается изменить платежи. Остаток отрицательный.');
INSERT INTO `lang_definitions` VALUES (57149, 1363, 12, 'Невозможно отрыть');
INSERT INTO `lang_definitions` VALUES (57150, 1364, 12, 'Не удалось отправить для страховки. Выбранным лицом для платежа является пациент.');
INSERT INTO `lang_definitions` VALUES (57151, 1365, 12, 'Не удалось отправить для пациента. Выбранным лицом для платежа является страховка.');
INSERT INTO `lang_definitions` VALUES (57152, 1366, 12, 'Не удается отправить платежи. Остаток отрицательный.');
INSERT INTO `lang_definitions` VALUES (57153, 1367, 12, 'Невозможно прочесть');
INSERT INTO `lang_definitions` VALUES (57154, 1368, 12, 'Невозможно прочесть директорию');
INSERT INTO `lang_definitions` VALUES (57155, 1369, 12, 'Не удалось обновить, потому что вы не редактировали существующую запись!');
INSERT INTO `lang_definitions` VALUES (57156, 1370, 12, 'Заглавная');
INSERT INTO `lang_definitions` VALUES (57157, 1372, 12, 'капсула');
INSERT INTO `lang_definitions` VALUES (57158, 1373, 12, 'Карта');
INSERT INTO `lang_definitions` VALUES (57159, 1382, 12, 'Коронарное зондирование');
INSERT INTO `lang_definitions` VALUES (57160, 1383, 12, 'ЭхоКГ');
INSERT INTO `lang_definitions` VALUES (57161, 1384, 12, 'Сердечно-сосудистая');
INSERT INTO `lang_definitions` VALUES (57162, 1396, 12, 'Повреждение хряща / сустава / диска');
INSERT INTO `lang_definitions` VALUES (57163, 1397, 12, 'Травма хряща');
INSERT INTO `lang_definitions` VALUES (57164, 1398, 12, 'Каротидная пульсация nl, пульс на стопах nl');
INSERT INTO `lang_definitions` VALUES (57165, 1400, 12, 'наличные');
INSERT INTO `lang_definitions` VALUES (57166, 1401, 12, 'Наличные');
INSERT INTO `lang_definitions` VALUES (57167, 1402, 12, 'Пол. нал.');
INSERT INTO `lang_definitions` VALUES (57168, 1403, 12, 'Наличные, полученные по специалисту');
INSERT INTO `lang_definitions` VALUES (57169, 1406, 12, 'Хирургия катаракты');
INSERT INTO `lang_definitions` VALUES (57170, 1407, 12, 'Катаракта');
INSERT INTO `lang_definitions` VALUES (57171, 1408, 12, 'Категории');
INSERT INTO `lang_definitions` VALUES (57172, 1409, 12, 'Категории для');
INSERT INTO `lang_definitions` VALUES (57173, 1410, 12, 'Категория');
INSERT INTO `lang_definitions` VALUES (57174, 1411, 12, 'категория');
INSERT INTO `lang_definitions` VALUES (57175, 1412, 12, 'категория');
INSERT INTO `lang_definitions` VALUES (57176, 1416, 12, 'Сведения о категории');
INSERT INTO `lang_definitions` VALUES (57177, 1417, 12, 'Ограничения по категории');
INSERT INTO `lang_definitions` VALUES (57178, 1418, 12, 'Наименование категории');
INSERT INTO `lang_definitions` VALUES (57179, 1419, 12, 'Наименование категории пустое');
INSERT INTO `lang_definitions` VALUES (57180, 1420, 12, 'Категория/заголовок');
INSERT INTO `lang_definitions` VALUES (57181, 1421, 12, 'Кавказец');
INSERT INTO `lang_definitions` VALUES (57182, 1422, 12, 'Подтвержденные причины для вывода информации по обращению или основному специалисту');
INSERT INTO `lang_definitions` VALUES (57183, 1442, 12, 'CDR');
INSERT INTO `lang_definitions` VALUES (57184, 1444, 12, 'Cell');
INSERT INTO `lang_definitions` VALUES (57185, 1445, 12, 'Сотовый телефон');
INSERT INTO `lang_definitions` VALUES (57186, 1447, 12, 'Номер сотового телефона');
INSERT INTO `lang_definitions` VALUES (57187, 1449, 12, 'Основной сертификат');
INSERT INTO `lang_definitions` VALUES (57188, 1451, 12, 'Уроженец центральной или южной Америки');
INSERT INTO `lang_definitions` VALUES (57189, 1452, 12, 'Файл crt доверенного сертификата не может быть пустым');
INSERT INTO `lang_definitions` VALUES (57190, 1453, 12, 'Файл ключа доверенного сертификата не может быть пустым');
INSERT INTO `lang_definitions` VALUES (57191, 1454, 12, 'Сертификат для отправки на сервер syslog RFC 5425 TLS');
INSERT INTO `lang_definitions` VALUES (57192, 1455, 12, 'Сертификат пользователя');
INSERT INTO `lang_definitions` VALUES (57193, 1456, 12, 'Сертификаты');
INSERT INTO `lang_definitions` VALUES (57194, 1458, 12, 'Программа медицинского обслуживания членов семей военнослужащих');
INSERT INTO `lang_definitions` VALUES (57195, 1459, 12, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (57196, 1460, 12, 'изменение');
INSERT INTO `lang_definitions` VALUES (57197, 1461, 12, 'Изменение');
INSERT INTO `lang_definitions` VALUES (57198, 1462, 12, 'Изменить активность');
INSERT INTO `lang_definitions` VALUES (57199, 1467, 12, 'Ухудшение зрения');
INSERT INTO `lang_definitions` VALUES (57200, 1468, 12, 'Ухудшение зрения');
INSERT INTO `lang_definitions` VALUES (57201, 1475, 12, 'Измененный');
INSERT INTO `lang_definitions` VALUES (57202, 1476, 12, 'Измененный кишечник');
INSERT INTO `lang_definitions` VALUES (57203, 1484, 12, 'Особенности');
INSERT INTO `lang_definitions` VALUES (57204, 1485, 12, 'Оставшиеся символы');
INSERT INTO `lang_definitions` VALUES (57205, 1486, 12, 'Оплата');
INSERT INTO `lang_definitions` VALUES (57206, 1487, 12, 'Корректировка оплаты');
INSERT INTO `lang_definitions` VALUES (57207, 1488, 12, 'Кодированная оплата');
INSERT INTO `lang_definitions` VALUES (57208, 1490, 12, 'Оплата');
INSERT INTO `lang_definitions` VALUES (57209, 1491, 12, 'Карта');
INSERT INTO `lang_definitions` VALUES (57210, 1492, 12, 'Активность карты');
INSERT INTO `lang_definitions` VALUES (57211, 1493, 12, 'Отчет об интенсивности зарегистрированных/неактивных карт');
INSERT INTO `lang_definitions` VALUES (57212, 1495, 12, 'ID карты');
INSERT INTO `lang_definitions` VALUES (57213, 1496, 12, 'ID карты:');
INSERT INTO `lang_definitions` VALUES (57214, 1498, 12, 'Активность размещения карты');
INSERT INTO `lang_definitions` VALUES (57215, 1499, 12, 'Запись в карту');
INSERT INTO `lang_definitions` VALUES (57216, 1500, 12, 'Номер карты');
INSERT INTO `lang_definitions` VALUES (57217, 1502, 12, 'Место хранения карты');
INSERT INTO `lang_definitions` VALUES (57218, 1504, 12, 'Отслеживание карты');
INSERT INTO `lang_definitions` VALUES (57219, 1505, 12, 'Отслеж. карты');
INSERT INTO `lang_definitions` VALUES (57220, 1508, 12, 'Закрытые карты');
INSERT INTO `lang_definitions` VALUES (57221, 1509, 12, 'Закрытые карты');
INSERT INTO `lang_definitions` VALUES (57222, 1513, 12, 'Проверить');
INSERT INTO `lang_definitions` VALUES (57223, 1514, 12, 'чек');
INSERT INTO `lang_definitions` VALUES (57224, 1515, 12, 'Отметить всё');
INSERT INTO `lang_definitions` VALUES (57225, 1517, 12, 'Итог регистрации');
INSERT INTO `lang_definitions` VALUES (57226, 1519, 12, 'Внести дату');
INSERT INTO `lang_definitions` VALUES (57227, 1521, 12, 'Зарегистрировать различия переводов с пользовательской языковой таблицей.');
INSERT INTO `lang_definitions` VALUES (57228, 1527, 12, 'Отметьте по');
INSERT INTO `lang_definitions` VALUES (57229, 1528, 12, 'Отметьте данные ввода');
INSERT INTO `lang_definitions` VALUES (57230, 1530, 12, 'Лабораторные результаты');
INSERT INTO `lang_definitions` VALUES (57231, 1533, 12, 'Отметьте номер');
INSERT INTO `lang_definitions` VALUES (57232, 1536, 12, 'Банковский чек');
INSERT INTO `lang_definitions` VALUES (57233, 1537, 12, 'Отметьте это поле, если файл зашифрован,');
INSERT INTO `lang_definitions` VALUES (57234, 1541, 12, 'Отметьте здесь, если нужно, чтобы специалисты видели все записи на прием по умолчанию, а не только свои собственные.');
INSERT INTO `lang_definitions` VALUES (57235, 1545, 12, 'Дата регистрации или EOB:');
INSERT INTO `lang_definitions` VALUES (57236, 1547, 12, 'Номер регистрации или EOB:');
INSERT INTO `lang_definitions` VALUES (57237, 1548, 12, 'Номер рег./напр.');
INSERT INTO `lang_definitions` VALUES (57238, 1549, 12, 'Номер регистрации или направления');
INSERT INTO `lang_definitions` VALUES (57239, 1550, 12, 'Список переключателей');
INSERT INTO `lang_definitions` VALUES (57240, 1551, 12, 'список переключателей');
INSERT INTO `lang_definitions` VALUES (57241, 1552, 12, 'переключатель с текстом');
INSERT INTO `lang_definitions` VALUES (57242, 1553, 12, 'Переключатель с текстом');
INSERT INTO `lang_definitions` VALUES (57243, 1557, 12, 'Отмеченный');
INSERT INTO `lang_definitions` VALUES (57244, 1559, 12, 'Отмеченное поле = да, пустое = нет');
INSERT INTO `lang_definitions` VALUES (57245, 1563, 12, 'Оплачено');
INSERT INTO `lang_definitions` VALUES (57246, 1568, 12, 'Расчет');
INSERT INTO `lang_definitions` VALUES (57247, 1569, 12, 'Контрольная сумма');
INSERT INTO `lang_definitions` VALUES (57248, 1570, 12, 'Грудь');
INSERT INTO `lang_definitions` VALUES (57249, 1571, 12, 'CTAB груди');
INSERT INTO `lang_definitions` VALUES (57250, 1572, 12, 'Боль в груди');
INSERT INTO `lang_definitions` VALUES (57251, 1573, 12, 'Боль в груди:');
INSERT INTO `lang_definitions` VALUES (57252, 1574, 12, 'Боли в груди');
INSERT INTO `lang_definitions` VALUES (57253, 1576, 12, 'Изм.');
INSERT INTO `lang_definitions` VALUES (57254, 1578, 12, 'Основная жалоба');
INSERT INTO `lang_definitions` VALUES (57255, 1581, 12, 'Ребенок');
INSERT INTO `lang_definitions` VALUES (57256, 1583, 12, 'Статус детской вакцинации (CQM)');
INSERT INTO `lang_definitions` VALUES (57257, 1584, 12, 'Ознобы');
INSERT INTO `lang_definitions` VALUES (57258, 1585, 12, 'Китайский');
INSERT INTO `lang_definitions` VALUES (57259, 1586, 12, 'Китайский (упрощенный)');
INSERT INTO `lang_definitions` VALUES (57260, 1587, 12, 'Китайский (традиционный)');
INSERT INTO `lang_definitions` VALUES (57261, 1589, 12, 'Выборочно');
INSERT INTO `lang_definitions` VALUES (57262, 1590, 12, 'Холецистэктомия');
INSERT INTO `lang_definitions` VALUES (57263, 1592, 12, 'Холецистэктомия');
INSERT INTO `lang_definitions` VALUES (57264, 1593, 12, 'Выберите');
INSERT INTO `lang_definitions` VALUES (57265, 1596, 12, 'Выберите раздел и кликните в нем на пункте; затем в другом разделе увидете связанные выделенные пункты, и сможете кликнуть в этом разделе для добавления или удаления отношений.');
INSERT INTO `lang_definitions` VALUES (57266, 1597, 12, 'Выберите критерий');
INSERT INTO `lang_definitions` VALUES (57267, 1605, 12, 'Выберите список');
INSERT INTO `lang_definitions` VALUES (57268, 1611, 12, 'Изменяет формат печати для отчета по этому обращению.');
INSERT INTO `lang_definitions` VALUES (57269, 1615, 12, 'Хронический бронхит');
INSERT INTO `lang_definitions` VALUES (57270, 1616, 12, 'Хронические суставные боли');
INSERT INTO `lang_definitions` VALUES (57271, 1617, 12, 'Хроническая почечная недостаточность (ХПН)');
INSERT INTO `lang_definitions` VALUES (57272, 1620, 12, 'Хронический синовиит / выпот / суставная боль / подагра');
INSERT INTO `lang_definitions` VALUES (57273, 1622, 12, 'Хронический/текущий');
INSERT INTO `lang_definitions` VALUES (57274, 1625, 12, 'Цирроз печени');
INSERT INTO `lang_definitions` VALUES (57275, 1626, 12, 'Цирроз печени');
INSERT INTO `lang_definitions` VALUES (57276, 1627, 12, 'Город');
INSERT INTO `lang_definitions` VALUES (57277, 1629, 12, 'Название города');
INSERT INTO `lang_definitions` VALUES (57278, 1630, 12, 'Город, область');
INSERT INTO `lang_definitions` VALUES (57279, 1631, 12, 'Город, почтовый индекс');
INSERT INTO `lang_definitions` VALUES (57280, 1633, 12, 'Город/область');
INSERT INTO `lang_definitions` VALUES (57281, 1634, 12, 'Заявка');
INSERT INTO `lang_definitions` VALUES (57282, 1635, 12, 'Заявка');
INSERT INTO `lang_definitions` VALUES (57283, 1638, 12, 'Затребованный анализ выполнен');
INSERT INTO `lang_definitions` VALUES (57284, 1639, 12, 'Тип требования');
INSERT INTO `lang_definitions` VALUES (57285, 1640, 12, 'Требование сгенерировано в файл');
INSERT INTO `lang_definitions` VALUES (57286, 1641, 12, 'Требование было генерировано в файл');
INSERT INTO `lang_definitions` VALUES (57287, 1642, 12, 'Требования');
INSERT INTO `lang_definitions` VALUES (57288, 1645, 12, 'Классификация');
INSERT INTO `lang_definitions` VALUES (57289, 1646, 12, 'Очистить');
INSERT INTO `lang_definitions` VALUES (57290, 1651, 12, 'Очистить всё');
INSERT INTO `lang_definitions` VALUES (57291, 1654, 12, 'Очистить HL7 данные');
INSERT INTO `lang_definitions` VALUES (57292, 1655, 12, 'Полная реабилитация');
INSERT INTO `lang_definitions` VALUES (57293, 1659, 12, 'Очистить кэш Smarty');
INSERT INTO `lang_definitions` VALUES (57294, 1661, 12, 'Для создания пакета EDI 270 требуется точная домашняя информация');
INSERT INTO `lang_definitions` VALUES (57295, 1662, 12, 'Номер CLIA');
INSERT INTO `lang_definitions` VALUES (57296, 1663, 12, 'Нажмите');
INSERT INTO `lang_definitions` VALUES (57297, 1664, 12, 'Нажмите \"Экспорт\", чтобы экспортировать категорию, подкатегорию, пункт, данные содержания в текстовый файл. Любое сходство этого файла с файлом XML является чисто случайным. Открывающий и закрывающий теги должны быть в одной строке, в нижнем регистре без пробелов. Для импорта найдите файл и нажмите \"Импорт\". Если данные совершенно другие, он объединится с существующими данными. Если есть похожие наименования пунктов, старый будет оставлен, а новый сохранен с добавлением в конце номера.');
INSERT INTO `lang_definitions` VALUES (57298, 1667, 12, 'Кликните место в графике для добавления новой аннотации, кликните его еще раз для удаления');
INSERT INTO `lang_definitions` VALUES (57299, 1671, 12, 'Нажмите Загрузить сертификат для загрузки сертификатов в файл ssl.zip');
INSERT INTO `lang_definitions` VALUES (57300, 1672, 12, 'кликните для подробностей');
INSERT INTO `lang_definitions` VALUES (57301, 1678, 12, 'Нажмите здесь');
INSERT INTO `lang_definitions` VALUES (57302, 1679, 12, 'Нажмите здесь для добавления нового пациента.');
INSERT INTO `lang_definitions` VALUES (57303, 1680, 12, 'Кликните здесь для добавления измененного статуса новой травмы и измените ежедневную активность');
INSERT INTO `lang_definitions` VALUES (57304, 1682, 12, 'Нажмите здесь для выбора даты');
INSERT INTO `lang_definitions` VALUES (57305, 1683, 12, 'Нажмите здесь для выбора даты и времени');
INSERT INTO `lang_definitions` VALUES (57306, 1684, 12, 'Нажмите здесь для выбора начальной даты');
INSERT INTO `lang_definitions` VALUES (57307, 1707, 12, 'нажмите здесь для поиска');
INSERT INTO `lang_definitions` VALUES (57308, 1710, 12, 'кликните здесь, чтобы обновить приоритет, категорию и параметры настройки никнейма');
INSERT INTO `lang_definitions` VALUES (57309, 1714, 12, 'Нажмите здесь, чтобы просмотреть всё');
INSERT INTO `lang_definitions` VALUES (57310, 1715, 12, 'Нажмите здесь для просмотра и графики');
INSERT INTO `lang_definitions` VALUES (57311, 1717, 12, 'Нажмите здесь для просмотра и графики всех жизненно важных показателей.');
INSERT INTO `lang_definitions` VALUES (57312, 1718, 12, 'Кликните здесь для просмотра сведений о пациенте');
INSERT INTO `lang_definitions` VALUES (57313, 1719, 12, 'Нажмите здесь для просмотра их всех.');
INSERT INTO `lang_definitions` VALUES (57314, 1723, 12, 'Нажмите кнопку Установить для установки версии базы данных с указанной даты');
INSERT INTO `lang_definitions` VALUES (57315, 1730, 12, 'Кликните по любой части времени для ее увеличения');
INSERT INTO `lang_definitions` VALUES (57316, 1751, 12, 'Кликните фамилию пациента для открытия его файла');
INSERT INTO `lang_definitions` VALUES (57317, 1753, 12, 'Нажмите Обновить для обзора всех результатов, или введите выше критерий поиска для просмотра отдельных результатов.');
INSERT INTO `lang_definitions` VALUES (57318, 1779, 12, 'Нажмите для добавления новых компонентов');
INSERT INTO `lang_definitions` VALUES (57319, 1780, 12, 'Кликните для добавления новой консультации');
INSERT INTO `lang_definitions` VALUES (57320, 1785, 12, 'Нажмите для загрузки');
INSERT INTO `lang_definitions` VALUES (57321, 1786, 12, 'Нажмите для редактирования');
INSERT INTO `lang_definitions` VALUES (57322, 1788, 12, 'Кликните для изменения этого события');
INSERT INTO `lang_definitions` VALUES (57323, 1790, 12, 'Нажмите чтоб генерировать отчет');
INSERT INTO `lang_definitions` VALUES (57324, 1800, 12, 'Нажмите для печати');
INSERT INTO `lang_definitions` VALUES (57325, 1801, 12, 'Кликните для получения (добавления) новой партии');
INSERT INTO `lang_definitions` VALUES (57326, 1805, 12, 'Нажмите для выбора');
INSERT INTO `lang_definitions` VALUES (57327, 1806, 12, 'Нажмите для выбора');
INSERT INTO `lang_definitions` VALUES (57328, 1808, 12, 'Кликните для выбора кода отраслевого стандарта для этой методики');
INSERT INTO `lang_definitions` VALUES (57329, 1811, 12, 'Кликните для выбора необязательного процедурного кода');
INSERT INTO `lang_definitions` VALUES (57330, 1813, 12, 'Кликните для выбора или изменения кода CVX');
INSERT INTO `lang_definitions` VALUES (57331, 1814, 12, 'Кликните для выбора или изменения диагноза');
INSERT INTO `lang_definitions` VALUES (57332, 1815, 12, 'Кликните для выбора или изменения кодов услуг');
INSERT INTO `lang_definitions` VALUES (57333, 1816, 12, 'Нажмите для выбора пациента');
INSERT INTO `lang_definitions` VALUES (57334, 1817, 12, 'Кликните для выбора связанного кода');
INSERT INTO `lang_definitions` VALUES (57335, 1819, 12, 'Если этот результат дает отклонение от нормы, кликните для выбора оказания помощи');
INSERT INTO `lang_definitions` VALUES (57336, 1822, 12, 'Кликните для выбора необходимой методики');
INSERT INTO `lang_definitions` VALUES (57337, 1831, 12, 'Нажмите для просмотра');
INSERT INTO `lang_definitions` VALUES (57338, 1833, 12, 'Нажмите для просмотра или изменения');
INSERT INTO `lang_definitions` VALUES (57339, 1834, 12, 'Нажмите для просмотра/изменения');
INSERT INTO `lang_definitions` VALUES (57340, 1836, 12, 'Нажмите кнопку Модернизировать для модернизации версии базы данных с указанной даты');
INSERT INTO `lang_definitions` VALUES (57341, 1839, 12, 'Нажмите:');
INSERT INTO `lang_definitions` VALUES (57342, 1862, 12, 'Срок действия сертификата клиента в днях');
INSERT INTO `lang_definitions` VALUES (57343, 1864, 12, 'Допустимый период срока действия сертификата клиента');
INSERT INTO `lang_definitions` VALUES (57344, 1865, 12, 'Действительный сертификат клиента должен быть допустимым номером.');
INSERT INTO `lang_definitions` VALUES (57345, 1866, 12, 'Копия для пациента');
INSERT INTO `lang_definitions` VALUES (57346, 1869, 12, 'Выписка из истории болезни пациента');
INSERT INTO `lang_definitions` VALUES (57347, 1873, 12, 'Клиентский профиль - новые клиенты');
INSERT INTO `lang_definitions` VALUES (57348, 1874, 12, 'Клиентский профиль - уникальные клиенты');
INSERT INTO `lang_definitions` VALUES (57349, 1878, 12, 'Клиенты');
INSERT INTO `lang_definitions` VALUES (57350, 1879, 12, 'Клиника');
INSERT INTO `lang_definitions` VALUES (57351, 1880, 12, 'Копия для клиники');
INSERT INTO `lang_definitions` VALUES (57352, 1881, 12, 'Ежедневная регистрация по клинике');
INSERT INTO `lang_definitions` VALUES (57353, 1882, 12, 'ID клиники');
INSERT INTO `lang_definitions` VALUES (57354, 1883, 12, 'Клинический');
INSERT INTO `lang_definitions` VALUES (57355, 1884, 12, 'Менеджер извещений для клинических правил заключений');
INSERT INTO `lang_definitions` VALUES (57356, 1886, 12, 'Клиника');
INSERT INTO `lang_definitions` VALUES (57357, 1889, 12, 'Клинические программы');
INSERT INTO `lang_definitions` VALUES (57358, 1890, 12, 'Клиническая единица измерения качества (CQM)');
INSERT INTO `lang_definitions` VALUES (57359, 1893, 12, 'Клинические напоминания');
INSERT INTO `lang_definitions` VALUES (57360, 1897, 12, 'Клинические отчеты');
INSERT INTO `lang_definitions` VALUES (57361, 1898, 12, 'Категория деятельности для клинических правил');
INSERT INTO `lang_definitions` VALUES (57362, 1899, 12, 'Объект воздействия для клинических правил');
INSERT INTO `lang_definitions` VALUES (57363, 1900, 12, 'Методы фильтрации для клинических правил');
INSERT INTO `lang_definitions` VALUES (57364, 1901, 12, 'Планируемые методы для клинических правил');
INSERT INTO `lang_definitions` VALUES (57365, 1902, 12, 'Клинические правила');
INSERT INTO `lang_definitions` VALUES (57366, 1903, 12, 'Возрастные интервалы для клинических правил');
INSERT INTO `lang_definitions` VALUES (57367, 1904, 12, 'Сравнения для клинических правил');
INSERT INTO `lang_definitions` VALUES (57368, 1905, 12, 'Типы обращений для клинических правил');
INSERT INTO `lang_definitions` VALUES (57369, 1906, 12, 'Варианты выполнения напоминаний для клинических правил');
INSERT INTO `lang_definitions` VALUES (57370, 1907, 12, 'Варианты снятия напоминаний для клинических правил');
INSERT INTO `lang_definitions` VALUES (57371, 1908, 12, 'Интервалы напоминаний для клинических правил');
INSERT INTO `lang_definitions` VALUES (57372, 1909, 12, 'Методы напоминаний для клинических правил');
INSERT INTO `lang_definitions` VALUES (57373, 1910, 12, 'Планируемые интервалы для клинических правил');
INSERT INTO `lang_definitions` VALUES (57374, 1911, 12, 'Клинические задачи');
INSERT INTO `lang_definitions` VALUES (57375, 1915, 12, 'Клиницисты');
INSERT INTO `lang_definitions` VALUES (57376, 1916, 12, 'Клонировать');
INSERT INTO `lang_definitions` VALUES (57377, 1917, 12, 'Клонировать прошлое посещение');
INSERT INTO `lang_definitions` VALUES (57378, 1918, 12, 'Закрыть');
INSERT INTO `lang_definitions` VALUES (57379, 1925, 12, 'закрыть окно');
INSERT INTO `lang_definitions` VALUES (57380, 1927, 12, 'Закрытый');
INSERT INTO `lang_definitions` VALUES (57381, 1928, 12, 'см');
INSERT INTO `lang_definitions` VALUES (57382, 1931, 12, 'Поля CMS 1500');
INSERT INTO `lang_definitions` VALUES (57383, 1940, 12, 'ID для CMS');
INSERT INTO `lang_definitions` VALUES (57384, 1955, 12, 'Невридимый CN2-12');
INSERT INTO `lang_definitions` VALUES (57385, 1958, 12, 'Доплата');
INSERT INTO `lang_definitions` VALUES (57386, 1959, 12, 'Выполнена доплата');
INSERT INTO `lang_definitions` VALUES (57387, 1962, 12, 'ДОПЛАТА');
INSERT INTO `lang_definitions` VALUES (57388, 1964, 12, 'Код');
INSERT INTO `lang_definitions` VALUES (57389, 1965, 12, 'код');
INSERT INTO `lang_definitions` VALUES (57390, 1967, 12, 'Поиск кода');
INSERT INTO `lang_definitions` VALUES (57391, 1968, 12, 'Код должен иметь две буквы в нижнем регистре');
INSERT INTO `lang_definitions` VALUES (57392, 1969, 12, 'Код или символ для денежного обозначения');
INSERT INTO `lang_definitions` VALUES (57393, 1971, 12, 'Текст кода');
INSERT INTO `lang_definitions` VALUES (57394, 1973, 12, 'тип кода');
INSERT INTO `lang_definitions` VALUES (57395, 1976, 12, 'Типы кодов');
INSERT INTO `lang_definitions` VALUES (57396, 1978, 12, 'Кодировано');
INSERT INTO `lang_definitions` VALUES (57397, 1979, 12, 'Коды');
INSERT INTO `lang_definitions` VALUES (57398, 1981, 12, 'Индексация');
INSERT INTO `lang_definitions` VALUES (57399, 1983, 12, 'Индексация - любые обращения (write,wsome необязательно)');
INSERT INTO `lang_definitions` VALUES (57400, 1985, 12, 'Индексация - мои обращения (write,wsome необязательно)');
INSERT INTO `lang_definitions` VALUES (57401, 1990, 12, 'Доступ к шифрованию не разрешен');
INSERT INTO `lang_definitions` VALUES (57402, 1991, 12, 'Кофе');
INSERT INTO `lang_definitions` VALUES (57403, 1994, 12, 'Совместное страхование');
INSERT INTO `lang_definitions` VALUES (57404, 1995, 12, 'Бесплатно');
INSERT INTO `lang_definitions` VALUES (57405, 1997, 12, 'Свернуть');
INSERT INTO `lang_definitions` VALUES (57406, 1998, 12, 'скрыть');
INSERT INTO `lang_definitions` VALUES (57407, 1999, 12, 'Свернуть всё');
INSERT INTO `lang_definitions` VALUES (57408, 2000, 12, 'Свернуть всё');
INSERT INTO `lang_definitions` VALUES (57409, 2001, 12, 'свернуть всё');
INSERT INTO `lang_definitions` VALUES (57410, 2007, 12, 'Сборы');
INSERT INTO `lang_definitions` VALUES (57411, 2008, 12, 'Отчет по сборам');
INSERT INTO `lang_definitions` VALUES (57412, 2009, 12, 'Рак толстого кишечника');
INSERT INTO `lang_definitions` VALUES (57413, 2010, 12, 'Скрининг рака толстого кишечника');
INSERT INTO `lang_definitions` VALUES (57414, 2011, 12, 'Хирургия рака толстого кишечника');
INSERT INTO `lang_definitions` VALUES (57415, 2012, 12, 'Колоноскопия');
INSERT INTO `lang_definitions` VALUES (57416, 2013, 12, 'колоноскопия');
INSERT INTO `lang_definitions` VALUES (57417, 2014, 12, 'Цвет');
INSERT INTO `lang_definitions` VALUES (57418, 2020, 12, 'Цвет:сокр.');
INSERT INTO `lang_definitions` VALUES (57419, 2021, 12, 'Столбец');
INSERT INTO `lang_definitions` VALUES (57420, 2022, 12, 'Столбцы');
INSERT INTO `lang_definitions` VALUES (57421, 2024, 12, 'Объединенные партии');
INSERT INTO `lang_definitions` VALUES (57422, 2025, 12, 'Запятая');
INSERT INTO `lang_definitions` VALUES (57423, 2027, 12, 'Коментарий');
INSERT INTO `lang_definitions` VALUES (57424, 2028, 12, 'Коментарии');
INSERT INTO `lang_definitions` VALUES (57425, 2030, 12, 'Комментарии для этого результата или рекомендации');
INSERT INTO `lang_definitions` VALUES (57426, 2031, 12, 'Компания коммерческого страхования.');
INSERT INTO `lang_definitions` VALUES (57427, 2032, 12, 'Завершенные изменения');
INSERT INTO `lang_definitions` VALUES (57428, 2036, 12, 'Связь');
INSERT INTO `lang_definitions` VALUES (57429, 2039, 12, 'Компания');
INSERT INTO `lang_definitions` VALUES (57430, 2040, 12, 'Наименование компании');
INSERT INTO `lang_definitions` VALUES (57431, 2041, 12, 'Завершить');
INSERT INTO `lang_definitions` VALUES (57432, 2043, 12, 'Завершенное');
INSERT INTO `lang_definitions` VALUES (57433, 2046, 12, 'Завершенное?');
INSERT INTO `lang_definitions` VALUES (57434, 2049, 12, 'Осложнения по специалистам, предоставляющим помощь');
INSERT INTO `lang_definitions` VALUES (57435, 2050, 12, 'Осложнения аборта');
INSERT INTO `lang_definitions` VALUES (57436, 2051, 12, 'Компоненты');
INSERT INTO `lang_definitions` VALUES (57437, 2057, 12, 'Автоматизированная система медицинских назначений');
INSERT INTO `lang_definitions` VALUES (57438, 2058, 12, 'Заключения');
INSERT INTO `lang_definitions` VALUES (57439, 2064, 12, 'Настройки');
INSERT INTO `lang_definitions` VALUES (57440, 2065, 12, 'Экспорт/импорт настроек');
INSERT INTO `lang_definitions` VALUES (57441, 2067, 12, 'Настройте Apache и OpenEMR для использования сертификатов SSL на стороне клиента.');
INSERT INTO `lang_definitions` VALUES (57442, 2068, 12, 'Настройка Apache для использования сертификатов SSL на стороне клиента');
INSERT INTO `lang_definitions` VALUES (57443, 2069, 12, 'Настраивает Apache для использования HTTPS.');
INSERT INTO `lang_definitions` VALUES (57444, 2070, 12, 'Настройка OpenEMR для использования сертификатов SSL на стороне клиента.');
INSERT INTO `lang_definitions` VALUES (57445, 2079, 12, 'Подтвердите регистрацию нового пациента');
INSERT INTO `lang_definitions` VALUES (57446, 2081, 12, 'Подтвердите новый пароль');
INSERT INTO `lang_definitions` VALUES (57447, 2083, 12, 'Подтвердите оплату');
INSERT INTO `lang_definitions` VALUES (57448, 2092, 12, 'Врожденный');
INSERT INTO `lang_definitions` VALUES (57449, 2094, 12, 'Коньюктива, зрачки');
INSERT INTO `lang_definitions` VALUES (57450, 2098, 12, 'Константа');
INSERT INTO `lang_definitions` VALUES (57451, 2100, 12, 'наименование константы');
INSERT INTO `lang_definitions` VALUES (57452, 2101, 12, 'Наименование константы пустое');
INSERT INTO `lang_definitions` VALUES (57453, 2102, 12, 'константы');
INSERT INTO `lang_definitions` VALUES (57454, 2103, 12, 'Запоры');
INSERT INTO `lang_definitions` VALUES (57455, 2104, 12, 'Общесистемное');
INSERT INTO `lang_definitions` VALUES (57456, 2107, 12, 'Короткое описание консультации');
INSERT INTO `lang_definitions` VALUES (57457, 2109, 12, 'Контакт');
INSERT INTO `lang_definitions` VALUES (57458, 2110, 12, 'Контактный e-mail');
INSERT INTO `lang_definitions` VALUES (57459, 2111, 12, 'Контактный адрес e-mail');
INSERT INTO `lang_definitions` VALUES (57460, 2113, 12, 'контактная иформация');
INSERT INTO `lang_definitions` VALUES (57461, 2117, 12, 'Контактные линзы');
INSERT INTO `lang_definitions` VALUES (57462, 2122, 12, 'Фамилия для связи');
INSERT INTO `lang_definitions` VALUES (57463, 2125, 12, 'Человек для связи');
INSERT INTO `lang_definitions` VALUES (57464, 2127, 12, 'Номер телефона для связи');
INSERT INTO `lang_definitions` VALUES (57465, 2129, 12, 'Обратитесь на ZMG, LLC (zmghealth@gmail.com) для подписки на услугу eRx');
INSERT INTO `lang_definitions` VALUES (57466, 2131, 12, 'содержит, по крайней мере, три из четырех следующих пункта:');
INSERT INTO `lang_definitions` VALUES (57467, 2133, 12, 'Содержание');
INSERT INTO `lang_definitions` VALUES (57468, 2134, 12, 'содержание');
INSERT INTO `lang_definitions` VALUES (57469, 2136, 12, 'Контекст');
INSERT INTO `lang_definitions` VALUES (57470, 2137, 12, 'Наименование контекста не может быть пустым');
INSERT INTO `lang_definitions` VALUES (57471, 2138, 12, 'Продолжить');
INSERT INTO `lang_definitions` VALUES (57472, 2142, 12, 'Продолжение медицинского документа (CCD)');
INSERT INTO `lang_definitions` VALUES (57473, 2145, 12, 'Продолжение медицинской записи (CCD)');
INSERT INTO `lang_definitions` VALUES (57474, 2146, 12, 'Взаимные клиенты');
INSERT INTO `lang_definitions` VALUES (57475, 2147, 12, 'Контрацепция');
INSERT INTO `lang_definitions` VALUES (57476, 2148, 12, 'Аспекты контрацепции');
INSERT INTO `lang_definitions` VALUES (57477, 2149, 12, 'Осложнение контрацепции (указать)');
INSERT INTO `lang_definitions` VALUES (57478, 2150, 12, 'Способ контрацепции');
INSERT INTO `lang_definitions` VALUES (57479, 2151, 12, 'Контрацептивные изделия');
INSERT INTO `lang_definitions` VALUES (57480, 2152, 12, 'Предварительно включенные услуги по контрацепции');
INSERT INTO `lang_definitions` VALUES (57481, 2153, 12, 'Начало контрацепции');
INSERT INTO `lang_definitions` VALUES (57482, 2158, 12, 'ID настройки');
INSERT INTO `lang_definitions` VALUES (57483, 2159, 12, 'Номер настройки');
INSERT INTO `lang_definitions` VALUES (57484, 2168, 12, 'Доплата');
INSERT INTO `lang_definitions` VALUES (57485, 2169, 12, 'Доплата');
INSERT INTO `lang_definitions` VALUES (57486, 2170, 12, 'Доплата');
INSERT INTO `lang_definitions` VALUES (57487, 2171, 12, 'Доплата не предполагается');
INSERT INTO `lang_definitions` VALUES (57488, 2173, 12, 'Доплаты');
INSERT INTO `lang_definitions` VALUES (57489, 2174, 12, 'ХОБЛ');
INSERT INTO `lang_definitions` VALUES (57490, 2175, 12, 'Копировать страницы в карту пациента');
INSERT INTO `lang_definitions` VALUES (57491, 2177, 12, 'Копировать значения');
INSERT INTO `lang_definitions` VALUES (57492, 2178, 12, 'Копирование файла базы данных. Это займёт некоторое время...');
INSERT INTO `lang_definitions` VALUES (57493, 2179, 12, 'Уведомление об авторских правах');
INSERT INTO `lang_definitions` VALUES (57494, 2184, 12, 'Коронарное шунтирование');
INSERT INTO `lang_definitions` VALUES (57495, 2185, 12, 'Коронарное шунтирование трансплантантом (CABG)');
INSERT INTO `lang_definitions` VALUES (57496, 2186, 12, 'Исправленное');
INSERT INTO `lang_definitions` VALUES (57497, 2188, 12, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (57498, 2189, 12, 'Подключение CouchDB дало сбой.');
INSERT INTO `lang_definitions` VALUES (57499, 2191, 12, 'База данных CouchDB');
INSERT INTO `lang_definitions` VALUES (57500, 2192, 12, 'Имя базы данных CouchDB');
INSERT INTO `lang_definitions` VALUES (57501, 2195, 12, 'Хост CouchDB');
INSERT INTO `lang_definitions` VALUES (57502, 2196, 12, 'Имя хоста CouchDB');
INSERT INTO `lang_definitions` VALUES (57503, 2197, 12, 'Включить журналирование CouchDB');
INSERT INTO `lang_definitions` VALUES (57504, 2198, 12, 'Пароль CouchDB');
INSERT INTO `lang_definitions` VALUES (57505, 2199, 12, 'Порт CouchDB');
INSERT INTO `lang_definitions` VALUES (57506, 2200, 12, 'Порт CouchDB');
INSERT INTO `lang_definitions` VALUES (57507, 2203, 12, 'Имя пользователя CouchDB');
INSERT INTO `lang_definitions` VALUES (57508, 2204, 12, 'Кашель');
INSERT INTO `lang_definitions` VALUES (57509, 2205, 12, 'Кашель:');
INSERT INTO `lang_definitions` VALUES (57510, 2211, 12, 'Не удалось прочитать файл');
INSERT INTO `lang_definitions` VALUES (57511, 2214, 12, 'Не удалось отправить email из-за проблемы сервера,');
INSERT INTO `lang_definitions` VALUES (57512, 2216, 12, 'Не удалось отправить email из-за проблемы сервера.');
INSERT INTO `lang_definitions` VALUES (57513, 2217, 12, 'Не удалось создать директорию резервного копирования:');
INSERT INTO `lang_definitions` VALUES (57514, 2218, 12, 'Не удалось удалить директорию:');
INSERT INTO `lang_definitions` VALUES (57515, 2219, 12, 'Не удалось удалить старый файл резервного копирования:');
INSERT INTO `lang_definitions` VALUES (57516, 2220, 12, 'Не удалось удалить старый файл экспорта:');
INSERT INTO `lang_definitions` VALUES (57517, 2221, 12, 'Управление Coumadin - контроль международного нормализационного индекса');
INSERT INTO `lang_definitions` VALUES (57518, 2222, 12, 'Реком. по способу');
INSERT INTO `lang_definitions` VALUES (57519, 2223, 12, 'Рекомендация');
INSERT INTO `lang_definitions` VALUES (57520, 2224, 12, 'Консультативная работа');
INSERT INTO `lang_definitions` VALUES (57521, 2227, 12, 'УЧЕТНАЯ ФОРМА НАПРАВЛЕНИЯ');
INSERT INTO `lang_definitions` VALUES (57522, 2228, 12, 'Учетное направления');
INSERT INTO `lang_definitions` VALUES (57523, 2229, 12, 'Страна');
INSERT INTO `lang_definitions` VALUES (57524, 2231, 12, 'Тип данных для страны');
INSERT INTO `lang_definitions` VALUES (57525, 2232, 12, 'Список стран');
INSERT INTO `lang_definitions` VALUES (57526, 2233, 12, 'Список стран (write,addonly не обязателен)');
INSERT INTO `lang_definitions` VALUES (57527, 2235, 12, 'Наименование страны должно быть представлено двумя буквами. (Например: Соединенные штаты обозначено US)');
INSERT INTO `lang_definitions` VALUES (57528, 2236, 12, 'республика');
INSERT INTO `lang_definitions` VALUES (57529, 2238, 12, 'Купон');
INSERT INTO `lang_definitions` VALUES (57530, 2245, 12, 'Клиническое обследование больного (CPT)');
INSERT INTO `lang_definitions` VALUES (57531, 2246, 12, 'Код CPT');
INSERT INTO `lang_definitions` VALUES (57532, 2247, 12, 'Коды CPT');
INSERT INTO `lang_definitions` VALUES (57533, 2248, 12, 'Процедура/служба CPT4');
INSERT INTO `lang_definitions` VALUES (57534, 2249, 12, 'Измерение эффективности CPTII');
INSERT INTO `lang_definitions` VALUES (57535, 2250, 12, 'CQM');
INSERT INTO `lang_definitions` VALUES (57536, 2252, 12, 'Влажные хрипы:');
INSERT INTO `lang_definitions` VALUES (57537, 2255, 12, 'крем');
INSERT INTO `lang_definitions` VALUES (57538, 2256, 12, 'Создает сертификат SSL на стороне клиента для каждого пользователя или клиентской машины.');
INSERT INTO `lang_definitions` VALUES (57539, 2257, 12, 'Создает сертификат SSL на стороне клиента либо для пользователя, либо для имени узла клиента.');
INSERT INTO `lang_definitions` VALUES (57540, 2269, 12, 'Создать событие');
INSERT INTO `lang_definitions` VALUES (57541, 2273, 12, 'Создает и загружает полную резервную копию');
INSERT INTO `lang_definitions` VALUES (57542, 2275, 12, 'Создать резервную копию');
INSERT INTO `lang_definitions` VALUES (57543, 2276, 12, 'Создать партию');
INSERT INTO `lang_definitions` VALUES (57544, 2277, 12, 'Создать клиентский сертификат');
INSERT INTO `lang_definitions` VALUES (57545, 2278, 12, 'Создает сертификаты SSL на стороне клиента.');
INSERT INTO `lang_definitions` VALUES (57546, 2281, 12, 'Создать дубликат');
INSERT INTO `lang_definitions` VALUES (57547, 2283, 12, 'Создает журнал событий резервного копирования');
INSERT INTO `lang_definitions` VALUES (57548, 2285, 12, 'Создать новую проблему');
INSERT INTO `lang_definitions` VALUES (57549, 2287, 12, 'Оформить нового пациента');
INSERT INTO `lang_definitions` VALUES (57550, 2290, 12, 'Создать мандаты для внешнего портала');
INSERT INTO `lang_definitions` VALUES (57551, 2292, 12, 'Создать мандаты для внутреннего портала');
INSERT INTO `lang_definitions` VALUES (57552, 2294, 12, 'Создать запись по пациенту');
INSERT INTO `lang_definitions` VALUES (57553, 2296, 12, 'Создает доверенный сертификат SSL и сертификаты сервера.');
INSERT INTO `lang_definitions` VALUES (57554, 2297, 12, 'Создать посещение');
INSERT INTO `lang_definitions` VALUES (57555, 2298, 12, 'Создано');
INSERT INTO `lang_definitions` VALUES (57556, 2306, 12, 'Создание файла экспорта');
INSERT INTO `lang_definitions` VALUES (57557, 2309, 12, 'Создатель');
INSERT INTO `lang_definitions` VALUES (57558, 2311, 12, 'кредит');
INSERT INTO `lang_definitions` VALUES (57559, 2312, 12, 'Кредитная карта');
INSERT INTO `lang_definitions` VALUES (57560, 2314, 12, 'Кредитовать');
INSERT INTO `lang_definitions` VALUES (57561, 2316, 12, 'Критерий');
INSERT INTO `lang_definitions` VALUES (57562, 2319, 12, 'Болезнь Крона');
INSERT INTO `lang_definitions` VALUES (57563, 2320, 12, 'Болезнь Крона');
INSERT INTO `lang_definitions` VALUES (57564, 2323, 12, 'Экспорт CSV');
INSERT INTO `lang_definitions` VALUES (57565, 2324, 12, 'Файл CSV');
INSERT INTO `lang_definitions` VALUES (57566, 2330, 12, 'куб.мм');
INSERT INTO `lang_definitions` VALUES (57567, 2331, 12, 'Кубинец');
INSERT INTO `lang_definitions` VALUES (57568, 2333, 12, 'Размещение десятичных для денег');
INSERT INTO `lang_definitions` VALUES (57569, 2334, 12, 'Символ десятичной запятой для денег');
INSERT INTO `lang_definitions` VALUES (57570, 2335, 12, 'Денежный указатель');
INSERT INTO `lang_definitions` VALUES (57571, 2336, 12, 'Разделитель тысяч для денег');
INSERT INTO `lang_definitions` VALUES (57572, 2337, 12, 'Текущее');
INSERT INTO `lang_definitions` VALUES (57573, 2338, 12, 'Текущее употребление алкоголя');
INSERT INTO `lang_definitions` VALUES (57574, 2341, 12, 'Текущая констультация');
INSERT INTO `lang_definitions` VALUES (57575, 2342, 12, 'Текущий критерий');
INSERT INTO `lang_definitions` VALUES (57576, 2344, 12, 'Цвет выделения для текущего дня');
INSERT INTO `lang_definitions` VALUES (57577, 2345, 12, 'В настоящее время курит каждый день');
INSERT INTO `lang_definitions` VALUES (57578, 2347, 12, 'Текущее имя файла было изменено на');
INSERT INTO `lang_definitions` VALUES (57579, 2349, 12, 'Текущий хэш');
INSERT INTO `lang_definitions` VALUES (57580, 2350, 12, 'Текущее нахождение');
INSERT INTO `lang_definitions` VALUES (57581, 2352, 12, 'Принимаемые препараты');
INSERT INTO `lang_definitions` VALUES (57582, 2354, 12, 'Текущий пароль');
INSERT INTO `lang_definitions` VALUES (57583, 2356, 12, 'Текущий пациент');
INSERT INTO `lang_definitions` VALUES (57584, 2361, 12, 'Принимаемые рекреационные наркотики');
INSERT INTO `lang_definitions` VALUES (57585, 2363, 12, 'В настоящее время курит не каждый день');
INSERT INTO `lang_definitions` VALUES (57586, 2371, 12, 'Текущая деятельность');
INSERT INTO `lang_definitions` VALUES (57587, 2377, 12, 'В настоящее время помощь не оказывается');
INSERT INTO `lang_definitions` VALUES (57588, 2379, 12, 'Синдром Кушинга');
INSERT INTO `lang_definitions` VALUES (57589, 2380, 12, 'болезнь Иценко-Кушинга');
INSERT INTO `lang_definitions` VALUES (57590, 2383, 12, 'Пользовательский');
INSERT INTO `lang_definitions` VALUES (57591, 2390, 12, 'Пользовательский ввод?');
INSERT INTO `lang_definitions` VALUES (57592, 2395, 12, 'Пользовательская таблица');
INSERT INTO `lang_definitions` VALUES (57593, 2402, 12, 'Код CVX');
INSERT INTO `lang_definitions` VALUES (57594, 2403, 12, 'Отображение кода CVX');
INSERT INTO `lang_definitions` VALUES (57595, 2404, 12, 'Вакцинация CVX');
INSERT INTO `lang_definitions` VALUES (57596, 2406, 12, 'Цикл');
INSERT INTO `lang_definitions` VALUES (57597, 2412, 12, 'Цитохром P450');
INSERT INTO `lang_definitions` VALUES (57598, 2413, 12, 'Фактор цитохрома P450');
INSERT INTO `lang_definitions` VALUES (57599, 2414, 12, 'Сообщение о цитохроме P450');
INSERT INTO `lang_definitions` VALUES (57600, 2415, 12, 'Чешский');
INSERT INTO `lang_definitions` VALUES (57601, 2416, 12, 'D');
INSERT INTO `lang_definitions` VALUES (57602, 2417, 12, 'Расширение и кюретаж');
INSERT INTO `lang_definitions` VALUES (57603, 2418, 12, 'D&E');
INSERT INTO `lang_definitions` VALUES (57604, 2420, 12, 'Дата рожд.');
INSERT INTO `lang_definitions` VALUES (57605, 2421, 12, 'ежедневно');
INSERT INTO `lang_definitions` VALUES (57606, 2422, 12, 'Ежедневная запись');
INSERT INTO `lang_definitions` VALUES (57607, 2425, 12, 'Датский');
INSERT INTO `lang_definitions` VALUES (57608, 2429, 12, 'Подобные данные уже имеются в базе данных, измените код и/или описание');
INSERT INTO `lang_definitions` VALUES (57609, 2430, 12, 'Подобные данные уже имеются в базе данных, измените имя константы');
INSERT INTO `lang_definitions` VALUES (57610, 2431, 12, 'Столб. данных');
INSERT INTO `lang_definitions` VALUES (57611, 2434, 12, 'Ошибка даты');
INSERT INTO `lang_definitions` VALUES (57612, 2439, 12, 'Тип данных');
INSERT INTO `lang_definitions` VALUES (57613, 2440, 12, 'База данных');
INSERT INTO `lang_definitions` VALUES (57614, 2442, 12, 'База данных не установлена.');
INSERT INTO `lang_definitions` VALUES (57615, 2444, 12, 'Группа баз данных');
INSERT INTO `lang_definitions` VALUES (57616, 2445, 12, 'Сообщение базы данных');
INSERT INTO `lang_definitions` VALUES (57617, 2447, 12, 'Обновление базы данных завершено.');
INSERT INTO `lang_definitions` VALUES (57618, 2448, 12, 'Столбцы данных должны быть числом между 1 и 999');
INSERT INTO `lang_definitions` VALUES (57619, 2449, 12, 'Дата');
INSERT INTO `lang_definitions` VALUES (57620, 2450, 12, 'ДАТА');
INSERT INTO `lang_definitions` VALUES (57621, 2453, 12, 'Управление датой');
INSERT INTO `lang_definitions` VALUES (57622, 2454, 12, 'Дата и время взятия образца');
INSERT INTO `lang_definitions` VALUES (57623, 2455, 12, 'Дата и время этого исследования');
INSERT INTO `lang_definitions` VALUES (57624, 2457, 12, 'Дата и время, когда биообразец был собран');
INSERT INTO `lang_definitions` VALUES (57625, 2458, 12, 'Дата не может быть больше сегодняшней');
INSERT INTO `lang_definitions` VALUES (57626, 2459, 12, 'Дата первоначально предоставленной услуги по контрацепции');
INSERT INTO `lang_definitions` VALUES (57627, 2460, 12, 'Дата создания');
INSERT INTO `lang_definitions` VALUES (57628, 2461, 12, 'Дата смерти');
INSERT INTO `lang_definitions` VALUES (57629, 2462, 12, 'Дата уничтожения');
INSERT INTO `lang_definitions` VALUES (57630, 2463, 12, 'Отображаемый формат даты');
INSERT INTO `lang_definitions` VALUES (57631, 2464, 12, 'Формат даты для \"Окончание приема\" не допустим');
INSERT INTO `lang_definitions` VALUES (57632, 2465, 12, 'Формат даты для \"Начало приема\" не допустим');
INSERT INTO `lang_definitions` VALUES (57633, 2466, 12, 'Формат даты для \"Следующий прием\" не допустим');
INSERT INTO `lang_definitions` VALUES (57634, 2467, 12, 'Формат даты для \"не видел с\" не допустим');
INSERT INTO `lang_definitions` VALUES (57635, 2469, 12, 'Формат даты для \"с тех пор видел\" не допустим');
INSERT INTO `lang_definitions` VALUES (57636, 2470, 12, 'Предоставленные информационные заявки о дате проведения вакцинации');
INSERT INTO `lang_definitions` VALUES (57637, 2471, 12, 'Дата для кода пропущена');
INSERT INTO `lang_definitions` VALUES (57638, 2472, 12, 'Основной критерий даты');
INSERT INTO `lang_definitions` VALUES (57639, 2475, 12, 'Дата банковского взноса yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (57640, 2476, 12, 'Дата платежа');
INSERT INTO `lang_definitions` VALUES (57641, 2477, 12, 'Дата рождения');
INSERT INTO `lang_definitions` VALUES (57642, 2478, 12, 'Дата рождения');
INSERT INTO `lang_definitions` VALUES (57643, 2479, 12, 'Дата рождения');
INSERT INTO `lang_definitions` VALUES (57644, 2481, 12, 'Дата ввода');
INSERT INTO `lang_definitions` VALUES (57645, 2483, 12, 'Дата травмы');
INSERT INTO `lang_definitions` VALUES (57646, 2487, 12, 'Дата оплаты yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (57647, 2489, 12, 'Дата направления');
INSERT INTO `lang_definitions` VALUES (57648, 2491, 12, 'Дата ответа');
INSERT INTO `lang_definitions` VALUES (57649, 2493, 12, 'Дата оказания помощи');
INSERT INTO `lang_definitions` VALUES (57650, 2495, 12, 'Дата услуги');
INSERT INTO `lang_definitions` VALUES (57651, 2496, 12, 'Дата услуги = сегодня');
INSERT INTO `lang_definitions` VALUES (57652, 2498, 12, 'Дата услуги мм/дд/гггг');
INSERT INTO `lang_definitions` VALUES (57653, 2499, 12, 'Дата услуги:');
INSERT INTO `lang_definitions` VALUES (57654, 2500, 12, 'Дата подписания');
INSERT INTO `lang_definitions` VALUES (57655, 2503, 12, 'Дата этого назначения');
INSERT INTO `lang_definitions` VALUES (57656, 2504, 12, 'Дата этого отчета');
INSERT INTO `lang_definitions` VALUES (57657, 2505, 12, 'Дата заявки по видимому набору информации');
INSERT INTO `lang_definitions` VALUES (57658, 2506, 12, 'Назначение даты');
INSERT INTO `lang_definitions` VALUES (57659, 2509, 12, 'Селектор даты');
INSERT INTO `lang_definitions` VALUES (57660, 2510, 12, 'Дата отправки');
INSERT INTO `lang_definitions` VALUES (57661, 2511, 12, 'Дата сообщения была отправлена');
INSERT INTO `lang_definitions` VALUES (57662, 2513, 12, 'Значение даты не может быть пустым.');
INSERT INTO `lang_definitions` VALUES (57663, 2516, 12, 'Дата/назн.');
INSERT INTO `lang_definitions` VALUES (57664, 2517, 12, 'Дата/записи');
INSERT INTO `lang_definitions` VALUES (57665, 2518, 12, 'Последняя дата или записи');
INSERT INTO `lang_definitions` VALUES (57666, 2519, 12, 'Дата/время');
INSERT INTO `lang_definitions` VALUES (57667, 2520, 12, 'Дата:');
INSERT INTO `lang_definitions` VALUES (57668, 2523, 12, 'Устаревший журнал сообщений');
INSERT INTO `lang_definitions` VALUES (57669, 2526, 12, 'День');
INSERT INTO `lang_definitions` VALUES (57670, 2527, 12, 'день');
INSERT INTO `lang_definitions` VALUES (57671, 2530, 12, 'Обзор за день');
INSERT INTO `lang_definitions` VALUES (57672, 2531, 12, 'дней');
INSERT INTO `lang_definitions` VALUES (57673, 2532, 12, 'Дни Пн-Пт');
INSERT INTO `lang_definitions` VALUES (57674, 2533, 12, 'дни');
INSERT INTO `lang_definitions` VALUES (57675, 2534, 12, 'Дни');
INSERT INTO `lang_definitions` VALUES (57676, 2535, 12, 'дней назад');
INSERT INTO `lang_definitions` VALUES (57677, 2536, 12, 'Дни и проекты пропущены');
INSERT INTO `lang_definitions` VALUES (57678, 2537, 12, 'Дней от последнего обращения');
INSERT INTO `lang_definitions` VALUES (57679, 2538, 12, 'Пропущенные дни');
INSERT INTO `lang_definitions` VALUES (57680, 2541, 12, 'Дней в столбце:');
INSERT INTO `lang_definitions` VALUES (57681, 2543, 12, 'Дни/столб.:');
INSERT INTO `lang_definitions` VALUES (57682, 2544, 12, 'БД установлена');
INSERT INTO `lang_definitions` VALUES (57683, 2545, 12, 'DD/MM/YYYY');
INSERT INTO `lang_definitions` VALUES (57684, 2546, 12, 'Предотвращение дублирования идентификации');
INSERT INTO `lang_definitions` VALUES (57685, 2547, 12, 'Обработка деидентификации завершена');
INSERT INTO `lang_definitions` VALUES (57686, 2548, 12, 'Продолжается обработка деидентификации');
INSERT INTO `lang_definitions` VALUES (57687, 2549, 12, 'Обработка деидентификации запущена и идет в фоновом режиме');
INSERT INTO `lang_definitions` VALUES (57688, 2550, 12, 'Данные деидентификации не могут быть выполнены');
INSERT INTO `lang_definitions` VALUES (57689, 2551, 12, 'Файлы деидентификации будут сохранены в');
INSERT INTO `lang_definitions` VALUES (57690, 2552, 12, 'Управление по борьбе с наркотиками');
INSERT INTO `lang_definitions` VALUES (57691, 2558, 12, 'Глухой');
INSERT INTO `lang_definitions` VALUES (57692, 2562, 12, 'Отладочная информация');
INSERT INTO `lang_definitions` VALUES (57693, 2565, 12, 'Дек');
INSERT INTO `lang_definitions` VALUES (57694, 2567, 12, 'УМЕРШИЙ');
INSERT INTO `lang_definitions` VALUES (57695, 2574, 12, 'Декабрь');
INSERT INTO `lang_definitions` VALUES (57696, 2580, 12, 'Отчисление');
INSERT INTO `lang_definitions` VALUES (57697, 2581, 12, 'Выполнение отчислений');
INSERT INTO `lang_definitions` VALUES (57698, 2583, 12, 'По умолчанию');
INSERT INTO `lang_definitions` VALUES (57699, 2585, 12, 'Вид календаря по умолчанию');
INSERT INTO `lang_definitions` VALUES (57700, 2587, 12, 'ID формы обращения по умолчанию');
INSERT INTO `lang_definitions` VALUES (57701, 2589, 12, 'Услуга по умолчанию');
INSERT INTO `lang_definitions` VALUES (57702, 2594, 12, 'Язык по умолчанию');
INSERT INTO `lang_definitions` VALUES (57703, 2595, 12, 'Язык по умолчанию если другой не разрешен или не выбран.');
INSERT INTO `lang_definitions` VALUES (57704, 2598, 12, 'Список по умолчанию (write,addonly не обязателен)');
INSERT INTO `lang_definitions` VALUES (57705, 2600, 12, 'Метод по умолчанию');
INSERT INTO `lang_definitions` VALUES (57706, 2601, 12, 'Истечение срока пароля по умолчанию.');
INSERT INTO `lang_definitions` VALUES (57707, 2602, 12, 'Истечение срока пароля в днях по умолчанию. 0 означает, что эта функция отключена.');
INSERT INTO `lang_definitions` VALUES (57708, 2603, 12, 'Страна пациента по умолчанию');
INSERT INTO `lang_definitions` VALUES (57709, 2607, 12, 'Специалист по умолчанию');
INSERT INTO `lang_definitions` VALUES (57710, 2609, 12, 'Диапазон по умолчанию');
INSERT INTO `lang_definitions` VALUES (57711, 2610, 12, 'Причина посещения по умолчанию');
INSERT INTO `lang_definitions` VALUES (57712, 2615, 12, 'Настройка по умолчанию');
INSERT INTO `lang_definitions` VALUES (57713, 2617, 12, 'Статус по умолчанию нового окна поля-флажка в списке пациентов.');
INSERT INTO `lang_definitions` VALUES (57714, 2618, 12, 'Шаблон по умолчанию');
INSERT INTO `lang_definitions` VALUES (57715, 2624, 12, 'Единицы измерения по умолчанию');
INSERT INTO `lang_definitions` VALUES (57716, 2626, 12, 'Значение по умолчанию');
INSERT INTO `lang_definitions` VALUES (57717, 2628, 12, 'Склад по умолчанию');
INSERT INTO `lang_definitions` VALUES (57718, 2629, 12, 'Партнер X12 по умолчанию');
INSERT INTO `lang_definitions` VALUES (57719, 2630, 12, 'По умолчанию/глобально');
INSERT INTO `lang_definitions` VALUES (57720, 2635, 12, 'Удалить');
INSERT INTO `lang_definitions` VALUES (57721, 2636, 12, 'удалить');
INSERT INTO `lang_definitions` VALUES (57722, 2637, 12, 'Прибегнуть к удалению (> 12 мес.)');
INSERT INTO `lang_definitions` VALUES (57723, 2638, 12, 'Удалить');
INSERT INTO `lang_definitions` VALUES (57724, 2639, 12, 'удалить');
INSERT INTO `lang_definitions` VALUES (57725, 2640, 12, 'Удалить категории с ID:');
INSERT INTO `lang_definitions` VALUES (57726, 2641, 12, 'Удалить категорию');
INSERT INTO `lang_definitions` VALUES (57727, 2645, 12, 'Удалить группу');
INSERT INTO `lang_definitions` VALUES (57728, 2646, 12, 'Удалить список');
INSERT INTO `lang_definitions` VALUES (57729, 2648, 12, 'Удалить страницы');
INSERT INTO `lang_definitions` VALUES (57730, 2649, 12, 'Удаляет пациента, обращение, форму, проблему, документ, оплату, счет или транзакцию');
INSERT INTO `lang_definitions` VALUES (57731, 2651, 12, 'Удалить строку');
INSERT INTO `lang_definitions` VALUES (57732, 2652, 12, 'Удалить выбранные пункты');
INSERT INTO `lang_definitions` VALUES (57733, 2655, 12, 'Удаление завершено.');
INSERT INTO `lang_definitions` VALUES (57734, 2656, 12, 'Удалить этот документ');
INSERT INTO `lang_definitions` VALUES (57735, 2657, 12, 'Удалить эту форму');
INSERT INTO `lang_definitions` VALUES (57736, 2659, 12, 'Удалить эту запись');
INSERT INTO `lang_definitions` VALUES (57737, 2661, 12, 'Удаление успешно выполнено.');
INSERT INTO `lang_definitions` VALUES (57738, 2663, 12, 'Удаление этого события не может быть выполнено. Его невозможно изменить, так как оно продолжается. Действительно, нужно удалить это событие?');
INSERT INTO `lang_definitions` VALUES (57739, 2671, 12, 'Деменция');
INSERT INTO `lang_definitions` VALUES (57740, 2673, 12, 'Персональные данные');
INSERT INTO `lang_definitions` VALUES (57741, 2674, 12, 'Персональные данные (write,addonly не обязателен)');
INSERT INTO `lang_definitions` VALUES (57742, 2678, 12, 'Критерий отбора персональных данных');
INSERT INTO `lang_definitions` VALUES (57743, 2680, 12, 'Нет разрешения на доступ к персональным данным');
INSERT INTO `lang_definitions` VALUES (57744, 2681, 12, 'Нет разрешения на доступ к персональным данным.');
INSERT INTO `lang_definitions` VALUES (57745, 2682, 12, 'Отказано');
INSERT INTO `lang_definitions` VALUES (57746, 2684, 12, 'Знаменатель');
INSERT INTO `lang_definitions` VALUES (57747, 2687, 12, 'Стоматология');
INSERT INTO `lang_definitions` VALUES (57748, 2689, 12, 'Стоматологические проблемы');
INSERT INTO `lang_definitions` VALUES (57749, 2694, 12, 'При проверке требования X 12, в зависимости от типа, счета HCFA будут выглядеть как вывод пустой страницы, увидите многие строки с несколько искаженным текстом и информацией. Этот искаженный текст является форматом X 12 EDI 4010A. Иногда будете видеть странные символы, которые выглядят как домино или волнисто, это управляющие символы, такие как подача страницы и являются обычными.');
INSERT INTO `lang_definitions` VALUES (57750, 2696, 12, 'Дата внесения');
INSERT INTO `lang_definitions` VALUES (57751, 2697, 12, 'Дата внесения не может быть позднее сегодняшней');
INSERT INTO `lang_definitions` VALUES (57752, 2698, 12, 'Дата внесения:');
INSERT INTO `lang_definitions` VALUES (57753, 2699, 12, 'Снижено');
INSERT INTO `lang_definitions` VALUES (57754, 2700, 12, 'Депрессия');
INSERT INTO `lang_definitions` VALUES (57755, 2706, 12, 'Описание');
INSERT INTO `lang_definitions` VALUES (57756, 2707, 12, 'описание');
INSERT INTO `lang_definitions` VALUES (57757, 2709, 12, 'Описание публикации');
INSERT INTO `lang_definitions` VALUES (57758, 2710, 12, 'Описание этой методики или код результата');
INSERT INTO `lang_definitions` VALUES (57759, 2711, 12, 'Перевод описания');
INSERT INTO `lang_definitions` VALUES (57760, 2713, 12, 'Место назначения');
INSERT INTO `lang_definitions` VALUES (57761, 2714, 12, 'Предназначенное имя файла');
INSERT INTO `lang_definitions` VALUES (57762, 2716, 12, 'Уничтожить партию');
INSERT INTO `lang_definitions` VALUES (57763, 2717, 12, 'Уничтожить...');
INSERT INTO `lang_definitions` VALUES (57764, 2718, 12, 'Уничтоженно');
INSERT INTO `lang_definitions` VALUES (57765, 2719, 12, 'Уничтоженные препараты');
INSERT INTO `lang_definitions` VALUES (57766, 2720, 12, 'Отчет по уничтожению препаратов');
INSERT INTO `lang_definitions` VALUES (57767, 2721, 12, 'Подробнее');
INSERT INTO `lang_definitions` VALUES (57768, 2726, 12, 'Подробности');
INSERT INTO `lang_definitions` VALUES (57769, 2728, 12, 'Прогрессирующее отклонение от нормы');
INSERT INTO `lang_definitions` VALUES (57770, 2730, 12, 'Диабет');
INSERT INTO `lang_definitions` VALUES (57771, 2731, 12, 'Сахарный диабет');
INSERT INTO `lang_definitions` VALUES (57772, 2732, 12, 'Диабет: контроль артериального давления (CQM)');
INSERT INTO `lang_definitions` VALUES (57773, 2733, 12, 'Диабет: офтальм. иссл.');
INSERT INTO `lang_definitions` VALUES (57774, 2734, 12, 'Диабет: офтальм. иссл. (CQM)');
INSERT INTO `lang_definitions` VALUES (57775, 2735, 12, 'Диабет: иссл. стоп');
INSERT INTO `lang_definitions` VALUES (57776, 2736, 12, 'Диабет: иссл. стоп (CQM)');
INSERT INTO `lang_definitions` VALUES (57777, 2737, 12, 'Диабет: надзор за бедными HbA1c (CQM)');
INSERT INTO `lang_definitions` VALUES (57778, 2738, 12, 'Диабет: гемоглобин A1C');
INSERT INTO `lang_definitions` VALUES (57779, 2739, 12, 'Диабет: контроль липопротеина низкой плотности (CQM)');
INSERT INTO `lang_definitions` VALUES (57780, 2740, 12, 'Диабет: микроальбумин мочи');
INSERT INTO `lang_definitions` VALUES (57781, 2741, 12, 'Д-з');
INSERT INTO `lang_definitions` VALUES (57782, 2743, 12, 'Диагноз');
INSERT INTO `lang_definitions` VALUES (57783, 2744, 12, 'Код диагноза');
INSERT INTO `lang_definitions` VALUES (57784, 2747, 12, 'Дата диагноза');
INSERT INTO `lang_definitions` VALUES (57785, 2749, 12, 'Для связи с обращением диагноз должен быть кодирован');
INSERT INTO `lang_definitions` VALUES (57786, 2750, 12, 'Наименование диагноза');
INSERT INTO `lang_definitions` VALUES (57787, 2751, 12, 'Отчет о диагнозе');
INSERT INTO `lang_definitions` VALUES (57788, 2752, 12, 'Отчетность о диагнозе');
INSERT INTO `lang_definitions` VALUES (57789, 2753, 12, 'Только отчетность о диагнозе');
INSERT INTO `lang_definitions` VALUES (57790, 2754, 12, 'Название диагноза');
INSERT INTO `lang_definitions` VALUES (57791, 2755, 12, 'Диагноз:');
INSERT INTO `lang_definitions` VALUES (57792, 2756, 12, 'Диагноз:');
INSERT INTO `lang_definitions` VALUES (57793, 2758, 12, 'Диагностические тесты:');
INSERT INTO `lang_definitions` VALUES (57794, 2760, 12, 'Диализ');
INSERT INTO `lang_definitions` VALUES (57795, 2763, 12, 'Колпачки/капсулы');
INSERT INTO `lang_definitions` VALUES (57796, 2764, 12, 'Диарея');
INSERT INTO `lang_definitions` VALUES (57797, 2767, 12, 'Диктовка');
INSERT INTO `lang_definitions` VALUES (57798, 2768, 12, 'Диктовка:');
INSERT INTO `lang_definitions` VALUES (57799, 2769, 12, 'Вы получили копию уведомления HIPAA?');
INSERT INTO `lang_definitions` VALUES (57800, 2770, 12, 'Распространить:');
INSERT INTO `lang_definitions` VALUES (57801, 2771, 12, 'Цифровые знаки');
INSERT INTO `lang_definitions` VALUES (57802, 2781, 12, 'Отправить письмо');
INSERT INTO `lang_definitions` VALUES (57803, 2787, 12, 'Фамилия руководителя');
INSERT INTO `lang_definitions` VALUES (57804, 2789, 12, 'Нетрудоспособность');
INSERT INTO `lang_definitions` VALUES (57805, 2794, 12, 'Отключить календарь');
INSERT INTO `lang_definitions` VALUES (57806, 2795, 12, 'Отключить отслеживание карты');
INSERT INTO `lang_definitions` VALUES (57807, 2798, 12, 'Отключить вакцинацию');
INSERT INTO `lang_definitions` VALUES (57808, 2800, 12, 'Отключить старую метрическую форму для ЖВП');
INSERT INTO `lang_definitions` VALUES (57809, 2802, 12, 'Отключить phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (57810, 2803, 12, 'Отключить назначения');
INSERT INTO `lang_definitions` VALUES (57811, 2804, 12, 'Отключить пользовательские группы');
INSERT INTO `lang_definitions` VALUES (57812, 2805, 12, 'отключено');
INSERT INTO `lang_definitions` VALUES (57813, 2806, 12, 'Отключено');
INSERT INTO `lang_definitions` VALUES (57814, 2807, 12, 'Инвалиды в возрасте до 65 лет с большим планом групповой охраны здоровья (LGHP)');
INSERT INTO `lang_definitions` VALUES (57815, 2812, 12, 'Сигнальный комплекс, индуцирующий смерть');
INSERT INTO `lang_definitions` VALUES (57816, 2815, 12, 'Отделяемое');
INSERT INTO `lang_definitions` VALUES (57817, 2816, 12, 'Выделения из уретры');
INSERT INTO `lang_definitions` VALUES (57818, 2818, 12, 'Выписан с выздоровлением');
INSERT INTO `lang_definitions` VALUES (57819, 2819, 12, 'Выписан с выздоровлением:');
INSERT INTO `lang_definitions` VALUES (57820, 2825, 12, 'Опубликованная информация');
INSERT INTO `lang_definitions` VALUES (57821, 2826, 12, 'Тип публикования');
INSERT INTO `lang_definitions` VALUES (57822, 2827, 12, 'Типы публикования');
INSERT INTO `lang_definitions` VALUES (57823, 2828, 12, 'Публикации');
INSERT INTO `lang_definitions` VALUES (57824, 2833, 12, 'Скидка');
INSERT INTO `lang_definitions` VALUES (57825, 2834, 12, 'Размер скидки');
INSERT INTO `lang_definitions` VALUES (57826, 2835, 12, 'Уровень скидки');
INSERT INTO `lang_definitions` VALUES (57827, 2836, 12, 'Процент скидки');
INSERT INTO `lang_definitions` VALUES (57828, 2837, 12, 'Скидка как денежная величина');
INSERT INTO `lang_definitions` VALUES (57829, 2838, 12, 'Скидка на расчетный час вводится как денежная сумма, а не проценты.');
INSERT INTO `lang_definitions` VALUES (57830, 2839, 12, 'Отдельный результат');
INSERT INTO `lang_definitions` VALUES (57831, 2841, 12, 'Болезнь');
INSERT INTO `lang_definitions` VALUES (57832, 2843, 12, 'Вывих');
INSERT INTO `lang_definitions` VALUES (57833, 2847, 12, 'Отпр. #');
INSERT INTO `lang_definitions` VALUES (57834, 2848, 12, 'Отправка');
INSERT INTO `lang_definitions` VALUES (57835, 2849, 12, 'Отправка полученного документа');
INSERT INTO `lang_definitions` VALUES (57836, 2853, 12, 'Предоставлено');
INSERT INTO `lang_definitions` VALUES (57837, 2856, 12, 'Отображение инструкций по заполнению на странице персональных данных.');
INSERT INTO `lang_definitions` VALUES (57838, 2859, 12, 'Отображать даты событий в блоке?');
INSERT INTO `lang_definitions` VALUES (57839, 2861, 12, 'Сколько событий отображать?');
INSERT INTO `lang_definitions` VALUES (57840, 2865, 12, 'Отображать размещение в блоке?');
INSERT INTO `lang_definitions` VALUES (57841, 2866, 12, 'Отображаемое наименование');
INSERT INTO `lang_definitions` VALUES (57842, 2868, 12, 'Отображать календарь?');
INSERT INTO `lang_definitions` VALUES (57843, 2875, 12, 'Отображать сегодняшние события в блоке?');
INSERT INTO `lang_definitions` VALUES (57844, 2876, 12, 'Отображать раздел в блоке?');
INSERT INTO `lang_definitions` VALUES (57845, 2877, 12, 'Отображать предстоящие события в блоке?');
INSERT INTO `lang_definitions` VALUES (57846, 2879, 12, 'Показать колонки');
INSERT INTO `lang_definitions` VALUES (57847, 2880, 12, 'Отображать это количество самых последних публикаций:');
INSERT INTO `lang_definitions` VALUES (57848, 2882, 12, 'Отображение указанного количества самых последних записей');
INSERT INTO `lang_definitions` VALUES (57849, 2883, 12, 'Отображать это количество самых последних записей:');
INSERT INTO `lang_definitions` VALUES (57850, 2890, 12, 'Распределение');
INSERT INTO `lang_definitions` VALUES (57851, 2891, 12, 'Распределения');
INSERT INTO `lang_definitions` VALUES (57852, 2892, 12, 'Поставщик');
INSERT INTO `lang_definitions` VALUES (57853, 2897, 12, 'Дивертикулит');
INSERT INTO `lang_definitions` VALUES (57854, 2898, 12, 'Хирургия дивертикулита');
INSERT INTO `lang_definitions` VALUES (57855, 2899, 12, 'Дивертикулит');
INSERT INTO `lang_definitions` VALUES (57856, 2900, 12, 'Хирургия дивертикулита');
INSERT INTO `lang_definitions` VALUES (57857, 2901, 12, 'Разведен');
INSERT INTO `lang_definitions` VALUES (57858, 2902, 12, 'Головокружения:');
INSERT INTO `lang_definitions` VALUES (57859, 2905, 12, 'Не менять');
INSERT INTO `lang_definitions` VALUES (57860, 2907, 12, 'Не отображать загрузку аллергии в NewCrop');
INSERT INTO `lang_definitions` VALUES (57861, 2909, 12, 'Не отображать загрузку медикаментов в NewCrop');
INSERT INTO `lang_definitions` VALUES (57862, 2912, 12, 'Не показывать календарь.');
INSERT INTO `lang_definitions` VALUES (57863, 2916, 12, 'Не инвентаризировать и не реализовывать никакую продукцию');
INSERT INTO `lang_definitions` VALUES (57864, 2919, 12, 'Не требует полномочий для записей по пациенту');
INSERT INTO `lang_definitions` VALUES (57865, 2920, 12, 'Указано не реанимировать');
INSERT INTO `lang_definitions` VALUES (57866, 2921, 12, 'не сохранять');
INSERT INTO `lang_definitions` VALUES (57867, 2922, 12, 'не заменять');
INSERT INTO `lang_definitions` VALUES (57868, 2925, 12, 'ничего не делать');
INSERT INTO `lang_definitions` VALUES (57869, 2929, 12, 'Действительно нужно удалить');
INSERT INTO `lang_definitions` VALUES (57870, 2930, 12, 'Действительно нужно удалить выбранное?');
INSERT INTO `lang_definitions` VALUES (57871, 2931, 12, 'Действительно нужно удалить эту группу');
INSERT INTO `lang_definitions` VALUES (57872, 2934, 12, 'Продолжить?');
INSERT INTO `lang_definitions` VALUES (57873, 2935, 12, 'Это нужно далить?');
INSERT INTO `lang_definitions` VALUES (57874, 2936, 12, 'Удалить?');
INSERT INTO `lang_definitions` VALUES (57875, 2937, 12, 'Удалить эту запись?');
INSERT INTO `lang_definitions` VALUES (57876, 2938, 12, 'Продолжить добавление нового пациента?');
INSERT INTO `lang_definitions` VALUES (57877, 2939, 12, 'Продолжить с новым наименованием?');
INSERT INTO `lang_definitions` VALUES (57878, 2940, 12, 'Эту запись по вакциинации нужно удалить НАВСЕГДА?');
INSERT INTO `lang_definitions` VALUES (57879, 2941, 12, 'Дата/рожд.');
INSERT INTO `lang_definitions` VALUES (57880, 2942, 12, 'Дата рождения пропущена, при возможности укажите');
INSERT INTO `lang_definitions` VALUES (57881, 2944, 12, 'Вр.');
INSERT INTO `lang_definitions` VALUES (57882, 2945, 12, 'Врач');
INSERT INTO `lang_definitions` VALUES (57883, 2946, 12, 'Врач:');
INSERT INTO `lang_definitions` VALUES (57884, 2947, 12, 'Фамилия и подпись врача');
INSERT INTO `lang_definitions` VALUES (57885, 2948, 12, 'Документ');
INSERT INTO `lang_definitions` VALUES (57886, 2949, 12, 'документ');
INSERT INTO `lang_definitions` VALUES (57887, 2951, 12, 'Категории документа');
INSERT INTO `lang_definitions` VALUES (57888, 2958, 12, 'Документ не может быть перемещен для пациента с id');
INSERT INTO `lang_definitions` VALUES (57889, 2960, 12, 'Дата регистрации');
INSERT INTO `lang_definitions` VALUES (57890, 2961, 12, 'Данные по регистрации и проблема обновлены успешно');
INSERT INTO `lang_definitions` VALUES (57891, 2962, 12, 'ID регистрации');
INSERT INTO `lang_definitions` VALUES (57892, 2965, 12, 'Документ перемещен в новую категорию');
INSERT INTO `lang_definitions` VALUES (57893, 2966, 12, 'Документ перемещен для пациента с id');
INSERT INTO `lang_definitions` VALUES (57894, 2968, 12, 'Документ проходит проверку целостности.');
INSERT INTO `lang_definitions` VALUES (57895, 2970, 12, 'Документ успешно переименован.');
INSERT INTO `lang_definitions` VALUES (57896, 2976, 12, 'Сохранение документа/изображения');
INSERT INTO `lang_definitions` VALUES (57897, 2978, 12, 'Документы');
INSERT INTO `lang_definitions` VALUES (57898, 2980, 12, 'Документы (write,addonly не обязателен)');
INSERT INTO `lang_definitions` VALUES (57899, 2989, 12, 'Одышка при физической нагрузке');
INSERT INTO `lang_definitions` VALUES (57900, 2996, 12, 'Этот тип допускает связанные коды?');
INSERT INTO `lang_definitions` VALUES (57901, 2997, 12, 'Отечественный партнер');
INSERT INTO `lang_definitions` VALUES (57902, 2998, 12, 'Не сохранять');
INSERT INTO `lang_definitions` VALUES (57903, 2999, 12, 'Не сохранять');
INSERT INTO `lang_definitions` VALUES (57904, 3000, 12, 'Не сохранять изменения');
INSERT INTO `lang_definitions` VALUES (57905, 3002, 12, 'Готово');
INSERT INTO `lang_definitions` VALUES (57906, 3004, 12, 'Выполнено с:');
INSERT INTO `lang_definitions` VALUES (57907, 3005, 12, 'Готово. Теперь будет отправлена загрузка.');
INSERT INTO `lang_definitions` VALUES (57908, 3006, 12, 'DOS');
INSERT INTO `lang_definitions` VALUES (57909, 3007, 12, 'Дозировка');
INSERT INTO `lang_definitions` VALUES (57910, 3011, 12, 'двойной щелчок для редактирования');
INSERT INTO `lang_definitions` VALUES (57911, 3013, 12, 'Двоение в глазах');
INSERT INTO `lang_definitions` VALUES (57912, 3014, 12, 'Загрузить');
INSERT INTO `lang_definitions` VALUES (57913, 3019, 12, 'Загрузить в любом случае');
INSERT INTO `lang_definitions` VALUES (57914, 3020, 12, 'Загружает файл счета, вносит для учетной записи и маркирует как оплату');
INSERT INTO `lang_definitions` VALUES (57915, 3022, 12, 'Загрузить сертификаты');
INSERT INTO `lang_definitions` VALUES (57916, 3023, 12, 'Загрузить данные настроек');
INSERT INTO `lang_definitions` VALUES (57917, 3027, 12, 'загружает шифрованный файл');
INSERT INTO `lang_definitions` VALUES (57918, 3037, 12, 'Загрузить выбранные заявки');
INSERT INTO `lang_definitions` VALUES (57919, 3039, 12, 'Регистрация д-ра');
INSERT INTO `lang_definitions` VALUES (57920, 3040, 12, 'Посещение д-ра');
INSERT INTO `lang_definitions` VALUES (57921, 3041, 12, 'Д-р');
INSERT INTO `lang_definitions` VALUES (57922, 3045, 12, 'Препарат для перемещения');
INSERT INTO `lang_definitions` VALUES (57923, 3047, 12, 'Подтекание мочи');
INSERT INTO `lang_definitions` VALUES (57924, 3048, 12, 'Водительские права или государственный ID');
INSERT INTO `lang_definitions` VALUES (57925, 3050, 12, 'Препарат');
INSERT INTO `lang_definitions` VALUES (57926, 3053, 12, 'Поисковик препаратов');
INSERT INTO `lang_definitions` VALUES (57927, 3054, 12, 'Формы препаратов');
INSERT INTO `lang_definitions` VALUES (57928, 3055, 12, 'ID препарата пропущен!');
INSERT INTO `lang_definitions` VALUES (57929, 3056, 12, 'Частота приема препарата');
INSERT INTO `lang_definitions` VALUES (57930, 3057, 12, 'Учет препарата');
INSERT INTO `lang_definitions` VALUES (57931, 3059, 12, 'Наименование препарата');
INSERT INTO `lang_definitions` VALUES (57932, 3061, 12, 'Способ введения препарата');
INSERT INTO `lang_definitions` VALUES (57933, 3066, 12, 'Единицы измерения препарата');
INSERT INTO `lang_definitions` VALUES (57934, 3072, 12, 'Препараты');
INSERT INTO `lang_definitions` VALUES (57935, 3073, 12, 'Препараты и изделия');
INSERT INTO `lang_definitions` VALUES (57936, 3074, 12, 'Сухость во рту');
INSERT INTO `lang_definitions` VALUES (57937, 3075, 12, 'Диагноз DSMIV');
INSERT INTO `lang_definitions` VALUES (57938, 3076, 12, 'Дифтеритический тетанус 1');
INSERT INTO `lang_definitions` VALUES (57939, 3077, 12, 'Дифтеритический тетанус 2');
INSERT INTO `lang_definitions` VALUES (57940, 3078, 12, 'Дифтеритический тетанус 3');
INSERT INTO `lang_definitions` VALUES (57941, 3079, 12, 'Дифтеритический тетанус 4');
INSERT INTO `lang_definitions` VALUES (57942, 3080, 12, 'Дифтеритический тетанус 5');
INSERT INTO `lang_definitions` VALUES (57943, 3081, 12, 'АКДС 1');
INSERT INTO `lang_definitions` VALUES (57944, 3082, 12, 'АКДС 2');
INSERT INTO `lang_definitions` VALUES (57945, 3083, 12, 'АКДС 3');
INSERT INTO `lang_definitions` VALUES (57946, 3084, 12, 'АКДС 4');
INSERT INTO `lang_definitions` VALUES (57947, 3085, 12, 'АКДС 5');
INSERT INTO `lang_definitions` VALUES (57948, 3087, 12, 'Подлежит выплате');
INSERT INTO `lang_definitions` VALUES (57949, 3088, 12, 'Дата оплаты');
INSERT INTO `lang_definitions` VALUES (57950, 3090, 12, 'Дата оплаты mm/dd/yyyy или yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (57951, 3091, 12, 'Дата оплаты:');
INSERT INTO `lang_definitions` VALUES (57952, 3092, 12, 'Подлежит страх.');
INSERT INTO `lang_definitions` VALUES (57953, 3093, 12, 'Подлежит оплате');
INSERT INTO `lang_definitions` VALUES (57954, 3094, 12, 'Подлежит вскоре');
INSERT INTO `lang_definitions` VALUES (57955, 3095, 12, 'Назначенный статус');
INSERT INTO `lang_definitions` VALUES (57956, 3096, 12, 'Обновление статуса оплаты');
INSERT INTO `lang_definitions` VALUES (57957, 3097, 12, 'Формирование дампа базы данных OpenEMR');
INSERT INTO `lang_definitions` VALUES (57958, 3098, 12, 'Формирование дампа дерева веб-каталога OpenEMR');
INSERT INTO `lang_definitions` VALUES (57959, 3099, 12, 'Формирование дампа базы данных phpGACL');
INSERT INTO `lang_definitions` VALUES (57960, 3100, 12, 'Формирование дампа дерева веб-каталога phpGACL');
INSERT INTO `lang_definitions` VALUES (57961, 3101, 12, 'Формирование дампа базы данных регистра SQL');
INSERT INTO `lang_definitions` VALUES (57962, 3102, 12, 'Формирование дампа дерева веб-каталога регистра SQL');
INSERT INTO `lang_definitions` VALUES (57963, 3103, 12, 'Проверка на дублирование');
INSERT INTO `lang_definitions` VALUES (57964, 3108, 12, 'Он-лайн дублирование ID');
INSERT INTO `lang_definitions` VALUES (57965, 3109, 12, 'Двойное имя в строке');
INSERT INTO `lang_definitions` VALUES (57966, 3110, 12, 'ПРЕДУПРЕЖДЕНИЕ О ДУБЛИРОВАНИИ');
INSERT INTO `lang_definitions` VALUES (57967, 3111, 12, 'Постоянный поверенный');
INSERT INTO `lang_definitions` VALUES (57968, 3112, 12, 'Продолжительность');
INSERT INTO `lang_definitions` VALUES (57969, 3113, 12, 'продолжительность');
INSERT INTO `lang_definitions` VALUES (57970, 3114, 12, 'Голландский');
INSERT INTO `lang_definitions` VALUES (57971, 3116, 12, 'Dx Rep');
INSERT INTO `lang_definitions` VALUES (57972, 3117, 12, 'Дисфагия');
INSERT INTO `lang_definitions` VALUES (57973, 3118, 12, 'Одышка:');
INSERT INTO `lang_definitions` VALUES (57974, 3119, 12, 'Дизурия');
INSERT INTO `lang_definitions` VALUES (57975, 3128, 12, 'Е-назначение?');
INSERT INTO `lang_definitions` VALUES (57976, 3130, 12, 'e-Rx');
INSERT INTO `lang_definitions` VALUES (57977, 3132, 12, 'Возобновление e-лечения');
INSERT INTO `lang_definitions` VALUES (57978, 3135, 12, 'Каждый получатель должен устанавливать свои собственные сообщения как выполненные.');
INSERT INTO `lang_definitions` VALUES (57979, 3140, 12, 'Ранний возврат (< 2 мес.)');
INSERT INTO `lang_definitions` VALUES (57980, 3141, 12, 'Уши');
INSERT INTO `lang_definitions` VALUES (57981, 3148, 12, 'ЭКГ');
INSERT INTO `lang_definitions` VALUES (57982, 3149, 12, 'e-требования');
INSERT INTO `lang_definitions` VALUES (57983, 3152, 12, 'Отек');
INSERT INTO `lang_definitions` VALUES (57984, 3157, 12, 'Файл EDI-271 обновлен');
INSERT INTO `lang_definitions` VALUES (57985, 3158, 12, 'Соответствующий файл EDI-271 обновлен');
INSERT INTO `lang_definitions` VALUES (57986, 3159, 12, 'Редактировать');
INSERT INTO `lang_definitions` VALUES (57987, 3160, 12, 'редактировать');
INSERT INTO `lang_definitions` VALUES (57988, 3161, 12, 'Редактировать аллергию');
INSERT INTO `lang_definitions` VALUES (57989, 3163, 12, 'Редактировать категории');
INSERT INTO `lang_definitions` VALUES (57990, 3165, 12, 'Редактировать определения');
INSERT INTO `lang_definitions` VALUES (57991, 3166, 12, 'Редактировать определения');
INSERT INTO `lang_definitions` VALUES (57992, 3167, 12, 'Редактировать диагнозы для');
INSERT INTO `lang_definitions` VALUES (57993, 3168, 12, 'Редактировать опубликование');
INSERT INTO `lang_definitions` VALUES (57994, 3173, 12, 'Редактировать услуги');
INSERT INTO `lang_definitions` VALUES (57995, 3174, 12, 'Редактировать услугу');
INSERT INTO `lang_definitions` VALUES (57996, 3175, 12, 'Редактировать информацию об услугах');
INSERT INTO `lang_definitions` VALUES (57997, 3176, 12, 'Редактировать информацию об услугах для отдельного пользователя');
INSERT INTO `lang_definitions` VALUES (57998, 3177, 12, 'Редактировать файл в');
INSERT INTO `lang_definitions` VALUES (57999, 3178, 12, 'Редактировать форму');
INSERT INTO `lang_definitions` VALUES (58000, 3179, 12, 'Редактировать глобальные настройки');
INSERT INTO `lang_definitions` VALUES (58001, 3181, 12, 'Редактирование не разрешено!');
INSERT INTO `lang_definitions` VALUES (58002, 3183, 12, 'Редактировать макет');
INSERT INTO `lang_definitions` VALUES (58003, 3185, 12, 'Редактировать список');
INSERT INTO `lang_definitions` VALUES (58004, 3188, 12, 'Редактировать платеж');
INSERT INTO `lang_definitions` VALUES (58005, 3189, 12, 'Редактировать структуру');
INSERT INTO `lang_definitions` VALUES (58006, 3192, 12, 'Редактировать пользователя');
INSERT INTO `lang_definitions` VALUES (58007, 3193, 12, 'Изменение параметров настройки пользователя');
INSERT INTO `lang_definitions` VALUES (58008, 3196, 12, 'Образование');
INSERT INTO `lang_definitions` VALUES (58009, 3197, 12, 'Дата получения образования');
INSERT INTO `lang_definitions` VALUES (58010, 3199, 12, 'эл. ред. * Подробнее см. Лицензию на свободное программное  обеспечение GNU. ** Вместе с этой программой вы должны  были получить экземпляр GPL GNU *; Если нет,  то пишите в свободном');
INSERT INTO `lang_definitions` VALUES (58011, 3200, 12, 'Фактическая дата');
INSERT INTO `lang_definitions` VALUES (58012, 3202, 12, 'Эффективность');
INSERT INTO `lang_definitions` VALUES (58013, 3204, 12, 'Идентификационный номер работодателя');
INSERT INTO `lang_definitions` VALUES (58014, 3207, 12, 'Эякуляции');
INSERT INTO `lang_definitions` VALUES (58015, 3208, 12, 'Локоть');
INSERT INTO `lang_definitions` VALUES (58016, 3209, 12, 'Проблемы локтя');
INSERT INTO `lang_definitions` VALUES (58017, 3210, 12, 'Электронный');
INSERT INTO `lang_definitions` VALUES (58018, 3214, 12, 'Электронные переводы');
INSERT INTO `lang_definitions` VALUES (58019, 3218, 12, 'Срок годности');
INSERT INTO `lang_definitions` VALUES (58020, 3219, 12, 'Срок годности запрошенной партии 270');
INSERT INTO `lang_definitions` VALUES (58021, 3220, 12, 'Преемственный ответ');
INSERT INTO `lang_definitions` VALUES (58022, 3222, 12, 'Статус пригодности для детской вакцины, имеющей срок годности');
INSERT INTO `lang_definitions` VALUES (58023, 3223, 12, 'Годная');
INSERT INTO `lang_definitions` VALUES (58024, 3225, 12, 'e-mail');
INSERT INTO `lang_definitions` VALUES (58025, 3228, 12, 'Адрес e-mail');
INSERT INTO `lang_definitions` VALUES (58026, 3230, 12, 'Адрес электронной почты отправителя для напоминаний о пациенте. Внесите, чтобы напоминания о пациенте направлялись на этот адрес. Важно использовать адрес домена вашей клиники во избежание предотвращения сбора напоминаний пациенту в папке нежелательной почты.');
INSERT INTO `lang_definitions` VALUES (58027, 3231, 12, 'Адрес e-mail, если имеется, для получения административных уведомлений.');
INSERT INTO `lang_definitions` VALUES (58028, 3232, 12, 'Адрес e-mail, если имеется, для получения экстренных сообщений об активации логин пользователя.');
INSERT INTO `lang_definitions` VALUES (58029, 3233, 12, 'Разр. email');
INSERT INTO `lang_definitions` VALUES (58030, 3236, 12, 'E-mail от пакетной обработки');
INSERT INTO `lang_definitions` VALUES (58031, 3238, 12, 'Уведомление об e-mail');
INSERT INTO `lang_definitions` VALUES (58032, 3239, 12, 'Часы уведомление об e-mail');
INSERT INTO `lang_definitions` VALUES (58033, 3240, 12, 'Отчет уведомлений об e-mail');
INSERT INTO `lang_definitions` VALUES (58034, 3244, 12, 'Отправить e-mail до');
INSERT INTO `lang_definitions` VALUES (58035, 3245, 12, 'Отправитель e-mail');
INSERT INTO `lang_definitions` VALUES (58036, 3246, 12, 'Отправка e-mail');
INSERT INTO `lang_definitions` VALUES (58037, 3247, 12, 'E-mail отправлено к');
INSERT INTO `lang_definitions` VALUES (58038, 3248, 12, 'Тема e-mail');
INSERT INTO `lang_definitions` VALUES (58039, 3251, 12, 'текст e-mail, употребляемый тэг: ***НАИМЕНОВАНИЕ*** , т.е. Уважаемый ***ИМЯ***');
INSERT INTO `lang_definitions` VALUES (58040, 3252, 12, 'Текст e-mail, употребляемый тэг: ***NAME*** , т.е. Уважаемый ***NAME***{{Не переводите элементы ***NAME*** этой константы.}}');
INSERT INTO `lang_definitions` VALUES (58041, 3253, 12, 'Метод передачи e-mail');
INSERT INTO `lang_definitions` VALUES (58042, 3254, 12, 'E-mail отправлен по следующим адресам');
INSERT INTO `lang_definitions` VALUES (58043, 3259, 12, 'Дополнительный контакт');
INSERT INTO `lang_definitions` VALUES (58044, 3260, 12, 'Дополнительный контакт');
INSERT INTO `lang_definitions` VALUES (58045, 3261, 12, 'Номер телефона для экстренной связи');
INSERT INTO `lang_definitions` VALUES (58046, 3262, 12, 'Вспомогательная контрацепция');
INSERT INTO `lang_definitions` VALUES (58047, 3263, 12, 'Вход в систему в чрезвычайной ситуации');
INSERT INTO `lang_definitions` VALUES (58048, 3264, 12, 'Выбран чрезвычайный вход в систему ACL. Пользователь все еще в активном состоянии, просьба деактивировать этого пользователя и также активировать, когда потребуется при чрезвычайной ситуации. Для активации или деактивации см. Администрирование-> Пользователи.');
INSERT INTO `lang_definitions` VALUES (58049, 3265, 12, 'Чрезвычайный e-mail активации входа в систему будет задействован, только если в файле interface/globals.php заданы следующие параметры:');
INSERT INTO `lang_definitions` VALUES (58050, 3266, 12, 'Адрес e-mail чрезвычайного входа в систему');
INSERT INTO `lang_definitions` VALUES (58051, 3267, 12, 'Пользователь чрезвычайного входа в систему может делать все');
INSERT INTO `lang_definitions` VALUES (58052, 3268, 12, 'Дополнительный телефон');
INSERT INTO `lang_definitions` VALUES (58053, 3271, 12, 'Эмфизема');
INSERT INTO `lang_definitions` VALUES (58054, 3272, 12, 'Служащий');
INSERT INTO `lang_definitions` VALUES (58055, 3273, 12, 'Место работы');
INSERT INTO `lang_definitions` VALUES (58056, 3274, 12, 'Адрес места работы');
INSERT INTO `lang_definitions` VALUES (58057, 3275, 12, 'Дата приема на работу');
INSERT INTO `lang_definitions` VALUES (58058, 3276, 12, 'Наименование места работы');
INSERT INTO `lang_definitions` VALUES (58059, 3277, 12, 'ПУСТОЕ');
INSERT INTO `lang_definitions` VALUES (58060, 3278, 12, 'Пустое');
INSERT INTO `lang_definitions` VALUES (58061, 3281, 12, 'Пустое значение в \"Час e-mail\"');
INSERT INTO `lang_definitions` VALUES (58062, 3282, 12, 'Пустое значение в \"Отправитель e-mail\"');
INSERT INTO `lang_definitions` VALUES (58063, 3283, 12, 'Пустое значение в \"Субъект e-mail\"');
INSERT INTO `lang_definitions` VALUES (58064, 3284, 12, 'Пустое значение в \"Текст e-mail\"');
INSERT INTO `lang_definitions` VALUES (58065, 3285, 12, 'Пустое значение для \"Фамилия специалиста\"');
INSERT INTO `lang_definitions` VALUES (58066, 3286, 12, 'Пустое значение в \"Пароль\"');
INSERT INTO `lang_definitions` VALUES (58067, 3287, 12, 'Пустое значение в \"Час SMS\"');
INSERT INTO `lang_definitions` VALUES (58068, 3288, 12, 'Пустое значение в \"Текст SMS\"');
INSERT INTO `lang_definitions` VALUES (58069, 3289, 12, 'Пустое значение для \"Имя пользователя\"');
INSERT INTO `lang_definitions` VALUES (58070, 3298, 12, 'Включить вызов AMC');
INSERT INTO `lang_definitions` VALUES (58071, 3300, 12, 'Включить отчет AMC');
INSERT INTO `lang_definitions` VALUES (58072, 3301, 12, 'Включить отслеживание AMC');
INSERT INTO `lang_definitions` VALUES (58073, 3303, 12, 'Включить аудит ATNA');
INSERT INTO `lang_definitions` VALUES (58074, 3305, 12, 'Включить аудит журналирования');
INSERT INTO `lang_definitions` VALUES (58075, 3306, 12, 'Включает отслеживание аудита и аутентификацию узла (ATNA).');
INSERT INTO `lang_definitions` VALUES (58076, 3307, 12, 'Включить отчетность автоматического вычисления единицы измерения (AMC)');
INSERT INTO `lang_definitions` VALUES (58077, 3312, 12, 'Включить клиентский SSL');
INSERT INTO `lang_definitions` VALUES (58078, 3313, 12, 'Включает аутентификацию сертификата SSL для клиента.');
INSERT INTO `lang_definitions` VALUES (58079, 3315, 12, 'Включить клинические правила заключений (CDR)');
INSERT INTO `lang_definitions` VALUES (58080, 3318, 12, 'Включить отчетность о клинической оценке качества (CQM)');
INSERT INTO `lang_definitions` VALUES (58081, 3319, 12, 'Включить всплывающие клинические напоминания');
INSERT INTO `lang_definitions` VALUES (58082, 3320, 12, 'Включить виджет для клинических напоминаний');
INSERT INTO `lang_definitions` VALUES (58083, 3324, 12, 'Включить отчетность CQM');
INSERT INTO `lang_definitions` VALUES (58084, 3341, 12, 'Включить поддержку Hylafax');
INSERT INTO `lang_definitions` VALUES (58085, 3343, 12, 'Включить сообщение статуса импорта для erx NewCrop');
INSERT INTO `lang_definitions` VALUES (58086, 3347, 12, 'Включить лабораторный обмен');
INSERT INTO `lang_definitions` VALUES (58087, 3350, 12, 'Включить журналирование всех запросов SELECT для SQL.');
INSERT INTO `lang_definitions` VALUES (58088, 3351, 12, 'Включить журналирование активности, связанной с резервным копированием.');
INSERT INTO `lang_definitions` VALUES (58089, 3353, 12, 'Включить журналирование смешанной активности.');
INSERT INTO `lang_definitions` VALUES (58090, 3354, 12, 'Включить журналирование активности назначений.');
INSERT INTO `lang_definitions` VALUES (58091, 3355, 12, 'Включить журналирование модификаций записей по пациентам.');
INSERT INTO `lang_definitions` VALUES (58092, 3356, 12, 'Включить журналирование активности планирования.');
INSERT INTO `lang_definitions` VALUES (58093, 3357, 12, 'Включить журналирование активности безопасности и администрирования.');
INSERT INTO `lang_definitions` VALUES (58094, 3360, 12, 'Включить службу eRx для NewCrop');
INSERT INTO `lang_definitions` VALUES (58095, 3365, 12, 'Включить портал для внешних пациентов');
INSERT INTO `lang_definitions` VALUES (58096, 3366, 12, 'Включает портал для внешних пациентов.');
INSERT INTO `lang_definitions` VALUES (58097, 3368, 12, 'Включить портал для внутренних пациентов');
INSERT INTO `lang_definitions` VALUES (58098, 3371, 12, 'Включает портал для внутренних пациентов.');
INSERT INTO `lang_definitions` VALUES (58099, 3385, 12, 'Включить виджет напоминаний для пациентов');
INSERT INTO `lang_definitions` VALUES (58100, 3389, 12, 'Включить приглашение ввода даты для автоматического вычисления единицы измерения (AMC)');
INSERT INTO `lang_definitions` VALUES (58101, 3391, 12, 'Включить отчетность об отслеживании даты для автоматического вычисления единицы измерения (AMC)');
INSERT INTO `lang_definitions` VALUES (58102, 3392, 12, 'Включить поддержку сканера');
INSERT INTO `lang_definitions` VALUES (58103, 3397, 12, 'Включает поддержку OpenEMR службой лабораторного обмена LLC.');
INSERT INTO `lang_definitions` VALUES (58104, 3398, 12, 'Включить аутентификацию пользовательского сертификата');
INSERT INTO `lang_definitions` VALUES (58105, 3403, 12, 'Включить службу eRx для ZMG, LLC');
INSERT INTO `lang_definitions` VALUES (58106, 3404, 12, 'включено');
INSERT INTO `lang_definitions` VALUES (58107, 3412, 12, 'Включает старую панель с оплатой для ввода кодов оплаты и платежей. Не рекомендуется, лучше используйте список оплаты.');
INSERT INTO `lang_definitions` VALUES (58108, 3415, 12, 'Обр.');
INSERT INTO `lang_definitions` VALUES (58109, 3417, 12, 'Обращ.');
INSERT INTO `lang_definitions` VALUES (58110, 3418, 12, 'Обращение');
INSERT INTO `lang_definitions` VALUES (58111, 3419, 12, 'обращение');
INSERT INTO `lang_definitions` VALUES (58112, 3420, 12, 'Обращение');
INSERT INTO `lang_definitions` VALUES (58113, 3421, 12, 'экстренное поступление пациента в стационар или ED');
INSERT INTO `lang_definitions` VALUES (58114, 3427, 12, 'Дата обращения');
INSERT INTO `lang_definitions` VALUES (58115, 3432, 12, 'Формы обращения');
INSERT INTO `lang_definitions` VALUES (58116, 3433, 12, 'Обращение по поводу здоровья и состояния');
INSERT INTO `lang_definitions` VALUES (58117, 3434, 12, 'Хронология обращений');
INSERT INTO `lang_definitions` VALUES (58118, 3435, 12, 'ID обращения');
INSERT INTO `lang_definitions` VALUES (58119, 3436, 12, 'обращение по поводу гриппа');
INSERT INTO `lang_definitions` VALUES (58120, 3439, 12, 'Количество обращений');
INSERT INTO `lang_definitions` VALUES (58121, 3441, 12, 'обращение к медсестре по поводу выписки');
INSERT INTO `lang_definitions` VALUES (58122, 3442, 12, 'обращение по поводу медсестринских услуг');
INSERT INTO `lang_definitions` VALUES (58123, 3443, 12, 'обращение по поводу трудотерапии');
INSERT INTO `lang_definitions` VALUES (58124, 3444, 12, 'обращение для посещения кабинете');
INSERT INTO `lang_definitions` VALUES (58125, 3445, 12, 'амбулаторное обращение');
INSERT INTO `lang_definitions` VALUES (58126, 3446, 12, 'амбулаторное обращение w/PCP & obgyn');
INSERT INTO `lang_definitions` VALUES (58127, 3447, 12, 'Размер страницы обращения');
INSERT INTO `lang_definitions` VALUES (58128, 3448, 12, 'Оплата приёма');
INSERT INTO `lang_definitions` VALUES (58129, 3449, 12, 'Обращение по поводу беременности');
INSERT INTO `lang_definitions` VALUES (58130, 3450, 12, 'обращение по поводу профосмотра - индивидуальное собеседование');
INSERT INTO `lang_definitions` VALUES (58131, 3451, 12, 'обращение по поводу профсмотра в 40 лет и старше');
INSERT INTO `lang_definitions` VALUES (58132, 3452, 12, 'обращение по поводу профосмотра для группового собеседования');
INSERT INTO `lang_definitions` VALUES (58133, 3453, 12, 'обращение по поводу профосмотра для других услуг');
INSERT INTO `lang_definitions` VALUES (58134, 3454, 12, 'обращение по поводу профосмотра в 18 лет и старше');
INSERT INTO `lang_definitions` VALUES (58135, 3457, 12, 'обращение к психиатру и психологу');
INSERT INTO `lang_definitions` VALUES (58136, 3458, 12, 'Статистика по обращению');
INSERT INTO `lang_definitions` VALUES (58137, 3459, 12, 'Итог по обращению');
INSERT INTO `lang_definitions` VALUES (58138, 3461, 12, 'Обращение было шифровано');
INSERT INTO `lang_definitions` VALUES (58139, 3462, 12, 'Обращение:');
INSERT INTO `lang_definitions` VALUES (58140, 3463, 12, 'Обращение: при плановом поступлении пациента в стационар, амбулаторное или к окулисту');
INSERT INTO `lang_definitions` VALUES (58141, 3464, 12, 'Обращения');
INSERT INTO `lang_definitions` VALUES (58142, 3465, 12, 'Обращения и формы');
INSERT INTO `lang_definitions` VALUES (58143, 3466, 12, 'Обращения &amp; Формы');
INSERT INTO `lang_definitions` VALUES (58144, 3467, 12, 'Доступ к обращениям не разрешен');
INSERT INTO `lang_definitions` VALUES (58145, 3468, 12, 'Отчет по обращениям');
INSERT INTO `lang_definitions` VALUES (58146, 3469, 12, 'Раздел обращений');
INSERT INTO `lang_definitions` VALUES (58147, 3471, 12, 'Шифрование');
INSERT INTO `lang_definitions` VALUES (58148, 3472, 12, 'Конец');
INSERT INTO `lang_definitions` VALUES (58149, 3473, 12, 'Окончание (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (58150, 3474, 12, 'Конечная дата');
INSERT INTO `lang_definitions` VALUES (58151, 3475, 12, 'Конечная дата');
INSERT INTO `lang_definitions` VALUES (58152, 3480, 12, 'Конечная дата должна быть позднее начальной');
INSERT INTO `lang_definitions` VALUES (58153, 3482, 12, 'Конечная дата:');
INSERT INTO `lang_definitions` VALUES (58154, 3487, 12, 'Конечное время');
INSERT INTO `lang_definitions` VALUES (58155, 3489, 12, 'Лицо с терминальной стадией ХПН в MCP с групповым планом работодателя');
INSERT INTO `lang_definitions` VALUES (58156, 3492, 12, 'Конечная дата оказания услуги yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (58157, 3493, 12, 'Если нужно ввести диапазон, завершите mm/dd/yyyy DOS');
INSERT INTO `lang_definitions` VALUES (58158, 3494, 12, 'Завершающий час дня для календарных событий.');
INSERT INTO `lang_definitions` VALUES (58159, 3495, 12, 'Глубокое отклонение от нормы крови');
INSERT INTO `lang_definitions` VALUES (58160, 3496, 12, 'Эндокринная');
INSERT INTO `lang_definitions` VALUES (58161, 3497, 12, 'Эндоскопия');
INSERT INTO `lang_definitions` VALUES (58162, 3502, 12, 'Английский');
INSERT INTO `lang_definitions` VALUES (58163, 3503, 12, 'Английский');
INSERT INTO `lang_definitions` VALUES (58164, 3504, 12, 'Английский (индийский)');
INSERT INTO `lang_definitions` VALUES (58165, 3505, 12, 'Английский (стандартный)');
INSERT INTO `lang_definitions` VALUES (58166, 3506, 12, 'Шифровать команду, используя Hylafax.');
INSERT INTO `lang_definitions` VALUES (58167, 3507, 12, 'Убедитесь, что OpenEMR имеет права записи в каталог');
INSERT INTO `lang_definitions` VALUES (58168, 3509, 12, 'Отделяемое ЛОР');
INSERT INTO `lang_definitions` VALUES (58169, 3510, 12, 'Отоларингологические боли');
INSERT INTO `lang_definitions` VALUES (58170, 3513, 12, 'Введите код диагноза для исключения всех счетов, не содержащих его');
INSERT INTO `lang_definitions` VALUES (58171, 3518, 12, 'Введите здесь тело письма');
INSERT INTO `lang_definitions` VALUES (58172, 3520, 12, 'Введите пароль для root базы данных');
INSERT INTO `lang_definitions` VALUES (58173, 3521, 12, 'Введите имя пользователя root базы данных');
INSERT INTO `lang_definitions` VALUES (58174, 3529, 12, 'Введите диагноз');
INSERT INTO `lang_definitions` VALUES (58175, 3530, 12, 'Введите препараты');
INSERT INTO `lang_definitions` VALUES (58176, 3537, 12, 'Введите вакцинацию');
INSERT INTO `lang_definitions` VALUES (58177, 3538, 12, 'Введите ключ');
INSERT INTO `lang_definitions` VALUES (58178, 3544, 12, 'Введите новую область (край)');
INSERT INTO `lang_definitions` VALUES (58179, 3569, 12, 'Введите этот код повторной идентификации');
INSERT INTO `lang_definitions` VALUES (58180, 3581, 12, 'Выше введите критерий поиска');
INSERT INTO `lang_definitions` VALUES (58181, 3591, 12, 'Окружение');
INSERT INTO `lang_definitions` VALUES (58182, 3592, 12, 'Ввод данных EOB');
INSERT INTO `lang_definitions` VALUES (58183, 3596, 12, 'Отправка EOB - электронные переводы');
INSERT INTO `lang_definitions` VALUES (58184, 3597, 12, 'Отправка EOB - инструкции');
INSERT INTO `lang_definitions` VALUES (58185, 3598, 12, 'Отправка EOB - счет');
INSERT INTO `lang_definitions` VALUES (58186, 3599, 12, 'Отправка EOB - запись по пациенту');
INSERT INTO `lang_definitions` VALUES (58187, 3600, 12, 'Отправка EOB - поиск');
INSERT INTO `lang_definitions` VALUES (58188, 3602, 12, 'Эпилепсия');
INSERT INTO `lang_definitions` VALUES (58189, 3608, 12, 'Европейская ассоциация специалистов в области заболеваний почек');
INSERT INTO `lang_definitions` VALUES (58190, 3610, 12, 'Отправка в ERA');
INSERT INTO `lang_definitions` VALUES (58191, 3612, 12, 'Аннулировать');
INSERT INTO `lang_definitions` VALUES (58192, 3614, 12, 'Эрекции');
INSERT INTO `lang_definitions` VALUES (58193, 3615, 12, 'Ошибка');
INSERT INTO `lang_definitions` VALUES (58194, 3617, 12, 'Подтверждение ошибки при получении лабораторных результатов');
INSERT INTO `lang_definitions` VALUES (58195, 3620, 12, 'Ошибка получения лабораторных результатов из Lab Exchange Network');
INSERT INTO `lang_definitions` VALUES (58196, 3621, 12, 'Ошибка в выборе \"Пол\"');
INSERT INTO `lang_definitions` VALUES (58197, 3622, 12, 'Ошибка в выборе \"HIPAA\"');
INSERT INTO `lang_definitions` VALUES (58198, 3623, 12, 'Ошибка в выборе \"Обработка\"');
INSERT INTO `lang_definitions` VALUES (58199, 3624, 12, 'Ошибка в выборе \"Шлюз SMS\"');
INSERT INTO `lang_definitions` VALUES (58200, 3625, 12, 'Ошибка в выборе \"Сортировать по\"');
INSERT INTO `lang_definitions` VALUES (58201, 3626, 12, 'Ошибка gzip-сжатия файла:');
INSERT INTO `lang_definitions` VALUES (58202, 3627, 12, 'Ошибка для опции ДА или НЕТ');
INSERT INTO `lang_definitions` VALUES (58203, 3630, 12, 'Ошибка открытия на чтение загруженного файла');
INSERT INTO `lang_definitions` VALUES (58204, 3633, 12, 'Удаленное сообщение об ошибке');
INSERT INTO `lang_definitions` VALUES (58205, 3634, 12, 'Ошибка исправления результатов из Lab Exchange Network');
INSERT INTO `lang_definitions` VALUES (58206, 3637, 12, 'Ошибка при предоставлении прав доступа к файлу для пользователя OpenEMR.');
INSERT INTO `lang_definitions` VALUES (58207, 3640, 12, 'ошибка при регистрации формы!');
INSERT INTO `lang_definitions` VALUES (58208, 3641, 12, 'Ошибка сохранения в файл');
INSERT INTO `lang_definitions` VALUES (58209, 3643, 12, 'Ошибка записи в файл');
INSERT INTO `lang_definitions` VALUES (58210, 3651, 12, 'Ошибка, файл не существует');
INSERT INTO `lang_definitions` VALUES (58211, 3652, 12, 'ОШИБКА, невозможно собрать данные с сервера');
INSERT INTO `lang_definitions` VALUES (58212, 3653, 12, 'Ошибка, невозможно создать клиентский сертификат');
INSERT INTO `lang_definitions` VALUES (58213, 3654, 12, 'Ошибка, невозможно создать сертификат admin.p12.');
INSERT INTO `lang_definitions` VALUES (58214, 3655, 12, 'Ошибка, невозможно создать доверенный сертификат Certificate.');
INSERT INTO `lang_definitions` VALUES (58215, 3656, 12, 'Ошибка, невозможно создать сертификат сервера.');
INSERT INTO `lang_definitions` VALUES (58216, 3658, 12, 'Ошибка, невозможно открыть файл');
INSERT INTO `lang_definitions` VALUES (58217, 3659, 12, 'Ошибка, в OpenEMR не включена аутентификация сертификата пользователя');
INSERT INTO `lang_definitions` VALUES (58218, 3663, 12, 'Ошибка, необходимо установить модуль php Archive/Tar.php.');
INSERT INTO `lang_definitions` VALUES (58219, 3664, 12, 'ОШИБКА: не удалось открыть table.sql, поврежденная форма?');
INSERT INTO `lang_definitions` VALUES (58220, 3667, 12, 'Ошибка: в строке дублированный ID');
INSERT INTO `lang_definitions` VALUES (58221, 3668, 12, 'Ошибка: в строке дублированное имя');
INSERT INTO `lang_definitions` VALUES (58222, 3669, 12, 'ОШИБКА: поле');
INSERT INTO `lang_definitions` VALUES (58223, 3670, 12, 'ОШИБКА: пропущенный модуль PHP для ZipArchive');
INSERT INTO `lang_definitions` VALUES (58224, 3672, 12, 'Ошибка: пароль не соответствует. Проверьте свой ввод.');
INSERT INTO `lang_definitions` VALUES (58225, 3673, 12, 'Ошибка: пароль не соответствует. Проверьте свой ввод.');
INSERT INTO `lang_definitions` VALUES (58226, 3674, 12, 'Ошибка: файл не существует');
INSERT INTO `lang_definitions` VALUES (58227, 3676, 12, 'ОШИБКА: невозможно копировать этот файл.');
INSERT INTO `lang_definitions` VALUES (58228, 3677, 12, 'Ошибка: создание архива загрузки не доступно');
INSERT INTO `lang_definitions` VALUES (58229, 3678, 12, 'Ошибка: создание архива Zip не доступно.');
INSERT INTO `lang_definitions` VALUES (58230, 3679, 12, 'ОШИБКА: извлечение этого файла не доступно.');
INSERT INTO `lang_definitions` VALUES (58231, 3680, 12, 'ОШИБКА: загрузка этого файла в базу данных не доступна.');
INSERT INTO `lang_definitions` VALUES (58232, 3681, 12, 'ОШИБКА: установка номера версии не доступна.');
INSERT INTO `lang_definitions` VALUES (58233, 3682, 12, 'Ошибки');
INSERT INTO `lang_definitions` VALUES (58234, 3684, 12, 'Статус аккаунта eRx');
INSERT INTO `lang_definitions` VALUES (58235, 3685, 12, 'Журналы eRx');
INSERT INTO `lang_definitions` VALUES (58236, 3686, 12, 'Имя ERX');
INSERT INTO `lang_definitions` VALUES (58237, 3687, 12, 'Пароль ERX');
INSERT INTO `lang_definitions` VALUES (58238, 3688, 12, 'Уровень доступа ERX');
INSERT INTO `lang_definitions` VALUES (58239, 3689, 12, 'Пользователь ERX');
INSERT INTO `lang_definitions` VALUES (58240, 3690, 12, 'Эритема:');
INSERT INTO `lang_definitions` VALUES (58241, 3693, 12, 'Эскимосский');
INSERT INTO `lang_definitions` VALUES (58242, 3699, 12, 'Зарегистрированный пациент');
INSERT INTO `lang_definitions` VALUES (58243, 3701, 12, 'Этническая принадлежность');
INSERT INTO `lang_definitions` VALUES (58244, 3702, 12, 'Этническая принадлежность или раса');
INSERT INTO `lang_definitions` VALUES (58245, 3703, 12, 'Список этносов-рас (write,addonly не обязателен)');
INSERT INTO `lang_definitions` VALUES (58246, 3706, 12, 'ETIN');
INSERT INTO `lang_definitions` VALUES (58247, 3709, 12, 'Событие');
INSERT INTO `lang_definitions` VALUES (58248, 3710, 12, 'Начало события');
INSERT INTO `lang_definitions` VALUES (58249, 3711, 12, 'Категория события');
INSERT INTO `lang_definitions` VALUES (58250, 3712, 12, 'Дата события');
INSERT INTO `lang_definitions` VALUES (58251, 3714, 12, 'Описание события');
INSERT INTO `lang_definitions` VALUES (58252, 3715, 12, 'Сведения о событии');
INSERT INTO `lang_definitions` VALUES (58253, 3716, 12, 'Событие не повторяется');
INSERT INTO `lang_definitions` VALUES (58254, 3717, 12, 'Продолжительность события');
INSERT INTO `lang_definitions` VALUES (58255, 3718, 12, 'Продолжительность события в минутах');
INSERT INTO `lang_definitions` VALUES (58256, 3719, 12, 'Оплата по факту');
INSERT INTO `lang_definitions` VALUES (58257, 3720, 12, 'Место проведения');
INSERT INTO `lang_definitions` VALUES (58258, 3721, 12, 'Событие повторяется каждые');
INSERT INTO `lang_definitions` VALUES (58259, 3722, 12, 'Событие повторяется в');
INSERT INTO `lang_definitions` VALUES (58260, 3723, 12, 'Начальное время события');
INSERT INTO `lang_definitions` VALUES (58261, 3724, 12, 'Обозначение события');
INSERT INTO `lang_definitions` VALUES (58262, 3725, 12, 'Обозначение события');
INSERT INTO `lang_definitions` VALUES (58263, 3726, 12, 'Фактический веб-сайт');
INSERT INTO `lang_definitions` VALUES (58264, 3727, 12, 'События');
INSERT INTO `lang_definitions` VALUES (58265, 3728, 12, 'События для');
INSERT INTO `lang_definitions` VALUES (58266, 3729, 12, 'Открывать события в новом окне');
INSERT INTO `lang_definitions` VALUES (58267, 3731, 12, 'каждый');
INSERT INTO `lang_definitions` VALUES (58268, 3732, 12, 'Каждые');
INSERT INTO `lang_definitions` VALUES (58269, 3734, 12, 'каждые 3 часа');
INSERT INTO `lang_definitions` VALUES (58270, 3736, 12, 'каждые 4 часа');
INSERT INTO `lang_definitions` VALUES (58271, 3738, 12, 'каждые 5 часа');
INSERT INTO `lang_definitions` VALUES (58272, 3740, 12, 'каждые 6 часа');
INSERT INTO `lang_definitions` VALUES (58273, 3742, 12, 'каждые 8 часа');
INSERT INTO `lang_definitions` VALUES (58274, 3743, 12, 'Каждый четвертый');
INSERT INTO `lang_definitions` VALUES (58275, 3745, 12, 'Каждый второй');
INSERT INTO `lang_definitions` VALUES (58276, 3746, 12, 'Каждый третий');
INSERT INTO `lang_definitions` VALUES (58277, 3747, 12, 'Каждый, каждый второй, каждый третий и т.д.');
INSERT INTO `lang_definitions` VALUES (58278, 3749, 12, 'Результаты исследований и анализов');
INSERT INTO `lang_definitions` VALUES (58279, 3750, 12, 'Результаты обследования');
INSERT INTO `lang_definitions` VALUES (58280, 3753, 12, 'Обследование');
INSERT INTO `lang_definitions` VALUES (58281, 3754, 12, 'Дата обследования');
INSERT INTO `lang_definitions` VALUES (58282, 3755, 12, 'Пример');
INSERT INTO `lang_definitions` VALUES (58283, 3758, 12, 'Примеры');
INSERT INTO `lang_definitions` VALUES (58284, 3760, 12, 'Исследования/анализы');
INSERT INTO `lang_definitions` VALUES (58285, 3762, 12, 'кроме');
INSERT INTO `lang_definitions` VALUES (58286, 3763, 12, 'Слезоточивость');
INSERT INTO `lang_definitions` VALUES (58287, 3766, 12, 'Исключенный пациент');
INSERT INTO `lang_definitions` VALUES (58288, 3767, 12, 'Исключение');
INSERT INTO `lang_definitions` VALUES (58289, 3768, 12, 'Лицензированное специализированное учреждение (EPO)');
INSERT INTO `lang_definitions` VALUES (58290, 3770, 12, 'Рабочий размер бумаги');
INSERT INTO `lang_definitions` VALUES (58291, 3771, 12, 'Упражнение');
INSERT INTO `lang_definitions` VALUES (58292, 3772, 12, 'Примеры упражнений');
INSERT INTO `lang_definitions` VALUES (58293, 3773, 12, 'Примеры упражнений');
INSERT INTO `lang_definitions` VALUES (58294, 3774, 12, 'Сущестествующее');
INSERT INTO `lang_definitions` VALUES (58295, 3778, 12, 'Выйти из администрирования');
INSERT INTO `lang_definitions` VALUES (58296, 3782, 12, 'Расш.');
INSERT INTO `lang_definitions` VALUES (58297, 3784, 12, 'Развернуть');
INSERT INTO `lang_definitions` VALUES (58298, 3785, 12, 'развернуть');
INSERT INTO `lang_definitions` VALUES (58299, 3787, 12, 'Развернуть всё');
INSERT INTO `lang_definitions` VALUES (58300, 3792, 12, 'Развёрнутый вид');
INSERT INTO `lang_definitions` VALUES (58301, 3793, 12, 'Отметьте form_encounter.pid для');
INSERT INTO `lang_definitions` VALUES (58302, 3794, 12, 'Срок действия');
INSERT INTO `lang_definitions` VALUES (58303, 3795, 12, 'Дата годности');
INSERT INTO `lang_definitions` VALUES (58304, 3797, 12, 'Просрочено');
INSERT INTO `lang_definitions` VALUES (58305, 3798, 12, 'просрочено на');
INSERT INTO `lang_definitions` VALUES (58306, 3799, 12, 'Экспорт');
INSERT INTO `lang_definitions` VALUES (58307, 3800, 12, 'Экспортировать как CSV');
INSERT INTO `lang_definitions` VALUES (58308, 3802, 12, 'Экспорт конфигурации');
INSERT INTO `lang_definitions` VALUES (58309, 3806, 12, 'Экспорт персональных данных пациента');
INSERT INTO `lang_definitions` VALUES (58310, 3808, 12, 'Экспорт отчета PQRI');
INSERT INTO `lang_definitions` VALUES (58311, 3810, 12, 'Экспортировать выбранное, как CSV');
INSERT INTO `lang_definitions` VALUES (58312, 3811, 12, 'Экспортировать выбранное для сбора');
INSERT INTO `lang_definitions` VALUES (58313, 3812, 12, 'Экспорт в CSV');
INSERT INTO `lang_definitions` VALUES (58314, 3813, 12, 'Экспорт во внешнюю биллинговую систему');
INSERT INTO `lang_definitions` VALUES (58315, 3815, 12, 'Поездки за рубеж');
INSERT INTO `lang_definitions` VALUES (58316, 3816, 12, 'Поездки за рубеж');
INSERT INTO `lang_definitions` VALUES (58317, 3818, 12, 'Внеш. время сбора');
INSERT INTO `lang_definitions` VALUES (58318, 3820, 12, 'Внешний');
INSERT INTO `lang_definitions` VALUES (58319, 3828, 12, 'Внешний ID');
INSERT INTO `lang_definitions` VALUES (58320, 3829, 12, 'Внешний id');
INSERT INTO `lang_definitions` VALUES (58321, 3830, 12, 'Внешний идентификатор');
INSERT INTO `lang_definitions` VALUES (58322, 3831, 12, 'Только внешний');
INSERT INTO `lang_definitions` VALUES (58323, 3834, 12, 'Внешнее направление');
INSERT INTO `lang_definitions` VALUES (58324, 3835, 12, 'Контроль внешнего направления');
INSERT INTO `lang_definitions` VALUES (58325, 3836, 12, 'Направление внешнее?');
INSERT INTO `lang_definitions` VALUES (58326, 3837, 12, 'Внешние направления');
INSERT INTO `lang_definitions` VALUES (58327, 3838, 12, 'Извлечение файла zip');
INSERT INTO `lang_definitions` VALUES (58328, 3839, 12, 'Извлечение этого файла. Займет некоторое время...');
INSERT INTO `lang_definitions` VALUES (58329, 3840, 12, 'Отделяемое:');
INSERT INTO `lang_definitions` VALUES (58330, 3850, 12, 'Раздражение глаз');
INSERT INTO `lang_definitions` VALUES (58331, 3856, 12, 'Боль в глазах');
INSERT INTO `lang_definitions` VALUES (58332, 3860, 12, 'Гиперемия глаз');
INSERT INTO `lang_definitions` VALUES (58333, 3863, 12, 'Зрение');
INSERT INTO `lang_definitions` VALUES (58334, 3865, 12, 'F');
INSERT INTO `lang_definitions` VALUES (58335, 3866, 12, 'Гематологические проблемы F/H');
INSERT INTO `lang_definitions` VALUES (58336, 3867, 12, 'Женский F/H гирсутизм или стрии');
INSERT INTO `lang_definitions` VALUES (58337, 3868, 12, 'Учреждения');
INSERT INTO `lang_definitions` VALUES (58338, 3869, 12, 'Учреждение');
INSERT INTO `lang_definitions` VALUES (58339, 3870, 12, 'учреждение');
INSERT INTO `lang_definitions` VALUES (58340, 3871, 12, 'Управление услугами');
INSERT INTO `lang_definitions` VALUES (58341, 3872, 12, 'Город оказания услуги');
INSERT INTO `lang_definitions` VALUES (58342, 3873, 12, 'Код услуги');
INSERT INTO `lang_definitions` VALUES (58343, 3875, 12, 'Код страны оказания помощи');
INSERT INTO `lang_definitions` VALUES (58344, 3876, 12, 'Возможность факса');
INSERT INTO `lang_definitions` VALUES (58345, 3878, 12, 'Наименование услуги');
INSERT INTO `lang_definitions` VALUES (58346, 3879, 12, 'Общегосударственный номер-идентификатор агента, предоставляющего медицинские услуги');
INSERT INTO `lang_definitions` VALUES (58347, 3880, 12, 'Телефон службы');
INSERT INTO `lang_definitions` VALUES (58348, 3883, 12, 'Область (край) для службы');
INSERT INTO `lang_definitions` VALUES (58349, 3884, 12, 'Улица для службы');
INSERT INTO `lang_definitions` VALUES (58350, 3886, 12, 'Почтовый индекс для службы');
INSERT INTO `lang_definitions` VALUES (58351, 3888, 12, 'Учреждение:');
INSERT INTO `lang_definitions` VALUES (58352, 3889, 12, 'ДАЕТ СБОЙ');
INSERT INTO `lang_definitions` VALUES (58353, 3890, 12, 'Давшее сбой');
INSERT INTO `lang_definitions` VALUES (58354, 3891, 12, 'давшее сбой');
INSERT INTO `lang_definitions` VALUES (58355, 3908, 12, 'сбой');
INSERT INTO `lang_definitions` VALUES (58356, 3916, 12, 'Семейный анамнез');
INSERT INTO `lang_definitions` VALUES (58357, 3918, 12, 'Семейный анамнез по глаукоме');
INSERT INTO `lang_definitions` VALUES (58358, 3919, 12, 'Семейный анамнез:');
INSERT INTO `lang_definitions` VALUES (58359, 3921, 12, 'Семейная оплата');
INSERT INTO `lang_definitions` VALUES (58360, 3922, 12, 'Размер семьи');
INSERT INTO `lang_definitions` VALUES (58361, 3923, 12, 'Представить');
INSERT INTO `lang_definitions` VALUES (58362, 3925, 12, 'Фарси');
INSERT INTO `lang_definitions` VALUES (58363, 3928, 12, 'Отец');
INSERT INTO `lang_definitions` VALUES (58364, 3930, 12, 'Утомляемость');
INSERT INTO `lang_definitions` VALUES (58365, 3931, 12, 'Утомленный');
INSERT INTO `lang_definitions` VALUES (58366, 3933, 12, 'Факс');
INSERT INTO `lang_definitions` VALUES (58367, 3934, 12, 'Количество факсов');
INSERT INTO `lang_definitions` VALUES (58368, 3935, 12, 'Номер факса');
INSERT INTO `lang_definitions` VALUES (58369, 3937, 12, 'Факс/сканер');
INSERT INTO `lang_definitions` VALUES (58370, 3938, 12, 'Принять через факс');
INSERT INTO `lang_definitions` VALUES (58371, 3939, 12, 'Отправить через факс');
INSERT INTO `lang_definitions` VALUES (58372, 3940, 12, 'Возможности');
INSERT INTO `lang_definitions` VALUES (58373, 3941, 12, 'Фев');
INSERT INTO `lang_definitions` VALUES (58374, 3942, 12, 'Февраль');
INSERT INTO `lang_definitions` VALUES (58375, 3943, 12, 'FECA');
INSERT INTO `lang_definitions` VALUES (58376, 3944, 12, 'Государственный ID препарата');
INSERT INTO `lang_definitions` VALUES (58377, 3945, 12, 'Государственный EIN');
INSERT INTO `lang_definitions` VALUES (58378, 3946, 12, 'Государственный налоговый идентификатор');
INSERT INTO `lang_definitions` VALUES (58379, 3948, 12, 'Плата');
INSERT INTO `lang_definitions` VALUES (58380, 3949, 12, 'плата');
INSERT INTO `lang_definitions` VALUES (58381, 3950, 12, 'Плата не разрешена');
INSERT INTO `lang_definitions` VALUES (58382, 3951, 12, 'Платежный лист');
INSERT INTO `lang_definitions` VALUES (58383, 3953, 12, 'Варианты платежных ведомостей');
INSERT INTO `lang_definitions` VALUES (58384, 3955, 12, 'Платежи');
INSERT INTO `lang_definitions` VALUES (58385, 3956, 12, 'женский');
INSERT INTO `lang_definitions` VALUES (58386, 3957, 12, 'Женская стенокардия');
INSERT INTO `lang_definitions` VALUES (58387, 3958, 12, 'Женские кондомы');
INSERT INTO `lang_definitions` VALUES (58388, 3959, 12, 'Женский G');
INSERT INTO `lang_definitions` VALUES (58389, 3960, 12, 'Женский LC');
INSERT INTO `lang_definitions` VALUES (58390, 3961, 12, 'Женский P');
INSERT INTO `lang_definitions` VALUES (58391, 3962, 12, 'Женские симптомы');
INSERT INTO `lang_definitions` VALUES (58392, 3963, 12, 'Женский VSC');
INSERT INTO `lang_definitions` VALUES (58393, 3966, 12, 'Лихорадка');
INSERT INTO `lang_definitions` VALUES (58394, 3967, 12, 'Лихорадка:');
INSERT INTO `lang_definitions` VALUES (58395, 3968, 12, 'Проблемы крови FH');
INSERT INTO `lang_definitions` VALUES (58396, 3972, 12, 'Фибромы');
INSERT INTO `lang_definitions` VALUES (58397, 3978, 12, 'Тип поля для использования страны работодателя или потребителя в персональных данных.');
INSERT INTO `lang_definitions` VALUES (58398, 3979, 12, 'Тип поля для использования области (края) места работы или потребителя в персональных данных.');
INSERT INTO `lang_definitions` VALUES (58399, 3980, 12, 'Пропущено поле(я)!');
INSERT INTO `lang_definitions` VALUES (58400, 3986, 12, 'Файл');
INSERT INTO `lang_definitions` VALUES (58401, 3989, 12, 'файл в директории Documentation для изучения, как автоматизировать процесс создания журнала резервного копирования');
INSERT INTO `lang_definitions` VALUES (58402, 3990, 12, 'расположение файла');
INSERT INTO `lang_definitions` VALUES (58403, 3991, 12, 'Управление файлом');
INSERT INTO `lang_definitions` VALUES (58404, 3998, 12, 'Право на файл, предоставленное пользователю OpenEMR.');
INSERT INTO `lang_definitions` VALUES (58405, 4000, 12, 'Регистратура');
INSERT INTO `lang_definitions` VALUES (58406, 4001, 12, 'Файл для загрузки');
INSERT INTO `lang_definitions` VALUES (58407, 4003, 12, 'В этом месте уже имеется файл с таким именем:');
INSERT INTO `lang_definitions` VALUES (58408, 4004, 12, 'Имя файла');
INSERT INTO `lang_definitions` VALUES (58409, 4006, 12, 'Файлы');
INSERT INTO `lang_definitions` VALUES (58410, 4011, 12, 'Филиппинский');
INSERT INTO `lang_definitions` VALUES (58411, 4013, 12, 'Заполните ниже любую из строк');
INSERT INTO `lang_definitions` VALUES (58412, 4014, 12, 'Заполните здесь, только если отправляете пациенту сообщение через e-mail');
INSERT INTO `lang_definitions` VALUES (58413, 4023, 12, 'Заполните ниже значения');
INSERT INTO `lang_definitions` VALUES (58414, 4025, 12, 'Заполните эту строку.');
INSERT INTO `lang_definitions` VALUES (58415, 4028, 12, 'Фильтр');
INSERT INTO `lang_definitions` VALUES (58416, 4029, 12, 'Фильтр для констант');
INSERT INTO `lang_definitions` VALUES (58417, 4030, 12, 'Фильтр для определений');
INSERT INTO `lang_definitions` VALUES (58418, 4032, 12, 'Фильтры');
INSERT INTO `lang_definitions` VALUES (58419, 4033, 12, 'фильтры');
INSERT INTO `lang_definitions` VALUES (58420, 4034, 12, 'Конечный');
INSERT INTO `lang_definitions` VALUES (58421, 4035, 12, 'Окончательный диагноз');
INSERT INTO `lang_definitions` VALUES (58422, 4036, 12, 'Окончательный диагноз специалиста');
INSERT INTO `lang_definitions` VALUES (58423, 4038, 12, 'Финансовый');
INSERT INTO `lang_definitions` VALUES (58424, 4039, 12, 'Дата финансового закрытия (yyyy-mm-dd)');
INSERT INTO `lang_definitions` VALUES (58425, 4040, 12, 'Финансовое сообщение - любое');
INSERT INTO `lang_definitions` VALUES (58426, 4042, 12, 'Финансовое сообщение - мои обращения');
INSERT INTO `lang_definitions` VALUES (58427, 4045, 12, 'Дата финансового рассмотрения');
INSERT INTO `lang_definitions` VALUES (58428, 4048, 12, 'Найти');
INSERT INTO `lang_definitions` VALUES (58429, 4049, 12, 'Найти доступные');
INSERT INTO `lang_definitions` VALUES (58430, 4050, 12, 'Найти доступные записи на прием');
INSERT INTO `lang_definitions` VALUES (58431, 4053, 12, 'Найти пациента');
INSERT INTO `lang_definitions` VALUES (58432, 4054, 12, 'Найти рекомендательные материалы для пациента');
INSERT INTO `lang_definitions` VALUES (58433, 4056, 12, 'Найденное');
INSERT INTO `lang_definitions` VALUES (58434, 4057, 12, 'Найденное по специалисту');
INSERT INTO `lang_definitions` VALUES (58435, 4058, 12, 'Штраф');
INSERT INTO `lang_definitions` VALUES (58436, 4060, 12, 'Окончательные платежи');
INSERT INTO `lang_definitions` VALUES (58437, 4065, 12, 'Впервые');
INSERT INTO `lang_definitions` VALUES (58438, 4068, 12, 'Первый день недели');
INSERT INTO `lang_definitions` VALUES (58439, 4071, 12, 'Имя');
INSERT INTO `lang_definitions` VALUES (58440, 4072, 12, 'Имя');
INSERT INTO `lang_definitions` VALUES (58441, 4073, 12, 'Имя:');
INSERT INTO `lang_definitions` VALUES (58442, 4079, 12, 'Физическая подготовка');
INSERT INTO `lang_definitions` VALUES (58443, 4080, 12, 'Уровень физической подготовки');
INSERT INTO `lang_definitions` VALUES (58444, 4081, 12, 'Уровень физической подготовки для этого игрока в этот день');
INSERT INTO `lang_definitions` VALUES (58445, 4083, 12, 'Физическая подготовка к игре');
INSERT INTO `lang_definitions` VALUES (58446, 4084, 12, 'Установленные даты обращения - любые обращения');
INSERT INTO `lang_definitions` VALUES (58447, 4086, 12, 'Установите это');
INSERT INTO `lang_definitions` VALUES (58448, 4088, 12, 'Длина бедер');
INSERT INTO `lang_definitions` VALUES (58449, 4090, 12, 'Метеоризм');
INSERT INTO `lang_definitions` VALUES (58450, 4091, 12, 'Менструация');
INSERT INTO `lang_definitions` VALUES (58451, 4108, 12, 'Эпидемический сезон');
INSERT INTO `lang_definitions` VALUES (58452, 4109, 12, 'эпидемический сезон');
INSERT INTO `lang_definitions` VALUES (58453, 4110, 12, 'Прививка от гриппа');
INSERT INTO `lang_definitions` VALUES (58454, 4111, 12, 'Проблема водно-электролитного баланса');
INSERT INTO `lang_definitions` VALUES (58455, 4112, 12, 'Синдром фибромиалгии');
INSERT INTO `lang_definitions` VALUES (58456, 4113, 12, 'Книжный размер бумаги');
INSERT INTO `lang_definitions` VALUES (58457, 4114, 12, 'Выполнить вручную');
INSERT INTO `lang_definitions` VALUES (58458, 4116, 12, 'Последующее');
INSERT INTO `lang_definitions` VALUES (58459, 4119, 12, 'Выявленная причина');
INSERT INTO `lang_definitions` VALUES (58460, 4121, 12, 'Вот новая пользовательская константа:');
INSERT INTO `lang_definitions` VALUES (58461, 4122, 12, 'Вот новый пользовательский язык:');
INSERT INTO `lang_definitions` VALUES (58462, 4123, 12, 'Вот новое определение (язык, константа, определение):');
INSERT INTO `lang_definitions` VALUES (58463, 4125, 12, 'Оказываемые виды помощи');
INSERT INTO `lang_definitions` VALUES (58464, 4126, 12, 'Указываемые в последующем');
INSERT INTO `lang_definitions` VALUES (58465, 4129, 12, 'Отвращение к пище');
INSERT INTO `lang_definitions` VALUES (58466, 4130, 12, 'Нога');
INSERT INTO `lang_definitions` VALUES (58467, 4131, 12, 'Проблемы ног');
INSERT INTO `lang_definitions` VALUES (58468, 4132, 12, 'Нога:');
INSERT INTO `lang_definitions` VALUES (58469, 4133, 12, 'Футбольные травмы');
INSERT INTO `lang_definitions` VALUES (58470, 4135, 12, 'Сообщение о футбольной травме');
INSERT INTO `lang_definitions` VALUES (58471, 4136, 12, 'Тип обуви');
INSERT INTO `lang_definitions` VALUES (58472, 4137, 12, 'для');
INSERT INTO `lang_definitions` VALUES (58473, 4138, 12, 'Для');
INSERT INTO `lang_definitions` VALUES (58474, 4144, 12, 'Для кода');
INSERT INTO `lang_definitions` VALUES (58475, 4152, 12, 'Для требований по обращению');
INSERT INTO `lang_definitions` VALUES (58476, 4154, 12, 'Например:');
INSERT INTO `lang_definitions` VALUES (58477, 4161, 12, 'для счета');
INSERT INTO `lang_definitions` VALUES (58478, 4163, 12, 'Только для бесплатной медицинской помощи, вызывает консультанта как назначенного врача.');
INSERT INTO `lang_definitions` VALUES (58479, 4173, 12, 'Для направляющих учреждений/практикующих врачей');
INSERT INTO `lang_definitions` VALUES (58480, 4176, 12, 'для прошлых');
INSERT INTO `lang_definitions` VALUES (58481, 4188, 12, 'для переменных');
INSERT INTO `lang_definitions` VALUES (58482, 4189, 12, 'для:');
INSERT INTO `lang_definitions` VALUES (58483, 4190, 12, 'Вызывает открытие биллингового виджета');
INSERT INTO `lang_definitions` VALUES (58484, 4191, 12, 'Вызывает оформление нового пациента');
INSERT INTO `lang_definitions` VALUES (58485, 4194, 12, 'Предплечье');
INSERT INTO `lang_definitions` VALUES (58486, 4195, 12, 'Форма');
INSERT INTO `lang_definitions` VALUES (58487, 4196, 12, 'форма');
INSERT INTO `lang_definitions` VALUES (58488, 4201, 12, 'Формат');
INSERT INTO `lang_definitions` VALUES (58489, 4202, 12, 'формат');
INSERT INTO `lang_definitions` VALUES (58490, 4204, 12, 'Неправильный формат для NDC');
INSERT INTO `lang_definitions` VALUES (58491, 4205, 12, 'Формат, используемый для отображения большинства дат.');
INSERT INTO `lang_definitions` VALUES (58492, 4206, 12, 'Формат, используемый для отображения большей части временного интервала суток.');
INSERT INTO `lang_definitions` VALUES (58493, 4207, 12, 'Отформатированное сообщение');
INSERT INTO `lang_definitions` VALUES (58494, 4208, 12, 'Бывший курильщик');
INSERT INTO `lang_definitions` VALUES (58495, 4209, 12, 'Формы');
INSERT INTO `lang_definitions` VALUES (58496, 4210, 12, 'Управление формами');
INSERT INTO `lang_definitions` VALUES (58497, 4215, 12, 'Далее');
INSERT INTO `lang_definitions` VALUES (58498, 4219, 12, 'Направить страницы через факс');
INSERT INTO `lang_definitions` VALUES (58499, 4222, 12, 'Отправленный');
INSERT INTO `lang_definitions` VALUES (58500, 4225, 12, 'Четвертый');
INSERT INTO `lang_definitions` VALUES (58501, 4227, 12, 'Перелом');
INSERT INTO `lang_definitions` VALUES (58502, 4228, 12, 'Перелом ладьевидной кости');
INSERT INTO `lang_definitions` VALUES (58503, 4229, 12, 'Перелом латеральной лодыжки');
INSERT INTO `lang_definitions` VALUES (58504, 4230, 12, 'Перелом медиальной лодыжки');
INSERT INTO `lang_definitions` VALUES (58505, 4231, 12, 'Перелом основания пятой (5-й) метатарсальной кости');
INSERT INTO `lang_definitions` VALUES (58506, 4235, 12, 'Французский');
INSERT INTO `lang_definitions` VALUES (58507, 4236, 12, 'Французский (Канадский)');
INSERT INTO `lang_definitions` VALUES (58508, 4237, 12, 'Французский (стандартный)');
INSERT INTO `lang_definitions` VALUES (58509, 4238, 12, 'Учащенное мочеиспускание');
INSERT INTO `lang_definitions` VALUES (58510, 4239, 12, 'Частые простуды');
INSERT INTO `lang_definitions` VALUES (58511, 4240, 12, 'Частые заболевания');
INSERT INTO `lang_definitions` VALUES (58512, 4241, 12, 'Пт');
INSERT INTO `lang_definitions` VALUES (58513, 4242, 12, 'Пятница');
INSERT INTO `lang_definitions` VALUES (58514, 4244, 12, 'с');
INSERT INTO `lang_definitions` VALUES (58515, 4245, 12, 'с');
INSERT INTO `lang_definitions` VALUES (58516, 4246, 12, 'от');
INSERT INTO `lang_definitions` VALUES (58517, 4247, 12, 'Дата \"с\" не может быть позднее даты \"по\".');
INSERT INTO `lang_definitions` VALUES (58518, 4253, 12, 'с:');
INSERT INTO `lang_definitions` VALUES (58519, 4254, 12, 'с:');
INSERT INTO `lang_definitions` VALUES (58520, 4255, 12, 'FROM_CITY');
INSERT INTO `lang_definitions` VALUES (58521, 4257, 12, 'FROM_FNAME');
INSERT INTO `lang_definitions` VALUES (58522, 4258, 12, 'FROM_LNAME');
INSERT INTO `lang_definitions` VALUES (58523, 4259, 12, 'FROM_MNAME');
INSERT INTO `lang_definitions` VALUES (58524, 4261, 12, 'FROM_PHONECELL');
INSERT INTO `lang_definitions` VALUES (58525, 4262, 12, 'FROM_POSTAL');
INSERT INTO `lang_definitions` VALUES (58526, 4263, 12, 'FROM_STATE');
INSERT INTO `lang_definitions` VALUES (58527, 4264, 12, 'FROM_STREET');
INSERT INTO `lang_definitions` VALUES (58528, 4265, 12, 'FROM_TITLE');
INSERT INTO `lang_definitions` VALUES (58529, 4266, 12, 'FROM_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (58530, 4267, 12, 'Регистратура');
INSERT INTO `lang_definitions` VALUES (58531, 4268, 12, 'Прием в регистратуре');
INSERT INTO `lang_definitions` VALUES (58532, 4269, 12, 'Отчет о приеме в регистратуре');
INSERT INTO `lang_definitions` VALUES (58533, 4270, 12, 'Прием рег.');
INSERT INTO `lang_definitions` VALUES (58534, 4271, 12, 'Прямое право:');
INSERT INTO `lang_definitions` VALUES (58535, 4278, 12, 'Полное имя');
INSERT INTO `lang_definitions` VALUES (58536, 4280, 12, 'Полный путь в директорию, содержащую исполняемые MySQL.');
INSERT INTO `lang_definitions` VALUES (58537, 4281, 12, 'Полный путь в директорию, содержащую исполняемые Perl.');
INSERT INTO `lang_definitions` VALUES (58538, 4282, 12, 'Полный путь в директорию для журнала резервного копирования события.');
INSERT INTO `lang_definitions` VALUES (58539, 4283, 12, 'Для временных файлов использован полный путь в директорию.');
INSERT INTO `lang_definitions` VALUES (58540, 4284, 12, 'Полное воспроизведение');
INSERT INTO `lang_definitions` VALUES (58541, 4286, 12, 'Полное обучение');
INSERT INTO `lang_definitions` VALUES (58542, 4288, 12, 'Полная оплата');
INSERT INTO `lang_definitions` VALUES (58543, 4298, 12, 'G');
INSERT INTO `lang_definitions` VALUES (58544, 4299, 12, 'г/дл');
INSERT INTO `lang_definitions` VALUES (58545, 4302, 12, 'Состояние желчного пузыря');
INSERT INTO `lang_definitions` VALUES (58546, 4303, 12, 'ЖКБ');
INSERT INTO `lang_definitions` VALUES (58547, 4304, 12, 'Длительность воспроизведения');
INSERT INTO `lang_definitions` VALUES (58548, 4305, 12, 'Игры');
INSERT INTO `lang_definitions` VALUES (58549, 4306, 12, 'Воспроизведение пропущено');
INSERT INTO `lang_definitions` VALUES (58550, 4307, 12, 'воспроизведение/события');
INSERT INTO `lang_definitions` VALUES (58551, 4308, 12, 'Воспроизведение/события пропущено');
INSERT INTO `lang_definitions` VALUES (58552, 4310, 12, 'Гастрит');
INSERT INTO `lang_definitions` VALUES (58553, 4311, 12, 'Гастритическая боль');
INSERT INTO `lang_definitions` VALUES (58554, 4312, 12, 'Органы ЖКТ');
INSERT INTO `lang_definitions` VALUES (58555, 4316, 12, 'Статистический отчет GCAC');
INSERT INTO `lang_definitions` VALUES (58556, 4317, 12, 'Статистика GCAC');
INSERT INTO `lang_definitions` VALUES (58557, 4318, 12, 'Форма посещения GCAC пропущена');
INSERT INTO `lang_definitions` VALUES (58558, 4319, 12, 'Пол');
INSERT INTO `lang_definitions` VALUES (58559, 4320, 12, 'Пол');
INSERT INTO `lang_definitions` VALUES (58560, 4321, 12, 'общее');
INSERT INTO `lang_definitions` VALUES (58561, 4325, 12, 'Категория основной услуги');
INSERT INTO `lang_definitions` VALUES (58562, 4332, 12, 'Создать и загрузить бумажное требование CMS 1500');
INSERT INTO `lang_definitions` VALUES (58563, 4334, 12, 'Создать и загрузить бумажное требование HCFA 1500');
INSERT INTO `lang_definitions` VALUES (58564, 4337, 12, 'Создать и загрузить пакет X12');
INSERT INTO `lang_definitions` VALUES (58565, 4338, 12, 'Создать и загрузить затребованный пакет X12 для обращения');
INSERT INTO `lang_definitions` VALUES (58566, 4341, 12, 'Создает и передает в электронном виде разрешенные назначения.');
INSERT INTO `lang_definitions` VALUES (58567, 4342, 12, 'Создать CMS 1500');
INSERT INTO `lang_definitions` VALUES (58568, 4343, 12, 'Создать CMS 1500 PDF');
INSERT INTO `lang_definitions` VALUES (58569, 4344, 12, 'Создать CMS 1500 TEXT');
INSERT INTO `lang_definitions` VALUES (58570, 4345, 12, 'Создать HCFA');
INSERT INTO `lang_definitions` VALUES (58571, 4348, 12, 'Создать письмо');
INSERT INTO `lang_definitions` VALUES (58572, 4349, 12, 'Создать письмо по вопросу');
INSERT INTO `lang_definitions` VALUES (58573, 4351, 12, 'Создать отчет PQRI (Метод A)');
INSERT INTO `lang_definitions` VALUES (58574, 4353, 12, 'Создать отчет PQRI (Метод E)');
INSERT INTO `lang_definitions` VALUES (58575, 4357, 12, 'Генерировать отчет');
INSERT INTO `lang_definitions` VALUES (58576, 4365, 12, 'Создает имя пользователя и пароль для');
INSERT INTO `lang_definitions` VALUES (58577, 4366, 12, 'Генерировать X12');
INSERT INTO `lang_definitions` VALUES (58578, 4368, 12, 'Генерировать обращение X12');
INSERT INTO `lang_definitions` VALUES (58579, 4370, 12, 'Создать в');
INSERT INTO `lang_definitions` VALUES (58580, 4372, 12, 'Создано');
INSERT INTO `lang_definitions` VALUES (58581, 4377, 12, 'Мочеполовая');
INSERT INTO `lang_definitions` VALUES (58582, 4381, 12, 'Немецкий');
INSERT INTO `lang_definitions` VALUES (58583, 4386, 12, 'Получить HL7');
INSERT INTO `lang_definitions` VALUES (58584, 4392, 12, 'Глаукома');
INSERT INTO `lang_definitions` VALUES (58585, 4393, 12, 'Семейный анамнез по глаукоме');
INSERT INTO `lang_definitions` VALUES (58586, 4395, 12, 'Глобальное');
INSERT INTO `lang_definitions` VALUES (58587, 4398, 12, 'Глобальный ID');
INSERT INTO `lang_definitions` VALUES (58588, 4399, 12, 'Глобальные настройки');
INSERT INTO `lang_definitions` VALUES (58589, 4400, 12, 'Глобальные переменные');
INSERT INTO `lang_definitions` VALUES (58590, 4401, 12, 'гр/дл');
INSERT INTO `lang_definitions` VALUES (58591, 4403, 12, 'Далее');
INSERT INTO `lang_definitions` VALUES (58592, 4404, 12, 'далее');
INSERT INTO `lang_definitions` VALUES (58593, 4407, 12, 'Перейти в');
INSERT INTO `lang_definitions` VALUES (58594, 4417, 12, 'Перейти к неделе');
INSERT INTO `lang_definitions` VALUES (58595, 4418, 12, 'Перейти к сегодня');
INSERT INTO `lang_definitions` VALUES (58596, 4428, 12, 'Тяжесть травмы');
INSERT INTO `lang_definitions` VALUES (58597, 4429, 12, 'Степень');
INSERT INTO `lang_definitions` VALUES (58598, 4430, 12, 'граммы');
INSERT INTO `lang_definitions` VALUES (58599, 4431, 12, 'Общее количество');
INSERT INTO `lang_definitions` VALUES (58600, 4432, 12, 'Общее количество');
INSERT INTO `lang_definitions` VALUES (58601, 4435, 12, 'Отображаемое графически');
INSERT INTO `lang_definitions` VALUES (58602, 4437, 12, 'Больше, чем');
INSERT INTO `lang_definitions` VALUES (58603, 4438, 12, 'Больше, чем или равно');
INSERT INTO `lang_definitions` VALUES (58604, 4439, 12, 'Греческий');
INSERT INTO `lang_definitions` VALUES (58605, 4442, 12, 'Группа');
INSERT INTO `lang_definitions` VALUES (58606, 4459, 12, 'Имя группы');
INSERT INTO `lang_definitions` VALUES (58607, 4460, 12, 'Имена групп не могут быть пустым');
INSERT INTO `lang_definitions` VALUES (58608, 4461, 12, 'Имена группы не могут начинаться с числа или пробела.');
INSERT INTO `lang_definitions` VALUES (58609, 4462, 12, 'Имена группы не могут начинаться с чисел.');
INSERT INTO `lang_definitions` VALUES (58610, 4463, 12, 'Номер группы');
INSERT INTO `lang_definitions` VALUES (58611, 4465, 12, 'Групповая оплата');
INSERT INTO `lang_definitions` VALUES (58612, 4471, 12, 'Группа:');
INSERT INTO `lang_definitions` VALUES (58613, 4472, 12, 'Имя группы');
INSERT INTO `lang_definitions` VALUES (58614, 4475, 12, 'Группы и управление доступом');
INSERT INTO `lang_definitions` VALUES (58615, 4476, 12, 'Кривая роста');
INSERT INTO `lang_definitions` VALUES (58616, 4477, 12, 'Диаграмма роста');
INSERT INTO `lang_definitions` VALUES (58617, 4478, 12, 'gtts (капли)');
INSERT INTO `lang_definitions` VALUES (58618, 4479, 12, 'Гуамский');
INSERT INTO `lang_definitions` VALUES (58619, 4484, 12, 'Фамилия опекуна');
INSERT INTO `lang_definitions` VALUES (58620, 4489, 12, 'Гинекологическое обследование');
INSERT INTO `lang_definitions` VALUES (58621, 4490, 12, 'ч');
INSERT INTO `lang_definitions` VALUES (58622, 4492, 12, 'время сна');
INSERT INTO `lang_definitions` VALUES (58623, 4493, 12, 'Гепатиты H/O');
INSERT INTO `lang_definitions` VALUES (58624, 4494, 12, 'был успешно удален. Любые подкатегории, если представлены, были перемещены ниже');
INSERT INTO `lang_definitions` VALUES (58625, 4495, 12, 'Гематома / ушиб');
INSERT INTO `lang_definitions` VALUES (58626, 4496, 12, 'Состояние ингибирования гемагглютинации');
INSERT INTO `lang_definitions` VALUES (58627, 4499, 12, 'Рука + пальцы');
INSERT INTO `lang_definitions` VALUES (58628, 4500, 12, 'Проблемы рук');
INSERT INTO `lang_definitions` VALUES (58629, 4506, 12, 'Без затруднений');
INSERT INTO `lang_definitions` VALUES (58630, 4507, 12, 'было связано с посещением');
INSERT INTO `lang_definitions` VALUES (58631, 4508, 12, 'с истекшим сроком');
INSERT INTO `lang_definitions` VALUES (58632, 4509, 12, 'Хэш');
INSERT INTO `lang_definitions` VALUES (58633, 4511, 12, 'Для этого файла хеш не существует. Будет создан новый хеш.');
INSERT INTO `lang_definitions` VALUES (58634, 4512, 12, 'Хэш не соответствует. Целостность данных скомпроментирована.');
INSERT INTO `lang_definitions` VALUES (58635, 4515, 12, 'Гавайский');
INSERT INTO `lang_definitions` VALUES (58636, 4516, 12, 'Опасная деятельность');
INSERT INTO `lang_definitions` VALUES (58637, 4517, 12, 'Опасная деятельность');
INSERT INTO `lang_definitions` VALUES (58638, 4521, 12, 'Левое поле HCFA в точках');
INSERT INTO `lang_definitions` VALUES (58639, 4522, 12, 'Поля HCFA');
INSERT INTO `lang_definitions` VALUES (58640, 4523, 12, 'Верхнее поле HCFA в точках');
INSERT INTO `lang_definitions` VALUES (58641, 4527, 12, 'he PostCalendar');
INSERT INTO `lang_definitions` VALUES (58642, 4528, 12, 'Голова');
INSERT INTO `lang_definitions` VALUES (58643, 4529, 12, 'Окр. головы');
INSERT INTO `lang_definitions` VALUES (58644, 4530, 12, 'Окружность головы');
INSERT INTO `lang_definitions` VALUES (58645, 4531, 12, 'Головная боль');
INSERT INTO `lang_definitions` VALUES (58646, 4532, 12, 'Головные боли');
INSERT INTO `lang_definitions` VALUES (58647, 4534, 12, 'Медицинские операции');
INSERT INTO `lang_definitions` VALUES (58648, 4535, 12, 'Мероприятия по охране здоровья');
INSERT INTO `lang_definitions` VALUES (58649, 4537, 12, 'Медицинский центр/клиника');
INSERT INTO `lang_definitions` VALUES (58650, 4540, 12, 'Учреждение по оказанию медицинской помощи');
INSERT INTO `lang_definitions` VALUES (58651, 4541, 12, 'Страховой риск для учреждений по оказанию медицинской помощи (HMO)');
INSERT INTO `lang_definitions` VALUES (58652, 4542, 12, 'Потеря слуха');
INSERT INTO `lang_definitions` VALUES (58653, 4543, 12, 'Инфаркт миокарда');
INSERT INTO `lang_definitions` VALUES (58654, 4544, 12, 'Порок сердца');
INSERT INTO `lang_definitions` VALUES (58655, 4545, 12, 'Сердечная недостаточность');
INSERT INTO `lang_definitions` VALUES (58656, 4546, 12, 'Кардиальная проблема');
INSERT INTO `lang_definitions` VALUES (58657, 4547, 12, 'Кардиальные проблемы');
INSERT INTO `lang_definitions` VALUES (58658, 4548, 12, 'Кардиохирургия');
INSERT INTO `lang_definitions` VALUES (58659, 4549, 12, 'Пересадка сердца');
INSERT INTO `lang_definitions` VALUES (58660, 4550, 12, 'СЕРДЦЕ:');
INSERT INTO `lang_definitions` VALUES (58661, 4551, 12, 'Изжога');
INSERT INTO `lang_definitions` VALUES (58662, 4552, 12, 'Жар или озноб');
INSERT INTO `lang_definitions` VALUES (58663, 4553, 12, 'Жар или озноб');
INSERT INTO `lang_definitions` VALUES (58664, 4555, 12, 'Иврит');
INSERT INTO `lang_definitions` VALUES (58665, 4557, 12, 'ЛОР');
INSERT INTO `lang_definitions` VALUES (58666, 4558, 12, 'Рост');
INSERT INTO `lang_definitions` VALUES (58667, 4560, 12, 'Справка');
INSERT INTO `lang_definitions` VALUES (58668, 4561, 12, 'справка');
INSERT INTO `lang_definitions` VALUES (58669, 4563, 12, 'Рвота кровью');
INSERT INTO `lang_definitions` VALUES (58670, 4564, 12, 'Кровавый стул');
INSERT INTO `lang_definitions` VALUES (58671, 4565, 12, 'Гематология');
INSERT INTO `lang_definitions` VALUES (58672, 4566, 12, 'Гематурия');
INSERT INTO `lang_definitions` VALUES (58673, 4567, 12, 'Гемоглобин');
INSERT INTO `lang_definitions` VALUES (58674, 4568, 12, 'Гемоглобин A1C');
INSERT INTO `lang_definitions` VALUES (58675, 4569, 12, 'Кровохарканье');
INSERT INTO `lang_definitions` VALUES (58676, 4570, 12, 'Гепатит');
INSERT INTO `lang_definitions` VALUES (58677, 4571, 12, 'Гепатит A 1');
INSERT INTO `lang_definitions` VALUES (58678, 4572, 12, 'Гепатит A 2');
INSERT INTO `lang_definitions` VALUES (58679, 4573, 12, 'Гепатит B 1');
INSERT INTO `lang_definitions` VALUES (58680, 4574, 12, 'Гепатит B 2');
INSERT INTO `lang_definitions` VALUES (58681, 4575, 12, 'Гепатит B 3');
INSERT INTO `lang_definitions` VALUES (58682, 4576, 12, 'здесь');
INSERT INTO `lang_definitions` VALUES (58683, 4580, 12, 'Герниопластика');
INSERT INTO `lang_definitions` VALUES (58684, 4581, 12, 'Грыжа диска');
INSERT INTO `lang_definitions` VALUES (58685, 4582, 12, 'Герпес');
INSERT INTO `lang_definitions` VALUES (58686, 4585, 12, 'Затрудненное начало мочеиспускания');
INSERT INTO `lang_definitions` VALUES (58687, 4586, 12, 'эй. вы здесь для');
INSERT INTO `lang_definitions` VALUES (58688, 4587, 12, 'Hib-вакцина 1');
INSERT INTO `lang_definitions` VALUES (58689, 4588, 12, 'Hib-вакцина 2');
INSERT INTO `lang_definitions` VALUES (58690, 4589, 12, 'Hib-вакцина 3');
INSERT INTO `lang_definitions` VALUES (58691, 4590, 12, 'Hib-вакцина 4');
INSERT INTO `lang_definitions` VALUES (58692, 4591, 12, 'Скрытый');
INSERT INTO `lang_definitions` VALUES (58693, 4592, 12, 'Управление скрытыми событиями');
INSERT INTO `lang_definitions` VALUES (58694, 4593, 12, 'Скрыть');
INSERT INTO `lang_definitions` VALUES (58695, 4595, 12, 'Скрыть сведения');
INSERT INTO `lang_definitions` VALUES (58696, 4597, 12, 'Скрыть опции шифрования/дешифрования в управлении документом');
INSERT INTO `lang_definitions` VALUES (58697, 4599, 12, 'Скрыть меню');
INSERT INTO `lang_definitions` VALUES (58698, 4601, 12, 'Скрыть напоминания');
INSERT INTO `lang_definitions` VALUES (58699, 4603, 12, 'Скрыть/показать столбцы');
INSERT INTO `lang_definitions` VALUES (58700, 4605, 12, 'высокая');
INSERT INTO `lang_definitions` VALUES (58701, 4607, 12, 'Повышенное артериальное давление');
INSERT INTO `lang_definitions` VALUES (58702, 4609, 12, 'Хинди');
INSERT INTO `lang_definitions` VALUES (58703, 4610, 12, 'Бедро + пах');
INSERT INTO `lang_definitions` VALUES (58704, 4611, 12, 'Бедро и пах');
INSERT INTO `lang_definitions` VALUES (58705, 4612, 12, 'Проблемы бедра');
INSERT INTO `lang_definitions` VALUES (58706, 4613, 12, 'Замещение тазобедренного сустава');
INSERT INTO `lang_definitions` VALUES (58707, 4615, 12, 'Полученное уведомление об отчетности и безопасности медицинского страхования');
INSERT INTO `lang_definitions` VALUES (58708, 4617, 12, 'Гирсутизм/стрии');
INSERT INTO `lang_definitions` VALUES (58709, 4618, 12, 'Латиноамериканец');
INSERT INTO `lang_definitions` VALUES (58710, 4619, 12, 'Латиноамериканец - прочее (уроженец США)');
INSERT INTO `lang_definitions` VALUES (58711, 4620, 12, 'Латиноамериканец - прочее (уроженец не США)');
INSERT INTO `lang_definitions` VALUES (58712, 4621, 12, 'Латиноамериканец или латино');
INSERT INTO `lang_definitions` VALUES (58713, 4623, 12, 'Хронология');
INSERT INTO `lang_definitions` VALUES (58714, 4629, 12, 'Дата сбора анамнеза');
INSERT INTO `lang_definitions` VALUES (58715, 4630, 12, 'Дата анамнеза');
INSERT INTO `lang_definitions` VALUES (58716, 4632, 12, 'Шумы в анамнезе');
INSERT INTO `lang_definitions` VALUES (58717, 4633, 12, 'Хронология не разрешена');
INSERT INTO `lang_definitions` VALUES (58718, 4634, 12, 'Анамнез сердечных шумов');
INSERT INTO `lang_definitions` VALUES (58719, 4638, 12, 'Ответные справки');
INSERT INTO `lang_definitions` VALUES (58720, 4639, 12, 'ВИЧ');
INSERT INTO `lang_definitions` VALUES (58721, 4649, 12, 'Обозреватель HL7');
INSERT INTO `lang_definitions` VALUES (58722, 4651, 12, 'нмоль/л');
INSERT INTO `lang_definitions` VALUES (58723, 4652, 12, 'Хмонг');
INSERT INTO `lang_definitions` VALUES (58724, 4653, 12, 'Удерживайте Ctrl для выбора нескольких элементов');
INSERT INTO `lang_definitions` VALUES (58725, 4655, 12, 'Удерживайте Ctrl для выбора нескольких групп');
INSERT INTO `lang_definitions` VALUES (58726, 4656, 12, 'Удерживайте [Ctrl] для множественного выбора или для снятия выбора');
INSERT INTO `lang_definitions` VALUES (58727, 4658, 12, 'Домой');
INSERT INTO `lang_definitions` VALUES (58728, 4659, 12, 'Домашний телефон');
INSERT INTO `lang_definitions` VALUES (58729, 4660, 12, 'Номер домашнего телефона');
INSERT INTO `lang_definitions` VALUES (58730, 4662, 12, 'Бездомный или подобное?');
INSERT INTO `lang_definitions` VALUES (58731, 4664, 12, 'Бездомный и т.д.');
INSERT INTO `lang_definitions` VALUES (58732, 4665, 12, 'Бездомный и т.д.');
INSERT INTO `lang_definitions` VALUES (58733, 4674, 12, 'Имя узла');
INSERT INTO `lang_definitions` VALUES (58734, 4675, 12, 'Имя узла не может быть пустым');
INSERT INTO `lang_definitions` VALUES (58735, 4677, 12, 'Час');
INSERT INTO `lang_definitions` VALUES (58736, 4678, 12, 'Часы');
INSERT INTO `lang_definitions` VALUES (58737, 4681, 12, 'Как произошла травма?');
INSERT INTO `lang_definitions` VALUES (58738, 4682, 12, 'Как произошла травма?:');
INSERT INTO `lang_definitions` VALUES (58739, 4683, 12, 'Как они узнали о нас');
INSERT INTO `lang_definitions` VALUES (58740, 4685, 12, 'На сколько месяцев вперед для предстоящих мероприятий?');
INSERT INTO `lang_definitions` VALUES (58741, 4692, 12, 'Анамнез сопутствующих заболеваний:');
INSERT INTO `lang_definitions` VALUES (58742, 4694, 12, 'Пересадка сердца');
INSERT INTO `lang_definitions` VALUES (58743, 4695, 12, 'HTML');
INSERT INTO `lang_definitions` VALUES (58744, 4699, 12, 'Ссылка https для поддержки OpenEMR службой лабораторного обмена LLC.');
INSERT INTO `lang_definitions` VALUES (58745, 4702, 12, 'Направление в Hylafax');
INSERT INTO `lang_definitions` VALUES (58746, 4703, 12, 'Команда шифрования Hylafax');
INSERT INTO `lang_definitions` VALUES (58747, 4704, 12, 'Сервер Hylafax');
INSERT INTO `lang_definitions` VALUES (58748, 4705, 12, 'Имя узла сервера Hylafax');
INSERT INTO `lang_definitions` VALUES (58749, 4706, 12, 'Гиперактивный');
INSERT INTO `lang_definitions` VALUES (58750, 4708, 12, 'Гипертензия');
INSERT INTO `lang_definitions` VALUES (58751, 4709, 12, 'Артериальная гипертензия: единица измерения артериального давления');
INSERT INTO `lang_definitions` VALUES (58752, 4710, 12, 'Артериальная гипертензия: единица измерения артериального давления (CQM)');
INSERT INTO `lang_definitions` VALUES (58753, 4711, 12, 'Гипертиреоз');
INSERT INTO `lang_definitions` VALUES (58754, 4713, 12, 'Гипотиреоз');
INSERT INTO `lang_definitions` VALUES (58755, 4716, 12, 'Гистерэктомия');
INSERT INTO `lang_definitions` VALUES (58756, 4717, 12, 'Я');
INSERT INTO `lang_definitions` VALUES (58757, 4718, 12, 'Я занят в этот период времени');
INSERT INTO `lang_definitions` VALUES (58758, 4719, 12, 'У меня нет доступа на чтение');
INSERT INTO `lang_definitions` VALUES (58759, 4724, 12, 'МКБ');
INSERT INTO `lang_definitions` VALUES (58760, 4727, 12, 'МКБ 9');
INSERT INTO `lang_definitions` VALUES (58761, 4734, 12, 'ID');
INSERT INTO `lang_definitions` VALUES (58762, 4736, 12, 'id');
INSERT INTO `lang_definitions` VALUES (58763, 4738, 12, 'ID не может быть пустым');
INSERT INTO `lang_definitions` VALUES (58764, 4739, 12, 'ID карты');
INSERT INTO `lang_definitions` VALUES (58765, 4742, 12, 'IDays');
INSERT INTO `lang_definitions` VALUES (58766, 4743, 12, 'идентифицировать как');
INSERT INTO `lang_definitions` VALUES (58767, 4745, 12, 'идентификатор (одно слово)');
INSERT INTO `lang_definitions` VALUES (58768, 4747, 12, 'Секунд сессионного простоя');
INSERT INTO `lang_definitions` VALUES (58769, 4755, 12, 'Если для этой формы все данные для всех столбцов заполнены');
INSERT INTO `lang_definitions` VALUES (58770, 4757, 12, 'При использовании биллинговой реабилитации введите наименование типа кода для диагноза.');
INSERT INTO `lang_definitions` VALUES (58771, 4763, 12, 'если вводите, то выбирайте только те, которые имеют эту службу');
INSERT INTO `lang_definitions` VALUES (58772, 4765, 12, 'Если именование, то любая часть фамилии или фамилия, имя');
INSERT INTO `lang_definitions` VALUES (58773, 4770, 12, 'если оплачено через');
INSERT INTO `lang_definitions` VALUES (58774, 4771, 12, 'Если человек умер, то введите дату смерти.');
INSERT INTO `lang_definitions` VALUES (58775, 4775, 12, 'При использовании SMTP имя узла сервера или адрес IP');
INSERT INTO `lang_definitions` VALUES (58776, 4776, 12, 'При использовании SMTP номер порта TCP сервера (обычно 25).');
INSERT INTO `lang_definitions` VALUES (58777, 4803, 12, 'если не работает, то введите студент');
INSERT INTO `lang_definitions` VALUES (58778, 4814, 12, 'При изменении правила e-RX для е-назначения может вызываться технология ePrescription. При затруднениях обратитесь к своему поставщику ePrescription.');
INSERT INTO `lang_definitions` VALUES (58779, 4833, 12, 'Если выбираете загрузку электронных денежных переводов, то окно поиска повторно отображает себя с соответствующими счетами из файла X 12. Можете кликнуть любой номер этого счета (как описано ниже), если нужно сделать какую-либо корректировку перед ...');
INSERT INTO `lang_definitions` VALUES (58780, 4836, 12, 'Если вводите дату оплаты на странице поиска, это переопределит дату учета платежей и корректировки, которые иначе взяты из файла X12. Может оказаться удобным для отчетности, если нужно, чтобы ваша отчетность использовала ваше сообщение');
INSERT INTO `lang_definitions` VALUES (58781, 4850, 12, 'Если требуется изменить типы данных или добавить строки или столбцы');
INSERT INTO `lang_definitions` VALUES (58782, 4851, 12, 'Если нужно модернизировать базу данных, то переместите файл zip базы данных в следующую директорию');
INSERT INTO `lang_definitions` VALUES (58783, 4854, 12, 'Игнорировать');
INSERT INTO `lang_definitions` VALUES (58784, 4856, 12, 'Заболевание');
INSERT INTO `lang_definitions` VALUES (58785, 4857, 12, 'Терапевт');
INSERT INTO `lang_definitions` VALUES (58786, 4863, 12, 'Средство отображения');
INSERT INTO `lang_definitions` VALUES (58787, 4865, 12, 'Вакцинация');
INSERT INTO `lang_definitions` VALUES (58788, 4867, 12, 'Код вакцинации');
INSERT INTO `lang_definitions` VALUES (58789, 4869, 12, 'Дата вакцинации');
INSERT INTO `lang_definitions` VALUES (58790, 4872, 12, 'Номер партии вакцины');
INSERT INTO `lang_definitions` VALUES (58791, 4873, 12, 'Изготовитель вакцины');
INSERT INTO `lang_definitions` VALUES (58792, 4878, 12, 'Регистрация вакцинации');
INSERT INTO `lang_definitions` VALUES (58793, 4882, 12, 'Услуга вакцинации');
INSERT INTO `lang_definitions` VALUES (58794, 4883, 12, 'Название вакцинации');
INSERT INTO `lang_definitions` VALUES (58795, 4885, 12, 'Вакцинации');
INSERT INTO `lang_definitions` VALUES (58796, 4887, 12, 'Вакцинировать');
INSERT INTO `lang_definitions` VALUES (58797, 4888, 12, 'Иммунология');
INSERT INTO `lang_definitions` VALUES (58798, 4893, 12, 'Имплантанты');
INSERT INTO `lang_definitions` VALUES (58799, 4894, 12, 'Импорт');
INSERT INTO `lang_definitions` VALUES (58800, 4898, 12, 'Импортировать сертификат в браузер.');
INSERT INTO `lang_definitions` VALUES (58801, 4899, 12, 'Настройка импорта');
INSERT INTO `lang_definitions` VALUES (58802, 4904, 12, 'Импортировать пациента');
INSERT INTO `lang_definitions` VALUES (58803, 4905, 12, 'Импорт персональных данных пациента');
INSERT INTO `lang_definitions` VALUES (58804, 4914, 12, 'Импортирован с аккаунта');
INSERT INTO `lang_definitions` VALUES (58805, 4920, 12, 'Нормализованный');
INSERT INTO `lang_definitions` VALUES (58806, 4922, 12, 'в');
INSERT INTO `lang_definitions` VALUES (58807, 4923, 12, 'в');
INSERT INTO `lang_definitions` VALUES (58808, 4931, 12, 'в каждый глаз');
INSERT INTO `lang_definitions` VALUES (58809, 4934, 12, 'в левый глаз');
INSERT INTO `lang_definitions` VALUES (58810, 4935, 12, 'назально');
INSERT INTO `lang_definitions` VALUES (58811, 4936, 12, 'В кабинете');
INSERT INTO `lang_definitions` VALUES (58812, 4947, 12, 'в правый глаз');
INSERT INTO `lang_definitions` VALUES (58813, 4958, 12, 'на дому');
INSERT INTO `lang_definitions` VALUES (58814, 4960, 12, 'бездействующий');
INSERT INTO `lang_definitions` VALUES (58815, 4965, 12, 'Нерабочие дни');
INSERT INTO `lang_definitions` VALUES (58816, 4967, 12, 'Входящий почтовый ящик');
INSERT INTO `lang_definitions` VALUES (58817, 4970, 12, 'Включить защиту контрольной суммой');
INSERT INTO `lang_definitions` VALUES (58818, 4971, 12, 'Включить полностью');
INSERT INTO `lang_definitions` VALUES (58819, 4974, 12, 'Включить неактивных пользователей');
INSERT INTO `lang_definitions` VALUES (58820, 4975, 12, 'Включить некатегоризированных');
INSERT INTO `lang_definitions` VALUES (58821, 4976, 12, 'Включить неструктуированные данные');
INSERT INTO `lang_definitions` VALUES (58822, 4977, 12, 'Включить жизненно важные показатели');
INSERT INTO `lang_definitions` VALUES (58823, 4978, 12, 'Включить данные жизненно важных параметров?');
INSERT INTO `lang_definitions` VALUES (58824, 4981, 12, 'Включение');
INSERT INTO `lang_definitions` VALUES (58825, 4982, 12, 'Доход');
INSERT INTO `lang_definitions` VALUES (58826, 4984, 12, 'Неполный');
INSERT INTO `lang_definitions` VALUES (58827, 4985, 12, 'Незавершенное прерванное лечение');
INSERT INTO `lang_definitions` VALUES (58828, 4986, 12, 'Неудержание');
INSERT INTO `lang_definitions` VALUES (58829, 4987, 12, 'Включить результаты клинических лабораторных анализов в сертифицированную технологию EHR, как структурированные данные.');
INSERT INTO `lang_definitions` VALUES (58830, 4990, 12, 'увеличено:');
INSERT INTO `lang_definitions` VALUES (58831, 4991, 12, 'Компенсационное страхование');
INSERT INTO `lang_definitions` VALUES (58832, 4994, 12, 'Неопределенный');
INSERT INTO `lang_definitions` VALUES (58833, 4995, 12, 'Индийский');
INSERT INTO `lang_definitions` VALUES (58834, 4998, 12, 'Указывает отклонение от нормы');
INSERT INTO `lang_definitions` VALUES (58835, 5000, 12, 'Отметьте, если эта проблема в настоящее время активна');
INSERT INTO `lang_definitions` VALUES (58836, 5002, 12, 'Указатель для специализированного использования');
INSERT INTO `lang_definitions` VALUES (58837, 5003, 12, 'Недействительные пациенты');
INSERT INTO `lang_definitions` VALUES (58838, 5004, 12, 'Отчет о недействительных пациентах');
INSERT INTO `lang_definitions` VALUES (58839, 5005, 12, 'Неимущие');
INSERT INTO `lang_definitions` VALUES (58840, 5010, 12, 'Вызывающие аборт');
INSERT INTO `lang_definitions` VALUES (58841, 5012, 12, 'Неподходящий');
INSERT INTO `lang_definitions` VALUES (58842, 5013, 12, 'Инфекция/абсцесс');
INSERT INTO `lang_definitions` VALUES (58843, 5014, 12, 'Инфекция');
INSERT INTO `lang_definitions` VALUES (58844, 5015, 12, 'Конс. по беспл.');
INSERT INTO `lang_definitions` VALUES (58845, 5016, 12, 'Бесплодие');
INSERT INTO `lang_definitions` VALUES (58846, 5017, 12, 'Грипп 1');
INSERT INTO `lang_definitions` VALUES (58847, 5018, 12, 'Грипп 2');
INSERT INTO `lang_definitions` VALUES (58848, 5019, 12, 'Противогриппозная вакцинация для пациентов возраста >= 50 лет');
INSERT INTO `lang_definitions` VALUES (58849, 5020, 12, 'Противогриппозная вакцинация для пациентов возраста >= 50 лет (CQM)');
INSERT INTO `lang_definitions` VALUES (58850, 5021, 12, 'Противогриппозная вакцинация');
INSERT INTO `lang_definitions` VALUES (58851, 5022, 12, 'Инф.');
INSERT INTO `lang_definitions` VALUES (58852, 5023, 12, 'Инф. тест. 1');
INSERT INTO `lang_definitions` VALUES (58853, 5024, 12, 'Инф. тест. 2');
INSERT INTO `lang_definitions` VALUES (58854, 5025, 12, 'Инф. тест. 3');
INSERT INTO `lang_definitions` VALUES (58855, 5026, 12, 'Инф. тест. 4');
INSERT INTO `lang_definitions` VALUES (58856, 5027, 12, 'Инф. тест. 5');
INSERT INTO `lang_definitions` VALUES (58857, 5028, 12, 'Инф. тест. 6');
INSERT INTO `lang_definitions` VALUES (58858, 5034, 12, 'ингаляции');
INSERT INTO `lang_definitions` VALUES (58859, 5036, 12, 'вдыхания');
INSERT INTO `lang_definitions` VALUES (58860, 5039, 12, 'Начальный пользователь');
INSERT INTO `lang_definitions` VALUES (58861, 5041, 12, 'Травм./реаб.');
INSERT INTO `lang_definitions` VALUES (58862, 5042, 12, 'Вводимый');
INSERT INTO `lang_definitions` VALUES (58863, 5043, 12, 'Инъекция');
INSERT INTO `lang_definitions` VALUES (58864, 5044, 12, 'Поврежденная часть тела');
INSERT INTO `lang_definitions` VALUES (58865, 5045, 12, 'Последствие повреждения');
INSERT INTO `lang_definitions` VALUES (58866, 5046, 12, 'Травма');
INSERT INTO `lang_definitions` VALUES (58867, 5047, 12, 'Механизм травмы');
INSERT INTO `lang_definitions` VALUES (58868, 5048, 12, 'Обзорный отчет о травме');
INSERT INTO `lang_definitions` VALUES (58869, 5049, 12, 'Травматологическое исследование');
INSERT INTO `lang_definitions` VALUES (58870, 5050, 12, 'Тип травмы');
INSERT INTO `lang_definitions` VALUES (58871, 5051, 12, 'Травма или связанное заболевание');
INSERT INTO `lang_definitions` VALUES (58872, 5056, 12, 'Поля ввода');
INSERT INTO `lang_definitions` VALUES (58873, 5057, 12, 'Международный нормализационный индекс (МНИ)');
INSERT INTO `lang_definitions` VALUES (58874, 5061, 12, 'Вст. корр.');
INSERT INTO `lang_definitions` VALUES (58875, 5062, 12, 'Вст. связывание');
INSERT INTO `lang_definitions` VALUES (58876, 5063, 12, 'Вст. код');
INSERT INTO `lang_definitions` VALUES (58877, 5066, 12, 'Вст. переплату');
INSERT INTO `lang_definitions` VALUES (58878, 5068, 12, 'Вст. возмещение');
INSERT INTO `lang_definitions` VALUES (58879, 5069, 12, 'Вст. итоговый');
INSERT INTO `lang_definitions` VALUES (58880, 5071, 12, 'Вст.1');
INSERT INTO `lang_definitions` VALUES (58881, 5072, 12, 'Вст.2');
INSERT INTO `lang_definitions` VALUES (58882, 5073, 12, 'Вст.3');
INSERT INTO `lang_definitions` VALUES (58883, 5075, 12, 'Вставка дала сбой');
INSERT INTO `lang_definitions` VALUES (58884, 5079, 12, 'Вставка старых событий в таблицы');
INSERT INTO `lang_definitions` VALUES (58885, 5085, 12, 'Бессоница');
INSERT INTO `lang_definitions` VALUES (58886, 5087, 12, 'Экспертиза');
INSERT INTO `lang_definitions` VALUES (58887, 5088, 12, 'Неустойчивый / подвывих');
INSERT INTO `lang_definitions` VALUES (58888, 5090, 12, 'Установить');
INSERT INTO `lang_definitions` VALUES (58889, 5093, 12, 'Установить БД');
INSERT INTO `lang_definitions` VALUES (58890, 5102, 12, 'Инструктирован');
INSERT INTO `lang_definitions` VALUES (58891, 5103, 12, 'Инструкция');
INSERT INTO `lang_definitions` VALUES (58892, 5105, 12, 'Инструкции:');
INSERT INTO `lang_definitions` VALUES (58893, 5108, 12, 'Инсулинозависимый диабет');
INSERT INTO `lang_definitions` VALUES (58894, 5109, 12, 'Страховка');
INSERT INTO `lang_definitions` VALUES (58895, 5110, 12, 'страхование');
INSERT INTO `lang_definitions` VALUES (58896, 5116, 12, 'Страховая компания');
INSERT INTO `lang_definitions` VALUES (58897, 5117, 12, 'Страховые компании');
INSERT INTO `lang_definitions` VALUES (58898, 5118, 12, 'Страховая компания');
INSERT INTO `lang_definitions` VALUES (58899, 5119, 12, 'Поиск/добавление страховой компании');
INSERT INTO `lang_definitions` VALUES (58900, 5121, 12, 'Дата страхования');
INSERT INTO `lang_definitions` VALUES (58901, 5124, 12, 'Информация по страхованию в файле');
INSERT INTO `lang_definitions` VALUES (58902, 5126, 12, 'Страховые номера');
INSERT INTO `lang_definitions` VALUES (58903, 5127, 12, 'Страховая оплата');
INSERT INTO `lang_definitions` VALUES (58904, 5129, 12, 'Страхователь');
INSERT INTO `lang_definitions` VALUES (58905, 5134, 12, 'Результат приема');
INSERT INTO `lang_definitions` VALUES (58906, 5135, 12, 'Дата приема');
INSERT INTO `lang_definitions` VALUES (58907, 5138, 12, 'Снижение интеллекта');
INSERT INTO `lang_definitions` VALUES (58908, 5149, 12, 'Внутренняя ошибка - не выбраны страницы!');
INSERT INTO `lang_definitions` VALUES (58909, 5150, 12, 'Внутренняя ошибка - не предоставлен ID пациента!');
INSERT INTO `lang_definitions` VALUES (58910, 5151, 12, 'Внутренняя ошибка обновленного файла прав доступа!');
INSERT INTO `lang_definitions` VALUES (58911, 5153, 12, 'Внутренняя ошибка!');
INSERT INTO `lang_definitions` VALUES (58912, 5154, 12, 'Внутренняя ошибка, не указан ID препарата!');
INSERT INTO `lang_definitions` VALUES (58913, 5156, 12, 'Внутренняя ошибка: требование');
INSERT INTO `lang_definitions` VALUES (58914, 5157, 12, 'Внутренняя ошибка: обращение \'');
INSERT INTO `lang_definitions` VALUES (58915, 5158, 12, 'Внутренняя ошибка: пропущен pid или обращение.');
INSERT INTO `lang_definitions` VALUES (58916, 5159, 12, 'Внутренняя ошибка: мы, кажется, вне обращения');
INSERT INTO `lang_definitions` VALUES (58917, 5160, 12, 'Внутренний идентификатор (pid)');
INSERT INTO `lang_definitions` VALUES (58918, 5163, 12, 'Внутренние направления');
INSERT INTO `lang_definitions` VALUES (58919, 5164, 12, 'Потраченное внутреннее время');
INSERT INTO `lang_definitions` VALUES (58920, 5165, 12, 'Международное обязательство');
INSERT INTO `lang_definitions` VALUES (58921, 5167, 12, 'Переводчик');
INSERT INTO `lang_definitions` VALUES (58922, 5168, 12, 'Переводчик нужен?');
INSERT INTO `lang_definitions` VALUES (58923, 5169, 12, 'Интерстициальный пневмокониоз');
INSERT INTO `lang_definitions` VALUES (58924, 5170, 12, 'Интервал');
INSERT INTO `lang_definitions` VALUES (58925, 5173, 12, 'Вмешательство');
INSERT INTO `lang_definitions` VALUES (58926, 5175, 12, 'Непереносимость');
INSERT INTO `lang_definitions` VALUES (58927, 5178, 12, 'внутримышечно');
INSERT INTO `lang_definitions` VALUES (58928, 5181, 12, 'внутривенно');
INSERT INTO `lang_definitions` VALUES (58929, 5182, 12, 'введение');
INSERT INTO `lang_definitions` VALUES (58930, 5185, 12, 'Недопустимый символ в');
INSERT INTO `lang_definitions` VALUES (58931, 5195, 12, 'Недопустимый символ для');
INSERT INTO `lang_definitions` VALUES (58932, 5196, 12, 'Недопустимый нецифровой символ в');
INSERT INTO `lang_definitions` VALUES (58933, 5197, 12, 'Недопустимый или пропущенный плательщик в источнике для кода');
INSERT INTO `lang_definitions` VALUES (58934, 5200, 12, 'Недействительные коды услуг');
INSERT INTO `lang_definitions` VALUES (58935, 5201, 12, 'Недопустимый обозначение источника \"');
INSERT INTO `lang_definitions` VALUES (58936, 5204, 12, 'Инвент.кол.');
INSERT INTO `lang_definitions` VALUES (58937, 5205, 12, 'Товарно-материальные ценности');
INSERT INTO `lang_definitions` VALUES (58938, 5206, 12, 'Задействованные товарно-материальные ценности');
INSERT INTO `lang_definitions` VALUES (58939, 5207, 12, 'Учитывается и реализуется как лекарственная, так и нелекарственная продукция');
INSERT INTO `lang_definitions` VALUES (58940, 5208, 12, 'Только товарно-материальные ценности и препараты для выдачи');
INSERT INTO `lang_definitions` VALUES (58941, 5209, 12, 'Для этого назначения склад недоступен.');
INSERT INTO `lang_definitions` VALUES (58942, 5210, 12, 'Список товарно-материальных ценностей');
INSERT INTO `lang_definitions` VALUES (58943, 5211, 12, 'Транзакции по инвентаризации');
INSERT INTO `lang_definitions` VALUES (58944, 5212, 12, 'Счет');
INSERT INTO `lang_definitions` VALUES (58945, 5213, 12, 'счет');
INSERT INTO `lang_definitions` VALUES (58946, 5217, 12, 'Дата выставления счета');
INSERT INTO `lang_definitions` VALUES (58947, 5219, 12, 'Счет не имеет даты!');
INSERT INTO `lang_definitions` VALUES (58948, 5220, 12, 'Номер счета');
INSERT INTO `lang_definitions` VALUES (58949, 5221, 12, 'Ссылочный номер счета');
INSERT INTO `lang_definitions` VALUES (58950, 5222, 12, 'Объединение ссылочного номера счета, если используется');
INSERT INTO `lang_definitions` VALUES (58951, 5223, 12, 'Объединение ссылочного номера счета');
INSERT INTO `lang_definitions` VALUES (58952, 5224, 12, 'Объединение исх. номера счета');
INSERT INTO `lang_definitions` VALUES (58953, 5226, 12, 'Счет:');
INSERT INTO `lang_definitions` VALUES (58954, 5237, 12, 'МФПС');
INSERT INTO `lang_definitions` VALUES (58955, 5240, 12, 'Данные сексуального и репродуктивного здоровья МФПС для');
INSERT INTO `lang_definitions` VALUES (58956, 5241, 12, 'Статистический отчет МФПС');
INSERT INTO `lang_definitions` VALUES (58957, 5242, 12, 'Статистика МФПС');
INSERT INTO `lang_definitions` VALUES (58958, 5243, 12, 'ИПВ 1');
INSERT INTO `lang_definitions` VALUES (58959, 5244, 12, 'ИПВ 2');
INSERT INTO `lang_definitions` VALUES (58960, 5245, 12, 'ИПВ 3');
INSERT INTO `lang_definitions` VALUES (58961, 5246, 12, 'ИПВ 4');
INSERT INTO `lang_definitions` VALUES (58962, 5249, 12, 'Аритмия');
INSERT INTO `lang_definitions` VALUES (58963, 5250, 12, 'Раздражительность');
INSERT INTO `lang_definitions` VALUES (58964, 5251, 12, 'Болезненная чувствительность');
INSERT INTO `lang_definitions` VALUES (58965, 5256, 12, 'является обязательным полем.');
INSERT INTO `lang_definitions` VALUES (58966, 5257, 12, 'является узлом root и не может быть удален.');
INSERT INTO `lang_definitions` VALUES (58967, 5268, 12, 'не действителен (десятичная часть OK).');
INSERT INTO `lang_definitions` VALUES (58968, 5269, 12, 'PHP использует безопасный режим?');
INSERT INTO `lang_definitions` VALUES (58969, 5273, 12, 'Является текстом из макетов форм для перевода?');
INSERT INTO `lang_definitions` VALUES (58970, 5274, 12, 'Является текстом из списков для перевода?');
INSERT INTO `lang_definitions` VALUES (58971, 5275, 12, 'Этот файл шифрован?');
INSERT INTO `lang_definitions` VALUES (58972, 5277, 12, 'Это тип диагноза?');
INSERT INTO `lang_definitions` VALUES (58973, 5282, 12, 'Этот тип кода активен?');
INSERT INTO `lang_definitions` VALUES (58974, 5286, 12, 'Этот тип в листе оплаты невидим?');
INSERT INTO `lang_definitions` VALUES (58975, 5288, 12, 'слишком длинный');
INSERT INTO `lang_definitions` VALUES (58976, 5290, 12, 'Проблема');
INSERT INTO `lang_definitions` VALUES (58977, 5291, 12, 'проблема');
INSERT INTO `lang_definitions` VALUES (58978, 5292, 12, 'Дата появления');
INSERT INTO `lang_definitions` VALUES (58979, 5293, 12, 'ID проблемы');
INSERT INTO `lang_definitions` VALUES (58980, 5295, 12, 'Обозначение проблемы');
INSERT INTO `lang_definitions` VALUES (58981, 5298, 12, 'Проблемы');
INSERT INTO `lang_definitions` VALUES (58982, 5299, 12, 'Аспекты (травмы/терапия/аллергия)');
INSERT INTO `lang_definitions` VALUES (58983, 5300, 12, 'Аспекты (травмы/терапия/аллергия):');
INSERT INTO `lang_definitions` VALUES (58984, 5302, 12, 'Аспекты и обращения');
INSERT INTO `lang_definitions` VALUES (58985, 5303, 12, 'Аспекты и обращения для');
INSERT INTO `lang_definitions` VALUES (58986, 5308, 12, 'Доступ к проблемам не разрешен');
INSERT INTO `lang_definitions` VALUES (58987, 5309, 12, 'Раздел проблем');
INSERT INTO `lang_definitions` VALUES (58988, 5364, 12, 'Итальянский');
INSERT INTO `lang_definitions` VALUES (58989, 5365, 12, 'Пункт');
INSERT INTO `lang_definitions` VALUES (58990, 5366, 12, 'пункт');
INSERT INTO `lang_definitions` VALUES (58991, 5369, 12, 'Загрузка пунктов дала сбой');
INSERT INTO `lang_definitions` VALUES (58992, 5370, 12, 'МЕ/л');
INSERT INTO `lang_definitions` VALUES (58993, 5371, 12, 'ВМС');
INSERT INTO `lang_definitions` VALUES (58994, 5372, 12, 'В/в');
INSERT INTO `lang_definitions` VALUES (58995, 5375, 12, 'Янв');
INSERT INTO `lang_definitions` VALUES (58996, 5376, 12, 'Январь');
INSERT INTO `lang_definitions` VALUES (58997, 5377, 12, 'Японский');
INSERT INTO `lang_definitions` VALUES (58998, 5378, 12, 'Желтуха');
INSERT INTO `lang_definitions` VALUES (58999, 5380, 12, 'Описание работы');
INSERT INTO `lang_definitions` VALUES (59000, 5381, 12, 'ID работы');
INSERT INTO `lang_definitions` VALUES (59001, 5382, 12, 'Вывих сустава');
INSERT INTO `lang_definitions` VALUES (59002, 5383, 12, 'Суставная боль');
INSERT INTO `lang_definitions` VALUES (59003, 5384, 12, 'Растяжение сустава');
INSERT INTO `lang_definitions` VALUES (59004, 5385, 12, 'Июл');
INSERT INTO `lang_definitions` VALUES (59005, 5386, 12, 'Июль');
INSERT INTO `lang_definitions` VALUES (59006, 5388, 12, 'Июн');
INSERT INTO `lang_definitions` VALUES (59007, 5389, 12, 'Июнь');
INSERT INTO `lang_definitions` VALUES (59008, 5390, 12, 'Чуть ниже регистрационная информация находится в синей области, куда вы поместили параметры поиска. Можете искать по имени пациента, номеру карты, номеру обращения или дате оказания помощи, или любой их комбинации. Также можете выбрать, хотите ли видеть все счета, открытые или только выставленные (по пациенту). Кликните кнопку поиска для его выполнения.');
INSERT INTO `lang_definitions` VALUES (59009, 5391, 12, 'Только для меня');
INSERT INTO `lang_definitions` VALUES (59010, 5393, 12, 'Подтвердить');
INSERT INTO `lang_definitions` VALUES (59011, 5396, 12, 'Подтвердить/сохранить');
INSERT INTO `lang_definitions` VALUES (59012, 5398, 12, 'k, вот остальные');
INSERT INTO `lang_definitions` VALUES (59013, 5407, 12, 'Ключ');
INSERT INTO `lang_definitions` VALUES (59014, 5411, 12, 'Ключевые слова');
INSERT INTO `lang_definitions` VALUES (59015, 5412, 12, 'кг');
INSERT INTO `lang_definitions` VALUES (59016, 5413, 12, 'кг/м^2');
INSERT INTO `lang_definitions` VALUES (59017, 5415, 12, 'Рак почки');
INSERT INTO `lang_definitions` VALUES (59018, 5416, 12, 'Почечная недостаточность');
INSERT INTO `lang_definitions` VALUES (59019, 5417, 12, 'Почечная инфекция');
INSERT INTO `lang_definitions` VALUES (59020, 5418, 12, 'ПКБ');
INSERT INTO `lang_definitions` VALUES (59021, 5419, 12, 'Пересадка почки');
INSERT INTO `lang_definitions` VALUES (59022, 5425, 12, 'Колено');
INSERT INTO `lang_definitions` VALUES (59023, 5426, 12, 'Проблемы колена');
INSERT INTO `lang_definitions` VALUES (59024, 5427, 12, 'Замещение коленного сустава');
INSERT INTO `lang_definitions` VALUES (59025, 5430, 12, 'Корейский');
INSERT INTO `lang_definitions` VALUES (59026, 5434, 12, 'Лаборатория');
INSERT INTO `lang_definitions` VALUES (59027, 5436, 12, 'Адрес сайта лабораторного обмена');
INSERT INTO `lang_definitions` VALUES (59028, 5437, 12, 'Id сайта лабораторного обмена');
INSERT INTO `lang_definitions` VALUES (59029, 5438, 12, 'Символьный id лабораторного обмена');
INSERT INTO `lang_definitions` VALUES (59030, 5442, 12, 'Статус лабораторного запроса');
INSERT INTO `lang_definitions` VALUES (59031, 5444, 12, 'Лабораторный отчет');
INSERT INTO `lang_definitions` VALUES (59032, 5445, 12, 'Результат лаборатории');
INSERT INTO `lang_definitions` VALUES (59033, 5446, 12, 'Результаты лаборатории');
INSERT INTO `lang_definitions` VALUES (59034, 5449, 12, 'Отчет о лабораторных результатах');
INSERT INTO `lang_definitions` VALUES (59035, 5450, 12, 'Лабораторная услуга');
INSERT INTO `lang_definitions` VALUES (59036, 5451, 12, 'Результаты лабораторных анализов');
INSERT INTO `lang_definitions` VALUES (59037, 5453, 12, 'Метка');
INSERT INTO `lang_definitions` VALUES (59038, 5454, 12, 'Метка не должна быть пустой');
INSERT INTO `lang_definitions` VALUES (59039, 5455, 12, 'Столбцы метки');
INSERT INTO `lang_definitions` VALUES (59040, 5456, 12, 'Метка для этого типа');
INSERT INTO `lang_definitions` VALUES (59041, 5458, 12, 'Столбцы метки должно быть числом между 1 и 999');
INSERT INTO `lang_definitions` VALUES (59042, 5459, 12, 'Метки');
INSERT INTO `lang_definitions` VALUES (59043, 5463, 12, 'Лаборатории');
INSERT INTO `lang_definitions` VALUES (59044, 5464, 12, 'Рваная рана / состояние кожи');
INSERT INTO `lang_definitions` VALUES (59045, 5465, 12, 'Разрыв/ссадина');
INSERT INTO `lang_definitions` VALUES (59046, 5471, 12, 'Язык');
INSERT INTO `lang_definitions` VALUES (59047, 5472, 12, 'Код языка');
INSERT INTO `lang_definitions` VALUES (59048, 5473, 12, 'Добавлено определение языка');
INSERT INTO `lang_definitions` VALUES (59049, 5474, 12, 'Интерфейсный инструмент языка');
INSERT INTO `lang_definitions` VALUES (59050, 5476, 12, 'Список языков (write,addonly необязателен)');
INSERT INTO `lang_definitions` VALUES (59051, 5478, 12, 'Название языка');
INSERT INTO `lang_definitions` VALUES (59052, 5479, 12, 'Язык:');
INSERT INTO `lang_definitions` VALUES (59053, 5481, 12, 'Лаосский');
INSERT INTO `lang_definitions` VALUES (59054, 5485, 12, 'Последний');
INSERT INTO `lang_definitions` VALUES (59055, 5486, 12, 'Дата последней активности');
INSERT INTO `lang_definitions` VALUES (59056, 5489, 12, 'Дата последнего счета:');
INSERT INTO `lang_definitions` VALUES (59057, 5491, 12, 'Предыдущий календарный год');
INSERT INTO `lang_definitions` VALUES (59058, 5495, 12, 'Последнее обращение');
INSERT INTO `lang_definitions` VALUES (59059, 5506, 12, 'Предыдущий месяц');
INSERT INTO `lang_definitions` VALUES (59060, 5507, 12, 'Фамилия');
INSERT INTO `lang_definitions` VALUES (59061, 5508, 12, 'Фамилия');
INSERT INTO `lang_definitions` VALUES (59062, 5513, 12, 'Фамилия:');
INSERT INTO `lang_definitions` VALUES (59063, 5517, 12, 'Последнее рассмотрение');
INSERT INTO `lang_definitions` VALUES (59064, 5519, 12, 'Последнее сохранение');
INSERT INTO `lang_definitions` VALUES (59065, 5525, 12, 'Последнее обновление через');
INSERT INTO `lang_definitions` VALUES (59066, 5526, 12, 'Последняя проверка в');
INSERT INTO `lang_definitions` VALUES (59067, 5527, 12, 'Предыдущее посещение');
INSERT INTO `lang_definitions` VALUES (59068, 5530, 12, 'Поздний возврат (2-12 мес.)');
INSERT INTO `lang_definitions` VALUES (59069, 5531, 12, 'Латеральная лодыжка');
INSERT INTO `lang_definitions` VALUES (59070, 5532, 12, 'Латеральная лодыжка:');
INSERT INTO `lang_definitions` VALUES (59071, 5533, 12, 'Латеральность');
INSERT INTO `lang_definitions` VALUES (59072, 5534, 12, 'Сторона этой методики, если применимо');
INSERT INTO `lang_definitions` VALUES (59073, 5535, 12, 'Латеральная дисплазия после ОИМ:');
INSERT INTO `lang_definitions` VALUES (59074, 5549, 12, 'На основе макета');
INSERT INTO `lang_definitions` VALUES (59075, 5551, 12, 'Редактор макета');
INSERT INTO `lang_definitions` VALUES (59076, 5552, 12, 'Группы макета');
INSERT INTO `lang_definitions` VALUES (59077, 5556, 12, 'Стиль макета');
INSERT INTO `lang_definitions` VALUES (59078, 5558, 12, 'Формы посещений на основе макета');
INSERT INTO `lang_definitions` VALUES (59079, 5559, 12, 'Макеты');
INSERT INTO `lang_definitions` VALUES (59080, 5560, 12, 'фунт');
INSERT INTO `lang_definitions` VALUES (59081, 5563, 12, 'фунты');
INSERT INTO `lang_definitions` VALUES (59082, 5571, 12, 'ЛПНП');
INSERT INTO `lang_definitions` VALUES (59083, 5573, 12, 'если продолжается, то оставьте пустым');
INSERT INTO `lang_definitions` VALUES (59084, 5574, 12, 'Для сохранения исходного имени файла оставьте поле пустым');
INSERT INTO `lang_definitions` VALUES (59085, 5575, 12, 'Для сохранения прежнего пароля оставьте поле пустым.');
INSERT INTO `lang_definitions` VALUES (59086, 5580, 12, 'Оставьте сообщение с');
INSERT INTO `lang_definitions` VALUES (59087, 5582, 12, 'Выйдите из этой формы');
INSERT INTO `lang_definitions` VALUES (59088, 5583, 12, 'Пустая контрольная фраза не шифрует этот документ');
INSERT INTO `lang_definitions` VALUES (59089, 5586, 12, 'Слева');
INSERT INTO `lang_definitions` VALUES (59090, 5589, 12, 'Левое ухо');
INSERT INTO `lang_definitions` VALUES (59091, 5590, 12, 'левое ухо');
INSERT INTO `lang_definitions` VALUES (59092, 5599, 12, 'Слева:');
INSERT INTO `lang_definitions` VALUES (59093, 5600, 12, 'Слева:');
INSERT INTO `lang_definitions` VALUES (59094, 5601, 12, 'Боль/судорога в ногах');
INSERT INTO `lang_definitions` VALUES (59095, 5602, 12, 'Законный');
INSERT INTO `lang_definitions` VALUES (59096, 5604, 12, 'Утвержденный размер страницы');
INSERT INTO `lang_definitions` VALUES (59097, 5605, 12, 'Легенда:');
INSERT INTO `lang_definitions` VALUES (59098, 5606, 12, 'Длина');
INSERT INTO `lang_definitions` VALUES (59099, 5607, 12, 'Длина модификатора, если не задана, то 0');
INSERT INTO `lang_definitions` VALUES (59100, 5613, 12, 'Меньше чем');
INSERT INTO `lang_definitions` VALUES (59101, 5614, 12, 'Меньше чем или равно');
INSERT INTO `lang_definitions` VALUES (59102, 5615, 12, 'Менее закрытая информация (write,addonly необязателен)');
INSERT INTO `lang_definitions` VALUES (59103, 5620, 12, 'Письмо');
INSERT INTO `lang_definitions` VALUES (59104, 5621, 12, 'Генератор письма');
INSERT INTO `lang_definitions` VALUES (59105, 5622, 12, 'Размер бумаги Письмо');
INSERT INTO `lang_definitions` VALUES (59106, 5623, 12, 'Фирменный бланк, подписываемый врачом');
INSERT INTO `lang_definitions` VALUES (59107, 5624, 12, 'Фирменный бланк, подписываемый пациентом');
INSERT INTO `lang_definitions` VALUES (59108, 5627, 12, 'Степень срочности');
INSERT INTO `lang_definitions` VALUES (59109, 5630, 12, 'Ответственность');
INSERT INTO `lang_definitions` VALUES (59110, 5631, 12, 'Медицина генетической предрасположенности');
INSERT INTO `lang_definitions` VALUES (59111, 5633, 12, 'Документ, удостоверяющий личность');
INSERT INTO `lang_definitions` VALUES (59112, 5639, 12, 'Фамилия лицензированного ответственного');
INSERT INTO `lang_definitions` VALUES (59113, 5640, 12, 'NPI лицензированного ответственного');
INSERT INTO `lang_definitions` VALUES (59114, 5641, 12, 'UPIN лицензированного ответственного');
INSERT INTO `lang_definitions` VALUES (59115, 5644, 12, 'Образ жизни');
INSERT INTO `lang_definitions` VALUES (59116, 5646, 12, 'Статус образа жизни');
INSERT INTO `lang_definitions` VALUES (59117, 5647, 12, 'Разрыв или растяжение связки');
INSERT INTO `lang_definitions` VALUES (59118, 5651, 12, 'Ограничение событий');
INSERT INTO `lang_definitions` VALUES (59119, 5654, 12, 'Ограничения');
INSERT INTO `lang_definitions` VALUES (59120, 5657, 12, 'Ссылка');
INSERT INTO `lang_definitions` VALUES (59121, 5658, 12, 'Ссылка на пациента');
INSERT INTO `lang_definitions` VALUES (59122, 5660, 12, 'Связанный');
INSERT INTO `lang_definitions` VALUES (59123, 5663, 12, 'связанный с документом');
INSERT INTO `lang_definitions` VALUES (59124, 5665, 12, 'Список');
INSERT INTO `lang_definitions` VALUES (59125, 5666, 12, 'Поле со списком');
INSERT INTO `lang_definitions` VALUES (59126, 5667, 12, 'поле со списком');
INSERT INTO `lang_definitions` VALUES (59127, 5668, 12, 'поле со списком с доб.');
INSERT INTO `lang_definitions` VALUES (59128, 5669, 12, 'Поле со списком с доб.');
INSERT INTO `lang_definitions` VALUES (59129, 5671, 12, 'Редактор списка');
INSERT INTO `lang_definitions` VALUES (59130, 5672, 12, 'Вывести обращения');
INSERT INTO `lang_definitions` VALUES (59131, 5674, 12, 'Вывести группы');
INSERT INTO `lang_definitions` VALUES (59132, 5675, 12, 'Вывести страховые компании');
INSERT INTO `lang_definitions` VALUES (59133, 5677, 12, 'Элементы списка не могут начинаться с числа.');
INSERT INTO `lang_definitions` VALUES (59134, 5678, 12, 'Элементы списка содержат запрещенный символ(ы).');
INSERT INTO `lang_definitions` VALUES (59135, 5680, 12, 'Вывести списки');
INSERT INTO `lang_definitions` VALUES (59136, 5682, 12, 'Наименование списка');
INSERT INTO `lang_definitions` VALUES (59137, 5683, 12, 'Наименование списка не может начинаться с чисел.');
INSERT INTO `lang_definitions` VALUES (59138, 5688, 12, 'Вывести назначения');
INSERT INTO `lang_definitions` VALUES (59139, 5689, 12, 'Список используется через вышеуказанный вариант типа данных для страны.');
INSERT INTO `lang_definitions` VALUES (59140, 5690, 12, 'Список используется через вышеуказанный вариант типа данных для области.');
INSERT INTO `lang_definitions` VALUES (59141, 5691, 12, 'Прослушиваемый порт сервера syslog TLS RFC 5425.');
INSERT INTO `lang_definitions` VALUES (59142, 5693, 12, 'Списки');
INSERT INTO `lang_definitions` VALUES (59143, 5696, 12, 'Прижизненное завещание');
INSERT INTO `lang_definitions` VALUES (59144, 5701, 12, 'Левая нижняя конечность:');
INSERT INTO `lang_definitions` VALUES (59145, 5707, 12, 'Последняя менструация');
INSERT INTO `lang_definitions` VALUES (59146, 5709, 12, 'Загрузить определения');
INSERT INTO `lang_definitions` VALUES (59147, 5717, 12, 'ЗАГРУЗКА');
INSERT INTO `lang_definitions` VALUES (59148, 5721, 12, 'Загрузка файлов в базу данных. Займет некоторое врем...');
INSERT INTO `lang_definitions` VALUES (59149, 5723, 12, 'Сниженное понимание');
INSERT INTO `lang_definitions` VALUES (59150, 5724, 12, 'Локально');
INSERT INTO `lang_definitions` VALUES (59151, 5728, 12, 'Локальный');
INSERT INTO `lang_definitions` VALUES (59152, 5729, 12, 'Местоположение');
INSERT INTO `lang_definitions` VALUES (59153, 5730, 12, 'Размещение');
INSERT INTO `lang_definitions` VALUES (59154, 5731, 12, 'расположение машины openemr и может содержать секретные данные, поэтому рекомендуется вручную удалить их после использования');
INSERT INTO `lang_definitions` VALUES (59155, 5732, 12, 'Размещение этой партии');
INSERT INTO `lang_definitions` VALUES (59156, 5733, 12, 'Неопределенное размещение');
INSERT INTO `lang_definitions` VALUES (59157, 5734, 12, 'Место, где Hylafax сохраняет факсы.');
INSERT INTO `lang_definitions` VALUES (59158, 5735, 12, 'Место сохранения сканнограмм');
INSERT INTO `lang_definitions` VALUES (59159, 5736, 12, 'Размещение:');
INSERT INTO `lang_definitions` VALUES (59160, 5737, 12, 'Заблокировать');
INSERT INTO `lang_definitions` VALUES (59161, 5745, 12, 'Войти');
INSERT INTO `lang_definitions` VALUES (59162, 5749, 12, 'Выйти');
INSERT INTO `lang_definitions` VALUES (59163, 5752, 12, 'Зарегистрирован');
INSERT INTO `lang_definitions` VALUES (59164, 5753, 12, 'Зарегистрирован как');
INSERT INTO `lang_definitions` VALUES (59165, 5754, 12, 'Зарегистрирован как:');
INSERT INTO `lang_definitions` VALUES (59166, 5755, 12, 'Регистрация снята.');
INSERT INTO `lang_definitions` VALUES (59167, 5757, 12, 'Войти');
INSERT INTO `lang_definitions` VALUES (59168, 5758, 12, 'логин');
INSERT INTO `lang_definitions` VALUES (59169, 5768, 12, 'Выйти');
INSERT INTO `lang_definitions` VALUES (59170, 5769, 12, 'выйти');
INSERT INTO `lang_definitions` VALUES (59171, 5770, 12, 'Журналы');
INSERT INTO `lang_definitions` VALUES (59172, 5771, 12, 'Обозреватель журналов');
INSERT INTO `lang_definitions` VALUES (59173, 5776, 12, 'Найти');
INSERT INTO `lang_definitions` VALUES (59174, 5777, 12, 'Партия');
INSERT INTO `lang_definitions` VALUES (59175, 5778, 12, 'Пропущен ID партии');
INSERT INTO `lang_definitions` VALUES (59176, 5779, 12, 'Номер партии');
INSERT INTO `lang_definitions` VALUES (59177, 5780, 12, 'Низкий');
INSERT INTO `lang_definitions` VALUES (59178, 5782, 12, 'Укороченная нога');
INSERT INTO `lang_definitions` VALUES (59179, 5791, 12, 'Поясничный отдел позвоночника');
INSERT INTO `lang_definitions` VALUES (59180, 5792, 12, 'Обед');
INSERT INTO `lang_definitions` VALUES (59181, 5793, 12, 'обед');
INSERT INTO `lang_definitions` VALUES (59182, 5794, 12, 'Рак легкого');
INSERT INTO `lang_definitions` VALUES (59183, 5795, 12, 'Хирургия рака легкого');
INSERT INTO `lang_definitions` VALUES (59184, 5796, 12, 'ЛЕГКИЕ:');
INSERT INTO `lang_definitions` VALUES (59185, 5797, 12, 'Легкие:');
INSERT INTO `lang_definitions` VALUES (59186, 5798, 12, 'Волчанка');
INSERT INTO `lang_definitions` VALUES (59187, 5804, 12, 'M');
INSERT INTO `lang_definitions` VALUES (59188, 5805, 12, 'Категория MA');
INSERT INTO `lang_definitions` VALUES (59189, 5806, 12, 'Отказ приема клиента MA');
INSERT INTO `lang_definitions` VALUES (59190, 5807, 12, 'Статистика MA');
INSERT INTO `lang_definitions` VALUES (59191, 5812, 12, 'Отправка почты');
INSERT INTO `lang_definitions` VALUES (59192, 5814, 12, 'Основной');
INSERT INTO `lang_definitions` VALUES (59193, 5815, 12, 'Основной адрес');
INSERT INTO `lang_definitions` VALUES (59194, 5821, 12, 'Основная область экрана');
INSERT INTO `lang_definitions` VALUES (59195, 5824, 12, 'Список основной активной медикаментозной аллергии.');
INSERT INTO `lang_definitions` VALUES (59196, 5825, 12, 'Список основного активного медикаментозного лечения.');
INSERT INTO `lang_definitions` VALUES (59197, 5826, 12, 'Поддерживает обновленный список проблем для текущих и активных диагнозов.');
INSERT INTO `lang_definitions` VALUES (59198, 5827, 12, 'Создает изменения в текущих категориях.');
INSERT INTO `lang_definitions` VALUES (59199, 5828, 12, 'Создать новую запись на прием для');
INSERT INTO `lang_definitions` VALUES (59200, 5831, 12, 'Убедитесь, что \"');
INSERT INTO `lang_definitions` VALUES (59201, 5832, 12, 'Создание пакетных текстовых файлов для загрузки в информационный центр, и пометит как счет');
INSERT INTO `lang_definitions` VALUES (59202, 5834, 12, 'Дискомфорт:');
INSERT INTO `lang_definitions` VALUES (59203, 5837, 12, 'мужской');
INSERT INTO `lang_definitions` VALUES (59204, 5838, 12, 'Мужские кондомы');
INSERT INTO `lang_definitions` VALUES (59205, 5839, 12, 'Мужской VSC');
INSERT INTO `lang_definitions` VALUES (59206, 5841, 12, 'Маммография');
INSERT INTO `lang_definitions` VALUES (59207, 5842, 12, 'Управление');
INSERT INTO `lang_definitions` VALUES (59208, 5850, 12, 'Управление переводами');
INSERT INTO `lang_definitions` VALUES (59209, 5851, 12, 'Управление');
INSERT INTO `lang_definitions` VALUES (59210, 5854, 12, 'Обязательные и устанавливаемые поля');
INSERT INTO `lang_definitions` VALUES (59211, 5855, 12, 'Только обязательные и устанавливаемые поля, отметьте дважды, не просматривайте');
INSERT INTO `lang_definitions` VALUES (59212, 5856, 12, 'Только обязательные и устанавливаемые поля, найдите и отметьте дважды');
INSERT INTO `lang_definitions` VALUES (59213, 5859, 12, 'Руководство');
INSERT INTO `lang_definitions` VALUES (59214, 5860, 12, 'Отправка вручную');
INSERT INTO `lang_definitions` VALUES (59215, 5864, 12, 'Производитель');
INSERT INTO `lang_definitions` VALUES (59216, 5870, 12, 'Мар');
INSERT INTO `lang_definitions` VALUES (59217, 5874, 12, 'Март');
INSERT INTO `lang_definitions` VALUES (59218, 5877, 12, 'Семейное положение');
INSERT INTO `lang_definitions` VALUES (59219, 5880, 12, 'Отметьте как оплаченное, но пропустите выставленный счет');
INSERT INTO `lang_definitions` VALUES (59220, 5881, 12, 'Маркировать как очищенное');
INSERT INTO `lang_definitions` VALUES (59221, 5882, 12, 'Маркировать как неоплаченное');
INSERT INTO `lang_definitions` VALUES (59222, 5886, 12, 'Маркировано, как очищенное');
INSERT INTO `lang_definitions` VALUES (59223, 5887, 12, 'Женат');
INSERT INTO `lang_definitions` VALUES (59224, 5889, 12, 'Маска');
INSERT INTO `lang_definitions` VALUES (59225, 5890, 12, 'Маска для номеров счетов');
INSERT INTO `lang_definitions` VALUES (59226, 5891, 12, 'Маска для ID пациента');
INSERT INTO `lang_definitions` VALUES (59227, 5892, 12, 'Маска для ID продукции');
INSERT INTO `lang_definitions` VALUES (59228, 5894, 12, 'Соответствие');
INSERT INTO `lang_definitions` VALUES (59229, 5907, 12, 'Максимум');
INSERT INTO `lang_definitions` VALUES (59230, 5912, 12, 'Подмышечная область справа:');
INSERT INTO `lang_definitions` VALUES (59231, 5913, 12, 'Максимальный возраст');
INSERT INTO `lang_definitions` VALUES (59232, 5914, 12, 'Символы максимума');
INSERT INTO `lang_definitions` VALUES (59233, 5917, 12, 'Максимальный простой в секундах до входа в систему.');
INSERT INTO `lang_definitions` VALUES (59234, 5920, 12, 'Максимальный разумный запас, если не применяется - 0');
INSERT INTO `lang_definitions` VALUES (59235, 5924, 12, 'Май');
INSERT INTO `lang_definitions` VALUES (59236, 5926, 12, 'Микроскопия и выделение культуры');
INSERT INTO `lang_definitions` VALUES (59237, 5927, 12, 'мкг');
INSERT INTO `lang_definitions` VALUES (59238, 5929, 12, 'Означает, что ни один из трех последних паролей не разрешен для изменения пароля.');
INSERT INTO `lang_definitions` VALUES (59239, 5931, 12, 'Код группы единиц измерения');
INSERT INTO `lang_definitions` VALUES (59240, 5933, 12, 'Система мер');
INSERT INTO `lang_definitions` VALUES (59241, 5939, 12, 'Внутренняя область лодыжки');
INSERT INTO `lang_definitions` VALUES (59242, 5940, 12, 'Медпомощь');
INSERT INTO `lang_definitions` VALUES (59243, 5942, 12, 'Медицинский');
INSERT INTO `lang_definitions` VALUES (59244, 5943, 12, 'Медицинский аборт');
INSERT INTO `lang_definitions` VALUES (59245, 5944, 12, 'Врачебное администрирование');
INSERT INTO `lang_definitions` VALUES (59246, 5946, 12, 'Анамнез');
INSERT INTO `lang_definitions` VALUES (59247, 5947, 12, 'Медицинский результат');
INSERT INTO `lang_definitions` VALUES (59248, 5948, 12, 'Медицинский результат');
INSERT INTO `lang_definitions` VALUES (59249, 5952, 12, 'Медицинская проблема');
INSERT INTO `lang_definitions` VALUES (59250, 5954, 12, 'Медицинские проблемы');
INSERT INTO `lang_definitions` VALUES (59251, 5956, 12, 'Медицинская запись');
INSERT INTO `lang_definitions` VALUES (59252, 5957, 12, 'История болезни #');
INSERT INTO `lang_definitions` VALUES (59253, 5959, 12, 'Медицинские записи');
INSERT INTO `lang_definitions` VALUES (59254, 5961, 12, 'Медицинские записи отправлены');
INSERT INTO `lang_definitions` VALUES (59255, 5963, 12, 'Предоставленное медицинское резюме');
INSERT INTO `lang_definitions` VALUES (59256, 5964, 12, 'Медицинская система');
INSERT INTO `lang_definitions` VALUES (59257, 5965, 12, 'Тип лечения');
INSERT INTO `lang_definitions` VALUES (59258, 5966, 12, 'Заболевание/анамнез (write, addonly необязателен)');
INSERT INTO `lang_definitions` VALUES (59259, 5968, 12, 'Часть B бесплатной медицинской помощи');
INSERT INTO `lang_definitions` VALUES (59260, 5969, 12, 'Реферрер Medicare является средством визуализации');
INSERT INTO `lang_definitions` VALUES (59261, 5970, 12, 'Препарат');
INSERT INTO `lang_definitions` VALUES (59262, 5971, 12, 'Список медикаментозной аллергии');
INSERT INTO `lang_definitions` VALUES (59263, 5973, 12, 'Список лекарств');
INSERT INTO `lang_definitions` VALUES (59264, 5974, 12, 'Согласование лечения выполнено?');
INSERT INTO `lang_definitions` VALUES (59265, 5975, 12, 'Медикаменты');
INSERT INTO `lang_definitions` VALUES (59266, 5978, 12, 'Медикаменты:');
INSERT INTO `lang_definitions` VALUES (59267, 5979, 12, 'Единицы выпуска медикамента');
INSERT INTO `lang_definitions` VALUES (59268, 5980, 12, 'Средний');
INSERT INTO `lang_definitions` VALUES (59269, 5984, 12, 'Статистический отчет члена Ассоциации');
INSERT INTO `lang_definitions` VALUES (59270, 5986, 12, 'Проблемы памяти');
INSERT INTO `lang_definitions` VALUES (59271, 5987, 12, 'Мужчина');
INSERT INTO `lang_definitions` VALUES (59272, 5988, 12, 'Мужчина и женщина');
INSERT INTO `lang_definitions` VALUES (59273, 5989, 12, 'Только мужчины');
INSERT INTO `lang_definitions` VALUES (59274, 5990, 12, 'Менархе');
INSERT INTO `lang_definitions` VALUES (59275, 5991, 12, 'Менопауза');
INSERT INTO `lang_definitions` VALUES (59276, 5992, 12, 'Обильная менструация');
INSERT INTO `lang_definitions` VALUES (59277, 5993, 12, 'Менструальный цикл');
INSERT INTO `lang_definitions` VALUES (59278, 5994, 12, 'Психическое заболевание');
INSERT INTO `lang_definitions` VALUES (59279, 6005, 12, 'Сообщение');
INSERT INTO `lang_definitions` VALUES (59280, 6006, 12, 'Центр сообщений и напоминаний');
INSERT INTO `lang_definitions` VALUES (59281, 6012, 12, 'Сообщение отправлено');
INSERT INTO `lang_definitions` VALUES (59282, 6013, 12, 'Состояние сообщения');
INSERT INTO `lang_definitions` VALUES (59283, 6018, 12, 'СООБЩЕНИЕ:');
INSERT INTO `lang_definitions` VALUES (59284, 6019, 12, 'Сообщения');
INSERT INTO `lang_definitions` VALUES (59285, 6022, 12, 'Сообщения для сегодняшней отправки');
INSERT INTO `lang_definitions` VALUES (59286, 6026, 12, 'Метод');
INSERT INTO `lang_definitions` VALUES (59287, 6027, 12, 'Метод и определенный результат');
INSERT INTO `lang_definitions` VALUES (59288, 6029, 12, 'Метод отправки исходящих e-mail.');
INSERT INTO `lang_definitions` VALUES (59289, 6030, 12, 'Метод уничтожения');
INSERT INTO `lang_definitions` VALUES (59290, 6031, 12, 'Мексиканец/американец мексиканского происхождения/чикано');
INSERT INTO `lang_definitions` VALUES (59291, 6038, 12, 'мг');
INSERT INTO `lang_definitions` VALUES (59292, 6039, 12, 'мг/1куб.см.');
INSERT INTO `lang_definitions` VALUES (59293, 6040, 12, 'мг/2куб.см.');
INSERT INTO `lang_definitions` VALUES (59294, 6041, 12, 'мг/3куб.см.');
INSERT INTO `lang_definitions` VALUES (59295, 6042, 12, 'мг/4куб.см.');
INSERT INTO `lang_definitions` VALUES (59296, 6043, 12, 'мг/5куб.см.');
INSERT INTO `lang_definitions` VALUES (59297, 6044, 12, 'мг/дл');
INSERT INTO `lang_definitions` VALUES (59298, 6046, 12, 'Средний');
INSERT INTO `lang_definitions` VALUES (59299, 6047, 12, 'Отчество');
INSERT INTO `lang_definitions` VALUES (59300, 6048, 12, 'Отчество');
INSERT INTO `lang_definitions` VALUES (59301, 6051, 12, 'Специалист DEA среднего уровня');
INSERT INTO `lang_definitions` VALUES (59302, 6052, 12, 'Имя ответственного среднего уровня');
INSERT INTO `lang_definitions` VALUES (59303, 6053, 12, 'Фамилия ответственного среднего уровня');
INSERT INTO `lang_definitions` VALUES (59304, 6055, 12, 'Инициалы ответственного среднего уровня');
INSERT INTO `lang_definitions` VALUES (59305, 6056, 12, 'UPIN ответственного среднего уровня');
INSERT INTO `lang_definitions` VALUES (59306, 6061, 12, 'Выражение лица');
INSERT INTO `lang_definitions` VALUES (59307, 6062, 12, 'Мигрант или сезонный рабочий?');
INSERT INTO `lang_definitions` VALUES (59308, 6064, 12, 'Мигрант/сезонный рабочий');
INSERT INTO `lang_definitions` VALUES (59309, 6065, 12, 'млн/куб.мм');
INSERT INTO `lang_definitions` VALUES (59310, 6070, 12, 'MimeType');
INSERT INTO `lang_definitions` VALUES (59311, 6071, 12, 'мин');
INSERT INTO `lang_definitions` VALUES (59312, 6072, 12, 'мин');
INSERT INTO `lang_definitions` VALUES (59313, 6077, 12, 'Минимальный возраст');
INSERT INTO `lang_definitions` VALUES (59314, 6080, 12, 'Легкое растяжение сустава +/- синовиит');
INSERT INTO `lang_definitions` VALUES (59315, 6082, 12, 'Минута');
INSERT INTO `lang_definitions` VALUES (59316, 6083, 12, 'Минуты');
INSERT INTO `lang_definitions` VALUES (59317, 6084, 12, 'минуты');
INSERT INTO `lang_definitions` VALUES (59318, 6086, 12, 'Прочее');
INSERT INTO `lang_definitions` VALUES (59319, 6087, 12, 'Варианты прочих счетов');
INSERT INTO `lang_definitions` VALUES (59320, 6088, 12, 'Варианты прочих счетов для HCFA-1500');
INSERT INTO `lang_definitions` VALUES (59321, 6089, 12, 'Варианты прочих счетов для HCFA');
INSERT INTO `lang_definitions` VALUES (59322, 6090, 12, 'Разное');
INSERT INTO `lang_definitions` VALUES (59323, 6092, 12, 'Пропущенный');
INSERT INTO `lang_definitions` VALUES (59324, 6093, 12, 'пропущенный');
INSERT INTO `lang_definitions` VALUES (59325, 6094, 12, 'Пропущено обязательное поле');
INSERT INTO `lang_definitions` VALUES (59326, 6097, 12, 'Пропущена оплата');
INSERT INTO `lang_definitions` VALUES (59327, 6100, 12, 'Пропущен только модификатор');
INSERT INTO `lang_definitions` VALUES (59328, 6101, 12, 'Пропущен или не действителен');
INSERT INTO `lang_definitions` VALUES (59329, 6103, 12, 'Пропущен PID.');
INSERT INTO `lang_definitions` VALUES (59330, 6104, 12, 'Пропущена дата отчета');
INSERT INTO `lang_definitions` VALUES (59331, 6105, 12, 'Пропущен слеш после плательщика в исходнике для кода');
INSERT INTO `lang_definitions` VALUES (59332, 6111, 12, 'Смешанное');
INSERT INTO `lang_definitions` VALUES (59333, 6113, 12, 'мл');
INSERT INTO `lang_definitions` VALUES (59334, 6114, 12, 'MM/DD/YYYY');
INSERT INTO `lang_definitions` VALUES (59335, 6115, 12, 'мм. рт. ст.');
INSERT INTO `lang_definitions` VALUES (59336, 6116, 12, 'мм. рт. ст.');
INSERT INTO `lang_definitions` VALUES (59337, 6117, 12, 'Частота материнской смертности 1');
INSERT INTO `lang_definitions` VALUES (59338, 6118, 12, 'Частота материнской смертности 2');
INSERT INTO `lang_definitions` VALUES (59339, 6120, 12, 'Мобильный');
INSERT INTO `lang_definitions` VALUES (59340, 6121, 12, 'Мобильный телефон');
INSERT INTO `lang_definitions` VALUES (59341, 6125, 12, 'Модиф.');
INSERT INTO `lang_definitions` VALUES (59342, 6133, 12, 'Модификатор');
INSERT INTO `lang_definitions` VALUES (59343, 6139, 12, 'Модификаторы');
INSERT INTO `lang_definitions` VALUES (59344, 6143, 12, 'Измененный платеж');
INSERT INTO `lang_definitions` VALUES (59345, 6145, 12, 'Дл.модиф.');
INSERT INTO `lang_definitions` VALUES (59346, 6153, 12, 'Пн.');
INSERT INTO `lang_definitions` VALUES (59347, 6154, 12, 'с Пн по Пт');
INSERT INTO `lang_definitions` VALUES (59348, 6155, 12, 'Пн, Ср &amp; Пт');
INSERT INTO `lang_definitions` VALUES (59349, 6156, 12, 'Понедельник');
INSERT INTO `lang_definitions` VALUES (59350, 6160, 12, 'месяц');
INSERT INTO `lang_definitions` VALUES (59351, 6161, 12, 'Месяц');
INSERT INTO `lang_definitions` VALUES (59352, 6162, 12, 'Обзор за месяц');
INSERT INTO `lang_definitions` VALUES (59353, 6163, 12, 'Месяц(ы)');
INSERT INTO `lang_definitions` VALUES (59354, 6164, 12, 'Ежемесячный доход');
INSERT INTO `lang_definitions` VALUES (59355, 6166, 12, 'Месяцы');
INSERT INTO `lang_definitions` VALUES (59356, 6179, 12, 'Найдено более 100 записей. Уточните критерий поиска.');
INSERT INTO `lang_definitions` VALUES (59357, 6180, 12, 'Более 50 результатов, конкретизируйте поиск.');
INSERT INTO `lang_definitions` VALUES (59358, 6184, 12, 'Большинство заголовков столбцов можно кликнуть для изменения порядка сортировки');
INSERT INTO `lang_definitions` VALUES (59359, 6186, 12, 'Самый последний из');
INSERT INTO `lang_definitions` VALUES (59360, 6189, 12, 'Самые последние жизненно важные показатели от:');
INSERT INTO `lang_definitions` VALUES (59361, 6190, 12, 'Мать');
INSERT INTO `lang_definitions` VALUES (59362, 6191, 12, 'Фамилия матери');
INSERT INTO `lang_definitions` VALUES (59363, 6195, 12, 'Рот');
INSERT INTO `lang_definitions` VALUES (59364, 6196, 12, 'Переместить');
INSERT INTO `lang_definitions` VALUES (59365, 6197, 12, 'Переместить документ в категорию:');
INSERT INTO `lang_definitions` VALUES (59366, 6198, 12, 'Переместить ниже');
INSERT INTO `lang_definitions` VALUES (59367, 6201, 12, 'Переместить в пациента');
INSERT INTO `lang_definitions` VALUES (59368, 6202, 12, 'Переместить в...');
INSERT INTO `lang_definitions` VALUES (59369, 6203, 12, 'Переместить выше');
INSERT INTO `lang_definitions` VALUES (59370, 6209, 12, 'Mr.');
INSERT INTO `lang_definitions` VALUES (59371, 6215, 12, 'Mrs.');
INSERT INTO `lang_definitions` VALUES (59372, 6217, 12, 'Ms.');
INSERT INTO `lang_definitions` VALUES (59373, 6226, 12, 'Код MSP');
INSERT INTO `lang_definitions` VALUES (59374, 6230, 12, 'Инструментарий перевода');
INSERT INTO `lang_definitions` VALUES (59375, 6234, 12, 'Несколько областей');
INSERT INTO `lang_definitions` VALUES (59376, 6237, 12, 'Несколько партий');
INSERT INTO `lang_definitions` VALUES (59377, 6238, 12, 'Несколько модификаторов можно разделить двоеточиями или пробелами, максимум 4 (M1:M2:M3:M4)');
INSERT INTO `lang_definitions` VALUES (59378, 6242, 12, 'Многонациональный');
INSERT INTO `lang_definitions` VALUES (59379, 6243, 12, 'Шум:');
INSERT INTO `lang_definitions` VALUES (59380, 6244, 12, 'Мыш. боль');
INSERT INTO `lang_definitions` VALUES (59381, 6245, 12, 'Мыш. боли');
INSERT INTO `lang_definitions` VALUES (59382, 6246, 12, 'Кожная гиперемия над мышцей');
INSERT INTO `lang_definitions` VALUES (59383, 6247, 12, 'Мыш. ригидность');
INSERT INTO `lang_definitions` VALUES (59384, 6248, 12, 'Припухлость мышцы');
INSERT INTO `lang_definitions` VALUES (59385, 6249, 12, 'Гипертермия в области мышцы');
INSERT INTO `lang_definitions` VALUES (59386, 6250, 12, 'Мышечные');
INSERT INTO `lang_definitions` VALUES (59387, 6251, 12, 'Повреждение мышцы');
INSERT INTO `lang_definitions` VALUES (59388, 6252, 12, 'Костно-мышечная');
INSERT INTO `lang_definitions` VALUES (59389, 6256, 12, 'Если аутентификация SMTP не используется, то должен быть пустым');
INSERT INTO `lang_definitions` VALUES (59390, 6259, 12, 'Определяемые совместно');
INSERT INTO `lang_definitions` VALUES (59391, 6260, 12, 'ДТП');
INSERT INTO `lang_definitions` VALUES (59392, 6267, 12, 'Самостоятельно');
INSERT INTO `lang_definitions` VALUES (59393, 6271, 12, 'NA');
INSERT INTO `lang_definitions` VALUES (59394, 6272, 12, 'na');
INSERT INTO `lang_definitions` VALUES (59395, 6274, 12, 'Именование');
INSERT INTO `lang_definitions` VALUES (59396, 6276, 12, 'Наименование (кликните для уточнения)');
INSERT INTO `lang_definitions` VALUES (59397, 6278, 12, 'Наименование 1');
INSERT INTO `lang_definitions` VALUES (59398, 6279, 12, 'Наименование 2');
INSERT INTO `lang_definitions` VALUES (59399, 6280, 12, 'Наименование и заголовок для управления вакцинацией');
INSERT INTO `lang_definitions` VALUES (59400, 6284, 12, 'Наименование события');
INSERT INTO `lang_definitions` VALUES (59401, 6285, 12, 'Наименование страховой компании');
INSERT INTO `lang_definitions` VALUES (59402, 6286, 12, 'Фамилия специалиста');
INSERT INTO `lang_definitions` VALUES (59403, 6287, 12, 'Фамилия отправителя напоминаний для пациента.');
INSERT INTO `lang_definitions` VALUES (59404, 6294, 12, 'Перевод наименования');
INSERT INTO `lang_definitions` VALUES (59405, 6295, 12, 'Наименование/значение');
INSERT INTO `lang_definitions` VALUES (59406, 6296, 12, 'Наименование:');
INSERT INTO `lang_definitions` VALUES (59407, 6300, 12, 'НОЗДРИ:');
INSERT INTO `lang_definitions` VALUES (59408, 6301, 12, 'НОЗДРИ: справа обычная');
INSERT INTO `lang_definitions` VALUES (59409, 6304, 12, 'Слизистая носа розовая, перегородка по средней линии');
INSERT INTO `lang_definitions` VALUES (59410, 6305, 12, 'Записи по национальности');
INSERT INTO `lang_definitions` VALUES (59411, 6308, 12, 'Настройка записей по национальности');
INSERT INTO `lang_definitions` VALUES (59412, 6310, 12, 'Национальность');
INSERT INTO `lang_definitions` VALUES (59413, 6311, 12, 'Зап. по нац.');
INSERT INTO `lang_definitions` VALUES (59414, 6313, 12, 'Гавайский или другой островной');
INSERT INTO `lang_definitions` VALUES (59415, 6319, 12, 'Тошнота');
INSERT INTO `lang_definitions` VALUES (59416, 6322, 12, 'Навигация');
INSERT INTO `lang_definitions` VALUES (59417, 6323, 12, 'Область навигации содержит формы обращения');
INSERT INTO `lang_definitions` VALUES (59418, 6324, 12, 'Область навигации использует всю высоту окна');
INSERT INTO `lang_definitions` VALUES (59419, 6325, 12, 'Формы посещения для области навигации');
INSERT INTO `lang_definitions` VALUES (59420, 6326, 12, 'Ширина области навигации');
INSERT INTO `lang_definitions` VALUES (59421, 6328, 12, 'Навигационное меню состоит из пар переключателей');
INSERT INTO `lang_definitions` VALUES (59422, 6329, 12, 'Навигационное меню в виде дерева');
INSERT INTO `lang_definitions` VALUES (59423, 6330, 12, 'Навигация использует скользящее меню');
INSERT INTO `lang_definitions` VALUES (59424, 6334, 12, 'NDC');
INSERT INTO `lang_definitions` VALUES (59425, 6336, 12, 'Номер NDC');
INSERT INTO `lang_definitions` VALUES (59426, 6348, 12, 'Шея');
INSERT INTO `lang_definitions` VALUES (59427, 6349, 12, 'Проблемы шеи');
INSERT INTO `lang_definitions` VALUES (59428, 6350, 12, 'Подвижность шеи');
INSERT INTO `lang_definitions` VALUES (59429, 6352, 12, 'Необходимо ввести описание');
INSERT INTO `lang_definitions` VALUES (59430, 6353, 12, 'Необходимо ввести возвращаемое значение');
INSERT INTO `lang_definitions` VALUES (59431, 6354, 12, 'Необходимо ввести идентификатор');
INSERT INTO `lang_definitions` VALUES (59432, 6355, 12, 'Необходимо ввести название');
INSERT INTO `lang_definitions` VALUES (59433, 6358, 12, 'Требуется разр.');
INSERT INTO `lang_definitions` VALUES (59434, 6359, 12, 'Требуется подтверждение');
INSERT INTO `lang_definitions` VALUES (59435, 6360, 12, 'Требуется повторное выставление счета');
INSERT INTO `lang_definitions` VALUES (59436, 6361, 12, 'Отрицательное');
INSERT INTO `lang_definitions` VALUES (59437, 6363, 12, 'Отрицание');
INSERT INTO `lang_definitions` VALUES (59438, 6369, 12, 'Повреждение нерва');
INSERT INTO `lang_definitions` VALUES (59439, 6371, 12, 'Неврологический статус / повреждение нерва');
INSERT INTO `lang_definitions` VALUES (59440, 6373, 12, 'Онемение');
INSERT INTO `lang_definitions` VALUES (59441, 6374, 12, 'Слабость');
INSERT INTO `lang_definitions` VALUES (59442, 6377, 12, 'Неврологическая');
INSERT INTO `lang_definitions` VALUES (59443, 6381, 12, 'Никогда');
INSERT INTO `lang_definitions` VALUES (59444, 6382, 12, 'Не употреблял алкоголь');
INSERT INTO `lang_definitions` VALUES (59445, 6383, 12, 'Никогда не курил');
INSERT INTO `lang_definitions` VALUES (59446, 6384, 12, 'Новое');
INSERT INTO `lang_definitions` VALUES (59447, 6385, 12, 'Новое =>');
INSERT INTO `lang_definitions` VALUES (59448, 6386, 12, 'Новые получатели');
INSERT INTO `lang_definitions` VALUES (59449, 6388, 12, 'Новая аллергия');
INSERT INTO `lang_definitions` VALUES (59450, 6390, 12, 'Новая запись на прием');
INSERT INTO `lang_definitions` VALUES (59451, 6391, 12, 'Новые категории');
INSERT INTO `lang_definitions` VALUES (59452, 6392, 12, 'Новая категория');
INSERT INTO `lang_definitions` VALUES (59453, 6393, 12, 'Новые клиенты');
INSERT INTO `lang_definitions` VALUES (59454, 6394, 12, 'Новая консультация');
INSERT INTO `lang_definitions` VALUES (59455, 6395, 12, 'Новая группа');
INSERT INTO `lang_definitions` VALUES (59456, 6396, 12, 'Добавлен новый набор определений');
INSERT INTO `lang_definitions` VALUES (59457, 6397, 12, 'Новый документ');
INSERT INTO `lang_definitions` VALUES (59458, 6401, 12, 'Новое обращение');
INSERT INTO `lang_definitions` VALUES (59459, 6402, 12, 'Новое обращение, созданное с id');
INSERT INTO `lang_definitions` VALUES (59460, 6403, 12, 'Форма нового обращения');
INSERT INTO `lang_definitions` VALUES (59461, 6404, 12, 'Доступ к новым обращениям не разрешен');
INSERT INTO `lang_definitions` VALUES (59462, 6405, 12, 'Новое обращ.');
INSERT INTO `lang_definitions` VALUES (59463, 6406, 12, 'Информация по новой услуге');
INSERT INTO `lang_definitions` VALUES (59464, 6410, 12, 'Новая группа');
INSERT INTO `lang_definitions` VALUES (59465, 6413, 12, 'Информация по новой группе');
INSERT INTO `lang_definitions` VALUES (59466, 6422, 12, 'Новый ввод/статус');
INSERT INTO `lang_definitions` VALUES (59467, 6425, 12, 'Новое ограничение событий');
INSERT INTO `lang_definitions` VALUES (59468, 6426, 12, 'Новый список');
INSERT INTO `lang_definitions` VALUES (59469, 6432, 12, 'Новые назначения');
INSERT INTO `lang_definitions` VALUES (59470, 6433, 12, 'Новый подраздел');
INSERT INTO `lang_definitions` VALUES (59471, 6434, 12, 'Новый пароль');
INSERT INTO `lang_definitions` VALUES (59472, 6435, 12, 'Новый пациент');
INSERT INTO `lang_definitions` VALUES (59473, 6436, 12, 'НОВЫЙ ПАЦИЕНТ');
INSERT INTO `lang_definitions` VALUES (59474, 6437, 12, 'Обращение нового пациента');
INSERT INTO `lang_definitions` VALUES (59475, 6438, 12, 'Форма для нового пациента');
INSERT INTO `lang_definitions` VALUES (59476, 6439, 12, 'ID нового пациента');
INSERT INTO `lang_definitions` VALUES (59477, 6442, 12, 'Новая оплата');
INSERT INTO `lang_definitions` VALUES (59478, 6445, 12, 'Новый пункт');
INSERT INTO `lang_definitions` VALUES (59479, 6447, 12, 'Новые результаты из Lab Exchange');
INSERT INTO `lang_definitions` VALUES (59480, 6448, 12, 'Новый поиск');
INSERT INTO `lang_definitions` VALUES (59481, 6449, 12, 'Новое рассмотрение');
INSERT INTO `lang_definitions` VALUES (59482, 6451, 12, 'Новый пользователь');
INSERT INTO `lang_definitions` VALUES (59483, 6453, 12, 'Новое посещение');
INSERT INTO `lang_definitions` VALUES (59484, 6454, 12, 'Новый или поиск');
INSERT INTO `lang_definitions` VALUES (59485, 6455, 12, 'Состояние аккаунта NewCrop');
INSERT INTO `lang_definitions` VALUES (59486, 6456, 12, 'Администрирование NewCrop');
INSERT INTO `lang_definitions` VALUES (59487, 6457, 12, 'Вызов NewCrop дал сбой');
INSERT INTO `lang_definitions` VALUES (59488, 6458, 12, 'Врач NewCrop');
INSERT INTO `lang_definitions` VALUES (59489, 6463, 12, 'Наименование eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (59490, 6464, 12, 'Наименование партнера eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (59491, 6465, 12, 'Пароль eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (59492, 6466, 12, 'Уровень доступа eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (59493, 6467, 12, 'Уровень доступа eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (59494, 6468, 12, 'Адрес узла eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (59495, 6473, 12, 'Адрес веб-службы eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (59496, 6474, 12, 'Менеджер NewCrop');
INSERT INTO `lang_definitions` VALUES (59497, 6475, 12, 'Мед. запись для NewCrop');
INSERT INTO `lang_definitions` VALUES (59498, 6476, 12, 'Врач с правом назначения рецептурных препаратов среднего уровня для NewCrop');
INSERT INTO `lang_definitions` VALUES (59499, 6477, 12, 'Медсестра NewCrop');
INSERT INTO `lang_definitions` VALUES (59500, 6478, 12, 'Контролирующий врач для NewCrop');
INSERT INTO `lang_definitions` VALUES (59501, 6481, 12, 'Газета');
INSERT INTO `lang_definitions` VALUES (59502, 6482, 12, 'Следующий');
INSERT INTO `lang_definitions` VALUES (59503, 6484, 12, 'Следующий день');
INSERT INTO `lang_definitions` VALUES (59504, 6485, 12, 'Следующий месяц');
INSERT INTO `lang_definitions` VALUES (59505, 6486, 12, 'Следующий месяц (фиксация для меню)');
INSERT INTO `lang_definitions` VALUES (59506, 6491, 12, 'Следующая неделя');
INSERT INTO `lang_definitions` VALUES (59507, 6492, 12, 'Следующий год (фиксация для меню)');
INSERT INTO `lang_definitions` VALUES (59508, 6494, 12, 'Псевдоним');
INSERT INTO `lang_definitions` VALUES (59509, 6496, 12, 'Ночная потливость');
INSERT INTO `lang_definitions` VALUES (59510, 6498, 12, 'Nl наружных половых органов, слизистой влагалища, шейки матки');
INSERT INTO `lang_definitions` VALUES (59511, 6499, 12, 'Нет');
INSERT INTO `lang_definitions` VALUES (59512, 6500, 12, 'НЕТ');
INSERT INTO `lang_definitions` VALUES (59513, 6502, 12, 'Нет доступа');
INSERT INTO `lang_definitions` VALUES (59514, 6503, 12, 'Активных напоминаний для пациента нет.');
INSERT INTO `lang_definitions` VALUES (59515, 6504, 12, 'Аденопатии нет (обязательно 2 области)');
INSERT INTO `lang_definitions` VALUES (59516, 6505, 12, 'Не найден тип причины корректировки для');
INSERT INTO `lang_definitions` VALUES (59517, 6506, 12, 'Болезненность/новообразование придатков');
INSERT INTO `lang_definitions` VALUES (59518, 6509, 12, 'Записи на прием нет');
INSERT INTO `lang_definitions` VALUES (59519, 6515, 12, 'В настоящее время биллинговая система неактивна');
INSERT INTO `lang_definitions` VALUES (59520, 6517, 12, 'Для включения в экспорт OFX счетов не выявлено<br>');
INSERT INTO `lang_definitions` VALUES (59521, 6519, 12, 'Не указан код!');
INSERT INTO `lang_definitions` VALUES (59522, 6523, 12, 'Нет диагноза');
INSERT INTO `lang_definitions` VALUES (59523, 6526, 12, 'Никаких документов не найдено');
INSERT INTO `lang_definitions` VALUES (59524, 6529, 12, 'Нет даты окончания');
INSERT INTO `lang_definitions` VALUES (59525, 6530, 12, 'Ни одной записи не выявлено, для добавления записи используйте форму ниже.');
INSERT INTO `lang_definitions` VALUES (59526, 6531, 12, 'Ошибок не найдено');
INSERT INTO `lang_definitions` VALUES (59527, 6532, 12, 'Событий нет');
INSERT INTO `lang_definitions` VALUES (59528, 6536, 12, 'Никакая группа не выбрана');
INSERT INTO `lang_definitions` VALUES (59529, 6537, 12, 'Грыжевых выпячиваний нет');
INSERT INTO `lang_definitions` VALUES (59530, 6540, 12, 'Без травмы/заболевания');
INSERT INTO `lang_definitions` VALUES (59531, 6541, 12, 'Не найдено страховых компаний');
INSERT INTO `lang_definitions` VALUES (59532, 6544, 12, 'Результатов нет');
INSERT INTO `lang_definitions` VALUES (59533, 6546, 12, 'В выбранной категории нет пунктов');
INSERT INTO `lang_definitions` VALUES (59534, 6547, 12, 'Не выбран ни один пункт!');
INSERT INTO `lang_definitions` VALUES (59535, 6562, 12, 'Для выбранной даты лог-файла нет');
INSERT INTO `lang_definitions` VALUES (59536, 6565, 12, 'Безболезненно, новообразований нет');
INSERT INTO `lang_definitions` VALUES (59537, 6566, 12, 'Для предоставленного кода повторной идентификации соответствующей записи по пациенту нет.');
INSERT INTO `lang_definitions` VALUES (59538, 6569, 12, 'Соответствий не найдено.');
INSERT INTO `lang_definitions` VALUES (59539, 6570, 12, 'Совпадений не найдено. Оформить нового пациента?');
INSERT INTO `lang_definitions` VALUES (59540, 6577, 12, 'Новых результатов не найдено');
INSERT INTO `lang_definitions` VALUES (59541, 6578, 12, 'Нет записей');
INSERT INTO `lang_definitions` VALUES (59542, 6579, 12, 'No ogrganomegoly');
INSERT INTO `lang_definitions` VALUES (59543, 6580, 12, 'За этот период открытых не найдено.');
INSERT INTO `lang_definitions` VALUES (59544, 6583, 12, 'Никаких других телефонных номеров нет.');
INSERT INTO `lang_definitions` VALUES (59545, 6585, 12, 'Партнеры не найдены');
INSERT INTO `lang_definitions` VALUES (59546, 6586, 12, 'Для предоставленного критерия выбора записи по пациенту не нейдено.');
INSERT INTO `lang_definitions` VALUES (59547, 6587, 12, 'Для предоставленного кода повторной идентификации записи по пациенту не нейдено.');
INSERT INTO `lang_definitions` VALUES (59548, 6588, 12, 'Периферических отеков нет');
INSERT INTO `lang_definitions` VALUES (59549, 6589, 12, 'Ни одной аптеки не найдено');
INSERT INTO `lang_definitions` VALUES (59550, 6590, 12, 'Назначений не найдено');
INSERT INTO `lang_definitions` VALUES (59551, 6592, 12, 'Заболевание/травма не представлено');
INSERT INTO `lang_definitions` VALUES (59552, 6593, 12, 'Предыдущих вводов не было');
INSERT INTO `lang_definitions` VALUES (59553, 6594, 12, 'В списке услуг нет выбранного основного юридического лица');
INSERT INTO `lang_definitions` VALUES (59554, 6598, 12, 'Специалисты не найдены');
INSERT INTO `lang_definitions` VALUES (59555, 6599, 12, 'Сыпи или необычных телесных изменения нет');
INSERT INTO `lang_definitions` VALUES (59556, 6602, 12, 'Записей не найдено');
INSERT INTO `lang_definitions` VALUES (59557, 6604, 12, 'Ни одной записи не найдено. Расширьте критерий поиска.');
INSERT INTO `lang_definitions` VALUES (59558, 6607, 12, 'Напоминаний нет');
INSERT INTO `lang_definitions` VALUES (59559, 6608, 12, 'Для указанного критерия поиска результатов не найдено.');
INSERT INTO `lang_definitions` VALUES (59560, 6609, 12, 'Результатов нет');
INSERT INTO `lang_definitions` VALUES (59561, 6612, 12, 'При поиске результатов не найдено.');
INSERT INTO `lang_definitions` VALUES (59562, 6614, 12, 'Результатов нет, попытайтесь еще раз.');
INSERT INTO `lang_definitions` VALUES (59563, 6615, 12, 'Результатов нет, попробуйте снова.');
INSERT INTO `lang_definitions` VALUES (59564, 6618, 12, 'Не показывать');
INSERT INTO `lang_definitions` VALUES (59565, 6622, 12, 'Пазухи безболезненны:');
INSERT INTO `lang_definitions` VALUES (59566, 6623, 12, 'Без кожной лимонной корочки или узлов молочной железы');
INSERT INTO `lang_definitions` VALUES (59567, 6624, 12, 'ТАКОГО КОНТЕКСТНОГО ИМЕНИ НЕТ');
INSERT INTO `lang_definitions` VALUES (59568, 6626, 12, 'Яички безболезненны, новообразований нет');
INSERT INTO `lang_definitions` VALUES (59569, 6628, 12, 'Без дрожания грудной стенки или выбухания');
INSERT INTO `lang_definitions` VALUES (59570, 6632, 12, 'Нет посещений');
INSERT INTO `lang_definitions` VALUES (59571, 6633, 12, 'Жизненно важные показатели не были зарегистрированы.');
INSERT INTO `lang_definitions` VALUES (59572, 6634, 12, 'Нет, отменить');
INSERT INTO `lang_definitions` VALUES (59573, 6635, 12, 'Безошибочное страхование, включая автоматическое, будет основным');
INSERT INTO `lang_definitions` VALUES (59574, 6636, 12, 'Нет:');
INSERT INTO `lang_definitions` VALUES (59575, 6637, 12, 'Ноктурия');
INSERT INTO `lang_definitions` VALUES (59576, 6638, 12, 'Не оплачено');
INSERT INTO `lang_definitions` VALUES (59577, 6640, 12, 'Несообщенный отчет');
INSERT INTO `lang_definitions` VALUES (59578, 6641, 12, 'Нет конкретного повреждения');
INSERT INTO `lang_definitions` VALUES (59579, 6642, 12, 'Неэлектронный');
INSERT INTO `lang_definitions` VALUES (59580, 6643, 12, 'Инсулинонезависимый диабет');
INSERT INTO `lang_definitions` VALUES (59581, 6646, 12, 'Медицинское сексуальное и репродуктивное здоровье');
INSERT INTO `lang_definitions` VALUES (59582, 6647, 12, 'Немедицинское сексуальное и репродуктивное здоровье');
INSERT INTO `lang_definitions` VALUES (59583, 6648, 12, 'Нет');
INSERT INTO `lang_definitions` VALUES (59584, 6649, 12, 'нет');
INSERT INTO `lang_definitions` VALUES (59585, 6650, 12, 'Не определено');
INSERT INTO `lang_definitions` VALUES (59586, 6652, 12, 'Не зарегистрировано');
INSERT INTO `lang_definitions` VALUES (59587, 6653, 12, 'Нет из вышеуказанного');
INSERT INTO `lang_definitions` VALUES (59588, 6654, 12, 'Ни одна основная строка предоставления не может быть полностью пустой.');
INSERT INTO `lang_definitions` VALUES (59589, 6683, 12, 'Инсулинонезависимый диабет');
INSERT INTO `lang_definitions` VALUES (59590, 6684, 12, 'Также не');
INSERT INTO `lang_definitions` VALUES (59591, 6685, 12, 'Обычная');
INSERT INTO `lang_definitions` VALUES (59592, 6687, 12, 'Обычный BL');
INSERT INTO `lang_definitions` VALUES (59593, 6688, 12, 'Обычное кардиологическое обследование:');
INSERT INTO `lang_definitions` VALUES (59594, 6689, 12, 'Обычное кардиологическое обследование:');
INSERT INTO `lang_definitions` VALUES (59595, 6690, 12, 'Обычное пульмонологическое обследование:');
INSERT INTO `lang_definitions` VALUES (59596, 6691, 12, 'Обычное пульмонологическое обследование:');
INSERT INTO `lang_definitions` VALUES (59597, 6692, 12, 'Обычное посещение в кабинете');
INSERT INTO `lang_definitions` VALUES (59598, 6693, 12, 'Обычный Oropharynx:');
INSERT INTO `lang_definitions` VALUES (59599, 6694, 12, 'Обычный справа');
INSERT INTO `lang_definitions` VALUES (59600, 6695, 12, 'Обычный справа:');
INSERT INTO `lang_definitions` VALUES (59601, 6696, 12, 'Обычный вид');
INSERT INTO `lang_definitions` VALUES (59602, 6697, 12, 'обычный:');
INSERT INTO `lang_definitions` VALUES (59603, 6698, 12, 'Обычно, должно быть проверено. Не связано с управлением доступом.');
INSERT INTO `lang_definitions` VALUES (59604, 6701, 12, 'Норвежский');
INSERT INTO `lang_definitions` VALUES (59605, 6705, 12, 'Нос');
INSERT INTO `lang_definitions` VALUES (59606, 6706, 12, 'Носовое кровотечение');
INSERT INTO `lang_definitions` VALUES (59607, 6707, 12, 'нет буквы или цифры');
INSERT INTO `lang_definitions` VALUES (59608, 6710, 12, 'Не все поля требуются для всех кодов или типов кодов.');
INSERT INTO `lang_definitions` VALUES (59609, 6712, 12, 'Не разрешено');
INSERT INTO `lang_definitions` VALUES (59610, 6713, 12, 'Группу администраторов удалять не разрешено');
INSERT INTO `lang_definitions` VALUES (59611, 6714, 12, 'Редактирование не разрешено');
INSERT INTO `lang_definitions` VALUES (59612, 6715, 12, 'Инактивация всех объектов безопасности не разрешена');
INSERT INTO `lang_definitions` VALUES (59613, 6716, 12, 'Ничего из ACL администраторов инактивировать не разрешено');
INSERT INTO `lang_definitions` VALUES (59614, 6717, 12, 'Удалять пользователя из группы администраторов не разрешено');
INSERT INTO `lang_definitions` VALUES (59615, 6718, 12, 'Удалять этого пользователя из группы администраторов не разрешено');
INSERT INTO `lang_definitions` VALUES (59616, 6720, 12, 'Доступ к модулю PostCalendar не разрешен');
INSERT INTO `lang_definitions` VALUES (59617, 6721, 12, 'Доступ не разрешен');
INSERT INTO `lang_definitions` VALUES (59618, 6722, 12, 'Нет доступа');
INSERT INTO `lang_definitions` VALUES (59619, 6723, 12, 'Для этой команды нет доступа!');
INSERT INTO `lang_definitions` VALUES (59620, 6724, 12, 'Для этой группы доступ не разрешен');
INSERT INTO `lang_definitions` VALUES (59621, 6729, 12, 'Не доступно');
INSERT INTO `lang_definitions` VALUES (59622, 6731, 12, 'Счет не выставлен');
INSERT INTO `lang_definitions` VALUES (59623, 6732, 12, 'Не зарегистрировано');
INSERT INTO `lang_definitions` VALUES (59624, 6733, 12, 'Не проверено');
INSERT INTO `lang_definitions` VALUES (59625, 6736, 12, 'Не подлежит');
INSERT INTO `lang_definitions` VALUES (59626, 6738, 12, 'Не обследован');
INSERT INTO `lang_definitions` VALUES (59627, 6739, 12, 'Не обследован:');
INSERT INTO `lang_definitions` VALUES (59628, 6740, 12, 'Не обследован:');
INSERT INTO `lang_definitions` VALUES (59629, 6742, 12, 'не найден');
INSERT INTO `lang_definitions` VALUES (59630, 6744, 12, 'не найден!');
INSERT INTO `lang_definitions` VALUES (59631, 6745, 12, 'Не выходец из Латинской Америки или латино');
INSERT INTO `lang_definitions` VALUES (59632, 6751, 12, 'Не отправлен');
INSERT INTO `lang_definitions` VALUES (59633, 6752, 12, 'Не отправлен');
INSERT INTO `lang_definitions` VALUES (59634, 6753, 12, 'Еще не отправлено');
INSERT INTO `lang_definitions` VALUES (59635, 6755, 12, 'Без указания.');
INSERT INTO `lang_definitions` VALUES (59636, 6758, 12, 'Примечание');
INSERT INTO `lang_definitions` VALUES (59637, 6760, 12, 'Кодировка записи');
INSERT INTO `lang_definitions` VALUES (59638, 6762, 12, 'Учтите, что это займет 5-10 минут для полной обработки после того, как вы нажмете Установить');
INSERT INTO `lang_definitions` VALUES (59639, 6763, 12, 'Учтите, что это займет 5-10 минут для полной обработки после того, как вы нажмете Модернизировать');
INSERT INTO `lang_definitions` VALUES (59640, 6764, 12, 'Учтите, что аудит журналирования должен быть включен выше');
INSERT INTO `lang_definitions` VALUES (59641, 6771, 12, 'Тип записи');
INSERT INTO `lang_definitions` VALUES (59642, 6780, 12, 'Примечание: этот код был введен пользователем без разрешенного доступа. Только разрешенные коды могут быть загружены для обработки в Открытую Биллинговую Медицинскую Сеть. Если хотите загрузить эти коды, выберите здесь авторизованого пользователя.');
INSERT INTO `lang_definitions` VALUES (59643, 6783, 12, 'Примечание: загрузка файлов с одинаковыми именами приведет к автоматическому измененению файлов (к примеру, file.jpg станет file.1.jpg). Имена файлов считаются уникальными для одного пациента, а не для каждой категории.');
INSERT INTO `lang_definitions` VALUES (59644, 6784, 12, 'Примечание: загрузка файлов с одинаковыми именами приведет к автоматическому переименованию файлов. К примеру \' file.jpg\' станет \' file.jpg.1\'. Имена файлов считаются уникальными для одного пациента, а не для каждой категории.');
INSERT INTO `lang_definitions` VALUES (59645, 6785, 12, 'Записи');
INSERT INTO `lang_definitions` VALUES (59646, 6788, 12, 'Записи - любые обращения (write,addonly необязательно)');
INSERT INTO `lang_definitions` VALUES (59647, 6790, 12, 'Записи - мои обращения (write,addonly необязательно)');
INSERT INTO `lang_definitions` VALUES (59648, 6793, 12, 'Доступ к записям не разрешен');
INSERT INTO `lang_definitions` VALUES (59649, 6796, 12, 'Ничего не записано');
INSERT INTO `lang_definitions` VALUES (59650, 6799, 12, 'Ничего не импортировано для аллергии');
INSERT INTO `lang_definitions` VALUES (59651, 6800, 12, 'Ничего не импортировано для назначения');
INSERT INTO `lang_definitions` VALUES (59652, 6804, 12, 'Ничего не выбрано');
INSERT INTO `lang_definitions` VALUES (59653, 6808, 12, 'УВЕДОМЛЕНИЕ:: предоставление или изменение PostCalendar');
INSERT INTO `lang_definitions` VALUES (59654, 6809, 12, 'Уведомление');
INSERT INTO `lang_definitions` VALUES (59655, 6810, 12, 'Адрес e-mail для уведомления');
INSERT INTO `lang_definitions` VALUES (59656, 6815, 12, 'Уведомления');
INSERT INTO `lang_definitions` VALUES (59657, 6816, 12, 'Уведомлять администратора об оказанных или измененных событиях?');
INSERT INTO `lang_definitions` VALUES (59658, 6820, 12, 'Нояб');
INSERT INTO `lang_definitions` VALUES (59659, 6821, 12, 'Ноябрь');
INSERT INTO `lang_definitions` VALUES (59660, 6824, 12, 'Новая отправка для:');
INSERT INTO `lang_definitions` VALUES (59661, 6825, 12, 'Идет печать');
INSERT INTO `lang_definitions` VALUES (59662, 6826, 12, 'Теперь печать заявки $stmt_count и обновленные обращения.');
INSERT INTO `lang_definitions` VALUES (59663, 6827, 12, 'Теперь печать заявки $stmt_count и обновленные счета.');
INSERT INTO `lang_definitions` VALUES (59664, 6828, 12, 'Теперь печать заявки $stmt_count; обращения не будут обновлены.');
INSERT INTO `lang_definitions` VALUES (59665, 6829, 12, 'Теперь печать заявки $stmt_count; счета не будут обновлены.');
INSERT INTO `lang_definitions` VALUES (59666, 6834, 12, 'NPI');
INSERT INTO `lang_definitions` VALUES (59667, 6836, 12, 'NQF');
INSERT INTO `lang_definitions` VALUES (59668, 6837, 12, 'Номер');
INSERT INTO `lang_definitions` VALUES (59669, 6838, 12, 'Номер лаб.');
INSERT INTO `lang_definitions` VALUES (59670, 6843, 12, 'Количество столбцов в обзоре за год.');
INSERT INTO `lang_definitions` VALUES (59671, 6850, 12, 'Количество дней, на протяжении которых сертификат клиента действителен.');
INSERT INTO `lang_definitions` VALUES (59672, 6852, 12, 'Количество цифр после десятичной запятой для денег, обычно 0 или 2.');
INSERT INTO `lang_definitions` VALUES (59673, 6853, 12, 'Количество отображаемых обращений на странице.');
INSERT INTO `lang_definitions` VALUES (59674, 6855, 12, 'Количество воспроизведений или событий пропущено, если применимо');
INSERT INTO `lang_definitions` VALUES (59675, 6856, 12, 'Количество часов на выполнение отправки уведомления e-mail.');
INSERT INTO `lang_definitions` VALUES (59676, 6857, 12, 'Количество часов на выполнение телефонограммы.');
INSERT INTO `lang_definitions` VALUES (59677, 6858, 12, 'Количество часов на выполнение отправки SMS-уведомления.');
INSERT INTO `lang_definitions` VALUES (59678, 6862, 12, 'Количество столбцов для анамнеза');
INSERT INTO `lang_definitions` VALUES (59679, 6864, 12, 'Нечувствительность');
INSERT INTO `lang_definitions` VALUES (59680, 6865, 12, 'Нумератор');
INSERT INTO `lang_definitions` VALUES (59681, 6866, 12, 'Порядок цифрового отображения');
INSERT INTO `lang_definitions` VALUES (59682, 6869, 12, 'Питание');
INSERT INTO `lang_definitions` VALUES (59683, 6871, 12, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (59684, 6872, 12, 'O2 Sat');
INSERT INTO `lang_definitions` VALUES (59685, 6874, 12, 'Ожирение I ст.');
INSERT INTO `lang_definitions` VALUES (59686, 6875, 12, 'Ожирение II ст.');
INSERT INTO `lang_definitions` VALUES (59687, 6876, 12, 'Ожирение III ст.');
INSERT INTO `lang_definitions` VALUES (59688, 6877, 12, 'Объективно');
INSERT INTO `lang_definitions` VALUES (59689, 6886, 12, 'Профессия');
INSERT INTO `lang_definitions` VALUES (59690, 6889, 12, 'Проявление');
INSERT INTO `lang_definitions` VALUES (59691, 6890, 12, 'Окт');
INSERT INTO `lang_definitions` VALUES (59692, 6891, 12, 'Октябрь');
INSERT INTO `lang_definitions` VALUES (59693, 6892, 12, 'OD');
INSERT INTO `lang_definitions` VALUES (59694, 6895, 12, 'из');
INSERT INTO `lang_definitions` VALUES (59695, 6896, 12, 'из количества');
INSERT INTO `lang_definitions` VALUES (59696, 6897, 12, 'таблеток');
INSERT INTO `lang_definitions` VALUES (59697, 6898, 12, 'месяца каждый');
INSERT INTO `lang_definitions` VALUES (59698, 6899, 12, 'Служ. записи');
INSERT INTO `lang_definitions` VALUES (59699, 6900, 12, 'вне');
INSERT INTO `lang_definitions` VALUES (59700, 6907, 12, 'Служебные записи');
INSERT INTO `lang_definitions` VALUES (59701, 6908, 12, 'Посещение кабинета');
INSERT INTO `lang_definitions` VALUES (59702, 6909, 12, 'Группы сравнения для официальной клинической единицы измерения качества (CQM)');
INSERT INTO `lang_definitions` VALUES (59703, 6910, 12, 'Внешняя связь Https для этого портала пациента.');
INSERT INTO `lang_definitions` VALUES (59704, 6911, 12, 'Внешняя связь Https для портала пациента. (Ссылка пациента)');
INSERT INTO `lang_definitions` VALUES (59705, 6912, 12, 'Пароль портала для сторонних пациентов');
INSERT INTO `lang_definitions` VALUES (59706, 6913, 12, 'Пароль портала для сторонних пациентов (если не зарегестрированы, то введите пустой),');
INSERT INTO `lang_definitions` VALUES (59707, 6916, 12, 'Адрес сайта для портала сторонних пациентов');
INSERT INTO `lang_definitions` VALUES (59708, 6917, 12, 'Внешний адрес портала пациента. (Ссылка пациента)');
INSERT INTO `lang_definitions` VALUES (59709, 6918, 12, 'Имя пользователя порталом для сторонних пациентов');
INSERT INTO `lang_definitions` VALUES (59710, 6919, 12, 'Имя пользователя порталом для сторонних пациентов (оставьте пустым, если незарегистрирован)');
INSERT INTO `lang_definitions` VALUES (59711, 6921, 12, 'Потомство');
INSERT INTO `lang_definitions` VALUES (59712, 6925, 12, 'мазь');
INSERT INTO `lang_definitions` VALUES (59713, 6927, 12, 'OK');
INSERT INTO `lang_definitions` VALUES (59714, 6930, 12, 'OK для связи этой датированной проблемы GCAC');
INSERT INTO `lang_definitions` VALUES (59715, 6931, 12, 'Старый');
INSERT INTO `lang_definitions` VALUES (59716, 6933, 12, 'Бывшие клиенты');
INSERT INTO `lang_definitions` VALUES (59717, 6934, 12, 'Нестарый перелом / неправильно сросшийся');
INSERT INTO `lang_definitions` VALUES (59718, 6935, 12, 'Макет старого стиля без меню слева');
INSERT INTO `lang_definitions` VALUES (59719, 6936, 12, 'Статичная форма старого стиля без поиска или двойной проверки');
INSERT INTO `lang_definitions` VALUES (59720, 6942, 12, 'Пропускает информацию о месте работы в персональных данных пациента');
INSERT INTO `lang_definitions` VALUES (59721, 6943, 12, 'Пропустить место работы');
INSERT INTO `lang_definitions` VALUES (59722, 6944, 12, 'Форма, способ и частота введения,которые затем станут частью дозировки, пропущены');
INSERT INTO `lang_definitions` VALUES (59723, 6945, 12, 'Страховка и некоторые другие пункты формы персональных данных пропущены');
INSERT INTO `lang_definitions` VALUES (59724, 6946, 12, 'Исключить внутренних пользователей?');
INSERT INTO `lang_definitions` VALUES (59725, 6947, 12, 'Исключение способа оплаты из панели доплаты');
INSERT INTO `lang_definitions` VALUES (59726, 6948, 12, 'пропустить для автоматического назначения');
INSERT INTO `lang_definitions` VALUES (59727, 6949, 12, 'в');
INSERT INTO `lang_definitions` VALUES (59728, 6950, 12, 'в');
INSERT INTO `lang_definitions` VALUES (59729, 6956, 12, 'на руках');
INSERT INTO `lang_definitions` VALUES (59730, 6959, 12, 'В назначении');
INSERT INTO `lang_definitions` VALUES (59731, 6960, 12, 'на месте');
INSERT INTO `lang_definitions` VALUES (59732, 6975, 12, 'После установки компонента основного бизнеса ее нельзя изменять. Изменение компонента повлияет на работающих в ePrescription NewCrop.');
INSERT INTO `lang_definitions` VALUES (59733, 6979, 12, 'После изменения своего пароля вы должны повторно войти в систему.');
INSERT INTO `lang_definitions` VALUES (59734, 6996, 12, 'Поддержка он-лайн');
INSERT INTO `lang_definitions` VALUES (59735, 6997, 12, 'Ссылка поддержки он-лайн');
INSERT INTO `lang_definitions` VALUES (59736, 6999, 12, 'Только активные');
INSERT INTO `lang_definitions` VALUES (59737, 7004, 12, 'только для размещения счетов');
INSERT INTO `lang_definitions` VALUES (59738, 7006, 12, 'Только неактивные');
INSERT INTO `lang_definitions` VALUES (59739, 7007, 12, 'Только мои');
INSERT INTO `lang_definitions` VALUES (59740, 7013, 12, 'Только загруженные активные предписания');
INSERT INTO `lang_definitions` VALUES (59741, 7017, 12, 'Начало заболевания:');
INSERT INTO `lang_definitions` VALUES (59742, 7018, 12, 'Начало заболевания:');
INSERT INTO `lang_definitions` VALUES (59743, 7019, 12, 'Появление новообразования:');
INSERT INTO `lang_definitions` VALUES (59744, 7022, 12, 'Дата нач./госп.');
INSERT INTO `lang_definitions` VALUES (59745, 7026, 12, 'Адрес сайта для портала внутренних пациентов');
INSERT INTO `lang_definitions` VALUES (59746, 7030, 12, 'Оплошность!');
INSERT INTO `lang_definitions` VALUES (59747, 7031, 12, 'Открыть');
INSERT INTO `lang_definitions` VALUES (59748, 7046, 12, 'Открыть посещение за сегодня');
INSERT INTO `lang_definitions` VALUES (59749, 7071, 12, 'OpenEMR уже имеет настроенный доверенный сертификат.');
INSERT INTO `lang_definitions` VALUES (59750, 7076, 12, 'Модернизация базы данных OpenEMR');
INSERT INTO `lang_definitions` VALUES (59751, 7077, 12, 'Модернизация базы данных OpenEMR для исключения дублирования идентификации');
INSERT INTO `lang_definitions` VALUES (59752, 7080, 12, 'До того, как OpenEMR сможет создавать клиентские сертификаты, он должен быть настроен для использования сертификатов.');
INSERT INTO `lang_definitions` VALUES (59753, 7084, 12, 'Для выполнения аутентификации пользователя OpenEMR необходим Javascript.');
INSERT INTO `lang_definitions` VALUES (59754, 7085, 12, 'Пользователи OpenEMR');
INSERT INTO `lang_definitions` VALUES (59755, 7086, 12, 'Вступление');
INSERT INTO `lang_definitions` VALUES (59756, 7092, 12, 'Глазной');
INSERT INTO `lang_definitions` VALUES (59757, 7095, 12, 'Опция');
INSERT INTO `lang_definitions` VALUES (59758, 7098, 12, 'Опция для поддержки инвентаризации и реализации материальных ценностей');
INSERT INTO `lang_definitions` VALUES (59759, 7099, 12, 'Необязательное');
INSERT INTO `lang_definitions` VALUES (59760, 7100, 12, 'Необязательное имя категории для ID-карты изображения, которое можно просмотреть на странице сводки по пациенту.');
INSERT INTO `lang_definitions` VALUES (59761, 7101, 12, 'Необязательное имя категории для фото-изображений, которое можно просмотреть на странице сводки по пациенту.');
INSERT INTO `lang_definitions` VALUES (59762, 7102, 12, 'Необязательное имя категории документа для связывания со страницы сводки по пациенту. Кликните на имени пациента, чтобы увидеть ее ID-карту.');
INSERT INTO `lang_definitions` VALUES (59763, 7103, 12, 'Необязательный диапазан по умолчанию для ввода результатов вручную');
INSERT INTO `lang_definitions` VALUES (59764, 7104, 12, 'Необязательные единицы измерения для ввода результатов вручную');
INSERT INTO `lang_definitions` VALUES (59765, 7105, 12, 'Необязательное наименование места назначения');
INSERT INTO `lang_definitions` VALUES (59766, 7107, 12, 'Необязательное наименование препарата, используйте % как знак подстановки');
INSERT INTO `lang_definitions` VALUES (59767, 7111, 12, 'Необязательная информация об этом событии');
INSERT INTO `lang_definitions` VALUES (59768, 7112, 12, 'Необязательное количество партии, используйте % как знак подстановки');
INSERT INTO `lang_definitions` VALUES (59769, 7113, 12, 'Необязательный номер ID пациента');
INSERT INTO `lang_definitions` VALUES (59770, 7114, 12, 'Необязательный код методики');
INSERT INTO `lang_definitions` VALUES (59771, 7116, 12, 'Опции');
INSERT INTO `lang_definitions` VALUES (59772, 7117, 12, 'ИЛИ');
INSERT INTO `lang_definitions` VALUES (59773, 7118, 12, 'или');
INSERT INTO `lang_definitions` VALUES (59774, 7119, 12, 'или измените');
INSERT INTO `lang_definitions` VALUES (59775, 7120, 12, 'или нажмите и проведите для быстрого выделения.');
INSERT INTO `lang_definitions` VALUES (59776, 7122, 12, 'или для');
INSERT INTO `lang_definitions` VALUES (59777, 7124, 12, 'или кликните с Shift для его выделения');
INSERT INTO `lang_definitions` VALUES (59778, 7125, 12, 'или обновите файл ERA:');
INSERT INTO `lang_definitions` VALUES (59779, 7127, 12, 'Перорально');
INSERT INTO `lang_definitions` VALUES (59780, 7128, 12, 'Слизистая полости рта розовая, глотка чистая');
INSERT INTO `lang_definitions` VALUES (59781, 7129, 12, 'Порядок');
INSERT INTO `lang_definitions` VALUES (59782, 7131, 12, 'Типы назначения и выполнения');
INSERT INTO `lang_definitions` VALUES (59783, 7132, 12, 'Каталог назначений');
INSERT INTO `lang_definitions` VALUES (59784, 7133, 12, 'Дата назначения');
INSERT INTO `lang_definitions` VALUES (59785, 7136, 12, 'Назначение от');
INSERT INTO `lang_definitions` VALUES (59786, 7138, 12, 'Порядок должен быть номером от 1 до 999');
INSERT INTO `lang_definitions` VALUES (59787, 7140, 12, 'Наименование назначения');
INSERT INTO `lang_definitions` VALUES (59788, 7142, 12, 'Приоритет назначения');
INSERT INTO `lang_definitions` VALUES (59789, 7143, 12, 'Обработчик предписаний');
INSERT INTO `lang_definitions` VALUES (59790, 7147, 12, 'Статус порядка следования');
INSERT INTO `lang_definitions` VALUES (59791, 7150, 12, 'Тип назначения');
INSERT INTO `lang_definitions` VALUES (59792, 7152, 12, 'Тип назначения/выполнения');
INSERT INTO `lang_definitions` VALUES (59793, 7153, 12, 'Назначено');
INSERT INTO `lang_definitions` VALUES (59794, 7159, 12, 'Назначающий специалист');
INSERT INTO `lang_definitions` VALUES (59795, 7166, 12, 'Повреждение органа');
INSERT INTO `lang_definitions` VALUES (59796, 7167, 12, 'Организация');
INSERT INTO `lang_definitions` VALUES (59797, 7168, 12, 'Наименование организации');
INSERT INTO `lang_definitions` VALUES (59798, 7169, 12, 'Наименование подразделения организации');
INSERT INTO `lang_definitions` VALUES (59799, 7170, 12, 'Организации');
INSERT INTO `lang_definitions` VALUES (59800, 7171, 12, 'Ориентированный x 3');
INSERT INTO `lang_definitions` VALUES (59801, 7175, 12, 'Оригинал');
INSERT INTO `lang_definitions` VALUES (59802, 7181, 12, 'РОТОГЛОТКА:');
INSERT INTO `lang_definitions` VALUES (59803, 7184, 12, 'Ортопное');
INSERT INTO `lang_definitions` VALUES (59804, 7188, 12, 'OS');
INSERT INTO `lang_definitions` VALUES (59805, 7189, 12, 'Остеоартриты');
INSERT INTO `lang_definitions` VALUES (59806, 7193, 12, 'Другое');
INSERT INTO `lang_definitions` VALUES (59807, 7194, 12, 'другое');
INSERT INTO `lang_definitions` VALUES (59808, 7196, 12, 'Другое (указать)');
INSERT INTO `lang_definitions` VALUES (59809, 7198, 12, 'Другое - указанное');
INSERT INTO `lang_definitions` VALUES (59810, 7201, 12, 'Другая государственная программа');
INSERT INTO `lang_definitions` VALUES (59811, 7202, 12, 'Другая Финансовая Администрация здравоохранения');
INSERT INTO `lang_definitions` VALUES (59812, 7203, 12, 'Другие неуказанные повреждения');
INSERT INTO `lang_definitions` VALUES (59813, 7204, 12, 'Основной является другая ответственная страховка');
INSERT INTO `lang_definitions` VALUES (59814, 7206, 12, 'другой месяц');
INSERT INTO `lang_definitions` VALUES (59815, 7207, 12, 'Другая негосударственная программа');
INSERT INTO `lang_definitions` VALUES (59816, 7208, 12, 'Прочие записи');
INSERT INTO `lang_definitions` VALUES (59817, 7209, 12, 'Другие уместные симптомы');
INSERT INTO `lang_definitions` VALUES (59818, 7210, 12, 'Другие уместные симптомы:');
INSERT INTO `lang_definitions` VALUES (59819, 7211, 12, 'Другое место оказания услуг');
INSERT INTO `lang_definitions` VALUES (59820, 7212, 12, 'Другой специалист');
INSERT INTO `lang_definitions` VALUES (59821, 7213, 12, 'Др. соотв. пункт');
INSERT INTO `lang_definitions` VALUES (59822, 7214, 12, 'Другой реестр');
INSERT INTO `lang_definitions` VALUES (59823, 7215, 12, 'Другие воздействия или общее повреждение');
INSERT INTO `lang_definitions` VALUES (59824, 7216, 12, 'Другие оперативные вмешательства');
INSERT INTO `lang_definitions` VALUES (59825, 7217, 12, 'Другие/связанные с прерыванием беременности');
INSERT INTO `lang_definitions` VALUES (59826, 7218, 12, 'Другое/Разное');
INSERT INTO `lang_definitions` VALUES (59827, 7219, 12, 'Другие');
INSERT INTO `lang_definitions` VALUES (59828, 7221, 12, 'в противном случае будет нарушена взаимосвязь с существующей датой.');
INSERT INTO `lang_definitions` VALUES (59829, 7224, 12, 'Правила Ottawa Ankle');
INSERT INTO `lang_definitions` VALUES (59830, 7225, 12, 'В оба глаза');
INSERT INTO `lang_definitions` VALUES (59831, 7227, 12, 'НЕ РАБОТАЕТ');
INSERT INTO `lang_definitions` VALUES (59832, 7228, 12, 'НЕ НА МЕСТЕ');
INSERT INTO `lang_definitions` VALUES (59833, 7230, 12, 'Направление за рубеж');
INSERT INTO `lang_definitions` VALUES (59834, 7231, 12, 'Исход');
INSERT INTO `lang_definitions` VALUES (59835, 7234, 12, 'Наблюдение');
INSERT INTO `lang_definitions` VALUES (59836, 7236, 12, 'Тип вывода');
INSERT INTO `lang_definitions` VALUES (59837, 7238, 12, 'Сверх');
INSERT INTO `lang_definitions` VALUES (59838, 7240, 12, 'OVERDUE');
INSERT INTO `lang_definitions` VALUES (59839, 7244, 12, 'Злоупотребление');
INSERT INTO `lang_definitions` VALUES (59840, 7245, 12, 'Обзор');
INSERT INTO `lang_definitions` VALUES (59841, 7246, 12, 'Избыточный вес');
INSERT INTO `lang_definitions` VALUES (59842, 7247, 12, 'Переписать выбор HIPAA (Закон об отчетности и безопасности медицинского страхования)');
INSERT INTO `lang_definitions` VALUES (59843, 7248, 12, 'Владелец');
INSERT INTO `lang_definitions` VALUES (59844, 7249, 12, 'Сатурация кислорода');
INSERT INTO `lang_definitions` VALUES (59845, 7251, 12, 'P');
INSERT INTO `lang_definitions` VALUES (59846, 7252, 12, 'проц.');
INSERT INTO `lang_definitions` VALUES (59847, 7253, 12, 'после полудня');
INSERT INTO `lang_definitions` VALUES (59848, 7254, 12, 'по необх.');
INSERT INTO `lang_definitions` VALUES (59849, 7258, 12, 'Тихоокеанский островитянин');
INSERT INTO `lang_definitions` VALUES (59850, 7259, 12, 'Педиатрический');
INSERT INTO `lang_definitions` VALUES (59851, 7260, 12, 'Страница');
INSERT INTO `lang_definitions` VALUES (59852, 7262, 12, 'Проверка страницы');
INSERT INTO `lang_definitions` VALUES (59853, 7263, 12, 'Страницы');
INSERT INTO `lang_definitions` VALUES (59854, 7264, 12, 'Оплатить');
INSERT INTO `lang_definitions` VALUES (59855, 7265, 12, 'Сумма оплаты, которую вы внесете');
INSERT INTO `lang_definitions` VALUES (59856, 7266, 12, 'Сумма');
INSERT INTO `lang_definitions` VALUES (59857, 7267, 12, 'Способ оплаты');
INSERT INTO `lang_definitions` VALUES (59858, 7268, 12, 'Боль');
INSERT INTO `lang_definitions` VALUES (59859, 7271, 12, 'Сердцебиения');
INSERT INTO `lang_definitions` VALUES (59860, 7275, 12, 'Мазок Папаниколау');
INSERT INTO `lang_definitions` VALUES (59861, 7277, 12, 'Размер бумаги');
INSERT INTO `lang_definitions` VALUES (59862, 7278, 12, 'Паралич');
INSERT INTO `lang_definitions` VALUES (59863, 7284, 12, 'Обработать HL7');
INSERT INTO `lang_definitions` VALUES (59864, 7289, 12, 'Партнерское');
INSERT INTO `lang_definitions` VALUES (59865, 7290, 12, 'Наименование партнера');
INSERT INTO `lang_definitions` VALUES (59866, 7294, 12, 'Пароль');
INSERT INTO `lang_definitions` VALUES (59867, 7295, 12, 'Пароль для шифрования документа');
INSERT INTO `lang_definitions` VALUES (59868, 7296, 12, 'Переданные пациенты');
INSERT INTO `lang_definitions` VALUES (59869, 7297, 12, 'Пассивное извещение');
INSERT INTO `lang_definitions` VALUES (59870, 7299, 12, 'Правила пассивных извещений');
INSERT INTO `lang_definitions` VALUES (59871, 7301, 12, 'Пароль');
INSERT INTO `lang_definitions` VALUES (59872, 7302, 12, 'Изменение пароля');
INSERT INTO `lang_definitions` VALUES (59873, 7304, 12, 'Изменение пароля выполнено успешно.');
INSERT INTO `lang_definitions` VALUES (59874, 7308, 12, 'Период действия пароля');
INSERT INTO `lang_definitions` VALUES (59875, 7310, 12, 'Пароль для телефонного шлюза. Автоматизированная служба VOIP предоставлена через Maviq. Посетите http://signup.maviq.com для получения дополнительной информации.');
INSERT INTO `lang_definitions` VALUES (59876, 7311, 12, 'Пароль для шлюза SMS');
INSERT INTO `lang_definitions` VALUES (59877, 7312, 12, 'Пароль для шлюза SMS.');
INSERT INTO `lang_definitions` VALUES (59878, 7314, 12, 'Надежность пароля недавно была улучшена.');
INSERT INTO `lang_definitions` VALUES (59879, 7319, 12, 'Пароль:');
INSERT INTO `lang_definitions` VALUES (59880, 7329, 12, 'Просроченный');
INSERT INTO `lang_definitions` VALUES (59881, 7330, 12, 'Просроченный');
INSERT INTO `lang_definitions` VALUES (59882, 7331, 12, 'Наивысший интервал ожидания (клинические напоминания)');
INSERT INTO `lang_definitions` VALUES (59883, 7332, 12, 'Наивысший интервал ожидания (напоминания для пациента)');
INSERT INTO `lang_definitions` VALUES (59884, 7333, 12, 'Список прошлых обращений');
INSERT INTO `lang_definitions` VALUES (59885, 7334, 12, 'Прошлые обращения');
INSERT INTO `lang_definitions` VALUES (59886, 7335, 12, 'Прошлые обращения и документы');
INSERT INTO `lang_definitions` VALUES (59887, 7336, 12, 'Прошлые обращения для');
INSERT INTO `lang_definitions` VALUES (59888, 7344, 12, 'Вставить данные HL7');
INSERT INTO `lang_definitions` VALUES (59889, 7345, 12, 'Вставьте в текстовую область ниже данные для импорта:');
INSERT INTO `lang_definitions` VALUES (59890, 7346, 12, 'Подходящий');
INSERT INTO `lang_definitions` VALUES (59891, 7348, 12, 'Исправление');
INSERT INTO `lang_definitions` VALUES (59892, 7355, 12, 'Путь для журнала резервного копирования событий');
INSERT INTO `lang_definitions` VALUES (59893, 7356, 12, 'Путь к файлу сертификата CA');
INSERT INTO `lang_definitions` VALUES (59894, 7357, 12, 'Путь к файлу ключа CA');
INSERT INTO `lang_definitions` VALUES (59895, 7358, 12, 'Путь к бинарникам MySQL');
INSERT INTO `lang_definitions` VALUES (59896, 7359, 12, 'Путь к бинарникам Perl');
INSERT INTO `lang_definitions` VALUES (59897, 7360, 12, 'Путь к временным файлам');
INSERT INTO `lang_definitions` VALUES (59898, 7361, 12, 'Пациент');
INSERT INTO `lang_definitions` VALUES (59899, 7362, 12, 'ПАЦИЕНТ');
INSERT INTO `lang_definitions` VALUES (59900, 7363, 12, 'пациент');
INSERT INTO `lang_definitions` VALUES (59901, 7365, 12, 'Адрес пациента');
INSERT INTO `lang_definitions` VALUES (59902, 7366, 12, 'Пропущен адрес пациента');
INSERT INTO `lang_definitions` VALUES (59903, 7369, 12, 'Аллергия у пациента');
INSERT INTO `lang_definitions` VALUES (59904, 7370, 12, 'Аллергия у пациента');
INSERT INTO `lang_definitions` VALUES (59905, 7373, 12, 'Запись на прием для пациента');
INSERT INTO `lang_definitions` VALUES (59906, 7379, 12, 'ID карты пациента');
INSERT INTO `lang_definitions` VALUES (59907, 7381, 12, 'Исполнительный расчет');
INSERT INTO `lang_definitions` VALUES (59908, 7382, 12, 'Исполнительный расчет для _');
INSERT INTO `lang_definitions` VALUES (59909, 7383, 12, 'Город пациента');
INSERT INTO `lang_definitions` VALUES (59910, 7384, 12, 'Пропущен город пациента');
INSERT INTO `lang_definitions` VALUES (59911, 7386, 12, 'Установка связи с пациентом');
INSERT INTO `lang_definitions` VALUES (59912, 7387, 12, 'Установка связи с пациентом');
INSERT INTO `lang_definitions` VALUES (59913, 7388, 12, 'Страна пациента');
INSERT INTO `lang_definitions` VALUES (59914, 7389, 12, 'Пропущена страна пациента. И в глобальных настройках она не установлена по умолчанию');
INSERT INTO `lang_definitions` VALUES (59915, 7394, 12, 'Данные по пациенту');
INSERT INTO `lang_definitions` VALUES (59916, 7396, 12, 'Пропущена дата рождения пациента');
INSERT INTO `lang_definitions` VALUES (59917, 7401, 12, 'Сведения о пациенте');
INSERT INTO `lang_definitions` VALUES (59918, 7402, 12, 'Дата рожд. пациента');
INSERT INTO `lang_definitions` VALUES (59919, 7404, 12, 'Документ пациента');
INSERT INTO `lang_definitions` VALUES (59920, 7410, 12, 'Образование пациента');
INSERT INTO `lang_definitions` VALUES (59921, 7411, 12, 'Сведения об образовании пациента');
INSERT INTO `lang_definitions` VALUES (59922, 7412, 12, 'Обращение пациента');
INSERT INTO `lang_definitions` VALUES (59923, 7413, 12, 'Форма обращения пациента');
INSERT INTO `lang_definitions` VALUES (59924, 7414, 12, 'Обращения пациента');
INSERT INTO `lang_definitions` VALUES (59925, 7415, 12, 'Указатель для поиска пациента');
INSERT INTO `lang_definitions` VALUES (59926, 7417, 12, 'Имя пациента');
INSERT INTO `lang_definitions` VALUES (59927, 7419, 12, 'Пропущено имя пациента');
INSERT INTO `lang_definitions` VALUES (59928, 7424, 12, 'Пол пациента');
INSERT INTO `lang_definitions` VALUES (59929, 7425, 12, 'Пропущен пол пациента');
INSERT INTO `lang_definitions` VALUES (59930, 7426, 12, 'Пациенту доступ к порталу не разрешен.');
INSERT INTO `lang_definitions` VALUES (59931, 7428, 12, 'Анамнез пациента');
INSERT INTO `lang_definitions` VALUES (59932, 7429, 12, 'Анамнез/образ жизни пациента');
INSERT INTO `lang_definitions` VALUES (59933, 7430, 12, 'Домашний телефон пациента');
INSERT INTO `lang_definitions` VALUES (59934, 7431, 12, 'ID пациента');
INSERT INTO `lang_definitions` VALUES (59935, 7433, 12, 'ID карты пациента');
INSERT INTO `lang_definitions` VALUES (59936, 7434, 12, 'Наименование категории для ID пациента');
INSERT INTO `lang_definitions` VALUES (59937, 7437, 12, 'Вакцинация пациента');
INSERT INTO `lang_definitions` VALUES (59938, 7438, 12, 'Информация о пациенте');
INSERT INTO `lang_definitions` VALUES (59939, 7440, 12, 'Инструкции для пациента');
INSERT INTO `lang_definitions` VALUES (59940, 7441, 12, 'Реализация страхования пациента');
INSERT INTO `lang_definitions` VALUES (59941, 7442, 12, 'Отчет о предоставленной страховке пациента');
INSERT INTO `lang_definitions` VALUES (59942, 7445, 12, 'Проблемы пациента');
INSERT INTO `lang_definitions` VALUES (59943, 7447, 12, 'Фамилия пациента');
INSERT INTO `lang_definitions` VALUES (59944, 7449, 12, 'Пропущена фамилия пациента');
INSERT INTO `lang_definitions` VALUES (59945, 7454, 12, 'Список пациента');
INSERT INTO `lang_definitions` VALUES (59946, 7460, 12, 'Ошибки поиска пациента');
INSERT INTO `lang_definitions` VALUES (59947, 7463, 12, 'Медицинские проблемы пациента');
INSERT INTO `lang_definitions` VALUES (59948, 7464, 12, 'Медикаменты для пациента');
INSERT INTO `lang_definitions` VALUES (59949, 7470, 12, 'Наименование пациента');
INSERT INTO `lang_definitions` VALUES (59950, 7472, 12, 'Фамилия и адрес пациента');
INSERT INTO `lang_definitions` VALUES (59951, 7475, 12, 'Наименование пациента обязательно');
INSERT INTO `lang_definitions` VALUES (59952, 7477, 12, 'Запись по пациенту');
INSERT INTO `lang_definitions` VALUES (59953, 7478, 12, 'Типы записей по пациенту');
INSERT INTO `lang_definitions` VALUES (59954, 7479, 12, 'Записи по пациенту');
INSERT INTO `lang_definitions` VALUES (59955, 7480, 12, 'Записи по пациенту (write,addonly необязательно)');
INSERT INTO `lang_definitions` VALUES (59956, 7482, 12, 'Номер пациента');
INSERT INTO `lang_definitions` VALUES (59957, 7483, 12, 'Исполнительная оплата по пациенту');
INSERT INTO `lang_definitions` VALUES (59958, 7485, 12, 'Наименование категории для фотографии пациента');
INSERT INTO `lang_definitions` VALUES (59959, 7487, 12, 'Портал пациента');
INSERT INTO `lang_definitions` VALUES (59960, 7492, 12, 'Портал пациента отключен');
INSERT INTO `lang_definitions` VALUES (59961, 7493, 12, 'Вход в портал пациента');
INSERT INTO `lang_definitions` VALUES (59962, 7496, 12, 'Веб-адрес портала пациента');
INSERT INTO `lang_definitions` VALUES (59963, 7497, 12, 'Печатный отчет о пациенте');
INSERT INTO `lang_definitions` VALUES (59964, 7499, 12, 'Регистрационный отчет о пациенте');
INSERT INTO `lang_definitions` VALUES (59965, 7500, 12, 'Регистрационный запрос о пациенте');
INSERT INTO `lang_definitions` VALUES (59966, 7501, 12, 'Регистрационные запросы о пациенте');
INSERT INTO `lang_definitions` VALUES (59967, 7503, 12, 'Напоминание о пациенте');
INSERT INTO `lang_definitions` VALUES (59968, 7505, 12, 'Групповое использование напоминания о пациенте');
INSERT INTO `lang_definitions` VALUES (59969, 7507, 12, 'Правила напоминания о пациенте');
INSERT INTO `lang_definitions` VALUES (59970, 7508, 12, 'E-mail отправителя напоминаний о пациенте');
INSERT INTO `lang_definitions` VALUES (59971, 7509, 12, 'Фамилия отправителя напоминаний о пациенте');
INSERT INTO `lang_definitions` VALUES (59972, 7510, 12, 'Напоминания о пациенте');
INSERT INTO `lang_definitions` VALUES (59973, 7514, 12, 'Отчет о пациенте');
INSERT INTO `lang_definitions` VALUES (59974, 7518, 12, 'Запрос о пациенте');
INSERT INTO `lang_definitions` VALUES (59975, 7519, 12, 'Запрошенные истории болезни пациента');
INSERT INTO `lang_definitions` VALUES (59976, 7521, 12, 'Результаты по пациенту');
INSERT INTO `lang_definitions` VALUES (59977, 7525, 12, 'Стиль выполнения поиска пациента');
INSERT INTO `lang_definitions` VALUES (59978, 7526, 12, 'Отображение поиска/добавления пациента');
INSERT INTO `lang_definitions` VALUES (59979, 7528, 12, 'Настройка по пациенту');
INSERT INTO `lang_definitions` VALUES (59980, 7533, 12, 'Состояние пациента');
INSERT INTO `lang_definitions` VALUES (59981, 7539, 12, 'Итог по пациенту');
INSERT INTO `lang_definitions` VALUES (59982, 7542, 12, 'Транзакции по пациенту');
INSERT INTO `lang_definitions` VALUES (59983, 7546, 12, 'Почтовый индекс пациента');
INSERT INTO `lang_definitions` VALUES (59984, 7549, 12, 'пациент(ы) в базе данных, которому соответствует информация по введенным персональным данным.');
INSERT INTO `lang_definitions` VALUES (59985, 7550, 12, 'Пациент/посетитель');
INSERT INTO `lang_definitions` VALUES (59986, 7551, 12, 'Пациент:');
INSERT INTO `lang_definitions` VALUES (59987, 7552, 12, 'ID пац.');
INSERT INTO `lang_definitions` VALUES (59988, 7553, 12, 'Пациенты');
INSERT INTO `lang_definitions` VALUES (59989, 7559, 12, 'Оплата');
INSERT INTO `lang_definitions` VALUES (59990, 7560, 12, 'Обратите внимание на флажки \"Готово с\". После завершения заполнения страхования мы будем просить пациента оплатить остаток; если не заполните всю страховку, то оставшаяся сумма не будет собрана! Также, если имеется оставшаяся сумма, которую пациент должен оплатить, установите положенный срок надлежащим образом, так как это скажется на формулировке, которая предоставляется по калькуляции пациента.');
INSERT INTO `lang_definitions` VALUES (59991, 7563, 12, 'Дата оплаты:');
INSERT INTO `lang_definitions` VALUES (59992, 7566, 12, 'Статус платы');
INSERT INTO `lang_definitions` VALUES (59993, 7567, 12, 'Наименование получателя платежа');
INSERT INTO `lang_definitions` VALUES (59994, 7568, 12, 'Плательщик');
INSERT INTO `lang_definitions` VALUES (59995, 7572, 12, 'Тип плательщика');
INSERT INTO `lang_definitions` VALUES (59996, 7573, 12, 'Платеж');
INSERT INTO `lang_definitions` VALUES (59997, 7574, 12, 'Оплачивающее лицо');
INSERT INTO `lang_definitions` VALUES (59998, 7575, 12, 'Оплата');
INSERT INTO `lang_definitions` VALUES (59999, 7576, 12, 'оплата');
INSERT INTO `lang_definitions` VALUES (60000, 7577, 12, 'Код корректировки оплаты');
INSERT INTO `lang_definitions` VALUES (60001, 7579, 12, 'Сумма к оплате');
INSERT INTO `lang_definitions` VALUES (60002, 7580, 12, 'Сумма к оплате должна быть цифровой');
INSERT INTO `lang_definitions` VALUES (60003, 7581, 12, 'Категория оплаты');
INSERT INTO `lang_definitions` VALUES (60004, 7583, 12, 'Дата платежа');
INSERT INTO `lang_definitions` VALUES (60005, 7584, 12, 'оплата, внесенная на');
INSERT INTO `lang_definitions` VALUES (60006, 7585, 12, 'Оплата от');
INSERT INTO `lang_definitions` VALUES (60007, 7588, 12, 'Вст. оплаты');
INSERT INTO `lang_definitions` VALUES (60008, 7589, 12, 'Список оплаты');
INSERT INTO `lang_definitions` VALUES (60009, 7590, 12, 'Метод оплаты');
INSERT INTO `lang_definitions` VALUES (60010, 7592, 12, 'Сортировка оплаты по');
INSERT INTO `lang_definitions` VALUES (60011, 7593, 12, 'Статус оплаты');
INSERT INTO `lang_definitions` VALUES (60012, 7597, 12, 'Тип оплаты');
INSERT INTO `lang_definitions` VALUES (60013, 7600, 12, 'Значение оплаты для кода');
INSERT INTO `lang_definitions` VALUES (60014, 7602, 12, 'Платежи');
INSERT INTO `lang_definitions` VALUES (60015, 7606, 12, 'PCP');
INSERT INTO `lang_definitions` VALUES (60016, 7610, 12, 'PDF');
INSERT INTO `lang_definitions` VALUES (60017, 7614, 12, 'Загруженные в PDF выбранные заявки');
INSERT INTO `lang_definitions` VALUES (60018, 7620, 12, 'Область таза и ягодиц');
INSERT INTO `lang_definitions` VALUES (60019, 7621, 12, 'Пузырчатка');
INSERT INTO `lang_definitions` VALUES (60020, 7624, 12, 'Ожидающий');
INSERT INTO `lang_definitions` VALUES (60021, 7629, 12, 'Ожидающий прод.');
INSERT INTO `lang_definitions` VALUES (60022, 7630, 12, 'Ожидающий продолжения');
INSERT INTO `lang_definitions` VALUES (60023, 7631, 12, 'Ожидание ответа результатов');
INSERT INTO `lang_definitions` VALUES (60024, 7632, 12, 'Ожидающие назначения');
INSERT INTO `lang_definitions` VALUES (60025, 7633, 12, 'Ожидающие иссл.');
INSERT INTO `lang_definitions` VALUES (60026, 7634, 12, 'Ожидающий просмотра');
INSERT INTO `lang_definitions` VALUES (60027, 7635, 12, 'Ожидающий подсчета Rx');
INSERT INTO `lang_definitions` VALUES (60028, 7638, 12, 'OpenEMR для фирмы Pennington v');
INSERT INTO `lang_definitions` VALUES (60029, 7641, 12, 'Язвенная болезнь');
INSERT INTO `lang_definitions` VALUES (60030, 7642, 12, 'в мин.');
INSERT INTO `lang_definitions` VALUES (60031, 7643, 12, 'В ноздрю');
INSERT INTO `lang_definitions` VALUES (60032, 7644, 12, 'Перорально');
INSERT INTO `lang_definitions` VALUES (60033, 7645, 12, 'перорально');
INSERT INTO `lang_definitions` VALUES (60034, 7646, 12, 'Ректально');
INSERT INTO `lang_definitions` VALUES (60035, 7647, 12, 'ректально');
INSERT INTO `lang_definitions` VALUES (60036, 7648, 12, 'Процент');
INSERT INTO `lang_definitions` VALUES (60037, 7652, 12, 'Процентиль');
INSERT INTO `lang_definitions` VALUES (60038, 7653, 12, 'Перфорированный справа:');
INSERT INTO `lang_definitions` VALUES (60039, 7654, 12, 'Выполнить поиск');
INSERT INTO `lang_definitions` VALUES (60040, 7655, 12, 'Выполняет это действие');
INSERT INTO `lang_definitions` VALUES (60041, 7656, 12, 'Предоставить в процентах');
INSERT INTO `lang_definitions` VALUES (60042, 7659, 12, 'Выполнение лабораторной услуги');
INSERT INTO `lang_definitions` VALUES (60043, 7661, 12, 'Период');
INSERT INTO `lang_definitions` VALUES (60044, 7662, 12, 'Период в днях, когда пользователь может войти в систему с истекшим паролем.');
INSERT INTO `lang_definitions` VALUES (60045, 7663, 12, 'Периоперационное лечение');
INSERT INTO `lang_definitions` VALUES (60046, 7665, 12, 'Периферический');
INSERT INTO `lang_definitions` VALUES (60047, 7671, 12, 'Человек');
INSERT INTO `lang_definitions` VALUES (60048, 7672, 12, 'Персонализация');
INSERT INTO `lang_definitions` VALUES (60049, 7675, 12, 'PG');
INSERT INTO `lang_definitions` VALUES (60050, 7676, 12, 'Апт.');
INSERT INTO `lang_definitions` VALUES (60051, 7677, 12, 'Общ. апт. счет');
INSERT INTO `lang_definitions` VALUES (60052, 7678, 12, 'Аптеки');
INSERT INTO `lang_definitions` VALUES (60053, 7680, 12, 'Аптека');
INSERT INTO `lang_definitions` VALUES (60054, 7681, 12, 'Аптечное отделение');
INSERT INTO `lang_definitions` VALUES (60055, 7688, 12, 'Пневмоторакс');
INSERT INTO `lang_definitions` VALUES (60056, 7697, 12, 'Телефон');
INSERT INTO `lang_definitions` VALUES (60057, 7699, 12, 'Список телефонных звонков');
INSERT INTO `lang_definitions` VALUES (60058, 7705, 12, 'Пароль для телефонного шлюза');
INSERT INTO `lang_definitions` VALUES (60059, 7706, 12, 'URL для телефонного шлюза');
INSERT INTO `lang_definitions` VALUES (60060, 7707, 12, 'Имя пользователя для шлюза телефона');
INSERT INTO `lang_definitions` VALUES (60061, 7709, 12, 'Время телефонограммы');
INSERT INTO `lang_definitions` VALUES (60062, 7711, 12, 'Номер телефона');
INSERT INTO `lang_definitions` VALUES (60063, 7715, 12, 'Светобоязнь');
INSERT INTO `lang_definitions` VALUES (60064, 7716, 12, 'Фото');
INSERT INTO `lang_definitions` VALUES (60065, 7717, 12, 'PHP сжат');
INSERT INTO `lang_definitions` VALUES (60066, 7718, 12, 'Модуль CURL для PHP на вашем сервере должен быть включен.');
INSERT INTO `lang_definitions` VALUES (60067, 7720, 12, 'PHP извлечен');
INSERT INTO `lang_definitions` VALUES (60068, 7721, 12, 'управление доступом php-GACL отключено');
INSERT INTO `lang_definitions` VALUES (60069, 7722, 12, 'PHP-gacl не установлен');
INSERT INTO `lang_definitions` VALUES (60070, 7723, 12, 'Физикальное обследование');
INSERT INTO `lang_definitions` VALUES (60071, 7725, 12, 'Врачебный запрос');
INSERT INTO `lang_definitions` VALUES (60072, 7726, 12, 'Подпись врача');
INSERT INTO `lang_definitions` VALUES (60073, 7729, 12, 'Терапевты');
INSERT INTO `lang_definitions` VALUES (60074, 7733, 12, 'выбрать');
INSERT INTO `lang_definitions` VALUES (60075, 7734, 12, 'Выбрать');
INSERT INTO `lang_definitions` VALUES (60076, 7735, 12, 'Выберите тему CSS.');
INSERT INTO `lang_definitions` VALUES (60077, 7738, 12, 'ВЗМТ');
INSERT INTO `lang_definitions` VALUES (60078, 7740, 12, 'ВЗМТ (Воспалительные заболевания малого таза)');
INSERT INTO `lang_definitions` VALUES (60079, 7741, 12, 'Размер пилюли');
INSERT INTO `lang_definitions` VALUES (60080, 7742, 12, 'Пилюли');
INSERT INTO `lang_definitions` VALUES (60081, 7745, 12, 'Если нужна эта опция для установки, то разместите файл zip базы данных в следующую директорию');
INSERT INTO `lang_definitions` VALUES (60082, 7752, 12, 'Метка-заполнитель');
INSERT INTO `lang_definitions` VALUES (60083, 7753, 12, 'Метка-заполнитель (поддерживает пустой ACLs)');
INSERT INTO `lang_definitions` VALUES (60084, 7756, 12, 'Простой текст');
INSERT INTO `lang_definitions` VALUES (60085, 7757, 12, 'План');
INSERT INTO `lang_definitions` VALUES (60086, 7762, 12, 'Название программы');
INSERT INTO `lang_definitions` VALUES (60087, 7768, 12, 'Установка программы');
INSERT INTO `lang_definitions` VALUES (60088, 7773, 12, 'План:');
INSERT INTO `lang_definitions` VALUES (60089, 7776, 12, 'Программы');
INSERT INTO `lang_definitions` VALUES (60090, 7778, 12, 'Участник');
INSERT INTO `lang_definitions` VALUES (60091, 7779, 12, 'Размещение участника');
INSERT INTO `lang_definitions` VALUES (60092, 7780, 12, 'Позвоните, если любое из указанной информации неверно');
INSERT INTO `lang_definitions` VALUES (60093, 7784, 12, 'Измените свой пароль.');
INSERT INTO `lang_definitions` VALUES (60094, 7785, 12, 'Выберите файл');
INSERT INTO `lang_definitions` VALUES (60095, 7786, 12, 'Выберите пациента');
INSERT INTO `lang_definitions` VALUES (60096, 7787, 12, 'Отметьте нужное из списка.');
INSERT INTO `lang_definitions` VALUES (60097, 7788, 12, 'Отметьте нужное.');
INSERT INTO `lang_definitions` VALUES (60098, 7789, 12, 'Назначьте значение для');
INSERT INTO `lang_definitions` VALUES (60099, 7790, 12, 'Отметьте выше критерий диапазона для даты и нажмите Обновить для просмотра результатов.');
INSERT INTO `lang_definitions` VALUES (60100, 7791, 12, 'Выберите файл EDI-271 с нужным форматированием');
INSERT INTO `lang_definitions` VALUES (60101, 7792, 12, 'Нажмите кнопку загрузки для загрузки данных де-идентификации');
INSERT INTO `lang_definitions` VALUES (60102, 7793, 12, 'Нажмите кнопку загрузки для загрузки данных повторной иденификации');
INSERT INTO `lang_definitions` VALUES (60103, 7795, 12, 'Закройте это окно.');
INSERT INTO `lang_definitions` VALUES (60104, 7796, 12, 'Сравните на соответствие новое наименование');
INSERT INTO `lang_definitions` VALUES (60105, 7805, 12, 'Не признавайте это назначение, пока не получите его через факсимиле.');
INSERT INTO `lang_definitions` VALUES (60106, 7806, 12, 'Не признавайте это назначение, пока не получите его через факсимиле.');
INSERT INTO `lang_definitions` VALUES (60107, 7807, 12, 'НЕ используйте кнопку остановки или перезагрузки браузера, пока выполняется эта страница, если не прошло более 10 минут, это не вызовет остановку этого процесса на сервере и будет расходовать ненужные ресурсы.');
INSERT INTO `lang_definitions` VALUES (60108, 7808, 12, 'ВКЛЮЧИТЕ РАСШИРЕНИЕ CURL');
INSERT INTO `lang_definitions` VALUES (60109, 7809, 12, 'ВКЛЮЧИТЕ РАСШИРЕНИЕ OPENSSL');
INSERT INTO `lang_definitions` VALUES (60110, 7810, 12, 'ВКЛЮЧИТЕ РАСШИРЕНИЕ SOAP');
INSERT INTO `lang_definitions` VALUES (60111, 7811, 12, 'ВКЛЮЧИТЕ РАСШИРЕНИЕ XML');
INSERT INTO `lang_definitions` VALUES (60112, 7813, 12, 'Введите дату для последнего рассмотрения.');
INSERT INTO `lang_definitions` VALUES (60113, 7814, 12, 'Введите дату.');
INSERT INTO `lang_definitions` VALUES (60114, 7816, 12, 'Введите надлежащую дату');
INSERT INTO `lang_definitions` VALUES (60115, 7818, 12, 'Введите сообщение');
INSERT INTO `lang_definitions` VALUES (60116, 7819, 12, 'Введите денежную сумму, используя только числа и десятичную точку.');
INSERT INTO `lang_definitions` VALUES (60117, 7821, 12, 'Введите новый пароль');
INSERT INTO `lang_definitions` VALUES (60118, 7822, 12, 'Введите название!');
INSERT INTO `lang_definitions` VALUES (60119, 7828, 12, 'Введите правильный код повторной идентификации');
INSERT INTO `lang_definitions` VALUES (60120, 7832, 12, 'Введите новую строку поиска');
INSERT INTO `lang_definitions` VALUES (60121, 7833, 12, 'Введите этот правильный код повторной идентификации');
INSERT INTO `lang_definitions` VALUES (60122, 7834, 12, 'Введите новый пароль.');
INSERT INTO `lang_definitions` VALUES (60123, 7843, 12, 'Введите номер чека');
INSERT INTO `lang_definitions` VALUES (60124, 7845, 12, 'Введите дату');
INSERT INTO `lang_definitions` VALUES (60125, 7846, 12, 'Введите сумму оплаты');
INSERT INTO `lang_definitions` VALUES (60126, 7847, 12, 'Введите категорию оплаты');
INSERT INTO `lang_definitions` VALUES (60127, 7848, 12, 'Введите оплату от');
INSERT INTO `lang_definitions` VALUES (60128, 7849, 12, 'Введите отправку до даты');
INSERT INTO `lang_definitions` VALUES (60129, 7850, 12, 'Заполните их перед продолжением.');
INSERT INTO `lang_definitions` VALUES (60130, 7854, 12, 'Укажите причину посещения');
INSERT INTO `lang_definitions` VALUES (60131, 7856, 12, 'Введите выше критерий поиска и кликните Предоставить для обзора результатов.');
INSERT INTO `lang_definitions` VALUES (60132, 7857, 12, 'Введите выше критерий поиска и кликните Предоставить для обзора результатов. (Результаты будут отображены во всплывающем окне)');
INSERT INTO `lang_definitions` VALUES (60133, 7858, 12, 'Войдите в систему повторно.');
INSERT INTO `lang_definitions` VALUES (60134, 7859, 12, 'Обратите внимание, что это может занять очень долгое время, вплоть до нескольких минут, браузер может казаться зависшим в течение этого времени, но создание счета является сложным процессом и веб-браузер просто ждет получения дополнительной информации.');
INSERT INTO `lang_definitions` VALUES (60135, 7860, 12, 'Обратите внимание: константы являются регистрочувствительными и допускаются любые строки.');
INSERT INTO `lang_definitions` VALUES (60136, 7861, 12, 'Используйте только алфавитные символы');
INSERT INTO `lang_definitions` VALUES (60137, 7862, 12, 'Используйте только алфавитные символы без пробелов');
INSERT INTO `lang_definitions` VALUES (60138, 7863, 12, 'Оплатите эту сумму');
INSERT INTO `lang_definitions` VALUES (60139, 7867, 12, 'Обратитесь к');
INSERT INTO `lang_definitions` VALUES (60140, 7868, 12, 'Сбросьте пароль.');
INSERT INTO `lang_definitions` VALUES (60141, 7869, 12, 'Перезапустите сервер apache до исполнения исключения дублирования идентификации');
INSERT INTO `lang_definitions` VALUES (60142, 7877, 12, 'Выберите язык');
INSERT INTO `lang_definitions` VALUES (60143, 7878, 12, 'Выберите пациента.');
INSERT INTO `lang_definitions` VALUES (60144, 7879, 12, 'Выберите услугу основного коммерческого юридического лица с «ИНН» в качестве налогового кода. Если вы являетесь частным врачом, используйте свой ИНН. Он используется для идентификации вас в системе NewCrop.');
INSERT INTO `lang_definitions` VALUES (60145, 7882, 12, 'Выберите получателя');
INSERT INTO `lang_definitions` VALUES (60146, 7884, 12, 'Выберите начальную и конечную даты');
INSERT INTO `lang_definitions` VALUES (60147, 7885, 12, 'Выберите допустимого получателя');
INSERT INTO `lang_definitions` VALUES (60148, 7888, 12, 'Выберите причину корректировки для кода');
INSERT INTO `lang_definitions` VALUES (60149, 7889, 12, 'Выберите событие');
INSERT INTO `lang_definitions` VALUES (60150, 7891, 12, 'Выберите любой вариант поиска.');
INSERT INTO `lang_definitions` VALUES (60151, 7894, 12, 'Выберите, по крайней мере, одно назначение!');
INSERT INTO `lang_definitions` VALUES (60152, 7899, 12, 'Выберите нужные страницы для копирования или далее:');
INSERT INTO `lang_definitions` VALUES (60153, 7900, 12, 'Выберите метод оплаты');
INSERT INTO `lang_definitions` VALUES (60154, 7905, 12, 'Выберите партнера X12, требуемого для создания пакета 270');
INSERT INTO `lang_definitions` VALUES (60155, 7906, 12, 'Установите');
INSERT INTO `lang_definitions` VALUES (60156, 7907, 12, 'Установите переменную de_identification_config обратно на ноль');
INSERT INTO `lang_definitions` VALUES (60157, 7910, 12, 'Запустите новую обработку исключения дублирования идентификации');
INSERT INTO `lang_definitions` VALUES (60158, 7913, 12, 'Модернизируйте базу данных OpenEMR для включения методик де-идентификации, функции, таблиц');
INSERT INTO `lang_definitions` VALUES (60159, 7915, 12, 'За дополнительными сведениями обратитесь к лог-таблице по ошибкам де-идентификации');
INSERT INTO `lang_definitions` VALUES (60160, 7916, 12, 'Через некоторое время перейдите на экран снятия идентификации');
INSERT INTO `lang_definitions` VALUES (60161, 7917, 12, 'Через некоторое время перейдите на экран повторной идентификации');
INSERT INTO `lang_definitions` VALUES (60162, 7918, 12, 'Через некоторое время перейдите на экран');
INSERT INTO `lang_definitions` VALUES (60163, 7926, 12, 'после полудня');
INSERT INTO `lang_definitions` VALUES (60164, 7927, 12, 'Послеполуденная программа');
INSERT INTO `lang_definitions` VALUES (60165, 7933, 12, 'Способ Pmt');
INSERT INTO `lang_definitions` VALUES (60166, 7934, 12, 'Синдром ночного апноэ');
INSERT INTO `lang_definitions` VALUES (60167, 7935, 12, 'Коньюгированный с пневмококком 1');
INSERT INTO `lang_definitions` VALUES (60168, 7936, 12, 'Коньюгированный с пневмококком 2');
INSERT INTO `lang_definitions` VALUES (60169, 7937, 12, 'Коньюгированный с пневмококком 3');
INSERT INTO `lang_definitions` VALUES (60170, 7938, 12, 'Коньюгированный с пневмококком 4');
INSERT INTO `lang_definitions` VALUES (60171, 7939, 12, 'Пневмококковая вакцина');
INSERT INTO `lang_definitions` VALUES (60172, 7940, 12, 'Противопневмококковая прививка');
INSERT INTO `lang_definitions` VALUES (60173, 7941, 12, 'Статус прививки от пневмонии для пожилых взрослых');
INSERT INTO `lang_definitions` VALUES (60174, 7942, 12, 'Статус прививки от пневмонии для пожилых взрослых (CQM)');
INSERT INTO `lang_definitions` VALUES (60175, 7943, 12, 'Ортопедический');
INSERT INTO `lang_definitions` VALUES (60176, 7946, 12, 'Место оказания помощи (POS)');
INSERT INTO `lang_definitions` VALUES (60177, 7947, 12, 'Полис');
INSERT INTO `lang_definitions` VALUES (60178, 7950, 12, '№ полиса');
INSERT INTO `lang_definitions` VALUES (60179, 7951, 12, 'Номер полиса');
INSERT INTO `lang_definitions` VALUES (60180, 7952, 12, 'Польский');
INSERT INTO `lang_definitions` VALUES (60181, 7953, 12, 'Полидипсия');
INSERT INTO `lang_definitions` VALUES (60182, 7955, 12, 'Полипы');
INSERT INTO `lang_definitions` VALUES (60183, 7956, 12, 'Полиурия');
INSERT INTO `lang_definitions` VALUES (60184, 7957, 12, 'Плохой аппетит');
INSERT INTO `lang_definitions` VALUES (60185, 7958, 12, 'Нарушение кровообращения');
INSERT INTO `lang_definitions` VALUES (60186, 7959, 12, 'Снижение слуха');
INSERT INTO `lang_definitions` VALUES (60187, 7962, 12, 'Всплывающие заметки должны быть включены, чтобы отобразиться в этих отчетах');
INSERT INTO `lang_definitions` VALUES (60188, 7964, 12, 'Заполнить обзор года событиями?');
INSERT INTO `lang_definitions` VALUES (60189, 7965, 12, 'Всплывающее меню');
INSERT INTO `lang_definitions` VALUES (60190, 7969, 12, 'Активность портала');
INSERT INTO `lang_definitions` VALUES (60191, 7985, 12, 'Португальский');
INSERT INTO `lang_definitions` VALUES (60192, 7987, 12, 'Португальский (бразильский)');
INSERT INTO `lang_definitions` VALUES (60193, 7988, 12, 'Португальский (европейский)');
INSERT INTO `lang_definitions` VALUES (60194, 7989, 12, 'Код POS');
INSERT INTO `lang_definitions` VALUES (60195, 7992, 12, 'Положительное');
INSERT INTO `lang_definitions` VALUES (60196, 7993, 12, 'Точно');
INSERT INTO `lang_definitions` VALUES (60197, 7996, 12, 'Отправить для');
INSERT INTO `lang_definitions` VALUES (60198, 7998, 12, 'Капли в нос');
INSERT INTO `lang_definitions` VALUES (60199, 8000, 12, 'Отправить платеж');
INSERT INTO `lang_definitions` VALUES (60200, 8001, 12, 'Послеоперационный');
INSERT INTO `lang_definitions` VALUES (60201, 8002, 12, 'Отправить для аккаунта и пометить как оплаченное');
INSERT INTO `lang_definitions` VALUES (60202, 8003, 12, 'Оплачено на дату');
INSERT INTO `lang_definitions` VALUES (60203, 8004, 12, 'Оплачено на дату не может быть позже сегодняшнего дня');
INSERT INTO `lang_definitions` VALUES (60204, 8006, 12, 'Оплатить на дату должно быть позже даты финансового закрытия.');
INSERT INTO `lang_definitions` VALUES (60205, 8007, 12, 'Послеабортное лечение');
INSERT INTO `lang_definitions` VALUES (60206, 8008, 12, 'Контрацепция после аборта');
INSERT INTO `lang_definitions` VALUES (60207, 8009, 12, 'Консультация после аборта');
INSERT INTO `lang_definitions` VALUES (60208, 8010, 12, 'Последствия аборта');
INSERT INTO `lang_definitions` VALUES (60209, 8011, 12, 'Почтовый');
INSERT INTO `lang_definitions` VALUES (60210, 8012, 12, 'Почтовый индекс');
INSERT INTO `lang_definitions` VALUES (60211, 8013, 12, 'Почтовый индекс');
INSERT INTO `lang_definitions` VALUES (60212, 8015, 12, 'PostCalendar');
INSERT INTO `lang_definitions` VALUES (60213, 8016, 12, 'Администрирование PostCalendar');
INSERT INTO `lang_definitions` VALUES (60214, 8017, 12, 'Настройка категории PostCalendar');
INSERT INTO `lang_definitions` VALUES (60215, 8018, 12, 'Глобальные параметры настройки PostCalendar');
INSERT INTO `lang_definitions` VALUES (60216, 8023, 12, 'Опубликовано в');
INSERT INTO `lang_definitions` VALUES (60217, 8026, 12, 'Дата отправки');
INSERT INTO `lang_definitions` VALUES (60218, 8032, 12, 'Задействовано через');
INSERT INTO `lang_definitions` VALUES (60219, 8033, 12, 'PPE + Prev Med/Surg Hx');
INSERT INTO `lang_definitions` VALUES (60220, 8034, 12, 'PQRI');
INSERT INTO `lang_definitions` VALUES (60221, 8035, 12, 'Регистрационный ID для PQRI');
INSERT INTO `lang_definitions` VALUES (60222, 8036, 12, 'Регистрационный имя для PQRI');
INSERT INTO `lang_definitions` VALUES (60223, 8037, 12, 'Лечебная практика');
INSERT INTO `lang_definitions` VALUES (60224, 8038, 12, 'Настройка врачебной деятельности по умолчанию');
INSERT INTO `lang_definitions` VALUES (60225, 8039, 12, 'Окружение врачебной деятельности');
INSERT INTO `lang_definitions` VALUES (60226, 8041, 12, 'Исполнитель');
INSERT INTO `lang_definitions` VALUES (60227, 8044, 12, 'Предоплата');
INSERT INTO `lang_definitions` VALUES (60228, 8045, 12, 'Консультация перед прерыванием беременности');
INSERT INTO `lang_definitions` VALUES (60229, 8046, 12, 'Консилиум перед прерыванием беременности');
INSERT INTO `lang_definitions` VALUES (60230, 8048, 12, 'Предп. кат.');
INSERT INTO `lang_definitions` VALUES (60231, 8050, 12, 'Предпочтения');
INSERT INTO `lang_definitions` VALUES (60232, 8052, 12, 'Предпочитаемая категория события');
INSERT INTO `lang_definitions` VALUES (60233, 8053, 12, 'Предпочитаемый язык');
INSERT INTO `lang_definitions` VALUES (60234, 8054, 12, 'Предпочитаемая аптека');
INSERT INTO `lang_definitions` VALUES (60235, 8055, 12, 'Предпочитаемое медицинское учреждение (PPO)');
INSERT INTO `lang_definitions` VALUES (60236, 8056, 12, 'Тест на беременность');
INSERT INTO `lang_definitions` VALUES (60237, 8057, 12, 'Предварительное');
INSERT INTO `lang_definitions` VALUES (60238, 8059, 12, 'Предоплата');
INSERT INTO `lang_definitions` VALUES (60239, 8061, 12, 'Назначение');
INSERT INTO `lang_definitions` VALUES (60240, 8063, 12, 'назначение достигло своего предела');
INSERT INTO `lang_definitions` VALUES (60241, 8064, 12, 'Хронология назначений');
INSERT INTO `lang_definitions` VALUES (60242, 8065, 12, 'Импорт хронологии назначений завершен успешно');
INSERT INTO `lang_definitions` VALUES (60243, 8066, 12, 'Метка назначения');
INSERT INTO `lang_definitions` VALUES (60244, 8067, 12, 'Отчет о назначениях');
INSERT INTO `lang_definitions` VALUES (60245, 8070, 12, 'Назначения');
INSERT INTO `lang_definitions` VALUES (60246, 8073, 12, 'Назначения и выполнение');
INSERT INTO `lang_definitions` VALUES (60247, 8074, 12, 'Назначения и другие направления');
INSERT INTO `lang_definitions` VALUES (60248, 8075, 12, 'Назначения и/или направление по специалистам');
INSERT INTO `lang_definitions` VALUES (60249, 8076, 12, 'Отчет о назначениях');
INSERT INTO `lang_definitions` VALUES (60250, 8077, 12, 'Назначения/направления');
INSERT INTO `lang_definitions` VALUES (60251, 8078, 12, 'Имеется');
INSERT INTO `lang_definitions` VALUES (60252, 8079, 12, 'Имеющаяся жалоба');
INSERT INTO `lang_definitions` VALUES (60253, 8081, 12, 'Нажмите Продолжить для перехода');
INSERT INTO `lang_definitions` VALUES (60254, 8084, 12, 'Предполагаемый диагноз');
INSERT INTO `lang_definitions` VALUES (60255, 8085, 12, 'Предполагаемый диагноз по специалисту');
INSERT INTO `lang_definitions` VALUES (60256, 8086, 12, 'Пред.');
INSERT INTO `lang_definitions` VALUES (60257, 8087, 12, 'Пред. тер./хир. Hx');
INSERT INTO `lang_definitions` VALUES (60258, 8088, 12, 'Пред. месяц (фиксация в меню)');
INSERT INTO `lang_definitions` VALUES (60259, 8089, 12, 'Пред. год (фиксация в меню)');
INSERT INTO `lang_definitions` VALUES (60260, 8091, 12, 'Профилактическое лечение');
INSERT INTO `lang_definitions` VALUES (60261, 8094, 12, 'Предпросмотр события');
INSERT INTO `lang_definitions` VALUES (60262, 8097, 12, 'Предпросмотр для');
INSERT INTO `lang_definitions` VALUES (60263, 8098, 12, 'Предыдущий');
INSERT INTO `lang_definitions` VALUES (60264, 8099, 12, 'Предыдущие консультации');
INSERT INTO `lang_definitions` VALUES (60265, 8100, 12, 'Предыдущий день');
INSERT INTO `lang_definitions` VALUES (60266, 8102, 12, 'Предыдущие хронология/отображение');
INSERT INTO `lang_definitions` VALUES (60267, 8103, 12, 'Предыдущий месяц');
INSERT INTO `lang_definitions` VALUES (60268, 8104, 12, 'Предыдущая неделя');
INSERT INTO `lang_definitions` VALUES (60269, 8105, 12, 'Цена');
INSERT INTO `lang_definitions` VALUES (60270, 8108, 12, 'Скидка на цену');
INSERT INTO `lang_definitions` VALUES (60271, 8109, 12, 'Уровень цены');
INSERT INTO `lang_definitions` VALUES (60272, 8111, 12, 'Уровень цены:');
INSERT INTO `lang_definitions` VALUES (60273, 8113, 12, 'Цены');
INSERT INTO `lang_definitions` VALUES (60274, 8114, 12, 'Основное');
INSERT INTO `lang_definitions` VALUES (60275, 8115, 12, 'Основное юридическое лицо');
INSERT INTO `lang_definitions` VALUES (60276, 8116, 12, 'ИНН основного юридического лица используется как id учетной записи для NewCrop ePrescription. Изменение услуги вызовет обработку в NewCrop.');
INSERT INTO `lang_definitions` VALUES (60277, 8125, 12, 'Основное страх.');
INSERT INTO `lang_definitions` VALUES (60278, 8126, 12, 'Основное страхование');
INSERT INTO `lang_definitions` VALUES (60279, 8127, 12, 'Дата основного страхования');
INSERT INTO `lang_definitions` VALUES (60280, 8128, 12, 'Основной страховщик');
INSERT INTO `lang_definitions` VALUES (60281, 8129, 12, 'Основной специалист');
INSERT INTO `lang_definitions` VALUES (60282, 8130, 12, 'Печать');
INSERT INTO `lang_definitions` VALUES (60283, 8131, 12, 'Печать (HTML)');
INSERT INTO `lang_definitions` VALUES (60284, 8132, 12, 'Печать (PDF)');
INSERT INTO `lang_definitions` VALUES (60285, 8134, 12, 'Печатать любое обращение');
INSERT INTO `lang_definitions` VALUES (60286, 8135, 12, 'Вывести пустую форму направления');
INSERT INTO `lang_definitions` VALUES (60287, 8136, 12, 'Команда печати');
INSERT INTO `lang_definitions` VALUES (60288, 8143, 12, 'Формат печати');
INSERT INTO `lang_definitions` VALUES (60289, 8144, 12, 'Вывод панели четверки');
INSERT INTO `lang_definitions` VALUES (60290, 8147, 12, 'Печать сообщения');
INSERT INTO `lang_definitions` VALUES (60291, 8148, 12, 'Многократная печать');
INSERT INTO `lang_definitions` VALUES (60292, 8149, 12, 'Многократный вывод на факс');
INSERT INTO `lang_definitions` VALUES (60293, 8150, 12, 'Выводит фамилию, подпись и дату.');
INSERT INTO `lang_definitions` VALUES (60294, 8151, 12, 'Печать записей');
INSERT INTO `lang_definitions` VALUES (60295, 8152, 12, 'Печать страницы 1');
INSERT INTO `lang_definitions` VALUES (60296, 8153, 12, 'Печать страницы 2');
INSERT INTO `lang_definitions` VALUES (60297, 8156, 12, 'Вывести рецепты по специалисту');
INSERT INTO `lang_definitions` VALUES (60298, 8157, 12, 'Печать записи');
INSERT INTO `lang_definitions` VALUES (60299, 8163, 12, 'Печать выбранных заявок');
INSERT INTO `lang_definitions` VALUES (60300, 8164, 12, 'Печать части записи');
INSERT INTO `lang_definitions` VALUES (60301, 8166, 12, 'Печатать это обращение');
INSERT INTO `lang_definitions` VALUES (60302, 8168, 12, 'Печатать эту запись');
INSERT INTO `lang_definitions` VALUES (60303, 8169, 12, 'Печатать эту запись');
INSERT INTO `lang_definitions` VALUES (60304, 8171, 12, 'Вывод на факс');
INSERT INTO `lang_definitions` VALUES (60305, 8172, 12, 'Вид печати');
INSERT INTO `lang_definitions` VALUES (60306, 8173, 12, 'для печати');
INSERT INTO `lang_definitions` VALUES (60307, 8174, 12, 'Версия для печати');
INSERT INTO `lang_definitions` VALUES (60308, 8175, 12, 'Печатный');
INSERT INTO `lang_definitions` VALUES (60309, 8178, 12, 'Результаты для печати:');
INSERT INTO `lang_definitions` VALUES (60310, 8179, 12, 'Печать пропущена; см. тестовый вывод в');
INSERT INTO `lang_definitions` VALUES (60311, 8180, 12, 'Печать пропущена; см. тестовый вывод в');
INSERT INTO `lang_definitions` VALUES (60312, 8182, 12, 'Осн. разр.');
INSERT INTO `lang_definitions` VALUES (60313, 8184, 12, 'Форма основных разрешений');
INSERT INTO `lang_definitions` VALUES (60314, 8189, 12, 'Предварительное посещение');
INSERT INTO `lang_definitions` VALUES (60315, 8191, 12, 'Приоритет');
INSERT INTO `lang_definitions` VALUES (60316, 8192, 12, 'Приоритет');
INSERT INTO `lang_definitions` VALUES (60317, 8196, 12, 'Конфиденциально');
INSERT INTO `lang_definitions` VALUES (60318, 8197, 12, 'Проблема');
INSERT INTO `lang_definitions` VALUES (60319, 8198, 12, 'Проблема DX');
INSERT INTO `lang_definitions` VALUES (60320, 8199, 12, 'Список проблем');
INSERT INTO `lang_definitions` VALUES (60321, 8202, 12, 'Проблемы/жалобы');
INSERT INTO `lang_definitions` VALUES (60322, 8203, 12, 'Мет. груп.');
INSERT INTO `lang_definitions` VALUES (60323, 8204, 12, 'Мет. кат.');
INSERT INTO `lang_definitions` VALUES (60324, 8206, 12, 'Мет. ожид. Rev');
INSERT INTO `lang_definitions` VALUES (60325, 8208, 12, 'Мет. Res');
INSERT INTO `lang_definitions` VALUES (60326, 8209, 12, 'Методика');
INSERT INTO `lang_definitions` VALUES (60327, 8210, 12, 'Участок тела для процедуры');
INSERT INTO `lang_definitions` VALUES (60328, 8212, 12, 'Булевые результаты для методики');
INSERT INTO `lang_definitions` VALUES (60329, 8214, 12, 'Код методики');
INSERT INTO `lang_definitions` VALUES (60330, 8216, 12, 'Сторона применения методики');
INSERT INTO `lang_definitions` VALUES (60331, 8220, 12, 'Предписание процедур');
INSERT INTO `lang_definitions` VALUES (60332, 8223, 12, 'Предписание процедур для');
INSERT INTO `lang_definitions` VALUES (60333, 8232, 12, 'Отчет о методике');
INSERT INTO `lang_definitions` VALUES (60334, 8235, 12, 'Статус отчета по методике');
INSERT INTO `lang_definitions` VALUES (60335, 8237, 12, 'Отклонение результата методики от нормы');
INSERT INTO `lang_definitions` VALUES (60336, 8238, 12, 'Статус результата для методики');
INSERT INTO `lang_definitions` VALUES (60337, 8240, 12, 'Результаты методики');
INSERT INTO `lang_definitions` VALUES (60338, 8241, 12, 'Способ введения для методики');
INSERT INTO `lang_definitions` VALUES (60339, 8243, 12, 'Типы биопроб для методик');
INSERT INTO `lang_definitions` VALUES (60340, 8245, 12, 'Статистический отчет для методики');
INSERT INTO `lang_definitions` VALUES (60341, 8248, 12, 'Тип методики');
INSERT INTO `lang_definitions` VALUES (60342, 8249, 12, 'Типы методик');
INSERT INTO `lang_definitions` VALUES (60343, 8251, 12, 'Единицы измерения для процедуры');
INSERT INTO `lang_definitions` VALUES (60344, 8254, 12, 'Процедуры');
INSERT INTO `lang_definitions` VALUES (60345, 8256, 12, 'Обработать');
INSERT INTO `lang_definitions` VALUES (60346, 8258, 12, 'Файл обработки ERA');
INSERT INTO `lang_definitions` VALUES (60347, 8263, 12, 'Обработано');
INSERT INTO `lang_definitions` VALUES (60348, 8264, 12, 'Обработано через');
INSERT INTO `lang_definitions` VALUES (60349, 8265, 12, 'Обработанная дата');
INSERT INTO `lang_definitions` VALUES (60350, 8267, 12, 'обрабатываемый');
INSERT INTO `lang_definitions` VALUES (60351, 8274, 12, 'Продукт');
INSERT INTO `lang_definitions` VALUES (60352, 8276, 12, 'Способ для контрацептивных изделий');
INSERT INTO `lang_definitions` VALUES (60353, 8279, 12, 'Продукция');
INSERT INTO `lang_definitions` VALUES (60354, 8280, 12, 'Продукция, но не назначенные препараты и не шаблоны');
INSERT INTO `lang_definitions` VALUES (60355, 8282, 12, 'Проф.');
INSERT INTO `lang_definitions` VALUES (60356, 8290, 12, 'Обработка записей');
INSERT INTO `lang_definitions` VALUES (60357, 8295, 12, 'Рак предстательной железы');
INSERT INTO `lang_definitions` VALUES (60358, 8296, 12, 'Скрининг рака предстательной железы');
INSERT INTO `lang_definitions` VALUES (60359, 8297, 12, 'Обследование предстательной железы');
INSERT INTO `lang_definitions` VALUES (60360, 8298, 12, 'Проблемы предстательной железы');
INSERT INTO `lang_definitions` VALUES (60361, 8299, 12, 'Предстательная железа без enlrgmt, лимфоузлов, безболезненная');
INSERT INTO `lang_definitions` VALUES (60362, 8304, 12, 'Предоставьте абсолютный путь');
INSERT INTO `lang_definitions` VALUES (60363, 8305, 12, 'Предоставьте абсолютный путь к файлу');
INSERT INTO `lang_definitions` VALUES (60364, 8309, 12, 'Предоставляет клинические итоги по пациентам для каждого посещения кабинета.');
INSERT INTO `lang_definitions` VALUES (60365, 8311, 12, 'Предоставляет пациентам по запросу электронную копию их медицинской информации (включая результаты диагностических исследований, список проблем, списки лекарств, лекарственную аллергию).');
INSERT INTO `lang_definitions` VALUES (60366, 8312, 12, 'В течение четырех рабочих дней, когда информация доступна для EP, обеспечивает пациентов своевременным электронным доступом к их медицинской информации (включая лабораторные результаты, список проблем, списки лекарств, лекарственную аллергию).');
INSERT INTO `lang_definitions` VALUES (60367, 8313, 12, 'Предоставляет записи у пациента для посещения');
INSERT INTO `lang_definitions` VALUES (60368, 8315, 12, 'Предоставьте допустимый электронный адрес');
INSERT INTO `lang_definitions` VALUES (60369, 8316, 12, 'Предоставить клинические итоги?');
INSERT INTO `lang_definitions` VALUES (60370, 8317, 12, 'Предоставить образовательный ресурс(ы)?');
INSERT INTO `lang_definitions` VALUES (60371, 8318, 12, 'Специалист');
INSERT INTO `lang_definitions` VALUES (60372, 8325, 12, 'Ошибки соответствия специалиста');
INSERT INTO `lang_definitions` VALUES (60373, 8330, 12, 'Номер специалиста');
INSERT INTO `lang_definitions` VALUES (60374, 8336, 12, 'Специалист:');
INSERT INTO `lang_definitions` VALUES (60375, 8337, 12, 'Специалисты');
INSERT INTO `lang_definitions` VALUES (60376, 8338, 12, 'NPI специалиста');
INSERT INTO `lang_definitions` VALUES (60377, 8339, 12, 'Специалисты видят всю регистрацию');
INSERT INTO `lang_definitions` VALUES (60378, 8341, 12, 'Истинная полицитемия');
INSERT INTO `lang_definitions` VALUES (60379, 8342, 12, 'PSA');
INSERT INTO `lang_definitions` VALUES (60380, 8343, 12, 'Псориаз');
INSERT INTO `lang_definitions` VALUES (60381, 8345, 12, 'Псих. диагноз');
INSERT INTO `lang_definitions` VALUES (60382, 8346, 12, 'Псих. лечение');
INSERT INTO `lang_definitions` VALUES (60383, 8347, 12, 'Психиатрия');
INSERT INTO `lang_definitions` VALUES (60384, 8348, 12, 'Психиатрическое короткое письмо');
INSERT INTO `lang_definitions` VALUES (60385, 8349, 12, 'Психиатрический диагноз');
INSERT INTO `lang_definitions` VALUES (60386, 8350, 12, 'Психиатрическое обследование');
INSERT INTO `lang_definitions` VALUES (60387, 8352, 12, 'Психиатрический анамнез');
INSERT INTO `lang_definitions` VALUES (60388, 8353, 12, 'Прием психотропных');
INSERT INTO `lang_definitions` VALUES (60389, 8354, 12, 'Психиатрическое лечение');
INSERT INTO `lang_definitions` VALUES (60390, 8358, 12, 'Выв. %');
INSERT INTO `lang_definitions` VALUES (60391, 8360, 12, 'Выв. записей');
INSERT INTO `lang_definitions` VALUES (60392, 8361, 12, 'Выв. записей/разр.');
INSERT INTO `lang_definitions` VALUES (60393, 8362, 12, 'Выв. переплаты');
INSERT INTO `lang_definitions` VALUES (60394, 8364, 12, 'Выв. оплаты');
INSERT INTO `lang_definitions` VALUES (60395, 8365, 12, 'Выв. запроса рег.');
INSERT INTO `lang_definitions` VALUES (60396, 8366, 12, 'Выв. возмещения');
INSERT INTO `lang_definitions` VALUES (60397, 8367, 12, 'Выв. релиза');
INSERT INTO `lang_definitions` VALUES (60398, 8368, 12, 'Выв. сообщения');
INSERT INTO `lang_definitions` VALUES (60399, 8369, 12, 'Выв. студент или оставьте пустым');
INSERT INTO `lang_definitions` VALUES (60400, 8370, 12, 'PT_CITY');
INSERT INTO `lang_definitions` VALUES (60401, 8371, 12, 'PT_DOB');
INSERT INTO `lang_definitions` VALUES (60402, 8373, 12, 'PT_FNAME');
INSERT INTO `lang_definitions` VALUES (60403, 8374, 12, 'PT_FNAME');
INSERT INTO `lang_definitions` VALUES (60404, 8375, 12, 'PT_MNAME');
INSERT INTO `lang_definitions` VALUES (60405, 8378, 12, 'PT_POSTAL');
INSERT INTO `lang_definitions` VALUES (60406, 8380, 12, 'PT_POSTAL');
INSERT INTO `lang_definitions` VALUES (60407, 8381, 12, 'PT_STREET');
INSERT INTO `lang_definitions` VALUES (60408, 8383, 12, 'Общедоступное');
INSERT INTO `lang_definitions` VALUES (60409, 8387, 12, 'Министерство здравоохранения (МЗ) или другое федеральное агенство');
INSERT INTO `lang_definitions` VALUES (60410, 8394, 12, 'Пуэрто-риканский');
INSERT INTO `lang_definitions` VALUES (60411, 8396, 12, 'Легочная');
INSERT INTO `lang_definitions` VALUES (60412, 8398, 12, 'Пульс');
INSERT INTO `lang_definitions` VALUES (60413, 8399, 12, 'Панджабский');
INSERT INTO `lang_definitions` VALUES (60414, 8401, 12, 'Приобретение');
INSERT INTO `lang_definitions` VALUES (60415, 8402, 12, 'Приобретение/возврат');
INSERT INTO `lang_definitions` VALUES (60416, 8403, 12, 'Закупки');
INSERT INTO `lang_definitions` VALUES (60417, 8408, 12, 'каждые 3 часа');
INSERT INTO `lang_definitions` VALUES (60418, 8409, 12, 'каждые 4 часа');
INSERT INTO `lang_definitions` VALUES (60419, 8410, 12, 'каждые 5 часов');
INSERT INTO `lang_definitions` VALUES (60420, 8411, 12, 'каждые 6 часов');
INSERT INTO `lang_definitions` VALUES (60421, 8412, 12, 'каждые 8 часов');
INSERT INTO `lang_definitions` VALUES (60422, 8413, 12, 'один раз в день');
INSERT INTO `lang_definitions` VALUES (60423, 8414, 12, 'через день');
INSERT INTO `lang_definitions` VALUES (60424, 8417, 12, 'QOH');
INSERT INTO `lang_definitions` VALUES (60425, 8418, 12, 'QOH меньше ежемесячного использования');
INSERT INTO `lang_definitions` VALUES (60426, 8419, 12, 'Кол.');
INSERT INTO `lang_definitions` VALUES (60427, 8420, 12, 'КОЛ.');
INSERT INTO `lang_definitions` VALUES (60428, 8421, 12, 'Качество');
INSERT INTO `lang_definitions` VALUES (60429, 8422, 12, 'Оценка качества (CQM)');
INSERT INTO `lang_definitions` VALUES (60430, 8423, 12, 'Количество');
INSERT INTO `lang_definitions` VALUES (60431, 8425, 12, 'Количество для NDC');
INSERT INTO `lang_definitions` VALUES (60432, 8426, 12, 'Количество на руках');
INSERT INTO `lang_definitions` VALUES (60433, 8427, 12, 'количество, представленное непригодным');
INSERT INTO `lang_definitions` VALUES (60434, 8431, 12, 'Пометить сомнительным');
INSERT INTO `lang_definitions` VALUES (60435, 8432, 12, 'Очередь для пакетной обработки HCFA');
INSERT INTO `lang_definitions` VALUES (60436, 8433, 12, 'Очередь для пакетной обработки HCFA и печати');
INSERT INTO `lang_definitions` VALUES (60437, 8434, 12, 'Очередь для пакетной обработки UB-92');
INSERT INTO `lang_definitions` VALUES (60438, 8435, 12, 'Очередь для пакетной обработки UB-92 и печати');
INSERT INTO `lang_definitions` VALUES (60439, 8436, 12, 'Состоящее в очереди');
INSERT INTO `lang_definitions` VALUES (60440, 8437, 12, 'Управление событиями в очереди');
INSERT INTO `lang_definitions` VALUES (60441, 8438, 12, 'Состоящее в очереди для');
INSERT INTO `lang_definitions` VALUES (60442, 8440, 12, 'Управление предоставлением в очереди');
INSERT INTO `lang_definitions` VALUES (60443, 8442, 12, 'Выход');
INSERT INTO `lang_definitions` VALUES (60444, 8443, 12, 'Бывший алкоголик');
INSERT INTO `lang_definitions` VALUES (60445, 8445, 12, 'R');
INSERT INTO `lang_definitions` VALUES (60446, 8452, 12, 'Раса');
INSERT INTO `lang_definitions` VALUES (60447, 8453, 12, 'Раса и этническая принадлежность');
INSERT INTO `lang_definitions` VALUES (60448, 8454, 12, 'Раса/этнос');
INSERT INTO `lang_definitions` VALUES (60449, 8456, 12, 'Радио');
INSERT INTO `lang_definitions` VALUES (60450, 8457, 12, 'Кнопки переключения');
INSERT INTO `lang_definitions` VALUES (60451, 8462, 12, 'Диапазон');
INSERT INTO `lang_definitions` VALUES (60452, 8463, 12, 'Сыпь');
INSERT INTO `lang_definitions` VALUES (60453, 8464, 12, 'Величина');
INSERT INTO `lang_definitions` VALUES (60454, 8466, 12, 'Пропорция');
INSERT INTO `lang_definitions` VALUES (60455, 8467, 12, 'Необработанный отчет');
INSERT INTO `lang_definitions` VALUES (60456, 8475, 12, 'Повторная идентификация');
INSERT INTO `lang_definitions` VALUES (60457, 8476, 12, 'Процесс повторной идентификации завершен');
INSERT INTO `lang_definitions` VALUES (60458, 8477, 12, 'Идет процесс повторной идентификации');
INSERT INTO `lang_definitions` VALUES (60459, 8478, 12, 'Файлы повторной идентификации будут сохранены в');
INSERT INTO `lang_definitions` VALUES (60460, 8479, 12, 'Повреждение повторное?');
INSERT INTO `lang_definitions` VALUES (60461, 8480, 12, 'Повторное открытие');
INSERT INTO `lang_definitions` VALUES (60462, 8482, 12, 'Открытый повторно');
INSERT INTO `lang_definitions` VALUES (60463, 8484, 12, 'Реакция');
INSERT INTO `lang_definitions` VALUES (60464, 8486, 12, 'Реакции');
INSERT INTO `lang_definitions` VALUES (60465, 8489, 12, 'Читать');
INSERT INTO `lang_definitions` VALUES (60466, 8496, 12, 'Реальное имя');
INSERT INTO `lang_definitions` VALUES (60467, 8497, 12, 'Действительно удалить');
INSERT INTO `lang_definitions` VALUES (60468, 8498, 12, 'Причина');
INSERT INTO `lang_definitions` VALUES (60469, 8499, 12, 'Умерший по причине');
INSERT INTO `lang_definitions` VALUES (60470, 8500, 12, 'Причина смерти');
INSERT INTO `lang_definitions` VALUES (60471, 8502, 12, 'Цель направления');
INSERT INTO `lang_definitions` VALUES (60472, 8504, 12, 'Причина посещения');
INSERT INTO `lang_definitions` VALUES (60473, 8506, 12, 'Причина/форма');
INSERT INTO `lang_definitions` VALUES (60474, 8521, 12, 'Квитанция');
INSERT INTO `lang_definitions` VALUES (60475, 8522, 12, 'Квитанция по оплате');
INSERT INTO `lang_definitions` VALUES (60476, 8523, 12, 'Созданная квитанция');
INSERT INTO `lang_definitions` VALUES (60477, 8524, 12, 'Квитанции по указанию метода оплаты');
INSERT INTO `lang_definitions` VALUES (60478, 8525, 12, 'Итоговые поступления');
INSERT INTO `lang_definitions` VALUES (60479, 8526, 12, 'Получено');
INSERT INTO `lang_definitions` VALUES (60480, 8527, 12, 'Оплату принял');
INSERT INTO `lang_definitions` VALUES (60481, 8528, 12, 'Получено по факсу');
INSERT INTO `lang_definitions` VALUES (60482, 8530, 12, 'Получен, не проверен');
INSERT INTO `lang_definitions` VALUES (60483, 8532, 12, 'Получатель');
INSERT INTO `lang_definitions` VALUES (60484, 8533, 12, 'ID получателя');
INSERT INTO `lang_definitions` VALUES (60485, 8534, 12, 'ID получателя (ISA08)');
INSERT INTO `lang_definitions` VALUES (60486, 8535, 12, 'Определить ID получателя (ISA07)');
INSERT INTO `lang_definitions` VALUES (60487, 8540, 12, 'Последние три пароля не допускаются.');
INSERT INTO `lang_definitions` VALUES (60488, 8542, 12, 'Адресат');
INSERT INTO `lang_definitions` VALUES (60489, 8543, 12, 'Список адресатов пустой');
INSERT INTO `lang_definitions` VALUES (60490, 8544, 12, 'Фамилия адресата');
INSERT INTO `lang_definitions` VALUES (60491, 8545, 12, 'Получатель информации');
INSERT INTO `lang_definitions` VALUES (60492, 8549, 12, 'Рекомендация');
INSERT INTO `lang_definitions` VALUES (60493, 8552, 12, 'Рекомендации');
INSERT INTO `lang_definitions` VALUES (60494, 8553, 12, 'Рекомендации и лечение');
INSERT INTO `lang_definitions` VALUES (60495, 8554, 12, 'Рекомендации по специалисту');
INSERT INTO `lang_definitions` VALUES (60496, 8557, 12, 'Записать');
INSERT INTO `lang_definitions` VALUES (60497, 8558, 12, 'Запись уже существует');
INSERT INTO `lang_definitions` VALUES (60498, 8564, 12, 'Изменения записи и карты по жизненно важным показателям.');
INSERT INTO `lang_definitions` VALUES (60499, 8565, 12, 'Записывает персональные данные.');
INSERT INTO `lang_definitions` VALUES (60500, 8566, 12, 'Публикация записи');
INSERT INTO `lang_definitions` VALUES (60501, 8567, 12, 'Запись натренированности');
INSERT INTO `lang_definitions` VALUES (60502, 8568, 12, 'Записать оплату');
INSERT INTO `lang_definitions` VALUES (60503, 8570, 12, 'Дата запроса записи');
INSERT INTO `lang_definitions` VALUES (60504, 8571, 12, 'Запись по употреблению табака для пациентов 13 лет и старше.');
INSERT INTO `lang_definitions` VALUES (60505, 8572, 12, 'Записи');
INSERT INTO `lang_definitions` VALUES (60506, 8573, 12, 'записи не найдены');
INSERT INTO `lang_definitions` VALUES (60507, 8574, 12, 'записи не найдены.');
INSERT INTO `lang_definitions` VALUES (60508, 8576, 12, 'Употребление региональных наркотиков');
INSERT INTO `lang_definitions` VALUES (60509, 8577, 12, 'Региональные наркотики');
INSERT INTO `lang_definitions` VALUES (60510, 8578, 12, 'Ректально');
INSERT INTO `lang_definitions` VALUES (60511, 8579, 12, 'Ректальное исследование');
INSERT INTO `lang_definitions` VALUES (60512, 8580, 12, 'ректально');
INSERT INTO `lang_definitions` VALUES (60513, 8592, 12, 'Переназначение');
INSERT INTO `lang_definitions` VALUES (60514, 8593, 12, 'Покраснение');
INSERT INTO `lang_definitions` VALUES (60515, 8595, 12, 'уменьшено:');
INSERT INTO `lang_definitions` VALUES (60516, 8597, 12, 'Ссылаться');
INSERT INTO `lang_definitions` VALUES (60517, 8598, 12, 'Ссылаться через');
INSERT INTO `lang_definitions` VALUES (60518, 8599, 12, 'Дата ссылки');
INSERT INTO `lang_definitions` VALUES (60519, 8600, 12, 'Ссылаться на');
INSERT INTO `lang_definitions` VALUES (60520, 8603, 12, 'Референсная классификация (степень риска)');
INSERT INTO `lang_definitions` VALUES (60521, 8604, 12, 'Стандартный диапазон результатов');
INSERT INTO `lang_definitions` VALUES (60522, 8605, 12, 'Цель направления');
INSERT INTO `lang_definitions` VALUES (60523, 8609, 12, 'Фамилия и подпись направляющего');
INSERT INTO `lang_definitions` VALUES (60524, 8610, 12, 'Направление');
INSERT INTO `lang_definitions` VALUES (60525, 8611, 12, 'Направление через');
INSERT INTO `lang_definitions` VALUES (60526, 8612, 12, 'Талон направления');
INSERT INTO `lang_definitions` VALUES (60527, 8613, 12, 'Дата направления');
INSERT INTO `lang_definitions` VALUES (60528, 8614, 12, 'Форма направления');
INSERT INTO `lang_definitions` VALUES (60529, 8615, 12, 'ФОРМА НАПРАВЛЕНИЯ');
INSERT INTO `lang_definitions` VALUES (60530, 8616, 12, 'ID направления');
INSERT INTO `lang_definitions` VALUES (60531, 8619, 12, 'Источник направления');
INSERT INTO `lang_definitions` VALUES (60532, 8620, 12, 'Источник направления для обращений');
INSERT INTO `lang_definitions` VALUES (60533, 8621, 12, 'Направление к');
INSERT INTO `lang_definitions` VALUES (60534, 8622, 12, 'Направления');
INSERT INTO `lang_definitions` VALUES (60535, 8623, 12, 'Отчет о направлениях');
INSERT INTO `lang_definitions` VALUES (60536, 8624, 12, 'ссылка на');
INSERT INTO `lang_definitions` VALUES (60537, 8625, 12, 'ссылка на');
INSERT INTO `lang_definitions` VALUES (60538, 8627, 12, 'Направлен в');
INSERT INTO `lang_definitions` VALUES (60539, 8628, 12, 'Кто направил');
INSERT INTO `lang_definitions` VALUES (60540, 8630, 12, 'Диагноз при направлении');
INSERT INTO `lang_definitions` VALUES (60541, 8631, 12, 'Диагноз при направлении');
INSERT INTO `lang_definitions` VALUES (60542, 8633, 12, 'Направляющий врач и врачебная практика');
INSERT INTO `lang_definitions` VALUES (60543, 8635, 12, 'Направляющий специалист');
INSERT INTO `lang_definitions` VALUES (60544, 8636, 12, 'Заполните повторно');
INSERT INTO `lang_definitions` VALUES (60545, 8639, 12, 'Добавление');
INSERT INTO `lang_definitions` VALUES (60546, 8640, 12, 'повторное заполнение');
INSERT INTO `lang_definitions` VALUES (60547, 8641, 12, 'Обычные рефлексы');
INSERT INTO `lang_definitions` VALUES (60548, 8645, 12, 'Обновить');
INSERT INTO `lang_definitions` VALUES (60549, 8648, 12, 'Обновить напоминания');
INSERT INTO `lang_definitions` VALUES (60550, 8651, 12, 'Обновить');
INSERT INTO `lang_definitions` VALUES (60551, 8652, 12, 'reg_re');
INSERT INTO `lang_definitions` VALUES (60552, 8656, 12, 'регистрировать');
INSERT INTO `lang_definitions` VALUES (60553, 8662, 12, 'Зарегистрированное');
INSERT INTO `lang_definitions` VALUES (60554, 8663, 12, 'зарегистрирован');
INSERT INTO `lang_definitions` VALUES (60555, 8668, 12, 'Дата регистрации');
INSERT INTO `lang_definitions` VALUES (60556, 8671, 12, 'Регистрационная форма');
INSERT INTO `lang_definitions` VALUES (60557, 8672, 12, 'Восстановление');
INSERT INTO `lang_definitions` VALUES (60558, 8676, 12, 'Связать с');
INSERT INTO `lang_definitions` VALUES (60559, 8677, 12, 'Связан');
INSERT INTO `lang_definitions` VALUES (60560, 8678, 12, 'Связанная проблема');
INSERT INTO `lang_definitions` VALUES (60561, 8680, 12, 'Родственник(и) / дети');
INSERT INTO `lang_definitions` VALUES (60562, 8681, 12, 'Родственники');
INSERT INTO `lang_definitions` VALUES (60563, 8682, 12, 'Родство');
INSERT INTO `lang_definitions` VALUES (60564, 8683, 12, 'Порядок следования этого объекта');
INSERT INTO `lang_definitions` VALUES (60565, 8684, 12, 'Родственники');
INSERT INTO `lang_definitions` VALUES (60566, 8695, 12, 'Права доступа для медицинской смены пропущены в учетной записи этого пользователя.');
INSERT INTO `lang_definitions` VALUES (60567, 8696, 12, 'ID медицинской смены');
INSERT INTO `lang_definitions` VALUES (60568, 8700, 12, 'Религия');
INSERT INTO `lang_definitions` VALUES (60569, 8705, 12, 'Повторно войти в систему');
INSERT INTO `lang_definitions` VALUES (60570, 8706, 12, 'Напом.');
INSERT INTO `lang_definitions` VALUES (60571, 8709, 12, 'Запомнить выбранный компонент');
INSERT INTO `lang_definitions` VALUES (60572, 8712, 12, 'Напоминание');
INSERT INTO `lang_definitions` VALUES (60573, 8715, 12, 'Интервалы для напоминаний');
INSERT INTO `lang_definitions` VALUES (60574, 8716, 12, 'Напоминание еще не отправлено');
INSERT INTO `lang_definitions` VALUES (60575, 8720, 12, 'Напоминание отправлено о');
INSERT INTO `lang_definitions` VALUES (60576, 8725, 12, 'Напоминания');
INSERT INTO `lang_definitions` VALUES (60577, 8726, 12, 'ПЕРЕВЕСТИ В');
INSERT INTO `lang_definitions` VALUES (60578, 8729, 12, 'Удалить');
INSERT INTO `lang_definitions` VALUES (60579, 8733, 12, 'Удалить группу');
INSERT INTO `lang_definitions` VALUES (60580, 8734, 12, 'Удалить форму группы');
INSERT INTO `lang_definitions` VALUES (60581, 8738, 12, 'Снимает поддержку для вакцинации');
INSERT INTO `lang_definitions` VALUES (60582, 8739, 12, 'Отключает поддержку для phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (60583, 8740, 12, 'Отключает поддержку для назначений');
INSERT INTO `lang_definitions` VALUES (60584, 8742, 12, 'Снимает функцию отслеживания карты');
INSERT INTO `lang_definitions` VALUES (60585, 8743, 12, 'Почечно-каменная болезнь');
INSERT INTO `lang_definitions` VALUES (60586, 8744, 12, 'Переименовать');
INSERT INTO `lang_definitions` VALUES (60587, 8745, 12, 'Переименовать группу');
INSERT INTO `lang_definitions` VALUES (60588, 8746, 12, 'Отображение');
INSERT INTO `lang_definitions` VALUES (60589, 8747, 12, 'Назначенный специалист');
INSERT INTO `lang_definitions` VALUES (60590, 8748, 12, 'Номер назначенного специалиста');
INSERT INTO `lang_definitions` VALUES (60591, 8750, 12, 'Переназначить');
INSERT INTO `lang_definitions` VALUES (60592, 8751, 12, 'Переназначить на');
INSERT INTO `lang_definitions` VALUES (60593, 8752, 12, 'Указание по переназначению выполнено');
INSERT INTO `lang_definitions` VALUES (60594, 8753, 12, 'Указание по переназначению, 0 если не применимо');
INSERT INTO `lang_definitions` VALUES (60595, 8754, 12, 'Повт.');
INSERT INTO `lang_definitions` VALUES (60596, 8758, 12, 'Повторное событие');
INSERT INTO `lang_definitions` VALUES (60597, 8759, 12, 'Повторная инф.:');
INSERT INTO `lang_definitions` VALUES (60598, 8760, 12, 'Повторяется');
INSERT INTO `lang_definitions` VALUES (60599, 8771, 12, 'Дата ответа');
INSERT INTO `lang_definitions` VALUES (60600, 8772, 12, 'Ответ от');
INSERT INTO `lang_definitions` VALUES (60601, 8774, 12, 'Отчет');
INSERT INTO `lang_definitions` VALUES (60602, 8776, 12, 'Отчет - клинический');
INSERT INTO `lang_definitions` VALUES (60603, 8779, 12, 'Отчет по');
INSERT INTO `lang_definitions` VALUES (60604, 8789, 12, 'Статус отчета');
INSERT INTO `lang_definitions` VALUES (60605, 8790, 12, 'Всего отчетов');
INSERT INTO `lang_definitions` VALUES (60606, 8794, 12, 'Регистрируемое');
INSERT INTO `lang_definitions` VALUES (60607, 8795, 12, 'Сообщено');
INSERT INTO `lang_definitions` VALUES (60608, 8796, 12, 'Дата отчета');
INSERT INTO `lang_definitions` VALUES (60609, 8797, 12, 'Отчеты');
INSERT INTO `lang_definitions` VALUES (60610, 8804, 12, 'Запрос игнорирован - обработка требования уже выполняется!');
INSERT INTO `lang_definitions` VALUES (60611, 8815, 12, 'Запрошенная услуга');
INSERT INTO `lang_definitions` VALUES (60612, 8819, 12, 'Требует строгих паролей');
INSERT INTO `lang_definitions` VALUES (60613, 8820, 12, 'Требует уникальных паролей');
INSERT INTO `lang_definitions` VALUES (60614, 8821, 12, 'Обязательно');
INSERT INTO `lang_definitions` VALUES (60615, 8824, 12, 'Пропуск обязательного поля: выберите файл EDI-271 для загрузки');
INSERT INTO `lang_definitions` VALUES (60616, 8825, 12, 'Пропущено обязательное поле: введите имя');
INSERT INTO `lang_definitions` VALUES (60617, 8826, 12, 'Пропущено обязательное поле: введите фамилию');
INSERT INTO `lang_definitions` VALUES (60618, 8827, 12, 'Пропущено обязательное поле: введите наименование пользователя');
INSERT INTO `lang_definitions` VALUES (60619, 8828, 12, 'Обязательные поля');
INSERT INTO `lang_definitions` VALUES (60620, 8829, 12, 'Требования');
INSERT INTO `lang_definitions` VALUES (60621, 8832, 12, 'ЗАНЯТ');
INSERT INTO `lang_definitions` VALUES (60622, 8833, 12, 'Занят');
INSERT INTO `lang_definitions` VALUES (60623, 8834, 12, 'Занято для использования в предоставлении запланированного периода отпуска');
INSERT INTO `lang_definitions` VALUES (60624, 8835, 12, 'Занято для ограничения, с какого времени к специалисту не доступна запись на прием.');
INSERT INTO `lang_definitions` VALUES (60625, 8836, 12, 'Занято для определения, когда событие не случается как указано.');
INSERT INTO `lang_definitions` VALUES (60626, 8837, 12, 'Занято для установки, с какого времени к специалисту доступна запись на прием.');
INSERT INTO `lang_definitions` VALUES (60627, 8838, 12, 'Сброс');
INSERT INTO `lang_definitions` VALUES (60628, 8842, 12, 'Сбросить общие параметры доступа к порталу');
INSERT INTO `lang_definitions` VALUES (60629, 8844, 12, 'Сбросить местные параметры доступа к порталу');
INSERT INTO `lang_definitions` VALUES (60630, 8850, 12, 'Resn');
INSERT INTO `lang_definitions` VALUES (60631, 8852, 12, 'Решено');
INSERT INTO `lang_definitions` VALUES (60632, 8855, 12, 'Дыхание');
INSERT INTO `lang_definitions` VALUES (60633, 8856, 12, 'Незначительная одышка');
INSERT INTO `lang_definitions` VALUES (60634, 8857, 12, 'Органы дыхания');
INSERT INTO `lang_definitions` VALUES (60635, 8864, 12, 'Ограничивает незарегистрированных пользователей набором предусмотренных услуг через пользователя admin.');
INSERT INTO `lang_definitions` VALUES (60636, 8865, 12, 'Ограничивает пользователей по услугам');
INSERT INTO `lang_definitions` VALUES (60637, 8866, 12, 'Незаконченное обучение');
INSERT INTO `lang_definitions` VALUES (60638, 8867, 12, 'Результат');
INSERT INTO `lang_definitions` VALUES (60639, 8869, 12, 'Статус результата');
INSERT INTO `lang_definitions` VALUES (60640, 8870, 12, 'Пропущено состояние результата или отклонение от нормы');
INSERT INTO `lang_definitions` VALUES (60641, 8871, 12, 'Результат, используйте % как знак подстановки');
INSERT INTO `lang_definitions` VALUES (60642, 8873, 12, 'Результаты и');
INSERT INTO `lang_definitions` VALUES (60643, 8874, 12, 'В ходе поиска найден результат');
INSERT INTO `lang_definitions` VALUES (60644, 8875, 12, 'Группа результатов');
INSERT INTO `lang_definitions` VALUES (60645, 8879, 12, 'Постраничные результаты');
INSERT INTO `lang_definitions` VALUES (60646, 8880, 12, 'Результаты/сведения');
INSERT INTO `lang_definitions` VALUES (60647, 8884, 12, 'Обследование сетчатки глаза');
INSERT INTO `lang_definitions` VALUES (60648, 8885, 12, 'Право на отказ:');
INSERT INTO `lang_definitions` VALUES (60649, 8886, 12, 'Возврат');
INSERT INTO `lang_definitions` VALUES (60650, 8887, 12, 'Возвратить указанную выше часть с вашей оплатой');
INSERT INTO `lang_definitions` VALUES (60651, 8890, 12, 'Вернуться в календарь');
INSERT INTO `lang_definitions` VALUES (60652, 8897, 12, 'Возвратить значение');
INSERT INTO `lang_definitions` VALUES (60653, 8898, 12, 'Возвратить посещение');
INSERT INTO `lang_definitions` VALUES (60654, 8899, 12, 'Вновь исполнять');
INSERT INTO `lang_definitions` VALUES (60655, 8914, 12, 'Обзор анамнеза перенесенных заболеваний:');
INSERT INTO `lang_definitions` VALUES (60656, 8917, 12, 'Обзор по системам');
INSERT INTO `lang_definitions` VALUES (60657, 8918, 12, 'Обзор выбора систем');
INSERT INTO `lang_definitions` VALUES (60658, 8921, 12, 'Просмотрен');
INSERT INTO `lang_definitions` VALUES (60659, 8924, 12, 'Пересмотр');
INSERT INTO `lang_definitions` VALUES (60660, 8925, 12, 'Ревматоидный артрит');
INSERT INTO `lang_definitions` VALUES (60661, 8926, 12, 'Ревматоидный артрит');
INSERT INTO `lang_definitions` VALUES (60662, 8928, 12, 'Справа');
INSERT INTO `lang_definitions` VALUES (60663, 8931, 12, 'Правое ухо');
INSERT INTO `lang_definitions` VALUES (60664, 8932, 12, 'правое ухо');
INSERT INTO `lang_definitions` VALUES (60665, 8940, 12, 'Справа:');
INSERT INTO `lang_definitions` VALUES (60666, 8941, 12, 'Звон в ушах');
INSERT INTO `lang_definitions` VALUES (60667, 8942, 12, 'Звон в ушах');
INSERT INTO `lang_definitions` VALUES (60668, 8944, 12, 'Факторы риска');
INSERT INTO `lang_definitions` VALUES (60669, 8945, 12, 'Степень риска');
INSERT INTO `lang_definitions` VALUES (60670, 8949, 12, 'Правая нижняя конечность:');
INSERT INTO `lang_definitions` VALUES (60671, 8955, 12, 'ROM');
INSERT INTO `lang_definitions` VALUES (60672, 8956, 12, 'Румынский');
INSERT INTO `lang_definitions` VALUES (60673, 8963, 12, 'Расписание');
INSERT INTO `lang_definitions` VALUES (60674, 8966, 12, 'Способ введения');
INSERT INTO `lang_definitions` VALUES (60675, 8967, 12, 'Путь введения, если применимо');
INSERT INTO `lang_definitions` VALUES (60676, 8968, 12, 'Введенное');
INSERT INTO `lang_definitions` VALUES (60677, 8969, 12, 'Строки');
INSERT INTO `lang_definitions` VALUES (60678, 8971, 12, 'Доказательная медицина без е/м рабочего обзора');
INSERT INTO `lang_definitions` VALUES (60679, 8972, 12, 'Шум трения:');
INSERT INTO `lang_definitions` VALUES (60680, 8973, 12, 'Шумы трения:');
INSERT INTO `lang_definitions` VALUES (60681, 8974, 12, 'Правило');
INSERT INTO `lang_definitions` VALUES (60682, 8975, 12, 'Добавить правило');
INSERT INTO `lang_definitions` VALUES (60683, 8976, 12, 'Сведения о правиле');
INSERT INTO `lang_definitions` VALUES (60684, 8978, 12, 'Изменить правило');
INSERT INTO `lang_definitions` VALUES (60685, 8981, 12, 'Набор правил');
INSERT INTO `lang_definitions` VALUES (60686, 8984, 12, 'Правила');
INSERT INTO `lang_definitions` VALUES (60687, 8986, 12, 'Настройка правил');
INSERT INTO `lang_definitions` VALUES (60688, 8989, 12, 'Выполняемая команда:');
INSERT INTO `lang_definitions` VALUES (60689, 8990, 12, 'Разрыв');
INSERT INTO `lang_definitions` VALUES (60690, 8992, 12, 'Русский');
INSERT INTO `lang_definitions` VALUES (60691, 8995, 12, 'Терапия');
INSERT INTO `lang_definitions` VALUES (60692, 8996, 12, 'Терапия');
INSERT INTO `lang_definitions` VALUES (60693, 8997, 12, 'Нижнее поле (px) Rx');
INSERT INTO `lang_definitions` VALUES (60694, 9001, 12, 'Rx разрешает DEA #');
INSERT INTO `lang_definitions` VALUES (60695, 9002, 12, 'Rx разрешает NPI');
INSERT INTO `lang_definitions` VALUES (60696, 9003, 12, 'Rx разрешает гос. лиц. #');
INSERT INTO `lang_definitions` VALUES (60697, 9007, 12, 'Левое поле (px) Rx');
INSERT INTO `lang_definitions` VALUES (60698, 9010, 12, 'Размер бумаги Rx');
INSERT INTO `lang_definitions` VALUES (60699, 9013, 12, 'Правое поле (px) Rx');
INSERT INTO `lang_definitions` VALUES (60700, 9014, 12, 'Rx показывает DEA #');
INSERT INTO `lang_definitions` VALUES (60701, 9015, 12, 'Rx показывает NPI');
INSERT INTO `lang_definitions` VALUES (60702, 9016, 12, 'Rx показывает гос. лиц. #');
INSERT INTO `lang_definitions` VALUES (60703, 9017, 12, 'Верхнее поле (px) Rx');
INSERT INTO `lang_definitions` VALUES (60704, 9023, 12, 'RxNorm');
INSERT INTO `lang_definitions` VALUES (60705, 9024, 12, 'База данных RxNorm');
INSERT INTO `lang_definitions` VALUES (60706, 9028, 12, 'S');
INSERT INTO `lang_definitions` VALUES (60707, 9029, 12, 'S.S.');
INSERT INTO `lang_definitions` VALUES (60708, 9030, 12, 'S3:');
INSERT INTO `lang_definitions` VALUES (60709, 9031, 12, 'S4:');
INSERT INTO `lang_definitions` VALUES (60710, 9032, 12, 'Гарантия ПО * * Для ознакомления с лицензией прочитайте docs/license.txt или посетите * http://www.gnu.org/copyleft/gpl.html * */ //========================================================================= //');
INSERT INTO `lang_definitions` VALUES (60711, 9034, 12, 'Товарооборот');
INSERT INTO `lang_definitions` VALUES (60712, 9035, 12, 'Товарооборот');
INSERT INTO `lang_definitions` VALUES (60713, 9036, 12, 'Товарооборот по пунктам');
INSERT INTO `lang_definitions` VALUES (60714, 9037, 12, 'Отчет реализации по продукту');
INSERT INTO `lang_definitions` VALUES (60715, 9038, 12, 'Слюна');
INSERT INTO `lang_definitions` VALUES (60716, 9039, 12, 'Тот же день');
INSERT INTO `lang_definitions` VALUES (60717, 9040, 12, 'Полинезийский');
INSERT INTO `lang_definitions` VALUES (60718, 9041, 12, 'Образец');
INSERT INTO `lang_definitions` VALUES (60719, 9042, 12, 'Тип разрешения');
INSERT INTO `lang_definitions` VALUES (60720, 9047, 12, 'Сб');
INSERT INTO `lang_definitions` VALUES (60721, 9048, 12, 'Сб &amp; Вс');
INSERT INTO `lang_definitions` VALUES (60722, 9049, 12, 'Суббота');
INSERT INTO `lang_definitions` VALUES (60723, 9050, 12, 'Сохранить');
INSERT INTO `lang_definitions` VALUES (60724, 9051, 12, 'Сохранить');
INSERT INTO `lang_definitions` VALUES (60725, 9055, 12, 'Сохранить и закрыть');
INSERT INTO `lang_definitions` VALUES (60726, 9058, 12, 'Сохранить и выдать');
INSERT INTO `lang_definitions` VALUES (60727, 9061, 12, 'Сохранить как новое');
INSERT INTO `lang_definitions` VALUES (60728, 9063, 12, 'Сохранить как новую запись');
INSERT INTO `lang_definitions` VALUES (60729, 9066, 12, 'Сохранить параметры настройки сертификата');
INSERT INTO `lang_definitions` VALUES (60730, 9067, 12, 'Сохранить изменения');
INSERT INTO `lang_definitions` VALUES (60731, 9075, 12, 'Сохранить форму');
INSERT INTO `lang_definitions` VALUES (60732, 9076, 12, 'Сохранить вакцинацию');
INSERT INTO `lang_definitions` VALUES (60733, 9078, 12, 'Сохранить новое поле');
INSERT INTO `lang_definitions` VALUES (60734, 9079, 12, 'Сохранить новую группу');
INSERT INTO `lang_definitions` VALUES (60735, 9080, 12, 'Сохранить новый список');
INSERT INTO `lang_definitions` VALUES (60736, 9081, 12, 'Сохранить новый шаблон');
INSERT INTO `lang_definitions` VALUES (60737, 9083, 12, 'Сохранить персональные данные пациента');
INSERT INTO `lang_definitions` VALUES (60738, 9087, 12, 'Сохранение выполнено успешно для ID карты');
INSERT INTO `lang_definitions` VALUES (60739, 9089, 12, 'Сохранить транзакцию');
INSERT INTO `lang_definitions` VALUES (60740, 9098, 12, 'Сканировано');
INSERT INTO `lang_definitions` VALUES (60741, 9099, 12, 'Просмотренная запись по обращению');
INSERT INTO `lang_definitions` VALUES (60742, 9100, 12, 'Просмотренная директория');
INSERT INTO `lang_definitions` VALUES (60743, 9101, 12, 'Просмотренно в');
INSERT INTO `lang_definitions` VALUES (60744, 9104, 12, 'План');
INSERT INTO `lang_definitions` VALUES (60745, 9106, 12, 'Запланированная медпомощь');
INSERT INTO `lang_definitions` VALUES (60746, 9117, 12, 'ШКОЛЬНАЯ ЗАПИСЬ');
INSERT INTO `lang_definitions` VALUES (60747, 9122, 12, 'Сколиоз');
INSERT INTO `lang_definitions` VALUES (60748, 9133, 12, 'SE');
INSERT INTO `lang_definitions` VALUES (60749, 9134, 12, 'Адрес SE');
INSERT INTO `lang_definitions` VALUES (60750, 9135, 12, 'Город SE');
INSERT INTO `lang_definitions` VALUES (60751, 9136, 12, 'Страна SE');
INSERT INTO `lang_definitions` VALUES (60752, 9137, 12, 'Местоположение SE');
INSERT INTO `lang_definitions` VALUES (60753, 9138, 12, 'Почтовый индекс SE');
INSERT INTO `lang_definitions` VALUES (60754, 9139, 12, 'Штат SE');
INSERT INTO `lang_definitions` VALUES (60755, 9140, 12, 'Почтовый индекс SE');
INSERT INTO `lang_definitions` VALUES (60756, 9141, 12, 'Поиск');
INSERT INTO `lang_definitions` VALUES (60757, 9143, 12, 'поиск');
INSERT INTO `lang_definitions` VALUES (60758, 9144, 12, 'повторный поиск');
INSERT INTO `lang_definitions` VALUES (60759, 9150, 12, 'Поиск по:');
INSERT INTO `lang_definitions` VALUES (60760, 9152, 12, 'Поиск для');
INSERT INTO `lang_definitions` VALUES (60761, 9156, 12, 'Поиск для:');
INSERT INTO `lang_definitions` VALUES (60762, 9159, 12, 'Поиск в');
INSERT INTO `lang_definitions` VALUES (60763, 9161, 12, 'Поиск или добавление пациента');
INSERT INTO `lang_definitions` VALUES (60764, 9164, 12, 'Поиск оплаты');
INSERT INTO `lang_definitions` VALUES (60765, 9168, 12, 'Результаты поиска:');
INSERT INTO `lang_definitions` VALUES (60766, 9169, 12, 'Отдельный поиск');
INSERT INTO `lang_definitions` VALUES (60767, 9171, 12, 'Строка поиска не совпадает со списком в базе данных');
INSERT INTO `lang_definitions` VALUES (60768, 9172, 12, 'Строка поиска должна иметь, по крайней, мере три символа');
INSERT INTO `lang_definitions` VALUES (60769, 9174, 12, 'Текстовой поиск');
INSERT INTO `lang_definitions` VALUES (60770, 9175, 12, 'Поиск события');
INSERT INTO `lang_definitions` VALUES (60771, 9178, 12, 'Найти/добавить');
INSERT INTO `lang_definitions` VALUES (60772, 9179, 12, 'Найти/добавить страховщика');
INSERT INTO `lang_definitions` VALUES (60773, 9181, 12, 'Поиск для записей на прием');
INSERT INTO `lang_definitions` VALUES (60774, 9182, 12, 'Идет поиск...');
INSERT INTO `lang_definitions` VALUES (60775, 9184, 12, 'Использование ремня безопасности');
INSERT INTO `lang_definitions` VALUES (60776, 9185, 12, 'Использование ремня безопасности');
INSERT INTO `lang_definitions` VALUES (60777, 9186, 12, 'Второй');
INSERT INTO `lang_definitions` VALUES (60778, 9189, 12, 'Повторный');
INSERT INTO `lang_definitions` VALUES (60779, 9191, 12, 'Повторная страховка');
INSERT INTO `lang_definitions` VALUES (60780, 9192, 12, 'Дата повторной страховки');
INSERT INTO `lang_definitions` VALUES (60781, 9193, 12, 'Поставщик повторной страховки');
INSERT INTO `lang_definitions` VALUES (60782, 9194, 12, 'Тип повторной медпомощи');
INSERT INTO `lang_definitions` VALUES (60783, 9207, 12, 'Безопасность');
INSERT INTO `lang_definitions` VALUES (60784, 9208, 12, 'Показать все');
INSERT INTO `lang_definitions` VALUES (60785, 9210, 12, 'Показать разрешения');
INSERT INTO `lang_definitions` VALUES (60786, 9213, 12, 'Показать карту физического развития');
INSERT INTO `lang_definitions` VALUES (60787, 9214, 12, 'Показать сообщения из последней группы созданных требований');
INSERT INTO `lang_definitions` VALUES (60788, 9218, 12, 'Показать, начиная с');
INSERT INTO `lang_definitions` VALUES (60789, 9222, 12, 'Пароксизм');
INSERT INTO `lang_definitions` VALUES (60790, 9223, 12, 'Выбр.');
INSERT INTO `lang_definitions` VALUES (60791, 9224, 12, 'выбрать');
INSERT INTO `lang_definitions` VALUES (60792, 9225, 12, 'Выбрать');
INSERT INTO `lang_definitions` VALUES (60793, 9228, 12, 'Выбрать контекст');
INSERT INTO `lang_definitions` VALUES (60794, 9235, 12, 'Выберите временной промежуток');
INSERT INTO `lang_definitions` VALUES (60795, 9236, 12, 'Выберите пользователя');
INSERT INTO `lang_definitions` VALUES (60796, 9239, 12, 'Выбрать все');
INSERT INTO `lang_definitions` VALUES (60797, 9248, 12, 'Выбрать записи CAMOS для печати');
INSERT INTO `lang_definitions` VALUES (60798, 9250, 12, 'Выбрать категорию');
INSERT INTO `lang_definitions` VALUES (60799, 9254, 12, 'Выберите соответствующий переключатель для удаления');
INSERT INTO `lang_definitions` VALUES (60800, 9256, 12, 'Выберите критерий для удаления');
INSERT INTO `lang_definitions` VALUES (60801, 9260, 12, 'Выберите нужную дату для снятия идентификации');
INSERT INTO `lang_definitions` VALUES (60802, 9261, 12, 'Выберите дату для включения в данные по снятию идентификации');
INSERT INTO `lang_definitions` VALUES (60803, 9262, 12, 'Выберите дату');
INSERT INTO `lang_definitions` VALUES (60804, 9264, 12, 'Выберите необходимую группу');
INSERT INTO `lang_definitions` VALUES (60805, 9265, 12, 'Выберите диагноз');
INSERT INTO `lang_definitions` VALUES (60806, 9267, 12, 'Выберите диагноз для запроса по снятию идентификации');
INSERT INTO `lang_definitions` VALUES (60807, 9271, 12, 'Выберите препарат');
INSERT INTO `lang_definitions` VALUES (60808, 9272, 12, 'Выберите препараты');
INSERT INTO `lang_definitions` VALUES (60809, 9273, 12, 'Выберите препараты для запроса по снятию идентификации');
INSERT INTO `lang_definitions` VALUES (60810, 9274, 12, 'Выберите файл EDI-271');
INSERT INTO `lang_definitions` VALUES (60811, 9276, 12, 'Выберите поле');
INSERT INTO `lang_definitions` VALUES (60812, 9278, 12, 'Выберите поля');
INSERT INTO `lang_definitions` VALUES (60813, 9279, 12, 'Выбор для печати');
INSERT INTO `lang_definitions` VALUES (60814, 9285, 12, 'Выберите вакцинацию');
INSERT INTO `lang_definitions` VALUES (60815, 9286, 12, 'Выберите вакцинацию для запроса по снятию идентификации');
INSERT INTO `lang_definitions` VALUES (60816, 9287, 12, 'Выберите страховку, по типу');
INSERT INTO `lang_definitions` VALUES (60817, 9288, 12, 'Выбрать аспект');
INSERT INTO `lang_definitions` VALUES (60818, 9291, 12, 'Выберите язык');
INSERT INTO `lang_definitions` VALUES (60819, 9298, 12, 'Выберите один или более кодов диагнозов для подтверждения оказания помощи');
INSERT INTO `lang_definitions` VALUES (60820, 9321, 12, 'Выберите элементы конфигурации для экспорта');
INSERT INTO `lang_definitions` VALUES (60821, 9328, 12, 'Выберите проблему, прежде всего, ответственную за любое пропущенное событие в этот день');
INSERT INTO `lang_definitions` VALUES (60822, 9338, 12, 'Выберите пользователя');
INSERT INTO `lang_definitions` VALUES (60823, 9340, 12, 'Выберите пользователей из выпадающего списка');
INSERT INTO `lang_definitions` VALUES (60824, 9341, 12, 'Выберите, какой язык, если доступно, может быть изменен при входе в ситстему. (применимо, только если выше отключено разрешение всех языков)');
INSERT INTO `lang_definitions` VALUES (60825, 9343, 12, 'Выберите Да для подтверждения удаления группы');
INSERT INTO `lang_definitions` VALUES (60826, 9349, 12, 'Выбранный');
INSERT INTO `lang_definitions` VALUES (60827, 9350, 12, 'Выбранное обращение');
INSERT INTO `lang_definitions` VALUES (60828, 9355, 12, 'При этом выборе будет создано сообщение, которое нуждается в обработке по каждому получателю отдельно (это не групповая задача)');
INSERT INTO `lang_definitions` VALUES (60829, 9357, 12, 'Сам');
INSERT INTO `lang_definitions` VALUES (60830, 9358, 12, 'Оплатить самостоятельно');
INSERT INTO `lang_definitions` VALUES (60831, 9360, 12, 'Отправить');
INSERT INTO `lang_definitions` VALUES (60832, 9361, 12, 'Отправить старое напоминание A');
INSERT INTO `lang_definitions` VALUES (60833, 9362, 12, 'Отправить напоминание');
INSERT INTO `lang_definitions` VALUES (60834, 9369, 12, 'Отправить на обработку');
INSERT INTO `lang_definitions` VALUES (60835, 9372, 12, 'Отправить сообщение');
INSERT INTO `lang_definitions` VALUES (60836, 9378, 12, 'Отправить пакет напоминаний');
INSERT INTO `lang_definitions` VALUES (60837, 9379, 12, 'Отправляет напоминания пациентам по профилактике или последующему лечению через выбор пациента.');
INSERT INTO `lang_definitions` VALUES (60838, 9383, 12, 'Отправить сводки по направлениям');
INSERT INTO `lang_definitions` VALUES (60839, 9384, 12, 'Отправить этот файл');
INSERT INTO `lang_definitions` VALUES (60840, 9385, 12, 'Отправить это сообщение');
INSERT INTO `lang_definitions` VALUES (60841, 9386, 12, 'Отправить к');
INSERT INTO `lang_definitions` VALUES (60842, 9389, 12, 'Отправить всем');
INSERT INTO `lang_definitions` VALUES (60843, 9395, 12, 'Отправитель');
INSERT INTO `lang_definitions` VALUES (60844, 9396, 12, 'ID отправителя');
INSERT INTO `lang_definitions` VALUES (60845, 9397, 12, 'ID отправителя (ISA06)');
INSERT INTO `lang_definitions` VALUES (60846, 9398, 12, 'Определитель ID отправителя (ISA05)');
INSERT INTO `lang_definitions` VALUES (60847, 9406, 12, 'Направить в');
INSERT INTO `lang_definitions` VALUES (60848, 9407, 12, 'Конфиденциальность');
INSERT INTO `lang_definitions` VALUES (60849, 9411, 12, 'Конфиденциальность:');
INSERT INTO `lang_definitions` VALUES (60850, 9412, 12, 'Исследование чувствительности в норме');
INSERT INTO `lang_definitions` VALUES (60851, 9415, 12, 'Отправить через, оставить пустым для всех');
INSERT INTO `lang_definitions` VALUES (60852, 9417, 12, 'Отправить дату');
INSERT INTO `lang_definitions` VALUES (60853, 9418, 12, 'Отправить элементы');
INSERT INTO `lang_definitions` VALUES (60854, 9419, 12, 'Отправить медицинские записи?');
INSERT INTO `lang_definitions` VALUES (60855, 9420, 12, 'Отправка проведена успешно');
INSERT INTO `lang_definitions` VALUES (60856, 9423, 12, 'отправлено на печать.');
INSERT INTO `lang_definitions` VALUES (60857, 9424, 12, 'Отправить для, оставить пустым для всех');
INSERT INTO `lang_definitions` VALUES (60858, 9427, 12, 'Отправлен, но не получен');
INSERT INTO `lang_definitions` VALUES (60859, 9429, 12, 'Сен');
INSERT INTO `lang_definitions` VALUES (60860, 9430, 12, 'Отдельный');
INSERT INTO `lang_definitions` VALUES (60861, 9431, 12, 'Сентябрь');
INSERT INTO `lang_definitions` VALUES (60862, 9432, 12, 'Посл.');
INSERT INTO `lang_definitions` VALUES (60863, 9433, 12, 'Последовательность');
INSERT INTO `lang_definitions` VALUES (60864, 9442, 12, 'Услуга');
INSERT INTO `lang_definitions` VALUES (60865, 9444, 12, 'Категория услуги');
INSERT INTO `lang_definitions` VALUES (60866, 9445, 12, 'Код услуги');
INSERT INTO `lang_definitions` VALUES (60867, 9447, 12, 'Коды услуги');
INSERT INTO `lang_definitions` VALUES (60868, 9448, 12, 'Дата услуги');
INSERT INTO `lang_definitions` VALUES (60869, 9451, 12, 'Дата услуги:');
INSERT INTO `lang_definitions` VALUES (60870, 9455, 12, 'Место предоставления услуги');
INSERT INTO `lang_definitions` VALUES (60871, 9457, 12, 'Услуги, предоставляемые специалистом');
INSERT INTO `lang_definitions` VALUES (60872, 9461, 12, 'Услуги');
INSERT INTO `lang_definitions` VALUES (60873, 9462, 12, 'Услуги по категориям');
INSERT INTO `lang_definitions` VALUES (60874, 9463, 12, 'Оказана помощь');
INSERT INTO `lang_definitions` VALUES (60875, 9464, 12, 'Оказана помощь');
INSERT INTO `lang_definitions` VALUES (60876, 9465, 12, 'Услуги/продукция');
INSERT INTO `lang_definitions` VALUES (60877, 9466, 12, 'Тип сессии');
INSERT INTO `lang_definitions` VALUES (60878, 9467, 12, 'Установить');
INSERT INTO `lang_definitions` VALUES (60879, 9468, 12, 'Задает объект cookie для запоминания выбранного объекта между входами в систему.');
INSERT INTO `lang_definitions` VALUES (60880, 9469, 12, 'Установить как выполненное');
INSERT INTO `lang_definitions` VALUES (60881, 9478, 12, 'Задает полный путь. Чтобы создать клиентский сертификат SSL для HTTPS.');
INSERT INTO `lang_definitions` VALUES (60882, 9479, 12, 'Установить в');
INSERT INTO `lang_definitions` VALUES (60883, 9480, 12, 'Установить по умолчанию');
INSERT INTO `lang_definitions` VALUES (60884, 9486, 12, 'Настройка номера версии в базе данных...');
INSERT INTO `lang_definitions` VALUES (60885, 9488, 12, 'Параметры настройки');
INSERT INTO `lang_definitions` VALUES (60886, 9493, 12, 'Сильная мигрень');
INSERT INTO `lang_definitions` VALUES (60887, 9496, 12, 'Степень боли');
INSERT INTO `lang_definitions` VALUES (60888, 9497, 12, 'Степень боли:');
INSERT INTO `lang_definitions` VALUES (60889, 9498, 12, 'Пол');
INSERT INTO `lang_definitions` VALUES (60890, 9499, 12, 'Заболевание, передающееся половым путем');
INSERT INTO `lang_definitions` VALUES (60891, 9502, 12, 'Хэш Sha-1');
INSERT INTO `lang_definitions` VALUES (60892, 9503, 12, 'Совместное использование');
INSERT INTO `lang_definitions` VALUES (60893, 9504, 12, 'Команда shell для печати с сервера.');
INSERT INTO `lang_definitions` VALUES (60894, 9507, 12, 'Короткое описание');
INSERT INTO `lang_definitions` VALUES (60895, 9510, 12, 'Затрудненное дыхание');
INSERT INTO `lang_definitions` VALUES (60896, 9511, 12, 'Затрудненное дыхание');
INSERT INTO `lang_definitions` VALUES (60897, 9512, 12, 'Затрудненное дыхание 2');
INSERT INTO `lang_definitions` VALUES (60898, 9513, 12, 'Короткая запись');
INSERT INTO `lang_definitions` VALUES (60899, 9514, 12, 'Короткая запись как:');
INSERT INTO `lang_definitions` VALUES (60900, 9516, 12, 'должно быть подобно nnnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (60901, 9517, 12, 'Должно быть две буквы');
INSERT INTO `lang_definitions` VALUES (60902, 9518, 12, 'Должно содержать 10 цифр');
INSERT INTO `lang_definitions` VALUES (60903, 9519, 12, 'должно содержать только 10 цифр');
INSERT INTO `lang_definitions` VALUES (60904, 9520, 12, 'Плечо');
INSERT INTO `lang_definitions` VALUES (60905, 9521, 12, 'Плечо + ключица');
INSERT INTO `lang_definitions` VALUES (60906, 9522, 12, 'Проблемы плеча');
INSERT INTO `lang_definitions` VALUES (60907, 9523, 12, 'Показать');
INSERT INTO `lang_definitions` VALUES (60908, 9524, 12, 'Показать активные');
INSERT INTO `lang_definitions` VALUES (60909, 9527, 12, 'Показать всё');
INSERT INTO `lang_definitions` VALUES (60910, 9529, 12, 'Показать все процедуры');
INSERT INTO `lang_definitions` VALUES (60911, 9531, 12, 'Показать все транзакции');
INSERT INTO `lang_definitions` VALUES (60912, 9532, 12, 'Показывать, что занят');
INSERT INTO `lang_definitions` VALUES (60913, 9533, 12, 'Показать только разрешенное');
INSERT INTO `lang_definitions` VALUES (60914, 9534, 12, 'Показать доступные элементы');
INSERT INTO `lang_definitions` VALUES (60915, 9535, 12, 'Показать и US и метрические (основными являются метрические)');
INSERT INTO `lang_definitions` VALUES (60916, 9536, 12, 'Показать и US и метрические (основными являются US)');
INSERT INTO `lang_definitions` VALUES (60917, 9540, 12, 'Показать сведения');
INSERT INTO `lang_definitions` VALUES (60918, 9542, 12, 'Показать только ошибки?');
INSERT INTO `lang_definitions` VALUES (60919, 9544, 12, 'Показать графику');
INSERT INTO `lang_definitions` VALUES (60920, 9546, 12, 'При наведении мышки показывать всплывающий текст по событию?');
INSERT INTO `lang_definitions` VALUES (60921, 9547, 12, 'На страницах admin показывать, сколько событий?');
INSERT INTO `lang_definitions` VALUES (60922, 9548, 12, 'Показать неактивные');
INSERT INTO `lang_definitions` VALUES (60923, 9552, 12, 'Показать меню');
INSERT INTO `lang_definitions` VALUES (60924, 9553, 12, 'Показать только метрические');
INSERT INTO `lang_definitions` VALUES (60925, 9556, 12, 'Показать записи');
INSERT INTO `lang_definitions` VALUES (60926, 9561, 12, 'Показать записи по пациенту');
INSERT INTO `lang_definitions` VALUES (60927, 9564, 12, 'Показать основное завершение');
INSERT INTO `lang_definitions` VALUES (60928, 9568, 12, 'Показать напоминания');
INSERT INTO `lang_definitions` VALUES (60929, 9569, 12, 'Показать отчёт');
INSERT INTO `lang_definitions` VALUES (60930, 9570, 12, 'Показывать в блоке ссылки искать/предоставить?');
INSERT INTO `lang_definitions` VALUES (60931, 9574, 12, 'Показывает индивидуальную форму состояния для виджета о списке добавлений (запросит заголовок и сокращение).');
INSERT INTO `lang_definitions` VALUES (60932, 9580, 12, 'Показать только оплаченные');
INSERT INTO `lang_definitions` VALUES (60933, 9581, 12, 'Показать только US');
INSERT INTO `lang_definitions` VALUES (60934, 9595, 12, 'Родные брат/сестра');
INSERT INTO `lang_definitions` VALUES (60935, 9596, 12, 'серповидная клетка');
INSERT INTO `lang_definitions` VALUES (60936, 9597, 12, 'Sig');
INSERT INTO `lang_definitions` VALUES (60937, 9598, 12, 'Сигмо/колоноскопия');
INSERT INTO `lang_definitions` VALUES (60938, 9601, 12, 'Результаты лабораторных сигнатур (write,addonly необязательно)');
INSERT INTO `lang_definitions` VALUES (60939, 9603, 12, 'Результаты сигнатур');
INSERT INTO `lang_definitions` VALUES (60940, 9606, 12, 'Подпись');
INSERT INTO `lang_definitions` VALUES (60941, 9609, 12, 'Подпись:');
INSERT INTO `lang_definitions` VALUES (60942, 9612, 12, 'Подписано Rx');
INSERT INTO `lang_definitions` VALUES (60943, 9614, 12, 'Значительная опухоль');
INSERT INTO `lang_definitions` VALUES (60944, 9616, 12, 'Простая доплата');
INSERT INTO `lang_definitions` VALUES (60945, 9617, 12, 'Сокращенные персональные данные');
INSERT INTO `lang_definitions` VALUES (60946, 9618, 12, 'Сокращенные назначения');
INSERT INTO `lang_definitions` VALUES (60947, 9619, 12, 'с');
INSERT INTO `lang_definitions` VALUES (60948, 9620, 12, 'С уважением,');
INSERT INTO `lang_definitions` VALUES (60949, 9622, 12, 'Отдельный');
INSERT INTO `lang_definitions` VALUES (60950, 9624, 12, 'Список выбора');
INSERT INTO `lang_definitions` VALUES (60951, 9625, 12, 'Список выбора с возможностью добавления');
INSERT INTO `lang_definitions` VALUES (60952, 9629, 12, 'Проблемы пазух');
INSERT INTO `lang_definitions` VALUES (60953, 9630, 12, 'Хирургия пазух');
INSERT INTO `lang_definitions` VALUES (60954, 9631, 12, 'БОЛЕЗНЕННАЯ ПАЗУХА:');
INSERT INTO `lang_definitions` VALUES (60955, 9632, 12, 'Синуситы');
INSERT INTO `lang_definitions` VALUES (60956, 9637, 12, 'ID сайта');
INSERT INTO `lang_definitions` VALUES (60957, 9639, 12, 'ID сайта для поддержки OpenEMR службой лабораторного обмена LLC.');
INSERT INTO `lang_definitions` VALUES (60958, 9643, 12, 'Размер');
INSERT INTO `lang_definitions` VALUES (60959, 9646, 12, 'Размер должен быть числом между 1 и 999');
INSERT INTO `lang_definitions` VALUES (60960, 9648, 12, 'Размер/список');
INSERT INTO `lang_definitions` VALUES (60961, 9650, 12, 'Дерматология');
INSERT INTO `lang_definitions` VALUES (60962, 9651, 12, 'Рак кожи');
INSERT INTO `lang_definitions` VALUES (60963, 9652, 12, 'Кожное заболевание');
INSERT INTO `lang_definitions` VALUES (60964, 9653, 12, 'Прочие кожные проявления');
INSERT INTO `lang_definitions` VALUES (60965, 9654, 12, 'Пропустить разрешение для записей по пациенту');
INSERT INTO `lang_definitions` VALUES (60966, 9659, 12, 'Пропущенный раздел');
INSERT INTO `lang_definitions` VALUES (60967, 9660, 12, 'Пропущенный дамп регистра SQL - не применяется для сервера Windows');
INSERT INTO `lang_definitions` VALUES (60968, 9664, 12, 'Паттерн сна');
INSERT INTO `lang_definitions` VALUES (60969, 9665, 12, 'Паттерн сна');
INSERT INTO `lang_definitions` VALUES (60970, 9666, 12, 'Сон');
INSERT INTO `lang_definitions` VALUES (60971, 9668, 12, 'Словацкий');
INSERT INTO `lang_definitions` VALUES (60972, 9670, 12, 'Забытый долг без');
INSERT INTO `lang_definitions` VALUES (60973, 9675, 12, 'Кэш Smarty очищен');
INSERT INTO `lang_definitions` VALUES (60974, 9676, 12, 'Курильщик, в настоящее время статус неизвестен');
INSERT INTO `lang_definitions` VALUES (60975, 9678, 12, 'Статус курильщика');
INSERT INTO `lang_definitions` VALUES (60976, 9680, 12, 'Разр. SMS');
INSERT INTO `lang_definitions` VALUES (60977, 9683, 12, 'Шлюз SMS');
INSERT INTO `lang_definitions` VALUES (60978, 9684, 12, 'Ключ API для шлюза SMS');
INSERT INTO `lang_definitions` VALUES (60979, 9685, 12, 'Ключ API для шлюза SMS');
INSERT INTO `lang_definitions` VALUES (60980, 9686, 12, 'Пароль для шлюза SMS');
INSERT INTO `lang_definitions` VALUES (60981, 9687, 12, 'Имя пользователя для шлюза SMS');
INSERT INTO `lang_definitions` VALUES (60982, 9689, 12, 'Уведомление об SMS');
INSERT INTO `lang_definitions` VALUES (60983, 9690, 12, 'Часы уведомления об SMS');
INSERT INTO `lang_definitions` VALUES (60984, 9693, 12, 'Отправлять SMS перед');
INSERT INTO `lang_definitions` VALUES (60985, 9694, 12, 'Отправка SMS');
INSERT INTO `lang_definitions` VALUES (60986, 9697, 12, 'Текст SMS, употребляемый тэг: ***НАИМЕНОВАНИЕ***, ***СПЕЦИАЛИСТ***, ***ДАТА***, ***ВРЕМЯ НАЧАЛА***, ***ВРЕМЯ ОКОНЧАНИЯ***<br> т.е. Уважаемый ***ИМЯ***');
INSERT INTO `lang_definitions` VALUES (60987, 9701, 12, 'Параметры настройки извещения SMS/e-mail');
INSERT INTO `lang_definitions` VALUES (60988, 9703, 12, 'Пароль SMTP для аутентификации');
INSERT INTO `lang_definitions` VALUES (60989, 9706, 12, 'Имя узла сервера SMTP');
INSERT INTO `lang_definitions` VALUES (60990, 9707, 12, 'Номер порта для сервера SMTP');
INSERT INTO `lang_definitions` VALUES (60991, 9708, 12, 'Пользователь SMTP для аутентификации');
INSERT INTO `lang_definitions` VALUES (60992, 9709, 12, 'SNOMED');
INSERT INTO `lang_definitions` VALUES (60993, 9717, 12, 'База данных SNOMED');
INSERT INTO `lang_definitions` VALUES (60994, 9721, 12, 'Храп');
INSERT INTO `lang_definitions` VALUES (60995, 9722, 12, 'SOAP');
INSERT INTO `lang_definitions` VALUES (60996, 9726, 12, 'Трудности общения');
INSERT INTO `lang_definitions` VALUES (60997, 9729, 12, 'Социальный анамнез:');
INSERT INTO `lang_definitions` VALUES (60998, 9730, 12, 'Идентификационный номер налогоплательщика');
INSERT INTO `lang_definitions` VALUES (60999, 9732, 12, 'раствор');
INSERT INTO `lang_definitions` VALUES (61000, 9734, 12, 'Физический смысл');
INSERT INTO `lang_definitions` VALUES (61001, 9735, 12, 'Некоторые разрешения не отображены. Нажмите здесь для просмотра всех.');
INSERT INTO `lang_definitions` VALUES (61002, 9736, 12, 'Некоторые коды не отображаются.');
INSERT INTO `lang_definitions` VALUES (61003, 9737, 12, 'Некоторые обращения не были отображены. Нажмите здесь для просмотра всех.');
INSERT INTO `lang_definitions` VALUES (61004, 9738, 12, 'Во время процесса деидентификации случилась какая-то ошибка');
INSERT INTO `lang_definitions` VALUES (61005, 9740, 12, 'Некоторые записи не отображаются.');
INSERT INTO `lang_definitions` VALUES (61006, 9743, 12, 'некоторые слова');
INSERT INTO `lang_definitions` VALUES (61007, 9747, 12, 'Что-то не получилось. Попытайтесь снова.');
INSERT INTO `lang_definitions` VALUES (61008, 9748, 12, 'Кратчайший интервал ожидания (клинические напоминания)');
INSERT INTO `lang_definitions` VALUES (61009, 9749, 12, 'Кратчайший интервал ожидания (напоминания о пациенте)');
INSERT INTO `lang_definitions` VALUES (61010, 9750, 12, 'Болезненность в горле');
INSERT INTO `lang_definitions` VALUES (61011, 9754, 12, 'К сожалению, имелась проблема обновления вашего файла');
INSERT INTO `lang_definitions` VALUES (61012, 9758, 12, 'Сортировать по');
INSERT INTO `lang_definitions` VALUES (61013, 9759, 12, 'Сортировать по');
INSERT INTO `lang_definitions` VALUES (61014, 9761, 12, 'Сортировать по контрольной сумме');
INSERT INTO `lang_definitions` VALUES (61015, 9762, 12, 'Сортировать по комментариям');
INSERT INTO `lang_definitions` VALUES (61016, 9763, 12, 'Сортировать по пользователю Crt');
INSERT INTO `lang_definitions` VALUES (61017, 9764, 12, 'Сортировать по дате');
INSERT INTO `lang_definitions` VALUES (61018, 9765, 12, 'Сортировать по дате/времени');
INSERT INTO `lang_definitions` VALUES (61019, 9766, 12, 'Сортировать по событию');
INSERT INTO `lang_definitions` VALUES (61020, 9767, 12, 'Сортировать по группе');
INSERT INTO `lang_definitions` VALUES (61021, 9768, 12, 'Сортировать по новой контролькой сумме');
INSERT INTO `lang_definitions` VALUES (61022, 9769, 12, 'Сортировать по старой контролькой сумме');
INSERT INTO `lang_definitions` VALUES (61023, 9770, 12, 'Сортировать по PatientID');
INSERT INTO `lang_definitions` VALUES (61024, 9772, 12, 'Сортировать по выполнению');
INSERT INTO `lang_definitions` VALUES (61025, 9774, 12, 'Сортировать по пользователю');
INSERT INTO `lang_definitions` VALUES (61026, 9775, 12, 'Сортировать по вакцине');
INSERT INTO `lang_definitions` VALUES (61027, 9776, 12, 'Сортировать в нисходящем порядке');
INSERT INTO `lang_definitions` VALUES (61028, 9777, 12, 'Сортировать результат по');
INSERT INTO `lang_definitions` VALUES (61029, 9778, 12, 'Сортировать в восходящем порядке');
INSERT INTO `lang_definitions` VALUES (61030, 9779, 12, 'Источник');
INSERT INTO `lang_definitions` VALUES (61031, 9781, 12, 'Исходный файл');
INSERT INTO `lang_definitions` VALUES (61032, 9782, 12, 'Путь исходного файла');
INSERT INTO `lang_definitions` VALUES (61033, 9783, 12, 'Для кода пропущен источник');
INSERT INTO `lang_definitions` VALUES (61034, 9784, 12, 'Источник партии');
INSERT INTO `lang_definitions` VALUES (61035, 9789, 12, 'Источник:');
INSERT INTO `lang_definitions` VALUES (61036, 9792, 12, 'Space');
INSERT INTO `lang_definitions` VALUES (61037, 9793, 12, 'SPACE');
INSERT INTO `lang_definitions` VALUES (61038, 9795, 12, 'Испанский');
INSERT INTO `lang_definitions` VALUES (61039, 9796, 12, 'Испанский (Латино-американский)');
INSERT INTO `lang_definitions` VALUES (61040, 9797, 12, 'Испанский (Испанский)');
INSERT INTO `lang_definitions` VALUES (61041, 9801, 12, 'Специалист');
INSERT INTO `lang_definitions` VALUES (61042, 9802, 12, 'Фамилия и подпись специалиста');
INSERT INTO `lang_definitions` VALUES (61043, 9804, 12, 'Специальность');
INSERT INTO `lang_definitions` VALUES (61044, 9805, 12, 'Специальные системы');
INSERT INTO `lang_definitions` VALUES (61045, 9806, 12, 'Специальность:');
INSERT INTO `lang_definitions` VALUES (61046, 9807, 12, 'Определенный');
INSERT INTO `lang_definitions` VALUES (61047, 9808, 12, 'Специальное приложение');
INSERT INTO `lang_definitions` VALUES (61048, 9809, 12, 'Специальная услуга по контрацепции');
INSERT INTO `lang_definitions` VALUES (61049, 9810, 12, 'Особый результат');
INSERT INTO `lang_definitions` VALUES (61050, 9811, 12, 'Указанная услуга');
INSERT INTO `lang_definitions` VALUES (61051, 9812, 12, 'Указанный');
INSERT INTO `lang_definitions` VALUES (61052, 9813, 12, 'Специальное форматирование для кодов. # = digit, * = любой символ. Если не используется, то пусто.');
INSERT INTO `lang_definitions` VALUES (61053, 9814, 12, 'Специальное форматирование для кодов. # = digit, @ = alpha, * = любой символ. Если не используется, то пусто.');
INSERT INTO `lang_definitions` VALUES (61054, 9815, 12, 'Специальное форматирование для ссылочных номеров счетов. # = digit, * = любой символ. Если не используется, то пусто.');
INSERT INTO `lang_definitions` VALUES (61055, 9816, 12, 'Специальное форматирование для ссылочных номеров счетов. # = digit, @ = alpha, * = любой символ, Если не используется, то пусто.');
INSERT INTO `lang_definitions` VALUES (61056, 9817, 12, 'Специальное форматирование для полей средства NDC. # = digit, * = любой символ. Если не используется, то пусто.');
INSERT INTO `lang_definitions` VALUES (61057, 9818, 12, 'Специальное форматирование для полей средства NDC. # = digit, @ = alpha, * = любой символ. Если не используется, то пусто.');
INSERT INTO `lang_definitions` VALUES (61058, 9819, 12, 'Специальное форматирование для внешнего ID пациента. # = digit, * = любой символ. Если не используется, то пусто.');
INSERT INTO `lang_definitions` VALUES (61059, 9820, 12, 'Специальное форматирование для внешнего ID пациента. # = digit, @ = alpha, * = любой символ. Если не используется, то пусто.');
INSERT INTO `lang_definitions` VALUES (61060, 9823, 12, 'Экземпляр');
INSERT INTO `lang_definitions` VALUES (61061, 9824, 12, 'Номер/идентификатор экземпляра');
INSERT INTO `lang_definitions` VALUES (61062, 9825, 12, 'Тип образца');
INSERT INTO `lang_definitions` VALUES (61063, 9827, 12, 'Устная диктовка');
INSERT INTO `lang_definitions` VALUES (61064, 9828, 12, 'Экземпляры');
INSERT INTO `lang_definitions` VALUES (61065, 9831, 12, 'Спленэктомия');
INSERT INTO `lang_definitions` VALUES (61066, 9832, 12, 'Супруг(а)');
INSERT INTO `lang_definitions` VALUES (61067, 9834, 12, 'Мокрота');
INSERT INTO `lang_definitions` VALUES (61068, 9835, 12, 'Мокрота:');
INSERT INTO `lang_definitions` VALUES (61069, 9836, 12, 'Отд.');
INSERT INTO `lang_definitions` VALUES (61070, 9839, 12, 'Отделение');
INSERT INTO `lang_definitions` VALUES (61071, 9840, 12, 'Состав отделения');
INSERT INTO `lang_definitions` VALUES (61072, 9841, 12, 'Отделения');
INSERT INTO `lang_definitions` VALUES (61073, 9843, 12, 'SRH');
INSERT INTO `lang_definitions` VALUES (61074, 9844, 12, 'SRH - планирование семьи');
INSERT INTO `lang_definitions` VALUES (61075, 9845, 12, 'SRH без планирования семьи');
INSERT INTO `lang_definitions` VALUES (61076, 9846, 12, 'Направления для SRH');
INSERT INTO `lang_definitions` VALUES (61077, 9847, 12, 'Форма посещения SRH');
INSERT INTO `lang_definitions` VALUES (61078, 9848, 12, 'Дата усл.');
INSERT INTO `lang_definitions` VALUES (61079, 9849, 12, 'SS');
INSERT INTO `lang_definitions` VALUES (61080, 9850, 12, 'Управление сертификатом SSL');
INSERT INTO `lang_definitions` VALUES (61081, 9851, 12, '№ страх.');
INSERT INTO `lang_definitions` VALUES (61082, 9852, 12, 'Устойчивость');
INSERT INTO `lang_definitions` VALUES (61083, 9855, 12, 'Стандартный');
INSERT INTO `lang_definitions` VALUES (61084, 9857, 12, 'Стандартный код');
INSERT INTO `lang_definitions` VALUES (61085, 9860, 12, 'Стандартные единицы измерения');
INSERT INTO `lang_definitions` VALUES (61086, 9864, 12, 'Стандартное наименование');
INSERT INTO `lang_definitions` VALUES (61087, 9866, 12, 'Начало');
INSERT INTO `lang_definitions` VALUES (61088, 9867, 12, 'Начало (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (61089, 9874, 12, 'Начальная дата');
INSERT INTO `lang_definitions` VALUES (61090, 9876, 12, 'Дата первоначального обращения в эту клинику');
INSERT INTO `lang_definitions` VALUES (61091, 9877, 12, 'Дата начала не должна быть позже даты окончания');
INSERT INTO `lang_definitions` VALUES (61092, 9878, 12, 'Начальная дата:');
INSERT INTO `lang_definitions` VALUES (61093, 9879, 12, 'Начальная дата:');
INSERT INTO `lang_definitions` VALUES (61094, 9881, 12, 'Начальное время');
INSERT INTO `lang_definitions` VALUES (61095, 9884, 12, 'Начальная дата');
INSERT INTO `lang_definitions` VALUES (61096, 9888, 12, 'стат.');
INSERT INTO `lang_definitions` VALUES (61097, 9889, 12, 'Область (край)');
INSERT INTO `lang_definitions` VALUES (61098, 9890, 12, 'Тип данных для области');
INSERT INTO `lang_definitions` VALUES (61099, 9891, 12, '№ гос. лиц.');
INSERT INTO `lang_definitions` VALUES (61100, 9892, 12, 'Государственный номер лицензии');
INSERT INTO `lang_definitions` VALUES (61101, 9893, 12, 'Список областей (краев)');
INSERT INTO `lang_definitions` VALUES (61102, 9894, 12, 'Список областей/краев (write,addonly необязательно)');
INSERT INTO `lang_definitions` VALUES (61103, 9896, 12, 'Пользовательские поля виджета для списка областей');
INSERT INTO `lang_definitions` VALUES (61104, 9897, 12, 'Область или край');
INSERT INTO `lang_definitions` VALUES (61105, 9898, 12, 'Область/местоположение');
INSERT INTO `lang_definitions` VALUES (61106, 9899, 12, 'Область/район');
INSERT INTO `lang_definitions` VALUES (61107, 9903, 12, 'ИТОГОВАЯ ЗАЯВКА');
INSERT INTO `lang_definitions` VALUES (61108, 9904, 12, 'Заявки и обновленные счета.');
INSERT INTO `lang_definitions` VALUES (61109, 9906, 12, 'Отправка заявок:');
INSERT INTO `lang_definitions` VALUES (61110, 9907, 12, 'заявки; счета не будут обновлены.');
INSERT INTO `lang_definitions` VALUES (61111, 9908, 12, 'Статичный текст');
INSERT INTO `lang_definitions` VALUES (61112, 9909, 12, 'Статистические данные');
INSERT INTO `lang_definitions` VALUES (61113, 9910, 12, 'Стат.');
INSERT INTO `lang_definitions` VALUES (61114, 9911, 12, 'Статус');
INSERT INTO `lang_definitions` VALUES (61115, 9916, 12, 'Status quo');
INSERT INTO `lang_definitions` VALUES (61116, 9918, 12, 'Конс. ЗППП/СПИД');
INSERT INTO `lang_definitions` VALUES (61117, 9919, 12, 'Stength and Conditioning');
INSERT INTO `lang_definitions` VALUES (61118, 9932, 12, 'Тугоподвижность суставов');
INSERT INTO `lang_definitions` VALUES (61119, 9933, 12, 'Тугоподвижность');
INSERT INTO `lang_definitions` VALUES (61120, 9935, 12, 'Стандартные месяцы');
INSERT INTO `lang_definitions` VALUES (61121, 9936, 12, 'Боли в желудке');
INSERT INTO `lang_definitions` VALUES (61122, 9942, 12, 'Сохраненный хэш');
INSERT INTO `lang_definitions` VALUES (61123, 9944, 12, 'Растяжение мышцы');
INSERT INTO `lang_definitions` VALUES (61124, 9946, 12, 'Разбрызгивание');
INSERT INTO `lang_definitions` VALUES (61125, 9947, 12, 'Улица');
INSERT INTO `lang_definitions` VALUES (61126, 9948, 12, 'Уличный адрес');
INSERT INTO `lang_definitions` VALUES (61127, 9949, 12, 'Улица и номер');
INSERT INTO `lang_definitions` VALUES (61128, 9950, 12, 'Сила');
INSERT INTO `lang_definitions` VALUES (61129, 9952, 12, 'Острый фарингит');
INSERT INTO `lang_definitions` VALUES (61130, 9953, 12, 'Стрессовый перелом');
INSERT INTO `lang_definitions` VALUES (61131, 9954, 12, 'Нагрузочная проба');
INSERT INTO `lang_definitions` VALUES (61132, 9956, 12, 'Инсульт');
INSERT INTO `lang_definitions` VALUES (61133, 9958, 12, 'Строгий пароль подразумевает, по крайней мере, 8 символов и, по крайней мере, три условия: число, буква в нижнем регистре, буква в верхнем регистре, специальный символ.');
INSERT INTO `lang_definitions` VALUES (61134, 9961, 12, 'Для добавления нового пациента используется стиль формы');
INSERT INTO `lang_definitions` VALUES (61135, 9965, 12, 'Подкатегория');
INSERT INTO `lang_definitions` VALUES (61136, 9966, 12, 'Промежуточный итог');
INSERT INTO `lang_definitions` VALUES (61137, 9967, 12, 'Подкатегория');
INSERT INTO `lang_definitions` VALUES (61138, 9968, 12, 'подкатегория');
INSERT INTO `lang_definitions` VALUES (61139, 9969, 12, 'подкожно');
INSERT INTO `lang_definitions` VALUES (61140, 9970, 12, 'Субъект');
INSERT INTO `lang_definitions` VALUES (61141, 9971, 12, 'Субъективно');
INSERT INTO `lang_definitions` VALUES (61142, 9972, 12, 'Под язык');
INSERT INTO `lang_definitions` VALUES (61143, 9973, 12, 'под язык');
INSERT INTO `lang_definitions` VALUES (61144, 9974, 12, 'Запросить');
INSERT INTO `lang_definitions` VALUES (61145, 9975, 12, 'запросить');
INSERT INTO `lang_definitions` VALUES (61146, 9976, 12, 'Предоставить все содержание');
INSERT INTO `lang_definitions` VALUES (61147, 9979, 12, 'Подчинить событие');
INSERT INTO `lang_definitions` VALUES (61148, 9980, 12, 'предоставить форму');
INSERT INTO `lang_definitions` VALUES (61149, 9982, 12, 'Предоставить выбранное содержание');
INSERT INTO `lang_definitions` VALUES (61150, 9984, 12, 'предоставленное');
INSERT INTO `lang_definitions` VALUES (61151, 9985, 12, 'Предоставленное по');
INSERT INTO `lang_definitions` VALUES (61152, 9986, 12, 'Предоставить номер доступа EDI (PER06)');
INSERT INTO `lang_definitions` VALUES (61153, 9987, 12, 'Подписант');
INSERT INTO `lang_definitions` VALUES (61154, 9988, 12, 'Адрес подписанта');
INSERT INTO `lang_definitions` VALUES (61155, 9992, 12, 'Место работы подписанта');
INSERT INTO `lang_definitions` VALUES (61156, 9993, 12, 'Работодатель подписанта (SE)');
INSERT INTO `lang_definitions` VALUES (61157, 9994, 12, 'Адрес места работы подписанта');
INSERT INTO `lang_definitions` VALUES (61158, 9995, 12, 'Город работодателя подписанта');
INSERT INTO `lang_definitions` VALUES (61159, 9996, 12, 'Страна работодателя подписанта');
INSERT INTO `lang_definitions` VALUES (61160, 9997, 12, 'Область (край) места работы подписанта');
INSERT INTO `lang_definitions` VALUES (61161, 10000, 12, 'Почтовый индекс работодателя подписанта');
INSERT INTO `lang_definitions` VALUES (61162, 10005, 12, 'Телефон подписанта');
INSERT INTO `lang_definitions` VALUES (61163, 10006, 12, 'Родство подписанта');
INSERT INTO `lang_definitions` VALUES (61164, 10007, 12, 'Родство подписанта другое, но фамилия та же! Это верно?');
INSERT INTO `lang_definitions` VALUES (61165, 10008, 12, 'Родство подписанта другое, но номер SS тот же!');
INSERT INTO `lang_definitions` VALUES (61166, 10009, 12, 'Родство подписанта одно, но фамилия другая! Это верно?');
INSERT INTO `lang_definitions` VALUES (61167, 10010, 12, 'Родство подписанта одно, но номер SS другой! Это верно?');
INSERT INTO `lang_definitions` VALUES (61168, 10011, 12, 'Пол подписанта');
INSERT INTO `lang_definitions` VALUES (61169, 10020, 12, 'Замена');
INSERT INTO `lang_definitions` VALUES (61170, 10021, 12, 'замена разрешена');
INSERT INTO `lang_definitions` VALUES (61171, 10024, 12, 'Успех');
INSERT INTO `lang_definitions` VALUES (61172, 10025, 12, 'успех');
INSERT INTO `lang_definitions` VALUES (61173, 10026, 12, 'Подтверждение успешного получения лабораторного результата');
INSERT INTO `lang_definitions` VALUES (61174, 10027, 12, 'Успешное получение лабораторных результатов');
INSERT INTO `lang_definitions` VALUES (61175, 10028, 12, 'Успешное исправление лабораторных результатов из Lab Exchange Network');
INSERT INTO `lang_definitions` VALUES (61176, 10030, 12, 'Добавление категории успешно');
INSERT INTO `lang_definitions` VALUES (61177, 10031, 12, 'добавление категории успешно,');
INSERT INTO `lang_definitions` VALUES (61178, 10033, 12, 'Удалено успешно');
INSERT INTO `lang_definitions` VALUES (61179, 10035, 12, 'База данных успешно установлена.');
INSERT INTO `lang_definitions` VALUES (61180, 10037, 12, 'Изменено успешно');
INSERT INTO `lang_definitions` VALUES (61181, 10039, 12, 'Сохранено успешно. Хотите внести?');
INSERT INTO `lang_definitions` VALUES (61182, 10040, 12, 'Сохранено успешно. Хотите предоставить?');
INSERT INTO `lang_definitions` VALUES (61183, 10042, 12, 'сохранено успешно.');
INSERT INTO `lang_definitions` VALUES (61184, 10044, 12, 'База данных успешно модернизирована.');
INSERT INTO `lang_definitions` VALUES (61185, 10046, 12, 'удачно.');
INSERT INTO `lang_definitions` VALUES (61186, 10049, 12, 'Суицид');
INSERT INTO `lang_definitions` VALUES (61187, 10051, 12, 'Сводка');
INSERT INTO `lang_definitions` VALUES (61188, 10052, 12, 'Сводка по');
INSERT INTO `lang_definitions` VALUES (61189, 10058, 12, 'Вс');
INSERT INTO `lang_definitions` VALUES (61190, 10060, 12, 'Воскресенье');
INSERT INTO `lang_definitions` VALUES (61191, 10061, 12, 'Superbill');
INSERT INTO `lang_definitions` VALUES (61192, 10062, 12, 'Коды Superbill');
INSERT INTO `lang_definitions` VALUES (61193, 10063, 12, 'Управление кодами Superbill');
INSERT INTO `lang_definitions` VALUES (61194, 10065, 12, 'Отчет Superbill');
INSERT INTO `lang_definitions` VALUES (61195, 10066, 12, 'Лист оплаты/Superbill');
INSERT INTO `lang_definitions` VALUES (61196, 10067, 12, 'Superbills');
INSERT INTO `lang_definitions` VALUES (61197, 10068, 12, 'Superbills, иногда называемые как формы обращений или бланки направлений, являются неотъемлемой частью в большинстве случаев врачебной практики.');
INSERT INTO `lang_definitions` VALUES (61198, 10069, 12, 'Суперпользователь');
INSERT INTO `lang_definitions` VALUES (61199, 10071, 12, 'Руководитель');
INSERT INTO `lang_definitions` VALUES (61200, 10073, 12, 'Ответственный врач DEA');
INSERT INTO `lang_definitions` VALUES (61201, 10074, 12, 'Имя ответственного врача');
INSERT INTO `lang_definitions` VALUES (61202, 10075, 12, 'Фамилия ответственного врача');
INSERT INTO `lang_definitions` VALUES (61203, 10076, 12, 'NPI ответственного врача');
INSERT INTO `lang_definitions` VALUES (61204, 10077, 12, 'UPIN ответственного врача');
INSERT INTO `lang_definitions` VALUES (61205, 10081, 12, 'Наименование поставщика услуги');
INSERT INTO `lang_definitions` VALUES (61206, 10082, 12, 'Поддерживает календарные события, которые использовали многие специалисты');
INSERT INTO `lang_definitions` VALUES (61207, 10083, 12, 'Поддерживает экспорт/импорт конфигурационных данных через страницу резервного копирования.');
INSERT INTO `lang_definitions` VALUES (61208, 10084, 12, 'Поддерживает события многих специалистов');
INSERT INTO `lang_definitions` VALUES (61209, 10088, 12, 'Поддерживает шифрование/дешифрование только TripleDES');
INSERT INTO `lang_definitions` VALUES (61210, 10090, 12, 'Тип поверхности');
INSERT INTO `lang_definitions` VALUES (61211, 10092, 12, 'Операции');
INSERT INTO `lang_definitions` VALUES (61212, 10093, 12, 'Операция');
INSERT INTO `lang_definitions` VALUES (61213, 10095, 12, 'Поддерживаемые');
INSERT INTO `lang_definitions` VALUES (61214, 10096, 12, 'суспензия');
INSERT INTO `lang_definitions` VALUES (61215, 10098, 12, 'Дата Svc');
INSERT INTO `lang_definitions` VALUES (61216, 10099, 12, 'Дата Svc:');
INSERT INTO `lang_definitions` VALUES (61217, 10102, 12, 'Потливость:');
INSERT INTO `lang_definitions` VALUES (61218, 10103, 12, 'Шведский');
INSERT INTO `lang_definitions` VALUES (61219, 10104, 12, 'Отек');
INSERT INTO `lang_definitions` VALUES (61220, 10105, 12, 'Отек справа');
INSERT INTO `lang_definitions` VALUES (61221, 10106, 12, 'Отеки на суставах');
INSERT INTO `lang_definitions` VALUES (61222, 10107, 12, 'Увеличенные лимфоузлы');
INSERT INTO `lang_definitions` VALUES (61223, 10108, 12, 'Символ, используемый для денег в качестве десятичной запятой. Не используйте, если десятичных знаков 0).');
INSERT INTO `lang_definitions` VALUES (61224, 10109, 12, 'Символ, используемый для отделения тысяч для денег.');
INSERT INTO `lang_definitions` VALUES (61225, 10110, 12, 'Внешние признаки');
INSERT INTO `lang_definitions` VALUES (61226, 10111, 12, 'Синхронизировать');
INSERT INTO `lang_definitions` VALUES (61227, 10112, 12, 'Синхронизировать переводы с индивидуальной языковой таблицей.');
INSERT INTO `lang_definitions` VALUES (61228, 10113, 12, 'Новая индивидуальная синхронизированная константа:');
INSERT INTO `lang_definitions` VALUES (61229, 10114, 12, 'Новый пользовательский синхронизированный язык:');
INSERT INTO `lang_definitions` VALUES (61230, 10115, 12, 'Новое индивидуальное синхронизированное определение (язык, константа, определение):');
INSERT INTO `lang_definitions` VALUES (61231, 10116, 12, 'Обморок');
INSERT INTO `lang_definitions` VALUES (61232, 10117, 12, 'Посиндромное исследование');
INSERT INTO `lang_definitions` VALUES (61233, 10118, 12, 'Посиндромное исследование - несообщаемые результаты');
INSERT INTO `lang_definitions` VALUES (61234, 10120, 12, 'Синовиит, тендовагинит, бурсит');
INSERT INTO `lang_definitions` VALUES (61235, 10121, 12, 'Система');
INSERT INTO `lang_definitions` VALUES (61236, 10128, 12, 'T');
INSERT INTO `lang_definitions` VALUES (61237, 10130, 12, 'три раза в день');
INSERT INTO `lang_definitions` VALUES (61238, 10131, 12, 'Трансвеститы');
INSERT INTO `lang_definitions` VALUES (61239, 10133, 12, 'Таблица');
INSERT INTO `lang_definitions` VALUES (61240, 10137, 12, 'Создание таблицы дало сбой');
INSERT INTO `lang_definitions` VALUES (61241, 10138, 12, 'Обновление таблицы дало сбой');
INSERT INTO `lang_definitions` VALUES (61242, 10140, 12, 'Таблетка');
INSERT INTO `lang_definitions` VALUES (61243, 10146, 12, 'Тагальский');
INSERT INTO `lang_definitions` VALUES (61244, 10149, 12, 'Прием');
INSERT INTO `lang_definitions` VALUES (61245, 10151, 12, 'Выберите страховку из ниспадающего списка');
INSERT INTO `lang_definitions` VALUES (61246, 10152, 12, 'Выберите оплату из ниспадающего списка');
INSERT INTO `lang_definitions` VALUES (61247, 10153, 12, 'Возврат');
INSERT INTO `lang_definitions` VALUES (61248, 10154, 12, 'Занимает время');
INSERT INTO `lang_definitions` VALUES (61249, 10157, 12, 'Максимальная область навигации');
INSERT INTO `lang_definitions` VALUES (61250, 10164, 12, 'Намеченная дата');
INSERT INTO `lang_definitions` VALUES (61251, 10168, 12, 'Группы Планируемое/действие');
INSERT INTO `lang_definitions` VALUES (61252, 10173, 12, 'ИНН');
INSERT INTO `lang_definitions` VALUES (61253, 10174, 12, 'Ставка налогообложения');
INSERT INTO `lang_definitions` VALUES (61254, 10175, 12, 'Налоги');
INSERT INTO `lang_definitions` VALUES (61255, 10176, 12, 'Систематизация');
INSERT INTO `lang_definitions` VALUES (61256, 10181, 12, 'АДС');
INSERT INTO `lang_definitions` VALUES (61257, 10182, 12, 'Обзор травматологической бригады');
INSERT INTO `lang_definitions` VALUES (61258, 10183, 12, 'Состав бригады');
INSERT INTO `lang_definitions` VALUES (61259, 10184, 12, 'Просмотр состава бригады');
INSERT INTO `lang_definitions` VALUES (61260, 10185, 12, 'Бригада/отделение');
INSERT INTO `lang_definitions` VALUES (61261, 10187, 12, 'Тел.');
INSERT INTO `lang_definitions` VALUES (61262, 10189, 12, 'Международный код страны');
INSERT INTO `lang_definitions` VALUES (61263, 10192, 12, 'Темп.');
INSERT INTO `lang_definitions` VALUES (61264, 10193, 12, 'Место измерения температуры');
INSERT INTO `lang_definitions` VALUES (61265, 10194, 12, 'Метод измерения температуры');
INSERT INTO `lang_definitions` VALUES (61266, 10196, 12, 'Температура');
INSERT INTO `lang_definitions` VALUES (61267, 10197, 12, 'Шаблон');
INSERT INTO `lang_definitions` VALUES (61268, 10198, 12, 'Имя шаблона');
INSERT INTO `lang_definitions` VALUES (61269, 10199, 12, 'Имена шаблона не должны начинаться с цифр.');
INSERT INTO `lang_definitions` VALUES (61270, 10201, 12, 'Шаблон:');
INSERT INTO `lang_definitions` VALUES (61271, 10202, 12, 'Шаблоны');
INSERT INTO `lang_definitions` VALUES (61272, 10205, 12, 'Височная артерия');
INSERT INTO `lang_definitions` VALUES (61273, 10208, 12, 'Травма сухожилия');
INSERT INTO `lang_definitions` VALUES (61274, 10209, 12, 'Тенденит / остеомиелит / бурсит');
INSERT INTO `lang_definitions` VALUES (61275, 10211, 12, 'Предварительный счет для номера');
INSERT INTO `lang_definitions` VALUES (61276, 10213, 12, 'Третья');
INSERT INTO `lang_definitions` VALUES (61277, 10214, 12, 'Специализированная страховка');
INSERT INTO `lang_definitions` VALUES (61278, 10215, 12, 'Дата специального страхования');
INSERT INTO `lang_definitions` VALUES (61279, 10216, 12, 'Поставщик специального страхования');
INSERT INTO `lang_definitions` VALUES (61280, 10219, 12, 'План обследования');
INSERT INTO `lang_definitions` VALUES (61281, 10220, 12, 'Принципы обследования');
INSERT INTO `lang_definitions` VALUES (61282, 10223, 12, 'Текст');
INSERT INTO `lang_definitions` VALUES (61283, 10224, 12, 'Описательный диагноз');
INSERT INTO `lang_definitions` VALUES (61284, 10225, 12, 'Поле с текстом');
INSERT INTO `lang_definitions` VALUES (61285, 10233, 12, 'Текст-дата');
INSERT INTO `lang_definitions` VALUES (61286, 10234, 12, 'текст-дата');
INSERT INTO `lang_definitions` VALUES (61287, 10235, 12, 'Текстовая область');
INSERT INTO `lang_definitions` VALUES (61288, 10236, 12, 'текстовая область');
INSERT INTO `lang_definitions` VALUES (61289, 10237, 12, 'Текстовое поле');
INSERT INTO `lang_definitions` VALUES (61290, 10238, 12, 'текстовое поле');
INSERT INTO `lang_definitions` VALUES (61291, 10239, 12, 'Список текстовых полей');
INSERT INTO `lang_definitions` VALUES (61292, 10240, 12, 'список текстовых полей');
INSERT INTO `lang_definitions` VALUES (61293, 10241, 12, 'Тайский');
INSERT INTO `lang_definitions` VALUES (61294, 10242, 12, 'Спасибо');
INSERT INTO `lang_definitions` VALUES (61295, 10245, 12, 'Спасибо за Ваш выбор');
INSERT INTO `lang_definitions` VALUES (61296, 10247, 12, 'Кнопка \'Очистить\' удалит все аннотации.');
INSERT INTO `lang_definitions` VALUES (61297, 10254, 12, 'Вышеуказанная заявка дала сбой');
INSERT INTO `lang_definitions` VALUES (61298, 10264, 12, 'Сертификат сервера SSL Apache и общедоступный ключ');
INSERT INTO `lang_definitions` VALUES (61299, 10281, 12, 'Доверенный сертификат Certificate');
INSERT INTO `lang_definitions` VALUES (61300, 10284, 12, 'Требуемый файл:');
INSERT INTO `lang_definitions` VALUES (61301, 10296, 12, 'Соответствующий личный ключ');
INSERT INTO `lang_definitions` VALUES (61302, 10322, 12, 'вот код отказа');
INSERT INTO `lang_definitions` VALUES (61303, 10323, 12, 'вот код группы отказа');
INSERT INTO `lang_definitions` VALUES (61304, 10328, 12, 'Форма места назначения была закрыта');
INSERT INTO `lang_definitions` VALUES (61305, 10330, 12, 'Форма места назначения была закрыта; не удалось активировать ваш выбор.');
INSERT INTO `lang_definitions` VALUES (61306, 10346, 12, 'Обращение в EP, правомочную больницу или CAH, которые получают пациента из других стандартов лечения или от специалистов, соответствует, должно выполнять преемственность лечения.');
INSERT INTO `lang_definitions` VALUES (61307, 10349, 12, 'Полномочные профессионалы, больницы или центры здороья, которые переводят своих пациентов для медицинской помощи с другим управлением или специалистами, или направляют своих пациентов к другому медицинскому специалисту, должны предоставить медицинскую выписку для каждого перевода или направления.');
INSERT INTO `lang_definitions` VALUES (61308, 10350, 12, 'Это событие(я) было принято.');
INSERT INTO `lang_definitions` VALUES (61309, 10351, 12, 'Событие(я) скрыты.');
INSERT INTO `lang_definitions` VALUES (61310, 10352, 12, 'Данные экспорта предоставлены в текстовой области ниже. Можете скопировать и вставить их в email или любое другое необходимое место назначения.');
INSERT INTO `lang_definitions` VALUES (61311, 10354, 12, 'Данные экспорта предоставлены в текстовой области ниже. Можете скопировать и вставить в email или любое другое необходимое место назначения.');
INSERT INTO `lang_definitions` VALUES (61312, 10355, 12, 'Данные экспорта предоставлены в текстовой области ниже. Можете скопировать и вставить их в email или любое другое необходимое место назначения.');
INSERT INTO `lang_definitions` VALUES (61313, 10359, 12, 'Этот файл не удалось переименовать, эта ошибка, обычно связана с проблемами прав доступа в системе хранения.');
INSERT INTO `lang_definitions` VALUES (61314, 10380, 12, 'Были добавлены следующие календарные события:');
INSERT INTO `lang_definitions` VALUES (61315, 10381, 12, 'Следующие календарные события были изменены:');
INSERT INTO `lang_definitions` VALUES (61316, 10382, 12, 'Следующие категории будут удалены из вашего списка категорий');
INSERT INTO `lang_definitions` VALUES (61317, 10383, 12, 'В настоящее время установлена следующая версия базы данных.');
INSERT INTO `lang_definitions` VALUES (61318, 10386, 12, 'Следующий файл EDI был обновлен');
INSERT INTO `lang_definitions` VALUES (61319, 10388, 12, 'Активирован следующий пользователь чрезвычайного входа в систему:');
INSERT INTO `lang_definitions` VALUES (61320, 10389, 12, 'Произошла следующая ошибка');
INSERT INTO `lang_definitions` VALUES (61321, 10392, 12, 'Следующие поля являются обязательными');
INSERT INTO `lang_definitions` VALUES (61322, 10394, 12, 'Для отправки запроса должны быть заполнены следующие поля.');
INSERT INTO `lang_definitions` VALUES (61323, 10406, 12, 'Имя узла на архивном компьютере для аудита ATNA');
INSERT INTO `lang_definitions` VALUES (61324, 10418, 12, 'Начальное окно является страницей поиска счета. Вверху можете ввести источник (например, номер чека), дату оплаты и сумму чека. Причина для источника и даты оплаты одна, так что вам не придется вводить их много раз для каждого требования. ...');
INSERT INTO `lang_definitions` VALUES (61325, 10431, 12, 'Метка, которая появляется для этого пользователя в форме');
INSERT INTO `lang_definitions` VALUES (61326, 10438, 12, 'Длина не должна превышать этого количества символов');
INSERT INTO `lang_definitions` VALUES (61327, 10458, 12, 'Новая категория будет подкатегорией для');
INSERT INTO `lang_definitions` VALUES (61328, 10460, 12, 'Новый пароль не может быть таким же, как текущий.');
INSERT INTO `lang_definitions` VALUES (61329, 10461, 12, 'Поля нового пароля отличаются.');
INSERT INTO `lang_definitions` VALUES (61330, 10479, 12, 'Страница будет перенаправлена в персональные данные. Можно изменить поле страны и снова кликнуть в NewCrop.');
INSERT INTO `lang_definitions` VALUES (61331, 10482, 12, 'Пароль должен быть менее восьми символов и должен...');
INSERT INTO `lang_definitions` VALUES (61332, 10486, 12, 'Запрос на запись для пациента был выполнен.');
INSERT INTO `lang_definitions` VALUES (61333, 10487, 12, 'Напоминания пациенту отправлены');
INSERT INTO `lang_definitions` VALUES (61334, 10488, 12, 'Напоминания пациенту обновлены');
INSERT INTO `lang_definitions` VALUES (61335, 10493, 12, 'Введенные платежи не могут быть позже этой даты. Это означает, что после совершения завершающего отчета никто не введет на более ранние даты.');
INSERT INTO `lang_definitions` VALUES (61336, 10509, 12, 'Сведения, приведенные ниже, применяются, только если вручную публикуете или исправляете.');
INSERT INTO `lang_definitions` VALUES (61337, 10513, 12, 'Запрошенный документ в ожидаемом месте файловой системы отсутствует или нет достаточных прав доступа к нему.');
INSERT INTO `lang_definitions` VALUES (61338, 10537, 12, 'Столбцы источника и даты копируются с первой страницы, так что, обычно, не нужно трогать их. Можете поместить сумму платежа в столбце оплаты, скорректированную сумму в столбце Изменить, или обоих. Можно также нажать «W» справа для авто...');
INSERT INTO `lang_definitions` VALUES (61339, 10557, 12, 'Временная детализация календаря и наименьший интервал в минутах для вставки записи на прием.');
INSERT INTO `lang_definitions` VALUES (61340, 10562, 12, 'Переведенная метка, которая выводится на текущем языке в форме');
INSERT INTO `lang_definitions` VALUES (61341, 10563, 12, 'Переведенный заголовок, который будет выводится на текущем языке');
INSERT INTO `lang_definitions` VALUES (61342, 10564, 12, 'Перевод описания на текущем языке');
INSERT INTO `lang_definitions` VALUES (61343, 10565, 12, 'Таблицы переводов синхронизированы.');
INSERT INTO `lang_definitions` VALUES (61344, 10566, 12, 'Тип этого объекта');
INSERT INTO `lang_definitions` VALUES (61345, 10586, 12, 'Код производителя, идентифицирующий эту методику или результат');
INSERT INTO `lang_definitions` VALUES (61346, 10591, 12, 'Файлы X12 также, как полученные отчеты вывода HTML, архивируются в подкаталоге \"era\" основной инсталляционной директории OpenEMR. Следует обращаться время от времени к этим архивам. URL-адрес');
INSERT INTO `lang_definitions` VALUES (61347, 10593, 12, 'Файл zip будет содержать следующие пункты');
INSERT INTO `lang_definitions` VALUES (61348, 10594, 12, 'Тема');
INSERT INTO `lang_definitions` VALUES (61349, 10601, 12, 'Терапевтические инъекции');
INSERT INTO `lang_definitions` VALUES (61350, 10607, 12, 'Вот');
INSERT INTO `lang_definitions` VALUES (61351, 10610, 12, 'В настоящее время нет назначений');
INSERT INTO `lang_definitions` VALUES (61352, 10611, 12, 'Имеются ошибки с вашим предоставлением. Они обрисованы ниже.');
INSERT INTO `lang_definitions` VALUES (61353, 10616, 12, 'Выписанных карт нет.');
INSERT INTO `lang_definitions` VALUES (61354, 10618, 12, 'Для этого пациента публикаций не зарегистрировано.');
INSERT INTO `lang_definitions` VALUES (61355, 10621, 12, 'Новых предоставлений нет');
INSERT INTO `lang_definitions` VALUES (61356, 10622, 12, 'Для этого пациента нет записей в файл.');
INSERT INTO `lang_definitions` VALUES (61357, 10624, 12, 'Для этого пациента нет транзакций в файл.');
INSERT INTO `lang_definitions` VALUES (61358, 10639, 12, 'Вот ошибка отправки почты');
INSERT INTO `lang_definitions` VALUES (61359, 10642, 12, 'Категория уже именована');
INSERT INTO `lang_definitions` VALUES (61360, 10643, 12, 'Подкатегория уже именована');
INSERT INTO `lang_definitions` VALUES (61361, 10644, 12, 'Элемент уже именован');
INSERT INTO `lang_definitions` VALUES (61362, 10645, 12, 'Запрос на запись для пациента уже открыт.');
INSERT INTO `lang_definitions` VALUES (61363, 10646, 12, 'Это не ввод COA для аккаунта AR');
INSERT INTO `lang_definitions` VALUES (61364, 10647, 12, 'Это не ввод COA для аккаунта кэша');
INSERT INTO `lang_definitions` VALUES (61365, 10648, 12, 'Это не ввод COA для входящего аккаунта');
INSERT INTO `lang_definitions` VALUES (61366, 10649, 12, 'Нет ни одного текущего пациента');
INSERT INTO `lang_definitions` VALUES (61367, 10651, 12, 'Для id счета нет соответствия');
INSERT INTO `lang_definitions` VALUES (61368, 10652, 12, 'Нет соответствия для счета с id=');
INSERT INTO `lang_definitions` VALUES (61369, 10653, 12, 'Это не ввод части для ID услуг');
INSERT INTO `lang_definitions` VALUES (61370, 10656, 12, 'При обработке вашего запроса была ошибка.');
INSERT INTO `lang_definitions` VALUES (61371, 10682, 12, 'Уплотненное справа');
INSERT INTO `lang_definitions` VALUES (61372, 10683, 12, 'Бедро');
INSERT INTO `lang_definitions` VALUES (61373, 10684, 12, 'Бедро и подколенная ямка');
INSERT INTO `lang_definitions` VALUES (61374, 10686, 12, 'Объекты, которые оперчасть может читать и вводить, но не изменять');
INSERT INTO `lang_definitions` VALUES (61375, 10687, 12, 'Объекты, которые оперчасть может читать и изменять');
INSERT INTO `lang_definitions` VALUES (61376, 10690, 12, 'Объекты, которые клиницисты могут читать и вводить, но не изменять');
INSERT INTO `lang_definitions` VALUES (61377, 10691, 12, 'Объекты, которые клиницисты могут читать и изменять');
INSERT INTO `lang_definitions` VALUES (61378, 10694, 12, 'Объекты, которые регистратура может читать и вводить, но не изменять');
INSERT INTO `lang_definitions` VALUES (61379, 10695, 12, 'Объекты, которые регистратура может читать и изменять');
INSERT INTO `lang_definitions` VALUES (61380, 10698, 12, 'Объекты, которые врачи могут читать и вводить, но не изменять');
INSERT INTO `lang_definitions` VALUES (61381, 10699, 12, 'Объекты, которые врачи могут читать и изменять');
INSERT INTO `lang_definitions` VALUES (61382, 10701, 12, 'Третий');
INSERT INTO `lang_definitions` VALUES (61383, 10704, 12, 'Это действие НЕ МОЖЕТ БЫТЬ отменено.');
INSERT INTO `lang_definitions` VALUES (61384, 10705, 12, 'Это действие не может быть отменено.');
INSERT INTO `lang_definitions` VALUES (61385, 10707, 12, 'Это действие будет зарегистрировано');
INSERT INTO `lang_definitions` VALUES (61386, 10714, 12, 'Этот календарный год');
INSERT INTO `lang_definitions` VALUES (61387, 10717, 12, 'Это требование было отвергнуто. Причина: -');
INSERT INTO `lang_definitions` VALUES (61388, 10718, 12, 'Это требование отправлено на следующий уровень.');
INSERT INTO `lang_definitions` VALUES (61389, 10725, 12, 'Этот тип кода не принимает зависимости.');
INSERT INTO `lang_definitions` VALUES (61390, 10727, 12, 'Вот категории контекстного содержания, которые будут удалены. Все еще нужно продолжить?');
INSERT INTO `lang_definitions` VALUES (61391, 10730, 12, 'Они определяют, как записи на прием отображаются в календаре.');
INSERT INTO `lang_definitions` VALUES (61392, 10731, 12, 'Определяет, какая цветовая схема используется для записи на прием');
INSERT INTO `lang_definitions` VALUES (61393, 10734, 12, 'Это обращение');
INSERT INTO `lang_definitions` VALUES (61394, 10742, 12, 'Этот компонент является экспериментальным и тестирован не полностью. Используйте его на свой собственный риск!');
INSERT INTO `lang_definitions` VALUES (61395, 10753, 12, 'Этот номер счета был изменен на');
INSERT INTO `lang_definitions` VALUES (61396, 10789, 12, 'Этот модуль работает в тестовом режиме. База данных не будет изменена.');
INSERT INTO `lang_definitions` VALUES (61397, 10792, 12, 'Этот модуль поддерживает эффективный ввод данных EOB.');
INSERT INTO `lang_definitions` VALUES (61398, 10793, 12, 'Этот месяц до даты');
INSERT INTO `lang_definitions` VALUES (61399, 10801, 12, 'Эта страница будет включать встроенный вход в систему, чтобы не делать это каждый раз.');
INSERT INTO `lang_definitions` VALUES (61400, 10804, 12, 'Этот пациент не активирован.');
INSERT INTO `lang_definitions` VALUES (61401, 10805, 12, 'Этот ID пациента уже в использовании!');
INSERT INTO `lang_definitions` VALUES (61402, 10807, 12, 'Этот продукт допускает только одну партию на складе');
INSERT INTO `lang_definitions` VALUES (61403, 10821, 12, 'На этом шаге будет создан файл, который нужно сохранить для последующего использования. Этот файл не может быть создан повторно.Необходимо выполнить?');
INSERT INTO `lang_definitions` VALUES (61404, 10822, 12, 'Этот пользователь не является членом ни одной группы');
INSERT INTO `lang_definitions` VALUES (61405, 10826, 12, 'Это посещение начинает использование новой контрацепции');
INSERT INTO `lang_definitions` VALUES (61406, 10827, 12, 'Для этого посещения необходима форма GCAC, предоставление направления или процедуры.');
INSERT INTO `lang_definitions` VALUES (61407, 10828, 12, 'Это была старая только метрическая форма жизненно важных показателей, в настоящее время устарела.');
INSERT INTO `lang_definitions` VALUES (61408, 10829, 12, 'Эта неделя до даты');
INSERT INTO `lang_definitions` VALUES (61409, 10831, 12, 'Активирует сообщения CCR (непрерывность медицинской записи) и CCD (непрерывность медицинского документа).');
INSERT INTO `lang_definitions` VALUES (61410, 10834, 12, 'Разрешает выбор отладочного языка (\'подставного\').');
INSERT INTO `lang_definitions` VALUES (61411, 10843, 12, 'Будет создана резервная копия в формате tar и затем отправлена на ваш веб-браузер, так что вы сможете ее сохранить');
INSERT INTO `lang_definitions` VALUES (61412, 10844, 12, 'Функция шифрования и дешифрования документа будет дезактивирована и спрятана в UI.');
INSERT INTO `lang_definitions` VALUES (61413, 10854, 12, 'Это вызовет в итоговом отображении пациента всегда открытый виджет счетов.');
INSERT INTO `lang_definitions` VALUES (61414, 10860, 12, 'Это не предотвратит от перехода в место e-назначения.');
INSERT INTO `lang_definitions` VALUES (61415, 10867, 12, 'Будет использован пользовательский список вакцинации, а не стандартный список вакцинации CVX');
INSERT INTO `lang_definitions` VALUES (61416, 10871, 12, 'Грудной отдел позвоночника');
INSERT INTO `lang_definitions` VALUES (61417, 10873, 12, 'Тыс./куб.мм');
INSERT INTO `lang_definitions` VALUES (61418, 10878, 12, 'Гортань');
INSERT INTO `lang_definitions` VALUES (61419, 10879, 12, 'Рак гортани');
INSERT INTO `lang_definitions` VALUES (61420, 10880, 12, 'Хирургия рака гортани');
INSERT INTO `lang_definitions` VALUES (61421, 10881, 12, 'Тромбоз/инсульт');
INSERT INTO `lang_definitions` VALUES (61422, 10882, 12, 'Чт');
INSERT INTO `lang_definitions` VALUES (61423, 10884, 12, 'Четверг');
INSERT INTO `lang_definitions` VALUES (61424, 10885, 12, 'Четверг');
INSERT INTO `lang_definitions` VALUES (61425, 10887, 12, 'Обычная щитовидная железа');
INSERT INTO `lang_definitions` VALUES (61426, 10888, 12, 'Проблемы щитовидной железы');
INSERT INTO `lang_definitions` VALUES (61427, 10890, 12, 'Преходящее ОНМК');
INSERT INTO `lang_definitions` VALUES (61428, 10892, 12, 'TID');
INSERT INTO `lang_definitions` VALUES (61429, 10902, 12, 'время');
INSERT INTO `lang_definitions` VALUES (61430, 10903, 12, 'Формат отображения времени');
INSERT INTO `lang_definitions` VALUES (61431, 10904, 12, 'Сдвиг времени для добавления (1-60 минут)');
INSERT INTO `lang_definitions` VALUES (61432, 10905, 12, 'Выбор времени');
INSERT INTO `lang_definitions` VALUES (61433, 10913, 12, 'Разовое событие');
INSERT INTO `lang_definitions` VALUES (61434, 10914, 12, 'Набор времени (NA)');
INSERT INTO `lang_definitions` VALUES (61435, 10915, 12, 'Временная метка и текст');
INSERT INTO `lang_definitions` VALUES (61436, 10917, 12, 'TIN');
INSERT INTO `lang_definitions` VALUES (61437, 10918, 12, 'Звон в ушах');
INSERT INTO `lang_definitions` VALUES (61438, 10920, 12, 'Название');
INSERT INTO `lang_definitions` VALUES (61439, 10923, 12, 'Название V');
INSERT INTO `lang_definitions` VALUES (61440, 10924, 12, 'Столбцы данных должно быть числом между 1 и 999');
INSERT INTO `lang_definitions` VALUES (61441, 10925, 12, 'Обращения');
INSERT INTO `lang_definitions` VALUES (61442, 10926, 12, 'TM\'S:');
INSERT INTO `lang_definitions` VALUES (61443, 10927, 12, 'Наружный нос, TMs/EAMs/EE');
INSERT INTO `lang_definitions` VALUES (61444, 10928, 12, 'по');
INSERT INTO `lang_definitions` VALUES (61445, 10929, 12, 'до');
INSERT INTO `lang_definitions` VALUES (61446, 10930, 12, 'ДО');
INSERT INTO `lang_definitions` VALUES (61447, 10931, 12, 'в абсолютном пути файла');
INSERT INTO `lang_definitions` VALUES (61448, 10936, 12, 'Кликните для добавления записей');
INSERT INTO `lang_definitions` VALUES (61449, 10937, 12, 'Кликните здесь для добавления записей');
INSERT INTO `lang_definitions` VALUES (61450, 10938, 12, 'На пораженную область');
INSERT INTO `lang_definitions` VALUES (61451, 10939, 12, 'на пораженную область');
INSERT INTO `lang_definitions` VALUES (61452, 10942, 12, 'Для автоматического открытия этой указанной формы. Некоторые спортивные команды здесь используют football_injury_audit.');
INSERT INTO `lang_definitions` VALUES (61453, 10944, 12, 'Для просмотра счета');
INSERT INTO `lang_definitions` VALUES (61454, 10945, 12, 'в категории');
INSERT INTO `lang_definitions` VALUES (61455, 10947, 12, 'Для больничного просмотра');
INSERT INTO `lang_definitions` VALUES (61456, 10949, 12, 'В доплату');
INSERT INTO `lang_definitions` VALUES (61457, 10953, 12, 'В ded\'ble');
INSERT INTO `lang_definitions` VALUES (61458, 10956, 12, 'В электронную службу передачи цифровых сообщений');
INSERT INTO `lang_definitions` VALUES (61459, 10958, 12, 'Для отключения сертификатов SSL на стороне клиента закомментируйте вышеуказанные строки в конфигурационном файле Apache и установите');
INSERT INTO `lang_definitions` VALUES (61460, 10960, 12, 'Для отключения HTTPS закомментируйте вышеуказанные строки в конфигурационном файле Apache и перезагрузите сервер Apache.');
INSERT INTO `lang_definitions` VALUES (61461, 10965, 12, 'Для включения сертификатов ssl на стороне клиента');
INSERT INTO `lang_definitions` VALUES (61462, 10966, 12, 'Для включения проверки сертификатов ssl на стороне клиента должен быть включен HTTPS');
INSERT INTO `lang_definitions` VALUES (61463, 10970, 12, 'Для включения только HTTPS, сделайте указанные выше изменения и перезапустите сервер Apache. Если хотите также настроить сертификаты на стороне клиента, сконфигурируйте их в следующем разделе.');
INSERT INTO `lang_definitions` VALUES (61464, 10972, 12, 'Для обращ.');
INSERT INTO `lang_definitions` VALUES (61465, 10973, 12, 'Фильтровать по полу');
INSERT INTO `lang_definitions` VALUES (61466, 10980, 12, 'В анамнез');
INSERT INTO `lang_definitions` VALUES (61467, 10982, 12, 'В проблемы');
INSERT INTO `lang_definitions` VALUES (61468, 10984, 12, 'Для связывания этого обращения или консультации с имеющейся проблемой, нажмите здесь');
INSERT INTO `lang_definitions` VALUES (61469, 10985, 12, 'Для связи этого обращения/консультации с существующей проблемой кликните выше нужную для выделения и нажмите [Сохранить]. Для выбора нескольких проблем удерживайте клавишу [Ctrl].');
INSERT INTO `lang_definitions` VALUES (61470, 10987, 12, 'для повторного входа в систему');
INSERT INTO `lang_definitions` VALUES (61471, 10992, 12, 'Кликните для опубликования записи');
INSERT INTO `lang_definitions` VALUES (61472, 10997, 12, 'для запуска');
INSERT INTO `lang_definitions` VALUES (61473, 11001, 12, 'Для организации доступа https с проверкой сертификата клиента сделайте следующее');
INSERT INTO `lang_definitions` VALUES (61474, 11002, 12, 'Накожно');
INSERT INTO `lang_definitions` VALUES (61475, 11003, 12, 'накожно');
INSERT INTO `lang_definitions` VALUES (61476, 11005, 12, 'в это посещение?');
INSERT INTO `lang_definitions` VALUES (61477, 11010, 12, 'до:');
INSERT INTO `lang_definitions` VALUES (61478, 11011, 12, 'до:');
INSERT INTO `lang_definitions` VALUES (61479, 11012, 12, 'TO_CITY');
INSERT INTO `lang_definitions` VALUES (61480, 11013, 12, 'TO_FAX');
INSERT INTO `lang_definitions` VALUES (61481, 11014, 12, 'TO_FNAME');
INSERT INTO `lang_definitions` VALUES (61482, 11015, 12, 'TO_LNAME');
INSERT INTO `lang_definitions` VALUES (61483, 11016, 12, 'TO_MNAME');
INSERT INTO `lang_definitions` VALUES (61484, 11017, 12, 'TO_ORGANIZATION');
INSERT INTO `lang_definitions` VALUES (61485, 11020, 12, 'TO_POSTAL');
INSERT INTO `lang_definitions` VALUES (61486, 11021, 12, 'TO_STATE');
INSERT INTO `lang_definitions` VALUES (61487, 11022, 12, 'TO_STREET');
INSERT INTO `lang_definitions` VALUES (61488, 11023, 12, 'TO_TITLE');
INSERT INTO `lang_definitions` VALUES (61489, 11024, 12, 'TO_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (61490, 11025, 12, 'Табак');
INSERT INTO `lang_definitions` VALUES (61491, 11026, 12, 'Вмешательство по прекращению табакокурения');
INSERT INTO `lang_definitions` VALUES (61492, 11027, 12, 'Вмешательство по прекращению табакокурения (CQM)');
INSERT INTO `lang_definitions` VALUES (61493, 11028, 12, 'Использование табака');
INSERT INTO `lang_definitions` VALUES (61494, 11030, 12, 'Оценка использования табака');
INSERT INTO `lang_definitions` VALUES (61495, 11031, 12, 'Оценка использования табака (CQM)');
INSERT INTO `lang_definitions` VALUES (61496, 11032, 12, 'Сегодня');
INSERT INTO `lang_definitions` VALUES (61497, 11033, 12, 'СЕГОДНЯ');
INSERT INTO `lang_definitions` VALUES (61498, 11034, 12, 'сегодня');
INSERT INTO `lang_definitions` VALUES (61499, 11035, 12, 'Сегодняшний баланс');
INSERT INTO `lang_definitions` VALUES (61500, 11036, 12, 'Сегодняшние оплаты');
INSERT INTO `lang_definitions` VALUES (61501, 11037, 12, 'Сегодняшняя дата');
INSERT INTO `lang_definitions` VALUES (61502, 11038, 12, 'Сегодняшние события');
INSERT INTO `lang_definitions` VALUES (61503, 11045, 12, 'ID знака для поддержки OpenEMR лабораторных услуг обмена LLC');
INSERT INTO `lang_definitions` VALUES (61504, 11047, 12, 'Тонзилэктомия');
INSERT INTO `lang_definitions` VALUES (61505, 11050, 12, 'Верх');
INSERT INTO `lang_definitions` VALUES (61506, 11053, 12, 'Раздел');
INSERT INTO `lang_definitions` VALUES (61507, 11054, 12, 'Всего');
INSERT INTO `lang_definitions` VALUES (61508, 11055, 12, 'всего');
INSERT INTO `lang_definitions` VALUES (61509, 11056, 12, 'Всего активных действий');
INSERT INTO `lang_definitions` VALUES (61510, 11057, 12, 'Всего активных напоминаний после обновления');
INSERT INTO `lang_definitions` VALUES (61511, 11058, 12, 'Всего активных напоминаний до обновления');
INSERT INTO `lang_definitions` VALUES (61512, 11060, 12, 'Подлежит всего');
INSERT INTO `lang_definitions` VALUES (61513, 11061, 12, 'Всего подлежит оплатить');
INSERT INTO `lang_definitions` VALUES (61514, 11064, 12, 'Общий платеж');
INSERT INTO `lang_definitions` VALUES (61515, 11065, 12, 'Всего клиентов');
INSERT INTO `lang_definitions` VALUES (61516, 11067, 12, 'Общая стоимость');
INSERT INTO `lang_definitions` VALUES (61517, 11068, 12, 'Итоговое количество для последующей проверки предоставлено не полностью');
INSERT INTO `lang_definitions` VALUES (61518, 11070, 12, 'Через e-mail отправка напоминаний была неудачной');
INSERT INTO `lang_definitions` VALUES (61519, 11071, 12, 'Через телефон отправка напоминаний была неудачной');
INSERT INTO `lang_definitions` VALUES (61520, 11072, 12, 'Всего для');
INSERT INTO `lang_definitions` VALUES (61521, 11073, 12, 'Всего для');
INSERT INTO `lang_definitions` VALUES (61522, 11074, 12, 'Всего для категории');
INSERT INTO `lang_definitions` VALUES (61523, 11075, 12, 'Всего инактивированных напоминаний');
INSERT INTO `lang_definitions` VALUES (61524, 11078, 12, 'Всего новых напоминаний');
INSERT INTO `lang_definitions` VALUES (61525, 11081, 12, 'Общее количество вакцинаций');
INSERT INTO `lang_definitions` VALUES (61526, 11082, 12, 'Общее количество результатов');
INSERT INTO `lang_definitions` VALUES (61527, 11084, 12, 'Общее количество пациентов');
INSERT INTO `lang_definitions` VALUES (61528, 11087, 12, 'Итоговый баланс по пациентам');
INSERT INTO `lang_definitions` VALUES (61529, 11089, 12, 'Всего пациентов');
INSERT INTO `lang_definitions` VALUES (61530, 11093, 12, 'Всего найденных записей');
INSERT INTO `lang_definitions` VALUES (61531, 11095, 12, 'Общее планирование SRH и семьи');
INSERT INTO `lang_definitions` VALUES (61532, 11096, 12, 'Всего успешных напоминаний, отправленных через email,');
INSERT INTO `lang_definitions` VALUES (61533, 11097, 12, 'Всего успешных напоминаний, отправленных через телефон,');
INSERT INTO `lang_definitions` VALUES (61534, 11100, 12, 'Всего неизменных напоминаний');
INSERT INTO `lang_definitions` VALUES (61535, 11101, 12, 'Всего неотправленных напоминаний после запуска процесса');
INSERT INTO `lang_definitions` VALUES (61536, 11102, 12, 'Всего неотправленных напоминаний после обновления');
INSERT INTO `lang_definitions` VALUES (61537, 11103, 12, 'Всего неотправленных напоминаний до запуска процесса');
INSERT INTO `lang_definitions` VALUES (61538, 11104, 12, 'Всего неотправленных напоминаний до обновления');
INSERT INTO `lang_definitions` VALUES (61539, 11105, 12, 'Всего обновленных напоминаний');
INSERT INTO `lang_definitions` VALUES (61540, 11106, 12, 'Итоги');
INSERT INTO `lang_definitions` VALUES (61541, 11107, 12, 'Всего для');
INSERT INTO `lang_definitions` VALUES (61542, 11108, 12, 'Всего для');
INSERT INTO `lang_definitions` VALUES (61543, 11135, 12, 'Тип обучения');
INSERT INTO `lang_definitions` VALUES (61544, 11136, 12, 'Провести');
INSERT INTO `lang_definitions` VALUES (61545, 11137, 12, 'Транзакция');
INSERT INTO `lang_definitions` VALUES (61546, 11138, 12, 'транзакция');
INSERT INTO `lang_definitions` VALUES (61547, 11139, 12, 'Транзакция дала сбой, недостаточное количество в назначаемой партии');
INSERT INTO `lang_definitions` VALUES (61548, 11140, 12, 'Транзакция дала сбой, количество меньше ноля');
INSERT INTO `lang_definitions` VALUES (61549, 11142, 12, 'Тип транзакции');
INSERT INTO `lang_definitions` VALUES (61550, 11143, 12, 'Транзакции');
INSERT INTO `lang_definitions` VALUES (61551, 11144, 12, 'транзакции');
INSERT INTO `lang_definitions` VALUES (61552, 11145, 12, 'Транзакции (write необязательно)');
INSERT INTO `lang_definitions` VALUES (61553, 11151, 12, 'Транзакции/направления');
INSERT INTO `lang_definitions` VALUES (61554, 11153, 12, 'Передать');
INSERT INTO `lang_definitions` VALUES (61555, 11155, 12, 'Передача дала сбой, недостаточное количество в исходной партии');
INSERT INTO `lang_definitions` VALUES (61556, 11160, 12, 'Передачи');
INSERT INTO `lang_definitions` VALUES (61557, 11162, 12, 'Смена/перемещение медицинской помощи?');
INSERT INTO `lang_definitions` VALUES (61558, 11163, 12, 'Группы управления доступом к переводу');
INSERT INTO `lang_definitions` VALUES (61559, 11164, 12, 'Переводить категории приема');
INSERT INTO `lang_definitions` VALUES (61560, 11165, 12, 'Переводить категории документа');
INSERT INTO `lang_definitions` VALUES (61561, 11166, 12, 'Переводить макеты');
INSERT INTO `lang_definitions` VALUES (61562, 11167, 12, 'Переводить списки');
INSERT INTO `lang_definitions` VALUES (61563, 11168, 12, 'Переводить заголовки записей по пациентам');
INSERT INTO `lang_definitions` VALUES (61564, 11169, 12, 'перевести это');
INSERT INTO `lang_definitions` VALUES (61565, 11170, 12, 'Перевод');
INSERT INTO `lang_definitions` VALUES (61566, 11171, 12, 'Переводы');
INSERT INTO `lang_definitions` VALUES (61567, 11179, 12, 'Травма');
INSERT INTO `lang_definitions` VALUES (61568, 11180, 12, 'Лечение');
INSERT INTO `lang_definitions` VALUES (61569, 11182, 12, 'Цель лечения');
INSERT INTO `lang_definitions` VALUES (61570, 11183, 12, 'План лечения');
INSERT INTO `lang_definitions` VALUES (61571, 11186, 12, 'Лечение:');
INSERT INTO `lang_definitions` VALUES (61572, 11187, 12, 'Лечение:');
INSERT INTO `lang_definitions` VALUES (61573, 11189, 12, 'Динамика');
INSERT INTO `lang_definitions` VALUES (61574, 11190, 12, 'trftime($month_format, mktime(0, 0, 0, $i, 1, 2000)) ); $month_value');
INSERT INTO `lang_definitions` VALUES (61575, 11195, 12, 'Пусковая точка / синдром сдавления / DOMS / судорога');
INSERT INTO `lang_definitions` VALUES (61576, 11196, 12, 'Трималяр');
INSERT INTO `lang_definitions` VALUES (61577, 11199, 12, 'Торс и живот');
INSERT INTO `lang_definitions` VALUES (61578, 11205, 12, 'ч.л.');
INSERT INTO `lang_definitions` VALUES (61579, 11207, 12, 'Трансдермальная терапевтическая система');
INSERT INTO `lang_definitions` VALUES (61580, 11208, 12, 'Туберкулез');
INSERT INTO `lang_definitions` VALUES (61581, 11209, 12, 'Вт');
INSERT INTO `lang_definitions` VALUES (61582, 11210, 12, 'Вт &amp; Чт');
INSERT INTO `lang_definitions` VALUES (61583, 11211, 12, 'Вторник');
INSERT INTO `lang_definitions` VALUES (61584, 11212, 12, 'Новообразование');
INSERT INTO `lang_definitions` VALUES (61585, 11213, 12, 'Турецкий');
INSERT INTO `lang_definitions` VALUES (61586, 11214, 12, 'Туркменский');
INSERT INTO `lang_definitions` VALUES (61587, 11222, 12, 'дважды в день');
INSERT INTO `lang_definitions` VALUES (61588, 11226, 12, 'Барабанная перепонка');
INSERT INTO `lang_definitions` VALUES (61589, 11227, 12, 'Ввести');
INSERT INTO `lang_definitions` VALUES (61590, 11231, 12, 'Введите id или имя. Минимум 3 символа (включая пробелы).');
INSERT INTO `lang_definitions` VALUES (61591, 11238, 12, 'Тип столбцов, отображаемых для результатов поиска пациента');
INSERT INTO `lang_definitions` VALUES (61592, 11239, 12, 'Тип публикации');
INSERT INTO `lang_definitions` VALUES (61593, 11240, 12, 'Тип событий');
INSERT INTO `lang_definitions` VALUES (61594, 11242, 12, 'Тип макета экрана');
INSERT INTO `lang_definitions` VALUES (61595, 11243, 12, 'Введите или просматривайте идентификатор пациента здесь');
INSERT INTO `lang_definitions` VALUES (61596, 11248, 12, 'Введите здесь свое сообщение');
INSERT INTO `lang_definitions` VALUES (61597, 11249, 12, 'Типы назначений и выполнений');
INSERT INTO `lang_definitions` VALUES (61598, 11270, 12, 'Коды UCSMC предоставлены через Университет Спортивного Медицинского Центра Калгари');
INSERT INTO `lang_definitions` VALUES (61599, 11271, 12, 'Украинский');
INSERT INTO `lang_definitions` VALUES (61600, 11272, 12, 'Изъязвления');
INSERT INTO `lang_definitions` VALUES (61601, 11273, 12, 'Язвенный колит');
INSERT INTO `lang_definitions` VALUES (61602, 11274, 12, 'Язвы');
INSERT INTO `lang_definitions` VALUES (61603, 11276, 12, 'Невозможно открыть директорию');
INSERT INTO `lang_definitions` VALUES (61604, 11277, 12, 'Невозможно открыть URL');
INSERT INTO `lang_definitions` VALUES (61605, 11278, 12, 'Невозможно создать');
INSERT INTO `lang_definitions` VALUES (61606, 11291, 12, 'Неприменимо');
INSERT INTO `lang_definitions` VALUES (61607, 11292, 12, 'Без указания');
INSERT INTO `lang_definitions` VALUES (61608, 11294, 12, 'Несанкционированный доступ к ePrescription');
INSERT INTO `lang_definitions` VALUES (61609, 11295, 12, 'Несанкционированный доступ.');
INSERT INTO `lang_definitions` VALUES (61610, 11297, 12, 'Только не для счетов');
INSERT INTO `lang_definitions` VALUES (61611, 11300, 12, 'под язык');
INSERT INTO `lang_definitions` VALUES (61612, 11303, 12, 'Похудание');
INSERT INTO `lang_definitions` VALUES (61613, 11304, 12, 'Недиагностированный');
INSERT INTO `lang_definitions` VALUES (61614, 11305, 12, 'Невыплаченное');
INSERT INTO `lang_definitions` VALUES (61615, 11306, 12, 'НЕВЫПЛАЧЕННОЕ');
INSERT INTO `lang_definitions` VALUES (61616, 11307, 12, 'Невыплаченным является');
INSERT INTO `lang_definitions` VALUES (61617, 11309, 12, 'Отменить расчет');
INSERT INTO `lang_definitions` VALUES (61618, 11311, 12, 'Уникальные клиенты');
INSERT INTO `lang_definitions` VALUES (61619, 11312, 12, 'Уникальный идентификатор для этого типа, читаемый человеком');
INSERT INTO `lang_definitions` VALUES (61620, 11315, 12, 'Уникальные новые клиенты');
INSERT INTO `lang_definitions` VALUES (61621, 11316, 12, 'Уникальный числовой идентификатор для этого типа');
INSERT INTO `lang_definitions` VALUES (61622, 11317, 12, 'Индивидуальный осмотр пациента');
INSERT INTO `lang_definitions` VALUES (61623, 11318, 12, 'Отчет об индивидуальным осмотре пациента');
INSERT INTO `lang_definitions` VALUES (61624, 11319, 12, 'Индивидуальная периферическая сатурация');
INSERT INTO `lang_definitions` VALUES (61625, 11320, 12, 'Единица измерения');
INSERT INTO `lang_definitions` VALUES (61626, 11321, 12, 'Единицы измерения');
INSERT INTO `lang_definitions` VALUES (61627, 11322, 12, 'ед. изм.');
INSERT INTO `lang_definitions` VALUES (61628, 11324, 12, 'Единицы измерения для форм посещения');
INSERT INTO `lang_definitions` VALUES (61629, 11325, 12, 'Единицы измерения должны быть числом');
INSERT INTO `lang_definitions` VALUES (61630, 11326, 12, 'Единицы измерения не определены');
INSERT INTO `lang_definitions` VALUES (61631, 11327, 12, 'Единица измерения/л');
INSERT INTO `lang_definitions` VALUES (61632, 11328, 12, 'Неизвестный');
INSERT INTO `lang_definitions` VALUES (61633, 11331, 12, 'Неизвестно, даже если курит');
INSERT INTO `lang_definitions` VALUES (61634, 11332, 12, 'Неизвестно или NA');
INSERT INTO `lang_definitions` VALUES (61635, 11344, 12, 'несвязанный пациент');
INSERT INTO `lang_definitions` VALUES (61636, 11345, 12, 'Неназванная страховая компания');
INSERT INTO `lang_definitions` VALUES (61637, 11346, 12, 'Незарегистрированные');
INSERT INTO `lang_definitions` VALUES (61638, 11349, 12, 'Снять все выделения');
INSERT INTO `lang_definitions` VALUES (61639, 11350, 12, 'Не выбранный');
INSERT INTO `lang_definitions` VALUES (61640, 11351, 12, 'Неуказанное');
INSERT INTO `lang_definitions` VALUES (61641, 11352, 12, 'неструктурированное');
INSERT INTO `lang_definitions` VALUES (61642, 11356, 12, 'до');
INSERT INTO `lang_definitions` VALUES (61643, 11359, 12, 'Неподходящая регистрация');
INSERT INTO `lang_definitions` VALUES (61644, 11360, 12, 'Неиспользуемое');
INSERT INTO `lang_definitions` VALUES (61645, 11361, 12, 'Требование экстренного вмешательства');
INSERT INTO `lang_definitions` VALUES (61646, 11362, 12, 'включая до');
INSERT INTO `lang_definitions` VALUES (61647, 11364, 12, 'Ближайшие записи на прием');
INSERT INTO `lang_definitions` VALUES (61648, 11365, 12, 'Предстоящие события');
INSERT INTO `lang_definitions` VALUES (61649, 11366, 12, 'Обновить');
INSERT INTO `lang_definitions` VALUES (61650, 11367, 12, 'обновить');
INSERT INTO `lang_definitions` VALUES (61651, 11368, 12, 'Обновить активность');
INSERT INTO `lang_definitions` VALUES (61652, 11371, 12, 'Обновить файлы');
INSERT INTO `lang_definitions` VALUES (61653, 11372, 12, 'Обновить инф.');
INSERT INTO `lang_definitions` VALUES (61654, 11374, 12, 'Обновить список');
INSERT INTO `lang_definitions` VALUES (61655, 11377, 12, 'Обновить номер специалиста');
INSERT INTO `lang_definitions` VALUES (61656, 11378, 12, 'Обновить выбранные объекты');
INSERT INTO `lang_definitions` VALUES (61657, 11383, 12, 'Обновляет следующие переменные в файле');
INSERT INTO `lang_definitions` VALUES (61658, 11384, 12, 'Обновляет информацию о пользователе');
INSERT INTO `lang_definitions` VALUES (61659, 11390, 12, 'Обновление персональных данных не разрешено.');
INSERT INTO `lang_definitions` VALUES (61660, 11394, 12, 'Модернизация');
INSERT INTO `lang_definitions` VALUES (61661, 11396, 12, 'Модернизация базы данных');
INSERT INTO `lang_definitions` VALUES (61662, 11398, 12, 'Модернизирует базу данных OpenEMR для включения методик, функций и таблиц, необходимых для процесса исключения дублирования идентификации');
INSERT INTO `lang_definitions` VALUES (61663, 11399, 12, 'Модернизация будет продолжена');
INSERT INTO `lang_definitions` VALUES (61664, 11400, 12, 'Уникальный врачебный идентификационный номер');
INSERT INTO `lang_definitions` VALUES (61665, 11401, 12, 'Загрузить');
INSERT INTO `lang_definitions` VALUES (61666, 11403, 12, 'Загрузить шаблон');
INSERT INTO `lang_definitions` VALUES (61667, 11405, 12, 'Загрузить и установить');
INSERT INTO `lang_definitions` VALUES (61668, 11406, 12, 'Загрузить конфигурационные данные');
INSERT INTO `lang_definitions` VALUES (61669, 11407, 12, 'Загрузить документ');
INSERT INTO `lang_definitions` VALUES (61670, 11408, 12, 'Загрузка не удалась!');
INSERT INTO `lang_definitions` VALUES (61671, 11410, 12, 'Загрузить изображение в');
INSERT INTO `lang_definitions` VALUES (61672, 11411, 12, 'Загрузите файл импорта:');
INSERT INTO `lang_definitions` VALUES (61673, 11415, 12, 'Загрузить отчет');
INSERT INTO `lang_definitions` VALUES (61674, 11418, 12, 'Загрузите этот файл:');
INSERT INTO `lang_definitions` VALUES (61675, 11421, 12, 'При клике на номере счета появляется \"окно ручной регистрации\". Здесь можно изменить дату оплаты и заметки для счета, выбрать участника, для которого регистрируете и страховку, для которой должны быть получены все предположительные платежи. Особенно важно то, что для каждого биллингового кода, для которого была изменена сумма, можно ввести платеж и информацию по корректировке.');
INSERT INTO `lang_definitions` VALUES (61676, 11426, 12, 'При поиске вы увидите список счетов. Можете кликнуть на один из номеров счета для открытия второго окна, которое является страницей ввода данных для ручной регистрации. Также можете кликнуть по имени пациента, если нужно ввести запись, которую при регистрации пациента увидят сотрудники регистратуры, и вы сможете выбрать появление счетов для заявок по пациенту и их печать.');
INSERT INTO `lang_definitions` VALUES (61677, 11429, 12, 'Верхняя конечность');
INSERT INTO `lang_definitions` VALUES (61678, 11432, 12, 'Императивные позывы');
INSERT INTO `lang_definitions` VALUES (61679, 11436, 12, 'Моча');
INSERT INTO `lang_definitions` VALUES (61680, 11437, 12, 'Подтекание мочи');
INSERT INTO `lang_definitions` VALUES (61681, 11438, 12, 'Учащенное мочеиспускание');
INSERT INTO `lang_definitions` VALUES (61682, 11439, 12, 'Ослабленный напор струи мочи');
INSERT INTO `lang_definitions` VALUES (61683, 11440, 12, 'Микроальбумин мочи');
INSERT INTO `lang_definitions` VALUES (61684, 11441, 12, 'Поток мочи');
INSERT INTO `lang_definitions` VALUES (61685, 11442, 12, 'Безотлагательность позыва на мочеиспускание');
INSERT INTO `lang_definitions` VALUES (61686, 11443, 12, 'URL');
INSERT INTO `lang_definitions` VALUES (61687, 11445, 12, 'URL для поддержки OpenEMR.');
INSERT INTO `lang_definitions` VALUES (61688, 11447, 12, 'URL для телефонного шлюза. Автоматизированная служба VOIP предоставлена через Maviq. Посетите http://signup.maviq.com для получения дополнительной информации.');
INSERT INTO `lang_definitions` VALUES (61689, 11453, 12, 'Индикатор использования (ISA15)');
INSERT INTO `lang_definitions` VALUES (61690, 11456, 12, 'Для сортировки напрямую в этом столбце просто используйте %');
INSERT INTO `lang_definitions` VALUES (61691, 11457, 12, 'Использовать 24-часовой формат времени?');
INSERT INTO `lang_definitions` VALUES (61692, 11465, 12, 'Используйте сертифицированные технологии EHR для выявления образовательных ресурсов конкретному пациенту и, если это необходимо, предоставьте их пациенту.');
INSERT INTO `lang_definitions` VALUES (61693, 11466, 12, 'Использование панели платежа');
INSERT INTO `lang_definitions` VALUES (61694, 11467, 12, 'Используйте CPOE для лечебных назначений, сделанных непосредственно любым дипломированным специалистом, который может делать назначения в медицинской карте согласно государственных, местных и профессиональных руководящих принципов.');
INSERT INTO `lang_definitions` VALUES (61695, 11474, 12, 'Использовать пользовательский список вакцинации');
INSERT INTO `lang_definitions` VALUES (61696, 11476, 12, 'Использовать диапазон дат');
INSERT INTO `lang_definitions` VALUES (61697, 11477, 12, 'Использовать по умолчанию');
INSERT INTO `lang_definitions` VALUES (61698, 11478, 12, 'Используйте опцию Удалить для удаления.');
INSERT INTO `lang_definitions` VALUES (61699, 11479, 12, 'Использовать международный стиль дат?');
INSERT INTO `lang_definitions` VALUES (61700, 11483, 12, 'Используйте имя файла исходника');
INSERT INTO `lang_definitions` VALUES (61701, 11486, 12, 'Используйте поля ниже для получения или передачи.');
INSERT INTO `lang_definitions` VALUES (61702, 11490, 12, 'Используйте эту возможность только для вновь установленных сайтов,');
INSERT INTO `lang_definitions` VALUES (61703, 11493, 12, 'Использовать разделы?');
INSERT INTO `lang_definitions` VALUES (61704, 11496, 12, 'Пользователь');
INSERT INTO `lang_definitions` VALUES (61705, 11498, 12, 'Пользователь / группы');
INSERT INTO `lang_definitions` VALUES (61706, 11499, 12, 'Управление пользователем');
INSERT INTO `lang_definitions` VALUES (61707, 11500, 12, 'Управление пользователем и услугами');
INSERT INTO `lang_definitions` VALUES (61708, 11501, 12, 'Управление пользователем и группой');
INSERT INTO `lang_definitions` VALUES (61709, 11502, 12, 'Пользователь не может быть удален');
INSERT INTO `lang_definitions` VALUES (61710, 11503, 12, 'Проверка сертификата пользователя отключена');
INSERT INTO `lang_definitions` VALUES (61711, 11507, 12, 'Определенный пользователем');
INSERT INTO `lang_definitions` VALUES (61712, 11508, 12, 'Область 11, определенная пользователем');
INSERT INTO `lang_definitions` VALUES (61713, 11509, 12, 'Область 12, определенная пользователем');
INSERT INTO `lang_definitions` VALUES (61714, 11510, 12, 'Поле, определяемое пользователем');
INSERT INTO `lang_definitions` VALUES (61715, 11511, 12, 'Список 1, определенный пользователем');
INSERT INTO `lang_definitions` VALUES (61716, 11512, 12, 'Список 2, определенный пользователем');
INSERT INTO `lang_definitions` VALUES (61717, 11513, 12, 'Список 3, определенный пользователем');
INSERT INTO `lang_definitions` VALUES (61718, 11514, 12, 'Список 4, определенный пользователем');
INSERT INTO `lang_definitions` VALUES (61719, 11515, 12, 'Список 5, определенный пользователем');
INSERT INTO `lang_definitions` VALUES (61720, 11516, 12, 'Список 6, определенный пользователем');
INSERT INTO `lang_definitions` VALUES (61721, 11517, 12, 'Список 7, определенный пользователем');
INSERT INTO `lang_definitions` VALUES (61722, 11518, 12, 'Текст 1, определенный пользователем');
INSERT INTO `lang_definitions` VALUES (61723, 11519, 12, 'Текст 2, определенный пользователем');
INSERT INTO `lang_definitions` VALUES (61724, 11520, 12, 'Текст 3, определенный пользователем');
INSERT INTO `lang_definitions` VALUES (61725, 11521, 12, 'Текст 4, определенный пользователем');
INSERT INTO `lang_definitions` VALUES (61726, 11522, 12, 'Текст 5, определенный пользователем');
INSERT INTO `lang_definitions` VALUES (61727, 11523, 12, 'Текст 6, определенный пользователем');
INSERT INTO `lang_definitions` VALUES (61728, 11524, 12, 'Текст 7, определенный пользователем');
INSERT INTO `lang_definitions` VALUES (61729, 11525, 12, 'Текст 8, определенный пользователем');
INSERT INTO `lang_definitions` VALUES (61730, 11526, 12, 'Имя пользователя');
INSERT INTO `lang_definitions` VALUES (61731, 11532, 12, 'Руководство пользователя');
INSERT INTO `lang_definitions` VALUES (61732, 11533, 12, 'Членство пользователя');
INSERT INTO `lang_definitions` VALUES (61733, 11534, 12, 'Имя пользователя');
INSERT INTO `lang_definitions` VALUES (61734, 11536, 12, 'Имя пользователя или хоста не может быть пустым');
INSERT INTO `lang_definitions` VALUES (61735, 11537, 12, 'Имя пользователя или хоста');
INSERT INTO `lang_definitions` VALUES (61736, 11541, 12, 'Параметры настройки пользователя');
INSERT INTO `lang_definitions` VALUES (61737, 11543, 12, 'Собственная настройка пользователя');
INSERT INTO `lang_definitions` VALUES (61738, 11553, 12, 'Имя пользователя');
INSERT INTO `lang_definitions` VALUES (61739, 11555, 12, 'Имя пользователя для телефонного шлюза. Автоматизированная служба VOIP предоставлена через Maviq. Посетите http://signup.maviq.com для получения дополнительной информации.');
INSERT INTO `lang_definitions` VALUES (61740, 11556, 12, 'Имя пользователя для шлюза SMS');
INSERT INTO `lang_definitions` VALUES (61741, 11557, 12, 'Имя пользователя для шлюза SMS.');
INSERT INTO `lang_definitions` VALUES (61742, 11559, 12, 'Имя пользователя:');
INSERT INTO `lang_definitions` VALUES (61743, 11560, 12, 'Пользователи');
INSERT INTO `lang_definitions` VALUES (61744, 11564, 12, 'Управление пользователями/группами/регистрацией');
INSERT INTO `lang_definitions` VALUES (61745, 11574, 12, 'используйте формат php <a href=\"http://php.net/strftime\">strftime</a>');
INSERT INTO `lang_definitions` VALUES (61746, 11583, 12, 'ИМП');
INSERT INTO `lang_definitions` VALUES (61747, 11588, 12, 'ОТПУСК');
INSERT INTO `lang_definitions` VALUES (61748, 11589, 12, 'Отпуск');
INSERT INTO `lang_definitions` VALUES (61749, 11590, 12, 'Вакцина');
INSERT INTO `lang_definitions` VALUES (61750, 11593, 12, 'Контрацептивное влагалищное кольцо');
INSERT INTO `lang_definitions` VALUES (61751, 11594, 12, 'Напутствие');
INSERT INTO `lang_definitions` VALUES (61752, 11596, 12, 'допустимый');
INSERT INTO `lang_definitions` VALUES (61753, 11609, 12, 'Значение');
INSERT INTO `lang_definitions` VALUES (61754, 11610, 12, 'Значение 1');
INSERT INTO `lang_definitions` VALUES (61755, 11611, 12, 'Значение 2');
INSERT INTO `lang_definitions` VALUES (61756, 11613, 12, 'Значение должно быть цифровым');
INSERT INTO `lang_definitions` VALUES (61757, 11614, 12, 'Перем 1');
INSERT INTO `lang_definitions` VALUES (61758, 11615, 12, 'Перем 2');
INSERT INTO `lang_definitions` VALUES (61759, 11616, 12, 'единственная переменная для запуска скрипта модернизации деидентификации');
INSERT INTO `lang_definitions` VALUES (61760, 11619, 12, 'Ветряная оспа 1');
INSERT INTO `lang_definitions` VALUES (61761, 11620, 12, 'Ветряная оспа 2');
INSERT INTO `lang_definitions` VALUES (61762, 11621, 12, 'Варикозно расширенные вены');
INSERT INTO `lang_definitions` VALUES (61763, 11623, 12, 'Состояние сосудов');
INSERT INTO `lang_definitions` VALUES (61764, 11624, 12, 'Повреждение сосудов');
INSERT INTO `lang_definitions` VALUES (61765, 11625, 12, 'Ангиохирургия');
INSERT INTO `lang_definitions` VALUES (61766, 11630, 12, 'Производитель');
INSERT INTO `lang_definitions` VALUES (61767, 11634, 12, 'Версия');
INSERT INTO `lang_definitions` VALUES (61768, 11653, 12, 'Головокружение');
INSERT INTO `lang_definitions` VALUES (61769, 11656, 12, 'Старая программа');
INSERT INTO `lang_definitions` VALUES (61770, 11657, 12, 'Старая правительственная программа');
INSERT INTO `lang_definitions` VALUES (61771, 11659, 12, 'Детская вакцина');
INSERT INTO `lang_definitions` VALUES (61772, 11666, 12, 'Вьетнамский');
INSERT INTO `lang_definitions` VALUES (61773, 11667, 12, 'Вид');
INSERT INTO `lang_definitions` VALUES (61774, 11668, 12, 'вид');
INSERT INTO `lang_definitions` VALUES (61775, 11670, 12, 'Просмотр аллергии');
INSERT INTO `lang_definitions` VALUES (61776, 11676, 12, 'Просмотр сжатого отчета по пациенту');
INSERT INTO `lang_definitions` VALUES (61777, 11679, 12, 'Просмотр документа');
INSERT INTO `lang_definitions` VALUES (61778, 11681, 12, 'Просмотр обращения');
INSERT INTO `lang_definitions` VALUES (61779, 11683, 12, 'Просмотреть события во всплывающем окне?');
INSERT INTO `lang_definitions` VALUES (61780, 11687, 12, 'Просмотреть журнал');
INSERT INTO `lang_definitions` VALUES (61781, 11690, 12, 'Просмотреть страницу 1');
INSERT INTO `lang_definitions` VALUES (61782, 11691, 12, 'Просмотреть страницу 2');
INSERT INTO `lang_definitions` VALUES (61783, 11692, 12, 'Просмотреть прошлые и будущие напоминания');
INSERT INTO `lang_definitions` VALUES (61784, 11695, 12, 'Обзор по пациенту');
INSERT INTO `lang_definitions` VALUES (61785, 11697, 12, 'Просмотр печатной версии');
INSERT INTO `lang_definitions` VALUES (61786, 11698, 12, 'Просмотр печатной версии отчёта');
INSERT INTO `lang_definitions` VALUES (61787, 11699, 12, 'Просмотр печатной версии');
INSERT INTO `lang_definitions` VALUES (61788, 11700, 12, 'Обзор связанных обращений');
INSERT INTO `lang_definitions` VALUES (61789, 11701, 12, 'Просмотр отчёта');
INSERT INTO `lang_definitions` VALUES (61790, 11702, 12, 'Смотрите файл README');
INSERT INTO `lang_definitions` VALUES (61791, 11712, 12, 'Обзор/изменение аллергии');
INSERT INTO `lang_definitions` VALUES (61792, 11713, 12, 'Обзор/изменение проблемы');
INSERT INTO `lang_definitions` VALUES (61793, 11714, 12, 'Вид/печать');
INSERT INTO `lang_definitions` VALUES (61794, 11717, 12, 'Просмотреть:');
INSERT INTO `lang_definitions` VALUES (61795, 11718, 12, 'VISA');
INSERT INTO `lang_definitions` VALUES (61796, 11719, 12, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (61797, 11721, 12, 'Повреждение внутренних органов/травма/оперативное вмешательство');
INSERT INTO `lang_definitions` VALUES (61798, 11723, 12, 'Зрение');
INSERT INTO `lang_definitions` VALUES (61799, 11724, 12, 'Посещение');
INSERT INTO `lang_definitions` VALUES (61800, 11725, 12, 'Атрибуты посещения');
INSERT INTO `lang_definitions` VALUES (61801, 11726, 12, 'Категории посещений');
INSERT INTO `lang_definitions` VALUES (61802, 11727, 12, 'Категория посещения');
INSERT INTO `lang_definitions` VALUES (61803, 11728, 12, 'Категория посещения:');
INSERT INTO `lang_definitions` VALUES (61804, 11729, 12, 'Дата посещения');
INSERT INTO `lang_definitions` VALUES (61805, 11730, 12, 'Дата посещения');
INSERT INTO `lang_definitions` VALUES (61806, 11732, 12, 'Атрибуты формы посещения');
INSERT INTO `lang_definitions` VALUES (61807, 11734, 12, 'Форма посещения');
INSERT INTO `lang_definitions` VALUES (61808, 11736, 12, 'Хронология посещений');
INSERT INTO `lang_definitions` VALUES (61809, 11743, 12, 'Тип посещения');
INSERT INTO `lang_definitions` VALUES (61810, 11744, 12, 'Посещённые пациенты');
INSERT INTO `lang_definitions` VALUES (61811, 11745, 12, 'Посещения');
INSERT INTO `lang_definitions` VALUES (61812, 11746, 12, 'Форма посещения');
INSERT INTO `lang_definitions` VALUES (61813, 11751, 12, 'Обозначение жизненно важных показателей');
INSERT INTO `lang_definitions` VALUES (61814, 11752, 12, 'Жизненно важные показатели');
INSERT INTO `lang_definitions` VALUES (61815, 11753, 12, 'Жизненно важные показатели (метрические)');
INSERT INTO `lang_definitions` VALUES (61816, 11754, 12, 'Варианты формы жизненно важных показателей');
INSERT INTO `lang_definitions` VALUES (61817, 11756, 12, 'Голосовое');
INSERT INTO `lang_definitions` VALUES (61818, 11758, 12, 'Телефонограмма');
INSERT INTO `lang_definitions` VALUES (61819, 11760, 12, 'Аннулировать выписку и открыть повторно');
INSERT INTO `lang_definitions` VALUES (61820, 11763, 12, 'Рвота');
INSERT INTO `lang_definitions` VALUES (61821, 11767, 12, 'W');
INSERT INTO `lang_definitions` VALUES (61822, 11770, 12, 'Окр. талии');
INSERT INTO `lang_definitions` VALUES (61823, 11771, 12, 'Окружность талии');
INSERT INTO `lang_definitions` VALUES (61824, 11772, 12, 'Ожидание');
INSERT INTO `lang_definitions` VALUES (61825, 11773, 12, 'Без предварительной записи');
INSERT INTO `lang_definitions` VALUES (61826, 11777, 12, 'Лицо, находящееся под опекой суда');
INSERT INTO `lang_definitions` VALUES (61827, 11778, 12, 'Склад');
INSERT INTO `lang_definitions` VALUES (61828, 11779, 12, 'Склад изменён');
INSERT INTO `lang_definitions` VALUES (61829, 11780, 12, 'Максимум хранения, 0 если не применимо');
INSERT INTO `lang_definitions` VALUES (61830, 11781, 12, 'Минимум хранения, 0 если не применимо');
INSERT INTO `lang_definitions` VALUES (61831, 11782, 12, 'Склады');
INSERT INTO `lang_definitions` VALUES (61832, 11783, 12, 'Жар');
INSERT INTO `lang_definitions` VALUES (61833, 11786, 12, 'Предупреждение');
INSERT INTO `lang_definitions` VALUES (61834, 11787, 12, 'ПРЕДУПРЕЖДЕНИЕ');
INSERT INTO `lang_definitions` VALUES (61835, 11789, 12, 'Предупреждение, регистрационный номер уже имеется в базе данных');
INSERT INTO `lang_definitions` VALUES (61836, 11791, 12, 'Предупреждение: посещение для этого пациента уже было создано сегодня!');
INSERT INTO `lang_definitions` VALUES (61837, 11796, 12, 'Предупреждение: ID пациента не уникален!');
INSERT INTO `lang_definitions` VALUES (61838, 11799, 12, 'ПРЕДУПРЕЖДЕНИЕ: конфигурационная информация будет перезаписана содержащейся в загруженном файле!');
INSERT INTO `lang_definitions` VALUES (61839, 11800, 12, 'Предупреждения');
INSERT INTO `lang_definitions` VALUES (61840, 11801, 12, 'Предупреждения');
INSERT INTO `lang_definitions` VALUES (61841, 11802, 12, 'Предупреждения и Напоминания');
INSERT INTO `lang_definitions` VALUES (61842, 11803, 12, 'уже загружен');
INSERT INTO `lang_definitions` VALUES (61843, 11804, 12, 'не найдено');
INSERT INTO `lang_definitions` VALUES (61844, 11805, 12, 'Мы высоко ценим своевременную выплату задолженностей');
INSERT INTO `lang_definitions` VALUES (61845, 11806, 12, 'Благодарим Вас за своевременную оплату.');
INSERT INTO `lang_definitions` VALUES (61846, 11809, 12, 'мы позаботились об указанном пациенте, проведя амбулаторно обследование и лечение в нашей клинике психиатрии. Благодарим за это направление.');
INSERT INTO `lang_definitions` VALUES (61847, 11821, 12, 'Слабость');
INSERT INTO `lang_definitions` VALUES (61848, 11825, 12, 'Ссылка в интернете');
INSERT INTO `lang_definitions` VALUES (61849, 11826, 12, 'Поиск в интернете');
INSERT INTO `lang_definitions` VALUES (61850, 11827, 12, 'Веб-сайт');
INSERT INTO `lang_definitions` VALUES (61851, 11828, 12, 'Ссылка на портал для пациентов.');
INSERT INTO `lang_definitions` VALUES (61852, 11832, 12, 'Ср');
INSERT INTO `lang_definitions` VALUES (61853, 11833, 12, 'Среда');
INSERT INTO `lang_definitions` VALUES (61854, 11834, 12, 'Неделя');
INSERT INTO `lang_definitions` VALUES (61855, 11835, 12, 'неделя');
INSERT INTO `lang_definitions` VALUES (61856, 11836, 12, 'Обзор за неделю');
INSERT INTO `lang_definitions` VALUES (61857, 11837, 12, 'Неделя(и)');
INSERT INTO `lang_definitions` VALUES (61858, 11838, 12, 'Еженедельное представление');
INSERT INTO `lang_definitions` VALUES (61859, 11839, 12, 'недели');
INSERT INTO `lang_definitions` VALUES (61860, 11840, 12, 'Недели');
INSERT INTO `lang_definitions` VALUES (61861, 11841, 12, 'Вес');
INSERT INTO `lang_definitions` VALUES (61862, 11842, 12, 'Оценка веса и рекомендации для детей и подростков');
INSERT INTO `lang_definitions` VALUES (61863, 11843, 12, 'Оценка веса и рекомендации для детей и подростков (CQM)');
INSERT INTO `lang_definitions` VALUES (61864, 11844, 12, 'Изменение веса');
INSERT INTO `lang_definitions` VALUES (61865, 11845, 12, 'Потеря веса');
INSERT INTO `lang_definitions` VALUES (61866, 11846, 12, 'Клиника похудения');
INSERT INTO `lang_definitions` VALUES (61867, 11847, 12, 'Добро пожаловать');
INSERT INTO `lang_definitions` VALUES (61868, 11860, 12, 'Ср{{Wednesday}}');
INSERT INTO `lang_definitions` VALUES (61869, 11862, 12, 'Что должно быть подсчитано?');
INSERT INTO `lang_definitions` VALUES (61870, 11863, 12, 'Какой тип сортировки будет в выпадающем списке.');
INSERT INTO `lang_definitions` VALUES (61871, 11864, 12, 'Стридорозное дыхание:');
INSERT INTO `lang_definitions` VALUES (61872, 11865, 12, 'Хрипы');
INSERT INTO `lang_definitions` VALUES (61873, 11866, 12, 'Хрипы:');
INSERT INTO `lang_definitions` VALUES (61874, 11868, 12, 'Когда и как часто?');
INSERT INTO `lang_definitions` VALUES (61875, 11869, 12, 'Раздел \"Пациенты\" будет открыт в новом окне из в списка посещений, если данное поле отмечено');
INSERT INTO `lang_definitions` VALUES (61876, 11873, 12, 'Номер документа посетителя будет отображаться в списке посещений, если данное поле отмечено');
INSERT INTO `lang_definitions` VALUES (61877, 11874, 12, 'Причина посещения будет отображаться в списке посещений, если данное поле отмечено');
INSERT INTO `lang_definitions` VALUES (61878, 11876, 12, 'Нажмите \"Подтвердить\" ниже, когда закончите.');
INSERT INTO `lang_definitions` VALUES (61879, 11882, 12, 'Где можно найти связанные сканированные или бумажные документы?');
INSERT INTO `lang_definitions` VALUES (61880, 11885, 12, 'Какие дни недели - выходные?');
INSERT INTO `lang_definitions` VALUES (61881, 11886, 12, 'Какие отметки должны отображаться на экране рассчётов');
INSERT INTO `lang_definitions` VALUES (61882, 11890, 12, 'Рассечённая травма');
INSERT INTO `lang_definitions` VALUES (61883, 11891, 12, 'Белый');
INSERT INTO `lang_definitions` VALUES (61884, 11894, 12, 'Кто');
INSERT INTO `lang_definitions` VALUES (61885, 11895, 12, 'Кто отвечает?');
INSERT INTO `lang_definitions` VALUES (61886, 11897, 12, 'Овдовевшая(ий)');
INSERT INTO `lang_definitions` VALUES (61887, 11898, 12, 'Ширина');
INSERT INTO `lang_definitions` VALUES (61888, 11900, 12, 'Ширина в пикселях для навигационного меню слева.');
INSERT INTO `lang_definitions` VALUES (61889, 11902, 12, 'будет скрыто, если');
INSERT INTO `lang_definitions` VALUES (61890, 11903, 12, 'следующие правила проверки будут применены');
INSERT INTO `lang_definitions` VALUES (61891, 11904, 12, 'С отмеченным участком элементов');
INSERT INTO `lang_definitions` VALUES (61892, 11906, 12, 'с предпочитаемым языком');
INSERT INTO `lang_definitions` VALUES (61893, 11907, 12, 'С выбранным:');
INSERT INTO `lang_definitions` VALUES (61894, 11908, 12, 'с помощью старого наименования');
INSERT INTO `lang_definitions` VALUES (61895, 11910, 12, 'со значением');
INSERT INTO `lang_definitions` VALUES (61896, 11911, 12, 'С кем можно передать сообщение?');
INSERT INTO `lang_definitions` VALUES (61897, 11912, 12, 'Отложить(удерживать)');
INSERT INTO `lang_definitions` VALUES (61898, 11913, 12, 'на протяжении часов');
INSERT INTO `lang_definitions` VALUES (61899, 11914, 12, 'на протяжении часов:');
INSERT INTO `lang_definitions` VALUES (61900, 11915, 12, 'на протяжении минут');
INSERT INTO `lang_definitions` VALUES (61901, 11916, 12, 'на протяжении минут:');
INSERT INTO `lang_definitions` VALUES (61902, 11918, 12, 'Без специалиста');
INSERT INTO `lang_definitions` VALUES (61903, 11919, 12, 'Без обновления');
INSERT INTO `lang_definitions` VALUES (61904, 11920, 12, 'Очевидец (свидетель)');
INSERT INTO `lang_definitions` VALUES (61905, 11921, 12, 'нед.');
INSERT INTO `lang_definitions` VALUES (61906, 11922, 12, 'В пределах нормы');
INSERT INTO `lang_definitions` VALUES (61907, 11924, 12, 'Женщины');
INSERT INTO `lang_definitions` VALUES (61908, 11925, 12, 'Только женщины');
INSERT INTO `lang_definitions` VALUES (61909, 11927, 12, 'Работа');
INSERT INTO `lang_definitions` VALUES (61910, 11928, 12, 'РАБОЧАЯ ЗАПИСЬ');
INSERT INTO `lang_definitions` VALUES (61911, 11929, 12, 'Рабочий телефон');
INSERT INTO `lang_definitions` VALUES (61912, 11930, 12, 'Номер рабочего телефона');
INSERT INTO `lang_definitions` VALUES (61913, 11931, 12, 'Связано с работой?');
INSERT INTO `lang_definitions` VALUES (61914, 11932, 12, 'Работа/образование/хобби');
INSERT INTO `lang_definitions` VALUES (61915, 11933, 12, 'Рабочая/школьная запись');
INSERT INTO `lang_definitions` VALUES (61916, 11934, 12, 'рабочий день');
INSERT INTO `lang_definitions` VALUES (61917, 11935, 12, 'Компенсация для работающего');
INSERT INTO `lang_definitions` VALUES (61918, 11936, 12, 'Программа охраны здоровья сотрудников');
INSERT INTO `lang_definitions` VALUES (61919, 11937, 12, 'Работающий пенсионер по возрасту или супруга с планом группового оздоровления предпринимателя');
INSERT INTO `lang_definitions` VALUES (61920, 11940, 12, 'Подождите... Обработка может занять некоторое время.');
INSERT INTO `lang_definitions` VALUES (61921, 11941, 12, 'Наихудший');
INSERT INTO `lang_definitions` VALUES (61922, 11942, 12, 'Хотите использовать оставшуюся сумму в общем счете?');
INSERT INTO `lang_definitions` VALUES (61923, 11943, 12, 'Хотите отметить их как оплаченные?');
INSERT INTO `lang_definitions` VALUES (61924, 11944, 12, 'Хотите произвести размещение?');
INSERT INTO `lang_definitions` VALUES (61925, 11945, 12, 'Хотите отменить распределение для этого пациента?');
INSERT INTO `lang_definitions` VALUES (61926, 11946, 12, 'Хотите удалить распределение оплаты?');
INSERT INTO `lang_definitions` VALUES (61927, 11947, 12, 'Хотите удалить платеж?');
INSERT INTO `lang_definitions` VALUES (61928, 11948, 12, 'Хотите изменить и завершить платеж?');
INSERT INTO `lang_definitions` VALUES (61929, 11949, 12, 'Хотите изменить платежи?');
INSERT INTO `lang_definitions` VALUES (61930, 11950, 12, 'Хотите отправить и завершить платежи?');
INSERT INTO `lang_definitions` VALUES (61931, 11951, 12, 'Хотите отправить платежи?');
INSERT INTO `lang_definitions` VALUES (61932, 11952, 12, 'Хотите сохранить?');
INSERT INTO `lang_definitions` VALUES (61933, 11953, 12, 'Запястье');
INSERT INTO `lang_definitions` VALUES (61934, 11954, 12, 'Запястье и рука');
INSERT INTO `lang_definitions` VALUES (61935, 11955, 12, 'Проблемы запястья');
INSERT INTO `lang_definitions` VALUES (61936, 11956, 12, 'записывать');
INSERT INTO `lang_definitions` VALUES (61937, 11958, 12, 'без записи');
INSERT INTO `lang_definitions` VALUES (61938, 11960, 12, 'wsome');
INSERT INTO `lang_definitions` VALUES (61939, 11963, 12, 'WT');
INSERT INTO `lang_definitions` VALUES (61940, 11965, 12, 'Ср{{Wednesday}}');
INSERT INTO `lang_definitions` VALUES (61941, 11966, 12, 'x Отменено');
INSERT INTO `lang_definitions` VALUES (61942, 11967, 12, 'x Отменено');
INSERT INTO `lang_definitions` VALUES (61943, 11969, 12, 'Рентг. исследование');
INSERT INTO `lang_definitions` VALUES (61944, 11970, 12, 'Интерпретация ренг. исследования:');
INSERT INTO `lang_definitions` VALUES (61945, 11971, 12, 'Интерпретация ренг. исследования:');
INSERT INTO `lang_definitions` VALUES (61946, 11975, 12, 'только X12: требование замены');
INSERT INTO `lang_definitions` VALUES (61947, 11978, 12, 'Партнер X12');
INSERT INTO `lang_definitions` VALUES (61948, 11979, 12, 'Партнер X12');
INSERT INTO `lang_definitions` VALUES (61949, 11987, 12, 'г.');
INSERT INTO `lang_definitions` VALUES (61950, 11988, 12, 'год');
INSERT INTO `lang_definitions` VALUES (61951, 11989, 12, 'Год');
INSERT INTO `lang_definitions` VALUES (61952, 11990, 12, 'Обзор за год');
INSERT INTO `lang_definitions` VALUES (61953, 11991, 12, 'Год(ы)');
INSERT INTO `lang_definitions` VALUES (61954, 11992, 12, 'Годы');
INSERT INTO `lang_definitions` VALUES (61955, 11994, 12, 'Года или месяцы');
INSERT INTO `lang_definitions` VALUES (61956, 11995, 12, 'Года, месяцы и дни');
INSERT INTO `lang_definitions` VALUES (61957, 11996, 12, 'Да');
INSERT INTO `lang_definitions` VALUES (61958, 11997, 12, 'ДА');
INSERT INTO `lang_definitions` VALUES (61959, 11998, 12, 'да');
INSERT INTO `lang_definitions` VALUES (61960, 11999, 12, 'ДА!');
INSERT INTO `lang_definitions` VALUES (61961, 12000, 12, 'Да, удалить и зарегистрировать');
INSERT INTO `lang_definitions` VALUES (61962, 12001, 12, 'Да, удалить данную форму');
INSERT INTO `lang_definitions` VALUES (61963, 12002, 12, 'да/нет');
INSERT INTO `lang_definitions` VALUES (61964, 12003, 12, 'Да:');
INSERT INTO `lang_definitions` VALUES (61965, 12004, 12, 'Идиш');
INSERT INTO `lang_definitions` VALUES (61966, 12007, 12, 'Вы собираетесь удалить следующую форму из данного обращения');
INSERT INTO `lang_definitions` VALUES (61967, 12008, 12, 'Предпринимается попытка навсегда заменить существующий шаблон. Уверены, что нужно продолжить?');
INSERT INTO `lang_definitions` VALUES (61968, 12011, 12, 'Измените пароль до');
INSERT INTO `lang_definitions` VALUES (61969, 12012, 12, 'У вас нет права на удаление этого события');
INSERT INTO `lang_definitions` VALUES (61970, 12013, 12, 'У вас нет права на изменение этого события');
INSERT INTO `lang_definitions` VALUES (61971, 12014, 12, 'Это вам не разрешено.');
INSERT INTO `lang_definitions` VALUES (61972, 12016, 12, 'Доступ к этой группе вам не разрешен.');
INSERT INTO `lang_definitions` VALUES (61973, 12017, 12, 'Вам не разрешено добавление/изменение проблем');
INSERT INTO `lang_definitions` VALUES (61974, 12018, 12, 'Вам не разрешен доступ для планирования записи на прием.');
INSERT INTO `lang_definitions` VALUES (61975, 12019, 12, 'У Вас отсутствует разрещение для просмотра этого обращения.');
INSERT INTO `lang_definitions` VALUES (61976, 12021, 12, 'Точно хотите внести изменения в старое обращение?');
INSERT INTO `lang_definitions` VALUES (61977, 12023, 12, 'Вы используете модуль проверки пациентов');
INSERT INTO `lang_definitions` VALUES (61978, 12038, 12, 'У вас нет прямого доступа к этой функции.');
INSERT INTO `lang_definitions` VALUES (61979, 12050, 12, 'У вас нет прямого доступа к этой странице.');
INSERT INTO `lang_definitions` VALUES (61980, 12051, 12, 'Вы не можете добавить пустое значение для категории!');
INSERT INTO `lang_definitions` VALUES (61981, 12052, 12, 'Вы не можете добавить пустое значение для подкатегории!');
INSERT INTO `lang_definitions` VALUES (61982, 12053, 12, 'Для этого элемента добавление пустого значения невозможно!');
INSERT INTO `lang_definitions` VALUES (61983, 12055, 12, 'Нельзя ввести будущую дату со значением завершения \"Да\".');
INSERT INTO `lang_definitions` VALUES (61984, 12057, 12, 'Вы не выбрали ни одно действие.');
INSERT INTO `lang_definitions` VALUES (61985, 12058, 12, 'Вы не имеете доступа для просмотра/изменения этой записи');
INSERT INTO `lang_definitions` VALUES (61986, 12061, 12, 'Вы пытались изменить блокированное содержание. Если это необходимо сделать, то удалите блокировку. Для разблокирования удалите строку \'/*lock::*/\'');
INSERT INTO `lang_definitions` VALUES (61987, 12063, 12, 'Вы вышли из своей учётной записи.');
INSERT INTO `lang_definitions` VALUES (61988, 12066, 12, 'Вы не выбрали ни однй услуги или товара. Нажмите \"Отмена\", чтобы вернуться в форму и добавить их, либо \"ОК\", если хотите сохранить так как есть.');
INSERT INTO `lang_definitions` VALUES (61989, 12070, 12, 'Есть несохранённые изменения.');
INSERT INTO `lang_definitions` VALUES (61990, 12071, 12, 'Есть несохранённые изменения. Отменить их?');
INSERT INTO `lang_definitions` VALUES (61991, 12074, 12, 'Вы можете загружать только .txt файлы');
INSERT INTO `lang_definitions` VALUES (61992, 12075, 12, 'Вы можете загрузить файл с результатами в формате HL7');
INSERT INTO `lang_definitions` VALUES (61993, 12076, 12, 'Можете вставить здесь текст, который будет использоваться в качестве жалобы по умолчанию для формы обращения пациента.');
INSERT INTO `lang_definitions` VALUES (61994, 12085, 12, 'Вы должны ввести парольную фразу для шифрования этого документа');
INSERT INTO `lang_definitions` VALUES (61995, 12087, 12, 'Введите свой пароль, чтобы изменить пароль данного пользователя. Если не желаете менять пароль пользователя, не вводите ничего.');
INSERT INTO `lang_definitions` VALUES (61996, 12088, 12, 'Выберите элемент той секции, которая отмечена.');
INSERT INTO `lang_definitions` VALUES (61997, 12090, 12, 'Сначала нужно выбрать или добавить пациента.');
INSERT INTO `lang_definitions` VALUES (61998, 12091, 12, 'В начале необходимо выбрать или указать событие.');
INSERT INTO `lang_definitions` VALUES (61999, 12092, 12, 'Нужно выбрать категорию посещения');
INSERT INTO `lang_definitions` VALUES (62000, 12093, 12, 'Нужно выбрать категорию посещения.');
INSERT INTO `lang_definitions` VALUES (62001, 12094, 12, 'Для продолжения вы должны выбрать какие-либо поля.');
INSERT INTO `lang_definitions` VALUES (62002, 12104, 12, 'Если появилось это требование, то для успешного создания нужно запустить этот тест, но сам требуемый файл не содержит никаких данных или только незавершенные части суммы данных, предполагаемых для включения. Очевидно, с требованиями HCFA, потому что они удобочитаемы для человека, с требованиями X12, которые являются более сложным процессом для определения, подготовлено ли требование надлежащим образом.');
INSERT INTO `lang_definitions` VALUES (62003, 12106, 12, 'Нужно выбрать, по крайней мере, один контекст');
INSERT INTO `lang_definitions` VALUES (62004, 12107, 12, 'Необходимо выбрать хотя бы одного специалиста');
INSERT INTO `lang_definitions` VALUES (62005, 12108, 12, 'Вы будете автоматически перенаправлены в раздел \"Пациенты\". Внесите необходимые правки и снова вернитесь в NewCrop.');
INSERT INTO `lang_definitions` VALUES (62006, 12118, 12, 'Клинический отчёт');
INSERT INTO `lang_definitions` VALUES (62007, 12122, 12, 'Неправильная дата окончания');
INSERT INTO `lang_definitions` VALUES (62008, 12123, 12, 'Событие удалено.');
INSERT INTO `lang_definitions` VALUES (62009, 12124, 12, 'Событие изменено.');
INSERT INTO `lang_definitions` VALUES (62010, 12125, 12, 'Событие записано.');
INSERT INTO `lang_definitions` VALUES (62011, 12127, 12, 'Выбранный файл слишком большой');
INSERT INTO `lang_definitions` VALUES (62012, 12128, 12, 'Первый день недели.');
INSERT INTO `lang_definitions` VALUES (62013, 12130, 12, 'Ваш экземпляр программы OpenEMR был успешно зарегистрирован');
INSERT INTO `lang_definitions` VALUES (62014, 12131, 12, 'Результаты Вашей лаборатории');
INSERT INTO `lang_definitions` VALUES (62015, 12132, 12, 'Название списка было изменено в соответствии с требованиями.');
INSERT INTO `lang_definitions` VALUES (62016, 12133, 12, 'Ваше сообщение принято к отправке в');
INSERT INTO `lang_definitions` VALUES (62017, 12134, 12, 'Ваше название для этой категории, методики или результата');
INSERT INTO `lang_definitions` VALUES (62018, 12139, 12, 'Ваш пароль');
INSERT INTO `lang_definitions` VALUES (62019, 12140, 12, 'Действие пароля истекло. Измените свой пароль.');
INSERT INTO `lang_definitions` VALUES (62020, 12141, 12, 'Действие пароля истекло');
INSERT INTO `lang_definitions` VALUES (62021, 12143, 12, 'Срок действия пароля истекает сегодня. Измените свой пароль.');
INSERT INTO `lang_definitions` VALUES (62022, 12144, 12, 'Ваш пароль - это Ваша подпись');
INSERT INTO `lang_definitions` VALUES (62023, 12146, 12, 'Ваши настройки PostCalendar сброшены на использование по умолчанию.');
INSERT INTO `lang_definitions` VALUES (62024, 12147, 12, 'Настройка PostCalendar обновлена.');
INSERT INTO `lang_definitions` VALUES (62025, 12148, 12, 'Частота повторения должна быть целым числом.');
INSERT INTO `lang_definitions` VALUES (62026, 12149, 12, 'Частота повторения должна быть не менее 1.');
INSERT INTO `lang_definitions` VALUES (62027, 12151, 12, 'Введённая начальная дата позднее конечной');
INSERT INTO `lang_definitions` VALUES (62028, 12152, 12, 'Введена недопустимая начальная дата');
INSERT INTO `lang_definitions` VALUES (62029, 12153, 12, 'Произошёл сбой ввода данных.');
INSERT INTO `lang_definitions` VALUES (62030, 12154, 12, 'Выходные дни');
INSERT INTO `lang_definitions` VALUES (62031, 12156, 12, 'гггг-мм-дд');
INSERT INTO `lang_definitions` VALUES (62032, 12157, 12, 'ГГГГ-ММ-ДД');
INSERT INTO `lang_definitions` VALUES (62033, 12158, 12, 'дата yyyy-mm-dd привязана к этому документу');
INSERT INTO `lang_definitions` VALUES (62034, 12159, 12, 'дата yyyy-mm-dd уничтожена');
INSERT INTO `lang_definitions` VALUES (62035, 12160, 12, 'дата рождения гггг-мм-дд');
INSERT INTO `lang_definitions` VALUES (62036, 12161, 12, 'Дата рождения гггг-мм-дд');
INSERT INTO `lang_definitions` VALUES (62037, 12162, 12, 'дата окончания срока действия гггг-мм-дд');
INSERT INTO `lang_definitions` VALUES (62038, 12163, 12, 'Дата появления или госпитализации гггг-мм-дд');
INSERT INTO `lang_definitions` VALUES (62039, 12164, 12, 'Дата появления, оперативного вмешательства или начала лечения гггг-мм-дд');
INSERT INTO `lang_definitions` VALUES (62040, 12165, 12, 'Дата получения или передачи гггг-мм-дд');
INSERT INTO `lang_definitions` VALUES (62041, 12166, 12, 'Дата выздоровления или окончания лечения гггг-мм-дд');
INSERT INTO `lang_definitions` VALUES (62042, 12167, 12, 'Дата повторного воспроизведения гггг-мм-дд');
INSERT INTO `lang_definitions` VALUES (62043, 12168, 12, 'Дата оказания помощи гггг-мм-дд');
INSERT INTO `lang_definitions` VALUES (62044, 12169, 12, 'дата этого письма гггг-мм-дд');
INSERT INTO `lang_definitions` VALUES (62045, 12170, 12, 'дата повторного воспроизведения гггг-мм-дд');
INSERT INTO `lang_definitions` VALUES (62046, 12171, 12, 'дата регистрации гггг-мм-дд');
INSERT INTO `lang_definitions` VALUES (62047, 12172, 12, 'Дата завершения гггг-мм-дд');
INSERT INTO `lang_definitions` VALUES (62048, 12173, 12, 'дата события или включения гггг-мм-дд');
INSERT INTO `lang_definitions` VALUES (62049, 12174, 12, 'Дата окончания гггг-мм-дд Часы:Минуты');
INSERT INTO `lang_definitions` VALUES (62050, 12175, 12, 'Дата окончания гггг-мм-дд Часы:Минуты');
INSERT INTO `lang_definitions` VALUES (62051, 12176, 12, 'Дата начала гггг-мм-дд Часы:Минуты');
INSERT INTO `lang_definitions` VALUES (62052, 12177, 12, 'Дата начала гггг-мм-дд Часы:Минуты');
INSERT INTO `lang_definitions` VALUES (62053, 12178, 12, 'гггг-мм-дд Часы:Минуты:Секунды');
INSERT INTO `lang_definitions` VALUES (62054, 12179, 12, 'гггг-мм-дд Часы:Минуты');
INSERT INTO `lang_definitions` VALUES (62055, 12180, 12, 'последняя дата этого события гггг-мм-дд');
INSERT INTO `lang_definitions` VALUES (62056, 12181, 12, 'Дата начала гггг-мм-дд');
INSERT INTO `lang_definitions` VALUES (62057, 12182, 12, 'Начальная дата для поиска гггг-мм-дд');
INSERT INTO `lang_definitions` VALUES (62058, 12186, 12, 'Нулевой');
INSERT INTO `lang_definitions` VALUES (62059, 12188, 12, 'Почтовый индекс');
INSERT INTO `lang_definitions` VALUES (62060, 12189, 12, 'Почтовый индекс');
INSERT INTO `lang_definitions` VALUES (62061, 12191, 12, 'Почтовый индекс/страна');
INSERT INTO `lang_definitions` VALUES (62062, 12193, 12, 'Приблизить');
INSERT INTO `lang_definitions` VALUES (62063, 12194, 12, 'Отдалить');
INSERT INTO `lang_definitions` VALUES (62064, 12196, 12, 'Зулусский');
INSERT INTO `lang_definitions` VALUES (62065, 12197, 12, 'но было');
INSERT INTO `lang_definitions` VALUES (62066, 12198, 12, 'получить доступ не удалось.');
INSERT INTO `lang_definitions` VALUES (62067, 12199, 12, 'Действительно нужно удалить');
INSERT INTO `lang_definitions` VALUES (62068, 12200, 12, 'Препарат');
INSERT INTO `lang_definitions` VALUES (62069, 12201, 12, 'электронная почта не отправлена');
INSERT INTO `lang_definitions` VALUES (62070, 12202, 12, 'от');
INSERT INTO `lang_definitions` VALUES (62071, 12203, 12, 'была создана.');
INSERT INTO `lang_definitions` VALUES (62072, 12204, 12, 'была открыта повторно.');
INSERT INTO `lang_definitions` VALUES (62073, 12205, 12, 'Анамнез');
INSERT INTO `lang_definitions` VALUES (62074, 12206, 12, 'это не число');
INSERT INTO `lang_definitions` VALUES (62075, 12207, 12, 'готово для повторного счета.');
INSERT INTO `lang_definitions` VALUES (62076, 12208, 12, 'Левая нижняя конечность:');
INSERT INTO `lang_definitions` VALUES (62077, 12209, 12, 'Партия');
INSERT INTO `lang_definitions` VALUES (62078, 12210, 12, 'Номер официальной медицинской ссылки.');
INSERT INTO `lang_definitions` VALUES (62079, 12211, 12, 'минимум');
INSERT INTO `lang_definitions` VALUES (62080, 12212, 12, 'не найдено!');
INSERT INTO `lang_definitions` VALUES (62081, 12213, 12, 'В некоторых браузерах результаты могут быть выведены ниже основного экрана, появляться внезапные рывки и длинные паузы по несколько секунд, из-за этого может показаться, что произошёл сбой. Это не так, через некоторое время вы увидите вывод результата строка за строкой. Он может быть последовательностью номеров, появляющихся ниже, что говорит о том, что даже если ничего отображается, процесс выполнения программы продолжается.Не беспокойтесь, программа работает исправно.');
INSERT INTO `lang_definitions` VALUES (62082, 12214, 12, 'срок действия назначения истек');
INSERT INTO `lang_definitions` VALUES (62083, 12215, 12, 'до тех пор пока не');
INSERT INTO `lang_definitions` VALUES (62084, 12216, 12, 'сбой обновления, возможно проблемы с БД.');
INSERT INTO `lang_definitions` VALUES (62085, 12217, 12, 'установлена пометка: \"счёт выставлен\".');
INSERT INTO `lang_definitions` VALUES (62086, 12218, 12, 'было включено в очередь.');
INSERT INTO `lang_definitions` VALUES (62087, 12219, 12, '! Ушел без посещения');
INSERT INTO `lang_definitions` VALUES (62088, 12220, 12, '\" для кода');
INSERT INTO `lang_definitions` VALUES (62089, 12221, 12, 'В параметрах настройки PostCalendar \" означает ОТМЕЧЕНО!');
INSERT INTO `lang_definitions` VALUES (62090, 12222, 12, '# Проблемы с оплатой/страховкой');
INSERT INTO `lang_definitions` VALUES (62091, 12223, 12, '# из таблеток:');
INSERT INTO `lang_definitions` VALUES (62092, 12224, 12, '$');
INSERT INTO `lang_definitions` VALUES (62093, 12225, 12, '$ Индексированное');
INSERT INTO `lang_definitions` VALUES (62094, 12226, 12, '$метка (гггг-мм-дд)');
INSERT INTO `lang_definitions` VALUES (62095, 12227, 12, '%');
INSERT INTO `lang_definitions` VALUES (62096, 12228, 12, '% Отменено < 24 часа');
INSERT INTO `lang_definitions` VALUES (62097, 12229, 12, '% Отменено < 24 часа');
INSERT INTO `lang_definitions` VALUES (62098, 12230, 12, 'нет \', а должно присутствовать.');
INSERT INTO `lang_definitions` VALUES (62099, 12231, 12, '(% соответствует любой строке, _ соответствует любому символу)');
INSERT INTO `lang_definitions` VALUES (62100, 12232, 12, '([ctrl] + клик для выбора нескольких получателей)');
INSERT INTO `lang_definitions` VALUES (62101, 12233, 12, '(Назад)');
INSERT INTO `lang_definitions` VALUES (62102, 12234, 12, '(Кликните для изменения)');
INSERT INTO `lang_definitions` VALUES (62103, 12235, 12, '(Доставка электронной почты выполняется немедленно, в то время как автоматизированный VOIP отправляется поставщику услуг для дальнейшей обработки.)');
INSERT INTO `lang_definitions` VALUES (62104, 12236, 12, '(подробнее)');
INSERT INTO `lang_definitions` VALUES (62105, 12237, 12, '(Новый пациент)');
INSERT INTO `lang_definitions` VALUES (62106, 12238, 12, '(записи и полномочия)');
INSERT INTO `lang_definitions` VALUES (62107, 12239, 12, '(Записи о пациенте)');
INSERT INTO `lang_definitions` VALUES (62108, 12240, 12, '(Выберите или введите свой)');
INSERT INTO `lang_definitions` VALUES (62109, 12241, 12, 'Для изменения значения кликните с нажатым Shift или выделите мышкой');
INSERT INTO `lang_definitions` VALUES (62110, 12242, 12, '* С напоминанием');
INSERT INTO `lang_definitions` VALUES (62111, 12243, 12, '** Переместите хирургию в проблемы!');
INSERT INTO `lang_definitions` VALUES (62112, 12244, 12, '*Обязательное');
INSERT INTO `lang_definitions` VALUES (62113, 12245, 12, '+ График сдвинут');
INSERT INTO `lang_definitions` VALUES (62114, 12249, 12, '- Нет');
INSERT INTO `lang_definitions` VALUES (62115, 12251, 12, '--Все--');
INSERT INTO `lang_definitions` VALUES (62116, 12252, 12, '--Выберите роль--');
INSERT INTO `lang_definitions` VALUES (62117, 12253, 12, '.');
INSERT INTO `lang_definitions` VALUES (62118, 12254, 12, '0');
INSERT INTO `lang_definitions` VALUES (62119, 12255, 12, '0-10');
INSERT INTO `lang_definitions` VALUES (62120, 12256, 12, '0-24');
INSERT INTO `lang_definitions` VALUES (62121, 12259, 12, '1');
INSERT INTO `lang_definitions` VALUES (62122, 12260, 12, '1 = Северная Америка. Перечисление кодов других стран см. на http://www.wtng.info/');
INSERT INTO `lang_definitions` VALUES (62123, 12261, 12, 'через 1 день');
INSERT INTO `lang_definitions` VALUES (62124, 12262, 12, 'через 1 месяц');
INSERT INTO `lang_definitions` VALUES (62125, 12263, 12, 'через 1 неделя');
INSERT INTO `lang_definitions` VALUES (62126, 12264, 12, 'через 1 год');
INSERT INTO `lang_definitions` VALUES (62127, 12265, 12, '1. Покой 2. Холод в течение двух дней 3. Компрессия, сохраняйте повязку на месте, если не развивается онемение или бледность ноги 4. Поднятое положение ноги и фиксация');
INSERT INTO `lang_definitions` VALUES (62128, 12266, 12, '11-14');
INSERT INTO `lang_definitions` VALUES (62129, 12267, 12, '12 ч');
INSERT INTO `lang_definitions` VALUES (62130, 12268, 12, '15-19');
INSERT INTO `lang_definitions` VALUES (62131, 12269, 12, '1мм');
INSERT INTO `lang_definitions` VALUES (62132, 12270, 12, 'Первый');
INSERT INTO `lang_definitions` VALUES (62133, 12272, 12, '2');
INSERT INTO `lang_definitions` VALUES (62134, 12273, 12, 'через 2 дня');
INSERT INTO `lang_definitions` VALUES (62135, 12274, 12, 'через 2 месяца');
INSERT INTO `lang_definitions` VALUES (62136, 12275, 12, 'через 2 недели');
INSERT INTO `lang_definitions` VALUES (62137, 12276, 12, 'через 2 года');
INSERT INTO `lang_definitions` VALUES (62138, 12278, 12, '20-24');
INSERT INTO `lang_definitions` VALUES (62139, 12287, 12, '2111-13');
INSERT INTO `lang_definitions` VALUES (62140, 12288, 12, '24 ч');
INSERT INTO `lang_definitions` VALUES (62141, 12289, 12, '25+');
INSERT INTO `lang_definitions` VALUES (62142, 12290, 12, '25-29');
INSERT INTO `lang_definitions` VALUES (62143, 12293, 12, '2-й');
INSERT INTO `lang_definitions` VALUES (62144, 12296, 12, 'через 3 дня');
INSERT INTO `lang_definitions` VALUES (62145, 12297, 12, '3 месяца');
INSERT INTO `lang_definitions` VALUES (62146, 12298, 12, 'через 3 месяца');
INSERT INTO `lang_definitions` VALUES (62147, 12299, 12, '3 раза в день');
INSERT INTO `lang_definitions` VALUES (62148, 12300, 12, 'через 3 недели');
INSERT INTO `lang_definitions` VALUES (62149, 12301, 12, '30-34');
INSERT INTO `lang_definitions` VALUES (62150, 12302, 12, '35-39');
INSERT INTO `lang_definitions` VALUES (62151, 12304, 12, '3-й');
INSERT INTO `lang_definitions` VALUES (62152, 12307, 12, 'через 4 дня');
INSERT INTO `lang_definitions` VALUES (62153, 12308, 12, '4 месяца');
INSERT INTO `lang_definitions` VALUES (62154, 12309, 12, 'через 4 месяца');
INSERT INTO `lang_definitions` VALUES (62155, 12310, 12, '4 раза в день');
INSERT INTO `lang_definitions` VALUES (62156, 12311, 12, 'через 4 недели');
INSERT INTO `lang_definitions` VALUES (62157, 12312, 12, '40-44');
INSERT INTO `lang_definitions` VALUES (62158, 12313, 12, '45+');
INSERT INTO `lang_definitions` VALUES (62159, 12314, 12, '465.9, URI');
INSERT INTO `lang_definitions` VALUES (62160, 12315, 12, '466.0, бронхит, органонеспецифичный, острый');
INSERT INTO `lang_definitions` VALUES (62161, 12316, 12, '486.0, пневмония, острая');
INSERT INTO `lang_definitions` VALUES (62162, 12317, 12, '491.21, ХОБЛ, обострение');
INSERT INTO `lang_definitions` VALUES (62163, 12318, 12, '491.8, бронхит, хронический');
INSERT INTO `lang_definitions` VALUES (62164, 12319, 12, '493.92, астма, острый Exac.');
INSERT INTO `lang_definitions` VALUES (62165, 12320, 12, '496.0, ХОБЛ');
INSERT INTO `lang_definitions` VALUES (62166, 12323, 12, '4-й');
INSERT INTO `lang_definitions` VALUES (62167, 12326, 12, 'через 5 дней');
INSERT INTO `lang_definitions` VALUES (62168, 12327, 12, 'через 5 месяцев');
INSERT INTO `lang_definitions` VALUES (62169, 12328, 12, 'через 5 недель');
INSERT INTO `lang_definitions` VALUES (62170, 12329, 12, '519.7, бронхоспазм');
INSERT INTO `lang_definitions` VALUES (62171, 12330, 12, '5мм');
INSERT INTO `lang_definitions` VALUES (62172, 12331, 12, '5-й');
INSERT INTO `lang_definitions` VALUES (62173, 12333, 12, 'через 6 дней');
INSERT INTO `lang_definitions` VALUES (62174, 12334, 12, '6 месяцев');
INSERT INTO `lang_definitions` VALUES (62175, 12335, 12, 'через 6 месяцев');
INSERT INTO `lang_definitions` VALUES (62176, 12336, 12, 'через 6 недель');
INSERT INTO `lang_definitions` VALUES (62177, 12337, 12, '6-й');
INSERT INTO `lang_definitions` VALUES (62178, 12339, 12, 'через 7 месяцев');
INSERT INTO `lang_definitions` VALUES (62179, 12340, 12, 'через 8 месяцев');
INSERT INTO `lang_definitions` VALUES (62180, 12342, 12, '824.0 Перелом медиальной лодыжки, закрытый');
INSERT INTO `lang_definitions` VALUES (62181, 12343, 12, '824.2 Перелом латеральной лодыжки, закрытый');
INSERT INTO `lang_definitions` VALUES (62182, 12344, 12, '824.6 Трёхлодыжечный перелом, закрытый');
INSERT INTO `lang_definitions` VALUES (62183, 12345, 12, '825.32 Перелом ладьевидной кости (лодыжка)');
INSERT INTO `lang_definitions` VALUES (62184, 12346, 12, '825.35 Перелом основания пятой (5-й) метатарзальной кости');
INSERT INTO `lang_definitions` VALUES (62185, 12347, 12, '845.00 Растяжение лодыжки NOS');
INSERT INTO `lang_definitions` VALUES (62186, 12348, 12, '845.01 Растяжение средней (дельтовидной) связки');
INSERT INTO `lang_definitions` VALUES (62187, 12349, 12, '845.02 Растяжение малоберцовой пяточной');
INSERT INTO `lang_definitions` VALUES (62188, 12350, 12, 'через 9 месяцев');
INSERT INTO `lang_definitions` VALUES (62189, 12351, 12, '99212 установленный - несложный');
INSERT INTO `lang_definitions` VALUES (62190, 12352, 12, '99213 установленный - низкой сложности');
INSERT INTO `lang_definitions` VALUES (62191, 12353, 12, '< На осмотре');
INSERT INTO `lang_definitions` VALUES (62192, 12357, 12, '> Приём завершён');
INSERT INTO `lang_definitions` VALUES (62193, 12361, 12, '? Неявка');
INSERT INTO `lang_definitions` VALUES (62194, 12362, 12, '@ Прибыл');
INSERT INTO `lang_definitions` VALUES (62195, 12364, 12, '[Изменить вид]');
INSERT INTO `lang_definitions` VALUES (62196, 12365, 12, '[Дата последнего обращения]');
INSERT INTO `lang_definitions` VALUES (62197, 12366, 12, '[Дни от последнего обращения]');
INSERT INTO `lang_definitions` VALUES (62198, 12367, 12, '[EOBs]');
INSERT INTO `lang_definitions` VALUES (62199, 12368, 12, '[Экспорт OFX]');
INSERT INTO `lang_definitions` VALUES (62200, 12369, 12, '[не рекомендовано]');
INSERT INTO `lang_definitions` VALUES (62201, 12370, 12, '[Количество обращений]');
INSERT INTO `lang_definitions` VALUES (62202, 12371, 12, '[Отчеты]');
INSERT INTO `lang_definitions` VALUES (62203, 12372, 12, '[Выбрать все]');
INSERT INTO `lang_definitions` VALUES (62204, 12373, 12, '[Регистр-SQL]');
INSERT INTO `lang_definitions` VALUES (62205, 12374, 12, '[Запуск пакетной обработки]');
INSERT INTO `lang_definitions` VALUES (62206, 12375, 12, '[Просмотреть журнал]');
INSERT INTO `lang_definitions` VALUES (62207, 12376, 12, '[Просмотреть печатную форму отчёта]');
INSERT INTO `lang_definitions` VALUES (62208, 12378, 12, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (62209, 12379, 12, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (62210, 12380, 12, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (62211, 12381, 12, '~ Опоздал');
INSERT INTO `lang_definitions` VALUES (62212, 2, 13, 'Գրանցման  կամ պահանջագրի համարը՝ վճարումը նույնականացնելու համար');
INSERT INTO `lang_definitions` VALUES (62213, 4, 13, 'Որպես ԱԴՄԻՆ օգտվող  հաճախորդի հավաստագիր');
INSERT INTO `lang_definitions` VALUES (62214, 6, 13, 'Կցված է բժշկական/կլինիկական փաստաթուղթ');
INSERT INTO `lang_definitions` VALUES (62215, 7, 13, 'Բժշկական/կլինիկական փաստաթուղթ է կցված');
INSERT INTO `lang_definitions` VALUES (62216, 8, 13, 'Նմանատիպ կոդ արդեն ընտրված է․ նախ մաքրեք դաշտը, եթե ցանկանում եք տեղափոխել այն');
INSERT INTO `lang_definitions` VALUES (62217, 13, 13, 'Պահանջվում է / անհրաժեշտ է ներկայացուցիչ');
INSERT INTO `lang_definitions` VALUES (62218, 17, 13, 'Այս այցի շրջանակներում պետք է ավելացնել GCAC մուտքի ձև');
INSERT INTO `lang_definitions` VALUES (62219, 20, 13, 'Խմբաքանակի թիվը պարտադիր է');
INSERT INTO `lang_definitions` VALUES (62220, 21, 13, 'Խմբաքանակի թիվը պարտադիր է');
INSERT INTO `lang_definitions` VALUES (62221, 22, 13, 'փոքրատառ');
INSERT INTO `lang_definitions` VALUES (62222, 28, 13, 'համար');
INSERT INTO `lang_definitions` VALUES (62223, 29, 13, 'Զեկույցի գեներացման համար անհրաժեշտ է ընտրել Պացիենտին');
INSERT INTO `lang_definitions` VALUES (62224, 30, 13, 'Սույն ինքնությամբ հիվանդ արդեն գոյություն ունի');
INSERT INTO `lang_definitions` VALUES (62225, 31, 13, 'Սույն  անունով հիվանդ արդեն գոյություն ունի');
INSERT INTO `lang_definitions` VALUES (62226, 32, 13, 'Սույն սոցծառայության համարով հիվանդ արդեն գոյություն ունի');
INSERT INTO `lang_definitions` VALUES (62227, 36, 13, 'Վիդջեթի/սարքի  վրա՝ Հիվանդի Ամփոփ տեղեկագրի էկրանին,  դրական թվով ցույց կտա նախկին նշանակումները  (բացասական թվով ցույց կտա նախկին նշանակումները՝ նվազման կարգով)');
INSERT INTO `lang_definitions` VALUES (62228, 37, 13, 'Վիդջեթի վրա՝ Հիվանդի Ամփոփ տեղեկագրի էկրանին,  դրական թվով ցույց կտա նախկին նշանակումները');
INSERT INTO `lang_definitions` VALUES (62229, 43, 13, 'Յուրաքանչյուր այցի համար տեղեկատվության աղբյուրը կարող է մատնանշվել');
INSERT INTO `lang_definitions` VALUES (62230, 44, 13, 'Պահանջվում է առնչվող/կից IPPF կոդ');
INSERT INTO `lang_definitions` VALUES (62231, 49, 13, 'Հատուկ նշան');
INSERT INTO `lang_definitions` VALUES (62232, 53, 13, 'Այս դաշտի նույնականացման՝ օգտվողի համար  անտեսանելի եզակի նշանակություն/արժեք');
INSERT INTO `lang_definitions` VALUES (62233, 56, 13, 'Այս հիվանդի անվամբ այսօրվա համար արդեն գոյություն  ունի նշանակված այց։ Սեղմեք \"Չեղարկել\"/Cancel՝ բացելու  համար, կամ \"Լավ\"/OK շարունակելու և նորն ստեղծելու համար');
INSERT INTO `lang_definitions` VALUES (62234, 57, 13, 'մինչև ճաշ / ճաշից առաջ');
INSERT INTO `lang_definitions` VALUES (62235, 58, 13, 'մինչև կեսօր');
INSERT INTO `lang_definitions` VALUES (62236, 60, 13, 'A/F Level Right:');
INSERT INTO `lang_definitions` VALUES (62237, 62, 13, 'abdominal bloating - որովայնային  ձգում aspiration biopsy  ֊');
INSERT INTO `lang_definitions` VALUES (62238, 63, 13, 'կրճատում');
INSERT INTO `lang_definitions` VALUES (62239, 64, 13, 'թարախակույտ');
INSERT INTO `lang_definitions` VALUES (62240, 65, 13, 'որովայնային');
INSERT INTO `lang_definitions` VALUES (62241, 66, 13, 'կարողանում է կրել ծանրություն 4 /չորս/ քայլ');
INSERT INTO `lang_definitions` VALUES (62242, 67, 13, 'Abn');
INSERT INTO `lang_definitions` VALUES (62243, 68, 13, 'ABN1');
INSERT INTO `lang_definitions` VALUES (62244, 70, 13, 'Նորմայից շեղված');
INSERT INTO `lang_definitions` VALUES (62245, 71, 13, 'Ոչ նորմալ արյան հետազոտություն');
INSERT INTO `lang_definitions` VALUES (62246, 72, 13, 'Ոչ նորմալ մազերի աճ');
INSERT INTO `lang_definitions` VALUES (62247, 73, 13, 'Ոչ նորմալ մամոգրաֆիա');
INSERT INTO `lang_definitions` VALUES (62248, 74, 13, 'Աբորտ /հղիության վաղաժամ ընդհատում/');
INSERT INTO `lang_definitions` VALUES (62249, 75, 13, 'Աբորտ /հղիության վաղաժամ ընդհատում/');
INSERT INTO `lang_definitions` VALUES (62250, 76, 13, 'Աբորտի հետ կապված խնդիրներ');
INSERT INTO `lang_definitions` VALUES (62251, 77, 13, 'Հղիության ընդհատման մեթոդներ');
INSERT INTO `lang_definitions` VALUES (62252, 78, 13, 'Աբորտին/Հղիության ընդհատմանն առնչվող բաժիններ');
INSERT INTO `lang_definitions` VALUES (62253, 79, 13, 'Աբորտներ /Հղիության ընդհատումներ');
INSERT INTO `lang_definitions` VALUES (62254, 82, 13, 'Օգտվողի օրացույցը');
INSERT INTO `lang_definitions` VALUES (62255, 85, 13, 'Ախտորոշման բացակայություն');
INSERT INTO `lang_definitions` VALUES (62256, 87, 13, '1. Ընդունել նշանակումը/հանձնարարությունը   2. /հանձնարարության ընդունում');
INSERT INTO `lang_definitions` VALUES (62257, 89, 13, 'Ընդունել ․․․֊ն վճարումը');
INSERT INTO `lang_definitions` VALUES (62258, 90, 13, 'Ընդունել ․․․֊ն վճարումը');
INSERT INTO `lang_definitions` VALUES (62259, 91, 13, 'Հանձնարարությունն/ նշանակումն ընդունում է');
INSERT INTO `lang_definitions` VALUES (62260, 93, 13, 'Մուտքի/Հասանելիության վերահսկում');
INSERT INTO `lang_definitions` VALUES (62261, 94, 13, 'Մուտքի վերահսկողության ցանկի ադմինիստրացիա');
INSERT INTO `lang_definitions` VALUES (62262, 98, 13, 'Մուտքի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (62263, 102, 13, 'Մուտքն արգելված է');
INSERT INTO `lang_definitions` VALUES (62264, 103, 13, 'Մուտքը լիազորված չէ');
INSERT INTO `lang_definitions` VALUES (62265, 105, 13, 'Մուտք գործեք Ձեր հիվանդի պորտալ');
INSERT INTO `lang_definitions` VALUES (62266, 106, 13, 'Պատահար');
INSERT INTO `lang_definitions` VALUES (62267, 109, 13, 'Account Id issued for NewCrop eRx service, used to separate multi-facility accounts.');
INSERT INTO `lang_definitions` VALUES (62268, 113, 13, 'Հաշվի անունը');
INSERT INTO `lang_definitions` VALUES (62269, 114, 13, 'Հաշվի անունը սահմանվել է  NewCrop eRx ծառայության համար');
INSERT INTO `lang_definitions` VALUES (62270, 115, 13, 'Հաշվի գաղտնաբառը սահմանվել է  NewCrop eRx ծառայության համար');
INSERT INTO `lang_definitions` VALUES (62271, 117, 13, 'Հաշվառում /Հաշվապահություն');
INSERT INTO `lang_definitions` VALUES (62272, 120, 13, 'Հշվպ․');
INSERT INTO `lang_definitions` VALUES (62273, 122, 13, 'Ցավեր');
INSERT INTO `lang_definitions` VALUES (62274, 124, 13, 'Անհրաժեշտ է հաստատում/ճանաչում (ISA14)');
INSERT INTO `lang_definitions` VALUES (62275, 125, 13, 'Հաստատում, Լիցենզավորում և Սերտիֆիկացում');
INSERT INTO `lang_definitions` VALUES (62276, 127, 13, 'ACL կառավարում');
INSERT INTO `lang_definitions` VALUES (62277, 129, 13, 'ACL կառավարումը թույլատրված չէ');
INSERT INTO `lang_definitions` VALUES (62278, 132, 13, 'ACL֊ն հաջողությամբ թարմացվել է');
INSERT INTO `lang_definitions` VALUES (62279, 133, 13, 'Բշտիկ /ակնե');
INSERT INTO `lang_definitions` VALUES (62280, 136, 13, 'Ակտ/գործ');
INSERT INTO `lang_definitions` VALUES (62281, 137, 13, 'Ակտի/գործողության  ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (62282, 138, 13, 'Ակտ/գործողություն');
INSERT INTO `lang_definitions` VALUES (62283, 142, 13, 'Գործողություններ');
INSERT INTO `lang_definitions` VALUES (62284, 143, 13, 'Ակտիվացնել');
INSERT INTO `lang_definitions` VALUES (62285, 144, 13, 'Ակտիվացնել  CCR/CCD հաշվետվությունը');
INSERT INTO `lang_definitions` VALUES (62286, 148, 13, 'Ակտիվ');
INSERT INTO `lang_definitions` VALUES (62287, 150, 13, 'Ակտիվ ծանուցում');
INSERT INTO `lang_definitions` VALUES (62288, 152, 13, 'Ակտիվ ծանուցման կանոններ');
INSERT INTO `lang_definitions` VALUES (62289, 153, 13, 'Ակտիվ ծանուցումներ/հիշեցումներ');
INSERT INTO `lang_definitions` VALUES (62290, 158, 13, 'Ակտիվ բախում');
INSERT INTO `lang_definitions` VALUES (62291, 159, 13, 'Ակտիվ խնդիրների խոդեր');
INSERT INTO `lang_definitions` VALUES (62292, 160, 13, 'Ակտիվ ցանկեր');
INSERT INTO `lang_definitions` VALUES (62293, 162, 13, 'Ակտիվ հիվանդ');
INSERT INTO `lang_definitions` VALUES (62294, 163, 13, 'Ակտիվ պլաններ');
INSERT INTO `lang_definitions` VALUES (62295, 173, 13, 'Ակտիվություն');
INSERT INTO `lang_definitions` VALUES (62296, 174, 13, 'Ակտիվության տեսակը');
INSERT INTO `lang_definitions` VALUES (62297, 175, 13, 'Փաստացի մուտքեր');
INSERT INTO `lang_definitions` VALUES (62298, 185, 13, 'Սուր թունավորում / դուրսբերում');
INSERT INTO `lang_definitions` VALUES (62299, 186, 13, 'Խրոնիկ հիվանդության սուր դրսևորումներ');
INSERT INTO `lang_definitions` VALUES (62300, 187, 13, 'սուր կամ խրոնիկ');
INSERT INTO `lang_definitions` VALUES (62301, 189, 13, 'ավելացնել');
INSERT INTO `lang_definitions` VALUES (62302, 190, 13, 'ավելացնել');
INSERT INTO `lang_definitions` VALUES (62303, 191, 13, 'attention deficit disorder - ուշադրության դեֆիցիտի սինդրոմ/ուշադրության խանգարում');
INSERT INTO `lang_definitions` VALUES (62304, 192, 13, 'Ավելացնել Ընկերություն/Կազմակերպություն');
INSERT INTO `lang_definitions` VALUES (62305, 193, 13, 'Ավելացնել պայման');
INSERT INTO `lang_definitions` VALUES (62306, 197, 13, 'Ավելացնել Դեղատուն');
INSERT INTO `lang_definitions` VALUES (62307, 199, 13, 'Բոլոր կանոններն ավելացնել պլանին');
INSERT INTO `lang_definitions` VALUES (62308, 200, 13, 'Ավելացնել իրադարձություն');
INSERT INTO `lang_definitions` VALUES (62309, 202, 13, 'Ավելացնել որպես նոր նշում/գրառում');
INSERT INTO `lang_definitions` VALUES (62310, 203, 13, 'Ավելացնել որպես ՆՈՐ');
INSERT INTO `lang_definitions` VALUES (62311, 204, 13, 'ավելացնել որպես նոր Պացիենտ');
INSERT INTO `lang_definitions` VALUES (62312, 206, 13, 'Ավելացնել կոճակ');
INSERT INTO `lang_definitions` VALUES (62313, 207, 13, 'ավելացնել կոճակներ խմբագրման պատուհանի վերին  մասում  տեքստի վրա Click֊ով հատոկ սիմվոլներ, տեքստեր  տեղադրելու համար');
INSERT INTO `lang_definitions` VALUES (62314, 208, 13, 'Ավելացնել կատեգորիա');
INSERT INTO `lang_definitions` VALUES (62315, 209, 13, 'Ավելացնել մշտական');
INSERT INTO `lang_definitions` VALUES (62316, 210, 13, 'Ավելացնել համատեքստ');
INSERT INTO `lang_definitions` VALUES (62317, 211, 13, 'Ավելացնել հավելավճար');
INSERT INTO `lang_definitions` VALUES (62318, 212, 13, 'Ավելացնել չափորոշիչ');
INSERT INTO `lang_definitions` VALUES (62319, 213, 13, 'Ավելացնել գործարկողի կոճակ');
INSERT INTO `lang_definitions` VALUES (62320, 216, 13, 'Ավելացնել ախտորոշում');
INSERT INTO `lang_definitions` VALUES (62321, 217, 13, 'Ավելացնել դեղորայք');
INSERT INTO `lang_definitions` VALUES (62322, 220, 13, 'Ավելացնել /անհետաձգելի, անհապաղ/  հանդիպում');
INSERT INTO `lang_definitions` VALUES (62323, 221, 13, 'Ավելացնել   հանդիպման հետ կապված նշումներ');
INSERT INTO `lang_definitions` VALUES (62324, 222, 13, 'Ավելացնել հնարավաորություն / սարք');
INSERT INTO `lang_definitions` VALUES (62325, 223, 13, 'Ավելացնել  դաշտ');
INSERT INTO `lang_definitions` VALUES (62326, 224, 13, 'Ավելացնել հետևյալ տողերը Apache  կազմաձևով/կազմությամբ  ֆայլին');
INSERT INTO `lang_definitions` VALUES (62327, 225, 13, 'Ավելացնել խումբ');
INSERT INTO `lang_definitions` VALUES (62328, 227, 13, 'Ավելացնել ՀՄԴ /Հիվանդությունների Միջազգային  Դասակարգում/ Կոդ');
INSERT INTO `lang_definitions` VALUES (62329, 228, 13, 'Ավելացնել պատվաստում');
INSERT INTO `lang_definitions` VALUES (62330, 229, 13, 'Հավելում /Ավելացում/  չի թույլատրվում');
INSERT INTO `lang_definitions` VALUES (62331, 230, 13, 'Ավելացնել հարց/խնդիր');
INSERT INTO `lang_definitions` VALUES (62332, 231, 13, 'Շարքին կետ/պարագրաֆ/ ավելացնել');
INSERT INTO `lang_definitions` VALUES (62333, 232, 13, 'Ավելացնել լեզու');
INSERT INTO `lang_definitions` VALUES (62334, 238, 13, 'Ավելացնել Նոր');
INSERT INTO `lang_definitions` VALUES (62335, 239, 13, 'Ավելացնել նորը');
INSERT INTO `lang_definitions` VALUES (62336, 240, 13, 'Ավելացնել նոր կատեգորիա');
INSERT INTO `lang_definitions` VALUES (62337, 241, 13, 'Ավելացնել նոր հավաստագրեր Apache կարգավորման/ ձևաչափի ֆայլին');
INSERT INTO `lang_definitions` VALUES (62338, 242, 13, 'Ավելացնել  նոր բաղադրիչ');
INSERT INTO `lang_definitions` VALUES (62339, 243, 13, 'Ավելացնել  նոր բաղադրիչներ');
INSERT INTO `lang_definitions` VALUES (62340, 249, 13, 'Ավելացնել նոր խումբ');
INSERT INTO `lang_definitions` VALUES (62341, 250, 13, 'Ավելացնել նոր հարց/խնդիր');
INSERT INTO `lang_definitions` VALUES (62342, 251, 13, 'Ավելացներ գերծարքի նոր շարք');
INSERT INTO `lang_definitions` VALUES (62343, 253, 13, 'Ավելացնել Նոր Գրառում');
INSERT INTO `lang_definitions` VALUES (62344, 254, 13, 'Ավելացնել նոր գրառում');
INSERT INTO `lang_definitions` VALUES (62345, 255, 13, 'Ավելացնել նոր գործընկեր');
INSERT INTO `lang_definitions` VALUES (62346, 256, 13, 'Ավելացնել նոր Հիվանդի');
INSERT INTO `lang_definitions` VALUES (62347, 257, 13, 'ԱՎԵԼԱՑՆԵԼ ՆՈՐ ՊԼԱՆ/ՆԱԽԱԳԻԾ');
INSERT INTO `lang_definitions` VALUES (62348, 264, 13, 'Ավելացնել գրառում');
INSERT INTO `lang_definitions` VALUES (62349, 268, 13, 'Ավելացնել Հիվանդի Գրանցում');
INSERT INTO `lang_definitions` VALUES (62350, 269, 13, 'Ավելացնել դեղատոմս');
INSERT INTO `lang_definitions` VALUES (62351, 270, 13, 'Ավելացնել ընթացակարգ');
INSERT INTO `lang_definitions` VALUES (62352, 271, 13, 'Ավելացնել Մատակարարի համարը');
INSERT INTO `lang_definitions` VALUES (62353, 273, 13, 'Ավելացնել Վերականգնում /կոճակ/');
INSERT INTO `lang_definitions` VALUES (62354, 274, 13, 'Ավելացնել Կանոն');
INSERT INTO `lang_definitions` VALUES (62355, 277, 13, 'Ավելացնել ․․․֊ին /Ավելացնել հետևյալին');
INSERT INTO `lang_definitions` VALUES (62356, 281, 13, 'Ավելացնել Դեղորայքի Ցանկին');
INSERT INTO `lang_definitions` VALUES (62357, 282, 13, 'Ավելացնել Վերին Մակարդակ');
INSERT INTO `lang_definitions` VALUES (62358, 283, 13, 'ԱՎելացնել Գործարք');
INSERT INTO `lang_definitions` VALUES (62359, 284, 13, 'Ավելացնել Օգտվող');
INSERT INTO `lang_definitions` VALUES (62360, 285, 13, 'Ավելացնել Օգտվողին հետևյալ Խմբում');
INSERT INTO `lang_definitions` VALUES (62361, 287, 13, 'Ավելացնել/Խմբագրել eRx/ ԷԴԽԾ /Էլեկտրոնային  Դեղատոմսի Խթանիչ/Խրախուսման Ծրագիր/');
INSERT INTO `lang_definitions` VALUES (62362, 289, 13, 'Ավելացնել/Խմբագրել  Հիվանդի Գործարք');
INSERT INTO `lang_definitions` VALUES (62363, 290, 13, 'Ավելացված է');
INSERT INTO `lang_definitions` VALUES (62364, 293, 13, 'Անձնական տվյալների ավելացումն արգելվում է');
INSERT INTO `lang_definitions` VALUES (62365, 294, 13, 'Կետի/պարագրաֆի ավելացումը ձախողվեց');
INSERT INTO `lang_definitions` VALUES (62366, 295, 13, 'Էդիսոնի Համախտանիշ');
INSERT INTO `lang_definitions` VALUES (62367, 296, 13, 'Էդիսոնի Համախտանիշ');
INSERT INTO `lang_definitions` VALUES (62368, 297, 13, 'Լրացուցիչ հատկանիշներ / ատրիբուտներ');
INSERT INTO `lang_definitions` VALUES (62369, 300, 13, 'Լրացուցիչ / հավելյալ  ախտորոշում');
INSERT INTO `lang_definitions` VALUES (62370, 305, 13, 'Լրացուցիչ / հավելյալ  Պատմություն');
INSERT INTO `lang_definitions` VALUES (62371, 306, 13, 'Լրացուցիչ / հավելյալ  Պատմության գրառումներ');
INSERT INTO `lang_definitions` VALUES (62372, 307, 13, 'Լրացուցիչ / հավելյալ  Ինֆորմացիա');
INSERT INTO `lang_definitions` VALUES (62373, 310, 13, 'Լրացուցիչ / հավելյալ  Լաբորատոր հետազոտություններ');
INSERT INTO `lang_definitions` VALUES (62374, 311, 13, 'Լրացուցիչ / հավելյալ  նշումներ / գրառումներ');
INSERT INTO `lang_definitions` VALUES (62375, 313, 13, 'Այս արդյունքին ուղղված/արնչվող լրացուցիչ գրառումներ  կամ հանձնարարական');
INSERT INTO `lang_definitions` VALUES (62376, 314, 13, 'Լրացուցիչ / հավելյալ  նշումներ / գրառումներ');
INSERT INTO `lang_definitions` VALUES (62377, 315, 13, 'Լրացուցիչ / հավելյալ  նշումներ / գրառումներ');
INSERT INTO `lang_definitions` VALUES (62378, 317, 13, 'Ռենտգեն հետազոտության լրացուցիչ գրառումներ');
INSERT INTO `lang_definitions` VALUES (62379, 318, 13, 'Բացի այդ,  Միջազգային Snomed Release֊ի /Անգլերեն  տարբերակը/  տեղդրելուց հետո  ԱՄՆ֊ի համապատասխան  Snomed Extension Package կարող է առանձին  ներառվել/տեղադրվել');
INSERT INTO `lang_definitions` VALUES (62380, 320, 13, 'Միայն ավելացնել');
INSERT INTO `lang_definitions` VALUES (62381, 322, 13, 'Հասցեագիրք');
INSERT INTO `lang_definitions` VALUES (62382, 323, 13, 'Հասցեագիրք');
INSERT INTO `lang_definitions` VALUES (62383, 324, 13, 'Հասցե');
INSERT INTO `lang_definitions` VALUES (62384, 325, 13, 'Հասցե և փոստային կոդ');
INSERT INTO `lang_definitions` VALUES (62385, 326, 13, 'Հասցե և մարզ/նահանգ');
INSERT INTO `lang_definitions` VALUES (62386, 327, 13, 'Հասցեագիրք');
INSERT INTO `lang_definitions` VALUES (62387, 328, 13, 'Սույն miջամտությունը կատարող Ընկերության   հասցեագիրք / հասցեների գրանցամատյան');
INSERT INTO `lang_definitions` VALUES (62388, 329, 13, 'Մատակարարների /Դիստրիբյուտորների  հասցեագիրք/ գրանցամատյան');
INSERT INTO `lang_definitions` VALUES (62389, 330, 13, 'Վաճառողի հասցեագիրք / գրանցամատյան');
INSERT INTO `lang_definitions` VALUES (62390, 331, 13, 'Գրանցամատյանների տեսակներ');
INSERT INTO `lang_definitions` VALUES (62391, 332, 13, 'Հասցեապիտակ');
INSERT INTO `lang_definitions` VALUES (62392, 333, 13, 'Հասցեապիտակներ');
INSERT INTO `lang_definitions` VALUES (62393, 336, 13, 'Միայն հասցե');
INSERT INTO `lang_definitions` VALUES (62394, 338, 13, 'Հասցե, մարզ/նահանգ և փոստային կոդ');
INSERT INTO `lang_definitions` VALUES (62395, 339, 13, 'Հասցե 1');
INSERT INTO `lang_definitions` VALUES (62396, 340, 13, 'Հասցե 2');
INSERT INTO `lang_definitions` VALUES (62397, 342, 13, 'ՀԱՍՑԵ');
INSERT INTO `lang_definitions` VALUES (62398, 345, 13, 'Ճշգրտ․');
INSERT INTO `lang_definitions` VALUES (62399, 346, 13, 'Ճշգրտ․  Քանակ');
INSERT INTO `lang_definitions` VALUES (62400, 347, 13, 'Ճշգրտել');
INSERT INTO `lang_definitions` VALUES (62401, 348, 13, 'Ճշգրտում');
INSERT INTO `lang_definitions` VALUES (62402, 349, 13, 'Ճշգրտումների քնկ․');
INSERT INTO `lang_definitions` VALUES (62403, 350, 13, 'Ճշգրտումների պատճառը');
INSERT INTO `lang_definitions` VALUES (62404, 352, 13, 'Ճշգրտման կոդի արժեքը');
INSERT INTO `lang_definitions` VALUES (62405, 353, 13, 'Ճշգրտումներ');
INSERT INTO `lang_definitions` VALUES (62406, 354, 13, 'Ադմինի ճշգրտումները');
INSERT INTO `lang_definitions` VALUES (62407, 355, 13, 'Ադմին');
INSERT INTO `lang_definitions` VALUES (62408, 356, 13, 'Ադմինի էլ․փոստ');
INSERT INTO `lang_definitions` VALUES (62409, 357, 13, 'Ղեկավարել ․․֊ի միջոցով / որպես');
INSERT INTO `lang_definitions` VALUES (62410, 359, 13, 'Սպասարկվում է / ղեկավարվում է');
INSERT INTO `lang_definitions` VALUES (62411, 360, 13, 'Սպասարկվում է / ղեկավարվում է ․․֊ի կողմից/միջոցով');
INSERT INTO `lang_definitions` VALUES (62412, 361, 13, 'Սպասարկման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (62413, 362, 13, 'Սպասարկվող կայք');
INSERT INTO `lang_definitions` VALUES (62414, 363, 13, 'Սպասարկում');
INSERT INTO `lang_definitions` VALUES (62415, 365, 13, 'Սպասարկող կայք');
INSERT INTO `lang_definitions` VALUES (62416, 366, 13, 'Ադմինիստրատորներ');
INSERT INTO `lang_definitions` VALUES (62417, 367, 13, 'Ադմինիստրատորներին թույլատրվում է ամեն ինչ');
INSERT INTO `lang_definitions` VALUES (62418, 368, 13, 'Ընդունման Ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (62419, 370, 13, 'Որդեգիր երեխա');
INSERT INTO `lang_definitions` VALUES (62420, 371, 13, 'Չափահասի քաշի զննում֊հսկողություն');
INSERT INTO `lang_definitions` VALUES (62421, 372, 13, 'Չափահասի քաշի զննում֊հսկողություն  (CQM)');
INSERT INTO `lang_definitions` VALUES (62422, 373, 13, 'Նախնական հրահանգ');
INSERT INTO `lang_definitions` VALUES (62423, 374, 13, 'Նախնական հրահանգներ');
INSERT INTO `lang_definitions` VALUES (62424, 375, 13, 'Նախնական հրահանգների զգուշացում');
INSERT INTO `lang_definitions` VALUES (62425, 376, 13, 'Ընտրության ընդլայնում   Ընդլայնված տարբերակներ');
INSERT INTO `lang_definitions` VALUES (62426, 377, 13, 'Ընդլայնված');
INSERT INTO `lang_definitions` VALUES (62427, 380, 13, 'Խորհուրդ');
INSERT INTO `lang_definitions` VALUES (62428, 381, 13, 'Աֆար /ցեղ/  Հեռու/հեռվից');
INSERT INTO `lang_definitions` VALUES (62429, 382, 13, 'Նորմալ ազդեցություն ունենալ');
INSERT INTO `lang_definitions` VALUES (62430, 383, 13, 'Հրվ․ Աֆրիկայի լեզու');
INSERT INTO `lang_definitions` VALUES (62431, 386, 13, 'Ժամային զանգեչից հետո');
INSERT INTO `lang_definitions` VALUES (62432, 390, 13, 'PDF ֆորմատով պահպանելուց հետո սխալներն ստուգելու  համար սեղմել  [Դիտել Մուտքը]');
INSERT INTO `lang_definitions` VALUES (62433, 393, 13, 'TEXT ֆայլ(եր)ը պահպանելուց հետո սխալներն ստուգելու  համար սեղմել  [Դիտել Մուտքը]');
INSERT INTO `lang_definitions` VALUES (62434, 396, 13, 'Փաթեթը պահպանելուց հետո սեղմել  [Դիտել Մուտքը]');
INSERT INTO `lang_definitions` VALUES (62435, 398, 13, 'Դրանից հետո Համապատասխանության սյունը կցուցադրի  ընտրված Հիվանդի նույնականացման տվյալները կամ  \"0\" նորն ստեղծելու համար');
INSERT INTO `lang_definitions` VALUES (62436, 399, 13, 'Ինֆորմացիան ճիշտ մուտք անելուց հետո սեղմել  \"Պահպանել\" կոճակը');
INSERT INTO `lang_definitions` VALUES (62437, 400, 13, 'Վերբեռնումից հետո սեղմել \"Ներկրել\" կոճակը');
INSERT INTO `lang_definitions` VALUES (62438, 404, 13, 'Վերականգնողական աշխատանքների պլանավորում');
INSERT INTO `lang_definitions` VALUES (62439, 406, 13, 'Կրկին');
INSERT INTO `lang_definitions` VALUES (62440, 407, 13, 'Տարիք');
INSERT INTO `lang_definitions` VALUES (62441, 409, 13, 'Տարիքը ըստ');
INSERT INTO `lang_definitions` VALUES (62442, 410, 13, 'Տարիքային կատեգորիա');
INSERT INTO `lang_definitions` VALUES (62443, 411, 13, 'Տարիքային տվյալները միջակայքից դուրս են');
INSERT INTO `lang_definitions` VALUES (62444, 412, 13, 'Տարիքի ցուցադրման ֆորմատ / ձև');
INSERT INTO `lang_definitions` VALUES (62445, 413, 13, 'Ձևաչափը՝ \"Տարիքը սկսած․․․\"  վավեր չէ');
INSERT INTO `lang_definitions` VALUES (62446, 414, 13, 'Ձևաչափը՝ \"Տարիքը մինչև․․․\"  վավեր չէ');
INSERT INTO `lang_definitions` VALUES (62447, 415, 13, 'Տարիքը սկսած');
INSERT INTO `lang_definitions` VALUES (62448, 417, 13, 'Մաքսիմալ տարիք');
INSERT INTO `lang_definitions` VALUES (62449, 418, 13, 'Մինիմալ տարիք');
INSERT INTO `lang_definitions` VALUES (62450, 419, 13, 'Տարիքային միջակայք/սանդղակ');
INSERT INTO `lang_definitions` VALUES (62451, 421, 13, 'Տարիքային սյուներ');
INSERT INTO `lang_definitions` VALUES (62452, 422, 13, 'Ական /Հրվ․ Գանայի բնակիչ/');
INSERT INTO `lang_definitions` VALUES (62453, 423, 13, 'Ալբանացի /Ալբաներեն');
INSERT INTO `lang_definitions` VALUES (62454, 424, 13, 'Ալկոհոլ');
INSERT INTO `lang_definitions` VALUES (62455, 426, 13, 'Ալկոհոլի ընդունում');
INSERT INTO `lang_definitions` VALUES (62456, 428, 13, 'Տագնապի հաշիվ');
INSERT INTO `lang_definitions` VALUES (62457, 434, 13, 'Տագնապի ժամ');
INSERT INTO `lang_definitions` VALUES (62458, 435, 13, 'Տագնապներ/Ծանուցումներ');
INSERT INTO `lang_definitions` VALUES (62459, 436, 13, 'Տագնապի մուտքեր/գրանցումներ');
INSERT INTO `lang_definitions` VALUES (62460, 437, 13, 'Տագնապ/Հիշեցումներ');
INSERT INTO `lang_definitions` VALUES (62461, 439, 13, 'Ալեուտ /Ալեուտյան Կղզի/');
INSERT INTO `lang_definitions` VALUES (62462, 440, 13, 'Բոլորը');
INSERT INTO `lang_definitions` VALUES (62463, 441, 13, 'ԲՈԼՈՐԸ');
INSERT INTO `lang_definitions` VALUES (62464, 443, 13, 'Բոլորը (Ա Ֆորմատով ընտրված)');
INSERT INTO `lang_definitions` VALUES (62465, 444, 13, 'Բոլորը (Բ Ֆորմատով ընտրված)');
INSERT INTO `lang_definitions` VALUES (62466, 445, 13, 'Բոլորը (Աժողական/ Ընդհանուր)');
INSERT INTO `lang_definitions` VALUES (62467, 446, 13, 'Բոլոր տագնապները');
INSERT INTO `lang_definitions` VALUES (62468, 447, 13, 'Բոլոր Ավտոմատացված Չափման Հաշվարկները /ԱՉՀ/');
INSERT INTO `lang_definitions` VALUES (62469, 448, 13, 'Բոլոր Կատեգորիաները');
INSERT INTO `lang_definitions` VALUES (62470, 449, 13, 'Կլինիկական Որակի Ցուցանիշներ /ԿՈՑ/');
INSERT INTO `lang_definitions` VALUES (62471, 450, 13, 'Բոլոր Կոդերը');
INSERT INTO `lang_definitions` VALUES (62472, 453, 13, 'Ամբողջ օրը');
INSERT INTO `lang_definitions` VALUES (62473, 454, 13, 'Շուրջօրյա իրադարձություն');
INSERT INTO `lang_definitions` VALUES (62474, 455, 13, 'Անձնական տվյալներով բոլոր դաշտերը՝ որոնման և  կրկնօրինակման ստուգումով');
INSERT INTO `lang_definitions` VALUES (62475, 457, 13, 'Բոլոր ծառայությունները');
INSERT INTO `lang_definitions` VALUES (62476, 458, 13, 'Բոլոր վնասվածքները/խնդիրնեը/ հարցերը');
INSERT INTO `lang_definitions` VALUES (62477, 459, 13, 'Բոլոր լեզուները թույլատրված են');
INSERT INTO `lang_definitions` VALUES (62478, 461, 13, 'Բոլոր Կլինիկական Որակի Ցուցանիշներ /ԿՈՑ/ Ցուցանիշների Խմբեր');
INSERT INTO `lang_definitions` VALUES (62479, 462, 13, 'Անունը կամ մի մասը');
INSERT INTO `lang_definitions` VALUES (62480, 463, 13, 'Ազգանունը կամ մի մասը');
INSERT INTO `lang_definitions` VALUES (62481, 464, 13, 'Ընկերության անունը կամ մի մասը');
INSERT INTO `lang_definitions` VALUES (62482, 466, 13, 'Բոլոր հիվանդները');
INSERT INTO `lang_definitions` VALUES (62483, 468, 13, 'Բոլոր ապրանքները');
INSERT INTO `lang_definitions` VALUES (62484, 469, 13, 'Բոլոր մատակարարները');
INSERT INTO `lang_definitions` VALUES (62485, 470, 13, 'Բոլոր վերանայվածներն ու բացասականները');
INSERT INTO `lang_definitions` VALUES (62486, 475, 13, 'Բոլոր թեմաները');
INSERT INTO `lang_definitions` VALUES (62487, 478, 13, 'Բոլոր օգտվողները');
INSERT INTO `lang_definitions` VALUES (62488, 479, 13, 'Ալերգիկ');
INSERT INTO `lang_definitions` VALUES (62489, 481, 13, 'Ալերգիա');
INSERT INTO `lang_definitions` VALUES (62490, 484, 13, 'Ալերգիա');
INSERT INTO `lang_definitions` VALUES (62491, 485, 13, 'Ալերգիա');
INSERT INTO `lang_definitions` VALUES (62492, 486, 13, 'Ալերգիայի ներկրումն հաջողությամբ կատարված է');
INSERT INTO `lang_definitions` VALUES (62493, 487, 13, 'Ալերգիկ խնդիրների ցանկ /');
INSERT INTO `lang_definitions` VALUES (62494, 488, 13, 'Ալերգիկ ռեակցիա');
INSERT INTO `lang_definitions` VALUES (62495, 489, 13, 'ԱԼԵՐԳԻԱՅԻ ՆԱԽԱԶԳՈՒՇԱՑՈՒՄ');
INSERT INTO `lang_definitions` VALUES (62496, 490, 13, 'Ալերգիային նախազգուշացում');
INSERT INTO `lang_definitions` VALUES (62497, 491, 13, 'Հատկացնել');
INSERT INTO `lang_definitions` VALUES (62498, 492, 13, 'Թույլատրել');
INSERT INTO `lang_definitions` VALUES (62499, 494, 13, 'Մուտքի մենյուում թույլատրել բոլոր հասանելի լեզուների  ընտրությունը');
INSERT INTO `lang_definitions` VALUES (62500, 496, 13, 'Թույլատրել ախտորոշում, բայց ոչ միջամտություն կամ  վճարում պարունակող պահանջի/բողոքի ստեղծում։  Կլինիկաների մեծ մասը չի ցանկանում դա։');
INSERT INTO `lang_definitions` VALUES (62501, 497, 13, 'Թույլատրել լեզվի կարգաբերումը');
INSERT INTO `lang_definitions` VALUES (62502, 500, 13, 'Թույլատրել էլ․փոստ');
INSERT INTO `lang_definitions` VALUES (62503, 501, 13, 'Թույլատրե՞լ էլ․ նամակներ');
INSERT INTO `lang_definitions` VALUES (62504, 502, 13, 'Թույլատրե՞լ էլ․փոստ');
INSERT INTO `lang_definitions` VALUES (62505, 503, 13, 'Թույլատրել անհապաղ հանդիպման պահանջ');
INSERT INTO `lang_definitions` VALUES (62506, 506, 13, 'Թույլատրել առողջական ինֆորմացիայի փոխանակում');
INSERT INTO `lang_definitions` VALUES (62507, 508, 13, 'Թույլատրել պատվաստման մասին ինֆորմացիայի  տարածում');
INSERT INTO `lang_definitions` VALUES (62508, 509, 13, 'Թույլատրել պատվաստման ռեեստրի օգտագործում');
INSERT INTO `lang_definitions` VALUES (62509, 512, 13, 'Թույլատրել Էլ․փոստով նամակների ուղարկումը');
INSERT INTO `lang_definitions` VALUES (62510, 531, 13, 'Թույլ է տալիս Պացիենտի շարժական պատուհանից դեղորայքի թեստավորման համար ընտրել Պացիենտ');
INSERT INTO `lang_definitions` VALUES (62511, 533, 13, 'Թույլատրել /Հասանելի դարձնել Հիվանդի պորտալը');
INSERT INTO `lang_definitions` VALUES (62512, 541, 13, 'Թույլատրել SMS հաղորդագրություն');
INSERT INTO `lang_definitions` VALUES (62513, 542, 13, 'Թույլատրել SMS /տեքստային/ հաղորդագրություն');
INSERT INTO `lang_definitions` VALUES (62514, 544, 13, 'Թույլատրե՞լ նշանակված միջոցարումների անհապաղ  ակտիվացում');
INSERT INTO `lang_definitions` VALUES (62515, 545, 13, 'Թույլատրե՞լ հեռախոսային հաղորդագրություն');
INSERT INTO `lang_definitions` VALUES (62516, 547, 13, 'Թույլատրել օգտվողներին հրապարակել Ընդհանուր/գլոբալ  իրադարձություններ');
INSERT INTO `lang_definitions` VALUES (62517, 548, 13, 'Թույլատրել օգտվողներին հրապարակել իրենց անձնական  օրացույցները');
INSERT INTO `lang_definitions` VALUES (62518, 554, 13, 'Թույլատրել ձայնային հաղորդակցություններ');
INSERT INTO `lang_definitions` VALUES (62519, 555, 13, 'Թույլատրված է');
INSERT INTO `lang_definitions` VALUES (62520, 556, 13, 'Թույլատրված լեզուներ');
INSERT INTO `lang_definitions` VALUES (62521, 558, 13, 'Թույլատրված է');
INSERT INTO `lang_definitions` VALUES (62522, 559, 13, 'Թույլատրվում է  էլ․ ստորագրություն ողջ հանդիպման վրա');
INSERT INTO `lang_definitions` VALUES (62523, 560, 13, 'Թույլատրվում է  էլ․ ստորագրություն անձնական բլանկների վրա');
INSERT INTO `lang_definitions` VALUES (62524, 561, 13, 'Թույլատրվում է էլ․փոստ');
INSERT INTO `lang_definitions` VALUES (62525, 562, 13, 'Թույլատրվում է ձայնային հաղորդագրություն');
INSERT INTO `lang_definitions` VALUES (62526, 566, 13, 'արդեն գոյություն ունի');
INSERT INTO `lang_definitions` VALUES (62527, 568, 13, 'արդեն գոյություն ունի․');
INSERT INTO `lang_definitions` VALUES (62528, 570, 13, 'Արդեն օգտագործվում է․ ընտրեք այլ նույնացուցիչ');
INSERT INTO `lang_definitions` VALUES (62529, 571, 13, 'Արդեն օգտագործվում է․ ընտրեք այլ վերնագիր');
INSERT INTO `lang_definitions` VALUES (62530, 573, 13, 'Այլընտրանքային հասցե');
INSERT INTO `lang_definitions` VALUES (62531, 577, 13, 'փոխել/այլ');
INSERT INTO `lang_definitions` VALUES (62532, 584, 13, 'Ինչպես նաև կարող եք օգտագործել որոնման էջը՝  վերբեռնելու համար վճարողից կամ հաշվարկային կենտրոնից  ստացված էլեկտրոնային վճարման ֆայլը (X12 835)։  Դա կարող եք անել՝ սեղմելով \"Browse\" կոճակը և ընտրելով  վերբեռնվող ֆայլը։ Այնուհետև վերբեռնումն իրականացնելու համապատասխան հաշիվ֊ապրանքագիրը ցուցադրելու  համար սեղմել Search․ Այս պարագայում վերը նշված այլ  պարամետրեր չեն ընդունվի և կոչնչացվեն։  Վերբեռնումը պահպանում է ֆայլը');
INSERT INTO `lang_definitions` VALUES (62533, 586, 13, 'մինչև կեսօր');
INSERT INTO `lang_definitions` VALUES (62534, 587, 13, 'առավոտյան ծրագիր');
INSERT INTO `lang_definitions` VALUES (62535, 592, 13, 'AMC');
INSERT INTO `lang_definitions` VALUES (62536, 593, 13, 'AMC Tracking');
INSERT INTO `lang_definitions` VALUES (62537, 594, 13, 'AMC-2011');
INSERT INTO `lang_definitions` VALUES (62538, 595, 13, 'AMC-2014');
INSERT INTO `lang_definitions` VALUES (62539, 596, 13, 'AMC-2014 Բաժին I');
INSERT INTO `lang_definitions` VALUES (62540, 597, 13, 'AMC-2014 Բաժին II');
INSERT INTO `lang_definitions` VALUES (62541, 600, 13, 'Ուղղել/փոփոխել առկա նշումները');
INSERT INTO `lang_definitions` VALUES (62542, 602, 13, 'Փոփոխություն՝ սկսած');
INSERT INTO `lang_definitions` VALUES (62543, 604, 13, 'Փոփոխության կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (62544, 605, 13, 'Փոփոխություններ');
INSERT INTO `lang_definitions` VALUES (62545, 609, 13, 'Փոփոխություններ ֊ի համար');
INSERT INTO `lang_definitions` VALUES (62546, 610, 13, 'Ամերիկյան հնդիկ');
INSERT INTO `lang_definitions` VALUES (62547, 611, 13, 'Ամերիկյան հնդիկ կամ Ալյասկայի բնիկ');
INSERT INTO `lang_definitions` VALUES (62548, 612, 13, 'Ամերիկյան Էքսպրես քարտ');
INSERT INTO `lang_definitions` VALUES (62549, 613, 13, 'Ամհարերեն');
INSERT INTO `lang_definitions` VALUES (62550, 614, 13, 'Գումար');
INSERT INTO `lang_definitions` VALUES (62551, 617, 13, 'Վերջնական գանձումներ');
INSERT INTO `lang_definitions` VALUES (62552, 620, 13, 'Անցած հաշվետվության գումարը');
INSERT INTO `lang_definitions` VALUES (62553, 621, 13, 'Սույն այցի գումարը');
INSERT INTO `lang_definitions` VALUES (62554, 622, 13, 'Վճարված գումար');
INSERT INTO `lang_definitions` VALUES (62555, 623, 13, 'Ընդհանուր գումար։');
INSERT INTO `lang_definitions` VALUES (62556, 626, 13, 'Ընդհանուր վճար։');
INSERT INTO `lang_definitions` VALUES (62557, 630, 13, 'Կրկնակի իրադարձության համար անհրաժեշտ է, որ ավարտման օրը մեկնարկի օրից ավելի ուշ լինի։');
INSERT INTO `lang_definitions` VALUES (62558, 631, 13, 'Ձևաթուղթն ստորագրելու պահին սխալ է տեղի ունեցել');
INSERT INTO `lang_definitions` VALUES (62559, 632, 13, 'OpenEMR֊ի վեբ֊կատալոգը բեռնաթափելիս սխալ է տեղի ունեցել');
INSERT INTO `lang_definitions` VALUES (62560, 633, 13, 'phpGACL֊ի վեբ֊կատալոգը բեռնաթափելիս սխալ է տեղի ունեցել');
INSERT INTO `lang_definitions` VALUES (62561, 634, 13, 'SQL-Ledger֊ի վեբ֊կատալոգը բեռնաթափելիս սխալ է տեղի  ունեցել');
INSERT INTO `lang_definitions` VALUES (62562, 638, 13, 'ստեղծվել ու  հղում է տրվել  անլիարժեք GCAC խնդիր');
INSERT INTO `lang_definitions` VALUES (62563, 643, 13, 'Անհայտ սխալ․ կապ հաստատեք ցանցային ադմինիստրատորի հետ');
INSERT INTO `lang_definitions` VALUES (62564, 644, 13, 'Անսպասելի  սխալ');
INSERT INTO `lang_definitions` VALUES (62565, 646, 13, 'Մեծատառ');
INSERT INTO `lang_definitions` VALUES (62566, 647, 13, 'վերլուծել');
INSERT INTO `lang_definitions` VALUES (62567, 648, 13, 'և');
INSERT INTO `lang_definitions` VALUES (62568, 649, 13, 'և');
INSERT INTO `lang_definitions` VALUES (62569, 650, 13, 'ԵՎ');
INSERT INTO `lang_definitions` VALUES (62570, 651, 13, 'և');
INSERT INTO `lang_definitions` VALUES (62571, 652, 13, 'և բոլո՞ր ստորադաս տվյալները։ Այս գործողությունը  կմուտքագրվի/մուտք կգործի');
INSERT INTO `lang_definitions` VALUES (62572, 653, 13, 'եվ մոդիֆիկատոր');
INSERT INTO `lang_definitions` VALUES (62573, 654, 13, 'եվ մշակված է');
INSERT INTO `lang_definitions` VALUES (62574, 656, 13, 'եվ վերաբեռնեք Apache սերվերը');
INSERT INTO `lang_definitions` VALUES (62575, 657, 13, 'եվ պատճառն է');
INSERT INTO `lang_definitions` VALUES (62576, 659, 13, 'անեմիա');
INSERT INTO `lang_definitions` VALUES (62577, 660, 13, 'կոճ');
INSERT INTO `lang_definitions` VALUES (62578, 661, 13, 'գարշապար + կոճ');
INSERT INTO `lang_definitions` VALUES (62579, 662, 13, 'կոճի գնահատման ձեվ');
INSERT INTO `lang_definitions` VALUES (62580, 663, 13, 'կոճի խնդիրներ');
INSERT INTO `lang_definitions` VALUES (62581, 666, 13, 'անորեքսիա');
INSERT INTO `lang_definitions` VALUES (62582, 671, 13, 'դրույք');
INSERT INTO `lang_definitions` VALUES (62583, 676, 13, 'անալ սֆինքթերի տոնուսը նորմալ է,անցավ, ուռուցքային գոյաթություններ չկան');
INSERT INTO `lang_definitions` VALUES (62584, 677, 13, 'անհանգստություն');
INSERT INTO `lang_definitions` VALUES (62585, 679, 13, 'այլ');
INSERT INTO `lang_definitions` VALUES (62586, 682, 13, 'այլ աստիճան');
INSERT INTO `lang_definitions` VALUES (62587, 688, 13, 'փնտրվող կոդի որեւէ մաս կամ նրա նկարագրությունը');
INSERT INTO `lang_definitions` VALUES (62588, 689, 13, 'փնտրվող մասնագիտության որեւէ մաս');
INSERT INTO `lang_definitions` VALUES (62589, 690, 13, 'դեղամիջոցի նույնականացման սերիայի մի մասը կամ դրա անվանումը');
INSERT INTO `lang_definitions` VALUES (62590, 691, 13, 'պատվաստման նույնականացման սերիայի մի մասը կամ պատվաստման անվանումը');
INSERT INTO `lang_definitions` VALUES (62591, 692, 13, 'Հիվանդի անվան մի մասը, կամ  \"ազգանուն, անուն\", կամ \"Ի-Ա\"');
INSERT INTO `lang_definitions` VALUES (62592, 693, 13, 'Այլ համապատասխան ինֆորմցիա');
INSERT INTO `lang_definitions` VALUES (62593, 699, 13, 'API բանալի կոդ կարճ հաղորդագրության մուտքի համար');
INSERT INTO `lang_definitions` VALUES (62594, 703, 13, 'ԱՊՆԵԱ /շնչառության կանգ/');
INSERT INTO `lang_definitions` VALUES (62595, 710, 13, 'Արտաքին տեսք');
INSERT INTO `lang_definitions` VALUES (62596, 711, 13, 'Արտաքին տեսք։');
INSERT INTO `lang_definitions` VALUES (62597, 714, 13, 'Կցել սույն գրառումը');
INSERT INTO `lang_definitions` VALUES (62598, 716, 13, 'Կցել առկա գրառմանը');
INSERT INTO `lang_definitions` VALUES (62599, 717, 13, 'Կցել սույն գրառմանը');
INSERT INTO `lang_definitions` VALUES (62600, 718, 13, 'Կցել Սույն Գրառմանը');
INSERT INTO `lang_definitions` VALUES (62601, 719, 13, 'Ապպենդեկտոմիա /կույր աղիքի հեռացում/');
INSERT INTO `lang_definitions` VALUES (62602, 720, 13, 'ապպենդեկտոմիա /կույր աղիքի հեռացում/');
INSERT INTO `lang_definitions` VALUES (62603, 721, 13, 'Համապատասխան Հիվանդ');
INSERT INTO `lang_definitions` VALUES (62604, 722, 13, 'Դիմում/Հայտ');
INSERT INTO `lang_definitions` VALUES (62605, 723, 13, 'Հայտի անվանում՝ մուտքի էջի գլխավոր պատուհանի վերնգրի համար');
INSERT INTO `lang_definitions` VALUES (62606, 724, 13, 'Հայտ ընդունողի կոդը (GS03 - եթե դատարկ ISA08 օգտագործվի)');
INSERT INTO `lang_definitions` VALUES (62607, 725, 13, 'Հայտ  Ուղարկողի կոդը (GS02)');
INSERT INTO `lang_definitions` VALUES (62608, 726, 13, 'Հայտի վերնագիրը');
INSERT INTO `lang_definitions` VALUES (62609, 727, 13, 'Վերաբերվում է կենսական օրգանների ցուցանիշներին կամ Աճի գրաֆիկին');
INSERT INTO `lang_definitions` VALUES (62610, 728, 13, 'Վերաբերվում է կենսական օրգանների ցուցանիշներին');
INSERT INTO `lang_definitions` VALUES (62611, 729, 13, 'Ավելացնել փոփոխությունները միայն ընթացիկ իրադարձությանը, այս և առաջիկա բոլոր իրադարձություններին');
INSERT INTO `lang_definitions` VALUES (62612, 730, 13, 'տարածել տուժած հատվածների վրա');
INSERT INTO `lang_definitions` VALUES (62613, 731, 13, 'տարածել մաշկին');
INSERT INTO `lang_definitions` VALUES (62614, 732, 13, 'Կիրառում/Տարածում/Դիմում');
INSERT INTO `lang_definitions` VALUES (62615, 734, 13, 'Այցելություն');
INSERT INTO `lang_definitions` VALUES (62616, 736, 13, 'Այցելության ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (62617, 742, 13, 'Այցելության էկրանավորման ձև');
INSERT INTO `lang_definitions` VALUES (62618, 744, 13, 'Այցելության հիշեցման կարգ');
INSERT INTO `lang_definitions` VALUES (62619, 746, 13, 'Այցելության կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (62620, 747, 13, 'Այցելության կարգավիճակներ');
INSERT INTO `lang_definitions` VALUES (62621, 748, 13, 'Այցելություններ ֊ի ընթացքում/շրջանակներում');
INSERT INTO `lang_definitions` VALUES (62622, 749, 13, 'Այցելության/Իրադարձության Գույն');
INSERT INTO `lang_definitions` VALUES (62623, 750, 13, 'Այցելություններ');
INSERT INTO `lang_definitions` VALUES (62624, 751, 13, 'Այցելություններ (նշել ըստ ցանկության)');
INSERT INTO `lang_definitions` VALUES (62625, 752, 13, 'Այցելություններ (նշել ըստ ցանկության)');
INSERT INTO `lang_definitions` VALUES (62626, 758, 13, 'Այցելություններ և հանդիպումներ');
INSERT INTO `lang_definitions` VALUES (62627, 760, 13, 'Այցելությունների Հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (62628, 761, 13, 'Այցելություններ և հանդիպումների հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (62629, 763, 13, 'Ֆարինգիտով հիվանդ երեխաների համապատասխան/հատուկ թեստավորում');
INSERT INTO `lang_definitions` VALUES (62630, 764, 13, 'Հաստատել');
INSERT INTO `lang_definitions` VALUES (62631, 767, 13, 'Հաստատված է');
INSERT INTO `lang_definitions` VALUES (62632, 768, 13, 'Հաստատված միջոցառումների կառավարում');
INSERT INTO `lang_definitions` VALUES (62633, 769, 13, 'Հաջողությամբ հաստատված է');
INSERT INTO `lang_definitions` VALUES (62634, 773, 13, 'Այցի/Հանդիպման ժամ');
INSERT INTO `lang_definitions` VALUES (62635, 774, 13, 'Այց֊հանդ․');
INSERT INTO `lang_definitions` VALUES (62636, 776, 13, 'Այցեր');
INSERT INTO `lang_definitions` VALUES (62637, 779, 13, 'Ապր');
INSERT INTO `lang_definitions` VALUES (62638, 780, 13, 'Ապրիլ');
INSERT INTO `lang_definitions` VALUES (62639, 782, 13, 'Արաբերեն');
INSERT INTO `lang_definitions` VALUES (62640, 783, 13, 'Արագոներեն');
INSERT INTO `lang_definitions` VALUES (62641, 784, 13, 'Արխիվ');
INSERT INTO `lang_definitions` VALUES (62642, 787, 13, 'Թարգմանե՞լ մուտքի վերահսկման խմբերի անունները');
INSERT INTO `lang_definitions` VALUES (62643, 788, 13, 'Թարգմանե՞լ այցելությունների կատեգորիաների անունները');
INSERT INTO `lang_definitions` VALUES (62644, 789, 13, 'Թարգմանե՞լ փաստաթղթերի կատեգորիաների անունները');
INSERT INTO `lang_definitions` VALUES (62645, 790, 13, 'Այս տիպի համար գանձումներ կատարվե՞լ են');
INSERT INTO `lang_definitions` VALUES (62646, 793, 13, 'Թարգմանե՞լ Հիվանդի գրառումների վերնագրերը');
INSERT INTO `lang_definitions` VALUES (62647, 794, 13, 'Այս կոդավորումները պահպանվա՞ծ են sql (0-нет, 1-МКБ-10, 2-SNOMED(RF1), 3-SNOMED(RF2)) արտաքին աղյուսակներում։');
INSERT INTO `lang_definitions` VALUES (62648, 795, 13, 'Պատրա՞ստ եք այս այցին լուծել նոր GCAC խնդիր');
INSERT INTO `lang_definitions` VALUES (62649, 797, 13, 'Վստա՞հ եք, որ/իսկապե՞ս/ ցանկանում եք նշանակել այսօրվա համար');
INSERT INTO `lang_definitions` VALUES (62650, 798, 13, 'Վստա՞հ եք, որ ցանկանում եք հաստատել այս իրադարձությունները');
INSERT INTO `lang_definitions` VALUES (62651, 801, 13, 'Վստա՞հ եք, որ/իսկապե՞ս/  ցանկանում եք ամբողջովին հեռացնել այս ձևը');
INSERT INTO `lang_definitions` VALUES (62652, 803, 13, 'Վստա՞հ եք, որ/իսկապե՞ս/  ցանկանում եք ջնջել');
INSERT INTO `lang_definitions` VALUES (62653, 804, 13, 'Վստա՞հ եք, որ/իսկապե՞ս/  ցանկանում եք ջնջել այս բացահայտումը');
INSERT INTO `lang_definitions` VALUES (62654, 805, 13, 'Վստա՞հ եք, որ /իսկապե՞ս/  ցանկանում եք ջնջել այս իրադարձությունը');
INSERT INTO `lang_definitions` VALUES (62655, 806, 13, 'Վստա՞հ եք, որ /իսկապե՞ս/  ցանկանում եք ջնջել այս կետը տվյալների բազայից');
INSERT INTO `lang_definitions` VALUES (62656, 808, 13, 'Վստա՞հ եք, որ /իսկապե՞ս/  ցանկանում եք ջնջել այս գրառումը');
INSERT INTO `lang_definitions` VALUES (62657, 809, 13, 'Վստա՞հ եք, որ /իսկապե՞ս/  ցանկանում եք ջնջել այս պլանը');
INSERT INTO `lang_definitions` VALUES (62658, 810, 13, 'Վստա՞հ եք, որ /իսկապե՞ս/  ցանկանում եք խմբագրել այս իրադարձությունները');
INSERT INTO `lang_definitions` VALUES (62659, 811, 13, 'Վստա՞հ եք, որ /իսկապե՞ս/ ցանկանում եք քողարկել/թաքցնել այս իրադարձությունները');
INSERT INTO `lang_definitions` VALUES (62660, 813, 13, 'Վստա՞հ եք, որ /իսկապե՞ս/ ցանկանում եք կրկին փոխանցել այն');
INSERT INTO `lang_definitions` VALUES (62661, 814, 13, 'Վստա՞հ եք, որ /իսկապե՞ս/  ցանկանում եք տեսնել այս իրադարձությունները');
INSERT INTO `lang_definitions` VALUES (62662, 815, 13, 'Վստա՞հ եք, որ /իսկապե՞ս/ ցանկանում եք ջնջել ողջ խումբը');
INSERT INTO `lang_definitions` VALUES (62663, 816, 13, 'Վստա՞հ եք, որ /իսկապե՞ս/ ցանկանում եք ջնջել ողջ ցանկը');
INSERT INTO `lang_definitions` VALUES (62664, 817, 13, 'Վստա՞հ եք, որ  /իսկապե՞ս/ ցանկանում եք ջնջել դաշտը');
INSERT INTO `lang_definitions` VALUES (62665, 818, 13, 'Վստա՞հ եք, որ  /իսկապե՞ս/ ցանկանում եք ջնջել նշված դաշտերը');
INSERT INTO `lang_definitions` VALUES (62666, 819, 13, 'Դուք իսկապե՞ս ցանկանում եք շարունակել այս գործողությունները');
INSERT INTO `lang_definitions` VALUES (62667, 820, 13, 'Տարածքը նշված չէ');
INSERT INTO `lang_definitions` VALUES (62668, 821, 13, 'Բազուկ');
INSERT INTO `lang_definitions` VALUES (62669, 822, 13, 'Հայերեն');
INSERT INTO `lang_definitions` VALUES (62670, 826, 13, 'Ընդունման ժամ');
INSERT INTO `lang_definitions` VALUES (62671, 829, 13, 'Առիթմիա');
INSERT INTO `lang_definitions` VALUES (62672, 830, 13, 'Արտրիտ');
INSERT INTO `lang_definitions` VALUES (62673, 831, 13, 'Արտրիտ / հոդերի դեստրուկտիվ հիվանդություն');
INSERT INTO `lang_definitions` VALUES (62674, 832, 13, 'Արտրիտ / հոդերի դեստրուկտիվ հիվանդություն');
INSERT INTO `lang_definitions` VALUES (62675, 836, 13, 'ինչպես');
INSERT INTO `lang_definitions` VALUES (62676, 838, 13, 'ինչպես ֊ի/ց/');
INSERT INTO `lang_definitions` VALUES (62677, 845, 13, 'Ասիական');
INSERT INTO `lang_definitions` VALUES (62678, 846, 13, 'Ասամերեն');
INSERT INTO `lang_definitions` VALUES (62679, 847, 13, 'Պենիցիլինի նկատմամբ ալերգիայի գնահատում');
INSERT INTO `lang_definitions` VALUES (62680, 848, 13, 'Գնահատում');
INSERT INTO `lang_definitions` VALUES (62681, 853, 13, 'Նշանակված է');
INSERT INTO `lang_definitions` VALUES (62682, 854, 13, 'Ասիստենտ');
INSERT INTO `lang_definitions` VALUES (62683, 861, 13, 'Ասթմա');
INSERT INTO `lang_definitions` VALUES (62684, 862, 13, '֊ում/կողքը/֊ին');
INSERT INTO `lang_definitions` VALUES (62685, 863, 13, '\"Բոլորը\" ընտրելու դեպքում անհրաժեշտ է որոնման  առնավազն մեկ պարամետր');
INSERT INTO `lang_definitions` VALUES (62686, 868, 13, 'Սպորտային թիմ');
INSERT INTO `lang_definitions` VALUES (62687, 869, 13, 'Սպորտային Թիմ');
INSERT INTO `lang_definitions` VALUES (62688, 870, 13, 'Սպորտային/վնասվածք');
INSERT INTO `lang_definitions` VALUES (62689, 871, 13, 'ATNA աուդիտի CA վկայական');
INSERT INTO `lang_definitions` VALUES (62690, 872, 13, 'ATNA աուդիտի սերվեր');
INSERT INTO `lang_definitions` VALUES (62691, 873, 13, 'ATNA աուդիտի տեղական/տարածքային վկայական');
INSERT INTO `lang_definitions` VALUES (62692, 874, 13, 'ATNA աուդիտի պորտ');
INSERT INTO `lang_definitions` VALUES (62693, 876, 13, 'Բուժող բժիշկ');
INSERT INTO `lang_definitions` VALUES (62694, 877, 13, 'Ուշադրություն');
INSERT INTO `lang_definitions` VALUES (62695, 879, 13, 'Ուշադր․');
INSERT INTO `lang_definitions` VALUES (62696, 881, 13, 'Audiological physician');
INSERT INTO `lang_definitions` VALUES (62697, 883, 13, 'Audit CDR Engine Queries');
INSERT INTO `lang_definitions` VALUES (62698, 885, 13, 'Audit Log Tamper');
INSERT INTO `lang_definitions` VALUES (62699, 886, 13, 'Audit Log Tamper Report');
INSERT INTO `lang_definitions` VALUES (62700, 890, 13, 'Պահեստային կրկնօրինակումների գրանցման աուդիտ');
INSERT INTO `lang_definitions` VALUES (62701, 891, 13, 'Խառը գրանցումների աուդիտ');
INSERT INTO `lang_definitions` VALUES (62702, 892, 13, 'Նշանակման վայրի գրանցումների աուդիտ');
INSERT INTO `lang_definitions` VALUES (62703, 893, 13, 'Հիվանդի գրանցման աուդիտ');
INSERT INTO `lang_definitions` VALUES (62704, 894, 13, 'Պլանավորման գրանցումների աուդիտ');
INSERT INTO `lang_definitions` VALUES (62705, 895, 13, 'Անվտանգության կառավարման գրանցումների աուդիտ');
INSERT INTO `lang_definitions` VALUES (62706, 896, 13, 'SELECT/Ընտրել հարցման գրանցումների աուդիտ');
INSERT INTO `lang_definitions` VALUES (62707, 898, 13, 'Օգս․');
INSERT INTO `lang_definitions` VALUES (62708, 899, 13, 'Օգոստոս');
INSERT INTO `lang_definitions` VALUES (62709, 900, 13, 'Մորաքույր/Հորաքույր');
INSERT INTO `lang_definitions` VALUES (62710, 901, 13, 'թույլ․');
INSERT INTO `lang_definitions` VALUES (62711, 902, 13, 'թույլ․/գրառումներ');
INSERT INTO `lang_definitions` VALUES (62712, 918, 13, 'Իսկորոշող');
INSERT INTO `lang_definitions` VALUES (62713, 920, 13, 'Հեղինակ');
INSERT INTO `lang_definitions` VALUES (62714, 922, 13, 'Լիազորող խումբ');
INSERT INTO `lang_definitions` VALUES (62715, 923, 13, 'Լիազորման/թույլտվության կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (62716, 924, 13, 'Լիազորագրեր');
INSERT INTO `lang_definitions` VALUES (62717, 925, 13, 'Լիազորել/թույլատրել');
INSERT INTO `lang_definitions` VALUES (62718, 926, 13, 'Թույլատրել ցանկացած հանդիպում');
INSERT INTO `lang_definitions` VALUES (62719, 928, 13, 'Թույլատրել իմ հանդիպումները');
INSERT INTO `lang_definitions` VALUES (62720, 933, 13, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (62721, 934, 13, 'Լիազորված');
INSERT INTO `lang_definitions` VALUES (62722, 936, 13, 'Միայն լիազորված');
INSERT INTO `lang_definitions` VALUES (62723, 941, 13, 'Ավտոմատ  ուղարկում');
INSERT INTO `lang_definitions` VALUES (62724, 942, 13, 'Ավտոմոտ ելք [օրեր]');
INSERT INTO `lang_definitions` VALUES (62725, 943, 13, 'Ավտոմատ փոխանցում');
INSERT INTO `lang_definitions` VALUES (62726, 944, 13, 'Ավտոմատ կերպով ստեղծել նոր հանդիպում');
INSERT INTO `lang_definitions` VALUES (62727, 945, 13, 'Ավտոմատ ստեղծում');
INSERT INTO `lang_definitions` VALUES (62728, 947, 13, 'Չափման միավորի ավտոմատ հաշվարկում');
INSERT INTO `lang_definitions` VALUES (62729, 948, 13, 'Չափման միավորի ավտոմատ հաշվարկում   - 2011');
INSERT INTO `lang_definitions` VALUES (62730, 949, 13, 'Չափման միավորի ավտոմատ հաշվարկում - 2014');
INSERT INTO `lang_definitions` VALUES (62731, 950, 13, 'Չափման միավորի ավտոմատ հաշվարկում - 2014 Բաժին 1');
INSERT INTO `lang_definitions` VALUES (62732, 951, 13, 'Չափման միավորի ավտոմատ հաշվարկում - 2014 Բաժին 2');
INSERT INTO `lang_definitions` VALUES (62733, 952, 13, 'Չափման միավորի ավտոմատ հաշվարկման հետևում');
INSERT INTO `lang_definitions` VALUES (62734, 953, 13, 'Ավտոմատ չափման միավոր');
INSERT INTO `lang_definitions` VALUES (62735, 955, 13, 'Ավտոմատ');
INSERT INTO `lang_definitions` VALUES (62736, 959, 13, 'Ավտոմատ ստեղծում է նոր հանդիպում, երբ այցելության կարգավիճակը դրված է \"@\" (անցկացված է)');
INSERT INTO `lang_definitions` VALUES (62737, 964, 13, 'ավտոմատ պահպանված');
INSERT INTO `lang_definitions` VALUES (62738, 967, 13, 'Հասանելի կատեգորիաներ');
INSERT INTO `lang_definitions` VALUES (62739, 971, 13, 'Հասանելի ժամ');
INSERT INTO `lang_definitions` VALUES (62740, 972, 13, 'Հասանելի ճանապարհ');
INSERT INTO `lang_definitions` VALUES (62741, 973, 13, 'Ավարական');
INSERT INTO `lang_definitions` VALUES (62742, 976, 13, 'Միջին  ամսական');
INSERT INTO `lang_definitions` VALUES (62743, 980, 13, 'Անջատում / կոտրվածքով անջատում');
INSERT INTO `lang_definitions` VALUES (62744, 981, 13, 'Ոտնաթաթի կողային կոճի կոտրվածք');
INSERT INTO `lang_definitions` VALUES (62745, 982, 13, 'Ոտնաթաթի միջնային կոճի կոտրվածք');
INSERT INTO `lang_definitions` VALUES (62746, 983, 13, 'Տեղեկացվածության հիման վրա');
INSERT INTO `lang_definitions` VALUES (62747, 985, 13, 'թևատակի');
INSERT INTO `lang_definitions` VALUES (62748, 992, 13, 'օրը երկու անգամ');
INSERT INTO `lang_definitions` VALUES (62749, 993, 13, 'Հետ');
INSERT INTO `lang_definitions` VALUES (62750, 994, 13, 'հետ');
INSERT INTO `lang_definitions` VALUES (62751, 995, 13, 'Հետ գնալ ութ այցելություն');
INSERT INTO `lang_definitions` VALUES (62752, 996, 13, 'Հետ գնալ տասնմեկ այցելություն');
INSERT INTO `lang_definitions` VALUES (62753, 997, 13, 'Հետ գնալ հինգ այցելություն');
INSERT INTO `lang_definitions` VALUES (62754, 998, 13, 'Հետ գնալ չորս այցելություն');
INSERT INTO `lang_definitions` VALUES (62755, 999, 13, 'Հետ գնալ ինը այցելություն');
INSERT INTO `lang_definitions` VALUES (62756, 1000, 13, 'Հետ գնալ մեկ այցելություն');
INSERT INTO `lang_definitions` VALUES (62757, 1001, 13, 'Մեջքի ցավ / Ցավ մեջքի շրջանում');
INSERT INTO `lang_definitions` VALUES (62758, 1002, 13, 'Ողնաշարային խնդիրներ');
INSERT INTO `lang_definitions` VALUES (62759, 1003, 13, 'Հետ գնալ յոթ այցելություն');
INSERT INTO `lang_definitions` VALUES (62760, 1004, 13, 'Հետ գնալ վեց այցելություն');
INSERT INTO `lang_definitions` VALUES (62761, 1005, 13, 'Ողնաշարի վիրահատություն');
INSERT INTO `lang_definitions` VALUES (62762, 1006, 13, 'Հետ գնալ տասը այցելություն');
INSERT INTO `lang_definitions` VALUES (62763, 1007, 13, 'Հետ գնալ երեք այցելություն');
INSERT INTO `lang_definitions` VALUES (62764, 1008, 13, 'Վերադառնալ Ադմինիստրատորի էջ');
INSERT INTO `lang_definitions` VALUES (62765, 1011, 13, 'Վերադառնալ Հանդիպում էջ');
INSERT INTO `lang_definitions` VALUES (62766, 1012, 13, 'Վերադառնալ Հիվանդ էջ');
INSERT INTO `lang_definitions` VALUES (62767, 1013, 13, 'Վերադառնալ Հիվանդ էջ');
INSERT INTO `lang_definitions` VALUES (62768, 1015, 13, 'Վերադառնալ Օգտվողներ էջ');
INSERT INTO `lang_definitions` VALUES (62769, 1016, 13, 'Վերադառնալ Դիտարկում էջ');
INSERT INTO `lang_definitions` VALUES (62770, 1017, 13, 'Հետ գնալ տասներկու այցելություն');
INSERT INTO `lang_definitions` VALUES (62771, 1018, 13, 'Հետ գնալ երկու այցելություն');
INSERT INTO `lang_definitions` VALUES (62772, 1020, 13, 'Պահեստային կրկնօրինակ');
INSERT INTO `lang_definitions` VALUES (62773, 1022, 13, 'Պահեստային կրկնօրինակի ֆայլը պատրաստ է։ Հիմա կուղարկվի ներբեռնումը։');
INSERT INTO `lang_definitions` VALUES (62774, 1023, 13, 'Պահեստային կրկնօրինակների ցանկ');
INSERT INTO `lang_definitions` VALUES (62775, 1024, 13, 'Պահեստային կրկնօրինակն ընդունված է');
INSERT INTO `lang_definitions` VALUES (62776, 1025, 13, 'Սխալ գրանցում');
INSERT INTO `lang_definitions` VALUES (62777, 1026, 13, 'Անհուսալի պարտք');
INSERT INTO `lang_definitions` VALUES (62778, 1027, 13, 'Բահասա Ինդոնեզիա');
INSERT INTO `lang_definitions` VALUES (62779, 1028, 13, 'Բալ․');
INSERT INTO `lang_definitions` VALUES (62780, 1031, 13, 'Մնացորդ');
INSERT INTO `lang_definitions` VALUES (62781, 1032, 13, 'մնացորդ');
INSERT INTO `lang_definitions` VALUES (62782, 1033, 13, 'Վերջնական մնացորդ');
INSERT INTO `lang_definitions` VALUES (62783, 1034, 13, 'Պարտքի մնացորդ');
INSERT INTO `lang_definitions` VALUES (62784, 1038, 13, 'Բանկային գործարք');
INSERT INTO `lang_definitions` VALUES (62785, 1039, 13, 'Շտրիխ֊կոդի պիտակ');
INSERT INTO `lang_definitions` VALUES (62786, 1040, 13, 'Շտրիխ֊կոդի պիտակի ձև');
INSERT INTO `lang_definitions` VALUES (62787, 1042, 13, 'Հինգերորդ (5֊րդ) Metarsal֊ի բազա');
INSERT INTO `lang_definitions` VALUES (62788, 1043, 13, 'Հինգերորդ (5֊րդ) Metarsal֊ի բազա');
INSERT INTO `lang_definitions` VALUES (62789, 1047, 13, 'Բաշկիրերեն');
INSERT INTO `lang_definitions` VALUES (62790, 1049, 13, 'Բասկերեն');
INSERT INTO `lang_definitions` VALUES (62791, 1051, 13, 'Տվյալների խմբային/փաթեթային փոխանցման միջոց');
INSERT INTO `lang_definitions` VALUES (62792, 1053, 13, 'Խմբային վճարման մուտքագրում');
INSERT INTO `lang_definitions` VALUES (62793, 1054, 13, 'Խմբային վճարում');
INSERT INTO `lang_definitions` VALUES (62794, 1055, 13, 'Փաթեթի մշակումն սկսված է․ այն ի փոքր ժամանակ կխլի');
INSERT INTO `lang_definitions` VALUES (62795, 1056, 13, 'Խմբային արդյունքներ');
INSERT INTO `lang_definitions` VALUES (62796, 1057, 13, 'Խմբային փոխանցում');
INSERT INTO `lang_definitions` VALUES (62797, 1060, 13, 'Ուշադրություն․ որոշ ֆայլերի գործարկումը կարող է մի քանի րոպե տևել');
INSERT INTO `lang_definitions` VALUES (62798, 1063, 13, 'որովհետև այս ID֊ն գոյություն չունի');
INSERT INTO `lang_definitions` VALUES (62799, 1072, 13, 'Սկիզբ');
INSERT INTO `lang_definitions` VALUES (62800, 1074, 13, 'Սկզբնական ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (62801, 1077, 13, 'Ծառայության մատուցման սկզբնական ամսաթիվ yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (62802, 1078, 13, 'Օրացույցային գործողությունների սկզբնական ժամ');
INSERT INTO `lang_definitions` VALUES (62803, 1081, 13, 'Բելառուսերեն');
INSERT INTO `lang_definitions` VALUES (62804, 1086, 13, 'Բենգալյան');
INSERT INTO `lang_definitions` VALUES (62805, 1089, 13, 'միջև');
INSERT INTO `lang_definitions` VALUES (62806, 1091, 13, 'Երկկողմանի');
INSERT INTO `lang_definitions` VALUES (62807, 1094, 13, 'Բիհարերեն');
INSERT INTO `lang_definitions` VALUES (62808, 1095, 13, 'Երկկողմանի');
INSERT INTO `lang_definitions` VALUES (62809, 1096, 13, 'Երկկողմանի։');
INSERT INTO `lang_definitions` VALUES (62810, 1098, 13, 'Վճարման/Հաշվեգրման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (62811, 1099, 13, 'Հաշվի/Հաշվարկման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (62812, 1101, 13, 'Հաշիվ / Հաշվեգրում');
INSERT INTO `lang_definitions` VALUES (62813, 1102, 13, 'Վճարված');
INSERT INTO `lang_definitions` VALUES (62814, 1103, 13, 'Վճարման/Հաշվեգրման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (62815, 1104, 13, 'Հաշիվներ');
INSERT INTO `lang_definitions` VALUES (62816, 1105, 13, 'Հաշիվներ  (write պարտադիր չէ)');
INSERT INTO `lang_definitions` VALUES (62817, 1109, 13, 'Վճարման նախազգուշացում');
INSERT INTO `lang_definitions` VALUES (62818, 1110, 13, 'Վճարման/Հաշվեգրման կոդի նկարագրություն');
INSERT INTO `lang_definitions` VALUES (62819, 1111, 13, 'Պահանջվող ծառայության վճարման կոդ');
INSERT INTO `lang_definitions` VALUES (62820, 1112, 13, 'Վճարման կոդեր');
INSERT INTO `lang_definitions` VALUES (62821, 1113, 13, 'Վճարման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (62822, 1114, 13, 'Վճարման բաժին');
INSERT INTO `lang_definitions` VALUES (62823, 1115, 13, 'Վճարման ծառայություններ');
INSERT INTO `lang_definitions` VALUES (62824, 1117, 13, 'Տեղեկություններ հաշիվների մասին /Վճաման ինֆորմացիա');
INSERT INTO `lang_definitions` VALUES (62825, 1118, 13, 'Վճարման վայրը');
INSERT INTO `lang_definitions` VALUES (62826, 1125, 13, 'Վճարումների կառավարիչ');
INSERT INTO `lang_definitions` VALUES (62827, 1126, 13, 'Վճարման ծանուցում');
INSERT INTO `lang_definitions` VALUES (62828, 1127, 13, 'Վճարման ծանուցում ֊ի համար');
INSERT INTO `lang_definitions` VALUES (62829, 1128, 13, 'Վճարման ծանուցում');
INSERT INTO `lang_definitions` VALUES (62830, 1130, 13, 'Վճարումների/հաշիվների հարցման արդյունքներ։');
INSERT INTO `lang_definitions` VALUES (62831, 1131, 13, 'Վճարումների/հաշիվների հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (62832, 1132, 13, 'Հաշվի  կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (62833, 1133, 13, 'Հաշվի  կարգավիճակ՝ վճարված  չէ');
INSERT INTO `lang_definitions` VALUES (62834, 1134, 13, 'Հաշիվ');
INSERT INTO `lang_definitions` VALUES (62835, 1135, 13, 'Հաշվի դիտում');
INSERT INTO `lang_definitions` VALUES (62836, 1138, 13, 'Բիոպսիա');
INSERT INTO `lang_definitions` VALUES (62837, 1140, 13, 'Ծննդյան ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (62838, 1144, 13, 'Սև');
INSERT INTO `lang_definitions` VALUES (62839, 1147, 13, 'Սևացած թոք');
INSERT INTO `lang_definitions` VALUES (62840, 1148, 13, 'Սևամորթ կամ Աֆրոամերիկացի');
INSERT INTO `lang_definitions` VALUES (62841, 1149, 13, 'Միզապարկի քաղցկեղ');
INSERT INTO `lang_definitions` VALUES (62842, 1150, 13, 'ՄԻզապարկի բորբոքում');
INSERT INTO `lang_definitions` VALUES (62843, 1152, 13, 'Դատարկ ձևեր');
INSERT INTO `lang_definitions` VALUES (62844, 1153, 13, 'Արյունահոսության խնդիրներ/գանգատներ');
INSERT INTO `lang_definitions` VALUES (62845, 1154, 13, 'Տեսողության անկում');
INSERT INTO `lang_definitions` VALUES (62846, 1156, 13, 'Որովայնի փքվածություն');
INSERT INTO `lang_definitions` VALUES (62847, 1158, 13, 'Արգելափակված');
INSERT INTO `lang_definitions` VALUES (62848, 1159, 13, 'Արյուն');
INSERT INTO `lang_definitions` VALUES (62849, 1160, 13, 'Արյան Ճնշում');
INSERT INTO `lang_definitions` VALUES (62850, 1161, 13, 'Արյան ճնշում');
INSERT INTO `lang_definitions` VALUES (62851, 1162, 13, 'Քթային արյունահոսություն');
INSERT INTO `lang_definitions` VALUES (62852, 1163, 13, '\"Կապույտ Խեցի\" Բժշկական Ապահովագրություն');
INSERT INTO `lang_definitions` VALUES (62853, 1165, 13, 'Այս հաշվետվության մեջ կապույտով նշված են  տեղեկատվական տողերը, սև տողերը ցույց են տալիս  նախկինում եղած ինֆորմցիան։ Կանաչով երևում են  հաջողությամբ ավելացված փոփոխությունները։ Կարմիրով  ցուցադրված են սխալները կամ չընդունված  փոփոխությունները․ դրանք պետք է գործարկել ձեռքով։  Ընթացիք մերժված պահանջներն ու վճարման հետկանչը  ավտոմատ չեն գործարկվում, ուստի կցուցադրվեն կարմիրով։');
INSERT INTO `lang_definitions` VALUES (62854, 1166, 13, 'Խավար տեսողություն');
INSERT INTO `lang_definitions` VALUES (62855, 1167, 13, 'Մարմնի քաշի ինդեքս');
INSERT INTO `lang_definitions` VALUES (62856, 1168, 13, 'Քաշի ինդեքսի կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (62857, 1169, 13, 'Մարմին');
INSERT INTO `lang_definitions` VALUES (62858, 1170, 13, 'Մարմնի մակերեսը');
INSERT INTO `lang_definitions` VALUES (62859, 1171, 13, 'Մարմնի հատվածը');
INSERT INTO `lang_definitions` VALUES (62860, 1172, 13, 'Մարմնի կիրառելի մասը');
INSERT INTO `lang_definitions` VALUES (62861, 1173, 13, 'Ոսկրային հիվանդություն / Ոսկրային փխրունություն');
INSERT INTO `lang_definitions` VALUES (62862, 1174, 13, 'Ոսկրային հիվանդություն․ միջնային կոճ');
INSERT INTO `lang_definitions` VALUES (62863, 1175, 13, 'Բուլյան');
INSERT INTO `lang_definitions` VALUES (62864, 1176, 13, 'Բոսնիացի');
INSERT INTO `lang_definitions` VALUES (62865, 1177, 13, 'Ներքնամաս');
INSERT INTO `lang_definitions` VALUES (62866, 1179, 13, 'Զույգ ականջները');
INSERT INTO `lang_definitions` VALUES (62867, 1180, 13, 'Զույգ աչքերը');
INSERT INTO `lang_definitions` VALUES (62868, 1183, 13, 'Ներքին /ներքևի');
INSERT INTO `lang_definitions` VALUES (62869, 1184, 13, 'Ներքևի լուսանցք  (px)');
INSERT INTO `lang_definitions` VALUES (62870, 1187, 13, 'ԴԱՇՏ 10 A։ Արտադրական');
INSERT INTO `lang_definitions` VALUES (62871, 1189, 13, 'ԴԱՇՏ 10 B։ Ավտոմոբիլային պատահար');
INSERT INTO `lang_definitions` VALUES (62872, 1191, 13, 'ԴԱՇՏ 10 C։ Այլ պատահարներ');
INSERT INTO `lang_definitions` VALUES (62873, 1200, 13, 'ԴԱՇՏ 14։ Ամսաթվի դասակարգիչ');
INSERT INTO `lang_definitions` VALUES (62874, 1204, 13, 'ԴԱՇՏ 15։ Այլ ամսաթվի դասակարգիչ');
INSERT INTO `lang_definitions` VALUES (62875, 1205, 13, 'ԴԱՇՏ 15։  Նույն կամ նմանատիպ հիվանդություն /տտ֊աա֊օօ/');
INSERT INTO `lang_definitions` VALUES (62876, 1206, 13, 'ԴԱՇՏ 15։  Նույն կամ նմանատիպ հիվանդություն/Այլ ամսաթիվ  /տտ֊աա֊օօ/');
INSERT INTO `lang_definitions` VALUES (62877, 1211, 13, 'ԴԱՇՏ 16։ Չի աշխատում (yyyy-mm-dd)  ամսաթվից');
INSERT INTO `lang_definitions` VALUES (62878, 1215, 13, 'ԴԱՇՏ 16։ Չի աշխատում մինչ (yyyy-mm-dd)  ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (62879, 1227, 13, 'ԴԱՇՏ 18։ Հոսպիտալացման ամսաթիվը սկսած  (yyyy-mm-dd)');
INSERT INTO `lang_definitions` VALUES (62880, 1231, 13, 'ԴԱՇՏ 18։ Հոսպիտալացման ամսաթիվը մինչև  (yyyy-mm-dd)');
INSERT INTO `lang_definitions` VALUES (62881, 1235, 13, 'ԴԱՇՏ 20։ Դրսի լաբորատորիան աշխատո՞ւմ  է');
INSERT INTO `lang_definitions` VALUES (62882, 1239, 13, 'ԴԱՇՏ 22։ Կրկնակից ուցաբերված բուժօգնության կոդ  (ICD-9)');
INSERT INTO `lang_definitions` VALUES (62883, 1243, 13, 'ԴԱՇՏ 23։  Նախնական թույլատրության համար');
INSERT INTO `lang_definitions` VALUES (62884, 1244, 13, 'ԱՃ /արյան ճնշում/');
INSERT INTO `lang_definitions` VALUES (62885, 1245, 13, 'ԱՃ դիաստոլիկ');
INSERT INTO `lang_definitions` VALUES (62886, 1246, 13, 'ԱՃ սիստոլիկ');
INSERT INTO `lang_definitions` VALUES (62887, 1247, 13, 'BPD');
INSERT INTO `lang_definitions` VALUES (62888, 1248, 13, 'ԱԴՃ');
INSERT INTO `lang_definitions` VALUES (62889, 1251, 13, 'BPS');
INSERT INTO `lang_definitions` VALUES (62890, 1252, 13, 'ԱՍՃ');
INSERT INTO `lang_definitions` VALUES (62891, 1254, 13, 'Բրազիլիական ծագման պորտուգալացի');
INSERT INTO `lang_definitions` VALUES (62892, 1255, 13, 'Կրծքագեղձ');
INSERT INTO `lang_definitions` VALUES (62893, 1256, 13, 'Կրծքագեղձի բիոպսիա');
INSERT INTO `lang_definitions` VALUES (62894, 1257, 13, 'Կռծքագեղձի հեռացում');
INSERT INTO `lang_definitions` VALUES (62895, 1258, 13, 'Կրծքագեղձի հիվանդություն');
INSERT INTO `lang_definitions` VALUES (62896, 1259, 13, 'Կրծքագեղձի հետազուտություն');
INSERT INTO `lang_definitions` VALUES (62897, 1260, 13, 'Կրծքագեղձի նորագոյացություն');
INSERT INTO `lang_definitions` VALUES (62898, 1261, 13, 'Շնչառություն');
INSERT INTO `lang_definitions` VALUES (62899, 1262, 13, 'Շնչառական աղմուկ');
INSERT INTO `lang_definitions` VALUES (62900, 1263, 13, 'Բրետոնական /բրետոներեն');
INSERT INTO `lang_definitions` VALUES (62901, 1265, 13, 'Ոսկրի վնասվածք');
INSERT INTO `lang_definitions` VALUES (62902, 1266, 13, 'Վնասվածքի ձև');
INSERT INTO `lang_definitions` VALUES (62903, 1267, 13, 'Բրոնխիտի ձև');
INSERT INTO `lang_definitions` VALUES (62904, 1270, 13, 'Փնտրել/Դիտել');
INSERT INTO `lang_definitions` VALUES (62905, 1271, 13, 'Փնտրել /Դիտել գրանցման համար');
INSERT INTO `lang_definitions` VALUES (62906, 1272, 13, 'Կապտուկ /Հեմատոմա');
INSERT INTO `lang_definitions` VALUES (62907, 1275, 13, 'Բուլղարերեն');
INSERT INTO `lang_definitions` VALUES (62908, 1276, 13, 'Աջակողմյան ուռածություն');
INSERT INTO `lang_definitions` VALUES (62909, 1277, 13, 'Բիրմացի/Բիրմայերեն');
INSERT INTO `lang_definitions` VALUES (62910, 1278, 13, 'Այրոց միզարձակման ժամանակ');
INSERT INTO `lang_definitions` VALUES (62911, 1279, 13, 'Այրոց միզարձակման ժամանակ');
INSERT INTO `lang_definitions` VALUES (62912, 1281, 13, 'Գործնական հեռախոսահամար');
INSERT INTO `lang_definitions` VALUES (62913, 1282, 13, 'Զբաղված');
INSERT INTO `lang_definitions` VALUES (62914, 1283, 13, 'բայց դեռևս գործարկված չէ');
INSERT INTO `lang_definitions` VALUES (62915, 1284, 13, 'Նստատեղ');
INSERT INTO `lang_definitions` VALUES (62916, 1285, 13, 'Նստատեղ  + S.I.');
INSERT INTO `lang_definitions` VALUES (62917, 1286, 13, 'միջոցով');
INSERT INTO `lang_definitions` VALUES (62918, 1287, 13, 'Միջոցով');
INSERT INTO `lang_definitions` VALUES (62919, 1293, 13, 'բանավոր');
INSERT INTO `lang_definitions` VALUES (62920, 1295, 13, 'Միջոցով/ Աղբյուր');
INSERT INTO `lang_definitions` VALUES (62921, 1296, 13, 'Միջոցով։');
INSERT INTO `lang_definitions` VALUES (62922, 1299, 13, 'C');
INSERT INTO `lang_definitions` VALUES (62923, 1301, 13, 'CA վկայական՝  RFC 5425 TLS syslog սերվերի հաստատման համար');
INSERT INTO `lang_definitions` VALUES (62924, 1302, 13, 'Քեշի կենսական տևողությունը  (վայրկյաններով)');
INSERT INTO `lang_definitions` VALUES (62925, 1303, 13, 'Քեշի ձևաչափը լրացվա՞ծ է');
INSERT INTO `lang_definitions` VALUES (62926, 1305, 13, 'Կոֆեինի կիրառում');
INSERT INTO `lang_definitions` VALUES (62927, 1306, 13, 'Օրացույց');
INSERT INTO `lang_definitions` VALUES (62928, 1307, 13, 'Օրացույցային ժամի ավարտ');
INSERT INTO `lang_definitions` VALUES (62929, 1308, 13, 'Օրացուցային ընդմիջում');
INSERT INTO `lang_definitions` VALUES (62930, 1309, 13, 'Օրացույցի ցուցադրում');
INSERT INTO `lang_definitions` VALUES (62931, 1310, 13, 'Օրացույցի կարգավորում');
INSERT INTO `lang_definitions` VALUES (62932, 1312, 13, 'Օրացույցի մեկնարկային ժամ');
INSERT INTO `lang_definitions` VALUES (62933, 1313, 13, 'Օգտվողի օրացույց');
INSERT INTO `lang_definitions` VALUES (62934, 1314, 13, 'Օրացույցի դիտում');
INSERT INTO `lang_definitions` VALUES (62935, 1317, 13, 'addForm() զանգը կատարվում է այստեղ։ <br>');
INSERT INTO `lang_definitions` VALUES (62936, 1321, 13, 'Կալորիաներ');
INSERT INTO `lang_definitions` VALUES (62937, 1322, 13, 'Կամբոջայի/կամբոջերեն');
INSERT INTO `lang_definitions` VALUES (62938, 1323, 13, 'CAMOS');
INSERT INTO `lang_definitions` VALUES (62939, 1326, 13, 'Հնարավոր չէ գտնել ֆայլը');
INSERT INTO `lang_definitions` VALUES (62940, 1327, 13, 'Հնարավոր չէ վերբեռնել');
INSERT INTO `lang_definitions` VALUES (62941, 1328, 13, 'Կանադա');
INSERT INTO `lang_definitions` VALUES (62942, 1329, 13, 'Չեղարկել');
INSERT INTO `lang_definitions` VALUES (62943, 1332, 13, 'Չեղարկել փոփոխությունը');
INSERT INTO `lang_definitions` VALUES (62944, 1333, 13, 'Չեղարկված է');
INSERT INTO `lang_definitions` VALUES (62945, 1335, 13, 'Քաղցկեղ');
INSERT INTO `lang_definitions` VALUES (62946, 1336, 13, 'Քաղցկեղի սկրինինգ/հետազոտություն։ Հաստ աղիքի քաղցկեղի սկրինինգ');
INSERT INTO `lang_definitions` VALUES (62947, 1337, 13, 'Քաղցկեղի սկրինինգ/հետազոտություն։ Մամոգրաֆիա');
INSERT INTO `lang_definitions` VALUES (62948, 1338, 13, 'Քաղցկեղի սկրինինգ/հետազոտություն։ ՓԱՓ հետազոտություն');
INSERT INTO `lang_definitions` VALUES (62949, 1339, 13, 'Քաղցկեղի սկրինինգ/հետազոտություն։ Շագանակագեղձի քաղցկեղի հետազոտություն');
INSERT INTO `lang_definitions` VALUES (62950, 1340, 13, 'Հնարավոր չէ ավելացնել սույն գրառումը, քանզի այն արդեն առկա է');
INSERT INTO `lang_definitions` VALUES (62951, 1341, 13, 'Հնարավոր չէ ավելացնել/թարմացնել սույն գրառումը, քանզի  առկա է կրկնօրինակը');
INSERT INTO `lang_definitions` VALUES (62952, 1342, 13, 'Հնարավոր չէ արխիվացնել․ մարժված է');
INSERT INTO `lang_definitions` VALUES (62953, 1343, 13, 'Հնարավոր չէ փոխարկել JPEG ֆորմատի․ համոզվեք, որ տեղադրված է ImageMagick ծրագիրը');
INSERT INTO `lang_definitions` VALUES (62954, 1344, 13, 'Հնարավոր չէ ջնջել․ մարժված է');
INSERT INTO `lang_definitions` VALUES (62955, 1345, 13, 'Հնարավոր չէ արտածել/ցուցադրել ցանցում, քանի որ բրաուզերը չի ապահովում վերջինիս տեսակը');
INSERT INTO `lang_definitions` VALUES (62956, 1346, 13, 'Հնարավոր չէ արտածել/ցուցադրել ցանցում, քանի որ բրաուզերը չի ապահովում վերջինիս տեսակը');
INSERT INTO `lang_definitions` VALUES (62957, 1347, 13, 'Հնարավոր չէ արտածել/ցուցադրել ցանցում, քանի որ բրաուզերը չի ապահովում վերջինիս տեսակը');
INSERT INTO `lang_definitions` VALUES (62958, 1349, 13, 'Հնարավոր չէ ստեղծաել');
INSERT INTO `lang_definitions` VALUES (62959, 1350, 13, 'Հնարավոր չէ ստեղծաել ֆայլ');
INSERT INTO `lang_definitions` VALUES (62960, 1351, 13, 'Հնարավոր չէ ջնջել ֆայլ (SFTP սերվերից)');
INSERT INTO `lang_definitions` VALUES (62961, 1352, 13, 'Հնարավոր չէ ջնջել ֆայլ');
INSERT INTO `lang_definitions` VALUES (62962, 1353, 13, 'Հնարավոր չէ որոշել նշանակված/նախատեսված ֆայլի անունը');
INSERT INTO `lang_definitions` VALUES (62963, 1354, 13, 'Հնարավոր չէ գտնել');
INSERT INTO `lang_definitions` VALUES (62964, 1355, 13, 'Հնարավոր չէ որոշել գտնել նախատեսված ֆայլի անունը');
INSERT INTO `lang_definitions` VALUES (62965, 1358, 13, 'Հնարավոր չէ գտնել Պացիենտին SQL-Ledger֊ի հաճախորդների նույնականացման բաժնում');
INSERT INTO `lang_definitions` VALUES (62966, 1359, 13, 'Հնարավոր չէ գտնել postscript/ետգրության փաստաթղթի հղումը ֊ի մեջ');
INSERT INTO `lang_definitions` VALUES (62967, 1360, 13, 'Հնարավոր չէ գտնել մասնագետին SQL-Ledger/մատյանի աշխատակից բաժնում');
INSERT INTO `lang_definitions` VALUES (62968, 1361, 13, 'Հնարավոր չէ փոփոխել վճարումը․ մնացորդը բացասական է');
INSERT INTO `lang_definitions` VALUES (62969, 1363, 13, 'Հնարավոր չէ բացել');
INSERT INTO `lang_definitions` VALUES (62970, 1364, 13, 'Հնարավոր չէ կցել Ապահովագրություն բաժնին։ Վճարում կատարողը Պացիենտն է');
INSERT INTO `lang_definitions` VALUES (62971, 1365, 13, 'Հնարավոր չէ կցել Պացիենտ բաժնին։ Վճարում կատարողը Ապահովագրությունն է');
INSERT INTO `lang_definitions` VALUES (62972, 1366, 13, 'Հնարավոր չէ փոփոխել վճարումը․ մնացորդը բացասական է');
INSERT INTO `lang_definitions` VALUES (62973, 1367, 13, 'Հնարավոր չէ կարդալ');
INSERT INTO `lang_definitions` VALUES (62974, 1368, 13, 'Հնարավոր չէ կարդալ տեղեկատվություն');
INSERT INTO `lang_definitions` VALUES (62975, 1369, 13, 'Հնարավոր չէ թարմացրել, քանի որ չէք խմբագրել գոյություն ունեցող գրառումը');
INSERT INTO `lang_definitions` VALUES (62976, 1370, 13, 'Դարձնել մեծատառ');
INSERT INTO `lang_definitions` VALUES (62977, 1371, 13, 'Բոլորը դարձնել մեծատառ');
INSERT INTO `lang_definitions` VALUES (62978, 1372, 13, 'Դեղապատիճ');
INSERT INTO `lang_definitions` VALUES (62979, 1373, 13, 'Քարտ');
INSERT INTO `lang_definitions` VALUES (62980, 1382, 13, 'Սրտի խոռոչների կաթետերավորում /Վալվուլոպլաստիկա /');
INSERT INTO `lang_definitions` VALUES (62981, 1383, 13, 'Էխոսրտագրություն');
INSERT INTO `lang_definitions` VALUES (62982, 1384, 13, 'Սրտանոթային');
INSERT INTO `lang_definitions` VALUES (62983, 1385, 13, 'Խնամքի համակարգում');
INSERT INTO `lang_definitions` VALUES (62984, 1389, 13, 'Խնամքի պլանավորում');
INSERT INTO `lang_definitions` VALUES (62985, 1390, 13, 'Խնամքի պլանավորման ձև');
INSERT INTO `lang_definitions` VALUES (62986, 1392, 13, 'Խնամող անձնակազմ');
INSERT INTO `lang_definitions` VALUES (62987, 1396, 13, 'Աճառների/Հոդերի/Դիսկերի վնասվածք');
INSERT INTO `lang_definitions` VALUES (62988, 1397, 13, 'Աճառի վնասվածք');
INSERT INTO `lang_definitions` VALUES (62989, 1398, 13, 'Քներակի պուլսացիա  nl, ոտնաթաթի զարկերակի պուլսացիա nl');
INSERT INTO `lang_definitions` VALUES (62990, 1400, 13, 'կանխիկ');
INSERT INTO `lang_definitions` VALUES (62991, 1401, 13, 'Կանխիկ');
INSERT INTO `lang_definitions` VALUES (62992, 1402, 13, 'Կանխիկ մուտք');
INSERT INTO `lang_definitions` VALUES (62993, 1403, 13, 'Կանխիկ մուտքեր մատակարարից');
INSERT INTO `lang_definitions` VALUES (62994, 1406, 13, 'Կատարակտայի վիրաբուժություն');
INSERT INTO `lang_definitions` VALUES (62995, 1407, 13, 'Կատարակտա');
INSERT INTO `lang_definitions` VALUES (62996, 1408, 13, 'Կատեգորիաներ');
INSERT INTO `lang_definitions` VALUES (62997, 1409, 13, 'Կատեգորիաներ ֊ի համար');
INSERT INTO `lang_definitions` VALUES (62998, 1410, 13, 'Կատեգորիա');
INSERT INTO `lang_definitions` VALUES (62999, 1411, 13, 'կատեգորիա');
INSERT INTO `lang_definitions` VALUES (63000, 1412, 13, 'Կատեգորիա');
INSERT INTO `lang_definitions` VALUES (63001, 1416, 13, 'Կատեգորիայի մանրամասներ');
INSERT INTO `lang_definitions` VALUES (63002, 1417, 13, 'Սահմանափակումեր ըստ կատեգորիայի');
INSERT INTO `lang_definitions` VALUES (63003, 1418, 13, 'Կատեգորիայի անվանում');
INSERT INTO `lang_definitions` VALUES (63004, 1419, 13, 'Կատեգորիայի անվանումը դատարկ է');
INSERT INTO `lang_definitions` VALUES (63005, 1420, 13, 'Կատեգորիա/Վերնագիր');
INSERT INTO `lang_definitions` VALUES (63006, 1421, 13, 'Կովկասցի');
INSERT INTO `lang_definitions` VALUES (63007, 1422, 13, 'Այցելության/Առաջնային օգնության ցուցաբերողի ինֆորմացիան ցուցադրելու հաստատված պատճառներ՝');
INSERT INTO `lang_definitions` VALUES (63008, 1425, 13, 'CCD');
INSERT INTO `lang_definitions` VALUES (63009, 1426, 13, 'CCDA');
INSERT INTO `lang_definitions` VALUES (63010, 1431, 13, 'CCR');
INSERT INTO `lang_definitions` VALUES (63011, 1432, 13, 'CCR Հաստատում');
INSERT INTO `lang_definitions` VALUES (63012, 1433, 13, 'CCR Պացիենտի զննում');
INSERT INTO `lang_definitions` VALUES (63013, 1434, 13, 'CCR Պացիենտի զննում և հաստատում');
INSERT INTO `lang_definitions` VALUES (63014, 1440, 13, 'CDC կոդ');
INSERT INTO `lang_definitions` VALUES (63015, 1442, 13, 'CDR');
INSERT INTO `lang_definitions` VALUES (63016, 1443, 13, 'CDR հաշվետվությունների/զեկույցների  գործարկաման/մշակման առաջնայնություն');
INSERT INTO `lang_definitions` VALUES (63017, 1444, 13, 'Բջիջ');
INSERT INTO `lang_definitions` VALUES (63018, 1445, 13, 'Բջջային հեռախոս');
INSERT INTO `lang_definitions` VALUES (63019, 1446, 13, 'Բջջային հեռախոսահամար');
INSERT INTO `lang_definitions` VALUES (63020, 1447, 13, 'Բջջային հեռախոսահամար');
INSERT INTO `lang_definitions` VALUES (63021, 1449, 13, 'ՀԻմնական/բազային վկայական');
INSERT INTO `lang_definitions` VALUES (63022, 1451, 13, 'Կենտրոնական/Հարավային Ամերիկացի');
INSERT INTO `lang_definitions` VALUES (63023, 1452, 13, 'Լիազորող մարմնի crt ֆայլի գտնվելու վայրը չի կարող դատարկ լինել');
INSERT INTO `lang_definitions` VALUES (63024, 1453, 13, 'Լիազորող մարմնի բանալի ֆայլի գտնվելու վայրը չի կարող դատարկ լինել');
INSERT INTO `lang_definitions` VALUES (63025, 1454, 13, 'RFC 5425 TLS syslog սերվերին ուղարկելու վկայական');
INSERT INTO `lang_definitions` VALUES (63026, 1455, 13, 'Օգտվողի վկայական');
INSERT INTO `lang_definitions` VALUES (63027, 1456, 13, 'Վկայականներ');
INSERT INTO `lang_definitions` VALUES (63028, 1460, 13, 'Փոփոխություն');
INSERT INTO `lang_definitions` VALUES (63029, 1461, 13, 'Փոփոխություն');
INSERT INTO `lang_definitions` VALUES (63030, 1462, 13, 'Փոխել գործողությունը');
INSERT INTO `lang_definitions` VALUES (63031, 1467, 13, 'Տեսողության վատթարացում');
INSERT INTO `lang_definitions` VALUES (63032, 1468, 13, 'Տեսողության վատթարացում');
INSERT INTO `lang_definitions` VALUES (63033, 1470, 13, 'Փոխել գաղտնաբառը');
INSERT INTO `lang_definitions` VALUES (63034, 1473, 13, 'Փոխել կարգավիճակը');
INSERT INTO `lang_definitions` VALUES (63035, 1475, 13, 'Փոփոխված է');
INSERT INTO `lang_definitions` VALUES (63036, 1476, 13, 'Փոփոխված աղիք');
INSERT INTO `lang_definitions` VALUES (63037, 1479, 13, 'փաստաթղթի համար փոխել Պացիենտի նուհնականացումը');
INSERT INTO `lang_definitions` VALUES (63038, 1484, 13, 'առանձնահատկություններ');
INSERT INTO `lang_definitions` VALUES (63039, 1485, 13, 'մնացած սիմվոլները');
INSERT INTO `lang_definitions` VALUES (63040, 1486, 13, 'վճարում');
INSERT INTO `lang_definitions` VALUES (63041, 1487, 13, 'վճարի ճշգրտումներ');
INSERT INTO `lang_definitions` VALUES (63042, 1488, 13, 'Վճարի կոդավորում');
INSERT INTO `lang_definitions` VALUES (63043, 1490, 13, 'Վճարումներ');
INSERT INTO `lang_definitions` VALUES (63044, 1491, 13, 'Աղյուսակ/Քարտ');
INSERT INTO `lang_definitions` VALUES (63045, 1492, 13, 'Աղյուսակի /Քարտ ակտիվությունը/տեղաշարժը');
INSERT INTO `lang_definitions` VALUES (63046, 1493, 13, 'Գրանցման/Դուրսգրման աղյուսակի/Քարտ ակտիվության զեկույց');
INSERT INTO `lang_definitions` VALUES (63047, 1495, 13, 'Նույնականացման Քարտ');
INSERT INTO `lang_definitions` VALUES (63048, 1496, 13, 'Նույնականացման Քարտ։');
INSERT INTO `lang_definitions` VALUES (63049, 1498, 13, 'Քարտ տեղակայման գործողություն');
INSERT INTO `lang_definitions` VALUES (63050, 1499, 13, 'Գրառում Քարտում/աղյուսակում');
INSERT INTO `lang_definitions` VALUES (63051, 1500, 13, 'Քարտի/Աղյուսակի համարը');
INSERT INTO `lang_definitions` VALUES (63052, 1502, 13, 'Քարտի/Աղյուսակի պահպանման վայրը');
INSERT INTO `lang_definitions` VALUES (63053, 1504, 13, 'Քարտի/Աղյուսակի հետևում');
INSERT INTO `lang_definitions` VALUES (63054, 1505, 13, 'ՔարտիԱղյուսակի հետև․');
INSERT INTO `lang_definitions` VALUES (63055, 1508, 13, 'Փակված Քարտեր');
INSERT INTO `lang_definitions` VALUES (63056, 1509, 13, 'Փակված Քարտեր');
INSERT INTO `lang_definitions` VALUES (63057, 1513, 13, 'Ստուգել');
INSERT INTO `lang_definitions` VALUES (63058, 1514, 13, 'Կտրոն/անդորրագիր');
INSERT INTO `lang_definitions` VALUES (63059, 1515, 13, 'Նշել բոլորը');
INSERT INTO `lang_definitions` VALUES (63060, 1516, 13, 'Նշել բոլորը - բաղադրիչները');
INSERT INTO `lang_definitions` VALUES (63061, 1517, 13, 'Նշել/ Գրանցել Ընդհանուր գումարը');
INSERT INTO `lang_definitions` VALUES (63062, 1519, 13, 'Նշել/Գրանցել ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63063, 1521, 13, 'Գրանցել օգտվողի լեզուների աղյուսակի թարգմանության տարբերությունները');
INSERT INTO `lang_definitions` VALUES (63064, 1526, 13, 'Գրանցել');
INSERT INTO `lang_definitions` VALUES (63065, 1527, 13, 'Նշել/Գրանցել ըստ');
INSERT INTO `lang_definitions` VALUES (63066, 1528, 13, 'Նշել մուտքի տվյալները');
INSERT INTO `lang_definitions` VALUES (63067, 1529, 13, 'Ստուգել գրաֆիկի կետերը');
INSERT INTO `lang_definitions` VALUES (63068, 1530, 13, 'Նշել/Գրանցել լաբորատոր հետազոտությունների արդյունքները');
INSERT INTO `lang_definitions` VALUES (63069, 1532, 13, 'Գրանցման համարը');
INSERT INTO `lang_definitions` VALUES (63070, 1533, 13, 'Նշել համարը');
INSERT INTO `lang_definitions` VALUES (63071, 1534, 13, 'Դուրս գրել');
INSERT INTO `lang_definitions` VALUES (63072, 1535, 13, 'Դուրսգրման ժամ');
INSERT INTO `lang_definitions` VALUES (63073, 1536, 13, 'Նշել  վճարումը');
INSERT INTO `lang_definitions` VALUES (63074, 1537, 13, 'Նշեք այս վադակը, եթե ֆայլը կոդավորված է');
INSERT INTO `lang_definitions` VALUES (63075, 1541, 13, 'Նշեք սա, եթե ցանկանում եք, որ մասնագետները տեսնեն բոլոր նախնական հանդիպումները, այլ ո միայն իրենցը');
INSERT INTO `lang_definitions` VALUES (63076, 1543, 13, 'Նշել՝ ախտորոշումից խնդիր ստեղծելու համար');
INSERT INTO `lang_definitions` VALUES (63077, 1545, 13, 'Գրանցման/EOB ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63078, 1547, 13, 'Գրանցման/EOB համար');
INSERT INTO `lang_definitions` VALUES (63079, 1548, 13, 'Գրանցման/Տեղեկ․ համար');
INSERT INTO `lang_definitions` VALUES (63080, 1549, 13, 'Գրանցման/Տեղեկանքի համար');
INSERT INTO `lang_definitions` VALUES (63081, 1550, 13, 'Նշավանդակի ցանկ');
INSERT INTO `lang_definitions` VALUES (63082, 1551, 13, 'Նշավանդակի ցանկ');
INSERT INTO `lang_definitions` VALUES (63083, 1552, 13, 'նշավանդակ տեքստով');
INSERT INTO `lang_definitions` VALUES (63084, 1553, 13, 'նշավանդակ տեքստով');
INSERT INTO `lang_definitions` VALUES (63085, 1555, 13, 'վերևի նշավանդակները ցույց են տալիս՝ արդկո՞ք ցանկանում եք դուրս բերել կամ ջնջել  HL7 ֆայլը');
INSERT INTO `lang_definitions` VALUES (63086, 1557, 13, 'նշված');
INSERT INTO `lang_definitions` VALUES (63087, 1559, 13, 'նշված վանդակ = ԱՅՈ ,  empty = ՈՉ');
INSERT INTO `lang_definitions` VALUES (63088, 1566, 13, 'Սեղմելով կողպել նշավանդակը դուք այս հանդիպումը ապահովագրում եք հետագա բոլոր տեսակի խմբագրումներից');
INSERT INTO `lang_definitions` VALUES (63089, 1568, 13, 'Վճարում');
INSERT INTO `lang_definitions` VALUES (63090, 1569, 13, 'ստուգիչ գումար');
INSERT INTO `lang_definitions` VALUES (63091, 1570, 13, 'Կրծքավանդակ');
INSERT INTO `lang_definitions` VALUES (63092, 1571, 13, 'Կրծքավանդակի CTAB');
INSERT INTO `lang_definitions` VALUES (63093, 1572, 13, 'Ցավ կրծքավանդակի շրջանում');
INSERT INTO `lang_definitions` VALUES (63094, 1573, 13, 'Ցավ կրծքավանդակի շրջանում։');
INSERT INTO `lang_definitions` VALUES (63095, 1574, 13, 'Ցավ կրծքավանդակի շրջանում');
INSERT INTO `lang_definitions` VALUES (63096, 1576, 13, 'Փոխ․');
INSERT INTO `lang_definitions` VALUES (63097, 1578, 13, 'Հիմնական/գլխավոր  գանգատ/բողոք');
INSERT INTO `lang_definitions` VALUES (63098, 1581, 13, 'Երեխա');
INSERT INTO `lang_definitions` VALUES (63099, 1582, 13, 'Որդեգիր երեխա');
INSERT INTO `lang_definitions` VALUES (63100, 1583, 13, 'Մանկական պատվաստումների կարգավիճակ (CQM)');
INSERT INTO `lang_definitions` VALUES (63101, 1584, 13, 'Դող');
INSERT INTO `lang_definitions` VALUES (63102, 1585, 13, 'Չինարեն');
INSERT INTO `lang_definitions` VALUES (63103, 1586, 13, 'Չինարեն (պարզեցված)');
INSERT INTO `lang_definitions` VALUES (63104, 1587, 13, 'Չինարեն (ավանդական)');
INSERT INTO `lang_definitions` VALUES (63105, 1588, 13, 'Chiropractic');
INSERT INTO `lang_definitions` VALUES (63106, 1589, 13, 'Ըստ ցանկության/Ընտրովի');
INSERT INTO `lang_definitions` VALUES (63107, 1590, 13, 'Խոլեցիստեկտոմիա /լեղապարկի վիրահատական հեռացում/');
INSERT INTO `lang_definitions` VALUES (63108, 1591, 13, 'Խոլեցիստեկտոմիա /լեղապարկի վիրահատական հեռացում/');
INSERT INTO `lang_definitions` VALUES (63109, 1592, 13, 'Խոլեցիստեկտոմիա /լեղապարկի վիրահատական հեռացում/');
INSERT INTO `lang_definitions` VALUES (63110, 1593, 13, 'Ընտրել');
INSERT INTO `lang_definitions` VALUES (63111, 1596, 13, 'Ընտրեք որևէ բաժին և սեղմեք դրանում առկա մի կետի․ մյուս հատվածում այդ կետը տեսանելի ընդգծված կերևա և կկարողանաք այդտեղ սեղմումով ավելացնել կամ ջնջել հարաբերություններ');
INSERT INTO `lang_definitions` VALUES (63112, 1597, 13, 'Ընտրել չափորոշիչներ');
INSERT INTO `lang_definitions` VALUES (63113, 1599, 13, 'Ընտրել ՆԵՐԲԵՌՆԵԼ կամ Ցուցադրել Ցանցում');
INSERT INTO `lang_definitions` VALUES (63114, 1602, 13, 'Ընտրել ֆայլը');
INSERT INTO `lang_definitions` VALUES (63115, 1603, 13, 'Ընտրել ցանկից');
INSERT INTO `lang_definitions` VALUES (63116, 1604, 13, 'Ընտրել դասավորության ուղղությունը');
INSERT INTO `lang_definitions` VALUES (63117, 1605, 13, 'Ընտրել ցանկը');
INSERT INTO `lang_definitions` VALUES (63118, 1608, 13, 'Ընտրել թղթի չափը');
INSERT INTO `lang_definitions` VALUES (63119, 1610, 13, 'Նշել նախընտրած PDF  լեզուն');
INSERT INTO `lang_definitions` VALUES (63120, 1611, 13, 'Ընտրել սույն հանդիպման զեկույցի/հաշվետվության տպագրության ֆորմատը');
INSERT INTO `lang_definitions` VALUES (63121, 1613, 13, 'Ընտրել հանդիպման դեֆոլտ տեսքը');
INSERT INTO `lang_definitions` VALUES (63122, 1615, 13, 'Քրոնիկ բրոնխիտ');
INSERT INTO `lang_definitions` VALUES (63123, 1616, 13, 'Քրոնիկ հոդացավ');
INSERT INTO `lang_definitions` VALUES (63124, 1617, 13, 'Քրոնիկ երիկամային անբավարարություն /ՔԵԱ/');
INSERT INTO `lang_definitions` VALUES (63125, 1620, 13, 'Քրոնիկ սինովիտ / զեղում /հոդացավ/ հոդատապ');
INSERT INTO `lang_definitions` VALUES (63126, 1622, 13, 'Քրոնիկ/Ընթացիկ');
INSERT INTO `lang_definitions` VALUES (63127, 1625, 13, 'Լյարդի ցիրոզ');
INSERT INTO `lang_definitions` VALUES (63128, 1626, 13, 'Լյարդի ցիրոզ');
INSERT INTO `lang_definitions` VALUES (63129, 1627, 13, 'Քաղաք');
INSERT INTO `lang_definitions` VALUES (63130, 1629, 13, 'Քաղաքի անվանումը');
INSERT INTO `lang_definitions` VALUES (63131, 1630, 13, 'Քաղաք, Շրջան');
INSERT INTO `lang_definitions` VALUES (63132, 1631, 13, 'Քաղաք, շրջանի փոստային ինդեքս');
INSERT INTO `lang_definitions` VALUES (63133, 1633, 13, 'Քաղաք/Շրջան');
INSERT INTO `lang_definitions` VALUES (63134, 1634, 13, 'Դիմում');
INSERT INTO `lang_definitions` VALUES (63135, 1635, 13, 'Դիմում');
INSERT INTO `lang_definitions` VALUES (63136, 1637, 13, 'Գանգատի/պահանջի կարգավիճակը');
INSERT INTO `lang_definitions` VALUES (63137, 1638, 13, 'Պահանջված հետազոտությունն կատարված է');
INSERT INTO `lang_definitions` VALUES (63138, 1639, 13, 'Ներկայացված պահանջի տեսակը');
INSERT INTO `lang_definitions` VALUES (63139, 1640, 13, 'Պահանջը կցվել է ֆայլին');
INSERT INTO `lang_definitions` VALUES (63140, 1641, 13, 'Պահանջը կցվել է ֆայլին');
INSERT INTO `lang_definitions` VALUES (63141, 1642, 13, 'Պահանջներ');
INSERT INTO `lang_definitions` VALUES (63142, 1645, 13, 'Դասակարգում');
INSERT INTO `lang_definitions` VALUES (63143, 1646, 13, 'Ջնջել');
INSERT INTO `lang_definitions` VALUES (63144, 1649, 13, 'ՋՆՋԵԼ ԱԿՏԻՎ ՊԱՑԻԵՆՏԻՆ');
INSERT INTO `lang_definitions` VALUES (63145, 1651, 13, 'Ջնջել ամենը');
INSERT INTO `lang_definitions` VALUES (63146, 1654, 13, 'Ջնջել HL7 տվյալները');
INSERT INTO `lang_definitions` VALUES (63147, 1655, 13, 'Ամբողջական վերականգնում');
INSERT INTO `lang_definitions` VALUES (63148, 1659, 13, 'Մաքրել  Smarty Քեշը');
INSERT INTO `lang_definitions` VALUES (63149, 1661, 13, 'EDI 270 փաթեթի ստեղծման համար անհրաժեշտ է ստույգ ինֆորմացիա');
INSERT INTO `lang_definitions` VALUES (63150, 1662, 13, 'CLIA համար');
INSERT INTO `lang_definitions` VALUES (63151, 1663, 13, 'Սեղմել');
INSERT INTO `lang_definitions` VALUES (63152, 1664, 13, 'Սեղմել \"արտահանել\"՝  Կատեգորիա, Ենթակատեգորիա, Կետ, Բովանդակության ցանկ դեպի տեքստային ֆայլ արտահանելու համար');
INSERT INTO `lang_definitions` VALUES (63153, 1667, 13, 'Սեղմեք գրաֆայի վրա որևէ կետի՝ նոր ծանոթագրություն ավելացնելու համար։ կրկնակի սեղմումով հեռցրեք այն');
INSERT INTO `lang_definitions` VALUES (63154, 1671, 13, 'ssl.zip ֆայլում վկայական ավելացնելու համար սեղմել \"Ներբեռնել Վկայական\"');
INSERT INTO `lang_definitions` VALUES (63155, 1672, 13, 'սեղմել մանրամասների համար');
INSERT INTO `lang_definitions` VALUES (63156, 1673, 13, 'սեղմել մանրամասների համար');
INSERT INTO `lang_definitions` VALUES (63157, 1674, 13, 'պատվերի ամփոփ նկարագրի համար Սեղմել');
INSERT INTO `lang_definitions` VALUES (63158, 1675, 13, 'արդյունքների համար սեղմել');
INSERT INTO `lang_definitions` VALUES (63159, 1678, 13, 'սեղմել այստեղ');
INSERT INTO `lang_definitions` VALUES (63160, 1679, 13, 'Նոր պացիենտ ավելացնելու համար սեղմել այստեղ');
INSERT INTO `lang_definitions` VALUES (63161, 1680, 13, 'Սեղմեք այստեղ՝ վնսավածքի կարգավիճակի փոփոխության թարմացման և առօրյա գործողությունները խմբագրելու համար');
INSERT INTO `lang_definitions` VALUES (63162, 1682, 13, 'Սեղմեք ամսաթիվ ընտրելու համար');
INSERT INTO `lang_definitions` VALUES (63163, 1683, 13, 'Սեղմեք ամսաթիվ  և ժամ ընտրելու համար');
INSERT INTO `lang_definitions` VALUES (63164, 1684, 13, 'Սեղմեք սկզբնական ամսաթիվ ընտրելու համար');
INSERT INTO `lang_definitions` VALUES (63165, 1685, 13, 'Սեղմեք այստեղ՝ օր և ժամը ընտրելու համար');
INSERT INTO `lang_definitions` VALUES (63166, 1686, 13, 'Սեղմեք այստեղ՝ օր և ժամը   -ից ընտրելու համար');
INSERT INTO `lang_definitions` VALUES (63167, 1687, 13, 'Սեղմեք այստեղ՝ օր և ժամը ընտրելու համար');
INSERT INTO `lang_definitions` VALUES (63168, 1688, 13, 'Այս մոդուլը կարգավորելու համար սեղմեք այստեղ');
INSERT INTO `lang_definitions` VALUES (63169, 1690, 13, 'Տողը ջնջելու համար սեղմեք այստեղ');
INSERT INTO `lang_definitions` VALUES (63170, 1692, 13, 'Այս մոդուլը անջատելու համար սեղմեք այստեղ');
INSERT INTO `lang_definitions` VALUES (63171, 1693, 13, 'Տողը կրկնօրինակելու համար սեղմեք այստեղ');
INSERT INTO `lang_definitions` VALUES (63172, 1703, 13, 'Այս մոդուլը միացնելու համար սեղմեք այստեղ');
INSERT INTO `lang_definitions` VALUES (63173, 1706, 13, 'Այս մոդուլը տեղադրելու համար սեղմեք այստեղ');
INSERT INTO `lang_definitions` VALUES (63174, 1707, 13, 'որոնման համար սեղմել այստեղ');
INSERT INTO `lang_definitions` VALUES (63175, 1710, 13, 'Կատեգորիայի, առաջնայնության և մականվան պարամետրերի  թարմացման համար սեղմել այստեղ');
INSERT INTO `lang_definitions` VALUES (63176, 1714, 13, 'Ամբողջը դիտելու համար սեղմեք ասյտեղ');
INSERT INTO `lang_definitions` VALUES (63177, 1715, 13, 'Գրաֆիկայի և դիտարկման համար սեղմեք այստեղ');
INSERT INTO `lang_definitions` VALUES (63178, 1716, 13, 'Բոլոր լաբ․տվյալների դիտարկման և գծագրման համար սեղմել այստեղ');
INSERT INTO `lang_definitions` VALUES (63179, 1717, 13, 'Սեղմեք այստեղ՝ բոլոր կենսական նշանակության օրգանների և դրանց գծապատկերի դիտարկման համար');
INSERT INTO `lang_definitions` VALUES (63180, 1718, 13, 'Սեղմեք այստեղ՝ Պացիենտի մանրամասն տվյալների համար');
INSERT INTO `lang_definitions` VALUES (63181, 1719, 13, 'Այդ ամենի դիտարկման համար սեղմեք այստեղ');
INSERT INTO `lang_definitions` VALUES (63182, 1720, 13, 'Այլ մանրամասների դիտարկման/խմբագրման համար սեղմեք այստեղ');
INSERT INTO `lang_definitions` VALUES (63183, 1723, 13, 'Սեղմել \"տեղադրել\" կոճակը՝  նշված ամսաթվով տվյալների բազայի տարբերակը տեղադրելու համար');
INSERT INTO `lang_definitions` VALUES (63184, 1730, 13, 'Սեղմեք ժամի ցանկացած գոտու վրա՝ վերջինիս մեծացման համար');
INSERT INTO `lang_definitions` VALUES (63185, 1751, 13, 'Սեղմել Պացիենտի Անվանը՝  նրա ֆայլը բացելու համար');
INSERT INTO `lang_definitions` VALUES (63186, 1753, 13, 'Սեղմել Թարմացնել կոճակը՝ տեսնելու համար բոլոր արդյունքները, կամ վերևում  տեղադրեք որոնման չափորոշիչ՝ կոնկրետ/առանձին արդյունքի դիտարկման համար');
INSERT INTO `lang_definitions` VALUES (63187, 1777, 13, 'Սեղմել՝ ախտորոշում ավելացնելու համար');
INSERT INTO `lang_definitions` VALUES (63188, 1779, 13, 'Սեղմել՝ նոր բաղադրիչ ավելացնելու համար');
INSERT INTO `lang_definitions` VALUES (63189, 1780, 13, 'Սեղմել՝ նոր բաղադրիչ ավելացնելու համար');
INSERT INTO `lang_definitions` VALUES (63190, 1782, 13, 'Սեղմել՝ հիմնավորված ախտորոշում ընտրելու համար');
INSERT INTO `lang_definitions` VALUES (63191, 1785, 13, 'Սեղմել ներբեռման համար');
INSERT INTO `lang_definitions` VALUES (63192, 1786, 13, 'Սեղմել խմբագրման համար');
INSERT INTO `lang_definitions` VALUES (63193, 1787, 13, 'Սեղմել նկարագրության խմբագրման համար');
INSERT INTO `lang_definitions` VALUES (63194, 1788, 13, 'Սեղմել սույն իրադարձությունը խմբագրելու համար');
INSERT INTO `lang_definitions` VALUES (63195, 1790, 13, 'Սեղմել հաշվետվությունը գեներացնելու համար');
INSERT INTO `lang_definitions` VALUES (63196, 1799, 13, 'Սեղմել Պացիենտի համապատասխանության/համընկնման համար');
INSERT INTO `lang_definitions` VALUES (63197, 1800, 13, 'Սեղմել տպելու համար');
INSERT INTO `lang_definitions` VALUES (63198, 1801, 13, 'Սեղմել նոր շարք ստանալու/ավելացնելու համար');
INSERT INTO `lang_definitions` VALUES (63199, 1805, 13, 'Սեղմել ընտրելու համար');
INSERT INTO `lang_definitions` VALUES (63200, 1806, 13, 'Սեղմել ընտրելու համար');
INSERT INTO `lang_definitions` VALUES (63201, 1808, 13, 'Սեղմել այս մեթոդի արդյունաբերական ստանդարտի կոդի ընտրության համար');
INSERT INTO `lang_definitions` VALUES (63202, 1811, 13, 'Սեղմել այլընտրանքային պրոցեդուրայի կոդի համար');
INSERT INTO `lang_definitions` VALUES (63203, 1812, 13, 'Սեղմել կոդավորման ընտրության կամ փոփոխման համար');
INSERT INTO `lang_definitions` VALUES (63204, 1813, 13, 'Սեղմել  CVX կոդի ընտրության կամ փոփոխման համար');
INSERT INTO `lang_definitions` VALUES (63205, 1814, 13, 'Սեղմել ախտորոշման ընտրության կամ փոփոխման համար');
INSERT INTO `lang_definitions` VALUES (63206, 1815, 13, 'Սեղմել ծառայությունների կոդերի ընտրության կամ փոփոխման համար');
INSERT INTO `lang_definitions` VALUES (63207, 1816, 13, 'Սեղմել Պացիենտի ընտրության համար');
INSERT INTO `lang_definitions` VALUES (63208, 1817, 13, 'Սեղմել համապատասխան կոդի համար');
INSERT INTO `lang_definitions` VALUES (63209, 1819, 13, 'Եթե այս արդյունքը բերում է շեղում նորմայից, ապա սեղմեք  օգնություն ընտրելու համար');
INSERT INTO `lang_definitions` VALUES (63210, 1822, 13, 'Սեղմել անհրաժեշտ պրոցեդուրայի ընտրության համար');
INSERT INTO `lang_definitions` VALUES (63211, 1829, 13, 'Սեղմել տեսակավորման համար');
INSERT INTO `lang_definitions` VALUES (63212, 1831, 13, 'Սեղմել դիտարկման համար');
INSERT INTO `lang_definitions` VALUES (63213, 1833, 13, 'Սեղմել դիտարկման կամ խմբագրման  համար');
INSERT INTO `lang_definitions` VALUES (63214, 1834, 13, 'Սեղմել դիտարկման/խմբագրման  համար');
INSERT INTO `lang_definitions` VALUES (63215, 1836, 13, 'Սեղմել Թարմացնել կոճակը՝ տվյալների բազան  նշված ամսաթվից թարմացնելու համար');
INSERT INTO `lang_definitions` VALUES (63216, 1838, 13, 'Պացիենտի համապատասխանեցման համար սեղմել վերոնշյալ վայրում');
INSERT INTO `lang_definitions` VALUES (63217, 1839, 13, 'Սեղմել։');
INSERT INTO `lang_definitions` VALUES (63218, 1862, 13, 'Հաճախորդի վկայականի վավերականության ժամկետի լրանալու  օրը');
INSERT INTO `lang_definitions` VALUES (63219, 1864, 13, 'Հաճախորդի վկայականի վավերականության ժամկետը');
INSERT INTO `lang_definitions` VALUES (63220, 1865, 13, 'Հաճախորդի  վկայականի վավերականությունը հաստատում է վավեր համարակալում');
INSERT INTO `lang_definitions` VALUES (63221, 1866, 13, 'Հաճախորդի կրկնօրինակ');
INSERT INTO `lang_definitions` VALUES (63222, 1868, 13, 'Հաճախորդի ID');
INSERT INTO `lang_definitions` VALUES (63223, 1869, 13, 'Քաղվածք Հիվանդի պատմագրից');
INSERT INTO `lang_definitions` VALUES (63224, 1870, 13, 'Հիվանդի Անունը');
INSERT INTO `lang_definitions` VALUES (63225, 1872, 13, 'Հիվանդի հերթական համարը');
INSERT INTO `lang_definitions` VALUES (63226, 1873, 13, 'Հաճախորդի/Հիվանդի  պրոֆիլ ֊ Նոր Հաճախորդ/Հիվանդ');
INSERT INTO `lang_definitions` VALUES (63227, 1874, 13, 'Հաճախորդի/Հիվանդի  պրոֆիլ ֊ Եզակի Հաճախորդ/Հիվանդ');
INSERT INTO `lang_definitions` VALUES (63228, 1878, 13, 'Հաճախորդներ/Հիվանդներ');
INSERT INTO `lang_definitions` VALUES (63229, 1879, 13, 'Կլինիկա');
INSERT INTO `lang_definitions` VALUES (63230, 1880, 13, 'Կլինիկայի կրկնօրինակը');
INSERT INTO `lang_definitions` VALUES (63231, 1881, 13, 'Կլինիկայի ամենօրյա գրանցում');
INSERT INTO `lang_definitions` VALUES (63232, 1882, 13, 'Կլինիկայի նույնականացման տվյալներ');
INSERT INTO `lang_definitions` VALUES (63233, 1883, 13, 'Կլինիկական');
INSERT INTO `lang_definitions` VALUES (63234, 1884, 13, 'Կլինիկական  որոշումների ընդունման/կայացման կանոնների ծանուցման պատասխանատում');
INSERT INTO `lang_definitions` VALUES (63235, 1886, 13, 'Կլինիկական Պատմություն');
INSERT INTO `lang_definitions` VALUES (63236, 1888, 13, 'Կլինիկական ցուցումների նմուշ');
INSERT INTO `lang_definitions` VALUES (63237, 1889, 13, 'Կլինիկական ծրագրեր');
INSERT INTO `lang_definitions` VALUES (63238, 1890, 13, 'Կլինիկական Որակի Ցուցանիշներ (CQM)');
INSERT INTO `lang_definitions` VALUES (63239, 1891, 13, 'Կլինիկական Որակի Ցուցանիշներ (CQM) - 2011');
INSERT INTO `lang_definitions` VALUES (63240, 1892, 13, 'Կլինիկական Որակի Ցուցանիշներ (CQM) - 2014');
INSERT INTO `lang_definitions` VALUES (63241, 1893, 13, 'Կլինիկական հիշեցումներ');
INSERT INTO `lang_definitions` VALUES (63242, 1897, 13, 'Կլինիկական հաշվետվություններ/զեկույցներ');
INSERT INTO `lang_definitions` VALUES (63243, 1898, 13, 'Կլինիկական կանոնների գործունեության/գործողության կատեգորիա');
INSERT INTO `lang_definitions` VALUES (63244, 1899, 13, 'Կլինիկական կանոնների գործունեության/գործողության առարկա');
INSERT INTO `lang_definitions` VALUES (63245, 1900, 13, 'Կլինիկական կանոնների ֆիլտրման մեթոդներ');
INSERT INTO `lang_definitions` VALUES (63246, 1901, 13, 'Կլինիկական կանոնների նպատակայի/թիրախային մեթոդներ');
INSERT INTO `lang_definitions` VALUES (63247, 1902, 13, 'Կլինիկական կանոններ');
INSERT INTO `lang_definitions` VALUES (63248, 1903, 13, 'Տրիքային միջակայքեր կլինիկական կանոնների համար');
INSERT INTO `lang_definitions` VALUES (63249, 1904, 13, 'Կլինիկական Կանոնների համեմատություն');
INSERT INTO `lang_definitions` VALUES (63250, 1905, 13, 'Կլինիկական կանոնների ազդեցության/տարածման տիպերը/տեսակները');
INSERT INTO `lang_definitions` VALUES (63251, 1906, 13, 'Կլինիկական կաննոերի հիշեցման/ծանուցման տեսակները');
INSERT INTO `lang_definitions` VALUES (63252, 1907, 13, 'Կլինիկական կաննոերի հիշեցում/ծանուցում հեռացնելու տեսակները');
INSERT INTO `lang_definitions` VALUES (63253, 1908, 13, 'Կլինիկական կաննոերի հիշեցման/ծանուցման պարբերականություն');
INSERT INTO `lang_definitions` VALUES (63254, 1909, 13, 'Կլինիկական կաննոերի հիշեցման/ծանուցման մեթոդներ');
INSERT INTO `lang_definitions` VALUES (63255, 1910, 13, 'Կլինիկական կաննոերի պլանային պարբերականություն');
INSERT INTO `lang_definitions` VALUES (63256, 1911, 13, 'Կլինիկական խնդիրներ/նպատկ');
INSERT INTO `lang_definitions` VALUES (63257, 1915, 13, 'Բուժաշխատողներ');
INSERT INTO `lang_definitions` VALUES (63258, 1916, 13, 'Կրկնօրինակել');
INSERT INTO `lang_definitions` VALUES (63259, 1917, 13, 'Կրկնօրինակել նախորդ այցը');
INSERT INTO `lang_definitions` VALUES (63260, 1918, 13, 'Փակել');
INSERT INTO `lang_definitions` VALUES (63261, 1924, 13, 'Փակել պատուհանը');
INSERT INTO `lang_definitions` VALUES (63262, 1925, 13, 'Փակել պատուհանը');
INSERT INTO `lang_definitions` VALUES (63263, 1927, 13, 'փակ');
INSERT INTO `lang_definitions` VALUES (63264, 1928, 13, 'սմ');
INSERT INTO `lang_definitions` VALUES (63265, 1931, 13, 'CMS 1500 միջակայք/լուսանցք');
INSERT INTO `lang_definitions` VALUES (63266, 1940, 13, 'CMS ID');
INSERT INTO `lang_definitions` VALUES (63267, 1955, 13, 'անվտանգ CN2-12');
INSERT INTO `lang_definitions` VALUES (63268, 1958, 13, 'հավելավճար');
INSERT INTO `lang_definitions` VALUES (63269, 1959, 13, 'կատարված հավելավճար');
INSERT INTO `lang_definitions` VALUES (63270, 1962, 13, 'ՀԱՎԵԼԱՎՃԱՐ');
INSERT INTO `lang_definitions` VALUES (63271, 1964, 13, 'կոդ');
INSERT INTO `lang_definitions` VALUES (63272, 1965, 13, 'կոդ');
INSERT INTO `lang_definitions` VALUES (63273, 1967, 13, 'կոդի որոնում');
INSERT INTO `lang_definitions` VALUES (63274, 1968, 13, 'Կոդը պետք է լինի երկնիշ և փոքրատառ');
INSERT INTO `lang_definitions` VALUES (63275, 1969, 13, 'Փոխարժեքի կոդ կամ նշան');
INSERT INTO `lang_definitions` VALUES (63276, 1971, 13, 'Տեքստային կոդ');
INSERT INTO `lang_definitions` VALUES (63277, 1972, 13, 'Կոդի տեսակ');
INSERT INTO `lang_definitions` VALUES (63278, 1973, 13, 'Կոդի տեսակ');
INSERT INTO `lang_definitions` VALUES (63279, 1974, 13, 'Կոդի տեսակը ճանաչված/ընդունված չէ');
INSERT INTO `lang_definitions` VALUES (63280, 1975, 13, 'Կոդի տեսակը դեռևս սահմանված չէ');
INSERT INTO `lang_definitions` VALUES (63281, 1976, 13, 'Կոդի տեսակներ');
INSERT INTO `lang_definitions` VALUES (63282, 1977, 13, 'Կոդ(եր)');
INSERT INTO `lang_definitions` VALUES (63283, 1978, 13, 'Կոդավորված է');
INSERT INTO `lang_definitions` VALUES (63284, 1979, 13, 'Կոդեր');
INSERT INTO `lang_definitions` VALUES (63285, 1981, 13, 'Կոդավորում/ինդեքսավորում');
INSERT INTO `lang_definitions` VALUES (63286, 1982, 13, 'Կոդավորում/ինդեքսավորում');
INSERT INTO `lang_definitions` VALUES (63287, 1983, 13, 'Ինդեքսավորում ֊ ցանկացած բուժում (գրել, մի մասն ըստ ցանկության)');
INSERT INTO `lang_definitions` VALUES (63288, 1985, 13, 'Ինդեքսավորում ֊ իմ բուժումները (գրել, մի մասն ըստ ցանկության)');
INSERT INTO `lang_definitions` VALUES (63289, 1990, 13, 'Կոդավորման մուտքն արգելված է');
INSERT INTO `lang_definitions` VALUES (63290, 1991, 13, 'Սուրճ');
INSERT INTO `lang_definitions` VALUES (63291, 1992, 13, 'Սուրճի կիրառում');
INSERT INTO `lang_definitions` VALUES (63292, 1994, 13, 'Համատեղ ապահովագրություն');
INSERT INTO `lang_definitions` VALUES (63293, 1995, 13, 'Անվճար');
INSERT INTO `lang_definitions` VALUES (63294, 1997, 13, 'Շրջել/փլուզել/փակել');
INSERT INTO `lang_definitions` VALUES (63295, 1998, 13, 'թաքցնել');
INSERT INTO `lang_definitions` VALUES (63296, 1999, 13, 'փակել ամենը');
INSERT INTO `lang_definitions` VALUES (63297, 2005, 13, 'Հավաքագրման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63298, 2007, 13, 'Հավաքագրումներ/դրամահավաքներ/ժողովներ');
INSERT INTO `lang_definitions` VALUES (63299, 2008, 13, 'Հավաքագրումներ/դրամահավաքներ/ժողովներ֊ի զեկույց');
INSERT INTO `lang_definitions` VALUES (63300, 2009, 13, 'Հաստ աղիքի քաղցկեղ');
INSERT INTO `lang_definitions` VALUES (63301, 2010, 13, 'Հաստ աղիքի քաղցկեղի հետազոտություն');
INSERT INTO `lang_definitions` VALUES (63302, 2011, 13, 'Հաստ աղիքի քաղցկեղի վիրահատություն');
INSERT INTO `lang_definitions` VALUES (63303, 2012, 13, 'Կոլոնոսկոպիա');
INSERT INTO `lang_definitions` VALUES (63304, 2013, 13, 'կոլոնոսկոպիա');
INSERT INTO `lang_definitions` VALUES (63305, 2014, 13, 'Գույն');
INSERT INTO `lang_definitions` VALUES (63306, 2020, 13, 'Գույն։ հպվ․');
INSERT INTO `lang_definitions` VALUES (63307, 2021, 13, 'Սյունակ');
INSERT INTO `lang_definitions` VALUES (63308, 2022, 13, 'Սյունակներ');
INSERT INTO `lang_definitions` VALUES (63309, 2024, 13, 'Համատեղ/միացյալ մասնաբաժիններ');
INSERT INTO `lang_definitions` VALUES (63310, 2025, 13, 'Ստորակետ');
INSERT INTO `lang_definitions` VALUES (63311, 2027, 13, 'Մեկնաբանություն');
INSERT INTO `lang_definitions` VALUES (63312, 2028, 13, 'Մեկնաբանություններ');
INSERT INTO `lang_definitions` VALUES (63313, 2030, 13, 'Սույն արդյունքին կամ խորհրդատվությանն ուղղված մեկնաբանություններ');
INSERT INTO `lang_definitions` VALUES (63314, 2031, 13, 'Առևտրային Ապահովագրական Ընկերություն');
INSERT INTO `lang_definitions` VALUES (63315, 2032, 13, 'Կատարված փոփոխություններ');
INSERT INTO `lang_definitions` VALUES (63316, 2034, 13, 'Կապ');
INSERT INTO `lang_definitions` VALUES (63317, 2036, 13, 'Կապ');
INSERT INTO `lang_definitions` VALUES (63318, 2039, 13, 'Ընկերություն');
INSERT INTO `lang_definitions` VALUES (63319, 2040, 13, 'Ընկերության Անվանում');
INSERT INTO `lang_definitions` VALUES (63320, 2041, 13, 'Ավարտել');
INSERT INTO `lang_definitions` VALUES (63321, 2043, 13, 'Ավարտված');
INSERT INTO `lang_definitions` VALUES (63322, 2046, 13, 'Ավարտվա՞ծ է');
INSERT INTO `lang_definitions` VALUES (63323, 2049, 13, 'Բարդություններ ծառայություն մատուցողի կողմից');
INSERT INTO `lang_definitions` VALUES (63324, 2050, 13, 'Հղիության արհեստական ընդհատման բարդություններ');
INSERT INTO `lang_definitions` VALUES (63325, 2051, 13, 'Բաղադրիչներ');
INSERT INTO `lang_definitions` VALUES (63326, 2057, 13, 'Բժշկական նշանակումների ավտոմատացված համակարգ');
INSERT INTO `lang_definitions` VALUES (63327, 2058, 13, 'Եզրակացություններ');
INSERT INTO `lang_definitions` VALUES (63328, 2064, 13, 'Կարգավորումներ');
INSERT INTO `lang_definitions` VALUES (63329, 2065, 13, 'Կարգավորումների Արտահանում/ներմուծում');
INSERT INTO `lang_definitions` VALUES (63330, 2067, 13, 'Կարգավորել Apache և OpenEMR Հաճախորդի/Հիվանդի կողմից  SSL հավաստագրերի օգտագործման համար');
INSERT INTO `lang_definitions` VALUES (63331, 2068, 13, 'Կարգավորել Apache  Հաճախորդի/Հիվանդի կողմից  SSL հավաստագրերի օգտագործման համար');
INSERT INTO `lang_definitions` VALUES (63332, 2069, 13, 'Կարգավորել Apache   HTTPS օգտագործման համար');
INSERT INTO `lang_definitions` VALUES (63333, 2070, 13, 'Կարգավորել OpenEMR Հաճախորդի/Հիվանդի կողմից  SSL հավաստագրերի օգտագործման համար');
INSERT INTO `lang_definitions` VALUES (63334, 2079, 13, 'Հաստատել նոր պացիենտի գրանցումը');
INSERT INTO `lang_definitions` VALUES (63335, 2081, 13, 'Հաստատել նոր գաղտնաբառը');
INSERT INTO `lang_definitions` VALUES (63336, 2083, 13, 'Հաստատել վճարումը');
INSERT INTO `lang_definitions` VALUES (63337, 2092, 13, 'Բնածին');
INSERT INTO `lang_definitions` VALUES (63338, 2094, 13, 'Կոնյուկտիվ, բիբեր');
INSERT INTO `lang_definitions` VALUES (63339, 2096, 13, 'Կապի խզում');
INSERT INTO `lang_definitions` VALUES (63340, 2097, 13, 'Միակցիչներ/կցորդներ');
INSERT INTO `lang_definitions` VALUES (63341, 2098, 13, 'Հաստատուն');
INSERT INTO `lang_definitions` VALUES (63342, 2100, 13, 'Հաստատուն անվանում');
INSERT INTO `lang_definitions` VALUES (63343, 2101, 13, 'Հաստատուն անվանուը դատարկ է');
INSERT INTO `lang_definitions` VALUES (63344, 2102, 13, 'Հաստատուններ');
INSERT INTO `lang_definitions` VALUES (63345, 2103, 13, 'Փորկապություն');
INSERT INTO `lang_definitions` VALUES (63346, 2104, 13, 'Սահմանադրական/ Կառուցվածքային/Համակարգային/');
INSERT INTO `lang_definitions` VALUES (63347, 2107, 13, 'Խորհրդակցության ամփոփ նկարագիր');
INSERT INTO `lang_definitions` VALUES (63348, 2109, 13, 'Հետադարձ կապ');
INSERT INTO `lang_definitions` VALUES (63349, 2110, 13, 'Էլ․փոստ');
INSERT INTO `lang_definitions` VALUES (63350, 2111, 13, 'Էլ․փոստի հասցե');
INSERT INTO `lang_definitions` VALUES (63351, 2113, 13, 'Կոնտակտային տվյալներ');
INSERT INTO `lang_definitions` VALUES (63352, 2117, 13, 'Կոնտակտային լինզաներ');
INSERT INTO `lang_definitions` VALUES (63353, 2122, 13, 'Անուն');
INSERT INTO `lang_definitions` VALUES (63354, 2125, 13, 'Կոնտակտային անձ');
INSERT INTO `lang_definitions` VALUES (63355, 2126, 13, 'Կոնտակտային հեռախոս');
INSERT INTO `lang_definitions` VALUES (63356, 2127, 13, 'Կոնտակտային հեռախոսահամար');
INSERT INTO `lang_definitions` VALUES (63357, 2129, 13, 'Դիմել  ZMG LLC (zmghealth@gmail.com) eRx ծառայությանը բաժանորդագրվելու համար');
INSERT INTO `lang_definitions` VALUES (63358, 2131, 13, 'Պարունակում է հետևյալ կետերից առնվազն երեքը կամ չորսը');
INSERT INTO `lang_definitions` VALUES (63359, 2133, 13, 'Պարունակություն/Բովանդակություն');
INSERT INTO `lang_definitions` VALUES (63360, 2134, 13, 'պարունակություն/պովանդակություն');
INSERT INTO `lang_definitions` VALUES (63361, 2136, 13, 'Կոնտեքստ/ համատեքստ');
INSERT INTO `lang_definitions` VALUES (63362, 2137, 13, 'Կոնտեքստի անվանումը չպետք է դատարկ լինի');
INSERT INTO `lang_definitions` VALUES (63363, 2138, 13, 'Շարունակել');
INSERT INTO `lang_definitions` VALUES (63364, 2147, 13, 'Հակաբեղմնավորում');
INSERT INTO `lang_definitions` VALUES (63365, 2148, 13, 'Հակաբեղմնավորման ասպեկտները');
INSERT INTO `lang_definitions` VALUES (63366, 2149, 13, 'Հակաբեղմնավորման բարդությունները  (նշել)');
INSERT INTO `lang_definitions` VALUES (63367, 2150, 13, 'Հակաբեղմնավորման մեթոդը');
INSERT INTO `lang_definitions` VALUES (63368, 2151, 13, 'Հակաբեղմնավորիչ ապրանքներ');
INSERT INTO `lang_definitions` VALUES (63369, 2152, 13, 'Հակաբեղմնավորման նախնական ծառայություններ');
INSERT INTO `lang_definitions` VALUES (63370, 2153, 13, 'Հակաբեղմնավորման սկիզբ');
INSERT INTO `lang_definitions` VALUES (63371, 2158, 13, 'ID կարգավորումներ');
INSERT INTO `lang_definitions` VALUES (63372, 2159, 13, 'Կարգավորման համարը');
INSERT INTO `lang_definitions` VALUES (63373, 2168, 13, 'ՀԱՎԵԼԱՎՃԱՐ');
INSERT INTO `lang_definitions` VALUES (63374, 2169, 13, 'Հավելավճար');
INSERT INTO `lang_definitions` VALUES (63375, 2170, 13, 'Հավելավճար');
INSERT INTO `lang_definitions` VALUES (63376, 2171, 13, 'Հավելավճար չի նախատեսվում');
INSERT INTO `lang_definitions` VALUES (63377, 2172, 13, 'Հավելավճարը վճարված է');
INSERT INTO `lang_definitions` VALUES (63378, 2173, 13, 'Հավելավճարներ');
INSERT INTO `lang_definitions` VALUES (63379, 2175, 13, 'Կրկնօրինակել էջերը պացիենտի քարտի մեջ');
INSERT INTO `lang_definitions` VALUES (63380, 2177, 13, 'Կրկնօրինակել արժեքները');
INSERT INTO `lang_definitions` VALUES (63381, 2178, 13, 'Կրկնօրինակել տվյալների բազայի ֆայլը․ այն կխլի որոշակի ժամանակ');
INSERT INTO `lang_definitions` VALUES (63382, 2179, 13, 'Հեղինակային իրավունքների ծանուցում');
INSERT INTO `lang_definitions` VALUES (63383, 2186, 13, 'Ուղղված');
INSERT INTO `lang_definitions` VALUES (63384, 2188, 13, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (63385, 2189, 13, 'CouchDB միացումը ձախողվեց');
INSERT INTO `lang_definitions` VALUES (63386, 2191, 13, 'CouchDB տվյալների բազա');
INSERT INTO `lang_definitions` VALUES (63387, 2192, 13, 'CouchDB տվյալների բազայի անվանում');
INSERT INTO `lang_definitions` VALUES (63388, 2195, 13, 'CouchDB հոսթինգ/սերվեր');
INSERT INTO `lang_definitions` VALUES (63389, 2196, 13, 'CouchDB հոսթի/սերվերի անվանում');
INSERT INTO `lang_definitions` VALUES (63390, 2197, 13, 'Միացնել CouchDB մուտքագրում/գրանցում');
INSERT INTO `lang_definitions` VALUES (63391, 2198, 13, 'CouchDB գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (63392, 2199, 13, 'CouchDB պորտալ');
INSERT INTO `lang_definitions` VALUES (63393, 2200, 13, 'CouchDB պորտալ');
INSERT INTO `lang_definitions` VALUES (63394, 2201, 13, 'CouchDB պահպանում ձախողվեց');
INSERT INTO `lang_definitions` VALUES (63395, 2203, 13, 'CouchDB օգտվողի անունուն/օգտատեր');
INSERT INTO `lang_definitions` VALUES (63396, 2204, 13, 'Հազ');
INSERT INTO `lang_definitions` VALUES (63397, 2205, 13, 'Հազ։');
INSERT INTO `lang_definitions` VALUES (63398, 2206, 13, 'հնարավոր չէ կապ հաստատել սերվերի հետ');
INSERT INTO `lang_definitions` VALUES (63399, 2210, 13, 'հնարավոր չէ բացել աղյուսակը');
INSERT INTO `lang_definitions` VALUES (63400, 2211, 13, 'հնարավոր չէ կարդալ ֆայլը');
INSERT INTO `lang_definitions` VALUES (63401, 2214, 13, 'Հնարավոր չէ ուղարկել էլ․ նամակ․ առկա է սերվերի խնդիր');
INSERT INTO `lang_definitions` VALUES (63402, 2216, 13, 'Հնարավոր չէ ուղարկել էլ․ նամակ․ առկա է սերվերի խնդիր');
INSERT INTO `lang_definitions` VALUES (63403, 2217, 13, 'Հնարավոր չէ ստեղծել պահեստային կրկնօրինակների ուղեցույց/տեղեկատու');
INSERT INTO `lang_definitions` VALUES (63404, 2218, 13, 'Հնարավոր չէ ջնջել տեղեկատուն');
INSERT INTO `lang_definitions` VALUES (63405, 2219, 13, 'Հնարավոր չէ ջնջել հին պահեստային կրկնօրինակը');
INSERT INTO `lang_definitions` VALUES (63406, 2220, 13, 'Հնարավոր չէ ջնջել հին արտահանվող ֆայլը');
INSERT INTO `lang_definitions` VALUES (63407, 2221, 13, 'Coumadin Կառավարում ֊ միջազգային կարգավորման ցուցանիշի հսկողություն');
INSERT INTO `lang_definitions` VALUES (63408, 2222, 13, 'Մեթոդին համապատասխան խորհրդատվություն');
INSERT INTO `lang_definitions` VALUES (63409, 2223, 13, 'Խորհրդատվություն');
INSERT INTO `lang_definitions` VALUES (63410, 2224, 13, 'Խորհրդատվական աշխատանքներ');
INSERT INTO `lang_definitions` VALUES (63411, 2229, 13, 'Երկիր');
INSERT INTO `lang_definitions` VALUES (63412, 2231, 13, 'Երկրի տվյալների տիպ');
INSERT INTO `lang_definitions` VALUES (63413, 2232, 13, 'Երկրների ցանկ');
INSERT INTO `lang_definitions` VALUES (63414, 2233, 13, 'Երկրների ցանկ  (գրել, ավելացնել ըստ ցանկությանl)');
INSERT INTO `lang_definitions` VALUES (63415, 2235, 13, 'Երկրի անունը ներկայացվում է երկնիշ հապավումով /օր․՝  Միացյալ Նահանգներ ՄՆ/');
INSERT INTO `lang_definitions` VALUES (63416, 2236, 13, 'հանրապետություն');
INSERT INTO `lang_definitions` VALUES (63417, 2238, 13, 'Կուպոն');
INSERT INTO `lang_definitions` VALUES (63418, 2245, 13, 'Հիվանդի կլինիկական հետազոտություն (CPT)');
INSERT INTO `lang_definitions` VALUES (63419, 2246, 13, '(CPT) կոդ');
INSERT INTO `lang_definitions` VALUES (63420, 2247, 13, '(CPT) կոդեր');
INSERT INTO `lang_definitions` VALUES (63421, 2248, 13, 'CPT4  Միջամտություն/Ծառայություն');
INSERT INTO `lang_definitions` VALUES (63422, 2249, 13, 'CPTII էֆֆեկտիվության չափորոշիչ');
INSERT INTO `lang_definitions` VALUES (63423, 2250, 13, 'CQM');
INSERT INTO `lang_definitions` VALUES (63424, 2255, 13, 'քսուք');
INSERT INTO `lang_definitions` VALUES (63425, 2256, 13, 'Ստեղծում էլ հաճախորդի կողմից SSL հավաստագիր յուրաքանչյուր օգտվողի կամ հաճախորդի մեքենայի համար');
INSERT INTO `lang_definitions` VALUES (63426, 2257, 13, 'Ստեղծում էլ հաճախորդի կողմից SSL հավաստագիր օգտվողի կամ հաճախորդի hostname֊ի/սերվերի անվան համար');
INSERT INTO `lang_definitions` VALUES (63427, 2269, 13, 'Ստեղծել իրադարձություն');
INSERT INTO `lang_definitions` VALUES (63428, 2273, 13, 'Ստեղծում և ներբեռնում է ամբողջական կրկնօրինակ');
INSERT INTO `lang_definitions` VALUES (63429, 2275, 13, 'Ստեղծում է պահեստային կրկնօրինակ');
INSERT INTO `lang_definitions` VALUES (63430, 2276, 13, 'Ստեղծել նոր խմբաքանակ');
INSERT INTO `lang_definitions` VALUES (63431, 2277, 13, 'Ստեղծել հաճախորդի վկայագիր/հավաստագիր');
INSERT INTO `lang_definitions` VALUES (63432, 2278, 13, 'Ստեղծել հաճախորդի կողմից SSL վկայագրեր/հավաստագրեր');
INSERT INTO `lang_definitions` VALUES (63433, 2281, 13, 'Ստեղծել կրկնօրինակ');
INSERT INTO `lang_definitions` VALUES (63434, 2283, 13, 'Ստեղծում է պահեստային կրկնօրինակների գրանցամատյան');
INSERT INTO `lang_definitions` VALUES (63435, 2285, 13, 'Ստեղծել նոր խնդիր/հարց');
INSERT INTO `lang_definitions` VALUES (63436, 2287, 13, 'Գրանցել նոր Պացիենտ/ՀԻվանդ');
INSERT INTO `lang_definitions` VALUES (63437, 2290, 13, 'Ստեղծել արտաքին պորտալի նոր լիազորություններ/մանդատներ');
INSERT INTO `lang_definitions` VALUES (63438, 2292, 13, 'Ստեղծել ներքին պորտալի նոր լիազորություններ/մանդատներ');
INSERT INTO `lang_definitions` VALUES (63439, 2294, 13, 'Ստեղծել ՀԻվանդի/Պացիենտի գրառում');
INSERT INTO `lang_definitions` VALUES (63440, 2296, 13, 'Ստեղծում է SSL Լիազորագրեր և Սերվերի հավաստագրեր');
INSERT INTO `lang_definitions` VALUES (63441, 2297, 13, 'Ստեղծել այց');
INSERT INTO `lang_definitions` VALUES (63442, 2298, 13, 'Ստեղծված է');
INSERT INTO `lang_definitions` VALUES (63443, 2306, 13, 'Էքսպորտ/արտահանման  ֆայլի ստեղծում');
INSERT INTO `lang_definitions` VALUES (63444, 2309, 13, 'Ստեղծող');
INSERT INTO `lang_definitions` VALUES (63445, 2311, 13, 'կրեդիտ/վարկ');
INSERT INTO `lang_definitions` VALUES (63446, 2312, 13, 'վարկային քարտ');
INSERT INTO `lang_definitions` VALUES (63447, 2314, 13, 'Վարկեր/վարկավորել');
INSERT INTO `lang_definitions` VALUES (63448, 2316, 13, 'Չափանիշներ');
INSERT INTO `lang_definitions` VALUES (63449, 2318, 13, 'Խորվաթերեն');
INSERT INTO `lang_definitions` VALUES (63450, 2319, 13, 'Քրոնիկ հիվանդություն /աղիների քրոնիկ բորբոքային հիվանդություն/');
INSERT INTO `lang_definitions` VALUES (63451, 2320, 13, 'Քրոնիկ հիվանդություն /աղիների քրոնիկ բորբոքային հիվանդություն/');
INSERT INTO `lang_definitions` VALUES (63452, 2323, 13, 'CSV֊ի արտահանում');
INSERT INTO `lang_definitions` VALUES (63453, 2324, 13, 'CSV ֆայլ');
INSERT INTO `lang_definitions` VALUES (63454, 2330, 13, 'խոր/մմ');
INSERT INTO `lang_definitions` VALUES (63455, 2331, 13, 'Կուբանցի');
INSERT INTO `lang_definitions` VALUES (63456, 2333, 13, 'Գումարը տասնորդական միավորներով');
INSERT INTO `lang_definitions` VALUES (63457, 2334, 13, 'Տասնորդական ստորակետի սիմվոլ');
INSERT INTO `lang_definitions` VALUES (63458, 2335, 13, 'Արժույթի ցուցիչ');
INSERT INTO `lang_definitions` VALUES (63459, 2336, 13, 'Գումարի հազարյակի բաժանիչ');
INSERT INTO `lang_definitions` VALUES (63460, 2337, 13, 'Ներկայիս/ Ընթացիկ /սույն');
INSERT INTO `lang_definitions` VALUES (63461, 2338, 13, 'Ալկոհոլի օգտագործման հակումը ներկայում');
INSERT INTO `lang_definitions` VALUES (63462, 2341, 13, 'Ընթացիկ/սույն խորհրդատվություն');
INSERT INTO `lang_definitions` VALUES (63463, 2342, 13, 'Սույն ափանիշը');
INSERT INTO `lang_definitions` VALUES (63464, 2344, 13, 'Ընթացիկ օրն ընդգծելու գույն');
INSERT INTO `lang_definitions` VALUES (63465, 2345, 13, 'Այս պահի դրությամբ/ներկայումս ծխում է ամեն օր');
INSERT INTO `lang_definitions` VALUES (63466, 2347, 13, 'Ֆայլի ներկայիս անունը փոխարինվել է ֊ով');
INSERT INTO `lang_definitions` VALUES (63467, 2349, 13, 'Սույն վանդականիշը');
INSERT INTO `lang_definitions` VALUES (63468, 2350, 13, 'Ներկայիս գտնվելու վայրը');
INSERT INTO `lang_definitions` VALUES (63469, 2352, 13, 'Ներկայիս/ներկա պահին ընդունվող դեղորայքը');
INSERT INTO `lang_definitions` VALUES (63470, 2354, 13, 'Սույն գաղտնաբառը');
INSERT INTO `lang_definitions` VALUES (63471, 2356, 13, 'Սույն պացիենտը');
INSERT INTO `lang_definitions` VALUES (63472, 2361, 13, 'Ընդունված հանգստացնող դեղամիջոցները');
INSERT INTO `lang_definitions` VALUES (63473, 2363, 13, 'Ներկայումս չի ծխում ամեն օր');
INSERT INTO `lang_definitions` VALUES (63474, 2371, 13, 'Ընթացիկ գործունեությունը/Սույն գործողությունը');
INSERT INTO `lang_definitions` VALUES (63475, 2377, 13, 'Ներկա պահին օգնություն չի ցուցաբերվում');
INSERT INTO `lang_definitions` VALUES (63476, 2379, 13, 'Քուշինգի սինդրում');
INSERT INTO `lang_definitions` VALUES (63477, 2390, 13, 'Օգտվողի  մուտք');
INSERT INTO `lang_definitions` VALUES (63478, 2395, 13, 'Օգտվողի  աղյուսակ');
INSERT INTO `lang_definitions` VALUES (63479, 2402, 13, 'CVX կոդ');
INSERT INTO `lang_definitions` VALUES (63480, 2403, 13, 'CVX կոդի ցուցադրում');
INSERT INTO `lang_definitions` VALUES (63481, 2404, 13, 'CVX պատվաստում');
INSERT INTO `lang_definitions` VALUES (63482, 2406, 13, 'Շրջան / ցիկլ');
INSERT INTO `lang_definitions` VALUES (63483, 2412, 13, 'Ցիտոխրոմ P450');
INSERT INTO `lang_definitions` VALUES (63484, 2413, 13, 'Ցիտոխրոմ P451 գործոն');
INSERT INTO `lang_definitions` VALUES (63485, 2414, 13, 'Ցիտոխրոմ P451 զեկույց');
INSERT INTO `lang_definitions` VALUES (63486, 2415, 13, 'Չեխերեն');
INSERT INTO `lang_definitions` VALUES (63487, 2416, 13, 'D');
INSERT INTO `lang_definitions` VALUES (63488, 2420, 13, 'Ծննդյան  ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63489, 2421, 13, 'առօրյա / ամեն օր');
INSERT INTO `lang_definitions` VALUES (63490, 2422, 13, 'օրական/ամենօրյա  գրանցում');
INSERT INTO `lang_definitions` VALUES (63491, 2425, 13, 'Դանիական');
INSERT INTO `lang_definitions` VALUES (63492, 2429, 13, 'Նմանատիպ տվյալ արդեն առկա է  տվյալների բազայում․ փոխեք կոդը և/կամ նկարագրությունը');
INSERT INTO `lang_definitions` VALUES (63493, 2430, 13, 'Նմանատիպ տվյալ արդեն առկա է  տվյալների բազայում․ փոխեք հաստատուն անվանումը');
INSERT INTO `lang_definitions` VALUES (63494, 2431, 13, 'Տվյալների սյունակ');
INSERT INTO `lang_definitions` VALUES (63495, 2434, 13, 'Ամսաթվի սխալ');
INSERT INTO `lang_definitions` VALUES (63496, 2439, 13, 'Տվյալների տիպ');
INSERT INTO `lang_definitions` VALUES (63497, 2440, 13, 'Տվյալների բազա');
INSERT INTO `lang_definitions` VALUES (63498, 2442, 13, 'Տվյալների բազան տեղադրված չէ');
INSERT INTO `lang_definitions` VALUES (63499, 2444, 13, 'Տվյալների բազայի սխալ/ ուղղում');
INSERT INTO `lang_definitions` VALUES (63500, 2445, 13, 'Տվյալների բազայի հաղորդագրություն');
INSERT INTO `lang_definitions` VALUES (63501, 2447, 13, 'Տվյալների բազայի թարմացումն ավարտված է');
INSERT INTO `lang_definitions` VALUES (63502, 2448, 13, 'Տվյալների սյուները պետք է համարակալված լինեն 1-999 թվերի միջակայքում');
INSERT INTO `lang_definitions` VALUES (63503, 2449, 13, 'Տվյալ / Ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63504, 2450, 13, 'ԱՄՍԱԹԻՎ');
INSERT INTO `lang_definitions` VALUES (63505, 2451, 13, 'Ամսաթիվն ու ժամը կարգավորված է');
INSERT INTO `lang_definitions` VALUES (63506, 2452, 13, 'Ամսաթիվ / Ժամ');
INSERT INTO `lang_definitions` VALUES (63507, 2453, 13, 'Ամսաթվի կառավարում');
INSERT INTO `lang_definitions` VALUES (63508, 2454, 13, 'Նմուշի վերցման ամսաթիվ և ժամ');
INSERT INTO `lang_definitions` VALUES (63509, 2455, 13, 'Սույն հետազոտության ամսաթիվն ու ժամը');
INSERT INTO `lang_definitions` VALUES (63510, 2456, 13, 'Սույն հաշվետվության ամսաթիվն ու ժամը');
INSERT INTO `lang_definitions` VALUES (63511, 2457, 13, 'Բիոնյութի վերցման ամսաթիվն ու ժամը');
INSERT INTO `lang_definitions` VALUES (63512, 2458, 13, 'Ամսաթիվը չի կարող այսօրվանից բարձր լինել');
INSERT INTO `lang_definitions` VALUES (63513, 2459, 13, 'Նախնապես տրամադրված հակաբեղմնավորիչ ծառայության ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63514, 2460, 13, 'Ստեղծման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63515, 2461, 13, 'Մահվան ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63516, 2462, 13, 'Ոչնչացման / ջնջման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63517, 2463, 13, 'Ամսաթվի ցուցադրման ֆորմատ');
INSERT INTO `lang_definitions` VALUES (63518, 2464, 13, '\"Այցի ավարտի\" ասմաթվի ֆորմատը վավեր չէ');
INSERT INTO `lang_definitions` VALUES (63519, 2465, 13, '\"Այցի սկիզբ\" ասմաթվի ֆորմատը վավեր չէ');
INSERT INTO `lang_definitions` VALUES (63520, 2466, 13, '\"Հաջորդ այցի\" ասմաթվի ֆորմատը վավեր չէ');
INSERT INTO `lang_definitions` VALUES (63521, 2467, 13, '\"Չի տեսնվել սկսած տտ-աա-օօ֊ից \" ասմաթվի ֆորմատը վավեր չէ');
INSERT INTO `lang_definitions` VALUES (63522, 2469, 13, '\"տտ-աա-օօ֊ից ի վեր տեսնվել է\" ասմաթվի ֆորմատը վավեր չէ');
INSERT INTO `lang_definitions` VALUES (63523, 2470, 13, 'Պատվաստման վերաբերյալ տրամադրված տեղեկանքի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63524, 2471, 13, 'Կոդի ամսաթիվը բացակայում է');
INSERT INTO `lang_definitions` VALUES (63525, 2472, 13, 'Ասմաթվի հիմնական չափանիշներ');
INSERT INTO `lang_definitions` VALUES (63526, 2475, 13, 'Բանկային դեպոզիտի/ավանդի ամսաթիվ /տտ-աա-օօ/');
INSERT INTO `lang_definitions` VALUES (63527, 2476, 13, 'Վճարաման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63528, 2477, 13, 'Ծննդյան ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63529, 2478, 13, 'Ծննդյան ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63530, 2479, 13, 'Ծննդյան ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63531, 2481, 13, 'Մուտքի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63532, 2483, 13, 'Վնասվածքն ստանալու ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63533, 2484, 13, 'Ընդունման/մեկնարկի  ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63534, 2487, 13, 'Վճարաման ամսաթիվ /տտ-աա-օօ/');
INSERT INTO `lang_definitions` VALUES (63535, 2489, 13, 'Ուղեգրի տրամադրման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63536, 2491, 13, 'Պատասխանի տրամադրման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63537, 2492, 13, 'Հաշվետվության ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63538, 2493, 13, 'Բուժօգնության տրամադրման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63539, 2495, 13, 'Ծառայության տրամադրման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63540, 2496, 13, 'Ծառայության տրամադրման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63541, 2498, 13, 'Ծառայության տրամադրման ամսաթիվ /տտ-աա-օօ/');
INSERT INTO `lang_definitions` VALUES (63542, 2499, 13, 'Ծառայության տրամադրման ամսաթիվ։');
INSERT INTO `lang_definitions` VALUES (63543, 2500, 13, 'Ստորագրման  մասաթիվ');
INSERT INTO `lang_definitions` VALUES (63544, 2501, 13, 'Կարգավիճակի փոփոխման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63545, 2503, 13, 'Սույն նշանակման  ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (63546, 2504, 13, 'Սույն հաշվետվության  ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (63547, 2505, 13, 'Պատվաստումների Տեղեկատվական Հայտարարության/Հաշվետվության  ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63548, 2506, 13, 'Նշանակման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63549, 2507, 13, 'Ամսաթվի միջակայք');
INSERT INTO `lang_definitions` VALUES (63550, 2508, 13, 'Ամսաթվի ընտրիչ');
INSERT INTO `lang_definitions` VALUES (63551, 2509, 13, 'ամսաթվի սելեկտոր/ընտրություն');
INSERT INTO `lang_definitions` VALUES (63552, 2510, 13, 'Ուղարկման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63553, 2511, 13, 'Հաղորդագրության ուղարկման ամսաթիվ / ուղարկված հաղորդագրության ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63554, 2512, 13, 'Ամսաթիվ Ժամ');
INSERT INTO `lang_definitions` VALUES (63555, 2513, 13, 'Ամսաթվի արժեքը չպետք է դատարկ լինի');
INSERT INTO `lang_definitions` VALUES (63556, 2516, 13, 'Ամսաթիվ / այց․');
INSERT INTO `lang_definitions` VALUES (63557, 2517, 13, 'Ամսաթիվ / Գրառում');
INSERT INTO `lang_definitions` VALUES (63558, 2518, 13, 'Վերջին ամսաթիվ / գրառում');
INSERT INTO `lang_definitions` VALUES (63559, 2519, 13, 'Ամսաթիվ / ժամ');
INSERT INTO `lang_definitions` VALUES (63560, 2520, 13, 'Ամսաթիվ։');
INSERT INTO `lang_definitions` VALUES (63561, 2523, 13, 'Հին հաղորդագրությունների մատյան');
INSERT INTO `lang_definitions` VALUES (63562, 2526, 13, 'Օր');
INSERT INTO `lang_definitions` VALUES (63563, 2527, 13, 'օր');
INSERT INTO `lang_definitions` VALUES (63564, 2529, 13, 'Օրակարգի հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (63565, 2530, 13, 'Օրվա դիտարկում');
INSERT INTO `lang_definitions` VALUES (63566, 2531, 13, 'Օր(եր)');
INSERT INTO `lang_definitions` VALUES (63567, 2532, 13, 'Օր(եր) Երկ֊Ուրբ');
INSERT INTO `lang_definitions` VALUES (63568, 2533, 13, 'օրեր');
INSERT INTO `lang_definitions` VALUES (63569, 2534, 13, 'Օրեր');
INSERT INTO `lang_definitions` VALUES (63570, 2535, 13, 'օրեր առաջ');
INSERT INTO `lang_definitions` VALUES (63571, 2536, 13, 'Բաց թողնված  օրեր ու ծրագրեր');
INSERT INTO `lang_definitions` VALUES (63572, 2537, 13, 'Նախորդ հանդիպումից անցած օրեր');
INSERT INTO `lang_definitions` VALUES (63573, 2538, 13, 'Բաց թողնված  օրեր');
INSERT INTO `lang_definitions` VALUES (63574, 2541, 13, 'Սյունակումեղած օրերի քանակը։');
INSERT INTO `lang_definitions` VALUES (63575, 2542, 13, 'Օրեր/Սյուներ');
INSERT INTO `lang_definitions` VALUES (63576, 2543, 13, 'Օրեր/Սյուն․');
INSERT INTO `lang_definitions` VALUES (63577, 2544, 13, 'ՏԲ֊ն տեղադրված է');
INSERT INTO `lang_definitions` VALUES (63578, 2545, 13, 'ՏՏ/ԱԱ/ՕՕ');
INSERT INTO `lang_definitions` VALUES (63579, 2546, 13, 'Նույնականացման կրկնության կանխում');
INSERT INTO `lang_definitions` VALUES (63580, 2547, 13, 'Ապանույնականացման պրոցեսն ավարտված է');
INSERT INTO `lang_definitions` VALUES (63581, 2548, 13, 'Ապանույնականացման պրոցեսն ընթացքի մեջ է');
INSERT INTO `lang_definitions` VALUES (63582, 2549, 13, 'Ապանույնականացման պրոցեսն սկսված է և շարունակվում է հետին պլանում');
INSERT INTO `lang_definitions` VALUES (63583, 2550, 13, 'Հնարավոր չէ լրացնել ապանույնականացման տվյալները');
INSERT INTO `lang_definitions` VALUES (63584, 2551, 13, 'Ապանույնականացման տվյալները կպահպանվեն ֊ում');
INSERT INTO `lang_definitions` VALUES (63585, 2552, 13, 'Թմրանյութերի Դեմ Պայքարի ԿառավարումՎարչություն');
INSERT INTO `lang_definitions` VALUES (63586, 2555, 13, 'Ապաակտիվացնել');
INSERT INTO `lang_definitions` VALUES (63587, 2558, 13, 'Խուլ');
INSERT INTO `lang_definitions` VALUES (63588, 2562, 13, 'Ճշգրտված ինֆորմացիա');
INSERT INTO `lang_definitions` VALUES (63589, 2565, 13, 'Դեկ․');
INSERT INTO `lang_definitions` VALUES (63590, 2567, 13, 'ՎԱԽՃԱՆՎԱԾ / ՄԱՀԱՑԱԾ');
INSERT INTO `lang_definitions` VALUES (63591, 2574, 13, 'Դեկտեմբեր');
INSERT INTO `lang_definitions` VALUES (63592, 2578, 13, 'Տասնորդական ֆունտ կամ ֆունտ ու ունցիան առանձնացված են # (օր․ 5#4)');
INSERT INTO `lang_definitions` VALUES (63593, 2579, 13, 'Հստակեցումը մերժված է');
INSERT INTO `lang_definitions` VALUES (63594, 2580, 13, 'Նվազեցում / Նվազելի');
INSERT INTO `lang_definitions` VALUES (63595, 2581, 13, 'Նվազեցման կատարում');
INSERT INTO `lang_definitions` VALUES (63596, 2583, 13, 'Սկզբնական տարբերակ');
INSERT INTO `lang_definitions` VALUES (63597, 2585, 13, 'Սկզբնական տարբերակի օրացույցի տեսք');
INSERT INTO `lang_definitions` VALUES (63598, 2587, 13, 'Այցի սկզբնական տարբերակի ֆորմայի ID');
INSERT INTO `lang_definitions` VALUES (63599, 2588, 13, 'Այցի/հանդիպման դեֆոլթ տարբերակի տեսքը');
INSERT INTO `lang_definitions` VALUES (63600, 2589, 13, 'Ծառայության սկզբնական տարբերակ');
INSERT INTO `lang_definitions` VALUES (63601, 2594, 13, 'Սկզբնական լեզու');
INSERT INTO `lang_definitions` VALUES (63602, 2595, 13, 'Հիմնական լեզու․ եթե այլ լեզու թույլատրված կամ ընտրված չէ');
INSERT INTO `lang_definitions` VALUES (63603, 2598, 13, 'Հիմնական ցանկ /գրել, ավելացնել ըստ ցանկության/');
INSERT INTO `lang_definitions` VALUES (63604, 2600, 13, 'Հիմնական մեթոդ');
INSERT INTO `lang_definitions` VALUES (63605, 2601, 13, 'Գաղտնաբառի վավերականության օրը  ըստ նախնականի');
INSERT INTO `lang_definitions` VALUES (63606, 2602, 13, 'Գաղտնաբառի վավերականության ժամկետն օրերով ըստ նախնականի');
INSERT INTO `lang_definitions` VALUES (63607, 2603, 13, 'Պացիենտի երկիրը');
INSERT INTO `lang_definitions` VALUES (63608, 2604, 13, 'Պացիենտի երկիրը  NewCrop eRx-ում դրվում է դեֆոլտ տարբերակով, եթե այն նշված չէ');
INSERT INTO `lang_definitions` VALUES (63609, 2606, 13, 'Առաջնայնություն');
INSERT INTO `lang_definitions` VALUES (63610, 2607, 13, 'Մասնագետ');
INSERT INTO `lang_definitions` VALUES (63611, 2609, 13, 'Միջակայք');
INSERT INTO `lang_definitions` VALUES (63612, 2610, 13, 'Այցի պատճառը');
INSERT INTO `lang_definitions` VALUES (63613, 2612, 13, 'Սովորական որոնման կոդ');
INSERT INTO `lang_definitions` VALUES (63614, 2615, 13, 'Կարգավորումներ');
INSERT INTO `lang_definitions` VALUES (63615, 2617, 13, 'Պացիենտի ցանկում \"Նոր պատուհան\"֊ի մակնշման վանդակի կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (63616, 2618, 13, 'Նմուշ');
INSERT INTO `lang_definitions` VALUES (63617, 2624, 13, 'Չափման միավորը');
INSERT INTO `lang_definitions` VALUES (63618, 2626, 13, 'Նշանակությունը');
INSERT INTO `lang_definitions` VALUES (63619, 2628, 13, 'Պահեստ');
INSERT INTO `lang_definitions` VALUES (63620, 2629, 13, 'Գործընկեր X12');
INSERT INTO `lang_definitions` VALUES (63621, 2630, 13, 'Նախնական / Գլոբալ');
INSERT INTO `lang_definitions` VALUES (63622, 2635, 13, 'Ջնջել');
INSERT INTO `lang_definitions` VALUES (63623, 2636, 13, 'ջնջել');
INSERT INTO `lang_definitions` VALUES (63624, 2637, 13, 'Հետաձգված Կրկնություն (> 12 Mo)');
INSERT INTO `lang_definitions` VALUES (63625, 2638, 13, 'Ջնջել');
INSERT INTO `lang_definitions` VALUES (63626, 2639, 13, 'Ջնջել');
INSERT INTO `lang_definitions` VALUES (63627, 2640, 13, 'Ջնջել կատեգորիաները ID-ներով');
INSERT INTO `lang_definitions` VALUES (63628, 2641, 13, 'Ջնջել կատեգորիան');
INSERT INTO `lang_definitions` VALUES (63629, 2643, 13, 'Ջնջել հանդիպման/այցի ձևը');
INSERT INTO `lang_definitions` VALUES (63630, 2644, 13, 'Չհաջողվեց ջնջել');
INSERT INTO `lang_definitions` VALUES (63631, 2645, 13, 'Ջնջել խումբը');
INSERT INTO `lang_definitions` VALUES (63632, 2646, 13, 'Ջնջել ցանկը');
INSERT INTO `lang_definitions` VALUES (63633, 2648, 13, 'Ջնջել էջերը');
INSERT INTO `lang_definitions` VALUES (63634, 2649, 13, 'Ջնջել Պացիենտին, Հանդիպումը, Ձևը, Խնդիրը, Փաստաթուղթը, Վճարումը, հաշիվը կամ գործարքը');
INSERT INTO `lang_definitions` VALUES (63635, 2650, 13, 'Ջնջել պլանը');
INSERT INTO `lang_definitions` VALUES (63636, 2651, 13, 'Ջնջել տողը');
INSERT INTO `lang_definitions` VALUES (63637, 2652, 13, 'Ջնջել ընտրված կետերը');
INSERT INTO `lang_definitions` VALUES (63638, 2653, 13, 'Ջնջել ընտրված պահանջները');
INSERT INTO `lang_definitions` VALUES (63639, 2655, 13, 'Ջնջված է');
INSERT INTO `lang_definitions` VALUES (63640, 2656, 13, 'Ջնջել սույն փաստաթուղթը');
INSERT INTO `lang_definitions` VALUES (63641, 2657, 13, 'Ջնջել սույն ձևաչափը');
INSERT INTO `lang_definitions` VALUES (63642, 2659, 13, 'Ջնջել սույն գրառումը');
INSERT INTO `lang_definitions` VALUES (63643, 2660, 13, 'Ջնջված է');
INSERT INTO `lang_definitions` VALUES (63644, 2661, 13, 'Ջնջված է');
INSERT INTO `lang_definitions` VALUES (63645, 2662, 13, 'Ջնջվում է');
INSERT INTO `lang_definitions` VALUES (63646, 2663, 13, 'Հնարավոր չէ չեղարկել այս իրադարձության հեռացումը․ ջնջելուց հետո հնարավոր չէ այն վերականգնել։  Վստա՞հ եք, որ ուզում եք ջնջել սույն իրադարձությունը');
INSERT INTO `lang_definitions` VALUES (63647, 2666, 13, 'Առաքումն/ուղարկումն հաստատված է');
INSERT INTO `lang_definitions` VALUES (63648, 2667, 13, 'Նշված անձնական հասցեին առաքում/ուղարկում չի թույլատրվում');
INSERT INTO `lang_definitions` VALUES (63649, 2668, 13, 'Նշված անձնական հասցեին առաքում/ուղարկում այս պահին  թույլատրված չէ');
INSERT INTO `lang_definitions` VALUES (63650, 2669, 13, 'Բժշկական փաստաթուղթը կցվել է Պացիենտի պահանջով');
INSERT INTO `lang_definitions` VALUES (63651, 2670, 13, 'Բժշկական փաստաթուղթը կցվել է Պացիենտի պահանջով');
INSERT INTO `lang_definitions` VALUES (63652, 2673, 13, 'Անձնական տվյալներ');
INSERT INTO `lang_definitions` VALUES (63653, 2674, 13, 'Անձնական տվյալներ (նշել, ավելացնել ըստ ցանկության)');
INSERT INTO `lang_definitions` VALUES (63654, 2677, 13, 'Անձնական տվյալների դաշտեր');
INSERT INTO `lang_definitions` VALUES (63655, 2678, 13, 'Անձնական տվյալների ֆիլտրման չափանիշներ');
INSERT INTO `lang_definitions` VALUES (63656, 2680, 13, 'Անձնական տվյալների հասանելությունն առկա չէ');
INSERT INTO `lang_definitions` VALUES (63657, 2681, 13, 'Անձնական տվյալների հասանելությունն առկա չէ');
INSERT INTO `lang_definitions` VALUES (63658, 2682, 13, 'Մերժված է');
INSERT INTO `lang_definitions` VALUES (63659, 2684, 13, 'Բաժանարար/հայտարար');
INSERT INTO `lang_definitions` VALUES (63660, 2687, 13, 'Ատամնաբուժություն / ստոմատոլոգիա');
INSERT INTO `lang_definitions` VALUES (63661, 2688, 13, 'Ատամնաբուժական / Ստոմատոլոգիական խնդիրների ցանկ');
INSERT INTO `lang_definitions` VALUES (63662, 2689, 13, 'Ատամնաբուժական / Ստոմատոլոգիական խնդիրներ');
INSERT INTO `lang_definitions` VALUES (63663, 2691, 13, 'Կախվածության մոդուլներ');
INSERT INTO `lang_definitions` VALUES (63664, 2692, 13, 'Կախվածության  խնդիրներ');
INSERT INTO `lang_definitions` VALUES (63665, 2696, 13, 'Դեպոզիտի / ավանդի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63666, 2697, 13, 'Դեպոզիտի / ավանդի ամսաթիվը չի կարօղ այսօրվանից բարձր լինել');
INSERT INTO `lang_definitions` VALUES (63667, 2698, 13, 'Դեպոզիտի ամսաթիվ։');
INSERT INTO `lang_definitions` VALUES (63668, 2699, 13, 'Ճնշված / իջեցված');
INSERT INTO `lang_definitions` VALUES (63669, 2700, 13, 'Դեպրեսիա /ընկճվածություն');
INSERT INTO `lang_definitions` VALUES (63670, 2705, 13, 'DESC');
INSERT INTO `lang_definitions` VALUES (63671, 2706, 13, 'Նկարագրություն');
INSERT INTO `lang_definitions` VALUES (63672, 2707, 13, 'նկարագրություն');
INSERT INTO `lang_definitions` VALUES (63673, 2708, 13, 'Նկարագրությունը դեֆոլէ տեքստ է');
INSERT INTO `lang_definitions` VALUES (63674, 2709, 13, 'Հրապարակման նկարագրություն');
INSERT INTO `lang_definitions` VALUES (63675, 2710, 13, 'Այս միջամտության նարագիրը կամ արդյունքի կոդը');
INSERT INTO `lang_definitions` VALUES (63676, 2711, 13, 'Նկարագրության թարգմանություն');
INSERT INTO `lang_definitions` VALUES (63677, 2712, 13, 'Ֆայլի նախընտրելի անվանումը');
INSERT INTO `lang_definitions` VALUES (63678, 2713, 13, 'Նշանակման վայր');
INSERT INTO `lang_definitions` VALUES (63679, 2714, 13, 'Ֆայլի նախընտրելի անվանումը');
INSERT INTO `lang_definitions` VALUES (63680, 2716, 13, 'Ոչնչացնել փաթեթը');
INSERT INTO `lang_definitions` VALUES (63681, 2717, 13, 'Ոչնչացնել');
INSERT INTO `lang_definitions` VALUES (63682, 2718, 13, 'Ոչնչացված է');
INSERT INTO `lang_definitions` VALUES (63683, 2719, 13, 'Ոչնչացված դեղամիջոցներ');
INSERT INTO `lang_definitions` VALUES (63684, 2720, 13, 'Դեղերի ոչնչացման հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (63685, 2721, 13, 'Մանրամասն');
INSERT INTO `lang_definitions` VALUES (63686, 2726, 13, 'Մանրամասներ');
INSERT INTO `lang_definitions` VALUES (63687, 2727, 13, 'Ծրագրավորող');
INSERT INTO `lang_definitions` VALUES (63688, 2728, 13, 'Նորմայի շարունակական շեղում / Զարգացող խանգարում');
INSERT INTO `lang_definitions` VALUES (63689, 2730, 13, 'Դիաբետ / Շաքարախտ');
INSERT INTO `lang_definitions` VALUES (63690, 2731, 13, 'Շաքարային դիաբետ');
INSERT INTO `lang_definitions` VALUES (63691, 2732, 13, 'Դաիբետ։ Արյան ճնշման հսկողություն  (CQM)');
INSERT INTO `lang_definitions` VALUES (63692, 2733, 13, 'Դիաբետ։ Աչքերի հետազոտություն');
INSERT INTO `lang_definitions` VALUES (63693, 2734, 13, 'Դիաբետ։ Աչքերի հետազոտություն  (CQM)');
INSERT INTO `lang_definitions` VALUES (63694, 2735, 13, 'Դիաբետ։ Ոտնաթաթի հետազոտություն');
INSERT INTO `lang_definitions` VALUES (63695, 2736, 13, 'Դիաբետ։ Ոտնաթաթի հետազոտություն (CQM)');
INSERT INTO `lang_definitions` VALUES (63696, 2737, 13, 'Դիաբետ: HbA1c Poor Control (CQM)');
INSERT INTO `lang_definitions` VALUES (63697, 2738, 13, 'Դիաբետ: Հեմոգլոբին A1C');
INSERT INTO `lang_definitions` VALUES (63698, 2739, 13, 'Դիաբետ: Ցածր խտության լիպոպրոտեինի հսկողություն  (CQM)');
INSERT INTO `lang_definitions` VALUES (63699, 2740, 13, 'Դիաբետ: Մեզի միկրոալբումին');
INSERT INTO `lang_definitions` VALUES (63700, 2741, 13, 'Ախտ֊ում');
INSERT INTO `lang_definitions` VALUES (63701, 2742, 13, 'Ախտորոշումներ');
INSERT INTO `lang_definitions` VALUES (63702, 2743, 13, 'Ախտորոշում');
INSERT INTO `lang_definitions` VALUES (63703, 2744, 13, 'Ախտորոշման կոդ');
INSERT INTO `lang_definitions` VALUES (63704, 2745, 13, 'Ախտորոշման կոդեր');
INSERT INTO `lang_definitions` VALUES (63705, 2747, 13, 'Ախտորոշման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63706, 2749, 13, 'Ախտորոշումը  պետք է կոդավորվի՝ այցելության  հետ կապելու համար');
INSERT INTO `lang_definitions` VALUES (63707, 2750, 13, 'Ախտորոշման անվանում');
INSERT INTO `lang_definitions` VALUES (63708, 2751, 13, 'Ախտորոշման հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (63709, 2752, 13, 'Ախտորոշման հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (63710, 2753, 13, 'Միայն ախտորոշման հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (63711, 2754, 13, 'Ախտորոշման անունը');
INSERT INTO `lang_definitions` VALUES (63712, 2755, 13, 'Ախտորոշում։');
INSERT INTO `lang_definitions` VALUES (63713, 2756, 13, 'Ախտորոշում։');
INSERT INTO `lang_definitions` VALUES (63714, 2758, 13, 'Ախտորոշիչ հետազոտություններ');
INSERT INTO `lang_definitions` VALUES (63715, 2760, 13, 'Դիալիզ');
INSERT INTO `lang_definitions` VALUES (63716, 2763, 13, 'Պարկուճներ / կափարիչներ');
INSERT INTO `lang_definitions` VALUES (63717, 2764, 13, 'Փորլուծություն');
INSERT INTO `lang_definitions` VALUES (63718, 2765, 13, 'Դիաստոլիկ');
INSERT INTO `lang_definitions` VALUES (63719, 2767, 13, 'Թելադրանք');
INSERT INTO `lang_definitions` VALUES (63720, 2768, 13, 'Թելադրանք։');
INSERT INTO `lang_definitions` VALUES (63721, 2769, 13, 'Դուք ստացե՞լ եք HIPAA ծանուցման կրկնօրինակը');
INSERT INTO `lang_definitions` VALUES (63722, 2770, 13, 'Տարածվել');
INSERT INTO `lang_definitions` VALUES (63723, 2771, 13, 'Թվային ստորագրությամբ');
INSERT INTO `lang_definitions` VALUES (63724, 2778, 13, 'ՈՒՂԻՂ/ԱՆՁՆԱԿԱՆ  ՀԱՍՑԵ');
INSERT INTO `lang_definitions` VALUES (63725, 2779, 13, 'Ուղիղ/Անձնական հասցե');
INSERT INTO `lang_definitions` VALUES (63726, 2781, 13, 'Ուղարկել նամակ');
INSERT INTO `lang_definitions` VALUES (63727, 2782, 13, 'Անձնական հաղորդագրության մուտք/գրանցում');
INSERT INTO `lang_definitions` VALUES (63728, 2783, 13, 'Անձնական հաղորդագրությունն ստացված է');
INSERT INTO `lang_definitions` VALUES (63729, 2784, 13, 'Այս պահին հնարավոր չէ ուղարկել անձնական հաղորդագրություն');
INSERT INTO `lang_definitions` VALUES (63730, 2785, 13, 'Անձնական հաղորդագրության ուղարկումը ձախողվեց');
INSERT INTO `lang_definitions` VALUES (63731, 2786, 13, 'Ուղղություններ');
INSERT INTO `lang_definitions` VALUES (63732, 2787, 13, 'Ղեկավարի ազգանունը');
INSERT INTO `lang_definitions` VALUES (63733, 2788, 13, 'Տեղեկագրքի/հասցեագրքի հեռացումը ձախողվեց․ շարունակվում է');
INSERT INTO `lang_definitions` VALUES (63734, 2789, 13, 'Անաշխատունակություն / հաշմանդամություն');
INSERT INTO `lang_definitions` VALUES (63735, 2790, 13, 'Կասեցնել / անջատել');
INSERT INTO `lang_definitions` VALUES (63736, 2794, 13, 'Անջատել օրացույցը');
INSERT INTO `lang_definitions` VALUES (63737, 2795, 13, 'Անջատել/կասեցնել քարտի հետևողականության ֆունկցիան');
INSERT INTO `lang_definitions` VALUES (63738, 2798, 13, 'Անջատել պատվաստումների ֆունկցիան');
INSERT INTO `lang_definitions` VALUES (63739, 2800, 13, 'Անջատել կենսական նշանակության օրգանների հին չափման ձևը');
INSERT INTO `lang_definitions` VALUES (63740, 2802, 13, 'Անջատել phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (63741, 2803, 13, 'Անջատել դեղատոմսերի ֆունկցիան');
INSERT INTO `lang_definitions` VALUES (63742, 2804, 13, 'Անջատել (Օգտվողի) Խմբերը');
INSERT INTO `lang_definitions` VALUES (63743, 2805, 13, 'անջատված/կասեցված է');
INSERT INTO `lang_definitions` VALUES (63744, 2806, 13, 'Անջատված/կասեցված է');
INSERT INTO `lang_definitions` VALUES (63745, 2807, 13, 'Առողջապահական Պլանավորման Մեծ Խմբի մինչև 65 տարեկան հաշմանդամ շահառուներ');
INSERT INTO `lang_definitions` VALUES (63746, 2812, 13, 'DISC');
INSERT INTO `lang_definitions` VALUES (63747, 2813, 13, 'Հեռացնել');
INSERT INTO `lang_definitions` VALUES (63748, 2814, 13, 'Հեռացված ՝');
INSERT INTO `lang_definitions` VALUES (63749, 2815, 13, 'Արտահոսք');
INSERT INTO `lang_definitions` VALUES (63750, 2816, 13, 'Արտահոսք միզուկից / Միզուկի արտազատուկ');
INSERT INTO `lang_definitions` VALUES (63751, 2817, 13, 'Դեղորայքի դադարեցում');
INSERT INTO `lang_definitions` VALUES (63752, 2818, 13, 'Դուրս է գրվել առողջացումով');
INSERT INTO `lang_definitions` VALUES (63753, 2819, 13, 'Դուրս է գրվել առողջացումով։');
INSERT INTO `lang_definitions` VALUES (63754, 2822, 13, 'Դուրսգրման ժամ');
INSERT INTO `lang_definitions` VALUES (63755, 2823, 13, 'Դուրս է գրվել');
INSERT INTO `lang_definitions` VALUES (63756, 2825, 13, 'Հրապարակված/Բացահայտված տեղեկատվություն');
INSERT INTO `lang_definitions` VALUES (63757, 2826, 13, 'Հրապարակման տեսակը');
INSERT INTO `lang_definitions` VALUES (63758, 2827, 13, 'Հրապարակման տեսակները');
INSERT INTO `lang_definitions` VALUES (63759, 2828, 13, 'Հրապարակումներ');
INSERT INTO `lang_definitions` VALUES (63760, 2832, 13, 'Չշարունակել');
INSERT INTO `lang_definitions` VALUES (63761, 2833, 13, 'Զեղչ');
INSERT INTO `lang_definitions` VALUES (63762, 2834, 13, 'Զեղչի գումարը');
INSERT INTO `lang_definitions` VALUES (63763, 2835, 13, 'Զեղչի մակարդակը');
INSERT INTO `lang_definitions` VALUES (63764, 2836, 13, 'Զաղչի տոկոսային հարաբերությունը');
INSERT INTO `lang_definitions` VALUES (63765, 2837, 13, 'Զեղչը որպես դրամական առժեք');
INSERT INTO `lang_definitions` VALUES (63766, 2838, 13, 'Զեղչերը դրամարկղային ձևակերպումներում հաշվարկվում են ոչ թե տոկոսային, այլ  գումարային արժեքով');
INSERT INTO `lang_definitions` VALUES (63767, 2839, 13, 'Առանձին արդյունք');
INSERT INTO `lang_definitions` VALUES (63768, 2841, 13, 'Հիվանդություն');
INSERT INTO `lang_definitions` VALUES (63769, 2843, 13, 'Հոդախախտ');
INSERT INTO `lang_definitions` VALUES (63770, 2847, 13, 'Ուղրկ․ #');
INSERT INTO `lang_definitions` VALUES (63771, 2848, 13, 'Առաքում / ուղարկում');
INSERT INTO `lang_definitions` VALUES (63772, 2849, 13, 'Ստացած փաստաթղթի առաքում/ուղարկում');
INSERT INTO `lang_definitions` VALUES (63773, 2853, 13, 'Տրամադրված է/Բաշխված է/ ելքագրված է');
INSERT INTO `lang_definitions` VALUES (63774, 2856, 13, 'Ժողովրդագրական/անձնական տվյալների էջում ցուցադրել լրացման հրահանգներ');
INSERT INTO `lang_definitions` VALUES (63775, 2858, 13, 'Ցուցադրել փաստաթղթերը');
INSERT INTO `lang_definitions` VALUES (63776, 2859, 13, 'Իրադարձության ամսաթիվը ցուցադրե՞լ վանդակում');
INSERT INTO `lang_definitions` VALUES (63777, 2860, 13, 'Ամերիկյան քաշերի ցուցադրման ձև');
INSERT INTO `lang_definitions` VALUES (63778, 2861, 13, 'Քանի՞ իրադարձություն ցուցադրել');
INSERT INTO `lang_definitions` VALUES (63779, 2863, 13, 'Վաճառքի/Ծառայությունների մատուցման հաշվետվության մեջ ցույց տալ Հաշիվ-ապրանքագրի համար և/կամ պացիենտի անունը կամ երկուսն էլ');
INSERT INTO `lang_definitions` VALUES (63780, 2865, 13, 'Ցուցադրե՞լ  գտնվելու վայրը բլոկում');
INSERT INTO `lang_definitions` VALUES (63781, 2866, 13, 'Ցուցադրել անունը');
INSERT INTO `lang_definitions` VALUES (63782, 2868, 13, 'Ցուցադրե՞լ  օրացույցը');
INSERT INTO `lang_definitions` VALUES (63783, 2870, 13, 'Վճարման պատուհանում ցույց տալ այցի վճարման գրառումը և/կամ Պացիենտի անունը կամ երկուսն էլ');
INSERT INTO `lang_definitions` VALUES (63784, 2874, 13, 'Վճարման պատուհանում ցույց տալ միավորների սյուները');
INSERT INTO `lang_definitions` VALUES (63785, 2875, 13, 'Ցուցադրե՞լ  այսօրվա իրադարձությունները բլոկում');
INSERT INTO `lang_definitions` VALUES (63786, 2876, 13, 'Ցուցադրե՞լ  թեման / բաժինը բլոկում');
INSERT INTO `lang_definitions` VALUES (63787, 2877, 13, 'Ցուցադրե՞լ  գալիք/առաջիկա իրադարձությունները բլոկում');
INSERT INTO `lang_definitions` VALUES (63788, 2879, 13, 'Ցուցադրված սյունակներ');
INSERT INTO `lang_definitions` VALUES (63789, 2880, 13, 'Ցուցադրված է ամենավերջին հետևյալ  հրապարակումները');
INSERT INTO `lang_definitions` VALUES (63790, 2882, 13, 'Ցուցադրված է ամենավերջին հետևյալ  գրառումները');
INSERT INTO `lang_definitions` VALUES (63791, 2883, 13, 'Ցուցադրված է ամենավերջին հետևյալ  գրառումները։');
INSERT INTO `lang_definitions` VALUES (63792, 2890, 13, 'Տրամադրում /Բաշխում');
INSERT INTO `lang_definitions` VALUES (63793, 2891, 13, 'Տրամադրում /Բաշխում');
INSERT INTO `lang_definitions` VALUES (63794, 2892, 13, 'Դիստրիբյուտոր');
INSERT INTO `lang_definitions` VALUES (63795, 2897, 13, 'Դիվերտիկուլիտ');
INSERT INTO `lang_definitions` VALUES (63796, 2898, 13, 'Դիվերտիկուլիտի վիրահատություն');
INSERT INTO `lang_definitions` VALUES (63797, 2899, 13, 'Դիվերտիկուլիտ');
INSERT INTO `lang_definitions` VALUES (63798, 2900, 13, 'Դիվերտիկուլիտի վիրահատություն');
INSERT INTO `lang_definitions` VALUES (63799, 2901, 13, 'Բաժանված/Ամուսնալուծված');
INSERT INTO `lang_definitions` VALUES (63800, 2902, 13, 'Գլխապտույտ։');
INSERT INTO `lang_definitions` VALUES (63801, 2905, 13, 'Չփոխե՛լ');
INSERT INTO `lang_definitions` VALUES (63802, 2906, 13, 'Չցուցադրել NewCrop eRx այցելելուց հետո վերբեռնած  Ալլերգիաները');
INSERT INTO `lang_definitions` VALUES (63803, 2907, 13, 'Չցուցադրել NewCrop-ում վերբեռնած  Ալլերգիան');
INSERT INTO `lang_definitions` VALUES (63804, 2908, 13, 'Չցուցադրել  NewCrop eRx այցելելուց հետո  վերբեռնած  Դեղորայքը');
INSERT INTO `lang_definitions` VALUES (63805, 2909, 13, 'Չցուցադրել NewCrop-ում վերբեռնած  Դեղորայքը');
INSERT INTO `lang_definitions` VALUES (63806, 2910, 13, 'Չցուցադրել NewCrop eRx-ում վերբեռնած  Ալլերգիան');
INSERT INTO `lang_definitions` VALUES (63807, 2911, 13, 'Չցուցադրել NewCrop eRx-ում վերբեռնած  Դեղորայքը');
INSERT INTO `lang_definitions` VALUES (63808, 2912, 13, 'Չցուցադրել օրացույցը');
INSERT INTO `lang_definitions` VALUES (63809, 2913, 13, 'Չցուցադրել պացիենտի վճարման պատուհանը');
INSERT INTO `lang_definitions` VALUES (63810, 2916, 13, 'Չգույքագրել և չվաճառել որևէ ապրանք');
INSERT INTO `lang_definitions` VALUES (63811, 2919, 13, 'Պացիենտի գրառումների համար լիազորություն չի պահանջվում');
INSERT INTO `lang_definitions` VALUES (63812, 2920, 13, '\"Չվերակենդանացնել\" հրաման');
INSERT INTO `lang_definitions` VALUES (63813, 2921, 13, 'չպահպանել');
INSERT INTO `lang_definitions` VALUES (63814, 2922, 13, 'չփոխարինե՛լ');
INSERT INTO `lang_definitions` VALUES (63815, 2925, 13, 'ոչինչ չանել');
INSERT INTO `lang_definitions` VALUES (63816, 2928, 13, 'Իսկապե՞ս ուզում եք շարունակել');
INSERT INTO `lang_definitions` VALUES (63817, 2929, 13, 'Իսկապե՞ս ուզում եք ջնջել');
INSERT INTO `lang_definitions` VALUES (63818, 2930, 13, 'Իսկապե՞ս ուզում եք ջնջել ըտրվածը');
INSERT INTO `lang_definitions` VALUES (63819, 2931, 13, 'Իսկապե՞ս ուզում եք ջնջել խումբը');
INSERT INTO `lang_definitions` VALUES (63820, 2932, 13, 'Իսկապե՞ս ուզում եք ջնջել');
INSERT INTO `lang_definitions` VALUES (63821, 2934, 13, 'Շարունակե՞լ');
INSERT INTO `lang_definitions` VALUES (63822, 2935, 13, 'Ջնջե՞լ սա');
INSERT INTO `lang_definitions` VALUES (63823, 2936, 13, 'Ջնջե՞լ');
INSERT INTO `lang_definitions` VALUES (63824, 2937, 13, 'Ջնջե՞լ այս գրառումը');
INSERT INTO `lang_definitions` VALUES (63825, 2938, 13, 'Շարունակե՞լ  նոր պացիենտի ավելացումը');
INSERT INTO `lang_definitions` VALUES (63826, 2939, 13, 'Շարունակե՞լ  նոր անվանումով');
INSERT INTO `lang_definitions` VALUES (63827, 2940, 13, 'Ցանկանո՞ւմ եք ընդմիշտ հեռացնել այս պատվաստման գրառումը');
INSERT INTO `lang_definitions` VALUES (63828, 2941, 13, 'Ծննդյան Օ/Ա/Տ');
INSERT INTO `lang_definitions` VALUES (63829, 2942, 13, 'Ծննդյան ամսաթիվը բացակայում է․ եթե հնարավոր է, նշեք այն');
INSERT INTO `lang_definitions` VALUES (63830, 2944, 13, 'Բժ․');
INSERT INTO `lang_definitions` VALUES (63831, 2945, 13, 'Բժիշկ');
INSERT INTO `lang_definitions` VALUES (63832, 2946, 13, 'Բժիշկ։');
INSERT INTO `lang_definitions` VALUES (63833, 2947, 13, 'Բժշկի ազգանունը և ստորագրությունը');
INSERT INTO `lang_definitions` VALUES (63834, 2948, 13, 'Փաստաթուղթ');
INSERT INTO `lang_definitions` VALUES (63835, 2949, 13, 'փաստաթուղթ');
INSERT INTO `lang_definitions` VALUES (63836, 2951, 13, 'Փաստաթղթի կատեգորիան');
INSERT INTO `lang_definitions` VALUES (63837, 2952, 13, 'Լաբորատոր հետազոտությունների արդյունքների փաստաթղթերի կատեգորիա առկա չէ');
INSERT INTO `lang_definitions` VALUES (63838, 2953, 13, 'Փաստաթղթերի կատեգորիայի անվանում լաբորատոր հետազոտությունների  էլեկտրոնային արդյունքների պահեստի համար');
INSERT INTO `lang_definitions` VALUES (63839, 2954, 13, 'Փաստաթղթի կատեգորիայի անվանում՝ ստացված էլէկտրոնային MDM փաստաթղթերի պահեստավորման համար');
INSERT INTO `lang_definitions` VALUES (63840, 2955, 13, 'Փաստաթղթի կատեգորիան կամ հեռացումը');
INSERT INTO `lang_definitions` VALUES (63841, 2958, 13, 'Հնարավոր չէ փաստաթուղթը տեղափոխել Պացիենտի ID  բաժին');
INSERT INTO `lang_definitions` VALUES (63842, 2959, 13, 'Փաստաթուղթն ստեղծված է');
INSERT INTO `lang_definitions` VALUES (63843, 2960, 13, 'Գրանցման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63844, 2961, 13, 'Փաստաթղթի ամսաթիվն ու խնդիրները հաջողությամբ թարմացվել են');
INSERT INTO `lang_definitions` VALUES (63845, 2962, 13, 'Փաստաթղթի ID');
INSERT INTO `lang_definitions` VALUES (63846, 2965, 13, 'Փաստաթուղթը տեղափոխվել է նոր կատեգորիա');
INSERT INTO `lang_definitions` VALUES (63847, 2966, 13, 'Փաստաթուղթը տեղափոխվել է Պացիենտի ID  բաժին');
INSERT INTO `lang_definitions` VALUES (63848, 2967, 13, 'Փաստաթուղթը անցել է ամբողջականության ստուգում');
INSERT INTO `lang_definitions` VALUES (63849, 2968, 13, 'Փաստաթուղթն անցել է ամբողջականության/լիարժեքության ստուգում');
INSERT INTO `lang_definitions` VALUES (63850, 2969, 13, 'Փաստաթղթի պահեստավորման մեթոդ');
INSERT INTO `lang_definitions` VALUES (63851, 2970, 13, 'Փաստաթուղթն հաջողությամբ անվանափոխվել է');
INSERT INTO `lang_definitions` VALUES (63852, 2971, 13, 'Փաստաթուղթն հաջողությամբ կցվել է հանդիպմանը');
INSERT INTO `lang_definitions` VALUES (63853, 2972, 13, 'Փաստաթղթերի նմուշների կառավարում');
INSERT INTO `lang_definitions` VALUES (63854, 2973, 13, 'Փաստաթղթի նմուշներ');
INSERT INTO `lang_definitions` VALUES (63855, 2975, 13, 'Փաստաթուղթ(եր)');
INSERT INTO `lang_definitions` VALUES (63856, 2976, 13, 'Փաստաթղթի/նկարի պահուստ');
INSERT INTO `lang_definitions` VALUES (63857, 2978, 13, 'Փաստաթղթեր');
INSERT INTO `lang_definitions` VALUES (63858, 2980, 13, 'Փաստաթղթեր (նշել, ավելացնել ըստ ցանկության)');
INSERT INTO `lang_definitions` VALUES (63859, 2988, 13, 'DOC{{փաստաթղթի ֆորմատ}}');
INSERT INTO `lang_definitions` VALUES (63860, 2989, 13, 'DOE');
INSERT INTO `lang_definitions` VALUES (63861, 2992, 13, 'Հավասար չէ');
INSERT INTO `lang_definitions` VALUES (63862, 2994, 13, 'Չի համապատասխանում PV1 այցի համարին');
INSERT INTO `lang_definitions` VALUES (63863, 2995, 13, 'վավեր չէ');
INSERT INTO `lang_definitions` VALUES (63864, 2996, 13, 'Այստ տիպը/տեսակը թույլատրո՞ւմ է նմանատիպ/իրեն առնչվող կոդեր');
INSERT INTO `lang_definitions` VALUES (63865, 2997, 13, 'Համերկրացի գործընկեր');
INSERT INTO `lang_definitions` VALUES (63866, 2998, 13, 'Չպահպանե՛լ');
INSERT INTO `lang_definitions` VALUES (63867, 2999, 13, 'Չպահպանե՛լ');
INSERT INTO `lang_definitions` VALUES (63868, 3000, 13, 'Չպահպանել փոփոխությունները');
INSERT INTO `lang_definitions` VALUES (63869, 3002, 13, 'Կատարված է');
INSERT INTO `lang_definitions` VALUES (63870, 3004, 13, 'Կատարված է ֊ով');
INSERT INTO `lang_definitions` VALUES (63871, 3005, 13, 'Կատարված է․ հիմա կներբեռնվի');
INSERT INTO `lang_definitions` VALUES (63872, 3006, 13, 'DOS');
INSERT INTO `lang_definitions` VALUES (63873, 3007, 13, 'Դեղաքանակ/դոզավորում');
INSERT INTO `lang_definitions` VALUES (63874, 3008, 13, 'Չափ/դոզա');
INSERT INTO `lang_definitions` VALUES (63875, 3011, 13, 'խմբագրման համար կրկնակի սեղմեք');
INSERT INTO `lang_definitions` VALUES (63876, 3013, 13, 'Պատկերի կրկնարտածում /դիպլոպիա/');
INSERT INTO `lang_definitions` VALUES (63877, 3014, 13, 'Ներբեռնել');
INSERT INTO `lang_definitions` VALUES (63878, 3015, 13, 'ՆԵՐԲԵՌՆԵԼ');
INSERT INTO `lang_definitions` VALUES (63879, 3018, 13, 'Ներբեռնել Պացիենտի բոլոր փաստաթղթերը');
INSERT INTO `lang_definitions` VALUES (63880, 3019, 13, 'Ամեն դեպքում/միևնույնն է՝  ներբեռնել');
INSERT INTO `lang_definitions` VALUES (63881, 3020, 13, 'Ներբեռնելով վճարման ֆայլը՝ տեղադրեք այն հաշվապահական հաշվառման մեջ և նշեք որպես վճարված');
INSERT INTO `lang_definitions` VALUES (63882, 3021, 13, 'Ներբեռնել CCDA ֆայլը');
INSERT INTO `lang_definitions` VALUES (63883, 3022, 13, 'Ներբեռնել վկայագրերը');
INSERT INTO `lang_definitions` VALUES (63884, 3023, 13, 'Ներբեռնել կոնֆիգուրացիոն/կազմաձևման տվյալները');
INSERT INTO `lang_definitions` VALUES (63885, 3025, 13, 'Ներբեռնել փաստաթուղթ այս Պացիենտի և այցի համար');
INSERT INTO `lang_definitions` VALUES (63886, 3027, 13, 'Ներբեռնել կոդավորված ֆայլը');
INSERT INTO `lang_definitions` VALUES (63887, 3028, 13, 'Ներբեռնել ՖԱՔՍ-ը');
INSERT INTO `lang_definitions` VALUES (63888, 3029, 13, 'Ներբեռնել HL7ֆայլը');
INSERT INTO `lang_definitions` VALUES (63889, 3032, 13, 'Ներբեռնել կամ ջնջել Նմուշը');
INSERT INTO `lang_definitions` VALUES (63890, 3033, 13, 'Ներբեռնել կամ PDF ֆորմատով');
INSERT INTO `lang_definitions` VALUES (63891, 3034, 13, 'Ներբեռնել QRDA  կատեգորիայի III ֆայլը');
INSERT INTO `lang_definitions` VALUES (63892, 3037, 13, 'Ներբեռնել նշված հաշվետվությունները');
INSERT INTO `lang_definitions` VALUES (63893, 3039, 13, 'Գրանցում Բժշկի մոտ');
INSERT INTO `lang_definitions` VALUES (63894, 3040, 13, 'Այցելություն Բժշկին');
INSERT INTO `lang_definitions` VALUES (63895, 3041, 13, 'Բժիշկ');
INSERT INTO `lang_definitions` VALUES (63896, 3045, 13, 'Քաշել՝ տեղափոխելու համար');
INSERT INTO `lang_definitions` VALUES (63897, 3047, 13, 'Միազարձակում');
INSERT INTO `lang_definitions` VALUES (63898, 3048, 13, 'Վարորդական վկայական կամ պետական ID  քարտ');
INSERT INTO `lang_definitions` VALUES (63899, 3050, 13, 'Դեղամիջոց');
INSERT INTO `lang_definitions` VALUES (63900, 3053, 13, 'Դեղորայքի որոնիչ');
INSERT INTO `lang_definitions` VALUES (63901, 3054, 13, 'Դեղամիջոցների ձևերը');
INSERT INTO `lang_definitions` VALUES (63902, 3055, 13, 'Դեղամիջոցի ID֊ն բացակայում է');
INSERT INTO `lang_definitions` VALUES (63903, 3056, 13, 'Դեղամիջոցի ընդունման հաճախականություն');
INSERT INTO `lang_definitions` VALUES (63904, 3057, 13, 'Դեղորայքի հաշվառում');
INSERT INTO `lang_definitions` VALUES (63905, 3059, 13, 'Դեղամիջոցի անվանումը');
INSERT INTO `lang_definitions` VALUES (63906, 3061, 13, 'Դեղամիջոցի կիրառման մեթոդը');
INSERT INTO `lang_definitions` VALUES (63907, 3062, 13, 'Դեղամիջոցի ցուցադրում');
INSERT INTO `lang_definitions` VALUES (63908, 3063, 13, 'Դեղամիջոցի ցուցադրումն ավարտված է');
INSERT INTO `lang_definitions` VALUES (63909, 3064, 13, 'Դեղամիջոցի ցուցադրման զեկույց');
INSERT INTO `lang_definitions` VALUES (63910, 3066, 13, 'Դեղամիջոցի չափման միավորը');
INSERT INTO `lang_definitions` VALUES (63911, 3072, 13, 'Դեղորայք');
INSERT INTO `lang_definitions` VALUES (63912, 3073, 13, 'Դեղորայք և ապրանքներ');
INSERT INTO `lang_definitions` VALUES (63913, 3074, 13, 'Բերանի չորություն');
INSERT INTO `lang_definitions` VALUES (63914, 3075, 13, 'DSMIV ախտորոշում');
INSERT INTO `lang_definitions` VALUES (63915, 3076, 13, 'Դիֆթերիա, փայտացում 1');
INSERT INTO `lang_definitions` VALUES (63916, 3077, 13, 'Դիֆթերիա, փայտացում 2');
INSERT INTO `lang_definitions` VALUES (63917, 3078, 13, 'Դիֆթերիա, փայտացում 3');
INSERT INTO `lang_definitions` VALUES (63918, 3079, 13, 'Դիֆթերիա, փայտացում 4');
INSERT INTO `lang_definitions` VALUES (63919, 3080, 13, 'Դիֆթերիա, փայտացում 5');
INSERT INTO `lang_definitions` VALUES (63920, 3081, 13, 'Դիֆթերիա, փայտացում, կապույտ հազ 1');
INSERT INTO `lang_definitions` VALUES (63921, 3082, 13, 'Դիֆթերիա, փայտացում, կապույտ հազ 2');
INSERT INTO `lang_definitions` VALUES (63922, 3083, 13, 'Դիֆթերիա, փայտացում, կապույտ հազ 3');
INSERT INTO `lang_definitions` VALUES (63923, 3084, 13, 'Դիֆթերիա, փայտացում, կապույտ հազ 4');
INSERT INTO `lang_definitions` VALUES (63924, 3085, 13, 'Դիֆթերիա, փայտացում, կապույտ հազ 5');
INSERT INTO `lang_definitions` VALUES (63925, 3087, 13, 'Պարտքը');
INSERT INTO `lang_definitions` VALUES (63926, 3088, 13, 'Պարտքի վճարման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (63927, 3090, 13, 'Պարտքի վճարման ամսաթիվ աա/օօ/տտ  կամ տտ/աա/օօ');
INSERT INTO `lang_definitions` VALUES (63928, 3091, 13, 'Պարտքի վճարման ամսաթիվ։');
INSERT INTO `lang_definitions` VALUES (63929, 3092, 13, 'Վերջնաժամկետ։');
INSERT INTO `lang_definitions` VALUES (63930, 3096, 13, 'Պարտքի կարգավիճակի թարմացում');
INSERT INTO `lang_definitions` VALUES (63931, 3097, 13, 'OpenEMR տվյալների բազայի դատարկում');
INSERT INTO `lang_definitions` VALUES (63932, 3098, 13, 'OpenEMR  վեբ֊ուղեցույցի կաղապարի դատարկում');
INSERT INTO `lang_definitions` VALUES (63933, 3099, 13, 'phpGACL տվյալների բազայի դատարկում');
INSERT INTO `lang_definitions` VALUES (63934, 3100, 13, 'phpGACL  վեբ֊ուղեցույցի կաղապարի դատարկում');
INSERT INTO `lang_definitions` VALUES (63935, 3101, 13, 'SQL-Ledger տվյալների բազայի դատարկում');
INSERT INTO `lang_definitions` VALUES (63936, 3102, 13, 'SQL-Ledger վեբ֊ուղեցույցի կաղապարի դատարկում');
INSERT INTO `lang_definitions` VALUES (63937, 3103, 13, 'Կրկնօրինակման ստուգում');
INSERT INTO `lang_definitions` VALUES (63938, 3108, 13, 'Նույնականացման/ID առցանց/օնլայն կրկնօրինակում');
INSERT INTO `lang_definitions` VALUES (63939, 3109, 13, 'Կրկնակի անուն տողում');
INSERT INTO `lang_definitions` VALUES (63940, 3110, 13, 'ԿՐԿՆՕՐԻՆԱԿՄԱՆ ՆԱԽԱԶԳՈՒՇԱՑՈՒՄ');
INSERT INTO `lang_definitions` VALUES (63941, 3111, 13, 'Մշտական լիազորագիր');
INSERT INTO `lang_definitions` VALUES (63942, 3112, 13, 'Տևողություն');
INSERT INTO `lang_definitions` VALUES (63943, 3113, 13, 'տևողություն');
INSERT INTO `lang_definitions` VALUES (63944, 3114, 13, 'Հոլանդական/Հոլանդերեն');
INSERT INTO `lang_definitions` VALUES (63945, 3116, 13, 'Dx Rep');
INSERT INTO `lang_definitions` VALUES (63946, 3117, 13, 'Դիսֆագիա /կլման խանգարում, դժվարություն/');
INSERT INTO `lang_definitions` VALUES (63947, 3118, 13, 'Հևոց։');
INSERT INTO `lang_definitions` VALUES (63948, 3119, 13, 'Անմիզություն /դժվարին, ցվոտ միզարձակում/');
INSERT INTO `lang_definitions` VALUES (63949, 3128, 13, 'Էլեկտրոնային դեղատոմս');
INSERT INTO `lang_definitions` VALUES (63950, 3129, 13, 'Էլեկտրոնային հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (63951, 3130, 13, 'Էլեկտրոնային դեղատոմս');
INSERT INTO `lang_definitions` VALUES (63952, 3131, 13, 'e-Rx EPCS');
INSERT INTO `lang_definitions` VALUES (63953, 3132, 13, 'Էլ․ դեղատոմսի վերահաստատում');
INSERT INTO `lang_definitions` VALUES (63954, 3135, 13, 'Յուրաքանչյուր ստացող իր հաղորդագրությունը պետք է սահմանի որպես կատարված');
INSERT INTO `lang_definitions` VALUES (63955, 3140, 13, 'Վաղ կրկնություն (< 2 ամս.)');
INSERT INTO `lang_definitions` VALUES (63956, 3141, 13, 'Ականջներ');
INSERT INTO `lang_definitions` VALUES (63957, 3148, 13, 'ԷՍԳ Էլեկտրաստրտագրություն');
INSERT INTO `lang_definitions` VALUES (63958, 3149, 13, 'Էլ․ պահանջներ');
INSERT INTO `lang_definitions` VALUES (63959, 3152, 13, 'Այտուց');
INSERT INTO `lang_definitions` VALUES (63960, 3154, 13, 'ԷՏՓ /Էլ․ տվյալների փոխանակման/ պատմություն');
INSERT INTO `lang_definitions` VALUES (63961, 3157, 13, 'ԷՏՓ-271 ֆայլի բեռնում');
INSERT INTO `lang_definitions` VALUES (63962, 3158, 13, 'ԷՏՓ-271 պատասխան ֆայլի բեռնում');
INSERT INTO `lang_definitions` VALUES (63963, 3159, 13, 'Խմբագրել');
INSERT INTO `lang_definitions` VALUES (63964, 3160, 13, 'խմբագրել');
INSERT INTO `lang_definitions` VALUES (63965, 3161, 13, 'Խմբագրել ալերգիան');
INSERT INTO `lang_definitions` VALUES (63966, 3163, 13, 'Խմբագրել կատեգորիան');
INSERT INTO `lang_definitions` VALUES (63967, 3165, 13, 'Խմբագրել սահմանումները');
INSERT INTO `lang_definitions` VALUES (63968, 3166, 13, 'Խմբագրել սահմանումները');
INSERT INTO `lang_definitions` VALUES (63969, 3167, 13, 'Խմբագրել ֊ի ախտորոշումը');
INSERT INTO `lang_definitions` VALUES (63970, 3168, 13, 'Խմբագրել հրապարակումը');
INSERT INTO `lang_definitions` VALUES (63971, 3173, 13, 'Խմբագրել ծառայությունները');
INSERT INTO `lang_definitions` VALUES (63972, 3174, 13, 'Խմբագրել ծառայությունը');
INSERT INTO `lang_definitions` VALUES (63973, 3175, 13, 'Խմբագրել ծառայության մասին տեղեկատվությունը');
INSERT INTO `lang_definitions` VALUES (63974, 3176, 13, 'Խմբագրել Հատուկ Օգտվողի ծառայությունների տեղեկատվությունը');
INSERT INTO `lang_definitions` VALUES (63975, 3177, 13, 'Խմբագրել ֊ի ֆայլը');
INSERT INTO `lang_definitions` VALUES (63976, 3178, 13, 'Խմբագրել խարուցվածքը/ձևաչափը');
INSERT INTO `lang_definitions` VALUES (63977, 3179, 13, 'Խմբագրել գլոբալ պարամետրերը');
INSERT INTO `lang_definitions` VALUES (63978, 3181, 13, 'Խմբագրում չի թույլատրվում');
INSERT INTO `lang_definitions` VALUES (63979, 3183, 13, 'Խմբագրել դասավորությունը');
INSERT INTO `lang_definitions` VALUES (63980, 3185, 13, 'Խմբագրել ցանկը');
INSERT INTO `lang_definitions` VALUES (63981, 3188, 13, 'Խմբագրել վճարումը');
INSERT INTO `lang_definitions` VALUES (63982, 3189, 13, 'Խմբագրել կառուցվածքը');
INSERT INTO `lang_definitions` VALUES (63983, 3192, 13, 'Խմբագրել օգտվողի/օգտատիրոջ տվյալները');
INSERT INTO `lang_definitions` VALUES (63984, 3193, 13, 'Խմբագրել օգտվողի/օգտատիրոջ պարամետրերը');
INSERT INTO `lang_definitions` VALUES (63985, 3194, 13, 'Խմբագրեք ձեր մուտքագրած տվյալները');
INSERT INTO `lang_definitions` VALUES (63986, 3195, 13, 'Խմբագրման ձախողում');
INSERT INTO `lang_definitions` VALUES (63987, 3196, 13, 'Կրթություն');
INSERT INTO `lang_definitions` VALUES (63988, 3197, 13, 'Կրթության տարեթիվ');
INSERT INTO `lang_definitions` VALUES (63989, 3198, 13, 'Կրթական նյութեր');
INSERT INTO `lang_definitions` VALUES (63990, 3199, 13, 'ee   * GNU General Public License for more details.  *   * You should have received a copy of the GNU General Public License  * along with this program; if not, write to the Free');
INSERT INTO `lang_definitions` VALUES (63991, 3200, 13, 'Փաստացի /ուժի մեջ մտնելու/ ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (63992, 3202, 13, 'Արդյունավետություն');
INSERT INTO `lang_definitions` VALUES (63993, 3204, 13, 'Գործատուի նույնականացման համարը');
INSERT INTO `lang_definitions` VALUES (63994, 3207, 13, 'Սերմնաժայթքում');
INSERT INTO `lang_definitions` VALUES (63995, 3208, 13, 'Արմունկ');
INSERT INTO `lang_definitions` VALUES (63996, 3209, 13, 'Արմունկի խնդիրներ');
INSERT INTO `lang_definitions` VALUES (63997, 3210, 13, 'Էլեկտրոնային');
INSERT INTO `lang_definitions` VALUES (63998, 3211, 13, 'Էլեկտրոնային փաստաթուղթն ստացված է');
INSERT INTO `lang_definitions` VALUES (63999, 3212, 13, 'Էլեկտրոնային գրառումներ');
INSERT INTO `lang_definitions` VALUES (64000, 3214, 13, 'Էլեկտրոնային փոխանցումներ');
INSERT INTO `lang_definitions` VALUES (64001, 3215, 13, 'Էլեկտրոնային հաշվետվություններ');
INSERT INTO `lang_definitions` VALUES (64002, 3218, 13, 'Իրավասություն / Պիտանիության ժամկետ');
INSERT INTO `lang_definitions` VALUES (64003, 3219, 13, 'Պահանջված 270 խմբաքանակի Պիտանիության ժամկետը');
INSERT INTO `lang_definitions` VALUES (64004, 3220, 13, 'Ընդունելի պատասխան');
INSERT INTO `lang_definitions` VALUES (64005, 3222, 13, 'Երեխեներին մատակարարվող պատվաստանյութի պիտանիության կարգավիճակը');
INSERT INTO `lang_definitions` VALUES (64006, 3223, 13, 'Պիտանի /ընդունելի');
INSERT INTO `lang_definitions` VALUES (64007, 3225, 13, 'Էլ֊փոստ');
INSERT INTO `lang_definitions` VALUES (64008, 3226, 13, 'Էլ֊փոստ');
INSERT INTO `lang_definitions` VALUES (64009, 3228, 13, 'Էլ֊փոստի հասցե');
INSERT INTO `lang_definitions` VALUES (64010, 3229, 13, 'Էլ֊փոստի հասցեն բացակայում է');
INSERT INTO `lang_definitions` VALUES (64011, 3230, 13, 'Պացիենտին հիշեցումներ ուղարկողի էլ․փոստի հասցեն։ Պացիենտի հիշեցումներին կատարված պատասխանները ուղղվում են այդ հասցեին։ Կարևոր է, որ այդ հասցեն լինի Կլինիկայի դոմենից՝ խուսափելու համար այդ հիշեցում֊նամակների՝ պացիենտի էլ֊փոստի \"աղբամանում\" հայտնվելուց');
INSERT INTO `lang_definitions` VALUES (64012, 3231, 13, 'Առկա որևէ էլ֊հասցե՝ ադմինիստրատիվ ծանուցումներ ստանալու համար');
INSERT INTO `lang_definitions` VALUES (64013, 3232, 13, 'Առկա որևէ էլ֊հասցե՝ օգտվողի արտակարգ մուտքի ակտիվացման հաղորդագրություն ստանալու համար');
INSERT INTO `lang_definitions` VALUES (64014, 3233, 13, 'Էլ֊փոստի թույլատրություն');
INSERT INTO `lang_definitions` VALUES (64015, 3236, 13, 'Փաթեթի մշակման Էլ․նամակ');
INSERT INTO `lang_definitions` VALUES (64016, 3238, 13, 'Էլ․նամակի ծանուցում');
INSERT INTO `lang_definitions` VALUES (64017, 3239, 13, 'Էլ․նամակի ծանուցման ժամեր');
INSERT INTO `lang_definitions` VALUES (64018, 3240, 13, 'Էլ․նամակի ծանուցման հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (64019, 3244, 13, 'Ուղարկել էլ․նամակ մինչև');
INSERT INTO `lang_definitions` VALUES (64020, 3245, 13, 'Էլ․ նամակ ուղարկողը');
INSERT INTO `lang_definitions` VALUES (64021, 3246, 13, 'Էլ․ նամակն ուղարկված է');
INSERT INTO `lang_definitions` VALUES (64022, 3247, 13, 'Էլ․ նամակն ուղարկված է ֊ին');
INSERT INTO `lang_definitions` VALUES (64023, 3248, 13, 'Էլ․ նամակի թեման');
INSERT INTO `lang_definitions` VALUES (64024, 3251, 13, 'Էլ․նամակի տեքստ․ կիրառվող թեգ։ ***ԱՆՎԱՆՈՒՄ***, այսինքն՝ Հարգելի ***ԱՆՈՒՆ***');
INSERT INTO `lang_definitions` VALUES (64025, 3252, 13, 'Էլ․նամակի տեքստ․ կիրառվող թեգ։ ***ԱՆՎԱՆՈՒՄ***, այսինքն՝ Հարգելի ***ԱՆՈՒՆ***{{Չթարգմանել ***NAME*** այս հիմնանվան տարրերը.}}');
INSERT INTO `lang_definitions` VALUES (64026, 3253, 13, 'Էլ․փոստի փոխանցման մեթոդ');
INSERT INTO `lang_definitions` VALUES (64027, 3254, 13, 'Էլ․փոստն ուղարկված է հետևյալ հասցեներին');
INSERT INTO `lang_definitions` VALUES (64028, 3257, 13, 'Լրացուցիչ խնամք');
INSERT INTO `lang_definitions` VALUES (64029, 3259, 13, 'Լրացուցիչ կապի միջոց');
INSERT INTO `lang_definitions` VALUES (64030, 3260, 13, 'Լրացուցիչ կապի միջոց');
INSERT INTO `lang_definitions` VALUES (64031, 3261, 13, 'Արտակարգ իրավիճակների հեռախոսահամար');
INSERT INTO `lang_definitions` VALUES (64032, 3262, 13, 'Հարկադրված հակաբեղմնավորում');
INSERT INTO `lang_definitions` VALUES (64033, 3263, 13, 'Արտակարգ իրավիճակների Մուտք');
INSERT INTO `lang_definitions` VALUES (64034, 3264, 13, 'Ընտրված է ACL ԱԻ Մուտքը։ Օգտվողի կարգավիճակը դեռ ակտիվ է։ Ապաակտիվացրեք այն, և կրկին ակտիվացրեք դրա անհրաժեշտության դեպքում։ Այցելեք Ադմինիստրացիա->Օգտատերեր ակտիվացնելու և/կամ ապաակտիվացման համար');
INSERT INTO `lang_definitions` VALUES (64035, 3266, 13, 'ԱԻ Մուտքի էլ․փոստի հասցե');
INSERT INTO `lang_definitions` VALUES (64036, 3267, 13, 'ԱԻ Մուտք ունեցող Օգտատերը համակարգում կարող է անել ամեն ինչ');
INSERT INTO `lang_definitions` VALUES (64037, 3268, 13, 'ԱԻ Հեռախոսահամար');
INSERT INTO `lang_definitions` VALUES (64038, 3270, 13, 'Հուզական/Վարքագծային իրավիճակներ և բարդություններ');
INSERT INTO `lang_definitions` VALUES (64039, 3271, 13, 'Էմֆիզեմա');
INSERT INTO `lang_definitions` VALUES (64040, 3272, 13, 'Աշխատակից');
INSERT INTO `lang_definitions` VALUES (64041, 3273, 13, 'Աշխատանքի վայրը');
INSERT INTO `lang_definitions` VALUES (64042, 3274, 13, 'Աշխատավայրի հասցեն');
INSERT INTO `lang_definitions` VALUES (64043, 3275, 13, 'Աշխատանքի ընդունման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (64044, 3276, 13, 'Աշխատավայրի անվանումը');
INSERT INTO `lang_definitions` VALUES (64045, 3277, 13, 'ԴԱՏԱՐԿ');
INSERT INTO `lang_definitions` VALUES (64046, 3278, 13, 'դատարկ');
INSERT INTO `lang_definitions` VALUES (64047, 3279, 13, 'Դատարկ գաղտնաբառ չի թույլատրվում');
INSERT INTO `lang_definitions` VALUES (64048, 3281, 13, '\"էլ․փոստի ժամ\" ֊ի դատարկ արժեք');
INSERT INTO `lang_definitions` VALUES (64049, 3282, 13, '\"էլ․փոստ ուղարկող\"֊ի դատարկ արժեք');
INSERT INTO `lang_definitions` VALUES (64050, 3283, 13, '\"էլ․փոստի թեմա\"֊ի դատարկ արժեք');
INSERT INTO `lang_definitions` VALUES (64051, 3284, 13, '\"էլ․փոստի տեքստ\" ֊ի դատարկ արժեք');
INSERT INTO `lang_definitions` VALUES (64052, 3285, 13, '\"Մասնագետի ազգանուն\"֊ի դատարկ արժեք');
INSERT INTO `lang_definitions` VALUES (64053, 3286, 13, '\"Գաղտնաբառ\"֊ի դատարկ արժեք');
INSERT INTO `lang_definitions` VALUES (64054, 3287, 13, '\"SMS հաղորդագրության ժամ\"֊ի դատարկ արժեք');
INSERT INTO `lang_definitions` VALUES (64055, 3288, 13, '\"SMS հաղորդագրության տեքստ\"֊ի դատարկ արժեք');
INSERT INTO `lang_definitions` VALUES (64056, 3289, 13, '\"Օգտվողի անուն\"֊ի դատարկ արժեք');
INSERT INTO `lang_definitions` VALUES (64057, 3292, 13, 'Ակտիվացնել/Միացնել');
INSERT INTO `lang_definitions` VALUES (64058, 3294, 13, 'Ակտիվացնել/Միացնել տագնապի մուտքը');
INSERT INTO `lang_definitions` VALUES (64059, 3295, 13, 'Ակտիվացնել/Միացնել տագնապի մուտքը');
INSERT INTO `lang_definitions` VALUES (64060, 3296, 13, 'Ակտիվացնել/Միացնել Ալերգիայի նշումը/գրանցումը');
INSERT INTO `lang_definitions` VALUES (64061, 3297, 13, 'Ակտիվացնել/Միացնել Դեղորայքի հանդեպ առկա Ալերգիայի նշումը/գրանցումը');
INSERT INTO `lang_definitions` VALUES (64062, 3298, 13, 'Միացնել AMC զանգը');
INSERT INTO `lang_definitions` VALUES (64063, 3300, 13, 'Միացնել AMC հաշվետվությունը');
INSERT INTO `lang_definitions` VALUES (64064, 3301, 13, 'Միացնել AMC վերահսկողությունը');
INSERT INTO `lang_definitions` VALUES (64065, 3302, 13, 'Միացնել լրացումների հնարավորությունը');
INSERT INTO `lang_definitions` VALUES (64066, 3303, 13, 'Միացնել ATNA աուդիտը');
INSERT INTO `lang_definitions` VALUES (64067, 3304, 13, 'Միացնել աուդիտի մուտքի կոդավորումը');
INSERT INTO `lang_definitions` VALUES (64068, 3305, 13, 'Միացնել աուդիտի մուտքագրումը');
INSERT INTO `lang_definitions` VALUES (64069, 3307, 13, 'Միացնել Ավտոմատ Չափման Հաշվարկների (AMC/ԱՉՀ) հաշվետվությունը');
INSERT INTO `lang_definitions` VALUES (64070, 3312, 13, 'Թույլատրել հաճախորդի SSL');
INSERT INTO `lang_definitions` VALUES (64071, 3313, 13, 'Թույլատրել հաճախորդի SSL վկայագրի վավերացումը/սկության ստուգումը');
INSERT INTO `lang_definitions` VALUES (64072, 3315, 13, 'Միացնել Կլինիկական Որոշումների Ընդունման Կանոնները (ԿՈԿ)');
INSERT INTO `lang_definitions` VALUES (64073, 3318, 13, 'Միացնել Կլինիկական Որակի Չափման (ԿՈՉ) Հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (64074, 3319, 13, 'Միացնել pop-up/թռուցիկ կլինիկական հիշեցումներ');
INSERT INTO `lang_definitions` VALUES (64075, 3320, 13, 'Միացնել  կլինիկական հիշեցումների վիդջեթ/Widget');
INSERT INTO `lang_definitions` VALUES (64076, 3321, 13, 'Միացնել CMS Portal /Պորտալը');
INSERT INTO `lang_definitions` VALUES (64077, 3323, 13, 'Միացնել CQM հաշվետվության իկոնավորումը');
INSERT INTO `lang_definitions` VALUES (64078, 3324, 13, 'Միացնել CQM հաշվետվությունը');
INSERT INTO `lang_definitions` VALUES (64079, 3329, 13, 'Ձախ մենյուում, միացնել ԷՏՓ /Էլ․ տվյալների փոխանակման/ պատմությունը');
INSERT INTO `lang_definitions` VALUES (64080, 3334, 13, 'Միացնել/ավելացնել \"Վճարումներ\" Ձախ մենյուում');
INSERT INTO `lang_definitions` VALUES (64081, 3341, 13, 'Միացնել Hylafax աջակցություն');
INSERT INTO `lang_definitions` VALUES (64082, 3343, 13, 'Միացնել NewCrop erx ներմուծման կարգավիճակի մասին հաղորդագրություն');
INSERT INTO `lang_definitions` VALUES (64083, 3344, 13, 'Ակտիվացնել AMC զեկույցների դասակարգումը/բնորոշումը');
INSERT INTO `lang_definitions` VALUES (64084, 3345, 13, 'Ակտիվացնել CQM  զեկույցների դասակարգումը/բնորոշումը');
INSERT INTO `lang_definitions` VALUES (64085, 3346, 13, 'Ակտիվացնել Կլինիկական ստանդարտ կանոնների  զեկույցների դասակարգումը/բնորոշումը');
INSERT INTO `lang_definitions` VALUES (64086, 3347, 13, 'Միացնել/թույլատրել Լաբորատոր փոխանակում');
INSERT INTO `lang_definitions` VALUES (64087, 3349, 13, 'Թույլատրել փաստաթղթերի վերբեռնման/ներբեռնման մուտքը');
INSERT INTO `lang_definitions` VALUES (64088, 3350, 13, 'Միացնել/թույլատրել  SQL SELECT հարցումների գրանցում');
INSERT INTO `lang_definitions` VALUES (64089, 3351, 13, 'Միացնել/թույլատրել  պահեստային կրկնօրինակին առնչվող գործողությունների/ գրանցում');
INSERT INTO `lang_definitions` VALUES (64090, 3353, 13, 'Միացնել/թույլատրել  խառը գործողությունների/ակտիվության գրանցում');
INSERT INTO `lang_definitions` VALUES (64091, 3354, 13, 'Միացնել/թույլատրել  պահանջների գործողությունների/ակտիվության գրանցում');
INSERT INTO `lang_definitions` VALUES (64092, 3355, 13, 'Միացնել/թույլատրել  պացիենտի գրանցման փոփոխությունների գրանցում');
INSERT INTO `lang_definitions` VALUES (64093, 3356, 13, 'Միացնել/թույլատրել ծրագրերի/պլանների  գործունեության/ակտիվության գրանցում');
INSERT INTO `lang_definitions` VALUES (64094, 3357, 13, 'Միացնել/թույլատրել անվտանգության և կառավարման գործունեության գրանցում');
INSERT INTO `lang_definitions` VALUES (64095, 3359, 13, 'Ակտիվացնել NewCrop eRx ներմուծման կարգավիճակի մասին հաղորդագրությունը');
INSERT INTO `lang_definitions` VALUES (64096, 3360, 13, 'Միացնել/թույլատրել NewCrop eRx/էլ․ դեղատոմս/  ծառայությունը');
INSERT INTO `lang_definitions` VALUES (64097, 3361, 13, 'Միացնել/թույլատրել NewCrop eRx/էլ․ դեղատոմս/  ծառայությունը');
INSERT INTO `lang_definitions` VALUES (64098, 3365, 13, 'Միացնել/ստեղծել  օտարերկրյա հիվանդների պորտալ');
INSERT INTO `lang_definitions` VALUES (64099, 3366, 13, 'Միացնել/ստեղծել  օտարերկրյա հիվանդների պորտալ');
INSERT INTO `lang_definitions` VALUES (64100, 3368, 13, 'Միացնել/ստեղծել ներքին/համերկրացի հիվանդների պորտալ');
INSERT INTO `lang_definitions` VALUES (64101, 3369, 13, 'Միացնել/թույլատրել  ներքին/համերկրացի հիվանդների պորտալում առկա փաստաթղթրի ներբեռնումը');
INSERT INTO `lang_definitions` VALUES (64102, 3371, 13, 'Միացնել/ստեղծել ներքին/համերկրացի հիվանդների պորտալ');
INSERT INTO `lang_definitions` VALUES (64103, 3385, 13, 'Միացնել  պացիենտի հիշեցումների վիդջեթ/Widget');
INSERT INTO `lang_definitions` VALUES (64104, 3387, 13, 'Միացնել/ակտիվացնել  phiMail ուղիղ հաղորդագրության ծառայությունը');
INSERT INTO `lang_definitions` VALUES (64105, 3389, 13, 'Միացնել Ավտոմատ Չափման Հաշվարկների (ԱՉՀ) պահանջվող տվյալների հիշեցում');
INSERT INTO `lang_definitions` VALUES (64106, 3390, 13, 'Թույլատրել/Ակտիվացնել տարբեր տեսակի դեղորայքի թեստավորումը');
INSERT INTO `lang_definitions` VALUES (64107, 3392, 13, 'Միացնել սկաները');
INSERT INTO `lang_definitions` VALUES (64108, 3393, 13, 'Ակտիվացնել/Միացնել Ստանդարտ զեկույցների բնորոշումը/հստակեցումը');
INSERT INTO `lang_definitions` VALUES (64109, 3397, 13, 'Միացնել OpenEMR օգնության  LLC Լաբորատոր փոխանակման ծառայությունը');
INSERT INTO `lang_definitions` VALUES (64110, 3398, 13, 'Միացնել Օգտվողի Հավաստագրի իսկության ստուգում');
INSERT INTO `lang_definitions` VALUES (64111, 3403, 13, 'Միացնել ZMG, LLC eRx ծառայություն');
INSERT INTO `lang_definitions` VALUES (64112, 3404, 13, 'Միացված/թույլատրված է');
INSERT INTO `lang_definitions` VALUES (64113, 3410, 13, 'Ակտիվացնել/թույլատրել օգտվողի կողմից Onsite Պացիենտի պորտալից փաստաթղթերի ներբեռնման հնարավորությունը');
INSERT INTO `lang_definitions` VALUES (64114, 3412, 13, 'Թույլատրում է հին Վճարումների վահանակում մուտքագրել հաշվի/բիլլինգ կոդեր վճարումներ։ Խորհուրդ չի տրվում․ փոխարենն օգտագործեք Վճարման Թերթիկը');
INSERT INTO `lang_definitions` VALUES (64115, 3415, 13, 'Այց․');
INSERT INTO `lang_definitions` VALUES (64116, 3417, 13, 'Այց/հնդ․');
INSERT INTO `lang_definitions` VALUES (64117, 3418, 13, 'Այցելություն/հանդիպում');
INSERT INTO `lang_definitions` VALUES (64118, 3419, 13, 'Այցելություն/հանդիպում');
INSERT INTO `lang_definitions` VALUES (64119, 3420, 13, 'Այցելություն/հանդիպում');
INSERT INTO `lang_definitions` VALUES (64120, 3421, 13, 'Պացիենտի անհետաձգելի տեղափոխում ստացիոնար կամ ԱԻ բաժին');
INSERT INTO `lang_definitions` VALUES (64121, 3422, 13, 'Այցելությունների/Հանդիպումների հաշվեկշիռ');
INSERT INTO `lang_definitions` VALUES (64122, 3426, 13, 'Այցելության տվյալներ');
INSERT INTO `lang_definitions` VALUES (64123, 3427, 13, 'Այցելության ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (64124, 3428, 13, 'Այցելության ախտորոշում');
INSERT INTO `lang_definitions` VALUES (64125, 3429, 13, 'Այցելության Dt / Rsn');
INSERT INTO `lang_definitions` VALUES (64126, 3430, 13, 'Այցելության էլ․ տվյալների զեկույց');
INSERT INTO `lang_definitions` VALUES (64127, 3431, 13, 'Այցելության վրա առկա է էլ․ ստորագրություն');
INSERT INTO `lang_definitions` VALUES (64128, 3432, 13, 'Այցելության ձևեր');
INSERT INTO `lang_definitions` VALUES (64129, 3433, 13, 'Այցելություն առողջության ու վարքագծի գնահատման համար');
INSERT INTO `lang_definitions` VALUES (64130, 3434, 13, 'Այցելությունների ժամանակագրություն');
INSERT INTO `lang_definitions` VALUES (64131, 3435, 13, 'Այցելության  ID');
INSERT INTO `lang_definitions` VALUES (64132, 3436, 13, 'Այցելություն գրիպի խնդրով');
INSERT INTO `lang_definitions` VALUES (64133, 3439, 13, 'Այցելությունների քանակ');
INSERT INTO `lang_definitions` VALUES (64134, 3440, 13, 'այցելության հերթական համարը');
INSERT INTO `lang_definitions` VALUES (64135, 3441, 13, 'Այցելություն բուժքրոջ մոտ՝ դուրսգրման համար');
INSERT INTO `lang_definitions` VALUES (64136, 3442, 13, 'Այցելություն բուժույրական ծառայության համար');
INSERT INTO `lang_definitions` VALUES (64137, 3443, 13, 'Այցելություն էրոթերապիայի համար');
INSERT INTO `lang_definitions` VALUES (64138, 3444, 13, 'Գրասենյակային այցելություն');
INSERT INTO `lang_definitions` VALUES (64139, 3445, 13, 'Ամբուլատոր այց');
INSERT INTO `lang_definitions` VALUES (64140, 3446, 13, 'w/PCP & obgyn ամբուլատոր այց');
INSERT INTO `lang_definitions` VALUES (64141, 3447, 13, 'Այցելության էջի չափեր');
INSERT INTO `lang_definitions` VALUES (64142, 3448, 13, 'Այցելության վճար');
INSERT INTO `lang_definitions` VALUES (64143, 3449, 13, 'Հղիության խորհրդատվության այց');
INSERT INTO `lang_definitions` VALUES (64144, 3450, 13, 'Անհատական պրոֆիլակտիկ բուժզննման այց');
INSERT INTO `lang_definitions` VALUES (64145, 3451, 13, '40 և բարձր տարիքային պրոֆիլակտիկ բուժզննման այց');
INSERT INTO `lang_definitions` VALUES (64146, 3452, 13, 'Խմբային պրոֆիլակտիկ բուժզննման այց');
INSERT INTO `lang_definitions` VALUES (64147, 3453, 13, 'Այլ ծառայությունների պրոֆիլակտիկ բուժզննման այց');
INSERT INTO `lang_definitions` VALUES (64148, 3454, 13, '18 և բարձր տարիքային պրոֆիլակտիկ բուժզննման այց');
INSERT INTO `lang_definitions` VALUES (64149, 3457, 13, 'Հոգեբանի և հոգեբույժի այցելություն');
INSERT INTO `lang_definitions` VALUES (64150, 3458, 13, 'Այցելությունների վիճակագրություն');
INSERT INTO `lang_definitions` VALUES (64151, 3459, 13, 'Այցելության ամփոփում');
INSERT INTO `lang_definitions` VALUES (64152, 3461, 13, 'Այցը կոդավորված է');
INSERT INTO `lang_definitions` VALUES (64153, 3462, 13, 'Այց/Այցելություն');
INSERT INTO `lang_definitions` VALUES (64154, 3463, 13, 'Այցելություն։ Հիվանդի պլանավորված այց ստացիոնար, ամբուլատոր կամ ակնաբուժական բաժանմունք');
INSERT INTO `lang_definitions` VALUES (64155, 3464, 13, 'Այցեր/Այցելություններ');
INSERT INTO `lang_definitions` VALUES (64156, 3465, 13, 'Այցելություններ և դրանց կարգը');
INSERT INTO `lang_definitions` VALUES (64157, 3466, 13, 'Այցելություններ &amp։ կարգեր/ձևեր');
INSERT INTO `lang_definitions` VALUES (64158, 3467, 13, 'Այցերի/Այցելությունների  հասանելիություն թույլատրված չէ');
INSERT INTO `lang_definitions` VALUES (64159, 3468, 13, 'Այցերի/Այցելությունների հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (64160, 3469, 13, 'Այցերի/Այցելությունների բաժին');
INSERT INTO `lang_definitions` VALUES (64161, 3470, 13, 'Կոդավորված/գաղտնագրված ֆայլ');
INSERT INTO `lang_definitions` VALUES (64162, 3471, 13, 'Կոդավորում');
INSERT INTO `lang_definitions` VALUES (64163, 3472, 13, 'Վերջ/Ավարտ');
INSERT INTO `lang_definitions` VALUES (64164, 3473, 13, 'Վերջ/Ավարտ  (yyyy-mm-dd)/ (տտ-աա-օօ)։');
INSERT INTO `lang_definitions` VALUES (64165, 3474, 13, 'Ավարտ (ամսաթիվ)');
INSERT INTO `lang_definitions` VALUES (64166, 3475, 13, 'Ավարտ (ամսաթիվ)');
INSERT INTO `lang_definitions` VALUES (64167, 3479, 13, 'Ավարտման ամսաթիվը պետք է  ուշ/մեծ լինի Սկզբի/Մեկնարկի ամսաթվից');
INSERT INTO `lang_definitions` VALUES (64168, 3480, 13, 'Ավարտման ամսաթիվը պետք է  մեծ լինի Սկզբի/Մեկնարկի ամսաթվից');
INSERT INTO `lang_definitions` VALUES (64169, 3482, 13, 'Ավարտ (ամսաթիվ)');
INSERT INTO `lang_definitions` VALUES (64170, 3484, 13, 'Օրական հաշվետվության ավարտ');
INSERT INTO `lang_definitions` VALUES (64171, 3485, 13, 'Հաշվետվության ավարտ');
INSERT INTO `lang_definitions` VALUES (64172, 3487, 13, 'Ավարտման ժամ');
INSERT INTO `lang_definitions` VALUES (64173, 3492, 13, 'Ծառայության ավարտի ամսաթիվ yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (64174, 3494, 13, 'Օրացույցային իրադարձությունների ավարտման ժամ');
INSERT INTO `lang_definitions` VALUES (64175, 3495, 13, 'Արյան՝ նորմայից խիստ շեղում');
INSERT INTO `lang_definitions` VALUES (64176, 3496, 13, 'Էնդոկրին');
INSERT INTO `lang_definitions` VALUES (64177, 3497, 13, 'Էնդոսկոպ');
INSERT INTO `lang_definitions` VALUES (64178, 3500, 13, 'Ինժեներ');
INSERT INTO `lang_definitions` VALUES (64179, 3501, 13, 'Ինժեներական Ընկերություն');
INSERT INTO `lang_definitions` VALUES (64180, 3502, 13, 'Անգլերեն');
INSERT INTO `lang_definitions` VALUES (64181, 3503, 13, 'Անգլերեն');
INSERT INTO `lang_definitions` VALUES (64182, 3504, 13, 'Անգլերեն (հնդկական)');
INSERT INTO `lang_definitions` VALUES (64183, 3505, 13, 'Անգլերեն (սատնդարտ)');
INSERT INTO `lang_definitions` VALUES (64184, 3506, 13, 'Կոդավորել Hylafax֊ով օգտագործված/կիրառված հրամանը');
INSERT INTO `lang_definitions` VALUES (64185, 3507, 13, 'Համոզվեք, որ OpenEMR֊ը տեղեկատուի մուտքի արտոնություն ունի');
INSERT INTO `lang_definitions` VALUES (64186, 3509, 13, 'Քիթ֊Կոկորդ֊Ականջ/ՔԿԱ դուրսգրում');
INSERT INTO `lang_definitions` VALUES (64187, 3510, 13, 'ՔԿԱ/Քիթ֊Կոկորդ֊Ականջ/ ցավեր');
INSERT INTO `lang_definitions` VALUES (64188, 3513, 13, 'Մուտքագրեք ախտորոշման կոդը՝ բացառելու համար այդ կոդը չպարունակող մնացած հաշիվ֊ապրանքագրերը');
INSERT INTO `lang_definitions` VALUES (64189, 3515, 13, 'Մուտքագրեք/ կատարեք փոփոխություններ և լրացումներ');
INSERT INTO `lang_definitions` VALUES (64190, 3518, 13, 'Նամակի բովանդակությունը/տեքստը մուտքագրեք այստեղ');
INSERT INTO `lang_definitions` VALUES (64191, 3520, 13, 'Մուտքագրեք տվյալների բազայի արմատական/root գաղտնաբառը');
INSERT INTO `lang_definitions` VALUES (64192, 3521, 13, 'Մուտքագրեք տվյալների բազայի արմատական/root օգտանունը/օգտվողի անունը');
INSERT INTO `lang_definitions` VALUES (64193, 3529, 13, 'Մուտքագրեք ախտորոշումը');
INSERT INTO `lang_definitions` VALUES (64194, 3530, 13, 'Մուտքագրեք դեղամիջոցները/դեղորայքը');
INSERT INTO `lang_definitions` VALUES (64195, 3533, 13, 'Մուտքագրեք այցելությունը');
INSERT INTO `lang_definitions` VALUES (64196, 3534, 13, 'Մուտքագրեք այցելության համարը');
INSERT INTO `lang_definitions` VALUES (64197, 3537, 13, 'Մուտքագրեք պատվաստումը');
INSERT INTO `lang_definitions` VALUES (64198, 3538, 13, 'Մուտքագրեք բանալի բառը/կոդը');
INSERT INTO `lang_definitions` VALUES (64199, 3542, 13, 'Մուտքագրեք նոր տվյալ');
INSERT INTO `lang_definitions` VALUES (64200, 3544, 13, 'Մուտքագրեք նոր բաժին');
INSERT INTO `lang_definitions` VALUES (64201, 3549, 13, 'Մուտքագրեք ստացողի հասցեն');
INSERT INTO `lang_definitions` VALUES (64202, 3567, 13, 'Այս միջամտության համար մուտքագրեք LOINC կոդ');
INSERT INTO `lang_definitions` VALUES (64203, 3569, 13, 'Մուտքագրեք վերանույնականացման  կոդը');
INSERT INTO `lang_definitions` VALUES (64204, 3581, 13, 'Որոնման չափանիշները նշեք վերևում');
INSERT INTO `lang_definitions` VALUES (64205, 3584, 13, 'Սխալ մուտքագրում');
INSERT INTO `lang_definitions` VALUES (64206, 3586, 13, 'Մուտքեր');
INSERT INTO `lang_definitions` VALUES (64207, 3591, 13, 'Բնապահպանական');
INSERT INTO `lang_definitions` VALUES (64208, 3592, 13, 'EOB  (գործատուի, պետության կամ ապահովագրական ընկերության  կատարվող վճարի ծանուցում/բացատրագիր) տվյալների մուտք');
INSERT INTO `lang_definitions` VALUES (64209, 3596, 13, 'EOB մուտքագրում ֊ էլէկտրոնային փոխանցումներ');
INSERT INTO `lang_definitions` VALUES (64210, 3597, 13, 'EOB մուտքագրում ֊ հրահանգ');
INSERT INTO `lang_definitions` VALUES (64211, 3598, 13, 'EOB մուտքագրում ֊ հաշիվ ապրանքագիր');
INSERT INTO `lang_definitions` VALUES (64212, 3599, 13, 'EOB մուտքագրում ֊ Պացիենտի գրառում');
INSERT INTO `lang_definitions` VALUES (64213, 3600, 13, 'EOB մուտքագրում ֊ Որոնում');
INSERT INTO `lang_definitions` VALUES (64214, 3601, 13, 'EOBs');
INSERT INTO `lang_definitions` VALUES (64215, 3602, 13, 'Էպիլեպսիա');
INSERT INTO `lang_definitions` VALUES (64216, 3606, 13, 'Հավասար է');
INSERT INTO `lang_definitions` VALUES (64217, 3608, 13, 'Երիկամային հիվանդություններով զբաղվող մասնագետների Եվրոպական Ասոցացիա /ԵՀԶՄԵԱ/');
INSERT INTO `lang_definitions` VALUES (64218, 3609, 13, 'ԵՀԶՄԵԱ ֆայլեր');
INSERT INTO `lang_definitions` VALUES (64219, 3610, 13, 'ԵՀԶՄԵԱ հայտարարությունների տեղադրում');
INSERT INTO `lang_definitions` VALUES (64220, 3612, 13, 'Վերացնել/ջնջել');
INSERT INTO `lang_definitions` VALUES (64221, 3614, 13, 'էրեկցիա');
INSERT INTO `lang_definitions` VALUES (64222, 3615, 13, 'Սխալ');
INSERT INTO `lang_definitions` VALUES (64223, 3616, 13, 'ՍԽԱԼ');
INSERT INTO `lang_definitions` VALUES (64224, 3617, 13, 'Լաբորատոր հետազոտության արդյունքների անդորրագրի հաստատման սխալ');
INSERT INTO `lang_definitions` VALUES (64225, 3618, 13, 'Տեղեկագրի ստեղծման սխալ');
INSERT INTO `lang_definitions` VALUES (64226, 3620, 13, 'Lab Exchange Network ֊ից լաբորատոր հետազոտության արդյունքների ստացման սխալ');
INSERT INTO `lang_definitions` VALUES (64227, 3621, 13, '\"Սեռ\" ընտրության սխալ');
INSERT INTO `lang_definitions` VALUES (64228, 3622, 13, '\"HIPAA\" ընտրության սխալ');
INSERT INTO `lang_definitions` VALUES (64229, 3623, 13, '\"Գործընթաց\" ընտրության սխալ');
INSERT INTO `lang_definitions` VALUES (64230, 3624, 13, '\"SMS շլյուզի\" ընտրության սխալ');
INSERT INTO `lang_definitions` VALUES (64231, 3625, 13, '\"Դասավորել ըստ\" ընտրության սխալ');
INSERT INTO `lang_definitions` VALUES (64232, 3626, 13, 'Ֆայլի gzip սեղմման սխալ:');
INSERT INTO `lang_definitions` VALUES (64233, 3627, 13, 'ԱՅՈ կամ ՈՉ տարբերակի սխալ');
INSERT INTO `lang_definitions` VALUES (64234, 3630, 13, 'Բեռնված ֆայլի բացման ընթացքում գրանցված սխալ');
INSERT INTO `lang_definitions` VALUES (64235, 3631, 13, 'Ֆայլի գործարկման սխալ');
INSERT INTO `lang_definitions` VALUES (64236, 3632, 13, 'Ֆայլի բեռնման սխալ');
INSERT INTO `lang_definitions` VALUES (64237, 3633, 13, 'Հաղորդագրության հեռացման սխալ');
INSERT INTO `lang_definitions` VALUES (64238, 3634, 13, 'Lab Exchange Network ֊ից  արդյունքների վերստացման/վերականգնման սխալ');
INSERT INTO `lang_definitions` VALUES (64239, 3635, 13, 'Նշանակության/արժեքի վերստացման/վերականգնման սխալ');
INSERT INTO `lang_definitions` VALUES (64240, 3636, 13, 'Փաստաթղթի պահպանման սխալ');
INSERT INTO `lang_definitions` VALUES (64241, 3637, 13, 'OpenEMR Օգտվողին ֆայլի հասանելիության տրամադրման սխալ');
INSERT INTO `lang_definitions` VALUES (64242, 3638, 13, 'Նոր պլանի ավելացման սխալ');
INSERT INTO `lang_definitions` VALUES (64243, 3639, 13, 'Պլանի հեռացման սխալ');
INSERT INTO `lang_definitions` VALUES (64244, 3640, 13, 'Ձևաչափի գրանցման սխալ');
INSERT INTO `lang_definitions` VALUES (64245, 3641, 13, 'Ֆայլի պահպանման սխալ');
INSERT INTO `lang_definitions` VALUES (64246, 3642, 13, 'Պլանի թարմացման սխալ');
INSERT INTO `lang_definitions` VALUES (64247, 3643, 13, 'Ֆայլի գրառման սխալ');
INSERT INTO `lang_definitions` VALUES (64248, 3646, 13, 'նոր արդյունքնրից ստացված սխալ');
INSERT INTO `lang_definitions` VALUES (64249, 3651, 13, 'ՍԽԱԼ։ ֆայլը գոյություն չունի');
INSERT INTO `lang_definitions` VALUES (64250, 3652, 13, 'ՍԽԱԼ։ հնարավոր չէ սերվերից տվյալներ հավաքել');
INSERT INTO `lang_definitions` VALUES (64251, 3653, 13, 'Սխալ։ հնարավոր չէ ստեղծել հաճախորդի վկայական/հավաստագիր');
INSERT INTO `lang_definitions` VALUES (64252, 3654, 13, 'Սխալ։ հնարավոր չէ ստեղծել admin.p12 վկայական/հավաստագիր');
INSERT INTO `lang_definitions` VALUES (64253, 3655, 13, 'Սխալ։ հնարավոր չէ ստեղծել Հավաստագրող Մարմնի վկայական');
INSERT INTO `lang_definitions` VALUES (64254, 3656, 13, 'Սխալ։ հնարավոր չէ ստեղծել Սերվերի վկայական');
INSERT INTO `lang_definitions` VALUES (64255, 3658, 13, 'Սխալ։ հնարավոր չէ բացել ֆայլը');
INSERT INTO `lang_definitions` VALUES (64256, 3659, 13, 'Սխալ։  OpenEMR֊ում Սերտիֆիկացման Լիազորություն միացված/ակտիվացված չէ');
INSERT INTO `lang_definitions` VALUES (64257, 3663, 13, 'Սխալ։ անհրաժեշտ է տեղադրել Archive/Tar.php php մոդուլ');
INSERT INTO `lang_definitions` VALUES (64258, 3664, 13, 'ՍԽԱԼ։ հնարավո՞ր չէ բացել table.sql վնասված ձևը');
INSERT INTO `lang_definitions` VALUES (64259, 3667, 13, 'Սխալ։ տողում առկա է ID կրկնօրինակ');
INSERT INTO `lang_definitions` VALUES (64260, 3668, 13, 'Սխալ։ տողում առկա է անվան կրկնօրինակ');
INSERT INTO `lang_definitions` VALUES (64261, 3669, 13, 'ՍԽԱԼ։ Դաշտ');
INSERT INTO `lang_definitions` VALUES (64262, 3670, 13, 'ՍԽԱԼ։ Բացակայող ZipArchive PHP մոդուլ');
INSERT INTO `lang_definitions` VALUES (64263, 3672, 13, 'Սխալ։ Գաղտնաբառերը չեն համապատասխանում։ Ստուգեք կատարած մուտքագրումը');
INSERT INTO `lang_definitions` VALUES (64264, 3673, 13, 'Սխալ։ Գաղտնաբառերը չեն համապատասխանում։ Ստուգեք կատարած մուտքագրումը');
INSERT INTO `lang_definitions` VALUES (64265, 3674, 13, 'Սխալ։ Ֆայլ գոյություն չունի');
INSERT INTO `lang_definitions` VALUES (64266, 3675, 13, 'ՍԽԱԼ։ հետևյալ փոփոխականը պարունակում է անվավերի նիշեր/սիմվոլներ');
INSERT INTO `lang_definitions` VALUES (64267, 3676, 13, 'ՍԽԱԼ։ հնարավոր չէ կրկնօրինակել ֆայլը');
INSERT INTO `lang_definitions` VALUES (64268, 3677, 13, 'Սխալ։ հնարավոր չէ ստեղծել արխիվի ներբեռնման տարբերակ');
INSERT INTO `lang_definitions` VALUES (64269, 3678, 13, 'ՍԽԱԼ։ հնարավոր չէ ստեղծել Zip արխիվ');
INSERT INTO `lang_definitions` VALUES (64270, 3679, 13, 'ՍԽԱԼ։ հնարավոր չէ ապաարխիվացնել');
INSERT INTO `lang_definitions` VALUES (64271, 3680, 13, 'ՍԽԱԼ։ հնարավոր չէ ֆայլը բեռնել տվյալների բազա');
INSERT INTO `lang_definitions` VALUES (64272, 3681, 13, 'ՍԽԱԼ։ հնարավոր չէ սահմանել տարբերակի համարը');
INSERT INTO `lang_definitions` VALUES (64273, 3682, 13, 'Սխալներ');
INSERT INTO `lang_definitions` VALUES (64274, 3684, 13, 'eRx հաշվի/օգտվողի կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (64275, 3685, 13, 'eRx օգտվողներ/մուտքեր');
INSERT INTO `lang_definitions` VALUES (64276, 3686, 13, 'ERX Անուն');
INSERT INTO `lang_definitions` VALUES (64277, 3687, 13, 'ERX Գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (64278, 3688, 13, 'ERX Դեր/Նշանակություն');
INSERT INTO `lang_definitions` VALUES (64279, 3689, 13, 'ERX Օգտվող/օգտատեր');
INSERT INTO `lang_definitions` VALUES (64280, 3690, 13, 'Erythema:');
INSERT INTO `lang_definitions` VALUES (64281, 3691, 13, 'Էլ․ ստորագրություն');
INSERT INTO `lang_definitions` VALUES (64282, 3692, 13, 'Էլ․ ստորագրության մուտք');
INSERT INTO `lang_definitions` VALUES (64283, 3693, 13, 'Էսկիմոս');
INSERT INTO `lang_definitions` VALUES (64284, 3699, 13, 'Գրանցված պացիենտ');
INSERT INTO `lang_definitions` VALUES (64285, 3700, 13, 'Էստոնացի /էստոներեն');
INSERT INTO `lang_definitions` VALUES (64286, 3701, 13, 'Էթնիկ պատկանելիություն/Ծագում/Ազգություն');
INSERT INTO `lang_definitions` VALUES (64287, 3702, 13, 'Էթնիկ պատկանելիություն/Ազգություն կամ ռասսա');
INSERT INTO `lang_definitions` VALUES (64288, 3703, 13, 'Ծագում֊Ռասսայի ցանկ (նշել, ավելացնել ըստ ցանկության)');
INSERT INTO `lang_definitions` VALUES (64289, 3706, 13, 'ETIN');
INSERT INTO `lang_definitions` VALUES (64290, 3709, 13, 'Իրադարձություն');
INSERT INTO `lang_definitions` VALUES (64291, 3710, 13, 'Իրադարձության սկիզբ');
INSERT INTO `lang_definitions` VALUES (64292, 3711, 13, 'Իրադարձության կատեգորիա');
INSERT INTO `lang_definitions` VALUES (64293, 3712, 13, 'Իրադարձության ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (64294, 3714, 13, 'Իրադարձության նկարագիրություն');
INSERT INTO `lang_definitions` VALUES (64295, 3715, 13, 'Իրադարձության մանրամասներ');
INSERT INTO `lang_definitions` VALUES (64296, 3716, 13, 'Իրադարձությունը չի կրկնվում');
INSERT INTO `lang_definitions` VALUES (64297, 3717, 13, 'Իրադարձության տևողություն');
INSERT INTO `lang_definitions` VALUES (64298, 3718, 13, 'Իրադարձության տևողությունը րոպեներով');
INSERT INTO `lang_definitions` VALUES (64299, 3719, 13, 'Իրադարձության վճար');
INSERT INTO `lang_definitions` VALUES (64300, 3720, 13, 'Իրադարձության վայր');
INSERT INTO `lang_definitions` VALUES (64301, 3721, 13, 'Իրադարձությունը կրկնվում է յուրաքանչյուր․․․');
INSERT INTO `lang_definitions` VALUES (64302, 3722, 13, 'Իրադարձությունը կրկնվում է ․․․ին');
INSERT INTO `lang_definitions` VALUES (64303, 3723, 13, 'Իրադարձության մեկնարկի ժամ');
INSERT INTO `lang_definitions` VALUES (64304, 3724, 13, 'Իրադարձության վերնագիր');
INSERT INTO `lang_definitions` VALUES (64305, 3725, 13, 'Իրադարձության վերնագիր');
INSERT INTO `lang_definitions` VALUES (64306, 3726, 13, 'Իրադարձության վեբ֊կայք');
INSERT INTO `lang_definitions` VALUES (64307, 3727, 13, 'Իրադարձություններ');
INSERT INTO `lang_definitions` VALUES (64308, 3728, 13, 'Իրադարձություններ ․․․ի համար');
INSERT INTO `lang_definitions` VALUES (64309, 3729, 13, 'Իրադարձությունները բացվում են նոր պատուհանում');
INSERT INTO `lang_definitions` VALUES (64310, 3731, 13, 'յուրաքանչյուր');
INSERT INTO `lang_definitions` VALUES (64311, 3732, 13, 'Յուրաքանչյուր');
INSERT INTO `lang_definitions` VALUES (64312, 3734, 13, 'ամեն 3֊րդ ժամին');
INSERT INTO `lang_definitions` VALUES (64313, 3736, 13, 'ամեն 4֊րդ ժամին');
INSERT INTO `lang_definitions` VALUES (64314, 3738, 13, 'ամեն 5֊րդ ժամին');
INSERT INTO `lang_definitions` VALUES (64315, 3740, 13, 'ամեն 6֊րդ ժամին');
INSERT INTO `lang_definitions` VALUES (64316, 3742, 13, 'ամեն 8֊րդ ժամին');
INSERT INTO `lang_definitions` VALUES (64317, 3743, 13, 'Ամեն չորրորդ');
INSERT INTO `lang_definitions` VALUES (64318, 3745, 13, 'Ամեն երկրորդ');
INSERT INTO `lang_definitions` VALUES (64319, 3746, 13, 'Ամեն երրորդ');
INSERT INTO `lang_definitions` VALUES (64320, 3747, 13, 'Յուրաքանչյուր․ ամեն երկրորդ, ամեն երրորդ ը այլն․');
INSERT INTO `lang_definitions` VALUES (64321, 3749, 13, 'Հետազոտության և լաբորատոր փորձաքննության արդյունքներ');
INSERT INTO `lang_definitions` VALUES (64322, 3750, 13, 'Հետազոտության  արդյունքներ');
INSERT INTO `lang_definitions` VALUES (64323, 3751, 13, 'Հետազոտության սենյակի #');
INSERT INTO `lang_definitions` VALUES (64324, 3752, 13, 'Հետազոտության սենյակի համարը');
INSERT INTO `lang_definitions` VALUES (64325, 3753, 13, 'Հետազոտություն');
INSERT INTO `lang_definitions` VALUES (64326, 3754, 13, 'Հետազոտության ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (64327, 3755, 13, 'Օրինակ');
INSERT INTO `lang_definitions` VALUES (64328, 3758, 13, 'Օրինակներ');
INSERT INTO `lang_definitions` VALUES (64329, 3760, 13, 'Հետազոտություններ');
INSERT INTO `lang_definitions` VALUES (64330, 3762, 13, 'Բացի/բացառությամն');
INSERT INTO `lang_definitions` VALUES (64331, 3763, 13, 'Աառատ/չափից շատ  արցունքաբերություն');
INSERT INTO `lang_definitions` VALUES (64332, 3766, 13, 'Չընդգրկված հիվանդներ');
INSERT INTO `lang_definitions` VALUES (64333, 3767, 13, 'Բացառությամն');
INSERT INTO `lang_definitions` VALUES (64334, 3768, 13, 'Բացառիկ մատակարար/պրովայդեր կազմակերպություն (EPO)');
INSERT INTO `lang_definitions` VALUES (64335, 3770, 13, 'Թղթի գործնալկան չափեր');
INSERT INTO `lang_definitions` VALUES (64336, 3771, 13, 'Վարժություն');
INSERT INTO `lang_definitions` VALUES (64337, 3772, 13, 'Վարժության օրինակներ');
INSERT INTO `lang_definitions` VALUES (64338, 3773, 13, 'Վարժության օրինակներ');
INSERT INTO `lang_definitions` VALUES (64339, 3774, 13, 'Գոյություն ունեցող/առկա');
INSERT INTO `lang_definitions` VALUES (64340, 3778, 13, 'Elq aդմինիստրատեր բաժնից');
INSERT INTO `lang_definitions` VALUES (64341, 3782, 13, 'Ընդարձ․');
INSERT INTO `lang_definitions` VALUES (64342, 3784, 13, 'Ընդլայնել /Ընդարձակել');
INSERT INTO `lang_definitions` VALUES (64343, 3785, 13, 'Ընդլայնել /Ընդարձակել');
INSERT INTO `lang_definitions` VALUES (64344, 3787, 13, 'Ընդլայնել /Ընդարձակել ամբողջը');
INSERT INTO `lang_definitions` VALUES (64345, 3788, 13, 'Ընդլայնել Փաստաթղթերի բոլոր կատեգորիաները');
INSERT INTO `lang_definitions` VALUES (64346, 3792, 13, 'Ընդլայնված դիտում');
INSERT INTO `lang_definitions` VALUES (64347, 3793, 13, 'Ընդունված ձև―encounter.pid to be');
INSERT INTO `lang_definitions` VALUES (64348, 3794, 13, 'Պիտանիության ժամկետ');
INSERT INTO `lang_definitions` VALUES (64349, 3795, 13, 'Պիտանիության ժամկետի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (64350, 3797, 13, 'Ժամկետը լրանում է');
INSERT INTO `lang_definitions` VALUES (64351, 3798, 13, 'Ժամկետը լրանում է ֊ ֊ ֊ին');
INSERT INTO `lang_definitions` VALUES (64352, 3799, 13, 'Արտահանում');
INSERT INTO `lang_definitions` VALUES (64353, 3800, 13, 'Արտահանել որպես CSV');
INSERT INTO `lang_definitions` VALUES (64354, 3802, 13, 'Կոնֆիգուրացիայի արտահանում');
INSERT INTO `lang_definitions` VALUES (64355, 3804, 13, 'Անհատական հաշիվ-ապրանքագրերի արտահանում');
INSERT INTO `lang_definitions` VALUES (64356, 3805, 13, 'Արտահանել OFX');
INSERT INTO `lang_definitions` VALUES (64357, 3806, 13, 'Պացիենտի Անձնական/ազգագրական տվյալների արտահանում');
INSERT INTO `lang_definitions` VALUES (64358, 3808, 13, 'PQRI զեկույցի արտահանում');
INSERT INTO `lang_definitions` VALUES (64359, 3809, 13, 'Արտահանել QRDA զեկույցը/հաշվետվությունը');
INSERT INTO `lang_definitions` VALUES (64360, 3810, 13, 'Արտածել նշվածները որպես CSV');
INSERT INTO `lang_definitions` VALUES (64361, 3812, 13, 'Արտածել CSV');
INSERT INTO `lang_definitions` VALUES (64362, 3813, 13, 'Արտահանում դեպի արտաքին բիլլինգային համակարգ');
INSERT INTO `lang_definitions` VALUES (64363, 3815, 13, 'Ծանոթացումը օտար երկրներին');
INSERT INTO `lang_definitions` VALUES (64364, 3816, 13, 'Ծանոթացումը օտար երկրներին');
INSERT INTO `lang_definitions` VALUES (64365, 3820, 13, 'Արտաքին');
INSERT INTO `lang_definitions` VALUES (64366, 3821, 13, 'Արտաքին տվյալներ');
INSERT INTO `lang_definitions` VALUES (64367, 3823, 13, 'Արտաքին տվյալները բեռնվում են');
INSERT INTO `lang_definitions` VALUES (64368, 3824, 13, 'Արտաքին տվյալները ներմուծման սպասարկող ծրագիր');
INSERT INTO `lang_definitions` VALUES (64369, 3828, 13, 'Արտաքին ID');
INSERT INTO `lang_definitions` VALUES (64370, 3829, 13, 'Արտաքին id');
INSERT INTO `lang_definitions` VALUES (64371, 3830, 13, 'Արտաքին նույնացուցիչ');
INSERT INTO `lang_definitions` VALUES (64372, 3831, 13, 'Միայն արտաքին');
INSERT INTO `lang_definitions` VALUES (64373, 3832, 13, 'Արտաքին Կազմակերպություն');
INSERT INTO `lang_definitions` VALUES (64374, 3833, 13, 'Արտաքին մատակարար');
INSERT INTO `lang_definitions` VALUES (64375, 3834, 13, 'Արտաքին ուղղորդիչ');
INSERT INTO `lang_definitions` VALUES (64376, 3835, 13, 'Արտաքին ուղղորդման հսկողություն');
INSERT INTO `lang_definitions` VALUES (64377, 3836, 13, 'Ուղղությունը դեպի դո՞ւրս');
INSERT INTO `lang_definitions` VALUES (64378, 3837, 13, 'Արտաքին ուղղություններ');
INSERT INTO `lang_definitions` VALUES (64379, 3838, 13, 'zip ֆայլի բացում');
INSERT INTO `lang_definitions` VALUES (64380, 3839, 13, 'Այս ֆայլը բացվում է․ այն մի քանի րոպե կտևի');
INSERT INTO `lang_definitions` VALUES (64381, 3850, 13, 'Աչքի գրգռվածություն');
INSERT INTO `lang_definitions` VALUES (64382, 3856, 13, 'Աչքի ցավ');
INSERT INTO `lang_definitions` VALUES (64383, 3860, 13, 'Աչքի կարմրություն');
INSERT INTO `lang_definitions` VALUES (64384, 3863, 13, 'Տեսողություն');
INSERT INTO `lang_definitions` VALUES (64385, 3865, 13, 'F');
INSERT INTO `lang_definitions` VALUES (64386, 3866, 13, 'F/H  Արյան հետ կապված/Հեմատոլոգիկ խնդիրներ');
INSERT INTO `lang_definitions` VALUES (64387, 3868, 13, 'Ծառայություններ/Հաստատություններ');
INSERT INTO `lang_definitions` VALUES (64388, 3869, 13, 'Ծառայություն//Հաստատություն');
INSERT INTO `lang_definitions` VALUES (64389, 3870, 13, 'ծառայություն/հաստատություն');
INSERT INTO `lang_definitions` VALUES (64390, 3871, 13, 'Ծառայությունների/Հաստատությունների կառավարում');
INSERT INTO `lang_definitions` VALUES (64391, 3872, 13, 'Ծառայությունների մատուցման քաղաք');
INSERT INTO `lang_definitions` VALUES (64392, 3873, 13, 'Ծառայության/Հաստատության կոդ');
INSERT INTO `lang_definitions` VALUES (64393, 3875, 13, 'Ծառայություն մատուցող//Հաստատության երկրի կոդը');
INSERT INTO `lang_definitions` VALUES (64394, 3876, 13, '/Հաստատության ՖԱՔՍ');
INSERT INTO `lang_definitions` VALUES (64395, 3878, 13, 'Ծառայության//Հաստատության անվանում');
INSERT INTO `lang_definitions` VALUES (64396, 3879, 13, 'Ծառայություն մատուցող բժշկական գործակալի նույնականացման  պետական կոդը/համարը');
INSERT INTO `lang_definitions` VALUES (64397, 3880, 13, 'Ծառայությունների մատուցման/Հաստատության հեռախոսահամար');
INSERT INTO `lang_definitions` VALUES (64398, 3883, 13, 'Հաստատության շրջանը/մարզը');
INSERT INTO `lang_definitions` VALUES (64399, 3884, 13, 'Հաստատության փողոցը');
INSERT INTO `lang_definitions` VALUES (64400, 3886, 13, 'Հաստատության փոստային ինդեքս');
INSERT INTO `lang_definitions` VALUES (64401, 3887, 13, 'Հաստատության փոստային կոդ');
INSERT INTO `lang_definitions` VALUES (64402, 3888, 13, 'Հաստատություն։');
INSERT INTO `lang_definitions` VALUES (64403, 3889, 13, 'ՁԱԽՈՂՈՒՄ');
INSERT INTO `lang_definitions` VALUES (64404, 3890, 13, 'ձախողված է');
INSERT INTO `lang_definitions` VALUES (64405, 3891, 13, 'ձախողված է');
INSERT INTO `lang_definitions` VALUES (64406, 3893, 13, 'Գրանցումը ձախողված պացիենտներ');
INSERT INTO `lang_definitions` VALUES (64407, 3896, 13, 'Հիվանդի ավելացումը պորտալին ձախողված է');
INSERT INTO `lang_definitions` VALUES (64408, 3897, 13, 'Բացառիկ անվան հաշվարկը ձախողված է');
INSERT INTO `lang_definitions` VALUES (64409, 3898, 13, 'Չի հաջողվել ստաեղծել');
INSERT INTO `lang_definitions` VALUES (64410, 3901, 13, 'Ժամանակավոր թղթապանակի ստեղծումը ձախողված է։ CouchDB չի աշխատի');
INSERT INTO `lang_definitions` VALUES (64411, 3904, 13, 'Չհաջողվեց ուղարկել');
INSERT INTO `lang_definitions` VALUES (64412, 3907, 13, 'Ձախողված է');
INSERT INTO `lang_definitions` VALUES (64413, 3908, 13, 'ձախողում');
INSERT INTO `lang_definitions` VALUES (64414, 3909, 13, 'Ձախողում');
INSERT INTO `lang_definitions` VALUES (64415, 3910, 13, 'ՁԱԽՈՂՄԱՆ ԾԱՆՈւՑՈւՄ։ Չհաջողվեց ուղարկել նձնական հաղուրդագրություն');
INSERT INTO `lang_definitions` VALUES (64416, 3911, 13, 'ՁԱԽՈՂՈւՄ։ հնարավոր չէ ստեղծել ZIP-ը');
INSERT INTO `lang_definitions` VALUES (64417, 3912, 13, 'ՁԱԽՈՂՈւՄ։');
INSERT INTO `lang_definitions` VALUES (64418, 3915, 13, 'Ընտանիքի առողջության պատմություն');
INSERT INTO `lang_definitions` VALUES (64419, 3916, 13, 'Ընտանեկան անամնեզ');
INSERT INTO `lang_definitions` VALUES (64420, 3918, 13, 'Գլաուկոմայի մասին ընտանեկան անամնեզ');
INSERT INTO `lang_definitions` VALUES (64421, 3919, 13, 'Ընտանեկան անամնեզ։');
INSERT INTO `lang_definitions` VALUES (64422, 3920, 13, 'Ընտանիքի անդամ');
INSERT INTO `lang_definitions` VALUES (64423, 3921, 13, 'Ընտանեկան վճարում');
INSERT INTO `lang_definitions` VALUES (64424, 3922, 13, 'Ընտանիքի կազմը');
INSERT INTO `lang_definitions` VALUES (64425, 3923, 13, 'Պատկերացում/ենթադրություն');
INSERT INTO `lang_definitions` VALUES (64426, 3925, 13, 'Պարսիկ/պարսկերեն');
INSERT INTO `lang_definitions` VALUES (64427, 3927, 13, 'Մահացու/ճակատագրական/անխուսափելի');
INSERT INTO `lang_definitions` VALUES (64428, 3928, 13, 'Հայր');
INSERT INTO `lang_definitions` VALUES (64429, 3929, 13, 'Հոր Հիվանդության Պատմություն');
INSERT INTO `lang_definitions` VALUES (64430, 3930, 13, 'Հոգնածություն');
INSERT INTO `lang_definitions` VALUES (64431, 3931, 13, 'Հոգնած');
INSERT INTO `lang_definitions` VALUES (64432, 3933, 13, 'Ֆաքս');
INSERT INTO `lang_definitions` VALUES (64433, 3934, 13, 'Ֆաքսերի քանակ');
INSERT INTO `lang_definitions` VALUES (64434, 3935, 13, 'Ֆաքսի համար');
INSERT INTO `lang_definitions` VALUES (64435, 3936, 13, 'Ֆաքսի ուղարկումը ձախողվեց');
INSERT INTO `lang_definitions` VALUES (64436, 3937, 13, 'Ֆաքս/Սկան');
INSERT INTO `lang_definitions` VALUES (64437, 3938, 13, 'ընդունել ֆաքսով');
INSERT INTO `lang_definitions` VALUES (64438, 3939, 13, 'ուղարկել ֆաքսով');
INSERT INTO `lang_definitions` VALUES (64439, 3940, 13, 'Հնարավորություններ');
INSERT INTO `lang_definitions` VALUES (64440, 3941, 13, 'Փետրվ․');
INSERT INTO `lang_definitions` VALUES (64441, 3942, 13, 'Փետրվար');
INSERT INTO `lang_definitions` VALUES (64442, 3943, 13, 'FECA');
INSERT INTO `lang_definitions` VALUES (64443, 3944, 13, 'Դեղամիջոցի պետական ID');
INSERT INTO `lang_definitions` VALUES (64444, 3945, 13, 'Պետական EIN');
INSERT INTO `lang_definitions` VALUES (64445, 3946, 13, 'Հարկ վճարողի հաշվառման պետական համար');
INSERT INTO `lang_definitions` VALUES (64446, 3948, 13, 'Վճար');
INSERT INTO `lang_definitions` VALUES (64447, 3949, 13, 'վճար');
INSERT INTO `lang_definitions` VALUES (64448, 3950, 13, 'Վճարում թույլատրված չէ');
INSERT INTO `lang_definitions` VALUES (64449, 3951, 13, 'Վճարման թերթիկ');
INSERT INTO `lang_definitions` VALUES (64450, 3953, 13, 'Վճարման թերթիկի տարբերակներ');
INSERT INTO `lang_definitions` VALUES (64451, 3955, 13, 'Վճարներ');
INSERT INTO `lang_definitions` VALUES (64452, 3956, 13, 'Իգական');
INSERT INTO `lang_definitions` VALUES (64453, 3957, 13, 'Կանացի 1. զարկերակային ճնշում 2. անգինա');
INSERT INTO `lang_definitions` VALUES (64454, 3958, 13, 'Կանացի պահպանակ');
INSERT INTO `lang_definitions` VALUES (64455, 3959, 13, 'Կանացի G');
INSERT INTO `lang_definitions` VALUES (64456, 3960, 13, 'Կանացի LC');
INSERT INTO `lang_definitions` VALUES (64457, 3961, 13, 'Կանացի P');
INSERT INTO `lang_definitions` VALUES (64458, 3962, 13, 'Կանացի ախտանիշներ');
INSERT INTO `lang_definitions` VALUES (64459, 3963, 13, 'Կանացի VSC');
INSERT INTO `lang_definitions` VALUES (64460, 3964, 13, 'Բերել');
INSERT INTO `lang_definitions` VALUES (64461, 3965, 13, 'Պորտալից բերում է հետևյալ ֆայլը');
INSERT INTO `lang_definitions` VALUES (64462, 3966, 13, 'Տենդ');
INSERT INTO `lang_definitions` VALUES (64463, 3967, 13, 'Տենդ։');
INSERT INTO `lang_definitions` VALUES (64464, 3968, 13, 'FH արյան խնդիրներ');
INSERT INTO `lang_definitions` VALUES (64465, 3972, 13, 'Ֆիբրոիդներ /բարորակ ուռուցք/');
INSERT INTO `lang_definitions` VALUES (64466, 3974, 13, 'Դաշտ');
INSERT INTO `lang_definitions` VALUES (64467, 3975, 13, 'Դաշտի \"անվանումը\" չպետք է դատարկ լինի');
INSERT INTO `lang_definitions` VALUES (64468, 3976, 13, 'Դաշտի ID');
INSERT INTO `lang_definitions` VALUES (64469, 3980, 13, 'Բաց թողնված դաշտ(եր)');
INSERT INTO `lang_definitions` VALUES (64470, 3982, 13, 'Այս նմուշի դաշտերը');
INSERT INTO `lang_definitions` VALUES (64471, 3984, 13, 'Հինգերորդ հաշվի հաղորդագրություն');
INSERT INTO `lang_definitions` VALUES (64472, 3986, 13, 'Ֆայլ');
INSERT INTO `lang_definitions` VALUES (64473, 3990, 13, 'ֆայլի տեղակայում');
INSERT INTO `lang_definitions` VALUES (64474, 3991, 13, 'Ֆայլի կառավարում');
INSERT INTO `lang_definitions` VALUES (64475, 3993, 13, 'Ֆայլի անվանումը');
INSERT INTO `lang_definitions` VALUES (64476, 3997, 13, 'Ֆայլի ուղին չի գտնվել');
INSERT INTO `lang_definitions` VALUES (64477, 3998, 13, 'Ֆայլի հանդեպ OpenEMR օգտվողի իրավունք/արտոնություն');
INSERT INTO `lang_definitions` VALUES (64478, 3999, 13, 'Ֆայլի վերադարձը CouchDB-ից ձախողվեց');
INSERT INTO `lang_definitions` VALUES (64479, 4000, 13, 'Գրանցման բաժին');
INSERT INTO `lang_definitions` VALUES (64480, 4001, 13, 'բեռնվող ֆայլ');
INSERT INTO `lang_definitions` VALUES (64481, 4002, 13, 'Բեռնվող ֆայլ');
INSERT INTO `lang_definitions` VALUES (64482, 4003, 13, 'Այս տիրույթում նման անունով ֆայլ արդեն գոյություն ունի');
INSERT INTO `lang_definitions` VALUES (64483, 4004, 13, 'Ֆայլի անվանում');
INSERT INTO `lang_definitions` VALUES (64484, 4005, 13, 'Ֆայլի անունը պետք է վերջանա \".pdf\"֊ով');
INSERT INTO `lang_definitions` VALUES (64485, 4006, 13, 'Ֆայլեր');
INSERT INTO `lang_definitions` VALUES (64486, 4011, 13, 'Ֆիլիպինյան');
INSERT INTO `lang_definitions` VALUES (64487, 4013, 13, 'Լրացրեք ներքևի ցանկացած տողը');
INSERT INTO `lang_definitions` VALUES (64488, 4014, 13, 'Լրացրեք սա, միայն այն դեպքում, երբ Պացիենտին ծանուցում եք ուղարկում էլ․ փոստով');
INSERT INTO `lang_definitions` VALUES (64489, 4023, 13, 'Բացատրությունը գրեք ներքևում');
INSERT INTO `lang_definitions` VALUES (64490, 4024, 13, 'Լրացնել ցուցումները');
INSERT INTO `lang_definitions` VALUES (64491, 4025, 13, 'Լրացրեք տողը');
INSERT INTO `lang_definitions` VALUES (64492, 4028, 13, 'Ֆիլտր');
INSERT INTO `lang_definitions` VALUES (64493, 4029, 13, 'Կոնստանտի ֆիլտր');
INSERT INTO `lang_definitions` VALUES (64494, 4030, 13, 'Սահմանումների ֆիլտր');
INSERT INTO `lang_definitions` VALUES (64495, 4031, 13, 'Ֆիլտրված է -ից');
INSERT INTO `lang_definitions` VALUES (64496, 4032, 13, 'ֆիլտրեր');
INSERT INTO `lang_definitions` VALUES (64497, 4033, 13, 'ֆիլտրեր');
INSERT INTO `lang_definitions` VALUES (64498, 4034, 13, 'Վերջնական');
INSERT INTO `lang_definitions` VALUES (64499, 4035, 13, 'Վերջնական ախտորոշում');
INSERT INTO `lang_definitions` VALUES (64500, 4036, 13, 'Մասնագետի վերջնական ախտորոշում');
INSERT INTO `lang_definitions` VALUES (64501, 4037, 13, 'Վերջնական կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (64502, 4038, 13, 'Ֆինանսական');
INSERT INTO `lang_definitions` VALUES (64503, 4039, 13, 'Ֆինանսավորման ավարտի ամսաթիվը  (yyyy-mm-dd)');
INSERT INTO `lang_definitions` VALUES (64504, 4040, 13, 'Ֆինանսական հաշվետվություն ֊ ցանկացած');
INSERT INTO `lang_definitions` VALUES (64505, 4042, 13, 'Ֆինանսական հաշվետվություն ֊ իմ այցելությունները');
INSERT INTO `lang_definitions` VALUES (64506, 4045, 13, 'Ֆինանսական ամփոփման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (64507, 4046, 13, 'Ֆինանսական ամփոփ տեղեկագիր ծառայության կոդով');
INSERT INTO `lang_definitions` VALUES (64508, 4048, 13, 'Գտնել');
INSERT INTO `lang_definitions` VALUES (64509, 4049, 13, 'Գտնել հասանելիները');
INSERT INTO `lang_definitions` VALUES (64510, 4050, 13, 'Գտնել այցերի հասանելի  գրանցումներ');
INSERT INTO `lang_definitions` VALUES (64511, 4053, 13, 'Գտնել Պացիենտին');
INSERT INTO `lang_definitions` VALUES (64512, 4054, 13, 'Գտնել պացիենտի տեղեկատվական նյութեր');
INSERT INTO `lang_definitions` VALUES (64513, 4056, 13, 'Արդյունքներ');
INSERT INTO `lang_definitions` VALUES (64514, 4057, 13, 'Արդյունքներ ըստ մասնագետի');
INSERT INTO `lang_definitions` VALUES (64515, 4058, 13, 'Տուգանք');
INSERT INTO `lang_definitions` VALUES (64516, 4060, 13, 'Վերջնական վճարումներ');
INSERT INTO `lang_definitions` VALUES (64517, 4062, 13, 'ավարտված է');
INSERT INTO `lang_definitions` VALUES (64518, 4064, 13, 'Ֆիննական/ֆիններեն');
INSERT INTO `lang_definitions` VALUES (64519, 4065, 13, 'Առաջին');
INSERT INTO `lang_definitions` VALUES (64520, 4066, 13, 'Առաջին հաշվի հաղորդագրություն');
INSERT INTO `lang_definitions` VALUES (64521, 4068, 13, 'Շաբաթվա առաջին օրը');
INSERT INTO `lang_definitions` VALUES (64522, 4071, 13, 'Անուն');
INSERT INTO `lang_definitions` VALUES (64523, 4072, 13, 'Անուն');
INSERT INTO `lang_definitions` VALUES (64524, 4073, 13, 'Անուն։');
INSERT INTO `lang_definitions` VALUES (64525, 4074, 13, 'Առաջին այց կամ խորհրդատվություն');
INSERT INTO `lang_definitions` VALUES (64526, 4077, 13, 'Անուն  Ազգանուն');
INSERT INTO `lang_definitions` VALUES (64527, 4079, 13, 'Ֆիզիկական պատրաստվածություն');
INSERT INTO `lang_definitions` VALUES (64528, 4080, 13, 'Ֆիզիկական պատրաստվածության մակարդակը');
INSERT INTO `lang_definitions` VALUES (64529, 4081, 13, 'Սույն խաղացողի այսօրվա ֆիզիկական պատրաստվածության մակարդակը');
INSERT INTO `lang_definitions` VALUES (64530, 4082, 13, 'Ֆիզիկական պատրաստվածության քննություն');
INSERT INTO `lang_definitions` VALUES (64531, 4083, 13, 'Ֆիզիկական նախապատրաստում խաղին');
INSERT INTO `lang_definitions` VALUES (64532, 4084, 13, 'Գրանցել այցելությունների ամսաթվերը ֊ ցանկացած այցելություններ');
INSERT INTO `lang_definitions` VALUES (64533, 4086, 13, 'Գրանցել սա');
INSERT INTO `lang_definitions` VALUES (64534, 4088, 13, 'Ազդրերի երկարությունը');
INSERT INTO `lang_definitions` VALUES (64535, 4090, 13, 'Մետեորիզմ');
INSERT INTO `lang_definitions` VALUES (64536, 4091, 13, 'Դաշտանային ցիկլ');
INSERT INTO `lang_definitions` VALUES (64537, 4108, 13, 'Գրիպի համաճարակային շրջան/փուլ');
INSERT INTO `lang_definitions` VALUES (64538, 4109, 13, 'Գրիպի համաճարակային շրջան/փուլ');
INSERT INTO `lang_definitions` VALUES (64539, 4110, 13, 'Գրիպի դեմ պատվաստում');
INSERT INTO `lang_definitions` VALUES (64540, 4111, 13, 'Հիդրոէլեկտրալույծի բալանսի խնդիր');
INSERT INTO `lang_definitions` VALUES (64541, 4112, 13, 'FMS');
INSERT INTO `lang_definitions` VALUES (64542, 4113, 13, 'Թղթի գրքային չափը');
INSERT INTO `lang_definitions` VALUES (64543, 4114, 13, 'Լրացնել ձեռքով');
INSERT INTO `lang_definitions` VALUES (64544, 4115, 13, 'Հետևյալ տվյալների բազան տեղադրելու կամ թարմացնելու համար հետևեք այս հրահանգներին');
INSERT INTO `lang_definitions` VALUES (64545, 4116, 13, 'Հետևող');
INSERT INTO `lang_definitions` VALUES (64546, 4118, 13, 'Հաջորդող նշումներ');
INSERT INTO `lang_definitions` VALUES (64547, 4119, 13, 'Առաջացող պատճառներ');
INSERT INTO `lang_definitions` VALUES (64548, 4121, 13, 'Հաջորդիվ');
INSERT INTO `lang_definitions` VALUES (64549, 4122, 13, 'Ահա նոր հիմնական լեզուն');
INSERT INTO `lang_definitions` VALUES (64550, 4125, 13, 'Հետագա ծառայություններ');
INSERT INTO `lang_definitions` VALUES (64551, 4126, 13, 'Հետագա նշվածները');
INSERT INTO `lang_definitions` VALUES (64552, 4129, 13, 'Սննդային անհամատեղելիություն / սննդի հանդեպ հակակրանք');
INSERT INTO `lang_definitions` VALUES (64553, 4130, 13, 'Ոտք');
INSERT INTO `lang_definitions` VALUES (64554, 4131, 13, 'Ոտքերի խնդիր');
INSERT INTO `lang_definitions` VALUES (64555, 4132, 13, 'Ոտք։');
INSERT INTO `lang_definitions` VALUES (64556, 4133, 13, 'Ֆուտբոլային վնասվածքներ');
INSERT INTO `lang_definitions` VALUES (64557, 4134, 13, 'Ֆուտբոլային վնասվածք');
INSERT INTO `lang_definitions` VALUES (64558, 4135, 13, 'Տեղեկություն ֆուտբոլային վնասվածքի մասին');
INSERT INTO `lang_definitions` VALUES (64559, 4136, 13, 'Կոշիկի տեսակ');
INSERT INTO `lang_definitions` VALUES (64560, 4137, 13, 'համար');
INSERT INTO `lang_definitions` VALUES (64561, 4138, 13, 'Համար');
INSERT INTO `lang_definitions` VALUES (64562, 4144, 13, 'Կոդի համար');
INSERT INTO `lang_definitions` VALUES (64563, 4146, 13, 'Ամսաթվերի համար');
INSERT INTO `lang_definitions` VALUES (64564, 4152, 13, 'Այցելության պահանջների համար');
INSERT INTO `lang_definitions` VALUES (64565, 4154, 13, 'Օրինակ։');
INSERT INTO `lang_definitions` VALUES (64566, 4161, 13, 'հաշվի համար');
INSERT INTO `lang_definitions` VALUES (64567, 4163, 13, 'Միայն անվճար բուժօգնության համար/դեպքում խորհրդատուին վկայակոչում են որպես բժիշկ');
INSERT INTO `lang_definitions` VALUES (64568, 4166, 13, 'Պացիենտի համար');
INSERT INTO `lang_definitions` VALUES (64569, 4172, 13, 'Մասնագետի/Մատակարարի համար');
INSERT INTO `lang_definitions` VALUES (64570, 4173, 13, 'Ուղղորդող հաստատությունների / Պրակտիկանտների համար');
INSERT INTO `lang_definitions` VALUES (64571, 4176, 13, 'Նախկինների համար');
INSERT INTO `lang_definitions` VALUES (64572, 4188, 13, 'Փոփոխականների համար');
INSERT INTO `lang_definitions` VALUES (64573, 4189, 13, 'համար։');
INSERT INTO `lang_definitions` VALUES (64574, 4190, 13, 'Պահանջում է բիլլինգային վիդջեթի բացում');
INSERT INTO `lang_definitions` VALUES (64575, 4191, 13, 'Պահանջում է նոր պացիենտի ստեղծում');
INSERT INTO `lang_definitions` VALUES (64576, 4194, 13, 'Նախաբազուկ');
INSERT INTO `lang_definitions` VALUES (64577, 4195, 13, 'Ձև');
INSERT INTO `lang_definitions` VALUES (64578, 4196, 13, 'ձև');
INSERT INTO `lang_definitions` VALUES (64579, 4197, 13, 'Նմուշի տարր չի հայտաբերվել/գտնվել');
INSERT INTO `lang_definitions` VALUES (64580, 4199, 13, 'Նմուշը հաջողությամբ ստորագրվեց');
INSERT INTO `lang_definitions` VALUES (64581, 4201, 13, 'Ձևաչափ');
INSERT INTO `lang_definitions` VALUES (64582, 4202, 13, 'Ձևաչափ');
INSERT INTO `lang_definitions` VALUES (64583, 4203, 13, 'Տարիքի ցուցադրման ձևաչափ');
INSERT INTO `lang_definitions` VALUES (64584, 4204, 13, 'NDC֊ի սխալ ձևաչափ');
INSERT INTO `lang_definitions` VALUES (64585, 4205, 13, 'Ամսաթվերի մեծ քանակ  ցուցադրելու ֆորմատ');
INSERT INTO `lang_definitions` VALUES (64586, 4206, 13, 'Մեծ ժամացուցակ ցուցադրելու ֆորմատ');
INSERT INTO `lang_definitions` VALUES (64587, 4207, 13, 'Ֆորմատավորման/կազմավորման զեկույց');
INSERT INTO `lang_definitions` VALUES (64588, 4208, 13, 'Նախկին ծխող');
INSERT INTO `lang_definitions` VALUES (64589, 4209, 13, 'Ձևեր/բլանկներ');
INSERT INTO `lang_definitions` VALUES (64590, 4210, 13, 'Բլանկների կառավարում');
INSERT INTO `lang_definitions` VALUES (64591, 4215, 13, 'Փոխանցել / առաջ /');
INSERT INTO `lang_definitions` VALUES (64592, 4219, 13, 'Փոխանցել էջերը ֆաքսով');
INSERT INTO `lang_definitions` VALUES (64593, 4222, 13, 'Փոխանցված');
INSERT INTO `lang_definitions` VALUES (64594, 4224, 13, 'Որդեգիր երեխա');
INSERT INTO `lang_definitions` VALUES (64595, 4225, 13, 'Չորրորդ');
INSERT INTO `lang_definitions` VALUES (64596, 4226, 13, 'Չորրոդ հաշվի հաղորդագրություն');
INSERT INTO `lang_definitions` VALUES (64597, 4227, 13, 'Կոտրվածք');
INSERT INTO `lang_definitions` VALUES (64598, 4228, 13, '֊ի կոտրվածք');
INSERT INTO `lang_definitions` VALUES (64599, 4229, 13, 'կողային  կոճի կոտրվածք');
INSERT INTO `lang_definitions` VALUES (64600, 4230, 13, 'մեջտեղի  կոճի կոտրվածք');
INSERT INTO `lang_definitions` VALUES (64601, 4235, 13, 'Ֆրանսերեն');
INSERT INTO `lang_definitions` VALUES (64602, 4236, 13, 'Ֆրանսերեն (կանադական)');
INSERT INTO `lang_definitions` VALUES (64603, 4237, 13, 'Ֆրանսերեն (ստանդարտ)');
INSERT INTO `lang_definitions` VALUES (64604, 4238, 13, 'Հաճախություն');
INSERT INTO `lang_definitions` VALUES (64605, 4239, 13, 'Հաճախ կրկնվող հարբուխներ');
INSERT INTO `lang_definitions` VALUES (64606, 4240, 13, 'Հաճախ կրկնվող հիվանդություններ');
INSERT INTO `lang_definitions` VALUES (64607, 4241, 13, 'Ուրբ․');
INSERT INTO `lang_definitions` VALUES (64608, 4242, 13, 'Ուրբաթ');
INSERT INTO `lang_definitions` VALUES (64609, 4244, 13, '֊ից');
INSERT INTO `lang_definitions` VALUES (64610, 4245, 13, '֊ից');
INSERT INTO `lang_definitions` VALUES (64611, 4246, 13, '֊ից');
INSERT INTO `lang_definitions` VALUES (64612, 4247, 13, '\"֊ից\" ասմաթիվը չի կարող մոծ լինել \"մինչ\" ամսաթվից');
INSERT INTO `lang_definitions` VALUES (64613, 4253, 13, '֊ից։');
INSERT INTO `lang_definitions` VALUES (64614, 4254, 13, '֊ից։');
INSERT INTO `lang_definitions` VALUES (64615, 4255, 13, 'FROM_CITY');
INSERT INTO `lang_definitions` VALUES (64616, 4256, 13, 'FROM_EMAIL');
INSERT INTO `lang_definitions` VALUES (64617, 4257, 13, 'FROM_FNAME');
INSERT INTO `lang_definitions` VALUES (64618, 4258, 13, 'FROM_LNAME');
INSERT INTO `lang_definitions` VALUES (64619, 4259, 13, 'FROM_MNAME');
INSERT INTO `lang_definitions` VALUES (64620, 4260, 13, 'FROM_PHONE');
INSERT INTO `lang_definitions` VALUES (64621, 4261, 13, 'FROM_PHONECELL');
INSERT INTO `lang_definitions` VALUES (64622, 4262, 13, 'FROM_POSTAL');
INSERT INTO `lang_definitions` VALUES (64623, 4263, 13, 'FROM_STATE');
INSERT INTO `lang_definitions` VALUES (64624, 4264, 13, 'FROM_STREET');
INSERT INTO `lang_definitions` VALUES (64625, 4265, 13, 'FROM_TITLE');
INSERT INTO `lang_definitions` VALUES (64626, 4266, 13, 'FROM_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (64627, 4267, 13, 'Գրասենյակ /Ռեգիստր/');
INSERT INTO `lang_definitions` VALUES (64628, 4268, 13, 'Գրասենյակի /Ռեգիստրի մուտքեր');
INSERT INTO `lang_definitions` VALUES (64629, 4269, 13, 'Գրասենյակի /Ռեգիստրի մուտքերի զեկույց');
INSERT INTO `lang_definitions` VALUES (64630, 4270, 13, 'Գրանցում');
INSERT INTO `lang_definitions` VALUES (64631, 4271, 13, 'Առաջին աջ');
INSERT INTO `lang_definitions` VALUES (64632, 4278, 13, 'Անուն, ազգանուն');
INSERT INTO `lang_definitions` VALUES (64633, 4284, 13, 'Ամբողջական վերարտադրում/գործարկում');
INSERT INTO `lang_definitions` VALUES (64634, 4286, 13, 'Ամբողջական ուսուցում');
INSERT INTO `lang_definitions` VALUES (64635, 4288, 13, 'Ամբողջությամբ վճարված');
INSERT INTO `lang_definitions` VALUES (64636, 4290, 13, 'Ֆունկցիոնալ եւ Ճանաչողական կարգավիճակի ձեւ');
INSERT INTO `lang_definitions` VALUES (64637, 4291, 13, 'Ֆունկցիոնալ Ճանաչողական կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (64638, 4292, 13, 'Ֆունկցիոնալ վիճակ');
INSERT INTO `lang_definitions` VALUES (64639, 4293, 13, 'Ֆինանսավորման աղբյուրը');
INSERT INTO `lang_definitions` VALUES (64640, 4295, 13, 'Ապագա');
INSERT INTO `lang_definitions` VALUES (64641, 4297, 13, 'F{{Ուրբաթ}}');
INSERT INTO `lang_definitions` VALUES (64642, 4298, 13, 'G');
INSERT INTO `lang_definitions` VALUES (64643, 4299, 13, 'G/DL');
INSERT INTO `lang_definitions` VALUES (64644, 4302, 13, 'Լեղապարկի վիճակ');
INSERT INTO `lang_definitions` VALUES (64645, 4303, 13, 'Լեղապարկի քարեր');
INSERT INTO `lang_definitions` VALUES (64646, 4304, 13, 'Խաղի տևողություն');
INSERT INTO `lang_definitions` VALUES (64647, 4305, 13, 'Խաղեր');
INSERT INTO `lang_definitions` VALUES (64648, 4306, 13, 'Խաղը բացակայում է');
INSERT INTO `lang_definitions` VALUES (64649, 4307, 13, 'Խաղեր/միջոցառումներ');
INSERT INTO `lang_definitions` VALUES (64650, 4308, 13, 'Խաղերը/միջոցառումները բացակայում են');
INSERT INTO `lang_definitions` VALUES (64651, 4310, 13, 'Գաստրիտ');
INSERT INTO `lang_definitions` VALUES (64652, 4311, 13, 'Գաստրիտային ցավեր');
INSERT INTO `lang_definitions` VALUES (64653, 4312, 13, 'Աղեստամոքսային/մարսողական օրգաններ');
INSERT INTO `lang_definitions` VALUES (64654, 4316, 13, 'GCAC վիճակագրական հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (64655, 4317, 13, 'GCAC վիճակագրություն');
INSERT INTO `lang_definitions` VALUES (64656, 4318, 13, 'GCAC այցի բլանկը դատարկ է');
INSERT INTO `lang_definitions` VALUES (64657, 4319, 13, 'Սեռ');
INSERT INTO `lang_definitions` VALUES (64658, 4320, 13, 'Սեռ');
INSERT INTO `lang_definitions` VALUES (64659, 4321, 13, 'Ընդհանուր/գլխավոր');
INSERT INTO `lang_definitions` VALUES (64660, 4323, 13, 'Ընդհանուր/գլխավոր հարցերի ցանկ');
INSERT INTO `lang_definitions` VALUES (64661, 4324, 13, 'Գլխավոր բժիշկ');
INSERT INTO `lang_definitions` VALUES (64662, 4325, 13, 'Հիմնական ծառայությունների կատեգորիա');
INSERT INTO `lang_definitions` VALUES (64663, 4331, 13, 'Ստեղծել');
INSERT INTO `lang_definitions` VALUES (64664, 4332, 13, 'Ստեղծել և ներբեռնել CMS 1500 թղթային պահանջները');
INSERT INTO `lang_definitions` VALUES (64665, 4334, 13, 'Ստեղծել և ներբեռնել HCFA 15 թղթային պահանջները');
INSERT INTO `lang_definitions` VALUES (64666, 4337, 13, 'Ստեղծել և ներբեռնել X12 փաթեթը');
INSERT INTO `lang_definitions` VALUES (64667, 4338, 13, 'Ստեղծել և ներբեռնել այցելության  X12 պահանջված փաթեթը');
INSERT INTO `lang_definitions` VALUES (64668, 4339, 13, 'Ստեղծել և փոխանցել բոլոր թույլատրելի դեղատոմսերը էլեկտրոնային տարբերակով (Բոլոր դեղատոմսերը)');
INSERT INTO `lang_definitions` VALUES (64669, 4340, 13, 'Ստեղծել և փոխանցել բոլոր թույլատրելի դեղատոմսերը էլեկտրոնային տարբերակով (բացառությամբ վերահսկվող նյութերի)');
INSERT INTO `lang_definitions` VALUES (64670, 4341, 13, 'Թույլատրելի դեղատոմսի ստեղծում և էլեկտրոնային փոխանցում');
INSERT INTO `lang_definitions` VALUES (64671, 4342, 13, 'Ստեղծել CMS 1500');
INSERT INTO `lang_definitions` VALUES (64672, 4343, 13, 'Ստեղծել 1500 PDF');
INSERT INTO `lang_definitions` VALUES (64673, 4344, 13, 'Ստեղծել 1500 TEXT');
INSERT INTO `lang_definitions` VALUES (64674, 4345, 13, 'Ստեղծել HCFA');
INSERT INTO `lang_definitions` VALUES (64675, 4347, 13, 'Ստեղծել հաշիվ ապրանքագիր');
INSERT INTO `lang_definitions` VALUES (64676, 4348, 13, 'Ստեղծել նամակ');
INSERT INTO `lang_definitions` VALUES (64677, 4349, 13, 'Ստեղծել նամակ ֊ի վերաբերյալ');
INSERT INTO `lang_definitions` VALUES (64678, 4351, 13, 'Ստեղծել PQRI հաշվետվություն (Մեթոդ Ա)');
INSERT INTO `lang_definitions` VALUES (64679, 4352, 13, 'Ստեղծել PQRI հաշվետվություն (Մեթոդ Ա) ֊ 2011');
INSERT INTO `lang_definitions` VALUES (64680, 4353, 13, 'Ստեղծել PQRI հաշվետվություն (Մեթոդ Ե)');
INSERT INTO `lang_definitions` VALUES (64681, 4354, 13, 'Ստեղծել PQRI հաշվետվություն (Մեթոդ Ե) - 2011');
INSERT INTO `lang_definitions` VALUES (64682, 4355, 13, 'Ստեղծել QRDA I – 2014');
INSERT INTO `lang_definitions` VALUES (64683, 4356, 13, 'Ստեղծել QRDA III - 2014');
INSERT INTO `lang_definitions` VALUES (64684, 4357, 13, 'Ստեղծել հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (64685, 4365, 13, 'Ստեղծել Օգտվողի անուն և գաղտնաբառ ֊ի համար');
INSERT INTO `lang_definitions` VALUES (64686, 4366, 13, 'Ստեղծել X12');
INSERT INTO `lang_definitions` VALUES (64687, 4368, 13, 'Ստեղծել X12 այց');
INSERT INTO `lang_definitions` VALUES (64688, 4369, 13, 'Ստեղծել/Ներբեռնել QRDA I - 2014');
INSERT INTO `lang_definitions` VALUES (64689, 4370, 13, 'Ստեղծված ֊ին');
INSERT INTO `lang_definitions` VALUES (64690, 4372, 13, 'Ստեղծում է');
INSERT INTO `lang_definitions` VALUES (64691, 4377, 13, 'Միազասեռական');
INSERT INTO `lang_definitions` VALUES (64692, 4378, 13, 'Genitourinary medicine physician');
INSERT INTO `lang_definitions` VALUES (64693, 4380, 13, 'վրացերեն');
INSERT INTO `lang_definitions` VALUES (64694, 4381, 13, 'Գերմաներեն');
INSERT INTO `lang_definitions` VALUES (64695, 4382, 13, 'Gest տարիք');
INSERT INTO `lang_definitions` VALUES (64696, 4383, 13, 'Gestational տարիք');
INSERT INTO `lang_definitions` VALUES (64697, 4385, 13, 'Ստանալ HL6');
INSERT INTO `lang_definitions` VALUES (64698, 4386, 13, 'Ստանալ HL7');
INSERT INTO `lang_definitions` VALUES (64699, 4392, 13, 'Գլաուկոմա');
INSERT INTO `lang_definitions` VALUES (64700, 4393, 13, 'Գլաուկոմայի ընտանեկան անամնեզ');
INSERT INTO `lang_definitions` VALUES (64701, 4395, 13, 'Գլոբալ/համընդհանուր');
INSERT INTO `lang_definitions` VALUES (64702, 4398, 13, 'Գլոբալ ID');
INSERT INTO `lang_definitions` VALUES (64703, 4399, 13, 'Գլոբալ կարգավորումներ/պարամետրեր');
INSERT INTO `lang_definitions` VALUES (64704, 4400, 13, 'Գլոբալ փոփոխություններ');
INSERT INTO `lang_definitions` VALUES (64705, 4401, 13, 'GM/DL');
INSERT INTO `lang_definitions` VALUES (64706, 4403, 13, 'Առաջ');
INSERT INTO `lang_definitions` VALUES (64707, 4404, 13, 'Առաջ');
INSERT INTO `lang_definitions` VALUES (64708, 4407, 13, 'Գնալ/վերադառնալ դեպի');
INSERT INTO `lang_definitions` VALUES (64709, 4417, 13, 'Գնալ/վերադառնալ ֊ի շաբաթ');
INSERT INTO `lang_definitions` VALUES (64710, 4418, 13, 'Գնալ/վերադառնալ');
INSERT INTO `lang_definitions` VALUES (64711, 4419, 13, 'Նպատակ Ա');
INSERT INTO `lang_definitions` VALUES (64712, 4420, 13, 'Նպատակ և Մեթոդներ');
INSERT INTO `lang_definitions` VALUES (64713, 4421, 13, 'Նպատակ Բ');
INSERT INTO `lang_definitions` VALUES (64714, 4422, 13, 'Նպատակ Գ');
INSERT INTO `lang_definitions` VALUES (64715, 4428, 13, 'Վնասվածքի ծանրության աստիճանը');
INSERT INTO `lang_definitions` VALUES (64716, 4429, 13, 'Աստիճան։');
INSERT INTO `lang_definitions` VALUES (64717, 4430, 13, 'գրամ');
INSERT INTO `lang_definitions` VALUES (64718, 4431, 13, 'Ընդհանուր քանակ');
INSERT INTO `lang_definitions` VALUES (64719, 4432, 13, 'Ընդհանուր քանակ');
INSERT INTO `lang_definitions` VALUES (64720, 4435, 13, 'Գրաֆիկորեն արտածվող');
INSERT INTO `lang_definitions` VALUES (64721, 4437, 13, 'Ավելի մեծ, քան');
INSERT INTO `lang_definitions` VALUES (64722, 4438, 13, 'Ավելի քան կամ հավասար');
INSERT INTO `lang_definitions` VALUES (64723, 4439, 13, 'Հունարեն');
INSERT INTO `lang_definitions` VALUES (64724, 4440, 13, 'Հունարեն․ Ժամանակակից');
INSERT INTO `lang_definitions` VALUES (64725, 4442, 13, 'Խումբ');
INSERT INTO `lang_definitions` VALUES (64726, 4459, 13, 'Խմբի անվանում');
INSERT INTO `lang_definitions` VALUES (64727, 4460, 13, 'Խմբի անվանումը չի կարող դատարկ լինել');
INSERT INTO `lang_definitions` VALUES (64728, 4461, 13, 'Խմբի անվանումը չի կարող սկսվել թվերով կամ բացատով');
INSERT INTO `lang_definitions` VALUES (64729, 4462, 13, 'Խմբի անվանումը չի կարող սկսվել թվերով');
INSERT INTO `lang_definitions` VALUES (64730, 4463, 13, 'Խմբի համարը');
INSERT INTO `lang_definitions` VALUES (64731, 4465, 13, 'Խմբային վճարում');
INSERT INTO `lang_definitions` VALUES (64732, 4471, 13, 'Խումբ։');
INSERT INTO `lang_definitions` VALUES (64733, 4472, 13, 'Խմբի անվանում');
INSERT INTO `lang_definitions` VALUES (64734, 4475, 13, 'Խմբեր և հասանելիության հսկողություն');
INSERT INTO `lang_definitions` VALUES (64735, 4476, 13, 'Աճի սանդղակ');
INSERT INTO `lang_definitions` VALUES (64736, 4477, 13, 'Աճի աղյուսակ');
INSERT INTO `lang_definitions` VALUES (64737, 4478, 13, 'gtts (կաթիլներ)');
INSERT INTO `lang_definitions` VALUES (64738, 4479, 13, 'Գուամերերն');
INSERT INTO `lang_definitions` VALUES (64739, 4484, 13, 'Խնամակալի ազգանունը');
INSERT INTO `lang_definitions` VALUES (64740, 4489, 13, 'Գինեկոլոգիական հետազոտություն');
INSERT INTO `lang_definitions` VALUES (64741, 4490, 13, 'ժ');
INSERT INTO `lang_definitions` VALUES (64742, 4492, 13, 'քնի ժամ');
INSERT INTO `lang_definitions` VALUES (64743, 4493, 13, 'Հեպատիտներ H/O');
INSERT INTO `lang_definitions` VALUES (64744, 4494, 13, 'Հաջողությամբ ջնջված է։ Հնարավոր առկա ենթակատեգորիաներն տեղափոխվել են ներքև');
INSERT INTO `lang_definitions` VALUES (64745, 4495, 13, 'Հեմատոմա / կապտուկ');
INSERT INTO `lang_definitions` VALUES (64746, 4499, 13, 'Ձեռքեր + մատներ');
INSERT INTO `lang_definitions` VALUES (64747, 4500, 13, 'Ձեռքերի խնդիր');
INSERT INTO `lang_definitions` VALUES (64748, 4505, 13, 'Կոշտ սկավառակ');
INSERT INTO `lang_definitions` VALUES (64749, 4506, 13, 'Առանց դժվարությունների');
INSERT INTO `lang_definitions` VALUES (64750, 4507, 13, 'կապված է այցի հետ');
INSERT INTO `lang_definitions` VALUES (64751, 4508, 13, 'ժամկետանց');
INSERT INTO `lang_definitions` VALUES (64752, 4511, 13, 'Այս ֆայլի համար ֊ գոյություն չունի։ Նոր ֊ է ստեղծվել');
INSERT INTO `lang_definitions` VALUES (64753, 4512, 13, '֊ը չի համապատասխանում։ Տվյալների ամբողջականությունը խախտված է');
INSERT INTO `lang_definitions` VALUES (64754, 4515, 13, 'Հավայան');
INSERT INTO `lang_definitions` VALUES (64755, 4516, 13, 'Վտանգավոր գործունեություն/գործողություն');
INSERT INTO `lang_definitions` VALUES (64756, 4517, 13, 'Վտանգավոր գործունեություն/գործողություն');
INSERT INTO `lang_definitions` VALUES (64757, 4521, 13, 'HCFA-ի ձախ հատվածը/միջակայք կետերով');
INSERT INTO `lang_definitions` VALUES (64758, 4522, 13, 'HCFA-ի միջակայք');
INSERT INTO `lang_definitions` VALUES (64759, 4523, 13, 'HCFA-ի վերին հատվածը/միջակայք կետերով');
INSERT INTO `lang_definitions` VALUES (64760, 4524, 13, 'HCPCS միջամտություն / ծառայություն');
INSERT INTO `lang_definitions` VALUES (64761, 4527, 13, 'he PostCalendar');
INSERT INTO `lang_definitions` VALUES (64762, 4528, 13, 'Գլուխ');
INSERT INTO `lang_definitions` VALUES (64763, 4529, 13, 'Գլխի շրջագիծ');
INSERT INTO `lang_definitions` VALUES (64764, 4530, 13, 'Գլխի շրջագիծ');
INSERT INTO `lang_definitions` VALUES (64765, 4531, 13, 'Գլխացավ');
INSERT INTO `lang_definitions` VALUES (64766, 4532, 13, 'Գլխացավեր');
INSERT INTO `lang_definitions` VALUES (64767, 4534, 13, 'Բժշկական վիրահատություններ');
INSERT INTO `lang_definitions` VALUES (64768, 4535, 13, 'Առողջապահական միջոցառումներ');
INSERT INTO `lang_definitions` VALUES (64769, 4537, 13, 'Բժշկական կենտրոն/կլինիկա');
INSERT INTO `lang_definitions` VALUES (64770, 4540, 13, 'Առողջապահական  կազմակերպություն/հաստատություն');
INSERT INTO `lang_definitions` VALUES (64771, 4541, 13, 'Առողջապահական  կազմակերպության/հաստատության (ԱԿ / ԱՀ) Ապահովագրական ռիսկ');
INSERT INTO `lang_definitions` VALUES (64772, 4542, 13, 'Լսողության կորուստ');
INSERT INTO `lang_definitions` VALUES (64773, 4543, 13, 'Սրտամկանի ինֆարկտ');
INSERT INTO `lang_definitions` VALUES (64774, 4544, 13, 'Սրտային հիվանդություն');
INSERT INTO `lang_definitions` VALUES (64775, 4545, 13, 'Սրտի անբավարարություն');
INSERT INTO `lang_definitions` VALUES (64776, 4546, 13, 'Սրտանոթային խնդիր');
INSERT INTO `lang_definitions` VALUES (64777, 4547, 13, 'Սրտանոթային խնդիրներ');
INSERT INTO `lang_definitions` VALUES (64778, 4548, 13, 'Սրտային վիրաբուժություն');
INSERT INTO `lang_definitions` VALUES (64779, 4549, 13, 'Սրտի փոխպատվաստում');
INSERT INTO `lang_definitions` VALUES (64780, 4550, 13, 'ՍԻՐՏ։');
INSERT INTO `lang_definitions` VALUES (64781, 4551, 13, 'Այրոց');
INSERT INTO `lang_definitions` VALUES (64782, 4552, 13, 'Տենդ կամ Սարսուռ');
INSERT INTO `lang_definitions` VALUES (64783, 4553, 13, 'Տենդ կամ Սարսուռ');
INSERT INTO `lang_definitions` VALUES (64784, 4554, 13, 'Ծխախոտամոլ');
INSERT INTO `lang_definitions` VALUES (64785, 4555, 13, 'Եբրայերեն');
INSERT INTO `lang_definitions` VALUES (64786, 4557, 13, 'Քիթ֊Կոկորդ֊Ականջ');
INSERT INTO `lang_definitions` VALUES (64787, 4558, 13, 'Հասակ');
INSERT INTO `lang_definitions` VALUES (64788, 4559, 13, 'Բարձրություն/երկարություն');
INSERT INTO `lang_definitions` VALUES (64789, 4560, 13, 'Օգնություն');
INSERT INTO `lang_definitions` VALUES (64790, 4561, 13, 'օգնություն');
INSERT INTO `lang_definitions` VALUES (64791, 4563, 13, 'արյան փսխում');
INSERT INTO `lang_definitions` VALUES (64792, 4565, 13, 'Արյունաբանություն');
INSERT INTO `lang_definitions` VALUES (64793, 4566, 13, 'Հեմատուրիա /մեզի մեջ արյան առկայություն/');
INSERT INTO `lang_definitions` VALUES (64794, 4567, 13, 'Հեմոգլոբին');
INSERT INTO `lang_definitions` VALUES (64795, 4568, 13, 'Հեմոգլոբին A1C');
INSERT INTO `lang_definitions` VALUES (64796, 4569, 13, '/արյունազատում հազի ժամանակ/');
INSERT INTO `lang_definitions` VALUES (64797, 4570, 13, 'Հեպատիտ');
INSERT INTO `lang_definitions` VALUES (64798, 4571, 13, 'Հեպատիտ A 1');
INSERT INTO `lang_definitions` VALUES (64799, 4572, 13, 'Հեպատիտ A 2');
INSERT INTO `lang_definitions` VALUES (64800, 4573, 13, 'Հեպատիտ B 1');
INSERT INTO `lang_definitions` VALUES (64801, 4574, 13, 'Հեպատիտ B 2');
INSERT INTO `lang_definitions` VALUES (64802, 4575, 13, 'Հեպատիտ B 3');
INSERT INTO `lang_definitions` VALUES (64803, 4576, 13, 'այստեղ');
INSERT INTO `lang_definitions` VALUES (64804, 4580, 13, 'Ճողվածքի բուժում');
INSERT INTO `lang_definitions` VALUES (64805, 4581, 13, 'Դիսկի ճողվածք');
INSERT INTO `lang_definitions` VALUES (64806, 4582, 13, 'Հերպես');
INSERT INTO `lang_definitions` VALUES (64807, 4585, 13, 'Միզարձակության դժվարություն');
INSERT INTO `lang_definitions` VALUES (64808, 4586, 13, 'Ահա․ դուք այստեղ էիք ֊ի համար');
INSERT INTO `lang_definitions` VALUES (64809, 4587, 13, 'Hib 1 պատվաստանյութ');
INSERT INTO `lang_definitions` VALUES (64810, 4588, 13, 'Hib 2 պատվաստանյութ');
INSERT INTO `lang_definitions` VALUES (64811, 4589, 13, 'Hib 3 պատվաստանյութ');
INSERT INTO `lang_definitions` VALUES (64812, 4590, 13, 'Hib 4 պատվաստանյութ');
INSERT INTO `lang_definitions` VALUES (64813, 4591, 13, 'Թաքնված /գաղտնի');
INSERT INTO `lang_definitions` VALUES (64814, 4592, 13, 'Գաղտնի միջոցառումների կառավարում');
INSERT INTO `lang_definitions` VALUES (64815, 4593, 13, 'Թաքցնել');
INSERT INTO `lang_definitions` VALUES (64816, 4595, 13, 'Թաքցնել մանրամասները');
INSERT INTO `lang_definitions` VALUES (64817, 4597, 13, 'Փաստաթղթային կառավարման մեջ թաքցնել կոդավորում/ապակոդավորում տարբերակները');
INSERT INTO `lang_definitions` VALUES (64818, 4599, 13, 'Թաքցնել մենյուն');
INSERT INTO `lang_definitions` VALUES (64819, 4601, 13, 'Թաքցնել հիշեցումները');
INSERT INTO `lang_definitions` VALUES (64820, 4603, 13, 'Թաքցնել/ցուցադրել սյուները');
INSERT INTO `lang_definitions` VALUES (64821, 4605, 13, 'Բարձր');
INSERT INTO `lang_definitions` VALUES (64822, 4607, 13, 'Արյան բարձր նշում');
INSERT INTO `lang_definitions` VALUES (64823, 4609, 13, 'Հինդի / հնդկերեն');
INSERT INTO `lang_definitions` VALUES (64824, 4610, 13, 'Ազդր + աճուկ');
INSERT INTO `lang_definitions` VALUES (64825, 4611, 13, 'Ազդր և աճուկ');
INSERT INTO `lang_definitions` VALUES (64826, 4612, 13, 'Ազդրի խնդիրներ');
INSERT INTO `lang_definitions` VALUES (64827, 4613, 13, 'Կոնքազդրային հոդի փոխարինում');
INSERT INTO `lang_definitions` VALUES (64828, 4615, 13, 'Առողջության ապահովագրության հաշվետվության ծանուցումն ստացված է');
INSERT INTO `lang_definitions` VALUES (64829, 4618, 13, 'Լատինամերիկացի');
INSERT INTO `lang_definitions` VALUES (64830, 4619, 13, 'Լատինամերիկացի - այլկերպ (ծնված ԱՄՆ֊ում)');
INSERT INTO `lang_definitions` VALUES (64831, 4620, 13, 'Լատինամերիկացի - այլկերպ (ծնված ոչ ԱՄՆ֊ում)');
INSERT INTO `lang_definitions` VALUES (64832, 4621, 13, 'Լատինամերիկյան կամ լատինական');
INSERT INTO `lang_definitions` VALUES (64833, 4623, 13, 'Տարեգրություն/ժամանակագրություն');
INSERT INTO `lang_definitions` VALUES (64834, 4629, 13, 'Անամնեզի հավաքագրման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (64835, 4630, 13, 'Անամնեզի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (64836, 4632, 13, 'Աղմուկի նշում/առկայություն անամնեզում');
INSERT INTO `lang_definitions` VALUES (64837, 4633, 13, 'Տարեգրություն/ժամանակագրություն ռույլատրված չէ');
INSERT INTO `lang_definitions` VALUES (64838, 4634, 13, 'Սրտի աղմուկի անամնեզ');
INSERT INTO `lang_definitions` VALUES (64839, 4639, 13, 'ՄԻԱՎ');
INSERT INTO `lang_definitions` VALUES (64840, 4649, 13, 'HL7 բրաուզեր');
INSERT INTO `lang_definitions` VALUES (64841, 4651, 13, 'մմոլ/լ');
INSERT INTO `lang_definitions` VALUES (64842, 4652, 13, 'Հմոնգերեն');
INSERT INTO `lang_definitions` VALUES (64843, 4653, 13, 'Սեղմեք  Ctrl կոճակը՝ մի քանի տարրեր ընտրելու և/կամ չեղարկելու համար');
INSERT INTO `lang_definitions` VALUES (64844, 4655, 13, 'Սեղմեք  Ctrl կոճակը՝ մի քանի խումբ ընտրելու համար');
INSERT INTO `lang_definitions` VALUES (64845, 4656, 13, 'Սեղմեք  Ctrl կոճակը՝ մի քանի բաժանմունք ընտրելու համար');
INSERT INTO `lang_definitions` VALUES (64846, 4658, 13, 'Տուն');
INSERT INTO `lang_definitions` VALUES (64847, 4659, 13, 'Տան/քաղաքային հեռախոս');
INSERT INTO `lang_definitions` VALUES (64848, 4660, 13, 'Տան/քաղաքային հեռախոսահամար');
INSERT INTO `lang_definitions` VALUES (64849, 4662, 13, 'Անօթևան կամ նման կարգավիճա՞կ է');
INSERT INTO `lang_definitions` VALUES (64850, 4664, 13, 'Անօթևան և այլն');
INSERT INTO `lang_definitions` VALUES (64851, 4665, 13, 'Անօթևան և այլն');
INSERT INTO `lang_definitions` VALUES (64852, 4666, 13, 'Խոյակներ/կեռիկներ');
INSERT INTO `lang_definitions` VALUES (64853, 4674, 13, 'Հոսթի անվանումը');
INSERT INTO `lang_definitions` VALUES (64854, 4675, 13, 'Հոսթի անվանումը չի կարող դատարկ լինել');
INSERT INTO `lang_definitions` VALUES (64855, 4676, 13, 'ժամ');
INSERT INTO `lang_definitions` VALUES (64856, 4677, 13, 'Ժամ');
INSERT INTO `lang_definitions` VALUES (64857, 4678, 13, 'Ժամեր');
INSERT INTO `lang_definitions` VALUES (64858, 4679, 13, 'ժամեր');
INSERT INTO `lang_definitions` VALUES (64859, 4681, 13, 'Ինչպե՞ս է ստացվել տրավման');
INSERT INTO `lang_definitions` VALUES (64860, 4682, 13, 'Ինչպե՞ս է ստացվել տրավման');
INSERT INTO `lang_definitions` VALUES (64861, 4683, 13, 'Ինչպե՞ս են իմացել մեր մասին');
INSERT INTO `lang_definitions` VALUES (64862, 4692, 13, 'Ուղեկցվող հիվանդությունների անամնեզ');
INSERT INTO `lang_definitions` VALUES (64863, 4694, 13, 'Սրտի փոխպատվաստում');
INSERT INTO `lang_definitions` VALUES (64864, 4695, 13, 'HTML');
INSERT INTO `lang_definitions` VALUES (64865, 4699, 13, 'OpenEMR Support LLC֊ի Լաբորատոր փոխանակման ծառայության Https լինք');
INSERT INTO `lang_definitions` VALUES (64866, 4701, 13, 'Հունգարերեն');
INSERT INTO `lang_definitions` VALUES (64867, 4702, 13, 'Hylafax ուղեցույց');
INSERT INTO `lang_definitions` VALUES (64868, 4703, 13, 'Hylafax կոդավորման հրաման');
INSERT INTO `lang_definitions` VALUES (64869, 4704, 13, 'Hylafax սերվեր');
INSERT INTO `lang_definitions` VALUES (64870, 4705, 13, 'Hylafax սերվերի հոսթանավանումը');
INSERT INTO `lang_definitions` VALUES (64871, 4706, 13, 'Հիպերակտիվ/գերակտիվ');
INSERT INTO `lang_definitions` VALUES (64872, 4708, 13, 'Հիպերտոնիա /գերճնշում/');
INSERT INTO `lang_definitions` VALUES (64873, 4709, 13, 'Հիպերտոնիա /գերճնշում/։ արյան ճնշման չափում');
INSERT INTO `lang_definitions` VALUES (64874, 4710, 13, 'Հիպերտոնիա /գերճնշում/։ արյան ճնշման չափում (CQM)');
INSERT INTO `lang_definitions` VALUES (64875, 4711, 13, 'Հիպերթիրեոզ');
INSERT INTO `lang_definitions` VALUES (64876, 4713, 13, 'Հիպոթիրեոզ');
INSERT INTO `lang_definitions` VALUES (64877, 4716, 13, 'իստերէկտոմիա');
INSERT INTO `lang_definitions` VALUES (64878, 4717, 13, 'Ես');
INSERT INTO `lang_definitions` VALUES (64879, 4718, 13, 'Ես զբաղված եմ այս ժամանակահատվածում');
INSERT INTO `lang_definitions` VALUES (64880, 4719, 13, 'Ընթերցման թույլտվություն չունեմ');
INSERT INTO `lang_definitions` VALUES (64881, 4724, 13, '1. Հիվանդությունների միջազգային դասակարգում /ՀՄԴ/ 2. Միզաքարային հիվանդություն  /ՄՔՀ/');
INSERT INTO `lang_definitions` VALUES (64882, 4725, 13, 'ՄՔՀ 10 ախտորոշում');
INSERT INTO `lang_definitions` VALUES (64883, 4726, 13, 'ՄՔՀ 10 միջամտություն/ծառայություն');
INSERT INTO `lang_definitions` VALUES (64884, 4727, 13, 'ՄՔՀ 9');
INSERT INTO `lang_definitions` VALUES (64885, 4728, 13, 'ՄՔՀ 9 ախտորոշում');
INSERT INTO `lang_definitions` VALUES (64886, 4729, 13, 'ՄՔՀ 9 միջամտություն/ծառայություն');
INSERT INTO `lang_definitions` VALUES (64887, 4730, 13, 'Իսլանդերեն');
INSERT INTO `lang_definitions` VALUES (64888, 4734, 13, 'ID');
INSERT INTO `lang_definitions` VALUES (64889, 4736, 13, 'id');
INSERT INTO `lang_definitions` VALUES (64890, 4738, 13, 'ID չի կարող դատարկ լինել');
INSERT INTO `lang_definitions` VALUES (64891, 4739, 13, 'ID քարտ');
INSERT INTO `lang_definitions` VALUES (64892, 4742, 13, 'IDays');
INSERT INTO `lang_definitions` VALUES (64893, 4743, 13, 'նույնականացնել որպես');
INSERT INTO `lang_definitions` VALUES (64894, 4745, 13, 'նույնացուցիչ (մեկ բառ)');
INSERT INTO `lang_definitions` VALUES (64895, 4746, 13, 'Նույնականացաման կոդ');
INSERT INTO `lang_definitions` VALUES (64896, 4755, 13, 'Եթե այս ձևի համար բոլոր սյունակների բոլոր տվյալները լրացված են');
INSERT INTO `lang_definitions` VALUES (64897, 4757, 13, 'Բիլլինգային վերականգնման համար մուտքագրեք ախտորոշման կոդի անվանումը');
INSERT INTO `lang_definitions` VALUES (64898, 4763, 13, 'եթե մուտքագրել եք, ընտրեք միայն նրանք, որոնք ունեեն են այդ ծառայությունը');
INSERT INTO `lang_definitions` VALUES (64899, 4765, 13, 'եթե անվանումով, ապա ազգանվան մի մասը կամ ազգանունը, անունը');
INSERT INTO `lang_definitions` VALUES (64900, 4770, 13, 'եթե վճարված է ֊ով');
INSERT INTO `lang_definitions` VALUES (64901, 4771, 13, 'եթե անձը վախճանվել է, ապա մուտքագրեք մահվան ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (64902, 4775, 13, 'SMTP կիրառման դեպքում սերվերի հոսթանունը կամ IP հասցեն');
INSERT INTO `lang_definitions` VALUES (64903, 4776, 13, 'SMTP կիրառման դեպքում սերվերի TCPպորտի համարը (սովորաբար 25)');
INSERT INTO `lang_definitions` VALUES (64904, 4803, 13, 'եթե չի աշխատում, ապա նշեք ՈՒՍԱՆՈՂ');
INSERT INTO `lang_definitions` VALUES (64905, 4805, 13, 'Եթե տարիքի ցուցադրման համար ընտրված է YMD, ապա անցնել միայն տարեթվերին, երբ պացիենտի տարիքը  մեծ է սույն արժեքից');
INSERT INTO `lang_definitions` VALUES (64906, 4814, 13, 'e-RX֊ը դերը  ePrescription /էլ․ դեղատոմս/֊ի  փոխարինելու դեպքում կարող է ազդել էլ դեղատոմսի աշխատանքի արդյունքի վրա։ Խնդիրների դեպքում կապվեք էլ; դեղատոմս տրամադրողի/մատակարարողի հետ։');
INSERT INTO `lang_definitions` VALUES (64907, 4824, 13, 'եթե չեք նշում \"համընկնում\", \"պացիենտ\" կստեղծվի/կհաստատվի');
INSERT INTO `lang_definitions` VALUES (64908, 4850, 13, 'եթե ցանկանում եք փոխել տվյալների տեսակը, կամ ավելացնել տողեր և/կամ սյուներ');
INSERT INTO `lang_definitions` VALUES (64909, 4851, 13, 'եթե ցանկանում եք թարմացնել վյալների բազան, տեղադրեք տվյալների բազայի zip ֆայլը հետևյալ քարտացուցակի մեջ');
INSERT INTO `lang_definitions` VALUES (64910, 4854, 13, 'մերժել');
INSERT INTO `lang_definitions` VALUES (64911, 4856, 13, 'հիվանդություն');
INSERT INTO `lang_definitions` VALUES (64912, 4857, 13, 'թերապեվտ');
INSERT INTO `lang_definitions` VALUES (64913, 4859, 13, 'Պատկերի արդյունքը');
INSERT INTO `lang_definitions` VALUES (64914, 4861, 13, 'Պատկերել');
INSERT INTO `lang_definitions` VALUES (64915, 4863, 13, 'ցուցադրման միջոց');
INSERT INTO `lang_definitions` VALUES (64916, 4865, 13, 'Պատվաստում');
INSERT INTO `lang_definitions` VALUES (64917, 4867, 13, 'Պատվաստման կոդ');
INSERT INTO `lang_definitions` VALUES (64918, 4868, 13, 'Պատվաստումների ավարտման կարգավիճակը');
INSERT INTO `lang_definitions` VALUES (64919, 4869, 13, 'Պատվաստման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (64920, 4870, 13, 'Պատվաստանյութի պիտանիության ժամկետը');
INSERT INTO `lang_definitions` VALUES (64921, 4872, 13, 'Պատվաստանյութի խմբաքանակի համարը');
INSERT INTO `lang_definitions` VALUES (64922, 4873, 13, 'Պատվաստանյութն արտադրողը');
INSERT INTO `lang_definitions` VALUES (64923, 4878, 13, 'Պատվաստանյութի գրանցումը');
INSERT INTO `lang_definitions` VALUES (64924, 4881, 13, 'Պատվաստման հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (64925, 4882, 13, 'Պատվաստման ծառայություն');
INSERT INTO `lang_definitions` VALUES (64926, 4883, 13, 'Պատվաստման անվանում');
INSERT INTO `lang_definitions` VALUES (64927, 4885, 13, 'Պատվաստումներ');
INSERT INTO `lang_definitions` VALUES (64928, 4887, 13, 'Պատվաստել');
INSERT INTO `lang_definitions` VALUES (64929, 4888, 13, 'Իմունոլոգիական');
INSERT INTO `lang_definitions` VALUES (64930, 4893, 13, 'Իմպլանտներ');
INSERT INTO `lang_definitions` VALUES (64931, 4894, 13, 'Ներմուծել/ներմուծում');
INSERT INTO `lang_definitions` VALUES (64932, 4895, 13, 'Ներմուծել ամբողջը');
INSERT INTO `lang_definitions` VALUES (64933, 4896, 13, 'Ներմուծել CCDA');
INSERT INTO `lang_definitions` VALUES (64934, 4897, 13, 'Ներմուծել CCR');
INSERT INTO `lang_definitions` VALUES (64935, 4898, 13, 'Վկայականը ներմուծել բրաուզեր');
INSERT INTO `lang_definitions` VALUES (64936, 4899, 13, 'Ներմուծման կարգավորումներ');
INSERT INTO `lang_definitions` VALUES (64937, 4904, 13, 'Ներմուծել պացիենտի տվյալները / Պացիենտի տվյալների ներմուծում');
INSERT INTO `lang_definitions` VALUES (64938, 4905, 13, 'Պացիենտի անձնական տվյալների ներմուծում');
INSERT INTO `lang_definitions` VALUES (64939, 4910, 13, 'Կարևոր կոդեր։');
INSERT INTO `lang_definitions` VALUES (64940, 4912, 13, 'ԿԱՐԵՎՈՐ Է։ Վերբեռնման այս գործքիը միայն համակարգ չմտած պացիենտների փաստաթղթերի վերբեռնման համար է։ Համակարգում մուտքագրված Պացիենտների փաստաթղթերի վերբեռնման համար կիրառեք Պացիենտի Հակիրճ Տեղեկատվության պատուհանի բեռնման կոճակը');
INSERT INTO `lang_definitions` VALUES (64941, 4913, 13, 'Ներմուծված Ալերգիաներ');
INSERT INTO `lang_definitions` VALUES (64942, 4914, 13, 'Ներմուծված է հաշվապահությունից');
INSERT INTO `lang_definitions` VALUES (64943, 4915, 13, 'Ներմուծված Դեղամիջոցներ');
INSERT INTO `lang_definitions` VALUES (64944, 4916, 13, 'Ներմուծված Խնդիրներ/գանգատներ');
INSERT INTO `lang_definitions` VALUES (64945, 4920, 13, 'Բարելավվել է');
INSERT INTO `lang_definitions` VALUES (64946, 4922, 13, '֊ում');
INSERT INTO `lang_definitions` VALUES (64947, 4923, 13, '֊ում');
INSERT INTO `lang_definitions` VALUES (64948, 4931, 13, 'Յուրաանչչյուր աչքում');
INSERT INTO `lang_definitions` VALUES (64949, 4934, 13, 'ձախ աչքում');
INSERT INTO `lang_definitions` VALUES (64950, 4935, 13, 'քթանցքում');
INSERT INTO `lang_definitions` VALUES (64951, 4936, 13, 'Աշխատասենյակում');
INSERT INTO `lang_definitions` VALUES (64952, 4947, 13, 'Աջ աչքում');
INSERT INTO `lang_definitions` VALUES (64953, 4958, 13, 'տանը / տնային');
INSERT INTO `lang_definitions` VALUES (64954, 4960, 13, 'պասիվ / անգործ');
INSERT INTO `lang_definitions` VALUES (64955, 4965, 13, 'հանգստյան/ոչ աշխատանքային օրեր');
INSERT INTO `lang_definitions` VALUES (64956, 4967, 13, 'Մուտքային փոստարկղ');
INSERT INTO `lang_definitions` VALUES (64957, 4968, 13, 'INCITS կոդ');
INSERT INTO `lang_definitions` VALUES (64958, 4970, 13, 'Միացնել checksum');
INSERT INTO `lang_definitions` VALUES (64959, 4974, 13, 'Միացնել ոչ ակտիվ օգտվողներին');
INSERT INTO `lang_definitions` VALUES (64960, 4975, 13, 'Միացնել/ներառել չդասակարգվածները');
INSERT INTO `lang_definitions` VALUES (64961, 4976, 13, 'Միացնել/ներառել չհամակարգված տվյալները');
INSERT INTO `lang_definitions` VALUES (64962, 4977, 13, 'Միացնել/ներառել կենսական նշանակության օրգանները');
INSERT INTO `lang_definitions` VALUES (64963, 4978, 13, 'Միացնե՞լ/ներառե՞լ կենսական նշանակության օրգանների տվյալները');
INSERT INTO `lang_definitions` VALUES (64964, 4981, 13, 'Միացում/ներառում');
INSERT INTO `lang_definitions` VALUES (64965, 4982, 13, 'Եկամուտ');
INSERT INTO `lang_definitions` VALUES (64966, 4983, 13, 'Ուշադրություն պահանջող մուտքային տվյալներ');
INSERT INTO `lang_definitions` VALUES (64967, 4984, 13, 'թերի/անավարտ');
INSERT INTO `lang_definitions` VALUES (64968, 4985, 13, 'Հղիության արհեստական ընդհատման անավարտ բուժում');
INSERT INTO `lang_definitions` VALUES (64969, 4986, 13, 'անզսպություն');
INSERT INTO `lang_definitions` VALUES (64970, 4987, 13, 'Լաբորատոր հետազոտությունների արդյունքների ներառում հավաստագրված EHR տեխնոլոգիա՝ որպես համակարգված տվյալ');
INSERT INTO `lang_definitions` VALUES (64971, 4988, 13, 'Սխալ գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (64972, 4990, 13, 'աճած/ավելացած։');
INSERT INTO `lang_definitions` VALUES (64973, 4991, 13, 'Ապահովագրական փոխհատուցում');
INSERT INTO `lang_definitions` VALUES (64974, 4994, 13, 'Անորոշ');
INSERT INTO `lang_definitions` VALUES (64975, 4995, 13, 'Հնդկերեն');
INSERT INTO `lang_definitions` VALUES (64976, 4998, 13, 'Ցույց է տալիս շեղում/խանգարում');
INSERT INTO `lang_definitions` VALUES (64977, 5000, 13, 'Ցույց է տալիս ներկայում խնդրի առկայությունը');
INSERT INTO `lang_definitions` VALUES (64978, 5001, 13, 'Ցուցումներ');
INSERT INTO `lang_definitions` VALUES (64979, 5002, 13, 'Մասնագիտական օգտագործման ցուցանիշ');
INSERT INTO `lang_definitions` VALUES (64980, 5003, 13, 'Կարիքավոր/անապահով հիվանդ');
INSERT INTO `lang_definitions` VALUES (64981, 5004, 13, 'Կարիքավոր/անապահով հիվանդների հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (64982, 5005, 13, 'Աղքատ/չքավոր');
INSERT INTO `lang_definitions` VALUES (64983, 5009, 13, 'Ինդոնեզիական');
INSERT INTO `lang_definitions` VALUES (64984, 5010, 13, 'Հղիության արհեստական ընդհատում');
INSERT INTO `lang_definitions` VALUES (64985, 5011, 13, 'արտադրություն');
INSERT INTO `lang_definitions` VALUES (64986, 5012, 13, 'Անհամապատասխան');
INSERT INTO `lang_definitions` VALUES (64987, 5013, 13, 'Վարակ / թարախակույտ');
INSERT INTO `lang_definitions` VALUES (64988, 5014, 13, 'Վարակ');
INSERT INTO `lang_definitions` VALUES (64989, 5015, 13, 'Անպտղության խորհրդատվություն');
INSERT INTO `lang_definitions` VALUES (64990, 5016, 13, 'Անպտղություն');
INSERT INTO `lang_definitions` VALUES (64991, 5017, 13, 'Գրիպ 1');
INSERT INTO `lang_definitions` VALUES (64992, 5018, 13, 'Գրիպ 2');
INSERT INTO `lang_definitions` VALUES (64993, 5019, 13, 'Հակագրիպային պատվաստում >= 50 տարեկան Պացիենտների համար');
INSERT INTO `lang_definitions` VALUES (64994, 5020, 13, 'Հակագրիպային պատվաստում >= 50 տարեկան Պացիենտների համար (CQM)');
INSERT INTO `lang_definitions` VALUES (64995, 5021, 13, 'Հակագրիպային պատվաստում');
INSERT INTO `lang_definitions` VALUES (64996, 5022, 13, 'Ինֆորմ․');
INSERT INTO `lang_definitions` VALUES (64997, 5023, 13, 'Ինֆորմ․ թեստ 1');
INSERT INTO `lang_definitions` VALUES (64998, 5024, 13, 'Ինֆորմ․ թեստ 2');
INSERT INTO `lang_definitions` VALUES (64999, 5025, 13, 'Ինֆորմ․ թեստ 3');
INSERT INTO `lang_definitions` VALUES (65000, 5026, 13, 'Ինֆորմ․ թեստ 4');
INSERT INTO `lang_definitions` VALUES (65001, 5027, 13, 'Ինֆորմ․ թեստ 5');
INSERT INTO `lang_definitions` VALUES (65002, 5028, 13, 'Ինֆորմ․ թեստ 6');
INSERT INTO `lang_definitions` VALUES (65003, 5029, 13, 'Տեղեկատու');
INSERT INTO `lang_definitions` VALUES (65004, 5034, 13, 'Ինհալացիաներ');
INSERT INTO `lang_definitions` VALUES (65005, 5036, 13, 'Ինհալացիաներ');
INSERT INTO `lang_definitions` VALUES (65006, 5038, 13, 'Նախնական բուժում');
INSERT INTO `lang_definitions` VALUES (65007, 5039, 13, 'Նախնական/սկզբնական օգտվող');
INSERT INTO `lang_definitions` VALUES (65008, 5041, 13, 'Վնասվ․/ Վերականգն․');
INSERT INTO `lang_definitions` VALUES (65009, 5042, 13, 'Ներարկելի');
INSERT INTO `lang_definitions` VALUES (65010, 5043, 13, 'Ներարկում');
INSERT INTO `lang_definitions` VALUES (65011, 5044, 13, 'Մարմնի վնասված մաս/հատվածը');
INSERT INTO `lang_definitions` VALUES (65012, 5045, 13, 'Վնասվածքի հետևանք');
INSERT INTO `lang_definitions` VALUES (65013, 5046, 13, 'Վնասվածք');
INSERT INTO `lang_definitions` VALUES (65014, 5047, 13, 'Վնասվածքի մեխանիզմ');
INSERT INTO `lang_definitions` VALUES (65015, 5048, 13, 'Վնասվածքի ընդհանուր/ամբողջական զեկույց');
INSERT INTO `lang_definitions` VALUES (65016, 5049, 13, 'Վնասվածքաբանական հետազոտություն');
INSERT INTO `lang_definitions` VALUES (65017, 5050, 13, 'Վնասվածքի տեսակը');
INSERT INTO `lang_definitions` VALUES (65018, 5051, 13, 'Վնասվածքի/հիվանդության հետ կապված');
INSERT INTO `lang_definitions` VALUES (65019, 5052, 13, 'հերթում');
INSERT INTO `lang_definitions` VALUES (65020, 5055, 13, 'Մուտքագրումը չի սկսվում MSH սեգմենտից');
INSERT INTO `lang_definitions` VALUES (65021, 5056, 13, 'Մուտքագրման դաշտ');
INSERT INTO `lang_definitions` VALUES (65022, 5057, 13, 'Միջազգային կարգավորման ինդեքս /ՄԿԻ/');
INSERT INTO `lang_definitions` VALUES (65023, 5058, 13, 'Տեղ․ 1');
INSERT INTO `lang_definitions` VALUES (65024, 5059, 13, 'Տեղ․ 2 կամ Տեղ․ 3');
INSERT INTO `lang_definitions` VALUES (65025, 5060, 13, 'Տեղ․ հասցեն');
INSERT INTO `lang_definitions` VALUES (65026, 5061, 13, 'Տեղ․ շտկումներ');
INSERT INTO `lang_definitions` VALUES (65027, 5062, 13, 'Տեղ․ վիրակապ');
INSERT INTO `lang_definitions` VALUES (65028, 5063, 13, 'Տեղ․ կոդ');
INSERT INTO `lang_definitions` VALUES (65029, 5064, 13, 'Տեղ․ խումբ');
INSERT INTO `lang_definitions` VALUES (65030, 5065, 13, 'Տեղ․ Անունը');
INSERT INTO `lang_definitions` VALUES (65031, 5066, 13, 'Տեղ․ գերավճարը');
INSERT INTO `lang_definitions` VALUES (65032, 5067, 13, 'Տեղ․ ապահովագրական վկայականը');
INSERT INTO `lang_definitions` VALUES (65033, 5068, 13, 'Տեղ․ հատուցումը');
INSERT INTO `lang_definitions` VALUES (65034, 5069, 13, 'Տեղ․ ամփոփագիրը');
INSERT INTO `lang_definitions` VALUES (65035, 5071, 13, 'Տեղ․ 1');
INSERT INTO `lang_definitions` VALUES (65036, 5072, 13, 'Տեղ․ 2');
INSERT INTO `lang_definitions` VALUES (65037, 5073, 13, 'Տեղ․ 3');
INSERT INTO `lang_definitions` VALUES (65038, 5074, 13, 'Տեղադրել');
INSERT INTO `lang_definitions` VALUES (65039, 5075, 13, 'Տեղադրումը ձախողվեց');
INSERT INTO `lang_definitions` VALUES (65040, 5079, 13, 'Տեղադրել հին/նախկին իրադարձությունները աղյուսակում');
INSERT INTO `lang_definitions` VALUES (65041, 5080, 13, 'Տեղադրել հատուկ դաշտ');
INSERT INTO `lang_definitions` VALUES (65042, 5085, 13, 'Անքնություն');
INSERT INTO `lang_definitions` VALUES (65043, 5086, 13, 'Ստուգել/զննել մուտքը');
INSERT INTO `lang_definitions` VALUES (65044, 5087, 13, 'Քննություն/ստուգում/զննում');
INSERT INTO `lang_definitions` VALUES (65045, 5088, 13, 'Անկայունություն / մասնակի հոդախախտում');
INSERT INTO `lang_definitions` VALUES (65046, 5089, 13, 'ՏԵՂԱԴՐԵԼ');
INSERT INTO `lang_definitions` VALUES (65047, 5090, 13, 'Տեղադրել');
INSERT INTO `lang_definitions` VALUES (65048, 5092, 13, 'Տեղադրել կոդը');
INSERT INTO `lang_definitions` VALUES (65049, 5093, 13, 'Տեղադրել տվյալների բազան');
INSERT INTO `lang_definitions` VALUES (65050, 5100, 13, 'Տեղադրված տարբերակ');
INSERT INTO `lang_definitions` VALUES (65051, 5102, 13, 'Հրահանգավորված');
INSERT INTO `lang_definitions` VALUES (65052, 5103, 13, 'Հրահանգ/ցուցում');
INSERT INTO `lang_definitions` VALUES (65053, 5104, 13, 'Ցուցումներ');
INSERT INTO `lang_definitions` VALUES (65054, 5105, 13, 'Հրահանգներ/ցուցումներ');
INSERT INTO `lang_definitions` VALUES (65055, 5107, 13, 'Արտադրանքի նույնականացման անբավարար գույքագրում');
INSERT INTO `lang_definitions` VALUES (65056, 5108, 13, 'Ինսուլինից կախյալ շաքարախտ/շաքարային դիաբետ');
INSERT INTO `lang_definitions` VALUES (65057, 5109, 13, 'Ապահովագրություն');
INSERT INTO `lang_definitions` VALUES (65058, 5110, 13, 'Ապահովագրություն');
INSERT INTO `lang_definitions` VALUES (65059, 5112, 13, 'Ապահովագրության ճշգրտ․');
INSERT INTO `lang_definitions` VALUES (65060, 5113, 13, 'Ապահովագրության ճշգրտումներ');
INSERT INTO `lang_definitions` VALUES (65061, 5114, 13, 'Ապահովագրական հաշվեկշիռ/մնացորդ');
INSERT INTO `lang_definitions` VALUES (65062, 5115, 13, 'Ապահովագրական հաշվեկշիռ/մնացորդ՝  առ');
INSERT INTO `lang_definitions` VALUES (65063, 5116, 13, 'Ապահովագրական ընկերություն');
INSERT INTO `lang_definitions` VALUES (65064, 5117, 13, 'Ապահովագրական ընկերություններ');
INSERT INTO `lang_definitions` VALUES (65065, 5118, 13, 'Ապահովագրական ընկերություն');
INSERT INTO `lang_definitions` VALUES (65066, 5119, 13, 'Ապահովագրական ընկերության Որոնում/Ավելացում');
INSERT INTO `lang_definitions` VALUES (65067, 5120, 13, 'Ապահովագրական պարտք');
INSERT INTO `lang_definitions` VALUES (65068, 5121, 13, 'Ապահովագրության ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (65069, 5124, 13, 'Ապահովագրական տեղեկատվություն ֆայլում');
INSERT INTO `lang_definitions` VALUES (65070, 5126, 13, 'Ապահովագրության համարը');
INSERT INTO `lang_definitions` VALUES (65071, 5127, 13, 'Ապահովագրական վճարում');
INSERT INTO `lang_definitions` VALUES (65072, 5128, 13, 'Ապահովագրական վճարումներ');
INSERT INTO `lang_definitions` VALUES (65073, 5129, 13, 'Ապահովագրող');
INSERT INTO `lang_definitions` VALUES (65074, 5131, 13, 'Ապահովագրության տեսակներ');
INSERT INTO `lang_definitions` VALUES (65075, 5132, 13, 'Ապահովագրություններ');
INSERT INTO `lang_definitions` VALUES (65076, 5133, 13, 'Ապահովագրված');
INSERT INTO `lang_definitions` VALUES (65077, 5134, 13, 'Ընդունման/օգտագործման եզրակացություն');
INSERT INTO `lang_definitions` VALUES (65078, 5135, 13, 'Ընդունման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (65079, 5138, 13, 'Մտավոր անկում');
INSERT INTO `lang_definitions` VALUES (65080, 5141, 13, 'Ինտերլինգվա (ավտոմատ թարգմանության միջանկյալ/արհեստական լեզու)');
INSERT INTO `lang_definitions` VALUES (65081, 5148, 13, 'Ներքին ալերգիաներ');
INSERT INTO `lang_definitions` VALUES (65082, 5149, 13, 'Ներքին սխալ ֊ չկա ընտրված էջ');
INSERT INTO `lang_definitions` VALUES (65083, 5150, 13, 'Ներքին սխալ ֊ պացիենտի ID ներկայացված չէ');
INSERT INTO `lang_definitions` VALUES (65084, 5151, 13, 'Բեռնված ֆայլի հասանելիության ներքին սխալ');
INSERT INTO `lang_definitions` VALUES (65085, 5153, 13, 'Ներքին սխալ');
INSERT INTO `lang_definitions` VALUES (65086, 5154, 13, 'Ներքին սխալ․ դեղամիջոցի ID նշված չէ');
INSERT INTO `lang_definitions` VALUES (65087, 5155, 13, 'Ներքին սխալ․ հնարավոր չէ գտնել MSH-10');
INSERT INTO `lang_definitions` VALUES (65088, 5156, 13, 'Ներքին սխալ․ պահանջ');
INSERT INTO `lang_definitions` VALUES (65089, 5157, 13, 'Ներքին սխալ․ այց \'');
INSERT INTO `lang_definitions` VALUES (65090, 5158, 13, 'Ներքին սխալ․ pid/ կանացի սեռ․ օրգանների բորբոքային հիվ․/ կամ այցելության բացակայություն');
INSERT INTO `lang_definitions` VALUES (65091, 5159, 13, 'Ներքին սխալ․ այցի շրջանակներից դուրս ենք');
INSERT INTO `lang_definitions` VALUES (65092, 5160, 13, 'Ներքին նույնացուցիչ (pid)');
INSERT INTO `lang_definitions` VALUES (65093, 5161, 13, 'Ներքին դեղորայք');
INSERT INTO `lang_definitions` VALUES (65094, 5162, 13, 'Ներքին խնդիրներ');
INSERT INTO `lang_definitions` VALUES (65095, 5163, 13, 'Ներքին ուղղորդումներ');
INSERT INTO `lang_definitions` VALUES (65096, 5164, 13, 'Ներքին  ժամանակի հավաքագրում/ծախս');
INSERT INTO `lang_definitions` VALUES (65097, 5165, 13, 'Միջազգային պարտավորություն/պարտականություն');
INSERT INTO `lang_definitions` VALUES (65098, 5167, 13, 'Թարգմանիչ');
INSERT INTO `lang_definitions` VALUES (65099, 5168, 13, 'Թարգմանչի կարիք կա՞');
INSERT INTO `lang_definitions` VALUES (65100, 5169, 13, 'Ինտերստիցիալ թոքային բորբոքում');
INSERT INTO `lang_definitions` VALUES (65101, 5170, 13, 'Դադար/ընդմիջում');
INSERT INTO `lang_definitions` VALUES (65102, 5171, 13, 'Դադար/ընդմիջում (րոպե)');
INSERT INTO `lang_definitions` VALUES (65103, 5172, 13, 'Հաղորդագրությունների ստուգման ինտերվալը (զրոյացնել միայն մեխ․/ձեռքով ստուգման դեպքում)');
INSERT INTO `lang_definitions` VALUES (65104, 5173, 13, 'Միջամտություն');
INSERT INTO `lang_definitions` VALUES (65105, 5174, 13, 'Ցուցաբերված/կատարված միաջմտություն');
INSERT INTO `lang_definitions` VALUES (65106, 5175, 13, 'Անհանդուրժողականություն');
INSERT INTO `lang_definitions` VALUES (65107, 5176, 13, 'ներմաշկային');
INSERT INTO `lang_definitions` VALUES (65108, 5178, 13, 'միջմկանային');
INSERT INTO `lang_definitions` VALUES (65109, 5181, 13, 'ներերակային');
INSERT INTO `lang_definitions` VALUES (65110, 5182, 13, 'Ներածություն/ծանուցում');
INSERT INTO `lang_definitions` VALUES (65111, 5185, 13, 'Սխալ/անվավեր  սիմվոլ ֊ում');
INSERT INTO `lang_definitions` VALUES (65112, 5191, 13, 'ամսաթվի անվավեր միջակայք');
INSERT INTO `lang_definitions` VALUES (65113, 5195, 13, 'Սխալ երկարություն ֊ի համար');
INSERT INTO `lang_definitions` VALUES (65114, 5196, 13, 'Ոչ թվային սխալ  սիմվոլ');
INSERT INTO `lang_definitions` VALUES (65115, 5197, 13, 'Ըստ կոդի սկզբնաղբյուրի սխալ կամ գոյություն չունեցող վճարող');
INSERT INTO `lang_definitions` VALUES (65116, 5199, 13, 'Սխալ հասցեատեր․ կրկին փորձեք');
INSERT INTO `lang_definitions` VALUES (65117, 5200, 13, 'Ծառայության սխալ կոդեր');
INSERT INTO `lang_definitions` VALUES (65118, 5201, 13, 'Սկզբնաղբյուրի սխալ անվանում/նշանակություն');
INSERT INTO `lang_definitions` VALUES (65119, 5203, 13, 'Սխալ օգտատեր կամ գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (65120, 5204, 13, 'Նյութական ակտիվների արժեք');
INSERT INTO `lang_definitions` VALUES (65121, 5205, 13, 'Նյութական ակտիվներ');
INSERT INTO `lang_definitions` VALUES (65122, 5207, 13, 'Դեղամիջոցների և ոչ դեղորայքային ակտիվների գույքագրում և վաճառք');
INSERT INTO `lang_definitions` VALUES (65123, 5208, 13, 'Գույքագրել և վաճառել միայն դեղորայք');
INSERT INTO `lang_definitions` VALUES (65124, 5209, 13, 'Այս պատվերի համար գույքագրում հասնաելի չէ');
INSERT INTO `lang_definitions` VALUES (65125, 5210, 13, 'Նյութական ակտիվների ցանկ');
INSERT INTO `lang_definitions` VALUES (65126, 5211, 13, 'Գույքագրման / Նյութական ակտիվների գործարքներ');
INSERT INTO `lang_definitions` VALUES (65127, 5212, 13, 'Հաշիվ֊ապրանքագիր');
INSERT INTO `lang_definitions` VALUES (65128, 5213, 13, 'հաշիվ֊ապրանքագիր');
INSERT INTO `lang_definitions` VALUES (65129, 5215, 13, 'Հաշիվ֊ապրանքագրի մնացորդ');
INSERT INTO `lang_definitions` VALUES (65130, 5216, 13, 'Հնարավոր չէ հրապարակել/տեղադրել հաշիվ֊ապրանքագրի մնացորդ․ ստեղծված այց չկա');
INSERT INTO `lang_definitions` VALUES (65131, 5217, 13, 'Հաշիվ֊ապրանքագրի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (65132, 5219, 13, 'Հաշիվ֊ապրանքագրում ամսաթիվ չկա');
INSERT INTO `lang_definitions` VALUES (65133, 5220, 13, 'Հաշիվ֊ապրանքագրի համարը');
INSERT INTO `lang_definitions` VALUES (65134, 5221, 13, 'Հաշիվ֊ապրանքագրի հղման համարը');
INSERT INTO `lang_definitions` VALUES (65135, 5226, 13, 'Հաշիվ֊ապրանքագիր։');
INSERT INTO `lang_definitions` VALUES (65136, 5237, 13, '1. Թոքերի իդիոպաթիկ ֆիբրոս  2. Ընտանիքի պլանավորման միջազգային Ֆեդերացիա /ԸՊՄՖ/');
INSERT INTO `lang_definitions` VALUES (65137, 5238, 13, 'ԸՊՄՖ Հղիության արհեստական ընդհատում');
INSERT INTO `lang_definitions` VALUES (65138, 5239, 13, 'ԸՊՄՖ Հակաբեղմնավորիչ միջոցներ');
INSERT INTO `lang_definitions` VALUES (65139, 5240, 13, 'ԸՊՄՖ Սեռական և վերարտադրողական առողջության տվյլաներ');
INSERT INTO `lang_definitions` VALUES (65140, 5241, 13, 'ԸՊՄՖ Վիճակագրական զեկույց/հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (65141, 5242, 13, 'ԸՊՄՖ Վիճակագրություն');
INSERT INTO `lang_definitions` VALUES (65142, 5243, 13, 'Պոլիոմելիտի կանխարգելման պատվաստում 1');
INSERT INTO `lang_definitions` VALUES (65143, 5244, 13, 'Պոլիոմելիտի կանխարգելման պատվաստում 2');
INSERT INTO `lang_definitions` VALUES (65144, 5245, 13, 'Պոլիոմելիտի կանխարգելման պատվաստում 3');
INSERT INTO `lang_definitions` VALUES (65145, 5246, 13, 'Պոլիոմելիտի կանխարգելման պատվաստում 4');
INSERT INTO `lang_definitions` VALUES (65146, 5248, 13, 'Իռլանդերեն');
INSERT INTO `lang_definitions` VALUES (65147, 5249, 13, 'Առիթմիա');
INSERT INTO `lang_definitions` VALUES (65148, 5250, 13, 'Գրգռվածություն / դյուրագրգռություն');
INSERT INTO `lang_definitions` VALUES (65149, 5251, 13, 'Գրգիռ');
INSERT INTO `lang_definitions` VALUES (65150, 5252, 13, 'սույն/այս տվյալների բազայի այլալեզու տարբերակն է');
INSERT INTO `lang_definitions` VALUES (65151, 5253, 13, 'սույն/այս տվյալների բազայի այլ տարբերակն է');
INSERT INTO `lang_definitions` VALUES (65152, 5254, 13, 'սույն/այս տվյալների բազայի ամենավերջին տարբերակն է');
INSERT INTO `lang_definitions` VALUES (65153, 5256, 13, 'պահանջված դաշտ է');
INSERT INTO `lang_definitions` VALUES (65154, 5257, 13, 'արմատական/հիմնական հանգույց է և չի կարող հեռացվել/ջնջվել');
INSERT INTO `lang_definitions` VALUES (65155, 5258, 13, 'սույն տվյալների բազայի շարունակությունն է');
INSERT INTO `lang_definitions` VALUES (65156, 5262, 13, 'ճի՞շտ/ընդունելի՞ է արդյոք  CVX կոդերի արտապատկերումը գոյություն ունեցող պատվաստումների վրա');
INSERT INTO `lang_definitions` VALUES (65157, 5263, 13, 'սխալ է տեղակայված կամ գոյություն չունի');
INSERT INTO `lang_definitions` VALUES (65158, 5268, 13, 'վավեր չէ/անվավեր է (տասնորդական կոտորակները ընդունելի են)');
INSERT INTO `lang_definitions` VALUES (65159, 5269, 13, 'PHP-ն կիրառո՞ւմ է անվտանգության ռեժիմ');
INSERT INTO `lang_definitions` VALUES (65160, 5272, 13, 'ընտրված է');
INSERT INTO `lang_definitions` VALUES (65161, 5273, 13, 'Թարգմանե՞լ ․․․ տեքստը');
INSERT INTO `lang_definitions` VALUES (65162, 5274, 13, 'Արդյո՞ք ցուցակների տեքստը պետք է թարգմանել');
INSERT INTO `lang_definitions` VALUES (65163, 5275, 13, 'Այս ֆայլը կոդավորվա՞ծ է');
INSERT INTO `lang_definitions` VALUES (65164, 5276, 13, 'Սա կլինիկական կոդի տեսա՞կ է');
INSERT INTO `lang_definitions` VALUES (65165, 5277, 13, 'Սա ախտորոշմա՞ն տեսակ է');
INSERT INTO `lang_definitions` VALUES (65166, 5278, 13, 'Արդյո՞ք սա բժշկական խնդրի կոդի տեսակ է');
INSERT INTO `lang_definitions` VALUES (65167, 5279, 13, 'Արդյո՞ք սա դեղորայքի տեսակ է');
INSERT INTO `lang_definitions` VALUES (65168, 5280, 13, 'Արդյո՞ք սա միջամտության / ծառայության տեսակ է');
INSERT INTO `lang_definitions` VALUES (65169, 5281, 13, 'Ակտի՞վ է');
INSERT INTO `lang_definitions` VALUES (65170, 5282, 13, 'Կոդի այս տեսակն ակտի՞վ է');
INSERT INTO `lang_definitions` VALUES (65171, 5283, 13, 'Այս կոդն օգտագործվո՞ւմ է գանգատների մեջ');
INSERT INTO `lang_definitions` VALUES (65172, 5285, 13, 'Արդյո՞ք ամեն ինչ նորմալ է');
INSERT INTO `lang_definitions` VALUES (65173, 5286, 13, 'Արդյո՞ք այս տեսակը թաքցված է վճարման թերթիկից/էջից');
INSERT INTO `lang_definitions` VALUES (65174, 5288, 13, 'չափազանց երկար է');
INSERT INTO `lang_definitions` VALUES (65175, 5289, 13, 'ISO 639-2 Կոդ');
INSERT INTO `lang_definitions` VALUES (65176, 5290, 13, 'Խնդիր');
INSERT INTO `lang_definitions` VALUES (65177, 5291, 13, 'խնդիր');
INSERT INTO `lang_definitions` VALUES (65178, 5292, 13, 'Խնդրի առաջացման/ծագման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (65179, 5293, 13, 'խնդրի ID');
INSERT INTO `lang_definitions` VALUES (65180, 5295, 13, 'Խնդրի անվանում');
INSERT INTO `lang_definitions` VALUES (65181, 5296, 13, 'Խնդրի տեսակ');
INSERT INTO `lang_definitions` VALUES (65182, 5297, 13, 'Խնդրի տեսակներ');
INSERT INTO `lang_definitions` VALUES (65183, 5298, 13, 'Խնդիրներ');
INSERT INTO `lang_definitions` VALUES (65184, 5299, 13, 'Խնդրի ասպեկտներ (տրավմաներ / թերապիա / ալերգիա)');
INSERT INTO `lang_definitions` VALUES (65185, 5300, 13, 'Խնդրի ասպեկտներ (տրավմաներ / թերապիա / ալերգիա)։');
INSERT INTO `lang_definitions` VALUES (65186, 5302, 13, 'Խնդրի ասպեկտներ և այցեր');
INSERT INTO `lang_definitions` VALUES (65187, 5303, 13, 'Խնդրի ասպեկտներ և այցեր ֊ի համար');
INSERT INTO `lang_definitions` VALUES (65188, 5308, 13, 'Խնդիրների հասանելիություն չկա');
INSERT INTO `lang_definitions` VALUES (65189, 5309, 13, 'Խնդիրների բաժիններ');
INSERT INTO `lang_definitions` VALUES (65190, 5364, 13, 'Իտալերեն');
INSERT INTO `lang_definitions` VALUES (65191, 5365, 13, 'Կետ');
INSERT INTO `lang_definitions` VALUES (65192, 5366, 13, 'Կետ');
INSERT INTO `lang_definitions` VALUES (65193, 5368, 13, 'Կետեր/պարագրաֆներ');
INSERT INTO `lang_definitions` VALUES (65194, 5369, 13, 'Կետերի/նյութերի բեռնումը ձախողվեց');
INSERT INTO `lang_definitions` VALUES (65195, 5370, 13, 'IU/L');
INSERT INTO `lang_definitions` VALUES (65196, 5371, 13, 'IUD');
INSERT INTO `lang_definitions` VALUES (65197, 5372, 13, 'IV');
INSERT INTO `lang_definitions` VALUES (65198, 5375, 13, 'Հնվ․');
INSERT INTO `lang_definitions` VALUES (65199, 5376, 13, 'Հունվար');
INSERT INTO `lang_definitions` VALUES (65200, 5377, 13, 'Ճապոներեն');
INSERT INTO `lang_definitions` VALUES (65201, 5378, 13, 'Դեղնախտ');
INSERT INTO `lang_definitions` VALUES (65202, 5380, 13, 'Աշխատանքի նկարագիր');
INSERT INTO `lang_definitions` VALUES (65203, 5381, 13, 'Աշխատանքի ID');
INSERT INTO `lang_definitions` VALUES (65204, 5382, 13, 'Հոդախախտություն / հոդերի անկայունություն');
INSERT INTO `lang_definitions` VALUES (65205, 5383, 13, 'Հոդացավ');
INSERT INTO `lang_definitions` VALUES (65206, 5384, 13, 'Հոդերի գերձգում/');
INSERT INTO `lang_definitions` VALUES (65207, 5385, 13, 'Հուլ․');
INSERT INTO `lang_definitions` VALUES (65208, 5386, 13, 'Հուլիս');
INSERT INTO `lang_definitions` VALUES (65209, 5388, 13, 'Հուն․');
INSERT INTO `lang_definitions` VALUES (65210, 5389, 13, 'Հունիս');
INSERT INTO `lang_definitions` VALUES (65211, 5390, 13, 'Քիչ ներքև՝ կապույտ հատվածում է ստուգիչ ինֆորմացիան, որտեղ լրացնում եք որոնման պարամետրերը։ Կարող եք որոնել պացիենտի անունով, քարտի համարով, այցի համարով, ծառայության մատուցման ամսաթվով կամ սրանց որևէ համակցումով։ Կարող եք նաև ընտրել, թե որտեղ ցուցադրվեն բոլոր հաշիվ֊ապրանքագրերը, բացված հ֊աերը, կամ միայն պարտքի մնացորդ ունեցողները․ Սեղմեք ՈՐՈՆԵԼ կոճակին՝ որոնումն իրականացնելու համար։');
INSERT INTO `lang_definitions` VALUES (65212, 5391, 13, 'Միայն իմը / ինձ պատկանողները');
INSERT INTO `lang_definitions` VALUES (65213, 5392, 13, 'Հիմնավորման գրառումներ');
INSERT INTO `lang_definitions` VALUES (65214, 5393, 13, 'Հաստատել');
INSERT INTO `lang_definitions` VALUES (65215, 5396, 13, 'Հաստատել/պահպանել');
INSERT INTO `lang_definitions` VALUES (65216, 5398, 13, 'k, ահա մնացածը');
INSERT INTO `lang_definitions` VALUES (65217, 5407, 13, 'Բանալի');
INSERT INTO `lang_definitions` VALUES (65218, 5411, 13, 'Բանալի բառ');
INSERT INTO `lang_definitions` VALUES (65219, 5412, 13, 'կգ');
INSERT INTO `lang_definitions` VALUES (65220, 5413, 13, 'կգ/մ^2');
INSERT INTO `lang_definitions` VALUES (65221, 5415, 13, 'Երիկամային քաղցկեղ');
INSERT INTO `lang_definitions` VALUES (65222, 5416, 13, 'Երիկամային անբավարարություն');
INSERT INTO `lang_definitions` VALUES (65223, 5417, 13, 'Երիկամային վարակ/ինֆեկցիա');
INSERT INTO `lang_definitions` VALUES (65224, 5418, 13, 'Երիկամային քարեր');
INSERT INTO `lang_definitions` VALUES (65225, 5419, 13, 'Երիկամների փոխպատվաստում');
INSERT INTO `lang_definitions` VALUES (65226, 5425, 13, 'Ծունկ');
INSERT INTO `lang_definitions` VALUES (65227, 5426, 13, 'Ծնկների խնդիր');
INSERT INTO `lang_definitions` VALUES (65228, 5427, 13, 'Ծնկահոդի փոխարինում');
INSERT INTO `lang_definitions` VALUES (65229, 5430, 13, 'Կորեերեն');
INSERT INTO `lang_definitions` VALUES (65230, 5431, 13, 'Քրդերեն');
INSERT INTO `lang_definitions` VALUES (65231, 5434, 13, 'Լաբորատորիա');
INSERT INTO `lang_definitions` VALUES (65232, 5435, 13, 'Լաբորատոր փաստաթղթեր');
INSERT INTO `lang_definitions` VALUES (65233, 5436, 13, 'Լաբորատոր փոխանակման կայքի հասցեն');
INSERT INTO `lang_definitions` VALUES (65234, 5437, 13, 'Լաբորատոր փոխանակման կայքի Id');
INSERT INTO `lang_definitions` VALUES (65235, 5438, 13, 'Լաբորատոր փոխանակման սիմվոլիկ Id');
INSERT INTO `lang_definitions` VALUES (65236, 5439, 13, 'Լաբ․ հետազոտության հրաման');
INSERT INTO `lang_definitions` VALUES (65237, 5440, 13, 'Լաբ․ հետազոտության ամփոփ նկարագիր');
INSERT INTO `lang_definitions` VALUES (65238, 5441, 13, 'Լաբ․ հետազոտության ամփոփ նկարագիր');
INSERT INTO `lang_definitions` VALUES (65239, 5442, 13, 'Լաբ․ հարցման կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (65240, 5444, 13, 'Լաբ․ հետազոտությունների զեկույց');
INSERT INTO `lang_definitions` VALUES (65241, 5445, 13, 'Լաբ․ հետազոտության արդյունքներ');
INSERT INTO `lang_definitions` VALUES (65242, 5446, 13, 'Լաբ․ հետազոտության արդյունքներ');
INSERT INTO `lang_definitions` VALUES (65243, 5448, 13, 'Լաբ․ հետազոտության արդյունքների կատեգորիայի անվանումը');
INSERT INTO `lang_definitions` VALUES (65244, 5449, 13, 'Լաբ․ հետազոտության արդյունքների զեկույց/հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (65245, 5450, 13, 'Լաբորատոր ծառայություններ');
INSERT INTO `lang_definitions` VALUES (65246, 5451, 13, 'Լաբորատոր հետազոտության արդյունքներ');
INSERT INTO `lang_definitions` VALUES (65247, 5452, 13, 'Լաբորատոր/ֆայլ');
INSERT INTO `lang_definitions` VALUES (65248, 5453, 13, 'Պիտակ / նշաթուղթ');
INSERT INTO `lang_definitions` VALUES (65249, 5454, 13, 'Պիտակը / նշաթուղթը չի կարող դատարկ լինել');
INSERT INTO `lang_definitions` VALUES (65250, 5455, 13, 'Պիտակ / նշաթուղթ֊ի սյուներ');
INSERT INTO `lang_definitions` VALUES (65251, 5456, 13, 'Այս տիպի/ձևի/տեսակի նշաթուղթ/պիտակ');
INSERT INTO `lang_definitions` VALUES (65252, 5458, 13, 'Piտակի սյուները պետք է լինեն 1֊999 թվերի միջակայքում');
INSERT INTO `lang_definitions` VALUES (65253, 5459, 13, 'Պիտակներ / նշաթղթեր');
INSERT INTO `lang_definitions` VALUES (65254, 5461, 13, 'Տեղեկությունների Լաբորատորիայի մասին');
INSERT INTO `lang_definitions` VALUES (65255, 5462, 13, 'Լաբորատոր թեստ');
INSERT INTO `lang_definitions` VALUES (65256, 5463, 13, 'Լաբորատորիաներ');
INSERT INTO `lang_definitions` VALUES (65257, 5464, 13, 'Պատռվածք / մաշկի վիճակ');
INSERT INTO `lang_definitions` VALUES (65258, 5465, 13, 'Պատռվածք / քայքայում/ճանկռվածք');
INSERT INTO `lang_definitions` VALUES (65259, 5467, 13, 'LADate');
INSERT INTO `lang_definitions` VALUES (65260, 5470, 13, 'Հորիզոնական');
INSERT INTO `lang_definitions` VALUES (65261, 5471, 13, 'Լեզու');
INSERT INTO `lang_definitions` VALUES (65262, 5472, 13, 'Լեզվի կոդ');
INSERT INTO `lang_definitions` VALUES (65263, 5473, 13, 'Լեզվի սահմանաումն ավելացված է');
INSERT INTO `lang_definitions` VALUES (65264, 5474, 13, 'Լեզվի ինտերֆեյս գործիք');
INSERT INTO `lang_definitions` VALUES (65265, 5476, 13, 'Լեզուների ցանկ (գրել, միայն ավելացնել ըստ ցանկության)');
INSERT INTO `lang_definitions` VALUES (65266, 5478, 13, 'Լեզվի անվանում');
INSERT INTO `lang_definitions` VALUES (65267, 5479, 13, 'Լեզու։');
INSERT INTO `lang_definitions` VALUES (65268, 5481, 13, 'Լաոսերեն');
INSERT INTO `lang_definitions` VALUES (65269, 5485, 13, 'Վերջին');
INSERT INTO `lang_definitions` VALUES (65270, 5486, 13, 'Վերջին ակտիվության ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (65271, 5487, 13, 'Վերջին ապենդեկտոմիայի /կույր աղիքի հեռացման/ ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (65272, 5489, 13, 'Վերջին հաշվի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (65273, 5490, 13, 'Շնչառական վերջին հետազոտություն');
INSERT INTO `lang_definitions` VALUES (65274, 5491, 13, 'Անցած օրացուցային');
INSERT INTO `lang_definitions` VALUES (65275, 5492, 13, 'Կատարակտայի վերջին վիրահատությունը');
INSERT INTO `lang_definitions` VALUES (65276, 5493, 13, 'Վերջին խոլեցիստէկտոմիա /լեղապարկի հեռացում/');
INSERT INTO `lang_definitions` VALUES (65277, 5495, 13, 'Վերջին այց');
INSERT INTO `lang_definitions` VALUES (65278, 5496, 13, 'Գինեկոլոգիական վերջին հետազոտությունը');
INSERT INTO `lang_definitions` VALUES (65279, 5497, 13, 'Սրտի վերջին վիրահատությունը');
INSERT INTO `lang_definitions` VALUES (65280, 5498, 13, 'Ճողվածքի վերջին բուժում / շտկում');
INSERT INTO `lang_definitions` VALUES (65281, 5499, 13, 'Կոնքազդրային հոդի փոխարինում');
INSERT INTO `lang_definitions` VALUES (65282, 5500, 13, 'Վերջին հիստերէկտոմիա /արգանդի մասնակի կամ ամբողջական հեռացում/');
INSERT INTO `lang_definitions` VALUES (65283, 5501, 13, 'Ծնկի վերջին փոխարինում');
INSERT INTO `lang_definitions` VALUES (65284, 5503, 13, 'Վերջին մամոգրաֆիան');
INSERT INTO `lang_definitions` VALUES (65285, 5504, 13, 'Վերջին դաշտանի ցիկլը');
INSERT INTO `lang_definitions` VALUES (65286, 5506, 13, 'Անցած ամիս');
INSERT INTO `lang_definitions` VALUES (65287, 5507, 13, 'Ազգանուն');
INSERT INTO `lang_definitions` VALUES (65288, 5508, 13, 'ազգանուն');
INSERT INTO `lang_definitions` VALUES (65289, 5513, 13, 'Ազգանուն։');
INSERT INTO `lang_definitions` VALUES (65290, 5514, 13, 'Վերջին ֆիզզննում');
INSERT INTO `lang_definitions` VALUES (65291, 5515, 13, 'Շագանակագեղձի վերջին զննում');
INSERT INTO `lang_definitions` VALUES (65292, 5516, 13, 'Ուղիղ աղու/Rectal վերջին հետազոտում');
INSERT INTO `lang_definitions` VALUES (65293, 5517, 13, 'Վերջին անգամ վերանայվել է');
INSERT INTO `lang_definitions` VALUES (65294, 5518, 13, 'Վերջին մեկնարկը տրվել է ֊ին');
INSERT INTO `lang_definitions` VALUES (65295, 5519, 13, 'Վերջին անգամ պահպանվել է');
INSERT INTO `lang_definitions` VALUES (65296, 5520, 13, 'Վերջին սիգմայաձև (S֊աձև; կիսալուսնաձև)/ կոլոնոսկոպիա');
INSERT INTO `lang_definitions` VALUES (65297, 5522, 13, 'Վերջին տոնսիլեկտոմիան /նշագեղձերի հեռացում/');
INSERT INTO `lang_definitions` VALUES (65298, 5525, 13, 'Վերջին թարմացումը ֊ի միջոցով');
INSERT INTO `lang_definitions` VALUES (65299, 5526, 13, 'Վերջին ստուգումը/հաստատումը ֊ին');
INSERT INTO `lang_definitions` VALUES (65300, 5527, 13, 'Վերջին այցը');
INSERT INTO `lang_definitions` VALUES (65301, 5528, 13, 'Վերջին ռենտգենը');
INSERT INTO `lang_definitions` VALUES (65302, 5530, 13, 'Ուշ/ուշացած/ կրկնություն (2-12 ամ.)');
INSERT INTO `lang_definitions` VALUES (65303, 5531, 13, 'Լատերալ/կողային Կոճ։');
INSERT INTO `lang_definitions` VALUES (65304, 5532, 13, 'Լատերալ/կողային կոճ։');
INSERT INTO `lang_definitions` VALUES (65305, 5533, 13, 'Աջլիկություն / Ձախլիկություն');
INSERT INTO `lang_definitions` VALUES (65306, 5539, 13, 'Ամենավերջին այցը կամ խորհրդատվությունը');
INSERT INTO `lang_definitions` VALUES (65307, 5540, 13, 'Լատիներեն');
INSERT INTO `lang_definitions` VALUES (65308, 5541, 13, 'Լատվիերեն');
INSERT INTO `lang_definitions` VALUES (65309, 5545, 13, 'Իրավաբանական ընկերություն');
INSERT INTO `lang_definitions` VALUES (65310, 5546, 13, 'Իրավաբան');
INSERT INTO `lang_definitions` VALUES (65311, 5547, 13, 'Դասավորություն /մակետ');
INSERT INTO `lang_definitions` VALUES (65312, 5549, 13, 'Դասավորությունինց/նախագծից ելնելով');
INSERT INTO `lang_definitions` VALUES (65313, 5551, 13, 'Դասավորության/մակետի խմբագիր');
INSERT INTO `lang_definitions` VALUES (65314, 5552, 13, 'Մակետների խմբեր');
INSERT INTO `lang_definitions` VALUES (65315, 5556, 13, 'Մակետի ձև');
INSERT INTO `lang_definitions` VALUES (65316, 5558, 13, 'Դասավորությամբ պայմանավորվ այցերի ձևեր');
INSERT INTO `lang_definitions` VALUES (65317, 5559, 13, 'Մակետներ');
INSERT INTO `lang_definitions` VALUES (65318, 5560, 13, 'ֆունտ');
INSERT INTO `lang_definitions` VALUES (65319, 5563, 13, 'ֆունտեր');
INSERT INTO `lang_definitions` VALUES (65320, 5571, 13, 'Լիպոպրոտեինների ցածր խտություն');
INSERT INTO `lang_definitions` VALUES (65321, 5573, 13, 'Եթե դեռ ակտիվ է, թողնել դատարկ');
INSERT INTO `lang_definitions` VALUES (65322, 5574, 13, 'Ֆայլի նախնական անվանումը պահպանելու համար դաշտը թողնել դատարկ');
INSERT INTO `lang_definitions` VALUES (65323, 5575, 13, 'Նախկին գաղտնաբարը պահպանելու համար դաշտը թողնել դատարկ');
INSERT INTO `lang_definitions` VALUES (65324, 5580, 13, 'Թողնել հաղորդագրություն ֊ով');
INSERT INTO `lang_definitions` VALUES (65325, 5582, 13, 'Դուրս եկեք այս ձևից');
INSERT INTO `lang_definitions` VALUES (65326, 5583, 13, 'Գաղտնաբառի դաշտը դատարկ թողնելով փաստաթուղթը չի կոդավորվի');
INSERT INTO `lang_definitions` VALUES (65327, 5586, 13, 'Ձախ / ձախ կողմում');
INSERT INTO `lang_definitions` VALUES (65328, 5589, 13, 'Ձախ ականջ');
INSERT INTO `lang_definitions` VALUES (65329, 5590, 13, 'Ձախ ականջ');
INSERT INTO `lang_definitions` VALUES (65330, 5594, 13, 'Ձախ լուսանցք (մմ)');
INSERT INTO `lang_definitions` VALUES (65331, 5599, 13, 'Ձախ / ձախ կողմում։');
INSERT INTO `lang_definitions` VALUES (65332, 5600, 13, 'Ձախ / ձախ կողմում։');
INSERT INTO `lang_definitions` VALUES (65333, 5601, 13, 'Ոտքի ցավ / կծկումներ');
INSERT INTO `lang_definitions` VALUES (65334, 5602, 13, 'Օրինական / իրավական');
INSERT INTO `lang_definitions` VALUES (65335, 5604, 13, 'Էջի հաստատված/օրինական չափ');
INSERT INTO `lang_definitions` VALUES (65336, 5605, 13, 'Լեգենդ։');
INSERT INTO `lang_definitions` VALUES (65337, 5606, 13, 'Երկարություն');
INSERT INTO `lang_definitions` VALUES (65338, 5607, 13, 'Ձևափոխիչի երկարությունը․ եթե դրված չէ, ապա 0');
INSERT INTO `lang_definitions` VALUES (65339, 5613, 13, 'Քիչ, քան');
INSERT INTO `lang_definitions` VALUES (65340, 5614, 13, 'Քիչ կամ հավասար');
INSERT INTO `lang_definitions` VALUES (65341, 5615, 13, 'Քիչ/ո խիստ անձնական տեղեկություններ (գրել, միայն ավելացնել ըստ ցանկության)');
INSERT INTO `lang_definitions` VALUES (65342, 5620, 13, 'Նամակ / տառ');
INSERT INTO `lang_definitions` VALUES (65343, 5621, 13, 'Նամակի գեներատոր');
INSERT INTO `lang_definitions` VALUES (65344, 5622, 13, 'Թղթի՝ նամակային չափ');
INSERT INTO `lang_definitions` VALUES (65345, 5623, 13, 'Բժշկի նշումներով/ստորագրությամբ բլանկ');
INSERT INTO `lang_definitions` VALUES (65346, 5624, 13, 'Պացիենտի ստորագրությամբ բլանկ');
INSERT INTO `lang_definitions` VALUES (65347, 5627, 13, 'Հրատապության/կարևորության  աստիճան');
INSERT INTO `lang_definitions` VALUES (65348, 5630, 13, 'Պատասխանատվություն');
INSERT INTO `lang_definitions` VALUES (65349, 5631, 13, 'Բժշկական պատասխանատվություն');
INSERT INTO `lang_definitions` VALUES (65350, 5633, 13, 'Լիցենզիա / ID');
INSERT INTO `lang_definitions` VALUES (65351, 5635, 13, 'Լիցենզավորված Բժշկի անունը');
INSERT INTO `lang_definitions` VALUES (65352, 5636, 13, 'Լիցենզավորված Բժշկի ազգանունը');
INSERT INTO `lang_definitions` VALUES (65353, 5637, 13, 'Լիցենզավորված Բժշկի NPI');
INSERT INTO `lang_definitions` VALUES (65354, 5638, 13, 'Լիցենզավորված Բժշկի Պաշտոնը/Կոչումը');
INSERT INTO `lang_definitions` VALUES (65355, 5639, 13, 'Լիցենզավորված Բժշկի ազգանունը');
INSERT INTO `lang_definitions` VALUES (65356, 5640, 13, 'Լիցենզավորված նշանակողի/պատասխանատուի NPI');
INSERT INTO `lang_definitions` VALUES (65357, 5641, 13, 'Լիցենզավորված նշանակողի/պատասխանատուի UPIN');
INSERT INTO `lang_definitions` VALUES (65358, 5644, 13, 'Կենսակերպ / ապրելակերպ');
INSERT INTO `lang_definitions` VALUES (65359, 5646, 13, 'Կենսակերպի վիճակը/մակարդակը');
INSERT INTO `lang_definitions` VALUES (65360, 5647, 13, 'Ջլերի գերձգում կամ պատռվածք');
INSERT INTO `lang_definitions` VALUES (65361, 5648, 13, 'Թեթև/քիչ ծխող');
INSERT INTO `lang_definitions` VALUES (65362, 5651, 13, 'Միջոցարումների/իրադարձությունների սահմանափակում');
INSERT INTO `lang_definitions` VALUES (65363, 5654, 13, 'Սահմանափակումներ');
INSERT INTO `lang_definitions` VALUES (65364, 5657, 13, 'Հղում');
INSERT INTO `lang_definitions` VALUES (65365, 5658, 13, 'Հղում պացիենտին');
INSERT INTO `lang_definitions` VALUES (65366, 5660, 13, 'Կապված');
INSERT INTO `lang_definitions` VALUES (65367, 5661, 13, 'Կապված/միացված փաստաթուղթ');
INSERT INTO `lang_definitions` VALUES (65368, 5662, 13, 'Փոխկապակցված միջամտության պահանջ/հրաման');
INSERT INTO `lang_definitions` VALUES (65369, 5663, 13, 'Փաստաթղթի հետ կապված');
INSERT INTO `lang_definitions` VALUES (65370, 5664, 13, 'Միջամտության պահանջի հետ կապված');
INSERT INTO `lang_definitions` VALUES (65371, 5665, 13, 'Ցանկ/ցուցակ');
INSERT INTO `lang_definitions` VALUES (65372, 5666, 13, 'Ցանկավանդակ');
INSERT INTO `lang_definitions` VALUES (65373, 5667, 13, 'Ցանկավանդակ');
INSERT INTO `lang_definitions` VALUES (65374, 5668, 13, 'Ցանկավանդակ գրել/ավելացնել');
INSERT INTO `lang_definitions` VALUES (65375, 5669, 13, 'Ցանկավանդակ գրել/ավելացնել');
INSERT INTO `lang_definitions` VALUES (65376, 5671, 13, 'Ցանկի խմբագրիչ');
INSERT INTO `lang_definitions` VALUES (65377, 5672, 13, 'Ցուցակագրել/ցուցադրել այցերը');
INSERT INTO `lang_definitions` VALUES (65378, 5674, 13, 'Ցուցակագրել/ցուցադրել խմբերը');
INSERT INTO `lang_definitions` VALUES (65379, 5675, 13, 'Ցուցակագրել/ցուցադրել ապահովագրական Ընկերությունները');
INSERT INTO `lang_definitions` VALUES (65380, 5677, 13, 'Ցուցակի /ցանկի տարրերը չեն կարող սկսվել թվերով');
INSERT INTO `lang_definitions` VALUES (65381, 5678, 13, 'Ցուցակի /ցանկի տարրերը պարունակում են չթույլատրված սիմվոլ(ner)');
INSERT INTO `lang_definitions` VALUES (65382, 5679, 13, 'Ցուցակի /ցանկի նիշի ID');
INSERT INTO `lang_definitions` VALUES (65383, 5680, 13, 'Տպել ցուցակները');
INSERT INTO `lang_definitions` VALUES (65384, 5682, 13, 'Ցանկի անվանում');
INSERT INTO `lang_definitions` VALUES (65385, 5683, 13, 'Ցանկի անվանումները չեն կարող սկսվել թվերով');
INSERT INTO `lang_definitions` VALUES (65386, 5688, 13, 'Ցուցակագրել/ցուցադրել նշանակումները');
INSERT INTO `lang_definitions` VALUES (65387, 5689, 13, 'Ցանկը կիրառվում է վերոնշյալ երկրի տվյալների տարբերակով');
INSERT INTO `lang_definitions` VALUES (65388, 5690, 13, 'Ցանկը կիրառվում է վերոնշյալ նահանգի/մարզի տվյալների տարբերակով');
INSERT INTO `lang_definitions` VALUES (65389, 5691, 13, 'RFC 5425 TLS syslog սերվերի լսողական պորտ');
INSERT INTO `lang_definitions` VALUES (65390, 5693, 13, 'Ցանկեր/ցուցակներ');
INSERT INTO `lang_definitions` VALUES (65391, 5695, 13, 'Լիտվերեն');
INSERT INTO `lang_definitions` VALUES (65392, 5696, 13, 'Կտակ');
INSERT INTO `lang_definitions` VALUES (65393, 5701, 13, 'Ստորին ձախ վերջույթ');
INSERT INTO `lang_definitions` VALUES (65394, 5707, 13, 'Վերջին դաշտան');
INSERT INTO `lang_definitions` VALUES (65395, 5708, 13, 'Բեռնել ամփոփագիրը');
INSERT INTO `lang_definitions` VALUES (65396, 5709, 13, 'Բեռնել բացատրությունները/սահմանումները');
INSERT INTO `lang_definitions` VALUES (65397, 5711, 13, 'Բեռնել լաբորատոր կարգավորումները');
INSERT INTO `lang_definitions` VALUES (65398, 5712, 13, 'Բեռնել OE հարցերի տարբերակներ');
INSERT INTO `lang_definitions` VALUES (65399, 5713, 13, 'Բեռնել պահանջի/հրանագների բացատրություններ');
INSERT INTO `lang_definitions` VALUES (65400, 5715, 13, 'ՀԱՋՈՂՈՒԹՅԱՄԲ ԲԵՌՆՎԱԾ Է։ Կոդերը ներմուծված են');
INSERT INTO `lang_definitions` VALUES (65401, 5717, 13, 'ԲԵՌՆՎՈւՄ Է');
INSERT INTO `lang_definitions` VALUES (65402, 5721, 13, 'Ֆայլերը բեռնվում են տվյալների բազա։ ՄԻ քանի րոպե կտևի');
INSERT INTO `lang_definitions` VALUES (65403, 5723, 13, 'Ընկալման կրճատում');
INSERT INTO `lang_definitions` VALUES (65404, 5724, 13, 'Տեղային');
INSERT INTO `lang_definitions` VALUES (65405, 5728, 13, 'Տեղային');
INSERT INTO `lang_definitions` VALUES (65406, 5729, 13, 'Բնակավայր / տեղ');
INSERT INTO `lang_definitions` VALUES (65407, 5730, 13, 'Տեղակայում / տեղադրում/ տեղավորություն');
INSERT INTO `lang_definitions` VALUES (65408, 5731, 13, 'openemr  մեքենայի տեղակայումը կարող է պարունակել գաղտնի տվյալներ․ ուստի խորհուրդ է տրվում օգտվելուց հետո ձեռքով ջնջել դրանք');
INSERT INTO `lang_definitions` VALUES (65409, 5732, 13, 'Այս /սույն  խմբաքանակի տեղակայումը');
INSERT INTO `lang_definitions` VALUES (65410, 5733, 13, 'Չմասնավորեցված / անորոշ տեղակայում');
INSERT INTO `lang_definitions` VALUES (65411, 5734, 13, 'Վայր, ուր Hylafax֊ը պահեստավորում է  ֆաքսերը');
INSERT INTO `lang_definitions` VALUES (65412, 5735, 13, 'Սկանավորված ֆայլերի պահեստավորման վայր');
INSERT INTO `lang_definitions` VALUES (65413, 5736, 13, 'Վայր/տեղ/ տաղակայում։');
INSERT INTO `lang_definitions` VALUES (65414, 5737, 13, 'Արգելափակել');
INSERT INTO `lang_definitions` VALUES (65415, 5738, 13, 'Արգելափակել էլ․ ստորագրության  ձևն անհատապես');
INSERT INTO `lang_definitions` VALUES (65416, 5739, 13, 'Արգելափակել էլ․ ստորագրությամբ այցերն ու դրանց ձևերը');
INSERT INTO `lang_definitions` VALUES (65417, 5740, 13, 'Արգելափակե՞լ');
INSERT INTO `lang_definitions` VALUES (65418, 5741, 13, 'Արգելափակված է');
INSERT INTO `lang_definitions` VALUES (65419, 5745, 13, 'Մուտք / Մուտք գործել');
INSERT INTO `lang_definitions` VALUES (65420, 5746, 13, 'Մուտք / Մուտք գործել');
INSERT INTO `lang_definitions` VALUES (65421, 5749, 13, 'Ելք / Դուրս գալ');
INSERT INTO `lang_definitions` VALUES (65422, 5752, 13, 'Մուտք է գործել');
INSERT INTO `lang_definitions` VALUES (65423, 5753, 13, 'Մուտք է գործել որպես։');
INSERT INTO `lang_definitions` VALUES (65424, 5754, 13, 'Մուտք է գործել որպես');
INSERT INTO `lang_definitions` VALUES (65425, 5755, 13, 'Դուրս է եկել');
INSERT INTO `lang_definitions` VALUES (65426, 5756, 13, 'Գրանցում');
INSERT INTO `lang_definitions` VALUES (65427, 5757, 13, 'Մուտք / Մուտք գործել');
INSERT INTO `lang_definitions` VALUES (65428, 5758, 13, 'Մուտք / Մուտքaնուն');
INSERT INTO `lang_definitions` VALUES (65429, 5761, 13, 'WordPress օգտատիրոջ՝ պորտալ մուտքի մուտքանուն');
INSERT INTO `lang_definitions` VALUES (65430, 5763, 13, 'Հոսթի կառավարման մուտք');
INSERT INTO `lang_definitions` VALUES (65431, 5764, 13, 'Հոսթի կառավարման մուտքը ձախողվեց');
INSERT INTO `lang_definitions` VALUES (65432, 5768, 13, 'Ելք / Դուրս գալ');
INSERT INTO `lang_definitions` VALUES (65433, 5769, 13, 'ելք / դուրս գալ');
INSERT INTO `lang_definitions` VALUES (65434, 5770, 13, 'Տեղեկամատյաններ /գրանցամատյաններ');
INSERT INTO `lang_definitions` VALUES (65435, 5776, 13, 'Փնտրել');
INSERT INTO `lang_definitions` VALUES (65436, 5777, 13, 'Խմբաքանակ');
INSERT INTO `lang_definitions` VALUES (65437, 5778, 13, 'Խմբաքանակի  ID֊ն բացթողնված է');
INSERT INTO `lang_definitions` VALUES (65438, 5779, 13, 'Խմբաքանակի համար');
INSERT INTO `lang_definitions` VALUES (65439, 5780, 13, 'Ցածր / թույլ/ ստորին');
INSERT INTO `lang_definitions` VALUES (65440, 5781, 13, 'Ցածր առաջնայնություն');
INSERT INTO `lang_definitions` VALUES (65441, 5782, 13, 'Կարճեցված ոտք');
INSERT INTO `lang_definitions` VALUES (65442, 5784, 13, 'Նվազագույն/ամենացածր առաջնայնություն');
INSERT INTO `lang_definitions` VALUES (65443, 5791, 13, 'Ողնաշարի գոտկային հատված');
INSERT INTO `lang_definitions` VALUES (65444, 5792, 13, 'ԼԱՆՉ /Կեսօրյա նախաճաշ/');
INSERT INTO `lang_definitions` VALUES (65445, 5793, 13, 'լանչ /Կեսօրյա նախաճաշ/');
INSERT INTO `lang_definitions` VALUES (65446, 5794, 13, 'Թոքերի քաղցկեղ');
INSERT INTO `lang_definitions` VALUES (65447, 5795, 13, 'Թոքերի քաղցկեղի վիրահատություն');
INSERT INTO `lang_definitions` VALUES (65448, 5796, 13, 'ԹՈՔԵՐ։');
INSERT INTO `lang_definitions` VALUES (65449, 5797, 13, 'Թոքեր։');
INSERT INTO `lang_definitions` VALUES (65450, 5798, 13, 'Գայլախտ');
INSERT INTO `lang_definitions` VALUES (65451, 5804, 13, 'M');
INSERT INTO `lang_definitions` VALUES (65452, 5805, 13, 'MA Կատեգորիա');
INSERT INTO `lang_definitions` VALUES (65453, 5806, 13, 'MA Բաժանորդի/հաճախորդի ընդունման մերժում');
INSERT INTO `lang_definitions` VALUES (65454, 5807, 13, 'MA վիճակագրություն');
INSERT INTO `lang_definitions` VALUES (65455, 5808, 13, 'Մակեդոներեն');
INSERT INTO `lang_definitions` VALUES (65456, 5812, 13, 'Փոստն ուղարկված է');
INSERT INTO `lang_definitions` VALUES (65457, 5814, 13, 'Հիմնական/գլխավոր');
INSERT INTO `lang_definitions` VALUES (65458, 5815, 13, 'Հիմնական հասցե');
INSERT INTO `lang_definitions` VALUES (65459, 5821, 13, 'Էկրանի հիմնական/գլխավոր շրջանակը/մակերեսը');
INSERT INTO `lang_definitions` VALUES (65460, 5824, 13, 'Պահպանել ակտիվ դեղորայքային ալերգիայի ցանկը');
INSERT INTO `lang_definitions` VALUES (65461, 5825, 13, 'Պահպանել ակտիվ դեղորայքային ցանկը');
INSERT INTO `lang_definitions` VALUES (65462, 5826, 13, 'Պահպանել ընթացիք և ակտիվ ախտորոշումների թարմացված խնդրացանկը');
INSERT INTO `lang_definitions` VALUES (65463, 5827, 13, 'Կատարել փոփոխություններ ընթացիկ կատեգորիաներում');
INSERT INTO `lang_definitions` VALUES (65464, 5828, 13, 'Ստեղծել նոր այց ֊ի համար');
INSERT INTO `lang_definitions` VALUES (65465, 5831, 13, 'Համոզվեք, որ  \"');
INSERT INTO `lang_definitions` VALUES (65466, 5834, 13, 'Դիսկոմֆորտ։');
INSERT INTO `lang_definitions` VALUES (65467, 5837, 13, 'Արական');
INSERT INTO `lang_definitions` VALUES (65468, 5838, 13, 'Արական սեռի պահպանակներ');
INSERT INTO `lang_definitions` VALUES (65469, 5839, 13, 'Արական VSC');
INSERT INTO `lang_definitions` VALUES (65470, 5841, 13, 'Մամոգրաֆիա');
INSERT INTO `lang_definitions` VALUES (65471, 5842, 13, 'Կառավարում');
INSERT INTO `lang_definitions` VALUES (65472, 5845, 13, 'Մոդուլների կառավարում');
INSERT INTO `lang_definitions` VALUES (65473, 5850, 13, 'Թարգմանությունների կառավարում');
INSERT INTO `lang_definitions` VALUES (65474, 5851, 13, 'Կառավարում');
INSERT INTO `lang_definitions` VALUES (65475, 5854, 13, 'Պարտադիր և սահմանված դաշտեր');
INSERT INTO `lang_definitions` VALUES (65476, 5855, 13, 'Միայն պարտադիր կամ սահմանված դաշտերը․ կրկնակի ստուգում, ոչ մի որոնում');
INSERT INTO `lang_definitions` VALUES (65477, 5856, 13, 'Միայն պարտադիր կամ սահմանված դաշտերը․ որոնում և կրկնակի ստուգում,');
INSERT INTO `lang_definitions` VALUES (65478, 5859, 13, 'Ձեռնարկ / տեղեկագիրք');
INSERT INTO `lang_definitions` VALUES (65479, 5860, 13, 'Մեխանիկական ուղերձ');
INSERT INTO `lang_definitions` VALUES (65480, 5864, 13, 'Արտադրող');
INSERT INTO `lang_definitions` VALUES (65481, 5874, 13, 'Մարտ');
INSERT INTO `lang_definitions` VALUES (65482, 5877, 13, 'Ընտանեկան դրություն');
INSERT INTO `lang_definitions` VALUES (65483, 5879, 13, 'Նշել որպես հաշվեգրված/հաշվարկված/վճարված');
INSERT INTO `lang_definitions` VALUES (65484, 5880, 13, 'Նշել որպես վճարված, սակայն բաց թողնել ներկայացված հաշիվը');
INSERT INTO `lang_definitions` VALUES (65485, 5881, 13, 'Նշել որպես մաքրված');
INSERT INTO `lang_definitions` VALUES (65486, 5882, 13, 'Նշել որպես չվճարված');
INSERT INTO `lang_definitions` VALUES (65487, 5885, 13, 'Նշել սույն հաշվետվությունները որպես վերանայված');
INSERT INTO `lang_definitions` VALUES (65488, 5886, 13, 'Նշված է որպես մաքուր/մաքրված');
INSERT INTO `lang_definitions` VALUES (65489, 5887, 13, 'Ամուսնացած');
INSERT INTO `lang_definitions` VALUES (65490, 5889, 13, 'Դիմակ / քողարկում');
INSERT INTO `lang_definitions` VALUES (65491, 5890, 13, 'Հաշիվներ համարների քողարկում');
INSERT INTO `lang_definitions` VALUES (65492, 5891, 13, 'Պացիենտի ID֊ի/ անձնական տվյալների քողարկում');
INSERT INTO `lang_definitions` VALUES (65493, 5892, 13, 'Ապրանքի ID֊ի/ անձնական տվյալների քողարկում');
INSERT INTO `lang_definitions` VALUES (65494, 5894, 13, 'Համապատասխանություն');
INSERT INTO `lang_definitions` VALUES (65495, 5895, 13, 'Փաստերի/դեպքերի համընկնում/համապատասխանություն');
INSERT INTO `lang_definitions` VALUES (65496, 5896, 13, 'Գտնվել է համապատասխանություն/համընկնում');
INSERT INTO `lang_definitions` VALUES (65497, 5898, 13, 'Համապատասխանեցված Պացիենտ');
INSERT INTO `lang_definitions` VALUES (65498, 5900, 13, 'Մորաքույր');
INSERT INTO `lang_definitions` VALUES (65499, 5902, 13, 'Մայրիկի ծնողներ');
INSERT INTO `lang_definitions` VALUES (65500, 5903, 13, 'Մայրիկի տատիկ-պապիկ');
INSERT INTO `lang_definitions` VALUES (65501, 5904, 13, 'Քեռի');
INSERT INTO `lang_definitions` VALUES (65502, 5905, 13, 'Մատրիցա');
INSERT INTO `lang_definitions` VALUES (65503, 5907, 13, 'Մաքսիմում');
INSERT INTO `lang_definitions` VALUES (65504, 5910, 13, 'Հասել է ֆայլերի առավելագույն քանակին/հաշվին ֊ անունները բեռնել ներքև');
INSERT INTO `lang_definitions` VALUES (65505, 5911, 13, 'Մաքսիմալ չափ');
INSERT INTO `lang_definitions` VALUES (65506, 5913, 13, 'Առավելագույն տարիք');
INSERT INTO `lang_definitions` VALUES (65507, 5914, 13, 'Առավելագույ սիմվոլներ/ սիմվոլների առավելագույն քանակ');
INSERT INTO `lang_definitions` VALUES (65508, 5917, 13, 'Ելքից առաջ առավելագույն պարապ ժամանակը վայրկյաններով․ նախնականը 7200վրկ  (2 ժամ).');
INSERT INTO `lang_definitions` VALUES (65509, 5918, 13, 'Պացիենտի հասանելիք տարեկան հետազոտությունների մաքսիմալ քանակը');
INSERT INTO `lang_definitions` VALUES (65510, 5919, 13, 'Պացիենտի հասանելիք տարեկան հետազոտությունների մաքսիմալ քանակը․ 0-ն սահման չէ');
INSERT INTO `lang_definitions` VALUES (65511, 5920, 13, 'Առավելագույն խելամիտ պահուստը․ եթե չի օգտագործվում, ապա - 0');
INSERT INTO `lang_definitions` VALUES (65512, 5921, 13, 'Առավելագույն չափը');
INSERT INTO `lang_definitions` VALUES (65513, 5922, 13, 'Առավելագույն չափը  0֊ի մուտքագրումը կթույլատրի ցանկացած չափ)');
INSERT INTO `lang_definitions` VALUES (65514, 5924, 13, 'Մայիս');
INSERT INTO `lang_definitions` VALUES (65515, 5926, 13, 'MC');
INSERT INTO `lang_definitions` VALUES (65516, 5927, 13, 'մկգ');
INSERT INTO `lang_definitions` VALUES (65517, 5928, 13, 'MDM փաստաթղթի կատեգորիայի անվանումը');
INSERT INTO `lang_definitions` VALUES (65518, 5929, 13, 'Նշանակում է, որ վերջին երեք գաղտնաբառերից և ոչ մեկը թույլատրված չէ գաղտնաբառի փոփոխման համար');
INSERT INTO `lang_definitions` VALUES (65519, 5930, 13, 'Չափել Արյան Ճնշումը');
INSERT INTO `lang_definitions` VALUES (65520, 5932, 13, 'Չափել   INR');
INSERT INTO `lang_definitions` VALUES (65521, 5933, 13, 'Չափում');
INSERT INTO `lang_definitions` VALUES (65522, 5939, 13, 'Ներքին կոճ');
INSERT INTO `lang_definitions` VALUES (65523, 5940, 13, 'Անվճար բուժօգնություն /անապահովների բժշկական ապահովագրության համակարգ/');
INSERT INTO `lang_definitions` VALUES (65524, 5942, 13, 'Բժշկական');
INSERT INTO `lang_definitions` VALUES (65525, 5943, 13, 'Բժշկական աբորտ');
INSERT INTO `lang_definitions` VALUES (65526, 5944, 13, 'Բժշկական վարչակազմ');
INSERT INTO `lang_definitions` VALUES (65527, 5946, 13, 'Անամնեզ /Հիվանդության պատմություն/');
INSERT INTO `lang_definitions` VALUES (65528, 5947, 13, 'Բժշկական հարց');
INSERT INTO `lang_definitions` VALUES (65529, 5948, 13, 'Բժշկական հարց');
INSERT INTO `lang_definitions` VALUES (65530, 5951, 13, 'Բժշկական խնդիր');
INSERT INTO `lang_definitions` VALUES (65531, 5952, 13, 'Բժշկական խնդիր');
INSERT INTO `lang_definitions` VALUES (65532, 5953, 13, 'Բժշկական խնդիրների հարցաշար');
INSERT INTO `lang_definitions` VALUES (65533, 5954, 13, 'Բժշկական խնդիրներ');
INSERT INTO `lang_definitions` VALUES (65534, 5956, 13, 'Բժշկական գրանցում / Բժշկական քարտ');
INSERT INTO `lang_definitions` VALUES (65535, 5957, 13, 'Բժշկական գրանցում/ Հիվանդության պատմություն #');
INSERT INTO `lang_definitions` VALUES (65536, 5959, 13, 'Բժշկական գրանցումներ/ Հիվանդության պատմություններ');
INSERT INTO `lang_definitions` VALUES (65537, 5961, 13, 'Բժշկական գրանցումներն ուղարկված են');
INSERT INTO `lang_definitions` VALUES (65538, 5962, 13, 'Բժշկական մասնագիտություն');
INSERT INTO `lang_definitions` VALUES (65539, 5963, 13, 'Բժշկական ամփոփագիրը տրված է');
INSERT INTO `lang_definitions` VALUES (65540, 5964, 13, 'Բժշկական համակարգ');
INSERT INTO `lang_definitions` VALUES (65541, 5965, 13, 'Բուժման մեթոդը / տեսակը');
INSERT INTO `lang_definitions` VALUES (65542, 5966, 13, 'Հիվանդության պատմություն  (գրել, միայն ավելացնել ըստ ցանկության)');
INSERT INTO `lang_definitions` VALUES (65543, 5968, 13, 'Անվճար բուժօգնություն Մաս Բ');
INSERT INTO `lang_definitions` VALUES (65544, 5969, 13, 'Անվճար բուժօգնության հանձնարարողը/ուղղորդողը հանեց բուժօգնություն ցուցաբերողն է');
INSERT INTO `lang_definitions` VALUES (65545, 5970, 13, 'Դեղամիջոց');
INSERT INTO `lang_definitions` VALUES (65546, 5971, 13, 'Դեղորայքային ալերգիայի ցանկ');
INSERT INTO `lang_definitions` VALUES (65547, 5972, 13, 'Դեղորայքային հարցերի ցանկ');
INSERT INTO `lang_definitions` VALUES (65548, 5973, 13, 'Դեղամիջոցներ/դեղորայքի ցանկ');
INSERT INTO `lang_definitions` VALUES (65549, 5974, 13, 'Դեղորայքի համաձայնեցումն իրականացվա՞ծ է /');
INSERT INTO `lang_definitions` VALUES (65550, 5975, 13, 'Դեղամիջոցներ');
INSERT INTO `lang_definitions` VALUES (65551, 5978, 13, 'Դեղամիջոցներ։');
INSERT INTO `lang_definitions` VALUES (65552, 5979, 13, 'Դեղամիջոցի բացթողման միավորը');
INSERT INTO `lang_definitions` VALUES (65553, 5980, 13, 'Միջին');
INSERT INTO `lang_definitions` VALUES (65554, 5984, 13, 'Ասոցիացիայի անդամներ վիճակագրական զեկույց/հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (65555, 5986, 13, 'Հիշողության խնդիր');
INSERT INTO `lang_definitions` VALUES (65556, 5987, 13, 'Տղամարդիկ');
INSERT INTO `lang_definitions` VALUES (65557, 5988, 13, 'Տղամարդիկ և կանայք');
INSERT INTO `lang_definitions` VALUES (65558, 5989, 13, 'Միայն տղամարդիկ');
INSERT INTO `lang_definitions` VALUES (65559, 5990, 13, 'Դաշտանի առաջին երևույթը');
INSERT INTO `lang_definitions` VALUES (65560, 5991, 13, 'Դաշտանադադար');
INSERT INTO `lang_definitions` VALUES (65561, 5992, 13, 'Դաշտանային արյունահոսություն / Առատ դաշտան');
INSERT INTO `lang_definitions` VALUES (65562, 5993, 13, 'Դաշտանային ցիկլ');
INSERT INTO `lang_definitions` VALUES (65563, 5994, 13, 'Հոգեկան հիվանդություն');
INSERT INTO `lang_definitions` VALUES (65564, 5998, 13, 'Մենյուի տեքստ');
INSERT INTO `lang_definitions` VALUES (65565, 5999, 13, 'Մենյուներ');
INSERT INTO `lang_definitions` VALUES (65566, 6001, 13, 'Միացնել/զետեղել');
INSERT INTO `lang_definitions` VALUES (65567, 6002, 13, 'Միացումն/ զետեղումն կատարված է');
INSERT INTO `lang_definitions` VALUES (65568, 6003, 13, 'Միացնել/զետեղել պացիենտներին');
INSERT INTO `lang_definitions` VALUES (65569, 6004, 13, 'Միացնել/զետեղել որևէ պացիենտի');
INSERT INTO `lang_definitions` VALUES (65570, 6005, 13, 'Հաղորդագրություն / Նամակ');
INSERT INTO `lang_definitions` VALUES (65571, 6006, 13, 'Հաղորդագրությունների և հիշեցումների կենտրոն');
INSERT INTO `lang_definitions` VALUES (65572, 6009, 13, 'Հաղորդագրության/Նամակի  բովանդակությունը/պարունակությունը տեքստային չէ, ուստի այն պահպանվել է որպես փաստաթուղթ');
INSERT INTO `lang_definitions` VALUES (65573, 6010, 13, 'Հաղորդագրություն / Նամակ պացիենտից');
INSERT INTO `lang_definitions` VALUES (65574, 6012, 13, 'Հաղորդագրությունն ուղարկված է');
INSERT INTO `lang_definitions` VALUES (65575, 6013, 13, 'Հաղորդագրության կարգավիճակը');
INSERT INTO `lang_definitions` VALUES (65576, 6014, 13, 'Հաղորդագրության /նամակի Վերնագիր');
INSERT INTO `lang_definitions` VALUES (65577, 6015, 13, 'Պացիենտին ուղղված հաղորդագրություն /նամակ');
INSERT INTO `lang_definitions` VALUES (65578, 6017, 13, 'Հաղորդագրության / Նամակի  տեսակը');
INSERT INTO `lang_definitions` VALUES (65579, 6018, 13, 'ՀԱՂՈՐԴԱԳՐՈւԹՅՈւՆ։');
INSERT INTO `lang_definitions` VALUES (65580, 6019, 13, 'Հաղորդագրություն');
INSERT INTO `lang_definitions` VALUES (65581, 6022, 13, 'Այսօրվա ուղարկած հաղորդագրությունը');
INSERT INTO `lang_definitions` VALUES (65582, 6026, 13, 'Մեթոդ');
INSERT INTO `lang_definitions` VALUES (65583, 6027, 13, 'Մեթոդ և առանձնահատուկ արդյունք');
INSERT INTO `lang_definitions` VALUES (65584, 6029, 13, 'Էլ․փոստի ուղարկման մեթոդ');
INSERT INTO `lang_definitions` VALUES (65585, 6030, 13, 'Ոչնչացման մեթոդ');
INSERT INTO `lang_definitions` VALUES (65586, 6031, 13, 'Մեկսիկացի/մեկսիկական ծագման ամերիկացի/ չիկանո');
INSERT INTO `lang_definitions` VALUES (65587, 6032, 13, 'Մեխիկո');
INSERT INTO `lang_definitions` VALUES (65588, 6038, 13, 'մգ');
INSERT INTO `lang_definitions` VALUES (65589, 6039, 13, 'մգ/1խոր․սմ');
INSERT INTO `lang_definitions` VALUES (65590, 6040, 13, 'մգ/2խոր․սմ');
INSERT INTO `lang_definitions` VALUES (65591, 6041, 13, 'մգ/3խոր․սմ');
INSERT INTO `lang_definitions` VALUES (65592, 6042, 13, 'մգ/4խոր․սմ');
INSERT INTO `lang_definitions` VALUES (65593, 6043, 13, 'մգ/5խոր․սմ');
INSERT INTO `lang_definitions` VALUES (65594, 6044, 13, 'մգ/դլ');
INSERT INTO `lang_definitions` VALUES (65595, 6046, 13, 'Միջին');
INSERT INTO `lang_definitions` VALUES (65596, 6047, 13, 'Հայրանուն');
INSERT INTO `lang_definitions` VALUES (65597, 6048, 13, 'Հայրանուն');
INSERT INTO `lang_definitions` VALUES (65598, 6050, 13, 'Միջին մակարդակի բժիշկ/բուժաշխատող');
INSERT INTO `lang_definitions` VALUES (65599, 6051, 13, 'Միջին մակարդակի  DEA մասնագետ/պատասխանատու');
INSERT INTO `lang_definitions` VALUES (65600, 6052, 13, 'Միջին մակարդակի  պատասխանատուի  անունը');
INSERT INTO `lang_definitions` VALUES (65601, 6053, 13, 'Միջին մակարդակի  պատասխանատուի  ազգնունը');
INSERT INTO `lang_definitions` VALUES (65602, 6055, 13, 'Միջին մակարդակի  պատասխանատուի  բնորոշիչ');
INSERT INTO `lang_definitions` VALUES (65603, 6056, 13, 'Միջին մակարդակի  պատասխանատուի  UPIN');
INSERT INTO `lang_definitions` VALUES (65604, 6061, 13, 'Դեմքի արտահայտություն');
INSERT INTO `lang_definitions` VALUES (65605, 6062, 13, 'Վերբնակի՞չ  է, թե՞ սեզոնային աշխատող');
INSERT INTO `lang_definitions` VALUES (65606, 6064, 13, 'Վերբնակիչ/ սեզոնային աշխատող');
INSERT INTO `lang_definitions` VALUES (65607, 6065, 13, 'մլն/խոր․մմ');
INSERT INTO `lang_definitions` VALUES (65608, 6066, 13, 'Մեղմ');
INSERT INTO `lang_definitions` VALUES (65609, 6069, 13, 'MIME տեսակը');
INSERT INTO `lang_definitions` VALUES (65610, 6070, 13, 'Mime տեսակը');
INSERT INTO `lang_definitions` VALUES (65611, 6071, 13, 'նվազագույն');
INSERT INTO `lang_definitions` VALUES (65612, 6072, 13, 'նվազագույն');
INSERT INTO `lang_definitions` VALUES (65613, 6077, 13, 'Նվազագույն տարիք');
INSERT INTO `lang_definitions` VALUES (65614, 6081, 13, 'րոպե');
INSERT INTO `lang_definitions` VALUES (65615, 6082, 13, 'Րոպե');
INSERT INTO `lang_definitions` VALUES (65616, 6083, 13, 'Րոպեներ');
INSERT INTO `lang_definitions` VALUES (65617, 6084, 13, 'րոպեներ');
INSERT INTO `lang_definitions` VALUES (65618, 6086, 13, 'Այլ/խառը');
INSERT INTO `lang_definitions` VALUES (65619, 6087, 13, 'Այլ/խառը հաշիվների տարբերակներ');
INSERT INTO `lang_definitions` VALUES (65620, 6088, 13, 'HCFA-1500 այլ/խառը հաշիվների տարբերակներ');
INSERT INTO `lang_definitions` VALUES (65621, 6089, 13, 'HCFA այլ/խառը հաշիվների տարբերակներ');
INSERT INTO `lang_definitions` VALUES (65622, 6090, 13, 'Տրբեր');
INSERT INTO `lang_definitions` VALUES (65623, 6092, 13, 'Բաց թողնված');
INSERT INTO `lang_definitions` VALUES (65624, 6093, 13, 'բաց թողնված');
INSERT INTO `lang_definitions` VALUES (65625, 6094, 13, 'Պարտադիր դաշտ է բաց թողնված');
INSERT INTO `lang_definitions` VALUES (65626, 6097, 13, 'Վճարումը բացթողնված է');
INSERT INTO `lang_definitions` VALUES (65627, 6100, 13, 'Բացակայում է միայն ձևափոխիչը');
INSERT INTO `lang_definitions` VALUES (65628, 6101, 13, 'Բաց թողնված կամ անվավեր է');
INSERT INTO `lang_definitions` VALUES (65629, 6103, 13, 'PID բացակայում է');
INSERT INTO `lang_definitions` VALUES (65630, 6104, 13, 'Հաշվետվության ամսաթիվը բաց թողնված է');
INSERT INTO `lang_definitions` VALUES (65631, 6105, 13, 'Կոդի մեջ վճարողից հետո բացակայում է սլեշը');
INSERT INTO `lang_definitions` VALUES (65632, 6111, 13, 'Խառնված');
INSERT INTO `lang_definitions` VALUES (65633, 6113, 13, 'մլ');
INSERT INTO `lang_definitions` VALUES (65634, 6114, 13, 'MM/DD/YYYY ԱԱ/ՕՕ/ՏՏ');
INSERT INTO `lang_definitions` VALUES (65635, 6115, 13, 'mm/hg');
INSERT INTO `lang_definitions` VALUES (65636, 6116, 13, 'mmHg');
INSERT INTO `lang_definitions` VALUES (65637, 6117, 13, 'Մայրական մահացության մակարդակ 1');
INSERT INTO `lang_definitions` VALUES (65638, 6118, 13, 'Մայրական մահացության մակարդակ 2');
INSERT INTO `lang_definitions` VALUES (65639, 6120, 13, 'Շարժական');
INSERT INTO `lang_definitions` VALUES (65640, 6121, 13, 'Բջջային հեռախոս');
INSERT INTO `lang_definitions` VALUES (65641, 6125, 13, 'Մոդիֆիկատոր');
INSERT INTO `lang_definitions` VALUES (65642, 6126, 13, 'Մոդիֆիկացիայի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (65643, 6128, 13, 'Մեղմ/չափավոր');
INSERT INTO `lang_definitions` VALUES (65644, 6129, 13, 'Միջին/ չափավոր առաջնահերթություն');
INSERT INTO `lang_definitions` VALUES (65645, 6131, 13, 'Միջին/ Ցածր առաջնահերթություն');
INSERT INTO `lang_definitions` VALUES (65646, 6133, 13, 'Մոդիֆիկատոր/ձևաթոխիչ');
INSERT INTO `lang_definitions` VALUES (65647, 6139, 13, 'Մոդիֆիկատորներ/ձևաթոխիչներ');
INSERT INTO `lang_definitions` VALUES (65648, 6140, 13, 'Փոփոխել');
INSERT INTO `lang_definitions` VALUES (65649, 6141, 13, 'փոփոխման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (65650, 6143, 13, 'Փոփոխել վճարումները');
INSERT INTO `lang_definitions` VALUES (65651, 6145, 13, 'Մոդ․ երկ․');
INSERT INTO `lang_definitions` VALUES (65652, 6146, 13, 'Մոդուլ');
INSERT INTO `lang_definitions` VALUES (65653, 6147, 13, 'Մոդուլի ուղեցույց չի գտնվել');
INSERT INTO `lang_definitions` VALUES (65654, 6148, 13, 'Մոդուլի տեղադրիչ');
INSERT INTO `lang_definitions` VALUES (65655, 6149, 13, 'Մոդուլի անվանում');
INSERT INTO `lang_definitions` VALUES (65656, 6150, 13, 'Մոդուլի անվանում արդեն գոյություն ունի');
INSERT INTO `lang_definitions` VALUES (65657, 6151, 13, 'Մոդուլներ');
INSERT INTO `lang_definitions` VALUES (65658, 6153, 13, 'Երկ․');
INSERT INTO `lang_definitions` VALUES (65659, 6154, 13, 'Երկ ֊ Ուրբ');
INSERT INTO `lang_definitions` VALUES (65660, 6155, 13, 'Երկ․ Չրք․ &amp; Ուրբ․');
INSERT INTO `lang_definitions` VALUES (65661, 6156, 13, 'Երկուշաբթի');
INSERT INTO `lang_definitions` VALUES (65662, 6157, 13, 'Մոնղոլերեն');
INSERT INTO `lang_definitions` VALUES (65663, 6160, 13, 'ամիս');
INSERT INTO `lang_definitions` VALUES (65664, 6161, 13, 'Ամիս');
INSERT INTO `lang_definitions` VALUES (65665, 6162, 13, 'Ամսվա դիտում');
INSERT INTO `lang_definitions` VALUES (65666, 6163, 13, 'Ամիս(ներ)');
INSERT INTO `lang_definitions` VALUES (65667, 6164, 13, 'Ամսական եկամուտ');
INSERT INTO `lang_definitions` VALUES (65668, 6165, 13, 'ամիսներ');
INSERT INTO `lang_definitions` VALUES (65669, 6166, 13, 'Ամիսներ');
INSERT INTO `lang_definitions` VALUES (65670, 6179, 13, 'Գտնվել է ավելի, քան 100 գրանցում։ Խնդրում ենք սահմանափակել/սեղմել որոնման չափորոշիչները');
INSERT INTO `lang_definitions` VALUES (65671, 6180, 13, 'Ավելի, քան 50 արդյունք։ Խնդրում ենք  որոնումն ավելի կոնկրետացնել');
INSERT INTO `lang_definitions` VALUES (65672, 6184, 13, 'Սյուների անվանումների/վերնագրերի մեծ մասի դասավորությունը հնարավոր է կտտոցով/սեղմելով փոփոխել');
INSERT INTO `lang_definitions` VALUES (65673, 6186, 13, '֊ից ամենավերջինը');
INSERT INTO `lang_definitions` VALUES (65674, 6187, 13, 'Ամենավերջին լաբորատոր տվյալը');
INSERT INTO `lang_definitions` VALUES (65675, 6189, 13, 'Ամենավերջին կենսական տվյալները ֊ից');
INSERT INTO `lang_definitions` VALUES (65676, 6190, 13, 'Մայրը');
INSERT INTO `lang_definitions` VALUES (65677, 6191, 13, 'Մայրիկի անունիը');
INSERT INTO `lang_definitions` VALUES (65678, 6192, 13, 'Մայրիկի անամնեզը/պատմությունը');
INSERT INTO `lang_definitions` VALUES (65679, 6195, 13, 'Բերան');
INSERT INTO `lang_definitions` VALUES (65680, 6196, 13, 'Շարժել/ տեղափոխել');
INSERT INTO `lang_definitions` VALUES (65681, 6197, 13, 'Փաստաթուղթը տեղափոխել ֊֊ կատեգորիա');
INSERT INTO `lang_definitions` VALUES (65682, 6198, 13, 'Տեղափոխել ներքև');
INSERT INTO `lang_definitions` VALUES (65683, 6199, 13, 'Տեղափուխումը ձախողվեց');
INSERT INTO `lang_definitions` VALUES (65684, 6201, 13, 'Տեղափոխել Պացիենտ բաժին');
INSERT INTO `lang_definitions` VALUES (65685, 6202, 13, 'Տեղափոխել ․․․');
INSERT INTO `lang_definitions` VALUES (65686, 6203, 13, 'Տեղափոխել վերև');
INSERT INTO `lang_definitions` VALUES (65687, 6204, 13, 'Տեղափոխում');
INSERT INTO `lang_definitions` VALUES (65688, 6209, 13, 'Պրն․');
INSERT INTO `lang_definitions` VALUES (65689, 6211, 13, 'Գրանցման համար /պացիենտի նույնացուցիչ/');
INSERT INTO `lang_definitions` VALUES (65690, 6215, 13, 'Տիկին');
INSERT INTO `lang_definitions` VALUES (65691, 6217, 13, 'Տիկին');
INSERT INTO `lang_definitions` VALUES (65692, 6218, 13, 'MSH-11');
INSERT INTO `lang_definitions` VALUES (65693, 6219, 13, 'MSH-3.1');
INSERT INTO `lang_definitions` VALUES (65694, 6220, 13, 'MSH-4.1');
INSERT INTO `lang_definitions` VALUES (65695, 6221, 13, 'MSH-5.1');
INSERT INTO `lang_definitions` VALUES (65696, 6222, 13, 'MSH-6.1');
INSERT INTO `lang_definitions` VALUES (65697, 6223, 13, 'MSH.8 հաղորդագրության տեսակը չի սպասարկվում');
INSERT INTO `lang_definitions` VALUES (65698, 6224, 13, 'MSH.8 հաղորդագրության տեսակը վավեր չէ');
INSERT INTO `lang_definitions` VALUES (65699, 6226, 13, 'MSP կոդ');
INSERT INTO `lang_definitions` VALUES (65700, 6227, 13, 'MSP առաքման կոդեր');
INSERT INTO `lang_definitions` VALUES (65701, 6230, 13, 'Բազմալեզու/թարգմանչական գործիք');
INSERT INTO `lang_definitions` VALUES (65702, 6234, 13, 'Մի քանի/բազմաթիվ տարածքներ');
INSERT INTO `lang_definitions` VALUES (65703, 6236, 13, 'Միանգամից  կարող եք ընտրել և  բեռնել մի քանի ֆայլ՝ օգտագործելովսեղմելով CTRL+Click կամ SHIFT+Click');
INSERT INTO `lang_definitions` VALUES (65704, 6237, 13, 'Մի քանի խմբաքանակ');
INSERT INTO `lang_definitions` VALUES (65705, 6238, 13, 'Մի քանի բաղադրիչներ կարող են առանձնացվել/բաժանվել կրկնակետով կամ բացատով․ առավելագույնը 4 բաղադրիչ (M1:M2:M3:M4)');
INSERT INTO `lang_definitions` VALUES (65706, 6239, 13, 'Բազմակի ընտրության ցանկ');
INSERT INTO `lang_definitions` VALUES (65707, 6242, 13, 'Բազմազգ');
INSERT INTO `lang_definitions` VALUES (65708, 6243, 13, 'Աղմուկ։');
INSERT INTO `lang_definitions` VALUES (65709, 6244, 13, 'Մկանային ցավ');
INSERT INTO `lang_definitions` VALUES (65710, 6245, 13, 'Մկանային ցավեր');
INSERT INTO `lang_definitions` VALUES (65711, 6246, 13, 'Մկանային կարմրություն');
INSERT INTO `lang_definitions` VALUES (65712, 6247, 13, 'Մկանային կոշտություն');
INSERT INTO `lang_definitions` VALUES (65713, 6248, 13, 'Մկանային/Մկանների այտուց');
INSERT INTO `lang_definitions` VALUES (65714, 6249, 13, 'Մկանների գերտաքացում');
INSERT INTO `lang_definitions` VALUES (65715, 6250, 13, 'Մկան');
INSERT INTO `lang_definitions` VALUES (65716, 6251, 13, 'Մկանի վնասվածք');
INSERT INTO `lang_definitions` VALUES (65717, 6252, 13, 'Հենաշարժիչ համակարգ');
INSERT INTO `lang_definitions` VALUES (65718, 6256, 13, 'Եթե SMTP վավերացում/նույնականացում չի կիրառվում, ապա պետք է դատարկ լինի');
INSERT INTO `lang_definitions` VALUES (65719, 6259, 13, 'Երկուստեք սահմանված');
INSERT INTO `lang_definitions` VALUES (65720, 6260, 13, 'Ճանապարհատրանսպորտային պատահար/ավտովթար');
INSERT INTO `lang_definitions` VALUES (65721, 6261, 13, 'MVX կոդ');
INSERT INTO `lang_definitions` VALUES (65722, 6264, 13, 'Իմ առողջությունը');
INSERT INTO `lang_definitions` VALUES (65723, 6267, 13, 'Ինքնուրույն');
INSERT INTO `lang_definitions` VALUES (65724, 6268, 13, 'M{{Երկուշաբթի}}');
INSERT INTO `lang_definitions` VALUES (65725, 6271, 13, 'N/A / ոչ կիրառելի');
INSERT INTO `lang_definitions` VALUES (65726, 6272, 13, 'n/a');
INSERT INTO `lang_definitions` VALUES (65727, 6274, 13, 'անուն');
INSERT INTO `lang_definitions` VALUES (65728, 6275, 13, 'ԱՆՈՒՆ');
INSERT INTO `lang_definitions` VALUES (65729, 6276, 13, 'Անուն (սեղմել ավելին տեսնելու համար)');
INSERT INTO `lang_definitions` VALUES (65730, 6278, 13, 'Անուն 1');
INSERT INTO `lang_definitions` VALUES (65731, 6279, 13, 'Անուն 2');
INSERT INTO `lang_definitions` VALUES (65732, 6280, 13, 'Պատվաստաման ղեկավարի անունն ու պաշտոնը');
INSERT INTO `lang_definitions` VALUES (65733, 6282, 13, 'Անունն EMR֊ում');
INSERT INTO `lang_definitions` VALUES (65734, 6283, 13, 'Անունը պետք է լինի  codetype_code_language.pdf, օրինակ՝ icd9_274.11_en.pdf');
INSERT INTO `lang_definitions` VALUES (65735, 6284, 13, 'Իրադարձության անվանումը');
INSERT INTO `lang_definitions` VALUES (65736, 6285, 13, 'Ապահովագրող Ընկերության անունը');
INSERT INTO `lang_definitions` VALUES (65737, 6286, 13, 'Մասնագետի անունը/ազգանունը');
INSERT INTO `lang_definitions` VALUES (65738, 6287, 13, 'Պացիենտին հիշեցումներ ուղարկողի անունը');
INSERT INTO `lang_definitions` VALUES (65739, 6294, 13, 'Անվան թարգմանություն');
INSERT INTO `lang_definitions` VALUES (65740, 6295, 13, 'Անուն/Նշանակություն');
INSERT INTO `lang_definitions` VALUES (65741, 6296, 13, 'Անուն։');
INSERT INTO `lang_definitions` VALUES (65742, 6300, 13, 'ՌՈՒՆԳԵՐ։ /ՔԹԱՆՑՔԵՐ։');
INSERT INTO `lang_definitions` VALUES (65743, 6301, 13, 'ՌՈՒՆԳԵՐ։ /ՔԹԱՆՑՔԵՐ։ Նորմալ աջ');
INSERT INTO `lang_definitions` VALUES (65744, 6305, 13, 'Գրառումներ ազգության մասին');
INSERT INTO `lang_definitions` VALUES (65745, 6310, 13, 'Ազգություն');
INSERT INTO `lang_definitions` VALUES (65746, 6311, 13, 'Գրառ․ ազգ․ մասին');
INSERT INTO `lang_definitions` VALUES (65747, 6312, 13, 'Ազգաբանական տվյալը բեռմվում է');
INSERT INTO `lang_definitions` VALUES (65748, 6313, 13, 'Բնիկ հավայական կամ  խաղաղ օվկիանոսյան այլ կղզու բնակիչ');
INSERT INTO `lang_definitions` VALUES (65749, 6314, 13, 'Կենսաբանական երեխա');
INSERT INTO `lang_definitions` VALUES (65750, 6316, 13, 'Կենսաբանական ծնող');
INSERT INTO `lang_definitions` VALUES (65751, 6317, 13, 'Կենսաբանական քույր/եղբայր');
INSERT INTO `lang_definitions` VALUES (65752, 6319, 13, 'սրտխառնոց');
INSERT INTO `lang_definitions` VALUES (65753, 6322, 13, 'Նավիգացիա / ճանապարհային ուղեցույց');
INSERT INTO `lang_definitions` VALUES (65754, 6323, 13, 'Նավիգացիոն տարածքը ներառում է այցելության բլանկ');
INSERT INTO `lang_definitions` VALUES (65755, 6324, 13, 'Նավիգացիոն տարածքը օգտագործում է պատուհանի ողջ բարձրությունը');
INSERT INTO `lang_definitions` VALUES (65756, 6325, 13, 'Նավիգացիոն տարածքի այցելության բլանկներ/ձևեր');
INSERT INTO `lang_definitions` VALUES (65757, 6326, 13, 'Նավիգացիոն տարածքի լայնություն');
INSERT INTO `lang_definitions` VALUES (65758, 6328, 13, 'Նավիգացիոն մենյուն բաղկացած է զույգ անջատիչներից');
INSERT INTO `lang_definitions` VALUES (65759, 6329, 13, 'Ծառի տեսքով /treeview նավիգացիոն մենյու');
INSERT INTO `lang_definitions` VALUES (65760, 6330, 13, 'Նավիգացիան կիրառում է/ունի սահող մենյու');
INSERT INTO `lang_definitions` VALUES (65761, 6334, 13, 'NDC  Դեղամիջոցի ազգային կոդ');
INSERT INTO `lang_definitions` VALUES (65762, 6335, 13, 'NDC /Դեղամիջոցի ազգային կոդ/');
INSERT INTO `lang_definitions` VALUES (65763, 6336, 13, 'NDC /Դեղամիջոցի ազգային կոդ/ տվյալ');
INSERT INTO `lang_definitions` VALUES (65764, 6337, 13, 'NDC /Դեղամիջոցի ազգային կոդ/ համար');
INSERT INTO `lang_definitions` VALUES (65765, 6348, 13, 'Վիզ/պարանոց');
INSERT INTO `lang_definitions` VALUES (65766, 6349, 13, 'Պարանոցի խնդիրներ');
INSERT INTO `lang_definitions` VALUES (65767, 6350, 13, 'Պարանոցի ձգում');
INSERT INTO `lang_definitions` VALUES (65768, 6352, 13, 'Անհրաժեշտ է մուտքագրել նկարագրություն');
INSERT INTO `lang_definitions` VALUES (65769, 6353, 13, 'Անհրաժեշտ է մուտքագրել հետադարձ նկարագրություն');
INSERT INTO `lang_definitions` VALUES (65770, 6354, 13, 'Անհրաժեշտ է մուտքագրել նույնացուցիչ');
INSERT INTO `lang_definitions` VALUES (65771, 6355, 13, 'Անհրաժեշտ է մուտքագրել անուն/անվանում');
INSERT INTO `lang_definitions` VALUES (65772, 6358, 13, 'Պահանջվում/անհրաժեշտ է թույլտվություն');
INSERT INTO `lang_definitions` VALUES (65773, 6359, 13, 'Պահանջվում/անհրաժեշտ է թհաստատում');
INSERT INTO `lang_definitions` VALUES (65774, 6360, 13, 'Պահանջվում/անհրաժեշտ է կրկնակի բիլլինգ/հաշվեգրում');
INSERT INTO `lang_definitions` VALUES (65775, 6361, 13, 'Բացասական');
INSERT INTO `lang_definitions` VALUES (65776, 6363, 13, 'Ժխտում/բացասում');
INSERT INTO `lang_definitions` VALUES (65777, 6369, 13, 'Նյարդերի վնասվածք');
INSERT INTO `lang_definitions` VALUES (65778, 6371, 13, 'Նյարդային/նյարդաբանական վիճակ / նյարդի/ներվի վնասվածք');
INSERT INTO `lang_definitions` VALUES (65779, 6373, 13, 'Նյարդերի թմրություն');
INSERT INTO `lang_definitions` VALUES (65780, 6374, 13, 'Նյարդային թուլություն');
INSERT INTO `lang_definitions` VALUES (65781, 6377, 13, 'Նյարդաբանական');
INSERT INTO `lang_definitions` VALUES (65782, 6381, 13, 'Երբեք');
INSERT INTO `lang_definitions` VALUES (65783, 6382, 13, 'Երբևէ չի օգտագործել ալկոհոլ');
INSERT INTO `lang_definitions` VALUES (65784, 6383, 13, 'Երբևէ չի ծխել');
INSERT INTO `lang_definitions` VALUES (65785, 6384, 13, 'Նոր');
INSERT INTO `lang_definitions` VALUES (65786, 6385, 13, 'Նոր =>');
INSERT INTO `lang_definitions` VALUES (65787, 6386, 13, 'Նոր ընդունողներ/ստացողներ');
INSERT INTO `lang_definitions` VALUES (65788, 6387, 13, 'Նոր տագնապներ');
INSERT INTO `lang_definitions` VALUES (65789, 6388, 13, 'Նոր ալերգիա');
INSERT INTO `lang_definitions` VALUES (65790, 6389, 13, 'Նոր փոփոխության պահանջ');
INSERT INTO `lang_definitions` VALUES (65791, 6390, 13, 'Նոր այցելություն');
INSERT INTO `lang_definitions` VALUES (65792, 6391, 13, 'Նոր կատեգորիաներ');
INSERT INTO `lang_definitions` VALUES (65793, 6392, 13, 'Նոր կատեգորիա');
INSERT INTO `lang_definitions` VALUES (65794, 6393, 13, 'Նոր հաճախորդներ');
INSERT INTO `lang_definitions` VALUES (65795, 6394, 13, 'Նոր խորհրդատվություն');
INSERT INTO `lang_definitions` VALUES (65796, 6396, 13, 'Ավելացվել է սահմանումների նոր շարք');
INSERT INTO `lang_definitions` VALUES (65797, 6397, 13, 'Նոր փաստաթուղթ');
INSERT INTO `lang_definitions` VALUES (65798, 6398, 13, 'Նոր փաստաթղթեր');
INSERT INTO `lang_definitions` VALUES (65799, 6401, 13, 'Նոր այց');
INSERT INTO `lang_definitions` VALUES (65800, 6402, 13, 'Նոր այց՝ ստեղծված ֊֊֊ id֊ով');
INSERT INTO `lang_definitions` VALUES (65801, 6403, 13, 'Նոր այցելության ձև/բլանկ');
INSERT INTO `lang_definitions` VALUES (65802, 6404, 13, 'Նոր այցերին հասանելություն թույլատրված չէ');
INSERT INTO `lang_definitions` VALUES (65803, 6405, 13, 'Նոր այց');
INSERT INTO `lang_definitions` VALUES (65804, 6406, 13, 'Տեղեկություն նոր ծառայության մասին');
INSERT INTO `lang_definitions` VALUES (65805, 6407, 13, 'Նոր ֆայլ');
INSERT INTO `lang_definitions` VALUES (65806, 6408, 13, 'Նոր ֆայլեր');
INSERT INTO `lang_definitions` VALUES (65807, 6410, 13, 'Նոր խումբ');
INSERT INTO `lang_definitions` VALUES (65808, 6413, 13, 'Տեղեկություն նոր խմբի մասին');
INSERT INTO `lang_definitions` VALUES (65809, 6422, 13, 'Նոր մուտք/կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (65810, 6423, 13, 'Նոր նիշեր  (մանրամասները վերևում)');
INSERT INTO `lang_definitions` VALUES (65811, 6425, 13, 'Իրադարձությունների նոր սահմանաչափ');
INSERT INTO `lang_definitions` VALUES (65812, 6426, 13, 'Նոր ցուցակ/ցանկ');
INSERT INTO `lang_definitions` VALUES (65813, 6432, 13, 'Նոր նշանակումներ/հրահանգներ');
INSERT INTO `lang_definitions` VALUES (65814, 6433, 13, 'Նոր պարագրաֆ');
INSERT INTO `lang_definitions` VALUES (65815, 6434, 13, 'Նոր գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (65816, 6435, 13, 'Նոր պացիենտ');
INSERT INTO `lang_definitions` VALUES (65817, 6436, 13, 'ՆՈՐ ՊԱՑԻԵՆՏ');
INSERT INTO `lang_definitions` VALUES (65818, 6437, 13, 'Նոր պացիենտի այց');
INSERT INTO `lang_definitions` VALUES (65819, 6438, 13, 'Նոր պացիենտի բլանկ');
INSERT INTO `lang_definitions` VALUES (65820, 6439, 13, 'Նոր պացիենտի ID');
INSERT INTO `lang_definitions` VALUES (65821, 6442, 13, 'Նոր վճարում');
INSERT INTO `lang_definitions` VALUES (65822, 6443, 13, 'Մուտք նոր պորտալ');
INSERT INTO `lang_definitions` VALUES (65823, 6445, 13, 'Նոր կետ');
INSERT INTO `lang_definitions` VALUES (65824, 6447, 13, 'Լաբորատոր փոխանակման նոր արդյունքներ');
INSERT INTO `lang_definitions` VALUES (65825, 6448, 13, 'Նոր որոնում');
INSERT INTO `lang_definitions` VALUES (65826, 6449, 13, 'Նոր սահմանումներ/պնդումներ');
INSERT INTO `lang_definitions` VALUES (65827, 6451, 13, 'Նոր օգտատեր');
INSERT INTO `lang_definitions` VALUES (65828, 6452, 13, 'Նոր սահմանում/արժեք');
INSERT INTO `lang_definitions` VALUES (65829, 6453, 13, 'Նոր այց');
INSERT INTO `lang_definitions` VALUES (65830, 6454, 13, 'Նոր/Որոնում');
INSERT INTO `lang_definitions` VALUES (65831, 6455, 13, 'NewCrop հաշվի կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (65832, 6456, 13, 'NewCrop ադմին');
INSERT INTO `lang_definitions` VALUES (65833, 6457, 13, 'NewCrop կանչը ձախողվեց');
INSERT INTO `lang_definitions` VALUES (65834, 6458, 13, 'NewCrop բժիշկ');
INSERT INTO `lang_definitions` VALUES (65835, 6459, 13, 'NewCrop eRx հաշվի Id');
INSERT INTO `lang_definitions` VALUES (65836, 6463, 13, 'NewCrop eRx անվանում');
INSERT INTO `lang_definitions` VALUES (65837, 6464, 13, 'NewCrop eRx գործընկերոջ անվանում');
INSERT INTO `lang_definitions` VALUES (65838, 6465, 13, 'NewCrop eRx գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (65839, 6466, 13, 'NewCrop eRx դերը/մակարդակը');
INSERT INTO `lang_definitions` VALUES (65840, 6467, 13, 'NewCrop eRx դերը/մակարդակը');
INSERT INTO `lang_definitions` VALUES (65841, 6468, 13, 'NewCrop eRx կայքի հասցե');
INSERT INTO `lang_definitions` VALUES (65842, 6473, 13, 'NewCrop eRx վեբսպասարկման հասցե');
INSERT INTO `lang_definitions` VALUES (65843, 6474, 13, 'NewCrop eRx մենեջեր/ղեկավար');
INSERT INTO `lang_definitions` VALUES (65844, 6475, 13, 'NewCrop բժշ․ գրանցում');
INSERT INTO `lang_definitions` VALUES (65845, 6476, 13, 'NewCrop միջին մակարդակի Բժիշկ՝ դեղատոմս դուրսգրելու իրավասությամբ');
INSERT INTO `lang_definitions` VALUES (65846, 6477, 13, 'NewCrop բուժքույր');
INSERT INTO `lang_definitions` VALUES (65847, 6478, 13, 'NewCrop Ղեկավար բժիշկ');
INSERT INTO `lang_definitions` VALUES (65848, 6479, 13, 'Ավելի նոր');
INSERT INTO `lang_definitions` VALUES (65849, 6481, 13, 'Թերթ /օրաթերթ');
INSERT INTO `lang_definitions` VALUES (65850, 6482, 13, 'Հաջորդ');
INSERT INTO `lang_definitions` VALUES (65851, 6483, 13, 'Հաջորդ այցի ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (65852, 6484, 13, 'Հաջորդ օրը');
INSERT INTO `lang_definitions` VALUES (65853, 6485, 13, 'Հաջորդ ամիս');
INSERT INTO `lang_definitions` VALUES (65854, 6486, 13, 'Հաջորդ ամիս  (մենյուն ֆիքսելու համար)');
INSERT INTO `lang_definitions` VALUES (65855, 6488, 13, 'Պլանավորված հաջորդ մեկնարկը');
INSERT INTO `lang_definitions` VALUES (65856, 6491, 13, 'Հաջորդ շաբաթ');
INSERT INTO `lang_definitions` VALUES (65857, 6492, 13, 'Հաջորդ տարի  (մենյուն ֆիքսելու համար)');
INSERT INTO `lang_definitions` VALUES (65858, 6493, 13, 'Մականուն');
INSERT INTO `lang_definitions` VALUES (65859, 6494, 13, 'Մականուն');
INSERT INTO `lang_definitions` VALUES (65860, 6495, 13, 'Զարմիկ/Զարմուհի');
INSERT INTO `lang_definitions` VALUES (65861, 6496, 13, 'Գիշերային քրտնարտադրություն');
INSERT INTO `lang_definitions` VALUES (65862, 6498, 13, 'Արտաքին սեռական օրգանների, հեշտոցի լորձաթաղանթի, արգանդի վզիկի  Nl');
INSERT INTO `lang_definitions` VALUES (65863, 6499, 13, 'Ոչ');
INSERT INTO `lang_definitions` VALUES (65864, 6500, 13, 'ՈՉ');
INSERT INTO `lang_definitions` VALUES (65865, 6502, 13, 'Հասանելի չէ');
INSERT INTO `lang_definitions` VALUES (65866, 6503, 13, 'Հիվանդի ակտիվ հիշեցումներ չկան');
INSERT INTO `lang_definitions` VALUES (65867, 6504, 13, 'Ադենոպատիա չկա (անհրաժեշտ/պահանջվում է 2 ոլորտ/տարածք)');
INSERT INTO `lang_definitions` VALUES (65868, 6505, 13, 'Ճշգրտման պատճառ չի գտնվել');
INSERT INTO `lang_definitions` VALUES (65869, 6508, 13, '1. Փոփոխության հարցումները հասանելի չեն 2. Չկան փոփոխության հասանելի հարցումներ');
INSERT INTO `lang_definitions` VALUES (65870, 6509, 13, 'Նշանակված այցեր չկան');
INSERT INTO `lang_definitions` VALUES (65871, 6515, 13, 'Այս պահին չկա ակտիվ բիլլինգային համակարգ Այս պահին բիլլինգային համակարգն ակտիվ չէ');
INSERT INTO `lang_definitions` VALUES (65872, 6516, 13, 'OFX Export֊ի ներմուծման հաշիվ չի գտնվել');
INSERT INTO `lang_definitions` VALUES (65873, 6517, 13, 'OFX Export<br>֊ի ներմուծման հաշիվ չի գտնվել');
INSERT INTO `lang_definitions` VALUES (65874, 6518, 13, 'Փոփոխություններ չեն հայտնաբերվել');
INSERT INTO `lang_definitions` VALUES (65875, 6519, 13, 'Կոդ նշված չէ');
INSERT INTO `lang_definitions` VALUES (65876, 6520, 13, 'Այս մոդուլի համար կարգավորման սահմանում չկա');
INSERT INTO `lang_definitions` VALUES (65877, 6522, 13, 'Մշակման ենթակա տվյալներ չկան');
INSERT INTO `lang_definitions` VALUES (65878, 6523, 13, 'Ախտորոշում չկա');
INSERT INTO `lang_definitions` VALUES (65879, 6526, 13, '(Ոչ մի) Փաստաթուղթ չի գտնվել');
INSERT INTO `lang_definitions` VALUES (65880, 6527, 13, 'Հնրավաոր չէ ստեղծել նոր այց');
INSERT INTO `lang_definitions` VALUES (65881, 6529, 13, 'ավարտման ամսաթիվ չկա');
INSERT INTO `lang_definitions` VALUES (65882, 6530, 13, '(Ոչ մի) գրառում չկա․ օգտվեք ստորև ներկայացված ձևը՝ գրառում կատարելու համար');
INSERT INTO `lang_definitions` VALUES (65883, 6531, 13, 'Սխալներ չեն հայտնաբերվել/չկան');
INSERT INTO `lang_definitions` VALUES (65884, 6532, 13, 'Իրադարձություններ չկան');
INSERT INTO `lang_definitions` VALUES (65885, 6534, 13, 'Տեղադրման ենթակա ներկայացված ֆայլեր չկան');
INSERT INTO `lang_definitions` VALUES (65886, 6536, 13, 'Խումբ ընտրված չէ');
INSERT INTO `lang_definitions` VALUES (65887, 6537, 13, 'Ճողվածք չկա');
INSERT INTO `lang_definitions` VALUES (65888, 6540, 13, 'Առանց տրավմաների/վնասվածքների/հիվանդության');
INSERT INTO `lang_definitions` VALUES (65889, 6541, 13, 'Ապահովագրող կազմակերպություն չի գտնվել');
INSERT INTO `lang_definitions` VALUES (65890, 6544, 13, 'Խնդիրներ չկան');
INSERT INTO `lang_definitions` VALUES (65891, 6545, 13, 'Այս այցի տակ չկան գրանցված խնդիրներ');
INSERT INTO `lang_definitions` VALUES (65892, 6546, 13, 'Ընտրված կատեգորիայում կետեր/պարագրաֆներ չկան');
INSERT INTO `lang_definitions` VALUES (65893, 6547, 13, 'Չկա ընտրված կետ/պարագրաֆ');
INSERT INTO `lang_definitions` VALUES (65894, 6548, 13, 'Բացահայտված/հայտնի ալերգիաներ չկան');
INSERT INTO `lang_definitions` VALUES (65895, 6549, 13, 'Բացահայտված/հայտնի կլինիկական ցուցումներ չկան');
INSERT INTO `lang_definitions` VALUES (65896, 6550, 13, 'Բացահայտված/հայտնի այցեր չկան');
INSERT INTO `lang_definitions` VALUES (65897, 6551, 13, 'Բացահայտված/հայտնի պատվաստումներ չկան');
INSERT INTO `lang_definitions` VALUES (65898, 6552, 13, 'Բացահայտված/հայտնի լաբորատոր հետազոտությունների արդյունքներ չկան');
INSERT INTO `lang_definitions` VALUES (65899, 6553, 13, 'Բացահայտված/հայտնի դեղամիջոցներ չկան');
INSERT INTO `lang_definitions` VALUES (65900, 6554, 13, 'Բացահայտված/հայտնի խնամքի պլան չկա');
INSERT INTO `lang_definitions` VALUES (65901, 6555, 13, 'Բացահայտված/հայտնի Խնդիրներ/գանգատներ չկան');
INSERT INTO `lang_definitions` VALUES (65902, 6556, 13, 'Բացահայտված/հայտնի միջամտություններ չկան');
INSERT INTO `lang_definitions` VALUES (65903, 6557, 13, 'Բացահայտված/հայտնի ուղեգրեր չկան');
INSERT INTO `lang_definitions` VALUES (65904, 6558, 13, 'Բացահայտված/հայտնի սոցիալ-ֆունկցիոնալ կարգավիճակ չկա');
INSERT INTO `lang_definitions` VALUES (65905, 6559, 13, 'Բացահայտված/հայտնի սոցանդրադարձ չկա');
INSERT INTO `lang_definitions` VALUES (65906, 6560, 13, 'Բացահայտված/հայտնի կենսաչափական տվյալներ չկան');
INSERT INTO `lang_definitions` VALUES (65907, 6561, 13, 'Լաբորատոր տվյալ տեղադրված չէ');
INSERT INTO `lang_definitions` VALUES (65908, 6562, 13, 'Նշված օրով  մուտքի ֆայլ գոյություն չունի');
INSERT INTO `lang_definitions` VALUES (65909, 6563, 13, 'Մուտք/բեռնում չկա');
INSERT INTO `lang_definitions` VALUES (65910, 6565, 13, 'Ցավեր, նորագոյացություններ չկան');
INSERT INTO `lang_definitions` VALUES (65911, 6566, 13, 'Տրված կրկնակի նույնականացման կոդով համապատասխան Պացիենտի գրառում չի  գտնվել');
INSERT INTO `lang_definitions` VALUES (65912, 6568, 13, 'Համապատասխան արդյունք չի գտնվել․ կրկին կատարեք որոնում');
INSERT INTO `lang_definitions` VALUES (65913, 6569, 13, 'Համապատասխան արդյունք չի գտնվել');
INSERT INTO `lang_definitions` VALUES (65914, 6570, 13, 'Համապատասխան արդյունք չի գտնվել․ Ստեղծե՞լ/գրանցե՞լ  նոր Պացիենտ');
INSERT INTO `lang_definitions` VALUES (65915, 6571, 13, 'Չի գտնվել համապատասխան գրառում');
INSERT INTO `lang_definitions` VALUES (65916, 6577, 13, 'Նոր արդյունք չեն գտնվել');
INSERT INTO `lang_definitions` VALUES (65917, 6578, 13, 'Գրառումներ չկան');
INSERT INTO `lang_definitions` VALUES (65918, 6579, 13, 'Որովայնային խոռոչի ներքին օրգանների մեծացում չկա');
INSERT INTO `lang_definitions` VALUES (65919, 6580, 13, 'Այս ժամանակահտվածում նոր գրանցումներ չեն գտնվել');
INSERT INTO `lang_definitions` VALUES (65920, 6583, 13, 'Այլ հեռախոսահամարներ չկան');
INSERT INTO `lang_definitions` VALUES (65921, 6584, 13, 'Պարամետրեր ընտրված չեն');
INSERT INTO `lang_definitions` VALUES (65922, 6585, 13, 'Գործընկերներ չկան');
INSERT INTO `lang_definitions` VALUES (65923, 6586, 13, 'Ընտրված չափորոշիչներով գրանցված Պացիենտ չի գտնվել');
INSERT INTO `lang_definitions` VALUES (65924, 6587, 13, 'Տրված կրկնակի նույնականացման կոդով գրանցված Պացիենտ չի  գտնվել');
INSERT INTO `lang_definitions` VALUES (65925, 6588, 13, 'Վերջույթային այտուցներ չկան');
INSERT INTO `lang_definitions` VALUES (65926, 6589, 13, 'Դեղատուն չի գտնվել');
INSERT INTO `lang_definitions` VALUES (65927, 6590, 13, 'Դեղատոմս/նշանակում չի գտնվել');
INSERT INTO `lang_definitions` VALUES (65928, 6592, 13, 'Հիվանդություն/տրավմա ներկայացված չէ');
INSERT INTO `lang_definitions` VALUES (65929, 6593, 13, 'Անցած գրառումներ չկան');
INSERT INTO `lang_definitions` VALUES (65930, 6595, 13, 'Նախնական հանդիպում/այց չկա');
INSERT INTO `lang_definitions` VALUES (65931, 6596, 13, 'Այս հանդիպման/այցի տակ չկան գրանցված միաջմտություններ');
INSERT INTO `lang_definitions` VALUES (65932, 6597, 13, 'Չկա համապատասխան մասնագետ');
INSERT INTO `lang_definitions` VALUES (65933, 6598, 13, 'Մատակարար/մասնագետ չի գտնվել');
INSERT INTO `lang_definitions` VALUES (65934, 6599, 13, 'Ոչ մի ցան կամ ախտահարված մաս');
INSERT INTO `lang_definitions` VALUES (65935, 6602, 13, 'Գրառումներ չեն գտնվել');
INSERT INTO `lang_definitions` VALUES (65936, 6603, 13, 'Գրառումներ չեն գտնվել․');
INSERT INTO `lang_definitions` VALUES (65937, 6604, 13, 'Գրառումներ չեն գտնվել․ խնդրում ենք ընդլայնել որոնման չափորոշիչները');
INSERT INTO `lang_definitions` VALUES (65938, 6607, 13, 'Հիշեցումներ չկան');
INSERT INTO `lang_definitions` VALUES (65939, 6608, 13, 'Վերոնշյալ որոնման արդյունքներ չկան');
INSERT INTO `lang_definitions` VALUES (65940, 6609, 13, 'Արդյունքներ չկան');
INSERT INTO `lang_definitions` VALUES (65941, 6610, 13, 'Արդյունքներ չեն հայտնաբերվել');
INSERT INTO `lang_definitions` VALUES (65942, 6612, 13, 'Որոնման արդյունքներ չկան');
INSERT INTO `lang_definitions` VALUES (65943, 6613, 13, 'Արդյունքներ չեն հայտնաբերվել․ նորից/կրկին փորձեք');
INSERT INTO `lang_definitions` VALUES (65944, 6614, 13, 'Արդյունքներ չկան․ նորից/կրկին փորձեք');
INSERT INTO `lang_definitions` VALUES (65945, 6615, 13, 'Արդյունքներ չկան․ նորից/կրկին փորձեք');
INSERT INTO `lang_definitions` VALUES (65946, 6617, 13, 'Այս մոդուլում հասանելի պարամետրեր/կարգավորումներ չկան');
INSERT INTO `lang_definitions` VALUES (65947, 6618, 13, 'Չցուցադրել / չի ցուցադրում');
INSERT INTO `lang_definitions` VALUES (65948, 6621, 13, 'Ֆայլի վրա ստորագրություն առկա չէ');
INSERT INTO `lang_definitions` VALUES (65949, 6623, 13, 'Մաշկի կեղևացում, կրծքագեղձի այտուց/հանգուցավորում չկա');
INSERT INTO `lang_definitions` VALUES (65950, 6624, 13, 'ՆՄԱՆ ԵՆԹԱՏԵՔՍՏԻ ԱՆՎԱՆՈՒՄ ՉԿԱ');
INSERT INTO `lang_definitions` VALUES (65951, 6625, 13, 'Չկա ընտրված աղյուսակ․ Ընտրեք աղյուսակ');
INSERT INTO `lang_definitions` VALUES (65952, 6626, 13, 'Ամորձիների ցավ, նորագույացություններ չկան');
INSERT INTO `lang_definitions` VALUES (65953, 6628, 13, '1. Առանց հուզմունքի կամ շնչարգելության  2.  հուզմունք կամ շնչարգելություն չկա');
INSERT INTO `lang_definitions` VALUES (65954, 6629, 13, 'Չկա ընտրված ուղի');
INSERT INTO `lang_definitions` VALUES (65955, 6632, 13, 'Այցեր չկան');
INSERT INTO `lang_definitions` VALUES (65956, 6633, 13, 'Կենսական նշաններ գրանցված չեն');
INSERT INTO `lang_definitions` VALUES (65957, 6634, 13, 'Ոչ, չեղարկել');
INSERT INTO `lang_definitions` VALUES (65958, 6636, 13, 'Ոչ։/Թիվ');
INSERT INTO `lang_definitions` VALUES (65959, 6637, 13, 'Nocturia /չափից շատ գիշերամիզություն/');
INSERT INTO `lang_definitions` VALUES (65960, 6638, 13, 'Չվճարված');
INSERT INTO `lang_definitions` VALUES (65961, 6640, 13, 'Չներկայացված հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (65962, 6641, 13, 'ոչ սպեցիֆիկ վնասվածք');
INSERT INTO `lang_definitions` VALUES (65963, 6642, 13, 'Ոչ էլեկտրոնային');
INSERT INTO `lang_definitions` VALUES (65964, 6643, 13, 'Ինսուլինանկախ շաքարային դիաբեթ');
INSERT INTO `lang_definitions` VALUES (65965, 6644, 13, 'Չապահովագրված');
INSERT INTO `lang_definitions` VALUES (65966, 6648, 13, 'Ոչ մեկը');
INSERT INTO `lang_definitions` VALUES (65967, 6649, 13, 'ոչ մեկը');
INSERT INTO `lang_definitions` VALUES (65968, 6650, 13, '1. Չսահմանված 2. Ոչ մեկը սահմանված չէ');
INSERT INTO `lang_definitions` VALUES (65969, 6652, 13, 'Ոչ մեկը գրանցված չէ');
INSERT INTO `lang_definitions` VALUES (65970, 6653, 13, 'Վերոնշյալից և ոչ մեկը');
INSERT INTO `lang_definitions` VALUES (65971, 6654, 13, 'Վերին բաշխիչ տողերից ոչ մեկը չի կարող/չպետք է դատարկ լինի');
INSERT INTO `lang_definitions` VALUES (65972, 6683, 13, 'Ինսուլինանկախ շաքարային դիաբեթ');
INSERT INTO `lang_definitions` VALUES (65973, 6684, 13, 'ոչ էլ');
INSERT INTO `lang_definitions` VALUES (65974, 6685, 13, 'Սովորական/նորմալ');
INSERT INTO `lang_definitions` VALUES (65975, 6687, 13, 'Նորմալ/սովորական / BL արյուն');
INSERT INTO `lang_definitions` VALUES (65976, 6688, 13, 'Սրտանոթային նորմալ/սովորական /  հետազոտություն');
INSERT INTO `lang_definitions` VALUES (65977, 6689, 13, 'Սրտանոթային նորմալ/սովորական /  հետազոտություն');
INSERT INTO `lang_definitions` VALUES (65978, 6690, 13, 'Թոքերի սովորական  հետազոտություն');
INSERT INTO `lang_definitions` VALUES (65979, 6691, 13, 'Թոքերի սովորական  հետազոտություն');
INSERT INTO `lang_definitions` VALUES (65980, 6692, 13, 'Սովորական գրասենյակային/խորհրդատվական այց');
INSERT INTO `lang_definitions` VALUES (65981, 6693, 13, 'Սովորական/նորմալ  Oropharynx:');
INSERT INTO `lang_definitions` VALUES (65982, 6694, 13, 'Սովորական/նորմալ  աջ');
INSERT INTO `lang_definitions` VALUES (65983, 6695, 13, 'Սովորական/նորմալ  աջ');
INSERT INTO `lang_definitions` VALUES (65984, 6696, 13, 'Սովորական/նորմալ  տեսքը');
INSERT INTO `lang_definitions` VALUES (65985, 6697, 13, 'սովորկան։');
INSERT INTO `lang_definitions` VALUES (65986, 6698, 13, 'Սովորաբար սա պետք է ստուգվի։ Կապված չէ մուտքի վերահսկողության հետ');
INSERT INTO `lang_definitions` VALUES (65987, 6701, 13, 'Նորվեգացի Նորվեգերեն');
INSERT INTO `lang_definitions` VALUES (65988, 6705, 13, 'Քիթ');
INSERT INTO `lang_definitions` VALUES (65989, 6706, 13, 'Քթային արյունահոսություն');
INSERT INTO `lang_definitions` VALUES (65990, 6707, 13, 'ոչ տառ կամ թիվ');
INSERT INTO `lang_definitions` VALUES (65991, 6709, 13, 'Իրականացված / վերահսկված չէ');
INSERT INTO `lang_definitions` VALUES (65992, 6710, 13, 'Ոչ բոլոր դաշտերն են պարտադիր բոլոր կոդերի կամ դրանց տեակների համար');
INSERT INTO `lang_definitions` VALUES (65993, 6712, 13, 'Թույլատրված չէ');
INSERT INTO `lang_definitions` VALUES (65994, 6713, 13, 'Չի թույլատրվում ջնջել Ադմինիստրատորների խումբը');
INSERT INTO `lang_definitions` VALUES (65995, 6714, 13, 'Խմբագրում թույլատրված չէ  Չի թույլատրվում խմբագրել');
INSERT INTO `lang_definitions` VALUES (65996, 6715, 13, 'Չի թույլատրվում ապաակտիվացնել անվտանգության բոլոր օբյեկտները');
INSERT INTO `lang_definitions` VALUES (65997, 6716, 13, 'Administrators ACL֊ից ոչինչ չի թուլատրվում ապաակտիվացնել');
INSERT INTO `lang_definitions` VALUES (65998, 6717, 13, 'Չի թույլատրվում հեռացնել  admin օգտատիրօջը Ադմինիստրատորներ խմբից');
INSERT INTO `lang_definitions` VALUES (65999, 6718, 13, 'Չի թույլատրվում հեռացնել  այս օգտատիրօջը Ադմինիստրատորներ խմբից');
INSERT INTO `lang_definitions` VALUES (66000, 6719, 13, 'Կիրառելի չէ');
INSERT INTO `lang_definitions` VALUES (66001, 6720, 13, 'PostCalendar մոդուլին հասանելություն թույլատրված չէ');
INSERT INTO `lang_definitions` VALUES (66002, 6721, 13, 'Թույլատրված չէ  հասանելիություն/լիազորություն չկա');
INSERT INTO `lang_definitions` VALUES (66003, 6722, 13, 'Թույլատրված չէ  հասանելիություն/լիազորություն չկա');
INSERT INTO `lang_definitions` VALUES (66004, 6723, 13, 'Այս խմբի համար թույտվություն/հասանելիություն/լիազորություն չկա');
INSERT INTO `lang_definitions` VALUES (66005, 6724, 13, 'Այս խմբի համար թույտվություն/հասանելիություն/լիազորություն չկա');
INSERT INTO `lang_definitions` VALUES (66006, 6725, 13, 'Օգտատերերի կառավարման հասանելիություն/լիազորություն չկա');
INSERT INTO `lang_definitions` VALUES (66007, 6726, 13, 'Արդյունքների ստորագրման/գրանցման հասանելիություն/լիազորություն չկա');
INSERT INTO `lang_definitions` VALUES (66008, 6729, 13, 'Հասանելի չէ');
INSERT INTO `lang_definitions` VALUES (66009, 6730, 13, 'Հաշիվ ներկայացված չէ /հաշվեգրված չէ');
INSERT INTO `lang_definitions` VALUES (66010, 6731, 13, 'Հաշիվ ներկայացված չէ /հաշվեգրված չէ');
INSERT INTO `lang_definitions` VALUES (66011, 6732, 13, 'Գրանցված չէ');
INSERT INTO `lang_definitions` VALUES (66012, 6733, 13, 'Ստուգված չէ Դուրսգրված չէ');
INSERT INTO `lang_definitions` VALUES (66013, 6734, 13, 'Կոդավորված չէ');
INSERT INTO `lang_definitions` VALUES (66014, 6736, 13, 'Չպայմանավորված');
INSERT INTO `lang_definitions` VALUES (66015, 6737, 13, 'Էլեկտրոնային ստորագրված չէ');
INSERT INTO `lang_definitions` VALUES (66016, 6738, 13, 'Չհետազոտված');
INSERT INTO `lang_definitions` VALUES (66017, 6739, 13, 'Չհետազոտված։');
INSERT INTO `lang_definitions` VALUES (66018, 6740, 13, 'Չհետազոտված։');
INSERT INTO `lang_definitions` VALUES (66019, 6742, 13, 'չի գտնվել');
INSERT INTO `lang_definitions` VALUES (66020, 6743, 13, 'չի գտնվել');
INSERT INTO `lang_definitions` VALUES (66021, 6744, 13, 'չի գտնվել');
INSERT INTO `lang_definitions` VALUES (66022, 6745, 13, 'Ոչ իսպանական կամ լատինամերիկյան');
INSERT INTO `lang_definitions` VALUES (66023, 6746, 13, 'Տեղադրված չէ/ չի տեղադրվել');
INSERT INTO `lang_definitions` VALUES (66024, 6747, 13, 'Տեղադրված չէ/ չի տեղադրվել');
INSERT INTO `lang_definitions` VALUES (66025, 6751, 13, 'Առայժմ չի բացվել/նայվել');
INSERT INTO `lang_definitions` VALUES (66026, 6752, 13, 'Չի ուղարկվել / ուղարկված չէ');
INSERT INTO `lang_definitions` VALUES (66027, 6753, 13, 'Դեռևս չի ուղարկվել / ուղարկված չէ');
INSERT INTO `lang_definitions` VALUES (66028, 6754, 13, 'Նշված չէ');
INSERT INTO `lang_definitions` VALUES (66029, 6755, 13, 'Նշված չէ');
INSERT INTO `lang_definitions` VALUES (66030, 6758, 13, 'Նշում Գրառում');
INSERT INTO `lang_definitions` VALUES (66031, 6760, 13, 'Նշումների/գրառումների կոդեր/կոդավորում');
INSERT INTO `lang_definitions` VALUES (66032, 6762, 13, 'Ի նկատի ունեցեք, որ ՏԵՂԱԴՐԵԼ կոճակը սեղմելուց հետո 5-10րոպե կտևի ողջ պրոցեսն ավարտին հասցնելու համար');
INSERT INTO `lang_definitions` VALUES (66033, 6763, 13, 'Ի նկատի ունեցեք, որ Թարմացնել կոճակը սեղմելուց հետո 5-10րոպե կտևի ողջ պրոցեսն ավարտին հասցնելու համար');
INSERT INTO `lang_definitions` VALUES (66034, 6764, 13, 'Ի նկատի ունեցեք, որ  վերևում Audit Logging֊ը պետք է միացված լինի');
INSERT INTO `lang_definitions` VALUES (66035, 6771, 13, 'Գրառման տեսակը');
INSERT INTO `lang_definitions` VALUES (66036, 6772, 13, 'Հիշեցում։ 12։00 PM է, այլ ոչ AM');
INSERT INTO `lang_definitions` VALUES (66037, 6773, 13, 'ՈՒՇԱԴՐՈՒԹՅՈՒՆ։ Կախված համակարգչի հզորությունից՝ արտաքին տվյալների ներմուծումը կարող է 1 ժամից ավել տևել։ Օրինակ՝ RxNorm տվյալների աղյուսակները պարունակում են 6 միլիոն տող');
INSERT INTO `lang_definitions` VALUES (66038, 6774, 13, 'ՈՒՇԱԴՐՈՒԹՅՈՒՆ։ Այս պահին սպասարկվում է միայն Biannual International Snomed Release');
INSERT INTO `lang_definitions` VALUES (66039, 6776, 13, 'ՈՒՇԱԴՐՈՒԹՅՈՒՆ։ Այս պահին սպասարկվում է միայն RxNorm ամենամյա թողարկումը');
INSERT INTO `lang_definitions` VALUES (66040, 6779, 13, 'Ուշադրություն։ Այս կոդը վավեր չէ');
INSERT INTO `lang_definitions` VALUES (66041, 6780, 13, 'Ուշադրություն։ Այս կոդը մուտքագրվել է ոչ լիազորված օգտվողի կողմից։ Բաց Բժշկական Հաշվեգրման Ցանցի գործարկման համար անհրաժեշտ է բեռնել լիազորված/վավեր կոդեր։ Եթե ցանկանում եք բեռնել/մուտքագրել այս կոդերը, ապա այստեղից  ընտրեք լիազորված օգտվողի։');
INSERT INTO `lang_definitions` VALUES (66042, 6781, 13, 'Ուշադրություն։ Այս հավելավչարը մուտքագրվել է չհաստատված/անվավեր հաշվի վրա։ Վերստուգեք վերջինիս կարգավիճակը։');
INSERT INTO `lang_definitions` VALUES (66043, 6783, 13, 'ՈՒՇԱԴՐՈՒԹՅՈՒՆ։ Կրկնվող անուններով ֆայլերի բեռնման ժամանակ անունները ավտոմատ կվերանվանվեն (օր․՝ file.jpg կդառնա file.1.jpg) Ֆայլերի անունները պետք է լինեն չկրկնվող ոչ թե յուրաքանչյուր կատեգորիայի, այլ յուրաքանչյուր պացիենտի համար։');
INSERT INTO `lang_definitions` VALUES (66044, 6784, 13, 'ՈՒՇԱԴՐՈՒԹՅՈՒՆ։ Կրկնվող անուններով ֆայլերի բեռնման ժամանակ անունները ավտոմատ կվերանվանվեն․ օր․՝ \'<i>file.jpg</i>\' will become \'<i>file.jpg.1</i>\'. Ֆայլերի անունները պետք է լինեն չկրկնվող ոչ թե յուրաքանչյուր կատեգորիայի, այլ յուրաքանչյուր պացիենտի համար։');
INSERT INTO `lang_definitions` VALUES (66045, 6785, 13, 'Գրառումներ / Նշումներ');
INSERT INTO `lang_definitions` VALUES (66046, 6788, 13, 'Գրառումներ / Նշումներ - ցանկացած այց/բուժում (գրել, միայն ավելացնել ըստ ցանկության)');
INSERT INTO `lang_definitions` VALUES (66047, 6790, 13, 'Գրառումներ / Նշումներ - իմ այցերը/բուժումները (գրել, միայն ավելացնել ըստ ցանկության)');
INSERT INTO `lang_definitions` VALUES (66048, 6793, 13, 'Գրառումներ / Նշումներ֊ի մուտքը հասանելի չէ');
INSERT INTO `lang_definitions` VALUES (66049, 6795, 13, 'Հաստատման սպասող ոչինչ չկա');
INSERT INTO `lang_definitions` VALUES (66050, 6796, 13, 'Ոչինչ չի գրանցվել');
INSERT INTO `lang_definitions` VALUES (66051, 6798, 13, 'Ցուցադրելու ոչինչ չկա');
INSERT INTO `lang_definitions` VALUES (66052, 6799, 13, 'Ալերգիայի համար/մասին ոչինչ բեռնված չէ');
INSERT INTO `lang_definitions` VALUES (66053, 6800, 13, 'Նշանակումների համար/մասին ոչինչ բեռնված չէ');
INSERT INTO `lang_definitions` VALUES (66054, 6803, 13, 'Ցուցադրելու ոչինչ չկա');
INSERT INTO `lang_definitions` VALUES (66055, 6804, 13, 'Ոչինչ ընտրված չէ');
INSERT INTO `lang_definitions` VALUES (66056, 6807, 13, 'Ստացվել է ծանուցում');
INSERT INTO `lang_definitions` VALUES (66057, 6808, 13, 'ԾԱՆՈՒՑՈՒՄ :: Post Calendar֊ի ներկայացում / ձեևափոխում');
INSERT INTO `lang_definitions` VALUES (66058, 6809, 13, 'Ծանուցում');
INSERT INTO `lang_definitions` VALUES (66059, 6810, 13, 'Ծանուցման էլ․ հասցե');
INSERT INTO `lang_definitions` VALUES (66060, 6813, 13, 'Ծանուցումն ուղարկվել է');
INSERT INTO `lang_definitions` VALUES (66061, 6815, 13, 'Ծանուցումներ');
INSERT INTO `lang_definitions` VALUES (66062, 6816, 13, 'Ադմինին տեղեկացնե՞լ իրադարձությունների ներկայցման/փոփոխման մասին');
INSERT INTO `lang_definitions` VALUES (66063, 6820, 13, 'Նոյ․');
INSERT INTO `lang_definitions` VALUES (66064, 6821, 13, 'Նոյեմբեր');
INSERT INTO `lang_definitions` VALUES (66065, 6824, 13, 'Այժմ  հրապարակվում/տեղադրվում է');
INSERT INTO `lang_definitions` VALUES (66066, 6825, 13, 'Տպվում է');
INSERT INTO `lang_definitions` VALUES (66067, 6826, 13, 'Տպվում է $stmt_count այցերի/բուժումների թարմացումն ու հայտարարությունները');
INSERT INTO `lang_definitions` VALUES (66068, 6827, 13, 'Տպվում է $stmt_count հաշիվների թարմացումն ու հայտարարությունները');
INSERT INTO `lang_definitions` VALUES (66069, 6828, 13, 'Տպվում է $stmt_count հայտարարությունները։ այցերը/բուժումները չեն թարմացվի');
INSERT INTO `lang_definitions` VALUES (66070, 6829, 13, 'Տպվում է $stmt_count հայտարարությունները։ հաշիվները չեն թարմացվի');
INSERT INTO `lang_definitions` VALUES (66071, 6834, 13, 'NPI');
INSERT INTO `lang_definitions` VALUES (66072, 6836, 13, 'NQF');
INSERT INTO `lang_definitions` VALUES (66073, 6837, 13, 'Թիվ / համար');
INSERT INTO `lang_definitions` VALUES (66074, 6838, 13, 'Լաբոր․ համարը');
INSERT INTO `lang_definitions` VALUES (66075, 6841, 13, 'Onsite Պացիենտի տիրույթում ցուցադրվող այցերի քանակը');
INSERT INTO `lang_definitions` VALUES (66076, 6842, 13, 'Պացիենտի ամփոփ տեղեկագրում ցուցադրվող այցերի քանակը');
INSERT INTO `lang_definitions` VALUES (66077, 6843, 13, 'Սյուների քանակը տարվա կտրվածքով');
INSERT INTO `lang_definitions` VALUES (66078, 6844, 13, 'Հինգերորդ հաշվի հաղորդագրության ցուցադրումից առաջ օրերի քանակը');
INSERT INTO `lang_definitions` VALUES (66079, 6845, 13, 'Առաջին հաշվի հաղորդագրության ցուցադրումից առաջ օրերի քանակը');
INSERT INTO `lang_definitions` VALUES (66080, 6846, 13, 'Առաջին հաշվի հաղորդագրության ցուցադրումից առաջ օրերի քանակը');
INSERT INTO `lang_definitions` VALUES (66081, 6847, 13, 'Չորրորդ հաշվի հաղորդագրության ցուցադրումից առաջ օրերի քանակը');
INSERT INTO `lang_definitions` VALUES (66082, 6848, 13, 'Երկրորդ հաշվի հաղորդագրության ցուցադրումից առաջ օրերի քանակը');
INSERT INTO `lang_definitions` VALUES (66083, 6849, 13, 'Երրորդ հաշվի հաղորդագրության ցուցադրումից առաջ օրերի քանակը');
INSERT INTO `lang_definitions` VALUES (66084, 6850, 13, 'Հիվանդի հավաստագրի վավերության օրերի քանակը');
INSERT INTO `lang_definitions` VALUES (66085, 6851, 13, 'Որոնման համար սահմանվող ամսաթվից հետո օրերի քանակը');
INSERT INTO `lang_definitions` VALUES (66086, 6852, 13, 'Արժույթը ներկայացնելիս ստորակետից հետո թվերի քանակը');
INSERT INTO `lang_definitions` VALUES (66087, 6853, 13, 'Էջում ցուցադրվող այցերի քանակը');
INSERT INTO `lang_definitions` VALUES (66088, 6855, 13, 'Բաց թողնված իրադարձությունների կամ game֊երի քանակը՝ եթե այդպիսիք կան');
INSERT INTO `lang_definitions` VALUES (66089, 6856, 13, 'Էլ․ փոստով ծանուցումներ ուղարկելու նախնական ժամանակը /ժամերի քանակը/');
INSERT INTO `lang_definitions` VALUES (66090, 6857, 13, 'Հեռախոսային ծանուցումներ ուղարկելու նախնական ժամանակը /ժամերի քանակը/');
INSERT INTO `lang_definitions` VALUES (66091, 6858, 13, 'SMS հաղորդագրությամբ ծանուցումներ ուղարկելու նախնական ժամանակը /ժամերի քանակը/');
INSERT INTO `lang_definitions` VALUES (66092, 6860, 13, 'Ավարտված ստուգումների ցուցադրման րոպեների քանակը');
INSERT INTO `lang_definitions` VALUES (66093, 6861, 13, 'Ավարտված ստուգումների ցուցադրման րոպեների քանակը․ 0-ն նշանակում է շարունակական ցուցադրում');
INSERT INTO `lang_definitions` VALUES (66094, 6862, 13, 'Նախկին անամնեզի/հիվ․ պատմության սյուների քանակը');
INSERT INTO `lang_definitions` VALUES (66095, 6863, 13, 'Հիվանդների ցանկից մեկ էջում ցուցադրվով հիվանդների քանակը');
INSERT INTO `lang_definitions` VALUES (66096, 6864, 13, 'Թմրություն/անզգայացում');
INSERT INTO `lang_definitions` VALUES (66097, 6865, 13, 'Համարացույց');
INSERT INTO `lang_definitions` VALUES (66098, 6866, 13, 'Թվային ցուցադրության կարգը');
INSERT INTO `lang_definitions` VALUES (66099, 6869, 13, 'Սնուցում / կերակրում');
INSERT INTO `lang_definitions` VALUES (66100, 6870, 13, 'Սննդային');
INSERT INTO `lang_definitions` VALUES (66101, 6871, 13, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (66102, 6872, 13, 'O2 Sat');
INSERT INTO `lang_definitions` VALUES (66103, 6874, 13, '1֊ին աստիճանի Գիրություն/ճարպակալում');
INSERT INTO `lang_definitions` VALUES (66104, 6875, 13, '2֊րդ աստիճանի Գիրություն/ճարպակալում');
INSERT INTO `lang_definitions` VALUES (66105, 6876, 13, '3֊րդ աստիճանի Գիրություն/ճարպակալում');
INSERT INTO `lang_definitions` VALUES (66106, 6877, 13, 'Նպատակ/խնդիր օբյեկտիվորեն/անաչառ');
INSERT INTO `lang_definitions` VALUES (66107, 6882, 13, 'Դիտարկման ձև');
INSERT INTO `lang_definitions` VALUES (66108, 6886, 13, 'զբաղեցրած պաշտոնը');
INSERT INTO `lang_definitions` VALUES (66109, 6887, 13, 'Զբաղեցրած պաշտոնը');
INSERT INTO `lang_definitions` VALUES (66110, 6889, 13, 'առաջացում; դեպք; երևույթ,');
INSERT INTO `lang_definitions` VALUES (66111, 6890, 13, 'Հոկտ․');
INSERT INTO `lang_definitions` VALUES (66112, 6891, 13, 'Հոկտեմբեր');
INSERT INTO `lang_definitions` VALUES (66113, 6892, 13, 'OD');
INSERT INTO `lang_definitions` VALUES (66114, 6895, 13, '֊ի; ֊ից');
INSERT INTO `lang_definitions` VALUES (66115, 6896, 13, 'քանակի');
INSERT INTO `lang_definitions` VALUES (66116, 6897, 13, 'հաբ');
INSERT INTO `lang_definitions` VALUES (66117, 6898, 13, 'յուրաքանչյուր ամիս');
INSERT INTO `lang_definitions` VALUES (66118, 6899, 13, 'Գործն․/ծառ․ գրառումներ');
INSERT INTO `lang_definitions` VALUES (66119, 6900, 13, 'Դուրս');
INSERT INTO `lang_definitions` VALUES (66120, 6907, 13, 'Գործն․/ծառ․ գրառումներ');
INSERT INTO `lang_definitions` VALUES (66121, 6908, 13, 'Կբինետային այց');
INSERT INTO `lang_definitions` VALUES (66122, 6909, 13, 'Կլինիկական որակի չափման համեմատության խումբ');
INSERT INTO `lang_definitions` VALUES (66123, 6910, 13, 'Պացիենտի պորտալի արտաքին Https կապ/լինք');
INSERT INTO `lang_definitions` VALUES (66124, 6911, 13, 'Պացիենտի պորտալի արտաքին Https կապ/լինք (Պացիենտի հղում)');
INSERT INTO `lang_definitions` VALUES (66125, 6912, 13, 'Offsite  պացիենտի տիրույթի գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (66126, 6913, 13, 'Offsite  պացիենտի տիրույթի գաղտնաբառ (եթե գրանցված չէ, թողնել դատարկ)');
INSERT INTO `lang_definitions` VALUES (66127, 6914, 13, 'Offsite Patient Portal Provider ID');
INSERT INTO `lang_definitions` VALUES (66128, 6915, 13, 'Offsite Patient Portal Provider ID (եթե գրանցված  չէ, թողնել դատարկ).');
INSERT INTO `lang_definitions` VALUES (66129, 6916, 13, 'Offsite Պացիենտի պորտալ կայքի հասցեն');
INSERT INTO `lang_definitions` VALUES (66130, 6917, 13, 'Offsite Պացիենտի պորտալ կայքի հասցեն (Պացիենտի հղում)');
INSERT INTO `lang_definitions` VALUES (66131, 6918, 13, 'Offsite Պացիենտի պորտալ օգտանունը');
INSERT INTO `lang_definitions` VALUES (66132, 6919, 13, 'Offsite Պացիենտի պորտալ օգտանունը (եթե գրանցված  չէ, թողնել դատարկ).');
INSERT INTO `lang_definitions` VALUES (66133, 6920, 13, 'Offsite տիրույթի վեբ սպասարկումը ձախողվեց');
INSERT INTO `lang_definitions` VALUES (66134, 6921, 13, 'Ժառանգ');
INSERT INTO `lang_definitions` VALUES (66135, 6922, 13, 'Ժառանգական պատմություն');
INSERT INTO `lang_definitions` VALUES (66136, 6925, 13, 'քսուք');
INSERT INTO `lang_definitions` VALUES (66137, 6927, 13, 'OK');
INSERT INTO `lang_definitions` VALUES (66138, 6929, 13, 'Փակե՞լ այս թառթող պատուհանը');
INSERT INTO `lang_definitions` VALUES (66139, 6931, 13, 'Հին/ծեր');
INSERT INTO `lang_definitions` VALUES (66140, 6933, 13, 'Նախկին հաճախորդներ/հիվանդներ');
INSERT INTO `lang_definitions` VALUES (66141, 6934, 13, 'Հին կոտրվածք անլիարժեք վերականգնում / ոչ ճիշտ կպում');
INSERT INTO `lang_definitions` VALUES (66142, 6935, 13, 'Նախկին տեղակայման ձևը/տեսքը առանց ձախակողմյան մենյուի');
INSERT INTO `lang_definitions` VALUES (66143, 6936, 13, 'Նախկին ստատիկ ձևը առան որոնման կամ կրկնօրինակի ստուգման');
INSERT INTO `lang_definitions` VALUES (66144, 6937, 13, 'հին, նախկին, ավելի հին');
INSERT INTO `lang_definitions` VALUES (66145, 6940, 13, 'բաց թողնել; չնկատել');
INSERT INTO `lang_definitions` VALUES (66146, 6941, 13, 'բաց թողնել/անտեսել շրջանակը');
INSERT INTO `lang_definitions` VALUES (66147, 6942, 13, 'Բաց թողնել գործատուի տվյալները Պացիենտի անձնական տվյաներում');
INSERT INTO `lang_definitions` VALUES (66148, 6943, 13, 'Բաց թողնել աշխատավայրը');
INSERT INTO `lang_definitions` VALUES (66149, 6944, 13, 'Բաց թողնված ձև․ դեղերի ընդունումը ևընդմիջումները, որոնք հետո դառնում են չափաբաժնի մի մասը');
INSERT INTO `lang_definitions` VALUES (66150, 6945, 13, 'Անձնական տվյալներում բաց թողնել ապահովագրությունը և այլ տվյալներ');
INSERT INTO `lang_definitions` VALUES (66151, 6946, 13, 'Բացառե՞լ ներքին օգտատերերին');
INSERT INTO `lang_definitions` VALUES (66152, 6947, 13, 'Գերավճարի վահանակից հանել վճարման մեթոդը');
INSERT INTO `lang_definitions` VALUES (66153, 6948, 13, 'բաց թողնել/բացառել ավտոմատ նշանակումը');
INSERT INTO `lang_definitions` VALUES (66154, 6949, 13, '֊ին');
INSERT INTO `lang_definitions` VALUES (66155, 6950, 13, '֊ին');
INSERT INTO `lang_definitions` VALUES (66156, 6956, 13, 'առձեռն');
INSERT INTO `lang_definitions` VALUES (66157, 6959, 13, 'Նշանակմամբ');
INSERT INTO `lang_definitions` VALUES (66158, 6960, 13, 'Տեղում');
INSERT INTO `lang_definitions` VALUES (66159, 6975, 13, 'Գործունեության հիմնական տեսակը գրանցելուց հետ այն չպետք է փոխվի։ Դրա փոփոխումը կազդի NewCrop ePrescription֊ի աշխատանքի վրա');
INSERT INTO `lang_definitions` VALUES (66160, 6979, 13, 'Գաղտնաբառը փոխելուց հետո պետք նորից մուտք գործել');
INSERT INTO `lang_definitions` VALUES (66161, 6981, 13, 'Ուռոցքաբանություն։ Բժշկություն և Ռադիոճառագայթում - Ցավի քանակական ինտենսիվություն  (CQM)');
INSERT INTO `lang_definitions` VALUES (66162, 6982, 13, 'Մեկ օր առաջ');
INSERT INTO `lang_definitions` VALUES (66163, 6985, 13, 'Մեկ ամիս առաջ');
INSERT INTO `lang_definitions` VALUES (66164, 6992, 13, 'Մեկ տարի առաջ');
INSERT INTO `lang_definitions` VALUES (66165, 6996, 13, 'Առցանց օգնություն');
INSERT INTO `lang_definitions` VALUES (66166, 6997, 13, 'Առցանց օգնության հղում');
INSERT INTO `lang_definitions` VALUES (66167, 6999, 13, 'Միայն ակտիվները');
INSERT INTO `lang_definitions` VALUES (66168, 7000, 13, 'Կիրառելի/ընդունելի է միայն երբ վերոնշյալ մասնագետը/ծառայություն մատուցողը կամ ցանկն ընտրված է');
INSERT INTO `lang_definitions` VALUES (66169, 7004, 13, 'միայն հաշիվների տեղակայման համար');
INSERT INTO `lang_definitions` VALUES (66170, 7006, 13, 'միայն ապաակտիվ/ապաակտիվացնել');
INSERT INTO `lang_definitions` VALUES (66171, 7007, 13, 'Միայն իմը');
INSERT INTO `lang_definitions` VALUES (66172, 7011, 13, 'Ցուցադրել միայն ախտորոշման հաշվետվության կոդերը');
INSERT INTO `lang_definitions` VALUES (66173, 7012, 13, 'Ցուցադրել միայն ծառայությունների ֆինանսական հաշվետվության կոդերը');
INSERT INTO `lang_definitions` VALUES (66174, 7013, 13, 'Բեռնել միայն ակտիվ դեղատոմսերը/նշանակումները');
INSERT INTO `lang_definitions` VALUES (66175, 7014, 13, 'Բեռնել միայն ակտիվ դեղատոմսերը/նշանակումները դեպի  NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (66176, 7016, 13, 'Սույն ախտանիշների կամ հիվանդության սկիզբը/հայտվնելը/բռնկումը');
INSERT INTO `lang_definitions` VALUES (66177, 7017, 13, 'Հիվանդության ի հայտ գալը');
INSERT INTO `lang_definitions` VALUES (66178, 7018, 13, 'Հիվանդության ի հայտ գալը');
INSERT INTO `lang_definitions` VALUES (66179, 7019, 13, 'Ուռուցքի/նորագոյացության  ի հայտ գալը');
INSERT INTO `lang_definitions` VALUES (66180, 7022, 13, 'Ստացիոնար դիմելու ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (66181, 7026, 13, 'Onsite  Պացիենտի տիրույթի կայքի հասցեն');
INSERT INTO `lang_definitions` VALUES (66182, 7030, 13, 'Oops!');
INSERT INTO `lang_definitions` VALUES (66183, 7031, 13, 'բացել');
INSERT INTO `lang_definitions` VALUES (66184, 7036, 13, 'անձնական/ազգագրական տվյալները Պացիենտի Flow Board-ից բացել նոր պատուհանով');
INSERT INTO `lang_definitions` VALUES (66185, 7040, 13, 'Բացել նոր պատուհանում');
INSERT INTO `lang_definitions` VALUES (66186, 7042, 13, 'Բացել Պացիենտի էջը');
INSERT INTO `lang_definitions` VALUES (66187, 7043, 13, 'Բացել Պացիենտի էջը նոր պատուհանում');
INSERT INTO `lang_definitions` VALUES (66188, 7046, 13, 'Բացել այսօրվա այցը');
INSERT INTO `lang_definitions` VALUES (66189, 7071, 13, 'OpenEMR֊ն արդեն ունի/կազմել է հավաստագիր');
INSERT INTO `lang_definitions` VALUES (66190, 7074, 13, 'OpenEMR  դիմումների կատեգորիա');
INSERT INTO `lang_definitions` VALUES (66191, 7076, 13, 'OpenEMR տվյալների բազայի թարմացում');
INSERT INTO `lang_definitions` VALUES (66192, 7077, 13, 'OpenEMR տվյալների բազայի թարմացում դդեիդենտիֆիկացիայի համար');
INSERT INTO `lang_definitions` VALUES (66193, 7080, 13, 'Մինչև հաճախորդների հավաստագիր ստեղծելը OpenEMR֊ին պետք են հավաստագրերի կիրառման կարգավորումներ');
INSERT INTO `lang_definitions` VALUES (66194, 7084, 13, 'օգտվողի իսկությունը ստուգելու համար OpenEMR-ը պահանջում է Javascript');
INSERT INTO `lang_definitions` VALUES (66195, 7085, 13, 'OpenEMR օգտատերեր');
INSERT INTO `lang_definitions` VALUES (66196, 7086, 13, 'Մուտքեր');
INSERT INTO `lang_definitions` VALUES (66197, 7091, 13, 'Օպերատոր');
INSERT INTO `lang_definitions` VALUES (66198, 7092, 13, 'Աչքի / ակնաբուժական');
INSERT INTO `lang_definitions` VALUES (66199, 7095, 13, 'Տարբերակ');
INSERT INTO `lang_definitions` VALUES (66200, 7097, 13, 'Փաստաթղթի պահեստավորման մեթոդի պահպանության տարբերակ');
INSERT INTO `lang_definitions` VALUES (66201, 7098, 13, 'Նյութական ակտիվների գույքագրման և վաճառքի տարբերակ');
INSERT INTO `lang_definitions` VALUES (66202, 7099, 13, 'Ըստ ցանկության');
INSERT INTO `lang_definitions` VALUES (66203, 7100, 13, 'ID Card֊ի նկարի կատեգորիայի   ընտրովի անուն, որը երևալու է Պացիենտի ամփոփ էջում');
INSERT INTO `lang_definitions` VALUES (66204, 7101, 13, 'Լուսանկարի կատեգորիայի   ընտրովի անուն, որը երևալու է Պացիենտի ամփոփ էջում');
INSERT INTO `lang_definitions` VALUES (66205, 7102, 13, 'Փաստաթղթի կատեգորիայի   ընտրովի անուն՝ Պացիենտի ամփոփ էջի հղման համար։ Հնարավորություն է տալիս սեղմել Պացիենտ անվան վրա՝ նրա ID քարտը տեսնելու համար');
INSERT INTO `lang_definitions` VALUES (66206, 7105, 13, 'Նշանակետի անվանումն ըստ ցանկության');
INSERT INTO `lang_definitions` VALUES (66207, 7107, 13, 'Դեղամիջոցի անունն ըստ ցանկության․ օգտագործել %՝ որպես խմբանիշ');
INSERT INTO `lang_definitions` VALUES (66208, 7110, 13, 'Պատվաստման անուն կամ կոդն ըստ ցանկության․ օգտագործել %՝ որպես խմբանիշ');
INSERT INTO `lang_definitions` VALUES (66209, 7111, 13, 'Իրադարձության մասին ինֆորմացիա ըստ ցանկության');
INSERT INTO `lang_definitions` VALUES (66210, 7112, 13, 'Խմբաքանակի անուն  ըստ ցանկության․ օգտագործել %՝ որպես խմբանիշ');
INSERT INTO `lang_definitions` VALUES (66211, 7114, 13, 'Միջամտության կոդն ըստ ցանկության');
INSERT INTO `lang_definitions` VALUES (66212, 7115, 13, 'Միջամտության/ծառայության կոդն ըստ ցանկության');
INSERT INTO `lang_definitions` VALUES (66213, 7116, 13, 'Տարբերակներ');
INSERT INTO `lang_definitions` VALUES (66214, 7117, 13, 'ԿԱՄ');
INSERT INTO `lang_definitions` VALUES (66215, 7118, 13, 'կամ');
INSERT INTO `lang_definitions` VALUES (66216, 7119, 13, 'կամ ընտրել');
INSERT INTO `lang_definitions` VALUES (66217, 7120, 13, 'կամ սեղմել և քաշել արագ ընտրության համար');
INSERT INTO `lang_definitions` VALUES (66218, 7121, 13, 'կամ ստեղծել այս նոր դաշտի ID-ն');
INSERT INTO `lang_definitions` VALUES (66219, 7122, 13, 'կամ դուրս՝ դեպի');
INSERT INTO `lang_definitions` VALUES (66220, 7123, 13, 'կամ ընտրել պահոցից');
INSERT INTO `lang_definitions` VALUES (66221, 7124, 13, 'կամ սեղմել  Shift-click փոքրացնելու/նվազեցնելու համար');
INSERT INTO `lang_definitions` VALUES (66222, 7125, 13, 'կամ բեռնել ERA ֆայլը։');
INSERT INTO `lang_definitions` VALUES (66223, 7127, 13, 'Բերանային /բերանի խոռաչ');
INSERT INTO `lang_definitions` VALUES (66224, 7128, 13, 'Բերանի լորձաթաղանթը վարդագույն է, կոկորդը՝ մաքուր');
INSERT INTO `lang_definitions` VALUES (66225, 7129, 13, '1. Կարգ 2. Ցուցում/նշանակում');
INSERT INTO `lang_definitions` VALUES (66226, 7131, 13, 'Ցուցումների/նշանակումների և արդյունքների տեսակներ');
INSERT INTO `lang_definitions` VALUES (66227, 7132, 13, 'Ցուցումների/նշանակումների ցանկ');
INSERT INTO `lang_definitions` VALUES (66228, 7133, 13, 'Նշանակումների ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (66229, 7134, 13, 'Նշանակման նկարագրություն');
INSERT INTO `lang_definitions` VALUES (66230, 7136, 13, 'Նշանակում ֊ից');
INSERT INTO `lang_definitions` VALUES (66231, 7137, 13, 'Նշանակման ID');
INSERT INTO `lang_definitions` VALUES (66232, 7138, 13, 'Նշանակաումը պետք է լինի 1-999 թվերով');
INSERT INTO `lang_definitions` VALUES (66233, 7140, 13, 'Նշանակման անվանում');
INSERT INTO `lang_definitions` VALUES (66234, 7142, 13, 'Նշանակման առաջնահերթություն');
INSERT INTO `lang_definitions` VALUES (66235, 7143, 13, 'Նշանակման գործարկիչ');
INSERT INTO `lang_definitions` VALUES (66236, 7145, 13, 'Նշանակման արդյունքները');
INSERT INTO `lang_definitions` VALUES (66237, 7146, 13, 'Նշանակման կարգավիճակը');
INSERT INTO `lang_definitions` VALUES (66238, 7147, 13, 'Նշանակման կարգավիճակներ');
INSERT INTO `lang_definitions` VALUES (66239, 7148, 13, 'Նշանակման ամփոփագիր');
INSERT INTO `lang_definitions` VALUES (66240, 7150, 13, 'Նշանակման տեսակը');
INSERT INTO `lang_definitions` VALUES (66241, 7151, 13, 'Նշանակման տեսակները');
INSERT INTO `lang_definitions` VALUES (66242, 7152, 13, 'Նշանակման/Արդյունքի տեսակը');
INSERT INTO `lang_definitions` VALUES (66243, 7153, 13, 'Նշանակված է');
INSERT INTO `lang_definitions` VALUES (66244, 7154, 13, 'Նշանակված է ֊ի կողմից');
INSERT INTO `lang_definitions` VALUES (66245, 7155, 13, 'Նշանակված միջամտություն');
INSERT INTO `lang_definitions` VALUES (66246, 7159, 13, 'Նշանակող մասնագետ');
INSERT INTO `lang_definitions` VALUES (66247, 7163, 13, 'Նշանակումների պատմություն');
INSERT INTO `lang_definitions` VALUES (66248, 7166, 13, 'Օրգանի վնասվածք');
INSERT INTO `lang_definitions` VALUES (66249, 7167, 13, 'Կազմակերպություն');
INSERT INTO `lang_definitions` VALUES (66250, 7168, 13, 'Կազմակերպության անունը');
INSERT INTO `lang_definitions` VALUES (66251, 7169, 13, 'Կազմակերպության բաժնի անունը');
INSERT INTO `lang_definitions` VALUES (66252, 7170, 13, 'Կազմակերպություններ');
INSERT INTO `lang_definitions` VALUES (66253, 7171, 13, 'Ուղված x 3');
INSERT INTO `lang_definitions` VALUES (66254, 7175, 13, 'Օրիգինալ  բնօրինակ');
INSERT INTO `lang_definitions` VALUES (66255, 7181, 13, 'ԲԵՐԱՆԸՄՊԱՆ։');
INSERT INTO `lang_definitions` VALUES (66256, 7188, 13, 'OS');
INSERT INTO `lang_definitions` VALUES (66257, 7189, 13, 'Օստեոարտրիտ');
INSERT INTO `lang_definitions` VALUES (66258, 7191, 13, 'Օստեոպատիա');
INSERT INTO `lang_definitions` VALUES (66259, 7193, 13, 'Այլ');
INSERT INTO `lang_definitions` VALUES (66260, 7194, 13, 'այլ');
INSERT INTO `lang_definitions` VALUES (66261, 7196, 13, 'Այլ (նշել)');
INSERT INTO `lang_definitions` VALUES (66262, 7198, 13, 'Այլ ֊ նշված');
INSERT INTO `lang_definitions` VALUES (66263, 7201, 13, 'Այլ պետական ծրագիր');
INSERT INTO `lang_definitions` VALUES (66264, 7202, 13, 'Այլ Առողջապահության ֆինանսական վարչակազմ');
INSERT INTO `lang_definitions` VALUES (66265, 7203, 13, 'Այլ՝ չնշված վնասվածքներ');
INSERT INTO `lang_definitions` VALUES (66266, 7204, 13, 'Հիմնական պատասխանատու է այլ ապահովագրող ընկերություն');
INSERT INTO `lang_definitions` VALUES (66267, 7206, 13, 'այլ ամիս');
INSERT INTO `lang_definitions` VALUES (66268, 7207, 13, 'Այլ՝ ոչ պետական ծրագրեր');
INSERT INTO `lang_definitions` VALUES (66269, 7208, 13, 'Այլ նշումներ/գրառումներ');
INSERT INTO `lang_definitions` VALUES (66270, 7209, 13, 'Այլ համապատասխան ախտանիշներ');
INSERT INTO `lang_definitions` VALUES (66271, 7210, 13, 'Այլ համապատասխան ախտանիշներ։');
INSERT INTO `lang_definitions` VALUES (66272, 7215, 13, 'Այլ լարում;սթերս; ճնշում / Չափից մեծ վնասվածք');
INSERT INTO `lang_definitions` VALUES (66273, 7216, 13, 'Այլ վիրաբուժական միջամտություն');
INSERT INTO `lang_definitions` VALUES (66274, 7217, 13, 'Այլ/ընդհանուր աբորտով;ընդհատումով պայմանավորված');
INSERT INTO `lang_definitions` VALUES (66275, 7218, 13, 'Այլ / Տարբեր');
INSERT INTO `lang_definitions` VALUES (66276, 7219, 13, 'Այլ');
INSERT INTO `lang_definitions` VALUES (66277, 7221, 13, 'այլապես/հակառակ դեպքում կոչնչացնեք  առկա տվյալներին կապող կամ դրանից եկող հղումը');
INSERT INTO `lang_definitions` VALUES (66278, 7224, 13, 'Ottawa Ankle կանոններ');
INSERT INTO `lang_definitions` VALUES (66279, 7227, 13, 'Տեղում չէ Չի աշխատում');
INSERT INTO `lang_definitions` VALUES (66280, 7228, 13, 'Աշխատավայռում չէ');
INSERT INTO `lang_definitions` VALUES (66281, 7230, 13, 'Ուղղությունը դեպի արտերկիր');
INSERT INTO `lang_definitions` VALUES (66282, 7231, 13, 'Արդյունք');
INSERT INTO `lang_definitions` VALUES (66283, 7234, 13, 'Մտահորիզոն / հայացք');
INSERT INTO `lang_definitions` VALUES (66284, 7236, 13, 'Արդյունքի տեսակը');
INSERT INTO `lang_definitions` VALUES (66285, 7239, 13, 'Ընդհանուր վիճակը դուրսգրվելիս');
INSERT INTO `lang_definitions` VALUES (66286, 7240, 13, 'ԱՄԿԵՏԱՆՑ/ՈՒՇԱՑԱԾ');
INSERT INTO `lang_definitions` VALUES (66287, 7244, 13, 'Չարաշահում');
INSERT INTO `lang_definitions` VALUES (66288, 7245, 13, 'Ամփոփում');
INSERT INTO `lang_definitions` VALUES (66289, 7246, 13, 'Հավելյալ քաշ');
INSERT INTO `lang_definitions` VALUES (66290, 7247, 13, 'Վերագրանցել HIPAA (Բժշկական ապահովագրության  պահպանման և հաշվետվության մասին օրենք) ընտրությունը');
INSERT INTO `lang_definitions` VALUES (66291, 7248, 13, 'սեփականատեր');
INSERT INTO `lang_definitions` VALUES (66292, 7249, 13, 'Թթվածնային հագեցվածություն');
INSERT INTO `lang_definitions` VALUES (66293, 7251, 13, 'P');
INSERT INTO `lang_definitions` VALUES (66294, 7252, 13, 'տոկոս');
INSERT INTO `lang_definitions` VALUES (66295, 7253, 13, 'կեսօրից հետո');
INSERT INTO `lang_definitions` VALUES (66296, 7254, 13, 'անհրաժեշտության դեպքում');
INSERT INTO `lang_definitions` VALUES (66297, 7258, 13, 'Խաղաղ օվկիանոսի կղզիաբնակ');
INSERT INTO `lang_definitions` VALUES (66298, 7259, 13, 'Մանկական');
INSERT INTO `lang_definitions` VALUES (66299, 7260, 13, 'Էջ');
INSERT INTO `lang_definitions` VALUES (66300, 7263, 13, 'էջեր');
INSERT INTO `lang_definitions` VALUES (66301, 7264, 13, 'Վճարված');
INSERT INTO `lang_definitions` VALUES (66302, 7265, 13, 'Հատկացման ենթակա վճարված գումարը');
INSERT INTO `lang_definitions` VALUES (66303, 7266, 13, 'Վճարված գումար');
INSERT INTO `lang_definitions` VALUES (66304, 7267, 13, 'Վճարվել է ֊ով');
INSERT INTO `lang_definitions` VALUES (66305, 7268, 13, 'Ցավ');
INSERT INTO `lang_definitions` VALUES (66306, 7270, 13, 'Պալիատիվ խնամքի բժիշկ Առաջին բուժօգնության բժիշկ');
INSERT INTO `lang_definitions` VALUES (66307, 7271, 13, 'Ստրխփոց/ Սրտի բաբախ');
INSERT INTO `lang_definitions` VALUES (66308, 7276, 13, 'Թուղթ');
INSERT INTO `lang_definitions` VALUES (66309, 7277, 13, 'Թղթի չափ');
INSERT INTO `lang_definitions` VALUES (66310, 7278, 13, 'Կաթված');
INSERT INTO `lang_definitions` VALUES (66311, 7279, 13, 'Ծնող');
INSERT INTO `lang_definitions` VALUES (66312, 7284, 13, 'Խմբագրել HL7');
INSERT INTO `lang_definitions` VALUES (66313, 7285, 13, 'Մասամբ իրականացաված');
INSERT INTO `lang_definitions` VALUES (66314, 7289, 13, 'Մասնակից/գործընկեր/ընկեր/ամուսին');
INSERT INTO `lang_definitions` VALUES (66315, 7290, 13, 'Գործընկերոջ անվանում');
INSERT INTO `lang_definitions` VALUES (66316, 7291, 13, 'Գործընկերոջ անվանում NewCrop eRx ծառայության համար');
INSERT INTO `lang_definitions` VALUES (66317, 7294, 13, 'Գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (66318, 7295, 13, 'փաստաթուղթի ապակոդավորման գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (66319, 7296, 13, 'Փոխադրված հիվանդներ');
INSERT INTO `lang_definitions` VALUES (66320, 7297, 13, 'Պասիվ ծանուցում');
INSERT INTO `lang_definitions` VALUES (66321, 7299, 13, 'Պասիվ ծանուցման կանոններ');
INSERT INTO `lang_definitions` VALUES (66322, 7301, 13, 'Գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (66323, 7302, 13, 'Գաղտնաբառի փոփոխում');
INSERT INTO `lang_definitions` VALUES (66324, 7303, 13, 'Գաղտնաբառը հաջողությամբ փոփոխվեց');
INSERT INTO `lang_definitions` VALUES (66325, 7304, 13, 'Գաղտնաբառը հաջողությամբ փոփոխվեց։');
INSERT INTO `lang_definitions` VALUES (66326, 7306, 13, 'Գաղտնաբառը չի համապատասխանում նվազագույն  պահանջներին․ այն պետք է պարունակի հետևյալ 3-4 տարրերը․ թիվ, փոքրատառ, մեծատառ և նշան (ոչ թիվ կամ տառ)');
INSERT INTO `lang_definitions` VALUES (66327, 7308, 13, 'Գաղտնաբառի վավերականության ժամկետը');
INSERT INTO `lang_definitions` VALUES (66328, 7311, 13, 'Password for SMS Gateway');
INSERT INTO `lang_definitions` VALUES (66329, 7312, 13, 'Password for SMS Gateway.');
INSERT INTO `lang_definitions` VALUES (66330, 7313, 13, 'Վերոնշյալ օգտվողի գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (66331, 7314, 13, 'Գաղտնաբառի անվտանգություն/հուսալիությունը թարմացվել է վերջերս');
INSERT INTO `lang_definitions` VALUES (66332, 7315, 13, 'CouchDB֊ի միացման գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (66333, 7316, 13, 'Գաղտնաբառը չափազանց կարճ է․ պահանջվում է նվազագույնը 8 նիշ');
INSERT INTO `lang_definitions` VALUES (66334, 7319, 13, 'Գաղտնաբառ։');
INSERT INTO `lang_definitions` VALUES (66335, 7322, 13, 'Գաղտնաբառերը չեն համապատասխանում');
INSERT INTO `lang_definitions` VALUES (66336, 7324, 13, 'Նախկին այցեր');
INSERT INTO `lang_definitions` VALUES (66337, 7325, 13, 'Նախկին այցերի ցուցադրման վիդջեթ');
INSERT INTO `lang_definitions` VALUES (66338, 7329, 13, 'Ժամկետանց');
INSERT INTO `lang_definitions` VALUES (66339, 7330, 13, 'Ժամկետանց');
INSERT INTO `lang_definitions` VALUES (66340, 7331, 13, 'Ուշացած ընդմիջում (կլինիկական հիշեցում)');
INSERT INTO `lang_definitions` VALUES (66341, 7332, 13, 'Ուշացած ընդմիջում (պացիենտի հիշեցում)');
INSERT INTO `lang_definitions` VALUES (66342, 7333, 13, 'Նախկին այցերի/բուժումների ցանկ');
INSERT INTO `lang_definitions` VALUES (66343, 7334, 13, 'Նախկին այցեր/բուժումներ');
INSERT INTO `lang_definitions` VALUES (66344, 7335, 13, 'Նախկին այցեր/բուժումներ և փաստաթղթեր');
INSERT INTO `lang_definitions` VALUES (66345, 7336, 13, '֊ի նախկին այցեր');
INSERT INTO `lang_definitions` VALUES (66346, 7344, 13, 'Տեղադրել HL7 տվյալներ');
INSERT INTO `lang_definitions` VALUES (66347, 7345, 13, 'Տեղադրեք ինֆորմացիան՝ ներքոհիշյալ տեքստային տարածք ներմուծելու համար');
INSERT INTO `lang_definitions` VALUES (66348, 7348, 13, 'Վիրակապ 2. ուղղում');
INSERT INTO `lang_definitions` VALUES (66349, 7350, 13, 'Հորաքույր');
INSERT INTO `lang_definitions` VALUES (66350, 7351, 13, 'Հորեղբոր զավակ');
INSERT INTO `lang_definitions` VALUES (66351, 7352, 13, 'Հայրական կողմի տատիկ/պապիկ');
INSERT INTO `lang_definitions` VALUES (66352, 7353, 13, 'Հայրական կողմի մած տատիկ/պապիկ');
INSERT INTO `lang_definitions` VALUES (66353, 7354, 13, 'Հորեղբայր');
INSERT INTO `lang_definitions` VALUES (66354, 7355, 13, 'Իրադարձությունների/միջոցառումների գրանցամատյանի պահեստային կրկնօրինակի ուղին');
INSERT INTO `lang_definitions` VALUES (66355, 7356, 13, 'CA վկայականի ֆայլի ուղին');
INSERT INTO `lang_definitions` VALUES (66356, 7357, 13, 'CA բանալի ֆայլի ուղին');
INSERT INTO `lang_definitions` VALUES (66357, 7358, 13, 'MySQL Binaries ուղին');
INSERT INTO `lang_definitions` VALUES (66358, 7359, 13, 'Perl Binaries ուղին');
INSERT INTO `lang_definitions` VALUES (66359, 7360, 13, 'Ժամանակավոր ֆայլերի ուղի');
INSERT INTO `lang_definitions` VALUES (66360, 7361, 13, 'Պացիենտ');
INSERT INTO `lang_definitions` VALUES (66361, 7362, 13, 'ՊԱՑԻԵՆՏ');
INSERT INTO `lang_definitions` VALUES (66362, 7363, 13, 'պացիենտ');
INSERT INTO `lang_definitions` VALUES (66363, 7365, 13, 'Պացիենտի հասցե');
INSERT INTO `lang_definitions` VALUES (66364, 7366, 13, 'Պացիենտի հասցեն դատարկ է');
INSERT INTO `lang_definitions` VALUES (66365, 7367, 13, 'Պացիենտի տվյալների ճշգրտում');
INSERT INTO `lang_definitions` VALUES (66366, 7368, 13, 'Պացիենտի տվյալների ճշգրտում');
INSERT INTO `lang_definitions` VALUES (66367, 7369, 13, 'Պացիենտի մոտ առկա ալերգիա');
INSERT INTO `lang_definitions` VALUES (66368, 7370, 13, 'Պացիենտի մոտ առկա ալերգիա');
INSERT INTO `lang_definitions` VALUES (66369, 7373, 13, 'Պացիենտի այցի նշանակում');
INSERT INTO `lang_definitions` VALUES (66370, 7374, 13, 'Պացիենտի պարտքի մնացորդ');
INSERT INTO `lang_definitions` VALUES (66371, 7375, 13, 'Պացիենտի պարտքի մնացորդն առ');
INSERT INTO `lang_definitions` VALUES (66372, 7376, 13, 'Գրառում Պացիենտի հաշվի/վճարի վերաբերյալ');
INSERT INTO `lang_definitions` VALUES (66373, 7378, 13, 'Պացիենտի բնութագրիչները');
INSERT INTO `lang_definitions` VALUES (66374, 7379, 13, 'Պացիենտի  ID քարտ');
INSERT INTO `lang_definitions` VALUES (66375, 7381, 13, 'Պացիենտի վճարում');
INSERT INTO `lang_definitions` VALUES (66376, 7382, 13, 'Պացիենտի վճարում ֊ի համար');
INSERT INTO `lang_definitions` VALUES (66377, 7383, 13, 'Պացիենտի քաղաքը');
INSERT INTO `lang_definitions` VALUES (66378, 7384, 13, 'Պացիենտի քաղաքը բաց թողնված է');
INSERT INTO `lang_definitions` VALUES (66379, 7386, 13, 'Պացիենտի հետ կապը հաստատված է');
INSERT INTO `lang_definitions` VALUES (66380, 7387, 13, 'Պացիենտի հետ կապը հաստատված է');
INSERT INTO `lang_definitions` VALUES (66381, 7388, 13, 'Պացիենտի երկիրը');
INSERT INTO `lang_definitions` VALUES (66382, 7389, 13, 'Պացիենտի երկիրը բացակայում է։ Նաև գլոբալ կարգավորումների բաժնում տեղադրված չէ Պացիենտի երկիրն ըստ նախնականի');
INSERT INTO `lang_definitions` VALUES (66383, 7390, 13, 'Պացիենտի լուսաբանում');
INSERT INTO `lang_definitions` VALUES (66384, 7392, 13, 'Պացիենտի կրեդիտորական պարտքը');
INSERT INTO `lang_definitions` VALUES (66385, 7394, 13, 'Պացիենտի տվյալներ');
INSERT INTO `lang_definitions` VALUES (66386, 7395, 13, 'Պացիենտի ծննդյան ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (66387, 7396, 13, 'Պացիենտի ծննդյան ամսաթիվը բացակայում է/բաց թողնված է');
INSERT INTO `lang_definitions` VALUES (66388, 7401, 13, 'Տեղեկություններ Պացիենտի մասին');
INSERT INTO `lang_definitions` VALUES (66389, 7402, 13, 'Պացիենտի ծննդյան ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (66390, 7404, 13, 'Պացիենտի փաստաթուղթը');
INSERT INTO `lang_definitions` VALUES (66391, 7410, 13, 'Պացիենտի կրթությունը');
INSERT INTO `lang_definitions` VALUES (66392, 7411, 13, 'Տեղեկություններ Պացիենտի կրթության մասին');
INSERT INTO `lang_definitions` VALUES (66393, 7412, 13, 'Պացիենտի այցը/բուժումը');
INSERT INTO `lang_definitions` VALUES (66394, 7413, 13, 'Պացիենտի այցի/բուժման թերթիկը');
INSERT INTO `lang_definitions` VALUES (66395, 7414, 13, 'Պացիենտի այցերը/բուժումները');
INSERT INTO `lang_definitions` VALUES (66396, 7415, 13, 'Պացիենտի որոնման ինդեքս');
INSERT INTO `lang_definitions` VALUES (66397, 7417, 13, 'Պացիենտի անունը');
INSERT INTO `lang_definitions` VALUES (66398, 7418, 13, 'Պացիենտի անունը');
INSERT INTO `lang_definitions` VALUES (66399, 7419, 13, 'Պացիենտի անունը բացակայում է/բաց թողնված է');
INSERT INTO `lang_definitions` VALUES (66400, 7424, 13, 'Պացիենտի սեռը');
INSERT INTO `lang_definitions` VALUES (66401, 7425, 13, 'Պացիենտի սեռը բացակայում է/բաց թողնված է');
INSERT INTO `lang_definitions` VALUES (66402, 7426, 13, 'Պացիենտի չունի պորտալի հասանելիություն');
INSERT INTO `lang_definitions` VALUES (66403, 7428, 13, 'Պացիենտի անամնեզ/հիվ․ պատմություն');
INSERT INTO `lang_definitions` VALUES (66404, 7429, 13, 'Պացիենտի անամնեզ / Ապրելակերպը');
INSERT INTO `lang_definitions` VALUES (66405, 7430, 13, 'Պացիենտի քաղաքային հեռախոսահամար');
INSERT INTO `lang_definitions` VALUES (66406, 7431, 13, 'Պացիենտի ID');
INSERT INTO `lang_definitions` VALUES (66407, 7432, 13, 'Պացիենտի ID');
INSERT INTO `lang_definitions` VALUES (66408, 7433, 13, 'Պացիենտի ID քարտը');
INSERT INTO `lang_definitions` VALUES (66409, 7434, 13, 'Պացիենտի ID կատեգորիայի անվանումը');
INSERT INTO `lang_definitions` VALUES (66410, 7437, 13, 'Պացիենտի պատվաստում');
INSERT INTO `lang_definitions` VALUES (66411, 7438, 13, 'Տեղեկություն Պացիենտի մասին');
INSERT INTO `lang_definitions` VALUES (66412, 7440, 13, 'Պացիենտի ցուցումներ');
INSERT INTO `lang_definitions` VALUES (66413, 7441, 13, 'Պացիենտի ապահովագրության իրականացում');
INSERT INTO `lang_definitions` VALUES (66414, 7442, 13, 'Պացիենտին տրամադրված ապահովագրության հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (66415, 7445, 13, 'Պացիենտի խնդիրները');
INSERT INTO `lang_definitions` VALUES (66416, 7446, 13, 'Պացիենտի պիտակի տեսակը');
INSERT INTO `lang_definitions` VALUES (66417, 7447, 13, 'Պացիենտի ազգանունը');
INSERT INTO `lang_definitions` VALUES (66418, 7448, 13, 'Պացիենտի ազգանունը');
INSERT INTO `lang_definitions` VALUES (66419, 7449, 13, 'Պացիենտի ազգանունը բացակայում է/բաց թողնված է');
INSERT INTO `lang_definitions` VALUES (66420, 7450, 13, 'Պացիենտի գլխավոր մատյան');
INSERT INTO `lang_definitions` VALUES (66421, 7451, 13, 'Պացիենտի գլխավոր մատյան ըստ ամսաթվի');
INSERT INTO `lang_definitions` VALUES (66422, 7454, 13, 'Պացիենտների ցանկ');
INSERT INTO `lang_definitions` VALUES (66423, 7455, 13, 'Պացիենտների ցանկի սյուները');
INSERT INTO `lang_definitions` VALUES (66424, 7456, 13, 'Պացիենտների ցանկի ստեղծում');
INSERT INTO `lang_definitions` VALUES (66425, 7457, 13, 'Պացիենտների ցանկի նոր պատուհան');
INSERT INTO `lang_definitions` VALUES (66426, 7458, 13, 'Պացիենտների ցանկի էջի չափը');
INSERT INTO `lang_definitions` VALUES (66427, 7460, 13, 'Պացիենտի որոնման սխալ');
INSERT INTO `lang_definitions` VALUES (66428, 7463, 13, 'Պացիենտի բժշկական խնդիրները');
INSERT INTO `lang_definitions` VALUES (66429, 7464, 13, 'Պացիենտին նշանակված դեղորայք');
INSERT INTO `lang_definitions` VALUES (66430, 7470, 13, 'Պացիենտի անուն');
INSERT INTO `lang_definitions` VALUES (66431, 7472, 13, 'Պացիենտի անուն և հասցե');
INSERT INTO `lang_definitions` VALUES (66432, 7473, 13, 'Պացիենտի անուն և ID');
INSERT INTO `lang_definitions` VALUES (66433, 7474, 13, 'Պացիենտի անուն և հաշիվ-ապրանքագիր');
INSERT INTO `lang_definitions` VALUES (66434, 7475, 13, 'Պացիենտի անունը պարտադիր է');
INSERT INTO `lang_definitions` VALUES (66435, 7476, 13, 'Պացիենտի անուն/ID');
INSERT INTO `lang_definitions` VALUES (66436, 7477, 13, 'Գրառում Պացիենտի մասին');
INSERT INTO `lang_definitions` VALUES (66437, 7478, 13, 'Պացիենտի գրառման տիպեր');
INSERT INTO `lang_definitions` VALUES (66438, 7479, 13, 'Գրառումներ  Պացիենտի մասին');
INSERT INTO `lang_definitions` VALUES (66439, 7480, 13, 'Գրառումներ  Պացիենտի մասին (գրել, միայն ավելացնել՝ ըստ ցանկության)');
INSERT INTO `lang_definitions` VALUES (66440, 7482, 13, 'Պացիենտի հերթական համարը');
INSERT INTO `lang_definitions` VALUES (66441, 7483, 13, 'Պացիենտի կատարած վճարումը');
INSERT INTO `lang_definitions` VALUES (66442, 7484, 13, 'Պացիենտի կատարած վճարումները');
INSERT INTO `lang_definitions` VALUES (66443, 7485, 13, 'Պացիենտի լուսանկրաի կատեգորիայի անվանումը');
INSERT INTO `lang_definitions` VALUES (66444, 7487, 13, 'Պացիենտի պորտալ');
INSERT INTO `lang_definitions` VALUES (66445, 7490, 13, 'Պացիենտի պորտալի կապի խնդիր');
INSERT INTO `lang_definitions` VALUES (66446, 7492, 13, 'Պացիենտի պորտալն անջատված է');
INSERT INTO `lang_definitions` VALUES (66447, 7493, 13, 'Մուտք Պացիենտի պորտալ');
INSERT INTO `lang_definitions` VALUES (66448, 7496, 13, 'Պացիենտի պորտալի կայքի հասցեն');
INSERT INTO `lang_definitions` VALUES (66449, 7497, 13, 'Պացիենտի տպագիր հաշվետվություն/զեկույց');
INSERT INTO `lang_definitions` VALUES (66450, 7499, 13, 'Պացիենտների գրանցման հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (66451, 7500, 13, 'Պացիենտների գրանցման հարցում');
INSERT INTO `lang_definitions` VALUES (66452, 7501, 13, 'Պացիենտների գրանցումների հարցումներ');
INSERT INTO `lang_definitions` VALUES (66453, 7502, 13, 'Պացիենտի կրոնական պատկանելիությունը');
INSERT INTO `lang_definitions` VALUES (66454, 7503, 13, 'Պացիենտի հիշեցում  Հիշեցում Պացիենտին');
INSERT INTO `lang_definitions` VALUES (66455, 7505, 13, 'Պացիենտի հիշեցման խմբային կիրառում');
INSERT INTO `lang_definitions` VALUES (66456, 7506, 13, 'Պացիենտին ուղղված հիշեցումների ստեղծման առաջնահերթությունը');
INSERT INTO `lang_definitions` VALUES (66457, 7507, 13, 'Պացիենտին ուղղված հիշեցումների կանոններ');
INSERT INTO `lang_definitions` VALUES (66458, 7508, 13, 'Պացիենտին հիշեցում ուղարկողի էլ․ հասցեն');
INSERT INTO `lang_definitions` VALUES (66459, 7509, 13, 'Պացիենտին հիշեցում ուղարկողի ազգանունը');
INSERT INTO `lang_definitions` VALUES (66460, 7510, 13, 'Պացիենտի հիշեցումներ');
INSERT INTO `lang_definitions` VALUES (66461, 7514, 13, 'Հաշվետվություն/զեկույց Պացիենտի մասին');
INSERT INTO `lang_definitions` VALUES (66462, 7518, 13, 'Պացիենտի հարցում');
INSERT INTO `lang_definitions` VALUES (66463, 7519, 13, 'Պահանջվող Հիվանդության պատմություն');
INSERT INTO `lang_definitions` VALUES (66464, 7521, 13, 'Արդյունքներ Պացիենտի մասին');
INSERT INTO `lang_definitions` VALUES (66465, 7525, 13, 'Պացիենտի որոնման արդյունքներ');
INSERT INTO `lang_definitions` VALUES (66466, 7526, 13, 'Պացիենտի որոնման/ավելացման պատուհան');
INSERT INTO `lang_definitions` VALUES (66467, 7528, 13, 'Պացիենտի գրանցման կարգավորումներ');
INSERT INTO `lang_definitions` VALUES (66468, 7533, 13, 'Պացիենտի վիճակը');
INSERT INTO `lang_definitions` VALUES (66469, 7537, 13, 'Պացիենտի հասցեն/փողոցը/');
INSERT INTO `lang_definitions` VALUES (66470, 7539, 13, 'Պացիենտի ամփոփ նկարագիր');
INSERT INTO `lang_definitions` VALUES (66471, 7542, 13, 'Պացիենտների տեղափոխում');
INSERT INTO `lang_definitions` VALUES (66472, 7546, 13, 'Պացիենտի փոստային ինդեքս');
INSERT INTO `lang_definitions` VALUES (66473, 7549, 13, 'Տվյալների բազայում մուտքագրված անձնական/ազգագրական տվյալներով Պացիենտ(ներ)ի համապատասխանություն/համընկնում');
INSERT INTO `lang_definitions` VALUES (66474, 7550, 13, 'Պացիենտ/Հաախորդ');
INSERT INTO `lang_definitions` VALUES (66475, 7551, 13, 'Պացիենտ։');
INSERT INTO `lang_definitions` VALUES (66476, 7552, 13, 'Պաց․ ID');
INSERT INTO `lang_definitions` VALUES (66477, 7553, 13, 'Պացիենտներ');
INSERT INTO `lang_definitions` VALUES (66478, 7555, 13, 'Պացիենտների տվյալների մշակում');
INSERT INTO `lang_definitions` VALUES (66479, 7559, 13, 'Վճարել');
INSERT INTO `lang_definitions` VALUES (66480, 7560, 13, 'Ուշադրություն դարձրեք \"Պատրաստ է\" ցուցավանդակին․ Ապահովագրական տվյալների  լրացումից հետո խնդրում ենք Պացիենտին վճարել մնացորդը․ եթե չնշեք ապահովագրության ամբողջական կատարում, ապա  հնարավոր չի լինի գանձել գումարի մնացորդը։ Եթե կա պացիենտի կողմից վճարվելիք մնացորդ, ապա տեղադրել վճարման համապատասխան ամսաթիվ/ժամկետ, քանի որ այն կազդի ․․․․');
INSERT INTO `lang_definitions` VALUES (66481, 7563, 13, 'Վճարման ամսաթիվ։');
INSERT INTO `lang_definitions` VALUES (66482, 7566, 13, 'Վճարման կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (66483, 7567, 13, 'Վճարը ստացողի անունը');
INSERT INTO `lang_definitions` VALUES (66484, 7568, 13, 'Վճարող');
INSERT INTO `lang_definitions` VALUES (66485, 7572, 13, 'Վճարման տեսակը');
INSERT INTO `lang_definitions` VALUES (66486, 7573, 13, 'Վճարում');
INSERT INTO `lang_definitions` VALUES (66487, 7574, 13, 'Վճարող/ Վճարում կատարող');
INSERT INTO `lang_definitions` VALUES (66488, 7575, 13, 'Վճար/Վճարում');
INSERT INTO `lang_definitions` VALUES (66489, 7576, 13, 'Վճար/Վճարում');
INSERT INTO `lang_definitions` VALUES (66490, 7577, 13, 'Վճարման ճշգրտման կոդ');
INSERT INTO `lang_definitions` VALUES (66491, 7578, 13, 'Վճարում -ի դիմաց');
INSERT INTO `lang_definitions` VALUES (66492, 7579, 13, 'Վճարման գումար');
INSERT INTO `lang_definitions` VALUES (66493, 7580, 13, 'Վճարման գումարը թվերով');
INSERT INTO `lang_definitions` VALUES (66494, 7581, 13, 'Վճարման կատեգորիա');
INSERT INTO `lang_definitions` VALUES (66495, 7583, 13, 'Վճարման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (66496, 7584, 13, 'Վճարում՝ մուտքագրված ֊ին');
INSERT INTO `lang_definitions` VALUES (66497, 7585, 13, 'Վճարում ֊ից');
INSERT INTO `lang_definitions` VALUES (66498, 7589, 13, 'Վճարման ցուցակ');
INSERT INTO `lang_definitions` VALUES (66499, 7590, 13, 'Վճարման մեթոդ');
INSERT INTO `lang_definitions` VALUES (66500, 7592, 13, 'Դասավորել վճարումներն ըստ');
INSERT INTO `lang_definitions` VALUES (66501, 7593, 13, 'Վճարման կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (66502, 7597, 13, 'Վճարման ձև');
INSERT INTO `lang_definitions` VALUES (66503, 7600, 13, 'Վճարման կոդ');
INSERT INTO `lang_definitions` VALUES (66504, 7602, 13, 'Վճարումներ');
INSERT INTO `lang_definitions` VALUES (66505, 7606, 13, 'PCP');
INSERT INTO `lang_definitions` VALUES (66506, 7607, 13, 'Տողերի տակաոսը (%)');
INSERT INTO `lang_definitions` VALUES (66507, 7610, 13, 'PDF');
INSERT INTO `lang_definitions` VALUES (66508, 7614, 13, 'PDF ֆորմատով բեռնված ընտրված հաշվետվություններ');
INSERT INTO `lang_definitions` VALUES (66509, 7615, 13, 'PDF լեզու');
INSERT INTO `lang_definitions` VALUES (66510, 7620, 13, 'կոնքի և հետույքի շրջան');
INSERT INTO `lang_definitions` VALUES (66511, 7621, 13, 'բշտիկ');
INSERT INTO `lang_definitions` VALUES (66512, 7624, 13, 'ընթացում/ընթացքի մեջ գտնվող');
INSERT INTO `lang_definitions` VALUES (66513, 7626, 13, 'Հաստատման մեջ / հաստատման սպասող');
INSERT INTO `lang_definitions` VALUES (66514, 7629, 13, 'Հաջորդիվ սպասվող');
INSERT INTO `lang_definitions` VALUES (66515, 7630, 13, 'Հաջորդիվ սպասվող');
INSERT INTO `lang_definitions` VALUES (66516, 7631, 13, 'Արդյունքից սպասվողշարունակությունը');
INSERT INTO `lang_definitions` VALUES (66517, 7632, 13, 'Ընթացում/ընթացքի մեջ գտնվող նշանակումներ/ցուցումներ');
INSERT INTO `lang_definitions` VALUES (66518, 7634, 13, 'Սպասվող գնահատականը');
INSERT INTO `lang_definitions` VALUES (66519, 7637, 13, 'Ալերգիա Պենիցիլինի հանդեպ');
INSERT INTO `lang_definitions` VALUES (66520, 7639, 13, 'մարսողական համակարգի խոցային հիվանդություն');
INSERT INTO `lang_definitions` VALUES (66521, 7640, 13, 'Յուրաքանչյուր այց/հանդիպում');
INSERT INTO `lang_definitions` VALUES (66522, 7641, 13, 'յուր․ րոպե');
INSERT INTO `lang_definitions` VALUES (66523, 7642, 13, 'Յուր․ քթանցքին');
INSERT INTO `lang_definitions` VALUES (66524, 7643, 13, 'Յուր․ քթանցքին');
INSERT INTO `lang_definitions` VALUES (66525, 7646, 13, 'Ուղիղ աղու միջով');
INSERT INTO `lang_definitions` VALUES (66526, 7647, 13, 'Ուղիղ աղու միջով');
INSERT INTO `lang_definitions` VALUES (66527, 7648, 13, 'Տոկոս');
INSERT INTO `lang_definitions` VALUES (66528, 7650, 13, 'Դեղորայքի թեստավորման համար ընտրված Պացիենտների տոկոսը');
INSERT INTO `lang_definitions` VALUES (66529, 7651, 13, 'Տարբեր դեղորայքի թեստավորման համար ընտրված Պացիենտների տոկոսը');
INSERT INTO `lang_definitions` VALUES (66530, 7652, 13, 'Տոկոսային');
INSERT INTO `lang_definitions` VALUES (66531, 7653, 13, 'Աջից ծակոտկեն։');
INSERT INTO `lang_definitions` VALUES (66532, 7654, 13, 'Կատարել որոնում');
INSERT INTO `lang_definitions` VALUES (66533, 7655, 13, 'Կատարել սույն գործողությունը');
INSERT INTO `lang_definitions` VALUES (66534, 7656, 13, 'Իրագործման տոկոսը');
INSERT INTO `lang_definitions` VALUES (66535, 7658, 13, 'Կատարող');
INSERT INTO `lang_definitions` VALUES (66536, 7659, 13, 'Իրականացնել լաբորատոր ծառայություններ');
INSERT INTO `lang_definitions` VALUES (66537, 7660, 13, 'Իրականացնող կազմակերպությունը');
INSERT INTO `lang_definitions` VALUES (66538, 7661, 13, 'Շրջան/ժամանակաշրջան');
INSERT INTO `lang_definitions` VALUES (66539, 7662, 13, 'Ժամկետանց գաղտնաբառով մուտքի հնարավարության օրերի քանակը');
INSERT INTO `lang_definitions` VALUES (66540, 7663, 13, 'Նախավիրահատական բուժում/խնամք');
INSERT INTO `lang_definitions` VALUES (66541, 7665, 13, 'Ծայրամասային/պերիֆերիկ');
INSERT INTO `lang_definitions` VALUES (66542, 7668, 13, 'Թույլատրել unsalted գաղտնաբառեր');
INSERT INTO `lang_definitions` VALUES (66543, 7669, 13, 'Պարսկերեն');
INSERT INTO `lang_definitions` VALUES (66544, 7670, 13, 'Պարսկերեն');
INSERT INTO `lang_definitions` VALUES (66545, 7671, 13, 'Անձ');
INSERT INTO `lang_definitions` VALUES (66546, 7672, 13, 'Անհատականացաում/անհատականացնել');
INSERT INTO `lang_definitions` VALUES (66547, 7675, 13, 'PG');
INSERT INTO `lang_definitions` VALUES (66548, 7676, 13, 'Դեղատուն');
INSERT INTO `lang_definitions` VALUES (66549, 7677, 13, 'Ընդհ․ դեղ․ հաշիվ');
INSERT INTO `lang_definitions` VALUES (66550, 7678, 13, 'Դեղատներ');
INSERT INTO `lang_definitions` VALUES (66551, 7680, 13, 'Դեղատուն');
INSERT INTO `lang_definitions` VALUES (66552, 7681, 13, 'Դեղատնային/դեղագործական բաժանմունք');
INSERT INTO `lang_definitions` VALUES (66553, 7688, 13, 'Պնեվմոտորաքս');
INSERT INTO `lang_definitions` VALUES (66554, 7689, 13, 'phiMail Allow CCD ուղարկում');
INSERT INTO `lang_definitions` VALUES (66555, 7690, 13, 'phiMail Allow CCR ուղարկում');
INSERT INTO `lang_definitions` VALUES (66556, 7691, 13, 'phiMail հաղորդագրության ուղարկում');
INSERT INTO `lang_definitions` VALUES (66557, 7692, 13, 'phiMail ծանուցումների օգտատեր');
INSERT INTO `lang_definitions` VALUES (66558, 7693, 13, 'phiMail գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (66559, 7694, 13, 'phiMail սերվերի հասցե');
INSERT INTO `lang_definitions` VALUES (66560, 7695, 13, 'phiMail օգտվողի անուն');
INSERT INTO `lang_definitions` VALUES (66561, 7696, 13, 'PHIN հարցեր');
INSERT INTO `lang_definitions` VALUES (66562, 7697, 13, 'Հեռախոս');
INSERT INTO `lang_definitions` VALUES (66563, 7699, 13, 'Հեռախոսազանգերի ցանկ');
INSERT INTO `lang_definitions` VALUES (66564, 7701, 13, 'Հեռախոսազանգերի հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (66565, 7703, 13, 'Հեռախոսահամարի վանդակ');
INSERT INTO `lang_definitions` VALUES (66566, 7705, 13, 'Հեռախոսի կապուղու/gateway գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (66567, 7706, 13, 'Հեռախոսի կապուղու/gateway URL/հասցե');
INSERT INTO `lang_definitions` VALUES (66568, 7707, 13, 'Հեռախոսի կապուղու/gateway օգտվողի անուն');
INSERT INTO `lang_definitions` VALUES (66569, 7708, 13, 'Քաղաքային հեռախոսահամար');
INSERT INTO `lang_definitions` VALUES (66570, 7709, 13, 'Հեռախոսային ծանուցման ժամ');
INSERT INTO `lang_definitions` VALUES (66571, 7710, 13, 'հեռախոսահամար');
INSERT INTO `lang_definitions` VALUES (66572, 7711, 13, 'Հեռախոսահամար');
INSERT INTO `lang_definitions` VALUES (66573, 7715, 13, 'Ֆոտոֆոբիա /աչքի չափազանց զգայունությունը լույսի հանդեպ/');
INSERT INTO `lang_definitions` VALUES (66574, 7716, 13, 'Ֆոտոներ/նկարներ');
INSERT INTO `lang_definitions` VALUES (66575, 7717, 13, 'սեղմված PHP');
INSERT INTO `lang_definitions` VALUES (66576, 7718, 13, 'PHP CURL մոդուլը պետք է միացված լինի ձեր սերվերին');
INSERT INTO `lang_definitions` VALUES (66577, 7720, 13, 'PHP-ն բացված է');
INSERT INTO `lang_definitions` VALUES (66578, 7721, 13, 'php-GACL հասանելիությունն անջատված է');
INSERT INTO `lang_definitions` VALUES (66579, 7722, 13, 'PHP-gacl տեղադրված չէ');
INSERT INTO `lang_definitions` VALUES (66580, 7723, 13, 'Բժշկական զննություն');
INSERT INTO `lang_definitions` VALUES (66581, 7725, 13, 'Բժշկական հարցում');
INSERT INTO `lang_definitions` VALUES (66582, 7726, 13, 'Բժշկի ստորագրություն');
INSERT INTO `lang_definitions` VALUES (66583, 7729, 13, 'Թերապեվտ');
INSERT INTO `lang_definitions` VALUES (66584, 7733, 13, 'ընտրել');
INSERT INTO `lang_definitions` VALUES (66585, 7734, 13, 'Ընտրել');
INSERT INTO `lang_definitions` VALUES (66586, 7735, 13, 'Ընտրել CSS թեման');
INSERT INTO `lang_definitions` VALUES (66587, 7738, 13, 'ՓԿԲՀ');
INSERT INTO `lang_definitions` VALUES (66588, 7740, 13, 'ՓԿԲՀ (Փոքր կոնքի բորբոքային հիվանդություն)');
INSERT INTO `lang_definitions` VALUES (66589, 7741, 13, 'Դեղահաբի չափը');
INSERT INTO `lang_definitions` VALUES (66590, 7742, 13, 'Դեղահաբեր');
INSERT INTO `lang_definitions` VALUES (66591, 7745, 13, 'Այս տարբերակի տեղադրման համար տվյալների բազայի  zip ֆայլն հետևյալ տեղեկատուի մեջ');
INSERT INTO `lang_definitions` VALUES (66592, 7746, 13, 'Տեղադրեք ներբեռնված  ICD 10 տվյալների բազայի  zip ֆայլերը հետևյալ տեղեկատուի մեջ');
INSERT INTO `lang_definitions` VALUES (66593, 7747, 13, 'Տեղադրեք ներբեռնված  ICD 9 տվյալների բազայի  zip ֆայլը հետևյալ տեղեկատուի մեջ');
INSERT INTO `lang_definitions` VALUES (66594, 7748, 13, 'Տեղադրեք ներբեռնված RxNorm տվյալների բազայի  zip ֆայլը հետևյալ տեղեկատուի մեջ');
INSERT INTO `lang_definitions` VALUES (66595, 7749, 13, 'Տեղադրեք ներբեռնված Snomed տվյալների բազայի  zip ֆայլը հետևյալ տեղեկատուի մեջ');
INSERT INTO `lang_definitions` VALUES (66596, 7752, 13, 'Տեղապահ կոճակ');
INSERT INTO `lang_definitions` VALUES (66597, 7753, 13, 'Տեղապահ կոճակ  (աջակցում է դատարկ ACLs)');
INSERT INTO `lang_definitions` VALUES (66598, 7756, 13, 'Հասարակ տեքստ');
INSERT INTO `lang_definitions` VALUES (66599, 7757, 13, 'Պլան/Ծրագիր');
INSERT INTO `lang_definitions` VALUES (66600, 7758, 13, 'Պլան/Ծրագիրը հաջողությամբ ավելացվեց');
INSERT INTO `lang_definitions` VALUES (66601, 7759, 13, 'Պլան/Ծրագիրը ընտրացանկում է');
INSERT INTO `lang_definitions` VALUES (66602, 7762, 13, 'Ծրագրի անուն');
INSERT INTO `lang_definitions` VALUES (66603, 7763, 13, 'Ծրագրի անուն արդեն գույություն ունի');
INSERT INTO `lang_definitions` VALUES (66604, 7764, 13, 'Ծրագրի անունն արդեն կիրառվում է');
INSERT INTO `lang_definitions` VALUES (66605, 7765, 13, 'Ծրագրի անունը բացակայում է');
INSERT INTO `lang_definitions` VALUES (66606, 7768, 13, 'Ծրագրի տեղադրում');
INSERT INTO `lang_definitions` VALUES (66607, 7769, 13, 'Ծրագրի կարգավիճակը փոխվել է');
INSERT INTO `lang_definitions` VALUES (66608, 7770, 13, 'Ծրագրի կարգավիճակը փոփոխումը ձախողվեց');
INSERT INTO `lang_definitions` VALUES (66609, 7772, 13, 'Պլան/Ծրագիրը հաջողությամբ թարմացվեց');
INSERT INTO `lang_definitions` VALUES (66610, 7773, 13, 'Պլան/Ծրագիր։');
INSERT INTO `lang_definitions` VALUES (66611, 7774, 13, 'Պլանավորված գործողություն');
INSERT INTO `lang_definitions` VALUES (66612, 7775, 13, 'Պլանավորված ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (66613, 7776, 13, 'Պլաններ։ / Ծրագրեր։');
INSERT INTO `lang_definitions` VALUES (66614, 7777, 13, 'Պլանների կոնֆիգուրացիա');
INSERT INTO `lang_definitions` VALUES (66615, 7778, 13, 'Մասնակից');
INSERT INTO `lang_definitions` VALUES (66616, 7779, 13, 'Մասնակցի պաշտոնը');
INSERT INTO `lang_definitions` VALUES (66617, 7780, 13, 'Եթե վերոնշյալ ինֆորմացիան սխալ է, խնդրում ենք արձագանքել');
INSERT INTO `lang_definitions` VALUES (66618, 7784, 13, 'Փոխեք Ձեր գաղտնաբառը');
INSERT INTO `lang_definitions` VALUES (66619, 7785, 13, 'Ընտրեք ֆայլը');
INSERT INTO `lang_definitions` VALUES (66620, 7786, 13, 'Ընտրեք Պացիենտին');
INSERT INTO `lang_definitions` VALUES (66621, 7787, 13, 'Նշեք ճիշտ ընտրվածը');
INSERT INTO `lang_definitions` VALUES (66622, 7788, 13, 'Նշեք ճիշտը');
INSERT INTO `lang_definitions` VALUES (66623, 7789, 13, 'Ընտրեք արժեք');
INSERT INTO `lang_definitions` VALUES (66624, 7790, 13, 'Վերևում ընտրեք ամսաթվերի տիրույթի կրիտերիաները և սեղմեք Թարմացնել կոճակը՝ արդյունքը տեսնելու համար');
INSERT INTO `lang_definitions` VALUES (66625, 7791, 13, 'Ընտրեք համապատասխամ ֆորմատով EDI-271 ֆայլը');
INSERT INTO `lang_definitions` VALUES (66626, 7792, 13, 'Դեիդենտիֆիկացված տվյալների ներբեռնման համար եղմեք Ներբեռնել կոճակը');
INSERT INTO `lang_definitions` VALUES (66627, 7793, 13, 'Դեիդենտիֆիկացված տվյալների ներբեռնման համար եղմեք Ներբեռնել կոճակը');
INSERT INTO `lang_definitions` VALUES (66628, 7795, 13, 'Փակեք պատուհանը');
INSERT INTO `lang_definitions` VALUES (66629, 7796, 13, 'Համեմատեք նոր անվանումը');
INSERT INTO `lang_definitions` VALUES (66630, 7801, 13, 'Կապ հաստատեք ձեր ցանցային ադմինիստրատորի հետ․ բացակայում են հետևյալ անհրաժեշտ բաղադրիչները');
INSERT INTO `lang_definitions` VALUES (66631, 7802, 13, 'Ուղղեք արժեքները մինչ գործարկումը');
INSERT INTO `lang_definitions` VALUES (66632, 7803, 13, 'Մինչ գործարկումն ստեղծել հետևյալ տեղեկատուն');
INSERT INTO `lang_definitions` VALUES (66633, 7805, 13, 'Չընդունեք այս դեղատոմսը/նշանակումը մինչև այն չստանաք facimile/ֆաքսիմիլիյան եղանակով');
INSERT INTO `lang_definitions` VALUES (66634, 7806, 13, 'Չընդունեք այս դեղատոմսը/նշանակումը մինչև այն չստանաք facimile/ֆաքսիմիլիյան եղանակով');
INSERT INTO `lang_definitions` VALUES (66635, 7808, 13, 'ՄԻԱՑՐԵՔ CURL  ԸՆԴԼԱՅՆՈՒՄԸ');
INSERT INTO `lang_definitions` VALUES (66636, 7809, 13, 'ՄԻԱՑՐԵՔ OPENSSL ԸՆԴԼԱՅՆՈՒՄԸ');
INSERT INTO `lang_definitions` VALUES (66637, 7810, 13, 'ՄԻԱՑՐԵՔ SOAP ԸՆԴԼԱՅՆՈՒՄԸ');
INSERT INTO `lang_definitions` VALUES (66638, 7811, 13, 'ՄԻԱՑՐԵՔ XML  ԸՆԴԼԱՅՆՈՒՄԸ');
INSERT INTO `lang_definitions` VALUES (66639, 7813, 13, 'Մուտքագրել վերջին վերանայման ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (66640, 7814, 13, 'Մուտքագրել  ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (66641, 7816, 13, 'Մուտքագրել ճիշտ ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (66642, 7818, 13, 'Մուտքագրել հաղորդագրություն');
INSERT INTO `lang_definitions` VALUES (66643, 7819, 13, 'Մուտքագրել գումար՝ օգտագործելով միայն թվեր ու տասնորդական կետեր');
INSERT INTO `lang_definitions` VALUES (66644, 7821, 13, 'Մուտքագրել նոր գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (66645, 7822, 13, 'Մուտքագրել վերնագիր');
INSERT INTO `lang_definitions` VALUES (66646, 7824, 13, 'Վերևում մուտքագրեք վավեր հասցե');
INSERT INTO `lang_definitions` VALUES (66647, 7825, 13, 'Մուտքագրել առնվազն տարրի անվանումը');
INSERT INTO `lang_definitions` VALUES (66648, 7826, 13, 'Մուտքագրել առնվազն ուղու անվանումը');
INSERT INTO `lang_definitions` VALUES (66649, 7828, 13, 'Մուտքագրել կրկնակի նույնականացման ճշգրիտ կոդ');
INSERT INTO `lang_definitions` VALUES (66650, 7829, 13, 'Ավարտի ամսաթվին ավելի մեծ պետք է լինի, քան սկսզբի ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (66651, 7832, 13, 'Ավելացրեք որոնման նոր տող');
INSERT INTO `lang_definitions` VALUES (66652, 7833, 13, 'Մուտքագրել կրկնակի նույնականացման ճշգրիտ կոդը');
INSERT INTO `lang_definitions` VALUES (66653, 7834, 13, 'Մուտքագրել  գաղտնաբառը');
INSERT INTO `lang_definitions` VALUES (66654, 7843, 13, 'Լրացրեք գրանցման համարը');
INSERT INTO `lang_definitions` VALUES (66655, 7844, 13, 'Լրացրեք գրանցման/Ref համարը');
INSERT INTO `lang_definitions` VALUES (66656, 7845, 13, 'Լրացրեք ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (66657, 7846, 13, 'Լրացրեք վճարման գումարը');
INSERT INTO `lang_definitions` VALUES (66658, 7847, 13, 'Լրացրեք վճարման կատեգորիան');
INSERT INTO `lang_definitions` VALUES (66659, 7848, 13, 'Լրացրեք \"Ում կողմից է վճարվել\"');
INSERT INTO `lang_definitions` VALUES (66660, 7849, 13, 'Լրացրեք գրառումն այսօրվա ամսաթվով');
INSERT INTO `lang_definitions` VALUES (66661, 7850, 13, 'Նախքան շարունակելը լրացրեք դրանք/այդ');
INSERT INTO `lang_definitions` VALUES (66662, 7854, 13, 'Խնդրում ենք նշել այցի պատճառը');
INSERT INTO `lang_definitions` VALUES (66663, 7855, 13, 'Վերևում նշանակեք որոնման չափորոշիչներ և գործարկման համար սեղմեք Հաստատել');
INSERT INTO `lang_definitions` VALUES (66664, 7856, 13, 'Վերևում նշանակեք որոնման չափորոշիչներ և արդյունքը տեսնելու համար սեղմեք Հաստատել');
INSERT INTO `lang_definitions` VALUES (66665, 7857, 13, 'Վերևում նշանակեք որոնման չափորոշիչներ և արդյունքը տեսնելու համար սեղմեք Հաստատել (Արդյունքը կցուցադրվի թարթող պատուհանով)');
INSERT INTO `lang_definitions` VALUES (66666, 7858, 13, 'Խնդրում ենք՝ կրկին մուտք գործեք');
INSERT INTO `lang_definitions` VALUES (66667, 7859, 13, 'Ի նկատի ունեցեք, որ դա կարող է երկար տևել, ընդհուպ մի քանի րոպե․ այս ընթացքում բրոուզերն ակտիվ չի լինի․ հաշվի գեներացումը բարդ պրոցես է, և բրոուզերն ուղղակի սպասում է ինֆորմացիայի առավել մեծ պաշարի');
INSERT INTO `lang_definitions` VALUES (66668, 7860, 13, 'Ուշադրություն․');
INSERT INTO `lang_definitions` VALUES (66669, 7861, 13, 'Օգտագործեք միայն այբենական նիշեր/սիմվոլներ');
INSERT INTO `lang_definitions` VALUES (66670, 7862, 13, 'Օգտագործեք միայն այբենական նիշեր/սիմվոլներ՝ առանց բացատների');
INSERT INTO `lang_definitions` VALUES (66671, 7863, 13, 'Խնդրում ենք վճարել սույն գումարը');
INSERT INTO `lang_definitions` VALUES (66672, 7864, 13, 'Տեղադրեք թողարկվող ֆայլերն այս տեղեկատու մեջ');
INSERT INTO `lang_definitions` VALUES (66673, 7867, 13, 'Խնդրում ենք դիմել  -ին');
INSERT INTO `lang_definitions` VALUES (66674, 7868, 13, 'Վերագրանցեք գաղտնաբառը');
INSERT INTO `lang_definitions` VALUES (66675, 7869, 13, 'Խնդրում ենք վերագործարկել Apache սերվերը մինչև');
INSERT INTO `lang_definitions` VALUES (66676, 7874, 13, 'Խնդրում ենք նայեք կից PDF ֆայլը');
INSERT INTO `lang_definitions` VALUES (66677, 7875, 13, 'Խնդրում ենք ընտրել');
INSERT INTO `lang_definitions` VALUES (66678, 7876, 13, 'Խնդրում ենք ընտրել ֆորմատը/ձևը');
INSERT INTO `lang_definitions` VALUES (66679, 7877, 13, 'Խնդրում ենք ընտրել լեզուն');
INSERT INTO `lang_definitions` VALUES (66680, 7878, 13, 'Խնդրում ենք ընտրել Պացիենտ');
INSERT INTO `lang_definitions` VALUES (66681, 7881, 13, 'Ընտրեք միջամտություն իրականացնողին');
INSERT INTO `lang_definitions` VALUES (66682, 7882, 13, 'Ընտրեք ստացողին');
INSERT INTO `lang_definitions` VALUES (66683, 7884, 13, 'Ընտրեք սկզբի և ավարտի ամսաթվերը');
INSERT INTO `lang_definitions` VALUES (66684, 7885, 13, 'Ընտրեք վավեր ստացողի');
INSERT INTO `lang_definitions` VALUES (66685, 7886, 13, 'Ընտրեք ակտիվ խումբ');
INSERT INTO `lang_definitions` VALUES (66686, 7888, 13, 'Ընտրեք կոդի ճշգրտման պատճառը');
INSERT INTO `lang_definitions` VALUES (66687, 7889, 13, 'Ընտրեք իրադարձություն');
INSERT INTO `lang_definitions` VALUES (66688, 7891, 13, 'Ընտրեք որոնման տարբերակ');
INSERT INTO `lang_definitions` VALUES (66689, 7892, 13, 'Ընտրեք ներբեռնման առնվազն մեկ չափորոշիչ');
INSERT INTO `lang_definitions` VALUES (66690, 7893, 13, 'Ընտրեք առնվազն մեկ պացիենտ');
INSERT INTO `lang_definitions` VALUES (66691, 7894, 13, 'Ընտրեք առնվազն մեկ դեղատոմս');
INSERT INTO `lang_definitions` VALUES (66692, 7895, 13, 'Ընտրեք այցելություն');
INSERT INTO `lang_definitions` VALUES (66693, 7899, 13, 'Ընտրեք կրկնօրինակման կամ փոխանցման համար նախընտրելի էջերը');
INSERT INTO `lang_definitions` VALUES (66694, 7900, 13, 'Ընտրեք վճարման տարբերակը');
INSERT INTO `lang_definitions` VALUES (66695, 7903, 13, 'Ընտրեք վճարման տեսակը');
INSERT INTO `lang_definitions` VALUES (66696, 7904, 13, 'Ընտրեք այցելության կատեգորիան');
INSERT INTO `lang_definitions` VALUES (66697, 7905, 13, 'Ընտրեք 270 խմբաքանակի ստեղծման համար պահանջվող X12 գործընկերոջը');
INSERT INTO `lang_definitions` VALUES (66698, 7906, 13, 'Տեղադրեք');
INSERT INTO `lang_definitions` VALUES (66699, 7909, 13, 'Նշեք առնվազն մեկ հասցե');
INSERT INTO `lang_definitions` VALUES (66700, 7910, 13, 'Սկսեք նոր դեիդենտիֆիկացիոն գործընթացը');
INSERT INTO `lang_definitions` VALUES (66701, 7913, 13, 'Թարմացրեք OpenEMR տվյալների բազան՝ դեիդենտիֆիկացիոն միջամտությունների, ֆունկցիայի և աղյուսակների  ներառման համար');
INSERT INTO `lang_definitions` VALUES (66702, 7915, 13, 'Մանրամասն տեղեկությունների համար նայեք դեիդենտիֆիկացիոն սխալների աղյուսակը');
INSERT INTO `lang_definitions` VALUES (66703, 7916, 13, 'Որոշ ժամանակ անց այցելեք դեիդենտիֆիկացիայի էկրան');
INSERT INTO `lang_definitions` VALUES (66704, 7917, 13, 'Որոշ ժամանակ անց այցելեք վերանույնականացման էկրան');
INSERT INTO `lang_definitions` VALUES (66705, 7918, 13, 'Որոշ ժամանակ անց այցելեք  էկրան');
INSERT INTO `lang_definitions` VALUES (66706, 7922, 13, 'Հոգնակի/բազմակի');
INSERT INTO `lang_definitions` VALUES (66707, 7926, 13, '1․ Կեսօրից հետո 2, Անձնական նամակ');
INSERT INTO `lang_definitions` VALUES (66708, 7927, 13, 'երեկոյան ծրագիր');
INSERT INTO `lang_definitions` VALUES (66709, 7933, 13, 'Pmt մեթոդ');
INSERT INTO `lang_definitions` VALUES (66710, 7934, 13, '1․ Պարոքսիզմալ գիշերային շնչահեղձություն/հևոց 2, Գիշերային շնչահեղձության համախտանիշ');
INSERT INTO `lang_definitions` VALUES (66711, 7939, 13, 'Թոքատապային պատվաստանյութ');
INSERT INTO `lang_definitions` VALUES (66712, 7940, 13, 'Թոքատապային պատվաստում');
INSERT INTO `lang_definitions` VALUES (66713, 7941, 13, 'Թոքաբորբի պատվաստանյութի կարգավիճակը տարեցների/մեծահասակների համար');
INSERT INTO `lang_definitions` VALUES (66714, 7942, 13, 'Թոքաբորբի պատվաստանյութի կարգավիճակը տարեցների/մեծահասակների համար (CQM)');
INSERT INTO `lang_definitions` VALUES (66715, 7946, 13, 'Ծառայության մատուցման վայրը');
INSERT INTO `lang_definitions` VALUES (66716, 7947, 13, 'Ապահովագրություն/Ապահովագրաթերթիկ');
INSERT INTO `lang_definitions` VALUES (66717, 7950, 13, 'Ապահովագրություն/Ապահովագրաթերթիկ  №');
INSERT INTO `lang_definitions` VALUES (66718, 7951, 13, 'Ապահովագրության/Ապահովագրաթերթիկի համարը');
INSERT INTO `lang_definitions` VALUES (66719, 7952, 13, 'Լեհերեն');
INSERT INTO `lang_definitions` VALUES (66720, 7953, 13, 'Պոլիդիպսիա');
INSERT INTO `lang_definitions` VALUES (66721, 7955, 13, 'Պոլիպ');
INSERT INTO `lang_definitions` VALUES (66722, 7956, 13, 'Պոլիուրիա');
INSERT INTO `lang_definitions` VALUES (66723, 7957, 13, 'Վատ ախորժակ');
INSERT INTO `lang_definitions` VALUES (66724, 7958, 13, 'Վատ շրջանառություն');
INSERT INTO `lang_definitions` VALUES (66725, 7959, 13, 'Վատ լսողություն');
INSERT INTO `lang_definitions` VALUES (66726, 7962, 13, 'Այս հաշվետվությունները ցուցադրելու համար անհրաժեշտ է ակտիվացնել Pop ups');
INSERT INTO `lang_definitions` VALUES (66727, 7964, 13, 'Տեղակայե՞լ իրադարձությունները տարեցույցի հետ');
INSERT INTO `lang_definitions` VALUES (66728, 7965, 13, 'Թարթող պատուհան');
INSERT INTO `lang_definitions` VALUES (66729, 7967, 13, 'Պորտալ');
INSERT INTO `lang_definitions` VALUES (66730, 7969, 13, 'Պորտալի ակտիվությունը');
INSERT INTO `lang_definitions` VALUES (66731, 7976, 13, 'Պորտալի ID');
INSERT INTO `lang_definitions` VALUES (66732, 7977, 13, 'Պորտալի ID-ն չի համապատասխանում');
INSERT INTO `lang_definitions` VALUES (66733, 7980, 13, 'Պորտալի գաղտնաբառը բացակայում է');
INSERT INTO `lang_definitions` VALUES (66734, 7982, 13, 'Պորտալի պահանջները');
INSERT INTO `lang_definitions` VALUES (66735, 7984, 13, 'Գրքային');
INSERT INTO `lang_definitions` VALUES (66736, 7985, 13, 'Պորտուգալերեն');
INSERT INTO `lang_definitions` VALUES (66737, 7987, 13, 'Պորտուգալերեն (բրազիլական)');
INSERT INTO `lang_definitions` VALUES (66738, 7988, 13, 'Պորտուգալերեն (եվրոպական)');
INSERT INTO `lang_definitions` VALUES (66739, 7989, 13, 'POS /Ծառայության Մատուցման Վայր/ կոդ');
INSERT INTO `lang_definitions` VALUES (66740, 7990, 13, 'Դիրք Պաշտոն');
INSERT INTO `lang_definitions` VALUES (66741, 7992, 13, 'Դրական');
INSERT INTO `lang_definitions` VALUES (66742, 7993, 13, 'Դրական արդյունքներ');
INSERT INTO `lang_definitions` VALUES (66743, 7995, 13, 'Ուղարկման/հրապարակման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (66744, 7996, 13, 'Ուղարկել դեպի/համար');
INSERT INTO `lang_definitions` VALUES (66745, 7998, 13, 'Քթային կաթիլներ');
INSERT INTO `lang_definitions` VALUES (66746, 8000, 13, 'Հետվճարներ');
INSERT INTO `lang_definitions` VALUES (66747, 8001, 13, 'Հետվիրահատական');
INSERT INTO `lang_definitions` VALUES (66748, 8002, 13, 'Ուղարկել հաշվառման և գրանցել որպես վճարված');
INSERT INTO `lang_definitions` VALUES (66749, 8003, 13, 'Վճարված է առ այսօր');
INSERT INTO `lang_definitions` VALUES (66750, 8004, 13, 'Վճարված է \"առ այսօր\" չի կարող այսօրվանից ավելի մեծ լինել');
INSERT INTO `lang_definitions` VALUES (66751, 8006, 13, 'Վճարել  \"առ այսօր\" պետք է ավելի մեծ լինի ֆինանսական ձևակերպման փակման օրվանից');
INSERT INTO `lang_definitions` VALUES (66752, 8007, 13, 'Հետաբորտային խնամք');
INSERT INTO `lang_definitions` VALUES (66753, 8008, 13, 'Հետաբորտային հակաբեղմնավորիչ');
INSERT INTO `lang_definitions` VALUES (66754, 8009, 13, 'Հետաբորտային խորհրդատվություն');
INSERT INTO `lang_definitions` VALUES (66755, 8010, 13, 'Հետաբորտային այցեր');
INSERT INTO `lang_definitions` VALUES (66756, 8011, 13, 'Փոստային');
INSERT INTO `lang_definitions` VALUES (66757, 8012, 13, 'Փոստային ինդեքս');
INSERT INTO `lang_definitions` VALUES (66758, 8013, 13, 'Փոստային ինդեքս');
INSERT INTO `lang_definitions` VALUES (66759, 8014, 13, 'Փոստային ինդեքս');
INSERT INTO `lang_definitions` VALUES (66760, 8015, 13, 'PostCalendar');
INSERT INTO `lang_definitions` VALUES (66761, 8016, 13, 'PostCalendar-ի համակարգում');
INSERT INTO `lang_definitions` VALUES (66762, 8017, 13, 'PostCalendar-ի կատեգորիաների կարգավորում');
INSERT INTO `lang_definitions` VALUES (66763, 8018, 13, 'PostCalendar-ի գլոբալ կարգավորում');
INSERT INTO `lang_definitions` VALUES (66764, 8023, 13, 'Հրապարակված է');
INSERT INTO `lang_definitions` VALUES (66765, 8026, 13, 'Ուղարկման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (66766, 8028, 13, 'Pos{{Պաշտոնի հապավումը}}');
INSERT INTO `lang_definitions` VALUES (66767, 8032, 13, 'Աշխատում է -ի միջոցով');
INSERT INTO `lang_definitions` VALUES (66768, 8033, 13, 'PPE + Prev Med/Surg Hx');
INSERT INTO `lang_definitions` VALUES (66769, 8034, 13, 'PQRI');
INSERT INTO `lang_definitions` VALUES (66770, 8035, 13, 'PQRI գրանցման ID');
INSERT INTO `lang_definitions` VALUES (66771, 8036, 13, 'PQRI գրանցման Անուն');
INSERT INTO `lang_definitions` VALUES (66772, 8037, 13, 'Պրակտիկա');
INSERT INTO `lang_definitions` VALUES (66773, 8038, 13, 'Բժշկական պրակտիկայի Default/կանխադրված կարգավորումներ');
INSERT INTO `lang_definitions` VALUES (66774, 8039, 13, 'Բժշկական պրակտիկայի կարգավորումներ');
INSERT INTO `lang_definitions` VALUES (66775, 8041, 13, 'Մասնակից/Կատարող');
INSERT INTO `lang_definitions` VALUES (66776, 8042, 13, 'Մասնակցության նախընտրական գնահատում');
INSERT INTO `lang_definitions` VALUES (66777, 8043, 13, 'Նախօրոք վճարել');
INSERT INTO `lang_definitions` VALUES (66778, 8044, 13, 'Կանխավճար');
INSERT INTO `lang_definitions` VALUES (66779, 8045, 13, 'Նախաաբորտային կոնսուլտացիա');
INSERT INTO `lang_definitions` VALUES (66780, 8046, 13, 'Նախաաբորտային խորհրդատվություն');
INSERT INTO `lang_definitions` VALUES (66781, 8048, 13, 'Նախընտրելի կատեգորիան');
INSERT INTO `lang_definitions` VALUES (66782, 8049, 13, 'Նախապատվություն/Գերադասություն');
INSERT INTO `lang_definitions` VALUES (66783, 8050, 13, 'Նախապատվություններ');
INSERT INTO `lang_definitions` VALUES (66784, 8052, 13, 'Միջոցառման/իրադարձության նախընտրելի կատեգորիան');
INSERT INTO `lang_definitions` VALUES (66785, 8053, 13, 'Նախընտրելի լեզուն');
INSERT INTO `lang_definitions` VALUES (66786, 8054, 13, 'Նախընտրելի դեղատունը');
INSERT INTO `lang_definitions` VALUES (66787, 8055, 13, 'Նախընտրելի բժշկական հաստատությունը');
INSERT INTO `lang_definitions` VALUES (66788, 8056, 13, 'Հղիության թեստ');
INSERT INTO `lang_definitions` VALUES (66789, 8057, 13, 'Նախնական/սկզբնական');
INSERT INTO `lang_definitions` VALUES (66790, 8058, 13, 'Զեկույցի մեկնարկի նախապատրաստում');
INSERT INTO `lang_definitions` VALUES (66791, 8059, 13, 'Կանխավճար');
INSERT INTO `lang_definitions` VALUES (66792, 8061, 13, 'Նշանակում');
INSERT INTO `lang_definitions` VALUES (66793, 8063, 13, 'Նշանակումը հասել է իր սահմանին');
INSERT INTO `lang_definitions` VALUES (66794, 8064, 13, 'Նշանակումների թերթիկ/պատմություն');
INSERT INTO `lang_definitions` VALUES (66795, 8065, 13, 'Նշանակումների թերթիկի/պատմության ներբեռնումն հաջողվեց');
INSERT INTO `lang_definitions` VALUES (66796, 8066, 13, 'Նշանակումների պիտակ');
INSERT INTO `lang_definitions` VALUES (66797, 8067, 13, 'Նշանակումների հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (66798, 8070, 13, 'Նշանակումներ/դեղատոմսեր');
INSERT INTO `lang_definitions` VALUES (66799, 8073, 13, 'Նշանակում և բաշխում');
INSERT INTO `lang_definitions` VALUES (66800, 8074, 13, 'Նշանակումներ և այլ ուղեգրեր');
INSERT INTO `lang_definitions` VALUES (66801, 8075, 13, 'Մասնագետի կողմից արված նշանակումներ և/կամ ուղեգրեր');
INSERT INTO `lang_definitions` VALUES (66802, 8076, 13, 'Նշանակումների հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (66803, 8077, 13, 'Նշանակումներ/Ուղեգրեր');
INSERT INTO `lang_definitions` VALUES (66804, 8078, 13, 'Առկա է');
INSERT INTO `lang_definitions` VALUES (66805, 8079, 13, 'Առկա գանգատներ');
INSERT INTO `lang_definitions` VALUES (66806, 8080, 13, 'Առկա խնդիր(ներ)');
INSERT INTO `lang_definitions` VALUES (66807, 8081, 13, 'Գործարկման համար սեղմել \"Շարունակել\"');
INSERT INTO `lang_definitions` VALUES (66808, 8084, 13, 'Ենթադրյալ ախտորոշում');
INSERT INTO `lang_definitions` VALUES (66809, 8085, 13, 'Մասնագետի ենթադրյալ ախտորոշում');
INSERT INTO `lang_definitions` VALUES (66810, 8086, 13, 'Նխրդ․');
INSERT INTO `lang_definitions` VALUES (66811, 8087, 13, 'Նխրդ Բժշ/Վրբժ․ Hx');
INSERT INTO `lang_definitions` VALUES (66812, 8088, 13, 'Նախորդ ամիս (ցանկում պահպանված)');
INSERT INTO `lang_definitions` VALUES (66813, 8089, 13, 'Նախորդ տարի (ցանկում պահպանված)');
INSERT INTO `lang_definitions` VALUES (66814, 8091, 13, 'Կանխարգելիչ բուժում');
INSERT INTO `lang_definitions` VALUES (66815, 8092, 13, 'Կանխարգելիչ վերականգնում');
INSERT INTO `lang_definitions` VALUES (66816, 8093, 13, 'Կանխարգելիչ խնամք և սկրինինգ։ Ծխախոտի կիրառում։ Սկրինինգ եւ դադարեցման Միջամտություն (CQM)');
INSERT INTO `lang_definitions` VALUES (66817, 8094, 13, 'Միջոցառման/իրադարձության նախադիտում');
INSERT INTO `lang_definitions` VALUES (66818, 8097, 13, '-ի նախադիտում');
INSERT INTO `lang_definitions` VALUES (66819, 8098, 13, 'Նախորդ/անցած/նախկին');
INSERT INTO `lang_definitions` VALUES (66820, 8099, 13, 'Նախկին կոնսուլտացիաներ');
INSERT INTO `lang_definitions` VALUES (66821, 8100, 13, 'Նախորդ օրը');
INSERT INTO `lang_definitions` VALUES (66822, 8102, 13, 'Անցածի պատմություն/Էկրանավորում/ցուցադրում');
INSERT INTO `lang_definitions` VALUES (66823, 8103, 13, 'Նախորդ ամիս');
INSERT INTO `lang_definitions` VALUES (66824, 8104, 13, 'Նախորդ շաբաթ');
INSERT INTO `lang_definitions` VALUES (66825, 8105, 13, 'Գին');
INSERT INTO `lang_definitions` VALUES (66826, 8108, 13, 'Զեղչ');
INSERT INTO `lang_definitions` VALUES (66827, 8109, 13, 'Գնային սանդղակ');
INSERT INTO `lang_definitions` VALUES (66828, 8111, 13, 'Գնային սանդղակ։');
INSERT INTO `lang_definitions` VALUES (66829, 8113, 13, 'Գներ');
INSERT INTO `lang_definitions` VALUES (66830, 8114, 13, 'Հիմնական');
INSERT INTO `lang_definitions` VALUES (66831, 8115, 13, 'Գործունեության հիմնական տեսակը');
INSERT INTO `lang_definitions` VALUES (66832, 8116, 13, 'Իրավաբանական անձի հարկային կոդը NewCrop ePrescription-ում օգտագործվում է որպես  id։ Հաստատությունը փոփոխելը կարող է ազդել NewCropի աշխատանքին');
INSERT INTO `lang_definitions` VALUES (66833, 8118, 13, 'Առաջնային/հիմնական խնամք/բուժօգնություն');
INSERT INTO `lang_definitions` VALUES (66834, 8119, 13, 'Առաջնային/հիմնական խնամք/բուժօգնության Բժիշկ');
INSERT INTO `lang_definitions` VALUES (66835, 8120, 13, 'Առաջնային/հիմնական խնամք/բուժօգնության հաստատության հասցեն');
INSERT INTO `lang_definitions` VALUES (66836, 8121, 13, 'Առաջնային/հիմնական խնամք/բուժօգնության հաստատության երկրի կոդը');
INSERT INTO `lang_definitions` VALUES (66837, 8122, 13, 'Առաջնային/հիմնական խնամք/բուժօգնության հաստատության նահանգը/մարզը');
INSERT INTO `lang_definitions` VALUES (66838, 8123, 13, 'Առաջնային/հիմնական խնամք/բուժօգնության հաստատության փողոցը');
INSERT INTO `lang_definitions` VALUES (66839, 8124, 13, 'Առաջնային/հիմնական խնամք/բուժօգնության հաստատության փոստային կոդը');
INSERT INTO `lang_definitions` VALUES (66840, 8125, 13, 'Հիմնական/տարրական ապահովագրություն');
INSERT INTO `lang_definitions` VALUES (66841, 8126, 13, 'Հիմնական/տարրական ապահովագրություն');
INSERT INTO `lang_definitions` VALUES (66842, 8127, 13, 'Հիմնական/տարրական ապահովագրության ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (66843, 8128, 13, 'Հիմնական ապահովագրող');
INSERT INTO `lang_definitions` VALUES (66844, 8130, 13, 'Տպել');
INSERT INTO `lang_definitions` VALUES (66845, 8131, 13, 'Տպել (HTML)');
INSERT INTO `lang_definitions` VALUES (66846, 8132, 13, 'Տպել  (PDF)');
INSERT INTO `lang_definitions` VALUES (66847, 8133, 13, 'Տպագրական ուղղումներ');
INSERT INTO `lang_definitions` VALUES (66848, 8134, 13, 'Տպել ցանկացած այց');
INSERT INTO `lang_definitions` VALUES (66849, 8135, 13, 'Տպել ուղեգրի նմուշ/դատարկ ձև');
INSERT INTO `lang_definitions` VALUES (66850, 8136, 13, 'Տպագրության հրաման');
INSERT INTO `lang_definitions` VALUES (66851, 8138, 13, 'Տպագրության ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (66852, 8139, 13, 'Տպել օրական հաշվետվության ավարտը 1');
INSERT INTO `lang_definitions` VALUES (66853, 8140, 13, 'Տպել օրական հաշվետվության ավարտը 2');
INSERT INTO `lang_definitions` VALUES (66854, 8141, 13, 'Տպել օրական հաշվետվության ավարտը 3');
INSERT INTO `lang_definitions` VALUES (66855, 8142, 13, 'Տպել ամբողջ ցանկը');
INSERT INTO `lang_definitions` VALUES (66856, 8143, 13, 'Տպագրության ֆորմատ');
INSERT INTO `lang_definitions` VALUES (66857, 8145, 13, 'Տպել գլխավոր մատյանը');
INSERT INTO `lang_definitions` VALUES (66858, 8147, 13, 'Տպել հաղորդագրությունը');
INSERT INTO `lang_definitions` VALUES (66859, 8148, 13, 'Բազմակի տպագրություն');
INSERT INTO `lang_definitions` VALUES (66860, 8150, 13, 'Տպել անունը, ստորագրությունն ու ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (66861, 8151, 13, 'Տպել նշումները');
INSERT INTO `lang_definitions` VALUES (66862, 8152, 13, 'Տպել էջ 1');
INSERT INTO `lang_definitions` VALUES (66863, 8153, 13, 'Տպել էջ 2');
INSERT INTO `lang_definitions` VALUES (66864, 8154, 13, 'Տպել պացիենտի հասցեի տողը');
INSERT INTO `lang_definitions` VALUES (66865, 8156, 13, 'Տպել դեղատոմսերն ըստ նշանակողի');
INSERT INTO `lang_definitions` VALUES (66866, 8163, 13, 'Տպել ընտրված հաշվետվությունները');
INSERT INTO `lang_definitions` VALUES (66867, 8166, 13, 'Տպել սույն այցը');
INSERT INTO `lang_definitions` VALUES (66868, 8168, 13, 'Տպել սույն նշումը');
INSERT INTO `lang_definitions` VALUES (66869, 8169, 13, 'Տպել Սույն Նշումը');
INSERT INTO `lang_definitions` VALUES (66870, 8170, 13, 'Տպել');
INSERT INTO `lang_definitions` VALUES (66871, 8171, 13, 'ՖԱՔՍի արտածում');
INSERT INTO `lang_definitions` VALUES (66872, 8172, 13, 'Տպագրության նախնական տեսքը');
INSERT INTO `lang_definitions` VALUES (66873, 8173, 13, 'տպագրության ենթակա');
INSERT INTO `lang_definitions` VALUES (66874, 8174, 13, 'Տպագրության տարբերակ');
INSERT INTO `lang_definitions` VALUES (66875, 8175, 13, 'Տպագիր/տպագրված');
INSERT INTO `lang_definitions` VALUES (66876, 8178, 13, 'Տպագրության արդյունքներ։');
INSERT INTO `lang_definitions` VALUES (66877, 8179, 13, 'Տպագրությունը բաց թողնված է․ տես թեստային եզրակացությունը');
INSERT INTO `lang_definitions` VALUES (66878, 8180, 13, 'Տպագրությունը բաց թողնված է․ տես թեստային եզրակացությունը');
INSERT INTO `lang_definitions` VALUES (66879, 8182, 13, 'Նախն․ լիազորություն/թույլատրություն');
INSERT INTO `lang_definitions` VALUES (66880, 8184, 13, 'Նախնական լիազորության ձև');
INSERT INTO `lang_definitions` VALUES (66881, 8189, 13, 'Նախնական այց');
INSERT INTO `lang_definitions` VALUES (66882, 8191, 13, 'Առաջնայնություն/կարևորություն');
INSERT INTO `lang_definitions` VALUES (66883, 8192, 13, 'Առաջնայնություն/կարևորություն');
INSERT INTO `lang_definitions` VALUES (66884, 8196, 13, 'Գաղտնի');
INSERT INTO `lang_definitions` VALUES (66885, 8197, 13, 'Խնդիր');
INSERT INTO `lang_definitions` VALUES (66886, 8198, 13, 'DX խնդիր');
INSERT INTO `lang_definitions` VALUES (66887, 8199, 13, 'Խնդրացուցակ');
INSERT INTO `lang_definitions` VALUES (66888, 8200, 13, 'Խնդիրներ');
INSERT INTO `lang_definitions` VALUES (66889, 8202, 13, 'Խնդիրներ/գանգատներ');
INSERT INTO `lang_definitions` VALUES (66890, 8210, 13, 'Մարմնի հատվածային/մասնակի միջամտություն');
INSERT INTO `lang_definitions` VALUES (66891, 8212, 13, 'Միջամտության Բուլյան արդյունքներ');
INSERT INTO `lang_definitions` VALUES (66892, 8214, 13, 'Միջամտության կոդ');
INSERT INTO `lang_definitions` VALUES (66893, 8215, 13, 'Միջամտության կոդեր');
INSERT INTO `lang_definitions` VALUES (66894, 8216, 13, 'Աջլիկության/Ձախլիկության միջամտություն');
INSERT INTO `lang_definitions` VALUES (66895, 8218, 13, 'Միջամտության անվանում');
INSERT INTO `lang_definitions` VALUES (66896, 8220, 13, 'Միջամտության պատվեր/պահանջ');
INSERT INTO `lang_definitions` VALUES (66897, 8221, 13, 'Միջամտության պատվեր/պահանջ');
INSERT INTO `lang_definitions` VALUES (66898, 8223, 13, '-ի միջամտության պահանջ');
INSERT INTO `lang_definitions` VALUES (66899, 8224, 13, 'Միջամտության պատվեր/պահանջ չի գտնվել');
INSERT INTO `lang_definitions` VALUES (66900, 8226, 13, 'Միջամտության պահանջներ և  հաշվետվություններ');
INSERT INTO `lang_definitions` VALUES (66901, 8227, 13, 'Միջամտության նշիչ/ընտրիչ');
INSERT INTO `lang_definitions` VALUES (66902, 8228, 13, 'Միջամտություն իրականացնող');
INSERT INTO `lang_definitions` VALUES (66903, 8229, 13, 'Միջամտություն Իրականացնող');
INSERT INTO `lang_definitions` VALUES (66904, 8231, 13, 'Միջամտություն Իրականացնողներ');
INSERT INTO `lang_definitions` VALUES (66905, 8232, 13, 'Միջամտության  հաշվետվություն/զեկույց');
INSERT INTO `lang_definitions` VALUES (66906, 8235, 13, 'Միջամտության  հաշվետվության/զեկույցի կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (66907, 8237, 13, 'Միջամտության արդյունքը նորմայից շեղված է');
INSERT INTO `lang_definitions` VALUES (66908, 8238, 13, 'Միջամտության արդյունքների կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (66909, 8240, 13, 'Միջամտության արդյունքներ');
INSERT INTO `lang_definitions` VALUES (66910, 8241, 13, 'Միջամտության ընթացքը');
INSERT INTO `lang_definitions` VALUES (66911, 8243, 13, 'Միջամտության բիոփորձարկման տեսակներ');
INSERT INTO `lang_definitions` VALUES (66912, 8245, 13, 'Միջամտության վիակագրական զեկույց');
INSERT INTO `lang_definitions` VALUES (66913, 8248, 13, 'Միջամտության տեսակ');
INSERT INTO `lang_definitions` VALUES (66914, 8249, 13, 'Միջամտության տեսակներ');
INSERT INTO `lang_definitions` VALUES (66915, 8251, 13, 'Միջամտությունների չափման միավորներ');
INSERT INTO `lang_definitions` VALUES (66916, 8253, 13, 'Միջամտություն/Ծառայություն');
INSERT INTO `lang_definitions` VALUES (66917, 8254, 13, 'Միջամտություններ');
INSERT INTO `lang_definitions` VALUES (66918, 8256, 13, 'Մշակել/Գործարկել');
INSERT INTO `lang_definitions` VALUES (66919, 8257, 13, 'Մշակել և Ուղարկել Հիշեցումներ');
INSERT INTO `lang_definitions` VALUES (66920, 8258, 13, 'Մշակել ERA ֆայլը');
INSERT INTO `lang_definitions` VALUES (66921, 8260, 13, 'CSV գրանցումների համար մշակեք նոր ֆայլեր');
INSERT INTO `lang_definitions` VALUES (66922, 8261, 13, 'Գործընթացի հիշեցումներ');
INSERT INTO `lang_definitions` VALUES (66923, 8262, 13, 'Գործընթացը որոշ ժամանակ կտևի');
INSERT INTO `lang_definitions` VALUES (66924, 8263, 13, 'Գործարկված/մշակված է');
INSERT INTO `lang_definitions` VALUES (66925, 8264, 13, 'Գործարկված/մշակված է -ի միջոցով');
INSERT INTO `lang_definitions` VALUES (66926, 8265, 13, 'Գործարկման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (66927, 8266, 13, 'հաջողությամբ Գործարկված/մշակված է');
INSERT INTO `lang_definitions` VALUES (66928, 8267, 13, 'մշակվող մշակվում է');
INSERT INTO `lang_definitions` VALUES (66929, 8268, 13, 'Պացիենտի հիշեցումների մշակում և ուղարկում');
INSERT INTO `lang_definitions` VALUES (66930, 8271, 13, 'Պացիենտի հիշեցումների մշակում');
INSERT INTO `lang_definitions` VALUES (66931, 8272, 13, 'Մշակման ժամանակ');
INSERT INTO `lang_definitions` VALUES (66932, 8274, 13, 'Ապրանք/արտադրանք');
INSERT INTO `lang_definitions` VALUES (66933, 8278, 13, 'Արտադրություն');
INSERT INTO `lang_definitions` VALUES (66934, 8279, 13, 'Արտադրանք');
INSERT INTO `lang_definitions` VALUES (66935, 8280, 13, 'Ապրանքներ, բայց ոչ նշանակված դեղորայք կամ շաբլոններ');
INSERT INTO `lang_definitions` VALUES (66936, 8282, 13, 'Պրոֆ․');
INSERT INTO `lang_definitions` VALUES (66937, 8290, 13, 'Նշումներ առաջընթացի վերաբերյալ');
INSERT INTO `lang_definitions` VALUES (66938, 8295, 13, 'Շագանակագեղձի քաղցկեղ');
INSERT INTO `lang_definitions` VALUES (66939, 8296, 13, 'Շագանակագեղձի քաղցկեղի սկրինինգ/կանխարգելում');
INSERT INTO `lang_definitions` VALUES (66940, 8297, 13, 'Շագանակագեղձի քաղցկեղի հետազոտություն');
INSERT INTO `lang_definitions` VALUES (66941, 8298, 13, 'Շագանակագեղձի խնդիրներ');
INSERT INTO `lang_definitions` VALUES (66942, 8299, 13, 'Շագանակագեղձի մեծացման, հանգուցավորման, անզգայունության բացակայություն');
INSERT INTO `lang_definitions` VALUES (66943, 8302, 13, 'Արձանագրություն');
INSERT INTO `lang_definitions` VALUES (66944, 8304, 13, 'Ապահովել/տրամադրել բացարձակ ուղի');
INSERT INTO `lang_definitions` VALUES (66945, 8305, 13, 'Ապահովել/տրամադրել բացարձակ ուղի դեպի ֆայլը');
INSERT INTO `lang_definitions` VALUES (66946, 8309, 13, 'Յուրաքանչյուր կաբինետային այցի համար տրամադրել պացիենտի լինիկական ամփոփագիր');
INSERT INTO `lang_definitions` VALUES (66947, 8311, 13, 'Ըստ պահանջի պացիենտին տրմադրել իր առողջության մասին տեղեկագրի էլէկտրոնային կրկնօրինակը (ներառյալ ախտորոշիչ հետազոտություների արդյունքները, խնդրացանկը, դեղորայքի ցանկը, դեղերի հանդեպ գրանցված ալերգիաները)։');
INSERT INTO `lang_definitions` VALUES (66948, 8312, 13, 'EP-ում ինֆորմացիային հասանաելի լինելուց 4 աշխատանքային օրվա ընթացքում պացիենտին ժամանակին տրամադրել իր առողջական տեղեկատվության (ներառյալ լաբորատոր հետազոտության արդյունքները, խնդրացանկը, դեղորայքի ցանկը, դեղերի հանդեպ գրանցված ալերգիաները ) էլեկտրոնային հասանելիություն։');
INSERT INTO `lang_definitions` VALUES (66949, 8313, 13, 'Տրամադրել հիվանդի այցի վերաբերյալ  գրառումներ');
INSERT INTO `lang_definitions` VALUES (66950, 8315, 13, 'Տրամադրեք վավեր էլ․փոստի հասցե');
INSERT INTO `lang_definitions` VALUES (66951, 8316, 13, 'Տրամադրե՞լ բժշկական ամփոփագիր');
INSERT INTO `lang_definitions` VALUES (66952, 8317, 13, 'Տրամադրե՞լ կրթական ռեսուրսներ');
INSERT INTO `lang_definitions` VALUES (66953, 8318, 13, 'Մասնագետ');
INSERT INTO `lang_definitions` VALUES (66954, 8322, 13, 'Մասնագետի id');
INSERT INTO `lang_definitions` VALUES (66955, 8323, 13, 'Մասնագետի ID');
INSERT INTO `lang_definitions` VALUES (66956, 8324, 13, 'Նշված Հաստատությունում Մասնագետի ID');
INSERT INTO `lang_definitions` VALUES (66957, 8325, 13, 'Մասնագետի համապատասխանության սխալ');
INSERT INTO `lang_definitions` VALUES (66958, 8328, 13, 'Մասնագետն անհասանելի է․ ընտրեք մեկ ուրիշին');
INSERT INTO `lang_definitions` VALUES (66959, 8329, 13, 'Մասնագետն անհասանելի՞ է․ շարունակե՞լ');
INSERT INTO `lang_definitions` VALUES (66960, 8330, 13, 'Մասնագետի հերթական համարը');
INSERT INTO `lang_definitions` VALUES (66961, 8334, 13, 'Մասնագետի ուղղվածությունը');
INSERT INTO `lang_definitions` VALUES (66962, 8336, 13, 'Մասնագետ։');
INSERT INTO `lang_definitions` VALUES (66963, 8337, 13, 'Մասնագետներ։');
INSERT INTO `lang_definitions` VALUES (66964, 8338, 13, 'Մասնագետի  NPI');
INSERT INTO `lang_definitions` VALUES (66965, 8339, 13, 'Մասնագետները տեսնում են ողջ օրացույցը');
INSERT INTO `lang_definitions` VALUES (66966, 8342, 13, 'PSA');
INSERT INTO `lang_definitions` VALUES (66967, 8343, 13, 'Փսորիազ');
INSERT INTO `lang_definitions` VALUES (66968, 8345, 13, 'Հոգեկան ախտորոշում');
INSERT INTO `lang_definitions` VALUES (66969, 8346, 13, 'հոգեմետ դեղորայք');
INSERT INTO `lang_definitions` VALUES (66970, 8347, 13, 'Հոգեբուժական');
INSERT INTO `lang_definitions` VALUES (66971, 8348, 13, 'Հոգեբուժական հակիրճ նամակ');
INSERT INTO `lang_definitions` VALUES (66972, 8349, 13, 'Հոգեկան/հոգեբուժական ախտորոշում');
INSERT INTO `lang_definitions` VALUES (66973, 8350, 13, 'Հոգեկան/հոգեբուժական հետազոտություն');
INSERT INTO `lang_definitions` VALUES (66974, 8352, 13, 'Հոգեբուժական անամնեզ');
INSERT INTO `lang_definitions` VALUES (66975, 8353, 13, 'հոգեմետ դեղորայքի ընդունում');
INSERT INTO `lang_definitions` VALUES (66976, 8354, 13, 'Հոգեմետ Դեղորայք');
INSERT INTO `lang_definitions` VALUES (66977, 8358, 13, 'Պացիենտ /Pt %');
INSERT INTO `lang_definitions` VALUES (66978, 8360, 13, 'Պացիենտի գրառումներ');
INSERT INTO `lang_definitions` VALUES (66979, 8361, 13, 'Պացիենտի գրառումներ/Լիազոր․');
INSERT INTO `lang_definitions` VALUES (66980, 8362, 13, 'Պացիենտի գերավճար');
INSERT INTO `lang_definitions` VALUES (66981, 8364, 13, 'Պացիենտի վճարում Պացիենտը վճարել է');
INSERT INTO `lang_definitions` VALUES (66982, 8365, 13, 'Պացիենտի գրանցման պահանջ');
INSERT INTO `lang_definitions` VALUES (66983, 8366, 13, 'Պացիենտի փոխհատուցում');
INSERT INTO `lang_definitions` VALUES (66984, 8367, 13, 'Պացիենտի դուրսգրում');
INSERT INTO `lang_definitions` VALUES (66985, 8368, 13, 'Պացիենտի զեկույց');
INSERT INTO `lang_definitions` VALUES (66986, 8369, 13, 'Պացիենտն ուսանող է կամ թողնել դատարկ');
INSERT INTO `lang_definitions` VALUES (66987, 8370, 13, 'Պցտ—ՔԱՂԱՔ');
INSERT INTO `lang_definitions` VALUES (66988, 8371, 13, 'PT_DOB');
INSERT INTO `lang_definitions` VALUES (66989, 8372, 13, 'ՊԱՑ․—ԷԼ ՓՈՍՏ');
INSERT INTO `lang_definitions` VALUES (66990, 8373, 13, 'ՊԱՑ․—ԱԶԳԱՆՈՒՆ');
INSERT INTO `lang_definitions` VALUES (66991, 8374, 13, 'ՊԱՑ․—ՀԱՅՐԱՆՈՒՆ');
INSERT INTO `lang_definitions` VALUES (66992, 8375, 13, 'ՊԱՑ․—ՄԱՅՐԱՆՈՒՆ');
INSERT INTO `lang_definitions` VALUES (66993, 8376, 13, 'ՊԱՑ․—ՀԵՌԱԽՈՍ—ԲՋՋԱՅԻՆ');
INSERT INTO `lang_definitions` VALUES (66994, 8377, 13, 'ՊԱՑ․—ՀԵՌԱԽՈՍ—ՔԱՂԱՔԱՅԻՆ');
INSERT INTO `lang_definitions` VALUES (66995, 8378, 13, 'ՊԱՑ․— ՓՈՍՏԱՅԻՆ ԿՈԴ');
INSERT INTO `lang_definitions` VALUES (66996, 8380, 13, 'ՊԱՑ․— ՓՈՍՏԱՅԻՆ ԿՈԴ');
INSERT INTO `lang_definitions` VALUES (66997, 8381, 13, 'ՊԱՑ․— ՓՈՂՈՑ');
INSERT INTO `lang_definitions` VALUES (66998, 8383, 13, 'Հանրային/հրապաակային');
INSERT INTO `lang_definitions` VALUES (66999, 8386, 13, 'Հանրային առողջության բժիշկ');
INSERT INTO `lang_definitions` VALUES (67000, 8387, 13, 'Առողջապահության նախարարություն (ԱՆ) կամ այլ պետական կառույց/կազմակերպություն');
INSERT INTO `lang_definitions` VALUES (67001, 8394, 13, 'Պուերտոռիկացի');
INSERT INTO `lang_definitions` VALUES (67002, 8396, 13, 'Թոքային');
INSERT INTO `lang_definitions` VALUES (67003, 8398, 13, 'Զարկերակ');
INSERT INTO `lang_definitions` VALUES (67004, 8399, 13, 'Փենջաբերեն');
INSERT INTO `lang_definitions` VALUES (67005, 8401, 13, 'Գնել/գնում');
INSERT INTO `lang_definitions` VALUES (67006, 8402, 13, 'Գնում/վերադարձ');
INSERT INTO `lang_definitions` VALUES (67007, 8403, 13, 'Գնումներ');
INSERT INTO `lang_definitions` VALUES (67008, 8406, 13, 'P{{Նշել վերնագիրը}}');
INSERT INTO `lang_definitions` VALUES (67009, 8407, 13, 'Pāli');
INSERT INTO `lang_definitions` VALUES (67010, 8408, 13, 'յուր․ 3 ժամը մեկ');
INSERT INTO `lang_definitions` VALUES (67011, 8409, 13, 'յուր․ 4 ժամը մեկ');
INSERT INTO `lang_definitions` VALUES (67012, 8410, 13, 'յուր․ 5 ժամը մեկ');
INSERT INTO `lang_definitions` VALUES (67013, 8411, 13, 'յուր․ 6 ժամը մեկ');
INSERT INTO `lang_definitions` VALUES (67014, 8412, 13, 'յուր․ 8 ժամը մեկ');
INSERT INTO `lang_definitions` VALUES (67015, 8413, 13, 'օրը մեկ անգամ');
INSERT INTO `lang_definitions` VALUES (67016, 8414, 13, 'օրումեջ');
INSERT INTO `lang_definitions` VALUES (67017, 8417, 13, 'QOH');
INSERT INTO `lang_definitions` VALUES (67018, 8418, 13, 'QOH-ն ամսական օգտագործումից քիչ է');
INSERT INTO `lang_definitions` VALUES (67019, 8419, 13, 'Քանակ');
INSERT INTO `lang_definitions` VALUES (67020, 8420, 13, 'ՔՆԿ․');
INSERT INTO `lang_definitions` VALUES (67021, 8421, 13, 'Որակ');
INSERT INTO `lang_definitions` VALUES (67022, 8422, 13, 'Որակի չափանիշ (CQM)');
INSERT INTO `lang_definitions` VALUES (67023, 8423, 13, 'Քանակ');
INSERT INTO `lang_definitions` VALUES (67024, 8425, 13, 'NDC Քանակ');
INSERT INTO `lang_definitions` VALUES (67025, 8426, 13, 'Առկա քանակ');
INSERT INTO `lang_definitions` VALUES (67026, 8427, 13, 'ոչ պիտանի համարվողների քանակը');
INSERT INTO `lang_definitions` VALUES (67027, 8431, 13, 'հարցական նշան');
INSERT INTO `lang_definitions` VALUES (67028, 8432, 13, 'HCFA խմբաքանակի մշակման հերթագրում');
INSERT INTO `lang_definitions` VALUES (67029, 8433, 13, 'HCFA խմբաքանակի մշակման և տպագրման հերթագրում');
INSERT INTO `lang_definitions` VALUES (67030, 8434, 13, 'UB-92 խմբաքանակի մշակման հերթագրում');
INSERT INTO `lang_definitions` VALUES (67031, 8435, 13, 'UB-92 խմբաքանակի մշակման և տպագրման հերթագրում');
INSERT INTO `lang_definitions` VALUES (67032, 8436, 13, 'հերթագրված է');
INSERT INTO `lang_definitions` VALUES (67033, 8437, 13, 'Հերթագրված միջոցառումների կառավարում');
INSERT INTO `lang_definitions` VALUES (67034, 8438, 13, 'Հերթագրված է -ի համար');
INSERT INTO `lang_definitions` VALUES (67035, 8440, 13, 'Հերթագրված պնդումների/ներկայացումների կառավարում');
INSERT INTO `lang_definitions` VALUES (67036, 8442, 13, 'Ելք');
INSERT INTO `lang_definitions` VALUES (67037, 8443, 13, 'Թողնել ալկոհոլը Նախկին ալկոհոլամոլ');
INSERT INTO `lang_definitions` VALUES (67038, 8445, 13, 'R');
INSERT INTO `lang_definitions` VALUES (67039, 8452, 13, 'Ռասսա');
INSERT INTO `lang_definitions` VALUES (67040, 8453, 13, 'Ռասսան կամ էթնիկ պատկանելիությունը');
INSERT INTO `lang_definitions` VALUES (67041, 8454, 13, 'Ռասսա/Էթնոս');
INSERT INTO `lang_definitions` VALUES (67042, 8456, 13, 'Ռադիո');
INSERT INTO `lang_definitions` VALUES (67043, 8457, 13, 'Ռադիոկոճակներ');
INSERT INTO `lang_definitions` VALUES (67044, 8461, 13, 'Խառը դեղորայքի էկրանավորում');
INSERT INTO `lang_definitions` VALUES (67045, 8462, 13, 'Միջակայք');
INSERT INTO `lang_definitions` VALUES (67046, 8463, 13, 'Ցան');
INSERT INTO `lang_definitions` VALUES (67047, 8464, 13, 'Արժեք');
INSERT INTO `lang_definitions` VALUES (67048, 8466, 13, 'Չափաբաժին');
INSERT INTO `lang_definitions` VALUES (67049, 8467, 13, 'Անավարտ հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (67050, 8475, 13, 'Կրկնակի իդենտիֆիկացիա/նույնականացում');
INSERT INTO `lang_definitions` VALUES (67051, 8476, 13, 'Կրկնակի իդենտիֆիկացիայի/նույնականացման մշակումն ավարտված է');
INSERT INTO `lang_definitions` VALUES (67052, 8477, 13, 'Կրկնակի իդենտիֆիկացիայի/նույնականացման մշակումն իրականացվում  է');
INSERT INTO `lang_definitions` VALUES (67053, 8478, 13, 'Կրկնակի իդենտիֆիկացիայի/նույնականացման ֆայլերը կպահպանվեն');
INSERT INTO `lang_definitions` VALUES (67054, 8479, 13, 'Կրկնակի վնասվա՞ծք է');
INSERT INTO `lang_definitions` VALUES (67055, 8480, 13, 'Վերաբացել');
INSERT INTO `lang_definitions` VALUES (67056, 8482, 13, 'Վերաբացված');
INSERT INTO `lang_definitions` VALUES (67057, 8484, 13, 'Ռեակցիա/փոխազդեցություն/հակազդեցություն');
INSERT INTO `lang_definitions` VALUES (67058, 8486, 13, 'Ռեակցիաներ/փոխազդեցություններ/հակազդեցություններ');
INSERT INTO `lang_definitions` VALUES (67059, 8489, 13, 'Կարդալ');
INSERT INTO `lang_definitions` VALUES (67060, 8490, 13, 'Միայն կարդալ');
INSERT INTO `lang_definitions` VALUES (67061, 8495, 13, 'Միայն կարդալ Հիվ․ Պատմությունից');
INSERT INTO `lang_definitions` VALUES (67062, 8496, 13, 'Իրական անվանումը');
INSERT INTO `lang_definitions` VALUES (67063, 8497, 13, 'Իսկապես ջնջել');
INSERT INTO `lang_definitions` VALUES (67064, 8498, 13, 'Պատճառ');
INSERT INTO `lang_definitions` VALUES (67065, 8499, 13, 'Մահվան պատճառը');
INSERT INTO `lang_definitions` VALUES (67066, 8500, 13, 'Մահվան պատճառը');
INSERT INTO `lang_definitions` VALUES (67067, 8501, 13, 'Ուղղուրդման պատճառները');
INSERT INTO `lang_definitions` VALUES (67068, 8502, 13, 'Ուղեգրի պատճառը');
INSERT INTO `lang_definitions` VALUES (67069, 8504, 13, 'Այցի պատճառը');
INSERT INTO `lang_definitions` VALUES (67070, 8506, 13, 'Պատճառ/Ձև');
INSERT INTO `lang_definitions` VALUES (67071, 8521, 13, 'Կտրոն');
INSERT INTO `lang_definitions` VALUES (67072, 8522, 13, 'Վճարման կտրոն/անդորրագիր');
INSERT INTO `lang_definitions` VALUES (67073, 8523, 13, 'Կտրոնը/անդորրագիրը պատրաստ է');
INSERT INTO `lang_definitions` VALUES (67074, 8524, 13, 'Կտրոններ/անդորրագրեր ըստ վճարման տեսակի զեկույցի');
INSERT INTO `lang_definitions` VALUES (67075, 8525, 13, 'Մուտքերի ամփոփագիր');
INSERT INTO `lang_definitions` VALUES (67076, 8526, 13, 'Ստացված է');
INSERT INTO `lang_definitions` VALUES (67077, 8527, 13, 'Ստացված է -ով');
INSERT INTO `lang_definitions` VALUES (67078, 8528, 13, 'Ստացված է ՖԱՔՍ-ով');
INSERT INTO `lang_definitions` VALUES (67079, 8530, 13, 'Ստացված է, վերանայված չէ');
INSERT INTO `lang_definitions` VALUES (67080, 8531, 13, 'Ստացված, չվերանայված');
INSERT INTO `lang_definitions` VALUES (67081, 8532, 13, 'Ստացող');
INSERT INTO `lang_definitions` VALUES (67082, 8533, 13, 'Ստացողի ID');
INSERT INTO `lang_definitions` VALUES (67083, 8534, 13, 'Ստացողի ID (ISA08)');
INSERT INTO `lang_definitions` VALUES (67084, 8535, 13, 'Ստացողի ID որոշիչ (ISA07)');
INSERT INTO `lang_definitions` VALUES (67085, 8536, 13, 'Ստացողի ID-ներ');
INSERT INTO `lang_definitions` VALUES (67086, 8540, 13, 'Վերջին երեք գաղտնաբառերը թույլատրելի չեն');
INSERT INTO `lang_definitions` VALUES (67087, 8542, 13, 'Ստացող');
INSERT INTO `lang_definitions` VALUES (67088, 8543, 13, 'Ստացողների ցանկը դատարկ է');
INSERT INTO `lang_definitions` VALUES (67089, 8544, 13, 'Ստացողի անունը');
INSERT INTO `lang_definitions` VALUES (67090, 8545, 13, 'Տեղեկատվություն ստացողը');
INSERT INTO `lang_definitions` VALUES (67091, 8546, 13, 'Մինչև կարգավիակը ավարտուն լինելը պահանջվում է ստացողի տվյալներ');
INSERT INTO `lang_definitions` VALUES (67092, 8549, 13, 'Երաշխավորություն/Խորհրդատվություն');
INSERT INTO `lang_definitions` VALUES (67093, 8551, 13, 'Խորհրդատվություն հետագա այցերի մասին');
INSERT INTO `lang_definitions` VALUES (67094, 8552, 13, 'Խորհրդատվություն և բուժում');
INSERT INTO `lang_definitions` VALUES (67095, 8553, 13, 'Խորհրդներ և բուժում');
INSERT INTO `lang_definitions` VALUES (67096, 8554, 13, 'Մասնագետի կողմից տրված խորհուրդներ');
INSERT INTO `lang_definitions` VALUES (67097, 8557, 13, 'Գրանցել');
INSERT INTO `lang_definitions` VALUES (67098, 8558, 13, 'Գրանցում արդեն գոյություն ունի');
INSERT INTO `lang_definitions` VALUES (67099, 8559, 13, 'Կենսաչափական տվյալների գրանցման և աղյուսակի փոփոխություններ (Հասակ/Քաշ/Արյան ճնշում within scope)');
INSERT INTO `lang_definitions` VALUES (67100, 8560, 13, 'Կենսաչափական տվյալների գրանցման և աղյուսակի փոփոխություններ (Արյան ճնշում out of scope)');
INSERT INTO `lang_definitions` VALUES (67101, 8561, 13, 'Կենսաչափական տվյալների գրանցման և աղյուսակի փոփոխություններ (Հասակ/Քաշ out of scope)');
INSERT INTO `lang_definitions` VALUES (67102, 8562, 13, 'Կենսաչափական տվյալների գրանցման և աղյուսակի փոփոխություններ (Նոր)');
INSERT INTO `lang_definitions` VALUES (67103, 8563, 13, 'Կենսաչափական տվյալների գրանցման և աղյուսակի փոփոխություններ (Քայլ 1)');
INSERT INTO `lang_definitions` VALUES (67104, 8564, 13, 'Կատարել գրանցումներ կամ փոփոխություններ կենսական նշանակություն ունեցող ցուցանիշներում');
INSERT INTO `lang_definitions` VALUES (67105, 8565, 13, 'Անձնական/ազգագրական տվյալների գրանցում');
INSERT INTO `lang_definitions` VALUES (67106, 8566, 13, 'Տեղեկության բացահայտում/հրապարակում');
INSERT INTO `lang_definitions` VALUES (67107, 8567, 13, 'Համապատասխանության/պիտանիության մասին գրանցում');
INSERT INTO `lang_definitions` VALUES (67108, 8568, 13, 'Վճարման գրանցում');
INSERT INTO `lang_definitions` VALUES (67109, 8570, 13, 'Գրանցման պահանջի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (67110, 8571, 13, 'Գրանցել 13 և բարձր տարիքի պացիենտների՝ ծխողի կարգավիակը');
INSERT INTO `lang_definitions` VALUES (67111, 8572, 13, 'Գրանցումներ');
INSERT INTO `lang_definitions` VALUES (67112, 8573, 13, 'գտնվել են գրանցումներ');
INSERT INTO `lang_definitions` VALUES (67113, 8574, 13, 'գտնվել են գրանցումներ');
INSERT INTO `lang_definitions` VALUES (67114, 8576, 13, 'Հանգստացնող դեղորայքի/հակադեպրեսանտների կիրառում');
INSERT INTO `lang_definitions` VALUES (67115, 8577, 13, 'Հանգստացնող դեղորայքի/հակադեպրեսանտներ');
INSERT INTO `lang_definitions` VALUES (67116, 8578, 13, 'Հետանցքային/ուղիղ աղու');
INSERT INTO `lang_definitions` VALUES (67117, 8579, 13, 'Հետանցքային/ուղիղ աղու հետազոտում');
INSERT INTO `lang_definitions` VALUES (67118, 8580, 13, 'Հետանցքային/ուղիղ աղու');
INSERT INTO `lang_definitions` VALUES (67119, 8592, 13, 'Վերաուղղորդում');
INSERT INTO `lang_definitions` VALUES (67120, 8593, 13, 'Կարմրություն');
INSERT INTO `lang_definitions` VALUES (67121, 8595, 13, 'կրճատված է');
INSERT INTO `lang_definitions` VALUES (67122, 8597, 13, 'Հղել');
INSERT INTO `lang_definitions` VALUES (67123, 8598, 13, 'Հղել -ով');
INSERT INTO `lang_definitions` VALUES (67124, 8599, 13, 'Հղման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (67125, 8600, 13, 'Հղել -ին');
INSERT INTO `lang_definitions` VALUES (67126, 8603, 13, 'Քաղվածքի/տեղեկանքի դասակարգում (ռիսկային մակարդակը)');
INSERT INTO `lang_definitions` VALUES (67127, 8605, 13, 'Տեղեկանքի նպատակը');
INSERT INTO `lang_definitions` VALUES (67128, 8608, 13, 'Տեղեկանք տրամադրող');
INSERT INTO `lang_definitions` VALUES (67129, 8609, 13, 'Տեղեկանք տրամադրողի ազգանուն և ստորագություն');
INSERT INTO `lang_definitions` VALUES (67130, 8610, 13, 'Ուղեգիր');
INSERT INTO `lang_definitions` VALUES (67131, 8611, 13, 'Ուղեգիր -ով');
INSERT INTO `lang_definitions` VALUES (67132, 8612, 13, 'Ուղեգրի կտրոն');
INSERT INTO `lang_definitions` VALUES (67133, 8613, 13, 'Ուղեգրի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (67134, 8614, 13, 'Ուղեգրի ձև');
INSERT INTO `lang_definitions` VALUES (67135, 8615, 13, 'ՈՒՂԵԳՐԻ  ՁԵՎ');
INSERT INTO `lang_definitions` VALUES (67136, 8616, 13, 'Ուղեգրի ID');
INSERT INTO `lang_definitions` VALUES (67137, 8618, 13, 'Ուղեգրի տրման պատճառը');
INSERT INTO `lang_definitions` VALUES (67138, 8619, 13, 'Ուղեգրի հիմքը/աղբյուրը');
INSERT INTO `lang_definitions` VALUES (67139, 8620, 13, 'Ուղեգրի հիմքը/աղբյուրը այցի համար');
INSERT INTO `lang_definitions` VALUES (67140, 8621, 13, 'Ուղեգիր -ին');
INSERT INTO `lang_definitions` VALUES (67141, 8622, 13, 'Ուղեգրեր');
INSERT INTO `lang_definitions` VALUES (67142, 8623, 13, 'Ուղեգրերի վերաբերյալ հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (67143, 8624, 13, 'Ուղեգրված է -ի կողմից');
INSERT INTO `lang_definitions` VALUES (67144, 8625, 13, 'Ուղեգրված է -ի կողմից');
INSERT INTO `lang_definitions` VALUES (67145, 8627, 13, 'Ուղեգրված է -ին');
INSERT INTO `lang_definitions` VALUES (67146, 8628, 13, 'Ուղեգրող կողմ');
INSERT INTO `lang_definitions` VALUES (67147, 8629, 13, 'Ուղեգրող կողմի հասցե');
INSERT INTO `lang_definitions` VALUES (67148, 8630, 13, 'Ուղեգրողի ախտորոշումը Ախտորոշումն ուղեգրելիս');
INSERT INTO `lang_definitions` VALUES (67149, 8631, 13, 'Ուղեգրողի ախտորոշումը Ախտորոշումն ուղեգրելիս');
INSERT INTO `lang_definitions` VALUES (67150, 8633, 13, 'Ուղեգրող բժիշկն ու ոլորտը');
INSERT INTO `lang_definitions` VALUES (67151, 8635, 13, 'Ուղեգրող բժիշկ');
INSERT INTO `lang_definitions` VALUES (67152, 8636, 13, 'Վերալրացնել Կրկին լրացրեք');
INSERT INTO `lang_definitions` VALUES (67153, 8639, 13, 'Լրացվում է');
INSERT INTO `lang_definitions` VALUES (67154, 8640, 13, 'Լրացվում է');
INSERT INTO `lang_definitions` VALUES (67155, 8641, 13, 'Նորմալ/բնական ռեֆլեքս');
INSERT INTO `lang_definitions` VALUES (67156, 8645, 13, 'Թարմացնել');
INSERT INTO `lang_definitions` VALUES (67157, 8648, 13, 'Թարմացնել հիշեցումները');
INSERT INTO `lang_definitions` VALUES (67158, 8651, 13, 'Հրապարակման մերժում');
INSERT INTO `lang_definitions` VALUES (67159, 8652, 13, 'reg_re');
INSERT INTO `lang_definitions` VALUES (67160, 8655, 13, 'գրանցել');
INSERT INTO `lang_definitions` VALUES (67161, 8656, 13, 'գրանցել');
INSERT INTO `lang_definitions` VALUES (67162, 8662, 13, 'Գրանցված');
INSERT INTO `lang_definitions` VALUES (67163, 8663, 13, 'Գրանցված');
INSERT INTO `lang_definitions` VALUES (67164, 8666, 13, 'Գրանցված մոդուլներ');
INSERT INTO `lang_definitions` VALUES (67165, 8668, 13, 'Գրանցման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (67166, 8671, 13, 'Գրանցման ձև');
INSERT INTO `lang_definitions` VALUES (67167, 8672, 13, 'Վերականգնում');
INSERT INTO `lang_definitions` VALUES (67168, 8673, 13, 'Վերականգնողական բժիշկ');
INSERT INTO `lang_definitions` VALUES (67169, 8674, 13, 'Մերժված');
INSERT INTO `lang_definitions` VALUES (67170, 8675, 13, 'ռեցիդիվ ներուժը');
INSERT INTO `lang_definitions` VALUES (67171, 8676, 13, 'կապված -ի հետ -ով պայմանավորված');
INSERT INTO `lang_definitions` VALUES (67172, 8677, 13, 'կապված/պայմանավորված/առնչվող');
INSERT INTO `lang_definitions` VALUES (67173, 8678, 13, 'Առնչվող հարց');
INSERT INTO `lang_definitions` VALUES (67174, 8679, 13, 'Առնչվող Պացիենտի գրառումներ');
INSERT INTO `lang_definitions` VALUES (67175, 8680, 13, 'Հարազատ(ներ) / երեխաներ');
INSERT INTO `lang_definitions` VALUES (67176, 8681, 13, 'Հարազատներ');
INSERT INTO `lang_definitions` VALUES (67177, 8682, 13, 'Բարեկամական կապ');
INSERT INTO `lang_definitions` VALUES (67178, 8683, 13, 'Սույն հաստատության կազմակերպական կառուցվածքը');
INSERT INTO `lang_definitions` VALUES (67179, 8684, 13, 'Հարազատներ');
INSERT INTO `lang_definitions` VALUES (67180, 8687, 13, 'Ուղեկցվող/գենետիկ քաղցկեղային հիվանդություն');
INSERT INTO `lang_definitions` VALUES (67181, 8688, 13, 'Ուղեկցվող/գենետիկ շաքարային դիաբետ');
INSERT INTO `lang_definitions` VALUES (67182, 8689, 13, 'Ուղեկցվող/գենետիկ էպիլեպսիա');
INSERT INTO `lang_definitions` VALUES (67183, 8690, 13, 'Ուղեկցվող/գենետիկ սրտային հիվանդություն');
INSERT INTO `lang_definitions` VALUES (67184, 8691, 13, 'Ուղեկցվող/գենետիկ մտավոր խնդիրներ');
INSERT INTO `lang_definitions` VALUES (67185, 8692, 13, 'Ուղեկցվող/գենետիկ կաթված/ինսուլտ');
INSERT INTO `lang_definitions` VALUES (67186, 8693, 13, 'ինքնասպանություն');
INSERT INTO `lang_definitions` VALUES (67187, 8694, 13, 'Ուղեկցվող/գենետիկ պալարախտ/տուբերկուլյոզ');
INSERT INTO `lang_definitions` VALUES (67188, 8695, 13, 'Relay Health լիազորությունը/հասանելիությունը բացակայում է սույն օգտվողի հաշվից');
INSERT INTO `lang_definitions` VALUES (67189, 8696, 13, 'Relay Health ID');
INSERT INTO `lang_definitions` VALUES (67190, 8697, 13, 'Թողարկում');
INSERT INTO `lang_definitions` VALUES (67191, 8698, 13, 'Թողարկման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (67192, 8700, 13, 'Կրոն');
INSERT INTO `lang_definitions` VALUES (67193, 8701, 13, 'Կրոնական պատկանելիությունը');
INSERT INTO `lang_definitions` VALUES (67194, 8703, 13, 'Նորից բեռնել/վերաբեռնել');
INSERT INTO `lang_definitions` VALUES (67195, 8705, 13, 'Կրկին մուտք գոծեք');
INSERT INTO `lang_definitions` VALUES (67196, 8706, 13, 'Հիշեցում');
INSERT INTO `lang_definitions` VALUES (67197, 8709, 13, 'Հիշել ընտրված հաստատությունը/բաղադրիչը');
INSERT INTO `lang_definitions` VALUES (67198, 8712, 13, 'Հիշեցում');
INSERT INTO `lang_definitions` VALUES (67199, 8715, 13, 'Հիշեցումների միջակայք');
INSERT INTO `lang_definitions` VALUES (67200, 8716, 13, 'Հիշեցումը դեռևս ուղարկված չէ');
INSERT INTO `lang_definitions` VALUES (67201, 8720, 13, 'Հիշեցումն  ուղարկված է');
INSERT INTO `lang_definitions` VALUES (67202, 8725, 13, 'Հիշեցումներ');
INSERT INTO `lang_definitions` VALUES (67203, 8726, 13, 'Տեղափոխել դեպի');
INSERT INTO `lang_definitions` VALUES (67204, 8729, 13, 'Ջնջել');
INSERT INTO `lang_definitions` VALUES (67205, 8730, 13, 'Պլանից/ծրագրից ջնջել բոլոր կանոնները');
INSERT INTO `lang_definitions` VALUES (67206, 8731, 13, 'Հեռացնել ներքևի շրջանակամասը');
INSERT INTO `lang_definitions` VALUES (67207, 8733, 13, 'Ջնջել խումբը');
INSERT INTO `lang_definitions` VALUES (67208, 8734, 13, 'Ջնջել խմբի ձևը');
INSERT INTO `lang_definitions` VALUES (67209, 8738, 13, 'Հեռացնում է պատվաստումների աջակցությունը');
INSERT INTO `lang_definitions` VALUES (67210, 8739, 13, 'Հեռացնում է  phpMyAdmin աջակցությունը');
INSERT INTO `lang_definitions` VALUES (67211, 8740, 13, 'Հեռացնում է դեղատոմսերի աջակցությունը');
INSERT INTO `lang_definitions` VALUES (67212, 8743, 13, 'Երիկամային հիվանդություն');
INSERT INTO `lang_definitions` VALUES (67213, 8744, 13, 'Վերանվանել');
INSERT INTO `lang_definitions` VALUES (67214, 8745, 13, 'Վերանվանել խումբը');
INSERT INTO `lang_definitions` VALUES (67215, 8746, 13, 'Արտածում/մեկնաբանում');
INSERT INTO `lang_definitions` VALUES (67216, 8747, 13, 'Մեկնաբանող բժիշկ');
INSERT INTO `lang_definitions` VALUES (67217, 8748, 13, 'Մեկնաբանող բժշկի հերթական համարը');
INSERT INTO `lang_definitions` VALUES (67218, 8750, 13, 'Վերանշանակել/վերադասավորել');
INSERT INTO `lang_definitions` VALUES (67219, 8751, 13, 'Վերանշանակել -ում');
INSERT INTO `lang_definitions` VALUES (67220, 8752, 13, 'Վերադասավորման կետն արդեն լրացել է');
INSERT INTO `lang_definitions` VALUES (67221, 8754, 13, 'Կրկ․');
INSERT INTO `lang_definitions` VALUES (67222, 8756, 13, 'Կրկնել նոր գաղտնաբառը');
INSERT INTO `lang_definitions` VALUES (67223, 8758, 13, 'Կրկնվող իրադարձություն');
INSERT INTO `lang_definitions` VALUES (67224, 8759, 13, 'Կրկնվող ինֆորմ։');
INSERT INTO `lang_definitions` VALUES (67225, 8760, 13, 'Կրկնվում է');
INSERT INTO `lang_definitions` VALUES (67226, 8761, 13, 'ՓՈԽԱՐԻՆԵԼ');
INSERT INTO `lang_definitions` VALUES (67227, 8763, 13, 'Փոխարինել ողջ կոդերը');
INSERT INTO `lang_definitions` VALUES (67228, 8766, 13, 'Փոխարինված է');
INSERT INTO `lang_definitions` VALUES (67229, 8771, 13, 'Պատասխանի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (67230, 8772, 13, '-ից պատասխան');
INSERT INTO `lang_definitions` VALUES (67231, 8774, 13, 'Հաշվետվություն/զեկույց');
INSERT INTO `lang_definitions` VALUES (67232, 8776, 13, 'Զեկույց - կլինիկական');
INSERT INTO `lang_definitions` VALUES (67233, 8779, 13, '-ի զեկույց');
INSERT INTO `lang_definitions` VALUES (67234, 8781, 13, 'Զեկույցի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (67235, 8782, 13, 'Զեկույցի ավարտը   (Բուժումից հրաժարման ամսաթիվ)');
INSERT INTO `lang_definitions` VALUES (67236, 8783, 13, 'Զեկույցն ուղարկվել է պացիենտին');
INSERT INTO `lang_definitions` VALUES (67237, 8784, 13, 'Զեկուցել անամնեզը/արդյունքները');
INSERT INTO `lang_definitions` VALUES (67238, 8786, 13, 'Զեկուցել  արդյունքները');
INSERT INTO `lang_definitions` VALUES (67239, 8787, 13, 'Զեկուցել  արդյունքները/անամնեզը');
INSERT INTO `lang_definitions` VALUES (67240, 8788, 13, 'Զեկույցի սկիզբ/մեկնարկ (բուժման ենթադրյալ  ամսաթիվ)');
INSERT INTO `lang_definitions` VALUES (67241, 8789, 13, 'Զեկույցի կարգավիճակը');
INSERT INTO `lang_definitions` VALUES (67242, 8790, 13, 'Ընդամենը զեկույցներ');
INSERT INTO `lang_definitions` VALUES (67243, 8792, 13, 'Զեկույց/ձև');
INSERT INTO `lang_definitions` VALUES (67244, 8794, 13, 'Հաշվետու');
INSERT INTO `lang_definitions` VALUES (67245, 8795, 13, 'Զեկուցված');
INSERT INTO `lang_definitions` VALUES (67246, 8796, 13, 'Զեկուցման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (67247, 8797, 13, 'Զեկույցներ');
INSERT INTO `lang_definitions` VALUES (67248, 8799, 13, 'Պահանջ և արձագանք');
INSERT INTO `lang_definitions` VALUES (67249, 8801, 13, 'Պահանջի նկարագրություն');
INSERT INTO `lang_definitions` VALUES (67250, 8803, 13, 'Պահանջի ID բացակայում է');
INSERT INTO `lang_definitions` VALUES (67251, 8804, 13, 'Հարցումը մերժվել է․ պահանջի մշակումն ընթացքի մեջ է');
INSERT INTO `lang_definitions` VALUES (67252, 8808, 13, 'Միայն պահանջել');
INSERT INTO `lang_definitions` VALUES (67253, 8809, 13, 'Պահանջի/հարցման կարգավիճակը');
INSERT INTO `lang_definitions` VALUES (67254, 8810, 13, 'Պահանջի/հարցման տեսակը');
INSERT INTO `lang_definitions` VALUES (67255, 8811, 13, 'Պահանջի/հարցման տեսակը չի իրականացվել');
INSERT INTO `lang_definitions` VALUES (67256, 8813, 13, 'Պահնջված է-ի կողմից');
INSERT INTO `lang_definitions` VALUES (67257, 8814, 13, 'Պահնաջի /հարցման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (67258, 8815, 13, 'Պահանջված ծառայություն');
INSERT INTO `lang_definitions` VALUES (67259, 8819, 13, 'Պահանջվում է ուժեղ/ապահով գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (67260, 8820, 13, 'Պահանջվում է եզակի գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (67261, 8821, 13, 'Պարտադիր է');
INSERT INTO `lang_definitions` VALUES (67262, 8823, 13, 'Պարտադիր հավելավճար');
INSERT INTO `lang_definitions` VALUES (67263, 8824, 13, 'Պարտադիր դաշտ է դատարկ․ բեռնման համար ընտրել EDI-271');
INSERT INTO `lang_definitions` VALUES (67264, 8825, 13, 'Պարտադիր դաշտ է դատարկ․ մուտքագրել անունը');
INSERT INTO `lang_definitions` VALUES (67265, 8826, 13, 'Պարտադիր դաշտ է դատարկ․ մուտքագրել ազգանունը');
INSERT INTO `lang_definitions` VALUES (67266, 8827, 13, 'Պարտադիր դաշտ է դատարկ․ մուտքագրել օգտվողի անունը');
INSERT INTO `lang_definitions` VALUES (67267, 8828, 13, 'Պարտադիր դաշտեր');
INSERT INTO `lang_definitions` VALUES (67268, 8829, 13, 'Պահանջներ');
INSERT INTO `lang_definitions` VALUES (67269, 8832, 13, 'ԶԲԱՂՎԱԾ Է');
INSERT INTO `lang_definitions` VALUES (67270, 8833, 13, 'Զբաղված է');
INSERT INTO `lang_definitions` VALUES (67271, 8834, 13, 'Զբաղեցրած է  օգտագործման նպատակով՝  նախատեսվող արձակուրդ սահմանելու համար');
INSERT INTO `lang_definitions` VALUES (67272, 8835, 13, 'Զբաղեցրած է՝  մասնագետի մոտ այցերի գրանցումների անհասանելություն սահմանելու/որոշելու  համար');
INSERT INTO `lang_definitions` VALUES (67273, 8836, 13, 'Զբաղված է՝ որոշելու, թե երբ  միջոցառումը չի կատարվում ըստ նախատեսվածի');
INSERT INTO `lang_definitions` VALUES (67274, 8837, 13, 'Զբաղեցրած է՝  այդուհետ մասնագետի մոտ այցերի գրանցումների հասանելություն սահմանելու/որոշելու  համար');
INSERT INTO `lang_definitions` VALUES (67275, 8838, 13, 'Վերակայել/հետադարձել');
INSERT INTO `lang_definitions` VALUES (67276, 8842, 13, 'Զրոյացնել/Վերակայել/հետադարձել Offsite պորտալի հասանելիության պարամետրերը');
INSERT INTO `lang_definitions` VALUES (67277, 8844, 13, 'Զրոյացնել/Վերակայել/հետադարձել Onsite պորտալի հասանելիության պարամետրերը');
INSERT INTO `lang_definitions` VALUES (67278, 8847, 13, 'Կենվոր /հիվանդանոցին մոտ ապրող/ բժիշկ');
INSERT INTO `lang_definitions` VALUES (67279, 8850, 13, 'Resn');
INSERT INTO `lang_definitions` VALUES (67280, 8852, 13, 'Լուծված է');
INSERT INTO `lang_definitions` VALUES (67281, 8855, 13, 'Շնչառություն');
INSERT INTO `lang_definitions` VALUES (67282, 8857, 13, 'Շնչական/շնչառական համակարգ');
INSERT INTO `lang_definitions` VALUES (67283, 8859, 13, 'Միայն պատասխանել');
INSERT INTO `lang_definitions` VALUES (67284, 8865, 13, 'Սահմանափակել օգտվողներին ըստ ծառայությունների');
INSERT INTO `lang_definitions` VALUES (67285, 8866, 13, 'Սահմանափակ ուսուցում');
INSERT INTO `lang_definitions` VALUES (67286, 8867, 13, 'Արդյունք');
INSERT INTO `lang_definitions` VALUES (67287, 8868, 13, 'Արդյունքի անվանում');
INSERT INTO `lang_definitions` VALUES (67288, 8869, 13, 'Արդյունքի կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (67289, 8870, 13, 'Արդյունքի կարգավիճակը կամ նորմայից շեղումը բացակայում է');
INSERT INTO `lang_definitions` VALUES (67290, 8872, 13, 'Արդյունքներ');
INSERT INTO `lang_definitions` VALUES (67291, 8873, 13, 'Արդյունքներ և');
INSERT INTO `lang_definitions` VALUES (67292, 8874, 13, 'Գտնվել են հետևյալ արդյունքները');
INSERT INTO `lang_definitions` VALUES (67293, 8875, 13, 'Արդյունքների խումբ');
INSERT INTO `lang_definitions` VALUES (67294, 8876, 13, 'Միայն արդյունքները');
INSERT INTO `lang_definitions` VALUES (67295, 8877, 13, 'Արդյունքների ուղին');
INSERT INTO `lang_definitions` VALUES (67296, 8879, 13, 'Արդյունքների էջադրում');
INSERT INTO `lang_definitions` VALUES (67297, 8880, 13, 'Արդյունքներ/մանրամասներ');
INSERT INTO `lang_definitions` VALUES (67298, 8884, 13, 'Աչքի ցանցաթաղանթի զննություն');
INSERT INTO `lang_definitions` VALUES (67299, 8885, 13, 'Իրավունքի չեղարկում');
INSERT INTO `lang_definitions` VALUES (67300, 8886, 13, 'Հետ վերադարձ');
INSERT INTO `lang_definitions` VALUES (67301, 8887, 13, 'Ձեր կատարած վճարման վերոնշյալ մասի վերադարձ');
INSERT INTO `lang_definitions` VALUES (67302, 8890, 13, 'Վերադառնալ օրացույցին');
INSERT INTO `lang_definitions` VALUES (67303, 8891, 13, 'Վերադառնալ զեկույցի արդյունքներին');
INSERT INTO `lang_definitions` VALUES (67304, 8897, 13, 'Վերադարձնել արժեք/նշանակություն');
INSERT INTO `lang_definitions` VALUES (67305, 8898, 13, 'Վերադարձնել այցը');
INSERT INTO `lang_definitions` VALUES (67306, 8899, 13, 'Նորից գործարկել/կատարել');
INSERT INTO `lang_definitions` VALUES (67307, 8901, 13, 'Նախկին երեք գաղտնաբառերի կիրառումն արգելվում է');
INSERT INTO `lang_definitions` VALUES (67308, 8909, 13, 'Ստուգում/Վերանայում');
INSERT INTO `lang_definitions` VALUES (67309, 8910, 13, 'Ստուգել/Վերանայել և հաստատել');
INSERT INTO `lang_definitions` VALUES (67310, 8912, 13, 'Ստուգել/Վերանայել և հաստատել');
INSERT INTO `lang_definitions` VALUES (67311, 8914, 13, 'PMH ստուգում/վերանայում։');
INSERT INTO `lang_definitions` VALUES (67312, 8917, 13, 'Համակարգերի ստուգում/վերանայում։');
INSERT INTO `lang_definitions` VALUES (67313, 8918, 13, 'Համակարգերի ստուգման վերանայում');
INSERT INTO `lang_definitions` VALUES (67314, 8921, 13, 'Ստուգված/Վերնայված է');
INSERT INTO `lang_definitions` VALUES (67315, 8924, 13, 'Վերանայում');
INSERT INTO `lang_definitions` VALUES (67316, 8925, 13, 'Ռևմատոիդ արթրիտ');
INSERT INTO `lang_definitions` VALUES (67317, 8926, 13, 'Ռևմատոիդ արթրիտ');
INSERT INTO `lang_definitions` VALUES (67318, 8928, 13, 'Աջ');
INSERT INTO `lang_definitions` VALUES (67319, 8931, 13, 'Աջ ականջ');
INSERT INTO `lang_definitions` VALUES (67320, 8932, 13, 'Աջ ականջ');
INSERT INTO `lang_definitions` VALUES (67321, 8936, 13, 'Աջ լուսանցք (մմ)');
INSERT INTO `lang_definitions` VALUES (67322, 8940, 13, 'Աջ։');
INSERT INTO `lang_definitions` VALUES (67323, 8941, 13, 'Աղմուկ ականջներում');
INSERT INTO `lang_definitions` VALUES (67324, 8942, 13, 'Աղմուկ ականջներում');
INSERT INTO `lang_definitions` VALUES (67325, 8943, 13, 'Ռիսկերի գնահատում');
INSERT INTO `lang_definitions` VALUES (67326, 8944, 13, 'Ռիսկի գործոն');
INSERT INTO `lang_definitions` VALUES (67327, 8945, 13, 'Ռիսկային մակարդակ');
INSERT INTO `lang_definitions` VALUES (67328, 8949, 13, 'Աջ ստորին վերջույթ։');
INSERT INTO `lang_definitions` VALUES (67329, 8955, 13, 'ROM');
INSERT INTO `lang_definitions` VALUES (67330, 8956, 13, 'Ռումիներեն');
INSERT INTO `lang_definitions` VALUES (67331, 8957, 13, 'Ռումինացի');
INSERT INTO `lang_definitions` VALUES (67332, 8958, 13, 'Սենյակ 1');
INSERT INTO `lang_definitions` VALUES (67333, 8959, 13, 'Սենյակ 2');
INSERT INTO `lang_definitions` VALUES (67334, 8960, 13, 'Սենյակ 3');
INSERT INTO `lang_definitions` VALUES (67335, 8961, 13, 'Սենյակի համար');
INSERT INTO `lang_definitions` VALUES (67336, 8962, 13, 'Սենյակակից');
INSERT INTO `lang_definitions` VALUES (67337, 8963, 13, 'Հերթապահության ցուցակ');
INSERT INTO `lang_definitions` VALUES (67338, 8966, 13, 'Ուղեգիծ ընթացք');
INSERT INTO `lang_definitions` VALUES (67339, 8967, 13, 'Ադմինիստրացիայի ուղեգիծը, եթե այդպիսին կա');
INSERT INTO `lang_definitions` VALUES (67340, 8968, 13, 'Ներկայացված է');
INSERT INTO `lang_definitions` VALUES (67341, 8969, 13, 'Տողեր');
INSERT INTO `lang_definitions` VALUES (67342, 8974, 13, 'Կանոն');
INSERT INTO `lang_definitions` VALUES (67343, 8975, 13, 'Ավելացնել կանոն');
INSERT INTO `lang_definitions` VALUES (67344, 8976, 13, 'Կանոնի մանրամասներ');
INSERT INTO `lang_definitions` VALUES (67345, 8977, 13, 'Կանոններ սահմանող');
INSERT INTO `lang_definitions` VALUES (67346, 8978, 13, 'Խմբագրել կանոնը');
INSERT INTO `lang_definitions` VALUES (67347, 8979, 13, 'Կանոնի ֆինանսավորման աղբյուր');
INSERT INTO `lang_definitions` VALUES (67348, 8980, 13, 'Կանոնի թողարկում');
INSERT INTO `lang_definitions` VALUES (67349, 8981, 13, 'Սահմանված կանոններ');
INSERT INTO `lang_definitions` VALUES (67350, 8983, 13, 'Կանոնի անվանում');
INSERT INTO `lang_definitions` VALUES (67351, 8984, 13, 'Կանոններ');
INSERT INTO `lang_definitions` VALUES (67352, 8985, 13, 'կանոններն արդեն ներառված են պլանում');
INSERT INTO `lang_definitions` VALUES (67353, 8986, 13, 'Կանոնների կոնֆիգուրացիա');
INSERT INTO `lang_definitions` VALUES (67354, 8989, 13, 'Կատարվող/իրականացվող հրաման');
INSERT INTO `lang_definitions` VALUES (67355, 8990, 13, 'Պատռվածք');
INSERT INTO `lang_definitions` VALUES (67356, 8992, 13, 'Ռուսերեն');
INSERT INTO `lang_definitions` VALUES (67357, 8995, 13, 'Rx');
INSERT INTO `lang_definitions` VALUES (67358, 8996, 13, 'RX');
INSERT INTO `lang_definitions` VALUES (67359, 8997, 13, 'Rx ստորին լուսանցք (px)');
INSERT INTO `lang_definitions` VALUES (67360, 9001, 13, 'Rx թույլատրում է DEA #');
INSERT INTO `lang_definitions` VALUES (67361, 9002, 13, 'Rx թույլատրում է NPI');
INSERT INTO `lang_definitions` VALUES (67362, 9003, 13, 'Rx թույլատրում է պետ․ լից. #');
INSERT INTO `lang_definitions` VALUES (67363, 9007, 13, 'Rx ձախ լուսանցք (px)');
INSERT INTO `lang_definitions` VALUES (67364, 9010, 13, 'Rx թղթի չափ');
INSERT INTO `lang_definitions` VALUES (67365, 9013, 13, 'Rx աջ լուսանցք (px)');
INSERT INTO `lang_definitions` VALUES (67366, 9014, 13, 'Rx ցուցադրում է DEA #');
INSERT INTO `lang_definitions` VALUES (67367, 9015, 13, 'Rx ցուցադրում է NPI');
INSERT INTO `lang_definitions` VALUES (67368, 9016, 13, 'Rx ցուցադրում է պետ․ լից. #');
INSERT INTO `lang_definitions` VALUES (67369, 9017, 13, 'Rx վերին լուսանցք (px)');
INSERT INTO `lang_definitions` VALUES (67370, 9022, 13, 'RXCUI Դեղորայք');
INSERT INTO `lang_definitions` VALUES (67371, 9023, 13, 'RxNorm');
INSERT INTO `lang_definitions` VALUES (67372, 9024, 13, 'RxNorm տվյալների բազա');
INSERT INTO `lang_definitions` VALUES (67373, 9028, 13, 'S');
INSERT INTO `lang_definitions` VALUES (67374, 9029, 13, 'S.S.');
INSERT INTO `lang_definitions` VALUES (67375, 9030, 13, 'S3:');
INSERT INTO `lang_definitions` VALUES (67376, 9031, 13, 'S4:');
INSERT INTO `lang_definitions` VALUES (67377, 9032, 13, 'SA  *  * Լիցենզիան կարդալու համար կարդալ փաստաթղթերը/license.txt կամ այցելել  * http://www.gnu.org/copyleft/gpl.html  *  */  //========================================================================= //');
INSERT INTO `lang_definitions` VALUES (67378, 9034, 13, 'ապրանքաշրջանառություն');
INSERT INTO `lang_definitions` VALUES (67379, 9035, 13, 'ապրանքաշրջանառություն');
INSERT INTO `lang_definitions` VALUES (67380, 9036, 13, 'ապրանքաշրջանառություն ըստ կետերի');
INSERT INTO `lang_definitions` VALUES (67381, 9037, 13, 'Վաառք/ապրանքաշրջանառություն ըստ ապրանքների հաշվետվության');
INSERT INTO `lang_definitions` VALUES (67382, 9038, 13, 'Թուք');
INSERT INTO `lang_definitions` VALUES (67383, 9039, 13, 'Նույն օրը');
INSERT INTO `lang_definitions` VALUES (67384, 9040, 13, 'Սամոերեն');
INSERT INTO `lang_definitions` VALUES (67385, 9041, 13, 'Օրինակ');
INSERT INTO `lang_definitions` VALUES (67386, 9042, 13, 'Տույժի տեսակը');
INSERT INTO `lang_definitions` VALUES (67387, 9043, 13, 'Սանգո');
INSERT INTO `lang_definitions` VALUES (67388, 9045, 13, 'Սանսկրիտ (Saṁskṛta)');
INSERT INTO `lang_definitions` VALUES (67389, 9047, 13, 'Շբթ․');
INSERT INTO `lang_definitions` VALUES (67390, 9048, 13, 'Շբթ &amp; Կիր');
INSERT INTO `lang_definitions` VALUES (67391, 9049, 13, 'Շաբաթ');
INSERT INTO `lang_definitions` VALUES (67392, 9050, 13, 'Պահպանել');
INSERT INTO `lang_definitions` VALUES (67393, 9051, 13, 'ՊԱՀՊԱՆԵԼ');
INSERT INTO `lang_definitions` VALUES (67394, 9055, 13, 'Պահպանել և փակել');
INSERT INTO `lang_definitions` VALUES (67395, 9057, 13, 'Պահպանել և հեռացնել պահանջը/հարցումը');
INSERT INTO `lang_definitions` VALUES (67396, 9058, 13, 'Պահպանել և բաշխել');
INSERT INTO `lang_definitions` VALUES (67397, 9060, 13, 'Պահպանել եւ փոխանցել');
INSERT INTO `lang_definitions` VALUES (67398, 9061, 13, 'Պահպանել որպես նոր');
INSERT INTO `lang_definitions` VALUES (67399, 9063, 13, 'Պահպանել որպես նոր գրանցում');
INSERT INTO `lang_definitions` VALUES (67400, 9066, 13, 'Պահպանել վկայականի կարգավորումները');
INSERT INTO `lang_definitions` VALUES (67401, 9067, 13, 'Պահպանել փոփոխությունները');
INSERT INTO `lang_definitions` VALUES (67402, 9075, 13, 'Պահպանել ձևը');
INSERT INTO `lang_definitions` VALUES (67403, 9076, 13, 'Պահպանել պատվաստումը');
INSERT INTO `lang_definitions` VALUES (67404, 9078, 13, 'Պահպանել նոր դաշտը');
INSERT INTO `lang_definitions` VALUES (67405, 9079, 13, 'Պահպանել խումբը');
INSERT INTO `lang_definitions` VALUES (67406, 9080, 13, 'Պահպանել ցանկը');
INSERT INTO `lang_definitions` VALUES (67407, 9081, 13, 'Պահպանել նոր բլանկը');
INSERT INTO `lang_definitions` VALUES (67408, 9083, 13, 'Պահպանել պացիենտի անձնական/ազգագրական տվյալները');
INSERT INTO `lang_definitions` VALUES (67409, 9087, 13, 'ID քարտը  հաջողությամբ պհպանվեց');
INSERT INTO `lang_definitions` VALUES (67410, 9089, 13, 'Պահպանել գործարքը');
INSERT INTO `lang_definitions` VALUES (67411, 9090, 13, 'Հաջողությամբ պահպանվեց');
INSERT INTO `lang_definitions` VALUES (67412, 9098, 13, 'Սքանավորված է');
INSERT INTO `lang_definitions` VALUES (67413, 9099, 13, 'Այցելության գրառումների սքան');
INSERT INTO `lang_definitions` VALUES (67414, 9100, 13, 'Սքաների ուղեցույց');
INSERT INTO `lang_definitions` VALUES (67415, 9101, 13, 'Սքաներ');
INSERT INTO `lang_definitions` VALUES (67416, 9104, 13, 'Գրաֆիկ');
INSERT INTO `lang_definitions` VALUES (67417, 9106, 13, 'Պլանավորված բուժծառայություններ');
INSERT INTO `lang_definitions` VALUES (67418, 9117, 13, 'ԳՐԱՌՈՒՄ ԴՊՐՈՑԻ ՄԱՍԻՆ');
INSERT INTO `lang_definitions` VALUES (67419, 9122, 13, 'Սկոլիոզ');
INSERT INTO `lang_definitions` VALUES (67420, 9125, 13, 'Շոտլանդական-Կելտական-կելտերեն');
INSERT INTO `lang_definitions` VALUES (67421, 9127, 13, 'Էկրանավորում / թեստավորում');
INSERT INTO `lang_definitions` VALUES (67422, 9133, 13, 'SE');
INSERT INTO `lang_definitions` VALUES (67423, 9134, 13, 'SE Հասցե');
INSERT INTO `lang_definitions` VALUES (67424, 9135, 13, 'SE Քաղաք');
INSERT INTO `lang_definitions` VALUES (67425, 9136, 13, 'SE Երկիր');
INSERT INTO `lang_definitions` VALUES (67426, 9137, 13, 'SE Բնակավայր');
INSERT INTO `lang_definitions` VALUES (67427, 9138, 13, 'SE Փոստային ինդեքս');
INSERT INTO `lang_definitions` VALUES (67428, 9139, 13, 'SE Նահանգ/մարզ');
INSERT INTO `lang_definitions` VALUES (67429, 9140, 13, 'SE Zip Code');
INSERT INTO `lang_definitions` VALUES (67430, 9141, 13, 'Որոնում/որոնել');
INSERT INTO `lang_definitions` VALUES (67431, 9142, 13, 'ՈՐՈՆԵԼ');
INSERT INTO `lang_definitions` VALUES (67432, 9143, 13, 'որոնել');
INSERT INTO `lang_definitions` VALUES (67433, 9144, 13, 'կրկին որոնել');
INSERT INTO `lang_definitions` VALUES (67434, 9145, 13, 'Փնտրել բոլոր սյուները');
INSERT INTO `lang_definitions` VALUES (67435, 9150, 13, 'Որոնում ըստ։');
INSERT INTO `lang_definitions` VALUES (67436, 9152, 13, '-ի որոնում');
INSERT INTO `lang_definitions` VALUES (67437, 9156, 13, '-ի որոնում։');
INSERT INTO `lang_definitions` VALUES (67438, 9158, 13, 'Փնտրել -ում');
INSERT INTO `lang_definitions` VALUES (67439, 9159, 13, 'Փնտրել -ում');
INSERT INTO `lang_definitions` VALUES (67440, 9161, 13, 'Պացիենտի որոնում կամ ավելացում');
INSERT INTO `lang_definitions` VALUES (67441, 9164, 13, 'Վչարման որոնում Փնտրել վճարումը');
INSERT INTO `lang_definitions` VALUES (67442, 9167, 13, 'Որոնման արդյունքներ');
INSERT INTO `lang_definitions` VALUES (67443, 9168, 13, 'Որոնման արդյունքներ։');
INSERT INTO `lang_definitions` VALUES (67444, 9169, 13, 'Որոնել ընտրվածները որոնումն ընտրված է');
INSERT INTO `lang_definitions` VALUES (67445, 9171, 13, 'Որոնման տողը չի համապատասխանում տվյալների բազայի ցանկին');
INSERT INTO `lang_definitions` VALUES (67446, 9172, 13, 'Որոնման տողը պետք է ունենա առնվազն 3 նիշ');
INSERT INTO `lang_definitions` VALUES (67447, 9174, 13, 'Տեքստային որոնում');
INSERT INTO `lang_definitions` VALUES (67448, 9175, 13, 'Իադարջության որոնում');
INSERT INTO `lang_definitions` VALUES (67449, 9178, 13, 'Փնտրել/ավելացնել');
INSERT INTO `lang_definitions` VALUES (67450, 9179, 13, 'Փնտրել/ավելացնել ապահովագրող');
INSERT INTO `lang_definitions` VALUES (67451, 9181, 13, 'Այցերի որոնում');
INSERT INTO `lang_definitions` VALUES (67452, 9182, 13, 'Փնտրվում է․․․');
INSERT INTO `lang_definitions` VALUES (67453, 9184, 13, 'Ամարագոտու/անվտանգության գոտու կիրառում');
INSERT INTO `lang_definitions` VALUES (67454, 9185, 13, 'Ամարագոտու/անվտանգության գոտու կիրառում');
INSERT INTO `lang_definitions` VALUES (67455, 9186, 13, 'Երկրորդ');
INSERT INTO `lang_definitions` VALUES (67456, 9187, 13, 'երկրորդ');
INSERT INTO `lang_definitions` VALUES (67457, 9188, 13, 'Երկրորդ հաշվի հաղորդագրություն');
INSERT INTO `lang_definitions` VALUES (67458, 9189, 13, 'Կրկնակի/երկրորդային');
INSERT INTO `lang_definitions` VALUES (67459, 9191, 13, 'Կրկնակի/երկրորդային ապահովագրություն');
INSERT INTO `lang_definitions` VALUES (67460, 9192, 13, 'Կրկնակի/երկրորդային ապահովագրության ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (67461, 9193, 13, 'Կրկնակի/երկրորդային ապահովագրող');
INSERT INTO `lang_definitions` VALUES (67462, 9194, 13, 'Կրկնակի/երկրորդային բուժօգնության տեսակը');
INSERT INTO `lang_definitions` VALUES (67463, 9195, 13, 'վայրկյաններ');
INSERT INTO `lang_definitions` VALUES (67464, 9196, 13, 'Բաժնի  ID');
INSERT INTO `lang_definitions` VALUES (67465, 9197, 13, 'Բաժնի  ID-ն և անվանումը չեն կարող դատարկ լինել');
INSERT INTO `lang_definitions` VALUES (67466, 9198, 13, 'Բաժնի անվանում');
INSERT INTO `lang_definitions` VALUES (67467, 9199, 13, 'Բաժինը հաջողությամբ պահպանվել է');
INSERT INTO `lang_definitions` VALUES (67468, 9201, 13, 'Գաղտնի էլեկտրոնային հաղորդագրություն');
INSERT INTO `lang_definitions` VALUES (67469, 9207, 13, 'Անվատնգություն');
INSERT INTO `lang_definitions` VALUES (67470, 9208, 13, 'Տեսնել ամբողջը');
INSERT INTO `lang_definitions` VALUES (67471, 9210, 13, 'Տեսնել լիազորագրերը');
INSERT INTO `lang_definitions` VALUES (67472, 9213, 13, 'Տեսնել աճի սանդղակը');
INSERT INTO `lang_definitions` VALUES (67473, 9214, 13, 'Տեսնել վերջին պահանջներից ստացված հաղորդագրությունները');
INSERT INTO `lang_definitions` VALUES (67474, 9218, 13, 'Տեսնել սկսած');
INSERT INTO `lang_definitions` VALUES (67475, 9220, 13, 'Սեգմենտի անվանում');
INSERT INTO `lang_definitions` VALUES (67476, 9222, 13, 'Հանկարծակի նոպա');
INSERT INTO `lang_definitions` VALUES (67477, 9223, 13, 'Ընտր․');
INSERT INTO `lang_definitions` VALUES (67478, 9224, 13, 'Ընտրել');
INSERT INTO `lang_definitions` VALUES (67479, 9225, 13, 'Ընտրել');
INSERT INTO `lang_definitions` VALUES (67480, 9227, 13, 'Ընտրել բաղադրիչ/կոմպոնենտ');
INSERT INTO `lang_definitions` VALUES (67481, 9228, 13, 'Ընտրել համատքեստը');
INSERT INTO `lang_definitions` VALUES (67482, 9232, 13, 'Ընտրել տողերի տոկոսը կամ ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (67483, 9235, 13, 'Ընտրել ժամանակահատված');
INSERT INTO `lang_definitions` VALUES (67484, 9236, 13, 'Ընտրել օգտվողին');
INSERT INTO `lang_definitions` VALUES (67485, 9239, 13, 'Ընտրել ամբողջը');
INSERT INTO `lang_definitions` VALUES (67486, 9241, 13, 'Ընտրել փոփոխությունների ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (67487, 9242, 13, 'Ընտրել տպագրության ենթակա փոփոխությունները');
INSERT INTO `lang_definitions` VALUES (67488, 9248, 13, 'Ընտրել տպագրության ենթակա CAMOS գրառումները');
INSERT INTO `lang_definitions` VALUES (67489, 9250, 13, 'Ընտրել կատեգորիան');
INSERT INTO `lang_definitions` VALUES (67490, 9253, 13, 'Ընտրել հաղորդակցության նախընտրելի տարբերակները');
INSERT INTO `lang_definitions` VALUES (67491, 9254, 13, 'Ջնջելու համար ընտրեք համապատասխան նշավանդակները');
INSERT INTO `lang_definitions` VALUES (67492, 9256, 13, 'Ընտրել ջնջելու/հեռացնելու չափորոիչները');
INSERT INTO `lang_definitions` VALUES (67493, 9257, 13, 'Ընտրել CSV աղյուսակը');
INSERT INTO `lang_definitions` VALUES (67494, 9260, 13, 'Ընտրել դեինդենտիֆիկացիայի համար պահանջվող ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (67495, 9261, 13, 'Ընտրել դեինդենտիֆիկացիայի բազայում ներառվող ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (67496, 9262, 13, 'Ընտրել ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (67497, 9264, 13, 'Ընտրել անհրաժեշտ խումբը');
INSERT INTO `lang_definitions` VALUES (67498, 9265, 13, 'Ընտրել ախտորոշումը');
INSERT INTO `lang_definitions` VALUES (67499, 9267, 13, 'Ընտրել ախտորոշումն ըստ դեինդենտիֆիկացիայի պահանջի');
INSERT INTO `lang_definitions` VALUES (67500, 9271, 13, 'Ընտրել դեղամիջոցը');
INSERT INTO `lang_definitions` VALUES (67501, 9272, 13, 'Ընտրել դեղորայքը');
INSERT INTO `lang_definitions` VALUES (67502, 9273, 13, 'Ընտրել դեղորայքն ըստ դեինդենտիֆիկացիայի պահանջի');
INSERT INTO `lang_definitions` VALUES (67503, 9274, 13, 'Ընտրել  EDI-271 ֆայլը');
INSERT INTO `lang_definitions` VALUES (67504, 9275, 13, 'Ընտրել այցը');
INSERT INTO `lang_definitions` VALUES (67505, 9276, 13, 'Ընտրել դաշտը');
INSERT INTO `lang_definitions` VALUES (67506, 9278, 13, 'Ընտրել դաշտերը');
INSERT INTO `lang_definitions` VALUES (67507, 9279, 13, 'Ընտրել տպագրության համար');
INSERT INTO `lang_definitions` VALUES (67508, 9285, 13, 'Ընտրել պատվաստումները');
INSERT INTO `lang_definitions` VALUES (67509, 9286, 13, 'Ընտրել պատվաստումներն ըստ դեինդենտիֆիկացիայի պահանջի');
INSERT INTO `lang_definitions` VALUES (67510, 9287, 13, 'Ընտրել ապահովագրությունն ըստ տպագրության/տեսակավորման');
INSERT INTO `lang_definitions` VALUES (67511, 9288, 13, 'Ընտրել խնդիրը');
INSERT INTO `lang_definitions` VALUES (67512, 9289, 13, 'Ընտրել կետերը');
INSERT INTO `lang_definitions` VALUES (67513, 9291, 13, 'Ընտրել լեզուն');
INSERT INTO `lang_definitions` VALUES (67514, 9297, 13, 'Ընտրել մեկը');
INSERT INTO `lang_definitions` VALUES (67515, 9298, 13, 'Ընտրել մեկ և ավել ախտորոշման կոդեր՝ բուժծառայությունը հաստատելու համար');
INSERT INTO `lang_definitions` VALUES (67516, 9299, 13, 'Ընտրել մեկ և ավել դաշտեր բեռնման համար');
INSERT INTO `lang_definitions` VALUES (67517, 9303, 13, 'Ընտրել արտադրանքը/ելքերը');
INSERT INTO `lang_definitions` VALUES (67518, 9305, 13, 'ԸՆՏՐԵԼ  ՆԱԽԱԳԻԾԸ/ՊԼԱՆԸ');
INSERT INTO `lang_definitions` VALUES (67519, 9311, 13, 'Ընտրել ըստ պահանջի');
INSERT INTO `lang_definitions` VALUES (67520, 9312, 13, 'Ընտրել պարտականությունը/դերը');
INSERT INTO `lang_definitions` VALUES (67521, 9314, 13, 'Ընտրել սկզբնաղբյուրը');
INSERT INTO `lang_definitions` VALUES (67522, 9317, 13, 'Ընտրել նմուշը');
INSERT INTO `lang_definitions` VALUES (67523, 9321, 13, 'Ընտրել արտածման համար անհրաժեշտ կոնֆիգուրացիոն տարրերը');
INSERT INTO `lang_definitions` VALUES (67524, 9328, 13, 'Ընտրեք խնդիրը, որը հիմնականում պատասխանատու է այս օրվա ցանկացած բաց թողնված իրադարձության համար');
INSERT INTO `lang_definitions` VALUES (67525, 9335, 13, 'Ընտրել ուղին');
INSERT INTO `lang_definitions` VALUES (67526, 9337, 13, 'Ընտրել տեսակը');
INSERT INTO `lang_definitions` VALUES (67527, 9338, 13, 'Ընտրել օգտվողին');
INSERT INTO `lang_definitions` VALUES (67528, 9340, 13, 'Բացվող ցանկից ընտրել օգտվողներին');
INSERT INTO `lang_definitions` VALUES (67529, 9341, 13, 'Ընտրել լեզուն, եթե մուտքի համար թույլատրվում է այլ լեզու (սա վերաբերում է միայն այն դեպքին, երբ ԲՈԼՈՐ ԼԵԶՈւՆԵՐԸ ԹՈւՅԼԱՏՐՎԱԾ ԵՆ ֆունկցիան/կաճակն անջատված է)');
INSERT INTO `lang_definitions` VALUES (67530, 9343, 13, 'Սեղմել ԱՅՈ խումբը ջնջելու/հեռացնելու համար');
INSERT INTO `lang_definitions` VALUES (67531, 9347, 13, 'Ընտրել1');
INSERT INTO `lang_definitions` VALUES (67532, 9348, 13, 'Ընտրել2');
INSERT INTO `lang_definitions` VALUES (67533, 9349, 13, 'Ընտրված/Ընտրված է');
INSERT INTO `lang_definitions` VALUES (67534, 9350, 13, 'Ընտրված այց');
INSERT INTO `lang_definitions` VALUES (67535, 9355, 13, 'Սա ընտրելու դեպքում կստեղծվիհաղորդագրություն, որը յուրաքանչյուր պացիենտի համար կպահանջի անհատական մշակում (սա աշխատանքային խումբ չէ)');
INSERT INTO `lang_definitions` VALUES (67536, 9357, 13, 'Ինքնուրույն');
INSERT INTO `lang_definitions` VALUES (67537, 9358, 13, 'Ինքնուրույն վճարել');
INSERT INTO `lang_definitions` VALUES (67538, 9359, 13, 'ՈՒՂԱՐԿԵԼ');
INSERT INTO `lang_definitions` VALUES (67539, 9360, 13, 'Ուղարկել');
INSERT INTO `lang_definitions` VALUES (67540, 9361, 13, 'Ուղարկել օրացուցային հիշեցում');
INSERT INTO `lang_definitions` VALUES (67541, 9362, 13, 'Ուղարկել հիշեցում');
INSERT INTO `lang_definitions` VALUES (67542, 9369, 13, 'Ուղարկվում է');
INSERT INTO `lang_definitions` VALUES (67543, 9372, 13, 'Ուղարկել հաղորդագրություն');
INSERT INTO `lang_definitions` VALUES (67544, 9378, 13, 'Ուղարկել հիշեցումների խմբաքանակ');
INSERT INTO `lang_definitions` VALUES (67545, 9379, 13, 'Ըստ յուրաքանչյուր պացիենտի նախապատվության ուղարկել  կանխարգելիչ/հետագա խնամքի հիշեցումները');
INSERT INTO `lang_definitions` VALUES (67546, 9383, 13, 'Ուղարկել ամփոփագրերն ուղեգրերի հետ');
INSERT INTO `lang_definitions` VALUES (67547, 9384, 13, 'Ուղարկել այս ֆայլը');
INSERT INTO `lang_definitions` VALUES (67548, 9385, 13, 'Ուղարկել սույն հաղորդագրությունը');
INSERT INTO `lang_definitions` VALUES (67549, 9386, 13, 'Ուղարկել -ին');
INSERT INTO `lang_definitions` VALUES (67550, 9387, 13, 'Ուղարկել -ին');
INSERT INTO `lang_definitions` VALUES (67551, 9388, 13, 'ՈՒՂԱՐԿԵԼ');
INSERT INTO `lang_definitions` VALUES (67552, 9389, 13, 'Ուղարկել բոլորին');
INSERT INTO `lang_definitions` VALUES (67553, 9391, 13, 'HIE-ին ուղարկելը ձախողվեց');
INSERT INTO `lang_definitions` VALUES (67554, 9392, 13, 'Ուղարկել պորտալ');
INSERT INTO `lang_definitions` VALUES (67555, 9393, 13, 'Ուղարկել պորտալ');
INSERT INTO `lang_definitions` VALUES (67556, 9395, 13, 'Ուղարկող');
INSERT INTO `lang_definitions` VALUES (67557, 9396, 13, 'Ուղարկողի ID');
INSERT INTO `lang_definitions` VALUES (67558, 9397, 13, 'Ուղարկողի ID (ISA06)');
INSERT INTO `lang_definitions` VALUES (67559, 9398, 13, 'Ուղարկողի ID որոշիչ (ISA05)');
INSERT INTO `lang_definitions` VALUES (67560, 9399, 13, 'Ուղարկողի ID-ներ');
INSERT INTO `lang_definitions` VALUES (67561, 9406, 13, 'Ուղարկել -ին');
INSERT INTO `lang_definitions` VALUES (67562, 9407, 13, 'Զագայունություն');
INSERT INTO `lang_definitions` VALUES (67563, 9411, 13, 'Զագայունություն');
INSERT INTO `lang_definitions` VALUES (67564, 9412, 13, 'Զգայունության թեստը նորմալ է');
INSERT INTO `lang_definitions` VALUES (67565, 9413, 13, 'Ուղարկված է');
INSERT INTO `lang_definitions` VALUES (67566, 9414, 13, 'Ուղարկված - Հաստատված');
INSERT INTO `lang_definitions` VALUES (67567, 9415, 13, 'Ուղարկված է  -ով/կողմից, Բոլորի համար դատարկ թողնել');
INSERT INTO `lang_definitions` VALUES (67568, 9416, 13, 'Ուղարկված է  -ով/կողմից։');
INSERT INTO `lang_definitions` VALUES (67569, 9417, 13, 'Ուղարկման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (67570, 9418, 13, 'Ուղարկվածներ');
INSERT INTO `lang_definitions` VALUES (67571, 9419, 13, 'Ուղարկե՞լ բժշկական գրանցումները');
INSERT INTO `lang_definitions` VALUES (67572, 9420, 13, 'Հաջողությամբ ուղարկվել է');
INSERT INTO `lang_definitions` VALUES (67573, 9421, 13, 'Բուժման ամփոփ տեղեկագիրն  էլ․ եղանակով');
INSERT INTO `lang_definitions` VALUES (67574, 9422, 13, 'Ուղարկե՞լ բուժման ամփոփ տեղեկագիր');
INSERT INTO `lang_definitions` VALUES (67575, 9423, 13, 'Ուղարկված է տպագրության');
INSERT INTO `lang_definitions` VALUES (67576, 9424, 13, 'Ուղարկված է  -ին, Բոլորի համար դատարկ թողնել');
INSERT INTO `lang_definitions` VALUES (67577, 9425, 13, 'Ուղարկված է  -ին');
INSERT INTO `lang_definitions` VALUES (67578, 9426, 13, 'Ուղարկվել է, սակայն ստացումը դեռ չի հաստատվել');
INSERT INTO `lang_definitions` VALUES (67579, 9427, 13, 'Ուղարկված, բայց ստացված չէ');
INSERT INTO `lang_definitions` VALUES (67580, 9429, 13, 'Սեպտ․ Առնձ․');
INSERT INTO `lang_definitions` VALUES (67581, 9430, 13, 'Առանձին');
INSERT INTO `lang_definitions` VALUES (67582, 9431, 13, 'Սեպտեմբեր');
INSERT INTO `lang_definitions` VALUES (67583, 9432, 13, 'Հերթ․');
INSERT INTO `lang_definitions` VALUES (67584, 9433, 13, 'Հերթականություն');
INSERT INTO `lang_definitions` VALUES (67585, 9434, 13, 'Սերբերեն');
INSERT INTO `lang_definitions` VALUES (67586, 9438, 13, 'Հնարավոր է սերվերն անջատված է');
INSERT INTO `lang_definitions` VALUES (67587, 9439, 13, 'Սերվերի հաղորդագրություն');
INSERT INTO `lang_definitions` VALUES (67588, 9442, 13, 'Ծառայություն');
INSERT INTO `lang_definitions` VALUES (67589, 9444, 13, 'Ծառայության կատեգորիա');
INSERT INTO `lang_definitions` VALUES (67590, 9445, 13, 'Ծառայության կոդ');
INSERT INTO `lang_definitions` VALUES (67591, 9447, 13, 'Ծառայությունների կոդեր');
INSERT INTO `lang_definitions` VALUES (67592, 9448, 13, 'Ծառայության ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (67593, 9451, 13, 'Ծառայության ամսաթիվ։');
INSERT INTO `lang_definitions` VALUES (67594, 9455, 13, 'Ծառայության մատուցման վայրը');
INSERT INTO `lang_definitions` VALUES (67595, 9456, 13, 'Ծառայության անվանումը');
INSERT INTO `lang_definitions` VALUES (67596, 9457, 13, 'Մասնագետի կողմից մատուցված ծառայությունը');
INSERT INTO `lang_definitions` VALUES (67597, 9459, 13, 'Ծառայությունների զեկույց');
INSERT INTO `lang_definitions` VALUES (67598, 9460, 13, 'Ծառայությունների զեկույցը միայն');
INSERT INTO `lang_definitions` VALUES (67599, 9461, 13, 'Ծառայություններ');
INSERT INTO `lang_definitions` VALUES (67600, 9462, 13, 'Ծառայություններ ըստ կատեգորիաների');
INSERT INTO `lang_definitions` VALUES (67601, 9463, 13, 'Մատուցված ծառայություններ');
INSERT INTO `lang_definitions` VALUES (67602, 9464, 13, 'Մատուցված ծառայություններ');
INSERT INTO `lang_definitions` VALUES (67603, 9465, 13, 'Ծառայություններ / Ապրանքներ');
INSERT INTO `lang_definitions` VALUES (67604, 9466, 13, 'Սեսսիայի տեսակը');
INSERT INTO `lang_definitions` VALUES (67605, 9467, 13, 'Սահմանել/Տեղադրել');
INSERT INTO `lang_definitions` VALUES (67606, 9469, 13, 'Սահմանել որպես ավարտված');
INSERT INTO `lang_definitions` VALUES (67607, 9476, 13, 'Սահմանել Պացիենտի հիշեցումների մշակման առաջնայնություն  (լիարժեք կլինիկական ռեժիմով)');
INSERT INTO `lang_definitions` VALUES (67608, 9479, 13, 'Սահմանել -ում');
INSERT INTO `lang_definitions` VALUES (67609, 9480, 13, 'Սահմանել որպես կանխադրված');
INSERT INTO `lang_definitions` VALUES (67610, 9486, 13, 'Տվյալների բազայում տեղադրել տարբերակի հերթական համարը');
INSERT INTO `lang_definitions` VALUES (67611, 9488, 13, 'Կարգավորումներ');
INSERT INTO `lang_definitions` VALUES (67612, 9492, 13, 'Խիստ/ծանր');
INSERT INTO `lang_definitions` VALUES (67613, 9493, 13, 'Ծանր միգրեն');
INSERT INTO `lang_definitions` VALUES (67614, 9494, 13, 'Խստության/ծանրության աստիճանը');
INSERT INTO `lang_definitions` VALUES (67615, 9496, 13, 'Ցավի ուժգնության աստիճան');
INSERT INTO `lang_definitions` VALUES (67616, 9497, 13, 'Ցավի ուժգնության աստիճան։');
INSERT INTO `lang_definitions` VALUES (67617, 9498, 13, 'Սեռ');
INSERT INTO `lang_definitions` VALUES (67618, 9499, 13, 'Սեռական ճանապարհով փոխանցվող հիվանդություն');
INSERT INTO `lang_definitions` VALUES (67619, 9500, 13, 'SFTP');
INSERT INTO `lang_definitions` VALUES (67620, 9502, 13, 'Sha-1 Հեշ');
INSERT INTO `lang_definitions` VALUES (67621, 9503, 13, 'Համատեղ կիրառում Բաժնեկցել');
INSERT INTO `lang_definitions` VALUES (67622, 9504, 13, 'Shell հրաման՝ սերվերից տպելու համար');
INSERT INTO `lang_definitions` VALUES (67623, 9505, 13, 'փփոխություն/փոփոխել');
INSERT INTO `lang_definitions` VALUES (67624, 9507, 13, 'Հակիրճ նկարագրություն');
INSERT INTO `lang_definitions` VALUES (67625, 9510, 13, 'Հևոց Շնչարգելություն');
INSERT INTO `lang_definitions` VALUES (67626, 9511, 13, 'Հևոց Շնչարգելություն');
INSERT INTO `lang_definitions` VALUES (67627, 9512, 13, 'Հևոց 2 Շնչարգելություն 2');
INSERT INTO `lang_definitions` VALUES (67628, 9513, 13, 'Կրճատ գրանցում');
INSERT INTO `lang_definitions` VALUES (67629, 9514, 13, 'Կրճատ գրանցում որպես');
INSERT INTO `lang_definitions` VALUES (67630, 9515, 13, 'Պետք է ակտիվացնել');
INSERT INTO `lang_definitions` VALUES (67631, 9516, 13, 'Պետք է նման լինի nnnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (67632, 9517, 13, 'Պետք է լինի 2 տառ');
INSERT INTO `lang_definitions` VALUES (67633, 9518, 13, 'Պետք է պարունակի 10 թիվ');
INSERT INTO `lang_definitions` VALUES (67634, 9519, 13, 'Պետք է պարունակի միայն 10 թիվ');
INSERT INTO `lang_definitions` VALUES (67635, 9520, 13, 'Ուս');
INSERT INTO `lang_definitions` VALUES (67636, 9521, 13, 'Ուս+անրակ');
INSERT INTO `lang_definitions` VALUES (67637, 9522, 13, 'Ուսերի խնդիր');
INSERT INTO `lang_definitions` VALUES (67638, 9523, 13, 'Ցույց տալ');
INSERT INTO `lang_definitions` VALUES (67639, 9524, 13, 'Ցույց տալ /Ցուցադրել ակտիվներին');
INSERT INTO `lang_definitions` VALUES (67640, 9525, 13, 'Ցույց տալ/Ցուցադրել լրացուցիչ ապահովագրական տեղեկատվություն');
INSERT INTO `lang_definitions` VALUES (67641, 9527, 13, 'Ցույց տալ/Ցուցադրել ամբողջը');
INSERT INTO `lang_definitions` VALUES (67642, 9529, 13, 'Ցույց տալ /Ցուցադրել բոլոր միջամտությունները');
INSERT INTO `lang_definitions` VALUES (67643, 9530, 13, 'Ցույց տալ /Ցուցադրել բոլոր արդյունքները');
INSERT INTO `lang_definitions` VALUES (67644, 9531, 13, 'Ցույց տալ/ Ցուցադրել բոլոր գործարքները');
INSERT INTO `lang_definitions` VALUES (67645, 9532, 13, 'Ցույց տալ զբաղված լինելը');
INSERT INTO `lang_definitions` VALUES (67646, 9533, 13, 'Ցույց տալ միայն թույլատրվածները');
INSERT INTO `lang_definitions` VALUES (67647, 9534, 13, 'Ցույց տալ հասանելի տարրերը');
INSERT INTO `lang_definitions` VALUES (67648, 9540, 13, 'Ցույց տալ մանրամասները');
INSERT INTO `lang_definitions` VALUES (67649, 9542, 13, 'Ցույց տալ միայն սխալնե՞րը');
INSERT INTO `lang_definitions` VALUES (67650, 9544, 13, 'Ցույց տալ  գրաֆիկը');
INSERT INTO `lang_definitions` VALUES (67651, 9547, 13, 'Քանի՞ իրադարձություն ցուցադրել ադմինի էջում');
INSERT INTO `lang_definitions` VALUES (67652, 9548, 13, 'Ցույց տալ ոչ ակտիվները/պասսիվները');
INSERT INTO `lang_definitions` VALUES (67653, 9552, 13, 'Ցույց տալ ցանկը');
INSERT INTO `lang_definitions` VALUES (67654, 9553, 13, 'Ցույց տալ միայն չափումայինները');
INSERT INTO `lang_definitions` VALUES (67655, 9556, 13, 'Ցույց տալ գրառումները');
INSERT INTO `lang_definitions` VALUES (67656, 9558, 13, 'Ցույց տալ միայն չբացակայող միջամտությունները');
INSERT INTO `lang_definitions` VALUES (67657, 9561, 13, 'Ցույց տալ պացիենտի մասին գրառումները');
INSERT INTO `lang_definitions` VALUES (67658, 9568, 13, 'Ցույց տալ հիշեցումները');
INSERT INTO `lang_definitions` VALUES (67659, 9569, 13, 'Ցույց տալ զեկույցը/հաշվետվությունը');
INSERT INTO `lang_definitions` VALUES (67660, 9570, 13, 'Ցուցադրե՞լ որոնման/հաստատման հղումները վանդակում');
INSERT INTO `lang_definitions` VALUES (67661, 9580, 13, 'Ցույց տալ միայն չվճարվածները');
INSERT INTO `lang_definitions` VALUES (67662, 9581, 13, 'Ցույց տալ միայն US');
INSERT INTO `lang_definitions` VALUES (67663, 9585, 13, 'Ցույց է տալիս / Ցուցադրում է');
INSERT INTO `lang_definitions` VALUES (67664, 9589, 13, 'Ցույց է տալիս / Ցուցադրում է արդյունքները');
INSERT INTO `lang_definitions` VALUES (67665, 9592, 13, 'Քույր/եղբայր');
INSERT INTO `lang_definitions` VALUES (67666, 9593, 13, 'Հարազատների պատմություն');
INSERT INTO `lang_definitions` VALUES (67667, 9594, 13, 'ամուսնու քույր/եղբայր');
INSERT INTO `lang_definitions` VALUES (67668, 9595, 13, 'Հարազատներ քույր/եղբայր');
INSERT INTO `lang_definitions` VALUES (67669, 9596, 13, 'Մանգաղանման բջիջներ');
INSERT INTO `lang_definitions` VALUES (67670, 9597, 13, 'Sig');
INSERT INTO `lang_definitions` VALUES (67671, 9598, 13, 'Սիգմոիդ/Սիգմայաձև / Կոլոնոսկոպիա');
INSERT INTO `lang_definitions` VALUES (67672, 9599, 13, 'Ստորագրել/հաստատել');
INSERT INTO `lang_definitions` VALUES (67673, 9601, 13, 'Գրանցել/Ստորագրել/հաստատել  լաբորատոր հետազոտությունների արդյունքները (գրել, միայն ավելացնել ըստ ցանկության)');
INSERT INTO `lang_definitions` VALUES (67674, 9603, 13, 'Գրանցել/Ստորագրել/հաստատել  արդյունքները');
INSERT INTO `lang_definitions` VALUES (67675, 9606, 13, 'Ստորագրություն');
INSERT INTO `lang_definitions` VALUES (67676, 9607, 13, 'Ստորագրություն ֆայլի վրա');
INSERT INTO `lang_definitions` VALUES (67677, 9609, 13, 'Ստորագրություն։');
INSERT INTO `lang_definitions` VALUES (67678, 9612, 13, 'Ստորագրված Rx');
INSERT INTO `lang_definitions` VALUES (67679, 9614, 13, 'Զգալի չափերի ուռուցք');
INSERT INTO `lang_definitions` VALUES (67680, 9615, 13, 'Պարզեցված');
INSERT INTO `lang_definitions` VALUES (67681, 9616, 13, 'Պարզեցված հավելավճար');
INSERT INTO `lang_definitions` VALUES (67682, 9617, 13, 'Պարզեցված/կրճատ անձնական տվյալներ');
INSERT INTO `lang_definitions` VALUES (67683, 9618, 13, 'Պարզեցված/կրճատ դեղատոմսեր');
INSERT INTO `lang_definitions` VALUES (67684, 9619, 13, 'ի վեր/ սկսած');
INSERT INTO `lang_definitions` VALUES (67685, 9620, 13, 'Հարգանքներով');
INSERT INTO `lang_definitions` VALUES (67686, 9622, 13, 'Ամուրի/չամուսնացած Մեկ');
INSERT INTO `lang_definitions` VALUES (67687, 9624, 13, 'Մեկական  ընտրության ցանկ');
INSERT INTO `lang_definitions` VALUES (67688, 9625, 13, 'Մեկական  ընտրության ցանկ՝ ավելացման հնարավորությամբ');
INSERT INTO `lang_definitions` VALUES (67689, 9626, 13, 'Եզակի');
INSERT INTO `lang_definitions` VALUES (67690, 9634, 13, 'Կայք');
INSERT INTO `lang_definitions` VALUES (67691, 9637, 13, 'Կայքի ID');
INSERT INTO `lang_definitions` VALUES (67692, 9638, 13, 'LLC Lab Exchange Service-ում բժշկական ինֆորմացիայի տեղադրման համար պահանջվող կայքի ID');
INSERT INTO `lang_definitions` VALUES (67693, 9639, 13, 'LLC Lab Exchange Service-ում OpenEMR գործարկելու համար պահանջվող կայքի ID');
INSERT INTO `lang_definitions` VALUES (67694, 9641, 13, 'Վեց ամիս առաջ');
INSERT INTO `lang_definitions` VALUES (67695, 9643, 13, 'Չափ');
INSERT INTO `lang_definitions` VALUES (67696, 9646, 13, 'Չափը պետք է լինի 1-999 միջակայքի թիվ');
INSERT INTO `lang_definitions` VALUES (67697, 9648, 13, 'Չափ / Ցանկ');
INSERT INTO `lang_definitions` VALUES (67698, 9650, 13, 'Մաշկ');
INSERT INTO `lang_definitions` VALUES (67699, 9651, 13, 'Մաշկային քաղցկեղ');
INSERT INTO `lang_definitions` VALUES (67700, 9652, 13, 'Մաշկային հիվանդություն');
INSERT INTO `lang_definitions` VALUES (67701, 9653, 13, 'Այլ մաշկային հիվանդություն');
INSERT INTO `lang_definitions` VALUES (67702, 9654, 13, 'Բաց թողնել Պացիենտի գրառումների թույլտվությունը');
INSERT INTO `lang_definitions` VALUES (67703, 9659, 13, 'Բաց թողնված բաժին');
INSERT INTO `lang_definitions` VALUES (67704, 9661, 13, 'Sl.No');
INSERT INTO `lang_definitions` VALUES (67705, 9664, 13, 'Քնի մոդել/նկարագիր');
INSERT INTO `lang_definitions` VALUES (67706, 9665, 13, 'Քնի մոդել/նկարագիր');
INSERT INTO `lang_definitions` VALUES (67707, 9666, 13, 'Քուն');
INSERT INTO `lang_definitions` VALUES (67708, 9668, 13, 'սլովակերեն');
INSERT INTO `lang_definitions` VALUES (67709, 9669, 13, 'սլովենացի');
INSERT INTO `lang_definitions` VALUES (67710, 9675, 13, 'Smarty Cache մաքրվել է');
INSERT INTO `lang_definitions` VALUES (67711, 9676, 13, 'Ծխող․ ներկա պահին կարգավիճակն անորոշ է');
INSERT INTO `lang_definitions` VALUES (67712, 9677, 13, 'Ծխել');
INSERT INTO `lang_definitions` VALUES (67713, 9678, 13, 'Ծխողի կարգավիճակը');
INSERT INTO `lang_definitions` VALUES (67714, 9680, 13, 'SMS Auth');
INSERT INTO `lang_definitions` VALUES (67715, 9683, 13, 'SMS Gateway');
INSERT INTO `lang_definitions` VALUES (67716, 9684, 13, 'SMS Gateway API key');
INSERT INTO `lang_definitions` VALUES (67717, 9685, 13, 'SMS Gateway API Key');
INSERT INTO `lang_definitions` VALUES (67718, 9686, 13, 'SMS Gateway Password');
INSERT INTO `lang_definitions` VALUES (67719, 9687, 13, 'SMS Gateway Username');
INSERT INTO `lang_definitions` VALUES (67720, 9689, 13, 'SMS/Կարճ խաղորդակգրության ծանուցում');
INSERT INTO `lang_definitions` VALUES (67721, 9690, 13, 'SMS/Կարճ խաղորդակգրության ծանուցման ժամեր');
INSERT INTO `lang_definitions` VALUES (67722, 9693, 13, 'Ուղարկել SMS/Կարճ խաղորդակգրություն մինչև/առաջ');
INSERT INTO `lang_definitions` VALUES (67723, 9694, 13, 'SMS/Կարճ խաղորդակգրությունն ուղարկվել է');
INSERT INTO `lang_definitions` VALUES (67724, 9697, 13, 'SMS տեքստ, Usable Tag: ***ԱՆՈւՆ***, ***ՄԱՏԱԿԱՐԱՐ***, ***ԱՄՍԱԹԻՎ***, ***ՍԿԻԶԲ***, ***ԱՎԱՐՏ***<br> i.e. Հարգելի ***ԱՆՈւՆ***');
INSERT INTO `lang_definitions` VALUES (67725, 9701, 13, 'SMS/Կարճ խաղորդակգրության /Էլ․ փոստի ծանուցման կարգավորումներ');
INSERT INTO `lang_definitions` VALUES (67726, 9703, 13, 'SMTP նույնականացման գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (67727, 9706, 13, 'SMTP սերվերի հոսթանունը');
INSERT INTO `lang_definitions` VALUES (67728, 9707, 13, 'SMTP սերվերի պորտ համարը');
INSERT INTO `lang_definitions` VALUES (67729, 9708, 13, 'SMTP   նույնականացման  օգտվող');
INSERT INTO `lang_definitions` VALUES (67730, 9709, 13, 'SNOMED');
INSERT INTO `lang_definitions` VALUES (67731, 9710, 13, 'SNOMED (RF1) Բժշկական/Կլինիկական ժամկետ');
INSERT INTO `lang_definitions` VALUES (67732, 9711, 13, 'SNOMED (RF1) Ախտորոշում');
INSERT INTO `lang_definitions` VALUES (67733, 9712, 13, 'SNOMED (RF1) Միջամտություն');
INSERT INTO `lang_definitions` VALUES (67734, 9714, 13, 'SNOMED (RF2) Ախտորոշում');
INSERT INTO `lang_definitions` VALUES (67735, 9716, 13, 'SNOMED Բժշկական/Կլինիկական ժամկետ');
INSERT INTO `lang_definitions` VALUES (67736, 9717, 13, 'SNOMED տվյալների բազա');
INSERT INTO `lang_definitions` VALUES (67737, 9718, 13, 'SNOMED ախտորոշում');
INSERT INTO `lang_definitions` VALUES (67738, 9719, 13, 'SNOMED միջամտություն');
INSERT INTO `lang_definitions` VALUES (67739, 9721, 13, 'Խռմփոց/խռմփացնել');
INSERT INTO `lang_definitions` VALUES (67740, 9722, 13, 'SOAP');
INSERT INTO `lang_definitions` VALUES (67741, 9726, 13, 'Սոցիալական խնդիրներ');
INSERT INTO `lang_definitions` VALUES (67742, 9727, 13, 'Սոցպատմություն');
INSERT INTO `lang_definitions` VALUES (67743, 9728, 13, 'Սոցպատմության տարր');
INSERT INTO `lang_definitions` VALUES (67744, 9729, 13, 'Սոցիալական կարգավիակի պատմություն');
INSERT INTO `lang_definitions` VALUES (67745, 9730, 13, 'Սոցիալական ապահովության համարը/Սոցիալական քարտի համարը');
INSERT INTO `lang_definitions` VALUES (67746, 9732, 13, 'լուծույթ լուծում');
INSERT INTO `lang_definitions` VALUES (67747, 9733, 13, 'Սոմալի');
INSERT INTO `lang_definitions` VALUES (67748, 9734, 13, 'Սոմատիկ/ֆիզիկական ենթատքեստ/իմաստ');
INSERT INTO `lang_definitions` VALUES (67749, 9735, 13, 'Որոշ տույտվություններ/լիազորություններ չեն ցուցադրվել․ սեղմեք այստեղ՝ ամբողջը տեսնելու համար');
INSERT INTO `lang_definitions` VALUES (67750, 9736, 13, 'Որոշ կոդեր չեն ցուցադրվել');
INSERT INTO `lang_definitions` VALUES (67751, 9737, 13, 'Որոշ այցեր չեն ցուցադրվել․ սեղմեք այստեղ՝ ամբողջը տեսնելու համար');
INSERT INTO `lang_definitions` VALUES (67752, 9738, 13, 'Դեիդենտիֆիկացիայի մշակման ժամանակ որոշ սխալներ են հայտնվել');
INSERT INTO `lang_definitions` VALUES (67753, 9740, 13, 'Որոշ  գրառումներ  չեն ցուցադրվել');
INSERT INTO `lang_definitions` VALUES (67754, 9741, 13, 'Որոշ գրասենյակային գրառումներ  չեն ցուցադրվել․ սեղմեք այստեղ՝ ամբողջը տեսնելու համար');
INSERT INTO `lang_definitions` VALUES (67755, 9743, 13, 'որոշ բառեր');
INSERT INTO `lang_definitions` VALUES (67756, 9744, 13, 'Ինչ-որ մեկը փոփոխել է այս այցը․ չեղարկեք այս էջը և կրկին փորձեք');
INSERT INTO `lang_definitions` VALUES (67757, 9745, 13, 'Ինչոր բան սխալ է');
INSERT INTO `lang_definitions` VALUES (67758, 9747, 13, 'Ինչոր բան սխալ է․ Կրկին փորձեք');
INSERT INTO `lang_definitions` VALUES (67759, 9748, 13, 'Ամենակարճ սպասման ժամանակը (կլինիկական հիշեցումներ)');
INSERT INTO `lang_definitions` VALUES (67760, 9749, 13, 'Ամենակարճ սպասման ժամանակը (պացիենտի հիշեցումներ)');
INSERT INTO `lang_definitions` VALUES (67761, 9750, 13, 'Կոկորդի ցավ');
INSERT INTO `lang_definitions` VALUES (67762, 9751, 13, 'Ցավոք ոչ մի այց չի ֆիքսվել/հաստատվել');
INSERT INTO `lang_definitions` VALUES (67763, 9754, 13, 'Ցավոք ֆայլի բեռնման ընթացքում խնդիր է ծագել');
INSERT INTO `lang_definitions` VALUES (67764, 9758, 13, 'Դասավորել ըստ');
INSERT INTO `lang_definitions` VALUES (67765, 9759, 13, 'Դասավորել ըստ');
INSERT INTO `lang_definitions` VALUES (67766, 9762, 13, 'Դասավորել ըստ մեկնաբանությունների');
INSERT INTO `lang_definitions` VALUES (67767, 9763, 13, 'Դասավորել ըստ Crt օգտվողի');
INSERT INTO `lang_definitions` VALUES (67768, 9764, 13, 'Դասավորել ըստ ամսաթվերի');
INSERT INTO `lang_definitions` VALUES (67769, 9765, 13, 'Դասավորել ըստ ամսաթվերի/ժամերի');
INSERT INTO `lang_definitions` VALUES (67770, 9766, 13, 'Դասավորել ըստ միջոցառումների');
INSERT INTO `lang_definitions` VALUES (67771, 9767, 13, 'Դասավորել ըստ խմբերի');
INSERT INTO `lang_definitions` VALUES (67772, 9770, 13, 'Դասավորել ըստ պացիենտի ID-ների');
INSERT INTO `lang_definitions` VALUES (67773, 9772, 13, 'Դասավորել ըստ կատարվածի/արդյունքների հաջողության');
INSERT INTO `lang_definitions` VALUES (67774, 9774, 13, 'Դասավորել ըստ օգտվողների');
INSERT INTO `lang_definitions` VALUES (67775, 9775, 13, 'Դասավորել ըստ պատվաստանյութի');
INSERT INTO `lang_definitions` VALUES (67776, 9776, 13, 'Դասավորել նվազման կարգով');
INSERT INTO `lang_definitions` VALUES (67777, 9777, 13, 'Դասավորել արդյունքն ըստ');
INSERT INTO `lang_definitions` VALUES (67778, 9778, 13, 'Դասավորել աճման կարգով');
INSERT INTO `lang_definitions` VALUES (67779, 9779, 13, 'Հիմք/սկզբնաղբյուր');
INSERT INTO `lang_definitions` VALUES (67780, 9781, 13, 'Հիմնային/բազային ֆայլ');
INSERT INTO `lang_definitions` VALUES (67781, 9782, 13, 'Հիմնային/բազային ֆայլի  ուղին');
INSERT INTO `lang_definitions` VALUES (67782, 9783, 13, 'Կոդի համար բացակայամու է հիմքը/աղբյուրը');
INSERT INTO `lang_definitions` VALUES (67783, 9784, 13, 'Էջի աղբյուրի/բազայի խմբաքանակ');
INSERT INTO `lang_definitions` VALUES (67784, 9785, 13, 'Փաստաթղթի սկզբնաղբյուրը');
INSERT INTO `lang_definitions` VALUES (67785, 9789, 13, 'Աղբյուր/Էջի աղբյուր');
INSERT INTO `lang_definitions` VALUES (67786, 9792, 13, 'Տարածություն/հեռավորություն');
INSERT INTO `lang_definitions` VALUES (67787, 9793, 13, 'Տարածություն/հեռավորություն');
INSERT INTO `lang_definitions` VALUES (67788, 9795, 13, 'Իսպաներեն');
INSERT INTO `lang_definitions` VALUES (67789, 9796, 13, 'Իսպաներեն  (լատինամերիկյան)');
INSERT INTO `lang_definitions` VALUES (67790, 9797, 13, 'Իսպաներեն  (իսպանական)');
INSERT INTO `lang_definitions` VALUES (67791, 9799, 13, 'Հատուկ նշաններ չեն թույլատրվում');
INSERT INTO `lang_definitions` VALUES (67792, 9800, 13, 'Կենսական ննակության օրգանների հատուկ բուժում');
INSERT INTO `lang_definitions` VALUES (67793, 9801, 13, 'Մասնագետ');
INSERT INTO `lang_definitions` VALUES (67794, 9802, 13, 'Մասնագետի ազգանունը և ստորագրությունը');
INSERT INTO `lang_definitions` VALUES (67795, 9803, 13, 'Մասնագիտացված բժիշկ');
INSERT INTO `lang_definitions` VALUES (67796, 9804, 13, 'Մասնագիտություն');
INSERT INTO `lang_definitions` VALUES (67797, 9805, 13, 'Հատուկ համակարգեր');
INSERT INTO `lang_definitions` VALUES (67798, 9806, 13, 'Մասնագիտություն։');
INSERT INTO `lang_definitions` VALUES (67799, 9807, 13, 'Հատուկ');
INSERT INTO `lang_definitions` VALUES (67800, 9808, 13, 'Հատուկ հայտ/դիմում/կիրառում');
INSERT INTO `lang_definitions` VALUES (67801, 9809, 13, 'Հակաբեղմնավորիչ հատուկ ծառայություն');
INSERT INTO `lang_definitions` VALUES (67802, 9810, 13, 'Հատուկ արդյունք');
INSERT INTO `lang_definitions` VALUES (67803, 9811, 13, 'Հատուկ ծառայություն');
INSERT INTO `lang_definitions` VALUES (67804, 9812, 13, 'Նշված');
INSERT INTO `lang_definitions` VALUES (67805, 9813, 13, 'Կոդերի հատուկ ֆորմատավորում. # = digit, * = ցանկ․ սիմվոլ. Եթե չի կիրառվում, ապա դատարկ է');
INSERT INTO `lang_definitions` VALUES (67806, 9814, 13, 'Կոդերի հատուկ ֆորմատավորում. # = digit, @ = alpha, * = ցանկ․ սիմվոլ. Եթե չի կիրառվում, ապա դատարկ է');
INSERT INTO `lang_definitions` VALUES (67807, 9815, 13, 'Հաշիվների ստուգիչ համարների հատուկ ֆորմատավորում. # = digit, * = ցանկ․ սիմվոլ. Եթե չի կիրառվում, ապա դատարկ է');
INSERT INTO `lang_definitions` VALUES (67808, 9816, 13, 'Հաշիվների ստուգիչ համարների հատուկ ֆորմատավորում. # = digit,@ = alpha, * = ցանկ․ սիմվոլ. Եթե չի կիրառվում, ապա դատարկ է');
INSERT INTO `lang_definitions` VALUES (67809, 9817, 13, 'Հաշիվների NDC ապրանքների դաշտերի հատուկ ֆորմատավորում. # = digit, * = ցանկ․ սիմվոլ. Եթե չի կիրառվում, ապա դատարկ է');
INSERT INTO `lang_definitions` VALUES (67810, 9818, 13, 'Հաշիվների NDC ապրանքների դաշտերի հատուկ ֆորմատավորում. # = digit, @ = alpha,* = ցանկ․ սիմվոլ. Եթե չի կիրառվում, ապա դատարկ է');
INSERT INTO `lang_definitions` VALUES (67811, 9819, 13, 'Օտարերկրյա պացիենտի ID-ի հատուկ ֆորմատավորում. # = digit, * = ցանկ․ սիմվոլ. Եթե չի կիրառվում, ապա դատարկ է');
INSERT INTO `lang_definitions` VALUES (67812, 9820, 13, 'Օտարերկրյա պացիենտի ID-ի հատուկ ֆորմատավորում. # = digit, @ = alpha,* = ցանկ․ սիմվոլ. Եթե չի կիրառվում, ապա դատարկ է');
INSERT INTO `lang_definitions` VALUES (67813, 9823, 13, 'Նմուշ/օրինակ');
INSERT INTO `lang_definitions` VALUES (67814, 9824, 13, 'Նմուշի/օրինակի համար/նույնացուցիչ');
INSERT INTO `lang_definitions` VALUES (67815, 9825, 13, 'Նմուշի/օրինակի տեսակը');
INSERT INTO `lang_definitions` VALUES (67816, 9826, 13, 'Նմուշի/օրինակի տեսակը');
INSERT INTO `lang_definitions` VALUES (67817, 9827, 13, 'Բանավոր թելադրանք');
INSERT INTO `lang_definitions` VALUES (67818, 9828, 13, 'Նմուշներ/օրինակներ');
INSERT INTO `lang_definitions` VALUES (67819, 9831, 13, 'Սպլենէկտոմիա /Փայծախի վիրահատական հեռացում/');
INSERT INTO `lang_definitions` VALUES (67820, 9832, 13, 'Կին/ամուսին');
INSERT INTO `lang_definitions` VALUES (67821, 9833, 13, 'Կնոջ/ամուսնու անամնեզը');
INSERT INTO `lang_definitions` VALUES (67822, 9834, 13, 'Խորխ');
INSERT INTO `lang_definitions` VALUES (67823, 9835, 13, 'Խորխ։');
INSERT INTO `lang_definitions` VALUES (67824, 9836, 13, 'ԲԺ');
INSERT INTO `lang_definitions` VALUES (67825, 9837, 13, 'sql');
INSERT INTO `lang_definitions` VALUES (67826, 9839, 13, 'Բաժանմունք');
INSERT INTO `lang_definitions` VALUES (67827, 9840, 13, 'Բաժանմունքի անձնակազմ');
INSERT INTO `lang_definitions` VALUES (67828, 9841, 13, 'Բաժանմունքներ');
INSERT INTO `lang_definitions` VALUES (67829, 9843, 13, 'SRH');
INSERT INTO `lang_definitions` VALUES (67830, 9844, 13, 'SRH - ընտանիքի պլանավորում');
INSERT INTO `lang_definitions` VALUES (67831, 9845, 13, 'SRH - ոչ ընտանեկան պլանավորում');
INSERT INTO `lang_definitions` VALUES (67832, 9846, 13, 'SRH ուղեգիր');
INSERT INTO `lang_definitions` VALUES (67833, 9847, 13, 'SRH այցի ձև');
INSERT INTO `lang_definitions` VALUES (67834, 9848, 13, 'Ծառայության ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (67835, 9849, 13, 'SS');
INSERT INTO `lang_definitions` VALUES (67836, 9850, 13, 'SSL հավաստագրի կառավարում/կարգավորում');
INSERT INTO `lang_definitions` VALUES (67837, 9851, 13, 'SSN');
INSERT INTO `lang_definitions` VALUES (67838, 9852, 13, 'Կայունություն');
INSERT INTO `lang_definitions` VALUES (67839, 9854, 13, 'Պլանային դուրսգրում');
INSERT INTO `lang_definitions` VALUES (67840, 9855, 13, 'Ստանդարտ');
INSERT INTO `lang_definitions` VALUES (67841, 9857, 13, 'Ստանդարտ կոդ');
INSERT INTO `lang_definitions` VALUES (67842, 9860, 13, 'Ստանդարտ միջոցներ/միջոցառումներ');
INSERT INTO `lang_definitions` VALUES (67843, 9861, 13, 'Ստանդարտ միջոցներ/միջոցառումներ (Ակտիվ ազդանշաններ)');
INSERT INTO `lang_definitions` VALUES (67844, 9862, 13, 'Ստանդարտ միջոցներ/միջոցառումներ (Պասիվ ազդանշաններ)');
INSERT INTO `lang_definitions` VALUES (67845, 9863, 13, 'Ստանդարտ միջոցներ/միջոցառումներ (Պացիենտի հիշեցումներ)');
INSERT INTO `lang_definitions` VALUES (67846, 9864, 13, 'Ստանդարտ անվանում');
INSERT INTO `lang_definitions` VALUES (67847, 9865, 13, 'Ստանդարտ։ Պարզեցված։ միայն վերնագիր, մեկնարկի ամսաթիվ, մեկնաբանություններ և ակտիվ նշավանդակ; ոչ մի ախտորոշում, բացահայտում/կրկնություն, ավարտման ամսաթիվ,, անդրադարձ, սպորտային դաշտ; ֆուտբոլային վնասվածք');
INSERT INTO `lang_definitions` VALUES (67848, 9866, 13, 'Սկիզբ/մեկնարկ');
INSERT INTO `lang_definitions` VALUES (67849, 9867, 13, 'Սկիզբ/մեկնարկ (տտ-աա-օօ):');
INSERT INTO `lang_definitions` VALUES (67850, 9868, 13, 'Սկսել մեկ ուրիշ հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (67851, 9874, 13, 'Մեկնարկի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (67852, 9876, 13, 'Սույն կլինիկայում սկսված ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (67853, 9877, 13, 'Սկզբի ամսաթիվը չի կարող մեծ լինել ավարտի ամսաթվից');
INSERT INTO `lang_definitions` VALUES (67854, 9878, 13, 'Մեկնարկի ամսաթիվ։');
INSERT INTO `lang_definitions` VALUES (67855, 9879, 13, 'Մեկնարկի ամսաթիվ։');
INSERT INTO `lang_definitions` VALUES (67856, 9881, 13, 'Մեկնարկի ժամ');
INSERT INTO `lang_definitions` VALUES (67857, 9884, 13, 'Սկիզբ (ժամ)');
INSERT INTO `lang_definitions` VALUES (67858, 9888, 13, 'Սկզբնական ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (67859, 9889, 13, 'Շրջան');
INSERT INTO `lang_definitions` VALUES (67860, 9890, 13, 'Պետական տվյալների ձև');
INSERT INTO `lang_definitions` VALUES (67861, 9891, 13, 'Պետական լիցենզիա #');
INSERT INTO `lang_definitions` VALUES (67862, 9892, 13, 'Պետական լիցենզիայի համար');
INSERT INTO `lang_definitions` VALUES (67863, 9893, 13, 'Պետական ցանկ');
INSERT INTO `lang_definitions` VALUES (67864, 9894, 13, 'Պետական ցանկ (գրել,  միայն ավելացնել ըստ ցանկության)');
INSERT INTO `lang_definitions` VALUES (67865, 9897, 13, 'Նահանգ կամ շրջան');
INSERT INTO `lang_definitions` VALUES (67866, 9898, 13, 'Նահանգ/շրջան/տեղամաս/բնակության վայր');
INSERT INTO `lang_definitions` VALUES (67867, 9899, 13, 'Նահանգ/շրջան');
INSERT INTO `lang_definitions` VALUES (67868, 9903, 13, 'ԵԶՐԱՓԱԿՈՒՄ/ ԵԶՐԱՓԱԿԻՉ ՀԱՅՏԱՐԱՐՈՒԹՅՈՒՆ');
INSERT INTO `lang_definitions` VALUES (67869, 9904, 13, 'Հայտարարություններ և թարմացվող հաշիվներ');
INSERT INTO `lang_definitions` VALUES (67870, 9906, 13, 'Հայտարարություններն ուղարկվել են');
INSERT INTO `lang_definitions` VALUES (67871, 9907, 13, 'հայտարարություններ։ հաշիվները չեն թարմացվի');
INSERT INTO `lang_definitions` VALUES (67872, 9908, 13, 'Ստատիկ տեքստ');
INSERT INTO `lang_definitions` VALUES (67873, 9909, 13, 'Վիճակագրական տվյալներ');
INSERT INTO `lang_definitions` VALUES (67874, 9910, 13, 'Վիճ․');
INSERT INTO `lang_definitions` VALUES (67875, 9911, 13, 'Կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (67876, 9914, 13, 'Վիճակն ընդունվելիս');
INSERT INTO `lang_definitions` VALUES (67877, 9915, 13, 'Գանգատի կարգավիճակը');
INSERT INTO `lang_definitions` VALUES (67878, 9916, 13, 'Ստատուս քվո');
INSERT INTO `lang_definitions` VALUES (67879, 9917, 13, 'Կարգավիճակի  ձև');
INSERT INTO `lang_definitions` VALUES (67880, 9919, 13, 'Ուժ և ազդեցություն');
INSERT INTO `lang_definitions` VALUES (67881, 9920, 13, 'Խորթ զավակ');
INSERT INTO `lang_definitions` VALUES (67882, 9921, 13, 'Խորթ ծնող');
INSERT INTO `lang_definitions` VALUES (67883, 9922, 13, 'Խորթ քույր/եղբայր');
INSERT INTO `lang_definitions` VALUES (67884, 9924, 13, 'CCR XML բեռնման քայլեր');
INSERT INTO `lang_definitions` VALUES (67885, 9925, 13, 'DSM IV տվյալների բազայի տեղադրման քայլեր');
INSERT INTO `lang_definitions` VALUES (67886, 9926, 13, 'ICD 10 տվյալների բազայի տեղադրման քայլեր');
INSERT INTO `lang_definitions` VALUES (67887, 9927, 13, 'ICD 9 տվյալների բազայի տեղադրման քայլեր');
INSERT INTO `lang_definitions` VALUES (67888, 9928, 13, 'RxNorm տվյալների բազայի տեղադրման քայլեր');
INSERT INTO `lang_definitions` VALUES (67889, 9929, 13, 'Snomed տվյալների բազայի տեղադրման քայլեր');
INSERT INTO `lang_definitions` VALUES (67890, 9932, 13, 'Կոշտ/ոչ ճկուն հոդեր');
INSERT INTO `lang_definitions` VALUES (67891, 9933, 13, 'Կոշտություն');
INSERT INTO `lang_definitions` VALUES (67892, 9935, 13, 'Ֆոնդային ամիսներ');
INSERT INTO `lang_definitions` VALUES (67893, 9936, 13, 'Ստամոքսի ցավեր');
INSERT INTO `lang_definitions` VALUES (67894, 9937, 13, 'Դադար/դադարեցնել');
INSERT INTO `lang_definitions` VALUES (67895, 9944, 13, 'Մկանների լարում');
INSERT INTO `lang_definitions` VALUES (67896, 9946, 13, 'Հոսք/տարածում');
INSERT INTO `lang_definitions` VALUES (67897, 9947, 13, 'Փողոց');
INSERT INTO `lang_definitions` VALUES (67898, 9948, 13, 'Փողոցի հասցեն');
INSERT INTO `lang_definitions` VALUES (67899, 9949, 13, 'Փողոց և համար');
INSERT INTO `lang_definitions` VALUES (67900, 9950, 13, 'Ուժ');
INSERT INTO `lang_definitions` VALUES (67901, 9951, 13, 'Ուժ և ազդեցություն');
INSERT INTO `lang_definitions` VALUES (67902, 9952, 13, 'Կոկորդի սուր հիվանդություն');
INSERT INTO `lang_definitions` VALUES (67903, 9953, 13, 'Ճնշմամբ պայմանավորված կոտրվածք');
INSERT INTO `lang_definitions` VALUES (67904, 9954, 13, 'Ծանրաբեռնվածության թեստ');
INSERT INTO `lang_definitions` VALUES (67905, 9956, 13, 'Կաթված');
INSERT INTO `lang_definitions` VALUES (67906, 9958, 13, 'Ապահով գաղտնաբառը պարունակում է 8 նիշ, որից ամենաքիչը 3 թիվ, մեծատառ, փոքրատառ, սիմվոլ');
INSERT INTO `lang_definitions` VALUES (67907, 9960, 13, 'Տեսք');
INSERT INTO `lang_definitions` VALUES (67908, 9961, 13, 'Նոր պացիենտ ավելացնելու ձևաթղթի տեսքը');
INSERT INTO `lang_definitions` VALUES (67909, 9965, 13, 'Ենթաբաժին');
INSERT INTO `lang_definitions` VALUES (67910, 9966, 13, 'Միջանկյալ հանրագումար');
INSERT INTO `lang_definitions` VALUES (67911, 9967, 13, 'Ենթաբաժին');
INSERT INTO `lang_definitions` VALUES (67912, 9968, 13, 'ենթաբաժին');
INSERT INTO `lang_definitions` VALUES (67913, 9969, 13, 'ենթամաշկային');
INSERT INTO `lang_definitions` VALUES (67914, 9970, 13, 'Թեմա/առարկա');
INSERT INTO `lang_definitions` VALUES (67915, 9971, 13, 'Սուբյեկտիվ');
INSERT INTO `lang_definitions` VALUES (67916, 9972, 13, 'Ենթալեզվային');
INSERT INTO `lang_definitions` VALUES (67917, 9973, 13, 'ենթալեզվային');
INSERT INTO `lang_definitions` VALUES (67918, 9974, 13, 'Ներկայացնել/հաստատել');
INSERT INTO `lang_definitions` VALUES (67919, 9975, 13, 'Ներկայացնել/հաստատել');
INSERT INTO `lang_definitions` VALUES (67920, 9976, 13, 'Ներկայացնել/հաստատել ողջ բովանդակությունը');
INSERT INTO `lang_definitions` VALUES (67921, 9977, 13, 'Հաստատել և ջնջել պահանջը');
INSERT INTO `lang_definitions` VALUES (67922, 9979, 13, 'Հաստատել իրադարձությունը');
INSERT INTO `lang_definitions` VALUES (67923, 9980, 13, 'հաստատել ձևը');
INSERT INTO `lang_definitions` VALUES (67924, 9982, 13, 'Հաստատել ընտրված ենթատեքստը');
INSERT INTO `lang_definitions` VALUES (67925, 9984, 13, 'հաստատված է');
INSERT INTO `lang_definitions` VALUES (67926, 9985, 13, 'հաստատված է -ի կողմից');
INSERT INTO `lang_definitions` VALUES (67927, 9987, 13, 'Բաժանորդ');
INSERT INTO `lang_definitions` VALUES (67928, 9988, 13, 'Բաժանորդի հասցեն');
INSERT INTO `lang_definitions` VALUES (67929, 9989, 13, 'Բաժանորդի քաղաք');
INSERT INTO `lang_definitions` VALUES (67930, 9990, 13, 'Բաժանորդի երկիր');
INSERT INTO `lang_definitions` VALUES (67931, 9991, 13, 'Բաժանորդի ծննդյան տարեթիվ');
INSERT INTO `lang_definitions` VALUES (67932, 9992, 13, 'Բաժանորդի աշխատավայր');
INSERT INTO `lang_definitions` VALUES (67933, 9993, 13, 'Բաժանորդի աշխատավայր  (SE)');
INSERT INTO `lang_definitions` VALUES (67934, 9994, 13, 'Բաժանորդի աշխատավայրի/գործատուիհասցե');
INSERT INTO `lang_definitions` VALUES (67935, 9995, 13, 'Բաժանորդի աշխատավայրի/գործատուիքաղաք');
INSERT INTO `lang_definitions` VALUES (67936, 9996, 13, 'Բաժանորդի աշխատավայրի/գործատուիերկիր');
INSERT INTO `lang_definitions` VALUES (67937, 9997, 13, 'Բաժանորդի աշխատավայրի/գործատուիմարզ');
INSERT INTO `lang_definitions` VALUES (67938, 9998, 13, 'Բաժանորդի աշխատավայրի/գործատուի փողոց');
INSERT INTO `lang_definitions` VALUES (67939, 9999, 13, 'Բաժանորդի աշխատավայրի/գործատուի փոստայի ինդեքս');
INSERT INTO `lang_definitions` VALUES (67940, 10000, 13, 'Բաժանորդի աշխատավայրի/գործատուի փոստայի ինդեքս');
INSERT INTO `lang_definitions` VALUES (67941, 10001, 13, 'Բաժանորդի անուն');
INSERT INTO `lang_definitions` VALUES (67942, 10002, 13, 'Բաժանորդի ազգանուն');
INSERT INTO `lang_definitions` VALUES (67943, 10004, 13, 'Բաժանորդի հայրանուն');
INSERT INTO `lang_definitions` VALUES (67944, 10005, 13, 'Բաժանորդի հեռախոս');
INSERT INTO `lang_definitions` VALUES (67945, 10006, 13, 'Բաժանորդի կապը/առնչությունը/հարաբերությունը');
INSERT INTO `lang_definitions` VALUES (67946, 10007, 13, 'Ազգագրական տվյալներն այլ են, սակայն ազգանունը նույնն է․ Արդյո՞ք սա ճիշտ է');
INSERT INTO `lang_definitions` VALUES (67947, 10008, 13, 'Ազգագրական տվյալներն այլ են, սակայն SS համարը  նույնն է․');
INSERT INTO `lang_definitions` VALUES (67948, 10009, 13, 'Ազգագրական տվյալներն նույնն են, սակայն անունը այլ է․ Արդյո՞ք սա ճիշտ է');
INSERT INTO `lang_definitions` VALUES (67949, 10010, 13, 'Ազգագրական տվյալներն  նույնն  են, սակայն SS համարը այլ է․');
INSERT INTO `lang_definitions` VALUES (67950, 10011, 13, 'Բաժանորդի սեռը');
INSERT INTO `lang_definitions` VALUES (67951, 10012, 13, 'Բաժանորդի SS');
INSERT INTO `lang_definitions` VALUES (67952, 10013, 13, 'Բաժանորդի Մարզը/շրջանը');
INSERT INTO `lang_definitions` VALUES (67953, 10014, 13, 'Բաժանորդի փոստային կոդը');
INSERT INTO `lang_definitions` VALUES (67954, 10017, 13, 'Բաժանորդի հեռախոս');
INSERT INTO `lang_definitions` VALUES (67955, 10018, 13, 'Նյութ/մատերիա');
INSERT INTO `lang_definitions` VALUES (67956, 10020, 13, 'Փոխարինում /');
INSERT INTO `lang_definitions` VALUES (67957, 10021, 13, 'Փոխարինում թույլատրված է');
INSERT INTO `lang_definitions` VALUES (67958, 10023, 13, 'Ենթատեսակ');
INSERT INTO `lang_definitions` VALUES (67959, 10024, 13, 'Հաջողություն');
INSERT INTO `lang_definitions` VALUES (67960, 10025, 13, 'հաջողություն');
INSERT INTO `lang_definitions` VALUES (67961, 10026, 13, 'Լաբորատոր հետազոտությունների դրական/հաջող պատասխան');
INSERT INTO `lang_definitions` VALUES (67962, 10027, 13, 'Լաբորատոր հետազոտությունների պատասխանը հաջողությամբ ստացվեց');
INSERT INTO `lang_definitions` VALUES (67963, 10028, 13, 'Lab Exchange Network-ից արդյունքների հաջող արտածում');
INSERT INTO `lang_definitions` VALUES (67964, 10029, 13, 'Հաջողված/իրակնացված փոխանցումներ');
INSERT INTO `lang_definitions` VALUES (67965, 10030, 13, 'Կատեգորիան հաջողությամբ ավելացվեց');
INSERT INTO `lang_definitions` VALUES (67966, 10031, 13, 'Հաջողությամբ ավելացվեց կատեգորիային');
INSERT INTO `lang_definitions` VALUES (67967, 10033, 13, 'Հաջողությամբ ջնջվեց');
INSERT INTO `lang_definitions` VALUES (67968, 10034, 13, 'Մանրամասները հաջողությամբ ներբեռնվեցին։ Խնդրում ենք հաստատել հաստատմանն սպասող Պացիենտին');
INSERT INTO `lang_definitions` VALUES (67969, 10035, 13, 'Տվյալների բազան հաջողությամբ տեղադրվել է');
INSERT INTO `lang_definitions` VALUES (67970, 10036, 13, 'Սույն տվյալների բազան հաջողությամբ տեղադրվել է');
INSERT INTO `lang_definitions` VALUES (67971, 10037, 13, 'Հաջողությամբ փոփոխվեց');
INSERT INTO `lang_definitions` VALUES (67972, 10039, 13, 'Հաջողությամբ պահպանվեց․ Սահամանե՞լ այն');
INSERT INTO `lang_definitions` VALUES (67973, 10040, 13, 'Հաջողությամբ պահպանվեց․ Սահամանե՞լ այն');
INSERT INTO `lang_definitions` VALUES (67974, 10041, 13, 'Հաջողությամբ ուղարկվեց');
INSERT INTO `lang_definitions` VALUES (67975, 10042, 13, 'Հաջողությամբ պահպանվեց/պահեստավորվեց');
INSERT INTO `lang_definitions` VALUES (67976, 10044, 13, 'Տվյալների բազան հաջողությամբ թարմացվեց');
INSERT INTO `lang_definitions` VALUES (67977, 10045, 13, 'Սույն տվյալների բազան հաջողությամբ թարմացվեց');
INSERT INTO `lang_definitions` VALUES (67978, 10046, 13, 'հաջողությամբ');
INSERT INTO `lang_definitions` VALUES (67979, 10049, 13, 'Ինքնասպանություն');
INSERT INTO `lang_definitions` VALUES (67980, 10051, 13, 'Ամփոփում');
INSERT INTO `lang_definitions` VALUES (67981, 10052, 13, '-ի ամփոփում');
INSERT INTO `lang_definitions` VALUES (67982, 10056, 13, 'Բուժման/Խնամքի ամփոփ տեղեկագիրն ուղարկված է');
INSERT INTO `lang_definitions` VALUES (67983, 10057, 13, 'Բուժման/Խնամքի ամփոփ տեղեկագիրն ուղարկված է էլ․ եղանակով');
INSERT INTO `lang_definitions` VALUES (67984, 10058, 13, 'Կիր․');
INSERT INTO `lang_definitions` VALUES (67985, 10059, 13, 'Սունդաաներեն/սունդանացի');
INSERT INTO `lang_definitions` VALUES (67986, 10060, 13, 'Կիրակի');
INSERT INTO `lang_definitions` VALUES (67987, 10061, 13, 'Superbill');
INSERT INTO `lang_definitions` VALUES (67988, 10062, 13, 'Superbill կոդեր');
INSERT INTO `lang_definitions` VALUES (67989, 10063, 13, 'Superbill կոդերի կառավարում');
INSERT INTO `lang_definitions` VALUES (67990, 10065, 13, 'Superbill հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (67991, 10066, 13, 'Superbill/Վճարման թերթիկ');
INSERT INTO `lang_definitions` VALUES (67992, 10067, 13, 'Superbills');
INSERT INTO `lang_definitions` VALUES (67993, 10069, 13, 'Գերօգտվող');
INSERT INTO `lang_definitions` VALUES (67994, 10071, 13, 'Վերահսկող/Ղեկավարող/Կառավարող');
INSERT INTO `lang_definitions` VALUES (67995, 10072, 13, 'Ղեկավար/ Գլխավոր բժիշկ');
INSERT INTO `lang_definitions` VALUES (67996, 10073, 13, 'DEA ղեկավարող բժիշկ');
INSERT INTO `lang_definitions` VALUES (67997, 10074, 13, 'Ղեկավարող Բժշկի անունը');
INSERT INTO `lang_definitions` VALUES (67998, 10075, 13, 'Ղեկավարող Բժշկի ազգանունը');
INSERT INTO `lang_definitions` VALUES (67999, 10076, 13, 'Ղեկավարող Բժշկի NPI');
INSERT INTO `lang_definitions` VALUES (68000, 10077, 13, 'Ղեկավարող Բժշկի UPIN');
INSERT INTO `lang_definitions` VALUES (68001, 10081, 13, 'Արտադրող մատակարարի իրավապանական անվանումը');
INSERT INTO `lang_definitions` VALUES (68002, 10082, 13, 'Աջակցում/գործարկում է մի շարք մասնագետների կողմից օգտագործվող օրացուցային իրադարձությունները');
INSERT INTO `lang_definitions` VALUES (68003, 10084, 13, 'Աջակցում/գործարկում է մի շարք մասնագետների մասնակցությամբ իրադարձությունները');
INSERT INTO `lang_definitions` VALUES (68004, 10090, 13, 'Մակերեսի/մակերևույթի տեսակը');
INSERT INTO `lang_definitions` VALUES (68005, 10092, 13, 'Վիրահատություններ');
INSERT INTO `lang_definitions` VALUES (68006, 10093, 13, 'Վիրահատություն');
INSERT INTO `lang_definitions` VALUES (68007, 10094, 13, 'Վիրահատությունների ցանկ');
INSERT INTO `lang_definitions` VALUES (68008, 10095, 13, 'Հետաձգված');
INSERT INTO `lang_definitions` VALUES (68009, 10096, 13, 'Ընդհատում, դադարեցում');
INSERT INTO `lang_definitions` VALUES (68010, 10098, 13, 'Svc Ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (68011, 10099, 13, 'Svc Ամսաթիվ։');
INSERT INTO `lang_definitions` VALUES (68012, 10102, 13, 'Քրտնարտադրություն։');
INSERT INTO `lang_definitions` VALUES (68013, 10103, 13, 'Շվեդական');
INSERT INTO `lang_definitions` VALUES (68014, 10104, 13, 'Այտուց/ուռուցք');
INSERT INTO `lang_definitions` VALUES (68015, 10105, 13, 'Աջակողմյա ուռուցք/այտուց');
INSERT INTO `lang_definitions` VALUES (68016, 10106, 13, 'Այտուցված հոդեր');
INSERT INTO `lang_definitions` VALUES (68017, 10107, 13, 'Այտուցված ավշային հանգույցներ');
INSERT INTO `lang_definitions` VALUES (68018, 10108, 13, 'Սիմվոլն օգտագործվում է արժույթի տասնորդական կետի համար․ չի կիրառվում, եթե տասնորդական նիշը 0 է');
INSERT INTO `lang_definitions` VALUES (68019, 10109, 13, 'Սիմվոլն օգտագործվում է արժույթի հազարական կետերի բաժանման  համար');
INSERT INTO `lang_definitions` VALUES (68020, 10110, 13, 'Սիմպտոմ/ախտանիշ');
INSERT INTO `lang_definitions` VALUES (68021, 10111, 13, 'Համաժամանակեցնել');
INSERT INTO `lang_definitions` VALUES (68022, 10112, 13, 'Համաժամանակեցնել թարգմանությունը անհատական լեզվախմբի հետ');
INSERT INTO `lang_definitions` VALUES (68023, 10113, 13, 'Նոր  անհատական կոնստանտի համաժամանակեցում');
INSERT INTO `lang_definitions` VALUES (68024, 10114, 13, 'Նոր  անհատական լեզվի համաժամանակեցում');
INSERT INTO `lang_definitions` VALUES (68025, 10115, 13, 'Նոր  բացատրության/նշանակության համաժամանակեցում (Լեզու, Կոնստանտ, Նշանակություն)');
INSERT INTO `lang_definitions` VALUES (68026, 10116, 13, 'Սինկոպա/հնչակորուստ');
INSERT INTO `lang_definitions` VALUES (68027, 10117, 13, 'Համախտանիշի վերահսկողություն');
INSERT INTO `lang_definitions` VALUES (68028, 10118, 13, 'Համախտանիշի վերահսկողություն -Չհրապարակված հարցեր/արդյունքներ');
INSERT INTO `lang_definitions` VALUES (68029, 10119, 13, 'Համախտանիշի վերահսկողության հաշվետվություն/զեկույց');
INSERT INTO `lang_definitions` VALUES (68030, 10121, 13, 'Համակարգ');
INSERT INTO `lang_definitions` VALUES (68031, 10124, 13, 'Սիստոլիկ');
INSERT INTO `lang_definitions` VALUES (68032, 10125, 13, 'Շ{{Շաբաթ}}');
INSERT INTO `lang_definitions` VALUES (68033, 10127, 13, 'Կ{{Կիրակի}}');
INSERT INTO `lang_definitions` VALUES (68034, 10128, 13, 'T');
INSERT INTO `lang_definitions` VALUES (68035, 10130, 13, 'Օրը երեք անգամ');
INSERT INTO `lang_definitions` VALUES (68036, 10133, 13, 'Աղյուսակ');
INSERT INTO `lang_definitions` VALUES (68037, 10136, 13, 'Աղյուսակի կոդ');
INSERT INTO `lang_definitions` VALUES (68038, 10137, 13, 'Աղյուսակի ստեղծումը ձախողեց');
INSERT INTO `lang_definitions` VALUES (68039, 10138, 13, 'Աղյուսակի թարմացումը ձախողեց');
INSERT INTO `lang_definitions` VALUES (68040, 10139, 13, 'Աղյուսակներ');
INSERT INTO `lang_definitions` VALUES (68041, 10140, 13, 'Հաբ/կոճակ');
INSERT INTO `lang_definitions` VALUES (68042, 10149, 13, 'Ընդունել/վերցնել');
INSERT INTO `lang_definitions` VALUES (68043, 10151, 13, 'Ընտրել Ապահովագրին դեպի ցած բացվող ցանկից');
INSERT INTO `lang_definitions` VALUES (68044, 10152, 13, 'Ընտրել Վճարման ձևը ցած բացվող ցանկից');
INSERT INTO `lang_definitions` VALUES (68045, 10153, 13, 'Հետ վերցնել');
INSERT INTO `lang_definitions` VALUES (68046, 10154, 13, 'Երկար ժամանակ կպահանջի/կտևի');
INSERT INTO `lang_definitions` VALUES (68047, 10157, 13, 'Բարձրադիր նավիգացիոն տարածք');
INSERT INTO `lang_definitions` VALUES (68048, 10159, 13, 'Կեղծ ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (68049, 10160, 13, 'Կեղծ գումար');
INSERT INTO `lang_definitions` VALUES (68050, 10164, 13, 'Թիրախային ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (68051, 10165, 13, 'Թիրախային պացիենտ');
INSERT INTO `lang_definitions` VALUES (68052, 10166, 13, 'Թիրախային պացիենտը ծննդյան ամսաթիվ չունի');
INSERT INTO `lang_definitions` VALUES (68053, 10167, 13, 'Թիրախային պացիենտ չի գտնվել');
INSERT INTO `lang_definitions` VALUES (68054, 10168, 13, 'Թիրախ/գործողությունների խմբեր');
INSERT INTO `lang_definitions` VALUES (68055, 10171, 13, 'Թաթար');
INSERT INTO `lang_definitions` VALUES (68056, 10172, 13, 'ՀՎՀՀ');
INSERT INTO `lang_definitions` VALUES (68057, 10173, 13, 'ՀՎՀՀ');
INSERT INTO `lang_definitions` VALUES (68058, 10174, 13, 'Հարկային դրույք');
INSERT INTO `lang_definitions` VALUES (68059, 10175, 13, 'Հարկեր');
INSERT INTO `lang_definitions` VALUES (68060, 10176, 13, 'Տաքսոնոմիա/Համակարգում');
INSERT INTO `lang_definitions` VALUES (68061, 10182, 13, 'Վնասվածքի թիմային ախտորոշում');
INSERT INTO `lang_definitions` VALUES (68062, 10183, 13, 'Թիմի անվանացանկ');
INSERT INTO `lang_definitions` VALUES (68063, 10184, 13, 'Թիմի անվանացանկի դիտում');
INSERT INTO `lang_definitions` VALUES (68064, 10185, 13, 'Թիմ/բաժանմունք');
INSERT INTO `lang_definitions` VALUES (68065, 10187, 13, 'Հեռ․');
INSERT INTO `lang_definitions` VALUES (68066, 10189, 13, 'Երկրի միջազգային հեռախոսային կոդը');
INSERT INTO `lang_definitions` VALUES (68067, 10192, 13, 'Ջերմ․');
INSERT INTO `lang_definitions` VALUES (68068, 10193, 13, 'Ջերմաչափման վայրը');
INSERT INTO `lang_definitions` VALUES (68069, 10194, 13, 'Ջերմաչափման մեթոդը');
INSERT INTO `lang_definitions` VALUES (68070, 10196, 13, 'Ջերմություն');
INSERT INTO `lang_definitions` VALUES (68071, 10197, 13, 'Ձև/Նմուշ');
INSERT INTO `lang_definitions` VALUES (68072, 10198, 13, 'Նմուշի անվանում');
INSERT INTO `lang_definitions` VALUES (68073, 10199, 13, 'Նմուշի անվանումը չի կարող սկսվել թվով');
INSERT INTO `lang_definitions` VALUES (68074, 10201, 13, 'Ձև/Նմուշ։');
INSERT INTO `lang_definitions` VALUES (68075, 10202, 13, 'Ձևեր/Նմուշներ։');
INSERT INTO `lang_definitions` VALUES (68076, 10205, 13, 'Ժամանակավոր զարկերակ');
INSERT INTO `lang_definitions` VALUES (68077, 10208, 13, 'Ջլի վնասվածք');
INSERT INTO `lang_definitions` VALUES (68078, 10211, 13, 'Փորձնական հաշիվ-ապրանքագրի համար');
INSERT INTO `lang_definitions` VALUES (68079, 10213, 13, 'Երրորդային/ երրորդ կարգի');
INSERT INTO `lang_definitions` VALUES (68080, 10214, 13, 'Երրորդային/ երրորդ կարգի ապահովագրություն');
INSERT INTO `lang_definitions` VALUES (68081, 10215, 13, 'Երրորդային/ երրորդ կարգի ապահովագրության ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (68082, 10216, 13, 'Երրորդային/ երրորդ կարգի ապահովագրող');
INSERT INTO `lang_definitions` VALUES (68083, 10219, 13, 'Թեստավորման/հետազոտման պլանավորում');
INSERT INTO `lang_definitions` VALUES (68084, 10220, 13, 'Թեստային համակարգ');
INSERT INTO `lang_definitions` VALUES (68085, 10223, 13, 'Տեքստ');
INSERT INTO `lang_definitions` VALUES (68086, 10224, 13, 'Ախտորոշման նկարագիր');
INSERT INTO `lang_definitions` VALUES (68087, 10225, 13, 'Տեքստային դաշտ');
INSERT INTO `lang_definitions` VALUES (68088, 10227, 13, 'Հինգերորդ հաշվի հաղորդագրության տեքստ');
INSERT INTO `lang_definitions` VALUES (68089, 10228, 13, 'Առաջին հաշվի հաղորդագրության տեքստ');
INSERT INTO `lang_definitions` VALUES (68090, 10229, 13, 'Չորրորդ հաշվի հաղորդագրության տեքստ');
INSERT INTO `lang_definitions` VALUES (68091, 10230, 13, 'Երկրորդ հաշվի հաղորդագրության տեքստ');
INSERT INTO `lang_definitions` VALUES (68092, 10231, 13, 'Երրորդ հաշվի հաղորդագրության տեքստ');
INSERT INTO `lang_definitions` VALUES (68093, 10233, 13, 'Տեքստի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (68094, 10234, 13, 'տեքստի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (68095, 10235, 13, 'Տեքստային տարածք');
INSERT INTO `lang_definitions` VALUES (68096, 10236, 13, 'տեքստային տարածք');
INSERT INTO `lang_definitions` VALUES (68097, 10237, 13, 'Տեքստային դաշտ');
INSERT INTO `lang_definitions` VALUES (68098, 10238, 13, 'տեքստային դաշտ');
INSERT INTO `lang_definitions` VALUES (68099, 10239, 13, 'Տեքստային դաշտի ցանկ');
INSERT INTO `lang_definitions` VALUES (68100, 10240, 13, 'տեքստային դաշտի ցանկ');
INSERT INTO `lang_definitions` VALUES (68101, 10241, 13, 'թայերեն');
INSERT INTO `lang_definitions` VALUES (68102, 10242, 13, 'Շնորհակալություն');
INSERT INTO `lang_definitions` VALUES (68103, 10245, 13, 'Շնորհակալություն ընտրության համար');
INSERT INTO `lang_definitions` VALUES (68104, 10247, 13, '\"Մաքրել\" կոճակը կջնջի/կհեռացնի բոլոր ծանոթագրությունների');
INSERT INTO `lang_definitions` VALUES (68105, 10254, 13, 'Վերոնշյալ հայտը ձախողվեց');
INSERT INTO `lang_definitions` VALUES (68106, 10264, 13, 'SSL Apache սերվերի հավաստագիր և ընդհանուր բանալի');
INSERT INTO `lang_definitions` VALUES (68107, 10281, 13, 'Լիազորման Սերիտիֆիկատի հավաստագիր');
INSERT INTO `lang_definitions` VALUES (68108, 10284, 13, 'Պահանջի ֆայլ։');
INSERT INTO `lang_definitions` VALUES (68109, 10296, 13, 'Համապատասխան անձնական բանալի');
INSERT INTO `lang_definitions` VALUES (68110, 10305, 13, 'Այս ձևի տվյալների ամբողջականության փորձարկումը ձախողվեց');
INSERT INTO `lang_definitions` VALUES (68111, 10322, 13, 'Մերժման կոդը հետևյալն է։');
INSERT INTO `lang_definitions` VALUES (68112, 10323, 13, 'Խմբի մերժման կոդը հետևյալն է։');
INSERT INTO `lang_definitions` VALUES (68113, 10328, 13, 'Նշանակման ձևը փակ է');
INSERT INTO `lang_definitions` VALUES (68114, 10330, 13, 'Նշանակման ձևը փակ է․ այն չի կարող ազդել ընտրության վրա');
INSERT INTO `lang_definitions` VALUES (68115, 10350, 13, 'Իրադարձություն(ներ)ը հաստատված է(են)');
INSERT INTO `lang_definitions` VALUES (68116, 10351, 13, 'Իրադարձություն(ներ)ը թաքցված է(են)');
INSERT INTO `lang_definitions` VALUES (68117, 10352, 13, 'Ներմուծված տվյալը հայտնվում է ներքոհիշյալ տեքստային տարածքում։ Կարող եք կրկնօրինակել այն տեղադրել էլ․փոստում կամ այլ նշանակված վայրում։');
INSERT INTO `lang_definitions` VALUES (68118, 10354, 13, 'Ներմուծված տվյալը հայտնվում է ներքոհիշյալ տեքստային տարածքում։ Կարող եք կրկնօրինակել այն տեղադրել էլ․փոստում կամ այլ նշանակված վայրում։');
INSERT INTO `lang_definitions` VALUES (68119, 10355, 13, 'Ներմուծված տվյալը հայտնվում է ներքոհիշյալ տեքստային տարածքում։ Կարող եք կրկնօրինակել այն տեղադրել էլ․փոստում կամ այլ նշանակված վայրում։ {{ՀԱՋՈՐԴ ԹԱՐԳՄԱՆՈՒԹՅԱՆ ԻՐԱԳՈՐԾՄԱՆ ԺԱՄԱՆԱԿ ՆՇԵՔ ԱՅՆ ՋՆՋՄԱՆ ՆՊԱՏԱԿՈՎ}}');
INSERT INTO `lang_definitions` VALUES (68120, 10358, 13, 'Ֆայլը չի պահպանվել CouchDB-ում');
INSERT INTO `lang_definitions` VALUES (68121, 10359, 13, 'Ֆայլի անվանափոխումը չհաջողվեց։ Նման խնդիրները սովորաբար կապված են պահեստային համակարգի թույլտվության հետ։');
INSERT INTO `lang_definitions` VALUES (68122, 10360, 13, 'Ֆայլի պահեստավորումը չհաջողվեց։ Նման խնդիրները սովորաբար կապված են պահեստային համակարգի թույլտվության հետ։');
INSERT INTO `lang_definitions` VALUES (68123, 10364, 13, 'Առաջին (\"թիրախ\") աղյուսակը միաիկն է, որ համարվում է առավել ամբողջականն ու շգրիտը։ Ազգագրական, հիվանդության պատմության  և ապահովագրական տվյալները կպահպանվեն այստեղ');
INSERT INTO `lang_definitions` VALUES (68124, 10374, 13, 'Առաջին քայլը  Միասնական Բժշկական Լեզվի համակարգի /Unified Medical Language System/ վեբ կայքում օգտվողի հաշիվ բացելն է');
INSERT INTO `lang_definitions` VALUES (68125, 10380, 13, 'Ավելացվել է հետևյալ օրացույցային իրադարձությունը');
INSERT INTO `lang_definitions` VALUES (68126, 10381, 13, 'Փոփոխվել է հետևյալ օրացույցային իրադարձությունը');
INSERT INTO `lang_definitions` VALUES (68127, 10382, 13, 'Կատեգորիաների ցանկից կջնջվեն հետևյալները։');
INSERT INTO `lang_definitions` VALUES (68128, 10383, 13, 'Տեղադրվել էտվյալների բազայի  հետևյալ տարբերակը');
INSERT INTO `lang_definitions` VALUES (68129, 10384, 13, 'Անձնական նամակին կցվել են հետևյալ փաստաթղթերը');
INSERT INTO `lang_definitions` VALUES (68130, 10386, 13, 'Թարմացվել է հետևյալ  EDI ֆայլը');
INSERT INTO `lang_definitions` VALUES (68131, 10388, 13, 'Ակտիվացվել է հետևյալ արտակարգ մուտքի օգտվողը');
INSERT INTO `lang_definitions` VALUES (68132, 10389, 13, 'Տեղի են ունեցել հետևյալ սխալները');
INSERT INTO `lang_definitions` VALUES (68133, 10390, 13, 'Այս դաշտը պարունակում է անվավեր արժեք');
INSERT INTO `lang_definitions` VALUES (68134, 10392, 13, 'Հետևյալ դաշտերը պարտադիր են');
INSERT INTO `lang_definitions` VALUES (68135, 10393, 13, 'Պահանջն ուղարկելու համար անհրաժեշտ է լրացնել հետևյալ դաշտերը');
INSERT INTO `lang_definitions` VALUES (68136, 10394, 13, 'Պահանջն ուղարկելու համար անհրաժեշտ է լրացնել հետևյալ դաշտերը');
INSERT INTO `lang_definitions` VALUES (68137, 10397, 13, 'Հետևյալ խնդիրներն ունեն միևնույն ախտորոշման կոդերը։ Այցի ընթացքում գրանցված խնդիրները չեն թարմացվի։ Խնդրում ենք օգտագործել  այցելության ինտերֆեյսը միայն');
INSERT INTO `lang_definitions` VALUES (68138, 10418, 13, 'Սկզբնական պատուհանը համարվում է հաշիվ-ապրանքագրի որոնման էջ։ Վերևում կարող եք մուտքագրել սկզբնաղբյուրը (օր․՝ հերթական համարը), վճարման ամսաթիվը և գումարը։ Աղբյուրի և վճարման ամսաթվի անհրաժեշտությունը նրանում է, որ այսուհետ կարիք չի լինի յուրաքանչյուր անգամ մուտքագրել դրանք։ Յուրաքանչյուր մասնակի վճարման դեպքում գումարը կնվազի և վերջում կզրոյանա։');
INSERT INTO `lang_definitions` VALUES (68139, 10423, 13, 'Տեղադրված տարբերակն ու ֆայլերը նույնն են');
INSERT INTO `lang_definitions` VALUES (68140, 10424, 13, 'Տեղադրված տարբերակն ավելի թարմ է, քան  ֆայլերը');
INSERT INTO `lang_definitions` VALUES (68141, 10431, 13, 'Ձևանմուշի վրա օգտվողի մոտ հայտնվող պիտակը');
INSERT INTO `lang_definitions` VALUES (68142, 10438, 13, 'Երկարությունը չպետք է գերզանցի նիշերի հետևյալ քանակը');
INSERT INTO `lang_definitions` VALUES (68143, 10443, 13, 'Այս պահին հնարավոր չէ հաղորդագրություն ուղարկել');
INSERT INTO `lang_definitions` VALUES (68144, 10458, 13, 'Նոր կատեգորիան կլինի -ի ենթակատեգորիան');
INSERT INTO `lang_definitions` VALUES (68145, 10460, 13, 'Նոր և ընթացիկ գաղտնաբառը չեն կարող նույնը լինել');
INSERT INTO `lang_definitions` VALUES (68146, 10461, 13, 'Նոր գաղտնաբառի դաշտերը տարբեր են');
INSERT INTO `lang_definitions` VALUES (68147, 10471, 13, 'Տեղադրված ֆայլերի համարը սխալ է․ Տեղադրեք միայն այն ֆայլը, որն ուզում եք հաստատել/թարմացնել');
INSERT INTO `lang_definitions` VALUES (68148, 10472, 13, 'Տեղադրված ֆայլերի համարը սխալ է․ Տեղադրեք միայն այն ֆայլը, որն ուզում եք հաստատել/թարմացնել');
INSERT INTO `lang_definitions` VALUES (68149, 10479, 13, 'Էջը վերահղում կանի դեպի ազգագրական տվյալներ․ Դուք կկարողանաք խմբագրել երկիր դաշտը, ապա քլիքի օգնությամբ կրկին վերադառնալ NewCrop');
INSERT INTO `lang_definitions` VALUES (68150, 10482, 13, 'Գաղտնաբառը պետք է լինի առնվազն ութ նիշ և պիտի․․․');
INSERT INTO `lang_definitions` VALUES (68151, 10483, 13, 'Մուտքագրված գաղտնաբառը սխալ է');
INSERT INTO `lang_definitions` VALUES (68152, 10486, 13, 'Պացիենտի գրանցման հայտն ընդունված է');
INSERT INTO `lang_definitions` VALUES (68153, 10487, 13, 'Պացիենտի հիշեցումներն ուղարկված են');
INSERT INTO `lang_definitions` VALUES (68154, 10488, 13, 'Պացիենտի հիշեցումները թարմացված են');
INSERT INTO `lang_definitions` VALUES (68155, 10489, 13, 'Այս ձևը հաստատելիս պացիենտը մուտք չի գործել համակարգ');
INSERT INTO `lang_definitions` VALUES (68156, 10493, 13, 'Հրապարակված վճարումները չեն կարող լինել այս ամսաթվից ներքև․ սա նշանակում է, որ վերջնական հաշվետվություն ստանալուց հետո ոչ ոք չի հրապարակում նախկին ամսաթվերը');
INSERT INTO `lang_definitions` VALUES (68157, 10495, 13, 'Այս պացիենտի և ձևի համար պորտալում առկա են տվյալներ։  Բեռնե՞լ դրանք');
INSERT INTO `lang_definitions` VALUES (68158, 10509, 13, 'Մնացած ներքոհիշյալ ինֆորմացիան  ավելացվում է միայն երբ ձեռքով կատարում եք  գրառում կամ շտկումներ։');
INSERT INTO `lang_definitions` VALUES (68159, 10512, 13, 'Պահանջվող փաստաթուղթն առկա չէ ֆայլերի համակարգի տվյալ տարածքում, կամ չկա դրանց հասանելիության  համապատասխան թույլտվություն։');
INSERT INTO `lang_definitions` VALUES (68160, 10513, 13, 'Պահանջվող փաստաթուղթն առկա չէ ֆայլերի համակարգի տվյալ տարածքում, կամ չկա դրանց հասանելիության  համապատասխան թույլտվություն։');
INSERT INTO `lang_definitions` VALUES (68161, 10537, 13, 'Աղբյուրի և ամսաթվի սյուները կրկնօրինակվում են առաջին էջից, ուստի կարիք չկա դրանց ձեռք տալ։ Վճարման գումարը տեղադրում եք վճարում սյան մեջ, ճշգրտման ենթական ումարը՝ Ճշգրտում սյան մեջ, կամ երկուսում էլ։ Կարող եք աջ կողմում սեղմել  \"W\" to automatically compute an adjustment value that writes off the remainder of the charge for that line item.');
INSERT INTO `lang_definitions` VALUES (68162, 10557, 13, 'Օրացույցի ժամանակային և այցերի միջակայքի րոպեական  ճշգրտում');
INSERT INTO `lang_definitions` VALUES (68163, 10562, 13, 'Թարգմանված պիտակ, որն արտածվում է տվյալ լեզվով նմուշի/ձևի վրա');
INSERT INTO `lang_definitions` VALUES (68164, 10563, 13, 'Թարգմանված Վերնագիր, որ հայտնվում է ընթացիկ լեզվով');
INSERT INTO `lang_definitions` VALUES (68165, 10564, 13, 'Ընթացիկ լեզվով նկարագրության թարգմանություն');
INSERT INTO `lang_definitions` VALUES (68166, 10565, 13, 'Թարգմանված աղյուսակները համաժամանակեցված են');
INSERT INTO `lang_definitions` VALUES (68167, 10566, 13, 'Իրավաբանական անձի տեսակը');
INSERT INTO `lang_definitions` VALUES (68168, 10586, 13, 'Միջամտությունը կամ արդյունքը նույնականացնող հատուկ կոդ');
INSERT INTO `lang_definitions` VALUES (68169, 10593, 13, 'zip/սեղմված ֆայլը կարող է պարունակել հետևյալ կետերը');
INSERT INTO `lang_definitions` VALUES (68170, 10594, 13, 'Թեմա');
INSERT INTO `lang_definitions` VALUES (68171, 10601, 13, 'Թերապեվտիկ ներարկումներ');
INSERT INTO `lang_definitions` VALUES (68172, 10607, 13, 'Կան');
INSERT INTO `lang_definitions` VALUES (68173, 10610, 13, 'Ներկա պահին դեղատոմսեր/նշանակումներ չկան');
INSERT INTO `lang_definitions` VALUES (68174, 10611, 13, 'Հայտի ներկայացման սխալ կա։ Դրանք ներկայացված են ստորև');
INSERT INTO `lang_definitions` VALUES (68175, 10614, 13, 'Պաորտալ լոգինով առկա են տարբեր պացիենտներ');
INSERT INTO `lang_definitions` VALUES (68176, 10616, 13, 'Դուրսգրված քարտեր չկան');
INSERT INTO `lang_definitions` VALUES (68177, 10618, 13, 'Այս հիվանդի համար գրանցված բացահայտումներ չկան');
INSERT INTO `lang_definitions` VALUES (68178, 10621, 13, 'Նոր պնդումներ/հաստատումներ չկան');
INSERT INTO `lang_definitions` VALUES (68179, 10622, 13, 'Ֆայլում առկա չեն սույն պացիենտի մասին գրառումներ');
INSERT INTO `lang_definitions` VALUES (68180, 10624, 13, 'Ֆայլում առկա չեն սույն պացիենտի վերաբերյալ փոխանցումներ');
INSERT INTO `lang_definitions` VALUES (68181, 10639, 13, 'Տեղի է ունեցել փստի ուղարկման սխալ');
INSERT INTO `lang_definitions` VALUES (68182, 10642, 13, 'Կատեգորիան արդեն անվանակոչվել է');
INSERT INTO `lang_definitions` VALUES (68183, 10643, 13, 'Ենթակատեգորիան արդեն անվանակոչվել է');
INSERT INTO `lang_definitions` VALUES (68184, 10644, 13, 'Առկա է անվանակոչված կետ');
INSERT INTO `lang_definitions` VALUES (68185, 10645, 13, 'Հիվանդի գրառման հարցումն արդեն բացված է');
INSERT INTO `lang_definitions` VALUES (68186, 10646, 13, 'AR հաշվի համար չկա COA մուտք');
INSERT INTO `lang_definitions` VALUES (68187, 10647, 13, 'Կանխիկ/Դրամական հաշվի համար չկա COA մուտք');
INSERT INTO `lang_definitions` VALUES (68188, 10648, 13, 'Եկամտային հաշվի համար չկա COA մուտք');
INSERT INTO `lang_definitions` VALUES (68189, 10649, 13, 'Չկա ընթացիկ պացիենտ');
INSERT INTO `lang_definitions` VALUES (68190, 10650, 13, 'Այս թեմայի շուրջ չկա  local content');
INSERT INTO `lang_definitions` VALUES (68191, 10651, 13, 'Հաշիվ-ապրանքագրի նույնականացման համապատասխանություն չկա');
INSERT INTO `lang_definitions` VALUES (68192, 10652, 13, 'Հաշիվ-ապրանքագրի նույնականացման համապատասխանություն չկա');
INSERT INTO `lang_definitions` VALUES (68193, 10654, 13, 'Պորտալ լոգինով պացիենտ չկա');
INSERT INTO `lang_definitions` VALUES (68194, 10655, 13, 'Տեղի է ունեցել նամակի ուղարկման սխալ');
INSERT INTO `lang_definitions` VALUES (68195, 10656, 13, 'Հարցումն իրականացնելիս սխալ է տեղի ունեցել');
INSERT INTO `lang_definitions` VALUES (68196, 10661, 13, 'Ահա 2012 հղումները');
INSERT INTO `lang_definitions` VALUES (68197, 10682, 13, 'Աջակողմյա հաստացում');
INSERT INTO `lang_definitions` VALUES (68198, 10683, 13, 'Ազդր');
INSERT INTO `lang_definitions` VALUES (68199, 10684, 13, 'Ազդր + ծնկատակի ջիլ');
INSERT INTO `lang_definitions` VALUES (68200, 10685, 13, 'Տվյալներ, որ back office-ում  կարող են միայն կարդալ');
INSERT INTO `lang_definitions` VALUES (68201, 10686, 13, 'Տվյալներ, որ back office-ում կարող են  կարդալ, մուտքագրել, բայց չփոփոխել');
INSERT INTO `lang_definitions` VALUES (68202, 10687, 13, 'Տվյալներ, որ back office-ում կարող են  կարդալ և փոփոխել');
INSERT INTO `lang_definitions` VALUES (68203, 10688, 13, 'Տվյալներ, որ back office-ում կարող են  կարդալ և փոփոխել մասնակի');
INSERT INTO `lang_definitions` VALUES (68204, 10689, 13, 'Տվյալներ, որ բժիշկները/բուժաշխատողները  կարող են միայն կարդալ');
INSERT INTO `lang_definitions` VALUES (68205, 10690, 13, 'Տվյալներ, որ բժիշկները/բուժաշխատողները կարող են  կարդալ, մուտքագրել, բայց չփոփոխել');
INSERT INTO `lang_definitions` VALUES (68206, 10691, 13, 'Տվյալներ, որ բժիշկները/բուժաշխատողները կարող են  կարդալ և փոփոխել');
INSERT INTO `lang_definitions` VALUES (68207, 10692, 13, 'Տվյալներ, որ բժիշկները/բուժաշխատողները կարող են  կարդալ և փոփոխել մասնակի');
INSERT INTO `lang_definitions` VALUES (68208, 10693, 13, 'Տվյալներ, որ գլխավոր գրասենյակում  կարող են միայն կարդալ');
INSERT INTO `lang_definitions` VALUES (68209, 10694, 13, 'Տվյալներ, որ գլխավոր գրասենյակում կարող են  կարդալ, մուտքագրել, բայց չփոփոխել');
INSERT INTO `lang_definitions` VALUES (68210, 10695, 13, 'Տվյալներ, որ գլխավոր գրասենյակում կարող են  կարդալ և փոփոխել');
INSERT INTO `lang_definitions` VALUES (68211, 10696, 13, 'Տվյալներ, որ գլխավոր գրասենյակում կարող են  կարդալ և փոփոխել մասնակի');
INSERT INTO `lang_definitions` VALUES (68212, 10697, 13, 'Տվյալներ, որ բժիշկները  կարող են միայն կարդալ');
INSERT INTO `lang_definitions` VALUES (68213, 10698, 13, 'Տվյալներ, որ բժիշկները կարող են  կարդալ, մուտքագրել, բայց չփոփոխել');
INSERT INTO `lang_definitions` VALUES (68214, 10699, 13, 'Տվյալներ, որ բժիշկները կարող են  կարդալ և փոփոխել');
INSERT INTO `lang_definitions` VALUES (68215, 10700, 13, 'Տվյալներ, որ բժիշկները կարող են  կարդալ և փոփոխել մասնակի');
INSERT INTO `lang_definitions` VALUES (68216, 10701, 13, 'Երրորդ');
INSERT INTO `lang_definitions` VALUES (68217, 10702, 13, 'Երրորդ հաշվի հաղորդագրություն');
INSERT INTO `lang_definitions` VALUES (68218, 10704, 13, 'Տվյալ գործողությունը ՀՆԱՐԱՎՈՐ ՉԷ չեղարկել/հետադարձել');
INSERT INTO `lang_definitions` VALUES (68219, 10705, 13, 'Տվյալ գործողությունը հնարավոր չէ չեղարկել/հետադարձել');
INSERT INTO `lang_definitions` VALUES (68220, 10706, 13, 'Տվյալ գործողությունը հնարավոր չէ չեղարկել/հետադարձել․ իսկապե՞ս ցանկանում եք ջնջել այս ձևը');
INSERT INTO `lang_definitions` VALUES (68221, 10707, 13, 'Տվյալ գործողությունը կգրանցվի համակարգում');
INSERT INTO `lang_definitions` VALUES (68222, 10711, 13, 'Այցելությունների բլոկը կիրառված է։ ընտրեք մեկ ուրիշը');
INSERT INTO `lang_definitions` VALUES (68223, 10712, 13, 'Այցելությունների բլոկը կիրառված է։ Կրկի՞ն կիրառել');
INSERT INTO `lang_definitions` VALUES (68224, 10713, 13, 'Այցելությունների բլոկն անհասանելի է․ փորձեք մեկ ուրիշը');
INSERT INTO `lang_definitions` VALUES (68225, 10714, 13, 'Այս օրացույցային տարին');
INSERT INTO `lang_definitions` VALUES (68226, 10715, 13, 'Այս պահանջը հանված/չեղարկված է');
INSERT INTO `lang_definitions` VALUES (68227, 10716, 13, 'Այս պահանջը փակված է');
INSERT INTO `lang_definitions` VALUES (68228, 10717, 13, 'Պահանջը մերժված է․ պատճառը։ -');
INSERT INTO `lang_definitions` VALUES (68229, 10718, 13, 'Պահանջն ուղարկված է հաջորդ մակարդակ');
INSERT INTO `lang_definitions` VALUES (68230, 10727, 13, 'Այս կոնտեքստում առկա են կատեգորիաներ, որոնք կարող են ջնջվել։ Ցանկանո՞ւմ եք շարունակել');
INSERT INTO `lang_definitions` VALUES (68231, 10730, 13, 'Սրանով վորոշվում է այցերի էկրանավորման ձևը');
INSERT INTO `lang_definitions` VALUES (68232, 10731, 13, 'Սրանով վորոշվում է այցերի գունային սխեմայի կիրառումը');
INSERT INTO `lang_definitions` VALUES (68233, 10734, 13, 'Սույն այցը');
INSERT INTO `lang_definitions` VALUES (68234, 10735, 13, 'Այս այցը հաշվեգրված է․ եթե ցանկանում եք փոփոխել, ապա պետք է նորից բացեք այն');
INSERT INTO `lang_definitions` VALUES (68235, 10737, 13, 'Այս այցը արգելափակված է։ Ոչ մի նոր ձև հնարավոր չէ ավելացնել');
INSERT INTO `lang_definitions` VALUES (68236, 10740, 13, 'Այս առանձնահատկությունը/բաղադրիչը դեռևս հասանելի չէ');
INSERT INTO `lang_definitions` VALUES (68237, 10742, 13, 'Այս առանձնահատկությունը/բաղադրիչը փորձարարական է և չի ամբողջությամբ չի փորձարկվել։ Կիրառեք այն ռիսկի համաձայն');
INSERT INTO `lang_definitions` VALUES (68238, 10753, 13, 'Այս հաշիվ-ապրանքագրի համարը փոխարինվել է -ով');
INSERT INTO `lang_definitions` VALUES (68239, 10786, 13, 'Այս տեքստային հաղորդագրությունն ավտոմատ չի պահպանվել։ Կրկնօրինակեք այն և պահպանեք որպես կոնտեքստի/ենթատեքստի/համատեքստի համապատասխան մաս');
INSERT INTO `lang_definitions` VALUES (68240, 10788, 13, 'Այս մոդուլն այժմ կիրառվում է -ի կողմից');
INSERT INTO `lang_definitions` VALUES (68241, 10789, 13, 'Այս մոդուլն այժմ փորձարկվում է։ Տվյալների բազան չի կարող փոփոխվել');
INSERT INTO `lang_definitions` VALUES (68242, 10792, 13, 'Այս մոդուլը նպաստում է EOB տվյալների արդյունավետ մուտքագրմանը');
INSERT INTO `lang_definitions` VALUES (68243, 10793, 13, 'Այս ամիս մինչ օրս');
INSERT INTO `lang_definitions` VALUES (68244, 10797, 13, 'Հրամանն արդեն ուղարկվել/փոխանցվել/հաղորդվել է դեպի');
INSERT INTO `lang_definitions` VALUES (68245, 10798, 13, 'Այս էջը հնարավորություն է ընձեռում վերանայել աջակցվող   յուրաքանչյուր արտաքին տվյալի բեռնումը, որը հնարավոր է տեղադրել կամ թարմացնել։ Each section below can be expanded by clicking on the section header to review the status of the particular database of interest.');
INSERT INTO `lang_definitions` VALUES (68246, 10799, 13, 'Անվտանգության նկատառումներից ելնելով էջն ապաակտիվացվել է');
INSERT INTO `lang_definitions` VALUES (68247, 10801, 13, 'Այս էջը կներառի նաև մինջակյալ մուտքի էջ, որպեսզի ամեն անգամ չսեղմեք \"կրկին մուտք գործել\"');
INSERT INTO `lang_definitions` VALUES (68248, 10804, 13, 'Այս պացիենտի էջում գործողություններ չկան');
INSERT INTO `lang_definitions` VALUES (68249, 10805, 13, 'Պացիենտի ID-ն արդեն գործածվում է/գործածության մեջ է');
INSERT INTO `lang_definitions` VALUES (68250, 10807, 13, 'Այս ապրանքը յուրաքանչյուր պահեստում թույլատրում է միայն մեկ խմբաքանակ');
INSERT INTO `lang_definitions` VALUES (68251, 10808, 13, 'Այս արձանագրությունը չի իրականացվել/կյանքի չի կոչվել');
INSERT INTO `lang_definitions` VALUES (68252, 10809, 13, 'Այս զեկույցը/հաշվետվությունն աշխատում է միայն ICD9  կոդերի համար');
INSERT INTO `lang_definitions` VALUES (68253, 10818, 13, 'Սրանով սահմանվում/ճշտում է, թե արդյոք պետք է ամսաթիվ ներառվի 31 վանդակում');
INSERT INTO `lang_definitions` VALUES (68254, 10821, 13, 'Այս քայլով կստեղծվի նոր ֆայլ, որն անհրաժեշտ է պահպանել հետագա կիրառման համար։ Այն հետագայում չի վերստեղծվելու։ Գործարկե՞լ այն։');
INSERT INTO `lang_definitions` VALUES (68255, 10822, 13, 'Այս օգտատերը չի հանդիսանում ոչ մի խմբի անդամ');
INSERT INTO `lang_definitions` VALUES (68256, 10823, 13, 'Այս օգտատերը անձնական նամակների վերաբերյալ ծանուցումներ կստանա');
INSERT INTO `lang_definitions` VALUES (68257, 10824, 13, 'Սա փորձնական սպասարկող ծրագիր է․ Կրկնօրինակեք ձեր տվյալներն ու փաստաթղթերը նախքան վերջինիս կիրառումը։');
INSERT INTO `lang_definitions` VALUES (68258, 10826, 13, 'Այս այցով սկսվում է նոր հակաբեղմնավորիչների կիրառմամբ');
INSERT INTO `lang_definitions` VALUES (68259, 10827, 13, 'Այս այցի համար անհրաժեշտ է GCAC ձև, ուղեգիր կամ միջամտություն');
INSERT INTO `lang_definitions` VALUES (68260, 10828, 13, 'Դա ընդամենը հին մետրիկ կենսաչափական որոշիչների ձև էր, որն այժմ համարվում է անընդունելի');
INSERT INTO `lang_definitions` VALUES (68261, 10829, 13, 'Այս շաբաթ մինչ օրս');
INSERT INTO `lang_definitions` VALUES (68262, 10831, 13, 'Այն կակտիվացնի ԽՇԳ (Խնամքի Շարունակական Գրառման) և ՇԽՓ (Շարունակական  Խնամքի Փաստաթղթերի) զեկուցումը');
INSERT INTO `lang_definitions` VALUES (68263, 10834, 13, 'Թույլ կտա կատարել կարգաբերող ( \'կեղծ \') լեզվի  ընտրություն');
INSERT INTO `lang_definitions` VALUES (68264, 10843, 13, 'Սա կստեղծի tar ֆորմատի կրկնօրինակ և կուղարկի ձեր բրոուզեր, որպեսզի կարողանա պահպանել այն։');
INSERT INTO `lang_definitions` VALUES (68265, 10844, 13, 'Փաստաթղթի կոդավորման և ապակոդավորման հնարավորությունները կարգելափակվեն և կթաքցվեն օգտվողի ինտերֆեյսում');
INSERT INTO `lang_definitions` VALUES (68266, 10845, 13, 'Սա կանջատի բոլոր այն ձևերի \"Խմբագրել\" կոճակը, որոնցում առաջին/գլխավոր այցելության վրա առկա է էլ․ ստորագրություն');
INSERT INTO `lang_definitions` VALUES (68267, 10846, 13, 'Սա կանջատի  էլ․ ստորագրությամբ ստորագրված ցանկացած  ձևի \"Խմբագրել\" կոճակը');
INSERT INTO `lang_definitions` VALUES (68268, 10850, 13, 'Ի տարբերություն անհատական/առանձին ձևերի՝ սա թույլ կտա ստորագրել ողջ այցելությունը');
INSERT INTO `lang_definitions` VALUES (68269, 10851, 13, 'Սա թույլ կտա առանձին ստորագրել  անհատական/տարբեր ձևերը');
INSERT INTO `lang_definitions` VALUES (68270, 10855, 13, 'Սա օգտվողին կտրամադրի արգելափակման տարբերակներ (առանձին արգելափակում  և ստորագրում)');
INSERT INTO `lang_definitions` VALUES (68271, 10857, 13, 'Սա հիվանդի զեկույցում կթաքցնի դատարկ էլ․ ստորագրության մուտքերը');
INSERT INTO `lang_definitions` VALUES (68272, 10859, 13, 'Իրար է միացնում  երկու պացիենտի քարտերը։ Սա օգտակար է հատկապես երբ սխալմամբ կրկնօրինակվել է պացիենտի տվյալները։ Եթե դա հաճախ է պատահում, ապա կարգավորեք գրասենյակային միջամտությունները՝ այդ ֆունկցիան հաճախ կիրառելու փոխարեն');
INSERT INTO `lang_definitions` VALUES (68273, 10860, 13, 'Սա չի խոնգարում էլ-դեղատոմսերի կայք անցնելուն');
INSERT INTO `lang_definitions` VALUES (68274, 10867, 13, 'Սա կկիրառի  ոչ թե ստանդարտ CVX, այլ   օգտվողի կողմից խմբագրվող պատվաստումների ցանկը,');
INSERT INTO `lang_definitions` VALUES (68275, 10871, 13, 'Ողնաշարի կրծքային հատված');
INSERT INTO `lang_definitions` VALUES (68276, 10873, 13, 'Հազ/Խոր․մմ');
INSERT INTO `lang_definitions` VALUES (68277, 10878, 13, 'Կոկորդ');
INSERT INTO `lang_definitions` VALUES (68278, 10879, 13, 'Կոկորդի քաղցկեղ');
INSERT INTO `lang_definitions` VALUES (68279, 10880, 13, 'Կոկորդի քաղցկեղի վիրահատություն');
INSERT INTO `lang_definitions` VALUES (68280, 10881, 13, 'Թրոմբոզ / ինսուլտ');
INSERT INTO `lang_definitions` VALUES (68281, 10882, 13, 'Չրք․');
INSERT INTO `lang_definitions` VALUES (68282, 10884, 13, 'Չորեքշաբթի');
INSERT INTO `lang_definitions` VALUES (68283, 10885, 13, 'Չորեքշաբթի');
INSERT INTO `lang_definitions` VALUES (68284, 10887, 13, 'Նորմալ վահանաձև գեղձ');
INSERT INTO `lang_definitions` VALUES (68285, 10888, 13, 'Վահանագեղձի խնդիրներ');
INSERT INTO `lang_definitions` VALUES (68286, 10890, 13, 'TIA');
INSERT INTO `lang_definitions` VALUES (68287, 10891, 13, 'Tibetan Standard, Tibetan, Central');
INSERT INTO `lang_definitions` VALUES (68288, 10892, 13, 'TID');
INSERT INTO `lang_definitions` VALUES (68289, 10901, 13, 'Tigrinya');
INSERT INTO `lang_definitions` VALUES (68290, 10902, 13, 'Ժամանակ');
INSERT INTO `lang_definitions` VALUES (68291, 10903, 13, 'Ժամի էկրանավորման ֆորմատ');
INSERT INTO `lang_definitions` VALUES (68292, 10904, 13, 'Ժամանակի  ավելացում (1-60 րոպե)');
INSERT INTO `lang_definitions` VALUES (68293, 10905, 13, 'Ժամանակի ընտրություն');
INSERT INTO `lang_definitions` VALUES (68294, 10907, 13, 'Ժամային բլոկը բաց է․ իրադարձությունը պահպանվում է');
INSERT INTO `lang_definitions` VALUES (68295, 10913, 13, 'Ժամանակավորված միջոցառում');
INSERT INTO `lang_definitions` VALUES (68296, 10918, 13, 'Ականջներում զնգոց');
INSERT INTO `lang_definitions` VALUES (68297, 10920, 13, 'Անվանում');
INSERT INTO `lang_definitions` VALUES (68298, 10923, 13, 'Անվանում V');
INSERT INTO `lang_definitions` VALUES (68299, 10924, 13, 'Անվանման սյուները պետք է լինեն 1-999 թվերի միջակայքում');
INSERT INTO `lang_definitions` VALUES (68300, 10925, 13, 'Վերնագրեր/Անվանումներ');
INSERT INTO `lang_definitions` VALUES (68301, 10926, 13, 'TM\'S:');
INSERT INTO `lang_definitions` VALUES (68302, 10927, 13, 'Արտաքին քիթ TMs/EAMs/EE');
INSERT INTO `lang_definitions` VALUES (68303, 10928, 13, 'մինչ/դեպի');
INSERT INTO `lang_definitions` VALUES (68304, 10929, 13, 'մինչ/դեպի');
INSERT INTO `lang_definitions` VALUES (68305, 10930, 13, 'ՄԻՆՉ/ԴԵՊԻ');
INSERT INTO `lang_definitions` VALUES (68306, 10931, 13, 'ֆայլի բացարձակ ուղի');
INSERT INTO `lang_definitions` VALUES (68307, 10936, 13, 'սեղմել նշումներ ավելացնելու համար');
INSERT INTO `lang_definitions` VALUES (68308, 10937, 13, 'նշումներ ավելացնելու համար սեղմել այստեղ');
INSERT INTO `lang_definitions` VALUES (68309, 10938, 13, 'վնասված/ախտահարված մասում');
INSERT INTO `lang_definitions` VALUES (68310, 10939, 13, 'վնասված/ախտահարված մասում');
INSERT INTO `lang_definitions` VALUES (68311, 10945, 13, 'կատեգորիային կատեգորիայում');
INSERT INTO `lang_definitions` VALUES (68312, 10947, 13, 'Կլինիկական հետազոտման');
INSERT INTO `lang_definitions` VALUES (68313, 10949, 13, 'Հավելավճարին');
INSERT INTO `lang_definitions` VALUES (68314, 10952, 13, 'ավարտի ամսաթիվը պետք է ավելի մեծ լինի, քա մեկնարկի ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (68315, 10953, 13, 'В ded\'ble');
INSERT INTO `lang_definitions` VALUES (68316, 10972, 13, 'Այցին');
INSERT INTO `lang_definitions` VALUES (68317, 10973, 13, 'ֆիլտրել ըստ սեռի');
INSERT INTO `lang_definitions` VALUES (68318, 10980, 13, 'Անամնեզին');
INSERT INTO `lang_definitions` VALUES (68319, 10982, 13, 'Խնդիրներին');
INSERT INTO `lang_definitions` VALUES (68320, 10984, 13, 'Այս այցը/խորհրդատվությունը առկա խնդրին կապելու/հղելու համար սեղմել');
INSERT INTO `lang_definitions` VALUES (68321, 10985, 13, 'Այս այցը/խորհրդատվությունը առկա խնդրին կապելու/հղելու համար սեղմել վերոնշյալ ցանկացած խնդրի վրա, որպեսզի այն ընդգծվի, ապա սեղմել [պահպանել]: Տարբեր խնդիրներ ընտրելու համար սեղմած պահել [Ctrl] կոճակը');
INSERT INTO `lang_definitions` VALUES (68322, 10987, 13, 'կրկին/նորից մուտք գործել');
INSERT INTO `lang_definitions` VALUES (68323, 10992, 13, 'Նոր բացահայտումների գրանցման համար սեղմել');
INSERT INTO `lang_definitions` VALUES (68324, 10997, 13, 'գործարկել/գործարկման համար');
INSERT INTO `lang_definitions` VALUES (68325, 11002, 13, 'Մաշկին');
INSERT INTO `lang_definitions` VALUES (68326, 11003, 13, 'մաշկին');
INSERT INTO `lang_definitions` VALUES (68327, 11005, 13, 'ա՞յս այցին');
INSERT INTO `lang_definitions` VALUES (68328, 11006, 13, 'Առկա պացիենտին CCR փաստաթուղթ կցելու համար կիրառեք Պացիենտի Ամփոփ Տեղեկագիրը');
INSERT INTO `lang_definitions` VALUES (68329, 11010, 13, 'մինչ։');
INSERT INTO `lang_definitions` VALUES (68330, 11011, 13, 'մինչ։');
INSERT INTO `lang_definitions` VALUES (68331, 11012, 13, 'ՔԱՂԱՔ');
INSERT INTO `lang_definitions` VALUES (68332, 11013, 13, 'ՖԱՔՍ');
INSERT INTO `lang_definitions` VALUES (68333, 11014, 13, 'ԱՆՈՒՆ');
INSERT INTO `lang_definitions` VALUES (68334, 11015, 13, 'ԱԶԳԱՆՈՒՆ');
INSERT INTO `lang_definitions` VALUES (68335, 11016, 13, 'ՀԱՅՐԱՆՈՒՆ');
INSERT INTO `lang_definitions` VALUES (68336, 11017, 13, 'ԿԱԶՄԱԿԵՐՊՈՒԹՅՈՒՆ');
INSERT INTO `lang_definitions` VALUES (68337, 11018, 13, 'ՀԵՌԱԽՈՍ');
INSERT INTO `lang_definitions` VALUES (68338, 11019, 13, 'ԲՋՋԱՅԻՆ ՀԵՌԱԽՈՍ');
INSERT INTO `lang_definitions` VALUES (68339, 11020, 13, 'ՓՈՍՏԱՅԻՆ ԻՆԴԵՔՍ');
INSERT INTO `lang_definitions` VALUES (68340, 11021, 13, 'ՆԱՀԱՆԳ/ՄԱՐԶ');
INSERT INTO `lang_definitions` VALUES (68341, 11022, 13, 'ՓՈՂՈՑ');
INSERT INTO `lang_definitions` VALUES (68342, 11023, 13, 'ԱՆՎԱՆՈՒՄ');
INSERT INTO `lang_definitions` VALUES (68343, 11024, 13, 'ՎԵՐՋՆԱԳԻՐ/ՓԱԿՄԱՆ ԽՈՍՔ');
INSERT INTO `lang_definitions` VALUES (68344, 11025, 13, 'Ծխախոտ');
INSERT INTO `lang_definitions` VALUES (68345, 11026, 13, 'Ծխելու դադարեցման միջամտություն');
INSERT INTO `lang_definitions` VALUES (68346, 11027, 13, 'Ծխելու դադարեցման միջամտություն (CQM)');
INSERT INTO `lang_definitions` VALUES (68347, 11028, 13, 'Ծխախոտի կիրառում');
INSERT INTO `lang_definitions` VALUES (68348, 11029, 13, 'Ծխախոտի կիրառում');
INSERT INTO `lang_definitions` VALUES (68349, 11030, 13, 'Ծխախոտի կիրառման գնահատական');
INSERT INTO `lang_definitions` VALUES (68350, 11031, 13, 'Ծխախոտի կիրառման գնահատական  (CQM)');
INSERT INTO `lang_definitions` VALUES (68351, 11032, 13, 'Այսօր');
INSERT INTO `lang_definitions` VALUES (68352, 11033, 13, 'ԱՅՍՕՐ');
INSERT INTO `lang_definitions` VALUES (68353, 11034, 13, 'այսօր');
INSERT INTO `lang_definitions` VALUES (68354, 11035, 13, 'Այսօրվա մնացորդը');
INSERT INTO `lang_definitions` VALUES (68355, 11036, 13, 'Այսօրվա վճարումները');
INSERT INTO `lang_definitions` VALUES (68356, 11037, 13, 'Այսօրվա ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (68357, 11038, 13, 'Այսօրվա իրադարձությունները');
INSERT INTO `lang_definitions` VALUES (68358, 11047, 13, 'Տոնզիլեկտոմիա /նշագեղձերի վիրահատական հեռացում');
INSERT INTO `lang_definitions` VALUES (68359, 11048, 13, 'տոնզիլեկտոմիա /նշագեղձերի վիրահատական հեռացում');
INSERT INTO `lang_definitions` VALUES (68360, 11050, 13, 'Վերև');
INSERT INTO `lang_definitions` VALUES (68361, 11052, 13, 'Վերին լուսանցք');
INSERT INTO `lang_definitions` VALUES (68362, 11053, 13, 'Թեմա');
INSERT INTO `lang_definitions` VALUES (68363, 11054, 13, 'Ընդհանուր/Ընդամենը');
INSERT INTO `lang_definitions` VALUES (68364, 11055, 13, 'ընդհանուր/ընդամենը');
INSERT INTO `lang_definitions` VALUES (68365, 11056, 13, 'Ընդամենը ակտիվ գործողություններ');
INSERT INTO `lang_definitions` VALUES (68366, 11057, 13, 'Ընդհանուր ակտիվ հիշեցումներ թԹարմացումից հետո');
INSERT INTO `lang_definitions` VALUES (68367, 11058, 13, 'Ընդհանուր ակտիվ հիշեցումներ թարմացումից առաջ');
INSERT INTO `lang_definitions` VALUES (68368, 11060, 13, 'Վճարման ենթակա ընդհանուր գումարը');
INSERT INTO `lang_definitions` VALUES (68369, 11061, 13, 'Ընդամենը վճարված է');
INSERT INTO `lang_definitions` VALUES (68370, 11062, 13, 'Ընդհանուր մնացորդը');
INSERT INTO `lang_definitions` VALUES (68371, 11063, 13, 'Ընդհանուր գանձում');
INSERT INTO `lang_definitions` VALUES (68372, 11064, 13, 'Ընդհանուր վճարներ');
INSERT INTO `lang_definitions` VALUES (68373, 11065, 13, 'Հաճախորդների ընդհանուր քանակ');
INSERT INTO `lang_definitions` VALUES (68374, 11067, 13, 'Ընդհանուր արժեքը');
INSERT INTO `lang_definitions` VALUES (68375, 11068, 13, 'Հերթական համարի ընդհանուր բաշխումը լիարժեք չէ');
INSERT INTO `lang_definitions` VALUES (68376, 11069, 13, 'Ընդհանուր մուտքեր');
INSERT INTO `lang_definitions` VALUES (68377, 11070, 13, 'էլ․փոստով ուղարկվող ձախողված հիշեցումների ընդհանուր քանակը');
INSERT INTO `lang_definitions` VALUES (68378, 11071, 13, 'Հեռախոսով ուղարկվող ձախողված հիշեցումների ընդհանուր քանակը');
INSERT INTO `lang_definitions` VALUES (68379, 11072, 13, 'Ընդամենը -ի համար');
INSERT INTO `lang_definitions` VALUES (68380, 11073, 13, 'Ընդամենը -ի համար');
INSERT INTO `lang_definitions` VALUES (68381, 11074, 13, 'Ընդամենը կատեգորիայի համար');
INSERT INTO `lang_definitions` VALUES (68382, 11075, 13, 'Ընդամենը ապակտիվացարած հիշեցումներ');
INSERT INTO `lang_definitions` VALUES (68383, 11078, 13, 'Ընդամենը նոր հիշեցումներ');
INSERT INTO `lang_definitions` VALUES (68384, 11079, 13, 'Հանդիպումների/նշանակված այցերի ընդհանուր քանակը');
INSERT INTO `lang_definitions` VALUES (68385, 11081, 13, 'Պատվաստումների ընդհանուր քանակը');
INSERT INTO `lang_definitions` VALUES (68386, 11082, 13, 'Արդյունքների ընդհանուր քանակը');
INSERT INTO `lang_definitions` VALUES (68387, 11084, 13, 'Պացիենտների ընդհանուր քանակը');
INSERT INTO `lang_definitions` VALUES (68388, 11087, 13, 'Պացիենտների ընդհանուր հաշվեկշիռը');
INSERT INTO `lang_definitions` VALUES (68389, 11089, 13, 'Ընդամենը պացիենտ');
INSERT INTO `lang_definitions` VALUES (68390, 11090, 13, 'Ընդհանուր վճարումներ');
INSERT INTO `lang_definitions` VALUES (68391, 11091, 13, 'Ընդհանուր գրանցումներ');
INSERT INTO `lang_definitions` VALUES (68392, 11093, 13, 'Գտնված գրանցումների ընդհանուր քանակը');
INSERT INTO `lang_definitions` VALUES (68393, 11096, 13, 'Էլ․փոստով հաջողությամբ ուղակված հիշեցումների ընդհանուր քանակը');
INSERT INTO `lang_definitions` VALUES (68394, 11097, 13, 'Հեռախոսով  հաջողությամբ ուղակված հիշեցումների ընդհանուր քանակը');
INSERT INTO `lang_definitions` VALUES (68395, 11098, 13, 'Ընդհանուր ժամանակ');
INSERT INTO `lang_definitions` VALUES (68396, 11099, 13, 'Ընդհանուր տեղափոխումներ');
INSERT INTO `lang_definitions` VALUES (68397, 11100, 13, 'Չփոփոխված  հիշեցումների ընդհանուր քանակը');
INSERT INTO `lang_definitions` VALUES (68398, 11101, 13, 'Ուղարկում հրամանից հետո չուղարկված  հիշեցումների ընդհանուր քանակը');
INSERT INTO `lang_definitions` VALUES (68399, 11102, 13, 'Թարմացումից հետո չուղարկված  հիշեցումների ընդհանուր քանակը');
INSERT INTO `lang_definitions` VALUES (68400, 11103, 13, 'Ուղարկում հրամանից առաջ չուղարկված  հիշեցումների ընդհանուր քանակը');
INSERT INTO `lang_definitions` VALUES (68401, 11104, 13, 'Թարմացումից առաջ չուղարկված  հիշեցումների ընդհանուր քանակը');
INSERT INTO `lang_definitions` VALUES (68402, 11105, 13, 'Թարմացված  հիշեցումների ընդհանուր քանակը');
INSERT INTO `lang_definitions` VALUES (68403, 11106, 13, 'Ընդհանուր քանակներ');
INSERT INTO `lang_definitions` VALUES (68404, 11107, 13, '-ի ընդհանուր քանակներ');
INSERT INTO `lang_definitions` VALUES (68405, 11108, 13, '-ի ընդհանուր քանակներ');
INSERT INTO `lang_definitions` VALUES (68406, 11135, 13, 'Ուսուցման ձևը');
INSERT INTO `lang_definitions` VALUES (68407, 11136, 13, 'Անցկացնել');
INSERT INTO `lang_definitions` VALUES (68408, 11137, 13, 'գործարք / գործարքի իրագործում');
INSERT INTO `lang_definitions` VALUES (68409, 11138, 13, 'գործարք / գործարքի իրագործում');
INSERT INTO `lang_definitions` VALUES (68410, 11139, 13, 'Գործարքը ձախողվեց․ անբավարար քանակություն նշված խմբաքանակում');
INSERT INTO `lang_definitions` VALUES (68411, 11140, 13, 'Գործարքը ձախողվեց․ քանակը փոքր է զրոյից');
INSERT INTO `lang_definitions` VALUES (68412, 11142, 13, 'Գործարքի տեսակը');
INSERT INTO `lang_definitions` VALUES (68413, 11143, 13, 'Գործարքներ');
INSERT INTO `lang_definitions` VALUES (68414, 11144, 13, 'գործարքներ');
INSERT INTO `lang_definitions` VALUES (68415, 11145, 13, 'Գործարքներ (նշել ըստ ցանկության)');
INSERT INTO `lang_definitions` VALUES (68416, 11151, 13, 'Գործարքներ/Ուղեգրեր');
INSERT INTO `lang_definitions` VALUES (68417, 11152, 13, 'Տրանսդերմալ');
INSERT INTO `lang_definitions` VALUES (68418, 11153, 13, 'Փոխանցել');
INSERT INTO `lang_definitions` VALUES (68419, 11154, 13, 'Փոխանցման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (68420, 11155, 13, 'Փոխանցումը ձախողվեց․ անբավարար քանակություն սկզբնաղբյուրի խմբաքանակում');
INSERT INTO `lang_definitions` VALUES (68421, 11156, 13, 'Փոխանցման անդորրագիր');
INSERT INTO `lang_definitions` VALUES (68422, 11157, 13, 'Փոխանցում դեպի');
INSERT INTO `lang_definitions` VALUES (68423, 11158, 13, 'Փոխանցվել է -ի կողմից');
INSERT INTO `lang_definitions` VALUES (68424, 11159, 13, 'Փոխանցման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (68425, 11160, 13, 'Փոխանցումներ');
INSERT INTO `lang_definitions` VALUES (68426, 11163, 13, 'Թարգմանել Հասանելիության կառավարման խումբը');
INSERT INTO `lang_definitions` VALUES (68427, 11164, 13, 'Թարգմանել Այցերի Կատեգորիաները');
INSERT INTO `lang_definitions` VALUES (68428, 11165, 13, 'Թարգմանել Փաստաթղթերի Կատեգորիաները');
INSERT INTO `lang_definitions` VALUES (68429, 11166, 13, 'Թարգմանել նախագծերը/պլանները');
INSERT INTO `lang_definitions` VALUES (68430, 11167, 13, 'Թարգմանել ցանկերը');
INSERT INTO `lang_definitions` VALUES (68431, 11168, 13, 'Թարգմանել Պացիենտների նշումների վերնագրերը');
INSERT INTO `lang_definitions` VALUES (68432, 11169, 13, 'թարգմանել սա');
INSERT INTO `lang_definitions` VALUES (68433, 11170, 13, 'Թարգմանություն');
INSERT INTO `lang_definitions` VALUES (68434, 11171, 13, 'Թարգմանություններ');
INSERT INTO `lang_definitions` VALUES (68435, 11172, 13, 'Փոխանցել/ուղարկել');
INSERT INTO `lang_definitions` VALUES (68436, 11175, 13, 'Փոխանցումը/ուղարկումը ձախողվեց');
INSERT INTO `lang_definitions` VALUES (68437, 11177, 13, 'Փոխանցման ընտրված հրամաններ');
INSERT INTO `lang_definitions` VALUES (68438, 11179, 13, 'Վնասվածք');
INSERT INTO `lang_definitions` VALUES (68439, 11180, 13, 'Բուժում');
INSERT INTO `lang_definitions` VALUES (68440, 11181, 13, 'Բուժման ավարտի/ամբողջականացման կարգավիակը');
INSERT INTO `lang_definitions` VALUES (68441, 11182, 13, 'Բուժման նպատակը');
INSERT INTO `lang_definitions` VALUES (68442, 11183, 13, 'Բուժման պլանը');
INSERT INTO `lang_definitions` VALUES (68443, 11184, 13, 'Բուժման պլանավորում');
INSERT INTO `lang_definitions` VALUES (68444, 11185, 13, 'Բուժումն ստացված է');
INSERT INTO `lang_definitions` VALUES (68445, 11186, 13, 'Բուժում։');
INSERT INTO `lang_definitions` VALUES (68446, 11187, 13, 'Բուժում։');
INSERT INTO `lang_definitions` VALUES (68447, 11189, 13, 'Տենդենց');
INSERT INTO `lang_definitions` VALUES (68448, 11190, 13, 'trftime($month_format, mktime(0, 0, 0, $i, 1, 2000)) );             $month_value');
INSERT INTO `lang_definitions` VALUES (68449, 11195, 13, 'Trigger point / compartment syndrome / DOMS / cramp');
INSERT INTO `lang_definitions` VALUES (68450, 11199, 13, 'Իրան և որովայն');
INSERT INTO `lang_definitions` VALUES (68451, 11200, 13, 'Վստահելի էլ․ հասցե');
INSERT INTO `lang_definitions` VALUES (68452, 11201, 13, 'Վստահելի/անվտանգ էլ․ փոստ');
INSERT INTO `lang_definitions` VALUES (68453, 11203, 13, 'Փորձում է ստեղծել օգտվողի հաշիվ` առկա գտվողի անունով');
INSERT INTO `lang_definitions` VALUES (68454, 11208, 13, 'Թոքախտ/պալարախտ');
INSERT INTO `lang_definitions` VALUES (68455, 11209, 13, 'Երք․');
INSERT INTO `lang_definitions` VALUES (68456, 11210, 13, 'Երք․ &amp; Հնգ․');
INSERT INTO `lang_definitions` VALUES (68457, 11211, 13, 'Երեքշաբթի');
INSERT INTO `lang_definitions` VALUES (68458, 11212, 13, 'Նորագոյացություն/ուռուցք');
INSERT INTO `lang_definitions` VALUES (68459, 11213, 13, 'թուրքերեն');
INSERT INTO `lang_definitions` VALUES (68460, 11214, 13, 'թուրք');
INSERT INTO `lang_definitions` VALUES (68461, 11222, 13, 'օրը երկու անգամ');
INSERT INTO `lang_definitions` VALUES (68462, 11223, 13, 'երկու տարի առաջ');
INSERT INTO `lang_definitions` VALUES (68463, 11226, 13, 'թմբկաթաղանք');
INSERT INTO `lang_definitions` VALUES (68464, 11227, 13, 'Տեսակ մուտքագրել/հավաքագրել/գրի առնել');
INSERT INTO `lang_definitions` VALUES (68465, 11231, 13, 'մուտքագրել Id-ն կամ անունը։ նվազագույնը 3 նիշ (ներառյալ բացատները)');
INSERT INTO `lang_definitions` VALUES (68466, 11238, 13, 'Պացիենտի որոնման աարդյունքների սյուների էկրանավորման տեսակը');
INSERT INTO `lang_definitions` VALUES (68467, 11239, 13, 'Հրապարակման տեսակը');
INSERT INTO `lang_definitions` VALUES (68468, 11240, 13, 'Իրադարձության տեսակը');
INSERT INTO `lang_definitions` VALUES (68469, 11242, 13, 'Էկրանի դասավորության տեսակը');
INSERT INTO `lang_definitions` VALUES (68470, 11243, 13, 'Մուտքագրել կամ սկանավորել Պացիենտի  նույնացուցիչն այստեղ');
INSERT INTO `lang_definitions` VALUES (68471, 11248, 13, 'Մուտքագրեք ձեր հաղորդագրությունն այստեղ');
INSERT INTO `lang_definitions` VALUES (68472, 11249, 13, 'Նշանակումների և արդյունքների տեսակները');
INSERT INTO `lang_definitions` VALUES (68473, 11251, 13, 'Հ{{Հինգշաբթի}}');
INSERT INTO `lang_definitions` VALUES (68474, 11252, 13, 'Ե{{Երեքշաբթի}}');
INSERT INTO `lang_definitions` VALUES (68475, 11270, 13, 'UCSMC կոդերը տրամադրվել են Կալագարիի Սպորտային Բժշկական Կենտրոնի Համալասարանի կողմից');
INSERT INTO `lang_definitions` VALUES (68476, 11271, 13, 'Ուկրաիներեն');
INSERT INTO `lang_definitions` VALUES (68477, 11272, 13, 'Խոցեր /Խոցերի առաջացում');
INSERT INTO `lang_definitions` VALUES (68478, 11273, 13, 'Խոսային կոլիտներ');
INSERT INTO `lang_definitions` VALUES (68479, 11274, 13, 'Խոցեր։');
INSERT INTO `lang_definitions` VALUES (68480, 11276, 13, 'Հնարավոր չէ մուտք գործել/բացել տեղեկատուն');
INSERT INTO `lang_definitions` VALUES (68481, 11277, 13, 'Հնարավոր չէ մուտք գործել/բացել վեբ հասցեն');
INSERT INTO `lang_definitions` VALUES (68482, 11278, 13, 'Հնարավոր չէ ստեղծել');
INSERT INTO `lang_definitions` VALUES (68483, 11279, 13, 'Հնարավոր չէ ստեղծել պացիենտի փաստաթղթերի ենթատեղեկատու');
INSERT INTO `lang_definitions` VALUES (68484, 11287, 13, 'Այս ֆայլում հնարավոր չէ տվյալներ տեղադրել');
INSERT INTO `lang_definitions` VALUES (68485, 11289, 13, 'Հնարավոր չէ փոփոխել հայտի/դիմումի կարգավորումները․ խնդրում ենք տալ գրավոր թույլտվություն');
INSERT INTO `lang_definitions` VALUES (68486, 11291, 13, 'Չկիրառված/չընդունված');
INSERT INTO `lang_definitions` VALUES (68487, 11292, 13, 'Չնշանակված');
INSERT INTO `lang_definitions` VALUES (68488, 11293, 13, 'Չթույլատրված/արգելված');
INSERT INTO `lang_definitions` VALUES (68489, 11294, 13, 'Էլ․դեղատոմսի անօրինական/չարտոնված մուտք');
INSERT INTO `lang_definitions` VALUES (68490, 11295, 13, 'անօրինական/չարտոնված մուտք');
INSERT INTO `lang_definitions` VALUES (68491, 11296, 13, 'Չհաշվեգրված');
INSERT INTO `lang_definitions` VALUES (68492, 11297, 13, 'Միայն չհաշվեգրվածները');
INSERT INTO `lang_definitions` VALUES (68493, 11299, 13, 'Քեռի/հորեղբայր');
INSERT INTO `lang_definitions` VALUES (68494, 11300, 13, 'Լեզվի տակ');
INSERT INTO `lang_definitions` VALUES (68495, 11303, 13, 'Քաշի կորուստ');
INSERT INTO `lang_definitions` VALUES (68496, 11304, 13, 'Չախտորոշված');
INSERT INTO `lang_definitions` VALUES (68497, 11305, 13, 'Չբաշխված');
INSERT INTO `lang_definitions` VALUES (68498, 11306, 13, 'Չբաշխված');
INSERT INTO `lang_definitions` VALUES (68499, 11307, 13, 'Չբաշխված է');
INSERT INTO `lang_definitions` VALUES (68500, 11309, 13, 'Չեղարկել վճարումը');
INSERT INTO `lang_definitions` VALUES (68501, 11310, 13, 'Սեգմենտում նոր պանցիենտի ստեղծման չնախատեսված անհամապատասխանություն');
INSERT INTO `lang_definitions` VALUES (68502, 11311, 13, 'Եզակի Հաճախորդներ');
INSERT INTO `lang_definitions` VALUES (68503, 11312, 13, 'Այս տեսակի մեջ եզակի հանրամատչելի նույնացուցիչ');
INSERT INTO `lang_definitions` VALUES (68504, 11315, 13, 'Նոր Եզակի Հաճախորդներ');
INSERT INTO `lang_definitions` VALUES (68505, 11316, 13, 'Այս տեսակի մեջ եզակի թվային նույնացուցիչ');
INSERT INTO `lang_definitions` VALUES (68506, 11317, 13, 'Հիվանդի անհատական զննում');
INSERT INTO `lang_definitions` VALUES (68507, 11318, 13, 'Հիվանդի անհատական զննման զեկույց/հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (68508, 11320, 13, 'Միավոր/Չափման միավոր');
INSERT INTO `lang_definitions` VALUES (68509, 11321, 13, 'Միավորներ/Չափման միավորներ');
INSERT INTO `lang_definitions` VALUES (68510, 11322, 13, 'Չափման միավորներ');
INSERT INTO `lang_definitions` VALUES (68511, 11323, 13, 'Չափման միավորները համապատասխանում են արդյունքի արժեքին');
INSERT INTO `lang_definitions` VALUES (68512, 11324, 13, 'Այցերի ձևերի չափման միավորներ');
INSERT INTO `lang_definitions` VALUES (68513, 11325, 13, 'Միավորները պետք է թվեր լինեն');
INSERT INTO `lang_definitions` VALUES (68514, 11326, 13, 'Միավորներ/Չափման միավորներ սահմանված չեն');
INSERT INTO `lang_definitions` VALUES (68515, 11327, 13, 'Չափման միավոր/L');
INSERT INTO `lang_definitions` VALUES (68516, 11328, 13, 'Անհայտ');
INSERT INTO `lang_definitions` VALUES (68517, 11329, 13, 'անհայտ (Տես մուտք)');
INSERT INTO `lang_definitions` VALUES (68518, 11330, 13, 'անհայտ սխալ');
INSERT INTO `lang_definitions` VALUES (68519, 11331, 13, 'Հայտնի չէ՝ երբևէ ծխել է Ծխելու վերաբերյալ տեղեկություններ չկան/հայտնի չեն');
INSERT INTO `lang_definitions` VALUES (68520, 11332, 13, 'Անհայտ կամ չկիրառված');
INSERT INTO `lang_definitions` VALUES (68521, 11335, 13, 'Օգտվողի անհայտ նույնացուցիչ');
INSERT INTO `lang_definitions` VALUES (68522, 11344, 13, 'Հանել պացիենտի հղումը');
INSERT INTO `lang_definitions` VALUES (68523, 11345, 13, 'Անանուն ապահովագռող');
INSERT INTO `lang_definitions` VALUES (68524, 11346, 13, 'Չգրանցված');
INSERT INTO `lang_definitions` VALUES (68525, 11347, 13, 'Չգրանցված մոդուլներ');
INSERT INTO `lang_definitions` VALUES (68526, 11349, 13, 'Հեռացնել ողջ ընտրանքը');
INSERT INTO `lang_definitions` VALUES (68527, 11350, 13, 'Չընտրված');
INSERT INTO `lang_definitions` VALUES (68528, 11351, 13, 'Չառանձնացված');
INSERT INTO `lang_definitions` VALUES (68529, 11352, 13, 'չկարգավորված');
INSERT INTO `lang_definitions` VALUES (68530, 11356, 13, 'մինչ/մինչև');
INSERT INTO `lang_definitions` VALUES (68531, 11359, 13, 'Անժամանակ դիմում/լրացում');
INSERT INTO `lang_definitions` VALUES (68532, 11360, 13, 'Չօգտագործված');
INSERT INTO `lang_definitions` VALUES (68533, 11361, 13, 'UOR');
INSERT INTO `lang_definitions` VALUES (68534, 11362, 13, 'ներառյալ -ը');
INSERT INTO `lang_definitions` VALUES (68535, 11364, 13, 'Առաջիկա հանդիպումները');
INSERT INTO `lang_definitions` VALUES (68536, 11365, 13, 'Առաջիկա իրադարձությունները');
INSERT INTO `lang_definitions` VALUES (68537, 11366, 13, 'Թարմացնել');
INSERT INTO `lang_definitions` VALUES (68538, 11367, 13, 'թարմացնել');
INSERT INTO `lang_definitions` VALUES (68539, 11368, 13, 'Թարմացնել ակտիվները');
INSERT INTO `lang_definitions` VALUES (68540, 11371, 13, 'Թարմացնել ֆայլերը');
INSERT INTO `lang_definitions` VALUES (68541, 11372, 13, 'Թարմացնել ինֆորմացիան');
INSERT INTO `lang_definitions` VALUES (68542, 11374, 13, 'Թարմացնել ցանկը');
INSERT INTO `lang_definitions` VALUES (68543, 11377, 13, 'Թարմացնել մասնագետի հերթական համարը');
INSERT INTO `lang_definitions` VALUES (68544, 11378, 13, 'Թարմացնել ընտրված նիշերը');
INSERT INTO `lang_definitions` VALUES (68545, 11383, 13, 'Թարմացնել ֆայլի հետեւյալ փոփոխականները');
INSERT INTO `lang_definitions` VALUES (68546, 11384, 13, 'Թարմացնել օգտվողի տվյալները');
INSERT INTO `lang_definitions` VALUES (68547, 11385, 13, 'Թարմացվել է -ի կողմից');
INSERT INTO `lang_definitions` VALUES (68548, 11390, 13, 'Անձնական/ազգագրական տվյալների թարմացում չի թույլատրվում');
INSERT INTO `lang_definitions` VALUES (68549, 11392, 13, 'Տարբերակների ցուցանիշների թարմացում');
INSERT INTO `lang_definitions` VALUES (68550, 11393, 13, 'ԹԱՐՄԱՑՈւՄ / ԲԱՐԵԼԱՎՈւՄ');
INSERT INTO `lang_definitions` VALUES (68551, 11394, 13, 'Թարմացում');
INSERT INTO `lang_definitions` VALUES (68552, 11396, 13, 'Թարմացնել տվյալների բազան');
INSERT INTO `lang_definitions` VALUES (68553, 11398, 13, 'OpenEMR-ի տվյալների բազայի թարմացում՝  դեիդենտիֆիկացիոն գործընթացում անհրաժեշտ Միջամտությունների, ֆունկցիաների և աղյուսակների ներառման համար');
INSERT INTO `lang_definitions` VALUES (68554, 11399, 13, 'Թարմացումը կշարունակվի');
INSERT INTO `lang_definitions` VALUES (68555, 11400, 13, 'Նհատական բժշկական նույնականացման համար');
INSERT INTO `lang_definitions` VALUES (68556, 11401, 13, 'Բեռնել/Վերբեռնել');
INSERT INTO `lang_definitions` VALUES (68557, 11403, 13, 'Բեռնել նմուշ/ձևանմուշը');
INSERT INTO `lang_definitions` VALUES (68558, 11405, 13, 'Բեռնել և տեղադրել');
INSERT INTO `lang_definitions` VALUES (68559, 11406, 13, 'Վերբեռնել կոնֆիգուրացիոն տվյալները');
INSERT INTO `lang_definitions` VALUES (68560, 11407, 13, 'Վերբեռնել փաստաթղթերը');
INSERT INTO `lang_definitions` VALUES (68561, 11408, 13, 'Բեռնումը ձախողվեց');
INSERT INTO `lang_definitions` VALUES (68562, 11410, 13, 'Բեռնել պատկերը/նկարը');
INSERT INTO `lang_definitions` VALUES (68563, 11411, 13, 'Բեռնել ներմուծման ֆայլը');
INSERT INTO `lang_definitions` VALUES (68564, 11413, 13, 'Վերբեռնել Պացիենտի Կրթական փաստաթղթերի PDF ֆայլը');
INSERT INTO `lang_definitions` VALUES (68565, 11414, 13, 'Վերբեռնումն հաջողությամբ իրականացվեց');
INSERT INTO `lang_definitions` VALUES (68566, 11415, 13, 'Բեռնել հաշվետվությունը');
INSERT INTO `lang_definitions` VALUES (68567, 11417, 13, 'CCR կատեգորիայի տակ բեռնել xml ֆայլը');
INSERT INTO `lang_definitions` VALUES (68568, 11418, 13, 'Բեռնել սույն ֆայլը');
INSERT INTO `lang_definitions` VALUES (68569, 11421, 13, 'Հաշիվ-ապրանքագրի հերթական համարին սեղմելուց հայտնվում է \"ձեռքով խմբագրելու պատուհան\"։ Այստեղ կարող եք փոխել հաշվի ամսաթիվը, նշումները,');
INSERT INTO `lang_definitions` VALUES (68570, 11429, 13, 'Վերին բազուկ');
INSERT INTO `lang_definitions` VALUES (68571, 11433, 13, 'Հրատապություն/անհետաձգելություն');
INSERT INTO `lang_definitions` VALUES (68572, 11436, 13, 'Մեզ');
INSERT INTO `lang_definitions` VALUES (68573, 11437, 13, 'Մեզի արտահոսք');
INSERT INTO `lang_definitions` VALUES (68574, 11438, 13, 'Հաճախամիզություն');
INSERT INTO `lang_definitions` VALUES (68575, 11439, 13, 'Դժվարամիզություն');
INSERT INTO `lang_definitions` VALUES (68576, 11440, 13, 'Մեզի միկրոալբումին');
INSERT INTO `lang_definitions` VALUES (68577, 11441, 13, 'Մեզի հոսք');
INSERT INTO `lang_definitions` VALUES (68578, 11442, 13, 'Միզարձակության հրատատապություն');
INSERT INTO `lang_definitions` VALUES (68579, 11443, 13, 'ռեսուրսի տեղակայման ցուցիչ վեբ կայքի հասցե');
INSERT INTO `lang_definitions` VALUES (68580, 11444, 13, 'NewCrop eRx կայքի հասցեն');
INSERT INTO `lang_definitions` VALUES (68581, 11445, 13, 'OpenEMR-ի աջակցման հասցե');
INSERT INTO `lang_definitions` VALUES (68582, 11450, 13, 'ԱՄՆ');
INSERT INTO `lang_definitions` VALUES (68583, 11451, 13, 'Օգտագործում/կիրառում');
INSERT INTO `lang_definitions` VALUES (68584, 11453, 13, 'Կիրառման ցուցիչ/չափորոշիչ  (ISA15)');
INSERT INTO `lang_definitions` VALUES (68585, 11456, 13, 'Սյունակում դասավորելու/տեսակավորելու համար օգտագործել պարզապես %');
INSERT INTO `lang_definitions` VALUES (68586, 11457, 13, 'Կիրառե՞լ 24 ժամյա ժամանակային ֆորմատը');
INSERT INTO `lang_definitions` VALUES (68587, 11474, 13, 'Կիրառել օգտվողի կողմից ընտրված պատվաստումների ցանկը');
INSERT INTO `lang_definitions` VALUES (68588, 11475, 13, 'Օգտագործել/կիրառել օգտվողի կողմից ընտրված հայտարարագիրը');
INSERT INTO `lang_definitions` VALUES (68589, 11476, 13, 'Օգտագործել/կիրառել ամսաթվի միջակայքը');
INSERT INTO `lang_definitions` VALUES (68590, 11477, 13, 'Օգտագործել կանխադրված տարբերակը');
INSERT INTO `lang_definitions` VALUES (68591, 11478, 13, 'Հեռացնելու համար օգտագործել Ջնջել տարբերակը');
INSERT INTO `lang_definitions` VALUES (68592, 11479, 13, 'Կիրառե՞լ ամսաթվի միջազգային ձևը');
INSERT INTO `lang_definitions` VALUES (68593, 11483, 13, 'Օգտագործել սկզբնաղբյուրի ֆայլը');
INSERT INTO `lang_definitions` VALUES (68594, 11486, 13, 'Ստացման կամ փոխանցման համար կիրառել ներքոհիշյալ դաշտը');
INSERT INTO `lang_definitions` VALUES (68595, 11490, 13, 'Այս հնարավորությունը կիրառել միայն նոր տեղադրված կայքերի դեպքում/համար');
INSERT INTO `lang_definitions` VALUES (68596, 11493, 13, 'Կիարռե՞լ բաժինները');
INSERT INTO `lang_definitions` VALUES (68597, 11496, 13, 'Օգտվող');
INSERT INTO `lang_definitions` VALUES (68598, 11497, 13, 'Օգտվող');
INSERT INTO `lang_definitions` VALUES (68599, 11498, 13, 'Օգտվող/Խմբեր');
INSERT INTO `lang_definitions` VALUES (68600, 11499, 13, 'Օգտվողի կառավարում');
INSERT INTO `lang_definitions` VALUES (68601, 11500, 13, 'Օգտվողի և Ծառայությունների կառավարում');
INSERT INTO `lang_definitions` VALUES (68602, 11501, 13, 'Օգտվողի և Խմբերի կառավարում');
INSERT INTO `lang_definitions` VALUES (68603, 11502, 13, 'Հնրավոր չէ ջնջել օգտվողին');
INSERT INTO `lang_definitions` VALUES (68604, 11503, 13, 'Օգտվողի հավաստագրի իսկորոշումն անջատված է');
INSERT INTO `lang_definitions` VALUES (68605, 11507, 13, 'Սահմանված օգտվող');
INSERT INTO `lang_definitions` VALUES (68606, 11508, 13, 'Օգտվողի սահմանված տարածք 11');
INSERT INTO `lang_definitions` VALUES (68607, 11509, 13, 'Օգտվողի սահմանված տարածք 12');
INSERT INTO `lang_definitions` VALUES (68608, 11510, 13, 'Օգտվողի սահմանված դաշտ');
INSERT INTO `lang_definitions` VALUES (68609, 11511, 13, 'Օգտվողի սահմանված ցանկ 1');
INSERT INTO `lang_definitions` VALUES (68610, 11512, 13, 'Օգտվողի սահմանված ցանկ 2');
INSERT INTO `lang_definitions` VALUES (68611, 11513, 13, 'Օգտվողի սահմանված ցանկ 3');
INSERT INTO `lang_definitions` VALUES (68612, 11514, 13, 'Օգտվողի սահմանված ցանկ 4');
INSERT INTO `lang_definitions` VALUES (68613, 11515, 13, 'Օգտվողի սահմանված ցանկ 5');
INSERT INTO `lang_definitions` VALUES (68614, 11516, 13, 'Օգտվողի սահմանված ցանկ 6');
INSERT INTO `lang_definitions` VALUES (68615, 11517, 13, 'Օգտվողի սահմանված ցանկ 7');
INSERT INTO `lang_definitions` VALUES (68616, 11518, 13, 'Օգտվողի սահմանված Տեքստ 1');
INSERT INTO `lang_definitions` VALUES (68617, 11519, 13, 'Օգտվողի սահմանված Տեքստ 2');
INSERT INTO `lang_definitions` VALUES (68618, 11520, 13, 'Օգտվողի սահմանված Տեքստ 3');
INSERT INTO `lang_definitions` VALUES (68619, 11521, 13, 'Օգտվողի սահմանված Տեքստ 4');
INSERT INTO `lang_definitions` VALUES (68620, 11522, 13, 'Օգտվողի սահմանված Տեքստ 5');
INSERT INTO `lang_definitions` VALUES (68621, 11523, 13, 'Օգտվողի սահմանված Տեքստ 6');
INSERT INTO `lang_definitions` VALUES (68622, 11524, 13, 'Օգտվողի սահմանված Տեքստ 7');
INSERT INTO `lang_definitions` VALUES (68623, 11525, 13, 'Օգտվողի սահմանված Տեքստ 8');
INSERT INTO `lang_definitions` VALUES (68624, 11526, 13, 'Օգտվողի անուն');
INSERT INTO `lang_definitions` VALUES (68625, 11528, 13, 'Օգտվողի  ID');
INSERT INTO `lang_definitions` VALUES (68626, 11532, 13, 'Օգտվողի ուղեցույց');
INSERT INTO `lang_definitions` VALUES (68627, 11533, 13, 'Օգտվողի անդամագրություն');
INSERT INTO `lang_definitions` VALUES (68628, 11534, 13, 'Օգտվողի անուն');
INSERT INTO `lang_definitions` VALUES (68629, 11536, 13, 'Օգտվողի անունը և հոսթի անվանումը չի կարող դատարկ լինել');
INSERT INTO `lang_definitions` VALUES (68630, 11537, 13, 'Օգտվողի կամ հոսթ անունը');
INSERT INTO `lang_definitions` VALUES (68631, 11539, 13, 'Օգտվողի գաղտնաբառ  (ISA04~ եթե 01 վերևում է, դարձյալ բացատներ թողնել)');
INSERT INTO `lang_definitions` VALUES (68632, 11540, 13, 'Օգտվողի գաղտնաբառի անհրաժեշտ նույնացուցիչ   (ISA03~ օգտ․ 00 կամ 01)');
INSERT INTO `lang_definitions` VALUES (68633, 11541, 13, 'Օգտվողի պարամետրերի կարգավորում');
INSERT INTO `lang_definitions` VALUES (68634, 11543, 13, 'Օգտվողի պարամետրերի հատուկ/անհատական կարգավորում');
INSERT INTO `lang_definitions` VALUES (68635, 11544, 13, 'Օգտվողի նոր գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (68636, 11553, 13, 'Օգտվողի անուն/օգտանուն');
INSERT INTO `lang_definitions` VALUES (68637, 11554, 13, 'Օգտանուն հեռախոսային կապուղու համար');
INSERT INTO `lang_definitions` VALUES (68638, 11556, 13, 'Օգտանուն կարճ խաղորդագրության կապուղու համար');
INSERT INTO `lang_definitions` VALUES (68639, 11557, 13, 'Օգտանուն կարճ խաղորդագրության կապուղու համար');
INSERT INTO `lang_definitions` VALUES (68640, 11558, 13, 'CouchDB-ին կապվելու օգտանուն');
INSERT INTO `lang_definitions` VALUES (68641, 11559, 13, 'Օգտվողի անուն/օգտանուն։');
INSERT INTO `lang_definitions` VALUES (68642, 11560, 13, 'Օգտվողներ');
INSERT INTO `lang_definitions` VALUES (68643, 11564, 13, 'Օգտվողների/Խմբերի/Գրանցումների կառավարում');
INSERT INTO `lang_definitions` VALUES (68644, 11588, 13, 'ԱՐՁԱԿՈւՐԴ');
INSERT INTO `lang_definitions` VALUES (68645, 11589, 13, 'Արձակուրդ');
INSERT INTO `lang_definitions` VALUES (68646, 11590, 13, 'Պատվաստում');
INSERT INTO `lang_definitions` VALUES (68647, 11593, 13, 'Հակաբեղմնավորիչ վագինալ օղակ');
INSERT INTO `lang_definitions` VALUES (68648, 11594, 13, 'հրաժեշտի խոսքեր');
INSERT INTO `lang_definitions` VALUES (68649, 11596, 13, 'վավերացնել/հաստատել');
INSERT INTO `lang_definitions` VALUES (68650, 11609, 13, 'Արժեք/նշանակություն');
INSERT INTO `lang_definitions` VALUES (68651, 11610, 13, 'Արժեք/նշանակություն 1');
INSERT INTO `lang_definitions` VALUES (68652, 11611, 13, 'Արժեք/նշանակություն 2');
INSERT INTO `lang_definitions` VALUES (68653, 11612, 13, 'Արժեքը, եթե համեմատվում է');
INSERT INTO `lang_definitions` VALUES (68654, 11613, 13, 'Արժեքը պետք է թվային լինի');
INSERT INTO `lang_definitions` VALUES (68655, 11614, 13, 'Փոփոխ․ 1');
INSERT INTO `lang_definitions` VALUES (68656, 11615, 13, 'Փոփոխ․ 2');
INSERT INTO `lang_definitions` VALUES (68657, 11619, 13, 'Ջրծաղիկ 1');
INSERT INTO `lang_definitions` VALUES (68658, 11620, 13, 'Ջրծաղիկ 2');
INSERT INTO `lang_definitions` VALUES (68659, 11621, 13, 'Երակների վարիկոզ լայնացում');
INSERT INTO `lang_definitions` VALUES (68660, 11623, 13, 'Անոթային վիճակը');
INSERT INTO `lang_definitions` VALUES (68661, 11624, 13, 'Անոթային վնասվածք');
INSERT INTO `lang_definitions` VALUES (68662, 11625, 13, 'Անոթային վիրաբուժություն');
INSERT INTO `lang_definitions` VALUES (68663, 11630, 13, 'Վաճառող');
INSERT INTO `lang_definitions` VALUES (68664, 11634, 13, 'Տարբերակ');
INSERT INTO `lang_definitions` VALUES (68665, 11653, 13, 'Գլխապտույտ');
INSERT INTO `lang_definitions` VALUES (68666, 11666, 13, 'Վիետնամերեն');
INSERT INTO `lang_definitions` VALUES (68667, 11667, 13, 'Տեսք');
INSERT INTO `lang_definitions` VALUES (68668, 11668, 13, 'տեսք');
INSERT INTO `lang_definitions` VALUES (68669, 11670, 13, 'Ալերգիաների դիտում');
INSERT INTO `lang_definitions` VALUES (68670, 11672, 13, 'x12 տեքստ խմբաքանակի դիտարկում');
INSERT INTO `lang_definitions` VALUES (68671, 11673, 13, 'Դատարկ ուղեգրի դիտարկում');
INSERT INTO `lang_definitions` VALUES (68672, 11675, 13, 'CCDA դիտարկում');
INSERT INTO `lang_definitions` VALUES (68673, 11676, 13, 'Դիտել Պացիենտի համապարփակ զեկույցը');
INSERT INTO `lang_definitions` VALUES (68674, 11677, 13, 'Դիտել CSV  աղյուսակները');
INSERT INTO `lang_definitions` VALUES (68675, 11678, 13, 'Դիտել մանրամասները');
INSERT INTO `lang_definitions` VALUES (68676, 11679, 13, 'Դիտել փաստաթղթերը');
INSERT INTO `lang_definitions` VALUES (68677, 11681, 13, 'Դիտել այցը');
INSERT INTO `lang_definitions` VALUES (68678, 11682, 13, 'Դիտել ERA x12 text');
INSERT INTO `lang_definitions` VALUES (68679, 11683, 13, 'Դիտե՞լ իրադարձությունները թարթող պատուհանում');
INSERT INTO `lang_definitions` VALUES (68680, 11684, 13, 'Բուժհաստատության/բուժծառայության հատուկ  օգտվողի ինֆորմացիայի դիտարկում');
INSERT INTO `lang_definitions` VALUES (68681, 11685, 13, 'Տեսնել չորս պանելները');
INSERT INTO `lang_definitions` VALUES (68682, 11686, 13, 'Դիտարկել x12 տեղային ֆայլը');
INSERT INTO `lang_definitions` VALUES (68683, 11687, 13, 'Տեսնել գրանցամատյանը/գրանցումները/մուտքերը');
INSERT INTO `lang_definitions` VALUES (68684, 11690, 13, 'Տեսնել էջ 1՛');
INSERT INTO `lang_definitions` VALUES (68685, 11691, 13, 'Տեսնել էջ 1՛');
INSERT INTO `lang_definitions` VALUES (68686, 11692, 13, 'Տեսնել անցած և առաջիկա հիշեցումները');
INSERT INTO `lang_definitions` VALUES (68687, 11695, 13, 'Տեսնել Պացիենտի ընդհանուր տվյալները');
INSERT INTO `lang_definitions` VALUES (68688, 11697, 13, 'Դիտել տպագրվող նյութը');
INSERT INTO `lang_definitions` VALUES (68689, 11698, 13, 'Դիտել տպագրվող/տպագրման ենթակա հաշվետվությունը');
INSERT INTO `lang_definitions` VALUES (68690, 11699, 13, 'Դիտել տպագրվող/տպագրման ենթակա տարբերակը');
INSERT INTO `lang_definitions` VALUES (68691, 11700, 13, 'Դիտել առնչվող հանդիպումները');
INSERT INTO `lang_definitions` VALUES (68692, 11701, 13, 'Դիտել հաշվետվությունը');
INSERT INTO `lang_definitions` VALUES (68693, 11702, 13, 'Դիտել README ֆայլը');
INSERT INTO `lang_definitions` VALUES (68694, 11705, 13, 'Դիտել, Ներբեռնել, Փոխանցել (ԴՆՓ) (Չափ/Միջոցառում Բ)');
INSERT INTO `lang_definitions` VALUES (68695, 11706, 13, 'Դիտել, Ներբեռնել, Փոխանցել (ԴՆՓ) (Չափ/Միջոցառում Ա)');
INSERT INTO `lang_definitions` VALUES (68696, 11712, 13, 'Դիտել/խմբագրել Ալերգիաները');
INSERT INTO `lang_definitions` VALUES (68697, 11713, 13, 'Դիտել/խմբագրել Խնդիրները');
INSERT INTO `lang_definitions` VALUES (68698, 11714, 13, 'Դիտել/Տպել');
INSERT INTO `lang_definitions` VALUES (68699, 11717, 13, 'Դիտել։');
INSERT INTO `lang_definitions` VALUES (68700, 11718, 13, 'ՎԻԶԱ/VISA');
INSERT INTO `lang_definitions` VALUES (68701, 11719, 13, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (68702, 11721, 13, 'Որովայնի խոռոչի (ներքին) օրգանների վնասվածք / Վնասվածք / վիրահատություն');
INSERT INTO `lang_definitions` VALUES (68703, 11722, 13, 'Այցի հայտաձև');
INSERT INTO `lang_definitions` VALUES (68704, 11724, 13, 'Այց');
INSERT INTO `lang_definitions` VALUES (68705, 11725, 13, 'Այցի հատկանաիշներ');
INSERT INTO `lang_definitions` VALUES (68706, 11726, 13, 'Այցերի կատեգորիաներ');
INSERT INTO `lang_definitions` VALUES (68707, 11727, 13, 'Այցի կատեգորիան');
INSERT INTO `lang_definitions` VALUES (68708, 11728, 13, 'Այցի կատեգորիա։');
INSERT INTO `lang_definitions` VALUES (68709, 11729, 13, 'Այցի Ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (68710, 11730, 13, 'Այցի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (68711, 11732, 13, 'Այցի հայտաձևի հատկանիշներ');
INSERT INTO `lang_definitions` VALUES (68712, 11734, 13, 'Այցի հայտաձևեր');
INSERT INTO `lang_definitions` VALUES (68713, 11736, 13, 'Այցերի ժամանակագրություն');
INSERT INTO `lang_definitions` VALUES (68714, 11743, 13, 'Այցի տեսակը');
INSERT INTO `lang_definitions` VALUES (68715, 11745, 13, 'Այցեր');
INSERT INTO `lang_definitions` VALUES (68716, 11746, 13, 'Այցերի հայտաձև');
INSERT INTO `lang_definitions` VALUES (68717, 11751, 13, 'Կենսական նշաններ/ ֆիզիոլագիական ցուցանիշներ');
INSERT INTO `lang_definitions` VALUES (68718, 11752, 13, 'Կենսական կարևորագույն օրգաններ');
INSERT INTO `lang_definitions` VALUES (68719, 11753, 13, 'Կենսական կարևորագույն օրգաններ');
INSERT INTO `lang_definitions` VALUES (68720, 11754, 13, 'Կենսական կարևորագույն օրգաններ (մետրիկ)');
INSERT INTO `lang_definitions` VALUES (68721, 11756, 13, 'Ձայնային');
INSERT INTO `lang_definitions` VALUES (68722, 11758, 13, 'Ձայնային հաղորդագրությունն ուղարկված է');
INSERT INTO `lang_definitions` VALUES (68723, 11763, 13, 'Փսխում');
INSERT INTO `lang_definitions` VALUES (68724, 11764, 13, 'Վաուչերի հերթական համարը');
INSERT INTO `lang_definitions` VALUES (68725, 11767, 13, 'W');
INSERT INTO `lang_definitions` VALUES (68726, 11770, 13, 'Մեջքի շրջ․');
INSERT INTO `lang_definitions` VALUES (68727, 11771, 13, 'Մեջքի շրջագիծ');
INSERT INTO `lang_definitions` VALUES (68728, 11772, 13, 'Սպասում է');
INSERT INTO `lang_definitions` VALUES (68729, 11773, 13, 'Հասանելի /առանց նախնական նշանակման/');
INSERT INTO `lang_definitions` VALUES (68730, 11776, 13, 'Walt Pennington / Ուոլթ Փենինգթոն');
INSERT INTO `lang_definitions` VALUES (68731, 11778, 13, 'Պահեստ');
INSERT INTO `lang_definitions` VALUES (68732, 11780, 13, 'Պահեստի մաքսիմում, 0 եթե անընդունելի է');
INSERT INTO `lang_definitions` VALUES (68733, 11781, 13, 'Պահեստի մաքսիմում, 0 եթե անընդունելի է');
INSERT INTO `lang_definitions` VALUES (68734, 11782, 13, 'Պահեստներ');
INSERT INTO `lang_definitions` VALUES (68735, 11783, 13, 'Տապ/Տաքություն');
INSERT INTO `lang_definitions` VALUES (68736, 11786, 13, 'Նախազգուշացում');
INSERT INTO `lang_definitions` VALUES (68737, 11787, 13, 'ՆԱԽԱԶԳՈՒՇԱՑՈՒՄ');
INSERT INTO `lang_definitions` VALUES (68738, 11788, 13, 'ՈՒՇԱԴՐՈՒԹՅՈՒՆ - ՀԵՏԵՎՅԱԼ ԱԿՏԻՎ ԴԵՂԱՄԻՋՈՑՆԵՐԸ ԱԼԵՐԳԻԿ ԵՆ');
INSERT INTO `lang_definitions` VALUES (68739, 11789, 13, 'Ուշադրություն։ Տվյալների բազայում արդեն առկա է գրանցման համարը');
INSERT INTO `lang_definitions` VALUES (68740, 11790, 13, 'Ուշադրություն: Պացիենտի գանգատների ցանկում առկա են անորոշ/կասկածելի կոդեր');
INSERT INTO `lang_definitions` VALUES (68741, 11791, 13, 'Ուշադրություն։ Տվյալ պացիենտի համար արդեն առկա է այսօրվա այցի գրանցում');
INSERT INTO `lang_definitions` VALUES (68742, 11796, 13, 'Ուշադրություն։ Պացիենտի ID ն եզակի չէ');
INSERT INTO `lang_definitions` VALUES (68743, 11799, 13, 'ՈՒՇԱԴՐՈՒԹՅՈՒՆ։ տվյալներն ու կոնֆիգուրացիոն տեղեկատվությունը կվերագրանցվեն  վերբեռնված  ֆայլից');
INSERT INTO `lang_definitions` VALUES (68744, 11800, 13, 'ՆԱԽԱԶԳՈՒՇԱՑՈՒՄՆԵՐ');
INSERT INTO `lang_definitions` VALUES (68745, 11801, 13, 'Նախազգուշացումներ');
INSERT INTO `lang_definitions` VALUES (68746, 11802, 13, 'ՆԱԽԱԶԳՈՒՇԱՑՈՒՄՆԵՐ և Ազդանշաններ/Հիշեցումներ');
INSERT INTO `lang_definitions` VALUES (68747, 11803, 13, 'արդեն բեռնված է');
INSERT INTO `lang_definitions` VALUES (68748, 11804, 13, 'չի գտնվել');
INSERT INTO `lang_definitions` VALUES (68749, 11805, 13, 'Մենք գնահատում են մնացորդային պարտքի արագ մարումը');
INSERT INTO `lang_definitions` VALUES (68750, 11809, 13, 'նշված Պացիենտը հետազոտվել և բուժվել է մեր ամբուլատոր հոգեբուժական կլինիկայում։ Շնորհակալություն ուղղորդման համար');
INSERT INTO `lang_definitions` VALUES (68751, 11821, 13, 'Թուլություն');
INSERT INTO `lang_definitions` VALUES (68752, 11825, 13, 'Վեբ/համացանցային հղում');
INSERT INTO `lang_definitions` VALUES (68753, 11826, 13, 'Վեբ/համացանցային որոնում');
INSERT INTO `lang_definitions` VALUES (68754, 11827, 13, 'Վեբկայք');
INSERT INTO `lang_definitions` VALUES (68755, 11832, 13, 'Չրք․');
INSERT INTO `lang_definitions` VALUES (68756, 11833, 13, 'Չորեքշաբթի');
INSERT INTO `lang_definitions` VALUES (68757, 11834, 13, 'Շաբաթ');
INSERT INTO `lang_definitions` VALUES (68758, 11835, 13, 'շաբաթ');
INSERT INTO `lang_definitions` VALUES (68759, 11836, 13, 'Շաբաթվա դիտարկում');
INSERT INTO `lang_definitions` VALUES (68760, 11837, 13, 'Շաբաթ(ներ)');
INSERT INTO `lang_definitions` VALUES (68761, 11838, 13, 'Շաբաթական բացահայտումներ');
INSERT INTO `lang_definitions` VALUES (68762, 11839, 13, 'շաբաթներ');
INSERT INTO `lang_definitions` VALUES (68763, 11840, 13, 'Շաբաթներ');
INSERT INTO `lang_definitions` VALUES (68764, 11841, 13, 'Քաշ');
INSERT INTO `lang_definitions` VALUES (68765, 11842, 13, 'Երեխաների և Դեռահասների քաշի գնհատում և խորհրդատվություն');
INSERT INTO `lang_definitions` VALUES (68766, 11843, 13, 'Երեխաների և Դեռահասների քաշի գնհատում և խորհրդատվություն (CQM)');
INSERT INTO `lang_definitions` VALUES (68767, 11844, 13, 'Քաշի փոփոխություն');
INSERT INTO `lang_definitions` VALUES (68768, 11845, 13, 'Քաշի կորուստ');
INSERT INTO `lang_definitions` VALUES (68769, 11846, 13, 'Նիհարեցման կենտրոն');
INSERT INTO `lang_definitions` VALUES (68770, 11847, 13, 'Բարի գալուստ');
INSERT INTO `lang_definitions` VALUES (68771, 11849, 13, 'Ուելսերեն');
INSERT INTO `lang_definitions` VALUES (68772, 11862, 13, 'Ի՞նչ պետք է հաշվվի');
INSERT INTO `lang_definitions` VALUES (68773, 11864, 13, 'Խզզոցներ/ Ծանր շնչառություն');
INSERT INTO `lang_definitions` VALUES (68774, 11865, 13, 'Խռռոց');
INSERT INTO `lang_definitions` VALUES (68775, 11866, 13, 'Խռռոց։');
INSERT INTO `lang_definitions` VALUES (68776, 11869, 13, 'Գրանցումից հետո ազգագրական տվյալները Պացիենտի Flow Board-ից բացվում են նոր պատուհանում');
INSERT INTO `lang_definitions` VALUES (68777, 11876, 13, 'Ընտրվածներն ավելացնելու համար կատարելուց հետո սեղմել Հաստատել (ներքևում)');
INSERT INTO `lang_definitions` VALUES (68778, 11882, 13, 'Որտե՞ղ է հնարավոր գտնել առնչվող/հետևյալ սկանավորված կամ թղթային փաստաթղթերը');
INSERT INTO `lang_definitions` VALUES (68779, 11884, 13, 'Ապահովագրված  է արդյոք');
INSERT INTO `lang_definitions` VALUES (68780, 11886, 13, 'Որ գրառումներն են ցուցադրվելու Billing Screen-ին');
INSERT INTO `lang_definitions` VALUES (68781, 11891, 13, 'Սպիտակ');
INSERT INTO `lang_definitions` VALUES (68782, 11894, 13, 'Ով');
INSERT INTO `lang_definitions` VALUES (68783, 11895, 13, 'Ով է պատասխանել');
INSERT INTO `lang_definitions` VALUES (68784, 11897, 13, 'Այրի');
INSERT INTO `lang_definitions` VALUES (68785, 11898, 13, 'Լայնություն');
INSERT INTO `lang_definitions` VALUES (68786, 11900, 13, 'Ձախ նավիգացիոն շրջանակի լայնությունը պիքսելներով');
INSERT INTO `lang_definitions` VALUES (68787, 11902, 13, 'կթաքցվի, եթե');
INSERT INTO `lang_definitions` VALUES (68788, 11906, 13, 'նախընտրած լեզվով');
INSERT INTO `lang_definitions` VALUES (68789, 11907, 13, 'ընտրվածներով');
INSERT INTO `lang_definitions` VALUES (68790, 11908, 13, 'հին/նախկին անվանումով');
INSERT INTO `lang_definitions` VALUES (68791, 11910, 13, 'արժեքով/նշանակությամբ');
INSERT INTO `lang_definitions` VALUES (68792, 11911, 13, 'Ո՞ւմ հետ/միջոցով է հնարավոր հաղորդագրություն թողնել');
INSERT INTO `lang_definitions` VALUES (68793, 11912, 13, 'Խնայել/');
INSERT INTO `lang_definitions` VALUES (68794, 11913, 13, 'ժամերի ընթացքում');
INSERT INTO `lang_definitions` VALUES (68795, 11914, 13, 'ժամերի ընթացքում։');
INSERT INTO `lang_definitions` VALUES (68796, 11915, 13, 'րոպեների ընթացքում');
INSERT INTO `lang_definitions` VALUES (68797, 11916, 13, 'րոպեների ընթացքում։');
INSERT INTO `lang_definitions` VALUES (68798, 11917, 13, 'Առանց բուժծառայության');
INSERT INTO `lang_definitions` VALUES (68799, 11918, 13, 'Առանց Մասնագետի');
INSERT INTO `lang_definitions` VALUES (68800, 11919, 13, 'Առանց թարմացնելու/Նորացնելու');
INSERT INTO `lang_definitions` VALUES (68801, 11920, 13, 'Վկա/վկայություն');
INSERT INTO `lang_definitions` VALUES (68802, 11921, 13, 'շբ․');
INSERT INTO `lang_definitions` VALUES (68803, 11924, 13, 'Կանայք');
INSERT INTO `lang_definitions` VALUES (68804, 11925, 13, 'Միայն կանայք');
INSERT INTO `lang_definitions` VALUES (68805, 11926, 13, 'WordPress Portal');
INSERT INTO `lang_definitions` VALUES (68806, 11927, 13, 'Աշխատանք');
INSERT INTO `lang_definitions` VALUES (68807, 11928, 13, 'ԱՇԽԱՏԱՆՔԱՅԻՆ ԳՐՈՒԹՅՈՒՆ');
INSERT INTO `lang_definitions` VALUES (68808, 11929, 13, 'Աշխատանքային հեռախոս');
INSERT INTO `lang_definitions` VALUES (68809, 11930, 13, 'Աշխատանքային հեռախոսահամար');
INSERT INTO `lang_definitions` VALUES (68810, 11931, 13, 'Կապվա՞ծ է աշխատանքի հետ / Առնչվո՞ւմ է գործին');
INSERT INTO `lang_definitions` VALUES (68811, 11932, 13, 'Աշխատանք/Կրթություն/Նախասիրություն');
INSERT INTO `lang_definitions` VALUES (68812, 11933, 13, 'Աշխատանքային/Կրթական գրություն');
INSERT INTO `lang_definitions` VALUES (68813, 11934, 13, 'աշխատանքային օր');
INSERT INTO `lang_definitions` VALUES (68814, 11935, 13, 'Աշխատակցի ծախսերի փոխհատուցում');
INSERT INTO `lang_definitions` VALUES (68815, 11936, 13, 'Աշխատակիցների Առողջապահության փոխհատուցման պլան/նախագիծ');
INSERT INTO `lang_definitions` VALUES (68816, 11937, 13, 'Employer Group Health Plan-ում ընդգրկված աշխատանքային տարիքի շահառուն կամ կինը/ամուսինը');
INSERT INTO `lang_definitions` VALUES (68817, 11940, 13, 'Աշխատում է․․․ մի քանի րոպե կտևի');
INSERT INTO `lang_definitions` VALUES (68818, 11941, 13, 'Ավելի վատ');
INSERT INTO `lang_definitions` VALUES (68819, 11942, 13, 'Ցանկանո՞ւմ եք մնացորդային գումարն ավելացնել ընդհանուր հաշվին');
INSERT INTO `lang_definitions` VALUES (68820, 11943, 13, 'Ցանկանո՞ւմ եք դրանք նշել որպես Մաքրված');
INSERT INTO `lang_definitions` VALUES (68821, 11944, 13, 'Ցանկանո՞ւմ եք կհատկացնել');
INSERT INTO `lang_definitions` VALUES (68822, 11945, 13, 'Ցանկանո՞ւմ եք չեղարկել այս Պացիենտի սահմանումը');
INSERT INTO `lang_definitions` VALUES (68823, 11946, 13, 'Ցանկանո՞ւմ եք ջնջել Վճարման սահմանումը');
INSERT INTO `lang_definitions` VALUES (68824, 11947, 13, 'Ցանկանո՞ւմ եք ջնջել Վճարումները');
INSERT INTO `lang_definitions` VALUES (68825, 11948, 13, 'Ցանկանո՞ւմ եք փոփոխել և ավարտել վճարումները');
INSERT INTO `lang_definitions` VALUES (68826, 11949, 13, 'Ցանկանո՞ւմ եք փոփոխել  վճարումները');
INSERT INTO `lang_definitions` VALUES (68827, 11950, 13, 'Ցանկանո՞ւմ եք հաստատել/ուղարկել և ավարտել վճարումները');
INSERT INTO `lang_definitions` VALUES (68828, 11951, 13, 'Ցանկանո՞ւմ եք հաստատել/ուղարկել  վճարումները');
INSERT INTO `lang_definitions` VALUES (68829, 11952, 13, 'Ցանկանո՞ւմ եք պահպանել');
INSERT INTO `lang_definitions` VALUES (68830, 11953, 13, 'Դաստակ');
INSERT INTO `lang_definitions` VALUES (68831, 11954, 13, 'Դաստակ և ձեռք');
INSERT INTO `lang_definitions` VALUES (68832, 11955, 13, 'Դաստակի խնդիրներ');
INSERT INTO `lang_definitions` VALUES (68833, 11956, 13, 'գրել');
INSERT INTO `lang_definitions` VALUES (68834, 11958, 13, 'առանց գրառման');
INSERT INTO `lang_definitions` VALUES (68835, 11959, 13, 'Գրել մեկ անգամ');
INSERT INTO `lang_definitions` VALUES (68836, 11960, 13, 'wsome');
INSERT INTO `lang_definitions` VALUES (68837, 11963, 13, 'WT');
INSERT INTO `lang_definitions` VALUES (68838, 11965, 13, 'Չ{{Չորեքշաբթի}}');
INSERT INTO `lang_definitions` VALUES (68839, 11966, 13, 'x չեղարկված է');
INSERT INTO `lang_definitions` VALUES (68840, 11967, 13, 'x չեղարկված է');
INSERT INTO `lang_definitions` VALUES (68841, 11969, 13, 'Ռենտգեն հետազոտություն');
INSERT INTO `lang_definitions` VALUES (68842, 11970, 13, 'X-RAY/Ռենտգեն հետազոտության մեկնաբանություն։');
INSERT INTO `lang_definitions` VALUES (68843, 11971, 13, 'X-RAY/Ռենտգեն հետազոտության մեկնաբանություն։');
INSERT INTO `lang_definitions` VALUES (68844, 11975, 13, 'X12 միայն։ փոխարինման պահանջ');
INSERT INTO `lang_definitions` VALUES (68845, 11978, 13, 'X12 գործընկեր');
INSERT INTO `lang_definitions` VALUES (68846, 11979, 13, 'X12 գործընկերներ');
INSERT INTO `lang_definitions` VALUES (68847, 11981, 13, 'X12 տեքստ');
INSERT INTO `lang_definitions` VALUES (68848, 11984, 13, 'XML');
INSERT INTO `lang_definitions` VALUES (68849, 11987, 13, 'տ');
INSERT INTO `lang_definitions` VALUES (68850, 11988, 13, 'տարի');
INSERT INTO `lang_definitions` VALUES (68851, 11989, 13, 'Տարի');
INSERT INTO `lang_definitions` VALUES (68852, 11990, 13, 'Տարեկան դիտարկում');
INSERT INTO `lang_definitions` VALUES (68853, 11991, 13, 'Տարի(ներ)');
INSERT INTO `lang_definitions` VALUES (68854, 11992, 13, 'Տարիներ');
INSERT INTO `lang_definitions` VALUES (68855, 11994, 13, 'Տարիներ կամ ամիսներ');
INSERT INTO `lang_definitions` VALUES (68856, 11995, 13, 'Տարիներ, ամիսներ և օրեր');
INSERT INTO `lang_definitions` VALUES (68857, 11996, 13, 'Այո');
INSERT INTO `lang_definitions` VALUES (68858, 11997, 13, 'ԱՅՈ');
INSERT INTO `lang_definitions` VALUES (68859, 11998, 13, 'այո');
INSERT INTO `lang_definitions` VALUES (68860, 11999, 13, 'ԱՅՈ՛');
INSERT INTO `lang_definitions` VALUES (68861, 12000, 13, 'Այո, ջնջել և գրանցվել/մուտք գործել');
INSERT INTO `lang_definitions` VALUES (68862, 12001, 13, 'Այո, ջնջել այս ձևը');
INSERT INTO `lang_definitions` VALUES (68863, 12002, 13, 'Այո/Ոչ');
INSERT INTO `lang_definitions` VALUES (68864, 12003, 13, 'Այո։');
INSERT INTO `lang_definitions` VALUES (68865, 12007, 13, 'Դուք պատրաստվում եք ջնջել հետևյալ ձևն այս այցից');
INSERT INTO `lang_definitions` VALUES (68866, 12008, 13, 'Դուք պատրաստվում եք ընդմիշտ հեռացնել առկա նմուշը։ Վստա՞հ եք, որ ցանկանում եք շարունակել');
INSERT INTO `lang_definitions` VALUES (68867, 12012, 13, 'Դուք չեք կարող/թույլտվություն չունեք/ ջնջել այս իրադարձությունը');
INSERT INTO `lang_definitions` VALUES (68868, 12013, 13, 'Դուք չեք կարող/թույլտվություն չունեք/ խմբագրել այս իրադարձությունը');
INSERT INTO `lang_definitions` VALUES (68869, 12014, 13, 'Դուք սրա համար լիազորություն չունեք');
INSERT INTO `lang_definitions` VALUES (68870, 12016, 13, 'Դուք  այս խմբի հասանելիության  լիազորություն չունեք');
INSERT INTO `lang_definitions` VALUES (68871, 12017, 13, 'Դուք լիազորված չեք ավելացնել/խմբագրել հարցեր/խնդիրներ');
INSERT INTO `lang_definitions` VALUES (68872, 12018, 13, 'Դուք հանդիպումներ նշանակելու/գրանցելու լիազորություն չունեք');
INSERT INTO `lang_definitions` VALUES (68873, 12019, 13, 'Այս այցը տեսնելու լիազորություն չունեք');
INSERT INTO `lang_definitions` VALUES (68874, 12038, 13, 'Դուք այս ֆունկցիայի ուղիղ հասանելիություն չունեք');
INSERT INTO `lang_definitions` VALUES (68875, 12050, 13, 'Դուք այս էջիուղիղ հասանելիություն չունեք');
INSERT INTO `lang_definitions` VALUES (68876, 12051, 13, 'Չեք կարող կատեգորիային դատարկ արժեք/նշանակություն ավելացնել');
INSERT INTO `lang_definitions` VALUES (68877, 12052, 13, 'Չեք կարող ենթակատեգորիային դատարկ արժեք/նշանակություն ավելացնել');
INSERT INTO `lang_definitions` VALUES (68878, 12053, 13, 'Չեք կարող նիշին դատարկ արժեք/նշանակություն ավելացնել');
INSERT INTO `lang_definitions` VALUES (68879, 12055, 13, 'ԱՅՈ ավարտված է  արժեքը չի կարող պարունակել ապառնի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (68880, 12057, 13, 'Դւք չեք ընտրել ոչ մի գործողություն');
INSERT INTO `lang_definitions` VALUES (68881, 12058, 13, 'Դուք այս գրառումը դիտելու/խմբագրելու թույլտվություն չունեք');
INSERT INTO `lang_definitions` VALUES (68882, 12063, 13, 'Դուք հաջողությամբ դուրս եկաք համակարգից');
INSERT INTO `lang_definitions` VALUES (68883, 12074, 13, 'Դուք կարող եք միայն վերբեռնել .txt ֆայլեր');
INSERT INTO `lang_definitions` VALUES (68884, 12075, 13, 'Ըստ ցանկության կարող եք HL7 արդյունքները  բեռնել ֆայլից');
INSERT INTO `lang_definitions` VALUES (68885, 12076, 13, 'Կարող եք տեղադրել տեքստ՝ որպես Նոր Պացիենտի այցի նախնական գանգատ');
INSERT INTO `lang_definitions` VALUES (68886, 12085, 13, 'Փաստաթղթի գաղտնագրման համար մուտքագրեք գաղտնաբառը');
INSERT INTO `lang_definitions` VALUES (68887, 12087, 13, 'Օգտվողի գաղտնաբառը փոխելու համար անհրաժեշտ է մուտքագրել Ձեր անձնական գաղտնաբառը։ Գաղտնաբառն անփոփոխ պահելու համար թողնել այն դատարկ։');
INSERT INTO `lang_definitions` VALUES (68888, 12088, 13, 'Նախ և առաջ անհրաժեշտ է ընտրել ռադիոկոճակն ստուգված նիշ');
INSERT INTO `lang_definitions` VALUES (68889, 12090, 13, 'Նախ և առաջ անհրաժեշտ է ընտրել կամ ավելացնել Պցիենտ');
INSERT INTO `lang_definitions` VALUES (68890, 12091, 13, 'Նախ և առաջ անհրաժեշտ է ընտրել կամ ստեղծել այց/հանդիպում');
INSERT INTO `lang_definitions` VALUES (68891, 12092, 13, 'Անհրաժեշտ է ընտրել այցի կատեգորիան');
INSERT INTO `lang_definitions` VALUES (68892, 12093, 13, 'Անհրաժեշտ է ընտրել այցի կատեգորիան');
INSERT INTO `lang_definitions` VALUES (68893, 12094, 13, 'Շարունակելու համար անհրաժեշտ է ընտրել մի քանի դաշտ');
INSERT INTO `lang_definitions` VALUES (68894, 12106, 13, 'Անհրաժեշտ է ընտրել առնվազն մեկ կոնտեքստ');
INSERT INTO `lang_definitions` VALUES (68895, 12107, 13, 'Անհրաժեշտ է ընտրել առնվազն մեկ մասնագետ');
INSERT INTO `lang_definitions` VALUES (68896, 12108, 13, 'Ավտոմատ կուղղորդվեք Անձնական/Ազգագրական տվյալների բաժին և անհրաժաեշտ փոփոխություններ կատարելուց հետո կրկին կվերադառնաք  NewCrop');
INSERT INTO `lang_definitions` VALUES (68897, 12118, 13, 'Ձեր կլինիկական հաշվետվությունը');
INSERT INTO `lang_definitions` VALUES (68898, 12122, 13, 'Ավարտի սխալ ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (68899, 12123, 13, 'Ձեր իրադարձությունը ջնջված է');
INSERT INTO `lang_definitions` VALUES (68900, 12124, 13, 'Ձեր իրադարձությունը փոփոխված է');
INSERT INTO `lang_definitions` VALUES (68901, 12125, 13, 'Ձեր իրադարձությունը հաստատված է');
INSERT INTO `lang_definitions` VALUES (68902, 12127, 13, 'Ձեր ֆայլի ծավալը չափազանց մեծ է');
INSERT INTO `lang_definitions` VALUES (68903, 12131, 13, 'Ձեր լաբ․ հետազոտության արդյունքները');
INSERT INTO `lang_definitions` VALUES (68904, 12132, 13, 'Ցանկի անվանումը փոխվել է անվանակոչման պահանջները բավարարելու նպատակով');
INSERT INTO `lang_definitions` VALUES (68905, 12133, 13, 'Ձեր հաղորդագրության ուղարկումը դեպի -ին հաստատված է');
INSERT INTO `lang_definitions` VALUES (68906, 12134, 13, 'Ձեր անվանումը տվյալ կատեգորիայի, միջամտության կամ արդյունքի համար');
INSERT INTO `lang_definitions` VALUES (68907, 12139, 13, 'Ձեր գաղտնաբառը');
INSERT INTO `lang_definitions` VALUES (68908, 12140, 13, 'Ձեր գաղտնաբառի ժամկետն սպառված է։ Խնդրում ենք փոխել այն');
INSERT INTO `lang_definitions` VALUES (68909, 12141, 13, 'Ձեր գաղտնաբառի ժամկետն ավարտվում է -ին');
INSERT INTO `lang_definitions` VALUES (68910, 12143, 13, 'Ձեր գաղտնաբառի ժամկետն այսօր  լրանում է․ խնդրում ենք փոխել այն');
INSERT INTO `lang_definitions` VALUES (68911, 12144, 13, 'Ձեր գաղտնաբառը Ձեր ստորագրությունն է');
INSERT INTO `lang_definitions` VALUES (68912, 12146, 13, 'Ձեր PostCalendar-ի կոնֆիգուրացիաները դրվել են օգտագործվելու դեֆոլթ տարբերակով');
INSERT INTO `lang_definitions` VALUES (68913, 12147, 13, 'Ձեր PostCalendar-ի կոնֆիգուրացիաները թարմացվել են');
INSERT INTO `lang_definitions` VALUES (68914, 12148, 13, 'Կրկնման հաճախականությունը պետք է լինի ամբողջ թիվ');
INSERT INTO `lang_definitions` VALUES (68915, 12149, 13, 'Կրկնման հաճախականությունը պետք է լինի առնվազն 1');
INSERT INTO `lang_definitions` VALUES (68916, 12151, 13, 'Մեկնարկի ամսաթիվը մեծ է ավարտի ամսաթվից');
INSERT INTO `lang_definitions` VALUES (68917, 12152, 13, 'Մեկնարկի ամսաթիվն անվավեր է');
INSERT INTO `lang_definitions` VALUES (68918, 12153, 13, 'Հաստատումը ձախողվեց');
INSERT INTO `lang_definitions` VALUES (68919, 12156, 13, 'տտ-աա-օօ');
INSERT INTO `lang_definitions` VALUES (68920, 12157, 13, 'ՏՏ-ԱԱ-ՕՕ');
INSERT INTO `lang_definitions` VALUES (68921, 12158, 13, 'տտ-աա-օօ ամսաթիվն ասոցացվում է այս փաստաթղթի հետ');
INSERT INTO `lang_definitions` VALUES (68922, 12159, 13, 'տտ-աա-օօ ամսաթիվը ոչնչացված է');
INSERT INTO `lang_definitions` VALUES (68923, 12160, 13, 'ծննդյան ամսաթիվ տտ-աա-օօ');
INSERT INTO `lang_definitions` VALUES (68924, 12161, 13, 'Ծննդյան ամսաթիվ տտ-աա-օօ');
INSERT INTO `lang_definitions` VALUES (68925, 12162, 13, 'Պիտանելիության ժամկետը  տտ-աա-օօ');
INSERT INTO `lang_definitions` VALUES (68926, 12163, 13, 'Ընդունման կամ հոսպիտալացման ամսաթիվը տտ-աա-օօ');
INSERT INTO `lang_definitions` VALUES (68927, 12164, 13, 'Ընդունման, վիրահատական միջամտության կամ դեղորայքային բուժման մեկնարկի  ամսաթիվը տտ-աա-օօ');
INSERT INTO `lang_definitions` VALUES (68928, 12165, 13, 'Ստացման կամ փոխանցման ամսաթիվը տտ-աա-օօ');
INSERT INTO `lang_definitions` VALUES (68929, 12166, 13, 'Առողջացման կամ կամ դեղորայքային բուժման ավարտի  ամսաթիվը տտ-աա-օօ');
INSERT INTO `lang_definitions` VALUES (68930, 12167, 13, 'Վերսկսման ամսաթիվը տտ-աա-օօ');
INSERT INTO `lang_definitions` VALUES (68931, 12168, 13, 'Բուժծառայության մատուցման ամսաթիվը տտ-աա-օօ');
INSERT INTO `lang_definitions` VALUES (68932, 12169, 13, 'Սույն նամակի ամսաթիվը տտ-աա-օօ');
INSERT INTO `lang_definitions` VALUES (68933, 12170, 13, 'Վերսկսման ամսաթիվը տտ-աա-օօ');
INSERT INTO `lang_definitions` VALUES (68934, 12171, 13, 'Փաստաթղթի ամսաթիվը տտ-աա-օօ');
INSERT INTO `lang_definitions` VALUES (68935, 12173, 13, 'Իրադարձության կամ մեկնարկի ամսաթիվը տտ-աա-օօ');
INSERT INTO `lang_definitions` VALUES (68936, 12174, 13, 'ավարտի ամսաթիվը տտ-աա-օօ  ժ։ր');
INSERT INTO `lang_definitions` VALUES (68937, 12175, 13, 'ավարտի ամսաթիվը տտ-աա-օօ  ժ։ր');
INSERT INTO `lang_definitions` VALUES (68938, 12176, 13, 'մեկնարկի  ամսաթիվը տտ-աա-օօ  ժ։ր');
INSERT INTO `lang_definitions` VALUES (68939, 12177, 13, 'մեկնարկի  ամսաթիվը տտ-աա-օօ  ժ։ր');
INSERT INTO `lang_definitions` VALUES (68940, 12178, 13, 'տտ-աա-օօ  ժ։ր։վ');
INSERT INTO `lang_definitions` VALUES (68941, 12179, 13, 'տտ-աա-օօ  ժ(24):ր');
INSERT INTO `lang_definitions` VALUES (68942, 12180, 13, 'Սույն իրադարձության վերջին  ամսաթիվը տտ-աա-օօ');
INSERT INTO `lang_definitions` VALUES (68943, 12182, 13, 'Որոնման մեկնարկի ամսաթիվը տտ-աա-օօ');
INSERT INTO `lang_definitions` VALUES (68944, 12183, 13, 'ZEF սեգմենտի ներքին սխալ');
INSERT INTO `lang_definitions` VALUES (68945, 12184, 13, 'Zend մոդուլ');
INSERT INTO `lang_definitions` VALUES (68946, 12186, 13, 'Զրո/զրոյական');
INSERT INTO `lang_definitions` VALUES (68947, 12188, 13, 'Փոստային կոդ');
INSERT INTO `lang_definitions` VALUES (68948, 12189, 13, 'Փոստային կոդ');
INSERT INTO `lang_definitions` VALUES (68949, 12191, 13, 'Փոստային կոդ/երկիր');
INSERT INTO `lang_definitions` VALUES (68950, 12197, 13, 'բայց եղել է');
INSERT INTO `lang_definitions` VALUES (68951, 12198, 13, 'հասանելի չէ');
INSERT INTO `lang_definitions` VALUES (68952, 12199, 13, 'Իսկապե՞ս ցանկանում եք ջնջել');
INSERT INTO `lang_definitions` VALUES (68953, 12200, 13, 'Դեղ / հաբ/ դեղամիջոց');
INSERT INTO `lang_definitions` VALUES (68954, 12201, 13, 'էլ․ նամակներն ուղարկված չեն');
INSERT INTO `lang_definitions` VALUES (68955, 12202, 13, '-ից');
INSERT INTO `lang_definitions` VALUES (68956, 12203, 13, 'ստեղծվել է։');
INSERT INTO `lang_definitions` VALUES (68957, 12204, 13, 'վերբացվել է։');
INSERT INTO `lang_definitions` VALUES (68958, 12205, 13, 'Անամնեզ / Հիվանդության Պատմություն');
INSERT INTO `lang_definitions` VALUES (68959, 12206, 13, 'թիվ չէ');
INSERT INTO `lang_definitions` VALUES (68960, 12207, 13, 'պատրաստ է վերահավեգրման');
INSERT INTO `lang_definitions` VALUES (68961, 12208, 13, 'Ձախ ստորին վերջույթ։');
INSERT INTO `lang_definitions` VALUES (68962, 12209, 13, 'Խմբաքանակ');
INSERT INTO `lang_definitions` VALUES (68963, 12210, 13, 'Medicaid Original Reference No.');
INSERT INTO `lang_definitions` VALUES (68964, 12211, 13, 'մինիմալ/նվազագույն');
INSERT INTO `lang_definitions` VALUES (68965, 12212, 13, 'չի գտնվել');
INSERT INTO `lang_definitions` VALUES (68966, 12214, 13, 'դեղատոմսը հասել է իր լիմիտին/սահմանին');
INSERT INTO `lang_definitions` VALUES (68967, 12215, 13, 'մինչ(և)');
INSERT INTO `lang_definitions` VALUES (68968, 12216, 13, 'թարմացումը ձախողվեց․ տվյալների բազայից դո՞ւրս է');
INSERT INTO `lang_definitions` VALUES (68969, 12217, 13, 'նշված է որպես միայն հաշվեգրված');
INSERT INTO `lang_definitions` VALUES (68970, 12218, 13, 'հաջողությամբ հերթագրվեց');
INSERT INTO `lang_definitions` VALUES (68971, 12219, 13, '! հեռացել է առանց այցելության');
INSERT INTO `lang_definitions` VALUES (68972, 12220, 13, '\" կոդի համար');
INSERT INTO `lang_definitions` VALUES (68973, 12222, 13, '# ապահովագրական/ֆինանսական խնդիր');
INSERT INTO `lang_definitions` VALUES (68974, 12223, 13, '# հաբերից։');
INSERT INTO `lang_definitions` VALUES (68975, 12224, 13, '$');
INSERT INTO `lang_definitions` VALUES (68976, 12225, 13, '$ ինդեքսավորում');
INSERT INTO `lang_definitions` VALUES (68977, 12226, 13, '$նշում (yyyy-mm-dd)');
INSERT INTO `lang_definitions` VALUES (68978, 12227, 13, '%');
INSERT INTO `lang_definitions` VALUES (68979, 12228, 13, '% Չեղարկվել է < 24 ժամ');
INSERT INTO `lang_definitions` VALUES (68980, 12229, 13, '% Չեղարկվել է < 24 ժամ');
INSERT INTO `lang_definitions` VALUES (68981, 12230, 13, 'պետք է լինի, բայց չկա');
INSERT INTO `lang_definitions` VALUES (68982, 12231, 13, '(% համապատասխանում է ցանկացած տողի _  համապատասխանում է ցանկացած սիմվոլի)');
INSERT INTO `lang_definitions` VALUES (68983, 12232, 13, '([ctrl] + քլիք մի քանի ստացող ընտրելու համար)');
INSERT INTO `lang_definitions` VALUES (68984, 12233, 13, '(Հետ)');
INSERT INTO `lang_definitions` VALUES (68985, 12234, 13, '(Սեղմել խմբագրման համար)');
INSERT INTO `lang_definitions` VALUES (68986, 12235, 13, '(Էլ․ փոստի տրամադրումն անհապաղ է․ while automated VOIP is sent to the service provider for further processing.)');
INSERT INTO `lang_definitions` VALUES (68987, 12236, 13, '(ավելին)');
INSERT INTO `lang_definitions` VALUES (68988, 12237, 13, '(Նոր Պացիենտ)');
INSERT INTO `lang_definitions` VALUES (68989, 12238, 13, '(Նշումներ և Լիազորություններ)');
INSERT INTO `lang_definitions` VALUES (68990, 12239, 13, '(Գրառումներ Պացիենտի մասին)');
INSERT INTO `lang_definitions` VALUES (68991, 12240, 13, '(Ընտրեք սրանցից մեկը կամ գրեք Ձեր իսկ անվանումը/վերնագիրը)');
INSERT INTO `lang_definitions` VALUES (68992, 12241, 13, 'Արժեքի փոփոխման համար կատարեք (Shift-)Click կամ նշեք էկրանի վրա');
INSERT INTO `lang_definitions` VALUES (68993, 12242, 13, '*Հիշեցումն արված է');
INSERT INTO `lang_definitions` VALUES (68994, 12243, 13, '** Խնդրում ենք վիրահատությունները տեղափոխել խնդիրների մեջ');
INSERT INTO `lang_definitions` VALUES (68995, 12244, 13, '*Պարտադիր է');
INSERT INTO `lang_definitions` VALUES (68996, 12245, 13, '+ Chart pulled');
INSERT INTO `lang_definitions` VALUES (68997, 12249, 13, '-Չկա');
INSERT INTO `lang_definitions` VALUES (68998, 12251, 13, '--Բոլորը/Ամբողջը--');
INSERT INTO `lang_definitions` VALUES (68999, 12252, 13, '--Ընտրել դերը--');
INSERT INTO `lang_definitions` VALUES (69000, 12254, 13, '0');
INSERT INTO `lang_definitions` VALUES (69001, 12255, 13, '0-10');
INSERT INTO `lang_definitions` VALUES (69002, 12256, 13, '0-24');
INSERT INTO `lang_definitions` VALUES (69003, 12257, 13, '02/12{{CMS 1500 format date revision setting in globals}}');
INSERT INTO `lang_definitions` VALUES (69004, 12258, 13, '08/05{{CMS 1500 format date revision setting in globals}}');
INSERT INTO `lang_definitions` VALUES (69005, 12259, 13, '1');
INSERT INTO `lang_definitions` VALUES (69006, 12260, 13, '1 = North America. See http://www.wtng.info/ for a list of other country codes.');
INSERT INTO `lang_definitions` VALUES (69007, 12261, 13, 'այսօրվանից սկսած 1 օր');
INSERT INTO `lang_definitions` VALUES (69008, 12262, 13, 'այսօրվանից սկսած 1 ամիս');
INSERT INTO `lang_definitions` VALUES (69009, 12263, 13, 'այսօրվանից սկսած 1 շաբաթ');
INSERT INTO `lang_definitions` VALUES (69010, 12264, 13, 'այսօրվանից սկսած 1 տարի');
INSERT INTO `lang_definitions` VALUES (69011, 12265, 13, '1.Հանգիստ2. Սառույց 2 օր 3. Կոմպրես/թրջոց, վիրակապը թողնել  մինչև  ոտնաթաթի թմրության զարգացումը կամ գունատվելը 4. Ոտնաթաթի և ոտքի բարձրացում');
INSERT INTO `lang_definitions` VALUES (69012, 12266, 13, '11-14');
INSERT INTO `lang_definitions` VALUES (69013, 12267, 13, '12 ժ');
INSERT INTO `lang_definitions` VALUES (69014, 12268, 13, '15-19');
INSERT INTO `lang_definitions` VALUES (69015, 12270, 13, '1-ին');
INSERT INTO `lang_definitions` VALUES (69016, 12272, 13, '2');
INSERT INTO `lang_definitions` VALUES (69017, 12273, 13, 'այսօրվանից սկսած 2 օր');
INSERT INTO `lang_definitions` VALUES (69018, 12274, 13, 'այսօրվանից սկսած 2 ամիս');
INSERT INTO `lang_definitions` VALUES (69019, 12275, 13, 'այսօրվանից սկսած 2 շաբաթ');
INSERT INTO `lang_definitions` VALUES (69020, 12276, 13, 'այսօրվանից սկսած 2 տարի');
INSERT INTO `lang_definitions` VALUES (69021, 12277, 13, '2-20 տարի');
INSERT INTO `lang_definitions` VALUES (69022, 12278, 13, '20-24');
INSERT INTO `lang_definitions` VALUES (69023, 12279, 13, '2011 Ավտոմատ Չափման Հաշվարկներ (AMC)/(ԱՉՀ)');
INSERT INTO `lang_definitions` VALUES (69024, 12280, 13, '2011 Կլինիկական Որակի Չափանիշներ (CQM) / (ԿՈՉ)');
INSERT INTO `lang_definitions` VALUES (69025, 12281, 13, '2012 Կլինիկական Որակի Պաշտոնական Չափանիշներ (CQM) / (ԿՈՊՉ)');
INSERT INTO `lang_definitions` VALUES (69026, 12282, 13, '2014 Ավտոմատ Չափման Հաշվարկներ (AMC)/(ԱՉՀ)');
INSERT INTO `lang_definitions` VALUES (69027, 12283, 13, '2014 Ավտոմատ Չափման Հաշվարկներ (AMC)/(ԱՉՀ) - Բաժին 1');
INSERT INTO `lang_definitions` VALUES (69028, 12284, 13, '2014 Ավտոմատ Չափման Հաշվարկներ (AMC)/(ԱՉՀ) - Բաժին 2');
INSERT INTO `lang_definitions` VALUES (69029, 12285, 13, '2014 Կլինիկական Որակի Չափանիշներ (CQM) / (ԿՈՉ)');
INSERT INTO `lang_definitions` VALUES (69030, 12286, 13, '2014 Կլինիկական Որակի Չափանիշներ (CQM) / (ԿՈՉ) Չափման Խմբեր');
INSERT INTO `lang_definitions` VALUES (69031, 12287, 13, '2111-13');
INSERT INTO `lang_definitions` VALUES (69032, 12288, 13, '24 ժ');
INSERT INTO `lang_definitions` VALUES (69033, 12289, 13, '25+');
INSERT INTO `lang_definitions` VALUES (69034, 12290, 13, '25-29');
INSERT INTO `lang_definitions` VALUES (69035, 12293, 13, '2-րդ');
INSERT INTO `lang_definitions` VALUES (69036, 12296, 13, 'այսօրվանից սկսած 3 օր');
INSERT INTO `lang_definitions` VALUES (69037, 12297, 13, '3 ամիս');
INSERT INTO `lang_definitions` VALUES (69038, 12298, 13, 'այսօրվանից սկսած 3 ամիս');
INSERT INTO `lang_definitions` VALUES (69039, 12299, 13, 'օրը 3 անգամ');
INSERT INTO `lang_definitions` VALUES (69040, 12300, 13, 'այսօրվանից սկսած 3 շաբաթ');
INSERT INTO `lang_definitions` VALUES (69041, 12301, 13, '30-34');
INSERT INTO `lang_definitions` VALUES (69042, 12302, 13, '35-39');
INSERT INTO `lang_definitions` VALUES (69043, 12304, 13, '3-րդ');
INSERT INTO `lang_definitions` VALUES (69044, 12307, 13, 'այսօրվանից սկսած 4 օր');
INSERT INTO `lang_definitions` VALUES (69045, 12308, 13, '4 ամիս');
INSERT INTO `lang_definitions` VALUES (69046, 12309, 13, 'այսօրվանից սկսած 4 ամիս');
INSERT INTO `lang_definitions` VALUES (69047, 12310, 13, 'օրը 4 անգամ');
INSERT INTO `lang_definitions` VALUES (69048, 12311, 13, 'այսօրվանից սկսած 4 շաբաթ');
INSERT INTO `lang_definitions` VALUES (69049, 12312, 13, '40-44');
INSERT INTO `lang_definitions` VALUES (69050, 12313, 13, '45+');
INSERT INTO `lang_definitions` VALUES (69051, 12314, 13, '465.9, URI');
INSERT INTO `lang_definitions` VALUES (69052, 12315, 13, '466.0, Սուր NOS Բրոնխիտ,');
INSERT INTO `lang_definitions` VALUES (69053, 12316, 13, '486.0, Սուր թոքաբորբ');
INSERT INTO `lang_definitions` VALUES (69054, 12317, 13, '491.21, COPD Սրացում');
INSERT INTO `lang_definitions` VALUES (69055, 12318, 13, '491.8, Խրոնիկ բրոնխիտ');
INSERT INTO `lang_definitions` VALUES (69056, 12319, 13, '493.92, Ասթմա, սուր Exac.');
INSERT INTO `lang_definitions` VALUES (69057, 12320, 13, '496.0, COPD');
INSERT INTO `lang_definitions` VALUES (69058, 12323, 13, '4-րդ');
INSERT INTO `lang_definitions` VALUES (69059, 12326, 13, 'այսօրվանից սկսած 5 օր');
INSERT INTO `lang_definitions` VALUES (69060, 12327, 13, 'այսօրվանից սկսած 5 ամիս');
INSERT INTO `lang_definitions` VALUES (69061, 12328, 13, 'այսօրվանից սկսած 5 շաբաթ');
INSERT INTO `lang_definitions` VALUES (69062, 12329, 13, '519.7, բրոնխոսպազմ');
INSERT INTO `lang_definitions` VALUES (69063, 12331, 13, '5-րդ');
INSERT INTO `lang_definitions` VALUES (69064, 12333, 13, 'այսօրվանից սկսած 6 օր');
INSERT INTO `lang_definitions` VALUES (69065, 12334, 13, '6 ամիս');
INSERT INTO `lang_definitions` VALUES (69066, 12335, 13, 'այսօրվանից սկսած 5 ամիս');
INSERT INTO `lang_definitions` VALUES (69067, 12336, 13, 'այսօրվանից սկսած 5 շաբաթ');
INSERT INTO `lang_definitions` VALUES (69068, 12337, 13, '6-րդ');
INSERT INTO `lang_definitions` VALUES (69069, 12339, 13, 'այսօրվանից սկսած 7 ամիս');
INSERT INTO `lang_definitions` VALUES (69070, 12340, 13, 'այսօրվանից սկսած 8 ամիս');
INSERT INTO `lang_definitions` VALUES (69071, 12342, 13, '824.0 Մեջտեղի կոճի փակ կոտրվածք');
INSERT INTO `lang_definitions` VALUES (69072, 12343, 13, '824.2 Լատերալ/կողային կոճի փակ կոտրվածք');
INSERT INTO `lang_definitions` VALUES (69073, 12344, 13, '824.6  Trimalleolar փակ կոտրվածք');
INSERT INTO `lang_definitions` VALUES (69074, 12345, 13, '825.32 Navicular (ankle)/Ծնկոսկրի/սրունքոսկրի փակ կոտրվածք');
INSERT INTO `lang_definitions` VALUES (69075, 12346, 13, '825.35 Fracture, Base of fifth (5th) Metatarsal');
INSERT INTO `lang_definitions` VALUES (69076, 12347, 13, '845.00 կոճի/ծնկի գերձգում NOS');
INSERT INTO `lang_definitions` VALUES (69077, 12348, 13, '845.01 Sprain Medial (Deltoid) Lig.');
INSERT INTO `lang_definitions` VALUES (69078, 12349, 13, '845.02 Sprain, Calcaneal fibular');
INSERT INTO `lang_definitions` VALUES (69079, 12350, 13, 'այսօրվանից սկսած 9 ամիս');
INSERT INTO `lang_definitions` VALUES (69080, 12351, 13, '99212 Ամրացված - Ոչ բարդ');
INSERT INTO `lang_definitions` VALUES (69081, 12352, 13, '99213 Ամրացված - Ցածր բարդության');
INSERT INTO `lang_definitions` VALUES (69082, 12353, 13, '< զննման սենյակում');
INSERT INTO `lang_definitions` VALUES (69083, 12357, 13, '> դուրսգրված');
INSERT INTO `lang_definitions` VALUES (69084, 12359, 13, '?');
INSERT INTO `lang_definitions` VALUES (69085, 12361, 13, '? Ցուցադրում չկա');
INSERT INTO `lang_definitions` VALUES (69086, 12362, 13, '@ Ընդունվել է');
INSERT INTO `lang_definitions` VALUES (69087, 12364, 13, '[Փոխել տեսքը]');
INSERT INTO `lang_definitions` VALUES (69088, 12365, 13, '[Վերջին այցելության ամսաթիվը]');
INSERT INTO `lang_definitions` VALUES (69089, 12366, 13, '[Վերջին այցելությունից անցած օրերի քանակը]');
INSERT INTO `lang_definitions` VALUES (69090, 12367, 13, '[EOBs]');
INSERT INTO `lang_definitions` VALUES (69091, 12368, 13, '[ OFX էքսպորտ]');
INSERT INTO `lang_definitions` VALUES (69092, 12369, 13, '[խորհուրդ չի տրվում]');
INSERT INTO `lang_definitions` VALUES (69093, 12370, 13, '[Այցելությունների քանակը]');
INSERT INTO `lang_definitions` VALUES (69094, 12371, 13, '[Հաշվետվություններ]');
INSERT INTO `lang_definitions` VALUES (69095, 12372, 13, '[Ընտրել բոլորը]');
INSERT INTO `lang_definitions` VALUES (69096, 12373, 13, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (69097, 12374, 13, '[Start Batch Processing]');
INSERT INTO `lang_definitions` VALUES (69098, 12375, 13, '[Տեսնել գրանցումները/մուտքերը]');
INSERT INTO `lang_definitions` VALUES (69099, 12376, 13, '[Դիտել տպագրվող զեկույցը]');
INSERT INTO `lang_definitions` VALUES (69100, 12378, 13, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (69101, 12379, 13, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (69102, 12380, 13, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (69103, 12381, 13, '~ Ուշացել է');
INSERT INTO `lang_definitions` VALUES (69104, 1, 14, 'Sebuah');
INSERT INTO `lang_definitions` VALUES (69105, 2, 14, 'Nomor cek atau nomor klaim untuk identifikasi pembayaran');
INSERT INTO `lang_definitions` VALUES (69106, 3, 14, 'Klaim harus dipilih untuk mengaktifkan menu ini.');
INSERT INTO `lang_definitions` VALUES (69107, 4, 14, 'Sertifikat untuk pengguna admin');
INSERT INTO `lang_definitions` VALUES (69108, 6, 14, 'Dokumen klinis sudah dilampirkan');
INSERT INTO `lang_definitions` VALUES (69109, 7, 14, 'Dokumen klinis sudah dilampirkan.');
INSERT INTO `lang_definitions` VALUES (69110, 8, 14, 'Kode dari tipe ini sudah dipilih. Silahkan hapus terlebih dahulu isian yang anda masukan untuk mengganti pilihan');
INSERT INTO `lang_definitions` VALUES (69111, 13, 14, 'Dibutuhkan distributor');
INSERT INTO `lang_definitions` VALUES (69112, 17, 14, 'Formulir kunjungan CGAC harus ditambahkan pada kunjungan ini');
INSERT INTO `lang_definitions` VALUES (69113, 20, 14, 'Butuh lebih banyak angka');
INSERT INTO `lang_definitions` VALUES (69114, 21, 14, 'Butuh lebih banyak angka!');
INSERT INTO `lang_definitions` VALUES (69115, 22, 14, 'Huruf kecil');
INSERT INTO `lang_definitions` VALUES (69116, 28, 14, 'Angka');
INSERT INTO `lang_definitions` VALUES (69117, 29, 14, 'Pasien harus dipilih terlebih dahulu untuk menampilkan laporan ini');
INSERT INTO `lang_definitions` VALUES (69118, 30, 14, 'Pasien dengan ID tersebut telah terdaftar');
INSERT INTO `lang_definitions` VALUES (69119, 31, 14, 'Pasien dengan nama tersebut telah terdaftar');
INSERT INTO `lang_definitions` VALUES (69120, 32, 14, 'Pasien dengan SS tersebut telah terdaftar');
INSERT INTO `lang_definitions` VALUES (69121, 43, 14, 'Sumber rujukan harus ditentukan pada tiap kunjungan');
INSERT INTO `lang_definitions` VALUES (69122, 44, 14, 'Diperlukan kode yang berhubungan dengan IPPF!');
INSERT INTO `lang_definitions` VALUES (69123, 49, 14, 'Karakter khusus');
INSERT INTO `lang_definitions` VALUES (69124, 53, 14, 'Nilai yang unik untuk mengidentifikasi bagian ini, tidak terlihat ke pengguna');
INSERT INTO `lang_definitions` VALUES (69125, 56, 14, 'Jadwal kunjungan sudah tersedia untuk pasien ini hari ini. Klik Cancel untuk membuka jadwal tersebut, atau OK untuk memproses pembuatan jadwal baru');
INSERT INTO `lang_definitions` VALUES (69126, 57, 14, 'Sebelum makan');
INSERT INTO `lang_definitions` VALUES (69127, 58, 14, 'Pagi Hari');
INSERT INTO `lang_definitions` VALUES (69128, 60, 14, 'A/F Level Kanan');
INSERT INTO `lang_definitions` VALUES (69129, 62, 14, 'AB');
INSERT INTO `lang_definitions` VALUES (69130, 63, 14, 'Kependekan');
INSERT INTO `lang_definitions` VALUES (69131, 64, 14, 'Abses');
INSERT INTO `lang_definitions` VALUES (69132, 65, 14, 'Perut');
INSERT INTO `lang_definitions` VALUES (69133, 66, 14, 'Mampu Berjalan empat (4) langkah:');
INSERT INTO `lang_definitions` VALUES (69134, 67, 14, 'Abn');
INSERT INTO `lang_definitions` VALUES (69135, 68, 14, 'ABN1');
INSERT INTO `lang_definitions` VALUES (69136, 70, 14, 'Abnormal');
INSERT INTO `lang_definitions` VALUES (69137, 71, 14, 'Tes Darah Abnormal');
INSERT INTO `lang_definitions` VALUES (69138, 72, 14, 'Pertumbuhan Rambut Abnormal');
INSERT INTO `lang_definitions` VALUES (69139, 73, 14, 'Mammogram Abnormal');
INSERT INTO `lang_definitions` VALUES (69140, 74, 14, 'Batalkan');
INSERT INTO `lang_definitions` VALUES (69141, 75, 14, 'Aborsi');
INSERT INTO `lang_definitions` VALUES (69142, 76, 14, 'Isu Aborsi');
INSERT INTO `lang_definitions` VALUES (69143, 77, 14, 'Metode Aborsi');
INSERT INTO `lang_definitions` VALUES (69144, 78, 14, 'Kategori-Berhubungan dengan Aborsi');
INSERT INTO `lang_definitions` VALUES (69145, 79, 14, 'Aborsi');
INSERT INTO `lang_definitions` VALUES (69146, 80, 14, 'Tentang');
INSERT INTO `lang_definitions` VALUES (69147, 82, 14, 'Mengenai kalendar');
INSERT INTO `lang_definitions` VALUES (69148, 85, 14, 'Absen oleh Diagnosis');
INSERT INTO `lang_definitions` VALUES (69149, 86, 14, 'Terima');
INSERT INTO `lang_definitions` VALUES (69150, 87, 14, 'Terima Penugasan');
INSERT INTO `lang_definitions` VALUES (69151, 89, 14, 'Terima Pembayaran untuk');
INSERT INTO `lang_definitions` VALUES (69152, 90, 14, 'Terima Pembayaran untuk');
INSERT INTO `lang_definitions` VALUES (69153, 91, 14, 'Terima Penugasan');
INSERT INTO `lang_definitions` VALUES (69154, 93, 14, 'Kontrol Akses');
INSERT INTO `lang_definitions` VALUES (69155, 94, 14, 'Daftar Administrasi Kontrol Akses');
INSERT INTO `lang_definitions` VALUES (69156, 98, 14, 'Tanggal mengakses');
INSERT INTO `lang_definitions` VALUES (69157, 101, 14, 'akses tidak diperkenankan');
INSERT INTO `lang_definitions` VALUES (69158, 102, 14, 'Akses tidak diperkenankan');
INSERT INTO `lang_definitions` VALUES (69159, 103, 14, 'Akses tidak sah');
INSERT INTO `lang_definitions` VALUES (69160, 104, 14, 'Akses Rekam Medis Anda');
INSERT INTO `lang_definitions` VALUES (69161, 105, 14, 'Silahkan akses portal pasien anda');
INSERT INTO `lang_definitions` VALUES (69162, 106, 14, 'Kecelakaan');
INSERT INTO `lang_definitions` VALUES (69163, 107, 14, 'Akun');
INSERT INTO `lang_definitions` VALUES (69164, 109, 14, 'ID Akun dikeluarkan untuk layanan NewCrop e-Resep, digunakan untuk memisahkan akun dengan fitur multi-fasilitas');
INSERT INTO `lang_definitions` VALUES (69165, 113, 14, 'Nama Akun');
INSERT INTO `lang_definitions` VALUES (69166, 117, 14, 'Akuntansi');
INSERT INTO `lang_definitions` VALUES (69167, 122, 14, 'Nyeri');
INSERT INTO `lang_definitions` VALUES (69168, 124, 14, 'Permintaan Pernyataan (ISA14)');
INSERT INTO `lang_definitions` VALUES (69169, 125, 14, 'Pernyataan, Lisensi dan Sertifikasi');
INSERT INTO `lang_definitions` VALUES (69170, 126, 14, 'ACL');
INSERT INTO `lang_definitions` VALUES (69171, 127, 14, 'Administrasi ACL');
INSERT INTO `lang_definitions` VALUES (69172, 129, 14, 'Administrasi ACL Tidak Diizinkan');
INSERT INTO `lang_definitions` VALUES (69173, 132, 14, 'ACL sudah sukses di update');
INSERT INTO `lang_definitions` VALUES (69174, 133, 14, 'Jerawat');
INSERT INTO `lang_definitions` VALUES (69175, 136, 14, 'Tindakan');
INSERT INTO `lang_definitions` VALUES (69176, 137, 14, 'Tanggal tindakan');
INSERT INTO `lang_definitions` VALUES (69177, 138, 14, 'Tindakan');
INSERT INTO `lang_definitions` VALUES (69178, 142, 14, 'Tindakan');
INSERT INTO `lang_definitions` VALUES (69179, 143, 14, 'Aktifasi');
INSERT INTO `lang_definitions` VALUES (69180, 144, 14, 'Aktifkan Pelaporan CCR/CCD');
INSERT INTO `lang_definitions` VALUES (69181, 148, 14, 'Aktif');
INSERT INTO `lang_definitions` VALUES (69182, 150, 14, 'Pemberitahuan Aktif');
INSERT INTO `lang_definitions` VALUES (69183, 152, 14, 'Peraturan Pemberitahuan Aktif');
INSERT INTO `lang_definitions` VALUES (69184, 153, 14, 'Pemberitahuan/Pengingat Aktif');
INSERT INTO `lang_definitions` VALUES (69185, 154, 14, 'Grafik Aktif');
INSERT INTO `lang_definitions` VALUES (69186, 158, 14, 'Konsultasi Hari Ini');
INSERT INTO `lang_definitions` VALUES (69187, 159, 14, 'Kode yang Aktif');
INSERT INTO `lang_definitions` VALUES (69188, 160, 14, 'Daftar Aktif');
INSERT INTO `lang_definitions` VALUES (69189, 161, 14, 'Pesan Aktif');
INSERT INTO `lang_definitions` VALUES (69190, 162, 14, 'Pasien Aktif');
INSERT INTO `lang_definitions` VALUES (69191, 163, 14, 'Rencana Aktif');
INSERT INTO `lang_definitions` VALUES (69192, 164, 14, 'Pola Aktif');
INSERT INTO `lang_definitions` VALUES (69193, 173, 14, 'Kegiatan');
INSERT INTO `lang_definitions` VALUES (69194, 174, 14, 'Tipe Kegiatan');
INSERT INTO `lang_definitions` VALUES (69195, 175, 14, 'Resep Terbaru');
INSERT INTO `lang_definitions` VALUES (69196, 176, 14, 'Ketajaman');
INSERT INTO `lang_definitions` VALUES (69197, 177, 14, 'KETAJAMAN');
INSERT INTO `lang_definitions` VALUES (69198, 179, 14, 'Ketajaman dengan Lensa Kontak');
INSERT INTO `lang_definitions` VALUES (69199, 180, 14, 'Ketajaman dengan koreksi');
INSERT INTO `lang_definitions` VALUES (69200, 183, 14, 'Ketajaman dengan Lubang Peniti');
INSERT INTO `lang_definitions` VALUES (69201, 184, 14, 'Ketajaman tanpa koreksi');
INSERT INTO `lang_definitions` VALUES (69202, 185, 14, 'Gejala Putus Obat / Intoksikasi Akut');
INSERT INTO `lang_definitions` VALUES (69203, 186, 14, 'Manifestasi Akut suatu Kondisi Kronis');
INSERT INTO `lang_definitions` VALUES (69204, 187, 14, 'Akut pada Kronis');
INSERT INTO `lang_definitions` VALUES (69205, 189, 14, 'Tambah');
INSERT INTO `lang_definitions` VALUES (69206, 190, 14, 'tambah');
INSERT INTO `lang_definitions` VALUES (69207, 191, 14, 'TAMBAH');
INSERT INTO `lang_definitions` VALUES (69208, 192, 14, 'Tambah Perusahaan');
INSERT INTO `lang_definitions` VALUES (69209, 193, 14, 'Tambah Kondisi');
INSERT INTO `lang_definitions` VALUES (69210, 197, 14, 'Tambah Apotek');
INSERT INTO `lang_definitions` VALUES (69211, 199, 14, 'Tambah baris untuk perencanaan');
INSERT INTO `lang_definitions` VALUES (69212, 200, 14, 'tambah kegiatan untuk');
INSERT INTO `lang_definitions` VALUES (69213, 202, 14, 'Tambah sebagai catatan baru');
INSERT INTO `lang_definitions` VALUES (69214, 203, 14, 'Tambah Baru');
INSERT INTO `lang_definitions` VALUES (69215, 204, 14, 'Tambah sebagai pasien baru');
INSERT INTO `lang_definitions` VALUES (69216, 205, 14, 'Tambah Baris Batas Bawah');
INSERT INTO `lang_definitions` VALUES (69217, 206, 14, 'Tambah Tombol');
INSERT INTO `lang_definitions` VALUES (69218, 207, 14, 'Tambah Tombol untuk Karakter Spesial, Teks untuk ditampilkan pada bagian editor paling atas untuk pencantuman pada teks gunakan Klik');
INSERT INTO `lang_definitions` VALUES (69219, 208, 14, 'Tambah Kategori');
INSERT INTO `lang_definitions` VALUES (69220, 209, 14, 'Tambah Konstanta');
INSERT INTO `lang_definitions` VALUES (69221, 210, 14, 'Tambah Konteks');
INSERT INTO `lang_definitions` VALUES (69222, 211, 14, 'Tambah Asuransi');
INSERT INTO `lang_definitions` VALUES (69223, 212, 14, 'Tambah kriteria');
INSERT INTO `lang_definitions` VALUES (69224, 213, 14, 'Tambah Tombol Custom');
INSERT INTO `lang_definitions` VALUES (69225, 216, 14, 'Tambah Diagnosa');
INSERT INTO `lang_definitions` VALUES (69226, 217, 14, 'Tambah Obat');
INSERT INTO `lang_definitions` VALUES (69227, 219, 14, 'Tambah kunjungan');
INSERT INTO `lang_definitions` VALUES (69228, 220, 14, 'Tambah Konsultasi');
INSERT INTO `lang_definitions` VALUES (69229, 221, 14, 'Tambah konsultasi/catatan');
INSERT INTO `lang_definitions` VALUES (69230, 222, 14, 'Tambah Fasilitas');
INSERT INTO `lang_definitions` VALUES (69231, 223, 14, 'Tambah Kotak');
INSERT INTO `lang_definitions` VALUES (69232, 224, 14, 'Tambahkan baris berikut ini pada file konfigurasi Apache');
INSERT INTO `lang_definitions` VALUES (69233, 225, 14, 'Tambah Grup');
INSERT INTO `lang_definitions` VALUES (69234, 226, 14, 'Tambah grup');
INSERT INTO `lang_definitions` VALUES (69235, 227, 14, 'Tambah Kode ICD');
INSERT INTO `lang_definitions` VALUES (69236, 228, 14, 'Tambah Imunisasi');
INSERT INTO `lang_definitions` VALUES (69237, 229, 14, 'Penambahan tidak diizinkan!');
INSERT INTO `lang_definitions` VALUES (69238, 230, 14, 'Tambah Isu');
INSERT INTO `lang_definitions` VALUES (69239, 231, 14, 'Tambahkan item ke jalur');
INSERT INTO `lang_definitions` VALUES (69240, 232, 14, 'Tambah Bahasa');
INSERT INTO `lang_definitions` VALUES (69241, 234, 14, 'Tambah secara manual');
INSERT INTO `lang_definitions` VALUES (69242, 237, 14, 'Tambah Item Lagi');
INSERT INTO `lang_definitions` VALUES (69243, 238, 14, 'Tambah Baru');
INSERT INTO `lang_definitions` VALUES (69244, 239, 14, 'Tambah baru');
INSERT INTO `lang_definitions` VALUES (69245, 240, 14, 'Tambah kategori baru :');
INSERT INTO `lang_definitions` VALUES (69246, 241, 14, 'Tambah sertifikat baru pada file konfigurasi Apache');
INSERT INTO `lang_definitions` VALUES (69247, 242, 14, 'Tambah komponen baru');
INSERT INTO `lang_definitions` VALUES (69248, 243, 14, 'Tambah beberapa komponen baru');
INSERT INTO `lang_definitions` VALUES (69249, 244, 14, 'Tambah Basisdata Baru');
INSERT INTO `lang_definitions` VALUES (69250, 248, 14, 'TAMBAH GRUP BARU');
INSERT INTO `lang_definitions` VALUES (69251, 249, 14, 'Tambah Grup Baru');
INSERT INTO `lang_definitions` VALUES (69252, 250, 14, 'Tambah hal baru');
INSERT INTO `lang_definitions` VALUES (69253, 251, 14, 'Tambah kumpulan baru dan transaksi');
INSERT INTO `lang_definitions` VALUES (69254, 253, 14, 'Tambah Catatan Baru');
INSERT INTO `lang_definitions` VALUES (69255, 254, 14, 'Tambah catatan baru');
INSERT INTO `lang_definitions` VALUES (69256, 255, 14, 'Tambah Mitra Baru');
INSERT INTO `lang_definitions` VALUES (69257, 256, 14, 'Tambah Pasien Baru');
INSERT INTO `lang_definitions` VALUES (69258, 257, 14, 'Tambah Rencana Baru');
INSERT INTO `lang_definitions` VALUES (69259, 264, 14, 'Tambah Catatan');
INSERT INTO `lang_definitions` VALUES (69260, 266, 14, 'Tambah Paket');
INSERT INTO `lang_definitions` VALUES (69261, 267, 14, 'Tambah Pasien');
INSERT INTO `lang_definitions` VALUES (69262, 268, 14, 'Tambah Catatan Medis Pasien');
INSERT INTO `lang_definitions` VALUES (69263, 269, 14, 'Tambah Resep');
INSERT INTO `lang_definitions` VALUES (69264, 270, 14, 'Tambah Prosedur');
INSERT INTO `lang_definitions` VALUES (69265, 271, 14, 'Tambah Nomor Penyedia');
INSERT INTO `lang_definitions` VALUES (69266, 272, 14, 'Tambah Panggil Kembali');
INSERT INTO `lang_definitions` VALUES (69267, 273, 14, 'Tambah Rehabilitasi');
INSERT INTO `lang_definitions` VALUES (69268, 274, 14, 'Tambah Aturan');
INSERT INTO `lang_definitions` VALUES (69269, 276, 14, 'Tambah Waktu pada Tanggal');
INSERT INTO `lang_definitions` VALUES (69270, 277, 14, 'Tambahkan ke');
INSERT INTO `lang_definitions` VALUES (69271, 281, 14, 'Tambahkan ke Daftar Obat');
INSERT INTO `lang_definitions` VALUES (69272, 282, 14, 'Tambah Level Teratas');
INSERT INTO `lang_definitions` VALUES (69273, 283, 14, 'Tambah Transaksi');
INSERT INTO `lang_definitions` VALUES (69274, 284, 14, 'Tambah Pengguna');
INSERT INTO `lang_definitions` VALUES (69275, 285, 14, 'Tambah Pengguna Pada Grup');
INSERT INTO `lang_definitions` VALUES (69276, 287, 14, 'Tambah/Edit eRx');
INSERT INTO `lang_definitions` VALUES (69277, 289, 14, 'Tambah/Edit Transaksi Pasien');
INSERT INTO `lang_definitions` VALUES (69278, 290, 14, 'menambahkan');
INSERT INTO `lang_definitions` VALUES (69279, 291, 14, 'Menambahkan');
INSERT INTO `lang_definitions` VALUES (69280, 293, 14, 'Penambahan demografis tidak diizinkan.');
INSERT INTO `lang_definitions` VALUES (69281, 294, 14, 'Gagal untuk menambahkan item ke dalam daftar');
INSERT INTO `lang_definitions` VALUES (69282, 295, 14, 'Sindroma Addison');
INSERT INTO `lang_definitions` VALUES (69283, 296, 14, 'Sindroma Addison');
INSERT INTO `lang_definitions` VALUES (69284, 297, 14, 'Atribut Tambahan');
INSERT INTO `lang_definitions` VALUES (69285, 299, 14, 'Tanggal Tambahan:');
INSERT INTO `lang_definitions` VALUES (69286, 300, 14, 'Diagnosis Tambahan:');
INSERT INTO `lang_definitions` VALUES (69287, 301, 14, 'Temuan Tambahan');
INSERT INTO `lang_definitions` VALUES (69288, 305, 14, 'Riwayat Sakit Tambahan');
INSERT INTO `lang_definitions` VALUES (69289, 306, 14, 'Catatan riwayat sakit tambahan');
INSERT INTO `lang_definitions` VALUES (69290, 307, 14, 'Info Tambahan');
INSERT INTO `lang_definitions` VALUES (69291, 310, 14, 'Laboratorium Tambahan');
INSERT INTO `lang_definitions` VALUES (69292, 311, 14, 'Catatan Tambahan');
INSERT INTO `lang_definitions` VALUES (69293, 313, 14, 'Catatan tambahan pada hasil atau rekomendasi');
INSERT INTO `lang_definitions` VALUES (69294, 314, 14, 'Catatan Tambahan:');
INSERT INTO `lang_definitions` VALUES (69295, 315, 14, 'Catatan Tambahan:');
INSERT INTO `lang_definitions` VALUES (69296, 317, 14, 'Tambahan Catatan X-RAY:');
INSERT INTO `lang_definitions` VALUES (69297, 320, 14, 'hanya menambahkan');
INSERT INTO `lang_definitions` VALUES (69298, 321, 14, 'hanya tambah - bisa baca dan tambah tapi tidak bisa ubah');
INSERT INTO `lang_definitions` VALUES (69299, 322, 14, 'Buku Alamat');
INSERT INTO `lang_definitions` VALUES (69300, 323, 14, 'Buku Alamat');
INSERT INTO `lang_definitions` VALUES (69301, 324, 14, 'Alamat');
INSERT INTO `lang_definitions` VALUES (69302, 325, 14, 'Alamat dan Kode Pos');
INSERT INTO `lang_definitions` VALUES (69303, 326, 14, 'Alamat dan Propinsi');
INSERT INTO `lang_definitions` VALUES (69304, 327, 14, 'Buku Alamat');
INSERT INTO `lang_definitions` VALUES (69305, 328, 14, 'Entri buku alamat untuk perusahaan yang melaksanakan prosedur ini');
INSERT INTO `lang_definitions` VALUES (69306, 329, 14, 'Entri buku alamat untuk distributor');
INSERT INTO `lang_definitions` VALUES (69307, 330, 14, 'Entri buku alamat untuk vendor');
INSERT INTO `lang_definitions` VALUES (69308, 331, 14, 'Tipe Buku Alamat');
INSERT INTO `lang_definitions` VALUES (69309, 332, 14, 'Label Alamat');
INSERT INTO `lang_definitions` VALUES (69310, 333, 14, 'Label - Label Alamat');
INSERT INTO `lang_definitions` VALUES (69311, 336, 14, 'Hanya Alamat');
INSERT INTO `lang_definitions` VALUES (69312, 339, 14, 'Alamat 1');
INSERT INTO `lang_definitions` VALUES (69313, 340, 14, 'Alamat 2');
INSERT INTO `lang_definitions` VALUES (69314, 342, 14, 'ALAMAT');
INSERT INTO `lang_definitions` VALUES (69315, 345, 14, 'Menyesuaikan');
INSERT INTO `lang_definitions` VALUES (69316, 346, 14, 'Jumlah Penyesuaian');
INSERT INTO `lang_definitions` VALUES (69317, 347, 14, 'Menyesuaikan');
INSERT INTO `lang_definitions` VALUES (69318, 348, 14, 'Penyesuaian');
INSERT INTO `lang_definitions` VALUES (69319, 349, 14, 'Penyesuaian Nilai');
INSERT INTO `lang_definitions` VALUES (69320, 350, 14, 'Alasan Penyesuaian');
INSERT INTO `lang_definitions` VALUES (69321, 352, 14, 'Nilai Penyesuaian untuk kode');
INSERT INTO `lang_definitions` VALUES (69322, 353, 14, 'Penyesuaian');
INSERT INTO `lang_definitions` VALUES (69323, 354, 14, 'Adm menyesuaikan');
INSERT INTO `lang_definitions` VALUES (69324, 355, 14, 'Admin');
INSERT INTO `lang_definitions` VALUES (69325, 356, 14, 'Alamat Email Admin');
INSERT INTO `lang_definitions` VALUES (69326, 357, 14, 'Administrasi Melalui');
INSERT INTO `lang_definitions` VALUES (69327, 359, 14, 'Diberikan');
INSERT INTO `lang_definitions` VALUES (69328, 360, 14, 'Dimasukan Oleh');
INSERT INTO `lang_definitions` VALUES (69329, 363, 14, 'Administrasi');
INSERT INTO `lang_definitions` VALUES (69330, 365, 14, 'Lokasi administrasi');
INSERT INTO `lang_definitions` VALUES (69331, 366, 14, 'Administrator');
INSERT INTO `lang_definitions` VALUES (69332, 367, 14, 'Administrator dapat melakukan apa saja');
INSERT INTO `lang_definitions` VALUES (69333, 370, 14, 'Anak Angkat');
INSERT INTO `lang_definitions` VALUES (69334, 371, 14, 'Penyaringan Berat Sampai Umur dan Tindak Lanjut');
INSERT INTO `lang_definitions` VALUES (69335, 372, 14, 'Penyaringan Berat Sampai Umur dan Tindak Lanjut (CQM)');
INSERT INTO `lang_definitions` VALUES (69336, 373, 14, 'Petunjuk Lanjutan');
INSERT INTO `lang_definitions` VALUES (69337, 374, 14, 'Petunjuk-petunjuk lanjutan');
INSERT INTO `lang_definitions` VALUES (69338, 375, 14, 'Tanda Pemberitahuan Petunjuk Lanjutan');
INSERT INTO `lang_definitions` VALUES (69339, 377, 14, 'Lebih Lanjut');
INSERT INTO `lang_definitions` VALUES (69340, 380, 14, 'Saran');
INSERT INTO `lang_definitions` VALUES (69341, 382, 14, 'Mempengaruhi normal');
INSERT INTO `lang_definitions` VALUES (69342, 386, 14, 'Panggilan Diluar jam kerja');
INSERT INTO `lang_definitions` VALUES (69343, 388, 14, 'Setelah melakukan pengaturan diatas, impor sertifikat/surat keterangan klien admin ke browser kemudian restart server Apache (password kosong)');
INSERT INTO `lang_definitions` VALUES (69344, 390, 14, 'Setelah menyimpan file PDF, klik [Lihat Log] untuk memeriksa kesalahan.');
INSERT INTO `lang_definitions` VALUES (69345, 393, 14, 'Setelah menyimpan file TEXT, klik [Lihat Log] untuk memeriksa kesalahan.');
INSERT INTO `lang_definitions` VALUES (69346, 396, 14, 'Setelah menyimpan batch, klik [Lihat Log] untuk memeriksa kesalahan.');
INSERT INTO `lang_definitions` VALUES (69347, 399, 14, 'Setelah memasukkan informasi dengan benar, tekan tombol Simpan.');
INSERT INTO `lang_definitions` VALUES (69348, 401, 14, 'Setelah Unggah, klik \"Impor\"');
INSERT INTO `lang_definitions` VALUES (69349, 406, 14, 'Lagi');
INSERT INTO `lang_definitions` VALUES (69350, 407, 14, 'Usia');
INSERT INTO `lang_definitions` VALUES (69351, 409, 14, 'Usia Berdasarkan');
INSERT INTO `lang_definitions` VALUES (69352, 410, 14, 'Kategori usia');
INSERT INTO `lang_definitions` VALUES (69353, 411, 14, 'Data di luar jangkauan.');
INSERT INTO `lang_definitions` VALUES (69354, 412, 14, 'Format Tampilan Usia');
INSERT INTO `lang_definitions` VALUES (69355, 413, 14, 'Format Umur Untuk \"dari umur\" tidak berlaku');
INSERT INTO `lang_definitions` VALUES (69356, 414, 14, 'Format umur untuk \"sampai umur\" tidak berlaku');
INSERT INTO `lang_definitions` VALUES (69357, 415, 14, 'Dari Umur');
INSERT INTO `lang_definitions` VALUES (69358, 417, 14, 'Umur maksimal');
INSERT INTO `lang_definitions` VALUES (69359, 418, 14, 'Umur minimal');
INSERT INTO `lang_definitions` VALUES (69360, 419, 14, 'Rentang Umur');
INSERT INTO `lang_definitions` VALUES (69361, 421, 14, 'Kolom Usia:');
INSERT INTO `lang_definitions` VALUES (69362, 423, 14, 'Albania');
INSERT INTO `lang_definitions` VALUES (69363, 424, 14, 'Alkohol');
INSERT INTO `lang_definitions` VALUES (69364, 425, 14, 'Konsumsi alkohol');
INSERT INTO `lang_definitions` VALUES (69365, 427, 14, 'Peringatan');
INSERT INTO `lang_definitions` VALUES (69366, 428, 14, 'Jumlah Tanda Pemberitahuan');
INSERT INTO `lang_definitions` VALUES (69367, 434, 14, 'Waktu Peringatan');
INSERT INTO `lang_definitions` VALUES (69368, 435, 14, 'Tanda Pemberitahuan');
INSERT INTO `lang_definitions` VALUES (69369, 436, 14, 'Log Peringatan');
INSERT INTO `lang_definitions` VALUES (69370, 437, 14, 'Peringatan/Pengingat');
INSERT INTO `lang_definitions` VALUES (69371, 438, 14, 'Penringatan{{Status Mental}}');
INSERT INTO `lang_definitions` VALUES (69372, 439, 14, 'ALEUT');
INSERT INTO `lang_definitions` VALUES (69373, 440, 14, 'Semua');
INSERT INTO `lang_definitions` VALUES (69374, 441, 14, 'SEMUA');
INSERT INTO `lang_definitions` VALUES (69375, 442, 14, 'semua');
INSERT INTO `lang_definitions` VALUES (69376, 443, 14, 'Semua (Disusun Format A)');
INSERT INTO `lang_definitions` VALUES (69377, 444, 14, 'Semua (Disusun Format B)');
INSERT INTO `lang_definitions` VALUES (69378, 445, 14, 'Semua (Kumulatif)');
INSERT INTO `lang_definitions` VALUES (69379, 446, 14, 'Semua Peringatan');
INSERT INTO `lang_definitions` VALUES (69380, 448, 14, 'Semua Kategori');
INSERT INTO `lang_definitions` VALUES (69381, 450, 14, 'Semua Kode');
INSERT INTO `lang_definitions` VALUES (69382, 453, 14, 'Semua Hari');
INSERT INTO `lang_definitions` VALUES (69383, 454, 14, 'Semua acara hari');
INSERT INTO `lang_definitions` VALUES (69384, 455, 14, 'Semua bidang demografis, dengan pencarian dan duplikasi pemeriksaaan');
INSERT INTO `lang_definitions` VALUES (69385, 457, 14, 'Semua Fasilitas');
INSERT INTO `lang_definitions` VALUES (69386, 458, 14, 'Semua Luka/Masalah');
INSERT INTO `lang_definitions` VALUES (69387, 459, 14, 'Semua Bahasa Diijinkan');
INSERT INTO `lang_definitions` VALUES (69388, 460, 14, 'Semua Pesan');
INSERT INTO `lang_definitions` VALUES (69389, 462, 14, 'Semua atau bagian dari nama depan');
INSERT INTO `lang_definitions` VALUES (69390, 463, 14, 'Semua atau bagian dari nama belakang');
INSERT INTO `lang_definitions` VALUES (69391, 464, 14, 'Semua atau bagian dari organisasi');
INSERT INTO `lang_definitions` VALUES (69392, 466, 14, 'Semua Pasien');
INSERT INTO `lang_definitions` VALUES (69393, 468, 14, 'Semua Produk');
INSERT INTO `lang_definitions` VALUES (69394, 469, 14, 'Semua Penyedia');
INSERT INTO `lang_definitions` VALUES (69395, 470, 14, 'Semua Diulas dan Negatif:');
INSERT INTO `lang_definitions` VALUES (69396, 475, 14, 'Semua Topik');
INSERT INTO `lang_definitions` VALUES (69397, 478, 14, 'Semua Pengguna');
INSERT INTO `lang_definitions` VALUES (69398, 479, 14, 'Alergi');
INSERT INTO `lang_definitions` VALUES (69399, 480, 14, 'Alergi terhadap');
INSERT INTO `lang_definitions` VALUES (69400, 481, 14, 'Alergi');
INSERT INTO `lang_definitions` VALUES (69401, 484, 14, 'Alergi:');
INSERT INTO `lang_definitions` VALUES (69402, 485, 14, 'Alergi');
INSERT INTO `lang_definitions` VALUES (69403, 486, 14, 'Impor Alergi selesai dengan sukses');
INSERT INTO `lang_definitions` VALUES (69404, 488, 14, 'Reaksi akibat Alergi');
INSERT INTO `lang_definitions` VALUES (69405, 490, 14, 'Peringatan Alergi');
INSERT INTO `lang_definitions` VALUES (69406, 491, 14, 'Mengalokasikan');
INSERT INTO `lang_definitions` VALUES (69407, 492, 14, 'Mengizinkan');
INSERT INTO `lang_definitions` VALUES (69408, 494, 14, 'Semua bahasa yang tersedia bisa digunakan sebagai pilihan pada menu di bagian Login');
INSERT INTO `lang_definitions` VALUES (69409, 496, 14, 'Mengizinkan pembuatan klaim yang berisi diagnosa namun bukan prosedur atau biaya. Sebagian besar klinik tidak menginginkannya.');
INSERT INTO `lang_definitions` VALUES (69410, 497, 14, 'Izinkan Debugging Bahasa');
INSERT INTO `lang_definitions` VALUES (69411, 500, 14, 'Izinkan Email');
INSERT INTO `lang_definitions` VALUES (69412, 501, 14, 'Izinkan pesan melalui email?');
INSERT INTO `lang_definitions` VALUES (69413, 502, 14, 'Izinkan Email?');
INSERT INTO `lang_definitions` VALUES (69414, 503, 14, 'Izinkan Klaim Konsultasi');
INSERT INTO `lang_definitions` VALUES (69415, 506, 14, 'Izinkan Pertukaran Informasi Kesehatan');
INSERT INTO `lang_definitions` VALUES (69416, 507, 14, 'Izinkan Berbagi Info Imunisasi');
INSERT INTO `lang_definitions` VALUES (69417, 508, 14, 'Izinkan Pertukaran Informasi Imunisasi');
INSERT INTO `lang_definitions` VALUES (69418, 509, 14, 'Izinkan Penggunaan Informasi Imunisasi');
INSERT INTO `lang_definitions` VALUES (69419, 512, 14, 'Izinkan Pesan Email');
INSERT INTO `lang_definitions` VALUES (69420, 516, 14, 'Izinkan Pemberitahuan');
INSERT INTO `lang_definitions` VALUES (69421, 533, 14, 'Izinkan Portal Pasien');
INSERT INTO `lang_definitions` VALUES (69422, 541, 14, 'Izinkan SMS');
INSERT INTO `lang_definitions` VALUES (69423, 542, 14, 'Izinkan Pesan Singkat (SMS)?');
INSERT INTO `lang_definitions` VALUES (69424, 544, 14, 'Izinkan pembuatan peristiwa yang akan dibuat aktif segera?');
INSERT INTO `lang_definitions` VALUES (69425, 545, 14, 'Izinkan pesan di telepon?');
INSERT INTO `lang_definitions` VALUES (69426, 546, 14, 'Izinkan untuk digunakan dengan basisdata ganda');
INSERT INTO `lang_definitions` VALUES (69427, 547, 14, 'Izinkan pengguna untuk mempublikasikan Kegiatan Global');
INSERT INTO `lang_definitions` VALUES (69428, 548, 14, 'Izinkan pengguna untuk mempublikasikan Kalender Pribadi');
INSERT INTO `lang_definitions` VALUES (69429, 554, 14, 'Izinkan Pesan suara');
INSERT INTO `lang_definitions` VALUES (69430, 555, 14, 'Diizinkan');
INSERT INTO `lang_definitions` VALUES (69431, 556, 14, 'Bahasa yang diizinkan');
INSERT INTO `lang_definitions` VALUES (69432, 558, 14, 'Diizinkan(c)');
INSERT INTO `lang_definitions` VALUES (69433, 561, 14, 'Izinkan Surat');
INSERT INTO `lang_definitions` VALUES (69434, 562, 14, 'Izinkan Pesan Suara');
INSERT INTO `lang_definitions` VALUES (69435, 566, 14, 'sudah ada.');
INSERT INTO `lang_definitions` VALUES (69436, 568, 14, 'sudah ada.');
INSERT INTO `lang_definitions` VALUES (69437, 569, 14, 'Telah diregistrasi');
INSERT INTO `lang_definitions` VALUES (69438, 570, 14, 'Telah digunakan, pilih identitas lain');
INSERT INTO `lang_definitions` VALUES (69439, 571, 14, 'Telah digunakan, pilih gelar lain');
INSERT INTO `lang_definitions` VALUES (69440, 573, 14, 'Alamat Lain');
INSERT INTO `lang_definitions` VALUES (69441, 577, 14, 'ubah');
INSERT INTO `lang_definitions` VALUES (69442, 584, 14, 'Sebagai alternatif, Anda dapat menggunakan halaman pencarian untuk mengupload sebuah uang elektronik (X12 835) file yang telah diperoleh dari pembayar atau clearinghouse. Anda dapat melakukannya dengan mengklik tombol Browse dan memilih file untuk di-upload, kemudian klik Cari untuk melakukan upload dan menampilkan tagihan yang sesuai. Dalam hal ini parameter yang lain yang disebutkan di atas tidak berlaku dan akan diabaikan. Mengupload menyimpan file tetapi belum memproses isinya - yang dilakukan secara terpisah seperti yang dijelaskan di bawah ini.');
INSERT INTO `lang_definitions` VALUES (69443, 586, 14, 'AM');
INSERT INTO `lang_definitions` VALUES (69444, 587, 14, 'Program AM');
INSERT INTO `lang_definitions` VALUES (69445, 588, 14, 'Ambliopia');
INSERT INTO `lang_definitions` VALUES (69446, 589, 14, 'Ambulans - Udara atau Air');
INSERT INTO `lang_definitions` VALUES (69447, 590, 14, 'Ambulans - Darat');
INSERT INTO `lang_definitions` VALUES (69448, 591, 14, 'Pusat Bedah Sehari');
INSERT INTO `lang_definitions` VALUES (69449, 592, 14, 'AMC');
INSERT INTO `lang_definitions` VALUES (69450, 593, 14, 'Pelacakan AMC');
INSERT INTO `lang_definitions` VALUES (69451, 600, 14, 'Mengubah Catatan yang Ada');
INSERT INTO `lang_definitions` VALUES (69452, 610, 14, 'Indian Amerika');
INSERT INTO `lang_definitions` VALUES (69453, 611, 14, 'Indian Amerika atau Alaska Asli');
INSERT INTO `lang_definitions` VALUES (69454, 612, 14, 'AMEX');
INSERT INTO `lang_definitions` VALUES (69455, 613, 14, 'Amharik');
INSERT INTO `lang_definitions` VALUES (69456, 614, 14, 'Jumlah');
INSERT INTO `lang_definitions` VALUES (69457, 617, 14, 'Jumlah Biaya');
INSERT INTO `lang_definitions` VALUES (69458, 620, 14, 'Jumlah Saldo Akhir');
INSERT INTO `lang_definitions` VALUES (69459, 621, 14, 'Jumlah Kunjungan Ini');
INSERT INTO `lang_definitions` VALUES (69460, 622, 14, 'Jumlah Dibayar');
INSERT INTO `lang_definitions` VALUES (69461, 623, 14, 'Jumlah:');
INSERT INTO `lang_definitions` VALUES (69462, 624, 14, 'Amplitudo');
INSERT INTO `lang_definitions` VALUES (69463, 626, 14, 'Jml Tagihan');
INSERT INTO `lang_definitions` VALUES (69464, 630, 14, 'Batas waktu akhir diperlukan untuk kegiatan berulang!');
INSERT INTO `lang_definitions` VALUES (69465, 632, 14, 'Terjadi masalah saat membuka susunan direktori web OpenEMR');
INSERT INTO `lang_definitions` VALUES (69466, 633, 14, 'Terjadi masalah saat membuka susunan direktori phpGACL');
INSERT INTO `lang_definitions` VALUES (69467, 634, 14, 'Terjadi masalah saat membuka susunan direktori SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (69468, 638, 14, 'Isu GCAC yang tidak lengkap telah dibuat dan terhubung. Perlu seseorang untuk menyempurnakannya kemudian.');
INSERT INTO `lang_definitions` VALUES (69469, 644, 14, 'Masalah tak terduga telah terjadi');
INSERT INTO `lang_definitions` VALUES (69470, 646, 14, 'Huruf besar');
INSERT INTO `lang_definitions` VALUES (69471, 648, 14, 'dan');
INSERT INTO `lang_definitions` VALUES (69472, 649, 14, 'Dan');
INSERT INTO `lang_definitions` VALUES (69473, 650, 14, 'DAN');
INSERT INTO `lang_definitions` VALUES (69474, 651, 14, 'dan');
INSERT INTO `lang_definitions` VALUES (69475, 652, 14, 'Dan semua data subordinat? Tindakan ini akan dicatat');
INSERT INTO `lang_definitions` VALUES (69476, 653, 14, 'dan pengubah');
INSERT INTO `lang_definitions` VALUES (69477, 654, 14, 'dan diproses.');
INSERT INTO `lang_definitions` VALUES (69478, 656, 14, 'dan restart Apache Server');
INSERT INTO `lang_definitions` VALUES (69479, 657, 14, 'dan Alasannya adalah');
INSERT INTO `lang_definitions` VALUES (69480, 659, 14, 'Anemia');
INSERT INTO `lang_definitions` VALUES (69481, 660, 14, 'Pergelangan Kaki');
INSERT INTO `lang_definitions` VALUES (69482, 661, 14, 'Pergelangan Kaki + Tumit');
INSERT INTO `lang_definitions` VALUES (69483, 662, 14, 'Formulir Evaluasi Pergelangan Kaki');
INSERT INTO `lang_definitions` VALUES (69484, 663, 14, 'Masalah Pergelangan Kaki');
INSERT INTO `lang_definitions` VALUES (69485, 664, 14, 'Ankylosing Sondlilitis');
INSERT INTO `lang_definitions` VALUES (69486, 665, 14, 'Ankylosing Spondlilitis');
INSERT INTO `lang_definitions` VALUES (69487, 666, 14, 'Anoreksia');
INSERT INTO `lang_definitions` VALUES (69488, 667, 14, 'Satu hal yang dapat Anda lakukan di jendela posting adalah permintaan tagihan kedua. Jika Anda memilih kotak centang sebelum menyimpannya, maka klaim asli akan dibuka kembali dan antri di halaman Penagihan, dan akan diproses selama menjalankan penagihan berikutnya.');
INSERT INTO `lang_definitions` VALUES (69489, 671, 14, 'Sebelum');
INSERT INTO `lang_definitions` VALUES (69490, 675, 14, 'ant{{anterior}}');
INSERT INTO `lang_definitions` VALUES (69491, 676, 14, 'Anus nl, tidak ada nyeri dubur / massa');
INSERT INTO `lang_definitions` VALUES (69492, 677, 14, 'Kegelisahan/Keluhan');
INSERT INTO `lang_definitions` VALUES (69493, 678, 14, 'apapun');
INSERT INTO `lang_definitions` VALUES (69494, 679, 14, 'Apapun');
INSERT INTO `lang_definitions` VALUES (69495, 682, 14, 'Semua Kategori');
INSERT INTO `lang_definitions` VALUES (69496, 688, 14, 'Bagian dari kode yang dikehendaki atau deskripsinya');
INSERT INTO `lang_definitions` VALUES (69497, 689, 14, 'Bagian dari yang dikehendaki khusus');
INSERT INTO `lang_definitions` VALUES (69498, 690, 14, 'Bagian dari ID atau nama obat-obatan');
INSERT INTO `lang_definitions` VALUES (69499, 691, 14, 'Bagian dari ID atau nama imunisasi');
INSERT INTO `lang_definitions` VALUES (69500, 692, 14, 'Bagian dari nama pasien, atau \"belakang,depan\", atau \"X-Y\"');
INSERT INTO `lang_definitions` VALUES (69501, 699, 14, 'API key untuk SMS Gateway');
INSERT INTO `lang_definitions` VALUES (69502, 703, 14, 'Apnea');
INSERT INTO `lang_definitions` VALUES (69503, 710, 14, 'Tampilan');
INSERT INTO `lang_definitions` VALUES (69504, 711, 14, 'Penampilan:');
INSERT INTO `lang_definitions` VALUES (69505, 714, 14, 'Menambahkan catatan ini');
INSERT INTO `lang_definitions` VALUES (69506, 716, 14, 'Menambahkan ke catatan yang sudah ada');
INSERT INTO `lang_definitions` VALUES (69507, 717, 14, 'Menambahkan ke catatan ini');
INSERT INTO `lang_definitions` VALUES (69508, 718, 14, 'Menambahkan ke Catatan Ini');
INSERT INTO `lang_definitions` VALUES (69509, 719, 14, 'Appendectomy (Pembedahan Usus Buntu)');
INSERT INTO `lang_definitions` VALUES (69510, 721, 14, 'Pasien Berlaku');
INSERT INTO `lang_definitions` VALUES (69511, 722, 14, 'Aplikasi');
INSERT INTO `lang_definitions` VALUES (69512, 723, 14, 'Nama Aplikasi untuk halaman login dan judul halaman utama.');
INSERT INTO `lang_definitions` VALUES (69513, 724, 14, 'Kode Aplikasi Penerima (GS03 - jika kosong ISA08 akan digunakan)');
INSERT INTO `lang_definitions` VALUES (69514, 725, 14, 'Kode Aplikasi Pengirim (GS02)');
INSERT INTO `lang_definitions` VALUES (69515, 726, 14, 'Judul Aplikasi');
INSERT INTO `lang_definitions` VALUES (69516, 727, 14, 'Berlaku untuk formulir Vital dan Grafik Pertumbuhan');
INSERT INTO `lang_definitions` VALUES (69517, 729, 14, 'Terapkan perubahan pada peristiwa yang masih berlaku saja, pada hal ini dan semua kejadian di masa yang akan datang, atau pada semua kejadian?');
INSERT INTO `lang_definitions` VALUES (69518, 730, 14, 'diterapkan pada daerah yang sakit');
INSERT INTO `lang_definitions` VALUES (69519, 731, 14, 'diterapkan pada kulit');
INSERT INTO `lang_definitions` VALUES (69520, 732, 14, 'Diterapkan');
INSERT INTO `lang_definitions` VALUES (69521, 733, 14, 'Terapkan Patch pada situs');
INSERT INTO `lang_definitions` VALUES (69522, 734, 14, 'Janji');
INSERT INTO `lang_definitions` VALUES (69523, 736, 14, 'Tanggal Janji Temu');
INSERT INTO `lang_definitions` VALUES (69524, 742, 14, 'Ragam Tampilan Janji Temu');
INSERT INTO `lang_definitions` VALUES (69525, 744, 14, 'Aturan Pengingat Tanggal Janji Temu');
INSERT INTO `lang_definitions` VALUES (69526, 746, 14, 'Status janji temu');
INSERT INTO `lang_definitions` VALUES (69527, 747, 14, 'Status Janji Temu');
INSERT INTO `lang_definitions` VALUES (69528, 748, 14, 'Janji temu dalam');
INSERT INTO `lang_definitions` VALUES (69529, 749, 14, 'Warna Janji Temu/Peristiwa');
INSERT INTO `lang_definitions` VALUES (69530, 750, 14, 'Janji Temu');
INSERT INTO `lang_definitions` VALUES (69531, 751, 14, 'Janji Temu (tulis opsional)');
INSERT INTO `lang_definitions` VALUES (69532, 752, 14, 'Janji Temu (tulis,wsome opsional)');
INSERT INTO `lang_definitions` VALUES (69533, 758, 14, 'Janji Temu dan Konsultasi');
INSERT INTO `lang_definitions` VALUES (69534, 760, 14, 'Laporan Janji Temu');
INSERT INTO `lang_definitions` VALUES (69535, 761, 14, 'Laporan Janji Temu-Konsultasi');
INSERT INTO `lang_definitions` VALUES (69536, 764, 14, 'Menyetujui');
INSERT INTO `lang_definitions` VALUES (69537, 767, 14, 'Disetujui');
INSERT INTO `lang_definitions` VALUES (69538, 768, 14, 'Administrasi Kegiatan Disetujui');
INSERT INTO `lang_definitions` VALUES (69539, 774, 14, 'Appt-Enc (Janji Temu-Konsultasi)');
INSERT INTO `lang_definitions` VALUES (69540, 776, 14, 'Janji Temu');
INSERT INTO `lang_definitions` VALUES (69541, 779, 14, 'Apr');
INSERT INTO `lang_definitions` VALUES (69542, 780, 14, 'April');
INSERT INTO `lang_definitions` VALUES (69543, 782, 14, 'Bahasa Arab');
INSERT INTO `lang_definitions` VALUES (69544, 787, 14, 'Apakah nama grup kontrol akses akan diterjemahkan?');
INSERT INTO `lang_definitions` VALUES (69545, 788, 14, 'Apakah nama kategori janji temu akan diterjemahkan?');
INSERT INTO `lang_definitions` VALUES (69546, 789, 14, 'Apakah nama kategori dokumen akan diterjemahkan?');
INSERT INTO `lang_definitions` VALUES (69547, 790, 14, 'Apakah biaya akan dibebankan pada tipe ini?');
INSERT INTO `lang_definitions` VALUES (69548, 793, 14, 'Apakah judul catatan pasien akan diterjemahkan?');
INSERT INTO `lang_definitions` VALUES (69549, 794, 14, 'Apakah kode disimpan pada tabel eksternal sql (0-No, 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2))?');
INSERT INTO `lang_definitions` VALUES (69550, 795, 14, 'Anda siap untuk menyelesaikan isu baru GCAC untuk kunjungan ini?');
INSERT INTO `lang_definitions` VALUES (69551, 797, 14, 'Anda yakin menerbitkannya hari ini?');
INSERT INTO `lang_definitions` VALUES (69552, 798, 14, 'Anda yakin menyetujui kegiatan ini?');
INSERT INTO `lang_definitions` VALUES (69553, 801, 14, 'Anda yakin menyingkirkan formulir ini?');
INSERT INTO `lang_definitions` VALUES (69554, 804, 14, 'Anda yakin menghapus penyingkapan ini?');
INSERT INTO `lang_definitions` VALUES (69555, 805, 14, 'Anda yakin menghapus kegiatan ini?');
INSERT INTO `lang_definitions` VALUES (69556, 806, 14, 'Anda yakin menghapus item ini dari database?');
INSERT INTO `lang_definitions` VALUES (69557, 808, 14, 'Anda yakin menghapus catatan ini?');
INSERT INTO `lang_definitions` VALUES (69558, 810, 14, 'Anda yakin mengedit kegiatan ini?');
INSERT INTO `lang_definitions` VALUES (69559, 811, 14, 'Anda yakin menyembunyikan kegiatan ini?');
INSERT INTO `lang_definitions` VALUES (69560, 814, 14, 'Anda yakin ingin melihat kegiatan ini?');
INSERT INTO `lang_definitions` VALUES (69561, 815, 14, 'Apakah anda yakin menghapus seluruh grup dengan nama');
INSERT INTO `lang_definitions` VALUES (69562, 816, 14, 'Apakah anda yakin ingin menghapus seluruh daftar');
INSERT INTO `lang_definitions` VALUES (69563, 817, 14, 'Apakah anda yakin ingin menghapus bidang');
INSERT INTO `lang_definitions` VALUES (69564, 818, 14, 'Anda yakin menghapus kolom yang dipilih?');
INSERT INTO `lang_definitions` VALUES (69565, 819, 14, 'Anda yakin melanjutkan dengan tindakan ini?');
INSERT INTO `lang_definitions` VALUES (69566, 820, 14, 'Wilayah tidak dispesifikasikan');
INSERT INTO `lang_definitions` VALUES (69567, 821, 14, 'Lengan');
INSERT INTO `lang_definitions` VALUES (69568, 822, 14, 'Armenia');
INSERT INTO `lang_definitions` VALUES (69569, 829, 14, 'Arrythmia');
INSERT INTO `lang_definitions` VALUES (69570, 830, 14, 'Radang Sendi');
INSERT INTO `lang_definitions` VALUES (69571, 831, 14, 'Radang Sendi / penyakit sendi degen');
INSERT INTO `lang_definitions` VALUES (69572, 832, 14, 'Radang Sendi / penyakit sendi degen');
INSERT INTO `lang_definitions` VALUES (69573, 836, 14, 'sebagai');
INSERT INTO `lang_definitions` VALUES (69574, 838, 14, 'Pada');
INSERT INTO `lang_definitions` VALUES (69575, 845, 14, 'Asia');
INSERT INTO `lang_definitions` VALUES (69576, 848, 14, 'Penilaian');
INSERT INTO `lang_definitions` VALUES (69577, 853, 14, 'Ditugaskan Kepada');
INSERT INTO `lang_definitions` VALUES (69578, 854, 14, 'Asisten');
INSERT INTO `lang_definitions` VALUES (69579, 861, 14, 'Asma');
INSERT INTO `lang_definitions` VALUES (69580, 862, 14, 'pada');
INSERT INTO `lang_definitions` VALUES (69581, 863, 14, 'Diperlukan paling tidak satu parameter pencarian jika memilih Semua');
INSERT INTO `lang_definitions` VALUES (69582, 866, 14, 'Pada Navicular');
INSERT INTO `lang_definitions` VALUES (69583, 867, 14, 'Pada Navicular:');
INSERT INTO `lang_definitions` VALUES (69584, 868, 14, 'Regu Atletis/Keolahragaan');
INSERT INTO `lang_definitions` VALUES (69585, 870, 14, 'Atletis/Cedera');
INSERT INTO `lang_definitions` VALUES (69586, 871, 14, 'Sertifikat CA audit ATNA');
INSERT INTO `lang_definitions` VALUES (69587, 872, 14, 'Host audit ATNA');
INSERT INTO `lang_definitions` VALUES (69588, 873, 14, 'Sertifikat lokal audit ATNA');
INSERT INTO `lang_definitions` VALUES (69589, 874, 14, 'Port audit ATNA');
INSERT INTO `lang_definitions` VALUES (69590, 877, 14, 'Perhatian');
INSERT INTO `lang_definitions` VALUES (69591, 879, 14, 'Perhatian');
INSERT INTO `lang_definitions` VALUES (69592, 890, 14, 'Cadangan Audit Logging');
INSERT INTO `lang_definitions` VALUES (69593, 891, 14, 'Ragam Audit Logging');
INSERT INTO `lang_definitions` VALUES (69594, 892, 14, 'Urutan Audit Logging');
INSERT INTO `lang_definitions` VALUES (69595, 893, 14, 'Catatan Pasien Audit Logging');
INSERT INTO `lang_definitions` VALUES (69596, 894, 14, 'Penjadwalan Audit Logging');
INSERT INTO `lang_definitions` VALUES (69597, 895, 14, 'Keamanan Administrasi Audit Logging');
INSERT INTO `lang_definitions` VALUES (69598, 896, 14, 'Pemilihan Pertanyaan Audit Logging');
INSERT INTO `lang_definitions` VALUES (69599, 898, 14, 'Ags');
INSERT INTO `lang_definitions` VALUES (69600, 899, 14, 'Agustus');
INSERT INTO `lang_definitions` VALUES (69601, 901, 14, 'Auth');
INSERT INTO `lang_definitions` VALUES (69602, 902, 14, 'Auth / catatan');
INSERT INTO `lang_definitions` VALUES (69603, 922, 14, 'Grup yang berwenang');
INSERT INTO `lang_definitions` VALUES (69604, 923, 14, 'Status Kewenangan');
INSERT INTO `lang_definitions` VALUES (69605, 924, 14, 'Kewenangan');
INSERT INTO `lang_definitions` VALUES (69606, 925, 14, 'Mengizinkan');
INSERT INTO `lang_definitions` VALUES (69607, 926, 14, 'Izinkan - setiap pertemuan');
INSERT INTO `lang_definitions` VALUES (69608, 928, 14, 'Izinkan - pertemuan saya');
INSERT INTO `lang_definitions` VALUES (69609, 934, 14, 'Berwenang');
INSERT INTO `lang_definitions` VALUES (69610, 936, 14, 'Berwenang Saja');
INSERT INTO `lang_definitions` VALUES (69611, 941, 14, 'Kirim Otomatis');
INSERT INTO `lang_definitions` VALUES (69612, 944, 14, 'Pembuatan Otomatis Pertemuan Baru');
INSERT INTO `lang_definitions` VALUES (69613, 945, 14, 'Dihasilkan Otomatis');
INSERT INTO `lang_definitions` VALUES (69614, 947, 14, 'Perhitungan Ukuran Otomatis (AMC)');
INSERT INTO `lang_definitions` VALUES (69615, 952, 14, 'Pelacakan Perhitungan Ukuran Otomatis (AMC)');
INSERT INTO `lang_definitions` VALUES (69616, 953, 14, 'Pengukuran Otomatis (AMC)');
INSERT INTO `lang_definitions` VALUES (69617, 955, 14, 'Automatis');
INSERT INTO `lang_definitions` VALUES (69618, 959, 14, 'Secara otomatis membuat pertemuan baru ketika status janji-temu diatur menjadi \"@\" (tiba).');
INSERT INTO `lang_definitions` VALUES (69619, 962, 14, 'Kendaraan Medis');
INSERT INTO `lang_definitions` VALUES (69620, 964, 14, 'Menyimpan Otomatis');
INSERT INTO `lang_definitions` VALUES (69621, 967, 14, 'Kategori yang Tersedia');
INSERT INTO `lang_definitions` VALUES (69622, 971, 14, 'Waktu yang Tersedia');
INSERT INTO `lang_definitions` VALUES (69623, 976, 14, 'Rata-rata Bulanan');
INSERT INTO `lang_definitions` VALUES (69624, 980, 14, 'Avulsi/patah avulsi');
INSERT INTO `lang_definitions` VALUES (69625, 981, 14, 'Maleolus rusuk/sisi Avulsi');
INSERT INTO `lang_definitions` VALUES (69626, 982, 14, 'Maleolus ditengah-tengah Avulsi');
INSERT INTO `lang_definitions` VALUES (69627, 983, 14, 'Kesadaran Berbasis');
INSERT INTO `lang_definitions` VALUES (69628, 985, 14, 'Aksila');
INSERT INTO `lang_definitions` VALUES (69629, 992, 14, 'b.i.d.');
INSERT INTO `lang_definitions` VALUES (69630, 993, 14, 'Kembali');
INSERT INTO `lang_definitions` VALUES (69631, 994, 14, 'kembali');
INSERT INTO `lang_definitions` VALUES (69632, 995, 14, 'Kembali delapan kunjungan');
INSERT INTO `lang_definitions` VALUES (69633, 996, 14, 'Kembali sebelas kunjungan');
INSERT INTO `lang_definitions` VALUES (69634, 997, 14, 'Kembali lima kunjungan');
INSERT INTO `lang_definitions` VALUES (69635, 998, 14, 'Kembali empat kunjungan');
INSERT INTO `lang_definitions` VALUES (69636, 999, 14, 'Kembali sembilan kunjungan');
INSERT INTO `lang_definitions` VALUES (69637, 1000, 14, 'Kembali satu kunjungan');
INSERT INTO `lang_definitions` VALUES (69638, 1001, 14, 'Sakit Punggung');
INSERT INTO `lang_definitions` VALUES (69639, 1002, 14, 'Masalah Punggung');
INSERT INTO `lang_definitions` VALUES (69640, 1003, 14, 'Kembali tujuh kunjungan');
INSERT INTO `lang_definitions` VALUES (69641, 1004, 14, 'Kembali enam kunjungan');
INSERT INTO `lang_definitions` VALUES (69642, 1005, 14, 'Bedah Punggung');
INSERT INTO `lang_definitions` VALUES (69643, 1006, 14, 'Kembali sepuluh kunjungan');
INSERT INTO `lang_definitions` VALUES (69644, 1007, 14, 'Kembali tiga kunjungan');
INSERT INTO `lang_definitions` VALUES (69645, 1013, 14, 'Kembali Ke Pasien');
INSERT INTO `lang_definitions` VALUES (69646, 1016, 14, 'Kembali Ke Tampilan');
INSERT INTO `lang_definitions` VALUES (69647, 1017, 14, 'Kembali dua belas kunjungan');
INSERT INTO `lang_definitions` VALUES (69648, 1018, 14, 'Kembali dua kunjungan');
INSERT INTO `lang_definitions` VALUES (69649, 1020, 14, 'Cadangan');
INSERT INTO `lang_definitions` VALUES (69650, 1022, 14, 'File backup elah dibuat. Sekarang akan dikirimkan untuk didownload.');
INSERT INTO `lang_definitions` VALUES (69651, 1024, 14, 'Backup/Cadangan telah berhasi diambil');
INSERT INTO `lang_definitions` VALUES (69652, 1025, 14, 'Pemeriksaan buruk');
INSERT INTO `lang_definitions` VALUES (69653, 1026, 14, 'Hutang buruk');
INSERT INTO `lang_definitions` VALUES (69654, 1027, 14, 'Bahasa Indonesia');
INSERT INTO `lang_definitions` VALUES (69655, 1028, 14, 'Saldo');
INSERT INTO `lang_definitions` VALUES (69656, 1031, 14, 'Saldo');
INSERT INTO `lang_definitions` VALUES (69657, 1032, 14, 'saldo');
INSERT INTO `lang_definitions` VALUES (69658, 1034, 14, 'Utang Saldo');
INSERT INTO `lang_definitions` VALUES (69659, 1038, 14, 'Draf Bank');
INSERT INTO `lang_definitions` VALUES (69660, 1042, 14, 'Dasar kelima (5.) Metarsal');
INSERT INTO `lang_definitions` VALUES (69661, 1043, 14, 'Dasar kelima (5.) Metarsal:');
INSERT INTO `lang_definitions` VALUES (69662, 1051, 14, 'Alat Komunikasi Batch');
INSERT INTO `lang_definitions` VALUES (69663, 1053, 14, 'Entry Pembayaran Batch');
INSERT INTO `lang_definitions` VALUES (69664, 1054, 14, 'Batch Pembayaran');
INSERT INTO `lang_definitions` VALUES (69665, 1055, 14, 'Proses Batch dimulai; hal ini dapat memakan waktu cukup lama.');
INSERT INTO `lang_definitions` VALUES (69666, 1056, 14, 'Hasil Batch');
INSERT INTO `lang_definitions` VALUES (69667, 1057, 14, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (69668, 1063, 14, 'karena id yang dimaksud belum ada.');
INSERT INTO `lang_definitions` VALUES (69669, 1072, 14, 'Mulai');
INSERT INTO `lang_definitions` VALUES (69670, 1074, 14, 'Tanggal Mulai');
INSERT INTO `lang_definitions` VALUES (69671, 1077, 14, 'Mulai tanggal layanan yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (69672, 1078, 14, 'Waktu mulai pada hari dalam event kalender.');
INSERT INTO `lang_definitions` VALUES (69673, 1082, 14, 'Bersendawa');
INSERT INTO `lang_definitions` VALUES (69674, 1086, 14, 'Bengali');
INSERT INTO `lang_definitions` VALUES (69675, 1089, 14, 'antara');
INSERT INTO `lang_definitions` VALUES (69676, 1095, 14, 'Bilateral');
INSERT INTO `lang_definitions` VALUES (69677, 1096, 14, 'Bilateral:');
INSERT INTO `lang_definitions` VALUES (69678, 1099, 14, 'Tanggal tagihan:');
INSERT INTO `lang_definitions` VALUES (69679, 1101, 14, 'Tagihan');
INSERT INTO `lang_definitions` VALUES (69680, 1102, 14, 'Ditagih');
INSERT INTO `lang_definitions` VALUES (69681, 1104, 14, 'Penagihan');
INSERT INTO `lang_definitions` VALUES (69682, 1105, 14, 'Penagihan (tulis opsional)');
INSERT INTO `lang_definitions` VALUES (69683, 1109, 14, 'Atensi Penagihan');
INSERT INTO `lang_definitions` VALUES (69684, 1111, 14, 'Kode penagihan untuk Layanan yang Diminta');
INSERT INTO `lang_definitions` VALUES (69685, 1112, 14, 'Kode Penagihan');
INSERT INTO `lang_definitions` VALUES (69686, 1113, 14, 'Data Tagihan');
INSERT INTO `lang_definitions` VALUES (69687, 1114, 14, 'Departemen/Bagian Penagihan');
INSERT INTO `lang_definitions` VALUES (69688, 1115, 14, 'Fasilitas Tagihan');
INSERT INTO `lang_definitions` VALUES (69689, 1117, 14, 'Informasi Tagihan');
INSERT INTO `lang_definitions` VALUES (69690, 1118, 14, 'Lokasi Penagihan');
INSERT INTO `lang_definitions` VALUES (69691, 1125, 14, 'Pengelola Tagihan');
INSERT INTO `lang_definitions` VALUES (69692, 1126, 14, 'Catatan Tagihan');
INSERT INTO `lang_definitions` VALUES (69693, 1127, 14, 'Catatan Tagihan untuk');
INSERT INTO `lang_definitions` VALUES (69694, 1128, 14, 'Catatan Tagihan:');
INSERT INTO `lang_definitions` VALUES (69695, 1130, 14, 'Hasil antrian Tagihan:');
INSERT INTO `lang_definitions` VALUES (69696, 1131, 14, 'Laporan Tagihan');
INSERT INTO `lang_definitions` VALUES (69697, 1133, 14, 'Status Tagihan = Belum ditagih');
INSERT INTO `lang_definitions` VALUES (69698, 1134, 14, 'penagihan ke');
INSERT INTO `lang_definitions` VALUES (69699, 1138, 14, 'Biopsi');
INSERT INTO `lang_definitions` VALUES (69700, 1140, 14, 'Tanggal Lahir');
INSERT INTO `lang_definitions` VALUES (69701, 1144, 14, 'Hitam');
INSERT INTO `lang_definitions` VALUES (69702, 1147, 14, 'Paru-paru hitam');
INSERT INTO `lang_definitions` VALUES (69703, 1148, 14, 'Kulit Hitam atau Afrika Amerika');
INSERT INTO `lang_definitions` VALUES (69704, 1149, 14, 'Kanker kandung kemih');
INSERT INTO `lang_definitions` VALUES (69705, 1150, 14, 'Infeksi kandung kemih');
INSERT INTO `lang_definitions` VALUES (69706, 1152, 14, 'Formulir Kosong');
INSERT INTO `lang_definitions` VALUES (69707, 1153, 14, 'Masalah Pendarahan');
INSERT INTO `lang_definitions` VALUES (69708, 1154, 14, 'Titik Buta');
INSERT INTO `lang_definitions` VALUES (69709, 1156, 14, 'Kembung');
INSERT INTO `lang_definitions` VALUES (69710, 1158, 14, 'Diblokir');
INSERT INTO `lang_definitions` VALUES (69711, 1159, 14, 'Darah');
INSERT INTO `lang_definitions` VALUES (69712, 1160, 14, 'Tekanan Darah');
INSERT INTO `lang_definitions` VALUES (69713, 1161, 14, 'Tekanan darah');
INSERT INTO `lang_definitions` VALUES (69714, 1162, 14, 'Hidung Berdarah');
INSERT INTO `lang_definitions` VALUES (69715, 1163, 14, 'Blue Cross Blue Shield (Garis dan Perisai Biru)');
INSERT INTO `lang_definitions` VALUES (69716, 1165, 14, 'Garis biru dalam laporan ini adalah informasi. Garis hitam menunjukkan informasi yang sebelumnya ada. Garis hijau menunjukkan perubahan yang telah berhasil. Garis merah menunjukkan kesalahan atau perubahan yang tidak diterapkan, ini harus diproses secara manual. Pembantahan klaim sekarang dan pengembalian pembayaran tidak ditangani secara otomatis dan akan muncul dalam warna merah.');
INSERT INTO `lang_definitions` VALUES (69717, 1166, 14, 'Penglihatan Kabur');
INSERT INTO `lang_definitions` VALUES (69718, 1167, 14, 'IMT');
INSERT INTO `lang_definitions` VALUES (69719, 1168, 14, 'Status IMT');
INSERT INTO `lang_definitions` VALUES (69720, 1169, 14, 'Tubuh');
INSERT INTO `lang_definitions` VALUES (69721, 1170, 14, 'Regio Tubuh');
INSERT INTO `lang_definitions` VALUES (69722, 1171, 14, 'Situs Badan/Lembaga');
INSERT INTO `lang_definitions` VALUES (69723, 1172, 14, 'Situs Badan/Lembaga, jika berlaku');
INSERT INTO `lang_definitions` VALUES (69724, 1173, 14, 'Kesakitan tulang:');
INSERT INTO `lang_definitions` VALUES (69725, 1174, 14, 'Kesakitan tulang: Malleolus di tengah-tengah');
INSERT INTO `lang_definitions` VALUES (69726, 1175, 14, 'Boolean');
INSERT INTO `lang_definitions` VALUES (69727, 1176, 14, 'Bosnia');
INSERT INTO `lang_definitions` VALUES (69728, 1177, 14, 'Dasar');
INSERT INTO `lang_definitions` VALUES (69729, 1178, 14, 'Keduanya');
INSERT INTO `lang_definitions` VALUES (69730, 1179, 14, 'Kedua Telinga');
INSERT INTO `lang_definitions` VALUES (69731, 1180, 14, 'kedua telinga');
INSERT INTO `lang_definitions` VALUES (69732, 1183, 14, 'Dasar');
INSERT INTO `lang_definitions` VALUES (69733, 1187, 14, 'BOX 10 A. Pekerjaan yang berhubungan');
INSERT INTO `lang_definitions` VALUES (69734, 1189, 14, 'BOX 10 B. Kecelakaan secara otomatis');
INSERT INTO `lang_definitions` VALUES (69735, 1191, 14, 'BOX 10 C. Kecelakaan Lainnya');
INSERT INTO `lang_definitions` VALUES (69736, 1205, 14, 'BOX 15. Tanggal dari penyakit yang sama atau mirip (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (69737, 1211, 14, 'BOX 16. Tanggal tidak dapat bekerja dari (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (69738, 1215, 14, 'BOX 16. Tanggal tidak dapat bekerja untuk (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (69739, 1227, 14, 'BOX 18. Rawat inap dari tanggal (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (69740, 1231, 14, 'BOX 18. Rawat inap ke tanggal (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (69741, 1235, 14, 'BOX 20. Apakah lab luar digunakan?');
INSERT INTO `lang_definitions` VALUES (69742, 1239, 14, 'BOX 22. Medicaid Resubmission Kode (ICD-9)');
INSERT INTO `lang_definitions` VALUES (69743, 1243, 14, 'BOX 23. Nomor Otorisasi Sebelumnya');
INSERT INTO `lang_definitions` VALUES (69744, 1244, 14, 'BP');
INSERT INTO `lang_definitions` VALUES (69745, 1245, 14, 'Tekanan Diastolik');
INSERT INTO `lang_definitions` VALUES (69746, 1246, 14, 'Tekanan Sistolik');
INSERT INTO `lang_definitions` VALUES (69747, 1248, 14, 'Bpd');
INSERT INTO `lang_definitions` VALUES (69748, 1252, 14, 'Bps');
INSERT INTO `lang_definitions` VALUES (69749, 1254, 14, 'Portugis Brasil');
INSERT INTO `lang_definitions` VALUES (69750, 1255, 14, 'Dada');
INSERT INTO `lang_definitions` VALUES (69751, 1256, 14, 'Biopsi Payudara');
INSERT INTO `lang_definitions` VALUES (69752, 1257, 14, 'Pelepasan Payudara');
INSERT INTO `lang_definitions` VALUES (69753, 1258, 14, 'Penyakit payudara');
INSERT INTO `lang_definitions` VALUES (69754, 1259, 14, 'Pemeriksaan Payudara');
INSERT INTO `lang_definitions` VALUES (69755, 1260, 14, 'Gumpalan Payudara');
INSERT INTO `lang_definitions` VALUES (69756, 1262, 14, 'Suara Nafas:');
INSERT INTO `lang_definitions` VALUES (69757, 1265, 14, 'Patah Tulang');
INSERT INTO `lang_definitions` VALUES (69758, 1267, 14, 'Bentuk Bronkitis');
INSERT INTO `lang_definitions` VALUES (69759, 1270, 14, 'Telusuri');
INSERT INTO `lang_definitions` VALUES (69760, 1271, 14, 'Telusuri Catatan');
INSERT INTO `lang_definitions` VALUES (69761, 1272, 14, 'Memar/lebam');
INSERT INTO `lang_definitions` VALUES (69762, 1276, 14, 'Menonjol Kanan:');
INSERT INTO `lang_definitions` VALUES (69763, 1278, 14, 'Rasa Panas saat Buang Air Kecil');
INSERT INTO `lang_definitions` VALUES (69764, 1279, 14, 'Rasa Panas Saat Buang Air Kecil');
INSERT INTO `lang_definitions` VALUES (69765, 1282, 14, 'Sibuk');
INSERT INTO `lang_definitions` VALUES (69766, 1283, 14, 'namun belum diproses.');
INSERT INTO `lang_definitions` VALUES (69767, 1284, 14, 'Pantat');
INSERT INTO `lang_definitions` VALUES (69768, 1285, 14, 'Pantat + S.I.');
INSERT INTO `lang_definitions` VALUES (69769, 1286, 14, 'oleh');
INSERT INTO `lang_definitions` VALUES (69770, 1287, 14, 'Oleh');
INSERT INTO `lang_definitions` VALUES (69771, 1293, 14, 'oleh mulut');
INSERT INTO `lang_definitions` VALUES (69772, 1295, 14, 'Oleh/Sumber');
INSERT INTO `lang_definitions` VALUES (69773, 1296, 14, 'Oleh:');
INSERT INTO `lang_definitions` VALUES (69774, 1299, 14, 'C');
INSERT INTO `lang_definitions` VALUES (69775, 1301, 14, 'Sertifikat CA untuk memverifikasi RFC 5425 syslog server TLS.');
INSERT INTO `lang_definitions` VALUES (69776, 1302, 14, 'Lifetime Cache (dalam detik)');
INSERT INTO `lang_definitions` VALUES (69777, 1303, 14, 'Template output cache?');
INSERT INTO `lang_definitions` VALUES (69778, 1305, 14, 'Konsumsi kafein');
INSERT INTO `lang_definitions` VALUES (69779, 1306, 14, 'Kalender');
INSERT INTO `lang_definitions` VALUES (69780, 1307, 14, 'Waktu Akhir Kalender');
INSERT INTO `lang_definitions` VALUES (69781, 1308, 14, 'Selang/Interval Kalender');
INSERT INTO `lang_definitions` VALUES (69782, 1309, 14, 'Layar/Monitor Kalender');
INSERT INTO `lang_definitions` VALUES (69783, 1310, 14, 'Pengaturan Kalender');
INSERT INTO `lang_definitions` VALUES (69784, 1312, 14, 'Waktu Mulai Kalender');
INSERT INTO `lang_definitions` VALUES (69785, 1313, 14, 'UI (Interface Pengguna) Kalender');
INSERT INTO `lang_definitions` VALUES (69786, 1314, 14, 'Lihat kalender');
INSERT INTO `lang_definitions` VALUES (69787, 1317, 14, 'Panggilan ke addForm () di sini. <br>');
INSERT INTO `lang_definitions` VALUES (69788, 1321, 14, 'Kalori');
INSERT INTO `lang_definitions` VALUES (69789, 1322, 14, 'Kamboja');
INSERT INTO `lang_definitions` VALUES (69790, 1323, 14, 'CAMOS');
INSERT INTO `lang_definitions` VALUES (69791, 1326, 14, 'Tidak menemukan berkas!');
INSERT INTO `lang_definitions` VALUES (69792, 1327, 14, 'Tidak dapat mengunggah');
INSERT INTO `lang_definitions` VALUES (69793, 1328, 14, 'Kanada');
INSERT INTO `lang_definitions` VALUES (69794, 1329, 14, 'Batal');
INSERT INTO `lang_definitions` VALUES (69795, 1330, 14, 'batal');
INSERT INTO `lang_definitions` VALUES (69796, 1332, 14, 'Batalkan Perubahan');
INSERT INTO `lang_definitions` VALUES (69797, 1333, 14, 'Dibatalkan');
INSERT INTO `lang_definitions` VALUES (69798, 1334, 14, 'Dibatalkan < 24j');
INSERT INTO `lang_definitions` VALUES (69799, 1335, 14, 'Kanker');
INSERT INTO `lang_definitions` VALUES (69800, 1336, 14, 'Penyaringan Kanker: Penyaringan Kanker Usus Besar');
INSERT INTO `lang_definitions` VALUES (69801, 1337, 14, 'Penyaringan Kanker: Mammogram');
INSERT INTO `lang_definitions` VALUES (69802, 1338, 14, 'Penyaringan Kanker: Pap Smear');
INSERT INTO `lang_definitions` VALUES (69803, 1339, 14, 'Penyaringan Kanker: Penyaringan Kanker Prostat');
INSERT INTO `lang_definitions` VALUES (69804, 1340, 14, 'Tidak dapat menambahkan karena data ini sudah ada!');
INSERT INTO `lang_definitions` VALUES (69805, 1341, 14, 'Tidak dapat menambahkan atau memperbarui karena duplikat data sudah ada!');
INSERT INTO `lang_definitions` VALUES (69806, 1343, 14, 'tidak dapat dikonversi ke JPEG. ImageMagick mungkin tidak diinstal?');
INSERT INTO `lang_definitions` VALUES (69807, 1345, 14, 'tidak dapat ditampilkan inline karena jenis ini tidak didukung oleh browser.');
INSERT INTO `lang_definitions` VALUES (69808, 1346, 14, 'tidak dapat ditampilkan inline karena jenis ini tidak didukung oleh browser');
INSERT INTO `lang_definitions` VALUES (69809, 1347, 14, 'tidak dapat ditampilkan inline karena jenis ini tidak didukung oleh browser.');
INSERT INTO `lang_definitions` VALUES (69810, 1349, 14, 'Tidak dapat membuat');
INSERT INTO `lang_definitions` VALUES (69811, 1354, 14, 'Tidak dapat menemukan');
INSERT INTO `lang_definitions` VALUES (69812, 1355, 14, 'Tidak dapat menemukan tempat tujuan dari nama file');
INSERT INTO `lang_definitions` VALUES (69813, 1358, 14, 'Tidak bisa menemukan pasien dari SQL-Ledger id pelanggan');
INSERT INTO `lang_definitions` VALUES (69814, 1359, 14, 'Tidak dapat menemukan kata-kata dalam dokumen acuan');
INSERT INTO `lang_definitions` VALUES (69815, 1360, 14, 'Tidak dapat menemukan selular dari SQL-Ledger karyawan =');
INSERT INTO `lang_definitions` VALUES (69816, 1361, 14, 'Tidak dapat Mengubah Pembayaran. Undistributed ditolak.');
INSERT INTO `lang_definitions` VALUES (69817, 1363, 14, 'Tidak bisa membuka');
INSERT INTO `lang_definitions` VALUES (69818, 1364, 14, 'Tidak bisa Mencatat untuk Asuransi. Entitas Pembayaran yang dipilih adalah Pasien.');
INSERT INTO `lang_definitions` VALUES (69819, 1365, 14, 'Tidak bisa Mencatat untuk Pasien. Entitas Pembayaran yang dipilih adalah Asuransi.');
INSERT INTO `lang_definitions` VALUES (69820, 1366, 14, 'Tidak bisa Mencatat Pembayaran. Undistributed ditolak.');
INSERT INTO `lang_definitions` VALUES (69821, 1367, 14, 'Tidak bisa membaca');
INSERT INTO `lang_definitions` VALUES (69822, 1368, 14, 'Tidak bisa membaca direktori');
INSERT INTO `lang_definitions` VALUES (69823, 1369, 14, 'Tidak dapat diperbarui karena Anda tidak mengedit catatan yang ada!');
INSERT INTO `lang_definitions` VALUES (69824, 1370, 14, 'Huruf Besar');
INSERT INTO `lang_definitions` VALUES (69825, 1372, 14, 'kapsul');
INSERT INTO `lang_definitions` VALUES (69826, 1373, 14, 'Kartu');
INSERT INTO `lang_definitions` VALUES (69827, 1382, 14, 'Kateterisasi Jantung');
INSERT INTO `lang_definitions` VALUES (69828, 1383, 14, 'Jantung Nemo');
INSERT INTO `lang_definitions` VALUES (69829, 1384, 14, 'Kardiovaskular');
INSERT INTO `lang_definitions` VALUES (69830, 1396, 14, 'Tulang rawan / chondral / kerusakan sendi');
INSERT INTO `lang_definitions` VALUES (69831, 1397, 14, 'Cedera tulang rawan');
INSERT INTO `lang_definitions` VALUES (69832, 1398, 14, 'Denyut Carotid(Pembuluh nadi kepala), denyut nadi');
INSERT INTO `lang_definitions` VALUES (69833, 1400, 14, 'uang tunai');
INSERT INTO `lang_definitions` VALUES (69834, 1401, 14, 'Uang Tunai');
INSERT INTO `lang_definitions` VALUES (69835, 1402, 14, 'Rec Tunai');
INSERT INTO `lang_definitions` VALUES (69836, 1403, 14, 'Penerimaan uang oleh Provider');
INSERT INTO `lang_definitions` VALUES (69837, 1406, 14, 'Bedah katarak');
INSERT INTO `lang_definitions` VALUES (69838, 1407, 14, 'Katarak');
INSERT INTO `lang_definitions` VALUES (69839, 1408, 14, 'Kategori');
INSERT INTO `lang_definitions` VALUES (69840, 1409, 14, 'Kategori untuk');
INSERT INTO `lang_definitions` VALUES (69841, 1410, 14, 'Kategori');
INSERT INTO `lang_definitions` VALUES (69842, 1411, 14, 'kategori');
INSERT INTO `lang_definitions` VALUES (69843, 1412, 14, 'Kategori');
INSERT INTO `lang_definitions` VALUES (69844, 1416, 14, 'Detail Kategori');
INSERT INTO `lang_definitions` VALUES (69845, 1417, 14, 'Batas Kategori');
INSERT INTO `lang_definitions` VALUES (69846, 1418, 14, 'Nama Kategori');
INSERT INTO `lang_definitions` VALUES (69847, 1419, 14, 'Nama kategori kosong');
INSERT INTO `lang_definitions` VALUES (69848, 1420, 14, 'Kategori/Judul');
INSERT INTO `lang_definitions` VALUES (69849, 1421, 14, 'Kaukasia/Kaukasus');
INSERT INTO `lang_definitions` VALUES (69850, 1422, 14, 'Alasan Penerimaan untuk Cetak Encounter/Info Provider Utama');
INSERT INTO `lang_definitions` VALUES (69851, 1444, 14, 'Seluler');
INSERT INTO `lang_definitions` VALUES (69852, 1445, 14, 'Telepon Seluler');
INSERT INTO `lang_definitions` VALUES (69853, 1447, 14, 'Nomor Telepon seluler');
INSERT INTO `lang_definitions` VALUES (69854, 1449, 14, 'Balai Sertifikasi');
INSERT INTO `lang_definitions` VALUES (69855, 1451, 14, 'Amerika Selatan/Tengah');
INSERT INTO `lang_definitions` VALUES (69856, 1452, 14, 'Lokasi file crt Pengijinan Sertifikat tidak boleh kosong');
INSERT INTO `lang_definitions` VALUES (69857, 1453, 14, 'Lokasi file kunci Pengijinan Sertifikat tidak boleh kosong');
INSERT INTO `lang_definitions` VALUES (69858, 1454, 14, 'Sertifikat untuk dikirimkan ke RFC 5425 TLS Syslog Server');
INSERT INTO `lang_definitions` VALUES (69859, 1455, 14, 'Sertifikat Pengguna');
INSERT INTO `lang_definitions` VALUES (69860, 1456, 14, 'Sertifikat');
INSERT INTO `lang_definitions` VALUES (69861, 1458, 14, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (69862, 1459, 14, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (69863, 1460, 14, 'mengubah');
INSERT INTO `lang_definitions` VALUES (69864, 1461, 14, 'Ubah');
INSERT INTO `lang_definitions` VALUES (69865, 1462, 14, 'Ubah Kegiatan');
INSERT INTO `lang_definitions` VALUES (69866, 1467, 14, 'Perubahan Penglihatan');
INSERT INTO `lang_definitions` VALUES (69867, 1468, 14, 'Perubahan Penglihatan');
INSERT INTO `lang_definitions` VALUES (69868, 1475, 14, 'Berubah');
INSERT INTO `lang_definitions` VALUES (69869, 1476, 14, 'Perubahan Usus');
INSERT INTO `lang_definitions` VALUES (69870, 1484, 14, 'Karakteristik');
INSERT INTO `lang_definitions` VALUES (69871, 1485, 14, 'Karakter yang Tersisa');
INSERT INTO `lang_definitions` VALUES (69872, 1486, 14, 'Biaya');
INSERT INTO `lang_definitions` VALUES (69873, 1487, 14, 'Pengaturan Biaya');
INSERT INTO `lang_definitions` VALUES (69874, 1490, 14, 'Biaya');
INSERT INTO `lang_definitions` VALUES (69875, 1491, 14, 'Bagan/Grafik');
INSERT INTO `lang_definitions` VALUES (69876, 1492, 14, 'Grafik Kegiatan');
INSERT INTO `lang_definitions` VALUES (69877, 1493, 14, 'Grafik Laporan Kegiatan Check-in/out');
INSERT INTO `lang_definitions` VALUES (69878, 1495, 14, 'ID Bagan:');
INSERT INTO `lang_definitions` VALUES (69879, 1496, 14, 'ID Bagan:');
INSERT INTO `lang_definitions` VALUES (69880, 1498, 14, 'Bagan Lokasi Kegiatan');
INSERT INTO `lang_definitions` VALUES (69881, 1499, 14, 'Catatan Bagan');
INSERT INTO `lang_definitions` VALUES (69882, 1500, 14, 'Nomor Bagan');
INSERT INTO `lang_definitions` VALUES (69883, 1502, 14, 'Lokasi Penyimpanan Bagan');
INSERT INTO `lang_definitions` VALUES (69884, 1504, 14, 'Bagan Tracker');
INSERT INTO `lang_definitions` VALUES (69885, 1505, 14, 'Bagan Trk');
INSERT INTO `lang_definitions` VALUES (69886, 1508, 14, 'Grafik Checked Out');
INSERT INTO `lang_definitions` VALUES (69887, 1509, 14, 'Grafik Keluar');
INSERT INTO `lang_definitions` VALUES (69888, 1513, 14, 'Periksa');
INSERT INTO `lang_definitions` VALUES (69889, 1514, 14, 'periksa');
INSERT INTO `lang_definitions` VALUES (69890, 1515, 14, 'Periksa Semua');
INSERT INTO `lang_definitions` VALUES (69891, 1517, 14, 'Periksa Jumlah');
INSERT INTO `lang_definitions` VALUES (69892, 1519, 14, 'Periksa Tanggal');
INSERT INTO `lang_definitions` VALUES (69893, 1521, 14, 'Periksa perbedaan terjemahan dengan tabel bahasa custom');
INSERT INTO `lang_definitions` VALUES (69894, 1527, 14, 'Check in ke');
INSERT INTO `lang_definitions` VALUES (69895, 1528, 14, 'Periksa Input Data');
INSERT INTO `lang_definitions` VALUES (69896, 1530, 14, 'Periksa Hasil Lab');
INSERT INTO `lang_definitions` VALUES (69897, 1533, 14, 'Periksa Nomor');
INSERT INTO `lang_definitions` VALUES (69898, 1536, 14, 'Periksa Pembayaran');
INSERT INTO `lang_definitions` VALUES (69899, 1537, 14, 'Centang jika ini adalah file yang terenkripsi');
INSERT INTO `lang_definitions` VALUES (69900, 1541, 14, 'Centang jika anda ingin provider/penyedia layanan untuk melihat semua janji-temu secara default.');
INSERT INTO `lang_definitions` VALUES (69901, 1545, 14, 'Centang/Tanggal EOB:');
INSERT INTO `lang_definitions` VALUES (69902, 1547, 14, 'Centang/No EOB:');
INSERT INTO `lang_definitions` VALUES (69903, 1548, 14, 'Centang/Nomor Ref');
INSERT INTO `lang_definitions` VALUES (69904, 1549, 14, 'Centang/Nomor Referensi');
INSERT INTO `lang_definitions` VALUES (69905, 1550, 14, 'Daftar checkbox');
INSERT INTO `lang_definitions` VALUES (69906, 1551, 14, 'daftar chcekbox');
INSERT INTO `lang_definitions` VALUES (69907, 1552, 14, 'checkbox w/(tulis) teks');
INSERT INTO `lang_definitions` VALUES (69908, 1553, 14, 'Checkbox w/(tulis) teks');
INSERT INTO `lang_definitions` VALUES (69909, 1557, 14, 'Dicentang');
INSERT INTO `lang_definitions` VALUES (69910, 1559, 14, 'Kotak dicentang = yes, kosong = tidak');
INSERT INTO `lang_definitions` VALUES (69911, 1568, 14, 'Pemeriksaan');
INSERT INTO `lang_definitions` VALUES (69912, 1569, 14, 'Checksum');
INSERT INTO `lang_definitions` VALUES (69913, 1570, 14, 'Dada');
INSERT INTO `lang_definitions` VALUES (69914, 1571, 14, 'Dada CTAB');
INSERT INTO `lang_definitions` VALUES (69915, 1572, 14, 'Sakit pada Dada');
INSERT INTO `lang_definitions` VALUES (69916, 1573, 14, 'Sakit pada Dada:');
INSERT INTO `lang_definitions` VALUES (69917, 1574, 14, 'Sakit pada Dada');
INSERT INTO `lang_definitions` VALUES (69918, 1576, 14, 'Chg');
INSERT INTO `lang_definitions` VALUES (69919, 1578, 14, 'Keluhan pada Kepala');
INSERT INTO `lang_definitions` VALUES (69920, 1581, 14, 'Anak');
INSERT INTO `lang_definitions` VALUES (69921, 1583, 14, 'Status Imunisasi Anak (CQM)');
INSERT INTO `lang_definitions` VALUES (69922, 1584, 14, 'Panas Dingin');
INSERT INTO `lang_definitions` VALUES (69923, 1585, 14, 'Cina');
INSERT INTO `lang_definitions` VALUES (69924, 1586, 14, 'Cina (Sederhana)');
INSERT INTO `lang_definitions` VALUES (69925, 1587, 14, 'Cina (Tradisional)');
INSERT INTO `lang_definitions` VALUES (69926, 1589, 14, 'Pilihan');
INSERT INTO `lang_definitions` VALUES (69927, 1590, 14, 'Kolesistektomi');
INSERT INTO `lang_definitions` VALUES (69928, 1592, 14, 'Kolesistektomi');
INSERT INTO `lang_definitions` VALUES (69929, 1593, 14, 'Pilih');
INSERT INTO `lang_definitions` VALUES (69930, 1596, 14, 'Pilih bagian dan klik item yang ada, kemudian di bagian lain, Anda akan melihat item terkait disorot, dan Anda dapat klik di bagian tersebut untuk menambahkan dan menghapus hubungan.');
INSERT INTO `lang_definitions` VALUES (69931, 1597, 14, 'Pilih Kriteria');
INSERT INTO `lang_definitions` VALUES (69932, 1605, 14, 'Pilih daftar');
INSERT INTO `lang_definitions` VALUES (69933, 1611, 14, 'Pilih format print untu laporan ini.');
INSERT INTO `lang_definitions` VALUES (69934, 1615, 14, 'Bronkitis Kronis');
INSERT INTO `lang_definitions` VALUES (69935, 1616, 14, 'Nyeri Sendi Kronis');
INSERT INTO `lang_definitions` VALUES (69936, 1617, 14, 'Penyakit Ginjal Kronis (CKD)');
INSERT INTO `lang_definitions` VALUES (69937, 1620, 14, 'Sinovitis kronis/efusi/nyeri sendi/encok');
INSERT INTO `lang_definitions` VALUES (69938, 1622, 14, 'Kronis/Berulang');
INSERT INTO `lang_definitions` VALUES (69939, 1625, 14, 'Sirosis Hati');
INSERT INTO `lang_definitions` VALUES (69940, 1626, 14, 'Sirosis Hati');
INSERT INTO `lang_definitions` VALUES (69941, 1627, 14, 'Kota');
INSERT INTO `lang_definitions` VALUES (69942, 1629, 14, 'Nama Kota');
INSERT INTO `lang_definitions` VALUES (69943, 1630, 14, 'Kota, Negara');
INSERT INTO `lang_definitions` VALUES (69944, 1631, 14, 'City, Zip Negara');
INSERT INTO `lang_definitions` VALUES (69945, 1633, 14, 'Kota/Negara');
INSERT INTO `lang_definitions` VALUES (69946, 1634, 14, 'Klaim');
INSERT INTO `lang_definitions` VALUES (69947, 1635, 14, 'Klaim');
INSERT INTO `lang_definitions` VALUES (69948, 1638, 14, 'Klaim tes telah berjalan');
INSERT INTO `lang_definitions` VALUES (69949, 1639, 14, 'Tipe Klaim');
INSERT INTO `lang_definitions` VALUES (69950, 1640, 14, 'Klaim telah dibuatkan pada berkas');
INSERT INTO `lang_definitions` VALUES (69951, 1641, 14, 'Klaim telah dibuatkan pada berkas');
INSERT INTO `lang_definitions` VALUES (69952, 1642, 14, 'Klaim');
INSERT INTO `lang_definitions` VALUES (69953, 1645, 14, 'Klasifikasi');
INSERT INTO `lang_definitions` VALUES (69954, 1646, 14, 'Bersih');
INSERT INTO `lang_definitions` VALUES (69955, 1651, 14, 'Hapus Semua');
INSERT INTO `lang_definitions` VALUES (69956, 1654, 14, 'Hapus Data HL7');
INSERT INTO `lang_definitions` VALUES (69957, 1655, 14, 'Hapus Pembenaran');
INSERT INTO `lang_definitions` VALUES (69958, 1659, 14, 'Hapus Smarty Cache');
INSERT INTO `lang_definitions` VALUES (69959, 1661, 14, 'Pembersihan info Kantor penerimaan cek antara bank yang diperlukan untuk pembuatan batch EDI 270.');
INSERT INTO `lang_definitions` VALUES (69960, 1662, 14, 'Nomor CLIA');
INSERT INTO `lang_definitions` VALUES (69961, 1663, 14, 'Klik');
INSERT INTO `lang_definitions` VALUES (69962, 1664, 14, 'Klik \'ekspor\' untuk mengekspor Kategori anda, Subkategori, data Konten ke file teks. Setiap kemiripan file ini terhadap file XML adalah murni tidak disengaja. Tag pembuka dan penutup harus berada pada baris yang sama, harus huruf kecil dan tanpa spasi. Untuk mengimpor, telusuri file dan klik \'impor\'. Jika datanya berbeda, akan bergabung denga data yang ada. Jika ada nama item yang sama, yang lama akan tetap ada dan yang baru akan disimpan dengan nomor yang ditambahkan terakhir.');
INSERT INTO `lang_definitions` VALUES (69963, 1667, 14, 'Klik sebuah tempat pada grafis untuk menambahkan penjelasan baru, klik lagi untuk menghapusnya');
INSERT INTO `lang_definitions` VALUES (69964, 1671, 14, 'Klik Download Sertifikat untuk mendownload sertifikat dalam berkas ssl.zip');
INSERT INTO `lang_definitions` VALUES (69965, 1672, 14, 'klik untuk lebih');
INSERT INTO `lang_definitions` VALUES (69966, 1678, 14, 'Klik disini');
INSERT INTO `lang_definitions` VALUES (69967, 1679, 14, 'Klik disini untuk menambahkan pasien baru');
INSERT INTO `lang_definitions` VALUES (69968, 1680, 14, 'Klik disini untuk menambahkan perubahan status cedera dan mengedit kegiatan harian');
INSERT INTO `lang_definitions` VALUES (69969, 1682, 14, 'Klik disini untuk memilih tanggal');
INSERT INTO `lang_definitions` VALUES (69970, 1683, 14, 'Klik disini untuk memilih tanggal dan waktu');
INSERT INTO `lang_definitions` VALUES (69971, 1684, 14, 'Klik disini untuk memilih tanggal mulai');
INSERT INTO `lang_definitions` VALUES (69972, 1707, 14, 'klik disini untuk mencari');
INSERT INTO `lang_definitions` VALUES (69973, 1710, 14, 'klik disini untuk memperbarui prioritas, kategori dan pengaturan panggilan');
INSERT INTO `lang_definitions` VALUES (69974, 1714, 14, 'Klik disini untuk melihat semua.');
INSERT INTO `lang_definitions` VALUES (69975, 1715, 14, 'Klik disini untuk melihat dan grafik');
INSERT INTO `lang_definitions` VALUES (69976, 1717, 14, 'Klik disini untuk melihat grafik tanda-tanda vital.');
INSERT INTO `lang_definitions` VALUES (69977, 1718, 14, 'Klik disini untuk melihat rincian pasien');
INSERT INTO `lang_definitions` VALUES (69978, 1719, 14, 'Klik disini untuk melihat semuanya.');
INSERT INTO `lang_definitions` VALUES (69979, 1723, 14, 'Klik tombol Instal untuk menginstal rilis database dari tanggal berikut');
INSERT INTO `lang_definitions` VALUES (69980, 1730, 14, 'Klik pada salah satu bagian waktu untuk meningkatkannya');
INSERT INTO `lang_definitions` VALUES (69981, 1751, 14, 'Klik Nama Pasien untuk Membuka File/Berkas Pasien');
INSERT INTO `lang_definitions` VALUES (69982, 1753, 14, 'Klik Refresh untuk melihat semua hasil, atau masukkan kriteria pencarian diatas untuk melihat hasil yang spesifik/tertentu.');
INSERT INTO `lang_definitions` VALUES (69983, 1779, 14, 'Klik untuk menambahkan komponen baru');
INSERT INTO `lang_definitions` VALUES (69984, 1780, 14, 'Klik untuk menambahkan konsultasi baru');
INSERT INTO `lang_definitions` VALUES (69985, 1785, 14, 'Klik untuk mendownload');
INSERT INTO `lang_definitions` VALUES (69986, 1786, 14, 'Klik untuk mengedit');
INSERT INTO `lang_definitions` VALUES (69987, 1788, 14, 'Klik untuk mengedit kegiatan ini');
INSERT INTO `lang_definitions` VALUES (69988, 1790, 14, 'Klik untuk menghasilkan laporan');
INSERT INTO `lang_definitions` VALUES (69989, 1800, 14, 'Klik untuk mencetak');
INSERT INTO `lang_definitions` VALUES (69990, 1801, 14, 'Klik untuk mendapatkan (tambah) banyak lot');
INSERT INTO `lang_definitions` VALUES (69991, 1805, 14, 'Klik untuk memilih');
INSERT INTO `lang_definitions` VALUES (69992, 1806, 14, 'Klik Untuk Memilih');
INSERT INTO `lang_definitions` VALUES (69993, 1808, 14, 'Klik untuk memilih kode standar industri untuk prosedur ini');
INSERT INTO `lang_definitions` VALUES (69994, 1811, 14, 'Klik untuk memilih kode prosedur opsional');
INSERT INTO `lang_definitions` VALUES (69995, 1813, 14, 'Klik untuk memilih atau mengubah kode CVX');
INSERT INTO `lang_definitions` VALUES (69996, 1814, 14, 'Klik untuk memilih atau mengubah diagnosa');
INSERT INTO `lang_definitions` VALUES (69997, 1815, 14, 'Klik untuk memilih atau mengubah kode layanan');
INSERT INTO `lang_definitions` VALUES (69998, 1816, 14, 'Klik untuk memilih pasien');
INSERT INTO `lang_definitions` VALUES (69999, 1817, 14, 'Klik untuk memilih kode yang terkait');
INSERT INTO `lang_definitions` VALUES (70000, 1819, 14, 'Klik untuk memilih layanan untuk melakukan jika hasil ini tidak normal');
INSERT INTO `lang_definitions` VALUES (70001, 1822, 14, 'Klik untuk memilih prosedur yang diinginkan');
INSERT INTO `lang_definitions` VALUES (70002, 1831, 14, 'Klik untuk melihat');
INSERT INTO `lang_definitions` VALUES (70003, 1833, 14, 'Klik untuk melihat atau mengedit');
INSERT INTO `lang_definitions` VALUES (70004, 1834, 14, 'Klik untuk melihat/mengedit');
INSERT INTO `lang_definitions` VALUES (70005, 1836, 14, 'Klik tombol Upgrade untuk mengupgrade rilis database dari tangal berikut');
INSERT INTO `lang_definitions` VALUES (70006, 1839, 14, 'Klik:');
INSERT INTO `lang_definitions` VALUES (70007, 1862, 14, 'Hari Masa Berlaku Sertifikat Klien');
INSERT INTO `lang_definitions` VALUES (70008, 1864, 14, 'Periode validasi sertifikat klien');
INSERT INTO `lang_definitions` VALUES (70009, 1865, 14, 'Keabsahan sertifikat klien harus angka yang valid/benar.');
INSERT INTO `lang_definitions` VALUES (70010, 1866, 14, 'Salinan Klien');
INSERT INTO `lang_definitions` VALUES (70011, 1869, 14, 'Ringkasan riwayat medis klien');
INSERT INTO `lang_definitions` VALUES (70012, 1873, 14, 'Profil Klien - Klien Baru');
INSERT INTO `lang_definitions` VALUES (70013, 1874, 14, 'Profil klien - Klien Unik');
INSERT INTO `lang_definitions` VALUES (70014, 1878, 14, 'Klien');
INSERT INTO `lang_definitions` VALUES (70015, 1879, 14, 'Klinik');
INSERT INTO `lang_definitions` VALUES (70016, 1880, 14, 'Salinan Klinik');
INSERT INTO `lang_definitions` VALUES (70017, 1881, 14, 'Catatan Harian Klinik');
INSERT INTO `lang_definitions` VALUES (70018, 1882, 14, 'ID Klinik');
INSERT INTO `lang_definitions` VALUES (70019, 1883, 14, 'Klinik');
INSERT INTO `lang_definitions` VALUES (70020, 1884, 14, 'Pengelola Pemberitahuan Aturan Keputusan Klinis');
INSERT INTO `lang_definitions` VALUES (70021, 1889, 14, 'Rencana Klinis');
INSERT INTO `lang_definitions` VALUES (70022, 1890, 14, 'Ukuran Kualitas Klinis (CQM)');
INSERT INTO `lang_definitions` VALUES (70023, 1893, 14, 'Pengingat Klinis');
INSERT INTO `lang_definitions` VALUES (70024, 1897, 14, 'Laporan Klinis');
INSERT INTO `lang_definitions` VALUES (70025, 1898, 14, 'Aturan Klinis Kategori Aksi');
INSERT INTO `lang_definitions` VALUES (70026, 1899, 14, 'Aturan Klinis Item Aksi');
INSERT INTO `lang_definitions` VALUES (70027, 1900, 14, 'Aturan Klinis Metode Filter');
INSERT INTO `lang_definitions` VALUES (70028, 1901, 14, 'Aturan Klinis Metode Sasaran');
INSERT INTO `lang_definitions` VALUES (70029, 1902, 14, 'Aturan Klinis');
INSERT INTO `lang_definitions` VALUES (70030, 1903, 14, 'Aturan Klinis Interval Usia');
INSERT INTO `lang_definitions` VALUES (70031, 1904, 14, 'Aturan Klinis Perbandingan');
INSERT INTO `lang_definitions` VALUES (70032, 1905, 14, 'Aturan Klinis Jenis Encounter');
INSERT INTO `lang_definitions` VALUES (70033, 1906, 14, 'Aturan Klinis Pengingat karena Pilihan');
INSERT INTO `lang_definitions` VALUES (70034, 1907, 14, 'Aturan Klinis Pengingat Inaktivasi Pilihan');
INSERT INTO `lang_definitions` VALUES (70035, 1908, 14, 'Aturan Klinis Interval Pengingat');
INSERT INTO `lang_definitions` VALUES (70036, 1909, 14, 'Aturan Klinis Metode Pengingat');
INSERT INTO `lang_definitions` VALUES (70037, 1910, 14, 'Aturan Klinis Interval Sasaran');
INSERT INTO `lang_definitions` VALUES (70038, 1911, 14, 'Sasaran klinis');
INSERT INTO `lang_definitions` VALUES (70039, 1915, 14, 'Dokter');
INSERT INTO `lang_definitions` VALUES (70040, 1916, 14, 'Duplikasi');
INSERT INTO `lang_definitions` VALUES (70041, 1917, 14, 'Duplikasi Kunjungan Sebelumnya');
INSERT INTO `lang_definitions` VALUES (70042, 1918, 14, 'Tutup');
INSERT INTO `lang_definitions` VALUES (70043, 1925, 14, 'tutup jendela');
INSERT INTO `lang_definitions` VALUES (70044, 1927, 14, 'Ditutup');
INSERT INTO `lang_definitions` VALUES (70045, 1928, 14, 'cm');
INSERT INTO `lang_definitions` VALUES (70046, 1931, 14, 'CMS 1500 Margin');
INSERT INTO `lang_definitions` VALUES (70047, 1940, 14, 'CMS ID');
INSERT INTO `lang_definitions` VALUES (70048, 1955, 14, 'CN2-12 intact');
INSERT INTO `lang_definitions` VALUES (70049, 1958, 14, 'Co Pay');
INSERT INTO `lang_definitions` VALUES (70050, 1959, 14, 'Co Pay dibayar');
INSERT INTO `lang_definitions` VALUES (70051, 1962, 14, 'CO-PAY');
INSERT INTO `lang_definitions` VALUES (70052, 1964, 14, 'Kode');
INSERT INTO `lang_definitions` VALUES (70053, 1965, 14, 'kode');
INSERT INTO `lang_definitions` VALUES (70054, 1967, 14, 'Kode Penemu');
INSERT INTO `lang_definitions` VALUES (70055, 1968, 14, 'Kode harus dua huruf kecil');
INSERT INTO `lang_definitions` VALUES (70056, 1969, 14, 'Kode atau simbol untuk mengindikasikan mata uang');
INSERT INTO `lang_definitions` VALUES (70057, 1971, 14, 'Teks Kode');
INSERT INTO `lang_definitions` VALUES (70058, 1973, 14, 'jenis kode');
INSERT INTO `lang_definitions` VALUES (70059, 1976, 14, 'Jenis Kode');
INSERT INTO `lang_definitions` VALUES (70060, 1978, 14, 'Dikode');
INSERT INTO `lang_definitions` VALUES (70061, 1979, 14, 'Kode');
INSERT INTO `lang_definitions` VALUES (70062, 1981, 14, 'Pengkodean');
INSERT INTO `lang_definitions` VALUES (70063, 1983, 14, 'Pengkodean - semua pertemuan (tulis,wsome opsional)');
INSERT INTO `lang_definitions` VALUES (70064, 1985, 14, 'Pengkodean - semua pertemuan (tulis,wsome opsional)');
INSERT INTO `lang_definitions` VALUES (70065, 1990, 14, 'Pengkodean tidak diizinkan');
INSERT INTO `lang_definitions` VALUES (70066, 1991, 14, 'Kopi');
INSERT INTO `lang_definitions` VALUES (70067, 1994, 14, 'Coinsurance');
INSERT INTO `lang_definitions` VALUES (70068, 1995, 14, 'Coll w/o');
INSERT INTO `lang_definitions` VALUES (70069, 1997, 14, 'Kempiskan');
INSERT INTO `lang_definitions` VALUES (70070, 1998, 14, 'kempiskan');
INSERT INTO `lang_definitions` VALUES (70071, 1999, 14, 'Kempiskan Semua');
INSERT INTO `lang_definitions` VALUES (70072, 2000, 14, 'Kempiskan semua');
INSERT INTO `lang_definitions` VALUES (70073, 2001, 14, 'kempiskan semua');
INSERT INTO `lang_definitions` VALUES (70074, 2007, 14, 'Koleksi');
INSERT INTO `lang_definitions` VALUES (70075, 2008, 14, 'Laporan Koleksi');
INSERT INTO `lang_definitions` VALUES (70076, 2009, 14, 'Kanker Usus Besar');
INSERT INTO `lang_definitions` VALUES (70077, 2010, 14, 'Penyaringan Kanker Usus Besar');
INSERT INTO `lang_definitions` VALUES (70078, 2011, 14, 'Pembedahan Kanker Usus Besar');
INSERT INTO `lang_definitions` VALUES (70079, 2012, 14, 'Colonoscopy');
INSERT INTO `lang_definitions` VALUES (70080, 2013, 14, 'colonoscopy');
INSERT INTO `lang_definitions` VALUES (70081, 2014, 14, 'Warna');
INSERT INTO `lang_definitions` VALUES (70082, 2020, 14, 'Warna:Abbr');
INSERT INTO `lang_definitions` VALUES (70083, 2021, 14, 'Kolom');
INSERT INTO `lang_definitions` VALUES (70084, 2022, 14, 'Kolom');
INSERT INTO `lang_definitions` VALUES (70085, 2024, 14, 'Menggabungkan Lot');
INSERT INTO `lang_definitions` VALUES (70086, 2025, 14, 'Koma');
INSERT INTO `lang_definitions` VALUES (70087, 2027, 14, 'Komentar');
INSERT INTO `lang_definitions` VALUES (70088, 2028, 14, 'Komentar');
INSERT INTO `lang_definitions` VALUES (70089, 2030, 14, 'Komentar untuk hasil dari rekomendasi ini');
INSERT INTO `lang_definitions` VALUES (70090, 2031, 14, 'Perusahaan Asuransi Komersial');
INSERT INTO `lang_definitions` VALUES (70091, 2032, 14, 'Lakukan Perubahan');
INSERT INTO `lang_definitions` VALUES (70092, 2036, 14, 'Komunikasi');
INSERT INTO `lang_definitions` VALUES (70093, 2039, 14, 'Perusahaan');
INSERT INTO `lang_definitions` VALUES (70094, 2040, 14, 'Nama Perusahaan');
INSERT INTO `lang_definitions` VALUES (70095, 2041, 14, 'Selesai');
INSERT INTO `lang_definitions` VALUES (70096, 2043, 14, 'Selesai');
INSERT INTO `lang_definitions` VALUES (70097, 2046, 14, 'Selesai?');
INSERT INTO `lang_definitions` VALUES (70098, 2049, 14, 'Komplikasi oleh Service Provider');
INSERT INTO `lang_definitions` VALUES (70099, 2050, 14, 'Komplikasi Aborsi');
INSERT INTO `lang_definitions` VALUES (70100, 2051, 14, 'Komponen');
INSERT INTO `lang_definitions` VALUES (70101, 2057, 14, 'Sistem Pengurutan Medis Dibantu Komputer');
INSERT INTO `lang_definitions` VALUES (70102, 2058, 14, 'Kesimpulan');
INSERT INTO `lang_definitions` VALUES (70103, 2064, 14, 'Konfigurasi');
INSERT INTO `lang_definitions` VALUES (70104, 2065, 14, 'Konfigurasi Ekspor/Impor');
INSERT INTO `lang_definitions` VALUES (70105, 2067, 14, 'Konfigurasi Apache dan OpenEMR untuk menggunakan sertifikat SSL dari sisi Klien.');
INSERT INTO `lang_definitions` VALUES (70106, 2068, 14, 'Konfigurasi Apache untuk menggunakan sertifikat SSL dari sisi Klien');
INSERT INTO `lang_definitions` VALUES (70107, 2069, 14, 'Konfigurasi Apache untuk menggunakan HTTPS.');
INSERT INTO `lang_definitions` VALUES (70108, 2070, 14, 'Konfigurasi Openemr untuk menggunakan sertifikat SSL dari sisi klien');
INSERT INTO `lang_definitions` VALUES (70109, 2079, 14, 'Konfirmasi Buat Pasien Baru');
INSERT INTO `lang_definitions` VALUES (70110, 2081, 14, 'Konfirmasi Sandi Baru');
INSERT INTO `lang_definitions` VALUES (70111, 2083, 14, 'Konfirmasi Pembayaran');
INSERT INTO `lang_definitions` VALUES (70112, 2092, 14, 'Bawaan');
INSERT INTO `lang_definitions` VALUES (70113, 2094, 14, 'Konjungtiva, pupil');
INSERT INTO `lang_definitions` VALUES (70114, 2097, 14, 'Penghubung');
INSERT INTO `lang_definitions` VALUES (70115, 2098, 14, 'Konstan');
INSERT INTO `lang_definitions` VALUES (70116, 2100, 14, 'nama tetap');
INSERT INTO `lang_definitions` VALUES (70117, 2101, 14, 'Nama tetap kosong');
INSERT INTO `lang_definitions` VALUES (70118, 2102, 14, 'konstan');
INSERT INTO `lang_definitions` VALUES (70119, 2103, 14, 'Konstipasi/Sembelit');
INSERT INTO `lang_definitions` VALUES (70120, 2104, 14, 'Kontstitusional');
INSERT INTO `lang_definitions` VALUES (70121, 2107, 14, 'Penjelasan Singkat Konsultasi');
INSERT INTO `lang_definitions` VALUES (70122, 2109, 14, 'Kontak');
INSERT INTO `lang_definitions` VALUES (70123, 2110, 14, 'Kontak Email');
INSERT INTO `lang_definitions` VALUES (70124, 2111, 14, 'Kontak Alamat Email');
INSERT INTO `lang_definitions` VALUES (70125, 2113, 14, 'info kontak');
INSERT INTO `lang_definitions` VALUES (70126, 2117, 14, 'Lensa Kontak');
INSERT INTO `lang_definitions` VALUES (70127, 2122, 14, 'Nama kontak');
INSERT INTO `lang_definitions` VALUES (70128, 2125, 14, 'Contact Person');
INSERT INTO `lang_definitions` VALUES (70129, 2127, 14, 'Kontak/Hubungi Nomor Telepon');
INSERT INTO `lang_definitions` VALUES (70130, 2129, 14, 'Contact ZMG, LLC (zmghealth@gmail.com) untuk berlangganan layanan eRx');
INSERT INTO `lang_definitions` VALUES (70131, 2131, 14, 'mengandung setidaknya tiga dari empat item berikut:');
INSERT INTO `lang_definitions` VALUES (70132, 2133, 14, 'Isi');
INSERT INTO `lang_definitions` VALUES (70133, 2134, 14, 'isi');
INSERT INTO `lang_definitions` VALUES (70134, 2136, 14, 'Konteks');
INSERT INTO `lang_definitions` VALUES (70135, 2137, 14, 'Nama konteks tidak boleh kosong');
INSERT INTO `lang_definitions` VALUES (70136, 2138, 14, 'Lanjut');
INSERT INTO `lang_definitions` VALUES (70137, 2142, 14, 'Kontinuitas Perawatan Dokumen (CCD)');
INSERT INTO `lang_definitions` VALUES (70138, 2145, 14, 'Kontinuitas Perawatan Catatan (CCR)');
INSERT INTO `lang_definitions` VALUES (70139, 2146, 14, 'Kontra Klien');
INSERT INTO `lang_definitions` VALUES (70140, 2147, 14, 'Kontrasepsi');
INSERT INTO `lang_definitions` VALUES (70141, 2148, 14, 'Masalah kontrasepsi');
INSERT INTO `lang_definitions` VALUES (70142, 2149, 14, 'Komplikasi Kontrasepsi (sebutkan)');
INSERT INTO `lang_definitions` VALUES (70143, 2150, 14, 'Metode kontrasepsi');
INSERT INTO `lang_definitions` VALUES (70144, 2151, 14, 'Produk Kontrasepsi');
INSERT INTO `lang_definitions` VALUES (70145, 2152, 14, 'Layanan kontrasepsi sebelumnya dimulai');
INSERT INTO `lang_definitions` VALUES (70146, 2153, 14, 'Mulai kontrasepsi');
INSERT INTO `lang_definitions` VALUES (70147, 2158, 14, 'ID Kontrol');
INSERT INTO `lang_definitions` VALUES (70148, 2159, 14, 'Nomor Kontrol');
INSERT INTO `lang_definitions` VALUES (70149, 2169, 14, 'Copay');
INSERT INTO `lang_definitions` VALUES (70150, 2170, 14, 'CoPay');
INSERT INTO `lang_definitions` VALUES (70151, 2171, 14, 'Copay tidak positif');
INSERT INTO `lang_definitions` VALUES (70152, 2173, 14, 'Copays');
INSERT INTO `lang_definitions` VALUES (70153, 2174, 14, 'COPD');
INSERT INTO `lang_definitions` VALUES (70154, 2175, 14, 'Salin ke Halaman Bagan/Grafik Pasien');
INSERT INTO `lang_definitions` VALUES (70155, 2177, 14, 'Salin Nilai');
INSERT INTO `lang_definitions` VALUES (70156, 2178, 14, 'Mengkopi file databse. Ini akan sedikit memakan waktu...');
INSERT INTO `lang_definitions` VALUES (70157, 2179, 14, 'Hak Cipta');
INSERT INTO `lang_definitions` VALUES (70158, 2184, 14, 'Arteri koroner Bypass');
INSERT INTO `lang_definitions` VALUES (70159, 2185, 14, 'Transplatasi Arteri Koroner (CABG)');
INSERT INTO `lang_definitions` VALUES (70160, 2186, 14, 'Dikoreksi');
INSERT INTO `lang_definitions` VALUES (70161, 2188, 14, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (70162, 2189, 14, 'Koneksi CouchDB Gagal.');
INSERT INTO `lang_definitions` VALUES (70163, 2191, 14, 'Database CouchDB');
INSERT INTO `lang_definitions` VALUES (70164, 2192, 14, 'Nama database CouchDB');
INSERT INTO `lang_definitions` VALUES (70165, 2195, 14, 'Host CouchDB');
INSERT INTO `lang_definitions` VALUES (70166, 2196, 14, 'HostName CouchDB');
INSERT INTO `lang_definitions` VALUES (70167, 2197, 14, 'Log CouchDB Aktif');
INSERT INTO `lang_definitions` VALUES (70168, 2198, 14, 'Sandi CouchDB');
INSERT INTO `lang_definitions` VALUES (70169, 2199, 14, 'Port CouchDB');
INSERT INTO `lang_definitions` VALUES (70170, 2200, 14, 'port CouchDB');
INSERT INTO `lang_definitions` VALUES (70171, 2203, 14, 'Username CouchDB');
INSERT INTO `lang_definitions` VALUES (70172, 2204, 14, 'Batuk');
INSERT INTO `lang_definitions` VALUES (70173, 2205, 14, 'Batuk:');
INSERT INTO `lang_definitions` VALUES (70174, 2211, 14, 'Tidak dapat membaca file');
INSERT INTO `lang_definitions` VALUES (70175, 2214, 14, 'Tidak dapat mengirim email karena masalah server,');
INSERT INTO `lang_definitions` VALUES (70176, 2217, 14, 'Tidak dapat membuat direktori backup');
INSERT INTO `lang_definitions` VALUES (70177, 2218, 14, 'Tidak dapat menghapus direktori:');
INSERT INTO `lang_definitions` VALUES (70178, 2219, 14, 'Tidak dapat menghapus file backup yang lama:');
INSERT INTO `lang_definitions` VALUES (70179, 2220, 14, 'Tidak dapat menghapus file ekspor yang lama:');
INSERT INTO `lang_definitions` VALUES (70180, 2221, 14, 'Pengelolaan Coumadin - Pemantauan USD');
INSERT INTO `lang_definitions` VALUES (70181, 2222, 14, 'Konseling dengan Metode');
INSERT INTO `lang_definitions` VALUES (70182, 2223, 14, 'Konseling');
INSERT INTO `lang_definitions` VALUES (70183, 2224, 14, 'Kegiatan konseling');
INSERT INTO `lang_definitions` VALUES (70184, 2227, 14, 'FORMULIR RUJUKAN KONTER/KASIR');
INSERT INTO `lang_definitions` VALUES (70185, 2228, 14, 'Rujukan Konter/Kasir');
INSERT INTO `lang_definitions` VALUES (70186, 2229, 14, 'Negara');
INSERT INTO `lang_definitions` VALUES (70187, 2231, 14, 'Jenis Data Negara');
INSERT INTO `lang_definitions` VALUES (70188, 2232, 14, 'Daftar Negara');
INSERT INTO `lang_definitions` VALUES (70189, 2233, 14, 'Daftar Negara (tulis, hanya tambah opsional)');
INSERT INTO `lang_definitions` VALUES (70190, 2235, 14, 'Nama Negara harus dinyatakan dalam dua kata. (Contoh: United States adalah US)');
INSERT INTO `lang_definitions` VALUES (70191, 2236, 14, 'negara');
INSERT INTO `lang_definitions` VALUES (70192, 2238, 14, 'Kupon');
INSERT INTO `lang_definitions` VALUES (70193, 2245, 14, 'CPT');
INSERT INTO `lang_definitions` VALUES (70194, 2246, 14, 'Kode CPT');
INSERT INTO `lang_definitions` VALUES (70195, 2247, 14, 'Kode CPT');
INSERT INTO `lang_definitions` VALUES (70196, 2250, 14, 'CQM');
INSERT INTO `lang_definitions` VALUES (70197, 2252, 14, 'Crackles:');
INSERT INTO `lang_definitions` VALUES (70198, 2255, 14, 'krim');
INSERT INTO `lang_definitions` VALUES (70199, 2256, 14, 'Buat sertifikat SSL sisi klien untuk setiap mesin klien atau pengguna.');
INSERT INTO `lang_definitions` VALUES (70200, 2257, 14, 'Buat sertifikat SSL sisi klien baik untuk nama host klien atau pengguna.');
INSERT INTO `lang_definitions` VALUES (70201, 2269, 14, 'Buat Event');
INSERT INTO `lang_definitions` VALUES (70202, 2273, 14, 'Buat atau download backup/salinan lengkap');
INSERT INTO `lang_definitions` VALUES (70203, 2275, 14, 'Buat Backup');
INSERT INTO `lang_definitions` VALUES (70204, 2276, 14, 'Buat batch');
INSERT INTO `lang_definitions` VALUES (70205, 2277, 14, 'Buat Sertifikat Klien');
INSERT INTO `lang_definitions` VALUES (70206, 2278, 14, 'Buat sertifikat SSL dari sisi Klien');
INSERT INTO `lang_definitions` VALUES (70207, 2281, 14, 'Buat Duplikat');
INSERT INTO `lang_definitions` VALUES (70208, 2283, 14, 'Buat Backup Log Event');
INSERT INTO `lang_definitions` VALUES (70209, 2285, 14, 'Buat Isu/Masalah Baru');
INSERT INTO `lang_definitions` VALUES (70210, 2287, 14, 'Buat Pasien Baru');
INSERT INTO `lang_definitions` VALUES (70211, 2290, 14, 'Buat Surat Pengenal Portal Offsite');
INSERT INTO `lang_definitions` VALUES (70212, 2292, 14, 'Buat Surat Pengenal Portal Onsite');
INSERT INTO `lang_definitions` VALUES (70213, 2294, 14, 'Buat Catatan Pasien');
INSERT INTO `lang_definitions` VALUES (70214, 2296, 14, 'Buat Pengijinan Sertifikat SSL dan sertifikat Server');
INSERT INTO `lang_definitions` VALUES (70215, 2297, 14, 'Buat Kunjungan');
INSERT INTO `lang_definitions` VALUES (70216, 2298, 14, 'Dibuat');
INSERT INTO `lang_definitions` VALUES (70217, 2306, 14, 'Membuat file ekspor');
INSERT INTO `lang_definitions` VALUES (70218, 2309, 14, 'Pembuat/Pencipta');
INSERT INTO `lang_definitions` VALUES (70219, 2311, 14, 'kredit');
INSERT INTO `lang_definitions` VALUES (70220, 2312, 14, 'Kartu Kredit');
INSERT INTO `lang_definitions` VALUES (70221, 2314, 14, 'Kredit');
INSERT INTO `lang_definitions` VALUES (70222, 2316, 14, 'Kriteria');
INSERT INTO `lang_definitions` VALUES (70223, 2319, 14, 'Crohn Penyakit');
INSERT INTO `lang_definitions` VALUES (70224, 2320, 14, 'Crohn Penyakit');
INSERT INTO `lang_definitions` VALUES (70225, 2323, 14, 'Ekspor CSV');
INSERT INTO `lang_definitions` VALUES (70226, 2324, 14, 'File CSV');
INSERT INTO `lang_definitions` VALUES (70227, 2330, 14, 'CU.MM');
INSERT INTO `lang_definitions` VALUES (70228, 2331, 14, 'Kuba');
INSERT INTO `lang_definitions` VALUES (70229, 2333, 14, 'Bagian Desimal Mata Uang');
INSERT INTO `lang_definitions` VALUES (70230, 2334, 14, 'Simbol Angka Mata Uang');
INSERT INTO `lang_definitions` VALUES (70231, 2335, 14, 'Penanda Mata Uang');
INSERT INTO `lang_definitions` VALUES (70232, 2336, 14, 'Pemisah Ribuan Mata Uang');
INSERT INTO `lang_definitions` VALUES (70233, 2337, 14, 'Saat ini');
INSERT INTO `lang_definitions` VALUES (70234, 2338, 14, 'Alkohol Saat Ini');
INSERT INTO `lang_definitions` VALUES (70235, 2341, 14, 'Konsultasi Saat Ini');
INSERT INTO `lang_definitions` VALUES (70236, 2342, 14, 'Kriteria Saat Ini');
INSERT INTO `lang_definitions` VALUES (70237, 2344, 14, 'Warna sorot hari saat ini');
INSERT INTO `lang_definitions` VALUES (70238, 2345, 14, 'Perokok tiap hari saat ini');
INSERT INTO `lang_definitions` VALUES (70239, 2347, 14, 'Nama file saat ini diubah menjadi');
INSERT INTO `lang_definitions` VALUES (70240, 2349, 14, 'Kekalutan/Keluhan Saat Ini');
INSERT INTO `lang_definitions` VALUES (70241, 2350, 14, 'Lokasi Saat Ini');
INSERT INTO `lang_definitions` VALUES (70242, 2352, 14, 'Obat Saat Ini');
INSERT INTO `lang_definitions` VALUES (70243, 2354, 14, 'Pasword Saat Ini');
INSERT INTO `lang_definitions` VALUES (70244, 2356, 14, 'Pasien Saat Ini');
INSERT INTO `lang_definitions` VALUES (70245, 2361, 14, 'Obat Rekreasi Saat Ini');
INSERT INTO `lang_definitions` VALUES (70246, 2363, 14, 'Perokok beberapa hari saat ini');
INSERT INTO `lang_definitions` VALUES (70247, 2371, 14, 'Sedang aktif');
INSERT INTO `lang_definitions` VALUES (70248, 2377, 14, 'Saat ini tidak ada fasilitas.');
INSERT INTO `lang_definitions` VALUES (70249, 2379, 14, 'Sindrom Cushing');
INSERT INTO `lang_definitions` VALUES (70250, 2380, 14, 'Sindrom Cushing');
INSERT INTO `lang_definitions` VALUES (70251, 2383, 14, 'Custom/Kebiasaan');
INSERT INTO `lang_definitions` VALUES (70252, 2390, 14, 'Masukan custom?');
INSERT INTO `lang_definitions` VALUES (70253, 2395, 14, 'Tabel Custom');
INSERT INTO `lang_definitions` VALUES (70254, 2402, 14, 'Kode CVX');
INSERT INTO `lang_definitions` VALUES (70255, 2403, 14, 'Kode Pemetaan CVX');
INSERT INTO `lang_definitions` VALUES (70256, 2406, 14, 'Siklus');
INSERT INTO `lang_definitions` VALUES (70257, 2412, 14, 'CYP');
INSERT INTO `lang_definitions` VALUES (70258, 2413, 14, 'Faktor CYP');
INSERT INTO `lang_definitions` VALUES (70259, 2414, 14, 'Laporan CYP');
INSERT INTO `lang_definitions` VALUES (70260, 2415, 14, 'Ceko');
INSERT INTO `lang_definitions` VALUES (70261, 2416, 14, 'D');
INSERT INTO `lang_definitions` VALUES (70262, 2417, 14, 'D&C');
INSERT INTO `lang_definitions` VALUES (70263, 2418, 14, 'D&E');
INSERT INTO `lang_definitions` VALUES (70264, 2420, 14, 'D.O.B.');
INSERT INTO `lang_definitions` VALUES (70265, 2421, 14, 'harian');
INSERT INTO `lang_definitions` VALUES (70266, 2422, 14, 'Catatan Harian');
INSERT INTO `lang_definitions` VALUES (70267, 2425, 14, 'Denmark');
INSERT INTO `lang_definitions` VALUES (70268, 2429, 14, 'Data serupa telah ada dalam database, silahkan ganti kode dan/atau deskripsi');
INSERT INTO `lang_definitions` VALUES (70269, 2430, 14, 'Data serupa telah ada dalam database, silahkan ganti nama tetap');
INSERT INTO `lang_definitions` VALUES (70270, 2431, 14, 'Kolom Data');
INSERT INTO `lang_definitions` VALUES (70271, 2434, 14, 'Kesalahan Data');
INSERT INTO `lang_definitions` VALUES (70272, 2439, 14, 'Jenis data');
INSERT INTO `lang_definitions` VALUES (70273, 2440, 14, 'Database');
INSERT INTO `lang_definitions` VALUES (70274, 2442, 14, 'Database tidak terinstal.');
INSERT INTO `lang_definitions` VALUES (70275, 2445, 14, 'Pelaporan Database');
INSERT INTO `lang_definitions` VALUES (70276, 2447, 14, 'Upgrade database selesai.');
INSERT INTO `lang_definitions` VALUES (70277, 2448, 14, 'Kolom Data harus berupa nomor antara 1 dan 999');
INSERT INTO `lang_definitions` VALUES (70278, 2449, 14, 'Tanggal');
INSERT INTO `lang_definitions` VALUES (70279, 2450, 14, 'TANGGAL');
INSERT INTO `lang_definitions` VALUES (70280, 2453, 14, 'Tanggal Diperintah');
INSERT INTO `lang_definitions` VALUES (70281, 2454, 14, 'Tanggal dan waktu pengumpulan sampel');
INSERT INTO `lang_definitions` VALUES (70282, 2455, 14, 'Tanggal dan waktu pengamatan ini');
INSERT INTO `lang_definitions` VALUES (70283, 2457, 14, 'Tanggal dan waktu sampel diambil');
INSERT INTO `lang_definitions` VALUES (70284, 2458, 14, 'Tanggal tidak boleh lebih dari hari ini');
INSERT INTO `lang_definitions` VALUES (70285, 2459, 14, 'Tanggal layanan kontrasepsi yang diberikan pada awalnya');
INSERT INTO `lang_definitions` VALUES (70286, 2460, 14, 'Tanggal Dibuat');
INSERT INTO `lang_definitions` VALUES (70287, 2461, 14, 'Tanggal Meninggal');
INSERT INTO `lang_definitions` VALUES (70288, 2462, 14, 'Tanggal Hancur');
INSERT INTO `lang_definitions` VALUES (70289, 2463, 14, 'Format Tampilan Tanggal');
INSERT INTO `lang_definitions` VALUES (70290, 2464, 14, 'Format tanggal untuk \"akhir janji-temu\" tidak valid');
INSERT INTO `lang_definitions` VALUES (70291, 2465, 14, 'Format tanggal untuk \"mulai janji-temu\" tidak valid');
INSERT INTO `lang_definitions` VALUES (70292, 2466, 14, 'Format tanggal untuk \"Janji-Temu Berikutnya\" tidak valid');
INSERT INTO `lang_definitions` VALUES (70293, 2467, 14, 'Format tanggal untuk \"tidak terlihat sejak\" tidak valid');
INSERT INTO `lang_definitions` VALUES (70294, 2469, 14, 'Format tanggal untuk \"terlihat sejak\" tidak valid');
INSERT INTO `lang_definitions` VALUES (70295, 2470, 14, 'Statemen Informasi Tanggal Imunisasi yang Diberikan');
INSERT INTO `lang_definitions` VALUES (70296, 2471, 14, 'Tanggal tersebut tidak ada untuk kode');
INSERT INTO `lang_definitions` VALUES (70297, 2472, 14, 'Kriteria Tanggal');
INSERT INTO `lang_definitions` VALUES (70298, 2475, 14, 'Tanggal deposito bank yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (70299, 2477, 14, 'Tanggal Lahir');
INSERT INTO `lang_definitions` VALUES (70300, 2478, 14, 'Tanggal lahir');
INSERT INTO `lang_definitions` VALUES (70301, 2479, 14, 'Tanggal Lahir');
INSERT INTO `lang_definitions` VALUES (70302, 2483, 14, 'Tanggal Cedera');
INSERT INTO `lang_definitions` VALUES (70303, 2487, 14, 'Tanggal pembayaran yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (70304, 2489, 14, 'Tanggal rujukan');
INSERT INTO `lang_definitions` VALUES (70305, 2491, 14, 'Tanggal balasan');
INSERT INTO `lang_definitions` VALUES (70306, 2495, 14, 'Tanggal Pelayanan');
INSERT INTO `lang_definitions` VALUES (70307, 2496, 14, 'Tanggal Pelayanan = Hari Ini');
INSERT INTO `lang_definitions` VALUES (70308, 2498, 14, 'Tanggal layanan mm / dd / yyyy');
INSERT INTO `lang_definitions` VALUES (70309, 2499, 14, 'Tanggal Pelayanan:');
INSERT INTO `lang_definitions` VALUES (70310, 2500, 14, 'Tanggal Penandatanganan');
INSERT INTO `lang_definitions` VALUES (70311, 2503, 14, 'Tanggal pemesanan ini');
INSERT INTO `lang_definitions` VALUES (70312, 2504, 14, 'Tanggal laporan ini');
INSERT INTO `lang_definitions` VALUES (70313, 2505, 14, 'Tanggal Pernyataan VIS');
INSERT INTO `lang_definitions` VALUES (70314, 2506, 14, 'Tanggal Diperintah');
INSERT INTO `lang_definitions` VALUES (70315, 2509, 14, 'Pemilih tanggal');
INSERT INTO `lang_definitions` VALUES (70316, 2510, 14, 'Tanggal Terkirim');
INSERT INTO `lang_definitions` VALUES (70317, 2511, 14, 'Tanggal Terkirimnya Pesan');
INSERT INTO `lang_definitions` VALUES (70318, 2513, 14, 'Nilai tanggal Tidak boleh Kosong');
INSERT INTO `lang_definitions` VALUES (70319, 2516, 14, 'Tanggal/Janji-Temu');
INSERT INTO `lang_definitions` VALUES (70320, 2517, 14, 'Tanggal/Catatan');
INSERT INTO `lang_definitions` VALUES (70321, 2518, 14, 'Tanggal / Catatan dari Terakhir');
INSERT INTO `lang_definitions` VALUES (70322, 2519, 14, 'Tanggal/Waktu');
INSERT INTO `lang_definitions` VALUES (70323, 2520, 14, 'Tanggal:');
INSERT INTO `lang_definitions` VALUES (70324, 2523, 14, 'Tanggal Log Pesan');
INSERT INTO `lang_definitions` VALUES (70325, 2526, 14, 'Hari');
INSERT INTO `lang_definitions` VALUES (70326, 2527, 14, 'hari');
INSERT INTO `lang_definitions` VALUES (70327, 2530, 14, 'Lihat Hari');
INSERT INTO `lang_definitions` VALUES (70328, 2531, 14, 'Hari');
INSERT INTO `lang_definitions` VALUES (70329, 2532, 14, 'Hari S-J');
INSERT INTO `lang_definitions` VALUES (70330, 2533, 14, 'bulan');
INSERT INTO `lang_definitions` VALUES (70331, 2534, 14, 'Bulan');
INSERT INTO `lang_definitions` VALUES (70332, 2535, 14, 'beberapa hari yang lalu');
INSERT INTO `lang_definitions` VALUES (70333, 2536, 14, 'Bulan dan Permainan yang Terlewat');
INSERT INTO `lang_definitions` VALUES (70334, 2537, 14, 'Hari Dari Encounter Terakhir');
INSERT INTO `lang_definitions` VALUES (70335, 2538, 14, 'Hari yang Terlewat');
INSERT INTO `lang_definitions` VALUES (70336, 2541, 14, 'Hari per Kolom:');
INSERT INTO `lang_definitions` VALUES (70337, 2543, 14, 'Hari/Kolom:');
INSERT INTO `lang_definitions` VALUES (70338, 2544, 14, 'DB diinstal');
INSERT INTO `lang_definitions` VALUES (70339, 2545, 14, 'DD/MM/YYYY');
INSERT INTO `lang_definitions` VALUES (70340, 2546, 14, 'Identifikasi');
INSERT INTO `lang_definitions` VALUES (70341, 2547, 14, 'Proses Identifikasi selesai');
INSERT INTO `lang_definitions` VALUES (70342, 2548, 14, 'Proses Identifikasi sedang berlangsung');
INSERT INTO `lang_definitions` VALUES (70343, 2549, 14, 'Proses Identifikasi dimulai dan berjalan pada latar belakang');
INSERT INTO `lang_definitions` VALUES (70344, 2550, 14, 'Data yang diidentifikasi mungkin tidak lengkap');
INSERT INTO `lang_definitions` VALUES (70345, 2551, 14, 'File Identifikasi akan disimpan dalam');
INSERT INTO `lang_definitions` VALUES (70346, 2552, 14, 'DEA');
INSERT INTO `lang_definitions` VALUES (70347, 2558, 14, 'Tuli/Tuna Rungu');
INSERT INTO `lang_definitions` VALUES (70348, 2562, 14, 'Informasi Debug');
INSERT INTO `lang_definitions` VALUES (70349, 2565, 14, 'Desember');
INSERT INTO `lang_definitions` VALUES (70350, 2567, 14, 'MENINGGAL');
INSERT INTO `lang_definitions` VALUES (70351, 2574, 14, 'Desember');
INSERT INTO `lang_definitions` VALUES (70352, 2580, 14, 'Dapat Dikurangi');
INSERT INTO `lang_definitions` VALUES (70353, 2581, 14, 'Met yang Dapat Dikurangi');
INSERT INTO `lang_definitions` VALUES (70354, 2583, 14, 'Default/Standar');
INSERT INTO `lang_definitions` VALUES (70355, 2585, 14, 'Tampilan Standar Kalender');
INSERT INTO `lang_definitions` VALUES (70356, 2587, 14, 'Encounter Format ID Standar');
INSERT INTO `lang_definitions` VALUES (70357, 2589, 14, 'Fasilitas Standar');
INSERT INTO `lang_definitions` VALUES (70358, 2594, 14, 'Bahasa Standar');
INSERT INTO `lang_definitions` VALUES (70359, 2595, 14, 'Bahasa standar jika tidak ada bahasa lain yang diizinkan atau dipilih.');
INSERT INTO `lang_definitions` VALUES (70360, 2598, 14, 'Daftar Standar (tulis, hanya tambah opsional)');
INSERT INTO `lang_definitions` VALUES (70361, 2600, 14, 'Metode default');
INSERT INTO `lang_definitions` VALUES (70362, 2601, 14, 'Standar Hari Kadaluarsa Pasword');
INSERT INTO `lang_definitions` VALUES (70363, 2602, 14, 'Standar Periode Kadaluarsa Pasword dalam hari. 0 berarti fitur ini tidak difungsikan.');
INSERT INTO `lang_definitions` VALUES (70364, 2603, 14, 'Negara Pasien Standar');
INSERT INTO `lang_definitions` VALUES (70365, 2607, 14, 'Provider/Penyedia Layanan Standar');
INSERT INTO `lang_definitions` VALUES (70366, 2609, 14, 'Rentang Standar');
INSERT INTO `lang_definitions` VALUES (70367, 2610, 14, 'Rentang Standar untuk Kunjungan');
INSERT INTO `lang_definitions` VALUES (70368, 2615, 14, 'Pengaturan Standar');
INSERT INTO `lang_definitions` VALUES (70369, 2618, 14, 'Template Standar');
INSERT INTO `lang_definitions` VALUES (70370, 2624, 14, 'Unit/Satuan Standar');
INSERT INTO `lang_definitions` VALUES (70371, 2626, 14, 'Nilai Standar');
INSERT INTO `lang_definitions` VALUES (70372, 2628, 14, 'Warehouse/Gudang Standar');
INSERT INTO `lang_definitions` VALUES (70373, 2629, 14, 'Mitra X12 Standar');
INSERT INTO `lang_definitions` VALUES (70374, 2630, 14, 'Standar/Global');
INSERT INTO `lang_definitions` VALUES (70375, 2635, 14, 'Hapus');
INSERT INTO `lang_definitions` VALUES (70376, 2636, 14, 'hapus');
INSERT INTO `lang_definitions` VALUES (70377, 2637, 14, 'Kambuh Tertunda (> 12 Bulan)');
INSERT INTO `lang_definitions` VALUES (70378, 2638, 14, 'Hapus');
INSERT INTO `lang_definitions` VALUES (70379, 2639, 14, 'hapus');
INSERT INTO `lang_definitions` VALUES (70380, 2640, 14, 'Hapus Kategori dengan ID:');
INSERT INTO `lang_definitions` VALUES (70381, 2641, 14, 'Hapus Kategori');
INSERT INTO `lang_definitions` VALUES (70382, 2644, 14, 'Penghapusan gagal!');
INSERT INTO `lang_definitions` VALUES (70383, 2645, 14, 'Hapus Grup');
INSERT INTO `lang_definitions` VALUES (70384, 2646, 14, 'Hapus Daftar');
INSERT INTO `lang_definitions` VALUES (70385, 2648, 14, 'Hapus Halaman');
INSERT INTO `lang_definitions` VALUES (70386, 2649, 14, 'Hapus Pasien, Encounter, Formulir, Isu/Masalah, Dokumen, Pembayaran, Tagihan atau Transaksi');
INSERT INTO `lang_definitions` VALUES (70387, 2651, 14, 'Hapus Baris');
INSERT INTO `lang_definitions` VALUES (70388, 2652, 14, 'Hapus Item yang Dipilih');
INSERT INTO `lang_definitions` VALUES (70389, 2655, 14, 'Penghapusan berhasil.');
INSERT INTO `lang_definitions` VALUES (70390, 2656, 14, 'Hapus dokumen ini');
INSERT INTO `lang_definitions` VALUES (70391, 2657, 14, 'Hapus formulir ini');
INSERT INTO `lang_definitions` VALUES (70392, 2659, 14, 'Hapus catatan ini');
INSERT INTO `lang_definitions` VALUES (70393, 2661, 14, 'Berhasil Dihapus.');
INSERT INTO `lang_definitions` VALUES (70394, 2671, 14, 'Demensia');
INSERT INTO `lang_definitions` VALUES (70395, 2673, 14, 'Demografi');
INSERT INTO `lang_definitions` VALUES (70396, 2674, 14, 'Demografi (tulis, hanya tambah opsional)');
INSERT INTO `lang_definitions` VALUES (70397, 2678, 14, 'Kriteria penyaringan demografi');
INSERT INTO `lang_definitions` VALUES (70398, 2680, 14, 'Demografi tidak diizinkan');
INSERT INTO `lang_definitions` VALUES (70399, 2681, 14, 'Demografi tidak diizinkan.');
INSERT INTO `lang_definitions` VALUES (70400, 2684, 14, 'Penyebut');
INSERT INTO `lang_definitions` VALUES (70401, 2687, 14, 'Dental');
INSERT INTO `lang_definitions` VALUES (70402, 2689, 14, 'Masalah Dental');
INSERT INTO `lang_definitions` VALUES (70403, 2694, 14, 'Tergantung pada jenis tagihan yang anda uji anda akan melihat HCFA seperti output pada halaman kosong untuk tagihan HCFA, anda akan melihat banyak baris teks yang rusak dan informasi jika anda menguji klaim X12. Teks yang rusak tersebut merupakan format X12 EDI 4010A. Kadang anda akan melihat karakter aneh yang terlihat seperti domino atau squigiles, ini merupakan karakter kontrol seperti pada \'page feeds\' dan bersifat normal.');
INSERT INTO `lang_definitions` VALUES (70404, 2696, 14, 'Tanggal Deposito');
INSERT INTO `lang_definitions` VALUES (70405, 2697, 14, 'Tanggal Deposito Tidak boleh lebih dari Hari Ini');
INSERT INTO `lang_definitions` VALUES (70406, 2698, 14, 'Tanggal deposito:');
INSERT INTO `lang_definitions` VALUES (70407, 2699, 14, 'Sedih');
INSERT INTO `lang_definitions` VALUES (70408, 2700, 14, 'Depresi');
INSERT INTO `lang_definitions` VALUES (70409, 2706, 14, 'Deskripsi/Keterangan');
INSERT INTO `lang_definitions` VALUES (70410, 2707, 14, 'deskripsi');
INSERT INTO `lang_definitions` VALUES (70411, 2709, 14, 'Deskripsi dari Pengungkapan');
INSERT INTO `lang_definitions` VALUES (70412, 2710, 14, 'Deskripsi dari pengungkapan ini atau kode hasil');
INSERT INTO `lang_definitions` VALUES (70413, 2711, 14, 'Deskripsi Terjemahan');
INSERT INTO `lang_definitions` VALUES (70414, 2713, 14, 'Tujuan');
INSERT INTO `lang_definitions` VALUES (70415, 2714, 14, 'Tujuan Nama file');
INSERT INTO `lang_definitions` VALUES (70416, 2716, 14, 'Hancurkan Lot');
INSERT INTO `lang_definitions` VALUES (70417, 2717, 14, 'Hancurkan...');
INSERT INTO `lang_definitions` VALUES (70418, 2718, 14, 'Hancur');
INSERT INTO `lang_definitions` VALUES (70419, 2719, 14, 'Obat Hancur');
INSERT INTO `lang_definitions` VALUES (70420, 2720, 14, 'Laporan Obat Hancur');
INSERT INTO `lang_definitions` VALUES (70421, 2721, 14, 'Rincian');
INSERT INTO `lang_definitions` VALUES (70422, 2726, 14, 'Rincian');
INSERT INTO `lang_definitions` VALUES (70423, 2728, 14, 'Kelainan Pengembangan');
INSERT INTO `lang_definitions` VALUES (70424, 2730, 14, 'Diabetes');
INSERT INTO `lang_definitions` VALUES (70425, 2731, 14, 'Diabetes Mellitus');
INSERT INTO `lang_definitions` VALUES (70426, 2732, 14, 'Diabetes: Pengelolaan Tekanan Darah (CQM)');
INSERT INTO `lang_definitions` VALUES (70427, 2733, 14, 'Diabetes: Pengujian Mata');
INSERT INTO `lang_definitions` VALUES (70428, 2734, 14, 'Diabetes: Pengujian Mata (CQM)');
INSERT INTO `lang_definitions` VALUES (70429, 2735, 14, 'Diabetes: Pengujian Kaki');
INSERT INTO `lang_definitions` VALUES (70430, 2736, 14, 'Diabetes: Pengujian Kaki (CQM)');
INSERT INTO `lang_definitions` VALUES (70431, 2737, 14, 'Diabetes: Kontrol Lemahnya HbA1c (CQM)');
INSERT INTO `lang_definitions` VALUES (70432, 2738, 14, 'Diabetes: Hemoglobin A1C');
INSERT INTO `lang_definitions` VALUES (70433, 2739, 14, 'Diabetes: Pengelolaan LDL & Kontrol (CQM)');
INSERT INTO `lang_definitions` VALUES (70434, 2740, 14, 'Diabetes: Microalbumin Air Seni');
INSERT INTO `lang_definitions` VALUES (70435, 2741, 14, 'Diagnosa');
INSERT INTO `lang_definitions` VALUES (70436, 2743, 14, 'Diagnosa');
INSERT INTO `lang_definitions` VALUES (70437, 2744, 14, 'Kode Diagnosa');
INSERT INTO `lang_definitions` VALUES (70438, 2747, 14, 'Tanggal Diagnosa');
INSERT INTO `lang_definitions` VALUES (70439, 2749, 14, 'Diagnosa harus dikodekan menjadi encounter yang terhubung');
INSERT INTO `lang_definitions` VALUES (70440, 2750, 14, 'Nama Diagnosa');
INSERT INTO `lang_definitions` VALUES (70441, 2751, 14, 'Laporan Diagnosa');
INSERT INTO `lang_definitions` VALUES (70442, 2754, 14, 'Judul Diagnosa');
INSERT INTO `lang_definitions` VALUES (70443, 2755, 14, 'Diagnosa:');
INSERT INTO `lang_definitions` VALUES (70444, 2756, 14, 'Diagnosa:');
INSERT INTO `lang_definitions` VALUES (70445, 2758, 14, 'Pengujian diagnostik:');
INSERT INTO `lang_definitions` VALUES (70446, 2760, 14, 'Setel');
INSERT INTO `lang_definitions` VALUES (70447, 2763, 14, 'Diafragma/Caps');
INSERT INTO `lang_definitions` VALUES (70448, 2764, 14, 'Diare');
INSERT INTO `lang_definitions` VALUES (70449, 2767, 14, 'Perintah');
INSERT INTO `lang_definitions` VALUES (70450, 2768, 14, 'Perintah:');
INSERT INTO `lang_definitions` VALUES (70451, 2769, 14, 'Apakah anda menerima salinan Pemberitahuan HIPAA?');
INSERT INTO `lang_definitions` VALUES (70452, 2770, 14, 'Diffuse/Tersebar:');
INSERT INTO `lang_definitions` VALUES (70453, 2771, 14, 'Ditandatangani secara Digital');
INSERT INTO `lang_definitions` VALUES (70454, 2781, 14, 'Surat langsung');
INSERT INTO `lang_definitions` VALUES (70455, 2787, 14, 'Nama Direktu/Pemimpin');
INSERT INTO `lang_definitions` VALUES (70456, 2789, 14, 'Cacat');
INSERT INTO `lang_definitions` VALUES (70457, 2794, 14, 'Nonaktifkan Kalender');
INSERT INTO `lang_definitions` VALUES (70458, 2795, 14, 'Nonaktifkan Pelacak Bagan/Grafik');
INSERT INTO `lang_definitions` VALUES (70459, 2798, 14, 'Nonaktifkan Imunisasi');
INSERT INTO `lang_definitions` VALUES (70460, 2800, 14, 'Nonaktifkan Formulir Tanda Vital Metrik Lama');
INSERT INTO `lang_definitions` VALUES (70461, 2802, 14, 'Nonaktifkan phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (70462, 2803, 14, 'Nonaktifkan Resep');
INSERT INTO `lang_definitions` VALUES (70463, 2804, 14, 'Nonaktifkan Grup Pengguna');
INSERT INTO `lang_definitions` VALUES (70464, 2805, 14, 'dinonaktifkan');
INSERT INTO `lang_definitions` VALUES (70465, 2806, 14, 'Dinonaktifkan');
INSERT INTO `lang_definitions` VALUES (70466, 2807, 14, 'Dinonaktifkan Penerima Dibawah Umur 65 Tahun dengan Large Group Health Plan (LGHP)');
INSERT INTO `lang_definitions` VALUES (70467, 2812, 14, 'DISC');
INSERT INTO `lang_definitions` VALUES (70468, 2815, 14, 'Pengeluaran');
INSERT INTO `lang_definitions` VALUES (70469, 2816, 14, 'Pengeluaran dari Uretra/Saluran Kencing');
INSERT INTO `lang_definitions` VALUES (70470, 2818, 14, 'Pengeluaran Sehat');
INSERT INTO `lang_definitions` VALUES (70471, 2819, 14, 'Pengeluaran Sehat:');
INSERT INTO `lang_definitions` VALUES (70472, 2825, 14, 'Pengungkapan Informasi');
INSERT INTO `lang_definitions` VALUES (70473, 2826, 14, 'Jenis Pengungkapan');
INSERT INTO `lang_definitions` VALUES (70474, 2827, 14, 'Jenis Pengungkapan');
INSERT INTO `lang_definitions` VALUES (70475, 2828, 14, 'Pengungkapan Informasi');
INSERT INTO `lang_definitions` VALUES (70476, 2833, 14, 'Diskon');
INSERT INTO `lang_definitions` VALUES (70477, 2834, 14, 'Jumah Diskon');
INSERT INTO `lang_definitions` VALUES (70478, 2835, 14, 'Level/Tingkat Diskon');
INSERT INTO `lang_definitions` VALUES (70479, 2836, 14, 'Persentase Diskon');
INSERT INTO `lang_definitions` VALUES (70480, 2837, 14, 'Diskon sebagai Jumlah Moneter');
INSERT INTO `lang_definitions` VALUES (70481, 2838, 14, 'Diskon pada waktu checkout/pemeriksaan dimasukkan sebagai jumlah uang, berlawanan dengan persentase.');
INSERT INTO `lang_definitions` VALUES (70482, 2839, 14, 'Hasil Diskrit');
INSERT INTO `lang_definitions` VALUES (70483, 2841, 14, 'Penyakit');
INSERT INTO `lang_definitions` VALUES (70484, 2843, 14, 'Dislokasi');
INSERT INTO `lang_definitions` VALUES (70485, 2847, 14, 'Disp #');
INSERT INTO `lang_definitions` VALUES (70486, 2848, 14, 'Pengiriman');
INSERT INTO `lang_definitions` VALUES (70487, 2849, 14, 'Pengiriman Dokumen yang Diterima');
INSERT INTO `lang_definitions` VALUES (70488, 2853, 14, 'Ditiadakan');
INSERT INTO `lang_definitions` VALUES (70489, 2856, 14, 'Tampilkan petunjuk terlebih dahulu pada halaman demografik.');
INSERT INTO `lang_definitions` VALUES (70490, 2859, 14, 'Tampilkan tanggal event pada blok/berkas?');
INSERT INTO `lang_definitions` VALUES (70491, 2861, 14, 'Tampilkan berapa banyak event/peristiwa?');
INSERT INTO `lang_definitions` VALUES (70492, 2865, 14, 'Tampilkan lokasi pada blok/berkas?');
INSERT INTO `lang_definitions` VALUES (70493, 2866, 14, 'Nama yang Ditampilkan');
INSERT INTO `lang_definitions` VALUES (70494, 2868, 14, 'Tampilkan kalender?');
INSERT INTO `lang_definitions` VALUES (70495, 2875, 14, 'Tampilkan event hari ini pada blok/berkas?');
INSERT INTO `lang_definitions` VALUES (70496, 2876, 14, 'Tampilkan topik di blok/berkas?');
INSERT INTO `lang_definitions` VALUES (70497, 2877, 14, 'Tampilkan acara mendatang di blok/berkas?');
INSERT INTO `lang_definitions` VALUES (70498, 2879, 14, 'Kolom yang Ditampilkan');
INSERT INTO `lang_definitions` VALUES (70499, 2880, 14, 'Menampilkan nomor berikut dari pengungkapan yang terbaru:');
INSERT INTO `lang_definitions` VALUES (70500, 2882, 14, 'Menampilkan nomor berikut dari catatan yang terbaru');
INSERT INTO `lang_definitions` VALUES (70501, 2883, 14, 'Menampilka nomor berikut dari catatan yang terbaru:');
INSERT INTO `lang_definitions` VALUES (70502, 2890, 14, 'Distribusi/Penyaluran');
INSERT INTO `lang_definitions` VALUES (70503, 2891, 14, 'Distribusi');
INSERT INTO `lang_definitions` VALUES (70504, 2892, 14, 'Distributor/Penyalur');
INSERT INTO `lang_definitions` VALUES (70505, 2897, 14, 'Diverticulitis');
INSERT INTO `lang_definitions` VALUES (70506, 2898, 14, 'Bedah Diverticulitis');
INSERT INTO `lang_definitions` VALUES (70507, 2899, 14, 'Divirticulitis');
INSERT INTO `lang_definitions` VALUES (70508, 2900, 14, 'Bedah Divirticulitis');
INSERT INTO `lang_definitions` VALUES (70509, 2901, 14, 'Bercerai');
INSERT INTO `lang_definitions` VALUES (70510, 2902, 14, 'Pusing:');
INSERT INTO `lang_definitions` VALUES (70511, 2905, 14, 'Jangan ubah');
INSERT INTO `lang_definitions` VALUES (70512, 2907, 14, 'Jangan tampilkan Alergi yang diupload ke NewCrop');
INSERT INTO `lang_definitions` VALUES (70513, 2909, 14, 'Jangan tampilkan Obat yang diupload ke NewCrop');
INSERT INTO `lang_definitions` VALUES (70514, 2912, 14, 'jangan tampilkan kalender.');
INSERT INTO `lang_definitions` VALUES (70515, 2916, 14, 'Jangan menginventarisasi dan menjual produk apapun');
INSERT INTO `lang_definitions` VALUES (70516, 2919, 14, 'Tidak memerlukan catatan pasien untuk diotorisasi/diizinkan');
INSERT INTO `lang_definitions` VALUES (70517, 2920, 14, 'Jangan Resusitasi Pesanan/Perintah');
INSERT INTO `lang_definitions` VALUES (70518, 2921, 14, 'tidak menyimpan');
INSERT INTO `lang_definitions` VALUES (70519, 2922, 14, 'tidak menggantikan');
INSERT INTO `lang_definitions` VALUES (70520, 2925, 14, 'tidak melakukan apa-apa');
INSERT INTO `lang_definitions` VALUES (70521, 2929, 14, 'Apakah anda benar-benar ingin menghapus');
INSERT INTO `lang_definitions` VALUES (70522, 2930, 14, 'Apakah anda benar-benar ingin menghapus pilihan ini?');
INSERT INTO `lang_definitions` VALUES (70523, 2931, 14, 'Apakah Anda benar-benar ingin menghapus grup ini');
INSERT INTO `lang_definitions` VALUES (70524, 2934, 14, 'Apakah anda ingin melanjut?');
INSERT INTO `lang_definitions` VALUES (70525, 2935, 14, 'Apakah anda ingin menghapus ini?');
INSERT INTO `lang_definitions` VALUES (70526, 2936, 14, 'Apakah anda ingin menghapus?');
INSERT INTO `lang_definitions` VALUES (70527, 2937, 14, 'Apakah anda ingin menyingkirkan record/catatan ini?');
INSERT INTO `lang_definitions` VALUES (70528, 2938, 14, 'Apakah anda ingin lanjut menambahkan pasien baru ini?');
INSERT INTO `lang_definitions` VALUES (70529, 2939, 14, 'Apakah anda ingin lanjut dengan nama baru tersebut?');
INSERT INTO `lang_definitions` VALUES (70530, 2940, 14, 'Apakah anda ingin menghapus record/catatan imunisasi ini SECARA PERMANEN?');
INSERT INTO `lang_definitions` VALUES (70531, 2941, 14, 'DOB');
INSERT INTO `lang_definitions` VALUES (70532, 2942, 14, 'DOB tidak ada, silahkan masukkan jika bisa');
INSERT INTO `lang_definitions` VALUES (70533, 2944, 14, 'Docs/Dokumen');
INSERT INTO `lang_definitions` VALUES (70534, 2945, 14, 'Dokter');
INSERT INTO `lang_definitions` VALUES (70535, 2946, 14, 'Dokter:');
INSERT INTO `lang_definitions` VALUES (70536, 2947, 14, 'Nama Dokter dan tanda tangan');
INSERT INTO `lang_definitions` VALUES (70537, 2948, 14, 'Dokumen');
INSERT INTO `lang_definitions` VALUES (70538, 2949, 14, 'dokumen');
INSERT INTO `lang_definitions` VALUES (70539, 2951, 14, 'Kategori Dokumen');
INSERT INTO `lang_definitions` VALUES (70540, 2958, 14, 'Dokumen tidak dapat dipindahkan ke id pasien');
INSERT INTO `lang_definitions` VALUES (70541, 2960, 14, 'Tanggal Dokumen');
INSERT INTO `lang_definitions` VALUES (70542, 2961, 14, 'Tanggal dan Isu/Pokok(Persoalan) dokumen berhasil diupdate');
INSERT INTO `lang_definitions` VALUES (70543, 2962, 14, 'ID Dokumen');
INSERT INTO `lang_definitions` VALUES (70544, 2965, 14, 'Dokumen dipindahkan ke kategori yang baru');
INSERT INTO `lang_definitions` VALUES (70545, 2966, 14, 'Dokumen dipindahkan ke id pasien');
INSERT INTO `lang_definitions` VALUES (70546, 2968, 14, 'Dokumen lulus cek/uji integritas.');
INSERT INTO `lang_definitions` VALUES (70547, 2970, 14, 'Dokumen berhasil berganti nama.');
INSERT INTO `lang_definitions` VALUES (70548, 2976, 14, 'Persediaan Dokumen/Pencitraan(Image)');
INSERT INTO `lang_definitions` VALUES (70549, 2978, 14, 'Dokumen');
INSERT INTO `lang_definitions` VALUES (70550, 2980, 14, 'Dokumen (tulis, hanya tambah opsional)');
INSERT INTO `lang_definitions` VALUES (70551, 2989, 14, 'DOE');
INSERT INTO `lang_definitions` VALUES (70552, 2996, 14, 'Apakah jenis ini mengizinkan kode yang terkait?');
INSERT INTO `lang_definitions` VALUES (70553, 2997, 14, 'Mitra Domestik');
INSERT INTO `lang_definitions` VALUES (70554, 2998, 14, 'Jangan Simpan');
INSERT INTO `lang_definitions` VALUES (70555, 2999, 14, 'Jangan Simpan');
INSERT INTO `lang_definitions` VALUES (70556, 3000, 14, 'Jangan Simpan Perubahan');
INSERT INTO `lang_definitions` VALUES (70557, 3002, 14, 'Selesai');
INSERT INTO `lang_definitions` VALUES (70558, 3004, 14, 'Dilakukan/Selesai dengan:');
INSERT INTO `lang_definitions` VALUES (70559, 3005, 14, 'Selesai. Sekarang akan mengirim download.');
INSERT INTO `lang_definitions` VALUES (70560, 3006, 14, 'DOS');
INSERT INTO `lang_definitions` VALUES (70561, 3007, 14, 'Dosis');
INSERT INTO `lang_definitions` VALUES (70562, 3011, 14, 'klik dua kali untuk mengedit');
INSERT INTO `lang_definitions` VALUES (70563, 3013, 14, 'Penglihatan Ganda');
INSERT INTO `lang_definitions` VALUES (70564, 3014, 14, 'Download/Unduh');
INSERT INTO `lang_definitions` VALUES (70565, 3019, 14, 'Tetap Mendownload');
INSERT INTO `lang_definitions` VALUES (70566, 3020, 14, 'Download file tagihan, posting ke akuntansi dan tandai sebagai ditagih');
INSERT INTO `lang_definitions` VALUES (70567, 3022, 14, 'Download Sertifikat');
INSERT INTO `lang_definitions` VALUES (70568, 3023, 14, 'Download pengaturan data');
INSERT INTO `lang_definitions` VALUES (70569, 3027, 14, 'Download file yang terenkripsi');
INSERT INTO `lang_definitions` VALUES (70570, 3037, 14, 'Download Statemen yang Dipilj');
INSERT INTO `lang_definitions` VALUES (70571, 3039, 14, 'Dr Periksa');
INSERT INTO `lang_definitions` VALUES (70572, 3040, 14, 'Dr Kunjungi');
INSERT INTO `lang_definitions` VALUES (70573, 3041, 14, 'Dr.');
INSERT INTO `lang_definitions` VALUES (70574, 3045, 14, 'Drag/Tarik untuk memindahkan');
INSERT INTO `lang_definitions` VALUES (70575, 3047, 14, 'Menggiring');
INSERT INTO `lang_definitions` VALUES (70576, 3048, 14, 'Lisensi Pengemudi atau ID Negara');
INSERT INTO `lang_definitions` VALUES (70577, 3050, 14, 'Obat');
INSERT INTO `lang_definitions` VALUES (70578, 3053, 14, 'Pencari Obat');
INSERT INTO `lang_definitions` VALUES (70579, 3054, 14, 'Formulir Obat');
INSERT INTO `lang_definitions` VALUES (70580, 3055, 14, 'ID Obat hilang!');
INSERT INTO `lang_definitions` VALUES (70581, 3056, 14, 'Interval Obat');
INSERT INTO `lang_definitions` VALUES (70582, 3057, 14, 'Persediaan obat');
INSERT INTO `lang_definitions` VALUES (70583, 3059, 14, 'Nama obat');
INSERT INTO `lang_definitions` VALUES (70584, 3061, 14, 'Rute Obat');
INSERT INTO `lang_definitions` VALUES (70585, 3066, 14, 'Unit/Satuan Obat');
INSERT INTO `lang_definitions` VALUES (70586, 3072, 14, 'Obat');
INSERT INTO `lang_definitions` VALUES (70587, 3073, 14, 'Obat dan Produk');
INSERT INTO `lang_definitions` VALUES (70588, 3074, 14, 'Mulut Kering');
INSERT INTO `lang_definitions` VALUES (70589, 3076, 14, 'DT 1');
INSERT INTO `lang_definitions` VALUES (70590, 3077, 14, 'DT 2');
INSERT INTO `lang_definitions` VALUES (70591, 3078, 14, 'DT 3');
INSERT INTO `lang_definitions` VALUES (70592, 3079, 14, 'DT 4');
INSERT INTO `lang_definitions` VALUES (70593, 3080, 14, 'DT 5');
INSERT INTO `lang_definitions` VALUES (70594, 3081, 14, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (70595, 3082, 14, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (70596, 3083, 14, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (70597, 3084, 14, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (70598, 3085, 14, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (70599, 3087, 14, 'Jatuh Tempo');
INSERT INTO `lang_definitions` VALUES (70600, 3088, 14, 'Tanggal Jatuh Tempo');
INSERT INTO `lang_definitions` VALUES (70601, 3090, 14, 'Tanggal jatuh tempomm / dd / yyyy atau yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (70602, 3091, 14, 'Tanggal Jatuh Tempo:');
INSERT INTO `lang_definitions` VALUES (70603, 3092, 14, 'Ins Jatuh Tempo(batas)');
INSERT INTO `lang_definitions` VALUES (70604, 3093, 14, 'Pt Jatuh Tempi(batas)');
INSERT INTO `lang_definitions` VALUES (70605, 3094, 14, 'Segera Jatuh Tempo');
INSERT INTO `lang_definitions` VALUES (70606, 3095, 14, 'Status Jatuh Tempo');
INSERT INTO `lang_definitions` VALUES (70607, 3096, 14, 'Update Status Jatuh Tempo');
INSERT INTO `lang_definitions` VALUES (70608, 3097, 14, 'Dumping database OpenEMR');
INSERT INTO `lang_definitions` VALUES (70609, 3098, 14, 'Dumping pohon direktori web OpenEMR');
INSERT INTO `lang_definitions` VALUES (70610, 3099, 14, 'Dumping database phpGACL');
INSERT INTO `lang_definitions` VALUES (70611, 3100, 14, 'Dumping pohon direktori web phpGACL');
INSERT INTO `lang_definitions` VALUES (70612, 3101, 14, 'Dumping database SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (70613, 3102, 14, 'Dumping pohon direktori web SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (70614, 3103, 14, 'Pemeriksaan Duplikasi');
INSERT INTO `lang_definitions` VALUES (70615, 3108, 14, 'ID rangkap pada baris');
INSERT INTO `lang_definitions` VALUES (70616, 3109, 14, 'Nama rangkap pada baris');
INSERT INTO `lang_definitions` VALUES (70617, 3110, 14, 'PERINGATAN DUPLIKASI');
INSERT INTO `lang_definitions` VALUES (70618, 3111, 14, 'Ketahanan Surat Kuasa');
INSERT INTO `lang_definitions` VALUES (70619, 3112, 14, 'Durasi');
INSERT INTO `lang_definitions` VALUES (70620, 3113, 14, 'durasi');
INSERT INTO `lang_definitions` VALUES (70621, 3114, 14, 'Belanda');
INSERT INTO `lang_definitions` VALUES (70622, 3117, 14, 'Disfagia');
INSERT INTO `lang_definitions` VALUES (70623, 3118, 14, 'Dispnea/Nafas yg sulit:');
INSERT INTO `lang_definitions` VALUES (70624, 3119, 14, 'Disuria');
INSERT INTO `lang_definitions` VALUES (70625, 3128, 14, 'Resep Elektronik?');
INSERT INTO `lang_definitions` VALUES (70626, 3130, 14, 'e-Rx');
INSERT INTO `lang_definitions` VALUES (70627, 3132, 14, 'Pembaruan e-Rx');
INSERT INTO `lang_definitions` VALUES (70628, 3135, 14, 'Setiap penerima harus mengatur pesan mereka sendiri sebagai lengkap.');
INSERT INTO `lang_definitions` VALUES (70629, 3140, 14, 'Awal Kambuh (<2 Bulan)');
INSERT INTO `lang_definitions` VALUES (70630, 3141, 14, 'Kuping');
INSERT INTO `lang_definitions` VALUES (70631, 3148, 14, 'ECG');
INSERT INTO `lang_definitions` VALUES (70632, 3152, 14, 'Busung');
INSERT INTO `lang_definitions` VALUES (70633, 3157, 14, 'EDI-271 Upload File');
INSERT INTO `lang_definitions` VALUES (70634, 3158, 14, 'EDI-271 Respon Upload File');
INSERT INTO `lang_definitions` VALUES (70635, 3159, 14, 'Ubah');
INSERT INTO `lang_definitions` VALUES (70636, 3160, 14, 'ubah');
INSERT INTO `lang_definitions` VALUES (70637, 3161, 14, 'Edit Alergi');
INSERT INTO `lang_definitions` VALUES (70638, 3162, 14, 'Ubah Janji Temu');
INSERT INTO `lang_definitions` VALUES (70639, 3163, 14, 'Edit Kategori');
INSERT INTO `lang_definitions` VALUES (70640, 3164, 14, 'Ubah Pasien Ini');
INSERT INTO `lang_definitions` VALUES (70641, 3165, 14, 'Edit Definisi');
INSERT INTO `lang_definitions` VALUES (70642, 3166, 14, 'Edit definisi');
INSERT INTO `lang_definitions` VALUES (70643, 3167, 14, 'Edit Diagnosa untuk');
INSERT INTO `lang_definitions` VALUES (70644, 3168, 14, 'Edit Pengungkapan');
INSERT INTO `lang_definitions` VALUES (70645, 3169, 14, 'Ubah Dokumen');
INSERT INTO `lang_definitions` VALUES (70646, 3172, 14, 'UBAH GRUP YANG ADA');
INSERT INTO `lang_definitions` VALUES (70647, 3173, 14, 'Edit Fasilitas');
INSERT INTO `lang_definitions` VALUES (70648, 3174, 14, 'Edit Fasilitas');
INSERT INTO `lang_definitions` VALUES (70649, 3175, 14, 'Edit Informasi Fasilitas');
INSERT INTO `lang_definitions` VALUES (70650, 3177, 14, 'Edit File pada');
INSERT INTO `lang_definitions` VALUES (70651, 3178, 14, 'Ubah formulir');
INSERT INTO `lang_definitions` VALUES (70652, 3179, 14, 'Ubah Pengaturan Global');
INSERT INTO `lang_definitions` VALUES (70653, 3181, 14, 'Pengubahan tidak diizinkan!');
INSERT INTO `lang_definitions` VALUES (70654, 3183, 14, 'Edit Layout/Tata Letak');
INSERT INTO `lang_definitions` VALUES (70655, 3184, 14, 'Ubah Properti Tataletak');
INSERT INTO `lang_definitions` VALUES (70656, 3185, 14, 'Edit daftar');
INSERT INTO `lang_definitions` VALUES (70657, 3188, 14, 'Edit Pembayaran');
INSERT INTO `lang_definitions` VALUES (70658, 3189, 14, 'Edit Struktur');
INSERT INTO `lang_definitions` VALUES (70659, 3191, 14, 'Ubah formulir ini');
INSERT INTO `lang_definitions` VALUES (70660, 3192, 14, 'Edit Pengguna');
INSERT INTO `lang_definitions` VALUES (70661, 3193, 14, 'Edit Pengaturan Pengguna');
INSERT INTO `lang_definitions` VALUES (70662, 3194, 14, 'Ubah data yang anda masukkan');
INSERT INTO `lang_definitions` VALUES (70663, 3195, 14, 'Pengubahan gagal');
INSERT INTO `lang_definitions` VALUES (70664, 3196, 14, 'Pendidikan');
INSERT INTO `lang_definitions` VALUES (70665, 3197, 14, 'Tanggal Pendidikan');
INSERT INTO `lang_definitions` VALUES (70666, 3199, 14, 'ee * the GNU General Public License untuk rincian lebih lanjut. * * Anda harus menerima salinan GNU General Public License * bersama-sama dengan program ini, jika tidak, tulis ke Free');
INSERT INTO `lang_definitions` VALUES (70667, 3200, 14, 'Tanggal efektif');
INSERT INTO `lang_definitions` VALUES (70668, 3202, 14, 'Efektivitas');
INSERT INTO `lang_definitions` VALUES (70669, 3204, 14, 'EIN');
INSERT INTO `lang_definitions` VALUES (70670, 3207, 14, 'Ejakulasi');
INSERT INTO `lang_definitions` VALUES (70671, 3208, 14, 'Siku');
INSERT INTO `lang_definitions` VALUES (70672, 3209, 14, 'Masalah Siku');
INSERT INTO `lang_definitions` VALUES (70673, 3210, 14, 'Elektronik');
INSERT INTO `lang_definitions` VALUES (70674, 3212, 14, 'Catatan Elektronik');
INSERT INTO `lang_definitions` VALUES (70675, 3214, 14, 'Pengiriman Elektronik');
INSERT INTO `lang_definitions` VALUES (70676, 3215, 14, 'Laporan Elektronik');
INSERT INTO `lang_definitions` VALUES (70677, 3218, 14, 'Persyaratan');
INSERT INTO `lang_definitions` VALUES (70678, 3219, 14, 'Kelayakan Pemeriksaan Batch 270');
INSERT INTO `lang_definitions` VALUES (70679, 3220, 14, 'Tanggapan Persyaratan');
INSERT INTO `lang_definitions` VALUES (70680, 3222, 14, 'Status Kelayakan untuk vaksin yang disediakan untuk Anak-anak');
INSERT INTO `lang_definitions` VALUES (70681, 3223, 14, 'Memenuhi Syarat');
INSERT INTO `lang_definitions` VALUES (70682, 3224, 14, 'Elips');
INSERT INTO `lang_definitions` VALUES (70683, 3225, 14, 'Email');
INSERT INTO `lang_definitions` VALUES (70684, 3226, 14, 'surel');
INSERT INTO `lang_definitions` VALUES (70685, 3227, 14, 'SUREL');
INSERT INTO `lang_definitions` VALUES (70686, 3228, 14, 'Alamat Email');
INSERT INTO `lang_definitions` VALUES (70687, 3229, 14, 'Alamat surel tidak ada');
INSERT INTO `lang_definitions` VALUES (70688, 3230, 14, 'Alamat email dari pengirim untuk pengingat pasien. Balasan kepada pengingat pasien akan diarahkan ke alamat ini. Penting untuk menggunakan alamat dari domain klinik anda untuk menghindari membantu mencegah pengingat pasien menuju ke folder junk/sampah pada mail.');
INSERT INTO `lang_definitions` VALUES (70689, 3231, 14, 'Alamat email, jika ada, untuk menerima pemberitahuan administratif.');
INSERT INTO `lang_definitions` VALUES (70690, 3232, 14, 'Alamat email, jika ada, untuk menerima pesan aktivasi login pengguna darurat.');
INSERT INTO `lang_definitions` VALUES (70691, 3233, 14, 'Auth Email');
INSERT INTO `lang_definitions` VALUES (70692, 3234, 14, 'SUREL Terkonfirmasi');
INSERT INTO `lang_definitions` VALUES (70693, 3236, 14, 'Email dari Batchcom');
INSERT INTO `lang_definitions` VALUES (70694, 3238, 14, 'Notifikasi/Pemberitahuan Email');
INSERT INTO `lang_definitions` VALUES (70695, 3239, 14, 'Waktu Notifikasi Email');
INSERT INTO `lang_definitions` VALUES (70696, 3240, 14, 'Laporan Notifikasi Surel');
INSERT INTO `lang_definitions` VALUES (70697, 3244, 14, 'Email dikirim sebelum');
INSERT INTO `lang_definitions` VALUES (70698, 3245, 14, 'Email Pengirim');
INSERT INTO `lang_definitions` VALUES (70699, 3246, 14, 'Email Terkirim');
INSERT INTO `lang_definitions` VALUES (70700, 3247, 14, 'Surel dikirim ke');
INSERT INTO `lang_definitions` VALUES (70701, 3248, 14, 'Subjek email');
INSERT INTO `lang_definitions` VALUES (70702, 3249, 14, 'judul surel');
INSERT INTO `lang_definitions` VALUES (70703, 3251, 14, 'Teks email, Tag yang dapat digunakan: ***NAMA***, contoh Kepada*** NAMA***');
INSERT INTO `lang_definitions` VALUES (70704, 3253, 14, 'Metode Pengiriman Email');
INSERT INTO `lang_definitions` VALUES (70705, 3254, 14, 'Email dikirimkan ke alamat berikut');
INSERT INTO `lang_definitions` VALUES (70706, 3259, 14, 'Kontak Darurat');
INSERT INTO `lang_definitions` VALUES (70707, 3260, 14, 'Kontak Pribadi Darurat');
INSERT INTO `lang_definitions` VALUES (70708, 3261, 14, 'Nomor Telepon Kontak Darurat');
INSERT INTO `lang_definitions` VALUES (70709, 3262, 14, 'Darurat Contraception');
INSERT INTO `lang_definitions` VALUES (70710, 3263, 14, 'Login Darurat');
INSERT INTO `lang_definitions` VALUES (70711, 3264, 14, 'Login Darurat ACL telah dipilih. Pengguna masih dalam keadaan aktif, silahkan nonaktifkan pengguna dan aktifkan kembali ketika diperlukan selama situasi darurat. Kunjungi Administrasi->Pengguna untuk aktivasi dan nonaktivasi.');
INSERT INTO `lang_definitions` VALUES (70712, 3265, 14, 'Email aktivasi Login darurat akan beredar hanya jika pengaturan berikut dalam file interface/globals.php dikonfigurasi.');
INSERT INTO `lang_definitions` VALUES (70713, 3266, 14, 'Alamat Email Login Darurat');
INSERT INTO `lang_definitions` VALUES (70714, 3267, 14, 'Pengguna Login Darurat dapat melakukan apapun');
INSERT INTO `lang_definitions` VALUES (70715, 3268, 14, 'Telepon Darurat');
INSERT INTO `lang_definitions` VALUES (70716, 3271, 14, 'Empisema');
INSERT INTO `lang_definitions` VALUES (70717, 3272, 14, 'Karyawan');
INSERT INTO `lang_definitions` VALUES (70718, 3273, 14, 'Perusahaan Pemberi Kerja');
INSERT INTO `lang_definitions` VALUES (70719, 3274, 14, 'Alamat Perusahaan Pemberi Kerja');
INSERT INTO `lang_definitions` VALUES (70720, 3275, 14, 'Data Perusahaan Pemberi Kerja');
INSERT INTO `lang_definitions` VALUES (70721, 3276, 14, 'Nama Perusahaan Pemberi Kerja');
INSERT INTO `lang_definitions` VALUES (70722, 3277, 14, 'KOSONG');
INSERT INTO `lang_definitions` VALUES (70723, 3278, 14, 'Kosong');
INSERT INTO `lang_definitions` VALUES (70724, 3279, 14, 'Tidak Diijinkan Menggunakan Password Kosong');
INSERT INTO `lang_definitions` VALUES (70725, 3280, 14, 'Tabel Kosong');
INSERT INTO `lang_definitions` VALUES (70726, 3281, 14, 'Nilai kosong pada \"Waktu Email\"');
INSERT INTO `lang_definitions` VALUES (70727, 3282, 14, 'Nilai kosong pada \"Pengirim Email\"');
INSERT INTO `lang_definitions` VALUES (70728, 3283, 14, 'Nilai kosong pada \"Subjek Email\"');
INSERT INTO `lang_definitions` VALUES (70729, 3284, 14, 'Nilai kosong pada \"Teks Email\"');
INSERT INTO `lang_definitions` VALUES (70730, 3285, 14, 'Nilai kosong pada \"Nama Provider\"');
INSERT INTO `lang_definitions` VALUES (70731, 3286, 14, 'Nilai kosong pada \"Pasword\"');
INSERT INTO `lang_definitions` VALUES (70732, 3287, 14, 'Nilai kosong pada \"Waktu SMS\"');
INSERT INTO `lang_definitions` VALUES (70733, 3288, 14, 'Nilai kosong pada \"Teks SMS\"');
INSERT INTO `lang_definitions` VALUES (70734, 3289, 14, 'Nilai kosong pada \"Nama pengguna\"');
INSERT INTO `lang_definitions` VALUES (70735, 3292, 14, 'Aktifkan');
INSERT INTO `lang_definitions` VALUES (70736, 3298, 14, 'Aktifkan Percepatan AMC');
INSERT INTO `lang_definitions` VALUES (70737, 3300, 14, 'Aktifkan Laporan AMC');
INSERT INTO `lang_definitions` VALUES (70738, 3301, 14, 'Aktifkan Pelacakan AMC');
INSERT INTO `lang_definitions` VALUES (70739, 3303, 14, 'Aktifkan Audit ATNA');
INSERT INTO `lang_definitions` VALUES (70740, 3304, 14, 'Aktifkan Enkripsi Log Audit');
INSERT INTO `lang_definitions` VALUES (70741, 3305, 14, 'Aktifkan Logging Audit');
INSERT INTO `lang_definitions` VALUES (70742, 3306, 14, 'Aktifkan Trail Audit dan Otentikasi Node (ATNA)');
INSERT INTO `lang_definitions` VALUES (70743, 3307, 14, 'Aktifkan Laporan Penghitungan Ukuran Otomatis (AMC)');
INSERT INTO `lang_definitions` VALUES (70744, 3312, 14, 'Aktifkan SSL Klien');
INSERT INTO `lang_definitions` VALUES (70745, 3313, 14, 'Aktifkan otentikasi sertifikat klien SSL');
INSERT INTO `lang_definitions` VALUES (70746, 3315, 14, 'Aktifkan Aturan Keputusan Klinis (CDR)');
INSERT INTO `lang_definitions` VALUES (70747, 3318, 14, 'Aktifkan Laporan Ukuran Kualitas Klinis (CQM)');
INSERT INTO `lang_definitions` VALUES (70748, 3319, 14, 'Aktifkan Popup Pengingat Klinis');
INSERT INTO `lang_definitions` VALUES (70749, 3320, 14, 'Aktifkan Widget Pengingat Klinis');
INSERT INTO `lang_definitions` VALUES (70750, 3324, 14, 'Aktifkan Laporan CQM');
INSERT INTO `lang_definitions` VALUES (70751, 3341, 14, 'Aktifkan Dukungan Hylafax');
INSERT INTO `lang_definitions` VALUES (70752, 3343, 14, 'Aktifkan pesan status impor untuk NewCrop erx');
INSERT INTO `lang_definitions` VALUES (70753, 3347, 14, 'Aktifkan Pertukaran Lab');
INSERT INTO `lang_definitions` VALUES (70754, 3350, 14, 'Aktifkan logging dari semua query SQL SELECT.');
INSERT INTO `lang_definitions` VALUES (70755, 3351, 14, 'Aktifkan logging dari backup kegiatan yang terkait.');
INSERT INTO `lang_definitions` VALUES (70756, 3353, 14, 'Aktifkan logging dari kegiatan lain-lain.');
INSERT INTO `lang_definitions` VALUES (70757, 3354, 14, 'Aktifkan logging dari susunan kegiatan.');
INSERT INTO `lang_definitions` VALUES (70758, 3355, 14, 'Aktifkan logging dari modifikasi record/catatan pasien.');
INSERT INTO `lang_definitions` VALUES (70759, 3356, 14, 'Aktifkan logging dari penjadwalan kegiatan.');
INSERT INTO `lang_definitions` VALUES (70760, 3357, 14, 'Aktifkan logging dari keamanan dan kegiatan administrasi.');
INSERT INTO `lang_definitions` VALUES (70761, 3360, 14, 'Aktifkan Layanan NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (70762, 3365, 14, 'Aktifkan Portal Offsite Pasien');
INSERT INTO `lang_definitions` VALUES (70763, 3366, 14, 'Aktifkan Portal Offsite Pasien.');
INSERT INTO `lang_definitions` VALUES (70764, 3368, 14, 'Aktifkan Portal Onsite Pasien');
INSERT INTO `lang_definitions` VALUES (70765, 3371, 14, 'Aktifkan Portal Onsite Pasien.');
INSERT INTO `lang_definitions` VALUES (70766, 3385, 14, 'Aktifkan Widget Pengingat Pasien');
INSERT INTO `lang_definitions` VALUES (70767, 3389, 14, 'Aktifkan Percepatan Untuk Penghitungan Ukuran Otomatis (AMC) Data yang Dibutuhkan');
INSERT INTO `lang_definitions` VALUES (70768, 3391, 14, 'Aktifkan Laporan dari Pelacakan Tanggal Dari Penghitungan Ukuran Otomatis (AMC)');
INSERT INTO `lang_definitions` VALUES (70769, 3392, 14, 'Aktifkan Dukungan Scanner');
INSERT INTO `lang_definitions` VALUES (70770, 3397, 14, 'Aktifkan Dukungan OpenEMR LLC Layanan Pertukaran Lab.');
INSERT INTO `lang_definitions` VALUES (70771, 3398, 14, 'Aktifkan Otentikasi Sertifikat Pengguna');
INSERT INTO `lang_definitions` VALUES (70772, 3403, 14, 'Aktifkan layanan ZMG, LLC, eRx');
INSERT INTO `lang_definitions` VALUES (70773, 3404, 14, 'diaktifkan');
INSERT INTO `lang_definitions` VALUES (70774, 3412, 14, 'Memungkinkan panel Buaya yang lama untuk memasukkan kode tagihan dan pembayaran. Tidak direkomendasikan, sebaga gantinya gunakan Lembar Biaya.');
INSERT INTO `lang_definitions` VALUES (70775, 3415, 14, 'Enc(Encounter)');
INSERT INTO `lang_definitions` VALUES (70776, 3417, 14, 'Encounter');
INSERT INTO `lang_definitions` VALUES (70777, 3418, 14, 'Encounter');
INSERT INTO `lang_definitions` VALUES (70778, 3419, 14, 'encounter');
INSERT INTO `lang_definitions` VALUES (70779, 3420, 14, 'Encounter');
INSERT INTO `lang_definitions` VALUES (70780, 3421, 14, 'mengalami rawat inap akut atau ED');
INSERT INTO `lang_definitions` VALUES (70781, 3427, 14, 'Tanggal Kunjungan');
INSERT INTO `lang_definitions` VALUES (70782, 3432, 14, 'Formulir Encounter');
INSERT INTO `lang_definitions` VALUES (70783, 3433, 14, 'mengalami penilaian kesehatan dan perilaku');
INSERT INTO `lang_definitions` VALUES (70784, 3434, 14, 'Riwayat Encounter');
INSERT INTO `lang_definitions` VALUES (70785, 3435, 14, 'ID Encounter');
INSERT INTO `lang_definitions` VALUES (70786, 3436, 14, 'mengalamai influenza');
INSERT INTO `lang_definitions` VALUES (70787, 3439, 14, 'Nomor kunjungan');
INSERT INTO `lang_definitions` VALUES (70788, 3440, 14, 'Nomor Kunjungan');
INSERT INTO `lang_definitions` VALUES (70789, 3441, 14, 'menghadapi pemberhentian keperawatan');
INSERT INTO `lang_definitions` VALUES (70790, 3442, 14, 'menjumpai fasilitas keperawatan');
INSERT INTO `lang_definitions` VALUES (70791, 3443, 14, 'menghadapi terapi kerja');
INSERT INTO `lang_definitions` VALUES (70792, 3444, 14, 'menghadapi kunjungan kerja');
INSERT INTO `lang_definitions` VALUES (70793, 3445, 14, 'mengalami rawat jalan');
INSERT INTO `lang_definitions` VALUES (70794, 3446, 14, 'mengalami rawat jalan PCP dan obgyn');
INSERT INTO `lang_definitions` VALUES (70795, 3447, 14, 'Ukuran Halaman Encounter');
INSERT INTO `lang_definitions` VALUES (70796, 3449, 14, 'mengalami kehamilan');
INSERT INTO `lang_definitions` VALUES (70797, 3450, 14, 'mengalami obat pencegahan - konseling individu');
INSERT INTO `lang_definitions` VALUES (70798, 3451, 14, 'mengalami obat pencegahan 40 dan lebih tua');
INSERT INTO `lang_definitions` VALUES (70799, 3452, 14, 'mengalami konseling kelompok obat pencegahan');
INSERT INTO `lang_definitions` VALUES (70800, 3453, 14, 'mengalami layanan pengobatan pencegahan lainnya');
INSERT INTO `lang_definitions` VALUES (70801, 3454, 14, 'mengalami layanan pengobatan pencegahan 18 dan lebih tua');
INSERT INTO `lang_definitions` VALUES (70802, 3457, 14, 'mengalami layan psikiatri dan psikologi');
INSERT INTO `lang_definitions` VALUES (70803, 3458, 14, 'Statistik encounter');
INSERT INTO `lang_definitions` VALUES (70804, 3459, 14, 'Ringkasan Encounter');
INSERT INTO `lang_definitions` VALUES (70805, 3461, 14, 'Encounter dikodekan');
INSERT INTO `lang_definitions` VALUES (70806, 3462, 14, 'Encounter:');
INSERT INTO `lang_definitions` VALUES (70807, 3463, 14, 'Encounter: mengalami rawat inap non-akut, rawat jalan, dan oftamologi');
INSERT INTO `lang_definitions` VALUES (70808, 3464, 14, 'Encounter');
INSERT INTO `lang_definitions` VALUES (70809, 3465, 14, 'Encounter & Formulir');
INSERT INTO `lang_definitions` VALUES (70810, 3466, 14, 'Encounter & Formulir');
INSERT INTO `lang_definitions` VALUES (70811, 3467, 14, 'Encounter tidak diizinkan');
INSERT INTO `lang_definitions` VALUES (70812, 3468, 14, 'Laporan Encounter');
INSERT INTO `lang_definitions` VALUES (70813, 3469, 14, 'Bagian Encounter');
INSERT INTO `lang_definitions` VALUES (70814, 3471, 14, 'Enkripsi');
INSERT INTO `lang_definitions` VALUES (70815, 3472, 14, 'Akhir');
INSERT INTO `lang_definitions` VALUES (70816, 3473, 14, 'Akhir (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (70817, 3474, 14, 'Tanggal Akhir');
INSERT INTO `lang_definitions` VALUES (70818, 3475, 14, 'Tanggal akhir');
INSERT INTO `lang_definitions` VALUES (70819, 3480, 14, 'Tanggal akhir harus lebih dari Tanggal mulai');
INSERT INTO `lang_definitions` VALUES (70820, 3482, 14, 'Tanggal Berakhir:');
INSERT INTO `lang_definitions` VALUES (70821, 3487, 14, 'Waktu Akhir');
INSERT INTO `lang_definitions` VALUES (70822, 3489, 14, 'Tahap Akhir Penerima Penyakit Ginjal pada MCP dengan Employer\'s Group Plan (Rencana)');
INSERT INTO `lang_definitions` VALUES (70823, 3492, 14, 'Tanggal berakhirnya layanan yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (70824, 3493, 14, 'Berakhirnya DOS mm/dd/yyyy jika anda ingin memasukkan range');
INSERT INTO `lang_definitions` VALUES (70825, 3494, 14, 'Berakhirnya waktu pada hari untuk event kalender');
INSERT INTO `lang_definitions` VALUES (70826, 3495, 14, 'Endo Darah Abnormal');
INSERT INTO `lang_definitions` VALUES (70827, 3496, 14, 'Kelenjar endokrin');
INSERT INTO `lang_definitions` VALUES (70828, 3497, 14, 'Endoskopi');
INSERT INTO `lang_definitions` VALUES (70829, 3502, 14, 'Inggris');
INSERT INTO `lang_definitions` VALUES (70830, 3503, 14, 'Inggris');
INSERT INTO `lang_definitions` VALUES (70831, 3504, 14, 'Inggris (Indian)');
INSERT INTO `lang_definitions` VALUES (70832, 3505, 14, 'Inggris (Standar)');
INSERT INTO `lang_definitions` VALUES (70833, 3506, 14, 'Perintah Enscript digunakan oleh Hylafax');
INSERT INTO `lang_definitions` VALUES (70834, 3507, 14, 'Patikan OpenEMR telah menulis hak akses ke direktori');
INSERT INTO `lang_definitions` VALUES (70835, 3509, 14, 'Pelepasan THT');
INSERT INTO `lang_definitions` VALUES (70836, 3513, 14, 'Masukkan kode diagnosa untuk mengecualikan semua faktur/tagihan yang tidak mengandung hal tersebut');
INSERT INTO `lang_definitions` VALUES (70837, 3518, 14, 'Masukkan badan surat disini');
INSERT INTO `lang_definitions` VALUES (70838, 3520, 14, 'Masukkan Pasword root Database');
INSERT INTO `lang_definitions` VALUES (70839, 3521, 14, 'Masukkan Nama pengguna root Database');
INSERT INTO `lang_definitions` VALUES (70840, 3529, 14, 'Masukkan Diagnosa');
INSERT INTO `lang_definitions` VALUES (70841, 3530, 14, 'Masukkan Obat');
INSERT INTO `lang_definitions` VALUES (70842, 3537, 14, 'Masukkan Imunisasi');
INSERT INTO `lang_definitions` VALUES (70843, 3538, 14, 'Masukan Kunci');
INSERT INTO `lang_definitions` VALUES (70844, 3544, 14, 'Masukkan Negara baru');
INSERT INTO `lang_definitions` VALUES (70845, 3569, 14, 'Masukkan kode Identifikasi');
INSERT INTO `lang_definitions` VALUES (70846, 3581, 14, 'Masukkan kriteria pencarian anda di atas');
INSERT INTO `lang_definitions` VALUES (70847, 3591, 14, 'Lingkungan');
INSERT INTO `lang_definitions` VALUES (70848, 3592, 14, 'Entry Data EOB');
INSERT INTO `lang_definitions` VALUES (70849, 3596, 14, 'Posting EOB - Layanan Pengiriman Uang');
INSERT INTO `lang_definitions` VALUES (70850, 3597, 14, 'Posting EOB - Instruksi');
INSERT INTO `lang_definitions` VALUES (70851, 3598, 14, 'Posting EOB - Faktur');
INSERT INTO `lang_definitions` VALUES (70852, 3599, 14, 'Posting EOB - Catatan Pasien');
INSERT INTO `lang_definitions` VALUES (70853, 3600, 14, 'Posting EOB - Cari');
INSERT INTO `lang_definitions` VALUES (70854, 3602, 14, 'Epilepsi');
INSERT INTO `lang_definitions` VALUES (70855, 3608, 14, 'ERA');
INSERT INTO `lang_definitions` VALUES (70856, 3610, 14, 'Posting ERA');
INSERT INTO `lang_definitions` VALUES (70857, 3612, 14, 'Menghapus');
INSERT INTO `lang_definitions` VALUES (70858, 3614, 14, 'Ereksi');
INSERT INTO `lang_definitions` VALUES (70859, 3615, 14, 'Kesalahan');
INSERT INTO `lang_definitions` VALUES (70860, 3617, 14, 'Kesalahan mengkonfirmasikan hasil lab');
INSERT INTO `lang_definitions` VALUES (70861, 3620, 14, 'Kesalahan mendapatkan hasil lab dari Lab Exchange Network (Jaringan Pertukaran Lab)');
INSERT INTO `lang_definitions` VALUES (70862, 3621, 14, 'Kesalahan dalam pemilihan \"Jenis Kelamin\"');
INSERT INTO `lang_definitions` VALUES (70863, 3622, 14, 'Kesalahan dalam pemilihan \"HIPAA\"');
INSERT INTO `lang_definitions` VALUES (70864, 3623, 14, 'Kesalahan dalam pemilihan \"Proses\"');
INSERT INTO `lang_definitions` VALUES (70865, 3624, 14, 'Kesalahan dalam pemilihan \"SMS Gateway\"');
INSERT INTO `lang_definitions` VALUES (70866, 3625, 14, 'Kesalahan dalam pemilihan \"Urut Berdasarkan\"');
INSERT INTO `lang_definitions` VALUES (70867, 3626, 14, 'Kesalahan dalam pengkompresian file gzip:');
INSERT INTO `lang_definitions` VALUES (70868, 3627, 14, 'Kesalahan dalam pilihan YA atau TIDAK');
INSERT INTO `lang_definitions` VALUES (70869, 3630, 14, 'Kesalahan pembukaan file yang telah diupload untuk dibaca');
INSERT INTO `lang_definitions` VALUES (70870, 3633, 14, 'Kesalahan Menghapus Pesan');
INSERT INTO `lang_definitions` VALUES (70871, 3634, 14, 'Kesalahan mengambil hasil dari Lab Exchange Network (Jaringan Pertukaran Lab)');
INSERT INTO `lang_definitions` VALUES (70872, 3637, 14, 'Kesalahan saat memberikan hak akses file kepada pengguna OpenEMR.');
INSERT INTO `lang_definitions` VALUES (70873, 3640, 14, 'kesalahan saat mendaftarkan formulir');
INSERT INTO `lang_definitions` VALUES (70874, 3641, 14, 'Kesalahan saat menyimpan kedalam file');
INSERT INTO `lang_definitions` VALUES (70875, 3643, 14, 'Kesalahan saat menulis kedalam file');
INSERT INTO `lang_definitions` VALUES (70876, 3651, 14, 'Kesalahan, file tersebut tidak ada');
INSERT INTO `lang_definitions` VALUES (70877, 3652, 14, 'KESALAHAN, tidak dapat mengambil data dari server');
INSERT INTO `lang_definitions` VALUES (70878, 3653, 14, 'Kesalahan, tidak dapat membuat sertifikat klien.');
INSERT INTO `lang_definitions` VALUES (70879, 3654, 14, 'Kesalahan, tidak dapat membuat sertifikat admin.p12.');
INSERT INTO `lang_definitions` VALUES (70880, 3655, 14, 'Kesalahan, tidak dapat membuat sertifikat Pengizinan Sertifikat.');
INSERT INTO `lang_definitions` VALUES (70881, 3656, 14, 'Kesalaham, tidak dapat membuat sertifikat Server.');
INSERT INTO `lang_definitions` VALUES (70882, 3658, 14, 'Kesalahan, tidak dapat membuka file');
INSERT INTO `lang_definitions` VALUES (70883, 3659, 14, 'Kesalahan, Otentikasi Sertifikat Pengguna tidak diaktifkan pada OpenEMR');
INSERT INTO `lang_definitions` VALUES (70884, 3663, 14, 'Kesalahan. Anda harus menginstal modul php Archive/Tar.php.');
INSERT INTO `lang_definitions` VALUES (70885, 3664, 14, 'KESALAHAN: tidak dapat membuka table.sql, formulir rusak?');
INSERT INTO `lang_definitions` VALUES (70886, 3667, 14, 'Kesalahan: ID rangkap pada baris');
INSERT INTO `lang_definitions` VALUES (70887, 3668, 14, 'Kesalahan: nama rangkap pada baris');
INSERT INTO `lang_definitions` VALUES (70888, 3669, 14, 'KESALAHAN: Field/Bagian');
INSERT INTO `lang_definitions` VALUES (70889, 3670, 14, 'KESALAHAN: Module PHP ZipArchive tidak ditemukan');
INSERT INTO `lang_definitions` VALUES (70890, 3672, 14, 'Kesalahan: pasword tidak cocok. Silahkan periksa pengetikan anda.');
INSERT INTO `lang_definitions` VALUES (70891, 3673, 14, 'Kesalahan: pasword tidak cocok. Silahkan periksa pengetikan anda.');
INSERT INTO `lang_definitions` VALUES (70892, 3674, 14, 'Kesalahan: file tersebut tidak ada');
INSERT INTO `lang_definitions` VALUES (70893, 3675, 14, 'KESALAHAN: Variabel tersebut berisi karakter yang tidak valid');
INSERT INTO `lang_definitions` VALUES (70894, 3676, 14, 'KESALAHAN: Tidak dapat menyalin file.');
INSERT INTO `lang_definitions` VALUES (70895, 3677, 14, 'Keslahan: Tidak dapat membuat arsip yang dapat didownload');
INSERT INTO `lang_definitions` VALUES (70896, 3678, 14, 'KESALAHAN: Tidak dapat Membuat Arsip Zip.');
INSERT INTO `lang_definitions` VALUES (70897, 3679, 14, 'KESALAHAN: Tidak dapat mengekstrak file.');
INSERT INTO `lang_definitions` VALUES (70898, 3680, 14, 'KESALAHAN: Tidak dapat memuat file kedalama database.');
INSERT INTO `lang_definitions` VALUES (70899, 3681, 14, 'KESALAHAN: Tidak dapat mengatur nomor versi.');
INSERT INTO `lang_definitions` VALUES (70900, 3682, 14, 'Kesalahan');
INSERT INTO `lang_definitions` VALUES (70901, 3684, 14, 'Status Akun/Rekening eRx');
INSERT INTO `lang_definitions` VALUES (70902, 3685, 14, 'Log eRx');
INSERT INTO `lang_definitions` VALUES (70903, 3686, 14, 'Nama ERX');
INSERT INTO `lang_definitions` VALUES (70904, 3687, 14, 'Pasword ERX');
INSERT INTO `lang_definitions` VALUES (70905, 3688, 14, 'Tugas ERX');
INSERT INTO `lang_definitions` VALUES (70906, 3689, 14, 'Pengguna ERX');
INSERT INTO `lang_definitions` VALUES (70907, 3690, 14, 'Eritema:');
INSERT INTO `lang_definitions` VALUES (70908, 3693, 14, 'Eskimo');
INSERT INTO `lang_definitions` VALUES (70909, 3699, 14, 'Pasien yang Ditetapkan');
INSERT INTO `lang_definitions` VALUES (70910, 3701, 14, 'Etnis');
INSERT INTO `lang_definitions` VALUES (70911, 3702, 14, 'Etnis atau Ras');
INSERT INTO `lang_definitions` VALUES (70912, 3703, 14, 'Etnis-Daftar Ras (tulis, hanya tambah opsional)');
INSERT INTO `lang_definitions` VALUES (70913, 3706, 14, 'ETIN');
INSERT INTO `lang_definitions` VALUES (70914, 3709, 14, 'Event');
INSERT INTO `lang_definitions` VALUES (70915, 3710, 14, 'Event Dimulai');
INSERT INTO `lang_definitions` VALUES (70916, 3711, 14, 'Kategori Event');
INSERT INTO `lang_definitions` VALUES (70917, 3712, 14, 'Tanggal Event');
INSERT INTO `lang_definitions` VALUES (70918, 3714, 14, 'Deskripsi Event');
INSERT INTO `lang_definitions` VALUES (70919, 3715, 14, 'Rincian Event');
INSERT INTO `lang_definitions` VALUES (70920, 3716, 14, 'Event tidak diulangi');
INSERT INTO `lang_definitions` VALUES (70921, 3717, 14, 'Durasi Event');
INSERT INTO `lang_definitions` VALUES (70922, 3718, 14, 'Durasi event dalam menit');
INSERT INTO `lang_definitions` VALUES (70923, 3719, 14, 'Biaya Event');
INSERT INTO `lang_definitions` VALUES (70924, 3720, 14, 'Lokasi Event');
INSERT INTO `lang_definitions` VALUES (70925, 3721, 14, 'Event diulang setiap');
INSERT INTO `lang_definitions` VALUES (70926, 3722, 14, 'Event diulang pada');
INSERT INTO `lang_definitions` VALUES (70927, 3723, 14, 'Waktu mulai Event');
INSERT INTO `lang_definitions` VALUES (70928, 3724, 14, 'Judul Event');
INSERT INTO `lang_definitions` VALUES (70929, 3725, 14, 'Judul Event');
INSERT INTO `lang_definitions` VALUES (70930, 3726, 14, 'Situs Web Event');
INSERT INTO `lang_definitions` VALUES (70931, 3727, 14, 'Event');
INSERT INTO `lang_definitions` VALUES (70932, 3728, 14, 'Event untuk');
INSERT INTO `lang_definitions` VALUES (70933, 3729, 14, 'Event dibuka pada jendela baru');
INSERT INTO `lang_definitions` VALUES (70934, 3731, 14, 'setiap');
INSERT INTO `lang_definitions` VALUES (70935, 3732, 14, 'Setiap');
INSERT INTO `lang_definitions` VALUES (70936, 3734, 14, 'setiap 3 jam');
INSERT INTO `lang_definitions` VALUES (70937, 3736, 14, 'setiap 4 jam');
INSERT INTO `lang_definitions` VALUES (70938, 3738, 14, 'setiap 5 jam');
INSERT INTO `lang_definitions` VALUES (70939, 3740, 14, 'setiap 6 jam');
INSERT INTO `lang_definitions` VALUES (70940, 3742, 14, 'setiap 8 jam');
INSERT INTO `lang_definitions` VALUES (70941, 3743, 14, 'Setiap yang Keempat');
INSERT INTO `lang_definitions` VALUES (70942, 3745, 14, 'Setiap Lainya');
INSERT INTO `lang_definitions` VALUES (70943, 3746, 14, 'Setiap yang Ketiga');
INSERT INTO `lang_definitions` VALUES (70944, 3747, 14, 'Setiap, setiap lainnya, setiap ketiga, dll.');
INSERT INTO `lang_definitions` VALUES (70945, 3749, 14, 'Pemeriksaan dan hasil pengujian');
INSERT INTO `lang_definitions` VALUES (70946, 3750, 14, 'Hasil pemeriksaan');
INSERT INTO `lang_definitions` VALUES (70947, 3753, 14, 'Pemeriksaan');
INSERT INTO `lang_definitions` VALUES (70948, 3754, 14, 'Tanggal Pemeriksaan');
INSERT INTO `lang_definitions` VALUES (70949, 3755, 14, 'Contoh');
INSERT INTO `lang_definitions` VALUES (70950, 3758, 14, 'Contoh');
INSERT INTO `lang_definitions` VALUES (70951, 3760, 14, 'Pemeriksaan/Pengujian');
INSERT INTO `lang_definitions` VALUES (70952, 3762, 14, 'Kecuali');
INSERT INTO `lang_definitions` VALUES (70953, 3763, 14, 'Tearing Berlebihan');
INSERT INTO `lang_definitions` VALUES (70954, 3766, 14, 'Pasien yang Dikecualikan');
INSERT INTO `lang_definitions` VALUES (70955, 3767, 14, 'Pengecualian');
INSERT INTO `lang_definitions` VALUES (70956, 3768, 14, 'Organisasi eksklusif Provider (EPO)');
INSERT INTO `lang_definitions` VALUES (70957, 3770, 14, 'Ukuran Kertas Eksekutif');
INSERT INTO `lang_definitions` VALUES (70958, 3771, 14, 'Latihan');
INSERT INTO `lang_definitions` VALUES (70959, 3772, 14, 'Pola latihan');
INSERT INTO `lang_definitions` VALUES (70960, 3773, 14, 'Pola Latihan');
INSERT INTO `lang_definitions` VALUES (70961, 3774, 14, 'Ada');
INSERT INTO `lang_definitions` VALUES (70962, 3778, 14, 'Keluar dari Administrasi');
INSERT INTO `lang_definitions` VALUES (70963, 3782, 14, 'Exp');
INSERT INTO `lang_definitions` VALUES (70964, 3784, 14, 'Memperluas');
INSERT INTO `lang_definitions` VALUES (70965, 3785, 14, 'memperluas');
INSERT INTO `lang_definitions` VALUES (70966, 3787, 14, 'Perluas Semua');
INSERT INTO `lang_definitions` VALUES (70967, 3792, 14, 'Penglihatan Diperluas');
INSERT INTO `lang_definitions` VALUES (70968, 3793, 14, 'Form_encounter.pid diharapkan akan menjadi');
INSERT INTO `lang_definitions` VALUES (70969, 3794, 14, 'Kadaluarsa');
INSERT INTO `lang_definitions` VALUES (70970, 3795, 14, 'Tanggal Kadaluarsa');
INSERT INTO `lang_definitions` VALUES (70971, 3797, 14, 'Berakhir');
INSERT INTO `lang_definitions` VALUES (70972, 3798, 14, 'berakhir pada');
INSERT INTO `lang_definitions` VALUES (70973, 3799, 14, 'Ekspor');
INSERT INTO `lang_definitions` VALUES (70974, 3800, 14, 'Ekspor sebagai CSV');
INSERT INTO `lang_definitions` VALUES (70975, 3802, 14, 'Ekspor Konfigurasi');
INSERT INTO `lang_definitions` VALUES (70976, 3806, 14, 'Ekspor Demografic Pasien');
INSERT INTO `lang_definitions` VALUES (70977, 3808, 14, 'Ekspor Laporan PQRI');
INSERT INTO `lang_definitions` VALUES (70978, 3810, 14, 'Ekspor yang Dipilih sebagai CSV');
INSERT INTO `lang_definitions` VALUES (70979, 3811, 14, 'Ekspor yang Dipilih ke Koleksi');
INSERT INTO `lang_definitions` VALUES (70980, 3812, 14, 'Ekspor ke CSV');
INSERT INTO `lang_definitions` VALUES (70981, 3813, 14, 'Ekspor ke sistem tagihan eksternal');
INSERT INTO `lang_definitions` VALUES (70982, 3815, 14, 'Eksposur ke Negara Asing');
INSERT INTO `lang_definitions` VALUES (70983, 3816, 14, 'Eksposur Ke Negara Asing');
INSERT INTO `lang_definitions` VALUES (70984, 3818, 14, 'Waktu Ext(Eksternal) Terkumpul');
INSERT INTO `lang_definitions` VALUES (70985, 3820, 14, 'Eksternal');
INSERT INTO `lang_definitions` VALUES (70986, 3828, 14, 'ID Eksternal');
INSERT INTO `lang_definitions` VALUES (70987, 3829, 14, 'Id Eksternal');
INSERT INTO `lang_definitions` VALUES (70988, 3830, 14, 'Identifier eksternal');
INSERT INTO `lang_definitions` VALUES (70989, 3831, 14, 'Hanya Eksternal');
INSERT INTO `lang_definitions` VALUES (70990, 3834, 14, 'Rujukan Eksternal');
INSERT INTO `lang_definitions` VALUES (70991, 3835, 14, 'Tindak Lanjut Rujukan Eksternal');
INSERT INTO `lang_definitions` VALUES (70992, 3836, 14, 'Rujukan eksternal?');
INSERT INTO `lang_definitions` VALUES (70993, 3837, 14, 'Rujukan Eksternal');
INSERT INTO `lang_definitions` VALUES (70994, 3838, 14, 'Ekstrak file zip');
INSERT INTO `lang_definitions` VALUES (70995, 3839, 14, 'Sedang mengekstrak file. Ini akan sedikit memakan waktu...');
INSERT INTO `lang_definitions` VALUES (70996, 3840, 14, 'Eksudat:');
INSERT INTO `lang_definitions` VALUES (70997, 3850, 14, 'Iritasi Mata');
INSERT INTO `lang_definitions` VALUES (70998, 3856, 14, 'Sakit Mata');
INSERT INTO `lang_definitions` VALUES (70999, 3860, 14, 'Mata Kemerahan');
INSERT INTO `lang_definitions` VALUES (71000, 3863, 14, 'Mata');
INSERT INTO `lang_definitions` VALUES (71001, 3865, 14, 'F');
INSERT INTO `lang_definitions` VALUES (71002, 3866, 14, 'F/H Masalah Darah');
INSERT INTO `lang_definitions` VALUES (71003, 3867, 14, 'F/H Hirsutisme Wanita/Striae');
INSERT INTO `lang_definitions` VALUES (71004, 3868, 14, 'Fasilitas');
INSERT INTO `lang_definitions` VALUES (71005, 3869, 14, 'Fasilitas');
INSERT INTO `lang_definitions` VALUES (71006, 3870, 14, 'fasilitas');
INSERT INTO `lang_definitions` VALUES (71007, 3871, 14, 'Fasilitas Administrasi');
INSERT INTO `lang_definitions` VALUES (71008, 3872, 14, 'Fasilitas Kota');
INSERT INTO `lang_definitions` VALUES (71009, 3873, 14, 'Fasilitas Kode');
INSERT INTO `lang_definitions` VALUES (71010, 3875, 14, 'Fasilitas kode Negara');
INSERT INTO `lang_definitions` VALUES (71011, 3876, 14, 'Fasilitas Fax');
INSERT INTO `lang_definitions` VALUES (71012, 3878, 14, 'Nama Fasilitas');
INSERT INTO `lang_definitions` VALUES (71013, 3879, 14, 'Fasilitas NPI');
INSERT INTO `lang_definitions` VALUES (71014, 3880, 14, 'Fasilitas Telepon');
INSERT INTO `lang_definitions` VALUES (71015, 3883, 14, 'Fasilitas Negara');
INSERT INTO `lang_definitions` VALUES (71016, 3884, 14, 'Fasilitas Jalan');
INSERT INTO `lang_definitions` VALUES (71017, 3886, 14, 'Fasilitas Zip');
INSERT INTO `lang_definitions` VALUES (71018, 3888, 14, 'Fasilitas:');
INSERT INTO `lang_definitions` VALUES (71019, 3889, 14, 'GAGAL');
INSERT INTO `lang_definitions` VALUES (71020, 3890, 14, 'Gagal');
INSERT INTO `lang_definitions` VALUES (71021, 3891, 14, 'gagal');
INSERT INTO `lang_definitions` VALUES (71022, 3908, 14, 'kegagaln');
INSERT INTO `lang_definitions` VALUES (71023, 3916, 14, 'Riwayat Keluarga');
INSERT INTO `lang_definitions` VALUES (71024, 3918, 14, 'Riwayat Keluarga dari Glaukoma');
INSERT INTO `lang_definitions` VALUES (71025, 3919, 14, 'Riwayat Keluarga:');
INSERT INTO `lang_definitions` VALUES (71026, 3921, 14, 'Pembayaran Keluarga');
INSERT INTO `lang_definitions` VALUES (71027, 3922, 14, 'Ukuran Keluarga');
INSERT INTO `lang_definitions` VALUES (71028, 3923, 14, 'Indah');
INSERT INTO `lang_definitions` VALUES (71029, 3925, 14, 'Persia');
INSERT INTO `lang_definitions` VALUES (71030, 3928, 14, 'Ayah');
INSERT INTO `lang_definitions` VALUES (71031, 3930, 14, 'Kelelahan');
INSERT INTO `lang_definitions` VALUES (71032, 3931, 14, 'Kelelahan');
INSERT INTO `lang_definitions` VALUES (71033, 3933, 14, 'Fax');
INSERT INTO `lang_definitions` VALUES (71034, 3934, 14, 'Jumlah Fax');
INSERT INTO `lang_definitions` VALUES (71035, 3935, 14, 'Nomor fax');
INSERT INTO `lang_definitions` VALUES (71036, 3937, 14, 'Fax/Scan');
INSERT INTO `lang_definitions` VALUES (71037, 3938, 14, 'Faks Masuk');
INSERT INTO `lang_definitions` VALUES (71038, 3939, 14, 'Faks Keluar');
INSERT INTO `lang_definitions` VALUES (71039, 3940, 14, 'Fitur');
INSERT INTO `lang_definitions` VALUES (71040, 3941, 14, 'Februari');
INSERT INTO `lang_definitions` VALUES (71041, 3942, 14, 'Februari');
INSERT INTO `lang_definitions` VALUES (71042, 3943, 14, 'FECA');
INSERT INTO `lang_definitions` VALUES (71043, 3944, 14, 'ID Obat Federal');
INSERT INTO `lang_definitions` VALUES (71044, 3945, 14, 'EIN Federal');
INSERT INTO `lang_definitions` VALUES (71045, 3946, 14, 'ID Pajak Federal');
INSERT INTO `lang_definitions` VALUES (71046, 3948, 14, 'Biaya');
INSERT INTO `lang_definitions` VALUES (71047, 3949, 14, 'biaya');
INSERT INTO `lang_definitions` VALUES (71048, 3950, 14, 'Biaya tidak diizinkan');
INSERT INTO `lang_definitions` VALUES (71049, 3951, 14, 'Lembar Biaya');
INSERT INTO `lang_definitions` VALUES (71050, 3953, 14, 'Opsi Lembar Biaya');
INSERT INTO `lang_definitions` VALUES (71051, 3955, 14, 'Biaya');
INSERT INTO `lang_definitions` VALUES (71052, 3956, 14, 'Wanita');
INSERT INTO `lang_definitions` VALUES (71053, 3957, 14, 'AP Wanita');
INSERT INTO `lang_definitions` VALUES (71054, 3958, 14, 'Kondom Wanita');
INSERT INTO `lang_definitions` VALUES (71055, 3959, 14, 'Wanita G');
INSERT INTO `lang_definitions` VALUES (71056, 3960, 14, 'Wanita LC');
INSERT INTO `lang_definitions` VALUES (71057, 3961, 14, 'Wanita P');
INSERT INTO `lang_definitions` VALUES (71058, 3962, 14, 'Gejala Kewanitaan');
INSERT INTO `lang_definitions` VALUES (71059, 3963, 14, 'Perempuan VSC');
INSERT INTO `lang_definitions` VALUES (71060, 3966, 14, 'Demam');
INSERT INTO `lang_definitions` VALUES (71061, 3967, 14, 'Demam:');
INSERT INTO `lang_definitions` VALUES (71062, 3968, 14, 'FH Masalah Darah');
INSERT INTO `lang_definitions` VALUES (71063, 3972, 14, 'Fibroids');
INSERT INTO `lang_definitions` VALUES (71064, 3978, 14, 'Jenis bagian yang akan digunakan untuk negara majikan atau pelanggan dalam demografi.');
INSERT INTO `lang_definitions` VALUES (71065, 3979, 14, 'Jenis bagian yang akan digunakan untuk negara majikan atau pelanggan dalam demografi.');
INSERT INTO `lang_definitions` VALUES (71066, 3980, 14, 'Field(Bagian) tidak ada!');
INSERT INTO `lang_definitions` VALUES (71067, 3986, 14, 'File');
INSERT INTO `lang_definitions` VALUES (71068, 3989, 14, 'file dalam direktori dokumentasi untuk mempelajari bagaimana cara untuk mengotomatisasi proses menciptakan backup log');
INSERT INTO `lang_definitions` VALUES (71069, 3990, 14, 'lokasi file');
INSERT INTO `lang_definitions` VALUES (71070, 3991, 14, 'Pengelolaan file');
INSERT INTO `lang_definitions` VALUES (71071, 3998, 14, 'Hak akses file diberikan kepada pengguna OpenEMR');
INSERT INTO `lang_definitions` VALUES (71072, 4000, 14, 'File Kamar');
INSERT INTO `lang_definitions` VALUES (71073, 4001, 14, 'File untuk diupload');
INSERT INTO `lang_definitions` VALUES (71074, 4003, 14, 'FIle dengan nama yang sama telah ada pada lokasi:');
INSERT INTO `lang_definitions` VALUES (71075, 4004, 14, 'Nama file');
INSERT INTO `lang_definitions` VALUES (71076, 4006, 14, 'File');
INSERT INTO `lang_definitions` VALUES (71077, 4011, 14, 'Filipina');
INSERT INTO `lang_definitions` VALUES (71078, 4013, 14, 'Isi salah satu dibawah baris.');
INSERT INTO `lang_definitions` VALUES (71079, 4014, 14, 'Isi di sini hanya jika mengirim email pemberitahuan kepada pasien');
INSERT INTO `lang_definitions` VALUES (71080, 4023, 14, 'Isikan nilai-nilai dibawah');
INSERT INTO `lang_definitions` VALUES (71081, 4025, 14, 'Isi Baris.');
INSERT INTO `lang_definitions` VALUES (71082, 4028, 14, 'Tapis');
INSERT INTO `lang_definitions` VALUES (71083, 4029, 14, 'Penyaringan untuk Konstan');
INSERT INTO `lang_definitions` VALUES (71084, 4030, 14, 'Penyaringan untuk Definisi');
INSERT INTO `lang_definitions` VALUES (71085, 4032, 14, 'Penyaring');
INSERT INTO `lang_definitions` VALUES (71086, 4033, 14, 'penyaringan');
INSERT INTO `lang_definitions` VALUES (71087, 4034, 14, 'Akhir');
INSERT INTO `lang_definitions` VALUES (71088, 4035, 14, 'Diagnosa Akhir');
INSERT INTO `lang_definitions` VALUES (71089, 4036, 14, 'Diagnosa akhir oleh pakar');
INSERT INTO `lang_definitions` VALUES (71090, 4038, 14, 'Finansial/Keuangan');
INSERT INTO `lang_definitions` VALUES (71091, 4039, 14, 'Tanggal Penutupan Keuangan (yyyy-mm-dd)');
INSERT INTO `lang_definitions` VALUES (71092, 4040, 14, 'Laporan Keuangan - apapun');
INSERT INTO `lang_definitions` VALUES (71093, 4042, 14, 'Laporan Keuangan - encounter saya');
INSERT INTO `lang_definitions` VALUES (71094, 4045, 14, 'Tanggal Tinjauan Keuangan');
INSERT INTO `lang_definitions` VALUES (71095, 4048, 14, 'Temukan');
INSERT INTO `lang_definitions` VALUES (71096, 4049, 14, 'Temukan yang Tersedia');
INSERT INTO `lang_definitions` VALUES (71097, 4050, 14, 'Temukan Janji Temu yang Tersedia');
INSERT INTO `lang_definitions` VALUES (71098, 4053, 14, 'Cari Pasien');
INSERT INTO `lang_definitions` VALUES (71099, 4054, 14, 'Cari Bahan Edukasi Pasien');
INSERT INTO `lang_definitions` VALUES (71100, 4056, 14, 'Temuan');
INSERT INTO `lang_definitions` VALUES (71101, 4057, 14, 'Temuan oleh pakar');
INSERT INTO `lang_definitions` VALUES (71102, 4058, 14, 'Baik');
INSERT INTO `lang_definitions` VALUES (71103, 4060, 14, 'Selesai Pembayaran');
INSERT INTO `lang_definitions` VALUES (71104, 4065, 14, 'Pertama');
INSERT INTO `lang_definitions` VALUES (71105, 4068, 14, 'Hari pertama dalam minggu');
INSERT INTO `lang_definitions` VALUES (71106, 4071, 14, 'Nama Depan');
INSERT INTO `lang_definitions` VALUES (71107, 4072, 14, 'Nama depan');
INSERT INTO `lang_definitions` VALUES (71108, 4073, 14, 'Nama Depan:');
INSERT INTO `lang_definitions` VALUES (71109, 4079, 14, 'Kebugaran');
INSERT INTO `lang_definitions` VALUES (71110, 4080, 14, 'Tingkat Kebugaran');
INSERT INTO `lang_definitions` VALUES (71111, 4081, 14, 'Tingkat Kebugaran untuk pemain ini pada hari ini');
INSERT INTO `lang_definitions` VALUES (71112, 4083, 14, 'Kebugaran untuk Bermain');
INSERT INTO `lang_definitions` VALUES (71113, 4084, 14, 'Tanggal Encounter yang Ditetapkan - encounter apapun');
INSERT INTO `lang_definitions` VALUES (71114, 4086, 14, 'Perbaiki ini');
INSERT INTO `lang_definitions` VALUES (71115, 4088, 14, 'FL');
INSERT INTO `lang_definitions` VALUES (71116, 4090, 14, 'Perut Kembung');
INSERT INTO `lang_definitions` VALUES (71117, 4091, 14, 'Aliran');
INSERT INTO `lang_definitions` VALUES (71118, 4108, 14, 'Musim flu');
INSERT INTO `lang_definitions` VALUES (71119, 4109, 14, 'Musim Flu');
INSERT INTO `lang_definitions` VALUES (71120, 4110, 14, 'Vaksinasi flu');
INSERT INTO `lang_definitions` VALUES (71121, 4111, 14, 'Masalah elektrolit dan cairan');
INSERT INTO `lang_definitions` VALUES (71122, 4112, 14, 'FMS');
INSERT INTO `lang_definitions` VALUES (71123, 4113, 14, 'Ukuran Kertas Folio');
INSERT INTO `lang_definitions` VALUES (71124, 4114, 14, 'Mengikuti secara manual');
INSERT INTO `lang_definitions` VALUES (71125, 4116, 14, 'Menindaklanjuti');
INSERT INTO `lang_definitions` VALUES (71126, 4119, 14, 'Alasan Menindaklanjuti');
INSERT INTO `lang_definitions` VALUES (71127, 4121, 14, 'Berikut adalah konstanta custom baru:');
INSERT INTO `lang_definitions` VALUES (71128, 4122, 14, 'Berikut adalah bahasa custom baru:');
INSERT INTO `lang_definitions` VALUES (71129, 4123, 14, 'Berikut adalah definisi baru (Bahasa, Konstanta, Definisi)');
INSERT INTO `lang_definitions` VALUES (71130, 4125, 14, 'Layanan Penindaklanjut');
INSERT INTO `lang_definitions` VALUES (71131, 4126, 14, 'Tindak Lanjut Dinyatakan');
INSERT INTO `lang_definitions` VALUES (71132, 4129, 14, 'Makanan yang Tidak dapat Ditoleransi');
INSERT INTO `lang_definitions` VALUES (71133, 4130, 14, 'Kaki');
INSERT INTO `lang_definitions` VALUES (71134, 4131, 14, 'Masalah kaki');
INSERT INTO `lang_definitions` VALUES (71135, 4132, 14, 'Kaki:');
INSERT INTO `lang_definitions` VALUES (71136, 4133, 14, 'Cedera Sepakbola');
INSERT INTO `lang_definitions` VALUES (71137, 4135, 14, 'Laporan Cedera Sepakbola');
INSERT INTO `lang_definitions` VALUES (71138, 4136, 14, 'Jenis Alas Kaki/Sepatu');
INSERT INTO `lang_definitions` VALUES (71139, 4137, 14, 'untuk');
INSERT INTO `lang_definitions` VALUES (71140, 4138, 14, 'Untuk');
INSERT INTO `lang_definitions` VALUES (71141, 4144, 14, 'Untuk kode');
INSERT INTO `lang_definitions` VALUES (71142, 4152, 14, 'Untuk Klaim Pertemuan');
INSERT INTO `lang_definitions` VALUES (71143, 4154, 14, 'Sebagai contoh:');
INSERT INTO `lang_definitions` VALUES (71144, 4161, 14, 'untuk Faktur/Tagihan');
INSERT INTO `lang_definitions` VALUES (71145, 4163, 14, 'Hanya untuk Medicare, memaksa provider yang mengacu/dimaksud sama dengan provider render.');
INSERT INTO `lang_definitions` VALUES (71146, 4173, 14, 'Untuk Praktisi/Organisasi yang Dimaksud');
INSERT INTO `lang_definitions` VALUES (71147, 4176, 14, 'Untuk masa lalu');
INSERT INTO `lang_definitions` VALUES (71148, 4188, 14, 'untuk variabel');
INSERT INTO `lang_definitions` VALUES (71149, 4189, 14, 'untuk:');
INSERT INTO `lang_definitions` VALUES (71150, 4190, 14, 'Memaksa Tagihan Widget Terbuka');
INSERT INTO `lang_definitions` VALUES (71151, 4191, 14, 'Memaksa Membuat Pasien Baru');
INSERT INTO `lang_definitions` VALUES (71152, 4194, 14, 'Lengan Bawah/Tangan');
INSERT INTO `lang_definitions` VALUES (71153, 4195, 14, 'Formulir');
INSERT INTO `lang_definitions` VALUES (71154, 4196, 14, 'formulir');
INSERT INTO `lang_definitions` VALUES (71155, 4201, 14, 'Format');
INSERT INTO `lang_definitions` VALUES (71156, 4202, 14, 'format');
INSERT INTO `lang_definitions` VALUES (71157, 4204, 14, 'Format salah untuk NDC');
INSERT INTO `lang_definitions` VALUES (71158, 4205, 14, 'Format digunakan untuk menampilkan tanggal terbanyak.');
INSERT INTO `lang_definitions` VALUES (71159, 4206, 14, 'Format digunakan untuk menampilkan waktu terbanyak.');
INSERT INTO `lang_definitions` VALUES (71160, 4207, 14, 'Laporat Terformat');
INSERT INTO `lang_definitions` VALUES (71161, 4208, 14, 'Bekas Perokok');
INSERT INTO `lang_definitions` VALUES (71162, 4209, 14, 'Formulir');
INSERT INTO `lang_definitions` VALUES (71163, 4210, 14, 'Formulir Administrasi');
INSERT INTO `lang_definitions` VALUES (71164, 4215, 14, 'Teruskan');
INSERT INTO `lang_definitions` VALUES (71165, 4219, 14, 'Teruskan Halaman melalui Fax');
INSERT INTO `lang_definitions` VALUES (71166, 4222, 14, 'Diteruskan');
INSERT INTO `lang_definitions` VALUES (71167, 4225, 14, 'Keempat');
INSERT INTO `lang_definitions` VALUES (71168, 4227, 14, 'Patah');
INSERT INTO `lang_definitions` VALUES (71169, 4228, 14, 'Patah di Navicula');
INSERT INTO `lang_definitions` VALUES (71170, 4229, 14, 'Patah tulang rusuk malleolus');
INSERT INTO `lang_definitions` VALUES (71171, 4230, 14, 'Patah di tengah-tengah malleolus');
INSERT INTO `lang_definitions` VALUES (71172, 4231, 14, 'Pematahan, Berdasarkan dari Metatarsal kelima (5)');
INSERT INTO `lang_definitions` VALUES (71173, 4235, 14, 'Perancis');
INSERT INTO `lang_definitions` VALUES (71174, 4236, 14, 'Peracis (Kanada)');
INSERT INTO `lang_definitions` VALUES (71175, 4237, 14, 'Perancis (Standar)');
INSERT INTO `lang_definitions` VALUES (71176, 4238, 14, 'Frekuensi');
INSERT INTO `lang_definitions` VALUES (71177, 4239, 14, 'Sering Pilek');
INSERT INTO `lang_definitions` VALUES (71178, 4240, 14, 'Sering Sakit');
INSERT INTO `lang_definitions` VALUES (71179, 4241, 14, 'Jumat');
INSERT INTO `lang_definitions` VALUES (71180, 4242, 14, 'Jumat');
INSERT INTO `lang_definitions` VALUES (71181, 4244, 14, 'Dari');
INSERT INTO `lang_definitions` VALUES (71182, 4245, 14, 'DARI');
INSERT INTO `lang_definitions` VALUES (71183, 4246, 14, 'dari');
INSERT INTO `lang_definitions` VALUES (71184, 4247, 14, 'Tanggal Dari Tidak Boleh Lebih Dari Tanggal Sampai');
INSERT INTO `lang_definitions` VALUES (71185, 4253, 14, 'Dari:');
INSERT INTO `lang_definitions` VALUES (71186, 4254, 14, 'Dari:');
INSERT INTO `lang_definitions` VALUES (71187, 4255, 14, 'DARI_KOTA');
INSERT INTO `lang_definitions` VALUES (71188, 4257, 14, 'DARI_NAMADEPAN');
INSERT INTO `lang_definitions` VALUES (71189, 4258, 14, 'DARI_NAMAAKHIR');
INSERT INTO `lang_definitions` VALUES (71190, 4259, 14, 'DARI_NAMATENGAH');
INSERT INTO `lang_definitions` VALUES (71191, 4261, 14, 'DARI_TELEPONSELULER');
INSERT INTO `lang_definitions` VALUES (71192, 4262, 14, 'DARI_POS');
INSERT INTO `lang_definitions` VALUES (71193, 4263, 14, 'DARI_NEGARA');
INSERT INTO `lang_definitions` VALUES (71194, 4264, 14, 'DARI_JALAN');
INSERT INTO `lang_definitions` VALUES (71195, 4265, 14, 'DARI_JUDUL');
INSERT INTO `lang_definitions` VALUES (71196, 4266, 14, 'DARI_PIDATOPERPISAHAN');
INSERT INTO `lang_definitions` VALUES (71197, 4267, 14, 'Kantor Depan');
INSERT INTO `lang_definitions` VALUES (71198, 4268, 14, 'Penerimaan Kantor Depan');
INSERT INTO `lang_definitions` VALUES (71199, 4269, 14, 'Laporan Penerimaan Kantor Depan');
INSERT INTO `lang_definitions` VALUES (71200, 4270, 14, 'Record/Catatan Depan');
INSERT INTO `lang_definitions` VALUES (71201, 4271, 14, 'Frontal Kanan:');
INSERT INTO `lang_definitions` VALUES (71202, 4278, 14, 'Nama Lengkap');
INSERT INTO `lang_definitions` VALUES (71203, 4280, 14, 'Path kendali ke direktori yang berisi executable MySQL.');
INSERT INTO `lang_definitions` VALUES (71204, 4281, 14, 'Path kendali ke direktori yang berisi executable Perl.');
INSERT INTO `lang_definitions` VALUES (71205, 4282, 14, 'Path kendali ke direktori untuk backup log event.');
INSERT INTO `lang_definitions` VALUES (71206, 4283, 14, 'Path kendarli ke direktori yang digunakan untuk file sementara.');
INSERT INTO `lang_definitions` VALUES (71207, 4284, 14, 'Putar Penuh');
INSERT INTO `lang_definitions` VALUES (71208, 4286, 14, 'Pelatihan Penuh');
INSERT INTO `lang_definitions` VALUES (71209, 4288, 14, 'Dibayar Penuh');
INSERT INTO `lang_definitions` VALUES (71210, 4298, 14, 'G');
INSERT INTO `lang_definitions` VALUES (71211, 4299, 14, 'G/DL');
INSERT INTO `lang_definitions` VALUES (71212, 4302, 14, 'Kondisi Kandung Empedu');
INSERT INTO `lang_definitions` VALUES (71213, 4303, 14, 'Batu Empedu');
INSERT INTO `lang_definitions` VALUES (71214, 4304, 14, 'Periode permainan');
INSERT INTO `lang_definitions` VALUES (71215, 4305, 14, 'Permainan');
INSERT INTO `lang_definitions` VALUES (71216, 4306, 14, 'Permainan Terlewat');
INSERT INTO `lang_definitions` VALUES (71217, 4307, 14, 'permainan/event');
INSERT INTO `lang_definitions` VALUES (71218, 4308, 14, 'Permainan/Event Terlewat');
INSERT INTO `lang_definitions` VALUES (71219, 4310, 14, 'Radang Perut');
INSERT INTO `lang_definitions` VALUES (71220, 4311, 14, 'Nyeri Lambung');
INSERT INTO `lang_definitions` VALUES (71221, 4312, 14, 'Gastrointestinal');
INSERT INTO `lang_definitions` VALUES (71222, 4316, 14, 'Laporan Statistik GCAC');
INSERT INTO `lang_definitions` VALUES (71223, 4317, 14, 'Status GCAC');
INSERT INTO `lang_definitions` VALUES (71224, 4318, 14, 'Formulir kunjungan GCAC tidak ada');
INSERT INTO `lang_definitions` VALUES (71225, 4319, 14, 'Jenis Kelamin');
INSERT INTO `lang_definitions` VALUES (71226, 4320, 14, 'Jenis Kelamin');
INSERT INTO `lang_definitions` VALUES (71227, 4321, 14, 'Umum');
INSERT INTO `lang_definitions` VALUES (71228, 4325, 14, 'Kategori Layanan Umum');
INSERT INTO `lang_definitions` VALUES (71229, 4332, 14, 'Hasilkan dan download klaim kertas CMS 1500');
INSERT INTO `lang_definitions` VALUES (71230, 4334, 14, 'Hasilkan dan download klaim kertas HCFA 1500');
INSERT INTO `lang_definitions` VALUES (71231, 4337, 14, 'Hasilkan dan download batch X12');
INSERT INTO `lang_definitions` VALUES (71232, 4338, 14, 'Hasilkan dan download batch klaim encounter X12');
INSERT INTO `lang_definitions` VALUES (71233, 4341, 14, 'Hasilkan dan kirim resep yang diperbolehkan secara elektronik.');
INSERT INTO `lang_definitions` VALUES (71234, 4342, 14, 'Hasilkan CMS 1500');
INSERT INTO `lang_definitions` VALUES (71235, 4343, 14, 'Hasilkan PDF CMS 1500');
INSERT INTO `lang_definitions` VALUES (71236, 4344, 14, 'Hasilkan TEKS CMS 1500');
INSERT INTO `lang_definitions` VALUES (71237, 4345, 14, 'Hasilkan HCFA');
INSERT INTO `lang_definitions` VALUES (71238, 4348, 14, 'Hasilkan Surat');
INSERT INTO `lang_definitions` VALUES (71239, 4349, 14, 'Hasilkan Surat tentang');
INSERT INTO `lang_definitions` VALUES (71240, 4351, 14, 'Hasilkan laporan PQRI (Metode A)');
INSERT INTO `lang_definitions` VALUES (71241, 4353, 14, 'Hasilkan laporan PQRI (Metode B)');
INSERT INTO `lang_definitions` VALUES (71242, 4357, 14, 'Hasilkan Laporan');
INSERT INTO `lang_definitions` VALUES (71243, 4365, 14, 'Hasilkan Nama User Dan Pasword Untuk');
INSERT INTO `lang_definitions` VALUES (71244, 4366, 14, 'Hasilkan X12');
INSERT INTO `lang_definitions` VALUES (71245, 4368, 14, 'Hasilkan Encounter X12');
INSERT INTO `lang_definitions` VALUES (71246, 4370, 14, 'Hasilkan pada');
INSERT INTO `lang_definitions` VALUES (71247, 4372, 14, 'Menghasilkan');
INSERT INTO `lang_definitions` VALUES (71248, 4377, 14, 'Kemih');
INSERT INTO `lang_definitions` VALUES (71249, 4381, 14, 'Jerman');
INSERT INTO `lang_definitions` VALUES (71250, 4386, 14, 'Dapatkan HL7');
INSERT INTO `lang_definitions` VALUES (71251, 4392, 14, 'Glaukoma');
INSERT INTO `lang_definitions` VALUES (71252, 4393, 14, 'Riwayat Keluarga Glaukoma');
INSERT INTO `lang_definitions` VALUES (71253, 4395, 14, 'Global');
INSERT INTO `lang_definitions` VALUES (71254, 4398, 14, 'ID Global');
INSERT INTO `lang_definitions` VALUES (71255, 4399, 14, 'Pengaturan Global');
INSERT INTO `lang_definitions` VALUES (71256, 4400, 14, 'Global');
INSERT INTO `lang_definitions` VALUES (71257, 4401, 14, 'GM/DL');
INSERT INTO `lang_definitions` VALUES (71258, 4403, 14, 'Pergi');
INSERT INTO `lang_definitions` VALUES (71259, 4404, 14, 'pergi');
INSERT INTO `lang_definitions` VALUES (71260, 4407, 14, 'Pergi ke');
INSERT INTO `lang_definitions` VALUES (71261, 4417, 14, 'Pergi ke minggu dari');
INSERT INTO `lang_definitions` VALUES (71262, 4418, 14, 'Pergi ke Hari Ini');
INSERT INTO `lang_definitions` VALUES (71263, 4428, 14, 'Tinkgat Cedera');
INSERT INTO `lang_definitions` VALUES (71264, 4429, 14, 'Tingkat:');
INSERT INTO `lang_definitions` VALUES (71265, 4430, 14, 'gram');
INSERT INTO `lang_definitions` VALUES (71266, 4431, 14, 'Jumlah Seluruhnya');
INSERT INTO `lang_definitions` VALUES (71267, 4432, 14, 'Jumlah Seluruhnya');
INSERT INTO `lang_definitions` VALUES (71268, 4435, 14, 'Graphable');
INSERT INTO `lang_definitions` VALUES (71269, 4437, 14, 'Lebih Dari');
INSERT INTO `lang_definitions` VALUES (71270, 4438, 14, 'Lebih Dari atau Sama Dengan');
INSERT INTO `lang_definitions` VALUES (71271, 4439, 14, 'Yunani');
INSERT INTO `lang_definitions` VALUES (71272, 4442, 14, 'Grup');
INSERT INTO `lang_definitions` VALUES (71273, 4459, 14, 'Nama Grup');
INSERT INTO `lang_definitions` VALUES (71274, 4460, 14, 'Nama grup tidak boleh kosong');
INSERT INTO `lang_definitions` VALUES (71275, 4461, 14, 'Nama grup tidak boleh dimulai dengan angka atau spasi.');
INSERT INTO `lang_definitions` VALUES (71276, 4462, 14, 'Nama grup tidak boleh dimulai dengan angka.');
INSERT INTO `lang_definitions` VALUES (71277, 4463, 14, 'Nomor Grup');
INSERT INTO `lang_definitions` VALUES (71278, 4465, 14, 'Payment Grup');
INSERT INTO `lang_definitions` VALUES (71279, 4471, 14, 'Grup:');
INSERT INTO `lang_definitions` VALUES (71280, 4472, 14, 'Nama grup');
INSERT INTO `lang_definitions` VALUES (71281, 4475, 14, 'Kontrol Akses dan Grup');
INSERT INTO `lang_definitions` VALUES (71282, 4476, 14, 'Grafik Pertumbuhan');
INSERT INTO `lang_definitions` VALUES (71283, 4477, 14, 'Grafik Perumbuhan');
INSERT INTO `lang_definitions` VALUES (71284, 4478, 14, 'gtts(tetes)');
INSERT INTO `lang_definitions` VALUES (71285, 4479, 14, 'Guamanian');
INSERT INTO `lang_definitions` VALUES (71286, 4482, 14, 'Wali');
INSERT INTO `lang_definitions` VALUES (71287, 4483, 14, 'Alamat Surel Wali');
INSERT INTO `lang_definitions` VALUES (71288, 4484, 14, 'Nama Wali');
INSERT INTO `lang_definitions` VALUES (71289, 4485, 14, 'Nama Wali');
INSERT INTO `lang_definitions` VALUES (71290, 4487, 14, 'Gujarat');
INSERT INTO `lang_definitions` VALUES (71291, 4489, 14, 'Pemeriksaan Ginekologi');
INSERT INTO `lang_definitions` VALUES (71292, 4490, 14, 'h');
INSERT INTO `lang_definitions` VALUES (71293, 4492, 14, 'h.s.');
INSERT INTO `lang_definitions` VALUES (71294, 4493, 14, 'H/O Hepatitis');
INSERT INTO `lang_definitions` VALUES (71295, 4494, 14, 'telah berhasi dihapus. Setiap sub kategori jika ada dipindahkan dibawah ini');
INSERT INTO `lang_definitions` VALUES (71296, 4495, 14, 'Haematoma / memar');
INSERT INTO `lang_definitions` VALUES (71297, 4496, 14, 'Status HAI');
INSERT INTO `lang_definitions` VALUES (71298, 4499, 14, 'Tangan + jari');
INSERT INTO `lang_definitions` VALUES (71299, 4500, 14, 'Masalah Tangan');
INSERT INTO `lang_definitions` VALUES (71300, 4502, 14, 'Selamat Ulang Tahun');
INSERT INTO `lang_definitions` VALUES (71301, 4506, 14, 'Kesulitan w / o');
INSERT INTO `lang_definitions` VALUES (71302, 4507, 14, 'telah dikaitkan dengan kunjungan');
INSERT INTO `lang_definitions` VALUES (71303, 4508, 14, 'telah kadaluarsa');
INSERT INTO `lang_definitions` VALUES (71304, 4509, 14, 'Hash');
INSERT INTO `lang_definitions` VALUES (71305, 4511, 14, 'Hash tidak ada pada file ini. Hash yang baru telah dihasilkan.');
INSERT INTO `lang_definitions` VALUES (71306, 4512, 14, 'Hash tidak cocok. Integritas data telah diganggu.');
INSERT INTO `lang_definitions` VALUES (71307, 4515, 14, 'Hawaii');
INSERT INTO `lang_definitions` VALUES (71308, 4516, 14, 'Kegiatan berbahaya');
INSERT INTO `lang_definitions` VALUES (71309, 4517, 14, 'Kegiatan Berbahaya');
INSERT INTO `lang_definitions` VALUES (71310, 4521, 14, 'Batas kiri HCFA dalam poin');
INSERT INTO `lang_definitions` VALUES (71311, 4522, 14, 'Batas HCFA');
INSERT INTO `lang_definitions` VALUES (71312, 4523, 14, 'Batas atas HCFA dalam angka');
INSERT INTO `lang_definitions` VALUES (71313, 4527, 14, 'he PostCalendar');
INSERT INTO `lang_definitions` VALUES (71314, 4528, 14, 'Kepala');
INSERT INTO `lang_definitions` VALUES (71315, 4529, 14, 'Lingkar Kepala');
INSERT INTO `lang_definitions` VALUES (71316, 4530, 14, 'Lingkar Kepala');
INSERT INTO `lang_definitions` VALUES (71317, 4531, 14, 'Sakit Kepala');
INSERT INTO `lang_definitions` VALUES (71318, 4532, 14, 'Sakit Kepala');
INSERT INTO `lang_definitions` VALUES (71319, 4534, 14, 'Operasi perawatan kesehatan');
INSERT INTO `lang_definitions` VALUES (71320, 4535, 14, 'Operasi Perawatan Kesehatan');
INSERT INTO `lang_definitions` VALUES (71321, 4537, 14, 'Pusat/klinik kesehatan');
INSERT INTO `lang_definitions` VALUES (71322, 4540, 14, 'Organisasi Pemeliharaan Kesehatan');
INSERT INTO `lang_definitions` VALUES (71323, 4541, 14, 'Organisasi Pemeliharaan Kesehatan (HMO) Resiko Medicare');
INSERT INTO `lang_definitions` VALUES (71324, 4542, 14, 'Gangguan Pendengaran');
INSERT INTO `lang_definitions` VALUES (71325, 4543, 14, 'Serangan Jantung');
INSERT INTO `lang_definitions` VALUES (71326, 4544, 14, 'Penyakit Jantung');
INSERT INTO `lang_definitions` VALUES (71327, 4545, 14, 'Gagal jantung');
INSERT INTO `lang_definitions` VALUES (71328, 4546, 14, 'Masalah Jantung');
INSERT INTO `lang_definitions` VALUES (71329, 4547, 14, 'Masalah Jantung');
INSERT INTO `lang_definitions` VALUES (71330, 4548, 14, 'Bedah jantung');
INSERT INTO `lang_definitions` VALUES (71331, 4549, 14, 'Transplantasi jantung');
INSERT INTO `lang_definitions` VALUES (71332, 4550, 14, 'JANTUNG:');
INSERT INTO `lang_definitions` VALUES (71333, 4551, 14, 'Heartburn');
INSERT INTO `lang_definitions` VALUES (71334, 4552, 14, 'Panas atau Dingin');
INSERT INTO `lang_definitions` VALUES (71335, 4553, 14, 'Panas Atau Dingin');
INSERT INTO `lang_definitions` VALUES (71336, 4554, 14, 'Perokok tembakau berat');
INSERT INTO `lang_definitions` VALUES (71337, 4555, 14, 'Ibrani');
INSERT INTO `lang_definitions` VALUES (71338, 4556, 14, 'Ibrani (modern)');
INSERT INTO `lang_definitions` VALUES (71339, 4557, 14, 'HEENT');
INSERT INTO `lang_definitions` VALUES (71340, 4558, 14, 'Tinggi');
INSERT INTO `lang_definitions` VALUES (71341, 4559, 14, 'Tinggi/Panjang');
INSERT INTO `lang_definitions` VALUES (71342, 4560, 14, 'Bantu');
INSERT INTO `lang_definitions` VALUES (71343, 4561, 14, 'bantu');
INSERT INTO `lang_definitions` VALUES (71344, 4563, 14, 'Hematemesis');
INSERT INTO `lang_definitions` VALUES (71345, 4564, 14, 'Hematochezia');
INSERT INTO `lang_definitions` VALUES (71346, 4565, 14, 'Hematologi');
INSERT INTO `lang_definitions` VALUES (71347, 4566, 14, 'Hematuria');
INSERT INTO `lang_definitions` VALUES (71348, 4567, 14, 'Hemoglobin');
INSERT INTO `lang_definitions` VALUES (71349, 4568, 14, 'Hemoglobin A1C');
INSERT INTO `lang_definitions` VALUES (71350, 4569, 14, 'Hemoptisis');
INSERT INTO `lang_definitions` VALUES (71351, 4570, 14, 'Hepatitis');
INSERT INTO `lang_definitions` VALUES (71352, 4571, 14, 'Hepatitis A 1');
INSERT INTO `lang_definitions` VALUES (71353, 4572, 14, 'Hepatitis A 2');
INSERT INTO `lang_definitions` VALUES (71354, 4573, 14, 'Hepatitis B 1');
INSERT INTO `lang_definitions` VALUES (71355, 4574, 14, 'Hepatitis B 2');
INSERT INTO `lang_definitions` VALUES (71356, 4575, 14, 'Hepatitis B 3');
INSERT INTO `lang_definitions` VALUES (71357, 4576, 14, 'di sini');
INSERT INTO `lang_definitions` VALUES (71358, 4580, 14, 'Perbaikan Hernia');
INSERT INTO `lang_definitions` VALUES (71359, 4581, 14, 'Piringan Hernia');
INSERT INTO `lang_definitions` VALUES (71360, 4582, 14, 'Herpes');
INSERT INTO `lang_definitions` VALUES (71361, 4585, 14, 'Keraguan');
INSERT INTO `lang_definitions` VALUES (71362, 4586, 14, 'heyyo. anda telah di sini untuk');
INSERT INTO `lang_definitions` VALUES (71363, 4587, 14, 'Hib 1');
INSERT INTO `lang_definitions` VALUES (71364, 4588, 14, 'Hib 2');
INSERT INTO `lang_definitions` VALUES (71365, 4589, 14, 'Hib 3');
INSERT INTO `lang_definitions` VALUES (71366, 4590, 14, 'Hib 4');
INSERT INTO `lang_definitions` VALUES (71367, 4591, 14, 'Tersembunyi');
INSERT INTO `lang_definitions` VALUES (71368, 4592, 14, 'Kegiatan Administrasi yang Tersembunyi');
INSERT INTO `lang_definitions` VALUES (71369, 4593, 14, 'Sembunyikan');
INSERT INTO `lang_definitions` VALUES (71370, 4595, 14, 'Sembunyikan Detail');
INSERT INTO `lang_definitions` VALUES (71371, 4597, 14, 'Sembunyikan Pilihan Enkripsi/Dekripsi Dalam Pengelolaan Dokumen');
INSERT INTO `lang_definitions` VALUES (71372, 4599, 14, 'Sembunyikan Menu');
INSERT INTO `lang_definitions` VALUES (71373, 4601, 14, 'Sembunyikan Pengingat');
INSERT INTO `lang_definitions` VALUES (71374, 4603, 14, 'Sembunyi/Tampilkan Kolom');
INSERT INTO `lang_definitions` VALUES (71375, 4605, 14, 'Tinggi');
INSERT INTO `lang_definitions` VALUES (71376, 4607, 14, 'Tekanan Darah Tinggi');
INSERT INTO `lang_definitions` VALUES (71377, 4609, 14, 'Hindi');
INSERT INTO `lang_definitions` VALUES (71378, 4610, 14, 'Panggul + selangkangan');
INSERT INTO `lang_definitions` VALUES (71379, 4611, 14, 'Panggul dan selangkangan');
INSERT INTO `lang_definitions` VALUES (71380, 4612, 14, 'Masalah Panggul');
INSERT INTO `lang_definitions` VALUES (71381, 4613, 14, 'Penggantian Panggul');
INSERT INTO `lang_definitions` VALUES (71382, 4615, 14, 'Pemberitahuan HIPAA Diterima');
INSERT INTO `lang_definitions` VALUES (71383, 4617, 14, 'Hirsutisme/Striae');
INSERT INTO `lang_definitions` VALUES (71384, 4618, 14, 'Hispanic');
INSERT INTO `lang_definitions` VALUES (71385, 4619, 14, 'Hispanic - Lainnya (Lahir di US)');
INSERT INTO `lang_definitions` VALUES (71386, 4620, 14, 'Hispanic - Lainnya (Lahir diluar US)');
INSERT INTO `lang_definitions` VALUES (71387, 4621, 14, 'Hispanic atau Latino');
INSERT INTO `lang_definitions` VALUES (71388, 4623, 14, 'Riwayat');
INSERT INTO `lang_definitions` VALUES (71389, 4624, 14, 'Riwayat & Gaya Hidup');
INSERT INTO `lang_definitions` VALUES (71390, 4629, 14, 'Riwayat Data');
INSERT INTO `lang_definitions` VALUES (71391, 4630, 14, 'Riwayat Tanggal');
INSERT INTO `lang_definitions` VALUES (71392, 4632, 14, 'Bunyi Riwayat');
INSERT INTO `lang_definitions` VALUES (71393, 4633, 14, 'Riwayat tidak diizinkan');
INSERT INTO `lang_definitions` VALUES (71394, 4634, 14, 'Riwayat dari Desiran yang Abnormal');
INSERT INTO `lang_definitions` VALUES (71395, 4638, 14, 'Pukulan');
INSERT INTO `lang_definitions` VALUES (71396, 4639, 14, 'HIV');
INSERT INTO `lang_definitions` VALUES (71397, 4649, 14, 'Pelihat HL7');
INSERT INTO `lang_definitions` VALUES (71398, 4651, 14, 'HMOL/L');
INSERT INTO `lang_definitions` VALUES (71399, 4652, 14, 'Hmong');
INSERT INTO `lang_definitions` VALUES (71400, 4653, 14, 'Tahan [Ctrl] untuk beberapa pilihan atau untuk tidak memilih');
INSERT INTO `lang_definitions` VALUES (71401, 4655, 14, 'Tahan Ctrl untuk memilih beberapa item');
INSERT INTO `lang_definitions` VALUES (71402, 4656, 14, 'Tahan Ctrl untuk memilih beberapa regu');
INSERT INTO `lang_definitions` VALUES (71403, 4658, 14, 'Home');
INSERT INTO `lang_definitions` VALUES (71404, 4659, 14, 'Telepon Rumah');
INSERT INTO `lang_definitions` VALUES (71405, 4660, 14, 'Nomor Telepon Rumah');
INSERT INTO `lang_definitions` VALUES (71406, 4661, 14, 'Tunawisma');
INSERT INTO `lang_definitions` VALUES (71407, 4662, 14, 'Tunawisma atau serupa?');
INSERT INTO `lang_definitions` VALUES (71408, 4664, 14, 'Tunawisma, dll');
INSERT INTO `lang_definitions` VALUES (71409, 4665, 14, 'Tunawisma, dll');
INSERT INTO `lang_definitions` VALUES (71410, 4674, 14, 'Nama Host');
INSERT INTO `lang_definitions` VALUES (71411, 4675, 14, 'Nama Host tidak boleh kosong');
INSERT INTO `lang_definitions` VALUES (71412, 4676, 14, 'jam');
INSERT INTO `lang_definitions` VALUES (71413, 4677, 14, 'Jam/Waktu');
INSERT INTO `lang_definitions` VALUES (71414, 4678, 14, 'Jam/Waktu');
INSERT INTO `lang_definitions` VALUES (71415, 4679, 14, 'jam');
INSERT INTO `lang_definitions` VALUES (71416, 4681, 14, 'Bagaimana Cedera Terjadi?');
INSERT INTO `lang_definitions` VALUES (71417, 4682, 14, 'Bagaimana Cedera terjadi?:');
INSERT INTO `lang_definitions` VALUES (71418, 4683, 14, 'Bagaimana mereka mendengar tentang kami');
INSERT INTO `lang_definitions` VALUES (71419, 4685, 14, 'Berapa bulan kedepan untuk query untuk event mendatang?');
INSERT INTO `lang_definitions` VALUES (71420, 4692, 14, 'HPI:');
INSERT INTO `lang_definitions` VALUES (71421, 4694, 14, 'HT');
INSERT INTO `lang_definitions` VALUES (71422, 4695, 14, 'HTML');
INSERT INTO `lang_definitions` VALUES (71423, 4699, 14, 'Link Https untuk dukungan OpenEMR LLC Lab Exchange Service (Layanan Pertukaran Lab)');
INSERT INTO `lang_definitions` VALUES (71424, 4701, 14, 'Hongaria');
INSERT INTO `lang_definitions` VALUES (71425, 4702, 14, 'Direktori Hylafax');
INSERT INTO `lang_definitions` VALUES (71426, 4703, 14, 'Perintah Enscript Hylafax');
INSERT INTO `lang_definitions` VALUES (71427, 4704, 14, 'Server Hylafax');
INSERT INTO `lang_definitions` VALUES (71428, 4705, 14, 'Nama host server Hylafax.');
INSERT INTO `lang_definitions` VALUES (71429, 4706, 14, 'Hiperaktif');
INSERT INTO `lang_definitions` VALUES (71430, 4708, 14, 'Hipertensi');
INSERT INTO `lang_definitions` VALUES (71431, 4709, 14, 'Hipertensi: Pengukuran Tekanan Darah');
INSERT INTO `lang_definitions` VALUES (71432, 4710, 14, 'Hipertensi: Pengukuran Tekandan Darah (CQM)');
INSERT INTO `lang_definitions` VALUES (71433, 4711, 14, 'Hipertiroid');
INSERT INTO `lang_definitions` VALUES (71434, 4713, 14, 'Hypothyroidism');
INSERT INTO `lang_definitions` VALUES (71435, 4716, 14, 'Histerektomi');
INSERT INTO `lang_definitions` VALUES (71436, 4717, 14, 'Saya');
INSERT INTO `lang_definitions` VALUES (71437, 4718, 14, 'Saya sibuk selama waktu ini.');
INSERT INTO `lang_definitions` VALUES (71438, 4719, 14, 'Saya tidak memiliki izin untuk membaca');
INSERT INTO `lang_definitions` VALUES (71439, 4720, 14, 'Sya telah membaca dan menerima');
INSERT INTO `lang_definitions` VALUES (71440, 4722, 14, 'Saya tahu tapi kita membutuhkannya!');
INSERT INTO `lang_definitions` VALUES (71441, 4724, 14, 'ICD');
INSERT INTO `lang_definitions` VALUES (71442, 4725, 14, 'ICD10 Diagnosis');
INSERT INTO `lang_definitions` VALUES (71443, 4727, 14, 'ICD9');
INSERT INTO `lang_definitions` VALUES (71444, 4728, 14, 'ICD9 Diagnosis');
INSERT INTO `lang_definitions` VALUES (71445, 4730, 14, 'Islandia');
INSERT INTO `lang_definitions` VALUES (71446, 4731, 14, 'ikon');
INSERT INTO `lang_definitions` VALUES (71447, 4732, 14, 'Legenda Ikon');
INSERT INTO `lang_definitions` VALUES (71448, 4734, 14, 'ID');
INSERT INTO `lang_definitions` VALUES (71449, 4735, 14, 'id');
INSERT INTO `lang_definitions` VALUES (71450, 4736, 14, 'Id');
INSERT INTO `lang_definitions` VALUES (71451, 4738, 14, 'ID tidak boleh kosong');
INSERT INTO `lang_definitions` VALUES (71452, 4739, 14, 'Kartu ID');
INSERT INTO `lang_definitions` VALUES (71453, 4741, 14, 'Nomor ID (ETN)');
INSERT INTO `lang_definitions` VALUES (71454, 4742, 14, 'Hari');
INSERT INTO `lang_definitions` VALUES (71455, 4743, 14, 'diidentifikasi sebagai');
INSERT INTO `lang_definitions` VALUES (71456, 4745, 14, 'Identifier(satu kata)');
INSERT INTO `lang_definitions` VALUES (71457, 4747, 14, 'Detik Waktu Sesi Siaga');
INSERT INTO `lang_definitions` VALUES (71458, 4749, 14, 'jika');
INSERT INTO `lang_definitions` VALUES (71459, 4755, 14, 'Jika semua data untuk semua kolom ini adalah untuk melengkapi formulir');
INSERT INTO `lang_definitions` VALUES (71460, 4757, 14, 'Jika pembenaran tagihan digunakan masukkan nama dari tipe kode diagnosa.');
INSERT INTO `lang_definitions` VALUES (71461, 4763, 14, 'jika dimasukkan, pilih hanya mereka yang memiliki layanan ini');
INSERT INTO `lang_definitions` VALUES (71462, 4765, 14, 'Jika nama, salah satu bagian dari nama belakang atau nama belakang, nama depan');
INSERT INTO `lang_definitions` VALUES (71463, 4770, 14, 'Jika membayar dengan');
INSERT INTO `lang_definitions` VALUES (71464, 4771, 14, 'Jika seseorang telah meninggal, maka masukkan tangal wafat.');
INSERT INTO `lang_definitions` VALUES (71465, 4775, 14, 'Jika SMTP digunakan, nama host server atau alamat IP.');
INSERT INTO `lang_definitions` VALUES (71466, 4776, 14, 'Jika SMTP digunakan, nomor port TCP Server (biasanya 25)');
INSERT INTO `lang_definitions` VALUES (71467, 4803, 14, 'jika menganggur masukkan Mahasiswa');
INSERT INTO `lang_definitions` VALUES (71468, 4814, 14, 'Jika anda mengubah tugas e-RX untuk ePrescription(Resep Elektronik), mungkin akan mempengaruhi alur kerja ePrescription. Jika anda menghadapi kesulitan, hubungi vendor ePrescription anda.');
INSERT INTO `lang_definitions` VALUES (71469, 4833, 14, 'Jika Anda telah memilih untuk mengupload pengiriman uang elektronik, maka jendela pencarian menampilkan kembali dengan sendirinya dengan faktu/tagihan yang sesuai dari X12 file. Anda bisa mengklik pada salah satu nomor faktur (seperti yang dijelaskan di bawah) jika anda ingin melakukan koreksi sebelum informasi pengiriman uang diterapkan. Untuk menerapkan perubahan, klik tombol Proses ERA File di bagian bawah halaman. Ini akan menghasilkan sebuah jendela baru dengan laporan rinci.');
INSERT INTO `lang_definitions` VALUES (71470, 4836, 14, 'Jika Anda telah memasuki Tanggal Bayar di halaman pencarian, ini akan menimpa postingan tanggal pembayaran dan penyesuaian yang sebaliknya diambil dari file X12. Ini mungkin berguna untuk keperluan laporan, jika Anda ingin laporan penerimaan anda menggunakan tanggal posting Anda daripada tanggal pengolahan asuransi perusahaan. Catatan bahwa ini juga akan mempengaruhi tanggal pembayaran sebelumnya dan penyesuaian yang dimasukkan ke dalam klaim sekunder.');
INSERT INTO `lang_definitions` VALUES (71471, 4850, 14, 'Jika Anda ingin mengubah jenis data, atau tambahkan baris atau kolom');
INSERT INTO `lang_definitions` VALUES (71472, 4851, 14, 'Jika anda ingin mengupgrade database, maka tempatkan file zip database pada direktori berikut');
INSERT INTO `lang_definitions` VALUES (71473, 4854, 14, 'Abaikan');
INSERT INTO `lang_definitions` VALUES (71474, 4855, 14, 'Kode IIS');
INSERT INTO `lang_definitions` VALUES (71475, 4856, 14, 'Penyakit');
INSERT INTO `lang_definitions` VALUES (71476, 4857, 14, 'IM');
INSERT INTO `lang_definitions` VALUES (71477, 4863, 14, 'Layanan Pencitraan(Image)');
INSERT INTO `lang_definitions` VALUES (71478, 4864, 14, 'Sistem Imun');
INSERT INTO `lang_definitions` VALUES (71479, 4865, 14, 'Imunisasi');
INSERT INTO `lang_definitions` VALUES (71480, 4867, 14, 'Kode Imunisasi');
INSERT INTO `lang_definitions` VALUES (71481, 4869, 14, 'Tanggal Imunisasi');
INSERT INTO `lang_definitions` VALUES (71482, 4870, 14, 'Tanggal Kadaluarsa Imunisasi');
INSERT INTO `lang_definitions` VALUES (71483, 4872, 14, 'Nomor Lot Imunisasi');
INSERT INTO `lang_definitions` VALUES (71484, 4873, 14, 'Produsen imunisasi');
INSERT INTO `lang_definitions` VALUES (71485, 4878, 14, 'Registri/Pendaftaran Imunisasi');
INSERT INTO `lang_definitions` VALUES (71486, 4882, 14, 'Layanan Imunisasi');
INSERT INTO `lang_definitions` VALUES (71487, 4883, 14, 'Judul Imunisasi');
INSERT INTO `lang_definitions` VALUES (71488, 4885, 14, 'Imunisasi');
INSERT INTO `lang_definitions` VALUES (71489, 4887, 14, 'Mengebalkan');
INSERT INTO `lang_definitions` VALUES (71490, 4888, 14, 'Imunologi');
INSERT INTO `lang_definitions` VALUES (71491, 4893, 14, 'Penanaman/Memasukkan');
INSERT INTO `lang_definitions` VALUES (71492, 4894, 14, 'Impor');
INSERT INTO `lang_definitions` VALUES (71493, 4895, 14, 'Impor Semua');
INSERT INTO `lang_definitions` VALUES (71494, 4898, 14, 'Impor sertifikat ke browser');
INSERT INTO `lang_definitions` VALUES (71495, 4899, 14, 'Impor Konfigurasi');
INSERT INTO `lang_definitions` VALUES (71496, 4904, 14, 'Impor Pasien');
INSERT INTO `lang_definitions` VALUES (71497, 4905, 14, 'Impor Demografi Pasien');
INSERT INTO `lang_definitions` VALUES (71498, 4910, 14, 'Kode Penting');
INSERT INTO `lang_definitions` VALUES (71499, 4914, 14, 'Diimpor dari Akuntansi');
INSERT INTO `lang_definitions` VALUES (71500, 4920, 14, 'Peningkatan');
INSERT INTO `lang_definitions` VALUES (71501, 4922, 14, 'inchi');
INSERT INTO `lang_definitions` VALUES (71502, 4923, 14, 'DI');
INSERT INTO `lang_definitions` VALUES (71503, 4931, 14, 'di setiap mata');
INSERT INTO `lang_definitions` VALUES (71504, 4934, 14, 'di mata kiri');
INSERT INTO `lang_definitions` VALUES (71505, 4935, 14, 'dalam lubang hidung');
INSERT INTO `lang_definitions` VALUES (71506, 4936, 14, 'Di Kantor');
INSERT INTO `lang_definitions` VALUES (71507, 4947, 14, 'di mata kanan');
INSERT INTO `lang_definitions` VALUES (71508, 4958, 14, 'dalam rumah');
INSERT INTO `lang_definitions` VALUES (71509, 4960, 14, 'Tidak Aktif');
INSERT INTO `lang_definitions` VALUES (71510, 4965, 14, 'Hari Tidak Aktif');
INSERT INTO `lang_definitions` VALUES (71511, 4967, 14, 'Kotak Masuk');
INSERT INTO `lang_definitions` VALUES (71512, 4970, 14, 'Sertakan Checksum');
INSERT INTO `lang_definitions` VALUES (71513, 4971, 14, 'Memasukkan Selesai');
INSERT INTO `lang_definitions` VALUES (71514, 4974, 14, 'Sertakan pengguna tidak aktif');
INSERT INTO `lang_definitions` VALUES (71515, 4975, 14, 'Sertakan Yang tidak dikategorikan');
INSERT INTO `lang_definitions` VALUES (71516, 4976, 14, 'Sertakan Data tidak terstruktur');
INSERT INTO `lang_definitions` VALUES (71517, 4977, 14, 'Setakan Vital(Bagian Vital)');
INSERT INTO `lang_definitions` VALUES (71518, 4978, 14, 'Sertakan data vital(bagian vital)?');
INSERT INTO `lang_definitions` VALUES (71519, 4981, 14, 'Pencantuman/Penyertaan');
INSERT INTO `lang_definitions` VALUES (71520, 4982, 14, 'Pendapatan');
INSERT INTO `lang_definitions` VALUES (71521, 4984, 14, 'Tidak Selesai');
INSERT INTO `lang_definitions` VALUES (71522, 4985, 14, 'Pengobatan/Perawatan Aborsi Tidak Selesai');
INSERT INTO `lang_definitions` VALUES (71523, 4986, 14, 'Inkontinensia');
INSERT INTO `lang_definitions` VALUES (71524, 4987, 14, 'Memasukkan hasil tes lab klinis kedalam teknologi EHR bersertifikat sebagai data terstruktur.');
INSERT INTO `lang_definitions` VALUES (71525, 4990, 14, 'meningkat:');
INSERT INTO `lang_definitions` VALUES (71526, 4991, 14, 'Ganti Rugi Asuransi');
INSERT INTO `lang_definitions` VALUES (71527, 4994, 14, 'Tidak Tetap');
INSERT INTO `lang_definitions` VALUES (71528, 4995, 14, 'India');
INSERT INTO `lang_definitions` VALUES (71529, 4998, 14, 'Menunujukkan abnormalitas');
INSERT INTO `lang_definitions` VALUES (71530, 5000, 14, 'Menunjukkan jika masalah ini masih aktif saat ini');
INSERT INTO `lang_definitions` VALUES (71531, 5002, 14, 'Indikator untuk penggunaan khusus');
INSERT INTO `lang_definitions` VALUES (71532, 5003, 14, 'Pasien Miskin');
INSERT INTO `lang_definitions` VALUES (71533, 5004, 14, 'Laporan Pasien Miskin');
INSERT INTO `lang_definitions` VALUES (71534, 5005, 14, 'Miskin');
INSERT INTO `lang_definitions` VALUES (71535, 5010, 14, 'Aborsi dg Induksi');
INSERT INTO `lang_definitions` VALUES (71536, 5011, 14, 'Industri');
INSERT INTO `lang_definitions` VALUES (71537, 5012, 14, 'Tidak memenuhi syarat');
INSERT INTO `lang_definitions` VALUES (71538, 5013, 14, 'Infeksi/Abses');
INSERT INTO `lang_definitions` VALUES (71539, 5014, 14, 'Infeksi');
INSERT INTO `lang_definitions` VALUES (71540, 5015, 14, 'Infert Couns');
INSERT INTO `lang_definitions` VALUES (71541, 5016, 14, 'Kemandulan');
INSERT INTO `lang_definitions` VALUES (71542, 5017, 14, 'Influensa 1');
INSERT INTO `lang_definitions` VALUES (71543, 5018, 14, 'Influensa 2');
INSERT INTO `lang_definitions` VALUES (71544, 5019, 14, 'Imunisasi Influensa untuk Pasien >= 50 Tahun');
INSERT INTO `lang_definitions` VALUES (71545, 5020, 14, 'Imunisasi Influensa untuk Pasien >= 50 Tahun (CQM)');
INSERT INTO `lang_definitions` VALUES (71546, 5021, 14, 'Vaksin Influensa');
INSERT INTO `lang_definitions` VALUES (71547, 5022, 14, 'Info');
INSERT INTO `lang_definitions` VALUES (71548, 5023, 14, 'Info uji1');
INSERT INTO `lang_definitions` VALUES (71549, 5024, 14, 'Info uji 2');
INSERT INTO `lang_definitions` VALUES (71550, 5025, 14, 'Info uji 3');
INSERT INTO `lang_definitions` VALUES (71551, 5026, 14, 'Info uji 4');
INSERT INTO `lang_definitions` VALUES (71552, 5027, 14, 'Info uji 5');
INSERT INTO `lang_definitions` VALUES (71553, 5028, 14, 'Info uji 6');
INSERT INTO `lang_definitions` VALUES (71554, 5032, 14, 'Sumber Informasi');
INSERT INTO `lang_definitions` VALUES (71555, 5034, 14, 'penarikan');
INSERT INTO `lang_definitions` VALUES (71556, 5035, 14, 'Tarik Napas');
INSERT INTO `lang_definitions` VALUES (71557, 5036, 14, 'inhilations');
INSERT INTO `lang_definitions` VALUES (71558, 5039, 14, 'Pengguna Awal');
INSERT INTO `lang_definitions` VALUES (71559, 5041, 14, 'Inj/Rehab');
INSERT INTO `lang_definitions` VALUES (71560, 5042, 14, 'Suntikan');
INSERT INTO `lang_definitions` VALUES (71561, 5043, 14, 'Injeksi');
INSERT INTO `lang_definitions` VALUES (71562, 5044, 14, 'Bagian Tubuh yang Cedera');
INSERT INTO `lang_definitions` VALUES (71563, 5045, 14, 'Cedera/Luka Keluar');
INSERT INTO `lang_definitions` VALUES (71564, 5046, 14, 'Cedera/Luka');
INSERT INTO `lang_definitions` VALUES (71565, 5047, 14, 'Mekanisme Cedera/Luka');
INSERT INTO `lang_definitions` VALUES (71566, 5048, 14, 'Laporan Gambaran Cedera/Luka');
INSERT INTO `lang_definitions` VALUES (71567, 5049, 14, 'Pengawasan Cedera/Luka');
INSERT INTO `lang_definitions` VALUES (71568, 5050, 14, 'Jenis Cedera/Luka');
INSERT INTO `lang_definitions` VALUES (71569, 5051, 14, 'Cedera/Penyakit terkait');
INSERT INTO `lang_definitions` VALUES (71570, 5052, 14, 'Satu Baris');
INSERT INTO `lang_definitions` VALUES (71571, 5056, 14, 'Masukkan Field(Bagian)');
INSERT INTO `lang_definitions` VALUES (71572, 5057, 14, 'USD');
INSERT INTO `lang_definitions` VALUES (71573, 5061, 14, 'Ins menyesuaikan');
INSERT INTO `lang_definitions` VALUES (71574, 5062, 14, 'Ins bundling');
INSERT INTO `lang_definitions` VALUES (71575, 5063, 14, 'Ins Kode');
INSERT INTO `lang_definitions` VALUES (71576, 5066, 14, 'Ins kelebihan pembayaran');
INSERT INTO `lang_definitions` VALUES (71577, 5068, 14, 'Ins pengembalian uang');
INSERT INTO `lang_definitions` VALUES (71578, 5069, 14, 'Ins Ringkasan');
INSERT INTO `lang_definitions` VALUES (71579, 5071, 14, 'Ins1');
INSERT INTO `lang_definitions` VALUES (71580, 5072, 14, 'Ins2');
INSERT INTO `lang_definitions` VALUES (71581, 5073, 14, 'Ins3');
INSERT INTO `lang_definitions` VALUES (71582, 5075, 14, 'Masukkan gagal:');
INSERT INTO `lang_definitions` VALUES (71583, 5079, 14, 'Masukkan kegiatan lama kedalam tabel');
INSERT INTO `lang_definitions` VALUES (71584, 5085, 14, 'Insomnia');
INSERT INTO `lang_definitions` VALUES (71585, 5087, 14, 'Inspeksi');
INSERT INTO `lang_definitions` VALUES (71586, 5088, 14, 'Ketidakstabilan / subluksasi');
INSERT INTO `lang_definitions` VALUES (71587, 5090, 14, 'Instal');
INSERT INTO `lang_definitions` VALUES (71588, 5093, 14, 'instal DB');
INSERT INTO `lang_definitions` VALUES (71589, 5102, 14, 'Menginstruksikan');
INSERT INTO `lang_definitions` VALUES (71590, 5103, 14, 'Instruksi/Perintah');
INSERT INTO `lang_definitions` VALUES (71591, 5105, 14, 'Instruksi:');
INSERT INTO `lang_definitions` VALUES (71592, 5108, 14, 'Insulin Dependent Diabetes');
INSERT INTO `lang_definitions` VALUES (71593, 5109, 14, 'Asuransi');
INSERT INTO `lang_definitions` VALUES (71594, 5110, 14, 'asuransi');
INSERT INTO `lang_definitions` VALUES (71595, 5116, 14, 'Perusahaan Asuransi');
INSERT INTO `lang_definitions` VALUES (71596, 5117, 14, 'Perusahaan Asuransi');
INSERT INTO `lang_definitions` VALUES (71597, 5118, 14, 'Perusahaan Asuransi');
INSERT INTO `lang_definitions` VALUES (71598, 5119, 14, 'Perusahaan Asuransi Cari/Tambah');
INSERT INTO `lang_definitions` VALUES (71599, 5121, 14, 'Data Asuransi');
INSERT INTO `lang_definitions` VALUES (71600, 5124, 14, 'Informasi asuransi pada file');
INSERT INTO `lang_definitions` VALUES (71601, 5126, 14, 'Nomor Asuransi');
INSERT INTO `lang_definitions` VALUES (71602, 5127, 14, 'Pembayaran Asuransi');
INSERT INTO `lang_definitions` VALUES (71603, 5129, 14, 'Provider Asuransi');
INSERT INTO `lang_definitions` VALUES (71604, 5134, 14, 'Pengambilan Kesimpulan');
INSERT INTO `lang_definitions` VALUES (71605, 5135, 14, 'Pengambilan Tanggal');
INSERT INTO `lang_definitions` VALUES (71606, 5138, 14, 'Penurunan Intelektual');
INSERT INTO `lang_definitions` VALUES (71607, 5149, 14, 'Kesalahan internal - tidak ada halaman yang terpilih!');
INSERT INTO `lang_definitions` VALUES (71608, 5150, 14, 'Kesalahan internal - ID pasien tidak disediakan!');
INSERT INTO `lang_definitions` VALUES (71609, 5151, 14, 'Kesalahan internal mengakses file yang diupload!');
INSERT INTO `lang_definitions` VALUES (71610, 5153, 14, 'Kesalahan internal!');
INSERT INTO `lang_definitions` VALUES (71611, 5154, 14, 'Kesalahan internal, tidak ada ID obat yang ditentukan!');
INSERT INTO `lang_definitions` VALUES (71612, 5156, 14, 'Kesalahan internal: klaim');
INSERT INTO `lang_definitions` VALUES (71613, 5157, 14, 'Kesalahan internal: encounter(pertemuan) \'');
INSERT INTO `lang_definitions` VALUES (71614, 5158, 14, 'Kesalahan internal: encounter(pertemuan) tidak ada.');
INSERT INTO `lang_definitions` VALUES (71615, 5159, 14, 'Kesalahan internal: kami tidak terlihat berada pada encounter(pertemuan)!');
INSERT INTO `lang_definitions` VALUES (71616, 5160, 14, 'Identifier Internal(pid)');
INSERT INTO `lang_definitions` VALUES (71617, 5163, 14, 'Rujukan Internal');
INSERT INTO `lang_definitions` VALUES (71618, 5164, 14, 'Waktu Internal Diambil');
INSERT INTO `lang_definitions` VALUES (71619, 5165, 14, 'Tugas internasional');
INSERT INTO `lang_definitions` VALUES (71620, 5167, 14, 'Penerjemah');
INSERT INTO `lang_definitions` VALUES (71621, 5168, 14, 'Penerjemah dibutuhkan?');
INSERT INTO `lang_definitions` VALUES (71622, 5169, 14, 'Penyakit Paru Interstitial');
INSERT INTO `lang_definitions` VALUES (71623, 5170, 14, 'Interval/Selang');
INSERT INTO `lang_definitions` VALUES (71624, 5173, 14, 'Intervensi');
INSERT INTO `lang_definitions` VALUES (71625, 5175, 14, 'Ketidaktoleranan');
INSERT INTO `lang_definitions` VALUES (71626, 5178, 14, 'intramuskuler');
INSERT INTO `lang_definitions` VALUES (71627, 5181, 14, 'urat nadi');
INSERT INTO `lang_definitions` VALUES (71628, 5182, 14, 'Pengenalan');
INSERT INTO `lang_definitions` VALUES (71629, 5185, 14, 'Karakter tidak valid pada');
INSERT INTO `lang_definitions` VALUES (71630, 5195, 14, 'Panjang tidak valid untuk');
INSERT INTO `lang_definitions` VALUES (71631, 5196, 14, 'Karakter non numerik tidak valid pada');
INSERT INTO `lang_definitions` VALUES (71632, 5197, 14, 'Pembayar tidak valid atau tidak ada dalam sumber untuk kode');
INSERT INTO `lang_definitions` VALUES (71633, 5200, 14, 'Kode Layanan Tidak Valid');
INSERT INTO `lang_definitions` VALUES (71634, 5201, 14, 'Penunjukkan sumber tidak valid \"');
INSERT INTO `lang_definitions` VALUES (71635, 5204, 14, 'InvAmt');
INSERT INTO `lang_definitions` VALUES (71636, 5205, 14, 'Inventaris');
INSERT INTO `lang_definitions` VALUES (71637, 5206, 14, 'Kegiatan Inventaris');
INSERT INTO `lang_definitions` VALUES (71638, 5207, 14, 'Inventaris dan jual produk obat dan non obat');
INSERT INTO `lang_definitions` VALUES (71639, 5208, 14, 'Inventaris dan jual obat saja');
INSERT INTO `lang_definitions` VALUES (71640, 5209, 14, 'Inventaris tidak tersedia untuk pesanan/perintah ini');
INSERT INTO `lang_definitions` VALUES (71641, 5210, 14, 'Daftar Inventaris');
INSERT INTO `lang_definitions` VALUES (71642, 5211, 14, 'Transaksi Inventaris');
INSERT INTO `lang_definitions` VALUES (71643, 5212, 14, 'Faktur/Tagihan');
INSERT INTO `lang_definitions` VALUES (71644, 5213, 14, 'faktur');
INSERT INTO `lang_definitions` VALUES (71645, 5217, 14, 'Tanggal Faktur');
INSERT INTO `lang_definitions` VALUES (71646, 5219, 14, 'Faktur tidak memiliki tanggal!');
INSERT INTO `lang_definitions` VALUES (71647, 5220, 14, 'Nomor Faktur');
INSERT INTO `lang_definitions` VALUES (71648, 5221, 14, 'Nomor Referensi Faktur');
INSERT INTO `lang_definitions` VALUES (71649, 5222, 14, 'Kelompok nomor referensi faktur, jika digunakan');
INSERT INTO `lang_definitions` VALUES (71650, 5223, 14, 'Kelompok Nomor Referensi Faktur');
INSERT INTO `lang_definitions` VALUES (71651, 5224, 14, 'Kelompok Nomor Referensi Faktur');
INSERT INTO `lang_definitions` VALUES (71652, 5226, 14, 'Faktur:');
INSERT INTO `lang_definitions` VALUES (71653, 5237, 14, 'IPPF');
INSERT INTO `lang_definitions` VALUES (71654, 5240, 14, 'Data IPPF SRH untuk');
INSERT INTO `lang_definitions` VALUES (71655, 5241, 14, 'Laporan Statistik IPPF');
INSERT INTO `lang_definitions` VALUES (71656, 5242, 14, 'Status IPPF');
INSERT INTO `lang_definitions` VALUES (71657, 5243, 14, 'IPV 1');
INSERT INTO `lang_definitions` VALUES (71658, 5244, 14, 'IPV 2');
INSERT INTO `lang_definitions` VALUES (71659, 5245, 14, 'IPV 3');
INSERT INTO `lang_definitions` VALUES (71660, 5246, 14, 'IPV 4');
INSERT INTO `lang_definitions` VALUES (71661, 5249, 14, 'Denyut Jantung Tidak Teratur');
INSERT INTO `lang_definitions` VALUES (71662, 5250, 14, 'Sifat Lekas Marah');
INSERT INTO `lang_definitions` VALUES (71663, 5251, 14, 'Iritasi');
INSERT INTO `lang_definitions` VALUES (71664, 5256, 14, 'adalah field/bagian yang dibutuhkan.');
INSERT INTO `lang_definitions` VALUES (71665, 5257, 14, 'adalah root node (simpul akar) dan tidak bisa dihapus');
INSERT INTO `lang_definitions` VALUES (71666, 5268, 14, 'tidak valid (pecahan desimal OK).');
INSERT INTO `lang_definitions` VALUES (71667, 5269, 14, 'Apakah PHP menggunakan Safe Mode?');
INSERT INTO `lang_definitions` VALUES (71668, 5273, 14, 'Apakah teks dari formulir layout akan diterjemahkan?');
INSERT INTO `lang_definitions` VALUES (71669, 5274, 14, 'Apakah teks dari daftar akan diterjemahkan?');
INSERT INTO `lang_definitions` VALUES (71670, 5275, 14, 'Apakah File Terenkripsi?');
INSERT INTO `lang_definitions` VALUES (71671, 5277, 14, 'Apakah ini jenis diagnosa?');
INSERT INTO `lang_definitions` VALUES (71672, 5282, 14, 'Apakah jenis/tipe kode ini aktif?');
INSERT INTO `lang_definitions` VALUES (71673, 5286, 14, 'Apakah jenis ini tersembunyi dalam lembar biaya?');
INSERT INTO `lang_definitions` VALUES (71674, 5288, 14, 'terlalu panjang');
INSERT INTO `lang_definitions` VALUES (71675, 5290, 14, 'Isu(Masalah/Persoalan)');
INSERT INTO `lang_definitions` VALUES (71676, 5291, 14, 'isu/masalah');
INSERT INTO `lang_definitions` VALUES (71677, 5292, 14, 'Tanggal Isu');
INSERT INTO `lang_definitions` VALUES (71678, 5293, 14, 'ID Isu');
INSERT INTO `lang_definitions` VALUES (71679, 5294, 14, 'Subtipe Isu');
INSERT INTO `lang_definitions` VALUES (71680, 5295, 14, 'Judul Isu');
INSERT INTO `lang_definitions` VALUES (71681, 5296, 14, 'Tipe Isu');
INSERT INTO `lang_definitions` VALUES (71682, 5297, 14, 'Tipe Isu');
INSERT INTO `lang_definitions` VALUES (71683, 5298, 14, 'Isu(Masalah/Persoalan)');
INSERT INTO `lang_definitions` VALUES (71684, 5299, 14, 'Masalah (Cedera(Luka)/Medis/Alergi)');
INSERT INTO `lang_definitions` VALUES (71685, 5300, 14, 'Masalah (Cedera(Luka)/Medis/Alergi):');
INSERT INTO `lang_definitions` VALUES (71686, 5302, 14, 'Isu(Masalah) dan Encounter(Pertemuan)');
INSERT INTO `lang_definitions` VALUES (71687, 5303, 14, 'Isu(Masalah) dan Encounter(Pertemuan)untuk');
INSERT INTO `lang_definitions` VALUES (71688, 5308, 14, 'Isu(Masalah) tidak diizinkan');
INSERT INTO `lang_definitions` VALUES (71689, 5309, 14, 'Bagian Isu(Masalah)');
INSERT INTO `lang_definitions` VALUES (71690, 5364, 14, 'Italia');
INSERT INTO `lang_definitions` VALUES (71691, 5365, 14, 'Item');
INSERT INTO `lang_definitions` VALUES (71692, 5366, 14, 'item');
INSERT INTO `lang_definitions` VALUES (71693, 5369, 14, 'Item gagal dimuat');
INSERT INTO `lang_definitions` VALUES (71694, 5370, 14, 'IU/L');
INSERT INTO `lang_definitions` VALUES (71695, 5371, 14, 'IUD');
INSERT INTO `lang_definitions` VALUES (71696, 5372, 14, 'IV');
INSERT INTO `lang_definitions` VALUES (71697, 5375, 14, 'Januari');
INSERT INTO `lang_definitions` VALUES (71698, 5376, 14, 'Januari');
INSERT INTO `lang_definitions` VALUES (71699, 5377, 14, 'Jepang');
INSERT INTO `lang_definitions` VALUES (71700, 5378, 14, 'Penyakit Kuning');
INSERT INTO `lang_definitions` VALUES (71701, 5380, 14, 'Deskripsi Pekerjaan');
INSERT INTO `lang_definitions` VALUES (71702, 5381, 14, 'ID Pekerjaan');
INSERT INTO `lang_definitions` VALUES (71703, 5382, 14, 'Dislokasi Persendian');
INSERT INTO `lang_definitions` VALUES (71704, 5383, 14, 'Sakit Persendian');
INSERT INTO `lang_definitions` VALUES (71705, 5384, 14, 'Persendian keseleo');
INSERT INTO `lang_definitions` VALUES (71706, 5385, 14, 'Juli');
INSERT INTO `lang_definitions` VALUES (71707, 5386, 14, 'Juli');
INSERT INTO `lang_definitions` VALUES (71708, 5388, 14, 'Juni');
INSERT INTO `lang_definitions` VALUES (71709, 5389, 14, 'Juni');
INSERT INTO `lang_definitions` VALUES (71710, 5390, 14, 'Tepat di bawah cek informasi adalah daerah biru di mana Anda memasukkan parameter pencarian anda. Anda dapat mencari berdasarkan nama pasien, nomor tabel/grafik, nomor encounter(pertemuan) atau tanggal pelayanan, atau kombinasi dari semuanya. Anda juga dapat memilih apakah Anda ingin melihat semua faktur/tagihan, buka faktur, atau faktur yang jatuh tempo (oleh pasien). Klik tombol Cari untuk melakukan pencarian.');
INSERT INTO `lang_definitions` VALUES (71711, 5391, 14, 'Milik Saya');
INSERT INTO `lang_definitions` VALUES (71712, 5393, 14, 'Membenarkan');
INSERT INTO `lang_definitions` VALUES (71713, 5396, 14, 'Membenarkan/Simpan');
INSERT INTO `lang_definitions` VALUES (71714, 5398, 14, 'inilah sisanya');
INSERT INTO `lang_definitions` VALUES (71715, 5404, 14, 'Kasmir');
INSERT INTO `lang_definitions` VALUES (71716, 5406, 14, 'kunci');
INSERT INTO `lang_definitions` VALUES (71717, 5407, 14, 'Kunci');
INSERT INTO `lang_definitions` VALUES (71718, 5411, 14, 'Kata kunci');
INSERT INTO `lang_definitions` VALUES (71719, 5412, 14, 'kg');
INSERT INTO `lang_definitions` VALUES (71720, 5413, 14, 'kg/m^2');
INSERT INTO `lang_definitions` VALUES (71721, 5415, 14, 'Kanker ginjal');
INSERT INTO `lang_definitions` VALUES (71722, 5416, 14, 'Gagal ginjal');
INSERT INTO `lang_definitions` VALUES (71723, 5417, 14, 'Infeksi ginjal');
INSERT INTO `lang_definitions` VALUES (71724, 5418, 14, 'Batu ginjal');
INSERT INTO `lang_definitions` VALUES (71725, 5419, 14, 'Transplantasi ginjal');
INSERT INTO `lang_definitions` VALUES (71726, 5425, 14, 'Lutut');
INSERT INTO `lang_definitions` VALUES (71727, 5426, 14, 'Masalah Lutut');
INSERT INTO `lang_definitions` VALUES (71728, 5427, 14, 'Penggantian Lutut');
INSERT INTO `lang_definitions` VALUES (71729, 5429, 14, 'Kongo');
INSERT INTO `lang_definitions` VALUES (71730, 5430, 14, 'Korea');
INSERT INTO `lang_definitions` VALUES (71731, 5434, 14, 'Lab');
INSERT INTO `lang_definitions` VALUES (71732, 5436, 14, 'Alamat Situs Lab Exchange (Pertukaran Lab)');
INSERT INTO `lang_definitions` VALUES (71733, 5437, 14, 'ID Situs Lab Exchange (Pertukaran Lab)');
INSERT INTO `lang_definitions` VALUES (71734, 5438, 14, 'ID Token Lab Exchange (Pertukaran Lab)');
INSERT INTO `lang_definitions` VALUES (71735, 5442, 14, 'Status Query Lab');
INSERT INTO `lang_definitions` VALUES (71736, 5444, 14, 'Laporan Lab');
INSERT INTO `lang_definitions` VALUES (71737, 5445, 14, 'Hasil Lab');
INSERT INTO `lang_definitions` VALUES (71738, 5446, 14, 'Hasil Lab');
INSERT INTO `lang_definitions` VALUES (71739, 5449, 14, 'Laporan Hasil Lab');
INSERT INTO `lang_definitions` VALUES (71740, 5450, 14, 'Layanan Lab');
INSERT INTO `lang_definitions` VALUES (71741, 5451, 14, 'Hasil Pemeriksaan/Pengujian Lab');
INSERT INTO `lang_definitions` VALUES (71742, 5452, 14, 'Lab/Berkas');
INSERT INTO `lang_definitions` VALUES (71743, 5453, 14, 'Label');
INSERT INTO `lang_definitions` VALUES (71744, 5454, 14, 'Label tidak boleh kosong');
INSERT INTO `lang_definitions` VALUES (71745, 5455, 14, 'Kolom Label');
INSERT INTO `lang_definitions` VALUES (71746, 5456, 14, 'Label untuk tipe/jenis ini');
INSERT INTO `lang_definitions` VALUES (71747, 5458, 14, 'Kolom Label harus berupa angka antara 1 dan 999');
INSERT INTO `lang_definitions` VALUES (71748, 5459, 14, 'Label');
INSERT INTO `lang_definitions` VALUES (71749, 5463, 14, 'Lab');
INSERT INTO `lang_definitions` VALUES (71750, 5464, 14, 'Pengoyakan(goresan)/kondisi kulit');
INSERT INTO `lang_definitions` VALUES (71751, 5465, 14, 'Pengoyakan(goresan)/abrasi');
INSERT INTO `lang_definitions` VALUES (71752, 5471, 14, 'Bahasa');
INSERT INTO `lang_definitions` VALUES (71753, 5472, 14, 'Kode Bahasa');
INSERT INTO `lang_definitions` VALUES (71754, 5473, 14, 'Definisi bahasa ditambahkan');
INSERT INTO `lang_definitions` VALUES (71755, 5474, 14, 'Perangkat Antarmuka Bahasa');
INSERT INTO `lang_definitions` VALUES (71756, 5476, 14, 'Daftar Bahasa (tulis, hanya tambah opsional)');
INSERT INTO `lang_definitions` VALUES (71757, 5478, 14, 'Nama Bahasa');
INSERT INTO `lang_definitions` VALUES (71758, 5479, 14, 'Bahasa:');
INSERT INTO `lang_definitions` VALUES (71759, 5481, 14, 'Laos');
INSERT INTO `lang_definitions` VALUES (71760, 5485, 14, 'Terakhir');
INSERT INTO `lang_definitions` VALUES (71761, 5486, 14, 'Tanggal Kegiatan Terakhir');
INSERT INTO `lang_definitions` VALUES (71762, 5487, 14, 'Apendiktomi Terakhir');
INSERT INTO `lang_definitions` VALUES (71763, 5489, 14, 'Tanggal Tagihan Terakhir');
INSERT INTO `lang_definitions` VALUES (71764, 5490, 14, 'Pemeriksaan Payudara Terakhir');
INSERT INTO `lang_definitions` VALUES (71765, 5491, 14, 'Kalender Tahun Terakhir');
INSERT INTO `lang_definitions` VALUES (71766, 5492, 14, 'Operasi Katarak Terakhir');
INSERT INTO `lang_definitions` VALUES (71767, 5493, 14, 'Kolesistektomi Terakhir');
INSERT INTO `lang_definitions` VALUES (71768, 5494, 14, 'tanggal terakhir kejadian ini');
INSERT INTO `lang_definitions` VALUES (71769, 5495, 14, 'Encounter(Pertemuan) Terakhir');
INSERT INTO `lang_definitions` VALUES (71770, 5496, 14, 'Pemeriksaan Kandungan Terkahir');
INSERT INTO `lang_definitions` VALUES (71771, 5497, 14, 'Operasi Jantung Terakhir');
INSERT INTO `lang_definitions` VALUES (71772, 5498, 14, 'Perbaikan Hernia Terakhir');
INSERT INTO `lang_definitions` VALUES (71773, 5499, 14, 'Penggantian Panggul Terkahir');
INSERT INTO `lang_definitions` VALUES (71774, 5500, 14, 'Histerektomi Terakhir');
INSERT INTO `lang_definitions` VALUES (71775, 5501, 14, 'Penggantian Lutut Terakhir');
INSERT INTO `lang_definitions` VALUES (71776, 5503, 14, 'Mammogram Terakhir');
INSERT INTO `lang_definitions` VALUES (71777, 5504, 14, 'Menstruasi Terakhir');
INSERT INTO `lang_definitions` VALUES (71778, 5505, 14, 'Diubah Terakhir');
INSERT INTO `lang_definitions` VALUES (71779, 5506, 14, 'Bulan Lalu');
INSERT INTO `lang_definitions` VALUES (71780, 5507, 14, 'Nama Belakang');
INSERT INTO `lang_definitions` VALUES (71781, 5508, 14, 'Nama belakang');
INSERT INTO `lang_definitions` VALUES (71782, 5513, 14, 'Nama Belakang:');
INSERT INTO `lang_definitions` VALUES (71783, 5514, 14, 'Pemeriksaan Fisik Terakhir');
INSERT INTO `lang_definitions` VALUES (71784, 5515, 14, 'Pemeriksaan Prostat Terkahir');
INSERT INTO `lang_definitions` VALUES (71785, 5516, 14, 'Pemeriksaan Rektal Terakhir');
INSERT INTO `lang_definitions` VALUES (71786, 5517, 14, 'Terakhir Diulas');
INSERT INTO `lang_definitions` VALUES (71787, 5519, 14, 'Terakhir Disimpan');
INSERT INTO `lang_definitions` VALUES (71788, 5525, 14, 'Terakhir diupdate oleh');
INSERT INTO `lang_definitions` VALUES (71789, 5526, 14, 'Terakhir Diverifikasi pada');
INSERT INTO `lang_definitions` VALUES (71790, 5527, 14, 'Kunjungan Terakhir');
INSERT INTO `lang_definitions` VALUES (71791, 5528, 14, 'X-ray Terakhir');
INSERT INTO `lang_definitions` VALUES (71792, 5530, 14, 'Akhir Kambuh (2-12 Bulan)');
INSERT INTO `lang_definitions` VALUES (71793, 5531, 14, 'Rusuk Malleolus');
INSERT INTO `lang_definitions` VALUES (71794, 5532, 14, 'Rusuk malleolus:');
INSERT INTO `lang_definitions` VALUES (71795, 5533, 14, 'Lateralitas');
INSERT INTO `lang_definitions` VALUES (71796, 5534, 14, 'Lateralitas dari prosedur ini, jika dapat berlaku');
INSERT INTO `lang_definitions` VALUES (71797, 5535, 14, 'lateral mengungsi PMI:');
INSERT INTO `lang_definitions` VALUES (71798, 5537, 14, 'Rekam Medis Paling Akhir');
INSERT INTO `lang_definitions` VALUES (71799, 5540, 14, 'latin');
INSERT INTO `lang_definitions` VALUES (71800, 5542, 14, 'lat{{lateral}}');
INSERT INTO `lang_definitions` VALUES (71801, 5546, 14, 'Pengacara');
INSERT INTO `lang_definitions` VALUES (71802, 5549, 14, 'Tata Letak Dasar');
INSERT INTO `lang_definitions` VALUES (71803, 5551, 14, 'Tata Letak Editor');
INSERT INTO `lang_definitions` VALUES (71804, 5552, 14, 'Tata Letak grup');
INSERT INTO `lang_definitions` VALUES (71805, 5556, 14, 'Gaya Tata Letak');
INSERT INTO `lang_definitions` VALUES (71806, 5558, 14, 'Tata Letak Dasar Formulir Kunjungan');
INSERT INTO `lang_definitions` VALUES (71807, 5559, 14, 'Layout(Tata Letak)');
INSERT INTO `lang_definitions` VALUES (71808, 5560, 14, 'lb');
INSERT INTO `lang_definitions` VALUES (71809, 5563, 14, 'lbs');
INSERT INTO `lang_definitions` VALUES (71810, 5571, 14, 'LDL');
INSERT INTO `lang_definitions` VALUES (71811, 5573, 14, 'biarkan kosong jika masih aktif');
INSERT INTO `lang_definitions` VALUES (71812, 5574, 14, 'Biarkan Kosong Untuk Memelihara Keaslian Nama File');
INSERT INTO `lang_definitions` VALUES (71813, 5575, 14, 'Biarkan kosong untuk password tetap tidak berubah.');
INSERT INTO `lang_definitions` VALUES (71814, 5580, 14, 'Tinggalkan Pesan Dengan');
INSERT INTO `lang_definitions` VALUES (71815, 5582, 14, 'Tinggalkan Formulir');
INSERT INTO `lang_definitions` VALUES (71816, 5583, 14, 'Membiarkan frasa pasword kosong tidak akan mengenkripsi dokumen');
INSERT INTO `lang_definitions` VALUES (71817, 5586, 14, 'Kiri');
INSERT INTO `lang_definitions` VALUES (71818, 5587, 14, 'Lengan Kiri');
INSERT INTO `lang_definitions` VALUES (71819, 5589, 14, 'Telinga Kiri');
INSERT INTO `lang_definitions` VALUES (71820, 5590, 14, 'telinga kiri');
INSERT INTO `lang_definitions` VALUES (71821, 5592, 14, 'Lensa Kiri');
INSERT INTO `lang_definitions` VALUES (71822, 5594, 14, 'Batas Kiri (mm)');
INSERT INTO `lang_definitions` VALUES (71823, 5599, 14, 'Kiri:');
INSERT INTO `lang_definitions` VALUES (71824, 5600, 14, 'Kiri:');
INSERT INTO `lang_definitions` VALUES (71825, 5601, 14, 'Nyeri Kaki/Kram');
INSERT INTO `lang_definitions` VALUES (71826, 5602, 14, 'Legal');
INSERT INTO `lang_definitions` VALUES (71827, 5604, 14, 'Ukuran Kertas Legal');
INSERT INTO `lang_definitions` VALUES (71828, 5605, 14, 'Legenda:');
INSERT INTO `lang_definitions` VALUES (71829, 5606, 14, 'Panjang');
INSERT INTO `lang_definitions` VALUES (71830, 5607, 14, 'Panjang modifier, 0 jika tidak ada');
INSERT INTO `lang_definitions` VALUES (71831, 5613, 14, 'Kurang Dari');
INSERT INTO `lang_definitions` VALUES (71832, 5614, 14, 'Kurang Dari atau Sama Dengan');
INSERT INTO `lang_definitions` VALUES (71833, 5615, 14, 'Informasi pribadi(sedikit) (tulis, hanya tambah opsional)');
INSERT INTO `lang_definitions` VALUES (71834, 5620, 14, 'Surat');
INSERT INTO `lang_definitions` VALUES (71835, 5621, 14, 'Generator Surat');
INSERT INTO `lang_definitions` VALUES (71836, 5622, 14, 'Ukuran Kertas Surat');
INSERT INTO `lang_definitions` VALUES (71837, 5623, 14, 'Kepala surat yang ditandatangani dokter');
INSERT INTO `lang_definitions` VALUES (71838, 5624, 14, 'Kepala surat yang ditandatangani pasien');
INSERT INTO `lang_definitions` VALUES (71839, 5627, 14, 'Tingkat urgensi');
INSERT INTO `lang_definitions` VALUES (71840, 5630, 14, 'Kewajiban');
INSERT INTO `lang_definitions` VALUES (71841, 5631, 14, 'Kewajiban Medis');
INSERT INTO `lang_definitions` VALUES (71842, 5633, 14, 'Lisensi/ID');
INSERT INTO `lang_definitions` VALUES (71843, 5639, 14, 'Nama belakang Resep yang Diizinkan');
INSERT INTO `lang_definitions` VALUES (71844, 5640, 14, 'NPI Resep yang Diizinkan');
INSERT INTO `lang_definitions` VALUES (71845, 5641, 14, 'UPIN Resep yang Diizinkan');
INSERT INTO `lang_definitions` VALUES (71846, 5644, 14, 'Gaya Hidup');
INSERT INTO `lang_definitions` VALUES (71847, 5646, 14, 'Status Gaya Hidup');
INSERT INTO `lang_definitions` VALUES (71848, 5647, 14, 'Sobekan Ligamen atau keseleo');
INSERT INTO `lang_definitions` VALUES (71849, 5651, 14, 'Batas Event');
INSERT INTO `lang_definitions` VALUES (71850, 5654, 14, 'Batas');
INSERT INTO `lang_definitions` VALUES (71851, 5657, 14, 'Link/Tautan');
INSERT INTO `lang_definitions` VALUES (71852, 5658, 14, 'Link ke Pasien');
INSERT INTO `lang_definitions` VALUES (71853, 5660, 14, 'Dilink/Terkait');
INSERT INTO `lang_definitions` VALUES (71854, 5663, 14, 'Dilink ke dokumen');
INSERT INTO `lang_definitions` VALUES (71855, 5665, 14, 'Daftar');
INSERT INTO `lang_definitions` VALUES (71856, 5666, 14, 'Kotak daftar');
INSERT INTO `lang_definitions` VALUES (71857, 5667, 14, 'kotak daftar');
INSERT INTO `lang_definitions` VALUES (71858, 5668, 14, 'kotak daftar tulis/tambah');
INSERT INTO `lang_definitions` VALUES (71859, 5669, 14, 'Kotak daftar tulis/tambah');
INSERT INTO `lang_definitions` VALUES (71860, 5671, 14, 'Daftar Editor');
INSERT INTO `lang_definitions` VALUES (71861, 5672, 14, 'Daftar encounter(pertemuan)');
INSERT INTO `lang_definitions` VALUES (71862, 5674, 14, 'Daftar grup');
INSERT INTO `lang_definitions` VALUES (71863, 5675, 14, 'Daftar Perusahaan Asuransi');
INSERT INTO `lang_definitions` VALUES (71864, 5677, 14, 'Daftar item tidak boleh dimulai dengan angka.');
INSERT INTO `lang_definitions` VALUES (71865, 5678, 14, 'Daftar item mengandung karakter yang tidak diizinkan.');
INSERT INTO `lang_definitions` VALUES (71866, 5680, 14, 'Daftar daftar');
INSERT INTO `lang_definitions` VALUES (71867, 5682, 14, 'Daftar Nama');
INSERT INTO `lang_definitions` VALUES (71868, 5683, 14, 'Daftar nama tidak boleh dimulai dengan angka.');
INSERT INTO `lang_definitions` VALUES (71869, 5688, 14, 'Daftar Resep');
INSERT INTO `lang_definitions` VALUES (71870, 5689, 14, 'Daftar diatas digunakan oleh pilihan Tipe/Jenis Data Negara.');
INSERT INTO `lang_definitions` VALUES (71871, 5690, 14, 'Daftar diatas digunakan oleh pilihan Tipe/Jenis Data Negara.');
INSERT INTO `lang_definitions` VALUES (71872, 5691, 14, 'Mendengarkan port dari server syslog RFC 5425 TLS.');
INSERT INTO `lang_definitions` VALUES (71873, 5693, 14, 'Daftar');
INSERT INTO `lang_definitions` VALUES (71874, 5696, 14, 'Keinginan Hidup');
INSERT INTO `lang_definitions` VALUES (71875, 5701, 14, 'LLL/BMPK:');
INSERT INTO `lang_definitions` VALUES (71876, 5707, 14, 'LMP');
INSERT INTO `lang_definitions` VALUES (71877, 5709, 14, 'Memuat Definisi');
INSERT INTO `lang_definitions` VALUES (71878, 5717, 14, 'SEDANG MEMUAT');
INSERT INTO `lang_definitions` VALUES (71879, 5721, 14, 'Sedang memuat file kedalam database. Ini akan sedikit memakan waktu...');
INSERT INTO `lang_definitions` VALUES (71880, 5723, 14, 'LOC');
INSERT INTO `lang_definitions` VALUES (71881, 5724, 14, 'Lokal');
INSERT INTO `lang_definitions` VALUES (71882, 5728, 14, 'Lokal');
INSERT INTO `lang_definitions` VALUES (71883, 5729, 14, 'Lokalitas');
INSERT INTO `lang_definitions` VALUES (71884, 5730, 14, 'Lokasi');
INSERT INTO `lang_definitions` VALUES (71885, 5731, 14, 'lokasi dari mesin openemr dan mungkin berisi data sensitif, sehingga dianjurkan untuk secara manual menghapus file setelah penggunaannya');
INSERT INTO `lang_definitions` VALUES (71886, 5732, 14, 'Lokasi dari lot ini');
INSERT INTO `lang_definitions` VALUES (71887, 5733, 14, 'Lokasi tidakk ditentukan');
INSERT INTO `lang_definitions` VALUES (71888, 5734, 14, 'Lokasi dimana Hylafax menyimpan faks.');
INSERT INTO `lang_definitions` VALUES (71889, 5735, 14, 'Lokasi dimana scan disimpan.');
INSERT INTO `lang_definitions` VALUES (71890, 5736, 14, 'Lokasi:');
INSERT INTO `lang_definitions` VALUES (71891, 5737, 14, 'Mengunci');
INSERT INTO `lang_definitions` VALUES (71892, 5745, 14, 'Login(Masuk)');
INSERT INTO `lang_definitions` VALUES (71893, 5749, 14, 'Logout(Keluar)');
INSERT INTO `lang_definitions` VALUES (71894, 5752, 14, 'Login');
INSERT INTO `lang_definitions` VALUES (71895, 5753, 14, 'Login sebagai');
INSERT INTO `lang_definitions` VALUES (71896, 5754, 14, 'Login sebagai:');
INSERT INTO `lang_definitions` VALUES (71897, 5755, 14, 'Keluar.');
INSERT INTO `lang_definitions` VALUES (71898, 5757, 14, 'Login(Masuk)');
INSERT INTO `lang_definitions` VALUES (71899, 5758, 14, 'login(masuk)');
INSERT INTO `lang_definitions` VALUES (71900, 5768, 14, 'Logout(Keluar)');
INSERT INTO `lang_definitions` VALUES (71901, 5769, 14, 'logout(keluar)');
INSERT INTO `lang_definitions` VALUES (71902, 5770, 14, 'Log');
INSERT INTO `lang_definitions` VALUES (71903, 5771, 14, 'Pelihat Log');
INSERT INTO `lang_definitions` VALUES (71904, 5776, 14, 'Mengunjungi');
INSERT INTO `lang_definitions` VALUES (71905, 5777, 14, 'Lot');
INSERT INTO `lang_definitions` VALUES (71906, 5778, 14, 'ID Lot tidak ada!');
INSERT INTO `lang_definitions` VALUES (71907, 5779, 14, 'Nomor Lot');
INSERT INTO `lang_definitions` VALUES (71908, 5780, 14, 'Rendah');
INSERT INTO `lang_definitions` VALUES (71909, 5782, 14, 'Kaki bagian bawah');
INSERT INTO `lang_definitions` VALUES (71910, 5791, 14, 'Tulang belakang pinggang');
INSERT INTO `lang_definitions` VALUES (71911, 5792, 14, 'MAKAN SIANG');
INSERT INTO `lang_definitions` VALUES (71912, 5793, 14, 'Makan Siang');
INSERT INTO `lang_definitions` VALUES (71913, 5794, 14, 'Kanker Paru-Paru');
INSERT INTO `lang_definitions` VALUES (71914, 5795, 14, 'Bedah Kanker Paru');
INSERT INTO `lang_definitions` VALUES (71915, 5796, 14, 'PARU-PARU:');
INSERT INTO `lang_definitions` VALUES (71916, 5797, 14, 'Paru-paru:');
INSERT INTO `lang_definitions` VALUES (71917, 5798, 14, 'Lupus');
INSERT INTO `lang_definitions` VALUES (71918, 5804, 14, 'M');
INSERT INTO `lang_definitions` VALUES (71919, 5805, 14, 'Kategori MA');
INSERT INTO `lang_definitions` VALUES (71920, 5806, 14, 'Klien MA yang Menerima Aborsi');
INSERT INTO `lang_definitions` VALUES (71921, 5807, 14, 'Status MA');
INSERT INTO `lang_definitions` VALUES (71922, 5812, 14, 'Surat Terkirim');
INSERT INTO `lang_definitions` VALUES (71923, 5814, 14, 'Utama');
INSERT INTO `lang_definitions` VALUES (71924, 5815, 14, 'Alamat Utama');
INSERT INTO `lang_definitions` VALUES (71925, 5821, 14, 'Panel Layar Utama bagian Atas');
INSERT INTO `lang_definitions` VALUES (71926, 5824, 14, 'Memelihara daftar obat alergi aktif.');
INSERT INTO `lang_definitions` VALUES (71927, 5825, 14, 'Memelihara daftar obat aktif.');
INSERT INTO `lang_definitions` VALUES (71928, 5826, 14, 'Memelihara daftar masalah terbaru dari diagnosa aktif dan berlaku.');
INSERT INTO `lang_definitions` VALUES (71929, 5827, 14, 'Buat modifikasi pada kategori yang berlaku.');
INSERT INTO `lang_definitions` VALUES (71930, 5828, 14, 'Buat janji temu baru untuk');
INSERT INTO `lang_definitions` VALUES (71931, 5831, 14, 'Pastikan \"');
INSERT INTO `lang_definitions` VALUES (71932, 5832, 14, 'Membuat file teks batch untuk mengupload ke Kantor Penerimaan Cek Antara Bank dan akan ditandai sebagai ditagih');
INSERT INTO `lang_definitions` VALUES (71933, 5834, 14, 'Rasa Tidak Enak:');
INSERT INTO `lang_definitions` VALUES (71934, 5837, 14, 'Laki-laki');
INSERT INTO `lang_definitions` VALUES (71935, 5838, 14, 'Kondom Laki-Laki');
INSERT INTO `lang_definitions` VALUES (71936, 5839, 14, 'VSC Laki-Laki');
INSERT INTO `lang_definitions` VALUES (71937, 5841, 14, 'Mammogram');
INSERT INTO `lang_definitions` VALUES (71938, 5842, 14, 'Mengelola');
INSERT INTO `lang_definitions` VALUES (71939, 5850, 14, 'Mengelola Terjemahan');
INSERT INTO `lang_definitions` VALUES (71940, 5851, 14, 'Pengelolaan');
INSERT INTO `lang_definitions` VALUES (71941, 5854, 14, 'Field(Bagian) tertentu dan wajib');
INSERT INTO `lang_definitions` VALUES (71942, 5855, 14, 'Field(Bagian) tertentu dan wajib saja, cek dup(gkg), tidak ada pencarian');
INSERT INTO `lang_definitions` VALUES (71943, 5856, 14, 'Field(Bagian) tertentu dan wajib saja, cari dan cek dup(gkg)');
INSERT INTO `lang_definitions` VALUES (71944, 5859, 14, 'Manual');
INSERT INTO `lang_definitions` VALUES (71945, 5860, 14, 'Posting Manual');
INSERT INTO `lang_definitions` VALUES (71946, 5864, 14, 'Pabrikan');
INSERT INTO `lang_definitions` VALUES (71947, 5870, 14, 'Maret');
INSERT INTO `lang_definitions` VALUES (71948, 5874, 14, 'Maret');
INSERT INTO `lang_definitions` VALUES (71949, 5877, 14, 'Status Pernikahan');
INSERT INTO `lang_definitions` VALUES (71950, 5880, 14, 'Tandai sebagai ditagih namun lewati penagihan');
INSERT INTO `lang_definitions` VALUES (71951, 5881, 14, 'Tandai sebagai Diselesaikan');
INSERT INTO `lang_definitions` VALUES (71952, 5882, 14, 'Tandai sebagai belum ditagih');
INSERT INTO `lang_definitions` VALUES (71953, 5886, 14, 'Tandai sebagai diselesaikan');
INSERT INTO `lang_definitions` VALUES (71954, 5887, 14, 'Menikah');
INSERT INTO `lang_definitions` VALUES (71955, 5889, 14, 'Masker/Penutup');
INSERT INTO `lang_definitions` VALUES (71956, 5890, 14, 'Penutup untuk Nomor Faktur/Tagihan');
INSERT INTO `lang_definitions` VALUES (71957, 5891, 14, 'Penutup untuk ID Pasien');
INSERT INTO `lang_definitions` VALUES (71958, 5892, 14, 'Penutup untuk ID Pasien');
INSERT INTO `lang_definitions` VALUES (71959, 5894, 14, 'Cocok');
INSERT INTO `lang_definitions` VALUES (71960, 5907, 14, 'Max');
INSERT INTO `lang_definitions` VALUES (71961, 5912, 14, 'Rahang Atas Kanan:');
INSERT INTO `lang_definitions` VALUES (71962, 5913, 14, 'Usia Maksimum');
INSERT INTO `lang_definitions` VALUES (71963, 5914, 14, 'Karakter maksimum');
INSERT INTO `lang_definitions` VALUES (71964, 5917, 14, 'Waktu diam maksimum sebelum logout. Default(standar) adalah 7200 (2 jam)');
INSERT INTO `lang_definitions` VALUES (71965, 5920, 14, 'Persediaan wajar maksimum, 0 jika tidak berlaku');
INSERT INTO `lang_definitions` VALUES (71966, 5924, 14, 'Mei');
INSERT INTO `lang_definitions` VALUES (71967, 5926, 14, 'MC');
INSERT INTO `lang_definitions` VALUES (71968, 5927, 14, 'mcg');
INSERT INTO `lang_definitions` VALUES (71969, 5929, 14, 'Berarti tidak ada tiga pasword terakhir yang diizinkan ketika mengubah pasword');
INSERT INTO `lang_definitions` VALUES (71970, 5931, 14, 'Kode Ukuran Grup');
INSERT INTO `lang_definitions` VALUES (71971, 5933, 14, 'Pengukuran');
INSERT INTO `lang_definitions` VALUES (71972, 5939, 14, 'Di tengah-tengah malleolus:');
INSERT INTO `lang_definitions` VALUES (71973, 5940, 14, 'Medicaid');
INSERT INTO `lang_definitions` VALUES (71974, 5942, 14, 'Medis(Pengobatan)');
INSERT INTO `lang_definitions` VALUES (71975, 5943, 14, 'Aborsi Medis');
INSERT INTO `lang_definitions` VALUES (71976, 5944, 14, 'Administrasi Medis');
INSERT INTO `lang_definitions` VALUES (71977, 5946, 14, 'Riwayat Medis');
INSERT INTO `lang_definitions` VALUES (71978, 5947, 14, 'Isu(Masalah) Medis');
INSERT INTO `lang_definitions` VALUES (71979, 5948, 14, 'Isu(Masalah) medis');
INSERT INTO `lang_definitions` VALUES (71980, 5952, 14, 'Masalah medis');
INSERT INTO `lang_definitions` VALUES (71981, 5954, 14, 'Masalah Medis');
INSERT INTO `lang_definitions` VALUES (71982, 5956, 14, 'Catatan Medis');
INSERT INTO `lang_definitions` VALUES (71983, 5957, 14, 'Catatan Medis #');
INSERT INTO `lang_definitions` VALUES (71984, 5959, 14, 'Catatan Medis');
INSERT INTO `lang_definitions` VALUES (71985, 5961, 14, 'Catatan Medis Terkirim');
INSERT INTO `lang_definitions` VALUES (71986, 5963, 14, 'Ringkasan Medis Diberikan');
INSERT INTO `lang_definitions` VALUES (71987, 5964, 14, 'Sistem Medis');
INSERT INTO `lang_definitions` VALUES (71988, 5965, 14, 'Tipe/Jenis Medis(Pengobatan)');
INSERT INTO `lang_definitions` VALUES (71989, 5966, 14, 'Medis/Riwayat (tulis, hanya tambah opsional)');
INSERT INTO `lang_definitions` VALUES (71990, 5968, 14, 'Medicare Bagian B');
INSERT INTO `lang_definitions` VALUES (71991, 5969, 14, 'Pengarah Medicare adalah Pemberi');
INSERT INTO `lang_definitions` VALUES (71992, 5970, 14, 'Obat/Pengobatan');
INSERT INTO `lang_definitions` VALUES (71993, 5971, 14, 'Daftar Pengobatan Alergi');
INSERT INTO `lang_definitions` VALUES (71994, 5973, 14, 'Daftar Pengobatan');
INSERT INTO `lang_definitions` VALUES (71995, 5974, 14, 'Rekonsiliasi Pengobatan Dilakukan?');
INSERT INTO `lang_definitions` VALUES (71996, 5975, 14, 'Obat/Pengobatan');
INSERT INTO `lang_definitions` VALUES (71997, 5978, 14, 'Obat/Pengobatan:');
INSERT INTO `lang_definitions` VALUES (71998, 5979, 14, 'Unit(satuan) Obat');
INSERT INTO `lang_definitions` VALUES (71999, 5980, 14, 'Medium');
INSERT INTO `lang_definitions` VALUES (72000, 5984, 14, 'Laporan Statistik Anggota Asosiasi');
INSERT INTO `lang_definitions` VALUES (72001, 5986, 14, 'Masalah Ingatan');
INSERT INTO `lang_definitions` VALUES (72002, 5987, 14, 'Laki-laki');
INSERT INTO `lang_definitions` VALUES (72003, 5988, 14, 'Laki-laki dan Wanita');
INSERT INTO `lang_definitions` VALUES (72004, 5989, 14, 'Hanya Laki-laki');
INSERT INTO `lang_definitions` VALUES (72005, 5990, 14, 'Menarche');
INSERT INTO `lang_definitions` VALUES (72006, 5991, 14, 'Menopause (Mati Haid)');
INSERT INTO `lang_definitions` VALUES (72007, 5992, 14, 'Arus Menstruasi');
INSERT INTO `lang_definitions` VALUES (72008, 5993, 14, 'Frekuensi Menstruasi');
INSERT INTO `lang_definitions` VALUES (72009, 5994, 14, 'Penyakit Mental');
INSERT INTO `lang_definitions` VALUES (72010, 6005, 14, 'Pesan');
INSERT INTO `lang_definitions` VALUES (72011, 6006, 14, 'Pusat Pengingat dan Pesan');
INSERT INTO `lang_definitions` VALUES (72012, 6007, 14, 'Pusat Pesan');
INSERT INTO `lang_definitions` VALUES (72013, 6012, 14, 'Pesan Tekirim');
INSERT INTO `lang_definitions` VALUES (72014, 6013, 14, 'Status Pesan');
INSERT INTO `lang_definitions` VALUES (72015, 6018, 14, 'PESAN:');
INSERT INTO `lang_definitions` VALUES (72016, 6019, 14, 'Pesan');
INSERT INTO `lang_definitions` VALUES (72017, 6022, 14, 'Pesan yang telah Anda kirim Hari Ini');
INSERT INTO `lang_definitions` VALUES (72018, 6026, 14, 'Metode');
INSERT INTO `lang_definitions` VALUES (72019, 6027, 14, 'Metode dan Produk Spesifik');
INSERT INTO `lang_definitions` VALUES (72020, 6029, 14, 'Metode untuk mengirimkan email keluar.');
INSERT INTO `lang_definitions` VALUES (72021, 6030, 14, 'Metode Perusakan');
INSERT INTO `lang_definitions` VALUES (72022, 6031, 14, 'Meksiko/MexAmer/Chicano');
INSERT INTO `lang_definitions` VALUES (72023, 6038, 14, 'mg');
INSERT INTO `lang_definitions` VALUES (72024, 6039, 14, 'mg/1cc');
INSERT INTO `lang_definitions` VALUES (72025, 6040, 14, 'mg/2cc');
INSERT INTO `lang_definitions` VALUES (72026, 6041, 14, 'mg/3cc');
INSERT INTO `lang_definitions` VALUES (72027, 6042, 14, 'mg/4cc');
INSERT INTO `lang_definitions` VALUES (72028, 6043, 14, 'mg/5cc');
INSERT INTO `lang_definitions` VALUES (72029, 6044, 14, 'MG/DL');
INSERT INTO `lang_definitions` VALUES (72030, 6046, 14, 'Tengah');
INSERT INTO `lang_definitions` VALUES (72031, 6047, 14, 'Nama Tengah');
INSERT INTO `lang_definitions` VALUES (72032, 6048, 14, 'Nama tengah');
INSERT INTO `lang_definitions` VALUES (72033, 6051, 14, 'Midlevel(Tingkat Pertengahan) DEA Resep');
INSERT INTO `lang_definitions` VALUES (72034, 6052, 14, 'Midlevel(Tingkat Pertengahan) Nama awal Resep');
INSERT INTO `lang_definitions` VALUES (72035, 6053, 14, 'Midlevel(Tingkat Pertengahan) Nama akhir Resep');
INSERT INTO `lang_definitions` VALUES (72036, 6055, 14, 'Midlevel(Tingkat Pertengahan) Awalan Resep');
INSERT INTO `lang_definitions` VALUES (72037, 6056, 14, 'Midlevel(Tingkat Pertengahan) UPIN Resep');
INSERT INTO `lang_definitions` VALUES (72038, 6061, 14, 'Wajah');
INSERT INTO `lang_definitions` VALUES (72039, 6062, 14, 'Migran atau pekerja musiman?');
INSERT INTO `lang_definitions` VALUES (72040, 6064, 14, 'Migran/Musiman');
INSERT INTO `lang_definitions` VALUES (72041, 6065, 14, 'Mil/CU.MM');
INSERT INTO `lang_definitions` VALUES (72042, 6070, 14, 'Tipe/Jenis Mime(Pantomim/Meniru-niru)');
INSERT INTO `lang_definitions` VALUES (72043, 6071, 14, 'Min');
INSERT INTO `lang_definitions` VALUES (72044, 6072, 14, 'min');
INSERT INTO `lang_definitions` VALUES (72045, 6077, 14, 'Usia Minimum');
INSERT INTO `lang_definitions` VALUES (72046, 6080, 14, 'Ketengan persendian minor +/- sinovitis');
INSERT INTO `lang_definitions` VALUES (72047, 6082, 14, 'Menit');
INSERT INTO `lang_definitions` VALUES (72048, 6083, 14, 'Menit');
INSERT INTO `lang_definitions` VALUES (72049, 6084, 14, 'menit');
INSERT INTO `lang_definitions` VALUES (72050, 6086, 14, 'Macam-macam');
INSERT INTO `lang_definitions` VALUES (72051, 6087, 14, 'Macam-macam Pilihan Tagihan');
INSERT INTO `lang_definitions` VALUES (72052, 6088, 14, 'Macam-macam Pilihan Tagihan untuk HCFA-1500');
INSERT INTO `lang_definitions` VALUES (72053, 6089, 14, 'Macam-macam Pilihan Tagihan HCFA');
INSERT INTO `lang_definitions` VALUES (72054, 6090, 14, 'Macam-macam');
INSERT INTO `lang_definitions` VALUES (72055, 6092, 14, 'Terlewat/Terjawab');
INSERT INTO `lang_definitions` VALUES (72056, 6093, 14, 'hilang/tidak ada');
INSERT INTO `lang_definitions` VALUES (72057, 6094, 14, 'Kurang field(bagian) yang dibutuhkan');
INSERT INTO `lang_definitions` VALUES (72058, 6097, 14, 'Biaya Hilang');
INSERT INTO `lang_definitions` VALUES (72059, 6100, 14, 'Hanya Mods yang Hilang');
INSERT INTO `lang_definitions` VALUES (72060, 6101, 14, 'Hilang atau Tidak Valid');
INSERT INTO `lang_definitions` VALUES (72061, 6103, 14, 'PID yang Hilang');
INSERT INTO `lang_definitions` VALUES (72062, 6104, 14, 'Tanggal laporan yang hilang');
INSERT INTO `lang_definitions` VALUES (72063, 6105, 14, 'Garis miring hilang setelah pembayar dalam sumber untuk kode');
INSERT INTO `lang_definitions` VALUES (72064, 6111, 14, 'Campur');
INSERT INTO `lang_definitions` VALUES (72065, 6113, 14, 'ml');
INSERT INTO `lang_definitions` VALUES (72066, 6114, 14, 'MM/DD/YYYY');
INSERT INTO `lang_definitions` VALUES (72067, 6115, 14, 'mm/hg');
INSERT INTO `lang_definitions` VALUES (72068, 6116, 14, 'mmHg');
INSERT INTO `lang_definitions` VALUES (72069, 6117, 14, 'MMR 1');
INSERT INTO `lang_definitions` VALUES (72070, 6118, 14, 'MMR 2');
INSERT INTO `lang_definitions` VALUES (72071, 6120, 14, 'Handphone');
INSERT INTO `lang_definitions` VALUES (72072, 6121, 14, 'Ponsel');
INSERT INTO `lang_definitions` VALUES (72073, 6125, 14, 'Mod');
INSERT INTO `lang_definitions` VALUES (72074, 6133, 14, 'Modifier');
INSERT INTO `lang_definitions` VALUES (72075, 6139, 14, 'Modifier');
INSERT INTO `lang_definitions` VALUES (72076, 6143, 14, 'Modifikasi Pembayaran');
INSERT INTO `lang_definitions` VALUES (72077, 6145, 14, 'Modifikasi Panjang');
INSERT INTO `lang_definitions` VALUES (72078, 6149, 14, 'Nama Modul');
INSERT INTO `lang_definitions` VALUES (72079, 6150, 14, 'Nama modul sudah ada');
INSERT INTO `lang_definitions` VALUES (72080, 6151, 14, 'Modul');
INSERT INTO `lang_definitions` VALUES (72081, 6153, 14, 'Senin');
INSERT INTO `lang_definitions` VALUES (72082, 6154, 14, 'Senin sampai Jumat');
INSERT INTO `lang_definitions` VALUES (72083, 6155, 14, 'Senin, Rabu & Jumat');
INSERT INTO `lang_definitions` VALUES (72084, 6156, 14, 'Senin');
INSERT INTO `lang_definitions` VALUES (72085, 6157, 14, 'Mongolia');
INSERT INTO `lang_definitions` VALUES (72086, 6160, 14, 'bulan');
INSERT INTO `lang_definitions` VALUES (72087, 6161, 14, 'Bulan');
INSERT INTO `lang_definitions` VALUES (72088, 6162, 14, 'Lihat Bulan');
INSERT INTO `lang_definitions` VALUES (72089, 6163, 14, 'Bulan');
INSERT INTO `lang_definitions` VALUES (72090, 6164, 14, 'Pendapatan Bulanan');
INSERT INTO `lang_definitions` VALUES (72091, 6165, 14, 'bulan');
INSERT INTO `lang_definitions` VALUES (72092, 6166, 14, 'Bulan');
INSERT INTO `lang_definitions` VALUES (72093, 6179, 14, 'Lebih dari 100 record(catatan) ditemukan. Silahkan persempit kriteria pencarian anda.');
INSERT INTO `lang_definitions` VALUES (72094, 6180, 14, 'Lebih dari 50 hasil, silahkan buat pencarian anda lebih spesifik.');
INSERT INTO `lang_definitions` VALUES (72095, 6184, 14, 'Kebanyakan kolom header dapat diklik untuk mengubah tata urutan');
INSERT INTO `lang_definitions` VALUES (72096, 6186, 14, 'Terbaru dari');
INSERT INTO `lang_definitions` VALUES (72097, 6189, 14, 'Vital terbaru dari:');
INSERT INTO `lang_definitions` VALUES (72098, 6190, 14, 'Ibu');
INSERT INTO `lang_definitions` VALUES (72099, 6191, 14, 'Nama Ibu');
INSERT INTO `lang_definitions` VALUES (72100, 6192, 14, 'Riwayat Ibu');
INSERT INTO `lang_definitions` VALUES (72101, 6193, 14, 'Nama Ibu');
INSERT INTO `lang_definitions` VALUES (72102, 6194, 14, 'Motilitas');
INSERT INTO `lang_definitions` VALUES (72103, 6195, 14, 'Mulut');
INSERT INTO `lang_definitions` VALUES (72104, 6196, 14, 'Pindah');
INSERT INTO `lang_definitions` VALUES (72105, 6197, 14, 'Pindahkan Dokumen ke Kategori:');
INSERT INTO `lang_definitions` VALUES (72106, 6198, 14, 'Pindah ke Bawah');
INSERT INTO `lang_definitions` VALUES (72107, 6201, 14, 'Pindah ke Pasien');
INSERT INTO `lang_definitions` VALUES (72108, 6202, 14, 'Pindah ke...');
INSERT INTO `lang_definitions` VALUES (72109, 6203, 14, 'Pindah ke Atas');
INSERT INTO `lang_definitions` VALUES (72110, 6204, 14, 'Pemindahan');
INSERT INTO `lang_definitions` VALUES (72111, 6209, 14, 'Tn.(Bp)');
INSERT INTO `lang_definitions` VALUES (72112, 6215, 14, 'Ny.(Ibu)');
INSERT INTO `lang_definitions` VALUES (72113, 6217, 14, 'Nn.(Nona)');
INSERT INTO `lang_definitions` VALUES (72114, 6226, 14, 'Kode MSP');
INSERT INTO `lang_definitions` VALUES (72115, 6230, 14, 'Perangkat Multi Bahasa');
INSERT INTO `lang_definitions` VALUES (72116, 6234, 14, 'Beberapa daerah');
INSERT INTO `lang_definitions` VALUES (72117, 6237, 14, 'Beberapa lot');
INSERT INTO `lang_definitions` VALUES (72118, 6238, 14, 'Beberapa modifier dapat dipisahkan oleh titik dua atau spasi, maksimum 4 (M1:M2:M3:M4)');
INSERT INTO `lang_definitions` VALUES (72119, 6242, 14, 'Bersuku Banyak');
INSERT INTO `lang_definitions` VALUES (72120, 6243, 14, 'Dengut:');
INSERT INTO `lang_definitions` VALUES (72121, 6245, 14, 'Nyeri Otot');
INSERT INTO `lang_definitions` VALUES (72122, 6246, 14, 'Otot Kemerahan');
INSERT INTO `lang_definitions` VALUES (72123, 6247, 14, 'Kekejuran Otot');
INSERT INTO `lang_definitions` VALUES (72124, 6248, 14, 'Pembengkakan Otot');
INSERT INTO `lang_definitions` VALUES (72125, 6249, 14, 'Pemanasan Otot');
INSERT INTO `lang_definitions` VALUES (72126, 6250, 14, 'Otot');
INSERT INTO `lang_definitions` VALUES (72127, 6251, 14, 'Cedera otot');
INSERT INTO `lang_definitions` VALUES (72128, 6252, 14, 'Musculoskeletal');
INSERT INTO `lang_definitions` VALUES (72129, 6256, 14, 'Harus kosong jika otentifikasi SMPT tidak digunakan.');
INSERT INTO `lang_definitions` VALUES (72130, 6259, 14, 'Saling Ditetapkan');
INSERT INTO `lang_definitions` VALUES (72131, 6260, 14, 'MVA');
INSERT INTO `lang_definitions` VALUES (72132, 6267, 14, 'Diri Sendiri');
INSERT INTO `lang_definitions` VALUES (72133, 6271, 14, 'N/A');
INSERT INTO `lang_definitions` VALUES (72134, 6272, 14, 'n/a');
INSERT INTO `lang_definitions` VALUES (72135, 6274, 14, 'Nama');
INSERT INTO `lang_definitions` VALUES (72136, 6276, 14, 'Nama (klik untuk lebih lanjut)');
INSERT INTO `lang_definitions` VALUES (72137, 6278, 14, 'Nama 1');
INSERT INTO `lang_definitions` VALUES (72138, 6279, 14, 'Nama 2');
INSERT INTO `lang_definitions` VALUES (72139, 6280, 14, 'Nama dan Judul imunisasi dari Administrator');
INSERT INTO `lang_definitions` VALUES (72140, 6284, 14, 'Nama dari Event');
INSERT INTO `lang_definitions` VALUES (72141, 6285, 14, 'Nama dari perusahaaan asuransi');
INSERT INTO `lang_definitions` VALUES (72142, 6286, 14, 'Nama Provider');
INSERT INTO `lang_definitions` VALUES (72143, 6287, 14, 'Nama dari pengirim untuk pengingat pasien');
INSERT INTO `lang_definitions` VALUES (72144, 6294, 14, 'Nama Terjemahan');
INSERT INTO `lang_definitions` VALUES (72145, 6295, 14, 'Nama/Nilai');
INSERT INTO `lang_definitions` VALUES (72146, 6296, 14, 'Nama:');
INSERT INTO `lang_definitions` VALUES (72147, 6300, 14, 'NARES:');
INSERT INTO `lang_definitions` VALUES (72148, 6301, 14, 'NARES: Normal Kanan');
INSERT INTO `lang_definitions` VALUES (72149, 6303, 14, 'nasal');
INSERT INTO `lang_definitions` VALUES (72150, 6304, 14, 'Nasal mucosa pink(Sengau mukosa merah muda), septum midline(garis tengah sekat)');
INSERT INTO `lang_definitions` VALUES (72151, 6305, 14, 'Catatan Negara');
INSERT INTO `lang_definitions` VALUES (72152, 6308, 14, 'Konfigurasi Catatan Negara');
INSERT INTO `lang_definitions` VALUES (72153, 6310, 14, 'Kebangsaan');
INSERT INTO `lang_definitions` VALUES (72154, 6311, 14, 'Catatan Negara');
INSERT INTO `lang_definitions` VALUES (72155, 6313, 14, 'Hawai Asli atau Kepulauan Pasifik Lainnya');
INSERT INTO `lang_definitions` VALUES (72156, 6319, 14, 'Mual');
INSERT INTO `lang_definitions` VALUES (72157, 6322, 14, 'Navigasi');
INSERT INTO `lang_definitions` VALUES (72158, 6323, 14, 'Area navigasi meliputi formulir encounter(pertemuan)');
INSERT INTO `lang_definitions` VALUES (72159, 6324, 14, 'Area navigasi menggunakan tinggi yang penuh dari frameset');
INSERT INTO `lang_definitions` VALUES (72160, 6325, 14, 'Area Navigasi Formulir Kunjungan');
INSERT INTO `lang_definitions` VALUES (72161, 6326, 14, 'Lebar Area Navigasi');
INSERT INTO `lang_definitions` VALUES (72162, 6328, 14, 'Menu navigasi terdiri dari sepasang tombol radio (radio buttons)');
INSERT INTO `lang_definitions` VALUES (72163, 6329, 14, 'Menu navigasi berupa tampilan pohon (tree view)');
INSERT INTO `lang_definitions` VALUES (72164, 6330, 14, 'Navigasi menggunakan menu geser (sliding menu)');
INSERT INTO `lang_definitions` VALUES (72165, 6334, 14, 'NDC');
INSERT INTO `lang_definitions` VALUES (72166, 6336, 14, 'Nomor NDC');
INSERT INTO `lang_definitions` VALUES (72167, 6348, 14, 'Leher');
INSERT INTO `lang_definitions` VALUES (72168, 6349, 14, 'Masalah leher');
INSERT INTO `lang_definitions` VALUES (72169, 6350, 14, 'Lemas leher');
INSERT INTO `lang_definitions` VALUES (72170, 6352, 14, 'Harus memasukkan keterangan');
INSERT INTO `lang_definitions` VALUES (72171, 6353, 14, 'Harus memasukkan Nilai Kembali');
INSERT INTO `lang_definitions` VALUES (72172, 6354, 14, 'Harus memasukkan identifier');
INSERT INTO `lang_definitions` VALUES (72173, 6355, 14, 'Harus memasukkan judul');
INSERT INTO `lang_definitions` VALUES (72174, 6358, 14, 'Membutuhkan Otentifikasi');
INSERT INTO `lang_definitions` VALUES (72175, 6359, 14, 'Membuthkan Pembenaran');
INSERT INTO `lang_definitions` VALUES (72176, 6360, 14, 'Membutuhkan tagihan sekunder');
INSERT INTO `lang_definitions` VALUES (72177, 6361, 14, 'Negatif');
INSERT INTO `lang_definitions` VALUES (72178, 6363, 14, 'Negatif');
INSERT INTO `lang_definitions` VALUES (72179, 6369, 14, 'Cedera saraf');
INSERT INTO `lang_definitions` VALUES (72180, 6371, 14, 'Kondisi saraf / kerusakan saraf');
INSERT INTO `lang_definitions` VALUES (72181, 6373, 14, 'Saraf Mati Rasa');
INSERT INTO `lang_definitions` VALUES (72182, 6374, 14, 'Lemah Saraf');
INSERT INTO `lang_definitions` VALUES (72183, 6377, 14, 'Neurologis');
INSERT INTO `lang_definitions` VALUES (72184, 6378, 14, 'Neurologi');
INSERT INTO `lang_definitions` VALUES (72185, 6381, 14, 'Tidak Pernah');
INSERT INTO `lang_definitions` VALUES (72186, 6382, 14, 'Tidak Pernah Alkohol');
INSERT INTO `lang_definitions` VALUES (72187, 6383, 14, 'Tidak Pernah perokok');
INSERT INTO `lang_definitions` VALUES (72188, 6384, 14, 'Baru');
INSERT INTO `lang_definitions` VALUES (72189, 6385, 14, 'Baru =>');
INSERT INTO `lang_definitions` VALUES (72190, 6386, 14, 'Akseptor Baru');
INSERT INTO `lang_definitions` VALUES (72191, 6387, 14, 'Peringatan Baru');
INSERT INTO `lang_definitions` VALUES (72192, 6388, 14, 'Alergi Baru');
INSERT INTO `lang_definitions` VALUES (72193, 6390, 14, 'Janji Temu Baru');
INSERT INTO `lang_definitions` VALUES (72194, 6391, 14, 'Kategori Baru');
INSERT INTO `lang_definitions` VALUES (72195, 6392, 14, 'Kategori Baru');
INSERT INTO `lang_definitions` VALUES (72196, 6393, 14, 'Klien Baru');
INSERT INTO `lang_definitions` VALUES (72197, 6394, 14, 'Konsultasi baru');
INSERT INTO `lang_definitions` VALUES (72198, 6395, 14, 'Hasil Baru');
INSERT INTO `lang_definitions` VALUES (72199, 6396, 14, 'Set definisi baru ditambahkan');
INSERT INTO `lang_definitions` VALUES (72200, 6397, 14, 'Dokumen Baru');
INSERT INTO `lang_definitions` VALUES (72201, 6398, 14, 'Dokumen-dokumen Baru');
INSERT INTO `lang_definitions` VALUES (72202, 6401, 14, 'Encounter(Pertemuan) Baru');
INSERT INTO `lang_definitions` VALUES (72203, 6402, 14, 'Encounter(pertemuan) baru diciptakan dengan id');
INSERT INTO `lang_definitions` VALUES (72204, 6403, 14, 'Formulir Encounter(Pertemuan) Baru');
INSERT INTO `lang_definitions` VALUES (72205, 6404, 14, 'Encounter(pertemuan) tidak diizinkan');
INSERT INTO `lang_definitions` VALUES (72206, 6405, 14, 'Encounter(Pertemuan) Baru');
INSERT INTO `lang_definitions` VALUES (72207, 6406, 14, 'Fasilitas Informasi Baru');
INSERT INTO `lang_definitions` VALUES (72208, 6407, 14, 'Berkas Baru');
INSERT INTO `lang_definitions` VALUES (72209, 6408, 14, 'Berkas-berkas Baru');
INSERT INTO `lang_definitions` VALUES (72210, 6409, 14, 'Validasi formulir baru');
INSERT INTO `lang_definitions` VALUES (72211, 6410, 14, 'Grup Baru');
INSERT INTO `lang_definitions` VALUES (72212, 6413, 14, 'Grup Informasi Baru');
INSERT INTO `lang_definitions` VALUES (72213, 6414, 14, 'Grup baru telah berhasil disimpan');
INSERT INTO `lang_definitions` VALUES (72214, 6415, 14, 'Rekam Imunisasi Baru');
INSERT INTO `lang_definitions` VALUES (72215, 6422, 14, 'Status/Cedera Baru');
INSERT INTO `lang_definitions` VALUES (72216, 6423, 14, 'Item Baru (lihat atas untuk rincian)');
INSERT INTO `lang_definitions` VALUES (72217, 6424, 14, 'Tata Letak Baru');
INSERT INTO `lang_definitions` VALUES (72218, 6425, 14, 'Batas Baru dari Event');
INSERT INTO `lang_definitions` VALUES (72219, 6426, 14, 'Daftar Baru');
INSERT INTO `lang_definitions` VALUES (72220, 6427, 14, 'Pesan Baru');
INSERT INTO `lang_definitions` VALUES (72221, 6428, 14, 'pesan baru');
INSERT INTO `lang_definitions` VALUES (72222, 6429, 14, 'Catatan Baru');
INSERT INTO `lang_definitions` VALUES (72223, 6432, 14, 'Order(Perintah/Pesanan) Baru');
INSERT INTO `lang_definitions` VALUES (72224, 6433, 14, 'Paragraf Baru');
INSERT INTO `lang_definitions` VALUES (72225, 6434, 14, 'Kata Sandi Baru');
INSERT INTO `lang_definitions` VALUES (72226, 6435, 14, 'Pasien Baru');
INSERT INTO `lang_definitions` VALUES (72227, 6436, 14, 'PASIEN BARU');
INSERT INTO `lang_definitions` VALUES (72228, 6437, 14, 'Encounter(Pertemuan) Pasien Baru');
INSERT INTO `lang_definitions` VALUES (72229, 6438, 14, 'Formulir Pasien Baru');
INSERT INTO `lang_definitions` VALUES (72230, 6439, 14, 'ID Pasien Baru');
INSERT INTO `lang_definitions` VALUES (72231, 6442, 14, 'Pembayaran Baru');
INSERT INTO `lang_definitions` VALUES (72232, 6445, 14, 'Pt Baru');
INSERT INTO `lang_definitions` VALUES (72233, 6447, 14, 'Hasil baru dari Lab Exchange(Pertukaran Lab)');
INSERT INTO `lang_definitions` VALUES (72234, 6448, 14, 'Pencarian Baru');
INSERT INTO `lang_definitions` VALUES (72235, 6449, 14, 'Pengiriman Baru');
INSERT INTO `lang_definitions` VALUES (72236, 6451, 14, 'Pengguna Baru');
INSERT INTO `lang_definitions` VALUES (72237, 6453, 14, 'Kunjungan Baru');
INSERT INTO `lang_definitions` VALUES (72238, 6454, 14, 'Baru/Cari');
INSERT INTO `lang_definitions` VALUES (72239, 6455, 14, 'Status Akun NewCrop');
INSERT INTO `lang_definitions` VALUES (72240, 6456, 14, 'Admin NewCrop');
INSERT INTO `lang_definitions` VALUES (72241, 6457, 14, 'Pemanggilan NewCrop gagal');
INSERT INTO `lang_definitions` VALUES (72242, 6458, 14, 'Dokter NewCrop');
INSERT INTO `lang_definitions` VALUES (72243, 6463, 14, 'Nama eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (72244, 6464, 14, 'Nama Rekan eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (72245, 6465, 14, 'Pasword eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (72246, 6466, 14, 'Tugas eRX NewCrop');
INSERT INTO `lang_definitions` VALUES (72247, 6467, 14, 'Tugas eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (72248, 6468, 14, 'Alamat Situs eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (72249, 6473, 14, 'Alamat Layanan Web eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (72250, 6474, 14, 'Pengelola NewCrop');
INSERT INTO `lang_definitions` VALUES (72251, 6475, 14, 'MedEntry NewCrop');
INSERT INTO `lang_definitions` VALUES (72252, 6476, 14, 'Resep Midlevel(tingkat menengah) NewCrop');
INSERT INTO `lang_definitions` VALUES (72253, 6477, 14, 'Perawat NewCrop');
INSERT INTO `lang_definitions` VALUES (72254, 6478, 14, 'Dokter Pengawasan NewCrop');
INSERT INTO `lang_definitions` VALUES (72255, 6481, 14, 'Koran');
INSERT INTO `lang_definitions` VALUES (72256, 6482, 14, 'Berikutnya');
INSERT INTO `lang_definitions` VALUES (72257, 6484, 14, 'Hari Berikutnya');
INSERT INTO `lang_definitions` VALUES (72258, 6485, 14, 'Bulan Berikutnya');
INSERT INTO `lang_definitions` VALUES (72259, 6486, 14, 'Bulan berikutnya (tahan untuk menu)');
INSERT INTO `lang_definitions` VALUES (72260, 6491, 14, 'Minggu Berikutnya');
INSERT INTO `lang_definitions` VALUES (72261, 6492, 14, 'Minggu Berikutnya (tahan untuk menu)');
INSERT INTO `lang_definitions` VALUES (72262, 6493, 14, 'Nama Panggilan');
INSERT INTO `lang_definitions` VALUES (72263, 6494, 14, 'Nama Panggilan');
INSERT INTO `lang_definitions` VALUES (72264, 6495, 14, 'Sepupu');
INSERT INTO `lang_definitions` VALUES (72265, 6496, 14, 'Kegelisahan saat Malam Hari');
INSERT INTO `lang_definitions` VALUES (72266, 6498, 14, 'Nl ext kemaluan, vag mucosa, tengkuk(leher rahim');
INSERT INTO `lang_definitions` VALUES (72267, 6499, 14, 'Tidak');
INSERT INTO `lang_definitions` VALUES (72268, 6500, 14, 'TIDAK');
INSERT INTO `lang_definitions` VALUES (72269, 6501, 14, 'tidak');
INSERT INTO `lang_definitions` VALUES (72270, 6502, 14, 'Tidak ada akses');
INSERT INTO `lang_definitions` VALUES (72271, 6503, 14, 'Tidak ada pengingat pasien yang aktif');
INSERT INTO `lang_definitions` VALUES (72272, 6504, 14, 'Tidak ada adenopathy (2 daerah diperlukan)');
INSERT INTO `lang_definitions` VALUES (72273, 6505, 14, 'Tidak ada jenis alasan pengaturan yang ditemukan');
INSERT INTO `lang_definitions` VALUES (72274, 6506, 14, 'Tidak ada kesakitan adnexal/massa');
INSERT INTO `lang_definitions` VALUES (72275, 6507, 14, 'Tidak ada peringatan');
INSERT INTO `lang_definitions` VALUES (72276, 6509, 14, 'Tidak ada Janji Temu');
INSERT INTO `lang_definitions` VALUES (72277, 6511, 14, 'Tidak Ada Arsip');
INSERT INTO `lang_definitions` VALUES (72278, 6515, 14, 'Tidak ada sistem penagihan yang sedang aktif');
INSERT INTO `lang_definitions` VALUES (72279, 6517, 14, 'Tidak ada Tagihan yang Ditemukan Termasuk di dalam Ekspor OFX<br>');
INSERT INTO `lang_definitions` VALUES (72280, 6519, 14, 'Tidak ada kode yang ditentukan!');
INSERT INTO `lang_definitions` VALUES (72281, 6521, 14, 'Tida tersedia data dalam tabel');
INSERT INTO `lang_definitions` VALUES (72282, 6522, 14, 'Tidak Ada Data untuk Diproses');
INSERT INTO `lang_definitions` VALUES (72283, 6523, 14, 'Tidak ada Diagnosa');
INSERT INTO `lang_definitions` VALUES (72284, 6525, 14, 'Tidak Ada Dokumen');
INSERT INTO `lang_definitions` VALUES (72285, 6526, 14, 'Tidak ada Dokumen yang Ditemukan');
INSERT INTO `lang_definitions` VALUES (72286, 6527, 14, 'Tidak ada Kunjungan yang dapat dibuat');
INSERT INTO `lang_definitions` VALUES (72287, 6528, 14, 'Tidak ada kunjungan...');
INSERT INTO `lang_definitions` VALUES (72288, 6529, 14, 'Tidak ada tanggal akhir');
INSERT INTO `lang_definitions` VALUES (72289, 6530, 14, 'Tidak ada masukan ditemukan, gunakan formulir di bawah ini untuk memberikan masukan.');
INSERT INTO `lang_definitions` VALUES (72290, 6531, 14, 'Tidak ada kesalahan yang ditemukan');
INSERT INTO `lang_definitions` VALUES (72291, 6532, 14, 'Tidak ada Event');
INSERT INTO `lang_definitions` VALUES (72292, 6536, 14, 'Tidak ada grup yang dipilih');
INSERT INTO `lang_definitions` VALUES (72293, 6537, 14, 'Tidak hernia(burut)');
INSERT INTO `lang_definitions` VALUES (72294, 6540, 14, 'Tidak ada cedera/penyakit');
INSERT INTO `lang_definitions` VALUES (72295, 6541, 14, 'Perusahaan Asuransi Tidak Ditemukan');
INSERT INTO `lang_definitions` VALUES (72296, 6542, 14, 'Tidak ada interaksi yang ditemukan');
INSERT INTO `lang_definitions` VALUES (72297, 6544, 14, 'Tidak ada Isu(Masalah)');
INSERT INTO `lang_definitions` VALUES (72298, 6546, 14, 'Tidak ada item dibawah kategori yang dipilih');
INSERT INTO `lang_definitions` VALUES (72299, 6547, 14, 'Tidak ada item yang dipilih!');
INSERT INTO `lang_definitions` VALUES (72300, 6548, 14, 'Tidak Ada Alergi yang Diketahui');
INSERT INTO `lang_definitions` VALUES (72301, 6551, 14, 'Tidak Ada Imunisasi yang Diketahui');
INSERT INTO `lang_definitions` VALUES (72302, 6552, 14, 'Tidak Ada Hasil Lab yang Diketahui');
INSERT INTO `lang_definitions` VALUES (72303, 6553, 14, 'Tidak Ada Medikasi yang Diketahui');
INSERT INTO `lang_definitions` VALUES (72304, 6554, 14, 'Tidak Ada Rencana Layanan yang Diketahui');
INSERT INTO `lang_definitions` VALUES (72305, 6555, 14, 'Tidak Ada Masalah yang Diketahui');
INSERT INTO `lang_definitions` VALUES (72306, 6556, 14, 'Tidak Ada Prosedur yang Diketahui');
INSERT INTO `lang_definitions` VALUES (72307, 6557, 14, 'Tidak Ada Rujukan yang Diketahui');
INSERT INTO `lang_definitions` VALUES (72308, 6559, 14, 'Tidak Ada Riwayat Sosial yang Diketahui');
INSERT INTO `lang_definitions` VALUES (72309, 6561, 14, 'Tidak ada data lab terdokumentasi.');
INSERT INTO `lang_definitions` VALUES (72310, 6562, 14, 'Tidak ada log file untuk tanggal yang dipilih');
INSERT INTO `lang_definitions` VALUES (72311, 6565, 14, 'Tidak ada massa, kelembutan');
INSERT INTO `lang_definitions` VALUES (72312, 6566, 14, 'Tidak ada catatan Pasien yang cocok yang ditemukan untuk kode Identifikasi');
INSERT INTO `lang_definitions` VALUES (72313, 6569, 14, 'Tidak ada yang ditemukan.');
INSERT INTO `lang_definitions` VALUES (72314, 6570, 14, 'Tidak ada yang ditemukan. Buat pasien baru sekarang?');
INSERT INTO `lang_definitions` VALUES (72315, 6575, 14, 'Tidak Ada Nama');
INSERT INTO `lang_definitions` VALUES (72316, 6577, 14, 'Tidak ada hasil baru yang ditemukan');
INSERT INTO `lang_definitions` VALUES (72317, 6578, 14, 'Tidak ada catatan');
INSERT INTO `lang_definitions` VALUES (72318, 6579, 14, 'Tidak ogrganomegoly');
INSERT INTO `lang_definitions` VALUES (72319, 6580, 14, 'Tidak ada bukaan ditemukan untuk periode ini.');
INSERT INTO `lang_definitions` VALUES (72320, 6583, 14, 'Tidak ada nomor telepon lain yang tercantum');
INSERT INTO `lang_definitions` VALUES (72321, 6584, 14, 'Tidak ada parameter yang dipilih.');
INSERT INTO `lang_definitions` VALUES (72322, 6585, 14, 'Tidak Ditemukan Mitra/Rekan');
INSERT INTO `lang_definitions` VALUES (72323, 6586, 14, 'Tidak ada catatan Pasien yang ditemukan untuk kriteria Pemilihan yang diberikan');
INSERT INTO `lang_definitions` VALUES (72324, 6587, 14, 'Tidak ada catatan Pasien yang ditemukan untuk kode Identifikasi yang diberikan');
INSERT INTO `lang_definitions` VALUES (72325, 6588, 14, 'Tidak ada perifer(sekeliling) busung');
INSERT INTO `lang_definitions` VALUES (72326, 6589, 14, 'Apotek tidak Ditemukan');
INSERT INTO `lang_definitions` VALUES (72327, 6590, 14, 'Tidak ada resep Ditemukan');
INSERT INTO `lang_definitions` VALUES (72328, 6591, 14, 'Tidak ada resep yang dipilih');
INSERT INTO `lang_definitions` VALUES (72329, 6592, 14, 'Tidak ada presentasi penyakit/cedera');
INSERT INTO `lang_definitions` VALUES (72330, 6593, 14, 'Tidak ada entri/masukan sebelumnya.');
INSERT INTO `lang_definitions` VALUES (72331, 6594, 14, 'Tidak ada Entitas Bisnis Utam yang dipilih dalam daftar fasilitas');
INSERT INTO `lang_definitions` VALUES (72332, 6595, 14, 'Tidak ada kunjungan sebelumnya.');
INSERT INTO `lang_definitions` VALUES (72333, 6598, 14, 'Tidak Ditemukan Provider');
INSERT INTO `lang_definitions` VALUES (72334, 6599, 14, 'Tidak ada luka ruam atau abnormal');
INSERT INTO `lang_definitions` VALUES (72335, 6601, 14, 'Tidak tersedia rekaman');
INSERT INTO `lang_definitions` VALUES (72336, 6602, 14, 'Tidak ada rekaman yang ditemukan');
INSERT INTO `lang_definitions` VALUES (72337, 6603, 14, 'Tidak ada rekaman yang ditemukan.');
INSERT INTO `lang_definitions` VALUES (72338, 6604, 14, 'Tidak ada record(catatan) yang ditemukan. Silahkan perluas kriteria pencarian anda.');
INSERT INTO `lang_definitions` VALUES (72339, 6607, 14, 'Tidak ada Pengingat');
INSERT INTO `lang_definitions` VALUES (72340, 6608, 14, 'Hasil Tidak Ditemukan, untuk kriteria pencarian diatas');
INSERT INTO `lang_definitions` VALUES (72341, 6609, 14, 'Hasil Tidak Ada');
INSERT INTO `lang_definitions` VALUES (72342, 6612, 14, 'Tidak Ditemukan Hasil Pencarian Untuk');
INSERT INTO `lang_definitions` VALUES (72343, 6614, 14, 'Tidak ada hasil, silahkan coba lagi.');
INSERT INTO `lang_definitions` VALUES (72344, 6615, 14, 'Tidak ada hasil, silahkan cari lagi.');
INSERT INTO `lang_definitions` VALUES (72345, 6618, 14, 'Tampilan Tidak Ada');
INSERT INTO `lang_definitions` VALUES (72346, 6619, 14, 'Tidak ada tampilan');
INSERT INTO `lang_definitions` VALUES (72347, 6620, 14, 'tidak ada tandatangan pada dokumen');
INSERT INTO `lang_definitions` VALUES (72348, 6621, 14, 'Tidak ada tandatangan pada berkas');
INSERT INTO `lang_definitions` VALUES (72349, 6622, 14, 'Tidak ada Kesakitan Sinus:');
INSERT INTO `lang_definitions` VALUES (72350, 6623, 14, 'Tidak ada dimpling atau bengkak kulit payudara');
INSERT INTO `lang_definitions` VALUES (72351, 6624, 14, 'KONTEKS NAMA TERSEBUT TIDAK ADA');
INSERT INTO `lang_definitions` VALUES (72352, 6625, 14, 'Tidak ada tabel yang dipilih! Pilih sebuah tabel.');
INSERT INTO `lang_definitions` VALUES (72353, 6626, 14, 'Tidak ada kesakitan testis, massa');
INSERT INTO `lang_definitions` VALUES (72354, 6628, 14, 'Tidak ada kecemasan atau nafas');
INSERT INTO `lang_definitions` VALUES (72355, 6632, 14, 'Tidak ada kunjungan');
INSERT INTO `lang_definitions` VALUES (72356, 6633, 14, 'Tidak ada vital yang didokumentasikan');
INSERT INTO `lang_definitions` VALUES (72357, 6634, 14, 'Tidak, Batalkan');
INSERT INTO `lang_definitions` VALUES (72358, 6635, 14, 'Tidak ada kesalahan Asuransi termasuk Otomatis adalah Primer');
INSERT INTO `lang_definitions` VALUES (72359, 6636, 14, 'Tidak:');
INSERT INTO `lang_definitions` VALUES (72360, 6637, 14, 'Nokturia');
INSERT INTO `lang_definitions` VALUES (72361, 6638, 14, 'Tidak Dibayar');
INSERT INTO `lang_definitions` VALUES (72362, 6640, 14, 'Laporan yang Tidak Dilaporkan');
INSERT INTO `lang_definitions` VALUES (72363, 6641, 14, 'Cedera yang tidak spesifik');
INSERT INTO `lang_definitions` VALUES (72364, 6642, 14, 'Non-elektronik');
INSERT INTO `lang_definitions` VALUES (72365, 6643, 14, 'Diabetes yang tidak Tergantung Insulin');
INSERT INTO `lang_definitions` VALUES (72366, 6644, 14, 'Tanpa-Asuransi');
INSERT INTO `lang_definitions` VALUES (72367, 6646, 14, 'Kedokteran/Pengobatan Non-SRH');
INSERT INTO `lang_definitions` VALUES (72368, 6647, 14, 'Non-Medis Non-SRH');
INSERT INTO `lang_definitions` VALUES (72369, 6648, 14, 'Tak satupun');
INSERT INTO `lang_definitions` VALUES (72370, 6649, 14, 'tak satupun');
INSERT INTO `lang_definitions` VALUES (72371, 6650, 14, 'Tidak didefinisikan');
INSERT INTO `lang_definitions` VALUES (72372, 6652, 14, 'Tidak ada yang telah didokumentasikan');
INSERT INTO `lang_definitions` VALUES (72373, 6653, 14, 'Tidak ada diatas');
INSERT INTO `lang_definitions` VALUES (72374, 6654, 14, 'Tidak ada satupun dari Baris Distribusi Bagian Atas bisa Benar-benar Kosong.');
INSERT INTO `lang_definitions` VALUES (72375, 6683, 14, 'Diabetes tidak Tergantung Insulin');
INSERT INTO `lang_definitions` VALUES (72376, 6684, 14, 'Maupun');
INSERT INTO `lang_definitions` VALUES (72377, 6685, 14, 'Normal');
INSERT INTO `lang_definitions` VALUES (72378, 6687, 14, 'BL Normal');
INSERT INTO `lang_definitions` VALUES (72379, 6688, 14, 'Pemeriksaan Jantung Normal:');
INSERT INTO `lang_definitions` VALUES (72380, 6689, 14, 'Pemeriksaan Jantung Normal:');
INSERT INTO `lang_definitions` VALUES (72381, 6690, 14, 'Pemeriksaan Paru-paru Normal:');
INSERT INTO `lang_definitions` VALUES (72382, 6691, 14, 'Pemeriksaan Paru-paru Normal:');
INSERT INTO `lang_definitions` VALUES (72383, 6692, 14, 'Pemeriksaan Kunjungan Kantor/Kerja');
INSERT INTO `lang_definitions` VALUES (72384, 6693, 14, 'Orofaring Normal:');
INSERT INTO `lang_definitions` VALUES (72385, 6694, 14, 'Normal Kanan');
INSERT INTO `lang_definitions` VALUES (72386, 6695, 14, 'Normal Kanan:');
INSERT INTO `lang_definitions` VALUES (72387, 6696, 14, 'Tampilan Normal');
INSERT INTO `lang_definitions` VALUES (72388, 6697, 14, 'normal:');
INSERT INTO `lang_definitions` VALUES (72389, 6698, 14, 'Biasanya ini harus diperiksa. Tidak terkait dengan akses kontrol.');
INSERT INTO `lang_definitions` VALUES (72390, 6701, 14, 'Norwegia');
INSERT INTO `lang_definitions` VALUES (72391, 6705, 14, 'Hidung');
INSERT INTO `lang_definitions` VALUES (72392, 6706, 14, 'Mimisan');
INSERT INTO `lang_definitions` VALUES (72393, 6707, 14, 'bukan huruf atau angka');
INSERT INTO `lang_definitions` VALUES (72394, 6710, 14, 'Tidak semua field(bidang) diperlukan untuk semua jenis kode atau kode.');
INSERT INTO `lang_definitions` VALUES (72395, 6712, 14, 'Tidak Diizinkan');
INSERT INTO `lang_definitions` VALUES (72396, 6713, 14, 'Tidak diperbolehkan untuk menghapus grup Administrator');
INSERT INTO `lang_definitions` VALUES (72397, 6714, 14, 'Tidak diperbolehkan untuk Mengedit');
INSERT INTO `lang_definitions` VALUES (72398, 6715, 14, 'Tidak diperbolehkan untuk menonaktifkan semua objek keamanan');
INSERT INTO `lang_definitions` VALUES (72399, 6716, 14, 'Tidak diperbolehkan untuk menonaktifkan apapun dari Administrator ACL');
INSERT INTO `lang_definitions` VALUES (72400, 6717, 14, 'Tidak diperbolehkan untuk menghapus pengguna admin dari grup Administrator');
INSERT INTO `lang_definitions` VALUES (72401, 6718, 14, 'Tidak diperbolehkan untuk menghapus pengguna ini dari grup Administrator');
INSERT INTO `lang_definitions` VALUES (72402, 6720, 14, 'Tidak diizinkan untuk mengakses modul PostCalendar');
INSERT INTO `lang_definitions` VALUES (72403, 6721, 14, 'Tidak Diizinkan');
INSERT INTO `lang_definitions` VALUES (72404, 6722, 14, 'Tidak diizinkan');
INSERT INTO `lang_definitions` VALUES (72405, 6723, 14, 'Tidak diizinkan untuk regu ini!');
INSERT INTO `lang_definitions` VALUES (72406, 6724, 14, 'Tidak diizinkan untuk regu ini.');
INSERT INTO `lang_definitions` VALUES (72407, 6729, 14, 'Tidak Tersedia');
INSERT INTO `lang_definitions` VALUES (72408, 6731, 14, 'Tidak ditagih');
INSERT INTO `lang_definitions` VALUES (72409, 6732, 14, 'Tidak Diperiksa');
INSERT INTO `lang_definitions` VALUES (72410, 6733, 14, 'Tidak Diperiksa');
INSERT INTO `lang_definitions` VALUES (72411, 6736, 14, 'Tidak Sesuai');
INSERT INTO `lang_definitions` VALUES (72412, 6738, 14, 'Tidak Diperiksa');
INSERT INTO `lang_definitions` VALUES (72413, 6739, 14, 'Tidak Diperiksa:');
INSERT INTO `lang_definitions` VALUES (72414, 6740, 14, 'Tidak Diperiksa:');
INSERT INTO `lang_definitions` VALUES (72415, 6742, 14, 'tidak ditemukan');
INSERT INTO `lang_definitions` VALUES (72416, 6744, 14, 'tidak ditemukan!');
INSERT INTO `lang_definitions` VALUES (72417, 6745, 14, 'Tidak Hispanic atau Latino');
INSERT INTO `lang_definitions` VALUES (72418, 6751, 14, 'Tidak terlihat sejak');
INSERT INTO `lang_definitions` VALUES (72419, 6753, 14, 'Belum Terkirim');
INSERT INTO `lang_definitions` VALUES (72420, 6755, 14, 'Tidak Ditentukan.');
INSERT INTO `lang_definitions` VALUES (72421, 6758, 14, 'Catatan');
INSERT INTO `lang_definitions` VALUES (72422, 6760, 14, 'Kode Catatan');
INSERT INTO `lang_definitions` VALUES (72423, 6762, 14, 'Sebagai catatan, ini akan menghabiskan waktu 5-10 menit untuk sepenuhnya memproses setelah anda klik Instal');
INSERT INTO `lang_definitions` VALUES (72424, 6763, 14, 'Sebagai catatan, ini akan menghabiskan waktu 5-10 menit untuk sepenuhnya memproses setelah anda klik Upgrade');
INSERT INTO `lang_definitions` VALUES (72425, 6764, 14, 'Sebagai catatan, Logging Audit perlu diaktifkan diatas');
INSERT INTO `lang_definitions` VALUES (72426, 6771, 14, 'Jenis Catatan');
INSERT INTO `lang_definitions` VALUES (72427, 6780, 14, 'Catatan: Kode ini tidak dimasukkan oleh pengguna yang berwenang. Hanya kode yang diizinkan yang mungkin diupload ke Open Medical Billing Network (Jaringan Penagihan Medis Terbuka) untuk diproses. Jika Anda ingin mengupload kode ini, silahkan pilih salah satu pengguna berwenang di sini.');
INSERT INTO `lang_definitions` VALUES (72428, 6783, 14, 'CATATAN: Mengupload file dengan nama sama akan menyebabkan file yang diganti nama secara otomatis. (misalnya, file.jpg akan menjadi file.jpg.1). Nama file dianggap unik per pasien, bukan per kategori.');
INSERT INTO `lang_definitions` VALUES (72429, 6784, 14, 'CATATAN: Mengupload file dengan nama sama akan menyebabkan file yang akan diganti nama secara otomatis. Misalnya \'<i>file.jpg</ i>\' akan menjadi \'<i>file.jpg.1</ i>\'. Nama file dianggap unik per pasien, bukan per kategori.');
INSERT INTO `lang_definitions` VALUES (72430, 6785, 14, 'Catatan');
INSERT INTO `lang_definitions` VALUES (72431, 6788, 14, 'Catatan - encounter(pertemuan) apapun (tulis, hanya tambah opsional)');
INSERT INTO `lang_definitions` VALUES (72432, 6790, 14, 'Catatan - encounter(pertemuan) saya (tulis, hanya tambah opsional)');
INSERT INTO `lang_definitions` VALUES (72433, 6793, 14, 'Catatan tidak diizinkan');
INSERT INTO `lang_definitions` VALUES (72434, 6796, 14, 'Tidak ada yang Disimpan');
INSERT INTO `lang_definitions` VALUES (72435, 6799, 14, 'Tidak ada yang diimpor untuk Alergi');
INSERT INTO `lang_definitions` VALUES (72436, 6800, 14, 'Tidak ada yang diimpor untuk Resep');
INSERT INTO `lang_definitions` VALUES (72437, 6804, 14, 'Tidak ada yang dipilih');
INSERT INTO `lang_definitions` VALUES (72438, 6808, 14, 'PEMBERITAHUAN:: Pengiriman/Modifikasi PostCalendar');
INSERT INTO `lang_definitions` VALUES (72439, 6809, 14, 'Pemberitahuan');
INSERT INTO `lang_definitions` VALUES (72440, 6810, 14, 'Pemberitahuan Alamat Email');
INSERT INTO `lang_definitions` VALUES (72441, 6815, 14, 'Pemberitahuan');
INSERT INTO `lang_definitions` VALUES (72442, 6816, 14, 'Beritahu Admin Tentang Pengiriman/Modifikasi Event?');
INSERT INTO `lang_definitions` VALUES (72443, 6820, 14, 'Novembar');
INSERT INTO `lang_definitions` VALUES (72444, 6821, 14, 'November');
INSERT INTO `lang_definitions` VALUES (72445, 6824, 14, 'Sekarang posting untuk:');
INSERT INTO `lang_definitions` VALUES (72446, 6825, 14, 'Sedang mencetak');
INSERT INTO `lang_definitions` VALUES (72447, 6826, 14, 'Sedang mencetak pernyataan $stmt_count dan mengupdate encounter(pertemuan).');
INSERT INTO `lang_definitions` VALUES (72448, 6827, 14, 'Sedang mencetak pernyataan $stmt_count dan mengupdate faktur/tagihan.');
INSERT INTO `lang_definitions` VALUES (72449, 6828, 14, 'Sedang mencetak pernyataan $stmt_count; encounter(pertemuan) tidak akan diupdate.');
INSERT INTO `lang_definitions` VALUES (72450, 6829, 14, 'Sedang mencetak pernyataan $stmt_count; faktur/tagihan tidak akan diupdate.');
INSERT INTO `lang_definitions` VALUES (72451, 6834, 14, 'NPI');
INSERT INTO `lang_definitions` VALUES (72452, 6836, 14, 'NQF');
INSERT INTO `lang_definitions` VALUES (72453, 6837, 14, 'Nomor');
INSERT INTO `lang_definitions` VALUES (72454, 6838, 14, 'Nomor lab');
INSERT INTO `lang_definitions` VALUES (72455, 6843, 14, 'Jumlah kolom pada tampilan tahun.');
INSERT INTO `lang_definitions` VALUES (72456, 6850, 14, 'Jumlah hari bahwa sertifikat klien valid');
INSERT INTO `lang_definitions` VALUES (72457, 6852, 14, 'Jumlah digit setelah titik desimal untuk mata uang, biasanya 0 atau 2.');
INSERT INTO `lang_definitions` VALUES (72458, 6853, 14, 'Jumlah encounter(pertemuan) untuk ditampilkan per halaman.');
INSERT INTO `lang_definitions` VALUES (72459, 6855, 14, 'Jumlah permainan atau event terlewat/terjawab, jika ada');
INSERT INTO `lang_definitions` VALUES (72460, 6856, 14, 'Jumlah jam/waktu sebelumnya untuk mengirim notifikasi email.');
INSERT INTO `lang_definitions` VALUES (72461, 6857, 14, 'Jumlah jam/waktu sebelumnya untuk mengirim notifikasi Telepon.');
INSERT INTO `lang_definitions` VALUES (72462, 6858, 14, 'Jumlah jam/waktu sebelumnya untuk mengirim notifikasi SMS.');
INSERT INTO `lang_definitions` VALUES (72463, 6862, 14, 'Jumlah kolom riwayat yang lalu');
INSERT INTO `lang_definitions` VALUES (72464, 6864, 14, 'Mati Rasa');
INSERT INTO `lang_definitions` VALUES (72465, 6865, 14, 'Pembilang/Penghitung');
INSERT INTO `lang_definitions` VALUES (72466, 6866, 14, 'Tampilan order numerik');
INSERT INTO `lang_definitions` VALUES (72467, 6869, 14, 'Nutrisi');
INSERT INTO `lang_definitions` VALUES (72468, 6871, 14, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (72469, 6872, 14, 'O2 Sat');
INSERT INTO `lang_definitions` VALUES (72470, 6874, 14, 'Obesitas I');
INSERT INTO `lang_definitions` VALUES (72471, 6875, 14, 'Obesitas II');
INSERT INTO `lang_definitions` VALUES (72472, 6876, 14, 'Obesitas III');
INSERT INTO `lang_definitions` VALUES (72473, 6877, 14, 'Tujuan');
INSERT INTO `lang_definitions` VALUES (72474, 6886, 14, 'Pekerjaan');
INSERT INTO `lang_definitions` VALUES (72475, 6889, 14, 'Kejadian');
INSERT INTO `lang_definitions` VALUES (72476, 6890, 14, 'Oktober');
INSERT INTO `lang_definitions` VALUES (72477, 6891, 14, 'Oktober');
INSERT INTO `lang_definitions` VALUES (72478, 6892, 14, 'OD');
INSERT INTO `lang_definitions` VALUES (72479, 6895, 14, 'dari');
INSERT INTO `lang_definitions` VALUES (72480, 6896, 14, 'dari kuantitas');
INSERT INTO `lang_definitions` VALUES (72481, 6897, 14, 'dari tablet');
INSERT INTO `lang_definitions` VALUES (72482, 6898, 14, 'dari bulan setiap');
INSERT INTO `lang_definitions` VALUES (72483, 6899, 14, 'Catatan Ofc');
INSERT INTO `lang_definitions` VALUES (72484, 6900, 14, 'Mati');
INSERT INTO `lang_definitions` VALUES (72485, 6907, 14, 'Catatan Kantor');
INSERT INTO `lang_definitions` VALUES (72486, 6908, 14, 'Kunjungan Kantor/Kerja');
INSERT INTO `lang_definitions` VALUES (72487, 6909, 14, 'Ukuran Kualitas Klinis (CQM) Resmi');
INSERT INTO `lang_definitions` VALUES (72488, 6910, 14, 'Link Https Offsite untuk Portal Pasien.');
INSERT INTO `lang_definitions` VALUES (72489, 6911, 14, 'Link Https Offsite untuk Portal Pasien. (Link/Tautan Pasien)');
INSERT INTO `lang_definitions` VALUES (72490, 6912, 14, 'Pasword Portal Pasien Offsite');
INSERT INTO `lang_definitions` VALUES (72491, 6913, 14, 'Pasword Portal Pasien Offsite (Kosongkan Jika tidak Terdaftar).');
INSERT INTO `lang_definitions` VALUES (72492, 6916, 14, 'Alamat Situs Portal Pasien Offsite');
INSERT INTO `lang_definitions` VALUES (72493, 6917, 14, 'Alamat Situs Portal Pasien Offsite (Link/Tautan Pasien)');
INSERT INTO `lang_definitions` VALUES (72494, 6918, 14, 'Nama Pengguna Portal Pasien Offsite');
INSERT INTO `lang_definitions` VALUES (72495, 6919, 14, 'Nama Pengguna Portal Pasien Offsite (Kosongkan Jika tidak Terdaftar).');
INSERT INTO `lang_definitions` VALUES (72496, 6921, 14, 'Keturunan');
INSERT INTO `lang_definitions` VALUES (72497, 6925, 14, 'Obat Salep');
INSERT INTO `lang_definitions` VALUES (72498, 6927, 14, 'OK');
INSERT INTO `lang_definitions` VALUES (72499, 6930, 14, 'OK untuk menghubungkan tangal isu(masalah) GCAC');
INSERT INTO `lang_definitions` VALUES (72500, 6931, 14, 'Tua');
INSERT INTO `lang_definitions` VALUES (72501, 6933, 14, 'Klien Lama');
INSERT INTO `lang_definitions` VALUES (72502, 6934, 14, 'Tidak patah / malunion lama');
INSERT INTO `lang_definitions` VALUES (72503, 6935, 14, 'Tata letak lama tanpa menu kiri');
INSERT INTO `lang_definitions` VALUES (72504, 6936, 14, 'Formulir gaya lama statis tanpa pencarian atau cek duplikasi');
INSERT INTO `lang_definitions` VALUES (72505, 6942, 14, 'Hilangkan informasi majikan dalam demografi pasien');
INSERT INTO `lang_definitions` VALUES (72506, 6943, 14, 'Hilangkan Majikan');
INSERT INTO `lang_definitions` VALUES (72507, 6944, 14, 'Hilangkan formulir, rute dan interval yang kemudian menjadi bagian dari dosis');
INSERT INTO `lang_definitions` VALUES (72508, 6945, 14, 'Hilangkan asuransi dan beberapa hal lain dari formulir demografi');
INSERT INTO `lang_definitions` VALUES (72509, 6946, 14, 'HIlangkan pengguna internal?');
INSERT INTO `lang_definitions` VALUES (72510, 6947, 14, 'Hilangkan metode pembayaran dari panel co-pay');
INSERT INTO `lang_definitions` VALUES (72511, 6948, 14, 'hilangkan untuk autoassign');
INSERT INTO `lang_definitions` VALUES (72512, 6949, 14, 'Pada');
INSERT INTO `lang_definitions` VALUES (72513, 6950, 14, 'pada');
INSERT INTO `lang_definitions` VALUES (72514, 6956, 14, 'Pada Tangan');
INSERT INTO `lang_definitions` VALUES (72515, 6959, 14, 'Pada Urutan');
INSERT INTO `lang_definitions` VALUES (72516, 6960, 14, 'Pada Situs');
INSERT INTO `lang_definitions` VALUES (72517, 6975, 14, 'Setelah Fasilitas Bisnis Primer diatur, seharusnya tidak diubah. Mengubah fasilitas tersebut akan mempengaruhi kerja di NewCrop ePrescription.');
INSERT INTO `lang_definitions` VALUES (72518, 6979, 14, 'Setelah Anda mengubah pasword, Anda harus login kembali.');
INSERT INTO `lang_definitions` VALUES (72519, 6996, 14, 'Dukungan Online');
INSERT INTO `lang_definitions` VALUES (72520, 6997, 14, 'Link Dukungan Online');
INSERT INTO `lang_definitions` VALUES (72521, 6999, 14, 'Hanya Aktif');
INSERT INTO `lang_definitions` VALUES (72522, 7004, 14, 'hanya jika lokasi tagihan');
INSERT INTO `lang_definitions` VALUES (72523, 7006, 14, 'Hanya Nonaktif');
INSERT INTO `lang_definitions` VALUES (72524, 7007, 14, 'Hanya Milik Saya');
INSERT INTO `lang_definitions` VALUES (72525, 7013, 14, 'Hanya mengupload resep aktif');
INSERT INTO `lang_definitions` VALUES (72526, 7017, 14, 'Serangan Penyakit:');
INSERT INTO `lang_definitions` VALUES (72527, 7018, 14, 'Serangan Penyakit:');
INSERT INTO `lang_definitions` VALUES (72528, 7019, 14, 'Timbulnya Pembengkakan:');
INSERT INTO `lang_definitions` VALUES (72529, 7022, 14, 'Tanggal Mulai:');
INSERT INTO `lang_definitions` VALUES (72530, 7026, 14, 'Alamat Situs Portal Onsite(Ruang) Pasien');
INSERT INTO `lang_definitions` VALUES (72531, 7030, 14, 'Ups!');
INSERT INTO `lang_definitions` VALUES (72532, 7031, 14, 'Buka');
INSERT INTO `lang_definitions` VALUES (72533, 7037, 14, 'Buka Kunjungan');
INSERT INTO `lang_definitions` VALUES (72534, 7040, 14, 'Buka pada Jendela Baru');
INSERT INTO `lang_definitions` VALUES (72535, 7046, 14, 'Buka Kunjungan Hari Ini');
INSERT INTO `lang_definitions` VALUES (72536, 7071, 14, 'OpenEMR telah memiliki Otoritas Sertifikat dikonfigurasi.');
INSERT INTO `lang_definitions` VALUES (72537, 7076, 14, 'Upgrade Database OpenEMR');
INSERT INTO `lang_definitions` VALUES (72538, 7077, 14, 'Upgrade Database OpenEMR untuk de-identifikasi');
INSERT INTO `lang_definitions` VALUES (72539, 7080, 14, 'OpenEMR harus dikonfigurasi untuk menggunakan sertifikat sebelum dapat membuat sertifikat klien.');
INSERT INTO `lang_definitions` VALUES (72540, 7084, 14, 'OpenEMR membutuhkan Javascript untuk melakukan otentikasi pengguna.');
INSERT INTO `lang_definitions` VALUES (72541, 7085, 14, 'Pengguna OpenEMR');
INSERT INTO `lang_definitions` VALUES (72542, 7086, 14, 'Membuka');
INSERT INTO `lang_definitions` VALUES (72543, 7092, 14, 'Kedokteran Mata');
INSERT INTO `lang_definitions` VALUES (72544, 7095, 14, 'Pilihan');
INSERT INTO `lang_definitions` VALUES (72545, 7098, 14, 'Pilihan untuk mendukung persediaan dan penjualan produk');
INSERT INTO `lang_definitions` VALUES (72546, 7099, 14, 'Opsional');
INSERT INTO `lang_definitions` VALUES (72547, 7100, 14, 'Nama kategori opsional untuk gambar Kartu ID(KTP) yang dapat dilihat dari halaman rangkuman pasien.');
INSERT INTO `lang_definitions` VALUES (72548, 7101, 14, 'Nama kategori opsional untuk gambar foto yang dapat dilihat dari halaman rangkuman pasien.');
INSERT INTO `lang_definitions` VALUES (72549, 7102, 14, 'Nama kategori opsional dari dokumen untuk melakukan link dari halaman rangkuman pasien. Memungkinkan anda klik pada nama pasien untuk melihat Kartu ID(KTP) mereka.');
INSERT INTO `lang_definitions` VALUES (72550, 7103, 14, 'Range(jangkauan) standar opsional untuk entri(masukan) manual dari hasil');
INSERT INTO `lang_definitions` VALUES (72551, 7104, 14, 'Unit(satuan) standar opsional untuk entri(masukan) manual dari hasil');
INSERT INTO `lang_definitions` VALUES (72552, 7105, 14, 'Nama Tujuan Opsional');
INSERT INTO `lang_definitions` VALUES (72553, 7107, 14, 'Nama obat opsional, gunakan % sebagai wildcard');
INSERT INTO `lang_definitions` VALUES (72554, 7111, 14, 'Informasi opsional tentang event ini');
INSERT INTO `lang_definitions` VALUES (72555, 7112, 14, 'Nomor lot opsional, gunakan % sebagai wildcard');
INSERT INTO `lang_definitions` VALUES (72556, 7113, 14, 'ID pasien numerik opsional');
INSERT INTO `lang_definitions` VALUES (72557, 7114, 14, 'Kode prosedur opsional');
INSERT INTO `lang_definitions` VALUES (72558, 7116, 14, 'Pilihan');
INSERT INTO `lang_definitions` VALUES (72559, 7117, 14, 'ATAU');
INSERT INTO `lang_definitions` VALUES (72560, 7118, 14, 'Atau');
INSERT INTO `lang_definitions` VALUES (72561, 7119, 14, 'atau pilih');
INSERT INTO `lang_definitions` VALUES (72562, 7120, 14, 'atau klik dan drag(tarik) untuk pemilihan lebih cepat');
INSERT INTO `lang_definitions` VALUES (72563, 7122, 14, 'Atau Keluar');
INSERT INTO `lang_definitions` VALUES (72564, 7124, 14, 'atau Shift-kli untuk menguranginya');
INSERT INTO `lang_definitions` VALUES (72565, 7125, 14, 'Atau upload file ERA:');
INSERT INTO `lang_definitions` VALUES (72566, 7127, 14, 'Lisan');
INSERT INTO `lang_definitions` VALUES (72567, 7128, 14, 'Mulut mukosa merah muda, tenggorokan jernih');
INSERT INTO `lang_definitions` VALUES (72568, 7129, 14, 'Pesanan');
INSERT INTO `lang_definitions` VALUES (72569, 7131, 14, 'Jenis Hasil dan Pesanan');
INSERT INTO `lang_definitions` VALUES (72570, 7132, 14, 'Katalog Pesanan');
INSERT INTO `lang_definitions` VALUES (72571, 7133, 14, 'Tanggal Pesanan');
INSERT INTO `lang_definitions` VALUES (72572, 7136, 14, 'Pesanan Dari');
INSERT INTO `lang_definitions` VALUES (72573, 7138, 14, 'Pesanan harus berupa angka antara 1 dan 999');
INSERT INTO `lang_definitions` VALUES (72574, 7140, 14, 'Nama Pesanan');
INSERT INTO `lang_definitions` VALUES (72575, 7142, 14, 'Prioritas Pesanan');
INSERT INTO `lang_definitions` VALUES (72576, 7143, 14, 'Prosesor Pesanan');
INSERT INTO `lang_definitions` VALUES (72577, 7147, 14, 'Status Pesanan');
INSERT INTO `lang_definitions` VALUES (72578, 7150, 14, 'Tipe Pesanan');
INSERT INTO `lang_definitions` VALUES (72579, 7152, 14, 'Jenis Pesanan/Hasil');
INSERT INTO `lang_definitions` VALUES (72580, 7153, 14, 'Dipesan');
INSERT INTO `lang_definitions` VALUES (72581, 7159, 14, 'Provider Pemesanan');
INSERT INTO `lang_definitions` VALUES (72582, 7166, 14, 'Cedera organ');
INSERT INTO `lang_definitions` VALUES (72583, 7167, 14, 'Organisasi');
INSERT INTO `lang_definitions` VALUES (72584, 7168, 14, 'Nama Organisasi');
INSERT INTO `lang_definitions` VALUES (72585, 7169, 14, 'Nama Unit Organisasi');
INSERT INTO `lang_definitions` VALUES (72586, 7170, 14, 'Organisasi');
INSERT INTO `lang_definitions` VALUES (72587, 7171, 14, 'Berorientasi x 3');
INSERT INTO `lang_definitions` VALUES (72588, 7175, 14, 'Orisinil/Asli');
INSERT INTO `lang_definitions` VALUES (72589, 7181, 14, 'OROFARING:');
INSERT INTO `lang_definitions` VALUES (72590, 7184, 14, 'Ortopnea');
INSERT INTO `lang_definitions` VALUES (72591, 7188, 14, 'OS');
INSERT INTO `lang_definitions` VALUES (72592, 7189, 14, 'Osetoarthritis');
INSERT INTO `lang_definitions` VALUES (72593, 7193, 14, 'Lainnya');
INSERT INTO `lang_definitions` VALUES (72594, 7194, 14, 'lainnya');
INSERT INTO `lang_definitions` VALUES (72595, 7196, 14, 'Lainnya (sebutkan)');
INSERT INTO `lang_definitions` VALUES (72596, 7198, 14, 'Lainnya - Tertentu');
INSERT INTO `lang_definitions` VALUES (72597, 7201, 14, 'Program Federal Lainnya');
INSERT INTO `lang_definitions` VALUES (72598, 7202, 14, 'HCFA Lainnya');
INSERT INTO `lang_definitions` VALUES (72599, 7203, 14, 'Cedera laiinya tidak dirinci');
INSERT INTO `lang_definitions` VALUES (72600, 7204, 14, 'Kewajiban Asuransi Lainnya adalah Primer');
INSERT INTO `lang_definitions` VALUES (72601, 7206, 14, 'bulan lainnya');
INSERT INTO `lang_definitions` VALUES (72602, 7207, 14, 'Program Non-Federal Lainnya');
INSERT INTO `lang_definitions` VALUES (72603, 7208, 14, 'Catatan Lainnya');
INSERT INTO `lang_definitions` VALUES (72604, 7209, 14, 'Gejala Relevan Lainnya');
INSERT INTO `lang_definitions` VALUES (72605, 7210, 14, 'Gejala Relevan Lainnya:');
INSERT INTO `lang_definitions` VALUES (72606, 7213, 14, 'Pt resp lainnya');
INSERT INTO `lang_definitions` VALUES (72607, 7215, 14, 'Stres lainnya/cedera berlebihan');
INSERT INTO `lang_definitions` VALUES (72608, 7216, 14, 'Bedah Lainnya');
INSERT INTO `lang_definitions` VALUES (72609, 7217, 14, 'Lain-lain/Aborsi-Terkait Generik');
INSERT INTO `lang_definitions` VALUES (72610, 7219, 14, 'Lainnya');
INSERT INTO `lang_definitions` VALUES (72611, 7221, 14, 'jika tidak anda akan menghancurkan referensi ke/dari data yang ada');
INSERT INTO `lang_definitions` VALUES (72612, 7224, 14, 'Aturan Pergelangan Kaki Ottawa');
INSERT INTO `lang_definitions` VALUES (72613, 7225, 14, 'OU');
INSERT INTO `lang_definitions` VALUES (72614, 7227, 14, 'KELUAR');
INSERT INTO `lang_definitions` VALUES (72615, 7228, 14, 'Diluar Kantor');
INSERT INTO `lang_definitions` VALUES (72616, 7230, 14, 'Rujukan Outbound');
INSERT INTO `lang_definitions` VALUES (72617, 7231, 14, 'Hasil');
INSERT INTO `lang_definitions` VALUES (72618, 7234, 14, 'Pandangan');
INSERT INTO `lang_definitions` VALUES (72619, 7240, 14, 'TERLAMBAT');
INSERT INTO `lang_definitions` VALUES (72620, 7244, 14, 'Berlebihan');
INSERT INTO `lang_definitions` VALUES (72621, 7246, 14, 'Kegemukan');
INSERT INTO `lang_definitions` VALUES (72622, 7247, 14, 'Timpa pilihan HIPAA');
INSERT INTO `lang_definitions` VALUES (72623, 7249, 14, 'Saturasi Oksigen');
INSERT INTO `lang_definitions` VALUES (72624, 7251, 14, 'P');
INSERT INTO `lang_definitions` VALUES (72625, 7252, 14, 'p.c.');
INSERT INTO `lang_definitions` VALUES (72626, 7253, 14, 'p.m.');
INSERT INTO `lang_definitions` VALUES (72627, 7254, 14, 'p.r.n.');
INSERT INTO `lang_definitions` VALUES (72628, 7258, 14, 'Kepulauan Pasifik');
INSERT INTO `lang_definitions` VALUES (72629, 7259, 14, 'Paedeatric');
INSERT INTO `lang_definitions` VALUES (72630, 7260, 14, 'Halaman');
INSERT INTO `lang_definitions` VALUES (72631, 7263, 14, 'Halaman');
INSERT INTO `lang_definitions` VALUES (72632, 7264, 14, 'Dibayar');
INSERT INTO `lang_definitions` VALUES (72633, 7265, 14, 'Jumlah dibayar yang akan anda alokasikan');
INSERT INTO `lang_definitions` VALUES (72634, 7267, 14, 'Dibayar Via');
INSERT INTO `lang_definitions` VALUES (72635, 7268, 14, 'Sakit');
INSERT INTO `lang_definitions` VALUES (72636, 7271, 14, 'Debaran Jantung');
INSERT INTO `lang_definitions` VALUES (72637, 7275, 14, 'Pap Smear');
INSERT INTO `lang_definitions` VALUES (72638, 7277, 14, 'Ukuran Kertas');
INSERT INTO `lang_definitions` VALUES (72639, 7278, 14, 'Kelumpuhan');
INSERT INTO `lang_definitions` VALUES (72640, 7284, 14, 'Parse HL7');
INSERT INTO `lang_definitions` VALUES (72641, 7289, 14, 'Mitra/Rekan');
INSERT INTO `lang_definitions` VALUES (72642, 7290, 14, 'Nama Mitra');
INSERT INTO `lang_definitions` VALUES (72643, 7294, 14, 'Frase Pasword');
INSERT INTO `lang_definitions` VALUES (72644, 7295, 14, 'Frase Pasword untuk mendekripsi dokumen');
INSERT INTO `lang_definitions` VALUES (72645, 7296, 14, 'Pasien Lulus');
INSERT INTO `lang_definitions` VALUES (72646, 7297, 14, 'Pemberitahuan Pasif');
INSERT INTO `lang_definitions` VALUES (72647, 7299, 14, 'Aturan Pemberitahuan Pasif');
INSERT INTO `lang_definitions` VALUES (72648, 7301, 14, 'Pasword');
INSERT INTO `lang_definitions` VALUES (72649, 7302, 14, 'Ubah Pasword');
INSERT INTO `lang_definitions` VALUES (72650, 7304, 14, 'Perubahan pasword berhasil');
INSERT INTO `lang_definitions` VALUES (72651, 7308, 14, 'Periode Kadaluarsa Pasword');
INSERT INTO `lang_definitions` VALUES (72652, 7310, 14, 'Pasword untuk Gateway Telepon. Layanan VOIP otomatis disediakan oleh Maviq. Silahkan kunjungi http://signup.maviq.com untuk informasi lebih lanjut.');
INSERT INTO `lang_definitions` VALUES (72653, 7311, 14, 'Pasword untuk SMS Gateway');
INSERT INTO `lang_definitions` VALUES (72654, 7312, 14, 'Pasword untuk SMS Gateway.');
INSERT INTO `lang_definitions` VALUES (72655, 7314, 14, 'Keamanan pasword telah baru saja diupgrade/ditingkatkan.');
INSERT INTO `lang_definitions` VALUES (72656, 7319, 14, 'Pasword:');
INSERT INTO `lang_definitions` VALUES (72657, 7329, 14, 'Batas yang lalu');
INSERT INTO `lang_definitions` VALUES (72658, 7330, 14, 'Batas yang Lalu');
INSERT INTO `lang_definitions` VALUES (72659, 7331, 14, 'Interval Batas yang Lalu (Pengingat Klinis)');
INSERT INTO `lang_definitions` VALUES (72660, 7332, 14, 'Interval Batas yang Lalu (Pengingat Pasien)');
INSERT INTO `lang_definitions` VALUES (72661, 7333, 14, 'Daftar Kunjungan Pasien');
INSERT INTO `lang_definitions` VALUES (72662, 7334, 14, 'Kunjungan yang Lalu');
INSERT INTO `lang_definitions` VALUES (72663, 7335, 14, 'Kunjungan dan Dokumen yang Lalu');
INSERT INTO `lang_definitions` VALUES (72664, 7336, 14, 'Kunjungan Lalu untuk');
INSERT INTO `lang_definitions` VALUES (72665, 7338, 14, 'Pertemuan yang Lalu');
INSERT INTO `lang_definitions` VALUES (72666, 7341, 14, 'Riwayat Bedah yang Lalu');
INSERT INTO `lang_definitions` VALUES (72667, 7343, 14, 'Tahun yang Lalu');
INSERT INTO `lang_definitions` VALUES (72668, 7344, 14, 'Sisipkan Data HL7');
INSERT INTO `lang_definitions` VALUES (72669, 7345, 14, 'Sisipkan data untuk diimpor kedalam area teks dibawah ini:');
INSERT INTO `lang_definitions` VALUES (72670, 7346, 14, 'Pat');
INSERT INTO `lang_definitions` VALUES (72671, 7348, 14, 'Patch');
INSERT INTO `lang_definitions` VALUES (72672, 7355, 14, 'Jalan untuk Backup Log Event');
INSERT INTO `lang_definitions` VALUES (72673, 7356, 14, 'Jalan ke File Sertifikat CA');
INSERT INTO `lang_definitions` VALUES (72674, 7357, 14, 'Jalan ke File Kunci CA');
INSERT INTO `lang_definitions` VALUES (72675, 7358, 14, 'Jalan ke Binari MySQL');
INSERT INTO `lang_definitions` VALUES (72676, 7359, 14, 'Jalan ke Binari Perl');
INSERT INTO `lang_definitions` VALUES (72677, 7360, 14, 'Jalan ke File Sementara');
INSERT INTO `lang_definitions` VALUES (72678, 7361, 14, 'Pasien');
INSERT INTO `lang_definitions` VALUES (72679, 7362, 14, 'PASIEN');
INSERT INTO `lang_definitions` VALUES (72680, 7363, 14, 'pasien');
INSERT INTO `lang_definitions` VALUES (72681, 7365, 14, 'Alamat Pasien');
INSERT INTO `lang_definitions` VALUES (72682, 7366, 14, 'Alamat Pasien tidak ada');
INSERT INTO `lang_definitions` VALUES (72683, 7369, 14, 'Alergi pasien');
INSERT INTO `lang_definitions` VALUES (72684, 7370, 14, 'Alergi Pasien');
INSERT INTO `lang_definitions` VALUES (72685, 7373, 14, 'Janji Temu Pasien');
INSERT INTO `lang_definitions` VALUES (72686, 7379, 14, 'ID Grafik pasien');
INSERT INTO `lang_definitions` VALUES (72687, 7381, 14, 'Pemeriksaan Pasien');
INSERT INTO `lang_definitions` VALUES (72688, 7382, 14, 'Pemeriksaan Pasien untuk');
INSERT INTO `lang_definitions` VALUES (72689, 7383, 14, 'Kota Pasien');
INSERT INTO `lang_definitions` VALUES (72690, 7384, 14, 'Kota Pasien tidak ada');
INSERT INTO `lang_definitions` VALUES (72691, 7386, 14, 'Komunikasi pasien terkirim');
INSERT INTO `lang_definitions` VALUES (72692, 7387, 14, 'Komunikasi Pasien Terkirim');
INSERT INTO `lang_definitions` VALUES (72693, 7388, 14, 'Negara Pasien');
INSERT INTO `lang_definitions` VALUES (72694, 7389, 14, 'Negara Pasien tidak ada. Juga anda belum menetapkan standar Negara Pasien dalam Pengaturan Global');
INSERT INTO `lang_definitions` VALUES (72695, 7394, 14, 'Data pasien');
INSERT INTO `lang_definitions` VALUES (72696, 7396, 14, 'Tanggal Lahir Pasien tidak ada');
INSERT INTO `lang_definitions` VALUES (72697, 7401, 14, 'Rincian Pasien');
INSERT INTO `lang_definitions` VALUES (72698, 7402, 14, 'Tanggal Lahir Pasien');
INSERT INTO `lang_definitions` VALUES (72699, 7404, 14, 'Dokumen Pasien');
INSERT INTO `lang_definitions` VALUES (72700, 7410, 14, 'Pendidikan Pasien');
INSERT INTO `lang_definitions` VALUES (72701, 7411, 14, 'Materi Edukasi Pasien');
INSERT INTO `lang_definitions` VALUES (72702, 7412, 14, 'Pasien Encounter');
INSERT INTO `lang_definitions` VALUES (72703, 7413, 14, 'Pasien Encounter Formulir');
INSERT INTO `lang_definitions` VALUES (72704, 7414, 14, 'Pasien Encounters');
INSERT INTO `lang_definitions` VALUES (72705, 7415, 14, 'Pencari Pasien');
INSERT INTO `lang_definitions` VALUES (72706, 7417, 14, 'Nama awal Pasien');
INSERT INTO `lang_definitions` VALUES (72707, 7419, 14, 'Nama awal Pasien tidak ada');
INSERT INTO `lang_definitions` VALUES (72708, 7424, 14, 'Jenis Kelamin Pasien');
INSERT INTO `lang_definitions` VALUES (72709, 7425, 14, 'Jenis Kelamin Pasien tidak ada');
INSERT INTO `lang_definitions` VALUES (72710, 7426, 14, 'Pasien tidak diizinkan Portal Pasien');
INSERT INTO `lang_definitions` VALUES (72711, 7428, 14, 'Riwayat Pasien');
INSERT INTO `lang_definitions` VALUES (72712, 7429, 14, 'Riwayat/Gaya Hidup Pasien');
INSERT INTO `lang_definitions` VALUES (72713, 7430, 14, 'Telepon rumah Pasien');
INSERT INTO `lang_definitions` VALUES (72714, 7431, 14, 'ID Pasien');
INSERT INTO `lang_definitions` VALUES (72715, 7433, 14, 'Katu ID(KTP) Pasien');
INSERT INTO `lang_definitions` VALUES (72716, 7434, 14, 'Nama Kategori Kartu ID(KTP) Pasien');
INSERT INTO `lang_definitions` VALUES (72717, 7437, 14, 'Imunisasi Pasien');
INSERT INTO `lang_definitions` VALUES (72718, 7438, 14, 'Informasi Pasien');
INSERT INTO `lang_definitions` VALUES (72719, 7440, 14, 'Instruksi Pasien');
INSERT INTO `lang_definitions` VALUES (72720, 7441, 14, 'Distribusi Asuransi Pasien');
INSERT INTO `lang_definitions` VALUES (72721, 7442, 14, 'Laporan Distribusi Asuransi Pasien');
INSERT INTO `lang_definitions` VALUES (72722, 7445, 14, 'Isu(Masalah) Pasien');
INSERT INTO `lang_definitions` VALUES (72723, 7447, 14, 'Nama akhir Pasien');
INSERT INTO `lang_definitions` VALUES (72724, 7449, 14, 'Nama akhir Pasien tidak ada');
INSERT INTO `lang_definitions` VALUES (72725, 7454, 14, 'Daftar Pasien');
INSERT INTO `lang_definitions` VALUES (72726, 7460, 14, 'Kesalahan Lookup Pasien');
INSERT INTO `lang_definitions` VALUES (72727, 7463, 14, 'Masalah Medis Pasien');
INSERT INTO `lang_definitions` VALUES (72728, 7464, 14, 'Pengobatan Pasien');
INSERT INTO `lang_definitions` VALUES (72729, 7470, 14, 'Nama Pasien');
INSERT INTO `lang_definitions` VALUES (72730, 7472, 14, 'Nama & Alamat Pasien');
INSERT INTO `lang_definitions` VALUES (72731, 7475, 14, 'Nama Pasien Diperlukan');
INSERT INTO `lang_definitions` VALUES (72732, 7477, 14, 'Catatan Pasien');
INSERT INTO `lang_definitions` VALUES (72733, 7478, 14, 'Jenis Catatan Pasien');
INSERT INTO `lang_definitions` VALUES (72734, 7479, 14, 'Catatan Pasien');
INSERT INTO `lang_definitions` VALUES (72735, 7480, 14, 'Catatan Pasien (tulis, hanya tambah opsional)');
INSERT INTO `lang_definitions` VALUES (72736, 7482, 14, 'Nomor Pasien');
INSERT INTO `lang_definitions` VALUES (72737, 7483, 14, 'Pembayaran Pasien');
INSERT INTO `lang_definitions` VALUES (72738, 7485, 14, 'Nama Kategori Foto Pasien');
INSERT INTO `lang_definitions` VALUES (72739, 7487, 14, 'Portal Pasien');
INSERT INTO `lang_definitions` VALUES (72740, 7492, 14, 'Portal Pasien dimatikan');
INSERT INTO `lang_definitions` VALUES (72741, 7493, 14, 'Login Portal Pasien');
INSERT INTO `lang_definitions` VALUES (72742, 7496, 14, 'Alamat Web Portal Pasien');
INSERT INTO `lang_definitions` VALUES (72743, 7497, 14, 'Laporan Tercetak Pasien');
INSERT INTO `lang_definitions` VALUES (72744, 7499, 14, 'Laporan Rekam Pasien');
INSERT INTO `lang_definitions` VALUES (72745, 7500, 14, 'Permintaan Rekam Pasien');
INSERT INTO `lang_definitions` VALUES (72746, 7501, 14, 'Permintaan Rekam Pasien');
INSERT INTO `lang_definitions` VALUES (72747, 7502, 14, 'Agama Pasien');
INSERT INTO `lang_definitions` VALUES (72748, 7503, 14, 'Pengingat Pasien');
INSERT INTO `lang_definitions` VALUES (72749, 7505, 14, 'Pengingat Batch Job Pasien');
INSERT INTO `lang_definitions` VALUES (72750, 7507, 14, 'Aturan Pengingat Pasien');
INSERT INTO `lang_definitions` VALUES (72751, 7508, 14, 'Email Pengirim Pengingat Pasien');
INSERT INTO `lang_definitions` VALUES (72752, 7509, 14, 'Nama Pengirim Pengingat Pasien');
INSERT INTO `lang_definitions` VALUES (72753, 7510, 14, 'Pengingat Pasien');
INSERT INTO `lang_definitions` VALUES (72754, 7514, 14, 'Laporan Pasien');
INSERT INTO `lang_definitions` VALUES (72755, 7518, 14, 'Permintaan Pasien');
INSERT INTO `lang_definitions` VALUES (72756, 7519, 14, 'Catatan Medis yang Diminta Pasien');
INSERT INTO `lang_definitions` VALUES (72757, 7521, 14, 'Hasil Pasien');
INSERT INTO `lang_definitions` VALUES (72758, 7525, 14, 'Gaya Hasil Pencarian Pasien');
INSERT INTO `lang_definitions` VALUES (72759, 7526, 14, 'Layar Pencarian/Tambah Pasien');
INSERT INTO `lang_definitions` VALUES (72760, 7528, 14, 'Pengaturan Pasien');
INSERT INTO `lang_definitions` VALUES (72761, 7533, 14, 'Negara Pasien');
INSERT INTO `lang_definitions` VALUES (72762, 7539, 14, 'Rangkuman Pasien');
INSERT INTO `lang_definitions` VALUES (72763, 7542, 14, 'Transaksi Pasien');
INSERT INTO `lang_definitions` VALUES (72764, 7546, 14, 'Zip Pasien');
INSERT INTO `lang_definitions` VALUES (72765, 7549, 14, 'pasien dalam database yang cocok dengan informasi demografis yang anda masukkan');
INSERT INTO `lang_definitions` VALUES (72766, 7550, 14, 'Pasien/Klien');
INSERT INTO `lang_definitions` VALUES (72767, 7551, 14, 'Pasien:');
INSERT INTO `lang_definitions` VALUES (72768, 7552, 14, 'ID Pasien');
INSERT INTO `lang_definitions` VALUES (72769, 7553, 14, 'Pasien');
INSERT INTO `lang_definitions` VALUES (72770, 7559, 14, 'Membayar');
INSERT INTO `lang_definitions` VALUES (72771, 7560, 14, 'Perhatikan bagian \"Selesai dengan\" checkbox. Setelah asuransi ditandai selesai maka kita akan mulai menanyakan pasien untuk membayar sisa saldo, jika anda gagal untuk menandai semua asuransi yang lengkap, maka jumlah yang tersisa tidak akan dikumpulkan! Juga jika ada keseimbangan bahwa pasien harus bayar, kemudian menetapkan tanggal jatuh tempo dengan tepat, karena hal ini akan mempengaruhi bahasa yang muncul pada pasien pernyataan.');
INSERT INTO `lang_definitions` VALUES (72772, 7563, 14, 'Tanggal Bayar:');
INSERT INTO `lang_definitions` VALUES (72773, 7568, 14, 'Pembayar');
INSERT INTO `lang_definitions` VALUES (72774, 7572, 14, 'Jenis pembayar');
INSERT INTO `lang_definitions` VALUES (72775, 7573, 14, 'Membayar');
INSERT INTO `lang_definitions` VALUES (72776, 7574, 14, 'Entitas Pembayaran');
INSERT INTO `lang_definitions` VALUES (72777, 7575, 14, 'Pembayaran');
INSERT INTO `lang_definitions` VALUES (72778, 7576, 14, 'pembayaran');
INSERT INTO `lang_definitions` VALUES (72779, 7577, 14, 'Kode Pengaturan Pembayaran');
INSERT INTO `lang_definitions` VALUES (72780, 7579, 14, 'Jumlah Pembayaran');
INSERT INTO `lang_definitions` VALUES (72781, 7580, 14, 'Jumlah Pembayaran harus berupa numerik(angka)');
INSERT INTO `lang_definitions` VALUES (72782, 7581, 14, 'Kategori Pembayaran');
INSERT INTO `lang_definitions` VALUES (72783, 7583, 14, 'Tanggal Pembayaran');
INSERT INTO `lang_definitions` VALUES (72784, 7584, 14, 'pembayaran dimasukkan pada');
INSERT INTO `lang_definitions` VALUES (72785, 7585, 14, 'Pembayaran Dari');
INSERT INTO `lang_definitions` VALUES (72786, 7588, 14, 'Asuransi Pembayaran');
INSERT INTO `lang_definitions` VALUES (72787, 7589, 14, 'Daftar Pembayaran');
INSERT INTO `lang_definitions` VALUES (72788, 7590, 14, 'Metode Pembayaran');
INSERT INTO `lang_definitions` VALUES (72789, 7592, 14, 'Pembayaran Urut Berdasarkan');
INSERT INTO `lang_definitions` VALUES (72790, 7593, 14, 'Status Pembayaran');
INSERT INTO `lang_definitions` VALUES (72791, 7597, 14, 'Tipe/Jenis Pembayaran');
INSERT INTO `lang_definitions` VALUES (72792, 7600, 14, 'Nilai pembayaran untuk kode');
INSERT INTO `lang_definitions` VALUES (72793, 7602, 14, 'Pembayaran');
INSERT INTO `lang_definitions` VALUES (72794, 7606, 14, 'PCP');
INSERT INTO `lang_definitions` VALUES (72795, 7610, 14, 'PDF');
INSERT INTO `lang_definitions` VALUES (72796, 7614, 14, 'Download PDF Pernyataan yang Dipilih');
INSERT INTO `lang_definitions` VALUES (72797, 7620, 14, 'Panggul dan pantat');
INSERT INTO `lang_definitions` VALUES (72798, 7621, 14, 'Pemphigus');
INSERT INTO `lang_definitions` VALUES (72799, 7624, 14, 'Pending/Tertunda');
INSERT INTO `lang_definitions` VALUES (72800, 7629, 14, 'Tertunda F/U');
INSERT INTO `lang_definitions` VALUES (72801, 7630, 14, 'Menunggu tindak lanjut');
INSERT INTO `lang_definitions` VALUES (72802, 7631, 14, 'Menunggu Tindak Lanjut dari Hasil');
INSERT INTO `lang_definitions` VALUES (72803, 7632, 14, 'Menunggu Pesanan/Pesanan Tertunda');
INSERT INTO `lang_definitions` VALUES (72804, 7633, 14, 'Menunggu Res/Res Tertunda');
INSERT INTO `lang_definitions` VALUES (72805, 7634, 14, 'Menunggu Tinjauan/Tinjauan Tertunda');
INSERT INTO `lang_definitions` VALUES (72806, 7635, 14, 'Menunggu Jumlah Rx/Jumlah Rx Tertunda');
INSERT INTO `lang_definitions` VALUES (72807, 7638, 14, 'Kantor Pennington OpenEMR v');
INSERT INTO `lang_definitions` VALUES (72808, 7639, 14, 'Penyakit Maag');
INSERT INTO `lang_definitions` VALUES (72809, 7641, 14, 'per min');
INSERT INTO `lang_definitions` VALUES (72810, 7642, 14, 'Per Lubang Hidung');
INSERT INTO `lang_definitions` VALUES (72811, 7643, 14, 'per lubang hidung');
INSERT INTO `lang_definitions` VALUES (72812, 7644, 14, 'Per Oris');
INSERT INTO `lang_definitions` VALUES (72813, 7645, 14, 'per oris');
INSERT INTO `lang_definitions` VALUES (72814, 7646, 14, 'Per Dubur');
INSERT INTO `lang_definitions` VALUES (72815, 7647, 14, 'per dubur');
INSERT INTO `lang_definitions` VALUES (72816, 7648, 14, 'Persen');
INSERT INTO `lang_definitions` VALUES (72817, 7652, 14, 'Persentil');
INSERT INTO `lang_definitions` VALUES (72818, 7653, 14, 'Berlubang Kanan:');
INSERT INTO `lang_definitions` VALUES (72819, 7654, 14, 'Melakukan Pencarian');
INSERT INTO `lang_definitions` VALUES (72820, 7655, 14, 'Lakukan tindakan ini');
INSERT INTO `lang_definitions` VALUES (72821, 7656, 14, 'Persentase Kinerja');
INSERT INTO `lang_definitions` VALUES (72822, 7659, 14, 'Melakukan Fasilitas Laboratorium');
INSERT INTO `lang_definitions` VALUES (72823, 7661, 14, 'Periode');
INSERT INTO `lang_definitions` VALUES (72824, 7662, 14, 'Periode dalam hari dimana pengguna dapat login dengan pasword yang sudah kadaluarsa.');
INSERT INTO `lang_definitions` VALUES (72825, 7663, 14, 'Perawatan Perioperatif');
INSERT INTO `lang_definitions` VALUES (72826, 7665, 14, 'Peripheral(Sekeliling)');
INSERT INTO `lang_definitions` VALUES (72827, 7671, 14, 'Orang');
INSERT INTO `lang_definitions` VALUES (72828, 7672, 14, 'Personalisasi');
INSERT INTO `lang_definitions` VALUES (72829, 7675, 14, 'PG');
INSERT INTO `lang_definitions` VALUES (72830, 7676, 14, 'Apotek');
INSERT INTO `lang_definitions` VALUES (72831, 7677, 14, 'Jumpah Perusahaan Apotek');
INSERT INTO `lang_definitions` VALUES (72832, 7678, 14, 'Apotek');
INSERT INTO `lang_definitions` VALUES (72833, 7680, 14, 'Farmasi/Apotek');
INSERT INTO `lang_definitions` VALUES (72834, 7681, 14, 'Farmasi Apotek');
INSERT INTO `lang_definitions` VALUES (72835, 7688, 14, 'Pheumothorax');
INSERT INTO `lang_definitions` VALUES (72836, 7697, 14, 'Telepon');
INSERT INTO `lang_definitions` VALUES (72837, 7699, 14, 'Daftar panggilan telepon');
INSERT INTO `lang_definitions` VALUES (72838, 7705, 14, 'Pasword Gateway Telepon');
INSERT INTO `lang_definitions` VALUES (72839, 7706, 14, 'URL Gateway Telepon');
INSERT INTO `lang_definitions` VALUES (72840, 7707, 14, 'Nama Pengguna Gateway Telepon');
INSERT INTO `lang_definitions` VALUES (72841, 7709, 14, 'Waktu Notifikasi/Pemberitahuan Telepon');
INSERT INTO `lang_definitions` VALUES (72842, 7711, 14, 'Nomor Telepon');
INSERT INTO `lang_definitions` VALUES (72843, 7715, 14, 'Photophobia');
INSERT INTO `lang_definitions` VALUES (72844, 7716, 14, 'Foto');
INSERT INTO `lang_definitions` VALUES (72845, 7717, 14, 'PHP dikompresi');
INSERT INTO `lang_definitions` VALUES (72846, 7718, 14, 'Modul PHP CURL harus diaktfkan pada server anda.');
INSERT INTO `lang_definitions` VALUES (72847, 7720, 14, 'PHP diekstrak');
INSERT INTO `lang_definitions` VALUES (72848, 7721, 14, 'Akses kontrol php-GACL dimatikan');
INSERT INTO `lang_definitions` VALUES (72849, 7722, 14, 'PHP-gacl tidak diinstal');
INSERT INTO `lang_definitions` VALUES (72850, 7723, 14, 'Pemeriksaan Fisik');
INSERT INTO `lang_definitions` VALUES (72851, 7725, 14, 'Permintaan Dokter');
INSERT INTO `lang_definitions` VALUES (72852, 7726, 14, 'Tanda Tangan Dokter');
INSERT INTO `lang_definitions` VALUES (72853, 7729, 14, 'Dokter');
INSERT INTO `lang_definitions` VALUES (72854, 7733, 14, 'pilih');
INSERT INTO `lang_definitions` VALUES (72855, 7734, 14, 'Pilih');
INSERT INTO `lang_definitions` VALUES (72856, 7735, 14, 'Pilih tema CSS.');
INSERT INTO `lang_definitions` VALUES (72857, 7738, 14, 'PID');
INSERT INTO `lang_definitions` VALUES (72858, 7740, 14, 'PID (Penyakit Inflamasi Panggul)');
INSERT INTO `lang_definitions` VALUES (72859, 7741, 14, 'Ukuran Pil');
INSERT INTO `lang_definitions` VALUES (72860, 7742, 14, 'Pil');
INSERT INTO `lang_definitions` VALUES (72861, 7745, 14, 'Tempatkan file zip database dalam direktori berikut jika ingin pilihan untuk menginstal');
INSERT INTO `lang_definitions` VALUES (72862, 7752, 14, 'Placeholder');
INSERT INTO `lang_definitions` VALUES (72863, 7753, 14, 'Placeholder (Menjaga ACL kosong)');
INSERT INTO `lang_definitions` VALUES (72864, 7756, 14, 'Teks Biasa');
INSERT INTO `lang_definitions` VALUES (72865, 7757, 14, 'Rencana');
INSERT INTO `lang_definitions` VALUES (72866, 7762, 14, 'Nama Rencana');
INSERT INTO `lang_definitions` VALUES (72867, 7768, 14, 'Set Rencana');
INSERT INTO `lang_definitions` VALUES (72868, 7773, 14, 'Rencana:');
INSERT INTO `lang_definitions` VALUES (72869, 7776, 14, 'Rencana');
INSERT INTO `lang_definitions` VALUES (72870, 7778, 14, 'Pemain');
INSERT INTO `lang_definitions` VALUES (72871, 7779, 14, 'Posisi Bermain');
INSERT INTO `lang_definitions` VALUES (72872, 7780, 14, 'Silahkan hubungi jika ada informasi diatas yang tidak benar');
INSERT INTO `lang_definitions` VALUES (72873, 7784, 14, 'Silahkan ubah pasword anda.');
INSERT INTO `lang_definitions` VALUES (72874, 7785, 14, 'Silahkan Pilih file');
INSERT INTO `lang_definitions` VALUES (72875, 7786, 14, 'Silahkan pilih pasien');
INSERT INTO `lang_definitions` VALUES (72876, 7787, 14, 'Silahkan pilih pemilihan yang valid dari daftar.');
INSERT INTO `lang_definitions` VALUES (72877, 7788, 14, 'Silahkan pilih pemilihan yang valid.');
INSERT INTO `lang_definitions` VALUES (72878, 7789, 14, 'Silahkan pilih nilai untuk');
INSERT INTO `lang_definitions` VALUES (72879, 7790, 14, 'Silahkan pilih kriteria range(jarak) tanggal diatas, dan klik Refresh untuk melihat hasil.');
INSERT INTO `lang_definitions` VALUES (72880, 7791, 14, 'Silahkan pilih file EDI-271 format yang tepat');
INSERT INTO `lang_definitions` VALUES (72881, 7792, 14, 'Silahkan Klik tombol download untuk mendownload data De Identifikasi');
INSERT INTO `lang_definitions` VALUES (72882, 7793, 14, 'Silahkan Klik tombol download untuk mendownload data Re Identifikasi');
INSERT INTO `lang_definitions` VALUES (72883, 7795, 14, 'Silahkan tutup jendela ini.');
INSERT INTO `lang_definitions` VALUES (72884, 7796, 14, 'Silahkan bandingkan nama baru');
INSERT INTO `lang_definitions` VALUES (72885, 7805, 14, 'Jangan terima resep ini kecuali diterima melalui faksimil.');
INSERT INTO `lang_definitions` VALUES (72886, 7806, 14, 'Jangan terima resep ini kecuali diterima melalui faksimil.');
INSERT INTO `lang_definitions` VALUES (72887, 7807, 14, 'Mohon TIDAK menggunakan tombol berhenti atau reload browser sementara halaman ini sedang berjalan kecuali lebih dari 10 menit telah berlalu, ini tidak akan menyebabkan proses berhenti pada server dan akan mengkonsumsi sumber daya yang tidak perlu.');
INSERT INTO `lang_definitions` VALUES (72888, 7808, 14, 'SILAHKAN AKTIFKAN EKSTENSI CURL');
INSERT INTO `lang_definitions` VALUES (72889, 7809, 14, 'SILAHKAN AKTIFKAN EKSTENSI OPENSSL');
INSERT INTO `lang_definitions` VALUES (72890, 7810, 14, 'SILAHKAN AKTIFKAN EKSTENSI SOAP');
INSERT INTO `lang_definitions` VALUES (72891, 7811, 14, 'SILAHKAN AKTIFKAN EKSTENSI XML');
INSERT INTO `lang_definitions` VALUES (72892, 7813, 14, 'Silahkan masukkan tanggal untuk Tinjauan Terakhir');
INSERT INTO `lang_definitions` VALUES (72893, 7814, 14, 'Silahkan masukkan tanggal.');
INSERT INTO `lang_definitions` VALUES (72894, 7816, 14, 'Silahkan masukkan batas tanggal');
INSERT INTO `lang_definitions` VALUES (72895, 7818, 14, 'Silahkan masukkan pesan');
INSERT INTO `lang_definitions` VALUES (72896, 7819, 14, 'Silahkan masukkan jumlah uang menggunakan hanya angka dan titik desimal.');
INSERT INTO `lang_definitions` VALUES (72897, 7821, 14, 'Silahkan Masukkan Kata Sandi Baru');
INSERT INTO `lang_definitions` VALUES (72898, 7822, 14, 'Silahkan masukkan judul!');
INSERT INTO `lang_definitions` VALUES (72899, 7828, 14, 'Silahkan masukkan kode Re Identifikasi yang benar');
INSERT INTO `lang_definitions` VALUES (72900, 7832, 14, 'Silahkan masukkan string pencarian baru');
INSERT INTO `lang_definitions` VALUES (72901, 7833, 14, 'Silahkan masukkan kode Re Identifikasi yang benar');
INSERT INTO `lang_definitions` VALUES (72902, 7834, 14, 'Silahkan masukkan pasword');
INSERT INTO `lang_definitions` VALUES (72903, 7843, 14, 'Silahkan Isi Nomor Cek');
INSERT INTO `lang_definitions` VALUES (72904, 7845, 14, 'SIlahkan Isi Tanggal');
INSERT INTO `lang_definitions` VALUES (72905, 7846, 14, 'Silahkan Isi Jumlah Pembayaran');
INSERT INTO `lang_definitions` VALUES (72906, 7847, 14, 'Silahkan Isi Kategori Pembayaran');
INSERT INTO `lang_definitions` VALUES (72907, 7848, 14, 'Silahkan Isi Pembayaran Dari');
INSERT INTO `lang_definitions` VALUES (72908, 7849, 14, 'Silahkan Isi Post Ke Tanggal');
INSERT INTO `lang_definitions` VALUES (72909, 7850, 14, 'Silahkan isi mereka sebelum melanjutkan.');
INSERT INTO `lang_definitions` VALUES (72910, 7854, 14, 'Silahkan sebutkan alasan kunjungan');
INSERT INTO `lang_definitions` VALUES (72911, 7856, 14, 'Silahkan masukkan kriteria pencarian diatas, dan klik Serahkan untuk melihat hasil.');
INSERT INTO `lang_definitions` VALUES (72912, 7857, 14, 'Silahkan masukkan kriteria pencarian diatas, dan klik Serahkan untuk melihat hasil. (Hasil akan ditampilkan pada jendela pop up)');
INSERT INTO `lang_definitions` VALUES (72913, 7858, 14, 'Silahkan login kembali.');
INSERT INTO `lang_definitions` VALUES (72914, 7859, 14, 'Perlu diketahui bahwa hal ini bisa memakan waktu yang cukup lama, hingga beberapa menit, browser Anda mungkin tidak terlihat sangat aktif saat ini, tetapi menghasilkan tagihan adalah proses yang rumit dan browser web Anda hanya menunggu untuk informasi lebih lanjut.');
INSERT INTO `lang_definitions` VALUES (72915, 7860, 14, 'Harap Dicatat: konstan adalah case sensitive, dan setiap string diperbolehkan.');
INSERT INTO `lang_definitions` VALUES (72916, 7861, 14, 'Harap hanya menggunakan karakter abjad');
INSERT INTO `lang_definitions` VALUES (72917, 7862, 14, 'Harap hanya menggunakan karakter abjad tanpa spasi');
INSERT INTO `lang_definitions` VALUES (72918, 7863, 14, 'Harap membayar jumlah ini');
INSERT INTO `lang_definitions` VALUES (72919, 7867, 14, 'Silahkan lihat');
INSERT INTO `lang_definitions` VALUES (72920, 7868, 14, 'Silahkan reset pasword.');
INSERT INTO `lang_definitions` VALUES (72921, 7869, 14, 'Silahkan restart server apache sebelum memulai dengan de-identifikasi');
INSERT INTO `lang_definitions` VALUES (72922, 7877, 14, 'Silahkan pilh bahasa');
INSERT INTO `lang_definitions` VALUES (72923, 7878, 14, 'Silahkan Pilih Pasien.');
INSERT INTO `lang_definitions` VALUES (72924, 7879, 14, 'Silahkan pilih fasilitas Entitat/Badan Bisnis Primer dengan \'ID Pajak\' sebagai fasilitas ID Pajak anda. Jika anda adalah seorang praktisi individu, gunakan id pajak anda. Ini digunakan untuk mengidentifikasi anda dalam sistem NewCrop.');
INSERT INTO `lang_definitions` VALUES (72925, 7882, 14, 'Silahkan Pilih Penerima');
INSERT INTO `lang_definitions` VALUES (72926, 7884, 14, 'Silahkan pilih tanggal awal dan tanggal akhir');
INSERT INTO `lang_definitions` VALUES (72927, 7885, 14, 'Silahkan pilih penerima yang valid');
INSERT INTO `lang_definitions` VALUES (72928, 7888, 14, 'Silahkan pilih alasan pengaturan/penyesuaian untuk kode');
INSERT INTO `lang_definitions` VALUES (72929, 7889, 14, 'Silakan pilih sebuah event');
INSERT INTO `lang_definitions` VALUES (72930, 7891, 14, 'Silahkan pilih Pilihan Pencarian.');
INSERT INTO `lang_definitions` VALUES (72931, 7894, 14, 'Silahkan pilih setidaknya satu resep!');
INSERT INTO `lang_definitions` VALUES (72932, 7899, 14, 'Silakan pilih halaman yang dikehendaki untuk menyalin atau meneruskan:');
INSERT INTO `lang_definitions` VALUES (72933, 7900, 14, 'Silahkan Pilih Metode Pembayaran');
INSERT INTO `lang_definitions` VALUES (72934, 7905, 14, 'Silahkan pilih mitra X12, dibutuhkan untuk membuat batch 270');
INSERT INTO `lang_definitions` VALUES (72935, 7906, 14, 'Silahkan set');
INSERT INTO `lang_definitions` VALUES (72936, 7907, 14, 'Silahkan set variabel de_identification_config kembali ke nol');
INSERT INTO `lang_definitions` VALUES (72937, 7910, 14, 'Silahkan mulai proses De Identifikasi baru');
INSERT INTO `lang_definitions` VALUES (72938, 7913, 14, 'Silahkan upgrade Database OpenEMR untuk memasukkan prosedur, fungsi, tabel De Identifikasi');
INSERT INTO `lang_definitions` VALUES (72939, 7915, 14, 'Silahkan lihat tabel log kesalahan De Identifikasi untuk lebih jelasnya');
INSERT INTO `lang_definitions` VALUES (72940, 7916, 14, 'Silahkan kunjungi layar De Identifikasi setelah beberapa waktu');
INSERT INTO `lang_definitions` VALUES (72941, 7917, 14, 'Silahkan kunjungi layar Re Identifikasi setelah beberapa waktu');
INSERT INTO `lang_definitions` VALUES (72942, 7918, 14, 'Silahkan kunjungi layar setelah beberapa waktu');
INSERT INTO `lang_definitions` VALUES (72943, 7926, 14, 'PM');
INSERT INTO `lang_definitions` VALUES (72944, 7927, 14, 'Program PM');
INSERT INTO `lang_definitions` VALUES (72945, 7933, 14, 'Metode Pmt');
INSERT INTO `lang_definitions` VALUES (72946, 7934, 14, 'PND');
INSERT INTO `lang_definitions` VALUES (72947, 7935, 14, 'Pneumococcal Conjugate (Konjugasi Radang Paru) 1');
INSERT INTO `lang_definitions` VALUES (72948, 7936, 14, 'Pneumococcal Conjugate (Konjugasi Radang Paru) 2');
INSERT INTO `lang_definitions` VALUES (72949, 7937, 14, 'Pneumococcal Conjugate (Konjugasi Radang Paru) 3');
INSERT INTO `lang_definitions` VALUES (72950, 7938, 14, 'Pneumococcal Conjugate (Konjugasi Radang Paru) 4');
INSERT INTO `lang_definitions` VALUES (72951, 7939, 14, 'Vaksin Radang Paru');
INSERT INTO `lang_definitions` VALUES (72952, 7940, 14, 'Vaksinasi Radang Paru-paru');
INSERT INTO `lang_definitions` VALUES (72953, 7941, 14, 'Status Vaksinasi Radang Paru untuk Dewasa Lebih Tua');
INSERT INTO `lang_definitions` VALUES (72954, 7942, 14, 'Status Vaksinasi Radang Paru untuk Dewasa Lebih Tua (CQM)');
INSERT INTO `lang_definitions` VALUES (72955, 7943, 14, 'Podiatric');
INSERT INTO `lang_definitions` VALUES (72956, 7946, 14, 'Point of Service (POS) (Titik Layanan)');
INSERT INTO `lang_definitions` VALUES (72957, 7947, 14, 'Kebijakan');
INSERT INTO `lang_definitions` VALUES (72958, 7950, 14, 'Nomor Kebijakan');
INSERT INTO `lang_definitions` VALUES (72959, 7951, 14, 'Nomor Kebijakan');
INSERT INTO `lang_definitions` VALUES (72960, 7952, 14, 'Polandia');
INSERT INTO `lang_definitions` VALUES (72961, 7953, 14, 'Polydypsia');
INSERT INTO `lang_definitions` VALUES (72962, 7955, 14, 'Polyps');
INSERT INTO `lang_definitions` VALUES (72963, 7956, 14, 'Poliuria');
INSERT INTO `lang_definitions` VALUES (72964, 7957, 14, 'Nafsu Makan Rendah');
INSERT INTO `lang_definitions` VALUES (72965, 7958, 14, 'Sirkulasi Rendah');
INSERT INTO `lang_definitions` VALUES (72966, 7959, 14, 'Kurang Pendengaran');
INSERT INTO `lang_definitions` VALUES (72967, 7962, 14, 'Pop up harus diaktifkan untuk melihat laporan ini');
INSERT INTO `lang_definitions` VALUES (72968, 7964, 14, 'Isi tampilan tahun dengan event?');
INSERT INTO `lang_definitions` VALUES (72969, 7965, 14, 'Popup');
INSERT INTO `lang_definitions` VALUES (72970, 7969, 14, 'Portal Aktifitas/Kegiatan');
INSERT INTO `lang_definitions` VALUES (72971, 7985, 14, 'Portugis');
INSERT INTO `lang_definitions` VALUES (72972, 7987, 14, 'Portugis (Brasil)');
INSERT INTO `lang_definitions` VALUES (72973, 7988, 14, 'Portugis (Eropa)');
INSERT INTO `lang_definitions` VALUES (72974, 7989, 14, 'Kode POS');
INSERT INTO `lang_definitions` VALUES (72975, 7992, 14, 'Positif');
INSERT INTO `lang_definitions` VALUES (72976, 7993, 14, 'Positif');
INSERT INTO `lang_definitions` VALUES (72977, 7996, 14, 'Post Untuk');
INSERT INTO `lang_definitions` VALUES (72978, 7998, 14, 'Post Nasal Drip');
INSERT INTO `lang_definitions` VALUES (72979, 8000, 14, 'Post Pembayaran');
INSERT INTO `lang_definitions` VALUES (72980, 8001, 14, 'Post Pembedahan');
INSERT INTO `lang_definitions` VALUES (72981, 8002, 14, 'Posting ke akuntansi dan tandai sebagai tagihan');
INSERT INTO `lang_definitions` VALUES (72982, 8003, 14, 'Post ke Tanggal');
INSERT INTO `lang_definitions` VALUES (72983, 8004, 14, 'Post ke Tanggal Tidak bisa lebih besar dari Hari Ini');
INSERT INTO `lang_definitions` VALUES (72984, 8006, 14, 'Post ke Tanggal Harus lebih besar dari Tanggal Penutupan Keuangan.');
INSERT INTO `lang_definitions` VALUES (72985, 8007, 14, 'Perawatan Post-Abortion');
INSERT INTO `lang_definitions` VALUES (72986, 8008, 14, 'Kontrasepsi Post-Abortion');
INSERT INTO `lang_definitions` VALUES (72987, 8009, 14, 'Konseling Post-Abortion');
INSERT INTO `lang_definitions` VALUES (72988, 8010, 14, 'Menindaklanjuti Post-Abortion');
INSERT INTO `lang_definitions` VALUES (72989, 8011, 14, 'Pos');
INSERT INTO `lang_definitions` VALUES (72990, 8012, 14, 'Kode Pos');
INSERT INTO `lang_definitions` VALUES (72991, 8013, 14, 'Kode pos');
INSERT INTO `lang_definitions` VALUES (72992, 8015, 14, 'PostCalendar');
INSERT INTO `lang_definitions` VALUES (72993, 8016, 14, 'Administrasi PostCalendar');
INSERT INTO `lang_definitions` VALUES (72994, 8017, 14, 'Pengaturan Kategori PostCalendar');
INSERT INTO `lang_definitions` VALUES (72995, 8018, 14, 'Pengaturan Global PostCalendar');
INSERT INTO `lang_definitions` VALUES (72996, 8023, 14, 'Diposkan pada');
INSERT INTO `lang_definitions` VALUES (72997, 8026, 14, 'Tanggal Posting');
INSERT INTO `lang_definitions` VALUES (72998, 8032, 14, 'Didukung oleh');
INSERT INTO `lang_definitions` VALUES (72999, 8033, 14, 'PPE + Pengobatan/Pembedahan Sebelumnya Hx');
INSERT INTO `lang_definitions` VALUES (73000, 8034, 14, 'PQRI');
INSERT INTO `lang_definitions` VALUES (73001, 8035, 14, 'ID Pendaftaran PQRI');
INSERT INTO `lang_definitions` VALUES (73002, 8036, 14, 'Nama Pendaftaran PQRI');
INSERT INTO `lang_definitions` VALUES (73003, 8037, 14, 'Praktek');
INSERT INTO `lang_definitions` VALUES (73004, 8038, 14, 'Pengaturan Standar Praktek');
INSERT INTO `lang_definitions` VALUES (73005, 8039, 14, 'Pengaturan Praktek');
INSERT INTO `lang_definitions` VALUES (73006, 8041, 14, 'Praktisi');
INSERT INTO `lang_definitions` VALUES (73007, 8044, 14, 'Pembayaran Dimuka');
INSERT INTO `lang_definitions` VALUES (73008, 8045, 14, 'Konsultasi Pre-Abortion');
INSERT INTO `lang_definitions` VALUES (73009, 8046, 14, 'Konseling Pre-Abortion');
INSERT INTO `lang_definitions` VALUES (73010, 8048, 14, 'Pref Cat');
INSERT INTO `lang_definitions` VALUES (73011, 8050, 14, 'Preferensi');
INSERT INTO `lang_definitions` VALUES (73012, 8052, 14, 'Kategori Event Pilihan');
INSERT INTO `lang_definitions` VALUES (73013, 8053, 14, 'Bahasa Pilihan');
INSERT INTO `lang_definitions` VALUES (73014, 8054, 14, 'Farmasi Pilihan');
INSERT INTO `lang_definitions` VALUES (73015, 8055, 14, 'Organisasi Provider Pilihan (PPO)');
INSERT INTO `lang_definitions` VALUES (73016, 8056, 14, 'Tes Preg');
INSERT INTO `lang_definitions` VALUES (73017, 8057, 14, 'Pendahuluan');
INSERT INTO `lang_definitions` VALUES (73018, 8059, 14, 'Pembayaran Langsung');
INSERT INTO `lang_definitions` VALUES (73019, 8061, 14, 'Resep');
INSERT INTO `lang_definitions` VALUES (73020, 8063, 14, 'resep telah mencapai batasnya dari');
INSERT INTO `lang_definitions` VALUES (73021, 8064, 14, 'Riwayat Resep');
INSERT INTO `lang_definitions` VALUES (73022, 8065, 14, 'Impor Riwayat Resep telah berhasil');
INSERT INTO `lang_definitions` VALUES (73023, 8066, 14, 'Label Resep');
INSERT INTO `lang_definitions` VALUES (73024, 8067, 14, 'Laporan Resep');
INSERT INTO `lang_definitions` VALUES (73025, 8070, 14, 'Resep');
INSERT INTO `lang_definitions` VALUES (73026, 8073, 14, 'Resep dan Dispensasi');
INSERT INTO `lang_definitions` VALUES (73027, 8074, 14, 'Resep dan rujukan lainnya');
INSERT INTO `lang_definitions` VALUES (73028, 8075, 14, 'Resep dan/atau rujukan oleh ahli');
INSERT INTO `lang_definitions` VALUES (73029, 8076, 14, 'Laporan Resep');
INSERT INTO `lang_definitions` VALUES (73030, 8077, 14, 'Resep/Rujukan');
INSERT INTO `lang_definitions` VALUES (73031, 8078, 14, 'Mengajukan');
INSERT INTO `lang_definitions` VALUES (73032, 8079, 14, 'Mengajukan Keluhan');
INSERT INTO `lang_definitions` VALUES (73033, 8081, 14, 'Tekan Lanjut untuk meneruskan');
INSERT INTO `lang_definitions` VALUES (73034, 8084, 14, 'Diagnosa yang Diduga');
INSERT INTO `lang_definitions` VALUES (73035, 8085, 14, 'Diagnosa yang DIduga oleh pakar');
INSERT INTO `lang_definitions` VALUES (73036, 8086, 14, 'Sebelumnya');
INSERT INTO `lang_definitions` VALUES (73037, 8087, 14, 'Pengobatan/Pembedahan Sebelumnya');
INSERT INTO `lang_definitions` VALUES (73038, 8088, 14, 'Bulan sebelumnya (tahan untuk menu)');
INSERT INTO `lang_definitions` VALUES (73039, 8089, 14, 'Tahun sebelumnya (tahan untuk menu)');
INSERT INTO `lang_definitions` VALUES (73040, 8091, 14, 'Perawatan Pencegahan');
INSERT INTO `lang_definitions` VALUES (73041, 8094, 14, 'Pratinjau Event');
INSERT INTO `lang_definitions` VALUES (73042, 8097, 14, 'Pratinjau dari');
INSERT INTO `lang_definitions` VALUES (73043, 8098, 14, 'Sebelumnya');
INSERT INTO `lang_definitions` VALUES (73044, 8099, 14, 'Konsultasi Sebelumnya');
INSERT INTO `lang_definitions` VALUES (73045, 8100, 14, 'Hari Sebelumnya');
INSERT INTO `lang_definitions` VALUES (73046, 8102, 14, 'Riwayat Sebelumnya/Penyaringan');
INSERT INTO `lang_definitions` VALUES (73047, 8103, 14, 'Bulan Sebelumnya');
INSERT INTO `lang_definitions` VALUES (73048, 8104, 14, 'Minggu Sebelumnya');
INSERT INTO `lang_definitions` VALUES (73049, 8105, 14, 'Harga');
INSERT INTO `lang_definitions` VALUES (73050, 8108, 14, 'Diskon Harga');
INSERT INTO `lang_definitions` VALUES (73051, 8109, 14, 'Tingkat Harga');
INSERT INTO `lang_definitions` VALUES (73052, 8111, 14, 'Tingkat Harga:');
INSERT INTO `lang_definitions` VALUES (73053, 8113, 14, 'Harga');
INSERT INTO `lang_definitions` VALUES (73054, 8114, 14, 'Utama/Primer');
INSERT INTO `lang_definitions` VALUES (73055, 8115, 14, 'Entitas/Badan Bisnis Primer');
INSERT INTO `lang_definitions` VALUES (73056, 8116, 14, 'ID pajak Entitas/Badan Bisnis Primer digunakan sebagai id rekening untuk NewCrop ePrescription. Mengubah fasilitas tersebut akan mempengaruh i kerja pada NewCrop.');
INSERT INTO `lang_definitions` VALUES (73057, 8125, 14, 'Asuransi Primer');
INSERT INTO `lang_definitions` VALUES (73058, 8126, 14, 'Asuransi Primer');
INSERT INTO `lang_definitions` VALUES (73059, 8127, 14, 'Data Asuransi Primer');
INSERT INTO `lang_definitions` VALUES (73060, 8128, 14, 'Provider Asuransi Primer');
INSERT INTO `lang_definitions` VALUES (73061, 8129, 14, 'Provider Primer');
INSERT INTO `lang_definitions` VALUES (73062, 8130, 14, 'Cetak');
INSERT INTO `lang_definitions` VALUES (73063, 8131, 14, 'Cetak (HTML)');
INSERT INTO `lang_definitions` VALUES (73064, 8132, 14, 'Cetak (PDF)');
INSERT INTO `lang_definitions` VALUES (73065, 8134, 14, 'Cetak Encounter(Pertemuan) Apapun');
INSERT INTO `lang_definitions` VALUES (73066, 8135, 14, 'Cetak Formulir Rujukan Kosong');
INSERT INTO `lang_definitions` VALUES (73067, 8136, 14, 'Perintah Cetak');
INSERT INTO `lang_definitions` VALUES (73068, 8143, 14, 'Format Cetakan');
INSERT INTO `lang_definitions` VALUES (73069, 8144, 14, 'Panel Empat Cetakan');
INSERT INTO `lang_definitions` VALUES (73070, 8147, 14, 'Pesan cetakan');
INSERT INTO `lang_definitions` VALUES (73071, 8148, 14, 'Cetak Beberapa');
INSERT INTO `lang_definitions` VALUES (73072, 8149, 14, 'Cetak Beberapa Ke Fax');
INSERT INTO `lang_definitions` VALUES (73073, 8150, 14, 'Nama cetakan, tanda dan tanggal.');
INSERT INTO `lang_definitions` VALUES (73074, 8151, 14, 'Cetak Catatan');
INSERT INTO `lang_definitions` VALUES (73075, 8152, 14, 'Cetak Halaman 1');
INSERT INTO `lang_definitions` VALUES (73076, 8153, 14, 'Cetak Halaman 2');
INSERT INTO `lang_definitions` VALUES (73077, 8156, 14, 'Penerima Cetakan oleh Provider');
INSERT INTO `lang_definitions` VALUES (73078, 8157, 14, 'Cetak Record(Catatan)');
INSERT INTO `lang_definitions` VALUES (73079, 8163, 14, 'Cetak Pernyataan yang Dipilih');
INSERT INTO `lang_definitions` VALUES (73080, 8164, 14, 'Cetak Shot Record');
INSERT INTO `lang_definitions` VALUES (73081, 8166, 14, 'Cetak Encounter(Pertemuan) Ini');
INSERT INTO `lang_definitions` VALUES (73082, 8168, 14, 'Cetak catatan ini');
INSERT INTO `lang_definitions` VALUES (73083, 8169, 14, 'Cetak Catatan Ini');
INSERT INTO `lang_definitions` VALUES (73084, 8171, 14, 'Cetak Ke Fax');
INSERT INTO `lang_definitions` VALUES (73085, 8172, 14, 'Tampilan Cetakan');
INSERT INTO `lang_definitions` VALUES (73086, 8173, 14, 'dapat dicetak');
INSERT INTO `lang_definitions` VALUES (73087, 8174, 14, 'Versi Cetakan');
INSERT INTO `lang_definitions` VALUES (73088, 8175, 14, 'Dicetak');
INSERT INTO `lang_definitions` VALUES (73089, 8178, 14, 'Mencetak hasil:');
INSERT INTO `lang_definitions` VALUES (73090, 8179, 14, 'Pencetakan dilewati; lihat output tes di');
INSERT INTO `lang_definitions` VALUES (73091, 8180, 14, 'Pencetakan dilewati; lihat output tes di');
INSERT INTO `lang_definitions` VALUES (73092, 8182, 14, 'Otorisasi Sebelumnya');
INSERT INTO `lang_definitions` VALUES (73093, 8184, 14, 'Formulir Otorisasi Sebelumnya');
INSERT INTO `lang_definitions` VALUES (73094, 8189, 14, 'Kunjungan Sebelumnya');
INSERT INTO `lang_definitions` VALUES (73095, 8191, 14, 'Prioritas');
INSERT INTO `lang_definitions` VALUES (73096, 8192, 14, 'Prioritas');
INSERT INTO `lang_definitions` VALUES (73097, 8196, 14, 'Swasta');
INSERT INTO `lang_definitions` VALUES (73098, 8197, 14, 'Masalah');
INSERT INTO `lang_definitions` VALUES (73099, 8198, 14, 'Masalah DX');
INSERT INTO `lang_definitions` VALUES (73100, 8199, 14, 'Daftar Masalah');
INSERT INTO `lang_definitions` VALUES (73101, 8202, 14, 'Masalah/Isu');
INSERT INTO `lang_definitions` VALUES (73102, 8203, 14, 'Proc Bat');
INSERT INTO `lang_definitions` VALUES (73103, 8204, 14, 'Proc Cat');
INSERT INTO `lang_definitions` VALUES (73104, 8206, 14, 'Proc Pending Rev');
INSERT INTO `lang_definitions` VALUES (73105, 8208, 14, 'Proc Res');
INSERT INTO `lang_definitions` VALUES (73106, 8209, 14, 'Prosedur');
INSERT INTO `lang_definitions` VALUES (73107, 8210, 14, 'Situs Badan Prosedur');
INSERT INTO `lang_definitions` VALUES (73108, 8212, 14, 'Hasil Boolean Prosedur');
INSERT INTO `lang_definitions` VALUES (73109, 8214, 14, 'Kode Prosedur');
INSERT INTO `lang_definitions` VALUES (73110, 8216, 14, 'Lateralitas Prosedur');
INSERT INTO `lang_definitions` VALUES (73111, 8220, 14, 'Prosedur Pesanan');
INSERT INTO `lang_definitions` VALUES (73112, 8223, 14, 'Prosedur Pesanan Untuk');
INSERT INTO `lang_definitions` VALUES (73113, 8232, 14, 'Laporan Prosedur');
INSERT INTO `lang_definitions` VALUES (73114, 8235, 14, 'Status Laporan Prosedur');
INSERT INTO `lang_definitions` VALUES (73115, 8237, 14, 'Hasil Prosedur Abnormal');
INSERT INTO `lang_definitions` VALUES (73116, 8238, 14, 'Status Hasil Prosedur');
INSERT INTO `lang_definitions` VALUES (73117, 8240, 14, 'Hasil Prosedur Abnormal');
INSERT INTO `lang_definitions` VALUES (73118, 8241, 14, 'Rute Prosedur');
INSERT INTO `lang_definitions` VALUES (73119, 8243, 14, 'Jenis Spesimen Prosedur');
INSERT INTO `lang_definitions` VALUES (73120, 8245, 14, 'Laporan Statistik Prosedur');
INSERT INTO `lang_definitions` VALUES (73121, 8248, 14, 'Jenis Prosedur');
INSERT INTO `lang_definitions` VALUES (73122, 8249, 14, 'Jenis Prosedur');
INSERT INTO `lang_definitions` VALUES (73123, 8251, 14, 'Unit(Satuan) Prosedur');
INSERT INTO `lang_definitions` VALUES (73124, 8254, 14, 'Prosedur');
INSERT INTO `lang_definitions` VALUES (73125, 8256, 14, 'Proses');
INSERT INTO `lang_definitions` VALUES (73126, 8258, 14, 'Proses File ERA');
INSERT INTO `lang_definitions` VALUES (73127, 8263, 14, 'Diproses');
INSERT INTO `lang_definitions` VALUES (73128, 8264, 14, 'Diproses oleh');
INSERT INTO `lang_definitions` VALUES (73129, 8265, 14, 'Tanggal Diproses');
INSERT INTO `lang_definitions` VALUES (73130, 8267, 14, 'Pengolahan');
INSERT INTO `lang_definitions` VALUES (73131, 8274, 14, 'Produk');
INSERT INTO `lang_definitions` VALUES (73132, 8276, 14, 'Produk Metode Kontrasepsi');
INSERT INTO `lang_definitions` VALUES (73133, 8279, 14, 'Produk');
INSERT INTO `lang_definitions` VALUES (73134, 8280, 14, 'Produk namun tanpa resep obat dan tanpa template');
INSERT INTO `lang_definitions` VALUES (73135, 8282, 14, 'Prof.');
INSERT INTO `lang_definitions` VALUES (73136, 8290, 14, 'Catatan Perkembangan');
INSERT INTO `lang_definitions` VALUES (73137, 8295, 14, 'Kanker Prostat');
INSERT INTO `lang_definitions` VALUES (73138, 8296, 14, 'Penyaringan Kanker Prostat');
INSERT INTO `lang_definitions` VALUES (73139, 8297, 14, 'Pemeriksaan Prostat');
INSERT INTO `lang_definitions` VALUES (73140, 8298, 14, 'Masalah Prostat');
INSERT INTO `lang_definitions` VALUES (73141, 8299, 14, 'Prostat w/o pembesaran, bengkak, perih');
INSERT INTO `lang_definitions` VALUES (73142, 8304, 14, 'Sediakan path absolut');
INSERT INTO `lang_definitions` VALUES (73143, 8305, 14, 'Sediakan path dari file yang absolut');
INSERT INTO `lang_definitions` VALUES (73144, 8309, 14, 'Sediakan rangkuman klinis untuk pasien untuk setiap kunjungan kantor.');
INSERT INTO `lang_definitions` VALUES (73145, 8311, 14, 'Menyediakan pasien dengan salinan elektronik dari informasi kesehatan mereka (termasuk hasil tes diagnostik, daftar masalah, daftar obat/pengobatan, alergi obat/pengobatan), atas permintaan.');
INSERT INTO `lang_definitions` VALUES (73146, 8312, 14, 'Menyediakan pasien dengan akses elektronik yang tepat terhadap informasi kesehatan mereka (termasuk hasil lab, dafta masalah, daftar obat/pengobatan, alergi obat/pengobatan) dalam waktu empat hari kerja dari informasi yang tersedia untuk EP.');
INSERT INTO `lang_definitions` VALUES (73147, 8313, 14, 'Sediakan Record(Catatan) untuk Pasien untuk Kunjungan');
INSERT INTO `lang_definitions` VALUES (73148, 8315, 14, 'Sediakan Alamat Email yang valid');
INSERT INTO `lang_definitions` VALUES (73149, 8316, 14, 'Sediakan Rangkuman Klinis?');
INSERT INTO `lang_definitions` VALUES (73150, 8317, 14, 'Sediakan Sumber Daya Pendidikan?');
INSERT INTO `lang_definitions` VALUES (73151, 8318, 14, 'Provider/Penyedia');
INSERT INTO `lang_definitions` VALUES (73152, 8325, 14, 'Kesalahan Kecocokan Provider');
INSERT INTO `lang_definitions` VALUES (73153, 8330, 14, 'Nomor Provider');
INSERT INTO `lang_definitions` VALUES (73154, 8336, 14, 'Provider:');
INSERT INTO `lang_definitions` VALUES (73155, 8337, 14, 'Provider');
INSERT INTO `lang_definitions` VALUES (73156, 8338, 14, 'Provider NPI');
INSERT INTO `lang_definitions` VALUES (73157, 8339, 14, 'Provider Melihat Keseluruhan Kalender');
INSERT INTO `lang_definitions` VALUES (73158, 8341, 14, 'Prv');
INSERT INTO `lang_definitions` VALUES (73159, 8342, 14, 'PSA');
INSERT INTO `lang_definitions` VALUES (73160, 8343, 14, 'Psorias');
INSERT INTO `lang_definitions` VALUES (73161, 8345, 14, 'Diagnosa Psikiatrik');
INSERT INTO `lang_definitions` VALUES (73162, 8346, 14, 'Pengobatan Psikiatrik');
INSERT INTO `lang_definitions` VALUES (73163, 8347, 14, 'Psikiatrik');
INSERT INTO `lang_definitions` VALUES (73164, 8348, 14, 'Surat Singkat Psikiatrik');
INSERT INTO `lang_definitions` VALUES (73165, 8349, 14, 'Diagnosa Psikiatrik');
INSERT INTO `lang_definitions` VALUES (73166, 8350, 14, 'Pemeriksaan Psikiatrik');
INSERT INTO `lang_definitions` VALUES (73167, 8352, 14, 'Riwayat Psikiatrik');
INSERT INTO `lang_definitions` VALUES (73168, 8353, 14, 'Intake Psikiatrik');
INSERT INTO `lang_definitions` VALUES (73169, 8354, 14, 'Pengobatan Psikiatrik');
INSERT INTO `lang_definitions` VALUES (73170, 8358, 14, 'Pt %');
INSERT INTO `lang_definitions` VALUES (73171, 8360, 14, 'Catatan Pt');
INSERT INTO `lang_definitions` VALUES (73172, 8361, 14, 'Catatan/Otentikasi Pt');
INSERT INTO `lang_definitions` VALUES (73173, 8362, 14, 'Pt kelebihan pembayaran');
INSERT INTO `lang_definitions` VALUES (73174, 8364, 14, 'Pt Dibayar');
INSERT INTO `lang_definitions` VALUES (73175, 8365, 14, 'Pt Rec Request');
INSERT INTO `lang_definitions` VALUES (73176, 8366, 14, 'Pt pengembalian dana');
INSERT INTO `lang_definitions` VALUES (73177, 8367, 14, 'Pt dirilis');
INSERT INTO `lang_definitions` VALUES (73178, 8368, 14, 'Pt Lapor');
INSERT INTO `lang_definitions` VALUES (73179, 8369, 14, 'PT Siswa, atau biarkan kosong');
INSERT INTO `lang_definitions` VALUES (73180, 8370, 14, 'PT_KOTA');
INSERT INTO `lang_definitions` VALUES (73181, 8371, 14, 'PT_TGLLHR');
INSERT INTO `lang_definitions` VALUES (73182, 8373, 14, 'PT_NAMAAWL');
INSERT INTO `lang_definitions` VALUES (73183, 8374, 14, 'PT_NAMATGH');
INSERT INTO `lang_definitions` VALUES (73184, 8375, 14, 'PT_NAMAAKHR');
INSERT INTO `lang_definitions` VALUES (73185, 8378, 14, 'PT_POS');
INSERT INTO `lang_definitions` VALUES (73186, 8380, 14, 'PT_NEGARA');
INSERT INTO `lang_definitions` VALUES (73187, 8381, 14, 'PT_JALAN');
INSERT INTO `lang_definitions` VALUES (73188, 8383, 14, 'Publik');
INSERT INTO `lang_definitions` VALUES (73189, 8387, 14, 'Layanan Kesehatan Publik (PHS) atau Badan Federal Lainnya');
INSERT INTO `lang_definitions` VALUES (73190, 8394, 14, 'Puerto Rico');
INSERT INTO `lang_definitions` VALUES (73191, 8396, 14, 'Paru-paru');
INSERT INTO `lang_definitions` VALUES (73192, 8398, 14, 'Nadi');
INSERT INTO `lang_definitions` VALUES (73193, 8399, 14, 'Punjabi');
INSERT INTO `lang_definitions` VALUES (73194, 8401, 14, 'Pembelian');
INSERT INTO `lang_definitions` VALUES (73195, 8402, 14, 'Pembelian/Kembali');
INSERT INTO `lang_definitions` VALUES (73196, 8403, 14, 'Pembelian');
INSERT INTO `lang_definitions` VALUES (73197, 8408, 14, 'q.3h');
INSERT INTO `lang_definitions` VALUES (73198, 8409, 14, 'q.4h');
INSERT INTO `lang_definitions` VALUES (73199, 8410, 14, 'q.5h');
INSERT INTO `lang_definitions` VALUES (73200, 8411, 14, 'q.6h');
INSERT INTO `lang_definitions` VALUES (73201, 8412, 14, 'q.8h');
INSERT INTO `lang_definitions` VALUES (73202, 8413, 14, 'q.d.');
INSERT INTO `lang_definitions` VALUES (73203, 8414, 14, 'q.i.d.');
INSERT INTO `lang_definitions` VALUES (73204, 8417, 14, 'QOH');
INSERT INTO `lang_definitions` VALUES (73205, 8418, 14, 'QOH kurang dari pemakaian bulanan');
INSERT INTO `lang_definitions` VALUES (73206, 8419, 14, 'Qty');
INSERT INTO `lang_definitions` VALUES (73207, 8420, 14, 'QTY');
INSERT INTO `lang_definitions` VALUES (73208, 8421, 14, 'Kualitas');
INSERT INTO `lang_definitions` VALUES (73209, 8422, 14, 'Ukuran Kualitas (CQM)');
INSERT INTO `lang_definitions` VALUES (73210, 8423, 14, 'Kuantitas');
INSERT INTO `lang_definitions` VALUES (73211, 8425, 14, 'Kuantitas untuk NDC');
INSERT INTO `lang_definitions` VALUES (73212, 8426, 14, 'Kuantitas Pada Tangan');
INSERT INTO `lang_definitions` VALUES (73213, 8427, 14, 'kuantitas tampaknya tidak dapat digunakan');
INSERT INTO `lang_definitions` VALUES (73214, 8431, 14, 'Tanda Tanya');
INSERT INTO `lang_definitions` VALUES (73215, 8432, 14, 'Antrian untuk batch pengolahan HCFA');
INSERT INTO `lang_definitions` VALUES (73216, 8433, 14, 'Antrian untuk batch pengolahan dan pencetakan HCFA');
INSERT INTO `lang_definitions` VALUES (73217, 8434, 14, 'Antrian untuk batch pengolahan UB-92');
INSERT INTO `lang_definitions` VALUES (73218, 8435, 14, 'Antrian untuk batch pengolahan dan pencetakan UB-92');
INSERT INTO `lang_definitions` VALUES (73219, 8436, 14, 'Antri');
INSERT INTO `lang_definitions` VALUES (73220, 8437, 14, 'Antri Kegiatan Administrasi');
INSERT INTO `lang_definitions` VALUES (73221, 8438, 14, 'Antri untuk');
INSERT INTO `lang_definitions` VALUES (73222, 8440, 14, 'Antri Administrasi Pengiriman');
INSERT INTO `lang_definitions` VALUES (73223, 8442, 14, 'Keluar');
INSERT INTO `lang_definitions` VALUES (73224, 8443, 14, 'Berhenti Alkohol');
INSERT INTO `lang_definitions` VALUES (73225, 8445, 14, 'Ras');
INSERT INTO `lang_definitions` VALUES (73226, 8452, 14, 'Ras');
INSERT INTO `lang_definitions` VALUES (73227, 8453, 14, 'Ras dan Etnis');
INSERT INTO `lang_definitions` VALUES (73228, 8454, 14, 'Ras/Etnis');
INSERT INTO `lang_definitions` VALUES (73229, 8456, 14, 'Radio');
INSERT INTO `lang_definitions` VALUES (73230, 8457, 14, 'Tombol radio');
INSERT INTO `lang_definitions` VALUES (73231, 8462, 14, 'Range(Jarak)');
INSERT INTO `lang_definitions` VALUES (73232, 8463, 14, 'Ruam');
INSERT INTO `lang_definitions` VALUES (73233, 8464, 14, 'Laju');
INSERT INTO `lang_definitions` VALUES (73234, 8466, 14, 'Rasio');
INSERT INTO `lang_definitions` VALUES (73235, 8467, 14, 'Laporan Baku');
INSERT INTO `lang_definitions` VALUES (73236, 8475, 14, 'Identifikasi Kembali');
INSERT INTO `lang_definitions` VALUES (73237, 8476, 14, 'Proses Identifikasi Kembali selesai');
INSERT INTO `lang_definitions` VALUES (73238, 8477, 14, 'Proses identifikasi Kembali sedang berlangsung');
INSERT INTO `lang_definitions` VALUES (73239, 8478, 14, 'File Identifikasi kembali akan disimpan dalam');
INSERT INTO `lang_definitions` VALUES (73240, 8479, 14, 'Kembali cedera?');
INSERT INTO `lang_definitions` VALUES (73241, 8480, 14, 'Kembali Membuka');
INSERT INTO `lang_definitions` VALUES (73242, 8482, 14, 'Kembali dibuka');
INSERT INTO `lang_definitions` VALUES (73243, 8484, 14, 'Reaksi');
INSERT INTO `lang_definitions` VALUES (73244, 8486, 14, 'Reaksi');
INSERT INTO `lang_definitions` VALUES (73245, 8489, 14, 'Baca');
INSERT INTO `lang_definitions` VALUES (73246, 8496, 14, 'Nama Asli');
INSERT INTO `lang_definitions` VALUES (73247, 8497, 14, 'Benar-benar menghapus');
INSERT INTO `lang_definitions` VALUES (73248, 8498, 14, 'Alasan');
INSERT INTO `lang_definitions` VALUES (73249, 8499, 14, 'Alasan Meninggal');
INSERT INTO `lang_definitions` VALUES (73250, 8500, 14, 'Alasan Kematian');
INSERT INTO `lang_definitions` VALUES (73251, 8502, 14, 'Alasan rujukan');
INSERT INTO `lang_definitions` VALUES (73252, 8504, 14, 'Alasan Kunjungan');
INSERT INTO `lang_definitions` VALUES (73253, 8506, 14, 'Alasan/Formulir');
INSERT INTO `lang_definitions` VALUES (73254, 8521, 14, 'Penerimaan');
INSERT INTO `lang_definitions` VALUES (73255, 8522, 14, 'Terima untuk Pembayaran');
INSERT INTO `lang_definitions` VALUES (73256, 8523, 14, 'Terima yang Dihasilkan');
INSERT INTO `lang_definitions` VALUES (73257, 8524, 14, 'Penerimaan oleh Laporan Metode Pembayaran');
INSERT INTO `lang_definitions` VALUES (73258, 8525, 14, 'Rangkuman Penerimaan');
INSERT INTO `lang_definitions` VALUES (73259, 8526, 14, 'Diterima');
INSERT INTO `lang_definitions` VALUES (73260, 8527, 14, 'Diterima Oleh');
INSERT INTO `lang_definitions` VALUES (73261, 8528, 14, 'Faks yang Diterima');
INSERT INTO `lang_definitions` VALUES (73262, 8532, 14, 'Penerima');
INSERT INTO `lang_definitions` VALUES (73263, 8533, 14, 'ID Penerima');
INSERT INTO `lang_definitions` VALUES (73264, 8534, 14, 'ID Penerima (ISA08)');
INSERT INTO `lang_definitions` VALUES (73265, 8535, 14, 'Kualifikasi ID Penerima (ISA07)');
INSERT INTO `lang_definitions` VALUES (73266, 8540, 14, 'Tiga pasword terakhir tidak diperbolehkan.');
INSERT INTO `lang_definitions` VALUES (73267, 8542, 14, 'Penerima');
INSERT INTO `lang_definitions` VALUES (73268, 8543, 14, 'Daftar Penerima Kosong');
INSERT INTO `lang_definitions` VALUES (73269, 8544, 14, 'Nama Penerima');
INSERT INTO `lang_definitions` VALUES (73270, 8545, 14, 'Penerima dari Pembukaan');
INSERT INTO `lang_definitions` VALUES (73271, 8549, 14, 'Rekomendasi');
INSERT INTO `lang_definitions` VALUES (73272, 8552, 14, 'Rekomendasi');
INSERT INTO `lang_definitions` VALUES (73273, 8553, 14, 'Rekomendasi dan perawatan');
INSERT INTO `lang_definitions` VALUES (73274, 8554, 14, 'Rekomendasi oleh pakar');
INSERT INTO `lang_definitions` VALUES (73275, 8557, 14, 'Record(Catatan)');
INSERT INTO `lang_definitions` VALUES (73276, 8558, 14, 'Catatan telah ada');
INSERT INTO `lang_definitions` VALUES (73277, 8564, 14, 'Penggantian grafik dan catatan pada tanda vital.');
INSERT INTO `lang_definitions` VALUES (73278, 8565, 14, 'Rekam demografis.');
INSERT INTO `lang_definitions` VALUES (73279, 8566, 14, 'Rekam Pengungkapan');
INSERT INTO `lang_definitions` VALUES (73280, 8567, 14, 'Catatan Kebugaran');
INSERT INTO `lang_definitions` VALUES (73281, 8568, 14, 'Rekam Pembayaran');
INSERT INTO `lang_definitions` VALUES (73282, 8570, 14, 'Rekam Tanggal Permintaan');
INSERT INTO `lang_definitions` VALUES (73283, 8571, 14, 'Rekam status merokok untuk pasien 13 tahun atau lebih.');
INSERT INTO `lang_definitions` VALUES (73284, 8572, 14, 'Record(Catatan)');
INSERT INTO `lang_definitions` VALUES (73285, 8573, 14, 'catatan ditemukan');
INSERT INTO `lang_definitions` VALUES (73286, 8574, 14, 'catatan ditemukan.');
INSERT INTO `lang_definitions` VALUES (73287, 8576, 14, 'Penggunaan obat rekreasi');
INSERT INTO `lang_definitions` VALUES (73288, 8577, 14, 'Obat Rekreasi');
INSERT INTO `lang_definitions` VALUES (73289, 8578, 14, 'Rektal');
INSERT INTO `lang_definitions` VALUES (73290, 8579, 14, 'Pemeriksaan Rektal(Dubur)');
INSERT INTO `lang_definitions` VALUES (73291, 8580, 14, 'rektal');
INSERT INTO `lang_definitions` VALUES (73292, 8592, 14, 'Redirection');
INSERT INTO `lang_definitions` VALUES (73293, 8593, 14, 'Kemerahan');
INSERT INTO `lang_definitions` VALUES (73294, 8595, 14, 'dikurangi:');
INSERT INTO `lang_definitions` VALUES (73295, 8597, 14, 'Mengaci');
INSERT INTO `lang_definitions` VALUES (73296, 8598, 14, 'Mengacu oleh/dengan');
INSERT INTO `lang_definitions` VALUES (73297, 8599, 14, 'Mengacu Tanggal');
INSERT INTO `lang_definitions` VALUES (73298, 8600, 14, 'Mengacu Ke');
INSERT INTO `lang_definitions` VALUES (73299, 8603, 14, 'Referensi klasifikasi (tingkat resiko)');
INSERT INTO `lang_definitions` VALUES (73300, 8604, 14, 'Referensi berbagai hasil');
INSERT INTO `lang_definitions` VALUES (73301, 8605, 14, 'Alasan Referensi');
INSERT INTO `lang_definitions` VALUES (73302, 8609, 14, 'Nama dan tanda tangan perujuk');
INSERT INTO `lang_definitions` VALUES (73303, 8610, 14, 'Rujukan');
INSERT INTO `lang_definitions` VALUES (73304, 8611, 14, 'Rujukan Oleh');
INSERT INTO `lang_definitions` VALUES (73305, 8612, 14, 'Kartu Rujukan');
INSERT INTO `lang_definitions` VALUES (73306, 8613, 14, 'Tanggal Rujukan');
INSERT INTO `lang_definitions` VALUES (73307, 8614, 14, 'Formulir Rujukan');
INSERT INTO `lang_definitions` VALUES (73308, 8615, 14, 'FORMULIR RUJUKAN');
INSERT INTO `lang_definitions` VALUES (73309, 8616, 14, 'ID Rujukan');
INSERT INTO `lang_definitions` VALUES (73310, 8619, 14, 'Sumber Rujukan');
INSERT INTO `lang_definitions` VALUES (73311, 8620, 14, 'Sumber Rujukan untuk Encounter(Pertemuan)');
INSERT INTO `lang_definitions` VALUES (73312, 8621, 14, 'Rujukan Ke');
INSERT INTO `lang_definitions` VALUES (73313, 8622, 14, 'Rujukan');
INSERT INTO `lang_definitions` VALUES (73314, 8623, 14, 'Laporan Rujukan');
INSERT INTO `lang_definitions` VALUES (73315, 8624, 14, 'Dirujuk oleh');
INSERT INTO `lang_definitions` VALUES (73316, 8625, 14, 'Dirujuk Oleh');
INSERT INTO `lang_definitions` VALUES (73317, 8627, 14, 'Dirujuk ke');
INSERT INTO `lang_definitions` VALUES (73318, 8628, 14, 'Perujuk');
INSERT INTO `lang_definitions` VALUES (73319, 8630, 14, 'Diagnosa Perujuk');
INSERT INTO `lang_definitions` VALUES (73320, 8631, 14, 'Diagnosa perujuk');
INSERT INTO `lang_definitions` VALUES (73321, 8633, 14, 'Merujuk dokter dan praktek');
INSERT INTO `lang_definitions` VALUES (73322, 8635, 14, 'Merujuk Provider');
INSERT INTO `lang_definitions` VALUES (73323, 8636, 14, 'Isi Ulang');
INSERT INTO `lang_definitions` VALUES (73324, 8639, 14, 'Isi Ulang');
INSERT INTO `lang_definitions` VALUES (73325, 8640, 14, 'isi ulang');
INSERT INTO `lang_definitions` VALUES (73326, 8641, 14, 'Refleks Normal');
INSERT INTO `lang_definitions` VALUES (73327, 8645, 14, 'Refresh');
INSERT INTO `lang_definitions` VALUES (73328, 8648, 14, 'Merefresh Pengingat');
INSERT INTO `lang_definitions` VALUES (73329, 8651, 14, 'Menolak Menyatakan');
INSERT INTO `lang_definitions` VALUES (73330, 8652, 14, 'reg_re');
INSERT INTO `lang_definitions` VALUES (73331, 8656, 14, 'mendaftar');
INSERT INTO `lang_definitions` VALUES (73332, 8662, 14, 'Terdaftar');
INSERT INTO `lang_definitions` VALUES (73333, 8663, 14, 'terdaftar');
INSERT INTO `lang_definitions` VALUES (73334, 8668, 14, 'Tanggal Registrasi');
INSERT INTO `lang_definitions` VALUES (73335, 8671, 14, 'Formulir Registrasi');
INSERT INTO `lang_definitions` VALUES (73336, 8672, 14, 'Rehabilitasi');
INSERT INTO `lang_definitions` VALUES (73337, 8676, 14, 'Berhubungan Ke');
INSERT INTO `lang_definitions` VALUES (73338, 8677, 14, 'Terkait');
INSERT INTO `lang_definitions` VALUES (73339, 8678, 14, 'Isu(Masalah) Terkait');
INSERT INTO `lang_definitions` VALUES (73340, 8680, 14, 'Hubungan/Anak-anak');
INSERT INTO `lang_definitions` VALUES (73341, 8681, 14, 'Hubungan');
INSERT INTO `lang_definitions` VALUES (73342, 8682, 14, 'Hubungan');
INSERT INTO `lang_definitions` VALUES (73343, 8683, 14, 'Urutan relatif entitas ini');
INSERT INTO `lang_definitions` VALUES (73344, 8684, 14, 'Saudara');
INSERT INTO `lang_definitions` VALUES (73345, 8695, 14, 'Mandat Relay(Penyampaian) Kesehatan tidak ada dari akun pengguna.');
INSERT INTO `lang_definitions` VALUES (73346, 8696, 14, 'ID Relay Kesehatan');
INSERT INTO `lang_definitions` VALUES (73347, 8700, 14, 'Agama');
INSERT INTO `lang_definitions` VALUES (73348, 8705, 14, 'Login kembali');
INSERT INTO `lang_definitions` VALUES (73349, 8706, 14, 'Remdr');
INSERT INTO `lang_definitions` VALUES (73350, 8709, 14, 'Ingat Fasilitas yand Dipilih');
INSERT INTO `lang_definitions` VALUES (73351, 8712, 14, 'Pengingat');
INSERT INTO `lang_definitions` VALUES (73352, 8715, 14, 'Interval pengingat');
INSERT INTO `lang_definitions` VALUES (73353, 8716, 14, 'Pengingat Belum Terkirim');
INSERT INTO `lang_definitions` VALUES (73354, 8720, 14, 'Pengingat Dikirim Pada');
INSERT INTO `lang_definitions` VALUES (73355, 8725, 14, 'Pengingat');
INSERT INTO `lang_definitions` VALUES (73356, 8726, 14, 'MENGIRIMKAN KE');
INSERT INTO `lang_definitions` VALUES (73357, 8729, 14, 'Hapus');
INSERT INTO `lang_definitions` VALUES (73358, 8733, 14, 'Hapus Grup');
INSERT INTO `lang_definitions` VALUES (73359, 8734, 14, 'Hapus Formulir Grup');
INSERT INTO `lang_definitions` VALUES (73360, 8738, 14, 'Hapus dukungan untuk imunisasi');
INSERT INTO `lang_definitions` VALUES (73361, 8739, 14, 'Hapus dukungan untuk phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (73362, 8740, 14, 'Hapus dukungan untuk resep');
INSERT INTO `lang_definitions` VALUES (73363, 8742, 14, 'Hapus fitur Pelacak Bagan/Grafik');
INSERT INTO `lang_definitions` VALUES (73364, 8743, 14, 'Batu Ginjal');
INSERT INTO `lang_definitions` VALUES (73365, 8744, 14, 'Ubah Nama');
INSERT INTO `lang_definitions` VALUES (73366, 8745, 14, 'Ubah Nama Grup');
INSERT INTO `lang_definitions` VALUES (73367, 8746, 14, 'Merender');
INSERT INTO `lang_definitions` VALUES (73368, 8747, 14, 'Merender Provider');
INSERT INTO `lang_definitions` VALUES (73369, 8748, 14, 'Merender Nomor Provider');
INSERT INTO `lang_definitions` VALUES (73370, 8750, 14, 'Susun Ulang');
INSERT INTO `lang_definitions` VALUES (73371, 8751, 14, 'Susun Ulang Pada');
INSERT INTO `lang_definitions` VALUES (73372, 8752, 14, 'Angka pemesanan kembali telah tercapai');
INSERT INTO `lang_definitions` VALUES (73373, 8753, 14, 'Angka pemesanan kembali, 0 jika tidak berlaku');
INSERT INTO `lang_definitions` VALUES (73374, 8754, 14, 'Rep');
INSERT INTO `lang_definitions` VALUES (73375, 8755, 14, 'Ulang');
INSERT INTO `lang_definitions` VALUES (73376, 8756, 14, 'Ulang Kata Sandi Baru');
INSERT INTO `lang_definitions` VALUES (73377, 8757, 14, 'Ulang kata sandi');
INSERT INTO `lang_definitions` VALUES (73378, 8758, 14, 'Mengulang event');
INSERT INTO `lang_definitions` VALUES (73379, 8759, 14, 'Mengulangi Info:');
INSERT INTO `lang_definitions` VALUES (73380, 8760, 14, 'Mengulang');
INSERT INTO `lang_definitions` VALUES (73381, 8761, 14, 'GANTI');
INSERT INTO `lang_definitions` VALUES (73382, 8770, 14, 'Balas');
INSERT INTO `lang_definitions` VALUES (73383, 8771, 14, 'Tanggal Balasan');
INSERT INTO `lang_definitions` VALUES (73384, 8772, 14, 'Balasan Dari');
INSERT INTO `lang_definitions` VALUES (73385, 8774, 14, 'Laporan');
INSERT INTO `lang_definitions` VALUES (73386, 8775, 14, 'laporan');
INSERT INTO `lang_definitions` VALUES (73387, 8776, 14, 'Laporan - Klinis');
INSERT INTO `lang_definitions` VALUES (73388, 8779, 14, 'Laporan oleh');
INSERT INTO `lang_definitions` VALUES (73389, 8781, 14, 'Tanggal Laporan');
INSERT INTO `lang_definitions` VALUES (73390, 8789, 14, 'Status Laporan');
INSERT INTO `lang_definitions` VALUES (73391, 8790, 14, 'Total Laporan');
INSERT INTO `lang_definitions` VALUES (73392, 8793, 14, 'Laporan?');
INSERT INTO `lang_definitions` VALUES (73393, 8794, 14, 'Dilaporkan');
INSERT INTO `lang_definitions` VALUES (73394, 8795, 14, 'Dilaporkan');
INSERT INTO `lang_definitions` VALUES (73395, 8796, 14, 'Tanggal Dilaporkan');
INSERT INTO `lang_definitions` VALUES (73396, 8797, 14, 'Laporan');
INSERT INTO `lang_definitions` VALUES (73397, 8799, 14, 'Permintaan & Respon');
INSERT INTO `lang_definitions` VALUES (73398, 8801, 14, 'Gambaran Permintaan');
INSERT INTO `lang_definitions` VALUES (73399, 8803, 14, 'ID Permintaan hilang!');
INSERT INTO `lang_definitions` VALUES (73400, 8804, 14, 'Permintaan diabaikan - mengklaim telah menjalankan proses!');
INSERT INTO `lang_definitions` VALUES (73401, 8807, 14, 'Permintaan Janji Temu Baru');
INSERT INTO `lang_definitions` VALUES (73402, 8808, 14, 'Hanya Permintaan');
INSERT INTO `lang_definitions` VALUES (73403, 8809, 14, 'Status Permintaan');
INSERT INTO `lang_definitions` VALUES (73404, 8810, 14, 'Jenis Permintaan');
INSERT INTO `lang_definitions` VALUES (73405, 8813, 14, 'Permintaan oleh');
INSERT INTO `lang_definitions` VALUES (73406, 8814, 14, 'Tanggal permintaan');
INSERT INTO `lang_definitions` VALUES (73407, 8815, 14, 'Layanan yang Diminta');
INSERT INTO `lang_definitions` VALUES (73408, 8819, 14, 'Membutuhkan Pasword Kuat');
INSERT INTO `lang_definitions` VALUES (73409, 8820, 14, 'Membutuhkan Pasword Unik');
INSERT INTO `lang_definitions` VALUES (73410, 8821, 14, 'Diperlukan');
INSERT INTO `lang_definitions` VALUES (73411, 8824, 14, 'Field(Bagian) yang diperlukan tidak ada: Silahkan pilih file EDI-271 untuk mengupload');
INSERT INTO `lang_definitions` VALUES (73412, 8825, 14, 'Field(Bagian) yang diperlukan tidak ada: Silahkan masukkan Nama awal');
INSERT INTO `lang_definitions` VALUES (73413, 8826, 14, 'Field(Bagian) yang diperlukan tidak ada: Silahkan masukkan Nama akhir');
INSERT INTO `lang_definitions` VALUES (73414, 8827, 14, 'Field(Bagian) yang diperlukan tidak ada: SIlahkan masukkan Nama Pengguna');
INSERT INTO `lang_definitions` VALUES (73415, 8828, 14, 'Bagian yang dibutuhkan');
INSERT INTO `lang_definitions` VALUES (73416, 8829, 14, 'Persyaratan');
INSERT INTO `lang_definitions` VALUES (73417, 8832, 14, 'DIPESAN');
INSERT INTO `lang_definitions` VALUES (73418, 8833, 14, 'Dipesan');
INSERT INTO `lang_definitions` VALUES (73419, 8834, 14, 'Dicadangkan untuk digunakan mendefinisikan Waktu Liburan Terjadwal');
INSERT INTO `lang_definitions` VALUES (73420, 8835, 14, 'Dicadangkan untuk mendefinisikan ketika provider mungkin tidak memiliki janji temu yang tersedia.');
INSERT INTO `lang_definitions` VALUES (73421, 8836, 14, 'Dicadangkan untuk mendefinisikan ketika sebuah event tidak terjadi seperti yang telah ditentukan.');
INSERT INTO `lang_definitions` VALUES (73422, 8837, 14, 'Dicadangkan untuk mendefinisikan ketika provider mungkin tidak memilik janji temu yang tersedia.');
INSERT INTO `lang_definitions` VALUES (73423, 8838, 14, 'Reset');
INSERT INTO `lang_definitions` VALUES (73424, 8842, 14, 'Reset Mandat Portal Offsite');
INSERT INTO `lang_definitions` VALUES (73425, 8844, 14, 'Reset Mandat Portal Onsite');
INSERT INTO `lang_definitions` VALUES (73426, 8845, 14, 'Atur kembali ke tanpa pasien');
INSERT INTO `lang_definitions` VALUES (73427, 8850, 14, 'Resn');
INSERT INTO `lang_definitions` VALUES (73428, 8852, 14, 'Terselesaikan');
INSERT INTO `lang_definitions` VALUES (73429, 8855, 14, 'Pernapasan');
INSERT INTO `lang_definitions` VALUES (73430, 8856, 14, 'Upaya alat pernapasan tidak bekerja');
INSERT INTO `lang_definitions` VALUES (73431, 8857, 14, 'Pernapasan');
INSERT INTO `lang_definitions` VALUES (73432, 8858, 14, 'Respon');
INSERT INTO `lang_definitions` VALUES (73433, 8859, 14, 'Hanya Respon');
INSERT INTO `lang_definitions` VALUES (73434, 8864, 14, 'Membatasi pengguna non-resmi ke Fasilitas Jadwal diatur dalam admin Pengguna.');
INSERT INTO `lang_definitions` VALUES (73435, 8865, 14, 'Membatasi Pengguna ke Fasilitas');
INSERT INTO `lang_definitions` VALUES (73436, 8866, 14, 'Pelatihan Dibatasi');
INSERT INTO `lang_definitions` VALUES (73437, 8867, 14, 'Hasil');
INSERT INTO `lang_definitions` VALUES (73438, 8868, 14, 'Nama Hasil');
INSERT INTO `lang_definitions` VALUES (73439, 8869, 14, 'Status Hasil');
INSERT INTO `lang_definitions` VALUES (73440, 8870, 14, 'Status hasil atau abmormalitas tidak ada');
INSERT INTO `lang_definitions` VALUES (73441, 8871, 14, 'Hasil, gunakan % sebagai wildcard');
INSERT INTO `lang_definitions` VALUES (73442, 8873, 14, 'Hasil dan');
INSERT INTO `lang_definitions` VALUES (73443, 8874, 14, 'Hasil Ditemukan Untuk Pencarian');
INSERT INTO `lang_definitions` VALUES (73444, 8875, 14, 'Grup Hasil');
INSERT INTO `lang_definitions` VALUES (73445, 8876, 14, 'Hanya Hasil');
INSERT INTO `lang_definitions` VALUES (73446, 8877, 14, 'Jalur Hasil');
INSERT INTO `lang_definitions` VALUES (73447, 8879, 14, 'Hasil per halaman');
INSERT INTO `lang_definitions` VALUES (73448, 8880, 14, 'Hasil/Rincian');
INSERT INTO `lang_definitions` VALUES (73449, 8882, 14, 'Retina');
INSERT INTO `lang_definitions` VALUES (73450, 8884, 14, 'Pemeriksaan Retina');
INSERT INTO `lang_definitions` VALUES (73451, 8885, 14, 'Retracted Kanan:');
INSERT INTO `lang_definitions` VALUES (73452, 8886, 14, 'Kembali');
INSERT INTO `lang_definitions` VALUES (73453, 8887, 14, 'Kembali bagian atas dengan pembayaran anda');
INSERT INTO `lang_definitions` VALUES (73454, 8890, 14, 'Kembali ke kalender');
INSERT INTO `lang_definitions` VALUES (73455, 8891, 14, 'Kembali Ke Hasil Laporan');
INSERT INTO `lang_definitions` VALUES (73456, 8897, 14, 'Nilai Kembali');
INSERT INTO `lang_definitions` VALUES (73457, 8898, 14, 'Kembali Kunjungi');
INSERT INTO `lang_definitions` VALUES (73458, 8899, 14, 'Kembali ke Bermain');
INSERT INTO `lang_definitions` VALUES (73459, 8909, 14, 'Tinjauan');
INSERT INTO `lang_definitions` VALUES (73460, 8914, 14, 'Tinjauan PMH:');
INSERT INTO `lang_definitions` VALUES (73461, 8917, 14, 'Tinjauan Sistem');
INSERT INTO `lang_definitions` VALUES (73462, 8918, 14, 'Tinjauan Cek/Pengujian Sistem');
INSERT INTO `lang_definitions` VALUES (73463, 8921, 14, 'Diulas');
INSERT INTO `lang_definitions` VALUES (73464, 8924, 14, 'Revisi');
INSERT INTO `lang_definitions` VALUES (73465, 8925, 14, 'Arthritis Radang Sendi');
INSERT INTO `lang_definitions` VALUES (73466, 8926, 14, 'Rheumotoid Radang Sendi');
INSERT INTO `lang_definitions` VALUES (73467, 8928, 14, 'Kanan');
INSERT INTO `lang_definitions` VALUES (73468, 8931, 14, 'Telinga Kanan');
INSERT INTO `lang_definitions` VALUES (73469, 8932, 14, 'telinga kanan');
INSERT INTO `lang_definitions` VALUES (73470, 8934, 14, 'Lensa Kanan');
INSERT INTO `lang_definitions` VALUES (73471, 8936, 14, 'Batas Kanan (mm)');
INSERT INTO `lang_definitions` VALUES (73472, 8940, 14, 'Kanan:');
INSERT INTO `lang_definitions` VALUES (73473, 8941, 14, 'Dering di Telinga');
INSERT INTO `lang_definitions` VALUES (73474, 8942, 14, 'Dering Di Telinga');
INSERT INTO `lang_definitions` VALUES (73475, 8944, 14, 'Faktor-faktor Risiko');
INSERT INTO `lang_definitions` VALUES (73476, 8945, 14, 'Tingkat Risiko');
INSERT INTO `lang_definitions` VALUES (73477, 8949, 14, 'RLL:');
INSERT INTO `lang_definitions` VALUES (73478, 8955, 14, 'ROM');
INSERT INTO `lang_definitions` VALUES (73479, 8956, 14, 'Rumania');
INSERT INTO `lang_definitions` VALUES (73480, 8957, 14, 'Rumania');
INSERT INTO `lang_definitions` VALUES (73481, 8958, 14, 'Kamar 1');
INSERT INTO `lang_definitions` VALUES (73482, 8959, 14, 'Kamar 2');
INSERT INTO `lang_definitions` VALUES (73483, 8960, 14, 'Kamar 3');
INSERT INTO `lang_definitions` VALUES (73484, 8961, 14, 'Nomor Kamar');
INSERT INTO `lang_definitions` VALUES (73485, 8963, 14, 'Roster');
INSERT INTO `lang_definitions` VALUES (73486, 8966, 14, 'Rute');
INSERT INTO `lang_definitions` VALUES (73487, 8967, 14, 'Rute administrasi, jika berlaku/ada');
INSERT INTO `lang_definitions` VALUES (73488, 8968, 14, 'Rute');
INSERT INTO `lang_definitions` VALUES (73489, 8969, 14, 'Baris');
INSERT INTO `lang_definitions` VALUES (73490, 8971, 14, 'RRR tanpa MOR');
INSERT INTO `lang_definitions` VALUES (73491, 8972, 14, 'Kesulitan:');
INSERT INTO `lang_definitions` VALUES (73492, 8973, 14, 'Kesulitan:');
INSERT INTO `lang_definitions` VALUES (73493, 8974, 14, 'Aturan');
INSERT INTO `lang_definitions` VALUES (73494, 8975, 14, 'Tambah Aturan');
INSERT INTO `lang_definitions` VALUES (73495, 8976, 14, 'Rincian Aturan');
INSERT INTO `lang_definitions` VALUES (73496, 8978, 14, 'Edit Aturan');
INSERT INTO `lang_definitions` VALUES (73497, 8981, 14, 'Set Aturan');
INSERT INTO `lang_definitions` VALUES (73498, 8984, 14, 'Aturan');
INSERT INTO `lang_definitions` VALUES (73499, 8986, 14, 'Konfigurasi Aturan');
INSERT INTO `lang_definitions` VALUES (73500, 8989, 14, 'Perintah yang Berjalan:');
INSERT INTO `lang_definitions` VALUES (73501, 8990, 14, 'Perpecahan/Putus');
INSERT INTO `lang_definitions` VALUES (73502, 8992, 14, 'Rusia');
INSERT INTO `lang_definitions` VALUES (73503, 8995, 14, 'Rx');
INSERT INTO `lang_definitions` VALUES (73504, 8996, 14, 'RX');
INSERT INTO `lang_definitions` VALUES (73505, 8997, 14, 'Batas Bawah Rx (px)');
INSERT INTO `lang_definitions` VALUES (73506, 9001, 14, 'Rx Aktifkan DEA #');
INSERT INTO `lang_definitions` VALUES (73507, 9002, 14, 'Rx Aktifkan NPI');
INSERT INTO `lang_definitions` VALUES (73508, 9003, 14, 'Rx Aktifkan Lisensi Negara #');
INSERT INTO `lang_definitions` VALUES (73509, 9004, 14, 'Riwayat Rx');
INSERT INTO `lang_definitions` VALUES (73510, 9006, 14, 'ID Rx');
INSERT INTO `lang_definitions` VALUES (73511, 9007, 14, 'Batas Kiri Rx (px)');
INSERT INTO `lang_definitions` VALUES (73512, 9010, 14, 'Ukuran Kertas Rx');
INSERT INTO `lang_definitions` VALUES (73513, 9013, 14, 'Batas Kanan Rx (px)');
INSERT INTO `lang_definitions` VALUES (73514, 9014, 14, 'Rx Tampilkan DEA #');
INSERT INTO `lang_definitions` VALUES (73515, 9015, 14, 'Rx Tampilkan NPI');
INSERT INTO `lang_definitions` VALUES (73516, 9016, 14, 'Rx Tampilkan Lisensi Negara');
INSERT INTO `lang_definitions` VALUES (73517, 9017, 14, 'Batas Atas Rx (px)');
INSERT INTO `lang_definitions` VALUES (73518, 9018, 14, 'Tipe Rx');
INSERT INTO `lang_definitions` VALUES (73519, 9023, 14, 'RxNorm');
INSERT INTO `lang_definitions` VALUES (73520, 9024, 14, 'Database RxNorm');
INSERT INTO `lang_definitions` VALUES (73521, 9028, 14, 'S');
INSERT INTO `lang_definitions` VALUES (73522, 9029, 14, 'S.S.');
INSERT INTO `lang_definitions` VALUES (73523, 9030, 14, 'S3:');
INSERT INTO `lang_definitions` VALUES (73524, 9031, 14, 'S4:');
INSERT INTO `lang_definitions` VALUES (73525, 9032, 14, 'SA * * Untuk membaca lisensi silahkan baca docs/license.txt atau kunjungi http://www.gnu.org/copyleft/gpl.html * * * / //============ ================================================== =========== / /');
INSERT INTO `lang_definitions` VALUES (73526, 9034, 14, 'Penjualan');
INSERT INTO `lang_definitions` VALUES (73527, 9035, 14, 'Penjualan');
INSERT INTO `lang_definitions` VALUES (73528, 9036, 14, 'Penjualan Item');
INSERT INTO `lang_definitions` VALUES (73529, 9037, 14, 'Penjualan Laporan Produk');
INSERT INTO `lang_definitions` VALUES (73530, 9038, 14, 'Air Liur');
INSERT INTO `lang_definitions` VALUES (73531, 9039, 14, 'Hari yang Sama');
INSERT INTO `lang_definitions` VALUES (73532, 9040, 14, 'Samoa');
INSERT INTO `lang_definitions` VALUES (73533, 9041, 14, 'Contoh');
INSERT INTO `lang_definitions` VALUES (73534, 9042, 14, 'Jenis Sanksi');
INSERT INTO `lang_definitions` VALUES (73535, 9044, 14, 'Sansekerta');
INSERT INTO `lang_definitions` VALUES (73536, 9045, 14, 'Sansekerta');
INSERT INTO `lang_definitions` VALUES (73537, 9047, 14, 'Sabtu');
INSERT INTO `lang_definitions` VALUES (73538, 9048, 14, 'Sabtu & Minggu');
INSERT INTO `lang_definitions` VALUES (73539, 9049, 14, 'Sabtu');
INSERT INTO `lang_definitions` VALUES (73540, 9050, 14, 'Simpan');
INSERT INTO `lang_definitions` VALUES (73541, 9051, 14, 'SIMPAN');
INSERT INTO `lang_definitions` VALUES (73542, 9053, 14, 'Sipan Aktivitas');
INSERT INTO `lang_definitions` VALUES (73543, 9055, 14, 'Simpan dan Tutup');
INSERT INTO `lang_definitions` VALUES (73544, 9056, 14, 'Simpan dan Lanjut');
INSERT INTO `lang_definitions` VALUES (73545, 9058, 14, 'Simpan dan Keluarkan');
INSERT INTO `lang_definitions` VALUES (73546, 9059, 14, 'Simpan dan Cetak');
INSERT INTO `lang_definitions` VALUES (73547, 9061, 14, 'Simpan sebagai Baru');
INSERT INTO `lang_definitions` VALUES (73548, 9063, 14, 'Simpan sebagai catatan baru');
INSERT INTO `lang_definitions` VALUES (73549, 9065, 14, 'Simpan Kategori');
INSERT INTO `lang_definitions` VALUES (73550, 9066, 14, 'Simpan Pengaturan Sertifikat');
INSERT INTO `lang_definitions` VALUES (73551, 9067, 14, 'Simpan Perubahan');
INSERT INTO `lang_definitions` VALUES (73552, 9068, 14, 'Simpan Klaim');
INSERT INTO `lang_definitions` VALUES (73553, 9070, 14, 'Simpan riwayat kode');
INSERT INTO `lang_definitions` VALUES (73554, 9075, 14, 'Simpan Formulir');
INSERT INTO `lang_definitions` VALUES (73555, 9076, 14, 'Simpan Imunisasi');
INSERT INTO `lang_definitions` VALUES (73556, 9078, 14, 'Simpan Field(Bagian) baru');
INSERT INTO `lang_definitions` VALUES (73557, 9079, 14, 'Simpan Grup Baru');
INSERT INTO `lang_definitions` VALUES (73558, 9080, 14, 'Simpan Daftar Baru');
INSERT INTO `lang_definitions` VALUES (73559, 9081, 14, 'Simpan template baru');
INSERT INTO `lang_definitions` VALUES (73560, 9083, 14, 'Simpan Demografi Pasien');
INSERT INTO `lang_definitions` VALUES (73561, 9085, 14, 'Simpan Laporan sebagai PDF');
INSERT INTO `lang_definitions` VALUES (73562, 9086, 14, 'Simpab Berhasil');
INSERT INTO `lang_definitions` VALUES (73563, 9087, 14, 'Penyimpanan Berhasil untuk ID Bagan/Grafik');
INSERT INTO `lang_definitions` VALUES (73564, 9089, 14, 'Simpan Transaksi');
INSERT INTO `lang_definitions` VALUES (73565, 9098, 14, 'Discan');
INSERT INTO `lang_definitions` VALUES (73566, 9099, 14, 'Discan Catatan Encounter (Pertemuan)');
INSERT INTO `lang_definitions` VALUES (73567, 9100, 14, 'Direktori Scanner');
INSERT INTO `lang_definitions` VALUES (73568, 9101, 14, 'Scanner Didalam');
INSERT INTO `lang_definitions` VALUES (73569, 9104, 14, 'Jadwal');
INSERT INTO `lang_definitions` VALUES (73570, 9106, 14, 'Fasilitas Jadwal:');
INSERT INTO `lang_definitions` VALUES (73571, 9116, 14, 'Sekolah');
INSERT INTO `lang_definitions` VALUES (73572, 9117, 14, 'CATATAN SEKOLAH');
INSERT INTO `lang_definitions` VALUES (73573, 9119, 14, 'Sklera');
INSERT INTO `lang_definitions` VALUES (73574, 9122, 14, 'Scoliosis');
INSERT INTO `lang_definitions` VALUES (73575, 9126, 14, 'Layar');
INSERT INTO `lang_definitions` VALUES (73576, 9127, 14, 'Skrining / Pengujian');
INSERT INTO `lang_definitions` VALUES (73577, 9133, 14, 'SE');
INSERT INTO `lang_definitions` VALUES (73578, 9134, 14, 'SE Alamat');
INSERT INTO `lang_definitions` VALUES (73579, 9135, 14, 'SE Kota');
INSERT INTO `lang_definitions` VALUES (73580, 9136, 14, 'SE Negara');
INSERT INTO `lang_definitions` VALUES (73581, 9137, 14, 'SE Lokalitas');
INSERT INTO `lang_definitions` VALUES (73582, 9138, 14, 'SE Kode Pos');
INSERT INTO `lang_definitions` VALUES (73583, 9139, 14, 'SE Negara');
INSERT INTO `lang_definitions` VALUES (73584, 9140, 14, 'SE Kode Zip');
INSERT INTO `lang_definitions` VALUES (73585, 9141, 14, 'Cari');
INSERT INTO `lang_definitions` VALUES (73586, 9142, 14, 'CARI');
INSERT INTO `lang_definitions` VALUES (73587, 9143, 14, 'cari');
INSERT INTO `lang_definitions` VALUES (73588, 9144, 14, 'cari lagi');
INSERT INTO `lang_definitions` VALUES (73589, 9145, 14, 'Cari semua kolom');
INSERT INTO `lang_definitions` VALUES (73590, 9147, 14, 'Cari Janji Temu');
INSERT INTO `lang_definitions` VALUES (73591, 9148, 14, 'Cari berdasarkan');
INSERT INTO `lang_definitions` VALUES (73592, 9150, 14, 'Cari berdasarkan:');
INSERT INTO `lang_definitions` VALUES (73593, 9151, 14, 'Cari Diagnosis');
INSERT INTO `lang_definitions` VALUES (73594, 9152, 14, 'Cari untuk');
INSERT INTO `lang_definitions` VALUES (73595, 9156, 14, 'Cari untuk:');
INSERT INTO `lang_definitions` VALUES (73596, 9158, 14, 'Cari Di');
INSERT INTO `lang_definitions` VALUES (73597, 9159, 14, 'Cari di');
INSERT INTO `lang_definitions` VALUES (73598, 9161, 14, 'Cari atau Tambah Pasien');
INSERT INTO `lang_definitions` VALUES (73599, 9164, 14, 'Cari Pembayaran');
INSERT INTO `lang_definitions` VALUES (73600, 9166, 14, 'Cari Produk');
INSERT INTO `lang_definitions` VALUES (73601, 9167, 14, 'Hasil Pencarian');
INSERT INTO `lang_definitions` VALUES (73602, 9168, 14, 'Hasil Pencarian:');
INSERT INTO `lang_definitions` VALUES (73603, 9169, 14, 'Cari yang Dipilih');
INSERT INTO `lang_definitions` VALUES (73604, 9170, 14, 'Cari Layanan');
INSERT INTO `lang_definitions` VALUES (73605, 9171, 14, 'Pencarian string tidak cocok dengan daftar yang ada dalam database');
INSERT INTO `lang_definitions` VALUES (73606, 9172, 14, 'Pencarian string harus setidaknya memiliknya tiga karakter');
INSERT INTO `lang_definitions` VALUES (73607, 9174, 14, 'Cari Teks');
INSERT INTO `lang_definitions` VALUES (73608, 9175, 14, 'Cari Event');
INSERT INTO `lang_definitions` VALUES (73609, 9178, 14, 'Cari/Tambah');
INSERT INTO `lang_definitions` VALUES (73610, 9179, 14, 'Cari/Tambah Penanggung');
INSERT INTO `lang_definitions` VALUES (73611, 9181, 14, 'Mencari janji temu');
INSERT INTO `lang_definitions` VALUES (73612, 9182, 14, 'Mencari...');
INSERT INTO `lang_definitions` VALUES (73613, 9183, 14, 'Sabuk pengaman');
INSERT INTO `lang_definitions` VALUES (73614, 9184, 14, 'Penggunaan sabuk pengaman');
INSERT INTO `lang_definitions` VALUES (73615, 9185, 14, 'Pengunaan Sabuk Pengaman');
INSERT INTO `lang_definitions` VALUES (73616, 9186, 14, 'Kedua');
INSERT INTO `lang_definitions` VALUES (73617, 9189, 14, 'Sekunder');
INSERT INTO `lang_definitions` VALUES (73618, 9191, 14, 'Asuransi Sekunder');
INSERT INTO `lang_definitions` VALUES (73619, 9192, 14, 'Data Asuransi Sekunder');
INSERT INTO `lang_definitions` VALUES (73620, 9193, 14, 'Provider Asuransi Sekunder');
INSERT INTO `lang_definitions` VALUES (73621, 9194, 14, 'Jenis Medicare Sekunder');
INSERT INTO `lang_definitions` VALUES (73622, 9195, 14, 'detik');
INSERT INTO `lang_definitions` VALUES (73623, 9207, 14, 'Keamanan');
INSERT INTO `lang_definitions` VALUES (73624, 9208, 14, 'Lihat Semua');
INSERT INTO `lang_definitions` VALUES (73625, 9210, 14, 'Lihat Kewenangan/Otorisasi');
INSERT INTO `lang_definitions` VALUES (73626, 9213, 14, 'Lihat Grafik-Pertumbuhan');
INSERT INTO `lang_definitions` VALUES (73627, 9214, 14, 'Lihat pesan dari set terakhir dari klaim yang dihasilkan');
INSERT INTO `lang_definitions` VALUES (73628, 9218, 14, 'Terlihat sejak');
INSERT INTO `lang_definitions` VALUES (73629, 9222, 14, 'Kejang');
INSERT INTO `lang_definitions` VALUES (73630, 9223, 14, 'Sel');
INSERT INTO `lang_definitions` VALUES (73631, 9224, 14, 'pilih');
INSERT INTO `lang_definitions` VALUES (73632, 9225, 14, 'Pilih');
INSERT INTO `lang_definitions` VALUES (73633, 9228, 14, 'Pilih Konteks');
INSERT INTO `lang_definitions` VALUES (73634, 9235, 14, 'Pilih Jangka Waktu');
INSERT INTO `lang_definitions` VALUES (73635, 9236, 14, 'Pilih Pengguna');
INSERT INTO `lang_definitions` VALUES (73636, 9239, 14, 'Pilih Semua');
INSERT INTO `lang_definitions` VALUES (73637, 9248, 14, 'Pilih Entry/Masukan CAMOS untuk mencetak');
INSERT INTO `lang_definitions` VALUES (73638, 9250, 14, 'Pilih kategori');
INSERT INTO `lang_definitions` VALUES (73639, 9254, 14, 'Pilih kotak centang yang sesuai untuk menghapus');
INSERT INTO `lang_definitions` VALUES (73640, 9256, 14, 'Pilih Kriteria untuk');
INSERT INTO `lang_definitions` VALUES (73641, 9260, 14, 'Pilih Data yang Dibutuhkan untuk De Identifikasi');
INSERT INTO `lang_definitions` VALUES (73642, 9261, 14, 'Pilih data yang akan dimasukkan kedalam De Identifikasi data');
INSERT INTO `lang_definitions` VALUES (73643, 9262, 14, 'Pilih tanggal');
INSERT INTO `lang_definitions` VALUES (73644, 9264, 14, 'Pilih regu yang diinginkan');
INSERT INTO `lang_definitions` VALUES (73645, 9265, 14, 'Pilih Diagnosa');
INSERT INTO `lang_definitions` VALUES (73646, 9267, 14, 'Pilih Diagnosa untuk permintaan De Identifikasi');
INSERT INTO `lang_definitions` VALUES (73647, 9271, 14, 'Pilih Obat');
INSERT INTO `lang_definitions` VALUES (73648, 9272, 14, 'Pilih Obat');
INSERT INTO `lang_definitions` VALUES (73649, 9273, 14, 'Pilih Obat untuk permintaan De Identifikasi');
INSERT INTO `lang_definitions` VALUES (73650, 9274, 14, 'Pilih file EDI-271');
INSERT INTO `lang_definitions` VALUES (73651, 9276, 14, 'Pilih field(bagian)');
INSERT INTO `lang_definitions` VALUES (73652, 9278, 14, 'Pilih Field(Bagian)');
INSERT INTO `lang_definitions` VALUES (73653, 9279, 14, 'Pilih untuk pencetakan');
INSERT INTO `lang_definitions` VALUES (73654, 9285, 14, 'Pilih Imunisasi');
INSERT INTO `lang_definitions` VALUES (73655, 9286, 14, 'Pilih Imunisasi untuk permintaan De Identifikasi');
INSERT INTO `lang_definitions` VALUES (73656, 9287, 14, 'Pilih Asuransi, dengan mengetik');
INSERT INTO `lang_definitions` VALUES (73657, 9288, 14, 'Pilih Isu(Masalah)');
INSERT INTO `lang_definitions` VALUES (73658, 9291, 14, 'Pilih Bahasa');
INSERT INTO `lang_definitions` VALUES (73659, 9298, 14, 'Pilih satu atau lebih kode diagnosa untuk membenarkan layanan');
INSERT INTO `lang_definitions` VALUES (73660, 9321, 14, 'Pilih item konfigurasi untuk ekspor');
INSERT INTO `lang_definitions` VALUES (73661, 9328, 14, 'Pilih isu(masalah) terutama yang bertanggung jawab atas event yang terlewat hari ini');
INSERT INTO `lang_definitions` VALUES (73662, 9338, 14, 'Pilih Pengguna');
INSERT INTO `lang_definitions` VALUES (73663, 9340, 14, 'Pilih Pengguna Dari Daftar Dropdown');
INSERT INTO `lang_definitions` VALUES (73664, 9341, 14, 'Pilih bahasa, jika ada, dapat dipilih saat login. (hanya relevan jika Semua Bahasa yang Diizinkan diatas dimatikan)');
INSERT INTO `lang_definitions` VALUES (73665, 9343, 14, 'Pilih Ya untuk mengkonfirmasi penghapusan grup');
INSERT INTO `lang_definitions` VALUES (73666, 9349, 14, 'Dipilih');
INSERT INTO `lang_definitions` VALUES (73667, 9350, 14, 'Encounter(Pertemuan) yang Dipilih');
INSERT INTO `lang_definitions` VALUES (73668, 9355, 14, 'Memilih ini akan membuat pesan yang perlu diproses oleh setiap penerima secara individu (ini bukan tugas kelompok)');
INSERT INTO `lang_definitions` VALUES (73669, 9357, 14, 'Diri(Sendiri)');
INSERT INTO `lang_definitions` VALUES (73670, 9358, 14, 'Cukup Bayar/Bayar Sendiri');
INSERT INTO `lang_definitions` VALUES (73671, 9360, 14, 'Kirim');
INSERT INTO `lang_definitions` VALUES (73672, 9361, 14, 'Kirim Pengingat Bertanggal');
INSERT INTO `lang_definitions` VALUES (73673, 9362, 14, 'Kirim Pengingat');
INSERT INTO `lang_definitions` VALUES (73674, 9369, 14, 'Kirim dalam proses');
INSERT INTO `lang_definitions` VALUES (73675, 9372, 14, 'Kirim pesan');
INSERT INTO `lang_definitions` VALUES (73676, 9378, 14, 'Kirim Batch Pengingat');
INSERT INTO `lang_definitions` VALUES (73677, 9379, 14, 'Kirim pengingat kepada pasien tiap keinginan pasien untuk perawatan tindak lanjut/pencegahan');
INSERT INTO `lang_definitions` VALUES (73678, 9383, 14, 'Kirim Rangkuman dengan Rujukan');
INSERT INTO `lang_definitions` VALUES (73679, 9384, 14, 'Kirim file ini');
INSERT INTO `lang_definitions` VALUES (73680, 9385, 14, 'Kirim Pesan Ini');
INSERT INTO `lang_definitions` VALUES (73681, 9386, 14, 'Kirim ke');
INSERT INTO `lang_definitions` VALUES (73682, 9389, 14, 'Kirim ke semua');
INSERT INTO `lang_definitions` VALUES (73683, 9395, 14, 'Pengirim');
INSERT INTO `lang_definitions` VALUES (73684, 9396, 14, 'ID Pengirim');
INSERT INTO `lang_definitions` VALUES (73685, 9397, 14, 'ID Pengirim (ISA06)');
INSERT INTO `lang_definitions` VALUES (73686, 9398, 14, 'Kualifikasi ID Pengirim (ISA05)');
INSERT INTO `lang_definitions` VALUES (73687, 9407, 14, 'Sensitivitas');
INSERT INTO `lang_definitions` VALUES (73688, 9411, 14, 'Sensitivitas:');
INSERT INTO `lang_definitions` VALUES (73689, 9412, 14, 'Pemeriksaan sensorik normal');
INSERT INTO `lang_definitions` VALUES (73690, 9415, 14, 'Dikirim Oleh, Biarkan Kosong Untuk Semua');
INSERT INTO `lang_definitions` VALUES (73691, 9417, 14, 'Tanggal Dikirim');
INSERT INTO `lang_definitions` VALUES (73692, 9418, 14, 'Item Terkirim');
INSERT INTO `lang_definitions` VALUES (73693, 9419, 14, 'Record(Catatan) Medis Terkirim?');
INSERT INTO `lang_definitions` VALUES (73694, 9420, 14, 'Berhasil dikirim');
INSERT INTO `lang_definitions` VALUES (73695, 9423, 14, 'dikirim ke printer.');
INSERT INTO `lang_definitions` VALUES (73696, 9424, 14, 'Dikirim Ke, Biarkan Kosong Untuk Semua');
INSERT INTO `lang_definitions` VALUES (73697, 9429, 14, 'September');
INSERT INTO `lang_definitions` VALUES (73698, 9430, 14, 'Dipisahkan');
INSERT INTO `lang_definitions` VALUES (73699, 9431, 14, 'September');
INSERT INTO `lang_definitions` VALUES (73700, 9432, 14, 'Rangkaian/Urutan');
INSERT INTO `lang_definitions` VALUES (73701, 9433, 14, 'Rangkaian/Urutan');
INSERT INTO `lang_definitions` VALUES (73702, 9442, 14, 'Layanan');
INSERT INTO `lang_definitions` VALUES (73703, 9444, 14, 'Kategori Layanan');
INSERT INTO `lang_definitions` VALUES (73704, 9445, 14, 'Kode Layanan');
INSERT INTO `lang_definitions` VALUES (73705, 9447, 14, 'Kode Layanan');
INSERT INTO `lang_definitions` VALUES (73706, 9448, 14, 'Tanggal Layanan');
INSERT INTO `lang_definitions` VALUES (73707, 9451, 14, 'Tanggal Layanan:');
INSERT INTO `lang_definitions` VALUES (73708, 9455, 14, 'Lokasi Layanan');
INSERT INTO `lang_definitions` VALUES (73709, 9457, 14, 'Layanan disediakan oleh pakar/ahli');
INSERT INTO `lang_definitions` VALUES (73710, 9461, 14, 'Layanan');
INSERT INTO `lang_definitions` VALUES (73711, 9462, 14, 'Layanan dengan Kategori');
INSERT INTO `lang_definitions` VALUES (73712, 9463, 14, 'Layanan Disediakan');
INSERT INTO `lang_definitions` VALUES (73713, 9464, 14, 'Layanan disediakan');
INSERT INTO `lang_definitions` VALUES (73714, 9465, 14, 'Layanan/Produk');
INSERT INTO `lang_definitions` VALUES (73715, 9466, 14, 'Jenis/Tipe Sesi');
INSERT INTO `lang_definitions` VALUES (73716, 9467, 14, 'Set');
INSERT INTO `lang_definitions` VALUES (73717, 9468, 14, 'Set cookie fasilitas untuk mengingat fasilitas yang dipilih antara login.');
INSERT INTO `lang_definitions` VALUES (73718, 9469, 14, 'Set Sebagai Selesai');
INSERT INTO `lang_definitions` VALUES (73719, 9478, 14, 'Set ini ke path absolut penuh. Untuk membuat sertifikat klien SSL untuk HTTPS.');
INSERT INTO `lang_definitions` VALUES (73720, 9479, 14, 'Set Ke/Mulai');
INSERT INTO `lang_definitions` VALUES (73721, 9480, 14, 'Set Default/Standar');
INSERT INTO `lang_definitions` VALUES (73722, 9486, 14, 'Mengatur nomor versi dalam database...');
INSERT INTO `lang_definitions` VALUES (73723, 9488, 14, 'Pengaturan');
INSERT INTO `lang_definitions` VALUES (73724, 9493, 14, 'Migrain Parah');
INSERT INTO `lang_definitions` VALUES (73725, 9496, 14, 'Sakit Parah');
INSERT INTO `lang_definitions` VALUES (73726, 9497, 14, 'Sakit Parah:');
INSERT INTO `lang_definitions` VALUES (73727, 9498, 14, 'Seks(Jenis Kelamin)');
INSERT INTO `lang_definitions` VALUES (73728, 9499, 14, 'Penyakit Seksual Menular');
INSERT INTO `lang_definitions` VALUES (73729, 9502, 14, 'Sha-1 Hash');
INSERT INTO `lang_definitions` VALUES (73730, 9503, 14, 'Berbagi');
INSERT INTO `lang_definitions` VALUES (73731, 9504, 14, 'Perintah Shell untuk mencetak dari server.');
INSERT INTO `lang_definitions` VALUES (73732, 9510, 14, 'Sesak Napas');
INSERT INTO `lang_definitions` VALUES (73733, 9511, 14, 'Sesak Napas');
INSERT INTO `lang_definitions` VALUES (73734, 9512, 14, 'Sesak Napas 2');
INSERT INTO `lang_definitions` VALUES (73735, 9513, 14, 'Rekam Foto');
INSERT INTO `lang_definitions` VALUES (73736, 9514, 14, 'Rekam Foto sebagai:');
INSERT INTO `lang_definitions` VALUES (73737, 9516, 14, 'harus seperti nnnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (73738, 9517, 14, 'Harus dua huruf');
INSERT INTO `lang_definitions` VALUES (73739, 9518, 14, 'harus berisi 10 digit');
INSERT INTO `lang_definitions` VALUES (73740, 9519, 14, 'harus berisi hanya 10 digit');
INSERT INTO `lang_definitions` VALUES (73741, 9520, 14, 'Bahu');
INSERT INTO `lang_definitions` VALUES (73742, 9521, 14, 'Bahu + tulang selangka');
INSERT INTO `lang_definitions` VALUES (73743, 9522, 14, 'Masalah Bahu');
INSERT INTO `lang_definitions` VALUES (73744, 9523, 14, 'Tampilkan');
INSERT INTO `lang_definitions` VALUES (73745, 9524, 14, 'Tampilkan Yang Aktif');
INSERT INTO `lang_definitions` VALUES (73746, 9527, 14, 'Tampilkan Semua');
INSERT INTO `lang_definitions` VALUES (73747, 9531, 14, 'Tampilkan Semua Transaksi');
INSERT INTO `lang_definitions` VALUES (73748, 9532, 14, 'Tampilkan sebagai Sibuk');
INSERT INTO `lang_definitions` VALUES (73749, 9533, 14, 'Tampilkan Hanya yang Diizinkan');
INSERT INTO `lang_definitions` VALUES (73750, 9534, 14, 'Tampilkan Waktu yang Tersedia');
INSERT INTO `lang_definitions` VALUES (73751, 9535, 14, 'Tampilkan US dan metrik (unit utama adalah metrik)');
INSERT INTO `lang_definitions` VALUES (73752, 9536, 14, 'Tampilkan US dan metrik (unit utama adalah US)');
INSERT INTO `lang_definitions` VALUES (73753, 9540, 14, 'Tampilkan Rincian');
INSERT INTO `lang_definitions` VALUES (73754, 9544, 14, 'Tampilkan Grafik');
INSERT INTO `lang_definitions` VALUES (73755, 9546, 14, 'Tampilkan teks event melayang pada mouse?');
INSERT INTO `lang_definitions` VALUES (73756, 9547, 14, 'Tampilkan berapa banyak event pada halaman admin?');
INSERT INTO `lang_definitions` VALUES (73757, 9548, 14, 'Tampilkan Yang Tidak Aktif');
INSERT INTO `lang_definitions` VALUES (73758, 9552, 14, 'Tampilkan Menu');
INSERT INTO `lang_definitions` VALUES (73759, 9553, 14, 'Tampilkan metrik saja');
INSERT INTO `lang_definitions` VALUES (73760, 9556, 14, 'Tampilkan Catatan');
INSERT INTO `lang_definitions` VALUES (73761, 9561, 14, 'Tampilkan Catatan Pasien');
INSERT INTO `lang_definitions` VALUES (73762, 9564, 14, 'Tampilkan Primer Lengkap');
INSERT INTO `lang_definitions` VALUES (73763, 9568, 14, 'Tampilkan Pengingat');
INSERT INTO `lang_definitions` VALUES (73764, 9569, 14, 'Tampilkan Laporan');
INSERT INTO `lang_definitions` VALUES (73765, 9570, 14, 'Tampilkan link pencarian/penyeraham pad blok?');
INSERT INTO `lang_definitions` VALUES (73766, 9574, 14, 'Tampilkan formulir negara custom untuk menambah daftar widget (akan meminta untuk judul dan singkatan).');
INSERT INTO `lang_definitions` VALUES (73767, 9580, 14, 'Tampilkan Hanya yang Belum Ditagih');
INSERT INTO `lang_definitions` VALUES (73768, 9581, 14, 'Tampilkan US saja');
INSERT INTO `lang_definitions` VALUES (73769, 9584, 14, 'Tampilkan/Sembunyikan Area yang Dipilih');
INSERT INTO `lang_definitions` VALUES (73770, 9585, 14, 'Menampilkan');
INSERT INTO `lang_definitions` VALUES (73771, 9586, 14, 'Menampilkan 0 sampai 0 dari 0 entrian');
INSERT INTO `lang_definitions` VALUES (73772, 9588, 14, 'Menampilkan halaman');
INSERT INTO `lang_definitions` VALUES (73773, 9591, 14, 'Mematikan Layanan...');
INSERT INTO `lang_definitions` VALUES (73774, 9593, 14, 'Riwayat Saudara Kandung');
INSERT INTO `lang_definitions` VALUES (73775, 9595, 14, 'Saudara Kandung');
INSERT INTO `lang_definitions` VALUES (73776, 9596, 14, 'Sel Sabit/Arit');
INSERT INTO `lang_definitions` VALUES (73777, 9597, 14, 'Sig');
INSERT INTO `lang_definitions` VALUES (73778, 9598, 14, 'Sigmoid/Colonoscopy');
INSERT INTO `lang_definitions` VALUES (73779, 9601, 14, 'Tanda Tangan Hasil Lab (tulis, hanya tambah opsional)');
INSERT INTO `lang_definitions` VALUES (73780, 9603, 14, 'Tanda Tangan Hasil');
INSERT INTO `lang_definitions` VALUES (73781, 9606, 14, 'Tanda Tangan');
INSERT INTO `lang_definitions` VALUES (73782, 9609, 14, 'Tanda Tangan:');
INSERT INTO `lang_definitions` VALUES (73783, 9612, 14, 'Rx yang Ditandatangani');
INSERT INTO `lang_definitions` VALUES (73784, 9614, 14, 'Pembengkakan yang Signifikan:');
INSERT INTO `lang_definitions` VALUES (73785, 9616, 14, 'Co-Pay Sederhana');
INSERT INTO `lang_definitions` VALUES (73786, 9617, 14, 'Demografis Sederhana');
INSERT INTO `lang_definitions` VALUES (73787, 9618, 14, 'Resep Sederhana');
INSERT INTO `lang_definitions` VALUES (73788, 9619, 14, 'Sejak');
INSERT INTO `lang_definitions` VALUES (73789, 9620, 14, 'Sungguh-sungguh,');
INSERT INTO `lang_definitions` VALUES (73790, 9622, 14, 'Tunggal');
INSERT INTO `lang_definitions` VALUES (73791, 9624, 14, 'Daftar pemilihan-tunggal');
INSERT INTO `lang_definitions` VALUES (73792, 9625, 14, 'Daftar pemilihan-tunggal dengan kemampuan untuk menambah ke daftar');
INSERT INTO `lang_definitions` VALUES (73793, 9629, 14, 'Masalah Sinus');
INSERT INTO `lang_definitions` VALUES (73794, 9630, 14, 'Bedah Sinus');
INSERT INTO `lang_definitions` VALUES (73795, 9631, 14, 'KELEMBUTAN SINUS');
INSERT INTO `lang_definitions` VALUES (73796, 9632, 14, 'Sinusitis');
INSERT INTO `lang_definitions` VALUES (73797, 9634, 14, 'Situs');
INSERT INTO `lang_definitions` VALUES (73798, 9637, 14, 'ID Situs');
INSERT INTO `lang_definitions` VALUES (73799, 9639, 14, 'ID Situs untuk Dukungan OpenEMR Lab Exchange Service (Layanan Pertukaran Lab).');
INSERT INTO `lang_definitions` VALUES (73800, 9643, 14, 'Ukuran');
INSERT INTO `lang_definitions` VALUES (73801, 9644, 14, 'ukuran');
INSERT INTO `lang_definitions` VALUES (73802, 9646, 14, 'Ukuran harus berupa angka antara 1 dan 999');
INSERT INTO `lang_definitions` VALUES (73803, 9648, 14, 'Ukuran/Daftar');
INSERT INTO `lang_definitions` VALUES (73804, 9650, 14, 'Kulit');
INSERT INTO `lang_definitions` VALUES (73805, 9651, 14, 'Kanker Kulit');
INSERT INTO `lang_definitions` VALUES (73806, 9652, 14, 'Penyakit Kulit');
INSERT INTO `lang_definitions` VALUES (73807, 9653, 14, 'Kulit Lainnya');
INSERT INTO `lang_definitions` VALUES (73808, 9654, 14, 'Lewat Otorisasi Catatan Pasien');
INSERT INTO `lang_definitions` VALUES (73809, 9659, 14, 'Melewatkan bagian');
INSERT INTO `lang_definitions` VALUES (73810, 9660, 14, 'Melewatkan SQL-Ledger dump - tidak diimplementasikan untuk Windows server');
INSERT INTO `lang_definitions` VALUES (73811, 9663, 14, 'Tidur');
INSERT INTO `lang_definitions` VALUES (73812, 9664, 14, 'Pola tidur');
INSERT INTO `lang_definitions` VALUES (73813, 9665, 14, 'Pola Tidur');
INSERT INTO `lang_definitions` VALUES (73814, 9666, 14, 'Tidur');
INSERT INTO `lang_definitions` VALUES (73815, 9668, 14, 'Slovakia');
INSERT INTO `lang_definitions` VALUES (73816, 9670, 14, 'Sm hutang w/o');
INSERT INTO `lang_definitions` VALUES (73817, 9675, 14, 'Smarty Cache telah dikosongkan');
INSERT INTO `lang_definitions` VALUES (73818, 9676, 14, 'Perokok, status sekarang tidak diketahui');
INSERT INTO `lang_definitions` VALUES (73819, 9678, 14, 'Status Merokok');
INSERT INTO `lang_definitions` VALUES (73820, 9679, 14, 'SMS');
INSERT INTO `lang_definitions` VALUES (73821, 9680, 14, 'SMS Otentikasi');
INSERT INTO `lang_definitions` VALUES (73822, 9682, 14, 'SMS Terkonfirmasi');
INSERT INTO `lang_definitions` VALUES (73823, 9683, 14, 'SMS Gateway');
INSERT INTO `lang_definitions` VALUES (73824, 9684, 14, 'Kunci API SMS Gateway');
INSERT INTO `lang_definitions` VALUES (73825, 9685, 14, 'Kunci API SMS Gateway');
INSERT INTO `lang_definitions` VALUES (73826, 9686, 14, 'Pasword SMS Gateway');
INSERT INTO `lang_definitions` VALUES (73827, 9687, 14, 'Nama Pengguna SMS Gateway');
INSERT INTO `lang_definitions` VALUES (73828, 9688, 14, 'Pesan SMS');
INSERT INTO `lang_definitions` VALUES (73829, 9689, 14, 'SMS Notifikasi/Pemberitahuan');
INSERT INTO `lang_definitions` VALUES (73830, 9690, 14, 'Waktu Notifikasi/Pemberitahuan SMS');
INSERT INTO `lang_definitions` VALUES (73831, 9692, 14, 'SMS OK');
INSERT INTO `lang_definitions` VALUES (73832, 9693, 14, 'Mengirim SMS sebelum');
INSERT INTO `lang_definitions` VALUES (73833, 9694, 14, 'SMS terkirim');
INSERT INTO `lang_definitions` VALUES (73834, 9697, 14, 'Teks SMS, Tag yang Dapat Digunakan: ***NAMA***, ***PROVIDER***, ***TANGGAL***, ***WAKTUMULAI***, ***WAKTUAKHIR***<br> yakni Yang terhormat ***NAMA***');
INSERT INTO `lang_definitions` VALUES (73835, 9701, 14, 'Pengaturan Tanda/Sinyal SMS/Email');
INSERT INTO `lang_definitions` VALUES (73836, 9703, 14, 'Pasword SMTP untuk Otentikasi');
INSERT INTO `lang_definitions` VALUES (73837, 9706, 14, 'Nama Host Server SMTP');
INSERT INTO `lang_definitions` VALUES (73838, 9707, 14, 'Nomor Port Server SMTP');
INSERT INTO `lang_definitions` VALUES (73839, 9708, 14, 'Pengguna SMTP untuk Otentikasi');
INSERT INTO `lang_definitions` VALUES (73840, 9709, 14, 'SNOMED');
INSERT INTO `lang_definitions` VALUES (73841, 9717, 14, 'Database SNOMED');
INSERT INTO `lang_definitions` VALUES (73842, 9721, 14, 'Dengkur');
INSERT INTO `lang_definitions` VALUES (73843, 9722, 14, 'SOAP');
INSERT INTO `lang_definitions` VALUES (73844, 9725, 14, 'Sosial');
INSERT INTO `lang_definitions` VALUES (73845, 9726, 14, 'Kesulitan Sosial');
INSERT INTO `lang_definitions` VALUES (73846, 9727, 14, 'Riwayat Sosial');
INSERT INTO `lang_definitions` VALUES (73847, 9728, 14, 'Elemen Riwayat Sosial');
INSERT INTO `lang_definitions` VALUES (73848, 9729, 14, 'Riwayat Sosial:');
INSERT INTO `lang_definitions` VALUES (73849, 9730, 14, 'Nomor Keamanan Sosial');
INSERT INTO `lang_definitions` VALUES (73850, 9732, 14, 'solusi');
INSERT INTO `lang_definitions` VALUES (73851, 9734, 14, 'Konteks Somatic');
INSERT INTO `lang_definitions` VALUES (73852, 9735, 14, 'Beberapa otorisasi tidak ditampilkan. Klik disini untuk melihat semua');
INSERT INTO `lang_definitions` VALUES (73853, 9736, 14, 'Beberapa kode tidak ditampilkan.');
INSERT INTO `lang_definitions` VALUES (73854, 9737, 14, 'Beberapa encounter(pertemuan) tidak ditampilkan. Klik di sini untuk melihat semua.');
INSERT INTO `lang_definitions` VALUES (73855, 9738, 14, 'Beberapa kesalahan telah terjadi selama Proses De Identifikasi');
INSERT INTO `lang_definitions` VALUES (73856, 9740, 14, 'Beberapa catatan tidak ditampilkan.');
INSERT INTO `lang_definitions` VALUES (73857, 9743, 14, 'beberapa kata');
INSERT INTO `lang_definitions` VALUES (73858, 9747, 14, 'Sesuatu yang salah terjadi. Silahkan coba lagi.');
INSERT INTO `lang_definitions` VALUES (73859, 9748, 14, 'Interval Batas Segera (Pengingat Klinis)');
INSERT INTO `lang_definitions` VALUES (73860, 9749, 14, 'Interval Batas Segera (Pengingat Pasien)');
INSERT INTO `lang_definitions` VALUES (73861, 9750, 14, 'Sakit Tenggorokan');
INSERT INTO `lang_definitions` VALUES (73862, 9753, 14, 'Maaf! Tidak Berhak.');
INSERT INTO `lang_definitions` VALUES (73863, 9754, 14, 'Maaf, ada masalah mengupload file anda');
INSERT INTO `lang_definitions` VALUES (73864, 9758, 14, 'Urut berdasarkan');
INSERT INTO `lang_definitions` VALUES (73865, 9759, 14, 'Urut Berdasarkan');
INSERT INTO `lang_definitions` VALUES (73866, 9760, 14, 'Urut berdasarkan Kategori');
INSERT INTO `lang_definitions` VALUES (73867, 9761, 14, 'Urut berdasarkan Checksum');
INSERT INTO `lang_definitions` VALUES (73868, 9762, 14, 'Urut berdasarkan Komentar');
INSERT INTO `lang_definitions` VALUES (73869, 9763, 14, 'Urut berdasarkan Pengguna Crt');
INSERT INTO `lang_definitions` VALUES (73870, 9764, 14, 'Urut berdasarkan tanggal');
INSERT INTO `lang_definitions` VALUES (73871, 9765, 14, 'Urut berdasarkan tanggal/waktu');
INSERT INTO `lang_definitions` VALUES (73872, 9766, 14, 'Urut berdasarkan Event');
INSERT INTO `lang_definitions` VALUES (73873, 9767, 14, 'Urut berdasarkan Grup');
INSERT INTO `lang_definitions` VALUES (73874, 9770, 14, 'Urut berdasarkan ID Pasien');
INSERT INTO `lang_definitions` VALUES (73875, 9772, 14, 'Urut berdasarkan Sukses');
INSERT INTO `lang_definitions` VALUES (73876, 9774, 14, 'Urut berdasarkan Pengguna');
INSERT INTO `lang_definitions` VALUES (73877, 9775, 14, 'Urut berdasarkan vaksin');
INSERT INTO `lang_definitions` VALUES (73878, 9776, 14, 'Urut Kebawah');
INSERT INTO `lang_definitions` VALUES (73879, 9777, 14, 'Urut Hasil berdasarkan');
INSERT INTO `lang_definitions` VALUES (73880, 9778, 14, 'Urut Keatas');
INSERT INTO `lang_definitions` VALUES (73881, 9779, 14, 'Sumber');
INSERT INTO `lang_definitions` VALUES (73882, 9781, 14, 'Berkas Sumber');
INSERT INTO `lang_definitions` VALUES (73883, 9782, 14, 'Path File Sumber');
INSERT INTO `lang_definitions` VALUES (73884, 9783, 14, 'Sumber tersebut tidak ada untuk kode');
INSERT INTO `lang_definitions` VALUES (73885, 9784, 14, 'Lot Sumber');
INSERT INTO `lang_definitions` VALUES (73886, 9785, 14, 'Sumber dari Dokumen');
INSERT INTO `lang_definitions` VALUES (73887, 9789, 14, 'Sumber:');
INSERT INTO `lang_definitions` VALUES (73888, 9792, 14, 'Spasi');
INSERT INTO `lang_definitions` VALUES (73889, 9793, 14, 'SPASI');
INSERT INTO `lang_definitions` VALUES (73890, 9795, 14, 'Spanyol');
INSERT INTO `lang_definitions` VALUES (73891, 9796, 14, 'Sapnyol (Amerika Latin)');
INSERT INTO `lang_definitions` VALUES (73892, 9797, 14, 'Spanyol (Spanyol)');
INSERT INTO `lang_definitions` VALUES (73893, 9801, 14, 'Spesialis');
INSERT INTO `lang_definitions` VALUES (73894, 9802, 14, 'Nama dan tanda tangan spesialis');
INSERT INTO `lang_definitions` VALUES (73895, 9804, 14, 'Khusus');
INSERT INTO `lang_definitions` VALUES (73896, 9805, 14, 'Sistem Khusus');
INSERT INTO `lang_definitions` VALUES (73897, 9806, 14, 'Khusus(Keahlian/Bidang):');
INSERT INTO `lang_definitions` VALUES (73898, 9807, 14, 'Spesifik');
INSERT INTO `lang_definitions` VALUES (73899, 9808, 14, 'Aplikasi Spesifik');
INSERT INTO `lang_definitions` VALUES (73900, 9809, 14, 'Layanan Kontrasepsi Spesifik');
INSERT INTO `lang_definitions` VALUES (73901, 9810, 14, 'Hasil Spesifik');
INSERT INTO `lang_definitions` VALUES (73902, 9811, 14, 'Layanan Spesifik');
INSERT INTO `lang_definitions` VALUES (73903, 9812, 14, 'Ditentukan');
INSERT INTO `lang_definitions` VALUES (73904, 9813, 14, 'Tentukan pengaturan untuk kode. # = digit, * = karakter apapun. Kosongkan jika tidak digunakan.');
INSERT INTO `lang_definitions` VALUES (73905, 9814, 14, 'Tentukan pengaturan untuk kode. # = digit, @ = alfa, * = karakter apapun. Kosongkan jika tidak digunakan.');
INSERT INTO `lang_definitions` VALUES (73906, 9815, 14, 'Tentukan pengaturan untuk nomor referensi faktur/tagihan. # = digit, * = karakter apapun. Kosongkan jika tidak digunakan.');
INSERT INTO `lang_definitions` VALUES (73907, 9816, 14, 'Tentukan pengaturan untuk nomor referensi faktur/tagihan. # = digit, @ = alfa, * = karakter apapun. Kosongkan jika tidak digunakan.');
INSERT INTO `lang_definitions` VALUES (73908, 9817, 14, 'Tentukan pengaturan untuk field(bagian) produk NDC. # = digit, * = karakter apapun. Kosongkan jika tidak digunakan.');
INSERT INTO `lang_definitions` VALUES (73909, 9818, 14, 'Tentukan pengaturan untuk field(bagian) produk NDC. # = digit, @ = alfa, * = karakter apapun. Kosongkan jika tidak digunakan.');
INSERT INTO `lang_definitions` VALUES (73910, 9819, 14, 'Tentukan pengaturan untuk ID pasien eksternal. # = digit, * = karakter apapun. Kosongkan jika tidak digunakan.');
INSERT INTO `lang_definitions` VALUES (73911, 9820, 14, 'Tentukan pengaturan untuk ID pasien eksternal. # = digit, @ = alfa, * = karakter apapun. Kosongkan jika tidak digunakan.');
INSERT INTO `lang_definitions` VALUES (73912, 9823, 14, 'Contoh/Sampel');
INSERT INTO `lang_definitions` VALUES (73913, 9824, 14, 'Nomor/Identifier Contoh');
INSERT INTO `lang_definitions` VALUES (73914, 9825, 14, 'Jenis Contoh');
INSERT INTO `lang_definitions` VALUES (73915, 9827, 14, 'Ucapan/Bahasa Dikte');
INSERT INTO `lang_definitions` VALUES (73916, 9828, 14, 'Spermisida');
INSERT INTO `lang_definitions` VALUES (73917, 9831, 14, 'Splenektomi');
INSERT INTO `lang_definitions` VALUES (73918, 9832, 14, 'Pasangan');
INSERT INTO `lang_definitions` VALUES (73919, 9834, 14, 'Dahak');
INSERT INTO `lang_definitions` VALUES (73920, 9835, 14, 'Dahak:');
INSERT INTO `lang_definitions` VALUES (73921, 9836, 14, 'SQ');
INSERT INTO `lang_definitions` VALUES (73922, 9839, 14, 'Regu');
INSERT INTO `lang_definitions` VALUES (73923, 9840, 14, 'Keanggotaan Regu');
INSERT INTO `lang_definitions` VALUES (73924, 9841, 14, 'Regu');
INSERT INTO `lang_definitions` VALUES (73925, 9843, 14, 'SRH');
INSERT INTO `lang_definitions` VALUES (73926, 9844, 14, 'SRH - Keluarga Berencana');
INSERT INTO `lang_definitions` VALUES (73927, 9845, 14, 'SRH Non Keluarga Berencana');
INSERT INTO `lang_definitions` VALUES (73928, 9846, 14, 'SRH Rujukan');
INSERT INTO `lang_definitions` VALUES (73929, 9847, 14, 'SRH Formulir Kunjungan');
INSERT INTO `lang_definitions` VALUES (73930, 9848, 14, 'Tanggal Srv');
INSERT INTO `lang_definitions` VALUES (73931, 9849, 14, 'SS');
INSERT INTO `lang_definitions` VALUES (73932, 9850, 14, 'Administrasi Sertifikat SSL');
INSERT INTO `lang_definitions` VALUES (73933, 9851, 14, 'SSN');
INSERT INTO `lang_definitions` VALUES (73934, 9852, 14, 'Stabilitas');
INSERT INTO `lang_definitions` VALUES (73935, 9855, 14, 'Standar');
INSERT INTO `lang_definitions` VALUES (73936, 9857, 14, 'Kode Standar');
INSERT INTO `lang_definitions` VALUES (73937, 9860, 14, 'Ukuran Standar');
INSERT INTO `lang_definitions` VALUES (73938, 9864, 14, 'Nama Standar');
INSERT INTO `lang_definitions` VALUES (73939, 9866, 14, 'Mulai');
INSERT INTO `lang_definitions` VALUES (73940, 9867, 14, 'Mulai (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (73941, 9874, 14, 'Tanggal Mulai');
INSERT INTO `lang_definitions` VALUES (73942, 9876, 14, 'Tanggal Mulai pada Klinik Ini');
INSERT INTO `lang_definitions` VALUES (73943, 9877, 14, 'Tanggal Mulai tidak boleh lebih besar dari Tanggal Akhir');
INSERT INTO `lang_definitions` VALUES (73944, 9878, 14, 'Tanggal mulai:');
INSERT INTO `lang_definitions` VALUES (73945, 9879, 14, 'Tanggal Mulai:');
INSERT INTO `lang_definitions` VALUES (73946, 9881, 14, 'Waktu Mulai');
INSERT INTO `lang_definitions` VALUES (73947, 9884, 14, 'Tanggal Mulai');
INSERT INTO `lang_definitions` VALUES (73948, 9888, 14, 'status');
INSERT INTO `lang_definitions` VALUES (73949, 9889, 14, 'Negara(Bagian)');
INSERT INTO `lang_definitions` VALUES (73950, 9890, 14, 'Jenis Data Negara');
INSERT INTO `lang_definitions` VALUES (73951, 9891, 14, 'Lisensi Negara #');
INSERT INTO `lang_definitions` VALUES (73952, 9892, 14, 'Nomor Lisensi Negara');
INSERT INTO `lang_definitions` VALUES (73953, 9893, 14, 'Daftar negara');
INSERT INTO `lang_definitions` VALUES (73954, 9894, 14, 'Daftar Negara (tulis, hanya tambah opsional)');
INSERT INTO `lang_definitions` VALUES (73955, 9896, 14, 'Field(Bagian) Custom Widget Daftar Negara');
INSERT INTO `lang_definitions` VALUES (73956, 9897, 14, 'Negara Atau Propinsi');
INSERT INTO `lang_definitions` VALUES (73957, 9898, 14, 'Negara/Daerah');
INSERT INTO `lang_definitions` VALUES (73958, 9899, 14, 'Negara/Paroki');
INSERT INTO `lang_definitions` VALUES (73959, 9903, 14, 'RANGKUMAN PERNYATAAN');
INSERT INTO `lang_definitions` VALUES (73960, 9904, 14, 'pernyataan dan updatean faktur/tagihan.');
INSERT INTO `lang_definitions` VALUES (73961, 9906, 14, 'Pernyataan Dikirim:');
INSERT INTO `lang_definitions` VALUES (73962, 9907, 14, 'pernyataan; faktur/tagihan tidak akan diupdate');
INSERT INTO `lang_definitions` VALUES (73963, 9908, 14, 'Teks Statis');
INSERT INTO `lang_definitions` VALUES (73964, 9909, 14, 'Statistik');
INSERT INTO `lang_definitions` VALUES (73965, 9910, 14, 'Status');
INSERT INTO `lang_definitions` VALUES (73966, 9911, 14, 'Status');
INSERT INTO `lang_definitions` VALUES (73967, 9916, 14, 'Status quo');
INSERT INTO `lang_definitions` VALUES (73968, 9918, 14, 'Konseling STD/AIDS');
INSERT INTO `lang_definitions` VALUES (73969, 9919, 14, 'Stength dan Pengkondisian');
INSERT INTO `lang_definitions` VALUES (73970, 9932, 14, 'Kaku Sendi');
INSERT INTO `lang_definitions` VALUES (73971, 9933, 14, 'Kekakuan');
INSERT INTO `lang_definitions` VALUES (73972, 9935, 14, 'Persediaan Bulanan');
INSERT INTO `lang_definitions` VALUES (73973, 9936, 14, 'Sakit Perut');
INSERT INTO `lang_definitions` VALUES (73974, 9942, 14, 'Hash Tersimpan');
INSERT INTO `lang_definitions` VALUES (73975, 9944, 14, 'Ketegangan otot');
INSERT INTO `lang_definitions` VALUES (73976, 9946, 14, 'Aliran');
INSERT INTO `lang_definitions` VALUES (73977, 9947, 14, 'Jalan');
INSERT INTO `lang_definitions` VALUES (73978, 9948, 14, 'Alaman Jalan');
INSERT INTO `lang_definitions` VALUES (73979, 9949, 14, 'Jalan dan Nomor');
INSERT INTO `lang_definitions` VALUES (73980, 9950, 14, 'Kekuatan');
INSERT INTO `lang_definitions` VALUES (73981, 9952, 14, 'Radang Tenggorokan');
INSERT INTO `lang_definitions` VALUES (73982, 9953, 14, 'Tekanan patah tulang');
INSERT INTO `lang_definitions` VALUES (73983, 9954, 14, 'Pemeriksaan Tekanan');
INSERT INTO `lang_definitions` VALUES (73984, 9956, 14, 'Serangan Otak');
INSERT INTO `lang_definitions` VALUES (73985, 9958, 14, 'Pasword yang kuat berarti minimal 8 karakter, dan setidaknya tiga dari: angka, huruf kecil, huruf besar, karakter khusus.');
INSERT INTO `lang_definitions` VALUES (73986, 9961, 14, 'Gaya formulir yang digunakan untuk menambah pasien baru');
INSERT INTO `lang_definitions` VALUES (73987, 9965, 14, 'Sub-kategori');
INSERT INTO `lang_definitions` VALUES (73988, 9966, 14, 'Sub-Total');
INSERT INTO `lang_definitions` VALUES (73989, 9967, 14, 'Subkategori');
INSERT INTO `lang_definitions` VALUES (73990, 9968, 14, 'subkategori');
INSERT INTO `lang_definitions` VALUES (73991, 9969, 14, 'subkutan');
INSERT INTO `lang_definitions` VALUES (73992, 9970, 14, 'Subyek');
INSERT INTO `lang_definitions` VALUES (73993, 9971, 14, 'Subyektif');
INSERT INTO `lang_definitions` VALUES (73994, 9972, 14, 'Sublingual');
INSERT INTO `lang_definitions` VALUES (73995, 9973, 14, 'sublingual');
INSERT INTO `lang_definitions` VALUES (73996, 9974, 14, 'Menyerahkan');
INSERT INTO `lang_definitions` VALUES (73997, 9975, 14, 'menyerahkan');
INSERT INTO `lang_definitions` VALUES (73998, 9976, 14, 'Serahkan Semua Konten');
INSERT INTO `lang_definitions` VALUES (73999, 9979, 14, 'Serahkan Event');
INSERT INTO `lang_definitions` VALUES (74000, 9980, 14, 'serahkan formulir');
INSERT INTO `lang_definitions` VALUES (74001, 9982, 14, 'Serahkan Konten yang Dipilih');
INSERT INTO `lang_definitions` VALUES (74002, 9984, 14, 'diserahkan');
INSERT INTO `lang_definitions` VALUES (74003, 9985, 14, 'Diserahkan oleh');
INSERT INTO `lang_definitions` VALUES (74004, 9986, 14, 'Nomor Akses EDI Pengirim (PER06)');
INSERT INTO `lang_definitions` VALUES (74005, 9987, 14, 'Pelanggan');
INSERT INTO `lang_definitions` VALUES (74006, 9988, 14, 'Alamat Langganan');
INSERT INTO `lang_definitions` VALUES (74007, 9992, 14, 'Perusahaan/Majikan Pelanggan');
INSERT INTO `lang_definitions` VALUES (74008, 9993, 14, 'Perusahaan/Majikan Pelanggan(SE)');
INSERT INTO `lang_definitions` VALUES (74009, 9994, 14, 'Alamat Perusahaan/Majikan Pelanggan');
INSERT INTO `lang_definitions` VALUES (74010, 9995, 14, 'Kota Pelanggan Perusahaan/Majikan');
INSERT INTO `lang_definitions` VALUES (74011, 9996, 14, 'Negara Pelanggan Perusahaan/Majikan');
INSERT INTO `lang_definitions` VALUES (74012, 9997, 14, 'Negara Pelanggan Perusahaan/Majikan');
INSERT INTO `lang_definitions` VALUES (74013, 10000, 14, 'Kode Pos Pelanggan Perusahaan/Majikan');
INSERT INTO `lang_definitions` VALUES (74014, 10005, 14, 'Telepon Pelanggan');
INSERT INTO `lang_definitions` VALUES (74015, 10006, 14, 'Hubungan Pelanggan');
INSERT INTO `lang_definitions` VALUES (74016, 10007, 14, 'Hubungan pelanggan bukanlah diri tapi namanya sama! Apakah ini benar-benar OK?');
INSERT INTO `lang_definitions` VALUES (74017, 10008, 14, 'Hubungan pelanggan bukanlah diri tapi nomor SS sama! Apakah ini benar-benar OK?');
INSERT INTO `lang_definitions` VALUES (74018, 10009, 14, 'Hubungan pelanggan bukanlah diri tapi namanya berbeda! Apakah ini benar-benar OK?');
INSERT INTO `lang_definitions` VALUES (74019, 10010, 14, 'Hubungan pelanggan bukanlah diri tapi nomor SS berbeda! Apakah ini benar-benar OK?');
INSERT INTO `lang_definitions` VALUES (74020, 10011, 14, 'Seks(Jenis Kelamin) Pelanggan');
INSERT INTO `lang_definitions` VALUES (74021, 10020, 14, 'Penggantian');
INSERT INTO `lang_definitions` VALUES (74022, 10021, 14, 'penggantian diizinkan');
INSERT INTO `lang_definitions` VALUES (74023, 10024, 14, 'Sukses');
INSERT INTO `lang_definitions` VALUES (74024, 10025, 14, 'sukses');
INSERT INTO `lang_definitions` VALUES (74025, 10026, 14, 'Berhasil mengkonfirmasikan penerimaan hasil laboratorium');
INSERT INTO `lang_definitions` VALUES (74026, 10027, 14, 'Berhasil mendapatkan hasil laboratorium');
INSERT INTO `lang_definitions` VALUES (74027, 10028, 14, 'Berhasil mengambil hasil dari Lab Exchange Network');
INSERT INTO `lang_definitions` VALUES (74028, 10030, 14, 'Berhasil ditambahkan kategori');
INSERT INTO `lang_definitions` VALUES (74029, 10031, 14, 'berhasil ditambahkan kategori,');
INSERT INTO `lang_definitions` VALUES (74030, 10033, 14, 'Berhasil Dihapus');
INSERT INTO `lang_definitions` VALUES (74031, 10035, 14, 'Berhasil menginstal database');
INSERT INTO `lang_definitions` VALUES (74032, 10037, 14, 'Berhasil Diubah');
INSERT INTO `lang_definitions` VALUES (74033, 10039, 14, 'Berhasil Disimpan. Apakah anda ingin alokasikan?');
INSERT INTO `lang_definitions` VALUES (74034, 10040, 14, 'Berhasil Disimpan. Apakah anda ingin bagikan?');
INSERT INTO `lang_definitions` VALUES (74035, 10042, 14, 'berhasil disimpan.');
INSERT INTO `lang_definitions` VALUES (74036, 10044, 14, 'Berhasil mengupgrade database.');
INSERT INTO `lang_definitions` VALUES (74037, 10046, 14, 'berhasil.');
INSERT INTO `lang_definitions` VALUES (74038, 10049, 14, 'Bunuh Diri');
INSERT INTO `lang_definitions` VALUES (74039, 10051, 14, 'Rangkuman');
INSERT INTO `lang_definitions` VALUES (74040, 10052, 14, 'Rangkuman dari');
INSERT INTO `lang_definitions` VALUES (74041, 10058, 14, 'Minggu');
INSERT INTO `lang_definitions` VALUES (74042, 10060, 14, 'Minggu');
INSERT INTO `lang_definitions` VALUES (74043, 10061, 14, 'Superbill');
INSERT INTO `lang_definitions` VALUES (74044, 10062, 14, 'Kode Superbill');
INSERT INTO `lang_definitions` VALUES (74045, 10063, 14, 'Administrasi Kode Superbill');
INSERT INTO `lang_definitions` VALUES (74046, 10065, 14, 'Laporan Superbill');
INSERT INTO `lang_definitions` VALUES (74047, 10066, 14, 'Superbill/Lembar Biaya');
INSERT INTO `lang_definitions` VALUES (74048, 10067, 14, 'Superbill');
INSERT INTO `lang_definitions` VALUES (74049, 10068, 14, 'Superbill, kadang-kadang disebut sebagai Encounter Forms atau Routing Slips, adalah bagian penting sebagian besat praktek-praktek medis.');
INSERT INTO `lang_definitions` VALUES (74050, 10069, 14, 'Superuser');
INSERT INTO `lang_definitions` VALUES (74051, 10071, 14, 'Pengawasan');
INSERT INTO `lang_definitions` VALUES (74052, 10073, 14, 'Dokter Pengawasan DEA');
INSERT INTO `lang_definitions` VALUES (74053, 10074, 14, 'Nama awal Dokter Pengawasan');
INSERT INTO `lang_definitions` VALUES (74054, 10075, 14, 'Nama akhir Dokter Pengawasan');
INSERT INTO `lang_definitions` VALUES (74055, 10076, 14, 'Dokter Pengawasan NPI');
INSERT INTO `lang_definitions` VALUES (74056, 10077, 14, 'Dokter Pengawasan UPIN');
INSERT INTO `lang_definitions` VALUES (74057, 10081, 14, 'Nama fasilitas pemasok');
INSERT INTO `lang_definitions` VALUES (74058, 10082, 14, 'Dukungan kalender event yang berlaku untuk beberapa provider');
INSERT INTO `lang_definitions` VALUES (74059, 10083, 14, 'Dukungan ekspor/impor dari konfigurasi data melalui halaman Backup.');
INSERT INTO `lang_definitions` VALUES (74060, 10084, 14, 'Dukungan Multi-Provider Event');
INSERT INTO `lang_definitions` VALUES (74061, 10088, 14, 'Dukungan enkripsi/dekripsi TripleDES saja.');
INSERT INTO `lang_definitions` VALUES (74062, 10090, 14, 'Jenis Permukaan/Latar');
INSERT INTO `lang_definitions` VALUES (74063, 10092, 14, 'Operasi');
INSERT INTO `lang_definitions` VALUES (74064, 10093, 14, 'Operasi');
INSERT INTO `lang_definitions` VALUES (74065, 10095, 14, 'Ditunda');
INSERT INTO `lang_definitions` VALUES (74066, 10096, 14, 'penangguhan');
INSERT INTO `lang_definitions` VALUES (74067, 10098, 14, 'Tanggal Svc');
INSERT INTO `lang_definitions` VALUES (74068, 10099, 14, 'Tanggal Svc:');
INSERT INTO `lang_definitions` VALUES (74069, 10102, 14, 'Berkeringat:');
INSERT INTO `lang_definitions` VALUES (74070, 10103, 14, 'Swedia');
INSERT INTO `lang_definitions` VALUES (74071, 10104, 14, 'Pembengkakan');
INSERT INTO `lang_definitions` VALUES (74072, 10105, 14, 'Pembengkakan Tepat');
INSERT INTO `lang_definitions` VALUES (74073, 10106, 14, 'Pembengkakan Sendi');
INSERT INTO `lang_definitions` VALUES (74074, 10107, 14, 'Pembengkakan Kelenjar Getah Bening');
INSERT INTO `lang_definitions` VALUES (74075, 10108, 14, 'Simbol digunakan sebagai titik desimal untuk mata uang. Tidak digunakan jika Tempat Desimal adalah 0.');
INSERT INTO `lang_definitions` VALUES (74076, 10109, 14, 'Simbol digunakan untuk memisahkan bilangan ribuan untuk mata uang.');
INSERT INTO `lang_definitions` VALUES (74077, 10110, 14, 'Gejala');
INSERT INTO `lang_definitions` VALUES (74078, 10111, 14, 'Sinkronisasi');
INSERT INTO `lang_definitions` VALUES (74079, 10112, 14, 'Sinkronisasi terjemahan dengan tabel bahasa custom.');
INSERT INTO `lang_definitions` VALUES (74080, 10113, 14, 'Sinkronisasi konstan custom baru:');
INSERT INTO `lang_definitions` VALUES (74081, 10114, 14, 'Sinkronisasi bahasa custom baru:');
INSERT INTO `lang_definitions` VALUES (74082, 10115, 14, 'Sinkronisasi definisi baru (Bahasa, Konstan, Definisi):');
INSERT INTO `lang_definitions` VALUES (74083, 10116, 14, 'Sinkop');
INSERT INTO `lang_definitions` VALUES (74084, 10117, 14, 'Pengawasan Sindromik');
INSERT INTO `lang_definitions` VALUES (74085, 10118, 14, 'Pengawasan Sindromik - Non Masalah yang Dilaporkan');
INSERT INTO `lang_definitions` VALUES (74086, 10120, 14, 'Sinovitis, Tubrukan, Radang kandung lendir');
INSERT INTO `lang_definitions` VALUES (74087, 10121, 14, 'Sistem');
INSERT INTO `lang_definitions` VALUES (74088, 10128, 14, 'T');
INSERT INTO `lang_definitions` VALUES (74089, 10130, 14, 't.i.d.');
INSERT INTO `lang_definitions` VALUES (74090, 10131, 14, 'T.V.');
INSERT INTO `lang_definitions` VALUES (74091, 10133, 14, 'Tabel');
INSERT INTO `lang_definitions` VALUES (74092, 10137, 14, 'Pembuatan tabel gagal');
INSERT INTO `lang_definitions` VALUES (74093, 10138, 14, 'Update tabel gagal');
INSERT INTO `lang_definitions` VALUES (74094, 10140, 14, 'tablet');
INSERT INTO `lang_definitions` VALUES (74095, 10146, 14, 'Tagalog');
INSERT INTO `lang_definitions` VALUES (74096, 10149, 14, 'Ambil');
INSERT INTO `lang_definitions` VALUES (74097, 10151, 14, 'Ambil Asuransi, dari Drop Down');
INSERT INTO `lang_definitions` VALUES (74098, 10152, 14, 'Ambil Pembayaran Dari, dari Drop Down');
INSERT INTO `lang_definitions` VALUES (74099, 10153, 14, 'Takeback');
INSERT INTO `lang_definitions` VALUES (74100, 10154, 14, 'Memakan waktu lama');
INSERT INTO `lang_definitions` VALUES (74101, 10157, 14, 'Area Navigasi Tinggi');
INSERT INTO `lang_definitions` VALUES (74102, 10164, 14, 'Tanggal Target');
INSERT INTO `lang_definitions` VALUES (74103, 10168, 14, 'Target/Tindakan Grup');
INSERT INTO `lang_definitions` VALUES (74104, 10173, 14, 'ID Pajak');
INSERT INTO `lang_definitions` VALUES (74105, 10174, 14, 'Persentase Pajak');
INSERT INTO `lang_definitions` VALUES (74106, 10175, 14, 'Pajak');
INSERT INTO `lang_definitions` VALUES (74107, 10176, 14, 'Taksonomi');
INSERT INTO `lang_definitions` VALUES (74108, 10181, 14, 'Td');
INSERT INTO `lang_definitions` VALUES (74109, 10182, 14, 'Tinjauan Cedera Tim');
INSERT INTO `lang_definitions` VALUES (74110, 10183, 14, 'Daftar(Pemain) Tim');
INSERT INTO `lang_definitions` VALUES (74111, 10184, 14, 'Lihat Daftar(Pemain) Tim');
INSERT INTO `lang_definitions` VALUES (74112, 10185, 14, 'Tim/Regu');
INSERT INTO `lang_definitions` VALUES (74113, 10187, 14, 'Telepon');
INSERT INTO `lang_definitions` VALUES (74114, 10189, 14, 'Kode Telepon Negara');
INSERT INTO `lang_definitions` VALUES (74115, 10190, 14, 'Beritahu saya lebih');
INSERT INTO `lang_definitions` VALUES (74116, 10192, 14, 'Suhu');
INSERT INTO `lang_definitions` VALUES (74117, 10193, 14, 'Lokasi Suhu');
INSERT INTO `lang_definitions` VALUES (74118, 10194, 14, 'Metode Ukur Suhu');
INSERT INTO `lang_definitions` VALUES (74119, 10196, 14, 'Suhu');
INSERT INTO `lang_definitions` VALUES (74120, 10197, 14, 'Template');
INSERT INTO `lang_definitions` VALUES (74121, 10198, 14, 'Nama Template');
INSERT INTO `lang_definitions` VALUES (74122, 10199, 14, 'Nama template tidak bisa dimulai dengan angka.');
INSERT INTO `lang_definitions` VALUES (74123, 10201, 14, 'Template:');
INSERT INTO `lang_definitions` VALUES (74124, 10202, 14, 'Template');
INSERT INTO `lang_definitions` VALUES (74125, 10205, 14, 'Arteri Sementara');
INSERT INTO `lang_definitions` VALUES (74126, 10208, 14, 'Cedera tendon(urat daging)');
INSERT INTO `lang_definitions` VALUES (74127, 10209, 14, 'Tendonitis / osis / radang kandung lendir');
INSERT INTO `lang_definitions` VALUES (74128, 10211, 14, 'Nomor Referensi Faktur Sementara');
INSERT INTO `lang_definitions` VALUES (74129, 10213, 14, 'Tersier');
INSERT INTO `lang_definitions` VALUES (74130, 10214, 14, 'Asuransi Tersier');
INSERT INTO `lang_definitions` VALUES (74131, 10215, 14, 'Data Asuransi Tersier');
INSERT INTO `lang_definitions` VALUES (74132, 10216, 14, 'Provider Asuransi Tersier');
INSERT INTO `lang_definitions` VALUES (74133, 10219, 14, 'Tes Penjadwalan');
INSERT INTO `lang_definitions` VALUES (74134, 10220, 14, 'Tes Sistem');
INSERT INTO `lang_definitions` VALUES (74135, 10223, 14, 'Teks');
INSERT INTO `lang_definitions` VALUES (74136, 10224, 14, 'Teks Diagnosa');
INSERT INTO `lang_definitions` VALUES (74137, 10225, 14, 'Field(Bagian) teks');
INSERT INTO `lang_definitions` VALUES (74138, 10233, 14, 'Tanggal-teks');
INSERT INTO `lang_definitions` VALUES (74139, 10234, 14, 'tanggal-teks');
INSERT INTO `lang_definitions` VALUES (74140, 10235, 14, 'Areateks');
INSERT INTO `lang_definitions` VALUES (74141, 10236, 14, 'areateks');
INSERT INTO `lang_definitions` VALUES (74142, 10237, 14, 'Textbox');
INSERT INTO `lang_definitions` VALUES (74143, 10238, 14, 'textbox');
INSERT INTO `lang_definitions` VALUES (74144, 10239, 14, 'Daftar textbox');
INSERT INTO `lang_definitions` VALUES (74145, 10240, 14, 'textbox daftar');
INSERT INTO `lang_definitions` VALUES (74146, 10241, 14, 'Thai');
INSERT INTO `lang_definitions` VALUES (74147, 10242, 14, 'Terima Kasih');
INSERT INTO `lang_definitions` VALUES (74148, 10245, 14, 'Terima kasih telah memilih');
INSERT INTO `lang_definitions` VALUES (74149, 10247, 14, 'Tombol \'Bersih\' akan menghapus semua pernyataan.');
INSERT INTO `lang_definitions` VALUES (74150, 10254, 14, 'Pernyataan diatas gagal');
INSERT INTO `lang_definitions` VALUES (74151, 10264, 14, 'Sertifikat server SSL Apache dan kunci publik');
INSERT INTO `lang_definitions` VALUES (74152, 10281, 14, 'Sertifikat Otoritas Sertifikat');
INSERT INTO `lang_definitions` VALUES (74153, 10284, 14, 'File klaim:');
INSERT INTO `lang_definitions` VALUES (74154, 10296, 14, 'Kunci privat yang sesuai');
INSERT INTO `lang_definitions` VALUES (74155, 10322, 14, 'Kunci Penolakan adalah');
INSERT INTO `lang_definitions` VALUES (74156, 10323, 14, 'Kunci Grup Penolakan adalah');
INSERT INTO `lang_definitions` VALUES (74157, 10328, 14, 'Tujuan formulir ditutup');
INSERT INTO `lang_definitions` VALUES (74158, 10330, 14, 'Tujuan formulir ditutup, saya tidak bisa bertindak atas pilihan Anda.');
INSERT INTO `lang_definitions` VALUES (74159, 10346, 14, 'EP, rumah sakit yang memenuhi syarat atau CAH yang menerima pasien dari pengaturan lain atau provider perawatan atau percaya encounter(pertemuan) adalah relevan harus melakukan rekonsiliasi pengobatan.');
INSERT INTO `lang_definitions` VALUES (74160, 10349, 14, 'EP, rumah sakit yang memenuhi syarat atau CAH yang mentransisi pasien mereka ke pengaturan lain dari perawatan atau provider perawatan atau merujuk pasien mereka ke provider perawatan lainnya harus menyediakan rangkuman dari record(catatan) perawatan untuk setiap transisi perawatan atau rujukan.');
INSERT INTO `lang_definitions` VALUES (74161, 10350, 14, 'Event telah disetujui.');
INSERT INTO `lang_definitions` VALUES (74162, 10351, 14, 'Event telah tersembunyi.');
INSERT INTO `lang_definitions` VALUES (74163, 10352, 14, 'Data yang diekspor muncul di area teks dibawah ini. Anda dapat salin dan sisipkan ini ke email atau tujuan lain yang diinginkan.');
INSERT INTO `lang_definitions` VALUES (74164, 10354, 14, 'Data yang diekspor muncul di area teks dibawah ini. Anda dapat salin dan sisipkan ini ke email atau tujuan lain yang diinginkan.');
INSERT INTO `lang_definitions` VALUES (74165, 10355, 14, 'Data yang diekspor muncul di area teks dibawah ini. Anda dapat salin dan sisipkan ini ke email atau tujuan lain yang diinginkan.');
INSERT INTO `lang_definitions` VALUES (74166, 10359, 14, 'File tidak berhasil diganti nama, kesalahan ini biasanya berkaitan dengan masalah hak akses pada sistem penyimpanan.');
INSERT INTO `lang_definitions` VALUES (74167, 10380, 14, 'Event kalender berikut telah ditambahkan:');
INSERT INTO `lang_definitions` VALUES (74168, 10381, 14, 'Event kalender berikut telah dimodifikasi:');
INSERT INTO `lang_definitions` VALUES (74169, 10382, 14, 'Kategori-kategori berikut akan dihapus dari daftar Kategori anda');
INSERT INTO `lang_definitions` VALUES (74170, 10383, 14, 'Rilis database berikut saat ini diinstal');
INSERT INTO `lang_definitions` VALUES (74171, 10386, 14, 'File EDI berikut telah diupload');
INSERT INTO `lang_definitions` VALUES (74172, 10388, 14, 'Login Pengguna Berikut telah diaktifkan:');
INSERT INTO `lang_definitions` VALUES (74173, 10389, 14, 'Kesalahan berikut terjadi');
INSERT INTO `lang_definitions` VALUES (74174, 10392, 14, 'Field(Bagian) berikut dibutuhkan');
INSERT INTO `lang_definitions` VALUES (74175, 10394, 14, 'Field-field berikut harus diisi untuk mengirim permintaan.');
INSERT INTO `lang_definitions` VALUES (74176, 10406, 14, 'Nama host dari mesin repositori audit ATNA.');
INSERT INTO `lang_definitions` VALUES (74177, 10418, 14, 'Jendela awal adalah halaman pencarian faktur. Di bagian atas anda dapat memasukkan sumber (misalnya nomor cek), tanggal bayar dan cek jumlah. Alasan untuk sumber dan tanggal bayar adalah agar anda tidak perlu memasukkannya lagi dan lagi untuk setiap klaim. Jumlah yang anda masukkan akan menurun setiap faktur yang merupakan bagian yang diberikan dari pembayaran, dan mudah-mudahan akan berakhir pada nol ketika anda selesai.');
INSERT INTO `lang_definitions` VALUES (74178, 10431, 14, 'Label yang muncul untuk pengguna pada formulir');
INSERT INTO `lang_definitions` VALUES (74179, 10438, 14, 'Panjang tidak boleh melebihi jumlah karakter berikut');
INSERT INTO `lang_definitions` VALUES (74180, 10458, 14, 'Kategori baru akan menjadi sub-kategori dari');
INSERT INTO `lang_definitions` VALUES (74181, 10460, 14, 'Kata sandi yang baru tidak bisa sama dengan kata sandi saat ini.');
INSERT INTO `lang_definitions` VALUES (74182, 10461, 14, 'Field kata sandi yang baru tidak sama.');
INSERT INTO `lang_definitions` VALUES (74183, 10479, 14, 'Halaman akan diarahkan ke Demografi. Anda dapat mengedit field negara dan mengklik ke NewCrop lagi.');
INSERT INTO `lang_definitions` VALUES (74184, 10482, 14, 'Pasword harus minimal 8 karakter, dan harus');
INSERT INTO `lang_definitions` VALUES (74185, 10485, 14, 'Pasien telah terdaftar pada grup');
INSERT INTO `lang_definitions` VALUES (74186, 10486, 14, 'Permintaan rekam pasien telah direkam.');
INSERT INTO `lang_definitions` VALUES (74187, 10487, 14, 'Pengingat pasien telah dikirim');
INSERT INTO `lang_definitions` VALUES (74188, 10488, 14, 'Pengingat pasien telah diupdate');
INSERT INTO `lang_definitions` VALUES (74189, 10491, 14, 'Hak-hak Pasien');
INSERT INTO `lang_definitions` VALUES (74190, 10493, 14, 'Posting pembayaran tidak bisa menuju dibawah tanggal ini. Ini memastikan bahwa setelah mengambil laporan akhir tidak ada lagi yang mempos untuk tanggal sebelumnya.');
INSERT INTO `lang_definitions` VALUES (74191, 10509, 14, 'Informasi yang tersisa di bawah ini hanya berlaku jika anda posting secara manual, atau jika anda melakukan koreksi manual.');
INSERT INTO `lang_definitions` VALUES (74192, 10513, 14, 'Dokumen yang diminta tidak ada pada lokasi yang diharapkan pada filesystem atau tidak ada cukup izin untuk mengaksesnya.');
INSERT INTO `lang_definitions` VALUES (74193, 10537, 14, 'Sumber dan kolom Tanggal disalin dari halaman pertama, jadi secara normal anda tidak akan perlu untuk menyentuh mereka. Anda dapat menempatkan jumlah pembayaran pada kolom Bayar, jumlah penyesuaian pada kolom Penyesuaian, atau keduanya. Anda juga dapat mengklik \"W\" di sebelah kanan untuk secara otomatis menghitung nilai penyesuaian yang menulis sisa biaya untuk baris item tersebut');
INSERT INTO `lang_definitions` VALUES (74194, 10557, 14, 'Granularity waktu kalender dan interval terkecil dalam menit untuk slot janji temu.');
INSERT INTO `lang_definitions` VALUES (74195, 10562, 14, 'Label yang diterjemahkan yang akan muncul pada form dalam bahasa saat ini');
INSERT INTO `lang_definitions` VALUES (74196, 10563, 14, 'Judul yang diterjemahkan yang akan muncul dalam bahasa saat ini');
INSERT INTO `lang_definitions` VALUES (74197, 10564, 14, 'Terjemahan dari deskripsi dalam bahasa saat ini');
INSERT INTO `lang_definitions` VALUES (74198, 10565, 14, 'Tabel terjemahan disinkronisasi.');
INSERT INTO `lang_definitions` VALUES (74199, 10566, 14, 'Jenis entitas ini');
INSERT INTO `lang_definitions` VALUES (74200, 10586, 14, 'Kode vendor-khusus mengidentifikasi proses atau hasil ini');
INSERT INTO `lang_definitions` VALUES (74201, 10591, 14, 'File X12 serta laporan output yang dihasilkan HTML diarsipkan dalam subdirektori \"era\" dari direktori instalasi utama OpenEMR. Anda akan ingin melihat arsip ini dari waktu ke waktu. URL tersebut adalah');
INSERT INTO `lang_definitions` VALUES (74202, 10593, 14, 'File zip akan berisi item berikut');
INSERT INTO `lang_definitions` VALUES (74203, 10594, 14, 'Tema');
INSERT INTO `lang_definitions` VALUES (74204, 10601, 14, 'Terapi Suntikan');
INSERT INTO `lang_definitions` VALUES (74205, 10607, 14, 'Ada');
INSERT INTO `lang_definitions` VALUES (74206, 10610, 14, 'Saat ini tidak ada resep');
INSERT INTO `lang_definitions` VALUES (74207, 10611, 14, 'Ada beberapa kesalahan dengan penyerahan. Hal ini dijelaskan di bawah ini.');
INSERT INTO `lang_definitions` VALUES (74208, 10616, 14, 'Tidak ada grafik diperiksa.');
INSERT INTO `lang_definitions` VALUES (74209, 10618, 14, 'Tidak ada pengungkapan direkam untuk pasien ini.');
INSERT INTO `lang_definitions` VALUES (74210, 10621, 14, 'Tidak ada Kiriman Baru');
INSERT INTO `lang_definitions` VALUES (74211, 10622, 14, 'Tidak ada catatan pada file untuk pasien ini.');
INSERT INTO `lang_definitions` VALUES (74212, 10624, 14, 'Tidak ada transaksi pada file untuk pasien ini.');
INSERT INTO `lang_definitions` VALUES (74213, 10639, 14, 'Telah ada kesalahan mengirim surat ke');
INSERT INTO `lang_definitions` VALUES (74214, 10642, 14, 'Sudah ada kategori bernama');
INSERT INTO `lang_definitions` VALUES (74215, 10643, 14, 'Sudah ada subkategori bernama');
INSERT INTO `lang_definitions` VALUES (74216, 10644, 14, 'Sudah ada item bernama');
INSERT INTO `lang_definitions` VALUES (74217, 10645, 14, 'Sudah ada permintaan record(catatan) pasien terbuka.');
INSERT INTO `lang_definitions` VALUES (74218, 10646, 14, 'Tidak ada entri COA untuk akun AR');
INSERT INTO `lang_definitions` VALUES (74219, 10647, 14, 'Tidak ada entri COA untuk rekening kas');
INSERT INTO `lang_definitions` VALUES (74220, 10648, 14, 'Tidak ada entri COA untuk akun pendapatan');
INSERT INTO `lang_definitions` VALUES (74221, 10649, 14, 'Tidak ada pasien saat ini');
INSERT INTO `lang_definitions` VALUES (74222, 10651, 14, 'Tidak ada kecocokan untuk id faktur');
INSERT INTO `lang_definitions` VALUES (74223, 10652, 14, 'Tidak ada kecocokan untuk id faktur =');
INSERT INTO `lang_definitions` VALUES (74224, 10653, 14, 'Tidak ada entri bagian untuk layanan ID');
INSERT INTO `lang_definitions` VALUES (74225, 10656, 14, 'Ada kesalahan saat memproses permintaan Anda.');
INSERT INTO `lang_definitions` VALUES (74226, 10682, 14, 'Menebal Kanan:');
INSERT INTO `lang_definitions` VALUES (74227, 10683, 14, 'Paha');
INSERT INTO `lang_definitions` VALUES (74228, 10684, 14, 'Paha + hamstring(urat lutut)');
INSERT INTO `lang_definitions` VALUES (74229, 10686, 14, 'Hal-hal yang back office dapat baca dan masuki namun tidak mengubah');
INSERT INTO `lang_definitions` VALUES (74230, 10687, 14, 'Hal-hal yang back office dapat baca dan ubah');
INSERT INTO `lang_definitions` VALUES (74231, 10690, 14, 'Hal-hal yang dokter dapat baca dan masuki namun tidak mengubah');
INSERT INTO `lang_definitions` VALUES (74232, 10691, 14, 'Hal-hal yang dokter dapat baca dan ubah');
INSERT INTO `lang_definitions` VALUES (74233, 10694, 14, 'Hal-hal yang front office dapat baca dan masuki namun tidak mengubah');
INSERT INTO `lang_definitions` VALUES (74234, 10695, 14, 'Hal-hal yang front office dapat baca dan ubah');
INSERT INTO `lang_definitions` VALUES (74235, 10698, 14, 'Hal-hal yang dokter dapat baca dan ubah');
INSERT INTO `lang_definitions` VALUES (74236, 10699, 14, 'Hal-hal yang dokter dapat baca dan masuki namun tidak mengubah');
INSERT INTO `lang_definitions` VALUES (74237, 10701, 14, 'Ketiga');
INSERT INTO `lang_definitions` VALUES (74238, 10704, 14, 'Tindakan ini TIDAK DAPAT dibatalkan.');
INSERT INTO `lang_definitions` VALUES (74239, 10705, 14, 'Tindakan ini tidak dapat dibatalkan.');
INSERT INTO `lang_definitions` VALUES (74240, 10707, 14, 'Tindakan ini akan dicatat,');
INSERT INTO `lang_definitions` VALUES (74241, 10714, 14, 'Kalender Tahun Ini');
INSERT INTO `lang_definitions` VALUES (74242, 10717, 14, 'Klaim ini telah ditolak. Alasan:-');
INSERT INTO `lang_definitions` VALUES (74243, 10718, 14, 'Klaim ini telah diteruskan ke tingkat berikutnya.');
INSERT INTO `lang_definitions` VALUES (74244, 10725, 14, 'Jenis kode ini tidak menerima hubungan.');
INSERT INTO `lang_definitions` VALUES (74245, 10727, 14, 'Konteks ini berisi kategori, yang akan dihapus. Apakah anda masih ingin melanjutkan?');
INSERT INTO `lang_definitions` VALUES (74246, 10730, 14, 'Ini menentukan bagaimana janji temu ditampilkan pada kalender.');
INSERT INTO `lang_definitions` VALUES (74247, 10731, 14, 'Ini menentukan bagaimana skema warna yang digunakan untuk janji temu');
INSERT INTO `lang_definitions` VALUES (74248, 10734, 14, 'Encounter(Pertemuan) Ini');
INSERT INTO `lang_definitions` VALUES (74249, 10742, 14, 'Fitur ini sangat eksperimental dan tidak sepenuhnya diuji. Gunakan dengan resiko anda sendiri!');
INSERT INTO `lang_definitions` VALUES (74250, 10753, 14, 'Nomor faktur ini telah diubah menjadi');
INSERT INTO `lang_definitions` VALUES (74251, 10789, 14, 'Modul ini dalam mode tes. Database tidak akan diubah.');
INSERT INTO `lang_definitions` VALUES (74252, 10792, 14, 'Modul ini mempromosikan entri yang efisien dari data EOB.');
INSERT INTO `lang_definitions` VALUES (74253, 10793, 14, 'Bulan Ini untuk Tanggal');
INSERT INTO `lang_definitions` VALUES (74254, 10801, 14, 'Halaman ini akan menyertakan inline temasuk halaman login, sehingga kita tidak perlu klik login kembali setiap waktu.');
INSERT INTO `lang_definitions` VALUES (74255, 10804, 14, 'Pasien ini tidak memiliki kegiatan.');
INSERT INTO `lang_definitions` VALUES (74256, 10805, 14, 'ID pasien ini sudah digunakan!');
INSERT INTO `lang_definitions` VALUES (74257, 10807, 14, 'Produk ini memungkinkan hanya satu lot per gudang.');
INSERT INTO `lang_definitions` VALUES (74258, 10821, 14, 'Langkah ini akan menghasilkanm file yang anda harus simpan untuk penggunaan masa depan. File ini tidak dapat dihasilkan kembali. Apakah anda ingin meneruskan?');
INSERT INTO `lang_definitions` VALUES (74259, 10822, 14, 'Pengguna ini bukan anggota dari grup manapun');
INSERT INTO `lang_definitions` VALUES (74260, 10826, 14, 'Kunjungan ini memulai menggunakan kontrasepsi baru');
INSERT INTO `lang_definitions` VALUES (74261, 10827, 14, 'Kunjungan ini akan membutuhkan form GCAC, rujukan atau layanan prosedur.');
INSERT INTO `lang_definitions` VALUES (74262, 10828, 14, 'Ini merupakan form Vital hanya-metrik yang lama, sekarang ditinggalkan.');
INSERT INTO `lang_definitions` VALUES (74263, 10829, 14, 'Minggu Ini untuk Tanggal');
INSERT INTO `lang_definitions` VALUES (74264, 10831, 14, 'Ini akan mengaktifkan pelaporan CCR(Continuity of Care Record) dan CCD(Continuity of Care Document).');
INSERT INTO `lang_definitions` VALUES (74265, 10834, 14, 'Ini akan memungkinkan pemilihan debugging bahasa (\'dummy\').');
INSERT INTO `lang_definitions` VALUES (74266, 10843, 14, 'Ini akan membuat backup dalam format tar dan kemudian mengirimkannya ke browser web anda sehingga anda dapat menyimpannya');
INSERT INTO `lang_definitions` VALUES (74267, 10844, 14, 'Ini akan menonaktifkan pendokumentasian fitur enkripsi dan dekripsi, dan menyembunyikannya pada UI.');
INSERT INTO `lang_definitions` VALUES (74268, 10854, 14, 'Hal ini akan memaksa Widget Tagihan dalam layar Rangkuman Pasien untuk selalu terbuka.');
INSERT INTO `lang_definitions` VALUES (74269, 10860, 14, 'Ini tidak akan mencegah anda ke situs e-Resep.');
INSERT INTO `lang_definitions` VALUES (74270, 10867, 14, 'Ini akan menggunakan daftar imunisasi custom daripada daftar imunisasi CVX standar.');
INSERT INTO `lang_definitions` VALUES (74271, 10871, 14, 'Dada tulang belakang');
INSERT INTO `lang_definitions` VALUES (74272, 10873, 14, 'Thous/CU.MM');
INSERT INTO `lang_definitions` VALUES (74273, 10878, 14, 'Tenggorokan');
INSERT INTO `lang_definitions` VALUES (74274, 10879, 14, 'Kanker Tenggorokan');
INSERT INTO `lang_definitions` VALUES (74275, 10880, 14, 'Bedah Kanker Tenggorokan');
INSERT INTO `lang_definitions` VALUES (74276, 10881, 14, 'Trombosa/Struk(Serangan Otak)');
INSERT INTO `lang_definitions` VALUES (74277, 10882, 14, 'Kam');
INSERT INTO `lang_definitions` VALUES (74278, 10884, 14, 'Kamis');
INSERT INTO `lang_definitions` VALUES (74279, 10885, 14, 'Kamis');
INSERT INTO `lang_definitions` VALUES (74280, 10887, 14, 'Tiroid norlam');
INSERT INTO `lang_definitions` VALUES (74281, 10888, 14, 'Masalah Tiroid');
INSERT INTO `lang_definitions` VALUES (74282, 10890, 14, 'TIA');
INSERT INTO `lang_definitions` VALUES (74283, 10892, 14, 'TID');
INSERT INTO `lang_definitions` VALUES (74284, 10902, 14, 'Waktu');
INSERT INTO `lang_definitions` VALUES (74285, 10903, 14, 'Format Tampilan Waktu');
INSERT INTO `lang_definitions` VALUES (74286, 10904, 14, 'Selisih Waktu untuk Tambah (menit 1-60)');
INSERT INTO `lang_definitions` VALUES (74287, 10905, 14, 'Pemilihan waktu');
INSERT INTO `lang_definitions` VALUES (74288, 10913, 14, 'Jangka waktu event');
INSERT INTO `lang_definitions` VALUES (74289, 10914, 14, 'Kali array (N/A)');
INSERT INTO `lang_definitions` VALUES (74290, 10915, 14, 'Timestamp dan Teks');
INSERT INTO `lang_definitions` VALUES (74291, 10917, 14, 'TIN');
INSERT INTO `lang_definitions` VALUES (74292, 10918, 14, 'Tinnitus');
INSERT INTO `lang_definitions` VALUES (74293, 10920, 14, 'Judul');
INSERT INTO `lang_definitions` VALUES (74294, 10923, 14, 'Judul V');
INSERT INTO `lang_definitions` VALUES (74295, 10924, 14, 'KolomJudul harus berupa angka antara 1 dan 999');
INSERT INTO `lang_definitions` VALUES (74296, 10925, 14, 'Judul');
INSERT INTO `lang_definitions` VALUES (74297, 10926, 14, 'TM\'S:');
INSERT INTO `lang_definitions` VALUES (74298, 10927, 14, 'TMs/EAMs/EE, ext nose');
INSERT INTO `lang_definitions` VALUES (74299, 10928, 14, 'Ke');
INSERT INTO `lang_definitions` VALUES (74300, 10929, 14, 'ke');
INSERT INTO `lang_definitions` VALUES (74301, 10930, 14, 'KE');
INSERT INTO `lang_definitions` VALUES (74302, 10931, 14, 'ke path absolut dari file');
INSERT INTO `lang_definitions` VALUES (74303, 10936, 14, 'Untuk menambah catatan, silahkan klik');
INSERT INTO `lang_definitions` VALUES (74304, 10937, 14, 'Untuk menambah catatan, silahkan klik disini');
INSERT INTO `lang_definitions` VALUES (74305, 10938, 14, 'Untuk Area yang Terkena');
INSERT INTO `lang_definitions` VALUES (74306, 10939, 14, 'untuk area yang terkena');
INSERT INTO `lang_definitions` VALUES (74307, 10942, 14, 'Untuk secara otomatis membuka form tertentu. Beberapa tim olahraga menggunakan football_injury_audit disini.');
INSERT INTO `lang_definitions` VALUES (74308, 10944, 14, 'Ke Tampilan Tagihan');
INSERT INTO `lang_definitions` VALUES (74309, 10945, 14, 'ke kategori');
INSERT INTO `lang_definitions` VALUES (74310, 10947, 14, 'ke Tampilan Klinis');
INSERT INTO `lang_definitions` VALUES (74311, 10949, 14, 'ke copay');
INSERT INTO `lang_definitions` VALUES (74312, 10953, 14, 'Ke ded\'ble');
INSERT INTO `lang_definitions` VALUES (74313, 10956, 14, 'Ke Dems');
INSERT INTO `lang_definitions` VALUES (74314, 10958, 14, 'Untuk Nonaktifkan sertifikat SSL sisi klien, komentar diatas baris dalam file konfigurasi Apache dan set');
INSERT INTO `lang_definitions` VALUES (74315, 10960, 14, 'Untuk Nonaktifkan HTTPS, komentar diatas baris dalam file konfigurasi Apache dan restart server Apache.');
INSERT INTO `lang_definitions` VALUES (74316, 10965, 14, 'Untuk mengaktifkan sertifikat ssl sisi Klien');
INSERT INTO `lang_definitions` VALUES (74317, 10966, 14, 'Untuk Aktifkan otentikasi sertifikat SSL sisi Klien, HTTPS harus diaktifkan.');
INSERT INTO `lang_definitions` VALUES (74318, 10970, 14, 'Untuk Aktifkan hanya HTTPS, lakukan perubahan diatas dan restart server Apache. Jika anda ingin mengkonfigurasikan sertifikat sisi klien juga, silahkan konfigurasikan pada bagian berikutnya.');
INSERT INTO `lang_definitions` VALUES (74319, 10972, 14, 'Ke Enctr(Pertemuan)');
INSERT INTO `lang_definitions` VALUES (74320, 10973, 14, 'Untuk menyaring berdasarkan jenis kelamin');
INSERT INTO `lang_definitions` VALUES (74321, 10980, 14, 'Ke Riwayat');
INSERT INTO `lang_definitions` VALUES (74322, 10982, 14, 'Ke Isu(Masalah)');
INSERT INTO `lang_definitions` VALUES (74323, 10984, 14, 'Untuk menghubungkan encounter(pertemuan)/konsultasi ini ke isu(masalah) yang ada, klik');
INSERT INTO `lang_definitions` VALUES (74324, 10985, 14, 'Untuk menghubungkan encounter(pertemuan)/konsultasi ini ke isu(masalah) yang ada, klik isu(masalah) yang diinginkan diatas untuk menyorotnya, lalu klik [Simpan].Tahan tombol [Ctrl] untuk memilih beberapa isu(masalah).');
INSERT INTO `lang_definitions` VALUES (74325, 10987, 14, 'untuk login kembali');
INSERT INTO `lang_definitions` VALUES (74326, 10992, 14, 'Untuk merekam pengungkapan, silahkan klik');
INSERT INTO `lang_definitions` VALUES (74327, 10997, 14, 'untuk menjalankan');
INSERT INTO `lang_definitions` VALUES (74328, 11001, 14, 'Untuk mengatur akses https dengan otentikasi sertifikat klien, lakukan hal berikut');
INSERT INTO `lang_definitions` VALUES (74329, 11002, 14, 'Untuk Kulit');
INSERT INTO `lang_definitions` VALUES (74330, 11003, 14, 'untuk kulit');
INSERT INTO `lang_definitions` VALUES (74331, 11005, 14, 'untuk kunjungan ini?');
INSERT INTO `lang_definitions` VALUES (74332, 11010, 14, 'Kepada:');
INSERT INTO `lang_definitions` VALUES (74333, 11011, 14, 'Kepada:');
INSERT INTO `lang_definitions` VALUES (74334, 11012, 14, 'KE_KOTA');
INSERT INTO `lang_definitions` VALUES (74335, 11013, 14, 'KE_FAKS');
INSERT INTO `lang_definitions` VALUES (74336, 11014, 14, 'KE_NAMAAWL');
INSERT INTO `lang_definitions` VALUES (74337, 11015, 14, 'KE_NAMAAKHR');
INSERT INTO `lang_definitions` VALUES (74338, 11016, 14, 'KE_NAMATGH');
INSERT INTO `lang_definitions` VALUES (74339, 11017, 14, 'KE_ORGANISASI');
INSERT INTO `lang_definitions` VALUES (74340, 11020, 14, 'KE_POS');
INSERT INTO `lang_definitions` VALUES (74341, 11021, 14, 'KE_NEGARA');
INSERT INTO `lang_definitions` VALUES (74342, 11022, 14, 'KE_JALAN');
INSERT INTO `lang_definitions` VALUES (74343, 11023, 14, 'KE_JUDUL');
INSERT INTO `lang_definitions` VALUES (74344, 11024, 14, 'KE_PDTPRPISAHAN');
INSERT INTO `lang_definitions` VALUES (74345, 11025, 14, 'Tembakau');
INSERT INTO `lang_definitions` VALUES (74346, 11026, 14, 'Intervensi Penghentian Tembakau');
INSERT INTO `lang_definitions` VALUES (74347, 11027, 14, 'Intervensi Penghentian Tembakau (CQM)');
INSERT INTO `lang_definitions` VALUES (74348, 11028, 14, 'Penggunaan tembakau');
INSERT INTO `lang_definitions` VALUES (74349, 11030, 14, 'Penilaian Penggunaan Tembakau');
INSERT INTO `lang_definitions` VALUES (74350, 11031, 14, 'Penilaian Penggunaan Tembakau (CQM)');
INSERT INTO `lang_definitions` VALUES (74351, 11032, 14, 'Hari ini');
INSERT INTO `lang_definitions` VALUES (74352, 11033, 14, 'HARI INI');
INSERT INTO `lang_definitions` VALUES (74353, 11034, 14, 'hari ini');
INSERT INTO `lang_definitions` VALUES (74354, 11035, 14, 'Saldo Hari Ini');
INSERT INTO `lang_definitions` VALUES (74355, 11036, 14, 'Biaya Hari Ini');
INSERT INTO `lang_definitions` VALUES (74356, 11037, 14, 'Tanggal Hari Ini');
INSERT INTO `lang_definitions` VALUES (74357, 11038, 14, 'Event Hari Ini');
INSERT INTO `lang_definitions` VALUES (74358, 11045, 14, 'ID Token untuk dukungan OpenEMR LLC Lab Exchange Service');
INSERT INTO `lang_definitions` VALUES (74359, 11047, 14, 'Operasi Amandel');
INSERT INTO `lang_definitions` VALUES (74360, 11050, 14, 'Atas');
INSERT INTO `lang_definitions` VALUES (74361, 11052, 14, 'Batas Atas (mm)');
INSERT INTO `lang_definitions` VALUES (74362, 11053, 14, 'Topik');
INSERT INTO `lang_definitions` VALUES (74363, 11054, 14, 'Total');
INSERT INTO `lang_definitions` VALUES (74364, 11055, 14, 'total');
INSERT INTO `lang_definitions` VALUES (74365, 11056, 14, 'Jumlah tindakan aktif');
INSERT INTO `lang_definitions` VALUES (74366, 11057, 14, 'Jumlah pengingat aktif setelah update');
INSERT INTO `lang_definitions` VALUES (74367, 11058, 14, 'Jumlah pengingat aktif sebelum update');
INSERT INTO `lang_definitions` VALUES (74368, 11060, 14, 'Total batas jumlah');
INSERT INTO `lang_definitions` VALUES (74369, 11061, 14, 'Total Jumlah Dibayar');
INSERT INTO `lang_definitions` VALUES (74370, 11064, 14, 'Biaya Total');
INSERT INTO `lang_definitions` VALUES (74371, 11065, 14, 'Total Klien');
INSERT INTO `lang_definitions` VALUES (74372, 11067, 14, 'Total Harga');
INSERT INTO `lang_definitions` VALUES (74373, 11068, 14, 'Distribusi Total untuk nomor cek berikut tidak penuh');
INSERT INTO `lang_definitions` VALUES (74374, 11070, 14, 'Jumlah pengingat gagal dikirim melalui email');
INSERT INTO `lang_definitions` VALUES (74375, 11071, 14, 'Jumlah pengingat gagal dikirim melalui telepon');
INSERT INTO `lang_definitions` VALUES (74376, 11072, 14, 'Total untuk');
INSERT INTO `lang_definitions` VALUES (74377, 11073, 14, 'Total untuk');
INSERT INTO `lang_definitions` VALUES (74378, 11074, 14, 'Total untuk kategori');
INSERT INTO `lang_definitions` VALUES (74379, 11075, 14, 'Total pengingat tidak aktif');
INSERT INTO `lang_definitions` VALUES (74380, 11078, 14, 'Total pengingat baru');
INSERT INTO `lang_definitions` VALUES (74381, 11081, 14, 'Angka Total dari Imunisasi');
INSERT INTO `lang_definitions` VALUES (74382, 11082, 14, 'Angka Total dari Isu(Masalah)');
INSERT INTO `lang_definitions` VALUES (74383, 11084, 14, 'Angka Totatl dari Pasien');
INSERT INTO `lang_definitions` VALUES (74384, 11087, 14, 'Jumlah Saldo Pasien');
INSERT INTO `lang_definitions` VALUES (74385, 11089, 14, 'Jumlah Pasien');
INSERT INTO `lang_definitions` VALUES (74386, 11093, 14, 'Jumlah Record(Catatan) Ditemukan');
INSERT INTO `lang_definitions` VALUES (74387, 11095, 14, 'Total SRH & Keluarga Berencana');
INSERT INTO `lang_definitions` VALUES (74388, 11096, 14, 'Jumlah pengingat berhasil dikirim melalui email');
INSERT INTO `lang_definitions` VALUES (74389, 11097, 14, 'Jumlah pengingat berhasil dikirim melalui telepon');
INSERT INTO `lang_definitions` VALUES (74390, 11100, 14, 'Jumlah pengingat belum diubah');
INSERT INTO `lang_definitions` VALUES (74391, 11101, 14, 'Jumlah pengingat tidak terkirim setelah proses pengiriman');
INSERT INTO `lang_definitions` VALUES (74392, 11102, 14, 'Jumlah pengingat tidak terkirim setelah update');
INSERT INTO `lang_definitions` VALUES (74393, 11103, 14, 'Jumlah pengingat tidak terkirim sebelum proses pengiriman');
INSERT INTO `lang_definitions` VALUES (74394, 11104, 14, 'Jumlah pengingat tidak terkirim sebelum update');
INSERT INTO `lang_definitions` VALUES (74395, 11105, 14, 'Jumlah pengingat yang diupdate');
INSERT INTO `lang_definitions` VALUES (74396, 11106, 14, 'Total');
INSERT INTO `lang_definitions` VALUES (74397, 11107, 14, 'Total untuk');
INSERT INTO `lang_definitions` VALUES (74398, 11108, 14, 'Total untuk');
INSERT INTO `lang_definitions` VALUES (74399, 11135, 14, 'Jenis Pelatihan');
INSERT INTO `lang_definitions` VALUES (74400, 11136, 14, 'Transaksi');
INSERT INTO `lang_definitions` VALUES (74401, 11137, 14, 'Transaksi');
INSERT INTO `lang_definitions` VALUES (74402, 11138, 14, 'transaksi');
INSERT INTO `lang_definitions` VALUES (74403, 11139, 14, 'Transaksi gagal, jumlah yang tidak cukup pada lot tujuan');
INSERT INTO `lang_definitions` VALUES (74404, 11140, 14, 'Transaksi gagal, jumlah kurang dari nol');
INSERT INTO `lang_definitions` VALUES (74405, 11142, 14, 'Jenis Transaksi');
INSERT INTO `lang_definitions` VALUES (74406, 11143, 14, 'Transaksi');
INSERT INTO `lang_definitions` VALUES (74407, 11144, 14, 'transaksi');
INSERT INTO `lang_definitions` VALUES (74408, 11145, 14, 'Transaksi (tulis opsional)');
INSERT INTO `lang_definitions` VALUES (74409, 11151, 14, 'Transaksi/Rujukan');
INSERT INTO `lang_definitions` VALUES (74410, 11153, 14, 'Transfer');
INSERT INTO `lang_definitions` VALUES (74411, 11155, 14, 'Transfer gagal, jumlah yang tidak cukup pada lot sumber');
INSERT INTO `lang_definitions` VALUES (74412, 11160, 14, 'Transfer');
INSERT INTO `lang_definitions` VALUES (74413, 11162, 14, 'Transisi/Transfer dari Perawatan?');
INSERT INTO `lang_definitions` VALUES (74414, 11163, 14, 'Terjemahkan Grup Kontrol Akses');
INSERT INTO `lang_definitions` VALUES (74415, 11164, 14, 'Terjemahkan Kategori Janji Temu');
INSERT INTO `lang_definitions` VALUES (74416, 11165, 14, 'Terjemahkan Kategori Dokumen');
INSERT INTO `lang_definitions` VALUES (74417, 11166, 14, 'Terjemahkan Tata Letak');
INSERT INTO `lang_definitions` VALUES (74418, 11167, 14, 'Terjemahkan Daftar');
INSERT INTO `lang_definitions` VALUES (74419, 11168, 14, 'Terjemahkan Judul Catatan Pasien');
INSERT INTO `lang_definitions` VALUES (74420, 11169, 14, 'terjemahkan ini');
INSERT INTO `lang_definitions` VALUES (74421, 11170, 14, 'Terjemahan');
INSERT INTO `lang_definitions` VALUES (74422, 11171, 14, 'Terjemahan');
INSERT INTO `lang_definitions` VALUES (74423, 11179, 14, 'Trauma');
INSERT INTO `lang_definitions` VALUES (74424, 11180, 14, 'Perawatan');
INSERT INTO `lang_definitions` VALUES (74425, 11182, 14, 'Tujuan Perawatan');
INSERT INTO `lang_definitions` VALUES (74426, 11183, 14, 'Rencana Perawatan');
INSERT INTO `lang_definitions` VALUES (74427, 11186, 14, 'Perawatan:');
INSERT INTO `lang_definitions` VALUES (74428, 11187, 14, 'Perawatan:');
INSERT INTO `lang_definitions` VALUES (74429, 11189, 14, 'Trend');
INSERT INTO `lang_definitions` VALUES (74430, 11190, 14, 'trftime ($month_format, mktime (0, 0, 0, $ i, 1, 2000)) ); $month_value');
INSERT INTO `lang_definitions` VALUES (74431, 11195, 14, 'Pemicu titik / sindrom kompartemen / DOMS / kram');
INSERT INTO `lang_definitions` VALUES (74432, 11196, 14, 'Trimalleolar');
INSERT INTO `lang_definitions` VALUES (74433, 11199, 14, 'Batang dan perut');
INSERT INTO `lang_definitions` VALUES (74434, 11205, 14, 'tsp');
INSERT INTO `lang_definitions` VALUES (74435, 11207, 14, 'TTS');
INSERT INTO `lang_definitions` VALUES (74436, 11208, 14, 'Tuberkulosis');
INSERT INTO `lang_definitions` VALUES (74437, 11209, 14, 'Sel');
INSERT INTO `lang_definitions` VALUES (74438, 11210, 14, 'Sel & Kam');
INSERT INTO `lang_definitions` VALUES (74439, 11211, 14, 'Selasa');
INSERT INTO `lang_definitions` VALUES (74440, 11212, 14, 'Tumor');
INSERT INTO `lang_definitions` VALUES (74441, 11213, 14, 'Turki');
INSERT INTO `lang_definitions` VALUES (74442, 11222, 14, 'dua kali sehari');
INSERT INTO `lang_definitions` VALUES (74443, 11226, 14, 'Selaput Membran');
INSERT INTO `lang_definitions` VALUES (74444, 11227, 14, 'Tipe/Jenis');
INSERT INTO `lang_definitions` VALUES (74445, 11231, 14, 'Ketik ID atau Nama. 3 karakter minimal (termasuk spasi).');
INSERT INTO `lang_definitions` VALUES (74446, 11238, 14, 'Jenis kolom yang ditampilkan untuk hasil pencarian pasien');
INSERT INTO `lang_definitions` VALUES (74447, 11239, 14, 'Jenis Pengungkapan');
INSERT INTO `lang_definitions` VALUES (74448, 11240, 14, 'Jenis Event');
INSERT INTO `lang_definitions` VALUES (74449, 11242, 14, 'Jenis tata letak layar');
INSERT INTO `lang_definitions` VALUES (74450, 11243, 14, 'Ketik atau scan identifier pasien disini');
INSERT INTO `lang_definitions` VALUES (74451, 11248, 14, 'Ketik pesan Anda disini');
INSERT INTO `lang_definitions` VALUES (74452, 11249, 14, 'Jenis Order dan Hasil');
INSERT INTO `lang_definitions` VALUES (74453, 11270, 14, 'Kode UCSMC yang diberikan oleh University of Calgary Sports Medicine Centre');
INSERT INTO `lang_definitions` VALUES (74454, 11271, 14, 'Ukraina');
INSERT INTO `lang_definitions` VALUES (74455, 11272, 14, 'Pemborokan');
INSERT INTO `lang_definitions` VALUES (74456, 11273, 14, 'Radang Usus Besar Ulceratif');
INSERT INTO `lang_definitions` VALUES (74457, 11274, 14, 'Ulkus:');
INSERT INTO `lang_definitions` VALUES (74458, 11278, 14, 'Tidak bisa membuat');
INSERT INTO `lang_definitions` VALUES (74459, 11291, 14, 'Tidak diterapkan');
INSERT INTO `lang_definitions` VALUES (74460, 11292, 14, 'Tidak ditugaskan');
INSERT INTO `lang_definitions` VALUES (74461, 11294, 14, 'Akses yang tidak sah ke eResep');
INSERT INTO `lang_definitions` VALUES (74462, 11295, 14, 'Akses yang tidak sah.');
INSERT INTO `lang_definitions` VALUES (74463, 11297, 14, 'Hanya yang Tidak Ditagih');
INSERT INTO `lang_definitions` VALUES (74464, 11300, 14, 'di bawah lidah');
INSERT INTO `lang_definitions` VALUES (74465, 11303, 14, 'Underweight');
INSERT INTO `lang_definitions` VALUES (74466, 11304, 14, 'Tidak Didiagnosa');
INSERT INTO `lang_definitions` VALUES (74467, 11305, 14, 'Tidak Dibagikan');
INSERT INTO `lang_definitions` VALUES (74468, 11306, 14, 'TIDAK DIBAGIKAN');
INSERT INTO `lang_definitions` VALUES (74469, 11307, 14, 'Tidak Dibagikan adalah');
INSERT INTO `lang_definitions` VALUES (74470, 11309, 14, 'Batalkan Checkout');
INSERT INTO `lang_definitions` VALUES (74471, 11311, 14, 'Klien Unik');
INSERT INTO `lang_definitions` VALUES (74472, 11312, 14, 'Identifier manusia-terbaca yang unik untuk jenis ini');
INSERT INTO `lang_definitions` VALUES (74473, 11315, 14, 'Klien Baru unik');
INSERT INTO `lang_definitions` VALUES (74474, 11316, 14, 'Identifier numerik unik untuk jenis ini');
INSERT INTO `lang_definitions` VALUES (74475, 11317, 14, 'Pasien Dilihat Unik');
INSERT INTO `lang_definitions` VALUES (74476, 11318, 14, 'Laporan Pasien Terlihat Unik');
INSERT INTO `lang_definitions` VALUES (74477, 11319, 14, 'SP Unik');
INSERT INTO `lang_definitions` VALUES (74478, 11320, 14, 'Unit');
INSERT INTO `lang_definitions` VALUES (74479, 11321, 14, 'Unit');
INSERT INTO `lang_definitions` VALUES (74480, 11322, 14, 'unit');
INSERT INTO `lang_definitions` VALUES (74481, 11324, 14, 'Unit untuk Form Kunjungan');
INSERT INTO `lang_definitions` VALUES (74482, 11325, 14, 'Unit harus berupa angka');
INSERT INTO `lang_definitions` VALUES (74483, 11326, 14, 'Unit tidak didefinisikan');
INSERT INTO `lang_definitions` VALUES (74484, 11327, 14, 'Unit/L');
INSERT INTO `lang_definitions` VALUES (74485, 11328, 14, 'Tidak diketahui');
INSERT INTO `lang_definitions` VALUES (74486, 11331, 14, 'Tidak diketahui jika pernah merokok');
INSERT INTO `lang_definitions` VALUES (74487, 11332, 14, 'Tidak diketahui atau N/A');
INSERT INTO `lang_definitions` VALUES (74488, 11344, 14, 'unlink pasien');
INSERT INTO `lang_definitions` VALUES (74489, 11345, 14, 'Perusahaan asuransi tanpa nama');
INSERT INTO `lang_definitions` VALUES (74490, 11346, 14, 'Tidak Terdaftar');
INSERT INTO `lang_definitions` VALUES (74491, 11349, 14, 'Batalkan Semua');
INSERT INTO `lang_definitions` VALUES (74492, 11350, 14, 'Tidak Dipilih');
INSERT INTO `lang_definitions` VALUES (74493, 11351, 14, 'Tidak Ditentukan');
INSERT INTO `lang_definitions` VALUES (74494, 11352, 14, 'Tidak Terstruktur');
INSERT INTO `lang_definitions` VALUES (74495, 11356, 14, 'sampai');
INSERT INTO `lang_definitions` VALUES (74496, 11359, 14, 'Pengajuan sebelum waktunya');
INSERT INTO `lang_definitions` VALUES (74497, 11360, 14, 'Tidak Digunakan');
INSERT INTO `lang_definitions` VALUES (74498, 11361, 14, 'UOR');
INSERT INTO `lang_definitions` VALUES (74499, 11362, 14, 'Hingga');
INSERT INTO `lang_definitions` VALUES (74500, 11364, 14, 'Janji Temu Mendatang');
INSERT INTO `lang_definitions` VALUES (74501, 11365, 14, 'Event Mendatang');
INSERT INTO `lang_definitions` VALUES (74502, 11366, 14, 'Update');
INSERT INTO `lang_definitions` VALUES (74503, 11367, 14, 'update');
INSERT INTO `lang_definitions` VALUES (74504, 11368, 14, 'Update aktif');
INSERT INTO `lang_definitions` VALUES (74505, 11371, 14, 'Update file');
INSERT INTO `lang_definitions` VALUES (74506, 11372, 14, 'Update Info');
INSERT INTO `lang_definitions` VALUES (74507, 11374, 14, 'Update Daftar');
INSERT INTO `lang_definitions` VALUES (74508, 11377, 14, 'Update Nomor Provider');
INSERT INTO `lang_definitions` VALUES (74509, 11378, 14, 'Update Item yang Dipilih');
INSERT INTO `lang_definitions` VALUES (74510, 11383, 14, 'Update variabel berikut dalam file');
INSERT INTO `lang_definitions` VALUES (74511, 11384, 14, 'Update Informasi Pengguna');
INSERT INTO `lang_definitions` VALUES (74512, 11390, 14, 'Update demografi tidak diizinkan');
INSERT INTO `lang_definitions` VALUES (74513, 11394, 14, 'Upgrade');
INSERT INTO `lang_definitions` VALUES (74514, 11396, 14, 'Upgrade Database');
INSERT INTO `lang_definitions` VALUES (74515, 11398, 14, 'Upgrade database OpenEMR untuk memasukkan Prosedur, Fungsi, dan tabel yang diperlukan untuk proses De-identifikasi');
INSERT INTO `lang_definitions` VALUES (74516, 11399, 14, 'Pengupgradean akan berlanjut');
INSERT INTO `lang_definitions` VALUES (74517, 11400, 14, 'UPIN');
INSERT INTO `lang_definitions` VALUES (74518, 11401, 14, 'Upload');
INSERT INTO `lang_definitions` VALUES (74519, 11406, 14, 'Upload data konfigurasi');
INSERT INTO `lang_definitions` VALUES (74520, 11407, 14, 'Upload Dokumen');
INSERT INTO `lang_definitions` VALUES (74521, 11408, 14, 'Upload gagal!');
INSERT INTO `lang_definitions` VALUES (74522, 11410, 14, 'Upload Gambar ke');
INSERT INTO `lang_definitions` VALUES (74523, 11411, 14, 'Upload file impor:');
INSERT INTO `lang_definitions` VALUES (74524, 11415, 14, 'Upload Laporan');
INSERT INTO `lang_definitions` VALUES (74525, 11418, 14, 'Upload file ini:');
INSERT INTO `lang_definitions` VALUES (74526, 11421, 14, 'Setelah mengklik nomor faktur \"jendela postingan manual\" muncul. Di sini Anda dapat mengubah tanggal jatuh tempo dan catatan untuk faktur, pilih pihak untuk siapa yang Anda posting, dan pilih asuransi yang semua pembayaran yang diharapkan telah diterima. Yang paling penting, untuk setiap kode tagihan yang besarnya telah dibebankan, Anda dapat memasukkan informasi pembayaran dan penyesuaian.');
INSERT INTO `lang_definitions` VALUES (74527, 11426, 14, 'Setelah pencarian Anda disajikan dengan daftar faktur/tagihan. Anda bisa mengklik pada salah satu nomor faktur untuk membuka jendela kedua, yang merupakan halaman entri data untuk posting manual. Anda juga dapat mengklik nama pasien jika ingin memasukkan catatan bahwa staf front office akan melihat ketika pasien melakukan check in, dan Anda dapat memilih faktur untuk tampil di laporan pasien dan mencetak laporan itu.');
INSERT INTO `lang_definitions` VALUES (74528, 11429, 14, 'Lengan atas');
INSERT INTO `lang_definitions` VALUES (74529, 11432, 14, 'Urgensi');
INSERT INTO `lang_definitions` VALUES (74530, 11436, 14, 'Air Seni');
INSERT INTO `lang_definitions` VALUES (74531, 11437, 14, 'Menggiring Urin');
INSERT INTO `lang_definitions` VALUES (74532, 11438, 14, 'Frekuensi Urin');
INSERT INTO `lang_definitions` VALUES (74533, 11439, 14, 'Keraguan Urin');
INSERT INTO `lang_definitions` VALUES (74534, 11440, 14, 'Urin Microalbumin');
INSERT INTO `lang_definitions` VALUES (74535, 11441, 14, 'Aliran Urin');
INSERT INTO `lang_definitions` VALUES (74536, 11442, 14, 'Urgensi Urin');
INSERT INTO `lang_definitions` VALUES (74537, 11443, 14, 'URL');
INSERT INTO `lang_definitions` VALUES (74538, 11445, 14, 'URL untuk dukungan OpenEMR');
INSERT INTO `lang_definitions` VALUES (74539, 11447, 14, 'URL untuk Gateway Telepon. Layanan VOIP otomatis disediakan oleh Maviq. Silahkan kunjungi http://signup.maviq.com untuk informasi lebih lanjut.');
INSERT INTO `lang_definitions` VALUES (74540, 11453, 14, 'Indikator Penggunaan (ISA15)');
INSERT INTO `lang_definitions` VALUES (74541, 11456, 14, 'Gunakan % saja pada field untuk hanya mengurutkan pada kolom tersebut');
INSERT INTO `lang_definitions` VALUES (74542, 11457, 14, 'Gunakan format waktu 24 jam?');
INSERT INTO `lang_definitions` VALUES (74543, 11465, 14, 'Gunakan teknologi EHR bersertifikat untuk mengidentifikasikan sumber daya pasien-spesifik dan menyediakan sumber daya tersebut jika sesuai.');
INSERT INTO `lang_definitions` VALUES (74544, 11466, 14, 'Gunakan Panel Biaya');
INSERT INTO `lang_definitions` VALUES (74545, 11467, 14, 'Gunakan CPOE untuk order pengobatan secara langsung dimasukkan oleh setiap profesional kesehatan berlisensi yang bisa memasukkan perintah ke record(catatan) medis per pedoman negara, lokal dan profesional.');
INSERT INTO `lang_definitions` VALUES (74546, 11474, 14, 'Gunakan Daftar Imunisasi Custom');
INSERT INTO `lang_definitions` VALUES (74547, 11476, 14, 'Gunakan Rentang Tanggal');
INSERT INTO `lang_definitions` VALUES (74548, 11477, 14, 'Gunakan Default/Standar');
INSERT INTO `lang_definitions` VALUES (74549, 11478, 14, 'Gunakan Pilihan Hapus untuk Menghapus');
INSERT INTO `lang_definitions` VALUES (74550, 11479, 14, 'Gunakan gaya tanggal internasional?');
INSERT INTO `lang_definitions` VALUES (74551, 11483, 14, 'Gunakan nama file sumber');
INSERT INTO `lang_definitions` VALUES (74552, 11486, 14, 'Gunakan field dibawah ini untuk pembelian atau transfer.');
INSERT INTO `lang_definitions` VALUES (74553, 11490, 14, 'Gunakan fitur ini hanya dengan situs yang baru diinstal,');
INSERT INTO `lang_definitions` VALUES (74554, 11493, 14, 'Gunakan topik?');
INSERT INTO `lang_definitions` VALUES (74555, 11496, 14, 'Pengguna');
INSERT INTO `lang_definitions` VALUES (74556, 11498, 14, 'Pengguna / Grup');
INSERT INTO `lang_definitions` VALUES (74557, 11499, 14, 'Administrasi User');
INSERT INTO `lang_definitions` VALUES (74558, 11500, 14, 'Administrasi Fasilitas dan Pengguna');
INSERT INTO `lang_definitions` VALUES (74559, 11501, 14, 'Administrasi Grup dan Pengguna');
INSERT INTO `lang_definitions` VALUES (74560, 11503, 14, 'Otentikasi Sertifikat Pengguna dinonaktifkan');
INSERT INTO `lang_definitions` VALUES (74561, 11507, 14, 'Pengguna yang Ditetapkan');
INSERT INTO `lang_definitions` VALUES (74562, 11508, 14, 'Area Pengguna yang Ditetapkan 11');
INSERT INTO `lang_definitions` VALUES (74563, 11509, 14, 'Area Pengguna yang Ditetapkan 12');
INSERT INTO `lang_definitions` VALUES (74564, 11510, 14, 'Field Pengguna yang Ditetapkan');
INSERT INTO `lang_definitions` VALUES (74565, 11511, 14, 'Daftar Pengguna yang Ditetapkan 1');
INSERT INTO `lang_definitions` VALUES (74566, 11512, 14, 'Daftar Pengguna yang Ditetapkan 2');
INSERT INTO `lang_definitions` VALUES (74567, 11513, 14, 'Daftar Pengguna yang Ditetapkan 3');
INSERT INTO `lang_definitions` VALUES (74568, 11514, 14, 'Daftar Pengguna yang Ditetapkan 4');
INSERT INTO `lang_definitions` VALUES (74569, 11515, 14, 'Daftar Pengguna yang Ditetapkan 5');
INSERT INTO `lang_definitions` VALUES (74570, 11516, 14, 'Daftar Pengguna yang Ditetapkan 6');
INSERT INTO `lang_definitions` VALUES (74571, 11517, 14, 'Daftar Pengguna yang Ditetapkan 7');
INSERT INTO `lang_definitions` VALUES (74572, 11518, 14, 'Teks Pengguna yang Ditetapkan 1');
INSERT INTO `lang_definitions` VALUES (74573, 11519, 14, 'Teks Pengguna yang Ditetapkan 2');
INSERT INTO `lang_definitions` VALUES (74574, 11520, 14, 'Teks Pengguna yang Ditetapkan 3');
INSERT INTO `lang_definitions` VALUES (74575, 11521, 14, 'Teks Pengguna yang Ditetapkan 4');
INSERT INTO `lang_definitions` VALUES (74576, 11522, 14, 'Teks Pengguna yang Ditetapkan 5');
INSERT INTO `lang_definitions` VALUES (74577, 11523, 14, 'Teks Pengguna yang Ditetapkan 6');
INSERT INTO `lang_definitions` VALUES (74578, 11524, 14, 'Teks Pengguna yang Ditetapkan 7');
INSERT INTO `lang_definitions` VALUES (74579, 11525, 14, 'Teks Pengguna yang Ditetapkan 8');
INSERT INTO `lang_definitions` VALUES (74580, 11526, 14, 'Nama Awal Pengguna');
INSERT INTO `lang_definitions` VALUES (74581, 11532, 14, 'Manual Pengguna');
INSERT INTO `lang_definitions` VALUES (74582, 11533, 14, 'Keanggotaan Pengguna');
INSERT INTO `lang_definitions` VALUES (74583, 11534, 14, 'Nama Pengguna');
INSERT INTO `lang_definitions` VALUES (74584, 11536, 14, 'Nama Pengguna atau nama Host tidak boleh kosong');
INSERT INTO `lang_definitions` VALUES (74585, 11537, 14, 'Nama Host atau Pengguna');
INSERT INTO `lang_definitions` VALUES (74586, 11541, 14, 'Pengaturan Pengguna');
INSERT INTO `lang_definitions` VALUES (74587, 11543, 14, 'Pengaturan Pengguna Spesifik/Khusus');
INSERT INTO `lang_definitions` VALUES (74588, 11544, 14, 'Kata Sandi Baru Pengguna');
INSERT INTO `lang_definitions` VALUES (74589, 11553, 14, 'Nama pengguna');
INSERT INTO `lang_definitions` VALUES (74590, 11555, 14, 'Nama pengguna untuk Gateway Telepon. Layanan VOIP otomatis disediakan oleh Maviq. Silahkan kunjungi http://signup.maviq.com untuk informasi lebih lanjut.');
INSERT INTO `lang_definitions` VALUES (74591, 11556, 14, 'Nama pengguna untuk SMS Gateway');
INSERT INTO `lang_definitions` VALUES (74592, 11557, 14, 'Nama pengguna untuk SMS Gateway.');
INSERT INTO `lang_definitions` VALUES (74593, 11559, 14, 'Nama pengguna:');
INSERT INTO `lang_definitions` VALUES (74594, 11560, 14, 'Pengguna');
INSERT INTO `lang_definitions` VALUES (74595, 11564, 14, 'Pengguna/Grup/Log Administrasi');
INSERT INTO `lang_definitions` VALUES (74596, 11574, 14, 'gunakan format php<a href=\"http://php.net/strftime\">strftime</a>');
INSERT INTO `lang_definitions` VALUES (74597, 11583, 14, 'UTI');
INSERT INTO `lang_definitions` VALUES (74598, 11588, 14, 'LIBURAN');
INSERT INTO `lang_definitions` VALUES (74599, 11589, 14, 'Liburan');
INSERT INTO `lang_definitions` VALUES (74600, 11590, 14, 'Vaksin');
INSERT INTO `lang_definitions` VALUES (74601, 11593, 14, 'Cincin Vagina');
INSERT INTO `lang_definitions` VALUES (74602, 11594, 14, 'Pidato Perpisahan');
INSERT INTO `lang_definitions` VALUES (74603, 11596, 14, 'mengesahkan');
INSERT INTO `lang_definitions` VALUES (74604, 11609, 14, 'Nilai');
INSERT INTO `lang_definitions` VALUES (74605, 11610, 14, 'Nilai 1');
INSERT INTO `lang_definitions` VALUES (74606, 11611, 14, 'Nilai 2');
INSERT INTO `lang_definitions` VALUES (74607, 11613, 14, 'Nilai harus berupa angka');
INSERT INTO `lang_definitions` VALUES (74608, 11614, 14, 'Var1');
INSERT INTO `lang_definitions` VALUES (74609, 11615, 14, 'Var2');
INSERT INTO `lang_definitions` VALUES (74610, 11616, 14, 'variabel ke satu untuk menjalankan script upgrade de-identifikasi');
INSERT INTO `lang_definitions` VALUES (74611, 11619, 14, 'Varicella 1');
INSERT INTO `lang_definitions` VALUES (74612, 11620, 14, 'Varicella 2');
INSERT INTO `lang_definitions` VALUES (74613, 11621, 14, 'Pembuluh darah(vena) Varises');
INSERT INTO `lang_definitions` VALUES (74614, 11623, 14, 'Kondisi vaskular');
INSERT INTO `lang_definitions` VALUES (74615, 11624, 14, 'Cedera Vaskular');
INSERT INTO `lang_definitions` VALUES (74616, 11625, 14, 'Bedah Vaskular');
INSERT INTO `lang_definitions` VALUES (74617, 11630, 14, 'Vendor');
INSERT INTO `lang_definitions` VALUES (74618, 11634, 14, 'Versi');
INSERT INTO `lang_definitions` VALUES (74619, 11653, 14, 'Vertigo');
INSERT INTO `lang_definitions` VALUES (74620, 11656, 14, 'Administrasi Veteran');
INSERT INTO `lang_definitions` VALUES (74621, 11657, 14, 'Rencana Administrasi Veteran');
INSERT INTO `lang_definitions` VALUES (74622, 11659, 14, 'VFC');
INSERT INTO `lang_definitions` VALUES (74623, 11666, 14, 'Vietnam');
INSERT INTO `lang_definitions` VALUES (74624, 11667, 14, 'Lihat');
INSERT INTO `lang_definitions` VALUES (74625, 11668, 14, 'lihat');
INSERT INTO `lang_definitions` VALUES (74626, 11670, 14, 'Lihat Alergi');
INSERT INTO `lang_definitions` VALUES (74627, 11676, 14, 'Lihat Komprehensif Pasien Lapor');
INSERT INTO `lang_definitions` VALUES (74628, 11679, 14, 'Lihat dokumen');
INSERT INTO `lang_definitions` VALUES (74629, 11681, 14, 'Lihat encounter(pertemuan)');
INSERT INTO `lang_definitions` VALUES (74630, 11683, 14, 'Lihat event di jendela popup?');
INSERT INTO `lang_definitions` VALUES (74631, 11687, 14, 'Lihat Log');
INSERT INTO `lang_definitions` VALUES (74632, 11690, 14, 'Lihat Halaman 1');
INSERT INTO `lang_definitions` VALUES (74633, 11691, 14, 'Lihat Halaman 2');
INSERT INTO `lang_definitions` VALUES (74634, 11692, 14, 'Lihat Pengingat yang Lalu dan yang Akan Datang');
INSERT INTO `lang_definitions` VALUES (74635, 11695, 14, 'Lihat Pasien');
INSERT INTO `lang_definitions` VALUES (74636, 11700, 14, 'Lihat encounter(pertemuan) terkait');
INSERT INTO `lang_definitions` VALUES (74637, 11712, 14, 'Lihat/Edit Alergi');
INSERT INTO `lang_definitions` VALUES (74638, 11713, 14, 'Lihat/edit isu(masalah)');
INSERT INTO `lang_definitions` VALUES (74639, 11714, 14, 'Lihat/Print');
INSERT INTO `lang_definitions` VALUES (74640, 11717, 14, 'Lihat:');
INSERT INTO `lang_definitions` VALUES (74641, 11718, 14, 'VISA');
INSERT INTO `lang_definitions` VALUES (74642, 11719, 14, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (74643, 11721, 14, 'Kerusakan mendalam/trauma/operasi');
INSERT INTO `lang_definitions` VALUES (74644, 11728, 14, 'Kategori Kunjungan');
INSERT INTO `lang_definitions` VALUES (74645, 11729, 14, 'Tanggal Kunjungan');
INSERT INTO `lang_definitions` VALUES (74646, 11730, 14, 'Lihat tanggal');
INSERT INTO `lang_definitions` VALUES (74647, 11734, 14, 'Form Kunjungan');
INSERT INTO `lang_definitions` VALUES (74648, 11736, 14, 'Riwayat Kunjungan');
INSERT INTO `lang_definitions` VALUES (74649, 11745, 14, 'Kunjungan');
INSERT INTO `lang_definitions` VALUES (74650, 11746, 14, 'Form Kunjungan');
INSERT INTO `lang_definitions` VALUES (74651, 11751, 14, 'Tanda Vital');
INSERT INTO `lang_definitions` VALUES (74652, 11752, 14, 'Vital');
INSERT INTO `lang_definitions` VALUES (74653, 11753, 14, 'Vital (Metrik)');
INSERT INTO `lang_definitions` VALUES (74654, 11756, 14, 'Suara');
INSERT INTO `lang_definitions` VALUES (74655, 11758, 14, 'Suara Dikirim');
INSERT INTO `lang_definitions` VALUES (74656, 11763, 14, 'Muntah');
INSERT INTO `lang_definitions` VALUES (74657, 11767, 14, 'W');
INSERT INTO `lang_definitions` VALUES (74658, 11770, 14, 'Lingkar Pinggang');
INSERT INTO `lang_definitions` VALUES (74659, 11771, 14, 'Lingkar Pinggang');
INSERT INTO `lang_definitions` VALUES (74660, 11772, 14, 'Menunggu');
INSERT INTO `lang_definitions` VALUES (74661, 11773, 14, 'Masuk');
INSERT INTO `lang_definitions` VALUES (74662, 11776, 14, 'Walt Pennington');
INSERT INTO `lang_definitions` VALUES (74663, 11778, 14, 'Gudang');
INSERT INTO `lang_definitions` VALUES (74664, 11780, 14, 'Gudang maksimum, 0 jika tidak berlaku');
INSERT INTO `lang_definitions` VALUES (74665, 11781, 14, 'Gudang minimum, 0 jika tidak berlaku');
INSERT INTO `lang_definitions` VALUES (74666, 11782, 14, 'Gudang');
INSERT INTO `lang_definitions` VALUES (74667, 11783, 14, 'Hangat');
INSERT INTO `lang_definitions` VALUES (74668, 11786, 14, 'Peringatan');
INSERT INTO `lang_definitions` VALUES (74669, 11787, 14, 'PERINGATAN');
INSERT INTO `lang_definitions` VALUES (74670, 11789, 14, 'Peringatan, Nomor Cek telah ada dalam database');
INSERT INTO `lang_definitions` VALUES (74671, 11791, 14, 'Peringatan: Kunjungan telah dibuat untuk pasien hari ini!');
INSERT INTO `lang_definitions` VALUES (74672, 11796, 14, 'Peringatan: ID Pasien tidak unik!');
INSERT INTO `lang_definitions` VALUES (74673, 11799, 14, 'PERINGATAN: ini akan menimpa informasi konfigurasi dengan data dari file yang diupload!');
INSERT INTO `lang_definitions` VALUES (74674, 11801, 14, 'Peringatan');
INSERT INTO `lang_definitions` VALUES (74675, 11803, 14, 'telah diupload');
INSERT INTO `lang_definitions` VALUES (74676, 11805, 14, 'Kami menghargai pembayaran cepat dari batas saldo');
INSERT INTO `lang_definitions` VALUES (74677, 11809, 14, 'kami telah melihat pasien atas anda untuk evaluasi dan perawatan pada klinik psikiatri rawat jalan kami. Terima kasih atas rujukan ini.');
INSERT INTO `lang_definitions` VALUES (74678, 11821, 14, 'Kelemahan');
INSERT INTO `lang_definitions` VALUES (74679, 11826, 14, 'Pencarian Web');
INSERT INTO `lang_definitions` VALUES (74680, 11827, 14, 'Situs Web');
INSERT INTO `lang_definitions` VALUES (74681, 11828, 14, 'Link Situs Web untuk Portal Pasien Onsite');
INSERT INTO `lang_definitions` VALUES (74682, 11832, 14, 'Rab');
INSERT INTO `lang_definitions` VALUES (74683, 11833, 14, 'Rabu');
INSERT INTO `lang_definitions` VALUES (74684, 11834, 14, 'Minggu');
INSERT INTO `lang_definitions` VALUES (74685, 11835, 14, 'minggu');
INSERT INTO `lang_definitions` VALUES (74686, 11836, 14, 'Tampilan Minggu');
INSERT INTO `lang_definitions` VALUES (74687, 11837, 14, 'Minggu');
INSERT INTO `lang_definitions` VALUES (74688, 11838, 14, 'Eksposur Mingguan');
INSERT INTO `lang_definitions` VALUES (74689, 11840, 14, 'Minggu');
INSERT INTO `lang_definitions` VALUES (74690, 11841, 14, 'Berat');
INSERT INTO `lang_definitions` VALUES (74691, 11842, 14, 'Penilaian Berat dan Konseling untuk Anak dan Remaja');
INSERT INTO `lang_definitions` VALUES (74692, 11843, 14, 'Penilaian Berat dan Konseling untuk Anak dan Remaja (CQM)');
INSERT INTO `lang_definitions` VALUES (74693, 11844, 14, 'Perubahan Berat');
INSERT INTO `lang_definitions` VALUES (74694, 11845, 14, 'Berat Badan');
INSERT INTO `lang_definitions` VALUES (74695, 11846, 14, 'Klinik berat bedan');
INSERT INTO `lang_definitions` VALUES (74696, 11847, 14, 'Selamat Datang');
INSERT INTO `lang_definitions` VALUES (74697, 11862, 14, 'Apa yang akan dihitung?');
INSERT INTO `lang_definitions` VALUES (74698, 11864, 14, 'Desah:');
INSERT INTO `lang_definitions` VALUES (74699, 11865, 14, 'Desah:');
INSERT INTO `lang_definitions` VALUES (74700, 11866, 14, 'Desah:');
INSERT INTO `lang_definitions` VALUES (74701, 11882, 14, 'Dimana mungkin kertas dokumen atau yang discan terkait ditemukan?');
INSERT INTO `lang_definitions` VALUES (74702, 11885, 14, 'Yang mana hari akhir pekan anda ?');
INSERT INTO `lang_definitions` VALUES (74703, 11890, 14, 'Salah urat(kepala)');
INSERT INTO `lang_definitions` VALUES (74704, 11891, 14, 'Putih');
INSERT INTO `lang_definitions` VALUES (74705, 11894, 14, 'Siapa');
INSERT INTO `lang_definitions` VALUES (74706, 11895, 14, 'Siapa yang menjawab?');
INSERT INTO `lang_definitions` VALUES (74707, 11897, 14, 'Janda');
INSERT INTO `lang_definitions` VALUES (74708, 11900, 14, 'Lebar dalam piksel dari bingkai navigasi kiri');
INSERT INTO `lang_definitions` VALUES (74709, 11907, 14, 'Dengan dipilih:');
INSERT INTO `lang_definitions` VALUES (74710, 11908, 14, 'dengan nama lama');
INSERT INTO `lang_definitions` VALUES (74711, 11911, 14, 'Dengan siapa kita dapat meninggalkan pesan?');
INSERT INTO `lang_definitions` VALUES (74712, 11912, 14, 'Dirahasiakan');
INSERT INTO `lang_definitions` VALUES (74713, 11913, 14, 'dalam hitungan jam');
INSERT INTO `lang_definitions` VALUES (74714, 11914, 14, 'dalam hitungan jam:');
INSERT INTO `lang_definitions` VALUES (74715, 11915, 14, 'dalam hitungan menit');
INSERT INTO `lang_definitions` VALUES (74716, 11916, 14, 'dalam beberapa menit:');
INSERT INTO `lang_definitions` VALUES (74717, 11919, 14, 'Tanpa Update');
INSERT INTO `lang_definitions` VALUES (74718, 11920, 14, 'Saksi');
INSERT INTO `lang_definitions` VALUES (74719, 11921, 14, 'mggu');
INSERT INTO `lang_definitions` VALUES (74720, 11922, 14, 'WNL(DBN)');
INSERT INTO `lang_definitions` VALUES (74721, 11924, 14, 'Perempuan');
INSERT INTO `lang_definitions` VALUES (74722, 11925, 14, 'Hanya perempuan');
INSERT INTO `lang_definitions` VALUES (74723, 11927, 14, 'Bekerja');
INSERT INTO `lang_definitions` VALUES (74724, 11928, 14, 'CATATAN KERJA');
INSERT INTO `lang_definitions` VALUES (74725, 11929, 14, 'Telepon Kerja');
INSERT INTO `lang_definitions` VALUES (74726, 11930, 14, 'Nomor Telepon Kerja');
INSERT INTO `lang_definitions` VALUES (74727, 11931, 14, 'Pekerjaan yang berkaitan?');
INSERT INTO `lang_definitions` VALUES (74728, 11932, 14, 'Pekerjaan/ Pendidikan/ Hobi');
INSERT INTO `lang_definitions` VALUES (74729, 11933, 14, 'Catatan Kerja/ Sekolah');
INSERT INTO `lang_definitions` VALUES (74730, 11934, 14, 'hari kerja');
INSERT INTO `lang_definitions` VALUES (74731, 11935, 14, 'Kompensasi Pekerja');
INSERT INTO `lang_definitions` VALUES (74732, 11936, 14, 'Kompensasi Rencana Kesehatan Pekerja');
INSERT INTO `lang_definitions` VALUES (74733, 11937, 14, 'Penerima Berumur Pekerjaan atau Pasangan dengan Kelompok Kerja Rencana Kesehatan');
INSERT INTO `lang_definitions` VALUES (74734, 11941, 14, 'Bertambah Buruk');
INSERT INTO `lang_definitions` VALUES (74735, 11942, 14, 'Apakah anda ingin jumlah saldo berlaku untuk Akun Global?');
INSERT INTO `lang_definitions` VALUES (74736, 11943, 14, 'Apakah Anda Ingin mereka Ditandai sebagai Diselesaikan.');
INSERT INTO `lang_definitions` VALUES (74737, 11944, 14, 'Apakah anda ingin Alokasikan?');
INSERT INTO `lang_definitions` VALUES (74738, 11945, 14, 'Apakah anda ingin Batalkan Distribusi untuk Pasien ini?');
INSERT INTO `lang_definitions` VALUES (74739, 11946, 14, 'Apakah anda ingin Menghapus Distribusi Pembayaran?');
INSERT INTO `lang_definitions` VALUES (74740, 11947, 14, 'Apakah anda ingin Menghapus Pembayaran?');
INSERT INTO `lang_definitions` VALUES (74741, 11948, 14, 'Apakah anda ingin Memodifikasi dan Menyelesaikan Pembayaran?');
INSERT INTO `lang_definitions` VALUES (74742, 11949, 14, 'Apakah anda ingin Memodifikasi Pembayaran?');
INSERT INTO `lang_definitions` VALUES (74743, 11950, 14, 'Apakah anda ingin Memasang dan Menyelesaikan Pembayaran?');
INSERT INTO `lang_definitions` VALUES (74744, 11951, 14, 'Apakah anda ingin Memasang Pembayaran?');
INSERT INTO `lang_definitions` VALUES (74745, 11952, 14, 'Apakah anda ingin menyimpan?');
INSERT INTO `lang_definitions` VALUES (74746, 11953, 14, 'Pergelangan tangan');
INSERT INTO `lang_definitions` VALUES (74747, 11954, 14, 'Pergelangan tangan dan tangan');
INSERT INTO `lang_definitions` VALUES (74748, 11955, 14, 'Masalah Pergelangan Tangan');
INSERT INTO `lang_definitions` VALUES (74749, 11956, 14, 'tulis');
INSERT INTO `lang_definitions` VALUES (74750, 11958, 14, 'mencoret/hapus');
INSERT INTO `lang_definitions` VALUES (74751, 11960, 14, 'tulis');
INSERT INTO `lang_definitions` VALUES (74752, 11963, 14, 'WT');
INSERT INTO `lang_definitions` VALUES (74753, 11966, 14, 'x Dibatalkan');
INSERT INTO `lang_definitions` VALUES (74754, 11967, 14, 'x Dibatalkan');
INSERT INTO `lang_definitions` VALUES (74755, 11969, 14, 'Sinar X');
INSERT INTO `lang_definitions` VALUES (74756, 11970, 14, 'Interpretasi SINAR X:');
INSERT INTO `lang_definitions` VALUES (74757, 11971, 14, 'Interpretasi Sinar X:');
INSERT INTO `lang_definitions` VALUES (74758, 11975, 14, 'Hanya X12: Klaim Penggantian');
INSERT INTO `lang_definitions` VALUES (74759, 11978, 14, 'Mitra X12');
INSERT INTO `lang_definitions` VALUES (74760, 11979, 14, 'Mitra X12');
INSERT INTO `lang_definitions` VALUES (74761, 11987, 14, 'Y');
INSERT INTO `lang_definitions` VALUES (74762, 11988, 14, 'tahun');
INSERT INTO `lang_definitions` VALUES (74763, 11989, 14, 'Tahun');
INSERT INTO `lang_definitions` VALUES (74764, 11990, 14, 'Lihat Tahun');
INSERT INTO `lang_definitions` VALUES (74765, 11991, 14, 'Tahun');
INSERT INTO `lang_definitions` VALUES (74766, 11992, 14, 'Tahun');
INSERT INTO `lang_definitions` VALUES (74767, 11996, 14, 'Ya');
INSERT INTO `lang_definitions` VALUES (74768, 11997, 14, 'YA');
INSERT INTO `lang_definitions` VALUES (74769, 11998, 14, 'ya');
INSERT INTO `lang_definitions` VALUES (74770, 11999, 14, 'YA!');
INSERT INTO `lang_definitions` VALUES (74771, 12000, 14, 'Ya, Hapus dan Log');
INSERT INTO `lang_definitions` VALUES (74772, 12002, 14, 'Ya/Tidak');
INSERT INTO `lang_definitions` VALUES (74773, 12003, 14, 'Ya:');
INSERT INTO `lang_definitions` VALUES (74774, 12004, 14, 'Yiddi');
INSERT INTO `lang_definitions` VALUES (74775, 12008, 14, 'Anda akan secara permanen menggantikan template anda. Anda yakin ingin melanjutkan?');
INSERT INTO `lang_definitions` VALUES (74776, 12011, 14, 'Anda berada pada periode Login Tenggang. Ubah pasword anda sebelum');
INSERT INTO `lang_definitions` VALUES (74777, 12012, 14, 'Anda tidak diperbolehkan untuk menghapus event ini');
INSERT INTO `lang_definitions` VALUES (74778, 12013, 14, 'Anda tidak diperbolehkan untuk mengedit event ini');
INSERT INTO `lang_definitions` VALUES (74779, 12014, 14, 'Anda tidak diizinkan untuk ini.');
INSERT INTO `lang_definitions` VALUES (74780, 12016, 14, 'Anda tidak diizinkan untuk mengakses satuan ini.');
INSERT INTO `lang_definitions` VALUES (74781, 12017, 14, 'Anda tidak diizinkan untuk menambah/edit isu(masalah)');
INSERT INTO `lang_definitions` VALUES (74782, 12018, 14, 'Anda tidak diizinkan untuk menjadwalkan janji-temu.');
INSERT INTO `lang_definitions` VALUES (74783, 12019, 14, 'Anda tidak diizinkan untuk melihat encounter(pertemuan) ini.');
INSERT INTO `lang_definitions` VALUES (74784, 12038, 14, 'Anda tidak dapat mengakses fungsi ini secara langsung.');
INSERT INTO `lang_definitions` VALUES (74785, 12050, 14, 'Anda tidak dapat mengakses halaman ini secara langsung.');
INSERT INTO `lang_definitions` VALUES (74786, 12051, 14, 'Anda tidak dapat menambahkan nilai kosong untuk kategori!');
INSERT INTO `lang_definitions` VALUES (74787, 12052, 14, 'Anda tidak dapat menambahkan nilai kosong untuk subkategori!');
INSERT INTO `lang_definitions` VALUES (74788, 12053, 14, 'Anda tidak dapat menambahkan nilai kosong untuk item!');
INSERT INTO `lang_definitions` VALUES (74789, 12055, 14, 'Anda tidak dapat memasukkan tanggal yang akan datang dengan nilai dari YA.');
INSERT INTO `lang_definitions` VALUES (74790, 12057, 14, 'Anda tidak memilih tindakan.');
INSERT INTO `lang_definitions` VALUES (74791, 12058, 14, 'Anda tidak memiliki akses untuk melihat/mengedit catatan ini');
INSERT INTO `lang_definitions` VALUES (74792, 12061, 14, 'Anda telah mencoba mengubah konten yang terkunci. Singkirkan kunci jika anda ingin melakukan ini. Untuk membuka kunci, hapus baris, \'/*lock::*/\'');
INSERT INTO `lang_definitions` VALUES (74793, 12063, 14, 'Anda telah berhasi keluar.');
INSERT INTO `lang_definitions` VALUES (74794, 12074, 14, 'Anda hanya dapat mengupload file .txt');
INSERT INTO `lang_definitions` VALUES (74795, 12076, 14, 'Anda dapat menempatkan teks disini sebagai keluhan standar dalam form Encounter(Pertemuan) Pasien Baru');
INSERT INTO `lang_definitions` VALUES (74796, 12085, 14, 'Anda harus memasukkan kombinasi pasword untuk mengenkripsi dokumen ini');
INSERT INTO `lang_definitions` VALUES (74797, 12090, 14, 'Anda harus terlebih dahulu memilih atau menambahkan pasien.');
INSERT INTO `lang_definitions` VALUES (74798, 12091, 14, 'Anda harus terlebih dahulu memilih atau membuat encounter(pertemuan).');
INSERT INTO `lang_definitions` VALUES (74799, 12092, 14, 'Anda harus memilih kategori kunjungan');
INSERT INTO `lang_definitions` VALUES (74800, 12093, 14, 'Anda harus memilih kategori kunjungan.');
INSERT INTO `lang_definitions` VALUES (74801, 12094, 14, 'Anda harus mengisi beberapa bagian untuk melanjutkan.');
INSERT INTO `lang_definitions` VALUES (74802, 12104, 14, 'Anda harus menjalankan tes ini jika klaim ini muncul untuk menghasilkan dengan sukses tetapi file klaim sebenarnya tidak berisi data atau hanya bagian yang belum selesai dari jumlah data yang seharusnya berisi. Hal ini jelas dengan klaim HCFA karena mereka dapat dibaca manusia, dengan klaim X12 prosesnya lebih sulit untuk menentukan apakah klaim tersebut benar-benar lengkap.');
INSERT INTO `lang_definitions` VALUES (74803, 12106, 14, 'Anda harus memilih setidaknya satu konteks');
INSERT INTO `lang_definitions` VALUES (74804, 12107, 14, 'Anda harus memilih setidaknya satu Provider');
INSERT INTO `lang_definitions` VALUES (74805, 12122, 14, 'Tanggal berakhir tidak valid');
INSERT INTO `lang_definitions` VALUES (74806, 12123, 14, 'Event Anda telah dihapus.');
INSERT INTO `lang_definitions` VALUES (74807, 12124, 14, 'Event Anda telah dimodifikasi.');
INSERT INTO `lang_definitions` VALUES (74808, 12125, 14, 'Event Anda telah dikirimkan.');
INSERT INTO `lang_definitions` VALUES (74809, 12127, 14, 'File anda terlalu besar');
INSERT INTO `lang_definitions` VALUES (74810, 12132, 14, 'Daftar nama anda telah diubah untuk memenuhi persyaratan penamaan.');
INSERT INTO `lang_definitions` VALUES (74811, 12134, 14, 'Nama anda untuk kategori ini, prosedur atau hasil');
INSERT INTO `lang_definitions` VALUES (74812, 12139, 14, 'Katakunci Anda');
INSERT INTO `lang_definitions` VALUES (74813, 12140, 14, 'Pasword Anda Kadaluarsa. Silahkan ubah pasword anda.');
INSERT INTO `lang_definitions` VALUES (74814, 12141, 14, 'Pasword Anda Berakhir pada');
INSERT INTO `lang_definitions` VALUES (74815, 12143, 14, 'Pasword Anda Berakhir hari ini. Silahkan ubah pasword anda.');
INSERT INTO `lang_definitions` VALUES (74816, 12146, 14, 'Konfigurasi PostCalendar anda telah direset untuk menggunakan yang default/standar.');
INSERT INTO `lang_definitions` VALUES (74817, 12147, 14, 'Konfigurasi PostCalendar anda telah diupdate.');
INSERT INTO `lang_definitions` VALUES (74818, 12148, 14, 'Frekuensi pengulangan anda harus berupa angka.');
INSERT INTO `lang_definitions` VALUES (74819, 12149, 14, 'Frekuensi pengulangan anda harus minimal 1.');
INSERT INTO `lang_definitions` VALUES (74820, 12150, 14, 'Kunci aman Anda adalah');
INSERT INTO `lang_definitions` VALUES (74821, 12151, 14, 'Tanggal mulai anda lebih besar dari tanggal akhir anda');
INSERT INTO `lang_definitions` VALUES (74822, 12152, 14, 'Tanggal mulai anda tidak valid');
INSERT INTO `lang_definitions` VALUES (74823, 12153, 14, 'Kiriman anda gagal.');
INSERT INTO `lang_definitions` VALUES (74824, 12154, 14, 'Hari akhir pekan anda');
INSERT INTO `lang_definitions` VALUES (74825, 12156, 14, 'yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (74826, 12157, 14, 'YYYY-MM-DD');
INSERT INTO `lang_definitions` VALUES (74827, 12158, 14, 'yyyy-mm-dd tanggal yang terkait dengan dokumen ini');
INSERT INTO `lang_definitions` VALUES (74828, 12159, 14, 'yyyy-mm-dd tanggal dihancurkan');
INSERT INTO `lang_definitions` VALUES (74829, 12160, 14, 'yyyy-mm-dd tanggal lahir');
INSERT INTO `lang_definitions` VALUES (74830, 12161, 14, 'yyyy-mm-dd Tanggal Lahir');
INSERT INTO `lang_definitions` VALUES (74831, 12162, 14, 'yyyy-mm-dd berakhirnya tanggal');
INSERT INTO `lang_definitions` VALUES (74832, 12163, 14, 'yyyy-mm-dd Tanggal mulai atau rumah sakit');
INSERT INTO `lang_definitions` VALUES (74833, 12164, 14, 'yyyy-mm-dd tanggal mulai, operasi atau mulai pengobatan');
INSERT INTO `lang_definitions` VALUES (74834, 12165, 14, 'yyyy-mm-dd tanggal pembelian atau transfer');
INSERT INTO `lang_definitions` VALUES (74835, 12166, 14, 'yyyy-mm-dd tanggal pemulihan atau akhir pengobatan');
INSERT INTO `lang_definitions` VALUES (74836, 12167, 14, 'yyyy-mm-dd Tanggal kembali bermain');
INSERT INTO `lang_definitions` VALUES (74837, 12168, 14, 'yyyy-mm-dd Tanggal layanan');
INSERT INTO `lang_definitions` VALUES (74838, 12169, 14, 'yyyy-mm-dd tanggal surat ini');
INSERT INTO `lang_definitions` VALUES (74839, 12170, 14, 'yyyy-mm-dd tanggal untuk memutar kembali');
INSERT INTO `lang_definitions` VALUES (74840, 12171, 14, 'yyyy-mm-dd tanggal dokumen');
INSERT INTO `lang_definitions` VALUES (74841, 12173, 14, 'yyyy-mm-dd tanggal event atau tanggal mulai');
INSERT INTO `lang_definitions` VALUES (74842, 12178, 14, 'yyyy-mm-dd hh:mm:ss');
INSERT INTO `lang_definitions` VALUES (74843, 12180, 14, 'yyyy-mm-dd tanggal terakhir dari event ini');
INSERT INTO `lang_definitions` VALUES (74844, 12186, 14, 'Kosong');
INSERT INTO `lang_definitions` VALUES (74845, 12188, 14, 'Zip');
INSERT INTO `lang_definitions` VALUES (74846, 12189, 14, 'Kode Pos');
INSERT INTO `lang_definitions` VALUES (74847, 12191, 14, 'Zip/Negara:');
INSERT INTO `lang_definitions` VALUES (74848, 12196, 14, 'Zulu');
INSERT INTO `lang_definitions` VALUES (74849, 12197, 14, 'Tapi');
INSERT INTO `lang_definitions` VALUES (74850, 12198, 14, 'tidak dapat diakses.');
INSERT INTO `lang_definitions` VALUES (74851, 12199, 14, 'Apakah Anda benar-benar ingin menghapus');
INSERT INTO `lang_definitions` VALUES (74852, 12200, 14, 'Obat');
INSERT INTO `lang_definitions` VALUES (74853, 12201, 14, 'email tidak terkirim');
INSERT INTO `lang_definitions` VALUES (74854, 12202, 14, 'dari');
INSERT INTO `lang_definitions` VALUES (74855, 12203, 14, 'telah dibuat.');
INSERT INTO `lang_definitions` VALUES (74856, 12204, 14, 'telah dibuka kembali.');
INSERT INTO `lang_definitions` VALUES (74857, 12205, 14, 'Riwayat');
INSERT INTO `lang_definitions` VALUES (74858, 12206, 14, 'bukan angka');
INSERT INTO `lang_definitions` VALUES (74859, 12207, 14, 'siap kembali ditagih.');
INSERT INTO `lang_definitions` VALUES (74860, 12208, 14, 'LLL:');
INSERT INTO `lang_definitions` VALUES (74861, 12209, 14, 'Lot');
INSERT INTO `lang_definitions` VALUES (74862, 12210, 14, 'No. Referensi Asli Kesehatan');
INSERT INTO `lang_definitions` VALUES (74863, 12211, 14, 'min');
INSERT INTO `lang_definitions` VALUES (74864, 12212, 14, 'tidak ditemukan!');
INSERT INTO `lang_definitions` VALUES (74865, 12213, 14, 'Keanehan di banyak browser bisa berarti bahwa output dibawah ini memasuk layar anda dengan tersentak tiba-tiba dan bahwa ada jeda panjang selama beberapa detik dimana ia muncul seolah-olah hal tersebut mungkin mengalami crash(hancur). Hal tersebut tidak terjadi, anda akhirnya akan melihat output yang keluar baris demi baris. Mungkin ada nomor berurutan muncul dibawah, ini adalah untuk menunjukkan bahwa meskipun tidak ada yang lain yang ditampilkan namun ada aktivitas yang terjadi. Angka ini akan diselingi dengan isi dari tagihan dan hal tersebut bersifat normal.');
INSERT INTO `lang_definitions` VALUES (74866, 12214, 14, 'resep telah mencapai batas');
INSERT INTO `lang_definitions` VALUES (74867, 12215, 14, 'sampai');
INSERT INTO `lang_definitions` VALUES (74868, 12216, 14, 'update gagal, bukan di database?');
INSERT INTO `lang_definitions` VALUES (74869, 12217, 14, 'telah ditandai sebagai tagihan saja.');
INSERT INTO `lang_definitions` VALUES (74870, 12218, 14, 'antrian telah berhasil.');
INSERT INTO `lang_definitions` VALUES (74871, 12219, 14, '! Kiri w/o kunjungan');
INSERT INTO `lang_definitions` VALUES (74872, 12220, 14, '\" untuk kode');
INSERT INTO `lang_definitions` VALUES (74873, 12221, 14, '\" yang DIPERIKSA dalam Pengaturan PostCalendar!');
INSERT INTO `lang_definitions` VALUES (74874, 12222, 14, '# Ins/fin issue');
INSERT INTO `lang_definitions` VALUES (74875, 12223, 14, 'Jumlah tablet:');
INSERT INTO `lang_definitions` VALUES (74876, 12224, 14, '$');
INSERT INTO `lang_definitions` VALUES (74877, 12225, 14, '$ Coding dilakukan');
INSERT INTO `lang_definitions` VALUES (74878, 12226, 14, '$ label (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (74879, 12227, 14, '%');
INSERT INTO `lang_definitions` VALUES (74880, 12228, 14, '% Dibatalkan <24h');
INSERT INTO `lang_definitions` VALUES (74881, 12229, 14, '% Dibatalkan <24h');
INSERT INTO `lang_definitions` VALUES (74882, 12230, 14, 'harus ada tapi tidak.');
INSERT INTO `lang_definitions` VALUES (74883, 12231, 14, '(% cocok dengan string apapun, _ cocok dengan karakter apapun)');
INSERT INTO `lang_definitions` VALUES (74884, 12232, 14, '([ctrl] + klik untuk memilih beberapa penerima)');
INSERT INTO `lang_definitions` VALUES (74885, 12233, 14, '(Kembali)');
INSERT INTO `lang_definitions` VALUES (74886, 12234, 14, '(Klik untuk mengedit)');
INSERT INTO `lang_definitions` VALUES (74887, 12235, 14, '(Pengiriman email adalah langsung, sedangkan VOIP otomatis dikirim ke penyedia layanan untuk diproses lebih lanjut.)');
INSERT INTO `lang_definitions` VALUES (74888, 12236, 14, '(Lagi)');
INSERT INTO `lang_definitions` VALUES (74889, 12237, 14, '(Pasien Baru)');
INSERT INTO `lang_definitions` VALUES (74890, 12238, 14, '(Catatan dan Kewenangan)');
INSERT INTO `lang_definitions` VALUES (74891, 12239, 14, '(Catatan Pasien)');
INSERT INTO `lang_definitions` VALUES (74892, 12240, 14, '(Pilih salah satu, atau ketik judul anda sendiri)');
INSERT INTO `lang_definitions` VALUES (74893, 12241, 14, '(Shift-)Klik atau tarik untuk mengubah nilai');
INSERT INTO `lang_definitions` VALUES (74894, 12242, 14, '* Pengingat selesai');
INSERT INTO `lang_definitions` VALUES (74895, 12243, 14, '** Harap pindahkan operasi ke Isu(masalah)!');
INSERT INTO `lang_definitions` VALUES (74896, 12244, 14, '*Diperlukan');
INSERT INTO `lang_definitions` VALUES (74897, 12245, 14, '+ Chart diambil');
INSERT INTO `lang_definitions` VALUES (74898, 12246, 14, '+1');
INSERT INTO `lang_definitions` VALUES (74899, 12247, 14, '+2');
INSERT INTO `lang_definitions` VALUES (74900, 12248, 14, '+3');
INSERT INTO `lang_definitions` VALUES (74901, 12249, 14, '- Tidak Ada');
INSERT INTO `lang_definitions` VALUES (74902, 12251, 14, '-- Semua --');
INSERT INTO `lang_definitions` VALUES (74903, 12253, 14, '.');
INSERT INTO `lang_definitions` VALUES (74904, 12254, 14, '0');
INSERT INTO `lang_definitions` VALUES (74905, 12255, 14, '0-10');
INSERT INTO `lang_definitions` VALUES (74906, 12256, 14, '0-24');
INSERT INTO `lang_definitions` VALUES (74907, 12259, 14, '1');
INSERT INTO `lang_definitions` VALUES (74908, 12260, 14, '1 = Amerika Utara. Lihat http://www.wtng.info/ untuk daftar kode dari negara lainnya.');
INSERT INTO `lang_definitions` VALUES (74909, 12261, 14, '1 Hari Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (74910, 12262, 14, '1 Bulan Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (74911, 12263, 14, '1 Minggu Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (74912, 12264, 14, '1 Tahun Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (74913, 12265, 14, '1.Rest 2. Es selama dua hari 3. Kompresi, meninggalkan dressing kecuali di tempat kaki mengembangkan rasa atau warna pucat 4. Meninggikan kaki dan kaki');
INSERT INTO `lang_definitions` VALUES (74914, 12266, 14, '11 - 14');
INSERT INTO `lang_definitions` VALUES (74915, 12267, 14, '12 jam');
INSERT INTO `lang_definitions` VALUES (74916, 12268, 14, '15-19');
INSERT INTO `lang_definitions` VALUES (74917, 12269, 14, '1mm');
INSERT INTO `lang_definitions` VALUES (74918, 12270, 14, '1');
INSERT INTO `lang_definitions` VALUES (74919, 12272, 14, '2');
INSERT INTO `lang_definitions` VALUES (74920, 12273, 14, '2 Hari Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (74921, 12274, 14, '2 Bulan Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (74922, 12275, 14, '2 Minggu Dari Sekaran');
INSERT INTO `lang_definitions` VALUES (74923, 12276, 14, '2 Tahun Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (74924, 12277, 14, '2-20 tahun');
INSERT INTO `lang_definitions` VALUES (74925, 12278, 14, '20-24');
INSERT INTO `lang_definitions` VALUES (74926, 12287, 14, '2111-13');
INSERT INTO `lang_definitions` VALUES (74927, 12288, 14, '24 jam');
INSERT INTO `lang_definitions` VALUES (74928, 12289, 14, '25+');
INSERT INTO `lang_definitions` VALUES (74929, 12290, 14, '25-29');
INSERT INTO `lang_definitions` VALUES (74930, 12292, 14, '2mm');
INSERT INTO `lang_definitions` VALUES (74931, 12293, 14, '2');
INSERT INTO `lang_definitions` VALUES (74932, 12296, 14, '3 Hari Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (74933, 12297, 14, '3 bulan');
INSERT INTO `lang_definitions` VALUES (74934, 12298, 14, '3 Bulan Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (74935, 12299, 14, '3 kali sehari-hari');
INSERT INTO `lang_definitions` VALUES (74936, 12300, 14, '3 Minggu Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (74937, 12301, 14, '30-34');
INSERT INTO `lang_definitions` VALUES (74938, 12302, 14, '35-39');
INSERT INTO `lang_definitions` VALUES (74939, 12304, 14, '3');
INSERT INTO `lang_definitions` VALUES (74940, 12307, 14, '4 Hari Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (74941, 12308, 14, '4 bulan');
INSERT INTO `lang_definitions` VALUES (74942, 12309, 14, '4 Bulan Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (74943, 12310, 14, '4 kali sehari-hari');
INSERT INTO `lang_definitions` VALUES (74944, 12311, 14, '4 Minggu Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (74945, 12312, 14, '40-44');
INSERT INTO `lang_definitions` VALUES (74946, 12313, 14, '45+');
INSERT INTO `lang_definitions` VALUES (74947, 12314, 14, '465,9, URI');
INSERT INTO `lang_definitions` VALUES (74948, 12315, 14, '466,0, Bronkitis, Akut NOS');
INSERT INTO `lang_definitions` VALUES (74949, 12316, 14, '486,0, Radang Paru-paru, Akut');
INSERT INTO `lang_definitions` VALUES (74950, 12317, 14, '491,21, COPD Exacerbation');
INSERT INTO `lang_definitions` VALUES (74951, 12318, 14, '491,8, Bronkitis, Kronis');
INSERT INTO `lang_definitions` VALUES (74952, 12319, 14, '493,92, Asma, Exac akut.');
INSERT INTO `lang_definitions` VALUES (74953, 12320, 14, '496,0, COPD');
INSERT INTO `lang_definitions` VALUES (74954, 12323, 14, '4');
INSERT INTO `lang_definitions` VALUES (74955, 12326, 14, '5 Hari Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (74956, 12327, 14, '5 Bulan Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (74957, 12328, 14, '5 Minggu Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (74958, 12329, 14, '519,7, Bronchospasm');
INSERT INTO `lang_definitions` VALUES (74959, 12331, 14, '5');
INSERT INTO `lang_definitions` VALUES (74960, 12333, 14, '6 Hari Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (74961, 12334, 14, '6 bulan');
INSERT INTO `lang_definitions` VALUES (74962, 12335, 14, '6 Bulan Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (74963, 12336, 14, '6 Minggu Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (74964, 12337, 14, '6');
INSERT INTO `lang_definitions` VALUES (74965, 12339, 14, '7 Bulan Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (74966, 12340, 14, '8 Bulan Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (74967, 12341, 14, 'Panjang 8-12 karakter, termasuk paling sedikit satu huruf kapital, satu huruf kecil, satu angka, satu karakter khusus dan tanpa istilah umum');
INSERT INTO `lang_definitions` VALUES (74968, 12342, 14, '824,0 patah, di tengah-tengah malleolus, ditutup');
INSERT INTO `lang_definitions` VALUES (74969, 12343, 14, '824,2 patah, rusuk malleolus, ditutup');
INSERT INTO `lang_definitions` VALUES (74970, 12344, 14, '824,6 retak, Trimalleolar, ditutup');
INSERT INTO `lang_definitions` VALUES (74971, 12345, 14, '825,32 patah, dari Navicular (pergelangan kaki)');
INSERT INTO `lang_definitions` VALUES (74972, 12346, 14, '825,35 retak, Berdasarkan dari kelima (5.) Metatarsal');
INSERT INTO `lang_definitions` VALUES (74973, 12347, 14, '845,00 pergelangan kaki keselo NOS');
INSERT INTO `lang_definitions` VALUES (74974, 12348, 14, '845,01 keseleo di tengah-tengah (Delta) Lig.');
INSERT INTO `lang_definitions` VALUES (74975, 12349, 14, '845,02 keseleo, Calcaneal fibular');
INSERT INTO `lang_definitions` VALUES (74976, 12350, 14, '9 Bulan Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (74977, 12351, 14, 'Didirikan 99212 - Tanpa Komplikasi');
INSERT INTO `lang_definitions` VALUES (74978, 12352, 14, 'Didirikan 99213 - Kompleksitas Rendah');
INSERT INTO `lang_definitions` VALUES (74979, 12353, 14, '< Dalam ruang pemeriksaan');
INSERT INTO `lang_definitions` VALUES (74980, 12354, 14, '< Tidak Dilaporkan');
INSERT INTO `lang_definitions` VALUES (74981, 12355, 14, '= mengambil tempat');
INSERT INTO `lang_definitions` VALUES (74982, 12357, 14, '> Dicentang out');
INSERT INTO `lang_definitions` VALUES (74983, 12359, 14, '?');
INSERT INTO `lang_definitions` VALUES (74984, 12361, 14, '? Tidak menunjukkan');
INSERT INTO `lang_definitions` VALUES (74985, 12362, 14, '@ Tiba');
INSERT INTO `lang_definitions` VALUES (74986, 12364, 14, '[Ubah Tampilan]');
INSERT INTO `lang_definitions` VALUES (74987, 12365, 14, '[Tanggal Terakhir Encounter(Pertemuan)]');
INSERT INTO `lang_definitions` VALUES (74988, 12366, 14, '[Hari Sejak Terakhir Encounter(Pertemuan)]');
INSERT INTO `lang_definitions` VALUES (74989, 12367, 14, '[EOB]');
INSERT INTO `lang_definitions` VALUES (74990, 12368, 14, '[Ekspor OFX]');
INSERT INTO `lang_definitions` VALUES (74991, 12369, 14, '[tidak disarankan]');
INSERT INTO `lang_definitions` VALUES (74992, 12370, 14, '[Jumlah Encounters]');
INSERT INTO `lang_definitions` VALUES (74993, 12371, 14, '[Laporan]');
INSERT INTO `lang_definitions` VALUES (74994, 12372, 14, '[Select All]');
INSERT INTO `lang_definitions` VALUES (74995, 12373, 14, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (74996, 12374, 14, '[Mulai Memproses Batch]');
INSERT INTO `lang_definitions` VALUES (74997, 12375, 14, '[Lihat Log]');
INSERT INTO `lang_definitions` VALUES (74998, 12376, 14, '[Lihat Laporan Tercetak]');
INSERT INTO `lang_definitions` VALUES (74999, 12378, 14, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (75000, 12379, 14, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (75001, 12380, 14, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (75002, 12381, 14, '~ Tiba terlambat');
INSERT INTO `lang_definitions` VALUES (75003, 1, 15, 'Ένα');
INSERT INTO `lang_definitions` VALUES (75004, 2, 15, 'Αρ. Επιταγής ή Αιτήματος αποζημίωσης, προς ταυτοποίηση πληρωμής');
INSERT INTO `lang_definitions` VALUES (75005, 4, 15, 'Ένα πιστοποιητικό πελάτη για τον Διαχειριστή');
INSERT INTO `lang_definitions` VALUES (75006, 5, 15, 'Ένας Κανόνας Κλινικής Αποφάσης αποτελεί πληροφορίες ειδικές για κάθε ασθενή που φιλτράρονται και εμφανίζονται την κατάλληλη στιγμή, προκειμένου να βελτιωθούν οι ιατρικές υπηρεσίες');
INSERT INTO `lang_definitions` VALUES (75007, 6, 15, 'Προσετέθη ένα κλινικό έγγραφο.');
INSERT INTO `lang_definitions` VALUES (75008, 7, 15, 'Προσετέθη ένα κλινικό έγγραφο.');
INSERT INTO `lang_definitions` VALUES (75009, 8, 15, 'Ένας κωδικός αυτού του τύπου έχει ήδη επιλεγεί. Σβήστε το πεδίο πρώτα, αν πρέπει να το αντικαταστήσετε.');
INSERT INTO `lang_definitions` VALUES (75010, 10, 15, 'Απαιτείται αγορά εξειδικευμένου κλειδιού ασφαλείας');
INSERT INTO `lang_definitions` VALUES (75011, 13, 15, 'Απαιτείται ένας αντιπρόσωπος');
INSERT INTO `lang_definitions` VALUES (75012, 15, 15, 'Λίγα λόγια για την αιτία προσέλευσης');
INSERT INTO `lang_definitions` VALUES (75013, 16, 15, 'Ένα ραντεβού παρακολούθησης μπορεί επίσης να προγραμματιστεί μέσω του χρεωστικού δελτίου');
INSERT INTO `lang_definitions` VALUES (75014, 17, 15, 'Μια φόρμα επίσκεψης GCAC πρέπει να προστεθεί σε αυτήν την επίσκεψη.');
INSERT INTO `lang_definitions` VALUES (75015, 20, 15, 'Απαιτείται αριθμός παρτίδας');
INSERT INTO `lang_definitions` VALUES (75016, 21, 15, 'Απαιτείται αριθμός παρτίδας!');
INSERT INTO `lang_definitions` VALUES (75017, 22, 15, 'Ένα μικρό γράμμα');
INSERT INTO `lang_definitions` VALUES (75018, 23, 15, 'Ένα Νέο Ραντεβού');
INSERT INTO `lang_definitions` VALUES (75019, 28, 15, 'Ένας αριθμός');
INSERT INTO `lang_definitions` VALUES (75020, 29, 15, 'Θα πρέπει να επιλέξετε ασθενή για να δημιουργήσετε αυτήν την αναφορά');
INSERT INTO `lang_definitions` VALUES (75021, 30, 15, 'Υπάρχει ήδη ασθενής με αυτόν τον Κωδικό.');
INSERT INTO `lang_definitions` VALUES (75022, 31, 15, 'Υπάρχει ήδη ασθενής με αυτό το όνομα.');
INSERT INTO `lang_definitions` VALUES (75023, 32, 15, 'Υπάρχει ήδη ασθενής με αυτόν τον ΑΜΚΑ.');
INSERT INTO `lang_definitions` VALUES (75024, 34, 15, 'Ένα μέρος για καταγραφή και προβολή του ιστορικού του ασθενούς');
INSERT INTO `lang_definitions` VALUES (75025, 36, 15, 'Αριθμός των παρελθόντων ραντεβού που θα εμφανίζονται σε Widget στην οθόνη Σύνοψης Ασθενούς (Αρνητικός αριθμός θα τα εμφανίζει σε φθίνουσα σειρά)');
INSERT INTO `lang_definitions` VALUES (75026, 37, 15, 'Αριθμός των παρελθόντων ραντεβού που θα εμφανίζονται σε Widget στην οθόνη Σύνοψης Ασθενούς.');
INSERT INTO `lang_definitions` VALUES (75027, 43, 15, 'Μπορεί να οριστεί μια πηγή παραπομπής για κάθε επίσκεψη.');
INSERT INTO `lang_definitions` VALUES (75028, 44, 15, 'Απαιτείται ένας σχετικός κωδικός IPPF');
INSERT INTO `lang_definitions` VALUES (75029, 49, 15, 'Ένας ειδικός χαρακτήρας');
INSERT INTO `lang_definitions` VALUES (75030, 53, 15, 'Μία μοναδική τιμή για την αναγνώριση αυτού του πεδίου, μη ορατή στο χρήστη');
INSERT INTO `lang_definitions` VALUES (75031, 56, 15, 'Υπάρχει ήδη ραντεβού για αυτόν τον ασθενή σήμερα. Πατήστε άκυρο για να ανοίξετε την καρτέλα του ή OK για να δημιουργήσετε καινούργιο.');
INSERT INTO `lang_definitions` VALUES (75032, 57, 15, 'προ φαγητού');
INSERT INTO `lang_definitions` VALUES (75033, 58, 15, 'π.μ.');
INSERT INTO `lang_definitions` VALUES (75034, 59, 15, 'Π/Θ');
INSERT INTO `lang_definitions` VALUES (75035, 60, 15, 'Υδραερικό επίπεδο Δεξιά:');
INSERT INTO `lang_definitions` VALUES (75036, 63, 15, 'Συντομογραφία');
INSERT INTO `lang_definitions` VALUES (75037, 64, 15, 'Απόστημα:');
INSERT INTO `lang_definitions` VALUES (75038, 65, 15, 'Κοιλιακό');
INSERT INTO `lang_definitions` VALUES (75039, 66, 15, 'Εις θέση να σηκώσει βάρος για τέσσερα (4) βήματα:');
INSERT INTO `lang_definitions` VALUES (75040, 67, 15, 'Παθολ.');
INSERT INTO `lang_definitions` VALUES (75041, 70, 15, 'Παθολογικό');
INSERT INTO `lang_definitions` VALUES (75042, 71, 15, 'Παθολογική εξέταση αίματος');
INSERT INTO `lang_definitions` VALUES (75043, 72, 15, 'Παθολογική τριχοφυΐα');
INSERT INTO `lang_definitions` VALUES (75044, 73, 15, 'Παθολογική μαστογραφία');
INSERT INTO `lang_definitions` VALUES (75045, 74, 15, 'Ακύρωση');
INSERT INTO `lang_definitions` VALUES (75046, 75, 15, 'Άμβλωση');
INSERT INTO `lang_definitions` VALUES (75047, 76, 15, 'Θέματα άμβλωσης');
INSERT INTO `lang_definitions` VALUES (75048, 77, 15, 'Μέθοδος άμβλωσης');
INSERT INTO `lang_definitions` VALUES (75049, 78, 15, 'Κατηγορίες σχετικές με την άμβλωση');
INSERT INTO `lang_definitions` VALUES (75050, 79, 15, 'Αμβλώσεις');
INSERT INTO `lang_definitions` VALUES (75051, 80, 15, 'Σχετικά');
INSERT INTO `lang_definitions` VALUES (75052, 81, 15, 'Σχετικά με το Πάνελ Διαχείρισης Portal');
INSERT INTO `lang_definitions` VALUES (75053, 82, 15, 'Σχετικά με το ημερολόγιο');
INSERT INTO `lang_definitions` VALUES (75054, 83, 15, 'Σχετικά με το Portal');
INSERT INTO `lang_definitions` VALUES (75055, 84, 15, 'Πάνω από τα ανώτερα επίπεδα πανικού');
INSERT INTO `lang_definitions` VALUES (75056, 85, 15, 'Απουσίες ανά διάγνωση');
INSERT INTO `lang_definitions` VALUES (75057, 86, 15, 'Αποδοχή');
INSERT INTO `lang_definitions` VALUES (75058, 87, 15, 'Αποδοχή ανάθεσης');
INSERT INTO `lang_definitions` VALUES (75059, 88, 15, 'Αποδοχή Πληρωμής');
INSERT INTO `lang_definitions` VALUES (75060, 89, 15, 'Αποδοχή πληρωμής για');
INSERT INTO `lang_definitions` VALUES (75061, 90, 15, 'Αποδοχή πληρωμής για');
INSERT INTO `lang_definitions` VALUES (75062, 91, 15, 'Δέχεται Ανάθεση');
INSERT INTO `lang_definitions` VALUES (75063, 93, 15, 'Έλεγχος Πρόσβασης');
INSERT INTO `lang_definitions` VALUES (75064, 94, 15, 'Διαχείριση Ελέγχου Δικαιωμάτων Πρόσβασης');
INSERT INTO `lang_definitions` VALUES (75065, 98, 15, 'Ημ/νία πρόσβασης');
INSERT INTO `lang_definitions` VALUES (75066, 99, 15, 'Δεν επιτρέπεται η πρόσβαση');
INSERT INTO `lang_definitions` VALUES (75067, 101, 15, 'δεν επιτρέπεται η πρόσβαση');
INSERT INTO `lang_definitions` VALUES (75068, 102, 15, 'Δεν επιτρέπεται η πρόσβαση');
INSERT INTO `lang_definitions` VALUES (75069, 103, 15, 'Δεν επιτρέπεται η πρόσβαση');
INSERT INTO `lang_definitions` VALUES (75070, 104, 15, 'Πρόσβαση στον Ιατρικό Φάκελό σας');
INSERT INTO `lang_definitions` VALUES (75071, 105, 15, 'Πρόσβαση στο Portal Ασθενούς');
INSERT INTO `lang_definitions` VALUES (75072, 106, 15, 'Ατύχημα');
INSERT INTO `lang_definitions` VALUES (75073, 107, 15, 'Λογαριασμός');
INSERT INTO `lang_definitions` VALUES (75074, 112, 15, 'Ο Λογαριασμός επικυρώθηκε. Αποστολή νέων στοιχείων εισόδου;');
INSERT INTO `lang_definitions` VALUES (75075, 113, 15, 'Όνομα Λογαριασμού');
INSERT INTO `lang_definitions` VALUES (75076, 117, 15, 'Λογιστικά');
INSERT INTO `lang_definitions` VALUES (75077, 120, 15, 'Λογιστ.');
INSERT INTO `lang_definitions` VALUES (75078, 122, 15, 'Άλγη');
INSERT INTO `lang_definitions` VALUES (75079, 123, 15, 'Επιβεβαίωση της Ηλεκτρονικής Υπογραφής μου');
INSERT INTO `lang_definitions` VALUES (75080, 124, 15, 'Υπεβλήθη αίτημα επιβεβαίωσης (ISA14)');
INSERT INTO `lang_definitions` VALUES (75081, 125, 15, 'Ευχαριστίες, Αδειοδότηση και Πιστοποίηση');
INSERT INTO `lang_definitions` VALUES (75082, 127, 15, 'Διαχείριση ACL');
INSERT INTO `lang_definitions` VALUES (75083, 128, 15, 'Διαχείριση ACL (acl)');
INSERT INTO `lang_definitions` VALUES (75084, 129, 15, 'Δεν έχετε δικαίωμα να τροποποιήσετε τις ACL');
INSERT INTO `lang_definitions` VALUES (75085, 132, 15, 'Επιτυχής Ενημέρωση ACL');
INSERT INTO `lang_definitions` VALUES (75086, 133, 15, 'Ακμή');
INSERT INTO `lang_definitions` VALUES (75087, 136, 15, 'Ενέργεια');
INSERT INTO `lang_definitions` VALUES (75088, 138, 15, 'Ενέργεια');
INSERT INTO `lang_definitions` VALUES (75089, 140, 15, 'Ώρα Πραγματοποίησης Ενέργειας');
INSERT INTO `lang_definitions` VALUES (75090, 142, 15, 'Ενέργειες');
INSERT INTO `lang_definitions` VALUES (75091, 143, 15, 'Ενεργοποίηση');
INSERT INTO `lang_definitions` VALUES (75092, 144, 15, 'Ενεργοποίηση Αναφοράς CCR/CCD');
INSERT INTO `lang_definitions` VALUES (75093, 145, 15, 'Ενεργοποιήστε για αύξουσα ταξινόμηση');
INSERT INTO `lang_definitions` VALUES (75094, 146, 15, 'Ενεργοποιήστε για φθίνουσα ταξινόμηση');
INSERT INTO `lang_definitions` VALUES (75095, 148, 15, 'Ενεργό');
INSERT INTO `lang_definitions` VALUES (75096, 150, 15, 'Επιθετική Ειδοποίηση');
INSERT INTO `lang_definitions` VALUES (75097, 151, 15, 'Επιθετική Ειδοποίηση - που εμφανίζεται σαν αναδυόμενη ειδοποίηση κατά την προσπέλαση του φακέλου του ασθενούς');
INSERT INTO `lang_definitions` VALUES (75098, 152, 15, 'Κανόνες Επιθετικής Ειδοποίησης');
INSERT INTO `lang_definitions` VALUES (75099, 153, 15, 'Επιθετικές Ειδοποιήσεις/Υπενθυμίσεις');
INSERT INTO `lang_definitions` VALUES (75100, 154, 15, 'Ενεργός Φάκελος');
INSERT INTO `lang_definitions` VALUES (75101, 158, 15, 'Ενεργός Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (75102, 159, 15, 'Κωδικοί Ενεργών Θεμάτων ');
INSERT INTO `lang_definitions` VALUES (75103, 160, 15, 'Ενεργές Λίστες');
INSERT INTO `lang_definitions` VALUES (75104, 161, 15, 'Ενεργά Μηνύματα');
INSERT INTO `lang_definitions` VALUES (75105, 162, 15, 'Ενεργός Ασθενής');
INSERT INTO `lang_definitions` VALUES (75106, 163, 15, 'Ενεργά Πλάνα');
INSERT INTO `lang_definitions` VALUES (75107, 164, 15, 'Ενεργά Πρότυπα');
INSERT INTO `lang_definitions` VALUES (75108, 173, 15, 'Δραστηριότητα');
INSERT INTO `lang_definitions` VALUES (75109, 174, 15, 'Τύπος δραστηριότητας');
INSERT INTO `lang_definitions` VALUES (75110, 175, 15, 'Πραγματικές Αποδείξεις');
INSERT INTO `lang_definitions` VALUES (75111, 176, 15, 'Οξύτητα');
INSERT INTO `lang_definitions` VALUES (75112, 177, 15, 'ΟΞΥΤΗΤΑ');
INSERT INTO `lang_definitions` VALUES (75113, 179, 15, 'Οξύτητα με φακούς επαφής');
INSERT INTO `lang_definitions` VALUES (75114, 180, 15, 'Οξύτητα με διόρθωση');
INSERT INTO `lang_definitions` VALUES (75115, 184, 15, 'Οξύτητα χωρίς διόρθωση');
INSERT INTO `lang_definitions` VALUES (75116, 185, 15, 'Οξεία Δηλητηρίαση/Στέρηση');
INSERT INTO `lang_definitions` VALUES (75117, 186, 15, 'Οξεία Εκδήλωση Χρόνιας Κατάστασης');
INSERT INTO `lang_definitions` VALUES (75118, 187, 15, 'Οξύ επί χρονίου');
INSERT INTO `lang_definitions` VALUES (75119, 189, 15, 'Προσθήκη');
INSERT INTO `lang_definitions` VALUES (75120, 190, 15, 'προσθήκη');
INSERT INTO `lang_definitions` VALUES (75121, 191, 15, 'ΠΡΟΣΘΗΚΗ');
INSERT INTO `lang_definitions` VALUES (75122, 192, 15, 'Προσθήκη Εταιρείας');
INSERT INTO `lang_definitions` VALUES (75123, 193, 15, 'Προσθήκη προυπόθεσης');
INSERT INTO `lang_definitions` VALUES (75124, 194, 15, 'ΠΡΟΣΘΗΚΗ ΝΕΑΣ ΠΡΟΣΚΛΗΣΗΣ');
INSERT INTO `lang_definitions` VALUES (75125, 195, 15, 'Προσθήκη Νέας Πρόσκλησης');
INSERT INTO `lang_definitions` VALUES (75126, 197, 15, 'Προσθήκη Φαρμακείου');
INSERT INTO `lang_definitions` VALUES (75127, 198, 15, 'Προσθέστε όλους των απαιτούμενους παρόχους με παρόμοιο τρόπο');
INSERT INTO `lang_definitions` VALUES (75128, 199, 15, 'Προσθήκη όλων των κανόνων στο πλάνο');
INSERT INTO `lang_definitions` VALUES (75129, 200, 15, 'προσθήκη συμβάντος για');
INSERT INTO `lang_definitions` VALUES (75130, 201, 15, 'Προσθήκη ως νέο μήνυμα');
INSERT INTO `lang_definitions` VALUES (75131, 202, 15, 'Προσθήκη ως νέα σημείωση');
INSERT INTO `lang_definitions` VALUES (75132, 203, 15, 'Προσθήκη ως Νέο');
INSERT INTO `lang_definitions` VALUES (75133, 204, 15, 'Προσθήκη ως νέος ασθενής');
INSERT INTO `lang_definitions` VALUES (75134, 205, 15, 'Προσθήκη Σειράς στο Κάτω Όριο');
INSERT INTO `lang_definitions` VALUES (75135, 206, 15, 'Προσθήκη Κουμπιών');
INSERT INTO `lang_definitions` VALUES (75136, 207, 15, 'Προσθήκη Κουμπιών για Ειδικούς Χαρακτήρες, Κείμενα που θα εμφανίζονται πάνω από τον Editor, για ενσωμάτωση στο κείμενο με ένα Κλικ.');
INSERT INTO `lang_definitions` VALUES (75137, 208, 15, 'Προσθ. Κατηγορίας');
INSERT INTO `lang_definitions` VALUES (75138, 209, 15, 'Προσθ. Σταθεράς');
INSERT INTO `lang_definitions` VALUES (75139, 210, 15, 'Προσθήκη Πλαισίου');
INSERT INTO `lang_definitions` VALUES (75140, 211, 15, 'Προσθ. Συμμετοχής');
INSERT INTO `lang_definitions` VALUES (75141, 212, 15, 'Προσθ. Κριτηρίων');
INSERT INTO `lang_definitions` VALUES (75142, 213, 15, 'Προσθ. Ειδικού Κουμπιού');
INSERT INTO `lang_definitions` VALUES (75143, 216, 15, 'Προσθ. Διάγνωσης');
INSERT INTO `lang_definitions` VALUES (75144, 217, 15, 'Προσθ. Φαρμάκου');
INSERT INTO `lang_definitions` VALUES (75145, 219, 15, 'Προσθ. επιίσκεψης');
INSERT INTO `lang_definitions` VALUES (75146, 220, 15, 'Προσθ. Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (75147, 221, 15, 'Προσθ. Επίσκεψης/Σημείωσης');
INSERT INTO `lang_definitions` VALUES (75148, 222, 15, 'Προσθ. Έδρας');
INSERT INTO `lang_definitions` VALUES (75149, 223, 15, 'Προσθ. Πεδίου');
INSERT INTO `lang_definitions` VALUES (75150, 224, 15, 'Προσθήκη των ακόλουθων γραμμών στο αρχείο ρυθμίσεων του Apache');
INSERT INTO `lang_definitions` VALUES (75151, 225, 15, 'Προσθήκη Ομάδος');
INSERT INTO `lang_definitions` VALUES (75152, 226, 15, 'Προσθήκη ομάδας');
INSERT INTO `lang_definitions` VALUES (75153, 227, 15, 'Προσθ. Κωδ. ICD');
INSERT INTO `lang_definitions` VALUES (75154, 228, 15, 'Προσθ. Εμβολίου');
INSERT INTO `lang_definitions` VALUES (75155, 229, 15, 'Μη εξουσιοδοτημένη προσθήκη!');
INSERT INTO `lang_definitions` VALUES (75156, 230, 15, 'Προσθ. Θέματος');
INSERT INTO `lang_definitions` VALUES (75157, 231, 15, 'Προσθήκη αντικειμένου προς παρακολούθηση');
INSERT INTO `lang_definitions` VALUES (75158, 232, 15, 'Προσθ. Γλώσσας');
INSERT INTO `lang_definitions` VALUES (75159, 234, 15, 'Χειροκίνητη προσθήκη');
INSERT INTO `lang_definitions` VALUES (75160, 235, 15, 'Λειτουργία Προσθήκης');
INSERT INTO `lang_definitions` VALUES (75161, 237, 15, 'Προσθήκη Περισσότερων Αντικειμένων');
INSERT INTO `lang_definitions` VALUES (75162, 238, 15, 'Προσθήκη Νέου');
INSERT INTO `lang_definitions` VALUES (75163, 239, 15, 'Προσθήκη νέου/ας');
INSERT INTO `lang_definitions` VALUES (75164, 240, 15, 'Προσθ. νέας κατηγορίας');
INSERT INTO `lang_definitions` VALUES (75165, 241, 15, 'Προσθ. νέων πιστοποιητικών στο αρχείο ρυθμίσεων του Apache');
INSERT INTO `lang_definitions` VALUES (75166, 242, 15, 'Προσθήκη νέου συστατικού');
INSERT INTO `lang_definitions` VALUES (75167, 243, 15, 'Προσθήκη νέων συστατικών');
INSERT INTO `lang_definitions` VALUES (75168, 244, 15, 'Προσθήκη νέας βάσης δεδομένων');
INSERT INTO `lang_definitions` VALUES (75169, 245, 15, 'Προσθήκη Νέας Καταχώρησης');
INSERT INTO `lang_definitions` VALUES (75170, 246, 15, 'Προσθήκη Νέου Συμβάντος');
INSERT INTO `lang_definitions` VALUES (75171, 248, 15, 'ΠΡΟΣΘ. ΝΕΑΣ ΟΜΑΔΑΣ');
INSERT INTO `lang_definitions` VALUES (75172, 249, 15, 'Προσθ. Νέας Ομάδας');
INSERT INTO `lang_definitions` VALUES (75173, 250, 15, 'Προσθήκη Νέου Θέματος');
INSERT INTO `lang_definitions` VALUES (75174, 251, 15, 'Προσθ. νέας παρτίδας και συναλλαγής');
INSERT INTO `lang_definitions` VALUES (75175, 252, 15, 'Προσθ. Νέου Μηνύματος');
INSERT INTO `lang_definitions` VALUES (75176, 253, 15, 'Προσθ. Νέας Σημείωσης');
INSERT INTO `lang_definitions` VALUES (75177, 254, 15, 'Προσθ. νέας σημείωσης');
INSERT INTO `lang_definitions` VALUES (75178, 255, 15, 'Προσθ. Νέου Συνεργάτη');
INSERT INTO `lang_definitions` VALUES (75179, 256, 15, 'Προσθ. Νέου Ασθενούς');
INSERT INTO `lang_definitions` VALUES (75180, 257, 15, 'ΠΡΟΣΘ. ΝΕΟΥ ΠΛΑΝΟΥ');
INSERT INTO `lang_definitions` VALUES (75181, 258, 15, 'Προσθήκη');
INSERT INTO `lang_definitions` VALUES (75182, 264, 15, 'Προσθ. Σημείωσης');
INSERT INTO `lang_definitions` VALUES (75183, 266, 15, 'Προσθήκη Πακέτου');
INSERT INTO `lang_definitions` VALUES (75184, 267, 15, 'Προσθήκη Ασθενούς');
INSERT INTO `lang_definitions` VALUES (75185, 268, 15, 'Προσθ. Φακέλου Ασθενούς');
INSERT INTO `lang_definitions` VALUES (75186, 269, 15, 'Προσθ. Συνταγής');
INSERT INTO `lang_definitions` VALUES (75187, 270, 15, 'Προσθ. Ιατρικής Πράξης');
INSERT INTO `lang_definitions` VALUES (75188, 271, 15, 'Προσθ. Αρ. Παρόχου');
INSERT INTO `lang_definitions` VALUES (75189, 272, 15, 'Προσθήκη Πρόσκλησης');
INSERT INTO `lang_definitions` VALUES (75190, 273, 15, 'Προσθ. Αποκατάστασης');
INSERT INTO `lang_definitions` VALUES (75191, 274, 15, 'Προσθήκη κανόνα');
INSERT INTO `lang_definitions` VALUES (75192, 277, 15, 'Προσθήκη σε');
INSERT INTO `lang_definitions` VALUES (75193, 278, 15, 'ΠΡΟΣΘΗΚΗ ΣΕ ΥΠΑΡΧΟΝ ΜΗΝΥΜΑ');
INSERT INTO `lang_definitions` VALUES (75194, 279, 15, 'Προσθ. σε Υπάρχον Μήνυμα');
INSERT INTO `lang_definitions` VALUES (75195, 280, 15, 'Προσθ. στη λίστα');
INSERT INTO `lang_definitions` VALUES (75196, 281, 15, 'Προσθ. στον Κατάλ. Φαρμάκων');
INSERT INTO `lang_definitions` VALUES (75197, 282, 15, 'Προσθήκη Ανώτ. Επιπέδου');
INSERT INTO `lang_definitions` VALUES (75198, 283, 15, 'Προσθ. Συναλλαγής');
INSERT INTO `lang_definitions` VALUES (75199, 284, 15, 'Προσθήκη Χρήστη');
INSERT INTO `lang_definitions` VALUES (75200, 285, 15, 'Καταχώρηση Χρήστη σε Ομάδα');
INSERT INTO `lang_definitions` VALUES (75201, 286, 15, 'Προσθ.');
INSERT INTO `lang_definitions` VALUES (75202, 287, 15, 'Προσθ./Επεξεργ. ηλεκτρ. συνταγογράφησης');
INSERT INTO `lang_definitions` VALUES (75203, 288, 15, 'Προσθ./Επεξεργ. Θέματος');
INSERT INTO `lang_definitions` VALUES (75204, 289, 15, 'Προσθ./ Επεξεργ. Συναλλαγής με ασθενή');
INSERT INTO `lang_definitions` VALUES (75205, 290, 15, 'προσετέθη');
INSERT INTO `lang_definitions` VALUES (75206, 291, 15, 'Προσθήκη');
INSERT INTO `lang_definitions` VALUES (75207, 292, 15, 'Προσθήκη συμμετέχοντα');
INSERT INTO `lang_definitions` VALUES (75208, 293, 15, 'Δεν επιτρέπεται προσθήκη δημογραφ. στοιχείων.');
INSERT INTO `lang_definitions` VALUES (75209, 294, 15, 'Η προσθήκη του αντικειμένου απέτυχε');
INSERT INTO `lang_definitions` VALUES (75210, 295, 15, 'Σύνδρ. Addison');
INSERT INTO `lang_definitions` VALUES (75211, 296, 15, 'Σύνδρ. Addison');
INSERT INTO `lang_definitions` VALUES (75212, 297, 15, 'Πρόσθετα χαρακτηριστικά');
INSERT INTO `lang_definitions` VALUES (75213, 298, 15, 'Προσθήκη σημείων ραντεβού');
INSERT INTO `lang_definitions` VALUES (75214, 299, 15, 'Πρόσθετη Ημ/νία:');
INSERT INTO `lang_definitions` VALUES (75215, 300, 15, 'Πρόσθετη Διάγνωση:');
INSERT INTO `lang_definitions` VALUES (75216, 301, 15, 'Προσθήκη ευρημάτων');
INSERT INTO `lang_definitions` VALUES (75217, 305, 15, 'Πρόσθετο Ιστορικό');
INSERT INTO `lang_definitions` VALUES (75218, 306, 15, 'Πρόσθετες σημειώσεις ιστορικού');
INSERT INTO `lang_definitions` VALUES (75219, 307, 15, 'Πρόσθετες πληροφορίες');
INSERT INTO `lang_definitions` VALUES (75220, 310, 15, 'Πρόσθετα Εργαστηριακά');
INSERT INTO `lang_definitions` VALUES (75221, 311, 15, 'Πρόσθετες Σημειώσεις');
INSERT INTO `lang_definitions` VALUES (75222, 313, 15, 'Πρόσθετες Σημειώσεις για το αποτέλεσμα αυτό ή για τη σύσταση αυτή');
INSERT INTO `lang_definitions` VALUES (75223, 314, 15, 'Πρόσθετες Σημειώσεις:');
INSERT INTO `lang_definitions` VALUES (75224, 315, 15, 'Πρόσθετες Σημειώσεις:');
INSERT INTO `lang_definitions` VALUES (75225, 317, 15, 'Πρόσθετες σημειώσεις Ακτινογραφιών:');
INSERT INTO `lang_definitions` VALUES (75226, 318, 15, 'Επιπλέον, το αντίστοιχο πακέτο επέκτασης US SnoMed μπορεί να εισαχθεί χωριστά, μετά την εγκατάσταση της Διεθνούς Έκδοσης (Αγγλική έκδοση) του Snomed');
INSERT INTO `lang_definitions` VALUES (75227, 320, 15, 'μόνο προσθήκη');
INSERT INTO `lang_definitions` VALUES (75228, 321, 15, 'μόνο προσθήκη - ανάγνωση και προσθήκη, αλλά όχι τροποποίηση');
INSERT INTO `lang_definitions` VALUES (75229, 322, 15, 'Βιβλίο Διευθ.');
INSERT INTO `lang_definitions` VALUES (75230, 323, 15, 'Βιβλίο Διευθ.');
INSERT INTO `lang_definitions` VALUES (75231, 324, 15, 'Διεύθυνση');
INSERT INTO `lang_definitions` VALUES (75232, 325, 15, 'Διεύθυνση και Ταχυδρομικός κωδικός');
INSERT INTO `lang_definitions` VALUES (75233, 326, 15, 'Διεύθυνση και πολιτεία');
INSERT INTO `lang_definitions` VALUES (75234, 327, 15, 'Βιβλίο Διευθύνσεων');
INSERT INTO `lang_definitions` VALUES (75235, 328, 15, 'Καταχώρηση εταιρείας που εκτελεί αυτή τη διαδικασία, στο βιβλίο διευθύνσεων');
INSERT INTO `lang_definitions` VALUES (75236, 329, 15, 'Καταχώρηση διανομέως στο βιβλίο διευθύνσεων');
INSERT INTO `lang_definitions` VALUES (75237, 330, 15, 'Καταχώρηση πωλητού στο βιβλίο διευθύνσεων');
INSERT INTO `lang_definitions` VALUES (75238, 331, 15, 'Τύποι Βιβλίων διευθύνσεων');
INSERT INTO `lang_definitions` VALUES (75239, 332, 15, 'Ετικέτα Διεύθυνσης');
INSERT INTO `lang_definitions` VALUES (75240, 333, 15, 'Ετικέτες Διευθύνσεων');
INSERT INTO `lang_definitions` VALUES (75241, 336, 15, 'Διεύθυνση');
INSERT INTO `lang_definitions` VALUES (75242, 337, 15, 'Διεύθυνση, Πόλη, Νομός και ΤΚ');
INSERT INTO `lang_definitions` VALUES (75243, 338, 15, 'Διεύθυνση, Νομός και ΤΚ');
INSERT INTO `lang_definitions` VALUES (75244, 339, 15, 'Διεύθυνση 1');
INSERT INTO `lang_definitions` VALUES (75245, 340, 15, 'Διεύθυνση 2');
INSERT INTO `lang_definitions` VALUES (75246, 341, 15, 'ΔΙΕΥΘΥΝΣΗ ΑΠΟΣΤΟΛΗΣ');
INSERT INTO `lang_definitions` VALUES (75247, 342, 15, 'Παραλήπτης');
INSERT INTO `lang_definitions` VALUES (75248, 345, 15, 'Ρύθμ');
INSERT INTO `lang_definitions` VALUES (75249, 346, 15, 'Ρύθμ Ποσού');
INSERT INTO `lang_definitions` VALUES (75250, 347, 15, 'Ρύθμιση');
INSERT INTO `lang_definitions` VALUES (75251, 348, 15, 'Αναπροσαρμογή');
INSERT INTO `lang_definitions` VALUES (75252, 349, 15, 'Ποσό αναπροσαρμογής');
INSERT INTO `lang_definitions` VALUES (75253, 350, 15, 'Λόγοι αναπροσαρμογής');
INSERT INTO `lang_definitions` VALUES (75254, 352, 15, 'Αναπροσαρμογή τιμής για κωδικό');
INSERT INTO `lang_definitions` VALUES (75255, 353, 15, 'Αναπροσαρμογές');
INSERT INTO `lang_definitions` VALUES (75256, 354, 15, 'Αναπροσαρμογή διαχ.');
INSERT INTO `lang_definitions` VALUES (75257, 355, 15, 'Διαχειριστής');
INSERT INTO `lang_definitions` VALUES (75258, 356, 15, 'E-mail Διαχειριστή');
INSERT INTO `lang_definitions` VALUES (75259, 357, 15, 'Χορήγηση μέσω');
INSERT INTO `lang_definitions` VALUES (75260, 358, 15, 'Η «Χορήγηση μέσω» δεν ταιριάζει εδώ και μπορεί να μείνει «Ακαταχώρητη»');
INSERT INTO `lang_definitions` VALUES (75261, 359, 15, 'Χορηγήθηκε');
INSERT INTO `lang_definitions` VALUES (75262, 360, 15, 'Χορηγήθηκε από');
INSERT INTO `lang_definitions` VALUES (75263, 361, 15, 'Ημ. Χορήγησης');
INSERT INTO `lang_definitions` VALUES (75264, 362, 15, 'Θέση Χορήγησης');
INSERT INTO `lang_definitions` VALUES (75265, 363, 15, 'Διαχείριση');
INSERT INTO `lang_definitions` VALUES (75266, 364, 15, 'Διαχειριστής (admin)');
INSERT INTO `lang_definitions` VALUES (75267, 365, 15, 'Θέση Χορήγησης');
INSERT INTO `lang_definitions` VALUES (75268, 366, 15, 'Διαχειριστές');
INSERT INTO `lang_definitions` VALUES (75269, 367, 15, 'Οι διαχειριστές μπορούν να κάνουν τα πάντα');
INSERT INTO `lang_definitions` VALUES (75270, 368, 15, 'Ημ. εισαγωγής');
INSERT INTO `lang_definitions` VALUES (75271, 369, 15, 'Εξάρτημα μήτρας');
INSERT INTO `lang_definitions` VALUES (75272, 370, 15, 'Υιοθετημένο παιδί');
INSERT INTO `lang_definitions` VALUES (75273, 371, 15, 'Ελεγχος Βάρους Ενηλίκων και επανεκτίμηση');
INSERT INTO `lang_definitions` VALUES (75274, 372, 15, 'Ελεγχος Βάρους Ενηλίκων και επανεκτίμηση (CQM)');
INSERT INTO `lang_definitions` VALUES (75275, 373, 15, 'Προκαταβολική Οδηγία');
INSERT INTO `lang_definitions` VALUES (75276, 374, 15, 'Προκαταβολικές Οδηγίες');
INSERT INTO `lang_definitions` VALUES (75277, 375, 15, 'Προειδοποίηση σχετικά με Προκαταβολικές Οδηγίες');
INSERT INTO `lang_definitions` VALUES (75278, 376, 15, 'Προχωρημένες ρυθμίσεις');
INSERT INTO `lang_definitions` VALUES (75279, 377, 15, 'Για προχωρημένους');
INSERT INTO `lang_definitions` VALUES (75280, 378, 15, 'Για προχωρημένους - Λεπτομερής Έλεγχος Πρόσβασης');
INSERT INTO `lang_definitions` VALUES (75281, 379, 15, 'Πλεονεκτήματα και Μειονεκτήματα των TOTP και U2F');
INSERT INTO `lang_definitions` VALUES (75282, 380, 15, 'Συμβουλή');
INSERT INTO `lang_definitions` VALUES (75283, 382, 15, 'Επίδραση στο φυσιολογικό');
INSERT INTO `lang_definitions` VALUES (75284, 384, 15, 'ύστερα');
INSERT INTO `lang_definitions` VALUES (75285, 386, 15, 'Κλήσεις εκτός ωραρίου εργασίας');
INSERT INTO `lang_definitions` VALUES (75286, 387, 15, 'Όταν ολοκληρωθεί η μετάβαση από τους παλιούς μηχανισμούς κωδικού πρόσβασης, όπου οι κωδικοί αποθηκεύονται στον πίνακα χρηστών χωρίς αλάτι, αυτό το flag πρέπει να ορισθεί στη τιμή false έτσι ώστε να είναι δυνατή μόνον η διαπίστευση μέσω της νέας μεθόδου');
INSERT INTO `lang_definitions` VALUES (75287, 388, 15, 'Μετά την πραγματοποίηση των ανωτέρω ρυθμίσεων, εισάγετε το πιστοποιητικό του πελάτη admin στον φυλλομετρητή και επανεκινήστε τον Apache server (κενό password).');
INSERT INTO `lang_definitions` VALUES (75288, 390, 15, 'Μετά την αποθήκευση του PDF, κάντε click στο [Προβολή Log] για να ελέγξετε για πιθανά λάθη.');
INSERT INTO `lang_definitions` VALUES (75289, 391, 15, 'Μετά την αποθήκευση του PDF, κάντε click στο [Προβολή Log] για να ελέγξετε για πιθανά λάθη.');
INSERT INTO `lang_definitions` VALUES (75290, 393, 15, 'Μετά την αποθήκευση του/των ΤΕΧΤ αρχείου/ων, κάντε click στο [Προβολή Log] να ελέγξετε για πιθανά λάθη.');
INSERT INTO `lang_definitions` VALUES (75291, 396, 15, 'Μετά την αποθήκευση της δέσμης ενεργειών σας, κάντε click στο [Προβολή Log] να ελέγξετε για πιθανά λάθη');
INSERT INTO `lang_definitions` VALUES (75292, 398, 15, 'Μετά απο αυτό, το πεδίο Match θα εμφανίσει τον κωδικό ασθενή ή 0 για να δημιουργηθεί');
INSERT INTO `lang_definitions` VALUES (75293, 399, 15, 'Αν οι πληροφορίες που εισάγατε είναι σωστές, πατήστε το κουμπί Αποθήκευση');
INSERT INTO `lang_definitions` VALUES (75294, 400, 15, 'Μετά την ενημέρωση πατήστε \"Εισαγωγή\"');
INSERT INTO `lang_definitions` VALUES (75295, 401, 15, 'Μετά την ενημέρωση πατήστε \"Εισαγωγή\"');
INSERT INTO `lang_definitions` VALUES (75296, 404, 15, 'Σχεδιασμός συνέχισης φροντίδας');
INSERT INTO `lang_definitions` VALUES (75297, 406, 15, 'Ξανά');
INSERT INTO `lang_definitions` VALUES (75298, 407, 15, 'Ηλικία');
INSERT INTO `lang_definitions` VALUES (75299, 408, 15, 'Ηλικία θανάτου');
INSERT INTO `lang_definitions` VALUES (75300, 409, 15, 'Ηλικία ανά');
INSERT INTO `lang_definitions` VALUES (75301, 410, 15, 'Κατηγορία ηλικίας');
INSERT INTO `lang_definitions` VALUES (75302, 411, 15, 'Τα στοιχεία ηλικίας είναι έκτος ορίων');
INSERT INTO `lang_definitions` VALUES (75303, 412, 15, 'Μορφή εμφάνισης ηλικίας');
INSERT INTO `lang_definitions` VALUES (75304, 413, 15, 'Η μορφή της ηλικίας για \"ηλικία από\" δεν είναι έγκυρη');
INSERT INTO `lang_definitions` VALUES (75305, 414, 15, 'Η μορφή της ηλικίας για \"ηλικία μέχρι\" δεν είναι έγκυρη');
INSERT INTO `lang_definitions` VALUES (75306, 415, 15, 'Ηλικία από');
INSERT INTO `lang_definitions` VALUES (75307, 416, 15, 'Ηλικία σε έτη για την αλλαγή του τύπου εμφάνισης');
INSERT INTO `lang_definitions` VALUES (75308, 417, 15, 'Μέγιστη ηλικία');
INSERT INTO `lang_definitions` VALUES (75309, 418, 15, 'Ελάχ. ηλικία');
INSERT INTO `lang_definitions` VALUES (75310, 419, 15, 'Ηλικιακό Εύρος');
INSERT INTO `lang_definitions` VALUES (75311, 420, 15, 'Στήλες Ηλικίας');
INSERT INTO `lang_definitions` VALUES (75312, 421, 15, 'Στήλες Ηλικίας:');
INSERT INTO `lang_definitions` VALUES (75313, 423, 15, 'Αλβανικά');
INSERT INTO `lang_definitions` VALUES (75314, 424, 15, 'Αλκοόλ');
INSERT INTO `lang_definitions` VALUES (75315, 425, 15, 'Κατανάλωση αλκοόλ');
INSERT INTO `lang_definitions` VALUES (75316, 426, 15, 'Χρήση αλκόολ');
INSERT INTO `lang_definitions` VALUES (75317, 427, 15, 'Ειδοποίηση');
INSERT INTO `lang_definitions` VALUES (75318, 428, 15, 'Αριθμός Ειδοποιήσεων');
INSERT INTO `lang_definitions` VALUES (75319, 430, 15, 'Ειδοποίηση ανήμερα και την επόμενη των γενεθλίων');
INSERT INTO `lang_definitions` VALUES (75320, 431, 15, 'Ειδοποίηση ανήμερα έως και 28 ημέρες από τα γενέθλια');
INSERT INTO `lang_definitions` VALUES (75321, 432, 15, 'Ειδοποίηση σε γενέθλια ασθενούς');
INSERT INTO `lang_definitions` VALUES (75322, 433, 15, 'Ειδοποίηση μόνο σε γενέθλια');
INSERT INTO `lang_definitions` VALUES (75323, 434, 15, 'Ώρα Ειδοποίησης');
INSERT INTO `lang_definitions` VALUES (75324, 435, 15, 'Ειδοποιήσεις');
INSERT INTO `lang_definitions` VALUES (75325, 436, 15, 'Αρχείο Καταγραφής Ειδοποιήσεων');
INSERT INTO `lang_definitions` VALUES (75326, 437, 15, 'Ειδοποιήσεις/Υπενθυμίσεις');
INSERT INTO `lang_definitions` VALUES (75327, 438, 15, 'Σε εγρήγορση');
INSERT INTO `lang_definitions` VALUES (75328, 440, 15, 'Όλα');
INSERT INTO `lang_definitions` VALUES (75329, 441, 15, 'ΟΛΑ');
INSERT INTO `lang_definitions` VALUES (75330, 443, 15, 'Όλα (σελιδοποιημένη μορφή Α)');
INSERT INTO `lang_definitions` VALUES (75331, 444, 15, 'Όλα (σελιδοποιημένη μορφή Β)');
INSERT INTO `lang_definitions` VALUES (75332, 445, 15, 'Όλα (Συγκεντρωτικά)');
INSERT INTO `lang_definitions` VALUES (75333, 446, 15, 'Όλες οι Ειδοποιήσεις');
INSERT INTO `lang_definitions` VALUES (75334, 447, 15, 'Αυτόματες μετρήσεις');
INSERT INTO `lang_definitions` VALUES (75335, 448, 15, 'Όλες οι κατηγορίες');
INSERT INTO `lang_definitions` VALUES (75336, 450, 15, 'Όλοι οι Κωδικοί');
INSERT INTO `lang_definitions` VALUES (75337, 452, 15, 'Όλα τα Ραντεβού');
INSERT INTO `lang_definitions` VALUES (75338, 453, 15, 'Ολοήμερο');
INSERT INTO `lang_definitions` VALUES (75339, 454, 15, 'Ολοήμερο συμβάν');
INSERT INTO `lang_definitions` VALUES (75340, 455, 15, 'Όλα τα πεδία Δημογραφικών. με αναζήτηση και έλεγχο διπλοκαταχωρήσεων');
INSERT INTO `lang_definitions` VALUES (75341, 456, 15, 'Όλες οι επισκέψεις');
INSERT INTO `lang_definitions` VALUES (75342, 457, 15, 'Όλες οι Έδρες');
INSERT INTO `lang_definitions` VALUES (75343, 458, 15, 'Όλες οι Κακώσεις/Νοσήματα/Θέματα');
INSERT INTO `lang_definitions` VALUES (75344, 459, 15, 'Επιτρέπονται όλες οι γλώσσες');
INSERT INTO `lang_definitions` VALUES (75345, 460, 15, 'Όλα τα Μηνύματα');
INSERT INTO `lang_definitions` VALUES (75346, 462, 15, 'Μικρό Όνομα ή τμήμα του');
INSERT INTO `lang_definitions` VALUES (75347, 463, 15, 'Επώνυμο ή τμήμα του');
INSERT INTO `lang_definitions` VALUES (75348, 464, 15, 'Οργανισμός ή τμήμα του');
INSERT INTO `lang_definitions` VALUES (75349, 465, 15, 'Στο OpenEMR όλες οι αλληλεπιδράσεις με ασθενείς είναι συνδεδεμένες με επισκέψεις');
INSERT INTO `lang_definitions` VALUES (75350, 466, 15, 'Όλοι οι ασθενείς');
INSERT INTO `lang_definitions` VALUES (75351, 467, 15, 'Όλα τα μηνύματα που εκκρεμούν εμφανίζονται στην καρτέλα ΤΑ ΜΗΝΥΜΑΤΑ ΜΟΥ');
INSERT INTO `lang_definitions` VALUES (75352, 468, 15, 'Όλα τα Προϊόντα');
INSERT INTO `lang_definitions` VALUES (75353, 469, 15, 'Όλοι οι Πάροχοι');
INSERT INTO `lang_definitions` VALUES (75354, 470, 15, 'Όλα ελέγχθηκαν και ήταν αρνητικά:');
INSERT INTO `lang_definitions` VALUES (75355, 473, 15, 'Όλα έτοιμα. Κάντε κλικ στο κουμπί «Αποστολή Αιτήματος» για να ολοκληρωθεί η εγγραφή');
INSERT INTO `lang_definitions` VALUES (75356, 475, 15, 'Όλα τα Θέματα:');
INSERT INTO `lang_definitions` VALUES (75357, 478, 15, 'Όλοι οι Χρήστες');
INSERT INTO `lang_definitions` VALUES (75358, 479, 15, 'Αλλεργικός/ή');
INSERT INTO `lang_definitions` VALUES (75359, 480, 15, 'Αλλεργικός/ή σε');
INSERT INTO `lang_definitions` VALUES (75360, 481, 15, 'Αλλεργίες');
INSERT INTO `lang_definitions` VALUES (75361, 483, 15, 'Αλλεργίες/Σημαντικά Στοιχεία');
INSERT INTO `lang_definitions` VALUES (75362, 484, 15, 'Αλλεργίες:');
INSERT INTO `lang_definitions` VALUES (75363, 485, 15, 'Αλλεργία');
INSERT INTO `lang_definitions` VALUES (75364, 486, 15, 'Η εισαγωγή Aλλεργιών ήταν επιτυχής');
INSERT INTO `lang_definitions` VALUES (75365, 487, 15, 'Λίστα Αλλεργιών');
INSERT INTO `lang_definitions` VALUES (75366, 488, 15, 'Αλλεργική αντίδραση');
INSERT INTO `lang_definitions` VALUES (75367, 489, 15, 'ΠΡΟΕΙΔΟΠΟΙΗΣΗ ΑΛΛΕΡΓΙΑΣ');
INSERT INTO `lang_definitions` VALUES (75368, 490, 15, 'Προειδοποίηση Αλλεργίας');
INSERT INTO `lang_definitions` VALUES (75369, 491, 15, 'Κατανομή');
INSERT INTO `lang_definitions` VALUES (75370, 492, 15, 'Να επιτρέπεται');
INSERT INTO `lang_definitions` VALUES (75371, 493, 15, 'Να επιστρέπεται στον διαχειριστή να διαγράψει ασθενείς');
INSERT INTO `lang_definitions` VALUES (75372, 494, 15, 'Όταν κάνετε login, επιτρέψτε όλες τις διαθέσιμες γλώσσες ως επιλογές του μενού');
INSERT INTO `lang_definitions` VALUES (75373, 495, 15, 'Να επιτρέπεται Check In πριν από την προγραμματισμένη ώρα ραντεβού');
INSERT INTO `lang_definitions` VALUES (75374, 496, 15, 'Να επιτρέπεται δημιουργία Αιτημάτων Αποζημίωσης που περιέχουν Διαγνώσεις, αλλά όχι Ιατρικές Πράξεις ή Χρεώσεις. Τα περισσότερα Ιατρεία δεν το θέλουν αυτό.');
INSERT INTO `lang_definitions` VALUES (75375, 497, 15, 'Να επιτρέπεται η γλώσα αποσφαλμάτωσης');
INSERT INTO `lang_definitions` VALUES (75376, 500, 15, 'Να επιτρέπεται αποστολή e-mail');
INSERT INTO `lang_definitions` VALUES (75377, 501, 15, 'Να επιτρέπεται αποστολή μηνυμάτων e-mail;');
INSERT INTO `lang_definitions` VALUES (75378, 502, 15, 'Να επιτρέπεται αποστολή e-mail;');
INSERT INTO `lang_definitions` VALUES (75379, 503, 15, 'Να επιτρέπονται Αιτήματα Αποζημίωσης Επισκέψεων');
INSERT INTO `lang_definitions` VALUES (75380, 504, 15, 'Να επιτρέπεται Επίσκεψη για κάθε Ραντεβού');
INSERT INTO `lang_definitions` VALUES (75381, 505, 15, 'Επιτρέπεται Ανταλλαγή Πληροφοριών Υγείας');
INSERT INTO `lang_definitions` VALUES (75382, 506, 15, 'Επιτρέπεται Ανταλλαγή Πληροφοριών Υγείας');
INSERT INTO `lang_definitions` VALUES (75383, 507, 15, 'Επιτρέπεται Διαμοιρασμός Πληρ. Ανοσοποίησης');
INSERT INTO `lang_definitions` VALUES (75384, 508, 15, 'Επιτρέπεται Διαμοιρασμός Πληρ. Ανοσοποίησης');
INSERT INTO `lang_definitions` VALUES (75385, 509, 15, 'Επιτρέπεται Χρήση Μητρώου Εμβολιασμών');
INSERT INTO `lang_definitions` VALUES (75386, 512, 15, 'Επιτρέπεται Μήνυμα Ταχυδρομείου');
INSERT INTO `lang_definitions` VALUES (75387, 514, 15, 'Επιτρέπονται πολλαπλές βάσεις δεδομένων');
INSERT INTO `lang_definitions` VALUES (75388, 531, 15, 'Επιτρέπεται στον Πίνακα Ροής Ασθενών να Επιλέγει Ασθενείς για Δοκιμές Φαρμάκων.');
INSERT INTO `lang_definitions` VALUES (75389, 533, 15, 'Επιτρέπεται το Portal Ασθενούς');
INSERT INTO `lang_definitions` VALUES (75390, 539, 15, 'Επιτρέπονται Ταχυδρομικά Μηνύματα');
INSERT INTO `lang_definitions` VALUES (75391, 541, 15, 'Επιτρέπονται SMS');
INSERT INTO `lang_definitions` VALUES (75392, 542, 15, 'Επιτρέπονται SMS (μήνυμ. κειμένου);');
INSERT INTO `lang_definitions` VALUES (75393, 543, 15, 'Επιτρέπεται η αφαίρεση αντικειμένων απο την εκτύπωση');
INSERT INTO `lang_definitions` VALUES (75394, 544, 15, 'Τα συμβάντα που υπεβλήθησαν να γίνονται αμέσως ενεργά;');
INSERT INTO `lang_definitions` VALUES (75395, 545, 15, 'Επιτρέπονται τηλεφωνικά μηνύματα;');
INSERT INTO `lang_definitions` VALUES (75396, 546, 15, 'Επιτρέπεται η χρήση με πολλαπλές βάσεις δεδομένων');
INSERT INTO `lang_definitions` VALUES (75397, 547, 15, 'Οι χρήστες μπορούν να δημοσιεύουν Καθολικά Συμβάντα');
INSERT INTO `lang_definitions` VALUES (75398, 548, 15, 'Οι χρήστες μπορούν να δημοσιεύουν Προσωπικά Ημερολόγια');
INSERT INTO `lang_definitions` VALUES (75399, 553, 15, 'Επιτρέπεται Φωνητική Κλήση');
INSERT INTO `lang_definitions` VALUES (75400, 554, 15, 'Επιτρέπονται Φωνητικά Μηνύματα');
INSERT INTO `lang_definitions` VALUES (75401, 555, 15, 'Επιτρέπεται');
INSERT INTO `lang_definitions` VALUES (75402, 556, 15, 'Επιτρεπτές γλώσσες');
INSERT INTO `lang_definitions` VALUES (75403, 557, 15, 'Επιτρέπονται εκπτώσεις ');
INSERT INTO `lang_definitions` VALUES (75404, 558, 15, 'Επιτρέπεται(c)');
INSERT INTO `lang_definitions` VALUES (75405, 559, 15, 'Επιτρέπεται υπογραφή E-Sign στο σύνολο της Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (75406, 560, 15, 'Επιτρέπεται υπογραφή E-Sign σε μεμονωμένα Έντυπα');
INSERT INTO `lang_definitions` VALUES (75407, 561, 15, 'Επιτρέπεται Ταχυδρομείο');
INSERT INTO `lang_definitions` VALUES (75408, 562, 15, 'Επιτρέπονται Φωνητικά μηνύματα');
INSERT INTO `lang_definitions` VALUES (75409, 565, 15, 'Βρίσκεστε στην αρχή της σελίδας');
INSERT INTO `lang_definitions` VALUES (75410, 566, 15, 'υπάρχει ήδη');
INSERT INTO `lang_definitions` VALUES (75411, 568, 15, 'υπάρχει ήδη.');
INSERT INTO `lang_definitions` VALUES (75412, 569, 15, 'Είδη εγγεγραμμένος');
INSERT INTO `lang_definitions` VALUES (75413, 570, 15, 'Χρησιμοποιείται ήδη, επιλέξτε άλλο αναγνωριστικό');
INSERT INTO `lang_definitions` VALUES (75414, 571, 15, 'Χρησιμοποιείται ήδη, επιλέξτε άλλο τίτλο');
INSERT INTO `lang_definitions` VALUES (75415, 573, 15, 'Εναλλ. Διεύθυνση');
INSERT INTO `lang_definitions` VALUES (75416, 577, 15, 'αλλαγή');
INSERT INTO `lang_definitions` VALUES (75417, 584, 15, 'Εναλλακτικά, μπορείτε να χρησιμοποιήσετε τη σελίδα αναζήτησης για να φορτώσετε ένα αρχείο ηλεκτρον. εμβάσματος (X12 835) που έχετε λάβει από τον πληρωτή ή το γραφείο clearinghouse, κάνοντας κλικ στο κουμπί \"Περιήγηση\" και επιλέγοντας το αρχείο για να φορτώσετε, και στη συνέχεια, επιλέξτε Αναζήτηση για να εκτελεστεί η μεταφόρτωση και η απεικόνιση των αντίστοιχων παραστατικών. Στην περίπτωση αυτή, οι λοιπές παράμετροι που αναφέρονται παραπάνω δεν ισχύουν και θα πρέπει να αγνοηθούν. Η μεταφόρτωση αποθηκεύει το αρχείο, αλλά δεν επεξεργάζεται ακόμη το περιεχόμενό του - αυτό γίνεται ξεχωριστά, όπως περιγράφεται κατωτέρω.');
INSERT INTO `lang_definitions` VALUES (75418, 586, 15, 'ΠΜ');
INSERT INTO `lang_definitions` VALUES (75419, 587, 15, 'Πρόγραμμα π.μ.');
INSERT INTO `lang_definitions` VALUES (75420, 588, 15, 'Αμβλυωπία');
INSERT INTO `lang_definitions` VALUES (75421, 589, 15, 'Ασθενοφόρο - Αέρας ή Θάλασσα');
INSERT INTO `lang_definitions` VALUES (75422, 590, 15, 'Ασθενοφόρο - Ξηρά');
INSERT INTO `lang_definitions` VALUES (75423, 592, 15, 'AMC');
INSERT INTO `lang_definitions` VALUES (75424, 593, 15, 'Παρακολούθηση AMC');
INSERT INTO `lang_definitions` VALUES (75425, 599, 15, 'Τροποποίηση υφιστάμενου μηνύματος');
INSERT INTO `lang_definitions` VALUES (75426, 600, 15, 'Τροποποίηση υφιστάμενης σημείωσης');
INSERT INTO `lang_definitions` VALUES (75427, 602, 15, 'Τροποποίηση Από');
INSERT INTO `lang_definitions` VALUES (75428, 603, 15, 'Κατάλογος Τροποποιήσεων');
INSERT INTO `lang_definitions` VALUES (75429, 604, 15, 'Κατάσταση Τροποποίησης');
INSERT INTO `lang_definitions` VALUES (75430, 605, 15, 'Τροποποιήσεις');
INSERT INTO `lang_definitions` VALUES (75431, 609, 15, 'Τροποποιήσεις για');
INSERT INTO `lang_definitions` VALUES (75432, 610, 15, 'Αμερικανός Ινδιάνος');
INSERT INTO `lang_definitions` VALUES (75433, 611, 15, 'Αμερικανός Ινδιάνος ή Γηγενής εξ\' Αλάσκας');
INSERT INTO `lang_definitions` VALUES (75434, 612, 15, 'American Express');
INSERT INTO `lang_definitions` VALUES (75435, 613, 15, 'Αμαρικά');
INSERT INTO `lang_definitions` VALUES (75436, 614, 15, 'Ποσό');
INSERT INTO `lang_definitions` VALUES (75437, 615, 15, 'Ποσό που χορηγήθηκε');
INSERT INTO `lang_definitions` VALUES (75438, 616, 15, 'Ποσό που χρεώθηκε');
INSERT INTO `lang_definitions` VALUES (75439, 617, 15, 'Ποσό χρέωσης');
INSERT INTO `lang_definitions` VALUES (75440, 618, 15, 'Ποσό χρέωσης:');
INSERT INTO `lang_definitions` VALUES (75441, 619, 15, 'Ποσό');
INSERT INTO `lang_definitions` VALUES (75442, 620, 15, 'Ποσό από Προηγ. Υπόλοιπο');
INSERT INTO `lang_definitions` VALUES (75443, 621, 15, 'Ποσό για αυτή την Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (75444, 622, 15, 'Καταβληθέν Ποσό');
INSERT INTO `lang_definitions` VALUES (75445, 623, 15, 'Ποσό:');
INSERT INTO `lang_definitions` VALUES (75446, 626, 15, 'Ποσό που χρεώθηκε:');
INSERT INTO `lang_definitions` VALUES (75447, 627, 15, 'Ένα ραντεβού μπορεί να προγραμματιστεί κάνοντας κλικ στο εικονίδιο με το ημερολόγιο, στο αντίστοιχο κελί');
INSERT INTO `lang_definitions` VALUES (75448, 630, 15, 'Για τα επαναλαμβανόμενα γεγονότα, χρειάζεται μια ημ/νία τέλους μετά την ημερ. έναρξης.');
INSERT INTO `lang_definitions` VALUES (75449, 631, 15, 'Προέκυψε σφάλμα κατά την υπογραφή της φόρμας');
INSERT INTO `lang_definitions` VALUES (75450, 632, 15, 'Προέκυψε σφάλμα κατά το dumping του web directory του OpenEMR');
INSERT INTO `lang_definitions` VALUES (75451, 633, 15, 'Προέκυψε σφάλμα κατά το dumping του web directory του phpGACL');
INSERT INTO `lang_definitions` VALUES (75452, 634, 15, 'Προέκυψε σφάλμα κατά το dumping του web directory του SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (75453, 638, 15, 'Ένα ατελές θέμα GCAC δημιουργήθηκε και συνδέθηκε. Κάποιος θα πρέπει να το ολοκληρώσει αργότερα.');
INSERT INTO `lang_definitions` VALUES (75454, 643, 15, 'Πρέκυψε σφάλμα, επικοινωήστεμε τον διαχειριστή του συστήματος');
INSERT INTO `lang_definitions` VALUES (75455, 644, 15, 'Προέκυψε μη αναμενόμενο σφάλμα');
INSERT INTO `lang_definitions` VALUES (75456, 645, 15, 'Ένα Ενημερωμένο Ραντεβού');
INSERT INTO `lang_definitions` VALUES (75457, 646, 15, 'Ενα κεφαλαίο γράμμα');
INSERT INTO `lang_definitions` VALUES (75458, 647, 15, 'Αναλύθηκε');
INSERT INTO `lang_definitions` VALUES (75459, 648, 15, 'και');
INSERT INTO `lang_definitions` VALUES (75460, 649, 15, 'Και');
INSERT INTO `lang_definitions` VALUES (75461, 650, 15, 'ΚΑΙ');
INSERT INTO `lang_definitions` VALUES (75462, 651, 15, 'και');
INSERT INTO `lang_definitions` VALUES (75463, 652, 15, 'και όλα τα συμπληρωματικά στοιχεία; Η ενέργεια αυτή θα καταγραφεί');
INSERT INTO `lang_definitions` VALUES (75464, 653, 15, 'και τροποποιητής');
INSERT INTO `lang_definitions` VALUES (75465, 654, 15, 'και επεξεργασμένο.');
INSERT INTO `lang_definitions` VALUES (75466, 656, 15, 'και επανεκκινήστε τον Apache server.');
INSERT INTO `lang_definitions` VALUES (75467, 657, 15, 'και ο λόγος είναι');
INSERT INTO `lang_definitions` VALUES (75468, 659, 15, 'Αναιμία');
INSERT INTO `lang_definitions` VALUES (75469, 660, 15, 'Αστράγαλος');
INSERT INTO `lang_definitions` VALUES (75470, 661, 15, 'Αστράγαλος + πτέρνα');
INSERT INTO `lang_definitions` VALUES (75471, 662, 15, 'Έντυπο εκτίμησης του αστραγάλου');
INSERT INTO `lang_definitions` VALUES (75472, 663, 15, 'Νοσήματα αστραγάλου');
INSERT INTO `lang_definitions` VALUES (75473, 664, 15, 'Αγκυλοποιητική Σπονδυλίτιδα');
INSERT INTO `lang_definitions` VALUES (75474, 665, 15, 'Αγκυλοποιητική Σπονδυλίτιδα');
INSERT INTO `lang_definitions` VALUES (75475, 666, 15, 'Ανορεξία');
INSERT INTO `lang_definitions` VALUES (75476, 667, 15, 'Στο παράθυρο αποστολής μπορείτε επίσης να ζητήσετε δευτερεύουσα χρέωση. Αν επιλέξετε αυτό το πλαίσιο πριν την αποθήκευση, τότε η αρχική αγωγή θα ανοιχθεί ξανά και θα μπει στην ουρά στη σελίδα Χρεώσεων, και θα διεκπεραιωθεί κατά την επόμενη διαδικασία χρέωσης.');
INSERT INTO `lang_definitions` VALUES (75477, 669, 15, 'Τηλεφωνικό Κέντρο');
INSERT INTO `lang_definitions` VALUES (75478, 671, 15, 'προ');
INSERT INTO `lang_definitions` VALUES (75479, 672, 15, 'Βάθος Πρόσθιου Θαλάμου');
INSERT INTO `lang_definitions` VALUES (75480, 676, 15, 'Πρωκτικός Δακτύλιος κ.φ., χωρίς ορθική ευαισθησία/μάζα');
INSERT INTO `lang_definitions` VALUES (75481, 677, 15, 'Άγχος');
INSERT INTO `lang_definitions` VALUES (75482, 678, 15, 'όλα');
INSERT INTO `lang_definitions` VALUES (75483, 679, 15, 'Όλοι');
INSERT INTO `lang_definitions` VALUES (75484, 682, 15, 'Οποιαδήποτε Κατηγορία');
INSERT INTO `lang_definitions` VALUES (75485, 686, 15, 'οποιαδήποτε ημ/νία');
INSERT INTO `lang_definitions` VALUES (75486, 687, 15, 'Οποιοδήποτε Δημογραφικό - Αναζήτηση');
INSERT INTO `lang_definitions` VALUES (75487, 688, 15, 'Οποιοδήποτε τμήμα του επιθυμητού κωδικού ή της περιγραφής του');
INSERT INTO `lang_definitions` VALUES (75488, 689, 15, 'Οποιοδήποτε τμήμα της επιθυμητής ειδικότητας');
INSERT INTO `lang_definitions` VALUES (75489, 690, 15, 'Οποιοδήποτε τμήμα κωδικού του φαρμάκου ή του ονόματος του φαρμάκου');
INSERT INTO `lang_definitions` VALUES (75490, 691, 15, 'Οποιοδήποτε τμήμα κωδικού του εμβολίου ή του ονόματος του εμβολίου');
INSERT INTO `lang_definitions` VALUES (75491, 692, 15, 'Οποιοδήποτε τμήμα του ονόματος του ασθενούς η “επώνυμο,όνομα” η “Χ-Υ”');
INSERT INTO `lang_definitions` VALUES (75492, 693, 15, 'Οποιαδήποτε άλλη σημαντική πληροφορία');
INSERT INTO `lang_definitions` VALUES (75493, 694, 15, 'Συμβαίνει τίποτε άλλο ταυτόχρονα;');
INSERT INTO `lang_definitions` VALUES (75494, 699, 15, 'Κλειδί API για την πύλη SMS');
INSERT INTO `lang_definitions` VALUES (75495, 703, 15, 'Άπνοια');
INSERT INTO `lang_definitions` VALUES (75496, 710, 15, 'Εμφάνιση');
INSERT INTO `lang_definitions` VALUES (75497, 711, 15, 'Εμφάνιση:');
INSERT INTO `lang_definitions` VALUES (75498, 712, 15, 'Προσάρτηση');
INSERT INTO `lang_definitions` VALUES (75499, 713, 15, 'Προσαρτήστε αυτό το μήνυμα');
INSERT INTO `lang_definitions` VALUES (75500, 714, 15, 'Προσαρτήστε αυτή τη σημείωση');
INSERT INTO `lang_definitions` VALUES (75501, 715, 15, 'Προσαρτήστε στο υπάρχον μήνυμα');
INSERT INTO `lang_definitions` VALUES (75502, 716, 15, 'Προσαρτήστε στην υπάρχουσα σημείωση');
INSERT INTO `lang_definitions` VALUES (75503, 717, 15, 'Προσαρτήστε σε αυτή τη σημείωση');
INSERT INTO `lang_definitions` VALUES (75504, 718, 15, 'Προσαρτήστε σε αυτή τη σημείωση');
INSERT INTO `lang_definitions` VALUES (75505, 719, 15, 'Σκωληκοειδεκτομή');
INSERT INTO `lang_definitions` VALUES (75506, 720, 15, 'σκωληκοειδεκτομή');
INSERT INTO `lang_definitions` VALUES (75507, 721, 15, 'Συμπεριληφθέντες Ασθενείς ');
INSERT INTO `lang_definitions` VALUES (75508, 722, 15, 'Εφαρμογή');
INSERT INTO `lang_definitions` VALUES (75509, 723, 15, 'Όνομα εφαρμογής για τη σελίδα login και τίτλος βασικού παραθύρου');
INSERT INTO `lang_definitions` VALUES (75510, 724, 15, 'Κωδικός Αίτησης Παραλήπτη (GS03 - Αν το πεδίο είναι κενό θα χρησιμοποιηθεί ο ISA08)');
INSERT INTO `lang_definitions` VALUES (75511, 725, 15, 'Κωδικός Aίτησης Aποστολέα (GS02)');
INSERT INTO `lang_definitions` VALUES (75512, 726, 15, 'Όνομα εφαρμογής');
INSERT INTO `lang_definitions` VALUES (75513, 727, 15, 'Ισχύει για το έντυπο των Ζωτικών και την Καμπύλη Ανάπτυξης');
INSERT INTO `lang_definitions` VALUES (75514, 728, 15, 'Ισχύει για το έντυπο των Ζωτικών');
INSERT INTO `lang_definitions` VALUES (75515, 729, 15, 'Εφαρμογή των αλλαγών μόνο στο Τρέχον συμβάν, σε αυτή και σε όλες τις Μελλοντικές εμφανίσεις ή σε Ολες τις εμφανίσεις;');
INSERT INTO `lang_definitions` VALUES (75516, 730, 15, 'Εφαρμογή στην προσβεβλημένη περιοχή');
INSERT INTO `lang_definitions` VALUES (75517, 731, 15, 'Εφαρμογή στο δέρμα');
INSERT INTO `lang_definitions` VALUES (75518, 732, 15, 'Εφαρμογή');
INSERT INTO `lang_definitions` VALUES (75519, 733, 15, 'Εφαρμογή Patch στο site');
INSERT INTO `lang_definitions` VALUES (75520, 734, 15, 'Ραντεβού');
INSERT INTO `lang_definitions` VALUES (75521, 735, 15, 'Κατηγορία Ραντεβού');
INSERT INTO `lang_definitions` VALUES (75522, 736, 15, 'Ημ/νία Ραντεβού');
INSERT INTO `lang_definitions` VALUES (75523, 737, 15, 'Σετ προβολής Ραντεβού - Χρώμα 1');
INSERT INTO `lang_definitions` VALUES (75524, 738, 15, 'Σετ προβολής Ραντεβού - Χρώμα 2');
INSERT INTO `lang_definitions` VALUES (75525, 739, 15, 'Σετ προβολής Ραντεβού - Χρώμα 3');
INSERT INTO `lang_definitions` VALUES (75526, 740, 15, 'Σετ προβολής Ραντεβού - Χρώμα 4');
INSERT INTO `lang_definitions` VALUES (75527, 741, 15, 'Σετ προβολής Ραντεβού - Αγνόησε το Όριο Προβολής (Τελευταίο Σετ)');
INSERT INTO `lang_definitions` VALUES (75528, 742, 15, 'Στυλ εμφάνισης των Ραντεβού');
INSERT INTO `lang_definitions` VALUES (75529, 743, 15, 'Το Ραντεβού έκλεισε από τον /την');
INSERT INTO `lang_definitions` VALUES (75530, 744, 15, 'Κανόνας υπενθύμισης Ραντεβού');
INSERT INTO `lang_definitions` VALUES (75531, 745, 15, 'Υπενθυμίσεις Ραντεβού');
INSERT INTO `lang_definitions` VALUES (75532, 746, 15, 'Κατάσταση Ραντεβού');
INSERT INTO `lang_definitions` VALUES (75533, 747, 15, 'Κατάσταση Ραντεβού');
INSERT INTO `lang_definitions` VALUES (75534, 748, 15, 'Ραντεβού μεταξύ');
INSERT INTO `lang_definitions` VALUES (75535, 749, 15, 'Χρώμα Ραντεβού/Γεγονότος');
INSERT INTO `lang_definitions` VALUES (75536, 750, 15, 'Ραντεβού');
INSERT INTO `lang_definitions` VALUES (75537, 751, 15, 'Ραντεβού (εγγραφή προαιρετικά)');
INSERT INTO `lang_definitions` VALUES (75538, 752, 15, 'Ραντεβού (εγγραφή, με ορισμένες προαιρετικές επιλογές)');
INSERT INTO `lang_definitions` VALUES (75539, 755, 15, 'Ραντεβού - Onsite Portal Ασθενούς - Αριθμός για Προβολή');
INSERT INTO `lang_definitions` VALUES (75540, 756, 15, 'Ραντεβού - Σύνοψη Ασθενούς - Αριθμός για Προβολή');
INSERT INTO `lang_definitions` VALUES (75541, 757, 15, 'Ραντεβού - Εμφανίζει όλα τα μελλοντικά Ραντεβού, καθώς και τις Προσκλήσεις');
INSERT INTO `lang_definitions` VALUES (75542, 758, 15, 'Ραντεβού και Επισκέψεις');
INSERT INTO `lang_definitions` VALUES (75543, 759, 15, 'Ραντεβού για');
INSERT INTO `lang_definitions` VALUES (75544, 760, 15, 'Αναφορά Ραντεβού');
INSERT INTO `lang_definitions` VALUES (75545, 761, 15, 'Αναφορά Ραντεβού-Επισκέψεων');
INSERT INTO `lang_definitions` VALUES (75546, 762, 15, 'Κατάλληλα Αποτελέσματα');
INSERT INTO `lang_definitions` VALUES (75547, 764, 15, 'Έγκριση');
INSERT INTO `lang_definitions` VALUES (75548, 765, 15, 'Έγκριση Παραγγελίας');
INSERT INTO `lang_definitions` VALUES (75549, 766, 15, 'Εγκρίνετε τον ασθενή από: Ασθενής/Πελάτης->Εισαγωγή->Εν Αναμονή Έγκρισης');
INSERT INTO `lang_definitions` VALUES (75550, 767, 15, 'Εγκρίθηκε');
INSERT INTO `lang_definitions` VALUES (75551, 768, 15, 'Διαχείριση Εγκεκριμ. Συμβάντων');
INSERT INTO `lang_definitions` VALUES (75552, 769, 15, 'Έγινε έγκριση επιτυχώς');
INSERT INTO `lang_definitions` VALUES (75553, 770, 15, 'Εφαρμογές');
INSERT INTO `lang_definitions` VALUES (75554, 771, 15, 'Ημ. Ραντεβού');
INSERT INTO `lang_definitions` VALUES (75555, 772, 15, 'Κατάσταση Ραντεβού');
INSERT INTO `lang_definitions` VALUES (75556, 773, 15, 'Ώρα Ραντεβού');
INSERT INTO `lang_definitions` VALUES (75557, 774, 15, 'Ραντ-Επισκ');
INSERT INTO `lang_definitions` VALUES (75558, 775, 15, 'Υπενθυμίσεις Ραντ.');
INSERT INTO `lang_definitions` VALUES (75559, 776, 15, 'Ραντεβού');
INSERT INTO `lang_definitions` VALUES (75560, 777, 15, 'Ραντ');
INSERT INTO `lang_definitions` VALUES (75561, 779, 15, 'Απρ');
INSERT INTO `lang_definitions` VALUES (75562, 780, 15, 'Απρίλιος');
INSERT INTO `lang_definitions` VALUES (75563, 782, 15, 'Αραβικά');
INSERT INTO `lang_definitions` VALUES (75564, 784, 15, 'Αρχειοθέτηση');
INSERT INTO `lang_definitions` VALUES (75565, 785, 15, 'Αρχείο καταγραφής σφαλμάτων');
INSERT INTO `lang_definitions` VALUES (75566, 786, 15, 'Αρχειοθέτηση παλαιών αρχείων');
INSERT INTO `lang_definitions` VALUES (75567, 787, 15, 'Τα ονόματα ομάδων για τον έλεγχο πρόσβασης πρέπει να μεταφρασθούν;');
INSERT INTO `lang_definitions` VALUES (75568, 788, 15, 'Τα ονόματα κατηγοριών επίσκεψης πρέπει να μεταφρασθούν;');
INSERT INTO `lang_definitions` VALUES (75569, 789, 15, 'Τα ονόματα για τις διάφορες κατηγορίες εγγράφων πρέπει να μεταφρασθούν;');
INSERT INTO `lang_definitions` VALUES (75570, 790, 15, 'Υπάρχει κάποια χρέωση για αυτό τον τύπο;');
INSERT INTO `lang_definitions` VALUES (75571, 791, 15, 'Είναι ανενεργά');
INSERT INTO `lang_definitions` VALUES (75572, 792, 15, 'Είναι ενεργά');
INSERT INTO `lang_definitions` VALUES (75573, 793, 15, 'Οι τίτλοι από τον φάκελο ασθενούς χρειάζεται να μεταφρασθούν;');
INSERT INTO `lang_definitions` VALUES (75574, 794, 15, 'Είναι αποθηκευμένοι οι κωδικοί σε εξωτερικούς πίνακες SQL [0-Όχι, 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2)];');
INSERT INTO `lang_definitions` VALUES (75575, 795, 15, 'Είστε έτοιμος να συμπληρώσετε ένα νέο θέμα GCAC για αυτή την επίσκεψη;');
INSERT INTO `lang_definitions` VALUES (75576, 796, 15, 'Είστε βέβαιος ότι θέλετε να καθαρίσετε το ιστορικό του chat;');
INSERT INTO `lang_definitions` VALUES (75577, 798, 15, 'Είστε σίγουρος ότι θέλετε να εγκρίνετε αυτά τα συμβάντα;');
INSERT INTO `lang_definitions` VALUES (75578, 799, 15, 'Είστε σίγουρος ότι θέλετε να ακυρώσετε τις αλλαγές σας;');
INSERT INTO `lang_definitions` VALUES (75579, 801, 15, 'Είστε σίγουρος ότι θέλετε να διαγράψετε πλήρως αυτό το Έντυπο;');
INSERT INTO `lang_definitions` VALUES (75580, 803, 15, 'Είστε σίγουρος ότι θέλετε να διαγράψετε');
INSERT INTO `lang_definitions` VALUES (75581, 804, 15, 'Είστε σίγουρος ότι θέλετε να διαγράψετε αυτή τη γνωστοποίηση;');
INSERT INTO `lang_definitions` VALUES (75582, 805, 15, 'Είστε σίγουρος ότι θέλετε να διαγράψετε αυτό το συμβάν;');
INSERT INTO `lang_definitions` VALUES (75583, 806, 15, 'Είστε σίγουρος ότι θέλετε να διαγράψετε αυτό το αντικείμενο από τη βάση δεδομένων;');
INSERT INTO `lang_definitions` VALUES (75584, 807, 15, 'Είστε σίγουρος ότι θέλετε να διαγράψετε αυτό το μήνυμα;');
INSERT INTO `lang_definitions` VALUES (75585, 808, 15, 'Είστε σίγουρος ότι θέλετε να διαγράψετε αυτή τη σημείωση;');
INSERT INTO `lang_definitions` VALUES (75586, 809, 15, 'Είστε σίγουρος ότι θέλετε να διαγράψεαι αυτό το σχέδιο;');
INSERT INTO `lang_definitions` VALUES (75587, 810, 15, 'Είστε σίγουρος ότι θέλετε να τροποποιήσετε αυτά τα συμβάντα;');
INSERT INTO `lang_definitions` VALUES (75588, 811, 15, 'Είστε σίγουρος ότι θέλετε να αποκρύψετε αυτά τα συμβάντα;');
INSERT INTO `lang_definitions` VALUES (75589, 813, 15, 'Είστε σίγουρος ότι θέλετε να το μεταφέρεται ξανά;');
INSERT INTO `lang_definitions` VALUES (75590, 814, 15, 'Είστε σίγουρος ότι θέλετε να δείτε αυτά τα συμβάντα;');
INSERT INTO `lang_definitions` VALUES (75591, 815, 15, 'Είστε σίγουρος ότι θέλετε να διαγράψετε ολόκληρη την ονομασθείσα ομάδα');
INSERT INTO `lang_definitions` VALUES (75592, 816, 15, 'Είστε σίγουρος ότι θέλετε να διαγράψετε ολόκληρη τη λίστα');
INSERT INTO `lang_definitions` VALUES (75593, 817, 15, 'Είστε σίγουρος ότι θέλετε να διαγράψετε τα περιεχόμενα του πεδίου');
INSERT INTO `lang_definitions` VALUES (75594, 818, 15, 'Είστε σίγουρος ότι θέλετε να διαγράψετε τα επιλεγμένα πεδία;');
INSERT INTO `lang_definitions` VALUES (75595, 819, 15, 'Είστε σίγουρος ότι θέλετε να προχωρήσετε με αυτές τις ενέργειες;');
INSERT INTO `lang_definitions` VALUES (75596, 820, 15, 'Μη καθορισθείσα περιοχή');
INSERT INTO `lang_definitions` VALUES (75597, 821, 15, 'Βραχίονας');
INSERT INTO `lang_definitions` VALUES (75598, 822, 15, 'Αρμενικά');
INSERT INTO `lang_definitions` VALUES (75599, 825, 15, 'Άφιξη');
INSERT INTO `lang_definitions` VALUES (75600, 826, 15, 'Ώρα Προσέλευσης');
INSERT INTO `lang_definitions` VALUES (75601, 827, 15, 'Προσήλθε');
INSERT INTO `lang_definitions` VALUES (75602, 828, 15, 'Καθυστέρησε');
INSERT INTO `lang_definitions` VALUES (75603, 829, 15, 'Αρρυθμία');
INSERT INTO `lang_definitions` VALUES (75604, 830, 15, 'Αρθρίτιδα');
INSERT INTO `lang_definitions` VALUES (75605, 831, 15, 'Αρθρίτιδα / Εκφυλ. νόσος αρθρώσεων');
INSERT INTO `lang_definitions` VALUES (75606, 832, 15, 'Αρθρίτιδα / Εκφυλ. νόσος αρθρώσεων');
INSERT INTO `lang_definitions` VALUES (75607, 836, 15, 'όπως');
INSERT INTO `lang_definitions` VALUES (75608, 837, 15, 'Όπως εμφανίζεται στα έγγραφα');
INSERT INTO `lang_definitions` VALUES (75609, 838, 15, 'Με έναρξη από');
INSERT INTO `lang_definitions` VALUES (75610, 843, 15, 'Όπως θα εμφανίζεται στα έγγραφα');
INSERT INTO `lang_definitions` VALUES (75611, 844, 15, 'ΑΥΞ');
INSERT INTO `lang_definitions` VALUES (75612, 845, 15, 'Ασιάτης');
INSERT INTO `lang_definitions` VALUES (75613, 847, 15, 'Εκτίμηση Αλλεργίας στην Πενικιλλίνη');
INSERT INTO `lang_definitions` VALUES (75614, 848, 15, 'Εκτίμηση');
INSERT INTO `lang_definitions` VALUES (75615, 849, 15, 'Να ανατεθεί εδώ;');
INSERT INTO `lang_definitions` VALUES (75616, 850, 15, 'Ανάθεση Βαρύτητας και Αποθήκευση');
INSERT INTO `lang_definitions` VALUES (75617, 853, 15, 'Ανετέθη στον');
INSERT INTO `lang_definitions` VALUES (75618, 854, 15, 'Επικουρικός');
INSERT INTO `lang_definitions` VALUES (75619, 855, 15, 'Μονάδα Υποβοηθούμενης Διαβίωσης');
INSERT INTO `lang_definitions` VALUES (75620, 858, 15, 'Σχετικές Σημειώσεις');
INSERT INTO `lang_definitions` VALUES (75621, 859, 15, 'Υπέθεσε ότι οι ασθενείς επιτρέπουν ανταλλαγή Μηνυμάτων');
INSERT INTO `lang_definitions` VALUES (75622, 861, 15, 'Άσθμα');
INSERT INTO `lang_definitions` VALUES (75623, 862, 15, 'σε');
INSERT INTO `lang_definitions` VALUES (75624, 863, 15, 'Απαιτείται τουλάχιστον μια παράμετρος αναζήτησης αν επιλέξετε Ολα.');
INSERT INTO `lang_definitions` VALUES (75625, 866, 15, 'Στη σκαφοειδική');
INSERT INTO `lang_definitions` VALUES (75626, 867, 15, 'Στη σκαφοειδική:');
INSERT INTO `lang_definitions` VALUES (75627, 868, 15, 'Αθλητική ομάδα');
INSERT INTO `lang_definitions` VALUES (75628, 869, 15, 'Αθλητική Ομάδα');
INSERT INTO `lang_definitions` VALUES (75629, 870, 15, 'Αθλητική/Κάκωση');
INSERT INTO `lang_definitions` VALUES (75630, 876, 15, 'Θεράπων Ιατρός');
INSERT INTO `lang_definitions` VALUES (75631, 877, 15, 'Προσοχή');
INSERT INTO `lang_definitions` VALUES (75632, 878, 15, 'Προσοχή: Έγγραφα σε Εκκρεμότητα');
INSERT INTO `lang_definitions` VALUES (75633, 879, 15, 'Προσοχή');
INSERT INTO `lang_definitions` VALUES (75634, 880, 15, 'Ιδιότητες');
INSERT INTO `lang_definitions` VALUES (75635, 881, 15, 'Ακοολόγος');
INSERT INTO `lang_definitions` VALUES (75636, 883, 15, 'Ερωτήματα μηχανής για το Audit CDR');
INSERT INTO `lang_definitions` VALUES (75637, 884, 15, 'Παρακολούθηση Αλλαγών');
INSERT INTO `lang_definitions` VALUES (75638, 897, 15, 'Έλεγχος Πληρωμής');
INSERT INTO `lang_definitions` VALUES (75639, 898, 15, 'Αυγ');
INSERT INTO `lang_definitions` VALUES (75640, 899, 15, 'Αύγουστος');
INSERT INTO `lang_definitions` VALUES (75641, 900, 15, 'Θεία');
INSERT INTO `lang_definitions` VALUES (75642, 901, 15, 'Εξουσ');
INSERT INTO `lang_definitions` VALUES (75643, 902, 15, 'Εξουσ/Σημειώσεις');
INSERT INTO `lang_definitions` VALUES (75644, 915, 15, 'Σφάλμα Ταυτοποίησης');
INSERT INTO `lang_definitions` VALUES (75645, 918, 15, 'Ταυτοποιητής');
INSERT INTO `lang_definitions` VALUES (75646, 920, 15, 'Συγρραφέας');
INSERT INTO `lang_definitions` VALUES (75647, 921, 15, 'Εξουσιοδότηση');
INSERT INTO `lang_definitions` VALUES (75648, 922, 15, 'Ομάδα εξουσιοδότησης');
INSERT INTO `lang_definitions` VALUES (75649, 923, 15, 'Κατάσταση εξουσιοδότησης');
INSERT INTO `lang_definitions` VALUES (75650, 924, 15, 'Εξουσιοδοτήσεις');
INSERT INTO `lang_definitions` VALUES (75651, 925, 15, 'Εξουσιοδοτήστε');
INSERT INTO `lang_definitions` VALUES (75652, 926, 15, 'Εξουσιοδότησε – οποιεσδήποτε επισκέψεις');
INSERT INTO `lang_definitions` VALUES (75653, 928, 15, 'Εξουσιοδότησε – οι επισκέψεις μου');
INSERT INTO `lang_definitions` VALUES (75654, 930, 15, 'Εξουσιοδότησε ως την Ηλεκτρονική Υπογραφή μου');
INSERT INTO `lang_definitions` VALUES (75655, 931, 15, 'Εξουσιοδότησε αν απαιτείται');
INSERT INTO `lang_definitions` VALUES (75656, 933, 15, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (75657, 934, 15, 'Εξουσιοδοτημένος/η');
INSERT INTO `lang_definitions` VALUES (75658, 936, 15, 'Μόνον εξουσιοδοτημένα άτομα');
INSERT INTO `lang_definitions` VALUES (75659, 937, 15, 'Εξουσιοδοτημένοι Χρήστες');
INSERT INTO `lang_definitions` VALUES (75660, 940, 15, 'Αυτόματη ανάδραση');
INSERT INTO `lang_definitions` VALUES (75661, 941, 15, 'Αυτόματη Αποστολή');
INSERT INTO `lang_definitions` VALUES (75662, 942, 15, 'Αυτόματη αποσύνδεση');
INSERT INTO `lang_definitions` VALUES (75663, 943, 15, 'Αυτόματη μεταφορά');
INSERT INTO `lang_definitions` VALUES (75664, 944, 15, 'Αυτόματη δημιουργία νέων Επισκέψεων');
INSERT INTO `lang_definitions` VALUES (75665, 945, 15, 'Αυτόματη δημιουργία');
INSERT INTO `lang_definitions` VALUES (75666, 947, 15, 'Υπολογισμοί Αυτόματων Μετρήσεων');
INSERT INTO `lang_definitions` VALUES (75667, 954, 15, 'Άδεια Αυτοματοποιημένου Φωνητικού Μηνύματος');
INSERT INTO `lang_definitions` VALUES (75668, 955, 15, 'Αυτόματο');
INSERT INTO `lang_definitions` VALUES (75669, 959, 15, 'Αυτόματη δημιουργία Νέας Επίσκεψης, όταν η κατάσταση επισκέψεως δείχνει \"@\" (Προσήλθε\")');
INSERT INTO `lang_definitions` VALUES (75670, 962, 15, 'Ιατρικό αυτοκίνητο');
INSERT INTO `lang_definitions` VALUES (75671, 964, 15, 'αυτόματα αποθηκευμένο');
INSERT INTO `lang_definitions` VALUES (75672, 966, 15, 'Ημερολόγιο Διαθέσιμων Ραντεβού');
INSERT INTO `lang_definitions` VALUES (75673, 967, 15, 'Διαθέσιμες κατηγορίες');
INSERT INTO `lang_definitions` VALUES (75674, 969, 15, 'Διαθέσιμοι Παραλήπτες');
INSERT INTO `lang_definitions` VALUES (75675, 970, 15, 'Διαθέσιμες Υπηρεσίες');
INSERT INTO `lang_definitions` VALUES (75676, 971, 15, 'Διαθέσιμα ωράρια');
INSERT INTO `lang_definitions` VALUES (75677, 976, 15, 'Μηνιαίος ΜΟ');
INSERT INTO `lang_definitions` VALUES (75678, 977, 15, 'Αυτομ. Φων. Μήνυμα');
INSERT INTO `lang_definitions` VALUES (75679, 978, 15, 'Επιβεβαίωση Αυτόμ. Φων. Μηνύματος');
INSERT INTO `lang_definitions` VALUES (75680, 979, 15, 'Αυτόμ. Φων. Μήνυμα ΟΚ');
INSERT INTO `lang_definitions` VALUES (75681, 980, 15, 'Αποκόλληση / Αποκολληθέν κάταγμα');
INSERT INTO `lang_definitions` VALUES (75682, 981, 15, 'Αποκόλληση έξω σφυρού');
INSERT INTO `lang_definitions` VALUES (75683, 982, 15, 'Αποκόλληση έσω σφυρού');
INSERT INTO `lang_definitions` VALUES (75684, 983, 15, 'Με βάση την επίγνωση');
INSERT INTO `lang_definitions` VALUES (75685, 984, 15, 'Αξονικό Μήκος');
INSERT INTO `lang_definitions` VALUES (75686, 985, 15, 'Μασχάλη');
INSERT INTO `lang_definitions` VALUES (75687, 986, 15, 'Άξονας');
INSERT INTO `lang_definitions` VALUES (75688, 987, 15, 'Άξονας');
INSERT INTO `lang_definitions` VALUES (75689, 988, 15, 'ΑΞΟΝΑΣ');
INSERT INTO `lang_definitions` VALUES (75690, 992, 15, '2 φορές την ημέρα');
INSERT INTO `lang_definitions` VALUES (75691, 993, 15, 'Επιστροφή');
INSERT INTO `lang_definitions` VALUES (75692, 994, 15, 'επιστροφή');
INSERT INTO `lang_definitions` VALUES (75693, 995, 15, 'Πίσω κατά 8 επισκέψεις');
INSERT INTO `lang_definitions` VALUES (75694, 996, 15, 'Πίσω κατά 11 επισκέψεις');
INSERT INTO `lang_definitions` VALUES (75695, 997, 15, 'Πίσω κατά 5 επισκέψεις');
INSERT INTO `lang_definitions` VALUES (75696, 998, 15, 'Πίσω κατά 4 επισκέψεις');
INSERT INTO `lang_definitions` VALUES (75697, 999, 15, 'Πίσω κατά 9 επισκέψεις');
INSERT INTO `lang_definitions` VALUES (75698, 1000, 15, 'Πίσω κατά 1 επίσκεψη');
INSERT INTO `lang_definitions` VALUES (75699, 1001, 15, 'Πόνος στην οσφύ');
INSERT INTO `lang_definitions` VALUES (75700, 1002, 15, 'Προβλήματα οσφύος');
INSERT INTO `lang_definitions` VALUES (75701, 1003, 15, 'Πίσω κατά 7 επισκέψεις');
INSERT INTO `lang_definitions` VALUES (75702, 1004, 15, 'Πίσω κατά 6 επισκέψεις');
INSERT INTO `lang_definitions` VALUES (75703, 1005, 15, 'Εγχείριση στην οσφύ');
INSERT INTO `lang_definitions` VALUES (75704, 1006, 15, 'Πίσω κατά 10 επισκέψεις');
INSERT INTO `lang_definitions` VALUES (75705, 1007, 15, 'Πίσω κατά 3 επισκέψεις');
INSERT INTO `lang_definitions` VALUES (75706, 1008, 15, 'Επιστροφή στη σελίδα Διαχείρισης');
INSERT INTO `lang_definitions` VALUES (75707, 1010, 15, 'Επιστροφή στην Επεξεργασία');
INSERT INTO `lang_definitions` VALUES (75708, 1011, 15, 'Επιστροφή στην επίσκεψη');
INSERT INTO `lang_definitions` VALUES (75709, 1012, 15, 'Επιστροφή στον Ασθενή');
INSERT INTO `lang_definitions` VALUES (75710, 1013, 15, 'Επιστροφή στον Ασθενή');
INSERT INTO `lang_definitions` VALUES (75711, 1014, 15, 'Επιστροφή στο πάνελ διαχείρισης ασθενούς');
INSERT INTO `lang_definitions` VALUES (75712, 1015, 15, 'Επιστροφή στους χρήστες');
INSERT INTO `lang_definitions` VALUES (75713, 1016, 15, 'Πίσω στην Προβολή');
INSERT INTO `lang_definitions` VALUES (75714, 1017, 15, 'Πίσω κατά 12 επισκέψεις');
INSERT INTO `lang_definitions` VALUES (75715, 1018, 15, 'Πίσω κατά 2 επισκέψεις');
INSERT INTO `lang_definitions` VALUES (75716, 1019, 15, 'Υπηρεσίες Παρασκηνίου');
INSERT INTO `lang_definitions` VALUES (75717, 1020, 15, 'Αντίγραφα ασφαλείας');
INSERT INTO `lang_definitions` VALUES (75718, 1022, 15, 'Δημιουργήθηκε αρχείο για backup . Τώρα θα σταλεί για download');
INSERT INTO `lang_definitions` VALUES (75719, 1023, 15, 'Λίστα backup');
INSERT INTO `lang_definitions` VALUES (75720, 1024, 15, 'Το Backup ελήφθη επιτυχώς στο');
INSERT INTO `lang_definitions` VALUES (75721, 1025, 15, 'Κακός έλεγχος');
INSERT INTO `lang_definitions` VALUES (75722, 1028, 15, 'Υπόλ.');
INSERT INTO `lang_definitions` VALUES (75723, 1031, 15, 'Υπόλοιπο');
INSERT INTO `lang_definitions` VALUES (75724, 1032, 15, 'υπόλοιπο');
INSERT INTO `lang_definitions` VALUES (75725, 1033, 15, 'Ποσό Υπολοίπου');
INSERT INTO `lang_definitions` VALUES (75726, 1034, 15, 'Υπόλοιπο Οφειλής');
INSERT INTO `lang_definitions` VALUES (75727, 1038, 15, 'Τραπεζική επιταγή');
INSERT INTO `lang_definitions` VALUES (75728, 1039, 15, 'Ετικέτα Barcode');
INSERT INTO `lang_definitions` VALUES (75729, 1040, 15, 'Τύπος Ετικέτας Barcode');
INSERT INTO `lang_definitions` VALUES (75730, 1041, 15, 'Τύπος barcode για εκτύπωση ετικετών barcode από popups στην αριστερή οθόνη περιήγησης.');
INSERT INTO `lang_definitions` VALUES (75731, 1042, 15, 'Βάση του 5ου μεταταρσίου');
INSERT INTO `lang_definitions` VALUES (75732, 1043, 15, 'Βάση του 5ου μεταταρσίου:');
INSERT INTO `lang_definitions` VALUES (75733, 1051, 15, 'Εργαλείο Μαζικής Επικοινωνίας');
INSERT INTO `lang_definitions` VALUES (75734, 1052, 15, 'Εργαλείο Μαζικής Επικοινωνίας (batchcom)');
INSERT INTO `lang_definitions` VALUES (75735, 1053, 15, 'Μαζική Καταχώρηση Πληρωμών');
INSERT INTO `lang_definitions` VALUES (75736, 1054, 15, 'Μαζικές Πληρωμές');
INSERT INTO `lang_definitions` VALUES (75737, 1055, 15, 'Ξεκίνησε η μαζική επεξεργασία. Μπορεί να χρειαστεί αρκετή ώρα.');
INSERT INTO `lang_definitions` VALUES (75738, 1056, 15, 'Μαζικά Αποτελέσματα');
INSERT INTO `lang_definitions` VALUES (75739, 1057, 15, 'Μαζική Επικοινωνία');
INSERT INTO `lang_definitions` VALUES (75740, 1060, 15, 'Υπομονή, μερικά αρχεία μπορεί να χρειαστούν αρκετά λεπτά!');
INSERT INTO `lang_definitions` VALUES (75741, 1063, 15, 'επειδή εκείνο το αναγνωριστικό δεν υπάρχει');
INSERT INTO `lang_definitions` VALUES (75742, 1064, 15, 'πριν');
INSERT INTO `lang_definitions` VALUES (75743, 1072, 15, 'Έναρξη');
INSERT INTO `lang_definitions` VALUES (75744, 1074, 15, 'Από Ημ.');
INSERT INTO `lang_definitions` VALUES (75745, 1075, 15, 'Ημ. Έναρξης αν είναι γνωστή');
INSERT INTO `lang_definitions` VALUES (75746, 1077, 15, 'Ημ. έναρξης υπηρεσίας εεεε-μμ-ηη');
INSERT INTO `lang_definitions` VALUES (75747, 1078, 15, 'Ώρα έναρξης της ημέρας για τα συμβάντα του ημερολογίου');
INSERT INTO `lang_definitions` VALUES (75748, 1082, 15, 'Ερυγές');
INSERT INTO `lang_definitions` VALUES (75749, 1083, 15, 'Κάτω από τα κατώτερα επίπεδα πανικού');
INSERT INTO `lang_definitions` VALUES (75750, 1086, 15, 'Μπενγκάλι');
INSERT INTO `lang_definitions` VALUES (75751, 1088, 15, 'Καλή τύχη');
INSERT INTO `lang_definitions` VALUES (75752, 1089, 15, 'μεταξύ');
INSERT INTO `lang_definitions` VALUES (75753, 1095, 15, 'Αμφοτερόπλευρο');
INSERT INTO `lang_definitions` VALUES (75754, 1096, 15, 'Αμφοτερόπλευρο:');
INSERT INTO `lang_definitions` VALUES (75755, 1097, 15, 'Χρέωση');
INSERT INTO `lang_definitions` VALUES (75756, 1098, 15, 'Ημ. χρέωσης');
INSERT INTO `lang_definitions` VALUES (75757, 1099, 15, 'Ημ. χρέωσης:');
INSERT INTO `lang_definitions` VALUES (75758, 1100, 15, 'Τύπος Χρέωσης');
INSERT INTO `lang_definitions` VALUES (75759, 1101, 15, 'Χρέωση/Πληρωμή');
INSERT INTO `lang_definitions` VALUES (75760, 1102, 15, 'Χρεώθηκε');
INSERT INTO `lang_definitions` VALUES (75761, 1103, 15, 'Ημ. Χρέωσης');
INSERT INTO `lang_definitions` VALUES (75762, 1104, 15, 'Χρεώσεις');
INSERT INTO `lang_definitions` VALUES (75763, 1105, 15, 'Χρέωση (εγγραφή προαιρετικά)');
INSERT INTO `lang_definitions` VALUES (75764, 1108, 15, 'Διεύθυνση Χρέωσης');
INSERT INTO `lang_definitions` VALUES (75765, 1109, 15, 'Υπεύθυνος Χρεώσεων');
INSERT INTO `lang_definitions` VALUES (75766, 1110, 15, 'Περιγραφές Κωδικών Χρέωσης');
INSERT INTO `lang_definitions` VALUES (75767, 1111, 15, 'Κωδικός χρεώσεων για αιτούμενες υπηρεσίες');
INSERT INTO `lang_definitions` VALUES (75768, 1112, 15, 'Κωδικοί χρέωσης');
INSERT INTO `lang_definitions` VALUES (75769, 1113, 15, 'Δεδομένα χρέωσης');
INSERT INTO `lang_definitions` VALUES (75770, 1114, 15, 'Τμήμα Χρεώσεων');
INSERT INTO `lang_definitions` VALUES (75771, 1115, 15, 'Έδρα Χρέωσης');
INSERT INTO `lang_definitions` VALUES (75772, 1117, 15, 'Πληροφορίες χρέωσης');
INSERT INTO `lang_definitions` VALUES (75773, 1118, 15, 'Τοποθεσία χρέωσης');
INSERT INTO `lang_definitions` VALUES (75774, 1119, 15, 'Αρχείο Καταγραφής Χρεώσεων');
INSERT INTO `lang_definitions` VALUES (75775, 1120, 15, 'Προσάρτηση στο Αρχείο Καταγραφής Χρεώσεων');
INSERT INTO `lang_definitions` VALUES (75776, 1121, 15, 'Το Αρχείο Καταγραφής Χρεώσεων είναι άδειο');
INSERT INTO `lang_definitions` VALUES (75777, 1122, 15, 'Επιλογή Αρχείου Καταγραφής Χρέωσης');
INSERT INTO `lang_definitions` VALUES (75778, 1123, 15, 'Αντικατάσταση Αρχείου Καταγραφής Χρέωσης');
INSERT INTO `lang_definitions` VALUES (75779, 1125, 15, 'Διαχείριση Χρεώσεων');
INSERT INTO `lang_definitions` VALUES (75780, 1126, 15, 'Ενημερωτικό χρέωσης');
INSERT INTO `lang_definitions` VALUES (75781, 1127, 15, 'Ενημερωτικό χρέωσης για');
INSERT INTO `lang_definitions` VALUES (75782, 1128, 15, 'Ενημερωτικό χρέωσης:');
INSERT INTO `lang_definitions` VALUES (75783, 1129, 15, 'Αποτελέσματα ουράς χρέωσης');
INSERT INTO `lang_definitions` VALUES (75784, 1130, 15, 'Αποτελέσματα ουράς χρέωσης:');
INSERT INTO `lang_definitions` VALUES (75785, 1131, 15, 'Αναφορά χρέωσης:');
INSERT INTO `lang_definitions` VALUES (75786, 1132, 15, 'Κατάσταση Χρέωσης = Αχρέωτο');
INSERT INTO `lang_definitions` VALUES (75787, 1133, 15, 'Κατάσταση Χρέωσης = Δεν χρεώθηκε');
INSERT INTO `lang_definitions` VALUES (75788, 1134, 15, 'χρέωση στον/στην');
INSERT INTO `lang_definitions` VALUES (75789, 1135, 15, 'Προβολή Χρεώσεων');
INSERT INTO `lang_definitions` VALUES (75790, 1138, 15, 'Βιοψία');
INSERT INTO `lang_definitions` VALUES (75791, 1139, 15, 'Πιστοποιητικό Γεννήσεως');
INSERT INTO `lang_definitions` VALUES (75792, 1140, 15, 'Ημ. Γεννήσεως');
INSERT INTO `lang_definitions` VALUES (75793, 1141, 15, 'Γέννηση-24 μηνών');
INSERT INTO `lang_definitions` VALUES (75794, 1142, 15, 'Μαιευτήριο');
INSERT INTO `lang_definitions` VALUES (75795, 1144, 15, 'Μαύρος /η');
INSERT INTO `lang_definitions` VALUES (75796, 1145, 15, 'Οι μαύρες γραμμές δείχνουν προϋπάρχουσες πληροφορίες');
INSERT INTO `lang_definitions` VALUES (75797, 1146, 15, 'Μαύρη λίστα');
INSERT INTO `lang_definitions` VALUES (75798, 1147, 15, 'Μελανός πνεύμων');
INSERT INTO `lang_definitions` VALUES (75799, 1148, 15, 'Μαύρος ή Αφροαμερικανός');
INSERT INTO `lang_definitions` VALUES (75800, 1149, 15, 'Καρκίνος ουροδόχου κύστεως');
INSERT INTO `lang_definitions` VALUES (75801, 1150, 15, 'Λοιμώξεις ουροδόχου κύστεως');
INSERT INTO `lang_definitions` VALUES (75802, 1151, 15, 'Κενό');
INSERT INTO `lang_definitions` VALUES (75803, 1152, 15, 'Κενά Έντυπα');
INSERT INTO `lang_definitions` VALUES (75804, 1153, 15, 'Προβλήματα αιμορραγίας');
INSERT INTO `lang_definitions` VALUES (75805, 1154, 15, 'Τυφλά σημεία');
INSERT INTO `lang_definitions` VALUES (75806, 1155, 15, 'Τυφλότητα');
INSERT INTO `lang_definitions` VALUES (75807, 1156, 15, 'Αίσθημα τυμπανισμού');
INSERT INTO `lang_definitions` VALUES (75808, 1158, 15, 'Αποκλεισμένο');
INSERT INTO `lang_definitions` VALUES (75809, 1159, 15, 'Αίμα');
INSERT INTO `lang_definitions` VALUES (75810, 1160, 15, 'Αρτηρ. Πίεση');
INSERT INTO `lang_definitions` VALUES (75811, 1161, 15, 'Αρτηρ. Πίεση');
INSERT INTO `lang_definitions` VALUES (75812, 1162, 15, 'Ρινορραγία');
INSERT INTO `lang_definitions` VALUES (75813, 1163, 15, 'Μπλε λογότυπο Κυανού Σταυρού');
INSERT INTO `lang_definitions` VALUES (75814, 1164, 15, 'Οι μπλε γραμμές σε αυτήν την αναφορά είναι για πληροφόρηση.');
INSERT INTO `lang_definitions` VALUES (75815, 1165, 15, 'Οι μπλε γραμμές σε αυτήν την αναφορά είναι για πληροφόρηση. Οι μαύρες αναφέρονται σε προϋπάρχοντα στοιχεία. Οι πράσινες δείχνουν τις επιτυχημένες αλλαγές. Οι κόκκινες δείχνουν λάθη, ή αλλαγές που δεν υλοποιήθηκαν και θα πρέπει να γίνει επεξεργασία χειρονακτικά Προς το παρόν οι αρνήσεις και επιστροφές πληρωμών δεν γίνονται αυτόματα και γι\'αυτό εμφανίζονται με κόκκινο.');
INSERT INTO `lang_definitions` VALUES (75816, 1166, 15, 'Θολή όραση');
INSERT INTO `lang_definitions` VALUES (75817, 1167, 15, 'ΔΜΣ');
INSERT INTO `lang_definitions` VALUES (75818, 1168, 15, 'Κατάσταση του ΔΜΣ');
INSERT INTO `lang_definitions` VALUES (75819, 1169, 15, 'Σώμα');
INSERT INTO `lang_definitions` VALUES (75820, 1170, 15, 'Περιοχή σώματος');
INSERT INTO `lang_definitions` VALUES (75821, 1171, 15, 'Σημείο του σώματος');
INSERT INTO `lang_definitions` VALUES (75822, 1172, 15, 'Περιοχή σώματος, αν ισχύει');
INSERT INTO `lang_definitions` VALUES (75823, 1173, 15, 'Οστικό άλγος/ευαισθησία:');
INSERT INTO `lang_definitions` VALUES (75824, 1174, 15, 'Οστικό άλγος/ευαισθησία: Έσω σφυρός');
INSERT INTO `lang_definitions` VALUES (75825, 1175, 15, 'Λογική μεταβλητή/ Boolean');
INSERT INTO `lang_definitions` VALUES (75826, 1177, 15, 'Κάτω');
INSERT INTO `lang_definitions` VALUES (75827, 1178, 15, 'Άμφω');
INSERT INTO `lang_definitions` VALUES (75828, 1179, 15, 'Αμφότερα Ώτα');
INSERT INTO `lang_definitions` VALUES (75829, 1180, 15, 'αμφότερα ώτα');
INSERT INTO `lang_definitions` VALUES (75830, 1183, 15, 'Κάτω');
INSERT INTO `lang_definitions` VALUES (75831, 1184, 15, 'Κάτω Περιθώριο (px)');
INSERT INTO `lang_definitions` VALUES (75832, 1187, 15, 'Πεδίο 10 Α. Σχετ. με την απασχόληση');
INSERT INTO `lang_definitions` VALUES (75833, 1189, 15, 'Πεδίο 10 Β. Αυτοκιν/κό Ατύχημα');
INSERT INTO `lang_definitions` VALUES (75834, 1191, 15, 'Πεδίο 10 C. Άλλο Ατύχημα');
INSERT INTO `lang_definitions` VALUES (75835, 1205, 15, 'Πεδίο 15. Ημ. ίδιας ή παρόμοιας ασθένειας (εεεε-μμ-ηη):');
INSERT INTO `lang_definitions` VALUES (75836, 1211, 15, 'Πεδίο 16. Ανικανότητα για εργασία από (εεεε-μμ-ηη)');
INSERT INTO `lang_definitions` VALUES (75837, 1215, 15, 'Πεδίο 16. Ανικανότητα για εργασία έως (εεεε-μμ-ηη)');
INSERT INTO `lang_definitions` VALUES (75838, 1219, 15, 'Πεδίο 17. Πάροχος');
INSERT INTO `lang_definitions` VALUES (75839, 1226, 15, 'Πεδίο 18. Νοσηλεύθηκε από');
INSERT INTO `lang_definitions` VALUES (75840, 1227, 15, 'Πεδίο 18. Νοσηλεύθηκε από (εεεε-μμ-ηη)');
INSERT INTO `lang_definitions` VALUES (75841, 1230, 15, 'Πεδίο 18. Νοσηλεύθηκε έως');
INSERT INTO `lang_definitions` VALUES (75842, 1231, 15, 'Πεδίο 18. Νοσηλεύθηκε έως (εεεε-μμ-ηη)');
INSERT INTO `lang_definitions` VALUES (75843, 1235, 15, 'Πεδίο 20. Χρησιμοποιήθηκε εξωτερ. εργαστήριο;');
INSERT INTO `lang_definitions` VALUES (75844, 1239, 15, 'Πεδίο 22. Κωδικός επαναποστολής στο Medicaid (ICD-9)');
INSERT INTO `lang_definitions` VALUES (75845, 1243, 15, 'Πεδίο 23. Αριθμός προηγούμενης εξουσιοδότησης.');
INSERT INTO `lang_definitions` VALUES (75846, 1244, 15, 'ΑΠ');
INSERT INTO `lang_definitions` VALUES (75847, 1245, 15, 'Διαστολική ΑΠ');
INSERT INTO `lang_definitions` VALUES (75848, 1246, 15, 'Συστολική ΑΠ');
INSERT INTO `lang_definitions` VALUES (75849, 1247, 15, 'ΔΑΠ');
INSERT INTO `lang_definitions` VALUES (75850, 1248, 15, 'ΔΑΠ');
INSERT INTO `lang_definitions` VALUES (75851, 1251, 15, 'ΣΑΠ');
INSERT INTO `lang_definitions` VALUES (75852, 1252, 15, 'ΣΑΠ');
INSERT INTO `lang_definitions` VALUES (75853, 1254, 15, 'Βραζιλιανά Πορτογαλικά');
INSERT INTO `lang_definitions` VALUES (75854, 1255, 15, 'Μαστός');
INSERT INTO `lang_definitions` VALUES (75855, 1256, 15, 'Βιοψία μαστού');
INSERT INTO `lang_definitions` VALUES (75856, 1257, 15, 'Έκκριμα μαστού');
INSERT INTO `lang_definitions` VALUES (75857, 1258, 15, 'Νόσος μαστών');
INSERT INTO `lang_definitions` VALUES (75858, 1259, 15, 'Εξέταση μαστών');
INSERT INTO `lang_definitions` VALUES (75859, 1260, 15, 'Μάζα μαστού');
INSERT INTO `lang_definitions` VALUES (75860, 1261, 15, 'Αναπνοή');
INSERT INTO `lang_definitions` VALUES (75861, 1262, 15, 'Αναπνευστικοί ήχοι:');
INSERT INTO `lang_definitions` VALUES (75862, 1265, 15, 'Κατάγματα');
INSERT INTO `lang_definitions` VALUES (75863, 1267, 15, 'Έντυπο βρογχίτιδας');
INSERT INTO `lang_definitions` VALUES (75864, 1268, 15, 'Αδερφός');
INSERT INTO `lang_definitions` VALUES (75865, 1269, 15, 'Φρύδι');
INSERT INTO `lang_definitions` VALUES (75866, 1270, 15, 'Αναζήτηση');
INSERT INTO `lang_definitions` VALUES (75867, 1271, 15, 'Αναζήτηση Φακέλου');
INSERT INTO `lang_definitions` VALUES (75868, 1272, 15, 'Μώλωπας/Αιμάτωμα');
INSERT INTO `lang_definitions` VALUES (75869, 1274, 15, 'Χτίστε το Πλάνο σας');
INSERT INTO `lang_definitions` VALUES (75870, 1276, 15, 'Πρόπτωση Δεξιά:');
INSERT INTO `lang_definitions` VALUES (75871, 1278, 15, 'Καύσος κατά την ούρηση');
INSERT INTO `lang_definitions` VALUES (75872, 1279, 15, 'Καύσος Κατά Την Ούρηση');
INSERT INTO `lang_definitions` VALUES (75873, 1281, 15, 'Επαγγελματικό τηλ.');
INSERT INTO `lang_definitions` VALUES (75874, 1282, 15, 'Απασχολημένος/η');
INSERT INTO `lang_definitions` VALUES (75875, 1283, 15, 'αλλά δεν έγινε ακόμα επεξεργασία.');
INSERT INTO `lang_definitions` VALUES (75876, 1284, 15, 'Γλουτός');
INSERT INTO `lang_definitions` VALUES (75877, 1285, 15, 'Γλουτός και Ιερολαγόνια');
INSERT INTO `lang_definitions` VALUES (75878, 1286, 15, 'με το');
INSERT INTO `lang_definitions` VALUES (75879, 1287, 15, 'Με το');
INSERT INTO `lang_definitions` VALUES (75880, 1293, 15, 'από του στόματος');
INSERT INTO `lang_definitions` VALUES (75881, 1295, 15, 'Από/Προέλευση');
INSERT INTO `lang_definitions` VALUES (75882, 1296, 15, 'Από:');
INSERT INTO `lang_definitions` VALUES (75883, 1297, 15, 'από');
INSERT INTO `lang_definitions` VALUES (75884, 1298, 15, 'ΑΜΦΩ');
INSERT INTO `lang_definitions` VALUES (75885, 1299, 15, 'C');
INSERT INTO `lang_definitions` VALUES (75886, 1302, 15, 'Διάρκεια αποθήκευσης προσωρ. δεδομένων (σε δευτερόλ.)');
INSERT INTO `lang_definitions` VALUES (75887, 1303, 15, 'Έξοδος προτύπου της cache ;');
INSERT INTO `lang_definitions` VALUES (75888, 1304, 15, 'Καφεΐνη');
INSERT INTO `lang_definitions` VALUES (75889, 1305, 15, 'Κατανάλωση Καφεΐνης');
INSERT INTO `lang_definitions` VALUES (75890, 1306, 15, 'Ημερολόγιο');
INSERT INTO `lang_definitions` VALUES (75891, 1307, 15, 'Ώρα τέλους στο Ημερολόγιο');
INSERT INTO `lang_definitions` VALUES (75892, 1308, 15, 'Διάστημα στο Ημερολόγιο');
INSERT INTO `lang_definitions` VALUES (75893, 1309, 15, 'Οθόνη Ημερολογίου');
INSERT INTO `lang_definitions` VALUES (75894, 1310, 15, 'Ρυθμίσεις Ημερολογίου');
INSERT INTO `lang_definitions` VALUES (75895, 1311, 15, 'Ρυθμίσεις Ημερολογίου (ημερολόγιο)');
INSERT INTO `lang_definitions` VALUES (75896, 1312, 15, 'Ώρα έναρξης στο Ημερολόγιο');
INSERT INTO `lang_definitions` VALUES (75897, 1313, 15, 'Εμφάνιση Ημερολογίου');
INSERT INTO `lang_definitions` VALUES (75898, 1314, 15, 'Προβολή Ημερολογίου');
INSERT INTO `lang_definitions` VALUES (75899, 1316, 15, 'Σημειώσεις Επανάκλησης');
INSERT INTO `lang_definitions` VALUES (75900, 1317, 15, 'Η κλήση στην addForm() πηγαίνει εδώ.<br>');
INSERT INTO `lang_definitions` VALUES (75901, 1318, 15, 'Επανάκληση');
INSERT INTO `lang_definitions` VALUES (75902, 1319, 15, 'Πραγματοποιήθηκε Επανάκληση');
INSERT INTO `lang_definitions` VALUES (75903, 1320, 15, 'Ζήτησε να τον καλέσουμε');
INSERT INTO `lang_definitions` VALUES (75904, 1321, 15, 'Θερμίδες');
INSERT INTO `lang_definitions` VALUES (75905, 1322, 15, 'Καμπότζης');
INSERT INTO `lang_definitions` VALUES (75906, 1323, 15, 'CAMOS');
INSERT INTO `lang_definitions` VALUES (75907, 1326, 15, 'Αδύνατη η εύρεση αρχείου');
INSERT INTO `lang_definitions` VALUES (75908, 1327, 15, 'Αδύνατο το ανέβασμα');
INSERT INTO `lang_definitions` VALUES (75909, 1328, 15, 'Καναδάς');
INSERT INTO `lang_definitions` VALUES (75910, 1329, 15, 'Ακύρωση');
INSERT INTO `lang_definitions` VALUES (75911, 1330, 15, 'ακύρωση ');
INSERT INTO `lang_definitions` VALUES (75912, 1332, 15, 'Ακύρωση αλλαγών');
INSERT INTO `lang_definitions` VALUES (75913, 1333, 15, 'Ακυρώθηκε');
INSERT INTO `lang_definitions` VALUES (75914, 1334, 15, 'Ακυρώθηκε < 24h');
INSERT INTO `lang_definitions` VALUES (75915, 1335, 15, 'Καρκίνος');
INSERT INTO `lang_definitions` VALUES (75916, 1336, 15, 'Προληπτικός έλεγχος καρκίνου: Προληπτικός έλεγχος καρκίνου του παχέος εντέρου');
INSERT INTO `lang_definitions` VALUES (75917, 1337, 15, 'Προληπτικός έλεγχος καρκίνου: Μαστογραφία');
INSERT INTO `lang_definitions` VALUES (75918, 1338, 15, 'Προληπτικός έλεγχος καρκίνου: Τεστ Παπανικολάου');
INSERT INTO `lang_definitions` VALUES (75919, 1339, 15, 'Προληπτικός έλεγχος καρκίνου: Προληπτικός έλεγχος καρκίνου του προστάτη');
INSERT INTO `lang_definitions` VALUES (75920, 1340, 15, 'Αδύνατη η προσθήκη αυτής της καταχώρησης, διότι υπάρχει ήδη!');
INSERT INTO `lang_definitions` VALUES (75921, 1341, 15, 'Αδύνατη η προσθήκη/αλλαγή, διότι υπάρχει ήδη μία ίδια διπλή εγγραφή στη βάση!');
INSERT INTO `lang_definitions` VALUES (75922, 1342, 15, 'δεν μπορεί να αρχειοθετηθεί, αγνοείται');
INSERT INTO `lang_definitions` VALUES (75923, 1343, 15, 'αδύνατη η μετατροπή σε JPEG. Ίσως να μην είναι εγκατεστημένο το ImageMagick;');
INSERT INTO `lang_definitions` VALUES (75924, 1344, 15, 'δεν μπορεί να διαγραφεί, αγνοείται');
INSERT INTO `lang_definitions` VALUES (75925, 1345, 15, 'αδύνατη η εμφάνιση inline, διότι ο browser δεν υποστηρίζει αυτον τον τύπο');
INSERT INTO `lang_definitions` VALUES (75926, 1346, 15, 'αδύνατη η εμφάνιση inline, διότι ο browser δεν υποστηρίζει αυτον τον τύπο');
INSERT INTO `lang_definitions` VALUES (75927, 1347, 15, 'αδύνατη η εμφάνιση inline, διότι ο browser δεν υποστηρίζει αυτον τον τύπο');
INSERT INTO `lang_definitions` VALUES (75928, 1348, 15, 'αδύνατη η χρήση σε περίπτωση έλλειψης σήματος κινητής τηλεφωνίας');
INSERT INTO `lang_definitions` VALUES (75929, 1349, 15, 'Δεν είναι δυνατή η δημιουργία');
INSERT INTO `lang_definitions` VALUES (75930, 1350, 15, 'Αδύνατη η δημιουργία αρχείου');
INSERT INTO `lang_definitions` VALUES (75931, 1351, 15, 'Αδύνατη η διαγραφή (από SFTP server) αρχείου');
INSERT INTO `lang_definitions` VALUES (75932, 1352, 15, 'Αδύνατη η διαγραφή αρχείου');
INSERT INTO `lang_definitions` VALUES (75933, 1353, 15, 'Αδύνατη η εύρεση ονόματος αρχείου προορισμού');
INSERT INTO `lang_definitions` VALUES (75934, 1354, 15, 'Δεν είναι δυνατή η εύρεση');
INSERT INTO `lang_definitions` VALUES (75935, 1355, 15, 'Δεν είναι δυνατή η εύρεση αρχείου ονόματος προορισμού');
INSERT INTO `lang_definitions` VALUES (75936, 1358, 15, 'Αδύνατη η εύρεση του ασθενούς από το SQL-Ledger με βάση το customer id');
INSERT INTO `lang_definitions` VALUES (75937, 1359, 15, 'Αδύνατη η εύρεση αναφοράς για το postscript έγγραφο στο');
INSERT INTO `lang_definitions` VALUES (75938, 1360, 15, 'Αδύνατη η εύρεση παρόχου από το SQL-Ledger employee=');
INSERT INTO `lang_definitions` VALUES (75939, 1361, 15, 'Αδύνατη η τροποποίηση Πληρωμών. Τα αδιανέμητα είναι αρνητικά.');
INSERT INTO `lang_definitions` VALUES (75940, 1362, 15, 'Δεν είναι δυνατό το άνοιγμα');
INSERT INTO `lang_definitions` VALUES (75941, 1363, 15, 'Δεν είναι δυνατό το άνοιγμα');
INSERT INTO `lang_definitions` VALUES (75942, 1364, 15, 'Αδύνατη η αποστολή για την Ασφάλ. εταιρεία. Αυτός που επιλέχθηκε ως καταβάλλων την πληρωμή, είναι ασθενής.');
INSERT INTO `lang_definitions` VALUES (75943, 1365, 15, 'Αδύνατη η αποστολή για Ασθενή. Αυτός που επιλέχθηκε ως καταβάλλων την πληρωμή, είναι μια Ασφαλ. εταιρεία.');
INSERT INTO `lang_definitions` VALUES (75944, 1366, 15, 'Αδύνατη η αποστολή Πληρωμών. Τα αδιανέμητα είναι αρνητικά.');
INSERT INTO `lang_definitions` VALUES (75945, 1367, 15, 'Δεν είναι δυνατή η ανάγνωση');
INSERT INTO `lang_definitions` VALUES (75946, 1368, 15, 'Δεν είναι δυνατή η ανάγνωση καταλόγου');
INSERT INTO `lang_definitions` VALUES (75947, 1369, 15, 'Αδύνατη η ενημέρωση, διότι δεν επεξεργάζεσθε μία υπάρχουσα καταχώρηση!');
INSERT INTO `lang_definitions` VALUES (75948, 1370, 15, 'Κεφαλαιοποίηση');
INSERT INTO `lang_definitions` VALUES (75949, 1371, 15, 'Κεφαλαιοποίηση όλων');
INSERT INTO `lang_definitions` VALUES (75950, 1372, 15, 'καψάκιο (caps)');
INSERT INTO `lang_definitions` VALUES (75951, 1373, 15, 'Κάρτα');
INSERT INTO `lang_definitions` VALUES (75952, 1374, 15, 'CVV Κάρτας');
INSERT INTO `lang_definitions` VALUES (75953, 1375, 15, 'Ημ. Λήξης Κάρτας');
INSERT INTO `lang_definitions` VALUES (75954, 1376, 15, 'Ημ. Λήξης Κάρτας και Ταχ. Κώδικας Κατόχου');
INSERT INTO `lang_definitions` VALUES (75955, 1377, 15, 'Ταχ. Κώδικας Κατόχου');
INSERT INTO `lang_definitions` VALUES (75956, 1378, 15, 'Όνομα Κατόχου');
INSERT INTO `lang_definitions` VALUES (75957, 1379, 15, 'Αριθμός Κάρτας');
INSERT INTO `lang_definitions` VALUES (75958, 1380, 15, 'Τύπος Κάρτας');
INSERT INTO `lang_definitions` VALUES (75959, 1382, 15, 'Καρδιακός καθετηριασμός');
INSERT INTO `lang_definitions` VALUES (75960, 1383, 15, 'Καρδιακό υπερηχογράφημα');
INSERT INTO `lang_definitions` VALUES (75961, 1384, 15, 'Καρδιαγγειακό');
INSERT INTO `lang_definitions` VALUES (75962, 1385, 15, 'Συντονισμός Φροντίδας');
INSERT INTO `lang_definitions` VALUES (75963, 1386, 15, 'Αποκλειστικά Συντονισμός Φροντίδας');
INSERT INTO `lang_definitions` VALUES (75964, 1388, 15, 'Φροντιστής');
INSERT INTO `lang_definitions` VALUES (75965, 1389, 15, 'Πλάνο Φροντίδας');
INSERT INTO `lang_definitions` VALUES (75966, 1390, 15, 'Έντυπο Πλάνου Φροντίδας');
INSERT INTO `lang_definitions` VALUES (75967, 1391, 15, 'Συστάσεις πλάνου φροντίδας');
INSERT INTO `lang_definitions` VALUES (75968, 1392, 15, 'Ιατρική Ομάδα');
INSERT INTO `lang_definitions` VALUES (75969, 1394, 15, 'Καρωτιδικό Φύσημα');
INSERT INTO `lang_definitions` VALUES (75970, 1395, 15, 'Καρωτίδες');
INSERT INTO `lang_definitions` VALUES (75971, 1396, 15, 'Βλάβη χόνδρου / δίσκου');
INSERT INTO `lang_definitions` VALUES (75972, 1397, 15, 'Κάκωση χόνδρου');
INSERT INTO `lang_definitions` VALUES (75973, 1398, 15, 'Σφύξεις καρωτίδας κ.φ., Ραχιαίων Αρτηρ. του ποδός κ.φ.');
INSERT INTO `lang_definitions` VALUES (75974, 1399, 15, 'ΚΑΡ');
INSERT INTO `lang_definitions` VALUES (75975, 1400, 15, 'μετρητά');
INSERT INTO `lang_definitions` VALUES (75976, 1401, 15, 'Μετρητά');
INSERT INTO `lang_definitions` VALUES (75977, 1402, 15, 'Απόδειξη Μετρητών');
INSERT INTO `lang_definitions` VALUES (75978, 1403, 15, 'Αποδείξεις Μετρητών ανά Πάροχο');
INSERT INTO `lang_definitions` VALUES (75979, 1405, 15, 'Καταρράκτης');
INSERT INTO `lang_definitions` VALUES (75980, 1406, 15, 'Εγχείριση καταρράκτη');
INSERT INTO `lang_definitions` VALUES (75981, 1407, 15, 'Καταρράκτης');
INSERT INTO `lang_definitions` VALUES (75982, 1408, 15, 'Κατηγορίες');
INSERT INTO `lang_definitions` VALUES (75983, 1409, 15, 'Κατηγορίες για');
INSERT INTO `lang_definitions` VALUES (75984, 1410, 15, 'Κατηγορία');
INSERT INTO `lang_definitions` VALUES (75985, 1411, 15, 'κατηγορία');
INSERT INTO `lang_definitions` VALUES (75986, 1412, 15, 'Κατηγορία');
INSERT INTO `lang_definitions` VALUES (75987, 1414, 15, 'Η κατηγορία τροποποιήθηκε.');
INSERT INTO `lang_definitions` VALUES (75988, 1416, 15, 'Λεπτομέρειες Κατηγορίας');
INSERT INTO `lang_definitions` VALUES (75989, 1417, 15, 'Όρια κατηγορίας');
INSERT INTO `lang_definitions` VALUES (75990, 1418, 15, 'Όνομα κατηγορίας');
INSERT INTO `lang_definitions` VALUES (75991, 1419, 15, 'Το όνομα της κατηγορίας είναι κενό');
INSERT INTO `lang_definitions` VALUES (75992, 1420, 15, 'Κατηγορία/Τίτλος');
INSERT INTO `lang_definitions` VALUES (75993, 1421, 15, 'Λευκής φυλής');
INSERT INTO `lang_definitions` VALUES (75994, 1422, 15, 'οδηγεί στην Εκτύπωση αποδέιξεων/ Πληροφ. για Πάροχο Πρωτοβ. φροντίδας ή για τις Επισκέψεις');
INSERT INTO `lang_definitions` VALUES (75995, 1435, 15, 'ΚΕ');
INSERT INTO `lang_definitions` VALUES (75996, 1442, 15, 'CDR');
INSERT INTO `lang_definitions` VALUES (75997, 1443, 15, 'Προτεραιότητα Επεξεργασίας των Εκθέσεων CDR');
INSERT INTO `lang_definitions` VALUES (75998, 1444, 15, 'Κελί');
INSERT INTO `lang_definitions` VALUES (75999, 1445, 15, 'Κινητό τηλέφωνο');
INSERT INTO `lang_definitions` VALUES (76000, 1446, 15, 'Αρ. Κινητού Τηλεφώνου');
INSERT INTO `lang_definitions` VALUES (76001, 1447, 15, 'Αρ. κινητού τηλεφ.');
INSERT INTO `lang_definitions` VALUES (76002, 1449, 15, 'Κεντρική Πιστοποίηση');
INSERT INTO `lang_definitions` VALUES (76003, 1451, 15, 'Κεντρο/Νοτιο-Αμερικανός');
INSERT INTO `lang_definitions` VALUES (76004, 1452, 15, 'Τα αρχείο crt για την Εξουσιοδ. Πιστοποίησης δεν μπορεί να είναι άδειο');
INSERT INTO `lang_definitions` VALUES (76005, 1453, 15, 'Τα αρχείο με το κλειδί για την Εξουσιοδ. Πιστοποίησης δεν μπορεί να είναι κενό');
INSERT INTO `lang_definitions` VALUES (76006, 1454, 15, 'Πιστοποίηση που θα σταλεί στον διακομιστή RFC 5425 TLS syslog.');
INSERT INTO `lang_definitions` VALUES (76007, 1455, 15, 'Χρήστης Πιστοποίησης');
INSERT INTO `lang_definitions` VALUES (76008, 1456, 15, 'Πιστοποιητικά');
INSERT INTO `lang_definitions` VALUES (76009, 1458, 15, 'Πολιτικό Πρόγραμμα Υγείας και Ιατρικής για τους Ένστολους');
INSERT INTO `lang_definitions` VALUES (76010, 1459, 15, 'Πολιτικό Πρόγραμμα Υγείας και Ιατρικής για τους Ένστολους Βετεράνους');
INSERT INTO `lang_definitions` VALUES (76011, 1460, 15, 'αλλαγή');
INSERT INTO `lang_definitions` VALUES (76012, 1461, 15, 'Αλλαγή');
INSERT INTO `lang_definitions` VALUES (76013, 1462, 15, 'Ενεργή/Ανενεργή');
INSERT INTO `lang_definitions` VALUES (76014, 1466, 15, 'Η αλλαγή απέτυχε! Σφάλμα σύνδεσης με το CouchDB;');
INSERT INTO `lang_definitions` VALUES (76015, 1467, 15, 'Αλλαγή στην όραση');
INSERT INTO `lang_definitions` VALUES (76016, 1468, 15, 'Αλλαγή στην όραση');
INSERT INTO `lang_definitions` VALUES (76017, 1470, 15, 'Αλλαγή κωδικού πρόσβασης');
INSERT INTO `lang_definitions` VALUES (76018, 1471, 15, 'Αλλαγή κωδικού για');
INSERT INTO `lang_definitions` VALUES (76019, 1473, 15, 'Αλλαγή Κατάστασης για');
INSERT INTO `lang_definitions` VALUES (76020, 1475, 15, 'Τροποποιήθηκε');
INSERT INTO `lang_definitions` VALUES (76021, 1476, 15, 'Αλλαγή συνηθειών εντέρου');
INSERT INTO `lang_definitions` VALUES (76022, 1479, 15, 'Αλλαγή του Κωδ. ασθενούς για το έγγραφο');
INSERT INTO `lang_definitions` VALUES (76023, 1484, 15, 'Χαρακτηριστικά');
INSERT INTO `lang_definitions` VALUES (76024, 1485, 15, 'Χαρακτήρες που απομένουν');
INSERT INTO `lang_definitions` VALUES (76025, 1486, 15, 'Χρέωση');
INSERT INTO `lang_definitions` VALUES (76026, 1487, 15, 'Ρύθμιση Χρέωσης');
INSERT INTO `lang_definitions` VALUES (76027, 1488, 15, 'Η Χρέωση Κωδικοποιήθηκε');
INSERT INTO `lang_definitions` VALUES (76028, 1489, 15, 'Σύνολο Χρέωσης');
INSERT INTO `lang_definitions` VALUES (76029, 1490, 15, 'Χρεώσεις');
INSERT INTO `lang_definitions` VALUES (76030, 1491, 15, 'Ιατρικός Φάκελος');
INSERT INTO `lang_definitions` VALUES (76031, 1492, 15, 'Κινήσεις Φακέλων');
INSERT INTO `lang_definitions` VALUES (76032, 1493, 15, 'Αναφορά Κινήσεων (τύπου Check-in/out) Φακέλων');
INSERT INTO `lang_definitions` VALUES (76033, 1495, 15, 'Κωδ. φακέλου');
INSERT INTO `lang_definitions` VALUES (76034, 1496, 15, 'Κωδ. φακέλου:');
INSERT INTO `lang_definitions` VALUES (76035, 1497, 15, 'Ετικέτα Φακέλου');
INSERT INTO `lang_definitions` VALUES (76036, 1498, 15, 'Κινήσεις Τοποθεσίας Φακέλου');
INSERT INTO `lang_definitions` VALUES (76037, 1499, 15, 'Σημείωση Φακέλου');
INSERT INTO `lang_definitions` VALUES (76038, 1500, 15, 'Αριθμός Φακέλου');
INSERT INTO `lang_definitions` VALUES (76039, 1501, 15, 'Ο Φάκελος ανεσύρθη');
INSERT INTO `lang_definitions` VALUES (76040, 1502, 15, 'Τοποθεσίες Αποθήκευσης Φακέλων');
INSERT INTO `lang_definitions` VALUES (76041, 1504, 15, 'Ευρετήριο Φακέλων');
INSERT INTO `lang_definitions` VALUES (76042, 1505, 15, 'Ευρετ. Φακέλ.');
INSERT INTO `lang_definitions` VALUES (76043, 1508, 15, 'Ανεσυρμένοι Φάκελοι');
INSERT INTO `lang_definitions` VALUES (76044, 1509, 15, 'Ανεσυρμένοι Φάκελοι');
INSERT INTO `lang_definitions` VALUES (76045, 1510, 15, 'Συνομιλία');
INSERT INTO `lang_definitions` VALUES (76046, 1511, 15, 'ιστορικό συνομιλίας');
INSERT INTO `lang_definitions` VALUES (76047, 1513, 15, 'Έλεγχος');
INSERT INTO `lang_definitions` VALUES (76048, 1514, 15, 'έλεγχος');
INSERT INTO `lang_definitions` VALUES (76049, 1515, 15, 'Επιλογή όλων');
INSERT INTO `lang_definitions` VALUES (76050, 1520, 15, 'Έλεγχος Ημερ/νίας Λήξης');
INSERT INTO `lang_definitions` VALUES (76051, 1521, 15, 'Ελέγξτε για διαφορές μετάφρασης με τον custom πίνακα γλώσσας.');
INSERT INTO `lang_definitions` VALUES (76052, 1523, 15, 'Επιλέξτε αν σχεδιάζετε να εκτυπώσετε τις κάρτες τοπικά');
INSERT INTO `lang_definitions` VALUES (76053, 1528, 15, 'Έλεγχος δεδομένων εισόδου');
INSERT INTO `lang_definitions` VALUES (76054, 1529, 15, 'Επιλέξτε αντικείμενα για το γράφημα');
INSERT INTO `lang_definitions` VALUES (76055, 1530, 15, 'Έλεγχος εργαστηριακών αποτελεσμάτων');
INSERT INTO `lang_definitions` VALUES (76056, 1532, 15, 'Αρ. Επιταγής');
INSERT INTO `lang_definitions` VALUES (76057, 1533, 15, 'Αριθμός Επιταγής');
INSERT INTO `lang_definitions` VALUES (76058, 1535, 15, 'Ώρα Ολοκλήρωσης');
INSERT INTO `lang_definitions` VALUES (76059, 1536, 15, 'Επιταγή');
INSERT INTO `lang_definitions` VALUES (76060, 1537, 15, 'Τσεκάρετε το κουτάκι επιλογής, αν πρόκειται για κρυπτογραφ. αρχείο');
INSERT INTO `lang_definitions` VALUES (76061, 1541, 15, 'Επιλέξτε αυτό, αν θέλετε οι Πάροχοι να βλέπουν εξ ορισμού όλα τα ραντεβού και όχι μόνο τα δικά τους');
INSERT INTO `lang_definitions` VALUES (76062, 1543, 15, 'Επιλέξτε για δημιουργία προβλήματος μέσω αυτής της διάγνωσης');
INSERT INTO `lang_definitions` VALUES (76063, 1545, 15, 'Έλεγχος/ Ημ. Εμβάσμ. Πληρωμής (EOB):');
INSERT INTO `lang_definitions` VALUES (76064, 1547, 15, 'Έλεγχος/ Αριθμός Εμβάσμ. Πληρωμής (ΕΟΒ):');
INSERT INTO `lang_definitions` VALUES (76065, 1548, 15, 'Αριθμός Επιταγής/Αναφ.');
INSERT INTO `lang_definitions` VALUES (76066, 1549, 15, 'Αριθμός Επιταγής/Αναφοράς');
INSERT INTO `lang_definitions` VALUES (76067, 1550, 15, 'Λίστα με κουτάκια ');
INSERT INTO `lang_definitions` VALUES (76068, 1551, 15, 'λίστα με κουτάκια ');
INSERT INTO `lang_definitions` VALUES (76069, 1552, 15, 'Λίστα με κουτάκια με κείμενο');
INSERT INTO `lang_definitions` VALUES (76070, 1553, 15, 'Λίστα με κουτάκια με κείμενο');
INSERT INTO `lang_definitions` VALUES (76071, 1554, 15, 'Κουτάκια επιλογών');
INSERT INTO `lang_definitions` VALUES (76072, 1556, 15, 'Κουτάκια επιλογών με κείμενο');
INSERT INTO `lang_definitions` VALUES (76073, 1557, 15, 'Επιλέχθηκε');
INSERT INTO `lang_definitions` VALUES (76074, 1559, 15, 'Επιλεγμένο κουτάκι = Ναι, Άδειο = Όχι');
INSERT INTO `lang_definitions` VALUES (76075, 1560, 15, 'Επιλεγμένο κουτάκι = Ναι, Άδειο = Όχι');
INSERT INTO `lang_definitions` VALUES (76076, 1566, 15, 'Επιλέγοντας το κουτάκι κλειδώματος θα αποτραπεί κάθε μεταγενέστερη αλλαγή σε οποιοδήποτε έντυπο αυτής της επίσκεψης.');
INSERT INTO `lang_definitions` VALUES (76077, 1569, 15, 'Checksum');
INSERT INTO `lang_definitions` VALUES (76078, 1570, 15, 'Θώρακας');
INSERT INTO `lang_definitions` VALUES (76079, 1571, 15, 'Ακρόαση πνευμόνων καθαρή άμφω');
INSERT INTO `lang_definitions` VALUES (76080, 1572, 15, 'Θωρακικό άλγος');
INSERT INTO `lang_definitions` VALUES (76081, 1573, 15, 'Θωρακικό άλγος:');
INSERT INTO `lang_definitions` VALUES (76082, 1574, 15, 'Θωρακικά Άλγη');
INSERT INTO `lang_definitions` VALUES (76083, 1575, 15, 'Πνευμονολόγος');
INSERT INTO `lang_definitions` VALUES (76084, 1576, 15, 'Αλλαγές');
INSERT INTO `lang_definitions` VALUES (76085, 1578, 15, 'Κύριο Ενόχλημα');
INSERT INTO `lang_definitions` VALUES (76086, 1579, 15, 'Κύριο Ενόχλημα 2');
INSERT INTO `lang_definitions` VALUES (76087, 1580, 15, 'Κύριο Ενόχλημα 3');
INSERT INTO `lang_definitions` VALUES (76088, 1581, 15, 'Παιδί');
INSERT INTO `lang_definitions` VALUES (76089, 1582, 15, 'Παιδί εξ αγχιστείας');
INSERT INTO `lang_definitions` VALUES (76090, 1583, 15, 'Κατάσταση εμβολ. παιδιού');
INSERT INTO `lang_definitions` VALUES (76091, 1584, 15, 'Φρίκια');
INSERT INTO `lang_definitions` VALUES (76092, 1585, 15, 'Κινεζικά');
INSERT INTO `lang_definitions` VALUES (76093, 1586, 15, 'Κινεζικά (Απλοπ.)');
INSERT INTO `lang_definitions` VALUES (76094, 1587, 15, 'Κινεζικά (Παραδοσιακά)');
INSERT INTO `lang_definitions` VALUES (76095, 1588, 15, 'Χειροπρακτικός');
INSERT INTO `lang_definitions` VALUES (76096, 1589, 15, 'Επιλογές');
INSERT INTO `lang_definitions` VALUES (76097, 1590, 15, 'Χολοκυστεκτομή');
INSERT INTO `lang_definitions` VALUES (76098, 1591, 15, 'χολοκυστεκτομή');
INSERT INTO `lang_definitions` VALUES (76099, 1592, 15, 'Χολοκυστοστομία');
INSERT INTO `lang_definitions` VALUES (76100, 1593, 15, 'Επιλέξτε');
INSERT INTO `lang_definitions` VALUES (76101, 1595, 15, 'Επιλέξτε μια περίοδο ή ημερομηνίες (ΕΕΕΕ-ΜΜ-ΗΗ)');
INSERT INTO `lang_definitions` VALUES (76102, 1596, 15, 'Επιλέξτε μια ενότητα και κάντε κλικ σε ένα αντικείμενο μέσα σε αυτή. Τότε, στο άλλο τμήμα, θα δείτε τονισμένα τα σχετικά αντικείμενα και μπορείτε να κάνετε κλικ εκεί, για να προσθέσετε και να διαγράψετε σχέσεις.');
INSERT INTO `lang_definitions` VALUES (76103, 1597, 15, 'Επιλέξτε Κριτήρια');
INSERT INTO `lang_definitions` VALUES (76104, 1598, 15, 'Επιλέξτε πίνακα CSV');
INSERT INTO `lang_definitions` VALUES (76105, 1600, 15, 'Επιλέξτε είτε τον τρέχοντα πάροχο είτε τον συνδεδεμένο πάροχο');
INSERT INTO `lang_definitions` VALUES (76106, 1602, 15, 'Επιλέξτε Αρχείο');
INSERT INTO `lang_definitions` VALUES (76107, 1603, 15, 'Επιλέξτε από λίστα');
INSERT INTO `lang_definitions` VALUES (76108, 1604, 15, 'Επιλέξτε τον Προσανατολισμό της Διάταξης');
INSERT INTO `lang_definitions` VALUES (76109, 1605, 15, 'Επιλέξτε λίστα');
INSERT INTO `lang_definitions` VALUES (76110, 1608, 15, 'Επιλέξτε Μέγεθος Χαρτιού');
INSERT INTO `lang_definitions` VALUES (76111, 1609, 15, 'Επιλογή Ασθενούς');
INSERT INTO `lang_definitions` VALUES (76112, 1610, 15, 'Επιλέξτε Προτιμώμενη γλώσσα PDF');
INSERT INTO `lang_definitions` VALUES (76113, 1611, 15, 'Επιλέξτε τρόπο εκτύπωσης για αυτήν την αναφορά επίσκεψης.');
INSERT INTO `lang_definitions` VALUES (76114, 1612, 15, 'Επιλέξτε την διάταξη (απατείται έξοδος και επανασύνδεση για εφαρμογή)');
INSERT INTO `lang_definitions` VALUES (76115, 1613, 15, 'Επιλέξτε την προεπιλεγμένη σας προβολή επίσκεψης');
INSERT INTO `lang_definitions` VALUES (76116, 1615, 15, 'Χρόνια βρογχίτιδα');
INSERT INTO `lang_definitions` VALUES (76117, 1616, 15, 'Χρόνια αρθραλγία');
INSERT INTO `lang_definitions` VALUES (76118, 1617, 15, 'Χρόνια νεφρική νόσος');
INSERT INTO `lang_definitions` VALUES (76119, 1618, 15, 'Χρόνια ή Ανενεργά Προβλήματα');
INSERT INTO `lang_definitions` VALUES (76120, 1619, 15, 'Χρόνια Προβλήματα');
INSERT INTO `lang_definitions` VALUES (76121, 1620, 15, 'Χρόνια υμενίτιδα / συλλογή υγρού / αρθραλγία / ποδάγρα');
INSERT INTO `lang_definitions` VALUES (76122, 1621, 15, 'Χρόνια/Ανενεργά Προβλήματα');
INSERT INTO `lang_definitions` VALUES (76123, 1622, 15, 'Χρόνιο/Υποτροπιάζον');
INSERT INTO `lang_definitions` VALUES (76124, 1624, 15, 'Τσιγάρα');
INSERT INTO `lang_definitions` VALUES (76125, 1625, 15, 'Κίρρωση του ήπατος');
INSERT INTO `lang_definitions` VALUES (76126, 1626, 15, 'Κίρρωση του ήπατος');
INSERT INTO `lang_definitions` VALUES (76127, 1627, 15, 'Πόλη');
INSERT INTO `lang_definitions` VALUES (76128, 1629, 15, 'Όνομα πόλης');
INSERT INTO `lang_definitions` VALUES (76129, 1630, 15, 'Πόλη, Νομός');
INSERT INTO `lang_definitions` VALUES (76130, 1631, 15, 'Πόλη, Νομός ΤΚ');
INSERT INTO `lang_definitions` VALUES (76131, 1632, 15, 'Πόλη,Νομός,ΤΚ');
INSERT INTO `lang_definitions` VALUES (76132, 1633, 15, 'Πόλη/Νομός');
INSERT INTO `lang_definitions` VALUES (76133, 1645, 15, 'Ταξινόμηση');
INSERT INTO `lang_definitions` VALUES (76134, 1646, 15, 'Καθαρισμός');
INSERT INTO `lang_definitions` VALUES (76135, 1647, 15, 'καθαρισμός');
INSERT INTO `lang_definitions` VALUES (76136, 1648, 15, 'Κατάργηση 2FA');
INSERT INTO `lang_definitions` VALUES (76137, 1649, 15, 'ΚΑΘΑΡΙΣΜΟΣ ΕΝΕΡΓΟΥ ΑΣΘΕΝΟΥΣ');
INSERT INTO `lang_definitions` VALUES (76138, 1651, 15, 'Καθαρισμός όλων');
INSERT INTO `lang_definitions` VALUES (76139, 1652, 15, 'Καθαρισμός φίλτρων');
INSERT INTO `lang_definitions` VALUES (76140, 1653, 15, 'Καθαρισμός ιστορικού');
INSERT INTO `lang_definitions` VALUES (76141, 1654, 15, 'Καθαρισμός δεδομένων HL7');
INSERT INTO `lang_definitions` VALUES (76142, 1655, 15, 'Καθαρισμός Αιτιολόγησης');
INSERT INTO `lang_definitions` VALUES (76143, 1658, 15, 'Καθαρισμός Υπογραφής');
INSERT INTO `lang_definitions` VALUES (76144, 1659, 15, 'Καθαρισμός Ημερολογίου');
INSERT INTO `lang_definitions` VALUES (76145, 1662, 15, 'Αριθμός CLIA');
INSERT INTO `lang_definitions` VALUES (76146, 1663, 15, 'Κλικ');
INSERT INTO `lang_definitions` VALUES (76147, 1664, 15, 'Πατήστε “Εξαγωγή” για να εξάγετε τα δεδομένα Κατηγορίας, Υποκατηγορίας και Αντικειμένου, σε ένα αρχείο. Οποιαδήποτε ομοιότητα αυτού του αρχείου με αρχείο XML είναι καθαρά συμπτωματική. Το άνοιγμα και το κλείσιμο ετικετών πρέπει να είναι στην ίδια γραμμή με πεζά γράμματα, χωρίς κενά. Για εισαγωγή, αναζητήστε ένα αρχείο και κάντε κλικ στο κουμπί “Εισαγωγή”. Εάν τα δεδομένα είναι εντελώς διαφορετικά, θα συγχωνευτούν με τα υπάρχοντα. Αν υπάρχουν ίδια ονόματα αντικειμένων, το παλιό όνομα θα διατηρηθεί και το νέο θα αποθηκευθεί με την προσθήκη ενός αριθμού στο τέλος του.');
INSERT INTO `lang_definitions` VALUES (76148, 1665, 15, 'Κάντε κλικ στην «Αποθήκευση»');
INSERT INTO `lang_definitions` VALUES (76149, 1667, 15, 'Κάντε κλικ σε ένα σημείο στην εικόνα για να προσθέσετε νέα επισήμανση. Κάντε κλικ ξανά στο ίδιο σημείο για να την αφαιρέσετε.');
INSERT INTO `lang_definitions` VALUES (76150, 1668, 15, 'Κάντε κλικ στην κάτω δεξιά γωνία και σύρετε για αλλαγή μεγέθους');
INSERT INTO `lang_definitions` VALUES (76151, 1670, 15, 'Κάντε κλικ στο «Κλείσιμο» για να κλείσετε το αναδυόμενο παράθυρο Επιλογής Κωδικών');
INSERT INTO `lang_definitions` VALUES (76152, 1671, 15, 'Πατήστε Κατέβασμα Πιστοποιητικών για να κατεβάσετε τα πιστοποιητικά στο αρχείο ssl.zip');
INSERT INTO `lang_definitions` VALUES (76153, 1672, 15, 'κάντε κλικ για περισσότερα');
INSERT INTO `lang_definitions` VALUES (76154, 1673, 15, 'Κάντε κλικ για περισσότερες πληροφορίες');
INSERT INTO `lang_definitions` VALUES (76155, 1674, 15, 'Κάντε κλικ για σύνοψη παραγγελίας');
INSERT INTO `lang_definitions` VALUES (76156, 1675, 15, 'Κάντε κλικ για αποτελέσματα');
INSERT INTO `lang_definitions` VALUES (76157, 1676, 15, 'Κάντε κλικ εδώ για βοήθεια σχετικά με συντομογραφίες');
INSERT INTO `lang_definitions` VALUES (76158, 1678, 15, 'Κάντε κλικ εδώ');
INSERT INTO `lang_definitions` VALUES (76159, 1679, 15, 'Κάντε κλικ εδώ για προσθήκη Νέου Ασθενούς');
INSERT INTO `lang_definitions` VALUES (76160, 1680, 15, 'Κάντε κλικ εδώ για προσθήκη νέας κατάστασης αλλαγής τραύματος και την επεξεργασία της καθμερινής δραστηριότητας');
INSERT INTO `lang_definitions` VALUES (76161, 1681, 15, 'Κάντε κλικ εδώ για προσθήκη νέας σειράς');
INSERT INTO `lang_definitions` VALUES (76162, 1682, 15, 'Κάντε κλικ εδώ για επιλογή ημ/νίας');
INSERT INTO `lang_definitions` VALUES (76163, 1683, 15, 'Κάντε κλικ εδώ για επιλογή ημερ. και ώρας');
INSERT INTO `lang_definitions` VALUES (76164, 1684, 15, 'Κάντε κλικ εδώ για επιλογή ημερ. έναρξης');
INSERT INTO `lang_definitions` VALUES (76165, 1685, 15, 'Κάντε κλικ εδώ για επιλογή ημερ. ώρας');
INSERT INTO `lang_definitions` VALUES (76166, 1686, 15, 'Κάντε κλικ εδώ για επιλογή ημερ. και ώρας από');
INSERT INTO `lang_definitions` VALUES (76167, 1687, 15, 'Κάντε κλικ εδώ για επιλογή ημερ. και ώρας έως');
INSERT INTO `lang_definitions` VALUES (76168, 1690, 15, 'Κάντε κλικ εδώ για διαγραφή της σειράς');
INSERT INTO `lang_definitions` VALUES (76169, 1691, 15, 'Κάντε κλικ εδώ για διαγραφή της επιλογής');
INSERT INTO `lang_definitions` VALUES (76170, 1693, 15, 'Κάντε κλικ εδώ για αναπαραγωγή της σειράς');
INSERT INTO `lang_definitions` VALUES (76171, 1698, 15, 'Κάντε κλικ εδώ για Τροποποίηση του Καταλόγου Κατασκευαστών');
INSERT INTO `lang_definitions` VALUES (76172, 1699, 15, 'Κάντε κλικ εδώ για Τροποποίηση του Καταλόγου Προμηθευτών');
INSERT INTO `lang_definitions` VALUES (76173, 1707, 15, 'Κάντε κλικ εδώ για αναζήτηση');
INSERT INTO `lang_definitions` VALUES (76174, 1710, 15, 'Κάντε κλικ εδώ για ενημέρωση των ρυθμίσεων προτεραιότητας, κατηγορίας και ψευδωνύμου');
INSERT INTO `lang_definitions` VALUES (76175, 1711, 15, 'Κάντε κλικ εδώ για ενημέρωση των ρυθμίσεων προτεραιότητας, κατηγορίας, ψευδωνύμου και ελέγχου πρόσβασης');
INSERT INTO `lang_definitions` VALUES (76176, 1714, 15, 'Κάντε κλικ εδώ για προβολή όλων');
INSERT INTO `lang_definitions` VALUES (76177, 1715, 15, 'Κάντε κλικ εδώ για προβολή και γράφημα');
INSERT INTO `lang_definitions` VALUES (76178, 1716, 15, 'Κάντε κλικ εδώ για προβολή και γράφημα όλων των εργαστηριακών δεδομένων.');
INSERT INTO `lang_definitions` VALUES (76179, 1717, 15, 'Κάντε κλικ εδώ για προβολή και γράφημα όλων των ζωτικών.');
INSERT INTO `lang_definitions` VALUES (76180, 1718, 15, 'Κάντε κλικ εδώ για να δείτε τα στοιχεία των ασθενών');
INSERT INTO `lang_definitions` VALUES (76181, 1719, 15, 'Κάντε κλικ εδώ για να τα δείτε όλα.');
INSERT INTO `lang_definitions` VALUES (76182, 1720, 15, 'Κάντε κλικ εδώ για να δείτε/επεξεργαστείτε περισσότερες πληροφορίες');
INSERT INTO `lang_definitions` VALUES (76183, 1723, 15, 'Κάντε κλικ στο \"Εγκατάσταση\" για να εγκαταστήσετε την έκδοση βάσης δεδομένων από τις ακόλουθες ημερομηνίες');
INSERT INTO `lang_definitions` VALUES (76184, 1724, 15, 'Κάντε κλικ στο ΟΚ αν είστε βέβαιος/α');
INSERT INTO `lang_definitions` VALUES (76185, 1730, 15, 'Κάντε κλικ σε οποιοδήποτε τμήμα χρόνου για να το αυξήσετε');
INSERT INTO `lang_definitions` VALUES (76186, 1749, 15, 'Κάντε κλικ στο κουμπί «Νέα Πρόσκληση» για να ανοίξετε τη σελίδα προγραμματισμού νέας Πρόσκλησης');
INSERT INTO `lang_definitions` VALUES (76187, 1751, 15, 'Κάντε κλικ στο Όνομα του Ασθενούς για να ανοίξετε το Αρχείο Ασθενούς.');
INSERT INTO `lang_definitions` VALUES (76188, 1753, 15, 'Κλικ στο Ανανέωση για να δείτε όλα τα αποτελέσματα, ή ορίστε κριτήρια αναζήτησης πιο πάνω για να δείτε συγκεκριμένα αποτελέσματα');
INSERT INTO `lang_definitions` VALUES (76189, 1755, 15, 'Κάντε κλικ στην Αποθήκευση');
INSERT INTO `lang_definitions` VALUES (76190, 1756, 15, 'Κάντε κλικ στην Αποθήκευση και μετά στην Ανανέωση');
INSERT INTO `lang_definitions` VALUES (76191, 1757, 15, 'Κάντε κλικ στην Αποθήκευση για να κλείσετε το αναδυόμενο παράθυρο');
INSERT INTO `lang_definitions` VALUES (76192, 1758, 15, 'Κάντε κλικ στην Αποθήκευση για να κλείσετε το αναδυόμενο παράθυρο');
INSERT INTO `lang_definitions` VALUES (76193, 1760, 15, 'Κάντε κλικ στην «Αποθήκευση» για αποθήκευση και κλείσιμο του αναδυόμενου παραθύρου');
INSERT INTO `lang_definitions` VALUES (76194, 1769, 15, 'Κάντε κλικ στο εικονίδιο με το μολύβι για να παραχωρήσετε ή να αφαιρέσετε δικαιώματα από τον επιλεγμένο χρήστη');
INSERT INTO `lang_definitions` VALUES (76195, 1770, 15, 'Κάντε κλικ στο κουμπί «Αποθήκευση»');
INSERT INTO `lang_definitions` VALUES (76196, 1771, 15, 'Κάντε κλικ στο κουμπί «Αναζήτηση Αλλεργίας»');
INSERT INTO `lang_definitions` VALUES (76197, 1772, 15, 'Κάντε κλικ στο εικονίδιο με το κλειστό μάτι για κλείσιμο.');
INSERT INTO `lang_definitions` VALUES (76198, 1773, 15, 'Κάντε κλικ στο κουμπί «Υποβολή» για να εμφανιστεί το κύριο αρχείο καταγραφής');
INSERT INTO `lang_definitions` VALUES (76199, 1775, 15, 'Επιλέξτε το για προβολή/απόκρυψη επιπλέον εξετάσεων');
INSERT INTO `lang_definitions` VALUES (76200, 1776, 15, 'Κάντε κλικ για ενεργοποίηση και αποστολή σε αυτόν τον παραλήπτη.');
INSERT INTO `lang_definitions` VALUES (76201, 1777, 15, 'Κάντε κλικ για προσθήκη διάγνωσης');
INSERT INTO `lang_definitions` VALUES (76202, 1779, 15, 'Κάντε κλικ για προσθήκη νέων συστατικών');
INSERT INTO `lang_definitions` VALUES (76203, 1780, 15, 'Κάντε κλικ για προσθήκη νέας εκτίμησης');
INSERT INTO `lang_definitions` VALUES (76204, 1781, 15, 'Κάντε κλικ για προσθήκη ασθενούς');
INSERT INTO `lang_definitions` VALUES (76205, 1784, 15, 'Κάντε κλικ για εμφάνιση ονομάτων πεδίων σε μορφή συντομογραφίας');
INSERT INTO `lang_definitions` VALUES (76206, 1785, 15, 'Κάντε κλικ για να κατεβάσετε');
INSERT INTO `lang_definitions` VALUES (76207, 1786, 15, 'Κάντε κλικ για επεξεργασία');
INSERT INTO `lang_definitions` VALUES (76208, 1787, 15, 'Κάντε κλικ για την επεξεργασία της περιγραφής');
INSERT INTO `lang_definitions` VALUES (76209, 1788, 15, 'Κάντε κλικ για επεξεργασία αυτού του συμβάντος');
INSERT INTO `lang_definitions` VALUES (76210, 1789, 15, 'Κάντε κλικ για Επέκταση και ρύθμιση ώστε εφεξής να ανοίγει σε Επέκταση');
INSERT INTO `lang_definitions` VALUES (76211, 1790, 15, 'Κάντε κλικ για δημιουργία της αναφοράς');
INSERT INTO `lang_definitions` VALUES (76212, 1791, 15, 'Κάντε κλικ για μετάβαση στη σελίδα');
INSERT INTO `lang_definitions` VALUES (76213, 1792, 15, 'Κάντε κλικ για Απόκρυψη');
INSERT INTO `lang_definitions` VALUES (76214, 1793, 15, 'Κάντε κλικ για απόκρυψη της προχωρημένης αναζήτησης');
INSERT INTO `lang_definitions` VALUES (76215, 1794, 15, 'Κάντε κλικ για Απόκρυψη των Φίλτρων');
INSERT INTO `lang_definitions` VALUES (76216, 1795, 15, 'Κάντε κλικ για απόκρυψη της αναζήτησης');
INSERT INTO `lang_definitions` VALUES (76217, 1798, 15, 'Κάντε κλικ για χειροκίνητη ρύθμιση ελέγχου πρόσβασης. Προτείνεται για προχωρημένους χρήστες');
INSERT INTO `lang_definitions` VALUES (76218, 1799, 15, 'Κάντε κλικ για να ταιριάξετε τον ασθενή');
INSERT INTO `lang_definitions` VALUES (76219, 1800, 15, 'Κάντε κλικ για εκτύπωση');
INSERT INTO `lang_definitions` VALUES (76220, 1801, 15, 'Κάντε κλικ για λήψη (προσθήκη) νέας παρτίδας');
INSERT INTO `lang_definitions` VALUES (76221, 1802, 15, 'Κάντε κλικ για εμφάνιση περισσότερων πληροφοριών');
INSERT INTO `lang_definitions` VALUES (76222, 1804, 15, 'Κάντε κλικ για περισσότερες πληροφορίες ');
INSERT INTO `lang_definitions` VALUES (76223, 1805, 15, 'Κάντε κλικ για επιλογή');
INSERT INTO `lang_definitions` VALUES (76224, 1806, 15, 'Κάντε κλικ για Επιλογή');
INSERT INTO `lang_definitions` VALUES (76225, 1808, 15, 'Κάντε κλικ για επιλογή ενός προτυποποιημένου κωδικού για αυτήν την Ιατρική Πράξη');
INSERT INTO `lang_definitions` VALUES (76226, 1810, 15, 'Κάντε κλικ για επιλογή Ομάδας');
INSERT INTO `lang_definitions` VALUES (76227, 1811, 15, 'Κάντε κλικ για να επιλέξετε έναν προαιρετικό κωδικό για αυτήν την Ιατρική Πράξη');
INSERT INTO `lang_definitions` VALUES (76228, 1812, 15, 'Κάντε κλικ για επιλογή ή αλλαγή κωδικοποίησης');
INSERT INTO `lang_definitions` VALUES (76229, 1813, 15, 'Κάντε κλικ για επιλογή ή αλλαγή κωδικού CVX');
INSERT INTO `lang_definitions` VALUES (76230, 1814, 15, 'Κάντε κλικ για επιλογή ή αλλαγή διαγνώσεων');
INSERT INTO `lang_definitions` VALUES (76231, 1815, 15, 'Κάντε κλικ για επιλογή ή αλλαγή των κωδικών των υπηρεσιών');
INSERT INTO `lang_definitions` VALUES (76232, 1816, 15, 'Κάντε κλικ για επιλογή ασθενούς');
INSERT INTO `lang_definitions` VALUES (76233, 1817, 15, 'Κάντε κλικ για επιλογή σχετικού κώδικα');
INSERT INTO `lang_definitions` VALUES (76234, 1819, 15, 'Κάντε κλικ για επιλογή υπηρεσιών προς εκτέλεση αν αυτό το αποτέλεσμα είναι παθολογικό');
INSERT INTO `lang_definitions` VALUES (76235, 1822, 15, 'Κάντε κλικ για επιλογή της επιθυμητής Ιατρικής Πράξης');
INSERT INTO `lang_definitions` VALUES (76236, 1823, 15, 'Κάντε κλικ για Εμφάνιση');
INSERT INTO `lang_definitions` VALUES (76237, 1824, 15, 'Κάντε κλικ για προχωρημένη αναζήτηση');
INSERT INTO `lang_definitions` VALUES (76238, 1825, 15, 'Κάντε κλικ για προβολή Φίλτρων');
INSERT INTO `lang_definitions` VALUES (76239, 1826, 15, 'Κάντε κλικ για προβολή μηνυμάτων για όλους τους χρήστες');
INSERT INTO `lang_definitions` VALUES (76240, 1827, 15, 'Κάντε κλικ για προβολή μηνυμάτων μόνο για τον τρέχοντα χρήστη');
INSERT INTO `lang_definitions` VALUES (76241, 1828, 15, 'Κάντε κλικ για εμφάνιση αναζήτησης');
INSERT INTO `lang_definitions` VALUES (76242, 1829, 15, 'Κάντε κλικ για ταξινόμηση');
INSERT INTO `lang_definitions` VALUES (76243, 1831, 15, 'Kάντε κλικ για προβολή');
INSERT INTO `lang_definitions` VALUES (76244, 1832, 15, 'Κάντε κλικ για προβολή βοήθειας');
INSERT INTO `lang_definitions` VALUES (76245, 1833, 15, 'Kάντε κλικ για προβολή ή επεξεργασία');
INSERT INTO `lang_definitions` VALUES (76246, 1834, 15, 'Kάντε κλικ για προβολή/επεξεργασία');
INSERT INTO `lang_definitions` VALUES (76247, 1836, 15, 'Κάντε κλικ στο κουμπί \"Αναβάθμιση\" για να αναβαθμίσετε την έκδοση βάσης δεδομένων από την ακόλουθη ημ/νία');
INSERT INTO `lang_definitions` VALUES (76248, 1839, 15, 'Κάντε κλικ:');
INSERT INTO `lang_definitions` VALUES (76249, 1862, 15, 'Ημέρες μέχρι τη Λήξη Πιστοποιητικού Πελάτη');
INSERT INTO `lang_definitions` VALUES (76250, 1864, 15, 'Περίοδος επικύρωσης πιστοποιητικού πελάτη');
INSERT INTO `lang_definitions` VALUES (76251, 1865, 15, 'Η κύρωση πιστοποιητικού πελάτη πρέπει να είναι έγκυρος αριθμός.');
INSERT INTO `lang_definitions` VALUES (76252, 1866, 15, 'Αντίγραφο Ασθενούς');
INSERT INTO `lang_definitions` VALUES (76253, 1868, 15, 'Κωδ. Ασθενούς');
INSERT INTO `lang_definitions` VALUES (76254, 1869, 15, 'Σύνοψη Ιστορικού Ασθενούς');
INSERT INTO `lang_definitions` VALUES (76255, 1870, 15, 'Όνομα Πελάτη');
INSERT INTO `lang_definitions` VALUES (76256, 1872, 15, 'Αριθμός Πελάτη');
INSERT INTO `lang_definitions` VALUES (76257, 1873, 15, 'Προφίλ Πελάτη - Νέοι Πελάτες');
INSERT INTO `lang_definitions` VALUES (76258, 1874, 15, 'Προφίλ Πελάτη - Μοναδικοί Πελάτες');
INSERT INTO `lang_definitions` VALUES (76259, 1878, 15, 'Πελάτες');
INSERT INTO `lang_definitions` VALUES (76260, 1879, 15, 'Κλινική');
INSERT INTO `lang_definitions` VALUES (76261, 1880, 15, 'Αντίγραφο Κλινικής');
INSERT INTO `lang_definitions` VALUES (76262, 1881, 15, 'Ημερήσια Αναφορά Κλινικής/ιατρείου');
INSERT INTO `lang_definitions` VALUES (76263, 1882, 15, 'Αναγνωριστικό Κλινικής');
INSERT INTO `lang_definitions` VALUES (76264, 1883, 15, 'Κλινική');
INSERT INTO `lang_definitions` VALUES (76265, 1884, 15, 'Διαχειριστής Ειδοποιήσεων για Κανόνες Κλινικής Απόφασης');
INSERT INTO `lang_definitions` VALUES (76266, 1886, 15, 'Κλινικό Ιστορικό');
INSERT INTO `lang_definitions` VALUES (76267, 1887, 15, 'Κλινικές Οδηγίες');
INSERT INTO `lang_definitions` VALUES (76268, 1888, 15, 'Έντυπο Κλινικών Οδηγιών');
INSERT INTO `lang_definitions` VALUES (76269, 1889, 15, 'Κλινικά Πλάνα');
INSERT INTO `lang_definitions` VALUES (76270, 1890, 15, 'Μετρήσεις δεικτών κλινικής ποιότητας (CQM)');
INSERT INTO `lang_definitions` VALUES (76271, 1893, 15, 'Κλινικές Υπενθυμίσεις');
INSERT INTO `lang_definitions` VALUES (76272, 1894, 15, 'Κλινικές Υπενθυμίσεις - Πρόκειται για εργαλείο που εμφανίζει τις Παθητικές Ειδοποιήσεις σχετικές με Κανόνα Κλινικής Απόφασης');
INSERT INTO `lang_definitions` VALUES (76273, 1897, 15, 'Κλινικές Αναφορές');
INSERT INTO `lang_definitions` VALUES (76274, 1898, 15, 'Κατηγορία Δράσης Κλινικών Κανόνων');
INSERT INTO `lang_definitions` VALUES (76275, 1899, 15, 'Αντικείμενο Δράσης Κλινικών Κανόνων');
INSERT INTO `lang_definitions` VALUES (76276, 1900, 15, 'Μέθοδοι Φιλτραρίσματος Κλινικών Κανόνων');
INSERT INTO `lang_definitions` VALUES (76277, 1901, 15, 'Μέθοδοι-Στόχοι Κλινικών Κανόνων');
INSERT INTO `lang_definitions` VALUES (76278, 1902, 15, 'Κλινικοί Κανόνες');
INSERT INTO `lang_definitions` VALUES (76279, 1903, 15, 'Ηλικιακά Όρια Κλινικών Κανόνων');
INSERT INTO `lang_definitions` VALUES (76280, 1904, 15, 'Συγκρίσεις Κλινικών Κανόνων');
INSERT INTO `lang_definitions` VALUES (76281, 1905, 15, 'Τύποι Επισκέψεων Κλινικών Κανόνων');
INSERT INTO `lang_definitions` VALUES (76282, 1906, 15, 'Επιλογές Υπενθύμισης Κλινικών Κανόνων');
INSERT INTO `lang_definitions` VALUES (76283, 1907, 15, 'Επιλογές Απενεργοποίησης της Υπενθύμισης Κλινικών Κανόνων');
INSERT INTO `lang_definitions` VALUES (76284, 1908, 15, 'Διαστήματα Υπενθύμισης Κλινικών Κανόνων');
INSERT INTO `lang_definitions` VALUES (76285, 1909, 15, 'Μέθοδοι Υπενθύμισης Κλινικών Κανόνων');
INSERT INTO `lang_definitions` VALUES (76286, 1910, 15, 'Διαστήματα-Στόχοι Κλινικών Κανόνων');
INSERT INTO `lang_definitions` VALUES (76287, 1911, 15, 'Κλινικοί στόχοι');
INSERT INTO `lang_definitions` VALUES (76288, 1912, 15, 'Κλινικός Όρος');
INSERT INTO `lang_definitions` VALUES (76289, 1913, 15, 'Κωδικός Κλινικού Όρου');
INSERT INTO `lang_definitions` VALUES (76290, 1914, 15, 'Κλινική Προβολή');
INSERT INTO `lang_definitions` VALUES (76291, 1915, 15, 'Κλινικοί');
INSERT INTO `lang_definitions` VALUES (76292, 1916, 15, 'Κλωνοποίηση');
INSERT INTO `lang_definitions` VALUES (76293, 1917, 15, 'Κλωνοποίηση παρελθούσας επίσκεψης');
INSERT INTO `lang_definitions` VALUES (76294, 1918, 15, 'Κλείσιμο');
INSERT INTO `lang_definitions` VALUES (76295, 1919, 15, 'κλείσιμο');
INSERT INTO `lang_definitions` VALUES (76296, 1923, 15, 'Κλείσιμο και δημιουργία προτίμησης να παραμένει κλειστό');
INSERT INTO `lang_definitions` VALUES (76297, 1924, 15, 'Κλείσιμο παραθύρου');
INSERT INTO `lang_definitions` VALUES (76298, 1925, 15, 'Κλείσιμο παραθύρου');
INSERT INTO `lang_definitions` VALUES (76299, 1926, 15, 'Κλείσιμο...');
INSERT INTO `lang_definitions` VALUES (76300, 1927, 15, 'Κλεισμένο');
INSERT INTO `lang_definitions` VALUES (76301, 1928, 15, 'εκατ.');
INSERT INTO `lang_definitions` VALUES (76302, 1931, 15, 'Περιθώρια CMS 1500');
INSERT INTO `lang_definitions` VALUES (76303, 1932, 15, 'Περιθώρια CMS 1500 Αριστερά');
INSERT INTO `lang_definitions` VALUES (76304, 1940, 15, 'Κωδικός ταυτοπ. για το CSM 1500');
INSERT INTO `lang_definitions` VALUES (76305, 1946, 15, 'Το CMS Portal δεν έχει ενεργοποιηθεί!');
INSERT INTO `lang_definitions` VALUES (76306, 1947, 15, 'Κωδικός CMS Portal');
INSERT INTO `lang_definitions` VALUES (76307, 1948, 15, 'Αίτημα CMS Portal');
INSERT INTO `lang_definitions` VALUES (76308, 1953, 15, 'ΚΝ VII');
INSERT INTO `lang_definitions` VALUES (76309, 1954, 15, 'ΚΝ V');
INSERT INTO `lang_definitions` VALUES (76310, 1955, 15, 'Κρανιακά νεύρα 2-12 ακέραια');
INSERT INTO `lang_definitions` VALUES (76311, 1956, 15, 'ΚΝ5');
INSERT INTO `lang_definitions` VALUES (76312, 1957, 15, 'ΚΝ7');
INSERT INTO `lang_definitions` VALUES (76313, 1958, 15, 'Συμμετοχή');
INSERT INTO `lang_definitions` VALUES (76314, 1959, 15, 'Εξοφλημένη Συμμετοχή');
INSERT INTO `lang_definitions` VALUES (76315, 1960, 15, 'Συνυπεύθυνος/Παραπέμπων Ιατρός');
INSERT INTO `lang_definitions` VALUES (76316, 1962, 15, 'ΣΥΜΜΕΤΟΧΗ');
INSERT INTO `lang_definitions` VALUES (76317, 1963, 15, 'Συμμετοχή');
INSERT INTO `lang_definitions` VALUES (76318, 1964, 15, 'Κωδικός');
INSERT INTO `lang_definitions` VALUES (76319, 1965, 15, 'κωδικός');
INSERT INTO `lang_definitions` VALUES (76320, 1967, 15, 'Εύρεση κωδικού');
INSERT INTO `lang_definitions` VALUES (76321, 1968, 15, 'Ο κωδικός πρέπει να είναι δύο μικρά γράμματα');
INSERT INTO `lang_definitions` VALUES (76322, 1969, 15, 'Κωδικός ή σύμβολο για να υποδείξετε το είδος νομίσματος');
INSERT INTO `lang_definitions` VALUES (76323, 1970, 15, 'Αναζήτηση Κωδικού');
INSERT INTO `lang_definitions` VALUES (76324, 1971, 15, 'Κείμενο κωδικού');
INSERT INTO `lang_definitions` VALUES (76325, 1972, 15, 'Τύπος Κωδικού');
INSERT INTO `lang_definitions` VALUES (76326, 1973, 15, 'τύπος κωδικού');
INSERT INTO `lang_definitions` VALUES (76327, 1974, 15, 'Ο τύπος κωδικού δεν αναγνωρίζεται');
INSERT INTO `lang_definitions` VALUES (76328, 1975, 15, 'Ο τύπος κωδικού δεν έχει οριστεί ακόμη');
INSERT INTO `lang_definitions` VALUES (76329, 1976, 15, 'Τύποι κωδικού');
INSERT INTO `lang_definitions` VALUES (76330, 1977, 15, 'Κωδικός');
INSERT INTO `lang_definitions` VALUES (76331, 1978, 15, 'Κωδικοποιημένο');
INSERT INTO `lang_definitions` VALUES (76332, 1979, 15, 'Κωδικοί');
INSERT INTO `lang_definitions` VALUES (76333, 1980, 15, 'Κωδικοί - Αφήστε Κενό');
INSERT INTO `lang_definitions` VALUES (76334, 1981, 15, 'Κωδικοποίηση');
INSERT INTO `lang_definitions` VALUES (76335, 1982, 15, 'Κωδικοποίηση (κάντε κλικ για εκπαίδευση)');
INSERT INTO `lang_definitions` VALUES (76336, 1983, 15, 'Κωδικοποίηση – οποιαδήποτε επίσκεψη (εγγραφή, μερικά προαιρετικά)');
INSERT INTO `lang_definitions` VALUES (76337, 1985, 15, 'Κωδικοποίηση – οι επισκέψεις μου (εγγραφή, μερικα προαιρετικά)');
INSERT INTO `lang_definitions` VALUES (76338, 1987, 15, 'Η Κωδικοποίηση ολοκληρώθηκε');
INSERT INTO `lang_definitions` VALUES (76339, 1988, 15, 'Η Κωδικοποίηση ολοκληρώθηκε');
INSERT INTO `lang_definitions` VALUES (76340, 1989, 15, 'Μηχανή Κωδικοποίησης');
INSERT INTO `lang_definitions` VALUES (76341, 1990, 15, 'Η κωδικοποίηση δεν επιτρέπεται');
INSERT INTO `lang_definitions` VALUES (76342, 1991, 15, 'Καφές');
INSERT INTO `lang_definitions` VALUES (76343, 1992, 15, 'Κατανάλωση Καφέ');
INSERT INTO `lang_definitions` VALUES (76344, 1994, 15, 'Συν-ασφάλιση');
INSERT INTO `lang_definitions` VALUES (76345, 1995, 15, 'Συνεργ με');
INSERT INTO `lang_definitions` VALUES (76346, 1996, 15, 'Συνεργάτης');
INSERT INTO `lang_definitions` VALUES (76347, 1997, 15, 'Σύμπτυξη');
INSERT INTO `lang_definitions` VALUES (76348, 1998, 15, 'σύμπτυξη');
INSERT INTO `lang_definitions` VALUES (76349, 1999, 15, 'Σύμπτυξη Όλων');
INSERT INTO `lang_definitions` VALUES (76350, 2000, 15, 'Σύμπτυξη όλων');
INSERT INTO `lang_definitions` VALUES (76351, 2001, 15, 'σύμπτυξη όλων');
INSERT INTO `lang_definitions` VALUES (76352, 2002, 15, 'Είσπραξη για');
INSERT INTO `lang_definitions` VALUES (76353, 2003, 15, 'Είσπραξη Πληρωμής');
INSERT INTO `lang_definitions` VALUES (76354, 2005, 15, 'Ημ. συλλογής');
INSERT INTO `lang_definitions` VALUES (76355, 2006, 15, 'Ημ./Ώρα συλλογής');
INSERT INTO `lang_definitions` VALUES (76356, 2007, 15, 'Συλλογές');
INSERT INTO `lang_definitions` VALUES (76357, 2008, 15, 'Αναφορά Συλλογών');
INSERT INTO `lang_definitions` VALUES (76358, 2009, 15, 'Καρκίνος παχέος εντέρου');
INSERT INTO `lang_definitions` VALUES (76359, 2010, 15, 'Screening για Καρκίνο παχέος εντέρου');
INSERT INTO `lang_definitions` VALUES (76360, 2011, 15, 'Εγχείριση καρκίνου παχέος εντέρου');
INSERT INTO `lang_definitions` VALUES (76361, 2012, 15, 'Κολονοσκόπηση');
INSERT INTO `lang_definitions` VALUES (76362, 2013, 15, 'κολονοσκόπηση');
INSERT INTO `lang_definitions` VALUES (76363, 2014, 15, 'Χρώμα');
INSERT INTO `lang_definitions` VALUES (76364, 2019, 15, 'Έγχρωμη Όραση');
INSERT INTO `lang_definitions` VALUES (76365, 2020, 15, 'Χρώμα:Συντμ');
INSERT INTO `lang_definitions` VALUES (76366, 2021, 15, 'Στήλη');
INSERT INTO `lang_definitions` VALUES (76367, 2022, 15, 'Στήλες');
INSERT INTO `lang_definitions` VALUES (76368, 2023, 15, 'Συνδυασμός Υπενθυμίσεων');
INSERT INTO `lang_definitions` VALUES (76369, 2024, 15, 'Συνδυασμός παρτίδων');
INSERT INTO `lang_definitions` VALUES (76370, 2025, 15, 'Κόμμα');
INSERT INTO `lang_definitions` VALUES (76371, 2027, 15, 'Σχόλιο');
INSERT INTO `lang_definitions` VALUES (76372, 2028, 15, 'Σχόλια');
INSERT INTO `lang_definitions` VALUES (76373, 2030, 15, 'Σχόλια για αυτό το αποτέλεσμα ή τη σύσταση');
INSERT INTO `lang_definitions` VALUES (76374, 2031, 15, 'Εταιρεία εμπορικών ασφαλίσεων');
INSERT INTO `lang_definitions` VALUES (76375, 2032, 15, 'Απόπειρα αλλαγών');
INSERT INTO `lang_definitions` VALUES (76376, 2034, 15, 'Επικοινωνία');
INSERT INTO `lang_definitions` VALUES (76377, 2035, 15, 'Μηχανή Επικοινωνίας');
INSERT INTO `lang_definitions` VALUES (76378, 2036, 15, 'Επικοινωνίες');
INSERT INTO `lang_definitions` VALUES (76379, 2037, 15, 'Λοιμωξιολόγος');
INSERT INTO `lang_definitions` VALUES (76380, 2038, 15, 'Ιδιωτική Ψυχιατρική Κλινική');
INSERT INTO `lang_definitions` VALUES (76381, 2039, 15, 'Εταιρεία');
INSERT INTO `lang_definitions` VALUES (76382, 2040, 15, 'Όνομα Εταιρείας');
INSERT INTO `lang_definitions` VALUES (76383, 2041, 15, 'Ολοκληρωμένο');
INSERT INTO `lang_definitions` VALUES (76384, 2042, 15, 'Ώρα Ολοκλ. Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (76385, 2043, 15, 'Ολοκληρώθηκε');
INSERT INTO `lang_definitions` VALUES (76386, 2044, 15, 'ολοκληρώθηκε');
INSERT INTO `lang_definitions` VALUES (76387, 2046, 15, 'Ολοκληρώθηκε;');
INSERT INTO `lang_definitions` VALUES (76388, 2047, 15, 'Να αφαιρεθεί πλήρως η δυνατότητα προβολής του Πίνακα Ροής Ασθενών;');
INSERT INTO `lang_definitions` VALUES (76389, 2048, 15, 'Κατάσταση Ολοκλήρωσης');
INSERT INTO `lang_definitions` VALUES (76390, 2049, 15, 'Επιπλοκές ανά Πάροχο Υπηρεσιών');
INSERT INTO `lang_definitions` VALUES (76391, 2050, 15, 'Επιπλοκές Άμβλωσης');
INSERT INTO `lang_definitions` VALUES (76392, 2051, 15, 'Συστατικά');
INSERT INTO `lang_definitions` VALUES (76393, 2052, 15, 'Σύνθεση Μηνύματος');
INSERT INTO `lang_definitions` VALUES (76394, 2053, 15, 'Σύνθεση νέου');
INSERT INTO `lang_definitions` VALUES (76395, 2057, 15, 'Σύστημα Ιατρικής Ταξινόμησης Υποβοηθούμενο από Υπολογιστή (CAMOS)');
INSERT INTO `lang_definitions` VALUES (76396, 2058, 15, 'Συμπεράσματα');
INSERT INTO `lang_definitions` VALUES (76397, 2059, 15, 'Κατάσταση');
INSERT INTO `lang_definitions` VALUES (76398, 2060, 15, 'Δεν βρέθηκε το πεδίο «Κατάσταση»');
INSERT INTO `lang_definitions` VALUES (76399, 2063, 15, 'Διαμόρφωση');
INSERT INTO `lang_definitions` VALUES (76400, 2064, 15, 'Διαμόρφωση');
INSERT INTO `lang_definitions` VALUES (76401, 2065, 15, 'Εξαγωγή/ Εισαγωγή Ρυθμίσεων');
INSERT INTO `lang_definitions` VALUES (76402, 2066, 15, 'Οι ρυθμίσεις αποθηκεύτηκαν επιτυχώς');
INSERT INTO `lang_definitions` VALUES (76403, 2067, 15, 'Ρύθμιση του Apache και του OpenEMR για χρήση πιστοποιητικών SSL από τη μεριά του Πελάτη');
INSERT INTO `lang_definitions` VALUES (76404, 2068, 15, 'Ρύθμιση του Apache για χρήση πιστοποιητικών SSL από τη μεριά του Πελάτη');
INSERT INTO `lang_definitions` VALUES (76405, 2069, 15, 'Ρύθμιση του Apache για χρήση HTTPS.');
INSERT INTO `lang_definitions` VALUES (76406, 2070, 15, 'Ρύθμιση του OpenEMR για χρήση πιστοποιητικών SSL από τη μεριά του Πελάτη');
INSERT INTO `lang_definitions` VALUES (76407, 2071, 15, 'Διαμόρφωση Παραγγελιών και Αποτελεσμάτων');
INSERT INTO `lang_definitions` VALUES (76408, 2072, 15, 'Βοήθεια για Διαμόρφωση Παραγγελιών');
INSERT INTO `lang_definitions` VALUES (76409, 2078, 15, 'Επιβεβαίωση');
INSERT INTO `lang_definitions` VALUES (76410, 2079, 15, 'Επιβεβαίωση δημιουργίας Νέου Ασθενούς');
INSERT INTO `lang_definitions` VALUES (76411, 2080, 15, 'Επιβεβαίωση Email');
INSERT INTO `lang_definitions` VALUES (76412, 2081, 15, 'Επιβεβαίωση Νέου Κωδικού');
INSERT INTO `lang_definitions` VALUES (76413, 2083, 15, 'Επιβεβαίωση Πληρωμής');
INSERT INTO `lang_definitions` VALUES (76414, 2084, 15, 'Επιβεβαίωση διαγραφής του παρόντος νήματος;');
INSERT INTO `lang_definitions` VALUES (76415, 2085, 15, 'Επιβεβαίωση διαγραφής επιλεγμένων;');
INSERT INTO `lang_definitions` VALUES (76416, 2086, 15, 'Επιβεβαίωση διαγραφής αντικειμένου');
INSERT INTO `lang_definitions` VALUES (76417, 2088, 15, 'Επιβεβαιώθηκε');
INSERT INTO `lang_definitions` VALUES (76418, 2090, 15, 'Αλληλεπίδραση Φαρμάκων');
INSERT INTO `lang_definitions` VALUES (76419, 2092, 15, 'Συγγενής');
INSERT INTO `lang_definitions` VALUES (76420, 2094, 15, 'Επιπεφυκότες, κόρες');
INSERT INTO `lang_definitions` VALUES (76421, 2096, 15, 'Σφάλμα Σύνδεσης');
INSERT INTO `lang_definitions` VALUES (76422, 2097, 15, 'Συνδέσεις');
INSERT INTO `lang_definitions` VALUES (76423, 2098, 15, 'Σταθερά');
INSERT INTO `lang_definitions` VALUES (76424, 2100, 15, 'όνομα σταθεράς');
INSERT INTO `lang_definitions` VALUES (76425, 2101, 15, 'Το όνομα της σταθεράς είναι κενό');
INSERT INTO `lang_definitions` VALUES (76426, 2102, 15, 'σταθερές');
INSERT INTO `lang_definitions` VALUES (76427, 2103, 15, 'Δυσκοιλιότητα');
INSERT INTO `lang_definitions` VALUES (76428, 2104, 15, 'Γενική κατάσταση');
INSERT INTO `lang_definitions` VALUES (76429, 2106, 15, 'Επιμελητής');
INSERT INTO `lang_definitions` VALUES (76430, 2107, 15, 'Παρούσα Νόσος (Σύντομη αναφορά εκτίμησης)');
INSERT INTO `lang_definitions` VALUES (76431, 2109, 15, 'Επικοινωνία ');
INSERT INTO `lang_definitions` VALUES (76432, 2110, 15, 'Email Επικοινωνίας');
INSERT INTO `lang_definitions` VALUES (76433, 2111, 15, 'Διεύθ. E-mail');
INSERT INTO `lang_definitions` VALUES (76434, 2113, 15, 'Στοιχεία Επικοινωνίας');
INSERT INTO `lang_definitions` VALUES (76435, 2115, 15, 'Φακός Επαφής');
INSERT INTO `lang_definitions` VALUES (76436, 2116, 15, 'Διάθλαση Φακού Επαφής');
INSERT INTO `lang_definitions` VALUES (76437, 2117, 15, 'Φακοί επαφής');
INSERT INTO `lang_definitions` VALUES (76438, 2122, 15, 'Όνομα Επαφής');
INSERT INTO `lang_definitions` VALUES (76439, 2125, 15, 'Άτομο Επικοινωνίας');
INSERT INTO `lang_definitions` VALUES (76440, 2126, 15, 'Τηλέφωνο Επικοινωνίας');
INSERT INTO `lang_definitions` VALUES (76441, 2127, 15, 'Τηλέφωνο Επικοινωνίας');
INSERT INTO `lang_definitions` VALUES (76442, 2129, 15, 'Επικοινωνήστε με την ZMG LLC (zmghealth@gmail.com) για να εγγραφείτε στην υπηρεσία eRx');
INSERT INTO `lang_definitions` VALUES (76443, 2130, 15, 'Στοιχεία Επικοινωνίας ');
INSERT INTO `lang_definitions` VALUES (76444, 2131, 15, 'συμπεριλάβετε τουλάχιστον 3 από τα ακόλουθα 4 αντικείμενα:');
INSERT INTO `lang_definitions` VALUES (76445, 2133, 15, 'Περιεχόμενο');
INSERT INTO `lang_definitions` VALUES (76446, 2134, 15, 'περιεχόμενο');
INSERT INTO `lang_definitions` VALUES (76447, 2135, 15, 'Περιεχόμενα');
INSERT INTO `lang_definitions` VALUES (76448, 2136, 15, 'Πλαίσιο');
INSERT INTO `lang_definitions` VALUES (76449, 2137, 15, 'Το όνομα πλαισίου δεν μπορεί να είναι κενό');
INSERT INTO `lang_definitions` VALUES (76450, 2138, 15, 'Συνέχεια');
INSERT INTO `lang_definitions` VALUES (76451, 2142, 15, 'Έγγραφο Συνέχισης Φροντίδας');
INSERT INTO `lang_definitions` VALUES (76452, 2145, 15, 'Καταγραφή Συνέχισης Φροντίδας');
INSERT INTO `lang_definitions` VALUES (76453, 2147, 15, 'Αντισύλληψη');
INSERT INTO `lang_definitions` VALUES (76454, 2148, 15, 'Θέματα αντισύλληψης');
INSERT INTO `lang_definitions` VALUES (76455, 2149, 15, 'Επιπλοκές αντισύλληψης');
INSERT INTO `lang_definitions` VALUES (76456, 2150, 15, 'Μέθοδος αντισύλληψης');
INSERT INTO `lang_definitions` VALUES (76457, 2151, 15, 'Προϊόντα αντισύλληψης');
INSERT INTO `lang_definitions` VALUES (76458, 2152, 15, 'Προηγούμενη έναρξη υπηρεσιών αντισύλληψης');
INSERT INTO `lang_definitions` VALUES (76459, 2153, 15, 'Έναρξη αντισυλληπτικών');
INSERT INTO `lang_definitions` VALUES (76460, 2158, 15, 'Κωδ. Ελέγχου');
INSERT INTO `lang_definitions` VALUES (76461, 2159, 15, 'Αρ. Ελέγχου');
INSERT INTO `lang_definitions` VALUES (76462, 2160, 15, 'Ελεγχόμενη Ουσία;');
INSERT INTO `lang_definitions` VALUES (76463, 2163, 15, 'Συζήτηση');
INSERT INTO `lang_definitions` VALUES (76464, 2164, 15, 'Συζήτηση από');
INSERT INTO `lang_definitions` VALUES (76465, 2167, 15, 'Συνεργαζόμενοι Σύμβουλοι');
INSERT INTO `lang_definitions` VALUES (76466, 2168, 15, 'ΣΥΜΜΕΤΟΧΗ');
INSERT INTO `lang_definitions` VALUES (76467, 2169, 15, 'Συμμετοχή στην πληρωμή');
INSERT INTO `lang_definitions` VALUES (76468, 2170, 15, 'Συμμετοχή στην πληρωμή');
INSERT INTO `lang_definitions` VALUES (76469, 2171, 15, 'Συμμετοχή μη θετικό');
INSERT INTO `lang_definitions` VALUES (76470, 2172, 15, 'Καταβληθείσα Συμμετοχή');
INSERT INTO `lang_definitions` VALUES (76471, 2173, 15, 'Συμμετοχές');
INSERT INTO `lang_definitions` VALUES (76472, 2174, 15, 'ΧΑΠ');
INSERT INTO `lang_definitions` VALUES (76473, 2175, 15, 'Αντιγραφή Σελίδων στο Φάκελο ασθενούς');
INSERT INTO `lang_definitions` VALUES (76474, 2176, 15, 'Αντιγραφή αυτών των τιμών στην τρέχουσα επίσκεψη.');
INSERT INTO `lang_definitions` VALUES (76475, 2177, 15, 'Αντιγραφή Τιμών');
INSERT INTO `lang_definitions` VALUES (76476, 2178, 15, 'Αντιγραφή του αρχείου της βάσης Αυτό θα πάρει λίγο χρόνο...');
INSERT INTO `lang_definitions` VALUES (76477, 2179, 15, 'Σημείωμα περί Πνευματ. Δικαιωμάτων');
INSERT INTO `lang_definitions` VALUES (76478, 2181, 15, 'Πυρήνας');
INSERT INTO `lang_definitions` VALUES (76479, 2182, 15, 'Κερατοειδής');
INSERT INTO `lang_definitions` VALUES (76480, 2184, 15, 'Αορτοστεφανιαία παράκαμψη');
INSERT INTO `lang_definitions` VALUES (76481, 2185, 15, 'Μόσχευμα Αορτοστεφανιαίας παράκαμψης');
INSERT INTO `lang_definitions` VALUES (76482, 2186, 15, 'Διορθώθηκε');
INSERT INTO `lang_definitions` VALUES (76483, 2188, 15, 'Βάση δεδομένων CouchDB');
INSERT INTO `lang_definitions` VALUES (76484, 2189, 15, 'Απέτυχε η σύνδεση με τη Βάση δεδομένων CouchDB');
INSERT INTO `lang_definitions` VALUES (76485, 2191, 15, 'Βάση δεδομένων CouchDB');
INSERT INTO `lang_definitions` VALUES (76486, 2192, 15, 'Όνομα της Βάσης δεδομένων CouchDB');
INSERT INTO `lang_definitions` VALUES (76487, 2195, 15, 'Ο host της Βάσης δεδομένων CouchDB');
INSERT INTO `lang_definitions` VALUES (76488, 2196, 15, 'Το όνομα του host της Βάσης δεδομένων CouchDB');
INSERT INTO `lang_definitions` VALUES (76489, 2197, 15, 'Ενεργοποίηση σύνδεσης με τη Βάση δεδομένων CouchDB');
INSERT INTO `lang_definitions` VALUES (76490, 2198, 15, 'Κωδικός πρόσβασης στη Βάση δεδομένων CouchDB');
INSERT INTO `lang_definitions` VALUES (76491, 2199, 15, 'Θύρα για τη Βάση δεδομένων CouchDB');
INSERT INTO `lang_definitions` VALUES (76492, 2200, 15, 'Θύρα για τη Βάση δεδομένων CouchDB');
INSERT INTO `lang_definitions` VALUES (76493, 2201, 15, 'Αδυναμία αποθήκευσης σε Βάση δεδομένων CouchDB');
INSERT INTO `lang_definitions` VALUES (76494, 2203, 15, 'Όνομα χρήστη στη Θύρα για τη Βάση δεδομένων CouchDB');
INSERT INTO `lang_definitions` VALUES (76495, 2204, 15, 'Βήχας');
INSERT INTO `lang_definitions` VALUES (76496, 2205, 15, 'Βήχας:');
INSERT INTO `lang_definitions` VALUES (76497, 2206, 15, 'Αδύνατη η σύνδεση στον server');
INSERT INTO `lang_definitions` VALUES (76498, 2207, 15, 'Αδύνατη η εύρεση του πίνακα RxNorm! Παρακαλώ εγκαταστήστε τον.');
INSERT INTO `lang_definitions` VALUES (76499, 2210, 15, 'αδύνατο το άνοιγμα του πίνακα');
INSERT INTO `lang_definitions` VALUES (76500, 2211, 15, 'Το αρχείο δεν μπορεί να διαβαστεί');
INSERT INTO `lang_definitions` VALUES (76501, 2212, 15, 'Το αρχείο δεν μπορεί να διαβαστεί');
INSERT INTO `lang_definitions` VALUES (76502, 2214, 15, 'Το e-mail δεν μπορεί να σταλεί, λόγω προβλήματος του εξυπηρετητή,');
INSERT INTO `lang_definitions` VALUES (76503, 2215, 15, 'Το e-mail δεν μπορεί να σταλεί, λόγω προβλήματος του εξυπηρετητή.');
INSERT INTO `lang_definitions` VALUES (76504, 2216, 15, 'Το e-mail δεν μπορεί να σταλεί, λόγω προβλήματος του εξυπηρετητή,');
INSERT INTO `lang_definitions` VALUES (76505, 2217, 15, 'Δεν ήταν δυνατή δημιουργία διαδρομής με αντίγραφα ασφαλείας:');
INSERT INTO `lang_definitions` VALUES (76506, 2218, 15, 'Δεν ήταν δυνατή η διαγραφή διαδρομής:');
INSERT INTO `lang_definitions` VALUES (76507, 2219, 15, 'Αδύνατη η διαγραφή παλαιού φακέλου με αντίγραφα ασφαλείας:');
INSERT INTO `lang_definitions` VALUES (76508, 2220, 15, 'Δεν ήταν δυνατή η διαγραφή παλαιού αρχείου εξαγωγής:');
INSERT INTO `lang_definitions` VALUES (76509, 2221, 15, 'Χειρισμός αντιπηκτικής αγωγής - Παρακολούθηση INR');
INSERT INTO `lang_definitions` VALUES (76510, 2222, 15, 'Συμβουλευτική ανά μέθοδο');
INSERT INTO `lang_definitions` VALUES (76511, 2223, 15, 'Συμβουλευτική');
INSERT INTO `lang_definitions` VALUES (76512, 2224, 15, 'Συμβουλευτικές δραστηριότητες');
INSERT INTO `lang_definitions` VALUES (76513, 2225, 15, 'Σύμβουλοι');
INSERT INTO `lang_definitions` VALUES (76514, 2226, 15, 'Εκτίμηση');
INSERT INTO `lang_definitions` VALUES (76515, 2227, 15, 'Έντυπο επιστρεφόμενων παραπομπών');
INSERT INTO `lang_definitions` VALUES (76516, 2228, 15, 'Επιστροφή παραπομπής');
INSERT INTO `lang_definitions` VALUES (76517, 2229, 15, 'Χώρα');
INSERT INTO `lang_definitions` VALUES (76518, 2230, 15, 'Κωδικός Χώρας');
INSERT INTO `lang_definitions` VALUES (76519, 2231, 15, 'Τύπος δεδομένων Χώρας');
INSERT INTO `lang_definitions` VALUES (76520, 2232, 15, 'Λίστα χωρών');
INSERT INTO `lang_definitions` VALUES (76521, 2233, 15, 'Λίστα Χωρών (εγγραφή)');
INSERT INTO `lang_definitions` VALUES (76522, 2235, 15, 'Τό όνομα της χώρας πρέπει να συμβολίζεται με δύο γράμματα (πχ. η Ελλάδα είναι GR)');
INSERT INTO `lang_definitions` VALUES (76523, 2236, 15, 'επαρχία');
INSERT INTO `lang_definitions` VALUES (76524, 2237, 15, 'Δήμος');
INSERT INTO `lang_definitions` VALUES (76525, 2238, 15, 'Κουπόνι');
INSERT INTO `lang_definitions` VALUES (76526, 2240, 15, 'Ξάδελφος/ξαδέλφη');
INSERT INTO `lang_definitions` VALUES (76527, 2241, 15, 'Βαθμός Κάλυψης');
INSERT INTO `lang_definitions` VALUES (76528, 2242, 15, 'Περίοδος Κάλυψης');
INSERT INTO `lang_definitions` VALUES (76529, 2243, 15, 'Τύπος Κάλυψης');
INSERT INTO `lang_definitions` VALUES (76530, 2245, 15, 'CPT');
INSERT INTO `lang_definitions` VALUES (76531, 2246, 15, 'Κωδικός CPT');
INSERT INTO `lang_definitions` VALUES (76532, 2247, 15, 'Κωδικοί CPT');
INSERT INTO `lang_definitions` VALUES (76533, 2248, 15, 'Διαδικασία/Υπηρεσία CPT4');
INSERT INTO `lang_definitions` VALUES (76534, 2249, 15, 'Μετρήσεις Επιδόσεων CPTΙΙ');
INSERT INTO `lang_definitions` VALUES (76535, 2250, 15, 'CQM');
INSERT INTO `lang_definitions` VALUES (76536, 2252, 15, 'Ρόγχοι:');
INSERT INTO `lang_definitions` VALUES (76537, 2253, 15, 'Κρανιακό Νεύρο 5: Τρίδυμο Νεύρο');
INSERT INTO `lang_definitions` VALUES (76538, 2254, 15, 'Κρανιακό Νεύρο 7: Προσωπικό Νεύρο');
INSERT INTO `lang_definitions` VALUES (76539, 2255, 15, 'κρέμα (cream)');
INSERT INTO `lang_definitions` VALUES (76540, 2256, 15, 'Δημιουργία ενός πιστοποιητικού SSL για τον πελάτη για κάθε χρήστη ή μηχανή πελάτη.');
INSERT INTO `lang_definitions` VALUES (76541, 2257, 15, 'Δημιουργία ενός πιστοποιητικού SSL από τη πλευρά του πελάτη, για κάθε χρήστη ή για κάθε όνομα μηχανής πελάτη.');
INSERT INTO `lang_definitions` VALUES (76542, 2259, 15, 'Δημιουργία Υπενθύμισης');
INSERT INTO `lang_definitions` VALUES (76543, 2262, 15, 'ΔΗΜΙΟΥΡΓΙΑ ΠΑΡΑΠΕΜΠΤΙΚΟΥ');
INSERT INTO `lang_definitions` VALUES (76544, 2263, 15, 'Δημιουργία υπενθύμισης για προγραμματισμό μελλοντικής επίσκεψης');
INSERT INTO `lang_definitions` VALUES (76545, 2269, 15, 'Δημιουργία Συμβάντος');
INSERT INTO `lang_definitions` VALUES (76546, 2273, 15, 'Δημιουργία και κατέβασμα πλήρους αντιγράφου ασφαλείας');
INSERT INTO `lang_definitions` VALUES (76547, 2275, 15, 'Δημιουργία αντιγράφου ασφαλείας');
INSERT INTO `lang_definitions` VALUES (76548, 2276, 15, 'Δημιουργία δέσμης');
INSERT INTO `lang_definitions` VALUES (76549, 2277, 15, 'Δημιουργία Πιστοποιητικού Πελάτη');
INSERT INTO `lang_definitions` VALUES (76550, 2278, 15, 'Δημιουργία Πιστοποιητικών από την πλευρά του Πελάτη');
INSERT INTO `lang_definitions` VALUES (76551, 2281, 15, 'Δημιουργία αντιγράφου');
INSERT INTO `lang_definitions` VALUES (76552, 2282, 15, 'Δημιουργία Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (76553, 2283, 15, 'Δημιουργία αντιγράφου ασφαλείας αρχείου καταγραφής ');
INSERT INTO `lang_definitions` VALUES (76554, 2285, 15, 'Δημιουργία νέου θέματος');
INSERT INTO `lang_definitions` VALUES (76555, 2286, 15, 'Δημιουργία Νέου Μηνύματος');
INSERT INTO `lang_definitions` VALUES (76556, 2287, 15, 'Δημιουργία Νέου Ασθενούς');
INSERT INTO `lang_definitions` VALUES (76557, 2289, 15, 'Δημιουργία Νέας Συναλλαγής');
INSERT INTO `lang_definitions` VALUES (76558, 2290, 15, 'Δημιουργία Διαπιστευτηρίων Offsite Portal');
INSERT INTO `lang_definitions` VALUES (76559, 2292, 15, 'Δημιουργία Διαπιστευτηρίων Onsite Portal');
INSERT INTO `lang_definitions` VALUES (76560, 2293, 15, 'Δημιουργία Ασθενούς');
INSERT INTO `lang_definitions` VALUES (76561, 2294, 15, 'Δημιουργία Σημείωσης Ασθενούς');
INSERT INTO `lang_definitions` VALUES (76562, 2296, 15, 'Δημιουργία Εξουσιοδότησης Πιστοποιητικού SSL και πιστοποιητικών Εξυπηρετητή.');
INSERT INTO `lang_definitions` VALUES (76563, 2297, 15, 'Δημιουργία Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (76564, 2298, 15, 'Δημιουργήθηκε');
INSERT INTO `lang_definitions` VALUES (76565, 2303, 15, 'ΔΗΜΙΟΥΡΓΙΑ ΝΕΟΥ ΜΗΝΥΜΑΤΟΣ');
INSERT INTO `lang_definitions` VALUES (76566, 2304, 15, 'Δημιουργία και Διαχείριση Επισκέψεων');
INSERT INTO `lang_definitions` VALUES (76567, 2306, 15, 'Δημιουργία αρχείου εξαγωγής');
INSERT INTO `lang_definitions` VALUES (76568, 2308, 15, 'Η δημιουργία αυτού του αρχείου στον απομεμακρυσμένο host απέτυχε');
INSERT INTO `lang_definitions` VALUES (76569, 2309, 15, 'Δημιουργός');
INSERT INTO `lang_definitions` VALUES (76570, 2311, 15, 'πίστωση');
INSERT INTO `lang_definitions` VALUES (76571, 2312, 15, 'Πιστωτική Κάρτα');
INSERT INTO `lang_definitions` VALUES (76572, 2313, 15, 'Πιστωτική ή Χρεωστική Κάρτα');
INSERT INTO `lang_definitions` VALUES (76573, 2314, 15, 'Πιστώσεις');
INSERT INTO `lang_definitions` VALUES (76574, 2316, 15, 'Κριτήρια');
INSERT INTO `lang_definitions` VALUES (76575, 2319, 15, 'Νόσος του Crohn');
INSERT INTO `lang_definitions` VALUES (76576, 2320, 15, 'Νόσος του Crohn');
INSERT INTO `lang_definitions` VALUES (76577, 2323, 15, 'Εξαγωγή σε CSV');
INSERT INTO `lang_definitions` VALUES (76578, 2324, 15, 'Αρχείο CSV');
INSERT INTO `lang_definitions` VALUES (76579, 2325, 15, 'Πίνακες CSV');
INSERT INTO `lang_definitions` VALUES (76580, 2330, 15, 'κυβ. χιλιοστό');
INSERT INTO `lang_definitions` VALUES (76581, 2331, 15, 'Κουβανέζικα');
INSERT INTO `lang_definitions` VALUES (76582, 2333, 15, 'Δεκαδικά ψηφία νομίσματος');
INSERT INTO `lang_definitions` VALUES (76583, 2334, 15, 'Σύμβολο δεκαδικών ψηφίων νομίσματος');
INSERT INTO `lang_definitions` VALUES (76584, 2335, 15, 'Προσδιοριστής νομίσματος');
INSERT INTO `lang_definitions` VALUES (76585, 2336, 15, 'Διαχωριστικό χιλιάδων νομίσματος');
INSERT INTO `lang_definitions` VALUES (76586, 2337, 15, 'Ενεργός');
INSERT INTO `lang_definitions` VALUES (76587, 2338, 15, 'Τρέχουσα χρήση Αλκοόλ');
INSERT INTO `lang_definitions` VALUES (76588, 2339, 15, 'Τρέχουσα Μέθοδος Ταυτοποίησης για');
INSERT INTO `lang_definitions` VALUES (76589, 2340, 15, 'Τρέχουσα Μέθοδος Ταυτοποίησης του συνδεδεμένου χρήστη');
INSERT INTO `lang_definitions` VALUES (76590, 2341, 15, 'Τρέχουσα Εκτίμηση');
INSERT INTO `lang_definitions` VALUES (76591, 2342, 15, 'Τρέχοντα Κριτήρια');
INSERT INTO `lang_definitions` VALUES (76592, 2343, 15, 'Τρέχουσα Ημέρα');
INSERT INTO `lang_definitions` VALUES (76593, 2344, 15, 'Χρώμα τονισμού της τρέχουσας ημέρας');
INSERT INTO `lang_definitions` VALUES (76594, 2345, 15, 'Καθημερινός καπνιστής');
INSERT INTO `lang_definitions` VALUES (76595, 2346, 15, 'Τρέχοντα Οφθαλμικά Φάρμακα');
INSERT INTO `lang_definitions` VALUES (76596, 2347, 15, 'Το όνομα του τρέχοντος αρχείου άλλαξε σε');
INSERT INTO `lang_definitions` VALUES (76597, 2348, 15, 'Τρέχοντα Γυαλιά');
INSERT INTO `lang_definitions` VALUES (76598, 2349, 15, 'Τρέχον Hash');
INSERT INTO `lang_definitions` VALUES (76599, 2350, 15, 'Τρέχουσα Θέση');
INSERT INTO `lang_definitions` VALUES (76600, 2351, 15, 'Συνδεδεμένος χρήστης');
INSERT INTO `lang_definitions` VALUES (76601, 2352, 15, 'Τρέχουσα Αγωγή');
INSERT INTO `lang_definitions` VALUES (76602, 2354, 15, 'Τρέχων Κωδικός');
INSERT INTO `lang_definitions` VALUES (76603, 2356, 15, 'Τρέχων Ασθενής');
INSERT INTO `lang_definitions` VALUES (76604, 2357, 15, 'Ο τρέχων ασθενής δεν είναι διαθέσιμος εδώ. Χρησιμοποιήστε τα Έγγραφα Ασθενούς');
INSERT INTO `lang_definitions` VALUES (76605, 2358, 15, 'Τρέχων Πάροχος');
INSERT INTO `lang_definitions` VALUES (76606, 2359, 15, 'Τρέχων Ασθ. Μόνο');
INSERT INTO `lang_definitions` VALUES (76607, 2360, 15, 'Τρέχοντες Παραλήπτες');
INSERT INTO `lang_definitions` VALUES (76608, 2361, 15, 'Τρέχουσα χρήση εθιστικών ουσιών');
INSERT INTO `lang_definitions` VALUES (76609, 2362, 15, 'Τρέχουσα Συνταγή');
INSERT INTO `lang_definitions` VALUES (76610, 2363, 15, 'Περιστασιακός καπνιστής');
INSERT INTO `lang_definitions` VALUES (76611, 2364, 15, 'Τρέχ. Κατάσταση');
INSERT INTO `lang_definitions` VALUES (76612, 2365, 15, 'Διάρκεια Τρέχ. Κατάστασης');
INSERT INTO `lang_definitions` VALUES (76613, 2366, 15, 'Τρέχων στόχος');
INSERT INTO `lang_definitions` VALUES (76614, 2368, 15, 'Τρέχων χρήστης');
INSERT INTO `lang_definitions` VALUES (76615, 2369, 15, 'Τρέχουσα Τιμή');
INSERT INTO `lang_definitions` VALUES (76616, 2371, 15, 'Τρεχόντως Ενεργός');
INSERT INTO `lang_definitions` VALUES (76617, 2372, 15, 'Προσωρινά Απασχολημένος');
INSERT INTO `lang_definitions` VALUES (76618, 2374, 15, 'Προσωρινά εκτός σύνδεσης');
INSERT INTO `lang_definitions` VALUES (76619, 2375, 15, 'Εκτελείται');
INSERT INTO `lang_definitions` VALUES (76620, 2377, 15, 'Προς το παρόν δεν υπάρχουν έδρες.');
INSERT INTO `lang_definitions` VALUES (76621, 2378, 15, 'Γίνεται δημιουργία του εγγράφου');
INSERT INTO `lang_definitions` VALUES (76622, 2379, 15, 'Σύνδρομο Cushing');
INSERT INTO `lang_definitions` VALUES (76623, 2380, 15, 'Σύνδρομο Cushing');
INSERT INTO `lang_definitions` VALUES (76624, 2383, 15, 'Προσαρμοσμένο');
INSERT INTO `lang_definitions` VALUES (76625, 2389, 15, 'Προσαρμοσμένος Χαιρετισμός');
INSERT INTO `lang_definitions` VALUES (76626, 2390, 15, 'Προσαρμοσμένη είσοδος;');
INSERT INTO `lang_definitions` VALUES (76627, 2395, 15, 'Προσαρμοσμένος Πίνακας');
INSERT INTO `lang_definitions` VALUES (76628, 2398, 15, 'Προσαρμογή Χρεωστικού Δελτίου');
INSERT INTO `lang_definitions` VALUES (76629, 2399, 15, 'Προσαρμογή Εντύπου Συναλλαγής');
INSERT INTO `lang_definitions` VALUES (76630, 2402, 15, 'Κωδικός CVX');
INSERT INTO `lang_definitions` VALUES (76631, 2403, 15, 'Χαρτογράφηση Κωδικού CVX');
INSERT INTO `lang_definitions` VALUES (76632, 2404, 15, 'Εμβολιασμός CVX');
INSERT INTO `lang_definitions` VALUES (76633, 2405, 15, 'ΚΑ');
INSERT INTO `lang_definitions` VALUES (76634, 2406, 15, 'Κύκλος');
INSERT INTO `lang_definitions` VALUES (76635, 2410, 15, 'Κυλ');
INSERT INTO `lang_definitions` VALUES (76636, 2411, 15, 'ΚΥΛ');
INSERT INTO `lang_definitions` VALUES (76637, 2412, 15, 'Έτη προστασίας ζευγαριού (ΕΠΖ)');
INSERT INTO `lang_definitions` VALUES (76638, 2413, 15, 'Παράγοντας ΕΠΖ');
INSERT INTO `lang_definitions` VALUES (76639, 2414, 15, 'Αναφορά ΕΠΖ');
INSERT INTO `lang_definitions` VALUES (76640, 2415, 15, 'Τσεχικά');
INSERT INTO `lang_definitions` VALUES (76641, 2417, 15, 'Φάρμακα και Καλλυντικά');
INSERT INTO `lang_definitions` VALUES (76642, 2418, 15, 'Παρουσίαση και Αξιολόγηση');
INSERT INTO `lang_definitions` VALUES (76643, 2420, 15, 'Ημ/νία Γέν.');
INSERT INTO `lang_definitions` VALUES (76644, 2421, 15, 'ημερησίως');
INSERT INTO `lang_definitions` VALUES (76645, 2422, 15, 'Ημερήσια καταγραφή');
INSERT INTO `lang_definitions` VALUES (76646, 2423, 15, 'Ημερήσια Αναφορά');
INSERT INTO `lang_definitions` VALUES (76647, 2424, 15, 'Αναφορά Ημερήσιας Σύνοψης');
INSERT INTO `lang_definitions` VALUES (76648, 2425, 15, 'Δανέζικος');
INSERT INTO `lang_definitions` VALUES (76649, 2426, 15, 'Πάνελ Διαχείρισης');
INSERT INTO `lang_definitions` VALUES (76650, 2427, 15, 'Πάνελ Διαχείρισης - Συνοψίζει όλες τις πληροφορίες σχετικές με τον ασθενή');
INSERT INTO `lang_definitions` VALUES (76651, 2428, 15, 'Πάνελ Διαχείρισης');
INSERT INTO `lang_definitions` VALUES (76652, 2429, 15, 'Tα δεδομένα είναι ήδη στη βάση δεδομένων. Παρακαλώ αλλάξτε τον κωδικό και/ή την περιγραφή');
INSERT INTO `lang_definitions` VALUES (76653, 2430, 15, 'Tα δεδομένα είναι ήδη στη βάση δεδομένων. Παρακαλώ αλλάξτε το όνομα της σταθεράς');
INSERT INTO `lang_definitions` VALUES (76654, 2431, 15, 'Στήλες δεδομένων');
INSERT INTO `lang_definitions` VALUES (76655, 2432, 15, 'Εισαγωγέας δεδομένων');
INSERT INTO `lang_definitions` VALUES (76656, 2433, 15, 'Εισαγωγή Δεδομένων - ΑΜΚΑ');
INSERT INTO `lang_definitions` VALUES (76657, 2434, 15, 'Σφάλμα δεδομένων');
INSERT INTO `lang_definitions` VALUES (76658, 2435, 15, 'Δεδομένα από');
INSERT INTO `lang_definitions` VALUES (76659, 2436, 15, 'Η ακεραιότητα των δεδομένων έχει εκτεθεί σε κίνδυνο');
INSERT INTO `lang_definitions` VALUES (76660, 2437, 15, 'δεδομένα από όλες τις επισκέψεις μέχρι τώρα');
INSERT INTO `lang_definitions` VALUES (76661, 2438, 15, 'Τμήμα δεδομένων');
INSERT INTO `lang_definitions` VALUES (76662, 2439, 15, 'Τύπος δεδομένων');
INSERT INTO `lang_definitions` VALUES (76663, 2440, 15, 'Βάση δεδομένων');
INSERT INTO `lang_definitions` VALUES (76664, 2442, 15, 'Η βάση δεδομένων δεν είναι εγκατεστημένη.');
INSERT INTO `lang_definitions` VALUES (76665, 2443, 15, 'Όνομα βάσης δεδομένων');
INSERT INTO `lang_definitions` VALUES (76666, 2444, 15, 'Διορθωτικό patch της Βάσης δεδομένων');
INSERT INTO `lang_definitions` VALUES (76667, 2445, 15, 'Αναφορά βάσης δεδομένων');
INSERT INTO `lang_definitions` VALUES (76668, 2447, 15, 'Η αναβάθμιση της βάσης δεδομένων ολοκληρώθηκε.');
INSERT INTO `lang_definitions` VALUES (76669, 2448, 15, 'Τα Δεδομένα Στηλών πρέπει να είναι αριθμός μεταξύ 1 και 999');
INSERT INTO `lang_definitions` VALUES (76670, 2449, 15, 'Ημ/νία');
INSERT INTO `lang_definitions` VALUES (76671, 2450, 15, 'ΗΜΕΡΟΜΗΝΙΑ');
INSERT INTO `lang_definitions` VALUES (76672, 2451, 15, 'Ημ. και ώρα χορήγησης');
INSERT INTO `lang_definitions` VALUES (76673, 2452, 15, 'Ημ. / Ώρα');
INSERT INTO `lang_definitions` VALUES (76674, 2453, 15, 'Ημ. χορήγησης');
INSERT INTO `lang_definitions` VALUES (76675, 2454, 15, 'Ημ. και ώρα συλλογής δείγματος');
INSERT INTO `lang_definitions` VALUES (76676, 2455, 15, 'Ημ. και ώρα αυτής της παρατήρησης');
INSERT INTO `lang_definitions` VALUES (76677, 2456, 15, 'Ημερομ, και ώρα αυτής της αναφοράς');
INSERT INTO `lang_definitions` VALUES (76678, 2457, 15, 'Ημ. και ώρα συλλογής του δείγματος');
INSERT INTO `lang_definitions` VALUES (76679, 2458, 15, 'Η Ημ. δεν μπορεί να είναι μεγαλύτερη από Σήμερα');
INSERT INTO `lang_definitions` VALUES (76680, 2459, 15, 'Αρχική Ημ. παροχής αντισυλληπτ. υπηρεσιών');
INSERT INTO `lang_definitions` VALUES (76681, 2460, 15, 'Ημ/νία Δημιουργίας');
INSERT INTO `lang_definitions` VALUES (76682, 2461, 15, 'Ημ/νία Θανάτου');
INSERT INTO `lang_definitions` VALUES (76683, 2462, 15, 'Ημ/νία Καταστροφής');
INSERT INTO `lang_definitions` VALUES (76684, 2463, 15, 'Τρόπος εμφάνισης ημ/νίας');
INSERT INTO `lang_definitions` VALUES (76685, 2464, 15, 'Ο τύπος Ημ. για “τέλος ραντεβού” δεν είναι έγκυρος');
INSERT INTO `lang_definitions` VALUES (76686, 2465, 15, 'Ο τύπος Ημ. για “έναρξη ραντεβού” δεν είναι έγκυρος');
INSERT INTO `lang_definitions` VALUES (76687, 2466, 15, 'Ο τύπος Ημ. για “επόμενο ραντεβού” δεν είναι έγκυρος');
INSERT INTO `lang_definitions` VALUES (76688, 2467, 15, 'Ο τύπος Ημ. για “μη εκτιμηθείς από” δεν είναι έγκυρος');
INSERT INTO `lang_definitions` VALUES (76689, 2469, 15, 'Ο τύπος Ημ. για “εκτιμηθείς από” δεν είναι έγκυρος');
INSERT INTO `lang_definitions` VALUES (76690, 2470, 15, 'Δόθηκαν Πληροφορίες για Ημ. Εμβολιασμού');
INSERT INTO `lang_definitions` VALUES (76691, 2471, 15, 'Η Ημ. για τον κωδικό λείπει');
INSERT INTO `lang_definitions` VALUES (76692, 2472, 15, 'Κριτήρια Ημερομηνίας');
INSERT INTO `lang_definitions` VALUES (76693, 2473, 15, 'Ημ/νία ραντεβού');
INSERT INTO `lang_definitions` VALUES (76694, 2474, 15, 'Ημ. των ραντεβού μμ/ηη/εεεε');
INSERT INTO `lang_definitions` VALUES (76695, 2475, 15, 'Ημ. τραπεζικής κατάθεσης εεεε-μμ-ηη');
INSERT INTO `lang_definitions` VALUES (76696, 2476, 15, 'Ημ. Χρέωσης');
INSERT INTO `lang_definitions` VALUES (76697, 2477, 15, 'Ημ. Γέννησης');
INSERT INTO `lang_definitions` VALUES (76698, 2478, 15, 'Ημ. γέννησης');
INSERT INTO `lang_definitions` VALUES (76699, 2479, 15, 'Ημ. Γέννησης');
INSERT INTO `lang_definitions` VALUES (76700, 2481, 15, 'Ημ. καταχώρησης');
INSERT INTO `lang_definitions` VALUES (76701, 2482, 15, 'Ημ. εξόδου');
INSERT INTO `lang_definitions` VALUES (76702, 2483, 15, 'Ημ. Κάκωσης');
INSERT INTO `lang_definitions` VALUES (76703, 2484, 15, 'Ημ. Έναρξης Συμπτωμάτων');
INSERT INTO `lang_definitions` VALUES (76704, 2485, 15, 'Ημ. έναρξης ή νοσηλείας');
INSERT INTO `lang_definitions` VALUES (76705, 2486, 15, 'Ημ. έναρξης, χειρουργείου ή έναρξης φαρμ. αγωγής');
INSERT INTO `lang_definitions` VALUES (76706, 2487, 15, 'Ημ. πληρωμής εεεε-μμ-ηη');
INSERT INTO `lang_definitions` VALUES (76707, 2488, 15, 'Ημ. ανάρρωσης ή διακοπής φαρμ. αγωγής');
INSERT INTO `lang_definitions` VALUES (76708, 2489, 15, 'Ημ. παραπομπής');
INSERT INTO `lang_definitions` VALUES (76709, 2490, 15, 'Ημ. εγγραφής');
INSERT INTO `lang_definitions` VALUES (76710, 2491, 15, 'Ημ. απάντησης');
INSERT INTO `lang_definitions` VALUES (76711, 2492, 15, 'Ημ. αναφοράς');
INSERT INTO `lang_definitions` VALUES (76712, 2493, 15, 'Ημ. παροχής Υπηρεσιών');
INSERT INTO `lang_definitions` VALUES (76713, 2494, 15, 'Ημ. παροχής της υπηρεσίας');
INSERT INTO `lang_definitions` VALUES (76714, 2495, 15, 'Ημ. παροχής της υπηρεσίας');
INSERT INTO `lang_definitions` VALUES (76715, 2496, 15, 'Ημ. παροχής της υπηρεσίας = Σήμερα');
INSERT INTO `lang_definitions` VALUES (76716, 2498, 15, 'Ημ. παροχής της υπηρεσίας μμ-ηη-εεεε');
INSERT INTO `lang_definitions` VALUES (76717, 2499, 15, 'Ημ. παροχής της υπηρεσίας:');
INSERT INTO `lang_definitions` VALUES (76718, 2500, 15, 'Ημ. Υπογραφής');
INSERT INTO `lang_definitions` VALUES (76719, 2501, 15, 'Ημ. αλλαγής κατάστασης');
INSERT INTO `lang_definitions` VALUES (76720, 2502, 15, 'Ημ. αυτής της επιστολής');
INSERT INTO `lang_definitions` VALUES (76721, 2503, 15, 'Ημ. αυτής της εντολής');
INSERT INTO `lang_definitions` VALUES (76722, 2504, 15, 'Ημ. αυτής της αναφοράς');
INSERT INTO `lang_definitions` VALUES (76723, 2505, 15, 'Ημ. Έκδοσης Πληροφοριών Εμβολίων');
INSERT INTO `lang_definitions` VALUES (76724, 2506, 15, 'Ημ. Εντολής');
INSERT INTO `lang_definitions` VALUES (76725, 2507, 15, 'Εύρος ημερομηνιών');
INSERT INTO `lang_definitions` VALUES (76726, 2508, 15, 'Σύστημα Επιλογής ημ/νίας');
INSERT INTO `lang_definitions` VALUES (76727, 2509, 15, 'Σύστημα Επιλογής ημ/νίας');
INSERT INTO `lang_definitions` VALUES (76728, 2510, 15, 'Ημ. αποστολής');
INSERT INTO `lang_definitions` VALUES (76729, 2511, 15, 'Ημ. Αποστολής Μηνύματος');
INSERT INTO `lang_definitions` VALUES (76730, 2512, 15, 'Ημ. και Ώρα');
INSERT INTO `lang_definitions` VALUES (76731, 2513, 15, 'Οι τιμές Ημ/νίας δεν μπορεί να είναι κενές.');
INSERT INTO `lang_definitions` VALUES (76732, 2516, 15, 'Ημ./Ραντεβού');
INSERT INTO `lang_definitions` VALUES (76733, 2517, 15, 'Ημ./Σημειώσεις');
INSERT INTO `lang_definitions` VALUES (76734, 2518, 15, 'Ημ./Πρόσφατες Σημειώσεις');
INSERT INTO `lang_definitions` VALUES (76735, 2519, 15, 'Ημ./Ώρα');
INSERT INTO `lang_definitions` VALUES (76736, 2520, 15, 'Ημ/νία:');
INSERT INTO `lang_definitions` VALUES (76737, 2523, 15, 'Αρχείο καταγραφής υπενθυμίσεων');
INSERT INTO `lang_definitions` VALUES (76738, 2524, 15, 'Υπενθυμίσεις');
INSERT INTO `lang_definitions` VALUES (76739, 2525, 15, 'Μέγιστος αριθμός ειδοποιήσεων προς προβολή, σχετικών με υπενθυμίσεις');
INSERT INTO `lang_definitions` VALUES (76740, 2526, 15, 'Ημέρα');
INSERT INTO `lang_definitions` VALUES (76741, 2527, 15, 'Ημέρα');
INSERT INTO `lang_definitions` VALUES (76742, 2528, 15, 'ημέρα πριν');
INSERT INTO `lang_definitions` VALUES (76743, 2529, 15, 'Αναφορά Φύλλου Ημέρας');
INSERT INTO `lang_definitions` VALUES (76744, 2530, 15, 'Προβολή Ημέρας');
INSERT INTO `lang_definitions` VALUES (76745, 2531, 15, 'Ημέρα(ες)');
INSERT INTO `lang_definitions` VALUES (76746, 2532, 15, 'Ημέρα(ες) Α-Θ');
INSERT INTO `lang_definitions` VALUES (76747, 2533, 15, 'Ημέρες');
INSERT INTO `lang_definitions` VALUES (76748, 2534, 15, 'Ημέρες');
INSERT INTO `lang_definitions` VALUES (76749, 2535, 15, 'ημέρες πριν');
INSERT INTO `lang_definitions` VALUES (76750, 2536, 15, 'Χαμένες ημέρες και παιχνίδια');
INSERT INTO `lang_definitions` VALUES (76751, 2537, 15, 'Ημέρες από την τελευταία επίσκεψη');
INSERT INTO `lang_definitions` VALUES (76752, 2538, 15, 'Ημέρες που απωλέσθηκαν');
INSERT INTO `lang_definitions` VALUES (76753, 2540, 15, 'Ημέρες της Εβδομάδας');
INSERT INTO `lang_definitions` VALUES (76754, 2541, 15, 'Ημέρες ανά Στήλη:');
INSERT INTO `lang_definitions` VALUES (76755, 2542, 15, 'Ημέρες/Στήλη');
INSERT INTO `lang_definitions` VALUES (76756, 2543, 15, 'Ημέρες/Στήλη:');
INSERT INTO `lang_definitions` VALUES (76757, 2544, 15, 'Η βάση δεδομένων έχει εγκατασταθεί');
INSERT INTO `lang_definitions` VALUES (76758, 2545, 15, 'ΗΗ/ΜΜ/ΕΕΕΕ');
INSERT INTO `lang_definitions` VALUES (76759, 2546, 15, 'Αποταυτοποίηση');
INSERT INTO `lang_definitions` VALUES (76760, 2547, 15, 'Η διαδικασία αποταυτοποίησης τελείωσε');
INSERT INTO `lang_definitions` VALUES (76761, 2548, 15, 'Η διαδικασία αποταυτοποίησης ξεκίνησε');
INSERT INTO `lang_definitions` VALUES (76762, 2549, 15, 'Η διαδικασία αποταυτοποίησης άρχισε και τρέχει στο υπόβαθρο');
INSERT INTO `lang_definitions` VALUES (76763, 2550, 15, 'Τα δεδομένα αποταυτοποίησης δεν μπορούν να είναι πλήρη');
INSERT INTO `lang_definitions` VALUES (76764, 2551, 15, 'Τα αρχεία αποταυτοποίησης θα αποθηκευθούν');
INSERT INTO `lang_definitions` VALUES (76765, 2552, 15, 'Έλεγχος Φαρμάκων');
INSERT INTO `lang_definitions` VALUES (76766, 2555, 15, 'Απενεργοποίηση');
INSERT INTO `lang_definitions` VALUES (76767, 2556, 15, 'Απενεργοποιημένο');
INSERT INTO `lang_definitions` VALUES (76768, 2558, 15, 'Κωφάλαλος');
INSERT INTO `lang_definitions` VALUES (76769, 2559, 15, 'Χρέος');
INSERT INTO `lang_definitions` VALUES (76770, 2562, 15, 'Πληροφορίες αποσφαλμάτωσης');
INSERT INTO `lang_definitions` VALUES (76771, 2564, 15, 'Αποσφαλμάτωση');
INSERT INTO `lang_definitions` VALUES (76772, 2565, 15, 'Δεκ');
INSERT INTO `lang_definitions` VALUES (76773, 2566, 15, 'Απεβίωσε');
INSERT INTO `lang_definitions` VALUES (76774, 2567, 15, 'ΑΠΕΒΙΩΣΕ');
INSERT INTO `lang_definitions` VALUES (76775, 2568, 15, 'ΑΠΕΒΙΩΣΕ (Χθες)');
INSERT INTO `lang_definitions` VALUES (76776, 2569, 15, 'ΑΠΕΒΙΩΣΕ (Σήμερα)');
INSERT INTO `lang_definitions` VALUES (76777, 2570, 15, 'Ημ. Θανάτου');
INSERT INTO `lang_definitions` VALUES (76778, 2571, 15, 'Η ημ/νία θανάτου δεν μπορεί να είναι μεταγενέστερη από την σημερινή');
INSERT INTO `lang_definitions` VALUES (76779, 2572, 15, 'ΕΙΔΟΠΟΙΗΣΗ ΘΑΝΑΤΟΥ');
INSERT INTO `lang_definitions` VALUES (76780, 2573, 15, 'Αιτία Θανάτου');
INSERT INTO `lang_definitions` VALUES (76781, 2574, 15, 'Δεκέμβριος');
INSERT INTO `lang_definitions` VALUES (76782, 2579, 15, 'Αρνήθηκε να διευκρινίσει');
INSERT INTO `lang_definitions` VALUES (76783, 2580, 15, 'Εκπιπτόμενο');
INSERT INTO `lang_definitions` VALUES (76784, 2582, 15, 'εν τω βάθει');
INSERT INTO `lang_definitions` VALUES (76785, 2583, 15, 'Προεπιλογή');
INSERT INTO `lang_definitions` VALUES (76786, 2585, 15, 'Προεπιλεγμ. Εμφάνιση Ημερολογίου');
INSERT INTO `lang_definitions` VALUES (76787, 2587, 15, 'Προεπιλεγμ. Κωδ. Εντύπου Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (76788, 2588, 15, 'Προεπιλεγμένη Προβολή Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (76789, 2589, 15, 'Προεπιλεγμένη Έδρα');
INSERT INTO `lang_definitions` VALUES (76790, 2594, 15, 'Προεπιλεγμένη Γλώσσα');
INSERT INTO `lang_definitions` VALUES (76791, 2595, 15, 'Προεπιλεγμ. Γλώσσα αν καμιά άλλη δεν επιτρέπεται ή δεν έχει επιλεχθεί');
INSERT INTO `lang_definitions` VALUES (76792, 2596, 15, 'Προεπιλεγμ. αριστερό περιθώριο εκτύπωσης για το CMS 1500');
INSERT INTO `lang_definitions` VALUES (76793, 2598, 15, 'Προεπιλεγμ. Λίστα (εγγραφή, προαιρετικά προσθήκη)');
INSERT INTO `lang_definitions` VALUES (76794, 2600, 15, 'Προεπιλεγμ. Μέθοδος');
INSERT INTO `lang_definitions` VALUES (76795, 2601, 15, 'Προεπιλεγμ. Ημέρες Λήξης Κωδικού');
INSERT INTO `lang_definitions` VALUES (76796, 2602, 15, 'Προεπιλεγμ. Περίοδος λήξης Κωδικού σε μέρες. Το 0 σημαίνει ότι αυτή η λειτουργία έχει απενεργοποιηθεί.');
INSERT INTO `lang_definitions` VALUES (76797, 2603, 15, 'Προεπιλεγμένη Χώρα Ασθενούς');
INSERT INTO `lang_definitions` VALUES (76798, 2605, 15, 'Προεπιλεγμένο Επίπεδο Τιμής');
INSERT INTO `lang_definitions` VALUES (76799, 2606, 15, 'Προεπιεγμένη προτεραιότητα');
INSERT INTO `lang_definitions` VALUES (76800, 2607, 15, 'Προεπιλεγμένος Πάροχος');
INSERT INTO `lang_definitions` VALUES (76801, 2608, 15, 'Ο προεπιλεγμένος πάροχος άλλαξε');
INSERT INTO `lang_definitions` VALUES (76802, 2609, 15, 'Προεπιλεγμένο Εύρος');
INSERT INTO `lang_definitions` VALUES (76803, 2610, 15, 'Προεπιλεγμένη Αιτία Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (76804, 2613, 15, 'Προεπιλεγμένη Δεύτερη Καρτέλα');
INSERT INTO `lang_definitions` VALUES (76805, 2615, 15, 'Προεπιλεγμένη ρύθμιση');
INSERT INTO `lang_definitions` VALUES (76806, 2617, 15, 'Προεπιλεγμένη κατάσταση του κουτιού επλογής του Νέου Παραθύρου στη λίστα ασθενών.');
INSERT INTO `lang_definitions` VALUES (76807, 2618, 15, 'Προεπιλεγμένη διάταξη');
INSERT INTO `lang_definitions` VALUES (76808, 2622, 15, 'Προεπιλεγμένο πάνω περιθώριο εκτύπωσης για CMS 1500');
INSERT INTO `lang_definitions` VALUES (76809, 2624, 15, 'Προεπιλεγμένες Μονάδες');
INSERT INTO `lang_definitions` VALUES (76810, 2626, 15, 'Προεπιλεγμένη Τιμή');
INSERT INTO `lang_definitions` VALUES (76811, 2627, 15, 'Προεπιλεγμένη Κατηγορία Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (76812, 2628, 15, 'Προεπιλεγμένη Αποθήκη');
INSERT INTO `lang_definitions` VALUES (76813, 2629, 15, 'Προεπιλεγμ. Χ12 συνεργάτης');
INSERT INTO `lang_definitions` VALUES (76814, 2630, 15, 'Προεπιλεγμ./ Γενικός');
INSERT INTO `lang_definitions` VALUES (76815, 2632, 15, 'Προεπιλογές');
INSERT INTO `lang_definitions` VALUES (76816, 2633, 15, 'Καθορίστε προεπιλεγμένη κατηγορία επίσκεψης');
INSERT INTO `lang_definitions` VALUES (76817, 2635, 15, 'Διαγρ');
INSERT INTO `lang_definitions` VALUES (76818, 2636, 15, 'διαγρ');
INSERT INTO `lang_definitions` VALUES (76819, 2637, 15, 'Καθυστερημένη υποτροπή (>12 μήνες)');
INSERT INTO `lang_definitions` VALUES (76820, 2638, 15, 'Διαγραφή');
INSERT INTO `lang_definitions` VALUES (76821, 2639, 15, 'διαγραφή');
INSERT INTO `lang_definitions` VALUES (76822, 2640, 15, 'Διαγραφή κατηγοριών με αναγνωριστικά:');
INSERT INTO `lang_definitions` VALUES (76823, 2641, 15, 'Διαγραφή Κατηγορίας');
INSERT INTO `lang_definitions` VALUES (76824, 2642, 15, 'Διαγραφή Εγγράφου');
INSERT INTO `lang_definitions` VALUES (76825, 2643, 15, 'Διαγραφή Εντύπου Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (76826, 2644, 15, 'Η διαγραφή απέτυχε!');
INSERT INTO `lang_definitions` VALUES (76827, 2645, 15, 'Διαγραφή Ομάδας');
INSERT INTO `lang_definitions` VALUES (76828, 2646, 15, 'Διαγραφή Λίστας');
INSERT INTO `lang_definitions` VALUES (76829, 2648, 15, 'Διαγραφή Σελίδων');
INSERT INTO `lang_definitions` VALUES (76830, 2649, 15, 'Διαγραφή Ασθενούς, Επίσκεψης, Εντύπου, Θέματος, Εγγράφου, Πληρωμής, Χρέωσης ή Συναλλαγής');
INSERT INTO `lang_definitions` VALUES (76831, 2650, 15, 'Διαγραφή Πλάνου');
INSERT INTO `lang_definitions` VALUES (76832, 2651, 15, 'Διαγραφή Γραμμής');
INSERT INTO `lang_definitions` VALUES (76833, 2652, 15, 'Διαγραφή επιλεγμένων αντικειμένων');
INSERT INTO `lang_definitions` VALUES (76834, 2653, 15, 'Διαγραφή Επιλεγμένων Αιτημάτων');
INSERT INTO `lang_definitions` VALUES (76835, 2654, 15, 'Διαγραφή επιτυχής');
INSERT INTO `lang_definitions` VALUES (76836, 2655, 15, 'Διαγραφή επιτυχής');
INSERT INTO `lang_definitions` VALUES (76837, 2656, 15, 'Διαγραφή αυτού του εγγράφου');
INSERT INTO `lang_definitions` VALUES (76838, 2657, 15, 'Διαγραφή αυτής του εντύπου');
INSERT INTO `lang_definitions` VALUES (76839, 2658, 15, 'Διαγραφή αυτού του μηνύματος');
INSERT INTO `lang_definitions` VALUES (76840, 2659, 15, 'Διαγραφή αυτής της σημείωσης');
INSERT INTO `lang_definitions` VALUES (76841, 2660, 15, 'Διαγραφή Επιτυχής');
INSERT INTO `lang_definitions` VALUES (76842, 2661, 15, 'Διαγραφή επιτυχής.');
INSERT INTO `lang_definitions` VALUES (76843, 2662, 15, 'Γίνεται διαγραφή');
INSERT INTO `lang_definitions` VALUES (76844, 2663, 15, 'Η διαγραφή αυτού του συμβάντος δεν μπορεί να αντιστραφεί. Άπαξ και σβησθεί, δεν μπορεί να ανακτηθεί. Είστε σίγουροι ότι θέλετε να διαγράψετε αυτό το συμβάν;');
INSERT INTO `lang_definitions` VALUES (76845, 2664, 15, 'Η διαγραφή απέτυχε επειδή η ομάδα έχει ραντεβού ή επισκέψεις');
INSERT INTO `lang_definitions` VALUES (76846, 2665, 15, 'Παραδόθηκε');
INSERT INTO `lang_definitions` VALUES (76847, 2666, 15, 'Η παράδοση επιβεβαιώθηκε');
INSERT INTO `lang_definitions` VALUES (76848, 2667, 15, 'Δεν επιτρέπεται η παράδοση στην καθορισμένη Άμεση Διεύθυνση.');
INSERT INTO `lang_definitions` VALUES (76849, 2668, 15, 'Η παράδοση επί του παρόντος δεν επιτρέπεται στην καθορισμένη Άμεση Διεύθυνση.');
INSERT INTO `lang_definitions` VALUES (76850, 2669, 15, 'Η παράδοση του συνημμένου κλινικού εγγράφου ζητήθηκε από τον ασθενή.');
INSERT INTO `lang_definitions` VALUES (76851, 2670, 15, 'Η παράδοση του συνημμένου κλινικού εγγράφου ζητήθηκε από τον ασθενή.');
INSERT INTO `lang_definitions` VALUES (76852, 2671, 15, 'Άνοια');
INSERT INTO `lang_definitions` VALUES (76853, 2673, 15, 'Δημογραφικά');
INSERT INTO `lang_definitions` VALUES (76854, 2674, 15, 'Δημογραφικά (εγγραφή)');
INSERT INTO `lang_definitions` VALUES (76855, 2677, 15, 'Πεδία Δημογραφικών');
INSERT INTO `lang_definitions` VALUES (76856, 2678, 15, 'Κριτήρια φίλτρου Δημογραφικών');
INSERT INTO `lang_definitions` VALUES (76857, 2679, 15, 'Υπόμνημα Δημογραφικών Κόκκινο: Τιμές σε γράφημα. Μπλε: Τροποποιήσεις Ασθενούς');
INSERT INTO `lang_definitions` VALUES (76858, 2680, 15, 'Δεν επιτρέπονται Δημογραφικά');
INSERT INTO `lang_definitions` VALUES (76859, 2681, 15, 'Δεν επιτρέπονται Δημογραφικά.');
INSERT INTO `lang_definitions` VALUES (76860, 2682, 15, 'Απερρίφθη');
INSERT INTO `lang_definitions` VALUES (76861, 2683, 15, 'αρνείται');
INSERT INTO `lang_definitions` VALUES (76862, 2684, 15, 'Παρονομαστής');
INSERT INTO `lang_definitions` VALUES (76863, 2685, 15, 'Εξαίρεση Παρονομαστή');
INSERT INTO `lang_definitions` VALUES (76864, 2686, 15, 'Εξαίρεση Παρονομαστή');
INSERT INTO `lang_definitions` VALUES (76865, 2687, 15, 'Οδοντιατρικό');
INSERT INTO `lang_definitions` VALUES (76866, 2688, 15, 'Λίστα Οδοντιατρικών Θεμάτων');
INSERT INTO `lang_definitions` VALUES (76867, 2689, 15, 'Οδοντιατρ. προβλήματα');
INSERT INTO `lang_definitions` VALUES (76868, 2694, 15, 'Ανάλογα με τον τύπο λογαριασμού που δοκιμάζετε, θα δείτε ένα αποτέλεσμα τύπου HCFA σε μια κενή σελίδα για λογαριασμούς HCFA. Θα δείτε πολλές γραμμές μη κατανοητών χαρακτήρων και πληροφοριών αν δοκιμάσετε μια αίτηση X12. Αυτή είναι η μορφή X12 EDI 4010A. Περιστασιακά θα δείτε περίεργους χαρακτήρες που μοιάζουν με ντόμινο. Αυτοί είναι χαρακτήρες ελέγχου (π.χ. τροφοδοσίες σελίδας) και είναι φυσιολογικοί.');
INSERT INTO `lang_definitions` VALUES (76869, 2696, 15, 'Ημ. Κατάθεσης');
INSERT INTO `lang_definitions` VALUES (76870, 2697, 15, 'Η Ημ. Κατάθεσης δεν μπορεί να είναι μεγαλύτερη από Σήμερα');
INSERT INTO `lang_definitions` VALUES (76871, 2698, 15, 'Ημ. Κατάθεσης:');
INSERT INTO `lang_definitions` VALUES (76872, 2699, 15, 'Καταθλιπτικός');
INSERT INTO `lang_definitions` VALUES (76873, 2700, 15, 'Κατάθλιψη');
INSERT INTO `lang_definitions` VALUES (76874, 2701, 15, 'Παράρτημα');
INSERT INTO `lang_definitions` VALUES (76875, 2702, 15, 'Δερματολογία');
INSERT INTO `lang_definitions` VALUES (76876, 2703, 15, 'Δερμ');
INSERT INTO `lang_definitions` VALUES (76877, 2704, 15, 'ΔΕΡΜ');
INSERT INTO `lang_definitions` VALUES (76878, 2705, 15, 'ΦΘΙΝ');
INSERT INTO `lang_definitions` VALUES (76879, 2706, 15, 'Περιγραφή');
INSERT INTO `lang_definitions` VALUES (76880, 2707, 15, 'περιγραφή');
INSERT INTO `lang_definitions` VALUES (76881, 2709, 15, 'Περιγραφή της γνωστοποίησης');
INSERT INTO `lang_definitions` VALUES (76882, 2710, 15, 'Περιγραφή αυτής της Ιατρικής Πράξης ή του κωδικού αποτελέσματος');
INSERT INTO `lang_definitions` VALUES (76883, 2711, 15, 'Μετάφραση περιγραφής');
INSERT INTO `lang_definitions` VALUES (76884, 2712, 15, 'Επιθυμητό Όνομα Αρχείου');
INSERT INTO `lang_definitions` VALUES (76885, 2713, 15, 'Προορισμός');
INSERT INTO `lang_definitions` VALUES (76886, 2714, 15, 'Όνομα αρχείου προορισμού');
INSERT INTO `lang_definitions` VALUES (76887, 2716, 15, 'Απόσυρση παρτίδας');
INSERT INTO `lang_definitions` VALUES (76888, 2717, 15, 'Καταστροφή...');
INSERT INTO `lang_definitions` VALUES (76889, 2718, 15, 'Απεσύρθη');
INSERT INTO `lang_definitions` VALUES (76890, 2719, 15, 'Απόσυρση φαρμάκων');
INSERT INTO `lang_definitions` VALUES (76891, 2720, 15, 'Αναφορά απόσυρσης φαρμάκων');
INSERT INTO `lang_definitions` VALUES (76892, 2721, 15, 'Λεπτομέρεια');
INSERT INTO `lang_definitions` VALUES (76893, 2723, 15, 'Λεπτομερής εξέταση');
INSERT INTO `lang_definitions` VALUES (76894, 2724, 15, 'Λεπτομερές ΙΠΝ');
INSERT INTO `lang_definitions` VALUES (76895, 2726, 15, 'Λεπτομέρειες');
INSERT INTO `lang_definitions` VALUES (76896, 2727, 15, 'Προγραμματιστής');
INSERT INTO `lang_definitions` VALUES (76897, 2728, 15, 'Αναπτυξιακή ανωμαλία');
INSERT INTO `lang_definitions` VALUES (76898, 2729, 15, 'Απόκλιση');
INSERT INTO `lang_definitions` VALUES (76899, 2730, 15, 'Διαβήτης');
INSERT INTO `lang_definitions` VALUES (76900, 2731, 15, 'Σακχαρώδης Διαβήτης');
INSERT INTO `lang_definitions` VALUES (76901, 2732, 15, 'Διαβήτης: Ρύθμιση Αρτηριακής Πίεσης (CQM)');
INSERT INTO `lang_definitions` VALUES (76902, 2733, 15, 'Διαβήτης: Οφθαλμολογικός Έλεγχος');
INSERT INTO `lang_definitions` VALUES (76903, 2734, 15, 'Διαβήτης: Οφθαλμολογικός Έλεγχος (CQM)');
INSERT INTO `lang_definitions` VALUES (76904, 2735, 15, 'Διαβήτης: Εξέταση Ποδιών');
INSERT INTO `lang_definitions` VALUES (76905, 2736, 15, 'Διαβήτης: Εξέταση Ποδιών (CQM)');
INSERT INTO `lang_definitions` VALUES (76906, 2737, 15, 'Διαβήτης: Ελλιπής Έλεγχος HbA1c (CQM)');
INSERT INTO `lang_definitions` VALUES (76907, 2738, 15, 'Διαβήτης: Αιμοσφαιρίνη A1C');
INSERT INTO `lang_definitions` VALUES (76908, 2739, 15, 'Διαβήτης: Ρύθμιση και Έλεγχος LDL');
INSERT INTO `lang_definitions` VALUES (76909, 2740, 15, 'Διαβήτης: Μικροαλβουμινουρία');
INSERT INTO `lang_definitions` VALUES (76910, 2741, 15, 'Διαγν');
INSERT INTO `lang_definitions` VALUES (76911, 2742, 15, 'Διαγνώσεις');
INSERT INTO `lang_definitions` VALUES (76912, 2743, 15, 'Διάγνωση');
INSERT INTO `lang_definitions` VALUES (76913, 2744, 15, 'Κωδικός Διάγνωσης');
INSERT INTO `lang_definitions` VALUES (76914, 2745, 15, 'Κωδικοί Διάγνωσης');
INSERT INTO `lang_definitions` VALUES (76915, 2747, 15, 'Ημ. Διάγνωσης');
INSERT INTO `lang_definitions` VALUES (76916, 2748, 15, 'Περιγραφή Διάγνωσης');
INSERT INTO `lang_definitions` VALUES (76917, 2749, 15, 'Η διάγνωση πρέπει να κωδικοποιηθεί στα πλαίσια μιας συνδεδεμένης επίσκεψης');
INSERT INTO `lang_definitions` VALUES (76918, 2750, 15, 'Όνομα Διάγνωσης');
INSERT INTO `lang_definitions` VALUES (76919, 2751, 15, 'Αναφορά Διάγνωσης');
INSERT INTO `lang_definitions` VALUES (76920, 2752, 15, 'Αναφορά Διαγνώσεων');
INSERT INTO `lang_definitions` VALUES (76921, 2753, 15, 'Μόνο δημιουργία Αναφοράς Διαγνώσεων');
INSERT INTO `lang_definitions` VALUES (76922, 2754, 15, 'Τίτλος Διάγνωσης');
INSERT INTO `lang_definitions` VALUES (76923, 2755, 15, 'Διάγνωση:');
INSERT INTO `lang_definitions` VALUES (76924, 2756, 15, 'Διάγνωση:');
INSERT INTO `lang_definitions` VALUES (76925, 2758, 15, 'Διαγνωστικοί έλεγχοι:');
INSERT INTO `lang_definitions` VALUES (76926, 2760, 15, 'Καλεί');
INSERT INTO `lang_definitions` VALUES (76927, 2761, 15, 'Διάμ');
INSERT INTO `lang_definitions` VALUES (76928, 2762, 15, 'ΔΙΑΜ');
INSERT INTO `lang_definitions` VALUES (76929, 2763, 15, 'Διαφράγματα / Τραχηλικά Caps');
INSERT INTO `lang_definitions` VALUES (76930, 2764, 15, 'Διάρροια');
INSERT INTO `lang_definitions` VALUES (76931, 2765, 15, 'Διαστολική');
INSERT INTO `lang_definitions` VALUES (76932, 2767, 15, 'Υπαγόρευση');
INSERT INTO `lang_definitions` VALUES (76933, 2768, 15, 'Υπαγόρευση:');
INSERT INTO `lang_definitions` VALUES (76934, 2769, 15, 'Λάβατε το αντίγραφο της αίτησης χορήγησης ιατρικών δεδομένων;');
INSERT INTO `lang_definitions` VALUES (76935, 2770, 15, 'Διάχυτο:');
INSERT INTO `lang_definitions` VALUES (76936, 2771, 15, 'Ψηφιακά υπογεγραμμένο');
INSERT INTO `lang_definitions` VALUES (76937, 2778, 15, 'ΑΜΕΣΗ ΔΙΕΥΘΥΝΣΗ');
INSERT INTO `lang_definitions` VALUES (76938, 2779, 15, 'Άμεση Διεύθυνση');
INSERT INTO `lang_definitions` VALUES (76939, 2780, 15, 'Άμεσο Email');
INSERT INTO `lang_definitions` VALUES (76940, 2781, 15, 'Άμεσο Ταχυδρομείο');
INSERT INTO `lang_definitions` VALUES (76941, 2782, 15, 'Αρχείο καταγραφής Άμεσων Μηνυμάτων');
INSERT INTO `lang_definitions` VALUES (76942, 2783, 15, 'Ελήφθη Άμεσο Μήνυμα.');
INSERT INTO `lang_definitions` VALUES (76943, 2784, 15, 'Το σύστημα άμεσων μηνυμάτων δεν είναι διαθέσιμο αυτή τη στιγμή.');
INSERT INTO `lang_definitions` VALUES (76944, 2785, 15, 'Αποτυχία αποστολής Άμεσου Μηνύματος');
INSERT INTO `lang_definitions` VALUES (76945, 2786, 15, 'Οδηγίες');
INSERT INTO `lang_definitions` VALUES (76946, 2787, 15, 'Όνομα Διευθυντού');
INSERT INTO `lang_definitions` VALUES (76947, 2788, 15, 'Απέτυχε η διαγραφή καταλόγου. Συνεχίζεται...');
INSERT INTO `lang_definitions` VALUES (76948, 2789, 15, 'Αναπηρία');
INSERT INTO `lang_definitions` VALUES (76949, 2790, 15, 'Απενεργοποίηση');
INSERT INTO `lang_definitions` VALUES (76950, 2794, 15, 'Απενεργοπ. Ημερολογίου');
INSERT INTO `lang_definitions` VALUES (76951, 2795, 15, 'Απενεργοπ. ευρετηρίου φακέλων');
INSERT INTO `lang_definitions` VALUES (76952, 2798, 15, 'Απενεργοπ. Εμβολιασμών');
INSERT INTO `lang_definitions` VALUES (76953, 2800, 15, 'Απενεργοπ. Εντύπου παλαιών μετρικών τιμών Ζωτικών');
INSERT INTO `lang_definitions` VALUES (76954, 2801, 15, 'Απενεργοπ. Πίνακα Ροής Ασθενών');
INSERT INTO `lang_definitions` VALUES (76955, 2802, 15, 'Απενεργοπ. phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (76956, 2803, 15, 'Απενεργοπ. Συνταγών');
INSERT INTO `lang_definitions` VALUES (76957, 2804, 15, 'Απενεργοπ. Ομάδων Χρηστών');
INSERT INTO `lang_definitions` VALUES (76958, 2805, 15, 'απενεργοποιημένο');
INSERT INTO `lang_definitions` VALUES (76959, 2806, 15, 'Aπενεργοποιημένο');
INSERT INTO `lang_definitions` VALUES (76960, 2811, 15, 'Δίσκος');
INSERT INTO `lang_definitions` VALUES (76961, 2812, 15, 'Εκπτωτική Κάρτα');
INSERT INTO `lang_definitions` VALUES (76962, 2813, 15, 'Απόρριψη');
INSERT INTO `lang_definitions` VALUES (76963, 2815, 15, 'Έκκριμα');
INSERT INTO `lang_definitions` VALUES (76964, 2816, 15, 'Έκκριμα από την ουρήθρα');
INSERT INTO `lang_definitions` VALUES (76965, 2818, 15, 'Απαλλαγή από δικαιώματα');
INSERT INTO `lang_definitions` VALUES (76966, 2819, 15, 'Απαλλαγή από δικαιώματα:');
INSERT INTO `lang_definitions` VALUES (76967, 2822, 15, 'Ώρα Αποχώρησης');
INSERT INTO `lang_definitions` VALUES (76968, 2823, 15, 'Αποχώρησε');
INSERT INTO `lang_definitions` VALUES (76969, 2825, 15, 'Πληροφορίες Γνωστοποίησης');
INSERT INTO `lang_definitions` VALUES (76970, 2826, 15, 'Τύπος Γνωστοποίησης');
INSERT INTO `lang_definitions` VALUES (76971, 2827, 15, 'Τύποι Γνωστοποίησης');
INSERT INTO `lang_definitions` VALUES (76972, 2828, 15, 'Γνωστοποιήσεις');
INSERT INTO `lang_definitions` VALUES (76973, 2832, 15, 'Απόσυρση');
INSERT INTO `lang_definitions` VALUES (76974, 2833, 15, 'Έκπτωση');
INSERT INTO `lang_definitions` VALUES (76975, 2834, 15, 'Ποσό έκπτωσης');
INSERT INTO `lang_definitions` VALUES (76976, 2835, 15, 'Επίπεδο έκπτωσης');
INSERT INTO `lang_definitions` VALUES (76977, 2836, 15, 'Ποσοστό Εκπτωσης');
INSERT INTO `lang_definitions` VALUES (76978, 2837, 15, 'Εκπτώσεις σε ποσότητα νομίσματος');
INSERT INTO `lang_definitions` VALUES (76979, 2838, 15, 'Οι εκπτώσεις την ώρα της αποχώρησης εισάγονται σε ποσά χρήματος, σε αντίθεση με το ποσοστό.');
INSERT INTO `lang_definitions` VALUES (76980, 2839, 15, 'Διακριτό Αποτέλεσμα');
INSERT INTO `lang_definitions` VALUES (76981, 2841, 15, 'Νόσος');
INSERT INTO `lang_definitions` VALUES (76982, 2842, 15, 'Νόσος με υποτιθέμενη ανοσία');
INSERT INTO `lang_definitions` VALUES (76983, 2843, 15, 'Εξάρθρωμα');
INSERT INTO `lang_definitions` VALUES (76984, 2844, 15, 'Ακύρωση');
INSERT INTO `lang_definitions` VALUES (76985, 2846, 15, 'Κλείσιμο Βοήθειας');
INSERT INTO `lang_definitions` VALUES (76986, 2847, 15, 'Αρ.αποστ');
INSERT INTO `lang_definitions` VALUES (76987, 2848, 15, 'Αποστολή');
INSERT INTO `lang_definitions` VALUES (76988, 2849, 15, 'Έγγραφό λήψης αποστολής');
INSERT INTO `lang_definitions` VALUES (76989, 2853, 15, 'Χορηγείται');
INSERT INTO `lang_definitions` VALUES (76990, 2854, 15, 'Προβολή');
INSERT INTO `lang_definitions` VALUES (76991, 2855, 15, 'Προβολή Επιπρόσθετων Μετρήσεων (Ks, IOL cals, κλπ)');
INSERT INTO `lang_definitions` VALUES (76992, 2856, 15, 'Εμφάνιση προκαταβολικών οδηγιών στη σελίδα δημογραφικών.');
INSERT INTO `lang_definitions` VALUES (76993, 2857, 15, 'Προβολή αποκλειστικά Σφαλμάτων Εφαρμογής ');
INSERT INTO `lang_definitions` VALUES (76994, 2858, 15, 'Προβολή Εγγράφων');
INSERT INTO `lang_definitions` VALUES (76995, 2859, 15, 'Εμφάνιση Ημ. συμβάντων στο block;');
INSERT INTO `lang_definitions` VALUES (76996, 2860, 15, 'Μορφή εμφάνισης για Βάρη US');
INSERT INTO `lang_definitions` VALUES (76997, 2861, 15, 'Πόσα συμβάντα να εμφανιστούν;');
INSERT INTO `lang_definitions` VALUES (76998, 2865, 15, 'Εμφάνιση θέσης στο block;');
INSERT INTO `lang_definitions` VALUES (76999, 2866, 15, 'Εμφάνιση Ονόματος');
INSERT INTO `lang_definitions` VALUES (77000, 2868, 15, 'Εμφάνιση ημερολογίου;');
INSERT INTO `lang_definitions` VALUES (77001, 2869, 15, 'Εμφάνιση του Πάνελ Φακών Επαφής');
INSERT INTO `lang_definitions` VALUES (77002, 2875, 15, 'Εμφάνιση σημερινών συμβάντων στο block;');
INSERT INTO `lang_definitions` VALUES (77003, 2876, 15, 'Εμφάνιση συμβάντος σε block;');
INSERT INTO `lang_definitions` VALUES (77004, 2877, 15, 'Εμφάνιση επερχόμενων συμβάντων στο block;');
INSERT INTO `lang_definitions` VALUES (77005, 2878, 15, 'Προβολή αποκλειστικά Σφαλμάτων Παραθύρων ');
INSERT INTO `lang_definitions` VALUES (77006, 2879, 15, 'Εμφανιζόμενες Στήλες');
INSERT INTO `lang_definitions` VALUES (77007, 2880, 15, 'Εμφάνιση του ακόλουθου αριθμού των πιο πρόσφατων γνωστοποιήσεων:');
INSERT INTO `lang_definitions` VALUES (77008, 2881, 15, 'Εμφάνιση του ακόλουθου αριθμού των πιο πρόσφατων μηνυμάτων:');
INSERT INTO `lang_definitions` VALUES (77009, 2882, 15, 'Εμφάνιση του ακόλουθου αριθμού των πιο πρόσφατων σημειώσεων');
INSERT INTO `lang_definitions` VALUES (77010, 2883, 15, 'Εμφάνιση του ακόλουθου αριθμού των πιο πρόσφατων σημειώσεων:');
INSERT INTO `lang_definitions` VALUES (77011, 2884, 15, 'Απόσταση');
INSERT INTO `lang_definitions` VALUES (77012, 2890, 15, 'Κατανομή');
INSERT INTO `lang_definitions` VALUES (77013, 2891, 15, 'Κατανομές');
INSERT INTO `lang_definitions` VALUES (77014, 2892, 15, 'Διανομέας');
INSERT INTO `lang_definitions` VALUES (77015, 2897, 15, 'Εκκολπωματίτιδα');
INSERT INTO `lang_definitions` VALUES (77016, 2898, 15, 'Εγχείριση εκκολπωματίτιδας');
INSERT INTO `lang_definitions` VALUES (77017, 2899, 15, 'Εκκολπωματίτιδα');
INSERT INTO `lang_definitions` VALUES (77018, 2900, 15, 'Εγχείριση εκκολπωματίτιδας');
INSERT INTO `lang_definitions` VALUES (77019, 2901, 15, 'Διεζευγμένος/η');
INSERT INTO `lang_definitions` VALUES (77020, 2902, 15, 'Ζάλη:');
INSERT INTO `lang_definitions` VALUES (77021, 2905, 15, 'Μη το τροποποιήσετε');
INSERT INTO `lang_definitions` VALUES (77022, 2912, 15, 'Να μην εμφανίζεται το ημερολόγιο.');
INSERT INTO `lang_definitions` VALUES (77023, 2913, 15, 'Να μην εμφανίζεται ο Πίνακας Ροής Ασθενών');
INSERT INTO `lang_definitions` VALUES (77024, 2914, 15, 'Να μην εμφανίζεται ο Πίνακας Προσκλήσεων');
INSERT INTO `lang_definitions` VALUES (77025, 2916, 15, 'Μην κάνετε απογραφή, ούτε πώληση οποιωνδήποτε προϊόντων');
INSERT INTO `lang_definitions` VALUES (77026, 2917, 15, 'Δεν γνωρίζω τι να κάνω!');
INSERT INTO `lang_definitions` VALUES (77027, 2918, 15, 'Να μην εκτυπωθεί');
INSERT INTO `lang_definitions` VALUES (77028, 2919, 15, 'Μην απαιτείται εξουσιοδότηση για τις σημειώσεις ασθενούς');
INSERT INTO `lang_definitions` VALUES (77029, 2920, 15, 'Εντολή για Μη Ανάνηψη');
INSERT INTO `lang_definitions` VALUES (77030, 2921, 15, 'να μην αποθηκευθεί');
INSERT INTO `lang_definitions` VALUES (77031, 2922, 15, 'να μην υποκατασταθεί');
INSERT INTO `lang_definitions` VALUES (77032, 2925, 15, 'καμία ενέργεια');
INSERT INTO `lang_definitions` VALUES (77033, 2926, 15, 'Θέλετε πραγματικά να αλλάξετε Αποθήκη;');
INSERT INTO `lang_definitions` VALUES (77034, 2928, 15, 'Θέλετε πραγματικά να συνεχίσετε;');
INSERT INTO `lang_definitions` VALUES (77035, 2929, 15, 'Θέλετε πραγματικά να διαγραφεί η επιλογή');
INSERT INTO `lang_definitions` VALUES (77036, 2930, 15, 'Θέλετε πραγματικά να διαγραφεί η επιλογή;');
INSERT INTO `lang_definitions` VALUES (77037, 2931, 15, 'Θέλετε πραγματικά να διαγραφεί αυτή η ομάδα');
INSERT INTO `lang_definitions` VALUES (77038, 2932, 15, 'Επιθυμείτε πραγματικά να πραγματοποιήσετε διαγραφή;');
INSERT INTO `lang_definitions` VALUES (77039, 2934, 15, 'Επιθυμείτε να συνεχίσετε;');
INSERT INTO `lang_definitions` VALUES (77040, 2935, 15, 'Επιθυμείτε να το διαγράψετε;');
INSERT INTO `lang_definitions` VALUES (77041, 2936, 15, 'Επιθυμείτε να διαγράψετε;');
INSERT INTO `lang_definitions` VALUES (77042, 2937, 15, 'Επιθυμείτε να αφαιρέσετε αυτήν την εγγραφή;');
INSERT INTO `lang_definitions` VALUES (77043, 2938, 15, 'Επιθυμείτε να συνεχίσετε την προσθήκη του νέου ασθενούς;');
INSERT INTO `lang_definitions` VALUES (77044, 2939, 15, 'Επιθυμείτε να συνεχίσετε με το νέο όνομα;');
INSERT INTO `lang_definitions` VALUES (77045, 2940, 15, 'Είστε σίγουροι ότι θέλετε να διαγραφεί ΜΟΝΙΜΑ αυτή η καταχώρηση εμβολιασμού;');
INSERT INTO `lang_definitions` VALUES (77046, 2941, 15, 'Ημ/νία Γέν.');
INSERT INTO `lang_definitions` VALUES (77047, 2942, 15, 'Λείπει η Ημ/νία Γέν., αν μπορείτε εισάγετέ την');
INSERT INTO `lang_definitions` VALUES (77048, 2943, 15, 'Κωδ. εγγρ');
INSERT INTO `lang_definitions` VALUES (77049, 2944, 15, 'Έγγραφα');
INSERT INTO `lang_definitions` VALUES (77050, 2945, 15, 'Ιατρός');
INSERT INTO `lang_definitions` VALUES (77051, 2946, 15, 'Ιατρός:');
INSERT INTO `lang_definitions` VALUES (77052, 2947, 15, 'Όνομα και Υπογραφή Ιατρού');
INSERT INTO `lang_definitions` VALUES (77053, 2948, 15, 'Έγγραφο');
INSERT INTO `lang_definitions` VALUES (77054, 2949, 15, 'εγγραφο');
INSERT INTO `lang_definitions` VALUES (77055, 2951, 15, 'Κατηγορίες Εγγράφων');
INSERT INTO `lang_definitions` VALUES (77056, 2952, 15, 'Η κατηγορία Εγγράφων για τα εργαστηριακά αποτελέσματα δεν υπάρχει');
INSERT INTO `lang_definitions` VALUES (77057, 2953, 15, 'Όνομα κατηγορίας εγγράφων για την αποθήκευση εργαστηριακών αποτελεσμάτων σε ηλεκτρονική μορφή.');
INSERT INTO `lang_definitions` VALUES (77058, 2954, 15, 'Όνομα κατηγορίας εγγράφων για την αποθήκευση ηλεκτρονικών MDM εγγράφων.');
INSERT INTO `lang_definitions` VALUES (77059, 2957, 15, 'Καταγραφή κλινικών ευρημάτων σε μορφή συντομογραφίας');
INSERT INTO `lang_definitions` VALUES (77060, 2958, 15, 'Το έγγραφο δεν μπορεί να μεταφερθεί στον κωδικό ασθενούς');
INSERT INTO `lang_definitions` VALUES (77061, 2959, 15, 'Το έγγραφο δημιουργήθηκε');
INSERT INTO `lang_definitions` VALUES (77062, 2960, 15, 'Ημερ. εγγράφου');
INSERT INTO `lang_definitions` VALUES (77063, 2961, 15, 'Η ημ/νία και το θέμα του εγγράφου ενημερώθηκαν επιτυχώς');
INSERT INTO `lang_definitions` VALUES (77064, 2962, 15, 'Κωδ. Εγγράφου');
INSERT INTO `lang_definitions` VALUES (77065, 2963, 15, 'Καταγραφή πληροφοριών ταυτοποίησης');
INSERT INTO `lang_definitions` VALUES (77066, 2964, 15, 'Βιβλιοθήκη Εγγράφων');
INSERT INTO `lang_definitions` VALUES (77067, 2965, 15, 'Το έγγραφο μεταφέρθηκε σε νέα κατηγορία');
INSERT INTO `lang_definitions` VALUES (77068, 2966, 15, 'Το έγγραφο μεταφέρθηκε στον κωδικό ασθενούς');
INSERT INTO `lang_definitions` VALUES (77069, 2967, 15, 'Το έγγραφο πέρασε επιτυχώς τον έλεγχο ακεραιότητας');
INSERT INTO `lang_definitions` VALUES (77070, 2968, 15, 'Το αρχείο πέρασε το τεστ ακεραιότητας.');
INSERT INTO `lang_definitions` VALUES (77071, 2969, 15, 'Μέθοδος αποθήκευσης εγγράφων');
INSERT INTO `lang_definitions` VALUES (77072, 2970, 15, 'Το έγγραφο μετονομάσθηκε επιτυχώς.');
INSERT INTO `lang_definitions` VALUES (77073, 2971, 15, 'Το έγγραφο συσχετίσθηκε με την Επίσκεψη επιτυχώς');
INSERT INTO `lang_definitions` VALUES (77074, 2972, 15, 'Διαχείριση Προτύπων Εγγράφων');
INSERT INTO `lang_definitions` VALUES (77075, 2973, 15, 'Πρότυπα Εγγράφων');
INSERT INTO `lang_definitions` VALUES (77076, 2975, 15, 'Έγγραφο/α');
INSERT INTO `lang_definitions` VALUES (77077, 2976, 15, 'Αποθήκ. Εγγράφου/ Εικόνας');
INSERT INTO `lang_definitions` VALUES (77078, 2978, 15, 'Έγγραφα');
INSERT INTO `lang_definitions` VALUES (77079, 2979, 15, 'έγγραφα');
INSERT INTO `lang_definitions` VALUES (77080, 2980, 15, 'Έγγραφα (εγγραφή, προαιρετ. προσθήκη)');
INSERT INTO `lang_definitions` VALUES (77081, 2983, 15, 'Διαγραφή Εγγράφων');
INSERT INTO `lang_definitions` VALUES (77082, 2986, 15, 'Λίστα Εγγράφων');
INSERT INTO `lang_definitions` VALUES (77083, 2989, 15, 'Ημ. Εισαγ.');
INSERT INTO `lang_definitions` VALUES (77084, 2990, 15, 'Υπάρχει κάτι που το βελτιώνει; Χειροτερεύει;');
INSERT INTO `lang_definitions` VALUES (77085, 2991, 15, 'Συμβαίνει σε συγκεκριμένες καταστάσεις;');
INSERT INTO `lang_definitions` VALUES (77086, 2992, 15, 'Δεν ισοδυναμεί');
INSERT INTO `lang_definitions` VALUES (77087, 2993, 15, 'Ανεπαρκή δεδομένα για δημιουργία γραφήματος');
INSERT INTO `lang_definitions` VALUES (77088, 2995, 15, 'δεν μοιάζει να είνα έγκυρο');
INSERT INTO `lang_definitions` VALUES (77089, 2996, 15, 'Αυτός ο τύπος επιτρέπει σχετικούς κωδικούς;');
INSERT INTO `lang_definitions` VALUES (77090, 2997, 15, 'Σύζυγος');
INSERT INTO `lang_definitions` VALUES (77091, 2998, 15, 'Να μην αποθηκευθεί');
INSERT INTO `lang_definitions` VALUES (77092, 2999, 15, 'Να μην αποθηκευθεί');
INSERT INTO `lang_definitions` VALUES (77093, 3000, 15, 'Να μην αποθηκευθούν οι αλλαγές');
INSERT INTO `lang_definitions` VALUES (77094, 3001, 15, 'ΓΙΝΕΤΕ ΔΩΡΗΤΗΣ ΤΩΡΑ!');
INSERT INTO `lang_definitions` VALUES (77095, 3002, 15, 'Έγινε');
INSERT INTO `lang_definitions` VALUES (77096, 3003, 15, 'Έγινε με');
INSERT INTO `lang_definitions` VALUES (77097, 3004, 15, 'Έγινε με:');
INSERT INTO `lang_definitions` VALUES (77098, 3005, 15, 'Έγινε. Θα σταλεί τώρα το download.');
INSERT INTO `lang_definitions` VALUES (77099, 3006, 15, 'Ημ. Εξέτασης');
INSERT INTO `lang_definitions` VALUES (77100, 3007, 15, 'Δοσολογία');
INSERT INTO `lang_definitions` VALUES (77101, 3008, 15, 'Δόση');
INSERT INTO `lang_definitions` VALUES (77102, 3011, 15, 'Κάντε διπλό κλικ για επεξεργασία');
INSERT INTO `lang_definitions` VALUES (77103, 3013, 15, 'Διπλωπία');
INSERT INTO `lang_definitions` VALUES (77104, 3014, 15, 'Λήψη');
INSERT INTO `lang_definitions` VALUES (77105, 3015, 15, 'ΛΗΨΗ');
INSERT INTO `lang_definitions` VALUES (77106, 3018, 15, 'Λήψη όλων των εγγράφων ασθενούς');
INSERT INTO `lang_definitions` VALUES (77107, 3019, 15, 'Λήψη οπωσδήποτε');
INSERT INTO `lang_definitions` VALUES (77108, 3020, 15, 'Κατεβάστε το αρχείο χρέωσης, στείλτε το στο λογιστήριο και σημειώστε το ως χρεωθέν');
INSERT INTO `lang_definitions` VALUES (77109, 3021, 15, 'Λήψη αρχείου CCDA');
INSERT INTO `lang_definitions` VALUES (77110, 3022, 15, 'Λήψη Πιστοποιητικών');
INSERT INTO `lang_definitions` VALUES (77111, 3023, 15, 'Λήψη δεδομένων ρύθμισης');
INSERT INTO `lang_definitions` VALUES (77112, 3024, 15, 'Λήψη αρχείου CSV');
INSERT INTO `lang_definitions` VALUES (77113, 3025, 15, 'Λήψη προτύπου εγγράφου για αυτόν τον ασθενή και την επίσκεψη');
INSERT INTO `lang_definitions` VALUES (77114, 3026, 15, 'Λήψη Εγγράφων');
INSERT INTO `lang_definitions` VALUES (77115, 3027, 15, 'Λήψη κρυπτογραφημένου αρχείου');
INSERT INTO `lang_definitions` VALUES (77116, 3028, 15, 'Λήψη Fax');
INSERT INTO `lang_definitions` VALUES (77117, 3029, 15, 'Λήψη αρχείου HL7');
INSERT INTO `lang_definitions` VALUES (77118, 3030, 15, 'Λήψη Εργαστηριακών Εγγράφων');
INSERT INTO `lang_definitions` VALUES (77119, 3032, 15, 'Λήψη ή Διαγραφή ενός προτύπου');
INSERT INTO `lang_definitions` VALUES (77120, 3033, 15, 'Λήψη PDF');
INSERT INTO `lang_definitions` VALUES (77121, 3035, 15, 'Λήψη αναφοράς σαν αρχείο pdf στον φάκελο λήψεων του προγράμματος περιήγησης');
INSERT INTO `lang_definitions` VALUES (77122, 3037, 15, 'Λήψη επιλεγμένων καταστάσεων');
INSERT INTO `lang_definitions` VALUES (77123, 3039, 15, 'Ιατρ. Έλεγχος');
INSERT INTO `lang_definitions` VALUES (77124, 3040, 15, 'Ιατρ. Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (77125, 3041, 15, 'Δρ.');
INSERT INTO `lang_definitions` VALUES (77126, 3044, 15, 'Σύρετε το βέλος για κάθε Διάγνωση προκειμένου να ταξινομήσετε την λίστα');
INSERT INTO `lang_definitions` VALUES (77127, 3045, 15, 'Σύρετε για να μετακινήσετε');
INSERT INTO `lang_definitions` VALUES (77128, 3047, 15, 'Ακούσια σιελόρροια');
INSERT INTO `lang_definitions` VALUES (77129, 3048, 15, 'Άδεια Οδήγησης ή Α.Δ. Ταυτότητος');
INSERT INTO `lang_definitions` VALUES (77130, 3050, 15, 'Φάρμακο');
INSERT INTO `lang_definitions` VALUES (77131, 3051, 15, 'Αλληλεπίδραση Φαρμάκων');
INSERT INTO `lang_definitions` VALUES (77132, 3052, 15, 'Κωδικός Φαρμάκου');
INSERT INTO `lang_definitions` VALUES (77133, 3053, 15, 'Ευρετήριο φαρμάκων');
INSERT INTO `lang_definitions` VALUES (77134, 3054, 15, 'Μορφές φαρμάκου');
INSERT INTO `lang_definitions` VALUES (77135, 3055, 15, 'Λείπει ο κωδικός αναγνώρισης φαρμάκου!');
INSERT INTO `lang_definitions` VALUES (77136, 3056, 15, 'Διαστήματα δόσεων');
INSERT INTO `lang_definitions` VALUES (77137, 3057, 15, 'Απογραφή φαρμάκων');
INSERT INTO `lang_definitions` VALUES (77138, 3058, 15, 'Όνομα φαρμάκου');
INSERT INTO `lang_definitions` VALUES (77139, 3059, 15, 'Όνομα φαρμάκου');
INSERT INTO `lang_definitions` VALUES (77140, 3061, 15, 'Οδοί χορήγησης');
INSERT INTO `lang_definitions` VALUES (77141, 3065, 15, 'Μονάδες φαρμάκου');
INSERT INTO `lang_definitions` VALUES (77142, 3066, 15, 'Μονάδες φαρμάκου');
INSERT INTO `lang_definitions` VALUES (77143, 3067, 15, 'Χρήση Φαρμάκου');
INSERT INTO `lang_definitions` VALUES (77144, 3068, 15, 'Φάρμακο-Φάρμακο');
INSERT INTO `lang_definitions` VALUES (77145, 3069, 15, 'Αλληλεπίδραση Φαρμάκων');
INSERT INTO `lang_definitions` VALUES (77146, 3070, 15, 'Φάρμακο1');
INSERT INTO `lang_definitions` VALUES (77147, 3071, 15, 'Φάρμακο2');
INSERT INTO `lang_definitions` VALUES (77148, 3072, 15, 'Φάρμακα');
INSERT INTO `lang_definitions` VALUES (77149, 3073, 15, 'Φάρμακα και Προϊόντα');
INSERT INTO `lang_definitions` VALUES (77150, 3074, 15, 'Ξηροστομία');
INSERT INTO `lang_definitions` VALUES (77151, 3075, 15, 'Διάγνωση DSM IV');
INSERT INTO `lang_definitions` VALUES (77152, 3076, 15, 'DT 1');
INSERT INTO `lang_definitions` VALUES (77153, 3077, 15, 'DT 2');
INSERT INTO `lang_definitions` VALUES (77154, 3078, 15, 'DT 3');
INSERT INTO `lang_definitions` VALUES (77155, 3079, 15, 'DT 4');
INSERT INTO `lang_definitions` VALUES (77156, 3080, 15, 'DT 5');
INSERT INTO `lang_definitions` VALUES (77157, 3081, 15, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (77158, 3082, 15, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (77159, 3083, 15, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (77160, 3084, 15, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (77161, 3085, 15, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (77162, 3087, 15, 'Προθεσμία ');
INSERT INTO `lang_definitions` VALUES (77163, 3088, 15, 'Προθεσμία έως ');
INSERT INTO `lang_definitions` VALUES (77164, 3089, 15, 'Προθεσμία έως');
INSERT INTO `lang_definitions` VALUES (77165, 3090, 15, 'Προθεσμία έως μμ/ηη/εεε ή εεε-μμ-ηη');
INSERT INTO `lang_definitions` VALUES (77166, 3091, 15, 'Προθεσμία έως:');
INSERT INTO `lang_definitions` VALUES (77167, 3092, 15, 'Καταβολή Ασφ');
INSERT INTO `lang_definitions` VALUES (77168, 3093, 15, 'Καταβολή Ασθ');
INSERT INTO `lang_definitions` VALUES (77169, 3094, 15, 'Λήγει Σύντομα');
INSERT INTO `lang_definitions` VALUES (77170, 3095, 15, 'Προθεσμία');
INSERT INTO `lang_definitions` VALUES (77171, 3096, 15, 'Ενημέρωση Προθεσμίας');
INSERT INTO `lang_definitions` VALUES (77172, 3103, 15, 'Έλεγχος διπλότυπων');
INSERT INTO `lang_definitions` VALUES (77173, 3104, 15, 'Έλεγχος διπλότυπων μόνο σε Επεξ.');
INSERT INTO `lang_definitions` VALUES (77174, 3105, 15, 'Έλεγχος διπλότυπων μόνο σε Προσθ.');
INSERT INTO `lang_definitions` VALUES (77175, 3107, 15, 'Διπλοκαταχωρημένη Συνταγή -- απαράλλακτη από την τρέχουσα Συνταγή');
INSERT INTO `lang_definitions` VALUES (77176, 3108, 15, 'Διπλοκαταχώρηση Κωδικού Ταυτοποίησης on line');
INSERT INTO `lang_definitions` VALUES (77177, 3109, 15, 'Διπλοκαταχωρημένο Όνομα on line');
INSERT INTO `lang_definitions` VALUES (77178, 3110, 15, 'ΠΡΟΕΙΔΟΠΟΙΗΣΗ ΔΙΠΛΗΣ ΚΑΤΑΧΩΡΗΣΗΣ');
INSERT INTO `lang_definitions` VALUES (77179, 3111, 15, 'Πληρεξούσιο δικηγόρου');
INSERT INTO `lang_definitions` VALUES (77180, 3112, 15, 'Διάρκεια');
INSERT INTO `lang_definitions` VALUES (77181, 3113, 15, 'διάρκεια');
INSERT INTO `lang_definitions` VALUES (77182, 3114, 15, 'Ολλανδικά');
INSERT INTO `lang_definitions` VALUES (77183, 3115, 15, 'Κωδικοί Δχ');
INSERT INTO `lang_definitions` VALUES (77184, 3116, 15, 'Αναφ Δχ');
INSERT INTO `lang_definitions` VALUES (77185, 3117, 15, 'Δυσφαγία');
INSERT INTO `lang_definitions` VALUES (77186, 3118, 15, 'Δύσπνοια:');
INSERT INTO `lang_definitions` VALUES (77187, 3119, 15, 'Δυσουρία');
INSERT INTO `lang_definitions` VALUES (77188, 3122, 15, 'E-Mail');
INSERT INTO `lang_definitions` VALUES (77189, 3124, 15, 'Διεύθυνση E-mail');
INSERT INTO `lang_definitions` VALUES (77190, 3125, 15, 'Αλληλογραφία e-mail');
INSERT INTO `lang_definitions` VALUES (77191, 3127, 15, 'ΗΛΕΚΤΡΟΝΙΚΗ ΣΥΝΤΑΓΟΓΡΑΦΗΣΗ');
INSERT INTO `lang_definitions` VALUES (77192, 3128, 15, 'Ηλ. Συνταγογράφηση;');
INSERT INTO `lang_definitions` VALUES (77193, 3129, 15, 'e-Αναφορές');
INSERT INTO `lang_definitions` VALUES (77194, 3130, 15, 'Ηλεκτρ. Συνταγή');
INSERT INTO `lang_definitions` VALUES (77195, 3132, 15, 'Ανανέωση Ηλεκτρ. Συνταγής');
INSERT INTO `lang_definitions` VALUES (77196, 3135, 15, 'Ο κάθε αποδέκτης πρέπει να ορίζει μόνος του τα μηνύματά του ως ολοκληρωμένα.');
INSERT INTO `lang_definitions` VALUES (77197, 3139, 15, 'Κάθε συναλλαγή βρίσκεται σε διαφορετική γραμμή');
INSERT INTO `lang_definitions` VALUES (77198, 3140, 15, 'Πρώιμη υποτροπή (<2 μήνες)');
INSERT INTO `lang_definitions` VALUES (77199, 3141, 15, 'Ώτα');
INSERT INTO `lang_definitions` VALUES (77200, 3148, 15, 'ΗΚΓ');
INSERT INTO `lang_definitions` VALUES (77201, 3149, 15, 'eΑιτήματα');
INSERT INTO `lang_definitions` VALUES (77202, 3152, 15, 'Οίδημα');
INSERT INTO `lang_definitions` VALUES (77203, 3159, 15, 'Επεξεργασία');
INSERT INTO `lang_definitions` VALUES (77204, 3160, 15, 'επεξεργασία');
INSERT INTO `lang_definitions` VALUES (77205, 3161, 15, 'Επεξεργ. Αλλεργιών');
INSERT INTO `lang_definitions` VALUES (77206, 3162, 15, 'Επεξεργ. Ραντεβού');
INSERT INTO `lang_definitions` VALUES (77207, 3163, 15, 'Επεξεργ. Κατηγοριών');
INSERT INTO `lang_definitions` VALUES (77208, 3164, 15, 'Επεξεργ. Τρέχοντος Ασθενούς');
INSERT INTO `lang_definitions` VALUES (77209, 3165, 15, 'Επεξεργ. Ορισμών');
INSERT INTO `lang_definitions` VALUES (77210, 3166, 15, 'Επεξεργ. ορισμών');
INSERT INTO `lang_definitions` VALUES (77211, 3167, 15, 'Επεξεργ. Διαγνώσεων για');
INSERT INTO `lang_definitions` VALUES (77212, 3168, 15, 'Επεξεργ. γνωστοποίησης');
INSERT INTO `lang_definitions` VALUES (77213, 3169, 15, 'Επεξεργ. Εγγράφου');
INSERT INTO `lang_definitions` VALUES (77214, 3170, 15, 'Επεξεργ. Καταχώρησης');
INSERT INTO `lang_definitions` VALUES (77215, 3171, 15, 'Επεξεργ. Γεγονότος');
INSERT INTO `lang_definitions` VALUES (77216, 3172, 15, 'ΕΠΕΞΕΡΓ. ΥΠΑΡΧΟΥΣΑΣ ΟΜΑΔΑΣ');
INSERT INTO `lang_definitions` VALUES (77217, 3173, 15, 'Επεξεργ. Εδρών');
INSERT INTO `lang_definitions` VALUES (77218, 3174, 15, 'Επεξεργ. Έδρας');
INSERT INTO `lang_definitions` VALUES (77219, 3175, 15, 'Επεξεργ. Πληροφοριών Έδρας');
INSERT INTO `lang_definitions` VALUES (77220, 3176, 15, 'Επεξεργασία πληροφοριών χρήστη ειδικών για Έδρα');
INSERT INTO `lang_definitions` VALUES (77221, 3177, 15, 'Επεξεργ. αρχείου σε');
INSERT INTO `lang_definitions` VALUES (77222, 3178, 15, 'Επεξεργ. εντύπου');
INSERT INTO `lang_definitions` VALUES (77223, 3179, 15, 'Επεξεργ. Γενικών Ρυθμίσεων');
INSERT INTO `lang_definitions` VALUES (77224, 3180, 15, 'Επεξεργ. Ιστορικού');
INSERT INTO `lang_definitions` VALUES (77225, 3181, 15, 'Μη εξουσιοδοτημένη επεξεργασία!');
INSERT INTO `lang_definitions` VALUES (77226, 3182, 15, 'Επεξεργ. Θέματος');
INSERT INTO `lang_definitions` VALUES (77227, 3183, 15, 'Επεξεργ. Διάταξης');
INSERT INTO `lang_definitions` VALUES (77228, 3184, 15, 'Επεγεργ. Ιδιοτήτων Διάταξης');
INSERT INTO `lang_definitions` VALUES (77229, 3185, 15, 'Επεξεργ. λίστας');
INSERT INTO `lang_definitions` VALUES (77230, 3186, 15, 'Επεξεργασία');
INSERT INTO `lang_definitions` VALUES (77231, 3187, 15, 'Επεξεργ. Δραστηριότητας Online Portal');
INSERT INTO `lang_definitions` VALUES (77232, 3188, 15, 'Επεξεργ. Πληρωμής');
INSERT INTO `lang_definitions` VALUES (77233, 3189, 15, 'Επεξεργ. Δομής');
INSERT INTO `lang_definitions` VALUES (77234, 3190, 15, 'Επεξεργ. Προτύπου');
INSERT INTO `lang_definitions` VALUES (77235, 3191, 15, 'Επεξεργ. αυτής της φόρμας');
INSERT INTO `lang_definitions` VALUES (77236, 3192, 15, 'Επεξεργ. Χρήστη');
INSERT INTO `lang_definitions` VALUES (77237, 3193, 15, 'Επεξεργ. Ρυθμ. Χρήστη');
INSERT INTO `lang_definitions` VALUES (77238, 3194, 15, 'Επεξεργ. των εισηγμένων δεδομένων σας');
INSERT INTO `lang_definitions` VALUES (77239, 3195, 15, 'Αποτυχία τροποποίησης');
INSERT INTO `lang_definitions` VALUES (77240, 3196, 15, 'Εκπαίδευση');
INSERT INTO `lang_definitions` VALUES (77241, 3197, 15, 'Ημ. εκπαίδευσης');
INSERT INTO `lang_definitions` VALUES (77242, 3198, 15, 'Εκπαιδευτικό υλικό για');
INSERT INTO `lang_definitions` VALUES (77243, 3199, 15, 'Αυτό το πρόγραμμα είναι ελεύθερο λογισμικό: Μπορείτε να το αναδιανείμετε και/ή να το τροποποιήσετε σύμφωνα με τους όρους της Γενικής Δημόσιας Άδειας Χρήσης GNU (GNU General Public License), όπως αυτοί δημοσιεύονται από το Ίδρυμα Ελεύθερου Λογισμικού (Free Software Foundation), είτε της έκδοσης 3 της Άδειας ή (κατά την επιλογή σας) οποιαδήποτε μεταγενέστερης έκδοσης. Αυτό το πρόγραμμα διανέμεται με την ελπίδα ότι θα είναι χρήσιμο, αλλά ΧΩΡΙΣ ΟΠΟΙΑΔΗΠΟΤΕ ΕΓΓΥΗΣΗ, ακόμα και χωρίς την υπονοούμενη εγγύηση της ΕΜΠΟΡΕΥΣΙΜΟΤΗΤΑΣ ή ΚΑΤΑΛΛΗΛΟΤΗΤΑΣ ΓΙΑ ΣΥΓΚΕΚΡΙΜΕΝΟ ΣΚΟΠΟ. Δείτε την Γενική Δημόσια Άδεια Χρήσης GNU για περισσότερες λεπτομέρειες. Πρέπει να έχετε λάβει ένα αντίγραφο της Γενικής Δημόσιας Άδειας Χρήσης GNU μαζί με αυτό το πρόγραμμα. Αν δεν έχετε λάβει ένα αντίγραφο, τότε δείτε στο <http://www.gnu.org/licenses/>.');
INSERT INTO `lang_definitions` VALUES (77244, 3200, 15, 'Έναρξη Ισχύος:');
INSERT INTO `lang_definitions` VALUES (77245, 3201, 15, 'Έναρξη Ισχύος:');
INSERT INTO `lang_definitions` VALUES (77246, 3202, 15, 'Αποτελεσματικότητα');
INSERT INTO `lang_definitions` VALUES (77247, 3203, 15, 'π.χ διαξιφιστικό, καυστικό άλγος');
INSERT INTO `lang_definitions` VALUES (77248, 3204, 15, 'Κωδικός Εργαζόμενου/Εργοδότη');
INSERT INTO `lang_definitions` VALUES (77249, 3207, 15, 'Εκσπερματώσεις');
INSERT INTO `lang_definitions` VALUES (77250, 3208, 15, 'Αγκώνας');
INSERT INTO `lang_definitions` VALUES (77251, 3209, 15, 'Προβλήμ. αγκώνος');
INSERT INTO `lang_definitions` VALUES (77252, 3210, 15, 'Ηλεκτρονικά');
INSERT INTO `lang_definitions` VALUES (77253, 3211, 15, 'Έγινε παραλαβή ηλεκτρονικού εγγράφου');
INSERT INTO `lang_definitions` VALUES (77254, 3212, 15, 'Ηλεκτρονικές σημειώσεις');
INSERT INTO `lang_definitions` VALUES (77255, 3213, 15, 'Ηλεκτρονικές παραγγελίες');
INSERT INTO `lang_definitions` VALUES (77256, 3214, 15, 'Ηλεκτρον. Εμβάσματα');
INSERT INTO `lang_definitions` VALUES (77257, 3215, 15, 'Ηλεκτρον. Αναφορές');
INSERT INTO `lang_definitions` VALUES (77258, 3217, 15, 'ηλεκτρονικά υπογεγραμμένο στις');
INSERT INTO `lang_definitions` VALUES (77259, 3223, 15, 'Δικαιούται ');
INSERT INTO `lang_definitions` VALUES (77260, 3224, 15, 'Έλλειψη');
INSERT INTO `lang_definitions` VALUES (77261, 3225, 15, 'E-mail');
INSERT INTO `lang_definitions` VALUES (77262, 3226, 15, 'email');
INSERT INTO `lang_definitions` VALUES (77263, 3228, 15, 'Διεύθυνση E-mail');
INSERT INTO `lang_definitions` VALUES (77264, 3229, 15, 'Λείπει η δ/νση Email');
INSERT INTO `lang_definitions` VALUES (77265, 3230, 15, 'Διεύθυνση e-mail του αποστολέα, για υπενθυμίσεις προς τους ασθενείς. Απαντήσεις στις υπενθυμίσεις προς τους ασθενείς θα απευθύνονται σε αυτήν τη διεύθυνση. Είναι σημαντικό να χρησιμοποιείται μια διεύθυνση από το domain της κλινικής σας, για να μην καταλήγουν οι υπενθυμίσεις προς τους ασθενείς στο φάκελο ανεπιθύμητων μηνυμάτων.');
INSERT INTO `lang_definitions` VALUES (77266, 3231, 15, 'Διεύθυνση e-mail (αν υπάρχει) για λήψη διοικητικών ειδοποιήσεων.');
INSERT INTO `lang_definitions` VALUES (77267, 3232, 15, 'Διεύθυνση e-mail (αν υπάρχει) για λήψη μυνημάτων επείγουσας ενεργοποίησης σύνδεσης χρήστη');
INSERT INTO `lang_definitions` VALUES (77268, 3233, 15, 'Εξουσιοδ. E-mail');
INSERT INTO `lang_definitions` VALUES (77269, 3234, 15, 'EMAIL Επιβεβαίωση');
INSERT INTO `lang_definitions` VALUES (77270, 3236, 15, 'E-mail από Μαζική Επικοινωνία');
INSERT INTO `lang_definitions` VALUES (77271, 3238, 15, 'Ειδοποίηση e-mail');
INSERT INTO `lang_definitions` VALUES (77272, 3239, 15, 'Ωρες ειδοποίησης με e-mail');
INSERT INTO `lang_definitions` VALUES (77273, 3240, 15, 'Αναφορά ειδοποιήσεων με e-mail');
INSERT INTO `lang_definitions` VALUES (77274, 3241, 15, 'Επιτυχής ενημέρωση ρυθμίσεων ειδοποιήσεων e-mail');
INSERT INTO `lang_definitions` VALUES (77275, 3244, 15, 'Το e-mail να σταλεί πριν από');
INSERT INTO `lang_definitions` VALUES (77276, 3245, 15, 'Αποστολέας e-mail');
INSERT INTO `lang_definitions` VALUES (77277, 3246, 15, 'Email εστάλη');
INSERT INTO `lang_definitions` VALUES (77278, 3247, 15, 'Το e-mail εστάλη στον/στην');
INSERT INTO `lang_definitions` VALUES (77279, 3248, 15, 'Θέμα e-mail');
INSERT INTO `lang_definitions` VALUES (77280, 3249, 15, 'Θέμα e-mail');
INSERT INTO `lang_definitions` VALUES (77281, 3251, 15, 'Κείμενο e-mail, χρησιμοποιήσιμη Ετικέτα: ***ΟΝΟΜΑ*** , π.χ. Αγαπητέ/ή ***ΟΝΟΜΑ***');
INSERT INTO `lang_definitions` VALUES (77282, 3252, 15, 'Κείμενο e-mail, χρησιμοποιήσιμη Ετικέτα: ***ΟΝΟΜΑ*** , π.χ. Αγαπητέ/ή ***ΟΝΟΜΑ***{{Μη μεταφράζετε τα στοιχεία στο ***ΟΝΟΜΑ*** αυτής της σταθεράς.}}');
INSERT INTO `lang_definitions` VALUES (77283, 3253, 15, 'Μέθοδος μεταφοράς e-mail');
INSERT INTO `lang_definitions` VALUES (77284, 3254, 15, 'Το e-mail εστάλη στην ακόλουθη διεύθυνση');
INSERT INTO `lang_definitions` VALUES (77285, 3255, 15, 'τα e-mails δεν εστάλησαν');
INSERT INTO `lang_definitions` VALUES (77286, 3258, 15, 'Επαφή έκτακτης ανάγκης');
INSERT INTO `lang_definitions` VALUES (77287, 3259, 15, 'Επαφή Έκτακτης Ανάγκης');
INSERT INTO `lang_definitions` VALUES (77288, 3260, 15, 'Άτομο επικοινωνίας έκτακτης ανάγκης');
INSERT INTO `lang_definitions` VALUES (77289, 3261, 15, 'Τηλέφωνο επικοινωνίας έκτακτης ανάγκης');
INSERT INTO `lang_definitions` VALUES (77290, 3262, 15, 'Επείγουσα αντισύλληψη');
INSERT INTO `lang_definitions` VALUES (77291, 3263, 15, 'Επείγουσα σύνδεση');
INSERT INTO `lang_definitions` VALUES (77292, 3264, 15, 'Επιλέχθηκε η Επείγουσα σύνδεση ACL. Ο χρήστης είναι ακόμα σε ενεργό κατάσταση. Παρακαλώ απενεργοποιήστε το χρήστη και ενεργοποιήστε τον πάλι, εφόσον απαιτείται, σε επείγουσες καταστάσεις. Επισκεφθείτε το Διαχείριση->Χρήστες για ενεργοποίηση, ή απενεργοποίηση.');
INSERT INTO `lang_definitions` VALUES (77293, 3265, 15, 'Το e-mail ενεργοποίησης Επείγουσας Σύνδεσης θα διανεμηθεί μόνο εάν έχουν γίνει οι παρακάτω ρυθμίσεις στο αρχείο interface/globals.php:');
INSERT INTO `lang_definitions` VALUES (77294, 3266, 15, 'Διεύθυνση e-mail επείγουσας σύνδεσης');
INSERT INTO `lang_definitions` VALUES (77295, 3267, 15, 'Ο χρήστης Επείγουσας Σύνδεσης μπορεί να κάνει ο,τιδήποτε');
INSERT INTO `lang_definitions` VALUES (77296, 3268, 15, 'Τηλ.Έκτακτης Ανάγκης');
INSERT INTO `lang_definitions` VALUES (77297, 3269, 15, 'ΤΕΠ - Νοσοκομείο');
INSERT INTO `lang_definitions` VALUES (77298, 3270, 15, 'Συγκινησιακές/ Συμπεριφορικές Καταστάσεις & Επιπλοκές');
INSERT INTO `lang_definitions` VALUES (77299, 3271, 15, 'Εμφύσημα');
INSERT INTO `lang_definitions` VALUES (77300, 3272, 15, 'Εργαζόμενος');
INSERT INTO `lang_definitions` VALUES (77301, 3273, 15, 'Εργασία');
INSERT INTO `lang_definitions` VALUES (77302, 3274, 15, 'Διεύθυνση εργοδότη');
INSERT INTO `lang_definitions` VALUES (77303, 3275, 15, 'Δεδομένα εργοδότη');
INSERT INTO `lang_definitions` VALUES (77304, 3276, 15, 'Όνομα εργοδότη');
INSERT INTO `lang_definitions` VALUES (77305, 3277, 15, 'ΚΕΝΟ');
INSERT INTO `lang_definitions` VALUES (77306, 3278, 15, 'Κενό');
INSERT INTO `lang_definitions` VALUES (77307, 3279, 15, 'Δεν επιτρέπεται κενός κωδικός');
INSERT INTO `lang_definitions` VALUES (77308, 3281, 15, 'Κενή τιμή στο \"Ώρες Email\"');
INSERT INTO `lang_definitions` VALUES (77309, 3282, 15, 'Κενή τιμή στο \"Αποστολέα Email\"');
INSERT INTO `lang_definitions` VALUES (77310, 3283, 15, 'Κενή τιμή στο \"Θέμα Email\"');
INSERT INTO `lang_definitions` VALUES (77311, 3284, 15, 'Κενή τιμή στο \"Κείμενο Email\"');
INSERT INTO `lang_definitions` VALUES (77312, 3285, 15, 'Κενή τιμή στο \"Όνομα του Παρόχου\"');
INSERT INTO `lang_definitions` VALUES (77313, 3286, 15, 'Κενή τιμή στον \"Κωδικό πρόσβασης\"');
INSERT INTO `lang_definitions` VALUES (77314, 3287, 15, 'Κενή τιμή στο \"Ώρες SMS\"');
INSERT INTO `lang_definitions` VALUES (77315, 3288, 15, 'Κενή τιμή στο \"Κείμενο SMS\"');
INSERT INTO `lang_definitions` VALUES (77316, 3289, 15, 'Κενή τιμή στο \"Όνομα Χρήστη\"');
INSERT INTO `lang_definitions` VALUES (77317, 3292, 15, 'Ενεργοποίηση');
INSERT INTO `lang_definitions` VALUES (77318, 3294, 15, 'Ενεργοποίηση καταγραφής ειδοποιήσεων');
INSERT INTO `lang_definitions` VALUES (77319, 3295, 15, 'Ενεργοποίηση καταγραφής ειδοποιήσεων');
INSERT INTO `lang_definitions` VALUES (77320, 3296, 15, 'Ενεργοποίηση Ελέγχου Αλλεργίας');
INSERT INTO `lang_definitions` VALUES (77321, 3297, 15, 'Ενεργοποίηση Ελέγχου Αλλεργίας έναντι Φαρμάκων και Συνταγών');
INSERT INTO `lang_definitions` VALUES (77322, 3302, 15, 'Ενεργοποίηση δυνατότητας τροποποιήσεων');
INSERT INTO `lang_definitions` VALUES (77323, 3308, 15, 'Ενεργοποίηση Μαζικής Πληρωμής');
INSERT INTO `lang_definitions` VALUES (77324, 3312, 15, 'Ενεργοποίηση SSL Πελάτη');
INSERT INTO `lang_definitions` VALUES (77325, 3313, 15, 'Ενεργοποίηση Επαλήθευσης του πιστοποιητικού SSL Πελάτη');
INSERT INTO `lang_definitions` VALUES (77326, 3315, 15, 'Ενεργοποίηση Κανόνων Κλινικών Αποφάσεων');
INSERT INTO `lang_definitions` VALUES (77327, 3318, 15, 'Ενεργοποίηση Αναφοράς Κλινικών Ποιοτικών Μετρήσεων (CQM)');
INSERT INTO `lang_definitions` VALUES (77328, 3319, 15, 'Ενεργοποίηση Popup Κλινικής Υπενθύμισης');
INSERT INTO `lang_definitions` VALUES (77329, 3320, 15, 'Ενεργοποίηση Widget Κλινικής Υπενθύμισης');
INSERT INTO `lang_definitions` VALUES (77330, 3321, 15, 'Ενεργοποίηση CMS Portal');
INSERT INTO `lang_definitions` VALUES (77331, 3324, 15, 'Ενεργοποίηση Αναφοράς Κλινικών Ποιοτικών Μετρήσεων (CQM)');
INSERT INTO `lang_definitions` VALUES (77332, 3332, 15, 'Ενεργοποίηση Επέκτασης');
INSERT INTO `lang_definitions` VALUES (77333, 3333, 15, 'Ενεργοποίηση Έδρας');
INSERT INTO `lang_definitions` VALUES (77334, 3334, 15, 'Ενεργοποίηση χρέωσης αμοιβής στο αριστερό μενού');
INSERT INTO `lang_definitions` VALUES (77335, 3341, 15, 'Ενεργοποίηση Υποστήριξης Hylafax');
INSERT INTO `lang_definitions` VALUES (77336, 3347, 15, 'Ενεργοποίηση Ανταλλαγής Εργαστηριακών');
INSERT INTO `lang_definitions` VALUES (77337, 3349, 15, 'Ενεργοποίηση αρχείου καταγραφής για μεταφορτώσεις (uploads-downloads) στην CouchDB');
INSERT INTO `lang_definitions` VALUES (77338, 3350, 15, 'Ενεργοποίηση καταγραφής όλων των SQL SELECT ερωτημάτων.');
INSERT INTO `lang_definitions` VALUES (77339, 3351, 15, 'Ενεργοποίηση καταγραφής των δραστηριοτήτων που σχετίζονται με λήψη αντγράφων ασφαλείας');
INSERT INTO `lang_definitions` VALUES (77340, 3353, 15, 'Ενεργοποίηση καταγραφής διαφόρων δραστηριοτήτων.');
INSERT INTO `lang_definitions` VALUES (77341, 3354, 15, 'Ενεργοποίηση καταγραφής του backup δραστηριοτήτων παραγγελιών.');
INSERT INTO `lang_definitions` VALUES (77342, 3355, 15, 'Ενεργοποίηση καταγραφής των τροποποίσεων εγγραφών ασθενών.');
INSERT INTO `lang_definitions` VALUES (77343, 3356, 15, 'Ενεργοποίηση καταγραφής των δραστηριοτήτων προγραμματισμού.');
INSERT INTO `lang_definitions` VALUES (77344, 3357, 15, 'Ενεργοποίηση καταγραφής δραστηριοτήτων ασφαλείας και διεύθυνσης.');
INSERT INTO `lang_definitions` VALUES (77345, 3365, 15, 'Ενεργοποίηση Οffsite Portal Ασθενούς');
INSERT INTO `lang_definitions` VALUES (77346, 3366, 15, 'Ενεργοποίηση Οffsite Portal Ασθενούς.');
INSERT INTO `lang_definitions` VALUES (77347, 3368, 15, 'Ενεργοποίηση Οnsite Portal Ασθενούς');
INSERT INTO `lang_definitions` VALUES (77348, 3369, 15, 'Ενεργοποίηση κατεβάσματος εγγράφων από τo Onsite Portal Ασθενούς');
INSERT INTO `lang_definitions` VALUES (77349, 3371, 15, 'Ενεργοποίηση Οnsite Portal Ασθενούς.');
INSERT INTO `lang_definitions` VALUES (77350, 3385, 15, 'Ενεργοποίηση Widget Υπενθύμισης Ασθενούς');
INSERT INTO `lang_definitions` VALUES (77351, 3387, 15, 'Ενεργοποίηση Υπηρεσίας Άμεσων Μηνυμάτων phiMail');
INSERT INTO `lang_definitions` VALUES (77352, 3389, 15, 'Ενεργοποίηση Προτροπής Δεδομένων Αυτόματων Υπολογισμών Μετρήσεων');
INSERT INTO `lang_definitions` VALUES (77353, 3390, 15, 'Ενεργοποίηση Τυχαιοποιημένου Ελέγχου Φαρμάκων');
INSERT INTO `lang_definitions` VALUES (77354, 3392, 15, 'Ενεργοποίηση Υποστήριξης Σαρωτή Εγγράφων');
INSERT INTO `lang_definitions` VALUES (77355, 3397, 15, 'Ενεργοποίηση της υπηρεσίας υποστήριξης του OpenEMR LLC Ανταλλαγής Εργαστηρ. αποτελεσμάτων');
INSERT INTO `lang_definitions` VALUES (77356, 3398, 15, 'Ενεργοποίηση Επαλήθευσης του Πιστοπ. Χρήστη');
INSERT INTO `lang_definitions` VALUES (77357, 3403, 15, 'Ενεργοποίηση της υπηρεσίας ZMG, LLC eRx');
INSERT INTO `lang_definitions` VALUES (77358, 3404, 15, 'ενεργοποιήθηκε');
INSERT INTO `lang_definitions` VALUES (77359, 3407, 15, 'Ενεργές Υπηρεσίες');
INSERT INTO `lang_definitions` VALUES (77360, 3410, 15, 'Ενεργοποίηση δυνατότητας του ασθενούς να κατεβάζει έγγραφα στο Onsite Portal Ασθενούς.');
INSERT INTO `lang_definitions` VALUES (77361, 3412, 15, 'Ενεργοποιεί το παλιό πάνελ Χρεώσεων, για εισαγωγή κωδικών χρέωσης και πληρωμών. Δεν συνιστάται, χρησιμοποιήστε αντ\' αυτού το Έντυπο Αμοιβής.');
INSERT INTO `lang_definitions` VALUES (77362, 3415, 15, 'Επίσκ.');
INSERT INTO `lang_definitions` VALUES (77363, 3417, 15, 'Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (77364, 3418, 15, 'Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (77365, 3419, 15, 'επίσκεψη');
INSERT INTO `lang_definitions` VALUES (77366, 3420, 15, 'Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (77367, 3421, 15, 'Επίσκεψη σε θερμό περιστατικό νοσηλευόμενου ασθενούς');
INSERT INTO `lang_definitions` VALUES (77368, 3422, 15, 'Υπόλοιπο Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (77369, 3423, 15, 'Σημείωση σχετικά με Χρέωση Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (77370, 3425, 15, 'Αριθμός Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (77371, 3426, 15, 'δεδομένα επίσκεψης');
INSERT INTO `lang_definitions` VALUES (77372, 3427, 15, 'Ημ. Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (77373, 3428, 15, 'Διάγνωση Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (77374, 3429, 15, 'Ημ. Επίσκεψης/Αιτ.');
INSERT INTO `lang_definitions` VALUES (77375, 3431, 15, 'Επίσκεψη E-signed');
INSERT INTO `lang_definitions` VALUES (77376, 3432, 15, 'Έντυπα επίσκεψης');
INSERT INTO `lang_definitions` VALUES (77377, 3433, 15, 'Επίσκεψη - εκτίμηση υγείας και συμπεριφοράς');
INSERT INTO `lang_definitions` VALUES (77378, 3434, 15, 'Ιστορικό επίσκεψης');
INSERT INTO `lang_definitions` VALUES (77379, 3435, 15, 'Κωδικός Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (77380, 3436, 15, 'Επίσκεψη Γρίππη');
INSERT INTO `lang_definitions` VALUES (77381, 3437, 15, 'Πληροφορίες Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (77382, 3438, 15, 'Πληροφορίες Επίσκεψης (επισκέψεις)');
INSERT INTO `lang_definitions` VALUES (77383, 3439, 15, 'Αριθμός επίσκεψης');
INSERT INTO `lang_definitions` VALUES (77384, 3440, 15, 'Αριθμός Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (77385, 3441, 15, 'επίσκεψη για ετοιμασία εξιτηρίου από τη νοσηλευτική πλευρά');
INSERT INTO `lang_definitions` VALUES (77386, 3442, 15, 'επίσκεψη νοσηλευτικής έδρας');
INSERT INTO `lang_definitions` VALUES (77387, 3443, 15, 'επίσκεψη εργοθεραπείας');
INSERT INTO `lang_definitions` VALUES (77388, 3444, 15, 'επίσκεψη ιατρείου');
INSERT INTO `lang_definitions` VALUES (77389, 3445, 15, 'επίσκεψη εξωτερ. ιατρείου');
INSERT INTO `lang_definitions` VALUES (77390, 3447, 15, 'Μέγεθος Σελίδας Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (77391, 3448, 15, 'Πληρωμή Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (77392, 3449, 15, 'επίσκεψη εγκυμοσύνης');
INSERT INTO `lang_definitions` VALUES (77393, 3450, 15, 'επίσκεψη προληπτικής ιατρικής - ατομικής συμβουλευτικής');
INSERT INTO `lang_definitions` VALUES (77394, 3451, 15, 'επίσκεψη προληπτικής ιατρικής 40 και άνω');
INSERT INTO `lang_definitions` VALUES (77395, 3452, 15, 'επίσκεψη προληπτικής ιατρικής και ομαδικής συμβουλευτικής');
INSERT INTO `lang_definitions` VALUES (77396, 3453, 15, 'επίσκεψη προληπτικής ιατρικής λοιπές υπηρεσίες');
INSERT INTO `lang_definitions` VALUES (77397, 3454, 15, 'επίσκεψη προληπτικής ιατρικής 18 και άνω');
INSERT INTO `lang_definitions` VALUES (77398, 3455, 15, 'Επισκόπηση Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (77399, 3457, 15, 'επίσκεψη ψυχολογική και ψυχιατρική');
INSERT INTO `lang_definitions` VALUES (77400, 3458, 15, 'Στατιστικά Επισκέψεων');
INSERT INTO `lang_definitions` VALUES (77401, 3459, 15, 'Σύνοψη Επισκέψεων');
INSERT INTO `lang_definitions` VALUES (77402, 3460, 15, 'Τύπος Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (77403, 3461, 15, 'Η επίσκεψη κωδικοποιήθηκε');
INSERT INTO `lang_definitions` VALUES (77404, 3462, 15, 'Επίσκεψη:');
INSERT INTO `lang_definitions` VALUES (77405, 3463, 15, 'Επίσκεψη: μη-οξεία νοσηλεία, εξωτερ. ιατρείων, ή οφθαλμιατρική');
INSERT INTO `lang_definitions` VALUES (77406, 3464, 15, 'Επισκέψεις');
INSERT INTO `lang_definitions` VALUES (77407, 3465, 15, 'Επισκέψεις και Έντυπα');
INSERT INTO `lang_definitions` VALUES (77408, 3466, 15, 'Επισκέψεις και Έντυπα');
INSERT INTO `lang_definitions` VALUES (77409, 3467, 15, 'Μη εγκεκριμμένες επισκέψεις');
INSERT INTO `lang_definitions` VALUES (77410, 3468, 15, 'Αναφορά επισκέψεων');
INSERT INTO `lang_definitions` VALUES (77411, 3469, 15, 'Τμήμα επισκέψεων');
INSERT INTO `lang_definitions` VALUES (77412, 3470, 15, 'Κρυπτογραφημένο Αρχείο');
INSERT INTO `lang_definitions` VALUES (77413, 3471, 15, 'Κρυπτογράφηση');
INSERT INTO `lang_definitions` VALUES (77414, 3472, 15, 'Τέλος');
INSERT INTO `lang_definitions` VALUES (77415, 3473, 15, 'Τέλος (εεεε-μμ-ηη)');
INSERT INTO `lang_definitions` VALUES (77416, 3474, 15, 'Έως Ημ/νία');
INSERT INTO `lang_definitions` VALUES (77417, 3475, 15, 'Έως Ημ/νία');
INSERT INTO `lang_definitions` VALUES (77418, 3477, 15, 'Έως Ημ/νία αφήστε κενό αν συνεχίζεται');
INSERT INTO `lang_definitions` VALUES (77419, 3480, 15, 'Η ημερ. λήξης πρέπει να έπεται της ημερ. έναρξης');
INSERT INTO `lang_definitions` VALUES (77420, 3482, 15, 'Έως Ημ/νία:');
INSERT INTO `lang_definitions` VALUES (77421, 3483, 15, 'Τέλος Ημέρας ανά Πάροχο ή να επιτρέπονται Μόνο Σύνολα');
INSERT INTO `lang_definitions` VALUES (77422, 3484, 15, 'Ημερήσια Αναφορά');
INSERT INTO `lang_definitions` VALUES (77423, 3485, 15, 'Τέλος Αναφοράς');
INSERT INTO `lang_definitions` VALUES (77424, 3487, 15, 'Ώρα λήξης');
INSERT INTO `lang_definitions` VALUES (77425, 3489, 15, 'Νεφρική Ανεπάρκεια Τελικού Σταδίου, Δικαιούχος MCP σε Ομαδικό Πλάνο Εργοδότη');
INSERT INTO `lang_definitions` VALUES (77426, 3491, 15, 'Ημ. τερματισμού ');
INSERT INTO `lang_definitions` VALUES (77427, 3492, 15, 'Ημ. τερματισμού της υπηρεσίας εεεε-μμ-ηη');
INSERT INTO `lang_definitions` VALUES (77428, 3493, 15, 'Τελική Ημ.Υπηρεσίας μμ/ηη/εεε εάν επιθυμείτε να εισάγετε ένα εύρος.');
INSERT INTO `lang_definitions` VALUES (77429, 3494, 15, 'Ώρα λήξης για γεγονότα ημερολογίου.');
INSERT INTO `lang_definitions` VALUES (77430, 3495, 15, 'Ενδοκοιλιακό αίμα');
INSERT INTO `lang_definitions` VALUES (77431, 3496, 15, 'Ενδοκρινικό');
INSERT INTO `lang_definitions` VALUES (77432, 3497, 15, 'Ενδοσκόπηση');
INSERT INTO `lang_definitions` VALUES (77433, 3498, 15, 'ΕΝΔΟ');
INSERT INTO `lang_definitions` VALUES (77434, 3500, 15, 'Μηχανικός');
INSERT INTO `lang_definitions` VALUES (77435, 3501, 15, 'Κατασκευαστική Εταιρεία');
INSERT INTO `lang_definitions` VALUES (77436, 3502, 15, 'Αγγλικά');
INSERT INTO `lang_definitions` VALUES (77437, 3503, 15, 'Αγγλικά');
INSERT INTO `lang_definitions` VALUES (77438, 3504, 15, 'Αγγλικά (Ινδικά)');
INSERT INTO `lang_definitions` VALUES (77439, 3505, 15, 'Αγγλικά (Standard)');
INSERT INTO `lang_definitions` VALUES (77440, 3507, 15, 'Βεβαιωθείτε ότι το OpenEMR έχει δικαιώματα εγγραφής σε αυτόν τον κατάλογο');
INSERT INTO `lang_definitions` VALUES (77441, 3509, 15, 'Έκκριμα ΩΡΛ');
INSERT INTO `lang_definitions` VALUES (77442, 3510, 15, 'Πόνος ΩΡΛ');
INSERT INTO `lang_definitions` VALUES (77443, 3512, 15, 'Εισάγετε Ημ. Έναρξης');
INSERT INTO `lang_definitions` VALUES (77444, 3513, 15, 'Εισάγετε έναν κωδικό διάγνωσης για εξαίρεση όλων των παραστατικών που δεν τον περιέχουν');
INSERT INTO `lang_definitions` VALUES (77445, 3515, 15, 'Εισάγετε μια τροποποίηση...');
INSERT INTO `lang_definitions` VALUES (77446, 3517, 15, 'Εισάγετε Όνομα Εφαρμογής');
INSERT INTO `lang_definitions` VALUES (77447, 3518, 15, 'Εισάγετε το κείμενο της επιστολής εδώ');
INSERT INTO `lang_definitions` VALUES (77448, 3519, 15, 'Εισάγετε Πόλη');
INSERT INTO `lang_definitions` VALUES (77449, 3520, 15, 'Εισάγετε τον κωδικό διαχειριστή (root) της βάσης δεδομένων');
INSERT INTO `lang_definitions` VALUES (77450, 3521, 15, 'Εισάγετε το όνομα χρήστη του διαχειριστή (root) της βάσης δεδομένων');
INSERT INTO `lang_definitions` VALUES (77451, 3522, 15, 'Εισάγετε Λεπτομέρειες');
INSERT INTO `lang_definitions` VALUES (77452, 3529, 15, 'Εισάγετε Διάγνωση');
INSERT INTO `lang_definitions` VALUES (77453, 3530, 15, 'Εισάγετε Φάρμακα');
INSERT INTO `lang_definitions` VALUES (77454, 3531, 15, 'Εισάγετε e-mail');
INSERT INTO `lang_definitions` VALUES (77455, 3533, 15, 'Εισαγωγή Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (77456, 3534, 15, 'Εισαγωγή Αριθμού επίσκεψης');
INSERT INTO `lang_definitions` VALUES (77457, 3535, 15, 'Εισάγετε Όνομα Έδρας');
INSERT INTO `lang_definitions` VALUES (77458, 3536, 15, 'Εισάγετε Κωδ.');
INSERT INTO `lang_definitions` VALUES (77459, 3537, 15, 'Εισαγωγή Εμβολίιων');
INSERT INTO `lang_definitions` VALUES (77460, 3538, 15, 'Πλήκτρο Enter');
INSERT INTO `lang_definitions` VALUES (77461, 3540, 15, 'Εισάγετε όνομα');
INSERT INTO `lang_definitions` VALUES (77462, 3542, 15, 'Εισάγετε νέα δεδομένα');
INSERT INTO `lang_definitions` VALUES (77463, 3543, 15, 'Εισάγετε εδώ μια νέα σημείωση ιατρείου');
INSERT INTO `lang_definitions` VALUES (77464, 3544, 15, 'Εισαγωγή νέου Νομού');
INSERT INTO `lang_definitions` VALUES (77465, 3547, 15, 'Εισάγετε Κωδικό');
INSERT INTO `lang_definitions` VALUES (77466, 3548, 15, 'Εισάγετε Λεπτομέρειες Παρόχου');
INSERT INTO `lang_definitions` VALUES (77467, 3549, 15, 'Εισαγωγή άμεσης διεύθυνσης παραλήπτη');
INSERT INTO `lang_definitions` VALUES (77468, 3551, 15, 'Εισάγετε «Ο Ίδιος» αν Κανείς');
INSERT INTO `lang_definitions` VALUES (77469, 3567, 15, 'Εισάγετε τον κωδικό LOINC για αυτή τη διαδικασία');
INSERT INTO `lang_definitions` VALUES (77470, 3569, 15, 'Εισάγετε τον Κωδικό Αναγνώρισης');
INSERT INTO `lang_definitions` VALUES (77471, 3572, 15, 'Εισάγετε τη βαρύτητα της Αλλεργίας');
INSERT INTO `lang_definitions` VALUES (77472, 3581, 15, 'Εισάγετε τα κριτήρια αναζήτησής σας παραπάνω');
INSERT INTO `lang_definitions` VALUES (77473, 3583, 15, 'Εισήχθη Από');
INSERT INTO `lang_definitions` VALUES (77474, 3584, 15, 'Εισήχθη κατά λάθος');
INSERT INTO `lang_definitions` VALUES (77475, 3586, 15, 'καταχωρήσεις');
INSERT INTO `lang_definitions` VALUES (77476, 3591, 15, 'Περιβαλλοντικό');
INSERT INTO `lang_definitions` VALUES (77477, 3592, 15, 'Εισαγ. δεδομένων για Εμβάσματα Πληρωμών (ΕΟΒ)');
INSERT INTO `lang_definitions` VALUES (77478, 3596, 15, 'Αποστολή δεδομένων για Εμβάσμ. Πληρωμής (ΕΟΒ) – Ηλεκτρον. Αποστολή');
INSERT INTO `lang_definitions` VALUES (77479, 3597, 15, 'Αποστολή δεδομένων για Εμβάσμ. Πληρωμής (ΕΟΒ) – Οδηγίες');
INSERT INTO `lang_definitions` VALUES (77480, 3598, 15, 'Αποστολή δεδομένων για Εμβάσμ. Πληρωμής (ΕΟΒ) – Παραστατικό');
INSERT INTO `lang_definitions` VALUES (77481, 3599, 15, 'Αποστολή δεδομένων για Εμβάσμ. Πληρωμής (ΕΟΒ) – Σημείωση ασθενούς');
INSERT INTO `lang_definitions` VALUES (77482, 3600, 15, 'Αποστολή δεδομένων για Εμβάσμ. Πληρωμής (ΕΟΒ) – Αναζήτηση');
INSERT INTO `lang_definitions` VALUES (77483, 3602, 15, 'Επιληψία');
INSERT INTO `lang_definitions` VALUES (77484, 3607, 15, 'Ισοδύναμη ισχύς φακού επαφής στο επίπεδο του κερατοειδούς');
INSERT INTO `lang_definitions` VALUES (77485, 3608, 15, 'ERA');
INSERT INTO `lang_definitions` VALUES (77486, 3609, 15, 'Αρχεία ERA');
INSERT INTO `lang_definitions` VALUES (77487, 3612, 15, 'Διαγραφή');
INSERT INTO `lang_definitions` VALUES (77488, 3613, 15, 'Γόμα');
INSERT INTO `lang_definitions` VALUES (77489, 3614, 15, 'Στύσεις');
INSERT INTO `lang_definitions` VALUES (77490, 3615, 15, 'Σφάλμα');
INSERT INTO `lang_definitions` VALUES (77491, 3616, 15, 'ΣΦΑΛΜΑ');
INSERT INTO `lang_definitions` VALUES (77492, 3617, 15, 'Σφάλμα στην επιβεβαίωση λήψης εργαστηρ. αποτελεσμάτων');
INSERT INTO `lang_definitions` VALUES (77493, 3618, 15, 'Σφάλμα κατά την δημιουργία της διαδρομής!');
INSERT INTO `lang_definitions` VALUES (77494, 3620, 15, 'Σφάλμα στην λήψη εργαστηρ. αποτελεσμ. από το Δίκτυο Ανταλλαγής του Εργαστηρίου');
INSERT INTO `lang_definitions` VALUES (77495, 3621, 15, 'Σφάλμα στην επιλογή \"Ισότητα”');
INSERT INTO `lang_definitions` VALUES (77496, 3622, 15, 'Σφάλμα στην επιλογή \"HIPAA\"');
INSERT INTO `lang_definitions` VALUES (77497, 3623, 15, 'Σφάλμα στην επιλογή \"Διαδικασία\"');
INSERT INTO `lang_definitions` VALUES (77498, 3624, 15, 'Σφάλμα στην επιλογή \"SMS Gateway\"');
INSERT INTO `lang_definitions` VALUES (77499, 3625, 15, 'Σφάλμα στην επιλογή \"Ταξινόμηση κατά”');
INSERT INTO `lang_definitions` VALUES (77500, 3626, 15, 'Σφάλμα συμπίεσης gzip του αρχείου:');
INSERT INTO `lang_definitions` VALUES (77501, 3627, 15, 'Σφάλμα στην επιλογή ΝΑΙ ή ΟΧΙ');
INSERT INTO `lang_definitions` VALUES (77502, 3630, 15, 'Σφάλμα κατά το άνοιγμα του ανεβασμένου αρχείου ανάγνωσης');
INSERT INTO `lang_definitions` VALUES (77503, 3631, 15, 'Σφάλμα κατά την επεξεργασία αρχείου');
INSERT INTO `lang_definitions` VALUES (77504, 3632, 15, 'Σφάλμα κατά την επεξεργασία του upload');
INSERT INTO `lang_definitions` VALUES (77505, 3633, 15, 'Σφάλμα κατά τη Διαγραφή του Μηνύματος');
INSERT INTO `lang_definitions` VALUES (77506, 3634, 15, 'Σφάλμα κατά την ανάκτηση αποτελεσμάτων από το Δίκτυο Ανταλλαγής Εργαστηριακών');
INSERT INTO `lang_definitions` VALUES (77507, 3635, 15, 'Σφάλμα κατά την ανάκτηση τιμών');
INSERT INTO `lang_definitions` VALUES (77508, 3636, 15, 'Σφάλμα κατά την αποθήκευση του εγγράφου');
INSERT INTO `lang_definitions` VALUES (77509, 3637, 15, 'Σφάλμα κατά την απόδοση δικαιωμάτων αρχείου στον χρήστη OpenEMR');
INSERT INTO `lang_definitions` VALUES (77510, 3638, 15, 'Σφάλμα κατά την προσθήκη νέου πλάνου');
INSERT INTO `lang_definitions` VALUES (77511, 3639, 15, 'Σφάλμα κατά την διαγραφή του πλάνου');
INSERT INTO `lang_definitions` VALUES (77512, 3640, 15, 'Σφάλμα κατά την καταχώρηση του εντύπου!');
INSERT INTO `lang_definitions` VALUES (77513, 3641, 15, 'Σφάλμα κατά την αποθήκευση στο αρχείο');
INSERT INTO `lang_definitions` VALUES (77514, 3642, 15, 'Σφάλμα κατά την ενημέρωση του πλάνου');
INSERT INTO `lang_definitions` VALUES (77515, 3643, 15, 'Σφάλμα κατά την εγγραφή σε αρχείο');
INSERT INTO `lang_definitions` VALUES (77516, 3646, 15, 'εντοπίσθηκε σφάλμα(τα) από τα νέα αποτελέσματα');
INSERT INTO `lang_definitions` VALUES (77517, 3651, 15, 'Σφάλμα, το αρχείο δεν υπάρχει');
INSERT INTO `lang_definitions` VALUES (77518, 3652, 15, 'ΣΦΑΛΜΑ, αδύνατη η συλλογή δεδομένων από τον εξυπηρετητή');
INSERT INTO `lang_definitions` VALUES (77519, 3653, 15, 'Σφάλμα, αδύνατη η δημιουργία πιστοπ. χρήστη.');
INSERT INTO `lang_definitions` VALUES (77520, 3654, 15, 'Σφάλμα, αδύνατη η δημιουργία του πιστοπ. admin.p12.');
INSERT INTO `lang_definitions` VALUES (77521, 3655, 15, 'Σφάλμα, αδύνατη η δημιουργία του πιστοπ. Εξουσιοδ. Πιστοποιητικού.');
INSERT INTO `lang_definitions` VALUES (77522, 3656, 15, 'Σφάλμα, αδύνατη η δημιουργία πιστοποιητικού Εξυπηρετητή.');
INSERT INTO `lang_definitions` VALUES (77523, 3658, 15, 'Σφάλμα, αδύνατο το άνοιγμα αρχείου');
INSERT INTO `lang_definitions` VALUES (77524, 3659, 15, 'Σφάλμα, αδύνατη η δημιουργία πιστοπ. γνησιότητος χρήστη.');
INSERT INTO `lang_definitions` VALUES (77525, 3662, 15, 'Σφάλμα. Προσπαθήστε ξανά αργότερα');
INSERT INTO `lang_definitions` VALUES (77526, 3663, 15, 'Σφάλμα. Χρειάζεται να εγκατασταθεί το Archive/Tar.php php module.');
INSERT INTO `lang_definitions` VALUES (77527, 3664, 15, 'ΣΦΑΛΜΑ: αδύνατο το άνοιγμα του table.sql, εσφαλμένο έντυπο?');
INSERT INTO `lang_definitions` VALUES (77528, 3667, 15, 'Σφάλμα: διπλός κωδικός στη γραμμή');
INSERT INTO `lang_definitions` VALUES (77529, 3668, 15, 'Σφάλμα: διπλό όνομα στη γραμμή');
INSERT INTO `lang_definitions` VALUES (77530, 3669, 15, 'ΣΦΑΛΜΑ: Πεδίο');
INSERT INTO `lang_definitions` VALUES (77531, 3670, 15, 'ΣΦΑΛΜΑ: Απουσιάζει το ZipArchive PHP Module');
INSERT INTO `lang_definitions` VALUES (77532, 3671, 15, 'ΣΦΑΛΜΑ: Δεν υπάρχει κατάλογος εισαγωγής ICD');
INSERT INTO `lang_definitions` VALUES (77533, 3672, 15, 'Σφάλμα: οι κωδικοί δεν συμφωνούν. Παρακαλώ ελέγξτε την πληκτρολόγηση σας.');
INSERT INTO `lang_definitions` VALUES (77534, 3673, 15, 'Σφάλμα: οι κωδικοί δεν συμφωνούν. Παρακαλώ ελέγξτε την πληκτρολόγηση σας.');
INSERT INTO `lang_definitions` VALUES (77535, 3674, 15, 'Σφάλμα: το αρχείο δεν υπάρχει');
INSERT INTO `lang_definitions` VALUES (77536, 3675, 15, 'ΣΦΑΛΜΑ: Η ακόλουθη μεταβλητή περιέχει μη αποδεκτούς χαρακτήρες');
INSERT INTO `lang_definitions` VALUES (77537, 3676, 15, 'ΣΦΑΛΜΑ: Αδύνατον να αντιγραφεί το αρχείο');
INSERT INTO `lang_definitions` VALUES (77538, 3677, 15, 'Σφάλμα: Αδύνατη η δημιουργία αρχείου προς κατέβασμα');
INSERT INTO `lang_definitions` VALUES (77539, 3678, 15, 'ΣΦΑΛΜΑ: Αδύνατο να δημιουργηθεί το ZIP αρχείο.');
INSERT INTO `lang_definitions` VALUES (77540, 3679, 15, 'ΣΦΑΛΜΑ: Αδύνατον να αποσυμπιεστεί το αρχείο.');
INSERT INTO `lang_definitions` VALUES (77541, 3680, 15, 'ΣΦΑΛΜΑ: Αδύνατον να φορτωθεί το αρχείο στη βάση δεδομένων.');
INSERT INTO `lang_definitions` VALUES (77542, 3681, 15, 'ΣΦΑΛΜΑ: Αδύνατον να τεθεί ο αριθμός έκδοσης.');
INSERT INTO `lang_definitions` VALUES (77543, 3682, 15, 'Σφάλματα');
INSERT INTO `lang_definitions` VALUES (77544, 3684, 15, 'Κατάσταση του λογαριασμού eRx');
INSERT INTO `lang_definitions` VALUES (77545, 3685, 15, 'Αρχείο καταγραφής eRx');
INSERT INTO `lang_definitions` VALUES (77546, 3686, 15, 'Όνομα eRx');
INSERT INTO `lang_definitions` VALUES (77547, 3687, 15, 'Κωδικός πρόσβασης στο eRx');
INSERT INTO `lang_definitions` VALUES (77548, 3688, 15, 'Ρόλος του eRx');
INSERT INTO `lang_definitions` VALUES (77549, 3689, 15, 'Χρήστης του eRx');
INSERT INTO `lang_definitions` VALUES (77550, 3690, 15, 'Ερύθημα:');
INSERT INTO `lang_definitions` VALUES (77551, 3692, 15, 'Αρχείο καταγραφής eSign');
INSERT INTO `lang_definitions` VALUES (77552, 3693, 15, 'Εσκιμώος');
INSERT INTO `lang_definitions` VALUES (77553, 3699, 15, 'Γνωστός Ασθενής');
INSERT INTO `lang_definitions` VALUES (77554, 3701, 15, 'Εθνότητα');
INSERT INTO `lang_definitions` VALUES (77555, 3702, 15, 'Εθνότητα ή Φυλή');
INSERT INTO `lang_definitions` VALUES (77556, 3703, 15, 'Λίστα Εθνότητας- Φυλής (εγγραφή, προαιρ. προσθήκη)');
INSERT INTO `lang_definitions` VALUES (77557, 3706, 15, 'Αναγνωριστικός αριθμός ηλεκτρονικής αποστολής');
INSERT INTO `lang_definitions` VALUES (77558, 3709, 15, 'Συμβάν');
INSERT INTO `lang_definitions` VALUES (77559, 3710, 15, 'Έναρξη συμβάντος');
INSERT INTO `lang_definitions` VALUES (77560, 3711, 15, 'Κατηγορία συμβάντος');
INSERT INTO `lang_definitions` VALUES (77561, 3712, 15, 'Ημ. συμβάντος');
INSERT INTO `lang_definitions` VALUES (77562, 3714, 15, 'Περιγραφή συμβάντος');
INSERT INTO `lang_definitions` VALUES (77563, 3715, 15, 'Λεπτομέρειες συμβάντος');
INSERT INTO `lang_definitions` VALUES (77564, 3716, 15, 'Το συμβάν δεν επαναλαμβάνεται');
INSERT INTO `lang_definitions` VALUES (77565, 3717, 15, 'Διάρκεια συμβάντος');
INSERT INTO `lang_definitions` VALUES (77566, 3718, 15, 'Διάρκεια συμβάντος σε λεπτά');
INSERT INTO `lang_definitions` VALUES (77567, 3719, 15, 'Αμοιβή σχετική με το συμβάν');
INSERT INTO `lang_definitions` VALUES (77568, 3720, 15, 'Τόπος συμβάντος');
INSERT INTO `lang_definitions` VALUES (77569, 3721, 15, 'Το συμβάν επαναλαμβάνεται κάθε');
INSERT INTO `lang_definitions` VALUES (77570, 3722, 15, 'Το συμβάν επαναλαμβάνεται κάθε');
INSERT INTO `lang_definitions` VALUES (77571, 3723, 15, 'Ώρα έναρξης γεγονότος');
INSERT INTO `lang_definitions` VALUES (77572, 3724, 15, 'Τίτλος συμβάντος');
INSERT INTO `lang_definitions` VALUES (77573, 3725, 15, 'Τίτλος συμβάντος');
INSERT INTO `lang_definitions` VALUES (77574, 3726, 15, 'Ιστοσελίδα συμβάντος');
INSERT INTO `lang_definitions` VALUES (77575, 3727, 15, 'Συμβάντα');
INSERT INTO `lang_definitions` VALUES (77576, 3728, 15, 'Συμβάντα για');
INSERT INTO `lang_definitions` VALUES (77577, 3729, 15, 'Άνοιγμα συμβάντων σε νέο παράθυρο');
INSERT INTO `lang_definitions` VALUES (77578, 3731, 15, 'κάθε');
INSERT INTO `lang_definitions` VALUES (77579, 3732, 15, 'Κάθε');
INSERT INTO `lang_definitions` VALUES (77580, 3734, 15, 'κάθε 3 ώρες');
INSERT INTO `lang_definitions` VALUES (77581, 3736, 15, 'κάθε 4 ώρες');
INSERT INTO `lang_definitions` VALUES (77582, 3738, 15, 'κάθε 5 ώρες');
INSERT INTO `lang_definitions` VALUES (77583, 3740, 15, 'κάθε 6 ώρες');
INSERT INTO `lang_definitions` VALUES (77584, 3742, 15, 'κάθε 8 ώρες');
INSERT INTO `lang_definitions` VALUES (77585, 3743, 15, 'Κάθε τέταρτο');
INSERT INTO `lang_definitions` VALUES (77586, 3744, 15, 'Κάθε όνομα στο βιβλίο διευθύνσεων εμφανίζεται εδώ, όχι μόνο ιατροί.');
INSERT INTO `lang_definitions` VALUES (77587, 3745, 15, 'Κάθε άλλο');
INSERT INTO `lang_definitions` VALUES (77588, 3746, 15, 'Κάθε τρίτο');
INSERT INTO `lang_definitions` VALUES (77589, 3747, 15, 'Κάθε, κάθε δύο, κάθε τρεις, κτλ.');
INSERT INTO `lang_definitions` VALUES (77590, 3749, 15, 'Αποτελέσματα εξετάσεων και δοκιμών');
INSERT INTO `lang_definitions` VALUES (77591, 3750, 15, 'Αποτελέσματα εξετάσεων');
INSERT INTO `lang_definitions` VALUES (77592, 3751, 15, 'Εξεταστήριο #');
INSERT INTO `lang_definitions` VALUES (77593, 3752, 15, 'Αριθμός Εξεταστηρίου');
INSERT INTO `lang_definitions` VALUES (77594, 3753, 15, 'Εξέταση');
INSERT INTO `lang_definitions` VALUES (77595, 3754, 15, 'Ημ. εξέτασης');
INSERT INTO `lang_definitions` VALUES (77596, 3755, 15, 'Παράδειγμα');
INSERT INTO `lang_definitions` VALUES (77597, 3758, 15, 'Παραδείγματα');
INSERT INTO `lang_definitions` VALUES (77598, 3760, 15, 'Εξετάσεις/ Δοκιμασίες');
INSERT INTO `lang_definitions` VALUES (77599, 3761, 15, 'Εξέταση');
INSERT INTO `lang_definitions` VALUES (77600, 3762, 15, 'Εκτός από');
INSERT INTO `lang_definitions` VALUES (77601, 3763, 15, 'Υπερβολική χρήση/φθορά');
INSERT INTO `lang_definitions` VALUES (77602, 3766, 15, 'Αποκλειόμενοι Ασθενείς');
INSERT INTO `lang_definitions` VALUES (77603, 3767, 15, 'Αποκλεισμός');
INSERT INTO `lang_definitions` VALUES (77604, 3768, 15, 'Οργαν. Αποκλειστ. Παρόχου (ΕΡΟ)');
INSERT INTO `lang_definitions` VALUES (77605, 3769, 15, 'Δεν επιτρέπονται εκτελέσιμα');
INSERT INTO `lang_definitions` VALUES (77606, 3770, 15, 'Μέγεθος Χαρτιού Executive');
INSERT INTO `lang_definitions` VALUES (77607, 3771, 15, 'Εξάσκηση');
INSERT INTO `lang_definitions` VALUES (77608, 3772, 15, 'Σωματική Άσκηση ');
INSERT INTO `lang_definitions` VALUES (77609, 3773, 15, 'Σωματική Άσκηση');
INSERT INTO `lang_definitions` VALUES (77610, 3774, 15, 'Ύπαρξη');
INSERT INTO `lang_definitions` VALUES (77611, 3777, 15, 'Έξοδος');
INSERT INTO `lang_definitions` VALUES (77612, 3778, 15, 'Έξοδος από τη Διαχείριση');
INSERT INTO `lang_definitions` VALUES (77613, 3779, 15, 'Έξοδος από Αλληλογραφία');
INSERT INTO `lang_definitions` VALUES (77614, 3782, 15, 'Επέκτ.');
INSERT INTO `lang_definitions` VALUES (77615, 3784, 15, 'Ανάπτυξη');
INSERT INTO `lang_definitions` VALUES (77616, 3785, 15, 'ανάπτυξη');
INSERT INTO `lang_definitions` VALUES (77617, 3787, 15, 'Ανάπτυξη όλων');
INSERT INTO `lang_definitions` VALUES (77618, 3788, 15, 'Ανάπτυξη όλων των Κατηγοριών Εγγράφων');
INSERT INTO `lang_definitions` VALUES (77619, 3789, 15, 'Ανάπτυξη όλων των Κατηγοριών Εγγράφων από Προεπιλογή');
INSERT INTO `lang_definitions` VALUES (77620, 3790, 15, 'Ανάπτυξη Εντύπου');
INSERT INTO `lang_definitions` VALUES (77621, 3792, 15, 'Λεπτομερής Προβολή');
INSERT INTO `lang_definitions` VALUES (77622, 3793, 15, 'O κωδικός για το έντυπο_επίσκεψης.pid αναμένεται να είναι');
INSERT INTO `lang_definitions` VALUES (77623, 3794, 15, 'Λήξη');
INSERT INTO `lang_definitions` VALUES (77624, 3795, 15, 'Ημ. λήξης');
INSERT INTO `lang_definitions` VALUES (77625, 3797, 15, 'Λήγει');
INSERT INTO `lang_definitions` VALUES (77626, 3798, 15, 'λήγει στις');
INSERT INTO `lang_definitions` VALUES (77627, 3799, 15, 'Εξαγωγή');
INSERT INTO `lang_definitions` VALUES (77628, 3800, 15, 'Εξαγωγή ως CSV');
INSERT INTO `lang_definitions` VALUES (77629, 3802, 15, 'Εξαγωγή ρυθμίσεων');
INSERT INTO `lang_definitions` VALUES (77630, 3804, 15, 'Εξαγωγή Μεμονωμένων Παραστατικών');
INSERT INTO `lang_definitions` VALUES (77631, 3806, 15, 'Εξαγωγή δημογραφικών ασθενούς');
INSERT INTO `lang_definitions` VALUES (77632, 3808, 15, 'Εξαγωγή Αναφοράς PQRI');
INSERT INTO `lang_definitions` VALUES (77633, 3810, 15, 'Εξαγωγή Επιλεγμένων ως CSV');
INSERT INTO `lang_definitions` VALUES (77634, 3811, 15, 'Εξαγωγή Επιλεγμένων σε Συλλογές');
INSERT INTO `lang_definitions` VALUES (77635, 3812, 15, 'Εξαγωγή σε CSV');
INSERT INTO `lang_definitions` VALUES (77636, 3813, 15, 'Εξαγωγή σε εξωτ. σύστημα χρέωσης');
INSERT INTO `lang_definitions` VALUES (77637, 3814, 15, 'Εξαγωγή Μηδενικών Υπολοίπων');
INSERT INTO `lang_definitions` VALUES (77638, 3815, 15, 'Ταξίδι στο Εξωτερικό');
INSERT INTO `lang_definitions` VALUES (77639, 3816, 15, 'Ταξίδι στο Εξωτερικό');
INSERT INTO `lang_definitions` VALUES (77640, 3819, 15, 'Διευρυμένη οικογένεια');
INSERT INTO `lang_definitions` VALUES (77641, 3820, 15, 'Εξωτερικός');
INSERT INTO `lang_definitions` VALUES (77642, 3821, 15, 'Εξωτερικά Δεδομένα');
INSERT INTO `lang_definitions` VALUES (77643, 3823, 15, 'Φόρτωση εξωτερικών δεδομένων');
INSERT INTO `lang_definitions` VALUES (77644, 3824, 15, 'Βοηθητικό πρόγραμμα εισαγωγής εξωτερ. βάσης δεδομένων');
INSERT INTO `lang_definitions` VALUES (77645, 3826, 15, 'Εξωτερική Εξέταση');
INSERT INTO `lang_definitions` VALUES (77646, 3827, 15, 'Προεπιλ. Τιμές Εξωτερικής Εξέτασης');
INSERT INTO `lang_definitions` VALUES (77647, 3828, 15, 'Εξωτερ. Κωδικός');
INSERT INTO `lang_definitions` VALUES (77648, 3829, 15, 'Εξωτερ. Κωδικός');
INSERT INTO `lang_definitions` VALUES (77649, 3830, 15, 'Εξωτερ. ταυτοποίηση');
INSERT INTO `lang_definitions` VALUES (77650, 3831, 15, 'Μόνο εξωτερικό');
INSERT INTO `lang_definitions` VALUES (77651, 3832, 15, 'Εξωτερική Οργάνωση');
INSERT INTO `lang_definitions` VALUES (77652, 3833, 15, 'Εξωτερικός Πάροχος');
INSERT INTO `lang_definitions` VALUES (77653, 3834, 15, 'Εξωτερ. παραπομπή');
INSERT INTO `lang_definitions` VALUES (77654, 3835, 15, 'Παραλούθηση (followup) εξωτερ. Παραπομπών');
INSERT INTO `lang_definitions` VALUES (77655, 3836, 15, 'Εξωτερ. παραπομπή;');
INSERT INTO `lang_definitions` VALUES (77656, 3837, 15, 'Εξωτερ. παραπομπές');
INSERT INTO `lang_definitions` VALUES (77657, 3838, 15, 'Αποσυμπίεση του αρχείου zip');
INSERT INTO `lang_definitions` VALUES (77658, 3839, 15, 'Αποσυμπίεση του αρχείου. Αυτό θα διαρκέσει λίγη ώρα...');
INSERT INTO `lang_definitions` VALUES (77659, 3840, 15, 'Εξίδρωμα:');
INSERT INTO `lang_definitions` VALUES (77660, 3841, 15, 'Οφθαλμός');
INSERT INTO `lang_definitions` VALUES (77661, 3844, 15, 'Λίστα Μάρκας Φακών Επαφής');
INSERT INTO `lang_definitions` VALUES (77662, 3845, 15, 'Λίστα Κατασκευαστών Φακών Επαφής');
INSERT INTO `lang_definitions` VALUES (77663, 3846, 15, 'Λίστα Προμηθευτών Φακών Επαφής');
INSERT INTO `lang_definitions` VALUES (77664, 3847, 15, 'Οφθαλμική Δx');
INSERT INTO `lang_definitions` VALUES (77665, 3848, 15, 'Οφθαλμική Εξέταση');
INSERT INTO `lang_definitions` VALUES (77666, 3849, 15, 'Προεπιλ. Τιμές Οφθαλμικής Εξέτασης για Νέους Παρόχους');
INSERT INTO `lang_definitions` VALUES (77667, 3850, 15, 'Ερεθισμός οφθαλμού');
INSERT INTO `lang_definitions` VALUES (77668, 3851, 15, 'Υλικό Φακού Επαφής');
INSERT INTO `lang_definitions` VALUES (77669, 3856, 15, 'Άλγος οφθαλμού');
INSERT INTO `lang_definitions` VALUES (77670, 3860, 15, 'Ερυθρότητα οφθαλμού');
INSERT INTO `lang_definitions` VALUES (77671, 3861, 15, 'Χειρουργείο Οφθαλμού');
INSERT INTO `lang_definitions` VALUES (77672, 3862, 15, 'Σταγονόμετρο');
INSERT INTO `lang_definitions` VALUES (77673, 3863, 15, 'Οφθαλμοί');
INSERT INTO `lang_definitions` VALUES (77674, 3865, 15, 'F');
INSERT INTO `lang_definitions` VALUES (77675, 3866, 15, 'Οικ. Ιστορ. Αιματολογικών Προβλημάτων');
INSERT INTO `lang_definitions` VALUES (77676, 3867, 15, 'Οικ. Ιστορ. Υπερτρίχωσης/Ραγάδων (θήλεων)');
INSERT INTO `lang_definitions` VALUES (77677, 3868, 15, 'Έδρες');
INSERT INTO `lang_definitions` VALUES (77678, 3869, 15, 'Έδρα');
INSERT INTO `lang_definitions` VALUES (77679, 3870, 15, 'έδρα');
INSERT INTO `lang_definitions` VALUES (77680, 3871, 15, 'Διαχείριση Έδρας');
INSERT INTO `lang_definitions` VALUES (77681, 3872, 15, 'Πόλη Εδρας');
INSERT INTO `lang_definitions` VALUES (77682, 3873, 15, 'Κωδικός Έδρας');
INSERT INTO `lang_definitions` VALUES (77683, 3875, 15, 'Κωδικός Χώρας Εδρας');
INSERT INTO `lang_definitions` VALUES (77684, 3876, 15, 'Fax Έδρας');
INSERT INTO `lang_definitions` VALUES (77685, 3877, 15, 'Κωδ. Έδρας');
INSERT INTO `lang_definitions` VALUES (77686, 3878, 15, 'Ονομασία Έδρας');
INSERT INTO `lang_definitions` VALUES (77687, 3879, 15, 'Εθνικό Αναγνωριστικό Εδρας');
INSERT INTO `lang_definitions` VALUES (77688, 3880, 15, 'Τηλέφ. Έδρας');
INSERT INTO `lang_definitions` VALUES (77689, 3882, 15, 'Πληροφορίες Χρήστη Ειδικές για την Έδρα');
INSERT INTO `lang_definitions` VALUES (77690, 3883, 15, 'Νομός Έδρας');
INSERT INTO `lang_definitions` VALUES (77691, 3884, 15, 'Οδός Έδρας');
INSERT INTO `lang_definitions` VALUES (77692, 3885, 15, 'ΔΟΥ Έδρας');
INSERT INTO `lang_definitions` VALUES (77693, 3886, 15, 'ΤΚ Έδρας');
INSERT INTO `lang_definitions` VALUES (77694, 3887, 15, 'ΤΚ Έδρας');
INSERT INTO `lang_definitions` VALUES (77695, 3888, 15, 'Έδρα:');
INSERT INTO `lang_definitions` VALUES (77696, 3889, 15, 'ΑΠΟΤΥΧΙΑ');
INSERT INTO `lang_definitions` VALUES (77697, 3890, 15, 'Απέτυχε');
INSERT INTO `lang_definitions` VALUES (77698, 3891, 15, 'αποτυχημένο');
INSERT INTO `lang_definitions` VALUES (77699, 3893, 15, 'Αποτυχημένοι Ασθενείς');
INSERT INTO `lang_definitions` VALUES (77700, 3896, 15, 'Αποτυχία προσθήκης ασθενούς στο Portal');
INSERT INTO `lang_definitions` VALUES (77701, 3897, 15, 'Αποτυχία δημιουργίας ενός μοναδικού ονόματος αρχείου');
INSERT INTO `lang_definitions` VALUES (77702, 3898, 15, 'Αποτυχία δημιουργίας');
INSERT INTO `lang_definitions` VALUES (77703, 3899, 15, 'Αποτυχία δημιουργίας φακέλου');
INSERT INTO `lang_definitions` VALUES (77704, 3900, 15, 'Αποτυχία δημιουργίας νέας ομάδας');
INSERT INTO `lang_definitions` VALUES (77705, 3901, 15, 'Αποτυχία δημιουργία προσωρινού φακέλου. Η βάση CouchDB δε θα λειτορυγήσει.');
INSERT INTO `lang_definitions` VALUES (77706, 3902, 15, 'Αποτυχία δημιουργίας');
INSERT INTO `lang_definitions` VALUES (77707, 3904, 15, 'Αποτυχία αποστολής');
INSERT INTO `lang_definitions` VALUES (77708, 3907, 15, 'Απέτυχε.');
INSERT INTO `lang_definitions` VALUES (77709, 3908, 15, 'αποτυχία');
INSERT INTO `lang_definitions` VALUES (77710, 3909, 15, 'Αποτυχία');
INSERT INTO `lang_definitions` VALUES (77711, 3915, 15, 'Οκογεν. Ιστορικό Υγείας');
INSERT INTO `lang_definitions` VALUES (77712, 3916, 15, 'Οικογεν. ιστορικό');
INSERT INTO `lang_definitions` VALUES (77713, 3918, 15, 'Ιστορικό γλαυκώματος');
INSERT INTO `lang_definitions` VALUES (77714, 3919, 15, 'Οικογενειακό ιστορικό:');
INSERT INTO `lang_definitions` VALUES (77715, 3920, 15, 'Μέλος Οικογένειας');
INSERT INTO `lang_definitions` VALUES (77716, 3921, 15, 'Οικογενειακή Πληρωμή');
INSERT INTO `lang_definitions` VALUES (77717, 3922, 15, 'Μέγεθος οικογένειας');
INSERT INTO `lang_definitions` VALUES (77718, 3923, 15, 'Παράξενο');
INSERT INTO `lang_definitions` VALUES (77719, 3925, 15, 'Περσικά');
INSERT INTO `lang_definitions` VALUES (77720, 3926, 15, 'Νηστεία');
INSERT INTO `lang_definitions` VALUES (77721, 3927, 15, 'Θανάσιμη');
INSERT INTO `lang_definitions` VALUES (77722, 3928, 15, 'Πατέρας');
INSERT INTO `lang_definitions` VALUES (77723, 3929, 15, 'Ιστορικό Πατέρα');
INSERT INTO `lang_definitions` VALUES (77724, 3930, 15, 'Κόπωση');
INSERT INTO `lang_definitions` VALUES (77725, 3931, 15, 'Καταβεβλημένος');
INSERT INTO `lang_definitions` VALUES (77726, 3932, 15, 'Αγαπημένα');
INSERT INTO `lang_definitions` VALUES (77727, 3933, 15, 'Φαξ');
INSERT INTO `lang_definitions` VALUES (77728, 3934, 15, 'Καταμέτρηση Φαξ');
INSERT INTO `lang_definitions` VALUES (77729, 3935, 15, 'Αρ. Φαξ');
INSERT INTO `lang_definitions` VALUES (77730, 3936, 15, 'Η αποστολή Fax απέτυχε');
INSERT INTO `lang_definitions` VALUES (77731, 3937, 15, 'Fax/Σαρωτής');
INSERT INTO `lang_definitions` VALUES (77732, 3938, 15, 'Είσοδος Fax');
INSERT INTO `lang_definitions` VALUES (77733, 3939, 15, 'Έξοδος Fax');
INSERT INTO `lang_definitions` VALUES (77734, 3940, 15, 'Χαρακτηριστικά');
INSERT INTO `lang_definitions` VALUES (77735, 3941, 15, 'Φεβ');
INSERT INTO `lang_definitions` VALUES (77736, 3942, 15, 'Φεβρουάριος');
INSERT INTO `lang_definitions` VALUES (77737, 3943, 15, 'Εθνική πράξη αποκατάστασης υπαλλήλων');
INSERT INTO `lang_definitions` VALUES (77738, 3944, 15, 'Εθν. Κωδικός φαρμάκου');
INSERT INTO `lang_definitions` VALUES (77739, 3945, 15, 'Κωδικός εργαζομένου/ εργοδότη');
INSERT INTO `lang_definitions` VALUES (77740, 3946, 15, 'ΑΦΜ');
INSERT INTO `lang_definitions` VALUES (77741, 3948, 15, 'Αμοιβή');
INSERT INTO `lang_definitions` VALUES (77742, 3949, 15, 'αμοιβή');
INSERT INTO `lang_definitions` VALUES (77743, 3950, 15, 'Η αμοιβή δεν επιτρέπεται');
INSERT INTO `lang_definitions` VALUES (77744, 3951, 15, 'Χρεωστικό Δελτίο');
INSERT INTO `lang_definitions` VALUES (77745, 3952, 15, 'Χρεωστικό Δελτίο για');
INSERT INTO `lang_definitions` VALUES (77746, 3953, 15, 'Παράμετροι Χρεωστικού Δελτίου');
INSERT INTO `lang_definitions` VALUES (77747, 3955, 15, 'Αμοιβές');
INSERT INTO `lang_definitions` VALUES (77748, 3956, 15, 'Θήλυ');
INSERT INTO `lang_definitions` VALUES (77749, 3958, 15, 'Γυναικεία προφυλακτικά');
INSERT INTO `lang_definitions` VALUES (77750, 3960, 15, 'Τελευταία Σύλληψη');
INSERT INTO `lang_definitions` VALUES (77751, 3962, 15, 'Συμπτώματα θήλεως');
INSERT INTO `lang_definitions` VALUES (77752, 3963, 15, 'Οικειοθελής χειρουργ. αντισύλ. γυναίκας');
INSERT INTO `lang_definitions` VALUES (77753, 3964, 15, 'Λήψη');
INSERT INTO `lang_definitions` VALUES (77754, 3965, 15, 'Γίνεται λήψη του ακόλουθου αρχείου από το Portal');
INSERT INTO `lang_definitions` VALUES (77755, 3966, 15, 'Πυρετός');
INSERT INTO `lang_definitions` VALUES (77756, 3967, 15, 'Πυρετός:');
INSERT INTO `lang_definitions` VALUES (77757, 3968, 15, 'Πρόβλημα οικογ. υπερχοληστερολαιμίας');
INSERT INTO `lang_definitions` VALUES (77758, 3971, 15, 'Οικ. Ιστορικό');
INSERT INTO `lang_definitions` VALUES (77759, 3972, 15, 'Ινομυώματα');
INSERT INTO `lang_definitions` VALUES (77760, 3974, 15, 'Πεδίο');
INSERT INTO `lang_definitions` VALUES (77761, 3975, 15, 'Το πεδίο \'όνομα\' δεν μπορεί να είναι ΚΕΝΟ');
INSERT INTO `lang_definitions` VALUES (77762, 3976, 15, 'Κωδ. Πεδίου');
INSERT INTO `lang_definitions` VALUES (77763, 3978, 15, 'Τύπος πεδίου προς χρήση από τον εργοδότη, ή για τη χώρα του συνδρομητή, στα δημογραφικά.');
INSERT INTO `lang_definitions` VALUES (77764, 3979, 15, 'Τύπος πεδίου για χρήση στο νομό του εργοδότη ή του Νομού του συνδρομητή, στα δημογραφικά.');
INSERT INTO `lang_definitions` VALUES (77765, 3980, 15, 'Λείπουν πεδία!');
INSERT INTO `lang_definitions` VALUES (77766, 3982, 15, 'Πεδία σε αυτήν την Φόρμα');
INSERT INTO `lang_definitions` VALUES (77767, 3983, 15, 'Πεδία');
INSERT INTO `lang_definitions` VALUES (77768, 3986, 15, 'Αρχείο');
INSERT INTO `lang_definitions` VALUES (77769, 3988, 15, 'Σφάλμα Αρχείου');
INSERT INTO `lang_definitions` VALUES (77770, 3989, 15, 'αρχείο στο φάκελο Τεκμηρίωση, για να μάθετε πώς να αυτοματοποιήσετε τη διαδικασία δημιουργίας αντιγράφων ασφαλείας του αρχείου καταγραφής.');
INSERT INTO `lang_definitions` VALUES (77771, 3990, 15, 'θέση αρχείου');
INSERT INTO `lang_definitions` VALUES (77772, 3991, 15, 'Διαχείριση Αρχείου');
INSERT INTO `lang_definitions` VALUES (77773, 3992, 15, 'λείπει αρχείο');
INSERT INTO `lang_definitions` VALUES (77774, 3993, 15, 'Όνομα Αρχείου');
INSERT INTO `lang_definitions` VALUES (77775, 3994, 15, 'Το αρχείο δεν βρέθηκε');
INSERT INTO `lang_definitions` VALUES (77776, 3996, 15, 'Αρχείο στον server (ημ/νία τροποποίησης)');
INSERT INTO `lang_definitions` VALUES (77777, 3997, 15, 'Η διαδρομή του αρχείου δεν βρέθηκε.');
INSERT INTO `lang_definitions` VALUES (77778, 3998, 15, 'Το δικαίωμα αρχείου δόθηκε στον χρήστη OpenEMR.');
INSERT INTO `lang_definitions` VALUES (77779, 3999, 15, 'Απέτυχε η ανάκτηση αρχείων από την CouchDB');
INSERT INTO `lang_definitions` VALUES (77780, 4000, 15, 'Χώρος Αρχειοθέτησης');
INSERT INTO `lang_definitions` VALUES (77781, 4001, 15, 'Αρχείο για ανέβασμα');
INSERT INTO `lang_definitions` VALUES (77782, 4002, 15, 'Αρχείο για ανέβασμα');
INSERT INTO `lang_definitions` VALUES (77783, 4003, 15, 'Αρχείο με το ίδιο όνομα υπάρχει ήδη στη θέση:');
INSERT INTO `lang_definitions` VALUES (77784, 4004, 15, 'Όνομα αρχείου');
INSERT INTO `lang_definitions` VALUES (77785, 4005, 15, 'Η κατάληξη του ονόματος αρχείου πρέπει να είναι \".pdf\"');
INSERT INTO `lang_definitions` VALUES (77786, 4006, 15, 'Αρχεία');
INSERT INTO `lang_definitions` VALUES (77787, 4009, 15, 'Αρχεία με κενό εικονίδιο');
INSERT INTO `lang_definitions` VALUES (77788, 4010, 15, 'Λάθος τύπος αρχείου');
INSERT INTO `lang_definitions` VALUES (77789, 4011, 15, 'Φιλιπινέζικα');
INSERT INTO `lang_definitions` VALUES (77790, 4013, 15, 'Συμπληρώστε οποιαδήποτε από τις κάτωθι γραμμές');
INSERT INTO `lang_definitions` VALUES (77791, 4014, 15, 'Συμπληρώστε εδώ μόνο αν στέλνετε ειδοποίηση με email στους ασθενείς');
INSERT INTO `lang_definitions` VALUES (77792, 4023, 15, 'Συμπληρώστε τις παρακάτω τιμές');
INSERT INTO `lang_definitions` VALUES (77793, 4024, 15, 'Οδηγίες Συμπλήρωσης');
INSERT INTO `lang_definitions` VALUES (77794, 4025, 15, 'Συμπληρώστε τη γραμμή.');
INSERT INTO `lang_definitions` VALUES (77795, 4026, 15, 'Συμπληρώστε το Όνομα και το Επώνυμό σας');
INSERT INTO `lang_definitions` VALUES (77796, 4028, 15, 'Φιλτράρισμα');
INSERT INTO `lang_definitions` VALUES (77797, 4029, 15, 'Φίλτρο για Σταθερές');
INSERT INTO `lang_definitions` VALUES (77798, 4030, 15, 'Φίλτρο για Ορισμούς');
INSERT INTO `lang_definitions` VALUES (77799, 4031, 15, 'έχει φιλτραριστεί από');
INSERT INTO `lang_definitions` VALUES (77800, 4032, 15, 'Φίλτρα');
INSERT INTO `lang_definitions` VALUES (77801, 4033, 15, 'φίλτρα');
INSERT INTO `lang_definitions` VALUES (77802, 4034, 15, 'Τελικό');
INSERT INTO `lang_definitions` VALUES (77803, 4035, 15, 'Τελική Διάγνωση');
INSERT INTO `lang_definitions` VALUES (77804, 4036, 15, 'Τελική διάγνωση ανά ειδικό');
INSERT INTO `lang_definitions` VALUES (77805, 4037, 15, 'Τελική Κατάσταση');
INSERT INTO `lang_definitions` VALUES (77806, 4038, 15, 'Οικονομικά');
INSERT INTO `lang_definitions` VALUES (77807, 4039, 15, 'Ημ. Οικονομικού Κλεισίματος (εεεε-μμ-ηη)');
INSERT INTO `lang_definitions` VALUES (77808, 4040, 15, 'Οικονομ. αναφορά – ο,τιδήποτε');
INSERT INTO `lang_definitions` VALUES (77809, 4042, 15, 'Οικονομ. αναφορά – οι επισκέψεις μου');
INSERT INTO `lang_definitions` VALUES (77810, 4045, 15, 'Ημ/νία Οικονομ. Ανασκόπησης');
INSERT INTO `lang_definitions` VALUES (77811, 4046, 15, 'Οικονομική Σύνοψη ανά Κωδικό υπηρεσιών');
INSERT INTO `lang_definitions` VALUES (77812, 4048, 15, 'Εύρεση');
INSERT INTO `lang_definitions` VALUES (77813, 4049, 15, 'Εύρεση διαθέσιμου');
INSERT INTO `lang_definitions` VALUES (77814, 4050, 15, 'Εύρεση διαθέσιμων ραντεβού');
INSERT INTO `lang_definitions` VALUES (77815, 4053, 15, 'Εύρεση ασθενούς');
INSERT INTO `lang_definitions` VALUES (77816, 4054, 15, 'Εύρεση Υλικών εκπαίδευσης ασθενούς');
INSERT INTO `lang_definitions` VALUES (77817, 4056, 15, 'Ευρήματα');
INSERT INTO `lang_definitions` VALUES (77818, 4057, 15, 'Ευρήματα ανά ειδικό');
INSERT INTO `lang_definitions` VALUES (77819, 4058, 15, 'Πρόστιμο');
INSERT INTO `lang_definitions` VALUES (77820, 4060, 15, 'Τέλος Πληρωμών');
INSERT INTO `lang_definitions` VALUES (77821, 4061, 15, 'Ολοκληρώθηκε');
INSERT INTO `lang_definitions` VALUES (77822, 4062, 15, 'τελείωσε');
INSERT INTO `lang_definitions` VALUES (77823, 4065, 15, 'Πρώτο');
INSERT INTO `lang_definitions` VALUES (77824, 4067, 15, '1η μέρα της εβδομάδας');
INSERT INTO `lang_definitions` VALUES (77825, 4068, 15, '1η μέρα της εβδομάδας');
INSERT INTO `lang_definitions` VALUES (77826, 4069, 15, 'Πρώτη Χρήση Μοντέρνας Αντισύλληψης σε αυτήν την Κλινική (με προηγηθείσα χρήση Αντισύλληψης)');
INSERT INTO `lang_definitions` VALUES (77827, 4070, 15, 'Πρώτη Χρήση Μοντέρνας Αντισύλληψης (Όλη την ζωή)');
INSERT INTO `lang_definitions` VALUES (77828, 4071, 15, 'Όνομα');
INSERT INTO `lang_definitions` VALUES (77829, 4072, 15, 'Όνομα');
INSERT INTO `lang_definitions` VALUES (77830, 4073, 15, 'Όνομα:');
INSERT INTO `lang_definitions` VALUES (77831, 4074, 15, 'Πρώτη Επίσκεψη ή Συμβουλή');
INSERT INTO `lang_definitions` VALUES (77832, 4075, 15, 'Πρώτη επίσκεψη: Καμία παλαιά εγγραφή');
INSERT INTO `lang_definitions` VALUES (77833, 4076, 15, 'Πρώτες Επισκέψεις αποκλειστικά');
INSERT INTO `lang_definitions` VALUES (77834, 4077, 15, 'Όνομα Επίθετο');
INSERT INTO `lang_definitions` VALUES (77835, 4079, 15, 'Φυσική κατάσταη');
INSERT INTO `lang_definitions` VALUES (77836, 4080, 15, 'Επίπ. φυσικής κατάστασης');
INSERT INTO `lang_definitions` VALUES (77837, 4081, 15, 'Επίπ. φυσικής κατάστασης γι\' αυτό τον παίκτη, αυτή την ημέρα');
INSERT INTO `lang_definitions` VALUES (77838, 4082, 15, 'Έλεγχος Φυσικής Κατάστασης');
INSERT INTO `lang_definitions` VALUES (77839, 4083, 15, 'Καταλληλότητα για συμμετοχή στο παιγνίδι');
INSERT INTO `lang_definitions` VALUES (77840, 4084, 15, 'Διόρθωση ημερ. επισκέψεων- όλων των επισκέψεων');
INSERT INTO `lang_definitions` VALUES (77841, 4086, 15, 'Διορθώστε αυτό');
INSERT INTO `lang_definitions` VALUES (77842, 4088, 15, 'Διόρθωση αυτού');
INSERT INTO `lang_definitions` VALUES (77843, 4090, 15, 'Μετεωρισμός');
INSERT INTO `lang_definitions` VALUES (77844, 4091, 15, 'Ροή');
INSERT INTO `lang_definitions` VALUES (77845, 4092, 15, 'Πίνακας Ροής');
INSERT INTO `lang_definitions` VALUES (77846, 4108, 15, 'Εποχή γρίππης');
INSERT INTO `lang_definitions` VALUES (77847, 4109, 15, 'Εποχή γρίππης');
INSERT INTO `lang_definitions` VALUES (77848, 4110, 15, 'Εμβολ. γρίππης');
INSERT INTO `lang_definitions` VALUES (77849, 4111, 15, 'Πρόβλημα υγρών και ηλεκτρολυτών');
INSERT INTO `lang_definitions` VALUES (77850, 4112, 15, 'Ινομυαλγία');
INSERT INTO `lang_definitions` VALUES (77851, 4113, 15, 'Μέγεθος Χαρτιού Folio');
INSERT INTO `lang_definitions` VALUES (77852, 4114, 15, 'Ακολουθήστε χειροκίνητα');
INSERT INTO `lang_definitions` VALUES (77853, 4115, 15, 'Ακολουθήστε αυτές τις οδηγίες για να εγκαταστήσετε, ή να αναβαθμίσετε, την εξής βάση δεδομένων');
INSERT INTO `lang_definitions` VALUES (77854, 4116, 15, 'Επανεκτίμηση');
INSERT INTO `lang_definitions` VALUES (77855, 4118, 15, 'Σημείωμα Επανεκτίμησης');
INSERT INTO `lang_definitions` VALUES (77856, 4119, 15, 'Αιτία Επανεκτίμησης');
INSERT INTO `lang_definitions` VALUES (77857, 4121, 15, 'Ακολουθεί μια νέα παραμετροποιημένη (custom) Σταθερά:');
INSERT INTO `lang_definitions` VALUES (77858, 4122, 15, 'Ακολουθεί μια νέα παραμετροποιημένη (custom) Γλώσσα:');
INSERT INTO `lang_definitions` VALUES (77859, 4123, 15, 'Ακολουθεί ένας νέος ορισμός (Γλώσσας, Σταθεράς, Ορισμός):');
INSERT INTO `lang_definitions` VALUES (77860, 4125, 15, 'Υπηρεσίες επανεκτίμησης');
INSERT INTO `lang_definitions` VALUES (77861, 4126, 15, 'Ενδείκνυνται επανεκτιμήσεις');
INSERT INTO `lang_definitions` VALUES (77862, 4127, 15, 'Μέγεθος Γραμματοσειράς');
INSERT INTO `lang_definitions` VALUES (77863, 4128, 15, 'Μέγεθος Γραμματοσειράς σε Pt');
INSERT INTO `lang_definitions` VALUES (77864, 4129, 15, 'Δυσανεξία σε τροφή');
INSERT INTO `lang_definitions` VALUES (77865, 4130, 15, 'Πόδι');
INSERT INTO `lang_definitions` VALUES (77866, 4131, 15, 'Προβλήμ. ποδός');
INSERT INTO `lang_definitions` VALUES (77867, 4132, 15, 'Πόδι:');
INSERT INTO `lang_definitions` VALUES (77868, 4133, 15, 'Κακώσεις ποδοσφαίρου');
INSERT INTO `lang_definitions` VALUES (77869, 4134, 15, 'Κάκωση ποδοσφαίρου');
INSERT INTO `lang_definitions` VALUES (77870, 4135, 15, 'Αναφορά ποδοσφαιρικής κάκωσης');
INSERT INTO `lang_definitions` VALUES (77871, 4136, 15, 'Τύπος υποδημάτων');
INSERT INTO `lang_definitions` VALUES (77872, 4137, 15, 'για');
INSERT INTO `lang_definitions` VALUES (77873, 4138, 15, 'Για');
INSERT INTO `lang_definitions` VALUES (77874, 4139, 15, 'για');
INSERT INTO `lang_definitions` VALUES (77875, 4144, 15, 'Για κωδικό');
INSERT INTO `lang_definitions` VALUES (77876, 4146, 15, 'Για Ημ/νίες');
INSERT INTO `lang_definitions` VALUES (77877, 4152, 15, 'Για Αιτήματα πληρωμής επίσκεψης');
INSERT INTO `lang_definitions` VALUES (77878, 4154, 15, 'Για παράδειγμα:');
INSERT INTO `lang_definitions` VALUES (77879, 4161, 15, 'για Παραστατικό');
INSERT INTO `lang_definitions` VALUES (77880, 4163, 15, 'Μόνο στην περίπτωση του Medicare, απαιτείται ο παραπέμπων πάροχος να είναι ο ίδιος με τον πάροχο που έκανε την εκτίμηση.');
INSERT INTO `lang_definitions` VALUES (77881, 4166, 15, 'για ασθενή');
INSERT INTO `lang_definitions` VALUES (77882, 4172, 15, 'Για Πάροχο');
INSERT INTO `lang_definitions` VALUES (77883, 4173, 15, 'Για τον Παραπέμποντα Οργανισμό/ Ιατρό');
INSERT INTO `lang_definitions` VALUES (77884, 4176, 15, 'Για το παρελθόν');
INSERT INTO `lang_definitions` VALUES (77885, 4180, 15, 'για αυτόν τον ασθενή δεν έχει ανατεθεί ακόμα σε κάποια επίσκεψη');
INSERT INTO `lang_definitions` VALUES (77886, 4188, 15, 'για μεταβλητή');
INSERT INTO `lang_definitions` VALUES (77887, 4189, 15, 'για:');
INSERT INTO `lang_definitions` VALUES (77888, 4190, 15, 'Το widget χρέωσης να διατηρείται υποχρεωτικά ανοικτό');
INSERT INTO `lang_definitions` VALUES (77889, 4191, 15, 'Υποχρεωτ. δημιουργία Νέου Ασθενούς');
INSERT INTO `lang_definitions` VALUES (77890, 4193, 15, 'Υποχρεωτ. εμφάνιση');
INSERT INTO `lang_definitions` VALUES (77891, 4194, 15, 'Πήχυς');
INSERT INTO `lang_definitions` VALUES (77892, 4195, 15, 'Έντυπο');
INSERT INTO `lang_definitions` VALUES (77893, 4196, 15, 'έντυπο');
INSERT INTO `lang_definitions` VALUES (77894, 4197, 15, 'Δεν βρέθηκε το στοιχείο του Εντύπου');
INSERT INTO `lang_definitions` VALUES (77895, 4198, 15, 'Κλειδιά Εντύπου');
INSERT INTO `lang_definitions` VALUES (77896, 4199, 15, 'Το Έντυπο υπεγράφη επιτυχώς');
INSERT INTO `lang_definitions` VALUES (77897, 4201, 15, 'Μορφοποίηση');
INSERT INTO `lang_definitions` VALUES (77898, 4202, 15, 'μορφοποίηση');
INSERT INTO `lang_definitions` VALUES (77899, 4203, 15, 'Μορφή για την εμφάνιση ηλικίας');
INSERT INTO `lang_definitions` VALUES (77900, 4204, 15, 'Άκυρη μορφή κωδικού φαρμάκου');
INSERT INTO `lang_definitions` VALUES (77901, 4205, 15, 'Μορφή εμφάνισης των περισσότερων ημερομηνιών.');
INSERT INTO `lang_definitions` VALUES (77902, 4206, 15, 'Μορφή εμφάνισης των περισσότερων ωρών.');
INSERT INTO `lang_definitions` VALUES (77903, 4207, 15, 'Μορφοποιημένη έκθεση/αναφορά');
INSERT INTO `lang_definitions` VALUES (77904, 4208, 15, 'Πρώην καπνιστής');
INSERT INTO `lang_definitions` VALUES (77905, 4209, 15, 'Έντυπα');
INSERT INTO `lang_definitions` VALUES (77906, 4210, 15, 'Διαχείριση Εντύπων');
INSERT INTO `lang_definitions` VALUES (77907, 4212, 15, 'Ε-Signed Έντυπα');
INSERT INTO `lang_definitions` VALUES (77908, 4215, 15, 'Προώθηση');
INSERT INTO `lang_definitions` VALUES (77909, 4219, 15, 'Προώθηση σελίδων μέσω Fax');
INSERT INTO `lang_definitions` VALUES (77910, 4222, 15, 'Προωθήθηκε');
INSERT INTO `lang_definitions` VALUES (77911, 4224, 15, 'Θετό παιδί');
INSERT INTO `lang_definitions` VALUES (77912, 4225, 15, 'Τέταρτο');
INSERT INTO `lang_definitions` VALUES (77913, 4227, 15, 'Κάταγμα');
INSERT INTO `lang_definitions` VALUES (77914, 4228, 15, 'Κάταγμα σκαφοειδούς');
INSERT INTO `lang_definitions` VALUES (77915, 4229, 15, 'Κάταγμα έξω σφυρού');
INSERT INTO `lang_definitions` VALUES (77916, 4230, 15, 'Κάταγμα έσω σφυρού');
INSERT INTO `lang_definitions` VALUES (77917, 4231, 15, 'Κάταγμα βάσης 5ου μεταταρσίου');
INSERT INTO `lang_definitions` VALUES (77918, 4235, 15, 'Γαλλικά');
INSERT INTO `lang_definitions` VALUES (77919, 4236, 15, 'Γαλλικά (Καναδικά)');
INSERT INTO `lang_definitions` VALUES (77920, 4237, 15, 'Γαλλικά (Τυπικά)');
INSERT INTO `lang_definitions` VALUES (77921, 4238, 15, 'Συχνότητα');
INSERT INTO `lang_definitions` VALUES (77922, 4239, 15, 'Συχνά κρυολογήματα');
INSERT INTO `lang_definitions` VALUES (77923, 4240, 15, 'Συχνή νόσηση');
INSERT INTO `lang_definitions` VALUES (77924, 4241, 15, 'Παρ');
INSERT INTO `lang_definitions` VALUES (77925, 4242, 15, 'Παρασκευή');
INSERT INTO `lang_definitions` VALUES (77926, 4243, 15, 'Φίλος/η');
INSERT INTO `lang_definitions` VALUES (77927, 4244, 15, 'Από');
INSERT INTO `lang_definitions` VALUES (77928, 4245, 15, 'ΑΠΟ');
INSERT INTO `lang_definitions` VALUES (77929, 4246, 15, 'από');
INSERT INTO `lang_definitions` VALUES (77930, 4247, 15, 'Η Ημ. του Εντύπου δεν μπορεί να είναι μεγαλύτερη από σήμερα.');
INSERT INTO `lang_definitions` VALUES (77931, 4253, 15, 'Από:');
INSERT INTO `lang_definitions` VALUES (77932, 4254, 15, 'Από:');
INSERT INTO `lang_definitions` VALUES (77933, 4255, 15, 'ΑΠΟ_ΠΟΛΗ');
INSERT INTO `lang_definitions` VALUES (77934, 4256, 15, 'ΑΠΟ_EMAIL');
INSERT INTO `lang_definitions` VALUES (77935, 4257, 15, 'ΑΠΟ_ΟΝΟΜΑ');
INSERT INTO `lang_definitions` VALUES (77936, 4258, 15, 'ΑΠΟ_ΕΠΩΝΥΜΟ');
INSERT INTO `lang_definitions` VALUES (77937, 4259, 15, 'ΑΠΟ_ΟΝΟΜΑ ΜΗΤΡΟΣ');
INSERT INTO `lang_definitions` VALUES (77938, 4260, 15, 'ΑΠΟ_ΤΗΛΕΦΩΝΟ');
INSERT INTO `lang_definitions` VALUES (77939, 4261, 15, 'ΑΠΟ_ΚΙΝΗΤΟ');
INSERT INTO `lang_definitions` VALUES (77940, 4262, 15, 'ΑΠΟ_ΤΚ');
INSERT INTO `lang_definitions` VALUES (77941, 4263, 15, 'ΑΠΟ_ΝΟΜΟΣ');
INSERT INTO `lang_definitions` VALUES (77942, 4264, 15, 'ΑΠΟ_ΟΔΟΣ');
INSERT INTO `lang_definitions` VALUES (77943, 4265, 15, 'ΑΠΟ_ΤΙΤΛΟΣ');
INSERT INTO `lang_definitions` VALUES (77944, 4267, 15, 'Γραφείο Υποδοχής (Ρεσεψιόν)');
INSERT INTO `lang_definitions` VALUES (77945, 4268, 15, 'Αποδείξεις Γραφείου Υποδοχής');
INSERT INTO `lang_definitions` VALUES (77946, 4269, 15, 'Αναφορά Αποδείξεων Γραφείου Υποδοχής');
INSERT INTO `lang_definitions` VALUES (77947, 4270, 15, 'Γραφείο υποδοχής');
INSERT INTO `lang_definitions` VALUES (77948, 4271, 15, 'Μετωπιαία δεξιά:');
INSERT INTO `lang_definitions` VALUES (77949, 4272, 15, 'Παρ');
INSERT INTO `lang_definitions` VALUES (77950, 4278, 15, 'Πλήρες όνομα');
INSERT INTO `lang_definitions` VALUES (77951, 4279, 15, 'Πλήρες ή Αρχικά');
INSERT INTO `lang_definitions` VALUES (77952, 4280, 15, 'Πλήρης διαδρομή για τον κατάλογο που περιέχει τα εκτελέσιμα αρχεία της MySQL.');
INSERT INTO `lang_definitions` VALUES (77953, 4281, 15, 'Πλήρης διαδρομή για τον κατάλογο που περιέχει τα εκτελέσιμα αρχεία της Perl.');
INSERT INTO `lang_definitions` VALUES (77954, 4282, 15, 'Πλήρες path στον κατάλογο backup της καταγραφής logs.');
INSERT INTO `lang_definitions` VALUES (77955, 4283, 15, 'Πλήρες path στον κατάλογο των προσωρινών αρχείων:');
INSERT INTO `lang_definitions` VALUES (77956, 4285, 15, 'Πλήρης Οθόνη');
INSERT INTO `lang_definitions` VALUES (77957, 4286, 15, 'Πλήρης εκπαίδευση');
INSERT INTO `lang_definitions` VALUES (77958, 4287, 15, 'Πλήρης Οθόνη');
INSERT INTO `lang_definitions` VALUES (77959, 4288, 15, 'Πλήρως εξοφλημένο');
INSERT INTO `lang_definitions` VALUES (77960, 4289, 15, 'Λειτουργική και Νοητική Κατάσταση');
INSERT INTO `lang_definitions` VALUES (77961, 4290, 15, 'Φόρμα Λειτουργικής και Νοητικής Κατάστασης');
INSERT INTO `lang_definitions` VALUES (77962, 4291, 15, 'Λειτουργική και Νοητική Κατάσταση');
INSERT INTO `lang_definitions` VALUES (77963, 4292, 15, 'Λειτουργική Κατάσταση');
INSERT INTO `lang_definitions` VALUES (77964, 4293, 15, 'Πηγή Χρηματοδότησης');
INSERT INTO `lang_definitions` VALUES (77965, 4296, 15, 'Μελλοντικά Ραντεβού');
INSERT INTO `lang_definitions` VALUES (77966, 4297, 15, 'Πα');
INSERT INTO `lang_definitions` VALUES (77967, 4302, 15, 'Πάθηση χοληδόχου κύστης');
INSERT INTO `lang_definitions` VALUES (77968, 4303, 15, 'Χολόλιθοι');
INSERT INTO `lang_definitions` VALUES (77969, 4304, 15, 'Περίοδος παιχνιδιού');
INSERT INTO `lang_definitions` VALUES (77970, 4305, 15, 'Παιχνίδια');
INSERT INTO `lang_definitions` VALUES (77971, 4306, 15, 'Απωλεσθέντα παιγνίδια');
INSERT INTO `lang_definitions` VALUES (77972, 4307, 15, 'παιχνίδια/ συμβάντα');
INSERT INTO `lang_definitions` VALUES (77973, 4308, 15, 'Απωλεσθέντα παιχνίδια/ συμβάντα');
INSERT INTO `lang_definitions` VALUES (77974, 4310, 15, 'Γαστρίτιδα');
INSERT INTO `lang_definitions` VALUES (77975, 4311, 15, 'Επιγάστριον άλγος');
INSERT INTO `lang_definitions` VALUES (77976, 4312, 15, 'Πεπτικό');
INSERT INTO `lang_definitions` VALUES (77977, 4316, 15, 'Αναφορά στατιστικών GCAC');
INSERT INTO `lang_definitions` VALUES (77978, 4317, 15, 'Στατιστ. GCAC');
INSERT INTO `lang_definitions` VALUES (77979, 4318, 15, 'Το έντυπο επίσκεψης GCAC λείπει');
INSERT INTO `lang_definitions` VALUES (77980, 4319, 15, 'Φύλο');
INSERT INTO `lang_definitions` VALUES (77981, 4320, 15, 'Φύλο');
INSERT INTO `lang_definitions` VALUES (77982, 4321, 15, 'Γενικά');
INSERT INTO `lang_definitions` VALUES (77983, 4322, 15, 'Γενικά στοιχεία');
INSERT INTO `lang_definitions` VALUES (77984, 4323, 15, 'Λίστα Γενικών Θεμάτων');
INSERT INTO `lang_definitions` VALUES (77985, 4324, 15, 'Γενικός Ιατρός');
INSERT INTO `lang_definitions` VALUES (77986, 4327, 15, 'Γενικό Θέμα');
INSERT INTO `lang_definitions` VALUES (77987, 4328, 15, 'Γενικό Θέμα (χρειάζεται έξοδος/σύνδεση μετά από αλλαγή αυτής της ρύθμισης)');
INSERT INTO `lang_definitions` VALUES (77988, 4329, 15, 'Γενικά, είναι καλή ιδέα να το συμπεριλάβετε');
INSERT INTO `lang_definitions` VALUES (77989, 4331, 15, 'Δημιουργία');
INSERT INTO `lang_definitions` VALUES (77990, 4332, 15, 'Δημιουργία και κατέβασμα εγγράφου αιτήσεων CMS 1500');
INSERT INTO `lang_definitions` VALUES (77991, 4334, 15, 'Δημιουργία και κατέβασμα εγγράφου αιτήσεων HCFA 1500');
INSERT INTO `lang_definitions` VALUES (77992, 4337, 15, 'Δημιουργία και κατέβασμα ενεργειών Χ12');
INSERT INTO `lang_definitions` VALUES (77993, 4338, 15, 'Δημιουργία και κατέβασμα δέσμης ενεργειών με αιτήσεις πληρωμής Χ12');
INSERT INTO `lang_definitions` VALUES (77994, 4341, 15, 'Δημιουργία και μετάδοση επιτρεπόμενων συνταγών ηλεκτρονικά.');
INSERT INTO `lang_definitions` VALUES (77995, 4342, 15, 'Δημιουργία CMS 1500');
INSERT INTO `lang_definitions` VALUES (77996, 4343, 15, 'Δημιουργ. PDF CMS 1500');
INSERT INTO `lang_definitions` VALUES (77997, 4344, 15, 'Δημιουργ. TEXT CMS 1500');
INSERT INTO `lang_definitions` VALUES (77998, 4345, 15, 'Δημιουργία HCFA');
INSERT INTO `lang_definitions` VALUES (77999, 4347, 15, 'Δημιουργία Παραστατικού');
INSERT INTO `lang_definitions` VALUES (78000, 4348, 15, 'Δημιουργία Επιστολής');
INSERT INTO `lang_definitions` VALUES (78001, 4349, 15, 'Δημιουργία Επιστολής σχετικά με');
INSERT INTO `lang_definitions` VALUES (78002, 4350, 15, 'Δημιουργία νέου κλειδιού');
INSERT INTO `lang_definitions` VALUES (78003, 4351, 15, 'Δημιουργία αναφοράς PQRI (Μέθοδος Α)');
INSERT INTO `lang_definitions` VALUES (78004, 4353, 15, 'Δημιουργία αναφοράς PQRI (Μέθοδος Ε)');
INSERT INTO `lang_definitions` VALUES (78005, 4357, 15, 'Δημιουργία Αναφοράς');
INSERT INTO `lang_definitions` VALUES (78006, 4361, 15, 'Δημιουργία ασφαλούς κλειδιού');
INSERT INTO `lang_definitions` VALUES (78007, 4364, 15, 'Δημιουργία Εικονιδίων');
INSERT INTO `lang_definitions` VALUES (78008, 4365, 15, 'Δημιουργία Ονόματος χρήστη και Κωδικού για');
INSERT INTO `lang_definitions` VALUES (78009, 4366, 15, 'Δημιουργ. Χ12');
INSERT INTO `lang_definitions` VALUES (78010, 4368, 15, 'Δημιουργ. Επίσκεψης Χ12');
INSERT INTO `lang_definitions` VALUES (78011, 4370, 15, 'Δημιουργήθηκε στις');
INSERT INTO `lang_definitions` VALUES (78012, 4372, 15, 'Δημιουργεί');
INSERT INTO `lang_definitions` VALUES (78013, 4377, 15, 'Ουρογεννητικό');
INSERT INTO `lang_definitions` VALUES (78014, 4378, 15, 'Ουρολόγος');
INSERT INTO `lang_definitions` VALUES (78015, 4379, 15, 'ΓΕΝ');
INSERT INTO `lang_definitions` VALUES (78016, 4381, 15, 'Γερμανικά');
INSERT INTO `lang_definitions` VALUES (78017, 4382, 15, 'Ηλικία κύησης');
INSERT INTO `lang_definitions` VALUES (78018, 4383, 15, 'Ηλικία κύησης');
INSERT INTO `lang_definitions` VALUES (78019, 4384, 15, 'Λήψη Ιστορικού');
INSERT INTO `lang_definitions` VALUES (78020, 4385, 15, 'ΛΗΨΗ HL7');
INSERT INTO `lang_definitions` VALUES (78021, 4386, 15, 'Λάβετε το HL7');
INSERT INTO `lang_definitions` VALUES (78022, 4387, 15, 'Ας ξεκινήσουμε');
INSERT INTO `lang_definitions` VALUES (78023, 4390, 15, 'ΓΕΣ');
INSERT INTO `lang_definitions` VALUES (78024, 4392, 15, 'Γλαύκωμα');
INSERT INTO `lang_definitions` VALUES (78025, 4393, 15, 'Οικογεν. ιστορικό γλαυκώματος');
INSERT INTO `lang_definitions` VALUES (78026, 4395, 15, 'Γενικό');
INSERT INTO `lang_definitions` VALUES (78027, 4397, 15, 'Γενική Προεπιλεγμένη Χώρα Ασθενούς');
INSERT INTO `lang_definitions` VALUES (78028, 4399, 15, 'Γεν. Ρυθμίσεις');
INSERT INTO `lang_definitions` VALUES (78029, 4400, 15, 'Γενικές Ρυθμίσεις');
INSERT INTO `lang_definitions` VALUES (78030, 4403, 15, 'Ξεκινήστε');
INSERT INTO `lang_definitions` VALUES (78031, 4404, 15, 'ξεκινήστε');
INSERT INTO `lang_definitions` VALUES (78032, 4405, 15, 'Πίσω');
INSERT INTO `lang_definitions` VALUES (78033, 4406, 15, 'Πίσω');
INSERT INTO `lang_definitions` VALUES (78034, 4407, 15, 'Μετάβαση σε');
INSERT INTO `lang_definitions` VALUES (78035, 4417, 15, 'Μετάβαση στην εβδομάδα');
INSERT INTO `lang_definitions` VALUES (78036, 4418, 15, 'Μετάβαση στο σήμερα');
INSERT INTO `lang_definitions` VALUES (78037, 4419, 15, 'Στόχος Α');
INSERT INTO `lang_definitions` VALUES (78038, 4420, 15, 'Στόχος και Μέθοδοι');
INSERT INTO `lang_definitions` VALUES (78039, 4421, 15, 'Στόχος Β');
INSERT INTO `lang_definitions` VALUES (78040, 4422, 15, 'Στόχος Γ');
INSERT INTO `lang_definitions` VALUES (78041, 4428, 15, 'Βαθμός κάκωσης');
INSERT INTO `lang_definitions` VALUES (78042, 4429, 15, 'Βαθμός:');
INSERT INTO `lang_definitions` VALUES (78043, 4430, 15, 'γραμμ.');
INSERT INTO `lang_definitions` VALUES (78044, 4431, 15, 'Σύνολο');
INSERT INTO `lang_definitions` VALUES (78045, 4432, 15, 'Σύνολα');
INSERT INTO `lang_definitions` VALUES (78046, 4433, 15, 'Εγγόνι');
INSERT INTO `lang_definitions` VALUES (78047, 4434, 15, 'Παππούς / Γιαγιά');
INSERT INTO `lang_definitions` VALUES (78048, 4435, 15, 'Γραφικό');
INSERT INTO `lang_definitions` VALUES (78049, 4436, 15, 'Προπάππους/Προγιαγιά');
INSERT INTO `lang_definitions` VALUES (78050, 4437, 15, 'Μεγαλύτερο από');
INSERT INTO `lang_definitions` VALUES (78051, 4438, 15, 'Μεγαλύτερο ή ίσο από');
INSERT INTO `lang_definitions` VALUES (78052, 4439, 15, 'Ελληνικά');
INSERT INTO `lang_definitions` VALUES (78053, 4440, 15, 'Ελληνικά, Μοντέρνα');
INSERT INTO `lang_definitions` VALUES (78054, 4442, 15, 'Ομάδα');
INSERT INTO `lang_definitions` VALUES (78055, 4459, 15, 'Όνομα ομάδας');
INSERT INTO `lang_definitions` VALUES (78056, 4460, 15, 'Τα ονόματα ομάδας δεν μπορούν να είναι κενά');
INSERT INTO `lang_definitions` VALUES (78057, 4461, 15, 'Τα ονόματα ομάδας δεν μπορούν να αρχίζουν με αριθμούς ή κενά');
INSERT INTO `lang_definitions` VALUES (78058, 4462, 15, 'Τα ονόματα ομάδας δεν μπορούν να αρχίζουν με αριθμούς');
INSERT INTO `lang_definitions` VALUES (78059, 4463, 15, 'Αριθμός ομάδας');
INSERT INTO `lang_definitions` VALUES (78060, 4465, 15, 'Πληρωμή ομάδας');
INSERT INTO `lang_definitions` VALUES (78061, 4466, 15, 'Ιδιότητες Ομάδας');
INSERT INTO `lang_definitions` VALUES (78062, 4469, 15, 'Τύπος Ομάδας');
INSERT INTO `lang_definitions` VALUES (78063, 4470, 15, 'Όνομα ομάδας');
INSERT INTO `lang_definitions` VALUES (78064, 4471, 15, 'Ομάδα:');
INSERT INTO `lang_definitions` VALUES (78065, 4472, 15, 'Όνομα ομάδας');
INSERT INTO `lang_definitions` VALUES (78066, 4473, 15, 'Ομάδες');
INSERT INTO `lang_definitions` VALUES (78067, 4474, 15, 'Ομάδες');
INSERT INTO `lang_definitions` VALUES (78068, 4475, 15, 'Ομάδες και Έλεγχος Πρόσβασης');
INSERT INTO `lang_definitions` VALUES (78069, 4476, 15, 'Καμπύλη Ανάπτυξης');
INSERT INTO `lang_definitions` VALUES (78070, 4477, 15, 'Καμπύλη Ανάπτυξης');
INSERT INTO `lang_definitions` VALUES (78071, 4478, 15, 'σταγόνες (drops)');
INSERT INTO `lang_definitions` VALUES (78072, 4479, 15, 'Μικρονησιακή γλώσσα Γουάμ');
INSERT INTO `lang_definitions` VALUES (78073, 4482, 15, 'Κηδεμόνας');
INSERT INTO `lang_definitions` VALUES (78074, 4483, 15, 'Email Κηδεμόνος');
INSERT INTO `lang_definitions` VALUES (78075, 4484, 15, 'Όνομα Κηδεμόνος');
INSERT INTO `lang_definitions` VALUES (78076, 4485, 15, 'Όνομα Κηδεμόνος');
INSERT INTO `lang_definitions` VALUES (78077, 4489, 15, 'Γυναικολογική εξέταση');
INSERT INTO `lang_definitions` VALUES (78078, 4490, 15, 'ώρες');
INSERT INTO `lang_definitions` VALUES (78079, 4492, 15, 'με την κατάκλιση');
INSERT INTO `lang_definitions` VALUES (78080, 4493, 15, 'Ιστορικό Ηπατίτιδος');
INSERT INTO `lang_definitions` VALUES (78081, 4494, 15, 'είχαν διαγραφεί επιτυχώς. Όλες οι υποκατηγορίες, αν υπάρχουν, μεταφέρθηκαν παρακάτω');
INSERT INTO `lang_definitions` VALUES (78082, 4495, 15, 'Αιμάτωμα / μώλωπες');
INSERT INTO `lang_definitions` VALUES (78083, 4496, 15, 'Κατάσταση Ενδονοσοκ. Λοίμωξης');
INSERT INTO `lang_definitions` VALUES (78084, 4499, 15, 'Άκρα Χείρα + Δάκτυλα');
INSERT INTO `lang_definitions` VALUES (78085, 4500, 15, 'Προβλήμ. Άκρας Χειρός');
INSERT INTO `lang_definitions` VALUES (78086, 4502, 15, 'Χρόνια Πολλά');
INSERT INTO `lang_definitions` VALUES (78087, 4505, 15, 'Σκληρός Δίσκος');
INSERT INTO `lang_definitions` VALUES (78088, 4506, 15, 'Δυσκολίες με');
INSERT INTO `lang_definitions` VALUES (78089, 4507, 15, 'συνδέθηκε με επίσκεψη');
INSERT INTO `lang_definitions` VALUES (78090, 4508, 15, 'έληξε');
INSERT INTO `lang_definitions` VALUES (78091, 4509, 15, 'Hash');
INSERT INTO `lang_definitions` VALUES (78092, 4511, 15, 'Δεν υπάρχει hash για αυτό το αρχείο. Ένα νέο hash δημιουργήθηκε.');
INSERT INTO `lang_definitions` VALUES (78093, 4512, 15, 'Το hash δεν ταιριάζει. Η ακεραιότητα των δεδομένων έχει παραβιαστεί.');
INSERT INTO `lang_definitions` VALUES (78094, 4516, 15, 'Επικίνδυνες δραστηριότητες');
INSERT INTO `lang_definitions` VALUES (78095, 4517, 15, 'Επικίνδυνες δραστηριότητες');
INSERT INTO `lang_definitions` VALUES (78096, 4521, 15, 'Αριστερό όριο HCFA σε σημεία');
INSERT INTO `lang_definitions` VALUES (78097, 4522, 15, 'Όρια HCFA');
INSERT INTO `lang_definitions` VALUES (78098, 4523, 15, 'Άνω όριο HCFA σε σημεία');
INSERT INTO `lang_definitions` VALUES (78099, 4524, 15, 'Διαδικασία/Υπηρεσία HCPCS');
INSERT INTO `lang_definitions` VALUES (78100, 4528, 15, 'Κεφαλή');
INSERT INTO `lang_definitions` VALUES (78101, 4529, 15, 'Περίμ. Κεφ.');
INSERT INTO `lang_definitions` VALUES (78102, 4530, 15, 'Περίμετρος Κεφαλής');
INSERT INTO `lang_definitions` VALUES (78103, 4531, 15, 'Κεφαλαλγία');
INSERT INTO `lang_definitions` VALUES (78104, 4532, 15, 'Κεφαλαλγίες');
INSERT INTO `lang_definitions` VALUES (78105, 4533, 15, 'Επικεφαλίδα');
INSERT INTO `lang_definitions` VALUES (78106, 4536, 15, 'Πάροχοι Υγείας');
INSERT INTO `lang_definitions` VALUES (78107, 4537, 15, 'Κέντρο Υγείας/Κλινική/Ιατρείο');
INSERT INTO `lang_definitions` VALUES (78108, 4540, 15, 'Οργανισμός Διατήρησης Υγείας');
INSERT INTO `lang_definitions` VALUES (78109, 4541, 15, 'Οργανισμός Φροντίδας Υγείας Medicare Risk');
INSERT INTO `lang_definitions` VALUES (78110, 4542, 15, 'Απώλεια ακοής');
INSERT INTO `lang_definitions` VALUES (78111, 4543, 15, 'Έμφραγμα μυοκαρδίου');
INSERT INTO `lang_definitions` VALUES (78112, 4544, 15, 'Καρδιοπάθεια');
INSERT INTO `lang_definitions` VALUES (78113, 4545, 15, 'Καρδιακή ανεπάρκεια');
INSERT INTO `lang_definitions` VALUES (78114, 4546, 15, 'Πρόβλημα καρδιάς');
INSERT INTO `lang_definitions` VALUES (78115, 4547, 15, 'Καρδιαγγειακό');
INSERT INTO `lang_definitions` VALUES (78116, 4548, 15, 'Καρδιοχειρουργική επέμβαση');
INSERT INTO `lang_definitions` VALUES (78117, 4549, 15, 'Μεταμόσχευση καρδιάς');
INSERT INTO `lang_definitions` VALUES (78118, 4550, 15, 'ΚΑΡΔΙΑ:');
INSERT INTO `lang_definitions` VALUES (78119, 4551, 15, 'Αίσθηση οπισθοστερνικού καύσους');
INSERT INTO `lang_definitions` VALUES (78120, 4552, 15, 'Ζέστη ή κρύο');
INSERT INTO `lang_definitions` VALUES (78121, 4553, 15, 'Ζέστη ή κρύο');
INSERT INTO `lang_definitions` VALUES (78122, 4554, 15, 'Εντατικός καπνιστής');
INSERT INTO `lang_definitions` VALUES (78123, 4555, 15, 'Εβραϊκά');
INSERT INTO `lang_definitions` VALUES (78124, 4557, 15, 'Κεφαλή, οφθαλμοί, ώτα, μύτη και φάρυγξ');
INSERT INTO `lang_definitions` VALUES (78125, 4558, 15, 'Ύψος');
INSERT INTO `lang_definitions` VALUES (78126, 4559, 15, 'Ύψος/Μήκος');
INSERT INTO `lang_definitions` VALUES (78127, 4560, 15, 'Βοήθεια');
INSERT INTO `lang_definitions` VALUES (78128, 4561, 15, 'βοήθεια');
INSERT INTO `lang_definitions` VALUES (78129, 4563, 15, 'Αιματέμεση');
INSERT INTO `lang_definitions` VALUES (78130, 4564, 15, 'Αιματοχεσία');
INSERT INTO `lang_definitions` VALUES (78131, 4565, 15, 'Αιματολογικό');
INSERT INTO `lang_definitions` VALUES (78132, 4566, 15, 'Αιματουρία');
INSERT INTO `lang_definitions` VALUES (78133, 4567, 15, 'Αιμοσφαιρίνη');
INSERT INTO `lang_definitions` VALUES (78134, 4568, 15, 'Αιμοσφαιρίνη A1C');
INSERT INTO `lang_definitions` VALUES (78135, 4569, 15, 'Αιμόπτυση');
INSERT INTO `lang_definitions` VALUES (78136, 4570, 15, 'Ηπατίτιδα');
INSERT INTO `lang_definitions` VALUES (78137, 4571, 15, 'Ηπατ. Α 1');
INSERT INTO `lang_definitions` VALUES (78138, 4572, 15, 'Ηπατ. Α 2');
INSERT INTO `lang_definitions` VALUES (78139, 4573, 15, 'Ηπατ. Β 1');
INSERT INTO `lang_definitions` VALUES (78140, 4574, 15, 'Ηπατ. Β 2');
INSERT INTO `lang_definitions` VALUES (78141, 4575, 15, 'Ηπατ. Β 3');
INSERT INTO `lang_definitions` VALUES (78142, 4576, 15, 'εδώ');
INSERT INTO `lang_definitions` VALUES (78143, 4580, 15, 'Διόρθωση Κήλης');
INSERT INTO `lang_definitions` VALUES (78144, 4581, 15, 'Κήλη δίσκου');
INSERT INTO `lang_definitions` VALUES (78145, 4582, 15, 'Έρπης');
INSERT INTO `lang_definitions` VALUES (78146, 4585, 15, 'Δισταγμός');
INSERT INTO `lang_definitions` VALUES (78147, 4586, 15, 'Ήσασταν εδώ για');
INSERT INTO `lang_definitions` VALUES (78148, 4587, 15, 'Αιμόφιλος 1');
INSERT INTO `lang_definitions` VALUES (78149, 4588, 15, 'Αιμόφιλος 2');
INSERT INTO `lang_definitions` VALUES (78150, 4589, 15, 'Αιμόφιλος 3');
INSERT INTO `lang_definitions` VALUES (78151, 4590, 15, 'Αιμόφιλος 4');
INSERT INTO `lang_definitions` VALUES (78152, 4591, 15, 'Κρυφό');
INSERT INTO `lang_definitions` VALUES (78153, 4592, 15, 'Διαχείριση κρυφών Συμβάντων');
INSERT INTO `lang_definitions` VALUES (78154, 4593, 15, 'Απόκρυψη');
INSERT INTO `lang_definitions` VALUES (78155, 4594, 15, 'Απόκρυψη Widget Χρέωσης');
INSERT INTO `lang_definitions` VALUES (78156, 4595, 15, 'Απόκρυψη λεπτομερειών');
INSERT INTO `lang_definitions` VALUES (78157, 4597, 15, 'Απόκρυψη Επιλογών Κρυπτογράφησης/Αποκρυπτογράφησης στο Διαχειριστή Εγγράφων');
INSERT INTO `lang_definitions` VALUES (78158, 4599, 15, 'Απόκρυψη μενού');
INSERT INTO `lang_definitions` VALUES (78159, 4600, 15, 'Απόκρυψη δυνατότητας εκτύπωσης');
INSERT INTO `lang_definitions` VALUES (78160, 4601, 15, 'Απόκρυψη Υπενθυμίσεων');
INSERT INTO `lang_definitions` VALUES (78161, 4602, 15, 'Απόκρυψη αυτού του πεδίου');
INSERT INTO `lang_definitions` VALUES (78162, 4603, 15, 'Απόκρ./ Εμφάνιση Στηλών');
INSERT INTO `lang_definitions` VALUES (78163, 4605, 15, 'Υψηλή');
INSERT INTO `lang_definitions` VALUES (78164, 4607, 15, 'Αρτηρ. Υπέρταση');
INSERT INTO `lang_definitions` VALUES (78165, 4609, 15, 'Ινδικά');
INSERT INTO `lang_definitions` VALUES (78166, 4610, 15, 'Ισχίο + βουβωνική χώρα');
INSERT INTO `lang_definitions` VALUES (78167, 4611, 15, 'Ισχίο και βουβωνική χώρα');
INSERT INTO `lang_definitions` VALUES (78168, 4612, 15, 'Προβλήμ. ισχίου');
INSERT INTO `lang_definitions` VALUES (78169, 4613, 15, 'Αντικατάσταση ισχίου');
INSERT INTO `lang_definitions` VALUES (78170, 4615, 15, 'Ελήφθη Αίτημα Χορήγησης Ιατρικών Δεδομένων στον Ασθενή');
INSERT INTO `lang_definitions` VALUES (78171, 4617, 15, 'Υπερτρίχωση');
INSERT INTO `lang_definitions` VALUES (78172, 4618, 15, 'Ισπανόφωνος');
INSERT INTO `lang_definitions` VALUES (78173, 4619, 15, 'Ισπανόφωνος - Αλλο (Γενν. στις ΗΠΑ)');
INSERT INTO `lang_definitions` VALUES (78174, 4620, 15, 'Ισπανόφωνος - Αλλο (Γενν. εκτός ΗΠΑ)');
INSERT INTO `lang_definitions` VALUES (78175, 4621, 15, 'Ισπανόφωνος ή Λατίνος');
INSERT INTO `lang_definitions` VALUES (78176, 4622, 15, 'Ιστορικές πληροφορίες - αδιευκρίνιστη πηγή');
INSERT INTO `lang_definitions` VALUES (78177, 4623, 15, 'Ιστορικό');
INSERT INTO `lang_definitions` VALUES (78178, 4626, 15, 'Ιστορικό');
INSERT INTO `lang_definitions` VALUES (78179, 4627, 15, 'Βοήθεια Ιστορικού');
INSERT INTO `lang_definitions` VALUES (78180, 4629, 15, 'Δεδομένα Ιστορικού');
INSERT INTO `lang_definitions` VALUES (78181, 4630, 15, 'Ημ. Ιστορικού');
INSERT INTO `lang_definitions` VALUES (78182, 4631, 15, 'Πεδία Ιστορικού');
INSERT INTO `lang_definitions` VALUES (78183, 4632, 15, 'Ιστορικό φυσημάτων');
INSERT INTO `lang_definitions` VALUES (78184, 4633, 15, 'Απαιτείται Εξουσιοδότηση για πρόσβαση στο Ιστορικό');
INSERT INTO `lang_definitions` VALUES (78185, 4634, 15, 'Ιστορικό καρδιακών φυσημάτων');
INSERT INTO `lang_definitions` VALUES (78186, 4635, 15, 'Ιστορικό Παρούσας Νόσου: Ένα λεπτομερές ΙΠΝ μπορεί να ολοκληρωθεί χρησιμοποιώντας ΕΙΤΕ 4 ή περισσότερα στοιχεία ΙΠΝ Ή την κατάσταση 3 χρόνιων ή ανενεργών προβλημάτων.');
INSERT INTO `lang_definitions` VALUES (78187, 4638, 15, 'Επιτυχίες');
INSERT INTO `lang_definitions` VALUES (78188, 4639, 15, 'HIV');
INSERT INTO `lang_definitions` VALUES (78189, 4640, 15, 'Κνίδωση');
INSERT INTO `lang_definitions` VALUES (78190, 4649, 15, 'Σύστημα εμφάνισης του HL7');
INSERT INTO `lang_definitions` VALUES (78191, 4653, 15, 'Κρατήστε το [Ctrl] πατημένο για πολλαπλή επιλογή ή αποεπιλογή');
INSERT INTO `lang_definitions` VALUES (78192, 4655, 15, 'Κρατήστε το [Ctrl] πατημένο για επιλογή πολλών αντικειμένων');
INSERT INTO `lang_definitions` VALUES (78193, 4656, 15, 'Κρατήστε το [Ctrl] πατημένο για επιλογή πολλών ομάδων');
INSERT INTO `lang_definitions` VALUES (78194, 4657, 15, 'Διαχείριση Διακοπών');
INSERT INTO `lang_definitions` VALUES (78195, 4658, 15, 'Αρχική');
INSERT INTO `lang_definitions` VALUES (78196, 4659, 15, 'Τηλέφ. οικίας');
INSERT INTO `lang_definitions` VALUES (78197, 4660, 15, 'Αρ. τηλεφ. Οικίας');
INSERT INTO `lang_definitions` VALUES (78198, 4661, 15, 'Άστεγος');
INSERT INTO `lang_definitions` VALUES (78199, 4662, 15, 'Άστεγος ή παρόμοιο;');
INSERT INTO `lang_definitions` VALUES (78200, 4663, 15, 'Καταφύγιο Αστέγων');
INSERT INTO `lang_definitions` VALUES (78201, 4664, 15, 'Άστεγος, κτλ');
INSERT INTO `lang_definitions` VALUES (78202, 4665, 15, 'Άστεγος, κτλ');
INSERT INTO `lang_definitions` VALUES (78203, 4674, 15, 'Όνομα Host');
INSERT INTO `lang_definitions` VALUES (78204, 4675, 15, 'Το όνομα Host δεν μπορεί να είναι κενό.');
INSERT INTO `lang_definitions` VALUES (78205, 4676, 15, 'ώρα');
INSERT INTO `lang_definitions` VALUES (78206, 4677, 15, 'Ώρα');
INSERT INTO `lang_definitions` VALUES (78207, 4678, 15, 'Ώρες');
INSERT INTO `lang_definitions` VALUES (78208, 4679, 15, 'ώρες');
INSERT INTO `lang_definitions` VALUES (78209, 4680, 15, 'Πόσο άσχημο είναι; 0-10, ήπιο, μέτριο, δριμύ;');
INSERT INTO `lang_definitions` VALUES (78210, 4681, 15, 'Πως συνέβη η κάκωση;');
INSERT INTO `lang_definitions` VALUES (78211, 4682, 15, 'Πως συνέβη η κάκωση;');
INSERT INTO `lang_definitions` VALUES (78212, 4683, 15, 'Πως ακούσανε για εμάς');
INSERT INTO `lang_definitions` VALUES (78213, 4684, 15, 'Πόσο διαρκεί;');
INSERT INTO `lang_definitions` VALUES (78214, 4685, 15, 'Σε βάθος πόσων μηνών στο μέλλον, να ρωτήσω για επερχόμενα συμβάντα;');
INSERT INTO `lang_definitions` VALUES (78215, 4687, 15, 'Τρόπος ταξινόμησης αναπτυσσόμενων λιστών;');
INSERT INTO `lang_definitions` VALUES (78216, 4690, 15, 'Ιστορ. Παρ. Νόσου');
INSERT INTO `lang_definitions` VALUES (78217, 4691, 15, 'Στοιχεία ΙΠΝ');
INSERT INTO `lang_definitions` VALUES (78218, 4692, 15, 'ΙΠΝ:');
INSERT INTO `lang_definitions` VALUES (78219, 4695, 15, 'HTML');
INSERT INTO `lang_definitions` VALUES (78220, 4696, 15, 'Εξαγωγή HTML;');
INSERT INTO `lang_definitions` VALUES (78221, 4697, 15, 'Υπέρταση');
INSERT INTO `lang_definitions` VALUES (78222, 4698, 15, 'Σφάλμα Http');
INSERT INTO `lang_definitions` VALUES (78223, 4699, 15, 'Ασφαλής σύνδεση https για την υπηρεσία υποστήριξης OpenEMR LLC LAB exchange');
INSERT INTO `lang_definitions` VALUES (78224, 4701, 15, 'Ουγγρικά');
INSERT INTO `lang_definitions` VALUES (78225, 4702, 15, 'Κατάλογος Hylafax');
INSERT INTO `lang_definitions` VALUES (78226, 4704, 15, 'Διακομιστής Hylafax');
INSERT INTO `lang_definitions` VALUES (78227, 4705, 15, 'Διακομιστής Hylafax');
INSERT INTO `lang_definitions` VALUES (78228, 4706, 15, 'Υπερκινητικότητα');
INSERT INTO `lang_definitions` VALUES (78229, 4708, 15, 'Υπέρταση');
INSERT INTO `lang_definitions` VALUES (78230, 4709, 15, 'Υπέρταση: Μέτρηση Αρτηριακής Πίεσης');
INSERT INTO `lang_definitions` VALUES (78231, 4710, 15, 'Υπέρταση: Μέτρηση Αρτηριακής Πίεσης');
INSERT INTO `lang_definitions` VALUES (78232, 4711, 15, 'Υπερθυρεοειδισμός');
INSERT INTO `lang_definitions` VALUES (78233, 4713, 15, 'Υποθυρεοειδισμός');
INSERT INTO `lang_definitions` VALUES (78234, 4716, 15, 'Υστερεκτομή');
INSERT INTO `lang_definitions` VALUES (78235, 4717, 15, 'Εγώ');
INSERT INTO `lang_definitions` VALUES (78236, 4718, 15, 'Είμαι απασχολημένος/η αυτό τον καιρό');
INSERT INTO `lang_definitions` VALUES (78237, 4719, 15, 'Δεν έχω την άδεια να διαβάσω');
INSERT INTO `lang_definitions` VALUES (78238, 4720, 15, 'Έχω διαβάσει και αποδέχομαι');
INSERT INTO `lang_definitions` VALUES (78239, 4722, 15, 'Το γνωρίζω, αλλά είναι απαραίτητο!');
INSERT INTO `lang_definitions` VALUES (78240, 4724, 15, 'ICD');
INSERT INTO `lang_definitions` VALUES (78241, 4725, 15, 'Διάγνωση ICD10');
INSERT INTO `lang_definitions` VALUES (78242, 4726, 15, 'Ιατρική Πράξη/Υπηρεσία ICD10');
INSERT INTO `lang_definitions` VALUES (78243, 4727, 15, 'ICD9');
INSERT INTO `lang_definitions` VALUES (78244, 4728, 15, 'Διάγνωση ICD9');
INSERT INTO `lang_definitions` VALUES (78245, 4729, 15, 'Ιατρική Πράξη/Υπηρεσία ICD9');
INSERT INTO `lang_definitions` VALUES (78246, 4731, 15, 'εικονίδιο');
INSERT INTO `lang_definitions` VALUES (78247, 4733, 15, 'Εικονίδια');
INSERT INTO `lang_definitions` VALUES (78248, 4734, 15, 'Κωδ.');
INSERT INTO `lang_definitions` VALUES (78249, 4735, 15, 'κωδ.');
INSERT INTO `lang_definitions` VALUES (78250, 4736, 15, 'Κωδ.');
INSERT INTO `lang_definitions` VALUES (78251, 4738, 15, 'Ο κωδικός δεν μπορεί να είναι κενός');
INSERT INTO `lang_definitions` VALUES (78252, 4739, 15, 'Ταυτότητα');
INSERT INTO `lang_definitions` VALUES (78253, 4743, 15, 'αναγνωρίστηκε ως');
INSERT INTO `lang_definitions` VALUES (78254, 4745, 15, 'Αναγνωριστικό (μια λέξη)');
INSERT INTO `lang_definitions` VALUES (78255, 4746, 15, 'Κωδικός ταυτοποίησης');
INSERT INTO `lang_definitions` VALUES (78256, 4747, 15, 'Δευτερόλ. μέχρι τη λήξη μίας Αδρανούς Συνεδρίας');
INSERT INTO `lang_definitions` VALUES (78257, 4749, 15, 'εάν');
INSERT INTO `lang_definitions` VALUES (78258, 4755, 15, 'Αν όλα τα δεδομένα για όλες τις στήλες είναι πλήρη για αυτό το έντυπο');
INSERT INTO `lang_definitions` VALUES (78259, 4757, 15, 'Αν χρησιμοποιήσετε αιτιολόγηση χρέωσης, βάλτε το όνομα του κωδικού διάγνωσης');
INSERT INTO `lang_definitions` VALUES (78260, 4763, 15, 'αν εισάγετε, επιλέξτε μόνο αυτούς που είχαν αυτήν την υπηρεσία');
INSERT INTO `lang_definitions` VALUES (78261, 4765, 15, 'αν όνομα, οποιοδήποτε τμήμα του επωνύμου ή επώνυμο,όνομα');
INSERT INTO `lang_definitions` VALUES (78262, 4770, 15, 'Εάν πληρώνει με');
INSERT INTO `lang_definitions` VALUES (78263, 4771, 15, 'Εάν ο ασθενής έχει πεθάνει, τότε εισάγετε την ημερ. θανάτου.');
INSERT INTO `lang_definitions` VALUES (78264, 4775, 15, 'Εάν χρησιμοποιείται SMTP, εισάγετε το όνομα του host ή τη διεύθυνση IP.');
INSERT INTO `lang_definitions` VALUES (78265, 4776, 15, 'Εάν χρησιμοποιείται SMTP, ο αριθμός θύρας TCP του server (συνήθως 25).');
INSERT INTO `lang_definitions` VALUES (78266, 4803, 15, 'αν άνεργος εισάγετε Φοιτητής');
INSERT INTO `lang_definitions` VALUES (78267, 4805, 15, 'Αν έχει επιλεγεί η μορφή Έτη-Μήνες-Ημέρες για την εμφάνιση ηλικίας, αλλαγή σε -Έτη- όταν η ηλικία των ασθενών (σε έτη) είναι μεγαλύτερη από την τιμή αυτή');
INSERT INTO `lang_definitions` VALUES (78268, 4814, 15, 'Εάν αλλάξετε τον ρόλο του e-RX για την ηλεκτρονική συνταγογράφηση, μπορεί να επηρεάσει τη ροή εργασίας της ηλεκτρονικής συνταγογράφησης. Αν αντιμετωπίζετε οποιαδήποτε δυσκολία, επικοινωνήστε με τον προμηθευτή της ηλεκτρονικής συνταγογράφησης.');
INSERT INTO `lang_definitions` VALUES (78269, 4824, 15, 'Αν δεν επιλέξετε μία εγγραφή που να ταιριάζει, ο ασθενής θα δημιουργηθεί.');
INSERT INTO `lang_definitions` VALUES (78270, 4833, 15, 'Εάν επιλέξατε να ανεβάσετε ηλεκτρον. εμβάσματα, τότε το παράθυρο αναζήτησης θα επανεμφανισθεί, με τα τιμολόγια που ταιριάζουν από το αρχείο X12. Μπορείτε να κάνετε κλικ σε οποιονδήποτε αριθμό παραστατικού (όπως περιγράφεται παρακάτω), εάν θέλετε να κάνετε διορθώσεις πριν να οριστικοποιηθούν οι πληροφορίες εμβάσματος. Για να εφαρμόσετε τις αλλαγές, κάντε κλικ στο κουμπί \"Επεξεργασία ERA\" στο κάτω μέρος της σελίδας. Θα εμφανισθεί ένα νέο παράθυρο με μια λεπτομερή αναφορά.');
INSERT INTO `lang_definitions` VALUES (78271, 4836, 15, 'Εάν έχετε εισάγει μια Ημ/νία Πληρωμής στη σελίδα αναζήτησης, αυτή θα υπερισχύσει της ημ/νίας αποστολής των πληρωμών και των προσαρμογών, που λαμβάνονται ούτως ή άλλως από το αρχείο X12. Αυτό μπορεί να είναι χρήσιμο για λόγους αναφοράς, αν θέλετε οι αναφορές των αποδείξεών σας να κάνουν χρήση της ημ/νίας αποστολής σας αντί της ημ/νίας επεξεργασίας από την ασφαλιστική εταιρείας. Σημειώστε ότι αυτό θα επηρεάσει επίσης τις ημερομηνίες των προηγούμενων πληρωμών και τις προσαρμογές που έχουν τεθεί σε δευτερεύουσες απαιτήσεις.');
INSERT INTO `lang_definitions` VALUES (78272, 4846, 15, 'Αν πραγματοποιήσατε αλλαγές και επιθυμείτε να το ξαναστείλετε, διαγράψτε το αρχικό (στις Επικοινωνίες) και προσπαθήστε ξανά.');
INSERT INTO `lang_definitions` VALUES (78273, 4850, 15, 'Αν θέλετε να αλλάξετε τους τύπους δεδομένων, ή να προσθέσετε γραμμές ή στήλες');
INSERT INTO `lang_definitions` VALUES (78274, 4851, 15, 'Αν θέλετε να αναβαθμίσετε τη βάση δεδομένων, τοποθετήστε το αρχείο zip της βάσης δεδομένων στον ακόλουθο κατάλογο.');
INSERT INTO `lang_definitions` VALUES (78275, 4854, 15, 'Αγνόησε');
INSERT INTO `lang_definitions` VALUES (78276, 4856, 15, 'Νόσος');
INSERT INTO `lang_definitions` VALUES (78277, 4857, 15, 'Ενδομυϊκά');
INSERT INTO `lang_definitions` VALUES (78278, 4859, 15, 'Αποτελέσματα Απεικονιστικών');
INSERT INTO `lang_definitions` VALUES (78279, 4860, 15, 'Εικόνες');
INSERT INTO `lang_definitions` VALUES (78280, 4861, 15, 'Απεικόνιση');
INSERT INTO `lang_definitions` VALUES (78281, 4863, 15, 'Υπηρεσία απεικόνισης');
INSERT INTO `lang_definitions` VALUES (78282, 4864, 15, 'Ανοσοποιητικό Σύστημα');
INSERT INTO `lang_definitions` VALUES (78283, 4865, 15, 'Εμβολιασμός');
INSERT INTO `lang_definitions` VALUES (78284, 4866, 15, 'Σημείο Εμβολιασμού');
INSERT INTO `lang_definitions` VALUES (78285, 4867, 15, 'Κωδικός εμβολιασμού');
INSERT INTO `lang_definitions` VALUES (78286, 4868, 15, 'Κατάσταση Ολοκλήρωσης Εμβολιασμού');
INSERT INTO `lang_definitions` VALUES (78287, 4869, 15, 'Ημ. Εμβολιασμού');
INSERT INTO `lang_definitions` VALUES (78288, 4870, 15, 'Ημ. Λήξης Ανοσοποίησης');
INSERT INTO `lang_definitions` VALUES (78289, 4871, 15, 'Πηγή Πληροφοριών Εμβολιασμού');
INSERT INTO `lang_definitions` VALUES (78290, 4872, 15, 'Αριθμός παρτίδας εμβολίου');
INSERT INTO `lang_definitions` VALUES (78291, 4873, 15, 'Κατασκευαστής εμβολίου');
INSERT INTO `lang_definitions` VALUES (78292, 4876, 15, 'Εντολέας Εμβολιασμού');
INSERT INTO `lang_definitions` VALUES (78293, 4877, 15, 'Λόγος Άρνησης Εμβολιασμού');
INSERT INTO `lang_definitions` VALUES (78294, 4878, 15, 'Μητρώο εμβολιασμών');
INSERT INTO `lang_definitions` VALUES (78295, 4879, 15, 'Κατάσταση Μητρώου Εμβολιασμών');
INSERT INTO `lang_definitions` VALUES (78296, 4880, 15, 'Έναρξη Ισχύος Μητρώου Εμβολιασμών');
INSERT INTO `lang_definitions` VALUES (78297, 4881, 15, 'Αναφορά Ανοσοποίησης');
INSERT INTO `lang_definitions` VALUES (78298, 4882, 15, 'Υπηρεσία εμβολιασμών');
INSERT INTO `lang_definitions` VALUES (78299, 4883, 15, 'Τίτλος εμβολιασμού');
INSERT INTO `lang_definitions` VALUES (78300, 4885, 15, 'Εμβολιασμοί');
INSERT INTO `lang_definitions` VALUES (78301, 4887, 15, 'Ανοσοποίηση');
INSERT INTO `lang_definitions` VALUES (78302, 4888, 15, 'Ανοσολογικό');
INSERT INTO `lang_definitions` VALUES (78303, 4889, 15, 'Ανοσο');
INSERT INTO `lang_definitions` VALUES (78304, 4890, 15, 'ΑΝΟΣΟ');
INSERT INTO `lang_definitions` VALUES (78305, 4893, 15, 'Εμφυτεύματα');
INSERT INTO `lang_definitions` VALUES (78306, 4894, 15, 'Εισαγωγή');
INSERT INTO `lang_definitions` VALUES (78307, 4895, 15, 'Εισαγωγή Όλων');
INSERT INTO `lang_definitions` VALUES (78308, 4896, 15, 'Εισαγωγή CCDA');
INSERT INTO `lang_definitions` VALUES (78309, 4897, 15, 'Εισαγωγή CCR');
INSERT INTO `lang_definitions` VALUES (78310, 4898, 15, 'Εισαγ. του πιστοποιητικού στον browser');
INSERT INTO `lang_definitions` VALUES (78311, 4899, 15, 'Εισαγ. Ρυθμίσεων');
INSERT INTO `lang_definitions` VALUES (78312, 4902, 15, 'Εισαγωγή συμβάντων διακοπών');
INSERT INTO `lang_definitions` VALUES (78313, 4903, 15, 'Εισαγωγή Διακοπών');
INSERT INTO `lang_definitions` VALUES (78314, 4904, 15, 'Εισαγ. Ασθενούς');
INSERT INTO `lang_definitions` VALUES (78315, 4905, 15, 'Εισαγ. δημογραφ. ασθενούς');
INSERT INTO `lang_definitions` VALUES (78316, 4910, 15, 'Σημαντικοί Κωδικοί');
INSERT INTO `lang_definitions` VALUES (78317, 4912, 15, 'ΣΗΜΑΝΤΙΚΟ: Αυτό το εργαλείο upload είναι μόνο για να ανεβάζετε έγγραφα για ασθενείς που δεν εισήχθησαν ακόμη στο σύστημα. Για να ανεβάσετε αρχεία για ασθενείς που έχουν ήδη εισαχθεί στο σύστημα, παρακαλώ χρησιμοποιήστε το εργαλείο για upload που είναι συνδεδεμένο μέσα στην οθόνη για την Περίληψη Ασθενούς.');
INSERT INTO `lang_definitions` VALUES (78318, 4913, 15, 'Εισηγμένες Αλλεργίες');
INSERT INTO `lang_definitions` VALUES (78319, 4914, 15, 'Εισήχθη από το Λογιστήριο');
INSERT INTO `lang_definitions` VALUES (78320, 4915, 15, 'Εισηγμένες Φαρμ. Αγωγές');
INSERT INTO `lang_definitions` VALUES (78321, 4916, 15, 'Εισηγμένα Προβλήματα');
INSERT INTO `lang_definitions` VALUES (78322, 4920, 15, 'Βελτιωμένο');
INSERT INTO `lang_definitions` VALUES (78323, 4922, 15, 'σε');
INSERT INTO `lang_definitions` VALUES (78324, 4923, 15, 'ΣΕ');
INSERT INTO `lang_definitions` VALUES (78325, 4931, 15, 'σε κάθε οφθαλμό');
INSERT INTO `lang_definitions` VALUES (78326, 4932, 15, 'Στο εξεταστήριο');
INSERT INTO `lang_definitions` VALUES (78327, 4934, 15, 'στον Αριστ. οφθαλμό');
INSERT INTO `lang_definitions` VALUES (78328, 4935, 15, 'στον Ρώθωνα');
INSERT INTO `lang_definitions` VALUES (78329, 4936, 15, 'Στο Ιατρείο');
INSERT INTO `lang_definitions` VALUES (78330, 4947, 15, 'Στο Δεξιό οφθαλμό');
INSERT INTO `lang_definitions` VALUES (78331, 4952, 15, 'Όπως το περιγράφει ο ασθενής');
INSERT INTO `lang_definitions` VALUES (78332, 4957, 15, 'Σε χρήση');
INSERT INTO `lang_definitions` VALUES (78333, 4958, 15, 'Κατ\' οίκον');
INSERT INTO `lang_definitions` VALUES (78334, 4960, 15, 'Ανενεργό');
INSERT INTO `lang_definitions` VALUES (78335, 4965, 15, 'Ανενεργές ημέρες');
INSERT INTO `lang_definitions` VALUES (78336, 4966, 15, 'Ανενεργά Μηνύματα');
INSERT INTO `lang_definitions` VALUES (78337, 4967, 15, 'Εισερχόμενα');
INSERT INTO `lang_definitions` VALUES (78338, 4970, 15, 'Να συμπεριληφθεί το Checksum');
INSERT INTO `lang_definitions` VALUES (78339, 4971, 15, 'Συμπερίληψη Ολοκληρωμένων');
INSERT INTO `lang_definitions` VALUES (78340, 4973, 15, 'Συμπερίληψη Ανενεργών');
INSERT INTO `lang_definitions` VALUES (78341, 4974, 15, 'Να συμπεριληφθούν οι ανενεργοί χρήστες');
INSERT INTO `lang_definitions` VALUES (78342, 4975, 15, 'Να συμπεριληφθούν τα μη κατηγοριοποιημενα');
INSERT INTO `lang_definitions` VALUES (78343, 4976, 15, 'Να συμπεριληφθούν τα μη δομημένα δεδομένα');
INSERT INTO `lang_definitions` VALUES (78344, 4977, 15, 'Να συμπεριληφθούν τα Ζωτικά');
INSERT INTO `lang_definitions` VALUES (78345, 4978, 15, 'Να συμπεριληφθούν τα Ζωτικά;');
INSERT INTO `lang_definitions` VALUES (78346, 4981, 15, 'Συμπερίληψη');
INSERT INTO `lang_definitions` VALUES (78347, 4982, 15, 'Εισόδημα');
INSERT INTO `lang_definitions` VALUES (78348, 4983, 15, 'Εισερχόμενα αποτελέσματα που απαιτούν προσοχή:');
INSERT INTO `lang_definitions` VALUES (78349, 4984, 15, 'Ατελής');
INSERT INTO `lang_definitions` VALUES (78350, 4985, 15, 'Ατελής θεραπεία άμβλωσης');
INSERT INTO `lang_definitions` VALUES (78351, 4986, 15, 'Ακράτεια');
INSERT INTO `lang_definitions` VALUES (78352, 4987, 15, 'Ενσωμάτωση αποτελεσμάτων κλινικών εργαστηριακών εξετάσεων σε πιστοποιημένη τεχνολογία EHR ως δομημένα δεδομένα.');
INSERT INTO `lang_definitions` VALUES (78353, 4988, 15, 'Λάθος κωδικός πρόσβασης!');
INSERT INTO `lang_definitions` VALUES (78354, 4990, 15, 'αυξημένο:');
INSERT INTO `lang_definitions` VALUES (78355, 4991, 15, 'Αποζημίωση από Ασφαλ.εταιρεία');
INSERT INTO `lang_definitions` VALUES (78356, 4992, 15, 'Ανεξάρτητη Κλινική');
INSERT INTO `lang_definitions` VALUES (78357, 4993, 15, 'Ανεξάρτητο Εργαστήριο');
INSERT INTO `lang_definitions` VALUES (78358, 4994, 15, 'Απροσδιόριστο');
INSERT INTO `lang_definitions` VALUES (78359, 4995, 15, 'Ινδικά');
INSERT INTO `lang_definitions` VALUES (78360, 4998, 15, 'Υποδεικνύει ανωμαλία');
INSERT INTO `lang_definitions` VALUES (78361, 5000, 15, 'Δείχνει αν αυτό το Issue είναι ενεργό');
INSERT INTO `lang_definitions` VALUES (78362, 5001, 15, 'Ενδείξεις');
INSERT INTO `lang_definitions` VALUES (78363, 5002, 15, 'Δείκτης για ειδική χρήση');
INSERT INTO `lang_definitions` VALUES (78364, 5003, 15, 'Ανασφάλιστοι Ασθενείς');
INSERT INTO `lang_definitions` VALUES (78365, 5004, 15, 'Αναφορά Ανασφάλιστων Ασθενών');
INSERT INTO `lang_definitions` VALUES (78366, 5005, 15, 'Ανασφάλιστοι');
INSERT INTO `lang_definitions` VALUES (78367, 5010, 15, 'Προκλητή άμβλωση');
INSERT INTO `lang_definitions` VALUES (78368, 5011, 15, 'Βιομηχανία');
INSERT INTO `lang_definitions` VALUES (78369, 5012, 15, 'Δεν δικαιούται');
INSERT INTO `lang_definitions` VALUES (78370, 5013, 15, 'Λοίμωξη / Απόστημα');
INSERT INTO `lang_definitions` VALUES (78371, 5014, 15, 'Λοιμώξεις');
INSERT INTO `lang_definitions` VALUES (78372, 5015, 15, 'Συμβουλ. Στειρότητος');
INSERT INTO `lang_definitions` VALUES (78373, 5016, 15, 'Υπογονιμότητα');
INSERT INTO `lang_definitions` VALUES (78374, 5017, 15, 'Γρίπη 1');
INSERT INTO `lang_definitions` VALUES (78375, 5018, 15, 'Γρίπη 2');
INSERT INTO `lang_definitions` VALUES (78376, 5019, 15, 'Εμβολιασμός γρίππης για ασθενείς >= 50 ετών');
INSERT INTO `lang_definitions` VALUES (78377, 5020, 15, 'Εμβολιασμός γρίππης για ασθενείς >= 50 ετών');
INSERT INTO `lang_definitions` VALUES (78378, 5021, 15, 'Εμβόλιο γρίππης');
INSERT INTO `lang_definitions` VALUES (78379, 5022, 15, 'Πληροφορίες');
INSERT INTO `lang_definitions` VALUES (78380, 5023, 15, 'Δοκιμή πληροφορίας 1');
INSERT INTO `lang_definitions` VALUES (78381, 5024, 15, 'Δοκιμή πληροφορίας 2');
INSERT INTO `lang_definitions` VALUES (78382, 5025, 15, 'Δοκιμή πληροφορίας 3');
INSERT INTO `lang_definitions` VALUES (78383, 5026, 15, 'Δοκιμή πληροφορίας 4');
INSERT INTO `lang_definitions` VALUES (78384, 5027, 15, 'Δοκιμή πληροφορίας 5');
INSERT INTO `lang_definitions` VALUES (78385, 5028, 15, 'Δοκιμή πληροφορίας 6');
INSERT INTO `lang_definitions` VALUES (78386, 5029, 15, 'Πληροφοριοδότης');
INSERT INTO `lang_definitions` VALUES (78387, 5032, 15, 'Πηγή Πληροφοριών');
INSERT INTO `lang_definitions` VALUES (78388, 5033, 15, 'κατ');
INSERT INTO `lang_definitions` VALUES (78389, 5034, 15, 'εισπνοές (inh)');
INSERT INTO `lang_definitions` VALUES (78390, 5036, 15, 'εισπνοές');
INSERT INTO `lang_definitions` VALUES (78391, 5037, 15, 'Αρχικός Πληθυσμός Ασθενών');
INSERT INTO `lang_definitions` VALUES (78392, 5038, 15, 'Αρχική Θεραπεία');
INSERT INTO `lang_definitions` VALUES (78393, 5039, 15, 'Αρχικός Χρήστης');
INSERT INTO `lang_definitions` VALUES (78394, 5041, 15, 'Ενέσ./Αποκατάστ.');
INSERT INTO `lang_definitions` VALUES (78395, 5042, 15, 'ενέσιμα');
INSERT INTO `lang_definitions` VALUES (78396, 5043, 15, 'Ένεση');
INSERT INTO `lang_definitions` VALUES (78397, 5044, 15, 'Τραυματισμένο τμήμα σώματος');
INSERT INTO `lang_definitions` VALUES (78398, 5046, 15, 'Κάκωση');
INSERT INTO `lang_definitions` VALUES (78399, 5047, 15, 'Μηχανισμός κάκωσης');
INSERT INTO `lang_definitions` VALUES (78400, 5048, 15, 'Περιληπτική Αναφορά κάκωσης');
INSERT INTO `lang_definitions` VALUES (78401, 5049, 15, 'Παρακολούθηση κάκωσης');
INSERT INTO `lang_definitions` VALUES (78402, 5050, 15, 'Τύπος κάκωσης');
INSERT INTO `lang_definitions` VALUES (78403, 5051, 15, 'Σχετιζόμενο με κάκωση/νόσο');
INSERT INTO `lang_definitions` VALUES (78404, 5053, 15, 'Νοσοκομείο Νοσηλείας');
INSERT INTO `lang_definitions` VALUES (78405, 5054, 15, 'Ψηχιατρική Κλινική Νοσηλείας');
INSERT INTO `lang_definitions` VALUES (78406, 5056, 15, 'Πεδίου Εισόδου');
INSERT INTO `lang_definitions` VALUES (78407, 5057, 15, 'INR');
INSERT INTO `lang_definitions` VALUES (78408, 5058, 15, 'Ασφαλ 1');
INSERT INTO `lang_definitions` VALUES (78409, 5059, 15, 'Ασφαλ 2 ή Ασφαλ 3');
INSERT INTO `lang_definitions` VALUES (78410, 5060, 15, 'Διεύθ. Ασφαλ');
INSERT INTO `lang_definitions` VALUES (78411, 5061, 15, 'Προσαρμογή Ασφαλ');
INSERT INTO `lang_definitions` VALUES (78412, 5062, 15, 'Ομαδοποίηση Ασφαλ');
INSERT INTO `lang_definitions` VALUES (78413, 5063, 15, 'Κωδικός Ασφαλ');
INSERT INTO `lang_definitions` VALUES (78414, 5064, 15, 'Ομάδα Ασφαλ');
INSERT INTO `lang_definitions` VALUES (78415, 5065, 15, 'Όνομα Ασφαλ');
INSERT INTO `lang_definitions` VALUES (78416, 5066, 15, 'Η Ασφ πλήρωσε παραπάνω');
INSERT INTO `lang_definitions` VALUES (78417, 5067, 15, 'Ασφαλ Συμβόλαιο');
INSERT INTO `lang_definitions` VALUES (78418, 5068, 15, 'Επιστρ. χρημάτων στην Ασφ');
INSERT INTO `lang_definitions` VALUES (78419, 5069, 15, 'Σύνοψη Ασφ');
INSERT INTO `lang_definitions` VALUES (78420, 5070, 15, 'Ασφαλ./Οικον. θέμα');
INSERT INTO `lang_definitions` VALUES (78421, 5071, 15, 'Ασφ1');
INSERT INTO `lang_definitions` VALUES (78422, 5072, 15, 'Ασφ2');
INSERT INTO `lang_definitions` VALUES (78423, 5073, 15, 'Ασφ3');
INSERT INTO `lang_definitions` VALUES (78424, 5074, 15, 'Εισαγωγή');
INSERT INTO `lang_definitions` VALUES (78425, 5075, 15, 'Εισαγωγή απέτυχε:');
INSERT INTO `lang_definitions` VALUES (78426, 5076, 15, 'Εισαγωγή φυσιολογικών');
INSERT INTO `lang_definitions` VALUES (78427, 5077, 15, 'Εισαγωγή φυσιολογικών - 100/100');
INSERT INTO `lang_definitions` VALUES (78428, 5078, 15, 'Εισαγωγή φυσιολογικών - 11/11');
INSERT INTO `lang_definitions` VALUES (78429, 5079, 15, 'Τοποθέτηση παλαιών συμβάντων σε πίνακες');
INSERT INTO `lang_definitions` VALUES (78430, 5080, 15, 'Εισάγετε ειδικό πεδίο');
INSERT INTO `lang_definitions` VALUES (78431, 5081, 15, 'Εισάγετε το κλειδί στη θύρα USB');
INSERT INTO `lang_definitions` VALUES (78432, 5085, 15, 'Αϋπνία');
INSERT INTO `lang_definitions` VALUES (78433, 5086, 15, 'Ελέγξτε το αρχείο καταγραφής');
INSERT INTO `lang_definitions` VALUES (78434, 5087, 15, 'Επισκόπηση');
INSERT INTO `lang_definitions` VALUES (78435, 5088, 15, 'Αστάθεια / εξάρθρημα');
INSERT INTO `lang_definitions` VALUES (78436, 5089, 15, 'ΕΓΚΑΤΑΣΤΑΣΗ');
INSERT INTO `lang_definitions` VALUES (78437, 5090, 15, 'Εγκατάσταση');
INSERT INTO `lang_definitions` VALUES (78438, 5093, 15, 'Εγκατάσταση ΒΔ');
INSERT INTO `lang_definitions` VALUES (78439, 5100, 15, 'Εγκαταστάθηκε η έκδοση');
INSERT INTO `lang_definitions` VALUES (78440, 5102, 15, 'Ενημερωμένο');
INSERT INTO `lang_definitions` VALUES (78441, 5103, 15, 'Ενημέρωση');
INSERT INTO `lang_definitions` VALUES (78442, 5104, 15, 'Οδηγίες');
INSERT INTO `lang_definitions` VALUES (78443, 5105, 15, 'Οδηγίες:');
INSERT INTO `lang_definitions` VALUES (78444, 5106, 15, 'Ανεπαρκές απόθεμα προϊόντος');
INSERT INTO `lang_definitions` VALUES (78445, 5107, 15, 'Ανεπαρκής απογραφή αποθεμάτων για τον Κωδικό του προϊόντος');
INSERT INTO `lang_definitions` VALUES (78446, 5108, 15, 'Ινσουλινοεξαρτώμενος διαβήτης');
INSERT INTO `lang_definitions` VALUES (78447, 5109, 15, 'Ασφάλιση');
INSERT INTO `lang_definitions` VALUES (78448, 5110, 15, 'ασφάλιση');
INSERT INTO `lang_definitions` VALUES (78449, 5111, 15, 'Ταχ. Διεύθυνση Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (78450, 5113, 15, 'Ρύθμιση Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (78451, 5114, 15, 'Υπόλοιπο Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (78452, 5115, 15, 'Χρεωστικό Υπόλοιπο Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (78453, 5116, 15, 'Ασφαλιστ. Εταιρ.');
INSERT INTO `lang_definitions` VALUES (78454, 5117, 15, 'Ασφαλιστ. Εταιρείες');
INSERT INTO `lang_definitions` VALUES (78455, 5118, 15, 'Ασφαλιστ. Εταιρεία');
INSERT INTO `lang_definitions` VALUES (78456, 5119, 15, 'Ασφαλ. Εταιρία Αναζήτ./ Προσθήκη');
INSERT INTO `lang_definitions` VALUES (78457, 5120, 15, 'Πίστωση Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (78458, 5121, 15, 'Στοιχεία Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (78459, 5122, 15, 'Κωδ. Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (78460, 5123, 15, 'Πληροφορίες Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (78461, 5124, 15, 'Πληροφ. ασφάλισης στο αρχείο');
INSERT INTO `lang_definitions` VALUES (78462, 5125, 15, 'Όνομα Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (78463, 5126, 15, 'Αριθμοί Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (78464, 5127, 15, 'Πληρωμή Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (78465, 5128, 15, 'Πληρωμές Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (78466, 5129, 15, 'Πάροχος Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (78467, 5130, 15, 'Αναζήτηση/Επιλογή/Προσθήκη Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (78468, 5131, 15, 'Τύποι Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (78469, 5132, 15, 'Ασφαλίσεις');
INSERT INTO `lang_definitions` VALUES (78470, 5133, 15, 'Ασφαλισμένος/η');
INSERT INTO `lang_definitions` VALUES (78471, 5134, 15, 'Συμπέρασμα λήψης');
INSERT INTO `lang_definitions` VALUES (78472, 5135, 15, 'Ημ/νία λήψης');
INSERT INTO `lang_definitions` VALUES (78473, 5136, 15, 'Ακέραιοι 1-100');
INSERT INTO `lang_definitions` VALUES (78474, 5138, 15, 'Έκπτωση νοητικών λειτουργιών');
INSERT INTO `lang_definitions` VALUES (78475, 5139, 15, 'Δια-κορική απόσταση');
INSERT INTO `lang_definitions` VALUES (78476, 5148, 15, 'Εσωτ. Αλλεργίες');
INSERT INTO `lang_definitions` VALUES (78477, 5149, 15, 'Εσωτ. σφάλμα – δεν επελέγησαν σελίδες!');
INSERT INTO `lang_definitions` VALUES (78478, 5150, 15, 'Εσωτ. σφάλμα – κωδ. ασθενούς δεν δόθηκε!');
INSERT INTO `lang_definitions` VALUES (78479, 5151, 15, 'Εσωτ. σφάλμα προσπελάζοντας το αρχείο που ανέβηκε!');
INSERT INTO `lang_definitions` VALUES (78480, 5153, 15, 'Εσωτ. σφάλμα!');
INSERT INTO `lang_definitions` VALUES (78481, 5154, 15, 'Εσωτ. σφάλμα, δεν δόθηκε κωδικός φαρμάκου!');
INSERT INTO `lang_definitions` VALUES (78482, 5155, 15, 'Εσωτ. σφάλμα: Αδύνατη η εντόπιση MSH-10');
INSERT INTO `lang_definitions` VALUES (78483, 5156, 15, 'Εσωτ. σφάλμα: αξίωση');
INSERT INTO `lang_definitions` VALUES (78484, 5157, 15, 'Εσωτ. σφάλμα: επίσκεψη');
INSERT INTO `lang_definitions` VALUES (78485, 5158, 15, 'Εσωτ. σφάλμα: λείπει κωδικός ασθενούς ή επίσκεψης.');
INSERT INTO `lang_definitions` VALUES (78486, 5159, 15, 'Εσωτ. σφάλμα: δε φαίνεται να είμαστε σε επίσκεψη!');
INSERT INTO `lang_definitions` VALUES (78487, 5160, 15, 'Εσωτ. κωδικός (pid)');
INSERT INTO `lang_definitions` VALUES (78488, 5161, 15, 'Φάρμακα Εσωτερικής Χρήσης');
INSERT INTO `lang_definitions` VALUES (78489, 5162, 15, 'Προβλήματα Εσωτερικής Παθολογίας');
INSERT INTO `lang_definitions` VALUES (78490, 5163, 15, 'Εσωτ. παραπομπές');
INSERT INTO `lang_definitions` VALUES (78491, 5167, 15, 'Διερμηνέας');
INSERT INTO `lang_definitions` VALUES (78492, 5168, 15, 'Απαιτείται διερμηνέας;');
INSERT INTO `lang_definitions` VALUES (78493, 5169, 15, 'Διάμεση πνευμονική νόσος');
INSERT INTO `lang_definitions` VALUES (78494, 5170, 15, 'Μεσοδιάστημα');
INSERT INTO `lang_definitions` VALUES (78495, 5171, 15, 'Μεσοδιάστημα (λεπτά)');
INSERT INTO `lang_definitions` VALUES (78496, 5172, 15, 'Διάστημα μεταξύ ελέγχων για μηνύματα (επιλέξτε μηδέν για αποκλειστικά χειροκίνητους ελέγχους)');
INSERT INTO `lang_definitions` VALUES (78497, 5173, 15, 'Παρέμβαση');
INSERT INTO `lang_definitions` VALUES (78498, 5174, 15, 'Προσεφέρθη Παρέμβαση');
INSERT INTO `lang_definitions` VALUES (78499, 5175, 15, 'Ανοχή');
INSERT INTO `lang_definitions` VALUES (78500, 5176, 15, 'Ενδοδερμικά');
INSERT INTO `lang_definitions` VALUES (78501, 5177, 15, 'Ενδομυϊκό');
INSERT INTO `lang_definitions` VALUES (78502, 5178, 15, 'ενδομυϊκά');
INSERT INTO `lang_definitions` VALUES (78503, 5179, 15, 'Ενδοφθάλμιες Πιέσεις');
INSERT INTO `lang_definitions` VALUES (78504, 5180, 15, 'Ενδοφθάλμιες Πιέσεις (mmHg) ανά Ημ.');
INSERT INTO `lang_definitions` VALUES (78505, 5181, 15, 'ενδοφλέβια');
INSERT INTO `lang_definitions` VALUES (78506, 5182, 15, 'Εισαγωγή');
INSERT INTO `lang_definitions` VALUES (78507, 5185, 15, 'Άκυρος χαρακτήρας στο');
INSERT INTO `lang_definitions` VALUES (78508, 5186, 15, 'Άκυρο Περιεχόμενο');
INSERT INTO `lang_definitions` VALUES (78509, 5187, 15, 'Άκυρος Αριθμός Πιστ. Κάρτας');
INSERT INTO `lang_definitions` VALUES (78510, 5188, 15, 'Άκυροι Αριθμοί Πιστ. Κάρτας: Παρακαλώ διορθώστε');
INSERT INTO `lang_definitions` VALUES (78511, 5191, 15, 'Άκυρο εύρος ημερ.');
INSERT INTO `lang_definitions` VALUES (78512, 5193, 15, 'Άκυρο Αρχείο');
INSERT INTO `lang_definitions` VALUES (78513, 5195, 15, 'Άκυρο μήκος για');
INSERT INTO `lang_definitions` VALUES (78514, 5196, 15, 'Άκυρος μη-αριθμητικός χαρακτήρας στο');
INSERT INTO `lang_definitions` VALUES (78515, 5197, 15, 'Άκυρος ή ελλιπής πληρωτής στην πηγή για τον κωδικό');
INSERT INTO `lang_definitions` VALUES (78516, 5198, 15, 'Άκυρος κωδικός');
INSERT INTO `lang_definitions` VALUES (78517, 5199, 15, 'Άκυρη διεύθυνση παραλήπτη. Παρακαλώ προσπαθήστε ξανά.');
INSERT INTO `lang_definitions` VALUES (78518, 5200, 15, 'Άκυροι Κωδικοί Υπηρεσίας');
INSERT INTO `lang_definitions` VALUES (78519, 5201, 15, 'Άκυρος προσδιορισμός πηγής');
INSERT INTO `lang_definitions` VALUES (78520, 5202, 15, 'Άκυρο Σύνολο!');
INSERT INTO `lang_definitions` VALUES (78521, 5203, 15, 'Άκυρο όνομα χρήστη ή κωδικός πρόσβασης');
INSERT INTO `lang_definitions` VALUES (78522, 5204, 15, 'Ποσό απογραφής');
INSERT INTO `lang_definitions` VALUES (78523, 5205, 15, 'Απογραφή');
INSERT INTO `lang_definitions` VALUES (78524, 5206, 15, 'Ενέργεια απογραφής');
INSERT INTO `lang_definitions` VALUES (78525, 5207, 15, 'Απογραφή και πώληση φαρμάκων και μη φαρμακευτ. προϊόντων');
INSERT INTO `lang_definitions` VALUES (78526, 5208, 15, 'Απογραφή και πώληση μόνο φαρμάκων');
INSERT INTO `lang_definitions` VALUES (78527, 5209, 15, 'Η απογραφή δεν είναι διαθέσιμη για αυτήν την παραγγελία');
INSERT INTO `lang_definitions` VALUES (78528, 5210, 15, 'Λίστα Απογραφής');
INSERT INTO `lang_definitions` VALUES (78529, 5211, 15, 'Συναλλαγές Αποθήκης');
INSERT INTO `lang_definitions` VALUES (78530, 5212, 15, 'Παραστατικό');
INSERT INTO `lang_definitions` VALUES (78531, 5213, 15, 'παραστατικό');
INSERT INTO `lang_definitions` VALUES (78532, 5214, 15, 'Ενέργειες Παραστατικού');
INSERT INTO `lang_definitions` VALUES (78533, 5215, 15, 'Υπόλοιπο Παραστατικού');
INSERT INTO `lang_definitions` VALUES (78534, 5217, 15, 'Ημ/νία Παραστατικού');
INSERT INTO `lang_definitions` VALUES (78535, 5218, 15, 'Λεπτομέρειες Παραστατικού');
INSERT INTO `lang_definitions` VALUES (78536, 5219, 15, 'Το παραστατικό δεν έχει ημ/νία!');
INSERT INTO `lang_definitions` VALUES (78537, 5220, 15, 'Αριθμός Παραστατικού');
INSERT INTO `lang_definitions` VALUES (78538, 5221, 15, 'Αριθμός Αναφοράς Παραστατικού.');
INSERT INTO `lang_definitions` VALUES (78539, 5222, 15, 'Σύνολο Αριθμών Αναφοράς Παραστατικών, αν χρησιμοποιείται');
INSERT INTO `lang_definitions` VALUES (78540, 5223, 15, 'Σύνολα Αριθμών Αναφοράς Παραστατικών');
INSERT INTO `lang_definitions` VALUES (78541, 5224, 15, 'Σύνολο αριθ αναφ παραστατικών');
INSERT INTO `lang_definitions` VALUES (78542, 5225, 15, 'Αναζήτηση Παραστατικού');
INSERT INTO `lang_definitions` VALUES (78543, 5226, 15, 'Παραστατικό:');
INSERT INTO `lang_definitions` VALUES (78544, 5240, 15, 'Δεδομένα IPPF SRH για');
INSERT INTO `lang_definitions` VALUES (78545, 5241, 15, 'Στατιστική αναφορά IPPF');
INSERT INTO `lang_definitions` VALUES (78546, 5242, 15, 'Στατιστικά IPPF');
INSERT INTO `lang_definitions` VALUES (78547, 5243, 15, 'Εμβόλ. πολυομυελ. IPV 1');
INSERT INTO `lang_definitions` VALUES (78548, 5244, 15, 'Εμβόλ. πολυομυελ. IPV 2');
INSERT INTO `lang_definitions` VALUES (78549, 5245, 15, 'Εμβόλ. πολυομυελ. IPV 3');
INSERT INTO `lang_definitions` VALUES (78550, 5246, 15, 'Εμβόλ. πολυομυελ. IPV 4');
INSERT INTO `lang_definitions` VALUES (78551, 5249, 15, 'Άρρυθμος καρδιακός παλμός');
INSERT INTO `lang_definitions` VALUES (78552, 5250, 15, 'Ευερεθιστότητα');
INSERT INTO `lang_definitions` VALUES (78553, 5251, 15, 'Ερεθισμός');
INSERT INTO `lang_definitions` VALUES (78554, 5252, 15, 'είναι μια διαφορετική έκδοση γλώσσας της ακόλουθης βάσης δεδομένων');
INSERT INTO `lang_definitions` VALUES (78555, 5253, 15, 'είναι μια διαφορετική έκδοση της ακόλουθης βάσης δεδομένων');
INSERT INTO `lang_definitions` VALUES (78556, 5254, 15, 'είναι μια πιο νέα έκδοση της ακόλουθης βάσης δεδομένων');
INSERT INTO `lang_definitions` VALUES (78557, 5256, 15, 'είναι υποχρεωτικό πεδίο.');
INSERT INTO `lang_definitions` VALUES (78558, 5257, 15, 'είναι βασικός κόμβος και δεν μπορεί να σβηστεί');
INSERT INTO `lang_definitions` VALUES (78559, 5258, 15, 'είναι μια επέκταση της ακόλουθης βάσης δεδομένων');
INSERT INTO `lang_definitions` VALUES (78560, 5263, 15, 'είναι άστοχο ή άγνωστο');
INSERT INTO `lang_definitions` VALUES (78561, 5265, 15, 'δεν είναι έγκυρη διεύθυνση email');
INSERT INTO `lang_definitions` VALUES (78562, 5266, 15, 'δεν έχει επιλεχθεί');
INSERT INTO `lang_definitions` VALUES (78563, 5267, 15, 'δεν είναι έγκυρο');
INSERT INTO `lang_definitions` VALUES (78564, 5268, 15, 'δεν είναι έγκυρο (τα δεκαδικά κλάσματα είναι εντάξει).');
INSERT INTO `lang_definitions` VALUES (78565, 5269, 15, 'Η PHP χρησιμοποιεί Safe Mode;');
INSERT INTO `lang_definitions` VALUES (78566, 5272, 15, 'έχει επιλεχθεί');
INSERT INTO `lang_definitions` VALUES (78567, 5273, 15, 'Να μεταφραστεί το κείμενο από τη διάταξη των εντύπων;');
INSERT INTO `lang_definitions` VALUES (78568, 5274, 15, 'Να μεταφραστεί το κείμενο από τις λίστες;');
INSERT INTO `lang_definitions` VALUES (78569, 5275, 15, 'Είναι το αρχείο κρυπτογραφημένο;');
INSERT INTO `lang_definitions` VALUES (78570, 5276, 15, 'Πρόκειται για τύπο κωδικού Κλινικού Όρου;');
INSERT INTO `lang_definitions` VALUES (78571, 5277, 15, 'Πρόκειται για τύπο διάγνωσης;');
INSERT INTO `lang_definitions` VALUES (78572, 5278, 15, 'Πρόκειται για τύπο κωδικού Νοσήματος;');
INSERT INTO `lang_definitions` VALUES (78573, 5279, 15, 'Πρόκειται για τύπο Φαρμάκου;');
INSERT INTO `lang_definitions` VALUES (78574, 5280, 15, 'Αυτό είναι ένα είδος Ιατρικής Πράξης/υπηρεσίας;');
INSERT INTO `lang_definitions` VALUES (78575, 5281, 15, 'Είναι ενεργό;');
INSERT INTO `lang_definitions` VALUES (78576, 5282, 15, 'Είναι ενεργός αυτός ο τύπος κώδικα;');
INSERT INTO `lang_definitions` VALUES (78577, 5283, 15, 'Χρησιμοποιείται αυτός ο κωδικός στα αιτήματα αποζημίωσης;');
INSERT INTO `lang_definitions` VALUES (78578, 5284, 15, 'Είναι αυτό ΟΚ;');
INSERT INTO `lang_definitions` VALUES (78579, 5285, 15, 'Είναι σίγουρα ΟΚ;');
INSERT INTO `lang_definitions` VALUES (78580, 5286, 15, 'Αυτός ο τύπος είναι κρυμμένος στο Χρεωστικό Δελτίο;');
INSERT INTO `lang_definitions` VALUES (78581, 5287, 15, 'Αυτό χρησιμοποιεί εξωτερ. πίνακες SQL; Αν ναι, τότε επιλέξτε τη μορφή');
INSERT INTO `lang_definitions` VALUES (78582, 5288, 15, 'είναι πολύ μακρύ');
INSERT INTO `lang_definitions` VALUES (78583, 5290, 15, 'Θέμα');
INSERT INTO `lang_definitions` VALUES (78584, 5291, 15, 'θέμα');
INSERT INTO `lang_definitions` VALUES (78585, 5292, 15, 'Ημ. Θέματος');
INSERT INTO `lang_definitions` VALUES (78586, 5293, 15, 'Κωδικός Θέματος');
INSERT INTO `lang_definitions` VALUES (78587, 5294, 15, 'Υπότυποι Θέματος');
INSERT INTO `lang_definitions` VALUES (78588, 5295, 15, 'Τίτλος Θέματος');
INSERT INTO `lang_definitions` VALUES (78589, 5296, 15, 'Είδος Θέματος');
INSERT INTO `lang_definitions` VALUES (78590, 5297, 15, 'Είδη Θεμάτων');
INSERT INTO `lang_definitions` VALUES (78591, 5298, 15, 'Θέματα');
INSERT INTO `lang_definitions` VALUES (78592, 5299, 15, 'Θέματα (Κακώσεις/Ιατρικά/Αλλεργία):');
INSERT INTO `lang_definitions` VALUES (78593, 5300, 15, 'Θέματα (Κακώσεις/Ιατρικά/Αλλεργία):');
INSERT INTO `lang_definitions` VALUES (78594, 5302, 15, 'Θέματα και Επισκέψεις');
INSERT INTO `lang_definitions` VALUES (78595, 5303, 15, 'Θέματα και Επισκέψεις για');
INSERT INTO `lang_definitions` VALUES (78596, 5306, 15, 'Βοήθεια για Θέματα');
INSERT INTO `lang_definitions` VALUES (78597, 5307, 15, 'Λίστα Θεμάτων');
INSERT INTO `lang_definitions` VALUES (78598, 5308, 15, 'Δεν υπάρχει εξουσιοδότηση για Θέματα');
INSERT INTO `lang_definitions` VALUES (78599, 5309, 15, 'Τμήμα Θεμάτων');
INSERT INTO `lang_definitions` VALUES (78600, 5364, 15, 'Ιταλικά');
INSERT INTO `lang_definitions` VALUES (78601, 5365, 15, 'Αντικείμενο');
INSERT INTO `lang_definitions` VALUES (78602, 5366, 15, 'αντικείμενο');
INSERT INTO `lang_definitions` VALUES (78603, 5367, 15, 'Λεπτομέρειες Αντικειμένου');
INSERT INTO `lang_definitions` VALUES (78604, 5368, 15, 'αντικείμενα');
INSERT INTO `lang_definitions` VALUES (78605, 5369, 15, 'Η φόρτωση των αντικειμένων απέτυχε');
INSERT INTO `lang_definitions` VALUES (78606, 5371, 15, 'Ενδομήτρια αντισύλληψη');
INSERT INTO `lang_definitions` VALUES (78607, 5372, 15, 'Ενδοφλέβια');
INSERT INTO `lang_definitions` VALUES (78608, 5375, 15, 'Ιαν');
INSERT INTO `lang_definitions` VALUES (78609, 5376, 15, 'Ιανουάριος');
INSERT INTO `lang_definitions` VALUES (78610, 5377, 15, 'Ιαπωνικά');
INSERT INTO `lang_definitions` VALUES (78611, 5378, 15, 'Ίκτερος');
INSERT INTO `lang_definitions` VALUES (78612, 5380, 15, 'Περιγραφή Εργασίας');
INSERT INTO `lang_definitions` VALUES (78613, 5381, 15, 'Κωδικός εργασίας');
INSERT INTO `lang_definitions` VALUES (78614, 5382, 15, 'Εξαρθρήματα');
INSERT INTO `lang_definitions` VALUES (78615, 5383, 15, 'Αρθραλγίες');
INSERT INTO `lang_definitions` VALUES (78616, 5384, 15, 'Διαστρέμματα');
INSERT INTO `lang_definitions` VALUES (78617, 5385, 15, 'Ιουλ');
INSERT INTO `lang_definitions` VALUES (78618, 5386, 15, 'Ιούλιος');
INSERT INTO `lang_definitions` VALUES (78619, 5387, 15, 'Μεταπήδηση σε Επόμενη Σειρά');
INSERT INTO `lang_definitions` VALUES (78620, 5388, 15, 'Ιουν');
INSERT INTO `lang_definitions` VALUES (78621, 5389, 15, 'Ιούνιος');
INSERT INTO `lang_definitions` VALUES (78622, 5390, 15, 'Ακριβώς κάτω από τις πληροφορίες ελέγχου είναι μια μπλε περιοχή όπου τοποθετείτε τις παραμέτρους της αναζήτησής σας. Μπορείτε να αναζητήσετε με βάση το όνομα του ασθενούς, τον αριθμό γραφήματος, τον αριθμό επίσκεψης ή την ημ/νία της υπηρεσίας, ή οποιοδήποτε συνδυασμό αυτών. Μπορείτε επίσης να επιλέξετε αν θέλετε να δείτε όλα τα τιμολόγια, τα ανοικτά τιμολόγια, ή μόνο τα τιμολόγια που οφείλονται (από τον ασθενή). Κάντε κλικ στο κουμπί Αναζήτηση για να εκτελέσετε την αναζήτηση.');
INSERT INTO `lang_definitions` VALUES (78623, 5391, 15, 'Προβολή μόνο των δικών μου');
INSERT INTO `lang_definitions` VALUES (78624, 5392, 15, 'Καταχωρήσεις αιτιολόγησης');
INSERT INTO `lang_definitions` VALUES (78625, 5393, 15, 'Αιτιολόγηση');
INSERT INTO `lang_definitions` VALUES (78626, 5396, 15, 'Αιτιολόγηση/ Αποθήκευση');
INSERT INTO `lang_definitions` VALUES (78627, 5398, 15, 'Εντάξει, ορίστε και τα υπόλοιπα');
INSERT INTO `lang_definitions` VALUES (78628, 5407, 15, 'Κλειδί');
INSERT INTO `lang_definitions` VALUES (78629, 5410, 15, 'Όνομα Κλειδιού');
INSERT INTO `lang_definitions` VALUES (78630, 5411, 15, 'Λέξεις κλειδιά');
INSERT INTO `lang_definitions` VALUES (78631, 5412, 15, 'κιλά');
INSERT INTO `lang_definitions` VALUES (78632, 5413, 15, 'kgr/m^2');
INSERT INTO `lang_definitions` VALUES (78633, 5415, 15, 'Καρκίνος Νεφρού');
INSERT INTO `lang_definitions` VALUES (78634, 5416, 15, 'Νεφρική Ανεπάρκεια');
INSERT INTO `lang_definitions` VALUES (78635, 5417, 15, 'Λοιμώξεις Νεφρού');
INSERT INTO `lang_definitions` VALUES (78636, 5418, 15, 'Νεφρολιθίαση');
INSERT INTO `lang_definitions` VALUES (78637, 5419, 15, 'Μεταμοσχεύση Νεφρού');
INSERT INTO `lang_definitions` VALUES (78638, 5425, 15, 'Γόνατο');
INSERT INTO `lang_definitions` VALUES (78639, 5426, 15, 'Παθήσεις γόνατος');
INSERT INTO `lang_definitions` VALUES (78640, 5427, 15, 'Αντικατάσταση γόνατος');
INSERT INTO `lang_definitions` VALUES (78641, 5430, 15, 'Κορεατικά');
INSERT INTO `lang_definitions` VALUES (78642, 5434, 15, 'Εργαστήριο');
INSERT INTO `lang_definitions` VALUES (78643, 5435, 15, 'Εργαστηριακά Έγγραφα');
INSERT INTO `lang_definitions` VALUES (78644, 5436, 15, 'Διεύθ. Ιστοσελίδας ανταλλαγής εργαστηριακών');
INSERT INTO `lang_definitions` VALUES (78645, 5437, 15, 'Επιτυχίες');
INSERT INTO `lang_definitions` VALUES (78646, 5438, 15, 'Κωδικός κουπονιού για την Ανταλλαγή εργαστηριακών');
INSERT INTO `lang_definitions` VALUES (78647, 5439, 15, 'Παραγγελία Εργαστ. Εξετάσεων');
INSERT INTO `lang_definitions` VALUES (78648, 5440, 15, 'Επισκόπηση εργαστηριακών');
INSERT INTO `lang_definitions` VALUES (78649, 5441, 15, 'Επισκόπηση Εργαστηριακών');
INSERT INTO `lang_definitions` VALUES (78650, 5442, 15, 'Κατάσταση ερωτήματος εργαστηριακών');
INSERT INTO `lang_definitions` VALUES (78651, 5444, 15, 'Αναφορά εργαστηριακών');
INSERT INTO `lang_definitions` VALUES (78652, 5445, 15, 'Αποτέλεσμα εργαστηριακών');
INSERT INTO `lang_definitions` VALUES (78653, 5446, 15, 'Αποτελέσματα εργαστηρ.');
INSERT INTO `lang_definitions` VALUES (78654, 5448, 15, 'Όνομα Κατηγορίας Εργαστ. Αποτελεσμ.');
INSERT INTO `lang_definitions` VALUES (78655, 5449, 15, 'Αναφορά Αποτελεσμάτων Εργαστηριακών');
INSERT INTO `lang_definitions` VALUES (78656, 5450, 15, 'Υπηρεσίες εργαστηριακών');
INSERT INTO `lang_definitions` VALUES (78657, 5451, 15, 'Αποτελέσματα εργαστηριακών τεστ');
INSERT INTO `lang_definitions` VALUES (78658, 5453, 15, 'Ετικέτα');
INSERT INTO `lang_definitions` VALUES (78659, 5454, 15, 'Η ετικέτα δεν μπορεί να είναι κενή');
INSERT INTO `lang_definitions` VALUES (78660, 5455, 15, 'Στήλες Ετικετών');
INSERT INTO `lang_definitions` VALUES (78661, 5456, 15, 'Ετικέτες γι\'αυτόν τον τύπο');
INSERT INTO `lang_definitions` VALUES (78662, 5457, 15, 'Ετικέτα εκτυπώθηκε από');
INSERT INTO `lang_definitions` VALUES (78663, 5458, 15, 'Οι Στήλες Ετικέτας πρέπει να είναι αριθμός μεταξύ 1 και 999');
INSERT INTO `lang_definitions` VALUES (78664, 5459, 15, 'Ετικέτες');
INSERT INTO `lang_definitions` VALUES (78665, 5461, 15, 'Πληροφορίες Εργαστηρίου');
INSERT INTO `lang_definitions` VALUES (78666, 5462, 15, 'Εργαστηριακή Εξέταση');
INSERT INTO `lang_definitions` VALUES (78667, 5463, 15, 'Εργαστηριακά');
INSERT INTO `lang_definitions` VALUES (78668, 5464, 15, 'Θλαστικό/ κατάσταση δέρματος');
INSERT INTO `lang_definitions` VALUES (78669, 5465, 15, 'Θλαστικό / Εκδορά');
INSERT INTO `lang_definitions` VALUES (78670, 5470, 15, 'Οριζόντιος');
INSERT INTO `lang_definitions` VALUES (78671, 5471, 15, 'Γλώσσα');
INSERT INTO `lang_definitions` VALUES (78672, 5472, 15, 'Κωδικός γλώσσας');
INSERT INTO `lang_definitions` VALUES (78673, 5473, 15, 'Ο ορισμός της γλώσσας προστέθηκε');
INSERT INTO `lang_definitions` VALUES (78674, 5474, 15, 'Εργαλείο Διεπαφής Γλώσσας');
INSERT INTO `lang_definitions` VALUES (78675, 5476, 15, 'Λίστα γλωσσών (εγγραφή, προαιρ. προσθήκη)');
INSERT INTO `lang_definitions` VALUES (78676, 5478, 15, 'Όνομα γλώσσας');
INSERT INTO `lang_definitions` VALUES (78677, 5479, 15, 'Γλώσσα:');
INSERT INTO `lang_definitions` VALUES (78678, 5481, 15, 'Κατάγεται από το Λάος');
INSERT INTO `lang_definitions` VALUES (78679, 5485, 15, 'Επίθετο');
INSERT INTO `lang_definitions` VALUES (78680, 5486, 15, 'Ημ. τελευτ. Κίνησης');
INSERT INTO `lang_definitions` VALUES (78681, 5487, 15, 'Τελευταία Σκωληκοειδεκτομή');
INSERT INTO `lang_definitions` VALUES (78682, 5489, 15, 'Ημ. τελευτ. χρέωσης:');
INSERT INTO `lang_definitions` VALUES (78683, 5490, 15, 'Τελευταία Εξέταση Μαστών');
INSERT INTO `lang_definitions` VALUES (78684, 5491, 15, 'Πέρυσι');
INSERT INTO `lang_definitions` VALUES (78685, 5492, 15, 'Τελευταία Εγχείρηση Καταρράκτη');
INSERT INTO `lang_definitions` VALUES (78686, 5493, 15, 'Τελευταία Χολοκυστεκτομή');
INSERT INTO `lang_definitions` VALUES (78687, 5494, 15, 'τελευταία ημερ. αυτού του συμβάντος');
INSERT INTO `lang_definitions` VALUES (78688, 5495, 15, 'Τελευταία Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (78689, 5496, 15, 'Τελευταία Γυναικολ. Εξέταση');
INSERT INTO `lang_definitions` VALUES (78690, 5497, 15, 'Τελευταία Εγχείρηση Καρδιάς');
INSERT INTO `lang_definitions` VALUES (78691, 5498, 15, 'Τελευταία Επιδιόρθωση Κήλης');
INSERT INTO `lang_definitions` VALUES (78692, 5499, 15, 'Τελευταία Αντικατάσταση Ισχίου');
INSERT INTO `lang_definitions` VALUES (78693, 5500, 15, 'Τελευταία Υστερεκτομή');
INSERT INTO `lang_definitions` VALUES (78694, 5501, 15, 'Τελευταία Αντικατάσταση Γόνατος');
INSERT INTO `lang_definitions` VALUES (78695, 5502, 15, 'Τελευταίο επίπεδο που χρεώθηκε');
INSERT INTO `lang_definitions` VALUES (78696, 5503, 15, 'Τελευταία Μαστογραφία');
INSERT INTO `lang_definitions` VALUES (78697, 5504, 15, 'Τελευταία Εμμηνορ. Περίοδος');
INSERT INTO `lang_definitions` VALUES (78698, 5506, 15, 'Τελευταίος μήνας');
INSERT INTO `lang_definitions` VALUES (78699, 5507, 15, 'Επώνυμο');
INSERT INTO `lang_definitions` VALUES (78700, 5508, 15, 'Επώνυμο');
INSERT INTO `lang_definitions` VALUES (78701, 5513, 15, 'Επώνυμο:');
INSERT INTO `lang_definitions` VALUES (78702, 5514, 15, 'Τελευταία Φυσική Εξέταση');
INSERT INTO `lang_definitions` VALUES (78703, 5515, 15, 'Τελευταία Εξέταση Προστάτη');
INSERT INTO `lang_definitions` VALUES (78704, 5516, 15, 'Τελευταία Εξέταση Ορθού');
INSERT INTO `lang_definitions` VALUES (78705, 5517, 15, 'Τελευταία ανασκόπηση');
INSERT INTO `lang_definitions` VALUES (78706, 5518, 15, 'Η τελευταία εκτέλεση άρχισε στις');
INSERT INTO `lang_definitions` VALUES (78707, 5519, 15, 'Τελευταία αποθήκευση');
INSERT INTO `lang_definitions` VALUES (78708, 5520, 15, 'Τελευταία Σιγμοειδο/Κολονοσκόπηση');
INSERT INTO `lang_definitions` VALUES (78709, 5522, 15, 'Τελευταία Αμυγδαλεκτομή');
INSERT INTO `lang_definitions` VALUES (78710, 5525, 15, 'Τελευταία ενημέρωση από');
INSERT INTO `lang_definitions` VALUES (78711, 5526, 15, 'Τελευταία επαλήθευση στις');
INSERT INTO `lang_definitions` VALUES (78712, 5527, 15, 'Τελευταία Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (78713, 5528, 15, 'Τελευταία ακτινογραφία');
INSERT INTO `lang_definitions` VALUES (78714, 5530, 15, 'Όψιμη υποτροπή (2-12 μήνες)');
INSERT INTO `lang_definitions` VALUES (78715, 5531, 15, 'Έξω σφυρό');
INSERT INTO `lang_definitions` VALUES (78716, 5532, 15, 'Έξω σφυρό:');
INSERT INTO `lang_definitions` VALUES (78717, 5533, 15, 'Πλευρά');
INSERT INTO `lang_definitions` VALUES (78718, 5534, 15, 'Πλευρικότητα αυτής της Ιατρικής Πράξης (αν ταιριάζει)');
INSERT INTO `lang_definitions` VALUES (78719, 5535, 15, 'πλαγίως παρεκτοπισμένο σημείο μέγιστης ακρόασης:');
INSERT INTO `lang_definitions` VALUES (78720, 5538, 15, 'Μόνο Τελευταία Αποτελέσματα');
INSERT INTO `lang_definitions` VALUES (78721, 5539, 15, 'Τελευταία Επίσκεψη ή Συμβουλευτική');
INSERT INTO `lang_definitions` VALUES (78722, 5546, 15, 'Δικηγόρος');
INSERT INTO `lang_definitions` VALUES (78723, 5547, 15, 'Διάταξη');
INSERT INTO `lang_definitions` VALUES (78724, 5548, 15, 'Διάταξη (απαιτείται έξοδος/είσοδος για να εφαρμοστούν οι αλλαγές)');
INSERT INTO `lang_definitions` VALUES (78725, 5549, 15, 'Βασίζεται στη Διάταξη');
INSERT INTO `lang_definitions` VALUES (78726, 5550, 15, 'Στήλες Διάταξης');
INSERT INTO `lang_definitions` VALUES (78727, 5551, 15, 'Επεξεργασία Διάταξης');
INSERT INTO `lang_definitions` VALUES (78728, 5552, 15, 'Ομάδες Διάταξης');
INSERT INTO `lang_definitions` VALUES (78729, 5553, 15, 'Κωδ. Διάταξης');
INSERT INTO `lang_definitions` VALUES (78730, 5555, 15, 'Ιδιότητες Διάταξης');
INSERT INTO `lang_definitions` VALUES (78731, 5556, 15, 'Στυλ Διάταξης');
INSERT INTO `lang_definitions` VALUES (78732, 5557, 15, 'LBF Έντυπα Συναλλαγών');
INSERT INTO `lang_definitions` VALUES (78733, 5558, 15, 'LBF Έντυπα Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (78734, 5559, 15, 'Διάταξη Εντύπων');
INSERT INTO `lang_definitions` VALUES (78735, 5560, 15, 'λίβρες');
INSERT INTO `lang_definitions` VALUES (78736, 5561, 15, 'Προεπισκόπηση LBF Εντύπου Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (78737, 5563, 15, 'λίβρες');
INSERT INTO `lang_definitions` VALUES (78738, 5564, 15, 'ΑΒ');
INSERT INTO `lang_definitions` VALUES (78739, 5571, 15, 'LDL');
INSERT INTO `lang_definitions` VALUES (78740, 5572, 15, 'ΑΔ');
INSERT INTO `lang_definitions` VALUES (78741, 5573, 15, 'αφήστε κενό αν είναι ακόμα ενεργό');
INSERT INTO `lang_definitions` VALUES (78742, 5574, 15, 'Αφήστε κενό για να κρατήσετε το πρωτότυπο όνομα αρχείου');
INSERT INTO `lang_definitions` VALUES (78743, 5575, 15, 'Αφήστε κενό για να διατηρηθεί αμετάβλητος ο κωδικός πρόσβασης.');
INSERT INTO `lang_definitions` VALUES (78744, 5576, 15, 'Αφήστε κενή την Κωδικοποίηση');
INSERT INTO `lang_definitions` VALUES (78745, 5577, 15, 'Αφήστε κενή την Κωδικοποίηση, καθώς προσωρινά μπορείτε να εισάγετε αποκλειστικά κωδικούς ICD10');
INSERT INTO `lang_definitions` VALUES (78746, 5578, 15, 'Αφήστε κενό τον Προορισμό');
INSERT INTO `lang_definitions` VALUES (78747, 5580, 15, 'Να σταλεί μήνυμα με');
INSERT INTO `lang_definitions` VALUES (78748, 5582, 15, 'Αφήστε το έντυπο');
INSERT INTO `lang_definitions` VALUES (78749, 5583, 15, 'Αφήνοντας την φράση πρόσβασης κενή δεν θα κρυπτογραφηθεί το έγγραφο');
INSERT INTO `lang_definitions` VALUES (78750, 5584, 15, 'Λογιστικό Καθολικό');
INSERT INTO `lang_definitions` VALUES (78751, 5585, 15, 'Λογιστικό Καθολικό - Συνοψίζει και ομαδοποιεί όλες τις χρεώσεις, πληρωμές, ρυθμίσεις και ισοζύγια για όλες τις επισκέψεις του ασθενούς');
INSERT INTO `lang_definitions` VALUES (78752, 5586, 15, 'Αριστερά');
INSERT INTO `lang_definitions` VALUES (78753, 5587, 15, 'Αριστ. Άνω Άκρο');
INSERT INTO `lang_definitions` VALUES (78754, 5588, 15, 'Αριστ. Δελτοειδής');
INSERT INTO `lang_definitions` VALUES (78755, 5589, 15, 'Αριστ. αυτί');
INSERT INTO `lang_definitions` VALUES (78756, 5590, 15, 'αριστ. αυτί');
INSERT INTO `lang_definitions` VALUES (78757, 5591, 15, 'Αριστ. Μέσος Γλουτιαίος');
INSERT INTO `lang_definitions` VALUES (78758, 5592, 15, 'Αριστ. Φακός');
INSERT INTO `lang_definitions` VALUES (78759, 5593, 15, 'Αριστ. Κάτω Αντιβράχιο');
INSERT INTO `lang_definitions` VALUES (78760, 5594, 15, 'Αριστ. Περιθώριο (mm)');
INSERT INTO `lang_definitions` VALUES (78761, 5595, 15, 'Αριστ. Μηρός');
INSERT INTO `lang_definitions` VALUES (78762, 5596, 15, 'Αριστ. Έξω Πλατύς Μηριαίος');
INSERT INTO `lang_definitions` VALUES (78763, 5599, 15, 'Αριστερά:');
INSERT INTO `lang_definitions` VALUES (78764, 5600, 15, 'Αριστερά:');
INSERT INTO `lang_definitions` VALUES (78765, 5601, 15, 'Άλγος κάτω άκρου/ Μυϊκή σύσπαση');
INSERT INTO `lang_definitions` VALUES (78766, 5602, 15, 'Νομικό');
INSERT INTO `lang_definitions` VALUES (78767, 5604, 15, 'Μέγεθος Χαρτιού Legal');
INSERT INTO `lang_definitions` VALUES (78768, 5605, 15, 'Υπόμνημα:');
INSERT INTO `lang_definitions` VALUES (78769, 5606, 15, 'Μήκος');
INSERT INTO `lang_definitions` VALUES (78770, 5607, 15, 'Μήκος τροποποιητή, 0 αν κανένας');
INSERT INTO `lang_definitions` VALUES (78771, 5608, 15, 'Φακός');
INSERT INTO `lang_definitions` VALUES (78772, 5609, 15, 'Υλικό Φακού');
INSERT INTO `lang_definitions` VALUES (78773, 5610, 15, 'Επιλογές Υλικού Φακού');
INSERT INTO `lang_definitions` VALUES (78774, 5611, 15, 'Πάχος Φακού');
INSERT INTO `lang_definitions` VALUES (78775, 5612, 15, 'Θεραπείες Φακού');
INSERT INTO `lang_definitions` VALUES (78776, 5613, 15, 'Μικρότερο από');
INSERT INTO `lang_definitions` VALUES (78777, 5614, 15, 'Μικρότερο ή ίσο από');
INSERT INTO `lang_definitions` VALUES (78778, 5615, 15, 'Λιγότερο Ευαίσθητα προσωπ. δεδομένα (εγγραφή, προαιρετ. προσθήκη)');
INSERT INTO `lang_definitions` VALUES (78779, 5620, 15, 'Επιστολή');
INSERT INTO `lang_definitions` VALUES (78780, 5621, 15, 'Δημιουργ. Επιστολής');
INSERT INTO `lang_definitions` VALUES (78781, 5622, 15, 'Μέγεθος Χαρτιού Letter');
INSERT INTO `lang_definitions` VALUES (78782, 5623, 15, 'Επιστολή που υπογράφει ο ιατρός');
INSERT INTO `lang_definitions` VALUES (78783, 5624, 15, 'Επιστολή που υπογράφει ο ασθενής');
INSERT INTO `lang_definitions` VALUES (78784, 5626, 15, 'Λειτουργία Ανελκτήρα');
INSERT INTO `lang_definitions` VALUES (78785, 5627, 15, 'Βαθμός επείγοντος');
INSERT INTO `lang_definitions` VALUES (78786, 5630, 15, 'Ευθύνη');
INSERT INTO `lang_definitions` VALUES (78787, 5631, 15, 'Ιατρική ευθύνη');
INSERT INTO `lang_definitions` VALUES (78788, 5632, 15, 'Βιβλιοθήκη');
INSERT INTO `lang_definitions` VALUES (78789, 5633, 15, 'Αρ. Άδειας Οδήγησης / Α.Δ.Τ.');
INSERT INTO `lang_definitions` VALUES (78790, 5639, 15, 'Επώνυμο Αδειοδοτημένου Συνταγογράφου');
INSERT INTO `lang_definitions` VALUES (78791, 5640, 15, 'Εθνικός Κωδικός Αδειοδοτημένου Συνταγογράφου');
INSERT INTO `lang_definitions` VALUES (78792, 5641, 15, 'UPIN Αδειοδοτημένου Συνταγογράφου');
INSERT INTO `lang_definitions` VALUES (78793, 5642, 15, 'Σύζυγος');
INSERT INTO `lang_definitions` VALUES (78794, 5643, 15, 'Απειλητική για τη ζωή');
INSERT INTO `lang_definitions` VALUES (78795, 5644, 15, 'Συνήθειες');
INSERT INTO `lang_definitions` VALUES (78796, 5645, 15, 'Συνήθειες - καταγράφονται: Κάπνισμα, Καφές, Αλκοόλ, Ναρκωτικές Ουσίες κλπ');
INSERT INTO `lang_definitions` VALUES (78797, 5646, 15, 'Κατάσταση συνηθειών');
INSERT INTO `lang_definitions` VALUES (78798, 5647, 15, 'Ρήξη συνδέσμου ή Διάστρεμμα');
INSERT INTO `lang_definitions` VALUES (78799, 5648, 15, 'Ελαφρός καπνιστής');
INSERT INTO `lang_definitions` VALUES (78800, 5651, 15, 'Όριο Συμβάντων');
INSERT INTO `lang_definitions` VALUES (78801, 5652, 15, 'Περιορισμένη Εξέταση');
INSERT INTO `lang_definitions` VALUES (78802, 5653, 15, 'Περιορισμένο ΙΠΝ');
INSERT INTO `lang_definitions` VALUES (78803, 5654, 15, 'Όρια');
INSERT INTO `lang_definitions` VALUES (78804, 5655, 15, 'Γραμμή');
INSERT INTO `lang_definitions` VALUES (78805, 5657, 15, 'Σύνδεσμος');
INSERT INTO `lang_definitions` VALUES (78806, 5658, 15, 'Σύνδεση με Ασθενή');
INSERT INTO `lang_definitions` VALUES (78807, 5659, 15, 'Σύνδεση/Προσθήκη Θεμάτων (Κακώσεις/Ιατρικά/Αλλεργίες) σε Τρέχουσα Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (78808, 5660, 15, 'Συνδεδεμένο');
INSERT INTO `lang_definitions` VALUES (78809, 5661, 15, 'Συνδεδεμένο έγγραφο');
INSERT INTO `lang_definitions` VALUES (78810, 5663, 15, 'συνδεδεμένο με έγγραφο');
INSERT INTO `lang_definitions` VALUES (78811, 5665, 15, 'Λίστα ');
INSERT INTO `lang_definitions` VALUES (78812, 5666, 15, 'πλαίσιο λίστας');
INSERT INTO `lang_definitions` VALUES (78813, 5667, 15, 'πλαίσιο λίστας');
INSERT INTO `lang_definitions` VALUES (78814, 5668, 15, 'πλαίσιο λίστας με προσθήκη');
INSERT INTO `lang_definitions` VALUES (78815, 5669, 15, 'πλαίσιο λίστας με προσθήκη');
INSERT INTO `lang_definitions` VALUES (78816, 5671, 15, 'Επεξεργ. Καταλόγου');
INSERT INTO `lang_definitions` VALUES (78817, 5672, 15, 'Κατάλογος επισκέψεων');
INSERT INTO `lang_definitions` VALUES (78818, 5674, 15, 'Κατάλογος ομάδων');
INSERT INTO `lang_definitions` VALUES (78819, 5675, 15, 'Κατάλογος Ασφαλ. Εταιρειών');
INSERT INTO `lang_definitions` VALUES (78820, 5677, 15, 'Ο κατάλογος αντικειμ. δεν μπορεί να αρχίζει με αριθμό.');
INSERT INTO `lang_definitions` VALUES (78821, 5678, 15, 'Ο κατάλογος αντικειμ. περιέχει ανεπίτρεπτους χαρακτήρες.');
INSERT INTO `lang_definitions` VALUES (78822, 5680, 15, 'Κατάλογος καταλόγων');
INSERT INTO `lang_definitions` VALUES (78823, 5682, 15, 'Όνομα Λίστας ');
INSERT INTO `lang_definitions` VALUES (78824, 5683, 15, 'Τα ονόματα καταλόγου δεν μπορεί να ξεκινούν με αριθμούς.');
INSERT INTO `lang_definitions` VALUES (78825, 5684, 15, 'Λίστα από');
INSERT INTO `lang_definitions` VALUES (78826, 5689, 15, 'Λίστα που χρησιμοποιείται από την παραπάνω επιλογή Τύπου Δεδομένου Χώρας.');
INSERT INTO `lang_definitions` VALUES (78827, 5690, 15, 'Λίστα που χρησιμοποιείται από την παραπάνω επιλογή Τύπου Δεδομένου Νομού.');
INSERT INTO `lang_definitions` VALUES (78828, 5691, 15, 'Η θύρα στην οποία ακούει ο διακομιστής syslog RFC 5425 TLS');
INSERT INTO `lang_definitions` VALUES (78829, 5693, 15, 'Λίστες');
INSERT INTO `lang_definitions` VALUES (78830, 5694, 15, 'Λίστες');
INSERT INTO `lang_definitions` VALUES (78831, 5695, 15, 'Λιθουανικά');
INSERT INTO `lang_definitions` VALUES (78832, 5696, 15, 'Διαθήκη συνταχθείσα εν ζωή');
INSERT INTO `lang_definitions` VALUES (78833, 5700, 15, 'ΑΚ');
INSERT INTO `lang_definitions` VALUES (78834, 5701, 15, 'Αριστερός κάτω λοβός:');
INSERT INTO `lang_definitions` VALUES (78835, 5702, 15, 'ΑΚΒ');
INSERT INTO `lang_definitions` VALUES (78836, 5703, 15, 'ΑΙ');
INSERT INTO `lang_definitions` VALUES (78837, 5704, 15, 'ΑΦ');
INSERT INTO `lang_definitions` VALUES (78838, 5706, 15, 'ΑΕΚ');
INSERT INTO `lang_definitions` VALUES (78839, 5707, 15, 'Τελευταία έμμηνος ρύση');
INSERT INTO `lang_definitions` VALUES (78840, 5709, 15, 'Φόρτωση Ορισμών');
INSERT INTO `lang_definitions` VALUES (78841, 5711, 15, 'Φόρτωση Ρυθμίσεων Εργαστηρίου');
INSERT INTO `lang_definitions` VALUES (78842, 5712, 15, 'Φόρτωση Ρυθμίσεων Ερωτήσεων QE');
INSERT INTO `lang_definitions` VALUES (78843, 5713, 15, 'Φόρτωση Ορισμών Παραγγελίας');
INSERT INTO `lang_definitions` VALUES (78844, 5714, 15, 'Φόρτωση Ερωτήσεων Εισαγωγής Παραγγελίας');
INSERT INTO `lang_definitions` VALUES (78845, 5715, 15, 'ΦΟΡΤΩΣΗ ΕΠΙΤΥΧΗΣ. Οι κωδικοί εισήχθησαν');
INSERT INTO `lang_definitions` VALUES (78846, 5716, 15, 'Φόρτωση');
INSERT INTO `lang_definitions` VALUES (78847, 5717, 15, 'ΦΟΡΤΩΝΕΤΑΙ');
INSERT INTO `lang_definitions` VALUES (78848, 5718, 15, 'Φόρτωση δεδομένων');
INSERT INTO `lang_definitions` VALUES (78849, 5719, 15, 'Φόρτωση περισσότερων αποτελεσμάτων');
INSERT INTO `lang_definitions` VALUES (78850, 5721, 15, 'Φόρτωση των αρχείων στη βάση δεδομένων. Αυτό θα πάρει λίγο χρόνο...');
INSERT INTO `lang_definitions` VALUES (78851, 5722, 15, 'Φόρτωση... Παρακαλώ περιμένετε');
INSERT INTO `lang_definitions` VALUES (78852, 5723, 15, 'Επίπεδο συνείδησης');
INSERT INTO `lang_definitions` VALUES (78853, 5724, 15, 'Τοπικό');
INSERT INTO `lang_definitions` VALUES (78854, 5725, 15, 'Τοπικό Περιεχόμενο');
INSERT INTO `lang_definitions` VALUES (78855, 5726, 15, 'Τοπικό Σύστημα Αρχείων');
INSERT INTO `lang_definitions` VALUES (78856, 5728, 15, 'Γλώσσα');
INSERT INTO `lang_definitions` VALUES (78857, 5729, 15, 'Τοπικότητα');
INSERT INTO `lang_definitions` VALUES (78858, 5730, 15, 'Τοποθεσία');
INSERT INTO `lang_definitions` VALUES (78859, 5731, 15, 'εντοπισμός της μηχανής OpenEMR. Μπορεί να περιέχει ευαίσθητα δεδομένα. Συνιστάται να διαγράψετε χειροκίνητα τα αρχεία μετά τη χρήση του');
INSERT INTO `lang_definitions` VALUES (78860, 5732, 15, 'Τοποθεσία αυτής της παρτίδας');
INSERT INTO `lang_definitions` VALUES (78861, 5733, 15, 'Άγνωστη Τοποθεσία');
INSERT INTO `lang_definitions` VALUES (78862, 5734, 15, 'Τοποθεσία αποθήκευσης των Fax από το Hylafax.');
INSERT INTO `lang_definitions` VALUES (78863, 5735, 15, 'Τοποθεσία όπου αποθηκεύονται οι σαρώσεις.');
INSERT INTO `lang_definitions` VALUES (78864, 5736, 15, 'Τοποθεσία:');
INSERT INTO `lang_definitions` VALUES (78865, 5737, 15, 'Κλείδωμα');
INSERT INTO `lang_definitions` VALUES (78866, 5738, 15, 'Κλείδωμα κάθε e-signed εντύπου ξεχωριστά');
INSERT INTO `lang_definitions` VALUES (78867, 5739, 15, 'Κλείδωμα e-signed επισκέψεων και των εντύπων τους');
INSERT INTO `lang_definitions` VALUES (78868, 5740, 15, 'Κλείδωμα;');
INSERT INTO `lang_definitions` VALUES (78869, 5741, 15, 'Κλειδωμένο');
INSERT INTO `lang_definitions` VALUES (78870, 5744, 15, 'Καταγραφή ολόκληρου του εγγράφου');
INSERT INTO `lang_definitions` VALUES (78871, 5745, 15, 'Είσοδος');
INSERT INTO `lang_definitions` VALUES (78872, 5746, 15, 'Είσοδος');
INSERT INTO `lang_definitions` VALUES (78873, 5749, 15, 'Έξοδος');
INSERT INTO `lang_definitions` VALUES (78874, 5752, 15, 'Συνδέθηκε σε');
INSERT INTO `lang_definitions` VALUES (78875, 5753, 15, 'Συνδέθηκε ως');
INSERT INTO `lang_definitions` VALUES (78876, 5754, 15, 'Συνδέθηκε ως:');
INSERT INTO `lang_definitions` VALUES (78877, 5755, 15, 'Αποσυνδέθηκε.');
INSERT INTO `lang_definitions` VALUES (78878, 5756, 15, 'Καταγραφές');
INSERT INTO `lang_definitions` VALUES (78879, 5757, 15, 'Σύνδεση');
INSERT INTO `lang_definitions` VALUES (78880, 5758, 15, 'σύνδεση');
INSERT INTO `lang_definitions` VALUES (78881, 5763, 15, 'Σύνδεση με απομεμακρυσμένο host');
INSERT INTO `lang_definitions` VALUES (78882, 5764, 15, 'Η σύνδεση με αυτόν τον απομεμακρυσμένο host απέτυχε');
INSERT INTO `lang_definitions` VALUES (78883, 5768, 15, 'Αποσύνδεση');
INSERT INTO `lang_definitions` VALUES (78884, 5769, 15, 'αποσύνδεση');
INSERT INTO `lang_definitions` VALUES (78885, 5770, 15, 'Αρχεία Καταγραφής');
INSERT INTO `lang_definitions` VALUES (78886, 5771, 15, 'Προβολή Καταγραφών');
INSERT INTO `lang_definitions` VALUES (78887, 5776, 15, 'Αναζήτηση');
INSERT INTO `lang_definitions` VALUES (78888, 5777, 15, 'Παρτίδα');
INSERT INTO `lang_definitions` VALUES (78889, 5778, 15, 'Λείπει ο Κωδικός παρτίδας!');
INSERT INTO `lang_definitions` VALUES (78890, 5779, 15, 'Αριθμός παρτίδας');
INSERT INTO `lang_definitions` VALUES (78891, 5780, 15, 'Χαμηλή');
INSERT INTO `lang_definitions` VALUES (78892, 5781, 15, 'Χαμηλή προτεραιότητα');
INSERT INTO `lang_definitions` VALUES (78893, 5782, 15, 'Κατώτερο πόδι');
INSERT INTO `lang_definitions` VALUES (78894, 5783, 15, 'Κάτω Βλέφαρα');
INSERT INTO `lang_definitions` VALUES (78895, 5784, 15, 'Χαμηλότερη δυνατή προτεραιότητα');
INSERT INTO `lang_definitions` VALUES (78896, 5787, 15, 'ΠΦ');
INSERT INTO `lang_definitions` VALUES (78897, 5790, 15, 'ΑΑΒ');
INSERT INTO `lang_definitions` VALUES (78898, 5791, 15, 'Οσφ.Μ.Σ.Σ.');
INSERT INTO `lang_definitions` VALUES (78899, 5792, 15, 'ΓΕΥΜΑ');
INSERT INTO `lang_definitions` VALUES (78900, 5793, 15, 'Γεύμα');
INSERT INTO `lang_definitions` VALUES (78901, 5794, 15, 'Καρκίνος του πνεύμονα');
INSERT INTO `lang_definitions` VALUES (78902, 5795, 15, 'Εγχείρηση καρκίνου του πνεύμονα');
INSERT INTO `lang_definitions` VALUES (78903, 5796, 15, 'ΠΝΕΥΜΟΝΕΣ:');
INSERT INTO `lang_definitions` VALUES (78904, 5797, 15, 'Πνεύμονες:');
INSERT INTO `lang_definitions` VALUES (78905, 5798, 15, 'Λύκος');
INSERT INTO `lang_definitions` VALUES (78906, 5802, 15, 'ΑΡ');
INSERT INTO `lang_definitions` VALUES (78907, 5803, 15, 'ΑΡ');
INSERT INTO `lang_definitions` VALUES (78908, 5804, 15, 'Μ');
INSERT INTO `lang_definitions` VALUES (78909, 5805, 15, 'Κύρια Κατηγορία');
INSERT INTO `lang_definitions` VALUES (78910, 5809, 15, 'Κηλίδα');
INSERT INTO `lang_definitions` VALUES (78911, 5812, 15, 'Μήνυμα Ταχ. Εστάλη');
INSERT INTO `lang_definitions` VALUES (78912, 5813, 15, 'Ταχυδρ. Διεύθυνση');
INSERT INTO `lang_definitions` VALUES (78913, 5814, 15, 'Βασικό');
INSERT INTO `lang_definitions` VALUES (78914, 5815, 15, 'Κύρια Διεύθυνση');
INSERT INTO `lang_definitions` VALUES (78915, 5818, 15, 'Κύριο Αρχείο Καταγραφής');
INSERT INTO `lang_definitions` VALUES (78916, 5819, 15, 'Μορφή Κύριου Μενού');
INSERT INTO `lang_definitions` VALUES (78917, 5820, 15, 'Κύριος Πάροχος');
INSERT INTO `lang_definitions` VALUES (78918, 5821, 15, 'Αρχική Οθόνη');
INSERT INTO `lang_definitions` VALUES (78919, 5822, 15, 'Αρχική Οθόνη (ή Προεπιλεγμένη Πρώτη Καρτέλα)');
INSERT INTO `lang_definitions` VALUES (78920, 5824, 15, 'Διατήρηση ενεργού λίστας φαρμακευτικών αλλεργιών.');
INSERT INTO `lang_definitions` VALUES (78921, 5825, 15, 'Διατήρηση ενεργούς λίστας φαρμάκων.');
INSERT INTO `lang_definitions` VALUES (78922, 5826, 15, 'Διατήρηση ενημερωμένης λίστας προβλημάτων τρεχουσών και ενεργών διαγνώσεων.');
INSERT INTO `lang_definitions` VALUES (78923, 5827, 15, 'Κάντε αλλαγές στις τρέχουσες κατηγορίες.');
INSERT INTO `lang_definitions` VALUES (78924, 5828, 15, 'Νέο ραντεβού για');
INSERT INTO `lang_definitions` VALUES (78925, 5829, 15, 'Πραγματοποίηση πληρωμής');
INSERT INTO `lang_definitions` VALUES (78926, 5831, 15, 'Βεβαιωθείτε ότι \"');
INSERT INTO `lang_definitions` VALUES (78927, 5834, 15, 'Αδιαθεσία:');
INSERT INTO `lang_definitions` VALUES (78928, 5837, 15, 'Άρρεν');
INSERT INTO `lang_definitions` VALUES (78929, 5838, 15, 'Ανδρικά προφυλακτικά');
INSERT INTO `lang_definitions` VALUES (78930, 5839, 15, 'Εκούσια χειρουργ. στείρωση του άνδρα');
INSERT INTO `lang_definitions` VALUES (78931, 5841, 15, 'Μαστογραφία');
INSERT INTO `lang_definitions` VALUES (78932, 5842, 15, 'Διαχείριση');
INSERT INTO `lang_definitions` VALUES (78933, 5843, 15, 'Διαχείριση Hooks');
INSERT INTO `lang_definitions` VALUES (78934, 5844, 15, 'Διαχείριση Λιστών');
INSERT INTO `lang_definitions` VALUES (78935, 5846, 15, 'Διαχείριση Modules');
INSERT INTO `lang_definitions` VALUES (78936, 5848, 15, 'Διαχείριση Multi Factor Authentication');
INSERT INTO `lang_definitions` VALUES (78937, 5849, 15, 'Διαχείριση Προτύπων');
INSERT INTO `lang_definitions` VALUES (78938, 5850, 15, 'Διαχείριση Μεταφράσεων');
INSERT INTO `lang_definitions` VALUES (78939, 5851, 15, 'Διαχείριση');
INSERT INTO `lang_definitions` VALUES (78940, 5852, 15, 'Διευθυντής');
INSERT INTO `lang_definitions` VALUES (78941, 5853, 15, 'Υποχρεωτ.');
INSERT INTO `lang_definitions` VALUES (78942, 5854, 15, 'Υποχρεωτ. και συγκεκριμένα πεδία');
INSERT INTO `lang_definitions` VALUES (78943, 5855, 15, 'Μόνον υποχρεωτ. ή συγκεκριμένα πεδία, έλεγχος διπλής απάντησης (dup check), χωρίς αναζήτηση');
INSERT INTO `lang_definitions` VALUES (78944, 5856, 15, 'Μόνον υποχρεωτ. ή συγκεκριμένα πεδία, αναζήτηση και έλεγχος διπλής απάντησης (dup check)');
INSERT INTO `lang_definitions` VALUES (78945, 5859, 15, 'Εγχειρίδιο');
INSERT INTO `lang_definitions` VALUES (78946, 5860, 15, 'Χειροκίνητη αποστολή');
INSERT INTO `lang_definitions` VALUES (78947, 5861, 15, 'Απαιτείται Χειροκίνητη Επεξεργασία');
INSERT INTO `lang_definitions` VALUES (78948, 5863, 15, 'Πληκτρολογήστε χειροκίνητα μέσα στο ανωτέρω πεδίο New DX');
INSERT INTO `lang_definitions` VALUES (78949, 5864, 15, 'Κατασκευαστής');
INSERT INTO `lang_definitions` VALUES (78950, 5870, 15, 'Μάρτ.');
INSERT INTO `lang_definitions` VALUES (78951, 5874, 15, 'Μάρτιος');
INSERT INTO `lang_definitions` VALUES (78952, 5876, 15, 'Οικογεν. Κατ.');
INSERT INTO `lang_definitions` VALUES (78953, 5877, 15, 'Οικογεν. Κατάσταση');
INSERT INTO `lang_definitions` VALUES (78954, 5878, 15, 'Επισήμανση όλων ως αναγνωσμένα');
INSERT INTO `lang_definitions` VALUES (78955, 5879, 15, 'Επισήμανση ως Χρεωθέν');
INSERT INTO `lang_definitions` VALUES (78956, 5880, 15, 'Επισημάντε ως Χρεωθέν αλλά παραλείψτε την χρέωση');
INSERT INTO `lang_definitions` VALUES (78957, 5881, 15, 'Επισημάντε ως Εκκαθαρισθέν');
INSERT INTO `lang_definitions` VALUES (78958, 5882, 15, 'Επισημάντε ως Μη Χρεωθέν');
INSERT INTO `lang_definitions` VALUES (78959, 5883, 15, 'Επισήμανση Μηνύματος ως Ολοκληρωμένο');
INSERT INTO `lang_definitions` VALUES (78960, 5884, 15, 'Επισήμανση Σημείωσης ως Ολοκληρωμένη');
INSERT INTO `lang_definitions` VALUES (78961, 5885, 15, 'Επισήμανση αυτών των αναφορών ως Αναθεωρημένες');
INSERT INTO `lang_definitions` VALUES (78962, 5886, 15, 'Επισημάνθηκε ως Εκκαθαρισθέν');
INSERT INTO `lang_definitions` VALUES (78963, 5887, 15, 'Έγγαμος/η');
INSERT INTO `lang_definitions` VALUES (78964, 5889, 15, 'Μάσκα');
INSERT INTO `lang_definitions` VALUES (78965, 5890, 15, 'Μάσκα για Αρ. Παραστατικού');
INSERT INTO `lang_definitions` VALUES (78966, 5891, 15, 'Μάσκα για Κωδ. Ασθενών');
INSERT INTO `lang_definitions` VALUES (78967, 5892, 15, 'Μάσκα για Κωδ. Προϊόντων');
INSERT INTO `lang_definitions` VALUES (78968, 5893, 15, 'Κέντρο Μαζικού Εμβολιασμού');
INSERT INTO `lang_definitions` VALUES (78969, 5894, 15, 'Ταίριασμα');
INSERT INTO `lang_definitions` VALUES (78970, 5895, 15, 'Ταίριασμα πεζών-κεφαλαίων');
INSERT INTO `lang_definitions` VALUES (78971, 5896, 15, 'Βρέθηκε Αντιστοιχία');
INSERT INTO `lang_definitions` VALUES (78972, 5897, 15, 'Αντιστοίχιση με Ασθενή');
INSERT INTO `lang_definitions` VALUES (78973, 5898, 15, 'Αντιστοιχισμένος Ασθενής');
INSERT INTO `lang_definitions` VALUES (78974, 5899, 15, 'Γίνεται Αντιστοίχιση με Ασθενή');
INSERT INTO `lang_definitions` VALUES (78975, 5900, 15, 'Θεία από πλευρά μητέρας');
INSERT INTO `lang_definitions` VALUES (78976, 5901, 15, 'Ξάδερφος/η από πλευρά μητέρας');
INSERT INTO `lang_definitions` VALUES (78977, 5902, 15, 'Παππούς/Γιαγιά από πλευρά μητέρας');
INSERT INTO `lang_definitions` VALUES (78978, 5903, 15, 'Προπάππους-γιαγιά από πλευρά μητέρας');
INSERT INTO `lang_definitions` VALUES (78979, 5904, 15, 'Θείος από πλευρά μητέρας');
INSERT INTO `lang_definitions` VALUES (78980, 5905, 15, 'Πλέγμα');
INSERT INTO `lang_definitions` VALUES (78981, 5906, 15, 'μεγ.');
INSERT INTO `lang_definitions` VALUES (78982, 5907, 15, 'Μεγ.');
INSERT INTO `lang_definitions` VALUES (78983, 5908, 15, 'Μέγιστο 255 χαρακτήρες');
INSERT INTO `lang_definitions` VALUES (78984, 5909, 15, 'μέγιστος αριθμός αρχείων');
INSERT INTO `lang_definitions` VALUES (78985, 5910, 15, 'μέγιστος αριθμών αρχείων - φορτώστε ξανά τα ονόματα παρακάτω');
INSERT INTO `lang_definitions` VALUES (78986, 5911, 15, 'Μέγιστο Μέγεθος');
INSERT INTO `lang_definitions` VALUES (78987, 5912, 15, 'Δεξιά άνω γνάθος:');
INSERT INTO `lang_definitions` VALUES (78988, 5913, 15, 'Μέγιστη Ηλικία');
INSERT INTO `lang_definitions` VALUES (78989, 5914, 15, 'Μέγιστοι χαρακτήρες');
INSERT INTO `lang_definitions` VALUES (78990, 5915, 15, 'Μέγιστος Αριθμός Αποτυχημένων Προσπαθειών Σύνδεσης');
INSERT INTO `lang_definitions` VALUES (78991, 5916, 15, 'Μέγιστος Αριθμός Αποτυχημένων Προσπαθειών Σύνδεσης (0 για απεριόριστες)');
INSERT INTO `lang_definitions` VALUES (78992, 5917, 15, 'Max χρόνος αδρανείας σε secs, πριν την αποσύνδεση. Ο προκαθορισμένος είναι 7200 (2 ώρες)');
INSERT INTO `lang_definitions` VALUES (78993, 5918, 15, 'Μέγιστος επιτρεπόμενος αριθμός εξετάσεων Ασθενούς ανά έτος');
INSERT INTO `lang_definitions` VALUES (78994, 5919, 15, 'Μέγιστος επιτρεπόμενος αριθμός εξετάσεων Ασθενούς ανά έτος. Μηδέν = χωρίς όριο.');
INSERT INTO `lang_definitions` VALUES (78995, 5920, 15, 'Μέγιστο μέγεθος εύλογης απογραφής αποθεμάτων και, εάν δεν ισχύει, βάλτε 0');
INSERT INTO `lang_definitions` VALUES (78996, 5921, 15, 'Μέγιστο μέγεθος');
INSERT INTO `lang_definitions` VALUES (78997, 5922, 15, 'Μέγιστο μέγεθος (αν εισάγετε το 0 θα επιτραπεί οποιοδήποτε μέγεθος)');
INSERT INTO `lang_definitions` VALUES (78998, 5923, 15, 'Μέγιστο μέγεθος αρχείου εικονιδίου');
INSERT INTO `lang_definitions` VALUES (78999, 5924, 15, 'Μάιος');
INSERT INTO `lang_definitions` VALUES (79000, 5926, 15, 'Master Card');
INSERT INTO `lang_definitions` VALUES (79001, 5927, 15, 'mcg');
INSERT INTO `lang_definitions` VALUES (79002, 5929, 15, 'Κανένας από τους 3 τελευταίους κωδικούς δεν επιτρέπονται όταν αλλάζετε κωδικό πρόσβασης.');
INSERT INTO `lang_definitions` VALUES (79003, 5930, 15, 'Μέτρηση Αρτηριακής Πίεσης');
INSERT INTO `lang_definitions` VALUES (79004, 5931, 15, 'Κωδικός Ομάδας Μέτρησης');
INSERT INTO `lang_definitions` VALUES (79005, 5932, 15, 'Μέτρηση INR');
INSERT INTO `lang_definitions` VALUES (79006, 5933, 15, 'Μέτρηση');
INSERT INTO `lang_definitions` VALUES (79007, 5934, 15, 'Η MedEx αυτοματοποιεί τις Υπενθυμίσεις Ραντεβού και τις Προσκλήσεις μέσω τηλεφ. κλήσεων, μηνυμάτων και e-mails');
INSERT INTO `lang_definitions` VALUES (79008, 5935, 15, 'Υπηρεσία Επικοινωνίας MedEx');
INSERT INTO `lang_definitions` VALUES (79009, 5936, 15, 'Η MedEx χρειάζεται έναν έγκυρο τηλεφ. αριθμό προκειμένου να στείλει μηνύματα SMS...');
INSERT INTO `lang_definitions` VALUES (79010, 5937, 15, 'Ρύθμιση MedEx');
INSERT INTO `lang_definitions` VALUES (79011, 5938, 15, 'Έσω Κανθοί');
INSERT INTO `lang_definitions` VALUES (79012, 5939, 15, 'Έσω σφυρό:');
INSERT INTO `lang_definitions` VALUES (79013, 5940, 15, 'Ταμείο Κοινων. Πρόνοιας (Medicaid)');
INSERT INTO `lang_definitions` VALUES (79014, 5942, 15, 'Ιατρικό');
INSERT INTO `lang_definitions` VALUES (79015, 5943, 15, 'Ιατρική Άμβλωση');
INSERT INTO `lang_definitions` VALUES (79016, 5944, 15, 'Ιατρική Διοίκηση');
INSERT INTO `lang_definitions` VALUES (79017, 5945, 15, 'Βοήθεια σχετικά με Πάνελ Διαχείρισης Φακέλου');
INSERT INTO `lang_definitions` VALUES (79018, 5946, 15, 'Ιατρικό Ιστορικό');
INSERT INTO `lang_definitions` VALUES (79019, 5947, 15, 'Ιατρικό Θέμα');
INSERT INTO `lang_definitions` VALUES (79020, 5948, 15, 'Ιατρικό θέμα');
INSERT INTO `lang_definitions` VALUES (79021, 5949, 15, 'Ιατρικά Θέματα');
INSERT INTO `lang_definitions` VALUES (79022, 5950, 15, 'Ιατρική Συνταγή');
INSERT INTO `lang_definitions` VALUES (79023, 5951, 15, 'Νόσημα');
INSERT INTO `lang_definitions` VALUES (79024, 5952, 15, 'Συνοδός Νόσος/Πάθηση');
INSERT INTO `lang_definitions` VALUES (79025, 5953, 15, 'Λίστα Νοσημάτων');
INSERT INTO `lang_definitions` VALUES (79026, 5954, 15, 'Νοσήματα');
INSERT INTO `lang_definitions` VALUES (79027, 5955, 15, 'Νοσήματα - εμφανίζονται τα ιαρικά θέματα του ασθενούς, Θέματα > Νοσήματα');
INSERT INTO `lang_definitions` VALUES (79028, 5956, 15, 'Ιατρικός Φάκελος');
INSERT INTO `lang_definitions` VALUES (79029, 5957, 15, 'Αρ. Ιατρ. Φακέλου');
INSERT INTO `lang_definitions` VALUES (79030, 5958, 15, 'Πάνελ Διαχείρισης');
INSERT INTO `lang_definitions` VALUES (79031, 5959, 15, 'Ιατρικοί φάκελοι');
INSERT INTO `lang_definitions` VALUES (79032, 5960, 15, 'Ιατρικοί Φάκελοι και Ιστορικό (εγγραφή, προαιρετική προσθήκη μόνο) (ιατρ)');
INSERT INTO `lang_definitions` VALUES (79033, 5961, 15, 'Ιατρικοί Φάκελοι Εστάλησαν');
INSERT INTO `lang_definitions` VALUES (79034, 5962, 15, 'Ιατρική Ειδικότητα');
INSERT INTO `lang_definitions` VALUES (79035, 5963, 15, 'Χορηγήθηκε Ιατρική Σύνοψη');
INSERT INTO `lang_definitions` VALUES (79036, 5964, 15, 'Ιατρικό σύστημα');
INSERT INTO `lang_definitions` VALUES (79037, 5965, 15, 'Ιατρικός Τύπος');
INSERT INTO `lang_definitions` VALUES (79038, 5966, 15, 'Ιατρικό Ιστορικό (εγγραφή, προαιρετ. προσθήκη μόνο)');
INSERT INTO `lang_definitions` VALUES (79039, 5968, 15, 'Ταμείο Κοινων. Πρόνοιας μέρος Β');
INSERT INTO `lang_definitions` VALUES (79040, 5970, 15, 'Φάρμακο');
INSERT INTO `lang_definitions` VALUES (79041, 5971, 15, 'Λίστα Φαρμακευτικών Αλλεργιών');
INSERT INTO `lang_definitions` VALUES (79042, 5972, 15, 'Λίστα Ιατρικών Θεμάτων');
INSERT INTO `lang_definitions` VALUES (79043, 5973, 15, 'Λίστα Φαρμάκων');
INSERT INTO `lang_definitions` VALUES (79044, 5974, 15, 'Έγινε Πλήρης Καταγραφή Φαρμακευτικής Αγωγής;');
INSERT INTO `lang_definitions` VALUES (79045, 5975, 15, 'Φάρμακα');
INSERT INTO `lang_definitions` VALUES (79046, 5977, 15, 'Λίστα Αλλεργιών σε Φάρμακα');
INSERT INTO `lang_definitions` VALUES (79047, 5978, 15, 'Φάρμακα:');
INSERT INTO `lang_definitions` VALUES (79048, 5979, 15, 'Μονάδες μέτρησης φαρμάκου');
INSERT INTO `lang_definitions` VALUES (79049, 5980, 15, 'Μέση');
INSERT INTO `lang_definitions` VALUES (79050, 5983, 15, 'έσω');
INSERT INTO `lang_definitions` VALUES (79051, 5984, 15, 'Έκθεση στατιστικών των μελών του Συλλόγου');
INSERT INTO `lang_definitions` VALUES (79052, 5985, 15, 'Κωδ. Μέλους');
INSERT INTO `lang_definitions` VALUES (79053, 5986, 15, 'Προβλ. μνήμης');
INSERT INTO `lang_definitions` VALUES (79054, 5987, 15, 'Άνδρες');
INSERT INTO `lang_definitions` VALUES (79055, 5988, 15, 'Άνδρες και Γυναίκες');
INSERT INTO `lang_definitions` VALUES (79056, 5989, 15, 'Μόνον Άνδρες');
INSERT INTO `lang_definitions` VALUES (79057, 5990, 15, 'Εμμηναρχή');
INSERT INTO `lang_definitions` VALUES (79058, 5991, 15, 'Εμμηνόπαυση');
INSERT INTO `lang_definitions` VALUES (79059, 5992, 15, 'Καταμήνια ροή');
INSERT INTO `lang_definitions` VALUES (79060, 5993, 15, 'Καταμήνια συχνότητα');
INSERT INTO `lang_definitions` VALUES (79061, 5994, 15, 'Ψυχική Ασθένεια');
INSERT INTO `lang_definitions` VALUES (79062, 5995, 15, 'Νοητική Κατάσταση');
INSERT INTO `lang_definitions` VALUES (79063, 5996, 15, 'Μενού');
INSERT INTO `lang_definitions` VALUES (79064, 5997, 15, 'Μενού');
INSERT INTO `lang_definitions` VALUES (79065, 5998, 15, 'Κείμενο Μενού');
INSERT INTO `lang_definitions` VALUES (79066, 5999, 15, 'Μενού');
INSERT INTO `lang_definitions` VALUES (79067, 6000, 15, 'Μενού');
INSERT INTO `lang_definitions` VALUES (79068, 6001, 15, 'Συγχώνευση');
INSERT INTO `lang_definitions` VALUES (79069, 6002, 15, 'Η Συγχώνευση Ολοκληρώθηκε');
INSERT INTO `lang_definitions` VALUES (79070, 6003, 15, 'Συγχώνευση Ασθενών');
INSERT INTO `lang_definitions` VALUES (79071, 6004, 15, 'Συγχώνευση με οποιονδήποτε ασθενή');
INSERT INTO `lang_definitions` VALUES (79072, 6005, 15, 'Μήνυμα');
INSERT INTO `lang_definitions` VALUES (79073, 6006, 15, 'Κέντρο Μηνυμάτων και Υπενθυμίσεων');
INSERT INTO `lang_definitions` VALUES (79074, 6007, 15, 'Κέντρο Μηνυμάτων');
INSERT INTO `lang_definitions` VALUES (79075, 6008, 15, 'Βοήθεια Κέντρου Μηνυμάτων');
INSERT INTO `lang_definitions` VALUES (79076, 6009, 15, 'Το περιεχόμενο του μηνύματος δεν ειναι απλό κείμενο και, έτσι, αποθκεύθηκε ως έγγραφο.');
INSERT INTO `lang_definitions` VALUES (79077, 6010, 15, 'Μήνυμα από ασθενή');
INSERT INTO `lang_definitions` VALUES (79078, 6011, 15, 'Αρχείο καταγραφής μηνυμάτων');
INSERT INTO `lang_definitions` VALUES (79079, 6012, 15, 'Το μήνυμα εστάλη');
INSERT INTO `lang_definitions` VALUES (79080, 6013, 15, 'Κατάσταση Μηνύματος');
INSERT INTO `lang_definitions` VALUES (79081, 6014, 15, 'Τίτλος Μηνύματος');
INSERT INTO `lang_definitions` VALUES (79082, 6015, 15, 'Μήνυμα σε ασθενή');
INSERT INTO `lang_definitions` VALUES (79083, 6017, 15, 'Είδος μηνύματος');
INSERT INTO `lang_definitions` VALUES (79084, 6018, 15, 'ΜΗΝΥΜΑ:');
INSERT INTO `lang_definitions` VALUES (79085, 6019, 15, 'Μηνύματα');
INSERT INTO `lang_definitions` VALUES (79086, 6020, 15, 'Μηνύματα - προθεσμίες');
INSERT INTO `lang_definitions` VALUES (79087, 6021, 15, 'Οθόνη Μηνυμάτων');
INSERT INTO `lang_definitions` VALUES (79088, 6022, 15, 'Μηνύματα που στείλατε σήμερα');
INSERT INTO `lang_definitions` VALUES (79089, 6023, 15, 'Μηνύματα, Υπενθυμίσεις');
INSERT INTO `lang_definitions` VALUES (79090, 6024, 15, 'Μηνύματα, Υπενθυμίσεις, Προσκλήσεις');
INSERT INTO `lang_definitions` VALUES (79091, 6025, 15, 'Μηνύματα');
INSERT INTO `lang_definitions` VALUES (79092, 6026, 15, 'Τρόπος');
INSERT INTO `lang_definitions` VALUES (79093, 6027, 15, 'Μέθοδος και Ειδικό Προϊόν');
INSERT INTO `lang_definitions` VALUES (79094, 6028, 15, 'Αλλαγή Μεθόδου σε αυτήν την Κλινική');
INSERT INTO `lang_definitions` VALUES (79095, 6029, 15, 'Μέθοδος αποστολής εξερχομ. e-mails');
INSERT INTO `lang_definitions` VALUES (79096, 6030, 15, 'Μέθοδος Kαταστροφής');
INSERT INTO `lang_definitions` VALUES (79097, 6031, 15, 'Μεξικανικά');
INSERT INTO `lang_definitions` VALUES (79098, 6036, 15, 'Διαχείριση MFA');
INSERT INTO `lang_definitions` VALUES (79099, 6038, 15, 'mg');
INSERT INTO `lang_definitions` VALUES (79100, 6039, 15, 'mg/1cc');
INSERT INTO `lang_definitions` VALUES (79101, 6040, 15, 'mg/2cc');
INSERT INTO `lang_definitions` VALUES (79102, 6041, 15, 'mg/3cc');
INSERT INTO `lang_definitions` VALUES (79103, 6042, 15, 'mg/4cc');
INSERT INTO `lang_definitions` VALUES (79104, 6043, 15, 'mg/5cc');
INSERT INTO `lang_definitions` VALUES (79105, 6044, 15, 'mg/dl');
INSERT INTO `lang_definitions` VALUES (79106, 6045, 15, 'μέσο');
INSERT INTO `lang_definitions` VALUES (79107, 6046, 15, 'Μέσο');
INSERT INTO `lang_definitions` VALUES (79108, 6047, 15, 'Όνομα Πατρός');
INSERT INTO `lang_definitions` VALUES (79109, 6048, 15, 'Όνομα πατρός');
INSERT INTO `lang_definitions` VALUES (79110, 6060, 15, 'μέσο');
INSERT INTO `lang_definitions` VALUES (79111, 6062, 15, 'Μετανάστης ή εποχιακά εργαζόμενος;');
INSERT INTO `lang_definitions` VALUES (79112, 6063, 15, 'Μετανάστης Εποχιακός');
INSERT INTO `lang_definitions` VALUES (79113, 6064, 15, 'Μετανάστης/Εποχιακός');
INSERT INTO `lang_definitions` VALUES (79114, 6066, 15, 'Ήπια');
INSERT INTO `lang_definitions` VALUES (79115, 6067, 15, 'Ήπια προς Μέτρια');
INSERT INTO `lang_definitions` VALUES (79116, 6068, 15, 'Στρατιωτικό Νοσοκομείο');
INSERT INTO `lang_definitions` VALUES (79117, 6070, 15, 'MimeType');
INSERT INTO `lang_definitions` VALUES (79118, 6071, 15, 'Ελάχ.');
INSERT INTO `lang_definitions` VALUES (79119, 6072, 15, 'λεπτά');
INSERT INTO `lang_definitions` VALUES (79120, 6077, 15, 'Ελάχιστη Ηλικία');
INSERT INTO `lang_definitions` VALUES (79121, 6080, 15, 'Ήπιο διάστρεμμα άρθρωσης +/- Θυλακίτις');
INSERT INTO `lang_definitions` VALUES (79122, 6081, 15, 'λεπτό');
INSERT INTO `lang_definitions` VALUES (79123, 6082, 15, 'Λεπτό');
INSERT INTO `lang_definitions` VALUES (79124, 6083, 15, 'Λεπτά');
INSERT INTO `lang_definitions` VALUES (79125, 6084, 15, 'λεπτά');
INSERT INTO `lang_definitions` VALUES (79126, 6086, 15, 'Διάφορα');
INSERT INTO `lang_definitions` VALUES (79127, 6087, 15, 'Διάφορες Eπιλογές χρέωσης');
INSERT INTO `lang_definitions` VALUES (79128, 6088, 15, 'Διάφορες Eπιλογές χρέωσης HCFA-1500');
INSERT INTO `lang_definitions` VALUES (79129, 6089, 15, 'Διάφορες Eπιλογές χρέωσης HCFA');
INSERT INTO `lang_definitions` VALUES (79130, 6090, 15, 'Διάφορα');
INSERT INTO `lang_definitions` VALUES (79131, 6092, 15, 'Λείπει');
INSERT INTO `lang_definitions` VALUES (79132, 6093, 15, 'λείπει');
INSERT INTO `lang_definitions` VALUES (79133, 6094, 15, 'Λείπει ένα απαραίτητο πεδίο');
INSERT INTO `lang_definitions` VALUES (79134, 6097, 15, 'Λείπει αμοιβή');
INSERT INTO `lang_definitions` VALUES (79135, 6098, 15, 'Λείπει ο Κωδικός Ταυτοποίησης');
INSERT INTO `lang_definitions` VALUES (79136, 6101, 15, 'Λείπει ή είναι άκυρο');
INSERT INTO `lang_definitions` VALUES (79137, 6103, 15, 'Κωδικός ασθενούς λείπει');
INSERT INTO `lang_definitions` VALUES (79138, 6104, 15, 'Λείπει ημερ. αναφοράς');
INSERT INTO `lang_definitions` VALUES (79139, 6105, 15, 'Λείπει η κάθετος μετά τον πληρωτή στην προέλευση για τον κώδικα');
INSERT INTO `lang_definitions` VALUES (79140, 6108, 15, 'Λείπει Τίτλος');
INSERT INTO `lang_definitions` VALUES (79141, 6111, 15, 'Μικτό');
INSERT INTO `lang_definitions` VALUES (79142, 6112, 15, 'mL');
INSERT INTO `lang_definitions` VALUES (79143, 6113, 15, 'ml');
INSERT INTO `lang_definitions` VALUES (79144, 6114, 15, 'Μήνας/Ημέρα/Έτος');
INSERT INTO `lang_definitions` VALUES (79145, 6115, 15, 'mm/Hg');
INSERT INTO `lang_definitions` VALUES (79146, 6116, 15, 'mmHg');
INSERT INTO `lang_definitions` VALUES (79147, 6117, 15, 'MMR 1');
INSERT INTO `lang_definitions` VALUES (79148, 6118, 15, 'MMR 2');
INSERT INTO `lang_definitions` VALUES (79149, 6120, 15, 'Κινητό');
INSERT INTO `lang_definitions` VALUES (79150, 6121, 15, 'Κινητό τηλέφ.');
INSERT INTO `lang_definitions` VALUES (79151, 6122, 15, 'Κινητά τηλέφωνα');
INSERT INTO `lang_definitions` VALUES (79152, 6124, 15, 'Κινητή Μονάδα');
INSERT INTO `lang_definitions` VALUES (79153, 6125, 15, 'Τροποπ');
INSERT INTO `lang_definitions` VALUES (79154, 6126, 15, 'Ημ/νία Τροπ.');
INSERT INTO `lang_definitions` VALUES (79155, 6128, 15, 'Μέτρια');
INSERT INTO `lang_definitions` VALUES (79156, 6129, 15, 'Μέτρια Προτεραιότητα');
INSERT INTO `lang_definitions` VALUES (79157, 6130, 15, 'Μέτρια προς Δριμεία');
INSERT INTO `lang_definitions` VALUES (79158, 6131, 15, 'Μέτρια/Χαμηλή Προτεραιότητα');
INSERT INTO `lang_definitions` VALUES (79159, 6133, 15, 'Τροποποιητής');
INSERT INTO `lang_definitions` VALUES (79160, 6138, 15, 'Τροποποιητής(ές)');
INSERT INTO `lang_definitions` VALUES (79161, 6139, 15, 'Τροποποιητές');
INSERT INTO `lang_definitions` VALUES (79162, 6140, 15, 'Τροποποίηση');
INSERT INTO `lang_definitions` VALUES (79163, 6141, 15, 'Ημ. Τροποποίησης');
INSERT INTO `lang_definitions` VALUES (79164, 6142, 15, 'Τροποποίηση Εντύπου Ασθενούς');
INSERT INTO `lang_definitions` VALUES (79165, 6143, 15, 'Τροποποίηση πληρωμών');
INSERT INTO `lang_definitions` VALUES (79166, 6144, 15, 'Γίνεται Τροποποίηση');
INSERT INTO `lang_definitions` VALUES (79167, 6145, 15, 'ΜήκοςΤροποποιητή');
INSERT INTO `lang_definitions` VALUES (79168, 6153, 15, 'Δευτ');
INSERT INTO `lang_definitions` VALUES (79169, 6154, 15, 'Δευτ - Παρ');
INSERT INTO `lang_definitions` VALUES (79170, 6155, 15, 'Δευτ, Τετ &amp; Παρ');
INSERT INTO `lang_definitions` VALUES (79171, 6156, 15, 'Δευτέρα');
INSERT INTO `lang_definitions` VALUES (79172, 6160, 15, 'μήνας');
INSERT INTO `lang_definitions` VALUES (79173, 6161, 15, 'Μήνας');
INSERT INTO `lang_definitions` VALUES (79174, 6162, 15, 'Προβολή Μηνός');
INSERT INTO `lang_definitions` VALUES (79175, 6163, 15, 'Μήνας (-ες)');
INSERT INTO `lang_definitions` VALUES (79176, 6164, 15, 'Μηνιαίο εισόδημα');
INSERT INTO `lang_definitions` VALUES (79177, 6165, 15, 'μήνες');
INSERT INTO `lang_definitions` VALUES (79178, 6166, 15, 'Μήνες');
INSERT INTO `lang_definitions` VALUES (79179, 6167, 15, 'μήνες πριν');
INSERT INTO `lang_definitions` VALUES (79180, 6177, 15, 'Περισσότερες επιλογές');
INSERT INTO `lang_definitions` VALUES (79181, 6179, 15, 'Βρέθηκαν πάνω από 100 καταχωρήσεις. Παρακαλώ περιορίστε τα κριτήρια αναζήτησης.');
INSERT INTO `lang_definitions` VALUES (79182, 6180, 15, 'Πάνω από 50 αποτελέσματα, παρακαλώ εξειδικεύστε την αναζήτηση σας.');
INSERT INTO `lang_definitions` VALUES (79183, 6184, 15, 'Μπορείτε να ταξινομήσετε τις στήλες κάνοντας κλικ στις αντίστοιχες κεφαλίδες');
INSERT INTO `lang_definitions` VALUES (79184, 6186, 15, 'Πλέον πρόσφατο από');
INSERT INTO `lang_definitions` VALUES (79185, 6187, 15, 'Τελευταία εργαστηριακά δεδομένα:');
INSERT INTO `lang_definitions` VALUES (79186, 6188, 15, 'Τελευταία επίσκεψη');
INSERT INTO `lang_definitions` VALUES (79187, 6189, 15, 'Τελευταία ζωτικά από:');
INSERT INTO `lang_definitions` VALUES (79188, 6190, 15, 'Μητέρα');
INSERT INTO `lang_definitions` VALUES (79189, 6191, 15, 'Όνομα Μητρός');
INSERT INTO `lang_definitions` VALUES (79190, 6192, 15, 'Ιστορικό Μητέρας');
INSERT INTO `lang_definitions` VALUES (79191, 6193, 15, 'Όνομα Μητρός');
INSERT INTO `lang_definitions` VALUES (79192, 6194, 15, 'Κινητικότητα');
INSERT INTO `lang_definitions` VALUES (79193, 6195, 15, 'Στόμα');
INSERT INTO `lang_definitions` VALUES (79194, 6196, 15, 'Κίνηση');
INSERT INTO `lang_definitions` VALUES (79195, 6197, 15, 'Μετακίνηση Εγγράφου στην Κατηγορία:');
INSERT INTO `lang_definitions` VALUES (79196, 6198, 15, 'Μετακίνηση προς τα κάτω');
INSERT INTO `lang_definitions` VALUES (79197, 6199, 15, 'Η μετακίνηση απέτυχε!');
INSERT INTO `lang_definitions` VALUES (79198, 6201, 15, 'Μετακίνηση σε Ασθενή');
INSERT INTO `lang_definitions` VALUES (79199, 6202, 15, 'Μετακίνηση σε ...');
INSERT INTO `lang_definitions` VALUES (79200, 6203, 15, 'Μετακίνηση προς τα πάνω');
INSERT INTO `lang_definitions` VALUES (79201, 6204, 15, 'Γίνεται μετακίνηση');
INSERT INTO `lang_definitions` VALUES (79202, 6205, 15, 'Δευ');
INSERT INTO `lang_definitions` VALUES (79203, 6209, 15, 'Κος.');
INSERT INTO `lang_definitions` VALUES (79204, 6215, 15, 'Κα.');
INSERT INTO `lang_definitions` VALUES (79205, 6217, 15, 'Δις.');
INSERT INTO `lang_definitions` VALUES (79206, 6230, 15, 'Πολυγλωσσικό εργαλείο');
INSERT INTO `lang_definitions` VALUES (79207, 6231, 15, 'Κάντε πολλαπλή επιλογή των επιθυμητών Διαγνώσεων και κάντε κλικ στο');
INSERT INTO `lang_definitions` VALUES (79208, 6234, 15, 'Πολλαπλές περιοχές');
INSERT INTO `lang_definitions` VALUES (79209, 6236, 15, 'Πολλαπλά αρχεία μπορούν να φορτωθούν ταυτόχρονα επιλέγοντάς τα με το συνδυασμό πλήκτρων CTRL + κλικ ή Shift + κλικ.');
INSERT INTO `lang_definitions` VALUES (79210, 6237, 15, 'Πολλαπλοί κωδικοί παρτίδας');
INSERT INTO `lang_definitions` VALUES (79211, 6238, 15, 'Πολλαπλοί τροποποιητές μπορούν να διαχωριστούν με άνω και κάτω τελείες ή κενά, μέγιστο 4 (M1: M2: M3: Μ4)');
INSERT INTO `lang_definitions` VALUES (79212, 6239, 15, 'Λίστα Πολλαπλής Επιλογής');
INSERT INTO `lang_definitions` VALUES (79213, 6242, 15, 'Πολυφυλετικό');
INSERT INTO `lang_definitions` VALUES (79214, 6243, 15, 'Φύσημα:');
INSERT INTO `lang_definitions` VALUES (79215, 6244, 15, 'Μυαλγία');
INSERT INTO `lang_definitions` VALUES (79216, 6245, 15, 'Μυαλγίες');
INSERT INTO `lang_definitions` VALUES (79217, 6246, 15, 'Μυϊκή ερυθρότητα');
INSERT INTO `lang_definitions` VALUES (79218, 6247, 15, 'Μυϊκή δυσκαμψία');
INSERT INTO `lang_definitions` VALUES (79219, 6248, 15, 'Μυϊκό οίδημα');
INSERT INTO `lang_definitions` VALUES (79220, 6249, 15, 'Μυϊκή θερμότητα');
INSERT INTO `lang_definitions` VALUES (79221, 6250, 15, 'Μυς');
INSERT INTO `lang_definitions` VALUES (79222, 6251, 15, 'Κάκωση μυός');
INSERT INTO `lang_definitions` VALUES (79223, 6252, 15, 'Μυοσκελετικό');
INSERT INTO `lang_definitions` VALUES (79224, 6253, 15, 'Μυοσκ');
INSERT INTO `lang_definitions` VALUES (79225, 6256, 15, 'Πρέπει να είναι κενό αν δεν χρησιμοποιείται η πιστοποίηση SMTP');
INSERT INTO `lang_definitions` VALUES (79226, 6257, 15, 'Πρέπει να είναι μελλοντική ημ/νία');
INSERT INTO `lang_definitions` VALUES (79227, 6258, 15, 'Πρέπει να επιλέξετε τουλάχιστον μία ημέρα!');
INSERT INTO `lang_definitions` VALUES (79228, 6259, 15, 'Αμοιβαίως καθορισμένο');
INSERT INTO `lang_definitions` VALUES (79229, 6260, 15, 'Αυτοκιν/κό ατύχημα');
INSERT INTO `lang_definitions` VALUES (79230, 6262, 15, 'Προεπιλεγμένη έδρα');
INSERT INTO `lang_definitions` VALUES (79231, 6263, 15, 'Οι προεπιλογές μου');
INSERT INTO `lang_definitions` VALUES (79232, 6264, 15, 'Η Υγεία μου');
INSERT INTO `lang_definitions` VALUES (79233, 6265, 15, 'Τα Μηνύματά μου');
INSERT INTO `lang_definitions` VALUES (79234, 6267, 15, 'Εμένα');
INSERT INTO `lang_definitions` VALUES (79235, 6268, 15, 'Δ');
INSERT INTO `lang_definitions` VALUES (79236, 6271, 15, '-');
INSERT INTO `lang_definitions` VALUES (79237, 6272, 15, '-');
INSERT INTO `lang_definitions` VALUES (79238, 6273, 15, '-');
INSERT INTO `lang_definitions` VALUES (79239, 6274, 15, 'Όνομα');
INSERT INTO `lang_definitions` VALUES (79240, 6275, 15, 'ΟΝΟΜΑ');
INSERT INTO `lang_definitions` VALUES (79241, 6276, 15, 'Όνομα (κάντε κλικ για περισσότερα)');
INSERT INTO `lang_definitions` VALUES (79242, 6277, 15, 'Όνομα - Επιλέξτε πάροχο από την αναπτυσσόμεη λίστα');
INSERT INTO `lang_definitions` VALUES (79243, 6278, 15, 'Όνομα 1');
INSERT INTO `lang_definitions` VALUES (79244, 6279, 15, 'Όνομα 2');
INSERT INTO `lang_definitions` VALUES (79245, 6280, 15, 'Όνομα και Τίτλος του Εμβολιαστού');
INSERT INTO `lang_definitions` VALUES (79246, 6282, 15, 'Όνομα στο EMR');
INSERT INTO `lang_definitions` VALUES (79247, 6284, 15, 'Όνομα των Συμβάντων');
INSERT INTO `lang_definitions` VALUES (79248, 6285, 15, 'Όνομα Ασφαλ. Εταιρείας');
INSERT INTO `lang_definitions` VALUES (79249, 6286, 15, 'Όνομα Παρόχου');
INSERT INTO `lang_definitions` VALUES (79250, 6287, 15, 'Όνομα αποστολέα για τις υπενθυμίσεις ασθενών');
INSERT INTO `lang_definitions` VALUES (79251, 6288, 15, 'Όνομα του Χειρουργού');
INSERT INTO `lang_definitions` VALUES (79252, 6293, 15, 'Όνομα στην Κάρτα');
INSERT INTO `lang_definitions` VALUES (79253, 6294, 15, 'Μετάφραση ονόματος');
INSERT INTO `lang_definitions` VALUES (79254, 6295, 15, 'Όνομα/Τιμή');
INSERT INTO `lang_definitions` VALUES (79255, 6296, 15, 'Όνομα:');
INSERT INTO `lang_definitions` VALUES (79256, 6297, 15, 'Ονόματα');
INSERT INTO `lang_definitions` VALUES (79257, 6300, 15, 'ΡΩΘΩΝΕΣ:');
INSERT INTO `lang_definitions` VALUES (79258, 6301, 15, 'Ρώθωνες: Δεξιά κ.φ.');
INSERT INTO `lang_definitions` VALUES (79259, 6302, 15, 'Περιγραφή');
INSERT INTO `lang_definitions` VALUES (79260, 6304, 15, 'Ρινικός βλεννογόνος ροζ, Διάφραγμα στη μέση γραμμή');
INSERT INTO `lang_definitions` VALUES (79261, 6310, 15, 'Εθνικότητα');
INSERT INTO `lang_definitions` VALUES (79262, 6313, 15, 'Αυτόχθων εκ Χαβάης ή άλλης Νήσου του Ειρηνικού');
INSERT INTO `lang_definitions` VALUES (79263, 6314, 15, 'Φυσικό Τέκνο');
INSERT INTO `lang_definitions` VALUES (79264, 6315, 15, 'Φυσικό τέκνο');
INSERT INTO `lang_definitions` VALUES (79265, 6316, 15, 'Φυσικός Γονέας');
INSERT INTO `lang_definitions` VALUES (79266, 6317, 15, 'Αδερφός/ή εξ αίματος');
INSERT INTO `lang_definitions` VALUES (79267, 6319, 15, 'Ναυτία');
INSERT INTO `lang_definitions` VALUES (79268, 6322, 15, 'Πλοήγηση');
INSERT INTO `lang_definitions` VALUES (79269, 6323, 15, 'Η περιοχή πλοήγησης περιέχει έντυπα επίσκεψης');
INSERT INTO `lang_definitions` VALUES (79270, 6324, 15, 'Η περιοχή πλοήγησης χρησιμοποιεί όλο το ύψος του πλαισίου');
INSERT INTO `lang_definitions` VALUES (79271, 6325, 15, 'Έντυπα Επίσκεψης Περιοχής Πλοήγησης');
INSERT INTO `lang_definitions` VALUES (79272, 6326, 15, 'Εύρος περιοχής πλοήγησης');
INSERT INTO `lang_definitions` VALUES (79273, 6328, 15, 'Μενού πλοήγησης αποτελείται από ζεύγη radio buttons');
INSERT INTO `lang_definitions` VALUES (79274, 6329, 15, 'To Μενού πλοήγησης είναι προβολή δέντρου');
INSERT INTO `lang_definitions` VALUES (79275, 6330, 15, 'Η Πλοήγηση χρήσιμοποιεί μενού ολίσθησης');
INSERT INTO `lang_definitions` VALUES (79276, 6334, 15, 'Αρ. ΕΟΦ');
INSERT INTO `lang_definitions` VALUES (79277, 6335, 15, 'Δεδομένα ΕΟΦ');
INSERT INTO `lang_definitions` VALUES (79278, 6336, 15, 'Barcode ΕΟΦ');
INSERT INTO `lang_definitions` VALUES (79279, 6338, 15, 'Εγγύς');
INSERT INTO `lang_definitions` VALUES (79280, 6347, 15, 'Απαραίτητος Ιατρικός Εξοπλισμός');
INSERT INTO `lang_definitions` VALUES (79281, 6348, 15, 'Αυχένας');
INSERT INTO `lang_definitions` VALUES (79282, 6349, 15, 'Προβλ. αυχένος');
INSERT INTO `lang_definitions` VALUES (79283, 6350, 15, 'Υποστήριξη αυχένος');
INSERT INTO `lang_definitions` VALUES (79284, 6351, 15, 'Χρειάζεται περισσότερα από ένα Φάρμακα');
INSERT INTO `lang_definitions` VALUES (79285, 6352, 15, 'Πρέπει να εισάγετε μια περιγραφή');
INSERT INTO `lang_definitions` VALUES (79286, 6353, 15, 'Πρέπει να εισάγετε μια Τιμή Επιστροφής');
INSERT INTO `lang_definitions` VALUES (79287, 6354, 15, 'Πρέπει να εισάγετε κωδ. αναγνώρισης');
INSERT INTO `lang_definitions` VALUES (79288, 6355, 15, 'Πρέπει να εισάγετε τίτλο');
INSERT INTO `lang_definitions` VALUES (79289, 6356, 15, 'απαιτείται έξοδος/επανασύνδεση για εφαρμογή');
INSERT INTO `lang_definitions` VALUES (79290, 6357, 15, 'Απαιτείται Smartphone');
INSERT INTO `lang_definitions` VALUES (79291, 6358, 15, 'Απαιτείται Εξουσιοδ.');
INSERT INTO `lang_definitions` VALUES (79292, 6359, 15, 'Απαιτείται Αιτιολόγηση');
INSERT INTO `lang_definitions` VALUES (79293, 6360, 15, 'Απαιτεί δευτερογενή χρέωση');
INSERT INTO `lang_definitions` VALUES (79294, 6361, 15, 'Αρνητικό');
INSERT INTO `lang_definitions` VALUES (79295, 6362, 15, 'Αρνητικές πληρωμές δεν γίνονται αποδεκτές');
INSERT INTO `lang_definitions` VALUES (79296, 6363, 15, 'Αρνητικά');
INSERT INTO `lang_definitions` VALUES (79297, 6364, 15, 'Αρν');
INSERT INTO `lang_definitions` VALUES (79298, 6365, 15, 'Γείτονας');
INSERT INTO `lang_definitions` VALUES (79299, 6369, 15, 'Κάκωση νεύρου');
INSERT INTO `lang_definitions` VALUES (79300, 6371, 15, 'Νευρολ. κατάσταση / Βλάβη νεύρου');
INSERT INTO `lang_definitions` VALUES (79301, 6372, 15, 'Νευρολ');
INSERT INTO `lang_definitions` VALUES (79302, 6373, 15, 'Νευρολ. αιμωδία');
INSERT INTO `lang_definitions` VALUES (79303, 6374, 15, 'Νευρολ. Αδυναμία');
INSERT INTO `lang_definitions` VALUES (79304, 6375, 15, 'Νευρο-Φυσιολογία');
INSERT INTO `lang_definitions` VALUES (79305, 6377, 15, 'Νευρολογικό');
INSERT INTO `lang_definitions` VALUES (79306, 6378, 15, 'Νευρολογία');
INSERT INTO `lang_definitions` VALUES (79307, 6379, 15, 'Νευρο');
INSERT INTO `lang_definitions` VALUES (79308, 6380, 15, 'ΝΕΥΡΟ');
INSERT INTO `lang_definitions` VALUES (79309, 6381, 15, 'Ποτέ');
INSERT INTO `lang_definitions` VALUES (79310, 6382, 15, 'Ποτέ οινόπνευμα');
INSERT INTO `lang_definitions` VALUES (79311, 6383, 15, 'Ποτέ καπνιστής');
INSERT INTO `lang_definitions` VALUES (79312, 6384, 15, 'Νέο');
INSERT INTO `lang_definitions` VALUES (79313, 6385, 15, 'Νέο =>');
INSERT INTO `lang_definitions` VALUES (79314, 6386, 15, 'Νέοι Αποδέκτες');
INSERT INTO `lang_definitions` VALUES (79315, 6387, 15, 'Νέες Ειδοποιήσεις');
INSERT INTO `lang_definitions` VALUES (79316, 6388, 15, 'Νέα Αλλεργία');
INSERT INTO `lang_definitions` VALUES (79317, 6389, 15, 'Νέο αίτημα τροποποίησης');
INSERT INTO `lang_definitions` VALUES (79318, 6390, 15, 'Νέο Ραντεβού');
INSERT INTO `lang_definitions` VALUES (79319, 6391, 15, 'Νέες Κατηγορίες');
INSERT INTO `lang_definitions` VALUES (79320, 6392, 15, 'Νέα Κατηγορία');
INSERT INTO `lang_definitions` VALUES (79321, 6393, 15, 'Νέοι Πελάτες');
INSERT INTO `lang_definitions` VALUES (79322, 6394, 15, 'Νέα Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (79323, 6396, 15, 'Νέο σύνολο Ορισμών εισήχθη');
INSERT INTO `lang_definitions` VALUES (79324, 6397, 15, 'Νέο Έγγραφο');
INSERT INTO `lang_definitions` VALUES (79325, 6398, 15, 'Νέα Έγγραφα');
INSERT INTO `lang_definitions` VALUES (79326, 6400, 15, 'Νέα Δχ');
INSERT INTO `lang_definitions` VALUES (79327, 6401, 15, 'Νέα Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (79328, 6402, 15, 'Δημιουργήθηκε νέα επίσκεψη με αναγνωριστικό');
INSERT INTO `lang_definitions` VALUES (79329, 6403, 15, 'Νέο Έντυπο Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (79330, 6404, 15, 'Νέες επισκέψεις δεν επιτρέπονται');
INSERT INTO `lang_definitions` VALUES (79331, 6405, 15, 'Νέα επισκ');
INSERT INTO `lang_definitions` VALUES (79332, 6406, 15, 'Πληροφ. Νέας Έδρας');
INSERT INTO `lang_definitions` VALUES (79333, 6407, 15, 'Νέο αρχείο');
INSERT INTO `lang_definitions` VALUES (79334, 6408, 15, 'Νέα αρχεία');
INSERT INTO `lang_definitions` VALUES (79335, 6409, 15, 'Επικύρωση νέου εντύπου');
INSERT INTO `lang_definitions` VALUES (79336, 6410, 15, 'Νέα Ομάδα');
INSERT INTO `lang_definitions` VALUES (79337, 6412, 15, 'Έντυπο Νέας Ομαδικής Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (79338, 6413, 15, 'Πληροφ. για Νέα Ομάδα');
INSERT INTO `lang_definitions` VALUES (79339, 6414, 15, 'Η νέα ομάδα αποθηκεύθηκε επιτυχώς');
INSERT INTO `lang_definitions` VALUES (79340, 6415, 15, 'Νέα Εγγραφή Εμβολιασμού');
INSERT INTO `lang_definitions` VALUES (79341, 6423, 15, 'Νέα αντικείμενα (δείτε ανωτέρω για λεπτομέρειες)');
INSERT INTO `lang_definitions` VALUES (79342, 6425, 15, 'Νέο Όριο Συμβάντων');
INSERT INTO `lang_definitions` VALUES (79343, 6426, 15, 'Νέα Λίστα');
INSERT INTO `lang_definitions` VALUES (79344, 6427, 15, 'Νέο Μήνυμα');
INSERT INTO `lang_definitions` VALUES (79345, 6428, 15, 'νέα μηνύματα');
INSERT INTO `lang_definitions` VALUES (79346, 6429, 15, 'Νέα Σημείωση');
INSERT INTO `lang_definitions` VALUES (79347, 6432, 15, 'Νέες Εντολές');
INSERT INTO `lang_definitions` VALUES (79348, 6433, 15, 'Νέα Παράγραφος');
INSERT INTO `lang_definitions` VALUES (79349, 6434, 15, 'Νέος Κωδικός');
INSERT INTO `lang_definitions` VALUES (79350, 6435, 15, 'Νέος Ασθενής');
INSERT INTO `lang_definitions` VALUES (79351, 6436, 15, 'ΝΕΟΣ ΑΣΘΕΝΗΣ');
INSERT INTO `lang_definitions` VALUES (79352, 6437, 15, 'Νέα Επίσκεψη ασθενούς');
INSERT INTO `lang_definitions` VALUES (79353, 6438, 15, 'Νέο Έντυπο Ασθενούς');
INSERT INTO `lang_definitions` VALUES (79354, 6439, 15, 'Κωδ. Ασθενούς');
INSERT INTO `lang_definitions` VALUES (79355, 6441, 15, 'Νέοι Ασθενείς');
INSERT INTO `lang_definitions` VALUES (79356, 6442, 15, 'Νέα Πληρωμή');
INSERT INTO `lang_definitions` VALUES (79357, 6443, 15, 'Νέα Σύνδεση στο Portal');
INSERT INTO `lang_definitions` VALUES (79358, 6445, 15, 'Νέος Ασθ.');
INSERT INTO `lang_definitions` VALUES (79359, 6446, 15, 'Νέα Πρόσκληση');
INSERT INTO `lang_definitions` VALUES (79360, 6447, 15, 'Νέα αποτελέσματα από Ανταλλαγή Εργαστηριακών');
INSERT INTO `lang_definitions` VALUES (79361, 6448, 15, 'Νέα Αναζήτηση');
INSERT INTO `lang_definitions` VALUES (79362, 6449, 15, 'Νέες Αποστολές');
INSERT INTO `lang_definitions` VALUES (79363, 6450, 15, 'Νέα στο OpenEMR 5.0.2');
INSERT INTO `lang_definitions` VALUES (79364, 6451, 15, 'Νέος Χρήστης');
INSERT INTO `lang_definitions` VALUES (79365, 6452, 15, 'Νέα Τιμή');
INSERT INTO `lang_definitions` VALUES (79366, 6453, 15, 'Νέα Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (79367, 6454, 15, 'Νέος/Αναζήτηση');
INSERT INTO `lang_definitions` VALUES (79368, 6481, 15, 'Εφημερίδα');
INSERT INTO `lang_definitions` VALUES (79369, 6482, 15, 'Επόμενο');
INSERT INTO `lang_definitions` VALUES (79370, 6483, 15, 'Ημερ/νία Επόμενου Ραντεβού');
INSERT INTO `lang_definitions` VALUES (79371, 6484, 15, 'Επόμενη Ημέρα');
INSERT INTO `lang_definitions` VALUES (79372, 6485, 15, 'Επόμενος Μήνας');
INSERT INTO `lang_definitions` VALUES (79373, 6486, 15, 'Επόμ. Μήνας (κρατήστε πατημένο για εμφάνιση μενού)');
INSERT INTO `lang_definitions` VALUES (79374, 6488, 15, 'Επόμενη προγραμματισμένη εκτέλεση');
INSERT INTO `lang_definitions` VALUES (79375, 6489, 15, 'Επόμενη Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (79376, 6491, 15, 'Επόμενη Εβδομάδα');
INSERT INTO `lang_definitions` VALUES (79377, 6492, 15, 'Επόμ. έτος (κρατήστε πατημένο για εμφάνιση μενού)');
INSERT INTO `lang_definitions` VALUES (79378, 6493, 15, 'Ψευδώνυμο');
INSERT INTO `lang_definitions` VALUES (79379, 6494, 15, 'Ψευδώνυμο');
INSERT INTO `lang_definitions` VALUES (79380, 6495, 15, 'Ανηψιός/Ανηψιά');
INSERT INTO `lang_definitions` VALUES (79381, 6496, 15, 'Νυχτερινές εφιδρώσεις');
INSERT INTO `lang_definitions` VALUES (79382, 6497, 15, 'Χωρίς γνωστές φαρμακευτικές αλλεργίες');
INSERT INTO `lang_definitions` VALUES (79383, 6498, 15, 'έξω γεννητ. όργανα, κολπικός βλενν., τράχηλος');
INSERT INTO `lang_definitions` VALUES (79384, 6499, 15, 'Όχι');
INSERT INTO `lang_definitions` VALUES (79385, 6500, 15, 'ΟΧΙ');
INSERT INTO `lang_definitions` VALUES (79386, 6501, 15, 'όχι');
INSERT INTO `lang_definitions` VALUES (79387, 6502, 15, 'Καμία πρόσβαση');
INSERT INTO `lang_definitions` VALUES (79388, 6503, 15, 'Καμία ενεργός υπενθύμιση ασθενούς.');
INSERT INTO `lang_definitions` VALUES (79389, 6504, 15, 'Καμία αδενοπάθεια (απαιτούνται 2 περιοχές)');
INSERT INTO `lang_definitions` VALUES (79390, 6505, 15, 'Δεν βρέθηκε καμία προσαρμογή του είδους αιτιολόγησης για');
INSERT INTO `lang_definitions` VALUES (79391, 6506, 15, 'Καμία ευαισθησία των εξαρτημάτων/μάζες');
INSERT INTO `lang_definitions` VALUES (79392, 6507, 15, 'Καμία ειδοποίηση');
INSERT INTO `lang_definitions` VALUES (79393, 6508, 15, 'Κανένα διαθέσιμο αίτημα τροποποίησης');
INSERT INTO `lang_definitions` VALUES (79394, 6509, 15, 'Κανένα Ραντεβού');
INSERT INTO `lang_definitions` VALUES (79395, 6514, 15, 'Όχι αυτόματη ανανέωση');
INSERT INTO `lang_definitions` VALUES (79396, 6515, 15, 'Κανένα σύστημα χρέωσης δεν είναι ενεργό');
INSERT INTO `lang_definitions` VALUES (79397, 6516, 15, 'Δεν βρέθηκαν καθόλου λογαριασμοί να περιληφθούν στην εξαγωγή OFX');
INSERT INTO `lang_definitions` VALUES (79398, 6517, 15, 'Δεν βρέθηκαν χρεώσεις να περιληφθούν στην Εξαγωγή Ανοικτής Οικονομ. Ανταλλαγής <br>');
INSERT INTO `lang_definitions` VALUES (79399, 6518, 15, 'Δεν βρέθηκαν αλλαγές');
INSERT INTO `lang_definitions` VALUES (79400, 6519, 15, 'Δεν έχει καθοριστεί κωδικός!');
INSERT INTO `lang_definitions` VALUES (79401, 6521, 15, 'Δεν υπάρχουν δεδομένα στον πίνακα');
INSERT INTO `lang_definitions` VALUES (79402, 6522, 15, 'Δεν υπάρχουν δεδομένα για επεξεργασία');
INSERT INTO `lang_definitions` VALUES (79403, 6523, 15, 'Καμία Διάγνωση');
INSERT INTO `lang_definitions` VALUES (79404, 6524, 15, 'καμία διάγνωση δεν εξήχθη αυτόματα από τα κλινικά ευρήματα.');
INSERT INTO `lang_definitions` VALUES (79405, 6525, 15, 'Κανένα Έγγραφο');
INSERT INTO `lang_definitions` VALUES (79406, 6526, 15, 'Δεν βρέθηκαν Έγγραφα');
INSERT INTO `lang_definitions` VALUES (79407, 6527, 15, 'Αδύνατη η δημιουργία Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (79408, 6528, 15, 'Καμία επίσκεψη');
INSERT INTO `lang_definitions` VALUES (79409, 6529, 15, 'Καμία ημερ/νία λήξης');
INSERT INTO `lang_definitions` VALUES (79410, 6530, 15, 'Δεν βρέθηκαν εγγραφές, χρησιμοποιήστε την παρακάτω φόρμα για να προσθέσετε μια καταχώρηση.');
INSERT INTO `lang_definitions` VALUES (79411, 6531, 15, 'Δεν βρέθηκαν σφάλματα');
INSERT INTO `lang_definitions` VALUES (79412, 6532, 15, 'Κανένα συμβάν');
INSERT INTO `lang_definitions` VALUES (79413, 6536, 15, 'Καμία ομάδα δεν έχει επιλεγεί');
INSERT INTO `lang_definitions` VALUES (79414, 6537, 15, 'Καμία κήλη');
INSERT INTO `lang_definitions` VALUES (79415, 6540, 15, 'Καμία κάκωση/ νόσος');
INSERT INTO `lang_definitions` VALUES (79416, 6541, 15, 'Δεν βρέθηκαν Ασφαλιστικές Εταιρείες');
INSERT INTO `lang_definitions` VALUES (79417, 6542, 15, 'Δεν βρέθηκαν αλληλεπιδράσεις');
INSERT INTO `lang_definitions` VALUES (79418, 6544, 15, 'Κανένα Θέμα');
INSERT INTO `lang_definitions` VALUES (79419, 6545, 15, 'Δεν υπάρχουν Θέματα σε αυτή την επίσκεψη');
INSERT INTO `lang_definitions` VALUES (79420, 6546, 15, 'Δεν υπάρχουν αντικείμενα στην επιλεγμένη κατηγορία');
INSERT INTO `lang_definitions` VALUES (79421, 6547, 15, 'Δεν έχουν επιλεγεί αντικείμενα!');
INSERT INTO `lang_definitions` VALUES (79422, 6548, 15, 'Καμία Γνωστή Αλλεργία');
INSERT INTO `lang_definitions` VALUES (79423, 6549, 15, 'Καμία Γνωστή Κλινική Οδηγία');
INSERT INTO `lang_definitions` VALUES (79424, 6550, 15, 'Καμία Γνωστή Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (79425, 6551, 15, 'Καμία Γνωστή Ανοσοποίηση');
INSERT INTO `lang_definitions` VALUES (79426, 6552, 15, 'Κανένα Γνωστό Εργαστ. Αποτέλεσμα');
INSERT INTO `lang_definitions` VALUES (79427, 6553, 15, 'Καμία Γνωστή Φαρμ. Αγωγή');
INSERT INTO `lang_definitions` VALUES (79428, 6554, 15, 'Κανένα Γνωστό Πλάνο Φροντίδας');
INSERT INTO `lang_definitions` VALUES (79429, 6555, 15, 'Κανένα Γνωστό Πρόβλημα');
INSERT INTO `lang_definitions` VALUES (79430, 6556, 15, 'Καμία Γνωστή Ιατρική Πράξη');
INSERT INTO `lang_definitions` VALUES (79431, 6557, 15, 'Κανένα Γνωστό Παραπεμπτικό');
INSERT INTO `lang_definitions` VALUES (79432, 6558, 15, 'Κανένα στοιχείο περί Κοινωνικής Λειτουργικότητας');
INSERT INTO `lang_definitions` VALUES (79433, 6559, 15, 'Κανένα Γνωστό Κοινωνικό Ιστορικό');
INSERT INTO `lang_definitions` VALUES (79434, 6560, 15, 'Χωρίς Γνωστά Ζωτικά');
INSERT INTO `lang_definitions` VALUES (79435, 6561, 15, 'Δεν έχουν καταγραφεί εργαστ. δεδομένα');
INSERT INTO `lang_definitions` VALUES (79436, 6562, 15, 'Δεν υπάρχει αρχείο καταγραφής για την επιλεχθείσα ημ/νία');
INSERT INTO `lang_definitions` VALUES (79437, 6563, 15, 'Χωρίς καταγραφή');
INSERT INTO `lang_definitions` VALUES (79438, 6564, 15, 'Χωρίς log παλαιότερο από 7 ημέρες');
INSERT INTO `lang_definitions` VALUES (79439, 6565, 15, 'Χωρίς μάζες, ευαισθησία');
INSERT INTO `lang_definitions` VALUES (79440, 6566, 15, 'Για τον Κωδικό Επαναταυτοποίησης που ζητάτε, ΔΕΝ βρέθηκε καμία αντιστοιχία με Φάκελο Ασθενούς');
INSERT INTO `lang_definitions` VALUES (79441, 6567, 15, 'Δεν βρέθηκε καμία αντιστοιχία με');
INSERT INTO `lang_definitions` VALUES (79442, 6568, 15, 'Δεν βρέθηκε καμία αντιστοιχία. Δοκιμάστε ξανά μια αναζήτηση.');
INSERT INTO `lang_definitions` VALUES (79443, 6569, 15, 'Δε βρέθηκαν αντιστοιχίες.');
INSERT INTO `lang_definitions` VALUES (79444, 6570, 15, 'Δεν βρέθηκαν αντιστοιχίες. Να δημιουργηθεί τώρα Νέος Ασθενής;');
INSERT INTO `lang_definitions` VALUES (79445, 6571, 15, 'Δεν βρέθηκαν φάκελοι που να ταιριάζουν');
INSERT INTO `lang_definitions` VALUES (79446, 6573, 15, 'Δεν έχει ενεργοποιηθεί κάποια μέθοδος');
INSERT INTO `lang_definitions` VALUES (79447, 6575, 15, 'Χωρίς Όνομα');
INSERT INTO `lang_definitions` VALUES (79448, 6577, 15, 'Δεν βρέθηκαν νέα αποτελέσματα');
INSERT INTO `lang_definitions` VALUES (79449, 6578, 15, 'Καμία σημείωση');
INSERT INTO `lang_definitions` VALUES (79450, 6579, 15, 'Χωρίς οργανομεγαλία');
INSERT INTO `lang_definitions` VALUES (79451, 6580, 15, 'Δεν βρέθηκαν ανοίγματα για αυτήν την περίοδο.');
INSERT INTO `lang_definitions` VALUES (79452, 6581, 15, 'Δεν βρέθηκαν Παραγγελίες, παρακαλώ εισάγετε πρώτα παραγγελία ιατρικής πράξης');
INSERT INTO `lang_definitions` VALUES (79453, 6582, 15, 'Χωρίς οργανομεγαλία');
INSERT INTO `lang_definitions` VALUES (79454, 6583, 15, 'Δεν καταγράφεται άλλος τηλεφωνικός αριθμός');
INSERT INTO `lang_definitions` VALUES (79455, 6584, 15, 'Δεν επιλέχθηκαν παράμετροι');
INSERT INTO `lang_definitions` VALUES (79456, 6585, 15, 'Δεν βρέθηκαν Συνεργάτες');
INSERT INTO `lang_definitions` VALUES (79457, 6586, 15, 'Δεν βρέθηκε Φάκελος Ασθενούς με αυτά τα κριτήρια επιλογής');
INSERT INTO `lang_definitions` VALUES (79458, 6587, 15, 'ΔΕΝ βρέθηκε Φάκελος Ασθενούς για τον κωδικό που αναζητάτε');
INSERT INTO `lang_definitions` VALUES (79459, 6588, 15, 'Χωρίς περιφερικό οίδημα');
INSERT INTO `lang_definitions` VALUES (79460, 6589, 15, 'Δεν βρέθηκαν Φαρμακεία');
INSERT INTO `lang_definitions` VALUES (79461, 6590, 15, 'Δεν βρέθηκαν Συνταγές');
INSERT INTO `lang_definitions` VALUES (79462, 6591, 15, 'Δεν επιλέχθηκαν συνταγές');
INSERT INTO `lang_definitions` VALUES (79463, 6592, 15, 'Καμία παρούσα ασθένεια/ κάκωση');
INSERT INTO `lang_definitions` VALUES (79464, 6593, 15, 'Καμία προηγούμενη εγγραφή.');
INSERT INTO `lang_definitions` VALUES (79465, 6594, 15, 'Δεν έχει οριστεί Κεντρική Έδρα');
INSERT INTO `lang_definitions` VALUES (79466, 6595, 15, 'Χωρίς προηγούμενες επισκέψεις');
INSERT INTO `lang_definitions` VALUES (79467, 6596, 15, 'Δεν υπάρχουν Ιατρικές Πράξεις σε αυτή την επίσκεψη');
INSERT INTO `lang_definitions` VALUES (79468, 6597, 15, 'Δεν ταίριαξε κανένας πάροχος');
INSERT INTO `lang_definitions` VALUES (79469, 6598, 15, 'Δεν βρέθηκαν Πάροχοι');
INSERT INTO `lang_definitions` VALUES (79470, 6599, 15, 'Χωρίς εξάνθημα ή ανώμαλες βλάβες');
INSERT INTO `lang_definitions` VALUES (79471, 6600, 15, 'Χωρίς Πρόσκληση');
INSERT INTO `lang_definitions` VALUES (79472, 6601, 15, 'Δεν υπάρχουν εγγραφές');
INSERT INTO `lang_definitions` VALUES (79473, 6602, 15, 'Δεν βρέθηκαν καταχωρήσεις');
INSERT INTO `lang_definitions` VALUES (79474, 6603, 15, 'Δεν βρέθηκαν καταχωρήσεις.');
INSERT INTO `lang_definitions` VALUES (79475, 6604, 15, 'Δεν βρέθηκαν καταχωρήσεις. Παρακαλώ επεκτείνατε τα κριτήρια αναζήτησης σας.');
INSERT INTO `lang_definitions` VALUES (79476, 6606, 15, 'Χωρίς υπενθύμιση/μνήμη');
INSERT INTO `lang_definitions` VALUES (79477, 6607, 15, 'Καμία Υπενθύμιση');
INSERT INTO `lang_definitions` VALUES (79478, 6608, 15, 'Δεν βρέθηκαν αποτελέσματα για τα ανωτέρω κριτήρια.');
INSERT INTO `lang_definitions` VALUES (79479, 6609, 15, 'Κανένα Αποτέλεσμα');
INSERT INTO `lang_definitions` VALUES (79480, 6610, 15, 'Δεν βρέθηκαν αποτελέσματα');
INSERT INTO `lang_definitions` VALUES (79481, 6611, 15, 'Δεν βρέθηκαν αποτελέσματα για');
INSERT INTO `lang_definitions` VALUES (79482, 6612, 15, 'Χωρίς αποτελέσματα από την Αναζήτηση');
INSERT INTO `lang_definitions` VALUES (79483, 6613, 15, 'Χωρίς αποτελέσματα, παρακαλώ ξαναδοκιμάστε.');
INSERT INTO `lang_definitions` VALUES (79484, 6614, 15, 'Χωρίς αποτέλεσμα, παρακαλώ δοκιμάστε ξανά.');
INSERT INTO `lang_definitions` VALUES (79485, 6615, 15, 'Χωρίς αποτέλεσμα, παρακαλώ δοκιμάστε ξανά.');
INSERT INTO `lang_definitions` VALUES (79486, 6618, 15, 'Δεν προσήλθε');
INSERT INTO `lang_definitions` VALUES (79487, 6619, 15, 'Δεν προσήλθε');
INSERT INTO `lang_definitions` VALUES (79488, 6620, 15, 'Το έγγραφο δεν είναι υπογεγραμμένο');
INSERT INTO `lang_definitions` VALUES (79489, 6621, 15, 'Καμία υπογραφή στο αρχείο');
INSERT INTO `lang_definitions` VALUES (79490, 6622, 15, 'Χωρίς ευαισθησία ηγμορίων:');
INSERT INTO `lang_definitions` VALUES (79491, 6623, 15, 'Χωρίς εισολκή δέρματος η οζίδια μαστού');
INSERT INTO `lang_definitions` VALUES (79492, 6625, 15, 'Δεν επελέγη πίνακας! Επιλέξτε έναν Πίνακα');
INSERT INTO `lang_definitions` VALUES (79493, 6626, 15, 'Χωρίς ορχική ευαισθησία, μάζες');
INSERT INTO `lang_definitions` VALUES (79494, 6627, 15, 'Όχι, ευχαριστώ');
INSERT INTO `lang_definitions` VALUES (79495, 6628, 15, 'Χωρίς ρίγη ή αναγούλες');
INSERT INTO `lang_definitions` VALUES (79496, 6632, 15, 'Καμία επίσκεψη');
INSERT INTO `lang_definitions` VALUES (79497, 6633, 15, 'Δεν κατεγράφησαν ζωτικά.');
INSERT INTO `lang_definitions` VALUES (79498, 6634, 15, 'Όχι, Ακύρωση');
INSERT INTO `lang_definitions` VALUES (79499, 6636, 15, 'Όχι:');
INSERT INTO `lang_definitions` VALUES (79500, 6637, 15, 'Νυκτουρία');
INSERT INTO `lang_definitions` VALUES (79501, 6638, 15, 'Μη πληρωμένο');
INSERT INTO `lang_definitions` VALUES (79502, 6640, 15, 'Αναφορά Μη Αναφερθέντων');
INSERT INTO `lang_definitions` VALUES (79503, 6641, 15, 'Μη ειδική κάκωση');
INSERT INTO `lang_definitions` VALUES (79504, 6642, 15, 'Μη-ηλεκτρονικά');
INSERT INTO `lang_definitions` VALUES (79505, 6643, 15, 'Μη Ινσουλινοεξαρτώμενος Διαβήτης');
INSERT INTO `lang_definitions` VALUES (79506, 6644, 15, 'Ανασφάλιστος/η');
INSERT INTO `lang_definitions` VALUES (79507, 6646, 15, 'Μη-αναπαραγωγική υγεία (Ιατρικό)');
INSERT INTO `lang_definitions` VALUES (79508, 6647, 15, 'Μη-αναπαραγωγική υγεία (Μη-ιατρικό)');
INSERT INTO `lang_definitions` VALUES (79509, 6648, 15, 'Κανένας');
INSERT INTO `lang_definitions` VALUES (79510, 6649, 15, 'κανένα');
INSERT INTO `lang_definitions` VALUES (79511, 6650, 15, 'Δεν ορίστηκε κανένα');
INSERT INTO `lang_definitions` VALUES (79512, 6651, 15, 'Καμία καταγραφή');
INSERT INTO `lang_definitions` VALUES (79513, 6652, 15, 'Δεν κατεγράφη τίποτα');
INSERT INTO `lang_definitions` VALUES (79514, 6653, 15, 'Κανένα από τα παραπάνω');
INSERT INTO `lang_definitions` VALUES (79515, 6654, 15, 'Καμία από τις επάνω γραμμές κατανομής δεν μπορεί να είναι τελείως κενή.');
INSERT INTO `lang_definitions` VALUES (79516, 6655, 15, 'Καμία επιλογή');
INSERT INTO `lang_definitions` VALUES (79517, 6664, 15, 'Καμία');
INSERT INTO `lang_definitions` VALUES (79518, 6672, 15, 'Κανείς');
INSERT INTO `lang_definitions` VALUES (79519, 6683, 15, 'Μη Ινσουλινοεξαρτώμενος Διαβήτης');
INSERT INTO `lang_definitions` VALUES (79520, 6684, 15, 'κ.φ.');
INSERT INTO `lang_definitions` VALUES (79521, 6685, 15, 'Κανονική ');
INSERT INTO `lang_definitions` VALUES (79522, 6687, 15, 'Φυσιολ. Γενική Αίματος');
INSERT INTO `lang_definitions` VALUES (79523, 6688, 15, 'Φυσιολ. εξέταση καρδιάς:');
INSERT INTO `lang_definitions` VALUES (79524, 6689, 15, 'Φυσιολ. εξέταση καρδιάς:');
INSERT INTO `lang_definitions` VALUES (79525, 6690, 15, 'Φυσιολ. εξέταση πνεύμονα:');
INSERT INTO `lang_definitions` VALUES (79526, 6691, 15, 'Φυσιολ. εξέταση πνεύμονα:');
INSERT INTO `lang_definitions` VALUES (79527, 6692, 15, 'Κανονική Επίσκεψη Ιατρείου');
INSERT INTO `lang_definitions` VALUES (79528, 6693, 15, 'Φυσιολ. οροφάρυγγας:');
INSERT INTO `lang_definitions` VALUES (79529, 6694, 15, 'Φυσιολ. Δεξιά');
INSERT INTO `lang_definitions` VALUES (79530, 6695, 15, 'Φυσιολ. Δεξιά:');
INSERT INTO `lang_definitions` VALUES (79531, 6696, 15, 'Φυσιολ. Όψη');
INSERT INTO `lang_definitions` VALUES (79532, 6697, 15, 'φυσιολογικό:');
INSERT INTO `lang_definitions` VALUES (79533, 6698, 15, 'Κανονικά αυτό θα έπρεπε να ελεγχθεί. Άσχετο με τον έλεγχο πρόσβασης.');
INSERT INTO `lang_definitions` VALUES (79534, 6701, 15, 'Νορβηγικά');
INSERT INTO `lang_definitions` VALUES (79535, 6705, 15, 'Μύτη');
INSERT INTO `lang_definitions` VALUES (79536, 6706, 15, 'Ρινορραγία');
INSERT INTO `lang_definitions` VALUES (79537, 6707, 15, 'δεν είναι γράμμα ή αριθμός');
INSERT INTO `lang_definitions` VALUES (79538, 6709, 15, 'Δεν Χορηγήθηκε');
INSERT INTO `lang_definitions` VALUES (79539, 6710, 15, 'Δεν είναι απαραίτητα όλα τα πεδία, για όλους τους τύπους κωδικών.');
INSERT INTO `lang_definitions` VALUES (79540, 6712, 15, 'Δεν επιτρέπεται');
INSERT INTO `lang_definitions` VALUES (79541, 6713, 15, 'Δεν επιτρέπεται να διαγράψετε την ομάδα με τους Διαχειριστές');
INSERT INTO `lang_definitions` VALUES (79542, 6714, 15, 'Δεν επιτρέπεται η Επεξεργασία');
INSERT INTO `lang_definitions` VALUES (79543, 6715, 15, 'Δεν επιτρέπεται η απενεργοποίηση όλων των αντικειμένων ασφαλείας');
INSERT INTO `lang_definitions` VALUES (79544, 6716, 15, 'Κατάλογος ελέγχου πρόσβασης (ACL)');
INSERT INTO `lang_definitions` VALUES (79545, 6717, 15, 'Δεν επιτρέπεται η κατάργηση του χρήστη admin από την ομάδα Διαχειριστές');
INSERT INTO `lang_definitions` VALUES (79546, 6718, 15, 'Δεν επιτρέπεται να καταργήσετε αυτόν τον χρήστη από την ομάδα Διαχειριστές');
INSERT INTO `lang_definitions` VALUES (79547, 6719, 15, '-');
INSERT INTO `lang_definitions` VALUES (79548, 6720, 15, 'Δεν έχετε δικαίωμα πρόσβασης στο άρθρωμα PostCalendar');
INSERT INTO `lang_definitions` VALUES (79549, 6721, 15, 'Δεν Επιτρέπεται');
INSERT INTO `lang_definitions` VALUES (79550, 6722, 15, 'Δεν επιτρέπεται');
INSERT INTO `lang_definitions` VALUES (79551, 6723, 15, 'Δεν επιτρέπεται για αυτή την ομάδα!');
INSERT INTO `lang_definitions` VALUES (79552, 6724, 15, 'Δεν επιτρέπεται για αυτή την ομάδα.');
INSERT INTO `lang_definitions` VALUES (79553, 6725, 15, 'Δεν επιτρέπεται η διαχείρηση χρηστών!');
INSERT INTO `lang_definitions` VALUES (79554, 6726, 15, 'Δεν επιτρέπεται η υπογραφή αποτελεσμάτων');
INSERT INTO `lang_definitions` VALUES (79555, 6727, 15, 'Δεν επιτρέπεται η προβολή αυτής της επίσκεψης');
INSERT INTO `lang_definitions` VALUES (79556, 6728, 15, 'Δεν επιτρέπεται!');
INSERT INTO `lang_definitions` VALUES (79557, 6729, 15, 'Μη διαθέσιμο');
INSERT INTO `lang_definitions` VALUES (79558, 6730, 15, 'Μη Χρεωθέν');
INSERT INTO `lang_definitions` VALUES (79559, 6731, 15, 'Μη Xρεωθέν');
INSERT INTO `lang_definitions` VALUES (79560, 6732, 15, 'Δεν επιλέχθηκε');
INSERT INTO `lang_definitions` VALUES (79561, 6733, 15, 'Δεν ελέγχθηκε');
INSERT INTO `lang_definitions` VALUES (79562, 6734, 15, 'Δεν έχει μπει κωδικός');
INSERT INTO `lang_definitions` VALUES (79563, 6735, 15, 'Δεν έχει καταγραφεί');
INSERT INTO `lang_definitions` VALUES (79564, 6736, 15, 'Δεν εκκρεμεί');
INSERT INTO `lang_definitions` VALUES (79565, 6737, 15, 'Χωρίς E-Sign');
INSERT INTO `lang_definitions` VALUES (79566, 6738, 15, 'Δεν εξετάστηκε');
INSERT INTO `lang_definitions` VALUES (79567, 6739, 15, 'Δεν εξετάστηκε:');
INSERT INTO `lang_definitions` VALUES (79568, 6740, 15, 'Δεν εξετάστηκε:');
INSERT INTO `lang_definitions` VALUES (79569, 6741, 15, 'Δεν προορίζεται για διάγνωση');
INSERT INTO `lang_definitions` VALUES (79570, 6742, 15, 'δεν βρέθηκε');
INSERT INTO `lang_definitions` VALUES (79571, 6743, 15, 'Δεν Βρέθηκε');
INSERT INTO `lang_definitions` VALUES (79572, 6744, 15, 'δεν βρέθηκε!');
INSERT INTO `lang_definitions` VALUES (79573, 6745, 15, 'Μη Ισπανόφωνος ή Λατίνος');
INSERT INTO `lang_definitions` VALUES (79574, 6746, 15, 'Δεν εγκαταστάθηκε');
INSERT INTO `lang_definitions` VALUES (79575, 6747, 15, 'Δεν εγκαταστάθηκε');
INSERT INTO `lang_definitions` VALUES (79576, 6748, 15, 'Αδύνατο');
INSERT INTO `lang_definitions` VALUES (79577, 6751, 15, 'Δεν έχει εμφανιστεί εδώ και');
INSERT INTO `lang_definitions` VALUES (79578, 6752, 15, 'Δεν εστάλη');
INSERT INTO `lang_definitions` VALUES (79579, 6753, 15, 'Δεν εστάλη ακόμα');
INSERT INTO `lang_definitions` VALUES (79580, 6754, 15, 'Δεν Ορίστηκε');
INSERT INTO `lang_definitions` VALUES (79581, 6755, 15, 'Δεν Ορίστηκε.');
INSERT INTO `lang_definitions` VALUES (79582, 6757, 15, 'Αυτή η λειτουργία δεν έχει προστεθεί ακόμα.');
INSERT INTO `lang_definitions` VALUES (79583, 6758, 15, 'Σημείωση');
INSERT INTO `lang_definitions` VALUES (79584, 6759, 15, 'ΣΗΜΕΙΩΣΗ');
INSERT INTO `lang_definitions` VALUES (79585, 6760, 15, 'Σημειώσεις Κωδικών');
INSERT INTO `lang_definitions` VALUES (79586, 6762, 15, 'Σημείωση: Θα απαιτηθούν 5-10 λεπτά για την πλήρη επεξεργασία μετά το κλικ που κάνετε στην εγκατάσταση');
INSERT INTO `lang_definitions` VALUES (79587, 6763, 15, 'Σημείωση: Θα απαιτηθούν 5-10 λεπτά για την πλήρη επεξεργασία, μετά το κλικ που κάνετε στην αναβάθμιση');
INSERT INTO `lang_definitions` VALUES (79588, 6764, 15, 'Σημειώστε ότι η Καταγραφή Audit πρέπει να ενεργοποιηθεί παραπάνω');
INSERT INTO `lang_definitions` VALUES (79589, 6769, 15, 'Σημειώστε ότι δεν υπάρχει κουμπί «Αποθήκευση»');
INSERT INTO `lang_definitions` VALUES (79590, 6771, 15, 'Τύπος σημείωσης');
INSERT INTO `lang_definitions` VALUES (79591, 6772, 15, 'Σημείωση: η 12:00 μεσημβρινή νοείται ωε μ.μ. και όχι ως π.μ.');
INSERT INTO `lang_definitions` VALUES (79592, 6773, 15, 'ΣΗΜΕΙΩΣΗ: Η εισαγωγή εξωτερ. δεδομένων μπορεί να πάρει πάνω από μια ώρα, ανάλογα με τις ρυθμίσεις του δικού σας hardware. Π.χ., ένας από τους Πίνακες RxNorm data περιέχει πάνω από 6 εκατομ. γραμμές.');
INSERT INTO `lang_definitions` VALUES (79593, 6774, 15, 'ΣΗΜΕΙΩΣΗ: Υποστηρίζεται μόνον η διετής Διεθνής έκδοση Snomed');
INSERT INTO `lang_definitions` VALUES (79594, 6776, 15, 'ΣΗΜΕΙΩΣΗ: Υποστηρίζεται, επί του παρόντος, μόνον η πλήρης Μηνιαία έκδοση RxNorm');
INSERT INTO `lang_definitions` VALUES (79595, 6778, 15, 'ΣΗΜΕΙΩΣΗ: Η εισαγωγή μπορεί να διαρκέσει αρκετές ώρες');
INSERT INTO `lang_definitions` VALUES (79596, 6780, 15, 'Προσοχή: Αυτές οι γραμμές κώδικα δεν έχουν γραφεί από έναν εξουσιοδοτημένο χρήστη. Μόνο εξουσιοδοτημένοι κώδικες μπορούν να φορτωθούν στο Open Medical Billing Network. Αν θέλετε να ανεβάσετε αυτές τις αλλαγές, παρακαλώ επιλέξτε έναν εξουσιοδοτημένο χρήστη εδώ.');
INSERT INTO `lang_definitions` VALUES (79597, 6782, 15, 'Προσοχή: δεν είναι διεύθυνση email');
INSERT INTO `lang_definitions` VALUES (79598, 6783, 15, 'Προσοχή: Όταν γίνεται προσθήκη αρχείων με όνομα που ήδη υπάρχει, το πρόγραμμα θα μετονομάζει αυτόματα το αρχείο (π.χ. το αρχείο file.jpg θα μετονομαστεί σε file.1.jpg). Μοναδικά θεωρούνται τα ονόματα αρχείου για κάθε ασθενή, και όχι για κάθε κατηγορία.');
INSERT INTO `lang_definitions` VALUES (79599, 6784, 15, 'Προσοχή: Όταν γίνεται προσθήκη αρχείων με όνομα που ήδη υπάρχει, το πρόγραμμα θα μετονομάζει αυτόματα το αρχείο. Π.χ. το αρχείο file.jpg θα μετονομαστεί σε file.jpg.1. Μοναδικά θεωρούνται τα αρχεία για κάθε ασθενή, όχι για κάθε κατηγορία.');
INSERT INTO `lang_definitions` VALUES (79600, 6785, 15, 'Σημειώσεις');
INSERT INTO `lang_definitions` VALUES (79601, 6786, 15, 'ΣΗΜΕΙΩΣΕΙΣ');
INSERT INTO `lang_definitions` VALUES (79602, 6788, 15, 'Σημειώσεις – όλες οι επισκέψεις (εγγραφή, προαιρ.προσθήκη)');
INSERT INTO `lang_definitions` VALUES (79603, 6790, 15, 'Σημειώσεις – οι επισκέψεις μου (εγγραφή, προαιρ. προσθήκη)');
INSERT INTO `lang_definitions` VALUES (79604, 6792, 15, 'Σημειώσεις από');
INSERT INTO `lang_definitions` VALUES (79605, 6793, 15, 'Σημειώσεις δεν επιτρέπονται');
INSERT INTO `lang_definitions` VALUES (79606, 6794, 15, 'Δεν βρέθηκε τίποτα - συγγνώμη');
INSERT INTO `lang_definitions` VALUES (79607, 6795, 15, 'Τίποτα εν Αναμονή Έγκρισης');
INSERT INTO `lang_definitions` VALUES (79608, 6796, 15, 'Τίποτα δεν κατεγράφη');
INSERT INTO `lang_definitions` VALUES (79609, 6797, 15, 'Δεν επεστράφη τίποτα προς αναφορά');
INSERT INTO `lang_definitions` VALUES (79610, 6798, 15, 'Τίποτα διαθέσιμο για προβολή');
INSERT INTO `lang_definitions` VALUES (79611, 6799, 15, 'Τίποτα για εισαγωγή στις Αλλεργίες');
INSERT INTO `lang_definitions` VALUES (79612, 6800, 15, 'Τίποτα για εισαγωγή στα Φάρμακα');
INSERT INTO `lang_definitions` VALUES (79613, 6802, 15, 'Δεν υπάρχει κάτι προς αναφορά');
INSERT INTO `lang_definitions` VALUES (79614, 6803, 15, 'Δεν υπάρχει τίποτα για εμφάνιση');
INSERT INTO `lang_definitions` VALUES (79615, 6804, 15, 'Τίποτα δεν επιλέχθηκε');
INSERT INTO `lang_definitions` VALUES (79616, 6807, 15, 'Ελήφθη Ειδοποίηση');
INSERT INTO `lang_definitions` VALUES (79617, 6808, 15, 'ΕΙΔΟΠΟΙΗΣΗ: Προσθήκη/ Αλλαγή στο PostCalendar');
INSERT INTO `lang_definitions` VALUES (79618, 6809, 15, 'Γνωστοποίηση');
INSERT INTO `lang_definitions` VALUES (79619, 6810, 15, 'Κοινοποίηση ηλεκτρον. διεύθυνσης');
INSERT INTO `lang_definitions` VALUES (79620, 6811, 15, 'ΑΔΥΝΑΜΙΑ ΕΙΔΟΠΟΙΗΣΗΣ');
INSERT INTO `lang_definitions` VALUES (79621, 6812, 15, 'ΑΔΥΝΑΜΙΑ ΕΙΔΟΠΟΙΗΣΗΣ: Το Portal δεν έχει ενεργοποιηθεί');
INSERT INTO `lang_definitions` VALUES (79622, 6813, 15, 'Η Ειδοποίηση εστάλη σε');
INSERT INTO `lang_definitions` VALUES (79623, 6814, 15, 'Ρυθμίσεις Ειδοποιήσεων');
INSERT INTO `lang_definitions` VALUES (79624, 6815, 15, 'Ειδοποιήσεις');
INSERT INTO `lang_definitions` VALUES (79625, 6816, 15, 'Να ειδοποιηθεί ο Διαχειριστής για Υποβολή/ Τροποποίηση Συμβάντος;');
INSERT INTO `lang_definitions` VALUES (79626, 6817, 15, 'Ειδοποίηση Ασθενούς');
INSERT INTO `lang_definitions` VALUES (79627, 6819, 15, 'Ειδοποίηση μέσω Portal Ασθενούς');
INSERT INTO `lang_definitions` VALUES (79628, 6820, 15, 'Νοέμ.');
INSERT INTO `lang_definitions` VALUES (79629, 6821, 15, 'Νοέμβριος');
INSERT INTO `lang_definitions` VALUES (79630, 6825, 15, 'Εκτύπωση σε εξέλιξη');
INSERT INTO `lang_definitions` VALUES (79631, 6826, 15, 'Τώρα τυπώνει τις $stmt_count καταστάσεις και ενημερώνει τις επισκέψεις');
INSERT INTO `lang_definitions` VALUES (79632, 6827, 15, 'Τώρα τυπώνει τις $stmt_count καταστάσεις και ενημερώνει τα παραστατικά');
INSERT INTO `lang_definitions` VALUES (79633, 6828, 15, 'Τώρα τυπώνει τις $stmt_count καταστάσεις. Οι επισκέψεις δεν θα ενημερωθούν');
INSERT INTO `lang_definitions` VALUES (79634, 6829, 15, 'Τώρα τυπώνει τις $stmt_count καταστάσεις. Τα τιμολόγια δε θα ενημερωθούν.');
INSERT INTO `lang_definitions` VALUES (79635, 6834, 15, 'AMKA');
INSERT INTO `lang_definitions` VALUES (79636, 6837, 15, 'Αριθμός');
INSERT INTO `lang_definitions` VALUES (79637, 6841, 15, 'Αριθμός Ραντεβού προς εμφάνιση στο Onsite Portal Ασθενούς');
INSERT INTO `lang_definitions` VALUES (79638, 6842, 15, 'Αριθμός Ραντεβού προς εμφάνιση στη Σύνοψη Ασθενούς');
INSERT INTO `lang_definitions` VALUES (79639, 6843, 15, 'Αριθμός στηλών στην προβολή έτους');
INSERT INTO `lang_definitions` VALUES (79640, 6850, 15, 'Αριθμός ημερών για τις οποίες το Πιστοποιητικό χρήστη ισχύει.');
INSERT INTO `lang_definitions` VALUES (79641, 6852, 15, 'Αριθμός ψηφίων, μετά την υποδιαστολή δεκαδικών, για το νόμισμα, σηνήθως 0 ή 2');
INSERT INTO `lang_definitions` VALUES (79642, 6853, 15, 'Αριθμός επισκέψεων για εμφάνιση ανά σελίδα.');
INSERT INTO `lang_definitions` VALUES (79643, 6855, 15, 'Αριθμός παιχνιδιών ή συμβάντων που λείπουν, αν υπάρχουν');
INSERT INTO `lang_definitions` VALUES (79644, 6856, 15, 'Πριν από πόσες ώρες να σταλούν ειδοποιήσιες με e-mail.');
INSERT INTO `lang_definitions` VALUES (79645, 6857, 15, 'Πριν από πόσες ώρες να σταλούν ειδοποιήσεις διά τηλεφώνου.');
INSERT INTO `lang_definitions` VALUES (79646, 6858, 15, 'Πριν από πόσες ώρες να σταλούν ειδοποιήσιες με μύνημα SMS.');
INSERT INTO `lang_definitions` VALUES (79647, 6859, 15, 'Αριθμός Μηνυμάτων προς εμφάνιση στη Σύνοψη Ασθενούς');
INSERT INTO `lang_definitions` VALUES (79648, 6860, 15, 'Χρόνος (λεπτά) εμφάνισης ολοκληρωμένων ελέγχων εξόδου');
INSERT INTO `lang_definitions` VALUES (79649, 6861, 15, 'Χρόνος (λεπτά) εμφάνισης ολοκληρωμένων ελέγχων εξόδου. Μηδέν = συνεχής εμφάνιση');
INSERT INTO `lang_definitions` VALUES (79650, 6862, 15, 'Αριθμός παλαιών στηλών ιστορικού');
INSERT INTO `lang_definitions` VALUES (79651, 6863, 15, 'Αριθμός ασθενών προς εμφάνιση ανά σελίδα, στη λίστα ασθενών');
INSERT INTO `lang_definitions` VALUES (79652, 6864, 15, 'Αιμωδία');
INSERT INTO `lang_definitions` VALUES (79653, 6865, 15, 'Αριθμητής');
INSERT INTO `lang_definitions` VALUES (79654, 6866, 15, 'Σειρά εμφάνισης αριθμών');
INSERT INTO `lang_definitions` VALUES (79655, 6869, 15, 'Διατροφή');
INSERT INTO `lang_definitions` VALUES (79656, 6870, 15, 'Διατροφικός/ή');
INSERT INTO `lang_definitions` VALUES (79657, 6872, 15, 'Κορεσμός O2');
INSERT INTO `lang_definitions` VALUES (79658, 6874, 15, 'Παχυσαρκία Ι');
INSERT INTO `lang_definitions` VALUES (79659, 6875, 15, 'Παχυσαρκία ΙΙ');
INSERT INTO `lang_definitions` VALUES (79660, 6876, 15, 'Παχυσαρκία ΙΙΙ');
INSERT INTO `lang_definitions` VALUES (79661, 6877, 15, 'Κλινική εξέταση');
INSERT INTO `lang_definitions` VALUES (79662, 6878, 15, 'Υποχρεωτική συμμετοχή');
INSERT INTO `lang_definitions` VALUES (79663, 6879, 15, 'Επισκόπηση');
INSERT INTO `lang_definitions` VALUES (79664, 6880, 15, 'Κριτήρια Επισκόπησης');
INSERT INTO `lang_definitions` VALUES (79665, 6882, 15, 'Έντυπο Επισκόπησης');
INSERT INTO `lang_definitions` VALUES (79666, 6883, 15, 'Αποτελέσματα Επισκόπησης');
INSERT INTO `lang_definitions` VALUES (79667, 6886, 15, 'Επάγγελμα');
INSERT INTO `lang_definitions` VALUES (79668, 6887, 15, 'Ιατρός εργασίας');
INSERT INTO `lang_definitions` VALUES (79669, 6889, 15, 'Εμφάνιση');
INSERT INTO `lang_definitions` VALUES (79670, 6890, 15, 'Οκτ.');
INSERT INTO `lang_definitions` VALUES (79671, 6891, 15, 'Οκτώβριος');
INSERT INTO `lang_definitions` VALUES (79672, 6892, 15, 'Δεξιός οφθαλμός');
INSERT INTO `lang_definitions` VALUES (79673, 6893, 15, 'Δ.Ο.');
INSERT INTO `lang_definitions` VALUES (79674, 6895, 15, 'από');
INSERT INTO `lang_definitions` VALUES (79675, 6896, 15, 'της ποσότητος');
INSERT INTO `lang_definitions` VALUES (79676, 6897, 15, 'των δισκίων');
INSERT INTO `lang_definitions` VALUES (79677, 6898, 15, 'του μήνα κάθε');
INSERT INTO `lang_definitions` VALUES (79678, 6899, 15, 'Σημ. Ιατρείου');
INSERT INTO `lang_definitions` VALUES (79679, 6904, 15, 'Ιατρείο');
INSERT INTO `lang_definitions` VALUES (79680, 6905, 15, 'Ανακοινώσεις Ιατρείου');
INSERT INTO `lang_definitions` VALUES (79681, 6906, 15, 'Σημείωση Ιατρείου');
INSERT INTO `lang_definitions` VALUES (79682, 6907, 15, 'Σημειώσεις Ιατρείου');
INSERT INTO `lang_definitions` VALUES (79683, 6908, 15, 'Επίσκεψη Ιατρείου');
INSERT INTO `lang_definitions` VALUES (79684, 6909, 15, 'Ομάδες Μέτρησης (CQM) Επισήμων Μετρήσεων Κλινικής Ποιότητας');
INSERT INTO `lang_definitions` VALUES (79685, 6910, 15, 'Σ̈́ύνδεσμος https για την offline σύνδεση στο Portal του ασθενούς');
INSERT INTO `lang_definitions` VALUES (79686, 6911, 15, 'Σ̈́ύνδεσμος https για την offline σύνδεση στο Portal Ασθενούς (σύνδεσμος Ασθενούς)');
INSERT INTO `lang_definitions` VALUES (79687, 6912, 15, 'Κωδικός για το Offsite Portal Ασθενούς');
INSERT INTO `lang_definitions` VALUES (79688, 6913, 15, 'Κωδικός για το Offsite Portal Ασθενούς (Κενό αν δεν έχει εγγραφεί)');
INSERT INTO `lang_definitions` VALUES (79689, 6916, 15, 'Διέυθυνση Ιστοσελίδας για το Offsite Portal Ασθενούς');
INSERT INTO `lang_definitions` VALUES (79690, 6918, 15, 'Όνομα χρήστη για το Offsite Portal Ασθενούς');
INSERT INTO `lang_definitions` VALUES (79691, 6919, 15, 'Όνομα χρήστη για το Offsite Portal Ασθενούς (Κενό αν δεν έχει Εγγραφεί)');
INSERT INTO `lang_definitions` VALUES (79692, 6921, 15, 'Απόγονοι');
INSERT INTO `lang_definitions` VALUES (79693, 6922, 15, 'Ιστορικό Απογόνων');
INSERT INTO `lang_definitions` VALUES (79694, 6923, 15, 'Ουπς!');
INSERT INTO `lang_definitions` VALUES (79695, 6925, 15, 'αλοιφή (oint)');
INSERT INTO `lang_definitions` VALUES (79696, 6927, 15, 'Εντάξει');
INSERT INTO `lang_definitions` VALUES (79697, 6929, 15, 'ΟΚ να κλείσετε αυτό το αναδυόμενο παράθυρο;');
INSERT INTO `lang_definitions` VALUES (79698, 6930, 15, 'ΟΚ σύνδεση του GCAG γεγονότος ημ/νίας');
INSERT INTO `lang_definitions` VALUES (79699, 6931, 15, 'Παλαιό');
INSERT INTO `lang_definitions` VALUES (79700, 6933, 15, 'Παλαιοί πελάτες');
INSERT INTO `lang_definitions` VALUES (79701, 6934, 15, 'Παλαιό κάταγμα μη / κακή επούλωση');
INSERT INTO `lang_definitions` VALUES (79702, 6935, 15, 'Παλαιό στυλ εμφάνισης χωρίς αριστερό μενού');
INSERT INTO `lang_definitions` VALUES (79703, 6936, 15, 'Παλαιό στυλ στατικού εντύπου, χωρίς αναζήτηση ή έλεγχο διπλοκαταχώρησης');
INSERT INTO `lang_definitions` VALUES (79704, 6938, 15, 'Παλαιότερα από');
INSERT INTO `lang_definitions` VALUES (79705, 6940, 15, 'Παράλειψη');
INSERT INTO `lang_definitions` VALUES (79706, 6941, 15, 'Παράλειψη περιφέρειας');
INSERT INTO `lang_definitions` VALUES (79707, 6942, 15, 'Παραλείψτε λεπτομέρειες εργοδότη στα Δημογραφικά ασθενούς');
INSERT INTO `lang_definitions` VALUES (79708, 6943, 15, 'Παραλείψτε τους Εργοδότες');
INSERT INTO `lang_definitions` VALUES (79709, 6944, 15, 'Παραλείψτε μορφή, οδό και μεσοδιαστήματα χορήγησης, που θα γίνουν, μετά, μέρος της δοσολογίας');
INSERT INTO `lang_definitions` VALUES (79710, 6945, 15, 'Παραλείψτε την Ασφαλ. Εταιρεία και μερικά άλλα πράγματα από το Έντυπο Δημογραφικών');
INSERT INTO `lang_definitions` VALUES (79711, 6946, 15, 'Να παραλειφθούν οι εσωτερικοί χρήστες;');
INSERT INTO `lang_definitions` VALUES (79712, 6947, 15, 'Στο πάνελ Συμμετοχής στην πληρωμή, παραλείψτε μέθοδο πληρωμής');
INSERT INTO `lang_definitions` VALUES (79713, 6948, 15, 'Αφήστε κενό, για αυτόματη συμπλήρωση από το σύστημα');
INSERT INTO `lang_definitions` VALUES (79714, 6950, 15, 'στις');
INSERT INTO `lang_definitions` VALUES (79715, 6952, 15, 'Στην πρώτη σελίδα');
INSERT INTO `lang_definitions` VALUES (79716, 6956, 15, 'Στο χέρι');
INSERT INTO `lang_definitions` VALUES (79717, 6959, 15, 'Κατόπιν παραγγελίας');
INSERT INTO `lang_definitions` VALUES (79718, 6960, 15, 'Επιτόπου ');
INSERT INTO `lang_definitions` VALUES (79719, 6963, 15, 'Σε αυτή την ημ/νία υπάρχουν διακοπές, να χρησιμοποιηθεί οπωσδήποτε;');
INSERT INTO `lang_definitions` VALUES (79720, 6970, 15, 'Όταν ολοκληρωθεί, προβολή και αποθήκευση αυτής της Επίσκεψης ως αρχείο PDF');
INSERT INTO `lang_definitions` VALUES (79721, 6979, 15, 'Αν αλλάξετε τον κωδικό σας, θα πρέπει να επανασυνδεθείτε.');
INSERT INTO `lang_definitions` VALUES (79722, 6982, 15, 'Πριν από 1 ημέρα');
INSERT INTO `lang_definitions` VALUES (79723, 6983, 15, 'Μετά από μία ημέρα');
INSERT INTO `lang_definitions` VALUES (79724, 6984, 15, 'Μία Επίσκεψη ανά ημέρα');
INSERT INTO `lang_definitions` VALUES (79725, 6985, 15, 'Προ μηνός');
INSERT INTO `lang_definitions` VALUES (79726, 6986, 15, 'Μετά από ένα μήνα');
INSERT INTO `lang_definitions` VALUES (79727, 6987, 15, 'Μία ή περισσότερες συναλλαγές απέτυχαν');
INSERT INTO `lang_definitions` VALUES (79728, 6991, 15, 'Μετά από μία εβδομάδα');
INSERT INTO `lang_definitions` VALUES (79729, 6992, 15, 'Προ Έτους');
INSERT INTO `lang_definitions` VALUES (79730, 6993, 15, 'Μετά από ένα έτος');
INSERT INTO `lang_definitions` VALUES (79731, 6996, 15, 'Online Βοήθεια');
INSERT INTO `lang_definitions` VALUES (79732, 6997, 15, 'Link για online Βοήθεια');
INSERT INTO `lang_definitions` VALUES (79733, 6999, 15, 'Μόνο οι ενεργές');
INSERT INTO `lang_definitions` VALUES (79734, 7001, 15, 'Μόνο εγγραφές με Κωδικό είναι χρεώσιμες');
INSERT INTO `lang_definitions` VALUES (79735, 7002, 15, 'Μόνο για συγκρίσεις');
INSERT INTO `lang_definitions` VALUES (79736, 7004, 15, 'μόνο αν πρόκειται για τοποθεσία χρέωσης');
INSERT INTO `lang_definitions` VALUES (79737, 7005, 15, 'Μόνο αρχεία εικόνας γίνονται αποδεκτά');
INSERT INTO `lang_definitions` VALUES (79738, 7006, 15, 'Μόνο οι ανενεργές');
INSERT INTO `lang_definitions` VALUES (79739, 7007, 15, 'Μόνο τα δικά μου');
INSERT INTO `lang_definitions` VALUES (79740, 7010, 15, 'Μόνο Υπενθύμιση στον Πάροχο, όχι Πρόσκληση');
INSERT INTO `lang_definitions` VALUES (79741, 7011, 15, 'Να εμφανίζονται μόνον οι Κωδικοί Αναφοράς Διάγνωσης');
INSERT INTO `lang_definitions` VALUES (79742, 7013, 15, 'Να φορτώνονται μόνον οι ενεργές συνταγές');
INSERT INTO `lang_definitions` VALUES (79743, 7015, 15, 'Έναρξη');
INSERT INTO `lang_definitions` VALUES (79744, 7016, 15, 'Έναρξη τρέχουσας Ασθένειας ή Συμπτωμάτων');
INSERT INTO `lang_definitions` VALUES (79745, 7017, 15, 'Έναρξη της ασθένειας:');
INSERT INTO `lang_definitions` VALUES (79746, 7018, 15, 'Έναρξη της ασθένειας:');
INSERT INTO `lang_definitions` VALUES (79747, 7019, 15, 'Έναρξη του Οιδήματος:');
INSERT INTO `lang_definitions` VALUES (79748, 7020, 15, 'Έναρξη/Ημ. νοσηλείας');
INSERT INTO `lang_definitions` VALUES (79749, 7021, 15, 'Έναρξη/Ημ. νοσηλείας - χρησιμοποιείται για χρέωση νοσοκομειακών επισκέψεων');
INSERT INTO `lang_definitions` VALUES (79750, 7022, 15, 'Έναρξη/ ημερ. νοσηλείας:');
INSERT INTO `lang_definitions` VALUES (79751, 7026, 15, 'Διεύθυνση Ιστοσελίδας της Onsite Portal Ασθενούς');
INSERT INTO `lang_definitions` VALUES (79752, 7030, 15, 'Ώπα!');
INSERT INTO `lang_definitions` VALUES (79753, 7031, 15, 'Ανοικτό');
INSERT INTO `lang_definitions` VALUES (79754, 7034, 15, 'Άνοιγμα όλων των επεκτάσιμων εντύπων σε πλήρη επέκταση');
INSERT INTO `lang_definitions` VALUES (79755, 7036, 15, 'Άνοιγμα Δημογραφικών σε Νέο Παράθυρο από τον Πίνακα Ροής Ασθενών');
INSERT INTO `lang_definitions` VALUES (79756, 7037, 15, 'Ανοιχτή Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (79757, 7038, 15, 'Άνοιγμα Χρεωστικού Δελτίου');
INSERT INTO `lang_definitions` VALUES (79758, 7040, 15, 'Άνοιγμα σε Νέο Παράθυρο');
INSERT INTO `lang_definitions` VALUES (79759, 7042, 15, 'Άνοιγμα Ασθενούς');
INSERT INTO `lang_definitions` VALUES (79760, 7043, 15, 'Άνοιγμα Ασθενούς σε Νέο Παράθυρο');
INSERT INTO `lang_definitions` VALUES (79761, 7044, 15, 'Άνοιγμα των Πάνελ Γρήγορης Επιλογής');
INSERT INTO `lang_definitions` VALUES (79762, 7045, 15, 'Άνοιγμα Παραθύρου Συντομογραφιών και προβολή Κωδικών Συντομογραφιών');
INSERT INTO `lang_definitions` VALUES (79763, 7046, 15, 'Άνοιγμα Σημερινής Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (79764, 7071, 15, 'Το OpenEMR διαθέτει, ήδη εξ αρχής, ένα Πιστοπ. Εξουσιοδότησης.');
INSERT INTO `lang_definitions` VALUES (79765, 7073, 15, 'Εφαρμογή OpenEMR');
INSERT INTO `lang_definitions` VALUES (79766, 7074, 15, 'Κατηγορία Εφαρμογής OpenEMR');
INSERT INTO `lang_definitions` VALUES (79767, 7076, 15, 'Ενημέρωση βάσης δεδομένων του OpenEMR');
INSERT INTO `lang_definitions` VALUES (79768, 7077, 15, 'Ενημέρωση βάσης δεδομένων του OpenEMR για Απο-ταυτοποίηση');
INSERT INTO `lang_definitions` VALUES (79769, 7078, 15, 'Το OpenEMR δεν αναγνωρίζει το εισερχόμενο αρχείο στον κατάλογο των συνεισφορών (contrib dir). Αυτό συμβαίνει μάλλον διότι πρέπει να ρυθμίσετε την έκδοση στον Πίνακα με την υποστηριζόμενη_εξωτερική_φόρτωση_δεδομένων στη βάση δεδομένων MySQL.');
INSERT INTO `lang_definitions` VALUES (79770, 7080, 15, 'Το OpenEMR πρέπει να ρυθμισθεί για τη χρήση Πιστοποιητικών, πριν είναι σε θέση να δημιουργεί Πιστοποιητικά χρήστη.');
INSERT INTO `lang_definitions` VALUES (79771, 7082, 15, 'OpenEMR Portal');
INSERT INTO `lang_definitions` VALUES (79772, 7083, 15, 'Δήλωση προϊόντος OpenEMR');
INSERT INTO `lang_definitions` VALUES (79773, 7084, 15, 'Το OpenEMR απαιτεί Javascript για να εκτελέσει την ταυτοποίηση του χρήστη.');
INSERT INTO `lang_definitions` VALUES (79774, 7085, 15, 'Χρήστες OpenEMR');
INSERT INTO `lang_definitions` VALUES (79775, 7086, 15, 'Ανοίγματα');
INSERT INTO `lang_definitions` VALUES (79776, 7091, 15, 'Χειριστής');
INSERT INTO `lang_definitions` VALUES (79777, 7092, 15, 'Οφθαλμικό');
INSERT INTO `lang_definitions` VALUES (79778, 7093, 15, 'Οπτικοί Δίσκοι');
INSERT INTO `lang_definitions` VALUES (79779, 7094, 15, 'Ανάλυση Οπτικού Νεύρου');
INSERT INTO `lang_definitions` VALUES (79780, 7095, 15, 'Επιλογή');
INSERT INTO `lang_definitions` VALUES (79781, 7097, 15, 'Επιλογή μεθόδου αποθήκευσης εγγράφων.');
INSERT INTO `lang_definitions` VALUES (79782, 7098, 15, 'Επιλογή υποστήριξης απογραφής και πώλησης προϊόντων');
INSERT INTO `lang_definitions` VALUES (79783, 7099, 15, 'Προαιρετικό');
INSERT INTO `lang_definitions` VALUES (79784, 7100, 15, 'Προαιρετικό όνομα κατηγορίας ενός κωδικού εικόνας κάρτας που μπορεί να φαίνεται στη σελίδα σύνοψης ασθενούς');
INSERT INTO `lang_definitions` VALUES (79785, 7101, 15, 'Προαιρετικό όνομα κατηγορίας μιας φωτογραφίας που μπορεί να φαίνεται στη σελίδα σύνοψης ασθενούς');
INSERT INTO `lang_definitions` VALUES (79786, 7102, 15, 'Προαιρετικό όνομα κατηγορίας ενός εγγράφου με το οποίο να γίνεται σύνδεση, από την σελίδα Περίληψης Ασθενούς. Σας επιτρέπει να μπορείτε να δείτε το δελτίο ταυτότητας, όταν κάνετε κλικ σε έναν ασθενή');
INSERT INTO `lang_definitions` VALUES (79787, 7103, 15, 'Προαιρετ. default πεδίο τιμών για τη χειροκίνητη εισαγωγή αποτελεσμάτων');
INSERT INTO `lang_definitions` VALUES (79788, 7104, 15, 'Προαιρετ. default μονάδες για χειροκίνητη εισαγωγή αποτελεσμάτων');
INSERT INTO `lang_definitions` VALUES (79789, 7105, 15, 'Προαιρετ. Ονομα Προορισμού');
INSERT INTO `lang_definitions` VALUES (79790, 7107, 15, 'Προαιρετική ονομασία φαρμάκου, χρησιμοποιήστε το % ως wildcard');
INSERT INTO `lang_definitions` VALUES (79791, 7111, 15, 'Προαιρετική πληροφορία για αυτό το Συμβάν');
INSERT INTO `lang_definitions` VALUES (79792, 7112, 15, 'Προαιρετ. αριθμός παρτίδας, χρησιμοποιήστε το % ως wildcard');
INSERT INTO `lang_definitions` VALUES (79793, 7113, 15, 'Προαιρετ. αριθμητικός κωδικ. αναγνώρισης ασθενούς');
INSERT INTO `lang_definitions` VALUES (79794, 7114, 15, 'Προαιρετ. κωδικός Ιατρικής Πράξης');
INSERT INTO `lang_definitions` VALUES (79795, 7115, 15, 'Προαιρετική Ιατρική Πράξη/Υπηρεσία');
INSERT INTO `lang_definitions` VALUES (79796, 7116, 15, 'Επιλογές');
INSERT INTO `lang_definitions` VALUES (79797, 7117, 15, 'Ή');
INSERT INTO `lang_definitions` VALUES (79798, 7118, 15, 'ή');
INSERT INTO `lang_definitions` VALUES (79799, 7119, 15, 'ή επιλέξτε');
INSERT INTO `lang_definitions` VALUES (79800, 7120, 15, 'ή κάντε drag and drop για ταχύτερη επιλογή');
INSERT INTO `lang_definitions` VALUES (79801, 7122, 15, 'Ή να σταλεί προς');
INSERT INTO `lang_definitions` VALUES (79802, 7123, 15, 'ή επιλέξτε από την αποθήκη');
INSERT INTO `lang_definitions` VALUES (79803, 7124, 15, 'ή κάντε Shift-click για να το μειώσετε');
INSERT INTO `lang_definitions` VALUES (79804, 7125, 15, 'Ή ανεβάστε αρχείο ηλεκτρον. εμβάσματος (ERA):');
INSERT INTO `lang_definitions` VALUES (79805, 7127, 15, 'Στόμα');
INSERT INTO `lang_definitions` VALUES (79806, 7128, 15, 'Στοματικός βλεννογόνος ροζ, λάρυγγας καθαρός');
INSERT INTO `lang_definitions` VALUES (79807, 7129, 15, 'Παραγγελία');
INSERT INTO `lang_definitions` VALUES (79808, 7131, 15, 'Τύποι Παραγγελιών και Αποτελεσμάτων');
INSERT INTO `lang_definitions` VALUES (79809, 7132, 15, 'Κατάλογος Παραγγελιών');
INSERT INTO `lang_definitions` VALUES (79810, 7133, 15, 'Ημ/νία Παραγγελίας');
INSERT INTO `lang_definitions` VALUES (79811, 7134, 15, 'Περιγραφή Παραγγελιών');
INSERT INTO `lang_definitions` VALUES (79812, 7136, 15, 'Παραγγελία Από');
INSERT INTO `lang_definitions` VALUES (79813, 7137, 15, 'Κωδ. Παραγγελίας');
INSERT INTO `lang_definitions` VALUES (79814, 7138, 15, 'Η σειρά πρέπει να είναι ένας αριθμός μεταξύ 1 και 999');
INSERT INTO `lang_definitions` VALUES (79815, 7139, 15, 'Η σειρά πρέπει να είναι ένας αριθμός μεταξύ 1 και 9999');
INSERT INTO `lang_definitions` VALUES (79816, 7140, 15, 'Όνομα Παραγγελίας');
INSERT INTO `lang_definitions` VALUES (79817, 7141, 15, 'Σημειώσεις Παραγγελίας');
INSERT INTO `lang_definitions` VALUES (79818, 7143, 15, 'Επεξεργαστής Παραγγελίας');
INSERT INTO `lang_definitions` VALUES (79819, 7144, 15, 'Ερωτήματα Παραγγελίας');
INSERT INTO `lang_definitions` VALUES (79820, 7145, 15, 'Αποτελέσματα Παραγγελίας');
INSERT INTO `lang_definitions` VALUES (79821, 7146, 15, 'Κατάσταση Παραγγελίας');
INSERT INTO `lang_definitions` VALUES (79822, 7147, 15, 'Καταστάσεις Παραγγελίας');
INSERT INTO `lang_definitions` VALUES (79823, 7148, 15, 'Σύνοψη Παραγγελίας');
INSERT INTO `lang_definitions` VALUES (79824, 7150, 15, 'Τύπος Παραγγελίας');
INSERT INTO `lang_definitions` VALUES (79825, 7151, 15, 'Τύποι Παραγγελίας');
INSERT INTO `lang_definitions` VALUES (79826, 7152, 15, 'Τύπος Παραγγελίας/Αποτελεσμάτων');
INSERT INTO `lang_definitions` VALUES (79827, 7153, 15, 'Παραγγέλθηκε');
INSERT INTO `lang_definitions` VALUES (79828, 7154, 15, 'Παραγγέλθηκε από');
INSERT INTO `lang_definitions` VALUES (79829, 7155, 15, 'Παραγγελθείσα Ιατρική Πράξη');
INSERT INTO `lang_definitions` VALUES (79830, 7158, 15, 'Παραγγέλνων Ιατρός');
INSERT INTO `lang_definitions` VALUES (79831, 7159, 15, 'Παραγγέλνων Πάροχος');
INSERT INTO `lang_definitions` VALUES (79832, 7161, 15, 'Παραγγελίες');
INSERT INTO `lang_definitions` VALUES (79833, 7163, 15, 'Διαδρομή Παραγγελιών');
INSERT INTO `lang_definitions` VALUES (79834, 7164, 15, 'Διαδρομή Παραγγελιών - απαιτείται μόνο όταν αποστέλλετε ηλεκτρονική παραγγελία σε κάποια άλλη έδρα');
INSERT INTO `lang_definitions` VALUES (79835, 7166, 15, 'Βλάβη οργάνου');
INSERT INTO `lang_definitions` VALUES (79836, 7167, 15, 'Οργανισμός');
INSERT INTO `lang_definitions` VALUES (79837, 7168, 15, 'Όνομα Οργανισμού');
INSERT INTO `lang_definitions` VALUES (79838, 7169, 15, 'Όνομα Οργανωτική Μονάδος');
INSERT INTO `lang_definitions` VALUES (79839, 7170, 15, 'Οργανισμοί');
INSERT INTO `lang_definitions` VALUES (79840, 7171, 15, 'Προσανατολισμένος x 3');
INSERT INTO `lang_definitions` VALUES (79841, 7175, 15, 'Πρωτότυπο');
INSERT INTO `lang_definitions` VALUES (79842, 7176, 15, 'Πρωτότυπο Checksum');
INSERT INTO `lang_definitions` VALUES (79843, 7177, 15, 'Πρωτότυπο αρχείο');
INSERT INTO `lang_definitions` VALUES (79844, 7181, 15, 'ΣΤΟΜΑΤΟΦΑΡΥΓΓΑΣ:');
INSERT INTO `lang_definitions` VALUES (79845, 7182, 15, 'Ορθο');
INSERT INTO `lang_definitions` VALUES (79846, 7184, 15, 'Ορθόπνοια');
INSERT INTO `lang_definitions` VALUES (79847, 7185, 15, 'ΟΡΘΟ');
INSERT INTO `lang_definitions` VALUES (79848, 7187, 15, 'Η');
INSERT INTO `lang_definitions` VALUES (79849, 7188, 15, 'Αριστ. οφθαλμός');
INSERT INTO `lang_definitions` VALUES (79850, 7189, 15, 'Οστεοαρθρίτιδα');
INSERT INTO `lang_definitions` VALUES (79851, 7191, 15, 'Οστεοπάθεια');
INSERT INTO `lang_definitions` VALUES (79852, 7192, 15, 'Α.Ο.');
INSERT INTO `lang_definitions` VALUES (79853, 7193, 15, 'Άλλο');
INSERT INTO `lang_definitions` VALUES (79854, 7194, 15, 'Άλλο');
INSERT INTO `lang_definitions` VALUES (79855, 7195, 15, 'ΑΛΛΟ');
INSERT INTO `lang_definitions` VALUES (79856, 7196, 15, 'Άλλο (προσδιορίστε)');
INSERT INTO `lang_definitions` VALUES (79857, 7198, 15, 'Άλλο - Προσδιορίστε');
INSERT INTO `lang_definitions` VALUES (79858, 7199, 15, 'Άλλος ενήλικας');
INSERT INTO `lang_definitions` VALUES (79859, 7200, 15, 'Άλλα έγγραφα');
INSERT INTO `lang_definitions` VALUES (79860, 7201, 15, 'Άλλο Ομοσπονδιακό Πρόγραμμα');
INSERT INTO `lang_definitions` VALUES (79861, 7202, 15, 'Άλλη Διεύθυνση Χρηματοδότησης Υγείας (HCFA)');
INSERT INTO `lang_definitions` VALUES (79862, 7203, 15, 'Άλλη βλάβη που δεν προσδιορίζεται αλλού');
INSERT INTO `lang_definitions` VALUES (79863, 7204, 15, 'Κάποια άλλη Ασφαλ. εταιρεία αστικής ευθύνης είναι Πρωτεύουσα');
INSERT INTO `lang_definitions` VALUES (79864, 7205, 15, 'Άλλα Αρχεία Καταγραφής');
INSERT INTO `lang_definitions` VALUES (79865, 7206, 15, 'άλλος μήνας');
INSERT INTO `lang_definitions` VALUES (79866, 7207, 15, 'Άλλα μη Ομοσπονδιακά Προγράμματα');
INSERT INTO `lang_definitions` VALUES (79867, 7208, 15, 'Άλλες σημειώσεις');
INSERT INTO `lang_definitions` VALUES (79868, 7209, 15, 'Άλλα σχετικά συμπτώματα');
INSERT INTO `lang_definitions` VALUES (79869, 7210, 15, 'Άλλα σχετικά Συμπτώματα:');
INSERT INTO `lang_definitions` VALUES (79870, 7212, 15, 'Άλλος Πάροχος');
INSERT INTO `lang_definitions` VALUES (79871, 7213, 15, 'Άλλα σχετ. συμπτ.:');
INSERT INTO `lang_definitions` VALUES (79872, 7214, 15, 'Άλλο Μητρώο');
INSERT INTO `lang_definitions` VALUES (79873, 7215, 15, 'Άλλες βλάβες από stress/υπερβολική χρήση');
INSERT INTO `lang_definitions` VALUES (79874, 7216, 15, 'Άλλα Χειρουργικά');
INSERT INTO `lang_definitions` VALUES (79875, 7217, 15, 'Άλλα/ Γενικότερα, σχετικά με άμβλωση');
INSERT INTO `lang_definitions` VALUES (79876, 7218, 15, 'Άλλα/Διάφορα');
INSERT INTO `lang_definitions` VALUES (79877, 7219, 15, 'Άλλα');
INSERT INTO `lang_definitions` VALUES (79878, 7221, 15, 'αλλιώς θα καταστρέψετε αναφορές στα/ από τα υπάρχοντα δεδομένα.');
INSERT INTO `lang_definitions` VALUES (79879, 7224, 15, 'Οδηγίες αστραγάλου της Οτάβα');
INSERT INTO `lang_definitions` VALUES (79880, 7227, 15, 'ΕΞΩ');
INSERT INTO `lang_definitions` VALUES (79881, 7228, 15, 'Εκτός Ιατρείου');
INSERT INTO `lang_definitions` VALUES (79882, 7229, 15, 'Ώρα Ολοκλήρωσης');
INSERT INTO `lang_definitions` VALUES (79883, 7231, 15, 'Έκβαση');
INSERT INTO `lang_definitions` VALUES (79884, 7234, 15, 'Πρόγνωση');
INSERT INTO `lang_definitions` VALUES (79885, 7235, 15, 'Εξωτερικά Ιατρεία');
INSERT INTO `lang_definitions` VALUES (79886, 7236, 15, 'Τύπος Εξόδου');
INSERT INTO `lang_definitions` VALUES (79887, 7239, 15, 'Γενική κατάσταση εξιτηρίου');
INSERT INTO `lang_definitions` VALUES (79888, 7240, 15, 'ΕΚΠΡΟΘΕΣΜΟ');
INSERT INTO `lang_definitions` VALUES (79889, 7243, 15, 'Αγνόησε επιλογή HIPAA');
INSERT INTO `lang_definitions` VALUES (79890, 7244, 15, 'Υπερβολ. χρήση');
INSERT INTO `lang_definitions` VALUES (79891, 7245, 15, 'Επισκόπηση');
INSERT INTO `lang_definitions` VALUES (79892, 7246, 15, 'Υπέρβαρος/η');
INSERT INTO `lang_definitions` VALUES (79893, 7247, 15, 'Επικαλύψτε την επιλογή HIPAA');
INSERT INTO `lang_definitions` VALUES (79894, 7248, 15, 'Ιδιοκτήτης');
INSERT INTO `lang_definitions` VALUES (79895, 7249, 15, 'Κορεσμός οξυγόνου');
INSERT INTO `lang_definitions` VALUES (79896, 7250, 15, 'ουγγιά');
INSERT INTO `lang_definitions` VALUES (79897, 7252, 15, 'μετά φαγητό');
INSERT INTO `lang_definitions` VALUES (79898, 7253, 15, 'μ.μ.');
INSERT INTO `lang_definitions` VALUES (79899, 7254, 15, 'επί ανάγκης');
INSERT INTO `lang_definitions` VALUES (79900, 7255, 15, 'Παχυμετρία');
INSERT INTO `lang_definitions` VALUES (79901, 7256, 15, 'Παχυμετρία: Κεντρικό Πάχος Κερατοειδούς');
INSERT INTO `lang_definitions` VALUES (79902, 7259, 15, 'Παιδιατρικό');
INSERT INTO `lang_definitions` VALUES (79903, 7260, 15, 'Σελίδα');
INSERT INTO `lang_definitions` VALUES (79904, 7262, 15, 'Επικύρωση Σελίδας');
INSERT INTO `lang_definitions` VALUES (79905, 7263, 15, 'Σελίδες');
INSERT INTO `lang_definitions` VALUES (79906, 7264, 15, 'Καταβληθέν ποσό');
INSERT INTO `lang_definitions` VALUES (79907, 7265, 15, 'Πληρωμένο ποσό που θα κατανείμετε');
INSERT INTO `lang_definitions` VALUES (79908, 7266, 15, 'Καταβληθέν ποσό');
INSERT INTO `lang_definitions` VALUES (79909, 7267, 15, 'Τρόπος Πληρωμής');
INSERT INTO `lang_definitions` VALUES (79910, 7268, 15, 'Άλγος ');
INSERT INTO `lang_definitions` VALUES (79911, 7270, 15, 'Ιατρός Παρηγορητικής Ιατρικής');
INSERT INTO `lang_definitions` VALUES (79912, 7271, 15, 'Αίσθημα παλμών');
INSERT INTO `lang_definitions` VALUES (79913, 7275, 15, 'Τεστ Παπανικολάου');
INSERT INTO `lang_definitions` VALUES (79914, 7276, 15, 'Χαρτί');
INSERT INTO `lang_definitions` VALUES (79915, 7277, 15, 'Μέγεθος Χαρτιού');
INSERT INTO `lang_definitions` VALUES (79916, 7278, 15, 'Παράλυση');
INSERT INTO `lang_definitions` VALUES (79917, 7279, 15, 'Γονέας');
INSERT INTO `lang_definitions` VALUES (79918, 7280, 15, 'Πατριός/Μητριά');
INSERT INTO `lang_definitions` VALUES (79919, 7281, 15, 'Μνήμη Γονέα');
INSERT INTO `lang_definitions` VALUES (79920, 7282, 15, 'Γραπτό Αρχείο/ Σημειώσεις Γονέα');
INSERT INTO `lang_definitions` VALUES (79921, 7283, 15, 'Γονική απόφαση');
INSERT INTO `lang_definitions` VALUES (79922, 7284, 15, 'Ανάλυση HL7');
INSERT INTO `lang_definitions` VALUES (79923, 7285, 15, 'Μερική Χορήγηση');
INSERT INTO `lang_definitions` VALUES (79924, 7286, 15, 'Όνομα Συμμετέχοντος');
INSERT INTO `lang_definitions` VALUES (79925, 7287, 15, 'Συμμετέχοντες');
INSERT INTO `lang_definitions` VALUES (79926, 7288, 15, 'Συμμετέχοντες');
INSERT INTO `lang_definitions` VALUES (79927, 7289, 15, 'Συνεργάτης/ Συνεταίρος');
INSERT INTO `lang_definitions` VALUES (79928, 7290, 15, 'Όνομα Συνεργάτη');
INSERT INTO `lang_definitions` VALUES (79929, 7294, 15, 'Συνθηματικό');
INSERT INTO `lang_definitions` VALUES (79930, 7295, 15, 'Συνθηματικό για αποκρυπτογράφηση του αρχείου');
INSERT INTO `lang_definitions` VALUES (79931, 7296, 15, 'Ασθενείς που απεβίωσαν');
INSERT INTO `lang_definitions` VALUES (79932, 7297, 15, 'Παθητική Ειδοποίηση');
INSERT INTO `lang_definitions` VALUES (79933, 7299, 15, 'Κανόνες Παθητικής Ειδοποίησης');
INSERT INTO `lang_definitions` VALUES (79934, 7300, 15, 'κωδικός');
INSERT INTO `lang_definitions` VALUES (79935, 7301, 15, 'Κωδικός πρόσβασης');
INSERT INTO `lang_definitions` VALUES (79936, 7302, 15, 'Αλλαγή Κωδικού πρόσβασης');
INSERT INTO `lang_definitions` VALUES (79937, 7303, 15, 'Επιτυχής αλλαγή Κωδικού πρόσβασης');
INSERT INTO `lang_definitions` VALUES (79938, 7304, 15, 'Επιτυχής αλλαγή Κωδικού πρόσβασης.');
INSERT INTO `lang_definitions` VALUES (79939, 7306, 15, 'Ο κωδικός δεν πληροί τις ελάχιστες προϋποθέσεις και θα πρέπει να περιέχει τουλάχιστον τρία από τα τέσσερα ακόλουθα στοιχεία: Έναν αριθμό, ένα μικρό γράμμα, ένα κεφαλαίο γράμμα, έναν ειδικό χαρακτήρα (Όχι γράμμα ή αριθμό).');
INSERT INTO `lang_definitions` VALUES (79940, 7308, 15, 'Περίοδος χάριτος μετά τη Λήξη του Κωδικού πρόσβασης');
INSERT INTO `lang_definitions` VALUES (79941, 7310, 15, 'Κωδικός για Τηλεφωνικό Gateway. Η αυτοματοποιημένη υπηρεσία VoIP παρέχεται από την Maviq. Παρακαλώ επισκεφθείτε την ιστοσελια http://signup.maviq.com για περισσότερες πληροφορίες.');
INSERT INTO `lang_definitions` VALUES (79942, 7311, 15, 'Κωδικός για το SMS Gateway');
INSERT INTO `lang_definitions` VALUES (79943, 7312, 15, 'Κωδικός για το SMS Gateway');
INSERT INTO `lang_definitions` VALUES (79944, 7313, 15, 'Κωδικός πρόσβασης για τον ανωτέρω χρήστη');
INSERT INTO `lang_definitions` VALUES (79945, 7314, 15, 'Ο κωδικός ασφαλείας αναβαθμίστηκε πρόσφατα');
INSERT INTO `lang_definitions` VALUES (79946, 7315, 15, 'Κωδικός σύνδεσης με τη βάση CouchDB');
INSERT INTO `lang_definitions` VALUES (79947, 7316, 15, 'Κωδικός πολύ μικρός. Απαιτούνται κατά το ελάχιστο 8 χαρακτήρες.');
INSERT INTO `lang_definitions` VALUES (79948, 7319, 15, 'Κωδικός Πρόσβασης:');
INSERT INTO `lang_definitions` VALUES (79949, 7320, 15, 'Οι κωδικοί δεν ταιριάζουν');
INSERT INTO `lang_definitions` VALUES (79950, 7321, 15, 'Οι κωδικοί δεν ταιριάζουν.');
INSERT INTO `lang_definitions` VALUES (79951, 7322, 15, 'Οι κωδικοί δεν ταιριάζουν!');
INSERT INTO `lang_definitions` VALUES (79952, 7324, 15, 'Προηγούμενα Ραντεβού');
INSERT INTO `lang_definitions` VALUES (79953, 7325, 15, 'Widget Προβολής Προηγούμενων Ραντεβού');
INSERT INTO `lang_definitions` VALUES (79954, 7326, 15, 'Προηγούμενα Ραντεβού');
INSERT INTO `lang_definitions` VALUES (79955, 7327, 15, 'Προηγούμενα Ραντεβού - θα εμφανιστούν όλα τα προηγούμενα ραντεβού');
INSERT INTO `lang_definitions` VALUES (79956, 7329, 15, 'Εκπρόθεσμο ');
INSERT INTO `lang_definitions` VALUES (79957, 7330, 15, 'Εκπρόθεσμο ');
INSERT INTO `lang_definitions` VALUES (79958, 7331, 15, 'Χρονικό Διάστημα Προθεσμίας (Κλινικές Υπενθυμίσεις)');
INSERT INTO `lang_definitions` VALUES (79959, 7332, 15, 'Χρονικό Διάστημα Προθεσμίας (Υπενθυμίσεις Ασθενούς)');
INSERT INTO `lang_definitions` VALUES (79960, 7333, 15, 'Λίστα Προηγούμενων Επισκέψεων');
INSERT INTO `lang_definitions` VALUES (79961, 7334, 15, 'Προηγούμενες Επισκέψεις');
INSERT INTO `lang_definitions` VALUES (79962, 7335, 15, 'Προηγούμενες Επισκέψεις και Έγγραφα');
INSERT INTO `lang_definitions` VALUES (79963, 7336, 15, 'Προηγούμενες Επισκέψεις για');
INSERT INTO `lang_definitions` VALUES (79964, 7337, 15, 'Προηγούμενο Ιατρικό Ιστορικό');
INSERT INTO `lang_definitions` VALUES (79965, 7338, 15, 'Προηγούμενες συναντήσεις');
INSERT INTO `lang_definitions` VALUES (79966, 7339, 15, 'Προηγούμενο Οφθαλμικό Ιστορικό');
INSERT INTO `lang_definitions` VALUES (79967, 7340, 15, 'Προηγούμενο Οφθαλμικό Χειρουργείο');
INSERT INTO `lang_definitions` VALUES (79968, 7341, 15, 'Προηγούμενο Χειρουργικό Ιστορικό');
INSERT INTO `lang_definitions` VALUES (79969, 7343, 15, 'Πέρυσι');
INSERT INTO `lang_definitions` VALUES (79970, 7344, 15, 'Επικόλληση HL7 δεδομένων');
INSERT INTO `lang_definitions` VALUES (79971, 7345, 15, 'Επικολλήσετε τα δεδομένα προς εισαγωγή, στο παρακάτω πεδίο κειμένου:');
INSERT INTO `lang_definitions` VALUES (79972, 7346, 15, 'Ασθ');
INSERT INTO `lang_definitions` VALUES (79973, 7347, 15, 'Λογ. Καθολικό Ασθ.');
INSERT INTO `lang_definitions` VALUES (79974, 7350, 15, 'Θεία από πλευρά πατέρα');
INSERT INTO `lang_definitions` VALUES (79975, 7351, 15, 'Ξάδερφος/η από πλευρά πατέρα');
INSERT INTO `lang_definitions` VALUES (79976, 7352, 15, 'Παππούς/Γιαγιά από πλευρά πατέρα');
INSERT INTO `lang_definitions` VALUES (79977, 7353, 15, 'Προπάππους-γιαγιά από πλευρά πατέρα');
INSERT INTO `lang_definitions` VALUES (79978, 7354, 15, 'Θείος από πλευρά πατέρα');
INSERT INTO `lang_definitions` VALUES (79979, 7355, 15, 'Διαδρομή για Αντίγραφο ασφαλείας της Καταγραφής Συμβάντων');
INSERT INTO `lang_definitions` VALUES (79980, 7356, 15, 'Διαδρομή για το Αρχείο Πιστοποιητικών CA');
INSERT INTO `lang_definitions` VALUES (79981, 7357, 15, 'Διαδρομή για το Κλειδί του Αρχείου Πιστοποιητικών CA');
INSERT INTO `lang_definitions` VALUES (79982, 7358, 15, 'Διαδρομή για τα δυαδικά (binaries) της MySQL');
INSERT INTO `lang_definitions` VALUES (79983, 7359, 15, 'Διαδρομή για τα δυαδικά (binaries) PERT');
INSERT INTO `lang_definitions` VALUES (79984, 7360, 15, 'Διαδρομή για τα Προσωρινά Αρχεία');
INSERT INTO `lang_definitions` VALUES (79985, 7361, 15, 'Ασθενής');
INSERT INTO `lang_definitions` VALUES (79986, 7362, 15, 'ΑΣΘΕΝΗΣ');
INSERT INTO `lang_definitions` VALUES (79987, 7363, 15, 'ασθενής');
INSERT INTO `lang_definitions` VALUES (79988, 7364, 15, 'Διεύθυνση Ασθενούς');
INSERT INTO `lang_definitions` VALUES (79989, 7365, 15, 'Διεύθυνση Ασθενούς');
INSERT INTO `lang_definitions` VALUES (79990, 7366, 15, 'Λείπει η Διεύθυνση Ασθενούς');
INSERT INTO `lang_definitions` VALUES (79991, 7368, 15, 'Προσαρμογή Ασθενούς');
INSERT INTO `lang_definitions` VALUES (79992, 7369, 15, 'Αλλεργίες ασθενούς');
INSERT INTO `lang_definitions` VALUES (79993, 7370, 15, 'Αλλεργίες Ασθενούς');
INSERT INTO `lang_definitions` VALUES (79994, 7371, 15, 'Ο Ασθενής βρίσκεται ήδη στο έντυπο');
INSERT INTO `lang_definitions` VALUES (79995, 7373, 15, 'Ραντεβού Ασθενούς');
INSERT INTO `lang_definitions` VALUES (79996, 7374, 15, 'Υπόλοιπο Ασθενούς');
INSERT INTO `lang_definitions` VALUES (79997, 7375, 15, 'Χρεωστικό Υπόλοιπο Ασθενούς');
INSERT INTO `lang_definitions` VALUES (79998, 7376, 15, 'Ημ. Χρέωσης Ασθενούς');
INSERT INTO `lang_definitions` VALUES (79999, 7377, 15, 'Η Ειδοποίηση Γενεθλίων Ασθενούς απαιτεί απενεργοποίηση');
INSERT INTO `lang_definitions` VALUES (80000, 7378, 15, 'Χαρακτηριστικά Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80001, 7379, 15, 'Κωδικός φακέλου ασθενούς');
INSERT INTO `lang_definitions` VALUES (80002, 7380, 15, 'Chat Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80003, 7381, 15, 'Checkout Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80004, 7382, 15, 'Checkout Ασθενούς για');
INSERT INTO `lang_definitions` VALUES (80005, 7383, 15, 'Πόλη Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80006, 7384, 15, 'Λείπει η Πόλη Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80007, 7385, 15, 'Λείπει η Πόλη Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80008, 7386, 15, 'Επικοινωνία ασθενούς απεστάλη');
INSERT INTO `lang_definitions` VALUES (80009, 7387, 15, 'Επικοινωνία ασθενούς απεστάλη');
INSERT INTO `lang_definitions` VALUES (80010, 7388, 15, 'Χώρα Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80011, 7389, 15, 'Λείπει η Χώρα Ασθενούς. Επίσης, δεν έχετε ορίσει την Προεπιλεγμένη Χώρα Ασθενούς στις Γενικές Ρυθμίσεις.');
INSERT INTO `lang_definitions` VALUES (80012, 7390, 15, 'Κάλυψη Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80013, 7391, 15, 'Επαναφορά Διαπιστευτηρίων Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80014, 7393, 15, 'Πάνελ Διαχείρισης Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80015, 7394, 15, 'Στοιχεία Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80016, 7395, 15, 'Ημ/νία Γέν. ασθενούς');
INSERT INTO `lang_definitions` VALUES (80017, 7396, 15, 'Λείπει η Ημ/νία Γέν. Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80018, 7397, 15, 'Απόφαση ασθενούς');
INSERT INTO `lang_definitions` VALUES (80019, 7398, 15, 'Προεπιλογή Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80020, 7399, 15, 'Δημογραφικά Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80021, 7400, 15, 'Λεπτομέρειες Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80022, 7401, 15, 'Λεπτομέρειες Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80023, 7402, 15, 'Ημ/νία Γέν. ασθενούς');
INSERT INTO `lang_definitions` VALUES (80024, 7403, 15, 'Λείπει η Ημ/νία Γέν. ασθενούς');
INSERT INTO `lang_definitions` VALUES (80025, 7404, 15, 'Έγγραφο Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80026, 7407, 15, 'Ανέβασμα Προτύπων Εγγράφων Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80027, 7408, 15, 'Πρότυπα Εγγράφων Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80028, 7409, 15, 'Έγγραφα Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80029, 7410, 15, 'Εκπαίδευση Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80030, 7411, 15, 'Υλικά Εκπαίδευσης Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80031, 7412, 15, 'Επίσκεψη Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80032, 7413, 15, 'Έντυπο Επίσκεψης Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80033, 7414, 15, 'Επισκέψεις Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80034, 7415, 15, 'Εύρεση Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80035, 7416, 15, 'Οθόνη Εύρεσης Ασθενών');
INSERT INTO `lang_definitions` VALUES (80036, 7417, 15, 'Όνομα Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80037, 7418, 15, 'Όνομα Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80038, 7419, 15, 'Λείπει το Όνομα Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80039, 7420, 15, 'Πίνακας Ροής Ασθενών');
INSERT INTO `lang_definitions` VALUES (80040, 7421, 15, 'Αναφορά Πίνακα Ροής Ασθενών');
INSERT INTO `lang_definitions` VALUES (80041, 7422, 15, 'Δωμάτια Πίνακα Ροής Ασθενών');
INSERT INTO `lang_definitions` VALUES (80042, 7423, 15, 'Χρόνος Ανανέωσης Πίνακα Ροής Ασθενών');
INSERT INTO `lang_definitions` VALUES (80043, 7424, 15, 'Φύλο Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80044, 7425, 15, 'Λείπει το Φύλο του Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80045, 7426, 15, 'Ο ασθενής δεν έχει εξουσιοδοτήσει το Portal Ασθενούς.');
INSERT INTO `lang_definitions` VALUES (80046, 7428, 15, 'Ιστορικό και προδιάθεση ασθενούς');
INSERT INTO `lang_definitions` VALUES (80047, 7429, 15, 'Ιστορικό και Προδιάθεση ασθενούς - Τρόπος ζωής');
INSERT INTO `lang_definitions` VALUES (80048, 7430, 15, 'Τηλέφωνο Οικίας Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80049, 7431, 15, 'Κωδ. Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80050, 7432, 15, 'Κωδ. Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80051, 7433, 15, 'Ταυτότητα Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80052, 7434, 15, 'Όνομα κατηγορίας ταυτοποίησης ασθενούς');
INSERT INTO `lang_definitions` VALUES (80053, 7435, 15, 'Πληροφορίες ταυτοποίησης ασθενούς');
INSERT INTO `lang_definitions` VALUES (80054, 7436, 15, 'Εικόνες Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80055, 7437, 15, 'Εμβολιασμοί Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80056, 7438, 15, 'Πληροφορίες Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80057, 7440, 15, 'Οδηγίες προς Aσθενή');
INSERT INTO `lang_definitions` VALUES (80058, 7441, 15, 'Κατανομή Aσφάλισης Aσθενών');
INSERT INTO `lang_definitions` VALUES (80059, 7442, 15, 'Αναφορά Kατανομής Aσφάλισης Aσθενών');
INSERT INTO `lang_definitions` VALUES (80060, 7445, 15, 'Θέματα Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80061, 7446, 15, 'Τύπος Ετικέτας Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80062, 7447, 15, 'Επώνυμο Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80063, 7448, 15, 'Επώνυμο Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80064, 7449, 15, 'Λείπει το Επώνυμο του Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80065, 7450, 15, 'Λογ. Καθολικό Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80066, 7451, 15, 'Λογ. Καθολικό Ασθενούς ανά Ημ/νία');
INSERT INTO `lang_definitions` VALUES (80067, 7452, 15, 'Βοήθεια για Λογ. Καθολικό Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80068, 7454, 15, 'Λίστα Ασθενών');
INSERT INTO `lang_definitions` VALUES (80069, 7455, 15, 'Στήλες Λίστας Ασθενών');
INSERT INTO `lang_definitions` VALUES (80070, 7456, 15, 'Δημιουργία Λίστας Ασθενών');
INSERT INTO `lang_definitions` VALUES (80071, 7457, 15, 'Νέο παράθυρο Λίστας ασθενών');
INSERT INTO `lang_definitions` VALUES (80072, 7458, 15, 'Μέγεθος σελίδας Λίστας Ασθενών');
INSERT INTO `lang_definitions` VALUES (80073, 7460, 15, 'Σφάλματα Αναζήτησης Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80074, 7461, 15, 'Αλληλογραφία Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80075, 7463, 15, 'Νοσήματα Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80076, 7464, 15, 'Φάρμακα Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80077, 7465, 15, 'Μορφή Μενού Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80078, 7466, 15, 'Μήνυμα Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80079, 7467, 15, 'Μηνύματα Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80080, 7468, 15, 'Μηνύματα Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80081, 7469, 15, 'Απαιτείται χειροκίνητος ορισμός ασθενούς');
INSERT INTO `lang_definitions` VALUES (80082, 7470, 15, 'Όνομα Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80083, 7471, 15, 'Όνομα Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80084, 7472, 15, 'Όνομα & Διεύθυνση ασθενούς');
INSERT INTO `lang_definitions` VALUES (80085, 7473, 15, 'Όνομα και Κωδ. Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80086, 7474, 15, 'Όνομα Ασθενούς και Τιμολόγιο');
INSERT INTO `lang_definitions` VALUES (80087, 7475, 15, 'Απαιτείται Όνομα Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80088, 7476, 15, 'Όνομα/Κωδ. Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80089, 7477, 15, 'Σημειωση για τον Ασθενή');
INSERT INTO `lang_definitions` VALUES (80090, 7478, 15, 'Τύποι Σημειώσεων Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80091, 7479, 15, 'Σημειώσεις Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80092, 7480, 15, 'Σημειώσεις Ασθενούς (εγγραφή, προαιρετικά προσθήκη)');
INSERT INTO `lang_definitions` VALUES (80093, 7482, 15, 'Αριθμός Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80094, 7483, 15, 'Πληρωμή Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80095, 7484, 15, 'Πληρωμές Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80096, 7485, 15, 'Όνομα Κατηγορίας Φωτογραφιών Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80097, 7486, 15, 'PORTAL ΑΣΘΕΝΟΥΣ');
INSERT INTO `lang_definitions` VALUES (80098, 7487, 15, 'Portal Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80099, 7488, 15, 'Portal Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80100, 7489, 15, 'Portal Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80101, 7490, 15, 'Πρόβλημα συνδεσιμότητας με το Portal Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80102, 7492, 15, 'Το Portal Ασθενούς είναι απενεργοποιημένο');
INSERT INTO `lang_definitions` VALUES (80103, 7493, 15, 'Είσοδος Portal Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80104, 7496, 15, 'Διεύθυνση Portal Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80105, 7497, 15, 'Εκτυπωμένη Αναφορά Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80106, 7498, 15, 'Επανεκτιμήσεις Ασθενών');
INSERT INTO `lang_definitions` VALUES (80107, 7499, 15, 'Αναφορά Φακέλου Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80108, 7500, 15, 'Αίτημα Φακέλου Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80109, 7501, 15, 'Αίτημα Φακέλου Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80110, 7502, 15, 'Θρησκεία Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80111, 7503, 15, 'Υπενθύμιση Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80112, 7506, 15, 'Προτεραιότητα επεξεργασίας δημιουργίας Υπενθύμισης Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80113, 7507, 15, 'Κανόνες Υπενθύμισης Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80114, 7508, 15, 'E-mail Αποστολέα Υπενθύμισης Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80115, 7509, 15, 'Όνομα Αποστολέα Υπενθύμισης Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80116, 7510, 15, 'Υπενθυμίσεις προς Ασθενείς');
INSERT INTO `lang_definitions` VALUES (80117, 7514, 15, 'Αναφορά Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80118, 7516, 15, 'Αναφορές Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80119, 7517, 15, 'Βοήθεια για Αναφορές Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80120, 7518, 15, 'Αίτημα Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80121, 7519, 15, 'Ο ασθενής αιτήθηκε Ιατρικού Φακέλου');
INSERT INTO `lang_definitions` VALUES (80122, 7520, 15, 'Πηγή Πληροφοριών');
INSERT INTO `lang_definitions` VALUES (80123, 7521, 15, 'Αποτελέσματα Ασθενών');
INSERT INTO `lang_definitions` VALUES (80124, 7522, 15, 'Αναζήτηση Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80125, 7523, 15, 'Μη Διαθέσιμη Αναζήτηση Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80126, 7524, 15, 'Αναζήτηση ή Επιλογή Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80127, 7525, 15, 'Στυλ Αποτελεσμάτων Αναζήτησης Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80128, 7526, 15, 'Οθόνη Αναζήτησης/Προσθήκης Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80129, 7527, 15, 'Κρυπτογρ. Αλληλογραφία Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80130, 7528, 15, 'Ρυθμίσεις Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80131, 7529, 15, 'Λείπει το φύλο του Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80132, 7531, 15, 'Ο Ασθενής έχει υπογράψει');
INSERT INTO `lang_definitions` VALUES (80133, 7532, 15, 'Ημ. υπογραφής Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80134, 7533, 15, 'Νομός Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80135, 7534, 15, 'Λείπει ο Νομός του Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80136, 7537, 15, 'Διεύθυνση Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80137, 7538, 15, 'Λείπει η Διεύθυνση του Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80138, 7539, 15, 'Σύνοψη Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80139, 7542, 15, 'Συναλλαγές ασθενούς');
INSERT INTO `lang_definitions` VALUES (80140, 7544, 15, 'Επικύρωση Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80141, 7546, 15, 'ΤΚ Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80142, 7547, 15, 'Λείπει ο ΤΚ του Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80143, 7548, 15, 'Αριθμός Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80144, 7549, 15, 'ασθενής(-είς) στη βάση δεδομένων που ταιριάζουν με τις δημογραφικές πληροφορίες που έχετε εισάγει.');
INSERT INTO `lang_definitions` VALUES (80145, 7550, 15, 'Ασθενής');
INSERT INTO `lang_definitions` VALUES (80146, 7551, 15, 'Ασθενής:');
INSERT INTO `lang_definitions` VALUES (80147, 7552, 15, 'Κωδικός Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80148, 7553, 15, 'Ασθενείς');
INSERT INTO `lang_definitions` VALUES (80149, 7554, 15, 'Ασθενείς');
INSERT INTO `lang_definitions` VALUES (80150, 7556, 15, 'Ασθενείς με χρέος');
INSERT INTO `lang_definitions` VALUES (80151, 7557, 15, 'Κατάσταση υγείας ασθενούς');
INSERT INTO `lang_definitions` VALUES (80152, 7559, 15, 'Πληρωμή');
INSERT INTO `lang_definitions` VALUES (80153, 7560, 15, 'Δώστε προσοχή στα κουτάκια \"Έγινε με\". Αφού οι ασφάλειες σημειωθούν ως πλήρεις, τότε θα ξεκινήσουμε ζητώντας από τον ασθενή να καταβάλει το υπόλοιπο ποσό. Αν αποτύχετε να μαρκάρετε όλες τις πλήρεις ασφάλειες, τότε το υπόλοιπο ποσό δεν θα εισπραχθεί! Επίσης, εάν υπάρχει ένα ποσό που ο ασθενής θα πρέπει να πληρώσει, τότε θέστε την ημ/νία λήξης κατάλληλα, καθώς αυτό θα επηρεάσει τη γλώσσα που εμφανίζεται στις καταστάσεις του ασθενούς.');
INSERT INTO `lang_definitions` VALUES (80154, 7562, 15, 'Ημ. Πληρωμής');
INSERT INTO `lang_definitions` VALUES (80155, 7563, 15, 'Ημ. Πληρωμής:');
INSERT INTO `lang_definitions` VALUES (80156, 7564, 15, ' Εξόφληση Παραστατικού');
INSERT INTO `lang_definitions` VALUES (80157, 7565, 15, 'Πληρώστε τώρα');
INSERT INTO `lang_definitions` VALUES (80158, 7566, 15, 'Κατάσταση Πληρωμής');
INSERT INTO `lang_definitions` VALUES (80159, 7567, 15, 'Όνομα Δικαιούχου');
INSERT INTO `lang_definitions` VALUES (80160, 7568, 15, 'Πληρωτής');
INSERT INTO `lang_definitions` VALUES (80161, 7569, 15, 'Κωδ. Πληρωτή');
INSERT INTO `lang_definitions` VALUES (80162, 7572, 15, 'Τύπος Πληρωτή');
INSERT INTO `lang_definitions` VALUES (80163, 7573, 15, 'Πληρωμή');
INSERT INTO `lang_definitions` VALUES (80164, 7574, 15, 'Καταβάλλων την πληρωμή');
INSERT INTO `lang_definitions` VALUES (80165, 7575, 15, 'Πληρωμή');
INSERT INTO `lang_definitions` VALUES (80166, 7576, 15, 'πληρωμή');
INSERT INTO `lang_definitions` VALUES (80167, 7577, 15, 'Κωδικός Ρύθμισης Πληρωμής');
INSERT INTO `lang_definitions` VALUES (80168, 7578, 15, 'Πληρωμή έναντι');
INSERT INTO `lang_definitions` VALUES (80169, 7579, 15, 'Ποσό Πληρωμής');
INSERT INTO `lang_definitions` VALUES (80170, 7580, 15, 'Το ποσό πληρωμής πρέπει να είναι αριθμητικό');
INSERT INTO `lang_definitions` VALUES (80171, 7581, 15, 'Κατηγορία Πληρωμής');
INSERT INTO `lang_definitions` VALUES (80172, 7582, 15, 'Ημ/νία πληρωμής');
INSERT INTO `lang_definitions` VALUES (80173, 7583, 15, 'Ημ/νία Πληρωμής');
INSERT INTO `lang_definitions` VALUES (80174, 7584, 15, 'η πληρωμή εισήχθη στις');
INSERT INTO `lang_definitions` VALUES (80175, 7585, 15, 'Πληρωμή Από');
INSERT INTO `lang_definitions` VALUES (80176, 7586, 15, 'Gateways πληρωμής');
INSERT INTO `lang_definitions` VALUES (80177, 7587, 15, 'Πληροφορίες Πληρωμής');
INSERT INTO `lang_definitions` VALUES (80178, 7588, 15, 'Ασφ Πληρωμής');
INSERT INTO `lang_definitions` VALUES (80179, 7589, 15, 'Λίστα Πληρωμών');
INSERT INTO `lang_definitions` VALUES (80180, 7590, 15, 'Τρόπος Πληρωμής');
INSERT INTO `lang_definitions` VALUES (80181, 7592, 15, 'Ταξινόμηση Πληρωμών Κατά');
INSERT INTO `lang_definitions` VALUES (80182, 7593, 15, 'Κατάσταση Πληρωμής');
INSERT INTO `lang_definitions` VALUES (80183, 7597, 15, 'Τρόπος Πληρωμής');
INSERT INTO `lang_definitions` VALUES (80184, 7598, 15, 'Η πληρωμή επικυρώθηκε: Να αποθηκευτεί;');
INSERT INTO `lang_definitions` VALUES (80185, 7600, 15, 'Αξία πληρωμής για κωδικό');
INSERT INTO `lang_definitions` VALUES (80186, 7601, 15, 'Η πληρωμή επαληθεύτηκε επιτυχώς και η κάρτα σας χρεώθηκε.');
INSERT INTO `lang_definitions` VALUES (80187, 7602, 15, 'Πληρωμές');
INSERT INTO `lang_definitions` VALUES (80188, 7603, 15, 'Πληρωτής');
INSERT INTO `lang_definitions` VALUES (80189, 7604, 15, 'Κωδ. Πληρωτή');
INSERT INTO `lang_definitions` VALUES (80190, 7607, 15, 'Ποσοστό γραμμών');
INSERT INTO `lang_definitions` VALUES (80191, 7610, 15, 'PDF');
INSERT INTO `lang_definitions` VALUES (80192, 7614, 15, 'Κατεβάστε Επιλεγμένους Λογαριασμούς σε PDF');
INSERT INTO `lang_definitions` VALUES (80193, 7615, 15, 'Γλώσσα PDF');
INSERT INTO `lang_definitions` VALUES (80194, 7620, 15, 'Πύελος και γλουτός');
INSERT INTO `lang_definitions` VALUES (80195, 7621, 15, 'Πέμφυξ');
INSERT INTO `lang_definitions` VALUES (80196, 7622, 15, 'Μολύβι');
INSERT INTO `lang_definitions` VALUES (80197, 7623, 15, 'εκκρ');
INSERT INTO `lang_definitions` VALUES (80198, 7624, 15, 'Εκκρεμεί');
INSERT INTO `lang_definitions` VALUES (80199, 7625, 15, 'Εκκρεμεί Ενέργεια');
INSERT INTO `lang_definitions` VALUES (80200, 7626, 15, 'Εν Αναμονή Έγκρισης');
INSERT INTO `lang_definitions` VALUES (80201, 7627, 15, 'Εκκρεμεί Έγκριση από');
INSERT INTO `lang_definitions` VALUES (80202, 7628, 15, 'Έγγραφα σε εκκρεμότητα');
INSERT INTO `lang_definitions` VALUES (80203, 7629, 15, 'Εκκρεμεί F/U');
INSERT INTO `lang_definitions` VALUES (80204, 7630, 15, 'Εκκρεμεί επανεκτίμηση');
INSERT INTO `lang_definitions` VALUES (80205, 7631, 15, 'Εκκρεμεί επανεκτίμηση με βάση τα αποτελέσματα');
INSERT INTO `lang_definitions` VALUES (80206, 7632, 15, 'Παραγγελίες σε εκκρεμότητα');
INSERT INTO `lang_definitions` VALUES (80207, 7633, 15, 'Σε Εκκρεμότητα');
INSERT INTO `lang_definitions` VALUES (80208, 7634, 15, 'Εκκρεμεί Επανεξέταση');
INSERT INTO `lang_definitions` VALUES (80209, 7635, 15, 'Αριθμός Εκκρεμών Θεραπείων');
INSERT INTO `lang_definitions` VALUES (80210, 7636, 15, 'Εκκρεμεί από');
INSERT INTO `lang_definitions` VALUES (80211, 7637, 15, 'Αλλεργία στην Πενικιλλίνη');
INSERT INTO `lang_definitions` VALUES (80212, 7638, 15, 'Εταιρεία Pennington OpenEMR v');
INSERT INTO `lang_definitions` VALUES (80213, 7639, 15, 'Πεπτικό έλκος');
INSERT INTO `lang_definitions` VALUES (80214, 7640, 15, 'Ανά Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (80215, 7641, 15, 'ανά λεπτό');
INSERT INTO `lang_definitions` VALUES (80216, 7642, 15, 'Ανά ρώθωνα');
INSERT INTO `lang_definitions` VALUES (80217, 7643, 15, 'ανά ρώθωνα');
INSERT INTO `lang_definitions` VALUES (80218, 7644, 15, 'Aπό το Στόμα');
INSERT INTO `lang_definitions` VALUES (80219, 7645, 15, 'από το στόμα');
INSERT INTO `lang_definitions` VALUES (80220, 7646, 15, 'Ορθικά');
INSERT INTO `lang_definitions` VALUES (80221, 7647, 15, 'ορθικά');
INSERT INTO `lang_definitions` VALUES (80222, 7648, 15, 'Επί τοις εκατό');
INSERT INTO `lang_definitions` VALUES (80223, 7649, 15, 'Ποσοστό');
INSERT INTO `lang_definitions` VALUES (80224, 7650, 15, 'Ποσοστό Ασθενών για Δοκιμή Φαρμάκων');
INSERT INTO `lang_definitions` VALUES (80225, 7651, 15, 'Ποσοστό Ασθενών προς επιλογή για Τυχαία Δοκιμή Φαρμάκων');
INSERT INTO `lang_definitions` VALUES (80226, 7652, 15, 'Εκατοστιαία θέση');
INSERT INTO `lang_definitions` VALUES (80227, 7653, 15, 'Διάτρηση Δεξιά:');
INSERT INTO `lang_definitions` VALUES (80228, 7654, 15, 'Εκτέλεση αναζήτησης');
INSERT INTO `lang_definitions` VALUES (80229, 7655, 15, 'Εκτέλεση αυτής της ενέργειας');
INSERT INTO `lang_definitions` VALUES (80230, 7656, 15, 'Επίδοση (Ποσοστό)');
INSERT INTO `lang_definitions` VALUES (80231, 7657, 15, 'εκτελέστηκε');
INSERT INTO `lang_definitions` VALUES (80232, 7658, 15, 'Εκτελεστής');
INSERT INTO `lang_definitions` VALUES (80233, 7659, 15, 'Εκτελόν Εργαστήριο');
INSERT INTO `lang_definitions` VALUES (80234, 7660, 15, 'Εκτελείται οργάνωση');
INSERT INTO `lang_definitions` VALUES (80235, 7661, 15, 'Περίοδος');
INSERT INTO `lang_definitions` VALUES (80236, 7662, 15, 'Περίοδος σε ημέρες, κατά την οποία ένας χρήστης με ληγμένο κωδικό, μπορεί να συνδεθεί');
INSERT INTO `lang_definitions` VALUES (80237, 7663, 15, 'Περιεγχειρητική Φροντίδα');
INSERT INTO `lang_definitions` VALUES (80238, 7664, 15, 'Περιφ');
INSERT INTO `lang_definitions` VALUES (80239, 7665, 15, 'Περιφερειακό');
INSERT INTO `lang_definitions` VALUES (80240, 7667, 15, 'Περιφέρεια');
INSERT INTO `lang_definitions` VALUES (80241, 7668, 15, 'Να επιτρέπονται ακρυπτογράφητοι κωδικοί');
INSERT INTO `lang_definitions` VALUES (80242, 7669, 15, 'Περσικά');
INSERT INTO `lang_definitions` VALUES (80243, 7671, 15, 'Άτομο');
INSERT INTO `lang_definitions` VALUES (80244, 7672, 15, 'Διαμόρφωση');
INSERT INTO `lang_definitions` VALUES (80245, 7673, 15, 'Ασθενείς που απαιτείται πρόσκληση, χωρίς προγραμματισμένο ραντεβού');
INSERT INTO `lang_definitions` VALUES (80246, 7676, 15, 'Φαρμ');
INSERT INTO `lang_definitions` VALUES (80247, 7678, 15, 'Φαρμακεία');
INSERT INTO `lang_definitions` VALUES (80248, 7680, 15, 'Φαρμακείο');
INSERT INTO `lang_definitions` VALUES (80249, 7681, 15, 'Αποθήκη φαρμακείου');
INSERT INTO `lang_definitions` VALUES (80250, 7683, 15, 'Κωδ. Φαρμακείου');
INSERT INTO `lang_definitions` VALUES (80251, 7688, 15, 'Πνευμοθώρακας');
INSERT INTO `lang_definitions` VALUES (80252, 7697, 15, 'Τηλέφωνο');
INSERT INTO `lang_definitions` VALUES (80253, 7699, 15, 'Λίστα τηλεφωνικών κλήσεων');
INSERT INTO `lang_definitions` VALUES (80254, 7700, 15, 'Λίστα Τηλεφωνικών Κλήσεων');
INSERT INTO `lang_definitions` VALUES (80255, 7701, 15, 'Αναφορά Λίστας Τηλεφωνημάτων');
INSERT INTO `lang_definitions` VALUES (80256, 7702, 15, 'Η τηλ. κλήση πραγματοποιήθηκε από');
INSERT INTO `lang_definitions` VALUES (80257, 7703, 15, 'Τηλέφωνο Κινητό');
INSERT INTO `lang_definitions` VALUES (80258, 7704, 15, 'Τηλέφωνο Επικοινωνίας');
INSERT INTO `lang_definitions` VALUES (80259, 7705, 15, 'Κωδικός Gateway Τηλεφώνου');
INSERT INTO `lang_definitions` VALUES (80260, 7706, 15, 'URL Gateway Τηλεφώνου');
INSERT INTO `lang_definitions` VALUES (80261, 7707, 15, 'Συνθηματικό Χρήστη Gateway Τηλεφώνου');
INSERT INTO `lang_definitions` VALUES (80262, 7708, 15, 'Τηλέφωνο Οικίας');
INSERT INTO `lang_definitions` VALUES (80263, 7709, 15, 'Ωρα Τηλεφωνικής Ειδοποίησης');
INSERT INTO `lang_definitions` VALUES (80264, 7710, 15, 'Αριθμός τηλεφώνου');
INSERT INTO `lang_definitions` VALUES (80265, 7711, 15, 'Αριθμός τηλεφώνου');
INSERT INTO `lang_definitions` VALUES (80266, 7712, 15, 'Αριθμός τηλεφώνου για οικονομικά θέματα');
INSERT INTO `lang_definitions` VALUES (80267, 7715, 15, 'Φωτοφοβία');
INSERT INTO `lang_definitions` VALUES (80268, 7716, 15, 'Φωτογραφίες');
INSERT INTO `lang_definitions` VALUES (80269, 7717, 15, 'PHP compressed');
INSERT INTO `lang_definitions` VALUES (80270, 7720, 15, 'Έγινε εξαγωγή PHP');
INSERT INTO `lang_definitions` VALUES (80271, 7721, 15, 'Οι έλεγχοι πρόσβασης php=GACL είναι απενεργοποιημένοι');
INSERT INTO `lang_definitions` VALUES (80272, 7722, 15, 'Το PHP-gacl δεν έχει εγκατασταθεί');
INSERT INTO `lang_definitions` VALUES (80273, 7723, 15, 'Φυσική εξέταση');
INSERT INTO `lang_definitions` VALUES (80274, 7724, 15, 'Ιατρός');
INSERT INTO `lang_definitions` VALUES (80275, 7725, 15, 'Αίτημα Iατρού');
INSERT INTO `lang_definitions` VALUES (80276, 7726, 15, 'Υπογραφή Iατρού');
INSERT INTO `lang_definitions` VALUES (80277, 7727, 15, 'Ειδικότητα Ιατρού');
INSERT INTO `lang_definitions` VALUES (80278, 7729, 15, 'Ιατροί');
INSERT INTO `lang_definitions` VALUES (80279, 7733, 15, 'διαλέξτε');
INSERT INTO `lang_definitions` VALUES (80280, 7734, 15, 'Διαλέξτε');
INSERT INTO `lang_definitions` VALUES (80281, 7735, 15, 'Διαλέξτε ένα θέμα CSS');
INSERT INTO `lang_definitions` VALUES (80282, 7736, 15, 'Διαλέξτε ένα γενικό θέμα (χρειάζεται έξοδος/επανασύνδεση για εφαρμογή)');
INSERT INTO `lang_definitions` VALUES (80283, 7738, 15, 'Κωδ. Ασθ.');
INSERT INTO `lang_definitions` VALUES (80284, 7739, 15, 'Κωδ. Ασθ.');
INSERT INTO `lang_definitions` VALUES (80285, 7740, 15, 'Φλεγμ. νόσος πυέλου');
INSERT INTO `lang_definitions` VALUES (80286, 7741, 15, 'Μέγεθος χαπιού');
INSERT INTO `lang_definitions` VALUES (80287, 7742, 15, 'Χάπια');
INSERT INTO `lang_definitions` VALUES (80288, 7744, 15, 'Τόπος Εργασίας');
INSERT INTO `lang_definitions` VALUES (80289, 7745, 15, 'Τοποθετήστε το αρχείο βάσης δεδομένων zip στον ακόλουθο κατάλογο, αν θέλετε να εγκαταστήσετε αυτή τη δυνατότητα');
INSERT INTO `lang_definitions` VALUES (80290, 7746, 15, 'Τοποθετήστε τα συμπιεσμένα αρχεία της βάσης ICD10 που κατεβάσατε στον εξής κατάλογο');
INSERT INTO `lang_definitions` VALUES (80291, 7747, 15, 'Τοποθετήστε τα συμπιεσμένα αρχεία της βάσης ICD9 που κατεβάσατε στον εξής κατάλογο');
INSERT INTO `lang_definitions` VALUES (80292, 7748, 15, 'Τοποθετήστε τα συμπιεσμένα αρχεία της βάσης RxNorm που κατεβάσατε στον εξής κατάλογο');
INSERT INTO `lang_definitions` VALUES (80293, 7749, 15, 'Τοποθετήστε τα συμπιεσμένα αρχεία της βάσης Snomed που κατεβάσατε, στον εξής κατάλογο');
INSERT INTO `lang_definitions` VALUES (80294, 7756, 15, 'Απλό κείμενο');
INSERT INTO `lang_definitions` VALUES (80295, 7757, 15, 'Πλάνο');
INSERT INTO `lang_definitions` VALUES (80296, 7758, 15, 'Επιτυχής προσθήκη Πλάνου');
INSERT INTO `lang_definitions` VALUES (80297, 7761, 15, 'Περιγραφή Πλάνου');
INSERT INTO `lang_definitions` VALUES (80298, 7762, 15, 'Όνομα πλάνου');
INSERT INTO `lang_definitions` VALUES (80299, 7763, 15, 'Το Όνομα Πλάνου υπάρχει ήδη');
INSERT INTO `lang_definitions` VALUES (80300, 7764, 15, 'Το Όνομα Πλάνου είναι δεσμευμένο');
INSERT INTO `lang_definitions` VALUES (80301, 7765, 15, 'Λείπει το Όνομα Πλάνου');
INSERT INTO `lang_definitions` VALUES (80302, 7766, 15, 'Πλάνο Θεραπείας');
INSERT INTO `lang_definitions` VALUES (80303, 7767, 15, 'Τύπος Πλάνου Θεραπείας');
INSERT INTO `lang_definitions` VALUES (80304, 7768, 15, 'Πλάνο');
INSERT INTO `lang_definitions` VALUES (80305, 7769, 15, 'Η κατάσταση του Πλάνου έχει αλλάξει');
INSERT INTO `lang_definitions` VALUES (80306, 7770, 15, 'Αδύνατη η αλλαγή της κατάστασης του Πλάνου');
INSERT INTO `lang_definitions` VALUES (80307, 7771, 15, 'Τύπος Πλάνου');
INSERT INTO `lang_definitions` VALUES (80308, 7772, 15, 'Επιτυχής ενημέρωση Πλάνου');
INSERT INTO `lang_definitions` VALUES (80309, 7773, 15, 'Πλάνο:');
INSERT INTO `lang_definitions` VALUES (80310, 7774, 15, 'Προγραμματισμένη Ενέργεια');
INSERT INTO `lang_definitions` VALUES (80311, 7775, 15, 'Προγραμματισμένη Ημ.');
INSERT INTO `lang_definitions` VALUES (80312, 7776, 15, 'Πλάνα');
INSERT INTO `lang_definitions` VALUES (80313, 7777, 15, 'Ρυθμίσεις Πλάνων');
INSERT INTO `lang_definitions` VALUES (80314, 7778, 15, 'Παίκτης');
INSERT INTO `lang_definitions` VALUES (80315, 7779, 15, 'Θέση παιχνιδιού');
INSERT INTO `lang_definitions` VALUES (80316, 7780, 15, 'Παρακαλώ τηλεφωνήστε μας αν κάποιο από τα ανωτέρω στοιχεία είναι λάθος');
INSERT INTO `lang_definitions` VALUES (80317, 7781, 15, 'Παρακαλώ τηλεφωνήστε μας αν κάποιο από τα ανωτέρω στοιχεία είναι λάθος');
INSERT INTO `lang_definitions` VALUES (80318, 7782, 15, 'Παρακαλώ τηλεφωνήστε μας ή στείλτε μας μήνυμα αν κάποιο από τα ανωτέρω στοιχεία είναι λάθος');
INSERT INTO `lang_definitions` VALUES (80319, 7783, 15, 'Παρακαλώ τηλεφωνήστε μας για προγραμματισμό ραντεβού');
INSERT INTO `lang_definitions` VALUES (80320, 7784, 15, 'Παρακαλώ αλλάξτε τον κωδικό σας.');
INSERT INTO `lang_definitions` VALUES (80321, 7785, 15, 'Παρακαλώ επιλέξτε ένα αρχείο');
INSERT INTO `lang_definitions` VALUES (80322, 7786, 15, 'Παρακαλώ επιλέξτε έναν ασθενή');
INSERT INTO `lang_definitions` VALUES (80323, 7787, 15, 'Παρακαλώ επιλέξτε μια έγκυρη επιλογή από τη λίστα.');
INSERT INTO `lang_definitions` VALUES (80324, 7788, 15, 'Παρακαλώ επιλέξτε μια έγκυρη επιλογή.');
INSERT INTO `lang_definitions` VALUES (80325, 7789, 15, 'Παρακαλώ επιλέξτε μια τιμή για');
INSERT INTO `lang_definitions` VALUES (80326, 7790, 15, 'Παρακαλώ επιλέξτε πιο πάνω τα κριτήρια για τα φάσματα ημερομηνιών και κάντε κλικ στο Ανανέωση, για να δείτε τα αποτελέσματα.');
INSERT INTO `lang_definitions` VALUES (80327, 7792, 15, 'Παρακαλώ κάντε κλικ στο κουμπί Download για να κατεβάσετε τα ΑποΤαυτοποιημένα δεδομένα');
INSERT INTO `lang_definitions` VALUES (80328, 7793, 15, 'Παρακαλώ κάντε κλικ στο κουμπί Download για να κατεβάσετε τα ΕπαναΤαυτοποιημένα δεδομένα');
INSERT INTO `lang_definitions` VALUES (80329, 7795, 15, 'Παρακαλώ κλείστε αυτό το παράθυρο');
INSERT INTO `lang_definitions` VALUES (80330, 7796, 15, 'Παρακαλώ συγκρίνετε το νέο όνομα');
INSERT INTO `lang_definitions` VALUES (80331, 7798, 15, 'Σκεφτείτε να στείλετε μια δωρεά στο');
INSERT INTO `lang_definitions` VALUES (80332, 7799, 15, 'Παρακαλώ επικοινωνήστε με τον ιατρό σας.');
INSERT INTO `lang_definitions` VALUES (80333, 7802, 15, 'Παρακαλώ διορθώστε τις τιμές πριν προχωρήσετε!');
INSERT INTO `lang_definitions` VALUES (80334, 7803, 15, 'Παρακαλώ δημιουργήστε τον εξής κατάλογο, πριν προχωρήσετε');
INSERT INTO `lang_definitions` VALUES (80335, 7804, 15, 'Παρακαλώ διαγράψτε χαρακτήρες');
INSERT INTO `lang_definitions` VALUES (80336, 7805, 15, 'Παρακαλώ μη δέχεστε αυτή τη συνταγή, εκτός αν ελήφθη μέσω facimile.');
INSERT INTO `lang_definitions` VALUES (80337, 7806, 15, 'Παρακαλώ μη δέχεστε αυτή τη συνταγή, εκτός αν ελήφθη μέσω facimile.');
INSERT INTO `lang_definitions` VALUES (80338, 7807, 15, 'Παρακαλώ ΜΗ χρησιμοποιείτε τα κουμπιά Stop ή Reload του φυλλομετρητή σας, ενώ αυτή η σελίδα τρέχει. Αν δεν έχουν παρέλθει περισσότερα από 10 λεπτά, θα προκληθεί το σταμάτημα της διαδικασίας στο διακομιστή και θα καταναλώσει περιττούς πόρους.');
INSERT INTO `lang_definitions` VALUES (80339, 7808, 15, 'ΠΑΡΑΚΑΛΩ ΕΝΕΡΓΟΠΟΙΗΣΤΕ ΤΗΝ ΕΠΕΚΤΑΣΗ CURL');
INSERT INTO `lang_definitions` VALUES (80340, 7809, 15, 'ΠΑΡΑΚΑΛΩ ΕΝΕΡΓΟΠΟΙΗΣΤΕ ΤΗΝ ΕΠΕΚΤΑΣΗ OPENSSL');
INSERT INTO `lang_definitions` VALUES (80341, 7810, 15, 'ΠΑΡΑΚΑΛΩ ΕΝΕΡΓΟΠΟΙΗΣΤΕ ΤΗΝ ΕΠΕΚΤΑΣΗ SOAP');
INSERT INTO `lang_definitions` VALUES (80342, 7811, 15, 'ΠΑΡΑΚΑΛΩ ΕΝΕΡΓΟΠΟΙΗΣΤΕ ΤΗΝ ΕΠΕΚΤΑΣΗ XML');
INSERT INTO `lang_definitions` VALUES (80343, 7812, 15, 'Παρακαλώ βεβαιωθείτε ότι υπάρχει μόνο ένα αρχείο εικόνας -jpeg, png ή bmp στον φάκελο Φωτογραφίας του Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80344, 7813, 15, 'Παρακαλώ βάλτε μία ημ/νία για την τελευταία φορά που επανεξετάσατε');
INSERT INTO `lang_definitions` VALUES (80345, 7814, 15, 'Παρακαλώ εισάγετε μια ημ/νία.');
INSERT INTO `lang_definitions` VALUES (80346, 7816, 15, 'Παρακαλώ εισάγετε μια ημ/νία προθεσμίας');
INSERT INTO `lang_definitions` VALUES (80347, 7817, 15, 'Παρακαλώ εισάγετε ένα έγκυρο εύρος');
INSERT INTO `lang_definitions` VALUES (80348, 7818, 15, 'Παρακαλώ εισάγετε ένα μήνυμα');
INSERT INTO `lang_definitions` VALUES (80349, 7819, 15, 'Παρακαλώ εισάγετε ένα χρηματικό ποσό χρησιμοποιώντας μόνο αριθμούς και ένα δεκαδικό ψηφίο');
INSERT INTO `lang_definitions` VALUES (80350, 7820, 15, 'Παρακαλώ εισάγετε ένα όνομα για αυτό το κλειδί');
INSERT INTO `lang_definitions` VALUES (80351, 7821, 15, 'Παρακαλώ Εισάγετε Νέο Κωδικό Πρόσβασης');
INSERT INTO `lang_definitions` VALUES (80352, 7822, 15, 'Παρακαλώ εισάγετε τίτλο!');
INSERT INTO `lang_definitions` VALUES (80353, 7825, 15, 'Παρακαλώ εισάγετε τουλάχιστον το όνομα του αντικειμένου');
INSERT INTO `lang_definitions` VALUES (80354, 7828, 15, 'Παρακαλώ βάλτε έναν σωστό κωδικό Επαναταυτοποίησης');
INSERT INTO `lang_definitions` VALUES (80355, 7829, 15, 'Παρακαλώ εισάγετε Ημ. Λήξης μεταγενέστερη της Ημ. Έναρξης!');
INSERT INTO `lang_definitions` VALUES (80356, 7830, 15, 'Παρακαλώ εισάγετε περισσότερους χαρακτήρες');
INSERT INTO `lang_definitions` VALUES (80357, 7832, 15, 'Παρακαλώ εισάγετε νέα λέξη αναζήτησης');
INSERT INTO `lang_definitions` VALUES (80358, 7833, 15, 'Παρακαλώ βάλτε τον σωστό κωδικό Επαναταυτοποίησης');
INSERT INTO `lang_definitions` VALUES (80359, 7834, 15, 'Παρακαλώ βάλτε τον κωδικό πρόσβασης');
INSERT INTO `lang_definitions` VALUES (80360, 7843, 15, 'Παρακαλώ συμπληρώστε τον Αριθμό Επιταγής');
INSERT INTO `lang_definitions` VALUES (80361, 7844, 15, 'Παρακαλώ συμπληρώστε τον Αριθμό Επιταγής/αριθμό αναφοράς');
INSERT INTO `lang_definitions` VALUES (80362, 7845, 15, 'Παρακαλώ συμπληρώστε την Ημ/νία');
INSERT INTO `lang_definitions` VALUES (80363, 7846, 15, 'Παρακαλώ συμπληρώστε το Ποσό Πληρωμής');
INSERT INTO `lang_definitions` VALUES (80364, 7847, 15, 'Παρακαλώ συμπληρώστε την Κατηγορία Πληρωμής');
INSERT INTO `lang_definitions` VALUES (80365, 7848, 15, 'Παρακαλώ συμπληρώστε την Πληρωμή Από');
INSERT INTO `lang_definitions` VALUES (80366, 7850, 15, 'Παρακαλώ συμπληρώστε τους πριν συνεχίσετε.');
INSERT INTO `lang_definitions` VALUES (80367, 7852, 15, 'Παρακαλώ δώστε όνομα σε αυτό το κλειδί');
INSERT INTO `lang_definitions` VALUES (80368, 7854, 15, 'Παρακαλώ υποδείξτε τον λόγο επίσκεψης');
INSERT INTO `lang_definitions` VALUES (80369, 7855, 15, 'Παρακαλώ εισάγετε κριτήρια αναζήτησης πιο πάνω και κάντε κλικ στο «Υποβολή» για δημιουργία Αναφοράς');
INSERT INTO `lang_definitions` VALUES (80370, 7856, 15, 'Παρακαλώ εισάγετε κριτήρια αναζήτησης πιο πάνω και κάντε κλικ στο «Υποβολή» για να δείτε τα αποτελέσματα.');
INSERT INTO `lang_definitions` VALUES (80371, 7857, 15, 'Παρακαλώ εισάγετε κριτήρια αναζήτησης πιο πάνω και κάντε κλικ στο Υποβολή για να δείτε τα αποτελέσματα. (Τα αποτελέσματα θα εμφανιστούν σε ένα νέο παράθυρο)');
INSERT INTO `lang_definitions` VALUES (80372, 7858, 15, 'Παρακαλώ συνδεθείτε πάλι');
INSERT INTO `lang_definitions` VALUES (80373, 7859, 15, 'Παρακαλώ σημειώστε ότι αυτό μπορεί να πάρει πολύ χρόνο, έως και αρκετά λεπτά. Ο φυλλομετρητής σας μπορεί να μην εμφανίζεται πολύ δραστήριος κατά το διάστημα αυτό, αλλά η δημιουργία μιας χρέωσης είναι μια περίπλοκη διαδικασία και ο φυλλομετρητής σας απλώς περιμένει περισσότερες πληροφορίες.');
INSERT INTO `lang_definitions` VALUES (80374, 7860, 15, 'Σημείωση: στις σταθερές παίζουν ρόλο τα μικρά-κεφαλαία γράμματα και επιτρέπεται κάθε string.');
INSERT INTO `lang_definitions` VALUES (80375, 7861, 15, 'Παρακαλώ χρησιμοποιήστε μόνο αλφαβητικούς χαρακτήρες');
INSERT INTO `lang_definitions` VALUES (80376, 7862, 15, 'Παρακαλώ χρησιμοποιήστε μόνο αλφαβητικούς χαρακτήρες χωρίς κενά');
INSERT INTO `lang_definitions` VALUES (80377, 7863, 15, 'Παρακαλώ πληρώστε αυτό το ποσό');
INSERT INTO `lang_definitions` VALUES (80378, 7864, 15, 'Παρακαλώ τοποθετήστε τα αρχεία προς εγκατάσταση σε αυτό τον φάκελο');
INSERT INTO `lang_definitions` VALUES (80379, 7865, 15, 'Παρακαλώ δώστε ένα έγκυρο e-mail για να προχωρήσετε');
INSERT INTO `lang_definitions` VALUES (80380, 7866, 15, 'Παρακαλώ δώστε ένα έγκυρο e-mail');
INSERT INTO `lang_definitions` VALUES (80381, 7867, 15, 'Παρακαλώ ανατρέξτε στο');
INSERT INTO `lang_definitions` VALUES (80382, 7868, 15, 'Παρακαλώ επαναφέρετε τον κωδικό.');
INSERT INTO `lang_definitions` VALUES (80383, 7869, 15, 'Παρακαλώ επανεκκινήστε τον Apache server πριν παίξετε με την Αποταυτοποίηση');
INSERT INTO `lang_definitions` VALUES (80384, 7870, 15, 'Παρακαλώ επιστρέψτε αυτό το κάτω τμήμα με την πληρωμή');
INSERT INTO `lang_definitions` VALUES (80385, 7871, 15, 'Παρακαλώ κοιτάξτε στο φόρουμ και το Wiki');
INSERT INTO `lang_definitions` VALUES (80386, 7874, 15, 'Παρακαλώ κοιτάξτε το συνημμένο PDF.');
INSERT INTO `lang_definitions` VALUES (80387, 7875, 15, 'Παρακαλώ επιλέξτε');
INSERT INTO `lang_definitions` VALUES (80388, 7876, 15, 'Παρακαλώ επιλέξτε μορφή');
INSERT INTO `lang_definitions` VALUES (80389, 7877, 15, 'Παρακαλώ επιλέξτε μία γλώσσα');
INSERT INTO `lang_definitions` VALUES (80390, 7878, 15, 'Παρακαλώ επιλέξτε έναν Ασθενή');
INSERT INTO `lang_definitions` VALUES (80391, 7881, 15, 'Παρακαλώ επιλέξτε Πάροχο Ιατρική Πράξης');
INSERT INTO `lang_definitions` VALUES (80392, 7882, 15, 'Παρακαλώ Επιλέξτε έναν Παραλήπτη');
INSERT INTO `lang_definitions` VALUES (80393, 7883, 15, 'Παρακαλώ επιλέξτε Παραλήπτη για το Μήνυμα');
INSERT INTO `lang_definitions` VALUES (80394, 7884, 15, 'Παρακαλώ επιλέξτε μια ημ/νία έναρξης και λήξης');
INSERT INTO `lang_definitions` VALUES (80395, 7885, 15, 'Παρακαλώ επιλέξτε έναν έγκυρο παραλήπτη');
INSERT INTO `lang_definitions` VALUES (80396, 7886, 15, 'Παρακαλώ επιλέξτε μια ενεργή Ομάδα');
INSERT INTO `lang_definitions` VALUES (80397, 7888, 15, 'Παρακαλώ επιλέξτε μια αιτιολογία διόρθωσης για τον κωδικό');
INSERT INTO `lang_definitions` VALUES (80398, 7889, 15, 'Παρακαλώ επιλέξτε ένα συμβάν');
INSERT INTO `lang_definitions` VALUES (80399, 7890, 15, 'Παρακαλώ επιλέξτε ένα αντικείμενο με περισσότερα δεδομένα');
INSERT INTO `lang_definitions` VALUES (80400, 7891, 15, 'Παρακαλώ επιλέξτε μια Επιλογή Αναζήτησης.');
INSERT INTO `lang_definitions` VALUES (80401, 7892, 15, 'Παρακαλώ επιλέξτε τουλάχιστον ένα κριτήριο για Λήψη');
INSERT INTO `lang_definitions` VALUES (80402, 7893, 15, 'Παρακαλώ επιλέξτε τουλάχιστον έναν ασθενή.');
INSERT INTO `lang_definitions` VALUES (80403, 7894, 15, 'Παρακαλώ επιλέξτε τουλάχιστον μία συνταγή!');
INSERT INTO `lang_definitions` VALUES (80404, 7895, 15, 'Παρακαλώ επιλέξτε επίσκεψη');
INSERT INTO `lang_definitions` VALUES (80405, 7896, 15, 'Παρακαλώ επιλέξτε Ημ. Από');
INSERT INTO `lang_definitions` VALUES (80406, 7898, 15, 'Παρακαλώ επιλέξτε μήνυμα(τα) προς διαγραφή');
INSERT INTO `lang_definitions` VALUES (80407, 7899, 15, 'Παρακαλώ επιλέξτε τις επιθυμητές σελίδες προς αντιγραφή ή προώθηση:');
INSERT INTO `lang_definitions` VALUES (80408, 7900, 15, 'Παρακαλώ επιλέξτε έναν Τρόπο Πληρωμής');
INSERT INTO `lang_definitions` VALUES (80409, 7902, 15, 'Παρακαλώ επιλέξτε Ημ. Έως');
INSERT INTO `lang_definitions` VALUES (80410, 7903, 15, 'Παρακαλώ επιλέξτε Μέθοδο Πληρωμής');
INSERT INTO `lang_definitions` VALUES (80411, 7904, 15, 'Παρακαλώ επιλέξτε κατηγορία επίσκεψης');
INSERT INTO `lang_definitions` VALUES (80412, 7906, 15, 'Παρακαλώ καθορίστε');
INSERT INTO `lang_definitions` VALUES (80413, 7907, 15, 'Παρακαλώ ορίστε την μεταβλητή de_identification_config ξανά στο μηδέν');
INSERT INTO `lang_definitions` VALUES (80414, 7908, 15, 'Παρακαλώ ορίστε Φαρμακείο στον Φάκελο Ασθενούς!');
INSERT INTO `lang_definitions` VALUES (80415, 7910, 15, 'Παρακαλώ αρχίστε μία νέα διαδικασία Απο Ταυτοποίησης');
INSERT INTO `lang_definitions` VALUES (80416, 7913, 15, 'Παρακαλώ αναβαθμίστε τη βάση δεδομένων του OpenEMR, για να ενσωματώσει τις διαδικασίες Απο Ταυτοποίησης, λειτουργίες, πίνακες');
INSERT INTO `lang_definitions` VALUES (80417, 7915, 15, 'Παρακαλώ δείτε τον πίνακα καταγραφής σφαλμάτων Απο Ταυτοποίησης, για παραπάνω πληροφορίες');
INSERT INTO `lang_definitions` VALUES (80418, 7916, 15, 'Παρακαλώ, επισκεφθείτε ξανά την οθόνη Απο Ταυτοποίησης μετά από λίγο καιρό');
INSERT INTO `lang_definitions` VALUES (80419, 7917, 15, 'Παρακαλώ, επισκεφθείτε ξανά την οθόνη Επανα Ταυτοποίησης μετά από λίγο καιρό');
INSERT INTO `lang_definitions` VALUES (80420, 7918, 15, 'Παρακαλώ επισκεφθείτε την οθόνη μετά από λίγο καιρό');
INSERT INTO `lang_definitions` VALUES (80421, 7919, 15, 'Παρακαλώ περιμένετε...');
INSERT INTO `lang_definitions` VALUES (80422, 7920, 15, 'Γραφική παράσταση του αντικειμένου');
INSERT INTO `lang_definitions` VALUES (80423, 7921, 15, 'Γραφική παράσταση επιλεγμένων αντικειμένων');
INSERT INTO `lang_definitions` VALUES (80424, 7922, 15, 'Πληθυντικός');
INSERT INTO `lang_definitions` VALUES (80425, 7923, 15, 'συν 1 έτος');
INSERT INTO `lang_definitions` VALUES (80426, 7924, 15, 'συν 2 έτη');
INSERT INTO `lang_definitions` VALUES (80427, 7925, 15, 'συν 3 έτη');
INSERT INTO `lang_definitions` VALUES (80428, 7926, 15, 'ΜΜ');
INSERT INTO `lang_definitions` VALUES (80429, 7933, 15, 'Τρόπος Πληρωμής');
INSERT INTO `lang_definitions` VALUES (80430, 7934, 15, 'Κατάθλιψη μετά τον τοκετό');
INSERT INTO `lang_definitions` VALUES (80431, 7935, 15, 'Συζευγμ. εμβόλιο πνευμονιοκόκκου 1');
INSERT INTO `lang_definitions` VALUES (80432, 7936, 15, 'Συζευγμ. εμβόλιο πνευμονιοκόκκου 2');
INSERT INTO `lang_definitions` VALUES (80433, 7937, 15, 'Συζευγμ. εμβόλιο πνευμονιοκόκκου 3');
INSERT INTO `lang_definitions` VALUES (80434, 7938, 15, 'Συζευγμ. εμβόλιο πνευμονιοκόκκου 4');
INSERT INTO `lang_definitions` VALUES (80435, 7939, 15, 'Εμβόλιο Πνευμονιόκοκκου');
INSERT INTO `lang_definitions` VALUES (80436, 7940, 15, 'Εμβολιασμός για πνευμονία');
INSERT INTO `lang_definitions` VALUES (80437, 7941, 15, 'Κατάσταση Εμβολιασμού για πνευμονία για ηλικιωμένους');
INSERT INTO `lang_definitions` VALUES (80438, 7942, 15, 'Κατάσταση Εμβολιασμού για πνευμονία για ηλικιωμένους');
INSERT INTO `lang_definitions` VALUES (80439, 7943, 15, 'Ποδιατρικός/ή');
INSERT INTO `lang_definitions` VALUES (80440, 7944, 15, 'Ποδιατρική');
INSERT INTO `lang_definitions` VALUES (80441, 7946, 15, 'Σημείο εξυπηρέτησης');
INSERT INTO `lang_definitions` VALUES (80442, 7947, 15, 'Ασφαλ. Συμβόλαιο');
INSERT INTO `lang_definitions` VALUES (80443, 7950, 15, 'Αρ. Ασφαλ. Συμβολαίου');
INSERT INTO `lang_definitions` VALUES (80444, 7951, 15, 'Αριθμός ασφαλ. συμβολαίου');
INSERT INTO `lang_definitions` VALUES (80445, 7952, 15, 'Πολωνικά');
INSERT INTO `lang_definitions` VALUES (80446, 7953, 15, 'Πολυδιψία');
INSERT INTO `lang_definitions` VALUES (80447, 7954, 15, 'Πολύγωνο');
INSERT INTO `lang_definitions` VALUES (80448, 7955, 15, 'Πολύποδες');
INSERT INTO `lang_definitions` VALUES (80449, 7956, 15, 'Πολυουρία');
INSERT INTO `lang_definitions` VALUES (80450, 7957, 15, 'Ελαττωμένη Όρεξη');
INSERT INTO `lang_definitions` VALUES (80451, 7958, 15, 'Κακή κυκλοφορία');
INSERT INTO `lang_definitions` VALUES (80452, 7959, 15, 'Βαρηκοΐα');
INSERT INTO `lang_definitions` VALUES (80453, 7962, 15, 'Τα Pop ups πρέπει να είναι ενεργοποιημένα για να δείτε αυτές τις αναφορές');
INSERT INTO `lang_definitions` VALUES (80454, 7963, 15, 'Συμπλήρωση Χρεωστικού Δελτίου');
INSERT INTO `lang_definitions` VALUES (80455, 7964, 15, 'Να συμπληρωθεί η εμφάνιση του έτους με συμβάντα;');
INSERT INTO `lang_definitions` VALUES (80456, 7965, 15, 'Αναδυόμενα');
INSERT INTO `lang_definitions` VALUES (80457, 7966, 15, 'Θύρα');
INSERT INTO `lang_definitions` VALUES (80458, 7967, 15, 'Portal');
INSERT INTO `lang_definitions` VALUES (80459, 7969, 15, 'Δραστηριότητα Portal');
INSERT INTO `lang_definitions` VALUES (80460, 7970, 15, 'Ειδοποιήσεις Portal');
INSERT INTO `lang_definitions` VALUES (80461, 7972, 15, 'Συζητήσεις Portal');
INSERT INTO `lang_definitions` VALUES (80462, 7974, 15, 'Πάνελ Διαχείρισης Portal');
INSERT INTO `lang_definitions` VALUES (80463, 7979, 15, 'Portal αποκλειστικά');
INSERT INTO `lang_definitions` VALUES (80464, 7980, 15, 'Λείπει ο κωδικός πρόσβασης Portal');
INSERT INTO `lang_definitions` VALUES (80465, 7981, 15, 'Πληρωμές Portal');
INSERT INTO `lang_definitions` VALUES (80466, 7982, 15, 'Αιτήματα Portal');
INSERT INTO `lang_definitions` VALUES (80467, 7984, 15, 'Κατακόρυφος');
INSERT INTO `lang_definitions` VALUES (80468, 7985, 15, 'Πορτογαλικά');
INSERT INTO `lang_definitions` VALUES (80469, 7987, 15, 'Πορτογαλικά (Βραζιλία)');
INSERT INTO `lang_definitions` VALUES (80470, 7988, 15, 'Πορτογαλικά (Ευρωπαϊκά)');
INSERT INTO `lang_definitions` VALUES (80471, 7989, 15, 'Κωδικός POS');
INSERT INTO `lang_definitions` VALUES (80472, 7990, 15, 'Θέση');
INSERT INTO `lang_definitions` VALUES (80473, 7991, 15, 'Βλεμματική Θέση');
INSERT INTO `lang_definitions` VALUES (80474, 7992, 15, 'Θετικό');
INSERT INTO `lang_definitions` VALUES (80475, 7993, 15, 'Θετικά');
INSERT INTO `lang_definitions` VALUES (80476, 7994, 15, 'Πιθανό');
INSERT INTO `lang_definitions` VALUES (80477, 7998, 15, 'Οπισθορρινική έκκριση');
INSERT INTO `lang_definitions` VALUES (80478, 8001, 15, 'Μετεγχειρητικό');
INSERT INTO `lang_definitions` VALUES (80479, 8002, 15, 'Αποστολή στο λογιστήριο και σημείωση ως πληρωμένο');
INSERT INTO `lang_definitions` VALUES (80480, 8007, 15, 'Φροντίδα μετά την άμβλωση');
INSERT INTO `lang_definitions` VALUES (80481, 8008, 15, 'Αντισύλληψη μετά την άμβλωση');
INSERT INTO `lang_definitions` VALUES (80482, 8009, 15, 'Συμβουλευτική μετά την άμβλωση');
INSERT INTO `lang_definitions` VALUES (80483, 8010, 15, 'Παρακολούθηση μετά την άμβλωση');
INSERT INTO `lang_definitions` VALUES (80484, 8011, 15, 'Τ.Κ.');
INSERT INTO `lang_definitions` VALUES (80485, 8012, 15, 'Τ.Κ.');
INSERT INTO `lang_definitions` VALUES (80486, 8013, 15, 'ΤΚ.');
INSERT INTO `lang_definitions` VALUES (80487, 8014, 15, 'Τ.Κ. και Αριθμός Θυρίδας');
INSERT INTO `lang_definitions` VALUES (80488, 8015, 15, 'Ημερολόγιο');
INSERT INTO `lang_definitions` VALUES (80489, 8016, 15, 'Διαχείριση Ημερολογίου');
INSERT INTO `lang_definitions` VALUES (80490, 8017, 15, 'Ρύθμιση κατηγοριών Ημερολογίου');
INSERT INTO `lang_definitions` VALUES (80491, 8018, 15, 'Γενικές Ρυθμίσεις Ημερολογίου');
INSERT INTO `lang_definitions` VALUES (80492, 8019, 15, 'Ταχυδρομική κάρτα');
INSERT INTO `lang_definitions` VALUES (80493, 8020, 15, 'ΤΑΧΥΔΡΟΜΙΚΗ ΚΑΡΤΑ');
INSERT INTO `lang_definitions` VALUES (80494, 8021, 15, 'H Ταχυδρομική κάρτα εκτυπώθηκε από');
INSERT INTO `lang_definitions` VALUES (80495, 8022, 15, 'Ταχυδρομικές κάρτες');
INSERT INTO `lang_definitions` VALUES (80496, 8023, 15, 'Απεστάλη στις');
INSERT INTO `lang_definitions` VALUES (80497, 8037, 15, 'Ιατρείο');
INSERT INTO `lang_definitions` VALUES (80498, 8038, 15, 'Προεπιλογές Ιατρείου');
INSERT INTO `lang_definitions` VALUES (80499, 8039, 15, 'Ρυθμίσεις Ιατρείου');
INSERT INTO `lang_definitions` VALUES (80500, 8040, 15, 'Ρυθμίσεις Ιατρείου');
INSERT INTO `lang_definitions` VALUES (80501, 8041, 15, 'Πάροχος');
INSERT INTO `lang_definitions` VALUES (80502, 8043, 15, 'Προκαταβολή');
INSERT INTO `lang_definitions` VALUES (80503, 8044, 15, 'Προκαταβολή');
INSERT INTO `lang_definitions` VALUES (80504, 8045, 15, 'Συμβουλή προ της άμβλωσης');
INSERT INTO `lang_definitions` VALUES (80505, 8046, 15, 'Συμβουλευτική προ της άμβλωσης');
INSERT INTO `lang_definitions` VALUES (80506, 8047, 15, 'Ποσό προπληρωμής');
INSERT INTO `lang_definitions` VALUES (80507, 8048, 15, 'Προτιμ. κατηγ.');
INSERT INTO `lang_definitions` VALUES (80508, 8049, 15, 'Προτίμηση');
INSERT INTO `lang_definitions` VALUES (80509, 8050, 15, 'Προτιμήσεις');
INSERT INTO `lang_definitions` VALUES (80510, 8051, 15, 'Οι προτιμήσεις ενημερώθηκαν επιτυχώς');
INSERT INTO `lang_definitions` VALUES (80511, 8052, 15, 'Προτιμώμενη κατηγορία συμβάντων');
INSERT INTO `lang_definitions` VALUES (80512, 8053, 15, 'Προτιμώμενη γλώσσα');
INSERT INTO `lang_definitions` VALUES (80513, 8054, 15, 'Προτιμώμενο φαρμακείο');
INSERT INTO `lang_definitions` VALUES (80514, 8055, 15, 'Προτιμώμενο οργανισμός Παρόχου');
INSERT INTO `lang_definitions` VALUES (80515, 8056, 15, 'Τεστ κύησης');
INSERT INTO `lang_definitions` VALUES (80516, 8057, 15, 'Προκαταρκτικό');
INSERT INTO `lang_definitions` VALUES (80517, 8058, 15, 'Προετοιμασία δημιουργίας Αναφοράς');
INSERT INTO `lang_definitions` VALUES (80518, 8059, 15, 'Προπληρωμή');
INSERT INTO `lang_definitions` VALUES (80519, 8061, 15, 'Συνταγογράφηση');
INSERT INTO `lang_definitions` VALUES (80520, 8063, 15, 'η συνταγή έφθασε στο όριό της των');
INSERT INTO `lang_definitions` VALUES (80521, 8064, 15, 'Ιστορικό Συνταγών');
INSERT INTO `lang_definitions` VALUES (80522, 8065, 15, 'Ιστορικό Συνταγών εισήχθει επιτυχώς');
INSERT INTO `lang_definitions` VALUES (80523, 8066, 15, 'Ετικέτα Συνταγογράφησης');
INSERT INTO `lang_definitions` VALUES (80524, 8067, 15, 'Αναφορά Συνταγογράφησης');
INSERT INTO `lang_definitions` VALUES (80525, 8068, 15, 'Η Συνταγογράφηση αφαιρέθηκε επιτυχώς.');
INSERT INTO `lang_definitions` VALUES (80526, 8070, 15, 'Συνταγές');
INSERT INTO `lang_definitions` VALUES (80527, 8073, 15, 'Συνταγές και σκευάσματα');
INSERT INTO `lang_definitions` VALUES (80528, 8074, 15, 'Συνταγές και άλλες παραπομπές');
INSERT INTO `lang_definitions` VALUES (80529, 8075, 15, 'Συνταγές ή/ και παραπομπές από ειδικό');
INSERT INTO `lang_definitions` VALUES (80530, 8076, 15, 'Αναφορά συνταγών');
INSERT INTO `lang_definitions` VALUES (80531, 8077, 15, 'Συνταγές/ Παραπομπές');
INSERT INTO `lang_definitions` VALUES (80532, 8078, 15, 'Παρών');
INSERT INTO `lang_definitions` VALUES (80533, 8079, 15, 'Κύριο ενόχλημα');
INSERT INTO `lang_definitions` VALUES (80534, 8081, 15, 'Πατήστε Συνέχεια για να προχωρήσετε');
INSERT INTO `lang_definitions` VALUES (80535, 8084, 15, 'Αρχική Διάγνωση');
INSERT INTO `lang_definitions` VALUES (80536, 8085, 15, 'Υποτιθέμενη διάγνωση από Ειδικό');
INSERT INTO `lang_definitions` VALUES (80537, 8086, 15, 'Προηγ');
INSERT INTO `lang_definitions` VALUES (80538, 8087, 15, 'Προηγ. Ιατρικό/ Χειρουργ. ιστορικό');
INSERT INTO `lang_definitions` VALUES (80539, 8088, 15, 'Προηγ. μήνας (κρατήστε πατημένο για να εμφανισθεί το μενού)');
INSERT INTO `lang_definitions` VALUES (80540, 8089, 15, 'Προηγ. έτος (κρατήστε πατημένο για να εμφανισθεί το μενού)');
INSERT INTO `lang_definitions` VALUES (80541, 8091, 15, 'Προληπτική Ιατρική');
INSERT INTO `lang_definitions` VALUES (80542, 8094, 15, 'Προεπισκόπηση Συμβάντος');
INSERT INTO `lang_definitions` VALUES (80543, 8095, 15, 'Προεπισκόπηση αρχείου');
INSERT INTO `lang_definitions` VALUES (80544, 8096, 15, 'Δεν υπάρχει διαθέσιμη προεπισκόπηση για αυτόν τον τύπο εγγράφου');
INSERT INTO `lang_definitions` VALUES (80545, 8097, 15, 'Προεπισκόπηση του');
INSERT INTO `lang_definitions` VALUES (80546, 8098, 15, 'Προηγούμενο');
INSERT INTO `lang_definitions` VALUES (80547, 8099, 15, 'Προηγ. Συμβουλευτική (Επίσκεψη)');
INSERT INTO `lang_definitions` VALUES (80548, 8100, 15, 'Προηγ. ημέρα');
INSERT INTO `lang_definitions` VALUES (80549, 8102, 15, 'Προηγούμ. Ιστορικό/ Έλεγχος');
INSERT INTO `lang_definitions` VALUES (80550, 8103, 15, 'Προηγ. μήνας');
INSERT INTO `lang_definitions` VALUES (80551, 8104, 15, 'Προηγ. εβδομάδα');
INSERT INTO `lang_definitions` VALUES (80552, 8105, 15, 'Τιμή');
INSERT INTO `lang_definitions` VALUES (80553, 8106, 15, 'Η τιμή μπορεί να οριστεί χειροκίνητα ή να αλλαχθεί από εδώ');
INSERT INTO `lang_definitions` VALUES (80554, 8107, 15, 'Η τιμή άλλαξε');
INSERT INTO `lang_definitions` VALUES (80555, 8108, 15, 'Έκπτωση');
INSERT INTO `lang_definitions` VALUES (80556, 8109, 15, 'Επίπεδο τιμής');
INSERT INTO `lang_definitions` VALUES (80557, 8110, 15, 'Το επίπεδο τιμής άλλαξε');
INSERT INTO `lang_definitions` VALUES (80558, 8111, 15, 'Επίπεδο τιμής:');
INSERT INTO `lang_definitions` VALUES (80559, 8113, 15, 'Τιμές');
INSERT INTO `lang_definitions` VALUES (80560, 8114, 15, 'Κύρια');
INSERT INTO `lang_definitions` VALUES (80561, 8115, 15, 'Κεντρική Έδρα');
INSERT INTO `lang_definitions` VALUES (80562, 8118, 15, 'Πρωτοβάθμια Φροντίδα');
INSERT INTO `lang_definitions` VALUES (80563, 8119, 15, 'Πάροχος Πρωτοβάθμιας Φροντίδας');
INSERT INTO `lang_definitions` VALUES (80564, 8120, 15, 'Πόλη Κύριας Έδρας');
INSERT INTO `lang_definitions` VALUES (80565, 8121, 15, 'Κωδ. Χώρας Κύριας Έδρας');
INSERT INTO `lang_definitions` VALUES (80566, 8122, 15, 'Νομός Κύριας Έδρας');
INSERT INTO `lang_definitions` VALUES (80567, 8123, 15, 'Διεύθυνση Κύριας Έδρας');
INSERT INTO `lang_definitions` VALUES (80568, 8124, 15, 'Τ.Κ. Κύριας Έδρας');
INSERT INTO `lang_definitions` VALUES (80569, 8125, 15, 'Κύρια Ασφάλ.');
INSERT INTO `lang_definitions` VALUES (80570, 8126, 15, 'Πρωτεύουσα Ασφάλιση');
INSERT INTO `lang_definitions` VALUES (80571, 8127, 15, 'Δεδομένα Πρωτεύουσας Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (80572, 8128, 15, 'Πάροχος Πρωτεύουσας Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (80573, 8129, 15, 'Πρωτεύων πάροχος');
INSERT INTO `lang_definitions` VALUES (80574, 8130, 15, 'Εκτύπωση');
INSERT INTO `lang_definitions` VALUES (80575, 8131, 15, 'Εκτύπ. σε HTML');
INSERT INTO `lang_definitions` VALUES (80576, 8132, 15, 'Εκτύπ. σε PDF');
INSERT INTO `lang_definitions` VALUES (80577, 8133, 15, 'Εκτύπ. Τροποποιήσεων');
INSERT INTO `lang_definitions` VALUES (80578, 8134, 15, 'Εκτύπ. όλων των επισκέψεων');
INSERT INTO `lang_definitions` VALUES (80579, 8135, 15, 'Εκτύπ. κενού εντύπου παραπομπής');
INSERT INTO `lang_definitions` VALUES (80580, 8136, 15, 'Εντολή εκτύπωσης');
INSERT INTO `lang_definitions` VALUES (80581, 8137, 15, 'Εκτύπωση προσαρμοσμένου μηνύματος');
INSERT INTO `lang_definitions` VALUES (80582, 8138, 15, 'Εκτύπωση ημερ.');
INSERT INTO `lang_definitions` VALUES (80583, 8139, 15, 'Εκτύπωση Αναφοράς Τέλους Ημέρας 1');
INSERT INTO `lang_definitions` VALUES (80584, 8140, 15, 'Εκτύπωση Αναφοράς Τέλους Ημέρας 2');
INSERT INTO `lang_definitions` VALUES (80585, 8141, 15, 'Εκτύπωση Αναφοράς Τέλους Ημέρας 3');
INSERT INTO `lang_definitions` VALUES (80586, 8142, 15, 'Εκτύπωση ολόκληρου του Καταλόγου');
INSERT INTO `lang_definitions` VALUES (80587, 8143, 15, 'Εκτύπωση εντύπου');
INSERT INTO `lang_definitions` VALUES (80588, 8144, 15, 'Εκτύπωση τετραπλού Panel');
INSERT INTO `lang_definitions` VALUES (80589, 8145, 15, 'Εκτύπωση Καθολικού');
INSERT INTO `lang_definitions` VALUES (80590, 8146, 15, 'Εκτύπωση τοπικά');
INSERT INTO `lang_definitions` VALUES (80591, 8147, 15, 'Μήνυμα εκτύπωσης');
INSERT INTO `lang_definitions` VALUES (80592, 8148, 15, 'Πολλαπλή εκτύπωση');
INSERT INTO `lang_definitions` VALUES (80593, 8149, 15, 'Πολλαπλή εκτύπωση σε FAX');
INSERT INTO `lang_definitions` VALUES (80594, 8150, 15, 'Εκτύπ. ονόματος, υπογραφής και ημ/νίας.');
INSERT INTO `lang_definitions` VALUES (80595, 8151, 15, 'Εκτύπωση σημειώσεων');
INSERT INTO `lang_definitions` VALUES (80596, 8152, 15, 'Εκτύπωση σελ. 1');
INSERT INTO `lang_definitions` VALUES (80597, 8153, 15, 'Εκτύπωση σελ. 2');
INSERT INTO `lang_definitions` VALUES (80598, 8154, 15, 'Εκτύπωση Ετικέτας Διεύθυνσης Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80599, 8156, 15, 'Εκτύπωση Αποδείξεων ανά Πάροχο');
INSERT INTO `lang_definitions` VALUES (80600, 8157, 15, 'Εκτύπωση Εγγραφής');
INSERT INTO `lang_definitions` VALUES (80601, 8160, 15, 'Εκτύπωση εξ αποστάσεως');
INSERT INTO `lang_definitions` VALUES (80602, 8161, 15, 'Εκτύπωση Αναφοράς');
INSERT INTO `lang_definitions` VALUES (80603, 8163, 15, 'Εκτύπ. επιλεγμένων statements');
INSERT INTO `lang_definitions` VALUES (80604, 8164, 15, 'Εκτύπ. Καταγραφής Εμβολιασμού');
INSERT INTO `lang_definitions` VALUES (80605, 8165, 15, 'Εκτύπωση του Επόμενου Ραντεβού στο Κάτω Μέρος του Καθολικού');
INSERT INTO `lang_definitions` VALUES (80606, 8166, 15, 'Εκτύπ. αυτής της επίσκεψης');
INSERT INTO `lang_definitions` VALUES (80607, 8167, 15, 'Εκτύπ. αυτού του εγγράφου');
INSERT INTO `lang_definitions` VALUES (80608, 8168, 15, 'Εκτύπ. αυτής της σημείωσης');
INSERT INTO `lang_definitions` VALUES (80609, 8169, 15, 'Εκτύπ. Αυτής της Σημείωσης');
INSERT INTO `lang_definitions` VALUES (80610, 8170, 15, 'Εκτύπωση σε');
INSERT INTO `lang_definitions` VALUES (80611, 8171, 15, 'Εκτύπωση σε FAX');
INSERT INTO `lang_definitions` VALUES (80612, 8172, 15, 'Προβολή Εκτύπωσης');
INSERT INTO `lang_definitions` VALUES (80613, 8173, 15, 'εκτυπώσιμη');
INSERT INTO `lang_definitions` VALUES (80614, 8174, 15, 'Εκτυπώσιμη Έκδοση');
INSERT INTO `lang_definitions` VALUES (80615, 8175, 15, 'Εκτυπώθηκε');
INSERT INTO `lang_definitions` VALUES (80616, 8176, 15, 'Εκτυπωτής');
INSERT INTO `lang_definitions` VALUES (80617, 8177, 15, 'Επιλογή καταγραφής εκτυπώσεων');
INSERT INTO `lang_definitions` VALUES (80618, 8178, 15, 'Εκτύπωση αποτελεσμάτων:');
INSERT INTO `lang_definitions` VALUES (80619, 8179, 15, 'Η εκτύπωση παρελήφθη, δείτε την έξοδος του τεστ στο');
INSERT INTO `lang_definitions` VALUES (80620, 8180, 15, 'Η εκτύπωση παρελήφθη, δείτε την έξοδος του τεστ στο');
INSERT INTO `lang_definitions` VALUES (80621, 8182, 15, 'Προηγούμενη εξουσιοδότηση');
INSERT INTO `lang_definitions` VALUES (80622, 8184, 15, 'Προηγούμενο έντυπο άδειας');
INSERT INTO `lang_definitions` VALUES (80623, 8185, 15, 'Προηγούμενη Εξέταση');
INSERT INTO `lang_definitions` VALUES (80624, 8186, 15, 'Προηγούμενα Οφθαλμικά Φάρμακα');
INSERT INTO `lang_definitions` VALUES (80625, 8189, 15, 'Προηγούμενη Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (80626, 8190, 15, 'Προηγούμενες Επισκέψεις');
INSERT INTO `lang_definitions` VALUES (80627, 8191, 15, 'Προτεραιότητα');
INSERT INTO `lang_definitions` VALUES (80628, 8192, 15, 'Προτεραιότητα');
INSERT INTO `lang_definitions` VALUES (80629, 8193, 15, 'Πρίσμα');
INSERT INTO `lang_definitions` VALUES (80630, 8194, 15, 'Πρισματικές Διόπτρες');
INSERT INTO `lang_definitions` VALUES (80631, 8195, 15, 'Σωφρονιστικό Ίδρυμα');
INSERT INTO `lang_definitions` VALUES (80632, 8196, 15, 'Ιδιωτικό');
INSERT INTO `lang_definitions` VALUES (80633, 8197, 15, 'Πρόβλημα');
INSERT INTO `lang_definitions` VALUES (80634, 8198, 15, 'Διάγνωση');
INSERT INTO `lang_definitions` VALUES (80635, 8199, 15, 'Λίστα προβλημάτων');
INSERT INTO `lang_definitions` VALUES (80636, 8200, 15, 'Προβλήματα');
INSERT INTO `lang_definitions` VALUES (80637, 8201, 15, 'Προβλήματα & Διαγνώσεις');
INSERT INTO `lang_definitions` VALUES (80638, 8202, 15, 'Προβλήματα/ Θέματα');
INSERT INTO `lang_definitions` VALUES (80639, 8209, 15, 'Ιατρική Πράξη');
INSERT INTO `lang_definitions` VALUES (80640, 8210, 15, 'Ιατρική Πράξη - Σημεία Σώματος - Βραχίονας, Γλουτός - χρήση για εμβολιασμό - τροποποιήστε αναλόγως');
INSERT INTO `lang_definitions` VALUES (80641, 8211, 15, 'Ιατρική Πράξη - Σημεία Σώματος');
INSERT INTO `lang_definitions` VALUES (80642, 8212, 15, 'Αποτελέσματα Ιατρικής Πράξης (Ναι/Όχι)');
INSERT INTO `lang_definitions` VALUES (80643, 8213, 15, 'Αποτελέσματα Ιατρικής Πράξης (Ναι/Όχι)');
INSERT INTO `lang_definitions` VALUES (80644, 8214, 15, 'Κωδικός Ιατρικής Πράξης');
INSERT INTO `lang_definitions` VALUES (80645, 8215, 15, 'Κωδικοί Ιατρικής Πράξης');
INSERT INTO `lang_definitions` VALUES (80646, 8216, 15, 'Πλευρά (σώματος) εφαρμογής Ιατρικής Πράξης');
INSERT INTO `lang_definitions` VALUES (80647, 8218, 15, 'Όνομα Ιατρικής Πράξης');
INSERT INTO `lang_definitions` VALUES (80648, 8220, 15, 'Παραγγελία Ιατρικής Πράξης');
INSERT INTO `lang_definitions` VALUES (80649, 8221, 15, 'Παραγγελία Ιατρικής Πράξης');
INSERT INTO `lang_definitions` VALUES (80650, 8222, 15, 'Λεπτομέρειες Παραγγελίας Ιατρικής Πράξης');
INSERT INTO `lang_definitions` VALUES (80651, 8223, 15, 'Παραγγελία Ιατρικής Πράξης για');
INSERT INTO `lang_definitions` VALUES (80652, 8224, 15, 'Δεν βρέθηκε παραγγελία Ιατρικής Πράξης');
INSERT INTO `lang_definitions` VALUES (80653, 8226, 15, 'Παραγγελίες και Αναφορές');
INSERT INTO `lang_definitions` VALUES (80654, 8227, 15, 'Επιλογή Ιατρικής Πράξης');
INSERT INTO `lang_definitions` VALUES (80655, 8228, 15, 'Πάροχος Ιατρικής Πράξης');
INSERT INTO `lang_definitions` VALUES (80656, 8229, 15, 'Πάροχος Ιατρικής Πράξης');
INSERT INTO `lang_definitions` VALUES (80657, 8230, 15, 'Βοήθεια για Πάροχο Ιατρικής Πράξης');
INSERT INTO `lang_definitions` VALUES (80658, 8231, 15, 'Πάροχοι Ιατρικής Πράξης');
INSERT INTO `lang_definitions` VALUES (80659, 8232, 15, 'Αναφορά Ιατρικής Πράξης');
INSERT INTO `lang_definitions` VALUES (80660, 8235, 15, 'Καταστάσεις Αναφορών Ιατρικής Πράξης');
INSERT INTO `lang_definitions` VALUES (80661, 8237, 15, 'Παθολογικό Αποτέλεσμα Ιατρικής Πράξης');
INSERT INTO `lang_definitions` VALUES (80662, 8238, 15, 'Καταστάσεις Αποτελέσματος Ιατρικής Πράξης');
INSERT INTO `lang_definitions` VALUES (80663, 8240, 15, 'Αποτελέσματα Ιατρικής Πράξης');
INSERT INTO `lang_definitions` VALUES (80664, 8241, 15, 'Οδοί Ιατρικής Πράξης');
INSERT INTO `lang_definitions` VALUES (80665, 8243, 15, 'Είδη δειγμάτων Ιατρικής Πράξης');
INSERT INTO `lang_definitions` VALUES (80666, 8245, 15, 'Αναφορά Στατιστ. Ιατρικής Πράξης');
INSERT INTO `lang_definitions` VALUES (80667, 8247, 15, 'Επίπεδο Διαδικασίας');
INSERT INTO `lang_definitions` VALUES (80668, 8248, 15, 'Είδος Ιατρικής Πράξης');
INSERT INTO `lang_definitions` VALUES (80669, 8249, 15, 'Είδη Ιατρικής Πράξης');
INSERT INTO `lang_definitions` VALUES (80670, 8251, 15, 'Μονάδες Ιατρικής Πράξης');
INSERT INTO `lang_definitions` VALUES (80671, 8253, 15, 'Ιατρική Πράξη/Υπηρεσία');
INSERT INTO `lang_definitions` VALUES (80672, 8254, 15, 'Ιατρικές Πράξεις');
INSERT INTO `lang_definitions` VALUES (80673, 8256, 15, 'Επεξεργασία');
INSERT INTO `lang_definitions` VALUES (80674, 8257, 15, 'Επεξεργασία και αποστολή Υπενθυμίσεων');
INSERT INTO `lang_definitions` VALUES (80675, 8258, 15, 'Επεξεργ. αρχείου ηλεκτρον. εμβάσματος πληρωμής (ERA)');
INSERT INTO `lang_definitions` VALUES (80676, 8259, 15, 'Επεξεργασία νέων αρχείων');
INSERT INTO `lang_definitions` VALUES (80677, 8261, 15, 'Επεξεργασία Υπενθυμίσεων');
INSERT INTO `lang_definitions` VALUES (80678, 8262, 15, 'Η Επεξεργασία απαιτεί λίγο χρόνο');
INSERT INTO `lang_definitions` VALUES (80679, 8263, 15, 'Επεξεργάσθηκε');
INSERT INTO `lang_definitions` VALUES (80680, 8264, 15, 'Επεξεργάσθηκε Από');
INSERT INTO `lang_definitions` VALUES (80681, 8265, 15, 'Ημερ/νία Επεξεργασίας');
INSERT INTO `lang_definitions` VALUES (80682, 8266, 15, 'επεξεργάσθηκε επιτυχώς');
INSERT INTO `lang_definitions` VALUES (80683, 8267, 15, 'Επεξεργασία');
INSERT INTO `lang_definitions` VALUES (80684, 8268, 15, 'Επεξεργασία και Αποστολή Υπενθυμίσεων Ασθενών');
INSERT INTO `lang_definitions` VALUES (80685, 8271, 15, 'Επεξεργασία Υπενθυμίσεων Ασθενών');
INSERT INTO `lang_definitions` VALUES (80686, 8272, 15, 'Χρόνος Επεξεργασίας');
INSERT INTO `lang_definitions` VALUES (80687, 8273, 15, 'Γίνεται επεξεργασία');
INSERT INTO `lang_definitions` VALUES (80688, 8274, 15, 'Προϊόν');
INSERT INTO `lang_definitions` VALUES (80689, 8275, 15, 'Το προϊόν προσετέθη');
INSERT INTO `lang_definitions` VALUES (80690, 8276, 15, 'Προϊόν Αντισυλληπτική Μέθοδος');
INSERT INTO `lang_definitions` VALUES (80691, 8277, 15, 'Το προϊόν διεγράφη');
INSERT INTO `lang_definitions` VALUES (80692, 8278, 15, 'Παραγωγή');
INSERT INTO `lang_definitions` VALUES (80693, 8279, 15, 'Προϊόντα');
INSERT INTO `lang_definitions` VALUES (80694, 8280, 15, 'Προϊόντα αλλά χωρίς συνταγογραφήσιμα φάρμακα και χωρίς templates');
INSERT INTO `lang_definitions` VALUES (80695, 8281, 15, 'Παρεχόμενα Προϊόντα');
INSERT INTO `lang_definitions` VALUES (80696, 8282, 15, 'Προφίλ');
INSERT INTO `lang_definitions` VALUES (80697, 8283, 15, 'Προφίλ');
INSERT INTO `lang_definitions` VALUES (80698, 8284, 15, 'Προφίλ - Δημογραφικά');
INSERT INTO `lang_definitions` VALUES (80699, 8286, 15, 'Προφίλ');
INSERT INTO `lang_definitions` VALUES (80700, 8288, 15, 'Πρόοδος');
INSERT INTO `lang_definitions` VALUES (80701, 8290, 15, 'Πορεία νόσου/ Πρόοδος');
INSERT INTO `lang_definitions` VALUES (80702, 8292, 15, 'Ιδιότητες');
INSERT INTO `lang_definitions` VALUES (80703, 8295, 15, 'Καρκίνος προστάτη');
INSERT INTO `lang_definitions` VALUES (80704, 8296, 15, 'Προληπτικός Έλεγχος Καρκίνου Προστάτη');
INSERT INTO `lang_definitions` VALUES (80705, 8297, 15, 'Εξέταση προστάτη');
INSERT INTO `lang_definitions` VALUES (80706, 8298, 15, 'Προβλήμ. προστάτη');
INSERT INTO `lang_definitions` VALUES (80707, 8299, 15, 'Προστάτης χωρίς διόγκ, όζους, ευαισθησία');
INSERT INTO `lang_definitions` VALUES (80708, 8300, 15, 'Δείκτης Προστασίας');
INSERT INTO `lang_definitions` VALUES (80709, 8301, 15, 'Έναρξη Ισχύος Δείκτη Προστασίας');
INSERT INTO `lang_definitions` VALUES (80710, 8302, 15, 'Προτόκολλο');
INSERT INTO `lang_definitions` VALUES (80711, 8304, 15, 'Υποδείξτε την απόλυτη διαδρομή');
INSERT INTO `lang_definitions` VALUES (80712, 8305, 15, 'Υποδείξτε την απόλυτη διαδρομή του αρχείου');
INSERT INTO `lang_definitions` VALUES (80713, 8308, 15, 'Παροχή κλινικής σύνοψης στους ασθενείς για κάθε επίσκεψη ιατρείου (Νέο)');
INSERT INTO `lang_definitions` VALUES (80714, 8309, 15, 'Παροχή κλινικής σύνοψης στους ασθενείς για κάθε επίσκεψη ιατρείου.');
INSERT INTO `lang_definitions` VALUES (80715, 8310, 15, 'Παροχή Κωδικού Πρόσβασης για');
INSERT INTO `lang_definitions` VALUES (80716, 8311, 15, 'Παροχή στους ασθενείς ηλεκτρονικού αντιγράφου των πληροφοριών υγείας τους (συμπεριλαμβανομένων διαγνωστικών αποτελεσμάτων, λίστας προβλημάτων, λιστών φαρμάκων, φαρμακευτικών αλλεργιών), κατόπιν αιτήματος.');
INSERT INTO `lang_definitions` VALUES (80717, 8312, 15, 'Παροχή στους ασθενείς έγκαιρης ηλεκτρονικής πρόσβασης στις πληροφορίες υγείας τους (συμπεριλαμβανομένων των εργαστηρ. αποτελεσμάτων, λίστας προβλημάτων, λιστών φαρμάκων, φαρμακευτικών αλλεργιών) εντός τεσσάρων ημερών από τη διαθεσιμότητα της πληροφορίας στο EP.');
INSERT INTO `lang_definitions` VALUES (80718, 8315, 15, 'Δώστε ένα έγκυρο Email');
INSERT INTO `lang_definitions` VALUES (80719, 8316, 15, 'Χορηγήθηκε Κλινική Σύνοψη;');
INSERT INTO `lang_definitions` VALUES (80720, 8317, 15, 'Χορηγήθηκε Εκπαιδευτικό Υλικό;');
INSERT INTO `lang_definitions` VALUES (80721, 8318, 15, 'Πάροχος');
INSERT INTO `lang_definitions` VALUES (80722, 8319, 15, 'πάροχος');
INSERT INTO `lang_definitions` VALUES (80723, 8320, 15, 'Πρόσβαση Παρόχου');
INSERT INTO `lang_definitions` VALUES (80724, 8321, 15, 'Πάνελ Διαχείρησης Παρόχου');
INSERT INTO `lang_definitions` VALUES (80725, 8322, 15, 'Κωδ. Παρόχου');
INSERT INTO `lang_definitions` VALUES (80726, 8323, 15, 'Κωδ. Παρόχου');
INSERT INTO `lang_definitions` VALUES (80727, 8324, 15, 'Κωδ. Παρόχου στην Συγκεκριμένη Έδρα');
INSERT INTO `lang_definitions` VALUES (80728, 8325, 15, 'Σφάλματα παρόχου');
INSERT INTO `lang_definitions` VALUES (80729, 8326, 15, 'Λείπει ο Πάροχος. Προσθέστε έναν στις «Επιλογές»');
INSERT INTO `lang_definitions` VALUES (80730, 8327, 15, 'όνομα παρόχου');
INSERT INTO `lang_definitions` VALUES (80731, 8328, 15, 'Ο πάροχος αυτός δεν είναι διαθέσιμος, παρακαλώ επιλέξτε κάποιον άλλο.');
INSERT INTO `lang_definitions` VALUES (80732, 8329, 15, 'Ο πάροχος αυτός δεν είναι διαθέσιμος, να χρησιμοποιηθεί παρόλα αυτά;');
INSERT INTO `lang_definitions` VALUES (80733, 8330, 15, 'Αριθμός Παρόχου');
INSERT INTO `lang_definitions` VALUES (80734, 8333, 15, 'Σχέση Παρόχου');
INSERT INTO `lang_definitions` VALUES (80735, 8334, 15, 'Τύπος Παρόχου');
INSERT INTO `lang_definitions` VALUES (80736, 8336, 15, 'Πάροχος:');
INSERT INTO `lang_definitions` VALUES (80737, 8337, 15, 'Πάροχοι');
INSERT INTO `lang_definitions` VALUES (80738, 8338, 15, 'Εθνικά αναγνωριστικά παρόχων');
INSERT INTO `lang_definitions` VALUES (80739, 8339, 15, 'Οι Πάροχοι να μπορούν βλέπουν Όλο το Ημερολόγιο');
INSERT INTO `lang_definitions` VALUES (80740, 8341, 15, 'Προηγ');
INSERT INTO `lang_definitions` VALUES (80741, 8342, 15, 'PSA');
INSERT INTO `lang_definitions` VALUES (80742, 8343, 15, 'Ψωρίαση');
INSERT INTO `lang_definitions` VALUES (80743, 8344, 15, 'Ψυχ');
INSERT INTO `lang_definitions` VALUES (80744, 8345, 15, 'Ψυχ Διάγνωση');
INSERT INTO `lang_definitions` VALUES (80745, 8346, 15, 'Ψυχ Φάρμακα');
INSERT INTO `lang_definitions` VALUES (80746, 8347, 15, 'Ψυχιατρικό');
INSERT INTO `lang_definitions` VALUES (80747, 8348, 15, 'Ψυχιατρ. σύντομη επιστολή');
INSERT INTO `lang_definitions` VALUES (80748, 8349, 15, 'Ψυχιατρ. διάγνωση');
INSERT INTO `lang_definitions` VALUES (80749, 8350, 15, 'Ψυχιατρ. εξέταση');
INSERT INTO `lang_definitions` VALUES (80750, 8351, 15, 'Ψυχιατρική Κλινική - Μερική Νοσηλεία');
INSERT INTO `lang_definitions` VALUES (80751, 8352, 15, 'Ψυχιατρ. ιστορικό');
INSERT INTO `lang_definitions` VALUES (80752, 8353, 15, 'Ψυχιατρ. Εισαγωγή');
INSERT INTO `lang_definitions` VALUES (80753, 8354, 15, 'Ψυχιατρ. φάρμακα');
INSERT INTO `lang_definitions` VALUES (80754, 8356, 15, 'Ψυχιατρ');
INSERT INTO `lang_definitions` VALUES (80755, 8357, 15, 'ΨΥΧΙΑΤΡ');
INSERT INTO `lang_definitions` VALUES (80756, 8358, 15, 'Ασθ %');
INSERT INTO `lang_definitions` VALUES (80757, 8359, 15, 'Χρέος Ασθ');
INSERT INTO `lang_definitions` VALUES (80758, 8360, 15, 'Σημειώσεις Ασθ');
INSERT INTO `lang_definitions` VALUES (80759, 8361, 15, 'Σημειώσ/Εξουσιοδ Ασθ');
INSERT INTO `lang_definitions` VALUES (80760, 8362, 15, 'Ο ασθ πλήρωσε περισσότερα ');
INSERT INTO `lang_definitions` VALUES (80761, 8364, 15, 'Ο ασθ πλήρωσε');
INSERT INTO `lang_definitions` VALUES (80762, 8366, 15, 'Επιστροφή χρημ. στον ασθ');
INSERT INTO `lang_definitions` VALUES (80763, 8367, 15, 'Απολυμένος ασθ');
INSERT INTO `lang_definitions` VALUES (80764, 8368, 15, 'Αναφορά ασθ');
INSERT INTO `lang_definitions` VALUES (80765, 8369, 15, 'Φυσική θεραπεία φοιτητή, ή αφήστε κενό');
INSERT INTO `lang_definitions` VALUES (80766, 8370, 15, 'Ασθ_Πόλη');
INSERT INTO `lang_definitions` VALUES (80767, 8371, 15, 'Ασθ_ΗμερΓεν');
INSERT INTO `lang_definitions` VALUES (80768, 8372, 15, 'Ασθ_EMAIL');
INSERT INTO `lang_definitions` VALUES (80769, 8373, 15, 'Ασθ_Όνομα');
INSERT INTO `lang_definitions` VALUES (80770, 8374, 15, 'Ασθ_Επώνυμο');
INSERT INTO `lang_definitions` VALUES (80771, 8375, 15, 'Ασθ_ΜεσαίοΌνομα');
INSERT INTO `lang_definitions` VALUES (80772, 8376, 15, 'Ασθ_Τηλ_Κινητό');
INSERT INTO `lang_definitions` VALUES (80773, 8377, 15, 'Ασθ_Τηλ_Οικίας');
INSERT INTO `lang_definitions` VALUES (80774, 8378, 15, 'Ασθ_ΤΚ');
INSERT INTO `lang_definitions` VALUES (80775, 8379, 15, 'Ασθ_ΑΜΚΑ');
INSERT INTO `lang_definitions` VALUES (80776, 8380, 15, 'Ασθ_Νομός');
INSERT INTO `lang_definitions` VALUES (80777, 8381, 15, 'Ασθ_Οδός');
INSERT INTO `lang_definitions` VALUES (80778, 8383, 15, 'Δημόσιο');
INSERT INTO `lang_definitions` VALUES (80779, 8384, 15, 'Δημόσια Υπηρεσία');
INSERT INTO `lang_definitions` VALUES (80780, 8385, 15, 'Κλινική Δημόσιας Υγείας');
INSERT INTO `lang_definitions` VALUES (80781, 8386, 15, 'Ιατρός Δημόσιας Υγείας');
INSERT INTO `lang_definitions` VALUES (80782, 8388, 15, 'Δημόσιος Κωδ. Ασθενούς');
INSERT INTO `lang_definitions` VALUES (80783, 8389, 15, 'Κωδικός Ιδιωτικότητας');
INSERT INTO `lang_definitions` VALUES (80784, 8390, 15, 'Έναρξη Ισχύος Κωδ. Ιδιωτ.');
INSERT INTO `lang_definitions` VALUES (80785, 8391, 15, 'Δημοσίευση');
INSERT INTO `lang_definitions` VALUES (80786, 8396, 15, 'Πνευμονικό');
INSERT INTO `lang_definitions` VALUES (80787, 8397, 15, 'ΠΝΕΥΜ');
INSERT INTO `lang_definitions` VALUES (80788, 8398, 15, 'Σφυγμός');
INSERT INTO `lang_definitions` VALUES (80789, 8400, 15, 'Κόρες');
INSERT INTO `lang_definitions` VALUES (80790, 8401, 15, 'Αγορά');
INSERT INTO `lang_definitions` VALUES (80791, 8402, 15, 'Αγορά/Επιστροφή');
INSERT INTO `lang_definitions` VALUES (80792, 8403, 15, 'Αγορές');
INSERT INTO `lang_definitions` VALUES (80793, 8405, 15, 'Ψυχιατρική');
INSERT INTO `lang_definitions` VALUES (80794, 8408, 15, 'κάθε 3 ώρες');
INSERT INTO `lang_definitions` VALUES (80795, 8409, 15, 'κάθε 4 ώρες');
INSERT INTO `lang_definitions` VALUES (80796, 8410, 15, 'κάθε 5 ώρες');
INSERT INTO `lang_definitions` VALUES (80797, 8411, 15, 'κάθε 6 ώρες');
INSERT INTO `lang_definitions` VALUES (80798, 8412, 15, 'κάθε 8 ώρες');
INSERT INTO `lang_definitions` VALUES (80799, 8413, 15, 'κάθε μέρα');
INSERT INTO `lang_definitions` VALUES (80800, 8414, 15, '4 φορές την ημέρα');
INSERT INTO `lang_definitions` VALUES (80801, 8417, 15, 'Διαθέσιμη ποσότητα');
INSERT INTO `lang_definitions` VALUES (80802, 8418, 15, 'Η διαθέσιμη ποσότητα είναι μικρότερη από τη μηνιαία χρήση');
INSERT INTO `lang_definitions` VALUES (80803, 8419, 15, 'Ποσότητα');
INSERT INTO `lang_definitions` VALUES (80804, 8420, 15, 'ΠΟΣΟΤ');
INSERT INTO `lang_definitions` VALUES (80805, 8421, 15, 'Ποιότητα');
INSERT INTO `lang_definitions` VALUES (80806, 8422, 15, 'Μετρήσεις Ποιότητας');
INSERT INTO `lang_definitions` VALUES (80807, 8423, 15, 'Ποσότητα');
INSERT INTO `lang_definitions` VALUES (80808, 8424, 15, 'Η ποσότητα άλλαξε');
INSERT INTO `lang_definitions` VALUES (80809, 8425, 15, 'Ποσότητα Εθνικού Κωδικού Φαρμάκων');
INSERT INTO `lang_definitions` VALUES (80810, 8426, 15, 'Ποσότητα στο χέρι');
INSERT INTO `lang_definitions` VALUES (80811, 8427, 15, 'η ποσότητα αυτή μοιάζει μη χρησιμοποιήσιμη');
INSERT INTO `lang_definitions` VALUES (80812, 8428, 15, 'Ποσότητα:');
INSERT INTO `lang_definitions` VALUES (80813, 8430, 15, 'Σφάλμα ερωτήματος');
INSERT INTO `lang_definitions` VALUES (80814, 8431, 15, 'Ερωτηματικό');
INSERT INTO `lang_definitions` VALUES (80815, 8432, 15, 'Ουρά για επεξεργ. δέσμης ενεργειών HCFA');
INSERT INTO `lang_definitions` VALUES (80816, 8433, 15, 'Ουρά για επεξεργ. και εκτύπ. δέσμης ενεργειών HCFA');
INSERT INTO `lang_definitions` VALUES (80817, 8434, 15, 'Ουρά για επεξεργ. δέσμης ενεργειών UB-92');
INSERT INTO `lang_definitions` VALUES (80818, 8435, 15, 'Ουρά για επεξεργ. και εκτύπ. δέσμης ενεργειών UB-92');
INSERT INTO `lang_definitions` VALUES (80819, 8436, 15, 'Σε ουρά');
INSERT INTO `lang_definitions` VALUES (80820, 8437, 15, 'Διαχείριση συμβάντων ουράς');
INSERT INTO `lang_definitions` VALUES (80821, 8438, 15, 'Ουρά για');
INSERT INTO `lang_definitions` VALUES (80822, 8439, 15, 'Σε ουρά για μεταφορά');
INSERT INTO `lang_definitions` VALUES (80823, 8440, 15, 'Διαχείριση αποστολών ουράς');
INSERT INTO `lang_definitions` VALUES (80824, 8441, 15, 'Γρήγορες Επιλογές');
INSERT INTO `lang_definitions` VALUES (80825, 8442, 15, 'Διακοπή ');
INSERT INTO `lang_definitions` VALUES (80826, 8443, 15, 'Διακοπή αλκοόλ');
INSERT INTO `lang_definitions` VALUES (80827, 8452, 15, 'Φυλή');
INSERT INTO `lang_definitions` VALUES (80828, 8453, 15, 'Φυλή και Εθνικότητα');
INSERT INTO `lang_definitions` VALUES (80829, 8454, 15, 'Φυλή/Εθνικότητα');
INSERT INTO `lang_definitions` VALUES (80830, 8455, 15, 'ΔΠΘ');
INSERT INTO `lang_definitions` VALUES (80831, 8456, 15, 'Ραδιόφωνο');
INSERT INTO `lang_definitions` VALUES (80832, 8457, 15, 'Κουμπιά επιλογής');
INSERT INTO `lang_definitions` VALUES (80833, 8462, 15, 'Εύρος');
INSERT INTO `lang_definitions` VALUES (80834, 8463, 15, 'Εξανθήματα');
INSERT INTO `lang_definitions` VALUES (80835, 8464, 15, 'Ρυθμός');
INSERT INTO `lang_definitions` VALUES (80836, 8466, 15, 'Αναλογία');
INSERT INTO `lang_definitions` VALUES (80837, 8467, 15, 'Αμορφοποίητη Αναφορά');
INSERT INTO `lang_definitions` VALUES (80838, 8468, 15, 'ΔΒ');
INSERT INTO `lang_definitions` VALUES (80839, 8475, 15, 'Σχετ. Ταυτοποίηση');
INSERT INTO `lang_definitions` VALUES (80840, 8476, 15, 'Σχετ. Διαδικασία ταυτοποίησης τελείωσε');
INSERT INTO `lang_definitions` VALUES (80841, 8477, 15, 'Σχετ. Διαδικασία ταυτοποίησης εν ενεργεία');
INSERT INTO `lang_definitions` VALUES (80842, 8478, 15, 'Τα αρχεία επαναταυτοποίησης θα αποθηκευθούν στο');
INSERT INTO `lang_definitions` VALUES (80843, 8479, 15, 'Επανάληψη βλάβης;');
INSERT INTO `lang_definitions` VALUES (80844, 8480, 15, 'Άνοιγμα εκ νέου');
INSERT INTO `lang_definitions` VALUES (80845, 8481, 15, 'Εκ νέου άνοιγμα Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (80846, 8482, 15, 'Ανοίχθηκε εκ νέου');
INSERT INTO `lang_definitions` VALUES (80847, 8483, 15, 'Εκ νέου άνοιγμα αυτής της επίσκεψης θα δημιουργήσει κενό. Οι πληροφορίες πληρωμής θα πρέπει να εισαχθούν ξανά. Θέλετε να προχωρήσετε;');
INSERT INTO `lang_definitions` VALUES (80848, 8484, 15, 'Αντίδραση');
INSERT INTO `lang_definitions` VALUES (80849, 8485, 15, 'Αντίδραση - κνίδωση, ναυτία, δύσπνοια ή ακαταχώρητο');
INSERT INTO `lang_definitions` VALUES (80850, 8486, 15, 'Αντιδράσεις');
INSERT INTO `lang_definitions` VALUES (80851, 8487, 15, 'Επανενεργοποίηση');
INSERT INTO `lang_definitions` VALUES (80852, 8488, 15, 'Αντιδραστ.');
INSERT INTO `lang_definitions` VALUES (80853, 8489, 15, 'Διαβασμένο');
INSERT INTO `lang_definitions` VALUES (80854, 8490, 15, 'Μόνο για ανάγνωση');
INSERT INTO `lang_definitions` VALUES (80855, 8495, 15, 'Μόνο για ανάγνωση από το Ιστορικό');
INSERT INTO `lang_definitions` VALUES (80856, 8496, 15, 'Πραγματικό Όνομα');
INSERT INTO `lang_definitions` VALUES (80857, 8497, 15, 'Πραγματική διαγραφή');
INSERT INTO `lang_definitions` VALUES (80858, 8498, 15, 'Αιτιολογία');
INSERT INTO `lang_definitions` VALUES (80859, 8499, 15, 'Αιτία Θανάτου');
INSERT INTO `lang_definitions` VALUES (80860, 8500, 15, 'Αιτία Θανάτου');
INSERT INTO `lang_definitions` VALUES (80861, 8501, 15, 'Αιτία Παραπομπής');
INSERT INTO `lang_definitions` VALUES (80862, 8502, 15, 'Αιτία παραπομπής');
INSERT INTO `lang_definitions` VALUES (80863, 8503, 15, 'Αιτία Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (80864, 8504, 15, 'Αιτία Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (80865, 8506, 15, 'Αιτία/Μορφή');
INSERT INTO `lang_definitions` VALUES (80866, 8507, 15, 'Αιτία/Πλάνο');
INSERT INTO `lang_definitions` VALUES (80867, 8509, 15, 'Πρόσκληση ');
INSERT INTO `lang_definitions` VALUES (80868, 8510, 15, 'Πίνακας Επανεκτιμήσεων');
INSERT INTO `lang_definitions` VALUES (80869, 8512, 15, 'Πίνακας Επανεκτιμήσεων: Απενεργοποίηση');
INSERT INTO `lang_definitions` VALUES (80870, 8516, 15, 'Αιτία Πρόσκλησης');
INSERT INTO `lang_definitions` VALUES (80871, 8518, 15, 'Επανεκτίμηση από πάροχο');
INSERT INTO `lang_definitions` VALUES (80872, 8519, 15, 'Επανεκτίμηση πότε;');
INSERT INTO `lang_definitions` VALUES (80873, 8520, 15, 'Επανεκτιμήσεις');
INSERT INTO `lang_definitions` VALUES (80874, 8521, 15, 'Απόδειξη');
INSERT INTO `lang_definitions` VALUES (80875, 8522, 15, 'Απόδειξη Πληρωμής');
INSERT INTO `lang_definitions` VALUES (80876, 8523, 15, 'Δημιουργία Απόδειξης');
INSERT INTO `lang_definitions` VALUES (80877, 8524, 15, 'Αναφορά Αποδείξεων βάσει Τρόπου Πληρωμής');
INSERT INTO `lang_definitions` VALUES (80878, 8525, 15, 'Σύνοψη Αποδείξεων');
INSERT INTO `lang_definitions` VALUES (80879, 8526, 15, 'Ελήφθη');
INSERT INTO `lang_definitions` VALUES (80880, 8527, 15, 'Ελήφθη από');
INSERT INTO `lang_definitions` VALUES (80881, 8528, 15, 'Ληφθέντα Fax');
INSERT INTO `lang_definitions` VALUES (80882, 8530, 15, 'Ελήφθη, δεν ελέγχθηκε');
INSERT INTO `lang_definitions` VALUES (80883, 8531, 15, 'Ελήφθη, δεν ελέγχθηκε');
INSERT INTO `lang_definitions` VALUES (80884, 8532, 15, 'Δέκτης');
INSERT INTO `lang_definitions` VALUES (80885, 8533, 15, 'Κωδικός Αποδέκτη');
INSERT INTO `lang_definitions` VALUES (80886, 8534, 15, 'Κωδικός Αποδέκτη (ISA08)');
INSERT INTO `lang_definitions` VALUES (80887, 8535, 15, 'Αρμόδιο αναγνωριστικό δέκτη (ISA07)');
INSERT INTO `lang_definitions` VALUES (80888, 8536, 15, 'Αναγνωριστικά Δέκτη');
INSERT INTO `lang_definitions` VALUES (80889, 8538, 15, 'ΛΗΨΗ ΜΗΝΥΜΑΤΟΣ');
INSERT INTO `lang_definitions` VALUES (80890, 8540, 15, 'Οι τελευταίοι τρεις κωδικοί πρόσβασης δεν έγιναν δεκτοί');
INSERT INTO `lang_definitions` VALUES (80891, 8541, 15, 'Ολοκληρώθηκε πρόσφατα');
INSERT INTO `lang_definitions` VALUES (80892, 8542, 15, 'Παραλήπτης');
INSERT INTO `lang_definitions` VALUES (80893, 8543, 15, 'Η λίστα παραληπτών είναι κενή');
INSERT INTO `lang_definitions` VALUES (80894, 8544, 15, 'Όνομα παραλήπτη');
INSERT INTO `lang_definitions` VALUES (80895, 8545, 15, 'Αποδέκτης της Γνωστοποίησης');
INSERT INTO `lang_definitions` VALUES (80896, 8546, 15, 'Απαιτείται παραλήπτης, εκτός αν η κατάσταση είναι \"Έγινε\"');
INSERT INTO `lang_definitions` VALUES (80897, 8549, 15, 'Σύσταση');
INSERT INTO `lang_definitions` VALUES (80898, 8550, 15, 'Σύσταση - Προαιρετικό');
INSERT INTO `lang_definitions` VALUES (80899, 8551, 15, 'Σύσταση για Παρακολούθηση');
INSERT INTO `lang_definitions` VALUES (80900, 8552, 15, 'Συστάσεις');
INSERT INTO `lang_definitions` VALUES (80901, 8553, 15, 'Συστάσεις και θεραπεία');
INSERT INTO `lang_definitions` VALUES (80902, 8554, 15, 'Συστάσεις από ειδικό');
INSERT INTO `lang_definitions` VALUES (80903, 8556, 15, 'ΕΓΓΡΑΦΗ');
INSERT INTO `lang_definitions` VALUES (80904, 8557, 15, 'Καταγραφή');
INSERT INTO `lang_definitions` VALUES (80905, 8558, 15, 'Η εγγραφή υπάρχει ήδη');
INSERT INTO `lang_definitions` VALUES (80906, 8559, 15, 'Καταγραφή και παράσταση αλλαγών στα ζωτικά σημεία (Ύψος / Βάρος / ΑΠ μας ενδιαφέρουν)');
INSERT INTO `lang_definitions` VALUES (80907, 8560, 15, 'Καταγραφή και παράσταση αλλαγών στα ζωτικά σημεία (ΑΠ δεν μας ενδιαφέρει)');
INSERT INTO `lang_definitions` VALUES (80908, 8561, 15, 'Καταγραφή και παράσταση αλλαγών στα ζωτικά σημεία (Ύψος / Βάρος δεν μας ενδιαφέρουν)');
INSERT INTO `lang_definitions` VALUES (80909, 8562, 15, 'Καταγραφή και παράσταση αλλαγών στα ζωτικά σημεία (Νέο).');
INSERT INTO `lang_definitions` VALUES (80910, 8563, 15, 'Καταγραφή και παράσταση αλλαγών στα ζωτικά σημεία (ΣΕΤ 1).');
INSERT INTO `lang_definitions` VALUES (80911, 8564, 15, 'Καταγραφή και παράσταση αλλαγών στα ζωτικά σημεία.');
INSERT INTO `lang_definitions` VALUES (80912, 8565, 15, 'Καταγραφή δημογραφικών.');
INSERT INTO `lang_definitions` VALUES (80913, 8566, 15, 'Καταγραφή Γνωστοποίησης');
INSERT INTO `lang_definitions` VALUES (80914, 8567, 15, 'Καταγραφή φυσικής κατάστασης');
INSERT INTO `lang_definitions` VALUES (80915, 8568, 15, 'Καταγραφή Πληρωμής');
INSERT INTO `lang_definitions` VALUES (80916, 8571, 15, 'Καταγραφή καπνίσματος για ασθενείς ηλικίας άνω των 13 ετών.');
INSERT INTO `lang_definitions` VALUES (80917, 8572, 15, 'Φάκελος');
INSERT INTO `lang_definitions` VALUES (80918, 8573, 15, 'βρέθηκαν εγγραφές');
INSERT INTO `lang_definitions` VALUES (80919, 8574, 15, 'βρέθηκαν εγγραφές.');
INSERT INTO `lang_definitions` VALUES (80920, 8575, 15, 'εγγραφές ανά σελίδα');
INSERT INTO `lang_definitions` VALUES (80921, 8576, 15, 'Χρήση ναρκωτικών ουσιών');
INSERT INTO `lang_definitions` VALUES (80922, 8577, 15, 'Ναρκωτικά');
INSERT INTO `lang_definitions` VALUES (80923, 8578, 15, 'Ορθό');
INSERT INTO `lang_definitions` VALUES (80924, 8579, 15, 'Εξέταση ορθού');
INSERT INTO `lang_definitions` VALUES (80925, 8580, 15, 'ορθικά');
INSERT INTO `lang_definitions` VALUES (80926, 8581, 15, 'Ορθογώνιο');
INSERT INTO `lang_definitions` VALUES (80927, 8582, 15, 'Επανάληψη');
INSERT INTO `lang_definitions` VALUES (80928, 8583, 15, 'Widget Εμφάνισης Επαναλαμβανόμενων Ραντεβού');
INSERT INTO `lang_definitions` VALUES (80929, 8584, 15, 'Επαναλαμβανόμενα Ραντεβού');
INSERT INTO `lang_definitions` VALUES (80930, 8585, 15, 'Επαναλαμβανόμενα Ραντεβού - Εμφανίζονται όλα τα επαναλαμβανόμενα ραντεβού');
INSERT INTO `lang_definitions` VALUES (80931, 8590, 15, 'Το κόκκινο τρίγωνο υποδεικνύει απαιτούμενο κωδικό που λείπει');
INSERT INTO `lang_definitions` VALUES (80932, 8592, 15, 'Ανακατεύθυνση');
INSERT INTO `lang_definitions` VALUES (80933, 8593, 15, 'Ερυθρότητα');
INSERT INTO `lang_definitions` VALUES (80934, 8594, 15, 'Επαναφορά');
INSERT INTO `lang_definitions` VALUES (80935, 8595, 15, 'ελαττωμένο:');
INSERT INTO `lang_definitions` VALUES (80936, 8596, 15, 'Παρ. Ιατρός');
INSERT INTO `lang_definitions` VALUES (80937, 8597, 15, 'Παραπομπή');
INSERT INTO `lang_definitions` VALUES (80938, 8598, 15, 'Παραπεμφθέν από');
INSERT INTO `lang_definitions` VALUES (80939, 8599, 15, 'Ημ/νία παραπομπής');
INSERT INTO `lang_definitions` VALUES (80940, 8600, 15, 'Παραπομπή σε');
INSERT INTO `lang_definitions` VALUES (80941, 8601, 15, 'Παραπομπή σε Μήνυμα');
INSERT INTO `lang_definitions` VALUES (80942, 8603, 15, 'Ταξινόμηση παραπομπής (επίπεδο κινδύνου)');
INSERT INTO `lang_definitions` VALUES (80943, 8604, 15, 'Φάσμα τιμών για τα αποτελέσματα');
INSERT INTO `lang_definitions` VALUES (80944, 8605, 15, 'Αιτιολογία παραπομπής');
INSERT INTO `lang_definitions` VALUES (80945, 8608, 15, 'Παραπέμπων Ιατρός');
INSERT INTO `lang_definitions` VALUES (80946, 8609, 15, 'Όνομα και υπογραφή παραπέποντος');
INSERT INTO `lang_definitions` VALUES (80947, 8610, 15, 'Παραπεμπτικό');
INSERT INTO `lang_definitions` VALUES (80948, 8611, 15, 'Παραπομπή από');
INSERT INTO `lang_definitions` VALUES (80949, 8612, 15, 'Κάρτα παραπομπής');
INSERT INTO `lang_definitions` VALUES (80950, 8613, 15, 'Ημ/νία παραπομπής');
INSERT INTO `lang_definitions` VALUES (80951, 8614, 15, 'Παραπεμπτικό');
INSERT INTO `lang_definitions` VALUES (80952, 8615, 15, 'ΕΝΤΥΠΟ ΠΑΡΑΠΕΜΠΤΙΚΟΥ');
INSERT INTO `lang_definitions` VALUES (80953, 8616, 15, 'Κωδικός Παραπομπής');
INSERT INTO `lang_definitions` VALUES (80954, 8617, 15, 'Παραπέμπων');
INSERT INTO `lang_definitions` VALUES (80955, 8618, 15, 'Αιτία Παραπομπής');
INSERT INTO `lang_definitions` VALUES (80956, 8619, 15, 'Πηγή παραπομπής');
INSERT INTO `lang_definitions` VALUES (80957, 8620, 15, 'Πηγή παραπομπής για τις επισκέψεις');
INSERT INTO `lang_definitions` VALUES (80958, 8621, 15, 'Παραπομπή σε');
INSERT INTO `lang_definitions` VALUES (80959, 8622, 15, 'Παραπομπές');
INSERT INTO `lang_definitions` VALUES (80960, 8623, 15, 'Αναφορά παραπομπών');
INSERT INTO `lang_definitions` VALUES (80961, 8624, 15, 'Παραπέμφθηκε από');
INSERT INTO `lang_definitions` VALUES (80962, 8625, 15, 'Παραπέμφθηκε από');
INSERT INTO `lang_definitions` VALUES (80963, 8627, 15, 'Παραπομπή σε');
INSERT INTO `lang_definitions` VALUES (80964, 8628, 15, 'Παραπέμπων');
INSERT INTO `lang_definitions` VALUES (80965, 8629, 15, 'Διεύθυνση Παραπέμποντος');
INSERT INTO `lang_definitions` VALUES (80966, 8630, 15, 'Διάγνωση παραπομπής');
INSERT INTO `lang_definitions` VALUES (80967, 8631, 15, 'Διάγνωση παραπομπής');
INSERT INTO `lang_definitions` VALUES (80968, 8633, 15, 'Παραπέμπων ιατρός και ιατρείο');
INSERT INTO `lang_definitions` VALUES (80969, 8634, 15, 'Παραπέμπων Πάροχος');
INSERT INTO `lang_definitions` VALUES (80970, 8635, 15, 'Παραπέμπων Πάροχος');
INSERT INTO `lang_definitions` VALUES (80971, 8636, 15, 'Επαναγέμισμα');
INSERT INTO `lang_definitions` VALUES (80972, 8637, 15, 'Επαναγέμισμα');
INSERT INTO `lang_definitions` VALUES (80973, 8639, 15, 'Ανταλλακτικά');
INSERT INTO `lang_definitions` VALUES (80974, 8640, 15, 'ανταλλακτικά');
INSERT INTO `lang_definitions` VALUES (80975, 8641, 15, 'Αντανακλαστικά φυσιολογικά');
INSERT INTO `lang_definitions` VALUES (80976, 8645, 15, 'Ανανέωση');
INSERT INTO `lang_definitions` VALUES (80977, 8646, 15, 'Ανανέωση Οθόνης');
INSERT INTO `lang_definitions` VALUES (80978, 8647, 15, 'Ανανέωση Κέντρου Μηνυμάτων ή απλά άνοιγμα ξανά');
INSERT INTO `lang_definitions` VALUES (80979, 8648, 15, 'Οι Υπενθυμίσεις ανανεώνονται ');
INSERT INTO `lang_definitions` VALUES (80980, 8649, 15, 'Επιστροφή Χρημάτων');
INSERT INTO `lang_definitions` VALUES (80981, 8650, 15, 'Αρνήθηκε');
INSERT INTO `lang_definitions` VALUES (80982, 8651, 15, 'Άρνηση αναφοράς');
INSERT INTO `lang_definitions` VALUES (80983, 8653, 15, 'σχετικά με');
INSERT INTO `lang_definitions` VALUES (80984, 8655, 15, 'Εγγραφή');
INSERT INTO `lang_definitions` VALUES (80985, 8656, 15, 'εγγραφή');
INSERT INTO `lang_definitions` VALUES (80986, 8662, 15, 'Ενεγράφη');
INSERT INTO `lang_definitions` VALUES (80987, 8663, 15, 'ενεγράφη');
INSERT INTO `lang_definitions` VALUES (80988, 8664, 15, 'Εγγεγραμμένο email');
INSERT INTO `lang_definitions` VALUES (80989, 8666, 15, 'Εγγεγραμμένα Modules');
INSERT INTO `lang_definitions` VALUES (80990, 8668, 15, 'Ημ. Εγγραφής');
INSERT INTO `lang_definitions` VALUES (80991, 8669, 15, 'Σφάλμα Εγγραφής');
INSERT INTO `lang_definitions` VALUES (80992, 8670, 15, 'Σφάλμα Εγγραφής');
INSERT INTO `lang_definitions` VALUES (80993, 8671, 15, 'Έντυπο Εγγραφής');
INSERT INTO `lang_definitions` VALUES (80994, 8672, 15, 'Φυσική Αποκατάσταση');
INSERT INTO `lang_definitions` VALUES (80995, 8673, 15, 'Φυσίατρος');
INSERT INTO `lang_definitions` VALUES (80996, 8674, 15, 'Απορρίφθηκε');
INSERT INTO `lang_definitions` VALUES (80997, 8675, 15, 'Πιθανότητα Υποτροπής');
INSERT INTO `lang_definitions` VALUES (80998, 8676, 15, 'Αφορά σε');
INSERT INTO `lang_definitions` VALUES (80999, 8677, 15, 'Σχετικό');
INSERT INTO `lang_definitions` VALUES (81000, 8678, 15, 'Σχετικό θέμα');
INSERT INTO `lang_definitions` VALUES (81001, 8679, 15, 'Σχετικές Σημειώσεις Ασθενούς');
INSERT INTO `lang_definitions` VALUES (81002, 8680, 15, 'Σχέση(εις) / Παιδιά');
INSERT INTO `lang_definitions` VALUES (81003, 8681, 15, 'Σχέσεις');
INSERT INTO `lang_definitions` VALUES (81004, 8682, 15, 'Σχέση');
INSERT INTO `lang_definitions` VALUES (81005, 8683, 15, 'Σχετική ταξινόμηση αυτής της οντότητας');
INSERT INTO `lang_definitions` VALUES (81006, 8684, 15, 'Συγγενείς');
INSERT INTO `lang_definitions` VALUES (81007, 8685, 15, 'Συγγενείς - καταγράφονται οι συγγενείς του ασθενούς που πάσχουν από ποικίλα νοσήματα όπως Καρκίνος, Διαβήτης, Υπέρταση κλπ');
INSERT INTO `lang_definitions` VALUES (81008, 8686, 15, 'ΑΠ Συγγενών');
INSERT INTO `lang_definitions` VALUES (81009, 8687, 15, 'Καρκίνος Συγγενών');
INSERT INTO `lang_definitions` VALUES (81010, 8688, 15, 'Διαβήτης Συγγενών');
INSERT INTO `lang_definitions` VALUES (81011, 8689, 15, 'Επιληψία Συγγενών');
INSERT INTO `lang_definitions` VALUES (81012, 8690, 15, 'Καρδιαγγειακά Προβλ. Συγγενών');
INSERT INTO `lang_definitions` VALUES (81013, 8691, 15, 'Ψυχική Υγεία Συγγενών');
INSERT INTO `lang_definitions` VALUES (81014, 8692, 15, 'Έμφραγμα Συγγενών');
INSERT INTO `lang_definitions` VALUES (81015, 8693, 15, 'Αυτοκτονία Συγγενών');
INSERT INTO `lang_definitions` VALUES (81016, 8694, 15, 'Φυματίωση Συγγενών');
INSERT INTO `lang_definitions` VALUES (81017, 8695, 15, 'Οι πιστοποιήσεις υγείας λείπουν από το λογαριασμό αυτό του χρήστη.');
INSERT INTO `lang_definitions` VALUES (81018, 8696, 15, 'Αναγνωριστικό πιστοποιήσεων υγείας');
INSERT INTO `lang_definitions` VALUES (81019, 8697, 15, 'Έκδοση');
INSERT INTO `lang_definitions` VALUES (81020, 8698, 15, 'Ημ. Έκδοσης');
INSERT INTO `lang_definitions` VALUES (81021, 8700, 15, 'Θρησκεία');
INSERT INTO `lang_definitions` VALUES (81022, 8702, 15, 'Θρησκευτική εξαίρεση');
INSERT INTO `lang_definitions` VALUES (81023, 8703, 15, 'Επαναφόρτωση');
INSERT INTO `lang_definitions` VALUES (81024, 8704, 15, 'επαναφόρτωση ονομάτων από κάτω');
INSERT INTO `lang_definitions` VALUES (81025, 8705, 15, 'Επανασύνδεση');
INSERT INTO `lang_definitions` VALUES (81026, 8706, 15, 'Υπενθ.');
INSERT INTO `lang_definitions` VALUES (81027, 8709, 15, 'Να θυμάσαι την επιλεχθείσα έδρα');
INSERT INTO `lang_definitions` VALUES (81028, 8712, 15, 'Υπενθύμιση');
INSERT INTO `lang_definitions` VALUES (81029, 8713, 15, 'Καμπάνιες Υπενθυμίσεων');
INSERT INTO `lang_definitions` VALUES (81030, 8714, 15, 'Έγινε Υπενθύμιση');
INSERT INTO `lang_definitions` VALUES (81031, 8715, 15, 'Διάστημα Υπενθύμισης');
INSERT INTO `lang_definitions` VALUES (81032, 8716, 15, 'Η Υπενθύμιση δεν απεστάλη');
INSERT INTO `lang_definitions` VALUES (81033, 8717, 15, 'Μόνο Υπενθύμιση - κάθε μέθοδος');
INSERT INTO `lang_definitions` VALUES (81034, 8718, 15, 'Μόνο Υπενθύμιση - όχι κλήσεις');
INSERT INTO `lang_definitions` VALUES (81035, 8719, 15, 'Η Υπενθύμιση απεστάλη');
INSERT INTO `lang_definitions` VALUES (81036, 8720, 15, 'Η Υπενθύμιση αποστέλλεται');
INSERT INTO `lang_definitions` VALUES (81037, 8721, 15, 'Υπενθύμιση στον Πάροχο');
INSERT INTO `lang_definitions` VALUES (81038, 8722, 15, 'Υπενθύμιση/Πρόσκληση - κάθε τρόπος');
INSERT INTO `lang_definitions` VALUES (81039, 8723, 15, 'Υπενθύμιση/Πρόσκληση - όχι κλήσεις');
INSERT INTO `lang_definitions` VALUES (81040, 8724, 15, 'Υπενθύμιση/Πρόσκληση - σε πάροχο');
INSERT INTO `lang_definitions` VALUES (81041, 8725, 15, 'Υπενθυμίσεις');
INSERT INTO `lang_definitions` VALUES (81042, 8726, 15, 'ΑΠΟΣΤΟΛΗ ΠΡΟΣ');
INSERT INTO `lang_definitions` VALUES (81043, 8729, 15, 'Αφαίρεση');
INSERT INTO `lang_definitions` VALUES (81044, 8730, 15, 'Αφαίρεση όλων των κανόνων από το πλάνο');
INSERT INTO `lang_definitions` VALUES (81045, 8731, 15, 'Αφαίρεση Κάτω Τμήματος');
INSERT INTO `lang_definitions` VALUES (81046, 8732, 15, 'ΚΑΤΑΡΓΗΣΗ ΟΜΑΔΑΣ');
INSERT INTO `lang_definitions` VALUES (81047, 8733, 15, 'Κατάργηση ομάδας');
INSERT INTO `lang_definitions` VALUES (81048, 8734, 15, 'Αφαίρεση εντύπου ομάδας');
INSERT INTO `lang_definitions` VALUES (81049, 8735, 15, 'Κατάργηση πολυπαραγοντικής ταυτοποίησης για αυτό το άτομο');
INSERT INTO `lang_definitions` VALUES (81050, 8736, 15, 'Αφαίρεση Καρτέλας');
INSERT INTO `lang_definitions` VALUES (81051, 8738, 15, 'Αφαιρεί υποστήριξη για ανοσοποιήσεις');
INSERT INTO `lang_definitions` VALUES (81052, 8739, 15, 'Αφαιρεί υποστήριξη για την phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (81053, 8740, 15, 'Αφαιρεί υποστήριξη για τις συναταγογραφήσεις');
INSERT INTO `lang_definitions` VALUES (81054, 8741, 15, 'Αφαιρεί το κάτω παράθυρο από προεπιλογή κατά την εκκίνηση.');
INSERT INTO `lang_definitions` VALUES (81055, 8742, 15, 'Αφαιρεί το εργαλείο ανεύρεσης φακέλων');
INSERT INTO `lang_definitions` VALUES (81056, 8743, 15, 'Νεφρικοί λίθοι');
INSERT INTO `lang_definitions` VALUES (81057, 8744, 15, 'Μετονομασία');
INSERT INTO `lang_definitions` VALUES (81058, 8745, 15, 'Μετονομασία ομάδας');
INSERT INTO `lang_definitions` VALUES (81059, 8746, 15, 'Απόδοση');
INSERT INTO `lang_definitions` VALUES (81060, 8747, 15, 'Πάροχος απόδοσης');
INSERT INTO `lang_definitions` VALUES (81061, 8748, 15, 'Αριθμός παρόχου απόδοσης');
INSERT INTO `lang_definitions` VALUES (81062, 8750, 15, 'Επαναταξινόμηση');
INSERT INTO `lang_definitions` VALUES (81063, 8751, 15, 'Επαναταξινόμηση σε');
INSERT INTO `lang_definitions` VALUES (81064, 8752, 15, 'Το σημείο αναδιάταξης έχει φτάσει');
INSERT INTO `lang_definitions` VALUES (81065, 8753, 15, 'Σημείο αναδιάταξης, 0 αν δεν εφαρμόζεται');
INSERT INTO `lang_definitions` VALUES (81066, 8754, 15, 'Επαν');
INSERT INTO `lang_definitions` VALUES (81067, 8755, 15, 'Επανάληψη');
INSERT INTO `lang_definitions` VALUES (81068, 8756, 15, 'Επαναλάβετε τον Νέο Κωδικό');
INSERT INTO `lang_definitions` VALUES (81069, 8757, 15, 'Επαναλάβετε τον Κωδικό');
INSERT INTO `lang_definitions` VALUES (81070, 8758, 15, 'Επαναλαμβανόμενο γεγονός');
INSERT INTO `lang_definitions` VALUES (81071, 8759, 15, 'Πληροφορίες Επανάληψης');
INSERT INTO `lang_definitions` VALUES (81072, 8760, 15, 'Επανάληψη');
INSERT INTO `lang_definitions` VALUES (81073, 8761, 15, 'ΑΝΤΙΚΑΤΑΣΤΑΣΗ');
INSERT INTO `lang_definitions` VALUES (81074, 8762, 15, 'Αντικατάσταση');
INSERT INTO `lang_definitions` VALUES (81075, 8763, 15, 'Αντικατάσταση ολόκληρου του σετ κωδικών');
INSERT INTO `lang_definitions` VALUES (81076, 8766, 15, 'Αντικαταστάθηκε');
INSERT INTO `lang_definitions` VALUES (81077, 8767, 15, 'Απαντήσεις');
INSERT INTO `lang_definitions` VALUES (81078, 8770, 15, 'Απάντηση');
INSERT INTO `lang_definitions` VALUES (81079, 8771, 15, 'Ημ/νία απάντησης');
INSERT INTO `lang_definitions` VALUES (81080, 8772, 15, 'Απάντηση από');
INSERT INTO `lang_definitions` VALUES (81081, 8773, 15, 'Απαντήστε σε αυτό το μήνυμα');
INSERT INTO `lang_definitions` VALUES (81082, 8774, 15, 'Αναφορά');
INSERT INTO `lang_definitions` VALUES (81083, 8775, 15, 'αναφορά');
INSERT INTO `lang_definitions` VALUES (81084, 8776, 15, 'Αναφορά - Κλινική');
INSERT INTO `lang_definitions` VALUES (81085, 8778, 15, 'Αναφορά - Δημιουργία Λίστας Ασθενών');
INSERT INTO `lang_definitions` VALUES (81086, 8779, 15, 'Αναφορά από');
INSERT INTO `lang_definitions` VALUES (81087, 8780, 15, 'Περιεχόμενο Αναφοράς');
INSERT INTO `lang_definitions` VALUES (81088, 8781, 15, 'Ημ/νία Αναφοράς');
INSERT INTO `lang_definitions` VALUES (81089, 8782, 15, 'Τέλος Αναφοράς (Ημ. Τερματισμού Φροντίδας)');
INSERT INTO `lang_definitions` VALUES (81090, 8783, 15, 'Η Αναφορά έχει σταλεί στον ασθενή.');
INSERT INTO `lang_definitions` VALUES (81091, 8785, 15, 'Αναφορά Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (81092, 8786, 15, 'Αναφορά Αποτελεσμάτων');
INSERT INTO `lang_definitions` VALUES (81093, 8787, 15, 'Αναφορά Αποτελεσμάτων/Ιστορικού');
INSERT INTO `lang_definitions` VALUES (81094, 8788, 15, 'Αρχή Αναφοράς (Ημ. Έναρξης Φροντίδας )');
INSERT INTO `lang_definitions` VALUES (81095, 8789, 15, 'Αναφορά Κατάστασης');
INSERT INTO `lang_definitions` VALUES (81096, 8790, 15, 'Σύνολα');
INSERT INTO `lang_definitions` VALUES (81097, 8791, 15, 'Η Αναφορά εστάλη μέσω FAX. Κάντε κλικ για προβολή.');
INSERT INTO `lang_definitions` VALUES (81098, 8792, 15, 'Αναφορά/ Έντυπο');
INSERT INTO `lang_definitions` VALUES (81099, 8793, 15, 'Αναφορά;');
INSERT INTO `lang_definitions` VALUES (81100, 8794, 15, 'Κατάλληλο προς αναφορά');
INSERT INTO `lang_definitions` VALUES (81101, 8795, 15, 'Έγινε Αναφορά');
INSERT INTO `lang_definitions` VALUES (81102, 8796, 15, 'Ημ. Αναφοράς');
INSERT INTO `lang_definitions` VALUES (81103, 8797, 15, 'Αναφορές');
INSERT INTO `lang_definitions` VALUES (81104, 8799, 15, 'Αίτημα & Απάντηση');
INSERT INTO `lang_definitions` VALUES (81105, 8801, 15, 'Περιγραφή Αιτήματος');
INSERT INTO `lang_definitions` VALUES (81106, 8803, 15, 'Λείπει το ID του αιτήματος!');
INSERT INTO `lang_definitions` VALUES (81107, 8804, 15, 'Το αίτημα αγνοήθηκε – η επεξεργασία αιτημάτων πληρωμής εκτελείται ήδη!');
INSERT INTO `lang_definitions` VALUES (81108, 8806, 15, 'Αίτημα Μηνύματος');
INSERT INTO `lang_definitions` VALUES (81109, 8807, 15, 'Αίτημα Νέου Ραντεβού');
INSERT INTO `lang_definitions` VALUES (81110, 8808, 15, 'Μόνο Αίτηση');
INSERT INTO `lang_definitions` VALUES (81111, 8809, 15, 'Κατάσταση Αιτήματος');
INSERT INTO `lang_definitions` VALUES (81112, 8810, 15, 'Τύπος Αιτήματος');
INSERT INTO `lang_definitions` VALUES (81113, 8812, 15, 'το αίτημα ελήφθη από το Portal Ασθενούς');
INSERT INTO `lang_definitions` VALUES (81114, 8813, 15, 'Αίτημα Από');
INSERT INTO `lang_definitions` VALUES (81115, 8814, 15, 'Ημ/νία Αιτήματος');
INSERT INTO `lang_definitions` VALUES (81116, 8815, 15, 'Αιτηθείσα υπηρεσία');
INSERT INTO `lang_definitions` VALUES (81117, 8816, 15, 'Το αιτούμενο πρότυπο δεν υπάρχει');
INSERT INTO `lang_definitions` VALUES (81118, 8817, 15, 'Τα αιτήματα εστάλησαν');
INSERT INTO `lang_definitions` VALUES (81119, 8818, 15, 'Απαιτείται Έλεγχος');
INSERT INTO `lang_definitions` VALUES (81120, 8819, 15, 'Απαιτούνται ισχυροί κωδικοί πρόσβασης');
INSERT INTO `lang_definitions` VALUES (81121, 8820, 15, 'Απαιτούνται Μοναδικοί Κωδικοί πρόσβασης');
INSERT INTO `lang_definitions` VALUES (81122, 8821, 15, 'Απαιτείται');
INSERT INTO `lang_definitions` VALUES (81123, 8823, 15, 'Αιτούμενη Συμμετοχή');
INSERT INTO `lang_definitions` VALUES (81124, 8824, 15, 'Το υποχρεωτικό πεδίο απουσιάζει: Παρακαλώ επιλέξτε το αρχείο EDI-271 αρχείο για upload');
INSERT INTO `lang_definitions` VALUES (81125, 8825, 15, 'Λείπει υποχρεωτικό πεδίο: Παρακαλώ εισάγετε το Όνομα');
INSERT INTO `lang_definitions` VALUES (81126, 8826, 15, 'Λείπει υποχρεωτικό πεδίο: Παρακαλώ εισάγετε το Επώνυμο');
INSERT INTO `lang_definitions` VALUES (81127, 8827, 15, 'Λείπει υποχρεωτικό πεδίο: Παρακαλώ εισάγετε το Όνομα Χρήστη');
INSERT INTO `lang_definitions` VALUES (81128, 8828, 15, 'Υποχρεωτικά πεδία');
INSERT INTO `lang_definitions` VALUES (81129, 8829, 15, 'Απαιτήσεις');
INSERT INTO `lang_definitions` VALUES (81130, 8832, 15, 'ΔΕΣΜΕΥΜΕΝΟ');
INSERT INTO `lang_definitions` VALUES (81131, 8833, 15, 'Δεσμευμένος');
INSERT INTO `lang_definitions` VALUES (81132, 8834, 15, 'Χρησιμοποιείται προς καθορισμό της Ώρας Προγραμματισμένων Διακοπών');
INSERT INTO `lang_definitions` VALUES (81133, 8835, 15, 'Χρησιμοποιείται για να οριστεί πότε ένας πάροχος δεν έχει διαθέσιμα ραντεβού μετά.');
INSERT INTO `lang_definitions` VALUES (81134, 8836, 15, 'Χρησιμοποιείται για να οριστεί αν ένα συμβάν δεν συνέβη όπως προσδιορίστηκε.');
INSERT INTO `lang_definitions` VALUES (81135, 8837, 15, 'Κρατημένο για να οριστεί αν ο πάροχος έχει διαθέσιμα ραντεβού μετά.');
INSERT INTO `lang_definitions` VALUES (81136, 8838, 15, 'Επαναφορά');
INSERT INTO `lang_definitions` VALUES (81137, 8841, 15, 'Επαναφορά Διαπιστευτηρίων');
INSERT INTO `lang_definitions` VALUES (81138, 8842, 15, 'Επαναφορά Διαπιστευτηρίων του Offsite Portal');
INSERT INTO `lang_definitions` VALUES (81139, 8843, 15, 'Επαναφορά Διαπιστευτηρίων του Online Portal');
INSERT INTO `lang_definitions` VALUES (81140, 8844, 15, 'Επαναφορά Διαπιστευτηρίων του Onsite Portal');
INSERT INTO `lang_definitions` VALUES (81141, 8845, 15, ' Επαναφορά σε χωρίς ασθενή');
INSERT INTO `lang_definitions` VALUES (81142, 8846, 15, 'Επαναφορά Έκδοσης');
INSERT INTO `lang_definitions` VALUES (81143, 8847, 15, 'Ειδικευόμενος');
INSERT INTO `lang_definitions` VALUES (81144, 8848, 15, 'Μονάδα Απεξάρτησης');
INSERT INTO `lang_definitions` VALUES (81145, 8849, 15, 'Αντισταθείτε στον πειρασμό να εισάγετε δεδομένα χωρίς οργάνωση');
INSERT INTO `lang_definitions` VALUES (81146, 8852, 15, 'Επιλύθηκε');
INSERT INTO `lang_definitions` VALUES (81147, 8853, 15, 'Πόρος (επιλέξτε έναν)');
INSERT INTO `lang_definitions` VALUES (81148, 8854, 15, 'Πόροι');
INSERT INTO `lang_definitions` VALUES (81149, 8855, 15, 'Αναπνοές');
INSERT INTO `lang_definitions` VALUES (81150, 8856, 15, 'Αναπνευστ. κινήσεις χωρίς προσπάθεια');
INSERT INTO `lang_definitions` VALUES (81151, 8857, 15, 'Αναπνευστικό');
INSERT INTO `lang_definitions` VALUES (81152, 8858, 15, 'Απάντηση');
INSERT INTO `lang_definitions` VALUES (81153, 8859, 15, 'Μόνο Απάντηση');
INSERT INTO `lang_definitions` VALUES (81154, 8862, 15, 'Επαναφορά');
INSERT INTO `lang_definitions` VALUES (81155, 8863, 15, 'Επαναφορά Αρχειοθετημένων');
INSERT INTO `lang_definitions` VALUES (81156, 8864, 15, 'Περιορίστε τους μη εξουσιοδοτ. χρήστες στις Schedule facilities που έχουν ορισθεί στη Διαχείριση Χρηστών');
INSERT INTO `lang_definitions` VALUES (81157, 8865, 15, 'Περιορίστε τους χρήστες στα Facilities');
INSERT INTO `lang_definitions` VALUES (81158, 8866, 15, 'Περιορισμένη κατάρτιση');
INSERT INTO `lang_definitions` VALUES (81159, 8867, 15, 'Αποτέλεσμα');
INSERT INTO `lang_definitions` VALUES (81160, 8868, 15, 'Όνομα Αποτελέσματος');
INSERT INTO `lang_definitions` VALUES (81161, 8869, 15, 'Κατάσταση αποτελεσμάτων');
INSERT INTO `lang_definitions` VALUES (81162, 8870, 15, 'Κατάσταση αποτελεσμάτων ή ανωμαλία λείπει');
INSERT INTO `lang_definitions` VALUES (81163, 8871, 15, 'Αποτέλεσμα, χρησιμοποιήστε % ως wildcard');
INSERT INTO `lang_definitions` VALUES (81164, 8872, 15, 'Αποτελέσματα');
INSERT INTO `lang_definitions` VALUES (81165, 8873, 15, 'Αποτελέσματα και');
INSERT INTO `lang_definitions` VALUES (81166, 8874, 15, 'Βρέθηκαν αποτελέσματα για την αναζήτηση');
INSERT INTO `lang_definitions` VALUES (81167, 8875, 15, 'Ομάδα Απατελεσμάτων');
INSERT INTO `lang_definitions` VALUES (81168, 8876, 15, 'Μόνο Αποτελέσματα');
INSERT INTO `lang_definitions` VALUES (81169, 8877, 15, 'Διαδρομή Αποτελεσμάτων');
INSERT INTO `lang_definitions` VALUES (81170, 8879, 15, 'Αποτελέσματα ανά σελίδα');
INSERT INTO `lang_definitions` VALUES (81171, 8880, 15, 'Αποτελέσματα/Λεπτομέρειες');
INSERT INTO `lang_definitions` VALUES (81172, 8882, 15, 'Αμφιβληστροειδής');
INSERT INTO `lang_definitions` VALUES (81173, 8883, 15, 'Προεπιλ. τιμές αμφιβληστροειδούς');
INSERT INTO `lang_definitions` VALUES (81174, 8884, 15, 'Εξέταση αμφιβληστροειδούς');
INSERT INTO `lang_definitions` VALUES (81175, 8885, 15, 'Συρρικνωμένο δεξιά:');
INSERT INTO `lang_definitions` VALUES (81176, 8886, 15, 'Επιστροφή');
INSERT INTO `lang_definitions` VALUES (81177, 8887, 15, 'Επιστρέψτε το ως άνω μέρος με την πληρωμή σας');
INSERT INTO `lang_definitions` VALUES (81178, 8889, 15, 'Επιστροφή στην Αρχική');
INSERT INTO `lang_definitions` VALUES (81179, 8890, 15, 'Επιστροφή στο ημερολόγιο');
INSERT INTO `lang_definitions` VALUES (81180, 8891, 15, 'Επιστροφή στα Αποτελέσματα της Αναφοράς');
INSERT INTO `lang_definitions` VALUES (81181, 8897, 15, 'Τιμή επιστροφής');
INSERT INTO `lang_definitions` VALUES (81182, 8898, 15, 'Επίσκεψη παρακολούθησης');
INSERT INTO `lang_definitions` VALUES (81183, 8899, 15, 'Επέστρεψε στο Play');
INSERT INTO `lang_definitions` VALUES (81184, 8901, 15, 'Δεν επιτρέπεται επαναχρησιμοποίηση τριών προηγούμενων κωδικών!');
INSERT INTO `lang_definitions` VALUES (81185, 8907, 15, 'Αναίρεση');
INSERT INTO `lang_definitions` VALUES (81186, 8908, 15, 'Αναίρεση Αλλαγών');
INSERT INTO `lang_definitions` VALUES (81187, 8909, 15, 'Ανασκόπηση');
INSERT INTO `lang_definitions` VALUES (81188, 8910, 15, 'Ανασκόπηση & Έγκριση');
INSERT INTO `lang_definitions` VALUES (81189, 8912, 15, 'Ανασκόπηση και Έγκριση');
INSERT INTO `lang_definitions` VALUES (81190, 8913, 15, 'Έλεγχος');
INSERT INTO `lang_definitions` VALUES (81191, 8914, 15, 'Ανασκόπηση Παλαιού Ιστορικού:');
INSERT INTO `lang_definitions` VALUES (81192, 8915, 15, 'Ανασκόπηση Συστήματος');
INSERT INTO `lang_definitions` VALUES (81193, 8917, 15, 'Ανασκόπηση Συστημάτων (πολλαπλής)');
INSERT INTO `lang_definitions` VALUES (81194, 8918, 15, 'Ανασκόπηση Συστημάτων (κουτάκια)');
INSERT INTO `lang_definitions` VALUES (81195, 8921, 15, 'Ελέγχθηκε');
INSERT INTO `lang_definitions` VALUES (81196, 8922, 15, 'Ημ. Ανασκόπησης');
INSERT INTO `lang_definitions` VALUES (81197, 8923, 15, 'Αναθεώρηση');
INSERT INTO `lang_definitions` VALUES (81198, 8924, 15, 'Αναθεώρηση');
INSERT INTO `lang_definitions` VALUES (81199, 8925, 15, 'Ρευματοειδής Αρθρίτιδα');
INSERT INTO `lang_definitions` VALUES (81200, 8926, 15, 'Ρευματοειδής αρθρίτιδα');
INSERT INTO `lang_definitions` VALUES (81201, 8928, 15, 'Δεξιά');
INSERT INTO `lang_definitions` VALUES (81202, 8929, 15, 'Δεξιός Βραχίονας');
INSERT INTO `lang_definitions` VALUES (81203, 8930, 15, 'Δεξιός Δελτοειδής');
INSERT INTO `lang_definitions` VALUES (81204, 8931, 15, 'Δεξί αυτί');
INSERT INTO `lang_definitions` VALUES (81205, 8932, 15, 'δεξί αυτί');
INSERT INTO `lang_definitions` VALUES (81206, 8933, 15, 'Δεξιός Μέσος Γλουτιαίος');
INSERT INTO `lang_definitions` VALUES (81207, 8934, 15, 'Δεξιός Φακός');
INSERT INTO `lang_definitions` VALUES (81208, 8935, 15, 'Δεξιό Κάτω Αντιβράχιο');
INSERT INTO `lang_definitions` VALUES (81209, 8936, 15, 'Δεξιό Όριο');
INSERT INTO `lang_definitions` VALUES (81210, 8937, 15, 'Δεξιός Μηρός');
INSERT INTO `lang_definitions` VALUES (81211, 8938, 15, 'Δεξιός Έξω Πλατύς Μηριαίος');
INSERT INTO `lang_definitions` VALUES (81212, 8940, 15, 'Δεξιά:');
INSERT INTO `lang_definitions` VALUES (81213, 8941, 15, 'Εμβοές στα αυτιά');
INSERT INTO `lang_definitions` VALUES (81214, 8942, 15, 'Εμβοές στα αυτιά');
INSERT INTO `lang_definitions` VALUES (81215, 8943, 15, 'Εκτίμηση Κινδύνου');
INSERT INTO `lang_definitions` VALUES (81216, 8944, 15, 'Παράγοντες κινδύνου');
INSERT INTO `lang_definitions` VALUES (81217, 8945, 15, 'Επίπεδο κινδύνου');
INSERT INTO `lang_definitions` VALUES (81218, 8947, 15, 'ΔΙ');
INSERT INTO `lang_definitions` VALUES (81219, 8948, 15, 'ΔΚ');
INSERT INTO `lang_definitions` VALUES (81220, 8949, 15, 'Δεξιός κάτω λοβός:');
INSERT INTO `lang_definitions` VALUES (81221, 8950, 15, 'ΔΚΒ');
INSERT INTO `lang_definitions` VALUES (81222, 8951, 15, 'ΔΦ');
INSERT INTO `lang_definitions` VALUES (81223, 8955, 15, 'Κίνδυνος θνητότητας');
INSERT INTO `lang_definitions` VALUES (81224, 8956, 15, 'Ρουμάνικα');
INSERT INTO `lang_definitions` VALUES (81225, 8958, 15, 'Δωμάτιο 1');
INSERT INTO `lang_definitions` VALUES (81226, 8959, 15, 'Δωμάτιο 2');
INSERT INTO `lang_definitions` VALUES (81227, 8960, 15, 'Δωμάτιο 3');
INSERT INTO `lang_definitions` VALUES (81228, 8961, 15, 'Αρ. Δωματίου');
INSERT INTO `lang_definitions` VALUES (81229, 8962, 15, 'Συγκάτοικος');
INSERT INTO `lang_definitions` VALUES (81230, 8963, 15, 'Μητρώο');
INSERT INTO `lang_definitions` VALUES (81231, 8964, 15, 'Ανασκ.Συστ.');
INSERT INTO `lang_definitions` VALUES (81232, 8965, 15, 'Στρογγύλες και Αντιδραστικές');
INSERT INTO `lang_definitions` VALUES (81233, 8966, 15, 'Οδός Χορήγησης');
INSERT INTO `lang_definitions` VALUES (81234, 8967, 15, 'Οδός χορήγησης, αν ισχύει');
INSERT INTO `lang_definitions` VALUES (81235, 8968, 15, 'Δρομολογήθηκε');
INSERT INTO `lang_definitions` VALUES (81236, 8969, 15, 'Σειρές');
INSERT INTO `lang_definitions` VALUES (81237, 8971, 15, 'Σχετικός κίνδυνος χωρίς Ιατρική αναφορά');
INSERT INTO `lang_definitions` VALUES (81238, 8972, 15, 'Εντριβή:');
INSERT INTO `lang_definitions` VALUES (81239, 8973, 15, 'Εντριβές:');
INSERT INTO `lang_definitions` VALUES (81240, 8974, 15, 'Κανόνας');
INSERT INTO `lang_definitions` VALUES (81241, 8975, 15, 'Προσθήκη Κανόνα');
INSERT INTO `lang_definitions` VALUES (81242, 8976, 15, 'Λεπτομέρειες Κανόνα');
INSERT INTO `lang_definitions` VALUES (81243, 8977, 15, 'Δημιουργός Κανόνων');
INSERT INTO `lang_definitions` VALUES (81244, 8978, 15, 'Επεξεργασία Κανόνα');
INSERT INTO `lang_definitions` VALUES (81245, 8981, 15, 'Σύνολο Κανόνων');
INSERT INTO `lang_definitions` VALUES (81246, 8983, 15, 'Τίτλος Κανόνα');
INSERT INTO `lang_definitions` VALUES (81247, 8984, 15, 'Κανόνες');
INSERT INTO `lang_definitions` VALUES (81248, 8985, 15, 'κανόνες ήδη στο πλάνο');
INSERT INTO `lang_definitions` VALUES (81249, 8986, 15, 'Ρυθμίσεις Κανόνων');
INSERT INTO `lang_definitions` VALUES (81250, 8987, 15, 'ΔΑΒ');
INSERT INTO `lang_definitions` VALUES (81251, 8989, 15, 'Τρέχουσα εντολή:');
INSERT INTO `lang_definitions` VALUES (81252, 8990, 15, 'Ρήξη');
INSERT INTO `lang_definitions` VALUES (81253, 8991, 15, 'Κέντρο Υγείας');
INSERT INTO `lang_definitions` VALUES (81254, 8992, 15, 'Ρωσικά');
INSERT INTO `lang_definitions` VALUES (81255, 8995, 15, 'Θεραπεία');
INSERT INTO `lang_definitions` VALUES (81256, 8996, 15, 'Φάρμακα');
INSERT INTO `lang_definitions` VALUES (81257, 8997, 15, 'Κάτω Περιθώριο Συνταγής (px)');
INSERT INTO `lang_definitions` VALUES (81258, 8998, 15, 'Ημερ/νία Συνταγής');
INSERT INTO `lang_definitions` VALUES (81259, 8999, 15, 'Λεπτομέρειες Συνταγής');
INSERT INTO `lang_definitions` VALUES (81260, 9004, 15, 'Ιστορικό Συνταγών');
INSERT INTO `lang_definitions` VALUES (81261, 9007, 15, 'Αριστερό Περιθώριο Συνταγής (px)');
INSERT INTO `lang_definitions` VALUES (81262, 9010, 15, 'Μέγεθος χαρτιού Συνταγής');
INSERT INTO `lang_definitions` VALUES (81263, 9013, 15, 'Δεξιό Περιθώριο Συνταγής (px)');
INSERT INTO `lang_definitions` VALUES (81264, 9017, 15, 'Άνω Περιθώριο Συνταγής (px)');
INSERT INTO `lang_definitions` VALUES (81265, 9018, 15, 'Rx Τύπος');
INSERT INTO `lang_definitions` VALUES (81266, 9023, 15, 'RxNorm');
INSERT INTO `lang_definitions` VALUES (81267, 9024, 15, 'Βάση RxNorm');
INSERT INTO `lang_definitions` VALUES (81268, 9026, 15, 'ΔΕ');
INSERT INTO `lang_definitions` VALUES (81269, 9027, 15, 'ΔΕ');
INSERT INTO `lang_definitions` VALUES (81270, 9029, 15, 'ΑΜΚΑ');
INSERT INTO `lang_definitions` VALUES (81271, 9030, 15, 'Τόνος S3');
INSERT INTO `lang_definitions` VALUES (81272, 9031, 15, 'Τόνος S4');
INSERT INTO `lang_definitions` VALUES (81273, 9032, 15, 'ΠΑΡΑΠΟΜΠΗ * * Για να διαβάσετε την άδεια χρήσης, φορτώστε το αρχείο docs/license.txt ή επισκεφθείτε την ιστοσελίδα * http://www.gnu.org/copyleft/gpl.html * */ //========================================================================= //');
INSERT INTO `lang_definitions` VALUES (81274, 9034, 15, 'Πώληση');
INSERT INTO `lang_definitions` VALUES (81275, 9035, 15, 'Πωλήσεις');
INSERT INTO `lang_definitions` VALUES (81276, 9036, 15, 'Πωλήσεις ανά Τεμάχιο');
INSERT INTO `lang_definitions` VALUES (81277, 9037, 15, 'Πωλήσεις ανά Αναφορά Προϊόντος');
INSERT INTO `lang_definitions` VALUES (81278, 9038, 15, 'Σίελος');
INSERT INTO `lang_definitions` VALUES (81279, 9039, 15, 'Ίδια Ημέρα');
INSERT INTO `lang_definitions` VALUES (81280, 9040, 15, 'Σαμόα');
INSERT INTO `lang_definitions` VALUES (81281, 9041, 15, 'Δείγμα');
INSERT INTO `lang_definitions` VALUES (81282, 9042, 15, 'Τύπος έγκρισης');
INSERT INTO `lang_definitions` VALUES (81283, 9047, 15, 'Σαβ');
INSERT INTO `lang_definitions` VALUES (81284, 9048, 15, 'Σαβ & amp; Κυρ');
INSERT INTO `lang_definitions` VALUES (81285, 9049, 15, 'Σάββατο');
INSERT INTO `lang_definitions` VALUES (81286, 9050, 15, 'Αποθήκευση');
INSERT INTO `lang_definitions` VALUES (81287, 9051, 15, 'ΑΠΟΘΗΚΕΥΣΗ');
INSERT INTO `lang_definitions` VALUES (81288, 9052, 15, 'Αποθήκευση και Έξοδος');
INSERT INTO `lang_definitions` VALUES (81289, 9053, 15, 'Αποθήκευση Ενεργότητας');
INSERT INTO `lang_definitions` VALUES (81290, 9054, 15, 'Αποθήκευση και Checkout');
INSERT INTO `lang_definitions` VALUES (81291, 9055, 15, 'Αποθήκευση και Κλείσιμο');
INSERT INTO `lang_definitions` VALUES (81292, 9056, 15, 'Αποθήκευση και Συνέχεια');
INSERT INTO `lang_definitions` VALUES (81293, 9057, 15, 'Αποθήκευση και Διαγραφή Αιτήματος');
INSERT INTO `lang_definitions` VALUES (81294, 9058, 15, 'Αποθήκευση και Διανομή');
INSERT INTO `lang_definitions` VALUES (81295, 9059, 15, 'Αποθήκευση και Εκτύπωση');
INSERT INTO `lang_definitions` VALUES (81296, 9060, 15, 'Αποθήκευση και Αποστολή');
INSERT INTO `lang_definitions` VALUES (81297, 9061, 15, 'Αποθήκευση ως νέο');
INSERT INTO `lang_definitions` VALUES (81298, 9062, 15, 'Αποθήκευση ως νέο μήνυμα');
INSERT INTO `lang_definitions` VALUES (81299, 9063, 15, 'Αποθήκευση ως νέα σημείωση');
INSERT INTO `lang_definitions` VALUES (81300, 9065, 15, 'Αποθήκευση Κατηγορίας');
INSERT INTO `lang_definitions` VALUES (81301, 9066, 15, 'Αποθήκευση ρυθμίσεων Πιστοποιητικού');
INSERT INTO `lang_definitions` VALUES (81302, 9067, 15, 'Αποθήκευση Αλλαγών');
INSERT INTO `lang_definitions` VALUES (81303, 9070, 15, 'Αποθήκευση ιστορικού κωδικών');
INSERT INTO `lang_definitions` VALUES (81304, 9071, 15, 'Η Αποθήκευση ολοκληρώθηκε');
INSERT INTO `lang_definitions` VALUES (81305, 9073, 15, 'Αποθήκευση για εκτύπωση σε προ-εκτυπωμένη φόρμα');
INSERT INTO `lang_definitions` VALUES (81306, 9075, 15, 'Αποθήκευση Εντύπου');
INSERT INTO `lang_definitions` VALUES (81307, 9076, 15, 'Αποθήκευση Εμβολιασμού');
INSERT INTO `lang_definitions` VALUES (81308, 9078, 15, 'Αποθήκευση Νέου Πεδίου');
INSERT INTO `lang_definitions` VALUES (81309, 9079, 15, 'Αποθήκευση Νέας Ομάδας');
INSERT INTO `lang_definitions` VALUES (81310, 9080, 15, 'Αποθήκευση Νέου Καταλόγου');
INSERT INTO `lang_definitions` VALUES (81311, 9081, 15, 'Αποθήκευση Νέας διάταξης');
INSERT INTO `lang_definitions` VALUES (81312, 9083, 15, 'Αποθήκευση Δημογραφικών στοιχείων ασθενούς');
INSERT INTO `lang_definitions` VALUES (81313, 9084, 15, 'Αποθήκευση Πληρωτή');
INSERT INTO `lang_definitions` VALUES (81314, 9085, 15, 'Αποθήκευση Αναφοράς σαν PDF');
INSERT INTO `lang_definitions` VALUES (81315, 9086, 15, 'Αποθήκευση Επιτυχής');
INSERT INTO `lang_definitions` VALUES (81316, 9087, 15, 'Επιτυχής αποθήκευση για τον κωδ. φακέλου');
INSERT INTO `lang_definitions` VALUES (81317, 9088, 15, 'Αποθήκευση στον Φάκελο');
INSERT INTO `lang_definitions` VALUES (81318, 9089, 15, 'Αποθήκευση Συναλλαγής');
INSERT INTO `lang_definitions` VALUES (81319, 9090, 15, 'Αποθήκευση Επιτυχής');
INSERT INTO `lang_definitions` VALUES (81320, 9093, 15, 'Αδυναμία αποθήκευσης');
INSERT INTO `lang_definitions` VALUES (81321, 9094, 15, 'Σα');
INSERT INTO `lang_definitions` VALUES (81322, 9098, 15, 'Σαρώθηκε');
INSERT INTO `lang_definitions` VALUES (81323, 9099, 15, 'Η Σημείωση επίσκεψης σαρώθηκε');
INSERT INTO `lang_definitions` VALUES (81324, 9100, 15, 'Κατάλογος σαρωτή');
INSERT INTO `lang_definitions` VALUES (81325, 9101, 15, 'Σαρωτής σε');
INSERT INTO `lang_definitions` VALUES (81326, 9104, 15, 'Πρόγραμμα');
INSERT INTO `lang_definitions` VALUES (81327, 9106, 15, 'Πρόγραμμα Έδρας:');
INSERT INTO `lang_definitions` VALUES (81328, 9107, 15, 'Προγραμματισμός Νέου Ραντεβού');
INSERT INTO `lang_definitions` VALUES (81329, 9109, 15, 'Προγραμματισμός');
INSERT INTO `lang_definitions` VALUES (81330, 9116, 15, 'Σχολείο');
INSERT INTO `lang_definitions` VALUES (81331, 9117, 15, 'ΣΗΜΕΙΩΣΗ ΣΧΟΛΕΙΟΥ');
INSERT INTO `lang_definitions` VALUES (81332, 9119, 15, 'Σκληρός Χιτώνας');
INSERT INTO `lang_definitions` VALUES (81333, 9122, 15, 'Σκολίωση');
INSERT INTO `lang_definitions` VALUES (81334, 9127, 15, 'Έλεγχος / Εξέταση');
INSERT INTO `lang_definitions` VALUES (81335, 9133, 15, 'Εργοδότης');
INSERT INTO `lang_definitions` VALUES (81336, 9134, 15, 'Διεύθυνση Εργοδότη');
INSERT INTO `lang_definitions` VALUES (81337, 9135, 15, 'Πόλη Εργοδότη');
INSERT INTO `lang_definitions` VALUES (81338, 9136, 15, 'Χώρα Εργοδότη');
INSERT INTO `lang_definitions` VALUES (81339, 9137, 15, 'Περιοχή Εργοδότη');
INSERT INTO `lang_definitions` VALUES (81340, 9138, 15, 'Τ.Κ. Εργοδότη');
INSERT INTO `lang_definitions` VALUES (81341, 9139, 15, 'Νομός Εργοδότη');
INSERT INTO `lang_definitions` VALUES (81342, 9140, 15, 'Τ.Κ. Εργοδότη');
INSERT INTO `lang_definitions` VALUES (81343, 9141, 15, 'Αναζήτηση');
INSERT INTO `lang_definitions` VALUES (81344, 9142, 15, 'ΑΝΑΖΗΤΗΣΗ');
INSERT INTO `lang_definitions` VALUES (81345, 9143, 15, 'αναζήτηση');
INSERT INTO `lang_definitions` VALUES (81346, 9144, 15, 'αναζήτησε πάλι');
INSERT INTO `lang_definitions` VALUES (81347, 9145, 15, 'Αναζήτηση σε όλες τις στήλες');
INSERT INTO `lang_definitions` VALUES (81348, 9146, 15, 'Αναζητήστε και επιλέξτε ασθενή και κάντε κλικ στο ΟΚ');
INSERT INTO `lang_definitions` VALUES (81349, 9147, 15, 'Αναζήτηση Ραντεβού');
INSERT INTO `lang_definitions` VALUES (81350, 9148, 15, 'Αναζήτηση με βάση:');
INSERT INTO `lang_definitions` VALUES (81351, 9150, 15, 'Αναζήτηση με βάση:');
INSERT INTO `lang_definitions` VALUES (81352, 9151, 15, 'Αναζήτηση Διαγνώσεων');
INSERT INTO `lang_definitions` VALUES (81353, 9152, 15, 'Αναζήτηση για');
INSERT INTO `lang_definitions` VALUES (81354, 9153, 15, 'Αναζήτηση για Πρόσθετους Κωδικούς');
INSERT INTO `lang_definitions` VALUES (81355, 9155, 15, 'Αναζητήστε το φάρμακο πληκτρολογώντας το όνομά του στο πεδίο «Αναζήτηση Αλλεργίας»');
INSERT INTO `lang_definitions` VALUES (81356, 9156, 15, 'Αναζήτηση για:');
INSERT INTO `lang_definitions` VALUES (81357, 9157, 15, 'Αναζήτηση σε Γενικές Ρυθμίσεις');
INSERT INTO `lang_definitions` VALUES (81358, 9158, 15, 'Αναζήτηση σε');
INSERT INTO `lang_definitions` VALUES (81359, 9159, 15, 'Αναζήτηση σε');
INSERT INTO `lang_definitions` VALUES (81360, 9160, 15, 'Η αναζήτηση δεν είναι διαθέσιμη');
INSERT INTO `lang_definitions` VALUES (81361, 9161, 15, 'Αναζήτηση ή προσθήκη ασθενούς');
INSERT INTO `lang_definitions` VALUES (81362, 9164, 15, 'Αναζήτηση Πληρωμής');
INSERT INTO `lang_definitions` VALUES (81363, 9165, 15, 'Αναζήτηση Πληρωμών');
INSERT INTO `lang_definitions` VALUES (81364, 9166, 15, 'Αναζήτηση Προϊόντων');
INSERT INTO `lang_definitions` VALUES (81365, 9167, 15, 'Αποτελέσματα Αναζήτησης');
INSERT INTO `lang_definitions` VALUES (81366, 9168, 15, 'Αποτελέσματα Αναζήτησης:');
INSERT INTO `lang_definitions` VALUES (81367, 9169, 15, 'Αναζήτηση επιλέχθηκε');
INSERT INTO `lang_definitions` VALUES (81368, 9171, 15, 'Η λέξη αναζήτησης δεν ταιριάζει με τη λίστα στη βάση δεδομένων');
INSERT INTO `lang_definitions` VALUES (81369, 9172, 15, 'Η λέξη αναζήτησης πρέπει να έχει τουλάχιστον 3 χαρακτήρες');
INSERT INTO `lang_definitions` VALUES (81370, 9173, 15, 'Ο όρος αναζήτησης δεν βρέθηκε, παρακαλώ δοκιμάστε κάποιον άλλο');
INSERT INTO `lang_definitions` VALUES (81371, 9174, 15, 'Αναζήτηση Κειμένου');
INSERT INTO `lang_definitions` VALUES (81372, 9175, 15, 'Αναζήτηση στα Γεγονότα');
INSERT INTO `lang_definitions` VALUES (81373, 9176, 15, 'Αναζήτηση σε ρυθμίσεις χρήστη');
INSERT INTO `lang_definitions` VALUES (81374, 9177, 15, 'Αναζήτηση με πλήρες ταίριασμα λέξης');
INSERT INTO `lang_definitions` VALUES (81375, 9178, 15, 'Αναζήτηση/ Προσθήκη');
INSERT INTO `lang_definitions` VALUES (81376, 9179, 15, 'Αναζήτηση/ Προσθήκη Ασφαλιστή');
INSERT INTO `lang_definitions` VALUES (81377, 9180, 15, 'Αναζήτηση');
INSERT INTO `lang_definitions` VALUES (81378, 9181, 15, 'Αναζήτηση ραντεβού');
INSERT INTO `lang_definitions` VALUES (81379, 9182, 15, 'Αναζήτηση...');
INSERT INTO `lang_definitions` VALUES (81380, 9183, 15, 'Ζώνη ασφαλείας');
INSERT INTO `lang_definitions` VALUES (81381, 9184, 15, 'Χρήση ζώνης ασφαλείας');
INSERT INTO `lang_definitions` VALUES (81382, 9185, 15, 'Χρήση Ζώνης Ασφαλείας');
INSERT INTO `lang_definitions` VALUES (81383, 9186, 15, 'Δεύτερο');
INSERT INTO `lang_definitions` VALUES (81384, 9189, 15, 'Δευτερεύουσα');
INSERT INTO `lang_definitions` VALUES (81385, 9191, 15, 'Δευτερέυουσα Ασφάλιση');
INSERT INTO `lang_definitions` VALUES (81386, 9192, 15, 'Δεδομένα Δευτερεύουσας Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (81387, 9193, 15, 'Πάροχος Δευτερεύουσας Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (81388, 9194, 15, 'Τύπος Δευτερεύουσας Πρόνοιας');
INSERT INTO `lang_definitions` VALUES (81389, 9195, 15, 'δευτερόλεπτα');
INSERT INTO `lang_definitions` VALUES (81390, 9200, 15, 'Κρυπτογραφημένη Συνομιλία');
INSERT INTO `lang_definitions` VALUES (81391, 9201, 15, 'Κρυπτογρ. Ηλεκτρονικά Μηνύματα');
INSERT INTO `lang_definitions` VALUES (81392, 9203, 15, 'Κρυπτογρ. Αλληλογραφία');
INSERT INTO `lang_definitions` VALUES (81393, 9204, 15, 'Απαιτείται Ασφαλής Κωδικός');
INSERT INTO `lang_definitions` VALUES (81394, 9205, 15, 'Κρυπτογραφημένη Συνομιλία με Ασθενή');
INSERT INTO `lang_definitions` VALUES (81395, 9206, 15, 'Ασφαλές ανέβασμα αρχείων με Λευκή Λίστα');
INSERT INTO `lang_definitions` VALUES (81396, 9207, 15, 'Ασφάλεια');
INSERT INTO `lang_definitions` VALUES (81397, 9208, 15, 'Προβολή Όλων');
INSERT INTO `lang_definitions` VALUES (81398, 9209, 15, 'Προβολή Όλων των Μηνυμάτων');
INSERT INTO `lang_definitions` VALUES (81399, 9210, 15, 'Εμφάνιση Εξουσιοδοτήσεων');
INSERT INTO `lang_definitions` VALUES (81400, 9213, 15, 'Δείτε τις καμπύλες ανάπτυξης');
INSERT INTO `lang_definitions` VALUES (81401, 9214, 15, 'Δείτε τα μηνύματα από το τελευταίο σύνολο των δημιουργημένων απαιτήσεων');
INSERT INTO `lang_definitions` VALUES (81402, 9217, 15, 'Δείτε το widget Κλινικών Υπενθυμίσεων για περισσότερες λεπτομέρειες');
INSERT INTO `lang_definitions` VALUES (81403, 9218, 15, 'Προβολή από');
INSERT INTO `lang_definitions` VALUES (81404, 9219, 15, 'Εξετάστηκαν μεταξύ');
INSERT INTO `lang_definitions` VALUES (81405, 9222, 15, 'Επιληπτικές κρίσεις');
INSERT INTO `lang_definitions` VALUES (81406, 9223, 15, 'Επιλ');
INSERT INTO `lang_definitions` VALUES (81407, 9224, 15, 'επιλέξτε');
INSERT INTO `lang_definitions` VALUES (81408, 9225, 15, 'Επιλογή');
INSERT INTO `lang_definitions` VALUES (81409, 9229, 15, 'Επιλέξτε εύρος ημ/νίας και κάντε κλικ στο «Υποβολή»');
INSERT INTO `lang_definitions` VALUES (81410, 9235, 15, 'Επιλέξτε Χρονικό Πλαίσιο');
INSERT INTO `lang_definitions` VALUES (81411, 9236, 15, 'Επιλογή Χρήστη');
INSERT INTO `lang_definitions` VALUES (81412, 9237, 15, 'Επιλέξτε κανόνα επικύρωσης');
INSERT INTO `lang_definitions` VALUES (81413, 9238, 15, 'Επιλέξτε Ενέργεια');
INSERT INTO `lang_definitions` VALUES (81414, 9239, 15, 'Επιλογή Όλων');
INSERT INTO `lang_definitions` VALUES (81415, 9240, 15, 'Επιλογή Όλων');
INSERT INTO `lang_definitions` VALUES (81416, 9241, 15, 'Επιλέξτε Ημ. Τροποποίησης');
INSERT INTO `lang_definitions` VALUES (81417, 9242, 15, 'Επιλέξτε τροποποιήσεις για εκτύπωση');
INSERT INTO `lang_definitions` VALUES (81418, 9248, 15, 'Επιλέξτε πεδία του CAMOS για εκτύπωση');
INSERT INTO `lang_definitions` VALUES (81419, 9250, 15, 'Επιλογή κατηγορίας');
INSERT INTO `lang_definitions` VALUES (81420, 9251, 15, 'Επιλέξτε Κωδικό');
INSERT INTO `lang_definitions` VALUES (81421, 9252, 15, 'Επιλέξτε Κωδικούς');
INSERT INTO `lang_definitions` VALUES (81422, 9253, 15, 'Επιλέξτε Προτιμήσεις Επικοινωνίας');
INSERT INTO `lang_definitions` VALUES (81423, 9254, 15, 'Επιλέξτε αντίστοιχα πλαίσια για διαγραφή');
INSERT INTO `lang_definitions` VALUES (81424, 9256, 15, 'Επιλέξτε κριτήρια για αφαίρεση');
INSERT INTO `lang_definitions` VALUES (81425, 9257, 15, 'Επιλέξτε πίνακα CSV');
INSERT INTO `lang_definitions` VALUES (81426, 9260, 15, 'Επιλογή δεδομένων που απαιτούνται για Απο Ταυτοποίηση');
INSERT INTO `lang_definitions` VALUES (81427, 9261, 15, 'Επιλογή δεδομένων για να περιληφθούν στα Απο Ταυτοποιημένα δεδομένα');
INSERT INTO `lang_definitions` VALUES (81428, 9262, 15, 'Επιλογή ημ/νίας');
INSERT INTO `lang_definitions` VALUES (81429, 9264, 15, 'Επιλογή επιθυμητής ομάδας');
INSERT INTO `lang_definitions` VALUES (81430, 9265, 15, 'Επιλογή διάγνωσης');
INSERT INTO `lang_definitions` VALUES (81431, 9267, 15, 'Επιλογή διάγνωσης για αίτημα Απο Ταυτοποίησης');
INSERT INTO `lang_definitions` VALUES (81432, 9271, 15, 'Επιλογή Φαρμάκου');
INSERT INTO `lang_definitions` VALUES (81433, 9272, 15, 'Επιλογή Φαρμάκων');
INSERT INTO `lang_definitions` VALUES (81434, 9273, 15, 'Επιλογή Φαρμάκων για αίτημα Απο Ταυτοποίησης');
INSERT INTO `lang_definitions` VALUES (81435, 9274, 15, 'Επιλογή αρχείου EDI-271');
INSERT INTO `lang_definitions` VALUES (81436, 9275, 15, 'Επιλογή Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (81437, 9276, 15, 'Επιλογή Πεδίου');
INSERT INTO `lang_definitions` VALUES (81438, 9278, 15, 'Επιλογή Πεδίων');
INSERT INTO `lang_definitions` VALUES (81439, 9279, 15, 'Επιλογή για εκτύπωση');
INSERT INTO `lang_definitions` VALUES (81440, 9285, 15, 'Επιλογή Εμβολίων');
INSERT INTO `lang_definitions` VALUES (81441, 9286, 15, 'Επιλογή Εμβολίων για αίτημα Απο Ταυτοποίησης');
INSERT INTO `lang_definitions` VALUES (81442, 9287, 15, 'Επιλογή Ασφάλεια, πληκτρολογώντας');
INSERT INTO `lang_definitions` VALUES (81443, 9288, 15, 'Επιλογή Ιατρικού θέματος');
INSERT INTO `lang_definitions` VALUES (81444, 9289, 15, 'Επιλογή αντικειμένων');
INSERT INTO `lang_definitions` VALUES (81445, 9291, 15, 'Επιλογή Γλώσσας');
INSERT INTO `lang_definitions` VALUES (81446, 9292, 15, 'Επιλογή λίστας');
INSERT INTO `lang_definitions` VALUES (81447, 9293, 15, 'Επιλογή Λίστας');
INSERT INTO `lang_definitions` VALUES (81448, 9294, 15, 'Επιλέξτε Μέθοδο');
INSERT INTO `lang_definitions` VALUES (81449, 9296, 15, 'Επιλέξτε Μήνα');
INSERT INTO `lang_definitions` VALUES (81450, 9297, 15, 'Επιλέξτε ένα');
INSERT INTO `lang_definitions` VALUES (81451, 9298, 15, 'Επιλέξτε ένα ή περισσότερους διαγνωστικούς κωδικούς για να δικαιολογήσετε την υπηρεσία');
INSERT INTO `lang_definitions` VALUES (81452, 9299, 15, 'Επιλέξτε ένα ή περισσότερα αρχεία για ανέβασμα');
INSERT INTO `lang_definitions` VALUES (81453, 9303, 15, 'Επιλογή εξόδου');
INSERT INTO `lang_definitions` VALUES (81454, 9304, 15, 'Επιλέξτε Φαρμακείο');
INSERT INTO `lang_definitions` VALUES (81455, 9305, 15, 'ΕΠΙΛΕΞΤΕ ΠΛΑΝΟ');
INSERT INTO `lang_definitions` VALUES (81456, 9309, 15, 'Επιλέξτε Παρόχους');
INSERT INTO `lang_definitions` VALUES (81457, 9311, 15, 'Επιλογή Αιτηθέντων βάσει');
INSERT INTO `lang_definitions` VALUES (81458, 9312, 15, 'Επιλέξτε ρόλο');
INSERT INTO `lang_definitions` VALUES (81459, 9314, 15, 'Επιλέξτε προέλευση');
INSERT INTO `lang_definitions` VALUES (81460, 9317, 15, 'Επιλέξτε Πρότυπο');
INSERT INTO `lang_definitions` VALUES (81461, 9321, 15, 'Επιλέξτε τα στοιχεία ρύθμισης για εξαγωγή');
INSERT INTO `lang_definitions` VALUES (81462, 9322, 15, 'Επιλέξτε προεπιλεγμένη γραμματοσειρά');
INSERT INTO `lang_definitions` VALUES (81463, 9324, 15, 'Επιλέξτε προεπιλεγμένο μέγεθος γραμματοσειράς');
INSERT INTO `lang_definitions` VALUES (81464, 9328, 15, 'Επιλέξτε τον κυρίως υπεύθυνο παράγοντα για όποια συμβάντα δεν έλαβαν χώρα σε αυτή την ημέρα');
INSERT INTO `lang_definitions` VALUES (81465, 9336, 15, 'Επιλέξτε Τύπο Συναλλαγής');
INSERT INTO `lang_definitions` VALUES (81466, 9337, 15, 'Επιλέξτε Τύπο');
INSERT INTO `lang_definitions` VALUES (81467, 9338, 15, 'Επιλέξτε Χρήστη');
INSERT INTO `lang_definitions` VALUES (81468, 9339, 15, 'ΕΠΙΛΕΞΤΕ Χρήστες ΑΠΟ την Αναπτυσσόμενη Λίστα');
INSERT INTO `lang_definitions` VALUES (81469, 9340, 15, 'Επιλέξτε Χρήστες από την Αναπτυσσόμενη Λίστα');
INSERT INTO `lang_definitions` VALUES (81470, 9341, 15, 'Εάν πρέπει, επιλέξτε ποιες γλώσσες μπορούν να επιλεγούν κατά την είσοδο στο πρόγραμμα (ισχύει μόνο αν η παραπάνω επιλογή Επιτρέπονται Όλες οι Γλώσσες είναι απενεργοποιημένη)');
INSERT INTO `lang_definitions` VALUES (81471, 9342, 15, 'Επιλέξτε Έτος');
INSERT INTO `lang_definitions` VALUES (81472, 9343, 15, 'Επιλέξτε Ναι για να επιβεβαιώσετε τη Διαγραφή της ομάδας');
INSERT INTO `lang_definitions` VALUES (81473, 9344, 15, 'Στη σελίδα σύνδεσης, επιλέξτε την τρέχουσα έδρα σας');
INSERT INTO `lang_definitions` VALUES (81474, 9346, 15, 'Επιλογή/Προσθήκη Νέας Μεθόδου Ταυτοποίησης για');
INSERT INTO `lang_definitions` VALUES (81475, 9349, 15, 'Επιλεγμένο');
INSERT INTO `lang_definitions` VALUES (81476, 9350, 15, 'Επιλεγμένη Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (81477, 9351, 15, 'Επιλεγμένοι Κωδικοί Χρεωστικού Δελτίου και Χρεώσεις για Τρέχουσα Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (81478, 9352, 15, 'Επιλεγμένα Αρχεία');
INSERT INTO `lang_definitions` VALUES (81479, 9353, 15, 'Τα επιλεγμένα αρχεία και δεδομένα θα αφαιρεθούν από τους φακέλους και τους πίνακες');
INSERT INTO `lang_definitions` VALUES (81480, 9357, 15, 'Ο Ίδιος');
INSERT INTO `lang_definitions` VALUES (81481, 9358, 15, 'Πληρωμή από τον ίδιο ');
INSERT INTO `lang_definitions` VALUES (81482, 9359, 15, 'ΑΠΟΣΤΟΛΗ');
INSERT INTO `lang_definitions` VALUES (81483, 9360, 15, 'Αποστολή');
INSERT INTO `lang_definitions` VALUES (81484, 9361, 15, 'Αποστολή Υπενθύμισης');
INSERT INTO `lang_definitions` VALUES (81485, 9362, 15, 'Αποστολή Υπενθύμισης');
INSERT INTO `lang_definitions` VALUES (81486, 9363, 15, 'Αποστολή email σε');
INSERT INTO `lang_definitions` VALUES (81487, 9367, 15, 'Αποστολή Emails');
INSERT INTO `lang_definitions` VALUES (81488, 9368, 15, 'Αποστολή για Έλεγχο');
INSERT INTO `lang_definitions` VALUES (81489, 9369, 15, 'Αποστολή σε εξέλιξη');
INSERT INTO `lang_definitions` VALUES (81490, 9370, 15, 'Αποστολή');
INSERT INTO `lang_definitions` VALUES (81491, 9371, 15, 'Αποστολή Mηνύματος');
INSERT INTO `lang_definitions` VALUES (81492, 9372, 15, 'Αποστολή μηνύματος');
INSERT INTO `lang_definitions` VALUES (81493, 9377, 15, 'Αποστολή Πληρωμής');
INSERT INTO `lang_definitions` VALUES (81494, 9378, 15, 'Αποστολή Μαζικών Υπενθυμίσεων');
INSERT INTO `lang_definitions` VALUES (81495, 9379, 15, 'Προτίμηση ανά ασθενή για Αποστολή υπενθυμίσεων σε ασθενείς για προληπτική παρακολούθηση.');
INSERT INTO `lang_definitions` VALUES (81496, 9380, 15, 'Αποστολή Αιτήματος');
INSERT INTO `lang_definitions` VALUES (81497, 9381, 15, 'Μετακίνηση Επιλεγμένων στο Αρχείο');
INSERT INTO `lang_definitions` VALUES (81498, 9382, 15, 'Μετακίνηση Επιλεγμένων στον Κάδο Απορριμάτων');
INSERT INTO `lang_definitions` VALUES (81499, 9383, 15, 'Αποστολή Σύνοψης με την Παραπομπή');
INSERT INTO `lang_definitions` VALUES (81500, 9384, 15, 'Αποστολή αυτού του αρχείου');
INSERT INTO `lang_definitions` VALUES (81501, 9385, 15, 'Αποστολή αυτού του Μηνύματος');
INSERT INTO `lang_definitions` VALUES (81502, 9386, 15, 'Αποστολή σε');
INSERT INTO `lang_definitions` VALUES (81503, 9387, 15, 'Αποστολή σε');
INSERT INTO `lang_definitions` VALUES (81504, 9388, 15, 'ΑΠΟΣΤΟΛΗ ΣΕ');
INSERT INTO `lang_definitions` VALUES (81505, 9389, 15, 'Αποστολή σε όλους');
INSERT INTO `lang_definitions` VALUES (81506, 9390, 15, 'Μετακίνηση στο Αρχείο');
INSERT INTO `lang_definitions` VALUES (81507, 9392, 15, 'Αποστολή στο portal');
INSERT INTO `lang_definitions` VALUES (81508, 9393, 15, 'Αποστολή στο Portal');
INSERT INTO `lang_definitions` VALUES (81509, 9394, 15, 'Μετακίνηση στον Κάδο Απορριμάτων');
INSERT INTO `lang_definitions` VALUES (81510, 9395, 15, 'Αποστολέας');
INSERT INTO `lang_definitions` VALUES (81511, 9396, 15, 'Αναγνωριστικό αποστολέα');
INSERT INTO `lang_definitions` VALUES (81512, 9397, 15, 'Αναγνωριστικό αποστολέα (ISA06)');
INSERT INTO `lang_definitions` VALUES (81513, 9398, 15, 'Αρμόδιο αναγνωριστικό αποστολέα (ISA05)');
INSERT INTO `lang_definitions` VALUES (81514, 9399, 15, 'IDs Αποστολέων');
INSERT INTO `lang_definitions` VALUES (81515, 9401, 15, 'όνομα αποστολέα');
INSERT INTO `lang_definitions` VALUES (81516, 9402, 15, 'ΑΠΟΣΤΟΛΗ ΜΗΝΥΜΑΤΟΣ');
INSERT INTO `lang_definitions` VALUES (81517, 9406, 15, 'Γίνεται Αποστολή Σε');
INSERT INTO `lang_definitions` VALUES (81518, 9407, 15, 'Ευαισθησίες');
INSERT INTO `lang_definitions` VALUES (81519, 9408, 15, 'Ευαισθησίες');
INSERT INTO `lang_definitions` VALUES (81520, 9409, 15, 'Ευαισθησία');
INSERT INTO `lang_definitions` VALUES (81521, 9411, 15, 'Ευαισθησία:');
INSERT INTO `lang_definitions` VALUES (81522, 9412, 15, 'κ.φ Αισθητικότητα');
INSERT INTO `lang_definitions` VALUES (81523, 9413, 15, 'Εστάλη');
INSERT INTO `lang_definitions` VALUES (81524, 9414, 15, 'Εστάλη - Επιβεβαιώθηκε');
INSERT INTO `lang_definitions` VALUES (81525, 9415, 15, 'Εστάλη Από (Αφήστε Κενό για Όλους)');
INSERT INTO `lang_definitions` VALUES (81526, 9416, 15, 'Εστάλη από:');
INSERT INTO `lang_definitions` VALUES (81527, 9417, 15, 'Ημ/νία Αποστολής');
INSERT INTO `lang_definitions` VALUES (81528, 9418, 15, 'Απεσταλμένα ');
INSERT INTO `lang_definitions` VALUES (81529, 9419, 15, 'Εστάλησαν Ιατρικοί Φάκελοι;');
INSERT INTO `lang_definitions` VALUES (81530, 9420, 15, 'Εστάλη επιτυχώς');
INSERT INTO `lang_definitions` VALUES (81531, 9423, 15, 'Εστάλη στον εκτυπωτή');
INSERT INTO `lang_definitions` VALUES (81532, 9424, 15, 'Εστάλη Σε (Αφήστε Κενό για Όλους)');
INSERT INTO `lang_definitions` VALUES (81533, 9425, 15, 'Εστάλη σε');
INSERT INTO `lang_definitions` VALUES (81534, 9426, 15, 'Εστάλη, αλλά η παραλαβή δεν έχει επιβεβαιωθεί ακόμη.');
INSERT INTO `lang_definitions` VALUES (81535, 9427, 15, 'Εστάλη, αλλά δεν παρελήφθη.');
INSERT INTO `lang_definitions` VALUES (81536, 9429, 15, 'Σεπ');
INSERT INTO `lang_definitions` VALUES (81537, 9430, 15, 'Χωρισμένος/η');
INSERT INTO `lang_definitions` VALUES (81538, 9431, 15, 'Σεπτέμβριος');
INSERT INTO `lang_definitions` VALUES (81539, 9432, 15, 'Σειρά');
INSERT INTO `lang_definitions` VALUES (81540, 9433, 15, 'Σειρά');
INSERT INTO `lang_definitions` VALUES (81541, 9434, 15, 'Σέρβος');
INSERT INTO `lang_definitions` VALUES (81542, 9435, 15, 'Αναφ Υπηρ');
INSERT INTO `lang_definitions` VALUES (81543, 9436, 15, 'Σφάλμα διακομιστή: προσπαθήστε ξανά αργότερα');
INSERT INTO `lang_definitions` VALUES (81544, 9437, 15, 'Σύνδεση στον Server');
INSERT INTO `lang_definitions` VALUES (81545, 9438, 15, 'Ο Server ίσως βρίσκεται εκτός σύνδεσης');
INSERT INTO `lang_definitions` VALUES (81546, 9439, 15, 'Μήνυμα διακομιστή:');
INSERT INTO `lang_definitions` VALUES (81547, 9442, 15, 'Υπηρεσία');
INSERT INTO `lang_definitions` VALUES (81548, 9443, 15, 'Η Υπηρεσία προσετέθη');
INSERT INTO `lang_definitions` VALUES (81549, 9444, 15, 'Κατηγορία υπηρεσιών');
INSERT INTO `lang_definitions` VALUES (81550, 9445, 15, 'Κωδικός υπηρεσίας');
INSERT INTO `lang_definitions` VALUES (81551, 9446, 15, 'Κωδικός υπηρεσίας για την Αναφορά Οικονομικών');
INSERT INTO `lang_definitions` VALUES (81552, 9447, 15, 'Κωδικοί υπηρεσίας');
INSERT INTO `lang_definitions` VALUES (81553, 9448, 15, 'Ημ. παροχής Υπηρεσίας');
INSERT INTO `lang_definitions` VALUES (81554, 9449, 15, 'Υπηρεσία Από Ημ.');
INSERT INTO `lang_definitions` VALUES (81555, 9450, 15, 'Υπηρεσία Έως Ημ.');
INSERT INTO `lang_definitions` VALUES (81556, 9451, 15, 'Ημ. παροχής Υπηρεσίας:');
INSERT INTO `lang_definitions` VALUES (81557, 9452, 15, 'Η Υπηρεσία διεγράφη');
INSERT INTO `lang_definitions` VALUES (81558, 9453, 15, 'Έδρα Υπηρεσίας');
INSERT INTO `lang_definitions` VALUES (81559, 9454, 15, 'Η Υπηρεσία δεν είναι συμβατή με το φύλο του ασθενούς.');
INSERT INTO `lang_definitions` VALUES (81560, 9455, 15, 'Τοποθεσία παροχής υπηρεσίας');
INSERT INTO `lang_definitions` VALUES (81561, 9456, 15, 'Όνομα Υπηρεσίας');
INSERT INTO `lang_definitions` VALUES (81562, 9457, 15, 'Η υπηρεσία παρεσχέθη από Ειδικό');
INSERT INTO `lang_definitions` VALUES (81563, 9458, 15, 'Άλλαξε ο πάροχος της υπηρεσίας');
INSERT INTO `lang_definitions` VALUES (81564, 9459, 15, 'Αναφορά Υπηρεσιών');
INSERT INTO `lang_definitions` VALUES (81565, 9460, 15, 'Μόνο Αναφορά Υπηρεσιών');
INSERT INTO `lang_definitions` VALUES (81566, 9461, 15, 'Υπηρεσίες');
INSERT INTO `lang_definitions` VALUES (81567, 9462, 15, 'Υπηρεσίες ανά Κατηγορία');
INSERT INTO `lang_definitions` VALUES (81568, 9463, 15, 'Παρασχεθείσες Υπηρεσίες');
INSERT INTO `lang_definitions` VALUES (81569, 9464, 15, 'Παρασχεθείσες Υπηρεσίες');
INSERT INTO `lang_definitions` VALUES (81570, 9465, 15, 'Υπηρεσίες/Προϊόντα');
INSERT INTO `lang_definitions` VALUES (81571, 9466, 15, 'Τύπος Συνεδρίας');
INSERT INTO `lang_definitions` VALUES (81572, 9467, 15, 'Ρυθμίστε');
INSERT INTO `lang_definitions` VALUES (81573, 9468, 15, 'Ορίστε ένα cookie Έδρας, για να θυμάται, μεταξύ των logins, την επιλεχθείσα Έδρα.');
INSERT INTO `lang_definitions` VALUES (81574, 9469, 15, 'Ορίστε ως Ολοκληρωμένο');
INSERT INTO `lang_definitions` VALUES (81575, 9470, 15, 'ΟΡΙΣΤΕ ΩΣ ΟΛΟΚΛΗΡΩΜΕΝΟ');
INSERT INTO `lang_definitions` VALUES (81576, 9474, 15, 'Ορίστε Επίπεδο Τιμής');
INSERT INTO `lang_definitions` VALUES (81577, 9478, 15, 'Ορίστε αυτήν ως την πλήρη απόλυτη διαδρομή. Για τη δημιουργία πιστοποιητικών πελάτη SSL για HTTPS.3');
INSERT INTO `lang_definitions` VALUES (81578, 9479, 15, 'Ορισμός ως');
INSERT INTO `lang_definitions` VALUES (81579, 9480, 15, 'Ορισμός ως προεπιλογή');
INSERT INTO `lang_definitions` VALUES (81580, 9486, 15, 'Ορισμός του αριθμού έκδοσης στη βάση δεδομένων ...');
INSERT INTO `lang_definitions` VALUES (81581, 9487, 15, 'Γίνεται ρύθμιση του 2FA');
INSERT INTO `lang_definitions` VALUES (81582, 9488, 15, 'Ρυθμίσεις');
INSERT INTO `lang_definitions` VALUES (81583, 9492, 15, 'Δριμεία');
INSERT INTO `lang_definitions` VALUES (81584, 9493, 15, 'Έντονη Ημικρανία');
INSERT INTO `lang_definitions` VALUES (81585, 9494, 15, 'Βαρύτητα ');
INSERT INTO `lang_definitions` VALUES (81586, 9496, 15, 'Ένταση πόνου');
INSERT INTO `lang_definitions` VALUES (81587, 9497, 15, 'Ένταση πόνου:');
INSERT INTO `lang_definitions` VALUES (81588, 9498, 15, 'Φύλο');
INSERT INTO `lang_definitions` VALUES (81589, 9499, 15, 'Σεξουαλικώς Μεταδιδ. Νόσημα');
INSERT INTO `lang_definitions` VALUES (81590, 9502, 15, 'Sha-1 Hash');
INSERT INTO `lang_definitions` VALUES (81591, 9503, 15, 'Διαμοιρασμός');
INSERT INTO `lang_definitions` VALUES (81592, 9504, 15, 'Εντολή Κελύφους για εκτύπωση από τον server');
INSERT INTO `lang_definitions` VALUES (81593, 9507, 15, 'Σύντομη Περιγραφή');
INSERT INTO `lang_definitions` VALUES (81594, 9508, 15, 'Συντομογραφία');
INSERT INTO `lang_definitions` VALUES (81595, 9510, 15, 'Δύσπνοια');
INSERT INTO `lang_definitions` VALUES (81596, 9511, 15, 'Δύσπνοια');
INSERT INTO `lang_definitions` VALUES (81597, 9512, 15, 'Δύσπνοια 2');
INSERT INTO `lang_definitions` VALUES (81598, 9513, 15, 'Καταγραφή Εμβολιασμού');
INSERT INTO `lang_definitions` VALUES (81599, 9514, 15, 'Καταγραφή Εμβολιασμών από τις:');
INSERT INTO `lang_definitions` VALUES (81600, 9515, 15, 'Θα πρέπει να είναι Ενεργοποιημένο');
INSERT INTO `lang_definitions` VALUES (81601, 9516, 15, 'θα πρέπει να είναι ως nnnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (81602, 9517, 15, 'θα πρέπει να είναι δύο γράμματα');
INSERT INTO `lang_definitions` VALUES (81603, 9518, 15, 'πρέπει να περιέχει 10 ψηφία');
INSERT INTO `lang_definitions` VALUES (81604, 9519, 15, 'πρέπει να περιέχει μόνο 10 ψηφία');
INSERT INTO `lang_definitions` VALUES (81605, 9520, 15, 'Ώμος');
INSERT INTO `lang_definitions` VALUES (81606, 9521, 15, 'Ώμος + κλείδα');
INSERT INTO `lang_definitions` VALUES (81607, 9522, 15, 'Προβλήμ. ώμου');
INSERT INTO `lang_definitions` VALUES (81608, 9523, 15, 'Προβολή');
INSERT INTO `lang_definitions` VALUES (81609, 9524, 15, 'Προβολή Ενεργών');
INSERT INTO `lang_definitions` VALUES (81610, 9525, 15, 'Προβολή περισσότερων πληροφοριών Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (81611, 9527, 15, 'Προβολή Όλων');
INSERT INTO `lang_definitions` VALUES (81612, 9528, 15, 'Προβολή όλου του ιστορικού πληρωμών στο Καθολικό Ασθενούς');
INSERT INTO `lang_definitions` VALUES (81613, 9529, 15, 'Προβολή Όλων των Ιατρικών Πράξεων');
INSERT INTO `lang_definitions` VALUES (81614, 9530, 15, 'Προβολή Όλων των Αποτελεσμάτων');
INSERT INTO `lang_definitions` VALUES (81615, 9531, 15, 'Προβολή Όλων των Συναλλαγών');
INSERT INTO `lang_definitions` VALUES (81616, 9532, 15, 'Προβολή ως απασχολημένο');
INSERT INTO `lang_definitions` VALUES (81617, 9533, 15, 'Προβολή μόνο των εξουσιοδοτημένων');
INSERT INTO `lang_definitions` VALUES (81618, 9534, 15, 'Εμφάνιση Διαθέσιμων Ωρών');
INSERT INTO `lang_definitions` VALUES (81619, 9535, 15, 'Προβολή και του Αμερικαν. και του Μετρικού συστήματος (η κύρια μονάδα θα είναι το μετρικό)');
INSERT INTO `lang_definitions` VALUES (81620, 9536, 15, 'Προβολή και του Αμερικαν. και του Μετρικού συστήμ. (η κύρια μονάδα θα είναι το Αμερικαν.)');
INSERT INTO `lang_definitions` VALUES (81621, 9539, 15, 'Προβολή Τρέχουσας Υπογραφής Σε Αρχείο');
INSERT INTO `lang_definitions` VALUES (81622, 9540, 15, 'Εμφάνιση Λεπτομερειών');
INSERT INTO `lang_definitions` VALUES (81623, 9541, 15, 'Εμφάνιση Ενότητας Διαγνώσεις');
INSERT INTO `lang_definitions` VALUES (81624, 9542, 15, 'Προβολή μόνο των σφαλμάτων;');
INSERT INTO `lang_definitions` VALUES (81625, 9544, 15, 'Προβολή Γραφήματος');
INSERT INTO `lang_definitions` VALUES (81626, 9546, 15, 'Να προβάλλεται βοηθητικό κείμενο κατά την κατάδειξη με το ποντίκι;');
INSERT INTO `lang_definitions` VALUES (81627, 9547, 15, 'Πόσα γεγονότα θέλετε να προβάλλονται στις σελίδες διαχείρισης;');
INSERT INTO `lang_definitions` VALUES (81628, 9548, 15, 'Προβολή Ανενεργών');
INSERT INTO `lang_definitions` VALUES (81629, 9552, 15, 'Προβολή Mενού');
INSERT INTO `lang_definitions` VALUES (81630, 9553, 15, 'Προβολή μόνο του Μετρικού συστήματος');
INSERT INTO `lang_definitions` VALUES (81631, 9556, 15, 'Προβολή Σημειώσεων');
INSERT INTO `lang_definitions` VALUES (81632, 9559, 15, 'Προβολή αριθμού Επίσκεψης Ασθενούς στον Πίνακα Ροής Ασθενών');
INSERT INTO `lang_definitions` VALUES (81633, 9560, 15, 'Προβολή Κωδ. Ασθενούς στον Πίνακα Ροής Ασθενών');
INSERT INTO `lang_definitions` VALUES (81634, 9561, 15, 'Προβολή Σημειώσεων Ασθενούς');
INSERT INTO `lang_definitions` VALUES (81635, 9565, 15, 'Εμφάνιση Ενότητας Προϊόντα');
INSERT INTO `lang_definitions` VALUES (81636, 9566, 15, 'Προβολή Απόδειξης Πληρωμής');
INSERT INTO `lang_definitions` VALUES (81637, 9567, 15, 'Προβολή Εγγραφών');
INSERT INTO `lang_definitions` VALUES (81638, 9568, 15, 'Εμφάνιση Υπενθυμίσεων');
INSERT INTO `lang_definitions` VALUES (81639, 9569, 15, 'Προβολή Αναφοράς');
INSERT INTO `lang_definitions` VALUES (81640, 9570, 15, 'Προβολή δεσμών αναζήτησης/αποστολή σε μπλοκ;');
INSERT INTO `lang_definitions` VALUES (81641, 9572, 15, 'Εμφάνιση Ενότητας Υπηρεσίες');
INSERT INTO `lang_definitions` VALUES (81642, 9578, 15, 'Εμφάνιση Τίτλου στην Είσοδο');
INSERT INTO `lang_definitions` VALUES (81643, 9580, 15, 'Προβολή μόνο Μη Χρεωμένων');
INSERT INTO `lang_definitions` VALUES (81644, 9581, 15, 'Προβολή μόνο του Αμερικαν. συστήματος');
INSERT INTO `lang_definitions` VALUES (81645, 9582, 15, 'Εμφάνιση Αιτίας Επίσκεψης στoν Πίνακα Ροής Ασθενών');
INSERT INTO `lang_definitions` VALUES (81646, 9584, 15, 'Εμφάνιση/Απόκρυψη της Περιοχής Επιλογών');
INSERT INTO `lang_definitions` VALUES (81647, 9585, 15, 'Εμφανίζονται');
INSERT INTO `lang_definitions` VALUES (81648, 9586, 15, 'Εμφανίζονται 0 έως 0 από 0 καταχωρήσεις');
INSERT INTO `lang_definitions` VALUES (81649, 9587, 15, 'Εμφανίζονται');
INSERT INTO `lang_definitions` VALUES (81650, 9588, 15, 'Εμφανίζεται η σελίδα');
INSERT INTO `lang_definitions` VALUES (81651, 9589, 15, 'Εμφανίζεται το αποτέλεσμα');
INSERT INTO `lang_definitions` VALUES (81652, 9591, 15, 'Η Υπηρεσία Τερματίζεται ...');
INSERT INTO `lang_definitions` VALUES (81653, 9592, 15, 'Αδελφός/ή');
INSERT INTO `lang_definitions` VALUES (81654, 9593, 15, 'Ιστορικό Αδελφού/ής');
INSERT INTO `lang_definitions` VALUES (81655, 9594, 15, 'Αδελφός/ή εξ αγχιστείας');
INSERT INTO `lang_definitions` VALUES (81656, 9595, 15, 'Αδέλφια');
INSERT INTO `lang_definitions` VALUES (81657, 9596, 15, 'Δρεπανοκύτταρο');
INSERT INTO `lang_definitions` VALUES (81658, 9597, 15, 'Δόση');
INSERT INTO `lang_definitions` VALUES (81659, 9598, 15, 'Σιγμοειδο-/Κολονοσκόπηση');
INSERT INTO `lang_definitions` VALUES (81660, 9599, 15, 'Υπογραφή');
INSERT INTO `lang_definitions` VALUES (81661, 9600, 15, 'Σύνδεση');
INSERT INTO `lang_definitions` VALUES (81662, 9601, 15, 'Υπογραφή Εργαστηρ. αποτελεσμάτων (εγγραφή, προαιρετ. προσθήκη)');
INSERT INTO `lang_definitions` VALUES (81663, 9603, 15, 'Υπογραφή Εργαστηριακών');
INSERT INTO `lang_definitions` VALUES (81664, 9604, 15, 'Δημιουργία Λογαριασμού');
INSERT INTO `lang_definitions` VALUES (81665, 9605, 15, 'Επιτυχής Εγγραφή για');
INSERT INTO `lang_definitions` VALUES (81666, 9606, 15, 'Υπογραφή');
INSERT INTO `lang_definitions` VALUES (81667, 9607, 15, 'Υπογραφή σε Αρχείο');
INSERT INTO `lang_definitions` VALUES (81668, 9608, 15, 'Υπογραφή Σε Αρχείο');
INSERT INTO `lang_definitions` VALUES (81669, 9609, 15, 'Υπογραφή:');
INSERT INTO `lang_definitions` VALUES (81670, 9612, 15, 'Υπογεγραμμένη συνταγή');
INSERT INTO `lang_definitions` VALUES (81671, 9613, 15, 'Σύντροφος');
INSERT INTO `lang_definitions` VALUES (81672, 9614, 15, 'Έντονη διόγκωση:');
INSERT INTO `lang_definitions` VALUES (81673, 9616, 15, 'Απλοποιημένη Συμμετοχή στην πληρωμή');
INSERT INTO `lang_definitions` VALUES (81674, 9617, 15, 'Απλοποιημένα Δημογραφικά');
INSERT INTO `lang_definitions` VALUES (81675, 9618, 15, 'Απλοποιημένες Συνταγογραφήσεις');
INSERT INTO `lang_definitions` VALUES (81676, 9619, 15, 'Εδώ και');
INSERT INTO `lang_definitions` VALUES (81677, 9620, 15, 'Ειλικρινά,');
INSERT INTO `lang_definitions` VALUES (81678, 9622, 15, 'Άγαμος/η');
INSERT INTO `lang_definitions` VALUES (81679, 9624, 15, 'Λίστα μονής επιλογής');
INSERT INTO `lang_definitions` VALUES (81680, 9625, 15, 'Λίστα μονής επιλογής με δυνατότητα προσθήκης στη λίστα');
INSERT INTO `lang_definitions` VALUES (81681, 9629, 15, 'Προβλήμ. Ιγμορίων');
INSERT INTO `lang_definitions` VALUES (81682, 9630, 15, 'Εγχείριση Ιγμορίων');
INSERT INTO `lang_definitions` VALUES (81683, 9631, 15, 'Ευαισθησία Ιγμορίων:');
INSERT INTO `lang_definitions` VALUES (81684, 9632, 15, 'Ιγμορίτις');
INSERT INTO `lang_definitions` VALUES (81685, 9633, 15, 'Αδερφή');
INSERT INTO `lang_definitions` VALUES (81686, 9639, 15, 'ID ιστοσελίδας για την υπηρεσία υποστήριξης OpenEMR Support LLC Lab Exchange');
INSERT INTO `lang_definitions` VALUES (81687, 9641, 15, 'Προ Εξαμήνου');
INSERT INTO `lang_definitions` VALUES (81688, 9642, 15, 'Μετά Εξαμήνου');
INSERT INTO `lang_definitions` VALUES (81689, 9643, 15, 'Μέγεθος');
INSERT INTO `lang_definitions` VALUES (81690, 9644, 15, 'μέγεθος');
INSERT INTO `lang_definitions` VALUES (81691, 9646, 15, 'Το μέγεθος πρέπει να είναι αριθμός μεταξύ 1 και 999');
INSERT INTO `lang_definitions` VALUES (81692, 9648, 15, 'Μέγεθος/Κατάλογος');
INSERT INTO `lang_definitions` VALUES (81693, 9650, 15, 'Δέρμα');
INSERT INTO `lang_definitions` VALUES (81694, 9651, 15, 'Καρκίνος δέρματος');
INSERT INTO `lang_definitions` VALUES (81695, 9652, 15, 'Νόσος δέρματος');
INSERT INTO `lang_definitions` VALUES (81696, 9653, 15, 'Δέρμα – άλλο');
INSERT INTO `lang_definitions` VALUES (81697, 9654, 15, 'Παραλείψτε εξουσιοδ. του φακέλου ασθενούς');
INSERT INTO `lang_definitions` VALUES (81698, 9659, 15, 'Παράλειψη ενότητας');
INSERT INTO `lang_definitions` VALUES (81699, 9660, 15, 'Παράκαμψη του SQL-Ledger dump - δεν είναι υλοποιημένο σε Windows server');
INSERT INTO `lang_definitions` VALUES (81700, 9663, 15, 'Ύπνος');
INSERT INTO `lang_definitions` VALUES (81701, 9664, 15, 'Ύπνος ');
INSERT INTO `lang_definitions` VALUES (81702, 9665, 15, 'Ύπνος');
INSERT INTO `lang_definitions` VALUES (81703, 9668, 15, 'Σλοβακικά');
INSERT INTO `lang_definitions` VALUES (81704, 9675, 15, 'Η λανθάνουσα μνήμη Smarty έχει καθαριστεί');
INSERT INTO `lang_definitions` VALUES (81705, 9676, 15, 'Καπνιστής, άγνωστη τρέχουσα κατάσταση');
INSERT INTO `lang_definitions` VALUES (81706, 9677, 15, 'Κάπνισμα');
INSERT INTO `lang_definitions` VALUES (81707, 9678, 15, 'Κατάσταση Καπνίσματος');
INSERT INTO `lang_definitions` VALUES (81708, 9680, 15, 'Εξουσιοδ. SMS');
INSERT INTO `lang_definitions` VALUES (81709, 9682, 15, 'SMS Επιβεβαίωση');
INSERT INTO `lang_definitions` VALUES (81710, 9683, 15, 'SMS Gateway');
INSERT INTO `lang_definitions` VALUES (81711, 9684, 15, 'SMS Gateway API key');
INSERT INTO `lang_definitions` VALUES (81712, 9685, 15, 'SMS Gateway API key');
INSERT INTO `lang_definitions` VALUES (81713, 9686, 15, 'Κωδικός πρόσβασης για το SMS gateway');
INSERT INTO `lang_definitions` VALUES (81714, 9687, 15, 'Όνομα χρήστη για το SMS gateway');
INSERT INTO `lang_definitions` VALUES (81715, 9688, 15, 'SMS Μηνύματα');
INSERT INTO `lang_definitions` VALUES (81716, 9689, 15, 'Ειδοποίηση μέσω SMS');
INSERT INTO `lang_definitions` VALUES (81717, 9690, 15, 'Ωράρια ειδοποίησης με SMS');
INSERT INTO `lang_definitions` VALUES (81718, 9693, 15, 'Το SMS να σταλεί πριν από τις');
INSERT INTO `lang_definitions` VALUES (81719, 9694, 15, 'SMS Εστάλη');
INSERT INTO `lang_definitions` VALUES (81720, 9701, 15, 'Ρυθμίσεις Ειδοποιήσεων SMS/Email');
INSERT INTO `lang_definitions` VALUES (81721, 9703, 15, 'Κωδικός SMTP για Ταυτοποίηση');
INSERT INTO `lang_definitions` VALUES (81722, 9706, 15, 'Ονομα Host SMTP server');
INSERT INTO `lang_definitions` VALUES (81723, 9707, 15, 'Αριθμός θύρας SMTP server');
INSERT INTO `lang_definitions` VALUES (81724, 9708, 15, 'Χρήστης SMTP για Ταυτοποίηση');
INSERT INTO `lang_definitions` VALUES (81725, 9709, 15, 'SNOMED');
INSERT INTO `lang_definitions` VALUES (81726, 9711, 15, 'Διάγνωση SNOMED (RF1)');
INSERT INTO `lang_definitions` VALUES (81727, 9714, 15, 'Διάγνωση SNOMED (RF2)');
INSERT INTO `lang_definitions` VALUES (81728, 9717, 15, 'Βάση δεδομένων SNOMED');
INSERT INTO `lang_definitions` VALUES (81729, 9718, 15, 'Διάγνωση SNOMED');
INSERT INTO `lang_definitions` VALUES (81730, 9721, 15, 'Ροχαλητό');
INSERT INTO `lang_definitions` VALUES (81731, 9722, 15, 'SOAP ασθενούς');
INSERT INTO `lang_definitions` VALUES (81732, 9726, 15, 'Κοινωνικές δυσκολίες');
INSERT INTO `lang_definitions` VALUES (81733, 9727, 15, 'Κοινωνικό Ιστορικό');
INSERT INTO `lang_definitions` VALUES (81734, 9728, 15, 'Στοιχείο Κοινωνικού Ιστορικού');
INSERT INTO `lang_definitions` VALUES (81735, 9729, 15, 'Κοινωνικό Ιστορικό:');
INSERT INTO `lang_definitions` VALUES (81736, 9730, 15, 'ΑΜΚΑ');
INSERT INTO `lang_definitions` VALUES (81737, 9731, 15, 'ΑΜΚΑ(Προαιρετικό)');
INSERT INTO `lang_definitions` VALUES (81738, 9732, 15, 'διάλυμα (sol)');
INSERT INTO `lang_definitions` VALUES (81739, 9734, 15, 'Σωματική κατατομή');
INSERT INTO `lang_definitions` VALUES (81740, 9735, 15, 'Ορισμένες άδειες δεν εμφανίζονται. Κάντε κλικ εδώ για να τις δείτε όλες');
INSERT INTO `lang_definitions` VALUES (81741, 9736, 15, 'Ορισμένοι κωδικοί δεν εμφανίστηκαν');
INSERT INTO `lang_definitions` VALUES (81742, 9737, 15, 'Ορισμένες επισκέψεις δεν εμφανίστηκαν. Κάντε κλικ εδώ για να τις δείτε όλες.');
INSERT INTO `lang_definitions` VALUES (81743, 9738, 15, 'Συνέβη ένα σφάλμα κατά τη διαδικασία Απο-Ταυτοποίησης');
INSERT INTO `lang_definitions` VALUES (81744, 9740, 15, 'Ορισμένες σημειώσεις δεν εμφανίστηκαν');
INSERT INTO `lang_definitions` VALUES (81745, 9741, 15, 'Ορισμένες σημειώσεις ιατρείου δεν εμφανίστηκαν. Κάντε κλικ εδώ για προβολή όλων.');
INSERT INTO `lang_definitions` VALUES (81746, 9743, 15, 'ορισμένες λέξεις');
INSERT INTO `lang_definitions` VALUES (81747, 9744, 15, 'Κάποιος άλλος μόλις άλλαξε αυτήν την επίσκεψη. Παρακαλώ ακυρώστε αυτή τη σελίδα και προσπαθήστε ξανά.');
INSERT INTO `lang_definitions` VALUES (81748, 9745, 15, 'Κάτι πήγε στραβά.');
INSERT INTO `lang_definitions` VALUES (81749, 9746, 15, 'Κάτι πήγε στραβά.');
INSERT INTO `lang_definitions` VALUES (81750, 9747, 15, 'Κάτι πήγε στραβά. Παρακαλώ προσπαθήστε πάλι.');
INSERT INTO `lang_definitions` VALUES (81751, 9750, 15, 'Φαρυγγοδυνία');
INSERT INTO `lang_definitions` VALUES (81752, 9751, 15, 'Συγγνώμη, δεν κλείστηκε κανένα ραντεβού');
INSERT INTO `lang_definitions` VALUES (81753, 9753, 15, 'Συγγνώμη! Δεν έχετε τα κατάλληλα δικαιώματα');
INSERT INTO `lang_definitions` VALUES (81754, 9754, 15, 'Συγγνώμη, υπήρξε πρόβλημα κατά το ανέβασμα του αρχείου σας');
INSERT INTO `lang_definitions` VALUES (81755, 9755, 15, 'Συγγνώμη, υπήρξε κάποιο πρόβλημα!');
INSERT INTO `lang_definitions` VALUES (81756, 9757, 15, 'Ταξινόμηση αλφαβητικά');
INSERT INTO `lang_definitions` VALUES (81757, 9758, 15, 'Ταξινόμηση κατά');
INSERT INTO `lang_definitions` VALUES (81758, 9759, 15, 'Ταξινόμηση Κατά');
INSERT INTO `lang_definitions` VALUES (81759, 9760, 15, 'Ταξινόμηση κατά Κατηγορία');
INSERT INTO `lang_definitions` VALUES (81760, 9761, 15, 'Ταξινόμηση κατά Checksum');
INSERT INTO `lang_definitions` VALUES (81761, 9762, 15, 'Ταξινόμηση κατά Σχόλια');
INSERT INTO `lang_definitions` VALUES (81762, 9763, 15, 'Ταξινόμηση βάσει Τρέχοντος Χρήστη');
INSERT INTO `lang_definitions` VALUES (81763, 9764, 15, 'Ταξινόμηση κατά ημ/νία');
INSERT INTO `lang_definitions` VALUES (81764, 9765, 15, 'Ταξινόμηση κατά ημ/νία/ώρα');
INSERT INTO `lang_definitions` VALUES (81765, 9766, 15, 'Ταξινόμηση κατά Συμβάν');
INSERT INTO `lang_definitions` VALUES (81766, 9767, 15, 'Ταξινόμηση κατά Ομάδα');
INSERT INTO `lang_definitions` VALUES (81767, 9770, 15, 'Ταξινόμηση κατά Κωδικό ασθενούς');
INSERT INTO `lang_definitions` VALUES (81768, 9771, 15, 'Ταξινόμηση κατά Σειρά');
INSERT INTO `lang_definitions` VALUES (81769, 9772, 15, 'Ταξινόμηση βάσει Βαθμού Επιτυχίας');
INSERT INTO `lang_definitions` VALUES (81770, 9774, 15, 'Ταξινόμηση κατά Χρήστη');
INSERT INTO `lang_definitions` VALUES (81771, 9775, 15, 'Ταξινόμηση κατά εμβόλιο');
INSERT INTO `lang_definitions` VALUES (81772, 9776, 15, 'Ταξινόμηση κατά φθίνοντα αριθμό');
INSERT INTO `lang_definitions` VALUES (81773, 9777, 15, 'Ταξινόμηση Αποτελέσματος κατά');
INSERT INTO `lang_definitions` VALUES (81774, 9778, 15, 'Ταξινόμηση κατ\' αύξοντα αριθμό');
INSERT INTO `lang_definitions` VALUES (81775, 9779, 15, 'Προέλευση');
INSERT INTO `lang_definitions` VALUES (81776, 9780, 15, 'Αρχείο Προέλευσης CSV');
INSERT INTO `lang_definitions` VALUES (81777, 9781, 15, 'Αρχείο Προέλευσης');
INSERT INTO `lang_definitions` VALUES (81778, 9782, 15, 'Διαδρομή Αρχείου Προέλευσης');
INSERT INTO `lang_definitions` VALUES (81779, 9783, 15, 'Η προέλευση λείπει για τον κωδικό');
INSERT INTO `lang_definitions` VALUES (81780, 9784, 15, 'Αριθμός Παρτίδας Προέλευσης');
INSERT INTO `lang_definitions` VALUES (81781, 9785, 15, 'Προέλευση του εγγράφου');
INSERT INTO `lang_definitions` VALUES (81782, 9786, 15, 'Ασθενής Προέλευση');
INSERT INTO `lang_definitions` VALUES (81783, 9787, 15, 'Ο ασθενής προέλευσης δεν έχει Ημ/νία Γέν.');
INSERT INTO `lang_definitions` VALUES (81784, 9788, 15, 'Δεν βρέθηκε ο ασθενής προέλευσης');
INSERT INTO `lang_definitions` VALUES (81785, 9789, 15, 'Πηγή:');
INSERT INTO `lang_definitions` VALUES (81786, 9794, 15, 'Επέκταση σε ολόκληρη τη Σειρά');
INSERT INTO `lang_definitions` VALUES (81787, 9795, 15, 'Ισπανικά');
INSERT INTO `lang_definitions` VALUES (81788, 9796, 15, 'Ισπανικά (Λατινικής Αμερικής)');
INSERT INTO `lang_definitions` VALUES (81789, 9797, 15, 'Ισπανικά (Ισπανίας)');
INSERT INTO `lang_definitions` VALUES (81790, 9799, 15, 'Δεν επιτρέπονται ειδικοί χαρακτήρες');
INSERT INTO `lang_definitions` VALUES (81791, 9800, 15, 'Ειδική μεταχείριση για το έντυπο Ζωτικών');
INSERT INTO `lang_definitions` VALUES (81792, 9801, 15, 'Ειδικός');
INSERT INTO `lang_definitions` VALUES (81793, 9802, 15, 'Όνομα και υπογραφή ειδικού');
INSERT INTO `lang_definitions` VALUES (81794, 9803, 15, 'Ειδικευμένος ιατρός');
INSERT INTO `lang_definitions` VALUES (81795, 9804, 15, 'Ειδικότητα');
INSERT INTO `lang_definitions` VALUES (81796, 9805, 15, 'Συστήματα ειδικού');
INSERT INTO `lang_definitions` VALUES (81797, 9806, 15, 'Ειδικότητα:');
INSERT INTO `lang_definitions` VALUES (81798, 9807, 15, 'Ειδικό');
INSERT INTO `lang_definitions` VALUES (81799, 9808, 15, 'Ειδική εφαρμογή');
INSERT INTO `lang_definitions` VALUES (81800, 9809, 15, 'Ειδική παροχή υπηρεσίας αντισύλληψης');
INSERT INTO `lang_definitions` VALUES (81801, 9810, 15, 'Συγκεκριμένο Αποτέλεσμα');
INSERT INTO `lang_definitions` VALUES (81802, 9811, 15, 'Ειδική Υπηρεσία');
INSERT INTO `lang_definitions` VALUES (81803, 9812, 15, 'Διευκρινίστηκε');
INSERT INTO `lang_definitions` VALUES (81804, 9823, 15, 'Δείγμα');
INSERT INTO `lang_definitions` VALUES (81805, 9824, 15, 'Αριθμός δείγματος/κωδικός');
INSERT INTO `lang_definitions` VALUES (81806, 9825, 15, 'Είδος Δείγματος');
INSERT INTO `lang_definitions` VALUES (81807, 9826, 15, 'Είδος δείγματος');
INSERT INTO `lang_definitions` VALUES (81808, 9827, 15, 'Υπαγόρευση ομιλίας');
INSERT INTO `lang_definitions` VALUES (81809, 9828, 15, 'Σπερματοκτόνο');
INSERT INTO `lang_definitions` VALUES (81810, 9831, 15, 'Σπληνεκτομή');
INSERT INTO `lang_definitions` VALUES (81811, 9832, 15, 'Σύζυγος');
INSERT INTO `lang_definitions` VALUES (81812, 9833, 15, 'Ιστορικό Συζύγου');
INSERT INTO `lang_definitions` VALUES (81813, 9834, 15, 'Πτύελα');
INSERT INTO `lang_definitions` VALUES (81814, 9835, 15, 'Πτύελα:');
INSERT INTO `lang_definitions` VALUES (81815, 9836, 15, 'Υποδόρια');
INSERT INTO `lang_definitions` VALUES (81816, 9839, 15, 'Ομάδα');
INSERT INTO `lang_definitions` VALUES (81817, 9840, 15, 'Μέλος ομάδας');
INSERT INTO `lang_definitions` VALUES (81818, 9841, 15, 'Ομάδες');
INSERT INTO `lang_definitions` VALUES (81819, 9843, 15, 'Σεξουαλική και αναπαραγωγική υγεία');
INSERT INTO `lang_definitions` VALUES (81820, 9844, 15, 'Σεξουαλική και αναπαραγωγική υγεία – Οικογενειακός προγραμματισμός');
INSERT INTO `lang_definitions` VALUES (81821, 9845, 15, 'Σεξουαλική και αναπαραγωγική υγεία – Μη οικογενειακός προγραμματισμός');
INSERT INTO `lang_definitions` VALUES (81822, 9846, 15, 'Παραπομπές σεξουαλικής και αναπαραγωγικής υγείας');
INSERT INTO `lang_definitions` VALUES (81823, 9847, 15, 'Έντυπο επίσκεψης σεξουαλικής και αναπαραγωγικής υγείας');
INSERT INTO `lang_definitions` VALUES (81824, 9848, 15, 'Ημ. Υπηρ.');
INSERT INTO `lang_definitions` VALUES (81825, 9849, 15, 'ΑΜΚΑ');
INSERT INTO `lang_definitions` VALUES (81826, 9850, 15, 'Πιστοποιητικό Διαχείρισης SSL');
INSERT INTO `lang_definitions` VALUES (81827, 9851, 15, 'ΑΜΚΑ');
INSERT INTO `lang_definitions` VALUES (81828, 9852, 15, 'Σταθερότητα');
INSERT INTO `lang_definitions` VALUES (81829, 9855, 15, 'Τυπικό ');
INSERT INTO `lang_definitions` VALUES (81830, 9856, 15, 'Τυπικός Έλεγχος');
INSERT INTO `lang_definitions` VALUES (81831, 9857, 15, 'Τυπικός Κωδικός');
INSERT INTO `lang_definitions` VALUES (81832, 9860, 15, 'Βασικές Μετρήσεις');
INSERT INTO `lang_definitions` VALUES (81833, 9866, 15, 'Έναρξη');
INSERT INTO `lang_definitions` VALUES (81834, 9867, 15, 'Έναρξη (εεεε-μμ-ηη)');
INSERT INTO `lang_definitions` VALUES (81835, 9868, 15, 'Έναρξη Άλλης Αναφοράς');
INSERT INTO `lang_definitions` VALUES (81836, 9870, 15, 'Έναρξη Μαζικής Επεξεργασίας');
INSERT INTO `lang_definitions` VALUES (81837, 9874, 15, 'Από Ημ/νία');
INSERT INTO `lang_definitions` VALUES (81838, 9875, 15, 'Από ημ/νία ');
INSERT INTO `lang_definitions` VALUES (81839, 9876, 15, 'Ημ/νία έναρξης στην παρούσα Κλινική');
INSERT INTO `lang_definitions` VALUES (81840, 9877, 15, 'Ημ. Έναρξης δεν μπορεί να είναι μεταγενέστερη από Ημ. τέλους');
INSERT INTO `lang_definitions` VALUES (81841, 9878, 15, 'Ημ. έναρξης:');
INSERT INTO `lang_definitions` VALUES (81842, 9879, 15, 'Από Ημ/νία:');
INSERT INTO `lang_definitions` VALUES (81843, 9881, 15, 'Ώρα έναρξης');
INSERT INTO `lang_definitions` VALUES (81844, 9883, 15, 'Ημ/νία Έναρξης');
INSERT INTO `lang_definitions` VALUES (81845, 9884, 15, 'Ημ/νία Έναρξης');
INSERT INTO `lang_definitions` VALUES (81846, 9885, 15, 'Ημ/νία Έναρξης για αναζήτηση');
INSERT INTO `lang_definitions` VALUES (81847, 9888, 15, 'εφάπαξ');
INSERT INTO `lang_definitions` VALUES (81848, 9889, 15, 'Νομός');
INSERT INTO `lang_definitions` VALUES (81849, 9890, 15, 'Διευκρινίστε το είδος των Δεδομένων');
INSERT INTO `lang_definitions` VALUES (81850, 9891, 15, 'Αρ. Αδείας');
INSERT INTO `lang_definitions` VALUES (81851, 9892, 15, 'Αριθμός Αδείας');
INSERT INTO `lang_definitions` VALUES (81852, 9893, 15, 'Λίστα Καταστάσεων');
INSERT INTO `lang_definitions` VALUES (81853, 9894, 15, 'Λίστα Καταστάσεων (εγγραφή, προαιρετικά προσθήκη)');
INSERT INTO `lang_definitions` VALUES (81854, 9897, 15, 'Νομός ή Επαρχία');
INSERT INTO `lang_definitions` VALUES (81855, 9898, 15, 'Νομός/Περιοχή');
INSERT INTO `lang_definitions` VALUES (81856, 9899, 15, 'Νομός/Κοινότητα');
INSERT INTO `lang_definitions` VALUES (81857, 9900, 15, 'Νομός:');
INSERT INTO `lang_definitions` VALUES (81858, 9908, 15, 'Στατικό Κείμενο');
INSERT INTO `lang_definitions` VALUES (81859, 9909, 15, 'Στατιστικά');
INSERT INTO `lang_definitions` VALUES (81860, 9910, 15, 'Στατιστικά');
INSERT INTO `lang_definitions` VALUES (81861, 9911, 15, 'Κατάσταση');
INSERT INTO `lang_definitions` VALUES (81862, 9916, 15, 'Status quo (Ιδία κατάσταση)');
INSERT INTO `lang_definitions` VALUES (81863, 9917, 15, 'Τύπος Κατάστασης');
INSERT INTO `lang_definitions` VALUES (81864, 9918, 15, 'Συμβουλευτική ΣΜΝ/AIDS');
INSERT INTO `lang_definitions` VALUES (81865, 9919, 15, 'Δύναμη και Φυσική Κατάσταση');
INSERT INTO `lang_definitions` VALUES (81866, 9920, 15, 'Θετό παιδί');
INSERT INTO `lang_definitions` VALUES (81867, 9921, 15, 'Θετός γονέας');
INSERT INTO `lang_definitions` VALUES (81868, 9922, 15, 'Θετός αδερφός/ή');
INSERT INTO `lang_definitions` VALUES (81869, 9923, 15, 'Θετό παιδί');
INSERT INTO `lang_definitions` VALUES (81870, 9924, 15, 'Βήματα για ανέβασμα αρχείου CCR XML');
INSERT INTO `lang_definitions` VALUES (81871, 9925, 15, 'Βήματα για την εγκατάσταση της βάσης δεδομένων DSM IV');
INSERT INTO `lang_definitions` VALUES (81872, 9926, 15, 'Βήματα για την εγκατάσταση της βάσης δεδομένων ICD10');
INSERT INTO `lang_definitions` VALUES (81873, 9927, 15, 'Βήματα για την εγκατάσταση της βάσης δεδομένων ICD9');
INSERT INTO `lang_definitions` VALUES (81874, 9928, 15, 'Βήματα για την εγκατάσταση της βάσης δεδομένων RxNorm');
INSERT INTO `lang_definitions` VALUES (81875, 9929, 15, 'Βήματα προς εγκατάσταση στη βάση δεδομένων Snomed');
INSERT INTO `lang_definitions` VALUES (81876, 9931, 15, 'Στερεοσκοπική όραση');
INSERT INTO `lang_definitions` VALUES (81877, 9932, 15, 'Δυσκαμψία αρθρώσεων');
INSERT INTO `lang_definitions` VALUES (81878, 9933, 15, 'Δυσκαμψία');
INSERT INTO `lang_definitions` VALUES (81879, 9936, 15, 'Άλγη στομάχου');
INSERT INTO `lang_definitions` VALUES (81880, 9942, 15, 'Αποθηκευμένο hash');
INSERT INTO `lang_definitions` VALUES (81881, 9943, 15, 'Στραβισμός');
INSERT INTO `lang_definitions` VALUES (81882, 9944, 15, 'Διάταση μυός');
INSERT INTO `lang_definitions` VALUES (81883, 9946, 15, 'Ροή');
INSERT INTO `lang_definitions` VALUES (81884, 9947, 15, 'Οδός');
INSERT INTO `lang_definitions` VALUES (81885, 9948, 15, 'Διεύθυνση οδού');
INSERT INTO `lang_definitions` VALUES (81886, 9949, 15, 'Οδός και Αριθμός');
INSERT INTO `lang_definitions` VALUES (81887, 9950, 15, 'Ισχύς');
INSERT INTO `lang_definitions` VALUES (81888, 9951, 15, 'Δύναμη και Φυσική Κατάσταση');
INSERT INTO `lang_definitions` VALUES (81889, 9952, 15, 'Στρεπτ. Φαρυγγίτιδα');
INSERT INTO `lang_definitions` VALUES (81890, 9953, 15, 'Κάταγμα κόπωσης');
INSERT INTO `lang_definitions` VALUES (81891, 9954, 15, 'Δοκιμασία κόπωσης');
INSERT INTO `lang_definitions` VALUES (81892, 9956, 15, 'Αγγειακό εγκεφαλικό');
INSERT INTO `lang_definitions` VALUES (81893, 9957, 15, 'εγκεφαλικό επεισόδιο');
INSERT INTO `lang_definitions` VALUES (81894, 9958, 15, 'Ισχυρός κωδικός πρόσβασης σημαίνει τουλάχ. 8 χαρακτήρες και τουλάχ. 3: αριθμούς, μικρά γράμματα, κεφαλαία γράμματα, ειδικούς χαρακτήρες.');
INSERT INTO `lang_definitions` VALUES (81895, 9960, 15, 'Στυλ');
INSERT INTO `lang_definitions` VALUES (81896, 9961, 15, 'Στυλ εγγράφου σε χρήση για την προσθήκη νέων ασθενών');
INSERT INTO `lang_definitions` VALUES (81897, 9962, 15, 'Διαμορφώστε το μήνυμά σας και/ή προσθέστε Φωτογραφίες/Βίντεο');
INSERT INTO `lang_definitions` VALUES (81898, 9964, 15, 'Υποομάδα');
INSERT INTO `lang_definitions` VALUES (81899, 9965, 15, 'Υποκατηγορία');
INSERT INTO `lang_definitions` VALUES (81900, 9966, 15, 'Μερικό Σύνολο');
INSERT INTO `lang_definitions` VALUES (81901, 9967, 15, 'Υποκατηγορία');
INSERT INTO `lang_definitions` VALUES (81902, 9968, 15, 'υποκατηγορία');
INSERT INTO `lang_definitions` VALUES (81903, 9969, 15, 'υποδορίως');
INSERT INTO `lang_definitions` VALUES (81904, 9970, 15, 'Θέμα');
INSERT INTO `lang_definitions` VALUES (81905, 9971, 15, 'Ιστορικό');
INSERT INTO `lang_definitions` VALUES (81906, 9972, 15, 'Υπογλώσσιο');
INSERT INTO `lang_definitions` VALUES (81907, 9973, 15, 'υπογλώσσιο');
INSERT INTO `lang_definitions` VALUES (81908, 9974, 15, 'Υποβολή');
INSERT INTO `lang_definitions` VALUES (81909, 9975, 15, 'υποβολή');
INSERT INTO `lang_definitions` VALUES (81910, 9976, 15, 'Υποβολή όλου του περιεχομένου');
INSERT INTO `lang_definitions` VALUES (81911, 9977, 15, 'Υποβολή και Διαγραφή Αιτήματος');
INSERT INTO `lang_definitions` VALUES (81912, 9978, 15, 'Υποβολή Αλλαγών για όλα τα Ραντεβού Ταυτόχρονα');
INSERT INTO `lang_definitions` VALUES (81913, 9979, 15, 'Υποβολή συμβάντος');
INSERT INTO `lang_definitions` VALUES (81914, 9980, 15, 'υποβολή εντύπου');
INSERT INTO `lang_definitions` VALUES (81915, 9982, 15, 'Υποβολή επιλεγμένου περιεχομένου');
INSERT INTO `lang_definitions` VALUES (81916, 9983, 15, 'Υπεβλήθη');
INSERT INTO `lang_definitions` VALUES (81917, 9984, 15, 'Υπεβλήθη');
INSERT INTO `lang_definitions` VALUES (81918, 9985, 15, 'Υπεβλήθη από');
INSERT INTO `lang_definitions` VALUES (81919, 9986, 15, 'Αριθμός πρόσβασης υποβολέα EDI (PER06)');
INSERT INTO `lang_definitions` VALUES (81920, 9987, 15, 'Συνδρομητής');
INSERT INTO `lang_definitions` VALUES (81921, 9988, 15, 'Διεύθυνση Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (81922, 9989, 15, 'Πόλη Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (81923, 9990, 15, 'Χώρα Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (81924, 9991, 15, 'Ημ. Γέν. Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (81925, 9992, 15, 'Εργοδότης Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (81926, 9993, 15, 'Εργοδότης Συνδρομητή (ΕΣ)');
INSERT INTO `lang_definitions` VALUES (81927, 9994, 15, 'Διεύθυνση Εργοδότη Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (81928, 9995, 15, 'Πόλη Εργοδότη Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (81929, 9996, 15, 'Χώρα Εργοδότη Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (81930, 9997, 15, 'Νομός Εργοδότη Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (81931, 9998, 15, 'Οδός Εργοδότη Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (81932, 9999, 15, 'Τ.Κ. Εργοδότη Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (81933, 10000, 15, 'Τ.Κ. Εργοδότη Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (81934, 10001, 15, 'Όνομα Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (81935, 10002, 15, 'Επώνυμο Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (81936, 10004, 15, 'Όνομα Πατρός Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (81937, 10005, 15, 'Τηλέφωνο Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (81938, 10006, 15, 'Σχέση Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (81939, 10007, 15, 'Η σχέση συνδρομητή δεν είναι «Ο Ίδιος», αλλά το όνομα είναι το ίδιο! Είστε εντάξει με αυτό;');
INSERT INTO `lang_definitions` VALUES (81940, 10008, 15, 'Η σχέση συνδρομητή δεν είναι «Ο Ίδιος», αλλά ο ΑΜΚΑ είναι ο ίδιος!');
INSERT INTO `lang_definitions` VALUES (81941, 10009, 15, 'Η σχέση συνδρομητή είναι «Ο Ίδιος», αλλά το όνομα είναι διαφορετικό! Είστε εντάξει με αυτό;');
INSERT INTO `lang_definitions` VALUES (81942, 10010, 15, 'Η σχέση συνδρομητή είναι «Ο Ίδιος», αλλά ο ΑΜΚΑ είναι διαφορετικός!');
INSERT INTO `lang_definitions` VALUES (81943, 10011, 15, 'Φύλο Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (81944, 10012, 15, 'ΑΜΚΑ Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (81945, 10013, 15, 'Νομός Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (81946, 10014, 15, 'Τ.Κ. Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (81947, 10017, 15, 'Τηλ. Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (81948, 10018, 15, 'Ουσία');
INSERT INTO `lang_definitions` VALUES (81949, 10019, 15, 'Λόγος Άρνησης Ουσίας');
INSERT INTO `lang_definitions` VALUES (81950, 10020, 15, 'Υποκατάσταση');
INSERT INTO `lang_definitions` VALUES (81951, 10021, 15, 'Επιτρέπεται η υποκατάσταση');
INSERT INTO `lang_definitions` VALUES (81952, 10022, 15, 'Υπότιτλος');
INSERT INTO `lang_definitions` VALUES (81953, 10023, 15, 'Υπότυπος');
INSERT INTO `lang_definitions` VALUES (81954, 10024, 15, 'Επιτυχία');
INSERT INTO `lang_definitions` VALUES (81955, 10025, 15, 'επιτυχία');
INSERT INTO `lang_definitions` VALUES (81956, 10026, 15, 'Επιτυχής επικύρωση λήψης εργαστηρ. αποτελεσμάτων');
INSERT INTO `lang_definitions` VALUES (81957, 10027, 15, 'Επιτυχής λήψη εργαστηρ. αποτελεσμάτων');
INSERT INTO `lang_definitions` VALUES (81958, 10028, 15, 'Επιτυχής λήψη αποτελεσμάτων από το Δίκτυο Ανταλλαγής Εργαστηρίου');
INSERT INTO `lang_definitions` VALUES (81959, 10029, 15, 'Επιτυχείς Μεταφορές');
INSERT INTO `lang_definitions` VALUES (81960, 10030, 15, 'Επιτυχής προσθήκη κατηγορίας');
INSERT INTO `lang_definitions` VALUES (81961, 10031, 15, 'προσετέθη επιτυχώς στην κατηγορία,');
INSERT INTO `lang_definitions` VALUES (81962, 10032, 15, 'Ολοκληρώθηκε Επιτυχώς');
INSERT INTO `lang_definitions` VALUES (81963, 10033, 15, 'Διαγράφηκε επιτυχώς');
INSERT INTO `lang_definitions` VALUES (81964, 10034, 15, 'Οι λεπτομέρειες εισήχθησαν επιτυχώς. Παρακαλώ εγκρίνετε τον ασθενή από την οθόνη \"Εν Αναμονή Έγκρισης\"');
INSERT INTO `lang_definitions` VALUES (81965, 10035, 15, 'Η βάση δεδομένων εγκαταστάθηκε με επιτυχία.');
INSERT INTO `lang_definitions` VALUES (81966, 10036, 15, 'Εγκαταστάθηκε επιτυχώς η παρακάτω βάση δεδομένων:');
INSERT INTO `lang_definitions` VALUES (81967, 10037, 15, 'Τροποποιήθηκε επιτυχώς');
INSERT INTO `lang_definitions` VALUES (81968, 10039, 15, 'Αποθηκεύθηκε επιτυχώς. Θέλετε να κατανεμηθεί;');
INSERT INTO `lang_definitions` VALUES (81969, 10040, 15, 'Αποθηκεύθηκε επιτυχώς. Θέλετε να διανεμηθεί;');
INSERT INTO `lang_definitions` VALUES (81970, 10041, 15, 'Επιτυχής Αποστολή');
INSERT INTO `lang_definitions` VALUES (81971, 10042, 15, 'αποθηκεύτηκε επιτυχώς');
INSERT INTO `lang_definitions` VALUES (81972, 10044, 15, 'Η βάση δεδομένων αναβαθμίστηκε με επιτυχία.');
INSERT INTO `lang_definitions` VALUES (81973, 10045, 15, 'Έγινε επιτυχής αναβάθμιση της παρακάτω βάσης δεδοιμένων:');
INSERT INTO `lang_definitions` VALUES (81974, 10046, 15, 'επιτυχώς.');
INSERT INTO `lang_definitions` VALUES (81975, 10047, 15, 'Κατάληξη');
INSERT INTO `lang_definitions` VALUES (81976, 10049, 15, 'Αυτοκτονία');
INSERT INTO `lang_definitions` VALUES (81977, 10051, 15, 'Σύνοψη');
INSERT INTO `lang_definitions` VALUES (81978, 10052, 15, 'Σύνοψη του');
INSERT INTO `lang_definitions` VALUES (81979, 10054, 15, 'Χορηγήθηκε Σύνοψη Φροντίδας;');
INSERT INTO `lang_definitions` VALUES (81980, 10055, 15, 'Χορηγήθηκε Σύνοψη Φροντίδας;');
INSERT INTO `lang_definitions` VALUES (81981, 10056, 15, 'Εστάλη Σύνοψη Φροντίδας');
INSERT INTO `lang_definitions` VALUES (81982, 10057, 15, 'Σύνοψη Φροντίδας Εστάλη Ηλεκτρονικά');
INSERT INTO `lang_definitions` VALUES (81983, 10058, 15, 'Κυρ');
INSERT INTO `lang_definitions` VALUES (81984, 10060, 15, 'Κυριακή');
INSERT INTO `lang_definitions` VALUES (81985, 10071, 15, 'Επιβλέπων');
INSERT INTO `lang_definitions` VALUES (81986, 10072, 15, 'Επιβλέπων Ιατρός');
INSERT INTO `lang_definitions` VALUES (81987, 10074, 15, 'Όνομα Επιβλέποντος Ιατρού');
INSERT INTO `lang_definitions` VALUES (81988, 10075, 15, 'Επίθετο Επιβλέποντος Ιατρού');
INSERT INTO `lang_definitions` VALUES (81989, 10078, 15, 'Επιβλέπων Πάροχος');
INSERT INTO `lang_definitions` VALUES (81990, 10080, 15, 'Προμηθευτής');
INSERT INTO `lang_definitions` VALUES (81991, 10081, 15, 'Στοιχεία Έδρας προμηθευτή');
INSERT INTO `lang_definitions` VALUES (81992, 10082, 15, 'Υποστήριξη συμβάντων ημερολογίου που ισχύουν για πολλαπλούς παρόχους');
INSERT INTO `lang_definitions` VALUES (81993, 10083, 15, 'Υποστήριξη εισαγ./ εξαγ. δεδομένων ρύθμισης, μέσω της σελίδας Backup');
INSERT INTO `lang_definitions` VALUES (81994, 10084, 15, 'Υποστήρ. Συμβάντων για πολλαπλούς παρόχους (multi-Provider)');
INSERT INTO `lang_definitions` VALUES (81995, 10085, 15, 'Τηλ. αριθμός Υποστήριξης');
INSERT INTO `lang_definitions` VALUES (81996, 10088, 15, 'Υποστηρίζει μόνο κρυπτογράφηση/αποκρυπτογράφηση TripleDES.');
INSERT INTO `lang_definitions` VALUES (81997, 10089, 15, 'ανω');
INSERT INTO `lang_definitions` VALUES (81998, 10090, 15, 'Τύπος επιφανείας');
INSERT INTO `lang_definitions` VALUES (81999, 10091, 15, 'Χειρουργός');
INSERT INTO `lang_definitions` VALUES (82000, 10092, 15, 'Χειρουργεία');
INSERT INTO `lang_definitions` VALUES (82001, 10093, 15, 'Χειρουργείο');
INSERT INTO `lang_definitions` VALUES (82002, 10094, 15, 'Λίστα Χειρουργείων');
INSERT INTO `lang_definitions` VALUES (82003, 10095, 15, 'Σε Αναστολή');
INSERT INTO `lang_definitions` VALUES (82004, 10096, 15, 'εναιώρημα (susp)');
INSERT INTO `lang_definitions` VALUES (82005, 10097, 15, 'Κυ');
INSERT INTO `lang_definitions` VALUES (82006, 10098, 15, 'Ημ/νία Υπηρ.');
INSERT INTO `lang_definitions` VALUES (82007, 10099, 15, 'Ημ/νία Υπηρ.:');
INSERT INTO `lang_definitions` VALUES (82008, 10102, 15, 'Εφίδρωση:');
INSERT INTO `lang_definitions` VALUES (82009, 10103, 15, 'Σουηδικά');
INSERT INTO `lang_definitions` VALUES (82010, 10104, 15, 'Διόγκωση');
INSERT INTO `lang_definitions` VALUES (82011, 10105, 15, 'Διόγκωση δεξιά');
INSERT INTO `lang_definitions` VALUES (82012, 10106, 15, 'Διογκωμένες αρθρώσεις');
INSERT INTO `lang_definitions` VALUES (82013, 10107, 15, 'Διογκωμένοι λεμφαδένες');
INSERT INTO `lang_definitions` VALUES (82014, 10108, 15, 'Σύμβολο που χρησιμοποιείται ως δεκαδικό σημείο για το νόμισμα. Δεν χρησιμοποιείται αν τα δεκαδικά ψηφία είναι 0.');
INSERT INTO `lang_definitions` VALUES (82015, 10109, 15, 'Το σύμβολο σε χρήση για διαχωρισμό των χιλιάδων, στα νομίσματα.');
INSERT INTO `lang_definitions` VALUES (82016, 10110, 15, 'Συμπτώματα');
INSERT INTO `lang_definitions` VALUES (82017, 10111, 15, 'Συγχρονισμός');
INSERT INTO `lang_definitions` VALUES (82018, 10112, 15, 'Συγχρονισμός μεταφράσεων με τον πίνακα της custom γλώσσας.');
INSERT INTO `lang_definitions` VALUES (82019, 10113, 15, 'Συγχρονισμένη νέα custom Σταθερά:');
INSERT INTO `lang_definitions` VALUES (82020, 10114, 15, 'Συγχρονισμένη νέα custom Γλώσσα:');
INSERT INTO `lang_definitions` VALUES (82021, 10115, 15, 'Συγχρονισμένη νέος ορισμός (Γλώσσα, Σταθερά, Ορισμός):');
INSERT INTO `lang_definitions` VALUES (82022, 10116, 15, 'Συγκοπή');
INSERT INTO `lang_definitions` VALUES (82023, 10117, 15, 'Επιτήρηση Συνδρόμων');
INSERT INTO `lang_definitions` VALUES (82024, 10118, 15, 'Επιτήρηση Συνδρόμων - Μη Αναφερθείσες Περιπτώσεις');
INSERT INTO `lang_definitions` VALUES (82025, 10119, 15, 'Αναφορά Επιτήρησης Συνδρόμων');
INSERT INTO `lang_definitions` VALUES (82026, 10120, 15, 'Υμενίτις, Υπακρωμιακή Προστριβή, Θυλακίτις');
INSERT INTO `lang_definitions` VALUES (82027, 10121, 15, 'Σύστημα');
INSERT INTO `lang_definitions` VALUES (82028, 10124, 15, 'Συστολική');
INSERT INTO `lang_definitions` VALUES (82029, 10125, 15, 'Σ');
INSERT INTO `lang_definitions` VALUES (82030, 10127, 15, 'Κ');
INSERT INTO `lang_definitions` VALUES (82031, 10128, 15, 'Τ');
INSERT INTO `lang_definitions` VALUES (82032, 10130, 15, '3 φορές την ημέρα');
INSERT INTO `lang_definitions` VALUES (82033, 10131, 15, 'T.V.');
INSERT INTO `lang_definitions` VALUES (82034, 10133, 15, 'Πίνακας');
INSERT INTO `lang_definitions` VALUES (82035, 10134, 15, 'Ενέργεια Πίνακα');
INSERT INTO `lang_definitions` VALUES (82036, 10136, 15, 'Κωδικός Πίνακα');
INSERT INTO `lang_definitions` VALUES (82037, 10137, 15, 'Απέτυχε η δημιουργία πίνακα');
INSERT INTO `lang_definitions` VALUES (82038, 10138, 15, 'Απέτυχε η ενημέρωση πίνακα');
INSERT INTO `lang_definitions` VALUES (82039, 10139, 15, 'Πίνακες');
INSERT INTO `lang_definitions` VALUES (82040, 10140, 15, 'δισκίο (tab)');
INSERT INTO `lang_definitions` VALUES (82041, 10141, 15, 'Καρτέλες');
INSERT INTO `lang_definitions` VALUES (82042, 10142, 15, 'Θέμα Διάταξης Καρτελών ');
INSERT INTO `lang_definitions` VALUES (82043, 10143, 15, 'Θέμα Διάταξης Καρτελών (απαιτείται έξοδος/επανασύνδεση για εφαρμογή)');
INSERT INTO `lang_definitions` VALUES (82044, 10144, 15, 'Συσχέτιση με την Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (82045, 10149, 15, 'Δόση');
INSERT INTO `lang_definitions` VALUES (82046, 10151, 15, 'Επιλογή Ασφαλιστικής, από Drop Down');
INSERT INTO `lang_definitions` VALUES (82047, 10152, 15, 'Επιλογή πληρωμής από, από Drop Down');
INSERT INTO `lang_definitions` VALUES (82048, 10153, 15, 'Επιστροφή');
INSERT INTO `lang_definitions` VALUES (82049, 10154, 15, 'Απαιτεί χρόνο');
INSERT INTO `lang_definitions` VALUES (82050, 10161, 15, 'Η Ημ/νία Γέν. του στόχου και του προορισμού δεν ταιριάζουν');
INSERT INTO `lang_definitions` VALUES (82051, 10162, 15, 'Ο κωδ. του ασθενούς-στόχου και του ασθενούς-προορισμού δεν χρειάζεται να είναι ίδιο!');
INSERT INTO `lang_definitions` VALUES (82052, 10163, 15, 'Το ΑΜΚΑ του ασθενούς-στόχου δεν ταιριάζει με το ΑΜΚΑ του ασθενούς-προορισμού');
INSERT INTO `lang_definitions` VALUES (82053, 10164, 15, 'Ημ/νία στόχος');
INSERT INTO `lang_definitions` VALUES (82054, 10165, 15, 'Ασθενής-Στόχος');
INSERT INTO `lang_definitions` VALUES (82055, 10166, 15, 'Ο Ασθένης-στόχος δεν έχει Ημ/νία Γέν.');
INSERT INTO `lang_definitions` VALUES (82056, 10167, 15, 'Δεν βρέθηκε ο ασθενής-στόχος');
INSERT INTO `lang_definitions` VALUES (82057, 10169, 15, 'Στόχοι');
INSERT INTO `lang_definitions` VALUES (82058, 10172, 15, 'ΑΦΜ');
INSERT INTO `lang_definitions` VALUES (82059, 10173, 15, 'ΑΦΜ');
INSERT INTO `lang_definitions` VALUES (82060, 10174, 15, 'Φορολογικός συντελεστής');
INSERT INTO `lang_definitions` VALUES (82061, 10175, 15, 'Φόροι');
INSERT INTO `lang_definitions` VALUES (82062, 10176, 15, 'Ταξινόμηση');
INSERT INTO `lang_definitions` VALUES (82063, 10177, 15, 'ΚΑ');
INSERT INTO `lang_definitions` VALUES (82064, 10183, 15, 'Μητρώο Ομάδας');
INSERT INTO `lang_definitions` VALUES (82065, 10184, 15, 'Προβολή Μητρώου Ομάδας');
INSERT INTO `lang_definitions` VALUES (82066, 10185, 15, 'Ομάδα');
INSERT INTO `lang_definitions` VALUES (82067, 10187, 15, 'Τηλ');
INSERT INTO `lang_definitions` VALUES (82068, 10188, 15, 'Τηλεϊατρική');
INSERT INTO `lang_definitions` VALUES (82069, 10189, 15, 'Τηλεφωνικός Κωδικός Χώρας');
INSERT INTO `lang_definitions` VALUES (82070, 10190, 15, 'Πες μου περισσότερα');
INSERT INTO `lang_definitions` VALUES (82071, 10192, 15, 'Θερμομέτρηση');
INSERT INTO `lang_definitions` VALUES (82072, 10193, 15, 'Θέση Θερμομέτρησης');
INSERT INTO `lang_definitions` VALUES (82073, 10194, 15, 'Τρόπος Θερμομέτρησης');
INSERT INTO `lang_definitions` VALUES (82074, 10195, 15, 'Κροταφ. Αρτ.');
INSERT INTO `lang_definitions` VALUES (82075, 10196, 15, 'Θερμοκρασία');
INSERT INTO `lang_definitions` VALUES (82076, 10197, 15, 'Πρότυπο');
INSERT INTO `lang_definitions` VALUES (82077, 10198, 15, 'Όνομα Προτύπου');
INSERT INTO `lang_definitions` VALUES (82078, 10199, 15, 'Τα ονόματα των Προτύπων δεν μπορούν να αρχίζουν με αριθμούς');
INSERT INTO `lang_definitions` VALUES (82079, 10200, 15, 'Άλλαξε ο επιλογέας Προτύπων');
INSERT INTO `lang_definitions` VALUES (82080, 10201, 15, 'Πρότυπο:');
INSERT INTO `lang_definitions` VALUES (82081, 10202, 15, 'Πρότυπα');
INSERT INTO `lang_definitions` VALUES (82082, 10203, 15, 'Κροταφική Αρτ.');
INSERT INTO `lang_definitions` VALUES (82083, 10204, 15, 'Κροταφικές Αρτηρίες');
INSERT INTO `lang_definitions` VALUES (82084, 10205, 15, 'Κροταφική αρτηρία');
INSERT INTO `lang_definitions` VALUES (82085, 10207, 15, 'κροταφ');
INSERT INTO `lang_definitions` VALUES (82086, 10208, 15, 'Κάκωση τένοντα');
INSERT INTO `lang_definitions` VALUES (82087, 10209, 15, 'Τενοντίτιδα/θυλακίτιδα');
INSERT INTO `lang_definitions` VALUES (82088, 10210, 15, 'Τάση');
INSERT INTO `lang_definitions` VALUES (82089, 10211, 15, 'Αριθμός αβέβαιου παραστατικού');
INSERT INTO `lang_definitions` VALUES (82090, 10212, 15, 'Όροι και Προϋποθέσεις');
INSERT INTO `lang_definitions` VALUES (82091, 10213, 15, 'Τριτεύουσα');
INSERT INTO `lang_definitions` VALUES (82092, 10214, 15, 'Τριτεύουσα Ασφάλιση');
INSERT INTO `lang_definitions` VALUES (82093, 10215, 15, 'Δεδομένα Τριτεύουσας Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (82094, 10216, 15, 'Πάροχος Τριτεύουσας Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (82095, 10218, 15, 'Έγινε Παραγγελία της Εξέτασης');
INSERT INTO `lang_definitions` VALUES (82096, 10221, 15, 'Εξέταση/Παραγγελία');
INSERT INTO `lang_definitions` VALUES (82097, 10222, 15, 'Πραγματοποιημένες Εξετάσεις');
INSERT INTO `lang_definitions` VALUES (82098, 10223, 15, 'Κείμενο');
INSERT INTO `lang_definitions` VALUES (82099, 10224, 15, 'Κείμενο Διάγνωσης');
INSERT INTO `lang_definitions` VALUES (82100, 10225, 15, 'Πεδίο κειμένου');
INSERT INTO `lang_definitions` VALUES (82101, 10232, 15, 'Άδεια Μηνύματος Κειμένου');
INSERT INTO `lang_definitions` VALUES (82102, 10233, 15, 'κείμενο-ημ/νία');
INSERT INTO `lang_definitions` VALUES (82103, 10234, 15, 'κείμενο-ημ/νία');
INSERT INTO `lang_definitions` VALUES (82104, 10235, 15, 'χώρος κειμένου');
INSERT INTO `lang_definitions` VALUES (82105, 10236, 15, 'χώρος κειμένου');
INSERT INTO `lang_definitions` VALUES (82106, 10237, 15, 'Πεδίο κειμένου');
INSERT INTO `lang_definitions` VALUES (82107, 10238, 15, 'πεδίο κειμένου');
INSERT INTO `lang_definitions` VALUES (82108, 10241, 15, 'Ταϊλανδικά');
INSERT INTO `lang_definitions` VALUES (82109, 10242, 15, 'Σας ευχαριστούμε');
INSERT INTO `lang_definitions` VALUES (82110, 10245, 15, 'Σας ευχαριστούμε που επιλέξατε');
INSERT INTO `lang_definitions` VALUES (82111, 10246, 15, 'Σας ευχαριστούμε');
INSERT INTO `lang_definitions` VALUES (82112, 10247, 15, 'Το κουμπί \"Καθαρισμός\" θα αφαιρέσει όλες τις επισημάνσεις.');
INSERT INTO `lang_definitions` VALUES (82113, 10264, 15, 'Το πιστοποιητικό για τον Apache SSL server και το Δημόσιο Κλειδί');
INSERT INTO `lang_definitions` VALUES (82114, 10281, 15, 'Το πιστοποιητικό της Αρχής Πιστοποίησης');
INSERT INTO `lang_definitions` VALUES (82115, 10296, 15, 'Το αντίστοιχο ιδιωτικό κλειδί');
INSERT INTO `lang_definitions` VALUES (82116, 10305, 15, 'Ο έλεγχος ακεραιότητας δεδομένων για αυτό το έντυπο απέτυχε');
INSERT INTO `lang_definitions` VALUES (82117, 10322, 15, 'Ο κωδικός Άρνησης είναι');
INSERT INTO `lang_definitions` VALUES (82118, 10323, 15, 'Ο ομαδικός κωδικός άρνησης είναι');
INSERT INTO `lang_definitions` VALUES (82119, 10328, 15, 'Το έντυπο προορισμού ήταν κλειστό');
INSERT INTO `lang_definitions` VALUES (82120, 10330, 15, 'Το έντυπο προορισμού ήταν κλειστό, δεν μπορώ να ενεργήσω στην επιλογή σας.');
INSERT INTO `lang_definitions` VALUES (82121, 10343, 15, 'Η οντότητα που εκτελεί αυτή την διαδικασία');
INSERT INTO `lang_definitions` VALUES (82122, 10346, 15, 'Ο επιλέξιμος Πάροχος, το επιλέξιμο νοσοκομείο ή το νοσοκομείο επείγουσας πρόσβασης που λαμβάνει έναν ασθενή από κάποια άλλη μονάδα περίθαλψης ή πάροχο περίθαλψης ή πιστεύει ότι μια επίσκεψη είναι σχετική θα πρέπει να συμβιβαστεί με τη φαρμακευτική αγωγή.');
INSERT INTO `lang_definitions` VALUES (82123, 10349, 15, 'Ο επιλέξιμος Πάροχος, το επιλέξιμο νοσοκομείο ή το νοσοκομείο επείγουσας πρόσβασης που μεταβιβάζει έναν ασθενή του σε κάποια άλλη μονάδα περίθαλψης ή πάροχο περίθαλψης ή παραπέμπει έναν ασθενή του σε άλλο πάροχο περίθαλψης θα πρέπει να παρέχει περίληψη των αναφορών περίθαλψης για κάθε μετάβαση ή παραπομπή.');
INSERT INTO `lang_definitions` VALUES (82124, 10350, 15, 'Τα συμβάντα έχουν εγκριθεί.');
INSERT INTO `lang_definitions` VALUES (82125, 10351, 15, 'Τα συμβάντα έχουν κρυφτεί.');
INSERT INTO `lang_definitions` VALUES (82126, 10352, 15, 'Τα δεδομένα που εξάγονται εμφανίζονται στην περιοχή κείμενου που ακολουθεί. Μπορείτε να αντιγράψετε και να επικολλήσετε αυτά σε ένα email ή σε οποιοδήποτε άλλο επιθυμητό προορισμό.');
INSERT INTO `lang_definitions` VALUES (82127, 10353, 15, 'Τα δεδομένα που εξάγονται εμφανίζονται στην περιοχή κείμενου που ακολουθεί. Μπορείτε να αντιγράψετε και να επικολλήσετε αυτά σε ένα email ή σε οποιονδήποτε άλλο επιθυμητό προορισμό (ή) να τα κατεβάσετε από τον παρακάτω σύνδεσμο.');
INSERT INTO `lang_definitions` VALUES (82128, 10354, 15, 'Τα δεδομένα που εξάγονται εμφανίζονται στην περιοχή κείμενου που ακολουθεί. Μπορείτε να αντιγράψετε και να επικολλήσετε αυτά σε ένα email ή σε οποιονδήποτε άλλο επιθυμητό προορισμό.');
INSERT INTO `lang_definitions` VALUES (82129, 10355, 15, 'Τα εξαγόμενα δεδομένα εμφανίζονται στην περιοχή του κειμένου που ακολουθεί. Μπορείτε να αντιγράψετε και να επικολλήσετε αυτά σε ένα μήνυμα ηλεκτρονικού ταχυδρομείου ή σε οποιαδήποτε άλλο επιθυμητό προορισμό.');
INSERT INTO `lang_definitions` VALUES (82130, 10358, 15, 'Το αρχείο δεν μπορούσε να αποθηκευθεί στο CouchDB.');
INSERT INTO `lang_definitions` VALUES (82131, 10359, 15, 'Το αρχείο δεν μπόρεσε να μετονομαστεί με επιτυχία, αυτό το σφάλμα σχετίζεται συνήθως προβλήματα δικαιωμάτων στο σύστημα αποθήκευσης.');
INSERT INTO `lang_definitions` VALUES (82132, 10360, 15, 'Το αρχείο δεν αποθηκεύθηκε επιτυχώς. Αυτό το σφάλμα σχετίζεται συνήθως με προβλήματα δικαιωμάτων στο σύστημα αποθήκευσης.');
INSERT INTO `lang_definitions` VALUES (82133, 10364, 15, 'Ο πρώτος (\"στόχος\") φάκελος είναι αυτός που θεωρείται πιο ολοκληρωμένος και ακριβής. Τα Δημογραφικά, το Ιστορικό και η Ασφάλιση που περιέχει θα διατηρηθούν.');
INSERT INTO `lang_definitions` VALUES (82134, 10374, 15, 'Το πρώτο βήμα είναι να ανοίξετε έναν λογαριασμό στον ιστότοπο του Unified Medical Language.');
INSERT INTO `lang_definitions` VALUES (82135, 10380, 15, 'Προσετέθη το ακόλουθο συμβάν ημερολογίου:');
INSERT INTO `lang_definitions` VALUES (82136, 10381, 15, 'Τροποποιήθηκε το ακόλουθο συμβάν ημερολογίου:');
INSERT INTO `lang_definitions` VALUES (82137, 10382, 15, 'Οι ακόλουθες κατηγορίες θα αφαιρεθούν από τη Λίστα κατηγοριών σας');
INSERT INTO `lang_definitions` VALUES (82138, 10383, 15, 'Η ακόλουθη έκδοση βάσης δεδομένων έχει εγκατασταθεί');
INSERT INTO `lang_definitions` VALUES (82139, 10384, 15, 'Τα ακόλουθα έγγραφα ήταν συνημμένα με αυτό το Άμεσο μήνυμα:');
INSERT INTO `lang_definitions` VALUES (82140, 10386, 15, 'Το ακόλουθο αρχείο EDI ανέβηκε');
INSERT INTO `lang_definitions` VALUES (82141, 10388, 15, 'Eνεργοποιήθηκε η Επείγουσα Σύνδεση του εξής Χρήστη:');
INSERT INTO `lang_definitions` VALUES (82142, 10389, 15, 'Συνέβησαν τα ακόλουθα σφάλματα');
INSERT INTO `lang_definitions` VALUES (82143, 10390, 15, 'Το ακόλουθο πεδίο έχει άκυρη τιμή');
INSERT INTO `lang_definitions` VALUES (82144, 10391, 15, 'Τα ακόλουθα πεδία είναι κενά.');
INSERT INTO `lang_definitions` VALUES (82145, 10392, 15, 'Τα ακόλουθα πεδία απαιτούνται');
INSERT INTO `lang_definitions` VALUES (82146, 10393, 15, 'Τα ακόλουθα πεδία πρέπει να συμπληρωθούν για να αποσταλεί το αίτημα.');
INSERT INTO `lang_definitions` VALUES (82147, 10394, 15, 'Τα ακόλουθα πεδία πρέπει να συμπληρωθούν για να αποσταλεί το αίτημα.');
INSERT INTO `lang_definitions` VALUES (82148, 10396, 15, 'Συνέβη το ακόλουθο');
INSERT INTO `lang_definitions` VALUES (82149, 10397, 15, 'Τα ακόλουθα προβλήματα έχουν τον ίδιο κωδικό διάγνωσης. Δεν θα πραγματοποιηθεί ενημέρωση των Θεμάτων στην Επίσκεψη. Παρακαλώ χρησιμοποιήστε το περιβάλλον της Επίσκεψης αντί αυτού.');
INSERT INTO `lang_definitions` VALUES (82150, 10418, 15, 'Το αρχικό παράθυρο είναι η σελίδα αναζήτησης του παραστατικού. Στην κορυφή μπορείτε να δώσετε μια πηγή (π.χ. αριθμός ελέγχου), ημ/νία πληρωμής και ποσό ελέγχου. Ο λόγος για την ημ/νία πηγής και πληρωμής είναι αυτός, ώστε δεν χρειάζεται να τα εισάγετε ξανά και ξανά για κάθε αξίωση. Το ποσό που εισάγετε θα μειωθεί για κάθε τιμολόγιο που δίνεται μέρος της πληρωμής και ελπίζουμε ότι θα τελειώσει στο μηδέν όταν τελειώσετε.');
INSERT INTO `lang_definitions` VALUES (82151, 10420, 15, 'Πρέπει να δημιουργηθεί ο κατάλογος εγκατάστασης.');
INSERT INTO `lang_definitions` VALUES (82152, 10427, 15, 'Τα Θέματα μπορούν να εισαχθούν με έναν από τους δύο τρόπους');
INSERT INTO `lang_definitions` VALUES (82153, 10431, 15, 'Η ετικέτα που φαίνεται στο χρήστη πάνω στο έντυπο');
INSERT INTO `lang_definitions` VALUES (82154, 10438, 15, 'Το μήκος δεν θα πρέπει να υπερβαίνει τον ακόλουθο αριθμό χαρακτήρων');
INSERT INTO `lang_definitions` VALUES (82155, 10442, 15, 'Η συγχώνευση δεν θα εκτελεστεί αν το ΑΜΚΑ και η Ημ/νία Γέν. των δύο φακέλων δεν συμφωνούν. Οι Ημ/νία Γέν. δεν μπορούν να είναι κενές.');
INSERT INTO `lang_definitions` VALUES (82156, 10443, 15, 'Αδύνατη η αποστολή του μηνύματος.');
INSERT INTO `lang_definitions` VALUES (82157, 10458, 15, 'Ο νέος κατάλογος θα είναι μια υπο-κατηγορία του/της');
INSERT INTO `lang_definitions` VALUES (82158, 10460, 15, 'Ο νέος κωδικός πρόσβασης δεν μπορεί να είναι ο ίδιος με τον τρέχοντα κωδικό πρόσβασης.');
INSERT INTO `lang_definitions` VALUES (82159, 10461, 15, 'Τα πεδία του νέου κωδικού πρόσβασης δεν είναι ίδια.');
INSERT INTO `lang_definitions` VALUES (82160, 10479, 15, 'Η σελίδα θα ανακατευθυνθεί στα Δημογραφικά. Μπορείτε να επεξεργαστείτε το πεδίο \"Χώρα\" και να προχωρήσετε στο NewCrop ξανά.');
INSERT INTO `lang_definitions` VALUES (82161, 10482, 15, 'Ο κωδικός πρόσβασης πρέπει να είναι τουλάχ. με 8 χαρακτήρες και θα πρέπει');
INSERT INTO `lang_definitions` VALUES (82162, 10483, 15, 'Ο κωδικός πρόσβασης που εισάγατε δεν είναι έγκυρος');
INSERT INTO `lang_definitions` VALUES (82163, 10484, 15, 'Το παρελθόν Οφθαλμικό Ιστορικό (POH) και το παρελθόν Ιατρικό Ιστορικό (PMH) είναι αρνητικά');
INSERT INTO `lang_definitions` VALUES (82164, 10485, 15, 'Ο ασθενής είναι ήδη εγγεγραμμένος στην ομάδα');
INSERT INTO `lang_definitions` VALUES (82165, 10486, 15, 'Το αίτημα φακέλου ασθενούς έχει καταγραφεί.');
INSERT INTO `lang_definitions` VALUES (82166, 10487, 15, 'Οι υπενθυμίσεις προς ασθενή(-είς) έχουν σταλεί');
INSERT INTO `lang_definitions` VALUES (82167, 10488, 15, 'Οι υπενθυμίσεις προς ασθενή(-είς) έχουν ενημερωθεί');
INSERT INTO `lang_definitions` VALUES (82168, 10489, 15, 'Ο ασθενής δεν ήταν συνδεδεμένος κατά την υποβολή αυτού του εντύπου');
INSERT INTO `lang_definitions` VALUES (82169, 10490, 15, 'Ο ασθενής πρέπει να αλλάξει τα στοιχεία εισόδου κατά την πρώτη είσοδο');
INSERT INTO `lang_definitions` VALUES (82170, 10491, 15, 'Δικαιώματα Ασθενούς');
INSERT INTO `lang_definitions` VALUES (82171, 10493, 15, 'Οι πληρωμές που απεστάλησαν δεν μπορούν να είναι κάτω από αυτήν την ημ/νία. Αυτό εξασφαλίζει ότι μετά τη λήψη της τελικής αναφοράς, κανείς δεν αποστέλει για προηγούμενες ημερομηνίες.');
INSERT INTO `lang_definitions` VALUES (82172, 10495, 15, 'Το Portal έχει δεδομένα για αυτόν τον ασθενή και το έντυπο. Να φορτωθούν τώρα;');
INSERT INTO `lang_definitions` VALUES (82173, 10509, 15, 'Οι υπόλοιπες πληροφορίες παρακάτω ισχύουν μόνο αν αποστέλλετε χειρωνακτικά, ή αν κάνετε διορθώσεις με το χέρι.');
INSERT INTO `lang_definitions` VALUES (82174, 10512, 15, 'Το ζητούμενο έγγραφο δεν είναι παρόν στην αναμενόμενη θέση στο σύστημα αρχείων ή δεν υπάρχουν επαρκή δικαιώματα για πρόσβαση σε αυτό.');
INSERT INTO `lang_definitions` VALUES (82175, 10513, 15, 'Το ζητούμενο έγγραφο δεν είναι παρόν στην αναμενόμενη θέση στο σύστημα αρχείων ή δεν υπάρχουν επαρκή δικαιώματα για πρόσβαση σε αυτό.');
INSERT INTO `lang_definitions` VALUES (82176, 10521, 15, 'Ο χρόνος ανανέωσης οθόνης σε Δευτερόλεπτα για την Οθόνη Πίνακα Ροής Ασθενών.');
INSERT INTO `lang_definitions` VALUES (82177, 10524, 15, 'Τα Δημογραφικά, το Ιστορικό και η Ασφάλιση του δεύτερου φακέλου (\"προέλευση\") θα απορριφθούν. Τα υπόλοιπα δεδομένα του θα συγχωνευθούν κανονικά στον φάκελο προορισμού.');
INSERT INTO `lang_definitions` VALUES (82178, 10537, 15, 'Οι στήλες Πηγής και Ημ/νίας αντιγράφονται από την πρώτη σελίδα, έτσι κανονικά δεν θα χρειαστεί να τις αγγίξετε. Μπορείτε να τοποθετήσετε ένα ποσό πληρωμής στη στήλη Πληρωμή, ένα ποσό προσαρμογής στην στήλη Ρύθμιση, ή και τα δύο. Μπορείτε επίσης να κάνετε κλικ στο \"W\" στα δεξιά για να υπολογιστεί αυτόματα μια τιμή προσαρμογής που γράφει το υπόλοιπο του τέλους για το στοιχείο γραμμής.');
INSERT INTO `lang_definitions` VALUES (82179, 10545, 15, 'η κατάσταση τριών χρόνιων/ανενεργών νοσημάτων');
INSERT INTO `lang_definitions` VALUES (82180, 10557, 15, 'Η υποδιαίρεση του χρόνου του ημερολογίου και το μικρότερο διάστημα σε λεπτά για μια υποδοχή ραντεβού.');
INSERT INTO `lang_definitions` VALUES (82181, 10562, 15, 'Η μεταφρασμένη ετικέτα που θα εμφανιστεί στο έντυπο στην τρέχουσα γλώσσα');
INSERT INTO `lang_definitions` VALUES (82182, 10563, 15, 'Ο μεταφρασμένος Τίτλος που θα εμφανιστεί στην τρέχουσα γλώσσα');
INSERT INTO `lang_definitions` VALUES (82183, 10564, 15, 'Η μετάφραση της περιγραφής στην τρέχουσα γλώσσα');
INSERT INTO `lang_definitions` VALUES (82184, 10565, 15, 'Οι πίνακες μετάφρασης είναι συγχρονισμένοι');
INSERT INTO `lang_definitions` VALUES (82185, 10566, 15, 'Το είδος αυτής της οντότητος');
INSERT INTO `lang_definitions` VALUES (82186, 10586, 15, 'Ο ειδικός κωδικός πωλητή, που ταυτοποιεί την διαδικασία ή το αποτέλεσμα');
INSERT INTO `lang_definitions` VALUES (82187, 10591, 15, 'Τα αρχεία X12 και οι σχετικές αναφορές εξόδου HTML αρχειοθετούνται στον υποκατάλογο \"era\" του κυρίου καταλόγου εγκατάστασης του OpenEMR. Θα θέλατε να αναφερθείτε σε αυτά τα αρχεία κάπου κάπου. Η διεύθυνση URL είναι');
INSERT INTO `lang_definitions` VALUES (82188, 10593, 15, 'Το αρχείο zip θα περιέχει τα ακόλουθα στοιχεία');
INSERT INTO `lang_definitions` VALUES (82189, 10594, 15, 'Θέμα');
INSERT INTO `lang_definitions` VALUES (82190, 10595, 15, 'Θέμα της διάταξης των Καρτελών (χρειάζεται αποσύνδεση/επανασύνδεση για εφαρμογή)');
INSERT INTO `lang_definitions` VALUES (82191, 10601, 15, 'Θεραπευτικές Ενέσεις');
INSERT INTO `lang_definitions` VALUES (82192, 10602, 15, 'Θεραπεία');
INSERT INTO `lang_definitions` VALUES (82193, 10605, 15, 'Επίσκεψη Therapy Group');
INSERT INTO `lang_definitions` VALUES (82194, 10606, 15, 'Εύρεση Therapy Group');
INSERT INTO `lang_definitions` VALUES (82195, 10607, 15, 'Υπάρχουν');
INSERT INTO `lang_definitions` VALUES (82196, 10610, 15, 'Δεν υπάρχουν συνταγές προς το παρόν');
INSERT INTO `lang_definitions` VALUES (82197, 10611, 15, 'Υπάρχουν σφάλματα με την υποβολή σας. Αυτά σκιαγραφούνται παρακάτω.');
INSERT INTO `lang_definitions` VALUES (82198, 10614, 15, 'Υπάρχουν πολλοί ασθενείς με σύνδεση στο Portal');
INSERT INTO `lang_definitions` VALUES (82199, 10616, 15, 'Δεν υπάρχουν Ελεύθεροι Φάκελοι.');
INSERT INTO `lang_definitions` VALUES (82200, 10618, 15, 'Δεν υπάρχουν καταγεγραμμένες γνωστοποιήσεις για αυτόν τον ασθενή.');
INSERT INTO `lang_definitions` VALUES (82201, 10619, 15, 'Δεν υπάρχουν Συνταγές Γυαλιών ή Φακών Επαφής στον φάκελο για αυτόν τον ασθενή');
INSERT INTO `lang_definitions` VALUES (82202, 10620, 15, 'Δεν υπάρχουν μηνύματα στο αρχείο για αυτόν τον ασθενή');
INSERT INTO `lang_definitions` VALUES (82203, 10621, 15, 'Δεν υπάρχουν νέες Υποβολές');
INSERT INTO `lang_definitions` VALUES (82204, 10622, 15, 'Δεν υπάρχουν σημειώσεις στο φάκελο, γι\' αυτό τον ασθενή.');
INSERT INTO `lang_definitions` VALUES (82205, 10623, 15, 'Δεν βρέθηκαν εγγραφές.');
INSERT INTO `lang_definitions` VALUES (82206, 10624, 15, 'Δεν υπάρχουν συναλλαγές στο αρχείο για αυτόν τον ασθενή.');
INSERT INTO `lang_definitions` VALUES (82207, 10639, 15, 'Υπήρξε σφάλμα ταχυδρομείου που έστελνε σε');
INSERT INTO `lang_definitions` VALUES (82208, 10640, 15, 'Υπάρχει μία Εργαστηριακή Παραγγελία');
INSERT INTO `lang_definitions` VALUES (82209, 10642, 15, 'Υπάρχει ήδη μια κατηγορία με το όνομα');
INSERT INTO `lang_definitions` VALUES (82210, 10643, 15, 'Υπάρχει ήδη μια υποκατηγορία με το όνομα');
INSERT INTO `lang_definitions` VALUES (82211, 10644, 15, 'Υπάρχει ήδη ένα αντικείμενο με το όνομα');
INSERT INTO `lang_definitions` VALUES (82212, 10645, 15, 'Υπάρχει ήδη ένα ανοιχτό αίτημα ιστορικού του ασθενούς.');
INSERT INTO `lang_definitions` VALUES (82213, 10646, 15, 'Δεν υπάρχει εγγραφή στο διάγραμμα λογαριασμού χρέωσης');
INSERT INTO `lang_definitions` VALUES (82214, 10647, 15, 'Δεν υπάρχει εγγραφή στο διάγραμμα τρέχοντος λογαριασμού');
INSERT INTO `lang_definitions` VALUES (82215, 10648, 15, 'Δεν υπάρχει εγγραφή στο διάγραμμα λογαριασμού εσόδων');
INSERT INTO `lang_definitions` VALUES (82216, 10649, 15, 'Δεν υπάρχει τρέχων ασθενής');
INSERT INTO `lang_definitions` VALUES (82217, 10650, 15, 'Δεν υπάρχει τοπικό περιεχόμενο για αυτό το θέμα.');
INSERT INTO `lang_definitions` VALUES (82218, 10651, 15, 'Δεν υπάρχει ταίριασμα για το αναγνωριστικό παραστατικού');
INSERT INTO `lang_definitions` VALUES (82219, 10652, 15, 'Δεν υπάρχει ταίριασμα για το αναγνωριστικό παραστατικού =');
INSERT INTO `lang_definitions` VALUES (82220, 10653, 15, 'Δεν υπάρχει εγγραφή τμήματος για το αναγνωριστικό υπηρεσιών');
INSERT INTO `lang_definitions` VALUES (82221, 10654, 15, 'Δεν υπάρχουν ασθενείς με σύνδεση στο Portal');
INSERT INTO `lang_definitions` VALUES (82222, 10655, 15, 'Υπήρξε κάποιο πρόβλημα κατά την αποστολή του μηνύματος.');
INSERT INTO `lang_definitions` VALUES (82223, 10656, 15, 'Υπήρξε ένα σφάλμα κατά την επεξεργασία του αιτήματός σας');
INSERT INTO `lang_definitions` VALUES (82224, 10661, 15, 'Αυτοί είναι οι σύνδεσμοι του 2012');
INSERT INTO `lang_definitions` VALUES (82225, 10683, 15, 'Μηρός');
INSERT INTO `lang_definitions` VALUES (82226, 10684, 15, 'Μηρός + ιγνυακός τένοντας');
INSERT INTO `lang_definitions` VALUES (82227, 10685, 15, 'Πράγματα που το προσωπικό υποστήριξης μπορεί μόνο να διαβάσει');
INSERT INTO `lang_definitions` VALUES (82228, 10686, 15, 'Πράγματα που το προσωπικό υποστήριξης μπορεί να διαβάσει και να εισάγει, αλλά όχι να τροποποιήσει');
INSERT INTO `lang_definitions` VALUES (82229, 10687, 15, 'Πράγματα που το προσωπικό υποστήριξης μπορεί να διαβάσει και να τροποποιήσει');
INSERT INTO `lang_definitions` VALUES (82230, 10688, 15, 'Πράγματα που το προσωπικό υποστήριξης μπορεί να διαβάσει και να τροποποιήσει μερικώς');
INSERT INTO `lang_definitions` VALUES (82231, 10689, 15, 'Πράγματα που οι κλινικοί μπορούν μόνο να διαβάσουν');
INSERT INTO `lang_definitions` VALUES (82232, 10690, 15, 'Πράγματα που οι κλινικοί μπορούν να διαβάσουν και να εισάγουν, αλλά όχι να τροποποιήσουν');
INSERT INTO `lang_definitions` VALUES (82233, 10691, 15, 'Πράγματα που οι κλινικοί μπορούν να διαβάσουν και να τροποποιήσουν');
INSERT INTO `lang_definitions` VALUES (82234, 10692, 15, 'Πράγματα που οι κλινικοί μπορούν να διαβάσουν και να τροποποιήσουν μερικώς');
INSERT INTO `lang_definitions` VALUES (82235, 10693, 15, 'Πράγματα που το προσωπικό εξυπηρέτησης κοινού μπορεί μόνο να διαβάσει');
INSERT INTO `lang_definitions` VALUES (82236, 10694, 15, 'Πράγματα που το προσωπικό εξυπηρέτησης κοινού μπορεί να διαβάσει και να εισάγει, αλλά όχι να τροποποιήσει');
INSERT INTO `lang_definitions` VALUES (82237, 10695, 15, 'Πράγματα που το προσωπικό εξυπηρέτησης κοινού μπορεί να διαβάσει και να τροποποιήσει');
INSERT INTO `lang_definitions` VALUES (82238, 10696, 15, 'Πράγματα που το προσωπικό εξυπηρέτησης κοινού μπορεί να διαβάσει και να τροποποιήσει μερικώς');
INSERT INTO `lang_definitions` VALUES (82239, 10697, 15, 'Πράγματα που οι ιατροί μπορούν μόνο να διαβάσουν');
INSERT INTO `lang_definitions` VALUES (82240, 10698, 15, 'Πράγματα που οι ιατροί μπορούν να διαβάσουν και να εισάγουν, αλλά όχι να τροποποιήσουν');
INSERT INTO `lang_definitions` VALUES (82241, 10699, 15, 'Πράγματα που οι ιατροί μπορούν να διαβάσουν και να τροποποιήσουν');
INSERT INTO `lang_definitions` VALUES (82242, 10700, 15, 'Πράγματα που οι ιατροί μπορούν να διαβάσουν και να τροποποιήσουν');
INSERT INTO `lang_definitions` VALUES (82243, 10701, 15, 'Τρίτο');
INSERT INTO `lang_definitions` VALUES (82244, 10703, 15, 'Ο λογαριασμός υπάρχει ήδη.');
INSERT INTO `lang_definitions` VALUES (82245, 10704, 15, 'Αυτή η ενέργεια ΔΕΝ ΜΠΟΡΕΙ να αναιρεθεί.');
INSERT INTO `lang_definitions` VALUES (82246, 10705, 15, 'Αυτή η ενέργεια δεν μπορεί να αναιρεθεί.');
INSERT INTO `lang_definitions` VALUES (82247, 10706, 15, 'Αυτή η ενέργεια δεν μπορεί να αναιρεθεί. Είστε σίγουροι ότι θέλετε να διαγράψετε αυτό το έντυπο;');
INSERT INTO `lang_definitions` VALUES (82248, 10707, 15, 'Η ενέργεια αυτή θα καταγραφεί');
INSERT INTO `lang_definitions` VALUES (82249, 10711, 15, 'Αυτή η ώρα ραντεβού χρησιμοποιείται ήδη, παρακαλώ επιλέξτε άλλη.');
INSERT INTO `lang_definitions` VALUES (82250, 10712, 15, 'Αυτή η ώρα ραντεβού χρησιμοποιείται ήδη. Να την χρησιμοποιήσετε έτσι κι αλλιώς;');
INSERT INTO `lang_definitions` VALUES (82251, 10713, 15, 'Αυτή η ώρα ραντεβού δεν είναι διαθέσιμη. Παρακαλώ επιλέξτε κάποια άλλη.');
INSERT INTO `lang_definitions` VALUES (82252, 10714, 15, 'Φέτος');
INSERT INTO `lang_definitions` VALUES (82253, 10724, 15, 'Αυτός ο κωδικός είναι προαιρετικός.');
INSERT INTO `lang_definitions` VALUES (82254, 10725, 15, 'Αυτό ο τύπος κωδικού δεν αποδέχεται σχέσεις.');
INSERT INTO `lang_definitions` VALUES (82255, 10728, 15, 'Αυτή η Συζήτηση');
INSERT INTO `lang_definitions` VALUES (82256, 10730, 15, 'Αυτό καθορίζει το πως εμφανίζονται τα ραντεβού στο ημερολόγιο.');
INSERT INTO `lang_definitions` VALUES (82257, 10731, 15, 'Αυτό καθορίζει ποιο schema χρωμάτων χρησιμοποιείται για το ραντεβού');
INSERT INTO `lang_definitions` VALUES (82258, 10734, 15, 'Αυτή η Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (82259, 10735, 15, 'Αυτή η Επίσκεψη τιμολογήθηκε. Αν πρέπει να την αλλάξετε, τότε θα πρέπει να ξανανοιχθεί.');
INSERT INTO `lang_definitions` VALUES (82260, 10736, 15, 'Αυτή η επίσκεψη έχει ήδη χρεωθεί (χρήματα). Για να πραγματοποιήσετε αλλαγές, ανοίξτε την ξανά ή επιλέξτε Προσθήκη Περισσότερων Αντικειμένων.');
INSERT INTO `lang_definitions` VALUES (82261, 10737, 15, 'Αυτή η Επίσκεψη είναι κλειδωμένη. Αδύνατη η προσθήκη νέων εντύπων.');
INSERT INTO `lang_definitions` VALUES (82262, 10739, 15, 'Αυτό το fax έχει ήδη σταλεί.');
INSERT INTO `lang_definitions` VALUES (82263, 10740, 15, 'Αυτή η δυνατότητα δεν είναι ακόμα διαθέσιμη.');
INSERT INTO `lang_definitions` VALUES (82264, 10742, 15, 'Αυτή η δυνατότητα είναι σε πειραματικό στάδιο και δεν έχει ελεγχθεί πλήρως. Χρησιμοποιήστε τη με δική σας ευθύνη!');
INSERT INTO `lang_definitions` VALUES (82265, 10753, 15, 'Ο αριθμός του παραστατικού έχει αλλάξει σε');
INSERT INTO `lang_definitions` VALUES (82266, 10755, 15, 'Αυτό μπορεί να γίνει μέσω του μενού Διαχείριση > Χρήστες');
INSERT INTO `lang_definitions` VALUES (82267, 10757, 15, 'Αυτό το αίτημα δεν είναι έγκυρο');
INSERT INTO `lang_definitions` VALUES (82268, 10763, 15, 'Αυτός είναι ο φάκελος που θα συγχωνευθεί στον βασικό φάκελο και μετά θα διαγραφεί.');
INSERT INTO `lang_definitions` VALUES (82269, 10766, 15, 'Αυτό είναι το προεπιλεγμένο αριστερό περιθώριο εκτύπωσης για CMS 1500. Θα προσαρμόσει την τελική εκτύπωση προς τα αριστερά ή τα δεξιά.');
INSERT INTO `lang_definitions` VALUES (82270, 10768, 15, 'Αυτό είναι το προεπιλεγμένο πάνω περιθώριο εκτύπωσης για CMS 1500. Θα προσαρμόσει την τελική εκτύπωση προς τα πάνω ή προς τα κάτω.');
INSERT INTO `lang_definitions` VALUES (82271, 10772, 15, 'Αυτός είναι ο κύριος φάκελος που θα υποδεχθεί τα συγχωνευμένα δεδομένα.');
INSERT INTO `lang_definitions` VALUES (82272, 10780, 15, 'Αυτή η διάταξη δεν υπάρχει');
INSERT INTO `lang_definitions` VALUES (82273, 10784, 15, 'αυτή την τοποθεσία');
INSERT INTO `lang_definitions` VALUES (82274, 10785, 15, 'Αυτό το μήνυμα δεν είναι απαραίτητο να συσχετιστεί με κάποιον ασθενή');
INSERT INTO `lang_definitions` VALUES (82275, 10786, 15, 'Αυτό το κείμενο μηνύματος δεν αποθηκεύεται αυτόματα. Αντιγράψτε το και αποθηκεύστε το όπως αρμόζει στο περιεχόμενο.');
INSERT INTO `lang_definitions` VALUES (82276, 10789, 15, 'Η ενότητα αυτή είναι σε φάση δοκιμής. Η βάση δεδομένων δεν θα αλλάξει.');
INSERT INTO `lang_definitions` VALUES (82277, 10792, 15, 'Η ενότητα αυτή προωθεί την αποτελεσματική είσοδο των δεδομένων Εξήγησης του Κέρδους');
INSERT INTO `lang_definitions` VALUES (82278, 10793, 15, 'Τελευταίος Μήνας');
INSERT INTO `lang_definitions` VALUES (82279, 10797, 15, 'Αυτή η παραγγελία έχει ήδη σταλεί στις');
INSERT INTO `lang_definitions` VALUES (82280, 10799, 15, 'Αυτή η σελίδα απενεργοποιήθηκε για λόγους ασφαλείας.');
INSERT INTO `lang_definitions` VALUES (82281, 10801, 15, 'Αυτή η σελίδα θα περιλαμβάνει ενσωματωμένη τη σελίδα σύνδεσης, έτσι ώστε να μην χρειάζεται να κάνετε κλικ στην επανασύνδεση κάθε φορά.');
INSERT INTO `lang_definitions` VALUES (82282, 10802, 15, 'Αυτός ο ασθενής έχει ήδη προγραμματισμένο ραντεβού στις');
INSERT INTO `lang_definitions` VALUES (82283, 10803, 15, 'Αυτός ο ασθενής δεν επιτρέπει αποστολή SMS');
INSERT INTO `lang_definitions` VALUES (82284, 10804, 15, 'Αυτός ο ασθενής δεν έχει δραστηριότητες.');
INSERT INTO `lang_definitions` VALUES (82285, 10805, 15, 'Αυτό το αναγνωριστικό ασθενούς χρησιμοποιείται ήδη!');
INSERT INTO `lang_definitions` VALUES (82286, 10807, 15, 'Αυτό το προϊόν επιτρέπει μόνο μία παρτίδα ανά αποθήκη.');
INSERT INTO `lang_definitions` VALUES (82287, 10808, 15, 'Αυτό το προτόκολλο δεν έχει εφαρμοστεί');
INSERT INTO `lang_definitions` VALUES (82288, 10809, 15, 'Αυτή η αναφορά λειτουργεί προς το παρόν αποκλειστικά για κωδικούς ICD9.');
INSERT INTO `lang_definitions` VALUES (82289, 10816, 15, 'Αυτό ορίζει την Προεπιλεγμένη Προβολή Ημερολογίου, προεπιλογή είναι η Ημέρα.');
INSERT INTO `lang_definitions` VALUES (82290, 10818, 15, 'Αυτό προσδιορίζει αν θα συμπεριληφθεί η ημερ. στο Πεδίο 31.');
INSERT INTO `lang_definitions` VALUES (82291, 10821, 15, 'Αυτή η ενέργεια θα δημιουργήσει ένα αρχείο που θα πρέπει να αποθηκεύσετε για μελλοντική χρήση. Tο αρχείο δε μπορεί να ξαναδημιουργηθεί. Θέλετε να προχωρήσετε;');
INSERT INTO `lang_definitions` VALUES (82292, 10822, 15, 'Αυτός ο χρήστης δεν είναι μέλος κάποιας ομάδας');
INSERT INTO `lang_definitions` VALUES (82293, 10823, 15, 'Αυτός ο χρήστης θα λάβει ειδοποίηση νέων εισερχόμενων Άμεσων μηνυμάτων.');
INSERT INTO `lang_definitions` VALUES (82294, 10824, 15, 'Αυτή η λειτουργία είναι πειραματική. Κάντε backup της βάσης δεδομένων και των εγγράφων πριν την χρησιμοποιήσετε!');
INSERT INTO `lang_definitions` VALUES (82295, 10826, 15, 'Αυτή η Επίσκεψη ξεκινά νέα χρήση αντισυλληπτικών');
INSERT INTO `lang_definitions` VALUES (82296, 10827, 15, 'Αυτή η επίσκεψη θα χρειαστεί ένα έντυπο GCAC, μια παραπομπή ή μια υπηρεσιακή διαδικασία.');
INSERT INTO `lang_definitions` VALUES (82297, 10828, 15, 'Αυτό ήταν το παλαιό μονάχα μετρικό έντυπο Ζωτικών, που έχει τώρα αποσυρθεί.');
INSERT INTO `lang_definitions` VALUES (82298, 10829, 15, 'Τελευταία Εβδομάδα');
INSERT INTO `lang_definitions` VALUES (82299, 10830, 15, 'Με αυτήν την ενέργεια θα χαθούν οι μη αποθηκευμένες αλλαγές. Είστε σίγουρος/η;');
INSERT INTO `lang_definitions` VALUES (82300, 10831, 15, 'Αυτή η ενέργεια θα ενεργοποιήσει την εγγραφή του CCR (Αναφορά Συνέχισης της Φροντίδας) και του CCD (Εγγραφο Συνέχισης της Φροντίδας).');
INSERT INTO `lang_definitions` VALUES (82301, 10834, 15, 'Αυτή η ενέργεια θα επιτρέψει την επιλογή της αποσφαλμάτωσης ( \'εικονική \') γλώσσα.');
INSERT INTO `lang_definitions` VALUES (82302, 10836, 15, 'Αυτή η ενέργεια θα επιτρέψει την χρήση τροποποιημένης αναφοράς Τέλους Ημέρας και την υπόδειξη σχετικά με το ποια αναφορά θα χρησιμοποιηθεί.');
INSERT INTO `lang_definitions` VALUES (82303, 10840, 15, 'Αυτή η ενέργεια θα καθαρίσει τα δεδομένα από όλα τα πεδία της Εξωτερικής Εξέτασης');
INSERT INTO `lang_definitions` VALUES (82304, 10841, 15, 'Αυτή η ενέργεια θα καθαρίσει τα δεδομένα από όλα τα πεδία της Εξέτασης Αμφιβληστροειδούς');
INSERT INTO `lang_definitions` VALUES (82305, 10843, 15, 'Αυτή η ενέργεια θα δημιουργήσει ένα backup αρχείο σε tar format και θα το στείλει στον Web browser σας ώστε να μπορείτε να το αποθηκεύσετε.');
INSERT INTO `lang_definitions` VALUES (82306, 10844, 15, 'Αυτή η ενέργεια θα απενεργοποιήσει την κρυπτογράφηση του εγγράφου και τις δυνατότητες αποκρυπτογράφησης και θα τις κρύψει στο UI.');
INSERT INTO `lang_definitions` VALUES (82307, 10845, 15, 'Αυτή η ενέργεια θα απενεργοποιήσει το κουμπί Τροποποίηση σε κάθε έντυπο μιας e-signed Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (82308, 10846, 15, 'Αυτή η ενέργεια θα απενεργοποιήσει το κουμπί Τροποποίηση σε κάθε έντυπο που είναι e-signed');
INSERT INTO `lang_definitions` VALUES (82309, 10850, 15, 'Αυτή η ενέργεια θα επιτρέψει την υπογραφή ολόκληρης της Επίσκεψης, αντί για μεμονωμένα έντυπα');
INSERT INTO `lang_definitions` VALUES (82310, 10851, 15, 'Αυτή η ενέργεια θα ενεργοποιήσει την δυνατότητα υπογραφής μεμονωμένων εντύπων, ανεξάρτητα');
INSERT INTO `lang_definitions` VALUES (82311, 10854, 15, 'Αυτή η ενέργεια θα αναγκάσει το Widget χρέωσης στην οθόνη Περίληψης του Ασθενή να είναι πάντα ανοιχτό.');
INSERT INTO `lang_definitions` VALUES (82312, 10855, 15, 'Αυτή η ενέργεια θα δώσει στον χρήστη την επιλογή να κλειδώσει (ξεχωριστό το κλείδωμα και η υπογραφή)');
INSERT INTO `lang_definitions` VALUES (82313, 10859, 15, 'Αυτή η ενέργεια θα συγχωνεύσει δύο φακέλους ασθενών σε έναν. Χρησιμεύει όταν ένας ασθενής έχει περαστεί δύο φορές κατά λάθος. Αν αυτό συμβαίνει συχνά, διορθώστε τις γραφειοκρατικές σας διαδικασίες - μην το τρέχετε σαν ρουτίνα!');
INSERT INTO `lang_definitions` VALUES (82314, 10860, 15, 'Αυτό δε θα σας αποτρέψει από το να πάτε στη σελίδα της ηλεκτρονικής συνταγογράφησης.');
INSERT INTO `lang_definitions` VALUES (82315, 10867, 15, 'Αυτό θα χρησιμοποιήσει την προσαρμοσμένη λίστα εμβολιασμών και όχι τον τυποποιημένο κατάλογο εμβολίων CVX.');
INSERT INTO `lang_definitions` VALUES (82316, 10870, 15, 'Πνευμονολόγος');
INSERT INTO `lang_definitions` VALUES (82317, 10871, 15, 'Θωρακική μοίρα της ΣΣ');
INSERT INTO `lang_definitions` VALUES (82318, 10872, 15, 'Όσοι διαθέτουν επαρκή δικαιώματα θα μπορούσαν να Διαγράψουν τη συναλλαγή');
INSERT INTO `lang_definitions` VALUES (82319, 10873, 15, 'χιλ/κυβ.χιλ.');
INSERT INTO `lang_definitions` VALUES (82320, 10874, 15, 'Προ 3 μηνών');
INSERT INTO `lang_definitions` VALUES (82321, 10875, 15, 'Μετά από 3 μήνες');
INSERT INTO `lang_definitions` VALUES (82322, 10876, 15, 'Τρία ή τέσσερα ψηφία στο πίσω μέρος της κάρτας');
INSERT INTO `lang_definitions` VALUES (82323, 10877, 15, 'Εξάψεις');
INSERT INTO `lang_definitions` VALUES (82324, 10878, 15, 'Λάρυγγας');
INSERT INTO `lang_definitions` VALUES (82325, 10879, 15, 'Καρκίνος του λάρυγγα');
INSERT INTO `lang_definitions` VALUES (82326, 10880, 15, 'Εγχείρηση καρκίνου του λάρυγγα');
INSERT INTO `lang_definitions` VALUES (82327, 10881, 15, 'Θρόμβωση/ΑΕΕ');
INSERT INTO `lang_definitions` VALUES (82328, 10882, 15, 'Πεμ');
INSERT INTO `lang_definitions` VALUES (82329, 10883, 15, 'Μέγεθος thumbnail');
INSERT INTO `lang_definitions` VALUES (82330, 10884, 15, 'Πέμπτη');
INSERT INTO `lang_definitions` VALUES (82331, 10885, 15, 'Πέμπτη');
INSERT INTO `lang_definitions` VALUES (82332, 10887, 15, 'Θυρεοειδής φυσιολογικός');
INSERT INTO `lang_definitions` VALUES (82333, 10888, 15, 'Νοσήματα Θυρεοειδούς');
INSERT INTO `lang_definitions` VALUES (82334, 10889, 15, 'Πε');
INSERT INTO `lang_definitions` VALUES (82335, 10890, 15, 'Παροδικό ισχαιμικό εγκεφαλικό επεισόδιο');
INSERT INTO `lang_definitions` VALUES (82336, 10892, 15, '1x3');
INSERT INTO `lang_definitions` VALUES (82337, 10893, 15, 'Επίπεδο');
INSERT INTO `lang_definitions` VALUES (82338, 10902, 15, 'Ώρα');
INSERT INTO `lang_definitions` VALUES (82339, 10903, 15, 'Μορφή εμφάνισης ημ/νίας');
INSERT INTO `lang_definitions` VALUES (82340, 10904, 15, 'Προσαύξηση ώρας για Προσθήκη (λεπτά 1-60)');
INSERT INTO `lang_definitions` VALUES (82341, 10905, 15, 'Επιλογή ώρας');
INSERT INTO `lang_definitions` VALUES (82342, 10906, 15, 'Η ώρα είναι διαθέσιμη, αποθήκευση συμβάντος');
INSERT INTO `lang_definitions` VALUES (82343, 10907, 15, 'Η ώρα είναι διαθέσιμη, γίνεται αποθήκευση του συμβάντος');
INSERT INTO `lang_definitions` VALUES (82344, 10908, 15, 'Ζώνη Ώρας');
INSERT INTO `lang_definitions` VALUES (82345, 10913, 15, 'Χρονικό σύμβαμα');
INSERT INTO `lang_definitions` VALUES (82346, 10914, 15, 'Συστοιχία χρόνων');
INSERT INTO `lang_definitions` VALUES (82347, 10915, 15, 'Χρονοθέτηση και Κείμενο');
INSERT INTO `lang_definitions` VALUES (82348, 10917, 15, 'ΑΦΜ');
INSERT INTO `lang_definitions` VALUES (82349, 10918, 15, 'Εμβοες');
INSERT INTO `lang_definitions` VALUES (82350, 10920, 15, 'Τίτλος');
INSERT INTO `lang_definitions` VALUES (82351, 10923, 15, 'Τίτλος V');
INSERT INTO `lang_definitions` VALUES (82352, 10924, 15, 'Οι στήλες του τίτλου πρέπει να είναι αριθμός μεταξύ 1 και 999');
INSERT INTO `lang_definitions` VALUES (82353, 10925, 15, 'Τίτλοι');
INSERT INTO `lang_definitions` VALUES (82354, 10927, 15, 'Τυμπανική μεμβράνη/Έξω ακουστικοί πόροι/έξω ους, έξω ρις');
INSERT INTO `lang_definitions` VALUES (82355, 10928, 15, 'Έως');
INSERT INTO `lang_definitions` VALUES (82356, 10929, 15, 'Προς/Μέχρι');
INSERT INTO `lang_definitions` VALUES (82357, 10930, 15, 'ΠΡΟΣ');
INSERT INTO `lang_definitions` VALUES (82358, 10931, 15, 'στην απόλυτη διαδρομή του αρχείου');
INSERT INTO `lang_definitions` VALUES (82359, 10933, 15, 'Για προσθήκη συμμετοχής, κάντε κλικ στο κουμπί «Προσθήκη Συμμετοχής»');
INSERT INTO `lang_definitions` VALUES (82360, 10934, 15, 'Πατήστε εδώ για προσθήκη μηνυμάτων');
INSERT INTO `lang_definitions` VALUES (82361, 10936, 15, 'Για προσθήκη σημειώσεων, παρακαλώ κάντε κλικ');
INSERT INTO `lang_definitions` VALUES (82362, 10937, 15, 'Για προσθήκη σημειώσεων, παρακαλώ κάντε κλικ εδώ');
INSERT INTO `lang_definitions` VALUES (82363, 10938, 15, 'Στην προσβεβλημένη περιοχή');
INSERT INTO `lang_definitions` VALUES (82364, 10939, 15, 'στην προσβεβλημένη περιοχή');
INSERT INTO `lang_definitions` VALUES (82365, 10942, 15, 'Για να ανοιχθεί αυτόματα το καθορισμένο έντυπο. Μερικές αθλητικές ομάδες χρησιμοποιούν το football_injury_audit εδώ.');
INSERT INTO `lang_definitions` VALUES (82366, 10944, 15, 'Στην Προβολή Χρέωσης');
INSERT INTO `lang_definitions` VALUES (82367, 10945, 15, 'Στην κατηγορία');
INSERT INTO `lang_definitions` VALUES (82368, 10947, 15, 'Στην Κλινική προβολή');
INSERT INTO `lang_definitions` VALUES (82369, 10949, 15, 'Στη Συμμετοχή');
INSERT INTO `lang_definitions` VALUES (82370, 10950, 15, 'Για δημιουργία νέου μηνύματος, κάντε κλικ στο κουμπί «Προσθήκη Νέου» στο κάτω μέρος');
INSERT INTO `lang_definitions` VALUES (82371, 10952, 15, 'Η ημερ. Έως πρέπει να είναι μεταγενέστερη της ημερ. Από');
INSERT INTO `lang_definitions` VALUES (82372, 10956, 15, 'Στα Δημογρ.');
INSERT INTO `lang_definitions` VALUES (82373, 10958, 15, 'Για Απενεργοποίηση του πιστοποιητικού από πλευράς του πελάτη, αφαιρέστε τις παραπάνω γραμμές από το αρχείο διαμόρφωσης του Apache και ρυθμίστε');
INSERT INTO `lang_definitions` VALUES (82374, 10960, 15, 'Για απενεργοποίηση του HTTPS, κάντε σχόλια τις παραπάνω γραμμές στο αρχείο ρυθμίσεων του Apache και κάντε επανεκκίνηση του Apache server.');
INSERT INTO `lang_definitions` VALUES (82375, 10965, 15, 'Για την ενεργοποίηση των πιστοποιητικών Client side SSL');
INSERT INTO `lang_definitions` VALUES (82376, 10966, 15, 'Για να ενεργοποιήσετε SSL πιστοποιητικά γνησιότητας από την πλευρά του πελάτη, το HTTPS θα πρέπει να είναι ενεργοποιημένο.');
INSERT INTO `lang_definitions` VALUES (82377, 10970, 15, 'Για Ενεργοποίηση μόνο HTTPS, εκτελέστε τις παραπάνω αλλαγές και κάντε επανεκκίνηση του Apache server. Εάν θέλετε να ρυθμίσετε των πιστοποιητικών από την πλευρά του πελάτη επίσης, παρακαλώ να τα ρυθμίσετε στην επόμενη ενότητα.');
INSERT INTO `lang_definitions` VALUES (82378, 10972, 15, 'Στην Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (82379, 10973, 15, 'Για φιλτράρισμα κατά φύλο');
INSERT INTO `lang_definitions` VALUES (82380, 10975, 15, 'Για πλήρη διαγραφή πατήστε «Αποθήκευση»');
INSERT INTO `lang_definitions` VALUES (82381, 10980, 15, 'Στο Ιστορικό');
INSERT INTO `lang_definitions` VALUES (82382, 10982, 15, 'Στα Θέματα');
INSERT INTO `lang_definitions` VALUES (82383, 10984, 15, 'Για να συνδέσετε αυτήν την επίσκεψη/εκτίμηση με ένα υπάρχον Θέμα, κάντε κλικ στο');
INSERT INTO `lang_definitions` VALUES (82384, 10985, 15, 'Για να συνδέσετε αυτήν την επίσκεψη/εκτίμηση με ένα υπάρχον Θέμα, κάντε κλικ στο θέμα που θέλετε παραπάνω για να το επιλέξετε και στη συνέχεια κάντε κλικ στο [Αποθήκευση]. Κρατήστε πατημένο το [Ctrl] για να επιλέξετε πολλά Θέματα.');
INSERT INTO `lang_definitions` VALUES (82385, 10987, 15, 'για να συνδεθείτε ξανά');
INSERT INTO `lang_definitions` VALUES (82386, 10992, 15, 'Για να καταγράψετε γνωστοποιήσεις, κάντε κλικ');
INSERT INTO `lang_definitions` VALUES (82387, 10994, 15, 'Για επαναποστολή, διαγράψτε το αρχείο από τις Επικοινωνίες και προσπαθήστε ξανά.');
INSERT INTO `lang_definitions` VALUES (82388, 10995, 15, 'Για επαναποστολή, διαγράψτε το αρχείο από τις Επικοινωνίες, ανανεώστε τη σελίδα και προσπαθήστε ξανά.');
INSERT INTO `lang_definitions` VALUES (82389, 10996, 15, 'Για εμφάνιση των φίλτρων κάντε κλικ στο εικονίδιο με το μάτι');
INSERT INTO `lang_definitions` VALUES (82390, 10997, 15, 'να τρέξει');
INSERT INTO `lang_definitions` VALUES (82391, 11001, 15, 'Για να ρυθμίσετε την πρόσβαση https με τον έλεγχο ταυτότητας πιστοποιητικού πελάτη, κάντε τα εξής:');
INSERT INTO `lang_definitions` VALUES (82392, 11002, 15, 'Στο δέρμα');
INSERT INTO `lang_definitions` VALUES (82393, 11003, 15, 'στο δέρμα');
INSERT INTO `lang_definitions` VALUES (82394, 11005, 15, 'σε αυτήν την επίσκεψη;');
INSERT INTO `lang_definitions` VALUES (82395, 11010, 15, 'Προς:');
INSERT INTO `lang_definitions` VALUES (82396, 11011, 15, 'Προς:');
INSERT INTO `lang_definitions` VALUES (82397, 11025, 15, 'Κάπνισμα');
INSERT INTO `lang_definitions` VALUES (82398, 11026, 15, 'Παρέμβαση διακοπής καπνίσματος');
INSERT INTO `lang_definitions` VALUES (82399, 11027, 15, 'Παρέμβαση διακοπής καπνίσματος');
INSERT INTO `lang_definitions` VALUES (82400, 11028, 15, 'Χρήση καπνού');
INSERT INTO `lang_definitions` VALUES (82401, 11029, 15, 'Χρήση Καπνού');
INSERT INTO `lang_definitions` VALUES (82402, 11030, 15, 'Εκτίμηση της χρήσης καπνού');
INSERT INTO `lang_definitions` VALUES (82403, 11031, 15, 'Εκτίμηση της χρήσης καπνού');
INSERT INTO `lang_definitions` VALUES (82404, 11032, 15, 'Σήμερα');
INSERT INTO `lang_definitions` VALUES (82405, 11033, 15, 'ΣΗΜΕΡΑ');
INSERT INTO `lang_definitions` VALUES (82406, 11034, 15, 'σήμερα');
INSERT INTO `lang_definitions` VALUES (82407, 11035, 15, 'Σημερινό Υπόλοιπο');
INSERT INTO `lang_definitions` VALUES (82408, 11036, 15, 'Σημερινές Χρεώσεις');
INSERT INTO `lang_definitions` VALUES (82409, 11037, 15, 'Σημερινή Ημ/νία');
INSERT INTO `lang_definitions` VALUES (82410, 11038, 15, 'Σημερινά Συμβάντα');
INSERT INTO `lang_definitions` VALUES (82411, 11039, 15, 'Εναλλαγή');
INSERT INTO `lang_definitions` VALUES (82412, 11040, 15, 'Εναλλαγή Όλων');
INSERT INTO `lang_definitions` VALUES (82413, 11047, 15, 'Αμυγδαλεκτομή');
INSERT INTO `lang_definitions` VALUES (82414, 11048, 15, 'αμυγδαλεκτομή');
INSERT INTO `lang_definitions` VALUES (82415, 11049, 15, 'Συμβουλές');
INSERT INTO `lang_definitions` VALUES (82416, 11050, 15, 'Πάνω');
INSERT INTO `lang_definitions` VALUES (82417, 11052, 15, 'Άνω Περιθώριο (mm)');
INSERT INTO `lang_definitions` VALUES (82418, 11053, 15, 'Θέμα');
INSERT INTO `lang_definitions` VALUES (82419, 11054, 15, 'Σύνολο');
INSERT INTO `lang_definitions` VALUES (82420, 11055, 15, 'σύνολο');
INSERT INTO `lang_definitions` VALUES (82421, 11056, 15, 'Συνολικές ενεργές δράσεις');
INSERT INTO `lang_definitions` VALUES (82422, 11057, 15, 'Συνολικές ενεργές υπενθυμίσεις μετά την ενημέρωση');
INSERT INTO `lang_definitions` VALUES (82423, 11058, 15, 'Συνολικές ενεργές υπενθυμίσεις πριν από την ενημέρωση');
INSERT INTO `lang_definitions` VALUES (82424, 11060, 15, 'Συνολικός οφειλόμενο ποσό');
INSERT INTO `lang_definitions` VALUES (82425, 11061, 15, 'Συνολικό πληρωτέο ποσό');
INSERT INTO `lang_definitions` VALUES (82426, 11062, 15, 'Συνολικό Χρεωστικό Υπόλοιπο');
INSERT INTO `lang_definitions` VALUES (82427, 11063, 15, 'Συνολική Χρέωση');
INSERT INTO `lang_definitions` VALUES (82428, 11064, 15, 'Σύνολο Χρεώσεων');
INSERT INTO `lang_definitions` VALUES (82429, 11065, 15, 'Σύνολο Πελατών');
INSERT INTO `lang_definitions` VALUES (82430, 11066, 15, 'Σύνολο Συμμετοχής');
INSERT INTO `lang_definitions` VALUES (82431, 11067, 15, 'Συνολικό Κόστος');
INSERT INTO `lang_definitions` VALUES (82432, 11069, 15, 'συνολικές καταχωρήσεις');
INSERT INTO `lang_definitions` VALUES (82433, 11070, 15, 'Συνολικές αποτυχημένες υπενθυμίσεις που εστάλησαν μέσω e-mail');
INSERT INTO `lang_definitions` VALUES (82434, 11071, 15, 'Συνολικές αποτυχημένες υπενθυμίσεις που εστάλησαν μέσω τηλεφώνου');
INSERT INTO `lang_definitions` VALUES (82435, 11072, 15, 'Σύνολο για');
INSERT INTO `lang_definitions` VALUES (82436, 11073, 15, 'Σύνολο για');
INSERT INTO `lang_definitions` VALUES (82437, 11074, 15, 'Σύνολο για την κατηγορία');
INSERT INTO `lang_definitions` VALUES (82438, 11075, 15, 'Συνολικές απενεργοποιημένες ρυθμίσεις');
INSERT INTO `lang_definitions` VALUES (82439, 11078, 15, 'Σύνολο νέων υπενθυμίσεων');
INSERT INTO `lang_definitions` VALUES (82440, 11079, 15, 'Συνολικός αριθμός ραντεβού');
INSERT INTO `lang_definitions` VALUES (82441, 11081, 15, 'Συνολικός αριθμός Εμβολιασμών');
INSERT INTO `lang_definitions` VALUES (82442, 11082, 15, 'Συνολ. αριθμός Θεμάτων');
INSERT INTO `lang_definitions` VALUES (82443, 11083, 15, 'Συνολ. αριθμός καταχωρήσεων στον Πίνακα Ροής Ασθενών');
INSERT INTO `lang_definitions` VALUES (82444, 11084, 15, 'Συνολ. αριθμός Ασθενών');
INSERT INTO `lang_definitions` VALUES (82445, 11086, 15, 'Σύνολο Σελίδων');
INSERT INTO `lang_definitions` VALUES (82446, 11087, 15, 'Συνολ. Υπόλοιπο Ασθενούς');
INSERT INTO `lang_definitions` VALUES (82447, 11088, 15, 'Σύνολο ασθενών');
INSERT INTO `lang_definitions` VALUES (82448, 11089, 15, 'Συνολικοί Ασθενείς');
INSERT INTO `lang_definitions` VALUES (82449, 11090, 15, 'Σύνολο Πληρωμών');
INSERT INTO `lang_definitions` VALUES (82450, 11091, 15, 'Σύνολο Εγγραφών');
INSERT INTO `lang_definitions` VALUES (82451, 11092, 15, 'Σύνολο Εγγραφών');
INSERT INTO `lang_definitions` VALUES (82452, 11093, 15, 'Συνολ. εγγραφές που βρέθηκαν');
INSERT INTO `lang_definitions` VALUES (82453, 11094, 15, 'Συνολικό μέγεθος');
INSERT INTO `lang_definitions` VALUES (82454, 11095, 15, 'Ολική Σεξουαλική και Αναπαραγ. Υγεία και Οικογεν. προγραμματισμός');
INSERT INTO `lang_definitions` VALUES (82455, 11096, 15, 'Συνολ. επιτυχημένες υπενθυμίσεις που εστάλησαν μέσω e-mail');
INSERT INTO `lang_definitions` VALUES (82456, 11097, 15, 'Συνολ. επιτυχημένες υπενθυμίσεις που εστάλησαν μέσω τηλεφώνου');
INSERT INTO `lang_definitions` VALUES (82457, 11098, 15, 'Συνολ. Χρόνος');
INSERT INTO `lang_definitions` VALUES (82458, 11099, 15, 'Συνολ. Μεταφορές');
INSERT INTO `lang_definitions` VALUES (82459, 11100, 15, 'Συνολ. αμετάβλητες υπενθυμίσεις');
INSERT INTO `lang_definitions` VALUES (82460, 11101, 15, 'Συνολ. υπενθυμίσεις που δεν έχουν σταλεί μετά από τη διαδικασία αποστολής');
INSERT INTO `lang_definitions` VALUES (82461, 11102, 15, 'Συνολ. υπενθυμίσεις που δεν έχουν σταλεί μετά από την ενημέρωση');
INSERT INTO `lang_definitions` VALUES (82462, 11103, 15, 'Συνολ. υπενθυμίσεις που δεν έχουν σταλεί πριν από τη διαδικασία αποστολής');
INSERT INTO `lang_definitions` VALUES (82463, 11104, 15, 'Συνολ. υπενθυμίσεις που δεν έχουν σταλεί πριν από την ενημέρωση');
INSERT INTO `lang_definitions` VALUES (82464, 11105, 15, 'Σύνολο ενημερωμένων υπενθυμίσεων');
INSERT INTO `lang_definitions` VALUES (82465, 11106, 15, 'Σύνολα');
INSERT INTO `lang_definitions` VALUES (82466, 11107, 15, 'Σύνολα για');
INSERT INTO `lang_definitions` VALUES (82467, 11108, 15, 'Σύνολα για');
INSERT INTO `lang_definitions` VALUES (82468, 11109, 15, 'Μόνο Σύνολα');
INSERT INTO `lang_definitions` VALUES (82469, 11123, 15, 'έως');
INSERT INTO `lang_definitions` VALUES (82470, 11124, 15, 'Έως');
INSERT INTO `lang_definitions` VALUES (82471, 11128, 15, 'Παρακολούθηση');
INSERT INTO `lang_definitions` VALUES (82472, 11133, 15, 'Προπονητής');
INSERT INTO `lang_definitions` VALUES (82473, 11134, 15, 'Προπόνηση');
INSERT INTO `lang_definitions` VALUES (82474, 11136, 15, 'Συναλλαγές');
INSERT INTO `lang_definitions` VALUES (82475, 11137, 15, 'Συναλλαγή');
INSERT INTO `lang_definitions` VALUES (82476, 11138, 15, 'συναλλαγή');
INSERT INTO `lang_definitions` VALUES (82477, 11140, 15, 'Η συναλλαγή απέτυχε, η ποσότητα είναι μικρότερη του μηδενός');
INSERT INTO `lang_definitions` VALUES (82478, 11141, 15, 'Κωδ. Συναλλαγής');
INSERT INTO `lang_definitions` VALUES (82479, 11142, 15, 'Είδος συναλλαγής');
INSERT INTO `lang_definitions` VALUES (82480, 11143, 15, 'Συναλλαγές');
INSERT INTO `lang_definitions` VALUES (82481, 11144, 15, 'συναλλαγές');
INSERT INTO `lang_definitions` VALUES (82482, 11145, 15, 'Συναλλαγές (εγγραφή προαιρετικά)');
INSERT INTO `lang_definitions` VALUES (82483, 11146, 15, 'Συναλλαγές (εγγραφή προαιρετικά) (συναλ)');
INSERT INTO `lang_definitions` VALUES (82484, 11150, 15, 'Συναλλαγές, π.χ. παραπεμπτικά (εγγραφή προαιρετικά) (συναλ)');
INSERT INTO `lang_definitions` VALUES (82485, 11151, 15, 'Συναλλαγές/Παραπομπές');
INSERT INTO `lang_definitions` VALUES (82486, 11152, 15, 'Διαδερμικά');
INSERT INTO `lang_definitions` VALUES (82487, 11153, 15, 'Μεταφορά');
INSERT INTO `lang_definitions` VALUES (82488, 11154, 15, 'Ημερ/νία μεταφοράς');
INSERT INTO `lang_definitions` VALUES (82489, 11155, 15, 'Η μεταφορά απέτυχε, ανεπαρκής ποσότητα στην παρτίδα προέλευσης');
INSERT INTO `lang_definitions` VALUES (82490, 11157, 15, 'Μεταφορά σε');
INSERT INTO `lang_definitions` VALUES (82491, 11158, 15, 'Μετεφέρθη από');
INSERT INTO `lang_definitions` VALUES (82492, 11159, 15, 'Ημ. Μεταφοράς');
INSERT INTO `lang_definitions` VALUES (82493, 11160, 15, 'Μεταφορές');
INSERT INTO `lang_definitions` VALUES (82494, 11162, 15, 'Μεταφορά Φροντίδας;');
INSERT INTO `lang_definitions` VALUES (82495, 11163, 15, 'Μετάφραση Ομάδων Ελέγχου Πρόσβασης');
INSERT INTO `lang_definitions` VALUES (82496, 11164, 15, 'Ματάφραση Κατηγοριών Ραντεβού');
INSERT INTO `lang_definitions` VALUES (82497, 11165, 15, 'Μετάφραση Κατηγοριών Εγγράφου');
INSERT INTO `lang_definitions` VALUES (82498, 11166, 15, 'Μετάφραση Διατάξεων');
INSERT INTO `lang_definitions` VALUES (82499, 11167, 15, 'Μετάφραση Καταλόγων');
INSERT INTO `lang_definitions` VALUES (82500, 11169, 15, 'Μεταφράστε αυτό');
INSERT INTO `lang_definitions` VALUES (82501, 11170, 15, 'Μετάφραση');
INSERT INTO `lang_definitions` VALUES (82502, 11171, 15, 'Μεταφράσεις');
INSERT INTO `lang_definitions` VALUES (82503, 11172, 15, 'Διαβίβαση');
INSERT INTO `lang_definitions` VALUES (82504, 11175, 15, 'Η διαβίβαση απέτυχε');
INSERT INTO `lang_definitions` VALUES (82505, 11177, 15, 'Διαβίβαση Επιλεγμένων Εντολών');
INSERT INTO `lang_definitions` VALUES (82506, 11179, 15, 'Τραύμα');
INSERT INTO `lang_definitions` VALUES (82507, 11180, 15, 'Θεραπεία');
INSERT INTO `lang_definitions` VALUES (82508, 11181, 15, 'Κατάσταση Ολοκλήρωσης Θεραπείας');
INSERT INTO `lang_definitions` VALUES (82509, 11182, 15, 'Στόχοι θεραπείας');
INSERT INTO `lang_definitions` VALUES (82510, 11183, 15, 'Σχέδιο θεραπείας');
INSERT INTO `lang_definitions` VALUES (82511, 11184, 15, 'Σχεδιασμός Θεραπείας');
INSERT INTO `lang_definitions` VALUES (82512, 11185, 15, 'Ληφθείσα Θεραπεία');
INSERT INTO `lang_definitions` VALUES (82513, 11186, 15, 'Θεραπεία:');
INSERT INTO `lang_definitions` VALUES (82514, 11187, 15, 'Θεραπεία:');
INSERT INTO `lang_definitions` VALUES (82515, 11188, 15, 'Δέντρο');
INSERT INTO `lang_definitions` VALUES (82516, 11189, 15, 'Γράφημα');
INSERT INTO `lang_definitions` VALUES (82517, 11195, 15, 'Σημείο ερεθισμού / σύνδρομο διαμερίσματος / καθυστερημένος μυϊκός πόνος / κράμπα');
INSERT INTO `lang_definitions` VALUES (82518, 11196, 15, 'Τρισφύριος');
INSERT INTO `lang_definitions` VALUES (82519, 11199, 15, 'Κορμός και κοιλιά');
INSERT INTO `lang_definitions` VALUES (82520, 11200, 15, 'Αξιόπιστη Διεύθυνση Άμεσου Email');
INSERT INTO `lang_definitions` VALUES (82521, 11201, 15, 'Αξιόπιστο Email');
INSERT INTO `lang_definitions` VALUES (82522, 11203, 15, 'Προσπαθείτε να δημιουργήσετε χρήστη με υπάρχον username!');
INSERT INTO `lang_definitions` VALUES (82523, 11205, 15, 'κουταλάκι (5ml)');
INSERT INTO `lang_definitions` VALUES (82524, 11207, 15, 'Διαδερμικό θεραπευτικό σύστημα');
INSERT INTO `lang_definitions` VALUES (82525, 11208, 15, 'Φυματίωση');
INSERT INTO `lang_definitions` VALUES (82526, 11209, 15, 'Τρι');
INSERT INTO `lang_definitions` VALUES (82527, 11210, 15, 'Τρίτη & Πέμπτη');
INSERT INTO `lang_definitions` VALUES (82528, 11211, 15, 'Τρίτη');
INSERT INTO `lang_definitions` VALUES (82529, 11212, 15, 'Όγκος');
INSERT INTO `lang_definitions` VALUES (82530, 11213, 15, 'Τουρκικά');
INSERT INTO `lang_definitions` VALUES (82531, 11220, 15, 'Τρι');
INSERT INTO `lang_definitions` VALUES (82532, 11221, 15, 'Δις');
INSERT INTO `lang_definitions` VALUES (82533, 11222, 15, 'δύο φορές ημερησίως');
INSERT INTO `lang_definitions` VALUES (82534, 11223, 15, 'Προ 2 Ετών');
INSERT INTO `lang_definitions` VALUES (82535, 11225, 15, 'Ημ. Θχ');
INSERT INTO `lang_definitions` VALUES (82536, 11226, 15, 'Τυμπανική μεμβράνη');
INSERT INTO `lang_definitions` VALUES (82537, 11227, 15, 'Τύπος');
INSERT INTO `lang_definitions` VALUES (82538, 11228, 15, 'Πληκτρολογήστε ένα σύντομο μήνυμα και πατήστε Αποστολή Μηνύματος');
INSERT INTO `lang_definitions` VALUES (82539, 11231, 15, 'Τύπος Ταυτότητας ή ονόματος. Τρεις χαρακτήρες το ελάχιστο (συμπεριλαμβανομένων των κενών).');
INSERT INTO `lang_definitions` VALUES (82540, 11236, 15, 'Πληκτρολογήστε το όνομα χρήστη και τον κωδικό πρόσβασης που λάβατε από το ιατρείο');
INSERT INTO `lang_definitions` VALUES (82541, 11238, 15, 'Τύπος των εμφανισθέντων στηλών για τα αποτελέσματα της αναζήτησης ασθενών');
INSERT INTO `lang_definitions` VALUES (82542, 11239, 15, 'Τύπος Γνωστοποίησης');
INSERT INTO `lang_definitions` VALUES (82543, 11240, 15, 'Τύπος συμβάντων');
INSERT INTO `lang_definitions` VALUES (82544, 11241, 15, 'Τύπος Ομάδας');
INSERT INTO `lang_definitions` VALUES (82545, 11242, 15, 'Τύπος διάταξης της οθόνης');
INSERT INTO `lang_definitions` VALUES (82546, 11243, 15, 'Πληκτρολογήστε ή σαρώστε το αναγνωριστικό του ασθενούς εδώ');
INSERT INTO `lang_definitions` VALUES (82547, 11248, 15, 'Πληκτρολογήστε το μήνυμά σας εδώ');
INSERT INTO `lang_definitions` VALUES (82548, 11249, 15, 'Τύποι Παραγγελιών και Αποτελεσμάτων');
INSERT INTO `lang_definitions` VALUES (82549, 11250, 15, 'P');
INSERT INTO `lang_definitions` VALUES (82550, 11251, 15, 'Πε');
INSERT INTO `lang_definitions` VALUES (82551, 11252, 15, 'Τρ');
INSERT INTO `lang_definitions` VALUES (82552, 11270, 15, 'Οι κωδικοί UCSMC παρέχονται από το Πανεπιστ. Κέντρο Αθλητιατρικής του Calgary');
INSERT INTO `lang_definitions` VALUES (82553, 11271, 15, 'Ουκρανικά');
INSERT INTO `lang_definitions` VALUES (82554, 11272, 15, 'Εξελκώσεις');
INSERT INTO `lang_definitions` VALUES (82555, 11273, 15, 'Ελκώδης κολίτιδα');
INSERT INTO `lang_definitions` VALUES (82556, 11274, 15, 'Έλκη');
INSERT INTO `lang_definitions` VALUES (82557, 11276, 15, 'Αδυναμία πρόσβασης στον κατάλογο');
INSERT INTO `lang_definitions` VALUES (82558, 11277, 15, 'Αδυναμία πρόσβασης στο URL');
INSERT INTO `lang_definitions` VALUES (82559, 11278, 15, 'Αδυναμία δημιουργίας');
INSERT INTO `lang_definitions` VALUES (82560, 11279, 15, 'Αδυναμία δημιουργίας υποκαταλόγου για το έγγραφο ασθενούς');
INSERT INTO `lang_definitions` VALUES (82561, 11287, 15, 'Αδυναμία εντοπισμού των δεδομένων σε αυτό το αρχείο.');
INSERT INTO `lang_definitions` VALUES (82562, 11291, 15, 'Ανεφάρμοστο');
INSERT INTO `lang_definitions` VALUES (82563, 11292, 15, 'Ακαταχώρητο');
INSERT INTO `lang_definitions` VALUES (82564, 11293, 15, 'Μη εγκεκριμμένο');
INSERT INTO `lang_definitions` VALUES (82565, 11294, 15, 'Μη εξουσιοδοτημένη πρόσβαση στην ηλεκτρονική συνταγογράφηση');
INSERT INTO `lang_definitions` VALUES (82566, 11295, 15, 'Δεν επιτρέπεται η πρόσβαση.');
INSERT INTO `lang_definitions` VALUES (82567, 11296, 15, 'Αχρέωτο');
INSERT INTO `lang_definitions` VALUES (82568, 11297, 15, 'Μόνο Αχρέωτα');
INSERT INTO `lang_definitions` VALUES (82569, 11298, 15, 'Χωρίς Κατηγορία');
INSERT INTO `lang_definitions` VALUES (82570, 11299, 15, 'Θείος');
INSERT INTO `lang_definitions` VALUES (82571, 11300, 15, 'υπογλωσσίως');
INSERT INTO `lang_definitions` VALUES (82572, 11303, 15, 'Ελλιποβαρής');
INSERT INTO `lang_definitions` VALUES (82573, 11304, 15, 'Αδιάγνωστο');
INSERT INTO `lang_definitions` VALUES (82574, 11308, 15, 'Αναίρεση');
INSERT INTO `lang_definitions` VALUES (82575, 11311, 15, 'Μοναδικοί Πελάτες');
INSERT INTO `lang_definitions` VALUES (82576, 11312, 15, 'Μοναδικός, αναγνώσιμος από άνθρωπο, ταυτοποιητής γι\' αυτό τον τύπο');
INSERT INTO `lang_definitions` VALUES (82577, 11315, 15, 'Μοναδικοί Νέοι Πελάτες');
INSERT INTO `lang_definitions` VALUES (82578, 11316, 15, 'Μοναδικόςαριθμητικός ταυτοποιητής γι\' αυτό τον τύπο');
INSERT INTO `lang_definitions` VALUES (82579, 11317, 15, 'Άπαξ Εξετασθέντες Ασθενείς');
INSERT INTO `lang_definitions` VALUES (82580, 11318, 15, 'Αναφορά Άπαξ Εξετασθέντων Ασθενών');
INSERT INTO `lang_definitions` VALUES (82581, 11319, 15, 'Άπαξ Εξετασθέντες');
INSERT INTO `lang_definitions` VALUES (82582, 11320, 15, 'Μονάδα');
INSERT INTO `lang_definitions` VALUES (82583, 11321, 15, 'Μονάδες');
INSERT INTO `lang_definitions` VALUES (82584, 11322, 15, 'μονάδες (units)');
INSERT INTO `lang_definitions` VALUES (82585, 11323, 15, 'Μονάδες που ταιριάζουν στην αξία που προκύπτει');
INSERT INTO `lang_definitions` VALUES (82586, 11324, 15, 'Μονάδες για Έντυπα Επισκέψεων');
INSERT INTO `lang_definitions` VALUES (82587, 11325, 15, 'Οι μονάδες πρέπει να είναι ένας αριθμός');
INSERT INTO `lang_definitions` VALUES (82588, 11326, 15, 'Δεν έχουν οριστεί μονάδες');
INSERT INTO `lang_definitions` VALUES (82589, 11327, 15, 'Μονάδες/L');
INSERT INTO `lang_definitions` VALUES (82590, 11328, 15, 'Άγνωστο');
INSERT INTO `lang_definitions` VALUES (82591, 11329, 15, 'άγνωστο (δείτε το log)');
INSERT INTO `lang_definitions` VALUES (82592, 11330, 15, 'Άγνωστο Σφάλμα');
INSERT INTO `lang_definitions` VALUES (82593, 11331, 15, 'Άγνωστο αν έχει καπνίσει ποτέ');
INSERT INTO `lang_definitions` VALUES (82594, 11332, 15, 'Άγνωστο ή μη διαθέσιμο');
INSERT INTO `lang_definitions` VALUES (82595, 11335, 15, 'Άγνωστο id χρήστη:');
INSERT INTO `lang_definitions` VALUES (82596, 11336, 15, 'Άγνωστη έκδοση');
INSERT INTO `lang_definitions` VALUES (82597, 11344, 15, 'Αποσύνδεση Ασθενούς');
INSERT INTO `lang_definitions` VALUES (82598, 11345, 15, 'Μη κατονομασθείσα ασφαλιστική εταιρεία');
INSERT INTO `lang_definitions` VALUES (82599, 11346, 15, 'Μη καταχωρηθέν');
INSERT INTO `lang_definitions` VALUES (82600, 11348, 15, 'Φίλος/η');
INSERT INTO `lang_definitions` VALUES (82601, 11349, 15, 'Αποεπιλογη Όλων');
INSERT INTO `lang_definitions` VALUES (82602, 11350, 15, 'Μη επιλεγμένο');
INSERT INTO `lang_definitions` VALUES (82603, 11351, 15, 'Απροσδιόριστο');
INSERT INTO `lang_definitions` VALUES (82604, 11352, 15, 'αδόμητο');
INSERT INTO `lang_definitions` VALUES (82605, 11356, 15, 'έως');
INSERT INTO `lang_definitions` VALUES (82606, 11357, 15, 'έως ημ/νία');
INSERT INTO `lang_definitions` VALUES (82607, 11360, 15, 'Αχρησιμοποίητο');
INSERT INTO `lang_definitions` VALUES (82608, 11361, 15, 'Μονάδες ανάλυσης');
INSERT INTO `lang_definitions` VALUES (82609, 11362, 15, 'Μέχρι');
INSERT INTO `lang_definitions` VALUES (82610, 11363, 15, 'ΠΡΟΣΕΧΩΣ');
INSERT INTO `lang_definitions` VALUES (82611, 11364, 15, 'Προσεχή Ραντεβού');
INSERT INTO `lang_definitions` VALUES (82612, 11365, 15, 'Προσεχή Συμβάντα');
INSERT INTO `lang_definitions` VALUES (82613, 11366, 15, 'Ενημέρωση');
INSERT INTO `lang_definitions` VALUES (82614, 11367, 15, 'ενημέρωση');
INSERT INTO `lang_definitions` VALUES (82615, 11368, 15, 'Ενημέρωση Ενεργός');
INSERT INTO `lang_definitions` VALUES (82616, 11369, 15, 'Ενημέρωση από');
INSERT INTO `lang_definitions` VALUES (82617, 11371, 15, 'Ενημέρωση αρχείων');
INSERT INTO `lang_definitions` VALUES (82618, 11372, 15, 'Ενημέρωση Πληροφοριών');
INSERT INTO `lang_definitions` VALUES (82619, 11374, 15, 'Ενημέρωση Λίστας');
INSERT INTO `lang_definitions` VALUES (82620, 11377, 15, 'Ενημέρωση του Αριθμού Παρόχου');
INSERT INTO `lang_definitions` VALUES (82621, 11378, 15, 'Ενημέρωση Επιλεγμένων Αντικειμένων');
INSERT INTO `lang_definitions` VALUES (82622, 11383, 15, 'Ενημέρωση των ακόλουθων μεταβλητών στο αρχείο');
INSERT INTO `lang_definitions` VALUES (82623, 11384, 15, 'Ενημέρωση Πληροφοριών Χρήστη');
INSERT INTO `lang_definitions` VALUES (82624, 11385, 15, 'Ενημερώθηκε Από');
INSERT INTO `lang_definitions` VALUES (82625, 11386, 15, 'Τα ενημερωμένα πεδία θα γίνουν μωβ.');
INSERT INTO `lang_definitions` VALUES (82626, 11387, 15, 'Ενημερώθηκε!');
INSERT INTO `lang_definitions` VALUES (82627, 11390, 15, 'Η ενημέρωση των δημογραφικών δεν επιτρέπεται.');
INSERT INTO `lang_definitions` VALUES (82628, 11391, 15, 'Γίνεται ενημέρωση των συνολικών ρυθμίσεων για τις προεπιλογές');
INSERT INTO `lang_definitions` VALUES (82629, 11392, 15, 'Γίνεται ενημέρωση του αριθμού έκδοσης');
INSERT INTO `lang_definitions` VALUES (82630, 11393, 15, 'ΑΝΑΒΑΘΜΙΣΗ');
INSERT INTO `lang_definitions` VALUES (82631, 11394, 15, 'Αναβάθμιση');
INSERT INTO `lang_definitions` VALUES (82632, 11396, 15, 'Αναβάθμιση βάσης δεδομένων');
INSERT INTO `lang_definitions` VALUES (82633, 11398, 15, 'Αναβαθμίζει τη βάση δεδομένων του OpenEMR για να συμπεριλάβει Διαδικασίες, Συναρτήσεις και πίνακες που απαιτούνται για τη διαδικασία απο-ταυτοποίησης.');
INSERT INTO `lang_definitions` VALUES (82634, 11399, 15, 'Η αναβάθμιση θα συνεχίσει');
INSERT INTO `lang_definitions` VALUES (82635, 11400, 15, 'Προσ αριθμ');
INSERT INTO `lang_definitions` VALUES (82636, 11401, 15, 'Ανέβασμα');
INSERT INTO `lang_definitions` VALUES (82637, 11402, 15, 'Ανέβασμα / Αποθήκευση');
INSERT INTO `lang_definitions` VALUES (82638, 11403, 15, 'Ανέβασμα Προτύπου');
INSERT INTO `lang_definitions` VALUES (82639, 11404, 15, 'Ανέβασμα και Εφαρμογή');
INSERT INTO `lang_definitions` VALUES (82640, 11405, 15, 'Ανέβασμα και Εγκατάσταση');
INSERT INTO `lang_definitions` VALUES (82641, 11406, 15, 'Ανέβασμα δεδομένων ρύθμισης');
INSERT INTO `lang_definitions` VALUES (82642, 11407, 15, 'Ανέβασμα εγγράφου');
INSERT INTO `lang_definitions` VALUES (82643, 11408, 15, 'Το ανέβασμα απέτυχε!');
INSERT INTO `lang_definitions` VALUES (82644, 11410, 15, 'Ανέβασμα εικόνας στο');
INSERT INTO `lang_definitions` VALUES (82645, 11411, 15, 'Ανέβασμα αρχείου εισαγωγής:');
INSERT INTO `lang_definitions` VALUES (82646, 11412, 15, 'Ανέβασμα αντικειμένου');
INSERT INTO `lang_definitions` VALUES (82647, 11413, 15, 'Ανέβασμα PDF εκπαίδευσης ασθενούς σε');
INSERT INTO `lang_definitions` VALUES (82648, 11414, 15, 'Επιτυχής επεξεργασία ανεβάσματος');
INSERT INTO `lang_definitions` VALUES (82649, 11415, 15, 'Ανέβασμα αναφοράς');
INSERT INTO `lang_definitions` VALUES (82650, 11416, 15, 'Ανέβασμα Προτύπου για');
INSERT INTO `lang_definitions` VALUES (82651, 11418, 15, 'Ανέβασμα αυτού του αρχείου:');
INSERT INTO `lang_definitions` VALUES (82652, 11421, 15, 'Μόλις κάνετε κλικ στο αριθμό τιμολoγίου εμφανίζεται το \"παράθυρο χειροκίνητης αποστολής\". Εδώ μπορείτε να αλλάξετε την ημ/νία λήξης της προθεσμίας και τις σημειώσεις για αυτό τιμολόγιο, να επιλέξτε το συνεργάτη για τον οποίο αποστέλετε και να επιλέξετε την ασφαλιστική κάλυψη των οποίων όλες οι αναμενόμενες πληρωμές έχουν ληφθεί. Το σημαντικότερο είναι, για κάθε κωδικό χρέωσης ο οποίος έχει επιβαρυνθεί με ένα ποσό, μπορείτε να εισαγάγετε την πληρωμή και προσαρμογή πληροφοριών.');
INSERT INTO `lang_definitions` VALUES (82653, 11426, 15, 'Κατά την αναζήτηση σας παρουσιάστηκε μια λίστα με παραστατικά. Μπορείτε να κάνετε κλικ σε έναν από τους αριθμούς παραστατικών για να ανοίξει ένα δεύτερο παράθυρο, το οποίο είναι η σελίδα εισόδου δεδομένων για χειροκίνητη αποστολή. Μπορείτε επίσης να κάνετε κλικ στο όνομα του ασθενούς, εάν θέλετε να εισάγετε μια σημείωση, που θα δει το προσωπικό του γραφείου υποδοχής κατά την εισαγωγή του ασθενούς και μπορείτε να επιλέξετε ποια παραστατικά θα εμφανιστούν στις καταστάσεις των ασθενών και να τα εκτυπώσετε.');
INSERT INTO `lang_definitions` VALUES (82654, 11429, 15, 'Βραχίονας');
INSERT INTO `lang_definitions` VALUES (82655, 11430, 15, 'Άνω Βλέφαρα');
INSERT INTO `lang_definitions` VALUES (82656, 11432, 15, 'Κατεπείγον');
INSERT INTO `lang_definitions` VALUES (82657, 11433, 15, 'Επείγουσα Φροντίδα');
INSERT INTO `lang_definitions` VALUES (82658, 11434, 15, 'Μονάδα Επείγουσας Φροντίδας');
INSERT INTO `lang_definitions` VALUES (82659, 11436, 15, 'Ούρα');
INSERT INTO `lang_definitions` VALUES (82660, 11437, 15, 'Στραγγουρία');
INSERT INTO `lang_definitions` VALUES (82661, 11438, 15, 'Συχνότητα ούρησης');
INSERT INTO `lang_definitions` VALUES (82662, 11439, 15, 'Δισταγμός ούρησης');
INSERT INTO `lang_definitions` VALUES (82663, 11440, 15, 'Μικροαλβουμινουρία');
INSERT INTO `lang_definitions` VALUES (82664, 11441, 15, 'Ακτίνα ούρησης');
INSERT INTO `lang_definitions` VALUES (82665, 11442, 15, 'Επιτακτική ούρηση');
INSERT INTO `lang_definitions` VALUES (82666, 11443, 15, 'URL');
INSERT INTO `lang_definitions` VALUES (82667, 11445, 15, 'URL για υποστήριξη του OpenEMR.');
INSERT INTO `lang_definitions` VALUES (82668, 11447, 15, 'URL για το Phone Gateway. Προσφέρεται αυτόματη υπηρεσία VOIP από την Maviq. Παρακαλώ επισκεφθείτε το http://signup.maviq.com για περισσότερες πληροφορίες.');
INSERT INTO `lang_definitions` VALUES (82669, 11450, 15, 'ΗΠΑ');
INSERT INTO `lang_definitions` VALUES (82670, 11451, 15, 'Χρήση');
INSERT INTO `lang_definitions` VALUES (82671, 11453, 15, 'Δείκτης χρήσης (ISA15)');
INSERT INTO `lang_definitions` VALUES (82672, 11456, 15, 'Χρησιμοποιήστε από μόνο του το % σε ένα πεδίο, για να κάνετε απλώς κατάταξη σε εκείνη την στήλη');
INSERT INTO `lang_definitions` VALUES (82673, 11457, 15, 'Χρήση μορφή ώρας 24 ωρών;');
INSERT INTO `lang_definitions` VALUES (82674, 11462, 15, 'Χρήση Ετικετών Avery');
INSERT INTO `lang_definitions` VALUES (82675, 11463, 15, 'Χρήση Αίματος ή Ορού ως Τύπο Δείγματος');
INSERT INTO `lang_definitions` VALUES (82676, 11464, 15, 'Χρησιμοποιήστε πιστοποιημένη τεχνολογία EHR για την ταυτοποίηση εκπαιδευτικών πόρων για συγκεκριμένο ασθενή και για την παροχή αυτών των πόρων στον ασθενή εάν απαιτείται.');
INSERT INTO `lang_definitions` VALUES (82677, 11465, 15, 'Χρησιμοποιήστε πιστοποιημένη τεχνολογία EHR για την ταυτοποίηση εκπαιδευτικών πόρων για συγκεκριμένο ασθενή και για την παροχή αυτών των πόρων στον ασθενή εάν απαιτείται.');
INSERT INTO `lang_definitions` VALUES (82678, 11466, 15, 'Χρήση του πάνελ χρεώσεων');
INSERT INTO `lang_definitions` VALUES (82679, 11467, 15, 'Χρησιμοποιήστε μηχανογραφημένη ιατρική εντολή για παραγγελίες φαρμάκων που εισάγονται απευθείας από οποιονδήποτε επαγγελματία υγείας που μπορεί να εισάγει παραγγελίες στον ιατρικό φάκελο με βάση τις τοπικές επαγγελματικό κατευθύνσεις.');
INSERT INTO `lang_definitions` VALUES (82680, 11473, 15, 'Χρήση προσαρμοσμένης Αναφοράς Τέλους Ημέρας');
INSERT INTO `lang_definitions` VALUES (82681, 11474, 15, 'Χρήσης προσαρμοσμένης λίστας Ανοσοποίησης');
INSERT INTO `lang_definitions` VALUES (82682, 11476, 15, 'Χρήση Εύρους Ημερομηνιών');
INSERT INTO `lang_definitions` VALUES (82683, 11477, 15, 'Χρήση Προεπιλογών');
INSERT INTO `lang_definitions` VALUES (82684, 11478, 15, 'Χρησιμοποιήστε την Επιλογή \"Διαγραφή\" για Αφαίρεση.');
INSERT INTO `lang_definitions` VALUES (82685, 11479, 15, 'Χρήση ημ/νίας διεθνούς στυλ;');
INSERT INTO `lang_definitions` VALUES (82686, 11483, 15, 'Χρήση ονόματος αρχείου προέλευσης');
INSERT INTO `lang_definitions` VALUES (82687, 11485, 15, 'Χρήση Χρεωστικού Δελτίου για χρέωση υπηρεσιών ή προϊόντων');
INSERT INTO `lang_definitions` VALUES (82688, 11486, 15, 'Χρησιμοποιήστε τα κάτωθι πεδία για μια αγορά ή μεταφορά.');
INSERT INTO `lang_definitions` VALUES (82689, 11490, 15, 'Χρησιμοποιήστε αυτή τη δυνατότητα μόνο με πρόσφατα εγκατεστημένες σελίδες,');
INSERT INTO `lang_definitions` VALUES (82690, 11493, 15, 'Χρήση θεμάτων;');
INSERT INTO `lang_definitions` VALUES (82691, 11496, 15, 'Χρήστης');
INSERT INTO `lang_definitions` VALUES (82692, 11497, 15, 'Χρήστης');
INSERT INTO `lang_definitions` VALUES (82693, 11498, 15, 'Χρήστης / Ομάδα');
INSERT INTO `lang_definitions` VALUES (82694, 11499, 15, 'Διαχείριση χρήστη');
INSERT INTO `lang_definitions` VALUES (82695, 11500, 15, 'Διαχειρηση χρήστη και έδρας');
INSERT INTO `lang_definitions` VALUES (82696, 11501, 15, 'Διαχείριση χρήστη και ομάδας');
INSERT INTO `lang_definitions` VALUES (82697, 11502, 15, 'Αδύνατη η διαγραφή του Χρήστη');
INSERT INTO `lang_definitions` VALUES (82698, 11503, 15, 'Η Επαλήθευση Πιστοποιητικού Χρήστη έχει απενεργοποιηθεί');
INSERT INTO `lang_definitions` VALUES (82699, 11507, 15, 'Ορισμένο από τον Χρήστη');
INSERT INTO `lang_definitions` VALUES (82700, 11508, 15, 'Περιοχή ορισμένη από τον Χρήστη 11');
INSERT INTO `lang_definitions` VALUES (82701, 11509, 15, 'Περιοχή ορισμένη από τον Χρήστη 12');
INSERT INTO `lang_definitions` VALUES (82702, 11510, 15, 'Πεδίο ορισμένο από τον Χρήστη');
INSERT INTO `lang_definitions` VALUES (82703, 11511, 15, 'Λίστα ορισμένη από τον Χρήστη 1');
INSERT INTO `lang_definitions` VALUES (82704, 11512, 15, 'Λίστα ορισμένη από τον Χρήστη 2');
INSERT INTO `lang_definitions` VALUES (82705, 11513, 15, 'Λίστα ορισμένη από τον Χρήστη 3');
INSERT INTO `lang_definitions` VALUES (82706, 11514, 15, 'Λίστα ορισμένη από τον Χρήστη 4');
INSERT INTO `lang_definitions` VALUES (82707, 11515, 15, 'Λίστα ορισμένη από τον Χρήστη 5');
INSERT INTO `lang_definitions` VALUES (82708, 11516, 15, 'Λίστα ορισμένη από τον Χρήστη 6');
INSERT INTO `lang_definitions` VALUES (82709, 11517, 15, 'Λίστα ορισμένη από τον Χρήστη 7');
INSERT INTO `lang_definitions` VALUES (82710, 11518, 15, 'Κείμενο ορισμένο από τον Χρήστη 1');
INSERT INTO `lang_definitions` VALUES (82711, 11519, 15, 'Κείμενο ορισμένο από τον Χρήστη 2');
INSERT INTO `lang_definitions` VALUES (82712, 11520, 15, 'Κείμενο ορισμένο από τον Χρήστη 3');
INSERT INTO `lang_definitions` VALUES (82713, 11521, 15, 'Κείμενο ορισμένο από τον Χρήστη 4');
INSERT INTO `lang_definitions` VALUES (82714, 11522, 15, 'Κείμενο ορισμένο από τον Χρήστη 5');
INSERT INTO `lang_definitions` VALUES (82715, 11523, 15, 'Κείμενο ορισμένο από τον Χρήστη 6');
INSERT INTO `lang_definitions` VALUES (82716, 11524, 15, 'Κείμενο ορισμένο από τον Χρήστη 7');
INSERT INTO `lang_definitions` VALUES (82717, 11525, 15, 'Κείμενο ορισμένο από τον Χρήστη 8');
INSERT INTO `lang_definitions` VALUES (82718, 11526, 15, 'Μικρό όνομα χρήστη');
INSERT INTO `lang_definitions` VALUES (82719, 11528, 15, 'Κωδ. Χρήστη');
INSERT INTO `lang_definitions` VALUES (82720, 11532, 15, 'Εχγειρίδιο χρήσης');
INSERT INTO `lang_definitions` VALUES (82721, 11533, 15, 'Τύποι Χρηστών');
INSERT INTO `lang_definitions` VALUES (82722, 11534, 15, 'Όνομα Χρήστη');
INSERT INTO `lang_definitions` VALUES (82723, 11536, 15, 'Το όνομα χρήστη ή το Hostname δεν μπορεί να είναι κενό');
INSERT INTO `lang_definitions` VALUES (82724, 11537, 15, 'Όνομα Χρήστη ή Υπολογιστή');
INSERT INTO `lang_definitions` VALUES (82725, 11538, 15, 'Κωδικός Χρήστη');
INSERT INTO `lang_definitions` VALUES (82726, 11541, 15, 'Ρυθμίσεις Χρήστη');
INSERT INTO `lang_definitions` VALUES (82727, 11542, 15, 'Υπογραφή Χρήστη');
INSERT INTO `lang_definitions` VALUES (82728, 11543, 15, 'Προσωπική Ρύθμιση Χρήστη');
INSERT INTO `lang_definitions` VALUES (82729, 11544, 15, 'Νέος Κωδικός Χρήστη');
INSERT INTO `lang_definitions` VALUES (82730, 11545, 15, 'ΛίσταΧρήστη1');
INSERT INTO `lang_definitions` VALUES (82731, 11546, 15, 'ΛίσταΧρήστη2');
INSERT INTO `lang_definitions` VALUES (82732, 11547, 15, 'ΛίσταΧρήστη3');
INSERT INTO `lang_definitions` VALUES (82733, 11548, 15, 'ΛίσταΧρήστη4');
INSERT INTO `lang_definitions` VALUES (82734, 11549, 15, 'ΛίσταΧρήστη5');
INSERT INTO `lang_definitions` VALUES (82735, 11550, 15, 'ΛίσταΧρήστη6');
INSERT INTO `lang_definitions` VALUES (82736, 11551, 15, 'ΛίσταΧρήστη7');
INSERT INTO `lang_definitions` VALUES (82737, 11552, 15, 'όνομα χρήστη');
INSERT INTO `lang_definitions` VALUES (82738, 11553, 15, 'Όνομα Χρήστη');
INSERT INTO `lang_definitions` VALUES (82739, 11555, 15, 'Όνομα χρήστη για το Phone Gateway. Προσφέρεται αυτόματη υπηρεσία VOIP από την Maviq. Παρακαλώ επισκεφθείτε το http://signup.maviq.com για περισσότερες πληροφορίες.');
INSERT INTO `lang_definitions` VALUES (82740, 11556, 15, 'Όνομα χρήστη για το SMS Gateway');
INSERT INTO `lang_definitions` VALUES (82741, 11557, 15, 'Όνομα χρήστη για το SMS Gateway');
INSERT INTO `lang_definitions` VALUES (82742, 11558, 15, 'Όνομα χρήστη για σύνδεση σε CouchDB');
INSERT INTO `lang_definitions` VALUES (82743, 11559, 15, 'Όνομα Χρήστη:');
INSERT INTO `lang_definitions` VALUES (82744, 11560, 15, 'Χρήστες');
INSERT INTO `lang_definitions` VALUES (82745, 11564, 15, 'Διαχείριση Χρηστών/Ομάδων/Logs');
INSERT INTO `lang_definitions` VALUES (82746, 11575, 15, 'Χρησιμοποιεί 2FA');
INSERT INTO `lang_definitions` VALUES (82747, 11583, 15, 'Λοιμώξεις ουροποιητικού');
INSERT INTO `lang_definitions` VALUES (82748, 11588, 15, 'ΑΡΓΙΑ');
INSERT INTO `lang_definitions` VALUES (82749, 11589, 15, 'Αργία');
INSERT INTO `lang_definitions` VALUES (82750, 11590, 15, 'Εμβόλιο');
INSERT INTO `lang_definitions` VALUES (82751, 11592, 15, 'Τύπος Εμβολίου');
INSERT INTO `lang_definitions` VALUES (82752, 11593, 15, 'Κολπικός δακτύλιος');
INSERT INTO `lang_definitions` VALUES (82753, 11594, 15, 'Προσφώνηση');
INSERT INTO `lang_definitions` VALUES (82754, 11595, 15, 'Επικύρωση');
INSERT INTO `lang_definitions` VALUES (82755, 11596, 15, 'επικύρωση');
INSERT INTO `lang_definitions` VALUES (82756, 11599, 15, 'Επικύρωση Αρχείου Καταγραφής');
INSERT INTO `lang_definitions` VALUES (82757, 11602, 15, 'Επικύρωση');
INSERT INTO `lang_definitions` VALUES (82758, 11607, 15, 'Μηχανισμός επικύρωσης κατά την τροποποίηση των δημογραφικών ασθενούς.');
INSERT INTO `lang_definitions` VALUES (82759, 11608, 15, 'Κανόνας επικύρωσης');
INSERT INTO `lang_definitions` VALUES (82760, 11609, 15, 'Τιμή');
INSERT INTO `lang_definitions` VALUES (82761, 11610, 15, 'Τιμή 1');
INSERT INTO `lang_definitions` VALUES (82762, 11611, 15, 'Τιμή 2');
INSERT INTO `lang_definitions` VALUES (82763, 11613, 15, 'Η τιμή πρέπει να είναι αριθμητική');
INSERT INTO `lang_definitions` VALUES (82764, 11614, 15, 'Μεταβλ 1');
INSERT INTO `lang_definitions` VALUES (82765, 11615, 15, 'Μεταβλ 2');
INSERT INTO `lang_definitions` VALUES (82766, 11616, 15, 'μεταβλητή στη μία για απο-ταυτοποίηση του script αναβάθμισης');
INSERT INTO `lang_definitions` VALUES (82767, 11619, 15, 'Ανεμευλογιά 1');
INSERT INTO `lang_definitions` VALUES (82768, 11620, 15, 'Ανεμευλογιά 2');
INSERT INTO `lang_definitions` VALUES (82769, 11621, 15, 'Κιρσοί φλεβών');
INSERT INTO `lang_definitions` VALUES (82770, 11623, 15, 'Αγγειακή κατάσταση');
INSERT INTO `lang_definitions` VALUES (82771, 11624, 15, 'Αγγειακή βλάβη');
INSERT INTO `lang_definitions` VALUES (82772, 11625, 15, 'Αγγειοχειρουργική');
INSERT INTO `lang_definitions` VALUES (82773, 11630, 15, 'Εργαστήριο ');
INSERT INTO `lang_definitions` VALUES (82774, 11632, 15, 'Επιβεβαιώθηκε στις');
INSERT INTO `lang_definitions` VALUES (82775, 11633, 15, 'Επιβεβαίωση');
INSERT INTO `lang_definitions` VALUES (82776, 11634, 15, 'Έκδοση');
INSERT INTO `lang_definitions` VALUES (82777, 11638, 15, 'Αριθμός Έκδοσης');
INSERT INTO `lang_definitions` VALUES (82778, 11648, 15, 'Στυλ κάθετου μενού');
INSERT INTO `lang_definitions` VALUES (82779, 11653, 15, 'Ίλιγγος');
INSERT INTO `lang_definitions` VALUES (82780, 11655, 15, 'Αγγεία');
INSERT INTO `lang_definitions` VALUES (82781, 11656, 15, 'Διαχείριση Βετεράνων');
INSERT INTO `lang_definitions` VALUES (82782, 11657, 15, 'Σχέδιο Διαχείρισης Βετεράνων');
INSERT INTO `lang_definitions` VALUES (82783, 11659, 15, 'Εμβόλια για παιδιά');
INSERT INTO `lang_definitions` VALUES (82784, 11666, 15, 'Βιετναμέζικα');
INSERT INTO `lang_definitions` VALUES (82785, 11667, 15, 'Προβολή');
INSERT INTO `lang_definitions` VALUES (82786, 11668, 15, 'προβολή');
INSERT INTO `lang_definitions` VALUES (82787, 11669, 15, 'προβολή - επιτρέπεται ανάγνωση, αλλά όχι προσθήκη ή τροποποίηση');
INSERT INTO `lang_definitions` VALUES (82788, 11670, 15, 'Προβολή Αλλεργιών');
INSERT INTO `lang_definitions` VALUES (82789, 11676, 15, 'Προβολή Αναλυτικής αναφοράς ασθενούς');
INSERT INTO `lang_definitions` VALUES (82790, 11678, 15, 'Προβολή λεπτομερειών');
INSERT INTO `lang_definitions` VALUES (82791, 11679, 15, 'Προβολή εγγράφου');
INSERT INTO `lang_definitions` VALUES (82792, 11681, 15, 'Προβολή επίσκεψης');
INSERT INTO `lang_definitions` VALUES (82793, 11683, 15, 'Προβολή συμβάντων σε αναδυόμενο παράθυρο;');
INSERT INTO `lang_definitions` VALUES (82794, 11684, 15, 'Βλέπε πληροφορίες Χρήστη ειδικές για την κάθε έδρα');
INSERT INTO `lang_definitions` VALUES (82795, 11687, 15, 'Προβολή Log');
INSERT INTO `lang_definitions` VALUES (82796, 11688, 15, 'Προβολή Μηνυμάτων');
INSERT INTO `lang_definitions` VALUES (82797, 11690, 15, 'Προβολή σελίδας 1');
INSERT INTO `lang_definitions` VALUES (82798, 11691, 15, 'Προβολή σελίδας 2');
INSERT INTO `lang_definitions` VALUES (82799, 11692, 15, 'Προβολή Παλαιών και Μελλοντικών Υπενθυμίσεων');
INSERT INTO `lang_definitions` VALUES (82800, 11693, 15, 'Προβολή Παλαιότερης Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (82801, 11694, 15, 'Προβολή Παλαιότερων Επισκέψεων');
INSERT INTO `lang_definitions` VALUES (82802, 11695, 15, 'Προβολή ασθενούς');
INSERT INTO `lang_definitions` VALUES (82803, 11696, 15, 'Προβολή Κανόνων Πλάνου');
INSERT INTO `lang_definitions` VALUES (82804, 11697, 15, 'Προβολή εκτυπώσιμου');
INSERT INTO `lang_definitions` VALUES (82805, 11698, 15, 'Προβολή εκτυπώσιμης Αναφοράς');
INSERT INTO `lang_definitions` VALUES (82806, 11699, 15, 'Προβολή εκτυπώσιμης έκδοσης');
INSERT INTO `lang_definitions` VALUES (82807, 11700, 15, 'Δείτε σχετικές επισκέψεις');
INSERT INTO `lang_definitions` VALUES (82808, 11701, 15, 'Προβολή Αναφοράς');
INSERT INTO `lang_definitions` VALUES (82809, 11702, 15, 'Προβολή του αρχείου README');
INSERT INTO `lang_definitions` VALUES (82810, 11707, 15, 'Προβολή/Προσθήκη/Ενημέρωση ομάδων');
INSERT INTO `lang_definitions` VALUES (82811, 11708, 15, 'Προβολή/Προσθήκη/Ενημέρωση ομάδων');
INSERT INTO `lang_definitions` VALUES (82812, 11709, 15, 'Προβολή/Δημιουργία/Ενημέρωση ραντεβού ομάδων στο ημερολόγιο');
INSERT INTO `lang_definitions` VALUES (82813, 11710, 15, 'Προβολή/Δημιουργία/Ενημέρωση ραντεβού ομάδων στο ημερολόγιο');
INSERT INTO `lang_definitions` VALUES (82814, 11711, 15, 'Προβολή/Επεξεργασία');
INSERT INTO `lang_definitions` VALUES (82815, 11712, 15, 'Προβολή/Επεξεργ. Αλλεργιών');
INSERT INTO `lang_definitions` VALUES (82816, 11713, 15, 'Προβολή/Επεξεργ. Θέματος');
INSERT INTO `lang_definitions` VALUES (82817, 11714, 15, 'Προβολή/Εκτύπωση');
INSERT INTO `lang_definitions` VALUES (82818, 11715, 15, 'Προβολή/Εκτύπωση Κενού Παραπεμπτικού');
INSERT INTO `lang_definitions` VALUES (82819, 11716, 15, 'Προβολή/Εκτύπωση Κενού Παραπεμπτικού - για συμπλήρωση με το χέρι');
INSERT INTO `lang_definitions` VALUES (82820, 11717, 15, 'Προβολή:');
INSERT INTO `lang_definitions` VALUES (82821, 11718, 15, 'VISA');
INSERT INTO `lang_definitions` VALUES (82822, 11719, 15, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (82823, 11721, 15, 'Σπλαγχνική καταστροφή/τραύμα/εγχείριση');
INSERT INTO `lang_definitions` VALUES (82824, 11723, 15, 'Όραση');
INSERT INTO `lang_definitions` VALUES (82825, 11724, 15, 'Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (82826, 11725, 15, 'Χαρακτηριστικά Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (82827, 11726, 15, 'Κατηγορίες Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (82828, 11727, 15, 'Κατηγορία Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (82829, 11728, 15, 'Κατηγορία Επίσκεψης:');
INSERT INTO `lang_definitions` VALUES (82830, 11729, 15, 'Ημ/νια Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (82831, 11730, 15, 'Ημ/νια Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (82832, 11731, 15, 'Λεπτομέρειες Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (82833, 11732, 15, 'Χαρακτηριστικά Εντύπου Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (82834, 11734, 15, 'Έντυπα Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (82835, 11736, 15, 'Ιστορικό Επισκέψεων');
INSERT INTO `lang_definitions` VALUES (82836, 11739, 15, 'Αιτία Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (82837, 11740, 15, 'Κατάσταση Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (82838, 11741, 15, 'Σύνοψη Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (82839, 11743, 15, 'Τύπος Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (82840, 11744, 15, 'Προσελθόντες');
INSERT INTO `lang_definitions` VALUES (82841, 11745, 15, 'Επισκέψεις');
INSERT INTO `lang_definitions` VALUES (82842, 11746, 15, 'Επισκέψεις Από');
INSERT INTO `lang_definitions` VALUES (82843, 11747, 15, 'Οπτικές Οξύτητες');
INSERT INTO `lang_definitions` VALUES (82844, 11748, 15, 'Οπτική Οξύτητα');
INSERT INTO `lang_definitions` VALUES (82845, 11749, 15, 'Οπτικά Πεδία');
INSERT INTO `lang_definitions` VALUES (82846, 11751, 15, 'Ζωτικά');
INSERT INTO `lang_definitions` VALUES (82847, 11752, 15, 'Ζωτικά σημεία');
INSERT INTO `lang_definitions` VALUES (82848, 11753, 15, 'Ζωτικά σημεία (μετρικό σ.)');
INSERT INTO `lang_definitions` VALUES (82849, 11754, 15, 'Επιλογές Εντύπου Ζωτικών Σημείων');
INSERT INTO `lang_definitions` VALUES (82850, 11755, 15, 'Υαλοειδές');
INSERT INTO `lang_definitions` VALUES (82851, 11756, 15, 'Φωνή');
INSERT INTO `lang_definitions` VALUES (82852, 11757, 15, 'Φωνητικά Μηνύματα ');
INSERT INTO `lang_definitions` VALUES (82853, 11758, 15, 'Φωνή Εστάλη');
INSERT INTO `lang_definitions` VALUES (82854, 11759, 15, 'Εκφράστε την άποψή σας');
INSERT INTO `lang_definitions` VALUES (82855, 11763, 15, 'Έμετος');
INSERT INTO `lang_definitions` VALUES (82856, 11770, 15, 'Περίμ. Μέσης');
INSERT INTO `lang_definitions` VALUES (82857, 11771, 15, 'Περίμετρος Μέσης');
INSERT INTO `lang_definitions` VALUES (82858, 11772, 15, 'Αναμένοντας');
INSERT INTO `lang_definitions` VALUES (82859, 11773, 15, 'Υποδοχή');
INSERT INTO `lang_definitions` VALUES (82860, 11777, 15, 'Δικαστήριο');
INSERT INTO `lang_definitions` VALUES (82861, 11778, 15, 'Αποθήκη');
INSERT INTO `lang_definitions` VALUES (82862, 11779, 15, 'Η Αποθήκη άλλαξε');
INSERT INTO `lang_definitions` VALUES (82863, 11780, 15, 'Μέγιστο αποθηκών, 0 αν δεν ισχύει');
INSERT INTO `lang_definitions` VALUES (82864, 11781, 15, 'Ελάχιστο αποθηκών, 0 αν δεν ισχύει');
INSERT INTO `lang_definitions` VALUES (82865, 11782, 15, 'Αποθήκες');
INSERT INTO `lang_definitions` VALUES (82866, 11783, 15, 'Θερμό');
INSERT INTO `lang_definitions` VALUES (82867, 11786, 15, 'Προειδοποίηση');
INSERT INTO `lang_definitions` VALUES (82868, 11787, 15, 'ΠΡΟΕΙΔΟΠΟΙΗΣΗ');
INSERT INTO `lang_definitions` VALUES (82869, 11788, 15, 'ΠΡΟΣΟΧΗ - ΑΛΛΕΡΓΙΑ ΣΤΙΣ ΑΚΟΛΟΥΘΕΣ ΕΝΕΡΓΕΣ ΦΑΡΜ. ΘΕΡΑΠΕΙΕΣ');
INSERT INTO `lang_definitions` VALUES (82870, 11789, 15, 'Προσοχή, ο αριθμός επιταγής υπάρχει ήδη στη βάση δεδομένων');
INSERT INTO `lang_definitions` VALUES (82871, 11790, 15, 'Προσοχή, ο ασθενής έχει ασαφείς/διφορούμενους κωδικούς στη λίστα προβλημάτων του!');
INSERT INTO `lang_definitions` VALUES (82872, 11791, 15, 'Προειδοποίηση: Μια επίσκεψη έχει ήδη δημιουργηθεί για αυτόν τον ασθενή σήμερα!');
INSERT INTO `lang_definitions` VALUES (82873, 11792, 15, 'Προσοχή: Αντισύλληψη σε ασθενή κάτω των 10 ή άνω των 50.');
INSERT INTO `lang_definitions` VALUES (82874, 11793, 15, 'Προσοχή: Η Αντισυλληπτική μέθοδος δεν είναι συμβατή με άνδρα ασθενή.');
INSERT INTO `lang_definitions` VALUES (82875, 11796, 15, 'Προειδοποίηση: το αναγνωριστικό του ασθενούς δεν είναι μοναδικό!');
INSERT INTO `lang_definitions` VALUES (82876, 11799, 15, 'ΠΡΟΕΙΔΟΠΟΙΗΣΗ: Αυτό θα αντικαταστήσει πληροφορίες ρύθμισης με δεδομένα από το αρχείο!');
INSERT INTO `lang_definitions` VALUES (82877, 11800, 15, 'ΠΡΟΕΙΔΟΠΟΙΗΣΕΙΣ');
INSERT INTO `lang_definitions` VALUES (82878, 11801, 15, 'Προειδοποιήσεις');
INSERT INTO `lang_definitions` VALUES (82879, 11802, 15, 'ΠΡΟΕΙΔΟΠΟΙΗΣΕΙΣ και Ειδοποιήσεις/Υπενθυμίσεις');
INSERT INTO `lang_definitions` VALUES (82880, 11803, 15, 'ήταν ήδη ανεβασμένο');
INSERT INTO `lang_definitions` VALUES (82881, 11804, 15, 'δεν βρέθηκε');
INSERT INTO `lang_definitions` VALUES (82882, 11805, 15, 'Σας ευχαριστούμε για την άμεση καταβολή των οφειλών σας');
INSERT INTO `lang_definitions` VALUES (82883, 11806, 15, 'Σας ευχαριστούμε για την άμεση καταβολή των οφειλών σας.');
INSERT INTO `lang_definitions` VALUES (82884, 11809, 15, 'είδαμε τον παραπάνω ασθενή σας για εκτίμηση και θεραπεία στο τμήμα εξωτερικών ιατρείων της ψυχιατρικής κλινικής μας. Ευχαριστούμε για αυτήν την παραπομπή.');
INSERT INTO `lang_definitions` VALUES (82885, 11821, 15, 'Αδυναμία');
INSERT INTO `lang_definitions` VALUES (82886, 11825, 15, 'Διαδικτυακή Αναφορά');
INSERT INTO `lang_definitions` VALUES (82887, 11826, 15, 'Αναζήτηση στο διαδίκτυο');
INSERT INTO `lang_definitions` VALUES (82888, 11827, 15, 'Ιστοσελίδα');
INSERT INTO `lang_definitions` VALUES (82889, 11828, 15, 'Σύνδεσμος ιστοσελίδας του Portal του Ασθενούς');
INSERT INTO `lang_definitions` VALUES (82890, 11832, 15, 'Τετ');
INSERT INTO `lang_definitions` VALUES (82891, 11833, 15, 'Τετάρτη');
INSERT INTO `lang_definitions` VALUES (82892, 11834, 15, 'Εβδομάδα');
INSERT INTO `lang_definitions` VALUES (82893, 11835, 15, 'εβδομάδα');
INSERT INTO `lang_definitions` VALUES (82894, 11836, 15, 'Προβολή Εβδομάδας');
INSERT INTO `lang_definitions` VALUES (82895, 11837, 15, 'Εβδομάδα(ες)');
INSERT INTO `lang_definitions` VALUES (82896, 11838, 15, 'Εβδομάδες έκθεσης');
INSERT INTO `lang_definitions` VALUES (82897, 11839, 15, 'εβδομάδες');
INSERT INTO `lang_definitions` VALUES (82898, 11840, 15, 'Εβδομάδες');
INSERT INTO `lang_definitions` VALUES (82899, 11841, 15, 'Βάρος');
INSERT INTO `lang_definitions` VALUES (82900, 11842, 15, 'Αξιολόγηση και συμβουλευτική σωματικού βάρους για Παιδιά και Εφήβους');
INSERT INTO `lang_definitions` VALUES (82901, 11843, 15, 'Αξιολόγηση και συμβουλευτική σωματικού βάρους για Παιδιά και Εφήβους');
INSERT INTO `lang_definitions` VALUES (82902, 11844, 15, 'Αλλαγή βάρους');
INSERT INTO `lang_definitions` VALUES (82903, 11845, 15, 'Απώλεια βάρους');
INSERT INTO `lang_definitions` VALUES (82904, 11846, 15, 'Κλινική απώλειας βάρους');
INSERT INTO `lang_definitions` VALUES (82905, 11847, 15, 'Καλωσορίσατε');
INSERT INTO `lang_definitions` VALUES (82906, 11848, 15, 'Καλωσορίσατε στο OpenEMR');
INSERT INTO `lang_definitions` VALUES (82907, 11860, 15, 'Τε');
INSERT INTO `lang_definitions` VALUES (82908, 11862, 15, 'Τι θέλετε να μετρηθεί;');
INSERT INTO `lang_definitions` VALUES (82909, 11865, 15, 'Συριγμός');
INSERT INTO `lang_definitions` VALUES (82910, 11866, 15, 'Συριγμός');
INSERT INTO `lang_definitions` VALUES (82911, 11868, 15, 'Πότε και πόσο συχνά;');
INSERT INTO `lang_definitions` VALUES (82912, 11869, 15, 'Όταν είναι επιλεγμένο, τα Δημογραφικά θα ανοίγουν σε Νέο Παράθυρο από τον Πίνακα Ροής Ασθενών.');
INSERT INTO `lang_definitions` VALUES (82913, 11872, 15, 'Όταν είναι επιλεγμένο, θα εμφανίζεται ο Αριθμός Επίσκεψης Ασθενούς στον Πίνακα Ροής Ασθενών');
INSERT INTO `lang_definitions` VALUES (82914, 11873, 15, 'Όταν είναι επιλεγμένο, θα εμφανίζεται ο Κωδ. Ασθενούς στον Πίνακα Ροής Ασθενών.');
INSERT INTO `lang_definitions` VALUES (82915, 11874, 15, 'Όταν είναι επιλεγμένο, θα εμφανίζεται η Αιτία Επίσκεψης στον Πίνακα Ροής Ασθενών.');
INSERT INTO `lang_definitions` VALUES (82916, 11876, 15, 'Όταν είστε έτοιμοι, κάντε κλικ στην Υποβολή (κάτωθι) για να εφαρμοστούν οι επιλογές σας.');
INSERT INTO `lang_definitions` VALUES (82917, 11882, 15, 'Πού θα μπορούσαν να βρεθούν σχετικά σαρωμένα ή τυπωμένα έγγραφα;');
INSERT INTO `lang_definitions` VALUES (82918, 11883, 15, 'Σε ποιο σημείο του σώματός σας συμβαίνει;');
INSERT INTO `lang_definitions` VALUES (82919, 11884, 15, 'Είναι Ασφαλισμένος;');
INSERT INTO `lang_definitions` VALUES (82920, 11885, 15, 'Ποιες ημέρες είναι το Σαββατοκύριακό σας;');
INSERT INTO `lang_definitions` VALUES (82921, 11886, 15, 'Ποιες σημειώσεις να εμφανίζονται στην Οθόνη Χρέωσης;');
INSERT INTO `lang_definitions` VALUES (82922, 11891, 15, 'Λευκό(ς)');
INSERT INTO `lang_definitions` VALUES (82923, 11892, 15, 'Λευκή λίστα');
INSERT INTO `lang_definitions` VALUES (82924, 11894, 15, 'Ταυτότητα');
INSERT INTO `lang_definitions` VALUES (82925, 11895, 15, 'Ποιος απάντησε;');
INSERT INTO `lang_definitions` VALUES (82926, 11896, 15, 'Συνδεδεμένοι');
INSERT INTO `lang_definitions` VALUES (82927, 11897, 15, 'Χήρος/α');
INSERT INTO `lang_definitions` VALUES (82928, 11898, 15, 'Εύρος');
INSERT INTO `lang_definitions` VALUES (82929, 11900, 15, 'Εύρος σε pixel του αριστερού πλαισίου πλοήγησης.');
INSERT INTO `lang_definitions` VALUES (82930, 11903, 15, 'θα έχει τους ακόλουθους κανόνες επικύρωσης');
INSERT INTO `lang_definitions` VALUES (82931, 11905, 15, 'με την εισαγωγή');
INSERT INTO `lang_definitions` VALUES (82932, 11906, 15, 'με την προτιμώμενη γλώσσα');
INSERT INTO `lang_definitions` VALUES (82933, 11907, 15, 'Με επιλεγμένα:');
INSERT INTO `lang_definitions` VALUES (82934, 11908, 15, 'με το παλιό όνομα');
INSERT INTO `lang_definitions` VALUES (82935, 11910, 15, 'με τιμή');
INSERT INTO `lang_definitions` VALUES (82936, 11911, 15, 'Με ποιον θα μπορούσαμε να αφήσουμε ένα μήνυμα;');
INSERT INTO `lang_definitions` VALUES (82937, 11912, 15, 'Παρακρατηθέν');
INSERT INTO `lang_definitions` VALUES (82938, 11913, 15, 'μέσα σε ώρες');
INSERT INTO `lang_definitions` VALUES (82939, 11914, 15, 'μέσα σε ώρες:');
INSERT INTO `lang_definitions` VALUES (82940, 11915, 15, 'μέσα σε λεπτά');
INSERT INTO `lang_definitions` VALUES (82941, 11916, 15, 'μέσα σε λεπτά:');
INSERT INTO `lang_definitions` VALUES (82942, 11917, 15, 'Χωρίς Έδρα');
INSERT INTO `lang_definitions` VALUES (82943, 11918, 15, 'Χωρίς Πάροχο');
INSERT INTO `lang_definitions` VALUES (82944, 11919, 15, 'Χωρίς Ενημέρωση');
INSERT INTO `lang_definitions` VALUES (82945, 11920, 15, 'Μάρτυρας');
INSERT INTO `lang_definitions` VALUES (82946, 11921, 15, 'εβδ');
INSERT INTO `lang_definitions` VALUES (82947, 11922, 15, 'ΕΦΟ');
INSERT INTO `lang_definitions` VALUES (82948, 11924, 15, 'Γυναίκες');
INSERT INTO `lang_definitions` VALUES (82949, 11925, 15, 'Μόνο γυναίκες');
INSERT INTO `lang_definitions` VALUES (82950, 11926, 15, 'Portal WordPress');
INSERT INTO `lang_definitions` VALUES (82951, 11927, 15, 'Εργασία');
INSERT INTO `lang_definitions` VALUES (82952, 11928, 15, 'ΣΗΜΕΙΩΣΗ ΕΡΓΑΣΙΑΣ');
INSERT INTO `lang_definitions` VALUES (82953, 11929, 15, 'Τηλέφωνο εργασίας');
INSERT INTO `lang_definitions` VALUES (82954, 11930, 15, 'Αριθμός τηλεφώνου εργασίας');
INSERT INTO `lang_definitions` VALUES (82955, 11931, 15, 'Σχετικό με εργασία;');
INSERT INTO `lang_definitions` VALUES (82956, 11932, 15, 'Εργασία/Εκπαίδευση/Χομπυ');
INSERT INTO `lang_definitions` VALUES (82957, 11933, 15, 'Σημείωση εργασίας/σχολείου');
INSERT INTO `lang_definitions` VALUES (82958, 11934, 15, 'εργάσιμη μέρα');
INSERT INTO `lang_definitions` VALUES (82959, 11935, 15, 'Αποζημίωση Εργαζομένων');
INSERT INTO `lang_definitions` VALUES (82960, 11936, 15, 'Σχέδιο Αποζημίωσης Υγείας Εργαζομένων');
INSERT INTO `lang_definitions` VALUES (82961, 11939, 15, 'Γίνεται Επεξεργασία!');
INSERT INTO `lang_definitions` VALUES (82962, 11940, 15, 'Επεξεργασία... αυτό μπορεί να διαρκέσει ένα λεπτό.');
INSERT INTO `lang_definitions` VALUES (82963, 11941, 15, 'Επιδείνωση');
INSERT INTO `lang_definitions` VALUES (82964, 11942, 15, 'Θα θέλατε το ποσό υπολοίπου να εφαρμοστεί στο Γενικό Λογαριασμό;');
INSERT INTO `lang_definitions` VALUES (82965, 11943, 15, 'Θα θέλατε να σημειωθούν ως Εκκαθαρισθέντα;');
INSERT INTO `lang_definitions` VALUES (82966, 11944, 15, 'Θα θέλατε να κατανεμηθούν;');
INSERT INTO `lang_definitions` VALUES (82967, 11945, 15, 'Θα θέλατε να ακυρώσετε τη διανομή για αυτόν τον ασθενή;');
INSERT INTO `lang_definitions` VALUES (82968, 11946, 15, 'Θα θέλατε να διαγράψετε τη διανομή πληρωμής;');
INSERT INTO `lang_definitions` VALUES (82969, 11947, 15, 'Θα θέλατε να διαγράψετε πληρωμές;');
INSERT INTO `lang_definitions` VALUES (82970, 11948, 15, 'Θα θέλατε να τροποποιήσετε και να τελειώσετε πληρωμές;');
INSERT INTO `lang_definitions` VALUES (82971, 11949, 15, 'Θα θέλατε να τροποποιήσετε πληρωμές;');
INSERT INTO `lang_definitions` VALUES (82972, 11950, 15, 'Θα θέλατε να αποστείλετε και να τελειώσετε πληρωμές;');
INSERT INTO `lang_definitions` VALUES (82973, 11951, 15, 'Θα θέλατε να αποστείλετε πληρωμές;');
INSERT INTO `lang_definitions` VALUES (82974, 11952, 15, 'Να γίνει αποθήκευση;');
INSERT INTO `lang_definitions` VALUES (82975, 11953, 15, 'Καρπός');
INSERT INTO `lang_definitions` VALUES (82976, 11954, 15, 'Καρπός και χέρι');
INSERT INTO `lang_definitions` VALUES (82977, 11955, 15, 'Νοσήματα καρπού');
INSERT INTO `lang_definitions` VALUES (82978, 11956, 15, 'εγγραφή');
INSERT INTO `lang_definitions` VALUES (82979, 11958, 15, 'διαγραφή');
INSERT INTO `lang_definitions` VALUES (82980, 11960, 15, 'μερικά');
INSERT INTO `lang_definitions` VALUES (82981, 11965, 15, 'Τε');
INSERT INTO `lang_definitions` VALUES (82982, 11966, 15, 'x Ακυρώθηκε');
INSERT INTO `lang_definitions` VALUES (82983, 11967, 15, 'x Ακυρώθηκε');
INSERT INTO `lang_definitions` VALUES (82984, 11969, 15, 'Ακτινογραφίες');
INSERT INTO `lang_definitions` VALUES (82985, 11970, 15, 'Εκτίμηση ακτινογραφιών:');
INSERT INTO `lang_definitions` VALUES (82986, 11971, 15, 'Εκτίμηση ακτινογραφιών:');
INSERT INTO `lang_definitions` VALUES (82987, 11975, 15, 'Μόνο X12: Αίτηση αντικατάστασης');
INSERT INTO `lang_definitions` VALUES (82988, 11978, 15, 'Συνεργάτης Χ12');
INSERT INTO `lang_definitions` VALUES (82989, 11979, 15, 'Συνεργάτες Χ12');
INSERT INTO `lang_definitions` VALUES (82990, 11987, 15, 'Υ');
INSERT INTO `lang_definitions` VALUES (82991, 11988, 15, 'έτος');
INSERT INTO `lang_definitions` VALUES (82992, 11989, 15, 'Έτος');
INSERT INTO `lang_definitions` VALUES (82993, 11990, 15, 'Προβολή Έτους');
INSERT INTO `lang_definitions` VALUES (82994, 11991, 15, 'Έτος(η)');
INSERT INTO `lang_definitions` VALUES (82995, 11992, 15, 'Έτη');
INSERT INTO `lang_definitions` VALUES (82996, 11993, 15, 'προ ετών');
INSERT INTO `lang_definitions` VALUES (82997, 11994, 15, 'Έτη ή μήνες');
INSERT INTO `lang_definitions` VALUES (82998, 11995, 15, 'Έτη, μήνες και ημέρες');
INSERT INTO `lang_definitions` VALUES (82999, 11996, 15, 'Ναι');
INSERT INTO `lang_definitions` VALUES (83000, 11997, 15, 'ΝΑΙ');
INSERT INTO `lang_definitions` VALUES (83001, 11998, 15, 'ναι');
INSERT INTO `lang_definitions` VALUES (83002, 11999, 15, 'ΝΑΙ!');
INSERT INTO `lang_definitions` VALUES (83003, 12000, 15, 'Ναι, διαγραφή και Log');
INSERT INTO `lang_definitions` VALUES (83004, 12001, 15, 'Ναι, Διαγραφή αυτού του εντύπου');
INSERT INTO `lang_definitions` VALUES (83005, 12002, 15, 'Ναι/Όχι');
INSERT INTO `lang_definitions` VALUES (83006, 12003, 15, 'Ναι:');
INSERT INTO `lang_definitions` VALUES (83007, 12006, 15, 'Πρόκειται να διαγράψετε ένα πρότυπο');
INSERT INTO `lang_definitions` VALUES (83008, 12007, 15, 'Πρόκειται να διαγράψετε το ακόλουθο έντυπο από αυτήν την επίσκεψη');
INSERT INTO `lang_definitions` VALUES (83009, 12008, 15, 'Πρόκειται να αντικαταστήσετε μόνιμα το υπάρχον πρότυπο. Είστε σίγουροι ότι θέλετε να συνεχίσετε;');
INSERT INTO `lang_definitions` VALUES (83010, 12009, 15, 'Έχετε συνδεθεί ως');
INSERT INTO `lang_definitions` VALUES (83011, 12011, 15, 'Είστε εντός Περιόδου χάριτος για το Login. Αλλάξτε κωδικό πρόσβασης πριν τη λήξη');
INSERT INTO `lang_definitions` VALUES (83012, 12012, 15, 'Δεν έχετε δικαίωμα να διαγράψετε αυτό το συμβάν');
INSERT INTO `lang_definitions` VALUES (83013, 12013, 15, 'Δεν έχετε δικαίωμα να τροποποιήσετε αυτό το συμβάν');
INSERT INTO `lang_definitions` VALUES (83014, 12014, 15, 'Δεν έχετε δικαίωμα για αυτό.');
INSERT INTO `lang_definitions` VALUES (83015, 12016, 15, 'Δεν έχετε δικαίωμα πρόσβασης αυτής την ομάδα.');
INSERT INTO `lang_definitions` VALUES (83016, 12017, 15, 'Δεν έχετε δικαίωμα να προσθέσετε/επεξεργαστείτε τα Θέματα');
INSERT INTO `lang_definitions` VALUES (83017, 12018, 15, 'Δεν έχετε δικαίωμα να προγραμματίζετε ραντεβού.');
INSERT INTO `lang_definitions` VALUES (83018, 12019, 15, 'Δεν έχετε δικαίωμα να δείτε αυτή την επίσκεψη.');
INSERT INTO `lang_definitions` VALUES (83019, 12020, 15, 'Δεν έχετε τα απαιτούμενα δικαιώματα!');
INSERT INTO `lang_definitions` VALUES (83020, 12022, 15, 'Επιχειρείτε αποστολή στον εαυτό σας!');
INSERT INTO `lang_definitions` VALUES (83021, 12038, 15, 'Δεν μπορείτε να προσπελάσετε αυτή τη λειτουργία άμεσα.');
INSERT INTO `lang_definitions` VALUES (83022, 12050, 15, 'Δεν μπορείτε να προσπελάσετε αυτή τη σελίδα άμεσα.');
INSERT INTO `lang_definitions` VALUES (83023, 12051, 15, 'Δεν μπορείτε να προσθέσετε μια κενή τιμή για κατηγορία!');
INSERT INTO `lang_definitions` VALUES (83024, 12052, 15, 'Δεν μπορείτε να προσθέσετε μια κενή τιμή για υποκατηγορία!');
INSERT INTO `lang_definitions` VALUES (83025, 12053, 15, 'Δεν μπορείτε να προσθέσετε μια κενή τιμή για αντικείμενο!');
INSERT INTO `lang_definitions` VALUES (83026, 12055, 15, 'Δεν μπορείτε να εισαγάγετε μελλοντική ημ/νία αν η τιμή του «Ολοκληρώθηκε» είναι ΝΑΙ.');
INSERT INTO `lang_definitions` VALUES (83027, 12057, 15, 'Δεν έχετε επιλέξει καμία ενέργεια.');
INSERT INTO `lang_definitions` VALUES (83028, 12058, 15, 'Δεν έχετε πρόσβαση να δείτε/επεξεργαστείτε αυτό το σημείωμα');
INSERT INTO `lang_definitions` VALUES (83029, 12059, 15, 'Έχετε');
INSERT INTO `lang_definitions` VALUES (83030, 12061, 15, 'Επιχειρήσατε να τροποποιήσετε περιεχόμενο το οποίο είναι κλειδωμένο. Αφαιρέστε το κλείδωμα αν θέλετε να το κάνετε. Για να το ξεκλειδώσετε, αφαιρέστε την γραμμή, \'/*lock::*/\'');
INSERT INTO `lang_definitions` VALUES (83031, 12063, 15, 'Έχετε αποσυνδεθεί επιτυχώς.');
INSERT INTO `lang_definitions` VALUES (83032, 12066, 15, 'Δεν έχετε εισάγει κλινικές υπηρεσίες, ούτε προϊόντα. Κάντε κλικ στην Ακύρωση για να τα προσθέσετε ή στο ΟΚ αν θέλετε να κάνετε αποθήκευση χωρίς αυτά.');
INSERT INTO `lang_definitions` VALUES (83033, 12070, 15, 'Υπάρχουν μη αποθηκευμένες αλλαγές.');
INSERT INTO `lang_definitions` VALUES (83034, 12071, 15, 'Υπάρχουν μη αποθηκευμένες αλλαγές. Να απορριφθούν;');
INSERT INTO `lang_definitions` VALUES (83035, 12072, 15, 'Υπάρχουν μη αποθηκευμένες αλλαγές. Θέλετε να κλείσετε το έντυπο;');
INSERT INTO `lang_definitions` VALUES (83036, 12074, 15, 'Μπορείτε να ανεβάσετε μόνο .txt αρχεία');
INSERT INTO `lang_definitions` VALUES (83037, 12075, 15, 'Μπορείτε προαιρετικά να ανεβάσετε αποτελέσματα HL7 από αρχείο');
INSERT INTO `lang_definitions` VALUES (83038, 12076, 15, 'Μπορείτε να βάλετε κείμενο εδώ ως το προεπιλεγμένο ενόχλημα στο έντυπο Νέα Επίσκεψη ασθενούς.');
INSERT INTO `lang_definitions` VALUES (83039, 12085, 15, 'Πρέπει να πληκτρολογήσετε μια φράση πρόσβασης για την κρυπτογράφηση των εγγράφων');
INSERT INTO `lang_definitions` VALUES (83040, 12087, 15, 'Πρέπει να εισάγετε τον δικό σας κωδικό πρόσβασης ώστε να αλλάξετε κωδικούς χρηστών. Αφήστε κενό για να διατηρηθεί ο παλαιός κωδικός.');
INSERT INTO `lang_definitions` VALUES (83041, 12090, 15, 'Πρέπει πρώτα να επιλέξετε ασθενή ή να προσθέσετε νέο');
INSERT INTO `lang_definitions` VALUES (83042, 12091, 15, 'Πρέπει πρώτα να επιλέξετε επίσκεψη ή να δημιουργήσετε νέα');
INSERT INTO `lang_definitions` VALUES (83043, 12092, 15, 'Πρέπει να επιλέξετε μια κατηγορία επίσκεψης');
INSERT INTO `lang_definitions` VALUES (83044, 12093, 15, 'Πρέπει να επιλέξετε μια κατηγορία επίσκεψης.');
INSERT INTO `lang_definitions` VALUES (83045, 12094, 15, 'Πρέπει να επιλέξετε μερικά πεδία για να συνεχίσετε');
INSERT INTO `lang_definitions` VALUES (83046, 12095, 15, 'Απαιτούνται δικαιώματα διαχειριστή προκειμένου να προστεθούν περισσότερες επιλογές');
INSERT INTO `lang_definitions` VALUES (83047, 12096, 15, 'Απαιτούνται δικαιώματα διαχειριστή προκειμένου να απενεργοποιήσετε τον προεπιλεγμένο Πίνακα Προσκλήσεων');
INSERT INTO `lang_definitions` VALUES (83048, 12097, 15, 'Απαιτούνται δικαιώματα διαχειριστή προκειμένου να ενεργοποιήσετε την Υπηρεσία Επικοινωνίας MedEx');
INSERT INTO `lang_definitions` VALUES (83049, 12104, 15, 'Θα πρέπει να εκτελείτε αυτή τη δοκιμή, εάν ο ισχυρισμός αυτός φαίνεται να παράγεται με επιτυχία αλλά το πραγματικό αρχείο αξίωσης δεν περιέχει δεδομένα ή μόνο ένα ημιτελές τμήμα του όγκου των δεδομένων που θα έπρεπε να περιέχει. Αυτό είναι προφανές με τις αξιώσεις HCFA επειδή είναι αναγνώσιμες από τον άνθρωπο, όμως με τις αξιώσεις X12 είναι πιο δύσκολη διαδικασία να προσδιοριστεί αν η αξίωση έχει ολοκληρωθεί δεόντως.');
INSERT INTO `lang_definitions` VALUES (83050, 12106, 15, 'Θα πρέπει να επιλέξετε τουλάχιστον ένα πλαίσιο');
INSERT INTO `lang_definitions` VALUES (83051, 12107, 15, 'Θα πρέπει να επιλέξετε τουλάχιστον έναν Πάροχο');
INSERT INTO `lang_definitions` VALUES (83052, 12118, 15, 'Η Κλινική Αναφορά σας');
INSERT INTO `lang_definitions` VALUES (83053, 12121, 15, 'το e-mail σας');
INSERT INTO `lang_definitions` VALUES (83054, 12122, 15, 'Η ημ/νία λήξης σας είναι άκυρη');
INSERT INTO `lang_definitions` VALUES (83055, 12123, 15, 'Η συνεδρία διαγράφηκε');
INSERT INTO `lang_definitions` VALUES (83056, 12124, 15, 'Η συνεδρία τροποποιήθηκε');
INSERT INTO `lang_definitions` VALUES (83057, 12125, 15, 'Η συνεδρία καταχωρήθηκε');
INSERT INTO `lang_definitions` VALUES (83058, 12126, 15, 'Το αρχείο δεν έχει επέκταση');
INSERT INTO `lang_definitions` VALUES (83059, 12127, 15, 'Το αρχείο σας είναι πολύ μεγάλο');
INSERT INTO `lang_definitions` VALUES (83060, 12128, 15, 'Η πρώτη μέρα της εβδομάδας σας');
INSERT INTO `lang_definitions` VALUES (83061, 12130, 15, 'Η εγκατάσταση του OpenEMR έχει δηλωθεί');
INSERT INTO `lang_definitions` VALUES (83062, 12131, 15, 'Τα Εργαστηριακά Αποτελέσματά σας');
INSERT INTO `lang_definitions` VALUES (83063, 12132, 15, 'Το όνομα της λίστας έχει αλλάξει για να ανταποκρίνεται στις απαιτήσεις της ονοματοδοσίας.');
INSERT INTO `lang_definitions` VALUES (83064, 12133, 15, 'Το μήνυμά σας έχει υποβληθεί για αποστολή σε');
INSERT INTO `lang_definitions` VALUES (83065, 12134, 15, 'Το όνομά σας για αυτήν την κατηγορία, διαδικασία ή αποτέλεσμα');
INSERT INTO `lang_definitions` VALUES (83066, 12136, 15, 'το επόμενο ραντεβού σας στις');
INSERT INTO `lang_definitions` VALUES (83067, 12139, 15, 'Ο Κωδικός σας');
INSERT INTO `lang_definitions` VALUES (83068, 12140, 15, 'Ο κωδικός σας έληξε. Παρακαλώ αλλάξτε τον κωδικό σας.');
INSERT INTO `lang_definitions` VALUES (83069, 12141, 15, 'Ο κωδικός σας λήγει στις');
INSERT INTO `lang_definitions` VALUES (83070, 12143, 15, 'Ο κωδικός λήγει σήμερα. Παρακαλώ αλλάξτε τον κωδικό σας.');
INSERT INTO `lang_definitions` VALUES (83071, 12144, 15, 'Ο κωδικός σας είναι η υπογραφή σας');
INSERT INTO `lang_definitions` VALUES (83072, 12146, 15, 'Έγινε επαναφορά των ρυθμίσεών σας για το PostCalendar στη χρήση των προεπιλογών.');
INSERT INTO `lang_definitions` VALUES (83073, 12147, 15, 'Οι ρυθμίσεις του PostCalendar ενημερώθηκαν');
INSERT INTO `lang_definitions` VALUES (83074, 12148, 15, 'Η συχνότητα επανάληψης πρέπει να είναι ακέραιος.');
INSERT INTO `lang_definitions` VALUES (83075, 12149, 15, 'Η συχνότητα επανάληψής σας πρέπει να είναι τουλάχιστον 1.');
INSERT INTO `lang_definitions` VALUES (83076, 12150, 15, 'Το ασφαλές κλειδί είναι');
INSERT INTO `lang_definitions` VALUES (83077, 12151, 15, 'Η ημ/νία έναρξης είναι μεταγενέστερη από την ημ/νία λήξης');
INSERT INTO `lang_definitions` VALUES (83078, 12152, 15, 'Η ημ/νία έναρξης είναι άκυρη');
INSERT INTO `lang_definitions` VALUES (83079, 12153, 15, 'Η υποβολή σας απέτυχε');
INSERT INTO `lang_definitions` VALUES (83080, 12154, 15, 'Το Σαββατοκύριακό σας');
INSERT INTO `lang_definitions` VALUES (83081, 12156, 15, 'εεεε-μμ-ηη');
INSERT INTO `lang_definitions` VALUES (83082, 12157, 15, 'ΕΕΕΕ-ΜΜ-ΗΗ');
INSERT INTO `lang_definitions` VALUES (83083, 12158, 15, 'εεεε-μμ-ηη Ημ/νία συνδεδεμένη με αυτό το έγγραφο');
INSERT INTO `lang_definitions` VALUES (83084, 12159, 15, 'εεεε-μμ-ηη Ημ/νία καταστροφής');
INSERT INTO `lang_definitions` VALUES (83085, 12160, 15, 'εεεε-μμ-ηη ημ/νία γέννησης');
INSERT INTO `lang_definitions` VALUES (83086, 12161, 15, 'εεεε-μμ-ηη Ημ/νία γέννησης');
INSERT INTO `lang_definitions` VALUES (83087, 12162, 15, 'εεεε-μμ-ηη Ημ/νία λήξης');
INSERT INTO `lang_definitions` VALUES (83088, 12163, 15, 'εεεε-μμ-ηη Ημ/νία έναρξης ή νοσηλείας');
INSERT INTO `lang_definitions` VALUES (83089, 12164, 15, 'εεεε-μμ-ηη ημ/νία έναρξης, εγχείρισης ή έναρξης της αγωγής');
INSERT INTO `lang_definitions` VALUES (83090, 12165, 15, 'εεεε-μμ-ηη ημ/νία αγοράς ή μεταφοράς');
INSERT INTO `lang_definitions` VALUES (83091, 12166, 15, 'εεεε-μμ-ηη ημ/νία ανάρρωσης ή διακοπής της αγωγής');
INSERT INTO `lang_definitions` VALUES (83092, 12169, 15, 'εεεε-μμ-ηη ημ/νία αυτής της επιστολής');
INSERT INTO `lang_definitions` VALUES (83093, 12171, 15, 'εεεε-μμ-ηη ημ/νία εγγράφου');
INSERT INTO `lang_definitions` VALUES (83094, 12173, 15, 'εεεε-μμ-ηη ημ/νία συμβάντος ή ημ/νία έναρξης');
INSERT INTO `lang_definitions` VALUES (83095, 12178, 15, 'εεεε-μμ-ηη ωω:λλ:δδ');
INSERT INTO `lang_definitions` VALUES (83096, 12180, 15, 'εεεε-μμ-ηη τελευταία ημ/νία αυτού του συμβάντος');
INSERT INTO `lang_definitions` VALUES (83097, 12186, 15, 'Μηδέν');
INSERT INTO `lang_definitions` VALUES (83098, 12188, 15, 'ΤΚ');
INSERT INTO `lang_definitions` VALUES (83099, 12189, 15, 'Τ.Κ');
INSERT INTO `lang_definitions` VALUES (83100, 12191, 15, 'Τ.Κ/Χώρα:');
INSERT INTO `lang_definitions` VALUES (83101, 12192, 15, 'Μεγέθυνση');
INSERT INTO `lang_definitions` VALUES (83102, 12193, 15, 'Μεγέθυνση');
INSERT INTO `lang_definitions` VALUES (83103, 12194, 15, 'Σμίκρυνση');
INSERT INTO `lang_definitions` VALUES (83104, 12196, 15, 'Ζουλού');
INSERT INTO `lang_definitions` VALUES (83105, 12197, 15, ' αλλά ήταν');
INSERT INTO `lang_definitions` VALUES (83106, 12198, 15, ' δεν μπορούσε να προσπελαστεί.');
INSERT INTO `lang_definitions` VALUES (83107, 12199, 15, ' Είστε σίγουροι ότι θέλετε να διαγράψετε');
INSERT INTO `lang_definitions` VALUES (83108, 12200, 15, ' Φάρμακο');
INSERT INTO `lang_definitions` VALUES (83109, 12201, 15, ' τα e-mails δεν στάλθηκαν');
INSERT INTO `lang_definitions` VALUES (83110, 12202, 15, ' από');
INSERT INTO `lang_definitions` VALUES (83111, 12203, 15, ' έχει δημιουργηθεί.');
INSERT INTO `lang_definitions` VALUES (83112, 12204, 15, ' έχει ανοιχθεί εκ νέου.');
INSERT INTO `lang_definitions` VALUES (83113, 12205, 15, ' Ιστορικό');
INSERT INTO `lang_definitions` VALUES (83114, 12206, 15, ' δεν είναι αριθμός');
INSERT INTO `lang_definitions` VALUES (83115, 12207, 15, ' είναι έτοιμο για επανα-χρέωση.');
INSERT INTO `lang_definitions` VALUES (83116, 12208, 15, ' Αριστερός κάτω λοβός:');
INSERT INTO `lang_definitions` VALUES (83117, 12209, 15, ' Παρτίδα');
INSERT INTO `lang_definitions` VALUES (83118, 12210, 15, ' Πρωτότυπος Αρ. Αναφοράς Πρόνοιας');
INSERT INTO `lang_definitions` VALUES (83119, 12211, 15, ' λεπτά');
INSERT INTO `lang_definitions` VALUES (83120, 12212, 15, ' δεν βρέθηκε!');
INSERT INTO `lang_definitions` VALUES (83121, 12213, 15, 'Ιδιομορφίες σε πολλούς φυλλομετρητές μπορεί να οδηγήσουν στο να εισάγεται η κάτωθι έξοδος στην οθόνη σας με απότομα τινάγματα και μεγάλες παύσεις μερικών δευτερολέπτων, που δίνουν την εντύπωση ότι η εφαρμογή έχει κολλήσει. Αυτό δε συμβαίνει: θα δείτε τελικά την έξοδο να εμφανίζεται γραμμή προς γραμμή. Μπορεί να υπάρχουν διαδοχικοί αριθμοί που εμφανίζονται πιο κάτω. Αυτό είναι ένδειξη ότι, ακόμη και αν δεν εμφανίζεται τίποτε άλλο, υπάρχει συνεχιζόμενη δραστηριότητα. Οι αριθμοί αυτοί θα είναι διάσπαρτοι με το περιεχόμενο της χρέωσης και αυτό είναι φυσιολογικό.');
INSERT INTO `lang_definitions` VALUES (83122, 12214, 15, ' η συνταγή έχει φτάσει το όριό της που είναι');
INSERT INTO `lang_definitions` VALUES (83123, 12215, 15, ' μέχρι ');
INSERT INTO `lang_definitions` VALUES (83124, 12216, 15, ' η ενημέρωση απέτυχε, δεν είναι στη βάση δεδομένων;');
INSERT INTO `lang_definitions` VALUES (83125, 12217, 15, ' χαρακτηρίστηκε ως χρεωμένο μόνο.');
INSERT INTO `lang_definitions` VALUES (83126, 12218, 15, ' τοποθετήθηκε στην ουρά με επιτυχία.');
INSERT INTO `lang_definitions` VALUES (83127, 12219, 15, '! Έμεινε ανεξέταστος/η');
INSERT INTO `lang_definitions` VALUES (83128, 12220, 15, '\" για τον κωδικό');
INSERT INTO `lang_definitions` VALUES (83129, 12221, 15, '\" ΕΛΕΓΧΘΗΚΕ στις παραμέτρους του PostCalendar');
INSERT INTO `lang_definitions` VALUES (83130, 12222, 15, '# Ασφαλ./Οικονομ. θέμα');
INSERT INTO `lang_definitions` VALUES (83131, 12223, 15, '# δισκίων:');
INSERT INTO `lang_definitions` VALUES (83132, 12224, 15, '€');
INSERT INTO `lang_definitions` VALUES (83133, 12225, 15, '$ Έγινε κωδικοποίηση');
INSERT INTO `lang_definitions` VALUES (83134, 12226, 15, '$ετικέτα (εεεε-μμ-ηη):');
INSERT INTO `lang_definitions` VALUES (83135, 12227, 15, '%');
INSERT INTO `lang_definitions` VALUES (83136, 12228, 15, '% Ακυρώθηκε < 24 ώρες');
INSERT INTO `lang_definitions` VALUES (83137, 12229, 15, '% Ακυρώθηκε < 24 ώρες');
INSERT INTO `lang_definitions` VALUES (83138, 12230, 15, ' θα έπρεπε να υπήρχε, αλλά δεν υπάρχει.');
INSERT INTO `lang_definitions` VALUES (83139, 12231, 15, '(το % ταιριάζει με οποιαδήποτε συμβολοσειρά, το _ ταιριάζει με οποιοδήποτε χαρακτήρα)');
INSERT INTO `lang_definitions` VALUES (83140, 12232, 15, '(κάντε αριστερό κλικ κρατώντας πατημένο το [ctrl] για να επιλέξετε πολλαπλούς παραλήπτες)');
INSERT INTO `lang_definitions` VALUES (83141, 12233, 15, '(Πίσω)');
INSERT INTO `lang_definitions` VALUES (83142, 12234, 15, '(Κάντε κλικ για επεξεργασία)');
INSERT INTO `lang_definitions` VALUES (83143, 12235, 15, '(Η παράδοση e-mail είναι άμεση, ενώ τα αυτόματα μηνύματα VOIP αποστέλλονται στον πάροχο προς διεκπεραίωση.)');
INSERT INTO `lang_definitions` VALUES (83144, 12236, 15, '(Περισσότερα)');
INSERT INTO `lang_definitions` VALUES (83145, 12237, 15, '(Νέος ασθενής)');
INSERT INTO `lang_definitions` VALUES (83146, 12238, 15, '(Σημειώσεις και Άδειες)');
INSERT INTO `lang_definitions` VALUES (83147, 12239, 15, '(Σημειώσεις ασθενούς)');
INSERT INTO `lang_definitions` VALUES (83148, 12240, 15, '(Επιλέξτε έναν από αυτούς ή πληκτρολογήστε το δικό σας τίτλο)');
INSERT INTO `lang_definitions` VALUES (83149, 12241, 15, '(Shift-) Κάντε κλικ ή σύρετε για αλλαγή τιμής');
INSERT INTO `lang_definitions` VALUES (83150, 12242, 15, '* Να γίνει Υπενθύμιση');
INSERT INTO `lang_definitions` VALUES (83151, 12243, 15, '** Παρακαλώ μεταφέρετε τα χειρουργεία στα Θέματα!');
INSERT INTO `lang_definitions` VALUES (83152, 12244, 15, '*Απαιτείται');
INSERT INTO `lang_definitions` VALUES (83153, 12245, 15, '(+) Φάκελος ανεσύρθη');
INSERT INTO `lang_definitions` VALUES (83154, 12249, 15, '- Καμία');
INSERT INTO `lang_definitions` VALUES (83155, 12250, 15, '- Δεν Αναφέρθηκε');
INSERT INTO `lang_definitions` VALUES (83156, 12251, 15, '-- Όλα --');
INSERT INTO `lang_definitions` VALUES (83157, 12252, 15, '--Επιλέξτε Ρόλο--');
INSERT INTO `lang_definitions` VALUES (83158, 12253, 15, '.');
INSERT INTO `lang_definitions` VALUES (83159, 12254, 15, '0');
INSERT INTO `lang_definitions` VALUES (83160, 12255, 15, '0-10');
INSERT INTO `lang_definitions` VALUES (83161, 12256, 15, '0-24');
INSERT INTO `lang_definitions` VALUES (83162, 12259, 15, '1');
INSERT INTO `lang_definitions` VALUES (83163, 12260, 15, '30 = Ελλάς. Αναφερθείτε στο http://www.wtng.info/ για λίστα κωδικών άλλων κρατών.');
INSERT INTO `lang_definitions` VALUES (83164, 12261, 15, '1 Μέρα από τώρα');
INSERT INTO `lang_definitions` VALUES (83165, 12262, 15, '1 Μήνας από τώρα');
INSERT INTO `lang_definitions` VALUES (83166, 12263, 15, '1 Εβδομάδα από τώρα');
INSERT INTO `lang_definitions` VALUES (83167, 12264, 15, '1 Έτος από τώρα');
INSERT INTO `lang_definitions` VALUES (83168, 12265, 15, '1.Ανάπαυση 2. Πάγος για δύο ημέρες 3. Συμπίεση, αφήστε την πίεση στη θέση της, εκτός αν το πόδι αναπτύξει μούδιασμα, ή ωχρό χρώμα 4. Ανυψώστε το πόδι και το κάτω άκρο');
INSERT INTO `lang_definitions` VALUES (83169, 12266, 15, '11-14');
INSERT INTO `lang_definitions` VALUES (83170, 12267, 15, '12 ώρ');
INSERT INTO `lang_definitions` VALUES (83171, 12268, 15, '15-19');
INSERT INTO `lang_definitions` VALUES (83172, 12269, 15, '1mm');
INSERT INTO `lang_definitions` VALUES (83173, 12270, 15, '1ο');
INSERT INTO `lang_definitions` VALUES (83174, 12272, 15, '2');
INSERT INTO `lang_definitions` VALUES (83175, 12273, 15, '2 Ημέρες από τώρα');
INSERT INTO `lang_definitions` VALUES (83176, 12274, 15, '2 Μήνες από τώρα');
INSERT INTO `lang_definitions` VALUES (83177, 12275, 15, '2 Εβδομάδες από τώρα');
INSERT INTO `lang_definitions` VALUES (83178, 12276, 15, '2 Έτη από τώρα');
INSERT INTO `lang_definitions` VALUES (83179, 12277, 15, '2-20 έτη');
INSERT INTO `lang_definitions` VALUES (83180, 12278, 15, '20-24');
INSERT INTO `lang_definitions` VALUES (83181, 12287, 15, '2111-13');
INSERT INTO `lang_definitions` VALUES (83182, 12288, 15, '24 ωρ');
INSERT INTO `lang_definitions` VALUES (83183, 12289, 15, '25+');
INSERT INTO `lang_definitions` VALUES (83184, 12290, 15, '25-29');
INSERT INTO `lang_definitions` VALUES (83185, 12292, 15, '2mm');
INSERT INTO `lang_definitions` VALUES (83186, 12293, 15, '2ο');
INSERT INTO `lang_definitions` VALUES (83187, 12296, 15, '3 Ημέρες από τώρα');
INSERT INTO `lang_definitions` VALUES (83188, 12297, 15, '3 μήνες');
INSERT INTO `lang_definitions` VALUES (83189, 12298, 15, '3 Μήνες από τώρα');
INSERT INTO `lang_definitions` VALUES (83190, 12299, 15, '3 φορές ημερησίως');
INSERT INTO `lang_definitions` VALUES (83191, 12300, 15, '3 Εβδομάδες από τώρα');
INSERT INTO `lang_definitions` VALUES (83192, 12301, 15, '30-34');
INSERT INTO `lang_definitions` VALUES (83193, 12302, 15, '35-39');
INSERT INTO `lang_definitions` VALUES (83194, 12303, 15, '3mm');
INSERT INTO `lang_definitions` VALUES (83195, 12304, 15, '3ο');
INSERT INTO `lang_definitions` VALUES (83196, 12307, 15, '4 Μέρες από τώρα');
INSERT INTO `lang_definitions` VALUES (83197, 12308, 15, '4 μήνες');
INSERT INTO `lang_definitions` VALUES (83198, 12309, 15, '4 Μήνες από τώρα');
INSERT INTO `lang_definitions` VALUES (83199, 12310, 15, '4 φορές ημερησίως');
INSERT INTO `lang_definitions` VALUES (83200, 12311, 15, '4 Εβδομάδες από τώρα');
INSERT INTO `lang_definitions` VALUES (83201, 12312, 15, '40-44');
INSERT INTO `lang_definitions` VALUES (83202, 12313, 15, '45+');
INSERT INTO `lang_definitions` VALUES (83203, 12314, 15, '465.9, Λοίμωξη ανώτερου ουροποιητικού');
INSERT INTO `lang_definitions` VALUES (83204, 12315, 15, '466.0, Βρογχίτιδα, Οξεία Συνθετάση του ΝΟ');
INSERT INTO `lang_definitions` VALUES (83205, 12316, 15, '486.0, Πνευμονία, οξεία');
INSERT INTO `lang_definitions` VALUES (83206, 12317, 15, '491.21, ΧΑΠ έξαρση');
INSERT INTO `lang_definitions` VALUES (83207, 12318, 15, '491.8, Βρογχίτιδα, Χρόνια');
INSERT INTO `lang_definitions` VALUES (83208, 12319, 15, '493.92, Άσθμα, οξεία έξαρση');
INSERT INTO `lang_definitions` VALUES (83209, 12320, 15, '496.0, ΧΑΠ');
INSERT INTO `lang_definitions` VALUES (83210, 12322, 15, '4mm');
INSERT INTO `lang_definitions` VALUES (83211, 12323, 15, '4ο');
INSERT INTO `lang_definitions` VALUES (83212, 12326, 15, '5 Μέρες από τώρα');
INSERT INTO `lang_definitions` VALUES (83213, 12327, 15, '5 Μήνες από τώρα');
INSERT INTO `lang_definitions` VALUES (83214, 12328, 15, '5 Εβδομάδες από τώρα');
INSERT INTO `lang_definitions` VALUES (83215, 12329, 15, '519.7, Βρογχόσπασμος');
INSERT INTO `lang_definitions` VALUES (83216, 12330, 15, '5mm');
INSERT INTO `lang_definitions` VALUES (83217, 12331, 15, '5ο');
INSERT INTO `lang_definitions` VALUES (83218, 12333, 15, '6 Μέρες από τώρα');
INSERT INTO `lang_definitions` VALUES (83219, 12334, 15, '6 μήνες');
INSERT INTO `lang_definitions` VALUES (83220, 12335, 15, '6 Μήνες από τώρα');
INSERT INTO `lang_definitions` VALUES (83221, 12336, 15, '6 Εβδομάδες από τώρα');
INSERT INTO `lang_definitions` VALUES (83222, 12337, 15, '6ο');
INSERT INTO `lang_definitions` VALUES (83223, 12339, 15, '7 Μήνες από τώρα');
INSERT INTO `lang_definitions` VALUES (83224, 12340, 15, '8 Μήνες από τώρα');
INSERT INTO `lang_definitions` VALUES (83225, 12342, 15, '824.0 Κάταγμα, έσω σφυρό, κλειστό');
INSERT INTO `lang_definitions` VALUES (83226, 12343, 15, '824.2 Κάταγμα, έξω σφυρό, κλειστό');
INSERT INTO `lang_definitions` VALUES (83227, 12344, 15, '824.6 Κάταγμα, τρισφύριο, κλειστό');
INSERT INTO `lang_definitions` VALUES (83228, 12345, 15, '825.32 Κάταγμα, σκαφοειδούς (αστράγαλο)');
INSERT INTO `lang_definitions` VALUES (83229, 12346, 15, '825.35 Κάταγμα, Βάση του πέμπτου (5ου) μεταταρσίου');
INSERT INTO `lang_definitions` VALUES (83230, 12347, 15, '845.00 διάστρεμμα ποδοκνημικής ΜΑΔ');
INSERT INTO `lang_definitions` VALUES (83231, 12348, 15, '845.01 Διάστρεμμα έσω (δελτοειδικού) συνδ.');
INSERT INTO `lang_definitions` VALUES (83232, 12349, 15, '845.02 Διάστρεμμα, περονιαίας πτέρνας');
INSERT INTO `lang_definitions` VALUES (83233, 12350, 15, '9 Μήνες από τώρα');
INSERT INTO `lang_definitions` VALUES (83234, 12351, 15, '99212 Βεβαιωμένο – Ανεπίπλεκτο');
INSERT INTO `lang_definitions` VALUES (83235, 12352, 15, '99213 Βεβαιωμένο – Ήπια πολυπλοκότητα');
INSERT INTO `lang_definitions` VALUES (83236, 12353, 15, '< Στο εξεταστήριο');
INSERT INTO `lang_definitions` VALUES (83237, 12354, 15, '< Δεν αναφέρθηκε');
INSERT INTO `lang_definitions` VALUES (83238, 12355, 15, '(=) Πραγματοποιήθηκε');
INSERT INTO `lang_definitions` VALUES (83239, 12356, 15, '> 3 στοιχεία ΙΠΝ');
INSERT INTO `lang_definitions` VALUES (83240, 12357, 15, '> Έγινε Check out');
INSERT INTO `lang_definitions` VALUES (83241, 12358, 15, '> Δεν πραγματοποιήθηκε');
INSERT INTO `lang_definitions` VALUES (83242, 12360, 15, '? Δεν προσήλθε');
INSERT INTO `lang_definitions` VALUES (83243, 12361, 15, '? Δεν προσήλθε');
INSERT INTO `lang_definitions` VALUES (83244, 12362, 15, '@ Προσήλθε');
INSERT INTO `lang_definitions` VALUES (83245, 12363, 15, '@ Συμμετείχε');
INSERT INTO `lang_definitions` VALUES (83246, 12364, 15, '[Αλλαγή Προβολής]');
INSERT INTO `lang_definitions` VALUES (83247, 12365, 15, '[Ημ/νία Τελευταίας Επίσκεψης]');
INSERT INTO `lang_definitions` VALUES (83248, 12366, 15, '[Ημέρες από την Τελευταία Επίσκεψη]');
INSERT INTO `lang_definitions` VALUES (83249, 12367, 15, '[Περιγραφή]');
INSERT INTO `lang_definitions` VALUES (83250, 12368, 15, '[Εξαγωγή Ανοικτής Οικονομικής Συναλλαγής]');
INSERT INTO `lang_definitions` VALUES (83251, 12369, 15, '[δεν συνιστάται]');
INSERT INTO `lang_definitions` VALUES (83252, 12370, 15, '[Αριθμός Επισκέψεων]');
INSERT INTO `lang_definitions` VALUES (83253, 12371, 15, '[Αναφορές]');
INSERT INTO `lang_definitions` VALUES (83254, 12372, 15, '[Επιλογή Όλων]');
INSERT INTO `lang_definitions` VALUES (83255, 12373, 15, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (83256, 12374, 15, '[Έναρξη Μαζικής Επεξεργασίας]');
INSERT INTO `lang_definitions` VALUES (83257, 12375, 15, '[Προβολή αρχείου καταγραφής]');
INSERT INTO `lang_definitions` VALUES (83258, 12376, 15, '[Προβολή Εκτυπώσιμης Αναφοράς]');
INSERT INTO `lang_definitions` VALUES (83259, 12377, 15, '^ Εκκρεμεί');
INSERT INTO `lang_definitions` VALUES (83260, 12378, 15, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (83261, 12379, 15, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (83262, 12380, 15, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (83263, 12381, 15, '~ Καθυστέρησε');
INSERT INTO `lang_definitions` VALUES (83264, 12382, 15, '~ Καθυστερημένη Προσέλευση');
INSERT INTO `lang_definitions` VALUES (83265, 50, 16, 'A standardised form called the Health Insurance Claim Form is used to submit claims');
INSERT INTO `lang_definitions` VALUES (83266, 103, 16, 'Access Not Authorised');
INSERT INTO `lang_definitions` VALUES (83267, 129, 16, 'ACL Administration Not Authorised');
INSERT INTO `lang_definitions` VALUES (83268, 228, 16, 'Add Immunisation');
INSERT INTO `lang_definitions` VALUES (83269, 229, 16, 'Add is not authorised!');
INSERT INTO `lang_definitions` VALUES (83270, 293, 16, 'Adding demographics is not authorised.');
INSERT INTO `lang_definitions` VALUES (83271, 464, 16, 'All or part of the organisation');
INSERT INTO `lang_definitions` VALUES (83272, 508, 16, 'Allow Immunisation Info Sharing');
INSERT INTO `lang_definitions` VALUES (83273, 509, 16, 'Allow Immunisation Registry Use');
INSERT INTO `lang_definitions` VALUES (83274, 691, 16, 'Any part of the immunisation id or immunisation name');
INSERT INTO `lang_definitions` VALUES (83275, 737, 16, 'Appointment Display Sets - Colour 1');
INSERT INTO `lang_definitions` VALUES (83276, 738, 16, 'Appointment Display Sets - Colour 2');
INSERT INTO `lang_definitions` VALUES (83277, 739, 16, 'Appointment Display Sets - Colour 3');
INSERT INTO `lang_definitions` VALUES (83278, 740, 16, 'Appointment Display Sets - Colour 4');
INSERT INTO `lang_definitions` VALUES (83279, 749, 16, 'Appointment/Event Colour');
INSERT INTO `lang_definitions` VALUES (83280, 922, 16, 'Authorisation group');
INSERT INTO `lang_definitions` VALUES (83281, 923, 16, 'Authorisation Status');
INSERT INTO `lang_definitions` VALUES (83282, 924, 16, 'Authorisations');
INSERT INTO `lang_definitions` VALUES (83283, 925, 16, 'Authorise');
INSERT INTO `lang_definitions` VALUES (83284, 926, 16, 'Authorise - any encounters');
INSERT INTO `lang_definitions` VALUES (83285, 928, 16, 'Authorise - my encounters');
INSERT INTO `lang_definitions` VALUES (83286, 933, 16, 'Authorise.net');
INSERT INTO `lang_definitions` VALUES (83287, 934, 16, 'Authorised');
INSERT INTO `lang_definitions` VALUES (83288, 936, 16, 'Authorised Only');
INSERT INTO `lang_definitions` VALUES (83289, 1226, 16, 'BOX 18. Hospitalisation date from');
INSERT INTO `lang_definitions` VALUES (83290, 1227, 16, 'BOX 18. Hospitalisation date from (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (83291, 1230, 16, 'BOX 18. Hospitalisation date to');
INSERT INTO `lang_definitions` VALUES (83292, 1231, 16, 'BOX 18. Hospitalisation date to (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (83293, 1243, 16, 'BOX 23. Prior Authorisation No.');
INSERT INTO `lang_definitions` VALUES (83294, 1382, 16, 'Cardiac Catheterisation');
INSERT INTO `lang_definitions` VALUES (83295, 1583, 16, 'Childhood immunisation Status (CQM)');
INSERT INTO `lang_definitions` VALUES (83296, 1631, 16, 'City, State Pin');
INSERT INTO `lang_definitions` VALUES (83297, 1990, 16, 'Coding not authorised');
INSERT INTO `lang_definitions` VALUES (83298, 2014, 16, 'Colour');
INSERT INTO `lang_definitions` VALUES (83299, 2015, 16, 'Colour for even sets (except when last set is even and all member appointments are displayed and at least one subsequent scheduled appointment exists (not displayed) or not all member appointments are displayed).');
INSERT INTO `lang_definitions` VALUES (83300, 2016, 16, 'Colour for odd sets (except when last set is odd and all member appointments are displayed and at least one subsequent scheduled appointment exists (not displayed) or not all member appointments are displayed).');
INSERT INTO `lang_definitions` VALUES (83301, 2017, 16, 'Colour for the last set when all member appointments are displayed and at least one subsequent scheduled appointment exists (not displayed).');
INSERT INTO `lang_definitions` VALUES (83302, 2018, 16, 'Colour for the last set when not all member appointments are displayed.');
INSERT INTO `lang_definitions` VALUES (83303, 2019, 16, 'Colour Vision');
INSERT INTO `lang_definitions` VALUES (83304, 2020, 16, 'Colour:Abbr');
INSERT INTO `lang_definitions` VALUES (83305, 2223, 16, 'Counselling');
INSERT INTO `lang_definitions` VALUES (83306, 2224, 16, 'Counselling activities');
INSERT INTO `lang_definitions` VALUES (83307, 2236, 16, 'district');
INSERT INTO `lang_definitions` VALUES (83308, 2344, 16, 'Current day highlight colour');
INSERT INTO `lang_definitions` VALUES (83309, 2379, 16, 'Cushing Syndrome');
INSERT INTO `lang_definitions` VALUES (83310, 2404, 16, 'CVX Immunisation');
INSERT INTO `lang_definitions` VALUES (83311, 2470, 16, 'Date Immunisation Information Statements Given');
INSERT INTO `lang_definitions` VALUES (83312, 2680, 16, 'Demographics not authorised');
INSERT INTO `lang_definitions` VALUES (83313, 2681, 16, 'Demographics not authorised.');
INSERT INTO `lang_definitions` VALUES (83314, 2798, 16, 'Disable Immunisations');
INSERT INTO `lang_definitions` VALUES (83315, 2919, 16, 'Do not require patient notes to be authorised');
INSERT INTO `lang_definitions` VALUES (83316, 2940, 16, 'Do you wish to PERMANENTLY delete this immunisation record?');
INSERT INTO `lang_definitions` VALUES (83317, 3181, 16, 'Edit is not authorised!');
INSERT INTO `lang_definitions` VALUES (83318, 3204, 16, 'PAN');
INSERT INTO `lang_definitions` VALUES (83319, 3433, 16, 'encounter health and behaviour assessment');
INSERT INTO `lang_definitions` VALUES (83320, 3450, 16, 'encounter preventive medicine - individual counseling');
INSERT INTO `lang_definitions` VALUES (83321, 3467, 16, 'Encounters not authorised');
INSERT INTO `lang_definitions` VALUES (83322, 3537, 16, 'Enter Immunisations');
INSERT INTO `lang_definitions` VALUES (83323, 3768, 16, 'Exclusive Provider Organisation (EPO)');
INSERT INTO `lang_definitions` VALUES (83324, 3944, 16, 'MCI/State Registration No.');
INSERT INTO `lang_definitions` VALUES (83325, 3945, 16, 'TAN');
INSERT INTO `lang_definitions` VALUES (83326, 3946, 16, 'PAN');
INSERT INTO `lang_definitions` VALUES (83327, 4173, 16, 'For Referred Organisation/Practitioner');
INSERT INTO `lang_definitions` VALUES (83328, 4489, 16, 'Gynaecological Exam');
INSERT INTO `lang_definitions` VALUES (83329, 4540, 16, 'Health Maintenance Organisation');
INSERT INTO `lang_definitions` VALUES (83330, 4541, 16, 'Health Maintenance Organisation (HMO) Medicare Risk');
INSERT INTO `lang_definitions` VALUES (83331, 4563, 16, 'Haematemesis');
INSERT INTO `lang_definitions` VALUES (83332, 4564, 16, 'Haematochezia');
INSERT INTO `lang_definitions` VALUES (83333, 4565, 16, 'Haematologic');
INSERT INTO `lang_definitions` VALUES (83334, 4566, 16, 'Haematuria');
INSERT INTO `lang_definitions` VALUES (83335, 4567, 16, 'Haemoglobin');
INSERT INTO `lang_definitions` VALUES (83336, 4569, 16, 'Haemoptysis');
INSERT INTO `lang_definitions` VALUES (83337, 4633, 16, 'History not authorised');
INSERT INTO `lang_definitions` VALUES (83338, 4831, 16, 'If you have already filled the calendar_external table, then click on \"Synchronise\" button to have the holidays in the calendar view. NOTE that clicking on the button will remove all the existing items in the calendar view related to holidays');
INSERT INTO `lang_definitions` VALUES (83339, 4865, 16, 'Immunisation');
INSERT INTO `lang_definitions` VALUES (83340, 4866, 16, 'Immunisation Administered Site');
INSERT INTO `lang_definitions` VALUES (83341, 4867, 16, 'Immunisation Code');
INSERT INTO `lang_definitions` VALUES (83342, 4868, 16, 'Immunisation Completion Status');
INSERT INTO `lang_definitions` VALUES (83343, 4869, 16, 'Immunisation Date');
INSERT INTO `lang_definitions` VALUES (83344, 4870, 16, 'Immunisation Expiration Date');
INSERT INTO `lang_definitions` VALUES (83345, 4871, 16, 'Immunisation Information Source');
INSERT INTO `lang_definitions` VALUES (83346, 4872, 16, 'Immunisation Lot Number');
INSERT INTO `lang_definitions` VALUES (83347, 4873, 16, 'Immunisation Manufacturer');
INSERT INTO `lang_definitions` VALUES (83348, 4874, 16, 'Immunisation Observation Criteria');
INSERT INTO `lang_definitions` VALUES (83349, 4875, 16, 'Immunisation Observation Results');
INSERT INTO `lang_definitions` VALUES (83350, 4876, 16, 'Immunisation Ordering Provider');
INSERT INTO `lang_definitions` VALUES (83351, 4877, 16, 'Immunisation Refusal Reason');
INSERT INTO `lang_definitions` VALUES (83352, 4878, 16, 'Immunisation Registry');
INSERT INTO `lang_definitions` VALUES (83353, 4879, 16, 'Immunisation Registry Status');
INSERT INTO `lang_definitions` VALUES (83354, 4880, 16, 'Immunisation Registry Status Effective Date');
INSERT INTO `lang_definitions` VALUES (83355, 4881, 16, 'Immunisation Report');
INSERT INTO `lang_definitions` VALUES (83356, 4882, 16, 'Immunisation Service');
INSERT INTO `lang_definitions` VALUES (83357, 4883, 16, 'Immunisation Title');
INSERT INTO `lang_definitions` VALUES (83358, 4884, 16, 'Immunisation Vaccine Eligibility Results');
INSERT INTO `lang_definitions` VALUES (83359, 4885, 16, 'Immunisations');
INSERT INTO `lang_definitions` VALUES (83360, 4887, 16, 'Immunise');
INSERT INTO `lang_definitions` VALUES (83361, 4975, 16, 'Include Uncategorised');
INSERT INTO `lang_definitions` VALUES (83362, 5002, 16, 'Indicator for specialised usage');
INSERT INTO `lang_definitions` VALUES (83363, 5019, 16, 'Influenza Immunisation for Patients >= 50 Years Old');
INSERT INTO `lang_definitions` VALUES (83364, 5020, 16, 'Influenza Immunisation for Patients >= 50 Years Old (CQM)');
INSERT INTO `lang_definitions` VALUES (83365, 5143, 16, 'Intermediate Care Facility/Intellectually Disabled');
INSERT INTO `lang_definitions` VALUES (83366, 5262, 16, 'Is it ok to map these CVX codes to already existent immunisations?');
INSERT INTO `lang_definitions` VALUES (83367, 5308, 16, 'Issues not authorised');
INSERT INTO `lang_definitions` VALUES (83368, 5893, 16, 'Mass Immunisation Center');
INSERT INTO `lang_definitions` VALUES (83369, 5999, 16, 'Menus');
INSERT INTO `lang_definitions` VALUES (83370, 6280, 16, 'Name and Title of Immunisation Administrator');
INSERT INTO `lang_definitions` VALUES (83371, 6404, 16, 'New encounters not authorised');
INSERT INTO `lang_definitions` VALUES (83372, 6415, 16, 'New Immunisation Record');
INSERT INTO `lang_definitions` VALUES (83373, 6720, 16, 'Not authorised to access PostCalendar module');
INSERT INTO `lang_definitions` VALUES (83374, 6721, 16, 'Not Authorised');
INSERT INTO `lang_definitions` VALUES (83375, 6722, 16, 'Not authorised');
INSERT INTO `lang_definitions` VALUES (83376, 6723, 16, 'Not authorised for this squad!');
INSERT INTO `lang_definitions` VALUES (83377, 6724, 16, 'Not authorised for this squad.');
INSERT INTO `lang_definitions` VALUES (83378, 6725, 16, 'Not authorised to manage users!');
INSERT INTO `lang_definitions` VALUES (83379, 6726, 16, 'Not authorised to sign results');
INSERT INTO `lang_definitions` VALUES (83380, 6780, 16, 'Note: This code was not entered by an authorised user. Only authorised codes may be uploaded to the Open Medical Billing Network for processing. If you wish to upload these codes, please select an authorised user here.');
INSERT INTO `lang_definitions` VALUES (83381, 6793, 16, 'Notes not authorised');
INSERT INTO `lang_definitions` VALUES (83382, 6884, 16, 'Observation Results in Immunisation');
INSERT INTO `lang_definitions` VALUES (83383, 7110, 16, 'Optional immunisation name or code, use % as a wildcard');
INSERT INTO `lang_definitions` VALUES (83384, 7167, 16, 'Organisation');
INSERT INTO `lang_definitions` VALUES (83385, 7168, 16, 'Organisation Name');
INSERT INTO `lang_definitions` VALUES (83386, 7169, 16, 'Organisational Unit Name');
INSERT INTO `lang_definitions` VALUES (83387, 7170, 16, 'Organisations');
INSERT INTO `lang_definitions` VALUES (83388, 7426, 16, 'Patient has not authorised the Patient Portal.');
INSERT INTO `lang_definitions` VALUES (83389, 7437, 16, 'Patient Immunisation');
INSERT INTO `lang_definitions` VALUES (83390, 8009, 16, 'Post-Abortion Counselling');
INSERT INTO `lang_definitions` VALUES (83391, 8055, 16, 'Preferred Provider Organisation (PPO)');
INSERT INTO `lang_definitions` VALUES (83392, 8184, 16, 'Prior Authorisation Form');
INSERT INTO `lang_definitions` VALUES (83393, 8351, 16, 'Psychiatric Facility-Partial Hospitalisation');
INSERT INTO `lang_definitions` VALUES (83394, 8738, 16, 'Removes support for immunisations');
INSERT INTO `lang_definitions` VALUES (83395, 8864, 16, 'Restrict non-authorised users to the Schedule Facilities set in User admin.');
INSERT INTO `lang_definitions` VALUES (83396, 9029, 16, 'Aadhaar Number');
INSERT INTO `lang_definitions` VALUES (83397, 9076, 16, 'Save Immunisation');
INSERT INTO `lang_definitions` VALUES (83398, 9140, 16, 'SE Pin Code');
INSERT INTO `lang_definitions` VALUES (83399, 9210, 16, 'See Authorisations');
INSERT INTO `lang_definitions` VALUES (83400, 9285, 16, 'Select Immunisations');
INSERT INTO `lang_definitions` VALUES (83401, 9286, 16, 'Select Immunisations for De Identification request');
INSERT INTO `lang_definitions` VALUES (83402, 9533, 16, 'Show Authorised Only');
INSERT INTO `lang_definitions` VALUES (83403, 9654, 16, 'Skip Authorisation of Patient Notes');
INSERT INTO `lang_definitions` VALUES (83404, 9735, 16, 'Some authorisations were not displayed. Click here to view all');
INSERT INTO `lang_definitions` VALUES (83405, 9849, 16, 'UID');
INSERT INTO `lang_definitions` VALUES (83406, 9851, 16, 'Aadhaar');
INSERT INTO `lang_definitions` VALUES (83407, 10000, 16, 'Subscriber Employer Pin Code');
INSERT INTO `lang_definitions` VALUES (83408, 10111, 16, 'Synchronise');
INSERT INTO `lang_definitions` VALUES (83409, 10112, 16, 'Synchronise translations with custom language table.');
INSERT INTO `lang_definitions` VALUES (83410, 10113, 16, 'Synchronised new custom constant:');
INSERT INTO `lang_definitions` VALUES (83411, 10114, 16, 'Synchronised new custom language:');
INSERT INTO `lang_definitions` VALUES (83412, 10115, 16, 'Synchronised new definition (Language, Constant, Definition):');
INSERT INTO `lang_definitions` VALUES (83413, 10565, 16, 'The translation tables are synchronised.');
INSERT INTO `lang_definitions` VALUES (83414, 10867, 16, 'This will use the custom immunisations list rather than the standard CVX immunisation list.');
INSERT INTO `lang_definitions` VALUES (83415, 11017, 16, 'TO_ORGANISATION');
INSERT INTO `lang_definitions` VALUES (83416, 11077, 16, 'Total Minimum Rupee Amount of Statement to Allow Printing.(only applicable if Allow Statement Exclusions from Printing is enabled)');
INSERT INTO `lang_definitions` VALUES (83417, 11081, 16, 'Total Number of Immunisations');
INSERT INTO `lang_definitions` VALUES (83418, 11293, 16, 'Unauthorised');
INSERT INTO `lang_definitions` VALUES (83419, 11294, 16, 'Unauthorised access to ePrescription');
INSERT INTO `lang_definitions` VALUES (83420, 11295, 16, 'Unauthorised access.');
INSERT INTO `lang_definitions` VALUES (83421, 11390, 16, 'Updating demographics is not authorised.');
INSERT INTO `lang_definitions` VALUES (83422, 11400, 16, 'Registration No');
INSERT INTO `lang_definitions` VALUES (83423, 11474, 16, 'Use Custom Immunisation List');
INSERT INTO `lang_definitions` VALUES (83424, 11617, 16, 'Variation in red colour discrimination between the eyes (eg. OD=100, OS=75)');
INSERT INTO `lang_definitions` VALUES (83425, 12014, 16, 'You are not authorised for this.');
INSERT INTO `lang_definitions` VALUES (83426, 12016, 16, 'You are not authorised to access this squad.');
INSERT INTO `lang_definitions` VALUES (83427, 12017, 16, 'You are not authorised to add/edit issues');
INSERT INTO `lang_definitions` VALUES (83428, 12018, 16, 'You are not authorised to schedule appointments.');
INSERT INTO `lang_definitions` VALUES (83429, 12019, 16, 'You are not authorised to see this encounter.');
INSERT INTO `lang_definitions` VALUES (83430, 12163, 16, 'yyyy-mm-dd Date of onset or hospitalisation');
INSERT INTO `lang_definitions` VALUES (83431, 12188, 16, 'Pin');
INSERT INTO `lang_definitions` VALUES (83432, 12189, 16, 'Pin Code');
INSERT INTO `lang_definitions` VALUES (83433, 12191, 16, 'Pin/Country');
INSERT INTO `lang_definitions` VALUES (83434, 12224, 16, 'INR');
INSERT INTO `lang_definitions` VALUES (83435, 12225, 16, 'INR Coding done');
INSERT INTO `lang_definitions` VALUES (83436, 12238, 16, '(Notes and Authorisations)');
INSERT INTO `lang_definitions` VALUES (83437, 12265, 16, '1.Rest 2. Ice for two days 3. Compression, leave the dressing in place unless the foot develops numbness or pale colour 4. Elevate the foot and leg');
INSERT INTO `lang_definitions` VALUES (83438, 1, 17, 'Um');
INSERT INTO `lang_definitions` VALUES (83439, 2, 17, 'Número de cheque ou de crédito para identificar o pagamento');
INSERT INTO `lang_definitions` VALUES (83440, 3, 17, 'Uma reclamação deve ser selecionada para habilitar este menu.');
INSERT INTO `lang_definitions` VALUES (83441, 4, 17, 'Certificado de cliente para o administrador do sistema');
INSERT INTO `lang_definitions` VALUES (83442, 5, 17, 'Uma regra de decisão clínica consiste em informações específicas do paciente que são filtradas e apresentadas em momentos apropriados para melhorar a saúde e os cuidados de saúde');
INSERT INTO `lang_definitions` VALUES (83443, 6, 17, 'Está anexado um documento clínico');
INSERT INTO `lang_definitions` VALUES (83444, 7, 17, 'Está anexado um documento clínico.');
INSERT INTO `lang_definitions` VALUES (83445, 8, 17, 'Já está selecionado um código deste tipo. Se precisa de o substituir primeiro apague o campo');
INSERT INTO `lang_definitions` VALUES (83446, 9, 17, 'Uma mensagem de lembrete com data pode ser encaminhada clicando no botão Encaminhar ou removida da lista de lembretes com data clicando no botão Definir como concluída');
INSERT INTO `lang_definitions` VALUES (83447, 10, 17, 'Uma chave de segurança dedicada precisa ser adquirida');
INSERT INTO `lang_definitions` VALUES (83448, 11, 17, 'Um código padrão é opcional, pois o código necessário pode ser inserido no momento de fazer o pedido real');
INSERT INTO `lang_definitions` VALUES (83449, 12, 17, 'Um guia detalhado sobre como habilitar e configurar uma regra de decisão clínica pode ser encontrado aqui');
INSERT INTO `lang_definitions` VALUES (83450, 13, 17, 'É necessário um distribuidor');
INSERT INTO `lang_definitions` VALUES (83451, 14, 17, 'Uma data de vencimento pode ser especificada ou um período de tempo específico pode ser escolhido para que o lembrete com data apareça');
INSERT INTO `lang_definitions` VALUES (83452, 15, 17, 'Algumas palavras para indicar o motivo da visita');
INSERT INTO `lang_definitions` VALUES (83453, 16, 17, 'Um compromisso de acompanhamento também pode ser agendado diretamente na folha de taxas.');
INSERT INTO `lang_definitions` VALUES (83454, 17, 17, 'Um formulário GCAC deve ser acrescentado a esta visita');
INSERT INTO `lang_definitions` VALUES (83455, 18, 17, 'Uma mensagem HL7 v2.x consiste simplesmente em várias linhas de texto, cada linha é chamada de segmento e é dividida em campos usando o caractere barra vertical (|)');
INSERT INTO `lang_definitions` VALUES (83456, 19, 17, 'Um grande aplicativo como openEMR é usado por uma infinidade de usuários com funções e graus de responsabilidade variados. É imperativo que o acesso a várias partes do programa seja concedido aos usuários com base na necessidade de conhecimento. Para conseguir isso - Listas de controle de acesso (ACL) são usadas.');
INSERT INTO `lang_definitions` VALUES (83457, 20, 17, 'Falta o número de lote');
INSERT INTO `lang_definitions` VALUES (83458, 21, 17, 'Falta o número de lote!');
INSERT INTO `lang_definitions` VALUES (83459, 22, 17, 'Letra minúscula');
INSERT INTO `lang_definitions` VALUES (83460, 28, 17, 'Um número');
INSERT INTO `lang_definitions` VALUES (83461, 29, 17, 'Para Gerar Este Relatório Tem De Estar Selecionado Um Utente');
INSERT INTO `lang_definitions` VALUES (83462, 30, 17, 'Já existe um utentecom este ID.');
INSERT INTO `lang_definitions` VALUES (83463, 31, 17, 'Já existe um utentecom este nome.');
INSERT INTO `lang_definitions` VALUES (83464, 32, 17, 'Já existe um utente com este SS.');
INSERT INTO `lang_definitions` VALUES (83465, 36, 17, 'Um número positivo mostrará essa quantidade de consultas anteriores num Widget no ecrã de Sumário do Utente (um número negativo irá mostrar as consultas anteriores por ordem descendente)');
INSERT INTO `lang_definitions` VALUES (83466, 37, 17, 'Um número positivo mostrará essa quantidade de consultas anteriores num Widget no ecrã de Sumário do Utente');
INSERT INTO `lang_definitions` VALUES (83467, 43, 17, 'Uma fonte de referência pode ser especificada para cada visita');
INSERT INTO `lang_definitions` VALUES (83468, 44, 17, 'Necessario o codigo IPPF');
INSERT INTO `lang_definitions` VALUES (83469, 49, 17, 'Caractere especial');
INSERT INTO `lang_definitions` VALUES (83470, 53, 17, 'Um valor único para identificar este campo, não visível para o utilizador');
INSERT INTO `lang_definitions` VALUES (83471, 56, 17, 'Já existe uma visita para este utente hoje. Clique em Cancelar para abri-la, ou em OK para prosseguir com a criação de uma nova.');
INSERT INTO `lang_definitions` VALUES (83472, 57, 17, 'a.c.');
INSERT INTO `lang_definitions` VALUES (83473, 58, 17, 'a.m.');
INSERT INTO `lang_definitions` VALUES (83474, 59, 17, 'A/C{{câmara anterior}}');
INSERT INTO `lang_definitions` VALUES (83475, 60, 17, 'A/F Nivel Direito');
INSERT INTO `lang_definitions` VALUES (83476, 62, 17, 'AB');
INSERT INTO `lang_definitions` VALUES (83477, 63, 17, 'Abreviatura');
INSERT INTO `lang_definitions` VALUES (83478, 64, 17, 'Abcesso:');
INSERT INTO `lang_definitions` VALUES (83479, 65, 17, 'Abdominal');
INSERT INTO `lang_definitions` VALUES (83480, 66, 17, 'Capaz de suportar o peso por quatro (4) passos:');
INSERT INTO `lang_definitions` VALUES (83481, 67, 17, 'Abn');
INSERT INTO `lang_definitions` VALUES (83482, 68, 17, 'ABN1');
INSERT INTO `lang_definitions` VALUES (83483, 70, 17, 'Anormal');
INSERT INTO `lang_definitions` VALUES (83484, 71, 17, 'Teste Sanguíneo Anormal');
INSERT INTO `lang_definitions` VALUES (83485, 72, 17, 'Crescimento Anormal do Cabelo');
INSERT INTO `lang_definitions` VALUES (83486, 73, 17, 'Mamografia Anormal');
INSERT INTO `lang_definitions` VALUES (83487, 74, 17, 'Abortar');
INSERT INTO `lang_definitions` VALUES (83488, 75, 17, 'Aborto');
INSERT INTO `lang_definitions` VALUES (83489, 76, 17, 'Casos de Aborto');
INSERT INTO `lang_definitions` VALUES (83490, 77, 17, 'Método de Aborto');
INSERT INTO `lang_definitions` VALUES (83491, 78, 17, 'Categorias Relacionadas com Aborto');
INSERT INTO `lang_definitions` VALUES (83492, 79, 17, 'Abortos');
INSERT INTO `lang_definitions` VALUES (83493, 80, 17, 'Sobre');
INSERT INTO `lang_definitions` VALUES (83494, 82, 17, 'Sobre o calendário');
INSERT INTO `lang_definitions` VALUES (83495, 84, 17, 'Acima dos limites superiores de pânico');
INSERT INTO `lang_definitions` VALUES (83496, 85, 17, 'Ausências por Diagnóstico');
INSERT INTO `lang_definitions` VALUES (83497, 87, 17, 'Aceitar Tarefa');
INSERT INTO `lang_definitions` VALUES (83498, 89, 17, 'Aceitar Pagamento para');
INSERT INTO `lang_definitions` VALUES (83499, 90, 17, 'Aceite Pagamento para');
INSERT INTO `lang_definitions` VALUES (83500, 91, 17, 'Aceita Tarefa');
INSERT INTO `lang_definitions` VALUES (83501, 93, 17, 'Controlo de Acesso');
INSERT INTO `lang_definitions` VALUES (83502, 94, 17, 'Controlo de Acesso Lista de Administração');
INSERT INTO `lang_definitions` VALUES (83503, 98, 17, 'Data de Acesso');
INSERT INTO `lang_definitions` VALUES (83504, 102, 17, 'Acesso não autorizado');
INSERT INTO `lang_definitions` VALUES (83505, 103, 17, 'Acesso Não Autorizado');
INSERT INTO `lang_definitions` VALUES (83506, 105, 17, 'Acesso ao Portal do Cliente');
INSERT INTO `lang_definitions` VALUES (83507, 106, 17, 'Acidente');
INSERT INTO `lang_definitions` VALUES (83508, 109, 17, 'Id de conta atribuído para serviço NewCrop eRx, usado para separar contas multi-instalações');
INSERT INTO `lang_definitions` VALUES (83509, 113, 17, 'Nome da Conta');
INSERT INTO `lang_definitions` VALUES (83510, 114, 17, 'Nome de Conta atribuído para serviço NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (83511, 115, 17, 'Palavra-passe da Conta atribuída para serviço NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (83512, 117, 17, 'Contabilidade');
INSERT INTO `lang_definitions` VALUES (83513, 120, 17, 'Acct');
INSERT INTO `lang_definitions` VALUES (83514, 121, 17, 'ACD{{profundidade da câmara anterior}}');
INSERT INTO `lang_definitions` VALUES (83515, 122, 17, 'Dores');
INSERT INTO `lang_definitions` VALUES (83516, 124, 17, 'Verificacao pedida (ISA14)');
INSERT INTO `lang_definitions` VALUES (83517, 125, 17, 'Reconhecimentos, Licenciamento e Certificação');
INSERT INTO `lang_definitions` VALUES (83518, 126, 17, 'ACL');
INSERT INTO `lang_definitions` VALUES (83519, 127, 17, 'Administração ACL');
INSERT INTO `lang_definitions` VALUES (83520, 129, 17, 'Administração ACL Não Autorizada');
INSERT INTO `lang_definitions` VALUES (83521, 132, 17, 'ACL Atualizado com Sucesso');
INSERT INTO `lang_definitions` VALUES (83522, 133, 17, 'Acne');
INSERT INTO `lang_definitions` VALUES (83523, 135, 17, 'ACOM{{Segmento Anterior}}');
INSERT INTO `lang_definitions` VALUES (83524, 136, 17, 'Procedimento');
INSERT INTO `lang_definitions` VALUES (83525, 137, 17, 'Data do Procedimento');
INSERT INTO `lang_definitions` VALUES (83526, 138, 17, 'Ação');
INSERT INTO `lang_definitions` VALUES (83527, 142, 17, 'Ações');
INSERT INTO `lang_definitions` VALUES (83528, 143, 17, 'Ativar');
INSERT INTO `lang_definitions` VALUES (83529, 144, 17, 'Ativar Relatórios CCR/CCD');
INSERT INTO `lang_definitions` VALUES (83530, 148, 17, 'Activo');
INSERT INTO `lang_definitions` VALUES (83531, 150, 17, 'Alerta Ativo');
INSERT INTO `lang_definitions` VALUES (83532, 152, 17, 'Regras de Alerta Ativas');
INSERT INTO `lang_definitions` VALUES (83533, 153, 17, 'Alertas/Lembranças Ativas');
INSERT INTO `lang_definitions` VALUES (83534, 154, 17, 'Ativar Gráfico');
INSERT INTO `lang_definitions` VALUES (83535, 158, 17, 'Consulta Ativa');
INSERT INTO `lang_definitions` VALUES (83536, 159, 17, 'Ativar Códigos de Problemas');
INSERT INTO `lang_definitions` VALUES (83537, 160, 17, 'Listas activas');
INSERT INTO `lang_definitions` VALUES (83538, 162, 17, 'Utente Activo');
INSERT INTO `lang_definitions` VALUES (83539, 163, 17, 'Planos Ativos');
INSERT INTO `lang_definitions` VALUES (83540, 173, 17, 'Actividade');
INSERT INTO `lang_definitions` VALUES (83541, 174, 17, 'Tipo de atividade');
INSERT INTO `lang_definitions` VALUES (83542, 175, 17, 'Receitas Reais');
INSERT INTO `lang_definitions` VALUES (83543, 176, 17, 'Acuidade');
INSERT INTO `lang_definitions` VALUES (83544, 177, 17, 'ACUIDADE');
INSERT INTO `lang_definitions` VALUES (83545, 178, 17, 'Acuidade com Autorefração');
INSERT INTO `lang_definitions` VALUES (83546, 179, 17, 'Acuidade com Lentes de Contacto');
INSERT INTO `lang_definitions` VALUES (83547, 180, 17, 'Acuidade com correção');
INSERT INTO `lang_definitions` VALUES (83548, 181, 17, 'Acuidade com Refração Ciclopégica');
INSERT INTO `lang_definitions` VALUES (83549, 182, 17, 'Acuidade com Refração Manifesta');
INSERT INTO `lang_definitions` VALUES (83550, 183, 17, 'Acuidade com Furo');
INSERT INTO `lang_definitions` VALUES (83551, 184, 17, 'Acuidade sem correção');
INSERT INTO `lang_definitions` VALUES (83552, 185, 17, 'Intoxicação Aguda/Isolamento');
INSERT INTO `lang_definitions` VALUES (83553, 186, 17, 'Manifestação Aguda de uma Condição Crónica');
INSERT INTO `lang_definitions` VALUES (83554, 187, 17, 'Agudização');
INSERT INTO `lang_definitions` VALUES (83555, 188, 17, 'Anúncio Revisto');
INSERT INTO `lang_definitions` VALUES (83556, 189, 17, 'Adicionar');
INSERT INTO `lang_definitions` VALUES (83557, 190, 17, 'adicionar');
INSERT INTO `lang_definitions` VALUES (83558, 191, 17, 'ADICIONAR');
INSERT INTO `lang_definitions` VALUES (83559, 192, 17, 'Adicionar uma Empresa');
INSERT INTO `lang_definitions` VALUES (83560, 193, 17, 'Adicionar uma condição');
INSERT INTO `lang_definitions` VALUES (83561, 197, 17, 'Adicionar uma Farmácia');
INSERT INTO `lang_definitions` VALUES (83562, 199, 17, 'Adicionar regras ao plano');
INSERT INTO `lang_definitions` VALUES (83563, 200, 17, 'adicionar um evento para');
INSERT INTO `lang_definitions` VALUES (83564, 202, 17, 'adicionar como uma nova nota');
INSERT INTO `lang_definitions` VALUES (83565, 203, 17, 'Adicionar como Novo');
INSERT INTO `lang_definitions` VALUES (83566, 204, 17, 'Adicionar como novo utente');
INSERT INTO `lang_definitions` VALUES (83567, 206, 17, 'Adicionar Botões');
INSERT INTO `lang_definitions` VALUES (83568, 207, 17, 'Adicionar Botões para Caracteres ou Textos Especiais serem exibidos na parte de cima do editor para inclusão no texto através de um click no rato.');
INSERT INTO `lang_definitions` VALUES (83569, 208, 17, 'Adicionar Categoria');
INSERT INTO `lang_definitions` VALUES (83570, 209, 17, 'Adicionar Constante');
INSERT INTO `lang_definitions` VALUES (83571, 210, 17, 'Adicionar Contexto');
INSERT INTO `lang_definitions` VALUES (83572, 211, 17, 'Adicionar Copagamento');
INSERT INTO `lang_definitions` VALUES (83573, 212, 17, 'Adicionar critério');
INSERT INTO `lang_definitions` VALUES (83574, 213, 17, 'Adicionar botão costumizado');
INSERT INTO `lang_definitions` VALUES (83575, 216, 17, 'Adicionar Diagnóstico');
INSERT INTO `lang_definitions` VALUES (83576, 217, 17, 'Adicionar Medicamento');
INSERT INTO `lang_definitions` VALUES (83577, 220, 17, 'Adicionar Consulta');
INSERT INTO `lang_definitions` VALUES (83578, 221, 17, 'Adicionar consulta/notas');
INSERT INTO `lang_definitions` VALUES (83579, 222, 17, 'Adicionar Clínica');
INSERT INTO `lang_definitions` VALUES (83580, 223, 17, 'Adicionar Campo');
INSERT INTO `lang_definitions` VALUES (83581, 224, 17, 'Junte estas linhas ao ficheiro de configuração do Servidor Web');
INSERT INTO `lang_definitions` VALUES (83582, 225, 17, 'Adicionar Grupo');
INSERT INTO `lang_definitions` VALUES (83583, 227, 17, 'Adicionar Código CDI');
INSERT INTO `lang_definitions` VALUES (83584, 228, 17, 'Adicionar Imunização');
INSERT INTO `lang_definitions` VALUES (83585, 229, 17, 'Adição não é autorizada!');
INSERT INTO `lang_definitions` VALUES (83586, 230, 17, 'Adicionar Ocorrência');
INSERT INTO `lang_definitions` VALUES (83587, 231, 17, 'Adicionar item para rastrear');
INSERT INTO `lang_definitions` VALUES (83588, 232, 17, 'Adicionar Idioma');
INSERT INTO `lang_definitions` VALUES (83589, 237, 17, 'Adicionar Mais Items');
INSERT INTO `lang_definitions` VALUES (83590, 238, 17, 'Adicionar Novo');
INSERT INTO `lang_definitions` VALUES (83591, 239, 17, 'Adicionar novo');
INSERT INTO `lang_definitions` VALUES (83592, 240, 17, 'Adicionar nova categoria:');
INSERT INTO `lang_definitions` VALUES (83593, 241, 17, 'Junte novos certificados ao ficheiro de configuração do Servidor Web');
INSERT INTO `lang_definitions` VALUES (83594, 242, 17, 'Adicionar Novo Componente');
INSERT INTO `lang_definitions` VALUES (83595, 243, 17, 'Adicionar Novos Componentes');
INSERT INTO `lang_definitions` VALUES (83596, 249, 17, 'Adicionar Novo Grupo');
INSERT INTO `lang_definitions` VALUES (83597, 250, 17, 'Adicionar Novo Problema');
INSERT INTO `lang_definitions` VALUES (83598, 251, 17, 'Junte novo lote e transação');
INSERT INTO `lang_definitions` VALUES (83599, 253, 17, 'Adicionar Nova Nota');
INSERT INTO `lang_definitions` VALUES (83600, 254, 17, 'Adicionar nova nota');
INSERT INTO `lang_definitions` VALUES (83601, 255, 17, 'Adicionar Novo Parceiro');
INSERT INTO `lang_definitions` VALUES (83602, 256, 17, 'Adicionar Novo Utente');
INSERT INTO `lang_definitions` VALUES (83603, 257, 17, 'ADICIONAR NOVO PLANO');
INSERT INTO `lang_definitions` VALUES (83604, 264, 17, 'Adicionar Nota');
INSERT INTO `lang_definitions` VALUES (83605, 267, 17, 'Adicionar Utente');
INSERT INTO `lang_definitions` VALUES (83606, 268, 17, 'Adicionar Registo do Utente');
INSERT INTO `lang_definitions` VALUES (83607, 269, 17, 'Adicionar Receita');
INSERT INTO `lang_definitions` VALUES (83608, 270, 17, 'Adicionar Procedimento');
INSERT INTO `lang_definitions` VALUES (83609, 271, 17, 'Adicionar Número do Clínico');
INSERT INTO `lang_definitions` VALUES (83610, 273, 17, 'Adicionar Reabilitação');
INSERT INTO `lang_definitions` VALUES (83611, 274, 17, 'Adicionar Regra');
INSERT INTO `lang_definitions` VALUES (83612, 277, 17, 'Adicionar a');
INSERT INTO `lang_definitions` VALUES (83613, 281, 17, 'Adicionar à Lista de Medicamentos');
INSERT INTO `lang_definitions` VALUES (83614, 282, 17, 'Adicionar Nível Topo');
INSERT INTO `lang_definitions` VALUES (83615, 283, 17, 'Adicionar Transação');
INSERT INTO `lang_definitions` VALUES (83616, 284, 17, 'Adicionar Utilizador');
INSERT INTO `lang_definitions` VALUES (83617, 285, 17, 'Adicionar Utilizador ao Grupo');
INSERT INTO `lang_definitions` VALUES (83618, 286, 17, 'Add.{{Medições Adicionais}}');
INSERT INTO `lang_definitions` VALUES (83619, 287, 17, 'Adicionar/Editar eRx');
INSERT INTO `lang_definitions` VALUES (83620, 289, 17, 'Adicionar/Editar Transacção do Utente');
INSERT INTO `lang_definitions` VALUES (83621, 290, 17, 'adicionado');
INSERT INTO `lang_definitions` VALUES (83622, 293, 17, 'Não está autorizado a adicionar dados demográficos.');
INSERT INTO `lang_definitions` VALUES (83623, 294, 17, 'Falha ao dicionar item para rastrear');
INSERT INTO `lang_definitions` VALUES (83624, 295, 17, 'Síndroma de Addison');
INSERT INTO `lang_definitions` VALUES (83625, 296, 17, 'Síndroma de Addison');
INSERT INTO `lang_definitions` VALUES (83626, 297, 17, 'Atributos adicionais');
INSERT INTO `lang_definitions` VALUES (83627, 298, 17, 'Pontos de Dados Adicionais');
INSERT INTO `lang_definitions` VALUES (83628, 300, 17, 'Diagnósticos adicionais:');
INSERT INTO `lang_definitions` VALUES (83629, 301, 17, 'Descobertas Adicionais');
INSERT INTO `lang_definitions` VALUES (83630, 305, 17, 'Historial Adicional');
INSERT INTO `lang_definitions` VALUES (83631, 306, 17, 'Notas do historial adicional');
INSERT INTO `lang_definitions` VALUES (83632, 307, 17, 'Informação Adicional');
INSERT INTO `lang_definitions` VALUES (83633, 310, 17, 'Laboratórios adicionais');
INSERT INTO `lang_definitions` VALUES (83634, 311, 17, 'Notas adicionais');
INSERT INTO `lang_definitions` VALUES (83635, 313, 17, 'Notas adicionais para este resultado ou recomendação');
INSERT INTO `lang_definitions` VALUES (83636, 314, 17, 'Notas adicionais:');
INSERT INTO `lang_definitions` VALUES (83637, 315, 17, 'Notas adicionais:');
INSERT INTO `lang_definitions` VALUES (83638, 317, 17, 'Notas de RADIOGRAFIA adicionais:');
INSERT INTO `lang_definitions` VALUES (83639, 318, 17, 'Adicionalmente, o pacote de extensão US Snomed correspondente pode ser importado separadamente depois de instalar o International Snomed Release (versão Inglesa)');
INSERT INTO `lang_definitions` VALUES (83640, 319, 17, 'Additonal Rx{{Óculos adicionais}}');
INSERT INTO `lang_definitions` VALUES (83641, 320, 17, 'Só adicionar');
INSERT INTO `lang_definitions` VALUES (83642, 322, 17, 'Contactos');
INSERT INTO `lang_definitions` VALUES (83643, 323, 17, 'Contactos');
INSERT INTO `lang_definitions` VALUES (83644, 324, 17, 'Endereço');
INSERT INTO `lang_definitions` VALUES (83645, 325, 17, 'Enderço e Código Postal');
INSERT INTO `lang_definitions` VALUES (83646, 326, 17, 'Endereço e Distrito');
INSERT INTO `lang_definitions` VALUES (83647, 327, 17, 'Contactos');
INSERT INTO `lang_definitions` VALUES (83648, 328, 17, 'Contacto empresa que vai efectuar o procedimento');
INSERT INTO `lang_definitions` VALUES (83649, 329, 17, 'Contacto do fornecedor');
INSERT INTO `lang_definitions` VALUES (83650, 330, 17, 'Contacto do vendedor');
INSERT INTO `lang_definitions` VALUES (83651, 331, 17, 'Tipos de Contacto');
INSERT INTO `lang_definitions` VALUES (83652, 332, 17, 'Etiqueta do Endereço');
INSERT INTO `lang_definitions` VALUES (83653, 333, 17, 'Etiquetas de Endereço');
INSERT INTO `lang_definitions` VALUES (83654, 336, 17, 'Apenas Endereço');
INSERT INTO `lang_definitions` VALUES (83655, 338, 17, 'Endereço, Distrito e Código Postal');
INSERT INTO `lang_definitions` VALUES (83656, 339, 17, 'Endereço1');
INSERT INTO `lang_definitions` VALUES (83657, 340, 17, 'Endereço2');
INSERT INTO `lang_definitions` VALUES (83658, 342, 17, 'DESTINATÁRIO');
INSERT INTO `lang_definitions` VALUES (83659, 343, 17, 'ADD{{Adicionar Bifocal}}');
INSERT INTO `lang_definitions` VALUES (83660, 344, 17, 'ADD{{Adicionar Próximo}}');
INSERT INTO `lang_definitions` VALUES (83661, 345, 17, 'Ajt');
INSERT INTO `lang_definitions` VALUES (83662, 346, 17, 'Ajt Quant');
INSERT INTO `lang_definitions` VALUES (83663, 347, 17, 'Ajuste');
INSERT INTO `lang_definitions` VALUES (83664, 348, 17, 'Entendimento');
INSERT INTO `lang_definitions` VALUES (83665, 349, 17, 'Valor de Correção');
INSERT INTO `lang_definitions` VALUES (83666, 350, 17, 'Razões de ajuste');
INSERT INTO `lang_definitions` VALUES (83667, 352, 17, 'Valor de ajuste para código');
INSERT INTO `lang_definitions` VALUES (83668, 353, 17, 'Ajustes');
INSERT INTO `lang_definitions` VALUES (83669, 354, 17, 'Adm ajuste');
INSERT INTO `lang_definitions` VALUES (83670, 355, 17, 'Admin');
INSERT INTO `lang_definitions` VALUES (83671, 356, 17, 'Admin E-mail');
INSERT INTO `lang_definitions` VALUES (83672, 357, 17, 'Administrado Via');
INSERT INTO `lang_definitions` VALUES (83673, 359, 17, 'Administrado');
INSERT INTO `lang_definitions` VALUES (83674, 360, 17, 'Administrado por');
INSERT INTO `lang_definitions` VALUES (83675, 361, 17, 'Data da Administração');
INSERT INTO `lang_definitions` VALUES (83676, 362, 17, 'Sítio Administrado');
INSERT INTO `lang_definitions` VALUES (83677, 363, 17, 'Administração');
INSERT INTO `lang_definitions` VALUES (83678, 365, 17, 'Sítio de Administração');
INSERT INTO `lang_definitions` VALUES (83679, 366, 17, 'Administradores');
INSERT INTO `lang_definitions` VALUES (83680, 367, 17, 'Administradores podem fazer qualquer operação');
INSERT INTO `lang_definitions` VALUES (83681, 368, 17, 'Data de Admissão');
INSERT INTO `lang_definitions` VALUES (83682, 369, 17, 'Anexo');
INSERT INTO `lang_definitions` VALUES (83683, 370, 17, 'Criança Adotada');
INSERT INTO `lang_definitions` VALUES (83684, 371, 17, 'Peso Adulto de Triagem e Acompanhamento');
INSERT INTO `lang_definitions` VALUES (83685, 372, 17, 'Peso Adulto de Triagem e Acompanhamento (CQM)');
INSERT INTO `lang_definitions` VALUES (83686, 373, 17, 'Directiva avançada');
INSERT INTO `lang_definitions` VALUES (83687, 374, 17, 'Directivas Avançadas');
INSERT INTO `lang_definitions` VALUES (83688, 375, 17, 'Aviso de Diretivas Avançadas');
INSERT INTO `lang_definitions` VALUES (83689, 376, 17, 'Opções Avançadas');
INSERT INTO `lang_definitions` VALUES (83690, 377, 17, 'Avançado');
INSERT INTO `lang_definitions` VALUES (83691, 380, 17, 'Recomendação');
INSERT INTO `lang_definitions` VALUES (83692, 381, 17, 'Longe');
INSERT INTO `lang_definitions` VALUES (83693, 382, 17, 'Afecta o normal');
INSERT INTO `lang_definitions` VALUES (83694, 383, 17, 'Afrikaans');
INSERT INTO `lang_definitions` VALUES (83695, 386, 17, 'Chamadas fora de horas');
INSERT INTO `lang_definitions` VALUES (83696, 387, 17, 'Após migração completa dos mecanismos da palavra-passe antiga onde as palavras-passe eram guardadas sem salt, esta flag deve ser definida para falso para que apenas seja possível a autenticação pelo novo método');
INSERT INTO `lang_definitions` VALUES (83697, 388, 17, 'Depois de aplicadas as configurações acima, importe o certificado de cliente admin para o navegador e reinicíe o servidor Apache (palavra-passe vazia).');
INSERT INTO `lang_definitions` VALUES (83698, 390, 17, 'Depois de guardar o PDF, clique [Ver Reg] p/ conferir.');
INSERT INTO `lang_definitions` VALUES (83699, 393, 17, 'depois de guardar os ficheiro(s) Text , pressione [View Log ] para verificar os erros');
INSERT INTO `lang_definitions` VALUES (83700, 396, 17, 'Depois de economizar seu grupo, clique [Tronco de Visão] conferir para erros.');
INSERT INTO `lang_definitions` VALUES (83701, 398, 17, 'Depois disso a coluna Correspondência irá mostrar o ID do utente selecionado, ou 0 para criar.');
INSERT INTO `lang_definitions` VALUES (83702, 399, 17, 'Depois que na informação é entrada corretamente, clique o Economize botão.');
INSERT INTO `lang_definitions` VALUES (83703, 400, 17, 'Depois de Enviar clique no botão \"Importar\"');
INSERT INTO `lang_definitions` VALUES (83704, 404, 17, 'Plano Pós Tratamento');
INSERT INTO `lang_definitions` VALUES (83705, 406, 17, 'Novamente');
INSERT INTO `lang_definitions` VALUES (83706, 407, 17, 'Idade');
INSERT INTO `lang_definitions` VALUES (83707, 409, 17, 'Idade Por');
INSERT INTO `lang_definitions` VALUES (83708, 410, 17, 'Categoria de idade');
INSERT INTO `lang_definitions` VALUES (83709, 411, 17, 'Dados de idade é fora do alcance.');
INSERT INTO `lang_definitions` VALUES (83710, 412, 17, 'Formato de Exibição da Idade');
INSERT INTO `lang_definitions` VALUES (83711, 413, 17, 'Formato de idade para \"idade de\" não é válido');
INSERT INTO `lang_definitions` VALUES (83712, 414, 17, 'Formato de idade para \"idade até\" não é válido');
INSERT INTO `lang_definitions` VALUES (83713, 415, 17, 'Idade a partir de');
INSERT INTO `lang_definitions` VALUES (83714, 416, 17, 'Idade em Anos para Alterar Formato de Exibição');
INSERT INTO `lang_definitions` VALUES (83715, 417, 17, 'Idade máxima');
INSERT INTO `lang_definitions` VALUES (83716, 418, 17, 'Idade mínima');
INSERT INTO `lang_definitions` VALUES (83717, 419, 17, 'Intervalo de Idade');
INSERT INTO `lang_definitions` VALUES (83718, 421, 17, 'Colunas de Idade:');
INSERT INTO `lang_definitions` VALUES (83719, 424, 17, 'Álcool');
INSERT INTO `lang_definitions` VALUES (83720, 425, 17, 'Consumo de álcool');
INSERT INTO `lang_definitions` VALUES (83721, 428, 17, 'Contagem de Alertas');
INSERT INTO `lang_definitions` VALUES (83722, 435, 17, 'Alertas');
INSERT INTO `lang_definitions` VALUES (83723, 440, 17, 'Tudo');
INSERT INTO `lang_definitions` VALUES (83724, 441, 17, 'TUDO');
INSERT INTO `lang_definitions` VALUES (83725, 448, 17, 'Todas as Categorias');
INSERT INTO `lang_definitions` VALUES (83726, 450, 17, 'Todos os codigos');
INSERT INTO `lang_definitions` VALUES (83727, 453, 17, 'Todo o Dia');
INSERT INTO `lang_definitions` VALUES (83728, 454, 17, 'Evento para todo o dia');
INSERT INTO `lang_definitions` VALUES (83729, 455, 17, 'todos os campos demograficos, com pesquisa e duplo check');
INSERT INTO `lang_definitions` VALUES (83730, 457, 17, 'Todas as Clínicas');
INSERT INTO `lang_definitions` VALUES (83731, 458, 17, 'Todas as Feridas/Problemas/Assuntos');
INSERT INTO `lang_definitions` VALUES (83732, 459, 17, 'Todos os Idiomas Permitidos');
INSERT INTO `lang_definitions` VALUES (83733, 462, 17, 'Tudo ou parte do nome próprio');
INSERT INTO `lang_definitions` VALUES (83734, 463, 17, 'Tudo ou parte do último nome');
INSERT INTO `lang_definitions` VALUES (83735, 468, 17, 'Todos os produtos');
INSERT INTO `lang_definitions` VALUES (83736, 469, 17, 'Todos os Clínicos');
INSERT INTO `lang_definitions` VALUES (83737, 470, 17, 'Tudo Revisto e Negativo:');
INSERT INTO `lang_definitions` VALUES (83738, 475, 17, 'Todos os Tópicos');
INSERT INTO `lang_definitions` VALUES (83739, 478, 17, 'Todos os Utilizadores');
INSERT INTO `lang_definitions` VALUES (83740, 479, 17, 'Alérgico');
INSERT INTO `lang_definitions` VALUES (83741, 481, 17, 'Alergias');
INSERT INTO `lang_definitions` VALUES (83742, 484, 17, 'Alergias:');
INSERT INTO `lang_definitions` VALUES (83743, 485, 17, 'Alergia');
INSERT INTO `lang_definitions` VALUES (83744, 488, 17, 'Reação Alérgica');
INSERT INTO `lang_definitions` VALUES (83745, 491, 17, 'Alocar');
INSERT INTO `lang_definitions` VALUES (83746, 492, 17, 'Permitir');
INSERT INTO `lang_definitions` VALUES (83747, 494, 17, 'permitir todas as linguas disponiveis como escolha no menu do login');
INSERT INTO `lang_definitions` VALUES (83748, 500, 17, 'Permite E-mail');
INSERT INTO `lang_definitions` VALUES (83749, 501, 17, 'Permite mensagens de e-mail?');
INSERT INTO `lang_definitions` VALUES (83750, 502, 17, 'Permite E-mail?');
INSERT INTO `lang_definitions` VALUES (83751, 503, 17, 'Permitir reclamações de consulta');
INSERT INTO `lang_definitions` VALUES (83752, 506, 17, 'Permitir Troca de Informações de Saúde');
INSERT INTO `lang_definitions` VALUES (83753, 508, 17, 'Permitir Partilha de Informações sobre Imunizações');
INSERT INTO `lang_definitions` VALUES (83754, 509, 17, 'Permitir o Uso do Registo de Imunizações');
INSERT INTO `lang_definitions` VALUES (83755, 512, 17, 'Permitir Mensagem de Correio');
INSERT INTO `lang_definitions` VALUES (83756, 533, 17, 'Permitir Portal do Utente');
INSERT INTO `lang_definitions` VALUES (83757, 541, 17, 'Permitir SMS');
INSERT INTO `lang_definitions` VALUES (83758, 542, 17, 'Permitir SMS (mensagens de texto)?');
INSERT INTO `lang_definitions` VALUES (83759, 544, 17, 'Permitir tornar eventos propostos imediatamente ativos?');
INSERT INTO `lang_definitions` VALUES (83760, 545, 17, 'Permitir mensagens de telefone?');
INSERT INTO `lang_definitions` VALUES (83761, 547, 17, 'Permitir aos utilizadores publicar Eventos Globais');
INSERT INTO `lang_definitions` VALUES (83762, 548, 17, 'Permitir aos utilizadores publicar Calendários Pessoais');
INSERT INTO `lang_definitions` VALUES (83763, 554, 17, 'Permitir Mensagem de Voz');
INSERT INTO `lang_definitions` VALUES (83764, 555, 17, 'Permitido');
INSERT INTO `lang_definitions` VALUES (83765, 556, 17, 'Idiomas Permitidos');
INSERT INTO `lang_definitions` VALUES (83766, 566, 17, 'já existe');
INSERT INTO `lang_definitions` VALUES (83767, 568, 17, 'já existe.');
INSERT INTO `lang_definitions` VALUES (83768, 570, 17, 'Já usado, escolha outro identificador');
INSERT INTO `lang_definitions` VALUES (83769, 571, 17, 'Já usado, escolha outro título');
INSERT INTO `lang_definitions` VALUES (83770, 573, 17, 'Alt Address');
INSERT INTO `lang_definitions` VALUES (83771, 577, 17, 'alterar');
INSERT INTO `lang_definitions` VALUES (83772, 584, 17, 'Alternativamente, você pode usar a página de procura para transferir uma remessa eletrônica (X12 835), que obteve do sub-sistema pagador. Para isso, carregue no botão BROWSE e depois escolha o arquivo a transferir; depois, carregando em Procura para executar o carregamento e mostrar as facturas correspondentes. Neste caso não se aplicam os outros parâmetros mencionados acima. Upload guarda o arquivo mas não processa o seu conteúdo--isso é feito separadamente, como se explica abaixo.');
INSERT INTO `lang_definitions` VALUES (83773, 586, 17, 'AM');
INSERT INTO `lang_definitions` VALUES (83774, 600, 17, 'Emende Nota Existente');
INSERT INTO `lang_definitions` VALUES (83775, 612, 17, 'AMEX');
INSERT INTO `lang_definitions` VALUES (83776, 614, 17, 'Quantia');
INSERT INTO `lang_definitions` VALUES (83777, 617, 17, 'Total de valores');
INSERT INTO `lang_definitions` VALUES (83778, 620, 17, 'Chegue para Equilíbrio Passado');
INSERT INTO `lang_definitions` VALUES (83779, 621, 17, 'Chegue para Esta Visita');
INSERT INTO `lang_definitions` VALUES (83780, 622, 17, 'Valor pago');
INSERT INTO `lang_definitions` VALUES (83781, 623, 17, 'Quantia:');
INSERT INTO `lang_definitions` VALUES (83782, 632, 17, 'ocorreu um erro durante o «dumping» da árvore do directório OpenEMR');
INSERT INTO `lang_definitions` VALUES (83783, 633, 17, 'ocorreu um erro durante o \"dumping\" da árvore do directório phpGACL');
INSERT INTO `lang_definitions` VALUES (83784, 634, 17, 'ocorreu um erro durante o \"dumping\" da árvore do directório SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (83785, 638, 17, 'Um assunto de GCAC incompleto foi criado e foi unido. Alguém precisará completar isto depois.');
INSERT INTO `lang_definitions` VALUES (83786, 644, 17, 'Um erro inesperado ocorreu.');
INSERT INTO `lang_definitions` VALUES (83787, 646, 17, 'Uma letra maiúscula');
INSERT INTO `lang_definitions` VALUES (83788, 648, 17, 'e');
INSERT INTO `lang_definitions` VALUES (83789, 649, 17, 'E');
INSERT INTO `lang_definitions` VALUES (83790, 650, 17, 'E');
INSERT INTO `lang_definitions` VALUES (83791, 651, 17, 'e');
INSERT INTO `lang_definitions` VALUES (83792, 652, 17, 'e todos os dados de subordinado? Esta acção ficará registada');
INSERT INTO `lang_definitions` VALUES (83793, 654, 17, 'e processado.');
INSERT INTO `lang_definitions` VALUES (83794, 656, 17, 'e reinicie o servidor Apache');
INSERT INTO `lang_definitions` VALUES (83795, 657, 17, 'e o Motivo é');
INSERT INTO `lang_definitions` VALUES (83796, 659, 17, 'Anemia');
INSERT INTO `lang_definitions` VALUES (83797, 660, 17, 'Tornozelo');
INSERT INTO `lang_definitions` VALUES (83798, 661, 17, 'tornozelo + calcanhar');
INSERT INTO `lang_definitions` VALUES (83799, 662, 17, 'Formulário de Avaliação do Tornozelo');
INSERT INTO `lang_definitions` VALUES (83800, 663, 17, 'Problemas de tornozelo');
INSERT INTO `lang_definitions` VALUES (83801, 664, 17, 'Espondilite Anquilosante');
INSERT INTO `lang_definitions` VALUES (83802, 665, 17, 'Espondilite Anquilosante');
INSERT INTO `lang_definitions` VALUES (83803, 666, 17, 'Anorexia');
INSERT INTO `lang_definitions` VALUES (83804, 667, 17, 'Outra coisa que você pode fazer na janela é pedir a facturação secundária. Se você selecionar este checkbox antes de economizar, então a reivindicação original será re-aberta e será feita fila na página de Faturamento, e será processado durante a próxima corrida de faturamento.');
INSERT INTO `lang_definitions` VALUES (83805, 671, 17, 'parada');
INSERT INTO `lang_definitions` VALUES (83806, 676, 17, 'Nl de ânus, sem dor/massa rectal,');
INSERT INTO `lang_definitions` VALUES (83807, 677, 17, 'Ansiedade');
INSERT INTO `lang_definitions` VALUES (83808, 679, 17, 'Qualquer');
INSERT INTO `lang_definitions` VALUES (83809, 682, 17, 'Qualquer Categoria');
INSERT INTO `lang_definitions` VALUES (83810, 688, 17, 'Qualquer parte do código desejado ou sua descrição');
INSERT INTO `lang_definitions` VALUES (83811, 689, 17, 'Qualquer parte da especialidade desejada');
INSERT INTO `lang_definitions` VALUES (83812, 690, 17, 'qualquer parte da especialidade no nosso nome da especialidade');
INSERT INTO `lang_definitions` VALUES (83813, 692, 17, 'Qualquer parte do nome do utente, ou \"last,first \", ou \"X-Y \"');
INSERT INTO `lang_definitions` VALUES (83814, 703, 17, 'Apnéia');
INSERT INTO `lang_definitions` VALUES (83815, 710, 17, 'Aparência');
INSERT INTO `lang_definitions` VALUES (83816, 711, 17, 'Aparência:');
INSERT INTO `lang_definitions` VALUES (83817, 714, 17, 'Anexar nota');
INSERT INTO `lang_definitions` VALUES (83818, 716, 17, 'Junte à nota existente');
INSERT INTO `lang_definitions` VALUES (83819, 717, 17, 'Junte a esta nota');
INSERT INTO `lang_definitions` VALUES (83820, 718, 17, 'Junte a Esta Nota');
INSERT INTO `lang_definitions` VALUES (83821, 719, 17, 'Apendicectomia');
INSERT INTO `lang_definitions` VALUES (83822, 726, 17, 'Título do Programa');
INSERT INTO `lang_definitions` VALUES (83823, 730, 17, 'aplique a área afetada');
INSERT INTO `lang_definitions` VALUES (83824, 731, 17, 'aplique na pele');
INSERT INTO `lang_definitions` VALUES (83825, 732, 17, 'Aplicando');
INSERT INTO `lang_definitions` VALUES (83826, 734, 17, 'Marcação');
INSERT INTO `lang_definitions` VALUES (83827, 736, 17, 'Data de Marcação');
INSERT INTO `lang_definitions` VALUES (83828, 742, 17, 'Estilo Apresentação das Marcações');
INSERT INTO `lang_definitions` VALUES (83829, 744, 17, 'Regra de Lembrança de Marcação');
INSERT INTO `lang_definitions` VALUES (83830, 746, 17, 'Estado da Marcação');
INSERT INTO `lang_definitions` VALUES (83831, 747, 17, 'Estados da Marcação');
INSERT INTO `lang_definitions` VALUES (83832, 748, 17, 'Marcação dentro de');
INSERT INTO `lang_definitions` VALUES (83833, 749, 17, 'Marcação/Cor');
INSERT INTO `lang_definitions` VALUES (83834, 750, 17, 'Marcações');
INSERT INTO `lang_definitions` VALUES (83835, 751, 17, 'Marcações (escrita opcional)');
INSERT INTO `lang_definitions` VALUES (83836, 758, 17, 'Marcações e Consultas');
INSERT INTO `lang_definitions` VALUES (83837, 760, 17, 'Relatório das Marcações');
INSERT INTO `lang_definitions` VALUES (83838, 761, 17, 'Relatório Marcações-Consultas');
INSERT INTO `lang_definitions` VALUES (83839, 764, 17, 'Aprovar');
INSERT INTO `lang_definitions` VALUES (83840, 767, 17, 'Aprovado');
INSERT INTO `lang_definitions` VALUES (83841, 768, 17, 'Administração de Eventos Aprovados');
INSERT INTO `lang_definitions` VALUES (83842, 774, 17, 'Marc-Cons');
INSERT INTO `lang_definitions` VALUES (83843, 776, 17, 'Marc.');
INSERT INTO `lang_definitions` VALUES (83844, 779, 17, 'Abr');
INSERT INTO `lang_definitions` VALUES (83845, 780, 17, 'Abril');
INSERT INTO `lang_definitions` VALUES (83846, 782, 17, 'Arabe');
INSERT INTO `lang_definitions` VALUES (83847, 795, 17, 'Está preparado para completar um problema GCAC novo para essa visita?');
INSERT INTO `lang_definitions` VALUES (83848, 798, 17, 'Tem certeza que deseja aprovar esses eventos?');
INSERT INTO `lang_definitions` VALUES (83849, 801, 17, 'Tem certeza que quer remover completamente este formulário?');
INSERT INTO `lang_definitions` VALUES (83850, 805, 17, 'Tem certeza de que deseja excluir este evento?');
INSERT INTO `lang_definitions` VALUES (83851, 806, 17, 'Você tem certeza de que deseja excluir esse item do banco de dados?');
INSERT INTO `lang_definitions` VALUES (83852, 808, 17, 'Tem certeza de que deseja excluir esta nota?');
INSERT INTO `lang_definitions` VALUES (83853, 810, 17, 'Tem certeza que deseja editar estes eventos?');
INSERT INTO `lang_definitions` VALUES (83854, 811, 17, 'Tem certeza que deseja ocultar estes eventos?');
INSERT INTO `lang_definitions` VALUES (83855, 814, 17, 'Você tem certeza que quer ver estes eventos?');
INSERT INTO `lang_definitions` VALUES (83856, 815, 17, 'Tem certeza de que deseja apagar todo o grupo denominado');
INSERT INTO `lang_definitions` VALUES (83857, 816, 17, 'Tem certeza de que deseja apagar toda a lista');
INSERT INTO `lang_definitions` VALUES (83858, 817, 17, 'Tem certeza de que deseja excluir o campo em');
INSERT INTO `lang_definitions` VALUES (83859, 818, 17, 'Tem certeza de que deseja apagar os campos selecionados?');
INSERT INTO `lang_definitions` VALUES (83860, 819, 17, 'Tem certeza de que deseja continuar com estas ações?');
INSERT INTO `lang_definitions` VALUES (83861, 820, 17, 'Área não especificada');
INSERT INTO `lang_definitions` VALUES (83862, 821, 17, 'braço');
INSERT INTO `lang_definitions` VALUES (83863, 822, 17, 'Armênio');
INSERT INTO `lang_definitions` VALUES (83864, 829, 17, 'Arritmia');
INSERT INTO `lang_definitions` VALUES (83865, 830, 17, 'Artrite');
INSERT INTO `lang_definitions` VALUES (83866, 831, 17, 'Artrite / doenças articulares degen');
INSERT INTO `lang_definitions` VALUES (83867, 832, 17, 'Artrite / doenças articulares degen');
INSERT INTO `lang_definitions` VALUES (83868, 836, 17, 'como');
INSERT INTO `lang_definitions` VALUES (83869, 838, 17, 'A partir de');
INSERT INTO `lang_definitions` VALUES (83870, 845, 17, 'Asiático');
INSERT INTO `lang_definitions` VALUES (83871, 847, 17, 'Avaliar alergia à penicilina');
INSERT INTO `lang_definitions` VALUES (83872, 848, 17, 'Avaliação');
INSERT INTO `lang_definitions` VALUES (83873, 853, 17, 'Nomeado');
INSERT INTO `lang_definitions` VALUES (83874, 854, 17, 'Assistente');
INSERT INTO `lang_definitions` VALUES (83875, 861, 17, 'Asma');
INSERT INTO `lang_definitions` VALUES (83876, 862, 17, 'a');
INSERT INTO `lang_definitions` VALUES (83877, 863, 17, 'Pelo menos um parâmetro de procura é necessário se você selecionar Todos.');
INSERT INTO `lang_definitions` VALUES (83878, 866, 17, 'Ao Navicular');
INSERT INTO `lang_definitions` VALUES (83879, 867, 17, 'Ao Navicular:');
INSERT INTO `lang_definitions` VALUES (83880, 868, 17, 'atleta de competição');
INSERT INTO `lang_definitions` VALUES (83881, 870, 17, 'Athletic/Injury');
INSERT INTO `lang_definitions` VALUES (83882, 877, 17, 'Atenção');
INSERT INTO `lang_definitions` VALUES (83883, 879, 17, 'À atenção de');
INSERT INTO `lang_definitions` VALUES (83884, 898, 17, 'Ago');
INSERT INTO `lang_definitions` VALUES (83885, 899, 17, 'Agosto');
INSERT INTO `lang_definitions` VALUES (83886, 901, 17, 'Auth');
INSERT INTO `lang_definitions` VALUES (83887, 902, 17, 'Aut. / notas');
INSERT INTO `lang_definitions` VALUES (83888, 924, 17, 'Autorizações');
INSERT INTO `lang_definitions` VALUES (83889, 925, 17, 'Autorize');
INSERT INTO `lang_definitions` VALUES (83890, 926, 17, 'Autorize - qualquer encontro');
INSERT INTO `lang_definitions` VALUES (83891, 928, 17, 'Autorize - meus encontros');
INSERT INTO `lang_definitions` VALUES (83892, 934, 17, 'Autorizado');
INSERT INTO `lang_definitions` VALUES (83893, 936, 17, 'Autorizado apenas');
INSERT INTO `lang_definitions` VALUES (83894, 941, 17, 'auto enviado');
INSERT INTO `lang_definitions` VALUES (83895, 944, 17, 'Crear automaticamente novos encontros');
INSERT INTO `lang_definitions` VALUES (83896, 945, 17, 'Auto-gerado');
INSERT INTO `lang_definitions` VALUES (83897, 955, 17, 'Automático');
INSERT INTO `lang_definitions` VALUES (83898, 959, 17, 'automaticamente cria um novo encontro quando o estado do anterior é \"@\" (chegado)');
INSERT INTO `lang_definitions` VALUES (83899, 962, 17, 'Exame médico automóvel');
INSERT INTO `lang_definitions` VALUES (83900, 964, 17, 'autosaved');
INSERT INTO `lang_definitions` VALUES (83901, 967, 17, 'Categorias disponíveis');
INSERT INTO `lang_definitions` VALUES (83902, 971, 17, 'Horário Disponível');
INSERT INTO `lang_definitions` VALUES (83903, 976, 17, 'Média Mensal');
INSERT INTO `lang_definitions` VALUES (83904, 980, 17, 'Avulsão / fratura de avulsão');
INSERT INTO `lang_definitions` VALUES (83905, 981, 17, 'Avulsão malleolus lateral');
INSERT INTO `lang_definitions` VALUES (83906, 982, 17, 'Avulsão malleolus mediano');
INSERT INTO `lang_definitions` VALUES (83907, 983, 17, 'Consciência-baseado');
INSERT INTO `lang_definitions` VALUES (83908, 985, 17, 'Axilar');
INSERT INTO `lang_definitions` VALUES (83909, 992, 17, 'b.i.d.');
INSERT INTO `lang_definitions` VALUES (83910, 993, 17, 'voltar');
INSERT INTO `lang_definitions` VALUES (83911, 994, 17, 'voltar');
INSERT INTO `lang_definitions` VALUES (83912, 995, 17, 'Voltar oito visitas');
INSERT INTO `lang_definitions` VALUES (83913, 996, 17, 'voltar: 11 visitas');
INSERT INTO `lang_definitions` VALUES (83914, 997, 17, 'voltar: 5 visitas');
INSERT INTO `lang_definitions` VALUES (83915, 998, 17, 'voltar: 4 visitas');
INSERT INTO `lang_definitions` VALUES (83916, 999, 17, 'voltar: 9 visitas');
INSERT INTO `lang_definitions` VALUES (83917, 1000, 17, 'voltar: 1 visita');
INSERT INTO `lang_definitions` VALUES (83918, 1001, 17, 'Dor de costas');
INSERT INTO `lang_definitions` VALUES (83919, 1002, 17, 'Problemas nas costas');
INSERT INTO `lang_definitions` VALUES (83920, 1003, 17, 'voltar: 8 visitas');
INSERT INTO `lang_definitions` VALUES (83921, 1004, 17, 'voltar: 6 visitas');
INSERT INTO `lang_definitions` VALUES (83922, 1005, 17, 'antes da Cirurgia');
INSERT INTO `lang_definitions` VALUES (83923, 1006, 17, 'voltar: 10 visitas');
INSERT INTO `lang_definitions` VALUES (83924, 1007, 17, 'voltar: 3 visitas');
INSERT INTO `lang_definitions` VALUES (83925, 1013, 17, 'voltar ao utente');
INSERT INTO `lang_definitions` VALUES (83926, 1016, 17, 'voltar a \"View\"');
INSERT INTO `lang_definitions` VALUES (83927, 1017, 17, 'voltar: 12 visitas');
INSERT INTO `lang_definitions` VALUES (83928, 1018, 17, 'voltar: 2 visitas');
INSERT INTO `lang_definitions` VALUES (83929, 1020, 17, 'Backup');
INSERT INTO `lang_definitions` VALUES (83930, 1022, 17, 'Backup criado. Segue-se o descarregamento.');
INSERT INTO `lang_definitions` VALUES (83931, 1025, 17, 'Cheque sem provimento');
INSERT INTO `lang_definitions` VALUES (83932, 1026, 17, 'Dívida incobrável');
INSERT INTO `lang_definitions` VALUES (83933, 1027, 17, 'Bahasa Indonésia');
INSERT INTO `lang_definitions` VALUES (83934, 1028, 17, 'Bal');
INSERT INTO `lang_definitions` VALUES (83935, 1031, 17, 'Saldo');
INSERT INTO `lang_definitions` VALUES (83936, 1032, 17, 'equilíbrio');
INSERT INTO `lang_definitions` VALUES (83937, 1034, 17, 'Saldo em Divida');
INSERT INTO `lang_definitions` VALUES (83938, 1042, 17, 'Base de quinto (5º) Metarsico');
INSERT INTO `lang_definitions` VALUES (83939, 1043, 17, 'Base de quinto (5º) Metarsico:');
INSERT INTO `lang_definitions` VALUES (83940, 1051, 17, 'Ferramenta de Comunicação Diferida');
INSERT INTO `lang_definitions` VALUES (83941, 1055, 17, 'Comunicação Diferida: pode demorar...');
INSERT INTO `lang_definitions` VALUES (83942, 1057, 17, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (83943, 1063, 17, 'porque o ID não existe.');
INSERT INTO `lang_definitions` VALUES (83944, 1072, 17, 'Começo');
INSERT INTO `lang_definitions` VALUES (83945, 1074, 17, 'Data inicial');
INSERT INTO `lang_definitions` VALUES (83946, 1077, 17, 'Data de início do serviço aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (83947, 1082, 17, 'Eructação');
INSERT INTO `lang_definitions` VALUES (83948, 1089, 17, 'entre');
INSERT INTO `lang_definitions` VALUES (83949, 1095, 17, 'Bilateral');
INSERT INTO `lang_definitions` VALUES (83950, 1096, 17, 'Bilateral:');
INSERT INTO `lang_definitions` VALUES (83951, 1099, 17, 'Conta: (data)');
INSERT INTO `lang_definitions` VALUES (83952, 1101, 17, 'Conta: (receber)');
INSERT INTO `lang_definitions` VALUES (83953, 1102, 17, 'Facturado');
INSERT INTO `lang_definitions` VALUES (83954, 1104, 17, 'Facturado');
INSERT INTO `lang_definitions` VALUES (83955, 1105, 17, 'Facturado (anote)');
INSERT INTO `lang_definitions` VALUES (83956, 1109, 17, 'Facturado: à atn. de');
INSERT INTO `lang_definitions` VALUES (83957, 1111, 17, 'Facturação: Código de serviço requisitado');
INSERT INTO `lang_definitions` VALUES (83958, 1112, 17, 'Facturação: Códigos');
INSERT INTO `lang_definitions` VALUES (83959, 1114, 17, 'Facturação: Departamento');
INSERT INTO `lang_definitions` VALUES (83960, 1115, 17, 'Clínica de facturação');
INSERT INTO `lang_definitions` VALUES (83961, 1117, 17, 'Facturação: Informação');
INSERT INTO `lang_definitions` VALUES (83962, 1118, 17, 'Facturação: Local');
INSERT INTO `lang_definitions` VALUES (83963, 1126, 17, 'Facturação: Nota');
INSERT INTO `lang_definitions` VALUES (83964, 1127, 17, 'Facturação: Nota para');
INSERT INTO `lang_definitions` VALUES (83965, 1128, 17, 'Facturação: Nota:');
INSERT INTO `lang_definitions` VALUES (83966, 1130, 17, 'Facturação: lista de resultados:');
INSERT INTO `lang_definitions` VALUES (83967, 1131, 17, 'Facturação: Relatório');
INSERT INTO `lang_definitions` VALUES (83968, 1133, 17, 'Estado da Factura = recibo não emitido');
INSERT INTO `lang_definitions` VALUES (83969, 1134, 17, 'Facturado a');
INSERT INTO `lang_definitions` VALUES (83970, 1138, 17, 'Biópsia');
INSERT INTO `lang_definitions` VALUES (83971, 1140, 17, 'Data de Nascimento');
INSERT INTO `lang_definitions` VALUES (83972, 1144, 17, 'Preto');
INSERT INTO `lang_definitions` VALUES (83973, 1149, 17, 'Cancro da bexiga');
INSERT INTO `lang_definitions` VALUES (83974, 1150, 17, 'Infecções de bexiga');
INSERT INTO `lang_definitions` VALUES (83975, 1152, 17, 'Formulários em branco');
INSERT INTO `lang_definitions` VALUES (83976, 1153, 17, 'Diátese Hemorrágica');
INSERT INTO `lang_definitions` VALUES (83977, 1154, 17, 'Pontos cegos');
INSERT INTO `lang_definitions` VALUES (83978, 1156, 17, 'Distendido');
INSERT INTO `lang_definitions` VALUES (83979, 1158, 17, 'Bloqueado');
INSERT INTO `lang_definitions` VALUES (83980, 1159, 17, 'Sangue');
INSERT INTO `lang_definitions` VALUES (83981, 1160, 17, 'Pressão Arterial');
INSERT INTO `lang_definitions` VALUES (83982, 1161, 17, 'Pressão arterial');
INSERT INTO `lang_definitions` VALUES (83983, 1162, 17, 'Epistaxis');
INSERT INTO `lang_definitions` VALUES (83984, 1163, 17, 'Blue Cross Blue Shield ORIG AMERICANO');
INSERT INTO `lang_definitions` VALUES (83985, 1165, 17, 'Neste relatório: Linhas azuis são informativas; Linhas pretas mostram informação existente; Linhas verdes mostram modificações aceites; Linhas vermelhas indicam erros, ou mudanças não aceites e devem ser verificadas manualmente. Também a vermelho: reembolsos negados ou devoluções.');
INSERT INTO `lang_definitions` VALUES (83986, 1166, 17, 'Visão turva');
INSERT INTO `lang_definitions` VALUES (83987, 1167, 17, 'IMC');
INSERT INTO `lang_definitions` VALUES (83988, 1168, 17, 'IMC Status');
INSERT INTO `lang_definitions` VALUES (83989, 1170, 17, 'Região do corpo');
INSERT INTO `lang_definitions` VALUES (83990, 1171, 17, 'lado do corpo');
INSERT INTO `lang_definitions` VALUES (83991, 1172, 17, 'lado do corpo , se aplicavel');
INSERT INTO `lang_definitions` VALUES (83992, 1173, 17, 'fragilidade óssea');
INSERT INTO `lang_definitions` VALUES (83993, 1175, 17, 'Booleano');
INSERT INTO `lang_definitions` VALUES (83994, 1177, 17, 'Inf.');
INSERT INTO `lang_definitions` VALUES (83995, 1179, 17, 'Ambos os ouvidos');
INSERT INTO `lang_definitions` VALUES (83996, 1180, 17, 'Ambos os ouvidos');
INSERT INTO `lang_definitions` VALUES (83997, 1183, 17, 'Fundo');
INSERT INTO `lang_definitions` VALUES (83998, 1187, 17, 'CAIXA 10 Emprego de A. relacionado');
INSERT INTO `lang_definitions` VALUES (83999, 1189, 17, 'CAIXA 10 B. Acidente Automático');
INSERT INTO `lang_definitions` VALUES (84000, 1191, 17, 'CAIXA 10 C. Outro Acidente');
INSERT INTO `lang_definitions` VALUES (84001, 1211, 17, 'CAIXA 16. Data incapaz trabalhar de (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (84002, 1215, 17, 'CAIXA 16. Data incapaz trabalhar (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (84003, 1227, 17, 'CAIXA 18. Data de hospitalização de (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (84004, 1231, 17, 'CAIXA 18. Data de hospitalização para (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (84005, 1235, 17, 'CAIXA 20. Está Fora de Laboratório usado?');
INSERT INTO `lang_definitions` VALUES (84006, 1239, 17, 'CAIXA 22. Medicaid Resubmission Código (ICD-9)');
INSERT INTO `lang_definitions` VALUES (84007, 1243, 17, 'CAIXA 23. Autorização anterior Não.');
INSERT INTO `lang_definitions` VALUES (84008, 1244, 17, 'TA');
INSERT INTO `lang_definitions` VALUES (84009, 1245, 17, 'TA diastólica');
INSERT INTO `lang_definitions` VALUES (84010, 1246, 17, 'TA sistólica');
INSERT INTO `lang_definitions` VALUES (84011, 1248, 17, 'Bpd');
INSERT INTO `lang_definitions` VALUES (84012, 1252, 17, 'Bps');
INSERT INTO `lang_definitions` VALUES (84013, 1254, 17, 'Português do Brasil');
INSERT INTO `lang_definitions` VALUES (84014, 1255, 17, 'Mama');
INSERT INTO `lang_definitions` VALUES (84015, 1256, 17, 'Mama: Biópsia');
INSERT INTO `lang_definitions` VALUES (84016, 1257, 17, 'Mama: Corrimento mamilar');
INSERT INTO `lang_definitions` VALUES (84017, 1258, 17, 'Mama: Doença');
INSERT INTO `lang_definitions` VALUES (84018, 1259, 17, 'Mama: Exame');
INSERT INTO `lang_definitions` VALUES (84019, 1260, 17, 'Mama: Massa');
INSERT INTO `lang_definitions` VALUES (84020, 1262, 17, 'Sons de respiração:');
INSERT INTO `lang_definitions` VALUES (84021, 1265, 17, 'Fracturas');
INSERT INTO `lang_definitions` VALUES (84022, 1267, 17, 'Bronquite: Formulário');
INSERT INTO `lang_definitions` VALUES (84023, 1270, 17, 'Navegue');
INSERT INTO `lang_definitions` VALUES (84024, 1271, 17, 'Navegue até à ficha');
INSERT INTO `lang_definitions` VALUES (84025, 1272, 17, 'Contusão / hematoma');
INSERT INTO `lang_definitions` VALUES (84026, 1276, 17, 'Abaulamento Direita:');
INSERT INTO `lang_definitions` VALUES (84027, 1278, 17, 'Ardor ao urinar');
INSERT INTO `lang_definitions` VALUES (84028, 1279, 17, 'Ardor ao urinar');
INSERT INTO `lang_definitions` VALUES (84029, 1282, 17, 'Ocupado');
INSERT INTO `lang_definitions` VALUES (84030, 1284, 17, 'nádega');
INSERT INTO `lang_definitions` VALUES (84031, 1285, 17, 'Nádega + S.I.');
INSERT INTO `lang_definitions` VALUES (84032, 1286, 17, 'por');
INSERT INTO `lang_definitions` VALUES (84033, 1287, 17, 'por');
INSERT INTO `lang_definitions` VALUES (84034, 1293, 17, 'per os');
INSERT INTO `lang_definitions` VALUES (84035, 1295, 17, 'Por/Fonte');
INSERT INTO `lang_definitions` VALUES (84036, 1296, 17, 'Por:');
INSERT INTO `lang_definitions` VALUES (84037, 1299, 17, 'C');
INSERT INTO `lang_definitions` VALUES (84038, 1302, 17, 'Cache Lifetime (in seconds)');
INSERT INTO `lang_definitions` VALUES (84039, 1303, 17, 'Cache template output?');
INSERT INTO `lang_definitions` VALUES (84040, 1305, 17, 'Cafeína: consumo');
INSERT INTO `lang_definitions` VALUES (84041, 1306, 17, 'Calendário');
INSERT INTO `lang_definitions` VALUES (84042, 1310, 17, 'Deefinições Calendário');
INSERT INTO `lang_definitions` VALUES (84043, 1313, 17, 'Interface Calendário');
INSERT INTO `lang_definitions` VALUES (84044, 1314, 17, 'Ver Calendário');
INSERT INTO `lang_definitions` VALUES (84045, 1317, 17, 'Call to addForm() goes here.<br>');
INSERT INTO `lang_definitions` VALUES (84046, 1321, 17, 'Calorias');
INSERT INTO `lang_definitions` VALUES (84047, 1323, 17, 'CAMOS');
INSERT INTO `lang_definitions` VALUES (84048, 1329, 17, 'Cancelar');
INSERT INTO `lang_definitions` VALUES (84049, 1332, 17, 'Cancelar Alterações');
INSERT INTO `lang_definitions` VALUES (84050, 1333, 17, 'Cancelado');
INSERT INTO `lang_definitions` VALUES (84051, 1335, 17, 'Cancro');
INSERT INTO `lang_definitions` VALUES (84052, 1340, 17, 'Não pode acrescentar isto porque já existe!');
INSERT INTO `lang_definitions` VALUES (84053, 1341, 17, 'Não pode acrescentar/actualizar esta entrada porque já existe um duplicado');
INSERT INTO `lang_definitions` VALUES (84054, 1343, 17, 'não pode ser convertido para JPEG. (O ImageMagick está instalado?)');
INSERT INTO `lang_definitions` VALUES (84055, 1345, 17, 'não pode ser mostrado inline porque este formato não é suportado pelo browser.');
INSERT INTO `lang_definitions` VALUES (84056, 1346, 17, 'não pode ser mostrado inline porque este formato não é suportado pelo browser.');
INSERT INTO `lang_definitions` VALUES (84057, 1347, 17, 'não pode ser mostrado inline porque este formato não é suportado pelo browser.');
INSERT INTO `lang_definitions` VALUES (84058, 1349, 17, 'Não é possível criar');
INSERT INTO `lang_definitions` VALUES (84059, 1354, 17, 'Não é possível encontrar');
INSERT INTO `lang_definitions` VALUES (84060, 1358, 17, 'Não consigo encontrar o paciente a partir do ID-SQL-Ledger de cliente');
INSERT INTO `lang_definitions` VALUES (84061, 1359, 17, 'Não consigo encontrar ref. do documento PostScript em');
INSERT INTO `lang_definitions` VALUES (84062, 1360, 17, 'Não consigo encontrar o prestador a partir do ID-SQL-Ledger de empregado');
INSERT INTO `lang_definitions` VALUES (84063, 1363, 17, 'Não consigo abrir');
INSERT INTO `lang_definitions` VALUES (84064, 1367, 17, 'Não consigo ler');
INSERT INTO `lang_definitions` VALUES (84065, 1369, 17, 'Não consigo actualizar porque não está a editar uma entrada pre-existente!');
INSERT INTO `lang_definitions` VALUES (84066, 1372, 17, 'cápsula');
INSERT INTO `lang_definitions` VALUES (84067, 1373, 17, 'Cartão');
INSERT INTO `lang_definitions` VALUES (84068, 1382, 17, 'Cateterização Cardíaca');
INSERT INTO `lang_definitions` VALUES (84069, 1383, 17, 'Eco cardíaco');
INSERT INTO `lang_definitions` VALUES (84070, 1384, 17, 'Cardiovascular');
INSERT INTO `lang_definitions` VALUES (84071, 1396, 17, 'Lesões: cartilagem/condral/disco');
INSERT INTO `lang_definitions` VALUES (84072, 1397, 17, 'Lesão da cartilagem');
INSERT INTO `lang_definitions` VALUES (84073, 1398, 17, 'Pulsações Cartoid nl, nl dos pulsos');
INSERT INTO `lang_definitions` VALUES (84074, 1400, 17, 'dinheiro');
INSERT INTO `lang_definitions` VALUES (84075, 1401, 17, 'Dinheiro');
INSERT INTO `lang_definitions` VALUES (84076, 1402, 17, 'Dinheiro Rec');
INSERT INTO `lang_definitions` VALUES (84077, 1403, 17, 'Dinheiro Recibos por Prestador');
INSERT INTO `lang_definitions` VALUES (84078, 1406, 17, 'Cataratas: Cirurgia');
INSERT INTO `lang_definitions` VALUES (84079, 1407, 17, 'Cataratas');
INSERT INTO `lang_definitions` VALUES (84080, 1408, 17, 'Categorias');
INSERT INTO `lang_definitions` VALUES (84081, 1410, 17, 'Categoria');
INSERT INTO `lang_definitions` VALUES (84082, 1411, 17, 'categoria');
INSERT INTO `lang_definitions` VALUES (84083, 1412, 17, 'Categoria');
INSERT INTO `lang_definitions` VALUES (84084, 1416, 17, 'Categoria: Detalhes');
INSERT INTO `lang_definitions` VALUES (84085, 1417, 17, 'Categoria: Limites');
INSERT INTO `lang_definitions` VALUES (84086, 1418, 17, 'Categoria: Nome');
INSERT INTO `lang_definitions` VALUES (84087, 1421, 17, 'Caucasiano');
INSERT INTO `lang_definitions` VALUES (84088, 1445, 17, 'Telemovel');
INSERT INTO `lang_definitions` VALUES (84089, 1447, 17, 'Telemovel Nº');
INSERT INTO `lang_definitions` VALUES (84090, 1449, 17, 'Certificação Central');
INSERT INTO `lang_definitions` VALUES (84091, 1458, 17, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (84092, 1459, 17, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (84093, 1460, 17, 'alterar');
INSERT INTO `lang_definitions` VALUES (84094, 1461, 17, 'Alterar');
INSERT INTO `lang_definitions` VALUES (84095, 1462, 17, 'Alterar Actividade');
INSERT INTO `lang_definitions` VALUES (84096, 1467, 17, 'Alterar Visão');
INSERT INTO `lang_definitions` VALUES (84097, 1468, 17, 'Alterar Visão');
INSERT INTO `lang_definitions` VALUES (84098, 1470, 17, 'Mudar Palavra-Passe');
INSERT INTO `lang_definitions` VALUES (84099, 1471, 17, 'Mudar Palavra-Passe para');
INSERT INTO `lang_definitions` VALUES (84100, 1473, 17, 'Mudar Estado para');
INSERT INTO `lang_definitions` VALUES (84101, 1475, 17, 'Alterarado');
INSERT INTO `lang_definitions` VALUES (84102, 1476, 17, 'Intestino Alterarado');
INSERT INTO `lang_definitions` VALUES (84103, 1483, 17, 'Canais');
INSERT INTO `lang_definitions` VALUES (84104, 1484, 17, 'Características');
INSERT INTO `lang_definitions` VALUES (84105, 1485, 17, 'Caracteres em Falta');
INSERT INTO `lang_definitions` VALUES (84106, 1486, 17, 'Custo');
INSERT INTO `lang_definitions` VALUES (84107, 1490, 17, 'Custos');
INSERT INTO `lang_definitions` VALUES (84108, 1491, 17, 'Processo');
INSERT INTO `lang_definitions` VALUES (84109, 1492, 17, 'Registos do Processo');
INSERT INTO `lang_definitions` VALUES (84110, 1493, 17, 'Relatório de Baixas/Altas');
INSERT INTO `lang_definitions` VALUES (84111, 1495, 17, 'ID Processo');
INSERT INTO `lang_definitions` VALUES (84112, 1496, 17, 'ID Processo:');
INSERT INTO `lang_definitions` VALUES (84113, 1498, 17, 'Processo: Actividade Local?');
INSERT INTO `lang_definitions` VALUES (84114, 1499, 17, 'Nota do Processo');
INSERT INTO `lang_definitions` VALUES (84115, 1500, 17, 'Número de Processo');
INSERT INTO `lang_definitions` VALUES (84116, 1502, 17, 'Arquivo Físico do Processo');
INSERT INTO `lang_definitions` VALUES (84117, 1504, 17, 'Localizador de Processos');
INSERT INTO `lang_definitions` VALUES (84118, 1505, 17, 'Loc. de Processos');
INSERT INTO `lang_definitions` VALUES (84119, 1508, 17, 'Alta de Processos');
INSERT INTO `lang_definitions` VALUES (84120, 1509, 17, 'Saídas');
INSERT INTO `lang_definitions` VALUES (84121, 1513, 17, 'Verificar');
INSERT INTO `lang_definitions` VALUES (84122, 1514, 17, 'verificar');
INSERT INTO `lang_definitions` VALUES (84123, 1515, 17, 'Conferir Tudo');
INSERT INTO `lang_definitions` VALUES (84124, 1517, 17, 'Conferir quantidade');
INSERT INTO `lang_definitions` VALUES (84125, 1519, 17, 'Conferir Data');
INSERT INTO `lang_definitions` VALUES (84126, 1527, 17, 'Entrada para');
INSERT INTO `lang_definitions` VALUES (84127, 1528, 17, 'Verificar dados de entrada');
INSERT INTO `lang_definitions` VALUES (84128, 1530, 17, 'Verificar Resultados das análises do Laboratório');
INSERT INTO `lang_definitions` VALUES (84129, 1533, 17, 'Verificar Número');
INSERT INTO `lang_definitions` VALUES (84130, 1545, 17, 'Verificar / EOB Data:');
INSERT INTO `lang_definitions` VALUES (84131, 1547, 17, 'Verificar / EOB No.:');
INSERT INTO `lang_definitions` VALUES (84132, 1548, 17, 'Verificar / Ref No.');
INSERT INTO `lang_definitions` VALUES (84133, 1549, 17, 'Verificar / Número de Referência');
INSERT INTO `lang_definitions` VALUES (84134, 1550, 17, 'Lista de seleção');
INSERT INTO `lang_definitions` VALUES (84135, 1551, 17, 'lista de seleção');
INSERT INTO `lang_definitions` VALUES (84136, 1552, 17, 'lista de seleção c/ texto');
INSERT INTO `lang_definitions` VALUES (84137, 1553, 17, 'Lista de seleção c/ texto');
INSERT INTO `lang_definitions` VALUES (84138, 1559, 17, 'Caixa conferida = sim , vazio = não');
INSERT INTO `lang_definitions` VALUES (84139, 1568, 17, 'Saída');
INSERT INTO `lang_definitions` VALUES (84140, 1570, 17, 'Torax');
INSERT INTO `lang_definitions` VALUES (84141, 1571, 17, 'Torax CTAB');
INSERT INTO `lang_definitions` VALUES (84142, 1572, 17, 'Dor Torácica');
INSERT INTO `lang_definitions` VALUES (84143, 1573, 17, 'Dor Torácica:');
INSERT INTO `lang_definitions` VALUES (84144, 1574, 17, 'Dores Torácicas');
INSERT INTO `lang_definitions` VALUES (84145, 1576, 17, 'Chg');
INSERT INTO `lang_definitions` VALUES (84146, 1578, 17, 'Queixa principal');
INSERT INTO `lang_definitions` VALUES (84147, 1581, 17, 'Criança');
INSERT INTO `lang_definitions` VALUES (84148, 1584, 17, 'Arrepios');
INSERT INTO `lang_definitions` VALUES (84149, 1585, 17, 'Chinês');
INSERT INTO `lang_definitions` VALUES (84150, 1586, 17, 'Chinês (simplif.)');
INSERT INTO `lang_definitions` VALUES (84151, 1587, 17, 'Chinês (trad.)');
INSERT INTO `lang_definitions` VALUES (84152, 1589, 17, 'Opções');
INSERT INTO `lang_definitions` VALUES (84153, 1590, 17, 'Colecistectomia');
INSERT INTO `lang_definitions` VALUES (84154, 1592, 17, 'Colecistectomia');
INSERT INTO `lang_definitions` VALUES (84155, 1593, 17, 'Escolha');
INSERT INTO `lang_definitions` VALUES (84156, 1596, 17, 'Escolha uma secção e clique num art. dentro dela e depois, noutra seção, poderá ver os itens relacionados em destaque, e pode clicar nesse ponto para adicionar e excluir relações.');
INSERT INTO `lang_definitions` VALUES (84157, 1605, 17, 'Escolha: lista');
INSERT INTO `lang_definitions` VALUES (84158, 1611, 17, 'Escolha: formato impressão p/ rel. consulta');
INSERT INTO `lang_definitions` VALUES (84159, 1615, 17, 'Bronquite crônica');
INSERT INTO `lang_definitions` VALUES (84160, 1616, 17, 'Artralgia crónica');
INSERT INTO `lang_definitions` VALUES (84161, 1620, 17, 'Sinovite crónica / derrame / dor nas articulações / gota');
INSERT INTO `lang_definitions` VALUES (84162, 1622, 17, 'Crónica/Recorrente');
INSERT INTO `lang_definitions` VALUES (84163, 1625, 17, 'Cirrose Hepatica');
INSERT INTO `lang_definitions` VALUES (84164, 1626, 17, 'Cirrose Hepatica');
INSERT INTO `lang_definitions` VALUES (84165, 1627, 17, 'Localidade');
INSERT INTO `lang_definitions` VALUES (84166, 1629, 17, 'Localidade: Nome');
INSERT INTO `lang_definitions` VALUES (84167, 1630, 17, 'Localidade: Distrito');
INSERT INTO `lang_definitions` VALUES (84168, 1631, 17, 'Localidade: Cod Postal');
INSERT INTO `lang_definitions` VALUES (84169, 1633, 17, 'Localidade/Distrito');
INSERT INTO `lang_definitions` VALUES (84170, 1634, 17, 'Lista de honorários');
INSERT INTO `lang_definitions` VALUES (84171, 1635, 17, 'Lista de honorários');
INSERT INTO `lang_definitions` VALUES (84172, 1638, 17, 'Lista de honorários: teste concluído');
INSERT INTO `lang_definitions` VALUES (84173, 1641, 17, 'Lista de honorários: ficheiro criado');
INSERT INTO `lang_definitions` VALUES (84174, 1645, 17, 'Classificação');
INSERT INTO `lang_definitions` VALUES (84175, 1646, 17, 'Apagar');
INSERT INTO `lang_definitions` VALUES (84176, 1651, 17, 'Apagar Tudo');
INSERT INTO `lang_definitions` VALUES (84177, 1655, 17, 'Apagar Justificação');
INSERT INTO `lang_definitions` VALUES (84178, 1659, 17, 'Apagar Cache do Smarty');
INSERT INTO `lang_definitions` VALUES (84179, 1662, 17, 'CLIA Number');
INSERT INTO `lang_definitions` VALUES (84180, 1663, 17, 'Clique');
INSERT INTO `lang_definitions` VALUES (84181, 1664, 17, 'Clique \'export\' p/ exportar Categoria, Subcategoria, Item, Conteudo para um ficheiro. Este ficheiro NÃO É XML. As marcas de inicio e fim devem estar na mesma linha, em minusculas e sem espaços. Para importar, procure um ficheiro e clique \'import\'. Se os dados forem diferentes serão adicionados aos dados existentes. Se houver nomes iguais, os mais antigos serão mantidos e os mais novos guardados com um no. adicionado no fim.');
INSERT INTO `lang_definitions` VALUES (84182, 1672, 17, 'clique para saber mais');
INSERT INTO `lang_definitions` VALUES (84183, 1678, 17, 'clique aqui.');
INSERT INTO `lang_definitions` VALUES (84184, 1679, 17, 'clique aqui para adicionar um novo utente.');
INSERT INTO `lang_definitions` VALUES (84185, 1682, 17, 'Clique aqui para escolher uma data');
INSERT INTO `lang_definitions` VALUES (84186, 1683, 17, 'Clique aqui para escolher data e hora.');
INSERT INTO `lang_definitions` VALUES (84187, 1684, 17, 'Clique aqui para escolher uma data de inicio');
INSERT INTO `lang_definitions` VALUES (84188, 1707, 17, 'clique aqui para procurar');
INSERT INTO `lang_definitions` VALUES (84189, 1710, 17, 'Clique aqui para actualizar prioridade, categoria e');
INSERT INTO `lang_definitions` VALUES (84190, 1714, 17, 'Clique aqui para ver tudo.');
INSERT INTO `lang_definitions` VALUES (84191, 1715, 17, 'Clique aqui para ver e fazer o gráfico');
INSERT INTO `lang_definitions` VALUES (84192, 1717, 17, 'Clique aqui para ver e fazer o gráfico de todos os sinais vitais');
INSERT INTO `lang_definitions` VALUES (84193, 1718, 17, 'Clique aqui para ver todos os detalhes dos utentes');
INSERT INTO `lang_definitions` VALUES (84194, 1719, 17, 'Clique aqui para ver todos');
INSERT INTO `lang_definitions` VALUES (84195, 1723, 17, 'Clique no botão de Instalar para instalar a base de dados com edição na seguinte data');
INSERT INTO `lang_definitions` VALUES (84196, 1730, 17, 'Clique em qualquer uma das secções temporais para a aumentar');
INSERT INTO `lang_definitions` VALUES (84197, 1753, 17, 'Clique Renovar para ver todos os resultados, ou então, por favor dê entrada ao critério de pesquisa acima para ver resultados específicos.');
INSERT INTO `lang_definitions` VALUES (84198, 1779, 17, 'Clique para adicionar novos componentes');
INSERT INTO `lang_definitions` VALUES (84199, 1780, 17, 'Clique para adicionar nova consulta');
INSERT INTO `lang_definitions` VALUES (84200, 1781, 17, 'Clique para adicionar um novo paciente');
INSERT INTO `lang_definitions` VALUES (84201, 1785, 17, 'Clique para carregar');
INSERT INTO `lang_definitions` VALUES (84202, 1786, 17, 'Clique para editar');
INSERT INTO `lang_definitions` VALUES (84203, 1788, 17, 'Clique para editar esta evento');
INSERT INTO `lang_definitions` VALUES (84204, 1790, 17, 'Clique para gerar o relatório');
INSERT INTO `lang_definitions` VALUES (84205, 1800, 17, 'Clique para imprimir');
INSERT INTO `lang_definitions` VALUES (84206, 1801, 17, 'Clique para receber (adicionar) novo lote');
INSERT INTO `lang_definitions` VALUES (84207, 1805, 17, 'Clique para seleccionar');
INSERT INTO `lang_definitions` VALUES (84208, 1806, 17, 'Clique para seleccionar');
INSERT INTO `lang_definitions` VALUES (84209, 1814, 17, 'Clique para selecionar ou mudança de diagnóstico');
INSERT INTO `lang_definitions` VALUES (84210, 1816, 17, 'Clique para seleccionar o utente');
INSERT INTO `lang_definitions` VALUES (84211, 1817, 17, 'Clique para selecionar o código relacionado');
INSERT INTO `lang_definitions` VALUES (84212, 1831, 17, 'Clique para ver');
INSERT INTO `lang_definitions` VALUES (84213, 1833, 17, 'Clique ver ou editar');
INSERT INTO `lang_definitions` VALUES (84214, 1834, 17, 'Clique para ver/editar');
INSERT INTO `lang_definitions` VALUES (84215, 1839, 17, 'Clique:');
INSERT INTO `lang_definitions` VALUES (84216, 1866, 17, 'Cópia do Utente');
INSERT INTO `lang_definitions` VALUES (84217, 1869, 17, 'Sumário da História Clinica');
INSERT INTO `lang_definitions` VALUES (84218, 1873, 17, 'Perfil do Utente - Novos Utentes');
INSERT INTO `lang_definitions` VALUES (84219, 1874, 17, 'Perfil do Utente- Utente Únicos');
INSERT INTO `lang_definitions` VALUES (84220, 1878, 17, 'Utentes');
INSERT INTO `lang_definitions` VALUES (84221, 1879, 17, 'Clínica');
INSERT INTO `lang_definitions` VALUES (84222, 1880, 17, 'Copia da Clinica');
INSERT INTO `lang_definitions` VALUES (84223, 1881, 17, 'Registro Diário da Clinica');
INSERT INTO `lang_definitions` VALUES (84224, 1882, 17, 'Clínica ID');
INSERT INTO `lang_definitions` VALUES (84225, 1883, 17, 'Clínico');
INSERT INTO `lang_definitions` VALUES (84226, 1915, 17, 'Clínicos');
INSERT INTO `lang_definitions` VALUES (84227, 1916, 17, 'copie');
INSERT INTO `lang_definitions` VALUES (84228, 1917, 17, 'copie a visita anterior');
INSERT INTO `lang_definitions` VALUES (84229, 1918, 17, 'Fechar');
INSERT INTO `lang_definitions` VALUES (84230, 1925, 17, 'Fechar a janela');
INSERT INTO `lang_definitions` VALUES (84231, 1927, 17, 'Fechado');
INSERT INTO `lang_definitions` VALUES (84232, 1928, 17, 'cm');
INSERT INTO `lang_definitions` VALUES (84233, 1940, 17, 'CMS ID');
INSERT INTO `lang_definitions` VALUES (84234, 1955, 17, 'CN2-12 íntima');
INSERT INTO `lang_definitions` VALUES (84235, 1964, 17, 'Código');
INSERT INTO `lang_definitions` VALUES (84236, 1965, 17, 'Código');
INSERT INTO `lang_definitions` VALUES (84237, 1967, 17, 'Codifique o descobridor');
INSERT INTO `lang_definitions` VALUES (84238, 1968, 17, 'Código deve ser duas letras minúsculs');
INSERT INTO `lang_definitions` VALUES (84239, 1973, 17, 'tipo de códig');
INSERT INTO `lang_definitions` VALUES (84240, 1979, 17, 'Códigos');
INSERT INTO `lang_definitions` VALUES (84241, 1981, 17, 'Codificando');
INSERT INTO `lang_definitions` VALUES (84242, 1983, 17, 'Codificando - qualquer encontro (escrever, aumentar opcional)');
INSERT INTO `lang_definitions` VALUES (84243, 1985, 17, 'Codificando - meu encontro (escrever, aumentar opcional)');
INSERT INTO `lang_definitions` VALUES (84244, 1990, 17, 'Código não autorizado');
INSERT INTO `lang_definitions` VALUES (84245, 1991, 17, 'Café');
INSERT INTO `lang_definitions` VALUES (84246, 1994, 17, 'Co-seguro');
INSERT INTO `lang_definitions` VALUES (84247, 1995, 17, 'Coll w/o');
INSERT INTO `lang_definitions` VALUES (84248, 1997, 17, 'Esconder');
INSERT INTO `lang_definitions` VALUES (84249, 1998, 17, 'esconder');
INSERT INTO `lang_definitions` VALUES (84250, 1999, 17, 'Esconder Tudo');
INSERT INTO `lang_definitions` VALUES (84251, 2000, 17, 'Esconder tudo');
INSERT INTO `lang_definitions` VALUES (84252, 2001, 17, 'esconder tudo');
INSERT INTO `lang_definitions` VALUES (84253, 2007, 17, 'Coleções');
INSERT INTO `lang_definitions` VALUES (84254, 2008, 17, 'Relatório de Coleções');
INSERT INTO `lang_definitions` VALUES (84255, 2009, 17, 'Cancror do Cólon');
INSERT INTO `lang_definitions` VALUES (84256, 2011, 17, 'Cirurgia do Cancro do Cólon');
INSERT INTO `lang_definitions` VALUES (84257, 2012, 17, 'Colonoscopia');
INSERT INTO `lang_definitions` VALUES (84258, 2013, 17, 'Colonoscopia');
INSERT INTO `lang_definitions` VALUES (84259, 2014, 17, 'Cor');
INSERT INTO `lang_definitions` VALUES (84260, 2022, 17, 'Colunas');
INSERT INTO `lang_definitions` VALUES (84261, 2025, 17, 'Vírgula');
INSERT INTO `lang_definitions` VALUES (84262, 2027, 17, 'Comentário');
INSERT INTO `lang_definitions` VALUES (84263, 2028, 17, 'Comentários');
INSERT INTO `lang_definitions` VALUES (84264, 2030, 17, 'Comentários ao resultado');
INSERT INTO `lang_definitions` VALUES (84265, 2031, 17, 'Cia. De Seguro comercial');
INSERT INTO `lang_definitions` VALUES (84266, 2032, 17, 'Faça mudanças');
INSERT INTO `lang_definitions` VALUES (84267, 2036, 17, 'Comunicações');
INSERT INTO `lang_definitions` VALUES (84268, 2039, 17, 'Empresa');
INSERT INTO `lang_definitions` VALUES (84269, 2041, 17, 'Concluir');
INSERT INTO `lang_definitions` VALUES (84270, 2043, 17, 'Concluído');
INSERT INTO `lang_definitions` VALUES (84271, 2049, 17, 'Complicações através do provedor de serviços');
INSERT INTO `lang_definitions` VALUES (84272, 2050, 17, 'Complicações do Aborto');
INSERT INTO `lang_definitions` VALUES (84273, 2057, 17, 'Computador Ajudou Sistema de Ordenamento de Exame médico');
INSERT INTO `lang_definitions` VALUES (84274, 2058, 17, 'Conclusões');
INSERT INTO `lang_definitions` VALUES (84275, 2064, 17, 'Configuração');
INSERT INTO `lang_definitions` VALUES (84276, 2065, 17, 'Configuração Exportar/Importar');
INSERT INTO `lang_definitions` VALUES (84277, 2079, 17, 'Confirme o Novo Utente');
INSERT INTO `lang_definitions` VALUES (84278, 2083, 17, 'Confirme Pagamento');
INSERT INTO `lang_definitions` VALUES (84279, 2092, 17, 'Congênito');
INSERT INTO `lang_definitions` VALUES (84280, 2094, 17, 'Conjuntiva, pupils');
INSERT INTO `lang_definitions` VALUES (84281, 2098, 17, 'Constante');
INSERT INTO `lang_definitions` VALUES (84282, 2100, 17, 'Nome Constante');
INSERT INTO `lang_definitions` VALUES (84283, 2102, 17, 'Constantes');
INSERT INTO `lang_definitions` VALUES (84284, 2103, 17, 'Obstipação');
INSERT INTO `lang_definitions` VALUES (84285, 2104, 17, 'Constitucional');
INSERT INTO `lang_definitions` VALUES (84286, 2107, 17, 'Descrição Breve da Consulta');
INSERT INTO `lang_definitions` VALUES (84287, 2109, 17, 'Contacto');
INSERT INTO `lang_definitions` VALUES (84288, 2110, 17, 'Correio eletrónico (email)');
INSERT INTO `lang_definitions` VALUES (84289, 2111, 17, 'Endereço Electrónico');
INSERT INTO `lang_definitions` VALUES (84290, 2113, 17, 'informação do contacto');
INSERT INTO `lang_definitions` VALUES (84291, 2117, 17, 'Lentes de Contacto');
INSERT INTO `lang_definitions` VALUES (84292, 2122, 17, 'Contate o Nome');
INSERT INTO `lang_definitions` VALUES (84293, 2125, 17, 'Contate a pessoa');
INSERT INTO `lang_definitions` VALUES (84294, 2127, 17, 'Contate o Número de Telefone');
INSERT INTO `lang_definitions` VALUES (84295, 2133, 17, 'Conteúdo');
INSERT INTO `lang_definitions` VALUES (84296, 2134, 17, 'conteúdo');
INSERT INTO `lang_definitions` VALUES (84297, 2138, 17, 'Continuar');
INSERT INTO `lang_definitions` VALUES (84298, 2146, 17, 'Clientes de Contra');
INSERT INTO `lang_definitions` VALUES (84299, 2147, 17, 'Contracepção');
INSERT INTO `lang_definitions` VALUES (84300, 2148, 17, 'Assuntos de Contracepção');
INSERT INTO `lang_definitions` VALUES (84301, 2149, 17, 'Complicação anticoncepcional (especifique)');
INSERT INTO `lang_definitions` VALUES (84302, 2150, 17, 'Métodos Anticontracepcional');
INSERT INTO `lang_definitions` VALUES (84303, 2152, 17, 'Sérviços anticontracepcionais começaram previamente');
INSERT INTO `lang_definitions` VALUES (84304, 2153, 17, 'Anticontracepciona Começou');
INSERT INTO `lang_definitions` VALUES (84305, 2159, 17, 'Control No');
INSERT INTO `lang_definitions` VALUES (84306, 2169, 17, 'Copay');
INSERT INTO `lang_definitions` VALUES (84307, 2170, 17, 'CoPay');
INSERT INTO `lang_definitions` VALUES (84308, 2171, 17, 'Copay não positivo');
INSERT INTO `lang_definitions` VALUES (84309, 2173, 17, 'Copays');
INSERT INTO `lang_definitions` VALUES (84310, 2174, 17, 'COPD');
INSERT INTO `lang_definitions` VALUES (84311, 2175, 17, 'Copia página do doente traçada');
INSERT INTO `lang_definitions` VALUES (84312, 2177, 17, 'Copia Valores');
INSERT INTO `lang_definitions` VALUES (84313, 2179, 17, 'Protegido por direitos de autor');
INSERT INTO `lang_definitions` VALUES (84314, 2184, 17, 'Bypass coronário');
INSERT INTO `lang_definitions` VALUES (84315, 2204, 17, 'Tosse');
INSERT INTO `lang_definitions` VALUES (84316, 2205, 17, 'Tosse:');
INSERT INTO `lang_definitions` VALUES (84317, 2211, 17, 'Não foi possível ler o ficheiro');
INSERT INTO `lang_definitions` VALUES (84318, 2214, 17, 'Não pode enviar e-mail devido a problema do servidor,');
INSERT INTO `lang_definitions` VALUES (84319, 2220, 17, 'Não pode remover o documento antigo exportado');
INSERT INTO `lang_definitions` VALUES (84320, 2222, 17, 'Acounselhamento através de Método');
INSERT INTO `lang_definitions` VALUES (84321, 2223, 17, 'Aconselhando');
INSERT INTO `lang_definitions` VALUES (84322, 2224, 17, 'Atividade de Aconselhamento');
INSERT INTO `lang_definitions` VALUES (84323, 2227, 17, 'CONTRA FORMA DE INDICAÇÃO');
INSERT INTO `lang_definitions` VALUES (84324, 2228, 17, 'Contra informação');
INSERT INTO `lang_definitions` VALUES (84325, 2229, 17, 'País');
INSERT INTO `lang_definitions` VALUES (84326, 2233, 17, 'Lista de Países (escrever,adicionar somente opcional)');
INSERT INTO `lang_definitions` VALUES (84327, 2236, 17, 'país');
INSERT INTO `lang_definitions` VALUES (84328, 2238, 17, 'Cupom');
INSERT INTO `lang_definitions` VALUES (84329, 2245, 17, 'CPT');
INSERT INTO `lang_definitions` VALUES (84330, 2247, 17, 'CPT Códigos');
INSERT INTO `lang_definitions` VALUES (84331, 2252, 17, 'Crackles:');
INSERT INTO `lang_definitions` VALUES (84332, 2255, 17, 'nata');
INSERT INTO `lang_definitions` VALUES (84333, 2269, 17, 'Criar um Evento');
INSERT INTO `lang_definitions` VALUES (84334, 2273, 17, 'Crie e carregue um auxílio cheio');
INSERT INTO `lang_definitions` VALUES (84335, 2275, 17, 'Criar um Auxílio');
INSERT INTO `lang_definitions` VALUES (84336, 2281, 17, 'Guardar Novo');
INSERT INTO `lang_definitions` VALUES (84337, 2287, 17, 'Novo Utente');
INSERT INTO `lang_definitions` VALUES (84338, 2294, 17, 'Nova Notas do Utente');
INSERT INTO `lang_definitions` VALUES (84339, 2297, 17, 'Nova Visita');
INSERT INTO `lang_definitions` VALUES (84340, 2298, 17, 'Criado');
INSERT INTO `lang_definitions` VALUES (84341, 2306, 17, 'Arquivo de exportação criado');
INSERT INTO `lang_definitions` VALUES (84342, 2311, 17, 'crédito');
INSERT INTO `lang_definitions` VALUES (84343, 2314, 17, 'Créditos');
INSERT INTO `lang_definitions` VALUES (84344, 2316, 17, 'Critérios');
INSERT INTO `lang_definitions` VALUES (84345, 2319, 17, 'Crohn\'Doença de');
INSERT INTO `lang_definitions` VALUES (84346, 2320, 17, 'Crohn Doença de');
INSERT INTO `lang_definitions` VALUES (84347, 2323, 17, 'Exportar em CSV');
INSERT INTO `lang_definitions` VALUES (84348, 2324, 17, 'Ficheiro CSV');
INSERT INTO `lang_definitions` VALUES (84349, 2331, 17, 'Cubano');
INSERT INTO `lang_definitions` VALUES (84350, 2337, 17, 'Corrente');
INSERT INTO `lang_definitions` VALUES (84351, 2341, 17, 'Consulta atual');
INSERT INTO `lang_definitions` VALUES (84352, 2344, 17, 'Cor de destaque de dia atual');
INSERT INTO `lang_definitions` VALUES (84353, 2347, 17, 'O nome da pasta foi trocado para');
INSERT INTO `lang_definitions` VALUES (84354, 2350, 17, 'Localização atual');
INSERT INTO `lang_definitions` VALUES (84355, 2352, 17, 'Medicação atual');
INSERT INTO `lang_definitions` VALUES (84356, 2354, 17, 'Palavra chave atual');
INSERT INTO `lang_definitions` VALUES (84357, 2356, 17, 'Utente Corrente');
INSERT INTO `lang_definitions` VALUES (84358, 2371, 17, 'Atualmente ativo');
INSERT INTO `lang_definitions` VALUES (84359, 2379, 17, 'Síndrome de Cushing');
INSERT INTO `lang_definitions` VALUES (84360, 2380, 17, 'Síndrome de Cushing');
INSERT INTO `lang_definitions` VALUES (84361, 2383, 17, 'Costume');
INSERT INTO `lang_definitions` VALUES (84362, 2406, 17, 'Ciclo');
INSERT INTO `lang_definitions` VALUES (84363, 2412, 17, 'CYP');
INSERT INTO `lang_definitions` VALUES (84364, 2413, 17, 'Fator CYP');
INSERT INTO `lang_definitions` VALUES (84365, 2414, 17, 'Relatório CYP');
INSERT INTO `lang_definitions` VALUES (84366, 2416, 17, 'D');
INSERT INTO `lang_definitions` VALUES (84367, 2417, 17, 'D&C');
INSERT INTO `lang_definitions` VALUES (84368, 2418, 17, 'D&E');
INSERT INTO `lang_definitions` VALUES (84369, 2420, 17, 'D. Nasc.');
INSERT INTO `lang_definitions` VALUES (84370, 2421, 17, 'diariamente');
INSERT INTO `lang_definitions` VALUES (84371, 2422, 17, 'Registo Diário');
INSERT INTO `lang_definitions` VALUES (84372, 2423, 17, 'Relatório Diário');
INSERT INTO `lang_definitions` VALUES (84373, 2424, 17, 'Resumo Diário');
INSERT INTO `lang_definitions` VALUES (84374, 2425, 17, 'Dinamarquês');
INSERT INTO `lang_definitions` VALUES (84375, 2426, 17, 'Registo Clínico');
INSERT INTO `lang_definitions` VALUES (84376, 2427, 17, 'Registo Clínico - Resume toda a informação do utente');
INSERT INTO `lang_definitions` VALUES (84377, 2428, 17, 'Registo Clínico{{patient file}}');
INSERT INTO `lang_definitions` VALUES (84378, 2429, 17, 'Dado semelhante já está no banco de dados, por código de alteração e / ou descrição');
INSERT INTO `lang_definitions` VALUES (84379, 2430, 17, 'Dados Semelhantes já está em banco de dados, por favor mude npme');
INSERT INTO `lang_definitions` VALUES (84380, 2431, 17, 'Dados Cols');
INSERT INTO `lang_definitions` VALUES (84381, 2439, 17, 'Tipos de Dados');
INSERT INTO `lang_definitions` VALUES (84382, 2440, 17, 'Base de Dados');
INSERT INTO `lang_definitions` VALUES (84383, 2445, 17, 'Relatório da Base de Dados');
INSERT INTO `lang_definitions` VALUES (84384, 2447, 17, 'Finalizada a atualização da Base de Dados');
INSERT INTO `lang_definitions` VALUES (84385, 2448, 17, 'DataCols deve ser um número entre 1 e 999');
INSERT INTO `lang_definitions` VALUES (84386, 2449, 17, 'Data');
INSERT INTO `lang_definitions` VALUES (84387, 2450, 17, 'DATA');
INSERT INTO `lang_definitions` VALUES (84388, 2453, 17, 'Data Administrou');
INSERT INTO `lang_definitions` VALUES (84389, 2459, 17, 'Dada de Serviços anticoncepcionais inicialmente contanto');
INSERT INTO `lang_definitions` VALUES (84390, 2461, 17, 'Data do Óbito');
INSERT INTO `lang_definitions` VALUES (84391, 2462, 17, 'Destruído em');
INSERT INTO `lang_definitions` VALUES (84392, 2463, 17, 'Formato da Data');
INSERT INTO `lang_definitions` VALUES (84393, 2464, 17, 'Formato de data para \"fim de compomisso\" não é válido');
INSERT INTO `lang_definitions` VALUES (84394, 2465, 17, 'Formato de data para \"início de compomisso\" não é válido');
INSERT INTO `lang_definitions` VALUES (84395, 2466, 17, 'Formato de data para \"Próximo compomisso\" não é válido');
INSERT INTO `lang_definitions` VALUES (84396, 2467, 17, 'Formato de data para \"não visto desde então\" não é válido');
INSERT INTO `lang_definitions` VALUES (84397, 2469, 17, 'Formato de data para \"visto desde então\" não é válido');
INSERT INTO `lang_definitions` VALUES (84398, 2470, 17, 'Date Declarações de Informação de Imunização Dadas');
INSERT INTO `lang_definitions` VALUES (84399, 2471, 17, 'Data está perdendo para código');
INSERT INTO `lang_definitions` VALUES (84400, 2475, 17, 'Data do depósito bancário aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (84401, 2477, 17, 'Data de Nascimento');
INSERT INTO `lang_definitions` VALUES (84402, 2478, 17, 'Data de nascimento');
INSERT INTO `lang_definitions` VALUES (84403, 2483, 17, 'Data da lesão');
INSERT INTO `lang_definitions` VALUES (84404, 2487, 17, 'Data do Pagamento aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (84405, 2489, 17, 'Data de Indicação');
INSERT INTO `lang_definitions` VALUES (84406, 2491, 17, 'Data de resposta');
INSERT INTO `lang_definitions` VALUES (84407, 2495, 17, 'Data De Serviço');
INSERT INTO `lang_definitions` VALUES (84408, 2498, 17, 'Data de serviço mm-dd-aaaa');
INSERT INTO `lang_definitions` VALUES (84409, 2499, 17, 'Data de Serviço');
INSERT INTO `lang_definitions` VALUES (84410, 2500, 17, 'Data De Assinatura');
INSERT INTO `lang_definitions` VALUES (84411, 2505, 17, 'Data de Declaração de VIS');
INSERT INTO `lang_definitions` VALUES (84412, 2516, 17, 'Data/Appt');
INSERT INTO `lang_definitions` VALUES (84413, 2517, 17, 'Data/Notas');
INSERT INTO `lang_definitions` VALUES (84414, 2518, 17, 'Data/Ùltimas Notas');
INSERT INTO `lang_definitions` VALUES (84415, 2520, 17, 'Data:');
INSERT INTO `lang_definitions` VALUES (84416, 2526, 17, 'Dia');
INSERT INTO `lang_definitions` VALUES (84417, 2527, 17, 'dia');
INSERT INTO `lang_definitions` VALUES (84418, 2530, 17, 'Dia');
INSERT INTO `lang_definitions` VALUES (84419, 2531, 17, 'Dia(s)');
INSERT INTO `lang_definitions` VALUES (84420, 2532, 17, 'Dias úteis');
INSERT INTO `lang_definitions` VALUES (84421, 2533, 17, 'dias');
INSERT INTO `lang_definitions` VALUES (84422, 2534, 17, 'Days');
INSERT INTO `lang_definitions` VALUES (84423, 2535, 17, 'dias atrás');
INSERT INTO `lang_definitions` VALUES (84424, 2536, 17, 'Dias e Jogos Perderam');
INSERT INTO `lang_definitions` VALUES (84425, 2537, 17, 'Dias De Último Encontro');
INSERT INTO `lang_definitions` VALUES (84426, 2540, 17, 'Dias da Semana');
INSERT INTO `lang_definitions` VALUES (84427, 2541, 17, 'Dias por Colunas');
INSERT INTO `lang_definitions` VALUES (84428, 2544, 17, 'BD Instalada');
INSERT INTO `lang_definitions` VALUES (84429, 2545, 17, 'DD/MM/AAAA');
INSERT INTO `lang_definitions` VALUES (84430, 2552, 17, 'DEA');
INSERT INTO `lang_definitions` VALUES (84431, 2558, 17, 'Surdo');
INSERT INTO `lang_definitions` VALUES (84432, 2562, 17, 'Depure Informação');
INSERT INTO `lang_definitions` VALUES (84433, 2565, 17, 'Dez');
INSERT INTO `lang_definitions` VALUES (84434, 2567, 17, 'FALECIDO');
INSERT INTO `lang_definitions` VALUES (84435, 2574, 17, 'Dezembro');
INSERT INTO `lang_definitions` VALUES (84436, 2580, 17, 'Dedutível');
INSERT INTO `lang_definitions` VALUES (84437, 2583, 17, 'Omissão');
INSERT INTO `lang_definitions` VALUES (84438, 2585, 17, 'Vista de Calendário Predefinida');
INSERT INTO `lang_definitions` VALUES (84439, 2587, 17, 'ID Formulário de Consulta Predefinido');
INSERT INTO `lang_definitions` VALUES (84440, 2589, 17, 'Clínica Predefinida');
INSERT INTO `lang_definitions` VALUES (84441, 2594, 17, 'Idioma Predefinido');
INSERT INTO `lang_definitions` VALUES (84442, 2595, 17, 'Idioma predefinido se não houver outra opção.');
INSERT INTO `lang_definitions` VALUES (84443, 2598, 17, 'Lista predefinida (escrever, adicionar opcional)');
INSERT INTO `lang_definitions` VALUES (84444, 2600, 17, 'Método Predefinido');
INSERT INTO `lang_definitions` VALUES (84445, 2601, 17, 'Dias de Expiração da Senha Predefinidos');
INSERT INTO `lang_definitions` VALUES (84446, 2602, 17, 'Dias de expiração da senha predefinidos. 0 é ilimitado.');
INSERT INTO `lang_definitions` VALUES (84447, 2607, 17, 'Clínico Predefinido');
INSERT INTO `lang_definitions` VALUES (84448, 2609, 17, 'Intervalo Predefinido');
INSERT INTO `lang_definitions` VALUES (84449, 2610, 17, 'Razão da Visita Predefinido');
INSERT INTO `lang_definitions` VALUES (84450, 2615, 17, 'Definição Predefinida');
INSERT INTO `lang_definitions` VALUES (84451, 2618, 17, 'Modelo Predefinido');
INSERT INTO `lang_definitions` VALUES (84452, 2624, 17, 'Unidades Predefinidas');
INSERT INTO `lang_definitions` VALUES (84453, 2626, 17, 'Valor Predefinido');
INSERT INTO `lang_definitions` VALUES (84454, 2628, 17, 'Armazém Predefinido');
INSERT INTO `lang_definitions` VALUES (84455, 2629, 17, 'Parceiro X12 Predefinido');
INSERT INTO `lang_definitions` VALUES (84456, 2630, 17, 'Predefinido/Global');
INSERT INTO `lang_definitions` VALUES (84457, 2635, 17, 'Eli');
INSERT INTO `lang_definitions` VALUES (84458, 2636, 17, 'eli');
INSERT INTO `lang_definitions` VALUES (84459, 2637, 17, 'Recorrência tardia (> 12 Mo)');
INSERT INTO `lang_definitions` VALUES (84460, 2638, 17, 'Eliminar');
INSERT INTO `lang_definitions` VALUES (84461, 2639, 17, 'eliminar');
INSERT INTO `lang_definitions` VALUES (84462, 2640, 17, 'Eliminar Categorias com ID(s):');
INSERT INTO `lang_definitions` VALUES (84463, 2645, 17, 'Eliminar Grupo');
INSERT INTO `lang_definitions` VALUES (84464, 2646, 17, 'Eliminar Lista');
INSERT INTO `lang_definitions` VALUES (84465, 2648, 17, 'Eliminar Páginas');
INSERT INTO `lang_definitions` VALUES (84466, 2649, 17, 'Eliminar Utente, Consulta, Formulário, edição, Documento, Pagamento, Cobrança ou Transacção');
INSERT INTO `lang_definitions` VALUES (84467, 2651, 17, 'Eliminar Linha');
INSERT INTO `lang_definitions` VALUES (84468, 2652, 17, 'Eliminar Itens Seleccionados');
INSERT INTO `lang_definitions` VALUES (84469, 2655, 17, 'Eliminado.');
INSERT INTO `lang_definitions` VALUES (84470, 2656, 17, 'Eliminar documento');
INSERT INTO `lang_definitions` VALUES (84471, 2657, 17, 'Eliminar formulário');
INSERT INTO `lang_definitions` VALUES (84472, 2659, 17, 'Eliminar nota');
INSERT INTO `lang_definitions` VALUES (84473, 2671, 17, 'Demência');
INSERT INTO `lang_definitions` VALUES (84474, 2673, 17, 'Informações demograficas');
INSERT INTO `lang_definitions` VALUES (84475, 2674, 17, 'Demograficas (escrever opcionalmente)');
INSERT INTO `lang_definitions` VALUES (84476, 2680, 17, 'Demograficas não autorizou');
INSERT INTO `lang_definitions` VALUES (84477, 2681, 17, 'Demographics não autorizou.');
INSERT INTO `lang_definitions` VALUES (84478, 2687, 17, 'Dental');
INSERT INTO `lang_definitions` VALUES (84479, 2689, 17, 'Problemas Dentários');
INSERT INTO `lang_definitions` VALUES (84480, 2694, 17, 'Dependendo do tipo de conta que você está testando você vai ver HCFA como a saída em uma página em branco para HCFA contas, você vai ver várias linhas de texto um tanto truncado e as informações se você está testando uma reivindicação X12. Esse texto ilegível é o X12 EDI 4010 formato. Ocasionalmente você vai ver caracteres estranhos que parecem dominós ou squiglies, estes são caracteres de controle como de alimentação de pagina e são normais.');
INSERT INTO `lang_definitions` VALUES (84481, 2698, 17, 'Data do Depósito');
INSERT INTO `lang_definitions` VALUES (84482, 2699, 17, 'Deprimido');
INSERT INTO `lang_definitions` VALUES (84483, 2700, 17, 'Depressão');
INSERT INTO `lang_definitions` VALUES (84484, 2706, 17, 'Descrição');
INSERT INTO `lang_definitions` VALUES (84485, 2707, 17, 'descrição');
INSERT INTO `lang_definitions` VALUES (84486, 2711, 17, 'Tradução de descrição');
INSERT INTO `lang_definitions` VALUES (84487, 2713, 17, 'Destino');
INSERT INTO `lang_definitions` VALUES (84488, 2716, 17, 'Destrua Lote');
INSERT INTO `lang_definitions` VALUES (84489, 2717, 17, 'Destruir');
INSERT INTO `lang_definitions` VALUES (84490, 2718, 17, 'Destruido');
INSERT INTO `lang_definitions` VALUES (84491, 2719, 17, 'Drogas Destruidas');
INSERT INTO `lang_definitions` VALUES (84492, 2720, 17, 'Relatório de Drogas Destruidas');
INSERT INTO `lang_definitions` VALUES (84493, 2726, 17, 'Detalhes');
INSERT INTO `lang_definitions` VALUES (84494, 2728, 17, 'anormalidade Desenvolvente');
INSERT INTO `lang_definitions` VALUES (84495, 2730, 17, 'Diabete');
INSERT INTO `lang_definitions` VALUES (84496, 2741, 17, 'Diag');
INSERT INTO `lang_definitions` VALUES (84497, 2743, 17, 'Diagnóstico:');
INSERT INTO `lang_definitions` VALUES (84498, 2749, 17, 'Diagnóstico deve ser codificado em um encontro único');
INSERT INTO `lang_definitions` VALUES (84499, 2755, 17, 'Diagnósticos:');
INSERT INTO `lang_definitions` VALUES (84500, 2756, 17, 'Diagnósticos:');
INSERT INTO `lang_definitions` VALUES (84501, 2758, 17, 'Testes do Diagnósticos');
INSERT INTO `lang_definitions` VALUES (84502, 2760, 17, 'Dials');
INSERT INTO `lang_definitions` VALUES (84503, 2763, 17, 'Diaphragms/Caps');
INSERT INTO `lang_definitions` VALUES (84504, 2764, 17, 'Diarréia');
INSERT INTO `lang_definitions` VALUES (84505, 2767, 17, 'Ditado');
INSERT INTO `lang_definitions` VALUES (84506, 2768, 17, 'Ditado:');
INSERT INTO `lang_definitions` VALUES (84507, 2769, 17, 'Voçê recebeu uma cópia da Notificação de HIPAA?');
INSERT INTO `lang_definitions` VALUES (84508, 2770, 17, 'Difunda:');
INSERT INTO `lang_definitions` VALUES (84509, 2771, 17, 'Assinado digitalmente');
INSERT INTO `lang_definitions` VALUES (84510, 2781, 17, 'Mala Direta');
INSERT INTO `lang_definitions` VALUES (84511, 2789, 17, 'Incapacidade');
INSERT INTO `lang_definitions` VALUES (84512, 2805, 17, 'inactivo');
INSERT INTO `lang_definitions` VALUES (84513, 2806, 17, 'Inactivo');
INSERT INTO `lang_definitions` VALUES (84514, 2812, 17, 'DISC');
INSERT INTO `lang_definitions` VALUES (84515, 2815, 17, 'corrimento');
INSERT INTO `lang_definitions` VALUES (84516, 2816, 17, 'corrimento uretral');
INSERT INTO `lang_definitions` VALUES (84517, 2818, 17, 'Descarregue Direto');
INSERT INTO `lang_definitions` VALUES (84518, 2819, 17, 'Descarregue Direto');
INSERT INTO `lang_definitions` VALUES (84519, 2828, 17, 'Informações');
INSERT INTO `lang_definitions` VALUES (84520, 2833, 17, 'Desconto');
INSERT INTO `lang_definitions` VALUES (84521, 2834, 17, 'Quantia de desconto');
INSERT INTO `lang_definitions` VALUES (84522, 2835, 17, 'Alavanc do Desconto');
INSERT INTO `lang_definitions` VALUES (84523, 2841, 17, 'Doença');
INSERT INTO `lang_definitions` VALUES (84524, 2843, 17, 'Luxação');
INSERT INTO `lang_definitions` VALUES (84525, 2847, 17, 'Disp #');
INSERT INTO `lang_definitions` VALUES (84526, 2848, 17, 'Despachado');
INSERT INTO `lang_definitions` VALUES (84527, 2849, 17, 'Expedição do documento recebido');
INSERT INTO `lang_definitions` VALUES (84528, 2853, 17, 'Dispensado');
INSERT INTO `lang_definitions` VALUES (84529, 2859, 17, 'Datas de eventos de exibição em bloco?');
INSERT INTO `lang_definitions` VALUES (84530, 2861, 17, 'Mostrar quantos eventos?');
INSERT INTO `lang_definitions` VALUES (84531, 2865, 17, 'Mostrar localização em bloco?');
INSERT INTO `lang_definitions` VALUES (84532, 2868, 17, 'Mostrar calendário?');
INSERT INTO `lang_definitions` VALUES (84533, 2875, 17, 'Mostrar eventos de hoje em bloco?');
INSERT INTO `lang_definitions` VALUES (84534, 2876, 17, 'Mostrar tópico em bloco?');
INSERT INTO `lang_definitions` VALUES (84535, 2877, 17, 'Mostrar eventos futuros em bloco?');
INSERT INTO `lang_definitions` VALUES (84536, 2880, 17, 'A mostrar o número de informação mais recentes:');
INSERT INTO `lang_definitions` VALUES (84537, 2883, 17, 'A mostrar o número de notas mais recentes:');
INSERT INTO `lang_definitions` VALUES (84538, 2890, 17, 'Distribuição');
INSERT INTO `lang_definitions` VALUES (84539, 2891, 17, 'Distribuições');
INSERT INTO `lang_definitions` VALUES (84540, 2892, 17, 'Distribuidor');
INSERT INTO `lang_definitions` VALUES (84541, 2897, 17, 'Diverticulitis');
INSERT INTO `lang_definitions` VALUES (84542, 2898, 17, 'Cirúrgia de Diverticulite');
INSERT INTO `lang_definitions` VALUES (84543, 2899, 17, 'Diverticulite');
INSERT INTO `lang_definitions` VALUES (84544, 2900, 17, 'Cirúrgia de Diverticulite');
INSERT INTO `lang_definitions` VALUES (84545, 2901, 17, 'Divorciado(a)');
INSERT INTO `lang_definitions` VALUES (84546, 2902, 17, 'Vertigem:');
INSERT INTO `lang_definitions` VALUES (84547, 2905, 17, 'Não alterar');
INSERT INTO `lang_definitions` VALUES (84548, 2912, 17, 'Não mostrar no calendário.');
INSERT INTO `lang_definitions` VALUES (84549, 2916, 17, 'Não inventariar e vender produtos');
INSERT INTO `lang_definitions` VALUES (84550, 2919, 17, 'Não exigir autorização das notas dos utentes');
INSERT INTO `lang_definitions` VALUES (84551, 2920, 17, 'Ordem de Não Ressuscitar');
INSERT INTO `lang_definitions` VALUES (84552, 2921, 17, 'não guardar');
INSERT INTO `lang_definitions` VALUES (84553, 2922, 17, 'não substituir');
INSERT INTO `lang_definitions` VALUES (84554, 2925, 17, 'não executar');
INSERT INTO `lang_definitions` VALUES (84555, 2929, 17, 'Confirma a eliminação');
INSERT INTO `lang_definitions` VALUES (84556, 2930, 17, 'Confirma a eliminação da selecção?');
INSERT INTO `lang_definitions` VALUES (84557, 2931, 17, 'Confirma a eliminação do grupo');
INSERT INTO `lang_definitions` VALUES (84558, 2934, 17, 'Deseja continuar ?');
INSERT INTO `lang_definitions` VALUES (84559, 2935, 17, 'Deseja eliminar isto ?');
INSERT INTO `lang_definitions` VALUES (84560, 2936, 17, 'Deseja eliminar?');
INSERT INTO `lang_definitions` VALUES (84561, 2937, 17, 'Confirma a eliminação do registo?');
INSERT INTO `lang_definitions` VALUES (84562, 2938, 17, 'Deseja continuar a criar este novo utente?');
INSERT INTO `lang_definitions` VALUES (84563, 2939, 17, 'Deseja continuar com o nome novo?');
INSERT INTO `lang_definitions` VALUES (84564, 2940, 17, 'Deseja eliminar PERMANENTEMENTE este registo de vacinação?');
INSERT INTO `lang_definitions` VALUES (84565, 2941, 17, 'D. Nascimento');
INSERT INTO `lang_definitions` VALUES (84566, 2942, 17, 'Data de nascimento em falta');
INSERT INTO `lang_definitions` VALUES (84567, 2944, 17, 'Docs');
INSERT INTO `lang_definitions` VALUES (84568, 2945, 17, 'Médico');
INSERT INTO `lang_definitions` VALUES (84569, 2946, 17, 'Médico:');
INSERT INTO `lang_definitions` VALUES (84570, 2947, 17, 'Nome do médico e assinatura');
INSERT INTO `lang_definitions` VALUES (84571, 2948, 17, 'Documento');
INSERT INTO `lang_definitions` VALUES (84572, 2949, 17, 'documento');
INSERT INTO `lang_definitions` VALUES (84573, 2951, 17, 'Categorias dos Documentos');
INSERT INTO `lang_definitions` VALUES (84574, 2958, 17, 'Documento não pode ser movido para o id utente');
INSERT INTO `lang_definitions` VALUES (84575, 2960, 17, 'Data do Documento');
INSERT INTO `lang_definitions` VALUES (84576, 2961, 17, 'Data do documento e assunto actualizados');
INSERT INTO `lang_definitions` VALUES (84577, 2962, 17, 'ID do Documento');
INSERT INTO `lang_definitions` VALUES (84578, 2965, 17, 'Documento movido para nova categória');
INSERT INTO `lang_definitions` VALUES (84579, 2966, 17, 'Documento movido para o id do utente');
INSERT INTO `lang_definitions` VALUES (84580, 2974, 17, 'Introduzir/Ver Documentos');
INSERT INTO `lang_definitions` VALUES (84581, 2975, 17, 'Documento(s)');
INSERT INTO `lang_definitions` VALUES (84582, 2976, 17, 'Guarda Documento/Imagem');
INSERT INTO `lang_definitions` VALUES (84583, 2978, 17, 'Documentos');
INSERT INTO `lang_definitions` VALUES (84584, 2979, 17, 'documentos');
INSERT INTO `lang_definitions` VALUES (84585, 2980, 17, 'Documentos (escrever opcionalmente)');
INSERT INTO `lang_definitions` VALUES (84586, 2986, 17, 'Lista de documentos');
INSERT INTO `lang_definitions` VALUES (84587, 2989, 17, 'DOE');
INSERT INTO `lang_definitions` VALUES (84588, 2997, 17, 'Relação Estável');
INSERT INTO `lang_definitions` VALUES (84589, 2998, 17, 'Não guardar');
INSERT INTO `lang_definitions` VALUES (84590, 2999, 17, 'Não guardar');
INSERT INTO `lang_definitions` VALUES (84591, 3000, 17, 'Não Guardar Alterações');
INSERT INTO `lang_definitions` VALUES (84592, 3002, 17, 'Efectuado');
INSERT INTO `lang_definitions` VALUES (84593, 3004, 17, 'Efectuado com:');
INSERT INTO `lang_definitions` VALUES (84594, 3005, 17, 'Efectuado. A enviar descarga.');
INSERT INTO `lang_definitions` VALUES (84595, 3006, 17, 'DOS');
INSERT INTO `lang_definitions` VALUES (84596, 3007, 17, 'Dosagem');
INSERT INTO `lang_definitions` VALUES (84597, 3011, 17, 'Duplo-clique para editar');
INSERT INTO `lang_definitions` VALUES (84598, 3013, 17, 'Visão Dupla');
INSERT INTO `lang_definitions` VALUES (84599, 3014, 17, 'Descarregar');
INSERT INTO `lang_definitions` VALUES (84600, 3019, 17, 'Descarregar');
INSERT INTO `lang_definitions` VALUES (84601, 3020, 17, 'Carregamento da faturamento do arquivo, poste para a contabilidade e marca');
INSERT INTO `lang_definitions` VALUES (84602, 3022, 17, 'Descarregar Certificados');
INSERT INTO `lang_definitions` VALUES (84603, 3023, 17, 'Carregamento da configuração de dados');
INSERT INTO `lang_definitions` VALUES (84604, 3039, 17, 'Dr: Verifica');
INSERT INTO `lang_definitions` VALUES (84605, 3040, 17, 'Dr: Visita');
INSERT INTO `lang_definitions` VALUES (84606, 3041, 17, 'Dr.');
INSERT INTO `lang_definitions` VALUES (84607, 3047, 17, 'Pingando');
INSERT INTO `lang_definitions` VALUES (84608, 3048, 17, 'Carta de Condução ou BI/CC');
INSERT INTO `lang_definitions` VALUES (84609, 3050, 17, 'Droga');
INSERT INTO `lang_definitions` VALUES (84610, 3054, 17, 'Formulários de Drogas');
INSERT INTO `lang_definitions` VALUES (84611, 3055, 17, 'Falta ID da Droga!');
INSERT INTO `lang_definitions` VALUES (84612, 3056, 17, 'Intervalo das Drogas');
INSERT INTO `lang_definitions` VALUES (84613, 3057, 17, 'Inventário de medicamentos');
INSERT INTO `lang_definitions` VALUES (84614, 3059, 17, 'Nome da medicamento');
INSERT INTO `lang_definitions` VALUES (84615, 3061, 17, 'Rotas de Droga');
INSERT INTO `lang_definitions` VALUES (84616, 3066, 17, 'Unidades do medicamento');
INSERT INTO `lang_definitions` VALUES (84617, 3072, 17, 'Medicamentos');
INSERT INTO `lang_definitions` VALUES (84618, 3074, 17, 'Boca seca');
INSERT INTO `lang_definitions` VALUES (84619, 3076, 17, 'DT 1');
INSERT INTO `lang_definitions` VALUES (84620, 3077, 17, 'DT 2');
INSERT INTO `lang_definitions` VALUES (84621, 3078, 17, 'DT 3');
INSERT INTO `lang_definitions` VALUES (84622, 3079, 17, 'DT 4');
INSERT INTO `lang_definitions` VALUES (84623, 3080, 17, 'DT 5');
INSERT INTO `lang_definitions` VALUES (84624, 3081, 17, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (84625, 3082, 17, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (84626, 3083, 17, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (84627, 3084, 17, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (84628, 3085, 17, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (84629, 3088, 17, 'Data de vencimento');
INSERT INTO `lang_definitions` VALUES (84630, 3090, 17, 'Data de vencimento m/dd/aaaa ou aaaa/mm/dd');
INSERT INTO `lang_definitions` VALUES (84631, 3091, 17, 'Data de vencimento');
INSERT INTO `lang_definitions` VALUES (84632, 3092, 17, 'Vencimento Ins');
INSERT INTO `lang_definitions` VALUES (84633, 3093, 17, 'Vencimento Pt');
INSERT INTO `lang_definitions` VALUES (84634, 3097, 17, 'Base de dados OpenEMR esvaziado');
INSERT INTO `lang_definitions` VALUES (84635, 3098, 17, 'Rede da árvore OpenEMR do diretório esvaziando');
INSERT INTO `lang_definitions` VALUES (84636, 3099, 17, 'Base de dados de phpGACL esvaziando');
INSERT INTO `lang_definitions` VALUES (84637, 3100, 17, 'Rede da árvore phpGACL do diretório esvaziando');
INSERT INTO `lang_definitions` VALUES (84638, 3101, 17, 'Base de dados SQL-Ledger esvaziado');
INSERT INTO `lang_definitions` VALUES (84639, 3102, 17, 'Rede da árvore SQL-Ledger do diretório esvaziando');
INSERT INTO `lang_definitions` VALUES (84640, 3110, 17, 'ADVERTÊNCIA DE DUPLICAÇÃO');
INSERT INTO `lang_definitions` VALUES (84641, 3112, 17, 'Duração');
INSERT INTO `lang_definitions` VALUES (84642, 3113, 17, 'duração');
INSERT INTO `lang_definitions` VALUES (84643, 3114, 17, 'Holandês');
INSERT INTO `lang_definitions` VALUES (84644, 3117, 17, 'Disfagia');
INSERT INTO `lang_definitions` VALUES (84645, 3118, 17, 'Dysphagia');
INSERT INTO `lang_definitions` VALUES (84646, 3119, 17, 'Dysuria');
INSERT INTO `lang_definitions` VALUES (84647, 3140, 17, 'Retorno Cedo (<2 Mo)');
INSERT INTO `lang_definitions` VALUES (84648, 3141, 17, 'Orelhas');
INSERT INTO `lang_definitions` VALUES (84649, 3148, 17, 'ECG');
INSERT INTO `lang_definitions` VALUES (84650, 3152, 17, 'Edema');
INSERT INTO `lang_definitions` VALUES (84651, 3159, 17, 'Editar');
INSERT INTO `lang_definitions` VALUES (84652, 3161, 17, 'Edite Alergias');
INSERT INTO `lang_definitions` VALUES (84653, 3163, 17, 'Editar Categorias');
INSERT INTO `lang_definitions` VALUES (84654, 3165, 17, 'Editar Definições');
INSERT INTO `lang_definitions` VALUES (84655, 3166, 17, 'Editar definições');
INSERT INTO `lang_definitions` VALUES (84656, 3167, 17, 'Editar Diagnósticos para');
INSERT INTO `lang_definitions` VALUES (84657, 3173, 17, 'Editar Clínicas');
INSERT INTO `lang_definitions` VALUES (84658, 3174, 17, 'Editar Clínicar');
INSERT INTO `lang_definitions` VALUES (84659, 3175, 17, 'Editar Informações da Clínica');
INSERT INTO `lang_definitions` VALUES (84660, 3176, 17, 'Editar Informações Específicas do Usuário');
INSERT INTO `lang_definitions` VALUES (84661, 3177, 17, 'Editar Ficheiro em');
INSERT INTO `lang_definitions` VALUES (84662, 3178, 17, 'Edite formulário');
INSERT INTO `lang_definitions` VALUES (84663, 3179, 17, 'Editar Definições Globais');
INSERT INTO `lang_definitions` VALUES (84664, 3180, 17, 'Editar Histórico e Estilo de Vida');
INSERT INTO `lang_definitions` VALUES (84665, 3183, 17, 'Editar Plano');
INSERT INTO `lang_definitions` VALUES (84666, 3185, 17, 'Edite Lista');
INSERT INTO `lang_definitions` VALUES (84667, 3189, 17, 'Edite Estrutura');
INSERT INTO `lang_definitions` VALUES (84668, 3192, 17, 'Editar Utilizador');
INSERT INTO `lang_definitions` VALUES (84669, 3193, 17, 'Editar Definições do Utilizador');
INSERT INTO `lang_definitions` VALUES (84670, 3196, 17, 'Educação');
INSERT INTO `lang_definitions` VALUES (84671, 3197, 17, 'Data de Educação');
INSERT INTO `lang_definitions` VALUES (84672, 3199, 17, 'ee a GNU General Public License para mais detalhes. * Você deve ter recebido uma cópia da Licença Pública Geral GNU * junto com este programa, se não, escreva para a Free');
INSERT INTO `lang_definitions` VALUES (84673, 3200, 17, 'Data Efectiva');
INSERT INTO `lang_definitions` VALUES (84674, 3202, 17, 'Efetividade');
INSERT INTO `lang_definitions` VALUES (84675, 3207, 17, 'Ejaculações');
INSERT INTO `lang_definitions` VALUES (84676, 3208, 17, 'Cotovelo');
INSERT INTO `lang_definitions` VALUES (84677, 3209, 17, 'Ploblemas do Cotovelo');
INSERT INTO `lang_definitions` VALUES (84678, 3218, 17, 'Elegibilidade');
INSERT INTO `lang_definitions` VALUES (84679, 3220, 17, 'Respostas à Elegibilidade');
INSERT INTO `lang_definitions` VALUES (84680, 3225, 17, 'E-mail');
INSERT INTO `lang_definitions` VALUES (84681, 3230, 17, 'As respostas aos lembretes de pacientes serão direcionadas para este endereço. É importante usar um endereço do domínio da sua clínica para evitar que os e-mails dos pacientes sejam direcionados para pastas de lixo eletrônico.');
INSERT INTO `lang_definitions` VALUES (84682, 3236, 17, 'E-mail de Batchcom');
INSERT INTO `lang_definitions` VALUES (84683, 3238, 17, 'Notificação de E-mail');
INSERT INTO `lang_definitions` VALUES (84684, 3244, 17, 'E-mail enviado antes');
INSERT INTO `lang_definitions` VALUES (84685, 3245, 17, 'E-mail Remetente');
INSERT INTO `lang_definitions` VALUES (84686, 3248, 17, 'Assunto de e-mail');
INSERT INTO `lang_definitions` VALUES (84687, 3251, 17, '***NOME***');
INSERT INTO `lang_definitions` VALUES (84688, 3259, 17, 'Contacto de Emergência');
INSERT INTO `lang_definitions` VALUES (84689, 3260, 17, 'Contacto da Pessoa de Emergêrcia');
INSERT INTO `lang_definitions` VALUES (84690, 3261, 17, 'Numero do Telefone de Emergência da Pessoa');
INSERT INTO `lang_definitions` VALUES (84691, 3262, 17, 'Anticontraceptivos de Emergência');
INSERT INTO `lang_definitions` VALUES (84692, 3268, 17, 'Telefone de Emergência');
INSERT INTO `lang_definitions` VALUES (84693, 3271, 17, 'Enfisema');
INSERT INTO `lang_definitions` VALUES (84694, 3272, 17, 'Empregado');
INSERT INTO `lang_definitions` VALUES (84695, 3273, 17, 'Emprego');
INSERT INTO `lang_definitions` VALUES (84696, 3274, 17, 'Endereço Empregador');
INSERT INTO `lang_definitions` VALUES (84697, 3275, 17, 'Data do Empregador');
INSERT INTO `lang_definitions` VALUES (84698, 3276, 17, 'Nome do Empregador');
INSERT INTO `lang_definitions` VALUES (84699, 3277, 17, 'VAZIO');
INSERT INTO `lang_definitions` VALUES (84700, 3278, 17, 'Vazio');
INSERT INTO `lang_definitions` VALUES (84701, 3281, 17, 'Valor vazio em \"Hora do E-mail\"');
INSERT INTO `lang_definitions` VALUES (84702, 3282, 17, 'Valor vazio em \"Rementente do E-mail\"');
INSERT INTO `lang_definitions` VALUES (84703, 3283, 17, 'Valor vazio em \"Assunto de E-mail');
INSERT INTO `lang_definitions` VALUES (84704, 3284, 17, 'Valor vazio em \"Testo de E-mail\"');
INSERT INTO `lang_definitions` VALUES (84705, 3285, 17, 'Valor vazio em \"Nome do Provedor\"');
INSERT INTO `lang_definitions` VALUES (84706, 3286, 17, 'Valor vazio em \"Senha\"');
INSERT INTO `lang_definitions` VALUES (84707, 3287, 17, 'Valor vazio em \"Horas do SMS\"');
INSERT INTO `lang_definitions` VALUES (84708, 3288, 17, 'Valor vazio em \"Testo do SMS\"');
INSERT INTO `lang_definitions` VALUES (84709, 3289, 17, 'Valor vazio em \"Nome do Ùsuario\"');
INSERT INTO `lang_definitions` VALUES (84710, 3404, 17, 'activo');
INSERT INTO `lang_definitions` VALUES (84711, 3415, 17, 'Con');
INSERT INTO `lang_definitions` VALUES (84712, 3417, 17, 'Cons');
INSERT INTO `lang_definitions` VALUES (84713, 3418, 17, 'Consulta');
INSERT INTO `lang_definitions` VALUES (84714, 3419, 17, 'consulta');
INSERT INTO `lang_definitions` VALUES (84715, 3420, 17, 'Consulta');
INSERT INTO `lang_definitions` VALUES (84716, 3432, 17, 'Formulários da Consulta');
INSERT INTO `lang_definitions` VALUES (84717, 3434, 17, 'Histórico de Consultas');
INSERT INTO `lang_definitions` VALUES (84718, 3435, 17, 'ID Consulta');
INSERT INTO `lang_definitions` VALUES (84719, 3439, 17, 'Número de consulta');
INSERT INTO `lang_definitions` VALUES (84720, 3458, 17, 'Estatísticas da consulta');
INSERT INTO `lang_definitions` VALUES (84721, 3459, 17, 'Sumário da Consulta');
INSERT INTO `lang_definitions` VALUES (84722, 3461, 17, 'Consulta foi codificada');
INSERT INTO `lang_definitions` VALUES (84723, 3462, 17, 'Consulta:');
INSERT INTO `lang_definitions` VALUES (84724, 3464, 17, 'Consultas');
INSERT INTO `lang_definitions` VALUES (84725, 3465, 17, 'Consultas & Formulários');
INSERT INTO `lang_definitions` VALUES (84726, 3466, 17, 'Consultas & Formulários');
INSERT INTO `lang_definitions` VALUES (84727, 3467, 17, 'Consultas não autorizadas');
INSERT INTO `lang_definitions` VALUES (84728, 3468, 17, 'Relatório de Consultas');
INSERT INTO `lang_definitions` VALUES (84729, 3469, 17, 'Secção de Consultas');
INSERT INTO `lang_definitions` VALUES (84730, 3472, 17, 'Fim');
INSERT INTO `lang_definitions` VALUES (84731, 3473, 17, 'Fim (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (84732, 3474, 17, 'Data do Fim');
INSERT INTO `lang_definitions` VALUES (84733, 3475, 17, 'Data do Fim');
INSERT INTO `lang_definitions` VALUES (84734, 3482, 17, 'Data do Fim');
INSERT INTO `lang_definitions` VALUES (84735, 3487, 17, 'Tempo do Fim');
INSERT INTO `lang_definitions` VALUES (84736, 3492, 17, 'Terminada a data de serviço aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (84737, 3493, 17, 'Terminado DOS mm / dd / aaaa se deseja introduza um intervalo');
INSERT INTO `lang_definitions` VALUES (84738, 3495, 17, 'Endo Sangue anormal');
INSERT INTO `lang_definitions` VALUES (84739, 3496, 17, 'Endócrine');
INSERT INTO `lang_definitions` VALUES (84740, 3497, 17, 'Endoscopia');
INSERT INTO `lang_definitions` VALUES (84741, 3502, 17, 'Inglês');
INSERT INTO `lang_definitions` VALUES (84742, 3503, 17, 'Inglês');
INSERT INTO `lang_definitions` VALUES (84743, 3504, 17, 'Inglês (Indiano)');
INSERT INTO `lang_definitions` VALUES (84744, 3505, 17, 'Inglês (Defeito)');
INSERT INTO `lang_definitions` VALUES (84745, 3507, 17, 'Assegurar OpenEMR tem privilégios de gravação para o diretório');
INSERT INTO `lang_definitions` VALUES (84746, 3509, 17, 'ENT Descarga');
INSERT INTO `lang_definitions` VALUES (84747, 3510, 17, 'ENT Dor');
INSERT INTO `lang_definitions` VALUES (84748, 3513, 17, 'Execute em código de diagnóstico para excluir todas as facturas que não o contenham');
INSERT INTO `lang_definitions` VALUES (84749, 3518, 17, 'Execute aqui em corpo de carta');
INSERT INTO `lang_definitions` VALUES (84750, 3544, 17, 'Execute novo Estado');
INSERT INTO `lang_definitions` VALUES (84751, 3581, 17, 'Entre em seus critérios de pesquisa acima');
INSERT INTO `lang_definitions` VALUES (84752, 3586, 17, 'registos');
INSERT INTO `lang_definitions` VALUES (84753, 3591, 17, 'Ambiental');
INSERT INTO `lang_definitions` VALUES (84754, 3592, 17, 'Entrada de dados de EOB');
INSERT INTO `lang_definitions` VALUES (84755, 3596, 17, 'EOB Postando - Remessas Eletrônicas');
INSERT INTO `lang_definitions` VALUES (84756, 3597, 17, 'EOB Postando - Instruções');
INSERT INTO `lang_definitions` VALUES (84757, 3598, 17, 'EOB Postando - Fatura');
INSERT INTO `lang_definitions` VALUES (84758, 3599, 17, 'EOB Postando - Notas do Paciente');
INSERT INTO `lang_definitions` VALUES (84759, 3600, 17, 'EOB Postando - Procura');
INSERT INTO `lang_definitions` VALUES (84760, 3602, 17, 'Epilepsia');
INSERT INTO `lang_definitions` VALUES (84761, 3612, 17, 'Eliminar');
INSERT INTO `lang_definitions` VALUES (84762, 3614, 17, 'Ereção');
INSERT INTO `lang_definitions` VALUES (84763, 3615, 17, 'Erro');
INSERT INTO `lang_definitions` VALUES (84764, 3621, 17, 'Erro de seleção em \"Gênero\"');
INSERT INTO `lang_definitions` VALUES (84765, 3622, 17, 'Erro de seleção em \"HIPAA\"');
INSERT INTO `lang_definitions` VALUES (84766, 3623, 17, 'Erro de seleção em \"Processo\"');
INSERT INTO `lang_definitions` VALUES (84767, 3624, 17, 'Erro de seleção em \"Portal de SMS\"');
INSERT INTO `lang_definitions` VALUES (84768, 3625, 17, 'Erro de seleção em \"Ordene Por\"');
INSERT INTO `lang_definitions` VALUES (84769, 3627, 17, 'Erro de seleção em opções SIM ou NÂO');
INSERT INTO `lang_definitions` VALUES (84770, 3640, 17, 'erro enquanto registrando forma!');
INSERT INTO `lang_definitions` VALUES (84771, 3641, 17, 'Erro enquanto está guardando ão arquivo');
INSERT INTO `lang_definitions` VALUES (84772, 3643, 17, 'Erro enquanto está escrevendo ão arquivo');
INSERT INTO `lang_definitions` VALUES (84773, 3651, 17, 'Erro, o ficheiro não existe');
INSERT INTO `lang_definitions` VALUES (84774, 3652, 17, 'ERRO, Incapaz de colecionar dados do servidor');
INSERT INTO `lang_definitions` VALUES (84775, 3653, 17, 'Erro: incapaz de criar certificado cliente');
INSERT INTO `lang_definitions` VALUES (84776, 3654, 17, 'Erro: incapaz de criar certificado admin.p12');
INSERT INTO `lang_definitions` VALUES (84777, 3655, 17, 'Erro: incapaz de criar certificado \'Certificate Authority\'');
INSERT INTO `lang_definitions` VALUES (84778, 3656, 17, 'Erro: incapaz de criar certificado \'Server\'');
INSERT INTO `lang_definitions` VALUES (84779, 3658, 17, 'Erro: incapaz de abrir ficheiro');
INSERT INTO `lang_definitions` VALUES (84780, 3659, 17, 'Erro, \'User Certificate Authentication\' não está configurado no OpenEMR');
INSERT INTO `lang_definitions` VALUES (84781, 3663, 17, 'Erro. Tem de instalar o modulo \'Archive/Tar.php\'.');
INSERT INTO `lang_definitions` VALUES (84782, 3664, 17, 'ERRO: não pude abrir \'table.sql\', formulário defeituoso?');
INSERT INTO `lang_definitions` VALUES (84783, 3669, 17, 'ERRO: campo');
INSERT INTO `lang_definitions` VALUES (84784, 3672, 17, 'Erro: senhas diferentes. Por favor confira.');
INSERT INTO `lang_definitions` VALUES (84785, 3673, 17, 'Erro: senhas diferentes. Por favor confira.');
INSERT INTO `lang_definitions` VALUES (84786, 3674, 17, 'Erro: o ficheiro não existe');
INSERT INTO `lang_definitions` VALUES (84787, 3677, 17, 'Erro: incapaz de criar o ficheiro para descarregar');
INSERT INTO `lang_definitions` VALUES (84788, 3682, 17, 'Erros');
INSERT INTO `lang_definitions` VALUES (84789, 3690, 17, 'Erythema:');
INSERT INTO `lang_definitions` VALUES (84790, 3699, 17, 'Utente habitual');
INSERT INTO `lang_definitions` VALUES (84791, 3701, 17, 'Etnia');
INSERT INTO `lang_definitions` VALUES (84792, 3702, 17, 'Etnia ou Raça');
INSERT INTO `lang_definitions` VALUES (84793, 3703, 17, 'Lista de Etnia-Raça (escrever,addonly opcional)');
INSERT INTO `lang_definitions` VALUES (84794, 3706, 17, 'ETIN');
INSERT INTO `lang_definitions` VALUES (84795, 3709, 17, 'Evento');
INSERT INTO `lang_definitions` VALUES (84796, 3710, 17, 'Início de Eventos');
INSERT INTO `lang_definitions` VALUES (84797, 3711, 17, 'Categoria de Eventos');
INSERT INTO `lang_definitions` VALUES (84798, 3712, 17, 'Data de Evento');
INSERT INTO `lang_definitions` VALUES (84799, 3714, 17, 'Descrição de Eventos');
INSERT INTO `lang_definitions` VALUES (84800, 3715, 17, 'Detalhes de Evento');
INSERT INTO `lang_definitions` VALUES (84801, 3716, 17, 'Evento não repete');
INSERT INTO `lang_definitions` VALUES (84802, 3717, 17, 'Duração de Evento');
INSERT INTO `lang_definitions` VALUES (84803, 3718, 17, 'Duração de Evento em minutos');
INSERT INTO `lang_definitions` VALUES (84804, 3719, 17, 'Evento Livre');
INSERT INTO `lang_definitions` VALUES (84805, 3720, 17, 'Localização de Evento');
INSERT INTO `lang_definitions` VALUES (84806, 3721, 17, 'Evento repete todo');
INSERT INTO `lang_definitions` VALUES (84807, 3722, 17, 'Evento repete em');
INSERT INTO `lang_definitions` VALUES (84808, 3723, 17, 'Tempo do começo de Evento');
INSERT INTO `lang_definitions` VALUES (84809, 3724, 17, 'título de Evento');
INSERT INTO `lang_definitions` VALUES (84810, 3725, 17, 'Título de Evento');
INSERT INTO `lang_definitions` VALUES (84811, 3726, 17, 'Site da Web de Evento');
INSERT INTO `lang_definitions` VALUES (84812, 3727, 17, 'Eventos');
INSERT INTO `lang_definitions` VALUES (84813, 3728, 17, 'Eventos para');
INSERT INTO `lang_definitions` VALUES (84814, 3729, 17, 'Evento aberto em nova janela');
INSERT INTO `lang_definitions` VALUES (84815, 3731, 17, 'cada um');
INSERT INTO `lang_definitions` VALUES (84816, 3732, 17, 'Cada um');
INSERT INTO `lang_definitions` VALUES (84817, 3734, 17, 'Cada 3 horas');
INSERT INTO `lang_definitions` VALUES (84818, 3736, 17, 'Cada 4 horas');
INSERT INTO `lang_definitions` VALUES (84819, 3738, 17, 'Cada 5 horas');
INSERT INTO `lang_definitions` VALUES (84820, 3740, 17, 'Cada 6 horas');
INSERT INTO `lang_definitions` VALUES (84821, 3742, 17, 'Cada 8 horas');
INSERT INTO `lang_definitions` VALUES (84822, 3743, 17, 'Cada Quarto');
INSERT INTO `lang_definitions` VALUES (84823, 3745, 17, 'Alternadamente');
INSERT INTO `lang_definitions` VALUES (84824, 3746, 17, 'Cada Terceiro');
INSERT INTO `lang_definitions` VALUES (84825, 3747, 17, 'Cada um, alternadamente, cada 3º, etc.');
INSERT INTO `lang_definitions` VALUES (84826, 3749, 17, 'Resultados do exame e testes');
INSERT INTO `lang_definitions` VALUES (84827, 3750, 17, 'Resultados do exame e testes');
INSERT INTO `lang_definitions` VALUES (84828, 3754, 17, 'Data do Exame');
INSERT INTO `lang_definitions` VALUES (84829, 3755, 17, 'Exemplo');
INSERT INTO `lang_definitions` VALUES (84830, 3758, 17, 'Exemplos');
INSERT INTO `lang_definitions` VALUES (84831, 3760, 17, 'Exames/Testes');
INSERT INTO `lang_definitions` VALUES (84832, 3763, 17, 'Excessivas Lágrimas');
INSERT INTO `lang_definitions` VALUES (84833, 3768, 17, 'Organização de provedor excessiva (EPO)');
INSERT INTO `lang_definitions` VALUES (84834, 3772, 17, 'Padrões de exercício');
INSERT INTO `lang_definitions` VALUES (84835, 3773, 17, 'Padrões de Exercício');
INSERT INTO `lang_definitions` VALUES (84836, 3778, 17, 'Sair da Administração');
INSERT INTO `lang_definitions` VALUES (84837, 3782, 17, 'Exp');
INSERT INTO `lang_definitions` VALUES (84838, 3784, 17, 'Expandir');
INSERT INTO `lang_definitions` VALUES (84839, 3785, 17, 'expandir');
INSERT INTO `lang_definitions` VALUES (84840, 3787, 17, 'Expandir Todos');
INSERT INTO `lang_definitions` VALUES (84841, 3792, 17, 'Vista Expandida');
INSERT INTO `lang_definitions` VALUES (84842, 3793, 17, 'Forma_encontro.pid esperado para ser');
INSERT INTO `lang_definitions` VALUES (84843, 3794, 17, 'Expiração');
INSERT INTO `lang_definitions` VALUES (84844, 3795, 17, 'Data de Expiração');
INSERT INTO `lang_definitions` VALUES (84845, 3797, 17, 'Expira');
INSERT INTO `lang_definitions` VALUES (84846, 3798, 17, 'expira em');
INSERT INTO `lang_definitions` VALUES (84847, 3799, 17, 'Exportar');
INSERT INTO `lang_definitions` VALUES (84848, 3800, 17, 'Exportar como CSV');
INSERT INTO `lang_definitions` VALUES (84849, 3802, 17, 'Exportar Configuração');
INSERT INTO `lang_definitions` VALUES (84850, 3806, 17, 'Exportar Demografia do Utente');
INSERT INTO `lang_definitions` VALUES (84851, 3811, 17, 'Seleção de Exportação para coleções');
INSERT INTO `lang_definitions` VALUES (84852, 3812, 17, 'Exporte para CSV');
INSERT INTO `lang_definitions` VALUES (84853, 3813, 17, 'Exporte para o sistema de faturamento externo');
INSERT INTO `lang_definitions` VALUES (84854, 3815, 17, 'estadia em países estrângeiros');
INSERT INTO `lang_definitions` VALUES (84855, 3816, 17, 'estadia em países estrângeiros');
INSERT INTO `lang_definitions` VALUES (84856, 3820, 17, 'Externo');
INSERT INTO `lang_definitions` VALUES (84857, 3828, 17, 'ID Externo');
INSERT INTO `lang_definitions` VALUES (84858, 3830, 17, 'Identificação Externo');
INSERT INTO `lang_definitions` VALUES (84859, 3831, 17, 'Somente Externo');
INSERT INTO `lang_definitions` VALUES (84860, 3834, 17, 'Indicação Externa');
INSERT INTO `lang_definitions` VALUES (84861, 3835, 17, 'Indicação Externa Followups');
INSERT INTO `lang_definitions` VALUES (84862, 3836, 17, 'Indicação Externa?');
INSERT INTO `lang_definitions` VALUES (84863, 3837, 17, 'Indicações Externa');
INSERT INTO `lang_definitions` VALUES (84864, 3838, 17, 'Extrair ficheiro zip');
INSERT INTO `lang_definitions` VALUES (84865, 3839, 17, 'A extrair...');
INSERT INTO `lang_definitions` VALUES (84866, 3840, 17, 'Exsudato:');
INSERT INTO `lang_definitions` VALUES (84867, 3850, 17, 'Irritação nos olhos');
INSERT INTO `lang_definitions` VALUES (84868, 3856, 17, 'Dor nos olhos');
INSERT INTO `lang_definitions` VALUES (84869, 3860, 17, 'Olhos Vermelhos');
INSERT INTO `lang_definitions` VALUES (84870, 3863, 17, 'Olhos');
INSERT INTO `lang_definitions` VALUES (84871, 3865, 17, 'S');
INSERT INTO `lang_definitions` VALUES (84872, 3866, 17, 'F/H Blood Problems');
INSERT INTO `lang_definitions` VALUES (84873, 3868, 17, 'Clínicas');
INSERT INTO `lang_definitions` VALUES (84874, 3869, 17, 'Clínica');
INSERT INTO `lang_definitions` VALUES (84875, 3870, 17, 'clínica');
INSERT INTO `lang_definitions` VALUES (84876, 3871, 17, 'Administração de Clínicas');
INSERT INTO `lang_definitions` VALUES (84877, 3873, 17, 'Código da Clínica');
INSERT INTO `lang_definitions` VALUES (84878, 3878, 17, 'Nome da Clínica');
INSERT INTO `lang_definitions` VALUES (84879, 3879, 17, 'NPI da Clínica');
INSERT INTO `lang_definitions` VALUES (84880, 3882, 17, 'Informações Específicas do Usuário');
INSERT INTO `lang_definitions` VALUES (84881, 3888, 17, 'Clínica:');
INSERT INTO `lang_definitions` VALUES (84882, 3890, 17, 'Falha');
INSERT INTO `lang_definitions` VALUES (84883, 3891, 17, 'falha');
INSERT INTO `lang_definitions` VALUES (84884, 3908, 17, 'erro');
INSERT INTO `lang_definitions` VALUES (84885, 3916, 17, 'História da Familia');
INSERT INTO `lang_definitions` VALUES (84886, 3918, 17, 'História da Familia de Glaucoma');
INSERT INTO `lang_definitions` VALUES (84887, 3919, 17, 'História da Familia:');
INSERT INTO `lang_definitions` VALUES (84888, 3922, 17, 'Tamanho da Familia');
INSERT INTO `lang_definitions` VALUES (84889, 3923, 17, 'Fantasia');
INSERT INTO `lang_definitions` VALUES (84890, 3928, 17, 'Pai');
INSERT INTO `lang_definitions` VALUES (84891, 3930, 17, 'Fadiga');
INSERT INTO `lang_definitions` VALUES (84892, 3931, 17, 'Cansado');
INSERT INTO `lang_definitions` VALUES (84893, 3933, 17, 'Fax');
INSERT INTO `lang_definitions` VALUES (84894, 3935, 17, 'Número do Fax');
INSERT INTO `lang_definitions` VALUES (84895, 3937, 17, 'Fax/Scan');
INSERT INTO `lang_definitions` VALUES (84896, 3938, 17, 'Envie Fax dentro');
INSERT INTO `lang_definitions` VALUES (84897, 3939, 17, 'Envie Fax Fora');
INSERT INTO `lang_definitions` VALUES (84898, 3940, 17, 'Propriedades');
INSERT INTO `lang_definitions` VALUES (84899, 3941, 17, 'Fev');
INSERT INTO `lang_definitions` VALUES (84900, 3942, 17, 'Fevereiro');
INSERT INTO `lang_definitions` VALUES (84901, 3943, 17, 'FECA');
INSERT INTO `lang_definitions` VALUES (84902, 3944, 17, 'Droga Federal ID');
INSERT INTO `lang_definitions` VALUES (84903, 3945, 17, 'NIF');
INSERT INTO `lang_definitions` VALUES (84904, 3946, 17, 'NIF');
INSERT INTO `lang_definitions` VALUES (84905, 3948, 17, 'Taxa');
INSERT INTO `lang_definitions` VALUES (84906, 3949, 17, 'taxa');
INSERT INTO `lang_definitions` VALUES (84907, 3950, 17, 'Taxa não é permitida');
INSERT INTO `lang_definitions` VALUES (84908, 3951, 17, 'Folha da Taxa');
INSERT INTO `lang_definitions` VALUES (84909, 3953, 17, 'Opções da Folha da Taxa');
INSERT INTO `lang_definitions` VALUES (84910, 3955, 17, 'Taxas');
INSERT INTO `lang_definitions` VALUES (84911, 3956, 17, 'Feminino');
INSERT INTO `lang_definitions` VALUES (84912, 3957, 17, 'AP Feminino');
INSERT INTO `lang_definitions` VALUES (84913, 3958, 17, 'preservativos femininos');
INSERT INTO `lang_definitions` VALUES (84914, 3959, 17, 'G Feminina');
INSERT INTO `lang_definitions` VALUES (84915, 3960, 17, 'LC Feminina');
INSERT INTO `lang_definitions` VALUES (84916, 3961, 17, 'P Feminina');
INSERT INTO `lang_definitions` VALUES (84917, 3962, 17, 'Sintomas Femeninos');
INSERT INTO `lang_definitions` VALUES (84918, 3963, 17, 'VSC Femenino');
INSERT INTO `lang_definitions` VALUES (84919, 3966, 17, 'Febre');
INSERT INTO `lang_definitions` VALUES (84920, 3967, 17, 'Febre:');
INSERT INTO `lang_definitions` VALUES (84921, 3968, 17, 'Problema no Sangue FH');
INSERT INTO `lang_definitions` VALUES (84922, 3972, 17, 'Fibroids');
INSERT INTO `lang_definitions` VALUES (84923, 3986, 17, 'Arquivo');
INSERT INTO `lang_definitions` VALUES (84924, 4000, 17, 'Quarto de Arquivo');
INSERT INTO `lang_definitions` VALUES (84925, 4001, 17, 'Arquive para transferir');
INSERT INTO `lang_definitions` VALUES (84926, 4003, 17, 'Arquivi com mesmo nome já existe neste local');
INSERT INTO `lang_definitions` VALUES (84927, 4004, 17, 'Nome do Arquivo');
INSERT INTO `lang_definitions` VALUES (84928, 4014, 17, 'Preencha aqui somente se enviarem notificação do e-mail para');
INSERT INTO `lang_definitions` VALUES (84929, 4025, 17, 'Preencha a Linha.');
INSERT INTO `lang_definitions` VALUES (84930, 4028, 17, 'Filtro');
INSERT INTO `lang_definitions` VALUES (84931, 4029, 17, 'Filtro para Constantes');
INSERT INTO `lang_definitions` VALUES (84932, 4032, 17, 'Filtros');
INSERT INTO `lang_definitions` VALUES (84933, 4034, 17, 'Final');
INSERT INTO `lang_definitions` VALUES (84934, 4035, 17, 'Diagnóstico Final');
INSERT INTO `lang_definitions` VALUES (84935, 4036, 17, 'Diagnóstico Final pelo especialista');
INSERT INTO `lang_definitions` VALUES (84936, 4038, 17, 'Financeiro');
INSERT INTO `lang_definitions` VALUES (84937, 4039, 17, 'Financeiro');
INSERT INTO `lang_definitions` VALUES (84938, 4042, 17, 'Relatório Financeiro - meus encontros');
INSERT INTO `lang_definitions` VALUES (84939, 4045, 17, 'Data da Revisão Financeira');
INSERT INTO `lang_definitions` VALUES (84940, 4048, 17, 'Procurar');
INSERT INTO `lang_definitions` VALUES (84941, 4049, 17, 'Procurar Vaga');
INSERT INTO `lang_definitions` VALUES (84942, 4050, 17, 'Encontrar Compromissos Disponíveis');
INSERT INTO `lang_definitions` VALUES (84943, 4053, 17, 'Encontrar Utente');
INSERT INTO `lang_definitions` VALUES (84944, 4056, 17, 'Achados');
INSERT INTO `lang_definitions` VALUES (84945, 4057, 17, 'Achados por especialista');
INSERT INTO `lang_definitions` VALUES (84946, 4058, 17, 'Multa');
INSERT INTO `lang_definitions` VALUES (84947, 4065, 17, 'Primeiro');
INSERT INTO `lang_definitions` VALUES (84948, 4068, 17, 'Primeiro dia da Semana');
INSERT INTO `lang_definitions` VALUES (84949, 4071, 17, 'Primeiro Nome');
INSERT INTO `lang_definitions` VALUES (84950, 4072, 17, 'Primeiro nome');
INSERT INTO `lang_definitions` VALUES (84951, 4073, 17, 'Primeiro Nome');
INSERT INTO `lang_definitions` VALUES (84952, 4079, 17, 'Boa forma');
INSERT INTO `lang_definitions` VALUES (84953, 4083, 17, 'Boa forma para Jogar');
INSERT INTO `lang_definitions` VALUES (84954, 4084, 17, 'Fixar datas para encontro - qualquer encontro');
INSERT INTO `lang_definitions` VALUES (84955, 4086, 17, 'Consertar');
INSERT INTO `lang_definitions` VALUES (84956, 4090, 17, 'Flatulência');
INSERT INTO `lang_definitions` VALUES (84957, 4091, 17, 'Fluxo');
INSERT INTO `lang_definitions` VALUES (84958, 4110, 17, 'Vacinação de Infuenza');
INSERT INTO `lang_definitions` VALUES (84959, 4111, 17, 'Fluido e problema de eletrólito');
INSERT INTO `lang_definitions` VALUES (84960, 4112, 17, 'FMS');
INSERT INTO `lang_definitions` VALUES (84961, 4114, 17, 'Siga Manualmente');
INSERT INTO `lang_definitions` VALUES (84962, 4116, 17, 'Seguimento');
INSERT INTO `lang_definitions` VALUES (84963, 4119, 17, 'Razão do Seguimento');
INSERT INTO `lang_definitions` VALUES (84964, 4129, 17, 'Intolerância da Comida');
INSERT INTO `lang_definitions` VALUES (84965, 4130, 17, 'Pé');
INSERT INTO `lang_definitions` VALUES (84966, 4131, 17, 'Problemas no Pé');
INSERT INTO `lang_definitions` VALUES (84967, 4132, 17, 'Pé:');
INSERT INTO `lang_definitions` VALUES (84968, 4133, 17, 'Lesões de Futebol');
INSERT INTO `lang_definitions` VALUES (84969, 4135, 17, 'Relatório de Lesões de Futebol');
INSERT INTO `lang_definitions` VALUES (84970, 4136, 17, 'Tipo de Calçado');
INSERT INTO `lang_definitions` VALUES (84971, 4137, 17, 'para');
INSERT INTO `lang_definitions` VALUES (84972, 4138, 17, 'Para');
INSERT INTO `lang_definitions` VALUES (84973, 4152, 17, 'Para reclamações sobre a consulta');
INSERT INTO `lang_definitions` VALUES (84974, 4154, 17, 'Por exemplo:');
INSERT INTO `lang_definitions` VALUES (84975, 4173, 17, 'Referido por Organização/ por Clinico');
INSERT INTO `lang_definitions` VALUES (84976, 4189, 17, 'para:');
INSERT INTO `lang_definitions` VALUES (84977, 4194, 17, 'Antebraço');
INSERT INTO `lang_definitions` VALUES (84978, 4195, 17, 'Forma');
INSERT INTO `lang_definitions` VALUES (84979, 4196, 17, 'forma');
INSERT INTO `lang_definitions` VALUES (84980, 4201, 17, 'Formato');
INSERT INTO `lang_definitions` VALUES (84981, 4202, 17, 'formato');
INSERT INTO `lang_definitions` VALUES (84982, 4204, 17, 'Formato incorreto para NDC');
INSERT INTO `lang_definitions` VALUES (84983, 4208, 17, 'Ex-fumador');
INSERT INTO `lang_definitions` VALUES (84984, 4209, 17, 'Formulários');
INSERT INTO `lang_definitions` VALUES (84985, 4210, 17, 'Administração de Formulários');
INSERT INTO `lang_definitions` VALUES (84986, 4219, 17, 'Encaminhar páginas via Fax');
INSERT INTO `lang_definitions` VALUES (84987, 4222, 17, 'Encaminhado');
INSERT INTO `lang_definitions` VALUES (84988, 4225, 17, 'Quarto');
INSERT INTO `lang_definitions` VALUES (84989, 4227, 17, 'Fractura');
INSERT INTO `lang_definitions` VALUES (84990, 4228, 17, 'Fractura na Navicula');
INSERT INTO `lang_definitions` VALUES (84991, 4229, 17, 'Fractura lateral malleolus');
INSERT INTO `lang_definitions` VALUES (84992, 4230, 17, 'Fractura medial malleolus');
INSERT INTO `lang_definitions` VALUES (84993, 4231, 17, 'Fractura, Base do quinto metatarsal');
INSERT INTO `lang_definitions` VALUES (84994, 4235, 17, 'Francês');
INSERT INTO `lang_definitions` VALUES (84995, 4238, 17, 'Frequência');
INSERT INTO `lang_definitions` VALUES (84996, 4239, 17, 'Constipações Frequêntes');
INSERT INTO `lang_definitions` VALUES (84997, 4240, 17, 'Doença Frequente');
INSERT INTO `lang_definitions` VALUES (84998, 4241, 17, 'Sex');
INSERT INTO `lang_definitions` VALUES (84999, 4242, 17, 'Sexta');
INSERT INTO `lang_definitions` VALUES (85000, 4244, 17, 'De');
INSERT INTO `lang_definitions` VALUES (85001, 4245, 17, 'DE');
INSERT INTO `lang_definitions` VALUES (85002, 4246, 17, 'de');
INSERT INTO `lang_definitions` VALUES (85003, 4247, 17, 'Data De não pode ser superior à data Para.');
INSERT INTO `lang_definitions` VALUES (85004, 4253, 17, 'De:');
INSERT INTO `lang_definitions` VALUES (85005, 4254, 17, 'De:');
INSERT INTO `lang_definitions` VALUES (85006, 4255, 17, 'DE_CIDADE');
INSERT INTO `lang_definitions` VALUES (85007, 4257, 17, 'DE_FNOME');
INSERT INTO `lang_definitions` VALUES (85008, 4258, 17, 'DE_LNOME');
INSERT INTO `lang_definitions` VALUES (85009, 4259, 17, 'DE_MNOME');
INSERT INTO `lang_definitions` VALUES (85010, 4261, 17, 'DE_TELEFONEmovel');
INSERT INTO `lang_definitions` VALUES (85011, 4262, 17, 'DE_POSTAL');
INSERT INTO `lang_definitions` VALUES (85012, 4263, 17, 'DE_ESTADO');
INSERT INTO `lang_definitions` VALUES (85013, 4264, 17, 'DE_RUA');
INSERT INTO `lang_definitions` VALUES (85014, 4265, 17, 'DE_TÍTULO');
INSERT INTO `lang_definitions` VALUES (85015, 4266, 17, 'DE_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (85016, 4267, 17, 'Recepção');
INSERT INTO `lang_definitions` VALUES (85017, 4268, 17, 'Recibos da Recepção');
INSERT INTO `lang_definitions` VALUES (85018, 4269, 17, 'Relatório das Receitas da recepção');
INSERT INTO `lang_definitions` VALUES (85019, 4270, 17, 'Recpção Rec');
INSERT INTO `lang_definitions` VALUES (85020, 4271, 17, 'Frontal Direita:');
INSERT INTO `lang_definitions` VALUES (85021, 4278, 17, 'Nome Completo');
INSERT INTO `lang_definitions` VALUES (85022, 4280, 17, 'Caminho completo dos executáveis MySQL');
INSERT INTO `lang_definitions` VALUES (85023, 4281, 17, 'Caminho completo dos executáveis Perl');
INSERT INTO `lang_definitions` VALUES (85024, 4282, 17, 'Caminho completo da cópia de segurança do registo de eventos.');
INSERT INTO `lang_definitions` VALUES (85025, 4283, 17, 'Caminho completo dos ficheiros temporários.');
INSERT INTO `lang_definitions` VALUES (85026, 4284, 17, 'Jogo Completo');
INSERT INTO `lang_definitions` VALUES (85027, 4286, 17, 'Formação Completa');
INSERT INTO `lang_definitions` VALUES (85028, 4288, 17, 'Completamente Pago');
INSERT INTO `lang_definitions` VALUES (85029, 4298, 17, 'G');
INSERT INTO `lang_definitions` VALUES (85030, 4302, 17, 'Vesícula Biliar Condição');
INSERT INTO `lang_definitions` VALUES (85031, 4303, 17, 'Pedras na vesícula');
INSERT INTO `lang_definitions` VALUES (85032, 4304, 17, 'Período do Jogo');
INSERT INTO `lang_definitions` VALUES (85033, 4305, 17, 'Jogos');
INSERT INTO `lang_definitions` VALUES (85034, 4306, 17, 'Jogos Perdidos');
INSERT INTO `lang_definitions` VALUES (85035, 4307, 17, 'jogos/Eventos');
INSERT INTO `lang_definitions` VALUES (85036, 4308, 17, 'jogos/Eventos Perdidos');
INSERT INTO `lang_definitions` VALUES (85037, 4310, 17, 'Gastrites');
INSERT INTO `lang_definitions` VALUES (85038, 4311, 17, 'Dor de Gastro');
INSERT INTO `lang_definitions` VALUES (85039, 4312, 17, 'Gastrointestinal');
INSERT INTO `lang_definitions` VALUES (85040, 4316, 17, 'Relatório de Estatisticas GCAC');
INSERT INTO `lang_definitions` VALUES (85041, 4318, 17, 'Está perdendo a forma de visita GCAC');
INSERT INTO `lang_definitions` VALUES (85042, 4319, 17, 'Sexo');
INSERT INTO `lang_definitions` VALUES (85043, 4320, 17, 'Sexo');
INSERT INTO `lang_definitions` VALUES (85044, 4321, 17, 'Geral');
INSERT INTO `lang_definitions` VALUES (85045, 4325, 17, 'Serviço Geral de Categoria');
INSERT INTO `lang_definitions` VALUES (85046, 4332, 17, 'Criar e descarregar 1500 pedidos CMS');
INSERT INTO `lang_definitions` VALUES (85047, 4334, 17, 'Criar e descarregar 1500 pedidos HCFA');
INSERT INTO `lang_definitions` VALUES (85048, 4337, 17, 'Criar e descarregar X12');
INSERT INTO `lang_definitions` VALUES (85049, 4342, 17, 'Criar 1500 CMS');
INSERT INTO `lang_definitions` VALUES (85050, 4343, 17, 'Criar 1500 PDF CMS');
INSERT INTO `lang_definitions` VALUES (85051, 4345, 17, 'HCFA Geral');
INSERT INTO `lang_definitions` VALUES (85052, 4348, 17, 'Criar Carta');
INSERT INTO `lang_definitions` VALUES (85053, 4349, 17, 'Criar Carta a respeito de');
INSERT INTO `lang_definitions` VALUES (85054, 4357, 17, 'Criar Relatório');
INSERT INTO `lang_definitions` VALUES (85055, 4366, 17, 'Criar X12');
INSERT INTO `lang_definitions` VALUES (85056, 4368, 17, 'Criar Consulta X12');
INSERT INTO `lang_definitions` VALUES (85057, 4370, 17, 'Criado em');
INSERT INTO `lang_definitions` VALUES (85058, 4372, 17, 'Criado');
INSERT INTO `lang_definitions` VALUES (85059, 4377, 17, 'Genitourinary');
INSERT INTO `lang_definitions` VALUES (85060, 4381, 17, 'Alemão');
INSERT INTO `lang_definitions` VALUES (85061, 4386, 17, 'Obter HL7');
INSERT INTO `lang_definitions` VALUES (85062, 4392, 17, 'Glaucoma');
INSERT INTO `lang_definitions` VALUES (85063, 4393, 17, 'História Glaucoma da Familia');
INSERT INTO `lang_definitions` VALUES (85064, 4395, 17, 'Global');
INSERT INTO `lang_definitions` VALUES (85065, 4398, 17, 'ID Global');
INSERT INTO `lang_definitions` VALUES (85066, 4399, 17, 'Definições Gerais');
INSERT INTO `lang_definitions` VALUES (85067, 4400, 17, 'Gerais');
INSERT INTO `lang_definitions` VALUES (85068, 4403, 17, 'Ir');
INSERT INTO `lang_definitions` VALUES (85069, 4404, 17, 'ir');
INSERT INTO `lang_definitions` VALUES (85070, 4407, 17, 'Ir para');
INSERT INTO `lang_definitions` VALUES (85071, 4417, 17, 'Ir para a próxima semana');
INSERT INTO `lang_definitions` VALUES (85072, 4418, 17, 'Ir para Hoje');
INSERT INTO `lang_definitions` VALUES (85073, 4428, 17, 'Grau da Lesão');
INSERT INTO `lang_definitions` VALUES (85074, 4429, 17, 'Grau:');
INSERT INTO `lang_definitions` VALUES (85075, 4430, 17, 'gramas');
INSERT INTO `lang_definitions` VALUES (85076, 4431, 17, 'Total Principal');
INSERT INTO `lang_definitions` VALUES (85077, 4432, 17, 'Total Principal');
INSERT INTO `lang_definitions` VALUES (85078, 4439, 17, 'Grego');
INSERT INTO `lang_definitions` VALUES (85079, 4442, 17, 'Grupo');
INSERT INTO `lang_definitions` VALUES (85080, 4459, 17, 'Nome do Grupo');
INSERT INTO `lang_definitions` VALUES (85081, 4460, 17, 'Nomes do grupo não pode estár em branco');
INSERT INTO `lang_definitions` VALUES (85082, 4461, 17, 'Nomes do grupo não pode iniciar com números ou');
INSERT INTO `lang_definitions` VALUES (85083, 4462, 17, 'Nomes do grupo não pode iniciar com números');
INSERT INTO `lang_definitions` VALUES (85084, 4463, 17, 'Número do Grupo');
INSERT INTO `lang_definitions` VALUES (85085, 4471, 17, 'Grupo:');
INSERT INTO `lang_definitions` VALUES (85086, 4472, 17, 'Nome do Grupo');
INSERT INTO `lang_definitions` VALUES (85087, 4475, 17, 'Grupos e Controlo de Accesso');
INSERT INTO `lang_definitions` VALUES (85088, 4476, 17, 'Carta de Crescimento');
INSERT INTO `lang_definitions` VALUES (85089, 4477, 17, 'Carta de Crescimento');
INSERT INTO `lang_definitions` VALUES (85090, 4478, 17, 'gtts(gotas)');
INSERT INTO `lang_definitions` VALUES (85091, 4482, 17, 'Responsável');
INSERT INTO `lang_definitions` VALUES (85092, 4483, 17, 'E-Mail do Responsável');
INSERT INTO `lang_definitions` VALUES (85093, 4484, 17, 'Nome do Responsável');
INSERT INTO `lang_definitions` VALUES (85094, 4485, 17, 'Nome dos Responsáveis');
INSERT INTO `lang_definitions` VALUES (85095, 4489, 17, 'Exame Ginecológico');
INSERT INTO `lang_definitions` VALUES (85096, 4490, 17, 'h');
INSERT INTO `lang_definitions` VALUES (85097, 4492, 17, 'h.s.');
INSERT INTO `lang_definitions` VALUES (85098, 4493, 17, 'Hepatite H/O');
INSERT INTO `lang_definitions` VALUES (85099, 4494, 17, 'Eliminado com sucesso. As subcategorias foram movidas abaixo');
INSERT INTO `lang_definitions` VALUES (85100, 4495, 17, 'Hematoma/ferida');
INSERT INTO `lang_definitions` VALUES (85101, 4496, 17, 'Estado de HAI');
INSERT INTO `lang_definitions` VALUES (85102, 4499, 17, 'Mão + Dedos');
INSERT INTO `lang_definitions` VALUES (85103, 4500, 17, 'Problema das Maõs');
INSERT INTO `lang_definitions` VALUES (85104, 4506, 17, 'w/ de Sofrimento');
INSERT INTO `lang_definitions` VALUES (85105, 4507, 17, 'foi anexo à visita');
INSERT INTO `lang_definitions` VALUES (85106, 4508, 17, 'expirou');
INSERT INTO `lang_definitions` VALUES (85107, 4516, 17, 'Actividades perigosas');
INSERT INTO `lang_definitions` VALUES (85108, 4517, 17, 'Actividades Perigosas');
INSERT INTO `lang_definitions` VALUES (85109, 4521, 17, 'HCFA deixou margens em pontos');
INSERT INTO `lang_definitions` VALUES (85110, 4522, 17, 'HCFA Margens');
INSERT INTO `lang_definitions` VALUES (85111, 4523, 17, 'HCFA tampam margens em pontos');
INSERT INTO `lang_definitions` VALUES (85112, 4527, 17, 'ele CaléndarioPostal');
INSERT INTO `lang_definitions` VALUES (85113, 4528, 17, 'Cabeça');
INSERT INTO `lang_definitions` VALUES (85114, 4529, 17, 'Circ Da Cabeça');
INSERT INTO `lang_definitions` VALUES (85115, 4530, 17, 'Circunferência da Cabeça');
INSERT INTO `lang_definitions` VALUES (85116, 4531, 17, 'Dor de Cabeça');
INSERT INTO `lang_definitions` VALUES (85117, 4532, 17, 'Dores de Cabeça');
INSERT INTO `lang_definitions` VALUES (85118, 4537, 17, 'Centro de saúde/clinica');
INSERT INTO `lang_definitions` VALUES (85119, 4540, 17, 'Organização de Manutenção da Saúde');
INSERT INTO `lang_definitions` VALUES (85120, 4541, 17, 'Organização de Manutenção da Saúde (HMO) Sistema de Saúde');
INSERT INTO `lang_definitions` VALUES (85121, 4542, 17, 'Perda da Audição');
INSERT INTO `lang_definitions` VALUES (85122, 4543, 17, 'Ataque Cardiaco');
INSERT INTO `lang_definitions` VALUES (85123, 4544, 17, 'Doença do Coração');
INSERT INTO `lang_definitions` VALUES (85124, 4545, 17, 'Insuficiência Cardíaca');
INSERT INTO `lang_definitions` VALUES (85125, 4546, 17, 'Problema do Coração');
INSERT INTO `lang_definitions` VALUES (85126, 4547, 17, 'Problemas do Coração');
INSERT INTO `lang_definitions` VALUES (85127, 4548, 17, 'Cirúrgia no Coração');
INSERT INTO `lang_definitions` VALUES (85128, 4549, 17, 'Transplante do Coração');
INSERT INTO `lang_definitions` VALUES (85129, 4550, 17, 'CORAÇÃO:');
INSERT INTO `lang_definitions` VALUES (85130, 4551, 17, 'Azia');
INSERT INTO `lang_definitions` VALUES (85131, 4552, 17, 'Calor ou Frio');
INSERT INTO `lang_definitions` VALUES (85132, 4553, 17, 'Calor Ou Frio');
INSERT INTO `lang_definitions` VALUES (85133, 4555, 17, 'Hebreu');
INSERT INTO `lang_definitions` VALUES (85134, 4557, 17, 'HEENT');
INSERT INTO `lang_definitions` VALUES (85135, 4558, 17, 'Altura');
INSERT INTO `lang_definitions` VALUES (85136, 4560, 17, 'Ajuda');
INSERT INTO `lang_definitions` VALUES (85137, 4561, 17, 'ajuda');
INSERT INTO `lang_definitions` VALUES (85138, 4563, 17, 'Hemattmesis');
INSERT INTO `lang_definitions` VALUES (85139, 4564, 17, 'Hematochezia');
INSERT INTO `lang_definitions` VALUES (85140, 4565, 17, 'Hematologic');
INSERT INTO `lang_definitions` VALUES (85141, 4566, 17, 'Hematúria');
INSERT INTO `lang_definitions` VALUES (85142, 4567, 17, 'Hemoglobina');
INSERT INTO `lang_definitions` VALUES (85143, 4569, 17, 'Hemoptysis');
INSERT INTO `lang_definitions` VALUES (85144, 4570, 17, 'Hepatites');
INSERT INTO `lang_definitions` VALUES (85145, 4571, 17, 'Hepatite A 1');
INSERT INTO `lang_definitions` VALUES (85146, 4572, 17, 'Hepatite A 2');
INSERT INTO `lang_definitions` VALUES (85147, 4573, 17, 'Hepatite B 1');
INSERT INTO `lang_definitions` VALUES (85148, 4574, 17, 'Hepatite B 2');
INSERT INTO `lang_definitions` VALUES (85149, 4575, 17, 'Hepatite B 3');
INSERT INTO `lang_definitions` VALUES (85150, 4576, 17, 'aqui');
INSERT INTO `lang_definitions` VALUES (85151, 4580, 17, 'Conserto da Hérnia');
INSERT INTO `lang_definitions` VALUES (85152, 4581, 17, 'Disco Herniado');
INSERT INTO `lang_definitions` VALUES (85153, 4582, 17, 'Herpes');
INSERT INTO `lang_definitions` VALUES (85154, 4585, 17, 'Hesitação');
INSERT INTO `lang_definitions` VALUES (85155, 4586, 17, 'heyyo.voçê esteve aqui para');
INSERT INTO `lang_definitions` VALUES (85156, 4587, 17, 'Hib 1');
INSERT INTO `lang_definitions` VALUES (85157, 4588, 17, 'Hib 2');
INSERT INTO `lang_definitions` VALUES (85158, 4589, 17, 'Hib 3');
INSERT INTO `lang_definitions` VALUES (85159, 4590, 17, 'Hib 4');
INSERT INTO `lang_definitions` VALUES (85160, 4591, 17, 'Esconder');
INSERT INTO `lang_definitions` VALUES (85161, 4592, 17, 'Administração de Eventos Escondidos');
INSERT INTO `lang_definitions` VALUES (85162, 4593, 17, 'Ocultar');
INSERT INTO `lang_definitions` VALUES (85163, 4595, 17, 'Ocultar detalhes');
INSERT INTO `lang_definitions` VALUES (85164, 4603, 17, 'Ocutar/Mostrar Colunas');
INSERT INTO `lang_definitions` VALUES (85165, 4605, 17, 'Alto');
INSERT INTO `lang_definitions` VALUES (85166, 4607, 17, 'Hipertensão');
INSERT INTO `lang_definitions` VALUES (85167, 4610, 17, 'Anca + virilha');
INSERT INTO `lang_definitions` VALUES (85168, 4611, 17, 'Anca e virilha');
INSERT INTO `lang_definitions` VALUES (85169, 4612, 17, 'Problemas de anca');
INSERT INTO `lang_definitions` VALUES (85170, 4613, 17, 'Substituição de anca');
INSERT INTO `lang_definitions` VALUES (85171, 4615, 17, 'Recebeu a Notícia HIPAA');
INSERT INTO `lang_definitions` VALUES (85172, 4617, 17, 'Hirsutismo / Estrias');
INSERT INTO `lang_definitions` VALUES (85173, 4618, 17, 'Hispânico');
INSERT INTO `lang_definitions` VALUES (85174, 4623, 17, 'Histórico');
INSERT INTO `lang_definitions` VALUES (85175, 4624, 17, 'Histórico e Estilo de Vida');
INSERT INTO `lang_definitions` VALUES (85176, 4626, 17, 'Histórico e Estilo de Vida');
INSERT INTO `lang_definitions` VALUES (85177, 4627, 17, 'Ajuda - Histórico e Estilo de Vida');
INSERT INTO `lang_definitions` VALUES (85178, 4629, 17, 'Dados do Histórico');
INSERT INTO `lang_definitions` VALUES (85179, 4630, 17, 'Data do Histórico');
INSERT INTO `lang_definitions` VALUES (85180, 4632, 17, 'História de Murmúrio');
INSERT INTO `lang_definitions` VALUES (85181, 4633, 17, 'Histórico não autorizado');
INSERT INTO `lang_definitions` VALUES (85182, 4634, 17, 'História de Murmúrio do Coração');
INSERT INTO `lang_definitions` VALUES (85183, 4638, 17, 'Resultados');
INSERT INTO `lang_definitions` VALUES (85184, 4639, 17, 'VIH');
INSERT INTO `lang_definitions` VALUES (85185, 4649, 17, 'Visualizador HL7');
INSERT INTO `lang_definitions` VALUES (85186, 4653, 17, 'Pressione [Ctrl] para seleccionar vários itens');
INSERT INTO `lang_definitions` VALUES (85187, 4655, 17, 'Pressione Ctrl para seleccionar vários itens');
INSERT INTO `lang_definitions` VALUES (85188, 4656, 17, 'Pressione Ctrl para seleccionar múltiplas esquadras');
INSERT INTO `lang_definitions` VALUES (85189, 4658, 17, 'Início');
INSERT INTO `lang_definitions` VALUES (85190, 4659, 17, 'Telefone de Casa');
INSERT INTO `lang_definitions` VALUES (85191, 4660, 17, 'Número de Telefone de Casa');
INSERT INTO `lang_definitions` VALUES (85192, 4662, 17, 'Sem-abrigo ou similar?');
INSERT INTO `lang_definitions` VALUES (85193, 4664, 17, 'Sem-abrigo, etc');
INSERT INTO `lang_definitions` VALUES (85194, 4665, 17, 'Sem-abrigo, etc.');
INSERT INTO `lang_definitions` VALUES (85195, 4674, 17, 'Host Name');
INSERT INTO `lang_definitions` VALUES (85196, 4675, 17, 'Host Name cannot be empty');
INSERT INTO `lang_definitions` VALUES (85197, 4678, 17, 'Horas');
INSERT INTO `lang_definitions` VALUES (85198, 4680, 17, 'É grave? 0-10, leve, moderado ou grave?');
INSERT INTO `lang_definitions` VALUES (85199, 4681, 17, 'Como a Lesão Ocorreu?:');
INSERT INTO `lang_definitions` VALUES (85200, 4682, 17, 'Como a Lesão Ocorreu?:');
INSERT INTO `lang_definitions` VALUES (85201, 4685, 17, 'Quantos meses à frente para consultar os próximos eventos?');
INSERT INTO `lang_definitions` VALUES (85202, 4692, 17, 'HPI:');
INSERT INTO `lang_definitions` VALUES (85203, 4694, 17, 'HT');
INSERT INTO `lang_definitions` VALUES (85204, 4695, 17, 'HTML');
INSERT INTO `lang_definitions` VALUES (85205, 4706, 17, 'Hiperactive');
INSERT INTO `lang_definitions` VALUES (85206, 4708, 17, 'Hipertensão');
INSERT INTO `lang_definitions` VALUES (85207, 4711, 17, 'Hypertiroidismo');
INSERT INTO `lang_definitions` VALUES (85208, 4713, 17, 'Hipotiroidismo');
INSERT INTO `lang_definitions` VALUES (85209, 4716, 17, 'Histerectomia');
INSERT INTO `lang_definitions` VALUES (85210, 4717, 17, 'Eu');
INSERT INTO `lang_definitions` VALUES (85211, 4718, 17, 'Ocupado neste período');
INSERT INTO `lang_definitions` VALUES (85212, 4719, 17, 'Não tem Permissão para ler');
INSERT INTO `lang_definitions` VALUES (85213, 4724, 17, 'ICD');
INSERT INTO `lang_definitions` VALUES (85214, 4727, 17, 'ICD9');
INSERT INTO `lang_definitions` VALUES (85215, 4734, 17, 'ID');
INSERT INTO `lang_definitions` VALUES (85216, 4736, 17, 'Id');
INSERT INTO `lang_definitions` VALUES (85217, 4738, 17, 'ID não pode ficar em branco');
INSERT INTO `lang_definitions` VALUES (85218, 4742, 17, 'Idias');
INSERT INTO `lang_definitions` VALUES (85219, 4743, 17, 'identificado como');
INSERT INTO `lang_definitions` VALUES (85220, 4745, 17, 'Identificar(uma palavra)');
INSERT INTO `lang_definitions` VALUES (85221, 4755, 17, 'Se todos os dados para todas as colunas estão completas para esta forma');
INSERT INTO `lang_definitions` VALUES (85222, 4765, 17, 'Se nome, qualquer parte do último nome ou');
INSERT INTO `lang_definitions` VALUES (85223, 4770, 17, 'Se pagar por');
INSERT INTO `lang_definitions` VALUES (85224, 4803, 17, 'Se desempregado clique estudane');
INSERT INTO `lang_definitions` VALUES (85225, 4833, 17, 'Se você tiver escolhido para carregar as remessas eletrônicas, em seguida, a janela de pesquisa redisplays com as faturas correspondentes a partir do arquivo X12. Você pode clicar em qualquer um destes números de fatura (como descrito abaixo) se você deseja fazer as correções antes do envio de informações é aplicada. Para aplicar as alterações, clique no botão Arquivo Processo ERA, na parte inferior da página. Isto produzirá uma nova janela com um relatório detalhado.');
INSERT INTO `lang_definitions` VALUES (85226, 4836, 17, 'Se você digitou uma data de pagamento na página de pesquisa, esta irá substituir a data de lançamento de pagamentos e ajustes que são de outra tiradas do arquivo X12. Isso pode ser útil para fins de notificação, se você quiser que o seu relatório de receitas para usar a sua data de lançamento, em vez de a companhia de seguros da data de processamento. Note que isso vai afetar também as datas de pagamentos, antes e ajustes que são postos em créditos secundário.');
INSERT INTO `lang_definitions` VALUES (85227, 4850, 17, 'Se quiser mudar tipos de dados, acrescentar linhas ou colunas');
INSERT INTO `lang_definitions` VALUES (85228, 4856, 17, 'Doença');
INSERT INTO `lang_definitions` VALUES (85229, 4857, 17, 'IM');
INSERT INTO `lang_definitions` VALUES (85230, 4863, 17, 'Imagiologia');
INSERT INTO `lang_definitions` VALUES (85231, 4865, 17, 'Imunização');
INSERT INTO `lang_definitions` VALUES (85232, 4872, 17, 'Imunização: Lote No');
INSERT INTO `lang_definitions` VALUES (85233, 4873, 17, 'Imunização: Fabricante');
INSERT INTO `lang_definitions` VALUES (85234, 4882, 17, 'Imunização: Serviço');
INSERT INTO `lang_definitions` VALUES (85235, 4885, 17, 'Imunizações');
INSERT INTO `lang_definitions` VALUES (85236, 4887, 17, 'Imunize');
INSERT INTO `lang_definitions` VALUES (85237, 4888, 17, 'Imunológico');
INSERT INTO `lang_definitions` VALUES (85238, 4893, 17, 'Implantes');
INSERT INTO `lang_definitions` VALUES (85239, 4894, 17, 'Importar');
INSERT INTO `lang_definitions` VALUES (85240, 4898, 17, 'Importar certificado p/ o browser.');
INSERT INTO `lang_definitions` VALUES (85241, 4899, 17, 'Importe Configuração');
INSERT INTO `lang_definitions` VALUES (85242, 4904, 17, 'Importar Utente');
INSERT INTO `lang_definitions` VALUES (85243, 4905, 17, 'Importar Demografia do Utente');
INSERT INTO `lang_definitions` VALUES (85244, 4914, 17, 'Importado apartir da Contabilidade');
INSERT INTO `lang_definitions` VALUES (85245, 4920, 17, 'Melhorado');
INSERT INTO `lang_definitions` VALUES (85246, 4922, 17, 'em');
INSERT INTO `lang_definitions` VALUES (85247, 4923, 17, 'Entrada');
INSERT INTO `lang_definitions` VALUES (85248, 4931, 17, 'Em cada olho');
INSERT INTO `lang_definitions` VALUES (85249, 4934, 17, 'no olho esquerdo');
INSERT INTO `lang_definitions` VALUES (85250, 4935, 17, 'na narina');
INSERT INTO `lang_definitions` VALUES (85251, 4936, 17, 'Disponível');
INSERT INTO `lang_definitions` VALUES (85252, 4947, 17, 'no olho direto');
INSERT INTO `lang_definitions` VALUES (85253, 4958, 17, 'interno');
INSERT INTO `lang_definitions` VALUES (85254, 4960, 17, 'Inativo');
INSERT INTO `lang_definitions` VALUES (85255, 4965, 17, 'Dias Inactivos');
INSERT INTO `lang_definitions` VALUES (85256, 4970, 17, 'Incluir Checksum');
INSERT INTO `lang_definitions` VALUES (85257, 4971, 17, 'Inclusão Completa');
INSERT INTO `lang_definitions` VALUES (85258, 4974, 17, 'Incluir utilizadores inactivos');
INSERT INTO `lang_definitions` VALUES (85259, 4975, 17, 'Incluir não classificados');
INSERT INTO `lang_definitions` VALUES (85260, 4977, 17, 'Incluir dados vitais');
INSERT INTO `lang_definitions` VALUES (85261, 4978, 17, 'Incluir dados vitais?');
INSERT INTO `lang_definitions` VALUES (85262, 4982, 17, 'Rendimentos');
INSERT INTO `lang_definitions` VALUES (85263, 4984, 17, 'Imcompleto');
INSERT INTO `lang_definitions` VALUES (85264, 4985, 17, 'Aborto Terapeutico Incompleto');
INSERT INTO `lang_definitions` VALUES (85265, 4986, 17, 'Incontinênçia');
INSERT INTO `lang_definitions` VALUES (85266, 4990, 17, 'aumentado:');
INSERT INTO `lang_definitions` VALUES (85267, 4991, 17, 'Seguro contra dados');
INSERT INTO `lang_definitions` VALUES (85268, 4994, 17, 'Indeterminado');
INSERT INTO `lang_definitions` VALUES (85269, 4998, 17, 'Indica anormalidade');
INSERT INTO `lang_definitions` VALUES (85270, 5000, 17, 'Indicando se este assunto ativo corretamente');
INSERT INTO `lang_definitions` VALUES (85271, 5003, 17, 'Utentes Indigentes');
INSERT INTO `lang_definitions` VALUES (85272, 5004, 17, 'Relatório de Utente Indigente');
INSERT INTO `lang_definitions` VALUES (85273, 5005, 17, 'Indigentes');
INSERT INTO `lang_definitions` VALUES (85274, 5010, 17, 'Aborto Provocado');
INSERT INTO `lang_definitions` VALUES (85275, 5013, 17, 'Infecção / Abcesso');
INSERT INTO `lang_definitions` VALUES (85276, 5014, 17, 'Infecções');
INSERT INTO `lang_definitions` VALUES (85277, 5015, 17, 'Infert Acons');
INSERT INTO `lang_definitions` VALUES (85278, 5016, 17, 'Infertilidade');
INSERT INTO `lang_definitions` VALUES (85279, 5017, 17, 'Gripe 1');
INSERT INTO `lang_definitions` VALUES (85280, 5018, 17, 'Gripe 2');
INSERT INTO `lang_definitions` VALUES (85281, 5022, 17, 'Informação');
INSERT INTO `lang_definitions` VALUES (85282, 5023, 17, 'Info teste 1');
INSERT INTO `lang_definitions` VALUES (85283, 5024, 17, 'Info teste 2');
INSERT INTO `lang_definitions` VALUES (85284, 5025, 17, 'Info teste 3');
INSERT INTO `lang_definitions` VALUES (85285, 5026, 17, 'Info teste 4');
INSERT INTO `lang_definitions` VALUES (85286, 5027, 17, 'Info teste 5');
INSERT INTO `lang_definitions` VALUES (85287, 5028, 17, 'Info teste 6');
INSERT INTO `lang_definitions` VALUES (85288, 5034, 17, 'Inalações');
INSERT INTO `lang_definitions` VALUES (85289, 5036, 17, 'Inalações');
INSERT INTO `lang_definitions` VALUES (85290, 5039, 17, 'Utilizador Inicial');
INSERT INTO `lang_definitions` VALUES (85291, 5042, 17, 'Injetáveis');
INSERT INTO `lang_definitions` VALUES (85292, 5043, 17, 'Injecção');
INSERT INTO `lang_definitions` VALUES (85293, 5044, 17, 'Parte do Corpo Lesionada');
INSERT INTO `lang_definitions` VALUES (85294, 5045, 17, 'Dano fora');
INSERT INTO `lang_definitions` VALUES (85295, 5046, 17, 'Lesão');
INSERT INTO `lang_definitions` VALUES (85296, 5047, 17, 'Mecanismo de Lesão');
INSERT INTO `lang_definitions` VALUES (85297, 5048, 17, 'Relatório de Avaliação de Lesão');
INSERT INTO `lang_definitions` VALUES (85298, 5049, 17, 'Vigilância de Lesões');
INSERT INTO `lang_definitions` VALUES (85299, 5050, 17, 'Tipo de lesão');
INSERT INTO `lang_definitions` VALUES (85300, 5051, 17, 'Relac. c/ doença/lesão');
INSERT INTO `lang_definitions` VALUES (85301, 5056, 17, 'Campos de Entrada');
INSERT INTO `lang_definitions` VALUES (85302, 5061, 17, 'Ins ajustar');
INSERT INTO `lang_definitions` VALUES (85303, 5062, 17, 'Ins agregação');
INSERT INTO `lang_definitions` VALUES (85304, 5068, 17, 'Restituição Ins');
INSERT INTO `lang_definitions` VALUES (85305, 5069, 17, 'Ins Resumo');
INSERT INTO `lang_definitions` VALUES (85306, 5071, 17, 'Ins1');
INSERT INTO `lang_definitions` VALUES (85307, 5072, 17, 'Ins2');
INSERT INTO `lang_definitions` VALUES (85308, 5073, 17, 'Ins3');
INSERT INTO `lang_definitions` VALUES (85309, 5075, 17, 'Inserir falhou:');
INSERT INTO `lang_definitions` VALUES (85310, 5079, 17, 'Inserir eventos antigos em tabelas');
INSERT INTO `lang_definitions` VALUES (85311, 5085, 17, 'Insónia');
INSERT INTO `lang_definitions` VALUES (85312, 5087, 17, 'Inspeção');
INSERT INTO `lang_definitions` VALUES (85313, 5088, 17, 'Instabilidade /');
INSERT INTO `lang_definitions` VALUES (85314, 5093, 17, 'Instalar DB');
INSERT INTO `lang_definitions` VALUES (85315, 5102, 17, 'Instruido');
INSERT INTO `lang_definitions` VALUES (85316, 5103, 17, 'Instrução');
INSERT INTO `lang_definitions` VALUES (85317, 5105, 17, 'Instruções:');
INSERT INTO `lang_definitions` VALUES (85318, 5108, 17, 'Diabetes insulino dependente');
INSERT INTO `lang_definitions` VALUES (85319, 5109, 17, 'Subsistema');
INSERT INTO `lang_definitions` VALUES (85320, 5110, 17, 'subsistema');
INSERT INTO `lang_definitions` VALUES (85321, 5117, 17, 'Companias de Seguro');
INSERT INTO `lang_definitions` VALUES (85322, 5118, 17, 'Compania de Seguro');
INSERT INTO `lang_definitions` VALUES (85323, 5119, 17, 'Procurar/Acrescentar Compania de Seguro');
INSERT INTO `lang_definitions` VALUES (85324, 5121, 17, 'Data de Seguro');
INSERT INTO `lang_definitions` VALUES (85325, 5126, 17, 'Número do Seguro');
INSERT INTO `lang_definitions` VALUES (85326, 5129, 17, 'Entidade');
INSERT INTO `lang_definitions` VALUES (85327, 5134, 17, 'Conclusão de Entrada');
INSERT INTO `lang_definitions` VALUES (85328, 5135, 17, 'Data de Entrada');
INSERT INTO `lang_definitions` VALUES (85329, 5138, 17, 'Declínio Intelectual');
INSERT INTO `lang_definitions` VALUES (85330, 5149, 17, 'Erro Interno - Nenhuma página foi selecionada!');
INSERT INTO `lang_definitions` VALUES (85331, 5150, 17, 'Erro Interno - ID do Utente não foi inserido!');
INSERT INTO `lang_definitions` VALUES (85332, 5151, 17, 'Erro interno que acessa arquivos transferidos!');
INSERT INTO `lang_definitions` VALUES (85333, 5153, 17, 'Erro Interno!');
INSERT INTO `lang_definitions` VALUES (85334, 5154, 17, 'Erro Interno,não há ID de droga especificada!');
INSERT INTO `lang_definitions` VALUES (85335, 5156, 17, 'Erro Interno: Reivindicação');
INSERT INTO `lang_definitions` VALUES (85336, 5157, 17, 'Erro Interno: Encontro\'');
INSERT INTO `lang_definitions` VALUES (85337, 5158, 17, 'Erro Interno: pid ou está perdendo o encontro.');
INSERT INTO `lang_definitions` VALUES (85338, 5160, 17, 'Interno Identificou (pid)');
INSERT INTO `lang_definitions` VALUES (85339, 5163, 17, 'Indicações Internas');
INSERT INTO `lang_definitions` VALUES (85340, 5165, 17, 'Dever Internacional');
INSERT INTO `lang_definitions` VALUES (85341, 5167, 17, 'Intérprete');
INSERT INTO `lang_definitions` VALUES (85342, 5168, 17, 'Precisou de Intérprete?');
INSERT INTO `lang_definitions` VALUES (85343, 5169, 17, 'Doenças Pulmonar Interstical');
INSERT INTO `lang_definitions` VALUES (85344, 5170, 17, 'Intervalo');
INSERT INTO `lang_definitions` VALUES (85345, 5175, 17, 'Intolerância');
INSERT INTO `lang_definitions` VALUES (85346, 5178, 17, 'Intramuscular');
INSERT INTO `lang_definitions` VALUES (85347, 5181, 17, 'Intravenously');
INSERT INTO `lang_definitions` VALUES (85348, 5182, 17, 'Introdução');
INSERT INTO `lang_definitions` VALUES (85349, 5197, 17, 'Inválido ou pagador em falta par código em falta');
INSERT INTO `lang_definitions` VALUES (85350, 5200, 17, 'Inválido Código de Servico');
INSERT INTO `lang_definitions` VALUES (85351, 5201, 17, 'Desegnação de fonte inválida');
INSERT INTO `lang_definitions` VALUES (85352, 5204, 17, 'InvAmt');
INSERT INTO `lang_definitions` VALUES (85353, 5205, 17, 'Inventário');
INSERT INTO `lang_definitions` VALUES (85354, 5209, 17, 'Inventário ntá disponivel nesta ordem.');
INSERT INTO `lang_definitions` VALUES (85355, 5210, 17, 'Inventário não está disponivel para esta ordem.');
INSERT INTO `lang_definitions` VALUES (85356, 5212, 17, 'Lista de Inventário');
INSERT INTO `lang_definitions` VALUES (85357, 5213, 17, 'Fatura');
INSERT INTO `lang_definitions` VALUES (85358, 5217, 17, 'Data da Fatura');
INSERT INTO `lang_definitions` VALUES (85359, 5219, 17, 'Fatura não tem nenhuma data!');
INSERT INTO `lang_definitions` VALUES (85360, 5226, 17, 'Fatura:');
INSERT INTO `lang_definitions` VALUES (85361, 5240, 17, 'IPPF SRH Data para');
INSERT INTO `lang_definitions` VALUES (85362, 5241, 17, 'IPPF Relatório de Estatística');
INSERT INTO `lang_definitions` VALUES (85363, 5243, 17, 'IPV 1');
INSERT INTO `lang_definitions` VALUES (85364, 5244, 17, 'IPV 2');
INSERT INTO `lang_definitions` VALUES (85365, 5245, 17, 'IPV 3');
INSERT INTO `lang_definitions` VALUES (85366, 5246, 17, 'IPV 4');
INSERT INTO `lang_definitions` VALUES (85367, 5249, 17, 'Batimento Cárdiaco Irregular');
INSERT INTO `lang_definitions` VALUES (85368, 5250, 17, 'Irritabilidade');
INSERT INTO `lang_definitions` VALUES (85369, 5251, 17, 'Irritação');
INSERT INTO `lang_definitions` VALUES (85370, 5256, 17, 'È um field exigido.');
INSERT INTO `lang_definitions` VALUES (85371, 5257, 17, 'È um nodo de raiz e não pode ser apagado.');
INSERT INTO `lang_definitions` VALUES (85372, 5268, 17, 'Não é valido (frações decimais são OK).');
INSERT INTO `lang_definitions` VALUES (85373, 5269, 17, 'PHP está usando o modo seguro?');
INSERT INTO `lang_definitions` VALUES (85374, 5290, 17, 'Assunto');
INSERT INTO `lang_definitions` VALUES (85375, 5291, 17, 'assunto');
INSERT INTO `lang_definitions` VALUES (85376, 5298, 17, 'Assuntos');
INSERT INTO `lang_definitions` VALUES (85377, 5299, 17, 'Questões (Lesões/Médicas/Alergias)');
INSERT INTO `lang_definitions` VALUES (85378, 5300, 17, 'Questões (Lesões/Médicas/Alergias):');
INSERT INTO `lang_definitions` VALUES (85379, 5302, 17, 'Assuntos e Encontros');
INSERT INTO `lang_definitions` VALUES (85380, 5303, 17, 'Assuntos e Encontros para');
INSERT INTO `lang_definitions` VALUES (85381, 5308, 17, 'Assuntos não autorizados');
INSERT INTO `lang_definitions` VALUES (85382, 5309, 17, 'Secção de Assuntos');
INSERT INTO `lang_definitions` VALUES (85383, 5365, 17, 'Carga');
INSERT INTO `lang_definitions` VALUES (85384, 5366, 17, 'carga');
INSERT INTO `lang_definitions` VALUES (85385, 5369, 17, 'Carga de artigo falhou');
INSERT INTO `lang_definitions` VALUES (85386, 5371, 17, 'IUD');
INSERT INTO `lang_definitions` VALUES (85387, 5372, 17, 'IV');
INSERT INTO `lang_definitions` VALUES (85388, 5375, 17, 'Jan');
INSERT INTO `lang_definitions` VALUES (85389, 5376, 17, 'Janeiro');
INSERT INTO `lang_definitions` VALUES (85390, 5378, 17, 'Icterícia');
INSERT INTO `lang_definitions` VALUES (85391, 5380, 17, 'Descrição de Trabalho');
INSERT INTO `lang_definitions` VALUES (85392, 5381, 17, 'ID do Trabalho');
INSERT INTO `lang_definitions` VALUES (85393, 5382, 17, 'Deslocação em comum');
INSERT INTO `lang_definitions` VALUES (85394, 5383, 17, 'Dor em Comum');
INSERT INTO `lang_definitions` VALUES (85395, 5384, 17, 'Deslocamentos em comum');
INSERT INTO `lang_definitions` VALUES (85396, 5385, 17, 'Jul');
INSERT INTO `lang_definitions` VALUES (85397, 5386, 17, 'Julho');
INSERT INTO `lang_definitions` VALUES (85398, 5388, 17, 'Jun');
INSERT INTO `lang_definitions` VALUES (85399, 5389, 17, 'Junho');
INSERT INTO `lang_definitions` VALUES (85400, 5390, 17, 'Só debaixo da informação verificada uma área azul');
INSERT INTO `lang_definitions` VALUES (85401, 5391, 17, 'Só as Minhas');
INSERT INTO `lang_definitions` VALUES (85402, 5393, 17, 'Justifique');
INSERT INTO `lang_definitions` VALUES (85403, 5396, 17, 'Justifique/Salvar');
INSERT INTO `lang_definitions` VALUES (85404, 5398, 17, 'k, aqui é o resto');
INSERT INTO `lang_definitions` VALUES (85405, 5411, 17, 'Palavras chaves');
INSERT INTO `lang_definitions` VALUES (85406, 5412, 17, 'kg');
INSERT INTO `lang_definitions` VALUES (85407, 5413, 17, 'kg/m^2');
INSERT INTO `lang_definitions` VALUES (85408, 5415, 17, 'Cancro do Rim');
INSERT INTO `lang_definitions` VALUES (85409, 5416, 17, 'Insuficiência Renal');
INSERT INTO `lang_definitions` VALUES (85410, 5417, 17, 'Infecções nos rins');
INSERT INTO `lang_definitions` VALUES (85411, 5418, 17, 'Pedras no Rim');
INSERT INTO `lang_definitions` VALUES (85412, 5419, 17, 'Transplante dos Rins');
INSERT INTO `lang_definitions` VALUES (85413, 5425, 17, 'Joelho');
INSERT INTO `lang_definitions` VALUES (85414, 5426, 17, 'Problemas no Joelho');
INSERT INTO `lang_definitions` VALUES (85415, 5427, 17, 'Substituição no Joelho');
INSERT INTO `lang_definitions` VALUES (85416, 5434, 17, 'Lab');
INSERT INTO `lang_definitions` VALUES (85417, 5444, 17, 'Relatório de Lab');
INSERT INTO `lang_definitions` VALUES (85418, 5453, 17, 'Etiqueta');
INSERT INTO `lang_definitions` VALUES (85419, 5454, 17, 'A etiqueta não pode estar em branco');
INSERT INTO `lang_definitions` VALUES (85420, 5458, 17, 'LabelCols deve ser um número entre 1 e 999');
INSERT INTO `lang_definitions` VALUES (85421, 5459, 17, 'Etiquetas');
INSERT INTO `lang_definitions` VALUES (85422, 5463, 17, 'Laboratórios');
INSERT INTO `lang_definitions` VALUES (85423, 5464, 17, 'Dilaceração / condição da Pele');
INSERT INTO `lang_definitions` VALUES (85424, 5465, 17, 'Dilaceração/abrasão');
INSERT INTO `lang_definitions` VALUES (85425, 5471, 17, 'Idioma');
INSERT INTO `lang_definitions` VALUES (85426, 5472, 17, 'Código do Idioma');
INSERT INTO `lang_definitions` VALUES (85427, 5473, 17, 'Definição do Idioma acrescentado');
INSERT INTO `lang_definitions` VALUES (85428, 5476, 17, 'Lista de Idiomas (escrever, addonly opcional)');
INSERT INTO `lang_definitions` VALUES (85429, 5478, 17, 'Nome do Idioma');
INSERT INTO `lang_definitions` VALUES (85430, 5479, 17, 'Idioma:');
INSERT INTO `lang_definitions` VALUES (85431, 5485, 17, 'Último');
INSERT INTO `lang_definitions` VALUES (85432, 5486, 17, 'Data da Ùltima Atividade');
INSERT INTO `lang_definitions` VALUES (85433, 5489, 17, 'Data da Ùltima Conta');
INSERT INTO `lang_definitions` VALUES (85434, 5495, 17, 'Última Encontro');
INSERT INTO `lang_definitions` VALUES (85435, 5507, 17, 'Último Nome');
INSERT INTO `lang_definitions` VALUES (85436, 5508, 17, 'Último Nome');
INSERT INTO `lang_definitions` VALUES (85437, 5513, 17, 'Último Nome:');
INSERT INTO `lang_definitions` VALUES (85438, 5519, 17, 'Últimos Salvados');
INSERT INTO `lang_definitions` VALUES (85439, 5525, 17, 'Última actualização por');
INSERT INTO `lang_definitions` VALUES (85440, 5527, 17, 'Ùltima Visita');
INSERT INTO `lang_definitions` VALUES (85441, 5530, 17, 'Retorno Tarde (2-12 Mo)');
INSERT INTO `lang_definitions` VALUES (85442, 5531, 17, 'Malleolus Lateral');
INSERT INTO `lang_definitions` VALUES (85443, 5532, 17, 'Malleolus Lateral:');
INSERT INTO `lang_definitions` VALUES (85444, 5535, 17, 'Deslocou Lateral');
INSERT INTO `lang_definitions` VALUES (85445, 5549, 17, 'Baseado no Esquema');
INSERT INTO `lang_definitions` VALUES (85446, 5551, 17, 'Editar Esquema');
INSERT INTO `lang_definitions` VALUES (85447, 5552, 17, 'Grupos de Esquemas');
INSERT INTO `lang_definitions` VALUES (85448, 5556, 17, 'Estilo de Esquemas');
INSERT INTO `lang_definitions` VALUES (85449, 5558, 17, 'Formulários de Visita Baseados em Esquemas');
INSERT INTO `lang_definitions` VALUES (85450, 5559, 17, 'Esquemas');
INSERT INTO `lang_definitions` VALUES (85451, 5560, 17, 'lb');
INSERT INTO `lang_definitions` VALUES (85452, 5563, 17, 'Lbs');
INSERT INTO `lang_definitions` VALUES (85453, 5571, 17, 'LDL');
INSERT INTO `lang_definitions` VALUES (85454, 5573, 17, 'Deixa em branco se continuar ativo');
INSERT INTO `lang_definitions` VALUES (85455, 5575, 17, 'Deixe em branco para manter a senha inalterada.');
INSERT INTO `lang_definitions` VALUES (85456, 5580, 17, 'Deixa Mensagem com');
INSERT INTO `lang_definitions` VALUES (85457, 5582, 17, 'Deixa a Forma');
INSERT INTO `lang_definitions` VALUES (85458, 5584, 17, 'Orçamento');
INSERT INTO `lang_definitions` VALUES (85459, 5586, 17, 'Esquerdo');
INSERT INTO `lang_definitions` VALUES (85460, 5589, 17, 'Ouvido Esquerdo');
INSERT INTO `lang_definitions` VALUES (85461, 5590, 17, 'ouvido esquerdo');
INSERT INTO `lang_definitions` VALUES (85462, 5599, 17, 'Esquerdo:');
INSERT INTO `lang_definitions` VALUES (85463, 5600, 17, 'Esquerdo:');
INSERT INTO `lang_definitions` VALUES (85464, 5601, 17, 'Dor da perna/Grampeado');
INSERT INTO `lang_definitions` VALUES (85465, 5602, 17, 'Legal');
INSERT INTO `lang_definitions` VALUES (85466, 5605, 17, 'Legenda:');
INSERT INTO `lang_definitions` VALUES (85467, 5606, 17, 'Comprimento');
INSERT INTO `lang_definitions` VALUES (85468, 5615, 17, 'Menos-informação privada (escrever,addonly opcional)');
INSERT INTO `lang_definitions` VALUES (85469, 5620, 17, 'Carta');
INSERT INTO `lang_definitions` VALUES (85470, 5621, 17, 'Gerador de Cartas');
INSERT INTO `lang_definitions` VALUES (85471, 5627, 17, 'Nível de urgência');
INSERT INTO `lang_definitions` VALUES (85472, 5630, 17, 'Responsabilidade');
INSERT INTO `lang_definitions` VALUES (85473, 5631, 17, 'Exame médico de Responsabilidade');
INSERT INTO `lang_definitions` VALUES (85474, 5633, 17, 'BI');
INSERT INTO `lang_definitions` VALUES (85475, 5643, 17, 'Risco de vida');
INSERT INTO `lang_definitions` VALUES (85476, 5644, 17, 'Estilo de vida');
INSERT INTO `lang_definitions` VALUES (85477, 5645, 17, 'Estilo de vida');
INSERT INTO `lang_definitions` VALUES (85478, 5646, 17, 'Tipo de Estilo de Vida');
INSERT INTO `lang_definitions` VALUES (85479, 5647, 17, 'Lágrima de Ligamento ou entorse');
INSERT INTO `lang_definitions` VALUES (85480, 5651, 17, 'Limites de Eventos');
INSERT INTO `lang_definitions` VALUES (85481, 5665, 17, 'Lista');
INSERT INTO `lang_definitions` VALUES (85482, 5666, 17, 'Caixa de Lista');
INSERT INTO `lang_definitions` VALUES (85483, 5667, 17, 'caixa de lista');
INSERT INTO `lang_definitions` VALUES (85484, 5668, 17, 'caixa de lista w/ add');
INSERT INTO `lang_definitions` VALUES (85485, 5669, 17, 'caixa de lista w/add');
INSERT INTO `lang_definitions` VALUES (85486, 5671, 17, 'Liste o Editor');
INSERT INTO `lang_definitions` VALUES (85487, 5674, 17, 'Lista de grupos');
INSERT INTO `lang_definitions` VALUES (85488, 5675, 17, 'Listar Companhias de Seguro');
INSERT INTO `lang_definitions` VALUES (85489, 5677, 17, 'Aliste artigos que não podem começar com um número.');
INSERT INTO `lang_definitions` VALUES (85490, 5678, 17, 'Aliste artigos que contém caracter(s) ilegal.');
INSERT INTO `lang_definitions` VALUES (85491, 5680, 17, 'Listas de lista');
INSERT INTO `lang_definitions` VALUES (85492, 5682, 17, 'Nomeda Lista');
INSERT INTO `lang_definitions` VALUES (85493, 5683, 17, 'Nome da Lista não pode começar com números.');
INSERT INTO `lang_definitions` VALUES (85494, 5688, 17, 'Lista de Receitas');
INSERT INTO `lang_definitions` VALUES (85495, 5693, 17, 'Listas');
INSERT INTO `lang_definitions` VALUES (85496, 5701, 17, 'LLL:');
INSERT INTO `lang_definitions` VALUES (85497, 5707, 17, 'LMP');
INSERT INTO `lang_definitions` VALUES (85498, 5709, 17, 'Carregue Definições');
INSERT INTO `lang_definitions` VALUES (85499, 5717, 17, 'A CARREGAR');
INSERT INTO `lang_definitions` VALUES (85500, 5723, 17, 'LOC');
INSERT INTO `lang_definitions` VALUES (85501, 5724, 17, 'Local');
INSERT INTO `lang_definitions` VALUES (85502, 5728, 17, 'Definições Regionais');
INSERT INTO `lang_definitions` VALUES (85503, 5729, 17, 'Localidade');
INSERT INTO `lang_definitions` VALUES (85504, 5730, 17, 'Localização');
INSERT INTO `lang_definitions` VALUES (85505, 5732, 17, 'Localização deste lote');
INSERT INTO `lang_definitions` VALUES (85506, 5733, 17, 'Localização não especificada');
INSERT INTO `lang_definitions` VALUES (85507, 5736, 17, 'Localização:');
INSERT INTO `lang_definitions` VALUES (85508, 5752, 17, 'Sessão');
INSERT INTO `lang_definitions` VALUES (85509, 5753, 17, 'Sessão iniciada como');
INSERT INTO `lang_definitions` VALUES (85510, 5754, 17, 'Sessão iniciada como:');
INSERT INTO `lang_definitions` VALUES (85511, 5755, 17, 'Sessão terminada.');
INSERT INTO `lang_definitions` VALUES (85512, 5757, 17, 'Entrar');
INSERT INTO `lang_definitions` VALUES (85513, 5758, 17, 'entrar');
INSERT INTO `lang_definitions` VALUES (85514, 5768, 17, 'Sair');
INSERT INTO `lang_definitions` VALUES (85515, 5769, 17, 'sair');
INSERT INTO `lang_definitions` VALUES (85516, 5770, 17, 'Eventos');
INSERT INTO `lang_definitions` VALUES (85517, 5771, 17, 'Visualizador de Eventos');
INSERT INTO `lang_definitions` VALUES (85518, 5776, 17, 'Procurar');
INSERT INTO `lang_definitions` VALUES (85519, 5777, 17, 'Lote');
INSERT INTO `lang_definitions` VALUES (85520, 5778, 17, 'Lote ID em falta!');
INSERT INTO `lang_definitions` VALUES (85521, 5779, 17, 'Número de Lote');
INSERT INTO `lang_definitions` VALUES (85522, 5780, 17, 'Baixo');
INSERT INTO `lang_definitions` VALUES (85523, 5782, 17, 'Perna mais baixa');
INSERT INTO `lang_definitions` VALUES (85524, 5791, 17, 'Espinha Lombar');
INSERT INTO `lang_definitions` VALUES (85525, 5792, 17, 'ALMOÇO');
INSERT INTO `lang_definitions` VALUES (85526, 5793, 17, 'Almoço');
INSERT INTO `lang_definitions` VALUES (85527, 5794, 17, 'Cancro do Pulmão');
INSERT INTO `lang_definitions` VALUES (85528, 5795, 17, 'Cirurgia de Cancro do Pulmão');
INSERT INTO `lang_definitions` VALUES (85529, 5796, 17, 'PULMÕES:');
INSERT INTO `lang_definitions` VALUES (85530, 5797, 17, 'pulmões:');
INSERT INTO `lang_definitions` VALUES (85531, 5798, 17, 'Lúpus');
INSERT INTO `lang_definitions` VALUES (85532, 5804, 17, 'S');
INSERT INTO `lang_definitions` VALUES (85533, 5805, 17, 'Categoria MA');
INSERT INTO `lang_definitions` VALUES (85534, 5815, 17, 'Endereço Principal');
INSERT INTO `lang_definitions` VALUES (85535, 5821, 17, 'Parte Superior do Ecrã');
INSERT INTO `lang_definitions` VALUES (85536, 5827, 17, 'Faça modificações para categorias recentes');
INSERT INTO `lang_definitions` VALUES (85537, 5831, 17, 'Tenha Certeza');
INSERT INTO `lang_definitions` VALUES (85538, 5834, 17, 'Mal-estar');
INSERT INTO `lang_definitions` VALUES (85539, 5837, 17, 'Masculino');
INSERT INTO `lang_definitions` VALUES (85540, 5838, 17, 'Preservativos Masculinos');
INSERT INTO `lang_definitions` VALUES (85541, 5839, 17, 'VSC Masculinas');
INSERT INTO `lang_definitions` VALUES (85542, 5841, 17, 'Mamograma');
INSERT INTO `lang_definitions` VALUES (85543, 5842, 17, 'Gerir');
INSERT INTO `lang_definitions` VALUES (85544, 5850, 17, 'Gerir Traduções');
INSERT INTO `lang_definitions` VALUES (85545, 5851, 17, 'Administração');
INSERT INTO `lang_definitions` VALUES (85546, 5859, 17, 'Manual');
INSERT INTO `lang_definitions` VALUES (85547, 5860, 17, 'Manual Postado');
INSERT INTO `lang_definitions` VALUES (85548, 5864, 17, 'Fabricante');
INSERT INTO `lang_definitions` VALUES (85549, 5870, 17, 'Mar');
INSERT INTO `lang_definitions` VALUES (85550, 5874, 17, 'Março');
INSERT INTO `lang_definitions` VALUES (85551, 5877, 17, 'Estado Civil');
INSERT INTO `lang_definitions` VALUES (85552, 5880, 17, 'Marque como faturado mas salta faturamento');
INSERT INTO `lang_definitions` VALUES (85553, 5881, 17, 'Marque como Clareado');
INSERT INTO `lang_definitions` VALUES (85554, 5882, 17, 'Marque como não faturou');
INSERT INTO `lang_definitions` VALUES (85555, 5886, 17, 'Marque como clareado');
INSERT INTO `lang_definitions` VALUES (85556, 5887, 17, 'Casado(a)');
INSERT INTO `lang_definitions` VALUES (85557, 5912, 17, 'Maxilar Direto:');
INSERT INTO `lang_definitions` VALUES (85558, 5924, 17, 'Maio');
INSERT INTO `lang_definitions` VALUES (85559, 5926, 17, 'MC');
INSERT INTO `lang_definitions` VALUES (85560, 5927, 17, 'mcg');
INSERT INTO `lang_definitions` VALUES (85561, 5939, 17, 'Malleolus mediano');
INSERT INTO `lang_definitions` VALUES (85562, 5940, 17, 'Exame médico');
INSERT INTO `lang_definitions` VALUES (85563, 5942, 17, 'Médico');
INSERT INTO `lang_definitions` VALUES (85564, 5943, 17, 'Aborto Médico');
INSERT INTO `lang_definitions` VALUES (85565, 5946, 17, 'Histórico Clínico');
INSERT INTO `lang_definitions` VALUES (85566, 5947, 17, 'Assunto Médico');
INSERT INTO `lang_definitions` VALUES (85567, 5948, 17, 'assunto Médico');
INSERT INTO `lang_definitions` VALUES (85568, 5949, 17, 'Assuntos Médicos');
INSERT INTO `lang_definitions` VALUES (85569, 5950, 17, 'Prescrição Médica');
INSERT INTO `lang_definitions` VALUES (85570, 5951, 17, 'Problema Médico');
INSERT INTO `lang_definitions` VALUES (85571, 5952, 17, 'problema Médico');
INSERT INTO `lang_definitions` VALUES (85572, 5953, 17, 'Lista de Problemas Médicos');
INSERT INTO `lang_definitions` VALUES (85573, 5954, 17, 'Problemas Médicos');
INSERT INTO `lang_definitions` VALUES (85574, 5955, 17, 'Problemas Médicos - irá mostrar os assuntos médicos, Assuntos > Problemas Médicos');
INSERT INTO `lang_definitions` VALUES (85575, 5956, 17, 'Registo Médico');
INSERT INTO `lang_definitions` VALUES (85576, 5957, 17, 'Registo Médico #');
INSERT INTO `lang_definitions` VALUES (85577, 5958, 17, 'Registo Clínico/Médico');
INSERT INTO `lang_definitions` VALUES (85578, 5959, 17, 'Registos Médicos');
INSERT INTO `lang_definitions` VALUES (85579, 5966, 17, 'Médico/História (escrever,addonly opcional)');
INSERT INTO `lang_definitions` VALUES (85580, 5968, 17, 'Medicare Part B');
INSERT INTO `lang_definitions` VALUES (85581, 5970, 17, 'Medicamento');
INSERT INTO `lang_definitions` VALUES (85582, 5975, 17, 'Medicamentos');
INSERT INTO `lang_definitions` VALUES (85583, 5978, 17, 'Medicamentos:');
INSERT INTO `lang_definitions` VALUES (85584, 5979, 17, 'Unidades de medicinas');
INSERT INTO `lang_definitions` VALUES (85585, 5980, 17, 'Médio');
INSERT INTO `lang_definitions` VALUES (85586, 5984, 17, 'Relatório de Estatísticas da Associação de Membro');
INSERT INTO `lang_definitions` VALUES (85587, 5986, 17, 'Problemas de Memória');
INSERT INTO `lang_definitions` VALUES (85588, 5987, 17, 'Homem');
INSERT INTO `lang_definitions` VALUES (85589, 5988, 17, 'Homem e Mulher');
INSERT INTO `lang_definitions` VALUES (85590, 5989, 17, 'Só Homens');
INSERT INTO `lang_definitions` VALUES (85591, 5990, 17, 'Menarche');
INSERT INTO `lang_definitions` VALUES (85592, 5991, 17, 'Menopausa');
INSERT INTO `lang_definitions` VALUES (85593, 5992, 17, 'Fluxo Mestrual');
INSERT INTO `lang_definitions` VALUES (85594, 5993, 17, 'Frequência mestrual');
INSERT INTO `lang_definitions` VALUES (85595, 5994, 17, 'Doença mental');
INSERT INTO `lang_definitions` VALUES (85596, 6005, 17, 'Mensagen');
INSERT INTO `lang_definitions` VALUES (85597, 6007, 17, 'Centro de Mensagens');
INSERT INTO `lang_definitions` VALUES (85598, 6008, 17, 'Ajuda do Centro de Mensagens');
INSERT INTO `lang_definitions` VALUES (85599, 6013, 17, 'Estado da Mensagem');
INSERT INTO `lang_definitions` VALUES (85600, 6018, 17, 'MENSAGEN');
INSERT INTO `lang_definitions` VALUES (85601, 6019, 17, 'Mensagens');
INSERT INTO `lang_definitions` VALUES (85602, 6026, 17, 'Método');
INSERT INTO `lang_definitions` VALUES (85603, 6030, 17, 'Método de Destruição');
INSERT INTO `lang_definitions` VALUES (85604, 6038, 17, 'mg');
INSERT INTO `lang_definitions` VALUES (85605, 6039, 17, 'mg/1cc');
INSERT INTO `lang_definitions` VALUES (85606, 6040, 17, 'mg/2cc');
INSERT INTO `lang_definitions` VALUES (85607, 6041, 17, 'mg/3cc');
INSERT INTO `lang_definitions` VALUES (85608, 6042, 17, 'mg/4cc');
INSERT INTO `lang_definitions` VALUES (85609, 6043, 17, 'mg/5cc');
INSERT INTO `lang_definitions` VALUES (85610, 6044, 17, 'MG/DL');
INSERT INTO `lang_definitions` VALUES (85611, 6046, 17, 'Meio');
INSERT INTO `lang_definitions` VALUES (85612, 6047, 17, 'Nome do Meio');
INSERT INTO `lang_definitions` VALUES (85613, 6048, 17, 'Nome do meio');
INSERT INTO `lang_definitions` VALUES (85614, 6062, 17, 'Migrante ou trabalhador sazonal?');
INSERT INTO `lang_definitions` VALUES (85615, 6064, 17, 'Migrante/Sazonal');
INSERT INTO `lang_definitions` VALUES (85616, 6065, 17, 'Mil/CU.MM');
INSERT INTO `lang_definitions` VALUES (85617, 6066, 17, 'Leve');
INSERT INTO `lang_definitions` VALUES (85618, 6067, 17, 'Leve a moderado');
INSERT INTO `lang_definitions` VALUES (85619, 6070, 17, 'Mimique Tipo');
INSERT INTO `lang_definitions` VALUES (85620, 6072, 17, 'min');
INSERT INTO `lang_definitions` VALUES (85621, 6080, 17, 'pequenas articulações dolorosas+/- Sinovite');
INSERT INTO `lang_definitions` VALUES (85622, 6083, 17, 'Minutos');
INSERT INTO `lang_definitions` VALUES (85623, 6084, 17, 'minutos');
INSERT INTO `lang_definitions` VALUES (85624, 6086, 17, 'Outros');
INSERT INTO `lang_definitions` VALUES (85625, 6087, 17, 'Opções de facturação');
INSERT INTO `lang_definitions` VALUES (85626, 6088, 17, 'Opções de facturação para HCFA-1500');
INSERT INTO `lang_definitions` VALUES (85627, 6089, 17, 'Opções de Facturação para HCFA');
INSERT INTO `lang_definitions` VALUES (85628, 6090, 17, 'Diversos');
INSERT INTO `lang_definitions` VALUES (85629, 6092, 17, 'Perdido');
INSERT INTO `lang_definitions` VALUES (85630, 6094, 17, 'Campo obrigatório em falta');
INSERT INTO `lang_definitions` VALUES (85631, 6097, 17, 'Taxa Perdida');
INSERT INTO `lang_definitions` VALUES (85632, 6101, 17, 'Em Falta ou Inválido');
INSERT INTO `lang_definitions` VALUES (85633, 6103, 17, 'PID Perdida');
INSERT INTO `lang_definitions` VALUES (85634, 6105, 17, 'Golpe perdido depois de pagador em fonte para código');
INSERT INTO `lang_definitions` VALUES (85635, 6111, 17, 'Misturado');
INSERT INTO `lang_definitions` VALUES (85636, 6113, 17, 'ml');
INSERT INTO `lang_definitions` VALUES (85637, 6114, 17, 'MM/DD/AAAA');
INSERT INTO `lang_definitions` VALUES (85638, 6115, 17, 'mm/hg');
INSERT INTO `lang_definitions` VALUES (85639, 6117, 17, 'MMR 1');
INSERT INTO `lang_definitions` VALUES (85640, 6118, 17, 'MMR 2');
INSERT INTO `lang_definitions` VALUES (85641, 6120, 17, 'Telemóvel');
INSERT INTO `lang_definitions` VALUES (85642, 6121, 17, 'Telemóvel');
INSERT INTO `lang_definitions` VALUES (85643, 6125, 17, 'Mod');
INSERT INTO `lang_definitions` VALUES (85644, 6127, 17, 'Modo - Não mostrar SQL');
INSERT INTO `lang_definitions` VALUES (85645, 6128, 17, 'Moderada');
INSERT INTO `lang_definitions` VALUES (85646, 6129, 17, 'Prioridade moderada');
INSERT INTO `lang_definitions` VALUES (85647, 6130, 17, 'Moderada a grave');
INSERT INTO `lang_definitions` VALUES (85648, 6131, 17, 'Prioridade Baixa/Moderada');
INSERT INTO `lang_definitions` VALUES (85649, 6133, 17, 'Modificador');
INSERT INTO `lang_definitions` VALUES (85650, 6153, 17, 'Seg');
INSERT INTO `lang_definitions` VALUES (85651, 6154, 17, 'Seg a Sex');
INSERT INTO `lang_definitions` VALUES (85652, 6155, 17, 'Seg, Qua &amp; Sex');
INSERT INTO `lang_definitions` VALUES (85653, 6156, 17, 'Segunda');
INSERT INTO `lang_definitions` VALUES (85654, 6160, 17, 'mês');
INSERT INTO `lang_definitions` VALUES (85655, 6161, 17, 'Mês');
INSERT INTO `lang_definitions` VALUES (85656, 6162, 17, 'Mês');
INSERT INTO `lang_definitions` VALUES (85657, 6163, 17, 'Mes(es)');
INSERT INTO `lang_definitions` VALUES (85658, 6164, 17, 'Rendimento Mensal');
INSERT INTO `lang_definitions` VALUES (85659, 6166, 17, 'Meses');
INSERT INTO `lang_definitions` VALUES (85660, 6179, 17, 'Mais de 100 registos. Por favor restrinja os critérios.');
INSERT INTO `lang_definitions` VALUES (85661, 6180, 17, 'Mais de 50 resultados, por favor seja mais específico.');
INSERT INTO `lang_definitions` VALUES (85662, 6186, 17, 'Mais recente desde');
INSERT INTO `lang_definitions` VALUES (85663, 6190, 17, 'Mãe');
INSERT INTO `lang_definitions` VALUES (85664, 6191, 17, 'Nome da Mãe');
INSERT INTO `lang_definitions` VALUES (85665, 6195, 17, 'Boca');
INSERT INTO `lang_definitions` VALUES (85666, 6196, 17, 'Mover');
INSERT INTO `lang_definitions` VALUES (85667, 6197, 17, 'Mover Documento para a Categoria:');
INSERT INTO `lang_definitions` VALUES (85668, 6198, 17, 'Mover para Baixo');
INSERT INTO `lang_definitions` VALUES (85669, 6201, 17, 'Mover para Utente');
INSERT INTO `lang_definitions` VALUES (85670, 6202, 17, 'Mover para...');
INSERT INTO `lang_definitions` VALUES (85671, 6203, 17, 'Mover para Cima');
INSERT INTO `lang_definitions` VALUES (85672, 6209, 17, 'Sr.');
INSERT INTO `lang_definitions` VALUES (85673, 6215, 17, 'Sra.');
INSERT INTO `lang_definitions` VALUES (85674, 6217, 17, 'Srta.');
INSERT INTO `lang_definitions` VALUES (85675, 6230, 17, 'Ferramenta Multi-Idioma');
INSERT INTO `lang_definitions` VALUES (85676, 6234, 17, 'Áreas múltiplas');
INSERT INTO `lang_definitions` VALUES (85677, 6237, 17, 'Lotes múltiplos');
INSERT INTO `lang_definitions` VALUES (85678, 6242, 17, 'Multiracial');
INSERT INTO `lang_definitions` VALUES (85679, 6243, 17, 'Murmúrio:');
INSERT INTO `lang_definitions` VALUES (85680, 6244, 17, 'Dor Muscular');
INSERT INTO `lang_definitions` VALUES (85681, 6245, 17, 'Dores Musculares');
INSERT INTO `lang_definitions` VALUES (85682, 6246, 17, 'Vermelhidão Muscular');
INSERT INTO `lang_definitions` VALUES (85683, 6247, 17, 'Rigidez Muscular');
INSERT INTO `lang_definitions` VALUES (85684, 6248, 17, 'Inchaço Muscular');
INSERT INTO `lang_definitions` VALUES (85685, 6249, 17, 'Morno Musc');
INSERT INTO `lang_definitions` VALUES (85686, 6250, 17, 'Músculo');
INSERT INTO `lang_definitions` VALUES (85687, 6251, 17, 'Lesão Muscular');
INSERT INTO `lang_definitions` VALUES (85688, 6252, 17, 'Muscoesquelético');
INSERT INTO `lang_definitions` VALUES (85689, 6259, 17, 'Mutualmente Definido');
INSERT INTO `lang_definitions` VALUES (85690, 6260, 17, 'MVA');
INSERT INTO `lang_definitions` VALUES (85691, 6271, 17, 'N/D');
INSERT INTO `lang_definitions` VALUES (85692, 6272, 17, 'n/d');
INSERT INTO `lang_definitions` VALUES (85693, 6274, 17, 'Nome');
INSERT INTO `lang_definitions` VALUES (85694, 6276, 17, 'Nome (ver mais)');
INSERT INTO `lang_definitions` VALUES (85695, 6278, 17, 'Nome 1');
INSERT INTO `lang_definitions` VALUES (85696, 6279, 17, 'Nome 2');
INSERT INTO `lang_definitions` VALUES (85697, 6280, 17, 'Nome e Título de Administrador de Imunização');
INSERT INTO `lang_definitions` VALUES (85698, 6285, 17, 'Nome de companhia de seguros');
INSERT INTO `lang_definitions` VALUES (85699, 6286, 17, 'Nome do Clínico');
INSERT INTO `lang_definitions` VALUES (85700, 6293, 17, 'Nome no Cartão');
INSERT INTO `lang_definitions` VALUES (85701, 6294, 17, 'Tradução do Nome');
INSERT INTO `lang_definitions` VALUES (85702, 6295, 17, 'Nome/Valor');
INSERT INTO `lang_definitions` VALUES (85703, 6296, 17, 'Nome:');
INSERT INTO `lang_definitions` VALUES (85704, 6297, 17, 'Nomes');
INSERT INTO `lang_definitions` VALUES (85705, 6298, 17, 'Espaço para nome');
INSERT INTO `lang_definitions` VALUES (85706, 6300, 17, 'NARES:');
INSERT INTO `lang_definitions` VALUES (85707, 6301, 17, 'NARES: Direito normal');
INSERT INTO `lang_definitions` VALUES (85708, 6304, 17, 'Cor-de-rosa de mucosa nasal, midline de septum,');
INSERT INTO `lang_definitions` VALUES (85709, 6310, 17, 'Nacionalidade');
INSERT INTO `lang_definitions` VALUES (85710, 6319, 17, 'Náusea');
INSERT INTO `lang_definitions` VALUES (85711, 6322, 17, 'Navegação');
INSERT INTO `lang_definitions` VALUES (85712, 6334, 17, 'NDC');
INSERT INTO `lang_definitions` VALUES (85713, 6336, 17, 'Número NDC');
INSERT INTO `lang_definitions` VALUES (85714, 6348, 17, 'Pescoço');
INSERT INTO `lang_definitions` VALUES (85715, 6349, 17, 'Problemas no pescoço');
INSERT INTO `lang_definitions` VALUES (85716, 6350, 17, 'Pescoço movel');
INSERT INTO `lang_definitions` VALUES (85717, 6352, 17, 'Precise entrar em uma descrição');
INSERT INTO `lang_definitions` VALUES (85718, 6353, 17, 'Precise entrar em um Valor de Retorno');
INSERT INTO `lang_definitions` VALUES (85719, 6354, 17, 'Precise entrar em identificador');
INSERT INTO `lang_definitions` VALUES (85720, 6355, 17, 'Precise entrar em título');
INSERT INTO `lang_definitions` VALUES (85721, 6358, 17, 'Necessidades Auth');
INSERT INTO `lang_definitions` VALUES (85722, 6359, 17, 'Necessidades Justificam');
INSERT INTO `lang_definitions` VALUES (85723, 6360, 17, 'Necessidades faturamento secundário');
INSERT INTO `lang_definitions` VALUES (85724, 6361, 17, 'Negativo');
INSERT INTO `lang_definitions` VALUES (85725, 6363, 17, 'Negativos');
INSERT INTO `lang_definitions` VALUES (85726, 6369, 17, 'Dano de nervo');
INSERT INTO `lang_definitions` VALUES (85727, 6371, 17, 'Condição neural / dano de nervo');
INSERT INTO `lang_definitions` VALUES (85728, 6373, 17, 'Entorpecimento de Neuro');
INSERT INTO `lang_definitions` VALUES (85729, 6374, 17, 'Fraqueza de Neuro');
INSERT INTO `lang_definitions` VALUES (85730, 6377, 17, 'Neurologico');
INSERT INTO `lang_definitions` VALUES (85731, 6381, 17, 'Nunca');
INSERT INTO `lang_definitions` VALUES (85732, 6384, 17, 'Novo');
INSERT INTO `lang_definitions` VALUES (85733, 6385, 17, 'Novo =>');
INSERT INTO `lang_definitions` VALUES (85734, 6386, 17, 'Aceitantes novos');
INSERT INTO `lang_definitions` VALUES (85735, 6388, 17, 'Alergia nova');
INSERT INTO `lang_definitions` VALUES (85736, 6390, 17, 'Nova Marcação');
INSERT INTO `lang_definitions` VALUES (85737, 6391, 17, 'Categorias novas');
INSERT INTO `lang_definitions` VALUES (85738, 6392, 17, 'Categoria nova');
INSERT INTO `lang_definitions` VALUES (85739, 6393, 17, 'Clientes novos');
INSERT INTO `lang_definitions` VALUES (85740, 6394, 17, 'Consulta nova');
INSERT INTO `lang_definitions` VALUES (85741, 6396, 17, 'Jogo de Definição novo somou');
INSERT INTO `lang_definitions` VALUES (85742, 6397, 17, 'Documento novo');
INSERT INTO `lang_definitions` VALUES (85743, 6401, 17, 'Nova Consulta');
INSERT INTO `lang_definitions` VALUES (85744, 6403, 17, 'Nova Visita');
INSERT INTO `lang_definitions` VALUES (85745, 6404, 17, 'Novas visitas não autorizadas');
INSERT INTO `lang_definitions` VALUES (85746, 6405, 17, 'Nova Visita');
INSERT INTO `lang_definitions` VALUES (85747, 6406, 17, 'Nova Clínica');
INSERT INTO `lang_definitions` VALUES (85748, 6410, 17, 'Grupo novo');
INSERT INTO `lang_definitions` VALUES (85749, 6413, 17, 'Informação de Grupo nova');
INSERT INTO `lang_definitions` VALUES (85750, 6425, 17, 'Limite novo de Eventos');
INSERT INTO `lang_definitions` VALUES (85751, 6426, 17, 'Lista nova');
INSERT INTO `lang_definitions` VALUES (85752, 6435, 17, 'Novo Utente');
INSERT INTO `lang_definitions` VALUES (85753, 6436, 17, 'NOVO UTENTE');
INSERT INTO `lang_definitions` VALUES (85754, 6437, 17, 'Consulta de Novo Utente');
INSERT INTO `lang_definitions` VALUES (85755, 6438, 17, 'Formulário de Novo Utente');
INSERT INTO `lang_definitions` VALUES (85756, 6439, 17, 'ID Novo Utente');
INSERT INTO `lang_definitions` VALUES (85757, 6442, 17, 'Novo Pagamento');
INSERT INTO `lang_definitions` VALUES (85758, 6445, 17, 'Pt novo');
INSERT INTO `lang_definitions` VALUES (85759, 6449, 17, 'Submissões novas');
INSERT INTO `lang_definitions` VALUES (85760, 6451, 17, 'Novo Utilizador');
INSERT INTO `lang_definitions` VALUES (85761, 6453, 17, 'Nova Visita');
INSERT INTO `lang_definitions` VALUES (85762, 6454, 17, 'Novo/Procura');
INSERT INTO `lang_definitions` VALUES (85763, 6481, 17, 'Jornal');
INSERT INTO `lang_definitions` VALUES (85764, 6482, 17, 'Próximo');
INSERT INTO `lang_definitions` VALUES (85765, 6484, 17, 'Próximo Dia');
INSERT INTO `lang_definitions` VALUES (85766, 6485, 17, 'Próximo Mês');
INSERT INTO `lang_definitions` VALUES (85767, 6486, 17, 'Próximo Mês (menu)');
INSERT INTO `lang_definitions` VALUES (85768, 6491, 17, 'Próxima Semana');
INSERT INTO `lang_definitions` VALUES (85769, 6492, 17, 'Próxima Semana (menu)');
INSERT INTO `lang_definitions` VALUES (85770, 6494, 17, 'Alcunha');
INSERT INTO `lang_definitions` VALUES (85771, 6496, 17, 'Suores Noturnos');
INSERT INTO `lang_definitions` VALUES (85772, 6498, 17, 'Nl ext genitália, mucosa de vag, cerviz,');
INSERT INTO `lang_definitions` VALUES (85773, 6499, 17, 'Não');
INSERT INTO `lang_definitions` VALUES (85774, 6500, 17, 'NÃO');
INSERT INTO `lang_definitions` VALUES (85775, 6502, 17, 'Sem acesso');
INSERT INTO `lang_definitions` VALUES (85776, 6503, 17, 'Não há lembretes');
INSERT INTO `lang_definitions` VALUES (85777, 6504, 17, 'Nenhum adenopathy (2 áreas requereram)');
INSERT INTO `lang_definitions` VALUES (85778, 6506, 17, 'Nenhum tenderness/masses anexo');
INSERT INTO `lang_definitions` VALUES (85779, 6509, 17, 'Sem Compromissos');
INSERT INTO `lang_definitions` VALUES (85780, 6515, 17, 'Nenhum sistema de faturamento é atualmente ativo');
INSERT INTO `lang_definitions` VALUES (85781, 6517, 17, 'Nenhuma Conta Achou para Incluir em OFX Export <br>');
INSERT INTO `lang_definitions` VALUES (85782, 6519, 17, 'Nenhum código foi especificado!');
INSERT INTO `lang_definitions` VALUES (85783, 6521, 17, 'A pesquisa não retornou qualquer resultado');
INSERT INTO `lang_definitions` VALUES (85784, 6522, 17, 'Sem dados para processar');
INSERT INTO `lang_definitions` VALUES (85785, 6523, 17, 'Nenhum diagnóstico');
INSERT INTO `lang_definitions` VALUES (85786, 6529, 17, 'Nenhuma data de fim');
INSERT INTO `lang_definitions` VALUES (85787, 6530, 17, 'Nenhuma entrada achou, use a forma abaixo somar uma entrada.');
INSERT INTO `lang_definitions` VALUES (85788, 6531, 17, 'Sem erros');
INSERT INTO `lang_definitions` VALUES (85789, 6532, 17, 'Sem Eventos');
INSERT INTO `lang_definitions` VALUES (85790, 6536, 17, 'Nenhum grupo selecionado');
INSERT INTO `lang_definitions` VALUES (85791, 6537, 17, 'Sem hérnia');
INSERT INTO `lang_definitions` VALUES (85792, 6540, 17, 'Sem lesão/doença');
INSERT INTO `lang_definitions` VALUES (85793, 6541, 17, 'Nenhuma Companhia de Seguros');
INSERT INTO `lang_definitions` VALUES (85794, 6547, 17, 'Nenhum artigo foi selecionado!');
INSERT INTO `lang_definitions` VALUES (85795, 6561, 17, 'Sem dados de laboratório');
INSERT INTO `lang_definitions` VALUES (85796, 6565, 17, 'Nenhuma massa, ternura,');
INSERT INTO `lang_definitions` VALUES (85797, 6577, 17, 'Nenhum resultado');
INSERT INTO `lang_definitions` VALUES (85798, 6578, 17, 'Sem notas');
INSERT INTO `lang_definitions` VALUES (85799, 6579, 17, 'Nenhum ogrganomegoly');
INSERT INTO `lang_definitions` VALUES (85800, 6580, 17, 'Nenhuma abertura foi achada durante este período.');
INSERT INTO `lang_definitions` VALUES (85801, 6585, 17, 'Sem Sócio Achou');
INSERT INTO `lang_definitions` VALUES (85802, 6588, 17, 'Nenhum edema periférico');
INSERT INTO `lang_definitions` VALUES (85803, 6589, 17, 'Nenhuma Farmácia Encontrada');
INSERT INTO `lang_definitions` VALUES (85804, 6590, 17, 'Nenhuma Prescrição Encontrada');
INSERT INTO `lang_definitions` VALUES (85805, 6592, 17, 'Nenhum illness/injury apresentando');
INSERT INTO `lang_definitions` VALUES (85806, 6598, 17, 'Nenhum Clínico Encontrado');
INSERT INTO `lang_definitions` VALUES (85807, 6599, 17, 'Nenhuma lesão apressada ou anormal');
INSERT INTO `lang_definitions` VALUES (85808, 6600, 17, 'Sem lembretes');
INSERT INTO `lang_definitions` VALUES (85809, 6602, 17, 'Nenhum registo encontrado');
INSERT INTO `lang_definitions` VALUES (85810, 6604, 17, 'Nenhum registro achou. Por favor amplie seus critério de pesquisa.');
INSERT INTO `lang_definitions` VALUES (85811, 6609, 17, 'Sem Resultados');
INSERT INTO `lang_definitions` VALUES (85812, 6612, 17, 'Sem Resultados');
INSERT INTO `lang_definitions` VALUES (85813, 6614, 17, 'Sem resultado, por favor tente novamente.');
INSERT INTO `lang_definitions` VALUES (85814, 6615, 17, 'Sem resultados, por favor tente novamente.');
INSERT INTO `lang_definitions` VALUES (85815, 6618, 17, 'Faltou');
INSERT INTO `lang_definitions` VALUES (85816, 6622, 17, 'Sem dor sinusal');
INSERT INTO `lang_definitions` VALUES (85817, 6623, 17, 'Sem \'pele de laranja\', nem nódulos mamários');
INSERT INTO `lang_definitions` VALUES (85818, 6626, 17, 'Sem dor, nem massas testiculares');
INSERT INTO `lang_definitions` VALUES (85819, 6628, 17, 'Sem roncos, nem sibilos');
INSERT INTO `lang_definitions` VALUES (85820, 6632, 17, 'Sem visita');
INSERT INTO `lang_definitions` VALUES (85821, 6633, 17, 'Não há registos');
INSERT INTO `lang_definitions` VALUES (85822, 6634, 17, 'Não, Cancelar');
INSERT INTO `lang_definitions` VALUES (85823, 6636, 17, 'Não:');
INSERT INTO `lang_definitions` VALUES (85824, 6637, 17, 'Nicturia');
INSERT INTO `lang_definitions` VALUES (85825, 6641, 17, 'Lesão inespecífica');
INSERT INTO `lang_definitions` VALUES (85826, 6643, 17, 'Diabetes não-insulino-dependente');
INSERT INTO `lang_definitions` VALUES (85827, 6646, 17, 'Exame médico de Non-SRH');
INSERT INTO `lang_definitions` VALUES (85828, 6647, 17, 'Non-SRH Non-Medical');
INSERT INTO `lang_definitions` VALUES (85829, 6648, 17, 'Nenhum');
INSERT INTO `lang_definitions` VALUES (85830, 6649, 17, 'nenhum');
INSERT INTO `lang_definitions` VALUES (85831, 6650, 17, 'Nenhum definido');
INSERT INTO `lang_definitions` VALUES (85832, 6651, 17, 'Nenhum documentado');
INSERT INTO `lang_definitions` VALUES (85833, 6652, 17, 'Nenhum foi documentado');
INSERT INTO `lang_definitions` VALUES (85834, 6653, 17, 'Nenhuma das anteriores');
INSERT INTO `lang_definitions` VALUES (85835, 6655, 17, 'Nenhum selecionado');
INSERT INTO `lang_definitions` VALUES (85836, 6664, 17, 'Nenhum{{Encounter}}');
INSERT INTO `lang_definitions` VALUES (85837, 6672, 17, 'Nenhum{{Patient}}');
INSERT INTO `lang_definitions` VALUES (85838, 6683, 17, 'Diabetes não-insulino-dependente');
INSERT INTO `lang_definitions` VALUES (85839, 6684, 17, 'Nem');
INSERT INTO `lang_definitions` VALUES (85840, 6685, 17, 'Normal');
INSERT INTO `lang_definitions` VALUES (85841, 6687, 17, 'BL normal');
INSERT INTO `lang_definitions` VALUES (85842, 6688, 17, 'Exame Cardíaco normal:');
INSERT INTO `lang_definitions` VALUES (85843, 6689, 17, 'Exame Cardíaco normal:');
INSERT INTO `lang_definitions` VALUES (85844, 6690, 17, 'Exame Pulmonar normal:');
INSERT INTO `lang_definitions` VALUES (85845, 6691, 17, 'Exame Pulmonar normal:');
INSERT INTO `lang_definitions` VALUES (85846, 6692, 17, 'Consulta normal');
INSERT INTO `lang_definitions` VALUES (85847, 6693, 17, 'Orofaringe normal:');
INSERT INTO `lang_definitions` VALUES (85848, 6694, 17, 'Direito normal');
INSERT INTO `lang_definitions` VALUES (85849, 6695, 17, 'Direito normal:');
INSERT INTO `lang_definitions` VALUES (85850, 6696, 17, 'Visão normal');
INSERT INTO `lang_definitions` VALUES (85851, 6697, 17, 'normal:');
INSERT INTO `lang_definitions` VALUES (85852, 6701, 17, 'Norueguês');
INSERT INTO `lang_definitions` VALUES (85853, 6705, 17, 'Nariz');
INSERT INTO `lang_definitions` VALUES (85854, 6706, 17, 'Epistaxis');
INSERT INTO `lang_definitions` VALUES (85855, 6707, 17, 'nem letra nem numero');
INSERT INTO `lang_definitions` VALUES (85856, 6710, 17, 'Nem todos os campos são obrigatórios para todos os códigos ou tipos.');
INSERT INTO `lang_definitions` VALUES (85857, 6712, 17, 'Não Permitido');
INSERT INTO `lang_definitions` VALUES (85858, 6713, 17, 'Não é permitido apagar o grupo de Administradores');
INSERT INTO `lang_definitions` VALUES (85859, 6714, 17, 'Não Pode Editar');
INSERT INTO `lang_definitions` VALUES (85860, 6715, 17, 'Não é permitida a desativação de todos os objetos de segurança');
INSERT INTO `lang_definitions` VALUES (85861, 6716, 17, 'Não é permitido inactivar nada dos \'Administradores ACL\'');
INSERT INTO `lang_definitions` VALUES (85862, 6717, 17, 'Não permitido remover o utilizador \'admin\' do grupo de Administradores');
INSERT INTO `lang_definitions` VALUES (85863, 6720, 17, 'Não está autorizado a acesseder o módulo \'PostCalendar\'');
INSERT INTO `lang_definitions` VALUES (85864, 6722, 17, 'Não autorizado');
INSERT INTO `lang_definitions` VALUES (85865, 6724, 17, 'Não autorizado para esta equipa.');
INSERT INTO `lang_definitions` VALUES (85866, 6729, 17, 'Não Disponível');
INSERT INTO `lang_definitions` VALUES (85867, 6731, 17, 'Não facturado');
INSERT INTO `lang_definitions` VALUES (85868, 6733, 17, 'Não verificado');
INSERT INTO `lang_definitions` VALUES (85869, 6738, 17, 'Não Examinado');
INSERT INTO `lang_definitions` VALUES (85870, 6739, 17, 'Não Examinado:');
INSERT INTO `lang_definitions` VALUES (85871, 6740, 17, 'Não Examinado:');
INSERT INTO `lang_definitions` VALUES (85872, 6742, 17, 'não encontrado');
INSERT INTO `lang_definitions` VALUES (85873, 6744, 17, 'não encontrado!');
INSERT INTO `lang_definitions` VALUES (85874, 6751, 17, 'Não visto desde');
INSERT INTO `lang_definitions` VALUES (85875, 6758, 17, 'Nota');
INSERT INTO `lang_definitions` VALUES (85876, 6771, 17, 'Tipo de nota');
INSERT INTO `lang_definitions` VALUES (85877, 6780, 17, 'Nota: Este código não foi inserido por um utilizador autorizado. Apenas códigos autorizados podem ser enviados para a Rede de Facturação para processamento. Se deseja enviar códigos, selecione aqui um utilizador autorizado.');
INSERT INTO `lang_definitions` VALUES (85878, 6783, 17, 'NOTE: Ficheiros com nomes duplicados serão automaticamente remarcados (por ex., file.jpg will become file.1.jpg). Os nomes de ficheiros são considerados únicos por doente, não por categoria.');
INSERT INTO `lang_definitions` VALUES (85879, 6784, 17, 'NOTA: Arquivos transferindo com nomes duplicados causarão os arquivos a ser renomeados automaticamente. Por exemplo \'<i>file.jpg </ i> \' se tornará \'<i>file.jpg.1 </ i> \'. Filenames são considerados sem igual por doente, não por categoria.');
INSERT INTO `lang_definitions` VALUES (85880, 6785, 17, 'Notas');
INSERT INTO `lang_definitions` VALUES (85881, 6788, 17, 'Notas - qualquer consulta (escrita,addonly opcional)');
INSERT INTO `lang_definitions` VALUES (85882, 6790, 17, 'Notas - minhas consultas (write,addonly opcional)');
INSERT INTO `lang_definitions` VALUES (85883, 6793, 17, 'Notas não autorizadas');
INSERT INTO `lang_definitions` VALUES (85884, 6796, 17, 'Sem Registo');
INSERT INTO `lang_definitions` VALUES (85885, 6799, 17, 'Nenhuma alergia a importar');
INSERT INTO `lang_definitions` VALUES (85886, 6800, 17, 'Nenhuma prescrição a importar');
INSERT INTO `lang_definitions` VALUES (85887, 6804, 17, 'Nada foi seleccionado');
INSERT INTO `lang_definitions` VALUES (85888, 6808, 17, 'NOTE:: PostCalendar Submission/Modification');
INSERT INTO `lang_definitions` VALUES (85889, 6809, 17, 'Notificação');
INSERT INTO `lang_definitions` VALUES (85890, 6815, 17, 'Notificações');
INSERT INTO `lang_definitions` VALUES (85891, 6816, 17, 'Notifique Admin Sobre Evento Submission/Modification?');
INSERT INTO `lang_definitions` VALUES (85892, 6820, 17, 'Nov');
INSERT INTO `lang_definitions` VALUES (85893, 6821, 17, 'Novembro');
INSERT INTO `lang_definitions` VALUES (85894, 6824, 17, 'A enviar para:');
INSERT INTO `lang_definitions` VALUES (85895, 6825, 17, 'A imprimir');
INSERT INTO `lang_definitions` VALUES (85896, 6826, 17, 'Imprimindo agora declarações $stmt_count; os encontros serão atualizados.');
INSERT INTO `lang_definitions` VALUES (85897, 6827, 17, 'Imprimindo agora declarações $stmt_count; as faturas serão atualizadas.');
INSERT INTO `lang_definitions` VALUES (85898, 6828, 17, 'Imprimindo agora declarações $stmt_count; os encontros não serão atualizados.');
INSERT INTO `lang_definitions` VALUES (85899, 6829, 17, 'Imprimindo agora declarações $stmt_count; as faturas não serão atualizadas.');
INSERT INTO `lang_definitions` VALUES (85900, 6834, 17, 'NPI');
INSERT INTO `lang_definitions` VALUES (85901, 6837, 17, 'Número');
INSERT INTO `lang_definitions` VALUES (85902, 6843, 17, 'Número de colunas em visão anual.');
INSERT INTO `lang_definitions` VALUES (85903, 6855, 17, 'Número de jogos ou eventos perdidos (se algum)');
INSERT INTO `lang_definitions` VALUES (85904, 6864, 17, 'Dormência');
INSERT INTO `lang_definitions` VALUES (85905, 6866, 17, 'Ordem de listagem numérica');
INSERT INTO `lang_definitions` VALUES (85906, 6871, 17, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (85907, 6872, 17, 'Sat O2');
INSERT INTO `lang_definitions` VALUES (85908, 6874, 17, 'Obesidade I');
INSERT INTO `lang_definitions` VALUES (85909, 6875, 17, 'Obesidade II');
INSERT INTO `lang_definitions` VALUES (85910, 6876, 17, 'Obesidade III');
INSERT INTO `lang_definitions` VALUES (85911, 6877, 17, 'Objetivo');
INSERT INTO `lang_definitions` VALUES (85912, 6886, 17, 'Ocupação');
INSERT INTO `lang_definitions` VALUES (85913, 6889, 17, 'Ocorrência');
INSERT INTO `lang_definitions` VALUES (85914, 6890, 17, 'Out');
INSERT INTO `lang_definitions` VALUES (85915, 6891, 17, 'Outubro');
INSERT INTO `lang_definitions` VALUES (85916, 6892, 17, 'OD');
INSERT INTO `lang_definitions` VALUES (85917, 6896, 17, 'de quantidade');
INSERT INTO `lang_definitions` VALUES (85918, 6897, 17, 'de comprimidos');
INSERT INTO `lang_definitions` VALUES (85919, 6898, 17, 'do mês todo');
INSERT INTO `lang_definitions` VALUES (85920, 6899, 17, 'Mensg Int');
INSERT INTO `lang_definitions` VALUES (85921, 6907, 17, 'Mensagens Internas');
INSERT INTO `lang_definitions` VALUES (85922, 6908, 17, 'Consulta');
INSERT INTO `lang_definitions` VALUES (85923, 6921, 17, 'Descendência');
INSERT INTO `lang_definitions` VALUES (85924, 6925, 17, 'pomada');
INSERT INTO `lang_definitions` VALUES (85925, 6927, 17, 'OK');
INSERT INTO `lang_definitions` VALUES (85926, 6930, 17, 'OK para unir o assunto de GCAC datado');
INSERT INTO `lang_definitions` VALUES (85927, 6931, 17, 'Velho(s)');
INSERT INTO `lang_definitions` VALUES (85928, 6933, 17, 'Clientes velhos');
INSERT INTO `lang_definitions` VALUES (85929, 6934, 17, 'Fractura velha não ou mal unida');
INSERT INTO `lang_definitions` VALUES (85930, 6946, 17, 'Omitir os utulizadores internos?');
INSERT INTO `lang_definitions` VALUES (85931, 6948, 17, 'omitir a autoassign');
INSERT INTO `lang_definitions` VALUES (85932, 6950, 17, 'no');
INSERT INTO `lang_definitions` VALUES (85933, 6956, 17, 'Disponível');
INSERT INTO `lang_definitions` VALUES (85934, 6959, 17, 'Encomenda');
INSERT INTO `lang_definitions` VALUES (85935, 6979, 17, 'Sempre que mudar a password tem de fazer Logout seguido de Login');
INSERT INTO `lang_definitions` VALUES (85936, 6996, 17, 'Apoio on-line');
INSERT INTO `lang_definitions` VALUES (85937, 6999, 17, 'Só Ativo');
INSERT INTO `lang_definitions` VALUES (85938, 7004, 17, 'só se faturando local');
INSERT INTO `lang_definitions` VALUES (85939, 7006, 17, 'Só Inativo');
INSERT INTO `lang_definitions` VALUES (85940, 7007, 17, 'Só Mina');
INSERT INTO `lang_definitions` VALUES (85941, 7017, 17, 'Início da Doença:');
INSERT INTO `lang_definitions` VALUES (85942, 7018, 17, 'Início da Doença:');
INSERT INTO `lang_definitions` VALUES (85943, 7019, 17, 'Início de Inchaço:');
INSERT INTO `lang_definitions` VALUES (85944, 7022, 17, 'Início/Internamento');
INSERT INTO `lang_definitions` VALUES (85945, 7031, 17, 'Aberto');
INSERT INTO `lang_definitions` VALUES (85946, 7037, 17, 'Abrir Consulta');
INSERT INTO `lang_definitions` VALUES (85947, 7038, 17, 'Abrir Preçário');
INSERT INTO `lang_definitions` VALUES (85948, 7040, 17, 'Abrir noutra Janela');
INSERT INTO `lang_definitions` VALUES (85949, 7076, 17, 'Base de Dados Actualizada');
INSERT INTO `lang_definitions` VALUES (85950, 7084, 17, 'OpenEMR exige para Javascript que execute autenticação de usuário.');
INSERT INTO `lang_definitions` VALUES (85951, 7085, 17, 'Utilizadores do OpenEMR');
INSERT INTO `lang_definitions` VALUES (85952, 7095, 17, 'Opção');
INSERT INTO `lang_definitions` VALUES (85953, 7099, 17, 'Opcional');
INSERT INTO `lang_definitions` VALUES (85954, 7107, 17, 'Nome de droga opcional, use% como um curinga');
INSERT INTO `lang_definitions` VALUES (85955, 7111, 17, 'Informação opcional sobre este evento');
INSERT INTO `lang_definitions` VALUES (85956, 7112, 17, 'Número de lote opcional, use% como um curinga');
INSERT INTO `lang_definitions` VALUES (85957, 7113, 17, 'ID numérico do utente opcional');
INSERT INTO `lang_definitions` VALUES (85958, 7114, 17, 'Código de procedimento opcional');
INSERT INTO `lang_definitions` VALUES (85959, 7117, 17, 'Oculus Uterque (bdz)');
INSERT INTO `lang_definitions` VALUES (85960, 7118, 17, 'Or');
INSERT INTO `lang_definitions` VALUES (85961, 7119, 17, 'ou escolhe');
INSERT INTO `lang_definitions` VALUES (85962, 7122, 17, 'Ou Fora Para');
INSERT INTO `lang_definitions` VALUES (85963, 7125, 17, 'Ou transfere arquivo de ERA:');
INSERT INTO `lang_definitions` VALUES (85964, 7127, 17, 'Oral');
INSERT INTO `lang_definitions` VALUES (85965, 7128, 17, 'Cor-de-rosa de mucosa oral, garganta claro');
INSERT INTO `lang_definitions` VALUES (85966, 7129, 17, 'Ordem');
INSERT INTO `lang_definitions` VALUES (85967, 7138, 17, 'Ordem deve ser um número entre 1 e 999');
INSERT INTO `lang_definitions` VALUES (85968, 7166, 17, 'Dano de órgão');
INSERT INTO `lang_definitions` VALUES (85969, 7167, 17, 'Organização');
INSERT INTO `lang_definitions` VALUES (85970, 7170, 17, 'Organizações');
INSERT INTO `lang_definitions` VALUES (85971, 7171, 17, 'X 3 orientado');
INSERT INTO `lang_definitions` VALUES (85972, 7175, 17, 'Original');
INSERT INTO `lang_definitions` VALUES (85973, 7181, 17, 'OROPHARYNX:');
INSERT INTO `lang_definitions` VALUES (85974, 7184, 17, 'Orthopnea');
INSERT INTO `lang_definitions` VALUES (85975, 7188, 17, 'OS');
INSERT INTO `lang_definitions` VALUES (85976, 7189, 17, 'Osetoarthritis');
INSERT INTO `lang_definitions` VALUES (85977, 7193, 17, 'Outro');
INSERT INTO `lang_definitions` VALUES (85978, 7194, 17, 'outro');
INSERT INTO `lang_definitions` VALUES (85979, 7196, 17, 'Outro (especifique)');
INSERT INTO `lang_definitions` VALUES (85980, 7201, 17, 'Outro Programa Federal');
INSERT INTO `lang_definitions` VALUES (85981, 7202, 17, 'Outro HCFA');
INSERT INTO `lang_definitions` VALUES (85982, 7203, 17, 'Outro dano especificou não em outro lugar');
INSERT INTO `lang_definitions` VALUES (85983, 7206, 17, 'outro mês');
INSERT INTO `lang_definitions` VALUES (85984, 7207, 17, 'Outros Programas Non-federais');
INSERT INTO `lang_definitions` VALUES (85985, 7208, 17, 'Outras Notas');
INSERT INTO `lang_definitions` VALUES (85986, 7209, 17, 'Outros Sintomas Pertinentes');
INSERT INTO `lang_definitions` VALUES (85987, 7210, 17, 'Outros Sintomas Pertinentes:');
INSERT INTO `lang_definitions` VALUES (85988, 7215, 17, 'Outro stress/Over usam dano');
INSERT INTO `lang_definitions` VALUES (85989, 7216, 17, 'Outro Cirúrgico');
INSERT INTO `lang_definitions` VALUES (85990, 7217, 17, 'Other/Generic Abortion-Related');
INSERT INTO `lang_definitions` VALUES (85991, 7221, 17, 'caso contrário você destruirá to/from de referências dados existentes.');
INSERT INTO `lang_definitions` VALUES (85992, 7224, 17, 'Ottawa Tornozelo Regras');
INSERT INTO `lang_definitions` VALUES (85993, 7225, 17, 'OU');
INSERT INTO `lang_definitions` VALUES (85994, 7227, 17, 'FORA');
INSERT INTO `lang_definitions` VALUES (85995, 7228, 17, 'Ausente');
INSERT INTO `lang_definitions` VALUES (85996, 7231, 17, 'Resultado');
INSERT INTO `lang_definitions` VALUES (85997, 7234, 17, 'Perspectiva');
INSERT INTO `lang_definitions` VALUES (85998, 7244, 17, 'Overuse');
INSERT INTO `lang_definitions` VALUES (85999, 7246, 17, 'Sobrepeso');
INSERT INTO `lang_definitions` VALUES (86000, 7247, 17, 'Escreva elaboradamente escolha de HIPAA');
INSERT INTO `lang_definitions` VALUES (86001, 7249, 17, 'Saturação de oxigênio');
INSERT INTO `lang_definitions` VALUES (86002, 7251, 17, 'P');
INSERT INTO `lang_definitions` VALUES (86003, 7252, 17, 'p.c.');
INSERT INTO `lang_definitions` VALUES (86004, 7253, 17, 'da tarde');
INSERT INTO `lang_definitions` VALUES (86005, 7254, 17, 'p.r.n.');
INSERT INTO `lang_definitions` VALUES (86006, 7259, 17, 'Paedeatric');
INSERT INTO `lang_definitions` VALUES (86007, 7260, 17, 'Página');
INSERT INTO `lang_definitions` VALUES (86008, 7263, 17, 'Páginas');
INSERT INTO `lang_definitions` VALUES (86009, 7264, 17, 'Pago');
INSERT INTO `lang_definitions` VALUES (86010, 7265, 17, 'Quantia pagada que você alocará');
INSERT INTO `lang_definitions` VALUES (86011, 7267, 17, 'Pagado Por');
INSERT INTO `lang_definitions` VALUES (86012, 7268, 17, 'Dor');
INSERT INTO `lang_definitions` VALUES (86013, 7271, 17, 'Palpitação');
INSERT INTO `lang_definitions` VALUES (86014, 7275, 17, 'Sujeira de papinha');
INSERT INTO `lang_definitions` VALUES (86015, 7278, 17, 'Paralisia');
INSERT INTO `lang_definitions` VALUES (86016, 7284, 17, 'Analise gramaticalmente HL7');
INSERT INTO `lang_definitions` VALUES (86017, 7289, 17, 'Sócio');
INSERT INTO `lang_definitions` VALUES (86018, 7301, 17, 'Senha');
INSERT INTO `lang_definitions` VALUES (86019, 7302, 17, 'Alterar Senha');
INSERT INTO `lang_definitions` VALUES (86020, 7304, 17, 'Senha Alterada.');
INSERT INTO `lang_definitions` VALUES (86021, 7311, 17, 'Password para Portal de SMS');
INSERT INTO `lang_definitions` VALUES (86022, 7312, 17, 'Password para Portal de SMS.');
INSERT INTO `lang_definitions` VALUES (86023, 7319, 17, 'Senha:');
INSERT INTO `lang_definitions` VALUES (86024, 7329, 17, 'Expirado');
INSERT INTO `lang_definitions` VALUES (86025, 7330, 17, 'Expirado');
INSERT INTO `lang_definitions` VALUES (86026, 7333, 17, 'Lista Consultas Anteriores');
INSERT INTO `lang_definitions` VALUES (86027, 7334, 17, 'Consultas Anteriores');
INSERT INTO `lang_definitions` VALUES (86028, 7335, 17, 'Consultas Anteriores e Documentos');
INSERT INTO `lang_definitions` VALUES (86029, 7344, 17, 'Colar Dados HL7');
INSERT INTO `lang_definitions` VALUES (86030, 7345, 17, 'Cole os dados para importar na área de texto abaixo:');
INSERT INTO `lang_definitions` VALUES (86031, 7348, 17, 'Remendo');
INSERT INTO `lang_definitions` VALUES (86032, 7361, 17, 'Utente');
INSERT INTO `lang_definitions` VALUES (86033, 7362, 17, 'UTENTE');
INSERT INTO `lang_definitions` VALUES (86034, 7363, 17, 'utente');
INSERT INTO `lang_definitions` VALUES (86035, 7369, 17, 'Alergias do utente');
INSERT INTO `lang_definitions` VALUES (86036, 7370, 17, 'Alergias do Utente');
INSERT INTO `lang_definitions` VALUES (86037, 7373, 17, 'Marcação Utente');
INSERT INTO `lang_definitions` VALUES (86038, 7379, 17, 'Processo doente ID');
INSERT INTO `lang_definitions` VALUES (86039, 7381, 17, 'Alta Utente');
INSERT INTO `lang_definitions` VALUES (86040, 7382, 17, 'Saída doente para');
INSERT INTO `lang_definitions` VALUES (86041, 7386, 17, 'Comunicação do Utente enviada');
INSERT INTO `lang_definitions` VALUES (86042, 7387, 17, 'Comunicação do Utente Enviada');
INSERT INTO `lang_definitions` VALUES (86043, 7390, 17, 'Cobertura do Paciente');
INSERT INTO `lang_definitions` VALUES (86044, 7392, 17, 'Crédito do Paciente');
INSERT INTO `lang_definitions` VALUES (86045, 7393, 17, 'Ficha do Utente');
INSERT INTO `lang_definitions` VALUES (86046, 7394, 17, 'Dados Utente');
INSERT INTO `lang_definitions` VALUES (86047, 7404, 17, 'Documento Utente');
INSERT INTO `lang_definitions` VALUES (86048, 7412, 17, 'Consulta Utente');
INSERT INTO `lang_definitions` VALUES (86049, 7413, 17, 'Formulário Consulta Utente');
INSERT INTO `lang_definitions` VALUES (86050, 7414, 17, 'Consultas Utente');
INSERT INTO `lang_definitions` VALUES (86051, 7415, 17, 'Procura de Utentes');
INSERT INTO `lang_definitions` VALUES (86052, 7428, 17, 'Histórico do Utente');
INSERT INTO `lang_definitions` VALUES (86053, 7429, 17, 'Histórico do Utente / Estilo de vida');
INSERT INTO `lang_definitions` VALUES (86054, 7431, 17, 'ID Utente');
INSERT INTO `lang_definitions` VALUES (86055, 7433, 17, 'Cartão ID Utente');
INSERT INTO `lang_definitions` VALUES (86056, 7437, 17, 'Imunização do Utente');
INSERT INTO `lang_definitions` VALUES (86057, 7438, 17, 'Informação do Utente');
INSERT INTO `lang_definitions` VALUES (86058, 7440, 17, 'Instruções do Utente');
INSERT INTO `lang_definitions` VALUES (86059, 7441, 17, 'Distribuição de Seguro doente');
INSERT INTO `lang_definitions` VALUES (86060, 7442, 17, 'Relatório de Distribuição de Seguro doente');
INSERT INTO `lang_definitions` VALUES (86061, 7445, 17, 'Assuntos utente');
INSERT INTO `lang_definitions` VALUES (86062, 7454, 17, 'Lista de utentes');
INSERT INTO `lang_definitions` VALUES (86063, 7463, 17, 'Problemas Médicos do Utente');
INSERT INTO `lang_definitions` VALUES (86064, 7464, 17, 'Medicação do Utente');
INSERT INTO `lang_definitions` VALUES (86065, 7470, 17, 'Nome do Utente');
INSERT INTO `lang_definitions` VALUES (86066, 7472, 17, 'Nome e Endereço do Utente');
INSERT INTO `lang_definitions` VALUES (86067, 7477, 17, 'Nota do Utente');
INSERT INTO `lang_definitions` VALUES (86068, 7478, 17, 'Tipos de Nota do Utente');
INSERT INTO `lang_definitions` VALUES (86069, 7479, 17, 'Notas do Utente');
INSERT INTO `lang_definitions` VALUES (86070, 7480, 17, 'Notas do Utente (escrita opcional)');
INSERT INTO `lang_definitions` VALUES (86071, 7482, 17, 'Número do Utente');
INSERT INTO `lang_definitions` VALUES (86072, 7483, 17, 'Pagamento do Utente');
INSERT INTO `lang_definitions` VALUES (86073, 7497, 17, 'Relatório Impresso do Utente');
INSERT INTO `lang_definitions` VALUES (86074, 7499, 17, 'Relatório Registo do Utente');
INSERT INTO `lang_definitions` VALUES (86075, 7500, 17, 'Pedido de Acesso ao Registo do Utente');
INSERT INTO `lang_definitions` VALUES (86076, 7510, 17, 'Lembretes do Utente');
INSERT INTO `lang_definitions` VALUES (86077, 7514, 17, 'Relatório do Utente');
INSERT INTO `lang_definitions` VALUES (86078, 7518, 17, 'Pedidos do Utente');
INSERT INTO `lang_definitions` VALUES (86079, 7521, 17, 'Resultados do Utente');
INSERT INTO `lang_definitions` VALUES (86080, 7522, 17, 'Procura de Utentes');
INSERT INTO `lang_definitions` VALUES (86081, 7523, 17, 'Procura de Utentes não disponível');
INSERT INTO `lang_definitions` VALUES (86082, 7524, 17, 'Procura ou selecção de utentes');
INSERT INTO `lang_definitions` VALUES (86083, 7526, 17, 'Ecrã Procura/Criar Utente');
INSERT INTO `lang_definitions` VALUES (86084, 7539, 17, 'Resumo do Utente');
INSERT INTO `lang_definitions` VALUES (86085, 7542, 17, 'Transações do Utente');
INSERT INTO `lang_definitions` VALUES (86086, 7549, 17, 'doente(s) no banco de dados que partida a informação demográfica na que você entrou.');
INSERT INTO `lang_definitions` VALUES (86087, 7550, 17, 'Utente/Cliente');
INSERT INTO `lang_definitions` VALUES (86088, 7551, 17, 'Utente:');
INSERT INTO `lang_definitions` VALUES (86089, 7552, 17, 'IDUtente');
INSERT INTO `lang_definitions` VALUES (86090, 7553, 17, 'Utentes');
INSERT INTO `lang_definitions` VALUES (86091, 7559, 17, 'Pagamento');
INSERT INTO `lang_definitions` VALUES (86092, 7560, 17, 'Preste atenção para o \"Terminado com\" checkboxes. Depois que os seguros sejam marcados complete então nós começaremos pedindo para o doente que pagasse o equilíbrio restante; se você não marca tudo dos seguros complete então a quantia restante não será colecionada! Também se há um equilíbrio que o doente deveria pagar, então fixe a data de vencimento adequadamente, como isto afetará o idioma que se aparece em declarações pacientes.');
INSERT INTO `lang_definitions` VALUES (86093, 7563, 17, 'Pague Data:');
INSERT INTO `lang_definitions` VALUES (86094, 7568, 17, 'Pagador');
INSERT INTO `lang_definitions` VALUES (86095, 7572, 17, 'Tipo de pagador');
INSERT INTO `lang_definitions` VALUES (86096, 7573, 17, 'Pagando');
INSERT INTO `lang_definitions` VALUES (86097, 7575, 17, 'Pagamento');
INSERT INTO `lang_definitions` VALUES (86098, 7576, 17, 'pagamento');
INSERT INTO `lang_definitions` VALUES (86099, 7583, 17, 'Data de pagamento');
INSERT INTO `lang_definitions` VALUES (86100, 7584, 17, 'pagamento entrou em');
INSERT INTO `lang_definitions` VALUES (86101, 7590, 17, 'Método de pagamento');
INSERT INTO `lang_definitions` VALUES (86102, 7600, 17, 'Valor de pagamento para código');
INSERT INTO `lang_definitions` VALUES (86103, 7602, 17, 'Pagamentos');
INSERT INTO `lang_definitions` VALUES (86104, 7610, 17, 'PDF');
INSERT INTO `lang_definitions` VALUES (86105, 7620, 17, 'Pélvis e nádega');
INSERT INTO `lang_definitions` VALUES (86106, 7621, 17, 'Pemphigus');
INSERT INTO `lang_definitions` VALUES (86107, 7624, 17, 'Pendente');
INSERT INTO `lang_definitions` VALUES (86108, 7630, 17, 'Followup pendente');
INSERT INTO `lang_definitions` VALUES (86109, 7638, 17, 'Pennington OpenEMR v Firme');
INSERT INTO `lang_definitions` VALUES (86110, 7639, 17, 'Úlcera péptica');
INSERT INTO `lang_definitions` VALUES (86111, 7641, 17, 'por minuto');
INSERT INTO `lang_definitions` VALUES (86112, 7642, 17, 'Por Narina');
INSERT INTO `lang_definitions` VALUES (86113, 7643, 17, 'por narina');
INSERT INTO `lang_definitions` VALUES (86114, 7644, 17, 'Por Oris');
INSERT INTO `lang_definitions` VALUES (86115, 7645, 17, 'por oris');
INSERT INTO `lang_definitions` VALUES (86116, 7646, 17, 'Por Reto');
INSERT INTO `lang_definitions` VALUES (86117, 7647, 17, 'por reto');
INSERT INTO `lang_definitions` VALUES (86118, 7648, 17, 'Percentagem');
INSERT INTO `lang_definitions` VALUES (86119, 7652, 17, 'Per-centil');
INSERT INTO `lang_definitions` VALUES (86120, 7653, 17, 'Direito perfurado:');
INSERT INTO `lang_definitions` VALUES (86121, 7654, 17, 'Procurar');
INSERT INTO `lang_definitions` VALUES (86122, 7655, 17, 'Executar');
INSERT INTO `lang_definitions` VALUES (86123, 7661, 17, 'Período');
INSERT INTO `lang_definitions` VALUES (86124, 7665, 17, 'Periférico');
INSERT INTO `lang_definitions` VALUES (86125, 7671, 17, 'Pessoa');
INSERT INTO `lang_definitions` VALUES (86126, 7678, 17, 'Farmácias');
INSERT INTO `lang_definitions` VALUES (86127, 7680, 17, 'Farmácia');
INSERT INTO `lang_definitions` VALUES (86128, 7681, 17, 'Dispensário de farmácia');
INSERT INTO `lang_definitions` VALUES (86129, 7688, 17, 'Pheumothorax');
INSERT INTO `lang_definitions` VALUES (86130, 7697, 17, 'Telefone');
INSERT INTO `lang_definitions` VALUES (86131, 7699, 17, 'Lista de telefonemas');
INSERT INTO `lang_definitions` VALUES (86132, 7711, 17, 'Número de telefone');
INSERT INTO `lang_definitions` VALUES (86133, 7715, 17, 'Photophobia');
INSERT INTO `lang_definitions` VALUES (86134, 7716, 17, 'Fotos');
INSERT INTO `lang_definitions` VALUES (86135, 7717, 17, 'comprimido por PHP');
INSERT INTO `lang_definitions` VALUES (86136, 7720, 17, 'extraído por PHP');
INSERT INTO `lang_definitions` VALUES (86137, 7721, 17, 'controles de acesso de php-GACL são virados fora');
INSERT INTO `lang_definitions` VALUES (86138, 7722, 17, 'PHP-gacl não é instalado');
INSERT INTO `lang_definitions` VALUES (86139, 7723, 17, 'Exame físico');
INSERT INTO `lang_definitions` VALUES (86140, 7725, 17, 'Médico Request');
INSERT INTO `lang_definitions` VALUES (86141, 7726, 17, 'Assinatura do Médico');
INSERT INTO `lang_definitions` VALUES (86142, 7729, 17, 'Médicos');
INSERT INTO `lang_definitions` VALUES (86143, 7733, 17, 'usar');
INSERT INTO `lang_definitions` VALUES (86144, 7734, 17, 'Usar');
INSERT INTO `lang_definitions` VALUES (86145, 7735, 17, 'Escolha um tema CSS');
INSERT INTO `lang_definitions` VALUES (86146, 7738, 17, 'PID');
INSERT INTO `lang_definitions` VALUES (86147, 7740, 17, 'PID (Doença Inflamatória Pélvica)');
INSERT INTO `lang_definitions` VALUES (86148, 7741, 17, 'Tamanho de pílula');
INSERT INTO `lang_definitions` VALUES (86149, 7742, 17, 'Pílulas');
INSERT INTO `lang_definitions` VALUES (86150, 7752, 17, 'Placeholder');
INSERT INTO `lang_definitions` VALUES (86151, 7753, 17, 'Placeholder (Mantém ACLs vazio)');
INSERT INTO `lang_definitions` VALUES (86152, 7756, 17, 'Texto Simples');
INSERT INTO `lang_definitions` VALUES (86153, 7757, 17, 'Plano');
INSERT INTO `lang_definitions` VALUES (86154, 7762, 17, 'Nome de Plano');
INSERT INTO `lang_definitions` VALUES (86155, 7773, 17, 'Plano:');
INSERT INTO `lang_definitions` VALUES (86156, 7778, 17, 'Jogador');
INSERT INTO `lang_definitions` VALUES (86157, 7779, 17, 'Posição do Jogador');
INSERT INTO `lang_definitions` VALUES (86158, 7784, 17, 'Por favor altere a senha.');
INSERT INTO `lang_definitions` VALUES (86159, 7785, 17, 'Por favor escolha um ficheiro');
INSERT INTO `lang_definitions` VALUES (86160, 7786, 17, 'Por favor escolha um utente');
INSERT INTO `lang_definitions` VALUES (86161, 7787, 17, 'Por favor escolha uma seleção válida da lista.');
INSERT INTO `lang_definitions` VALUES (86162, 7788, 17, 'Por favor escolha uma seleção válida.');
INSERT INTO `lang_definitions` VALUES (86163, 7789, 17, 'Por favor escolha um valor para');
INSERT INTO `lang_definitions` VALUES (86164, 7795, 17, 'Por favor feche esta janela.');
INSERT INTO `lang_definitions` VALUES (86165, 7796, 17, 'Por favor compare o nome novo');
INSERT INTO `lang_definitions` VALUES (86166, 7805, 17, 'Por favor não aceite esta prescrição a menos que fosse recebido por facimile.');
INSERT INTO `lang_definitions` VALUES (86167, 7807, 17, 'Por favor não use seus browsers param ou botão de recarga enquanto esta página está correndo que a menos que mais de 10 atas decorressem, isto não fará o processo parar no servidor e consumirá recursos de uneccesary.');
INSERT INTO `lang_definitions` VALUES (86168, 7819, 17, 'Por favor entre em uma quantia monetária que usa só números e um ponto decimal.');
INSERT INTO `lang_definitions` VALUES (86169, 7822, 17, 'Por favor introduza um título!');
INSERT INTO `lang_definitions` VALUES (86170, 7834, 17, 'Por favor introduza a senha');
INSERT INTO `lang_definitions` VALUES (86171, 7845, 17, 'Por favor introduza a data');
INSERT INTO `lang_definitions` VALUES (86172, 7856, 17, 'Defina o critério de seleção acima e clique em \"Submeter\" para ver os resultados.');
INSERT INTO `lang_definitions` VALUES (86173, 7857, 17, 'Defina o critério de seleção acima e clique em \"Submeter\" para ver os resultados.(Os resultados aparecerão em uma nova janela)');
INSERT INTO `lang_definitions` VALUES (86174, 7858, 17, 'Por favor registre-se novamente.');
INSERT INTO `lang_definitions` VALUES (86175, 7859, 17, 'Por favor note que isto pode levar um tempo muito longo, até várias atas, que seu browser de teia pode não se aparecer muito ativo durante este tempo mas gerando uma conta é um processo complicado e seu browser de teia somente está esperando por mais informação.');
INSERT INTO `lang_definitions` VALUES (86176, 7860, 17, 'Por favor Note: constantes são caso sensível e qualquer fio é permitido.');
INSERT INTO `lang_definitions` VALUES (86177, 7861, 17, 'Use somente carateres alfabéticos');
INSERT INTO `lang_definitions` VALUES (86178, 7862, 17, 'Use somente carateres alfabéticos sem espaços');
INSERT INTO `lang_definitions` VALUES (86179, 7863, 17, 'Por favor pague esta quantia');
INSERT INTO `lang_definitions` VALUES (86180, 7868, 17, 'Por favor redefina a senha.');
INSERT INTO `lang_definitions` VALUES (86181, 7877, 17, 'Por favor seleccione um idioma');
INSERT INTO `lang_definitions` VALUES (86182, 7878, 17, 'Seleccione Um Utente');
INSERT INTO `lang_definitions` VALUES (86183, 7888, 17, 'Por favor selecione uma razão de ajuste para código');
INSERT INTO `lang_definitions` VALUES (86184, 7889, 17, 'Por favor selecione um evento');
INSERT INTO `lang_definitions` VALUES (86185, 7891, 17, 'Selecione qualquer opção de pesquisa');
INSERT INTO `lang_definitions` VALUES (86186, 7892, 17, 'Selecione ao menos um critério para download');
INSERT INTO `lang_definitions` VALUES (86187, 7893, 17, 'Selecione ao menos um paciente.');
INSERT INTO `lang_definitions` VALUES (86188, 7894, 17, 'Selecione ao menos uma prescrição!');
INSERT INTO `lang_definitions` VALUES (86189, 7895, 17, 'Por favor selecione a consulta');
INSERT INTO `lang_definitions` VALUES (86190, 7896, 17, 'Selecione por data');
INSERT INTO `lang_definitions` VALUES (86191, 7897, 17, 'Selecione a imagem');
INSERT INTO `lang_definitions` VALUES (86192, 7899, 17, 'Por favor, selecione as páginas desejadas para copiar ou para a frente:');
INSERT INTO `lang_definitions` VALUES (86193, 7926, 17, 'PM');
INSERT INTO `lang_definitions` VALUES (86194, 7933, 17, 'Método de Pmt');
INSERT INTO `lang_definitions` VALUES (86195, 7934, 17, 'PND');
INSERT INTO `lang_definitions` VALUES (86196, 7935, 17, 'Pneumococcal Conjugate 1');
INSERT INTO `lang_definitions` VALUES (86197, 7936, 17, 'Pneumococcal Conjugate 2');
INSERT INTO `lang_definitions` VALUES (86198, 7937, 17, 'Pneumococcal Conjugate 3');
INSERT INTO `lang_definitions` VALUES (86199, 7938, 17, 'Pneumococcal Conjugate 4');
INSERT INTO `lang_definitions` VALUES (86200, 7940, 17, 'Vacinação de pneumonia');
INSERT INTO `lang_definitions` VALUES (86201, 7946, 17, 'Ponto de Serviço (POS)');
INSERT INTO `lang_definitions` VALUES (86202, 7947, 17, 'Política');
INSERT INTO `lang_definitions` VALUES (86203, 7951, 17, 'Número de política');
INSERT INTO `lang_definitions` VALUES (86204, 7953, 17, 'Polydypsia');
INSERT INTO `lang_definitions` VALUES (86205, 7955, 17, 'Pólipos');
INSERT INTO `lang_definitions` VALUES (86206, 7956, 17, 'Polyuria');
INSERT INTO `lang_definitions` VALUES (86207, 7957, 17, 'Falta de Apetite');
INSERT INTO `lang_definitions` VALUES (86208, 7958, 17, 'insuficiência circulatória');
INSERT INTO `lang_definitions` VALUES (86209, 7959, 17, 'Baixa Audição');
INSERT INTO `lang_definitions` VALUES (86210, 7964, 17, 'Antecedentes Pessoais');
INSERT INTO `lang_definitions` VALUES (86211, 7965, 17, 'Popups');
INSERT INTO `lang_definitions` VALUES (86212, 7987, 17, 'Português (brasileiro)');
INSERT INTO `lang_definitions` VALUES (86213, 7988, 17, 'Português (europeu)');
INSERT INTO `lang_definitions` VALUES (86214, 7989, 17, 'POS Code');
INSERT INTO `lang_definitions` VALUES (86215, 7998, 17, 'Poste Goteira Nasal');
INSERT INTO `lang_definitions` VALUES (86216, 8001, 17, 'Poste cirúrgico');
INSERT INTO `lang_definitions` VALUES (86217, 8002, 17, 'Poste a contabilidade e marque como faturado');
INSERT INTO `lang_definitions` VALUES (86218, 8007, 17, 'Cuidado de Post-Aborto');
INSERT INTO `lang_definitions` VALUES (86219, 8008, 17, 'Contracepção de Post-Aborto');
INSERT INTO `lang_definitions` VALUES (86220, 8009, 17, 'Post-Aborto Aconselhando');
INSERT INTO `lang_definitions` VALUES (86221, 8010, 17, 'Post-Aborto Followup');
INSERT INTO `lang_definitions` VALUES (86222, 8011, 17, 'Postal');
INSERT INTO `lang_definitions` VALUES (86223, 8012, 17, 'Código postal');
INSERT INTO `lang_definitions` VALUES (86224, 8013, 17, 'Código postal');
INSERT INTO `lang_definitions` VALUES (86225, 8015, 17, 'PostCalendar');
INSERT INTO `lang_definitions` VALUES (86226, 8016, 17, 'Administração de PostCalendar');
INSERT INTO `lang_definitions` VALUES (86227, 8017, 17, 'PostCalendar Categoria Colocações');
INSERT INTO `lang_definitions` VALUES (86228, 8018, 17, 'PostCalendar Colocações Globais');
INSERT INTO `lang_definitions` VALUES (86229, 8023, 17, 'Postado em');
INSERT INTO `lang_definitions` VALUES (86230, 8026, 17, 'Data postando');
INSERT INTO `lang_definitions` VALUES (86231, 8037, 17, 'Prática');
INSERT INTO `lang_definitions` VALUES (86232, 8039, 17, 'Pratique Colocações');
INSERT INTO `lang_definitions` VALUES (86233, 8041, 17, 'Médico');
INSERT INTO `lang_definitions` VALUES (86234, 8045, 17, 'Consulta de Pre-aborto');
INSERT INTO `lang_definitions` VALUES (86235, 8046, 17, 'Pre-aborto Aconselhando');
INSERT INTO `lang_definitions` VALUES (86236, 8048, 17, 'Categoria de Preferência');
INSERT INTO `lang_definitions` VALUES (86237, 8050, 17, 'Preferências');
INSERT INTO `lang_definitions` VALUES (86238, 8052, 17, 'Categoria de Evento preferida');
INSERT INTO `lang_definitions` VALUES (86239, 8053, 17, 'Idioma Preferido');
INSERT INTO `lang_definitions` VALUES (86240, 8054, 17, 'Farmácia Preferida');
INSERT INTO `lang_definitions` VALUES (86241, 8055, 17, 'Provedor Organization preferida (PPO)');
INSERT INTO `lang_definitions` VALUES (86242, 8056, 17, 'Preg Test');
INSERT INTO `lang_definitions` VALUES (86243, 8057, 17, 'Preliminar');
INSERT INTO `lang_definitions` VALUES (86244, 8059, 17, 'Pague');
INSERT INTO `lang_definitions` VALUES (86245, 8061, 17, 'Prescrição');
INSERT INTO `lang_definitions` VALUES (86246, 8066, 17, 'Rótulo de prescrição');
INSERT INTO `lang_definitions` VALUES (86247, 8067, 17, 'Relatório de Prescrição');
INSERT INTO `lang_definitions` VALUES (86248, 8070, 17, 'Prescrições');
INSERT INTO `lang_definitions` VALUES (86249, 8073, 17, 'Prescrições e Dispensações');
INSERT INTO `lang_definitions` VALUES (86250, 8074, 17, 'Prescrições e outras indicações');
INSERT INTO `lang_definitions` VALUES (86251, 8075, 17, 'Indicações de and/or de prescrições por especialista');
INSERT INTO `lang_definitions` VALUES (86252, 8076, 17, 'Prescrições Informam');
INSERT INTO `lang_definitions` VALUES (86253, 8077, 17, 'Prescriptions/Referrals');
INSERT INTO `lang_definitions` VALUES (86254, 8078, 17, 'Presente');
INSERT INTO `lang_definitions` VALUES (86255, 8079, 17, 'Reclamação apresentando');
INSERT INTO `lang_definitions` VALUES (86256, 8081, 17, 'Pressione Continuar');
INSERT INTO `lang_definitions` VALUES (86257, 8084, 17, 'Diagnose presumida');
INSERT INTO `lang_definitions` VALUES (86258, 8085, 17, 'Diagnose presumida por especialista');
INSERT INTO `lang_definitions` VALUES (86259, 8086, 17, 'Prev');
INSERT INTO `lang_definitions` VALUES (86260, 8094, 17, 'Preveja Evento');
INSERT INTO `lang_definitions` VALUES (86261, 8098, 17, 'Anterior');
INSERT INTO `lang_definitions` VALUES (86262, 8099, 17, 'Consultas prévias');
INSERT INTO `lang_definitions` VALUES (86263, 8100, 17, 'Dia prévio');
INSERT INTO `lang_definitions` VALUES (86264, 8102, 17, 'History/Screening prévio');
INSERT INTO `lang_definitions` VALUES (86265, 8103, 17, 'Mês prévio');
INSERT INTO `lang_definitions` VALUES (86266, 8104, 17, 'Semana prévia');
INSERT INTO `lang_definitions` VALUES (86267, 8105, 17, 'Preço');
INSERT INTO `lang_definitions` VALUES (86268, 8108, 17, 'Preço Descontando');
INSERT INTO `lang_definitions` VALUES (86269, 8109, 17, 'Nível de preços');
INSERT INTO `lang_definitions` VALUES (86270, 8111, 17, 'Nível de preços:');
INSERT INTO `lang_definitions` VALUES (86271, 8113, 17, 'Preços');
INSERT INTO `lang_definitions` VALUES (86272, 8114, 17, 'Primário');
INSERT INTO `lang_definitions` VALUES (86273, 8125, 17, 'Ins primário');
INSERT INTO `lang_definitions` VALUES (86274, 8126, 17, 'Seguro primário');
INSERT INTO `lang_definitions` VALUES (86275, 8127, 17, 'Dados de Seguro primários');
INSERT INTO `lang_definitions` VALUES (86276, 8128, 17, 'Provedor de Seguro primário');
INSERT INTO `lang_definitions` VALUES (86277, 8129, 17, 'Provedor primário');
INSERT INTO `lang_definitions` VALUES (86278, 8130, 17, 'Impressão');
INSERT INTO `lang_definitions` VALUES (86279, 8135, 17, 'Imprima Forma de Indicação Em branco');
INSERT INTO `lang_definitions` VALUES (86280, 8143, 17, 'Imprima Formato');
INSERT INTO `lang_definitions` VALUES (86281, 8144, 17, 'Imprima Quatro Painel');
INSERT INTO `lang_definitions` VALUES (86282, 8148, 17, 'Imprima Múltiplo');
INSERT INTO `lang_definitions` VALUES (86283, 8149, 17, 'Imprima Múltiplo para Enviar fax');
INSERT INTO `lang_definitions` VALUES (86284, 8152, 17, 'Imprima Página 1');
INSERT INTO `lang_definitions` VALUES (86285, 8153, 17, 'Imprima Página 2');
INSERT INTO `lang_definitions` VALUES (86286, 8157, 17, 'Imprima Registro');
INSERT INTO `lang_definitions` VALUES (86287, 8164, 17, 'Imprima Registro Atirado');
INSERT INTO `lang_definitions` VALUES (86288, 8168, 17, 'Imprima esta nota');
INSERT INTO `lang_definitions` VALUES (86289, 8169, 17, 'Imprima Esta Nota');
INSERT INTO `lang_definitions` VALUES (86290, 8171, 17, 'Imprima para Enviar fax');
INSERT INTO `lang_definitions` VALUES (86291, 8172, 17, 'Imprima Visão');
INSERT INTO `lang_definitions` VALUES (86292, 8173, 17, 'imprimível');
INSERT INTO `lang_definitions` VALUES (86293, 8174, 17, 'Versão imprimível');
INSERT INTO `lang_definitions` VALUES (86294, 8175, 17, 'Impresso');
INSERT INTO `lang_definitions` VALUES (86295, 8178, 17, 'Resultados imprimindo:');
INSERT INTO `lang_definitions` VALUES (86296, 8180, 17, 'Imprimindo saltaram; veja teste produzido dentro');
INSERT INTO `lang_definitions` VALUES (86297, 8182, 17, 'Auth anterior');
INSERT INTO `lang_definitions` VALUES (86298, 8184, 17, 'Forma de Autorização anterior');
INSERT INTO `lang_definitions` VALUES (86299, 8192, 17, 'Prioridade');
INSERT INTO `lang_definitions` VALUES (86300, 8196, 17, 'Privado');
INSERT INTO `lang_definitions` VALUES (86301, 8197, 17, 'Problema');
INSERT INTO `lang_definitions` VALUES (86302, 8199, 17, 'Lista de problema');
INSERT INTO `lang_definitions` VALUES (86303, 8202, 17, 'Problemas/Questões');
INSERT INTO `lang_definitions` VALUES (86304, 8209, 17, 'Procedimento');
INSERT INTO `lang_definitions` VALUES (86305, 8254, 17, 'Procedimentos');
INSERT INTO `lang_definitions` VALUES (86306, 8256, 17, 'Processo');
INSERT INTO `lang_definitions` VALUES (86307, 8267, 17, 'Processando');
INSERT INTO `lang_definitions` VALUES (86308, 8279, 17, 'Produtos');
INSERT INTO `lang_definitions` VALUES (86309, 8282, 17, 'Prof.');
INSERT INTO `lang_definitions` VALUES (86310, 8295, 17, 'Câncer prostático');
INSERT INTO `lang_definitions` VALUES (86311, 8297, 17, 'Exame prostático');
INSERT INTO `lang_definitions` VALUES (86312, 8298, 17, 'Problemas prostáticos');
INSERT INTO `lang_definitions` VALUES (86313, 8299, 17, 'Enlrgmt de w/o prostático, nódulos, oferta,');
INSERT INTO `lang_definitions` VALUES (86314, 8318, 17, 'Clínico');
INSERT INTO `lang_definitions` VALUES (86315, 8330, 17, 'Número do Clínico');
INSERT INTO `lang_definitions` VALUES (86316, 8336, 17, 'Clínico:');
INSERT INTO `lang_definitions` VALUES (86317, 8337, 17, 'Clínicos');
INSERT INTO `lang_definitions` VALUES (86318, 8338, 17, 'NPI dos Clínicos');
INSERT INTO `lang_definitions` VALUES (86319, 8339, 17, 'Clínicos Vêem Todo Calendário');
INSERT INTO `lang_definitions` VALUES (86320, 8341, 17, 'Prv');
INSERT INTO `lang_definitions` VALUES (86321, 8342, 17, 'PSA');
INSERT INTO `lang_definitions` VALUES (86322, 8343, 17, 'Psoríase');
INSERT INTO `lang_definitions` VALUES (86323, 8345, 17, 'Intimide psicologicamente Diagnose');
INSERT INTO `lang_definitions` VALUES (86324, 8346, 17, 'Intimide psicologicamente Medicamento');
INSERT INTO `lang_definitions` VALUES (86325, 8347, 17, 'Psiquiátrico');
INSERT INTO `lang_definitions` VALUES (86326, 8348, 17, 'Carta Breve psiquiátrica');
INSERT INTO `lang_definitions` VALUES (86327, 8349, 17, 'Diagnose psiquiátrica');
INSERT INTO `lang_definitions` VALUES (86328, 8350, 17, 'Exame psiquiátrico');
INSERT INTO `lang_definitions` VALUES (86329, 8352, 17, 'História psiquiátrica');
INSERT INTO `lang_definitions` VALUES (86330, 8353, 17, 'Entrada psiquiátrica');
INSERT INTO `lang_definitions` VALUES (86331, 8354, 17, 'Medicamento psiquiátrico');
INSERT INTO `lang_definitions` VALUES (86332, 8358, 17, 'Pt%');
INSERT INTO `lang_definitions` VALUES (86333, 8360, 17, 'Notas Ut.');
INSERT INTO `lang_definitions` VALUES (86334, 8361, 17, 'Notas Ut./Aut');
INSERT INTO `lang_definitions` VALUES (86335, 8362, 17, 'Overpaid de Pt');
INSERT INTO `lang_definitions` VALUES (86336, 8364, 17, 'Pt Paid');
INSERT INTO `lang_definitions` VALUES (86337, 8366, 17, 'Pt reembolsam');
INSERT INTO `lang_definitions` VALUES (86338, 8367, 17, 'Pt libertou');
INSERT INTO `lang_definitions` VALUES (86339, 8368, 17, 'Pt Report');
INSERT INTO `lang_definitions` VALUES (86340, 8369, 17, 'Estudante de PT, ou deixa espaço em branco');
INSERT INTO `lang_definitions` VALUES (86341, 8371, 17, 'PT_DOB');
INSERT INTO `lang_definitions` VALUES (86342, 8373, 17, 'PT_FNAME');
INSERT INTO `lang_definitions` VALUES (86343, 8374, 17, 'PT_LNAME');
INSERT INTO `lang_definitions` VALUES (86344, 8375, 17, 'PT_MNAME');
INSERT INTO `lang_definitions` VALUES (86345, 8383, 17, 'Público');
INSERT INTO `lang_definitions` VALUES (86346, 8396, 17, 'Pulmonar');
INSERT INTO `lang_definitions` VALUES (86347, 8398, 17, 'Pulso');
INSERT INTO `lang_definitions` VALUES (86348, 8408, 17, 'q.3h');
INSERT INTO `lang_definitions` VALUES (86349, 8409, 17, 'q.4h');
INSERT INTO `lang_definitions` VALUES (86350, 8410, 17, 'q.5h');
INSERT INTO `lang_definitions` VALUES (86351, 8411, 17, 'q.6h');
INSERT INTO `lang_definitions` VALUES (86352, 8412, 17, 'q.8h');
INSERT INTO `lang_definitions` VALUES (86353, 8413, 17, 'q.d.');
INSERT INTO `lang_definitions` VALUES (86354, 8414, 17, 'q.i.d.');
INSERT INTO `lang_definitions` VALUES (86355, 8417, 17, 'QOH');
INSERT INTO `lang_definitions` VALUES (86356, 8419, 17, 'Qty');
INSERT INTO `lang_definitions` VALUES (86357, 8420, 17, 'QTY');
INSERT INTO `lang_definitions` VALUES (86358, 8421, 17, 'Qualidade');
INSERT INTO `lang_definitions` VALUES (86359, 8423, 17, 'Quantidade');
INSERT INTO `lang_definitions` VALUES (86360, 8425, 17, 'Quantidade para NDC');
INSERT INTO `lang_definitions` VALUES (86361, 8426, 17, 'Quantidade Disponível');
INSERT INTO `lang_definitions` VALUES (86362, 8432, 17, 'Fila para processamento em lote de HCFA');
INSERT INTO `lang_definitions` VALUES (86363, 8433, 17, 'Fila para processamento em lote de HCFA e imprimindo');
INSERT INTO `lang_definitions` VALUES (86364, 8434, 17, 'Fila para processamento em lote de UB-92');
INSERT INTO `lang_definitions` VALUES (86365, 8435, 17, 'Fila para processamento em lote de UB-92 e imprimindo');
INSERT INTO `lang_definitions` VALUES (86366, 8436, 17, 'Feito fila');
INSERT INTO `lang_definitions` VALUES (86367, 8437, 17, 'Administração de Eventos feita fila');
INSERT INTO `lang_definitions` VALUES (86368, 8438, 17, 'Feito fila para');
INSERT INTO `lang_definitions` VALUES (86369, 8440, 17, 'Administração de Submissões feita fila');
INSERT INTO `lang_definitions` VALUES (86370, 8445, 17, 'R');
INSERT INTO `lang_definitions` VALUES (86371, 8452, 17, 'Raça');
INSERT INTO `lang_definitions` VALUES (86372, 8454, 17, 'Raça/Etnia');
INSERT INTO `lang_definitions` VALUES (86373, 8456, 17, 'Rádio');
INSERT INTO `lang_definitions` VALUES (86374, 8457, 17, 'Botões de rádio');
INSERT INTO `lang_definitions` VALUES (86375, 8463, 17, 'Erupções cutâneas');
INSERT INTO `lang_definitions` VALUES (86376, 8464, 17, 'Taxa');
INSERT INTO `lang_definitions` VALUES (86377, 8480, 17, 'Re-aberto');
INSERT INTO `lang_definitions` VALUES (86378, 8482, 17, 'Re-aberto');
INSERT INTO `lang_definitions` VALUES (86379, 8484, 17, 'Reacção');
INSERT INTO `lang_definitions` VALUES (86380, 8485, 17, 'Reacção - urticária, náuseas, falta de ar ou outras');
INSERT INTO `lang_definitions` VALUES (86381, 8486, 17, 'Reacções');
INSERT INTO `lang_definitions` VALUES (86382, 8489, 17, 'Ler');
INSERT INTO `lang_definitions` VALUES (86383, 8496, 17, 'Nome Profissional');
INSERT INTO `lang_definitions` VALUES (86384, 8498, 17, 'Motivo');
INSERT INTO `lang_definitions` VALUES (86385, 8499, 17, 'Causa do Óbito');
INSERT INTO `lang_definitions` VALUES (86386, 8500, 17, 'Causa do Óbito');
INSERT INTO `lang_definitions` VALUES (86387, 8501, 17, 'Razão para indicação');
INSERT INTO `lang_definitions` VALUES (86388, 8502, 17, 'Razão para indicação');
INSERT INTO `lang_definitions` VALUES (86389, 8503, 17, 'Motivo da Visita');
INSERT INTO `lang_definitions` VALUES (86390, 8504, 17, 'Motivo da Visita');
INSERT INTO `lang_definitions` VALUES (86391, 8506, 17, 'Motivo/Formulário');
INSERT INTO `lang_definitions` VALUES (86392, 8507, 17, 'Motivo/Plano');
INSERT INTO `lang_definitions` VALUES (86393, 8521, 17, 'Recibo');
INSERT INTO `lang_definitions` VALUES (86394, 8522, 17, 'Recibo para Pagamento');
INSERT INTO `lang_definitions` VALUES (86395, 8523, 17, 'Recibo Gerou');
INSERT INTO `lang_definitions` VALUES (86396, 8524, 17, 'Recibos através de Relatório de Método de Pagamento');
INSERT INTO `lang_definitions` VALUES (86397, 8525, 17, 'Resumo de recibos');
INSERT INTO `lang_definitions` VALUES (86398, 8526, 17, 'Recebido');
INSERT INTO `lang_definitions` VALUES (86399, 8527, 17, 'Recebido Por');
INSERT INTO `lang_definitions` VALUES (86400, 8528, 17, 'Fac-símiles recebidos');
INSERT INTO `lang_definitions` VALUES (86401, 8532, 17, 'Receptor');
INSERT INTO `lang_definitions` VALUES (86402, 8533, 17, 'Administrador ID');
INSERT INTO `lang_definitions` VALUES (86403, 8552, 17, 'Recomendações');
INSERT INTO `lang_definitions` VALUES (86404, 8553, 17, 'Recomendações e tratamento');
INSERT INTO `lang_definitions` VALUES (86405, 8554, 17, 'Recomendações por especialista');
INSERT INTO `lang_definitions` VALUES (86406, 8568, 17, 'Registre Pagamento');
INSERT INTO `lang_definitions` VALUES (86407, 8572, 17, 'Registos');
INSERT INTO `lang_definitions` VALUES (86408, 8573, 17, 'registos encontrados');
INSERT INTO `lang_definitions` VALUES (86409, 8574, 17, 'registos encontrados.');
INSERT INTO `lang_definitions` VALUES (86410, 8578, 17, 'Retal');
INSERT INTO `lang_definitions` VALUES (86411, 8579, 17, 'Exame retal');
INSERT INTO `lang_definitions` VALUES (86412, 8580, 17, 'rectally');
INSERT INTO `lang_definitions` VALUES (86413, 8584, 17, 'Compromissos recorrentes');
INSERT INTO `lang_definitions` VALUES (86414, 8585, 17, 'Compromissos recorrentes - Mostra todos os compromissos recorrentes');
INSERT INTO `lang_definitions` VALUES (86415, 8593, 17, 'Vermelhidão');
INSERT INTO `lang_definitions` VALUES (86416, 8595, 17, 'reduzido:');
INSERT INTO `lang_definitions` VALUES (86417, 8597, 17, 'Se refira');
INSERT INTO `lang_definitions` VALUES (86418, 8598, 17, 'Se refira Por');
INSERT INTO `lang_definitions` VALUES (86419, 8599, 17, 'Se refira Data');
INSERT INTO `lang_definitions` VALUES (86420, 8600, 17, 'Se refira');
INSERT INTO `lang_definitions` VALUES (86421, 8603, 17, 'Classificação de referência (nível de risco)');
INSERT INTO `lang_definitions` VALUES (86422, 8605, 17, 'Razão de referência');
INSERT INTO `lang_definitions` VALUES (86423, 8609, 17, 'Nome de Referer e assinatura');
INSERT INTO `lang_definitions` VALUES (86424, 8610, 17, 'Indicação');
INSERT INTO `lang_definitions` VALUES (86425, 8611, 17, 'Indicação Por');
INSERT INTO `lang_definitions` VALUES (86426, 8612, 17, 'Cartão de indicação');
INSERT INTO `lang_definitions` VALUES (86427, 8613, 17, 'Data de indicação');
INSERT INTO `lang_definitions` VALUES (86428, 8614, 17, 'Forma de indicação');
INSERT INTO `lang_definitions` VALUES (86429, 8615, 17, 'FORMA DE INDICAÇÃO');
INSERT INTO `lang_definitions` VALUES (86430, 8619, 17, 'Fonte de indicação');
INSERT INTO `lang_definitions` VALUES (86431, 8621, 17, 'Indicação Para');
INSERT INTO `lang_definitions` VALUES (86432, 8622, 17, 'Indicações');
INSERT INTO `lang_definitions` VALUES (86433, 8623, 17, 'Indicações Informam');
INSERT INTO `lang_definitions` VALUES (86434, 8624, 17, 'Se referido por');
INSERT INTO `lang_definitions` VALUES (86435, 8625, 17, 'Se referido Por');
INSERT INTO `lang_definitions` VALUES (86436, 8627, 17, 'Se referido');
INSERT INTO `lang_definitions` VALUES (86437, 8628, 17, 'Referrer');
INSERT INTO `lang_definitions` VALUES (86438, 8630, 17, 'Diagnose de Referrer');
INSERT INTO `lang_definitions` VALUES (86439, 8631, 17, 'Diagnose de Referrer');
INSERT INTO `lang_definitions` VALUES (86440, 8633, 17, 'O médico se referindo e prática');
INSERT INTO `lang_definitions` VALUES (86441, 8635, 17, 'Provedor se referindo');
INSERT INTO `lang_definitions` VALUES (86442, 8639, 17, 'Recargas');
INSERT INTO `lang_definitions` VALUES (86443, 8640, 17, 'recargas');
INSERT INTO `lang_definitions` VALUES (86444, 8641, 17, 'Reflexos normais');
INSERT INTO `lang_definitions` VALUES (86445, 8645, 17, 'Atualizar');
INSERT INTO `lang_definitions` VALUES (86446, 8652, 17, 'reg_re');
INSERT INTO `lang_definitions` VALUES (86447, 8656, 17, 'registro');
INSERT INTO `lang_definitions` VALUES (86448, 8662, 17, 'Registrado');
INSERT INTO `lang_definitions` VALUES (86449, 8663, 17, 'registrado');
INSERT INTO `lang_definitions` VALUES (86450, 8668, 17, 'Data de inscrição');
INSERT INTO `lang_definitions` VALUES (86451, 8671, 17, 'Forma de inscrição');
INSERT INTO `lang_definitions` VALUES (86452, 8672, 17, 'Reabilitação');
INSERT INTO `lang_definitions` VALUES (86453, 8673, 17, 'Médico de Reabilitação');
INSERT INTO `lang_definitions` VALUES (86454, 8674, 17, 'Rejeitado');
INSERT INTO `lang_definitions` VALUES (86455, 8676, 17, 'Relacionado com');
INSERT INTO `lang_definitions` VALUES (86456, 8677, 17, 'Relacionado');
INSERT INTO `lang_definitions` VALUES (86457, 8680, 17, 'Relation(s) / as Crianças');
INSERT INTO `lang_definitions` VALUES (86458, 8681, 17, 'Relações');
INSERT INTO `lang_definitions` VALUES (86459, 8682, 17, 'Relação');
INSERT INTO `lang_definitions` VALUES (86460, 8684, 17, 'Parentes');
INSERT INTO `lang_definitions` VALUES (86461, 8695, 17, 'Retransmita credenciais de Saúde estão perdendo desta conta do usuário.');
INSERT INTO `lang_definitions` VALUES (86462, 8696, 17, 'Retransmita ID para Saúde');
INSERT INTO `lang_definitions` VALUES (86463, 8700, 17, 'Religião');
INSERT INTO `lang_definitions` VALUES (86464, 8705, 17, 'Relogin');
INSERT INTO `lang_definitions` VALUES (86465, 8706, 17, 'Lembrete');
INSERT INTO `lang_definitions` VALUES (86466, 8709, 17, 'Recordar Clínica Seleccionada');
INSERT INTO `lang_definitions` VALUES (86467, 8729, 17, 'Remover');
INSERT INTO `lang_definitions` VALUES (86468, 8733, 17, 'Remover Grupo');
INSERT INTO `lang_definitions` VALUES (86469, 8734, 17, 'Remova Forma de Grupo');
INSERT INTO `lang_definitions` VALUES (86470, 8743, 17, 'Pedras renais');
INSERT INTO `lang_definitions` VALUES (86471, 8745, 17, 'Renomeie Grupo');
INSERT INTO `lang_definitions` VALUES (86472, 8746, 17, 'Fazendo');
INSERT INTO `lang_definitions` VALUES (86473, 8747, 17, 'Provedor fazendo');
INSERT INTO `lang_definitions` VALUES (86474, 8748, 17, 'Provedor Number fazendo');
INSERT INTO `lang_definitions` VALUES (86475, 8750, 17, 'Reordenar');
INSERT INTO `lang_definitions` VALUES (86476, 8751, 17, 'Reordene A');
INSERT INTO `lang_definitions` VALUES (86477, 8759, 17, 'Info repetindo:');
INSERT INTO `lang_definitions` VALUES (86478, 8760, 17, 'Repetições');
INSERT INTO `lang_definitions` VALUES (86479, 8771, 17, 'Data de resposta');
INSERT INTO `lang_definitions` VALUES (86480, 8772, 17, 'Responda De');
INSERT INTO `lang_definitions` VALUES (86481, 8774, 17, 'Relatório');
INSERT INTO `lang_definitions` VALUES (86482, 8779, 17, 'Informe por');
INSERT INTO `lang_definitions` VALUES (86483, 8790, 17, 'Totais de relatório');
INSERT INTO `lang_definitions` VALUES (86484, 8797, 17, 'Relatórios');
INSERT INTO `lang_definitions` VALUES (86485, 8804, 17, 'Pedido ignorou - processo de reivindicações já é corrente!');
INSERT INTO `lang_definitions` VALUES (86486, 8815, 17, 'Serviço pedido');
INSERT INTO `lang_definitions` VALUES (86487, 8821, 17, 'Obrigatório');
INSERT INTO `lang_definitions` VALUES (86488, 8824, 17, 'Campo Obrigatório em falta: Escolha o ficheiro EDI-271 para carregar');
INSERT INTO `lang_definitions` VALUES (86489, 8832, 17, 'RESERVADO');
INSERT INTO `lang_definitions` VALUES (86490, 8833, 17, 'Reservado');
INSERT INTO `lang_definitions` VALUES (86491, 8834, 17, 'Reservado para uso para definir Tempo de Férias Marcado');
INSERT INTO `lang_definitions` VALUES (86492, 8835, 17, 'Reservou para definir quando um provedor pode não ter compromissos disponíveis depois.');
INSERT INTO `lang_definitions` VALUES (86493, 8836, 17, 'Reservou para definir quando um evento não aconteceu como especificado.');
INSERT INTO `lang_definitions` VALUES (86494, 8837, 17, 'Todefine reservado quando um provedor pode compromissos de haveavailable depois.');
INSERT INTO `lang_definitions` VALUES (86495, 8852, 17, 'Solucionado');
INSERT INTO `lang_definitions` VALUES (86496, 8855, 17, 'Respiração');
INSERT INTO `lang_definitions` VALUES (86497, 8856, 17, 'Unlabored de esforço de respirador');
INSERT INTO `lang_definitions` VALUES (86498, 8857, 17, 'Respiratório');
INSERT INTO `lang_definitions` VALUES (86499, 8865, 17, 'Restringir Utilizadores a Clínicas');
INSERT INTO `lang_definitions` VALUES (86500, 8866, 17, 'Formação Restricta');
INSERT INTO `lang_definitions` VALUES (86501, 8867, 17, 'Resultado');
INSERT INTO `lang_definitions` VALUES (86502, 8869, 17, 'Estado do Resultado');
INSERT INTO `lang_definitions` VALUES (86503, 8873, 17, 'Resultados e');
INSERT INTO `lang_definitions` VALUES (86504, 8874, 17, 'Resultados encontrados Para a Pesquisa');
INSERT INTO `lang_definitions` VALUES (86505, 8879, 17, 'Resultados por página');
INSERT INTO `lang_definitions` VALUES (86506, 8884, 17, 'Exame de Retinal');
INSERT INTO `lang_definitions` VALUES (86507, 8885, 17, 'Direito retratado:');
INSERT INTO `lang_definitions` VALUES (86508, 8886, 17, 'Retorno');
INSERT INTO `lang_definitions` VALUES (86509, 8890, 17, 'Voltar ao calendário');
INSERT INTO `lang_definitions` VALUES (86510, 8897, 17, 'Valor de retorno');
INSERT INTO `lang_definitions` VALUES (86511, 8898, 17, 'Visita de retorno');
INSERT INTO `lang_definitions` VALUES (86512, 8899, 17, 'Devolvido para Jogar');
INSERT INTO `lang_definitions` VALUES (86513, 8909, 17, 'Rever');
INSERT INTO `lang_definitions` VALUES (86514, 8910, 17, 'Rever e Aprovar');
INSERT INTO `lang_definitions` VALUES (86515, 8912, 17, 'Rever e Aprovar');
INSERT INTO `lang_definitions` VALUES (86516, 8913, 17, 'Rever auditorias');
INSERT INTO `lang_definitions` VALUES (86517, 8914, 17, 'Revisão de PMH:');
INSERT INTO `lang_definitions` VALUES (86518, 8915, 17, 'Revisão do sistema');
INSERT INTO `lang_definitions` VALUES (86519, 8917, 17, 'Check-up Geral');
INSERT INTO `lang_definitions` VALUES (86520, 8918, 17, 'Check-up Geral');
INSERT INTO `lang_definitions` VALUES (86521, 8919, 17, 'Rever estado');
INSERT INTO `lang_definitions` VALUES (86522, 8920, 17, 'Rever UB04');
INSERT INTO `lang_definitions` VALUES (86523, 8921, 17, 'Revisto');
INSERT INTO `lang_definitions` VALUES (86524, 8922, 17, 'Data de revisão');
INSERT INTO `lang_definitions` VALUES (86525, 8924, 17, 'Revisão');
INSERT INTO `lang_definitions` VALUES (86526, 8925, 17, 'Artrite Reumatóide');
INSERT INTO `lang_definitions` VALUES (86527, 8926, 17, 'Artrite Reumatóide');
INSERT INTO `lang_definitions` VALUES (86528, 8928, 17, 'Direito');
INSERT INTO `lang_definitions` VALUES (86529, 8931, 17, 'Orelha Direita');
INSERT INTO `lang_definitions` VALUES (86530, 8932, 17, 'orelha direita');
INSERT INTO `lang_definitions` VALUES (86531, 8940, 17, 'Direito:');
INSERT INTO `lang_definitions` VALUES (86532, 8941, 17, 'Zumbidos nos ouvidos');
INSERT INTO `lang_definitions` VALUES (86533, 8942, 17, 'Zumbidos nos ouvidos');
INSERT INTO `lang_definitions` VALUES (86534, 8944, 17, 'Factores de risco');
INSERT INTO `lang_definitions` VALUES (86535, 8945, 17, 'Nível de risco');
INSERT INTO `lang_definitions` VALUES (86536, 8949, 17, 'RLL:');
INSERT INTO `lang_definitions` VALUES (86537, 8955, 17, 'ROM');
INSERT INTO `lang_definitions` VALUES (86538, 8963, 17, 'Lista');
INSERT INTO `lang_definitions` VALUES (86539, 8966, 17, 'Via');
INSERT INTO `lang_definitions` VALUES (86540, 8967, 17, 'Via de administração, se aplicável');
INSERT INTO `lang_definitions` VALUES (86541, 8969, 17, 'Linhas');
INSERT INTO `lang_definitions` VALUES (86542, 8971, 17, 'RRR sem MOR');
INSERT INTO `lang_definitions` VALUES (86543, 8972, 17, 'Esfrega:');
INSERT INTO `lang_definitions` VALUES (86544, 8973, 17, 'Esfregas:');
INSERT INTO `lang_definitions` VALUES (86545, 8989, 17, 'Comando corrente:');
INSERT INTO `lang_definitions` VALUES (86546, 8990, 17, 'Ruptura');
INSERT INTO `lang_definitions` VALUES (86547, 8992, 17, 'Russo');
INSERT INTO `lang_definitions` VALUES (86548, 8995, 17, 'Rx');
INSERT INTO `lang_definitions` VALUES (86549, 8996, 17, 'RX');
INSERT INTO `lang_definitions` VALUES (86550, 9028, 17, 'S');
INSERT INTO `lang_definitions` VALUES (86551, 9029, 17, 'N. Utente');
INSERT INTO `lang_definitions` VALUES (86552, 9030, 17, 'S3:');
INSERT INTO `lang_definitions` VALUES (86553, 9031, 17, 'S4:');
INSERT INTO `lang_definitions` VALUES (86554, 9032, 17, 'SÁ * * por favor ler a licença lida o docs/license.txt ou visita * http://www.gnu.org/copyleft/gpl.html * * / / / == == == == == == == == == == == == == == == == == == == == == == == == == == == == == == == == == == == == = / /');
INSERT INTO `lang_definitions` VALUES (86555, 9034, 17, 'Venda');
INSERT INTO `lang_definitions` VALUES (86556, 9035, 17, 'Vendas');
INSERT INTO `lang_definitions` VALUES (86557, 9036, 17, 'Vendas por Artigo');
INSERT INTO `lang_definitions` VALUES (86558, 9037, 17, 'Vendas por Relatório de Produto');
INSERT INTO `lang_definitions` VALUES (86559, 9038, 17, 'Saliva');
INSERT INTO `lang_definitions` VALUES (86560, 9039, 17, 'Mesmo Dia');
INSERT INTO `lang_definitions` VALUES (86561, 9040, 17, 'Samoano');
INSERT INTO `lang_definitions` VALUES (86562, 9041, 17, 'Amostra');
INSERT INTO `lang_definitions` VALUES (86563, 9042, 17, 'Tipo de Sanção');
INSERT INTO `lang_definitions` VALUES (86564, 9047, 17, 'Sáb');
INSERT INTO `lang_definitions` VALUES (86565, 9048, 17, 'Sáb &amp; Dom');
INSERT INTO `lang_definitions` VALUES (86566, 9049, 17, 'Sábado');
INSERT INTO `lang_definitions` VALUES (86567, 9050, 17, 'Guardar');
INSERT INTO `lang_definitions` VALUES (86568, 9058, 17, 'Guardar e dispensar');
INSERT INTO `lang_definitions` VALUES (86569, 9061, 17, 'Guardar como Nova');
INSERT INTO `lang_definitions` VALUES (86570, 9063, 17, 'Guardar como nova nota');
INSERT INTO `lang_definitions` VALUES (86571, 9066, 17, 'Guardar Definições de Certificado');
INSERT INTO `lang_definitions` VALUES (86572, 9067, 17, 'Guardar Alterações');
INSERT INTO `lang_definitions` VALUES (86573, 9075, 17, 'Guardar Formulário');
INSERT INTO `lang_definitions` VALUES (86574, 9076, 17, 'Guardar Imunização');
INSERT INTO `lang_definitions` VALUES (86575, 9078, 17, 'Guardar Campo');
INSERT INTO `lang_definitions` VALUES (86576, 9079, 17, 'Guardar Grupo');
INSERT INTO `lang_definitions` VALUES (86577, 9080, 17, 'Guardar Lista');
INSERT INTO `lang_definitions` VALUES (86578, 9081, 17, 'Guardar Modelo');
INSERT INTO `lang_definitions` VALUES (86579, 9083, 17, 'Guardar Estatísticas do Utente');
INSERT INTO `lang_definitions` VALUES (86580, 9087, 17, 'Guardado com sucesso para o quadro de ID');
INSERT INTO `lang_definitions` VALUES (86581, 9089, 17, 'Guardar Operação');
INSERT INTO `lang_definitions` VALUES (86582, 9098, 17, 'Digitalizado');
INSERT INTO `lang_definitions` VALUES (86583, 9099, 17, 'Nota de Encontro digitalizada');
INSERT INTO `lang_definitions` VALUES (86584, 9101, 17, 'Escâner Em');
INSERT INTO `lang_definitions` VALUES (86585, 9104, 17, 'Horário');
INSERT INTO `lang_definitions` VALUES (86586, 9106, 17, 'Agenda da Clínica:');
INSERT INTO `lang_definitions` VALUES (86587, 9117, 17, 'NOTA ESCOLAR');
INSERT INTO `lang_definitions` VALUES (86588, 9122, 17, 'Escoliose');
INSERT INTO `lang_definitions` VALUES (86589, 9133, 17, 'SE');
INSERT INTO `lang_definitions` VALUES (86590, 9134, 17, 'SE Address');
INSERT INTO `lang_definitions` VALUES (86591, 9135, 17, 'Cidade de SE');
INSERT INTO `lang_definitions` VALUES (86592, 9136, 17, 'País de SE');
INSERT INTO `lang_definitions` VALUES (86593, 9137, 17, 'Localidade de SE');
INSERT INTO `lang_definitions` VALUES (86594, 9138, 17, 'SE Código Postal');
INSERT INTO `lang_definitions` VALUES (86595, 9139, 17, 'SE State');
INSERT INTO `lang_definitions` VALUES (86596, 9140, 17, 'Cep de SE');
INSERT INTO `lang_definitions` VALUES (86597, 9141, 17, 'Procurar');
INSERT INTO `lang_definitions` VALUES (86598, 9143, 17, 'procurar');
INSERT INTO `lang_definitions` VALUES (86599, 9144, 17, 'procurar novamente');
INSERT INTO `lang_definitions` VALUES (86600, 9150, 17, 'Procurar por:');
INSERT INTO `lang_definitions` VALUES (86601, 9152, 17, 'Procurar por');
INSERT INTO `lang_definitions` VALUES (86602, 9156, 17, 'Procurar por:');
INSERT INTO `lang_definitions` VALUES (86603, 9161, 17, 'Procurar ou Criar Utente');
INSERT INTO `lang_definitions` VALUES (86604, 9164, 17, 'Procurar Pagamento');
INSERT INTO `lang_definitions` VALUES (86605, 9168, 17, 'Procurar Resultados:');
INSERT INTO `lang_definitions` VALUES (86606, 9169, 17, 'Procurar Seleccionados');
INSERT INTO `lang_definitions` VALUES (86607, 9171, 17, 'O termo de procura não tem correspondência na base de dados');
INSERT INTO `lang_definitions` VALUES (86608, 9172, 17, 'Termo de procura deve ter pelo menos três carateres');
INSERT INTO `lang_definitions` VALUES (86609, 9175, 17, 'Procurar Eventos');
INSERT INTO `lang_definitions` VALUES (86610, 9177, 17, 'Procurar através do Método Exacto');
INSERT INTO `lang_definitions` VALUES (86611, 9178, 17, 'Procurar/Criar');
INSERT INTO `lang_definitions` VALUES (86612, 9179, 17, 'Procurar/Criar Entidade');
INSERT INTO `lang_definitions` VALUES (86613, 9181, 17, 'A procurar marcações');
INSERT INTO `lang_definitions` VALUES (86614, 9182, 17, 'A procurar...');
INSERT INTO `lang_definitions` VALUES (86615, 9184, 17, 'Uso de cinto de segurança');
INSERT INTO `lang_definitions` VALUES (86616, 9185, 17, 'Uso de cinto de segurança');
INSERT INTO `lang_definitions` VALUES (86617, 9186, 17, 'Segundo');
INSERT INTO `lang_definitions` VALUES (86618, 9189, 17, 'Secundário');
INSERT INTO `lang_definitions` VALUES (86619, 9191, 17, 'Seguro secundário');
INSERT INTO `lang_definitions` VALUES (86620, 9192, 17, 'Dados de Seguro secundários');
INSERT INTO `lang_definitions` VALUES (86621, 9193, 17, 'Provedor de Seguro secundário');
INSERT INTO `lang_definitions` VALUES (86622, 9207, 17, 'Segurança');
INSERT INTO `lang_definitions` VALUES (86623, 9208, 17, 'Ver Tudo');
INSERT INTO `lang_definitions` VALUES (86624, 9210, 17, 'Ver Autorizações');
INSERT INTO `lang_definitions` VALUES (86625, 9213, 17, 'Ver Quador-Crescimento');
INSERT INTO `lang_definitions` VALUES (86626, 9214, 17, 'Veja mensagens do último fixado de reivindicações geradas');
INSERT INTO `lang_definitions` VALUES (86627, 9218, 17, 'Visto desde então');
INSERT INTO `lang_definitions` VALUES (86628, 9222, 17, 'Ataques apopléticos');
INSERT INTO `lang_definitions` VALUES (86629, 9223, 17, 'Sel');
INSERT INTO `lang_definitions` VALUES (86630, 9224, 17, 'seleccionar');
INSERT INTO `lang_definitions` VALUES (86631, 9225, 17, 'Seleccionar');
INSERT INTO `lang_definitions` VALUES (86632, 9239, 17, 'Seleccionar Tudo');
INSERT INTO `lang_definitions` VALUES (86633, 9262, 17, 'Seleccionar data');
INSERT INTO `lang_definitions` VALUES (86634, 9265, 17, 'Seleccionar Diagnóstico');
INSERT INTO `lang_definitions` VALUES (86635, 9271, 17, 'Seleccionar Droga');
INSERT INTO `lang_definitions` VALUES (86636, 9272, 17, 'Seleccionar Drogas');
INSERT INTO `lang_definitions` VALUES (86637, 9276, 17, 'Campo seleccionado');
INSERT INTO `lang_definitions` VALUES (86638, 9278, 17, 'Campos Seleccionados');
INSERT INTO `lang_definitions` VALUES (86639, 9279, 17, 'Seleccione para imprimir');
INSERT INTO `lang_definitions` VALUES (86640, 9285, 17, 'Seleccione Imunizações');
INSERT INTO `lang_definitions` VALUES (86641, 9288, 17, 'Assunto seleto');
INSERT INTO `lang_definitions` VALUES (86642, 9291, 17, 'Seleccione Idioma');
INSERT INTO `lang_definitions` VALUES (86643, 9321, 17, 'Selecione os artigos de configuração para exportar');
INSERT INTO `lang_definitions` VALUES (86644, 9338, 17, 'Selecionar Utilizador');
INSERT INTO `lang_definitions` VALUES (86645, 9340, 17, 'Selecionar Utilizador da Lista');
INSERT INTO `lang_definitions` VALUES (86646, 9343, 17, 'Selecione Sim para confirmar apagamento de grupo');
INSERT INTO `lang_definitions` VALUES (86647, 9349, 17, 'Seleccionado');
INSERT INTO `lang_definitions` VALUES (86648, 9357, 17, 'Ego');
INSERT INTO `lang_definitions` VALUES (86649, 9358, 17, 'Pagamento de ego');
INSERT INTO `lang_definitions` VALUES (86650, 9360, 17, 'Enviar');
INSERT INTO `lang_definitions` VALUES (86651, 9369, 17, 'Envio em progresso');
INSERT INTO `lang_definitions` VALUES (86652, 9372, 17, 'Enviar mensagem');
INSERT INTO `lang_definitions` VALUES (86653, 9384, 17, 'Enviar este ficheiro');
INSERT INTO `lang_definitions` VALUES (86654, 9395, 17, 'Remetente');
INSERT INTO `lang_definitions` VALUES (86655, 9396, 17, 'Remetente ID');
INSERT INTO `lang_definitions` VALUES (86656, 9407, 17, 'Sensibilidades');
INSERT INTO `lang_definitions` VALUES (86657, 9411, 17, 'Sensibilidade:');
INSERT INTO `lang_definitions` VALUES (86658, 9412, 17, 'Normal de exame sensório');
INSERT INTO `lang_definitions` VALUES (86659, 9420, 17, 'Enviado prosperamente');
INSERT INTO `lang_definitions` VALUES (86660, 9423, 17, 'enviado para a impressora.');
INSERT INTO `lang_definitions` VALUES (86661, 9429, 17, 'Set');
INSERT INTO `lang_definitions` VALUES (86662, 9430, 17, 'Separado(a)');
INSERT INTO `lang_definitions` VALUES (86663, 9431, 17, 'Setembro');
INSERT INTO `lang_definitions` VALUES (86664, 9433, 17, 'Sequência');
INSERT INTO `lang_definitions` VALUES (86665, 9442, 17, 'Serviço');
INSERT INTO `lang_definitions` VALUES (86666, 9444, 17, 'Categoria Serviço');
INSERT INTO `lang_definitions` VALUES (86667, 9445, 17, 'Código Serviço');
INSERT INTO `lang_definitions` VALUES (86668, 9447, 17, 'Códigos Serviço');
INSERT INTO `lang_definitions` VALUES (86669, 9448, 17, 'Data de Serviço');
INSERT INTO `lang_definitions` VALUES (86670, 9451, 17, 'Data de Serviço:');
INSERT INTO `lang_definitions` VALUES (86671, 9455, 17, 'Localização do Serviço');
INSERT INTO `lang_definitions` VALUES (86672, 9457, 17, 'Serviço efectuado pelo especialista');
INSERT INTO `lang_definitions` VALUES (86673, 9461, 17, 'Serviços');
INSERT INTO `lang_definitions` VALUES (86674, 9462, 17, 'Serviços por Categoria');
INSERT INTO `lang_definitions` VALUES (86675, 9463, 17, 'Serviços Efectuados');
INSERT INTO `lang_definitions` VALUES (86676, 9464, 17, 'Serviços efectuados');
INSERT INTO `lang_definitions` VALUES (86677, 9465, 17, 'Serviços/Produtos');
INSERT INTO `lang_definitions` VALUES (86678, 9466, 17, 'Tipo de Sessão');
INSERT INTO `lang_definitions` VALUES (86679, 9467, 17, 'Define');
INSERT INTO `lang_definitions` VALUES (86680, 9479, 17, 'Define Como');
INSERT INTO `lang_definitions` VALUES (86681, 9480, 17, 'Define como Padrão');
INSERT INTO `lang_definitions` VALUES (86682, 9488, 17, 'Definições');
INSERT INTO `lang_definitions` VALUES (86683, 9492, 17, 'Grave');
INSERT INTO `lang_definitions` VALUES (86684, 9493, 17, 'Enxaqueca severa');
INSERT INTO `lang_definitions` VALUES (86685, 9496, 17, 'Intensidade da Dor');
INSERT INTO `lang_definitions` VALUES (86686, 9497, 17, 'Intensidade da Dor:');
INSERT INTO `lang_definitions` VALUES (86687, 9498, 17, 'Sexo');
INSERT INTO `lang_definitions` VALUES (86688, 9499, 17, 'Doença Sexualmente Transmitida');
INSERT INTO `lang_definitions` VALUES (86689, 9503, 17, 'A Partilhar');
INSERT INTO `lang_definitions` VALUES (86690, 9510, 17, 'Falta de ar');
INSERT INTO `lang_definitions` VALUES (86691, 9511, 17, 'Falta De Ar');
INSERT INTO `lang_definitions` VALUES (86692, 9512, 17, 'Falta De Ar 2');
INSERT INTO `lang_definitions` VALUES (86693, 9513, 17, 'Registro de tiro');
INSERT INTO `lang_definitions` VALUES (86694, 9514, 17, 'Registro de tiro a partir de:');
INSERT INTO `lang_definitions` VALUES (86695, 9516, 17, 'deveria estar como nnnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (86696, 9517, 17, 'Deve ter duas letras');
INSERT INTO `lang_definitions` VALUES (86697, 9520, 17, 'Ombro');
INSERT INTO `lang_definitions` VALUES (86698, 9521, 17, 'Ombro + clavícula');
INSERT INTO `lang_definitions` VALUES (86699, 9522, 17, 'Problemas no ombro');
INSERT INTO `lang_definitions` VALUES (86700, 9523, 17, 'Ver');
INSERT INTO `lang_definitions` VALUES (86701, 9531, 17, 'Mostrar Todas as Transacções');
INSERT INTO `lang_definitions` VALUES (86702, 9532, 17, 'Ver como Ocupado');
INSERT INTO `lang_definitions` VALUES (86703, 9533, 17, 'Mostrar só as Autorizadas');
INSERT INTO `lang_definitions` VALUES (86704, 9534, 17, 'Ver Períodos Disponíveis');
INSERT INTO `lang_definitions` VALUES (86705, 9535, 17, 'Mostrar medidas US e métricas (defeito: métricas)');
INSERT INTO `lang_definitions` VALUES (86706, 9536, 17, 'Mostrar medidas US e métricas (defeito: US)');
INSERT INTO `lang_definitions` VALUES (86707, 9540, 17, 'Ver Detalhes');
INSERT INTO `lang_definitions` VALUES (86708, 9544, 17, 'Ver Gráfico');
INSERT INTO `lang_definitions` VALUES (86709, 9546, 17, 'Espetáculo que paira texto de evento mouseover aceso?');
INSERT INTO `lang_definitions` VALUES (86710, 9547, 17, 'Espetáculo quantos eventos páginas de admin acesas?');
INSERT INTO `lang_definitions` VALUES (86711, 9553, 17, 'Só mostrar métricas');
INSERT INTO `lang_definitions` VALUES (86712, 9556, 17, 'Mostrar Notas');
INSERT INTO `lang_definitions` VALUES (86713, 9561, 17, 'Mostrar Notas do Utetnes');
INSERT INTO `lang_definitions` VALUES (86714, 9568, 17, 'Mostrar Lembretes');
INSERT INTO `lang_definitions` VALUES (86715, 9569, 17, 'Relatório de espetáculo');
INSERT INTO `lang_definitions` VALUES (86716, 9570, 17, 'Ligações de search/submit de espetáculo em bloco?');
INSERT INTO `lang_definitions` VALUES (86717, 9580, 17, 'Mostre Unbilled Only');
INSERT INTO `lang_definitions` VALUES (86718, 9581, 17, 'Só mostrar US');
INSERT INTO `lang_definitions` VALUES (86719, 9582, 17, 'Mostrar Razão de Visita no Flow Board do Paciente');
INSERT INTO `lang_definitions` VALUES (86720, 9585, 17, 'A mostrar');
INSERT INTO `lang_definitions` VALUES (86721, 9586, 17, 'A mostrar 0 até 0 de 0 registos');
INSERT INTO `lang_definitions` VALUES (86722, 9595, 17, 'Irmãos');
INSERT INTO `lang_definitions` VALUES (86723, 9596, 17, 'Sickle Cell');
INSERT INTO `lang_definitions` VALUES (86724, 9597, 17, 'Sig');
INSERT INTO `lang_definitions` VALUES (86725, 9598, 17, 'Sigmoid/Colonoscopy');
INSERT INTO `lang_definitions` VALUES (86726, 9606, 17, 'Assinatura');
INSERT INTO `lang_definitions` VALUES (86727, 9609, 17, 'Assinatura:');
INSERT INTO `lang_definitions` VALUES (86728, 9614, 17, 'Inchação significante:');
INSERT INTO `lang_definitions` VALUES (86729, 9619, 17, 'Desde então');
INSERT INTO `lang_definitions` VALUES (86730, 9620, 17, 'Cordialmente,');
INSERT INTO `lang_definitions` VALUES (86731, 9622, 17, 'Solteiro(a)');
INSERT INTO `lang_definitions` VALUES (86732, 9624, 17, 'Lista de selecção única');
INSERT INTO `lang_definitions` VALUES (86733, 9625, 17, 'Lista de selecção única com possibilidade de adicionar');
INSERT INTO `lang_definitions` VALUES (86734, 9629, 17, 'sinusite');
INSERT INTO `lang_definitions` VALUES (86735, 9630, 17, 'Cirurgia de seio');
INSERT INTO `lang_definitions` VALUES (86736, 9631, 17, 'bombeamento do SEIO:');
INSERT INTO `lang_definitions` VALUES (86737, 9632, 17, 'Sinusite');
INSERT INTO `lang_definitions` VALUES (86738, 9643, 17, 'Tamanho');
INSERT INTO `lang_definitions` VALUES (86739, 9646, 17, 'Tamanho deve ser um número entre 1 e 999');
INSERT INTO `lang_definitions` VALUES (86740, 9648, 17, 'Size/List');
INSERT INTO `lang_definitions` VALUES (86741, 9650, 17, 'Pele');
INSERT INTO `lang_definitions` VALUES (86742, 9651, 17, 'carcinoma da pele');
INSERT INTO `lang_definitions` VALUES (86743, 9652, 17, 'Doença de pele');
INSERT INTO `lang_definitions` VALUES (86744, 9653, 17, 'Pele Outro');
INSERT INTO `lang_definitions` VALUES (86745, 9664, 17, 'Padrões de sono');
INSERT INTO `lang_definitions` VALUES (86746, 9665, 17, 'Padrões de Sono');
INSERT INTO `lang_definitions` VALUES (86747, 9666, 17, 'Dormindo');
INSERT INTO `lang_definitions` VALUES (86748, 9668, 17, 'Eslovaco');
INSERT INTO `lang_definitions` VALUES (86749, 9670, 17, 'Sm dívida w/o');
INSERT INTO `lang_definitions` VALUES (86750, 9675, 17, 'Esconderijo de Smarty foi clareado');
INSERT INTO `lang_definitions` VALUES (86751, 9676, 17, 'Fumador, estado actual desconhecido');
INSERT INTO `lang_definitions` VALUES (86752, 9678, 17, 'Fumador');
INSERT INTO `lang_definitions` VALUES (86753, 9683, 17, 'Portal de SMS');
INSERT INTO `lang_definitions` VALUES (86754, 9684, 17, 'Portal de SMS chave de API');
INSERT INTO `lang_definitions` VALUES (86755, 9689, 17, 'Notificação de SMS');
INSERT INTO `lang_definitions` VALUES (86756, 9693, 17, 'SMS enviam antes');
INSERT INTO `lang_definitions` VALUES (86757, 9697, 17, 'Texto de SMS, Etiqueta Utilizável,: * * * NOME * * *, * * * o PROVEDOR * * *, * * * DATA * * *, * * * STARTTIME * * *, * * * ENDTIME***<br> i.e. Querido * * * NOME * * *');
INSERT INTO `lang_definitions` VALUES (86758, 9701, 17, 'SMS/Email Alert Colocações');
INSERT INTO `lang_definitions` VALUES (86759, 9721, 17, 'Ronco');
INSERT INTO `lang_definitions` VALUES (86760, 9722, 17, 'SOAP');
INSERT INTO `lang_definitions` VALUES (86761, 9726, 17, 'Dificuldades sociais');
INSERT INTO `lang_definitions` VALUES (86762, 9729, 17, 'História social:');
INSERT INTO `lang_definitions` VALUES (86763, 9730, 17, 'Número de previdência social');
INSERT INTO `lang_definitions` VALUES (86764, 9732, 17, 'solução');
INSERT INTO `lang_definitions` VALUES (86765, 9734, 17, 'Contexto somático');
INSERT INTO `lang_definitions` VALUES (86766, 9735, 17, 'Algumas autorizações não foram exibidas. Faça tique-taque aqui para ver tudo');
INSERT INTO `lang_definitions` VALUES (86767, 9736, 17, 'Alguns códigos não foram exibidos.');
INSERT INTO `lang_definitions` VALUES (86768, 9737, 17, 'Alguns encontros não foram exibidos. Faça tique-taque aqui para ver tudo.');
INSERT INTO `lang_definitions` VALUES (86769, 9740, 17, 'Algumas notas não foram exibidas.');
INSERT INTO `lang_definitions` VALUES (86770, 9743, 17, 'algumas palavras');
INSERT INTO `lang_definitions` VALUES (86771, 9750, 17, 'Dor de garganta');
INSERT INTO `lang_definitions` VALUES (86772, 9754, 17, 'Erro ao carregar o ficheiro');
INSERT INTO `lang_definitions` VALUES (86773, 9758, 17, 'Ordenar por');
INSERT INTO `lang_definitions` VALUES (86774, 9759, 17, 'Ordenar Por');
INSERT INTO `lang_definitions` VALUES (86775, 9761, 17, 'Ordenar por Checksum');
INSERT INTO `lang_definitions` VALUES (86776, 9762, 17, 'Ordenar por Comentários');
INSERT INTO `lang_definitions` VALUES (86777, 9763, 17, 'Ordenar por Critério');
INSERT INTO `lang_definitions` VALUES (86778, 9764, 17, 'Ordenar por data');
INSERT INTO `lang_definitions` VALUES (86779, 9765, 17, 'Ordenar por data/hora');
INSERT INTO `lang_definitions` VALUES (86780, 9766, 17, 'Ordenar por Evento');
INSERT INTO `lang_definitions` VALUES (86781, 9767, 17, 'Ordenar por Grupo');
INSERT INTO `lang_definitions` VALUES (86782, 9770, 17, 'Ordenar por ID Utente');
INSERT INTO `lang_definitions` VALUES (86783, 9772, 17, 'Ordenar por Sucesso');
INSERT INTO `lang_definitions` VALUES (86784, 9774, 17, 'Ordenar por Utilizador');
INSERT INTO `lang_definitions` VALUES (86785, 9775, 17, 'Ordenar por vacina');
INSERT INTO `lang_definitions` VALUES (86786, 9776, 17, 'Ordem Descendente');
INSERT INTO `lang_definitions` VALUES (86787, 9777, 17, 'Ordenar Resultado por');
INSERT INTO `lang_definitions` VALUES (86788, 9778, 17, 'Ordem Ascendente');
INSERT INTO `lang_definitions` VALUES (86789, 9779, 17, 'Fonte');
INSERT INTO `lang_definitions` VALUES (86790, 9781, 17, 'Ficheiro Fonte');
INSERT INTO `lang_definitions` VALUES (86791, 9783, 17, 'Fonte está perdendo para código');
INSERT INTO `lang_definitions` VALUES (86792, 9789, 17, 'Fonte:');
INSERT INTO `lang_definitions` VALUES (86793, 9792, 17, 'Espaço');
INSERT INTO `lang_definitions` VALUES (86794, 9795, 17, 'Espanhol');
INSERT INTO `lang_definitions` VALUES (86795, 9801, 17, 'Especialista');
INSERT INTO `lang_definitions` VALUES (86796, 9802, 17, 'Nome do especialista e assinatura');
INSERT INTO `lang_definitions` VALUES (86797, 9804, 17, 'Especialidade');
INSERT INTO `lang_definitions` VALUES (86798, 9805, 17, 'Sistemas de especialidade');
INSERT INTO `lang_definitions` VALUES (86799, 9806, 17, 'Especialidade:');
INSERT INTO `lang_definitions` VALUES (86800, 9807, 17, 'Específico');
INSERT INTO `lang_definitions` VALUES (86801, 9811, 17, 'Serviço específico');
INSERT INTO `lang_definitions` VALUES (86802, 9827, 17, 'Notas');
INSERT INTO `lang_definitions` VALUES (86803, 9828, 17, 'Espermicidas');
INSERT INTO `lang_definitions` VALUES (86804, 9831, 17, 'Splenectomy');
INSERT INTO `lang_definitions` VALUES (86805, 9832, 17, 'Cônjuge');
INSERT INTO `lang_definitions` VALUES (86806, 9834, 17, 'Cuspe');
INSERT INTO `lang_definitions` VALUES (86807, 9835, 17, 'Cuspe:');
INSERT INTO `lang_definitions` VALUES (86808, 9836, 17, 'SQ');
INSERT INTO `lang_definitions` VALUES (86809, 9839, 17, 'Esquadra');
INSERT INTO `lang_definitions` VALUES (86810, 9840, 17, 'Sociedade de esquadra');
INSERT INTO `lang_definitions` VALUES (86811, 9841, 17, 'Esquadras');
INSERT INTO `lang_definitions` VALUES (86812, 9843, 17, 'SRH');
INSERT INTO `lang_definitions` VALUES (86813, 9844, 17, 'SRH - Controle de natalidade');
INSERT INTO `lang_definitions` VALUES (86814, 9845, 17, 'SRH Non Controle de natalidade');
INSERT INTO `lang_definitions` VALUES (86815, 9846, 17, 'Indicações de SRH');
INSERT INTO `lang_definitions` VALUES (86816, 9847, 17, 'SRH Visit Forma');
INSERT INTO `lang_definitions` VALUES (86817, 9849, 17, 'N. Ut.');
INSERT INTO `lang_definitions` VALUES (86818, 9851, 17, 'NISS');
INSERT INTO `lang_definitions` VALUES (86819, 9852, 17, 'Estabilidade');
INSERT INTO `lang_definitions` VALUES (86820, 9855, 17, 'Defeito');
INSERT INTO `lang_definitions` VALUES (86821, 9857, 17, 'Código de Defeito');
INSERT INTO `lang_definitions` VALUES (86822, 9864, 17, 'Nome de Defeito');
INSERT INTO `lang_definitions` VALUES (86823, 9866, 17, 'Início');
INSERT INTO `lang_definitions` VALUES (86824, 9867, 17, 'Início (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (86825, 9874, 17, 'Data de Início');
INSERT INTO `lang_definitions` VALUES (86826, 9876, 17, 'Data de Início Nesta Clínica');
INSERT INTO `lang_definitions` VALUES (86827, 9877, 17, 'Data de início deve ser maior que a Data de Fim');
INSERT INTO `lang_definitions` VALUES (86828, 9878, 17, 'Data de início:');
INSERT INTO `lang_definitions` VALUES (86829, 9879, 17, 'Data de Início:');
INSERT INTO `lang_definitions` VALUES (86830, 9881, 17, 'Hora de Início');
INSERT INTO `lang_definitions` VALUES (86831, 9884, 17, 'Data de Início');
INSERT INTO `lang_definitions` VALUES (86832, 9888, 17, 'estd');
INSERT INTO `lang_definitions` VALUES (86833, 9889, 17, 'Distrito');
INSERT INTO `lang_definitions` VALUES (86834, 9894, 17, 'Lista estatal (write,addonly opcional)');
INSERT INTO `lang_definitions` VALUES (86835, 9898, 17, 'State/Locality');
INSERT INTO `lang_definitions` VALUES (86836, 9899, 17, 'State/Parish');
INSERT INTO `lang_definitions` VALUES (86837, 9909, 17, 'Demografia');
INSERT INTO `lang_definitions` VALUES (86838, 9910, 17, 'Estatísticas');
INSERT INTO `lang_definitions` VALUES (86839, 9911, 17, 'Estado');
INSERT INTO `lang_definitions` VALUES (86840, 9916, 17, 'Status quo');
INSERT INTO `lang_definitions` VALUES (86841, 9918, 17, 'STD/AIDS Couns');
INSERT INTO `lang_definitions` VALUES (86842, 9919, 17, 'Stength e Condicionando');
INSERT INTO `lang_definitions` VALUES (86843, 9932, 17, 'articulações duras');
INSERT INTO `lang_definitions` VALUES (86844, 9933, 17, 'Dureza');
INSERT INTO `lang_definitions` VALUES (86845, 9936, 17, 'Dores de estômago');
INSERT INTO `lang_definitions` VALUES (86846, 9944, 17, 'rigidez muscular');
INSERT INTO `lang_definitions` VALUES (86847, 9946, 17, 'Fluxo');
INSERT INTO `lang_definitions` VALUES (86848, 9947, 17, 'Rua');
INSERT INTO `lang_definitions` VALUES (86849, 9948, 17, 'Endereço');
INSERT INTO `lang_definitions` VALUES (86850, 9949, 17, 'Rua e Número');
INSERT INTO `lang_definitions` VALUES (86851, 9950, 17, 'Força');
INSERT INTO `lang_definitions` VALUES (86852, 9952, 17, 'amigdalite streptococica');
INSERT INTO `lang_definitions` VALUES (86853, 9953, 17, 'Fratura de tensão');
INSERT INTO `lang_definitions` VALUES (86854, 9954, 17, 'Teste de stress');
INSERT INTO `lang_definitions` VALUES (86855, 9956, 17, 'Golpe');
INSERT INTO `lang_definitions` VALUES (86856, 9958, 17, 'Uma senha forte tem pelo menos 8 caracteres e pelo três de: uma letra minúscula, uma maiúscula, um caractere especial');
INSERT INTO `lang_definitions` VALUES (86857, 9965, 17, 'Sub-categoria');
INSERT INTO `lang_definitions` VALUES (86858, 9966, 17, 'Sub-Total');
INSERT INTO `lang_definitions` VALUES (86859, 9967, 17, 'Subcategoria');
INSERT INTO `lang_definitions` VALUES (86860, 9968, 17, 'Subcategoria');
INSERT INTO `lang_definitions` VALUES (86861, 9969, 17, 'subcutâneo');
INSERT INTO `lang_definitions` VALUES (86862, 9971, 17, 'Subjetivo');
INSERT INTO `lang_definitions` VALUES (86863, 9972, 17, 'Sublingual');
INSERT INTO `lang_definitions` VALUES (86864, 9973, 17, 'sublingual');
INSERT INTO `lang_definitions` VALUES (86865, 9974, 17, 'Submeter');
INSERT INTO `lang_definitions` VALUES (86866, 9975, 17, 'submeter');
INSERT INTO `lang_definitions` VALUES (86867, 9976, 17, 'Submeter Tudo');
INSERT INTO `lang_definitions` VALUES (86868, 9979, 17, 'Submeter Evento');
INSERT INTO `lang_definitions` VALUES (86869, 9980, 17, 'submeter formulário');
INSERT INTO `lang_definitions` VALUES (86870, 9982, 17, 'Submeter Conteúdo Seleccionado');
INSERT INTO `lang_definitions` VALUES (86871, 9984, 17, 'submetido');
INSERT INTO `lang_definitions` VALUES (86872, 9985, 17, 'Submetido por');
INSERT INTO `lang_definitions` VALUES (86873, 9987, 17, 'Subscritor');
INSERT INTO `lang_definitions` VALUES (86874, 9988, 17, 'Endereço de subscritor');
INSERT INTO `lang_definitions` VALUES (86875, 9992, 17, 'Empregador de subscritor');
INSERT INTO `lang_definitions` VALUES (86876, 9993, 17, 'Empregador de subscritor (SE)');
INSERT INTO `lang_definitions` VALUES (86877, 9994, 17, 'Subscritor Empregador Address');
INSERT INTO `lang_definitions` VALUES (86878, 9995, 17, 'Subscritor Empregador City');
INSERT INTO `lang_definitions` VALUES (86879, 9996, 17, 'Subscritor Empregador Country');
INSERT INTO `lang_definitions` VALUES (86880, 9997, 17, 'Subscritor Empregador State');
INSERT INTO `lang_definitions` VALUES (86881, 10000, 17, 'Subscritor Empregador Cep');
INSERT INTO `lang_definitions` VALUES (86882, 10005, 17, 'Telefone de subscritor');
INSERT INTO `lang_definitions` VALUES (86883, 10006, 17, 'Relação de subscritor');
INSERT INTO `lang_definitions` VALUES (86884, 10007, 17, 'Relação de subscritor não é ego mas nome é o mesmo! Este realmente é o OK?');
INSERT INTO `lang_definitions` VALUES (86885, 10008, 17, 'Relação de subscritor não é ego mas número de SS é o mesmo!');
INSERT INTO `lang_definitions` VALUES (86886, 10009, 17, 'Relação de subscritor é ego mas nome é diferente! Este realmente é o OK?');
INSERT INTO `lang_definitions` VALUES (86887, 10010, 17, 'Relação de subscritor é ego mas número de SS é diferente!');
INSERT INTO `lang_definitions` VALUES (86888, 10011, 17, 'Sexo de subscritor');
INSERT INTO `lang_definitions` VALUES (86889, 10020, 17, 'Substituição');
INSERT INTO `lang_definitions` VALUES (86890, 10021, 17, 'substituição permitida');
INSERT INTO `lang_definitions` VALUES (86891, 10024, 17, 'Sucesso');
INSERT INTO `lang_definitions` VALUES (86892, 10025, 17, 'sucesso');
INSERT INTO `lang_definitions` VALUES (86893, 10031, 17, 'prosperamente acrescentado a categoria,');
INSERT INTO `lang_definitions` VALUES (86894, 10042, 17, 'prosperamente armazenado.');
INSERT INTO `lang_definitions` VALUES (86895, 10046, 17, 'prosperamente.');
INSERT INTO `lang_definitions` VALUES (86896, 10049, 17, 'Suicídio');
INSERT INTO `lang_definitions` VALUES (86897, 10051, 17, 'Resumo');
INSERT INTO `lang_definitions` VALUES (86898, 10052, 17, 'Resumo de');
INSERT INTO `lang_definitions` VALUES (86899, 10058, 17, 'Dom');
INSERT INTO `lang_definitions` VALUES (86900, 10060, 17, 'Domingo');
INSERT INTO `lang_definitions` VALUES (86901, 10061, 17, 'Superbill');
INSERT INTO `lang_definitions` VALUES (86902, 10062, 17, 'Superbill Codes');
INSERT INTO `lang_definitions` VALUES (86903, 10063, 17, 'Superbill Codes Administração');
INSERT INTO `lang_definitions` VALUES (86904, 10065, 17, 'Superbill Report');
INSERT INTO `lang_definitions` VALUES (86905, 10068, 17, 'Superbills, às vezes chamado Formas de Encontro ou Deslizes Derrotando, são uma parte essencial da maioria das práticas médicas.');
INSERT INTO `lang_definitions` VALUES (86906, 10069, 17, 'Superutilizador');
INSERT INTO `lang_definitions` VALUES (86907, 10071, 17, 'Supervisionando');
INSERT INTO `lang_definitions` VALUES (86908, 10090, 17, 'Tipo de superfície');
INSERT INTO `lang_definitions` VALUES (86909, 10092, 17, 'Cirurgias');
INSERT INTO `lang_definitions` VALUES (86910, 10093, 17, 'Cirurgia');
INSERT INTO `lang_definitions` VALUES (86911, 10095, 17, 'Suspenso');
INSERT INTO `lang_definitions` VALUES (86912, 10096, 17, 'suspensão');
INSERT INTO `lang_definitions` VALUES (86913, 10098, 17, 'Svc Date');
INSERT INTO `lang_definitions` VALUES (86914, 10099, 17, 'Svc Date:');
INSERT INTO `lang_definitions` VALUES (86915, 10102, 17, 'Transpiração:');
INSERT INTO `lang_definitions` VALUES (86916, 10103, 17, 'Sueco');
INSERT INTO `lang_definitions` VALUES (86917, 10104, 17, 'Inchaço');
INSERT INTO `lang_definitions` VALUES (86918, 10105, 17, 'Direito inchando');
INSERT INTO `lang_definitions` VALUES (86919, 10106, 17, 'articulações inchadas');
INSERT INTO `lang_definitions` VALUES (86920, 10107, 17, 'Ganglios linfáticos aumentados');
INSERT INTO `lang_definitions` VALUES (86921, 10110, 17, 'Sintomas');
INSERT INTO `lang_definitions` VALUES (86922, 10111, 17, 'Sincronizar');
INSERT INTO `lang_definitions` VALUES (86923, 10116, 17, 'Síncope');
INSERT INTO `lang_definitions` VALUES (86924, 10120, 17, 'Synovitis, intrusão, bursite,');
INSERT INTO `lang_definitions` VALUES (86925, 10121, 17, 'Sistema');
INSERT INTO `lang_definitions` VALUES (86926, 10128, 17, 'T');
INSERT INTO `lang_definitions` VALUES (86927, 10130, 17, 't.i.d.');
INSERT INTO `lang_definitions` VALUES (86928, 10131, 17, 'T.V.');
INSERT INTO `lang_definitions` VALUES (86929, 10137, 17, 'Erro ao criar a tabela');
INSERT INTO `lang_definitions` VALUES (86930, 10138, 17, 'Erro ao actualizar a tabela');
INSERT INTO `lang_definitions` VALUES (86931, 10140, 17, 'comprimido');
INSERT INTO `lang_definitions` VALUES (86932, 10149, 17, 'Levar');
INSERT INTO `lang_definitions` VALUES (86933, 10153, 17, 'Devolvido');
INSERT INTO `lang_definitions` VALUES (86934, 10154, 17, 'Objetos pegados muito tempo');
INSERT INTO `lang_definitions` VALUES (86935, 10174, 17, 'Taxa de imposição');
INSERT INTO `lang_definitions` VALUES (86936, 10175, 17, 'Impostos');
INSERT INTO `lang_definitions` VALUES (86937, 10176, 17, 'Taxonomia');
INSERT INTO `lang_definitions` VALUES (86938, 10181, 17, 'Td');
INSERT INTO `lang_definitions` VALUES (86939, 10182, 17, 'Emparelhe Avaliação de Dano');
INSERT INTO `lang_definitions` VALUES (86940, 10183, 17, 'Emparelhe Lista');
INSERT INTO `lang_definitions` VALUES (86941, 10184, 17, 'Emparelhe Visão de Lista');
INSERT INTO `lang_definitions` VALUES (86942, 10187, 17, 'Tel');
INSERT INTO `lang_definitions` VALUES (86943, 10189, 17, 'Código do País');
INSERT INTO `lang_definitions` VALUES (86944, 10192, 17, 'Temp');
INSERT INTO `lang_definitions` VALUES (86945, 10193, 17, 'Localização Temp');
INSERT INTO `lang_definitions` VALUES (86946, 10194, 17, 'Método temporário');
INSERT INTO `lang_definitions` VALUES (86947, 10196, 17, 'Temperatura');
INSERT INTO `lang_definitions` VALUES (86948, 10197, 17, 'Modelo');
INSERT INTO `lang_definitions` VALUES (86949, 10198, 17, 'Nome de modelo');
INSERT INTO `lang_definitions` VALUES (86950, 10199, 17, 'Nomes de modelo não podem começar com números.');
INSERT INTO `lang_definitions` VALUES (86951, 10201, 17, 'Modelo:');
INSERT INTO `lang_definitions` VALUES (86952, 10202, 17, 'Modelos');
INSERT INTO `lang_definitions` VALUES (86953, 10205, 17, 'Artéria temporal');
INSERT INTO `lang_definitions` VALUES (86954, 10208, 17, 'Dano de tendão');
INSERT INTO `lang_definitions` VALUES (86955, 10209, 17, 'Tendinite / osis / bursite');
INSERT INTO `lang_definitions` VALUES (86956, 10213, 17, 'Terciário');
INSERT INTO `lang_definitions` VALUES (86957, 10214, 17, 'Seguro terciário');
INSERT INTO `lang_definitions` VALUES (86958, 10215, 17, 'Dados de Seguro terciários');
INSERT INTO `lang_definitions` VALUES (86959, 10216, 17, 'Provedor de Seguro terciário');
INSERT INTO `lang_definitions` VALUES (86960, 10219, 17, 'Programação de teste');
INSERT INTO `lang_definitions` VALUES (86961, 10220, 17, 'Sistema de teste');
INSERT INTO `lang_definitions` VALUES (86962, 10225, 17, 'Campo de Texto');
INSERT INTO `lang_definitions` VALUES (86963, 10233, 17, 'Data');
INSERT INTO `lang_definitions` VALUES (86964, 10234, 17, 'data');
INSERT INTO `lang_definitions` VALUES (86965, 10235, 17, 'Área de Texto');
INSERT INTO `lang_definitions` VALUES (86966, 10236, 17, 'área de texto');
INSERT INTO `lang_definitions` VALUES (86967, 10237, 17, 'Caixa de Texto');
INSERT INTO `lang_definitions` VALUES (86968, 10238, 17, 'caixa de texto');
INSERT INTO `lang_definitions` VALUES (86969, 10239, 17, 'Lista caixa de texto');
INSERT INTO `lang_definitions` VALUES (86970, 10240, 17, 'Lista caixa de texto');
INSERT INTO `lang_definitions` VALUES (86971, 10241, 17, 'Tailandês');
INSERT INTO `lang_definitions` VALUES (86972, 10242, 17, 'Obrigado');
INSERT INTO `lang_definitions` VALUES (86973, 10245, 17, 'Obrigado pela preferência');
INSERT INTO `lang_definitions` VALUES (86974, 10284, 17, 'O arquivo de reivindicação:');
INSERT INTO `lang_definitions` VALUES (86975, 10322, 17, 'o Código de Negação é');
INSERT INTO `lang_definitions` VALUES (86976, 10328, 17, 'O formulário de destino foi fechado');
INSERT INTO `lang_definitions` VALUES (86977, 10330, 17, 'A forma de destino estava fechada; Eu não posso agir em sua seleção.');
INSERT INTO `lang_definitions` VALUES (86978, 10350, 17, 'O evento(s) foi aprovado.');
INSERT INTO `lang_definitions` VALUES (86979, 10351, 17, 'O evento(s) foi escondido.');
INSERT INTO `lang_definitions` VALUES (86980, 10352, 17, 'O dados exportado se aparece na área de texto abaixo. Você pode copiar e pode colar isto em um e-mail ou para qualquer outro destino desejado.');
INSERT INTO `lang_definitions` VALUES (86981, 10354, 17, 'O dados exportado se aparece na área de texto abaixo. Você pode copiar e pode colar isto em um e-mail ou para qualquer outro destino desejado.');
INSERT INTO `lang_definitions` VALUES (86982, 10380, 17, 'O evento de calendário seguinte foi somado:');
INSERT INTO `lang_definitions` VALUES (86983, 10381, 17, 'O evento de calendário seguinte foi modifed:');
INSERT INTO `lang_definitions` VALUES (86984, 10389, 17, 'Os erros seguintes aconteceram');
INSERT INTO `lang_definitions` VALUES (86985, 10418, 17, 'A janela inicial é a página de procura de fatura. Ao topo você pode entrar em uma fonte (por exemplo confira número), pague data e confira quantia. A razão para a fonte e data de pagamento está de forma que você dom \'t têm que entrar neles inúmeras vezes para cada reivindicação. A quantia na que você entra será diminuída para cada fatura que é determinada parte do pagamento, e esperançosamente terminará a zero quando você for terminado.');
INSERT INTO `lang_definitions` VALUES (86986, 10431, 17, 'O rótulo que se aparece ao usuário na forma');
INSERT INTO `lang_definitions` VALUES (86987, 10458, 17, 'A nova categoria será uma subcategoria de');
INSERT INTO `lang_definitions` VALUES (86988, 10509, 17, 'A informação restante debaixo de só aplica se você está postando manualmente, ou se você está fazendo correções manuais.');
INSERT INTO `lang_definitions` VALUES (86989, 10513, 17, 'O documento pedido não está presente no local esperado no filesystem ou não há permissões suficientes para acessar isto.');
INSERT INTO `lang_definitions` VALUES (86990, 10537, 17, 'São copiadas a Fonte e colunas de Data da primeira página, tão normalmente você não precisará tocar esses. Você pode pôr uma quantia de pagamento na coluna de Pagamento, uma quantia de ajuste no Ajuste coluna, ou ambos. Você também pode clicar à direita o \"W\" para computar um valor de ajuste que escreve fora o resto do custo para aquele artigo de linha automaticamente.');
INSERT INTO `lang_definitions` VALUES (86991, 10562, 17, 'O rótulo traduzido que se aparecerá na forma em idioma atual');
INSERT INTO `lang_definitions` VALUES (86992, 10563, 17, 'O Título traduzido que se aparecerá em idioma atual');
INSERT INTO `lang_definitions` VALUES (86993, 10564, 17, 'A tradução de descrição em idioma atual');
INSERT INTO `lang_definitions` VALUES (86994, 10591, 17, 'O X12 arquiva como também a HTML resultante produziu são arquivados relatórios no subdiretório de \"era\" do OpenEMR instalação diretório principal. Você quererá recorrer de vez em quando a estes arquivos. A URL é');
INSERT INTO `lang_definitions` VALUES (86995, 10594, 17, 'Tema');
INSERT INTO `lang_definitions` VALUES (86996, 10601, 17, 'Injeções terapêuticas');
INSERT INTO `lang_definitions` VALUES (86997, 10607, 17, 'Há');
INSERT INTO `lang_definitions` VALUES (86998, 10610, 17, 'Não há prescrição');
INSERT INTO `lang_definitions` VALUES (86999, 10611, 17, 'Há erros com sua submissão. Estes são esboçados abaixo.');
INSERT INTO `lang_definitions` VALUES (87000, 10618, 17, 'Não há informações para este utente.');
INSERT INTO `lang_definitions` VALUES (87001, 10621, 17, 'Não há nenhuma Submissão Nova');
INSERT INTO `lang_definitions` VALUES (87002, 10622, 17, 'Não há notas para este utente.');
INSERT INTO `lang_definitions` VALUES (87003, 10624, 17, 'Não há transações para este utente.');
INSERT INTO `lang_definitions` VALUES (87004, 10639, 17, 'Houve um erro de correio que envia');
INSERT INTO `lang_definitions` VALUES (87005, 10646, 17, 'Não há nenhuma entrada de COA para conta de AR');
INSERT INTO `lang_definitions` VALUES (87006, 10647, 17, 'Não há nenhuma entrada de COA para conta de caixa');
INSERT INTO `lang_definitions` VALUES (87007, 10648, 17, 'Não há nenhuma entrada de COA para conta de renda');
INSERT INTO `lang_definitions` VALUES (87008, 10649, 17, 'Não há utente activo');
INSERT INTO `lang_definitions` VALUES (87009, 10651, 17, 'Não há nenhuma partida para id de fatura');
INSERT INTO `lang_definitions` VALUES (87010, 10652, 17, 'Não há nenhuma partida para id de fatura =');
INSERT INTO `lang_definitions` VALUES (87011, 10653, 17, 'Não há nenhuma entrada de partes para serviços ID');
INSERT INTO `lang_definitions` VALUES (87012, 10656, 17, 'Havia um erro enquanto processando seu pedido.');
INSERT INTO `lang_definitions` VALUES (87013, 10682, 17, 'Direito engrossado:');
INSERT INTO `lang_definitions` VALUES (87014, 10683, 17, 'Coxa');
INSERT INTO `lang_definitions` VALUES (87015, 10684, 17, 'Coxa + paralise');
INSERT INTO `lang_definitions` VALUES (87016, 10686, 17, 'Coisas que o escritório pode ler e pode entrar mas não pode modificar');
INSERT INTO `lang_definitions` VALUES (87017, 10687, 17, 'Coisas que o escritório pode ler e pode modificar');
INSERT INTO `lang_definitions` VALUES (87018, 10690, 17, 'Coisas que os clínicos podem ler e podem entrar mas não podem modificar');
INSERT INTO `lang_definitions` VALUES (87019, 10691, 17, 'Coisas que os clínicos podem ler e podem modificar');
INSERT INTO `lang_definitions` VALUES (87020, 10694, 17, 'Coisas que escritório dianteiro pode ler e pode entrar mas não pode modificar');
INSERT INTO `lang_definitions` VALUES (87021, 10695, 17, 'Coisas que escritório dianteiro pode ler e pode modificar');
INSERT INTO `lang_definitions` VALUES (87022, 10698, 17, 'Coisas que os médicos podem ler e podem entrar mas não podem modificar');
INSERT INTO `lang_definitions` VALUES (87023, 10699, 17, 'Coisas que os médicos podem ler e podem modificar');
INSERT INTO `lang_definitions` VALUES (87024, 10701, 17, 'Terceiro');
INSERT INTO `lang_definitions` VALUES (87025, 10704, 17, 'Esta ação não pode ser desfeita.');
INSERT INTO `lang_definitions` VALUES (87026, 10705, 17, 'Esta ação não pode ser desfeita.');
INSERT INTO `lang_definitions` VALUES (87027, 10707, 17, 'A acção vai ser registada');
INSERT INTO `lang_definitions` VALUES (87028, 10725, 17, 'Este tipo de código não aceita relações.');
INSERT INTO `lang_definitions` VALUES (87029, 10734, 17, 'Esta Consulta');
INSERT INTO `lang_definitions` VALUES (87030, 10753, 17, 'Este número de fatura foi mudado');
INSERT INTO `lang_definitions` VALUES (87031, 10789, 17, 'Este módulo está em modo de teste. O banco de dados não será mudado.');
INSERT INTO `lang_definitions` VALUES (87032, 10792, 17, 'Este módulo promove entrada eficiente de dados de EOB.');
INSERT INTO `lang_definitions` VALUES (87033, 10793, 17, 'Este mês até à data');
INSERT INTO `lang_definitions` VALUES (87034, 10801, 17, 'Esta página vai inline incluem a página de login, de forma que nós não têm clicar relogin toda vez.');
INSERT INTO `lang_definitions` VALUES (87035, 10804, 17, 'Este doente não tem nenhuma atividade.');
INSERT INTO `lang_definitions` VALUES (87036, 10805, 17, 'Este ID de doente já está a ser usada!');
INSERT INTO `lang_definitions` VALUES (87037, 10822, 17, 'Este utilizador não pertence a qualquer grupo');
INSERT INTO `lang_definitions` VALUES (87038, 10826, 17, 'Esta visita começa uso anticoncepcional novo');
INSERT INTO `lang_definitions` VALUES (87039, 10829, 17, 'Esta semana até à data');
INSERT INTO `lang_definitions` VALUES (87040, 10843, 17, 'Isto criará um auxílio em formato de piche e então envia isto a seu browser de teia assim você pode salvar isto');
INSERT INTO `lang_definitions` VALUES (87041, 10871, 17, 'Espinha torácica');
INSERT INTO `lang_definitions` VALUES (87042, 10878, 17, 'Garganta');
INSERT INTO `lang_definitions` VALUES (87043, 10879, 17, 'Câncer de garganta');
INSERT INTO `lang_definitions` VALUES (87044, 10880, 17, 'Cirurgia de Câncer de garganta');
INSERT INTO `lang_definitions` VALUES (87045, 10881, 17, 'Thrombosis/Stroke');
INSERT INTO `lang_definitions` VALUES (87046, 10882, 17, 'Qui');
INSERT INTO `lang_definitions` VALUES (87047, 10884, 17, 'Quinta');
INSERT INTO `lang_definitions` VALUES (87048, 10885, 17, 'Quinta');
INSERT INTO `lang_definitions` VALUES (87049, 10887, 17, 'Normal tiróide');
INSERT INTO `lang_definitions` VALUES (87050, 10888, 17, 'Problemas tiróides');
INSERT INTO `lang_definitions` VALUES (87051, 10890, 17, 'TIA');
INSERT INTO `lang_definitions` VALUES (87052, 10902, 17, 'Hora');
INSERT INTO `lang_definitions` VALUES (87053, 10903, 17, 'Formato da Hora');
INSERT INTO `lang_definitions` VALUES (87054, 10904, 17, 'Incremento de tempo para Some (atas 1-60)');
INSERT INTO `lang_definitions` VALUES (87055, 10913, 17, 'Evento cronometrado');
INSERT INTO `lang_definitions` VALUES (87056, 10914, 17, 'Tempos formam (N/A)');
INSERT INTO `lang_definitions` VALUES (87057, 10915, 17, 'Timestamp e Texto');
INSERT INTO `lang_definitions` VALUES (87058, 10917, 17, 'LATA');
INSERT INTO `lang_definitions` VALUES (87059, 10918, 17, 'Tinido');
INSERT INTO `lang_definitions` VALUES (87060, 10920, 17, 'Título');
INSERT INTO `lang_definitions` VALUES (87061, 10923, 17, 'Título V');
INSERT INTO `lang_definitions` VALUES (87062, 10924, 17, 'TitleCols deve ser um número entre 1 e 999');
INSERT INTO `lang_definitions` VALUES (87063, 10925, 17, 'Títulos');
INSERT INTO `lang_definitions` VALUES (87064, 10926, 17, 'TM \'S:');
INSERT INTO `lang_definitions` VALUES (87065, 10927, 17, 'TMs/EAMs/EE, nariz de ext,');
INSERT INTO `lang_definitions` VALUES (87066, 10928, 17, 'Para');
INSERT INTO `lang_definitions` VALUES (87067, 10929, 17, 'para');
INSERT INTO `lang_definitions` VALUES (87068, 10930, 17, 'PARA');
INSERT INTO `lang_definitions` VALUES (87069, 10936, 17, 'Adicione notas aqui');
INSERT INTO `lang_definitions` VALUES (87070, 10937, 17, 'Adicione notas aqui');
INSERT INTO `lang_definitions` VALUES (87071, 10938, 17, 'Para Área Afetada');
INSERT INTO `lang_definitions` VALUES (87072, 10939, 17, 'para área afetada');
INSERT INTO `lang_definitions` VALUES (87073, 10944, 17, 'Para Faturar Visão');
INSERT INTO `lang_definitions` VALUES (87074, 10945, 17, 'para categoria');
INSERT INTO `lang_definitions` VALUES (87075, 10947, 17, 'Para Visão Clínica');
INSERT INTO `lang_definitions` VALUES (87076, 10949, 17, 'Para copay');
INSERT INTO `lang_definitions` VALUES (87077, 10953, 17, 'Para ded\'ble');
INSERT INTO `lang_definitions` VALUES (87078, 10956, 17, 'Para Dems');
INSERT INTO `lang_definitions` VALUES (87079, 10972, 17, 'Para Enctr');
INSERT INTO `lang_definitions` VALUES (87080, 10973, 17, 'Filtrar através de sexo');
INSERT INTO `lang_definitions` VALUES (87081, 10980, 17, 'Para História');
INSERT INTO `lang_definitions` VALUES (87082, 10982, 17, 'Para Assuntos');
INSERT INTO `lang_definitions` VALUES (87083, 10985, 17, 'Unir este encounter/consult a um assunto existente, clique o assunto desejado acima realçar isto e então clicar [Economize]. Sujeite [Ctrl] botão para selecionar assuntos múltiplos.');
INSERT INTO `lang_definitions` VALUES (87084, 10987, 17, 'para login novamente');
INSERT INTO `lang_definitions` VALUES (87085, 10992, 17, 'Para registar informação, carregue');
INSERT INTO `lang_definitions` VALUES (87086, 10997, 17, 'para executar');
INSERT INTO `lang_definitions` VALUES (87087, 11001, 17, 'Para configurar o acesso https com o certificado de autenticação do cliente, faça o seguinte');
INSERT INTO `lang_definitions` VALUES (87088, 11002, 17, 'Esfolar');
INSERT INTO `lang_definitions` VALUES (87089, 11003, 17, 'esfolar');
INSERT INTO `lang_definitions` VALUES (87090, 11005, 17, 'para esta visita?');
INSERT INTO `lang_definitions` VALUES (87091, 11010, 17, 'Para:');
INSERT INTO `lang_definitions` VALUES (87092, 11011, 17, 'Para:');
INSERT INTO `lang_definitions` VALUES (87093, 11012, 17, 'TO_CITY');
INSERT INTO `lang_definitions` VALUES (87094, 11013, 17, 'TO_FAX');
INSERT INTO `lang_definitions` VALUES (87095, 11014, 17, 'TO_FNAME');
INSERT INTO `lang_definitions` VALUES (87096, 11015, 17, 'TO_LNAME');
INSERT INTO `lang_definitions` VALUES (87097, 11016, 17, 'TO_MNAME');
INSERT INTO `lang_definitions` VALUES (87098, 11017, 17, 'TO_ORGANIZATION');
INSERT INTO `lang_definitions` VALUES (87099, 11020, 17, 'TO_POSTAL');
INSERT INTO `lang_definitions` VALUES (87100, 11021, 17, 'TO_STATE');
INSERT INTO `lang_definitions` VALUES (87101, 11022, 17, 'TO_STREET');
INSERT INTO `lang_definitions` VALUES (87102, 11023, 17, 'TO_TITLE');
INSERT INTO `lang_definitions` VALUES (87103, 11024, 17, 'TO_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (87104, 11025, 17, 'Tabaco');
INSERT INTO `lang_definitions` VALUES (87105, 11028, 17, 'Uso de tabaco');
INSERT INTO `lang_definitions` VALUES (87106, 11032, 17, 'Hoje');
INSERT INTO `lang_definitions` VALUES (87107, 11037, 17, 'Hoje \'Data de s');
INSERT INTO `lang_definitions` VALUES (87108, 11038, 17, 'Hoje \'Eventos de s');
INSERT INTO `lang_definitions` VALUES (87109, 11047, 17, 'Amigdalectomia');
INSERT INTO `lang_definitions` VALUES (87110, 11050, 17, 'Topo');
INSERT INTO `lang_definitions` VALUES (87111, 11053, 17, 'Tópico');
INSERT INTO `lang_definitions` VALUES (87112, 11054, 17, 'Total');
INSERT INTO `lang_definitions` VALUES (87113, 11055, 17, 'total');
INSERT INTO `lang_definitions` VALUES (87114, 11060, 17, 'Total Devido');
INSERT INTO `lang_definitions` VALUES (87115, 11061, 17, 'Total Pago');
INSERT INTO `lang_definitions` VALUES (87116, 11064, 17, 'Total Custos');
INSERT INTO `lang_definitions` VALUES (87117, 11065, 17, 'Total Clientes');
INSERT INTO `lang_definitions` VALUES (87118, 11067, 17, 'Custo Total');
INSERT INTO `lang_definitions` VALUES (87119, 11072, 17, 'Total para');
INSERT INTO `lang_definitions` VALUES (87120, 11073, 17, 'Total para');
INSERT INTO `lang_definitions` VALUES (87121, 11074, 17, 'Total para categoria');
INSERT INTO `lang_definitions` VALUES (87122, 11084, 17, 'Num. Total Utentes');
INSERT INTO `lang_definitions` VALUES (87123, 11095, 17, 'Total SRH & Planeamento Familiar');
INSERT INTO `lang_definitions` VALUES (87124, 11106, 17, 'Totais');
INSERT INTO `lang_definitions` VALUES (87125, 11107, 17, 'Totais para');
INSERT INTO `lang_definitions` VALUES (87126, 11108, 17, 'Totais para');
INSERT INTO `lang_definitions` VALUES (87127, 11135, 17, 'Tipo de Formação');
INSERT INTO `lang_definitions` VALUES (87128, 11136, 17, 'Transação');
INSERT INTO `lang_definitions` VALUES (87129, 11137, 17, 'Transação');
INSERT INTO `lang_definitions` VALUES (87130, 11138, 17, 'transação');
INSERT INTO `lang_definitions` VALUES (87131, 11142, 17, 'Tipo de transação');
INSERT INTO `lang_definitions` VALUES (87132, 11143, 17, 'Transações');
INSERT INTO `lang_definitions` VALUES (87133, 11145, 17, 'Transações (opcional)');
INSERT INTO `lang_definitions` VALUES (87134, 11151, 17, 'Transações/Referenciadas');
INSERT INTO `lang_definitions` VALUES (87135, 11169, 17, 'traduza isto');
INSERT INTO `lang_definitions` VALUES (87136, 11170, 17, 'Tradução');
INSERT INTO `lang_definitions` VALUES (87137, 11171, 17, 'Traduções');
INSERT INTO `lang_definitions` VALUES (87138, 11179, 17, 'Trauma');
INSERT INTO `lang_definitions` VALUES (87139, 11182, 17, 'Tratamento: Objectivos');
INSERT INTO `lang_definitions` VALUES (87140, 11183, 17, 'Tratamento: Plano');
INSERT INTO `lang_definitions` VALUES (87141, 11186, 17, 'Tratamento:');
INSERT INTO `lang_definitions` VALUES (87142, 11187, 17, 'Tratamento:');
INSERT INTO `lang_definitions` VALUES (87143, 11190, 17, 'trftime($month_format, mktime(0, 0, 0, $i, 1, 2000))); $month_value');
INSERT INTO `lang_definitions` VALUES (87144, 11195, 17, 'Ponto de gatilho / síndroma compartimental / DOMS / câimbra');
INSERT INTO `lang_definitions` VALUES (87145, 11196, 17, 'Trimaleolar');
INSERT INTO `lang_definitions` VALUES (87146, 11199, 17, 'Tronco e abdómen');
INSERT INTO `lang_definitions` VALUES (87147, 11205, 17, 'tsp');
INSERT INTO `lang_definitions` VALUES (87148, 11207, 17, 'TTS');
INSERT INTO `lang_definitions` VALUES (87149, 11208, 17, 'Tuberculose');
INSERT INTO `lang_definitions` VALUES (87150, 11209, 17, 'Ter');
INSERT INTO `lang_definitions` VALUES (87151, 11210, 17, 'Ter &amp; Qui');
INSERT INTO `lang_definitions` VALUES (87152, 11211, 17, 'Terça');
INSERT INTO `lang_definitions` VALUES (87153, 11212, 17, 'Tumor');
INSERT INTO `lang_definitions` VALUES (87154, 11213, 17, 'Turco');
INSERT INTO `lang_definitions` VALUES (87155, 11222, 17, 'duas vezes ao dia');
INSERT INTO `lang_definitions` VALUES (87156, 11226, 17, 'Membrana timpânica');
INSERT INTO `lang_definitions` VALUES (87157, 11227, 17, 'Tipo');
INSERT INTO `lang_definitions` VALUES (87158, 11243, 17, 'Tipo ou esquadrinha o identificador paciente aqui');
INSERT INTO `lang_definitions` VALUES (87159, 11270, 17, 'Códigos de UCSMC providos pela Universidade de Calgary Centro de Medicina De esporte');
INSERT INTO `lang_definitions` VALUES (87160, 11272, 17, 'Ulcerações');
INSERT INTO `lang_definitions` VALUES (87161, 11273, 17, 'Colites ulcerativas');
INSERT INTO `lang_definitions` VALUES (87162, 11274, 17, 'Úlceras:');
INSERT INTO `lang_definitions` VALUES (87163, 11292, 17, 'Sem registo');
INSERT INTO `lang_definitions` VALUES (87164, 11295, 17, 'Acesso sem autorização.');
INSERT INTO `lang_definitions` VALUES (87165, 11300, 17, 'debaixo de língua');
INSERT INTO `lang_definitions` VALUES (87166, 11303, 17, 'De peso inferior ao normal');
INSERT INTO `lang_definitions` VALUES (87167, 11304, 17, 'Undiagnosed');
INSERT INTO `lang_definitions` VALUES (87168, 11309, 17, 'Desfaça Saída');
INSERT INTO `lang_definitions` VALUES (87169, 11311, 17, 'Clientes sem igual');
INSERT INTO `lang_definitions` VALUES (87170, 11315, 17, 'Clientes Novos sem igual');
INSERT INTO `lang_definitions` VALUES (87171, 11317, 17, 'Pacientes Vistos sem igual');
INSERT INTO `lang_definitions` VALUES (87172, 11318, 17, 'Relatório de Pacientes Visto sem igual');
INSERT INTO `lang_definitions` VALUES (87173, 11319, 17, 'SP sem igual');
INSERT INTO `lang_definitions` VALUES (87174, 11320, 17, 'Unidade');
INSERT INTO `lang_definitions` VALUES (87175, 11321, 17, 'Unidades');
INSERT INTO `lang_definitions` VALUES (87176, 11322, 17, 'unidades');
INSERT INTO `lang_definitions` VALUES (87177, 11324, 17, 'Unidades dos Formulários');
INSERT INTO `lang_definitions` VALUES (87178, 11325, 17, 'Unidades devem ser um número');
INSERT INTO `lang_definitions` VALUES (87179, 11328, 17, 'Desconhecido');
INSERT INTO `lang_definitions` VALUES (87180, 11332, 17, 'Desconhecido ou N/A');
INSERT INTO `lang_definitions` VALUES (87181, 11345, 17, 'Companhia de seguros não mencionada');
INSERT INTO `lang_definitions` VALUES (87182, 11346, 17, 'Não registrado');
INSERT INTO `lang_definitions` VALUES (87183, 11349, 17, 'Unselect Tudo');
INSERT INTO `lang_definitions` VALUES (87184, 11350, 17, 'Unselected');
INSERT INTO `lang_definitions` VALUES (87185, 11351, 17, 'Não especificado');
INSERT INTO `lang_definitions` VALUES (87186, 11356, 17, 'até');
INSERT INTO `lang_definitions` VALUES (87187, 11357, 17, 'até à data');
INSERT INTO `lang_definitions` VALUES (87188, 11359, 17, 'Intempestivamente arquivamento');
INSERT INTO `lang_definitions` VALUES (87189, 11360, 17, 'Não Utilizado');
INSERT INTO `lang_definitions` VALUES (87190, 11361, 17, 'UOR');
INSERT INTO `lang_definitions` VALUES (87191, 11362, 17, 'Até');
INSERT INTO `lang_definitions` VALUES (87192, 11364, 17, 'Próximas Marcações');
INSERT INTO `lang_definitions` VALUES (87193, 11365, 17, 'Eventos a chegar');
INSERT INTO `lang_definitions` VALUES (87194, 11366, 17, 'Atualizar');
INSERT INTO `lang_definitions` VALUES (87195, 11367, 17, 'actualizar');
INSERT INTO `lang_definitions` VALUES (87196, 11371, 17, 'Actualizar ficheiros');
INSERT INTO `lang_definitions` VALUES (87197, 11372, 17, 'Actualizar Informação');
INSERT INTO `lang_definitions` VALUES (87198, 11390, 17, 'Atualizando demographics não é autorizado.');
INSERT INTO `lang_definitions` VALUES (87199, 11400, 17, 'Cédula Profissional');
INSERT INTO `lang_definitions` VALUES (87200, 11401, 17, 'Carga');
INSERT INTO `lang_definitions` VALUES (87201, 11406, 17, 'Transfera dados de configuração');
INSERT INTO `lang_definitions` VALUES (87202, 11407, 17, 'Transfera Documento');
INSERT INTO `lang_definitions` VALUES (87203, 11408, 17, 'Carga falhou!');
INSERT INTO `lang_definitions` VALUES (87204, 11411, 17, 'Transfera arquivo de importação:');
INSERT INTO `lang_definitions` VALUES (87205, 11415, 17, 'Transfera Relatório');
INSERT INTO `lang_definitions` VALUES (87206, 11418, 17, 'Transfera este arquivo:');
INSERT INTO `lang_definitions` VALUES (87207, 11421, 17, 'Ao clicar um número de fatura a janela postando\" manual\" se aparece. Aqui você pode mudar a data de vencimento e notas para a fatura, selecione a festa para quem você está postando, e seleciona foram recebidos os seguros para os quais tudo esperaram paymants. Importantemente, para cada código de faturamento pelo qual uma quantia foi cobrada, você pode entrar em pagamento e informação de ajuste.');
INSERT INTO `lang_definitions` VALUES (87208, 11426, 17, 'Ao o procurar é apresentado com uma lista de faturas. Você pode clicar aceso dos números de fatura abrir uma segunda janela que é a página de entrada de dados por manual postar. Você também pode fazer tique-taque em um nome paciente se você quiser entrar em uma nota que o pessoal de escritório dianteiro verá quando os cheques pacientes em, e você pode selecionar faturas para se aparecer em declarações pacientes e imprimir essas declarações.');
INSERT INTO `lang_definitions` VALUES (87209, 11429, 17, 'Braço superior');
INSERT INTO `lang_definitions` VALUES (87210, 11432, 17, 'Urgência');
INSERT INTO `lang_definitions` VALUES (87211, 11437, 17, 'Urina Pingando');
INSERT INTO `lang_definitions` VALUES (87212, 11438, 17, 'Freqüência de urina');
INSERT INTO `lang_definitions` VALUES (87213, 11439, 17, 'Hesitação de urina');
INSERT INTO `lang_definitions` VALUES (87214, 11441, 17, 'Fluxo de urina');
INSERT INTO `lang_definitions` VALUES (87215, 11442, 17, 'Urgência de urina');
INSERT INTO `lang_definitions` VALUES (87216, 11443, 17, 'URL');
INSERT INTO `lang_definitions` VALUES (87217, 11457, 17, 'Use 24 formato de tempo de hora?');
INSERT INTO `lang_definitions` VALUES (87218, 11477, 17, 'Faltas de uso');
INSERT INTO `lang_definitions` VALUES (87219, 11479, 17, 'Use estilo de data internacional?');
INSERT INTO `lang_definitions` VALUES (87220, 11490, 17, 'Só use esta característica com locais recentemente instalados,');
INSERT INTO `lang_definitions` VALUES (87221, 11493, 17, 'Use tópicos?');
INSERT INTO `lang_definitions` VALUES (87222, 11496, 17, 'Utilizador');
INSERT INTO `lang_definitions` VALUES (87223, 11498, 17, 'Utilizador / Grupos');
INSERT INTO `lang_definitions` VALUES (87224, 11499, 17, 'Administração de usuário');
INSERT INTO `lang_definitions` VALUES (87225, 11500, 17, 'Administração de Utilizadores e Instalações');
INSERT INTO `lang_definitions` VALUES (87226, 11501, 17, 'Administração de Utilizadores e Grupos');
INSERT INTO `lang_definitions` VALUES (87227, 11503, 17, 'Autenticação de Utilizadores por Certificado está desabilitado');
INSERT INTO `lang_definitions` VALUES (87228, 11507, 17, 'Personalizado');
INSERT INTO `lang_definitions` VALUES (87229, 11508, 17, 'Área Personalizada 11');
INSERT INTO `lang_definitions` VALUES (87230, 11509, 17, 'Área Personalizada 12');
INSERT INTO `lang_definitions` VALUES (87231, 11510, 17, 'Campo Personalizado');
INSERT INTO `lang_definitions` VALUES (87232, 11511, 17, 'Lista Personalizada 1');
INSERT INTO `lang_definitions` VALUES (87233, 11512, 17, 'Lista Personalizada 2');
INSERT INTO `lang_definitions` VALUES (87234, 11513, 17, 'Lista Personalizada 3');
INSERT INTO `lang_definitions` VALUES (87235, 11514, 17, 'Lista Personalizada 4');
INSERT INTO `lang_definitions` VALUES (87236, 11515, 17, 'Lista Personalizada 5');
INSERT INTO `lang_definitions` VALUES (87237, 11516, 17, 'Lista Personalizada 6');
INSERT INTO `lang_definitions` VALUES (87238, 11517, 17, 'Lista Personalizada 7');
INSERT INTO `lang_definitions` VALUES (87239, 11518, 17, 'Texto Personalizado 1');
INSERT INTO `lang_definitions` VALUES (87240, 11519, 17, 'Texto Personalizado 2');
INSERT INTO `lang_definitions` VALUES (87241, 11520, 17, 'Texto Personalizado 3');
INSERT INTO `lang_definitions` VALUES (87242, 11521, 17, 'Texto Personalizado 4');
INSERT INTO `lang_definitions` VALUES (87243, 11522, 17, 'Texto Personalizado 5');
INSERT INTO `lang_definitions` VALUES (87244, 11523, 17, 'Texto Personalizado 6');
INSERT INTO `lang_definitions` VALUES (87245, 11524, 17, 'Texto Personalizado 7');
INSERT INTO `lang_definitions` VALUES (87246, 11525, 17, 'Texto Personalizado 8');
INSERT INTO `lang_definitions` VALUES (87247, 11526, 17, 'Primeiro nome do Utilizador');
INSERT INTO `lang_definitions` VALUES (87248, 11527, 17, 'ID do Utilizador');
INSERT INTO `lang_definitions` VALUES (87249, 11528, 17, 'ID do Utilizador');
INSERT INTO `lang_definitions` VALUES (87250, 11532, 17, 'Manual do Utilizador');
INSERT INTO `lang_definitions` VALUES (87251, 11533, 17, 'Grupos do Utilizador');
INSERT INTO `lang_definitions` VALUES (87252, 11534, 17, 'Nome do Utilizador');
INSERT INTO `lang_definitions` VALUES (87253, 11536, 17, 'Nome do Utilizador ou Nome do Anfitrião não pode estar vazio');
INSERT INTO `lang_definitions` VALUES (87254, 11537, 17, 'Utilizador ou Anfitrião');
INSERT INTO `lang_definitions` VALUES (87255, 11538, 17, 'Palavra-passe do Utilizador');
INSERT INTO `lang_definitions` VALUES (87256, 11541, 17, 'Definições do Utilizador');
INSERT INTO `lang_definitions` VALUES (87257, 11542, 17, 'Assinatura do Utilizador');
INSERT INTO `lang_definitions` VALUES (87258, 11543, 17, 'Definição específica do Utilizador');
INSERT INTO `lang_definitions` VALUES (87259, 11553, 17, 'Utilizador');
INSERT INTO `lang_definitions` VALUES (87260, 11556, 17, 'Utilizador para a Gateway de SMS');
INSERT INTO `lang_definitions` VALUES (87261, 11557, 17, 'Utilizador para a Gateway de SMS.');
INSERT INTO `lang_definitions` VALUES (87262, 11559, 17, 'Utilizador:');
INSERT INTO `lang_definitions` VALUES (87263, 11560, 17, 'Utilizadores');
INSERT INTO `lang_definitions` VALUES (87264, 11564, 17, 'Administração Utilizadores/Grupos/Registos');
INSERT INTO `lang_definitions` VALUES (87265, 11574, 17, 'usa <a php href=\"\"http://php.net/strftime\"\"> strftime </ a> formato');
INSERT INTO `lang_definitions` VALUES (87266, 11583, 17, 'UTIs');
INSERT INTO `lang_definitions` VALUES (87267, 11588, 17, 'FÉRIAS');
INSERT INTO `lang_definitions` VALUES (87268, 11589, 17, 'Férias');
INSERT INTO `lang_definitions` VALUES (87269, 11590, 17, 'Vacina');
INSERT INTO `lang_definitions` VALUES (87270, 11593, 17, 'Anel vaginal');
INSERT INTO `lang_definitions` VALUES (87271, 11594, 17, 'Valedictory');
INSERT INTO `lang_definitions` VALUES (87272, 11609, 17, 'Valor');
INSERT INTO `lang_definitions` VALUES (87273, 11610, 17, 'Valor 1');
INSERT INTO `lang_definitions` VALUES (87274, 11611, 17, 'Valor 2');
INSERT INTO `lang_definitions` VALUES (87275, 11613, 17, 'Valor deve ser numérico');
INSERT INTO `lang_definitions` VALUES (87276, 11614, 17, 'Var1');
INSERT INTO `lang_definitions` VALUES (87277, 11615, 17, 'Var2');
INSERT INTO `lang_definitions` VALUES (87278, 11619, 17, 'Varicela 1');
INSERT INTO `lang_definitions` VALUES (87279, 11620, 17, 'Varicela 2');
INSERT INTO `lang_definitions` VALUES (87280, 11621, 17, 'Veias varicosas');
INSERT INTO `lang_definitions` VALUES (87281, 11623, 17, 'Condição vascular');
INSERT INTO `lang_definitions` VALUES (87282, 11624, 17, 'Dano vascular');
INSERT INTO `lang_definitions` VALUES (87283, 11625, 17, 'Cirurgia vascular');
INSERT INTO `lang_definitions` VALUES (87284, 11630, 17, 'Fornecedor');
INSERT INTO `lang_definitions` VALUES (87285, 11634, 17, 'Versão');
INSERT INTO `lang_definitions` VALUES (87286, 11653, 17, 'Vertigem');
INSERT INTO `lang_definitions` VALUES (87287, 11657, 17, 'Plano Veterans Administration');
INSERT INTO `lang_definitions` VALUES (87288, 11667, 17, 'Ver');
INSERT INTO `lang_definitions` VALUES (87289, 11668, 17, 'ver');
INSERT INTO `lang_definitions` VALUES (87290, 11670, 17, 'Ver Alergias');
INSERT INTO `lang_definitions` VALUES (87291, 11676, 17, 'Ver reg. detalhado do paciente');
INSERT INTO `lang_definitions` VALUES (87292, 11679, 17, 'Ver documento');
INSERT INTO `lang_definitions` VALUES (87293, 11681, 17, 'Ver consulta');
INSERT INTO `lang_definitions` VALUES (87294, 11683, 17, 'Ver eventos numa janela?');
INSERT INTO `lang_definitions` VALUES (87295, 11684, 17, 'Ver Informações Específicas do Usuário');
INSERT INTO `lang_definitions` VALUES (87296, 11690, 17, 'Veja pág 1');
INSERT INTO `lang_definitions` VALUES (87297, 11691, 17, 'Veja pág 2');
INSERT INTO `lang_definitions` VALUES (87298, 11692, 17, 'Ver lembretes passados e futuros');
INSERT INTO `lang_definitions` VALUES (87299, 11693, 17, 'Ver Evento anterior');
INSERT INTO `lang_definitions` VALUES (87300, 11694, 17, 'Ver Eventos anteriores');
INSERT INTO `lang_definitions` VALUES (87301, 11695, 17, 'Ver Doente');
INSERT INTO `lang_definitions` VALUES (87302, 11700, 17, 'Ver consultas relacionadas');
INSERT INTO `lang_definitions` VALUES (87303, 11712, 17, 'Ver/Editar Alergias');
INSERT INTO `lang_definitions` VALUES (87304, 11717, 17, 'Ver:');
INSERT INTO `lang_definitions` VALUES (87305, 11718, 17, 'VISTO');
INSERT INTO `lang_definitions` VALUES (87306, 11719, 17, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (87307, 11721, 17, 'Visceral: dano/trauma/cirurgia');
INSERT INTO `lang_definitions` VALUES (87308, 11728, 17, 'Visita: Categoria');
INSERT INTO `lang_definitions` VALUES (87309, 11729, 17, 'Visita: Data');
INSERT INTO `lang_definitions` VALUES (87310, 11734, 17, 'Visita: Formulários');
INSERT INTO `lang_definitions` VALUES (87311, 11736, 17, 'Histórico');
INSERT INTO `lang_definitions` VALUES (87312, 11745, 17, 'Visitas');
INSERT INTO `lang_definitions` VALUES (87313, 11746, 17, 'Visitas de');
INSERT INTO `lang_definitions` VALUES (87314, 11751, 17, 'Sinais Vitais');
INSERT INTO `lang_definitions` VALUES (87315, 11752, 17, 'Exame Físico Geral');
INSERT INTO `lang_definitions` VALUES (87316, 11753, 17, 'Vitals (Métrico) CHANGEME');
INSERT INTO `lang_definitions` VALUES (87317, 11756, 17, 'Voz');
INSERT INTO `lang_definitions` VALUES (87318, 11763, 17, 'Vômitos');
INSERT INTO `lang_definitions` VALUES (87319, 11767, 17, 'Q');
INSERT INTO `lang_definitions` VALUES (87320, 11770, 17, 'Cintura');
INSERT INTO `lang_definitions` VALUES (87321, 11771, 17, 'Cintura: circunferência');
INSERT INTO `lang_definitions` VALUES (87322, 11772, 17, 'Esperando');
INSERT INTO `lang_definitions` VALUES (87323, 11773, 17, 'Directos');
INSERT INTO `lang_definitions` VALUES (87324, 11776, 17, 'Walt Pennington');
INSERT INTO `lang_definitions` VALUES (87325, 11778, 17, 'Armazén');
INSERT INTO `lang_definitions` VALUES (87326, 11782, 17, 'Armazéns');
INSERT INTO `lang_definitions` VALUES (87327, 11783, 17, 'Quente');
INSERT INTO `lang_definitions` VALUES (87328, 11787, 17, 'AVISO');
INSERT INTO `lang_definitions` VALUES (87329, 11791, 17, 'Atenção: hoje foi já criada uma visita para este paciente!');
INSERT INTO `lang_definitions` VALUES (87330, 11796, 17, 'Advertindo: identificação paciente não é única!');
INSERT INTO `lang_definitions` VALUES (87331, 11799, 17, 'AVISO: Isto irá substituir as informações de configuração com os dados do arquivo enviado!');
INSERT INTO `lang_definitions` VALUES (87332, 11805, 17, 'Agradecemos o pagamento imediato do valor devido');
INSERT INTO `lang_definitions` VALUES (87333, 11809, 17, 'observámos o paciente acima identificado, na nossa clínica psiquiátrica ambulatoria. Gratos pela preferência.');
INSERT INTO `lang_definitions` VALUES (87334, 11821, 17, 'Fraqueza');
INSERT INTO `lang_definitions` VALUES (87335, 11827, 17, 'Website');
INSERT INTO `lang_definitions` VALUES (87336, 11832, 17, 'Qua');
INSERT INTO `lang_definitions` VALUES (87337, 11833, 17, 'Quarta');
INSERT INTO `lang_definitions` VALUES (87338, 11834, 17, 'Semana');
INSERT INTO `lang_definitions` VALUES (87339, 11835, 17, 'semana');
INSERT INTO `lang_definitions` VALUES (87340, 11836, 17, 'Semana');
INSERT INTO `lang_definitions` VALUES (87341, 11837, 17, 'Semana (s)');
INSERT INTO `lang_definitions` VALUES (87342, 11838, 17, 'Exposições Semanais');
INSERT INTO `lang_definitions` VALUES (87343, 11840, 17, 'Semanas');
INSERT INTO `lang_definitions` VALUES (87344, 11841, 17, 'Peso');
INSERT INTO `lang_definitions` VALUES (87345, 11844, 17, 'Mudança de peso');
INSERT INTO `lang_definitions` VALUES (87346, 11845, 17, 'Perda de peso');
INSERT INTO `lang_definitions` VALUES (87347, 11847, 17, 'Bemvindo');
INSERT INTO `lang_definitions` VALUES (87348, 11862, 17, 'Quem contactar?');
INSERT INTO `lang_definitions` VALUES (87349, 11864, 17, 'Sibilos:');
INSERT INTO `lang_definitions` VALUES (87350, 11865, 17, 'Sibilante');
INSERT INTO `lang_definitions` VALUES (87351, 11866, 17, 'Sibilante:');
INSERT INTO `lang_definitions` VALUES (87352, 11882, 17, 'Onde estão os registos (papel ou digitais) relacionados?');
INSERT INTO `lang_definitions` VALUES (87353, 11890, 17, 'Chicotada');
INSERT INTO `lang_definitions` VALUES (87354, 11894, 17, 'Quem');
INSERT INTO `lang_definitions` VALUES (87355, 11895, 17, 'Quem respondeu?');
INSERT INTO `lang_definitions` VALUES (87356, 11897, 17, 'Viúvo(a)');
INSERT INTO `lang_definitions` VALUES (87357, 11907, 17, 'Com selecionado:');
INSERT INTO `lang_definitions` VALUES (87358, 11908, 17, 'com o nome antigo');
INSERT INTO `lang_definitions` VALUES (87359, 11911, 17, 'A quem podemos deixar mensagem?');
INSERT INTO `lang_definitions` VALUES (87360, 11913, 17, 'dentro de horas');
INSERT INTO `lang_definitions` VALUES (87361, 11914, 17, 'dentro de horas:');
INSERT INTO `lang_definitions` VALUES (87362, 11915, 17, 'dentro de minutos');
INSERT INTO `lang_definitions` VALUES (87363, 11916, 17, 'dentro de minutos:');
INSERT INTO `lang_definitions` VALUES (87364, 11919, 17, 'Sem actualização');
INSERT INTO `lang_definitions` VALUES (87365, 11920, 17, 'Testemunha');
INSERT INTO `lang_definitions` VALUES (87366, 11921, 17, 'sm');
INSERT INTO `lang_definitions` VALUES (87367, 11922, 17, 'WNL');
INSERT INTO `lang_definitions` VALUES (87368, 11924, 17, 'Mulheres');
INSERT INTO `lang_definitions` VALUES (87369, 11925, 17, 'Só Mulheres');
INSERT INTO `lang_definitions` VALUES (87370, 11927, 17, 'Trabalho');
INSERT INTO `lang_definitions` VALUES (87371, 11928, 17, 'NOTA DE TRABALHO');
INSERT INTO `lang_definitions` VALUES (87372, 11929, 17, 'Telefone trabalho');
INSERT INTO `lang_definitions` VALUES (87373, 11930, 17, 'Nº Telefone trabalho');
INSERT INTO `lang_definitions` VALUES (87374, 11931, 17, 'Relacionado c/ trabalho?');
INSERT INTO `lang_definitions` VALUES (87375, 11932, 17, 'Trabalho/Educação/Passatempos');
INSERT INTO `lang_definitions` VALUES (87376, 11933, 17, 'Trabalho / Nota Escolar');
INSERT INTO `lang_definitions` VALUES (87377, 11934, 17, 'dia útil');
INSERT INTO `lang_definitions` VALUES (87378, 11936, 17, 'SubSistema de Saúde do trabalhador');
INSERT INTO `lang_definitions` VALUES (87379, 11941, 17, 'Pior');
INSERT INTO `lang_definitions` VALUES (87380, 11953, 17, 'Punho');
INSERT INTO `lang_definitions` VALUES (87381, 11954, 17, 'Punho e mão');
INSERT INTO `lang_definitions` VALUES (87382, 11955, 17, 'Problemas no punho');
INSERT INTO `lang_definitions` VALUES (87383, 11956, 17, 'escrever');
INSERT INTO `lang_definitions` VALUES (87384, 11958, 17, 'excluir');
INSERT INTO `lang_definitions` VALUES (87385, 11960, 17, 'wsome');
INSERT INTO `lang_definitions` VALUES (87386, 11963, 17, 'WT');
INSERT INTO `lang_definitions` VALUES (87387, 11966, 17, 'x Cancelado');
INSERT INTO `lang_definitions` VALUES (87388, 11967, 17, 'x Cancelado');
INSERT INTO `lang_definitions` VALUES (87389, 11969, 17, 'RX');
INSERT INTO `lang_definitions` VALUES (87390, 11970, 17, 'RX (interpretação):');
INSERT INTO `lang_definitions` VALUES (87391, 11971, 17, 'RX (interpretação):');
INSERT INTO `lang_definitions` VALUES (87392, 11975, 17, 'X12 só: Substituição de Pedido');
INSERT INTO `lang_definitions` VALUES (87393, 11978, 17, 'X12 Parceiro');
INSERT INTO `lang_definitions` VALUES (87394, 11979, 17, 'X12 Parceiros');
INSERT INTO `lang_definitions` VALUES (87395, 11987, 17, 'Y');
INSERT INTO `lang_definitions` VALUES (87396, 11988, 17, 'ano');
INSERT INTO `lang_definitions` VALUES (87397, 11989, 17, 'Ano');
INSERT INTO `lang_definitions` VALUES (87398, 11990, 17, 'Ver Ano');
INSERT INTO `lang_definitions` VALUES (87399, 11991, 17, 'Ano(s)');
INSERT INTO `lang_definitions` VALUES (87400, 11996, 17, 'Sim');
INSERT INTO `lang_definitions` VALUES (87401, 11997, 17, 'SIM');
INSERT INTO `lang_definitions` VALUES (87402, 11998, 17, 'sim');
INSERT INTO `lang_definitions` VALUES (87403, 11999, 17, 'SIM!');
INSERT INTO `lang_definitions` VALUES (87404, 12000, 17, 'Apagar e Registar');
INSERT INTO `lang_definitions` VALUES (87405, 12002, 17, 'Sim/Não');
INSERT INTO `lang_definitions` VALUES (87406, 12003, 17, 'Sim:');
INSERT INTO `lang_definitions` VALUES (87407, 12008, 17, 'Está prestes a substituir permanentemente o modelo existente. Tem certeza de que deseja continuar?');
INSERT INTO `lang_definitions` VALUES (87408, 12011, 17, 'Mude a password antes de');
INSERT INTO `lang_definitions` VALUES (87409, 12012, 17, 'Não tem permissão para eliminar este evento');
INSERT INTO `lang_definitions` VALUES (87410, 12013, 17, 'Não tem permissão para editar este evento');
INSERT INTO `lang_definitions` VALUES (87411, 12014, 17, 'Não tem permissão para isto.');
INSERT INTO `lang_definitions` VALUES (87412, 12016, 17, 'Não tem permissão para aceder a esta area.');
INSERT INTO `lang_definitions` VALUES (87413, 12017, 17, 'Não tem permissão para adicionar / editar questões');
INSERT INTO `lang_definitions` VALUES (87414, 12019, 17, 'Não tem permissão para ver este encontro.');
INSERT INTO `lang_definitions` VALUES (87415, 12038, 17, 'Não pode aceder a esta função directamente.');
INSERT INTO `lang_definitions` VALUES (87416, 12050, 17, 'Não pode aceder a esta página directamente.');
INSERT INTO `lang_definitions` VALUES (87417, 12051, 17, 'Não pode adicionar um valor em branco para essa categoria');
INSERT INTO `lang_definitions` VALUES (87418, 12052, 17, 'Não pode adicionar um valor em branco para essa subcategoria');
INSERT INTO `lang_definitions` VALUES (87419, 12053, 17, 'Não pode adicionar um valor em branco para um item');
INSERT INTO `lang_definitions` VALUES (87420, 12057, 17, 'Não escolheu nenhuma ação.');
INSERT INTO `lang_definitions` VALUES (87421, 12058, 17, 'Não tem permissão para ver/editar esta nota');
INSERT INTO `lang_definitions` VALUES (87422, 12061, 17, 'Tentou alterar conteudos trancados. Para destrancar remova linha \'/*lock::*/\'');
INSERT INTO `lang_definitions` VALUES (87423, 12090, 17, 'Deve primeiro selecionar ou adicionar um paciente.');
INSERT INTO `lang_definitions` VALUES (87424, 12091, 17, 'Deve primeiro selecionar ou criar um encontro.');
INSERT INTO `lang_definitions` VALUES (87425, 12093, 17, 'Deve selecionar uma categoria de visita');
INSERT INTO `lang_definitions` VALUES (87426, 12094, 17, 'Deve selecionar alguns campos para continuar.');
INSERT INTO `lang_definitions` VALUES (87427, 12104, 17, 'Você deveria estar fazendo este teste se esta reivindicação parecesse gerar prosperamente mas o arquivo de reivindicação atual não contém qualquer dados ou só uma porção inacabada da quantia de dados é suposto que contém. É óbvio com reivindicações de HCFA porque eles são humanos legível, com reivindicações de X12 é um processo mais difícil para determinar se a reivindicação for corretamente complete.');
INSERT INTO `lang_definitions` VALUES (87428, 12122, 17, 'data final inválida');
INSERT INTO `lang_definitions` VALUES (87429, 12123, 17, 'Evento eliminado.');
INSERT INTO `lang_definitions` VALUES (87430, 12124, 17, 'Evento modificado.');
INSERT INTO `lang_definitions` VALUES (87431, 12125, 17, 'Evento submetido.');
INSERT INTO `lang_definitions` VALUES (87432, 12127, 17, 'O ficheiro é muito grande');
INSERT INTO `lang_definitions` VALUES (87433, 12132, 17, 'O nome da sua lista foi alterado em conformidade com as regras.');
INSERT INTO `lang_definitions` VALUES (87434, 12134, 17, 'Nome para esta categoria, procedimento ou resultado');
INSERT INTO `lang_definitions` VALUES (87435, 12140, 17, 'Password desactualizada. Mude a password.');
INSERT INTO `lang_definitions` VALUES (87436, 12141, 17, 'Password válida até');
INSERT INTO `lang_definitions` VALUES (87437, 12143, 17, 'Password termina hoje. Mude a Password.');
INSERT INTO `lang_definitions` VALUES (87438, 12146, 17, 'A configuração de PostCalendar foi alterada p/ valores padrão.');
INSERT INTO `lang_definitions` VALUES (87439, 12147, 17, 'Configuração de PostCalendar foi atualizada.');
INSERT INTO `lang_definitions` VALUES (87440, 12148, 17, 'Sua freqüência repetindo deve ser uma inteireza.');
INSERT INTO `lang_definitions` VALUES (87441, 12149, 17, 'Sua freqüência repetindo deve ser pelo menos 1.');
INSERT INTO `lang_definitions` VALUES (87442, 12151, 17, 'Sua data de começo é maior que sua data de fim');
INSERT INTO `lang_definitions` VALUES (87443, 12152, 17, 'Sua data de começo é inválida');
INSERT INTO `lang_definitions` VALUES (87444, 12153, 17, 'Sua submissão falhou.');
INSERT INTO `lang_definitions` VALUES (87445, 12156, 17, 'aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (87446, 12158, 17, 'aaaa-mm-dd data associado a este documento');
INSERT INTO `lang_definitions` VALUES (87447, 12159, 17, 'aaaa-mm-dd data destruído');
INSERT INTO `lang_definitions` VALUES (87448, 12160, 17, 'aaaa-mm-dd data de nascimento');
INSERT INTO `lang_definitions` VALUES (87449, 12161, 17, 'aaaa-mm-dd Data de Nascimento');
INSERT INTO `lang_definitions` VALUES (87450, 12162, 17, 'aaaa-mm-dd data de morte');
INSERT INTO `lang_definitions` VALUES (87451, 12163, 17, 'aaaa-mm-dd Data de início ou internamento');
INSERT INTO `lang_definitions` VALUES (87452, 12164, 17, 'aaaa-mm-dd data de início, cirurgia ou início da medicação');
INSERT INTO `lang_definitions` VALUES (87453, 12165, 17, 'aaaa-mm-dd data de compra ou transferencia');
INSERT INTO `lang_definitions` VALUES (87454, 12166, 17, 'aaaa-mm-dd data de recuperação ou no final de medicação');
INSERT INTO `lang_definitions` VALUES (87455, 12167, 17, 'aaaa-mm-dd Data de voltar a jogar');
INSERT INTO `lang_definitions` VALUES (87456, 12168, 17, 'aaaa-mm-dd Data de serviço');
INSERT INTO `lang_definitions` VALUES (87457, 12169, 17, 'aaaa-mm-dd data desta carta');
INSERT INTO `lang_definitions` VALUES (87458, 12170, 17, 'aaaa-mm-dd data voltou a jogar');
INSERT INTO `lang_definitions` VALUES (87459, 12171, 17, 'aaaa-mm-dd data do documento');
INSERT INTO `lang_definitions` VALUES (87460, 12173, 17, 'aaaa-mm-dd ocorrencia ou data de início');
INSERT INTO `lang_definitions` VALUES (87461, 12180, 17, 'aaaa-mm-dd última data deste evento');
INSERT INTO `lang_definitions` VALUES (87462, 12186, 17, 'Zero');
INSERT INTO `lang_definitions` VALUES (87463, 12188, 17, 'C. Postal');
INSERT INTO `lang_definitions` VALUES (87464, 12189, 17, 'C. Postal');
INSERT INTO `lang_definitions` VALUES (87465, 12191, 17, 'C. Postal/País:');
INSERT INTO `lang_definitions` VALUES (87466, 12197, 17, 'mas era');
INSERT INTO `lang_definitions` VALUES (87467, 12198, 17, 'não pôde ser acedido.');
INSERT INTO `lang_definitions` VALUES (87468, 12199, 17, 'Deseja realmente eliminar');
INSERT INTO `lang_definitions` VALUES (87469, 12200, 17, 'Droga');
INSERT INTO `lang_definitions` VALUES (87470, 12201, 17, 'emails não enviados');
INSERT INTO `lang_definitions` VALUES (87471, 12202, 17, 'de');
INSERT INTO `lang_definitions` VALUES (87472, 12203, 17, 'foi criado.');
INSERT INTO `lang_definitions` VALUES (87473, 12204, 17, 'foi re-aberto.');
INSERT INTO `lang_definitions` VALUES (87474, 12205, 17, 'Historial');
INSERT INTO `lang_definitions` VALUES (87475, 12206, 17, 'não é um número');
INSERT INTO `lang_definitions` VALUES (87476, 12207, 17, 'está pronto para re-faturar.');
INSERT INTO `lang_definitions` VALUES (87477, 12208, 17, 'LLL:');
INSERT INTO `lang_definitions` VALUES (87478, 12209, 17, 'Lote');
INSERT INTO `lang_definitions` VALUES (87479, 12210, 17, 'Medicaid Referência Original Não.');
INSERT INTO `lang_definitions` VALUES (87480, 12211, 17, 'min');
INSERT INTO `lang_definitions` VALUES (87481, 12212, 17, 'não encontrado!');
INSERT INTO `lang_definitions` VALUES (87482, 12213, 17, 'Peculiaridades em muitos browsers pode querer dizer que a produção debaixo de entra em sua tela em puxões súbitos e que há longo pausa de vários segundos onde se aparece como se coisas podem ter batido. Isso não é o caso, você verá produção que sai de linha através de linha eventualmente. Pode haver números seqüentes que se aparecem abaixo, este é indicar que embora nada mais possa estar exibindo há atividade que vai em. Estes números serão entremeados com o conteúdo do faturamento e isso é normal.');
INSERT INTO `lang_definitions` VALUES (87483, 12214, 17, 'prescrição alcançou seu limite de');
INSERT INTO `lang_definitions` VALUES (87484, 12215, 17, 'até');
INSERT INTO `lang_definitions` VALUES (87485, 12216, 17, 'Actualização falhou, ausente da base de dados?');
INSERT INTO `lang_definitions` VALUES (87486, 12217, 17, 'marcado como facturado.');
INSERT INTO `lang_definitions` VALUES (87487, 12218, 17, 'adicionado à lista.');
INSERT INTO `lang_definitions` VALUES (87488, 12219, 17, '! Desistiu');
INSERT INTO `lang_definitions` VALUES (87489, 12220, 17, 'para código _x005F é CONFERIDO em Colocações de PostCalendar!');
INSERT INTO `lang_definitions` VALUES (87490, 12221, 17, '\" SELECIONADO em configs PostCalendar!');
INSERT INTO `lang_definitions` VALUES (87491, 12222, 17, '# Ins / questão fin');
INSERT INTO `lang_definitions` VALUES (87492, 12223, 17, 'N. de comprimidos:');
INSERT INTO `lang_definitions` VALUES (87493, 12224, 17, '$');
INSERT INTO `lang_definitions` VALUES (87494, 12225, 17, '$ Codificado');
INSERT INTO `lang_definitions` VALUES (87495, 12226, 17, '$rótulo (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (87496, 12227, 17, '%');
INSERT INTO `lang_definitions` VALUES (87497, 12228, 17, '% Cancelado <24h');
INSERT INTO `lang_definitions` VALUES (87498, 12229, 17, '% Cancelado <24h');
INSERT INTO `lang_definitions` VALUES (87499, 12230, 17, 'deveria existir mas não existe.');
INSERT INTO `lang_definitions` VALUES (87500, 12231, 17, '(% partidas qualquer fio, _ emparelha qualquer caráter)');
INSERT INTO `lang_definitions` VALUES (87501, 12233, 17, '(Retroceder)');
INSERT INTO `lang_definitions` VALUES (87502, 12234, 17, '(Editar)');
INSERT INTO `lang_definitions` VALUES (87503, 12236, 17, '(Mais)');
INSERT INTO `lang_definitions` VALUES (87504, 12237, 17, '(Novo Utente)');
INSERT INTO `lang_definitions` VALUES (87505, 12238, 17, '(Notas e Autorizações)');
INSERT INTO `lang_definitions` VALUES (87506, 12239, 17, '(Notas Utentes)');
INSERT INTO `lang_definitions` VALUES (87507, 12240, 17, '(Selecione um destes, ou digite seu próprio título)');
INSERT INTO `lang_definitions` VALUES (87508, 12242, 17, '* Lembrança feita');
INSERT INTO `lang_definitions` VALUES (87509, 12243, 17, '* * Por favor mova cirurgias a Assuntos!');
INSERT INTO `lang_definitions` VALUES (87510, 12244, 17, '* Exigido');
INSERT INTO `lang_definitions` VALUES (87511, 12249, 17, '- Nenhum');
INSERT INTO `lang_definitions` VALUES (87512, 12250, 17, '- Nenhum Reportado');
INSERT INTO `lang_definitions` VALUES (87513, 12251, 17, '-- Todos --');
INSERT INTO `lang_definitions` VALUES (87514, 12252, 17, '-- Seleccione Perfil --');
INSERT INTO `lang_definitions` VALUES (87515, 12253, 17, '.');
INSERT INTO `lang_definitions` VALUES (87516, 12254, 17, '0');
INSERT INTO `lang_definitions` VALUES (87517, 12255, 17, '0-10');
INSERT INTO `lang_definitions` VALUES (87518, 12256, 17, '0-24');
INSERT INTO `lang_definitions` VALUES (87519, 12259, 17, '1');
INSERT INTO `lang_definitions` VALUES (87520, 12265, 17, '1.Descanso 2. Gelo durante dois dias 3. Compressão, mantém ligadura a menos que o pé fique hipostésico ou pálido. 4. Elevar pé e perna');
INSERT INTO `lang_definitions` VALUES (87521, 12266, 17, '11-14');
INSERT INTO `lang_definitions` VALUES (87522, 12267, 17, '12 hr');
INSERT INTO `lang_definitions` VALUES (87523, 12268, 17, '15-19');
INSERT INTO `lang_definitions` VALUES (87524, 12272, 17, '2');
INSERT INTO `lang_definitions` VALUES (87525, 12278, 17, '20-24');
INSERT INTO `lang_definitions` VALUES (87526, 12287, 17, '2111-13');
INSERT INTO `lang_definitions` VALUES (87527, 12288, 17, '24 hr');
INSERT INTO `lang_definitions` VALUES (87528, 12289, 17, '25');
INSERT INTO `lang_definitions` VALUES (87529, 12290, 17, '25-29');
INSERT INTO `lang_definitions` VALUES (87530, 12293, 17, '2º');
INSERT INTO `lang_definitions` VALUES (87531, 12297, 17, '3 meses');
INSERT INTO `lang_definitions` VALUES (87532, 12299, 17, '3 vezes ao dia');
INSERT INTO `lang_definitions` VALUES (87533, 12301, 17, '30-34');
INSERT INTO `lang_definitions` VALUES (87534, 12302, 17, '35-39');
INSERT INTO `lang_definitions` VALUES (87535, 12304, 17, '3º');
INSERT INTO `lang_definitions` VALUES (87536, 12308, 17, '4 meses');
INSERT INTO `lang_definitions` VALUES (87537, 12310, 17, '4 vezes ao dia');
INSERT INTO `lang_definitions` VALUES (87538, 12312, 17, '40-44');
INSERT INTO `lang_definitions` VALUES (87539, 12313, 17, '45');
INSERT INTO `lang_definitions` VALUES (87540, 12314, 17, '465.9, URI,');
INSERT INTO `lang_definitions` VALUES (87541, 12315, 17, '466.0, Bronquite aguda SOE');
INSERT INTO `lang_definitions` VALUES (87542, 12316, 17, '486.0, Pneumonia aguda');
INSERT INTO `lang_definitions` VALUES (87543, 12317, 17, '491.21, Exacerbação de DPCO');
INSERT INTO `lang_definitions` VALUES (87544, 12318, 17, '491.8, Bronquite crônica');
INSERT INTO `lang_definitions` VALUES (87545, 12319, 17, '493.92, Asma Aguda EXAC.');
INSERT INTO `lang_definitions` VALUES (87546, 12320, 17, '496.0, a DPCO');
INSERT INTO `lang_definitions` VALUES (87547, 12323, 17, '4º');
INSERT INTO `lang_definitions` VALUES (87548, 12326, 17, '5 dias a partir de agora');
INSERT INTO `lang_definitions` VALUES (87549, 12327, 17, '5 meses a partir de agora');
INSERT INTO `lang_definitions` VALUES (87550, 12328, 17, '5 semanas a partir de agora');
INSERT INTO `lang_definitions` VALUES (87551, 12329, 17, '519.7, Broncoespasmo');
INSERT INTO `lang_definitions` VALUES (87552, 12330, 17, '5mm');
INSERT INTO `lang_definitions` VALUES (87553, 12331, 17, '5º');
INSERT INTO `lang_definitions` VALUES (87554, 12333, 17, '6 dias a partir de agora');
INSERT INTO `lang_definitions` VALUES (87555, 12334, 17, '6 meses');
INSERT INTO `lang_definitions` VALUES (87556, 12335, 17, '6 meses a partir de agora');
INSERT INTO `lang_definitions` VALUES (87557, 12336, 17, '6 semanas a partir de agora');
INSERT INTO `lang_definitions` VALUES (87558, 12337, 17, '6º');
INSERT INTO `lang_definitions` VALUES (87559, 12339, 17, '7 meses a partir de agora');
INSERT INTO `lang_definitions` VALUES (87560, 12340, 17, '8 meses a partir de agora');
INSERT INTO `lang_definitions` VALUES (87561, 12341, 17, '8-12 caracteres, incluindo pelo menos uma letra maiúscula, uma letra minúscula, um número, um caractere especial e nenhuma string comum');
INSERT INTO `lang_definitions` VALUES (87562, 12342, 17, '824.0 fratura, malleolus mediano, fechado,');
INSERT INTO `lang_definitions` VALUES (87563, 12343, 17, '824.2 fratura, malleolus lateral, fechado,');
INSERT INTO `lang_definitions` VALUES (87564, 12344, 17, '824.6 fractura, Trimalleolar, fechado,');
INSERT INTO `lang_definitions` VALUES (87565, 12345, 17, '825.32 fractura, de Navicular (tornozelo)');
INSERT INTO `lang_definitions` VALUES (87566, 12346, 17, '825.35 fractura, Base de quinto (5º) Metatarsal');
INSERT INTO `lang_definitions` VALUES (87567, 12347, 17, '845.00 deslocamento de tornozelo NOS');
INSERT INTO `lang_definitions` VALUES (87568, 12348, 17, '845.01 deslocamento Mediano (Deltoid) Lig.');
INSERT INTO `lang_definitions` VALUES (87569, 12349, 17, '845.02 deslocamento, fibular de Calcaneal,');
INSERT INTO `lang_definitions` VALUES (87570, 12350, 17, '9 meses a partir de agora');
INSERT INTO `lang_definitions` VALUES (87571, 12351, 17, '99212 estabelecido - Não complicado');
INSERT INTO `lang_definitions` VALUES (87572, 12352, 17, '99213 estabelecido - Baixa Complexidade');
INSERT INTO `lang_definitions` VALUES (87573, 12353, 17, '< Em consulta');
INSERT INTO `lang_definitions` VALUES (87574, 12354, 17, '< Não Reportado');
INSERT INTO `lang_definitions` VALUES (87575, 12356, 17, '> 3 Elementos HPI');
INSERT INTO `lang_definitions` VALUES (87576, 12357, 17, '> Saiu');
INSERT INTO `lang_definitions` VALUES (87577, 12358, 17, '> Não aconteceu');
INSERT INTO `lang_definitions` VALUES (87578, 12359, 17, '?');
INSERT INTO `lang_definitions` VALUES (87579, 12360, 17, '? Não Atendido');
INSERT INTO `lang_definitions` VALUES (87580, 12361, 17, '? Faltou');
INSERT INTO `lang_definitions` VALUES (87581, 12362, 17, '@ Chegou');
INSERT INTO `lang_definitions` VALUES (87582, 12363, 17, '@ Atendido');
INSERT INTO `lang_definitions` VALUES (87583, 12364, 17, '[Alterar Vista]');
INSERT INTO `lang_definitions` VALUES (87584, 12365, 17, '[Data da última consulta]');
INSERT INTO `lang_definitions` VALUES (87585, 12366, 17, '[Dias desde a última consulta]');
INSERT INTO `lang_definitions` VALUES (87586, 12367, 17, '[EOBs]');
INSERT INTO `lang_definitions` VALUES (87587, 12368, 17, '[Exporta OFX]');
INSERT INTO `lang_definitions` VALUES (87588, 12369, 17, '[não recomendado]');
INSERT INTO `lang_definitions` VALUES (87589, 12370, 17, '[Num. Encontros]');
INSERT INTO `lang_definitions` VALUES (87590, 12371, 17, '[Relatórios]');
INSERT INTO `lang_definitions` VALUES (87591, 12372, 17, '[Selecione Tudo]');
INSERT INTO `lang_definitions` VALUES (87592, 12373, 17, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (87593, 12374, 17, '[Começa lote]');
INSERT INTO `lang_definitions` VALUES (87594, 12375, 17, '[Ver o reg]');
INSERT INTO `lang_definitions` VALUES (87595, 12376, 17, '[Ver Relatório Imprimível]');
INSERT INTO `lang_definitions` VALUES (87596, 12377, 17, '^ Pendente');
INSERT INTO `lang_definitions` VALUES (87597, 12378, 17, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (87598, 12379, 17, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (87599, 12380, 17, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (87600, 12381, 17, '~ Chegou atrasado');
INSERT INTO `lang_definitions` VALUES (87601, 12382, 17, '~ Atraso previsto');
INSERT INTO `lang_definitions` VALUES (87602, 1, 18, 'Um');
INSERT INTO `lang_definitions` VALUES (87603, 2, 18, 'Um número do cheque ou do crédito para identificar o pagamento');
INSERT INTO `lang_definitions` VALUES (87604, 3, 18, 'Uma reivindicação deve ser selecionada para ativar este menu.');
INSERT INTO `lang_definitions` VALUES (87605, 4, 18, 'Um certificado cliente para o usuário administrador');
INSERT INTO `lang_definitions` VALUES (87606, 5, 18, 'Uma Regra de Decisão Clínica é a informação específica do paciente que é filtrada e apresentada em momentos apropriados para melhorar a saúde e cuidados de saúde');
INSERT INTO `lang_definitions` VALUES (87607, 6, 18, 'Um documento clínico está anexado.');
INSERT INTO `lang_definitions` VALUES (87608, 7, 18, 'Um documento clínico está anexado.');
INSERT INTO `lang_definitions` VALUES (87609, 8, 18, 'Um código deste tipo já foi selecionado. Se você precisar de substituí-lo, primeiro apague o campo');
INSERT INTO `lang_definitions` VALUES (87610, 9, 18, 'Uma mensagem de lembrete datada pode ser encaminhada clicando no botão Encaminhar ou removida da lista de lembretes datados clicando no botão Definir como Concluído');
INSERT INTO `lang_definitions` VALUES (87611, 10, 18, 'Uma chave de segurança dedicada precisa ser comprada');
INSERT INTO `lang_definitions` VALUES (87612, 11, 18, 'Um código padrão é opcional, pois o código necessário pode ser inserido no momento da colocação da ordem actual');
INSERT INTO `lang_definitions` VALUES (87613, 12, 18, 'Um guia detalhado sobre como habilitar e configurar uma regra de Decisão Clínica é encontrado aqui');
INSERT INTO `lang_definitions` VALUES (87614, 13, 18, 'Um distribuidor é necessário');
INSERT INTO `lang_definitions` VALUES (87615, 14, 18, 'Uma data de vencimento pode ser especificada ou um período de tempo específico pode ser escolhido para o lembrete datado para aparecer');
INSERT INTO `lang_definitions` VALUES (87616, 15, 18, 'Algumas palavras para indicar o motivo da visita');
INSERT INTO `lang_definitions` VALUES (87617, 16, 18, 'A followup appointment can also be scheduled right from the fee sheet');
INSERT INTO `lang_definitions` VALUES (87618, 17, 18, 'Um formulário GCAC deve ser acrescentado a esta visita.');
INSERT INTO `lang_definitions` VALUES (87619, 18, 18, 'Uma mensagem HL7 v2.x consiste simplesmente em várias linhas de texto, cada linha é chamada de segmento e é mais dividida em campos usando o caractere pipe (|)');
INSERT INTO `lang_definitions` VALUES (87620, 19, 18, 'Um grande aplicativo como openEMR é usado por uma infinidade de usuários com diferentes papéis e graus de responsabilidade. É imperativo que o acesso a várias partes do programa seja concedido aos usuários em uma necessidade para conhecer a base. Para conseguir isso - Listas de controle de acesso (LCA) são usadas.');
INSERT INTO `lang_definitions` VALUES (87621, 20, 18, 'Um número de lote é necessário');
INSERT INTO `lang_definitions` VALUES (87622, 21, 18, 'Um número de lote é necessário!');
INSERT INTO `lang_definitions` VALUES (87623, 22, 18, 'Uma letra minúscula');
INSERT INTO `lang_definitions` VALUES (87624, 23, 18, 'Uma nova marcação');
INSERT INTO `lang_definitions` VALUES (87625, 24, 18, 'Um novo recurso ajuda a agrupar testes encomendados com frequência para que eles possam ser ordenados juntos');
INSERT INTO `lang_definitions` VALUES (87626, 25, 18, 'Uma nova mensagem pode, assim, ser enviada para um único ou vários usuários e/ ou pode ser sobre um único ou vários pacientes');
INSERT INTO `lang_definitions` VALUES (87627, 27, 18, 'Um novo tab sub- menu ficará visível no topo da página central de mensagens');
INSERT INTO `lang_definitions` VALUES (87628, 28, 18, 'Um número');
INSERT INTO `lang_definitions` VALUES (87629, 29, 18, 'Um paciente deve ser selecionado para gerar este relatório.');
INSERT INTO `lang_definitions` VALUES (87630, 30, 18, 'Já existe um paciente com está identificação.');
INSERT INTO `lang_definitions` VALUES (87631, 31, 18, 'Já existe um paciente com este nome.');
INSERT INTO `lang_definitions` VALUES (87632, 32, 18, 'Um paciente com este CPF já existe.');
INSERT INTO `lang_definitions` VALUES (87633, 33, 18, 'É Necessário um Pagamento!. Por favor introduza um item de entrada de linha de pagamento');
INSERT INTO `lang_definitions` VALUES (87634, 34, 18, 'Um lugar para documentar e exibir a história médica passada do paciente, história familiar, história pessoa');
INSERT INTO `lang_definitions` VALUES (87635, 35, 18, 'Uma caixa pop-up irá alertá-lo sobre o sucesso ou fracasso');
INSERT INTO `lang_definitions` VALUES (87636, 36, 18, 'Um número positivo vai mostrar que muitos agendamentos anteriores no Aplicativo na tela de Resumo do Paciente (um número negativo irá mostrar os últimos compromissos em ordem decrescente).');
INSERT INTO `lang_definitions` VALUES (87637, 37, 18, 'Um número positivo vai mostrar que muitos agendamentos anteriores no Aplicativo na tela de Resumo do Paciente.');
INSERT INTO `lang_definitions` VALUES (87638, 38, 18, 'Um produto foi selecionado mas não há seção do produto neste formulário.');
INSERT INTO `lang_definitions` VALUES (87639, 39, 18, 'Um fornecedor ou armazém pode ser selecionado na caixa dropwdown. Para esta opção ser exibida \'Provedor de suporte no item linha na folha de taxa\' caixa deve ser marcada em Administração > Globals> Página de faturamento');
INSERT INTO `lang_definitions` VALUES (87640, 41, 18, 'Uma indicação tem uma ação adicional - para imprimir a indicação ou salvá-la como um arquivo pdf');
INSERT INTO `lang_definitions` VALUES (87641, 42, 18, 'Uma Referência é o tipo mais comum de transação');
INSERT INTO `lang_definitions` VALUES (87642, 43, 18, 'Uma fonte de referência pode ser especificada para cada visita.');
INSERT INTO `lang_definitions` VALUES (87643, 44, 18, 'Um código IPPF relacionado é necessário!');
INSERT INTO `lang_definitions` VALUES (87644, 45, 18, 'Uma conexão web segura (HTTPS) é necessária para U2F');
INSERT INTO `lang_definitions` VALUES (87645, 46, 18, 'Uma breve descrição deste grupo que aparecerá quando você passar o mouse sobre o grupo recém-criado (ARO).');
INSERT INTO `lang_definitions` VALUES (87646, 47, 18, 'Uma breve descrição deste grupo, testes de química de soro');
INSERT INTO `lang_definitions` VALUES (87647, 48, 18, 'Uma breve descrição deste procedimento ou código do resultado');
INSERT INTO `lang_definitions` VALUES (87648, 49, 18, 'Um caractere especial');
INSERT INTO `lang_definitions` VALUES (87649, 50, 18, 'Um formulário padronizado chamado Health Insurance Claim Form é usado para apresentar reclamações');
INSERT INTO `lang_definitions` VALUES (87650, 51, 18, 'Uma terceira alternativa é digitalizar os resultados e salvá-los como um documento - TIFF, JPEG ou PDF na tabela do paciente em documentos');
INSERT INTO `lang_definitions` VALUES (87651, 52, 18, 'Um formulário de duas páginas será revelado');
INSERT INTO `lang_definitions` VALUES (87652, 53, 18, 'Um valor único para identificar este campo, não visível para o usuário');
INSERT INTO `lang_definitions` VALUES (87653, 54, 18, 'Um começo útil seria obter um papel de laboratório slip de alguns laboratórios e olhar para a forma como os testes são organizados no laboratório slip');
INSERT INTO `lang_definitions` VALUES (87654, 55, 18, 'Já existe uma visita para este grupo hoje. Click em Cancelar para o abrir ou em OK para continuar a criar um novo');
INSERT INTO `lang_definitions` VALUES (87655, 56, 18, 'Uma visita já existe para este paciente hoje. Clique em Cancelar para abri-lo, ou OK para prosseguir com a criação de um novo.');
INSERT INTO `lang_definitions` VALUES (87656, 57, 18, 'c.a.');
INSERT INTO `lang_definitions` VALUES (87657, 58, 18, 'da tarde');
INSERT INTO `lang_definitions` VALUES (87658, 59, 18, 'A/C{{{câmara anterior}}');
INSERT INTO `lang_definitions` VALUES (87659, 60, 18, 'A/F Nível Direita:');
INSERT INTO `lang_definitions` VALUES (87660, 61, 18, 'AAA Segments');
INSERT INTO `lang_definitions` VALUES (87661, 62, 18, 'Agenda');
INSERT INTO `lang_definitions` VALUES (87662, 63, 18, 'Abreviatura');
INSERT INTO `lang_definitions` VALUES (87663, 64, 18, 'Abcesso:');
INSERT INTO `lang_definitions` VALUES (87664, 65, 18, 'Abdominal');
INSERT INTO `lang_definitions` VALUES (87665, 66, 18, 'Capaz de suportar o peso por quatro (4) passos:');
INSERT INTO `lang_definitions` VALUES (87666, 67, 18, 'ABN');
INSERT INTO `lang_definitions` VALUES (87667, 68, 18, 'ABN1');
INSERT INTO `lang_definitions` VALUES (87668, 69, 18, 'ABNL');
INSERT INTO `lang_definitions` VALUES (87669, 70, 18, 'Anormal');
INSERT INTO `lang_definitions` VALUES (87670, 71, 18, 'Teste de Sangue Anormal');
INSERT INTO `lang_definitions` VALUES (87671, 72, 18, 'Crescimento anormal dos cabelos');
INSERT INTO `lang_definitions` VALUES (87672, 73, 18, 'Mamografia anormal');
INSERT INTO `lang_definitions` VALUES (87673, 74, 18, 'Abortar');
INSERT INTO `lang_definitions` VALUES (87674, 75, 18, 'Aborto');
INSERT INTO `lang_definitions` VALUES (87675, 76, 18, 'Questões do Aborto');
INSERT INTO `lang_definitions` VALUES (87676, 77, 18, 'O método do aborto');
INSERT INTO `lang_definitions` VALUES (87677, 78, 18, 'Categorias Relacionadas ao Aborto');
INSERT INTO `lang_definitions` VALUES (87678, 79, 18, 'Abortos');
INSERT INTO `lang_definitions` VALUES (87679, 80, 18, 'Sobre');
INSERT INTO `lang_definitions` VALUES (87680, 81, 18, 'Sobre o Painel do Portal');
INSERT INTO `lang_definitions` VALUES (87681, 82, 18, 'Sobre o calendário');
INSERT INTO `lang_definitions` VALUES (87682, 83, 18, 'Sobre o seu portal');
INSERT INTO `lang_definitions` VALUES (87683, 84, 18, 'Acima dos limites superiores de pânico');
INSERT INTO `lang_definitions` VALUES (87684, 85, 18, 'Ausências por Diagnóstico');
INSERT INTO `lang_definitions` VALUES (87685, 86, 18, 'Aceitar');
INSERT INTO `lang_definitions` VALUES (87686, 87, 18, 'Aceitar Tarefa');
INSERT INTO `lang_definitions` VALUES (87687, 88, 18, 'Aceitar pagamentos');
INSERT INTO `lang_definitions` VALUES (87688, 89, 18, 'Aceitar Pagamento para');
INSERT INTO `lang_definitions` VALUES (87689, 90, 18, 'Aceitar Pagamento para');
INSERT INTO `lang_definitions` VALUES (87690, 91, 18, 'Aceitar Tarefa');
INSERT INTO `lang_definitions` VALUES (87691, 92, 18, 'O acesso pode ser dado a outros grupos editando Assinaturas de Usuários ou Grupos e Controles de Acesso na Administração > ACL');
INSERT INTO `lang_definitions` VALUES (87692, 93, 18, 'Controle de Acesso');
INSERT INTO `lang_definitions` VALUES (87693, 94, 18, 'Controle de Acesso da Lista de Administração');
INSERT INTO `lang_definitions` VALUES (87694, 95, 18, 'Ajuda da Lista de Controlo de Acessos');
INSERT INTO `lang_definitions` VALUES (87695, 96, 18, 'Listas de Controlo de Acessos');
INSERT INTO `lang_definitions` VALUES (87696, 97, 18, 'Acesso do núcleo do conjunto de dados de informações do paciente no início de um encontro');
INSERT INTO `lang_definitions` VALUES (87697, 98, 18, 'Data de acesso');
INSERT INTO `lang_definitions` VALUES (87698, 99, 18, 'Acesso negado');
INSERT INTO `lang_definitions` VALUES (87699, 100, 18, 'O acesso é então concedido seletivamente a porções do programa em uma necessidade de saber a base');
INSERT INTO `lang_definitions` VALUES (87700, 101, 18, 'Acesso não permitido');
INSERT INTO `lang_definitions` VALUES (87701, 102, 18, 'Acesso não permitido');
INSERT INTO `lang_definitions` VALUES (87702, 103, 18, 'Acesso Não Autorizado');
INSERT INTO `lang_definitions` VALUES (87703, 104, 18, 'Acesse seus registros médicos');
INSERT INTO `lang_definitions` VALUES (87704, 105, 18, 'Acesse o Portal do Paciente');
INSERT INTO `lang_definitions` VALUES (87705, 106, 18, 'Acidente');
INSERT INTO `lang_definitions` VALUES (87706, 107, 18, 'Conta');
INSERT INTO `lang_definitions` VALUES (87707, 109, 18, 'ID da conta emitido para o serviço eRx NewCrop, usado para separar contas multi-facility.');
INSERT INTO `lang_definitions` VALUES (87708, 110, 18, 'Identificação da conta emitida para o serviço Weno eRx');
INSERT INTO `lang_definitions` VALUES (87709, 111, 18, 'Identificação de conta emitida para o seu serviço de clínicas eRx');
INSERT INTO `lang_definitions` VALUES (87710, 112, 18, 'A conta está validada. Enviar novas credenciais?');
INSERT INTO `lang_definitions` VALUES (87711, 113, 18, 'Nome da Conta');
INSERT INTO `lang_definitions` VALUES (87712, 114, 18, 'Nome de Conta atribuído para serviço NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (87713, 115, 18, 'Palavra-passe da Conta atribuída para serviço NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (87714, 117, 18, 'Contabilidade');
INSERT INTO `lang_definitions` VALUES (87715, 118, 18, 'Contabilidade (acct)');
INSERT INTO `lang_definitions` VALUES (87716, 119, 18, 'Prestações de contas');
INSERT INTO `lang_definitions` VALUES (87717, 120, 18, 'Conta');
INSERT INTO `lang_definitions` VALUES (87718, 121, 18, 'ACD{{profundidade da câmara anterior}}');
INSERT INTO `lang_definitions` VALUES (87719, 122, 18, 'Dores');
INSERT INTO `lang_definitions` VALUES (87720, 123, 18, 'Reconheça como minha assinatura eletrônica');
INSERT INTO `lang_definitions` VALUES (87721, 124, 18, 'Solicitação de Requisição (ISA14)');
INSERT INTO `lang_definitions` VALUES (87722, 125, 18, 'Reconhecimentos, Licenciamento e Certificação');
INSERT INTO `lang_definitions` VALUES (87723, 126, 18, 'Acesso');
INSERT INTO `lang_definitions` VALUES (87724, 127, 18, 'Administração de Acesso');
INSERT INTO `lang_definitions` VALUES (87725, 128, 18, 'Administração de Acesso (acl)');
INSERT INTO `lang_definitions` VALUES (87726, 129, 18, 'Administração de Acesso Não Autorizada');
INSERT INTO `lang_definitions` VALUES (87727, 131, 18, 'Controle granular fino');
INSERT INTO `lang_definitions` VALUES (87728, 132, 18, 'ACL atualizado com sucesso');
INSERT INTO `lang_definitions` VALUES (87729, 133, 18, 'Acne');
INSERT INTO `lang_definitions` VALUES (87730, 134, 18, 'Ojeto de control de aceso (control de aceso)');
INSERT INTO `lang_definitions` VALUES (87731, 135, 18, 'ACOM {{Segmento Anterior}}');
INSERT INTO `lang_definitions` VALUES (87732, 136, 18, 'Procedimento');
INSERT INTO `lang_definitions` VALUES (87733, 137, 18, 'Data do Procedimento');
INSERT INTO `lang_definitions` VALUES (87734, 138, 18, 'Ação');
INSERT INTO `lang_definitions` VALUES (87735, 139, 18, 'Medidas tomadas');
INSERT INTO `lang_definitions` VALUES (87736, 140, 18, 'Tempo de ação realizada');
INSERT INTO `lang_definitions` VALUES (87737, 141, 18, 'Usuário de ação');
INSERT INTO `lang_definitions` VALUES (87738, 142, 18, 'Ações');
INSERT INTO `lang_definitions` VALUES (87739, 143, 18, 'Ativar');
INSERT INTO `lang_definitions` VALUES (87740, 144, 18, 'Ativar Relatórios CCR/CCD');
INSERT INTO `lang_definitions` VALUES (87741, 145, 18, 'activar para ordenar a coluna ascendente');
INSERT INTO `lang_definitions` VALUES (87742, 146, 18, 'activar para ordenar a coluna descendente');
INSERT INTO `lang_definitions` VALUES (87743, 147, 18, 'Ativar UB04/837I Solicitar suporte');
INSERT INTO `lang_definitions` VALUES (87744, 148, 18, 'Ativo');
INSERT INTO `lang_definitions` VALUES (87745, 149, 18, 'Ativo - Por padrão, qualquer valor adicionado aqui será definido como Ativo, para evitar/remover um item que apareça na lista suspensa apenas desmarque e desative');
INSERT INTO `lang_definitions` VALUES (87746, 150, 18, 'Alerta Ativo');
INSERT INTO `lang_definitions` VALUES (87747, 151, 18, 'Active Alert - que se apresenta como uma notificação pop-up quando o gráfico do paciente é inserido');
INSERT INTO `lang_definitions` VALUES (87748, 152, 18, 'Regras de Alerta Ativo');
INSERT INTO `lang_definitions` VALUES (87749, 153, 18, 'Alertas Ativos/Lembretes');
INSERT INTO `lang_definitions` VALUES (87750, 154, 18, 'Gráfico Ativo');
INSERT INTO `lang_definitions` VALUES (87751, 155, 18, 'Diretório ativo - Base de Domínios');
INSERT INTO `lang_definitions` VALUES (87752, 156, 18, 'Diretório ativo - Controladores de Domínios');
INSERT INTO `lang_definitions` VALUES (87753, 157, 18, 'Diretório ativo - Sufixo da Conta');
INSERT INTO `lang_definitions` VALUES (87754, 158, 18, 'Consulta Ativa');
INSERT INTO `lang_definitions` VALUES (87755, 159, 18, 'Ativar Códigos de Problemas');
INSERT INTO `lang_definitions` VALUES (87756, 160, 18, 'Listas ativas');
INSERT INTO `lang_definitions` VALUES (87757, 161, 18, 'Mensagens Activas');
INSERT INTO `lang_definitions` VALUES (87758, 162, 18, 'Paciente Ativo');
INSERT INTO `lang_definitions` VALUES (87759, 163, 18, 'Planos Ativos');
INSERT INTO `lang_definitions` VALUES (87760, 164, 18, 'Modelos Activos');
INSERT INTO `lang_definitions` VALUES (87761, 173, 18, 'Atividade');
INSERT INTO `lang_definitions` VALUES (87762, 174, 18, 'Tipo de Atividade');
INSERT INTO `lang_definitions` VALUES (87763, 175, 18, 'Recebimentos Reais');
INSERT INTO `lang_definitions` VALUES (87764, 176, 18, 'Acuidade');
INSERT INTO `lang_definitions` VALUES (87765, 177, 18, 'ACUIDADE');
INSERT INTO `lang_definitions` VALUES (87766, 178, 18, 'Acuidade com Autorefração');
INSERT INTO `lang_definitions` VALUES (87767, 179, 18, 'Acuidade com lentes de contato');
INSERT INTO `lang_definitions` VALUES (87768, 180, 18, 'Acuidade com correção');
INSERT INTO `lang_definitions` VALUES (87769, 181, 18, 'Acuidade com refração cicloplégica');
INSERT INTO `lang_definitions` VALUES (87770, 182, 18, 'Acuidade com Refração Manifesta');
INSERT INTO `lang_definitions` VALUES (87771, 183, 18, 'Acuidade com Furo');
INSERT INTO `lang_definitions` VALUES (87772, 184, 18, 'Acuidade sem correção');
INSERT INTO `lang_definitions` VALUES (87773, 185, 18, 'Intoxicação Aguda/Isolamento');
INSERT INTO `lang_definitions` VALUES (87774, 186, 18, 'Manifestação aguda de uma condição crônica');
INSERT INTO `lang_definitions` VALUES (87775, 187, 18, 'Aguda sobre crônica');
INSERT INTO `lang_definitions` VALUES (87776, 188, 18, 'Anúncio revisado');
INSERT INTO `lang_definitions` VALUES (87777, 189, 18, 'Adicionar');
INSERT INTO `lang_definitions` VALUES (87778, 190, 18, 'adicionar');
INSERT INTO `lang_definitions` VALUES (87779, 191, 18, 'ADICIONAR');
INSERT INTO `lang_definitions` VALUES (87780, 192, 18, 'Adicionar uma Empresa');
INSERT INTO `lang_definitions` VALUES (87781, 193, 18, 'Adicionar uma condição');
INSERT INTO `lang_definitions` VALUES (87782, 194, 18, 'ADICIONE UMA NOVA RECUPERAÇÃO');
INSERT INTO `lang_definitions` VALUES (87783, 195, 18, 'Adicione uma nova recuperação');
INSERT INTO `lang_definitions` VALUES (87784, 196, 18, 'Adicionar uma nota ao cobrador');
INSERT INTO `lang_definitions` VALUES (87785, 197, 18, 'Adicionar uma Farmácia');
INSERT INTO `lang_definitions` VALUES (87786, 198, 18, 'Adicionar todos os provedores necessários numa forma semelhante');
INSERT INTO `lang_definitions` VALUES (87787, 199, 18, 'Adicionar todas as regras ao plano');
INSERT INTO `lang_definitions` VALUES (87788, 200, 18, 'adicionar um evento para');
INSERT INTO `lang_definitions` VALUES (87789, 201, 18, 'Adicionar como uma nova mensagem');
INSERT INTO `lang_definitions` VALUES (87790, 202, 18, 'Adicionar como uma nova nota');
INSERT INTO `lang_definitions` VALUES (87791, 203, 18, 'Adicionar como Novo');
INSERT INTO `lang_definitions` VALUES (87792, 204, 18, 'Adicionar como novo paciente');
INSERT INTO `lang_definitions` VALUES (87793, 205, 18, 'Adicionar linha de borda inferior');
INSERT INTO `lang_definitions` VALUES (87794, 206, 18, 'Adicionar Botões');
INSERT INTO `lang_definitions` VALUES (87795, 207, 18, 'Adicionar Botões para Caracteres especiais, Textos para serem exibidos no topo do editor para inclusão do texto em um Clique');
INSERT INTO `lang_definitions` VALUES (87796, 208, 18, 'Adicionar Categoria');
INSERT INTO `lang_definitions` VALUES (87797, 209, 18, 'Adicionar Constante');
INSERT INTO `lang_definitions` VALUES (87798, 210, 18, 'Adicionar Contexto');
INSERT INTO `lang_definitions` VALUES (87799, 211, 18, 'Adicionar Co-Pagamento');
INSERT INTO `lang_definitions` VALUES (87800, 212, 18, 'Adicionar Critério');
INSERT INTO `lang_definitions` VALUES (87801, 213, 18, 'Adicionar Botão Customizado');
INSERT INTO `lang_definitions` VALUES (87802, 214, 18, 'Adicionar borda inferior de dados');
INSERT INTO `lang_definitions` VALUES (87803, 215, 18, 'Adicione os privilégios desejados movendo os itens (ACOs) da coluna \'Inativa\' para a coluna \'Ativa\'');
INSERT INTO `lang_definitions` VALUES (87804, 216, 18, 'Adicionar Diagnóstico');
INSERT INTO `lang_definitions` VALUES (87805, 217, 18, 'Adicionar Medicamento');
INSERT INTO `lang_definitions` VALUES (87806, 218, 18, 'Adicionar ajuda para editar transações');
INSERT INTO `lang_definitions` VALUES (87807, 219, 18, 'Adicionar consulta');
INSERT INTO `lang_definitions` VALUES (87808, 220, 18, 'Adicionar Consulta');
INSERT INTO `lang_definitions` VALUES (87809, 221, 18, 'Adicionar Consulta/Notas');
INSERT INTO `lang_definitions` VALUES (87810, 222, 18, 'Adicionar Clínica');
INSERT INTO `lang_definitions` VALUES (87811, 223, 18, 'Adicionar Campo');
INSERT INTO `lang_definitions` VALUES (87812, 224, 18, 'Adicionar estas linhas ao arquivo de configuração do Servidor Web (Apache)');
INSERT INTO `lang_definitions` VALUES (87813, 225, 18, 'Adicionar Grupo');
INSERT INTO `lang_definitions` VALUES (87814, 226, 18, 'Adicionar grupo');
INSERT INTO `lang_definitions` VALUES (87815, 227, 18, 'Adicionar Código CID');
INSERT INTO `lang_definitions` VALUES (87816, 228, 18, 'Adicionar Imunização');
INSERT INTO `lang_definitions` VALUES (87817, 229, 18, 'Não está autorizado adicionar!');
INSERT INTO `lang_definitions` VALUES (87818, 230, 18, 'Adicionar Ocorrência');
INSERT INTO `lang_definitions` VALUES (87819, 231, 18, 'Adicionar item para localizar');
INSERT INTO `lang_definitions` VALUES (87820, 232, 18, 'Adicionar Idioma');
INSERT INTO `lang_definitions` VALUES (87821, 234, 18, 'Adicionar manualmente');
INSERT INTO `lang_definitions` VALUES (87822, 235, 18, 'Adicionar modo');
INSERT INTO `lang_definitions` VALUES (87823, 236, 18, 'Adicionar modificadores para este tipo de campo. Poderá seleccionar mais do que um');
INSERT INTO `lang_definitions` VALUES (87824, 237, 18, 'Adicionar Mais Itens');
INSERT INTO `lang_definitions` VALUES (87825, 238, 18, 'Adicionar Novo');
INSERT INTO `lang_definitions` VALUES (87826, 239, 18, 'Adicionar novo');
INSERT INTO `lang_definitions` VALUES (87827, 240, 18, 'Adicionar nova categoria:');
INSERT INTO `lang_definitions` VALUES (87828, 241, 18, 'Adicione certificados novos ao arquivo de configuração do Servidor Web (Apache)');
INSERT INTO `lang_definitions` VALUES (87829, 242, 18, 'Adicionar novo componente');
INSERT INTO `lang_definitions` VALUES (87830, 243, 18, 'Adicionar novos componentes');
INSERT INTO `lang_definitions` VALUES (87831, 244, 18, 'Adicionar uma nova base de dados');
INSERT INTO `lang_definitions` VALUES (87832, 245, 18, 'Adicionar um novo item');
INSERT INTO `lang_definitions` VALUES (87833, 246, 18, 'Adicionar um novo evento');
INSERT INTO `lang_definitions` VALUES (87834, 248, 18, 'ADICIONAR UM NOVO GRUPO');
INSERT INTO `lang_definitions` VALUES (87835, 249, 18, 'Adicionar Novo Grupo');
INSERT INTO `lang_definitions` VALUES (87836, 250, 18, 'Adicionar um novo problema');
INSERT INTO `lang_definitions` VALUES (87837, 251, 18, 'Adicionar novo lote e transação');
INSERT INTO `lang_definitions` VALUES (87838, 252, 18, 'Adicionar uma nova mensagem');
INSERT INTO `lang_definitions` VALUES (87839, 253, 18, 'Adicionar Nova Observação');
INSERT INTO `lang_definitions` VALUES (87840, 254, 18, 'Adicionar nova observação');
INSERT INTO `lang_definitions` VALUES (87841, 255, 18, 'Adicionar Novo Parceiro');
INSERT INTO `lang_definitions` VALUES (87842, 256, 18, 'Adicionar Novo Paciente');
INSERT INTO `lang_definitions` VALUES (87843, 257, 18, 'ADICIONAR NOVO PLANO');
INSERT INTO `lang_definitions` VALUES (87844, 258, 18, 'Adicionar um novo...');
INSERT INTO `lang_definitions` VALUES (87845, 264, 18, 'Adicionar Observação');
INSERT INTO `lang_definitions` VALUES (87846, 265, 18, 'Adicionar atividade do portal no local');
INSERT INTO `lang_definitions` VALUES (87847, 266, 18, 'Adicionar um pacote');
INSERT INTO `lang_definitions` VALUES (87848, 267, 18, 'Adicionar paciente');
INSERT INTO `lang_definitions` VALUES (87849, 268, 18, 'Adicionar Registro de Paciente');
INSERT INTO `lang_definitions` VALUES (87850, 269, 18, 'Adicionar Receita');
INSERT INTO `lang_definitions` VALUES (87851, 270, 18, 'Adicionar Procedimento');
INSERT INTO `lang_definitions` VALUES (87852, 271, 18, 'Adicionar o número da operadora.');
INSERT INTO `lang_definitions` VALUES (87853, 272, 18, 'Adicionar recordação');
INSERT INTO `lang_definitions` VALUES (87854, 273, 18, 'Adicionar Reabilitação');
INSERT INTO `lang_definitions` VALUES (87855, 274, 18, 'Adicionar Regra');
INSERT INTO `lang_definitions` VALUES (87856, 275, 18, 'Adicione os códigos restantes, para isso o código CPT já deve existir na base de dados');
INSERT INTO `lang_definitions` VALUES (87857, 276, 18, 'Adicionar hora para data');
INSERT INTO `lang_definitions` VALUES (87858, 277, 18, 'Adicionar a');
INSERT INTO `lang_definitions` VALUES (87859, 278, 18, 'ADICIONE À MENSAGEM EXISTENTE');
INSERT INTO `lang_definitions` VALUES (87860, 279, 18, 'Adicionar à mensagem existente');
INSERT INTO `lang_definitions` VALUES (87861, 280, 18, 'Adicionar à lista');
INSERT INTO `lang_definitions` VALUES (87862, 281, 18, 'Adicionar a Lista de Medicamentos');
INSERT INTO `lang_definitions` VALUES (87863, 282, 18, 'Adicionar nível superior');
INSERT INTO `lang_definitions` VALUES (87864, 283, 18, 'Adicionar Transação');
INSERT INTO `lang_definitions` VALUES (87865, 284, 18, 'Adicionar Usuário');
INSERT INTO `lang_definitions` VALUES (87866, 285, 18, 'Adicionar Usuário ao Grupo');
INSERT INTO `lang_definitions` VALUES (87867, 286, 18, 'Adicionar. {{Medições Adicionais}}');
INSERT INTO `lang_definitions` VALUES (87868, 287, 18, 'Adicionar/Editar eRx');
INSERT INTO `lang_definitions` VALUES (87869, 288, 18, 'Adicionar/Editar um Problema');
INSERT INTO `lang_definitions` VALUES (87870, 289, 18, 'Adicionar/Editar Transação de Paciente');
INSERT INTO `lang_definitions` VALUES (87871, 290, 18, 'adicionado');
INSERT INTO `lang_definitions` VALUES (87872, 291, 18, 'Adicionando');
INSERT INTO `lang_definitions` VALUES (87873, 292, 18, 'Adicionando um participante');
INSERT INTO `lang_definitions` VALUES (87874, 293, 18, 'Não esta autorizado adicionar dados cadastrais.');
INSERT INTO `lang_definitions` VALUES (87875, 294, 18, 'Adicionar item para controlar falhou');
INSERT INTO `lang_definitions` VALUES (87876, 295, 18, 'Síndrome de Addison');
INSERT INTO `lang_definitions` VALUES (87877, 296, 18, 'Síndrome de Addison');
INSERT INTO `lang_definitions` VALUES (87878, 297, 18, 'Características adicionais');
INSERT INTO `lang_definitions` VALUES (87879, 298, 18, 'Pontos de dados adicionais');
INSERT INTO `lang_definitions` VALUES (87880, 299, 18, 'Data adicional:');
INSERT INTO `lang_definitions` VALUES (87881, 300, 18, 'Diagnósticos Adicionais:');
INSERT INTO `lang_definitions` VALUES (87882, 301, 18, 'resultados adicionais');
INSERT INTO `lang_definitions` VALUES (87883, 302, 18, 'Funcionalidade adicional, incluindo a capacidade de enviar mensagens de texto SMS, discagem telefônica automatizada, e-mails etc. pode ser acessado habilitando o Serviço de Comunicação Medex opcional');
INSERT INTO `lang_definitions` VALUES (87884, 303, 18, 'Ajuda adicional para preencher este formulário está disponível passando o mouse sobre os rótulos de cada caixa e clicando na ajuda em azul escuro? ícone que é revelado');
INSERT INTO `lang_definitions` VALUES (87885, 305, 18, 'Histórico Adicional');
INSERT INTO `lang_definitions` VALUES (87886, 306, 18, 'Observação adicionais do histórico');
INSERT INTO `lang_definitions` VALUES (87887, 307, 18, 'Informações Adicionais');
INSERT INTO `lang_definitions` VALUES (87888, 308, 18, 'Informações adicionais sobre as páginas individuais podem ser encontradas em seus respectivos arquivos de ajuda');
INSERT INTO `lang_definitions` VALUES (87889, 309, 18, 'Informações adicionais para processar pedidos em papel');
INSERT INTO `lang_definitions` VALUES (87890, 310, 18, 'Laboratórios Complementares');
INSERT INTO `lang_definitions` VALUES (87891, 311, 18, 'Observações Adicionais');
INSERT INTO `lang_definitions` VALUES (87892, 312, 18, 'O campo de notas adicionais é para uso local em openEMR');
INSERT INTO `lang_definitions` VALUES (87893, 313, 18, 'Observações ou recomendação adicionais para este resultado');
INSERT INTO `lang_definitions` VALUES (87894, 314, 18, 'Observações Adicionais:');
INSERT INTO `lang_definitions` VALUES (87895, 315, 18, 'Observações Adicionais:');
INSERT INTO `lang_definitions` VALUES (87896, 317, 18, 'Observações Adicionais do Raio-X:');
INSERT INTO `lang_definitions` VALUES (87897, 318, 18, 'Adicionalmente, o correspondente pacote de extensão US Snomed pode ser importado separadamente após a instalação do Snomed Internacional liberado (Versão em Inglês).');
INSERT INTO `lang_definitions` VALUES (87898, 319, 18, 'Additonal Rx{{Óculos adicionais}}');
INSERT INTO `lang_definitions` VALUES (87899, 320, 18, 'somente adicionar');
INSERT INTO `lang_definitions` VALUES (87900, 321, 18, 'addonly - pode ler e adicionar mas não modificar');
INSERT INTO `lang_definitions` VALUES (87901, 322, 18, 'Agenda');
INSERT INTO `lang_definitions` VALUES (87902, 323, 18, 'Agenda');
INSERT INTO `lang_definitions` VALUES (87903, 324, 18, 'Endereço');
INSERT INTO `lang_definitions` VALUES (87904, 325, 18, 'Endereço e Código Postal');
INSERT INTO `lang_definitions` VALUES (87905, 326, 18, 'Endereço e Estado');
INSERT INTO `lang_definitions` VALUES (87906, 327, 18, 'Lista de Endereços');
INSERT INTO `lang_definitions` VALUES (87907, 328, 18, 'Cadastro de empresa que realiza este procedimento');
INSERT INTO `lang_definitions` VALUES (87908, 329, 18, 'Cadastro do distribuidor');
INSERT INTO `lang_definitions` VALUES (87909, 330, 18, 'Cadastro do vendedor');
INSERT INTO `lang_definitions` VALUES (87910, 331, 18, 'Tipos de Cadastros');
INSERT INTO `lang_definitions` VALUES (87911, 332, 18, 'Etiqueta de endereço');
INSERT INTO `lang_definitions` VALUES (87912, 333, 18, 'Etiquetas de endereços');
INSERT INTO `lang_definitions` VALUES (87913, 336, 18, 'Endereço Apenas');
INSERT INTO `lang_definitions` VALUES (87914, 337, 18, 'Endereço, cidade, estado e código postal');
INSERT INTO `lang_definitions` VALUES (87915, 338, 18, 'Endereço, Estado e Código Postal');
INSERT INTO `lang_definitions` VALUES (87916, 339, 18, 'Endereço1');
INSERT INTO `lang_definitions` VALUES (87917, 340, 18, 'Endereço2');
INSERT INTO `lang_definitions` VALUES (87918, 341, 18, 'Dirigida a');
INSERT INTO `lang_definitions` VALUES (87919, 342, 18, 'DESTINATÁRIO');
INSERT INTO `lang_definitions` VALUES (87920, 343, 18, 'ADICIONAR {{Bifocal Add}}');
INSERT INTO `lang_definitions` VALUES (87921, 344, 18, 'ADICIONAR {{Próximo Adicionar}}');
INSERT INTO `lang_definitions` VALUES (87922, 345, 18, 'Ajt');
INSERT INTO `lang_definitions` VALUES (87923, 346, 18, 'Ajt Quant');
INSERT INTO `lang_definitions` VALUES (87924, 347, 18, 'Ajuste');
INSERT INTO `lang_definitions` VALUES (87925, 348, 18, 'Correção');
INSERT INTO `lang_definitions` VALUES (87926, 349, 18, 'Valor de Correção');
INSERT INTO `lang_definitions` VALUES (87927, 350, 18, 'Razões da Correção');
INSERT INTO `lang_definitions` VALUES (87928, 352, 18, 'Correção para o código');
INSERT INTO `lang_definitions` VALUES (87929, 353, 18, 'Correções');
INSERT INTO `lang_definitions` VALUES (87930, 354, 18, 'Adm Correção');
INSERT INTO `lang_definitions` VALUES (87931, 355, 18, 'Admin');
INSERT INTO `lang_definitions` VALUES (87932, 356, 18, 'E-mail do Administrador');
INSERT INTO `lang_definitions` VALUES (87933, 357, 18, 'Administrar Por');
INSERT INTO `lang_definitions` VALUES (87934, 358, 18, 'Administrar Via não é relevante neste contexto e pode ser deixado sem atribuição');
INSERT INTO `lang_definitions` VALUES (87935, 359, 18, 'Administrado');
INSERT INTO `lang_definitions` VALUES (87936, 360, 18, 'Administrado Por');
INSERT INTO `lang_definitions` VALUES (87937, 361, 18, 'Data de administraçao');
INSERT INTO `lang_definitions` VALUES (87938, 362, 18, 'Site Administrado');
INSERT INTO `lang_definitions` VALUES (87939, 363, 18, 'Administração');
INSERT INTO `lang_definitions` VALUES (87940, 364, 18, 'Administração (admin)');
INSERT INTO `lang_definitions` VALUES (87941, 365, 18, 'Adminstração do Site');
INSERT INTO `lang_definitions` VALUES (87942, 366, 18, 'Administradores');
INSERT INTO `lang_definitions` VALUES (87943, 367, 18, 'Administradores podem fazer qualquer operação');
INSERT INTO `lang_definitions` VALUES (87944, 368, 18, 'Data da Admissão');
INSERT INTO `lang_definitions` VALUES (87945, 369, 18, 'Anexo');
INSERT INTO `lang_definitions` VALUES (87946, 370, 18, 'Criança Adotada');
INSERT INTO `lang_definitions` VALUES (87947, 371, 18, 'Peso Adulto de Triagem e Acompanhamento');
INSERT INTO `lang_definitions` VALUES (87948, 372, 18, 'Peso Adulto de Triagem e Acompanhamento (CQM)');
INSERT INTO `lang_definitions` VALUES (87949, 373, 18, 'Diretiva Avançada');
INSERT INTO `lang_definitions` VALUES (87950, 374, 18, 'Diretivas Avançadas');
INSERT INTO `lang_definitions` VALUES (87951, 375, 18, 'Aviso de Diretivas Avançadas');
INSERT INTO `lang_definitions` VALUES (87952, 376, 18, 'Opções Avançadas');
INSERT INTO `lang_definitions` VALUES (87953, 377, 18, 'Avançado');
INSERT INTO `lang_definitions` VALUES (87954, 378, 18, 'Avançado - Controle de acesso mais fino');
INSERT INTO `lang_definitions` VALUES (87955, 379, 18, 'Vantagens e desvantagens do TOTP e U2F');
INSERT INTO `lang_definitions` VALUES (87956, 380, 18, 'Recomendação');
INSERT INTO `lang_definitions` VALUES (87957, 381, 18, 'Longe');
INSERT INTO `lang_definitions` VALUES (87958, 382, 18, 'Afetado normal');
INSERT INTO `lang_definitions` VALUES (87959, 383, 18, 'Africanos');
INSERT INTO `lang_definitions` VALUES (87960, 384, 18, 'Depois');
INSERT INTO `lang_definitions` VALUES (87961, 385, 18, 'Depois (PM)');
INSERT INTO `lang_definitions` VALUES (87962, 386, 18, 'Chamadas após hrs');
INSERT INTO `lang_definitions` VALUES (87963, 387, 18, 'Após a migração dos mecanismos senha antiga, onde as senhas são armazenados na tabela de usuários sem sal é completa, esta flag deve ser definida para falça para que apenas a autenticação pelo novo método seja possível.');
INSERT INTO `lang_definitions` VALUES (87964, 388, 18, 'Após aplicar as configurações acima, importe o certificado cliente do administrador para o Browser e reinicie o Servidor Apache (Senha em Branco)');
INSERT INTO `lang_definitions` VALUES (87965, 390, 18, 'Após salvar o PDF, clique em [Visualizar Log] para verificar erros.');
INSERT INTO `lang_definitions` VALUES (87966, 393, 18, 'Depois de salvar o(s) arquivo(s) em Texto, clique sob [Visualizar Log] para verificar por erros');
INSERT INTO `lang_definitions` VALUES (87967, 394, 18, 'Depois de salvar o(s) arquivo(s) em TEXTO, clique sob [Visualizar Log] para verificar por erros');
INSERT INTO `lang_definitions` VALUES (87968, 396, 18, 'Após salvar o seu lote, clique em [Visualizar Log] para verificar erros');
INSERT INTO `lang_definitions` VALUES (87969, 397, 18, 'Após salvar o seu lote, clique em [Visualizar Log] para verificar erros');
INSERT INTO `lang_definitions` VALUES (87970, 398, 18, 'Depois disso, a coluna Correspondência mostrará o ID do paciente selecionado ou 0 para criar.');
INSERT INTO `lang_definitions` VALUES (87971, 399, 18, 'Após inserir corretamente os dados, clique no botão Salvar.');
INSERT INTO `lang_definitions` VALUES (87972, 400, 18, 'Após carregar, clique no botão \"Importar\"');
INSERT INTO `lang_definitions` VALUES (87973, 401, 18, 'Após o upload, clique em \"Importar\"');
INSERT INTO `lang_definitions` VALUES (87974, 402, 18, 'Depois de preencher na planilha com as categorias ICD e códigos ICD relevantes, vá para Administração > Listas. Selecione \'Categoria de serviço\' na caixa suspensa');
INSERT INTO `lang_definitions` VALUES (87975, 403, 18, 'Depois de terminar de inserir todos os códigos ICD 10, vá para Administração > Listas e selecione \'Tipos de Código\' na caixa suspensa. Selecione \'Diagnóstico ICD10\' da última caixa suspensa sob CID 10');
INSERT INTO `lang_definitions` VALUES (87976, 404, 18, 'Planejamento de Pós-tratamento');
INSERT INTO `lang_definitions` VALUES (87977, 406, 18, 'Novamente');
INSERT INTO `lang_definitions` VALUES (87978, 407, 18, 'Idade');
INSERT INTO `lang_definitions` VALUES (87979, 408, 18, 'idade ao morrer');
INSERT INTO `lang_definitions` VALUES (87980, 409, 18, 'Por idade');
INSERT INTO `lang_definitions` VALUES (87981, 410, 18, 'Idade Categoria');
INSERT INTO `lang_definitions` VALUES (87982, 411, 18, 'Dados da idade está fora do intervalo.');
INSERT INTO `lang_definitions` VALUES (87983, 412, 18, 'Formato de Exibição da Idade');
INSERT INTO `lang_definitions` VALUES (87984, 413, 18, 'Formato da Idade \"\" DE \"\" não é válido');
INSERT INTO `lang_definitions` VALUES (87985, 414, 18, 'Formato da Idade \"\" ATÉ \"\" não é válido');
INSERT INTO `lang_definitions` VALUES (87986, 415, 18, 'De Idade');
INSERT INTO `lang_definitions` VALUES (87987, 416, 18, 'Idade em Anos para Alterar Formato de Exibição');
INSERT INTO `lang_definitions` VALUES (87988, 417, 18, 'Idade máxima');
INSERT INTO `lang_definitions` VALUES (87989, 418, 18, 'Idade mínima');
INSERT INTO `lang_definitions` VALUES (87990, 419, 18, 'Intervalo de Idade');
INSERT INTO `lang_definitions` VALUES (87991, 420, 18, 'Colunas de envelhecimento');
INSERT INTO `lang_definitions` VALUES (87992, 421, 18, 'Colunas Envelhecimento:');
INSERT INTO `lang_definitions` VALUES (87993, 422, 18, 'Akan');
INSERT INTO `lang_definitions` VALUES (87994, 423, 18, 'Albanês');
INSERT INTO `lang_definitions` VALUES (87995, 424, 18, 'Álcool');
INSERT INTO `lang_definitions` VALUES (87996, 425, 18, 'Consumo de álcool');
INSERT INTO `lang_definitions` VALUES (87997, 426, 18, 'Uso de álcool');
INSERT INTO `lang_definitions` VALUES (87998, 427, 18, 'Alerta');
INSERT INTO `lang_definitions` VALUES (87999, 428, 18, 'Número de alertas');
INSERT INTO `lang_definitions` VALUES (88000, 430, 18, 'Alerta sobre e após o nascimento');
INSERT INTO `lang_definitions` VALUES (88001, 431, 18, 'Alerta em e até 28 dias após o nascimento');
INSERT INTO `lang_definitions` VALUES (88002, 432, 18, 'Alerta no nascimento do paciente');
INSERT INTO `lang_definitions` VALUES (88003, 433, 18, 'Alerta apenas no nascimento');
INSERT INTO `lang_definitions` VALUES (88004, 434, 18, 'Horário dos Alertas');
INSERT INTO `lang_definitions` VALUES (88005, 435, 18, 'Alertas');
INSERT INTO `lang_definitions` VALUES (88006, 436, 18, 'Logs de Alertas');
INSERT INTO `lang_definitions` VALUES (88007, 437, 18, 'Alertas/Lembretes');
INSERT INTO `lang_definitions` VALUES (88008, 438, 18, 'Alerta{{Estado Mental}}');
INSERT INTO `lang_definitions` VALUES (88009, 439, 18, 'Aleútes(Comunidade Indígena)');
INSERT INTO `lang_definitions` VALUES (88010, 440, 18, 'Todos');
INSERT INTO `lang_definitions` VALUES (88011, 441, 18, 'TODOS');
INSERT INTO `lang_definitions` VALUES (88012, 442, 18, 'todos');
INSERT INTO `lang_definitions` VALUES (88013, 443, 18, 'Todos (Comparado Formato A)');
INSERT INTO `lang_definitions` VALUES (88014, 444, 18, 'Todos (Comparado Formato B)');
INSERT INTO `lang_definitions` VALUES (88015, 445, 18, 'Todos (Acumulativo)');
INSERT INTO `lang_definitions` VALUES (88016, 446, 18, 'Todos os Alertas');
INSERT INTO `lang_definitions` VALUES (88017, 447, 18, 'Todos Cálculos de Medida Automatizados (CMA)');
INSERT INTO `lang_definitions` VALUES (88018, 448, 18, 'Todas as Categorias');
INSERT INTO `lang_definitions` VALUES (88019, 449, 18, 'Todas Medidas de Qualidade Clínica (MQC)');
INSERT INTO `lang_definitions` VALUES (88020, 450, 18, 'Todos os códigos');
INSERT INTO `lang_definitions` VALUES (88021, 452, 18, 'Todas as Datas');
INSERT INTO `lang_definitions` VALUES (88022, 453, 18, 'O Dia Inteiro');
INSERT INTO `lang_definitions` VALUES (88023, 454, 18, 'Evento durante o dia inteiro');
INSERT INTO `lang_definitions` VALUES (88024, 455, 18, 'Todos os campos demográficos, com pesquisa e dupla verificação');
INSERT INTO `lang_definitions` VALUES (88025, 456, 18, 'todos os encontros');
INSERT INTO `lang_definitions` VALUES (88026, 457, 18, 'Todas as Clínicas');
INSERT INTO `lang_definitions` VALUES (88027, 458, 18, 'Todas as Feridas/Problemas/Assuntos');
INSERT INTO `lang_definitions` VALUES (88028, 459, 18, 'Todas as Linguagens são Permitidas');
INSERT INTO `lang_definitions` VALUES (88029, 460, 18, 'todas as mensagens');
INSERT INTO `lang_definitions` VALUES (88030, 461, 18, 'Todos os Grupos de Medidas de Qualidade Clínica Oficial (CQM)');
INSERT INTO `lang_definitions` VALUES (88031, 462, 18, 'Parte ou todo primeiro nome');
INSERT INTO `lang_definitions` VALUES (88032, 463, 18, 'Parte ou todo sobrenome');
INSERT INTO `lang_definitions` VALUES (88033, 464, 18, 'Todos ou parte da organização');
INSERT INTO `lang_definitions` VALUES (88034, 465, 18, 'Todas as interações do paciente no OpenEMR estão vinculadas aos encontros');
INSERT INTO `lang_definitions` VALUES (88035, 466, 18, 'Todos os Pacientes');
INSERT INTO `lang_definitions` VALUES (88036, 467, 18, 'Todas as mensagens pendentes são exibidas no painel MINHAS MENSAGENS');
INSERT INTO `lang_definitions` VALUES (88037, 468, 18, 'Todos os Produtos');
INSERT INTO `lang_definitions` VALUES (88038, 469, 18, 'Todos os Médicos');
INSERT INTO `lang_definitions` VALUES (88039, 470, 18, 'Todos Opinião e negativos:');
INSERT INTO `lang_definitions` VALUES (88040, 472, 18, 'Todas as seções não são necessárias, em vez disso, eles estão disponíveis com base na informação que um profissional acredita ser dados críticos para o paciente em qualquer momento dado no tempo');
INSERT INTO `lang_definitions` VALUES (88041, 475, 18, 'Todos os Tópicos');
INSERT INTO `lang_definitions` VALUES (88042, 476, 18, 'Todos os aplicativos de autenticação TOTP usam o mesmo algoritmo e função hash segura - HMAC-SHA1 para gerar a chave única');
INSERT INTO `lang_definitions` VALUES (88043, 477, 18, 'Todas as Transações para o paciente aparecerão na página Transações em ordem decrescente de sua data de criação');
INSERT INTO `lang_definitions` VALUES (88044, 478, 18, 'Todos os Médicos');
INSERT INTO `lang_definitions` VALUES (88045, 479, 18, 'Alérgica');
INSERT INTO `lang_definitions` VALUES (88046, 480, 18, 'Alérgico a');
INSERT INTO `lang_definitions` VALUES (88047, 481, 18, 'Alergias');
INSERT INTO `lang_definitions` VALUES (88048, 482, 18, 'Alergias - mostrará as alergias listadas em Problemas> Alergias. Se o eRx estiver ativado, a lista de alergia deve ser inserida na página do eRx');
INSERT INTO `lang_definitions` VALUES (88049, 483, 18, 'Alergias/dados de alerta');
INSERT INTO `lang_definitions` VALUES (88050, 484, 18, 'Alergias:');
INSERT INTO `lang_definitions` VALUES (88051, 485, 18, 'Alergia');
INSERT INTO `lang_definitions` VALUES (88052, 486, 18, 'Importação de Alergias completadas com sucesso');
INSERT INTO `lang_definitions` VALUES (88053, 487, 18, 'Lista de Questões de Alergia');
INSERT INTO `lang_definitions` VALUES (88054, 488, 18, 'Reação alérgica');
INSERT INTO `lang_definitions` VALUES (88055, 489, 18, 'AVISO DE ALERGIA');
INSERT INTO `lang_definitions` VALUES (88056, 490, 18, 'Aviso de alergia');
INSERT INTO `lang_definitions` VALUES (88057, 491, 18, 'Alocar');
INSERT INTO `lang_definitions` VALUES (88058, 492, 18, 'Permitir');
INSERT INTO `lang_definitions` VALUES (88059, 493, 18, 'Permitir que os administradores excluam pacientes');
INSERT INTO `lang_definitions` VALUES (88060, 494, 18, 'Permitir todas as línguas disponíveis como escolha no menu do login');
INSERT INTO `lang_definitions` VALUES (88061, 495, 18, 'Permitir o Check In antes da hora da consulta');
INSERT INTO `lang_definitions` VALUES (88062, 496, 18, 'Permitir a criação de pedidos contendo diagnósticos, mas não os procedimentos ou encargos financeiros. A maioria das clínicas não usa esta opção.');
INSERT INTO `lang_definitions` VALUES (88063, 497, 18, 'Permitir Língua de Depuração');
INSERT INTO `lang_definitions` VALUES (88064, 499, 18, 'Permitir o Registo Antecipado');
INSERT INTO `lang_definitions` VALUES (88065, 500, 18, 'Permitir Mala Direta');
INSERT INTO `lang_definitions` VALUES (88066, 501, 18, 'Permitir mensagens de e-mail?');
INSERT INTO `lang_definitions` VALUES (88067, 502, 18, 'Permitir Mala Direta?');
INSERT INTO `lang_definitions` VALUES (88068, 503, 18, 'Permitir Consultas devida Reclamações');
INSERT INTO `lang_definitions` VALUES (88069, 504, 18, 'Permitir encontro para ccada Compromisso');
INSERT INTO `lang_definitions` VALUES (88070, 505, 18, 'Permitir troca de informações de saúde');
INSERT INTO `lang_definitions` VALUES (88071, 506, 18, 'Permitir Troca de Informações de Saúde.');
INSERT INTO `lang_definitions` VALUES (88072, 507, 18, 'Permitir Compartilhamento de Informações de Imunização');
INSERT INTO `lang_definitions` VALUES (88073, 508, 18, 'Permitir Compartilhamento de Informações de Imunização');
INSERT INTO `lang_definitions` VALUES (88074, 509, 18, 'Permitir Uso de Registros de Imunização');
INSERT INTO `lang_definitions` VALUES (88075, 510, 18, 'Permitir o apoio a pedidos institucionais');
INSERT INTO `lang_definitions` VALUES (88076, 511, 18, 'Permitir verificações de elegibilidade de seguros usando Office Ally');
INSERT INTO `lang_definitions` VALUES (88077, 512, 18, 'Permitir Mensagem de e-mail');
INSERT INTO `lang_definitions` VALUES (88078, 514, 18, 'Permitir várias bases de dados');
INSERT INTO `lang_definitions` VALUES (88079, 516, 18, 'Permitir a notificação');
INSERT INTO `lang_definitions` VALUES (88080, 521, 18, 'Permitir Widget de registro de paciente novo no local');
INSERT INTO `lang_definitions` VALUES (88081, 522, 18, 'Permitir compromissos online no local');
INSERT INTO `lang_definitions` VALUES (88082, 523, 18, 'Permitir pagamentos online no local');
INSERT INTO `lang_definitions` VALUES (88083, 524, 18, 'Permitir bate-papo seguro on-line no local');
INSERT INTO `lang_definitions` VALUES (88084, 525, 18, 'Permitir o Registo de Pacientes no Local');
INSERT INTO `lang_definitions` VALUES (88085, 526, 18, 'Permitir que o paciente no local faça e visualize compromissos online');
INSERT INTO `lang_definitions` VALUES (88086, 527, 18, 'Permitir que o paciente no local faça pagamentos online');
INSERT INTO `lang_definitions` VALUES (88087, 528, 18, 'Permitir que o paciente no local use o aplicativo de bate-papo seguro');
INSERT INTO `lang_definitions` VALUES (88088, 529, 18, 'Permitir que o paciente no local veja seu registro online');
INSERT INTO `lang_definitions` VALUES (88089, 530, 18, 'Permitir que os pacientes no local redefinam as credenciais');
INSERT INTO `lang_definitions` VALUES (88090, 531, 18, 'Permitir que o paciente Flow Board para selecionar pacientes para Drug Testing.');
INSERT INTO `lang_definitions` VALUES (88091, 533, 18, 'Permitir acesso ao portal do paciente');
INSERT INTO `lang_definitions` VALUES (88092, 539, 18, 'Permitir correio postal');
INSERT INTO `lang_definitions` VALUES (88093, 541, 18, 'Permitir SMS');
INSERT INTO `lang_definitions` VALUES (88094, 542, 18, 'Permitir mensagens SMS (texto)?');
INSERT INTO `lang_definitions` VALUES (88095, 543, 18, 'Permitir exclusões de extrato de impressão');
INSERT INTO `lang_definitions` VALUES (88096, 544, 18, 'Permitir que os eventos submetidos a ser feito ativo imediatamente?');
INSERT INTO `lang_definitions` VALUES (88097, 545, 18, 'Permitir mensagens de telefone?');
INSERT INTO `lang_definitions` VALUES (88098, 546, 18, 'Permitir a utilização com várias bases de dados');
INSERT INTO `lang_definitions` VALUES (88099, 547, 18, 'Permitir que os usuários publiquem Eventos globais');
INSERT INTO `lang_definitions` VALUES (88100, 548, 18, 'Permitir que os usuários publiquem calendários pessoais');
INSERT INTO `lang_definitions` VALUES (88101, 549, 18, 'Permitir a Versão 2 widget de registo de pacientes novos no local');
INSERT INTO `lang_definitions` VALUES (88102, 550, 18, 'Permitir a Versão 2 pagamentos online no local');
INSERT INTO `lang_definitions` VALUES (88103, 551, 18, 'Permitir a versão 2 que o paciente faça pagamentos onlineno local');
INSERT INTO `lang_definitions` VALUES (88104, 552, 18, 'Permitir a versão 2 que os pacientes redefinam as credenciais');
INSERT INTO `lang_definitions` VALUES (88105, 553, 18, 'Permitir a chamada por voz');
INSERT INTO `lang_definitions` VALUES (88106, 554, 18, 'Permitir Correio de Voz');
INSERT INTO `lang_definitions` VALUES (88107, 555, 18, 'Permitido');
INSERT INTO `lang_definitions` VALUES (88108, 556, 18, 'Idiomas Permitidos');
INSERT INTO `lang_definitions` VALUES (88109, 557, 18, 'Autorizado para descontos nos preços (na folha de taxas ou formulário de check-out) (disco)');
INSERT INTO `lang_definitions` VALUES (88110, 558, 18, 'Permitido');
INSERT INTO `lang_definitions` VALUES (88111, 559, 18, 'Permite E-Sign em todo o encontro');
INSERT INTO `lang_definitions` VALUES (88112, 560, 18, 'Permite E-Signing Formulários Individuais');
INSERT INTO `lang_definitions` VALUES (88113, 561, 18, 'Permite Correio');
INSERT INTO `lang_definitions` VALUES (88114, 562, 18, 'Permitir msgs de Voz');
INSERT INTO `lang_definitions` VALUES (88115, 565, 18, 'Já no topo da página');
INSERT INTO `lang_definitions` VALUES (88116, 566, 18, 'Já existe.');
INSERT INTO `lang_definitions` VALUES (88117, 568, 18, 'Já existe.');
INSERT INTO `lang_definitions` VALUES (88118, 569, 18, 'Já registrado');
INSERT INTO `lang_definitions` VALUES (88119, 570, 18, 'Já utilizados, escolha outro identificador');
INSERT INTO `lang_definitions` VALUES (88120, 571, 18, 'Já usado, escolher um outro título');
INSERT INTO `lang_definitions` VALUES (88121, 572, 18, 'Também fornece uma breve descrição da visita nos relatórios do paciente');
INSERT INTO `lang_definitions` VALUES (88122, 573, 18, 'Alt Endereço');
INSERT INTO `lang_definitions` VALUES (88123, 577, 18, 'alterar');
INSERT INTO `lang_definitions` VALUES (88124, 578, 18, 'Teste de Cobertura Alternativa');
INSERT INTO `lang_definitions` VALUES (88125, 579, 18, 'Alternativamente, um código CPT pode ser usado. É 84550 para ácido úrico sérico');
INSERT INTO `lang_definitions` VALUES (88126, 580, 18, 'Alternativamente, baixe uma planilha de exemplo clicando no botão Download');
INSERT INTO `lang_definitions` VALUES (88127, 581, 18, 'Alternativamente, pode ser acessado clicando no item de menu Mensagens na barra de navegação superior');
INSERT INTO `lang_definitions` VALUES (88128, 582, 18, 'Alternativamente, você pode limpar todas as seleções e selecionar apenas os itens que deseja que façam parte do relatório');
INSERT INTO `lang_definitions` VALUES (88129, 583, 18, 'Alternativamente, você pode optar por carregar um arquivo de remessa eletrônica (X12 835) que você tenha obtido de seu pagador ou clearinghouse. Você pode fazer isso selecionando primeiro a opção \'ERA upload\' na seção inicial \'Select Method\'. Isso traz a seção \'ERA Upload\'');
INSERT INTO `lang_definitions` VALUES (88130, 584, 18, 'Alternativamente, você pode utilizar a página de pesquisa para enviar uma remessa eletrônica (X12 835 arquivos) que você tenha obtido a partir do seu autor ou câmara de compensação. Você pode fazer isso clicando no botão Procurar e selecionar o arquivo para upload, e depois clique em Procurar para realizar o upload e mostrar as faturas correspondentes. Neste caso, os outros parâmetros mencionados acima não se aplicam e serão ignorados. Uploading salva o arquivo, mas não ainda processo seu conteúdo - que é feito separadamente, como descrito abaixo.');
INSERT INTO `lang_definitions` VALUES (88131, 585, 18, 'Embora o HCFA-1500 tenha sido originalmente desenvolvido para a apresentação de reivindicações do Medicare, acabou sendo aceito por todas as seguradoras comerciais / privadas para facilitar a padronização do processo de reivindicações');
INSERT INTO `lang_definitions` VALUES (88132, 586, 18, 'AM');
INSERT INTO `lang_definitions` VALUES (88133, 587, 18, 'Programa AM');
INSERT INTO `lang_definitions` VALUES (88134, 588, 18, 'Ambliopia');
INSERT INTO `lang_definitions` VALUES (88135, 589, 18, 'Ambulância - Ar ou Água');
INSERT INTO `lang_definitions` VALUES (88136, 590, 18, 'Ambulância - Terra');
INSERT INTO `lang_definitions` VALUES (88137, 591, 18, 'Centro Cirúrgico Ambulatório');
INSERT INTO `lang_definitions` VALUES (88138, 592, 18, 'AMC');
INSERT INTO `lang_definitions` VALUES (88139, 593, 18, 'Rastreamento AMC');
INSERT INTO `lang_definitions` VALUES (88140, 594, 18, 'AMC (Automated Measure Calculations)-2011');
INSERT INTO `lang_definitions` VALUES (88141, 595, 18, 'AMC (Automated Measure Calculations)-2014');
INSERT INTO `lang_definitions` VALUES (88142, 596, 18, 'AMC (Automated Measure Calculations)-2014 Etapa I');
INSERT INTO `lang_definitions` VALUES (88143, 597, 18, 'AMC (Automated Measure Calculations)-2014 Etapa II');
INSERT INTO `lang_definitions` VALUES (88144, 598, 18, 'AMD {{degeneração macular relacionada à idade}}');
INSERT INTO `lang_definitions` VALUES (88145, 599, 18, 'Alterar Mensagem Existente');
INSERT INTO `lang_definitions` VALUES (88146, 600, 18, 'Alterar a nota existente');
INSERT INTO `lang_definitions` VALUES (88147, 602, 18, 'Alterado a partir de');
INSERT INTO `lang_definitions` VALUES (88148, 603, 18, 'Lista de emendas');
INSERT INTO `lang_definitions` VALUES (88149, 604, 18, 'Alteração de Status');
INSERT INTO `lang_definitions` VALUES (88150, 605, 18, 'Alterações');
INSERT INTO `lang_definitions` VALUES (88151, 606, 18, 'Alterações (escrever, opcional adicional)');
INSERT INTO `lang_definitions` VALUES (88152, 607, 18, 'Alterações (por escrito, opcional adicional) (alteração)');
INSERT INTO `lang_definitions` VALUES (88153, 608, 18, 'Alterações - Permite que um usuário selecione eletronicamente o registro afetado pela solicitação de alteração de um paciente e anexe a alteração ao registro afetado ou inclua um link que indica a localização da alteração');
INSERT INTO `lang_definitions` VALUES (88154, 609, 18, 'Alterações de');
INSERT INTO `lang_definitions` VALUES (88155, 610, 18, 'Índio Americano');
INSERT INTO `lang_definitions` VALUES (88156, 611, 18, 'Índio Americano ou nativo do Alaska');
INSERT INTO `lang_definitions` VALUES (88157, 612, 18, 'AMEX');
INSERT INTO `lang_definitions` VALUES (88158, 613, 18, 'Amárico');
INSERT INTO `lang_definitions` VALUES (88159, 614, 18, 'Valor');
INSERT INTO `lang_definitions` VALUES (88160, 615, 18, 'Valor Administrado');
INSERT INTO `lang_definitions` VALUES (88161, 616, 18, 'Quantia Cobrada');
INSERT INTO `lang_definitions` VALUES (88162, 617, 18, 'Total de valores');
INSERT INTO `lang_definitions` VALUES (88163, 618, 18, 'Quantias Cobradas:');
INSERT INTO `lang_definitions` VALUES (88164, 619, 18, 'Valor Devido');
INSERT INTO `lang_definitions` VALUES (88165, 620, 18, 'Pagamento de Saldo Anterior');
INSERT INTO `lang_definitions` VALUES (88166, 621, 18, 'Montante para esta consulta');
INSERT INTO `lang_definitions` VALUES (88167, 622, 18, 'Valor pago');
INSERT INTO `lang_definitions` VALUES (88168, 623, 18, 'Valor:');
INSERT INTO `lang_definitions` VALUES (88169, 624, 18, 'amplitudes');
INSERT INTO `lang_definitions` VALUES (88170, 625, 18, 'Amsler');
INSERT INTO `lang_definitions` VALUES (88171, 626, 18, 'Valor Faturado');
INSERT INTO `lang_definitions` VALUES (88172, 627, 18, 'Um compromisso pode ser agendado clicando no ícone de calendário nessa célula');
INSERT INTO `lang_definitions` VALUES (88173, 628, 18, 'Um e-mail com as suas novas credenciais de conta será enviado para o endereço de e-mail fornecido anteriormente. Você ainda pode rever ou editar qualquer parte de suas informações usando os botões de passo superior para ir aos painéis apropriados. Note estar seguro que você deu o seu endereço de e-mail correto. Se após receber as credenciais tiver problemas com o acesso ao portal, entre em contato com a administração');
INSERT INTO `lang_definitions` VALUES (88174, 629, 18, 'Uma ordem eletrônica e o resultado retornado estão na forma de uma mensagem chamada a mensagem HL7. HL7 significa Nível de Saúde (Application Layer) 7. O principal objetivo da HL7 é simplificar a implementação de interfaces entre aplicativos de software de saúde e vários fornecedores, de modo a reduzir a dor e o custo envolvido na programação de interface personalizada');
INSERT INTO `lang_definitions` VALUES (88175, 630, 18, 'Uma data de término posterior a data de início é necessário para eventos repetidos!');
INSERT INTO `lang_definitions` VALUES (88176, 631, 18, 'Ocorreu um erro assinar o formulário');
INSERT INTO `lang_definitions` VALUES (88177, 632, 18, 'Ocorreu um erro enquanto se limpava a árvore de diretórios Web do OpenEMR.');
INSERT INTO `lang_definitions` VALUES (88178, 633, 18, 'Ocorreu um erro enquanto se limpava a árvore de diretórios Web do phpGACL.');
INSERT INTO `lang_definitions` VALUES (88179, 634, 18, 'Ocorreu um erro enquanto se limpava a árvore de diretórios Web do SQL-Ledger.');
INSERT INTO `lang_definitions` VALUES (88180, 635, 18, 'Ocorreu um erro: Ficheiro em falta para enviar: Use o botão de voltar!');
INSERT INTO `lang_definitions` VALUES (88181, 636, 18, 'Um conceito importante a ser compreendido é que, uma vez que a chave secreta entregue por meio do código QR é capturada pelo aplicativo autenticador, não há mais comunicação entre o aplicativo e o OpenEMR, cada um usará a hora atual do UNIX e sua cópia da chave secreta compartilhada específica do usuário para gerar o mesmo número único de 6 dígitos');
INSERT INTO `lang_definitions` VALUES (88182, 637, 18, 'Um ponto importante a lembrar é que os vários testes individuais em cada painel estão listados como Resultados, o fruto, você não pode encomendar diretamente esses testes individuais');
INSERT INTO `lang_definitions` VALUES (88183, 638, 18, 'Uma questão GCAC incompleta foi criado e vinculado. Alguém terá de concluí-lo mais tarde.');
INSERT INTO `lang_definitions` VALUES (88184, 639, 18, 'Um problema diz respeito a questões relacionadas à saúde do paciente');
INSERT INTO `lang_definitions` VALUES (88185, 640, 18, 'Um problema é um problema médico, alergia, medicação, cirurgia ou problema dentário');
INSERT INTO `lang_definitions` VALUES (88186, 641, 18, 'Um pedido agora foi criado com sucesso, no entanto, um local para receber e documentar o resultado retornado ainda não existe e precisa ser criado');
INSERT INTO `lang_definitions` VALUES (88187, 642, 18, 'Um resultado para o problema - resolvido, aprimorado, status quo, pior, acompanhamento pendente ou deixar como não atribuído');
INSERT INTO `lang_definitions` VALUES (88188, 643, 18, 'Ocorreu um erro indefinido, por favor entre em contato com o administrador do sistema.');
INSERT INTO `lang_definitions` VALUES (88189, 644, 18, 'Um erro inesperado ocorreu.');
INSERT INTO `lang_definitions` VALUES (88190, 645, 18, 'Um compromisso atualizado');
INSERT INTO `lang_definitions` VALUES (88191, 646, 18, 'Um erro inesperado ocorreu.');
INSERT INTO `lang_definitions` VALUES (88192, 647, 18, 'Analisado');
INSERT INTO `lang_definitions` VALUES (88193, 648, 18, 'e');
INSERT INTO `lang_definitions` VALUES (88194, 649, 18, 'E');
INSERT INTO `lang_definitions` VALUES (88195, 650, 18, 'E');
INSERT INTO `lang_definitions` VALUES (88196, 651, 18, 'e');
INSERT INTO `lang_definitions` VALUES (88197, 652, 18, 'e todos os dados referentes à ele? Esta ação será registrada');
INSERT INTO `lang_definitions` VALUES (88198, 653, 18, 'e modificado');
INSERT INTO `lang_definitions` VALUES (88199, 654, 18, 'e processado');
INSERT INTO `lang_definitions` VALUES (88200, 656, 18, 'e reinicie o servidor Apache');
INSERT INTO `lang_definitions` VALUES (88201, 657, 18, 'e o Motivo é');
INSERT INTO `lang_definitions` VALUES (88202, 658, 18, 'andróide');
INSERT INTO `lang_definitions` VALUES (88203, 659, 18, 'Anemia');
INSERT INTO `lang_definitions` VALUES (88204, 660, 18, 'Tornozelo');
INSERT INTO `lang_definitions` VALUES (88205, 661, 18, 'Tornozelo + calcanhar');
INSERT INTO `lang_definitions` VALUES (88206, 662, 18, 'Tornozelo Formulário de Avaliação');
INSERT INTO `lang_definitions` VALUES (88207, 663, 18, 'Problemas do Tornozelo');
INSERT INTO `lang_definitions` VALUES (88208, 664, 18, 'Espondilite Sondlilitis');
INSERT INTO `lang_definitions` VALUES (88209, 665, 18, 'Espondilite Spondlilitis');
INSERT INTO `lang_definitions` VALUES (88210, 666, 18, 'Anorexia');
INSERT INTO `lang_definitions` VALUES (88211, 667, 18, 'Outra coisa que você pode fazer na janela de postagem é de faturamento pedido secundário. Se você selecionar esta opção antes de salvar, em seguida, o pedido inicial será re-aberto e em fila na página de faturamento, e será processada durante a execução do próximo pagamento.');
INSERT INTO `lang_definitions` VALUES (88212, 668, 18, 'Outra forma de selecionar um código ICD para justificar o código CPT4 é clicar na etiqueta CPT4 no início da linha');
INSERT INTO `lang_definitions` VALUES (88213, 669, 18, 'Serviço de atendimento');
INSERT INTO `lang_definitions` VALUES (88214, 671, 18, 'ante');
INSERT INTO `lang_definitions` VALUES (88215, 672, 18, 'Profundidade da câmara anterior');
INSERT INTO `lang_definitions` VALUES (88216, 673, 18, 'Segmento anterior');
INSERT INTO `lang_definitions` VALUES (88217, 674, 18, 'Valores predefinidos do segmento anterior');
INSERT INTO `lang_definitions` VALUES (88218, 675, 18, 'ant{{anterior}}');
INSERT INTO `lang_definitions` VALUES (88219, 676, 18, 'Nl ânus, sem ternura retal / massa');
INSERT INTO `lang_definitions` VALUES (88220, 677, 18, 'Ansiedade');
INSERT INTO `lang_definitions` VALUES (88221, 678, 18, 'tds');
INSERT INTO `lang_definitions` VALUES (88222, 679, 18, 'Tds');
INSERT INTO `lang_definitions` VALUES (88223, 680, 18, 'Qualquer informação adicional relativa a este fornecedor');
INSERT INTO `lang_definitions` VALUES (88224, 681, 18, 'Algum sopro carotídeo apreciado?');
INSERT INTO `lang_definitions` VALUES (88225, 682, 18, 'Qualquer Categoria');
INSERT INTO `lang_definitions` VALUES (88226, 683, 18, 'Quaisquer mudanças aqui serão revisadas pela equipe do provedor antes de se comprometer com o gráfico. O seguinte se aplica');
INSERT INTO `lang_definitions` VALUES (88227, 685, 18, 'Quaisquer alterações que você precise fazer neste item de linha específico devem ser feitas aqui e salvas');
INSERT INTO `lang_definitions` VALUES (88228, 686, 18, 'qualquer data');
INSERT INTO `lang_definitions` VALUES (88229, 687, 18, 'Qualquer pesquisa demográfica');
INSERT INTO `lang_definitions` VALUES (88230, 688, 18, 'Qualquer parte do código desejado ou sua descrição');
INSERT INTO `lang_definitions` VALUES (88231, 689, 18, 'Qualquer parte da especialidade pretendida');
INSERT INTO `lang_definitions` VALUES (88232, 690, 18, 'Qualquer parte do código ou nome do remédio');
INSERT INTO `lang_definitions` VALUES (88233, 691, 18, 'Qualquer parte do código ou nome da imunização');
INSERT INTO `lang_definitions` VALUES (88234, 692, 18, 'Qualquer parte do nome do paciente, ou \"\"último, primeiro \"\" ou \"\"XY \"\"');
INSERT INTO `lang_definitions` VALUES (88235, 693, 18, 'Qualquer outra Informação Relevante');
INSERT INTO `lang_definitions` VALUES (88236, 694, 18, 'Qualque outra coisa ocorreu ao mesmo tempo?');
INSERT INTO `lang_definitions` VALUES (88237, 696, 18, 'AOE Q&A');
INSERT INTO `lang_definitions` VALUES (88238, 697, 18, 'APD {{defeito pupilar aferente}}');
INSERT INTO `lang_definitions` VALUES (88239, 699, 18, 'Chave API para SMS Gateway');
INSERT INTO `lang_definitions` VALUES (88240, 703, 18, 'Apnéia');
INSERT INTO `lang_definitions` VALUES (88241, 704, 18, 'aplicativo');
INSERT INTO `lang_definitions` VALUES (88242, 710, 18, 'Aparência');
INSERT INTO `lang_definitions` VALUES (88243, 711, 18, 'Aparência:');
INSERT INTO `lang_definitions` VALUES (88244, 712, 18, 'Anexe');
INSERT INTO `lang_definitions` VALUES (88245, 713, 18, 'Anexe esta mensagem');
INSERT INTO `lang_definitions` VALUES (88246, 714, 18, 'Anexar esta nota');
INSERT INTO `lang_definitions` VALUES (88247, 715, 18, 'Anexar à mensagem existente');
INSERT INTO `lang_definitions` VALUES (88248, 716, 18, 'Anexar à nota existente');
INSERT INTO `lang_definitions` VALUES (88249, 717, 18, 'Acrescentar a esta nota');
INSERT INTO `lang_definitions` VALUES (88250, 718, 18, 'Acrescentar a esta nota');
INSERT INTO `lang_definitions` VALUES (88251, 719, 18, 'Apendicectomia');
INSERT INTO `lang_definitions` VALUES (88252, 720, 18, 'apendicectomia');
INSERT INTO `lang_definitions` VALUES (88253, 721, 18, 'Pacientes Aplicáveis');
INSERT INTO `lang_definitions` VALUES (88254, 722, 18, 'Aplicação');
INSERT INTO `lang_definitions` VALUES (88255, 723, 18, 'Nome da aplicação para a página de login e título da janela principal');
INSERT INTO `lang_definitions` VALUES (88256, 724, 18, 'Código Aplicação Receptor (GS03 - se branco ISA08 será usado)');
INSERT INTO `lang_definitions` VALUES (88257, 725, 18, 'Código de Envio da Aplicação(GS02)');
INSERT INTO `lang_definitions` VALUES (88258, 726, 18, 'Título da Aplicação');
INSERT INTO `lang_definitions` VALUES (88259, 727, 18, 'Aplicar ao formulário Vital e Gráfico de Crescimento.');
INSERT INTO `lang_definitions` VALUES (88260, 728, 18, 'Aplicar ao formulário Vital');
INSERT INTO `lang_definitions` VALUES (88261, 729, 18, 'Aplicar as mudanças apenas aos eventos atuais, para esta e futuras ocorrencias, ou para todas as ocorrencias?');
INSERT INTO `lang_definitions` VALUES (88262, 730, 18, 'Aplicar a zona afetada');
INSERT INTO `lang_definitions` VALUES (88263, 731, 18, 'Aplicar na pele');
INSERT INTO `lang_definitions` VALUES (88264, 732, 18, 'Aplicando');
INSERT INTO `lang_definitions` VALUES (88265, 733, 18, 'Aplicando Correção ao site');
INSERT INTO `lang_definitions` VALUES (88266, 734, 18, 'Consulta');
INSERT INTO `lang_definitions` VALUES (88267, 735, 18, 'Catgoria da Consulta');
INSERT INTO `lang_definitions` VALUES (88268, 736, 18, 'Data da Consulta');
INSERT INTO `lang_definitions` VALUES (88269, 737, 18, 'Conjuntos de exibição de compromissos - Cor 1');
INSERT INTO `lang_definitions` VALUES (88270, 738, 18, 'Conjuntos de exibição de compromissos - Cor 2');
INSERT INTO `lang_definitions` VALUES (88271, 739, 18, 'Conjuntos de exibição de compromissos - Cor 3');
INSERT INTO `lang_definitions` VALUES (88272, 740, 18, 'Conjuntos de exibição de compromissos - Cor 4');
INSERT INTO `lang_definitions` VALUES (88273, 741, 18, 'Conjuntos de exibição de compromisso - Ignorar limite de exibição (último conjunto)');
INSERT INTO `lang_definitions` VALUES (88274, 742, 18, 'Estilo de Apresentação das Consultas');
INSERT INTO `lang_definitions` VALUES (88275, 743, 18, 'Nomeação feita por');
INSERT INTO `lang_definitions` VALUES (88276, 744, 18, 'Regras de Lembrete de Consulta');
INSERT INTO `lang_definitions` VALUES (88277, 745, 18, 'Lembretes de compromissos');
INSERT INTO `lang_definitions` VALUES (88278, 746, 18, 'Status da Consulta');
INSERT INTO `lang_definitions` VALUES (88279, 747, 18, 'Status das Consultas');
INSERT INTO `lang_definitions` VALUES (88280, 748, 18, 'Consulta dentro de');
INSERT INTO `lang_definitions` VALUES (88281, 749, 18, 'Consulta/Cor do Evento');
INSERT INTO `lang_definitions` VALUES (88282, 750, 18, 'Consultas');
INSERT INTO `lang_definitions` VALUES (88283, 751, 18, 'Consultas (escrever opcional)');
INSERT INTO `lang_definitions` VALUES (88284, 752, 18, 'Consultas (escrever opcional)');
INSERT INTO `lang_definitions` VALUES (88285, 753, 18, 'Compromissos (escrever, alguns opcionais) (agendar)');
INSERT INTO `lang_definitions` VALUES (88286, 754, 18, 'Compromissos - Resumo do grupo - Número a exibir');
INSERT INTO `lang_definitions` VALUES (88287, 755, 18, 'Compromissos - Portal do paciente no local - Número a exibir');
INSERT INTO `lang_definitions` VALUES (88288, 756, 18, 'Compromissos - Resumo do paciente - Número a exibir');
INSERT INTO `lang_definitions` VALUES (88289, 757, 18, 'Compromissos - mostra todos os compromissos futuros, bem como Recalls');
INSERT INTO `lang_definitions` VALUES (88290, 758, 18, 'Consultas e Visitas');
INSERT INTO `lang_definitions` VALUES (88291, 759, 18, 'Consultas para');
INSERT INTO `lang_definitions` VALUES (88292, 760, 18, 'Relatório de Consultas');
INSERT INTO `lang_definitions` VALUES (88293, 761, 18, 'Relatório de Consultas e Visitas');
INSERT INTO `lang_definitions` VALUES (88294, 762, 18, 'Resultados Apropriados');
INSERT INTO `lang_definitions` VALUES (88295, 763, 18, 'Testes Adquados para Crianças com Faringite(CQM)');
INSERT INTO `lang_definitions` VALUES (88296, 764, 18, 'Aprovar');
INSERT INTO `lang_definitions` VALUES (88297, 765, 18, 'Ordem para Aprovação');
INSERT INTO `lang_definitions` VALUES (88298, 766, 18, 'Aprovar o paciente de Paciente / Cliente-> Importar-> Aprovação Pendente');
INSERT INTO `lang_definitions` VALUES (88299, 767, 18, 'Aprovado');
INSERT INTO `lang_definitions` VALUES (88300, 768, 18, 'Aprovado Eventos Administração');
INSERT INTO `lang_definitions` VALUES (88301, 769, 18, 'Aprovado com Sucesso');
INSERT INTO `lang_definitions` VALUES (88302, 770, 18, 'aplicativos');
INSERT INTO `lang_definitions` VALUES (88303, 771, 18, 'Data do Atendimento');
INSERT INTO `lang_definitions` VALUES (88304, 772, 18, 'Estatus do Atendimento');
INSERT INTO `lang_definitions` VALUES (88305, 773, 18, 'Tempo de Atendimento');
INSERT INTO `lang_definitions` VALUES (88306, 774, 18, 'Consulta');
INSERT INTO `lang_definitions` VALUES (88307, 775, 18, 'Registro do Atendimento');
INSERT INTO `lang_definitions` VALUES (88308, 776, 18, 'Consultas');
INSERT INTO `lang_definitions` VALUES (88309, 777, 18, 'Atendimento {{Abreviatura para compromisso}}');
INSERT INTO `lang_definitions` VALUES (88310, 778, 18, 'Atendimento {{Abreviação de aplanação}}');
INSERT INTO `lang_definitions` VALUES (88311, 779, 18, 'Abr.');
INSERT INTO `lang_definitions` VALUES (88312, 780, 18, 'Abril');
INSERT INTO `lang_definitions` VALUES (88313, 781, 18, 'AP {{aplanação}}');
INSERT INTO `lang_definitions` VALUES (88314, 782, 18, 'Árabe');
INSERT INTO `lang_definitions` VALUES (88315, 783, 18, 'Aragonês');
INSERT INTO `lang_definitions` VALUES (88316, 784, 18, 'Arquivar');
INSERT INTO `lang_definitions` VALUES (88317, 785, 18, 'Arquivar arquivos de log');
INSERT INTO `lang_definitions` VALUES (88318, 786, 18, 'Arquivar arquivos antigos');
INSERT INTO `lang_definitions` VALUES (88319, 787, 18, 'Os nomes dos grupos de controle de acesso devem ser traduzidos?');
INSERT INTO `lang_definitions` VALUES (88320, 788, 18, 'Os nomes das categorias de consulta devem ser traduzidos?');
INSERT INTO `lang_definitions` VALUES (88321, 789, 18, 'Os nomes das categorias dos documentos devem ser traduzidos?');
INSERT INTO `lang_definitions` VALUES (88322, 790, 18, 'É adicionada alguma cobrança para este tipo?');
INSERT INTO `lang_definitions` VALUES (88323, 791, 18, 'Desligado');
INSERT INTO `lang_definitions` VALUES (88324, 792, 18, 'Ligado');
INSERT INTO `lang_definitions` VALUES (88325, 793, 18, 'É necessário traduzir o título das notas do paciente?');
INSERT INTO `lang_definitions` VALUES (88326, 794, 18, 'Os códigos armazenados das tabelas sql externas são (0-No, 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2)) ?');
INSERT INTO `lang_definitions` VALUES (88327, 795, 18, 'Você está preparado para completar um problema GCAC novo para essa visita?');
INSERT INTO `lang_definitions` VALUES (88328, 796, 18, 'Confirma limpar o histórico do chat?');
INSERT INTO `lang_definitions` VALUES (88329, 797, 18, 'Tem certeza que deseja postar para hoje?');
INSERT INTO `lang_definitions` VALUES (88330, 798, 18, 'Tem certeza que deseja aprovar esses eventos?');
INSERT INTO `lang_definitions` VALUES (88331, 799, 18, 'Confirma cancelar as alterações?');
INSERT INTO `lang_definitions` VALUES (88332, 801, 18, 'Você tem certeza que quer remover completamente este formulário?');
INSERT INTO `lang_definitions` VALUES (88333, 803, 18, 'Você tem certeza que quer excluir?');
INSERT INTO `lang_definitions` VALUES (88334, 804, 18, 'Você tem certeza que quer remover esta divulgação');
INSERT INTO `lang_definitions` VALUES (88335, 805, 18, 'Tem certeza de que deseja excluir este evento?');
INSERT INTO `lang_definitions` VALUES (88336, 806, 18, 'Você tem certeza de que deseja deletar esse item do banco de dados?');
INSERT INTO `lang_definitions` VALUES (88337, 807, 18, 'Você tem certeza que quer deletar esta mensagem?');
INSERT INTO `lang_definitions` VALUES (88338, 808, 18, 'Tem certeza de que deseja excluir esta nota?');
INSERT INTO `lang_definitions` VALUES (88339, 809, 18, 'Tem certeza de que deseja excluir este plano?');
INSERT INTO `lang_definitions` VALUES (88340, 810, 18, 'Tem certeza que deseja editar estes eventos?');
INSERT INTO `lang_definitions` VALUES (88341, 811, 18, 'Tem certeza que deseja ocultar estes eventos?');
INSERT INTO `lang_definitions` VALUES (88342, 812, 18, 'Tem certeza de que deseja remover o namespace?');
INSERT INTO `lang_definitions` VALUES (88343, 813, 18, 'Você está certo de que quer transmiti-la novamente?');
INSERT INTO `lang_definitions` VALUES (88344, 814, 18, 'Você tem certeza que quer ver estes eventos?');
INSERT INTO `lang_definitions` VALUES (88345, 815, 18, 'Tem certeza de que deseja apagar todo o grupo denominado');
INSERT INTO `lang_definitions` VALUES (88346, 816, 18, 'Tem certeza de que deseja apagar toda a lista');
INSERT INTO `lang_definitions` VALUES (88347, 817, 18, 'Tem certeza de que deseja excluir o campo em');
INSERT INTO `lang_definitions` VALUES (88348, 818, 18, 'Tem certeza de que deseja apagar os campos selecionados?');
INSERT INTO `lang_definitions` VALUES (88349, 819, 18, 'Tem certeza de que deseja continuar com estas ações?');
INSERT INTO `lang_definitions` VALUES (88350, 820, 18, 'Área não especificada');
INSERT INTO `lang_definitions` VALUES (88351, 821, 18, 'braço');
INSERT INTO `lang_definitions` VALUES (88352, 822, 18, 'Armênio');
INSERT INTO `lang_definitions` VALUES (88353, 823, 18, 'ARNear {{Auto-refração perto da acuidade}}');
INSERT INTO `lang_definitions` VALUES (88354, 824, 18, 'ARNear {{autorefração perto}}');
INSERT INTO `lang_definitions` VALUES (88355, 825, 18, 'Chegada');
INSERT INTO `lang_definitions` VALUES (88356, 826, 18, 'Horário de chegada');
INSERT INTO `lang_definitions` VALUES (88357, 827, 18, 'Chegou');
INSERT INTO `lang_definitions` VALUES (88358, 828, 18, 'Chegou tarde');
INSERT INTO `lang_definitions` VALUES (88359, 829, 18, 'Arritmia');
INSERT INTO `lang_definitions` VALUES (88360, 830, 18, 'Artrite');
INSERT INTO `lang_definitions` VALUES (88361, 831, 18, 'Artrite / Doenças Degenerativas conjunta');
INSERT INTO `lang_definitions` VALUES (88362, 832, 18, 'Artrite / doença articular Degenerativa');
INSERT INTO `lang_definitions` VALUES (88363, 833, 18, 'Artigo');
INSERT INTO `lang_definitions` VALUES (88364, 834, 18, 'AR{{Autorefração da acuidade}}');
INSERT INTO `lang_definitions` VALUES (88365, 835, 18, 'AR{{Autorefração}}');
INSERT INTO `lang_definitions` VALUES (88366, 836, 18, 'como');
INSERT INTO `lang_definitions` VALUES (88367, 837, 18, 'Como aparece em documentos');
INSERT INTO `lang_definitions` VALUES (88368, 838, 18, 'Como De');
INSERT INTO `lang_definitions` VALUES (88369, 839, 18, 'Como primeiro passo, escolha Grupo ou Grupo Favorito Personalizado, conforme o caso, como o Nível Superior 1 e preencha os detalhes necessários');
INSERT INTO `lang_definitions` VALUES (88370, 840, 18, 'Como a chave secreta necessária para o autenticador é armazenada no celular, o malware pode roubar essas chaves e, assim, comprometer a autenticação');
INSERT INTO `lang_definitions` VALUES (88371, 841, 18, 'Como este é um processo executado raramente, ajuda adicional é fornecida clicando no ícone de ajuda que é revelado quando você passa o mouse sobre o rótulo de cada caixa');
INSERT INTO `lang_definitions` VALUES (88372, 842, 18, 'Como estamos criando um grupo personalizado para a entrada manual dos resultados retornados, precisamos criar um local para inserir esses resultados');
INSERT INTO `lang_definitions` VALUES (88373, 843, 18, 'Como aparecerá nos documentos');
INSERT INTO `lang_definitions` VALUES (88374, 844, 18, 'ASC');
INSERT INTO `lang_definitions` VALUES (88375, 845, 18, 'Asiático');
INSERT INTO `lang_definitions` VALUES (88376, 846, 18, 'Assamês');
INSERT INTO `lang_definitions` VALUES (88377, 847, 18, 'Avaliar a alergia à penicilina');
INSERT INTO `lang_definitions` VALUES (88378, 848, 18, 'Avaliação');
INSERT INTO `lang_definitions` VALUES (88379, 849, 18, 'Atribuir a este?');
INSERT INTO `lang_definitions` VALUES (88380, 850, 18, 'Assign Severity and Save');
INSERT INTO `lang_definitions` VALUES (88381, 851, 18, 'Atribua os valores de dosagem etc. e clique em Salvar');
INSERT INTO `lang_definitions` VALUES (88382, 852, 18, 'Atribua a mensagem ao paciente correto clicando em Paciente: Clique para selecionar, atribuir um Tipo e encaminhar a mensagem para o médico ou membro da equipe correto');
INSERT INTO `lang_definitions` VALUES (88383, 853, 18, 'Atribuído a');
INSERT INTO `lang_definitions` VALUES (88384, 854, 18, 'Assistente');
INSERT INTO `lang_definitions` VALUES (88385, 855, 18, 'Instalações de habitação assistida');
INSERT INTO `lang_definitions` VALUES (88386, 856, 18, 'Associado');
INSERT INTO `lang_definitions` VALUES (88387, 857, 18, 'Relacionado');
INSERT INTO `lang_definitions` VALUES (88388, 858, 18, 'Notas Associadas');
INSERT INTO `lang_definitions` VALUES (88389, 859, 18, 'Suponha que os pacientes permitem mensagens');
INSERT INTO `lang_definitions` VALUES (88390, 860, 18, 'Suponha que os pacientes recebam a política HIPAA');
INSERT INTO `lang_definitions` VALUES (88391, 861, 18, 'Asma');
INSERT INTO `lang_definitions` VALUES (88392, 862, 18, 'em');
INSERT INTO `lang_definitions` VALUES (88393, 863, 18, 'Pelo menos um parâmetro de procura é necessário se você selecionar Todos.');
INSERT INTO `lang_definitions` VALUES (88394, 864, 18, 'No momento, a prescrição eletrônica do openEMR é possível apenas nos Estados Unidos');
INSERT INTO `lang_definitions` VALUES (88395, 865, 18, 'No momento, apenas a Continuidade de Registro de Cuidados (CCR), o Continuidade de Documento de Cuidados (CCD) pode ser enviado usando phiMail');
INSERT INTO `lang_definitions` VALUES (88396, 866, 18, 'No navicular');
INSERT INTO `lang_definitions` VALUES (88397, 867, 18, 'At the navicular:');
INSERT INTO `lang_definitions` VALUES (88398, 868, 18, 'Time Atletico');
INSERT INTO `lang_definitions` VALUES (88399, 869, 18, 'Time Atletico');
INSERT INTO `lang_definitions` VALUES (88400, 870, 18, 'Atlético / Prejuízo');
INSERT INTO `lang_definitions` VALUES (88401, 871, 18, 'Certificado CA auditado ATNA');
INSERT INTO `lang_definitions` VALUES (88402, 872, 18, 'Convidado de Auditoria ATNA');
INSERT INTO `lang_definitions` VALUES (88403, 873, 18, 'Certificado local de Auditoria ATNA');
INSERT INTO `lang_definitions` VALUES (88404, 874, 18, 'Porta de Auditoria ATNA');
INSERT INTO `lang_definitions` VALUES (88405, 875, 18, 'Atropina 1%');
INSERT INTO `lang_definitions` VALUES (88406, 876, 18, 'Médico assistente');
INSERT INTO `lang_definitions` VALUES (88407, 877, 18, 'Atenção');
INSERT INTO `lang_definitions` VALUES (88408, 878, 18, 'Atenção: Documentos Pendentes');
INSERT INTO `lang_definitions` VALUES (88409, 879, 18, 'À atenção de');
INSERT INTO `lang_definitions` VALUES (88410, 880, 18, 'Atributos');
INSERT INTO `lang_definitions` VALUES (88411, 881, 18, 'Otorrinolaringologista');
INSERT INTO `lang_definitions` VALUES (88412, 883, 18, 'Auditar Motor de Consultas CDR');
INSERT INTO `lang_definitions` VALUES (88413, 884, 18, 'Alterações de auditoria');
INSERT INTO `lang_definitions` VALUES (88414, 885, 18, 'Registro de auditoria adulterado');
INSERT INTO `lang_definitions` VALUES (88415, 886, 18, 'Log de Auditoria de Relatório de violação');
INSERT INTO `lang_definitions` VALUES (88416, 887, 18, 'Log de auditoria de vioalção no número de entrada');
INSERT INTO `lang_definitions` VALUES (88417, 888, 18, 'Log de auditoria do Validado com sucesso');
INSERT INTO `lang_definitions` VALUES (88418, 889, 18, 'Log de auditoria da falha de validação');
INSERT INTO `lang_definitions` VALUES (88419, 890, 18, 'Auditar Registros de Backups');
INSERT INTO `lang_definitions` VALUES (88420, 891, 18, 'Auditar Registros Diversos');
INSERT INTO `lang_definitions` VALUES (88421, 892, 18, 'Auditar Registros de Pagamentos');
INSERT INTO `lang_definitions` VALUES (88422, 893, 18, 'Auditar Registros de Prontuários');
INSERT INTO `lang_definitions` VALUES (88423, 894, 18, 'Auditar Registros de Agendamento');
INSERT INTO `lang_definitions` VALUES (88424, 895, 18, 'Auditar Registros de Administração de Segurança');
INSERT INTO `lang_definitions` VALUES (88425, 896, 18, 'Auditar Registros de Consultas \"SELECT\"');
INSERT INTO `lang_definitions` VALUES (88426, 897, 18, 'Pagamento de auditoria');
INSERT INTO `lang_definitions` VALUES (88427, 898, 18, 'Ago.');
INSERT INTO `lang_definitions` VALUES (88428, 899, 18, 'Agosto');
INSERT INTO `lang_definitions` VALUES (88429, 900, 18, 'Tia');
INSERT INTO `lang_definitions` VALUES (88430, 901, 18, 'Aut.');
INSERT INTO `lang_definitions` VALUES (88431, 902, 18, 'Aut. / notas');
INSERT INTO `lang_definitions` VALUES (88432, 903, 18, 'Autenticar TOTP');
INSERT INTO `lang_definitions` VALUES (88433, 904, 18, 'Autenticar U2F');
INSERT INTO `lang_definitions` VALUES (88434, 906, 18, 'Autenticar o usuário, portanto, torna-se um fator importante neste esforço');
INSERT INTO `lang_definitions` VALUES (88435, 915, 18, 'Erro de autenticação');
INSERT INTO `lang_definitions` VALUES (88436, 918, 18, 'Autenticador');
INSERT INTO `lang_definitions` VALUES (88437, 919, 18, 'Os aplicativos do Authenticator estão disponíveis para dispositivos iOS e Android em suas respectivas lojas de aplicativos e são de uso gratuito');
INSERT INTO `lang_definitions` VALUES (88438, 920, 18, 'Autor');
INSERT INTO `lang_definitions` VALUES (88439, 921, 18, 'Autorização');
INSERT INTO `lang_definitions` VALUES (88440, 922, 18, 'Grupo de Autorização');
INSERT INTO `lang_definitions` VALUES (88441, 923, 18, 'Status de Autorização');
INSERT INTO `lang_definitions` VALUES (88442, 924, 18, 'Autorizações');
INSERT INTO `lang_definitions` VALUES (88443, 925, 18, 'Autorizar');
INSERT INTO `lang_definitions` VALUES (88444, 926, 18, 'Autorizar - quaisquer Consultas');
INSERT INTO `lang_definitions` VALUES (88445, 927, 18, 'Autorizar - qualquer encontro (auth_a)');
INSERT INTO `lang_definitions` VALUES (88446, 928, 18, 'Autorizar - minhas Consultas');
INSERT INTO `lang_definitions` VALUES (88447, 929, 18, 'Autorizar - meus encontros (auth)');
INSERT INTO `lang_definitions` VALUES (88448, 930, 18, 'Autorizar como minha assinatura eletrônica');
INSERT INTO `lang_definitions` VALUES (88449, 931, 18, 'Autorizar ou não conforme necessário');
INSERT INTO `lang_definitions` VALUES (88450, 932, 18, 'Authorize.Net');
INSERT INTO `lang_definitions` VALUES (88451, 933, 18, 'Autorizar.net');
INSERT INTO `lang_definitions` VALUES (88452, 934, 18, 'Autorizado');
INSERT INTO `lang_definitions` VALUES (88453, 935, 18, 'Id autorizado');
INSERT INTO `lang_definitions` VALUES (88454, 936, 18, 'Autorizado Apenas');
INSERT INTO `lang_definitions` VALUES (88455, 937, 18, 'Usuários Autorizados');
INSERT INTO `lang_definitions` VALUES (88456, 939, 18, 'Authy');
INSERT INTO `lang_definitions` VALUES (88457, 940, 18, 'Refração automática');
INSERT INTO `lang_definitions` VALUES (88458, 941, 18, 'Envio automático');
INSERT INTO `lang_definitions` VALUES (88459, 942, 18, 'Cancelamento de assinatura automática [dias]');
INSERT INTO `lang_definitions` VALUES (88460, 943, 18, 'Tranferência automática');
INSERT INTO `lang_definitions` VALUES (88461, 944, 18, 'Criação automática de novos encontros.');
INSERT INTO `lang_definitions` VALUES (88462, 945, 18, 'Gerado automaticamente');
INSERT INTO `lang_definitions` VALUES (88463, 946, 18, 'Auto-Refração');
INSERT INTO `lang_definitions` VALUES (88464, 947, 18, 'Cálculo Automático de Medida (CAM)');
INSERT INTO `lang_definitions` VALUES (88465, 948, 18, 'Cálculo Automático de Medida (CAM) - 2011');
INSERT INTO `lang_definitions` VALUES (88466, 949, 18, 'Cálculo Automático de Medida (CAM) - 2014');
INSERT INTO `lang_definitions` VALUES (88467, 950, 18, 'Cálculo Automático de Medida (CAM) - 2014 Estágio I');
INSERT INTO `lang_definitions` VALUES (88468, 951, 18, 'Cálculo Automático de Medida (CAM) - 2014 Estágio II');
INSERT INTO `lang_definitions` VALUES (88469, 952, 18, 'Rastreamento Cálculo Automático de Medida (CAM)');
INSERT INTO `lang_definitions` VALUES (88470, 953, 18, 'Medidas Automáticas');
INSERT INTO `lang_definitions` VALUES (88471, 954, 18, 'Permissão de mensagem de voz automatizada');
INSERT INTO `lang_definitions` VALUES (88472, 955, 18, 'Automático');
INSERT INTO `lang_definitions` VALUES (88473, 956, 18, 'Venda automática');
INSERT INTO `lang_definitions` VALUES (88474, 957, 18, 'Aplica automaticamente a extensão correta no upload com sucesso');
INSERT INTO `lang_definitions` VALUES (88475, 958, 18, 'Criar automaticamente um novo encontro quando um estado de verificação de compromisso estiver selecionado.');
INSERT INTO `lang_definitions` VALUES (88476, 959, 18, 'automaticamente cria um novo encontro quando o estado do anterior é \"@\" (chegado)');
INSERT INTO `lang_definitions` VALUES (88477, 960, 18, 'Automatically replicate justification codes in Fee Sheet');
INSERT INTO `lang_definitions` VALUES (88478, 961, 18, 'Replicar automaticamente os códigos de justificação na Fee Sheet (basicamente preenche os espaços em branco com o código de justificação acima).');
INSERT INTO `lang_definitions` VALUES (88479, 962, 18, 'Automóvel Médico');
INSERT INTO `lang_definitions` VALUES (88480, 963, 18, 'AutoRef');
INSERT INTO `lang_definitions` VALUES (88481, 964, 18, 'salvar automático');
INSERT INTO `lang_definitions` VALUES (88482, 965, 18, 'Automático{{refraçãoautomática}}');
INSERT INTO `lang_definitions` VALUES (88483, 966, 18, 'Calendário de compromissos disponíveis');
INSERT INTO `lang_definitions` VALUES (88484, 967, 18, 'Categorias disponíveis');
INSERT INTO `lang_definitions` VALUES (88485, 969, 18, 'Destinatários Disponíveis');
INSERT INTO `lang_definitions` VALUES (88486, 970, 18, 'Serviços Disponíveis');
INSERT INTO `lang_definitions` VALUES (88487, 971, 18, 'Horário Disponível');
INSERT INTO `lang_definitions` VALUES (88488, 972, 18, 'Faixas disponíveis');
INSERT INTO `lang_definitions` VALUES (88489, 973, 18, 'Avaro');
INSERT INTO `lang_definitions` VALUES (88490, 974, 18, 'há muitos tipos de entiqueta para imprimir entiquetas para pacientes e notificaçoes na aba de navegaçao à esquerda');
INSERT INTO `lang_definitions` VALUES (88491, 975, 18, 'avéstico');
INSERT INTO `lang_definitions` VALUES (88492, 976, 18, 'Média Mensal');
INSERT INTO `lang_definitions` VALUES (88493, 977, 18, 'AVM');
INSERT INTO `lang_definitions` VALUES (88494, 978, 18, 'AVM confirmado');
INSERT INTO `lang_definitions` VALUES (88495, 979, 18, 'AVM OK');
INSERT INTO `lang_definitions` VALUES (88496, 980, 18, 'A fratura por avulsão /');
INSERT INTO `lang_definitions` VALUES (88497, 981, 18, 'Avulsão do maléolo lateral');
INSERT INTO `lang_definitions` VALUES (88498, 982, 18, 'Avulsão do maléolo medial');
INSERT INTO `lang_definitions` VALUES (88499, 983, 18, 'Conscientização-Based');
INSERT INTO `lang_definitions` VALUES (88500, 984, 18, 'Comprimento axial');
INSERT INTO `lang_definitions` VALUES (88501, 985, 18, 'Axilar');
INSERT INTO `lang_definitions` VALUES (88502, 986, 18, 'Eixo{{Prescrição do eixo em óculos}}');
INSERT INTO `lang_definitions` VALUES (88503, 987, 18, 'Eixo{{Prescrição do eixo do óculos}}');
INSERT INTO `lang_definitions` VALUES (88504, 988, 18, 'EIXO{{Prescrição do eixo do óculos}}');
INSERT INTO `lang_definitions` VALUES (88505, 989, 18, 'AxLength {{comprimento axial}}');
INSERT INTO `lang_definitions` VALUES (88506, 990, 18, 'Aimará');
INSERT INTO `lang_definitions` VALUES (88507, 991, 18, 'Azerbaijano');
INSERT INTO `lang_definitions` VALUES (88508, 992, 18, 'b.i.d.');
INSERT INTO `lang_definitions` VALUES (88509, 993, 18, 'Voltar');
INSERT INTO `lang_definitions` VALUES (88510, 994, 18, 'voltar');
INSERT INTO `lang_definitions` VALUES (88511, 995, 18, 'Voltar oito visitas');
INSERT INTO `lang_definitions` VALUES (88512, 996, 18, 'Voltar onze visitas');
INSERT INTO `lang_definitions` VALUES (88513, 997, 18, 'Voltar cinco visitas');
INSERT INTO `lang_definitions` VALUES (88514, 998, 18, 'Voltar quatro visitas');
INSERT INTO `lang_definitions` VALUES (88515, 999, 18, 'Voltar nove visitas');
INSERT INTO `lang_definitions` VALUES (88516, 1000, 18, 'Voltar uma visita');
INSERT INTO `lang_definitions` VALUES (88517, 1001, 18, 'Dor nas Costas');
INSERT INTO `lang_definitions` VALUES (88518, 1002, 18, 'Problemas nas costas');
INSERT INTO `lang_definitions` VALUES (88519, 1003, 18, 'Voltar sete visitas');
INSERT INTO `lang_definitions` VALUES (88520, 1004, 18, 'Voltar seis visitas');
INSERT INTO `lang_definitions` VALUES (88521, 1005, 18, 'Voltar Cirurgia');
INSERT INTO `lang_definitions` VALUES (88522, 1006, 18, 'Voltar dez visitas');
INSERT INTO `lang_definitions` VALUES (88523, 1007, 18, 'Voltar três visitas');
INSERT INTO `lang_definitions` VALUES (88524, 1008, 18, 'Voltar a Pág. Administração');
INSERT INTO `lang_definitions` VALUES (88525, 1010, 18, 'Voltar ao Editor');
INSERT INTO `lang_definitions` VALUES (88526, 1011, 18, 'Voltar para encontrar');
INSERT INTO `lang_definitions` VALUES (88527, 1012, 18, 'Voltar ao Paciente');
INSERT INTO `lang_definitions` VALUES (88528, 1013, 18, 'Voltar ao Paciente');
INSERT INTO `lang_definitions` VALUES (88529, 1014, 18, 'Voltar ao painel do paciente');
INSERT INTO `lang_definitions` VALUES (88530, 1015, 18, 'Voltar a Usuários');
INSERT INTO `lang_definitions` VALUES (88531, 1016, 18, 'Voltar à modo Visualização');
INSERT INTO `lang_definitions` VALUES (88532, 1017, 18, 'Voltar doze visitas');
INSERT INTO `lang_definitions` VALUES (88533, 1018, 18, 'Voltar duas visitas');
INSERT INTO `lang_definitions` VALUES (88534, 1019, 18, 'Serviços de fundo');
INSERT INTO `lang_definitions` VALUES (88535, 1020, 18, 'Backup');
INSERT INTO `lang_definitions` VALUES (88536, 1021, 18, 'Cópia de Segurança Falha no ficheiro gerado');
INSERT INTO `lang_definitions` VALUES (88537, 1022, 18, 'O arquivo de backup foi criado. Agora enviará o download.');
INSERT INTO `lang_definitions` VALUES (88538, 1023, 18, 'Lista de backup');
INSERT INTO `lang_definitions` VALUES (88539, 1024, 18, 'Backup feito com sucesso em');
INSERT INTO `lang_definitions` VALUES (88540, 1025, 18, 'Cheque ruim');
INSERT INTO `lang_definitions` VALUES (88541, 1026, 18, 'Dívida incobrável');
INSERT INTO `lang_definitions` VALUES (88542, 1027, 18, 'Bahasa Indonésia');
INSERT INTO `lang_definitions` VALUES (88543, 1028, 18, 'Sal');
INSERT INTO `lang_definitions` VALUES (88544, 1031, 18, 'Saldo');
INSERT INTO `lang_definitions` VALUES (88545, 1032, 18, 'equilíbrio');
INSERT INTO `lang_definitions` VALUES (88546, 1033, 18, 'Valor do Saldo');
INSERT INTO `lang_definitions` VALUES (88547, 1034, 18, 'Saldo devedor');
INSERT INTO `lang_definitions` VALUES (88548, 1035, 18, 'Pagamento do saldo');
INSERT INTO `lang_definitions` VALUES (88549, 1036, 18, 'Equilibrado');
INSERT INTO `lang_definitions` VALUES (88550, 1037, 18, 'Bambara');
INSERT INTO `lang_definitions` VALUES (88551, 1038, 18, 'Banco de Rascunhos');
INSERT INTO `lang_definitions` VALUES (88552, 1039, 18, 'Código de barras');
INSERT INTO `lang_definitions` VALUES (88553, 1040, 18, 'Tipo de código de barras');
INSERT INTO `lang_definitions` VALUES (88554, 1041, 18, 'ipo de código de barras para impressão de etiquetas a partir dos pop-ups na tela de navegação esquerda.');
INSERT INTO `lang_definitions` VALUES (88555, 1042, 18, 'Base de quinta (5) Metarsal');
INSERT INTO `lang_definitions` VALUES (88556, 1043, 18, 'Base de quinta (5) Metarsal:');
INSERT INTO `lang_definitions` VALUES (88557, 1044, 18, 'URL base para o servidor FHIR');
INSERT INTO `lang_definitions` VALUES (88558, 1045, 18, 'URL base para o servidor FHIR. Url deve terminar com /');
INSERT INTO `lang_definitions` VALUES (88559, 1046, 18, 'Com base na necessidade da prática individual, os testes podem ser organizados em vários grupos');
INSERT INTO `lang_definitions` VALUES (88560, 1047, 18, 'Bashkir');
INSERT INTO `lang_definitions` VALUES (88561, 1048, 18, 'As informações básicas do paciente são incluídas, como informações do paciente e do provedor, seguro, estado de saúde do paciente, atendimento recente prestado, informações do plano de atendimento e motivo para encaminhamento ou transferência');
INSERT INTO `lang_definitions` VALUES (88562, 1049, 18, 'Basco');
INSERT INTO `lang_definitions` VALUES (88563, 1050, 18, 'Reivindicação em lote');
INSERT INTO `lang_definitions` VALUES (88564, 1051, 18, 'Lote Ferramenta de Comunicação');
INSERT INTO `lang_definitions` VALUES (88565, 1052, 18, 'Ferramenta de comunicação em lote (batchcom)');
INSERT INTO `lang_definitions` VALUES (88566, 1053, 18, 'Processamento em lote das entradas de pagamento');
INSERT INTO `lang_definitions` VALUES (88567, 1054, 18, 'Pagamentos em lote');
INSERT INTO `lang_definitions` VALUES (88568, 1055, 18, 'Processamento em lote iniciado, o que pode demorar um pouco.');
INSERT INTO `lang_definitions` VALUES (88569, 1056, 18, 'Resultados do Processamento em Lote.');
INSERT INTO `lang_definitions` VALUES (88570, 1057, 18, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (88571, 1058, 18, 'BAT {{Teste de acuidade de brilho}}');
INSERT INTO `lang_definitions` VALUES (88572, 1059, 18, 'BC{{Curva de Base}}');
INSERT INTO `lang_definitions` VALUES (88573, 1060, 18, 'Seja paciente, alguns arquivos podem demorar alguns minutos para processar!');
INSERT INTO `lang_definitions` VALUES (88574, 1061, 18, 'Seja paciente, isso pode demorar um pouco');
INSERT INTO `lang_definitions` VALUES (88575, 1062, 18, 'Certifique-se de ramificá-lo da linha Well Woman Tests (Tier 1), se ramificado corretamente, TSH e vitamina D devem ter um valor Tier de 2');
INSERT INTO `lang_definitions` VALUES (88576, 1063, 18, 'porque esse id não existe.');
INSERT INTO `lang_definitions` VALUES (88577, 1064, 18, 'antes');
INSERT INTO `lang_definitions` VALUES (88578, 1065, 18, 'antes (PM)');
INSERT INTO `lang_definitions` VALUES (88579, 1066, 18, 'Antes de começar a usar a folha de taxa ler esta página de ajuda e fazer alguma configuração preliminar');
INSERT INTO `lang_definitions` VALUES (88580, 1067, 18, 'Antes de proceder à configuração dos próprios testes, você precisa rever os valores incluídos na versão padrão e fazer alterações de acordo com a necessidade');
INSERT INTO `lang_definitions` VALUES (88581, 1068, 18, 'Antes de continuarmos a criar um grupo personalizado de testes e salvá-lo como um favorito uma recapitulação rápida dos princípios envolvidos');
INSERT INTO `lang_definitions` VALUES (88582, 1069, 18, 'Antes de começar a personalização, certifique-se de que todos os códigos ICD e CPT que você vai precisar foram inseridos no banco de dados');
INSERT INTO `lang_definitions` VALUES (88583, 1070, 18, 'Antes de começar a inserir dados, verifique a planilha novamente e faça ajustes conforme necessário');
INSERT INTO `lang_definitions` VALUES (88584, 1071, 18, 'Antes de experimentar o pedido eletrônico, você precisa entender os problemas envolvidos');
INSERT INTO `lang_definitions` VALUES (88585, 1072, 18, 'Começo');
INSERT INTO `lang_definitions` VALUES (88586, 1073, 18, 'Data de início e término, se houver informações disponíveis');
INSERT INTO `lang_definitions` VALUES (88587, 1074, 18, 'Data inicial');
INSERT INTO `lang_definitions` VALUES (88588, 1075, 18, 'Data de início se conhecida');
INSERT INTO `lang_definitions` VALUES (88589, 1076, 18, 'Data de Início para o Relatório do Razão');
INSERT INTO `lang_definitions` VALUES (88590, 1077, 18, 'Data de início do serviço aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (88591, 1078, 18, 'Hora de início de eventos na agenda');
INSERT INTO `lang_definitions` VALUES (88592, 1079, 18, 'Início da semana de trabalho atual');
INSERT INTO `lang_definitions` VALUES (88593, 1080, 18, 'Por ser um aplicativo de software, ele pode ser comprometido por malware que rouba a chave secreta ou por engenharia social');
INSERT INTO `lang_definitions` VALUES (88594, 1081, 18, 'Bielorusso');
INSERT INTO `lang_definitions` VALUES (88595, 1082, 18, 'Arroto');
INSERT INTO `lang_definitions` VALUES (88596, 1083, 18, 'Nivel de pânico abaixo');
INSERT INTO `lang_definitions` VALUES (88597, 1084, 18, 'Abaixo está uma tabela que contém as transações existentes, se houver, pertencentes ao paciente atual');
INSERT INTO `lang_definitions` VALUES (88598, 1085, 18, 'Tipo de Benefício');
INSERT INTO `lang_definitions` VALUES (88599, 1086, 18, 'Bengali');
INSERT INTO `lang_definitions` VALUES (88600, 1087, 18, 'Bengali- Bangla');
INSERT INTO `lang_definitions` VALUES (88601, 1088, 18, 'boa sorte');
INSERT INTO `lang_definitions` VALUES (88602, 1089, 18, 'entre');
INSERT INTO `lang_definitions` VALUES (88603, 1090, 18, 'bg{{rótulo de tela de imagem}}');
INSERT INTO `lang_definitions` VALUES (88604, 1091, 18, 'Bidirecional');
INSERT INTO `lang_definitions` VALUES (88605, 1092, 18, 'Bifocal');
INSERT INTO `lang_definitions` VALUES (88606, 1093, 18, 'Bifocais');
INSERT INTO `lang_definitions` VALUES (88607, 1094, 18, 'Bihari');
INSERT INTO `lang_definitions` VALUES (88608, 1095, 18, 'Bilateral');
INSERT INTO `lang_definitions` VALUES (88609, 1096, 18, 'Bilateral:');
INSERT INTO `lang_definitions` VALUES (88610, 1097, 18, 'Conta');
INSERT INTO `lang_definitions` VALUES (88611, 1098, 18, 'Data da Conta:');
INSERT INTO `lang_definitions` VALUES (88612, 1099, 18, 'Data da Conta:');
INSERT INTO `lang_definitions` VALUES (88613, 1100, 18, 'Tipo de conta');
INSERT INTO `lang_definitions` VALUES (88614, 1101, 18, 'Conta / Recolher');
INSERT INTO `lang_definitions` VALUES (88615, 1102, 18, 'Faturado');
INSERT INTO `lang_definitions` VALUES (88616, 1103, 18, 'Data do Faturamento');
INSERT INTO `lang_definitions` VALUES (88617, 1104, 18, 'Faturamento');
INSERT INTO `lang_definitions` VALUES (88618, 1105, 18, 'Faturamento (escrever opcional)');
INSERT INTO `lang_definitions` VALUES (88619, 1106, 18, 'aturamento (escrever opcional) (fatura)');
INSERT INTO `lang_definitions` VALUES (88620, 1107, 18, 'Faturamento - fornece um resumo dos saldos - Saldo devedor do paciente, Saldo devedor do seguro, Saldo devedor total e lista o nome do seguro principal junto com sua data de vigência');
INSERT INTO `lang_definitions` VALUES (88621, 1108, 18, 'endereço de cobrança');
INSERT INTO `lang_definitions` VALUES (88622, 1109, 18, 'À atenção de faturamento');
INSERT INTO `lang_definitions` VALUES (88623, 1110, 18, 'Descrição do código do Faturamento');
INSERT INTO `lang_definitions` VALUES (88624, 1111, 18, 'Código de faturamento para os serviços solicitados');
INSERT INTO `lang_definitions` VALUES (88625, 1112, 18, 'Códigos de faturamento');
INSERT INTO `lang_definitions` VALUES (88626, 1113, 18, 'Informações para Cobrança.');
INSERT INTO `lang_definitions` VALUES (88627, 1114, 18, 'Faturamento do Departamento');
INSERT INTO `lang_definitions` VALUES (88628, 1115, 18, 'Faturamento das Instalações');
INSERT INTO `lang_definitions` VALUES (88629, 1116, 18, 'Recurso de faturamento permite que você escolha o recurso usado para o faturamento. Para criar e editar o recurso de faturamento, vá para Administração> Instalações');
INSERT INTO `lang_definitions` VALUES (88630, 1117, 18, 'Informações sobre os Procedimentos');
INSERT INTO `lang_definitions` VALUES (88631, 1118, 18, 'Faturamento Localização');
INSERT INTO `lang_definitions` VALUES (88632, 1119, 18, 'Registro de cobrança');
INSERT INTO `lang_definitions` VALUES (88633, 1120, 18, 'Registro de faturamento Adicionado');
INSERT INTO `lang_definitions` VALUES (88634, 1121, 18, 'O registro de faturamento está vazio');
INSERT INTO `lang_definitions` VALUES (88635, 1122, 18, 'Opções de Registro de faturamento');
INSERT INTO `lang_definitions` VALUES (88636, 1123, 18, 'Subscrição do registro de faturamento');
INSERT INTO `lang_definitions` VALUES (88637, 1124, 18, 'Configuração do registro de faturamento para acrescentar ou sobrescrever o arquivo de log.');
INSERT INTO `lang_definitions` VALUES (88638, 1125, 18, 'Gerente de Cobranças');
INSERT INTO `lang_definitions` VALUES (88639, 1126, 18, 'Nota de faturamento');
INSERT INTO `lang_definitions` VALUES (88640, 1127, 18, 'Nota de faturamento para');
INSERT INTO `lang_definitions` VALUES (88641, 1128, 18, 'Nota de faturamento');
INSERT INTO `lang_definitions` VALUES (88642, 1129, 18, 'Resultados da fila de faturamento');
INSERT INTO `lang_definitions` VALUES (88643, 1130, 18, 'Fila resultados de faturamento');
INSERT INTO `lang_definitions` VALUES (88644, 1131, 18, 'Relatório de faturamento');
INSERT INTO `lang_definitions` VALUES (88645, 1132, 18, 'Status de faturamento');
INSERT INTO `lang_definitions` VALUES (88646, 1133, 18, 'Status de Cobrança = Não Faturado');
INSERT INTO `lang_definitions` VALUES (88647, 1134, 18, 'faturamento para');
INSERT INTO `lang_definitions` VALUES (88648, 1135, 18, 'Visualização de faturamento');
INSERT INTO `lang_definitions` VALUES (88649, 1136, 18, 'Diâmetro pupilar binocular - Distância');
INSERT INTO `lang_definitions` VALUES (88650, 1137, 18, 'Diâmetro pupilar binocular – próximo');
INSERT INTO `lang_definitions` VALUES (88651, 1138, 18, 'Biópsia');
INSERT INTO `lang_definitions` VALUES (88652, 1139, 18, 'Certidão de nascimento');
INSERT INTO `lang_definitions` VALUES (88653, 1140, 18, 'Data de Nascimento');
INSERT INTO `lang_definitions` VALUES (88654, 1141, 18, 'Nascimento - 24 meses');
INSERT INTO `lang_definitions` VALUES (88655, 1142, 18, 'Centro de Parto');
INSERT INTO `lang_definitions` VALUES (88656, 1143, 18, 'Bislama');
INSERT INTO `lang_definitions` VALUES (88657, 1144, 18, 'Preto');
INSERT INTO `lang_definitions` VALUES (88658, 1145, 18, 'As linhas pretas mostram informações anteriormente existentes');
INSERT INTO `lang_definitions` VALUES (88659, 1146, 18, 'lista negra');
INSERT INTO `lang_definitions` VALUES (88660, 1147, 18, 'Antracose');
INSERT INTO `lang_definitions` VALUES (88661, 1148, 18, 'Negro ou Afro-Americano');
INSERT INTO `lang_definitions` VALUES (88662, 1149, 18, 'Cancro da bexiga');
INSERT INTO `lang_definitions` VALUES (88663, 1150, 18, 'As infecções da bexiga');
INSERT INTO `lang_definitions` VALUES (88664, 1151, 18, 'Em branco');
INSERT INTO `lang_definitions` VALUES (88665, 1152, 18, 'Formulários em branco');
INSERT INTO `lang_definitions` VALUES (88666, 1153, 18, 'Problemas de sangramento');
INSERT INTO `lang_definitions` VALUES (88667, 1154, 18, 'Pontos cegos');
INSERT INTO `lang_definitions` VALUES (88668, 1155, 18, 'Cegueira');
INSERT INTO `lang_definitions` VALUES (88669, 1156, 18, 'Inchação');
INSERT INTO `lang_definitions` VALUES (88670, 1157, 18, 'Bloqueia todos os tipos de arquivos que não são encontrados na Lista Branca. Pode encontrar interface para editar a Lista Branca em Administração-> Arquivos');
INSERT INTO `lang_definitions` VALUES (88671, 1158, 18, 'Bloqueados');
INSERT INTO `lang_definitions` VALUES (88672, 1159, 18, 'Sangue');
INSERT INTO `lang_definitions` VALUES (88673, 1160, 18, 'Pressão Arterial');
INSERT INTO `lang_definitions` VALUES (88674, 1161, 18, 'A pressão arterial');
INSERT INTO `lang_definitions` VALUES (88675, 1162, 18, 'Nariz Ensang.');
INSERT INTO `lang_definitions` VALUES (88676, 1163, 18, 'Blue Cross Blue Shield');
INSERT INTO `lang_definitions` VALUES (88677, 1164, 18, 'As linhas azuis neste relatório são informativas');
INSERT INTO `lang_definitions` VALUES (88678, 1165, 18, 'As linhas azuis neste relatório são informativos. Linhas pretas mostram informações previamente existentes. Linhas verdes mostram as alterações que foram aplicadas com êxito. As linhas vermelhas indicam erros ou alterações que não foram aplicadas, estas deverão ser processadas manualmente. Atualmente, negou as acusações e reversões de pagamento não é feito automaticamente e assim que aparecem em vermelho.');
INSERT INTO `lang_definitions` VALUES (88679, 1166, 18, 'Visão turva');
INSERT INTO `lang_definitions` VALUES (88680, 1167, 18, 'IMC');
INSERT INTO `lang_definitions` VALUES (88681, 1168, 18, 'IMC Status');
INSERT INTO `lang_definitions` VALUES (88682, 1169, 18, 'Corpo');
INSERT INTO `lang_definitions` VALUES (88683, 1170, 18, 'Corpo Região');
INSERT INTO `lang_definitions` VALUES (88684, 1171, 18, 'Lado do corpo');
INSERT INTO `lang_definitions` VALUES (88685, 1172, 18, 'lado do corpo , se aplicavel');
INSERT INTO `lang_definitions` VALUES (88686, 1173, 18, 'Ternura Bone:');
INSERT INTO `lang_definitions` VALUES (88687, 1174, 18, 'Bone Ternura: do maléolo medial');
INSERT INTO `lang_definitions` VALUES (88688, 1175, 18, 'Boolean');
INSERT INTO `lang_definitions` VALUES (88689, 1176, 18, 'bósnio');
INSERT INTO `lang_definitions` VALUES (88690, 1177, 18, 'Inf.');
INSERT INTO `lang_definitions` VALUES (88691, 1178, 18, 'Ambas');
INSERT INTO `lang_definitions` VALUES (88692, 1179, 18, 'Ambas as orelhas');
INSERT INTO `lang_definitions` VALUES (88693, 1180, 18, 'ambas as orelhas');
INSERT INTO `lang_definitions` VALUES (88694, 1181, 18, 'Tanto o Nome quanto a Categoria serão destacados em amarelo para fornecer uma pista visual adicional de que se trata de um pedido. Um fato que será apreciado quando vários pedidos forem inseridos no sistema junto com seus respectivos grupos e resultados');
INSERT INTO `lang_definitions` VALUES (88695, 1182, 18, 'Os provedores de renderização e supervisão podem ser definidos aqui');
INSERT INTO `lang_definitions` VALUES (88696, 1183, 18, 'Fundo');
INSERT INTO `lang_definitions` VALUES (88697, 1184, 18, 'Margem inferior (px)');
INSERT INTO `lang_definitions` VALUES (88698, 1185, 18, 'Caixa 10 - Esta informação indica se a doença ou lesão do paciente está relacionada ao emprego, acidente de carro ou outro acidente');
INSERT INTO `lang_definitions` VALUES (88699, 1186, 18, 'Caixa 10 A. Relacionado ao emprego');
INSERT INTO `lang_definitions` VALUES (88700, 1187, 18, 'BOX Emprego A. 10 relacionados');
INSERT INTO `lang_definitions` VALUES (88701, 1188, 18, 'Caixa 10 B. Acidente de automóvel');
INSERT INTO `lang_definitions` VALUES (88702, 1189, 18, 'BOX 10 B. Auto Accident');
INSERT INTO `lang_definitions` VALUES (88703, 1190, 18, 'Caixa 10 C. Outro acidente');
INSERT INTO `lang_definitions` VALUES (88704, 1191, 18, 'BOX 10 C. Outros Acidentes');
INSERT INTO `lang_definitions` VALUES (88705, 1192, 18, 'Caixa 10 D - É usado para enviar o Código de Referência de Triagem Antecipada e Periódica, Diagnóstico e Tratamento (EPSDT)');
INSERT INTO `lang_definitions` VALUES (88706, 1193, 18, 'Caixa 10 D. Código de referência EPSDT');
INSERT INTO `lang_definitions` VALUES (88707, 1194, 18, 'Caixa 10 D. Código de referência EPSDT');
INSERT INTO `lang_definitions` VALUES (88708, 1195, 18, 'Caixa 10. a. emprego relacionado:');
INSERT INTO `lang_definitions` VALUES (88709, 1196, 18, 'Caixa 10. b. Acidente de automóvel:');
INSERT INTO `lang_definitions` VALUES (88710, 1197, 18, 'Caixa 10. c. Outro acidente:');
INSERT INTO `lang_definitions` VALUES (88711, 1198, 18, 'Caixa 10. d. EPSDT Referral Code:');
INSERT INTO `lang_definitions` VALUES (88712, 1199, 18, 'Caixa 14 - Identifica a primeira data de início da doença, a data real da lesão ou a LMP para gravidez. Insira a data na primeira caixa e selecione início dos sintomas atuais ou doença ou LMP na caixa suspensa');
INSERT INTO `lang_definitions` VALUES (88713, 1200, 18, 'CAIXA 14 - Qualificador de Data');
INSERT INTO `lang_definitions` VALUES (88714, 1201, 18, 'CAIXA 14. É preenchido na tela de encontro como a data de início');
INSERT INTO `lang_definitions` VALUES (88715, 1202, 18, 'Caixa 14. Data de início:');
INSERT INTO `lang_definitions` VALUES (88716, 1203, 18, 'Caixa 15 - A outra data identifica informações de data adicionais sobre a condição ou tratamento do paciente. Insira a data na primeira caixa e selecione um qualificador na caixa suspensa');
INSERT INTO `lang_definitions` VALUES (88717, 1204, 18, 'CAIXA 15 Qualificador de outra data');
INSERT INTO `lang_definitions` VALUES (88718, 1205, 18, 'BOX 15. Data de doença igual ou semelhante (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (88719, 1206, 18, 'CAIXA 15. Data da mesma ou similar doença / outra data (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (88720, 1207, 18, 'Caixa 15. Outra data:');
INSERT INTO `lang_definitions` VALUES (88721, 1208, 18, 'Caixa 16 - Datas em que o paciente não consegue trabalhar na ocupação atual - é o período de tempo em que o paciente está ou não disponível para trabalhar');
INSERT INTO `lang_definitions` VALUES (88722, 1209, 18, 'Caixa 16. Data incapaz de trabalhar a partir de');
INSERT INTO `lang_definitions` VALUES (88723, 1210, 18, 'Caixa 16. Data incapaz de trabalhar a partir de');
INSERT INTO `lang_definitions` VALUES (88724, 1211, 18, 'BOX 16. Data incapaz de trabalhar a partir de (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (88725, 1212, 18, 'Caixa 16. Data de impossibilidade de trabalhar a partir de:');
INSERT INTO `lang_definitions` VALUES (88726, 1213, 18, 'Caixa 16. Data de impossibilidade de trabalhar para');
INSERT INTO `lang_definitions` VALUES (88727, 1214, 18, 'Caixa 16. Data de impossibilidade de trabalhar para');
INSERT INTO `lang_definitions` VALUES (88728, 1215, 18, 'BOX 16. Data incapaz de trabalhar a (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (88729, 1216, 18, 'Caixa 16. Data de impossibilidade de trabalhar para:');
INSERT INTO `lang_definitions` VALUES (88730, 1217, 18, 'Caixa 17 - O nome inserido é o provedor de referência, provedor de pedido ou provedor de supervisão que referiu, solicitou ou supervisionou o (s) serviço (s) ou fornecimento (s) na reclamação. Se vários provedores estiverem envolvidos, insira um provedor usando a seguinte ordem de prioridade: 1. Provedor de referência, 2. Provedor de pedido, 3. Provedor de supervisão');
INSERT INTO `lang_definitions` VALUES (88731, 1218, 18, 'Caixa 17. Provedor');
INSERT INTO `lang_definitions` VALUES (88732, 1219, 18, 'Caixa 17. Provedor');
INSERT INTO `lang_definitions` VALUES (88733, 1220, 18, 'Caixa 17. Qualificador de Provedor');
INSERT INTO `lang_definitions` VALUES (88734, 1221, 18, 'Caixa 17. Qualificador de Provedor');
INSERT INTO `lang_definitions` VALUES (88735, 1222, 18, 'Caixa 17. Qualificador de Provedor:');
INSERT INTO `lang_definitions` VALUES (88736, 1223, 18, 'Caixa 17. Provedor:');
INSERT INTO `lang_definitions` VALUES (88737, 1224, 18, 'Caixa 18 - As \"Datas de internação relacionadas aos serviços atuais\" referem-se a uma internação e indicam as datas de admissão e alta associadas ao (s) serviço (s) sobre a reclamação');
INSERT INTO `lang_definitions` VALUES (88738, 1225, 18, 'Caixa 18. Data de hospitalização de');
INSERT INTO `lang_definitions` VALUES (88739, 1226, 18, 'Caixa 18. Data de hospitalização de');
INSERT INTO `lang_definitions` VALUES (88740, 1227, 18, 'BOX 18. Data de Internação (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (88741, 1228, 18, 'Caixa 18. Data de hospitalização a partir de:');
INSERT INTO `lang_definitions` VALUES (88742, 1229, 18, 'Caixa 18. Data de hospitalização para');
INSERT INTO `lang_definitions` VALUES (88743, 1230, 18, 'Caixa 18. Data de hospitalização para');
INSERT INTO `lang_definitions` VALUES (88744, 1231, 18, 'BOX 18. Data de Internação (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (88745, 1232, 18, 'Caixa 18. Data de internação para:');
INSERT INTO `lang_definitions` VALUES (88746, 1233, 18, 'Caixa 20 - Indica que os serviços foram prestados por um fornecedor independente, conforme indicado na Caixa 32 (Informações sobre a localização da instalação de serviço) e os custos relacionados');
INSERT INTO `lang_definitions` VALUES (88747, 1234, 18, 'BOX 20. Fora do laboratório é utilizado?');
INSERT INTO `lang_definitions` VALUES (88748, 1235, 18, 'BOX 20. Fora do laboratório é utilizado?');
INSERT INTO `lang_definitions` VALUES (88749, 1236, 18, 'Caixa 22 - Código de reenvio do Medicaid e número de referência original é o código e o número de referência original atribuídos pelo pagador ou receptor de destino para indicar uma reclamação ou encontro enviado anteriormente');
INSERT INTO `lang_definitions` VALUES (88750, 1237, 18, 'Caixa 22. Código de reenvio do Medicaid (CID-10)');
INSERT INTO `lang_definitions` VALUES (88751, 1238, 18, 'Caixa 22. Código de reenvio do Medicaid (CID-9)');
INSERT INTO `lang_definitions` VALUES (88752, 1239, 18, 'BOX 22. Medicaid Reapresentação Código (CID-9)');
INSERT INTO `lang_definitions` VALUES (88753, 1240, 18, 'Caixa 23 - Número de autorização prévia é o número atribuído ao pagador que autoriza o (s) serviço (s)');
INSERT INTO `lang_definitions` VALUES (88754, 1241, 18, 'Caixa 23. Autorização Prévia No.');
INSERT INTO `lang_definitions` VALUES (88755, 1242, 18, 'Caixa 23. Autorização Prévia No.');
INSERT INTO `lang_definitions` VALUES (88756, 1243, 18, 'BOX 23. º Autorização prévia');
INSERT INTO `lang_definitions` VALUES (88757, 1244, 18, 'PA');
INSERT INTO `lang_definitions` VALUES (88758, 1245, 18, 'PA diastólica');
INSERT INTO `lang_definitions` VALUES (88759, 1246, 18, 'PA sistólica');
INSERT INTO `lang_definitions` VALUES (88760, 1247, 18, 'BPD');
INSERT INTO `lang_definitions` VALUES (88761, 1248, 18, 'Bpd');
INSERT INTO `lang_definitions` VALUES (88762, 1249, 18, 'BPD-D {{abreviatura para Diâmetro Binocular Pupilar - Distância}}');
INSERT INTO `lang_definitions` VALUES (88763, 1250, 18, 'BPD-N {{abreviação para Diâmetro Binocular Pupilar - Próximo}}');
INSERT INTO `lang_definitions` VALUES (88764, 1251, 18, 'BPS');
INSERT INTO `lang_definitions` VALUES (88765, 1252, 18, 'Bps');
INSERT INTO `lang_definitions` VALUES (88766, 1253, 18, 'Marca');
INSERT INTO `lang_definitions` VALUES (88767, 1254, 18, 'Português do Brasil');
INSERT INTO `lang_definitions` VALUES (88768, 1255, 18, 'Mama');
INSERT INTO `lang_definitions` VALUES (88769, 1256, 18, 'Biópsia de mama');
INSERT INTO `lang_definitions` VALUES (88770, 1257, 18, 'Quitação de mama');
INSERT INTO `lang_definitions` VALUES (88771, 1258, 18, 'Doença da Mama');
INSERT INTO `lang_definitions` VALUES (88772, 1259, 18, 'Exame de Mama');
INSERT INTO `lang_definitions` VALUES (88773, 1260, 18, 'Massa de mama');
INSERT INTO `lang_definitions` VALUES (88774, 1261, 18, 'Respiração');
INSERT INTO `lang_definitions` VALUES (88775, 1262, 18, 'Respiração:');
INSERT INTO `lang_definitions` VALUES (88776, 1263, 18, 'Bretão');
INSERT INTO `lang_definitions` VALUES (88777, 1264, 18, 'Teste de acuidade de brilho');
INSERT INTO `lang_definitions` VALUES (88778, 1265, 18, 'Fratura Osséa');
INSERT INTO `lang_definitions` VALUES (88779, 1266, 18, 'Formulário quebrado');
INSERT INTO `lang_definitions` VALUES (88780, 1267, 18, 'Bronquite Forma');
INSERT INTO `lang_definitions` VALUES (88781, 1268, 18, 'Irmão');
INSERT INTO `lang_definitions` VALUES (88782, 1269, 18, 'testa');
INSERT INTO `lang_definitions` VALUES (88783, 1270, 18, 'Navegue');
INSERT INTO `lang_definitions` VALUES (88784, 1271, 18, 'Navegue até à ficha');
INSERT INTO `lang_definitions` VALUES (88785, 1272, 18, 'Contusão / hematoma');
INSERT INTO `lang_definitions` VALUES (88786, 1274, 18, 'Construa Seu Plano');
INSERT INTO `lang_definitions` VALUES (88787, 1275, 18, 'Búlgaro');
INSERT INTO `lang_definitions` VALUES (88788, 1276, 18, 'Abaulamento Direita:');
INSERT INTO `lang_definitions` VALUES (88789, 1277, 18, 'Birmanês');
INSERT INTO `lang_definitions` VALUES (88790, 1278, 18, 'Ardor ao urinar');
INSERT INTO `lang_definitions` VALUES (88791, 1279, 18, 'Ardor ao urinar');
INSERT INTO `lang_definitions` VALUES (88792, 1280, 18, 'Acordo de parceiro de negócios');
INSERT INTO `lang_definitions` VALUES (88793, 1281, 18, 'Telefone comercial');
INSERT INTO `lang_definitions` VALUES (88794, 1282, 18, 'Ocupado');
INSERT INTO `lang_definitions` VALUES (88795, 1283, 18, 'mas não ainda processado.');
INSERT INTO `lang_definitions` VALUES (88796, 1284, 18, 'Nádega');
INSERT INTO `lang_definitions` VALUES (88797, 1285, 18, 'Nádega + S.I.');
INSERT INTO `lang_definitions` VALUES (88798, 1286, 18, 'por');
INSERT INTO `lang_definitions` VALUES (88799, 1287, 18, 'Por');
INSERT INTO `lang_definitions` VALUES (88800, 1288, 18, 'Por padrão, as mensagens ativas são exibidas conforme indicado na seção abaixo da legenda das mensagens');
INSERT INTO `lang_definitions` VALUES (88801, 1289, 18, 'Por padrão, todos os códigos são selecionados, desmarque os códigos que você não deseja e clique em \'Adicionar\'. Esses códigos serão então adicionados ao encontro atual');
INSERT INTO `lang_definitions` VALUES (88802, 1290, 18, 'Por padrão, apenas informações demográficas e de faturamento são selecionadas');
INSERT INTO `lang_definitions` VALUES (88803, 1291, 18, 'Por padrão, apenas cinco lembretes datados são mostrados de cada vez');
INSERT INTO `lang_definitions` VALUES (88804, 1292, 18, 'Por padrão, a seção Membros do usuário é selecionada e todos os usuários registrados ativos serão listados em ordem alfabética por seus nomes de usuário');
INSERT INTO `lang_definitions` VALUES (88805, 1293, 18, 'pela boca');
INSERT INTO `lang_definitions` VALUES (88806, 1294, 18, 'Ao selecionar um método de pagamento, as taxas calculadas para esse método de pagamento serão exibidas automaticamente na seção \'Códigos de folha de taxas selecionados e encargos para o encontro atual\'');
INSERT INTO `lang_definitions` VALUES (88807, 1295, 18, 'Por / Fonte');
INSERT INTO `lang_definitions` VALUES (88808, 1296, 18, 'Por:');
INSERT INTO `lang_definitions` VALUES (88809, 1297, 18, 'by{{made by/manufacturer}}');
INSERT INTO `lang_definitions` VALUES (88810, 1298, 18, 'B {{ambos os lados}}');
INSERT INTO `lang_definitions` VALUES (88811, 1299, 18, 'C');
INSERT INTO `lang_definitions` VALUES (88812, 1300, 18, 'Relação C/D{{copo para ração do disco}}');
INSERT INTO `lang_definitions` VALUES (88813, 1301, 18, 'Certificado CA para verificação via Servidor de Syslog RFC 5425 TLS');
INSERT INTO `lang_definitions` VALUES (88814, 1302, 18, 'Cache Lifetime (em segundos)');
INSERT INTO `lang_definitions` VALUES (88815, 1303, 18, 'Cache modelo de produção?');
INSERT INTO `lang_definitions` VALUES (88816, 1304, 18, 'Cafeína');
INSERT INTO `lang_definitions` VALUES (88817, 1305, 18, 'O consumo de cafeína');
INSERT INTO `lang_definitions` VALUES (88818, 1306, 18, 'Calendário');
INSERT INTO `lang_definitions` VALUES (88819, 1307, 18, 'Horário de final do Calendário');
INSERT INTO `lang_definitions` VALUES (88820, 1308, 18, 'Intervalo do Calendário');
INSERT INTO `lang_definitions` VALUES (88821, 1309, 18, 'Tela do Calendário');
INSERT INTO `lang_definitions` VALUES (88822, 1310, 18, 'Definições do calendário');
INSERT INTO `lang_definitions` VALUES (88823, 1311, 18, 'Configurações do calendário (calendário)');
INSERT INTO `lang_definitions` VALUES (88824, 1312, 18, 'Hora de Inicio do Calendário');
INSERT INTO `lang_definitions` VALUES (88825, 1313, 18, 'Calendário UI');
INSERT INTO `lang_definitions` VALUES (88826, 1314, 18, 'Ver Calendário');
INSERT INTO `lang_definitions` VALUES (88827, 1315, 18, 'calendário_external para eventos');
INSERT INTO `lang_definitions` VALUES (88828, 1316, 18, 'Notas de retorno de chamada');
INSERT INTO `lang_definitions` VALUES (88829, 1317, 18, 'Chamar a atenção para addForm () vai aqui. <br>');
INSERT INTO `lang_definitions` VALUES (88830, 1318, 18, 'Ligue de volta');
INSERT INTO `lang_definitions` VALUES (88831, 1319, 18, 'Callback Performed');
INSERT INTO `lang_definitions` VALUES (88832, 1320, 18, 'Callback requested');
INSERT INTO `lang_definitions` VALUES (88833, 1321, 18, 'Calorias');
INSERT INTO `lang_definitions` VALUES (88834, 1322, 18, 'Cambogiano');
INSERT INTO `lang_definitions` VALUES (88835, 1323, 18, 'CAMOS');
INSERT INTO `lang_definitions` VALUES (88836, 1324, 18, 'Não é possível determinar o sistema operacional!');
INSERT INTO `lang_definitions` VALUES (88837, 1325, 18, 'Não é possível definir isto a menos que a opção resumo dos cuidados enviados esteja definida');
INSERT INTO `lang_definitions` VALUES (88838, 1326, 18, 'Não foi possível encontrar o arquivo!');
INSERT INTO `lang_definitions` VALUES (88839, 1327, 18, 'Não pode carregar');
INSERT INTO `lang_definitions` VALUES (88840, 1328, 18, 'Canada');
INSERT INTO `lang_definitions` VALUES (88841, 1329, 18, 'Cancelar');
INSERT INTO `lang_definitions` VALUES (88842, 1330, 18, 'Cancelar');
INSERT INTO `lang_definitions` VALUES (88843, 1332, 18, 'Calcelar Alterações');
INSERT INTO `lang_definitions` VALUES (88844, 1333, 18, 'Cancelado');
INSERT INTO `lang_definitions` VALUES (88845, 1334, 18, 'Cancelado <24h');
INSERT INTO `lang_definitions` VALUES (88846, 1335, 18, 'Câncer');
INSERT INTO `lang_definitions` VALUES (88847, 1336, 18, 'Investigação de malignidade: Cólon');
INSERT INTO `lang_definitions` VALUES (88848, 1337, 18, 'Investigação de malignidade: Mamografia');
INSERT INTO `lang_definitions` VALUES (88849, 1338, 18, 'Investigação de malignidade: Papanicolau');
INSERT INTO `lang_definitions` VALUES (88850, 1339, 18, 'Investigação de malignidade: Próstata');
INSERT INTO `lang_definitions` VALUES (88851, 1340, 18, 'Não é possível adicionar esta entrada, porque já existe!');
INSERT INTO `lang_definitions` VALUES (88852, 1341, 18, 'Não é possível adicionar / actualizar esta entrada, porque já existe um duplicado!');
INSERT INTO `lang_definitions` VALUES (88853, 1342, 18, 'não pode ser arquivado, ignorado');
INSERT INTO `lang_definitions` VALUES (88854, 1343, 18, 'não pode ser convertido para JPEG. Talvez ImageMagick não está instalado?');
INSERT INTO `lang_definitions` VALUES (88855, 1344, 18, 'não pode ser deletado, ignorado');
INSERT INTO `lang_definitions` VALUES (88856, 1345, 18, 'não pode ser exibido inline porque seu tipo não é suportado pelo navegador.');
INSERT INTO `lang_definitions` VALUES (88857, 1346, 18, 'não pode ser exibido inline porque seu tipo não é suportado pelo browser');
INSERT INTO `lang_definitions` VALUES (88858, 1347, 18, 'não pode ser exibido inline porque seu tipo não é suportado pelo navegador.');
INSERT INTO `lang_definitions` VALUES (88859, 1348, 18, 'Não pode ser usado em caso de ausência de cobertura de celular');
INSERT INTO `lang_definitions` VALUES (88860, 1349, 18, 'Não é possível criar');
INSERT INTO `lang_definitions` VALUES (88861, 1350, 18, 'Não é possível criar arquivo');
INSERT INTO `lang_definitions` VALUES (88862, 1351, 18, 'Não é possível excluir arquivo (a partir de SFTP server)');
INSERT INTO `lang_definitions` VALUES (88863, 1352, 18, 'Não é possível excluir arquivo');
INSERT INTO `lang_definitions` VALUES (88864, 1353, 18, 'Não é possível determinar um nome de arquivo de destino');
INSERT INTO `lang_definitions` VALUES (88865, 1354, 18, 'Não é possível localizar');
INSERT INTO `lang_definitions` VALUES (88866, 1355, 18, 'Não é possível encontrar o nome do arquivo de destino');
INSERT INTO `lang_definitions` VALUES (88867, 1356, 18, 'Não é possível encontrar um campo de pular fonte para');
INSERT INTO `lang_definitions` VALUES (88868, 1357, 18, 'Não é possível encontrar um campo de destino de salto para');
INSERT INTO `lang_definitions` VALUES (88869, 1358, 18, 'Não é possível encontrar pacientes de SQL-Ledger ID do cliente');
INSERT INTO `lang_definitions` VALUES (88870, 1359, 18, 'Não é possível encontrar referência do documento em PostScript');
INSERT INTO `lang_definitions` VALUES (88871, 1360, 18, 'Não é possível encontrar fornecedor de SQL-Ledger empregado =');
INSERT INTO `lang_definitions` VALUES (88872, 1361, 18, 'Não é possível modificar Pagamentos.');
INSERT INTO `lang_definitions` VALUES (88873, 1362, 18, 'Não pode abrir');
INSERT INTO `lang_definitions` VALUES (88874, 1363, 18, 'Não é possível abrir');
INSERT INTO `lang_definitions` VALUES (88875, 1364, 18, 'Não é possível emitir a Operadora. O pagamento selecionado é Paciente.');
INSERT INTO `lang_definitions` VALUES (88876, 1365, 18, 'Não é possível emitir ao Paciente. O pagamento selecionado é Operadora.');
INSERT INTO `lang_definitions` VALUES (88877, 1366, 18, 'Não é possível emitir Pagamentos.');
INSERT INTO `lang_definitions` VALUES (88878, 1367, 18, 'Não é possível ler');
INSERT INTO `lang_definitions` VALUES (88879, 1368, 18, 'Não é possível ler pasta');
INSERT INTO `lang_definitions` VALUES (88880, 1369, 18, 'Não é possível atualizar porque você não está editando uma entrada existente!');
INSERT INTO `lang_definitions` VALUES (88881, 1370, 18, 'Capitalizar');
INSERT INTO `lang_definitions` VALUES (88882, 1371, 18, 'Capitalizar tudo');
INSERT INTO `lang_definitions` VALUES (88883, 1372, 18, 'cápsula');
INSERT INTO `lang_definitions` VALUES (88884, 1373, 18, 'Cartão');
INSERT INTO `lang_definitions` VALUES (88885, 1374, 18, 'Cartão CVV');
INSERT INTO `lang_definitions` VALUES (88886, 1375, 18, 'Data de Vencimento do Cartão');
INSERT INTO `lang_definitions` VALUES (88887, 1376, 18, 'Data de validade do cartão e CEP do titular do cartão');
INSERT INTO `lang_definitions` VALUES (88888, 1377, 18, 'CEP do titular do cartão');
INSERT INTO `lang_definitions` VALUES (88889, 1378, 18, 'Nome do cartão');
INSERT INTO `lang_definitions` VALUES (88890, 1379, 18, 'Número do cartão');
INSERT INTO `lang_definitions` VALUES (88891, 1380, 18, 'Tipo de carta');
INSERT INTO `lang_definitions` VALUES (88892, 1381, 18, 'cardíaco');
INSERT INTO `lang_definitions` VALUES (88893, 1382, 18, 'Cateterismo Cardíaco');
INSERT INTO `lang_definitions` VALUES (88894, 1383, 18, 'Remédio Cardíaco');
INSERT INTO `lang_definitions` VALUES (88895, 1384, 18, 'Cardiovascular');
INSERT INTO `lang_definitions` VALUES (88896, 1385, 18, 'Coordenação de Cuidados');
INSERT INTO `lang_definitions` VALUES (88897, 1386, 18, 'Apenas Coordenação de Cuidados');
INSERT INTO `lang_definitions` VALUES (88898, 1387, 18, 'Documentação de cuidados');
INSERT INTO `lang_definitions` VALUES (88899, 1388, 18, 'Cuidador');
INSERT INTO `lang_definitions` VALUES (88900, 1389, 18, 'Planejamento');
INSERT INTO `lang_definitions` VALUES (88901, 1390, 18, 'Formulário de Planejamento');
INSERT INTO `lang_definitions` VALUES (88902, 1391, 18, 'Recomendações do plano de cuidados');
INSERT INTO `lang_definitions` VALUES (88903, 1392, 18, 'Equipe de Atendimento');
INSERT INTO `lang_definitions` VALUES (88904, 1393, 18, 'O planejamento cuidadoso é essencial antes de entrar nos testes para garantir a subsequente facilidade de uso e exibição adequada dos resultados');
INSERT INTO `lang_definitions` VALUES (88905, 1394, 18, 'Sopro da Carótida');
INSERT INTO `lang_definitions` VALUES (88906, 1395, 18, 'Carótida {{artérias carótidas}}');
INSERT INTO `lang_definitions` VALUES (88907, 1396, 18, 'Danos na cartilagem / condral / disco');
INSERT INTO `lang_definitions` VALUES (88908, 1397, 18, 'Lesão da cartilagem');
INSERT INTO `lang_definitions` VALUES (88909, 1398, 18, 'Pulsações Cartoid nl, nl dos pulsos');
INSERT INTO `lang_definitions` VALUES (88910, 1399, 18, 'CAR {{artérias carótidas}}');
INSERT INTO `lang_definitions` VALUES (88911, 1400, 18, 'dinheiro');
INSERT INTO `lang_definitions` VALUES (88912, 1401, 18, 'Dinheiro');
INSERT INTO `lang_definitions` VALUES (88913, 1402, 18, 'Dinheiro Rec');
INSERT INTO `lang_definitions` VALUES (88914, 1403, 18, 'Pagamentos Recebidos pela Operadora');
INSERT INTO `lang_definitions` VALUES (88915, 1404, 18, 'Catalão Valenciana');
INSERT INTO `lang_definitions` VALUES (88916, 1405, 18, 'Catarata');
INSERT INTO `lang_definitions` VALUES (88917, 1406, 18, 'Cirurgia de Catarata');
INSERT INTO `lang_definitions` VALUES (88918, 1407, 18, 'Catarata');
INSERT INTO `lang_definitions` VALUES (88919, 1408, 18, 'Categorias');
INSERT INTO `lang_definitions` VALUES (88920, 1409, 18, 'Categorias por');
INSERT INTO `lang_definitions` VALUES (88921, 1410, 18, 'Categoria');
INSERT INTO `lang_definitions` VALUES (88922, 1411, 18, 'categoria');
INSERT INTO `lang_definitions` VALUES (88923, 1412, 18, 'Categoria');
INSERT INTO `lang_definitions` VALUES (88924, 1413, 18, 'Categoria - Pedido, Resultado e Recomendação precisam de um código de identificação');
INSERT INTO `lang_definitions` VALUES (88925, 1414, 18, 'Categoria alterada');
INSERT INTO `lang_definitions` VALUES (88926, 1415, 18, 'Esquema de cores da categoria');
INSERT INTO `lang_definitions` VALUES (88927, 1416, 18, 'Categoria Detalhes');
INSERT INTO `lang_definitions` VALUES (88928, 1417, 18, 'Limites de Categoria');
INSERT INTO `lang_definitions` VALUES (88929, 1418, 18, 'Nome da Categoria');
INSERT INTO `lang_definitions` VALUES (88930, 1419, 18, 'Nome da Categoria está vazia');
INSERT INTO `lang_definitions` VALUES (88931, 1420, 18, 'Categoria/Título');
INSERT INTO `lang_definitions` VALUES (88932, 1421, 18, 'Caucasiano');
INSERT INTO `lang_definitions` VALUES (88933, 1422, 18, 'Recibos de casos pra imprimir encontrados/fornecer informação primária');
INSERT INTO `lang_definitions` VALUES (88934, 1423, 18, 'Distância cc {{com correção à distância}}');
INSERT INTO `lang_definitions` VALUES (88935, 1424, 18, 'Perto cc {{com correção em Perto}}');
INSERT INTO `lang_definitions` VALUES (88936, 1425, 18, 'CCD');
INSERT INTO `lang_definitions` VALUES (88937, 1426, 18, 'CCDA');
INSERT INTO `lang_definitions` VALUES (88938, 1427, 18, 'ccDist {{ACT com distância de correção}}');
INSERT INTO `lang_definitions` VALUES (88939, 1428, 18, 'ccDist {{com distância de correção}}');
INSERT INTO `lang_definitions` VALUES (88940, 1429, 18, 'CcPerto {{ACT com correção próxima}}');
INSERT INTO `lang_definitions` VALUES (88941, 1430, 18, 'ccPerto{{com correção em perto}}');
INSERT INTO `lang_definitions` VALUES (88942, 1431, 18, 'CCR');
INSERT INTO `lang_definitions` VALUES (88943, 1432, 18, 'CCR Aprovado');
INSERT INTO `lang_definitions` VALUES (88944, 1433, 18, 'Avaliação Paciente CCR');
INSERT INTO `lang_definitions` VALUES (88945, 1434, 18, 'CCR Aprovado');
INSERT INTO `lang_definitions` VALUES (88946, 1435, 18, 'CC {{queixa principal}}');
INSERT INTO `lang_definitions` VALUES (88947, 1436, 18, 'cc {{com correção}}');
INSERT INTO `lang_definitions` VALUES (88948, 1437, 18, 'cc {{com correção}}');
INSERT INTO `lang_definitions` VALUES (88949, 1438, 18, 'CDA define blocos de construção que podem ser usados para conter elementos de dados de saúde que podem ser capturados, armazenados, acessados, exibidos e transmitidos eletronicamente para uso e reutilização em muitos formatos');
INSERT INTO `lang_definitions` VALUES (88950, 1439, 18, 'CDA ou Arquitetura de Documento Clínico é um padrão de documento desenvolvido pela organização HL7');
INSERT INTO `lang_definitions` VALUES (88951, 1440, 18, 'Código CDC');
INSERT INTO `lang_definitions` VALUES (88952, 1441, 18, 'Código CDC-NIP');
INSERT INTO `lang_definitions` VALUES (88953, 1442, 18, 'CDR');
INSERT INTO `lang_definitions` VALUES (88954, 1443, 18, 'CDR Relatórios de Processamento');
INSERT INTO `lang_definitions` VALUES (88955, 1444, 18, 'Celular');
INSERT INTO `lang_definitions` VALUES (88956, 1445, 18, 'Telefone Celular');
INSERT INTO `lang_definitions` VALUES (88957, 1446, 18, 'Numero de telefone celular');
INSERT INTO `lang_definitions` VALUES (88958, 1447, 18, 'Número de Telefone Celular');
INSERT INTO `lang_definitions` VALUES (88959, 1449, 18, 'Central de Certificação');
INSERT INTO `lang_definitions` VALUES (88960, 1450, 18, 'Espessura Macular Central');
INSERT INTO `lang_definitions` VALUES (88961, 1451, 18, 'Central/America do Sul');
INSERT INTO `lang_definitions` VALUES (88962, 1452, 18, 'Local do arquivo CRT da certificadora não pode estar vazio');
INSERT INTO `lang_definitions` VALUES (88963, 1453, 18, 'Local do arquivo CHAVE da certificadora não pode estar vazio');
INSERT INTO `lang_definitions` VALUES (88964, 1454, 18, 'Certificado para enviar a RFC 5425 servidor syslog TLS.');
INSERT INTO `lang_definitions` VALUES (88965, 1455, 18, 'Usuário Certificado');
INSERT INTO `lang_definitions` VALUES (88966, 1456, 18, 'Certificados');
INSERT INTO `lang_definitions` VALUES (88967, 1457, 18, 'Chamorro');
INSERT INTO `lang_definitions` VALUES (88968, 1458, 18, 'Mastigação');
INSERT INTO `lang_definitions` VALUES (88969, 1459, 18, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (88970, 1460, 18, 'alterar');
INSERT INTO `lang_definitions` VALUES (88971, 1461, 18, 'Alterar');
INSERT INTO `lang_definitions` VALUES (88972, 1462, 18, 'Mudança de Atividade');
INSERT INTO `lang_definitions` VALUES (88973, 1463, 18, 'Altere qualquer item disponível e, quando estiver pronto, clique em Enviar para revisão. As mudanças serão sinalizadas e a equipe notificada para revisar as mudanças antes de enviá-las ao gráfico. Durante o período de tempo antes que as alterações sejam revisadas, o botão Revisado mostrará Pendente e os dados do perfil ainda estão disponíveis para alterações. Ao acessar ao perfil no estado pendente, todas as edições anteriores aparecerão em azul e os valores do gráfico atual em vermelho. Você pode reverter qualquer edição para o valor do gráfico clicando naquele item vermelho (ou vice-versa), mas lembre-se de que quando você clica em Enviar para Revisão, os itens que preenchem os itens de campo são os que são enviados. O botão Reverter edições altera tudo de volta para os valores do gráfico e você pode fazer alterações a partir daí. Recapitulando: os itens em AZUL são edições do paciente com itens em VERMELHO sendo os valores originais antes de quaisquer edições');
INSERT INTO `lang_definitions` VALUES (88974, 1466, 18, 'A Alteração falhou! Erro de conecção CouchDB?');
INSERT INTO `lang_definitions` VALUES (88975, 1467, 18, 'Mudança na visão');
INSERT INTO `lang_definitions` VALUES (88976, 1468, 18, 'Mudança na visão');
INSERT INTO `lang_definitions` VALUES (88977, 1470, 18, 'Alterar Senha');
INSERT INTO `lang_definitions` VALUES (88978, 1471, 18, 'Alterar senha para');
INSERT INTO `lang_definitions` VALUES (88979, 1473, 18, 'Alterar status para');
INSERT INTO `lang_definitions` VALUES (88980, 1475, 18, 'Mudado');
INSERT INTO `lang_definitions` VALUES (88981, 1476, 18, 'Mudança Intestinal');
INSERT INTO `lang_definitions` VALUES (88982, 1479, 18, 'Mudando paciente ID para documento');
INSERT INTO `lang_definitions` VALUES (88983, 1480, 18, 'Alterar o status para Concluído removerá a mensagem da lista de mensagens ativas');
INSERT INTO `lang_definitions` VALUES (88984, 1481, 18, 'Alterar o status para Novo obterá o mesmo resultado');
INSERT INTO `lang_definitions` VALUES (88985, 1482, 18, 'Alterar o status para Ler deixaria como uma mensagem lida na lista de mensagens ativas do usuário atual');
INSERT INTO `lang_definitions` VALUES (88986, 1483, 18, 'Canais');
INSERT INTO `lang_definitions` VALUES (88987, 1484, 18, 'Características');
INSERT INTO `lang_definitions` VALUES (88988, 1485, 18, 'Caracteres Restantes');
INSERT INTO `lang_definitions` VALUES (88989, 1486, 18, 'Carregar');
INSERT INTO `lang_definitions` VALUES (88990, 1487, 18, 'Ajuste de despesas');
INSERT INTO `lang_definitions` VALUES (88991, 1488, 18, 'Encargo codificado');
INSERT INTO `lang_definitions` VALUES (88992, 1489, 18, 'Carga Total');
INSERT INTO `lang_definitions` VALUES (88993, 1490, 18, 'Despesa');
INSERT INTO `lang_definitions` VALUES (88994, 1491, 18, 'Gráfico');
INSERT INTO `lang_definitions` VALUES (88995, 1492, 18, 'Gráfico de Atividade');
INSERT INTO `lang_definitions` VALUES (88996, 1493, 18, 'Gráfico Check-in/out Relatório de Atividade');
INSERT INTO `lang_definitions` VALUES (88997, 1495, 18, 'Gráfico ID');
INSERT INTO `lang_definitions` VALUES (88998, 1496, 18, 'Gráfico ID:');
INSERT INTO `lang_definitions` VALUES (88999, 1497, 18, 'Etiqueta de gráfico');
INSERT INTO `lang_definitions` VALUES (89000, 1498, 18, 'Gráfico Atividade Local');
INSERT INTO `lang_definitions` VALUES (89001, 1499, 18, 'Gráfico Observação');
INSERT INTO `lang_definitions` VALUES (89002, 1500, 18, 'Gráfico Número');
INSERT INTO `lang_definitions` VALUES (89003, 1501, 18, 'Gráfico puxado');
INSERT INTO `lang_definitions` VALUES (89004, 1502, 18, 'Gráfico Local de armazenamento');
INSERT INTO `lang_definitions` VALUES (89005, 1504, 18, 'Gráfico Tracker');
INSERT INTO `lang_definitions` VALUES (89006, 1505, 18, 'Gráfico Trk');
INSERT INTO `lang_definitions` VALUES (89007, 1508, 18, 'Gráficos Check-out');
INSERT INTO `lang_definitions` VALUES (89008, 1509, 18, 'Gráficos Out');
INSERT INTO `lang_definitions` VALUES (89009, 1510, 18, 'Bate-papo');
INSERT INTO `lang_definitions` VALUES (89010, 1511, 18, 'Histórico de conversa');
INSERT INTO `lang_definitions` VALUES (89011, 1512, 18, 'Checheno');
INSERT INTO `lang_definitions` VALUES (89012, 1513, 18, 'Verificar');
INSERT INTO `lang_definitions` VALUES (89013, 1514, 18, 'verificar');
INSERT INTO `lang_definitions` VALUES (89014, 1515, 18, 'Verificar Todos');
INSERT INTO `lang_definitions` VALUES (89015, 1516, 18, 'Verificar tudo - componentes');
INSERT INTO `lang_definitions` VALUES (89016, 1517, 18, 'Verificar Quantia');
INSERT INTO `lang_definitions` VALUES (89017, 1518, 18, 'Verifique e ajuste as configurações na versão padrão');
INSERT INTO `lang_definitions` VALUES (89018, 1519, 18, 'Verificar Data');
INSERT INTO `lang_definitions` VALUES (89019, 1520, 18, 'Verifique as datas de validade');
INSERT INTO `lang_definitions` VALUES (89020, 1521, 18, 'Busque por diferenças nas traduções com a tabela de idiomas personalizada.');
INSERT INTO `lang_definitions` VALUES (89021, 1522, 18, 'Verifique se existe um arquivo de ajuda para esta página em');
INSERT INTO `lang_definitions` VALUES (89022, 1523, 18, 'Verifique se você planeja imprimir cartões postais localmente');
INSERT INTO `lang_definitions` VALUES (89023, 1524, 18, 'Verifique se você planeja enviar cartões postais via MedEx');
INSERT INTO `lang_definitions` VALUES (89024, 1525, 18, 'Verifique se você planeja usar Avery Labels para lembretes ou recalls');
INSERT INTO `lang_definitions` VALUES (89025, 1526, 18, 'Check-in');
INSERT INTO `lang_definitions` VALUES (89026, 1527, 18, 'Check-in Para');
INSERT INTO `lang_definitions` VALUES (89027, 1528, 18, 'Verificar dados de entrada');
INSERT INTO `lang_definitions` VALUES (89028, 1529, 18, 'Verifique itens para representar graficamente');
INSERT INTO `lang_definitions` VALUES (89029, 1530, 18, 'Verificar Resultado Laboratório');
INSERT INTO `lang_definitions` VALUES (89030, 1531, 18, 'Marca de verificação indica revisado');
INSERT INTO `lang_definitions` VALUES (89031, 1532, 18, 'Verificar Nº');
INSERT INTO `lang_definitions` VALUES (89032, 1533, 18, 'Verificar Número');
INSERT INTO `lang_definitions` VALUES (89033, 1534, 18, 'Check Out');
INSERT INTO `lang_definitions` VALUES (89034, 1535, 18, 'Horário de check-out');
INSERT INTO `lang_definitions` VALUES (89035, 1536, 18, 'Verificar Pagamento');
INSERT INTO `lang_definitions` VALUES (89036, 1537, 18, 'Marque a caixa se este é um arquivo criptografado');
INSERT INTO `lang_definitions` VALUES (89037, 1538, 18, 'Marque a caixa de seleção CPOE (Entrada de pedido do provedor computadorizado)');
INSERT INTO `lang_definitions` VALUES (89038, 1539, 18, 'Marque a caixa de seleção Habilitar serviço de mensagens diretas phiMail');
INSERT INTO `lang_definitions` VALUES (89039, 1540, 18, 'Verifique os números de sequência');
INSERT INTO `lang_definitions` VALUES (89040, 1541, 18, 'Marque esta opção se você quiser ver todos os prestadores e não apenas o seu próprio.');
INSERT INTO `lang_definitions` VALUES (89041, 1542, 18, 'Verifique isso para ir ao ar. Não verificado é o modo de teste');
INSERT INTO `lang_definitions` VALUES (89042, 1543, 18, 'Marque para cadastrar um problema a partir desse diagnóstico');
INSERT INTO `lang_definitions` VALUES (89043, 1544, 18, 'Verificar / EOB Data');
INSERT INTO `lang_definitions` VALUES (89044, 1545, 18, 'Verificar / EOB Data:');
INSERT INTO `lang_definitions` VALUES (89045, 1546, 18, 'Verificar / EOB No.');
INSERT INTO `lang_definitions` VALUES (89046, 1547, 18, 'Verificar / EOB No.:');
INSERT INTO `lang_definitions` VALUES (89047, 1548, 18, 'Verificar / Número de Referência');
INSERT INTO `lang_definitions` VALUES (89048, 1549, 18, 'Verificar / Número de Referência');
INSERT INTO `lang_definitions` VALUES (89049, 1550, 18, 'Lista Checkbox');
INSERT INTO `lang_definitions` VALUES (89050, 1551, 18, 'lista de seleção');
INSERT INTO `lang_definitions` VALUES (89051, 1552, 18, 'w caixa / texto');
INSERT INTO `lang_definitions` VALUES (89052, 1553, 18, 'Checkbox w / texto');
INSERT INTO `lang_definitions` VALUES (89053, 1554, 18, 'Caixa (s) de seleção');
INSERT INTO `lang_definitions` VALUES (89054, 1555, 18, 'As caixas de seleção acima indicam se você deseja rejeitar e excluir o arquivo HL7.');
INSERT INTO `lang_definitions` VALUES (89055, 1556, 18, 'Caixas de seleção com texto');
INSERT INTO `lang_definitions` VALUES (89056, 1557, 18, 'Marcado');
INSERT INTO `lang_definitions` VALUES (89057, 1558, 18, 'Marcado');
INSERT INTO `lang_definitions` VALUES (89058, 1559, 18, 'Checked caixa = sim, em branco = não');
INSERT INTO `lang_definitions` VALUES (89059, 1560, 18, 'Checked caixa = sim, em branco = não');
INSERT INTO `lang_definitions` VALUES (89060, 1561, 18, 'Formulário de medicamento verificado?');
INSERT INTO `lang_definitions` VALUES (89061, 1562, 18, 'Checked Out');
INSERT INTO `lang_definitions` VALUES (89062, 1563, 18, 'Checked Out');
INSERT INTO `lang_definitions` VALUES (89063, 1564, 18, 'Marcar qualquer uma das caixas de seleção resultará em um Sim no formulário CMS 1500');
INSERT INTO `lang_definitions` VALUES (89064, 1565, 18, 'Marcar a caixa de seleção Grupos e controles de acesso revelará esta seção que lista todas as categorias com subcategorias (ACOs), ou seja, as partes do programa controladas pelos privilégios da lista de controle de acesso');
INSERT INTO `lang_definitions` VALUES (89065, 1566, 18, 'Verificando a caixa de bloqueio que impedirá quaisquer edições futuras sobre quaisquer formas neste encontro.');
INSERT INTO `lang_definitions` VALUES (89066, 1567, 18, 'Marcar a caixa de cartões postais permitirá que você imprima um cartão postal que pode ser enviado a um paciente');
INSERT INTO `lang_definitions` VALUES (89067, 1568, 18, 'Saída');
INSERT INTO `lang_definitions` VALUES (89068, 1569, 18, 'Checksum');
INSERT INTO `lang_definitions` VALUES (89069, 1570, 18, 'Peito');
INSERT INTO `lang_definitions` VALUES (89070, 1571, 18, 'Tórax CTAB');
INSERT INTO `lang_definitions` VALUES (89071, 1572, 18, 'Dor Torácica');
INSERT INTO `lang_definitions` VALUES (89072, 1573, 18, 'Dor no peito:');
INSERT INTO `lang_definitions` VALUES (89073, 1574, 18, 'Dores no peito');
INSERT INTO `lang_definitions` VALUES (89074, 1575, 18, 'Pneumologista');
INSERT INTO `lang_definitions` VALUES (89075, 1576, 18, 'Var');
INSERT INTO `lang_definitions` VALUES (89076, 1577, 18, 'Chichewa- Chewa- Nyanja');
INSERT INTO `lang_definitions` VALUES (89077, 1578, 18, 'Queixa principal');
INSERT INTO `lang_definitions` VALUES (89078, 1579, 18, 'Queixa principal 2');
INSERT INTO `lang_definitions` VALUES (89079, 1580, 18, 'Queixa principal 3');
INSERT INTO `lang_definitions` VALUES (89080, 1581, 18, 'Criança');
INSERT INTO `lang_definitions` VALUES (89081, 1582, 18, 'Genro');
INSERT INTO `lang_definitions` VALUES (89082, 1583, 18, 'Status Vacinação infantil (SVI)');
INSERT INTO `lang_definitions` VALUES (89083, 1584, 18, 'Calafrios');
INSERT INTO `lang_definitions` VALUES (89084, 1585, 18, 'Chinês');
INSERT INTO `lang_definitions` VALUES (89085, 1586, 18, 'Chinês (Simplificado)');
INSERT INTO `lang_definitions` VALUES (89086, 1587, 18, 'Chinês (Tradicional)');
INSERT INTO `lang_definitions` VALUES (89087, 1588, 18, 'Quiroprática');
INSERT INTO `lang_definitions` VALUES (89088, 1589, 18, 'Escolhas');
INSERT INTO `lang_definitions` VALUES (89089, 1590, 18, 'Colecistectomia');
INSERT INTO `lang_definitions` VALUES (89090, 1591, 18, 'Colecistectomia');
INSERT INTO `lang_definitions` VALUES (89091, 1592, 18, 'Colecistectomia');
INSERT INTO `lang_definitions` VALUES (89092, 1593, 18, 'Escolher');
INSERT INTO `lang_definitions` VALUES (89093, 1594, 18, 'Escolher');
INSERT INTO `lang_definitions` VALUES (89094, 1595, 18, 'Escolha um período ou datas (AAAA-MM-DD)');
INSERT INTO `lang_definitions` VALUES (89095, 1596, 18, 'Escolha uma seção e clique em um item dentro dela e, depois, em outra seção você verá os itens relacionados em destaque, e você pode clicar nesse ponto para adicionar e excluir relacionamentos.');
INSERT INTO `lang_definitions` VALUES (89096, 1597, 18, 'Escolher Critérios');
INSERT INTO `lang_definitions` VALUES (89097, 1598, 18, 'Escolha a tabela CSV');
INSERT INTO `lang_definitions` VALUES (89098, 1599, 18, 'Escolha o download ou mostre-me as opçoes');
INSERT INTO `lang_definitions` VALUES (89099, 1600, 18, 'Escolha o provedor atual ou o provedor conectado no momento');
INSERT INTO `lang_definitions` VALUES (89100, 1602, 18, 'Escolha Arquivo');
INSERT INTO `lang_definitions` VALUES (89101, 1603, 18, 'Escolha da lista');
INSERT INTO `lang_definitions` VALUES (89102, 1604, 18, 'Escolha direção do layout');
INSERT INTO `lang_definitions` VALUES (89103, 1605, 18, 'Escolha lista');
INSERT INTO `lang_definitions` VALUES (89104, 1606, 18, 'Escolha um se apropriado');
INSERT INTO `lang_definitions` VALUES (89105, 1607, 18, 'Escolha um dos quatro valores de retorno que refletem vários graus de privilégio');
INSERT INTO `lang_definitions` VALUES (89106, 1608, 18, 'Escolha Tamanho do Papel');
INSERT INTO `lang_definitions` VALUES (89107, 1609, 18, 'Escolha o paciente');
INSERT INTO `lang_definitions` VALUES (89108, 1610, 18, 'Escolha linguagem Preferência do PDF');
INSERT INTO `lang_definitions` VALUES (89109, 1611, 18, 'Escolha o formato de impressão para esse relatório');
INSERT INTO `lang_definitions` VALUES (89110, 1612, 18, 'Escolha o layout (é necessário sair e fazer login para ver esta nova configuração)');
INSERT INTO `lang_definitions` VALUES (89111, 1613, 18, 'Escolha sua visão de encontro predefinida');
INSERT INTO `lang_definitions` VALUES (89112, 1614, 18, 'O navegador Chrome versão 41 e superior, o navegador Mozilla Firefox versão 64 e superior, o navegador Microsoft Edge versão 19 e superior, o navegador Safari versão 13 e superior, o navegador Opera versão 40 e o navegador Opera versão 42 e superior são compatíveis com FIDO U2F API');
INSERT INTO `lang_definitions` VALUES (89113, 1615, 18, 'Bronquite crônica');
INSERT INTO `lang_definitions` VALUES (89114, 1616, 18, 'Dor Crônica na Articulação');
INSERT INTO `lang_definitions` VALUES (89115, 1617, 18, 'Doença Renal Crônica (DRC)');
INSERT INTO `lang_definitions` VALUES (89116, 1618, 18, 'Problemas crônicos ou inativos');
INSERT INTO `lang_definitions` VALUES (89117, 1619, 18, 'Problemas crônicos');
INSERT INTO `lang_definitions` VALUES (89118, 1620, 18, 'Sinovite crônica / derrame / dor nas articulações / gota');
INSERT INTO `lang_definitions` VALUES (89119, 1621, 18, 'Problemas crônicos / inativos');
INSERT INTO `lang_definitions` VALUES (89120, 1622, 18, 'Crônica / recorrente');
INSERT INTO `lang_definitions` VALUES (89121, 1623, 18, 'Chuvache');
INSERT INTO `lang_definitions` VALUES (89122, 1624, 18, 'Cigarros');
INSERT INTO `lang_definitions` VALUES (89123, 1625, 18, 'Cirrose do fígado');
INSERT INTO `lang_definitions` VALUES (89124, 1626, 18, 'A cirrose hepática');
INSERT INTO `lang_definitions` VALUES (89125, 1627, 18, 'Cidade');
INSERT INTO `lang_definitions` VALUES (89126, 1629, 18, 'Nome Cidade');
INSERT INTO `lang_definitions` VALUES (89127, 1630, 18, 'Cidade, Estado');
INSERT INTO `lang_definitions` VALUES (89128, 1631, 18, 'Cidade, Estado CEP');
INSERT INTO `lang_definitions` VALUES (89129, 1632, 18, 'Cidade, Estado, CEP');
INSERT INTO `lang_definitions` VALUES (89130, 1633, 18, 'Cidade / Estado');
INSERT INTO `lang_definitions` VALUES (89131, 1634, 18, 'Reclamar');
INSERT INTO `lang_definitions` VALUES (89132, 1635, 18, 'Reclamar');
INSERT INTO `lang_definitions` VALUES (89133, 1636, 18, 'Edição da reclamação');
INSERT INTO `lang_definitions` VALUES (89134, 1637, 18, 'Situação da reclamação');
INSERT INTO `lang_definitions` VALUES (89135, 1638, 18, 'Reivindicação de teste estiver concluído');
INSERT INTO `lang_definitions` VALUES (89136, 1639, 18, 'Tipo de reclamação');
INSERT INTO `lang_definitions` VALUES (89137, 1640, 18, 'Reivindicação foi gerada para arquivo');
INSERT INTO `lang_definitions` VALUES (89138, 1641, 18, 'Reivindicação foi gerada para arquivo');
INSERT INTO `lang_definitions` VALUES (89139, 1642, 18, 'Reclamações');
INSERT INTO `lang_definitions` VALUES (89140, 1645, 18, 'Classificação');
INSERT INTO `lang_definitions` VALUES (89141, 1646, 18, 'Apagar');
INSERT INTO `lang_definitions` VALUES (89142, 1647, 18, 'Apagar');
INSERT INTO `lang_definitions` VALUES (89143, 1648, 18, 'Apagar 2FA');
INSERT INTO `lang_definitions` VALUES (89144, 1649, 18, 'APAGAR PACIENTE ATIVO');
INSERT INTO `lang_definitions` VALUES (89145, 1650, 18, 'APAGAR GRUPO DE TERAPIA ATIVA');
INSERT INTO `lang_definitions` VALUES (89146, 1651, 18, 'Apagar Tudo');
INSERT INTO `lang_definitions` VALUES (89147, 1652, 18, 'Apagar filtros');
INSERT INTO `lang_definitions` VALUES (89148, 1653, 18, 'Apagar historial');
INSERT INTO `lang_definitions` VALUES (89149, 1654, 18, 'Limpar dados HL7');
INSERT INTO `lang_definitions` VALUES (89150, 1655, 18, 'Limpar Justificação');
INSERT INTO `lang_definitions` VALUES (89151, 1657, 18, 'Apagar bloco');
INSERT INTO `lang_definitions` VALUES (89152, 1658, 18, 'Apagar assinatura');
INSERT INTO `lang_definitions` VALUES (89153, 1659, 18, 'Limpar Smarty Cache');
INSERT INTO `lang_definitions` VALUES (89154, 1661, 18, 'Limpando Informação casa necessária para criação do lote EDI 270');
INSERT INTO `lang_definitions` VALUES (89155, 1662, 18, 'Número de CLIA');
INSERT INTO `lang_definitions` VALUES (89156, 1663, 18, 'Clique');
INSERT INTO `lang_definitions` VALUES (89157, 1664, 18, 'Clique em \'exportar\' para exportar sua Categoria, Subcategoria, ponto, os dados de conteúdo para um arquivo de texto. Qualquer semelhança desse arquivo para um arquivo XML é mera coincidência. Os abertura e fechamento deve estar na mesma linha, eles devem estar em letras minúsculas, sem espaços. Para importar, procure um arquivo e clique em \'importação\'. Se os dados é completamente diferente, ele irá fundir-se com os seus dados existentes. Se houver nomes de itens semelhantes, a antiga será mantido e o novo salvo com um número adicionado ao final.');
INSERT INTO `lang_definitions` VALUES (89158, 1665, 18, 'Clique em \'Salvar\'');
INSERT INTO `lang_definitions` VALUES (89159, 1666, 18, 'Clique em \'Salvar\'. Agora você poderá usar o recurso de Pesquisa para pesquisar todos os códigos ICD 10');
INSERT INTO `lang_definitions` VALUES (89160, 1667, 18, 'Clique em um ponto no gráfico para adicionar uma nova anotação, clique novamente para removê-lo');
INSERT INTO `lang_definitions` VALUES (89161, 1668, 18, 'Clique e arraste o canto inferior direito para redimensionar esta tela');
INSERT INTO `lang_definitions` VALUES (89162, 1669, 18, 'Clique em Procurar e selecione um arquivo de Aviso de Remessa Eletrônica (ERA) ...');
INSERT INTO `lang_definitions` VALUES (89163, 1670, 18, 'Clique em Fechar para sair da página pop-up Selecionar códigos');
INSERT INTO `lang_definitions` VALUES (89164, 1671, 18, 'Clique em \"Download de Certificado\" para fazer o download em arquivo do ssl.zip');
INSERT INTO `lang_definitions` VALUES (89165, 1672, 18, 'clique para saber mais');
INSERT INTO `lang_definitions` VALUES (89166, 1673, 18, 'Clique para maiores detalhes');
INSERT INTO `lang_definitions` VALUES (89167, 1674, 18, 'Clique para resumo do pedido');
INSERT INTO `lang_definitions` VALUES (89168, 1675, 18, 'Clique para obter os resultados');
INSERT INTO `lang_definitions` VALUES (89169, 1676, 18, 'Clique para ajuda de forma abreviada');
INSERT INTO `lang_definitions` VALUES (89170, 1678, 18, 'Clique aqui');
INSERT INTO `lang_definitions` VALUES (89171, 1679, 18, 'Clique aqui para adicionar um novo paciente');
INSERT INTO `lang_definitions` VALUES (89172, 1680, 18, 'Clique aqui para adicionar novo status de modificação lesão e editar atividade diária');
INSERT INTO `lang_definitions` VALUES (89173, 1681, 18, 'Clique aqui para adicionar uma nova linha');
INSERT INTO `lang_definitions` VALUES (89174, 1682, 18, 'Clique aqui para escolher uma data');
INSERT INTO `lang_definitions` VALUES (89175, 1683, 18, 'Clique aqui para escolher uma data e horário');
INSERT INTO `lang_definitions` VALUES (89176, 1684, 18, 'Clique aqui para escolher uma data de início');
INSERT INTO `lang_definitions` VALUES (89177, 1685, 18, 'Clique aqui para escolher data e hora');
INSERT INTO `lang_definitions` VALUES (89178, 1686, 18, 'Clique aqui para escolher data e hora de');
INSERT INTO `lang_definitions` VALUES (89179, 1687, 18, 'Clique aqui para escolher a data e hora para');
INSERT INTO `lang_definitions` VALUES (89180, 1688, 18, 'Clique aqui para configurar Este módulo');
INSERT INTO `lang_definitions` VALUES (89181, 1690, 18, 'Clique aqui para deletar a linha');
INSERT INTO `lang_definitions` VALUES (89182, 1691, 18, 'Clique aqui para deletar a seleção');
INSERT INTO `lang_definitions` VALUES (89183, 1692, 18, 'Clique Aqui Para Desativar Esse Módulo');
INSERT INTO `lang_definitions` VALUES (89184, 1693, 18, 'Clique aqui para duplicar a linha');
INSERT INTO `lang_definitions` VALUES (89185, 1694, 18, 'Clique aqui para editar a lista de materiais de lentes disponíveis');
INSERT INTO `lang_definitions` VALUES (89186, 1695, 18, 'Clique aqui para editar a lista de opções de tratamento de lentes disponíveis');
INSERT INTO `lang_definitions` VALUES (89187, 1696, 18, 'Clique aqui para editar a lista de marcas de lentes de contato');
INSERT INTO `lang_definitions` VALUES (89188, 1697, 18, 'Clique aqui para Editar a Lista de Curso / Ocorrência');
INSERT INTO `lang_definitions` VALUES (89189, 1698, 18, 'Clique aqui para editar a lista de fabricantes');
INSERT INTO `lang_definitions` VALUES (89190, 1699, 18, 'Clique aqui para editar a lista de fornecedores');
INSERT INTO `lang_definitions` VALUES (89191, 1700, 18, 'Clique aqui para editar as opções do plano médico');
INSERT INTO `lang_definitions` VALUES (89192, 1701, 18, 'Clique aqui para editar a lista de escolha rápida deste médico');
INSERT INTO `lang_definitions` VALUES (89193, 1702, 18, 'Clique aqui para editar os valores padrão do exame deste provedor');
INSERT INTO `lang_definitions` VALUES (89194, 1703, 18, 'Clique aqui para ativar este módulo');
INSERT INTO `lang_definitions` VALUES (89195, 1706, 18, 'Clique aqui para instalar este módulo');
INSERT INTO `lang_definitions` VALUES (89196, 1707, 18, 'Clique aqui para procurar');
INSERT INTO `lang_definitions` VALUES (89197, 1708, 18, 'Clique aqui para ver os resultados da observação');
INSERT INTO `lang_definitions` VALUES (89198, 1710, 18, 'clique aqui para atualizar prioridade, a categoria e o apelido configurações');
INSERT INTO `lang_definitions` VALUES (89199, 1711, 18, 'clique aqui para atualizar as configurações de prioridade, categoria, apelido e controle de acesso');
INSERT INTO `lang_definitions` VALUES (89200, 1714, 18, 'Clique aqui para ver todos.');
INSERT INTO `lang_definitions` VALUES (89201, 1715, 18, 'Clique aqui para visualização e gráfico');
INSERT INTO `lang_definitions` VALUES (89202, 1716, 18, 'Clique aqui para ver o gráfico e todos os dados de laboratório.');
INSERT INTO `lang_definitions` VALUES (89203, 1717, 18, 'Clique aqui para visualização e gráfico das informações vitais');
INSERT INTO `lang_definitions` VALUES (89204, 1718, 18, 'Clique aqui para visualizar detalhes do paciente');
INSERT INTO `lang_definitions` VALUES (89205, 1719, 18, 'Clique aqui para ver todos eles.');
INSERT INTO `lang_definitions` VALUES (89206, 1720, 18, 'Clique aqui para visualizar/editar detalhes');
INSERT INTO `lang_definitions` VALUES (89207, 1722, 18, 'Clique na assinatura no arquivo');
INSERT INTO `lang_definitions` VALUES (89208, 1723, 18, 'Clique no botão de Instalar para instalar a base de dados com edição na seguinte data');
INSERT INTO `lang_definitions` VALUES (89209, 1724, 18, 'Clique em OK se tiver certeza');
INSERT INTO `lang_definitions` VALUES (89210, 1725, 18, 'Clique em OK para limpar ou em Cancelar para continuar o processamento');
INSERT INTO `lang_definitions` VALUES (89211, 1726, 18, 'Clique em OK para importar esses pacientes para a caixa de entrada do paciente');
INSERT INTO `lang_definitions` VALUES (89212, 1728, 18, 'Clique em Adicionar para abrir a página pop-up Adicionar / Editar Problema');
INSERT INTO `lang_definitions` VALUES (89213, 1729, 18, 'Clique no botão Adicionar à lista inferior para adicionar à seção inferior');
INSERT INTO `lang_definitions` VALUES (89214, 1730, 18, 'Clique em qualquer uma das seções temporais para a aumentar');
INSERT INTO `lang_definitions` VALUES (89215, 1731, 18, 'Clique em Criar Nova Transação para abrir a página Adicionar / Editar Transação do Paciente');
INSERT INTO `lang_definitions` VALUES (89216, 1732, 18, 'Clique no botão de Pesquisa de Fatura à direita, para entrada manual ou no botão de Upload ERA para carregar um arquivo ERA de aviso de remessa eletrônica completa');
INSERT INTO `lang_definitions` VALUES (89217, 1733, 18, 'Clique no botão \'Adicionar Grupo\' para criar este novo grupo (ARO)');
INSERT INTO `lang_definitions` VALUES (89218, 1734, 18, 'Clique no sinal + adjacente ao Nome do teste de ácido úrico no soro para revelar a linha de resultado recém-criada');
INSERT INTO `lang_definitions` VALUES (89219, 1735, 18, 'Clique no sinal + na extremidade da linha de glicose no sangue para abrir o pop-up Inserir detalhes no modo Adicionar');
INSERT INTO `lang_definitions` VALUES (89220, 1736, 18, 'Clique no ícone Adicionar na extremidade da linha de Química do Soro');
INSERT INTO `lang_definitions` VALUES (89221, 1737, 18, 'Clique na caixa suspensa Adicionar novo e selecione uma opção');
INSERT INTO `lang_definitions` VALUES (89222, 1738, 18, 'Clique no botão Alergia / Intolerância');
INSERT INTO `lang_definitions` VALUES (89223, 1739, 18, 'Clique no sinal + preto na extremidade da linha testes de mulher saudável para criar um descendente direto ou filho para este grupo personalizado superior');
INSERT INTO `lang_definitions` VALUES (89224, 1740, 18, 'Clique no sinal + preto na linha do painel de eletrólito para criar um descendente direto ou filho');
INSERT INTO `lang_definitions` VALUES (89225, 1741, 18, 'Clique no sinal + azul para ver a Ordem de Procedimento que foi salva');
INSERT INTO `lang_definitions` VALUES (89226, 1742, 18, 'Clique no sinal de mais azul em Nome para revelar os nomes dos testes');
INSERT INTO `lang_definitions` VALUES (89227, 1743, 18, 'Clique na caixa Códigos de Diagnóstico para abrir a janela pop-up Selecionar Códigos de Diagnóstico');
INSERT INTO `lang_definitions` VALUES (89228, 1744, 18, 'Clique no item de menu Arquivo no canto superior esquerdo da página do centro de mensagens e selecione Configurar MedEx');
INSERT INTO `lang_definitions` VALUES (89229, 1745, 18, 'Clique no ícone próximo ao título \'Administração da Lista de Controle de Acesso\' para ir para a página phpGACL');
INSERT INTO `lang_definitions` VALUES (89230, 1746, 18, 'Clique no item de menu Problemas para abrir a página de Problemas');
INSERT INTO `lang_definitions` VALUES (89231, 1747, 18, 'Clique no item de menu do Razão na barra de navegação para entrar na página do Razão do Paciente');
INSERT INTO `lang_definitions` VALUES (89232, 1748, 18, 'Clique na caixa de texto Nome na seção esquerda para abrir o pop-up localizador de paciente');
INSERT INTO `lang_definitions` VALUES (89233, 1749, 18, 'Clique no botão Novo Recall para abrir uma nova página de agendamento de recall');
INSERT INTO `lang_definitions` VALUES (89234, 1750, 18, 'Clique no link a seguir para saber mais sobre o que está envolvido');
INSERT INTO `lang_definitions` VALUES (89235, 1751, 18, 'Clique Nome do paciente para abrir o arquivo do paciente');
INSERT INTO `lang_definitions` VALUES (89236, 1752, 18, 'Clique em Atualizar e clique na marca + azul que precede o nome Química do Soro');
INSERT INTO `lang_definitions` VALUES (89237, 1753, 18, 'Clique Atualizar para ver todos os resultados, ou então, por favor dê entrada ao critério de pesquisa acima para ver resultados específicos.');
INSERT INTO `lang_definitions` VALUES (89238, 1754, 18, 'Clique em Registrar para registrar o TOTP');
INSERT INTO `lang_definitions` VALUES (89239, 1755, 18, 'Clique em Salvar');
INSERT INTO `lang_definitions` VALUES (89240, 1756, 18, 'Clique em Salvar e depois em Atualizar');
INSERT INTO `lang_definitions` VALUES (89241, 1757, 18, 'Clique em Salvar para fechar o pop-up');
INSERT INTO `lang_definitions` VALUES (89242, 1758, 18, 'Clique em Salvar para fechar a janela pop-up');
INSERT INTO `lang_definitions` VALUES (89243, 1759, 18, 'Clique em Salvar para criar uma nova linha com um nome de testes de mulheres saudáveis precedido por uma linha vertical indicando que não tem descendentes ou filhos');
INSERT INTO `lang_definitions` VALUES (89244, 1760, 18, 'Clique em Salvar para salvar e fechar o pop-up');
INSERT INTO `lang_definitions` VALUES (89245, 1761, 18, 'Clique em Salvar para salvar este problema');
INSERT INTO `lang_definitions` VALUES (89246, 1762, 18, 'Clique no botão \'Adicionar Novo Grupo\' para exibir a seção \'Informações do Novo Grupo\'');
INSERT INTO `lang_definitions` VALUES (89247, 1763, 18, 'Clique no botão \'Excluir Grupo\' para remover completamente este grupo');
INSERT INTO `lang_definitions` VALUES (89248, 1764, 18, 'Clique no botão \'Remover Grupo\' para exibir o \'Formulário para Remover Grupo\'');
INSERT INTO `lang_definitions` VALUES (89249, 1765, 18, 'Clique no botão de opção \'Sim\'');
INSERT INTO `lang_definitions` VALUES (89250, 1766, 18, 'Clique no botão Limpar para limpar os nomes dos pacientes importados e começar de novo');
INSERT INTO `lang_definitions` VALUES (89251, 1767, 18, 'Clique no botão Limpar para começar de novo');
INSERT INTO `lang_definitions` VALUES (89252, 1768, 18, 'Clique no botão Excluir para excluir todos os códigos selecionados ou selecione códigos individuais a serem excluídos da caixa suspensa ao lado do botão Excluir e, em seguida, clique no botão Excluir');
INSERT INTO `lang_definitions` VALUES (89253, 1769, 18, 'Clique no ícone de lápis para conceder e remover privilégios de acesso ao usuário selecionado');
INSERT INTO `lang_definitions` VALUES (89254, 1770, 18, 'Clique no botão Salvar');
INSERT INTO `lang_definitions` VALUES (89255, 1771, 18, 'Clique no botão Pesquisar por Alergia');
INSERT INTO `lang_definitions` VALUES (89256, 1772, 18, 'Clique no ícone do olho cortado para fechar');
INSERT INTO `lang_definitions` VALUES (89257, 1773, 18, 'Clique no botão Enviar para exibir o log principal');
INSERT INTO `lang_definitions` VALUES (89258, 1774, 18, 'Clique no botão Transmitir para revelar a caixa de endereço direto');
INSERT INTO `lang_definitions` VALUES (89259, 1775, 18, 'Clique aqui para exibir / ocultar testes adicionais');
INSERT INTO `lang_definitions` VALUES (89260, 1776, 18, 'Clique para ativar e enviar para este destinatário');
INSERT INTO `lang_definitions` VALUES (89261, 1777, 18, 'Clique para adicionar um diagnóstico');
INSERT INTO `lang_definitions` VALUES (89262, 1778, 18, 'Clique para adicionar opções diversas de faturamento HCFA 1500');
INSERT INTO `lang_definitions` VALUES (89263, 1779, 18, 'Clique para adicionar novos componentes');
INSERT INTO `lang_definitions` VALUES (89264, 1780, 18, 'Clique para adicionar nova consulta');
INSERT INTO `lang_definitions` VALUES (89265, 1781, 18, 'Clique para adicionar paciente');
INSERT INTO `lang_definitions` VALUES (89266, 1782, 18, 'Click aqui para escolher diagnósticos para justificar.');
INSERT INTO `lang_definitions` VALUES (89267, 1783, 18, 'Clique para contrair e defina para abrir daqui em diante no modo Centrado');
INSERT INTO `lang_definitions` VALUES (89268, 1784, 18, 'Clique para exibir os nomes dos campos abreviados');
INSERT INTO `lang_definitions` VALUES (89269, 1785, 18, 'Clique para fazer download');
INSERT INTO `lang_definitions` VALUES (89270, 1786, 18, 'Clique para editar');
INSERT INTO `lang_definitions` VALUES (89271, 1787, 18, 'Clique para editar descrição');
INSERT INTO `lang_definitions` VALUES (89272, 1788, 18, 'Clique para editar este evento');
INSERT INTO `lang_definitions` VALUES (89273, 1789, 18, 'Clique para expandir e defina para abrir daqui em diante no modo Expandido');
INSERT INTO `lang_definitions` VALUES (89274, 1790, 18, 'Clique para gerar o relatório');
INSERT INTO `lang_definitions` VALUES (89275, 1791, 18, 'Clique para ir para a página');
INSERT INTO `lang_definitions` VALUES (89276, 1792, 18, 'Clique para ocultar');
INSERT INTO `lang_definitions` VALUES (89277, 1793, 18, 'Clique para ocultar a pesquisa avançada');
INSERT INTO `lang_definitions` VALUES (89278, 1794, 18, 'Clique para ocultar os filtros');
INSERT INTO `lang_definitions` VALUES (89279, 1795, 18, 'Clique para ocultar a pesquisa');
INSERT INTO `lang_definitions` VALUES (89280, 1796, 18, 'Clique para saber mais sobre a Arquitetura de Documento Clínico (CDA) e o CDA Consolidado (C-CDA)');
INSERT INTO `lang_definitions` VALUES (89281, 1797, 18, 'Clique para tornar a conversa apenas para este destinatário actual...');
INSERT INTO `lang_definitions` VALUES (89282, 1798, 18, 'Clique para configurar manualmente o controle de acesso, recomendado para usuários avançados');
INSERT INTO `lang_definitions` VALUES (89283, 1799, 18, 'Clique para corresponder paciente');
INSERT INTO `lang_definitions` VALUES (89284, 1800, 18, 'Clique para imprimir');
INSERT INTO `lang_definitions` VALUES (89285, 1801, 18, 'Clique para receber (add) novo lote');
INSERT INTO `lang_definitions` VALUES (89286, 1802, 18, 'Clique para revelar mais informações');
INSERT INTO `lang_definitions` VALUES (89287, 1804, 18, 'Clique para ver mais informações');
INSERT INTO `lang_definitions` VALUES (89288, 1805, 18, 'Clique para selecionar');
INSERT INTO `lang_definitions` VALUES (89289, 1806, 18, 'Clique para Selecionar');
INSERT INTO `lang_definitions` VALUES (89290, 1807, 18, 'Clique para selecionar um diagnóstico padrão ou código de procedimento para este pedido');
INSERT INTO `lang_definitions` VALUES (89291, 1808, 18, 'Clique para selecionar o código padrão da indústria para este procedimento');
INSERT INTO `lang_definitions` VALUES (89292, 1809, 18, 'Clique para selecionar o diagnóstico ou código de procedimento para o padrão de pedido');
INSERT INTO `lang_definitions` VALUES (89293, 1810, 18, 'Clique para selecionar o grupo');
INSERT INTO `lang_definitions` VALUES (89294, 1811, 18, 'Clique para selecionar o código de procedimento opcional');
INSERT INTO `lang_definitions` VALUES (89295, 1812, 18, 'Clique para selecionar ou mudar a codificação');
INSERT INTO `lang_definitions` VALUES (89296, 1813, 18, 'Clique para selecionar ou alterar o código CVX');
INSERT INTO `lang_definitions` VALUES (89297, 1814, 18, 'Clique para selecionar ou alterar diagnósticos');
INSERT INTO `lang_definitions` VALUES (89298, 1815, 18, 'Clique para selecionar ou alterar códigos de serviço');
INSERT INTO `lang_definitions` VALUES (89299, 1816, 18, 'Clique para selecionar pacientes');
INSERT INTO `lang_definitions` VALUES (89300, 1817, 18, 'Clique para selecionar o código relacionado');
INSERT INTO `lang_definitions` VALUES (89301, 1819, 18, 'Clique para selecionar serviços a executar em caso de resultado anormal');
INSERT INTO `lang_definitions` VALUES (89302, 1820, 18, 'Clique para selecionar os serviços a serem executados se este resultado for anormal');
INSERT INTO `lang_definitions` VALUES (89303, 1821, 18, 'Clique para selecionar os serviços a serem executados se este resultado for anormal. Isso é opcional');
INSERT INTO `lang_definitions` VALUES (89304, 1822, 18, 'Clique para selecionar procedimento desejado');
INSERT INTO `lang_definitions` VALUES (89305, 1823, 18, 'Clique para mostrar');
INSERT INTO `lang_definitions` VALUES (89306, 1824, 18, 'Clique para mostrar a pesquisa avançada');
INSERT INTO `lang_definitions` VALUES (89307, 1825, 18, 'Clique para mostrar os filtros');
INSERT INTO `lang_definitions` VALUES (89308, 1826, 18, 'Clique para mostrar mensagens para todos os usuários');
INSERT INTO `lang_definitions` VALUES (89309, 1827, 18, 'Clique para mostrar mensagens apenas para o usuário atual');
INSERT INTO `lang_definitions` VALUES (89310, 1828, 18, 'Clique para mostrar a pesquisa');
INSERT INTO `lang_definitions` VALUES (89311, 1829, 18, 'Clique para ordenar');
INSERT INTO `lang_definitions` VALUES (89312, 1831, 18, 'Clique para ver');
INSERT INTO `lang_definitions` VALUES (89313, 1832, 18, 'Clique para ver a ajuda');
INSERT INTO `lang_definitions` VALUES (89314, 1833, 18, 'Clique aqui para visualizar ou editar');
INSERT INTO `lang_definitions` VALUES (89315, 1834, 18, 'Clique para ver/editar');
INSERT INTO `lang_definitions` VALUES (89316, 1835, 18, 'Clique em Atualizar lista para exibir as informações de faturamento filtradas pelos critérios atuais selecionados');
INSERT INTO `lang_definitions` VALUES (89317, 1836, 18, 'Clique no botão Atualizar para atualizar o banco de dados de liberação a partir do seguinte data');
INSERT INTO `lang_definitions` VALUES (89318, 1838, 18, 'Clique onde indicado acima, para coincidir com o paciente.');
INSERT INTO `lang_definitions` VALUES (89319, 1839, 18, 'Clique em:');
INSERT INTO `lang_definitions` VALUES (89320, 1840, 18, 'Clicar em \'Rever\' listará todos os códigos inseridos para encontros anteriores');
INSERT INTO `lang_definitions` VALUES (89321, 1841, 18, 'Clicar na guia Inserir nome ou Inserir ID abrirá a caixa de pesquisa que você pode usar para selecionar um paciente');
INSERT INTO `lang_definitions` VALUES (89322, 1842, 18, 'Clicar em Definir como concluído removerá o lembrete da tela ativa');
INSERT INTO `lang_definitions` VALUES (89323, 1843, 18, 'Clicar no botão + no painel de cabeçalho do paciente abre o Formulário de Novo Encontro');
INSERT INTO `lang_definitions` VALUES (89324, 1844, 18, 'Clicar no botão Adicionar problema abre a caixa pop-up adicionar problema');
INSERT INTO `lang_definitions` VALUES (89325, 1845, 18, 'Clicar na célula de codificação abrirá o pop-up de materiais educacionais que permitirá que você pesquise pelo código ICD10');
INSERT INTO `lang_definitions` VALUES (89326, 1846, 18, 'Clicar no botão Criar um lembrete datado abrirá o pop-up Enviar um lembrete');
INSERT INTO `lang_definitions` VALUES (89327, 1847, 18, 'Clicar no botão Criar Credenciais do Portal Online / Offsite irá gerar um nome de usuário e uma senha para o paciente que deve ser fornecida ao paciente');
INSERT INTO `lang_definitions` VALUES (89328, 1848, 18, 'Clicar no botão Excluir irá excluir a mensagem');
INSERT INTO `lang_definitions` VALUES (89329, 1849, 18, 'Clicar na primeira célula sob Título fará vai trazer a página pop-up Adicionar / Editar Problema que permitirá que você edite esta entrada');
INSERT INTO `lang_definitions` VALUES (89330, 1850, 18, 'Clicar no ícone ao lado da legenda exibirá as mensagens de todos e a legenda mudará para Todas as mensagens');
INSERT INTO `lang_definitions` VALUES (89331, 1851, 18, 'Clicar no ícone ao lado do nome abrirá a janela \'Editar\'');
INSERT INTO `lang_definitions` VALUES (89332, 1852, 18, 'Clicar no item de menu Diversos> Gerenciamento de MFA ou Nome de usuário> Gerenciamento de MFA leva você à página de destino para gerenciar a página de autenticação multifator para esse usuário');
INSERT INTO `lang_definitions` VALUES (89333, 1853, 18, 'Clicar no nome do paciente irá revelar a mensagem');
INSERT INTO `lang_definitions` VALUES (89334, 1854, 18, 'Clicar no ícone de lápis irá entrar no modo Editar e exibir a janela pop-up Inserir Detalhes que foi usada para criar a entrada exibida nesta linha');
INSERT INTO `lang_definitions` VALUES (89335, 1855, 18, 'Clicar nos botões Mostrar tudo ou Mostrar inativos mostrará as mensagens apropriadas');
INSERT INTO `lang_definitions` VALUES (89336, 1856, 18, 'Clicar no ícone de olho cortado irá esconder os filtros');
INSERT INTO `lang_definitions` VALUES (89337, 1857, 18, 'Clicar no botão Exibir registro abrirá o pop-up Registro de mensagens datadas');
INSERT INTO `lang_definitions` VALUES (89338, 1858, 18, 'Clicar em Opções apresentará um menu suspenso de seleção múltipla para adicionar comportamentos ao tipo de dados selecionado. Digitar depois de puxar para baixo ativa permite pesquisar nas opções');
INSERT INTO `lang_definitions` VALUES (89339, 1859, 18, 'Clicar no botão irá revelar um pop-up que listará os códigos E / M, verifique o código apropriado e clique em \'OK\'');
INSERT INTO `lang_definitions` VALUES (89340, 1860, 18, 'Clicar no botão Transmitir irá abrir uma caixa de texto onde o endereço direto do destinatário deve ser inserido');
INSERT INTO `lang_definitions` VALUES (89341, 1862, 18, 'Certificado do cliente expira em Dias');
INSERT INTO `lang_definitions` VALUES (89342, 1864, 18, 'Período de validação do certificado do cliente');
INSERT INTO `lang_definitions` VALUES (89343, 1865, 18, 'Vigência do certificado do cliente deve ser um número válido.');
INSERT INTO `lang_definitions` VALUES (89344, 1866, 18, 'Cópia do Paciente');
INSERT INTO `lang_definitions` VALUES (89345, 1868, 18, 'ID do Cliente');
INSERT INTO `lang_definitions` VALUES (89346, 1869, 18, 'Resumo do histórico médico do paciente');
INSERT INTO `lang_definitions` VALUES (89347, 1870, 18, 'Nome do Paciente');
INSERT INTO `lang_definitions` VALUES (89348, 1872, 18, 'Número do Paciente');
INSERT INTO `lang_definitions` VALUES (89349, 1873, 18, 'Perfil do Paciente - Novos Pacientes');
INSERT INTO `lang_definitions` VALUES (89350, 1874, 18, 'Perfil do Paciente - Pacientes Únicos');
INSERT INTO `lang_definitions` VALUES (89351, 1878, 18, 'Pacientes');
INSERT INTO `lang_definitions` VALUES (89352, 1879, 18, 'Clínica');
INSERT INTO `lang_definitions` VALUES (89353, 1880, 18, 'Cópia da Clínica');
INSERT INTO `lang_definitions` VALUES (89354, 1881, 18, 'Anotação Diária da Clínica');
INSERT INTO `lang_definitions` VALUES (89355, 1882, 18, 'Clínica ID');
INSERT INTO `lang_definitions` VALUES (89356, 1883, 18, 'Clínico');
INSERT INTO `lang_definitions` VALUES (89357, 1884, 18, 'Gerenciador de regras de decisão clínica');
INSERT INTO `lang_definitions` VALUES (89358, 1885, 18, 'Os documentos clínicos são produzidos organizando ou limitando os elementos CDA de maneiras definidas usando modelos e Guias de Implementação (IG)');
INSERT INTO `lang_definitions` VALUES (89359, 1886, 18, 'Histórico Clínico');
INSERT INTO `lang_definitions` VALUES (89360, 1887, 18, 'Instruções Clínicas');
INSERT INTO `lang_definitions` VALUES (89361, 1888, 18, 'Formulário de Instruções Clínicas');
INSERT INTO `lang_definitions` VALUES (89362, 1889, 18, 'Plano Clínico');
INSERT INTO `lang_definitions` VALUES (89363, 1890, 18, 'Avaliador de Qualidade Clínica (AQC)');
INSERT INTO `lang_definitions` VALUES (89364, 1891, 18, 'Avaliador de Qualidade Clínica (AQC) - 2011');
INSERT INTO `lang_definitions` VALUES (89365, 1892, 18, 'Avaliador de Qualidade Clínica (AQC) - 2014');
INSERT INTO `lang_definitions` VALUES (89366, 1893, 18, 'Lembrete Clínico');
INSERT INTO `lang_definitions` VALUES (89367, 1894, 18, 'Lembretes clínicos - é um widget que exibe os alertas passivos para uma regra de decisão clínica');
INSERT INTO `lang_definitions` VALUES (89368, 1895, 18, 'Lembretes / alertas clínicos (por escrito, opcional adicional)');
INSERT INTO `lang_definitions` VALUES (89369, 1896, 18, 'Lembretes / alertas clínicos (por escrito, opcional adicional)');
INSERT INTO `lang_definitions` VALUES (89370, 1897, 18, 'Relatório Clínico');
INSERT INTO `lang_definitions` VALUES (89371, 1898, 18, 'Regra Clínica - Categoria');
INSERT INTO `lang_definitions` VALUES (89372, 1899, 18, 'Regra Clínica - Ítem');
INSERT INTO `lang_definitions` VALUES (89373, 1900, 18, 'Regra Clínica - Método de Filtro');
INSERT INTO `lang_definitions` VALUES (89374, 1901, 18, 'Regra Clínica - Método Alvo');
INSERT INTO `lang_definitions` VALUES (89375, 1902, 18, 'Regra Clínica');
INSERT INTO `lang_definitions` VALUES (89376, 1903, 18, 'Regra Clínica - Intervalo de Idade');
INSERT INTO `lang_definitions` VALUES (89377, 1904, 18, 'Regra Clínica - Comparação');
INSERT INTO `lang_definitions` VALUES (89378, 1905, 18, 'Regra Clínica - Tipos de Consultas');
INSERT INTO `lang_definitions` VALUES (89379, 1906, 18, 'Regra Clínica - Motivo de Finalização');
INSERT INTO `lang_definitions` VALUES (89380, 1907, 18, 'Regra Clínica - Motivo de Inativação');
INSERT INTO `lang_definitions` VALUES (89381, 1908, 18, 'Regra Clínica - Intervalo de Lembrete');
INSERT INTO `lang_definitions` VALUES (89382, 1909, 18, 'Regra Clínica - Método de Lembrete');
INSERT INTO `lang_definitions` VALUES (89383, 1910, 18, 'Regra Clínica - Alvo do Intervalo');
INSERT INTO `lang_definitions` VALUES (89384, 1911, 18, 'Objetivos Clínicos');
INSERT INTO `lang_definitions` VALUES (89385, 1912, 18, 'Termo Clínico');
INSERT INTO `lang_definitions` VALUES (89386, 1913, 18, 'Código de Termo Clínico');
INSERT INTO `lang_definitions` VALUES (89387, 1914, 18, 'Visão Clínica');
INSERT INTO `lang_definitions` VALUES (89388, 1915, 18, 'Clínicos');
INSERT INTO `lang_definitions` VALUES (89389, 1916, 18, 'Clonar');
INSERT INTO `lang_definitions` VALUES (89390, 1917, 18, 'Clonar Visita Anterior');
INSERT INTO `lang_definitions` VALUES (89391, 1918, 18, 'Fechar');
INSERT INTO `lang_definitions` VALUES (89392, 1919, 18, 'fechar');
INSERT INTO `lang_definitions` VALUES (89393, 1920, 18, 'Feche todos os painéis Rx atuais e faça disso uma preferência para permanecer fechado');
INSERT INTO `lang_definitions` VALUES (89394, 1921, 18, 'Feche e faça desta uma preferência para permanecer fechado');
INSERT INTO `lang_definitions` VALUES (89395, 1922, 18, 'Feche este painel e exclua este Rx');
INSERT INTO `lang_definitions` VALUES (89396, 1923, 18, 'Feche este painel e faça dele uma preferência para permanecer fechado');
INSERT INTO `lang_definitions` VALUES (89397, 1924, 18, 'Fechar a janela');
INSERT INTO `lang_definitions` VALUES (89398, 1925, 18, 'Fechar a janela');
INSERT INTO `lang_definitions` VALUES (89399, 1926, 18, 'Fechar');
INSERT INTO `lang_definitions` VALUES (89400, 1927, 18, 'Fechado');
INSERT INTO `lang_definitions` VALUES (89401, 1928, 18, 'cm');
INSERT INTO `lang_definitions` VALUES (89402, 1930, 18, 'CMS 1500 incl FORM');
INSERT INTO `lang_definitions` VALUES (89403, 1931, 18, 'CMS 1500 Margins');
INSERT INTO `lang_definitions` VALUES (89404, 1932, 18, 'CMS 1500 Margins Left');
INSERT INTO `lang_definitions` VALUES (89405, 1933, 18, 'CMS 1500 Formato papel');
INSERT INTO `lang_definitions` VALUES (89406, 1934, 18, 'CMS 1500 PDF');
INSERT INTO `lang_definitions` VALUES (89407, 1935, 18, 'CMS 1500 FORMULÁRIO PRÉ-IMPRESSO');
INSERT INTO `lang_definitions` VALUES (89408, 1936, 18, 'CMS 1500 TEXTO');
INSERT INTO `lang_definitions` VALUES (89409, 1937, 18, 'O CMS 1500 foi revisado em 01/02/2012 e, portanto, é denominado Formulário 1500 (02-12) e está definido para expirar em 31/03/2020. A partir de 1 ° de abril de 2014, apenas a versão revisada de 02-12 é aceita.');
INSERT INTO `lang_definitions` VALUES (89410, 1938, 18, 'CMS 1500: Formato da Caixa 31');
INSERT INTO `lang_definitions` VALUES (89411, 1939, 18, 'CMS 1500: Data na Caixa 31 (Assinatura)');
INSERT INTO `lang_definitions` VALUES (89412, 1940, 18, 'CMS ID');
INSERT INTO `lang_definitions` VALUES (89413, 1941, 18, 'ID CMS para reivindicações de encontro');
INSERT INTO `lang_definitions` VALUES (89414, 1943, 18, 'Portal CMS');
INSERT INTO `lang_definitions` VALUES (89415, 1944, 18, 'Login do Portal CMS');
INSERT INTO `lang_definitions` VALUES (89416, 1945, 18, 'ID de login do portal CMS');
INSERT INTO `lang_definitions` VALUES (89417, 1946, 18, 'CMS Portal não habilitado!');
INSERT INTO `lang_definitions` VALUES (89418, 1947, 18, 'CMS Portal Senha');
INSERT INTO `lang_definitions` VALUES (89419, 1948, 18, 'CMS Portal Solicitado');
INSERT INTO `lang_definitions` VALUES (89420, 1949, 18, 'Endereço do site do portal CMS');
INSERT INTO `lang_definitions` VALUES (89421, 1950, 18, 'CMS Portal Nome de usuário');
INSERT INTO `lang_definitions` VALUES (89422, 1951, 18, 'Login Cmsportal');
INSERT INTO `lang_definitions` VALUES (89423, 1952, 18, 'CMT {{Espessura Macular Central}}');
INSERT INTO `lang_definitions` VALUES (89424, 1953, 18, 'CN VII {{nervo craniano sete}}');
INSERT INTO `lang_definitions` VALUES (89425, 1954, 18, 'CN V {{nervo craniano cinco}}');
INSERT INTO `lang_definitions` VALUES (89426, 1955, 18, 'CN2-12 intactas');
INSERT INTO `lang_definitions` VALUES (89427, 1956, 18, 'CN5 {{nervo craniano cinco}}');
INSERT INTO `lang_definitions` VALUES (89428, 1957, 18, 'CN7 {{nervo craniano sete}}');
INSERT INTO `lang_definitions` VALUES (89429, 1958, 18, 'Co-Pgto');
INSERT INTO `lang_definitions` VALUES (89430, 1959, 18, 'Co-Pgto Pago');
INSERT INTO `lang_definitions` VALUES (89431, 1960, 18, 'Provedor coadjuvante / de referência');
INSERT INTO `lang_definitions` VALUES (89432, 1962, 18, 'Co-Pgto');
INSERT INTO `lang_definitions` VALUES (89433, 1963, 18, 'Co-Pagamento');
INSERT INTO `lang_definitions` VALUES (89434, 1964, 18, 'Código');
INSERT INTO `lang_definitions` VALUES (89435, 1965, 18, 'código');
INSERT INTO `lang_definitions` VALUES (89436, 1967, 18, 'Localizador de Código');
INSERT INTO `lang_definitions` VALUES (89437, 1968, 18, 'Código devem ser dois letra minúscula');
INSERT INTO `lang_definitions` VALUES (89438, 1969, 18, 'Símbolo Monetário');
INSERT INTO `lang_definitions` VALUES (89439, 1970, 18, 'Pesquisa de código');
INSERT INTO `lang_definitions` VALUES (89440, 1971, 18, 'Texto do Código');
INSERT INTO `lang_definitions` VALUES (89441, 1972, 18, 'tipo de código');
INSERT INTO `lang_definitions` VALUES (89442, 1973, 18, 'digite o código');
INSERT INTO `lang_definitions` VALUES (89443, 1974, 18, 'Tipo de código não reconhecido');
INSERT INTO `lang_definitions` VALUES (89444, 1975, 18, 'Tipo de código ainda não definido');
INSERT INTO `lang_definitions` VALUES (89445, 1976, 18, 'Tipos de código');
INSERT INTO `lang_definitions` VALUES (89446, 1977, 18, 'Código(s)');
INSERT INTO `lang_definitions` VALUES (89447, 1978, 18, 'Codificado');
INSERT INTO `lang_definitions` VALUES (89448, 1979, 18, 'Códigos');
INSERT INTO `lang_definitions` VALUES (89449, 1980, 18, 'Códigos - Deixe em branco');
INSERT INTO `lang_definitions` VALUES (89450, 1981, 18, 'Codificação');
INSERT INTO `lang_definitions` VALUES (89451, 1982, 18, 'Código (clique para Orientação)');
INSERT INTO `lang_definitions` VALUES (89452, 1983, 18, 'Codificação - quaisquer Consultas (escrever, wsome opcional)');
INSERT INTO `lang_definitions` VALUES (89453, 1984, 18, 'Codificação - qualquer encontro (escrever, algum opcional) (codificação_a)');
INSERT INTO `lang_definitions` VALUES (89454, 1985, 18, 'Codificação - minhas Consultas (escrever, wsome opcional)');
INSERT INTO `lang_definitions` VALUES (89455, 1986, 18, 'Codificação - meus encontros (escrever, algum opcional) (codificação)');
INSERT INTO `lang_definitions` VALUES (89456, 1987, 18, 'Codificação completa');
INSERT INTO `lang_definitions` VALUES (89457, 1988, 18, 'Codificação feita');
INSERT INTO `lang_definitions` VALUES (89458, 1989, 18, 'Motor de codificação');
INSERT INTO `lang_definitions` VALUES (89459, 1990, 18, 'Codificação não autorizada');
INSERT INTO `lang_definitions` VALUES (89460, 1991, 18, 'Café');
INSERT INTO `lang_definitions` VALUES (89461, 1992, 18, 'Cafe usado');
INSERT INTO `lang_definitions` VALUES (89462, 1993, 18, 'Moedas');
INSERT INTO `lang_definitions` VALUES (89463, 1994, 18, 'cosseguro');
INSERT INTO `lang_definitions` VALUES (89464, 1995, 18, 'Coll w/o');
INSERT INTO `lang_definitions` VALUES (89465, 1996, 18, 'Colaborador');
INSERT INTO `lang_definitions` VALUES (89466, 1997, 18, 'Recolher');
INSERT INTO `lang_definitions` VALUES (89467, 1998, 18, 'recolher');
INSERT INTO `lang_definitions` VALUES (89468, 1999, 18, 'Recolher Tudo');
INSERT INTO `lang_definitions` VALUES (89469, 2000, 18, 'Recolher tudo');
INSERT INTO `lang_definitions` VALUES (89470, 2001, 18, 'recolher tudo');
INSERT INTO `lang_definitions` VALUES (89471, 2002, 18, 'Recolher para');
INSERT INTO `lang_definitions` VALUES (89472, 2003, 18, 'Recolher pagamento');
INSERT INTO `lang_definitions` VALUES (89473, 2004, 18, 'Recolhido');
INSERT INTO `lang_definitions` VALUES (89474, 2005, 18, 'Coleção Data');
INSERT INTO `lang_definitions` VALUES (89475, 2006, 18, 'Data / hora da coleta');
INSERT INTO `lang_definitions` VALUES (89476, 2007, 18, 'Coleções');
INSERT INTO `lang_definitions` VALUES (89477, 2008, 18, 'Relatório de Coleções');
INSERT INTO `lang_definitions` VALUES (89478, 2009, 18, 'Câncer do cólon');
INSERT INTO `lang_definitions` VALUES (89479, 2010, 18, 'Rastreio do cancro do cólon');
INSERT INTO `lang_definitions` VALUES (89480, 2011, 18, 'Cirurgia de Câncer do Cólon');
INSERT INTO `lang_definitions` VALUES (89481, 2012, 18, 'Colonoscopia');
INSERT INTO `lang_definitions` VALUES (89482, 2013, 18, 'colonoscopia');
INSERT INTO `lang_definitions` VALUES (89483, 2014, 18, 'Cor');
INSERT INTO `lang_definitions` VALUES (89484, 2015, 18, 'Cor para conjuntos pares (exceto quando o último conjunto é par e todos os compromissos dos membros são exibidos e pelo menos um compromisso agendado subsequente existe (não exibido) ou nem todos os compromissos dos membros são exibidos)');
INSERT INTO `lang_definitions` VALUES (89485, 2016, 18, 'Cor para conjuntos ímpares (exceto quando o último conjunto é ímpar e todos os compromissos dos membros são exibidos e pelo menos um compromisso agendado subsequente existe (não exibido) ou nem todos os compromissos dos membros são exibidos)');
INSERT INTO `lang_definitions` VALUES (89486, 2017, 18, 'Cor para o último conjunto quando todos os compromissos dos membros são exibidos e pelo menos um compromisso agendado subsequente existe (não exibido)');
INSERT INTO `lang_definitions` VALUES (89487, 2018, 18, 'Cor para o último conjunto quando nem todos os compromissos dos membros são exibidos');
INSERT INTO `lang_definitions` VALUES (89488, 2019, 18, 'visão de cores');
INSERT INTO `lang_definitions` VALUES (89489, 2020, 18, 'Cor: Abbr');
INSERT INTO `lang_definitions` VALUES (89490, 2021, 18, 'Coluna');
INSERT INTO `lang_definitions` VALUES (89491, 2022, 18, 'Colunas');
INSERT INTO `lang_definitions` VALUES (89492, 2023, 18, 'Combine Lembretes');
INSERT INTO `lang_definitions` VALUES (89493, 2024, 18, 'Combinando Lotes');
INSERT INTO `lang_definitions` VALUES (89494, 2025, 18, 'Vírgula');
INSERT INTO `lang_definitions` VALUES (89495, 2027, 18, 'Comentário');
INSERT INTO `lang_definitions` VALUES (89496, 2028, 18, 'Comentários');
INSERT INTO `lang_definitions` VALUES (89497, 2030, 18, 'Comentários ou recomendações para este resultado');
INSERT INTO `lang_definitions` VALUES (89498, 2031, 18, 'Empresa de Seguro Comercial');
INSERT INTO `lang_definitions` VALUES (89499, 2032, 18, 'Gravar Alterações');
INSERT INTO `lang_definitions` VALUES (89500, 2033, 18, 'Os padrões comumente usados são HOTP (senha única baseada em hash, RFC4226), TOTP (senha única baseada em tempo ou OCRA (algoritmo de resposta de desafio OATH, RFC6287) que foram desenvolvidos e são suportados pelo OATH (Iniciativa para Autenticação Aberta)');
INSERT INTO `lang_definitions` VALUES (89501, 2034, 18, 'Comunicação');
INSERT INTO `lang_definitions` VALUES (89502, 2035, 18, 'Motor de comunicação');
INSERT INTO `lang_definitions` VALUES (89503, 2036, 18, 'Comunicações');
INSERT INTO `lang_definitions` VALUES (89504, 2037, 18, 'Médico comunitário');
INSERT INTO `lang_definitions` VALUES (89505, 2038, 18, 'Centro Comunitário de Saúde Mental');
INSERT INTO `lang_definitions` VALUES (89506, 2039, 18, 'Empresa');
INSERT INTO `lang_definitions` VALUES (89507, 2040, 18, 'Nome da Empresa');
INSERT INTO `lang_definitions` VALUES (89508, 2041, 18, 'Completar');
INSERT INTO `lang_definitions` VALUES (89509, 2042, 18, 'Tempo de Visita Completo');
INSERT INTO `lang_definitions` VALUES (89510, 2043, 18, 'Concluído');
INSERT INTO `lang_definitions` VALUES (89511, 2044, 18, 'Concluído');
INSERT INTO `lang_definitions` VALUES (89512, 2045, 18, 'Anúncio Concluído');
INSERT INTO `lang_definitions` VALUES (89513, 2046, 18, 'Concluído?');
INSERT INTO `lang_definitions` VALUES (89514, 2047, 18, 'Remova completamente a capacidade de exibir o Quadro de Fluxo do Paciente');
INSERT INTO `lang_definitions` VALUES (89515, 2048, 18, 'Status de conclusão');
INSERT INTO `lang_definitions` VALUES (89516, 2049, 18, 'Complicações pelo Provedor de Serviço');
INSERT INTO `lang_definitions` VALUES (89517, 2050, 18, 'Complicações do Aborto');
INSERT INTO `lang_definitions` VALUES (89518, 2051, 18, 'Componentes');
INSERT INTO `lang_definitions` VALUES (89519, 2052, 18, 'Compor mensagem');
INSERT INTO `lang_definitions` VALUES (89520, 2053, 18, 'Compor novo');
INSERT INTO `lang_definitions` VALUES (89521, 2055, 18, 'Centro de Reabilitação Abrangente para Pacientes Internos');
INSERT INTO `lang_definitions` VALUES (89522, 2056, 18, 'Centro de reabilitação ambulatorial abrangente');
INSERT INTO `lang_definitions` VALUES (89523, 2057, 18, 'Sistema de Pedidos Médicos - Computer Aided');
INSERT INTO `lang_definitions` VALUES (89524, 2058, 18, 'Conclusões');
INSERT INTO `lang_definitions` VALUES (89525, 2059, 18, 'condição');
INSERT INTO `lang_definitions` VALUES (89526, 2060, 18, 'Campo de condição não encontrado');
INSERT INTO `lang_definitions` VALUES (89527, 2061, 18, 'Estado de condição');
INSERT INTO `lang_definitions` VALUES (89528, 2063, 18, 'Configuração');
INSERT INTO `lang_definitions` VALUES (89529, 2064, 18, 'Configuração');
INSERT INTO `lang_definitions` VALUES (89530, 2065, 18, 'Configuração Exportar/Importar');
INSERT INTO `lang_definitions` VALUES (89531, 2066, 18, 'Configuração salva com sucesso');
INSERT INTO `lang_definitions` VALUES (89532, 2067, 18, 'Configure Servidor Web (Apache) e OpenEMR para uso de certificado SSL pelo clíente.');
INSERT INTO `lang_definitions` VALUES (89533, 2068, 18, 'Configure Servidor Web (Apache) para uso de certificado SSL pelo clíente.');
INSERT INTO `lang_definitions` VALUES (89534, 2069, 18, 'Configure Servidor Web (Apache) para uso HTTPS.');
INSERT INTO `lang_definitions` VALUES (89535, 2070, 18, 'Configure OpenEMR para uso de certificado SSL pelo clíente.');
INSERT INTO `lang_definitions` VALUES (89536, 2071, 18, 'Configurar pedidos e resultados');
INSERT INTO `lang_definitions` VALUES (89537, 2072, 18, 'Ajuda para configurar pedidos');
INSERT INTO `lang_definitions` VALUES (89538, 2073, 18, 'Configure a estrutura de teste de laboratório');
INSERT INTO `lang_definitions` VALUES (89539, 2074, 18, 'Configurar trilhas');
INSERT INTO `lang_definitions` VALUES (89540, 2075, 18, 'Configurar Trilhas');
INSERT INTO `lang_definitions` VALUES (89541, 2076, 18, 'Configurando vários pedidos');
INSERT INTO `lang_definitions` VALUES (89542, 2077, 18, 'Configurando vários pedidos');
INSERT INTO `lang_definitions` VALUES (89543, 2078, 18, 'Confirmar');
INSERT INTO `lang_definitions` VALUES (89544, 2079, 18, 'Confirmar Criação de Novo Paciente');
INSERT INTO `lang_definitions` VALUES (89545, 2080, 18, 'Confirme o endereço de e-mail');
INSERT INTO `lang_definitions` VALUES (89546, 2081, 18, 'Confirmar Nova Senha');
INSERT INTO `lang_definitions` VALUES (89547, 2083, 18, 'Confirmar Pagamento');
INSERT INTO `lang_definitions` VALUES (89548, 2084, 18, 'Confirma a exclusão do tópico atual?');
INSERT INTO `lang_definitions` VALUES (89549, 2085, 18, 'Confirmar para excluir selecionados?');
INSERT INTO `lang_definitions` VALUES (89550, 2086, 18, 'Confirme para remover o item');
INSERT INTO `lang_definitions` VALUES (89551, 2088, 18, 'Confirmado');
INSERT INTO `lang_definitions` VALUES (89552, 2089, 18, 'Alergias Conflitas');
INSERT INTO `lang_definitions` VALUES (89553, 2090, 18, 'Medicamentos em conflito');
INSERT INTO `lang_definitions` VALUES (89554, 2091, 18, 'Problemas conflitantes');
INSERT INTO `lang_definitions` VALUES (89555, 2092, 18, 'Congênita');
INSERT INTO `lang_definitions` VALUES (89556, 2093, 18, 'Parabéns por habilitar 2FA');
INSERT INTO `lang_definitions` VALUES (89557, 2094, 18, 'Conjuntiva, pupilas');
INSERT INTO `lang_definitions` VALUES (89558, 2095, 18, 'Conj {{Conjuntiva}}');
INSERT INTO `lang_definitions` VALUES (89559, 2096, 18, 'Erro de conexão');
INSERT INTO `lang_definitions` VALUES (89560, 2097, 18, 'Conectores');
INSERT INTO `lang_definitions` VALUES (89561, 2098, 18, 'Constante');
INSERT INTO `lang_definitions` VALUES (89562, 2100, 18, 'nome da constante');
INSERT INTO `lang_definitions` VALUES (89563, 2101, 18, 'Nome da constante está em branco');
INSERT INTO `lang_definitions` VALUES (89564, 2102, 18, 'Constantes');
INSERT INTO `lang_definitions` VALUES (89565, 2103, 18, 'Constipação');
INSERT INTO `lang_definitions` VALUES (89566, 2104, 18, 'Constitucional');
INSERT INTO `lang_definitions` VALUES (89567, 2105, 18, 'Empresa de construção');
INSERT INTO `lang_definitions` VALUES (89568, 2106, 18, 'Consultor médico');
INSERT INTO `lang_definitions` VALUES (89569, 2107, 18, 'Breve Descrição da Consulta');
INSERT INTO `lang_definitions` VALUES (89570, 2108, 18, 'Notas de consulta - 2008');
INSERT INTO `lang_definitions` VALUES (89571, 2109, 18, 'Contato');
INSERT INTO `lang_definitions` VALUES (89572, 2110, 18, 'Email para Contato');
INSERT INTO `lang_definitions` VALUES (89573, 2111, 18, 'Endereço de Email para Contato');
INSERT INTO `lang_definitions` VALUES (89574, 2112, 18, 'Entre em contato EMR Direct para assinar no serviço de mensagens phiMail Direct');
INSERT INTO `lang_definitions` VALUES (89575, 2113, 18, 'Informações de contato');
INSERT INTO `lang_definitions` VALUES (89576, 2115, 18, 'Lentes de contato');
INSERT INTO `lang_definitions` VALUES (89577, 2116, 18, 'Refração da lente de contato');
INSERT INTO `lang_definitions` VALUES (89578, 2117, 18, 'Lentes de Contato');
INSERT INTO `lang_definitions` VALUES (89579, 2118, 18, 'Entre em contato com a Medical Information Integration, LLC em http://mi-squared.com para obter o Lab Exchange Service');
INSERT INTO `lang_definitions` VALUES (89580, 2119, 18, 'Entre em contato com a Medical Information Integration, LLC em http://mi-squared.com ou ZH Healthcare em http://zhservices.com para assinar o serviço eRx');
INSERT INTO `lang_definitions` VALUES (89581, 2120, 18, 'Entre em contato com a Medical Information Integration, LLC em http://mi-squared.com ou ZH Healthcare em http://zhservices.com para assinar no serviço NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (89582, 2121, 18, 'Entre em contato com a mi-squared em http://www.mi-squared.com/products-services/openemr/ ou ZH Healthcare em https://bl Budaphr.com/contact-us/ para assinar no serviço NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (89583, 2122, 18, 'Nome de contato');
INSERT INTO `lang_definitions` VALUES (89584, 2123, 18, 'Entre em contato com a Open Med Practice, www.openmedpractice.com para assinar no serviço Weno Free eRx');
INSERT INTO `lang_definitions` VALUES (89585, 2124, 18, 'Contate ou notifique o telefone');
INSERT INTO `lang_definitions` VALUES (89586, 2125, 18, 'Pessoa de Contato');
INSERT INTO `lang_definitions` VALUES (89587, 2126, 18, 'telefone de contato');
INSERT INTO `lang_definitions` VALUES (89588, 2127, 18, 'Número de telefone');
INSERT INTO `lang_definitions` VALUES (89589, 2128, 18, 'Relacionamento de contato');
INSERT INTO `lang_definitions` VALUES (89590, 2129, 18, 'Entre em contato com ZMG, LLC (zmghealth@gmail.com) para assinar o serviço eRx');
INSERT INTO `lang_definitions` VALUES (89591, 2130, 18, 'Contatos');
INSERT INTO `lang_definitions` VALUES (89592, 2131, 18, 'contêm pelo menos três dos quatro itens a seguir:');
INSERT INTO `lang_definitions` VALUES (89593, 2132, 18, 'Nome do grupo de contêineres');
INSERT INTO `lang_definitions` VALUES (89594, 2133, 18, 'Conteúdo');
INSERT INTO `lang_definitions` VALUES (89595, 2134, 18, 'conteúdo');
INSERT INTO `lang_definitions` VALUES (89596, 2135, 18, 'Conteúdo');
INSERT INTO `lang_definitions` VALUES (89597, 2136, 18, 'Contexto');
INSERT INTO `lang_definitions` VALUES (89598, 2137, 18, 'O nome do contexto não pode estar vazio');
INSERT INTO `lang_definitions` VALUES (89599, 2138, 18, 'Continue');
INSERT INTO `lang_definitions` VALUES (89600, 2141, 18, 'Documento de Continuidade de Cuidados');
INSERT INTO `lang_definitions` VALUES (89601, 2142, 18, 'Documento de Registro de Acompanhamento (DRA)');
INSERT INTO `lang_definitions` VALUES (89602, 2143, 18, 'O Documento de Continuidade de Cuidados (CCD) é um documento eletrônico que contém informações específicas do paciente');
INSERT INTO `lang_definitions` VALUES (89603, 2144, 18, 'O Documento de Continuidade de Cuidados (CCD) deve ser criado na conclusão de um encontro antes da transferência de cuidados para permitir que o próximo provedor acesse facilmente a tais informações');
INSERT INTO `lang_definitions` VALUES (89604, 2145, 18, 'Registro de Acompanhamento Continuado (RAC)');
INSERT INTO `lang_definitions` VALUES (89605, 2146, 18, 'Contra clientes');
INSERT INTO `lang_definitions` VALUES (89606, 2147, 18, 'Contracepção');
INSERT INTO `lang_definitions` VALUES (89607, 2148, 18, 'Questões Contracepção');
INSERT INTO `lang_definitions` VALUES (89608, 2149, 18, 'Anticoncepcionais Complicação (especificar)');
INSERT INTO `lang_definitions` VALUES (89609, 2150, 18, 'Método Anticoncepcional');
INSERT INTO `lang_definitions` VALUES (89610, 2151, 18, 'Produtos Contraceptivos');
INSERT INTO `lang_definitions` VALUES (89611, 2152, 18, 'Serviços de contracepção já iniciados');
INSERT INTO `lang_definitions` VALUES (89612, 2153, 18, 'Iniciar Contraceptivos');
INSERT INTO `lang_definitions` VALUES (89613, 2154, 18, 'Acuidade de contraste');
INSERT INTO `lang_definitions` VALUES (89614, 2155, 18, 'Teste de acuidade de contraste');
INSERT INTO `lang_definitions` VALUES (89615, 2156, 18, 'Contrastart');
INSERT INTO `lang_definitions` VALUES (89616, 2157, 18, 'Contraste {{Contraste Acuidade Visual}}');
INSERT INTO `lang_definitions` VALUES (89617, 2158, 18, 'ID de Controle');
INSERT INTO `lang_definitions` VALUES (89618, 2159, 18, 'Nº de Controle');
INSERT INTO `lang_definitions` VALUES (89619, 2160, 18, 'Substância controlada?');
INSERT INTO `lang_definitions` VALUES (89620, 2161, 18, 'Convergência');
INSERT INTO `lang_definitions` VALUES (89621, 2162, 18, 'Amperes de Convergência');
INSERT INTO `lang_definitions` VALUES (89622, 2163, 18, 'Conversação');
INSERT INTO `lang_definitions` VALUES (89623, 2164, 18, 'Conversa de');
INSERT INTO `lang_definitions` VALUES (89624, 2165, 18, 'Converta um objeto JavaScript em uma string JSON e envie-o ao servidor');
INSERT INTO `lang_definitions` VALUES (89625, 2166, 18, 'Converter entre cilindro positivo e negativo');
INSERT INTO `lang_definitions` VALUES (89626, 2167, 18, 'Conselheiros Coordenadores');
INSERT INTO `lang_definitions` VALUES (89627, 2168, 18, 'Cooparticipação');
INSERT INTO `lang_definitions` VALUES (89628, 2169, 18, 'Co-Pgto');
INSERT INTO `lang_definitions` VALUES (89629, 2170, 18, 'Co-Pgto');
INSERT INTO `lang_definitions` VALUES (89630, 2171, 18, 'Co-Pgto não positivo');
INSERT INTO `lang_definitions` VALUES (89631, 2172, 18, 'Copay pago');
INSERT INTO `lang_definitions` VALUES (89632, 2173, 18, 'Co-Pgtos');
INSERT INTO `lang_definitions` VALUES (89633, 2174, 18, 'DPOC');
INSERT INTO `lang_definitions` VALUES (89634, 2175, 18, 'Copiar páginas para Paciente Gráfico');
INSERT INTO `lang_definitions` VALUES (89635, 2176, 18, 'Copie esses valores para a visita atual');
INSERT INTO `lang_definitions` VALUES (89636, 2177, 18, 'Copiar Valores');
INSERT INTO `lang_definitions` VALUES (89637, 2178, 18, 'Copiando Arquivo da Base de Dados. Isto pode levar algum tempo...');
INSERT INTO `lang_definitions` VALUES (89638, 2179, 18, 'Nota de Direitos Autorais');
INSERT INTO `lang_definitions` VALUES (89639, 2180, 18, 'Doença de Cor');
INSERT INTO `lang_definitions` VALUES (89640, 2181, 18, 'núcleo');
INSERT INTO `lang_definitions` VALUES (89641, 2182, 18, 'Córnea');
INSERT INTO `lang_definitions` VALUES (89642, 2183, 18, 'córnico');
INSERT INTO `lang_definitions` VALUES (89643, 2184, 18, 'Artéria Coronária Bypass');
INSERT INTO `lang_definitions` VALUES (89644, 2185, 18, 'Enxerto de Revascularização da Artéria Coronária (CRM)');
INSERT INTO `lang_definitions` VALUES (89645, 2186, 18, 'Conectado');
INSERT INTO `lang_definitions` VALUES (89646, 2187, 18, 'corso');
INSERT INTO `lang_definitions` VALUES (89647, 2188, 18, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (89648, 2189, 18, 'CouchDB conexão falhou.');
INSERT INTO `lang_definitions` VALUES (89649, 2191, 18, 'CouchDB - Banco de Dados');
INSERT INTO `lang_definitions` VALUES (89650, 2192, 18, 'CouchDB - Nome do Banco de Dados');
INSERT INTO `lang_definitions` VALUES (89651, 2193, 18, 'Registo de Erros do Couchdb');
INSERT INTO `lang_definitions` VALUES (89652, 2194, 18, 'O registro de erros do CouchDB está vazio');
INSERT INTO `lang_definitions` VALUES (89653, 2195, 18, 'CouchDB - Host');
INSERT INTO `lang_definitions` VALUES (89654, 2196, 18, 'CouchDB - Nome do Host');
INSERT INTO `lang_definitions` VALUES (89655, 2197, 18, 'CouchDB - Ativar Log');
INSERT INTO `lang_definitions` VALUES (89656, 2198, 18, 'CouchDB - Senha');
INSERT INTO `lang_definitions` VALUES (89657, 2199, 18, 'CouchDB - Porta');
INSERT INTO `lang_definitions` VALUES (89658, 2200, 18, 'CouchDB - Porta');
INSERT INTO `lang_definitions` VALUES (89659, 2201, 18, 'Falha ao salvar CouchDB');
INSERT INTO `lang_definitions` VALUES (89660, 2203, 18, 'CouchDB - Nome do Usuário');
INSERT INTO `lang_definitions` VALUES (89661, 2204, 18, 'Tosse');
INSERT INTO `lang_definitions` VALUES (89662, 2205, 18, 'Tosse:');
INSERT INTO `lang_definitions` VALUES (89663, 2206, 18, 'não pode conectar ao servidor');
INSERT INTO `lang_definitions` VALUES (89664, 2207, 18, 'Não foi possível encontrar a tabela RxNorm! Por favor instale');
INSERT INTO `lang_definitions` VALUES (89665, 2208, 18, 'Não foi possível importar o documento. Entre em contato com o fornecedor de EMR');
INSERT INTO `lang_definitions` VALUES (89666, 2210, 18, 'não conseguiu abrir a mesa');
INSERT INTO `lang_definitions` VALUES (89667, 2211, 18, 'Não foi possível ler o arquivo');
INSERT INTO `lang_definitions` VALUES (89668, 2212, 18, 'Não foi possível ler o arquivo');
INSERT INTO `lang_definitions` VALUES (89669, 2214, 18, 'Não foi possível enviar e-mail devido a um problema de servidor,');
INSERT INTO `lang_definitions` VALUES (89670, 2215, 18, 'Não foi possível enviar e-mail devido a um problema no servidor');
INSERT INTO `lang_definitions` VALUES (89671, 2216, 18, 'Não foi possível enviar e-mail devido a um problema de servidor.');
INSERT INTO `lang_definitions` VALUES (89672, 2217, 18, 'Não foi possível criar pasta de Backup:');
INSERT INTO `lang_definitions` VALUES (89673, 2218, 18, 'Não foi possível excluir pasta:');
INSERT INTO `lang_definitions` VALUES (89674, 2219, 18, 'Não foi possível excluir arquivo antigo de backup:');
INSERT INTO `lang_definitions` VALUES (89675, 2220, 18, 'Não foi possível excluir arquivo antigo exportado:');
INSERT INTO `lang_definitions` VALUES (89676, 2221, 18, 'Gestão Coumadin - Monitoramento INR');
INSERT INTO `lang_definitions` VALUES (89677, 2222, 18, 'Aconselhamento por Método');
INSERT INTO `lang_definitions` VALUES (89678, 2223, 18, 'Aconselhamento');
INSERT INTO `lang_definitions` VALUES (89679, 2224, 18, 'Atividades de aconselhamento');
INSERT INTO `lang_definitions` VALUES (89680, 2225, 18, 'Conselheiros(masculino)');
INSERT INTO `lang_definitions` VALUES (89681, 2226, 18, 'Formulário de contra-referência');
INSERT INTO `lang_definitions` VALUES (89682, 2227, 18, 'CONTADOR NO FORMULÁRIO');
INSERT INTO `lang_definitions` VALUES (89683, 2228, 18, 'Contra-referência');
INSERT INTO `lang_definitions` VALUES (89684, 2229, 18, 'País');
INSERT INTO `lang_definitions` VALUES (89685, 2230, 18, 'Código do país');
INSERT INTO `lang_definitions` VALUES (89686, 2231, 18, 'País - Tipo de dados');
INSERT INTO `lang_definitions` VALUES (89687, 2232, 18, 'País - Lista');
INSERT INTO `lang_definitions` VALUES (89688, 2233, 18, 'Lista de Países (escrever, adicionar somente opcional)');
INSERT INTO `lang_definitions` VALUES (89689, 2234, 18, 'Lista de países (escrita, opcionalmente adicional) (país)');
INSERT INTO `lang_definitions` VALUES (89690, 2235, 18, 'Nome do País deve ser representado por duas letras (Ex: Brasil = BR)');
INSERT INTO `lang_definitions` VALUES (89691, 2236, 18, 'município');
INSERT INTO `lang_definitions` VALUES (89692, 2237, 18, 'Município');
INSERT INTO `lang_definitions` VALUES (89693, 2238, 18, 'Cupom');
INSERT INTO `lang_definitions` VALUES (89694, 2239, 18, 'Curso');
INSERT INTO `lang_definitions` VALUES (89695, 2240, 18, 'Primo');
INSERT INTO `lang_definitions` VALUES (89696, 2241, 18, 'Nível de Cobertura');
INSERT INTO `lang_definitions` VALUES (89697, 2242, 18, 'Período de cobertura');
INSERT INTO `lang_definitions` VALUES (89698, 2243, 18, 'Tipo de Cobertura');
INSERT INTO `lang_definitions` VALUES (89699, 2244, 18, 'CPOE');
INSERT INTO `lang_definitions` VALUES (89700, 2245, 18, 'CPT');
INSERT INTO `lang_definitions` VALUES (89701, 2246, 18, 'Código CPT');
INSERT INTO `lang_definitions` VALUES (89702, 2247, 18, 'Códigos de CPT');
INSERT INTO `lang_definitions` VALUES (89703, 2248, 18, 'Procedimento / Serviço CPT4');
INSERT INTO `lang_definitions` VALUES (89704, 2249, 18, 'Medidas de desempenho CPT II');
INSERT INTO `lang_definitions` VALUES (89705, 2250, 18, 'CQM');
INSERT INTO `lang_definitions` VALUES (89706, 2251, 18, 'CR (Wet)');
INSERT INTO `lang_definitions` VALUES (89707, 2252, 18, 'Crepitações:');
INSERT INTO `lang_definitions` VALUES (89708, 2253, 18, 'Nervo Craniano 5: Nervo Trigêmeo');
INSERT INTO `lang_definitions` VALUES (89709, 2254, 18, 'Nervo Craniano 7: Nervo Facial');
INSERT INTO `lang_definitions` VALUES (89710, 2255, 18, 'creme');
INSERT INTO `lang_definitions` VALUES (89711, 2256, 18, 'Crie um certificado SSL do lado do cliente para cada usuário ou máquina cliente.');
INSERT INTO `lang_definitions` VALUES (89712, 2257, 18, 'Crie um certificado SSL do lado do cliente para um usuário ou um nome de host cliente.');
INSERT INTO `lang_definitions` VALUES (89713, 2258, 18, 'CRIAR UMA CONTRA-REFERÊNCIA');
INSERT INTO `lang_definitions` VALUES (89714, 2259, 18, 'Crie um lembrete datado');
INSERT INTO `lang_definitions` VALUES (89715, 2260, 18, 'CRIE UM LOCAL PARA OS RESULTADOS');
INSERT INTO `lang_definitions` VALUES (89716, 2261, 18, 'Crie uma nova pista');
INSERT INTO `lang_definitions` VALUES (89717, 2262, 18, 'CRIAR UMA REFERÊNCIA');
INSERT INTO `lang_definitions` VALUES (89718, 2263, 18, 'Crie um lembrete para agendar uma visita futura');
INSERT INTO `lang_definitions` VALUES (89719, 2265, 18, 'CRIE UM TIPO DE TRANSAÇÃO SIMPLES');
INSERT INTO `lang_definitions` VALUES (89720, 2266, 18, 'Crie uma planilha no openoffice / LibreOffice, tenha 5 colunas - Código CPT, Descrição, Padrão, Cartão de Crédito e Dinheiro. Preencha os valores. A partir desta planilha, copie e cole manualmente os valores via Administração> Códigos');
INSERT INTO `lang_definitions` VALUES (89721, 2267, 18, 'CRIE UM GRUPO PERSONALIZADO DE NÍVEL SUPERIOR');
INSERT INTO `lang_definitions` VALUES (89722, 2268, 18, 'CRIAR UMA ENTRADA DE NÍVEL SUPERIOR');
INSERT INTO `lang_definitions` VALUES (89723, 2269, 18, 'Criar um Evento');
INSERT INTO `lang_definitions` VALUES (89724, 2270, 18, 'CRIE UM PEDIDO');
INSERT INTO `lang_definitions` VALUES (89725, 2271, 18, 'Crie um pedido para um painel de testes');
INSERT INTO `lang_definitions` VALUES (89726, 2272, 18, 'Crie um pedido para um único teste');
INSERT INTO `lang_definitions` VALUES (89727, 2273, 18, 'Criar e fazer download de um backup completo');
INSERT INTO `lang_definitions` VALUES (89728, 2274, 18, 'Criar e modificar trilhas');
INSERT INTO `lang_definitions` VALUES (89729, 2275, 18, 'Criar backup');
INSERT INTO `lang_definitions` VALUES (89730, 2276, 18, 'Criar lote');
INSERT INTO `lang_definitions` VALUES (89731, 2277, 18, 'Criar Certificado de Cliente');
INSERT INTO `lang_definitions` VALUES (89732, 2278, 18, 'Criar certificados SSL do lado do cliente');
INSERT INTO `lang_definitions` VALUES (89733, 2279, 18, 'Crie uma lista branca personalizada de tipo de conteúdo MIME de um arquivo para proteger seu sistema de documentos');
INSERT INTO `lang_definitions` VALUES (89734, 2280, 18, 'Criar Data');
INSERT INTO `lang_definitions` VALUES (89735, 2281, 18, 'Criar Duplicado');
INSERT INTO `lang_definitions` VALUES (89736, 2282, 18, 'Criar Encontro');
INSERT INTO `lang_definitions` VALUES (89737, 2283, 18, 'Criar backup de log de eventos');
INSERT INTO `lang_definitions` VALUES (89738, 2285, 18, 'Criar uma nova questão');
INSERT INTO `lang_definitions` VALUES (89739, 2286, 18, 'Criar Nova Mensagem');
INSERT INTO `lang_definitions` VALUES (89740, 2287, 18, 'Criar novo paciente');
INSERT INTO `lang_definitions` VALUES (89741, 2288, 18, 'Criar nova pista');
INSERT INTO `lang_definitions` VALUES (89742, 2289, 18, 'Criar nova transação');
INSERT INTO `lang_definitions` VALUES (89743, 2290, 18, 'Criar Portal Credenciais Offsite');
INSERT INTO `lang_definitions` VALUES (89744, 2291, 18, 'Criar credenciais de portal online');
INSERT INTO `lang_definitions` VALUES (89745, 2292, 18, 'Criar Portal Credenciais Onsite');
INSERT INTO `lang_definitions` VALUES (89746, 2293, 18, 'Criar Paciente');
INSERT INTO `lang_definitions` VALUES (89747, 2294, 18, 'Criar Observação do Paciente');
INSERT INTO `lang_definitions` VALUES (89748, 2295, 18, 'CRIAR OS PEDIDOS PERSONALIZADOS');
INSERT INTO `lang_definitions` VALUES (89749, 2296, 18, 'Criar o Certificado SSL e certificados de servidor.');
INSERT INTO `lang_definitions` VALUES (89750, 2297, 18, 'Nova Consulta');
INSERT INTO `lang_definitions` VALUES (89751, 2298, 18, 'Criado');
INSERT INTO `lang_definitions` VALUES (89752, 2299, 18, 'Cria um relatório que contém várias seções do prontuário do paciente');
INSERT INTO `lang_definitions` VALUES (89753, 2300, 18, 'Criação de um grupo de favoritos personalizados para solicitar testes frequentemente solicitados juntos');
INSERT INTO `lang_definitions` VALUES (89754, 2301, 18, 'Criação de um grupo personalizado de testes como favoritos');
INSERT INTO `lang_definitions` VALUES (89755, 2302, 18, 'CRIANDO UM NOVO LEMBRETE DATADO');
INSERT INTO `lang_definitions` VALUES (89756, 2303, 18, 'CRIANDO UMA NOVA MENSAGEM');
INSERT INTO `lang_definitions` VALUES (89757, 2304, 18, 'Criação e gerenciamento de encontros');
INSERT INTO `lang_definitions` VALUES (89758, 2305, 18, 'Criando assim mesmo');
INSERT INTO `lang_definitions` VALUES (89759, 2306, 18, 'Criando arquivo de exportação');
INSERT INTO `lang_definitions` VALUES (89760, 2307, 18, 'Falha ao criar nova pista');
INSERT INTO `lang_definitions` VALUES (89761, 2308, 18, 'A criação deste arquivo no host remoto falhou');
INSERT INTO `lang_definitions` VALUES (89762, 2309, 18, 'Criador');
INSERT INTO `lang_definitions` VALUES (89763, 2311, 18, 'crédito');
INSERT INTO `lang_definitions` VALUES (89764, 2312, 18, 'Cartão de Crédito');
INSERT INTO `lang_definitions` VALUES (89765, 2313, 18, 'Cartão de crédito ou débito');
INSERT INTO `lang_definitions` VALUES (89766, 2314, 18, 'Créditos');
INSERT INTO `lang_definitions` VALUES (89767, 2315, 18, 'Cree');
INSERT INTO `lang_definitions` VALUES (89768, 2316, 18, 'Critérios');
INSERT INTO `lang_definitions` VALUES (89769, 2318, 18, 'croata');
INSERT INTO `lang_definitions` VALUES (89770, 2319, 18, 'Doença de Crohn');
INSERT INTO `lang_definitions` VALUES (89771, 2320, 18, 'Doença de Crohn');
INSERT INTO `lang_definitions` VALUES (89772, 2321, 18, 'CR {{Refração cicloplégica}}');
INSERT INTO `lang_definitions` VALUES (89773, 2322, 18, 'CSV');
INSERT INTO `lang_definitions` VALUES (89774, 2323, 18, 'Exportar CSV');
INSERT INTO `lang_definitions` VALUES (89775, 2324, 18, 'Arquivo CSV');
INSERT INTO `lang_definitions` VALUES (89776, 2325, 18, 'Tabelas CSV');
INSERT INTO `lang_definitions` VALUES (89777, 2326, 18, 'CSV para a tabela calendar_external.');
INSERT INTO `lang_definitions` VALUES (89778, 2327, 18, 'CTL');
INSERT INTO `lang_definitions` VALUES (89779, 2328, 18, 'CTL {{Visão da lente de contato}}');
INSERT INTO `lang_definitions` VALUES (89780, 2329, 18, 'CTL {{lentes de contato}}');
INSERT INTO `lang_definitions` VALUES (89781, 2330, 18, 'CU.MM');
INSERT INTO `lang_definitions` VALUES (89782, 2331, 18, 'Cubano');
INSERT INTO `lang_definitions` VALUES (89783, 2332, 18, 'copo');
INSERT INTO `lang_definitions` VALUES (89784, 2333, 18, 'Moeda - Casas Decimais');
INSERT INTO `lang_definitions` VALUES (89785, 2334, 18, 'Moeda - Separador Decimal');
INSERT INTO `lang_definitions` VALUES (89786, 2335, 18, 'Moeda - Símbolos Monetário');
INSERT INTO `lang_definitions` VALUES (89787, 2336, 18, 'Moeda - Separador Milhar');
INSERT INTO `lang_definitions` VALUES (89788, 2337, 18, 'Atual');
INSERT INTO `lang_definitions` VALUES (89789, 2338, 18, 'Atual - Etilismo');
INSERT INTO `lang_definitions` VALUES (89790, 2339, 18, 'Método de autenticação atual para');
INSERT INTO `lang_definitions` VALUES (89791, 2340, 18, 'Método de autenticação atual para o usuário conectado');
INSERT INTO `lang_definitions` VALUES (89792, 2341, 18, 'Atual - Consulta');
INSERT INTO `lang_definitions` VALUES (89793, 2342, 18, 'Atual - Critérios');
INSERT INTO `lang_definitions` VALUES (89794, 2343, 18, 'Dia atual');
INSERT INTO `lang_definitions` VALUES (89795, 2344, 18, 'Atual - Pigmetação Cutânea');
INSERT INTO `lang_definitions` VALUES (89796, 2345, 18, 'Atual - Fumante Diário');
INSERT INTO `lang_definitions` VALUES (89797, 2346, 18, 'Medicamentos para os olhos atuais');
INSERT INTO `lang_definitions` VALUES (89798, 2347, 18, 'Nome do arquivo atual foi alterado para');
INSERT INTO `lang_definitions` VALUES (89799, 2348, 18, 'Óculos atuais');
INSERT INTO `lang_definitions` VALUES (89800, 2349, 18, 'Hash atual');
INSERT INTO `lang_definitions` VALUES (89801, 2350, 18, 'Atual - Localização');
INSERT INTO `lang_definitions` VALUES (89802, 2351, 18, 'Current Logged in User');
INSERT INTO `lang_definitions` VALUES (89803, 2352, 18, 'Atual - Medicamentos');
INSERT INTO `lang_definitions` VALUES (89804, 2354, 18, 'Atual - Senha');
INSERT INTO `lang_definitions` VALUES (89805, 2356, 18, 'Atual - Paciente');
INSERT INTO `lang_definitions` VALUES (89806, 2357, 18, 'Paciente atual indisponível aqui. Use documentos do paciente');
INSERT INTO `lang_definitions` VALUES (89807, 2358, 18, 'Provedor Atual');
INSERT INTO `lang_definitions` VALUES (89808, 2359, 18, 'Somente Pt Atual');
INSERT INTO `lang_definitions` VALUES (89809, 2360, 18, 'Destinatários Atuais');
INSERT INTO `lang_definitions` VALUES (89810, 2361, 18, 'Atual - Drogas recreativas');
INSERT INTO `lang_definitions` VALUES (89811, 2362, 18, 'RX atual');
INSERT INTO `lang_definitions` VALUES (89812, 2363, 18, 'Atual - Fumante Esporádico');
INSERT INTO `lang_definitions` VALUES (89813, 2364, 18, 'Status atual');
INSERT INTO `lang_definitions` VALUES (89814, 2365, 18, 'Situação Atual');
INSERT INTO `lang_definitions` VALUES (89815, 2366, 18, 'Objetivo Atual');
INSERT INTO `lang_definitions` VALUES (89816, 2368, 18, 'Usuário atual');
INSERT INTO `lang_definitions` VALUES (89817, 2369, 18, 'Valor atual');
INSERT INTO `lang_definitions` VALUES (89818, 2371, 18, 'Atualmente Ativo');
INSERT INTO `lang_definitions` VALUES (89819, 2372, 18, 'Atualmente ocupado');
INSERT INTO `lang_definitions` VALUES (89820, 2374, 18, 'Atualmente offline');
INSERT INTO `lang_definitions` VALUES (89821, 2375, 18, 'Atualmente em execução');
INSERT INTO `lang_definitions` VALUES (89822, 2376, 18, 'Atualmente, existem 5 tipos de transações no OpenEMR');
INSERT INTO `lang_definitions` VALUES (89823, 2377, 18, 'Atualmente não há instalações');
INSERT INTO `lang_definitions` VALUES (89824, 2378, 18, 'Atualmente trabalhando para fazer este documento');
INSERT INTO `lang_definitions` VALUES (89825, 2379, 18, 'Síndrome de Cushing');
INSERT INTO `lang_definitions` VALUES (89826, 2380, 18, 'Síndrome de Cushing');
INSERT INTO `lang_definitions` VALUES (89827, 2381, 18, 'Centro de cuidados de custódia');
INSERT INTO `lang_definitions` VALUES (89828, 2382, 18, 'Custodiante');
INSERT INTO `lang_definitions` VALUES (89829, 2383, 18, 'Personalizado');
INSERT INTO `lang_definitions` VALUES (89830, 2384, 18, 'Número de telefone de faturamento personalizado');
INSERT INTO `lang_definitions` VALUES (89831, 2385, 18, 'Grupo favorito personalizado - para agrupar testes individuais');
INSERT INTO `lang_definitions` VALUES (89832, 2386, 18, 'Grupo favorito personalizado> Item favorito personalizado> Resultados discretos');
INSERT INTO `lang_definitions` VALUES (89833, 2387, 18, 'Grupo favorito personalizado e Item favorito personalizado são usados para criar grupos personalizados de pedidos');
INSERT INTO `lang_definitions` VALUES (89834, 2388, 18, 'Item favorito personalizado - para pedidos ou testes individuais');
INSERT INTO `lang_definitions` VALUES (89835, 2389, 18, 'Saudação Personalizada');
INSERT INTO `lang_definitions` VALUES (89836, 2390, 18, 'Entrada Personalizada?');
INSERT INTO `lang_definitions` VALUES (89837, 2391, 18, 'Pedido personalizado');
INSERT INTO `lang_definitions` VALUES (89838, 2393, 18, 'Mensagem de Declaração Personalizada');
INSERT INTO `lang_definitions` VALUES (89839, 2394, 18, 'Subgrupo Personalizado');
INSERT INTO `lang_definitions` VALUES (89840, 2395, 18, 'Tabela Personalizada');
INSERT INTO `lang_definitions` VALUES (89841, 2396, 18, 'Texto personalizado para cartões postais do Flow Board. Depois de alterar o texto, imprima as mostras antes de imprimir quantidades em massa!');
INSERT INTO `lang_definitions` VALUES (89842, 2397, 18, 'Grupo Principal Personalizado');
INSERT INTO `lang_definitions` VALUES (89843, 2398, 18, 'Personalize a Folha de Taxas');
INSERT INTO `lang_definitions` VALUES (89844, 2399, 18, 'Personalize o formulário de transação');
INSERT INTO `lang_definitions` VALUES (89845, 2400, 18, 'CVV');
INSERT INTO `lang_definitions` VALUES (89846, 2401, 18, 'Código Cvx');
INSERT INTO `lang_definitions` VALUES (89847, 2402, 18, 'Código CVX');
INSERT INTO `lang_definitions` VALUES (89848, 2403, 18, 'Mapeamento de Código CVX');
INSERT INTO `lang_definitions` VALUES (89849, 2404, 18, 'Imunização CVX');
INSERT INTO `lang_definitions` VALUES (89850, 2405, 18, 'CV {{Cardiovascular}}');
INSERT INTO `lang_definitions` VALUES (89851, 2406, 18, 'Período');
INSERT INTO `lang_definitions` VALUES (89852, 2407, 18, 'Cyiclo 1%');
INSERT INTO `lang_definitions` VALUES (89853, 2408, 18, 'CycloMydril');
INSERT INTO `lang_definitions` VALUES (89854, 2409, 18, 'Refração cicloplégica (úmida)');
INSERT INTO `lang_definitions` VALUES (89855, 2410, 18, 'Cyl{{Cilindro}}');
INSERT INTO `lang_definitions` VALUES (89856, 2411, 18, 'Cyl{{Cilindro}}');
INSERT INTO `lang_definitions` VALUES (89857, 2412, 18, 'CYP');
INSERT INTO `lang_definitions` VALUES (89858, 2413, 18, 'Fator CYP');
INSERT INTO `lang_definitions` VALUES (89859, 2414, 18, 'Relatório CYP');
INSERT INTO `lang_definitions` VALUES (89860, 2415, 18, 'Tcheco');
INSERT INTO `lang_definitions` VALUES (89861, 2416, 18, 'D');
INSERT INTO `lang_definitions` VALUES (89862, 2417, 18, 'D & C');
INSERT INTO `lang_definitions` VALUES (89863, 2418, 18, 'D & E');
INSERT INTO `lang_definitions` VALUES (89864, 2419, 18, 'D&V Full OU{{Ductions e versões preenchem ambos os olhos}}');
INSERT INTO `lang_definitions` VALUES (89865, 2420, 18, 'Data Nascimento');
INSERT INTO `lang_definitions` VALUES (89866, 2421, 18, 'diário');
INSERT INTO `lang_definitions` VALUES (89867, 2422, 18, 'Registro diário');
INSERT INTO `lang_definitions` VALUES (89868, 2423, 18, 'Relatório diário');
INSERT INTO `lang_definitions` VALUES (89869, 2424, 18, 'Relatório de resumo diário');
INSERT INTO `lang_definitions` VALUES (89870, 2425, 18, 'Dinamarquês');
INSERT INTO `lang_definitions` VALUES (89871, 2426, 18, 'painel de controle');
INSERT INTO `lang_definitions` VALUES (89872, 2427, 18, 'Dashboard - resume todas as informações relacionadas ao paciente');
INSERT INTO `lang_definitions` VALUES (89873, 2428, 18, 'Painel de controle {{arquivo do paciente}}');
INSERT INTO `lang_definitions` VALUES (89874, 2429, 18, 'Dados idênticos já estão no banco de dados, altere o código e/ou descrição');
INSERT INTO `lang_definitions` VALUES (89875, 2430, 18, 'Dados idênticos já estão no banco de dados, altere o nome da constante');
INSERT INTO `lang_definitions` VALUES (89876, 2431, 18, 'Dados Cols');
INSERT INTO `lang_definitions` VALUES (89877, 2432, 18, 'Dado entrante');
INSERT INTO `lang_definitions` VALUES (89878, 2433, 18, 'Entrada de dados - Número da Segurança Social');
INSERT INTO `lang_definitions` VALUES (89879, 2434, 18, 'Erro de Dados');
INSERT INTO `lang_definitions` VALUES (89880, 2435, 18, 'Dados de');
INSERT INTO `lang_definitions` VALUES (89881, 2436, 18, 'A integridade dos dados foi comprometida');
INSERT INTO `lang_definitions` VALUES (89882, 2437, 18, 'dados de todos os encontros até agora');
INSERT INTO `lang_definitions` VALUES (89883, 2438, 18, 'Seção de Dados');
INSERT INTO `lang_definitions` VALUES (89884, 2439, 18, 'Tipo de Dados');
INSERT INTO `lang_definitions` VALUES (89885, 2440, 18, 'Banco de Dados');
INSERT INTO `lang_definitions` VALUES (89886, 2442, 18, 'Banco de dados não está instalado.');
INSERT INTO `lang_definitions` VALUES (89887, 2443, 18, 'Nome do banco de dados');
INSERT INTO `lang_definitions` VALUES (89888, 2444, 18, 'Patch do Banco de Dados');
INSERT INTO `lang_definitions` VALUES (89889, 2445, 18, 'Relatório de Banco de Dados');
INSERT INTO `lang_definitions` VALUES (89890, 2446, 18, 'Relatórios de banco de dados (banco de dados)');
INSERT INTO `lang_definitions` VALUES (89891, 2447, 18, 'Atualização do banco de dados concluída.');
INSERT INTO `lang_definitions` VALUES (89892, 2448, 18, 'DataCols deve ser um número entre 1 e 999');
INSERT INTO `lang_definitions` VALUES (89893, 2449, 18, 'Data');
INSERT INTO `lang_definitions` VALUES (89894, 2450, 18, 'DATA');
INSERT INTO `lang_definitions` VALUES (89895, 2451, 18, 'Data & Hora Administrado');
INSERT INTO `lang_definitions` VALUES (89896, 2452, 18, 'Data / hora');
INSERT INTO `lang_definitions` VALUES (89897, 2453, 18, 'Data Administrado');
INSERT INTO `lang_definitions` VALUES (89898, 2454, 18, 'Data e hora da coleta de amostras');
INSERT INTO `lang_definitions` VALUES (89899, 2455, 18, 'Data e hora da observação');
INSERT INTO `lang_definitions` VALUES (89900, 2456, 18, 'Data e hora deste relatório');
INSERT INTO `lang_definitions` VALUES (89901, 2457, 18, 'Data e hora em que a amostra foi coletada');
INSERT INTO `lang_definitions` VALUES (89902, 2458, 18, 'A data não pode ser maior do que hoje');
INSERT INTO `lang_definitions` VALUES (89903, 2459, 18, 'Data de serviços contraceptivos inicialmente previsto');
INSERT INTO `lang_definitions` VALUES (89904, 2460, 18, 'Data de Criação');
INSERT INTO `lang_definitions` VALUES (89905, 2461, 18, 'Data de Encerramento');
INSERT INTO `lang_definitions` VALUES (89906, 2462, 18, 'Data destruído');
INSERT INTO `lang_definitions` VALUES (89907, 2463, 18, 'Formato Data');
INSERT INTO `lang_definitions` VALUES (89908, 2464, 18, 'Formato de data para \"\"end nomeação \"\" não é válido');
INSERT INTO `lang_definitions` VALUES (89909, 2465, 18, 'Formato de data para \"\"start nomeação \"\" não é válido');
INSERT INTO `lang_definitions` VALUES (89910, 2466, 18, 'Formato de data para \"\"próximo compromisso \"\" não é válido');
INSERT INTO `lang_definitions` VALUES (89911, 2467, 18, 'Formato de data para \"\"não visto desde \"\" não é válido');
INSERT INTO `lang_definitions` VALUES (89912, 2468, 18, 'O formato de data para \"visto antes\" não é válido');
INSERT INTO `lang_definitions` VALUES (89913, 2469, 18, 'Formato de data para \"\"visita uma vez que \"\" não é válido');
INSERT INTO `lang_definitions` VALUES (89914, 2470, 18, 'Demonstrações Data de Vacinação informações fornecidas');
INSERT INTO `lang_definitions` VALUES (89915, 2471, 18, 'Data está faltando para o código');
INSERT INTO `lang_definitions` VALUES (89916, 2472, 18, 'Critérios de Dados Padrão');
INSERT INTO `lang_definitions` VALUES (89917, 2473, 18, 'Data de compromissos');
INSERT INTO `lang_definitions` VALUES (89918, 2474, 18, 'Data dos compromissos mm / dd / aaaa');
INSERT INTO `lang_definitions` VALUES (89919, 2475, 18, 'Data de depósito bancário aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (89920, 2476, 18, 'Data da Fatura');
INSERT INTO `lang_definitions` VALUES (89921, 2477, 18, 'Data de Nascimento');
INSERT INTO `lang_definitions` VALUES (89922, 2478, 18, 'Data de nascimento');
INSERT INTO `lang_definitions` VALUES (89923, 2479, 18, 'Data de Nascimento');
INSERT INTO `lang_definitions` VALUES (89924, 2480, 18, 'Data de Nascimento e Idade');
INSERT INTO `lang_definitions` VALUES (89925, 2481, 18, 'Data do Registro');
INSERT INTO `lang_definitions` VALUES (89926, 2482, 18, 'Data de saída');
INSERT INTO `lang_definitions` VALUES (89927, 2483, 18, 'Data de Lesão');
INSERT INTO `lang_definitions` VALUES (89928, 2484, 18, 'Data de Início');
INSERT INTO `lang_definitions` VALUES (89929, 2485, 18, 'Data de início ou hospitalização');
INSERT INTO `lang_definitions` VALUES (89930, 2486, 18, 'Data de início, cirurgia ou início da medicação');
INSERT INTO `lang_definitions` VALUES (89931, 2487, 18, 'Data de pagamento aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (89932, 2488, 18, 'Data de recuperação ou fim da medicação');
INSERT INTO `lang_definitions` VALUES (89933, 2489, 18, 'Data de envio');
INSERT INTO `lang_definitions` VALUES (89934, 2490, 18, 'Data de registro');
INSERT INTO `lang_definitions` VALUES (89935, 2491, 18, 'Data da Resposta');
INSERT INTO `lang_definitions` VALUES (89936, 2492, 18, 'Data do Relatório');
INSERT INTO `lang_definitions` VALUES (89937, 2493, 18, 'Data do Serviço');
INSERT INTO `lang_definitions` VALUES (89938, 2494, 18, 'Data de serviço');
INSERT INTO `lang_definitions` VALUES (89939, 2495, 18, 'Data do Serviço');
INSERT INTO `lang_definitions` VALUES (89940, 2496, 18, 'Data do Serviço = hoje');
INSERT INTO `lang_definitions` VALUES (89941, 2497, 18, 'A data do serviço é a data de hoje por padrão. Se necessário, pode ser alterado para qualquer data válida');
INSERT INTO `lang_definitions` VALUES (89942, 2498, 18, 'Data do Serviço mm/dd/aaaa');
INSERT INTO `lang_definitions` VALUES (89943, 2499, 18, 'Data do Serviço:');
INSERT INTO `lang_definitions` VALUES (89944, 2500, 18, 'Data de Assinatura');
INSERT INTO `lang_definitions` VALUES (89945, 2501, 18, 'Data da Mudança de Status');
INSERT INTO `lang_definitions` VALUES (89946, 2502, 18, 'Data desta carta');
INSERT INTO `lang_definitions` VALUES (89947, 2503, 18, 'Data deste pedido');
INSERT INTO `lang_definitions` VALUES (89948, 2504, 18, 'Data deste relatório');
INSERT INTO `lang_definitions` VALUES (89949, 2505, 18, 'Data da Declaração VIS');
INSERT INTO `lang_definitions` VALUES (89950, 2506, 18, 'Data do Pedido');
INSERT INTO `lang_definitions` VALUES (89951, 2507, 18, 'Intervalo de datas');
INSERT INTO `lang_definitions` VALUES (89952, 2508, 18, 'Seletor de Data');
INSERT INTO `lang_definitions` VALUES (89953, 2509, 18, 'Seletor de Data');
INSERT INTO `lang_definitions` VALUES (89954, 2510, 18, 'Data de Envio');
INSERT INTO `lang_definitions` VALUES (89955, 2511, 18, 'Data que a mensagem foi enviada');
INSERT INTO `lang_definitions` VALUES (89956, 2512, 18, 'Data hora');
INSERT INTO `lang_definitions` VALUES (89957, 2513, 18, 'O valor de data não pode ficar em branco.');
INSERT INTO `lang_definitions` VALUES (89958, 2514, 18, 'Data de apresentação do VIS');
INSERT INTO `lang_definitions` VALUES (89959, 2515, 18, 'Data VIS publicada');
INSERT INTO `lang_definitions` VALUES (89960, 2516, 18, 'Data / Appt');
INSERT INTO `lang_definitions` VALUES (89961, 2517, 18, 'Data do Exame / Comentários');
INSERT INTO `lang_definitions` VALUES (89962, 2518, 18, 'Data / Notas de Última');
INSERT INTO `lang_definitions` VALUES (89963, 2519, 18, 'Data/Hora');
INSERT INTO `lang_definitions` VALUES (89964, 2520, 18, 'Data:');
INSERT INTO `lang_definitions` VALUES (89965, 2522, 18, 'datado');
INSERT INTO `lang_definitions` VALUES (89966, 2523, 18, 'Log de Mensagem datada');
INSERT INTO `lang_definitions` VALUES (89967, 2524, 18, 'Lembretes datados');
INSERT INTO `lang_definitions` VALUES (89968, 2525, 18, 'Alertas máximos de lembretes datados para mostrar');
INSERT INTO `lang_definitions` VALUES (89969, 2526, 18, 'Dia');
INSERT INTO `lang_definitions` VALUES (89970, 2527, 18, 'dia');
INSERT INTO `lang_definitions` VALUES (89971, 2528, 18, 'dia atrás');
INSERT INTO `lang_definitions` VALUES (89972, 2529, 18, 'Relatório Diário');
INSERT INTO `lang_definitions` VALUES (89973, 2530, 18, 'Ver dia');
INSERT INTO `lang_definitions` VALUES (89974, 2531, 18, 'Dia(s)');
INSERT INTO `lang_definitions` VALUES (89975, 2532, 18, 'Dia (s) M-F');
INSERT INTO `lang_definitions` VALUES (89976, 2533, 18, 'dias');
INSERT INTO `lang_definitions` VALUES (89977, 2534, 18, 'Dias');
INSERT INTO `lang_definitions` VALUES (89978, 2535, 18, 'dias atrás');
INSERT INTO `lang_definitions` VALUES (89979, 2536, 18, 'Dias e Jogos Perdidos');
INSERT INTO `lang_definitions` VALUES (89980, 2537, 18, 'Dias da última Consulta');
INSERT INTO `lang_definitions` VALUES (89981, 2538, 18, 'Dias Perdidos');
INSERT INTO `lang_definitions` VALUES (89982, 2539, 18, 'dias de intervalo');
INSERT INTO `lang_definitions` VALUES (89983, 2540, 18, 'Dias da Semana');
INSERT INTO `lang_definitions` VALUES (89984, 2541, 18, 'Dias por coluna:');
INSERT INTO `lang_definitions` VALUES (89985, 2542, 18, 'Dias/Colunas');
INSERT INTO `lang_definitions` VALUES (89986, 2543, 18, 'Dias/Colunas:');
INSERT INTO `lang_definitions` VALUES (89987, 2544, 18, 'DB instalado');
INSERT INTO `lang_definitions` VALUES (89988, 2545, 18, 'DD/MM/AAAA');
INSERT INTO `lang_definitions` VALUES (89989, 2546, 18, 'De Identificação');
INSERT INTO `lang_definitions` VALUES (89990, 2547, 18, 'O processo de identificação está concluído');
INSERT INTO `lang_definitions` VALUES (89991, 2548, 18, 'O processo de identificação está em andamento');
INSERT INTO `lang_definitions` VALUES (89992, 2549, 18, 'O processo de identificação é iniciado e executado em segundo plano');
INSERT INTO `lang_definitions` VALUES (89993, 2550, 18, 'Os dados de identificação podem não estar completos');
INSERT INTO `lang_definitions` VALUES (89994, 2551, 18, 'Os arquivos de de-identificação serão salvos em');
INSERT INTO `lang_definitions` VALUES (89995, 2552, 18, 'DEA');
INSERT INTO `lang_definitions` VALUES (89996, 2553, 18, 'Número DEA');
INSERT INTO `lang_definitions` VALUES (89997, 2554, 18, 'número DEA');
INSERT INTO `lang_definitions` VALUES (89998, 2555, 18, 'Desativar');
INSERT INTO `lang_definitions` VALUES (89999, 2556, 18, 'Desativado');
INSERT INTO `lang_definitions` VALUES (90000, 2558, 18, 'Surdo');
INSERT INTO `lang_definitions` VALUES (90001, 2559, 18, 'Dívida');
INSERT INTO `lang_definitions` VALUES (90002, 2562, 18, 'Informações de Depuração');
INSERT INTO `lang_definitions` VALUES (90003, 2563, 18, 'RESULTADO DEPURARO');
INSERT INTO `lang_definitions` VALUES (90004, 2564, 18, 'Depurando');
INSERT INTO `lang_definitions` VALUES (90005, 2565, 18, 'Dec');
INSERT INTO `lang_definitions` VALUES (90006, 2566, 18, 'Falecido');
INSERT INTO `lang_definitions` VALUES (90007, 2567, 18, 'FALECIDO');
INSERT INTO `lang_definitions` VALUES (90008, 2568, 18, 'FALECIDO (1 dia atrás)');
INSERT INTO `lang_definitions` VALUES (90009, 2569, 18, 'FALECIDO (hoje)');
INSERT INTO `lang_definitions` VALUES (90010, 2570, 18, 'Data do falecimento');
INSERT INTO `lang_definitions` VALUES (90011, 2571, 18, 'A data do falecimento não deve ser posterior a hoje');
INSERT INTO `lang_definitions` VALUES (90012, 2572, 18, 'NOTIFICAÇÃO FALECIDA');
INSERT INTO `lang_definitions` VALUES (90013, 2573, 18, 'Motivo da morte');
INSERT INTO `lang_definitions` VALUES (90014, 2574, 18, 'Dezembro');
INSERT INTO `lang_definitions` VALUES (90015, 2575, 18, 'Decida as categorias de código e a ordem em que deseja que apareçam; elas serão exibidas nos botões da seção \'Selecionar códigos\'');
INSERT INTO `lang_definitions` VALUES (90016, 2576, 18, 'Decida sobre os códigos de identificação e os códigos padrão, lembre-se de que o código de identificação deve ser exclusivo para garantir a exibição adequada dos resultados');
INSERT INTO `lang_definitions` VALUES (90017, 2577, 18, 'Decida se você vai querer ou não solicitar testes individuais que façam parte de um painel de testes');
INSERT INTO `lang_definitions` VALUES (90018, 2578, 18, 'Decimais em libras e onças devem ser separados por # (por exemplo, 5#4)');
INSERT INTO `lang_definitions` VALUES (90019, 2579, 18, 'Recusou A Especificar');
INSERT INTO `lang_definitions` VALUES (90020, 2580, 18, 'Deduzível');
INSERT INTO `lang_definitions` VALUES (90021, 2581, 18, 'Met Deduzível');
INSERT INTO `lang_definitions` VALUES (90022, 2582, 18, 'profundo');
INSERT INTO `lang_definitions` VALUES (90023, 2583, 18, 'Padrão');
INSERT INTO `lang_definitions` VALUES (90024, 2584, 18, 'Padrão - Marque qualquer caixa de seleção e este valor aparecerá na caixa suspensa exibida como o valor padrão');
INSERT INTO `lang_definitions` VALUES (90025, 2585, 18, 'Ver Calendário (Padrão)');
INSERT INTO `lang_definitions` VALUES (90026, 2586, 18, 'Parceiro de elegibilidade padrão X12');
INSERT INTO `lang_definitions` VALUES (90027, 2587, 18, 'ID do formulário de encontro padrão');
INSERT INTO `lang_definitions` VALUES (90028, 2588, 18, 'Visualização de encontro padrão');
INSERT INTO `lang_definitions` VALUES (90029, 2589, 18, 'Clínica (Padrão)');
INSERT INTO `lang_definitions` VALUES (90030, 2590, 18, 'Fonte padrão');
INSERT INTO `lang_definitions` VALUES (90031, 2591, 18, 'Fonte padrão (é necessário fazer logout / login após alterar esta configuração)');
INSERT INTO `lang_definitions` VALUES (90032, 2592, 18, 'Tamanho de fonte padrão');
INSERT INTO `lang_definitions` VALUES (90033, 2593, 18, 'Tamanho de fonte padrão (é necessário fazer logout / login após alterar esta configuração)');
INSERT INTO `lang_definitions` VALUES (90034, 2594, 18, 'Idioma (Padrão)');
INSERT INTO `lang_definitions` VALUES (90035, 2595, 18, 'Idioma padrão caso nenhuma outra for permitida ou escolhida (Padrão).');
INSERT INTO `lang_definitions` VALUES (90036, 2596, 18, 'Margem de impressão esquerda padrão para CMS 1500');
INSERT INTO `lang_definitions` VALUES (90037, 2597, 18, 'Margem de impressão esquerda padrão para UB04');
INSERT INTO `lang_definitions` VALUES (90038, 2598, 18, 'Lista (Padrão) (escrever, adicionar opcional)');
INSERT INTO `lang_definitions` VALUES (90039, 2599, 18, 'Lista padrão (gravação, adicionalmente opcional ) (padrão)');
INSERT INTO `lang_definitions` VALUES (90040, 2600, 18, 'Método (Padrão)');
INSERT INTO `lang_definitions` VALUES (90041, 2601, 18, 'Período que Expira Senha (Padrão)');
INSERT INTO `lang_definitions` VALUES (90042, 2602, 18, 'Período que Expira Senha (Padrão). 0 significa desativar este recurso.');
INSERT INTO `lang_definitions` VALUES (90043, 2603, 18, 'País do Paciente (Padrão)');
INSERT INTO `lang_definitions` VALUES (90044, 2604, 18, 'País padrão do paciente enviado para NewCrop eRx, apenas se o país do paciente não estiver definido');
INSERT INTO `lang_definitions` VALUES (90045, 2605, 18, 'Nível de Preço Padrão');
INSERT INTO `lang_definitions` VALUES (90046, 2606, 18, 'Prioridade (Padrão)');
INSERT INTO `lang_definitions` VALUES (90047, 2607, 18, 'Provedor (Padrão)');
INSERT INTO `lang_definitions` VALUES (90048, 2608, 18, 'Provedor padrão alterado');
INSERT INTO `lang_definitions` VALUES (90049, 2609, 18, 'Intervalo (Padrão)');
INSERT INTO `lang_definitions` VALUES (90050, 2610, 18, 'Motivo da Visita (Padrão)');
INSERT INTO `lang_definitions` VALUES (90051, 2611, 18, 'Provedor de renderização padrão na folha de taxas');
INSERT INTO `lang_definitions` VALUES (90052, 2612, 18, 'Tipo de código de pesquisa padrão');
INSERT INTO `lang_definitions` VALUES (90053, 2613, 18, 'Segunda aba padrão');
INSERT INTO `lang_definitions` VALUES (90054, 2614, 18, 'Seleção padrão para provedor de renderização na folha de taxas');
INSERT INTO `lang_definitions` VALUES (90055, 2615, 18, 'Configuração (Padrão)');
INSERT INTO `lang_definitions` VALUES (90056, 2617, 18, 'Estado padrão da caixa de seleção Nova Janela na lista de pacientes');
INSERT INTO `lang_definitions` VALUES (90057, 2618, 18, 'Modelo Padrão');
INSERT INTO `lang_definitions` VALUES (90058, 2619, 18, 'Padrão para um fornecedor para item de linha na folha de taxas');
INSERT INTO `lang_definitions` VALUES (90059, 2620, 18, 'Padrão para um provedor para item de linha na folha de taxas. (Aplicável apenas se o faturamento de item de linha de suporte na opção acima)');
INSERT INTO `lang_definitions` VALUES (90060, 2621, 18, 'Padrão para o valor anterior');
INSERT INTO `lang_definitions` VALUES (90061, 2622, 18, 'Margem de impressão superior padrão para CMS 1500');
INSERT INTO `lang_definitions` VALUES (90062, 2623, 18, 'Margem de impressão superior padrão para UB04');
INSERT INTO `lang_definitions` VALUES (90063, 2624, 18, 'Unidades (Padrão)');
INSERT INTO `lang_definitions` VALUES (90064, 2625, 18, 'Unidades e intervalo padrão, conforme apropriado');
INSERT INTO `lang_definitions` VALUES (90065, 2626, 18, 'Valor (Padrão)');
INSERT INTO `lang_definitions` VALUES (90066, 2627, 18, 'Categoria de visita padrão');
INSERT INTO `lang_definitions` VALUES (90067, 2628, 18, 'Armazém Padrão');
INSERT INTO `lang_definitions` VALUES (90068, 2629, 18, 'Padrão X12 Partner');
INSERT INTO `lang_definitions` VALUES (90069, 2630, 18, 'Padrão/Global');
INSERT INTO `lang_definitions` VALUES (90070, 2631, 18, 'Padrão: Verificado. Quando marcada, as mensagens são processadas para pacientes com Escolha Demográfica do Paciente (Telefone / Texto / E-mail) definido como  \'Não atribuído \' ou  \'Sim \'. Se esta opção estiver desmarcada, um determinado tipo de mensagem só pode ser enviado se sua Escolha Demográfica =  \'Sim \'.');
INSERT INTO `lang_definitions` VALUES (90071, 2632, 18, 'Padrões');
INSERT INTO `lang_definitions` VALUES (90072, 2633, 18, 'Defina uma categoria de visita padrão');
INSERT INTO `lang_definitions` VALUES (90073, 2634, 18, 'Definir locais de serviço de laboratório');
INSERT INTO `lang_definitions` VALUES (90074, 2635, 18, 'Apagar');
INSERT INTO `lang_definitions` VALUES (90075, 2636, 18, 'apagar');
INSERT INTO `lang_definitions` VALUES (90076, 2637, 18, 'Atraso da Recorrência (> 12 Mo)');
INSERT INTO `lang_definitions` VALUES (90077, 2638, 18, 'Excluir');
INSERT INTO `lang_definitions` VALUES (90078, 2639, 18, 'excluir');
INSERT INTO `lang_definitions` VALUES (90079, 2640, 18, 'Excluir categorias com ID(s):');
INSERT INTO `lang_definitions` VALUES (90080, 2641, 18, 'Excluir Categoria');
INSERT INTO `lang_definitions` VALUES (90081, 2642, 18, 'Apagar Documento');
INSERT INTO `lang_definitions` VALUES (90082, 2643, 18, 'Apagar Formulário de Encontro');
INSERT INTO `lang_definitions` VALUES (90083, 2644, 18, 'Falha ao excluir!');
INSERT INTO `lang_definitions` VALUES (90084, 2645, 18, 'Excluir Grupo');
INSERT INTO `lang_definitions` VALUES (90085, 2646, 18, 'Excluir Lista');
INSERT INTO `lang_definitions` VALUES (90086, 2647, 18, 'Excluir atividade do portal local');
INSERT INTO `lang_definitions` VALUES (90087, 2648, 18, 'Excluir Páginas');
INSERT INTO `lang_definitions` VALUES (90088, 2649, 18, 'Excluir Paciente, Consulta, Forma, edição, documentos, pagamento, cobrança ou transação');
INSERT INTO `lang_definitions` VALUES (90089, 2650, 18, 'Excluir plano');
INSERT INTO `lang_definitions` VALUES (90090, 2651, 18, 'Ecluir Linha');
INSERT INTO `lang_definitions` VALUES (90091, 2652, 18, 'Excluir Itens Selecionados');
INSERT INTO `lang_definitions` VALUES (90092, 2653, 18, 'Excluir Solicitações Selecionadas');
INSERT INTO `lang_definitions` VALUES (90093, 2654, 18, 'Exclusão com sucesso');
INSERT INTO `lang_definitions` VALUES (90094, 2655, 18, 'Exclusão efetuada com sucesso.');
INSERT INTO `lang_definitions` VALUES (90095, 2656, 18, 'Excluir este documento');
INSERT INTO `lang_definitions` VALUES (90096, 2657, 18, 'Excluir este formulário');
INSERT INTO `lang_definitions` VALUES (90097, 2658, 18, 'Exclua esta mensagem');
INSERT INTO `lang_definitions` VALUES (90098, 2659, 18, 'Excluir este lembrete');
INSERT INTO `lang_definitions` VALUES (90099, 2660, 18, 'Apagado com sucesso');
INSERT INTO `lang_definitions` VALUES (90100, 2661, 18, 'Excluído com Sucesso');
INSERT INTO `lang_definitions` VALUES (90101, 2662, 18, 'Excluindo');
INSERT INTO `lang_definitions` VALUES (90102, 2663, 18, 'Exclusão desse evento não pode ser revertida. Tem certeza que quer excluir esse evento?');
INSERT INTO `lang_definitions` VALUES (90103, 2664, 18, 'A exclusão falhou porque o grupo tem compromissos ou encontros');
INSERT INTO `lang_definitions` VALUES (90104, 2665, 18, 'Entregue');
INSERT INTO `lang_definitions` VALUES (90105, 2666, 18, 'Entrega Confirmada');
INSERT INTO `lang_definitions` VALUES (90106, 2667, 18, 'Entrega não autorizada para o Endereço especificado');
INSERT INTO `lang_definitions` VALUES (90107, 2668, 18, 'Entrega náo permitida para o Endereço especificado.');
INSERT INTO `lang_definitions` VALUES (90108, 2669, 18, 'A entrega do documento clínico em anexo foi solicitada pelo paciente');
INSERT INTO `lang_definitions` VALUES (90109, 2670, 18, 'Entrega do documento clínico anexado solicitada pelo paciente.');
INSERT INTO `lang_definitions` VALUES (90110, 2671, 18, 'Demência');
INSERT INTO `lang_definitions` VALUES (90111, 2672, 18, 'As alterações demográficas feitas aqui são registradas em todo o sistema');
INSERT INTO `lang_definitions` VALUES (90112, 2673, 18, 'Informações');
INSERT INTO `lang_definitions` VALUES (90113, 2674, 18, 'Informações (escrever, adicionar opcional)');
INSERT INTO `lang_definitions` VALUES (90114, 2675, 18, 'Dados demográficos (gravação, adicionalmente opcional) (demonstração)');
INSERT INTO `lang_definitions` VALUES (90115, 2676, 18, 'dados demográficos do paciente e informações de seguro');
INSERT INTO `lang_definitions` VALUES (90116, 2677, 18, 'Campos Demográficos');
INSERT INTO `lang_definitions` VALUES (90117, 2678, 18, 'Informações - Critério de filtro');
INSERT INTO `lang_definitions` VALUES (90118, 2679, 18, 'Legenda da demografia em vermelho: valores representados no gráfico. Azul: edições do paciente');
INSERT INTO `lang_definitions` VALUES (90119, 2680, 18, 'Informações não autorizadas');
INSERT INTO `lang_definitions` VALUES (90120, 2681, 18, 'Informações não autorizadas.');
INSERT INTO `lang_definitions` VALUES (90121, 2682, 18, 'Negado');
INSERT INTO `lang_definitions` VALUES (90122, 2683, 18, 'nega');
INSERT INTO `lang_definitions` VALUES (90123, 2684, 18, 'Denominador');
INSERT INTO `lang_definitions` VALUES (90124, 2685, 18, 'Exceção de denominador');
INSERT INTO `lang_definitions` VALUES (90125, 2686, 18, 'Exclusão de Denominador');
INSERT INTO `lang_definitions` VALUES (90126, 2687, 18, 'Dental');
INSERT INTO `lang_definitions` VALUES (90127, 2688, 18, 'Lista de problemas dentários');
INSERT INTO `lang_definitions` VALUES (90128, 2689, 18, 'Problemas dentários');
INSERT INTO `lang_definitions` VALUES (90129, 2691, 18, 'Módulos de dependência');
INSERT INTO `lang_definitions` VALUES (90130, 2692, 18, 'Problemas de dependência');
INSERT INTO `lang_definitions` VALUES (90131, 2693, 18, 'Dependendo do nível de acesso, você pode visualizar / editar a transação');
INSERT INTO `lang_definitions` VALUES (90132, 2694, 18, 'Dependendo do tipo de conta que você está testando você vai ver HCFA como a saída em uma página em branco para HCFA contas, você vai ver várias linhas de texto um tanto truncado e as informações se você está testando uma reivindicação X12. Esse texto ilegível é o X12 EDI 4010 formato. Ocasionalmente você vai ver caracteres estranhos que parecem dominós ou squiglies, estes são caracteres de controle como de alimentos e são normais.');
INSERT INTO `lang_definitions` VALUES (90133, 2695, 18, 'Dependendo se o módulo NewCrop eRx está habilitado ou não, o método de entrada irá variar');
INSERT INTO `lang_definitions` VALUES (90134, 2696, 18, 'Data de Depósito');
INSERT INTO `lang_definitions` VALUES (90135, 2697, 18, 'Data de Depósito não pode ser maior do que Hoje');
INSERT INTO `lang_definitions` VALUES (90136, 2698, 18, 'Data de Depósito:');
INSERT INTO `lang_definitions` VALUES (90137, 2699, 18, 'Deprimido');
INSERT INTO `lang_definitions` VALUES (90138, 2700, 18, 'Depressão');
INSERT INTO `lang_definitions` VALUES (90139, 2701, 18, 'Departmento');
INSERT INTO `lang_definitions` VALUES (90140, 2702, 18, 'Dermatologia');
INSERT INTO `lang_definitions` VALUES (90141, 2703, 18, 'Derm {{dermatológico}}');
INSERT INTO `lang_definitions` VALUES (90142, 2704, 18, 'DERM {{Dermatologia}}');
INSERT INTO `lang_definitions` VALUES (90143, 2705, 18, 'Describir');
INSERT INTO `lang_definitions` VALUES (90144, 2706, 18, 'Descrição');
INSERT INTO `lang_definitions` VALUES (90145, 2707, 18, 'Descrição');
INSERT INTO `lang_definitions` VALUES (90146, 2708, 18, 'Descrição é o texto padrão');
INSERT INTO `lang_definitions` VALUES (90147, 2709, 18, 'Descrição da Divulgação');
INSERT INTO `lang_definitions` VALUES (90148, 2710, 18, 'Descrição desse código de procedimento ou resultado');
INSERT INTO `lang_definitions` VALUES (90149, 2711, 18, 'Tradução Descrição');
INSERT INTO `lang_definitions` VALUES (90150, 2712, 18, 'Arquivo desejado');
INSERT INTO `lang_definitions` VALUES (90151, 2713, 18, 'Destino');
INSERT INTO `lang_definitions` VALUES (90152, 2714, 18, 'Arquivo de Destino');
INSERT INTO `lang_definitions` VALUES (90153, 2716, 18, 'Destruir Lote');
INSERT INTO `lang_definitions` VALUES (90154, 2717, 18, 'Destruir...');
INSERT INTO `lang_definitions` VALUES (90155, 2718, 18, 'Destruído');
INSERT INTO `lang_definitions` VALUES (90156, 2719, 18, 'Drogas Destruídas');
INSERT INTO `lang_definitions` VALUES (90157, 2720, 18, 'Relatório de Drogas Destruídas');
INSERT INTO `lang_definitions` VALUES (90158, 2721, 18, 'Detalhe');
INSERT INTO `lang_definitions` VALUES (90159, 2722, 18, 'O grupo do detalhe foi salvo com sucesso');
INSERT INTO `lang_definitions` VALUES (90160, 2723, 18, 'Exame detalhado');
INSERT INTO `lang_definitions` VALUES (90161, 2724, 18, 'HPI detalhado');
INSERT INTO `lang_definitions` VALUES (90162, 2725, 18, 'Informações detalhadas sobre como configurar e solucionar problemas de mensagens phiMail estão disponíveis aqui');
INSERT INTO `lang_definitions` VALUES (90163, 2726, 18, 'Detalhes');
INSERT INTO `lang_definitions` VALUES (90164, 2727, 18, 'Desenvolvedor');
INSERT INTO `lang_definitions` VALUES (90165, 2728, 18, 'Anormalidade Desenvolvida');
INSERT INTO `lang_definitions` VALUES (90166, 2729, 18, 'Desvio');
INSERT INTO `lang_definitions` VALUES (90167, 2730, 18, 'Diabetes');
INSERT INTO `lang_definitions` VALUES (90168, 2731, 18, 'Diabetes Mellitus');
INSERT INTO `lang_definitions` VALUES (90169, 2732, 18, 'Diabetes: Controle da Pressão Arterial (CQM)');
INSERT INTO `lang_definitions` VALUES (90170, 2733, 18, 'Diabetes: Exame Oftalmológico');
INSERT INTO `lang_definitions` VALUES (90171, 2734, 18, 'Diabetes: Exame Oftalmológico (CQM)');
INSERT INTO `lang_definitions` VALUES (90172, 2735, 18, 'Diabetes: Exame do Pé');
INSERT INTO `lang_definitions` VALUES (90173, 2736, 18, 'Diabetes: Exame do Pé(CQM)');
INSERT INTO `lang_definitions` VALUES (90174, 2737, 18, 'Diabetes: Controle Insuficiente de HbA1c (CQM)');
INSERT INTO `lang_definitions` VALUES (90175, 2738, 18, 'Diabete: hemoglobina A1C');
INSERT INTO `lang_definitions` VALUES (90176, 2739, 18, 'Diabete: Controle e Gerenciamento de LDL (CQM)');
INSERT INTO `lang_definitions` VALUES (90177, 2740, 18, 'Diabetes: Microalbumina na urina');
INSERT INTO `lang_definitions` VALUES (90178, 2741, 18, 'Diag');
INSERT INTO `lang_definitions` VALUES (90179, 2742, 18, 'Diagnósticos');
INSERT INTO `lang_definitions` VALUES (90180, 2743, 18, 'Diagnóstico');
INSERT INTO `lang_definitions` VALUES (90181, 2744, 18, 'Código do Diagnóstico');
INSERT INTO `lang_definitions` VALUES (90182, 2745, 18, 'Código dos Diagnósticos');
INSERT INTO `lang_definitions` VALUES (90183, 2747, 18, 'Data do Diagnóstico');
INSERT INTO `lang_definitions` VALUES (90184, 2748, 18, 'Descrição do Diagnóstico');
INSERT INTO `lang_definitions` VALUES (90185, 2749, 18, 'O diagnóstico deve ser codificado em uma consulta');
INSERT INTO `lang_definitions` VALUES (90186, 2750, 18, 'Diagnóstico - Nome');
INSERT INTO `lang_definitions` VALUES (90187, 2751, 18, 'Diagnóstico - Relatório');
INSERT INTO `lang_definitions` VALUES (90188, 2752, 18, 'Diagnóstico - Relatório');
INSERT INTO `lang_definitions` VALUES (90189, 2753, 18, 'Diagnóstico - Somente Relatório');
INSERT INTO `lang_definitions` VALUES (90190, 2754, 18, 'Diagnóstico - Título');
INSERT INTO `lang_definitions` VALUES (90191, 2755, 18, 'Diagnóstico:');
INSERT INTO `lang_definitions` VALUES (90192, 2756, 18, 'Diagnóstico:');
INSERT INTO `lang_definitions` VALUES (90193, 2757, 18, 'Diagnóstico');
INSERT INTO `lang_definitions` VALUES (90194, 2758, 18, 'Testes de Diagnóstico:');
INSERT INTO `lang_definitions` VALUES (90195, 2760, 18, 'mostradores/botões');
INSERT INTO `lang_definitions` VALUES (90196, 2761, 18, 'Diam {{Diâmetro}}');
INSERT INTO `lang_definitions` VALUES (90197, 2762, 18, 'Diam {{Diâmetro}}');
INSERT INTO `lang_definitions` VALUES (90198, 2763, 18, 'Diafragmas');
INSERT INTO `lang_definitions` VALUES (90199, 2764, 18, 'Diarréia');
INSERT INTO `lang_definitions` VALUES (90200, 2765, 18, 'Diastólico');
INSERT INTO `lang_definitions` VALUES (90201, 2767, 18, 'Ditado');
INSERT INTO `lang_definitions` VALUES (90202, 2768, 18, 'Ditado:');
INSERT INTO `lang_definitions` VALUES (90203, 2769, 18, 'Você recebeu uma cópia da comunicação HIPAA?');
INSERT INTO `lang_definitions` VALUES (90204, 2770, 18, 'Difuso:');
INSERT INTO `lang_definitions` VALUES (90205, 2771, 18, 'Assinado Digitalmente');
INSERT INTO `lang_definitions` VALUES (90206, 2772, 18, 'Dilatado com');
INSERT INTO `lang_definitions` VALUES (90207, 2774, 18, 'Pedidos / riscos de dilatação revisados');
INSERT INTO `lang_definitions` VALUES (90208, 2776, 18, 'fraca/escuro/diminuir');
INSERT INTO `lang_definitions` VALUES (90209, 2777, 18, 'Direto');
INSERT INTO `lang_definitions` VALUES (90210, 2778, 18, 'ENDEREÇO DIRETO');
INSERT INTO `lang_definitions` VALUES (90211, 2779, 18, 'Endereço direto');
INSERT INTO `lang_definitions` VALUES (90212, 2780, 18, 'Email Direto');
INSERT INTO `lang_definitions` VALUES (90213, 2781, 18, 'Correio Direto');
INSERT INTO `lang_definitions` VALUES (90214, 2782, 18, 'Log de Mensagem Direta');
INSERT INTO `lang_definitions` VALUES (90215, 2783, 18, 'Mensagem Direta Recebida.');
INSERT INTO `lang_definitions` VALUES (90216, 2784, 18, 'Mensagem Direta está indisponível no momento.');
INSERT INTO `lang_definitions` VALUES (90217, 2785, 18, 'Falha no Envio de Mensagem Direta.');
INSERT INTO `lang_definitions` VALUES (90218, 2786, 18, 'instruções');
INSERT INTO `lang_definitions` VALUES (90219, 2787, 18, 'Nome do Diretor');
INSERT INTO `lang_definitions` VALUES (90220, 2788, 18, 'Falha ao excluir diretório; continuando.');
INSERT INTO `lang_definitions` VALUES (90221, 2789, 18, 'Deficiência');
INSERT INTO `lang_definitions` VALUES (90222, 2790, 18, 'Desabilitar');
INSERT INTO `lang_definitions` VALUES (90223, 2791, 18, 'Desativar cálculos de ajuste automático no lançamento EOB');
INSERT INTO `lang_definitions` VALUES (90224, 2792, 18, 'Desativar ajustes automáticos');
INSERT INTO `lang_definitions` VALUES (90225, 2793, 18, 'Desactivar automaticamente o cálculo dos ajustamentos do saldo para lançamento de facturas');
INSERT INTO `lang_definitions` VALUES (90226, 2794, 18, 'Desabilitar Calendário');
INSERT INTO `lang_definitions` VALUES (90227, 2795, 18, 'Desactivar o Localizador de Gráficos');
INSERT INTO `lang_definitions` VALUES (90228, 2797, 18, 'Desativar o Modal de Ajuda');
INSERT INTO `lang_definitions` VALUES (90229, 2798, 18, 'Desabilitar Imunizações');
INSERT INTO `lang_definitions` VALUES (90230, 2799, 18, 'Desativar o download de relatórios de elegibilidade de seguros');
INSERT INTO `lang_definitions` VALUES (90231, 2800, 18, 'Desabilitar Antiga Métrica de Formas Vitais');
INSERT INTO `lang_definitions` VALUES (90232, 2801, 18, 'Desativar quadro de fluxo de paciente');
INSERT INTO `lang_definitions` VALUES (90233, 2802, 18, 'Desabilitar phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (90234, 2803, 18, 'Desabilitar Prescrições');
INSERT INTO `lang_definitions` VALUES (90235, 2804, 18, 'Desabilitar Grupos de Usuários');
INSERT INTO `lang_definitions` VALUES (90236, 2805, 18, 'inválido');
INSERT INTO `lang_definitions` VALUES (90237, 2806, 18, 'Inválido');
INSERT INTO `lang_definitions` VALUES (90238, 2807, 18, 'Beneficiário com deficiência menor de 65 anos com plano de saúde para grandes grupos (LGHP)');
INSERT INTO `lang_definitions` VALUES (90239, 2809, 18, 'Desativar a verificação automática seria apropriado se a verificação de mensagens for gerenciada por outro mecanismo, como um cron job do sistema');
INSERT INTO `lang_definitions` VALUES (90240, 2810, 18, 'As desvantagens são o custo do dispositivo, potencial de perda e esgotamento da bateria');
INSERT INTO `lang_definitions` VALUES (90241, 2811, 18, 'Disc');
INSERT INTO `lang_definitions` VALUES (90242, 2812, 18, 'DISC');
INSERT INTO `lang_definitions` VALUES (90243, 2813, 18, 'Descartar');
INSERT INTO `lang_definitions` VALUES (90244, 2814, 18, 'Descartado');
INSERT INTO `lang_definitions` VALUES (90245, 2815, 18, 'Quitação');
INSERT INTO `lang_definitions` VALUES (90246, 2816, 18, 'Quitação da uretra');
INSERT INTO `lang_definitions` VALUES (90247, 2817, 18, 'Descarregue Medicamentos');
INSERT INTO `lang_definitions` VALUES (90248, 2818, 18, 'Direito de Quitação');
INSERT INTO `lang_definitions` VALUES (90249, 2819, 18, 'Direito de Quitação:');
INSERT INTO `lang_definitions` VALUES (90250, 2820, 18, 'Resumo de quitação');
INSERT INTO `lang_definitions` VALUES (90251, 2821, 18, 'Resumo de quitação - 2009');
INSERT INTO `lang_definitions` VALUES (90252, 2822, 18, 'hora de quitação');
INSERT INTO `lang_definitions` VALUES (90253, 2823, 18, 'Pago');
INSERT INTO `lang_definitions` VALUES (90254, 2825, 18, 'Revelar de Informação');
INSERT INTO `lang_definitions` VALUES (90255, 2826, 18, 'Tipo de Divulgação');
INSERT INTO `lang_definitions` VALUES (90256, 2827, 18, 'Tipos de Divulgação');
INSERT INTO `lang_definitions` VALUES (90257, 2828, 18, 'Divulgações');
INSERT INTO `lang_definitions` VALUES (90258, 2829, 18, 'Divulgações (escribir, adicionalmente opcional)');
INSERT INTO `lang_definitions` VALUES (90259, 2830, 18, 'Divulgações (escribir, adicionalmente opcional) (divulgações)');
INSERT INTO `lang_definitions` VALUES (90260, 2831, 18, 'Divulgações - Registre divulgações feitas para operações de tratamento, pagamento e cuidados de saúde com data, hora, identificação do paciente (nome ou número), identificação do usuário (nome ou número) e uma descrição da divulgação');
INSERT INTO `lang_definitions` VALUES (90261, 2832, 18, 'Descontinuar');
INSERT INTO `lang_definitions` VALUES (90262, 2833, 18, 'Desconto');
INSERT INTO `lang_definitions` VALUES (90263, 2834, 18, 'Valor do desconto');
INSERT INTO `lang_definitions` VALUES (90264, 2835, 18, 'Nível de desconto');
INSERT INTO `lang_definitions` VALUES (90265, 2836, 18, 'Percentual de Desconto');
INSERT INTO `lang_definitions` VALUES (90266, 2837, 18, 'Descontos como Quantias Monetárias');
INSERT INTO `lang_definitions` VALUES (90267, 2838, 18, 'Os descontos na hora do check-out são inseridos como valores em dinheiro, em oposição à porcentagem');
INSERT INTO `lang_definitions` VALUES (90268, 2839, 18, 'Resultado Discreto');
INSERT INTO `lang_definitions` VALUES (90269, 2840, 18, 'Resultados discretos - para entrada manual de valores de resultados retornados');
INSERT INTO `lang_definitions` VALUES (90270, 2841, 18, 'Doença');
INSERT INTO `lang_definitions` VALUES (90271, 2842, 18, 'Doença com imunidade presumida');
INSERT INTO `lang_definitions` VALUES (90272, 2843, 18, 'Luxação');
INSERT INTO `lang_definitions` VALUES (90273, 2844, 18, 'Dispensar');
INSERT INTO `lang_definitions` VALUES (90274, 2846, 18, 'Dispensar ajuda');
INSERT INTO `lang_definitions` VALUES (90275, 2847, 18, 'Disp #');
INSERT INTO `lang_definitions` VALUES (90276, 2848, 18, 'Expedição');
INSERT INTO `lang_definitions` VALUES (90277, 2849, 18, 'Expedição do Documento Recebido');
INSERT INTO `lang_definitions` VALUES (90278, 2850, 18, 'Dispensar Rx');
INSERT INTO `lang_definitions` VALUES (90279, 2851, 18, 'Dispensar este Rx');
INSERT INTO `lang_definitions` VALUES (90280, 2852, 18, 'Dispensar este RX');
INSERT INTO `lang_definitions` VALUES (90281, 2853, 18, 'Dispensada');
INSERT INTO `lang_definitions` VALUES (90282, 2854, 18, 'Exibir');
INSERT INTO `lang_definitions` VALUES (90283, 2855, 18, 'Exibir medidas adicionais (Ks, IOL cals, etc)');
INSERT INTO `lang_definitions` VALUES (90284, 2856, 18, 'Exibir diretivas antecipadas na página de dados demográficos');
INSERT INTO `lang_definitions` VALUES (90285, 2857, 18, 'Exibir apenas erros do aplicativo');
INSERT INTO `lang_definitions` VALUES (90286, 2858, 18, 'Mostrar Documentos');
INSERT INTO `lang_definitions` VALUES (90287, 2859, 18, 'Exibir datas de eventos em bloco?');
INSERT INTO `lang_definitions` VALUES (90288, 2860, 18, 'Exibir Medidas para Formato US');
INSERT INTO `lang_definitions` VALUES (90289, 2861, 18, 'Exibir quantos eventos?');
INSERT INTO `lang_definitions` VALUES (90290, 2862, 18, 'Exibir número da fatura ou nome do paciente no relatório de recebimento de dinheiro');
INSERT INTO `lang_definitions` VALUES (90291, 2863, 18, 'Exibir número da fatura ou nome do paciente ou ambos no relatório de vendas');
INSERT INTO `lang_definitions` VALUES (90292, 2865, 18, 'Exibir localização em bloco?');
INSERT INTO `lang_definitions` VALUES (90293, 2866, 18, 'Nome de Exibição');
INSERT INTO `lang_definitions` VALUES (90294, 2867, 18, 'Exibir o painel de autorefração');
INSERT INTO `lang_definitions` VALUES (90295, 2868, 18, 'Exibir calendário?');
INSERT INTO `lang_definitions` VALUES (90296, 2869, 18, 'Exibir o painel de lentes de contato');
INSERT INTO `lang_definitions` VALUES (90297, 2870, 18, 'Exibir a nota de faturamento do encontro ou a nota de faturamento do paciente ou ambos na tela de faturamento');
INSERT INTO `lang_definitions` VALUES (90298, 2871, 18, 'Exibir o painel de refração do manifesto');
INSERT INTO `lang_definitions` VALUES (90299, 2872, 18, 'Exibir os óculos atuais do paciente');
INSERT INTO `lang_definitions` VALUES (90300, 2873, 18, 'Exibir o widget de compromissos recorrentes no resumo do paciente');
INSERT INTO `lang_definitions` VALUES (90301, 2874, 18, 'Exibir a coluna de unidades na tela de faturamento');
INSERT INTO `lang_definitions` VALUES (90302, 2875, 18, 'Exibir eventos de hoje em bloco?');
INSERT INTO `lang_definitions` VALUES (90303, 2876, 18, 'Exibir tópico em bloco?');
INSERT INTO `lang_definitions` VALUES (90304, 2877, 18, 'Exibir eventos programados em bloco?');
INSERT INTO `lang_definitions` VALUES (90305, 2878, 18, 'Exibir apenas erros da janela');
INSERT INTO `lang_definitions` VALUES (90306, 2879, 18, 'Exibir Colunas');
INSERT INTO `lang_definitions` VALUES (90307, 2880, 18, 'Número do comunicado mais recente:');
INSERT INTO `lang_definitions` VALUES (90308, 2881, 18, 'Exibindo o seguinte número de mensagens mais recentes');
INSERT INTO `lang_definitions` VALUES (90309, 2882, 18, 'Exibindo o seguinte número de notas recentes');
INSERT INTO `lang_definitions` VALUES (90310, 2883, 18, 'Exibindo o seguinte número de notas recentes:');
INSERT INTO `lang_definitions` VALUES (90311, 2884, 18, 'Distância');
INSERT INTO `lang_definitions` VALUES (90312, 2885, 18, 'Distância do  \'topo \' do envelope em mm');
INSERT INTO `lang_definitions` VALUES (90313, 2886, 18, 'Distância da borda direita do envelope na posição retrato em mm');
INSERT INTO `lang_definitions` VALUES (90314, 2887, 18, 'Distribuir');
INSERT INTO `lang_definitions` VALUES (90315, 2890, 18, 'Distribuição');
INSERT INTO `lang_definitions` VALUES (90316, 2891, 18, 'Distribuições');
INSERT INTO `lang_definitions` VALUES (90317, 2892, 18, 'Distribuidor');
INSERT INTO `lang_definitions` VALUES (90318, 2893, 18, 'Dist{{distância}}');
INSERT INTO `lang_definitions` VALUES (90319, 2894, 18, 'Divehi- Dhivehi- Maldivian-');
INSERT INTO `lang_definitions` VALUES (90320, 2895, 18, 'Divergência');
INSERT INTO `lang_definitions` VALUES (90321, 2896, 18, 'Amps divergência');
INSERT INTO `lang_definitions` VALUES (90322, 2897, 18, 'Diverticulite');
INSERT INTO `lang_definitions` VALUES (90323, 2898, 18, 'Diverticulite Cirurgia');
INSERT INTO `lang_definitions` VALUES (90324, 2899, 18, 'Divirticulitis');
INSERT INTO `lang_definitions` VALUES (90325, 2900, 18, 'Divirticulitis Cirurgia');
INSERT INTO `lang_definitions` VALUES (90326, 2901, 18, 'Divorciado');
INSERT INTO `lang_definitions` VALUES (90327, 2902, 18, 'Tonturas:');
INSERT INTO `lang_definitions` VALUES (90328, 2903, 18, 'Não permitir o download do registro do relatório de elegibilidade do seguro');
INSERT INTO `lang_definitions` VALUES (90329, 2904, 18, 'Não permitir que consultas SQL sejam enviadas para a tela');
INSERT INTO `lang_definitions` VALUES (90330, 2905, 18, 'Não Mude');
INSERT INTO `lang_definitions` VALUES (90331, 2906, 18, 'Não exibir alergias carregadas após visitar NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (90332, 2907, 18, 'Não exibir alergia carregada para NewCrop');
INSERT INTO `lang_definitions` VALUES (90333, 2908, 18, 'Não exibir medicamentos carregados após visitar NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (90334, 2909, 18, 'Não exibir medicamentos carregados para NewCrop');
INSERT INTO `lang_definitions` VALUES (90335, 2910, 18, 'Não exibir Alergia NewCrop eRx carregado');
INSERT INTO `lang_definitions` VALUES (90336, 2911, 18, 'Não exibir medicamentos NewCrop eRx carregados');
INSERT INTO `lang_definitions` VALUES (90337, 2912, 18, 'Não exibir calendário.');
INSERT INTO `lang_definitions` VALUES (90338, 2913, 18, 'Não exiba o quadro de fluxo do paciente');
INSERT INTO `lang_definitions` VALUES (90339, 2914, 18, 'Não exiba o Quadro de Recall');
INSERT INTO `lang_definitions` VALUES (90340, 2915, 18, 'Não digite o URL do servidor na barra de endereço do navegador, pois isso não funcionará');
INSERT INTO `lang_definitions` VALUES (90341, 2916, 18, 'Não inventariar e vender qualquer produto');
INSERT INTO `lang_definitions` VALUES (90342, 2917, 18, 'Não sei o que fazer!');
INSERT INTO `lang_definitions` VALUES (90343, 2918, 18, 'Não imprimir');
INSERT INTO `lang_definitions` VALUES (90344, 2919, 18, 'Não requerer autorização para anotações do paciente');
INSERT INTO `lang_definitions` VALUES (90345, 2920, 18, 'Não ressuscite a ordem');
INSERT INTO `lang_definitions` VALUES (90346, 2921, 18, 'não salvar');
INSERT INTO `lang_definitions` VALUES (90347, 2922, 18, 'não substituir');
INSERT INTO `lang_definitions` VALUES (90348, 2923, 18, 'Não use apóstrofo seguro');
INSERT INTO `lang_definitions` VALUES (90349, 2925, 18, 'nada a fazer');
INSERT INTO `lang_definitions` VALUES (90350, 2926, 18, 'Você realmente deseja mudar o Armazém?');
INSERT INTO `lang_definitions` VALUES (90351, 2928, 18, 'Você realmente deseja continuar');
INSERT INTO `lang_definitions` VALUES (90352, 2929, 18, 'Realmente deseja excluir');
INSERT INTO `lang_definitions` VALUES (90353, 2930, 18, 'Realmente deseja excluir os itens selecionados?');
INSERT INTO `lang_definitions` VALUES (90354, 2931, 18, 'Realmente deseja excluir o grupo');
INSERT INTO `lang_definitions` VALUES (90355, 2932, 18, 'Você realmente deseja excluir?');
INSERT INTO `lang_definitions` VALUES (90356, 2934, 18, 'Quer continuar?');
INSERT INTO `lang_definitions` VALUES (90357, 2935, 18, 'Quer excluir?');
INSERT INTO `lang_definitions` VALUES (90358, 2936, 18, 'Quer excluir?');
INSERT INTO `lang_definitions` VALUES (90359, 2937, 18, 'Quer remover esse registro?');
INSERT INTO `lang_definitions` VALUES (90360, 2938, 18, 'Deseja continuar a adicionar este novo paciente?');
INSERT INTO `lang_definitions` VALUES (90361, 2939, 18, 'Deseja continuar com o novo nome?');
INSERT INTO `lang_definitions` VALUES (90362, 2940, 18, 'Deseja excluir PERMANENTEMENTE este registro de imunizações?');
INSERT INTO `lang_definitions` VALUES (90363, 2941, 18, 'Data de nascimento');
INSERT INTO `lang_definitions` VALUES (90364, 2942, 18, 'Data de nascimento está faltando, informe se possível');
INSERT INTO `lang_definitions` VALUES (90365, 2943, 18, 'Id do médico');
INSERT INTO `lang_definitions` VALUES (90366, 2944, 18, 'Médicos');
INSERT INTO `lang_definitions` VALUES (90367, 2945, 18, 'Médico');
INSERT INTO `lang_definitions` VALUES (90368, 2946, 18, 'Médico:');
INSERT INTO `lang_definitions` VALUES (90369, 2947, 18, 'Nome do médico e assinatura');
INSERT INTO `lang_definitions` VALUES (90370, 2948, 18, 'Documento');
INSERT INTO `lang_definitions` VALUES (90371, 2949, 18, 'documento');
INSERT INTO `lang_definitions` VALUES (90372, 2950, 18, 'documento 3 e seu status para atingir o nível detalhado de HPI');
INSERT INTO `lang_definitions` VALUES (90373, 2951, 18, 'Documento Categorias');
INSERT INTO `lang_definitions` VALUES (90374, 2952, 18, 'Não existe categoria de documento para resultados de laboratório');
INSERT INTO `lang_definitions` VALUES (90375, 2953, 18, 'Nome da categoria do documento para armazenamento de resultados de laboratório recebidos eletronicamente');
INSERT INTO `lang_definitions` VALUES (90376, 2954, 18, 'Nome da categoria do documento para armazenamento de documentos MDM recebidos eletronicamente');
INSERT INTO `lang_definitions` VALUES (90377, 2955, 18, 'Categoria de documento ou descarte');
INSERT INTO `lang_definitions` VALUES (90378, 2957, 18, 'Documentar os achados clínicos em formato abreviado');
INSERT INTO `lang_definitions` VALUES (90379, 2958, 18, 'O documento não poderia ser transferido para identificação do paciente');
INSERT INTO `lang_definitions` VALUES (90380, 2959, 18, 'Documento criado');
INSERT INTO `lang_definitions` VALUES (90381, 2960, 18, 'Data do documento');
INSERT INTO `lang_definitions` VALUES (90382, 2961, 18, 'Documento data de emissão e atualizado com sucesso');
INSERT INTO `lang_definitions` VALUES (90383, 2962, 18, 'ID do Documento');
INSERT INTO `lang_definitions` VALUES (90384, 2963, 18, 'Informações de identificação do documento');
INSERT INTO `lang_definitions` VALUES (90385, 2964, 18, 'Biblioteca de Documentos');
INSERT INTO `lang_definitions` VALUES (90386, 2965, 18, 'Documento transferido para nova categoria');
INSERT INTO `lang_definitions` VALUES (90387, 2966, 18, 'Documento transferido para identificação do paciente');
INSERT INTO `lang_definitions` VALUES (90388, 2967, 18, 'Documento aprovado na verificação de integridade');
INSERT INTO `lang_definitions` VALUES (90389, 2968, 18, 'Documento aprovado no teste de integridade.');
INSERT INTO `lang_definitions` VALUES (90390, 2969, 18, 'Método de Armazenamento de Documento');
INSERT INTO `lang_definitions` VALUES (90391, 2970, 18, 'Documento renomeado com sucesso.');
INSERT INTO `lang_definitions` VALUES (90392, 2971, 18, 'Documento marcado para encontrar com sucesso');
INSERT INTO `lang_definitions` VALUES (90393, 2972, 18, 'Gerenciamento de modelos de documentos');
INSERT INTO `lang_definitions` VALUES (90394, 2973, 18, 'Modelos de Documento');
INSERT INTO `lang_definitions` VALUES (90395, 2974, 18, 'Carregador / visualizador de documentos');
INSERT INTO `lang_definitions` VALUES (90396, 2975, 18, 'Documento(s)');
INSERT INTO `lang_definitions` VALUES (90397, 2976, 18, 'Documento / Imagem Armazenada');
INSERT INTO `lang_definitions` VALUES (90398, 2977, 18, 'A documentação para um HPI detalhado requer');
INSERT INTO `lang_definitions` VALUES (90399, 2978, 18, 'Documentos');
INSERT INTO `lang_definitions` VALUES (90400, 2979, 18, 'Documentos');
INSERT INTO `lang_definitions` VALUES (90401, 2980, 18, 'Documentos (escrever, adicionar opcional)');
INSERT INTO `lang_definitions` VALUES (90402, 2981, 18, 'Documentos (escrever, adicionalmente opcional) (documentos)');
INSERT INTO `lang_definitions` VALUES (90403, 2982, 18, 'Documentos - um repositório dos documentos em papel digitalizados / enviados por fax do paciente. É também o local para baixar modelos específicos de pacientes');
INSERT INTO `lang_definitions` VALUES (90404, 2983, 18, 'Apagar documentos');
INSERT INTO `lang_definitions` VALUES (90405, 2984, 18, 'Apagar documentos (docs_rm)');
INSERT INTO `lang_definitions` VALUES (90406, 2986, 18, 'Lista de Documentos');
INSERT INTO `lang_definitions` VALUES (90407, 2987, 18, 'Erro de configuração de documentos');
INSERT INTO `lang_definitions` VALUES (90408, 2988, 18, 'DOC {{formato do documento}}');
INSERT INTO `lang_definitions` VALUES (90409, 2989, 18, 'DOE');
INSERT INTO `lang_definitions` VALUES (90410, 2990, 18, 'Alguma coisa o torna melhor? Pior?');
INSERT INTO `lang_definitions` VALUES (90411, 2991, 18, 'Isso ocorre em certas situações?');
INSERT INTO `lang_definitions` VALUES (90412, 2992, 18, 'Não é igual');
INSERT INTO `lang_definitions` VALUES (90413, 2993, 18, 'não tem dados suficientes para graficar');
INSERT INTO `lang_definitions` VALUES (90414, 2994, 18, 'não corresponde ao número de encontro PV1');
INSERT INTO `lang_definitions` VALUES (90415, 2995, 18, 'Não parece válido');
INSERT INTO `lang_definitions` VALUES (90416, 2996, 18, 'Este tipo permite códigos relacionados?');
INSERT INTO `lang_definitions` VALUES (90417, 2997, 18, 'Relação Estável');
INSERT INTO `lang_definitions` VALUES (90418, 2998, 18, 'Não salvar');
INSERT INTO `lang_definitions` VALUES (90419, 2999, 18, 'Não salvar');
INSERT INTO `lang_definitions` VALUES (90420, 3000, 18, 'Não salvar as alterações');
INSERT INTO `lang_definitions` VALUES (90421, 3001, 18, 'DOE AGORA!');
INSERT INTO `lang_definitions` VALUES (90422, 3002, 18, 'Feito');
INSERT INTO `lang_definitions` VALUES (90423, 3003, 18, 'Feito com');
INSERT INTO `lang_definitions` VALUES (90424, 3004, 18, 'Feito com:');
INSERT INTO `lang_definitions` VALUES (90425, 3005, 18, 'Feito. Agora enviará o download.');
INSERT INTO `lang_definitions` VALUES (90426, 3006, 18, 'DOS');
INSERT INTO `lang_definitions` VALUES (90427, 3007, 18, 'Dosagem');
INSERT INTO `lang_definitions` VALUES (90428, 3008, 18, 'Dose');
INSERT INTO `lang_definitions` VALUES (90429, 3009, 18, 'Clique duas vezes no punho de um DX');
INSERT INTO `lang_definitions` VALUES (90430, 3010, 18, 'Clique duas vezes neste ícone para abrir o documento em um novo visualizador');
INSERT INTO `lang_definitions` VALUES (90431, 3011, 18, 'duplo clique para editar');
INSERT INTO `lang_definitions` VALUES (90432, 3012, 18, 'Clicando duas vezes na caixa NPI abrirá uma caixa de diálogo de Usuários atual para provedores');
INSERT INTO `lang_definitions` VALUES (90433, 3013, 18, 'Visão Dupla');
INSERT INTO `lang_definitions` VALUES (90434, 3014, 18, 'Baixar');
INSERT INTO `lang_definitions` VALUES (90435, 3015, 18, 'BAIXAR');
INSERT INTO `lang_definitions` VALUES (90436, 3016, 18, 'Baixar - o CCD criado é baixado como um arquivo pdf para os downloads do navegador');
INSERT INTO `lang_definitions` VALUES (90437, 3017, 18, 'Baixar - o CCD criado é baixado como um arquivo pdf para os downloads do navegador');
INSERT INTO `lang_definitions` VALUES (90438, 3018, 18, 'Baixe todos os documentos do paciente');
INSERT INTO `lang_definitions` VALUES (90439, 3019, 18, 'Baixar mesmo assim');
INSERT INTO `lang_definitions` VALUES (90440, 3020, 18, 'Download de arquivos de faturamento, posto à contabilidade e marca como faturado');
INSERT INTO `lang_definitions` VALUES (90441, 3021, 18, 'Baixar o arquivo CCDA');
INSERT INTO `lang_definitions` VALUES (90442, 3022, 18, 'Baixar certificados');
INSERT INTO `lang_definitions` VALUES (90443, 3023, 18, 'Transferir dados de configuração');
INSERT INTO `lang_definitions` VALUES (90444, 3024, 18, 'Baixar o arquivo CSV');
INSERT INTO `lang_definitions` VALUES (90445, 3025, 18, 'Baixe o modelo de documento para este paciente e visite');
INSERT INTO `lang_definitions` VALUES (90446, 3026, 18, 'Baixar documentos');
INSERT INTO `lang_definitions` VALUES (90447, 3027, 18, 'baixar o arquivo criptografado');
INSERT INTO `lang_definitions` VALUES (90448, 3028, 18, 'Baixar Fax');
INSERT INTO `lang_definitions` VALUES (90449, 3029, 18, 'Baixar o arquivo HL7');
INSERT INTO `lang_definitions` VALUES (90450, 3030, 18, 'Baixar os documentos de laboratório');
INSERT INTO `lang_definitions` VALUES (90451, 3031, 18, 'Baixar os arquivos de conexão de portal externo');
INSERT INTO `lang_definitions` VALUES (90452, 3032, 18, 'Baixar ou excluir um modelo');
INSERT INTO `lang_definitions` VALUES (90453, 3033, 18, 'baixar PDF');
INSERT INTO `lang_definitions` VALUES (90454, 3034, 18, 'Baixar o arquivo QRDA Categoria III');
INSERT INTO `lang_definitions` VALUES (90455, 3035, 18, 'Baixar o relatório como um arquivo PDF na pasta de download do navegador');
INSERT INTO `lang_definitions` VALUES (90456, 3037, 18, 'Baixar declarações selecionadas');
INSERT INTO `lang_definitions` VALUES (90457, 3038, 18, 'Download irá baixar um arquivo de texto contendo o pedido no formato de mensagem HL7v2.3 para o diretório de downloads do seu computador');
INSERT INTO `lang_definitions` VALUES (90458, 3039, 18, 'Dr Check');
INSERT INTO `lang_definitions` VALUES (90459, 3040, 18, 'Dr Visite');
INSERT INTO `lang_definitions` VALUES (90460, 3041, 18, 'Dr.');
INSERT INTO `lang_definitions` VALUES (90461, 3042, 18, 'Rascunhos');
INSERT INTO `lang_definitions` VALUES (90462, 3043, 18, 'Arraste um DX pela alça');
INSERT INTO `lang_definitions` VALUES (90463, 3044, 18, 'Arraste a seta para cada diagnóstico para classificar a lista');
INSERT INTO `lang_definitions` VALUES (90464, 3045, 18, 'Arraste para mover');
INSERT INTO `lang_definitions` VALUES (90465, 3046, 18, 'Desenhar');
INSERT INTO `lang_definitions` VALUES (90466, 3047, 18, 'Dribbling');
INSERT INTO `lang_definitions` VALUES (90467, 3048, 18, 'Carteira de Motorista ou de Estado-ID');
INSERT INTO `lang_definitions` VALUES (90468, 3049, 18, 'Solte os arquivos aqui para enviar');
INSERT INTO `lang_definitions` VALUES (90469, 3050, 18, 'Drogas');
INSERT INTO `lang_definitions` VALUES (90470, 3051, 18, 'Droga - Interação de Droga');
INSERT INTO `lang_definitions` VALUES (90471, 3052, 18, 'Código de Drogas');
INSERT INTO `lang_definitions` VALUES (90472, 3053, 18, 'Localizador de drogas');
INSERT INTO `lang_definitions` VALUES (90473, 3054, 18, 'Formas de drogas');
INSERT INTO `lang_definitions` VALUES (90474, 3055, 18, 'Drogas ID faltando!');
INSERT INTO `lang_definitions` VALUES (90475, 3056, 18, 'Intervalos de drogas');
INSERT INTO `lang_definitions` VALUES (90476, 3057, 18, 'Inventário de drogas');
INSERT INTO `lang_definitions` VALUES (90477, 3058, 18, 'Nome da droga');
INSERT INTO `lang_definitions` VALUES (90478, 3059, 18, 'Nome da droga');
INSERT INTO `lang_definitions` VALUES (90479, 3061, 18, 'Drogas Rotas');
INSERT INTO `lang_definitions` VALUES (90480, 3062, 18, 'Tela de drogas');
INSERT INTO `lang_definitions` VALUES (90481, 3063, 18, 'Tela de drogas concluída');
INSERT INTO `lang_definitions` VALUES (90482, 3064, 18, 'Relatório de Drogas');
INSERT INTO `lang_definitions` VALUES (90483, 3065, 18, 'Unidades de drogas');
INSERT INTO `lang_definitions` VALUES (90484, 3066, 18, 'Unidades de drogas');
INSERT INTO `lang_definitions` VALUES (90485, 3067, 18, 'Uso de drogas');
INSERT INTO `lang_definitions` VALUES (90486, 3068, 18, 'Droga-Droga');
INSERT INTO `lang_definitions` VALUES (90487, 3069, 18, 'Interação Droga-Droga');
INSERT INTO `lang_definitions` VALUES (90488, 3070, 18, 'Nome da droga1 {{interação da droga1}}');
INSERT INTO `lang_definitions` VALUES (90489, 3071, 18, 'Nome da droga22 {{interação da droga1}}');
INSERT INTO `lang_definitions` VALUES (90490, 3072, 18, 'Drogas');
INSERT INTO `lang_definitions` VALUES (90491, 3073, 18, 'Drogas e Produtos');
INSERT INTO `lang_definitions` VALUES (90492, 3074, 18, 'Boca seca');
INSERT INTO `lang_definitions` VALUES (90493, 3075, 18, 'Diagnóstico DSM IV');
INSERT INTO `lang_definitions` VALUES (90494, 3076, 18, 'DT 1');
INSERT INTO `lang_definitions` VALUES (90495, 3077, 18, 'DT 2');
INSERT INTO `lang_definitions` VALUES (90496, 3078, 18, 'DT 3');
INSERT INTO `lang_definitions` VALUES (90497, 3079, 18, 'DT 4');
INSERT INTO `lang_definitions` VALUES (90498, 3080, 18, 'DT 5');
INSERT INTO `lang_definitions` VALUES (90499, 3081, 18, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (90500, 3082, 18, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (90501, 3083, 18, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (90502, 3084, 18, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (90503, 3085, 18, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (90504, 3087, 18, 'Vencimento');
INSERT INTO `lang_definitions` VALUES (90505, 3088, 18, 'Data de Vencimento');
INSERT INTO `lang_definitions` VALUES (90506, 3089, 18, 'Data de Vencimento');
INSERT INTO `lang_definitions` VALUES (90507, 3090, 18, 'Milímetro Vencimento / dd / aaaa ou aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (90508, 3091, 18, 'Data de Vencimento:');
INSERT INTO `lang_definitions` VALUES (90509, 3092, 18, 'Ins Devido');
INSERT INTO `lang_definitions` VALUES (90510, 3093, 18, 'Devido Pt');
INSERT INTO `lang_definitions` VALUES (90511, 3094, 18, 'Vencimento logo');
INSERT INTO `lang_definitions` VALUES (90512, 3095, 18, 'Status de vencimento');
INSERT INTO `lang_definitions` VALUES (90513, 3096, 18, 'Actualização do status de vencimento');
INSERT INTO `lang_definitions` VALUES (90514, 3097, 18, 'Dumping banco OpenEMR');
INSERT INTO `lang_definitions` VALUES (90515, 3098, 18, 'Dumping OpenEMR árvore de diretórios web');
INSERT INTO `lang_definitions` VALUES (90516, 3099, 18, 'Dumping banco phpgacl');
INSERT INTO `lang_definitions` VALUES (90517, 3100, 18, 'Dumping árvore de diretórios phpgacl web');
INSERT INTO `lang_definitions` VALUES (90518, 3101, 18, 'Dumping banco de dados SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (90519, 3102, 18, 'Dumping SQL-Ledger árvore de diretórios web');
INSERT INTO `lang_definitions` VALUES (90520, 3103, 18, 'Verificação de Dup');
INSERT INTO `lang_definitions` VALUES (90521, 3104, 18, 'Verificação de Dup apenas em Editar');
INSERT INTO `lang_definitions` VALUES (90522, 3105, 18, 'Verificação de Dup em apenas Novo');
INSERT INTO `lang_definitions` VALUES (90523, 3107, 18, 'Rx duplicado - inalterado do Rx atual {{A refração não mudou, Novo Rx = antigo Rx}}');
INSERT INTO `lang_definitions` VALUES (90524, 3108, 18, 'ID duplicado online');
INSERT INTO `lang_definitions` VALUES (90525, 3109, 18, 'Nome duplicado online');
INSERT INTO `lang_definitions` VALUES (90526, 3110, 18, 'AVISO DUPLICAÇÃO');
INSERT INTO `lang_definitions` VALUES (90527, 3111, 18, 'Poder durável do advogado');
INSERT INTO `lang_definitions` VALUES (90528, 3112, 18, 'Duração');
INSERT INTO `lang_definitions` VALUES (90529, 3113, 18, 'Duração');
INSERT INTO `lang_definitions` VALUES (90530, 3114, 18, 'Holandês');
INSERT INTO `lang_definitions` VALUES (90531, 3115, 18, 'Códigos Dx');
INSERT INTO `lang_definitions` VALUES (90532, 3116, 18, 'Rep Dx');
INSERT INTO `lang_definitions` VALUES (90533, 3117, 18, 'Disfagia');
INSERT INTO `lang_definitions` VALUES (90534, 3118, 18, 'Dispnéia:');
INSERT INTO `lang_definitions` VALUES (90535, 3119, 18, 'Disúria');
INSERT INTO `lang_definitions` VALUES (90536, 3120, 18, 'Dzongkha');
INSERT INTO `lang_definitions` VALUES (90537, 3121, 18, 'E (T) {{esotropia intermitente}}');
INSERT INTO `lang_definitions` VALUES (90538, 3122, 18, 'E-mail');
INSERT INTO `lang_definitions` VALUES (90539, 3123, 18, 'E-mail');
INSERT INTO `lang_definitions` VALUES (90540, 3124, 18, 'Endereço de e-mail');
INSERT INTO `lang_definitions` VALUES (90541, 3125, 18, 'Mensagem de e-mail');
INSERT INTO `lang_definitions` VALUES (90542, 3126, 18, 'E-mail OK');
INSERT INTO `lang_definitions` VALUES (90543, 3127, 18, 'E-PRESCRITO');
INSERT INTO `lang_definitions` VALUES (90544, 3128, 18, 'E-Prescrição?');
INSERT INTO `lang_definitions` VALUES (90545, 3129, 18, 'E-Reports');
INSERT INTO `lang_definitions` VALUES (90546, 3130, 18, 'e-Rx');
INSERT INTO `lang_definitions` VALUES (90547, 3131, 18, 'EPCS e-Rx');
INSERT INTO `lang_definitions` VALUES (90548, 3132, 18, 'Renovação e-Rx');
INSERT INTO `lang_definitions` VALUES (90549, 3133, 18, 'e-assinado');
INSERT INTO `lang_definitions` VALUES (90550, 3134, 18, 'Cada um desses grupos (AROs) tem acesso a partes pré-determinadas do programa (ACOs)');
INSERT INTO `lang_definitions` VALUES (90551, 3135, 18, 'Cada destinatário dever marcar suas mensagens recebidas como concluídas.');
INSERT INTO `lang_definitions` VALUES (90552, 3136, 18, 'Cada seção tem um bloco narrativo e zero a muitas entradas codificadas');
INSERT INTO `lang_definitions` VALUES (90553, 3137, 18, 'Cada segmento é identificado por um cabeçalho exclusivo de três letras que constitui as três primeiras letras dessa linha');
INSERT INTO `lang_definitions` VALUES (90554, 3138, 18, 'Cada teste ou painel neste grupo deve estar em uma camada individual de item favorito personalizado');
INSERT INTO `lang_definitions` VALUES (90555, 3139, 18, 'Cada transação é listada em uma linha separada');
INSERT INTO `lang_definitions` VALUES (90556, 3140, 18, 'A recidiva precoce (<2 Mo)');
INSERT INTO `lang_definitions` VALUES (90557, 3141, 18, 'Orelhas');
INSERT INTO `lang_definitions` VALUES (90558, 3145, 18, 'Fácil de esquecer no computador usado para fazer login');
INSERT INTO `lang_definitions` VALUES (90559, 3146, 18, 'Fácil de configurar');
INSERT INTO `lang_definitions` VALUES (90560, 3147, 18, 'Fácil de usar');
INSERT INTO `lang_definitions` VALUES (90561, 3148, 18, 'ECG');
INSERT INTO `lang_definitions` VALUES (90562, 3149, 18, 'eClaims');
INSERT INTO `lang_definitions` VALUES (90563, 3150, 18, 'ECL {{potência equivalente da lente de contato no nível da córnea}}');
INSERT INTO `lang_definitions` VALUES (90564, 3151, 18, 'ECOM {{abreviação de comentários externos}}');
INSERT INTO `lang_definitions` VALUES (90565, 3152, 18, 'Edema');
INSERT INTO `lang_definitions` VALUES (90566, 3153, 18, 'Arquivo EDI');
INSERT INTO `lang_definitions` VALUES (90567, 3154, 18, 'histórico edi');
INSERT INTO `lang_definitions` VALUES (90568, 3155, 18, 'histórico edi');
INSERT INTO `lang_definitions` VALUES (90569, 3156, 18, 'Histórico EDI (em Taxas) para armazenar e interpretar arquivos de resposta de reivindicação EDI');
INSERT INTO `lang_definitions` VALUES (90570, 3157, 18, 'Upload de arquivo EDI-271');
INSERT INTO `lang_definitions` VALUES (90571, 3158, 18, 'Upload de arquivo de resposta EDI-271');
INSERT INTO `lang_definitions` VALUES (90572, 3159, 18, 'Editar');
INSERT INTO `lang_definitions` VALUES (90573, 3160, 18, 'editar');
INSERT INTO `lang_definitions` VALUES (90574, 3161, 18, 'Editar Alergias');
INSERT INTO `lang_definitions` VALUES (90575, 3162, 18, 'Editar Compromisso');
INSERT INTO `lang_definitions` VALUES (90576, 3163, 18, 'Editar categorias');
INSERT INTO `lang_definitions` VALUES (90577, 3164, 18, 'Editar Paciente Atual');
INSERT INTO `lang_definitions` VALUES (90578, 3165, 18, 'Editar Definições');
INSERT INTO `lang_definitions` VALUES (90579, 3166, 18, 'Editar definições');
INSERT INTO `lang_definitions` VALUES (90580, 3167, 18, 'Editar Diagnósticos para');
INSERT INTO `lang_definitions` VALUES (90581, 3168, 18, 'Editar Divulgação');
INSERT INTO `lang_definitions` VALUES (90582, 3169, 18, 'Editar Documento');
INSERT INTO `lang_definitions` VALUES (90583, 3170, 18, 'Editar entrada');
INSERT INTO `lang_definitions` VALUES (90584, 3171, 18, 'Editar Evento');
INSERT INTO `lang_definitions` VALUES (90585, 3172, 18, 'EDITAR GRUPO EXISTENTE');
INSERT INTO `lang_definitions` VALUES (90586, 3173, 18, 'Editar Clínicas');
INSERT INTO `lang_definitions` VALUES (90587, 3174, 18, 'Editar instalação');
INSERT INTO `lang_definitions` VALUES (90588, 3175, 18, 'Editar Informações da Clínica');
INSERT INTO `lang_definitions` VALUES (90589, 3176, 18, 'Editar Informações Específicas do Usuário');
INSERT INTO `lang_definitions` VALUES (90590, 3177, 18, 'Editar arquivo em');
INSERT INTO `lang_definitions` VALUES (90591, 3178, 18, 'Formulário Editar');
INSERT INTO `lang_definitions` VALUES (90592, 3179, 18, 'Editar configurações globais');
INSERT INTO `lang_definitions` VALUES (90593, 3180, 18, 'Editar história e estilo de vida');
INSERT INTO `lang_definitions` VALUES (90594, 3181, 18, 'A edição não está autorizada!');
INSERT INTO `lang_definitions` VALUES (90595, 3182, 18, 'Editar problema');
INSERT INTO `lang_definitions` VALUES (90596, 3183, 18, 'Editar layout');
INSERT INTO `lang_definitions` VALUES (90597, 3184, 18, 'Editar propriedades de layout');
INSERT INTO `lang_definitions` VALUES (90598, 3185, 18, 'Editar lista');
INSERT INTO `lang_definitions` VALUES (90599, 3186, 18, 'Modo de edição');
INSERT INTO `lang_definitions` VALUES (90600, 3187, 18, 'Editar atividade do portal no local');
INSERT INTO `lang_definitions` VALUES (90601, 3188, 18, 'Editar Pagamentos');
INSERT INTO `lang_definitions` VALUES (90602, 3189, 18, 'Editar Estrutura');
INSERT INTO `lang_definitions` VALUES (90603, 3190, 18, 'Editar modelo');
INSERT INTO `lang_definitions` VALUES (90604, 3191, 18, 'Edite este formulário');
INSERT INTO `lang_definitions` VALUES (90605, 3192, 18, 'Editar Usuários');
INSERT INTO `lang_definitions` VALUES (90606, 3193, 18, 'Editar Configuração de Usuários');
INSERT INTO `lang_definitions` VALUES (90607, 3194, 18, 'Edite seus dados inseridos');
INSERT INTO `lang_definitions` VALUES (90608, 3195, 18, 'Falha de Edição');
INSERT INTO `lang_definitions` VALUES (90609, 3196, 18, 'Educação');
INSERT INTO `lang_definitions` VALUES (90610, 3197, 18, 'Data da Educação');
INSERT INTO `lang_definitions` VALUES (90611, 3198, 18, 'Materiais educativos para');
INSERT INTO `lang_definitions` VALUES (90612, 3199, 18, 'ee a GNU General Public License para mais detalhes. * Você deve ter recebido uma cópia da Licença Pública Geral GNU * junto com este programa, se não, escreva para a Free');
INSERT INTO `lang_definitions` VALUES (90613, 3200, 18, 'Data Efetiva');
INSERT INTO `lang_definitions` VALUES (90614, 3201, 18, 'Datas Efetivas');
INSERT INTO `lang_definitions` VALUES (90615, 3202, 18, 'Eficácia');
INSERT INTO `lang_definitions` VALUES (90616, 3203, 18, 'por exemplo. dor, queimação e irradiação de dor');
INSERT INTO `lang_definitions` VALUES (90617, 3204, 18, 'EIN');
INSERT INTO `lang_definitions` VALUES (90618, 3205, 18, 'Digite um termo de pesquisa na caixa apropriada ou clique duas vezes na caixa para ver os códigos disponíveis');
INSERT INTO `lang_definitions` VALUES (90619, 3206, 18, 'De qualquer forma, os dados inseridos por qualquer método serão apresentados em ambos os locais');
INSERT INTO `lang_definitions` VALUES (90620, 3207, 18, 'Ejaculações');
INSERT INTO `lang_definitions` VALUES (90621, 3208, 18, 'Elbow');
INSERT INTO `lang_definitions` VALUES (90622, 3209, 18, 'Elbow Problemas');
INSERT INTO `lang_definitions` VALUES (90623, 3210, 18, 'Eletrônico');
INSERT INTO `lang_definitions` VALUES (90624, 3211, 18, 'Documento eletrônico recebido');
INSERT INTO `lang_definitions` VALUES (90625, 3212, 18, 'Notas Eletrônicas');
INSERT INTO `lang_definitions` VALUES (90626, 3213, 18, 'Pedidos eletrônicos');
INSERT INTO `lang_definitions` VALUES (90627, 3214, 18, 'Eletrônica da competência');
INSERT INTO `lang_definitions` VALUES (90628, 3215, 18, 'Relatórios Eletrônicos');
INSERT INTO `lang_definitions` VALUES (90629, 3216, 18, 'Os resultados eletrônicos podem ser bidirecionais - ambos os testes de ordem e receber resultados eletronicamente ou unidirecional - receba apenas os resultados eletronicamente');
INSERT INTO `lang_definitions` VALUES (90630, 3217, 18, 'assinado eletronicamente');
INSERT INTO `lang_definitions` VALUES (90631, 3218, 18, 'Elegibilidade');
INSERT INTO `lang_definitions` VALUES (90632, 3219, 18, 'Elegibilidade 270 Inquérito Batch');
INSERT INTO `lang_definitions` VALUES (90633, 3220, 18, 'Resposta de elegibilidade');
INSERT INTO `lang_definitions` VALUES (90634, 3221, 18, 'Data do serviço de elegibilidade (270 DTP03)');
INSERT INTO `lang_definitions` VALUES (90635, 3222, 18, 'Status de elegibilidade para a vacina fornecida pela vacina para crianças');
INSERT INTO `lang_definitions` VALUES (90636, 3223, 18, 'Qualificado');
INSERT INTO `lang_definitions` VALUES (90637, 3224, 18, 'Ellipse');
INSERT INTO `lang_definitions` VALUES (90638, 3225, 18, 'Email');
INSERT INTO `lang_definitions` VALUES (90639, 3226, 18, 'email');
INSERT INTO `lang_definitions` VALUES (90640, 3227, 18, 'EMAIL');
INSERT INTO `lang_definitions` VALUES (90641, 3228, 18, 'Endereço de e-mail');
INSERT INTO `lang_definitions` VALUES (90642, 3229, 18, 'Endereço de e-mail ausente');
INSERT INTO `lang_definitions` VALUES (90643, 3230, 18, 'Endereço de e- mail do remetente para os lembretes dos pacientes. As respostas aos lembretes dos pacientes serão direccionadas para este endereço. É importante usar um endereço do domínio da sua clínica para evitar ajudar a prevenir lembretes dos pacientes de ir para pastas de lixo eletrônico');
INSERT INTO `lang_definitions` VALUES (90644, 3231, 18, 'Endereço de e-mail, se houver, para receber notificações administrativas');
INSERT INTO `lang_definitions` VALUES (90645, 3232, 18, 'Endereço de e-mail, se houver, para receber mensagens de ativação de usuário de login de emergência');
INSERT INTO `lang_definitions` VALUES (90646, 3233, 18, 'Autenticação de Email');
INSERT INTO `lang_definitions` VALUES (90647, 3234, 18, 'EMAIL confirmado');
INSERT INTO `lang_definitions` VALUES (90648, 3235, 18, 'Email Direct');
INSERT INTO `lang_definitions` VALUES (90649, 3236, 18, 'E-mail de Batchcom');
INSERT INTO `lang_definitions` VALUES (90650, 3238, 18, 'Email Notificação');
INSERT INTO `lang_definitions` VALUES (90651, 3239, 18, 'Horas de notificação por email');
INSERT INTO `lang_definitions` VALUES (90652, 3240, 18, 'Relatório de Notificação por Email');
INSERT INTO `lang_definitions` VALUES (90653, 3241, 18, 'Configurações de notificação de e-mail atualizadas com sucesso');
INSERT INTO `lang_definitions` VALUES (90654, 3243, 18, 'Declarações selecionadas por e-mail');
INSERT INTO `lang_definitions` VALUES (90655, 3244, 18, 'Enviar e-mail antes');
INSERT INTO `lang_definitions` VALUES (90656, 3245, 18, 'Email Enviar');
INSERT INTO `lang_definitions` VALUES (90657, 3246, 18, 'Email Enviado');
INSERT INTO `lang_definitions` VALUES (90658, 3247, 18, 'Email sent to');
INSERT INTO `lang_definitions` VALUES (90659, 3248, 18, 'E-mail Assunto');
INSERT INTO `lang_definitions` VALUES (90660, 3249, 18, 'email subject');
INSERT INTO `lang_definitions` VALUES (90661, 3251, 18, 'E-mail de texto, Útil Tag: *** NOME ***, ou seja, Caro *** NOME ***');
INSERT INTO `lang_definitions` VALUES (90662, 3252, 18, 'Texto de e-mail, tag utilizável: *** NOME ***, ou seja, Prezado *** NOME *** {{Não traduza os elementos *** NOME *** desta constante.}}');
INSERT INTO `lang_definitions` VALUES (90663, 3253, 18, 'Método de Transporte de Email');
INSERT INTO `lang_definitions` VALUES (90664, 3254, 18, 'O email foi enviado para o seguinte endereço');
INSERT INTO `lang_definitions` VALUES (90665, 3255, 18, 'e-mails não enviados');
INSERT INTO `lang_definitions` VALUES (90666, 3257, 18, 'Cuidados Emergenciais');
INSERT INTO `lang_definitions` VALUES (90667, 3258, 18, 'contatos de emergência');
INSERT INTO `lang_definitions` VALUES (90668, 3259, 18, 'Contato de emergência');
INSERT INTO `lang_definitions` VALUES (90669, 3260, 18, 'Contato de Emergência');
INSERT INTO `lang_definitions` VALUES (90670, 3261, 18, 'Número de telefone de emergência');
INSERT INTO `lang_definitions` VALUES (90671, 3262, 18, 'Contracepção de Emergência');
INSERT INTO `lang_definitions` VALUES (90672, 3263, 18, 'Login de emergência');
INSERT INTO `lang_definitions` VALUES (90673, 3264, 18, 'O Login de Emergência ACL foi escolhido. O usuário ainda está no estado ativo, por favor, desative o usuário e ative o mesmo quando necessário durante situações emergenciais. Visite Administração-> Usuários para ativação ou desativação.');
INSERT INTO `lang_definitions` VALUES (90674, 3265, 18, 'O e-mail de ativação do Login de emergência será distribuído apenas se as seguintes configurações no arquivo interface / globals.php estiverem configuradas:');
INSERT INTO `lang_definitions` VALUES (90675, 3266, 18, 'Endereço de e-mail do login de emergência');
INSERT INTO `lang_definitions` VALUES (90676, 3267, 18, 'O usuario com login de emergência pode fazer qualquer coisa');
INSERT INTO `lang_definitions` VALUES (90677, 3268, 18, 'Telefone de emergência');
INSERT INTO `lang_definitions` VALUES (90678, 3269, 18, 'Sala de emergência - Hospital');
INSERT INTO `lang_definitions` VALUES (90679, 3270, 18, 'Emocional / Condição comportamental & complicações');
INSERT INTO `lang_definitions` VALUES (90680, 3271, 18, 'Enfisema');
INSERT INTO `lang_definitions` VALUES (90681, 3272, 18, 'Empregado');
INSERT INTO `lang_definitions` VALUES (90682, 3273, 18, 'Empresa');
INSERT INTO `lang_definitions` VALUES (90683, 3274, 18, 'Endereço da Empresa');
INSERT INTO `lang_definitions` VALUES (90684, 3275, 18, 'Admissão da Empresa');
INSERT INTO `lang_definitions` VALUES (90685, 3276, 18, 'Nome da Empresa');
INSERT INTO `lang_definitions` VALUES (90686, 3277, 18, 'VAZIO');
INSERT INTO `lang_definitions` VALUES (90687, 3278, 18, 'Vazio');
INSERT INTO `lang_definitions` VALUES (90688, 3279, 18, 'Senha vazia não é permitida');
INSERT INTO `lang_definitions` VALUES (90689, 3280, 18, 'Tabela vazia');
INSERT INTO `lang_definitions` VALUES (90690, 3281, 18, 'Valor vazio em \"\"Horas-mail \"\"');
INSERT INTO `lang_definitions` VALUES (90691, 3282, 18, 'Valor vazio em \"\"Email Sender \"\"');
INSERT INTO `lang_definitions` VALUES (90692, 3283, 18, 'Valor vazio em \"\"Assunto do Email \"\"');
INSERT INTO `lang_definitions` VALUES (90693, 3284, 18, 'Valor vazio em \"\"E-mail Texto \"\"');
INSERT INTO `lang_definitions` VALUES (90694, 3285, 18, 'Valor vazio em \"\"Nome do Provedor \"\"');
INSERT INTO `lang_definitions` VALUES (90695, 3286, 18, 'Valor vazio em \"\"Password \"\"');
INSERT INTO `lang_definitions` VALUES (90696, 3287, 18, 'Valor vazio em \"\"Horas SMS \"\"');
INSERT INTO `lang_definitions` VALUES (90697, 3288, 18, 'Valor vazio em \"\"de texto SMS \"\"');
INSERT INTO `lang_definitions` VALUES (90698, 3289, 18, 'Valor vazio em \"\"Nome \"\"');
INSERT INTO `lang_definitions` VALUES (90699, 3290, 18, 'EMR Direct');
INSERT INTO `lang_definitions` VALUES (90700, 3291, 18, 'EMR Direct phiMail é uma maneira segura, escalonável e baseada em padrões para os participantes enviarem informações de saúde criptografadas e autenticadas diretamente para destinatários conhecidos e confiáveis pela Internet');
INSERT INTO `lang_definitions` VALUES (90701, 3292, 18, 'Habilitar');
INSERT INTO `lang_definitions` VALUES (90702, 3293, 18, 'Habilite um serviço de gateway de pagamento para processar transações de cartão de crédito');
INSERT INTO `lang_definitions` VALUES (90703, 3294, 18, 'Habilitar Registro de Alerta');
INSERT INTO `lang_definitions` VALUES (90704, 3295, 18, 'Habilitar registro de alerta');
INSERT INTO `lang_definitions` VALUES (90705, 3296, 18, 'Habilitar verificação de alergia');
INSERT INTO `lang_definitions` VALUES (90706, 3297, 18, 'Habilitar verificação de alergia contra medicamentos e prescrições');
INSERT INTO `lang_definitions` VALUES (90707, 3298, 18, 'Habilitar a Solicitação AMC');
INSERT INTO `lang_definitions` VALUES (90708, 3299, 18, 'Habilitar a Listagem de Relatórios AMC');
INSERT INTO `lang_definitions` VALUES (90709, 3300, 18, 'Habilitar os Relatórios AMC');
INSERT INTO `lang_definitions` VALUES (90710, 3301, 18, 'Habilitar o Seguimento AMC');
INSERT INTO `lang_definitions` VALUES (90711, 3302, 18, 'Habilitar recurso de alterações');
INSERT INTO `lang_definitions` VALUES (90712, 3303, 18, 'Habilitar auditoria ATNA');
INSERT INTO `lang_definitions` VALUES (90713, 3304, 18, 'Habilitar criptografia de registro de auditoria');
INSERT INTO `lang_definitions` VALUES (90714, 3305, 18, 'Habilitar registro de auditoria');
INSERT INTO `lang_definitions` VALUES (90715, 3306, 18, 'Habilitar trilha de auditoria e autenticação de nó (ATNA)');
INSERT INTO `lang_definitions` VALUES (90716, 3307, 18, 'Habilitar Relatórios de Cálculos de Medidas Automatizadas (AMC)');
INSERT INTO `lang_definitions` VALUES (90717, 3308, 18, 'Habilitar pagamento em lote');
INSERT INTO `lang_definitions` VALUES (90718, 3309, 18, 'Habilitar serviço alternativo C-CDA');
INSERT INTO `lang_definitions` VALUES (90719, 3312, 18, 'Habilitar SSL do cliente');
INSERT INTO `lang_definitions` VALUES (90720, 3313, 18, 'Habilitar autenticação de certificado SSL do cliente');
INSERT INTO `lang_definitions` VALUES (90721, 3314, 18, 'Habilitar pop-up de lembrete ativo clínico');
INSERT INTO `lang_definitions` VALUES (90722, 3315, 18, 'Habilitar Regras de Decisões Clínicas (CDR)');
INSERT INTO `lang_definitions` VALUES (90723, 3316, 18, 'Habilitar pop-up de novo (s) lembrete (s) passivo clínico');
INSERT INTO `lang_definitions` VALUES (90724, 3317, 18, 'Habilitar widget de lembrete passivo clínico');
INSERT INTO `lang_definitions` VALUES (90725, 3318, 18, 'Habilitar Relatórios de Medidas de Qualidade Clínica (CQM)');
INSERT INTO `lang_definitions` VALUES (90726, 3319, 18, 'Habilitar pop-up de lembrete clínico');
INSERT INTO `lang_definitions` VALUES (90727, 3320, 18, 'Habilitar widget de lembrete clínico');
INSERT INTO `lang_definitions` VALUES (90728, 3321, 18, 'Habilitar Portal CMS');
INSERT INTO `lang_definitions` VALUES (90729, 3323, 18, 'Habilitar itemização do relatório CQM');
INSERT INTO `lang_definitions` VALUES (90730, 3324, 18, 'Habilitar relatórios CQM');
INSERT INTO `lang_definitions` VALUES (90731, 3328, 18, 'Habilitar histórico EDI');
INSERT INTO `lang_definitions` VALUES (90732, 3329, 18, 'Habilitar histórico EDI no menu esquerdo');
INSERT INTO `lang_definitions` VALUES (90733, 3331, 18, 'Habilitar criptografia de itens armazenados na unidade');
INSERT INTO `lang_definitions` VALUES (90734, 3332, 18, 'Habilitar extensão');
INSERT INTO `lang_definitions` VALUES (90735, 3333, 18, 'Habilitar Instalação');
INSERT INTO `lang_definitions` VALUES (90736, 3334, 18, 'Habilitar taxas no menu esquerdo');
INSERT INTO `lang_definitions` VALUES (90737, 3335, 18, 'Habilitar submenu de taxas');
INSERT INTO `lang_definitions` VALUES (90738, 3336, 18, 'Habilitar serviço ao cliente do provedor FHIR');
INSERT INTO `lang_definitions` VALUES (90739, 3339, 18, 'Habilitar terapia de grupo');
INSERT INTO `lang_definitions` VALUES (90740, 3340, 18, 'Habilitar Modal de Ajuda');
INSERT INTO `lang_definitions` VALUES (90741, 3341, 18, 'Habilitar suporte Hylafax');
INSERT INTO `lang_definitions` VALUES (90742, 3342, 18, 'Habilitar mensagem de status de importação após visitar NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (90743, 3343, 18, 'Habilitar mensagem de status de importação para NewCrop erx');
INSERT INTO `lang_definitions` VALUES (90744, 3344, 18, 'Habilitar itemização de relatórios AMC');
INSERT INTO `lang_definitions` VALUES (90745, 3345, 18, 'Habilitar itemização de relatórios CQM');
INSERT INTO `lang_definitions` VALUES (90746, 3346, 18, 'Habilitar itemização de relatórios de regras clínicas standar');
INSERT INTO `lang_definitions` VALUES (90747, 3347, 18, 'Habilitar Lab Exchange');
INSERT INTO `lang_definitions` VALUES (90748, 3348, 18, 'Habilitar alternância de bloqueio');
INSERT INTO `lang_definitions` VALUES (90749, 3349, 18, 'Habilitar log para uploads / downloads de documentos para CouchDB');
INSERT INTO `lang_definitions` VALUES (90750, 3350, 18, 'Habilitar registro de todas as consultas SQL SELECT');
INSERT INTO `lang_definitions` VALUES (90751, 3351, 18, 'Habilitar registro de atividades relacionadas ao backup');
INSERT INTO `lang_definitions` VALUES (90752, 3352, 18, 'Habilitar registro de consultas do mecanismo CDR');
INSERT INTO `lang_definitions` VALUES (90753, 3353, 18, 'Habilitar o registro de atividades diversas');
INSERT INTO `lang_definitions` VALUES (90754, 3354, 18, 'Habilitar registro de atividades de pedidos');
INSERT INTO `lang_definitions` VALUES (90755, 3355, 18, 'Habilitar registro de modificações no prontuário');
INSERT INTO `lang_definitions` VALUES (90756, 3356, 18, 'Habilitar registro de atividades de agendamento');
INSERT INTO `lang_definitions` VALUES (90757, 3357, 18, 'Habilitar o registro de atividades de segurança e administração');
INSERT INTO `lang_definitions` VALUES (90758, 3358, 18, 'Habilitar serviço de comunicação MedEx');
INSERT INTO `lang_definitions` VALUES (90759, 3359, 18, 'Habilitar mensagem de status de importação NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (90760, 3360, 18, 'Habilitar serviço NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (90761, 3361, 18, 'Habilitar serviço NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (90762, 3364, 18, 'Habilitar elegibilidade para seguro Office Ally');
INSERT INTO `lang_definitions` VALUES (90763, 3365, 18, 'Habilitar Portal do Paciente Externo');
INSERT INTO `lang_definitions` VALUES (90764, 3366, 18, 'Habilitar Portal do Paciente Externo.');
INSERT INTO `lang_definitions` VALUES (90765, 3367, 18, 'Habilitar apenas um tipo de portal marcando a caixa de seleção relevante');
INSERT INTO `lang_definitions` VALUES (90766, 3368, 18, 'Habilitar Portal do Paciente no Local');
INSERT INTO `lang_definitions` VALUES (90767, 3369, 18, 'Habilitar download do documento do portal do paciente no local');
INSERT INTO `lang_definitions` VALUES (90768, 3370, 18, 'Habilitar novo paciente no Portal do Paciente no local para se auto-registrar');
INSERT INTO `lang_definitions` VALUES (90769, 3371, 18, 'Habilitar Portal do Paciente no Local');
INSERT INTO `lang_definitions` VALUES (90770, 3376, 18, 'Habilitar API REST OpenEMR');
INSERT INTO `lang_definitions` VALUES (90771, 3377, 18, 'Habilitar a API OpenEMR RESTful. SSL necessário');
INSERT INTO `lang_definitions` VALUES (90772, 3385, 18, 'Ativar widget de lembrete de paciente');
INSERT INTO `lang_definitions` VALUES (90773, 3387, 18, 'Habilitar serviço de mensagens diretas phiMail');
INSERT INTO `lang_definitions` VALUES (90774, 3388, 18, 'Habilitar postagem');
INSERT INTO `lang_definitions` VALUES (90775, 3389, 18, 'Habilitar Solicitação de Dados Requeridos de Cálculos de Medidas Automatizadas (AMC)');
INSERT INTO `lang_definitions` VALUES (90776, 3390, 18, 'Habilitar teste de drogas aleatório');
INSERT INTO `lang_definitions` VALUES (90777, 3391, 18, 'Habilitar relatório de data de rastreamento para cálculos de medidas automatizadas (AMC)');
INSERT INTO `lang_definitions` VALUES (90778, 3392, 18, 'Habilitar Suporte a Scanner');
INSERT INTO `lang_definitions` VALUES (90779, 3393, 18, 'Habilitar itemização de relatório padrão');
INSERT INTO `lang_definitions` VALUES (90780, 3394, 18, 'Habilitar suporte para o Portal WordPress de código aberto da Sunset Systems');
INSERT INTO `lang_definitions` VALUES (90781, 3396, 18, 'Habilitar o serviço de integração de informações médicas, LLC Lab Exchange');
INSERT INTO `lang_definitions` VALUES (90782, 3397, 18, 'Habilitar o OpenEMR Support LLC Lab Exchange Service');
INSERT INTO `lang_definitions` VALUES (90783, 3398, 18, 'Habilitar autenticação de certificado de usuário');
INSERT INTO `lang_definitions` VALUES (90784, 3399, 18, 'Habilitar versão 1 do portal do paciente no local');
INSERT INTO `lang_definitions` VALUES (90785, 3400, 18, 'Habilitar versão 2 do portal do paciente no local');
INSERT INTO `lang_definitions` VALUES (90786, 3401, 18, 'Habilitar novo paciente do Portal do Paciente no Local Versão 2 para auto-registro');
INSERT INTO `lang_definitions` VALUES (90787, 3402, 18, 'Habilitar serviço Weno eRx');
INSERT INTO `lang_definitions` VALUES (90788, 3403, 18, 'Habilitar serviço ZMG, LLC eRx');
INSERT INTO `lang_definitions` VALUES (90789, 3404, 18, 'habilitado');
INSERT INTO `lang_definitions` VALUES (90790, 3407, 18, 'Serviços habilitados');
INSERT INTO `lang_definitions` VALUES (90791, 3408, 18, 'Permite escolher a data de vencimento para a mensagem');
INSERT INTO `lang_definitions` VALUES (90792, 3409, 18, 'Permite o módulo de grupos no sistema');
INSERT INTO `lang_definitions` VALUES (90793, 3410, 18, 'Permite a habilidade de baixar documentos no Portal do Paciente no Local pelo usuário');
INSERT INTO `lang_definitions` VALUES (90794, 3412, 18, 'Permite o antigo painel Encargos para inserir códigos de faturamento e pagamentos. Não recomendado, use a Folha de Taxas');
INSERT INTO `lang_definitions` VALUES (90795, 3413, 18, 'Permite enviar alterações para todos os compromissos de uma recorrência de uma vez');
INSERT INTO `lang_definitions` VALUES (90796, 3414, 18, 'Habilitando EMR Direct phiMail');
INSERT INTO `lang_definitions` VALUES (90797, 3415, 18, 'Enc');
INSERT INTO `lang_definitions` VALUES (90798, 3417, 18, 'Consulta');
INSERT INTO `lang_definitions` VALUES (90799, 3418, 18, 'Consulta');
INSERT INTO `lang_definitions` VALUES (90800, 3419, 18, 'Consulta');
INSERT INTO `lang_definitions` VALUES (90801, 3420, 18, 'Consulta');
INSERT INTO `lang_definitions` VALUES (90802, 3421, 18, 'encontrar paciente hospitalizado agudo ou DE');
INSERT INTO `lang_definitions` VALUES (90803, 3422, 18, 'Total desta Consulta');
INSERT INTO `lang_definitions` VALUES (90804, 3423, 18, 'Nota de faturamento da Consulta');
INSERT INTO `lang_definitions` VALUES (90805, 3424, 18, 'Procedimento de verificação de encontro');
INSERT INTO `lang_definitions` VALUES (90806, 3425, 18, 'Contagem de consultas');
INSERT INTO `lang_definitions` VALUES (90807, 3426, 18, 'Dados da Consulta');
INSERT INTO `lang_definitions` VALUES (90808, 3427, 18, 'Data da Consulta');
INSERT INTO `lang_definitions` VALUES (90809, 3428, 18, 'Diagnóstico da Consulta');
INSERT INTO `lang_definitions` VALUES (90810, 3429, 18, 'Consulta Data/Desc');
INSERT INTO `lang_definitions` VALUES (90811, 3430, 18, 'Registro de encontro EDI');
INSERT INTO `lang_definitions` VALUES (90812, 3431, 18, 'Encontro Esigned');
INSERT INTO `lang_definitions` VALUES (90813, 3432, 18, 'Consulta Formulários');
INSERT INTO `lang_definitions` VALUES (90814, 3433, 18, 'encontro avaliação de saúde e comportamento');
INSERT INTO `lang_definitions` VALUES (90815, 3434, 18, 'Histórico de Consultas');
INSERT INTO `lang_definitions` VALUES (90816, 3435, 18, 'ID da Consulta');
INSERT INTO `lang_definitions` VALUES (90817, 3436, 18, 'encontrar influenza');
INSERT INTO `lang_definitions` VALUES (90818, 3437, 18, 'Informação de encontro');
INSERT INTO `lang_definitions` VALUES (90819, 3438, 18, 'Informação de encontro (encontros)');
INSERT INTO `lang_definitions` VALUES (90820, 3439, 18, 'Número Consulta');
INSERT INTO `lang_definitions` VALUES (90821, 3440, 18, 'Número do Encontro');
INSERT INTO `lang_definitions` VALUES (90822, 3441, 18, 'encontrar alta de enfermagem');
INSERT INTO `lang_definitions` VALUES (90823, 3442, 18, 'encontrar clínica de enfermagem');
INSERT INTO `lang_definitions` VALUES (90824, 3443, 18, 'encontro terapia ocupacional');
INSERT INTO `lang_definitions` VALUES (90825, 3444, 18, 'encontro visita ao escritório');
INSERT INTO `lang_definitions` VALUES (90826, 3445, 18, 'encontro ambulatorial');
INSERT INTO `lang_definitions` VALUES (90827, 3446, 18, 'encontro ambulatorial com PCP e obgyn');
INSERT INTO `lang_definitions` VALUES (90828, 3447, 18, 'Tamanho da página de encontro');
INSERT INTO `lang_definitions` VALUES (90829, 3448, 18, 'Pagemento da Consulta');
INSERT INTO `lang_definitions` VALUES (90830, 3449, 18, 'encontrar gravidez');
INSERT INTO `lang_definitions` VALUES (90831, 3450, 18, 'encontrar medicina preventiva - aconselhamento individual');
INSERT INTO `lang_definitions` VALUES (90832, 3451, 18, 'encontrar medicina preventiva com 40 anos ou mais');
INSERT INTO `lang_definitions` VALUES (90833, 3452, 18, 'encontrar aconselhamento de medicina preventiva em grupo');
INSERT INTO `lang_definitions` VALUES (90834, 3453, 18, 'encontrar medicina preventiva outros serviços');
INSERT INTO `lang_definitions` VALUES (90835, 3454, 18, 'encontrar serviços de medicina preventiva com 18 anos ou mais');
INSERT INTO `lang_definitions` VALUES (90836, 3455, 18, 'Antevisão do Encontro');
INSERT INTO `lang_definitions` VALUES (90837, 3457, 18, 'encontro psiquiátrico e psicológico');
INSERT INTO `lang_definitions` VALUES (90838, 3458, 18, 'Estatísticas de encontro');
INSERT INTO `lang_definitions` VALUES (90839, 3459, 18, 'Resumo da Consulta');
INSERT INTO `lang_definitions` VALUES (90840, 3460, 18, 'Tipo de encontro');
INSERT INTO `lang_definitions` VALUES (90841, 3461, 18, 'Consulta foi codificada');
INSERT INTO `lang_definitions` VALUES (90842, 3462, 18, 'Consulta:');
INSERT INTO `lang_definitions` VALUES (90843, 3463, 18, 'Encontro: encontro internação não aguda, ambulatorial ou oftalmológica');
INSERT INTO `lang_definitions` VALUES (90844, 3464, 18, 'Consultas');
INSERT INTO `lang_definitions` VALUES (90845, 3465, 18, 'Consultas & Formulários');
INSERT INTO `lang_definitions` VALUES (90846, 3466, 18, 'Consultas & Formulários');
INSERT INTO `lang_definitions` VALUES (90847, 3467, 18, 'Consultas não autorizado');
INSERT INTO `lang_definitions` VALUES (90848, 3468, 18, 'Consultas Relatório');
INSERT INTO `lang_definitions` VALUES (90849, 3469, 18, 'Consultas Seção');
INSERT INTO `lang_definitions` VALUES (90850, 3470, 18, 'Arquivo criptografado');
INSERT INTO `lang_definitions` VALUES (90851, 3471, 18, 'Encriptação');
INSERT INTO `lang_definitions` VALUES (90852, 3472, 18, 'Fim');
INSERT INTO `lang_definitions` VALUES (90853, 3473, 18, 'Fim (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (90854, 3474, 18, 'Data final');
INSERT INTO `lang_definitions` VALUES (90855, 3475, 18, 'Com data final');
INSERT INTO `lang_definitions` VALUES (90856, 3476, 18, 'Data Final de');
INSERT INTO `lang_definitions` VALUES (90857, 3477, 18, 'Data de término deixe em branco se estiver em andamento');
INSERT INTO `lang_definitions` VALUES (90858, 3478, 18, 'A data de término deve ser igual ou maior que a data de início');
INSERT INTO `lang_definitions` VALUES (90859, 3479, 18, 'A data de término deve ser posterior à data de início!');
INSERT INTO `lang_definitions` VALUES (90860, 3480, 18, 'A data de término deve ser mayor à data de início');
INSERT INTO `lang_definitions` VALUES (90861, 3481, 18, 'Data Final para');
INSERT INTO `lang_definitions` VALUES (90862, 3482, 18, 'Data final:');
INSERT INTO `lang_definitions` VALUES (90863, 3483, 18, 'Fim do dia por provedor ou permitir apenas totais');
INSERT INTO `lang_definitions` VALUES (90864, 3484, 18, 'Relatório de fim de dia');
INSERT INTO `lang_definitions` VALUES (90865, 3485, 18, 'End of report');
INSERT INTO `lang_definitions` VALUES (90866, 3486, 18, 'Fim da Requisição');
INSERT INTO `lang_definitions` VALUES (90867, 3487, 18, 'End Time');
INSERT INTO `lang_definitions` VALUES (90868, 3489, 18, 'Beneficiário de doença renal em estágio terminal em MCP com plano de grupo do empregador');
INSERT INTO `lang_definitions` VALUES (90869, 3490, 18, 'Instalação de tratamento de doenças renais em estágio final');
INSERT INTO `lang_definitions` VALUES (90870, 3491, 18, 'Ending date');
INSERT INTO `lang_definitions` VALUES (90871, 3492, 18, 'Data de término do serviço aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (90872, 3493, 18, 'Ending milímetros DOS / dd / yyyy se deseja introduzir um intervalo');
INSERT INTO `lang_definitions` VALUES (90873, 3494, 18, 'Hora de término do dia para eventos da agenda');
INSERT INTO `lang_definitions` VALUES (90874, 3495, 18, 'Endo sanguíneos anormais');
INSERT INTO `lang_definitions` VALUES (90875, 3496, 18, 'Endócrino');
INSERT INTO `lang_definitions` VALUES (90876, 3497, 18, 'Endoscopia');
INSERT INTO `lang_definitions` VALUES (90877, 3498, 18, 'ENDO {{Endócrino}}');
INSERT INTO `lang_definitions` VALUES (90878, 3499, 18, 'Aplicar e-mail na caixa de diálogo de log on do portal');
INSERT INTO `lang_definitions` VALUES (90879, 3500, 18, 'Engineer');
INSERT INTO `lang_definitions` VALUES (90880, 3501, 18, 'Engineering Firm');
INSERT INTO `lang_definitions` VALUES (90881, 3502, 18, 'Inglês');
INSERT INTO `lang_definitions` VALUES (90882, 3503, 18, 'Inglês');
INSERT INTO `lang_definitions` VALUES (90883, 3504, 18, 'Inglês (indiana)');
INSERT INTO `lang_definitions` VALUES (90884, 3505, 18, 'Inglês (Standard)');
INSERT INTO `lang_definitions` VALUES (90885, 3506, 18, 'Comando Enscript usado pelo Hylafax');
INSERT INTO `lang_definitions` VALUES (90886, 3507, 18, 'Assegurar OpenEMR tem privilégios de gravação para o diretório');
INSERT INTO `lang_definitions` VALUES (90887, 3508, 18, 'Ensure that Identifying Codes are unique');
INSERT INTO `lang_definitions` VALUES (90888, 3509, 18, 'ENT Quitação');
INSERT INTO `lang_definitions` VALUES (90889, 3510, 18, 'ENT Pain');
INSERT INTO `lang_definitions` VALUES (90890, 3511, 18, 'Insira 1 na sequência, mais sobre os números da sequência mais tarde');
INSERT INTO `lang_definitions` VALUES (90891, 3512, 18, 'Insira uma data de início');
INSERT INTO `lang_definitions` VALUES (90892, 3513, 18, 'Digite um código de diagnóstico para excluir todas as faturas que não contenham a');
INSERT INTO `lang_definitions` VALUES (90893, 3514, 18, 'Insira uma sequência 1');
INSERT INTO `lang_definitions` VALUES (90894, 3515, 18, 'Insira detalhes');
INSERT INTO `lang_definitions` VALUES (90895, 3516, 18, 'Insira uma data de término se o problema foi resolvido');
INSERT INTO `lang_definitions` VALUES (90896, 3517, 18, 'Indique o Nome da Aplicação');
INSERT INTO `lang_definitions` VALUES (90897, 3518, 18, 'Entrar no corpo da carta aqui');
INSERT INTO `lang_definitions` VALUES (90898, 3519, 18, 'Insira cidade');
INSERT INTO `lang_definitions` VALUES (90899, 3520, 18, 'Insira a Senha de root da Base de Dados');
INSERT INTO `lang_definitions` VALUES (90900, 3521, 18, 'Insira o nome do Usuário de root da Base de Dados');
INSERT INTO `lang_definitions` VALUES (90901, 3522, 18, 'Insira os detalhes');
INSERT INTO `lang_definitions` VALUES (90902, 3523, 18, 'Insira os detalhes para o grupo de favoritos personalizados');
INSERT INTO `lang_definitions` VALUES (90903, 3524, 18, 'Insira os detalhes para resultados discretos');
INSERT INTO `lang_definitions` VALUES (90904, 3525, 18, 'Insira os detalhes para o grupo');
INSERT INTO `lang_definitions` VALUES (90905, 3526, 18, 'Insira os detalhes para o item favorito individual personalizado');
INSERT INTO `lang_definitions` VALUES (90906, 3527, 18, 'Insira detalhes para procedimentos individuais');
INSERT INTO `lang_definitions` VALUES (90907, 3528, 18, 'Insira os detalhes para recomendação');
INSERT INTO `lang_definitions` VALUES (90908, 3529, 18, 'Insira o Diagnóstico');
INSERT INTO `lang_definitions` VALUES (90909, 3530, 18, 'Insira a Medicação');
INSERT INTO `lang_definitions` VALUES (90910, 3531, 18, 'Insira o endereço de e-mail');
INSERT INTO `lang_definitions` VALUES (90911, 3532, 18, 'Insire o endereço de e-mail para receber o registro');
INSERT INTO `lang_definitions` VALUES (90912, 3533, 18, 'Insira a Consulta');
INSERT INTO `lang_definitions` VALUES (90913, 3534, 18, 'Insira o Número da Consulta');
INSERT INTO `lang_definitions` VALUES (90914, 3535, 18, 'Insira o nome da instalação');
INSERT INTO `lang_definitions` VALUES (90915, 3536, 18, 'Insira o ID');
INSERT INTO `lang_definitions` VALUES (90916, 3537, 18, 'Insira a Vacina');
INSERT INTO `lang_definitions` VALUES (90917, 3538, 18, 'Insira a Chave');
INSERT INTO `lang_definitions` VALUES (90918, 3539, 18, 'Digite o último');
INSERT INTO `lang_definitions` VALUES (90919, 3540, 18, 'Insira o nome');
INSERT INTO `lang_definitions` VALUES (90920, 3541, 18, 'Insira as informações necessárias para ajudar a processar esta reclamação específica');
INSERT INTO `lang_definitions` VALUES (90921, 3542, 18, 'Insira novo dado');
INSERT INTO `lang_definitions` VALUES (90922, 3543, 18, 'Insira uma nova nota de escritório aqui');
INSERT INTO `lang_definitions` VALUES (90923, 3544, 18, 'Entrar novo Estado');
INSERT INTO `lang_definitions` VALUES (90924, 3545, 18, 'Insira a ocorrência se apropriado');
INSERT INTO `lang_definitions` VALUES (90925, 3546, 18, 'Insira ou selecione as opções nas várias caixas para filtrar os resultados de acordo com a necessidade e pressione Filtro');
INSERT INTO `lang_definitions` VALUES (90926, 3547, 18, 'Insire a senha');
INSERT INTO `lang_definitions` VALUES (90927, 3548, 18, 'Insira os detalhes do provedor');
INSERT INTO `lang_definitions` VALUES (90928, 3549, 18, 'Entrar novo Estado');
INSERT INTO `lang_definitions` VALUES (90929, 3551, 18, 'Digite Self se Nenhum');
INSERT INTO `lang_definitions` VALUES (90930, 3552, 18, 'Insira o ácido úrico sérico na caixa Nome');
INSERT INTO `lang_definitions` VALUES (90931, 3553, 18, 'Insira o pedido de ácido úrico no soro na caixa Descrição');
INSERT INTO `lang_definitions` VALUES (90932, 3554, 18, 'Insira o pedido de ácido úrico no soro em Descrição');
INSERT INTO `lang_definitions` VALUES (90933, 3555, 18, 'Insira o ácido úrico no soro sob o nome');
INSERT INTO `lang_definitions` VALUES (90934, 3556, 18, 'Insira os dados da categoria nos campos apropriados e clique em \'Salvar\'. Eles serão usados para agrupar os códigos ICD e serão exibidos nos botões na seção \'Selecionar códigos\'');
INSERT INTO `lang_definitions` VALUES (90935, 3557, 18, 'Digite o código do seu aplicativo de autenticação no seu dispositivo');
INSERT INTO `lang_definitions` VALUES (90936, 3558, 18, 'Insira os valores de intervalo padrão, se aplicável, usados na entrada manual de resultados');
INSERT INTO `lang_definitions` VALUES (90937, 3559, 18, 'Insira as unidades padrão para este teste');
INSERT INTO `lang_definitions` VALUES (90938, 3560, 18, 'Insira os detalhes - Nome - Testes de Mulher bem, Descrição - de Mulher bem, um número de sequência apropriado dependendo dos pedidos de procedimento já inseridos, Pedido de - Laboratório Local');
INSERT INTO `lang_definitions` VALUES (90939, 3561, 18, 'Insira os detalhes como segue: Nome - Glicose no sangue, Descrição - Resultado da glicose em jejum, Sequência - 1, Código de identificação - qualquer valor exclusivo - WWT01R, Unidades padrão - mg / dL, Faixa padrão - 70-100, deixe os Serviços de acompanhamento em branco e clique em Salvar');
INSERT INTO `lang_definitions` VALUES (90940, 3562, 18, 'Insira o endereço direto e clique em Enviar CCR / Enviar CCD conforme o caso');
INSERT INTO `lang_definitions` VALUES (90941, 3563, 18, 'Insira o seguinte: Nome - Glicose no sangue, Descrição - Glicose no sangue em jejum, Sequência - 1, Pedido de - Laboratório local');
INSERT INTO `lang_definitions` VALUES (90942, 3564, 18, 'Insira a lateralidade deste procedimento, se aplicável');
INSERT INTO `lang_definitions` VALUES (90943, 3565, 18, 'Insira o código dos nomes e códigos dos identificadores de observação lógica (LOINC) para este procedimento');
INSERT INTO `lang_definitions` VALUES (90944, 3566, 18, 'Insira o código dos nomes e códigos dos identificadores de observação lógica (LOINC) para este procedimento. LOINC é um banco de dados e padrão universal para identificar observações de laboratórios médicos.');
INSERT INTO `lang_definitions` VALUES (90945, 3567, 18, 'Insira o código LOINC para este procedimento');
INSERT INTO `lang_definitions` VALUES (90946, 3568, 18, 'Insira a senha de login do OpenEMR para o usuário e clique em Enviar');
INSERT INTO `lang_definitions` VALUES (90947, 3569, 18, 'Insira o código de Re identificação');
INSERT INTO `lang_definitions` VALUES (90948, 3570, 18, 'Insira o site relevante, se aplicável');
INSERT INTO `lang_definitions` VALUES (90949, 3571, 18, 'Insira o endereço do servidor, nome de usuário e senha fornecidos a você');
INSERT INTO `lang_definitions` VALUES (90950, 3572, 18, 'Insira a gravidade da alergia');
INSERT INTO `lang_definitions` VALUES (90951, 3573, 18, 'Insira o tipo de amostra, se aplicável');
INSERT INTO `lang_definitions` VALUES (90952, 3574, 18, 'Insira os valores 3,4 - 7,2 - Homens, 2,4–6,1 - Mulheres');
INSERT INTO `lang_definitions` VALUES (90953, 3575, 18, 'Insira seu nome de usuário Openemr no campo usuário de notificação');
INSERT INTO `lang_definitions` VALUES (90954, 3576, 18, 'Insira o ID de login do usuário');
INSERT INTO `lang_definitions` VALUES (90955, 3577, 18, 'Insira valores nesta seção para criar um novo grupo também conhecido como Objeto de Solicitação de Acesso (ARO)');
INSERT INTO `lang_definitions` VALUES (90956, 3578, 18, 'Enter your credentials');
INSERT INTO `lang_definitions` VALUES (90957, 3581, 18, 'Digite seu critério de pesquisa acima');
INSERT INTO `lang_definitions` VALUES (90958, 3582, 18, 'Insira o seu código postal');
INSERT INTO `lang_definitions` VALUES (90959, 3583, 18, 'Inserido Por');
INSERT INTO `lang_definitions` VALUES (90960, 3584, 18, 'Erro inserido');
INSERT INTO `lang_definitions` VALUES (90961, 3586, 18, 'Registros');
INSERT INTO `lang_definitions` VALUES (90962, 3587, 18, 'Altura do envelope em mm');
INSERT INTO `lang_definitions` VALUES (90963, 3588, 18, 'Largura do envelope em mm');
INSERT INTO `lang_definitions` VALUES (90964, 3589, 18, 'Ponto inicial do eixo x do envelope');
INSERT INTO `lang_definitions` VALUES (90965, 3590, 18, 'Ponto inicial do eixo y do envelope');
INSERT INTO `lang_definitions` VALUES (90966, 3591, 18, 'Ambiental');
INSERT INTO `lang_definitions` VALUES (90967, 3592, 18, 'EOB de entrada de dados');
INSERT INTO `lang_definitions` VALUES (90968, 3593, 18, 'Entrada de dados EOB (eob)');
INSERT INTO `lang_definitions` VALUES (90969, 3594, 18, 'Id EOB');
INSERT INTO `lang_definitions` VALUES (90970, 3595, 18, 'Fatura EOB');
INSERT INTO `lang_definitions` VALUES (90971, 3596, 18, 'EOB Destacamento - Electronic Remessas');
INSERT INTO `lang_definitions` VALUES (90972, 3597, 18, 'EOB Posting - Instruções');
INSERT INTO `lang_definitions` VALUES (90973, 3598, 18, 'EOB Destacamento - Invoice');
INSERT INTO `lang_definitions` VALUES (90974, 3599, 18, 'EOB Destacamento - Paciente Nota');
INSERT INTO `lang_definitions` VALUES (90975, 3600, 18, 'EOB Destacamento - Busca');
INSERT INTO `lang_definitions` VALUES (90976, 3601, 18, 'EOBs');
INSERT INTO `lang_definitions` VALUES (90977, 3602, 18, 'Epilepsia');
INSERT INTO `lang_definitions` VALUES (90978, 3603, 18, 'Episódio');
INSERT INTO `lang_definitions` VALUES (90979, 3604, 18, 'EPSDT');
INSERT INTO `lang_definitions` VALUES (90980, 3605, 18, 'EPSDT:');
INSERT INTO `lang_definitions` VALUES (90981, 3606, 18, 'É igual a');
INSERT INTO `lang_definitions` VALUES (90982, 3607, 18, 'Potência equivalente da lente de contato no nível da córnea');
INSERT INTO `lang_definitions` VALUES (90983, 3608, 18, 'ERA');
INSERT INTO `lang_definitions` VALUES (90984, 3609, 18, 'Arquivos ERA');
INSERT INTO `lang_definitions` VALUES (90985, 3610, 18, 'Pagamento Eletrônico');
INSERT INTO `lang_definitions` VALUES (90986, 3611, 18, 'Upload ERA');
INSERT INTO `lang_definitions` VALUES (90987, 3612, 18, 'Erase');
INSERT INTO `lang_definitions` VALUES (90988, 3613, 18, 'apagador');
INSERT INTO `lang_definitions` VALUES (90989, 3614, 18, 'Ereções');
INSERT INTO `lang_definitions` VALUES (90990, 3615, 18, 'Erro');
INSERT INTO `lang_definitions` VALUES (90991, 3616, 18, 'ERROR');
INSERT INTO `lang_definitions` VALUES (90992, 3617, 18, 'Erro ao confirmar o recebimento dos resultados do laboratório');
INSERT INTO `lang_definitions` VALUES (90993, 3618, 18, 'Erro ao criar diretório!');
INSERT INTO `lang_definitions` VALUES (90994, 3620, 18, 'Erro ao obter resultados de laboratório da Lab Exchange Network');
INSERT INTO `lang_definitions` VALUES (90995, 3621, 18, 'Erro na \"\"Sexo \"\" seleção');
INSERT INTO `lang_definitions` VALUES (90996, 3622, 18, 'Erro na \"\"HIPAA \"\" seleção');
INSERT INTO `lang_definitions` VALUES (90997, 3623, 18, 'Erro na \"\"Processo \"\" seleção');
INSERT INTO `lang_definitions` VALUES (90998, 3624, 18, 'Erro na \"\"SMS Gateway \"\" seleção');
INSERT INTO `lang_definitions` VALUES (90999, 3625, 18, 'Erro na \"\"Ordenar por \"\" seleção');
INSERT INTO `lang_definitions` VALUES (91000, 3626, 18, 'Erro na compactação gzip do arquivo:');
INSERT INTO `lang_definitions` VALUES (91001, 3627, 18, 'Erro na opção SIM ou NÃO');
INSERT INTO `lang_definitions` VALUES (91002, 3628, 18, 'ERRO Faltando ID do Paciente');
INSERT INTO `lang_definitions` VALUES (91003, 3629, 18, 'Número do erro');
INSERT INTO `lang_definitions` VALUES (91004, 3630, 18, 'Erro ao abrir o arquivo enviado para leitura');
INSERT INTO `lang_definitions` VALUES (91005, 3631, 18, 'Erro ao processar arquivo');
INSERT INTO `lang_definitions` VALUES (91006, 3632, 18, 'Erro ao processar o upload');
INSERT INTO `lang_definitions` VALUES (91007, 3633, 18, 'Erro ao remover mensagem');
INSERT INTO `lang_definitions` VALUES (91008, 3634, 18, 'Erro ao recuperar resultados do Lab Exchange Network');
INSERT INTO `lang_definitions` VALUES (91009, 3635, 18, 'Erro ao recuperar valores');
INSERT INTO `lang_definitions` VALUES (91010, 3636, 18, 'Erro ao salvar documento');
INSERT INTO `lang_definitions` VALUES (91011, 3637, 18, 'Erro ao conceder privilégio de arquivo ao usuário OpenEMR');
INSERT INTO `lang_definitions` VALUES (91012, 3638, 18, 'Erro ao adicionar novo plano');
INSERT INTO `lang_definitions` VALUES (91013, 3639, 18, 'Erro ao excluir o plano');
INSERT INTO `lang_definitions` VALUES (91014, 3640, 18, 'erro ao registrar formulário!');
INSERT INTO `lang_definitions` VALUES (91015, 3641, 18, 'Erro ao salvar o arquivo');
INSERT INTO `lang_definitions` VALUES (91016, 3642, 18, 'Erro ao atualizar o plano');
INSERT INTO `lang_definitions` VALUES (91017, 3643, 18, 'Erro ao gravar no arquivo');
INSERT INTO `lang_definitions` VALUES (91018, 3645, 18, 'ERROR! ... na atualização');
INSERT INTO `lang_definitions` VALUES (91019, 3646, 18, 'erro (s) encontrado (s) em novos resultados');
INSERT INTO `lang_definitions` VALUES (91020, 3649, 18, 'Erro, o arquivo do certificado CA não existe');
INSERT INTO `lang_definitions` VALUES (91021, 3650, 18, 'Erro, o arquivo de chave CA não existe');
INSERT INTO `lang_definitions` VALUES (91022, 3651, 18, 'Erro, o arquivo não existe');
INSERT INTO `lang_definitions` VALUES (91023, 3652, 18, 'Erro, incapaz de coletar dados de servidor');
INSERT INTO `lang_definitions` VALUES (91024, 3653, 18, 'Erro, não foi possível criar certificado de cliente');
INSERT INTO `lang_definitions` VALUES (91025, 3654, 18, 'Erro, não foi possível criar o certificado admin.p12');
INSERT INTO `lang_definitions` VALUES (91026, 3655, 18, 'Erro, não foi possível criar o certificado da Autoridade de Certificação');
INSERT INTO `lang_definitions` VALUES (91027, 3656, 18, 'Erro, não foi possível criar o certificado do servidor');
INSERT INTO `lang_definitions` VALUES (91028, 3658, 18, 'Erro, não foi possível abrir o arquivo');
INSERT INTO `lang_definitions` VALUES (91029, 3659, 18, 'Erro, a autenticação do certificado do usuário não está ativada no OpenEMR');
INSERT INTO `lang_definitions` VALUES (91030, 3662, 18, 'Erro. Tente mais tarde');
INSERT INTO `lang_definitions` VALUES (91031, 3663, 18, 'Erro. Você precisa instalar o módulo PHP Archive / Tar.php');
INSERT INTO `lang_definitions` VALUES (91032, 3664, 18, 'ERRO: não pôde abrir table.sql, forma quebrado?');
INSERT INTO `lang_definitions` VALUES (91033, 3665, 18, 'Erro: ID de campo duplicado');
INSERT INTO `lang_definitions` VALUES (91034, 3666, 18, 'Erro: ID duplicado');
INSERT INTO `lang_definitions` VALUES (91035, 3667, 18, 'Erro: ID duplicado online');
INSERT INTO `lang_definitions` VALUES (91036, 3668, 18, 'Erro: nome duplicado online');
INSERT INTO `lang_definitions` VALUES (91037, 3669, 18, 'ERRO: Campo');
INSERT INTO `lang_definitions` VALUES (91038, 3670, 18, 'ERRO: Módulo ZipArchive PHP ausente');
INSERT INTO `lang_definitions` VALUES (91039, 3671, 18, 'ERRO: Nenhum diretório de importação ICD');
INSERT INTO `lang_definitions` VALUES (91040, 3672, 18, 'Erro: Senha inválida. Verifique sua digitação.');
INSERT INTO `lang_definitions` VALUES (91041, 3673, 18, 'Erro: as senhas não coincidem. Por favor, verifique sua digitação');
INSERT INTO `lang_definitions` VALUES (91042, 3674, 18, 'Erro: o arquivo não existe');
INSERT INTO `lang_definitions` VALUES (91043, 3675, 18, 'ERRO: a seguinte variável contém caracteres inválidos');
INSERT INTO `lang_definitions` VALUES (91044, 3676, 18, 'ERRO: Incapaz de copiar o arquivo');
INSERT INTO `lang_definitions` VALUES (91045, 3677, 18, 'Erro: Não é possível criar arquivo para download');
INSERT INTO `lang_definitions` VALUES (91046, 3678, 18, 'ERRO: Não é possível Criar Arquivo Zip');
INSERT INTO `lang_definitions` VALUES (91047, 3679, 18, 'ERRO: Não é possível extrair o arquivo');
INSERT INTO `lang_definitions` VALUES (91048, 3680, 18, 'ERRO: Não é possível carregar o arquivo no banco de dados');
INSERT INTO `lang_definitions` VALUES (91049, 3681, 18, 'ERRO: Não é possível definir o número da versão');
INSERT INTO `lang_definitions` VALUES (91050, 3682, 18, 'Erros');
INSERT INTO `lang_definitions` VALUES (91051, 3684, 18, 'Status da conta eRx');
INSERT INTO `lang_definitions` VALUES (91052, 3685, 18, 'Registros eRx');
INSERT INTO `lang_definitions` VALUES (91053, 3686, 18, 'Nome ERX');
INSERT INTO `lang_definitions` VALUES (91054, 3687, 18, 'Senha ERX');
INSERT INTO `lang_definitions` VALUES (91055, 3688, 18, 'Função ERX');
INSERT INTO `lang_definitions` VALUES (91056, 3689, 18, 'Usuário ERX');
INSERT INTO `lang_definitions` VALUES (91057, 3690, 18, 'Eritema:');
INSERT INTO `lang_definitions` VALUES (91058, 3691, 18, 'eSign');
INSERT INTO `lang_definitions` VALUES (91059, 3692, 18, 'eSign Log');
INSERT INTO `lang_definitions` VALUES (91060, 3693, 18, 'esquimó');
INSERT INTO `lang_definitions` VALUES (91061, 3694, 18, 'Esofória');
INSERT INTO `lang_definitions` VALUES (91062, 3695, 18, 'esotropia');
INSERT INTO `lang_definitions` VALUES (91063, 3696, 18, 'esperanto');
INSERT INTO `lang_definitions` VALUES (91064, 3698, 18, 'estabelecido');
INSERT INTO `lang_definitions` VALUES (91065, 3699, 18, 'Paciente Antigo');
INSERT INTO `lang_definitions` VALUES (91066, 3700, 18, 'estónio');
INSERT INTO `lang_definitions` VALUES (91067, 3701, 18, 'Etnia');
INSERT INTO `lang_definitions` VALUES (91068, 3702, 18, 'Etnia ou raça');
INSERT INTO `lang_definitions` VALUES (91069, 3703, 18, 'Étnico-Lista Raça (escrever, adicionar opcional)');
INSERT INTO `lang_definitions` VALUES (91070, 3704, 18, 'Lista de etnicidade-raça (escriver, adicionalmente opcional ) (ethrace)');
INSERT INTO `lang_definitions` VALUES (91071, 3705, 18, 'Etnoracial');
INSERT INTO `lang_definitions` VALUES (91072, 3706, 18, 'Etin');
INSERT INTO `lang_definitions` VALUES (91073, 3707, 18, 'ETOH');
INSERT INTO `lang_definitions` VALUES (91074, 3708, 18, 'ET {{esotropia}}');
INSERT INTO `lang_definitions` VALUES (91075, 3709, 18, 'Evento');
INSERT INTO `lang_definitions` VALUES (91076, 3710, 18, 'Evento começa');
INSERT INTO `lang_definitions` VALUES (91077, 3711, 18, 'Categoria do evento');
INSERT INTO `lang_definitions` VALUES (91078, 3712, 18, 'Data do Evento');
INSERT INTO `lang_definitions` VALUES (91079, 3713, 18, 'data do evento ou data de início');
INSERT INTO `lang_definitions` VALUES (91080, 3714, 18, 'Descrição do evento');
INSERT INTO `lang_definitions` VALUES (91081, 3715, 18, 'Detalhes do evento');
INSERT INTO `lang_definitions` VALUES (91082, 3716, 18, 'Evento não se repete');
INSERT INTO `lang_definitions` VALUES (91083, 3717, 18, 'Duração do evento');
INSERT INTO `lang_definitions` VALUES (91084, 3718, 18, 'Evento duração em minutos');
INSERT INTO `lang_definitions` VALUES (91085, 3719, 18, 'Taxa de Eventos');
INSERT INTO `lang_definitions` VALUES (91086, 3720, 18, 'Local do evento');
INSERT INTO `lang_definitions` VALUES (91087, 3721, 18, 'Evento se repete');
INSERT INTO `lang_definitions` VALUES (91088, 3722, 18, 'Evento se repete no');
INSERT INTO `lang_definitions` VALUES (91089, 3723, 18, 'Evento hora de início');
INSERT INTO `lang_definitions` VALUES (91090, 3724, 18, 'Título do evento');
INSERT INTO `lang_definitions` VALUES (91091, 3725, 18, 'Título do Evento');
INSERT INTO `lang_definitions` VALUES (91092, 3726, 18, 'Website do evento');
INSERT INTO `lang_definitions` VALUES (91093, 3727, 18, 'Eventos');
INSERT INTO `lang_definitions` VALUES (91094, 3728, 18, 'Eventos para');
INSERT INTO `lang_definitions` VALUES (91095, 3729, 18, 'Eventos abrir em uma nova janela');
INSERT INTO `lang_definitions` VALUES (91096, 3730, 18, 'Eventos Agendados');
INSERT INTO `lang_definitions` VALUES (91097, 3731, 18, 'cada um');
INSERT INTO `lang_definitions` VALUES (91098, 3732, 18, 'Cada um');
INSERT INTO `lang_definitions` VALUES (91099, 3733, 18, 'A cada 2');
INSERT INTO `lang_definitions` VALUES (91100, 3734, 18, 'a cada 3 horas');
INSERT INTO `lang_definitions` VALUES (91101, 3735, 18, 'A cada 3');
INSERT INTO `lang_definitions` VALUES (91102, 3736, 18, 'a cada 4 horas');
INSERT INTO `lang_definitions` VALUES (91103, 3737, 18, 'A cada 4');
INSERT INTO `lang_definitions` VALUES (91104, 3738, 18, 'a cada 5 horas');
INSERT INTO `lang_definitions` VALUES (91105, 3739, 18, 'A cada 5');
INSERT INTO `lang_definitions` VALUES (91106, 3740, 18, 'a cada 6 horas');
INSERT INTO `lang_definitions` VALUES (91107, 3741, 18, 'A cada 6');
INSERT INTO `lang_definitions` VALUES (91108, 3742, 18, 'a cada 8 horas');
INSERT INTO `lang_definitions` VALUES (91109, 3743, 18, 'Toda Quarta');
INSERT INTO `lang_definitions` VALUES (91110, 3744, 18, 'Todos nomes aparecem aqui e não apenas os dos médicos.');
INSERT INTO `lang_definitions` VALUES (91111, 3745, 18, 'Todos os outros');
INSERT INTO `lang_definitions` VALUES (91112, 3746, 18, 'Cada Terceiro');
INSERT INTO `lang_definitions` VALUES (91113, 3747, 18, 'Todos os dias, todas as outras, a cada 3, etc');
INSERT INTO `lang_definitions` VALUES (91114, 3748, 18, 'Ewe');
INSERT INTO `lang_definitions` VALUES (91115, 3749, 18, 'Os resultados dos exames e teste');
INSERT INTO `lang_definitions` VALUES (91116, 3750, 18, 'Os resultados dos exames');
INSERT INTO `lang_definitions` VALUES (91117, 3751, 18, 'Sala de exame #');
INSERT INTO `lang_definitions` VALUES (91118, 3752, 18, 'Número da sala de exame');
INSERT INTO `lang_definitions` VALUES (91119, 3753, 18, 'Examination');
INSERT INTO `lang_definitions` VALUES (91120, 3754, 18, 'Data Exame');
INSERT INTO `lang_definitions` VALUES (91121, 3755, 18, 'Exemplo');
INSERT INTO `lang_definitions` VALUES (91122, 3756, 18, 'Os aplicativos de autenticação de exemplo incluem');
INSERT INTO `lang_definitions` VALUES (91123, 3757, 18, 'Exemplo de Acordo de Privacidade. O texto torna-se o botão Acordo de Privacidade em Documentos de Pacientes');
INSERT INTO `lang_definitions` VALUES (91124, 3758, 18, 'Examples');
INSERT INTO `lang_definitions` VALUES (91125, 3759, 18, 'Exemplos de seções são - medicamentos, alergias, sinais vitais');
INSERT INTO `lang_definitions` VALUES (91126, 3760, 18, 'Exames / Testes');
INSERT INTO `lang_definitions` VALUES (91127, 3761, 18, 'Exame {{Exame Físico}}');
INSERT INTO `lang_definitions` VALUES (91128, 3762, 18, 'Exceto');
INSERT INTO `lang_definitions` VALUES (91129, 3763, 18, 'Lacrimejamento excessivo');
INSERT INTO `lang_definitions` VALUES (91130, 3765, 18, 'Compromissos excluídos - Dica - Número a exibir');
INSERT INTO `lang_definitions` VALUES (91131, 3766, 18, 'Pacientes Excluídos');
INSERT INTO `lang_definitions` VALUES (91132, 3767, 18, 'Exclusão');
INSERT INTO `lang_definitions` VALUES (91133, 3768, 18, 'Exclusive Provider Organization (EPO)');
INSERT INTO `lang_definitions` VALUES (91134, 3769, 18, 'Executáveis não permitidos');
INSERT INTO `lang_definitions` VALUES (91135, 3770, 18, 'Tamanho de papel executivo');
INSERT INTO `lang_definitions` VALUES (91136, 3771, 18, 'Exercício');
INSERT INTO `lang_definitions` VALUES (91137, 3772, 18, 'Padrões de exercício');
INSERT INTO `lang_definitions` VALUES (91138, 3773, 18, 'Padrões de exercício');
INSERT INTO `lang_definitions` VALUES (91139, 3774, 18, 'Existir');
INSERT INTO `lang_definitions` VALUES (91140, 3777, 18, 'Saída');
INSERT INTO `lang_definitions` VALUES (91141, 3778, 18, 'Sair do Administração');
INSERT INTO `lang_definitions` VALUES (91142, 3779, 18, 'Sair do correio');
INSERT INTO `lang_definitions` VALUES (91143, 3780, 18, 'Exoforia');
INSERT INTO `lang_definitions` VALUES (91144, 3781, 18, 'Exotropia');
INSERT INTO `lang_definitions` VALUES (91145, 3782, 18, 'Exp');
INSERT INTO `lang_definitions` VALUES (91146, 3783, 18, 'Data de validade');
INSERT INTO `lang_definitions` VALUES (91147, 3784, 18, 'Expandir');
INSERT INTO `lang_definitions` VALUES (91148, 3785, 18, 'expandir');
INSERT INTO `lang_definitions` VALUES (91149, 3787, 18, 'Expandir Todos');
INSERT INTO `lang_definitions` VALUES (91150, 3788, 18, 'Expandir Todas as categorias de documentos');
INSERT INTO `lang_definitions` VALUES (91151, 3789, 18, 'Expandir Todas as categorias de documentos por padrão');
INSERT INTO `lang_definitions` VALUES (91152, 3790, 18, 'Expandir formulário');
INSERT INTO `lang_definitions` VALUES (91153, 3792, 18, 'Visualização Expandida');
INSERT INTO `lang_definitions` VALUES (91154, 3793, 18, 'Form_encounter.pid Esperado ser');
INSERT INTO `lang_definitions` VALUES (91155, 3794, 18, 'Expiração');
INSERT INTO `lang_definitions` VALUES (91156, 3795, 18, 'Data de Expiração');
INSERT INTO `lang_definitions` VALUES (91157, 3797, 18, 'Expira');
INSERT INTO `lang_definitions` VALUES (91158, 3798, 18, 'expira em');
INSERT INTO `lang_definitions` VALUES (91159, 3799, 18, 'Exportação');
INSERT INTO `lang_definitions` VALUES (91160, 3800, 18, 'Exportar como CSV');
INSERT INTO `lang_definitions` VALUES (91161, 3801, 18, 'Exportar faturamento');
INSERT INTO `lang_definitions` VALUES (91162, 3802, 18, 'Exportar configuração');
INSERT INTO `lang_definitions` VALUES (91163, 3803, 18, 'Export File');
INSERT INTO `lang_definitions` VALUES (91164, 3804, 18, 'Exportar faturas individuais');
INSERT INTO `lang_definitions` VALUES (91165, 3805, 18, 'Exportar OFX');
INSERT INTO `lang_definitions` VALUES (91166, 3806, 18, 'Exportar Informações do Paciente');
INSERT INTO `lang_definitions` VALUES (91167, 3807, 18, 'Exportar XML de dados demográficos de pacientes');
INSERT INTO `lang_definitions` VALUES (91168, 3808, 18, 'Exportar relatório PQRI');
INSERT INTO `lang_definitions` VALUES (91169, 3809, 18, 'Exportar relatório QRDA');
INSERT INTO `lang_definitions` VALUES (91170, 3810, 18, 'Exportar como CSV Selecionados');
INSERT INTO `lang_definitions` VALUES (91171, 3811, 18, 'Coleções selecionadas para exportação');
INSERT INTO `lang_definitions` VALUES (91172, 3812, 18, 'Exportar para CSV');
INSERT INTO `lang_definitions` VALUES (91173, 3813, 18, 'Exportar para o sistema de faturamento externo');
INSERT INTO `lang_definitions` VALUES (91174, 3814, 18, 'Exportar Saldos Zero');
INSERT INTO `lang_definitions` VALUES (91175, 3815, 18, 'A exposição ao Estrangeiro');
INSERT INTO `lang_definitions` VALUES (91176, 3816, 18, 'Exposição ao Estrangeiro');
INSERT INTO `lang_definitions` VALUES (91177, 3818, 18, 'Tempo ext coletado');
INSERT INTO `lang_definitions` VALUES (91178, 3819, 18, 'Família grande');
INSERT INTO `lang_definitions` VALUES (91179, 3820, 18, 'Externo');
INSERT INTO `lang_definitions` VALUES (91180, 3821, 18, 'Dados Externos');
INSERT INTO `lang_definitions` VALUES (91181, 3822, 18, 'Dados externos - quaisquer dados externos vinculados a encontros ou procedimentos');
INSERT INTO `lang_definitions` VALUES (91182, 3823, 18, 'Carga de Dados Externos');
INSERT INTO `lang_definitions` VALUES (91183, 3824, 18, 'Utilitário de importação de Base de Dados Externa');
INSERT INTO `lang_definitions` VALUES (91184, 3826, 18, 'Exame Externo');
INSERT INTO `lang_definitions` VALUES (91185, 3827, 18, 'Valores padrão de exames externos');
INSERT INTO `lang_definitions` VALUES (91186, 3828, 18, 'N# Cadastro');
INSERT INTO `lang_definitions` VALUES (91187, 3829, 18, 'Id Externo');
INSERT INTO `lang_definitions` VALUES (91188, 3830, 18, 'Identificador externo');
INSERT INTO `lang_definitions` VALUES (91189, 3831, 18, 'Somente Externo');
INSERT INTO `lang_definitions` VALUES (91190, 3832, 18, 'Organização Externa');
INSERT INTO `lang_definitions` VALUES (91191, 3833, 18, 'External Provider');
INSERT INTO `lang_definitions` VALUES (91192, 3834, 18, 'Consulta externa');
INSERT INTO `lang_definitions` VALUES (91193, 3835, 18, 'Consulta Externa Followups');
INSERT INTO `lang_definitions` VALUES (91194, 3836, 18, 'Externos de referência?');
INSERT INTO `lang_definitions` VALUES (91195, 3837, 18, 'Referências externas');
INSERT INTO `lang_definitions` VALUES (91196, 3838, 18, 'Extraia o arquivo zip');
INSERT INTO `lang_definitions` VALUES (91197, 3839, 18, 'Extraindo o arquivo. Isso vai levar algum tempo...');
INSERT INTO `lang_definitions` VALUES (91198, 3840, 18, 'Exsudato:');
INSERT INTO `lang_definitions` VALUES (91199, 3841, 18, 'Olho');
INSERT INTO `lang_definitions` VALUES (91200, 3842, 18, 'Campos de codificação ocular');
INSERT INTO `lang_definitions` VALUES (91201, 3843, 18, 'Termos de codificação do olho');
INSERT INTO `lang_definitions` VALUES (91202, 3844, 18, 'Lista de marcas de lentes de contato oculares');
INSERT INTO `lang_definitions` VALUES (91203, 3845, 18, 'Lista de fabricantes de lentes de contato oculares');
INSERT INTO `lang_definitions` VALUES (91204, 3846, 18, 'Lista de fornecedores de lentes de contato oculares');
INSERT INTO `lang_definitions` VALUES (91205, 3847, 18, 'Eye Dx {{diagnóstico do olho}}');
INSERT INTO `lang_definitions` VALUES (91206, 3848, 18, 'Exame óptico');
INSERT INTO `lang_definitions` VALUES (91207, 3849, 18, 'Valores padrão do exame de vista para novos provedores');
INSERT INTO `lang_definitions` VALUES (91208, 3850, 18, 'Irritação dos olhos');
INSERT INTO `lang_definitions` VALUES (91209, 3851, 18, 'Material para lentes oculares');
INSERT INTO `lang_definitions` VALUES (91210, 3852, 18, 'Tratamentos para lentes oculares');
INSERT INTO `lang_definitions` VALUES (91211, 3853, 18, 'Eye Med');
INSERT INTO `lang_definitions` VALUES (91212, 3855, 18, 'Padrões de ordens de olhos');
INSERT INTO `lang_definitions` VALUES (91213, 3856, 18, 'Dor ocular');
INSERT INTO `lang_definitions` VALUES (91214, 3857, 18, 'Eye QP List ANTSEG para novos provedores');
INSERT INTO `lang_definitions` VALUES (91215, 3858, 18, 'Eye QP List EXT para novos provedores');
INSERT INTO `lang_definitions` VALUES (91216, 3859, 18, 'Eye QP List RETINA para novos provedores');
INSERT INTO `lang_definitions` VALUES (91217, 3860, 18, 'Vermelhidão dos olhos');
INSERT INTO `lang_definitions` VALUES (91218, 3861, 18, 'Cirurgia ocular');
INSERT INTO `lang_definitions` VALUES (91219, 3862, 18, 'Conta-gotas');
INSERT INTO `lang_definitions` VALUES (91220, 3863, 18, 'Olhos');
INSERT INTO `lang_definitions` VALUES (91221, 3864, 18, 'E{{esoforia}}');
INSERT INTO `lang_definitions` VALUES (91222, 3865, 18, 'F');
INSERT INTO `lang_definitions` VALUES (91223, 3866, 18, 'F / H problemas do sangue');
INSERT INTO `lang_definitions` VALUES (91224, 3867, 18, 'F / H Feminino Hirsutismo / Estrias');
INSERT INTO `lang_definitions` VALUES (91225, 3868, 18, 'Clínicas');
INSERT INTO `lang_definitions` VALUES (91226, 3869, 18, 'Clínica');
INSERT INTO `lang_definitions` VALUES (91227, 3870, 18, 'Motor');
INSERT INTO `lang_definitions` VALUES (91228, 3871, 18, 'Clínica de Administração');
INSERT INTO `lang_definitions` VALUES (91229, 3872, 18, 'Cidade das Instalações');
INSERT INTO `lang_definitions` VALUES (91230, 3873, 18, 'Clínica Código');
INSERT INTO `lang_definitions` VALUES (91231, 3874, 18, 'Esquema de cores das instalações');
INSERT INTO `lang_definitions` VALUES (91232, 3875, 18, 'Código do país da instalação');
INSERT INTO `lang_definitions` VALUES (91233, 3876, 18, 'Fax de instalação');
INSERT INTO `lang_definitions` VALUES (91234, 3877, 18, 'Facility ID');
INSERT INTO `lang_definitions` VALUES (91235, 3878, 18, 'Facility Name');
INSERT INTO `lang_definitions` VALUES (91236, 3879, 18, 'CNPJ da Clínica');
INSERT INTO `lang_definitions` VALUES (91237, 3880, 18, 'Telefone de instalação');
INSERT INTO `lang_definitions` VALUES (91238, 3881, 18, 'Instalação reflete a instalação em que a visita ocorreu');
INSERT INTO `lang_definitions` VALUES (91239, 3882, 18, 'Informações Específicas do Usuário');
INSERT INTO `lang_definitions` VALUES (91240, 3883, 18, 'Estado da instalação');
INSERT INTO `lang_definitions` VALUES (91241, 3884, 18, 'Rua das instalações');
INSERT INTO `lang_definitions` VALUES (91242, 3885, 18, 'Taxonomia de instalação');
INSERT INTO `lang_definitions` VALUES (91243, 3886, 18, 'CEP das instalações');
INSERT INTO `lang_definitions` VALUES (91244, 3887, 18, 'Código postal da instalação');
INSERT INTO `lang_definitions` VALUES (91245, 3888, 18, 'Clínica:');
INSERT INTO `lang_definitions` VALUES (91246, 3889, 18, 'FALHAR');
INSERT INTO `lang_definitions` VALUES (91247, 3890, 18, 'Falha');
INSERT INTO `lang_definitions` VALUES (91248, 3891, 18, 'falha');
INSERT INTO `lang_definitions` VALUES (91249, 3892, 18, 'Falha - já tem um grupo com o mesmo nome');
INSERT INTO `lang_definitions` VALUES (91250, 3893, 18, 'Pacientes Reprovados');
INSERT INTO `lang_definitions` VALUES (91251, 3896, 18, 'Falha ao adicionar paciente ao portal');
INSERT INTO `lang_definitions` VALUES (91252, 3897, 18, 'Falha ao calcular um nome de arquivo único');
INSERT INTO `lang_definitions` VALUES (91253, 3898, 18, 'Falha ao criar');
INSERT INTO `lang_definitions` VALUES (91254, 3899, 18, 'Falha ao criar pasta');
INSERT INTO `lang_definitions` VALUES (91255, 3900, 18, 'Falha ao criar novo grupo');
INSERT INTO `lang_definitions` VALUES (91256, 3901, 18, 'Falha ao criar pasta temporária. CouchDB não funcionará');
INSERT INTO `lang_definitions` VALUES (91257, 3902, 18, 'Falha ao gerar');
INSERT INTO `lang_definitions` VALUES (91258, 3903, 18, 'Falha ao obter URL:');
INSERT INTO `lang_definitions` VALUES (91259, 3904, 18, 'Falha ao enviar');
INSERT INTO `lang_definitions` VALUES (91260, 3906, 18, 'Falha na verificação de codificação UTF8! Não foi possível corrigir automaticamente');
INSERT INTO `lang_definitions` VALUES (91261, 3907, 18, 'Falha');
INSERT INTO `lang_definitions` VALUES (91262, 3908, 18, 'falha');
INSERT INTO `lang_definitions` VALUES (91263, 3909, 18, 'Falha');
INSERT INTO `lang_definitions` VALUES (91264, 3910, 18, 'AVISO DE FALHA: Falha no envio de mensagem direta');
INSERT INTO `lang_definitions` VALUES (91265, 3911, 18, 'FALHA: Não foi possível criar o zip');
INSERT INTO `lang_definitions` VALUES (91266, 3912, 18, 'FALHA: Nenhum paciente para medição');
INSERT INTO `lang_definitions` VALUES (91267, 3913, 18, 'Quedas: triagem, avaliação de riscos e plano de cuidados para prevenir quedas futuras (CQM)');
INSERT INTO `lang_definitions` VALUES (91268, 3915, 18, 'Histórico da Saúde da Família');
INSERT INTO `lang_definitions` VALUES (91269, 3916, 18, 'Histórico da Família');
INSERT INTO `lang_definitions` VALUES (91270, 3917, 18, 'Histórico familiar - documenta a histórico familiar do paciente, um diagnóstico CID10 pode ser vinculado às condições médicas');
INSERT INTO `lang_definitions` VALUES (91271, 3918, 18, 'Histórico familiar de glaucoma');
INSERT INTO `lang_definitions` VALUES (91272, 3919, 18, 'Histórico da Família:');
INSERT INTO `lang_definitions` VALUES (91273, 3920, 18, 'Membro da família');
INSERT INTO `lang_definitions` VALUES (91274, 3921, 18, 'Pagamento da Família');
INSERT INTO `lang_definitions` VALUES (91275, 3922, 18, 'Tamanho Família');
INSERT INTO `lang_definitions` VALUES (91276, 3923, 18, 'Fancy');
INSERT INTO `lang_definitions` VALUES (91277, 3924, 18, 'Faroense');
INSERT INTO `lang_definitions` VALUES (91278, 3925, 18, 'Farsi');
INSERT INTO `lang_definitions` VALUES (91279, 3926, 18, 'Jejum');
INSERT INTO `lang_definitions` VALUES (91280, 3927, 18, 'Fatal');
INSERT INTO `lang_definitions` VALUES (91281, 3928, 18, 'Pai');
INSERT INTO `lang_definitions` VALUES (91282, 3929, 18, 'Histórico dos Pais');
INSERT INTO `lang_definitions` VALUES (91283, 3930, 18, 'Fadiga');
INSERT INTO `lang_definitions` VALUES (91284, 3931, 18, 'Fatigado');
INSERT INTO `lang_definitions` VALUES (91285, 3932, 18, 'Favoritos');
INSERT INTO `lang_definitions` VALUES (91286, 3933, 18, 'Fax');
INSERT INTO `lang_definitions` VALUES (91287, 3934, 18, 'Contagem de fax');
INSERT INTO `lang_definitions` VALUES (91288, 3935, 18, 'Fax');
INSERT INTO `lang_definitions` VALUES (91289, 3936, 18, 'Falha no envio do fax');
INSERT INTO `lang_definitions` VALUES (91290, 3937, 18, 'Fax / Digitalização');
INSERT INTO `lang_definitions` VALUES (91291, 3938, 18, 'Faxes no');
INSERT INTO `lang_definitions` VALUES (91292, 3939, 18, 'Faxes Out');
INSERT INTO `lang_definitions` VALUES (91293, 3940, 18, 'Características');
INSERT INTO `lang_definitions` VALUES (91294, 3941, 18, 'Fevereiro');
INSERT INTO `lang_definitions` VALUES (91295, 3942, 18, 'Fevereiro');
INSERT INTO `lang_definitions` VALUES (91296, 3943, 18, 'FECA');
INSERT INTO `lang_definitions` VALUES (91297, 3944, 18, 'Estado do CRM');
INSERT INTO `lang_definitions` VALUES (91298, 3945, 18, 'CRM');
INSERT INTO `lang_definitions` VALUES (91299, 3946, 18, 'CRM');
INSERT INTO `lang_definitions` VALUES (91300, 3947, 18, 'Centro de saúde qualificado pelo governo federal');
INSERT INTO `lang_definitions` VALUES (91301, 3948, 18, 'Honorários');
INSERT INTO `lang_definitions` VALUES (91302, 3949, 18, 'honorários');
INSERT INTO `lang_definitions` VALUES (91303, 3950, 18, 'Taxa não é permitido');
INSERT INTO `lang_definitions` VALUES (91304, 3951, 18, 'Lançamento dos Procedimentos');
INSERT INTO `lang_definitions` VALUES (91305, 3952, 18, 'Folha de taxas para');
INSERT INTO `lang_definitions` VALUES (91306, 3953, 18, 'Lista de Pagamentos Opções');
INSERT INTO `lang_definitions` VALUES (91307, 3955, 18, 'Honorários');
INSERT INTO `lang_definitions` VALUES (91308, 3956, 18, 'Feminino');
INSERT INTO `lang_definitions` VALUES (91309, 3957, 18, 'Feminino AP');
INSERT INTO `lang_definitions` VALUES (91310, 3958, 18, 'Preservativos Femininos');
INSERT INTO `lang_definitions` VALUES (91311, 3959, 18, 'Mulher G');
INSERT INTO `lang_definitions` VALUES (91312, 3960, 18, 'Feminino LC');
INSERT INTO `lang_definitions` VALUES (91313, 3961, 18, 'P Feminino');
INSERT INTO `lang_definitions` VALUES (91314, 3962, 18, 'Feminino Sintomas');
INSERT INTO `lang_definitions` VALUES (91315, 3963, 18, 'Feminino VSC');
INSERT INTO `lang_definitions` VALUES (91316, 3964, 18, 'Busca');
INSERT INTO `lang_definitions` VALUES (91317, 3965, 18, 'Buscando o seguinte arquivo do portal');
INSERT INTO `lang_definitions` VALUES (91318, 3966, 18, 'Febre');
INSERT INTO `lang_definitions` VALUES (91319, 3967, 18, 'Febre:');
INSERT INTO `lang_definitions` VALUES (91320, 3968, 18, 'FH problemas do sangue');
INSERT INTO `lang_definitions` VALUES (91321, 3969, 18, 'FHD, WUXGA');
INSERT INTO `lang_definitions` VALUES (91322, 3970, 18, 'Endereço de base do servidor FHIR');
INSERT INTO `lang_definitions` VALUES (91323, 3971, 18, 'FH {{Histórico da Família}}');
INSERT INTO `lang_definitions` VALUES (91324, 3972, 18, 'Fibromiomas');
INSERT INTO `lang_definitions` VALUES (91325, 3973, 18, 'FIDO U2F - Universal 2nd Factor da aliança Fast IDentity Online');
INSERT INTO `lang_definitions` VALUES (91326, 3974, 18, 'Campo');
INSERT INTO `lang_definitions` VALUES (91327, 3975, 18, 'O campo \'nome\' não pode estar NULO');
INSERT INTO `lang_definitions` VALUES (91328, 3976, 18, 'ID de campo');
INSERT INTO `lang_definitions` VALUES (91329, 3977, 18, 'Campo não adequado para opção de edição M');
INSERT INTO `lang_definitions` VALUES (91330, 3978, 18, 'Tipo de campo a ser usado para empregador ou país do assinante em dados demográficos');
INSERT INTO `lang_definitions` VALUES (91331, 3979, 18, 'Tipo de campo a ser usado para empregador ou estado do assinante em dados demográficos');
INSERT INTO `lang_definitions` VALUES (91332, 3980, 18, 'Campo (s) estão faltando!');
INSERT INTO `lang_definitions` VALUES (91333, 3981, 18, 'CAMPO: Texto (.a);');
INSERT INTO `lang_definitions` VALUES (91334, 3982, 18, 'Campos neste formulário');
INSERT INTO `lang_definitions` VALUES (91335, 3983, 18, 'Campos{{campos visuais}}');
INSERT INTO `lang_definitions` VALUES (91336, 3984, 18, 'Quinta mensagem da conta');
INSERT INTO `lang_definitions` VALUES (91337, 3985, 18, 'Fijian');
INSERT INTO `lang_definitions` VALUES (91338, 3986, 18, 'Arquivo');
INSERT INTO `lang_definitions` VALUES (91339, 3987, 18, 'O nome da base do arquivo torna-se a seleção do menu');
INSERT INTO `lang_definitions` VALUES (91340, 3988, 18, 'Erro de arquivo');
INSERT INTO `lang_definitions` VALUES (91341, 3989, 18, 'arquivo no diretório de documentação para aprender como automatizar o processo de criação de backups de log');
INSERT INTO `lang_definitions` VALUES (91342, 3990, 18, 'localização de arquivo');
INSERT INTO `lang_definitions` VALUES (91343, 3991, 18, 'Gerenciamento de arquivos');
INSERT INTO `lang_definitions` VALUES (91344, 3992, 18, 'arquivo faltando');
INSERT INTO `lang_definitions` VALUES (91345, 3993, 18, 'Nome do arquivo');
INSERT INTO `lang_definitions` VALUES (91346, 3994, 18, 'Arquivo não encontrado');
INSERT INTO `lang_definitions` VALUES (91347, 3995, 18, 'File Not Found');
INSERT INTO `lang_definitions` VALUES (91348, 3996, 18, 'Arquivo no servidor (data de modificação)');
INSERT INTO `lang_definitions` VALUES (91349, 3997, 18, 'Caminho do arquivo não encontrado');
INSERT INTO `lang_definitions` VALUES (91350, 3998, 18, 'Privilégio de arquivo concedido ao usuário OpenEMR');
INSERT INTO `lang_definitions` VALUES (91351, 3999, 18, 'A recuperação do arquivo do CouchDB falhou');
INSERT INTO `lang_definitions` VALUES (91352, 4000, 18, 'Arquivo do quarto');
INSERT INTO `lang_definitions` VALUES (91353, 4001, 18, 'Arquivo para upload');
INSERT INTO `lang_definitions` VALUES (91354, 4002, 18, 'Arquivo para upload');
INSERT INTO `lang_definitions` VALUES (91355, 4003, 18, 'Arquivo com mesmo nome já existe no local:');
INSERT INTO `lang_definitions` VALUES (91356, 4004, 18, 'Nome do Arquivo');
INSERT INTO `lang_definitions` VALUES (91357, 4005, 18, 'O nome do arquivo deve terminar com \".pdf\"');
INSERT INTO `lang_definitions` VALUES (91358, 4006, 18, 'Arquivos');
INSERT INTO `lang_definitions` VALUES (91359, 4008, 18, 'Lista branca de tipos de arquivos');
INSERT INTO `lang_definitions` VALUES (91360, 4009, 18, 'Arquivos com miniatura vazia');
INSERT INTO `lang_definitions` VALUES (91361, 4010, 18, 'tipo de arquivo não é aceito');
INSERT INTO `lang_definitions` VALUES (91362, 4011, 18, 'Filipino');
INSERT INTO `lang_definitions` VALUES (91363, 4012, 18, 'preencher');
INSERT INTO `lang_definitions` VALUES (91364, 4013, 18, 'Preencha qualquer uma das linhas abaixo.');
INSERT INTO `lang_definitions` VALUES (91365, 4014, 18, 'Preencha somente para envio de notificação de e-mail aos pacientes');
INSERT INTO `lang_definitions` VALUES (91366, 4015, 18, 'Preencha todos os detalhes ausentes ou edite as informações existentes. Isso será salvo na página de dados demográficos do paciente no openEMR');
INSERT INTO `lang_definitions` VALUES (91367, 4016, 18, 'Preencha os códigos CPT usando o formato exibido. Os códigos E / M comuns já estão preenchidos, adicione mais conforme necessário');
INSERT INTO `lang_definitions` VALUES (91368, 4017, 18, 'Preencha os detalhes conforme necessário e clique em Salvar');
INSERT INTO `lang_definitions` VALUES (91369, 4018, 18, 'Preencha os detalhes do painel Órgão / Doença como antes e clique em Salvar para fechar o pop-up');
INSERT INTO `lang_definitions` VALUES (91370, 4019, 18, 'Preencha os detalhes de maneira semelhante à usada para alergias');
INSERT INTO `lang_definitions` VALUES (91371, 4020, 18, 'Preencha os detalhes necessários de maneira semelhante à dos Problemas Médicos');
INSERT INTO `lang_definitions` VALUES (91372, 4021, 18, 'Preencha o motivo e selecione um provedor e clínica e clique no botão Adicionar Re call para concluir o processo');
INSERT INTO `lang_definitions` VALUES (91373, 4022, 18, 'Preencha os detalhes necessários especialmente para as instalações externas e clique em Salvar');
INSERT INTO `lang_definitions` VALUES (91374, 4023, 18, 'Preencha os valores abaixo');
INSERT INTO `lang_definitions` VALUES (91375, 4024, 18, 'Instruções de preenchimento');
INSERT INTO `lang_definitions` VALUES (91376, 4025, 18, 'Preencha a Linha.');
INSERT INTO `lang_definitions` VALUES (91377, 4026, 18, 'Preencha o seu primeiro e último nome');
INSERT INTO `lang_definitions` VALUES (91378, 4027, 18, 'Preencher os outros campos ajudará a fornecer detalhes adicionais pertinentes à referência');
INSERT INTO `lang_definitions` VALUES (91379, 4028, 18, 'Filtro');
INSERT INTO `lang_definitions` VALUES (91380, 4029, 18, 'Filtro para Constantes');
INSERT INTO `lang_definitions` VALUES (91381, 4030, 18, 'Filtro para Definições');
INSERT INTO `lang_definitions` VALUES (91382, 4031, 18, 'Filtro para');
INSERT INTO `lang_definitions` VALUES (91383, 4032, 18, 'Filtros');
INSERT INTO `lang_definitions` VALUES (91384, 4033, 18, 'filtros');
INSERT INTO `lang_definitions` VALUES (91385, 4034, 18, 'Final');
INSERT INTO `lang_definitions` VALUES (91386, 4035, 18, 'Diagnóstico Final');
INSERT INTO `lang_definitions` VALUES (91387, 4036, 18, 'O diagnóstico final pelo especialista');
INSERT INTO `lang_definitions` VALUES (91388, 4037, 18, 'Status Final');
INSERT INTO `lang_definitions` VALUES (91389, 4038, 18, 'Financeiro');
INSERT INTO `lang_definitions` VALUES (91390, 4039, 18, 'Data de fechamento financeiro (aaaa-mm-dd)');
INSERT INTO `lang_definitions` VALUES (91391, 4040, 18, 'Relato Financeiro - nada');
INSERT INTO `lang_definitions` VALUES (91392, 4041, 18, 'Relatórios financeiros - qualquer coisa (rep_a)');
INSERT INTO `lang_definitions` VALUES (91393, 4042, 18, 'Relato Financeiro - minhas Consultas');
INSERT INTO `lang_definitions` VALUES (91394, 4043, 18, 'Relatórios financeiros - meus encontros (representante)');
INSERT INTO `lang_definitions` VALUES (91395, 4044, 18, 'Financial Review');
INSERT INTO `lang_definitions` VALUES (91396, 4045, 18, 'Financeiro Revisão Data');
INSERT INTO `lang_definitions` VALUES (91397, 4046, 18, 'Resumo Financeiro por código de serviço');
INSERT INTO `lang_definitions` VALUES (91398, 4047, 18, 'As transações financeiras correspondentes ao intervalo de datas, se houver, serão listadas na tabela');
INSERT INTO `lang_definitions` VALUES (91399, 4048, 18, 'Pesq.');
INSERT INTO `lang_definitions` VALUES (91400, 4049, 18, 'Procurar Disponível');
INSERT INTO `lang_definitions` VALUES (91401, 4050, 18, 'Procurar Marcações Disponíveis');
INSERT INTO `lang_definitions` VALUES (91402, 4053, 18, 'Pesquisar Paciente');
INSERT INTO `lang_definitions` VALUES (91403, 4054, 18, 'Encontre Materiais Informativo do Paciente');
INSERT INTO `lang_definitions` VALUES (91404, 4055, 18, 'Encontrar Ordem de Procedimento');
INSERT INTO `lang_definitions` VALUES (91405, 4056, 18, 'Apreciação');
INSERT INTO `lang_definitions` VALUES (91406, 4057, 18, 'Descobertas por um especialista');
INSERT INTO `lang_definitions` VALUES (91407, 4058, 18, 'Agradável');
INSERT INTO `lang_definitions` VALUES (91408, 4059, 18, 'Concluir');
INSERT INTO `lang_definitions` VALUES (91409, 4060, 18, 'Concluir Pagamentos');
INSERT INTO `lang_definitions` VALUES (91410, 4061, 18, 'Concluído');
INSERT INTO `lang_definitions` VALUES (91411, 4062, 18, 'Concluído');
INSERT INTO `lang_definitions` VALUES (91412, 4064, 18, 'Finnish');
INSERT INTO `lang_definitions` VALUES (91413, 4065, 18, 'Primeiro');
INSERT INTO `lang_definitions` VALUES (91414, 4066, 18, 'Mensagem da primeira conta');
INSERT INTO `lang_definitions` VALUES (91415, 4067, 18, 'Primeiro dia da semana');
INSERT INTO `lang_definitions` VALUES (91416, 4068, 18, 'Primeiro dia da semana');
INSERT INTO `lang_definitions` VALUES (91417, 4069, 18, 'Primeira contracepção moderna nesta clínica (com uso prévio de anticoncepcionais)');
INSERT INTO `lang_definitions` VALUES (91418, 4070, 18, 'Primeiro uso de anticoncepcional moderno (vitalício)');
INSERT INTO `lang_definitions` VALUES (91419, 4071, 18, 'Nome');
INSERT INTO `lang_definitions` VALUES (91420, 4072, 18, 'Nome');
INSERT INTO `lang_definitions` VALUES (91421, 4073, 18, 'Nome:');
INSERT INTO `lang_definitions` VALUES (91422, 4074, 18, 'Primeira visita ou consulta');
INSERT INTO `lang_definitions` VALUES (91423, 4075, 18, 'Primeira visita: Sem registros antigos');
INSERT INTO `lang_definitions` VALUES (91424, 4076, 18, 'Somente visitas de primeira vez');
INSERT INTO `lang_definitions` VALUES (91425, 4077, 18, 'Primeiro nome, ultimo nome');
INSERT INTO `lang_definitions` VALUES (91426, 4079, 18, 'Fitness');
INSERT INTO `lang_definitions` VALUES (91427, 4080, 18, 'Fitness: Nível');
INSERT INTO `lang_definitions` VALUES (91428, 4081, 18, 'Nível de preparação física para este jogador neste dia');
INSERT INTO `lang_definitions` VALUES (91429, 4082, 18, 'Fitness Testing');
INSERT INTO `lang_definitions` VALUES (91430, 4083, 18, 'Aptidão para jogar');
INSERT INTO `lang_definitions` VALUES (91431, 4084, 18, 'Corrigir datas de Consultas');
INSERT INTO `lang_definitions` VALUES (91432, 4085, 18, 'Corrigir datas de encontro - quaisquer encontros (date_a)');
INSERT INTO `lang_definitions` VALUES (91433, 4086, 18, 'Corrigir este');
INSERT INTO `lang_definitions` VALUES (91434, 4088, 18, 'FL');
INSERT INTO `lang_definitions` VALUES (91435, 4089, 18, 'Instantâneo');
INSERT INTO `lang_definitions` VALUES (91436, 4090, 18, 'Flatulência');
INSERT INTO `lang_definitions` VALUES (91437, 4091, 18, 'Fluxo');
INSERT INTO `lang_definitions` VALUES (91438, 4092, 18, 'Histórico de Atendimentos');
INSERT INTO `lang_definitions` VALUES (91439, 4093, 18, 'O Quadro de Fluxo exibirá apenas as verificações concluídas por alguns minutos. Zero é exibição contínua');
INSERT INTO `lang_definitions` VALUES (91440, 4094, 18, 'Quadro de fluxo: Permitir intervalo de datas');
INSERT INTO `lang_definitions` VALUES (91441, 4095, 18, 'Quadro de fluxo: Data de término padrão');
INSERT INTO `lang_definitions` VALUES (91442, 4096, 18, 'Quadro de fluxo: Data de início padrão');
INSERT INTO `lang_definitions` VALUES (91443, 4097, 18, 'Quadro de Fluxo: Desativar');
INSERT INTO `lang_definitions` VALUES (91444, 4098, 18, 'Quadro de fluxo: exibe verificações concluídas (minutos)');
INSERT INTO `lang_definitions` VALUES (91445, 4099, 18, 'Quadro de fluxo: ativar teste aleatório de drogas');
INSERT INTO `lang_definitions` VALUES (91446, 4100, 18, 'Quadro de fluxo: Data de término');
INSERT INTO `lang_definitions` VALUES (91447, 4101, 18, 'Quadro de fluxo: Máximo de testes por paciente por ano');
INSERT INTO `lang_definitions` VALUES (91448, 4102, 18, 'Quadro de fluxo: porcentagem de pacientes para teste de drogas');
INSERT INTO `lang_definitions` VALUES (91449, 4103, 18, 'Quadro de Fluxo: Mostrar Número do Encontro');
INSERT INTO `lang_definitions` VALUES (91450, 4104, 18, 'Quadro de fluxo: Mostrar ID do paciente');
INSERT INTO `lang_definitions` VALUES (91451, 4105, 18, 'Quadro de fluxo: Mostrar ação da equipe');
INSERT INTO `lang_definitions` VALUES (91452, 4106, 18, 'Quadro de fluxo: mostrar o motivo da visita');
INSERT INTO `lang_definitions` VALUES (91453, 4107, 18, 'Quadro de fluxo: intervalo de atualização do temporizador');
INSERT INTO `lang_definitions` VALUES (91454, 4108, 18, 'Período de gripe');
INSERT INTO `lang_definitions` VALUES (91455, 4109, 18, 'Período de Gripe');
INSERT INTO `lang_definitions` VALUES (91456, 4110, 18, 'Vacinação contra a gripe');
INSERT INTO `lang_definitions` VALUES (91457, 4111, 18, 'Problema de líquidos e eletrólitos');
INSERT INTO `lang_definitions` VALUES (91458, 4112, 18, 'FMS');
INSERT INTO `lang_definitions` VALUES (91459, 4113, 18, 'Tamanho do papel folio');
INSERT INTO `lang_definitions` VALUES (91460, 4114, 18, 'Siga manualmente');
INSERT INTO `lang_definitions` VALUES (91461, 4115, 18, 'Siga estas instruções para instalar ou atualizar o seguinte banco de dados');
INSERT INTO `lang_definitions` VALUES (91462, 4116, 18, 'Acompanhamento');
INSERT INTO `lang_definitions` VALUES (91463, 4118, 18, 'Nota de Acompanhamento');
INSERT INTO `lang_definitions` VALUES (91464, 4119, 18, 'Razão do Acompanhamento');
INSERT INTO `lang_definitions` VALUES (91465, 4120, 18, 'O seguinte número de entrada de registro de auditoria está faltando');
INSERT INTO `lang_definitions` VALUES (91466, 4121, 18, 'A seguir está uma nova constante personalizada:');
INSERT INTO `lang_definitions` VALUES (91467, 4122, 18, 'A seguir está um novo idioma personalizado:');
INSERT INTO `lang_definitions` VALUES (91468, 4123, 18, 'A seguir está uma nova definição (linguagem, constante, definição):');
INSERT INTO `lang_definitions` VALUES (91469, 4124, 18, 'As linhas a seguir no registro de auditoria foram adulteradas');
INSERT INTO `lang_definitions` VALUES (91470, 4125, 18, 'Serviços de Acompanhamento');
INSERT INTO `lang_definitions` VALUES (91471, 4126, 18, 'Acompanhamento Indicado');
INSERT INTO `lang_definitions` VALUES (91472, 4127, 18, 'Font Size');
INSERT INTO `lang_definitions` VALUES (91473, 4128, 18, 'Tamanho da fonte em pt');
INSERT INTO `lang_definitions` VALUES (91474, 4129, 18, 'Intolerância Alimentar');
INSERT INTO `lang_definitions` VALUES (91475, 4130, 18, 'Pé');
INSERT INTO `lang_definitions` VALUES (91476, 4131, 18, 'Problemas do Pé');
INSERT INTO `lang_definitions` VALUES (91477, 4132, 18, 'Pé:');
INSERT INTO `lang_definitions` VALUES (91478, 4133, 18, 'Football Injuries');
INSERT INTO `lang_definitions` VALUES (91479, 4134, 18, 'Lesão de futebol');
INSERT INTO `lang_definitions` VALUES (91480, 4135, 18, 'Futebol Injury Report');
INSERT INTO `lang_definitions` VALUES (91481, 4136, 18, 'Tipo de calçado');
INSERT INTO `lang_definitions` VALUES (91482, 4137, 18, 'para');
INSERT INTO `lang_definitions` VALUES (91483, 4138, 18, 'Para');
INSERT INTO `lang_definitions` VALUES (91484, 4139, 18, 'para');
INSERT INTO `lang_definitions` VALUES (91485, 4140, 18, 'Para um painel de testes reconhecido');
INSERT INTO `lang_definitions` VALUES (91486, 4141, 18, 'Para que uma pesquisa mostre resultados, os códigos devem existir no banco de dados');
INSERT INTO `lang_definitions` VALUES (91487, 4142, 18, 'Para maior facilidade de uso, a Folha de Taxas precisa ser personalizada');
INSERT INTO `lang_definitions` VALUES (91488, 4143, 18, 'Para um paciente existente, vá para Resumo do Paciente-> Documentos. Para um novo paciente, vá para Miscelânea-> Novos Documentos');
INSERT INTO `lang_definitions` VALUES (91489, 4144, 18, 'Para código');
INSERT INTO `lang_definitions` VALUES (91490, 4145, 18, 'Para grupos personalizados');
INSERT INTO `lang_definitions` VALUES (91491, 4146, 18, 'Para datas');
INSERT INTO `lang_definitions` VALUES (91492, 4147, 18, 'Para instruções detalhadas, feche a janela pop-up \'Inserir detalhes\' e clique no ícone Ajuda no formulário principal');
INSERT INTO `lang_definitions` VALUES (91493, 4148, 18, 'Para instruções detalhadas, feche o pop-up \'Inserir detalhes do provedor\' e clique no ícone Ajuda no formulário principal.');
INSERT INTO `lang_definitions` VALUES (91494, 4149, 18, 'Para cada tipo de problema, há uma lista de títulos comumente selecionados que podem ser personalizados para as necessidades específicas de sua clínica');
INSERT INTO `lang_definitions` VALUES (91495, 4150, 18, 'Para facilidade de uso, é processado como um número único de 6 dígitos');
INSERT INTO `lang_definitions` VALUES (91496, 4151, 18, 'Para editar os valores em Procedimentos, você precisa modificar');
INSERT INTO `lang_definitions` VALUES (91497, 4152, 18, 'Para reivindicações de encontro');
INSERT INTO `lang_definitions` VALUES (91498, 4153, 18, 'para Encontro em');
INSERT INTO `lang_definitions` VALUES (91499, 4154, 18, 'Por exemplo:');
INSERT INTO `lang_definitions` VALUES (91500, 4156, 18, 'Para Firefox clique');
INSERT INTO `lang_definitions` VALUES (91501, 4157, 18, 'Para a funcionalidade completa de faturamento nos Estados Unidos, os códigos CPT / HCPCS serão então necessários ser instalados');
INSERT INTO `lang_definitions` VALUES (91502, 4158, 18, 'Para HCFA 02/12 Box 15 é Outra Data com um qualificador para especificar o que a data indica');
INSERT INTO `lang_definitions` VALUES (91503, 4159, 18, 'Para HCFA 02/12, a data de início especificada no formulário de encontro precisa de um qualificador');
INSERT INTO `lang_definitions` VALUES (91504, 4160, 18, 'Para o código de identificação, use 34392 o código usado por um laboratório principal; se estiver usando um laboratório externo, este é um código específico do fornecedor; caso contrário, você pode atribuir qualquer valor exclusivo');
INSERT INTO `lang_definitions` VALUES (91505, 4161, 18, 'para fatura');
INSERT INTO `lang_definitions` VALUES (91506, 4162, 18, 'Para a entrada manual do laboratório, você pode dar qualquer nome à organização - por exemplo, Laboratório local e clicar em Salvar');
INSERT INTO `lang_definitions` VALUES (91507, 4163, 18, 'Apenas para Medicare, força o provedor de referência a ser o mesmo que o provedor de processamento');
INSERT INTO `lang_definitions` VALUES (91508, 4164, 18, 'Para mais informações sobre os problemas, consulte o');
INSERT INTO `lang_definitions` VALUES (91509, 4165, 18, 'para o número de ordem placer OBR');
INSERT INTO `lang_definitions` VALUES (91510, 4166, 18, 'para paciente');
INSERT INTO `lang_definitions` VALUES (91511, 4167, 18, 'Para procedimentos realizados na prática, se é um procedimento baseado em escritório ou um procedimento laboratorial ou radiológico feito na instalação, o provedor pode ser definido como Laboratório Local, Baseado em Escritório ou ter qualquer nome descritivo');
INSERT INTO `lang_definitions` VALUES (91512, 4168, 18, 'Para a exibição adequada dos resultados, os códigos de identificação para cada teste inserido no módulo Pedidos de procedimento devem ser exclusivos');
INSERT INTO `lang_definitions` VALUES (91513, 4169, 18, 'Para a exibição adequada dos resultados, este é um campo obrigatório');
INSERT INTO `lang_definitions` VALUES (91514, 4170, 18, 'Para a exibição adequada do pedido e dos resultados, a entrada que indica um resultado deve ser o sucessor imediato ou filho de um pedido');
INSERT INTO `lang_definitions` VALUES (91515, 4171, 18, 'Para a exibição tabulada adequada de testes e resultados, um código de identificação é necessário');
INSERT INTO `lang_definitions` VALUES (91516, 4172, 18, 'For Provider');
INSERT INTO `lang_definitions` VALUES (91517, 4173, 18, 'Para Organização / Profissional Indicado');
INSERT INTO `lang_definitions` VALUES (91518, 4174, 18, 'Para que a notificação do falecido apareça, a data da morte deve ser anotada em Painel Médico> Editar Dados Demográficos> Diversos');
INSERT INTO `lang_definitions` VALUES (91519, 4175, 18, 'Para que o nome apareça na lista suspensa, ele deve ser inserido primeiro em Administração> Catálogo de endereços');
INSERT INTO `lang_definitions` VALUES (91520, 4176, 18, 'For the past');
INSERT INTO `lang_definitions` VALUES (91521, 4177, 18, 'Para que o Módulo de Procedimento seja útil, vários testes devem ser configurados usando os métodos acima');
INSERT INTO `lang_definitions` VALUES (91522, 4178, 18, 'Para o Código Padrão, use o código LOINC 24326-1');
INSERT INTO `lang_definitions` VALUES (91523, 4179, 18, 'Para que este nome apareça na caixa suspensa em Procedimentos> Provedores página de configuração selecione apenas Serviço de laboratório como o tipo, mesmo que represente uma instalação radiológica');
INSERT INTO `lang_definitions` VALUES (91524, 4180, 18, 'para este paciente ainda não atribuído a qualquer encontro');
INSERT INTO `lang_definitions` VALUES (91525, 4181, 18, 'Para esses detalhes interessados de OTP');
INSERT INTO `lang_definitions` VALUES (91526, 4182, 18, 'Para aqueles interessados em detalhes sobre o que constitui um Registro de Continuidade de Cuidados (CCR), clique no ícone do olho');
INSERT INTO `lang_definitions` VALUES (91527, 4183, 18, 'Para aqueles interessados no que acontece nos bastidores');
INSERT INTO `lang_definitions` VALUES (91528, 4184, 18, 'Para essas linhas, a descrição indicará os detalhes do código');
INSERT INTO `lang_definitions` VALUES (91529, 4185, 18, 'Para aqueles com privilégios administrativos, um ícone é exibido ao lado da legenda Minhas mensagens');
INSERT INTO `lang_definitions` VALUES (91530, 4186, 18, 'Para que o TOTP funcione, uma chave secreta exclusiva deve ser compartilhada entre o OpenEMR e o usuário');
INSERT INTO `lang_definitions` VALUES (91531, 4187, 18, 'Para suporte U2F no Linux, clique');
INSERT INTO `lang_definitions` VALUES (91532, 4188, 18, 'para variável');
INSERT INTO `lang_definitions` VALUES (91533, 4189, 18, 'para:');
INSERT INTO `lang_definitions` VALUES (91534, 4190, 18, 'Forçar abertura do widget de cobrança');
INSERT INTO `lang_definitions` VALUES (91535, 4191, 18, 'Forçar Criação de Novo Paciente');
INSERT INTO `lang_definitions` VALUES (91536, 4193, 18, 'Forçar o Show');
INSERT INTO `lang_definitions` VALUES (91537, 4194, 18, 'Antebraço');
INSERT INTO `lang_definitions` VALUES (91538, 4195, 18, 'Forma');
INSERT INTO `lang_definitions` VALUES (91539, 4196, 18, 'forma');
INSERT INTO `lang_definitions` VALUES (91540, 4197, 18, 'Elemento do formulário não encontrado');
INSERT INTO `lang_definitions` VALUES (91541, 4198, 18, 'Chaves de formulário');
INSERT INTO `lang_definitions` VALUES (91542, 4199, 18, 'Formulário assinado com sucesso');
INSERT INTO `lang_definitions` VALUES (91543, 4201, 18, 'Formato');
INSERT INTO `lang_definitions` VALUES (91544, 4202, 18, 'formato');
INSERT INTO `lang_definitions` VALUES (91545, 4203, 18, 'Formato para exibição de idade');
INSERT INTO `lang_definitions` VALUES (91546, 4204, 18, 'Formato incorreto para NDC');
INSERT INTO `lang_definitions` VALUES (91547, 4205, 18, 'Formato usado para exibir a maioria das datas');
INSERT INTO `lang_definitions` VALUES (91548, 4206, 18, 'Formato usado para exibir na maioria das vezes');
INSERT INTO `lang_definitions` VALUES (91549, 4207, 18, 'Relatório Formatado');
INSERT INTO `lang_definitions` VALUES (91550, 4208, 18, 'ex-fumante');
INSERT INTO `lang_definitions` VALUES (91551, 4209, 18, 'Formulários');
INSERT INTO `lang_definitions` VALUES (91552, 4210, 18, 'Formas de administração');
INSERT INTO `lang_definitions` VALUES (91553, 4211, 18, 'Administração de formulários (formulários)');
INSERT INTO `lang_definitions` VALUES (91554, 4212, 18, 'Formulários assinados');
INSERT INTO `lang_definitions` VALUES (91555, 4213, 18, 'Os formulários são inseridos na tabela');
INSERT INTO `lang_definitions` VALUES (91556, 4214, 18, 'Formulários inseridos na tabela');
INSERT INTO `lang_definitions` VALUES (91557, 4215, 18, 'frente');
INSERT INTO `lang_definitions` VALUES (91558, 4216, 18, 'ENVIAR UM LEMBRETE DATADO');
INSERT INTO `lang_definitions` VALUES (91559, 4217, 18, 'Encaminhar mensagem para praticar');
INSERT INTO `lang_definitions` VALUES (91560, 4219, 18, 'Páginas transmitir via Fax');
INSERT INTO `lang_definitions` VALUES (91561, 4220, 18, 'Encaminhe este lembrete');
INSERT INTO `lang_definitions` VALUES (91562, 4222, 18, 'Encaminhado');
INSERT INTO `lang_definitions` VALUES (91563, 4223, 18, 'Mensagem do Portal Encaminhada Re:');
INSERT INTO `lang_definitions` VALUES (91564, 4224, 18, 'Criança adotada');
INSERT INTO `lang_definitions` VALUES (91565, 4225, 18, 'Quarta');
INSERT INTO `lang_definitions` VALUES (91566, 4226, 18, 'Quarta mensagem da conta');
INSERT INTO `lang_definitions` VALUES (91567, 4227, 18, 'Fratura');
INSERT INTO `lang_definitions` VALUES (91568, 4228, 18, 'Fratura no Navicula');
INSERT INTO `lang_definitions` VALUES (91569, 4229, 18, 'Fratura do maléolo lateral');
INSERT INTO `lang_definitions` VALUES (91570, 4230, 18, 'A fratura do maléolo medial');
INSERT INTO `lang_definitions` VALUES (91571, 4231, 18, 'Fracture, da Base de quinta (5) Metatarsal');
INSERT INTO `lang_definitions` VALUES (91572, 4232, 18, 'Quadro, Armação');
INSERT INTO `lang_definitions` VALUES (91573, 4233, 18, 'Suporte de quadro necessário');
INSERT INTO `lang_definitions` VALUES (91574, 4234, 18, 'App autenticador grátis');
INSERT INTO `lang_definitions` VALUES (91575, 4235, 18, 'Francês');
INSERT INTO `lang_definitions` VALUES (91576, 4236, 18, 'Francês (Canadense)');
INSERT INTO `lang_definitions` VALUES (91577, 4237, 18, 'Francês (Padrão)');
INSERT INTO `lang_definitions` VALUES (91578, 4238, 18, 'Freqüência');
INSERT INTO `lang_definitions` VALUES (91579, 4239, 18, 'Resfriados freqüentes');
INSERT INTO `lang_definitions` VALUES (91580, 4240, 18, 'Doenças frequentes');
INSERT INTO `lang_definitions` VALUES (91581, 4241, 18, 'Sex');
INSERT INTO `lang_definitions` VALUES (91582, 4242, 18, 'Sexta-feira');
INSERT INTO `lang_definitions` VALUES (91583, 4243, 18, 'Amigo');
INSERT INTO `lang_definitions` VALUES (91584, 4244, 18, 'De');
INSERT INTO `lang_definitions` VALUES (91585, 4245, 18, 'DA');
INSERT INTO `lang_definitions` VALUES (91586, 4246, 18, 'de');
INSERT INTO `lang_definitions` VALUES (91587, 4247, 18, 'A data inicial não pode ser posterior que até hoje');
INSERT INTO `lang_definitions` VALUES (91588, 4248, 18, 'A data inicial deve ser menor que até hoje');
INSERT INTO `lang_definitions` VALUES (91589, 4249, 18, 'Do período');
INSERT INTO `lang_definitions` VALUES (91590, 4250, 18, 'A partir do item do menu Problemas na barra de navegação');
INSERT INTO `lang_definitions` VALUES (91591, 4251, 18, 'Do painel do paciente, por meio dos widgets de problemas individuais na coluna da direita');
INSERT INTO `lang_definitions` VALUES (91592, 4253, 18, 'De:');
INSERT INTO `lang_definitions` VALUES (91593, 4254, 18, 'De:');
INSERT INTO `lang_definitions` VALUES (91594, 4255, 18, 'FROM_CITY');
INSERT INTO `lang_definitions` VALUES (91595, 4256, 18, 'FROM_EMAIL');
INSERT INTO `lang_definitions` VALUES (91596, 4257, 18, 'FROM_FNAME');
INSERT INTO `lang_definitions` VALUES (91597, 4258, 18, 'FROM_LNAME');
INSERT INTO `lang_definitions` VALUES (91598, 4259, 18, 'FROM_MNAME');
INSERT INTO `lang_definitions` VALUES (91599, 4260, 18, 'FROM_PHONE');
INSERT INTO `lang_definitions` VALUES (91600, 4261, 18, 'FROM_PHONECELL');
INSERT INTO `lang_definitions` VALUES (91601, 4262, 18, 'FROM_POSTAL');
INSERT INTO `lang_definitions` VALUES (91602, 4263, 18, 'FROM_STATE');
INSERT INTO `lang_definitions` VALUES (91603, 4264, 18, 'FROM_STREET');
INSERT INTO `lang_definitions` VALUES (91604, 4265, 18, 'FROM_TITLE');
INSERT INTO `lang_definitions` VALUES (91605, 4266, 18, 'FROM_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (91606, 4267, 18, 'Recepção');
INSERT INTO `lang_definitions` VALUES (91607, 4268, 18, 'Arquivos da Recepção');
INSERT INTO `lang_definitions` VALUES (91608, 4269, 18, 'Relatório de Arquivos da Recepção Relatório');
INSERT INTO `lang_definitions` VALUES (91609, 4270, 18, 'Front Rec');
INSERT INTO `lang_definitions` VALUES (91610, 4271, 18, 'Frontal Direita:');
INSERT INTO `lang_definitions` VALUES (91611, 4272, 18, 'Fr {{sexta}}');
INSERT INTO `lang_definitions` VALUES (91612, 4273, 18, 'FTCF {{Total para contar os dedos}}');
INSERT INTO `lang_definitions` VALUES (91613, 4274, 18, 'FTN {{abreviatura de tensão do dedo}}');
INSERT INTO `lang_definitions` VALUES (91614, 4275, 18, 'FT {{tensão do dedo}}');
INSERT INTO `lang_definitions` VALUES (91615, 4276, 18, 'Fula- Fulah- Pulaar- Pular');
INSERT INTO `lang_definitions` VALUES (91616, 4278, 18, 'Nome Completo');
INSERT INTO `lang_definitions` VALUES (91617, 4279, 18, 'Completo ou inicial');
INSERT INTO `lang_definitions` VALUES (91618, 4280, 18, 'Caminho completo para o diretório que contém executáveis MySQL');
INSERT INTO `lang_definitions` VALUES (91619, 4281, 18, 'Caminho completo para o diretório que contém executáveis Perl');
INSERT INTO `lang_definitions` VALUES (91620, 4282, 18, 'Caminho completo para o diretório para backup do log de eventos');
INSERT INTO `lang_definitions` VALUES (91621, 4283, 18, 'Caminho completo para o diretório usado para arquivos temporários');
INSERT INTO `lang_definitions` VALUES (91622, 4284, 18, 'Completamente Tocar');
INSERT INTO `lang_definitions` VALUES (91623, 4285, 18, 'Tela cheia');
INSERT INTO `lang_definitions` VALUES (91624, 4286, 18, 'Full Training');
INSERT INTO `lang_definitions` VALUES (91625, 4287, 18, 'Tela cheia');
INSERT INTO `lang_definitions` VALUES (91626, 4288, 18, 'Quitado');
INSERT INTO `lang_definitions` VALUES (91627, 4289, 18, 'Status Funcional e Cognitivo');
INSERT INTO `lang_definitions` VALUES (91628, 4290, 18, 'Formulário de status funcional e cognitivo');
INSERT INTO `lang_definitions` VALUES (91629, 4291, 18, 'Status Cognitivo Funcional');
INSERT INTO `lang_definitions` VALUES (91630, 4292, 18, 'Condição Funcional');
INSERT INTO `lang_definitions` VALUES (91631, 4293, 18, 'Funding Source');
INSERT INTO `lang_definitions` VALUES (91632, 4294, 18, 'Mais informações sobre o uso dos módulos de prescrição eletrônica podem ser encontradas clicando neste link');
INSERT INTO `lang_definitions` VALUES (91633, 4295, 18, 'Futuro');
INSERT INTO `lang_definitions` VALUES (91634, 4296, 18, 'Compromissos Futuros');
INSERT INTO `lang_definitions` VALUES (91635, 4297, 18, 'F {{sexta}}');
INSERT INTO `lang_definitions` VALUES (91636, 4298, 18, 'G');
INSERT INTO `lang_definitions` VALUES (91637, 4299, 18, 'G/DL');
INSERT INTO `lang_definitions` VALUES (91638, 4300, 18, 'Galaxy S9/S9 Plus');
INSERT INTO `lang_definitions` VALUES (91639, 4301, 18, 'Galician');
INSERT INTO `lang_definitions` VALUES (91640, 4302, 18, 'Vesícula Biliar Condição');
INSERT INTO `lang_definitions` VALUES (91641, 4303, 18, 'Gall Stones');
INSERT INTO `lang_definitions` VALUES (91642, 4304, 18, 'Jogo Período');
INSERT INTO `lang_definitions` VALUES (91643, 4305, 18, 'Jogos');
INSERT INTO `lang_definitions` VALUES (91644, 4306, 18, 'Jogos perdidos');
INSERT INTO `lang_definitions` VALUES (91645, 4307, 18, 'jogos / eventos');
INSERT INTO `lang_definitions` VALUES (91646, 4308, 18, 'Jogos / Eventos Missed');
INSERT INTO `lang_definitions` VALUES (91647, 4309, 18, 'Ganda');
INSERT INTO `lang_definitions` VALUES (91648, 4310, 18, 'Gastrite');
INSERT INTO `lang_definitions` VALUES (91649, 4311, 18, 'Gastro Pain');
INSERT INTO `lang_definitions` VALUES (91650, 4312, 18, 'Gastrointestinais');
INSERT INTO `lang_definitions` VALUES (91651, 4313, 18, 'Nome ou segredo de autenticação de login da API do gateway');
INSERT INTO `lang_definitions` VALUES (91652, 4314, 18, 'Chave publicável do gateway');
INSERT INTO `lang_definitions` VALUES (91653, 4315, 18, 'Chave de transação do gateway');
INSERT INTO `lang_definitions` VALUES (91654, 4316, 18, 'GCAC Statistics Report');
INSERT INTO `lang_definitions` VALUES (91655, 4317, 18, 'Estatísticas GCAC');
INSERT INTO `lang_definitions` VALUES (91656, 4318, 18, 'GCAC formulário visita está faltando');
INSERT INTO `lang_definitions` VALUES (91657, 4319, 18, 'Gênero');
INSERT INTO `lang_definitions` VALUES (91658, 4320, 18, 'Gênero');
INSERT INTO `lang_definitions` VALUES (91659, 4321, 18, 'Filtro');
INSERT INTO `lang_definitions` VALUES (91660, 4322, 18, 'Dados gerais');
INSERT INTO `lang_definitions` VALUES (91661, 4323, 18, 'Lista de problemas gerais');
INSERT INTO `lang_definitions` VALUES (91662, 4324, 18, 'Clínico geral');
INSERT INTO `lang_definitions` VALUES (91663, 4325, 18, 'Categoria de Serviços Gerais');
INSERT INTO `lang_definitions` VALUES (91664, 4326, 18, 'Guia Geral - lista os fatores de risco / condições médicas anteriores à esquerda e os resultados de várias clínicas');
INSERT INTO `lang_definitions` VALUES (91665, 4327, 18, 'General Theme');
INSERT INTO `lang_definitions` VALUES (91666, 4328, 18, 'Tema geral (precisa fazer logout / login após alterar esta configuração)');
INSERT INTO `lang_definitions` VALUES (91667, 4329, 18, 'Geralmente é uma boa ideia incluí-lo');
INSERT INTO `lang_definitions` VALUES (91668, 4330, 18, 'Geralmente, o primeiro campo em um grupo deve ser Label Cols = 1 Data Cols = número de colunas de Layout de');
INSERT INTO `lang_definitions` VALUES (91669, 4331, 18, 'Gerar');
INSERT INTO `lang_definitions` VALUES (91670, 4332, 18, 'Gerar e baixar declarações em papel CMS 1500');
INSERT INTO `lang_definitions` VALUES (91671, 4333, 18, 'Gerar e baixar declarações em papel CMS 1500 em formulário pré-impresso');
INSERT INTO `lang_definitions` VALUES (91672, 4334, 18, 'Gerar e transferir créditos HCFA 1500 papel');
INSERT INTO `lang_definitions` VALUES (91673, 4335, 18, 'Gerar e baixar UB-04 CMS1450');
INSERT INTO `lang_definitions` VALUES (91674, 4336, 18, 'Gere e baixe UB-04 CMS1450 com formulário');
INSERT INTO `lang_definitions` VALUES (91675, 4337, 18, 'Gerar e lote X12 download');
INSERT INTO `lang_definitions` VALUES (91676, 4338, 18, 'Gerar e baixar lote de reivindicação de encontro X12');
INSERT INTO `lang_definitions` VALUES (91677, 4339, 18, 'Gerar e transmitir prescrições permitidas eletronicamente (todas as prescrições)');
INSERT INTO `lang_definitions` VALUES (91678, 4340, 18, 'Gerar e transmitir prescrições permitidas eletronicamente (não incluindo substâncias controladas)');
INSERT INTO `lang_definitions` VALUES (91679, 4341, 18, 'Gerar e transmitir prescrições permitidas eletronicamente');
INSERT INTO `lang_definitions` VALUES (91680, 4342, 18, 'Gerar CMS 1500');
INSERT INTO `lang_definitions` VALUES (91681, 4343, 18, 'Gerar CMS 1500 PDF');
INSERT INTO `lang_definitions` VALUES (91682, 4344, 18, 'Gerar CMS 1500 TEXT');
INSERT INTO `lang_definitions` VALUES (91683, 4345, 18, 'Gerar HCFA');
INSERT INTO `lang_definitions` VALUES (91684, 4346, 18, 'Gerar X12 837I institucional');
INSERT INTO `lang_definitions` VALUES (91685, 4347, 18, 'Gerar Fatura');
INSERT INTO `lang_definitions` VALUES (91686, 4348, 18, 'Gerar Carta');
INSERT INTO `lang_definitions` VALUES (91687, 4349, 18, 'Gerar carta a respeito');
INSERT INTO `lang_definitions` VALUES (91688, 4350, 18, 'Gerar nova chave');
INSERT INTO `lang_definitions` VALUES (91689, 4351, 18, 'Gerar relatório PQRI (Método A)');
INSERT INTO `lang_definitions` VALUES (91690, 4352, 18, 'Gerar relatório PQRI (Método A) - 2011');
INSERT INTO `lang_definitions` VALUES (91691, 4353, 18, 'Gerar relatório PQRI (Método E)');
INSERT INTO `lang_definitions` VALUES (91692, 4354, 18, 'Gerar relatório PQRI (Método E) - 2011');
INSERT INTO `lang_definitions` VALUES (91693, 4355, 18, 'Gerar QRDA I - 2014');
INSERT INTO `lang_definitions` VALUES (91694, 4356, 18, 'Gerar QRDA III - 2014');
INSERT INTO `lang_definitions` VALUES (91695, 4357, 18, 'Gerar relatório');
INSERT INTO `lang_definitions` VALUES (91696, 4358, 18, 'Gerar relatório - que abre o CCD em uma guia separada no navegador');
INSERT INTO `lang_definitions` VALUES (91697, 4359, 18, 'Gerar relatório - que abre o CCR em uma guia separada no navegador');
INSERT INTO `lang_definitions` VALUES (91698, 4360, 18, 'Gerar relatório que cria um relatório e o exibe em uma guia separada no navegador');
INSERT INTO `lang_definitions` VALUES (91699, 4361, 18, 'Gerar chave segura');
INSERT INTO `lang_definitions` VALUES (91700, 4362, 18, 'Gerar miniatura');
INSERT INTO `lang_definitions` VALUES (91701, 4363, 18, 'Gerar imagens em miniatura');
INSERT INTO `lang_definitions` VALUES (91702, 4364, 18, 'Gerar miniaturas');
INSERT INTO `lang_definitions` VALUES (91703, 4365, 18, 'Gerar nome de usuário e senha para');
INSERT INTO `lang_definitions` VALUES (91704, 4366, 18, 'Gerar X12');
INSERT INTO `lang_definitions` VALUES (91705, 4367, 18, 'Gerar X12 837I');
INSERT INTO `lang_definitions` VALUES (91706, 4368, 18, 'Gerar Encontro X12');
INSERT INTO `lang_definitions` VALUES (91707, 4369, 18, 'Gerar / baixar QRDA I - 2014');
INSERT INTO `lang_definitions` VALUES (91708, 4370, 18, 'Geração de');
INSERT INTO `lang_definitions` VALUES (91709, 4371, 18, 'Miniatura (s) gerada (s)');
INSERT INTO `lang_definitions` VALUES (91710, 4372, 18, 'Gera');
INSERT INTO `lang_definitions` VALUES (91711, 4373, 18, 'Nome genérico 1');
INSERT INTO `lang_definitions` VALUES (91712, 4374, 18, 'Nome genérico 2');
INSERT INTO `lang_definitions` VALUES (91713, 4375, 18, 'Val genérico 1');
INSERT INTO `lang_definitions` VALUES (91714, 4376, 18, 'Val genérico 2');
INSERT INTO `lang_definitions` VALUES (91715, 4377, 18, 'Geniturinário');
INSERT INTO `lang_definitions` VALUES (91716, 4378, 18, 'Médico de medicina geniturinária');
INSERT INTO `lang_definitions` VALUES (91717, 4379, 18, 'GEN {{Geral}}');
INSERT INTO `lang_definitions` VALUES (91718, 4380, 18, 'Georgiano');
INSERT INTO `lang_definitions` VALUES (91719, 4381, 18, 'Alemão');
INSERT INTO `lang_definitions` VALUES (91720, 4382, 18, 'Gest age');
INSERT INTO `lang_definitions` VALUES (91721, 4383, 18, 'Idade gestacional');
INSERT INTO `lang_definitions` VALUES (91722, 4384, 18, 'Obter Histórico');
INSERT INTO `lang_definitions` VALUES (91723, 4385, 18, 'OBTER HL7');
INSERT INTO `lang_definitions` VALUES (91724, 4386, 18, 'OBTER HL7');
INSERT INTO `lang_definitions` VALUES (91725, 4387, 18, 'Iniciar');
INSERT INTO `lang_definitions` VALUES (91726, 4388, 18, 'Dê um Nome a este grupo, no nosso caso será denominado Química do Soro');
INSERT INTO `lang_definitions` VALUES (91727, 4389, 18, 'Dê a ele um número de sequência de 3');
INSERT INTO `lang_definitions` VALUES (91728, 4390, 18, 'GI {{Gastrointestinal}}');
INSERT INTO `lang_definitions` VALUES (91729, 4391, 18, 'Brilho {{Acuidade sob condições de brilho}}');
INSERT INTO `lang_definitions` VALUES (91730, 4392, 18, 'Glaucoma');
INSERT INTO `lang_definitions` VALUES (91731, 4393, 18, 'Glaucoma na Família');
INSERT INTO `lang_definitions` VALUES (91732, 4394, 18, 'Zona de Glaucoma');
INSERT INTO `lang_definitions` VALUES (91733, 4395, 18, 'Global');
INSERT INTO `lang_definitions` VALUES (91734, 4396, 18, 'Todos os pacientes globais');
INSERT INTO `lang_definitions` VALUES (91735, 4397, 18, 'País Padrão Global do Paciente');
INSERT INTO `lang_definitions` VALUES (91736, 4398, 18, 'Global ID');
INSERT INTO `lang_definitions` VALUES (91737, 4399, 18, 'Global Settings');
INSERT INTO `lang_definitions` VALUES (91738, 4400, 18, 'Globais');
INSERT INTO `lang_definitions` VALUES (91739, 4401, 18, 'GM / DL');
INSERT INTO `lang_definitions` VALUES (91740, 4402, 18, 'IR');
INSERT INTO `lang_definitions` VALUES (91741, 4403, 18, 'Ir');
INSERT INTO `lang_definitions` VALUES (91742, 4404, 18, 'ir');
INSERT INTO `lang_definitions` VALUES (91743, 4405, 18, 'Volte');
INSERT INTO `lang_definitions` VALUES (91744, 4406, 18, 'Volte');
INSERT INTO `lang_definitions` VALUES (91745, 4407, 18, 'Ir para');
INSERT INTO `lang_definitions` VALUES (91746, 4408, 18, 'Vá para Administração> Catálogo de endereços> Adicionar novo');
INSERT INTO `lang_definitions` VALUES (91747, 4409, 18, 'Vá para Administração> Globais> CDR> Alertas máximos de lembretes datados para mostrar e alterar o valor para um número maior');
INSERT INTO `lang_definitions` VALUES (91748, 4410, 18, 'Vá para Administração> Globais> Conectores');
INSERT INTO `lang_definitions` VALUES (91749, 4411, 18, 'Vá para Administração> Globais> Conectores e marque a caixa de seleção Habilitar serviço de comunicação MedEx e clique em Salvar');
INSERT INTO `lang_definitions` VALUES (91750, 4412, 18, 'Vá para Administração> Listas, selecione cada uma das listas acima na caixa suspensa e faça as alterações necessárias');
INSERT INTO `lang_definitions` VALUES (91751, 4413, 18, 'Vá para Administração> Listas. Selecione \'Folha de taxas\' na caixa suspensa');
INSERT INTO `lang_definitions` VALUES (91752, 4414, 18, 'Vá para Administração> Códigos. Selecione ICD 10 em Tipo, insira o código ICD 10, insira a descrição, na categoria selecione uma categoria apropriada, este código ICD 10 então aparecerá quando o botão com essa categoria for clicado');
INSERT INTO `lang_definitions` VALUES (91753, 4415, 18, 'Vá para Administração> Listas e selecione \'Tipos de código\' na caixa suspensa. Use ICD 9 ou ICD 10, ICD 9 inativo e selecione \'Não\' na última caixa suspensa em ICD 10');
INSERT INTO `lang_definitions` VALUES (91754, 4416, 18, 'Vá para Procedimentos> Provedores e clique no botão Adicionar Novo');
INSERT INTO `lang_definitions` VALUES (91755, 4417, 18, 'Ir para a semana de');
INSERT INTO `lang_definitions` VALUES (91756, 4418, 18, 'Vá hoje');
INSERT INTO `lang_definitions` VALUES (91757, 4419, 18, 'Objetivo A');
INSERT INTO `lang_definitions` VALUES (91758, 4420, 18, 'Objetivo e Métodos');
INSERT INTO `lang_definitions` VALUES (91759, 4421, 18, 'Objetivo B');
INSERT INTO `lang_definitions` VALUES (91760, 4422, 18, 'Objetivo C');
INSERT INTO `lang_definitions` VALUES (91761, 4423, 18, 'Gonioscopy');
INSERT INTO `lang_definitions` VALUES (91762, 4424, 18, 'Gonio {{abreviatura de gonioscopia}}');
INSERT INTO `lang_definitions` VALUES (91763, 4425, 18, 'autenticação google');
INSERT INTO `lang_definitions` VALUES (91764, 4428, 18, 'Grau de Lesão');
INSERT INTO `lang_definitions` VALUES (91765, 4429, 18, 'Votação:');
INSERT INTO `lang_definitions` VALUES (91766, 4430, 18, 'gramas');
INSERT INTO `lang_definitions` VALUES (91767, 4431, 18, 'Total Geral');
INSERT INTO `lang_definitions` VALUES (91768, 4432, 18, 'Totais Gerais');
INSERT INTO `lang_definitions` VALUES (91769, 4433, 18, 'Neto');
INSERT INTO `lang_definitions` VALUES (91770, 4434, 18, 'Avô');
INSERT INTO `lang_definitions` VALUES (91771, 4435, 18, 'Gravável');
INSERT INTO `lang_definitions` VALUES (91772, 4436, 18, 'Bisavô');
INSERT INTO `lang_definitions` VALUES (91773, 4437, 18, 'Maior que');
INSERT INTO `lang_definitions` VALUES (91774, 4438, 18, 'Greater Than or Equal To');
INSERT INTO `lang_definitions` VALUES (91775, 4439, 18, 'Grego');
INSERT INTO `lang_definitions` VALUES (91776, 4440, 18, 'Grego, moderno');
INSERT INTO `lang_definitions` VALUES (91777, 4441, 18, 'As linhas verdes mostram as alterações que foram aplicadas com sucesso');
INSERT INTO `lang_definitions` VALUES (91778, 4442, 18, 'Grupo');
INSERT INTO `lang_definitions` VALUES (91779, 4443, 18, 'Grupo> Grupo> Ordem de Procedimento> Resultado Discreto');
INSERT INTO `lang_definitions` VALUES (91780, 4444, 18, 'Grupo> Ordem de Procedimento> Resultado Discreto');
INSERT INTO `lang_definitions` VALUES (91781, 4445, 18, 'Compromissos de grupo');
INSERT INTO `lang_definitions` VALUES (91782, 4446, 18, 'Formulário de Presença de Grupo');
INSERT INTO `lang_definitions` VALUES (91783, 4447, 18, 'Status de Presença do Grupo');
INSERT INTO `lang_definitions` VALUES (91784, 4448, 18, 'Registro detalhado do grupo de consultas no prontuário do paciente');
INSERT INTO `lang_definitions` VALUES (91785, 4449, 18, 'Registro detalhado do grupo de consultas no prontuário do paciente (gdlog)');
INSERT INTO `lang_definitions` VALUES (91786, 4450, 18, 'Detalhes do Grupo');
INSERT INTO `lang_definitions` VALUES (91787, 4451, 18, 'Encontro de Grupo');
INSERT INTO `lang_definitions` VALUES (91788, 4452, 18, 'Formulário de encontro de grupo');
INSERT INTO `lang_definitions` VALUES (91789, 4453, 18, 'Registro de encontro de grupo');
INSERT INTO `lang_definitions` VALUES (91790, 4454, 18, 'Registro de encontro de grupo (glog)');
INSERT INTO `lang_definitions` VALUES (91791, 4455, 18, 'Localizador de grupo');
INSERT INTO `lang_definitions` VALUES (91792, 4456, 18, 'casas de grupo');
INSERT INTO `lang_definitions` VALUES (91793, 4457, 18, 'Group Id');
INSERT INTO `lang_definitions` VALUES (91794, 4458, 18, 'Group name');
INSERT INTO `lang_definitions` VALUES (91795, 4459, 18, 'Nome do Grupo');
INSERT INTO `lang_definitions` VALUES (91796, 4460, 18, 'Os nomes dos grupos não pode estar em branco');
INSERT INTO `lang_definitions` VALUES (91797, 4461, 18, 'Os nomes dos grupos não pode começar com números ou espaços.');
INSERT INTO `lang_definitions` VALUES (91798, 4462, 18, 'Os nomes dos grupos não pode começar com números.');
INSERT INTO `lang_definitions` VALUES (91799, 4463, 18, 'Produto');
INSERT INTO `lang_definitions` VALUES (91800, 4464, 18, 'Group number');
INSERT INTO `lang_definitions` VALUES (91801, 4465, 18, 'Pagamento de Grupo');
INSERT INTO `lang_definitions` VALUES (91802, 4466, 18, 'Group Properties');
INSERT INTO `lang_definitions` VALUES (91803, 4467, 18, 'Pesquisa de Grupo');
INSERT INTO `lang_definitions` VALUES (91804, 4468, 18, 'Status do grupo');
INSERT INTO `lang_definitions` VALUES (91805, 4469, 18, 'Group Type');
INSERT INTO `lang_definitions` VALUES (91806, 4470, 18, 'Nome do grupo');
INSERT INTO `lang_definitions` VALUES (91807, 4471, 18, 'Grupo:');
INSERT INTO `lang_definitions` VALUES (91808, 4472, 18, 'Nome do Grupo');
INSERT INTO `lang_definitions` VALUES (91809, 4473, 18, 'Groups');
INSERT INTO `lang_definitions` VALUES (91810, 4474, 18, 'Grupos (grupos)');
INSERT INTO `lang_definitions` VALUES (91811, 4475, 18, 'Grupos e Controles de Acesso');
INSERT INTO `lang_definitions` VALUES (91812, 4476, 18, 'Growth Chart');
INSERT INTO `lang_definitions` VALUES (91813, 4477, 18, 'Growth-chart');
INSERT INTO `lang_definitions` VALUES (91814, 4478, 18, 'Gotas');
INSERT INTO `lang_definitions` VALUES (91815, 4479, 18, 'Guamense');
INSERT INTO `lang_definitions` VALUES (91816, 4480, 18, 'Guarani');
INSERT INTO `lang_definitions` VALUES (91817, 4481, 18, 'GuaranÍ');
INSERT INTO `lang_definitions` VALUES (91818, 4482, 18, 'Responsável');
INSERT INTO `lang_definitions` VALUES (91819, 4483, 18, 'E-mail do responsável');
INSERT INTO `lang_definitions` VALUES (91820, 4484, 18, 'Nome do responsável');
INSERT INTO `lang_definitions` VALUES (91821, 4485, 18, 'Guardians Name');
INSERT INTO `lang_definitions` VALUES (91822, 4486, 18, 'Conselheiros convidados');
INSERT INTO `lang_definitions` VALUES (91823, 4487, 18, 'Guzerate');
INSERT INTO `lang_definitions` VALUES (91824, 4488, 18, 'GU{{Geniturinário}}');
INSERT INTO `lang_definitions` VALUES (91825, 4489, 18, 'Exame ginecológico');
INSERT INTO `lang_definitions` VALUES (91826, 4490, 18, 'h');
INSERT INTO `lang_definitions` VALUES (91827, 4491, 18, 'H (T) {{hipertropia intermitente}}');
INSERT INTO `lang_definitions` VALUES (91828, 4492, 18, 'H.S.');
INSERT INTO `lang_definitions` VALUES (91829, 4493, 18, 'H / O Hepatite');
INSERT INTO `lang_definitions` VALUES (91830, 4494, 18, 'tinha sido excluído com sucesso. Qualquer sub-categorias se apresentam foram movidos abaixo');
INSERT INTO `lang_definitions` VALUES (91831, 4495, 18, 'Hematoma / contusão');
INSERT INTO `lang_definitions` VALUES (91832, 4496, 18, 'HAI Status');
INSERT INTO `lang_definitions` VALUES (91833, 4497, 18, 'Haitiano-Haitiano Crioulo');
INSERT INTO `lang_definitions` VALUES (91834, 4498, 18, 'Meio-irmão');
INSERT INTO `lang_definitions` VALUES (91835, 4499, 18, 'Mão + dedos');
INSERT INTO `lang_definitions` VALUES (91836, 4500, 18, 'Mão Problemas');
INSERT INTO `lang_definitions` VALUES (91837, 4501, 18, 'Dependente com deficiência');
INSERT INTO `lang_definitions` VALUES (91838, 4502, 18, 'feliz Aniversário');
INSERT INTO `lang_definitions` VALUES (91839, 4503, 18, 'Cópia impressa OTP');
INSERT INTO `lang_definitions` VALUES (91840, 4504, 18, 'A cópia impressa OTP é usada para serviços bancários online em alguns países');
INSERT INTO `lang_definitions` VALUES (91841, 4505, 18, 'Disco rígido');
INSERT INTO `lang_definitions` VALUES (91842, 4506, 18, 'Hardship w / o');
INSERT INTO `lang_definitions` VALUES (91843, 4507, 18, 'tem sido associada a visitar');
INSERT INTO `lang_definitions` VALUES (91844, 4508, 18, 'has expired');
INSERT INTO `lang_definitions` VALUES (91845, 4509, 18, 'Hash');
INSERT INTO `lang_definitions` VALUES (91846, 4511, 18, 'Hash não existe para este arquivo. Um novo hash foi gerado');
INSERT INTO `lang_definitions` VALUES (91847, 4512, 18, 'Hash não corresponde. A integridade dos dados foi comprometida');
INSERT INTO `lang_definitions` VALUES (91848, 4514, 18, 'Hausa');
INSERT INTO `lang_definitions` VALUES (91849, 4515, 18, 'Havaiano');
INSERT INTO `lang_definitions` VALUES (91850, 4516, 18, 'Atividades perigosas');
INSERT INTO `lang_definitions` VALUES (91851, 4517, 18, 'Atividades perigosas');
INSERT INTO `lang_definitions` VALUES (91852, 4518, 18, 'HB {{abreviação para Base Prisma Horizontal}}');
INSERT INTO `lang_definitions` VALUES (91853, 4519, 18, 'HCFA 1500 ou CMS 1500 - ambos referem-se ao mesmo formulário. Antes de 2001, a agência federal do Departamento de Saúde e Serviços Humanos dos Estados Unidos (HHS) que administra o programa Medicare era chamada de Health Care Financing Administration (HCFA), desde então é chamada de Centros de Serviços Medicare e Medicaid (CMS)');
INSERT INTO `lang_definitions` VALUES (91854, 4520, 18, 'FORMULÁRIO HCFA');
INSERT INTO `lang_definitions` VALUES (91855, 4521, 18, 'HCFA margem esquerda em pontos');
INSERT INTO `lang_definitions` VALUES (91856, 4522, 18, 'Margens HCFA');
INSERT INTO `lang_definitions` VALUES (91857, 4523, 18, 'HCFA margem superior nos pontos');
INSERT INTO `lang_definitions` VALUES (91858, 4524, 18, 'Procedimento / Serviço HCPCS');
INSERT INTO `lang_definitions` VALUES (91859, 4525, 18, 'HD');
INSERT INTO `lang_definitions` VALUES (91860, 4526, 18, 'HD+');
INSERT INTO `lang_definitions` VALUES (91861, 4527, 18, 'ele PostCalendar');
INSERT INTO `lang_definitions` VALUES (91862, 4528, 18, 'Cabeça');
INSERT INTO `lang_definitions` VALUES (91863, 4529, 18, 'Chefe Circ');
INSERT INTO `lang_definitions` VALUES (91864, 4530, 18, 'Perímetro cefálico');
INSERT INTO `lang_definitions` VALUES (91865, 4531, 18, 'Dor de cabeça');
INSERT INTO `lang_definitions` VALUES (91866, 4532, 18, 'Dores de cabeça');
INSERT INTO `lang_definitions` VALUES (91867, 4533, 18, 'Cabeçalho');
INSERT INTO `lang_definitions` VALUES (91868, 4534, 18, 'operações de cuidados de saúde');
INSERT INTO `lang_definitions` VALUES (91869, 4535, 18, 'operações de cuidados de saúde');
INSERT INTO `lang_definitions` VALUES (91870, 4536, 18, 'Prestadores de cuidados de saúde');
INSERT INTO `lang_definitions` VALUES (91871, 4537, 18, 'Centro de saúde / clínica');
INSERT INTO `lang_definitions` VALUES (91872, 4538, 18, 'Formulário de reivindicação de seguro saúde');
INSERT INTO `lang_definitions` VALUES (91873, 4539, 18, 'Health Level-7 ou HL7 refere-se a um conjunto de padrões internacionais para transferência de dados clínicos e administrativos entre aplicativos de software usados por vários provedores de saúde');
INSERT INTO `lang_definitions` VALUES (91874, 4540, 18, 'Organização em Defesa da Saúde');
INSERT INTO `lang_definitions` VALUES (91875, 4541, 18, 'Organização em Defesa da Saúde (HMO) Medicare Risk');
INSERT INTO `lang_definitions` VALUES (91876, 4542, 18, 'Perda de Audição');
INSERT INTO `lang_definitions` VALUES (91877, 4543, 18, 'Ataque do Coração');
INSERT INTO `lang_definitions` VALUES (91878, 4544, 18, 'Doenças do Coração');
INSERT INTO `lang_definitions` VALUES (91879, 4545, 18, 'Insuficiência Cardíaca');
INSERT INTO `lang_definitions` VALUES (91880, 4546, 18, 'Problema cardíaco');
INSERT INTO `lang_definitions` VALUES (91881, 4547, 18, 'Problemas cardíacos');
INSERT INTO `lang_definitions` VALUES (91882, 4548, 18, 'Cirurgia de Coração');
INSERT INTO `lang_definitions` VALUES (91883, 4549, 18, 'Transplante de Coração');
INSERT INTO `lang_definitions` VALUES (91884, 4550, 18, 'CORAÇÃO:');
INSERT INTO `lang_definitions` VALUES (91885, 4551, 18, 'Azia');
INSERT INTO `lang_definitions` VALUES (91886, 4552, 18, 'Quente ou Frio');
INSERT INTO `lang_definitions` VALUES (91887, 4553, 18, 'Quente ou Frio');
INSERT INTO `lang_definitions` VALUES (91888, 4554, 18, 'Fumante pesado');
INSERT INTO `lang_definitions` VALUES (91889, 4555, 18, 'Hebraico');
INSERT INTO `lang_definitions` VALUES (91890, 4556, 18, 'Hebraico (moderno)');
INSERT INTO `lang_definitions` VALUES (91891, 4557, 18, 'HEENT');
INSERT INTO `lang_definitions` VALUES (91892, 4558, 18, 'Altura');
INSERT INTO `lang_definitions` VALUES (91893, 4559, 18, 'Altura / Comprimento');
INSERT INTO `lang_definitions` VALUES (91894, 4560, 18, 'Ajuda');
INSERT INTO `lang_definitions` VALUES (91895, 4561, 18, 'ajuda');
INSERT INTO `lang_definitions` VALUES (91896, 4562, 18, 'O conteúdo de ajuda vai aqui');
INSERT INTO `lang_definitions` VALUES (91897, 4563, 18, 'Hematêmese');
INSERT INTO `lang_definitions` VALUES (91898, 4564, 18, 'Hematoquezia');
INSERT INTO `lang_definitions` VALUES (91899, 4565, 18, 'Hematológico');
INSERT INTO `lang_definitions` VALUES (91900, 4566, 18, 'Hematuria');
INSERT INTO `lang_definitions` VALUES (91901, 4567, 18, 'Hemoglobina');
INSERT INTO `lang_definitions` VALUES (91902, 4568, 18, 'Hemoglobina a1c');
INSERT INTO `lang_definitions` VALUES (91903, 4569, 18, 'Hemoptise');
INSERT INTO `lang_definitions` VALUES (91904, 4570, 18, 'Hepatite');
INSERT INTO `lang_definitions` VALUES (91905, 4571, 18, 'Hepatite A 1');
INSERT INTO `lang_definitions` VALUES (91906, 4572, 18, 'Hepatite A 2');
INSERT INTO `lang_definitions` VALUES (91907, 4573, 18, 'Hepatite B 1');
INSERT INTO `lang_definitions` VALUES (91908, 4574, 18, 'Hepatite B 2');
INSERT INTO `lang_definitions` VALUES (91909, 4575, 18, 'Hepatite B 3');
INSERT INTO `lang_definitions` VALUES (91910, 4576, 18, 'aqui');
INSERT INTO `lang_definitions` VALUES (91911, 4578, 18, 'Aqui você pode personalizar ainda mais a ACL');
INSERT INTO `lang_definitions` VALUES (91912, 4579, 18, 'Herero');
INSERT INTO `lang_definitions` VALUES (91913, 4580, 18, 'Hernia Repair');
INSERT INTO `lang_definitions` VALUES (91914, 4581, 18, 'Hérnia de disco');
INSERT INTO `lang_definitions` VALUES (91915, 4582, 18, 'Herpes');
INSERT INTO `lang_definitions` VALUES (91916, 4583, 18, 'Exoftalmometria de Hertel');
INSERT INTO `lang_definitions` VALUES (91917, 4584, 18, 'HERT {{exoftalmometria de Hertel}}');
INSERT INTO `lang_definitions` VALUES (91918, 4585, 18, 'Hesitação');
INSERT INTO `lang_definitions` VALUES (91919, 4586, 18, 'Olá. Você está por aqui há');
INSERT INTO `lang_definitions` VALUES (91920, 4587, 18, 'Hib 1');
INSERT INTO `lang_definitions` VALUES (91921, 4588, 18, 'Hib 2');
INSERT INTO `lang_definitions` VALUES (91922, 4589, 18, 'Hib 3');
INSERT INTO `lang_definitions` VALUES (91923, 4590, 18, 'Hib 4');
INSERT INTO `lang_definitions` VALUES (91924, 4591, 18, 'Oculto');
INSERT INTO `lang_definitions` VALUES (91925, 4592, 18, 'Administração de Eventos Ocultos');
INSERT INTO `lang_definitions` VALUES (91926, 4593, 18, 'Ocultar');
INSERT INTO `lang_definitions` VALUES (91927, 4594, 18, 'Ocultar widget de faturamento');
INSERT INTO `lang_definitions` VALUES (91928, 4595, 18, 'Ocultar Detalhes');
INSERT INTO `lang_definitions` VALUES (91929, 4596, 18, 'Ocultar relatórios de Logs de E-Sign vazios');
INSERT INTO `lang_definitions` VALUES (91930, 4597, 18, 'Ocultar opções de criptografia / descriptografia no gerenciamento de documentos');
INSERT INTO `lang_definitions` VALUES (91931, 4598, 18, 'Ocultar Modal de Ajuda');
INSERT INTO `lang_definitions` VALUES (91932, 4599, 18, 'Ocultar o Menu');
INSERT INTO `lang_definitions` VALUES (91933, 4600, 18, 'Ocultar recurso de impressão');
INSERT INTO `lang_definitions` VALUES (91934, 4601, 18, 'Ocultar Lembretes');
INSERT INTO `lang_definitions` VALUES (91935, 4602, 18, 'oculte este campo');
INSERT INTO `lang_definitions` VALUES (91936, 4603, 18, 'Ocultar / mostrar colunas');
INSERT INTO `lang_definitions` VALUES (91937, 4604, 18, 'HIE');
INSERT INTO `lang_definitions` VALUES (91938, 4605, 18, 'Alto');
INSERT INTO `lang_definitions` VALUES (91939, 4606, 18, 'Alto (alto)');
INSERT INTO `lang_definitions` VALUES (91940, 4607, 18, 'Alta Pressão Sanguínea');
INSERT INTO `lang_definitions` VALUES (91941, 4609, 18, 'Hindi');
INSERT INTO `lang_definitions` VALUES (91942, 4610, 18, 'anca + virilha');
INSERT INTO `lang_definitions` VALUES (91943, 4611, 18, 'anca e virilha');
INSERT INTO `lang_definitions` VALUES (91944, 4612, 18, 'Problemas no anca');
INSERT INTO `lang_definitions` VALUES (91945, 4613, 18, 'anca Replacement');
INSERT INTO `lang_definitions` VALUES (91946, 4614, 18, 'mensagem Hipaa');
INSERT INTO `lang_definitions` VALUES (91947, 4615, 18, 'HIPAA Aviso Recebido');
INSERT INTO `lang_definitions` VALUES (91948, 4616, 18, 'Hiri Motu');
INSERT INTO `lang_definitions` VALUES (91949, 4617, 18, 'Hirsutismo / Estrias');
INSERT INTO `lang_definitions` VALUES (91950, 4618, 18, 'Hispânico');
INSERT INTO `lang_definitions` VALUES (91951, 4619, 18, 'Hispânico - Outro (nascido nos EUA)');
INSERT INTO `lang_definitions` VALUES (91952, 4620, 18, 'Hispânico - Outro (nascido fora dos EUA)');
INSERT INTO `lang_definitions` VALUES (91953, 4621, 18, 'Hispânico ou Latino');
INSERT INTO `lang_definitions` VALUES (91954, 4622, 18, 'Informações históricas - fonte não especificada');
INSERT INTO `lang_definitions` VALUES (91955, 4623, 18, 'Histórico');
INSERT INTO `lang_definitions` VALUES (91956, 4624, 18, 'Histórico e Estilo de Vida');
INSERT INTO `lang_definitions` VALUES (91957, 4625, 18, 'Histórico - histórico médico passado do paciente, histórico familiar, histórico pessoal');
INSERT INTO `lang_definitions` VALUES (91958, 4626, 18, 'Histórico e Estilo de Vida');
INSERT INTO `lang_definitions` VALUES (91959, 4627, 18, 'Histórico e ajuda de estilo de vida');
INSERT INTO `lang_definitions` VALUES (91960, 4628, 18, 'Histórico e Físico 2008');
INSERT INTO `lang_definitions` VALUES (91961, 4629, 18, 'Dados Históricos');
INSERT INTO `lang_definitions` VALUES (91962, 4630, 18, 'Dados Históricos');
INSERT INTO `lang_definitions` VALUES (91963, 4631, 18, 'Campos Históricos');
INSERT INTO `lang_definitions` VALUES (91964, 4632, 18, 'História Murmur');
INSERT INTO `lang_definitions` VALUES (91965, 4633, 18, 'Histórico não autorizado');
INSERT INTO `lang_definitions` VALUES (91966, 4634, 18, 'History of Heart Murmur');
INSERT INTO `lang_definitions` VALUES (91967, 4635, 18, 'Histórico de doença atual: Um HPI detalhado pode ser concluído usando quatro ou mais elementos de HPI OU o status de três problemas crônicos ou inativos');
INSERT INTO `lang_definitions` VALUES (91968, 4636, 18, 'Ordem Histórico');
INSERT INTO `lang_definitions` VALUES (91969, 4637, 18, 'Ordem Histórico');
INSERT INTO `lang_definitions` VALUES (91970, 4638, 18, 'Resultados');
INSERT INTO `lang_definitions` VALUES (91971, 4639, 18, 'HIV');
INSERT INTO `lang_definitions` VALUES (91972, 4640, 18, 'Urticária');
INSERT INTO `lang_definitions` VALUES (91973, 4641, 18, 'HL7');
INSERT INTO `lang_definitions` VALUES (91974, 4642, 18, 'HL7 - MSH-11 - ID de processamento');
INSERT INTO `lang_definitions` VALUES (91975, 4643, 18, 'HL7 - MSH-3.1 - Aplicativo de envio');
INSERT INTO `lang_definitions` VALUES (91976, 4644, 18, 'HL7 - MSH-4.1 - Instalação de envio');
INSERT INTO `lang_definitions` VALUES (91977, 4645, 18, 'HL7 - MSH-5.1 - Aplicativo de recebimento');
INSERT INTO `lang_definitions` VALUES (91978, 4646, 18, 'HL7 - MSH-6.1 - Instalação de recebimento');
INSERT INTO `lang_definitions` VALUES (91979, 4647, 18, 'Código HL7');
INSERT INTO `lang_definitions` VALUES (91980, 4648, 18, 'HL7 é apoiado por mais de 1.600 membros de mais de 50 países, tornando-o um padrão amplamente aceito');
INSERT INTO `lang_definitions` VALUES (91981, 4649, 18, 'HL7 Viewer');
INSERT INTO `lang_definitions` VALUES (91982, 4650, 18, 'Código de conceito HL7-V3');
INSERT INTO `lang_definitions` VALUES (91983, 4651, 18, 'HMOL / L');
INSERT INTO `lang_definitions` VALUES (91984, 4652, 18, 'Hmong');
INSERT INTO `lang_definitions` VALUES (91985, 4653, 18, 'Segure a tecla [Ctrl] para seleção múltipla ou desfazer seleção');
INSERT INTO `lang_definitions` VALUES (91986, 4654, 18, 'Mantenha pressionado o botão Ctrl para selecionar vários problemas');
INSERT INTO `lang_definitions` VALUES (91987, 4655, 18, 'Segue a tecla [Ctrl] para selecionar múltiplos itens');
INSERT INTO `lang_definitions` VALUES (91988, 4656, 18, 'Segure a tecla [Ctrl] para selecionar vários esquadrões');
INSERT INTO `lang_definitions` VALUES (91989, 4657, 18, 'Gerencimanto de Férias');
INSERT INTO `lang_definitions` VALUES (91990, 4658, 18, 'Início');
INSERT INTO `lang_definitions` VALUES (91991, 4659, 18, 'Telefone Residencial');
INSERT INTO `lang_definitions` VALUES (91992, 4660, 18, 'Número de telefone residencial');
INSERT INTO `lang_definitions` VALUES (91993, 4661, 18, 'Sem casa');
INSERT INTO `lang_definitions` VALUES (91994, 4662, 18, 'Sem-teto ou similar?');
INSERT INTO `lang_definitions` VALUES (91995, 4663, 18, 'Sem-Teto');
INSERT INTO `lang_definitions` VALUES (91996, 4664, 18, 'Sem-teto, etc');
INSERT INTO `lang_definitions` VALUES (91997, 4665, 18, 'Sem-teto, etc.');
INSERT INTO `lang_definitions` VALUES (91998, 4666, 18, 'Ganchos');
INSERT INTO `lang_definitions` VALUES (91999, 4667, 18, 'Horiz Base {{abreviação para Base Prisma Horizontal}}');
INSERT INTO `lang_definitions` VALUES (92000, 4668, 18, 'Horiz Prism {{abreviação para Força de prisma horizontal}}');
INSERT INTO `lang_definitions` VALUES (92001, 4669, 18, 'Base Prisma Horizontal');
INSERT INTO `lang_definitions` VALUES (92002, 4670, 18, 'Força de prisma horizontal');
INSERT INTO `lang_definitions` VALUES (92003, 4671, 18, 'Hospício');
INSERT INTO `lang_definitions` VALUES (92004, 4672, 18, 'Data do hospital necessária para o faturamento bem-sucedido dos encontros do hospital');
INSERT INTO `lang_definitions` VALUES (92005, 4673, 18, 'Hospedeiro');
INSERT INTO `lang_definitions` VALUES (92006, 4674, 18, 'Nome de anfitrião');
INSERT INTO `lang_definitions` VALUES (92007, 4675, 18, 'Nome de anfitrião não pode estar vazio');
INSERT INTO `lang_definitions` VALUES (92008, 4676, 18, 'hora');
INSERT INTO `lang_definitions` VALUES (92009, 4677, 18, 'hora');
INSERT INTO `lang_definitions` VALUES (92010, 4678, 18, 'Horas');
INSERT INTO `lang_definitions` VALUES (92011, 4679, 18, 'Horas');
INSERT INTO `lang_definitions` VALUES (92012, 4680, 18, 'Está muito ruim? 0-10, leve, mod, grave?');
INSERT INTO `lang_definitions` VALUES (92013, 4681, 18, 'Como a Lesão Ocorreu?');
INSERT INTO `lang_definitions` VALUES (92014, 4682, 18, 'Como a Lesão Ocorreu?:');
INSERT INTO `lang_definitions` VALUES (92015, 4683, 18, 'Como eles ouviram sobre nós');
INSERT INTO `lang_definitions` VALUES (92016, 4684, 18, 'Quanto tempo isso dura?');
INSERT INTO `lang_definitions` VALUES (92017, 4685, 18, 'Quantos meses à frente para consultar os próximos eventos?');
INSERT INTO `lang_definitions` VALUES (92018, 4686, 18, 'Como Referido');
INSERT INTO `lang_definitions` VALUES (92019, 4687, 18, 'Como classificar uma lista suspensa');
INSERT INTO `lang_definitions` VALUES (92020, 4688, 18, 'Como criar a impressão / plano');
INSERT INTO `lang_definitions` VALUES (92021, 4689, 18, 'No entanto, mensagens de texto SMS podem ser interceptadas e o uso de SMS como um método de implementação de autenticação de dois fatores fora de banda é desencorajado');
INSERT INTO `lang_definitions` VALUES (92022, 4690, 18, 'HPI');
INSERT INTO `lang_definitions` VALUES (92023, 4691, 18, 'Elementos HPI');
INSERT INTO `lang_definitions` VALUES (92024, 4692, 18, 'HPI:');
INSERT INTO `lang_definitions` VALUES (92025, 4693, 18, 'HP {{abreviação para Força de prisma horizontal}}');
INSERT INTO `lang_definitions` VALUES (92026, 4694, 18, 'HT');
INSERT INTO `lang_definitions` VALUES (92027, 4695, 18, 'HTML');
INSERT INTO `lang_definitions` VALUES (92028, 4696, 18, 'Saída HTML?');
INSERT INTO `lang_definitions` VALUES (92029, 4697, 18, 'HTN {{hipertensão}}');
INSERT INTO `lang_definitions` VALUES (92030, 4698, 18, 'Erro HTTP');
INSERT INTO `lang_definitions` VALUES (92031, 4699, 18, 'Link Https para o OpenEMR Support LLC Lab Exchange Service');
INSERT INTO `lang_definitions` VALUES (92032, 4700, 18, 'HT {{hiperforia}}');
INSERT INTO `lang_definitions` VALUES (92033, 4701, 18, 'Húngaro');
INSERT INTO `lang_definitions` VALUES (92034, 4702, 18, 'Diretório Hylafax');
INSERT INTO `lang_definitions` VALUES (92035, 4703, 18, 'Comando Hylafax Enscript');
INSERT INTO `lang_definitions` VALUES (92036, 4704, 18, 'Servidor Hylafax');
INSERT INTO `lang_definitions` VALUES (92037, 4705, 18, 'nome de anfitrião do servidor Hylafax');
INSERT INTO `lang_definitions` VALUES (92038, 4706, 18, 'Hiperatividade');
INSERT INTO `lang_definitions` VALUES (92039, 4707, 18, 'Hyperphoria');
INSERT INTO `lang_definitions` VALUES (92040, 4708, 18, 'Hipertensão');
INSERT INTO `lang_definitions` VALUES (92041, 4709, 18, 'Hipertensão: medição da pressão arterial');
INSERT INTO `lang_definitions` VALUES (92042, 4710, 18, 'Hipertensão: medição da pressão arterial (CQM)');
INSERT INTO `lang_definitions` VALUES (92043, 4711, 18, 'Hipertireoidismo');
INSERT INTO `lang_definitions` VALUES (92044, 4712, 18, 'hipo (T) {{hipotropia intermitente}}');
INSERT INTO `lang_definitions` VALUES (92045, 4713, 18, 'Hipotireoidismo');
INSERT INTO `lang_definitions` VALUES (92046, 4714, 18, 'Hypotropia');
INSERT INTO `lang_definitions` VALUES (92047, 4715, 18, 'hypoT {{hypotropia}}');
INSERT INTO `lang_definitions` VALUES (92048, 4716, 18, 'Histerectomia');
INSERT INTO `lang_definitions` VALUES (92049, 4717, 18, 'I');
INSERT INTO `lang_definitions` VALUES (92050, 4718, 18, 'Estou ocupado durante esse tempo.');
INSERT INTO `lang_definitions` VALUES (92051, 4719, 18, 'Eu não tenho permissão para ler');
INSERT INTO `lang_definitions` VALUES (92052, 4720, 18, 'I have read and accept the');
INSERT INTO `lang_definitions` VALUES (92053, 4721, 18, 'Eu li e minha prática concorda com o');
INSERT INTO `lang_definitions` VALUES (92054, 4722, 18, 'Eu sei, mas precisamos disso!');
INSERT INTO `lang_definitions` VALUES (92055, 4724, 18, 'CID');
INSERT INTO `lang_definitions` VALUES (92056, 4725, 18, 'Diagnóstico CID10');
INSERT INTO `lang_definitions` VALUES (92057, 4726, 18, 'CID 10 Procedimento/Serviço');
INSERT INTO `lang_definitions` VALUES (92058, 4727, 18, 'CID9');
INSERT INTO `lang_definitions` VALUES (92059, 4728, 18, 'Diagnóstico CID9');
INSERT INTO `lang_definitions` VALUES (92060, 4729, 18, 'CID9 Procedimento/Serviço');
INSERT INTO `lang_definitions` VALUES (92061, 4730, 18, 'islandês');
INSERT INTO `lang_definitions` VALUES (92062, 4731, 18, 'ícone');
INSERT INTO `lang_definitions` VALUES (92063, 4732, 18, 'Legenda do ícone');
INSERT INTO `lang_definitions` VALUES (92064, 4733, 18, 'Ícones');
INSERT INTO `lang_definitions` VALUES (92065, 4734, 18, 'RG');
INSERT INTO `lang_definitions` VALUES (92066, 4735, 18, 'rg');
INSERT INTO `lang_definitions` VALUES (92067, 4736, 18, 'Rg');
INSERT INTO `lang_definitions` VALUES (92068, 4737, 18, 'RG - selecione um RG de três letras exclusivo, todas em minúsculas');
INSERT INTO `lang_definitions` VALUES (92069, 4738, 18, 'Identificação não pode estar em branco');
INSERT INTO `lang_definitions` VALUES (92070, 4739, 18, 'Carteira de identidade');
INSERT INTO `lang_definitions` VALUES (92071, 4740, 18, 'Cartão de identificação / fotos - exibirá qualquer cartão de identificação ou foto do paciente que tenha sido carregado nos Documentos> Informações do paciente> Cartão de identificação do paciente e pastas Fotografia do paciente');
INSERT INTO `lang_definitions` VALUES (92072, 4741, 18, 'Número de identificação (ETIN)');
INSERT INTO `lang_definitions` VALUES (92073, 4742, 18, 'IDays');
INSERT INTO `lang_definitions` VALUES (92074, 4743, 18, 'logado como');
INSERT INTO `lang_definitions` VALUES (92075, 4745, 18, '(Identificador de uma palavra)');
INSERT INTO `lang_definitions` VALUES (92076, 4746, 18, 'Código de Identificação');
INSERT INTO `lang_definitions` VALUES (92077, 4747, 18, 'Tempo limite da sessão ociosa em segundos');
INSERT INTO `lang_definitions` VALUES (92078, 4748, 18, 'Ido');
INSERT INTO `lang_definitions` VALUES (92079, 4749, 18, 'se');
INSERT INTO `lang_definitions` VALUES (92080, 4750, 18, 'Se um campo de dados Col = 0, o campo de dados seguirá imediatamente seu campo de rótulo na mesma linha');
INSERT INTO `lang_definitions` VALUES (92081, 4751, 18, 'Se o Label Col de um campo = 0, o rótulo seguirá imediatamente o campo de dados anterior na sequência do pedido, na mesma linha do campo de dados');
INSERT INTO `lang_definitions` VALUES (92082, 4752, 18, 'Se Label Col de um campo = 1, o campo de rótulo irá para uma nova linha, a menos que os valores totais da coluna do campo anterior (Label + Dados) sejam menores que o número de colunas de Layout de Propriedades de Grupo ou Propriedades de Layout.');
INSERT INTO `lang_definitions` VALUES (92083, 4753, 18, 'Se um produto for vendido, então altere o padrão para refletir o número necessário. Deixe em um para procedimentos');
INSERT INTO `lang_definitions` VALUES (92084, 4754, 18, 'Se um código errado foi selecionado, clique na caixa de texto Codificação para abrir a página pop-up Selecionar códigos');
INSERT INTO `lang_definitions` VALUES (92085, 4755, 18, 'Se todos os dados para todas as colunas são completos para este formulário');
INSERT INTO `lang_definitions` VALUES (92086, 4756, 18, 'Se todos os detalhes foram inseridos corretamente, você verá a glicose no sangue na coluna Nome com uma barra vertical antes dela indicando que ela não tem descendentes ou filhos, Resultado na coluna Categoria, WWT01R na coluna Código, o valor da coluna Tier deve ser 3 e a coluna Descrição deve dizer Resultado de glicose em jejum');
INSERT INTO `lang_definitions` VALUES (92087, 4757, 18, 'Se a justificativa de faturamento for usada, insira o nome do tipo de código de diagnóstico');
INSERT INTO `lang_definitions` VALUES (92088, 4758, 18, 'Se configurado corretamente, a coluna Nome deve dizer Glicose no sangue com uma barra vertical antes de indicar nenhum descendente ou filho, a coluna Categoria deve dizer Ordem personalizada e ambas as colunas Nome e Categoria serão destacadas em rosa indicando uma ordem agrupada personalizada');
INSERT INTO `lang_definitions` VALUES (92089, 4759, 18, 'Se desejar, a mensagem atual pode ser impressa');
INSERT INTO `lang_definitions` VALUES (92090, 4762, 18, 'Se habilitado, usa o diretório ativo especificado para login e autenticação');
INSERT INTO `lang_definitions` VALUES (92091, 4763, 18, 'se inserido, selecione apenas aqueles que tiveram este serviço');
INSERT INTO `lang_definitions` VALUES (92092, 4764, 18, 'Se ainda estiver ativo, ou seja, a data de término não foi inserida, ele será exibido em vermelho; se o problema tiver uma data de término, ele será exibido em preto');
INSERT INTO `lang_definitions` VALUES (92093, 4765, 18, 'Se o nome, qualquer parte do apelido, ou sobrenome, nome');
INSERT INTO `lang_definitions` VALUES (92094, 4766, 18, 'Se NewCrop eRx - o módulo de prescrição eletrônica, estiver habilitado, os botões NewCrop MedEntry e NewCrop Account Status aparecerão aqui');
INSERT INTO `lang_definitions` VALUES (92095, 4767, 18, 'Se não estiver listado, você pode adicionar o medicamento à caixa de texto Título');
INSERT INTO `lang_definitions` VALUES (92096, 4768, 18, 'Se apenas capturar o código QR, mas não registrar a chave TOTP com OpenEMR, este recurso não será habilitado no login');
INSERT INTO `lang_definitions` VALUES (92097, 4769, 18, 'Se o paciente tiver um compromisso, clique em OK para criar um encontro, caso contrário, cancele esto e logo crie um encontro para a visita de hoje.');
INSERT INTO `lang_definitions` VALUES (92098, 4770, 18, 'Se pagar por');
INSERT INTO `lang_definitions` VALUES (92099, 4771, 18, 'Se a pessoa faleceu, insira a data da morte');
INSERT INTO `lang_definitions` VALUES (92100, 4772, 18, 'Se o telefone for perdido, não será possível fazer o login');
INSERT INTO `lang_definitions` VALUES (92101, 4773, 18, 'Administração> Usuários ou mais convenientemente nesta página, ou seja, Administração> ACL, onde todos os usuários são listados em uma página e mais opções estão disponíveis');
INSERT INTO `lang_definitions` VALUES (92102, 4774, 18, 'Se definido como alto, restringirá a visibilidade do encontro para usuários pertencentes a certos grupos (AROs). Por padrão – Físicos e Administradores');
INSERT INTO `lang_definitions` VALUES (92103, 4775, 18, 'Se SMTP for usado, o nome de anfitrião do servidor ou endereço IP');
INSERT INTO `lang_definitions` VALUES (92104, 4776, 18, 'Se for usado SMTP, o número da porta TCP do servidor (geralmente 25)');
INSERT INTO `lang_definitions` VALUES (92105, 4777, 18, 'Se desejar, o quadro padrão pode ser desabilitado indo para Administração> Calendário> Re call Quadro: Desabilite, marque a caixa de seleção e clique em Salvar');
INSERT INTO `lang_definitions` VALUES (92106, 4778, 18, 'Nesse caso, você terá que criar pedidos de procedimento individuais (os pedidos) para esses testes, juntamente com os resultados discretos (o local para inserir e exibir o resultado retornado)');
INSERT INTO `lang_definitions` VALUES (92107, 4779, 18, 'Se for bem sucedido, ele autentica o usuário');
INSERT INTO `lang_definitions` VALUES (92108, 4780, 18, 'Se a caixa de seleção estiver marcada e a mensagem for enviada a vários usuários, então cada usuário deve assinar a mensagem clicando no botão Definir como concluído para essa mensagem');
INSERT INTO `lang_definitions` VALUES (92109, 4781, 18, 'Se a caixa de seleção estiver marcada, então cada indivíduo de um grupo que receber esta mensagem terá que assinar, clicando no botão Definir como concluído');
INSERT INTO `lang_definitions` VALUES (92110, 4782, 18, 'Se o arquivo csv foi carregado, então clique no botão \"Importar eventos de feriado\". NOTE que clicar no botão irá remover todas as linhas existentes na tabela calendar_external');
INSERT INTO `lang_definitions` VALUES (92111, 4783, 18, 'Se o título desejado não estiver incluído, ele pode ser digitado na caixa de texto abaixo da lista');
INSERT INTO `lang_definitions` VALUES (92112, 4784, 18, 'Se a tabela exibida disser Nenhum registro correspondente encontrado, significa que o conjunto de códigos ICD10 não está instalado');
INSERT INTO `lang_definitions` VALUES (92113, 4785, 18, 'Se o arquivo de ajuda não existir, crie um e coloque-o em');
INSERT INTO `lang_definitions` VALUES (92114, 4786, 18, 'Se o problema não estiver relacionado a um encontro, ele exibirá 0');
INSERT INTO `lang_definitions` VALUES (92115, 4787, 18, 'Se o problema médico não estiver listado na caixa suspensa, clique na caixa de texto de Codificação para abrir a página pop-up Selecionar códigos');
INSERT INTO `lang_definitions` VALUES (92116, 4788, 18, 'Se a mensagem for encaminhada, ela aparecerá na lista de mensagens ativas do usuário para quem a mensagem foi encaminhada e desaparecerá da lista de mensagens ativas do usuário atual');
INSERT INTO `lang_definitions` VALUES (92117, 4789, 18, 'Se o portal do paciente externo estiver ativado, haverá um botão que diz Criar credenciais do portal externo, desde que o paciente tenha dado permissão para acessar o portal do paciente online ou uma mensagem que diz que o paciente não autorizou o portal do paciente');
INSERT INTO `lang_definitions` VALUES (92118, 4790, 18, 'Se o portal do paciente externo estiver ativado, haverá um botão que diz Criar credenciais do portal externo, desde que o paciente tenha dado permissão para acessar o portal do paciente online ou uma mensagem que diz que o paciente não autorizou o portal do paciente');
INSERT INTO `lang_definitions` VALUES (92119, 4791, 18, 'Se as credenciais do portal online / offsite já tiverem sido definidas, o botão mudará para');
INSERT INTO `lang_definitions` VALUES (92120, 4792, 18, 'Se o paciente tiver quaisquer dados demográficos inseridos no openEMR, ele preencherá automaticamente os campos relevantes nas seções corretas');
INSERT INTO `lang_definitions` VALUES (92121, 4793, 18, 'Se o paciente não autorizou o portal do paciente, então um paciente não autorizou a mensagem do portal do paciente será exibida aqui');
INSERT INTO `lang_definitions` VALUES (92122, 4794, 18, 'Se o paciente estiver sendo adicionado à lista de recall no dia da visita, ele refletirá a data atual');
INSERT INTO `lang_definitions` VALUES (92123, 4795, 18, 'Se o paciente está ligando de volta para ser adicionado à lista, a última consulta pode ter sido no passado remoto. Esteja ciente de que os mais de 1,2,3 anos são calculados e exibidos na caixa Data na parte inferior desta seção');
INSERT INTO `lang_definitions` VALUES (92124, 4796, 18, 'Se o paciente já faleceu, então a notificação de falecimento aparecerá em vermelho nesta seção');
INSERT INTO `lang_definitions` VALUES (92125, 4797, 18, 'Se o relatório for enviado eletronicamente, todas as etapas necessárias para a transmissão segura e protegida de informações de saúde protegidas (PHI) devem ser seguidas');
INSERT INTO `lang_definitions` VALUES (92126, 4798, 18, 'Se não houver nenhum fornecedor, insira qualquer número único arbitrário, de preferência um número zerado de 5 dígitos, por exemplo, 00211');
INSERT INTO `lang_definitions` VALUES (92127, 4799, 18, 'Se esses testes estiverem sendo enviados para o mesmo laboratório externo, eles terão códigos de identificação idênticos e específicos do fornecedor, fazendo com que linhas duplicadas apareçam quando os resultados forem exibidos');
INSERT INTO `lang_definitions` VALUES (92128, 4800, 18, 'Se eles foram configurados corretamente, cada resultado deve ter um valor de Nível 4, indicando que eles são o sucessor ou filho da primeira linha acima com um valor de Nível 3, ou seja, Painel de Eletrólito');
INSERT INTO `lang_definitions` VALUES (92129, 4801, 18, 'Se esta página não atualizar, recarregue a página Mensagens manualmente');
INSERT INTO `lang_definitions` VALUES (92130, 4802, 18, 'Se não atribuído, o padrão será a configuração do php.ini para date.timezone');
INSERT INTO `lang_definitions` VALUES (92131, 4803, 18, 'Se desempregado entra Estudante');
INSERT INTO `lang_definitions` VALUES (92132, 4804, 18, 'Se o valor for deixado como zero, será classificado em ordem alfabética');
INSERT INTO `lang_definitions` VALUES (92133, 4805, 18, 'Se YMD for selecionado para exibição de idade, mude para apenas anos quando os pacientes forem mais velhos do que este valor em anos');
INSERT INTO `lang_definitions` VALUES (92134, 4806, 18, 'Se você está tendo problemas para fazer login em sua conta');
INSERT INTO `lang_definitions` VALUES (92135, 4807, 18, 'Se você estiver interessado no que acontece nos bastidores');
INSERT INTO `lang_definitions` VALUES (92136, 4808, 18, 'Se você estiver usando apenas um pequeno subconjunto de códigos CPT, você pode inseri-lo manualmente em Administração> Códigos');
INSERT INTO `lang_definitions` VALUES (92137, 4809, 18, 'Se você está planejando inserir preços diferentes para modalidades de pagamento diferentes, vá para Administração> Listas');
INSERT INTO `lang_definitions` VALUES (92138, 4812, 18, 'Se você estiver usando a entrada de laboratório eletrônico, então preencha os detalhes necessários e clique em Salvar');
INSERT INTO `lang_definitions` VALUES (92139, 4813, 18, 'Se você estiver usando vários laboratórios, insira os detalhes para cada um deles');
INSERT INTO `lang_definitions` VALUES (92140, 4814, 18, 'Se você alterar a função do e-RX para ePrescription, isso poderá afetar o fluxo de trabalho do ePrescription. Se você enfrentar qualquer dificuldade, entre em contato com seu fornecedor de ePrescription');
INSERT INTO `lang_definitions` VALUES (92141, 4815, 18, 'Se você alterar seu Smartphone, você pode recapturar o código QR da chave TOTP em um novo dispositivo, primeiro fazendo login usando o aplicativo autenticador em seu telefone antigo e, em seguida, indo para Diversos> Autenticação MFA e clicando no botão Exibir na seção Método de autenticação atual');
INSERT INTO `lang_definitions` VALUES (92142, 4816, 18, 'Se você marcar a caixa de seleção em qualquer uma dessas células irá gerar uma entrada na última célula chamada Progresso');
INSERT INTO `lang_definitions` VALUES (92143, 4817, 18, 'Se você optar por fazer uma entrada manual, clique no botão de opção \'Pesquisa de fatura\'. Ele exibe duas seções \'Publicar item\' e \'Pesquisa de fatura\'');
INSERT INTO `lang_definitions` VALUES (92144, 4818, 18, 'Se você optar por integrar os resultados do laboratório com o registro do paciente, então alguma configuração preliminar deve ser realizada');
INSERT INTO `lang_definitions` VALUES (92145, 4819, 18, 'Se você clicar em qualquer usuário na seção \'Associações de usuários\', verá agora esses grupos recém-criados (ARO) na coluna \'Inativos\'. Eles agora podem ser atribuídos da maneira usual, conforme necessário');
INSERT INTO `lang_definitions` VALUES (92146, 4820, 18, 'Se você clicar no ícone de edição próximo a este grupo recém-criado (ARO), você notará que a coluna \'Ativo\' contém apenas uma única entrada - Espaço reservado (mantém ACLs vazios). No momento, este novo grupo (ARO) NÃO tem acesso a qualquer parte do programa, pois não há ACOs atribuídos na coluna \'Ativo\'');
INSERT INTO `lang_definitions` VALUES (92147, 4821, 18, 'Se você clicar no sinal + azul em Química do soro, verá uma nova linha chamada Painel de órgãos / doenças com uma categoria de subgrupo');
INSERT INTO `lang_definitions` VALUES (92148, 4822, 18, 'Se você continuar tendo esse erro, por favor entre em contato com o suporte');
INSERT INTO `lang_definitions` VALUES (92149, 4823, 18, 'Se você não encontrar um valor necessário na caixa suspensa, você precisará adicioná-lo via Administração> Listas> Unidades de procedimento. Consulte o arquivo de ajuda em Procedimentos> Provedores');
INSERT INTO `lang_definitions` VALUES (92150, 4824, 18, 'Se você não selecionar uma correspondência, o paciente será criado');
INSERT INTO `lang_definitions` VALUES (92151, 4825, 18, 'Se você não selecionar pelo menos um deles, o OpenEMR operará em um modo somente de recepção');
INSERT INTO `lang_definitions` VALUES (92152, 4826, 18, 'Se você não enviar pedidos eletronicamente ou receber resultados eletronicamente, deixe como o valor padrão, Download');
INSERT INTO `lang_definitions` VALUES (92153, 4827, 18, 'Se você não quiser fazer isso, o método a seguir envolve adicionar dados manualmente usando a interface openEMR');
INSERT INTO `lang_definitions` VALUES (92154, 4828, 18, 'Se você detalhar a linha do painel de eletrólito e clicar no sinal + na coluna Nome, você deverá ver o sódio listado abaixo dela com um valor de categoria de resultado com um valor de nível 4');
INSERT INTO `lang_definitions` VALUES (92155, 4829, 18, 'Se você detalhar a linha do painel de eletrólito, deverá ver que ele tem uma categoria de pedido e destacado em amarelo, indicando que é um pedido pesquisável e válido e tem um valor de nível 3');
INSERT INTO `lang_definitions` VALUES (92156, 4830, 18, 'Se você selecionou vários códigos, eles serão separados por ponto e vírgula');
INSERT INTO `lang_definitions` VALUES (92157, 4831, 18, 'Se você já preencheu a tabela calendar_external, então clique no botão \"Sincronizar\" para ter os feriados na visualização do calendário. NOTE que clicar no botão irá remover todos os itens existentes na visualização do calendário relacionados aos feriados');
INSERT INTO `lang_definitions` VALUES (92158, 4832, 18, 'Se você tiver um superbill antigo você pode usar seu agrupamento de códigos como um modelo para iniciar a personalização');
INSERT INTO `lang_definitions` VALUES (92159, 4833, 18, 'Se você tiver escolhido para carregar as remessas eletrônicas, em seguida, a janela de pesquisa redisplays com as faturas correspondentes a partir do arquivo X12. Você pode clicar em qualquer um destes números de fatura (como descrito abaixo) se você deseja fazer as correções antes do envio de informações é aplicada. Para aplicar as alterações, clique no botão Arquivo Processo ERA, na parte inferior da página. Isto produzirá uma nova janela com um relatório detalhado.');
INSERT INTO `lang_definitions` VALUES (92160, 4834, 18, 'Se você optou por fazer upload de remessas eletrônicas, então a janela de pesquisa é exibida novamente com as faturas correspondentes do arquivo X12. Você pode clicar em qualquer um desses números de fatura (conforme descrito acima) se desejar fazer quaisquer correções antes que as informações de remessa sejam aplicadas. Para aplicar as alterações, clique no botão \'Processar Arquivo ERA\' na parte inferior da página. Isso produzirá uma nova janela com um relatório detalhado');
INSERT INTO `lang_definitions` VALUES (92161, 4835, 18, 'Se você tiver habilitado o método TOTP na próxima vez que fizer login, será solicitado que você digite a senha TOTP');
INSERT INTO `lang_definitions` VALUES (92162, 4836, 18, 'Se você digitou uma data de pagamento na página de pesquisa, esta irá substituir a data de lançamento de pagamentos e ajustes que são de outra tiradas do arquivo X12. Isso pode ser útil para fins de notificação, se você quiser que o seu relatório de receitas para usar a sua data de lançamento, em vez de a companhia de seguros da data de processamento. Note que isso vai afetar também as datas de pagamentos, antes e ajustes que são postos em créditos secundário.');
INSERT INTO `lang_definitions` VALUES (92163, 4837, 18, 'Se você inseriu uma data de pagamento na página de pesquisa, isso substituirá a data de lançamento de pagamentos e ajustes que são retirados do arquivo X12. Isso pode ser útil para fins de relatório, se você quiser que o relatório de recibos use a data de lançamento em vez da data de processamento da emprsa da seguradora. Observe que isso também afetará as datas de pagamentos anteriores e ajustes que são colocados em reivindicações secundárias');
INSERT INTO `lang_definitions` VALUES (92164, 4838, 18, 'Se você seguiu todas as etapas acima corretamente, deverá ver Ácido Úrico no Soro sob Nome, ele será precedido por uma barra vertical indicando a ausência de descendentes ou filhos nesta entrada');
INSERT INTO `lang_definitions` VALUES (92165, 4839, 18, 'Se você seguiu as etapas acima corretamente, o teste de ácido úrico no soro agora deve ter um sinal de + antes do nome, indicando a presença de sucessores ou filhos');
INSERT INTO `lang_definitions` VALUES (92166, 4840, 18, 'Se você perdeu seu Smartphone, aqueles com privilégios de administrador podem excluir as chaves indo para Administração> Usuários e marcando a caixa de seleção Limpar 2FA e clicando em Salvar');
INSERT INTO `lang_definitions` VALUES (92167, 4841, 18, 'Se você tiver o módulo NewCrop eRx habilitado, então as alergias devem ser inseridas na página NewCrop MedEntry');
INSERT INTO `lang_definitions` VALUES (92168, 4842, 18, 'Se você ainda não fez alguma pré-configuração, incluindo a adição de provedores, faça-o acessando Procedimentos> Provedores');
INSERT INTO `lang_definitions` VALUES (92169, 4843, 18, 'Se você tiver a necessidade de solicitar componentes individuais do painel, você terá que criar um pedido de procedimento separado para cada componente individual do painel e armazenar o resultado retornado em um Resultado discreto criado de uma forma semelhante ao usado anteriormente para criar um pedido para ácido úrico sérico');
INSERT INTO `lang_definitions` VALUES (92170, 4844, 18, 'Se você clicar no botão Atualizar sem configurar nenhum filtro,então todos os lembretes datados para o usuário aparecerão abaixo');
INSERT INTO `lang_definitions` VALUES (92171, 4845, 18, 'Se você deixar no padrão de 0 então as entradas de nível superior que você fizer serão classificadas em ordem alfabética');
INSERT INTO `lang_definitions` VALUES (92172, 4846, 18, 'Se você fez alterações e deseja reenviá-lo, exclua o original (em Comunicações) e tente novamente');
INSERT INTO `lang_definitions` VALUES (92173, 4847, 18, 'Se você fez alterações e deseja reenviá-lo, exclua o original (em Comunicações) ou aguarde 60 segundos e tente novamente');
INSERT INTO `lang_definitions` VALUES (92174, 4848, 18, 'Se você precisar inserir manualmente o resultado retornado, cada teste (item favorito personalizado) deve ter um resultado discreto como um descendente direto');
INSERT INTO `lang_definitions` VALUES (92175, 4849, 18, 'Se você não vir nenhuma entrada na caixa suspensa Pedir de, significa que você não configurou um laboratório em Procedimentos> Provedores');
INSERT INTO `lang_definitions` VALUES (92176, 4850, 18, 'Se pretender alterar os tipos de dados, ou adicionar linhas ou colunas');
INSERT INTO `lang_definitions` VALUES (92177, 4851, 18, 'Se você deseja atualizar o banco de dados, então coloque o arquivo zip do banco de dados no seguinte diretório');
INSERT INTO `lang_definitions` VALUES (92178, 4852, 18, 'Se a sua pesquisa foi bem sucedida, os resultados da pesquisa serão exibidos na caixa de resultados da pesquisa abaixo');
INSERT INTO `lang_definitions` VALUES (92179, 4853, 18, 'Igbo');
INSERT INTO `lang_definitions` VALUES (92180, 4854, 18, 'Ignorar');
INSERT INTO `lang_definitions` VALUES (92181, 4855, 18, 'Código IIS');
INSERT INTO `lang_definitions` VALUES (92182, 4856, 18, 'Doença');
INSERT INTO `lang_definitions` VALUES (92183, 4857, 18, 'IM');
INSERT INTO `lang_definitions` VALUES (92184, 4858, 18, 'Tela de Imagens');
INSERT INTO `lang_definitions` VALUES (92185, 4859, 18, 'Resultado de Imagens');
INSERT INTO `lang_definitions` VALUES (92186, 4860, 18, 'Imagens');
INSERT INTO `lang_definitions` VALUES (92187, 4861, 18, 'Radiologia');
INSERT INTO `lang_definitions` VALUES (92188, 4862, 18, 'Integração de imagens e relatórios de diagnóstico por imagem DICOM - 2009');
INSERT INTO `lang_definitions` VALUES (92189, 4863, 18, 'Serviço de Radiologia');
INSERT INTO `lang_definitions` VALUES (92190, 4864, 18, 'Sistema imunológico');
INSERT INTO `lang_definitions` VALUES (92191, 4865, 18, 'Vacinação');
INSERT INTO `lang_definitions` VALUES (92192, 4866, 18, 'Local administrado por imunização');
INSERT INTO `lang_definitions` VALUES (92193, 4867, 18, 'Código de Imunização');
INSERT INTO `lang_definitions` VALUES (92194, 4868, 18, 'Status de conclusão da imunização');
INSERT INTO `lang_definitions` VALUES (92195, 4869, 18, 'Data da Imunização');
INSERT INTO `lang_definitions` VALUES (92196, 4870, 18, 'Data de expiração da Imunização');
INSERT INTO `lang_definitions` VALUES (92197, 4871, 18, 'Fonte de informação sobre a Imunização');
INSERT INTO `lang_definitions` VALUES (92198, 4872, 18, 'Número do lote da Vacina');
INSERT INTO `lang_definitions` VALUES (92199, 4873, 18, 'Fabricante da Vacina');
INSERT INTO `lang_definitions` VALUES (92200, 4874, 18, 'Critérios de observação da Imunização');
INSERT INTO `lang_definitions` VALUES (92201, 4875, 18, 'Observação dos resultados da Imunização');
INSERT INTO `lang_definitions` VALUES (92202, 4876, 18, 'Fornecedor de pedidos de imunização');
INSERT INTO `lang_definitions` VALUES (92203, 4877, 18, 'Motivo de recusa de imunização');
INSERT INTO `lang_definitions` VALUES (92204, 4878, 18, 'Registro de imunização');
INSERT INTO `lang_definitions` VALUES (92205, 4879, 18, 'Status de registro de imunização');
INSERT INTO `lang_definitions` VALUES (92206, 4880, 18, 'Data efetiva do status de registro de imunização');
INSERT INTO `lang_definitions` VALUES (92207, 4881, 18, 'Relatório de Imunização');
INSERT INTO `lang_definitions` VALUES (92208, 4882, 18, 'Serviço de Imunização');
INSERT INTO `lang_definitions` VALUES (92209, 4883, 18, 'Título de Imunização');
INSERT INTO `lang_definitions` VALUES (92210, 4884, 18, 'Resultados de elegibilidade de vacina de imunização');
INSERT INTO `lang_definitions` VALUES (92211, 4885, 18, 'Vacinas');
INSERT INTO `lang_definitions` VALUES (92212, 4886, 18, 'Imunizações - lista o histórico de imunizações e permite adicionar novas entradas ou editar as existentes');
INSERT INTO `lang_definitions` VALUES (92213, 4887, 18, 'Vacinar');
INSERT INTO `lang_definitions` VALUES (92214, 4888, 18, 'Imunológicos');
INSERT INTO `lang_definitions` VALUES (92215, 4889, 18, 'Immuno{{imunológico}}');
INSERT INTO `lang_definitions` VALUES (92216, 4890, 18, 'IMMUNO {{Imunologia / Reumatologia}}');
INSERT INTO `lang_definitions` VALUES (92217, 4893, 18, 'Implantes');
INSERT INTO `lang_definitions` VALUES (92218, 4894, 18, 'Importar');
INSERT INTO `lang_definitions` VALUES (92219, 4895, 18, 'Importar tudo');
INSERT INTO `lang_definitions` VALUES (92220, 4896, 18, 'Importar CCDA');
INSERT INTO `lang_definitions` VALUES (92221, 4897, 18, 'Importar CCR');
INSERT INTO `lang_definitions` VALUES (92222, 4898, 18, 'Importar certificado p/ o browser.');
INSERT INTO `lang_definitions` VALUES (92223, 4899, 18, 'Importar configuração');
INSERT INTO `lang_definitions` VALUES (92224, 4900, 18, 'Importação adiada por tempo de vida');
INSERT INTO `lang_definitions` VALUES (92225, 4901, 18, 'Importar Formulários');
INSERT INTO `lang_definitions` VALUES (92226, 4902, 18, 'Importar eventos de férias');
INSERT INTO `lang_definitions` VALUES (92227, 4903, 18, 'Importar feriados');
INSERT INTO `lang_definitions` VALUES (92228, 4904, 18, 'Paciente de Importação');
INSERT INTO `lang_definitions` VALUES (92229, 4905, 18, 'Importar Informações do Paciente');
INSERT INTO `lang_definitions` VALUES (92230, 4906, 18, 'Importar XML de dados demográficos de pacientes');
INSERT INTO `lang_definitions` VALUES (92231, 4907, 18, 'Farmácias de importação');
INSERT INTO `lang_definitions` VALUES (92232, 4908, 18, 'Roteiro de farmácias de importação');
INSERT INTO `lang_definitions` VALUES (92233, 4909, 18, 'Importante - o código de identificação para o grupo de favoritos personalizados é sempre definido pelo usuário');
INSERT INTO `lang_definitions` VALUES (92234, 4910, 18, 'Códigos Importantes');
INSERT INTO `lang_definitions` VALUES (92235, 4911, 18, 'IMPORTANTE: O número NPI também existe na entrada do Catálogo de endereços para o provedor, tome cuidado para inserir o número NPI correto');
INSERT INTO `lang_definitions` VALUES (92236, 4912, 18, 'IMPORTANTE: Esta ferramenta de upload serve apenas para fazer upload de documentos de pacientes que ainda não foram inseridos no sistema. Para fazer upload de arquivos para pacientes que já foram inseridos no sistema, por favor use a ferramenta de upload vinculada à tela de resumo do paciente.');
INSERT INTO `lang_definitions` VALUES (92237, 4913, 18, 'Alergias Importadas');
INSERT INTO `lang_definitions` VALUES (92238, 4914, 18, 'Importado da Contabilidade');
INSERT INTO `lang_definitions` VALUES (92239, 4915, 18, 'Medicamentos Importados');
INSERT INTO `lang_definitions` VALUES (92240, 4916, 18, 'Problemas importados');
INSERT INTO `lang_definitions` VALUES (92241, 4917, 18, 'Importar todo o código CPT definido após licenciá-lo da American Medical');
INSERT INTO `lang_definitions` VALUES (92242, 4918, 18, 'Impressão / Plano');
INSERT INTO `lang_definitions` VALUES (92243, 4919, 18, 'Criador de impressão / plano');
INSERT INTO `lang_definitions` VALUES (92244, 4920, 18, 'Melhoria');
INSERT INTO `lang_definitions` VALUES (92245, 4921, 18, 'IMP{{impressão}}');
INSERT INTO `lang_definitions` VALUES (92246, 4922, 18, 'em');
INSERT INTO `lang_definitions` VALUES (92247, 4923, 18, 'EM');
INSERT INTO `lang_definitions` VALUES (92248, 4924, 18, 'Da mesma forma, você criará um Resultado Discreto para Potássio, Cloreto e Dióxido de Carbono');
INSERT INTO `lang_definitions` VALUES (92249, 4925, 18, 'Da mesma forma, crie um item favorito personalizado para TSH (sequência 2, código de identificação WWT02, código padrão 30166-3) e vitamina D (sequência 3, código de identificação WWT03, código padrão 35365-6)');
INSERT INTO `lang_definitions` VALUES (92250, 4926, 18, 'Da mesma forma, crie um Resultado Discreto para TSH (Sequência - 2, Código de Identificação - WWT02R, Unidades Padrão - mU / L, intervalo Padrão - 0,4-4, deixe os Serviços de Acompanhamento em branco) e Vitamina D (Sequência - 3, Código de Identificação - WWT03R, unidades padrão - ng / mL, intervalo padrão - 0-20, deixe os serviços de acompanhamento em branco)');
INSERT INTO `lang_definitions` VALUES (92251, 4927, 18, 'Além disso, existem 2 caixas de seleção');
INSERT INTO `lang_definitions` VALUES (92252, 4928, 18, 'Além de criar uma Referência, o sistema também permite que você imprima um formulário de referência em branco que pode ser preenchido manualmente para gerar uma Referência');
INSERT INTO `lang_definitions` VALUES (92253, 4929, 18, 'Em qualquer caso, o estabelecimento de uma conexão, garantindo conformidade HIPAA, a segurança dos dados etc. exigirá codificação, cujo custo geralmente é suportado pelo laboratório. No entanto, eles só aprovarão se o volume de negócios justificar seu investimento');
INSERT INTO `lang_definitions` VALUES (92254, 4930, 18, 'No chat atual');
INSERT INTO `lang_definitions` VALUES (92255, 4931, 18, 'em cada olho');
INSERT INTO `lang_definitions` VALUES (92256, 4932, 18, 'Na sala de exames');
INSERT INTO `lang_definitions` VALUES (92257, 4933, 18, 'In House');
INSERT INTO `lang_definitions` VALUES (92258, 4934, 18, 'no olho esquerdo');
INSERT INTO `lang_definitions` VALUES (92259, 4935, 18, 'na narina');
INSERT INTO `lang_definitions` VALUES (92260, 4936, 18, 'Na Clínica - Disponível');
INSERT INTO `lang_definitions` VALUES (92261, 4937, 18, 'No openEMR, os relatórios de Registro de Continuidade de Cuidados (CCR) a serem gerados podem ser limitados a um intervalo de datas específico marcando a caixa de seleção Usar intervalo de datas e inserindo o intervalo de datas desejado');
INSERT INTO `lang_definitions` VALUES (92262, 4938, 18, 'A fim de cumprir os requisitos de uso significativo para entrada de pedido de provedor computadorizado (CPOE) para testes de laboratório e radiologia, este módulo precisa ser usado');
INSERT INTO `lang_definitions` VALUES (92263, 4939, 18, 'Para armazenar e recuperar adequadamente os resultados do teste e fazer novos pedidos, os testes / pedidos devem ser configurados de maneira hierárquica');
INSERT INTO `lang_definitions` VALUES (92264, 4940, 18, 'Para registrar os valores dos resultados retornados, você deve criar um Resultado Discreto separado (Nível 4) para cada um dos constituintes do painel, a fruta, como descendentes diretos deste ramo (Painel de Saúde Geral) (Nível 3). Exemplos dos resultados são CBC - Hemoglobina, CBC - Hematócrito, CMP - Sódio, CMP - Potássio, TSH etc.');
INSERT INTO `lang_definitions` VALUES (92265, 4941, 18, 'Para registrar seu dispositivo, por favor forneça sua senha de login do OpenEMR');
INSERT INTO `lang_definitions` VALUES (92266, 4942, 18, 'Para enviar Registro de Continuidade de Cuidados (CCR) e / ou Documento de Continuidade de Cuidados (CCD), opcionalmente, marque phiMail Permitir CCD Send e / ou phiMail Permitir CCR Send para habilitar o recurso de transmissão para esses tipos de dados');
INSERT INTO `lang_definitions` VALUES (92267, 4943, 18, 'No nosso caso, escolheremos o laboratório local que foi configurado anteriormente');
INSERT INTO `lang_definitions` VALUES (92268, 4944, 18, 'No nosso caso, vamos deixá-lo como Não atribuído');
INSERT INTO `lang_definitions` VALUES (92269, 4945, 18, 'No modo Retrato, determina a altura do envelope ao longo do eixo y em mm');
INSERT INTO `lang_definitions` VALUES (92270, 4946, 18, 'No modo Retrato, determina a largura do envelope ao longo do eixo x em mm');
INSERT INTO `lang_definitions` VALUES (92271, 4947, 18, 'no olho direito');
INSERT INTO `lang_definitions` VALUES (92272, 4948, 18, 'Em suma, os pedidos eletrônicos podem ser feitos, envolve uma quantidade significativa de testes e customização para ser certificado pelo laboratório, geralmente por meio de um terceiro e só pode acontecer se o laboratório concordar em dar luz verde ao projeto');
INSERT INTO `lang_definitions` VALUES (92273, 4949, 18, 'Na seção \'Postar item\' exibida na parte superior, você pode inserir uma fonte (por exemplo, número do cheque), data de pagamento e valor do cheque. A razão para a fonte e a data de pagamento é para que você não precise inseri-las repetidamente para cada reivindicação. O valor que você inserir será reduzido para cada fatura que receber parte do pagamento e, com sorte, terminará em zero quando você terminar');
INSERT INTO `lang_definitions` VALUES (92274, 4950, 18, 'No exemplo acima, um pedido para um único teste foi criado, ou seja, ácido úrico sérico');
INSERT INTO `lang_definitions` VALUES (92275, 4951, 18, 'Na instalação padrão, clique em Adicionar para abrir a página pop-up Adicionar / Editar Problema');
INSERT INTO `lang_definitions` VALUES (92276, 4952, 18, 'Nas palavras do paciente');
INSERT INTO `lang_definitions` VALUES (92277, 4953, 18, 'Na segunda fase do uso significativo, o CCD, mas não o CCR, foi incluído como parte do padrão para troca de documentos clínicos');
INSERT INTO `lang_definitions` VALUES (92278, 4954, 18, 'Neste caso, o grupo de favoritos personalizados será chamado de Laboratórios de pré-operatório e os dois painéis reconhecidos serão descendentes diretos, cada um em um nível de item favorito personalizado denominado CBC e Painel renal, respectivamente');
INSERT INTO `lang_definitions` VALUES (92279, 4955, 18, 'Neste caso, você criará um Pedido de Procedimento, o ramo frutífero denominado Painel Geral de Saúde (Nível 3)');
INSERT INTO `lang_definitions` VALUES (92280, 4956, 18, 'No total, há dezessete seções que podem ser incluídas em um Registro de Continuidade de Cuidados (CCR)');
INSERT INTO `lang_definitions` VALUES (92281, 4957, 18, 'Em uso');
INSERT INTO `lang_definitions` VALUES (92282, 4958, 18, 'em casa');
INSERT INTO `lang_definitions` VALUES (92283, 4959, 18, 'In-process');
INSERT INTO `lang_definitions` VALUES (92284, 4960, 18, 'Inativo');
INSERT INTO `lang_definitions` VALUES (92285, 4961, 18, 'Inativo - Perdido para acompanhamento');
INSERT INTO `lang_definitions` VALUES (92286, 4962, 18, 'Inativo - movido ou ido para outro lugar');
INSERT INTO `lang_definitions` VALUES (92287, 4963, 18, 'Inativo - Permanentemente inativo');
INSERT INTO `lang_definitions` VALUES (92288, 4964, 18, 'Inativo - Não Especificado');
INSERT INTO `lang_definitions` VALUES (92289, 4965, 18, 'Inativo Dias');
INSERT INTO `lang_definitions` VALUES (92290, 4966, 18, 'Mensagens Inativas');
INSERT INTO `lang_definitions` VALUES (92291, 4967, 18, 'Caixa de entrada');
INSERT INTO `lang_definitions` VALUES (92292, 4968, 18, 'Código INCITS');
INSERT INTO `lang_definitions` VALUES (92293, 4969, 18, 'Inclui todos os valores relatados para cada código de resultado');
INSERT INTO `lang_definitions` VALUES (92294, 4970, 18, 'Incluir Checksum');
INSERT INTO `lang_definitions` VALUES (92295, 4971, 18, 'Incluir Concluído');
INSERT INTO `lang_definitions` VALUES (92296, 4973, 18, 'Incluir Inativo');
INSERT INTO `lang_definitions` VALUES (92297, 4974, 18, 'Incluir os usuários inativos');
INSERT INTO `lang_definitions` VALUES (92298, 4975, 18, 'Incluir Uncategorized');
INSERT INTO `lang_definitions` VALUES (92299, 4976, 18, 'Incluir dados não estruturados');
INSERT INTO `lang_definitions` VALUES (92300, 4977, 18, 'Incluir dados vitais');
INSERT INTO `lang_definitions` VALUES (92301, 4978, 18, 'Incluir dados vitais?');
INSERT INTO `lang_definitions` VALUES (92302, 4979, 18, 'Provedores Incluídos');
INSERT INTO `lang_definitions` VALUES (92303, 4980, 18, 'incluindo CVF {{Campos Visuais de Confronto}} e Pupils');
INSERT INTO `lang_definitions` VALUES (92304, 4981, 18, 'Inclusão');
INSERT INTO `lang_definitions` VALUES (92305, 4982, 18, 'Renda');
INSERT INTO `lang_definitions` VALUES (92306, 4983, 18, 'Resultados recebidos que requerem atenção:');
INSERT INTO `lang_definitions` VALUES (92307, 4984, 18, 'Incompleto');
INSERT INTO `lang_definitions` VALUES (92308, 4985, 18, 'Aborto incompleto Tratamento');
INSERT INTO `lang_definitions` VALUES (92309, 4986, 18, 'Incontinência');
INSERT INTO `lang_definitions` VALUES (92310, 4987, 18, 'Incorporar resultados de testes de laboratório clínico em tecnologia EHR certificada como dados estruturados');
INSERT INTO `lang_definitions` VALUES (92311, 4988, 18, 'Senha incorreta!');
INSERT INTO `lang_definitions` VALUES (92312, 4989, 18, 'Aumente o limite para um número maior, digamos 100, para que você possa decidir em quais agir');
INSERT INTO `lang_definitions` VALUES (92313, 4990, 18, 'aumentou:');
INSERT INTO `lang_definitions` VALUES (92314, 4991, 18, 'Seguro de Indenização');
INSERT INTO `lang_definitions` VALUES (92315, 4992, 18, 'Clínica Independente');
INSERT INTO `lang_definitions` VALUES (92316, 4993, 18, 'Laboratório Independente');
INSERT INTO `lang_definitions` VALUES (92317, 4994, 18, 'Indeterminado');
INSERT INTO `lang_definitions` VALUES (92318, 4995, 18, 'Indiano');
INSERT INTO `lang_definitions` VALUES (92319, 4996, 18, 'Centro autônomo de serviço de saúde indiano');
INSERT INTO `lang_definitions` VALUES (92320, 4997, 18, 'Centro baseado em provedor de serviços de saúde indiano');
INSERT INTO `lang_definitions` VALUES (92321, 4998, 18, 'Indica anormalidade');
INSERT INTO `lang_definitions` VALUES (92322, 4999, 18, 'Indica se este problema é um medicamento oftálmico específico');
INSERT INTO `lang_definitions` VALUES (92323, 5000, 18, 'Indica se este problema está atualmente ativo');
INSERT INTO `lang_definitions` VALUES (92324, 5001, 18, 'Indicações');
INSERT INTO `lang_definitions` VALUES (92325, 5002, 18, 'Indicador para uso especializado');
INSERT INTO `lang_definitions` VALUES (92326, 5003, 18, 'Pacientes Indigentes');
INSERT INTO `lang_definitions` VALUES (92327, 5004, 18, 'Indigentes pacientes relatam');
INSERT INTO `lang_definitions` VALUES (92328, 5005, 18, 'Indigentes');
INSERT INTO `lang_definitions` VALUES (92329, 5006, 18, 'O acesso individual pode ser adaptado para atender às necessidades atribuindo um usuário a um ou mais grupos (AROs). O usuário irá então herdar todos os privilégios, ou seja, terá acesso a partes do programa (ACO), de cada grupo (ARO) ao qual o usuário pertence');
INSERT INTO `lang_definitions` VALUES (92330, 5007, 18, 'As páginas individuais podem substituir as 2ª e 3ª opções implementando uma mensagem de registro');
INSERT INTO `lang_definitions` VALUES (92331, 5008, 18, 'Testes individuais ou até mesmo painéis de testes individuais reconhecidos podem ser agrupados juntos como um Grupo de favoritos personalizados');
INSERT INTO `lang_definitions` VALUES (92332, 5009, 18, 'Indonesian');
INSERT INTO `lang_definitions` VALUES (92333, 5010, 18, 'Aborto induzido');
INSERT INTO `lang_definitions` VALUES (92334, 5011, 18, 'Indústria');
INSERT INTO `lang_definitions` VALUES (92335, 5012, 18, 'Ineligible');
INSERT INTO `lang_definitions` VALUES (92336, 5013, 18, 'Infecção / Abscesso');
INSERT INTO `lang_definitions` VALUES (92337, 5014, 18, 'Infecções');
INSERT INTO `lang_definitions` VALUES (92338, 5015, 18, 'Infertil Couns');
INSERT INTO `lang_definitions` VALUES (92339, 5016, 18, 'Infertilidade');
INSERT INTO `lang_definitions` VALUES (92340, 5017, 18, 'Influenza 1');
INSERT INTO `lang_definitions` VALUES (92341, 5018, 18, 'Influenza 2');
INSERT INTO `lang_definitions` VALUES (92342, 5019, 18, 'Imunização contra influenza para pacientes> = 50 anos de idade');
INSERT INTO `lang_definitions` VALUES (92343, 5020, 18, 'Imunização contra influenza para pacientes> = 50 anos de idade (CQM)');
INSERT INTO `lang_definitions` VALUES (92344, 5021, 18, 'Influenza Vaccine');
INSERT INTO `lang_definitions` VALUES (92345, 5022, 18, 'Info');
INSERT INTO `lang_definitions` VALUES (92346, 5023, 18, 'Info teste 1');
INSERT INTO `lang_definitions` VALUES (92347, 5024, 18, 'Info teste 2');
INSERT INTO `lang_definitions` VALUES (92348, 5025, 18, 'Info teste 3');
INSERT INTO `lang_definitions` VALUES (92349, 5026, 18, 'Info teste 4');
INSERT INTO `lang_definitions` VALUES (92350, 5027, 18, 'Info teste 5');
INSERT INTO `lang_definitions` VALUES (92351, 5028, 18, 'Info teste 6');
INSERT INTO `lang_definitions` VALUES (92352, 5029, 18, 'Informante');
INSERT INTO `lang_definitions` VALUES (92353, 5031, 18, 'As informações sobre o Portal do Paciente também são mostradas na seção do cabeçalho');
INSERT INTO `lang_definitions` VALUES (92354, 5032, 18, 'Information Source');
INSERT INTO `lang_definitions` VALUES (92355, 5033, 18, 'inf{{inferior}}');
INSERT INTO `lang_definitions` VALUES (92356, 5034, 18, 'inalações');
INSERT INTO `lang_definitions` VALUES (92357, 5035, 18, 'Inhale');
INSERT INTO `lang_definitions` VALUES (92358, 5036, 18, 'inhilations');
INSERT INTO `lang_definitions` VALUES (92359, 5037, 18, 'População inicial de pacientes');
INSERT INTO `lang_definitions` VALUES (92360, 5038, 18, 'Tratamento Inicial');
INSERT INTO `lang_definitions` VALUES (92361, 5039, 18, 'Usuário inicial');
INSERT INTO `lang_definitions` VALUES (92362, 5040, 18, 'Grupo inicialmente aberto');
INSERT INTO `lang_definitions` VALUES (92363, 5041, 18, 'lesões/reabilitação');
INSERT INTO `lang_definitions` VALUES (92364, 5042, 18, 'Injetáveis');
INSERT INTO `lang_definitions` VALUES (92365, 5043, 18, 'Injeção');
INSERT INTO `lang_definitions` VALUES (92366, 5044, 18, 'Parte do corpo ferida');
INSERT INTO `lang_definitions` VALUES (92367, 5045, 18, 'Feridos Out');
INSERT INTO `lang_definitions` VALUES (92368, 5046, 18, 'Lesão');
INSERT INTO `lang_definitions` VALUES (92369, 5047, 18, 'Mecanismo de lesão');
INSERT INTO `lang_definitions` VALUES (92370, 5048, 18, 'Lesão relatório geral');
INSERT INTO `lang_definitions` VALUES (92371, 5049, 18, 'Vigilância de Lesões');
INSERT INTO `lang_definitions` VALUES (92372, 5050, 18, 'Tipo de lesão');
INSERT INTO `lang_definitions` VALUES (92373, 5051, 18, 'Lesões / doenças relacionadas');
INSERT INTO `lang_definitions` VALUES (92374, 5052, 18, 'Na linha');
INSERT INTO `lang_definitions` VALUES (92375, 5053, 18, 'Hospital de internação');
INSERT INTO `lang_definitions` VALUES (92376, 5054, 18, 'Centro psiquiátrico de internação');
INSERT INTO `lang_definitions` VALUES (92377, 5055, 18, 'A entrada não começa com um segmento MSH');
INSERT INTO `lang_definitions` VALUES (92378, 5056, 18, 'Input Fields');
INSERT INTO `lang_definitions` VALUES (92379, 5057, 18, 'incursões');
INSERT INTO `lang_definitions` VALUES (92380, 5058, 18, 'Ins 1');
INSERT INTO `lang_definitions` VALUES (92381, 5059, 18, 'Ins 2 or Ins 3');
INSERT INTO `lang_definitions` VALUES (92382, 5060, 18, 'Endereço Ins');
INSERT INTO `lang_definitions` VALUES (92383, 5061, 18, 'Ins ajustar');
INSERT INTO `lang_definitions` VALUES (92384, 5062, 18, 'Ins agregação');
INSERT INTO `lang_definitions` VALUES (92385, 5063, 18, 'Código Ins');
INSERT INTO `lang_definitions` VALUES (92386, 5064, 18, 'Grupo Ins');
INSERT INTO `lang_definitions` VALUES (92387, 5065, 18, 'Nome Ins');
INSERT INTO `lang_definitions` VALUES (92388, 5066, 18, 'Ins excesso');
INSERT INTO `lang_definitions` VALUES (92389, 5067, 18, 'Política de Ins');
INSERT INTO `lang_definitions` VALUES (92390, 5068, 18, 'Restituição Ins');
INSERT INTO `lang_definitions` VALUES (92391, 5069, 18, 'Ins Resumo');
INSERT INTO `lang_definitions` VALUES (92392, 5070, 18, 'Problema de ins / fin');
INSERT INTO `lang_definitions` VALUES (92393, 5071, 18, 'Ins1');
INSERT INTO `lang_definitions` VALUES (92394, 5072, 18, 'Ins2');
INSERT INTO `lang_definitions` VALUES (92395, 5073, 18, 'Ins3');
INSERT INTO `lang_definitions` VALUES (92396, 5074, 18, 'Inserir');
INSERT INTO `lang_definitions` VALUES (92397, 5075, 18, 'Inserir falhou:');
INSERT INTO `lang_definitions` VALUES (92398, 5076, 18, 'Insira normais');
INSERT INTO `lang_definitions` VALUES (92399, 5077, 18, 'Insira normais - 100/100');
INSERT INTO `lang_definitions` VALUES (92400, 5078, 18, 'Insira normais - 11/11');
INSERT INTO `lang_definitions` VALUES (92401, 5079, 18, 'Inserir eventos antigos em tabelas');
INSERT INTO `lang_definitions` VALUES (92402, 5080, 18, 'Inserir campo especial');
INSERT INTO `lang_definitions` VALUES (92403, 5081, 18, 'Insira a chave na porta USB');
INSERT INTO `lang_definitions` VALUES (92404, 5082, 18, 'Inserir chave U2F');
INSERT INTO `lang_definitions` VALUES (92405, 5083, 18, 'Insira sua chave em uma porta USB e clique no botão Autenticar abaixo');
INSERT INTO `lang_definitions` VALUES (92406, 5084, 18, 'Inserido');
INSERT INTO `lang_definitions` VALUES (92407, 5085, 18, 'Insonia');
INSERT INTO `lang_definitions` VALUES (92408, 5086, 18, 'Inspecione o log');
INSERT INTO `lang_definitions` VALUES (92409, 5087, 18, 'Inspeção');
INSERT INTO `lang_definitions` VALUES (92410, 5088, 18, 'Instabilidade / subluxação');
INSERT INTO `lang_definitions` VALUES (92411, 5089, 18, 'INSTALL');
INSERT INTO `lang_definitions` VALUES (92412, 5090, 18, 'Instalar');
INSERT INTO `lang_definitions` VALUES (92413, 5092, 18, 'Instalar o conjunto de códigos');
INSERT INTO `lang_definitions` VALUES (92414, 5093, 18, 'instalar DB');
INSERT INTO `lang_definitions` VALUES (92415, 5094, 18, 'Instale-o indo em Administração> Outro> Cargas de dados externos> ICD10> Versões em estágios e clique em Instalar');
INSERT INTO `lang_definitions` VALUES (92416, 5095, 18, 'Instalar códigos de serviço de layout');
INSERT INTO `lang_definitions` VALUES (92417, 5097, 18, 'Instale o certificado de âncora de confiança EMR Direct');
INSERT INTO `lang_definitions` VALUES (92418, 5099, 18, 'As instalações que processam um grande número de mensagens diretas podem exigir um intervalo mais curto');
INSERT INTO `lang_definitions` VALUES (92419, 5100, 18, 'Versão Instalada');
INSERT INTO `lang_definitions` VALUES (92420, 5101, 18, 'Instalando códigos em openEMR');
INSERT INTO `lang_definitions` VALUES (92421, 5102, 18, 'Instruída');
INSERT INTO `lang_definitions` VALUES (92422, 5103, 18, 'Instrução');
INSERT INTO `lang_definitions` VALUES (92423, 5104, 18, 'Instruções');
INSERT INTO `lang_definitions` VALUES (92424, 5105, 18, 'Instruções:');
INSERT INTO `lang_definitions` VALUES (92425, 5106, 18, 'Estoque insuficiente para produto');
INSERT INTO `lang_definitions` VALUES (92426, 5107, 18, 'Estoque insuficiente para ID do produto');
INSERT INTO `lang_definitions` VALUES (92427, 5108, 18, 'Insulino-dependente');
INSERT INTO `lang_definitions` VALUES (92428, 5109, 18, 'Convênio');
INSERT INTO `lang_definitions` VALUES (92429, 5110, 18, 'seguro');
INSERT INTO `lang_definitions` VALUES (92430, 5111, 18, 'Endereço do Seguro');
INSERT INTO `lang_definitions` VALUES (92431, 5112, 18, 'Adj de seguro');
INSERT INTO `lang_definitions` VALUES (92432, 5113, 18, 'Ajuste de seguro');
INSERT INTO `lang_definitions` VALUES (92433, 5114, 18, 'Saldo');
INSERT INTO `lang_definitions` VALUES (92434, 5115, 18, 'Saldo devedor');
INSERT INTO `lang_definitions` VALUES (92435, 5116, 18, 'Seguro Comp');
INSERT INTO `lang_definitions` VALUES (92436, 5117, 18, 'Seguradoras');
INSERT INTO `lang_definitions` VALUES (92437, 5118, 18, 'Companhia de Seguros');
INSERT INTO `lang_definitions` VALUES (92438, 5119, 18, 'Companhia de Seguros de Pesquisa / Adicionar');
INSERT INTO `lang_definitions` VALUES (92439, 5120, 18, 'Crédito de seguro');
INSERT INTO `lang_definitions` VALUES (92440, 5121, 18, 'Dados Convênio');
INSERT INTO `lang_definitions` VALUES (92441, 5122, 18, 'ID de seguro');
INSERT INTO `lang_definitions` VALUES (92442, 5123, 18, 'Insurance Information');
INSERT INTO `lang_definitions` VALUES (92443, 5124, 18, 'Informações de seguro em arquivo');
INSERT INTO `lang_definitions` VALUES (92444, 5125, 18, 'Nome do Seguro');
INSERT INTO `lang_definitions` VALUES (92445, 5126, 18, 'Números do Convênio');
INSERT INTO `lang_definitions` VALUES (92446, 5127, 18, 'Pagamento do Convênio');
INSERT INTO `lang_definitions` VALUES (92447, 5128, 18, 'Pagamentos do Convênio');
INSERT INTO `lang_definitions` VALUES (92448, 5129, 18, 'Operadora de Seguros');
INSERT INTO `lang_definitions` VALUES (92449, 5130, 18, 'Busca / Seleção / Adicionar Seguros');
INSERT INTO `lang_definitions` VALUES (92450, 5131, 18, 'Tipos de Convênios');
INSERT INTO `lang_definitions` VALUES (92451, 5132, 18, 'Convênios');
INSERT INTO `lang_definitions` VALUES (92452, 5133, 18, 'Conveniado');
INSERT INTO `lang_definitions` VALUES (92453, 5134, 18, 'Ingestão de Conclusão');
INSERT INTO `lang_definitions` VALUES (92454, 5135, 18, 'Data de admissão');
INSERT INTO `lang_definitions` VALUES (92455, 5136, 18, 'Inteiros 1-100');
INSERT INTO `lang_definitions` VALUES (92456, 5137, 18, 'A integração dos resultados de laboratório no prontuário de um paciente no openEMR pode ser feita manualmente, ou seja, ambos solicitar testes e enviar os resultados recebidos ou eletronicamente');
INSERT INTO `lang_definitions` VALUES (92457, 5138, 18, 'Declínio Intelectual');
INSERT INTO `lang_definitions` VALUES (92458, 5139, 18, 'Distância inter-pupilar');
INSERT INTO `lang_definitions` VALUES (92459, 5140, 18, 'Interaja com transações criadas');
INSERT INTO `lang_definitions` VALUES (92460, 5141, 18, 'Interlíngua');
INSERT INTO `lang_definitions` VALUES (92461, 5142, 18, 'Interlingue');
INSERT INTO `lang_definitions` VALUES (92462, 5143, 18, 'Instituição de cuidados intermediários / retardo mental');
INSERT INTO `lang_definitions` VALUES (92463, 5144, 18, 'Esotropia intermitente');
INSERT INTO `lang_definitions` VALUES (92464, 5145, 18, 'Exotropia intermitente');
INSERT INTO `lang_definitions` VALUES (92465, 5146, 18, 'hiperforia intermitente');
INSERT INTO `lang_definitions` VALUES (92466, 5147, 18, 'Hipotropia intermitente');
INSERT INTO `lang_definitions` VALUES (92467, 5148, 18, 'Alergias Internas');
INSERT INTO `lang_definitions` VALUES (92468, 5149, 18, 'Erro interno - sem páginas foram selecionados!');
INSERT INTO `lang_definitions` VALUES (92469, 5150, 18, 'Erro interno - identificação do paciente não foi fornecida!');
INSERT INTO `lang_definitions` VALUES (92470, 5151, 18, 'Interno erro ao aceder ao ficheiro uploaded!');
INSERT INTO `lang_definitions` VALUES (92471, 5152, 18, 'Erro interno em tableNameFromLayout');
INSERT INTO `lang_definitions` VALUES (92472, 5153, 18, 'Erro interno!');
INSERT INTO `lang_definitions` VALUES (92473, 5154, 18, 'Erro interno, nenhuma droga ID especificado!');
INSERT INTO `lang_definitions` VALUES (92474, 5155, 18, 'Erro interno: Não é possível encontrar MSH-10');
INSERT INTO `lang_definitions` VALUES (92475, 5156, 18, 'Erro interno: reclamação');
INSERT INTO `lang_definitions` VALUES (92476, 5157, 18, 'Erro interno: consulta \'');
INSERT INTO `lang_definitions` VALUES (92477, 5158, 18, 'Erro interno: PID ou Consulta está faltando.');
INSERT INTO `lang_definitions` VALUES (92478, 5159, 18, 'Erro interno: parece que não estamos em um encontro!');
INSERT INTO `lang_definitions` VALUES (92479, 5160, 18, 'Interno Identifier (PID)');
INSERT INTO `lang_definitions` VALUES (92480, 5161, 18, 'Medicamentos Internos');
INSERT INTO `lang_definitions` VALUES (92481, 5162, 18, 'Internal Problems');
INSERT INTO `lang_definitions` VALUES (92482, 5163, 18, 'Interno Referências');
INSERT INTO `lang_definitions` VALUES (92483, 5164, 18, 'Tempo Interno Coletado');
INSERT INTO `lang_definitions` VALUES (92484, 5165, 18, 'Direito Internacional');
INSERT INTO `lang_definitions` VALUES (92485, 5166, 18, 'A versão 6 do navegador Internet Explorer à versão 11 do navegador Internet Explorer não oferece suporte à API FIDO U2F');
INSERT INTO `lang_definitions` VALUES (92486, 5167, 18, 'Intérprete');
INSERT INTO `lang_definitions` VALUES (92487, 5168, 18, 'Interpreter needed?');
INSERT INTO `lang_definitions` VALUES (92488, 5169, 18, 'Interstitial Lung Disease');
INSERT INTO `lang_definitions` VALUES (92489, 5170, 18, 'Intervalo');
INSERT INTO `lang_definitions` VALUES (92490, 5171, 18, 'Intervalo (minutos)');
INSERT INTO `lang_definitions` VALUES (92491, 5172, 18, 'Intervalo entre as verificações de mensagem (definido como zero apenas para verificações manuais)');
INSERT INTO `lang_definitions` VALUES (92492, 5173, 18, 'Intervenção');
INSERT INTO `lang_definitions` VALUES (92493, 5174, 18, 'Intervenção fornecida');
INSERT INTO `lang_definitions` VALUES (92494, 5175, 18, 'Intolerância');
INSERT INTO `lang_definitions` VALUES (92495, 5176, 18, 'Intradérmico');
INSERT INTO `lang_definitions` VALUES (92496, 5177, 18, 'Intramuscular');
INSERT INTO `lang_definitions` VALUES (92497, 5178, 18, 'intramuscular');
INSERT INTO `lang_definitions` VALUES (92498, 5179, 18, 'Pressões intraoculares');
INSERT INTO `lang_definitions` VALUES (92499, 5180, 18, 'Pressões intraoculares (mmHg) por data');
INSERT INTO `lang_definitions` VALUES (92500, 5181, 18, 'intravenosa');
INSERT INTO `lang_definitions` VALUES (92501, 5182, 18, 'Introdução');
INSERT INTO `lang_definitions` VALUES (92502, 5183, 18, 'Inuktitut');
INSERT INTO `lang_definitions` VALUES (92503, 5184, 18, 'Inupiaq');
INSERT INTO `lang_definitions` VALUES (92504, 5185, 18, 'Invalid character in');
INSERT INTO `lang_definitions` VALUES (92505, 5186, 18, 'Conteúdo Inválido');
INSERT INTO `lang_definitions` VALUES (92506, 5187, 18, 'Invalid Credit Card Number');
INSERT INTO `lang_definitions` VALUES (92507, 5188, 18, 'Valores de cartão de crédito inválidos: por favor corrija');
INSERT INTO `lang_definitions` VALUES (92508, 5191, 18, 'Intervalo de datas inválido');
INSERT INTO `lang_definitions` VALUES (92509, 5192, 18, 'Tipo de codificação de dados encapsulados inválido');
INSERT INTO `lang_definitions` VALUES (92510, 5193, 18, 'Arquivo inválido');
INSERT INTO `lang_definitions` VALUES (92511, 5194, 18, 'ID de layout inválido');
INSERT INTO `lang_definitions` VALUES (92512, 5195, 18, 'Comprimento inválido para');
INSERT INTO `lang_definitions` VALUES (92513, 5196, 18, 'Carácter não numérico inválido em');
INSERT INTO `lang_definitions` VALUES (92514, 5197, 18, 'Inválido ou faltando ordenante na fonte para o código');
INSERT INTO `lang_definitions` VALUES (92515, 5198, 18, 'Senha inválida');
INSERT INTO `lang_definitions` VALUES (92516, 5199, 18, 'Endereço de destinatário inváliddo. Por favor tente novamente.');
INSERT INTO `lang_definitions` VALUES (92517, 5200, 18, 'Código de Serviço Inválido');
INSERT INTO `lang_definitions` VALUES (92518, 5201, 18, 'Invalid denominação de origem \"\"');
INSERT INTO `lang_definitions` VALUES (92519, 5202, 18, 'Total inválido!');
INSERT INTO `lang_definitions` VALUES (92520, 5203, 18, 'Nome de usuário ou senha inválido.');
INSERT INTO `lang_definitions` VALUES (92521, 5204, 18, 'InvAmt');
INSERT INTO `lang_definitions` VALUES (92522, 5205, 18, 'Inventário');
INSERT INTO `lang_definitions` VALUES (92523, 5206, 18, 'Atividade de estoque');
INSERT INTO `lang_definitions` VALUES (92524, 5207, 18, 'Inventariar e vender ambos drogas e produtos sem drogas');
INSERT INTO `lang_definitions` VALUES (92525, 5208, 18, 'Inventariar e vender drogas apenas');
INSERT INTO `lang_definitions` VALUES (92526, 5209, 18, 'Inventário não está disponível para este fim.');
INSERT INTO `lang_definitions` VALUES (92527, 5210, 18, 'Inventário');
INSERT INTO `lang_definitions` VALUES (92528, 5211, 18, 'Transações de estoque');
INSERT INTO `lang_definitions` VALUES (92529, 5212, 18, 'Fatura');
INSERT INTO `lang_definitions` VALUES (92530, 5213, 18, 'fatura');
INSERT INTO `lang_definitions` VALUES (92531, 5214, 18, 'Ações de fatura');
INSERT INTO `lang_definitions` VALUES (92532, 5215, 18, 'Saldo da Fatura');
INSERT INTO `lang_definitions` VALUES (92533, 5216, 18, 'O saldo da fatura não pode ser lançado. Nenhum encontro é criado');
INSERT INTO `lang_definitions` VALUES (92534, 5217, 18, 'Data da fatura');
INSERT INTO `lang_definitions` VALUES (92535, 5218, 18, 'Detalhes da fatura');
INSERT INTO `lang_definitions` VALUES (92536, 5219, 18, 'Fatura não tem data!');
INSERT INTO `lang_definitions` VALUES (92537, 5220, 18, 'Número da Fatura');
INSERT INTO `lang_definitions` VALUES (92538, 5221, 18, 'Invoice Reference Number');
INSERT INTO `lang_definitions` VALUES (92539, 5222, 18, 'Conjunto de números de referência da fatura, se usado');
INSERT INTO `lang_definitions` VALUES (92540, 5223, 18, 'Conjuntos de números de referência de fatura');
INSERT INTO `lang_definitions` VALUES (92541, 5224, 18, 'Conjunto de números de referência da fatura');
INSERT INTO `lang_definitions` VALUES (92542, 5225, 18, 'Pesquisa de fatura');
INSERT INTO `lang_definitions` VALUES (92543, 5226, 18, 'Fatura:');
INSERT INTO `lang_definitions` VALUES (92544, 5227, 18, 'Gráfico IOP');
INSERT INTO `lang_definitions` VALUES (92545, 5228, 18, 'PIO dilatada {{Pressão intraocular dilatada}}');
INSERT INTO `lang_definitions` VALUES (92546, 5229, 18, 'Gráfico de PIO');
INSERT INTO `lang_definitions` VALUES (92547, 5230, 18, 'ios');
INSERT INTO `lang_definitions` VALUES (92548, 5231, 18, 'iPad Pro 10,5 polegadas');
INSERT INTO `lang_definitions` VALUES (92549, 5232, 18, 'iPad Pro 12,5 polegadas');
INSERT INTO `lang_definitions` VALUES (92550, 5233, 18, 'iPad/iPad Mini, XGA');
INSERT INTO `lang_definitions` VALUES (92551, 5234, 18, 'iPhone 6/7/8 Plus');
INSERT INTO `lang_definitions` VALUES (92552, 5235, 18, 'iPhone X/XS');
INSERT INTO `lang_definitions` VALUES (92553, 5236, 18, 'iPhone XR/XS Max');
INSERT INTO `lang_definitions` VALUES (92554, 5237, 18, 'IPPF');
INSERT INTO `lang_definitions` VALUES (92555, 5238, 18, 'Aborto IPPF');
INSERT INTO `lang_definitions` VALUES (92556, 5239, 18, 'Contracepção IPPF');
INSERT INTO `lang_definitions` VALUES (92557, 5240, 18, 'IPPF SRH dados para');
INSERT INTO `lang_definitions` VALUES (92558, 5241, 18, 'IPPF Relatório de Estatísticas');
INSERT INTO `lang_definitions` VALUES (92559, 5242, 18, 'Estatísticas IPPF');
INSERT INTO `lang_definitions` VALUES (92560, 5243, 18, 'VPI 1');
INSERT INTO `lang_definitions` VALUES (92561, 5244, 18, 'VPI 2');
INSERT INTO `lang_definitions` VALUES (92562, 5245, 18, 'VPI 3');
INSERT INTO `lang_definitions` VALUES (92563, 5246, 18, 'VPI 4');
INSERT INTO `lang_definitions` VALUES (92564, 5247, 18, 'Íris');
INSERT INTO `lang_definitions` VALUES (92565, 5248, 18, 'irlandês');
INSERT INTO `lang_definitions` VALUES (92566, 5249, 18, 'Batimento cardíaco irregular');
INSERT INTO `lang_definitions` VALUES (92567, 5250, 18, 'Irritabilidade');
INSERT INTO `lang_definitions` VALUES (92568, 5251, 18, 'Irritação');
INSERT INTO `lang_definitions` VALUES (92569, 5252, 18, 'é uma versão de idioma diferente do seguinte banco de dados');
INSERT INTO `lang_definitions` VALUES (92570, 5253, 18, 'é uma versão diferente do seguinte banco de dados');
INSERT INTO `lang_definitions` VALUES (92571, 5254, 18, 'é uma versão mais recente do seguinte banco de dados');
INSERT INTO `lang_definitions` VALUES (92572, 5255, 18, 'É um registro de todas as transações financeiras entre o paciente e a prática');
INSERT INTO `lang_definitions` VALUES (92573, 5256, 18, 'é um campo obrigatório.');
INSERT INTO `lang_definitions` VALUES (92574, 5257, 18, 'é um nó raiz e não pode ser excluído.');
INSERT INTO `lang_definitions` VALUES (92575, 5258, 18, 'é uma extensão do seguinte banco de dados');
INSERT INTO `lang_definitions` VALUES (92576, 5259, 18, 'Está autorizando assinatura');
INSERT INTO `lang_definitions` VALUES (92577, 5262, 18, 'Tudo bem para mapear esses códigos CVX para imunizações já existentes?');
INSERT INTO `lang_definitions` VALUES (92578, 5263, 18, 'está perdido ou desconhecido');
INSERT INTO `lang_definitions` VALUES (92579, 5265, 18, 'e-mail não é válido');
INSERT INTO `lang_definitions` VALUES (92580, 5266, 18, 'não selecionado');
INSERT INTO `lang_definitions` VALUES (92581, 5267, 18, 'esta opcão não é válida');
INSERT INTO `lang_definitions` VALUES (92582, 5268, 18, 'não é válida (frações decimais são OK).');
INSERT INTO `lang_definitions` VALUES (92583, 5269, 18, 'PHP é utilizando o modo de segurança?');
INSERT INTO `lang_definitions` VALUES (92584, 5272, 18, 'É selecionado');
INSERT INTO `lang_definitions` VALUES (92585, 5273, 18, 'O texto dos layouts de formulário deve ser traduzido?');
INSERT INTO `lang_definitions` VALUES (92586, 5274, 18, 'O texto das listas deve ser traduzido?');
INSERT INTO `lang_definitions` VALUES (92587, 5275, 18, 'O arquivo está criptografado?');
INSERT INTO `lang_definitions` VALUES (92588, 5276, 18, 'Este é um tipo de código de termo clínico?');
INSERT INTO `lang_definitions` VALUES (92589, 5277, 18, 'Este é um tipo de diagnóstico?');
INSERT INTO `lang_definitions` VALUES (92590, 5278, 18, 'Este é um tipo de código de problema médico?');
INSERT INTO `lang_definitions` VALUES (92591, 5279, 18, 'Este é um tipo de medicamento?');
INSERT INTO `lang_definitions` VALUES (92592, 5280, 18, 'Este é um tipo de procedimento / serviço?');
INSERT INTO `lang_definitions` VALUES (92593, 5281, 18, 'Isso está ativo?');
INSERT INTO `lang_definitions` VALUES (92594, 5282, 18, 'Este tipo de código está ativo?');
INSERT INTO `lang_definitions` VALUES (92595, 5283, 18, 'Este tipo de código é usado em reivindicações?');
INSERT INTO `lang_definitions` VALUES (92596, 5284, 18, 'Is this Okay?');
INSERT INTO `lang_definitions` VALUES (92597, 5285, 18, 'Isso está realmente OK?');
INSERT INTO `lang_definitions` VALUES (92598, 5286, 18, 'Este tipo está escondido na folha de taxas?');
INSERT INTO `lang_definitions` VALUES (92599, 5287, 18, 'Isso está usando tabelas SQL externas? Se for, então escolha o formato');
INSERT INTO `lang_definitions` VALUES (92600, 5288, 18, 'é muito longo');
INSERT INTO `lang_definitions` VALUES (92601, 5289, 18, 'Código ISO 639-2');
INSERT INTO `lang_definitions` VALUES (92602, 5290, 18, 'Problema');
INSERT INTO `lang_definitions` VALUES (92603, 5291, 18, 'problema');
INSERT INTO `lang_definitions` VALUES (92604, 5292, 18, 'Data do Problema');
INSERT INTO `lang_definitions` VALUES (92605, 5293, 18, 'ID do Problema');
INSERT INTO `lang_definitions` VALUES (92606, 5294, 18, 'Subtipos de problemas');
INSERT INTO `lang_definitions` VALUES (92607, 5295, 18, 'Issue Title');
INSERT INTO `lang_definitions` VALUES (92608, 5296, 18, 'Issue Type');
INSERT INTO `lang_definitions` VALUES (92609, 5297, 18, 'Tipos de problema');
INSERT INTO `lang_definitions` VALUES (92610, 5298, 18, 'Questões');
INSERT INTO `lang_definitions` VALUES (92611, 5299, 18, 'Ocorrências (Lesões / Médicas / Alergias)');
INSERT INTO `lang_definitions` VALUES (92612, 5300, 18, 'Ocorrências (Lesões / Médicas / Alergias):');
INSERT INTO `lang_definitions` VALUES (92613, 5301, 18, 'Problemas - resume os problemas médicos, alergias, medicamentos, cirurgias e problemas dentários do paciente');
INSERT INTO `lang_definitions` VALUES (92614, 5302, 18, 'Questões e Consultas');
INSERT INTO `lang_definitions` VALUES (92615, 5303, 18, 'Questões e Consultas para');
INSERT INTO `lang_definitions` VALUES (92616, 5304, 18, 'Página wiki de problemas e imunizações');
INSERT INTO `lang_definitions` VALUES (92617, 5305, 18, 'Os problemas também podem ser vinculados a zero ou mais encontros');
INSERT INTO `lang_definitions` VALUES (92618, 5306, 18, 'Ajuda para problemas');
INSERT INTO `lang_definitions` VALUES (92619, 5307, 18, 'Issues List');
INSERT INTO `lang_definitions` VALUES (92620, 5308, 18, 'Questões não autorizado');
INSERT INTO `lang_definitions` VALUES (92621, 5309, 18, 'A seção');
INSERT INTO `lang_definitions` VALUES (92622, 5310, 18, 'Ele permite que o navegador se comunique diretamente com o dispositivo USB evitando a necessidade do usuário fazer qualquer coisa além de inserir o dispositivo em uma porta USB e tocar nele para ativá-lo');
INSERT INTO `lang_definitions` VALUES (92623, 5311, 18, 'Também permite criar novos grupos (AROs), bem como remover os existentes');
INSERT INTO `lang_definitions` VALUES (92624, 5312, 18, 'Ele também pode receber resultados eletronicamente');
INSERT INTO `lang_definitions` VALUES (92625, 5313, 18, 'Pode ser vinculado a um paciente ou apenas uma mensagem endereçada a outro (s) usuário (s)');
INSERT INTO `lang_definitions` VALUES (92626, 5314, 18, 'Ele combina o que o usuário sabe, ou seja, a senha do usuário com o que o usuário possui, ou seja, um dispositivo que é único ou um mecanismo para gerar / receber um código único para ser usado em cada login');
INSERT INTO `lang_definitions` VALUES (92627, 5315, 18, 'Consiste em três seções');
INSERT INTO `lang_definitions` VALUES (92628, 5316, 18, 'Consiste em duas partes - definir um provedor e configurar os pedidos e os resultados');
INSERT INTO `lang_definitions` VALUES (92629, 5317, 18, 'Consiste em duas partes - o aplicativo de recebimento e o recurso de recebimento');
INSERT INTO `lang_definitions` VALUES (92630, 5318, 18, 'Consiste em duas partes - o aplicativo de envio e o recurso de envio');
INSERT INTO `lang_definitions` VALUES (92631, 5319, 18, 'Ele contém uma seção esquerda e direita');
INSERT INTO `lang_definitions` VALUES (92632, 5320, 18, 'Ele contém um código QR que precisa ser capturado pelo aplicativo autenticador');
INSERT INTO `lang_definitions` VALUES (92633, 5321, 18, 'Ele contém dados estruturados que estão incluídos no Registro de Continuidade de Cuidados (CCR) definido para o padrão de Arquitetura de Documento Clínico');
INSERT INTO `lang_definitions` VALUES (92634, 5322, 18, 'Não se refere à referência real que foi criada');
INSERT INTO `lang_definitions` VALUES (92635, 5323, 18, 'Ele faz isso usando um algoritmo para combinar o horário UNIX atual com a chave secreta para gerar uma chave única em constante mudança');
INSERT INTO `lang_definitions` VALUES (92636, 5324, 18, 'Tem quatro guias');
INSERT INTO `lang_definitions` VALUES (92637, 5325, 18, 'Tem três níveis');
INSERT INTO `lang_definitions` VALUES (92638, 5326, 18, 'É um módulo de mensagem comercial disponível para práticas openEMR utilizando a versão 5.0.1 e superior');
INSERT INTO `lang_definitions` VALUES (92639, 5327, 18, 'É um campo no cabeçalho da mensagem HL7 conhecido como ID de processamento');
INSERT INTO `lang_definitions` VALUES (92640, 5328, 18, 'Faz parte do prontuário médico');
INSERT INTO `lang_definitions` VALUES (92641, 5329, 18, 'É também um serviço baseado em assinatura');
INSERT INTO `lang_definitions` VALUES (92642, 5330, 18, 'Também é necessário listar um código CID10 para que o problema seja listado no Relatório de Continuidade de Cuidados (CCR) e no Documento de Continuidade de Cuidados (CCD)');
INSERT INTO `lang_definitions` VALUES (92643, 5331, 18, 'Está dividido em duas seções');
INSERT INTO `lang_definitions` VALUES (92644, 5332, 18, 'É essencial que você leia as primeiras quatro seções para compreender os princípios subjacentes');
INSERT INTO `lang_definitions` VALUES (92645, 5333, 18, 'É muito mais fácil e intuitivo fazer grandes alterações e reorganizar os dados na planilha antes de começar a inserir os dados no openEMR');
INSERT INTO `lang_definitions` VALUES (92646, 5334, 18, 'É importante perceber que isso gerencia o MFA para o usuário conectado');
INSERT INTO `lang_definitions` VALUES (92647, 5335, 18, 'É importante compreender a função destes dois ícones dado que todos os passos subsequentes necessários para configurar correctamente a hierarquia irão depender da utilização correcta destes dois ícones');
INSERT INTO `lang_definitions` VALUES (92648, 5336, 18, 'Destina-se a incluir apenas as informações que são críticas para efetivamente continuar o cuidado');
INSERT INTO `lang_definitions` VALUES (92649, 5337, 18, 'É emitido para prestadores de cuidados de saúde nos Estados Unidos pelos Centros de Serviços Medicare e Medicaid (CMS)');
INSERT INTO `lang_definitions` VALUES (92650, 5338, 18, 'Não é necessário para o laboratório local, em vez disso, você pode usar qualquer número único arbitrário');
INSERT INTO `lang_definitions` VALUES (92651, 5339, 18, 'Não é necessário preencher os códigos de diagnóstico padrão, pois os códigos ICD10 podem ser inseridos no momento do pedido real do teste');
INSERT INTO `lang_definitions` VALUES (92652, 5340, 18, 'Não é enviado com a reclamação');
INSERT INTO `lang_definitions` VALUES (92653, 5341, 18, 'Não é incomum solicitar vários exames de sangue juntos, agrupá-los como um painel de exames facilita esse processo');
INSERT INTO `lang_definitions` VALUES (92654, 5343, 18, 'É o formulário de reclamação em papel básico prescrito por muitos pagadores para reclamações submetidas por médicos e práticas individuais, enfermeiras e profissionais, incluindo terapeutas, quiropráticos e clínicas ambulatoriais e, em alguns casos, para serviços de ambulância');
INSERT INTO `lang_definitions` VALUES (92655, 5344, 18, 'É usado para vincular problemas a encontros e também é usado para ver quais encontros estão associados a um determinado problema');
INSERT INTO `lang_definitions` VALUES (92656, 5345, 18, 'É útil praticar em um local de teste para se familiarizar com o processo antes de fazer isso no aplicativo openEMR de produção');
INSERT INTO `lang_definitions` VALUES (92657, 5346, 18, 'Permite pesquisar por códigos de diagnóstico ICD 9 e ICD 10 e CPT4 e HCPCS');
INSERT INTO `lang_definitions` VALUES (92658, 5347, 18, 'Ele permite que você envie mensagens e lembretes datados aos membros da equipe, adicione o paciente à lista de re call e envie mensagens de texto SMS para os pacientes');
INSERT INTO `lang_definitions` VALUES (92659, 5348, 18, 'Ele serve como uma ponte necessária para um ambiente diferente, muitas vezes com novos médicos que não sabem nada sobre o paciente, permitindo que o próximo provedor facilmente');
INSERT INTO `lang_definitions` VALUES (92660, 5349, 18, 'Portanto, é lógico que você não pode criar uma contra-referência por si só');
INSERT INTO `lang_definitions` VALUES (92661, 5350, 18, 'Ele usa um padrão aberto e, portanto, disponível em vários fabricantes');
INSERT INTO `lang_definitions` VALUES (92662, 5351, 18, 'Ele usa a função hash HMAC-SHA256 para gerar uma chave privada exclusiva para a conta');
INSERT INTO `lang_definitions` VALUES (92663, 5352, 18, 'Ele usa essa chave privada para assinar o desafio e envia a resposta de volta ao aplicativo');
INSERT INTO `lang_definitions` VALUES (92664, 5353, 18, 'Será exibido no resumo da visita');
INSERT INTO `lang_definitions` VALUES (92665, 5354, 18, 'Isso abrirá o formulário pop-up Inserir detalhes');
INSERT INTO `lang_definitions` VALUES (92666, 5355, 18, 'Isso abrirá o pop-up do localizador de vários pacientes');
INSERT INTO `lang_definitions` VALUES (92667, 5356, 18, 'Ele exibirá o pop-up de exibição justificado. Tem uma caixa de pesquisa que permite pesquisar um código ICD. Ele também exibirá os 10 códigos ICD mais comumente usados. Você pode selecionar qualquer um ou todos os códigos marcando a caixa de seleção J (justificar) e pressionando atualizar');
INSERT INTO `lang_definitions` VALUES (92668, 5357, 18, 'Terá um valor de 2 na coluna nível indicando que é um sucessor ou filho na primeira linha acima tendo um valor nível 1 que neste caso é Química do Soro');
INSERT INTO `lang_definitions` VALUES (92669, 5358, 18, 'Terá duas seções - a Seção de Problemas e a Seção de Encontros');
INSERT INTO `lang_definitions` VALUES (92670, 5359, 18, 'Isso ajudará mais tarde na solução de problemas que podem surgir com a configuração do módulo de Pedidos de Procedimento');
INSERT INTO `lang_definitions` VALUES (92671, 5360, 18, 'Irá abrir a seção Criar Nova Mensagem');
INSERT INTO `lang_definitions` VALUES (92672, 5361, 18, 'Isso o levará para a página de inscrição do MedEx');
INSERT INTO `lang_definitions` VALUES (92673, 5362, 18, 'Ele então aparecerá no widget Alergias no Painel do Paciente, bem como em alergias na página Problemas');
INSERT INTO `lang_definitions` VALUES (92674, 5363, 18, 'Ele então aparecerá no widget Medicamentos no Painel do Paciente, bem como em Medicamentos na página de Problemas');
INSERT INTO `lang_definitions` VALUES (92675, 5364, 18, 'Italiano');
INSERT INTO `lang_definitions` VALUES (92676, 5365, 18, 'Item');
INSERT INTO `lang_definitions` VALUES (92677, 5366, 18, 'item');
INSERT INTO `lang_definitions` VALUES (92678, 5367, 18, 'Detalhes do item');
INSERT INTO `lang_definitions` VALUES (92679, 5368, 18, 'Itens');
INSERT INTO `lang_definitions` VALUES (92680, 5369, 18, 'Carregar itens não');
INSERT INTO `lang_definitions` VALUES (92681, 5370, 18, 'IU / L');
INSERT INTO `lang_definitions` VALUES (92682, 5371, 18, 'DIU');
INSERT INTO `lang_definitions` VALUES (92683, 5372, 18, 'IV');
INSERT INTO `lang_definitions` VALUES (92684, 5373, 18, 'Jaeger');
INSERT INTO `lang_definitions` VALUES (92685, 5374, 18, 'Jaeger{{Próximo Acuidade Tipo Jaeger}}');
INSERT INTO `lang_definitions` VALUES (92686, 5375, 18, 'Jan');
INSERT INTO `lang_definitions` VALUES (92687, 5376, 18, 'Janeiro');
INSERT INTO `lang_definitions` VALUES (92688, 5377, 18, 'japonês');
INSERT INTO `lang_definitions` VALUES (92689, 5378, 18, 'Icterícia');
INSERT INTO `lang_definitions` VALUES (92690, 5379, 18, 'Javanês');
INSERT INTO `lang_definitions` VALUES (92691, 5380, 18, 'Especialidade');
INSERT INTO `lang_definitions` VALUES (92692, 5381, 18, 'Job ID');
INSERT INTO `lang_definitions` VALUES (92693, 5382, 18, 'Luxações articulares');
INSERT INTO `lang_definitions` VALUES (92694, 5383, 18, 'Dor nas Articulações');
INSERT INTO `lang_definitions` VALUES (92695, 5384, 18, 'Entorses Comum');
INSERT INTO `lang_definitions` VALUES (92696, 5385, 18, 'Jul');
INSERT INTO `lang_definitions` VALUES (92697, 5386, 18, 'Julho');
INSERT INTO `lang_definitions` VALUES (92698, 5387, 18, 'Ir para a próxima linha');
INSERT INTO `lang_definitions` VALUES (92699, 5388, 18, 'Jun');
INSERT INTO `lang_definitions` VALUES (92700, 5389, 18, 'Junho');
INSERT INTO `lang_definitions` VALUES (92701, 5390, 18, 'Logo abaixo as informações de seleção é uma área azul onde você colocou em seus parâmetros de busca. Você pode pesquisar por nome do paciente, número de registro, número ou a data da Consulta de serviço, ou qualquer combinação destes. Você também pode selecionar se você quiser ver todas as notas fiscais, faturas em aberto, ou que são apenas faturas devidas (pelo paciente). Clique no botão Procurar para executar a pesquisa.');
INSERT INTO `lang_definitions` VALUES (92702, 5391, 18, 'Somente Minhas');
INSERT INTO `lang_definitions` VALUES (92703, 5392, 18, 'Entradas de justificativa');
INSERT INTO `lang_definitions` VALUES (92704, 5393, 18, 'Justificar');
INSERT INTO `lang_definitions` VALUES (92705, 5394, 18, 'Justificar Dx');
INSERT INTO `lang_definitions` VALUES (92706, 5395, 18, 'Justifique cada código CPT com uma ou mais justificativas usando a caixa suspensa. Estes refletirão os códigos de diagnóstico que foram previamente selecionados em \'Selecionar códigos\'');
INSERT INTO `lang_definitions` VALUES (92707, 5396, 18, 'Justificar / Save');
INSERT INTO `lang_definitions` VALUES (92708, 5397, 18, 'J{{Justificar cabeçalho}}');
INSERT INTO `lang_definitions` VALUES (92709, 5398, 18, 'ok, aqui está o resto');
INSERT INTO `lang_definitions` VALUES (92710, 5399, 18, 'K1 {{Ceratometria 1}}');
INSERT INTO `lang_definitions` VALUES (92711, 5400, 18, 'K1 {{Ceratometria 2}}');
INSERT INTO `lang_definitions` VALUES (92712, 5401, 18, 'Kalaallisut, groenlandês');
INSERT INTO `lang_definitions` VALUES (92713, 5402, 18, 'Canarim');
INSERT INTO `lang_definitions` VALUES (92714, 5403, 18, 'Kanuri');
INSERT INTO `lang_definitions` VALUES (92715, 5404, 18, 'Caxemira');
INSERT INTO `lang_definitions` VALUES (92716, 5405, 18, 'Cazaque');
INSERT INTO `lang_definitions` VALUES (92717, 5406, 18, 'chave');
INSERT INTO `lang_definitions` VALUES (92718, 5407, 18, 'chave');
INSERT INTO `lang_definitions` VALUES (92719, 5408, 18, 'O acesso à chave falhou com erro');
INSERT INTO `lang_definitions` VALUES (92720, 5409, 18, 'Chave para criptografia de múltiplas credenciais de banco de dados');
INSERT INTO `lang_definitions` VALUES (92721, 5410, 18, 'Nome da Chave');
INSERT INTO `lang_definitions` VALUES (92722, 5411, 18, 'Palavras-chave');
INSERT INTO `lang_definitions` VALUES (92723, 5412, 18, 'kg');
INSERT INTO `lang_definitions` VALUES (92724, 5413, 18, 'kg / m ^ 2');
INSERT INTO `lang_definitions` VALUES (92725, 5414, 18, 'Khmer');
INSERT INTO `lang_definitions` VALUES (92726, 5415, 18, 'Kidney Cancer');
INSERT INTO `lang_definitions` VALUES (92727, 5416, 18, 'Insuficiência Renal');
INSERT INTO `lang_definitions` VALUES (92728, 5417, 18, 'Infecções do Rim');
INSERT INTO `lang_definitions` VALUES (92729, 5418, 18, 'Pedras nos rins');
INSERT INTO `lang_definitions` VALUES (92730, 5419, 18, 'Transplante renal');
INSERT INTO `lang_definitions` VALUES (92731, 5420, 18, 'Kikuyu, Gikuyu');
INSERT INTO `lang_definitions` VALUES (92732, 5421, 18, 'Kindle Fire HDX, laptop MDPI, WXGA');
INSERT INTO `lang_definitions` VALUES (92733, 5422, 18, 'Kinyarwanda');
INSERT INTO `lang_definitions` VALUES (92734, 5423, 18, 'Quiosque');
INSERT INTO `lang_definitions` VALUES (92735, 5424, 18, 'Kirundi');
INSERT INTO `lang_definitions` VALUES (92736, 5425, 18, 'Joelho');
INSERT INTO `lang_definitions` VALUES (92737, 5426, 18, 'Problemas do Joelho');
INSERT INTO `lang_definitions` VALUES (92738, 5427, 18, 'Recolocação do joelho');
INSERT INTO `lang_definitions` VALUES (92739, 5428, 18, 'Komi');
INSERT INTO `lang_definitions` VALUES (92740, 5429, 18, 'Kongo');
INSERT INTO `lang_definitions` VALUES (92741, 5430, 18, 'Coreano');
INSERT INTO `lang_definitions` VALUES (92742, 5431, 18, 'Curdo');
INSERT INTO `lang_definitions` VALUES (92743, 5432, 18, 'Kwanyama, Kuanyama');
INSERT INTO `lang_definitions` VALUES (92744, 5433, 18, 'Quirguiz');
INSERT INTO `lang_definitions` VALUES (92745, 5434, 18, 'Lab');
INSERT INTO `lang_definitions` VALUES (92746, 5435, 18, 'Documentos de Laboratório');
INSERT INTO `lang_definitions` VALUES (92747, 5436, 18, 'Endereço do site de troca de laboratório');
INSERT INTO `lang_definitions` VALUES (92748, 5437, 18, 'ID do site do Lab Exchange');
INSERT INTO `lang_definitions` VALUES (92749, 5438, 18, 'Lab Exchange Token ID');
INSERT INTO `lang_definitions` VALUES (92750, 5439, 18, 'Ordem do Laboratório');
INSERT INTO `lang_definitions` VALUES (92751, 5440, 18, 'Visão geral do laboratório');
INSERT INTO `lang_definitions` VALUES (92752, 5441, 18, 'Visão geral do laboratório');
INSERT INTO `lang_definitions` VALUES (92753, 5442, 18, 'Status de consulta de laboratório');
INSERT INTO `lang_definitions` VALUES (92754, 5443, 18, 'ID de referência do laboratório');
INSERT INTO `lang_definitions` VALUES (92755, 5444, 18, 'Lab Report');
INSERT INTO `lang_definitions` VALUES (92756, 5445, 18, 'Resultado de Laboratório');
INSERT INTO `lang_definitions` VALUES (92757, 5446, 18, 'Resultados de Laboratório');
INSERT INTO `lang_definitions` VALUES (92758, 5447, 18, 'Resultados do laboratório (escrita, adicionalmente opcional)');
INSERT INTO `lang_definitions` VALUES (92759, 5448, 18, 'Nome da categoria de resultados de laboratório');
INSERT INTO `lang_definitions` VALUES (92760, 5449, 18, 'Relatório de resultados de laboratório');
INSERT INTO `lang_definitions` VALUES (92761, 5450, 18, 'Serviço de laboratório');
INSERT INTO `lang_definitions` VALUES (92762, 5451, 18, 'Resultados dos testes de laboratório');
INSERT INTO `lang_definitions` VALUES (92763, 5452, 18, 'Arquivo do laboratório');
INSERT INTO `lang_definitions` VALUES (92764, 5453, 18, 'Rótulo');
INSERT INTO `lang_definitions` VALUES (92765, 5454, 18, 'Rótulo não pode estar em branco');
INSERT INTO `lang_definitions` VALUES (92766, 5455, 18, 'Label Cols');
INSERT INTO `lang_definitions` VALUES (92767, 5456, 18, 'Etiqueta para este tipo');
INSERT INTO `lang_definitions` VALUES (92768, 5457, 18, 'Etiqueta impressa por');
INSERT INTO `lang_definitions` VALUES (92769, 5458, 18, 'LabelCols deve ser um número entre 1 e 999');
INSERT INTO `lang_definitions` VALUES (92770, 5459, 18, 'Labels');
INSERT INTO `lang_definitions` VALUES (92771, 5460, 18, 'Os rótulos podem ser impressos para um paciente ou para todos os pacientes selecionados');
INSERT INTO `lang_definitions` VALUES (92772, 5461, 18, 'Informação Laboratorial');
INSERT INTO `lang_definitions` VALUES (92773, 5462, 18, 'Laboratory Test');
INSERT INTO `lang_definitions` VALUES (92774, 5463, 18, 'Labs');
INSERT INTO `lang_definitions` VALUES (92775, 5464, 18, 'Laceração condição de pele /');
INSERT INTO `lang_definitions` VALUES (92776, 5465, 18, 'Laceração / abrasão');
INSERT INTO `lang_definitions` VALUES (92777, 5466, 18, 'LAC {{câmara anterior esquerda}}');
INSERT INTO `lang_definitions` VALUES (92778, 5467, 18, 'LADate');
INSERT INTO `lang_definitions` VALUES (92779, 5468, 18, 'LAD {{left adnexa}}');
INSERT INTO `lang_definitions` VALUES (92780, 5470, 18, 'Panorama');
INSERT INTO `lang_definitions` VALUES (92781, 5471, 18, 'Linguagem');
INSERT INTO `lang_definitions` VALUES (92782, 5472, 18, 'Código de idioma');
INSERT INTO `lang_definitions` VALUES (92783, 5473, 18, 'Definição de linguagem acrescentado');
INSERT INTO `lang_definitions` VALUES (92784, 5474, 18, 'Language Interface Tool');
INSERT INTO `lang_definitions` VALUES (92785, 5475, 18, 'Ferramenta de interface de idioma (idioma)');
INSERT INTO `lang_definitions` VALUES (92786, 5476, 18, 'Lista de Língua (escrever, adicionar opcional)');
INSERT INTO `lang_definitions` VALUES (92787, 5477, 18, 'Lista de idiomas (escrita, adicionalmente opcional ) (idioma)');
INSERT INTO `lang_definitions` VALUES (92788, 5478, 18, 'Nome Language');
INSERT INTO `lang_definitions` VALUES (92789, 5479, 18, 'Idioma:');
INSERT INTO `lang_definitions` VALUES (92790, 5480, 18, 'Lao');
INSERT INTO `lang_definitions` VALUES (92791, 5481, 18, 'Laosiano');
INSERT INTO `lang_definitions` VALUES (92792, 5482, 18, 'Laptop HiDPI, WXGA +');
INSERT INTO `lang_definitions` VALUES (92793, 5483, 18, 'Interferometria a laser');
INSERT INTO `lang_definitions` VALUES (92794, 5484, 18, 'Acuidade de interferometria a laser');
INSERT INTO `lang_definitions` VALUES (92795, 5485, 18, 'Último');
INSERT INTO `lang_definitions` VALUES (92796, 5486, 18, 'Data Última');
INSERT INTO `lang_definitions` VALUES (92797, 5487, 18, 'Última Apendicectomia');
INSERT INTO `lang_definitions` VALUES (92798, 5489, 18, 'Data da última fatura:');
INSERT INTO `lang_definitions` VALUES (92799, 5490, 18, 'Último exame de mama');
INSERT INTO `lang_definitions` VALUES (92800, 5491, 18, 'Último ano civil');
INSERT INTO `lang_definitions` VALUES (92801, 5492, 18, 'Última cirurgia de catarata');
INSERT INTO `lang_definitions` VALUES (92802, 5493, 18, 'Última colecistectomia');
INSERT INTO `lang_definitions` VALUES (92803, 5494, 18, 'última data deste evento');
INSERT INTO `lang_definitions` VALUES (92804, 5495, 18, 'Última Consulta');
INSERT INTO `lang_definitions` VALUES (92805, 5496, 18, 'Última Gyn. Exame');
INSERT INTO `lang_definitions` VALUES (92806, 5497, 18, 'Última cirurgia cardíaca');
INSERT INTO `lang_definitions` VALUES (92807, 5498, 18, 'Última reparação de hérnia');
INSERT INTO `lang_definitions` VALUES (92808, 5499, 18, 'Última substituição do quadril');
INSERT INTO `lang_definitions` VALUES (92809, 5500, 18, 'Última Histerectomia');
INSERT INTO `lang_definitions` VALUES (92810, 5501, 18, 'Última substituição do joelho');
INSERT INTO `lang_definitions` VALUES (92811, 5502, 18, 'Último nível faturado');
INSERT INTO `lang_definitions` VALUES (92812, 5503, 18, 'Última mamografia');
INSERT INTO `lang_definitions` VALUES (92813, 5504, 18, 'Último período menstrual');
INSERT INTO `lang_definitions` VALUES (92814, 5505, 18, 'Última modificação');
INSERT INTO `lang_definitions` VALUES (92815, 5506, 18, 'Mês passado');
INSERT INTO `lang_definitions` VALUES (92816, 5507, 18, 'Sobrenome');
INSERT INTO `lang_definitions` VALUES (92817, 5508, 18, 'Sobrenome');
INSERT INTO `lang_definitions` VALUES (92818, 5509, 18, 'Sobrenome, nome');
INSERT INTO `lang_definitions` VALUES (92819, 5510, 18, 'Sobrenome, nome');
INSERT INTO `lang_definitions` VALUES (92820, 5511, 18, 'Sobrenome, nome (cargo)');
INSERT INTO `lang_definitions` VALUES (92821, 5512, 18, 'Sobrenome, nome (título: comentários)');
INSERT INTO `lang_definitions` VALUES (92822, 5513, 18, 'Sobrenome');
INSERT INTO `lang_definitions` VALUES (92823, 5514, 18, 'Último Exame Físico');
INSERT INTO `lang_definitions` VALUES (92824, 5515, 18, 'Último exame de próstata');
INSERT INTO `lang_definitions` VALUES (92825, 5516, 18, 'Último exame retal');
INSERT INTO `lang_definitions` VALUES (92826, 5517, 18, 'Última revisão');
INSERT INTO `lang_definitions` VALUES (92827, 5518, 18, 'Última execução iniciada em');
INSERT INTO `lang_definitions` VALUES (92828, 5519, 18, 'Last Saved');
INSERT INTO `lang_definitions` VALUES (92829, 5520, 18, 'Último sigmóide / colonoscopia');
INSERT INTO `lang_definitions` VALUES (92830, 5521, 18, 'Último Stmt');
INSERT INTO `lang_definitions` VALUES (92831, 5522, 18, 'Última Amigdalectomia');
INSERT INTO `lang_definitions` VALUES (92832, 5523, 18, 'Última Data Tx');
INSERT INTO `lang_definitions` VALUES (92833, 5524, 18, 'Última atualização');
INSERT INTO `lang_definitions` VALUES (92834, 5525, 18, 'Última atualização por');
INSERT INTO `lang_definitions` VALUES (92835, 5526, 18, 'Última verificação em');
INSERT INTO `lang_definitions` VALUES (92836, 5527, 18, 'Sua última visita');
INSERT INTO `lang_definitions` VALUES (92837, 5528, 18, 'Último Raio X');
INSERT INTO `lang_definitions` VALUES (92838, 5530, 18, 'A recorrência tardia (2-12 Mo)');
INSERT INTO `lang_definitions` VALUES (92839, 5531, 18, 'Do maléolo lateral');
INSERT INTO `lang_definitions` VALUES (92840, 5532, 18, 'Maléolo lateral:');
INSERT INTO `lang_definitions` VALUES (92841, 5533, 18, 'Lateralmente');
INSERT INTO `lang_definitions` VALUES (92842, 5534, 18, 'Lateralidade deste procedimento, se aplicável');
INSERT INTO `lang_definitions` VALUES (92843, 5535, 18, 'deslocada lateralmente PMI:');
INSERT INTO `lang_definitions` VALUES (92844, 5536, 18, 'Alertas de saúde mais recentes');
INSERT INTO `lang_definitions` VALUES (92845, 5537, 18, 'Últimos registros médicos');
INSERT INTO `lang_definitions` VALUES (92846, 5538, 18, 'Últimos resultados apenas');
INSERT INTO `lang_definitions` VALUES (92847, 5539, 18, 'Última visita ou consulta');
INSERT INTO `lang_definitions` VALUES (92848, 5540, 18, 'Latin');
INSERT INTO `lang_definitions` VALUES (92849, 5541, 18, 'Letão');
INSERT INTO `lang_definitions` VALUES (92850, 5542, 18, 'lat {{lateral}}');
INSERT INTO `lang_definitions` VALUES (92851, 5545, 18, 'Escritório de advocacia');
INSERT INTO `lang_definitions` VALUES (92852, 5546, 18, 'Advogado');
INSERT INTO `lang_definitions` VALUES (92853, 5547, 18, 'Layout');
INSERT INTO `lang_definitions` VALUES (92854, 5548, 18, 'Layout (precisa fazer logout / login após alterar esta configuração)');
INSERT INTO `lang_definitions` VALUES (92855, 5549, 18, 'Formulário');
INSERT INTO `lang_definitions` VALUES (92856, 5550, 18, 'Layout de colunas');
INSERT INTO `lang_definitions` VALUES (92857, 5551, 18, 'Editor de Layout');
INSERT INTO `lang_definitions` VALUES (92858, 5552, 18, 'Grupos de Layout');
INSERT INTO `lang_definitions` VALUES (92859, 5553, 18, 'ID de layout');
INSERT INTO `lang_definitions` VALUES (92860, 5555, 18, 'Propriedades de layout');
INSERT INTO `lang_definitions` VALUES (92861, 5556, 18, 'Estilo de Layout');
INSERT INTO `lang_definitions` VALUES (92862, 5557, 18, 'Formulários de transação baseados em layout');
INSERT INTO `lang_definitions` VALUES (92863, 5558, 18, 'Formulários customizados');
INSERT INTO `lang_definitions` VALUES (92864, 5559, 18, 'Layouts');
INSERT INTO `lang_definitions` VALUES (92865, 5560, 18, 'lb');
INSERT INTO `lang_definitions` VALUES (92866, 5561, 18, 'Pré-visualização do formulário de encontro LBF');
INSERT INTO `lang_definitions` VALUES (92867, 5562, 18, 'LBF_LBF_');
INSERT INTO `lang_definitions` VALUES (92868, 5563, 18, 'lbs');
INSERT INTO `lang_definitions` VALUES (92869, 5564, 18, 'LB{{fronte esquerda}}');
INSERT INTO `lang_definitions` VALUES (92870, 5565, 18, 'LCMT {{Espessura Macular Central esquerda}}');
INSERT INTO `lang_definitions` VALUES (92871, 5566, 18, 'LCUP {{copo esquerdo}}');
INSERT INTO `lang_definitions` VALUES (92872, 5567, 18, 'LC {{conjuntiva esquerda}}');
INSERT INTO `lang_definitions` VALUES (92873, 5571, 18, 'LDL');
INSERT INTO `lang_definitions` VALUES (92874, 5572, 18, 'LD {{disco esquerdo}}');
INSERT INTO `lang_definitions` VALUES (92875, 5573, 18, 'deixe em branco se ainda está ativo');
INSERT INTO `lang_definitions` VALUES (92876, 5574, 18, 'Deixe em branco para manter o nome do arquivo original');
INSERT INTO `lang_definitions` VALUES (92877, 5575, 18, 'Deixe em branco para manter inalterada a senha.');
INSERT INTO `lang_definitions` VALUES (92878, 5576, 18, 'Deixe a codificação em branco');
INSERT INTO `lang_definitions` VALUES (92879, 5577, 18, 'Deixe o código em branco, pois atualmente você só pode inserir códigos ICD10');
INSERT INTO `lang_definitions` VALUES (92880, 5578, 18, 'Deixe o destino em branco');
INSERT INTO `lang_definitions` VALUES (92881, 5579, 18, 'Deixe em branco se o problema ainda estiver ativo');
INSERT INTO `lang_definitions` VALUES (92882, 5580, 18, 'Deixar recado com');
INSERT INTO `lang_definitions` VALUES (92883, 5581, 18, 'Deixe os serviços de acompanhamento em branco e clique em Salvar');
INSERT INTO `lang_definitions` VALUES (92884, 5582, 18, 'Deixe o formulário');
INSERT INTO `lang_definitions` VALUES (92885, 5583, 18, 'Deixando a senha em branco o documento não será encriptado');
INSERT INTO `lang_definitions` VALUES (92886, 5584, 18, 'Orçamento');
INSERT INTO `lang_definitions` VALUES (92887, 5585, 18, 'Razão - Resume e tabula todas as cobranças, pagamentos, ajustes e saldos de todos os encontros relativos ao paciente');
INSERT INTO `lang_definitions` VALUES (92888, 5586, 18, 'Esquerdo');
INSERT INTO `lang_definitions` VALUES (92889, 5587, 18, 'Braço Esquerdo');
INSERT INTO `lang_definitions` VALUES (92890, 5588, 18, 'Deltóide Esquerdo');
INSERT INTO `lang_definitions` VALUES (92891, 5589, 18, 'Orelha Esquerda');
INSERT INTO `lang_definitions` VALUES (92892, 5590, 18, 'orelha esquerda');
INSERT INTO `lang_definitions` VALUES (92893, 5591, 18, 'Glúteo Médio Esquerdo');
INSERT INTO `lang_definitions` VALUES (92894, 5592, 18, 'Lente Esquerda');
INSERT INTO `lang_definitions` VALUES (92895, 5593, 18, 'Ante-braço inferior esquerdo');
INSERT INTO `lang_definitions` VALUES (92896, 5594, 18, 'Margem Esquerda (mm)');
INSERT INTO `lang_definitions` VALUES (92897, 5595, 18, 'Left Thigh');
INSERT INTO `lang_definitions` VALUES (92898, 5596, 18, 'Vasto Lateral Esquerdo');
INSERT INTO `lang_definitions` VALUES (92899, 5597, 18, 'Saiu sem a visita');
INSERT INTO `lang_definitions` VALUES (92900, 5599, 18, 'Esquerda:');
INSERT INTO `lang_definitions` VALUES (92901, 5600, 18, 'Esquerda:');
INSERT INTO `lang_definitions` VALUES (92902, 5601, 18, 'Dor na Perna / cólicas');
INSERT INTO `lang_definitions` VALUES (92903, 5602, 18, 'Legal');
INSERT INTO `lang_definitions` VALUES (92904, 5603, 18, 'Autenticador Legal');
INSERT INTO `lang_definitions` VALUES (92905, 5604, 18, 'Tamanho do papel legal');
INSERT INTO `lang_definitions` VALUES (92906, 5605, 18, 'Legenda:');
INSERT INTO `lang_definitions` VALUES (92907, 5606, 18, 'Comprimento');
INSERT INTO `lang_definitions` VALUES (92908, 5607, 18, 'Comprimento do modificador, 0 se nenhum');
INSERT INTO `lang_definitions` VALUES (92909, 5608, 18, 'Lente');
INSERT INTO `lang_definitions` VALUES (92910, 5609, 18, 'Lens Material');
INSERT INTO `lang_definitions` VALUES (92911, 5610, 18, 'Opções de material de lente');
INSERT INTO `lang_definitions` VALUES (92912, 5611, 18, 'Lens Thickness');
INSERT INTO `lang_definitions` VALUES (92913, 5612, 18, 'Tratamentos para lentes');
INSERT INTO `lang_definitions` VALUES (92914, 5613, 18, 'Menor que');
INSERT INTO `lang_definitions` VALUES (92915, 5614, 18, 'Less Than or Equal To');
INSERT INTO `lang_definitions` VALUES (92916, 5615, 18, 'Menos de informações privado (escrever, adicionar opcional)');
INSERT INTO `lang_definitions` VALUES (92917, 5616, 18, 'Informações menos privadas (escrita, adicionalmente opcional) (relaxado)');
INSERT INTO `lang_definitions` VALUES (92918, 5617, 18, 'Permite que você exclua uma linha ou linha. Pressione \'Atualizar\' e a linha terá um tachado');
INSERT INTO `lang_definitions` VALUES (92919, 5618, 18, 'Permite filtrar os resultados de acordo com os critérios escolhidos');
INSERT INTO `lang_definitions` VALUES (92920, 5619, 18, 'Permite enviar mensagens aos membros da equipe sobre questões relacionadas ao paciente');
INSERT INTO `lang_definitions` VALUES (92921, 5620, 18, 'Carta');
INSERT INTO `lang_definitions` VALUES (92922, 5621, 18, 'Letter Generator');
INSERT INTO `lang_definitions` VALUES (92923, 5622, 18, 'Tamanho do papel carta');
INSERT INTO `lang_definitions` VALUES (92924, 5623, 18, 'Papel timbrado que o médico assina');
INSERT INTO `lang_definitions` VALUES (92925, 5624, 18, 'Papel timbrado que o paciente assina');
INSERT INTO `lang_definitions` VALUES (92926, 5625, 18, 'Lev Fn {{função levator}}');
INSERT INTO `lang_definitions` VALUES (92927, 5626, 18, 'Função Levator');
INSERT INTO `lang_definitions` VALUES (92928, 5627, 18, 'Nível de urgência');
INSERT INTO `lang_definitions` VALUES (92929, 5628, 18, 'LF {{função levator}}');
INSERT INTO `lang_definitions` VALUES (92930, 5629, 18, 'LH {{medição hertel esquerda}}');
INSERT INTO `lang_definitions` VALUES (92931, 5630, 18, 'Responsabilidade');
INSERT INTO `lang_definitions` VALUES (92932, 5631, 18, 'Responsabilidade Médica');
INSERT INTO `lang_definitions` VALUES (92933, 5632, 18, 'Biblioteca');
INSERT INTO `lang_definitions` VALUES (92934, 5633, 18, 'RG');
INSERT INTO `lang_definitions` VALUES (92935, 5634, 18, 'Prescritor Licenciado');
INSERT INTO `lang_definitions` VALUES (92936, 5635, 18, 'Nome do Prescritor Licenciado');
INSERT INTO `lang_definitions` VALUES (92937, 5636, 18, 'Sobrenome do Prescritor Licenciado');
INSERT INTO `lang_definitions` VALUES (92938, 5637, 18, 'Prescritor licenciado NPI');
INSERT INTO `lang_definitions` VALUES (92939, 5638, 18, 'Título do Prescritor Licenciado (Prefixo)');
INSERT INTO `lang_definitions` VALUES (92940, 5639, 18, 'último nome do LicensedPrescriber');
INSERT INTO `lang_definitions` VALUES (92941, 5640, 18, 'NPI LicensedPrescriber');
INSERT INTO `lang_definitions` VALUES (92942, 5641, 18, 'UPIN LicensedPrescriber');
INSERT INTO `lang_definitions` VALUES (92943, 5642, 18, 'Companheiro');
INSERT INTO `lang_definitions` VALUES (92944, 5643, 18, 'Gravidade com risco de vida');
INSERT INTO `lang_definitions` VALUES (92945, 5644, 18, 'Hábitos');
INSERT INTO `lang_definitions` VALUES (92946, 5645, 18, 'Estilo de vida - lista o uso de tabaco, café, álcool, drogas recreativas, etc. pelo paciente');
INSERT INTO `lang_definitions` VALUES (92947, 5646, 18, 'Status de estilo de vida');
INSERT INTO `lang_definitions` VALUES (92948, 5647, 18, 'Ligamento lágrima ou entorse');
INSERT INTO `lang_definitions` VALUES (92949, 5648, 18, 'Fumante leve de tabaco');
INSERT INTO `lang_definitions` VALUES (92950, 5649, 18, 'Da mesma forma, a lateralidade não é relevante neste contexto e pode ser deixada como não atribuída');
INSERT INTO `lang_definitions` VALUES (92951, 5650, 18, 'Limburguês, Limburgan, Limburger');
INSERT INTO `lang_definitions` VALUES (92952, 5651, 18, 'Limite de Eventos');
INSERT INTO `lang_definitions` VALUES (92953, 5652, 18, 'Exame limitado');
INSERT INTO `lang_definitions` VALUES (92954, 5653, 18, 'HPI limitado');
INSERT INTO `lang_definitions` VALUES (92955, 5654, 18, 'Limites');
INSERT INTO `lang_definitions` VALUES (92956, 5655, 18, 'Linha');
INSERT INTO `lang_definitions` VALUES (92957, 5656, 18, 'Lingala');
INSERT INTO `lang_definitions` VALUES (92958, 5657, 18, 'Ligação');
INSERT INTO `lang_definitions` VALUES (92959, 5658, 18, 'Link para o paciente');
INSERT INTO `lang_definitions` VALUES (92960, 5659, 18, 'Link / Adicionar problemas (lesões / médicos / alergia) à visita atual');
INSERT INTO `lang_definitions` VALUES (92961, 5660, 18, 'Vinculado');
INSERT INTO `lang_definitions` VALUES (92962, 5661, 18, 'Documento vinculado');
INSERT INTO `lang_definitions` VALUES (92963, 5662, 18, 'Pedido de procedimento vinculado');
INSERT INTO `lang_definitions` VALUES (92964, 5663, 18, 'ligado ao documento');
INSERT INTO `lang_definitions` VALUES (92965, 5664, 18, 'ligado ao pedido de procedimento');
INSERT INTO `lang_definitions` VALUES (92966, 5665, 18, 'Lista');
INSERT INTO `lang_definitions` VALUES (92967, 5666, 18, 'Caixa de lista');
INSERT INTO `lang_definitions` VALUES (92968, 5667, 18, 'caixa de lista');
INSERT INTO `lang_definitions` VALUES (92969, 5668, 18, 'w caixa de lista / add');
INSERT INTO `lang_definitions` VALUES (92970, 5669, 18, 'W Lista de caixa / add');
INSERT INTO `lang_definitions` VALUES (92971, 5671, 18, 'List Editor');
INSERT INTO `lang_definitions` VALUES (92972, 5672, 18, 'Listar encontros');
INSERT INTO `lang_definitions` VALUES (92973, 5674, 18, 'Lista de grupos');
INSERT INTO `lang_definitions` VALUES (92974, 5675, 18, 'Seguradoras Lista');
INSERT INTO `lang_definitions` VALUES (92975, 5676, 18, 'Listar item ID');
INSERT INTO `lang_definitions` VALUES (92976, 5677, 18, 'Os itens da lista não pode começar com um número.');
INSERT INTO `lang_definitions` VALUES (92977, 5678, 18, 'Os itens da lista contém caracteres ilegais (s).');
INSERT INTO `lang_definitions` VALUES (92978, 5679, 18, 'Listar itens de layout');
INSERT INTO `lang_definitions` VALUES (92979, 5680, 18, 'Lista de listas');
INSERT INTO `lang_definitions` VALUES (92980, 5681, 18, 'Modificadores de lista, até 4 podem ser listados, cada um separado por um espaço ou dois pontos');
INSERT INTO `lang_definitions` VALUES (92981, 5682, 18, 'Nome da lista');
INSERT INTO `lang_definitions` VALUES (92982, 5683, 18, 'Lista de nomes não podem começar com números.');
INSERT INTO `lang_definitions` VALUES (92983, 5684, 18, 'Lista de');
INSERT INTO `lang_definitions` VALUES (92984, 5685, 18, 'Lista de profissionais de saúde');
INSERT INTO `lang_definitions` VALUES (92985, 5686, 18, 'Lista de refrações anteriores');
INSERT INTO `lang_definitions` VALUES (92986, 5687, 18, 'Lista de Rxs de óculos e lentes de contato previamente dispensados');
INSERT INTO `lang_definitions` VALUES (92987, 5688, 18, 'Prescrição List');
INSERT INTO `lang_definitions` VALUES (92988, 5689, 18, 'Lista usada pela opção de tipo de dados do país acima');
INSERT INTO `lang_definitions` VALUES (92989, 5690, 18, 'Lista usada pela opção Tipo de dados de estado acima');
INSERT INTO `lang_definitions` VALUES (92990, 5691, 18, 'Porta de escuta do servidor syslog RFC 5425 TLS');
INSERT INTO `lang_definitions` VALUES (92991, 5692, 18, 'Listar um código ICD10 permitirá que você pesquise material educacional para esse código específico');
INSERT INTO `lang_definitions` VALUES (92992, 5693, 18, 'Listas');
INSERT INTO `lang_definitions` VALUES (92993, 5694, 18, 'Listas (listas)');
INSERT INTO `lang_definitions` VALUES (92994, 5695, 18, 'Lituano');
INSERT INTO `lang_definitions` VALUES (92995, 5696, 18, 'Testamento em vida');
INSERT INTO `lang_definitions` VALUES (92996, 5697, 18, 'LI {{Acuidade de interferometria a laser}}');
INSERT INTO `lang_definitions` VALUES (92997, 5698, 18, 'LI {{interferometria a laser}}');
INSERT INTO `lang_definitions` VALUES (92998, 5700, 18, 'LK {{córnea esquerda}}');
INSERT INTO `lang_definitions` VALUES (92999, 5701, 18, 'LLL:');
INSERT INTO `lang_definitions` VALUES (93000, 5702, 18, 'LLL {{pálpebra inferior esquerda}}');
INSERT INTO `lang_definitions` VALUES (93001, 5703, 18, 'LL {{íris esquerda}}');
INSERT INTO `lang_definitions` VALUES (93002, 5704, 18, 'LL {{lente esquerda}}');
INSERT INTO `lang_definitions` VALUES (93003, 5705, 18, 'LMAC {{mácula esquerda}}');
INSERT INTO `lang_definitions` VALUES (93004, 5706, 18, 'LMC {{chathus medial esquerdo}}');
INSERT INTO `lang_definitions` VALUES (93005, 5707, 18, 'LMP');
INSERT INTO `lang_definitions` VALUES (93006, 5708, 18, 'Carregar Compêndio');
INSERT INTO `lang_definitions` VALUES (93007, 5709, 18, 'Definições de carga');
INSERT INTO `lang_definitions` VALUES (93008, 5711, 18, 'Carregar configuração de laboratório');
INSERT INTO `lang_definitions` VALUES (93009, 5712, 18, 'Carregar opções de pergunta OE');
INSERT INTO `lang_definitions` VALUES (93010, 5713, 18, 'Carregar definições de pedido');
INSERT INTO `lang_definitions` VALUES (93011, 5714, 18, 'Carregar perguntas de entrada de pedido');
INSERT INTO `lang_definitions` VALUES (93012, 5715, 18, 'CARGA COM SUCESSO. Códigos inseridos');
INSERT INTO `lang_definitions` VALUES (93013, 5716, 18, 'Carregando');
INSERT INTO `lang_definitions` VALUES (93014, 5717, 18, 'CARGA');
INSERT INTO `lang_definitions` VALUES (93015, 5718, 18, 'Carregando dados');
INSERT INTO `lang_definitions` VALUES (93016, 5719, 18, 'Carregando mais resultados');
INSERT INTO `lang_definitions` VALUES (93017, 5721, 18, 'Carregando os arquivos no banco de dados. Isso vai levar algum tempo...');
INSERT INTO `lang_definitions` VALUES (93018, 5722, 18, 'Carregando, por favor espere');
INSERT INTO `lang_definitions` VALUES (93019, 5723, 18, 'LOC');
INSERT INTO `lang_definitions` VALUES (93020, 5724, 18, 'Local');
INSERT INTO `lang_definitions` VALUES (93021, 5725, 18, 'Conteúdo local');
INSERT INTO `lang_definitions` VALUES (93022, 5726, 18, 'Sistema de arquivos local');
INSERT INTO `lang_definitions` VALUES (93023, 5727, 18, 'O sistema de arquivos local armazenará o pedido como uma mensagem HL7v2.3 em um local predefinido no servidor local que hospeda o openEMR');
INSERT INTO `lang_definitions` VALUES (93024, 5728, 18, 'Locale');
INSERT INTO `lang_definitions` VALUES (93025, 5729, 18, 'Estado');
INSERT INTO `lang_definitions` VALUES (93026, 5730, 18, 'Local');
INSERT INTO `lang_definitions` VALUES (93027, 5731, 18, 'localização da máquina openemr e pode conter dados sensíveis, por isso é recomendado excluir manualmente os arquivos após seu uso');
INSERT INTO `lang_definitions` VALUES (93028, 5732, 18, 'Localização deste lote');
INSERT INTO `lang_definitions` VALUES (93029, 5733, 18, 'Localização não especificada');
INSERT INTO `lang_definitions` VALUES (93030, 5734, 18, 'Local onde o Hylafax armazena faxes');
INSERT INTO `lang_definitions` VALUES (93031, 5735, 18, 'Local onde as varreduras são armazenadas');
INSERT INTO `lang_definitions` VALUES (93032, 5736, 18, 'Localização:');
INSERT INTO `lang_definitions` VALUES (93033, 5737, 18, 'Fechadura');
INSERT INTO `lang_definitions` VALUES (93034, 5738, 18, 'Bloquear um formulário e-assinado individualmente');
INSERT INTO `lang_definitions` VALUES (93035, 5739, 18, 'Bloqueie encontros assinados e seus formulários');
INSERT INTO `lang_definitions` VALUES (93036, 5740, 18, 'Bloquear?');
INSERT INTO `lang_definitions` VALUES (93037, 5741, 18, 'Locked');
INSERT INTO `lang_definitions` VALUES (93038, 5742, 18, 'Pagamento bloqueado pendente');
INSERT INTO `lang_definitions` VALUES (93039, 5743, 18, 'Registrar todas as solicitações e / ou respostas do NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (93040, 5744, 18, 'Registrar documento inteiro');
INSERT INTO `lang_definitions` VALUES (93041, 5745, 18, 'Conecte-se');
INSERT INTO `lang_definitions` VALUES (93042, 5746, 18, 'Conecte-se');
INSERT INTO `lang_definitions` VALUES (93043, 5749, 18, 'Log Out');
INSERT INTO `lang_definitions` VALUES (93044, 5752, 18, 'Logado');
INSERT INTO `lang_definitions` VALUES (93045, 5753, 18, 'Logado como');
INSERT INTO `lang_definitions` VALUES (93046, 5754, 18, 'Logado como:');
INSERT INTO `lang_definitions` VALUES (93047, 5755, 18, 'Desconectado.');
INSERT INTO `lang_definitions` VALUES (93048, 5756, 18, 'entrando');
INSERT INTO `lang_definitions` VALUES (93049, 5757, 18, 'Entrar');
INSERT INTO `lang_definitions` VALUES (93050, 5758, 18, 'login');
INSERT INTO `lang_definitions` VALUES (93051, 5759, 18, 'Login - os detalhes são necessários apenas se você estiver se conectando a uma instalação usando o protocolo SFTP');
INSERT INTO `lang_definitions` VALUES (93052, 5760, 18, 'Faça login na instalação');
INSERT INTO `lang_definitions` VALUES (93053, 5761, 18, 'Nome de login do usuário WordPress para acesso ao portal');
INSERT INTO `lang_definitions` VALUES (93054, 5763, 18, 'Acesso ao servidor remoto');
INSERT INTO `lang_definitions` VALUES (93055, 5764, 18, 'Login para este anfitriãot remoto falhou');
INSERT INTO `lang_definitions` VALUES (93056, 5767, 18, 'Faça login com seu ID de usuário e senha e ele irá autenticá-lo automaticamente');
INSERT INTO `lang_definitions` VALUES (93057, 5768, 18, 'Sair');
INSERT INTO `lang_definitions` VALUES (93058, 5769, 18, 'sair');
INSERT INTO `lang_definitions` VALUES (93059, 5770, 18, 'Logs');
INSERT INTO `lang_definitions` VALUES (93060, 5771, 18, 'Log de Eventos');
INSERT INTO `lang_definitions` VALUES (93061, 5772, 18, 'LOINC');
INSERT INTO `lang_definitions` VALUES (93062, 5773, 18, 'Código LOINC');
INSERT INTO `lang_definitions` VALUES (93063, 5774, 18, 'LOINC, rima com oink, é um banco de dados e padrão universal para identificar observações de laboratórios médicos');
INSERT INTO `lang_definitions` VALUES (93064, 5776, 18, 'Look Up');
INSERT INTO `lang_definitions` VALUES (93065, 5777, 18, 'Lote');
INSERT INTO `lang_definitions` VALUES (93066, 5778, 18, 'Lote ID faltando!');
INSERT INTO `lang_definitions` VALUES (93067, 5779, 18, 'Número de lote');
INSERT INTO `lang_definitions` VALUES (93068, 5780, 18, 'Baixo');
INSERT INTO `lang_definitions` VALUES (93069, 5781, 18, 'Baixa prioridade');
INSERT INTO `lang_definitions` VALUES (93070, 5782, 18, 'Perna');
INSERT INTO `lang_definitions` VALUES (93071, 5783, 18, 'Tampas Inferiores');
INSERT INTO `lang_definitions` VALUES (93072, 5784, 18, 'Lowest Priority');
INSERT INTO `lang_definitions` VALUES (93073, 5786, 18, 'LP {{retina periférica esquerda}}');
INSERT INTO `lang_definitions` VALUES (93074, 5787, 18, 'LT {{espessura da lente}}');
INSERT INTO `lang_definitions` VALUES (93075, 5788, 18, 'Luba-Katanga');
INSERT INTO `lang_definitions` VALUES (93076, 5789, 18, 'Luhn');
INSERT INTO `lang_definitions` VALUES (93077, 5790, 18, 'LUL {{pálpebra superior esquerda}}');
INSERT INTO `lang_definitions` VALUES (93078, 5791, 18, 'Coluna lombar');
INSERT INTO `lang_definitions` VALUES (93079, 5792, 18, 'Horário de Almoço');
INSERT INTO `lang_definitions` VALUES (93080, 5793, 18, 'Horário de Almoço');
INSERT INTO `lang_definitions` VALUES (93081, 5794, 18, 'Câncer de Pulmão');
INSERT INTO `lang_definitions` VALUES (93082, 5795, 18, 'Cirurgia de Câncer de Pulmão');
INSERT INTO `lang_definitions` VALUES (93083, 5796, 18, 'Pulmões:');
INSERT INTO `lang_definitions` VALUES (93084, 5797, 18, 'Pulmões:');
INSERT INTO `lang_definitions` VALUES (93085, 5798, 18, 'Lupus');
INSERT INTO `lang_definitions` VALUES (93086, 5799, 18, 'Luxemburguês, letzeburgesch');
INSERT INTO `lang_definitions` VALUES (93087, 5800, 18, 'LVIT {{vítreo esquerdo}}');
INSERT INTO `lang_definitions` VALUES (93088, 5801, 18, 'LV {{vasos esquerdos}}');
INSERT INTO `lang_definitions` VALUES (93089, 5802, 18, 'L {{lado esquerdo}}');
INSERT INTO `lang_definitions` VALUES (93090, 5803, 18, 'L {{left}}');
INSERT INTO `lang_definitions` VALUES (93091, 5804, 18, 'M');
INSERT INTO `lang_definitions` VALUES (93092, 5805, 18, 'MA Categoria');
INSERT INTO `lang_definitions` VALUES (93093, 5806, 18, 'Cliente MA que aceita o aborto');
INSERT INTO `lang_definitions` VALUES (93094, 5807, 18, 'Estatísticas MA');
INSERT INTO `lang_definitions` VALUES (93095, 5808, 18, 'Macedônio');
INSERT INTO `lang_definitions` VALUES (93096, 5809, 18, 'Macula');
INSERT INTO `lang_definitions` VALUES (93097, 5810, 18, 'Mail');
INSERT INTO `lang_definitions` VALUES (93098, 5811, 18, 'Ordem de Correio');
INSERT INTO `lang_definitions` VALUES (93099, 5812, 18, 'Mail enviado');
INSERT INTO `lang_definitions` VALUES (93100, 5813, 18, 'Endereço de correspondência');
INSERT INTO `lang_definitions` VALUES (93101, 5814, 18, 'principal');
INSERT INTO `lang_definitions` VALUES (93102, 5815, 18, 'Endereço principal');
INSERT INTO `lang_definitions` VALUES (93103, 5817, 18, 'Conselheiros Principais');
INSERT INTO `lang_definitions` VALUES (93104, 5818, 18, 'Main Log');
INSERT INTO `lang_definitions` VALUES (93105, 5819, 18, 'Função do menu principal');
INSERT INTO `lang_definitions` VALUES (93106, 5820, 18, 'Provedor Principal');
INSERT INTO `lang_definitions` VALUES (93107, 5821, 18, 'Tela do painel superior principal');
INSERT INTO `lang_definitions` VALUES (93108, 5822, 18, 'Tela do painel superior principal (ou primeira guia padrão)');
INSERT INTO `lang_definitions` VALUES (93109, 5823, 18, 'Principalmente autorizar. Net usa duas chaves');
INSERT INTO `lang_definitions` VALUES (93110, 5824, 18, 'Manter lista de alergia a medicamentos ativos');
INSERT INTO `lang_definitions` VALUES (93111, 5825, 18, 'Manter lista de medicamentos ativos');
INSERT INTO `lang_definitions` VALUES (93112, 5826, 18, 'Manter uma lista de problemas atualizada de diagnósticos atuais e ativos');
INSERT INTO `lang_definitions` VALUES (93113, 5827, 18, 'Faça modificações categorias atuais.');
INSERT INTO `lang_definitions` VALUES (93114, 5828, 18, 'Marque um novo compromisso para');
INSERT INTO `lang_definitions` VALUES (93115, 5829, 18, 'Faça o pagamento');
INSERT INTO `lang_definitions` VALUES (93116, 5830, 18, 'Faça os campos subsequentes na mesma linha, Rótulo = 0 Dados = 0 e certifique-se de que colunas suficientes dos itens anteriores estejam disponíveis para permitir espaço para este novo item. Caso contrário, o resultado pode ser imprevisível');
INSERT INTO `lang_definitions` VALUES (93117, 5831, 18, 'Certifique-se de \"\"');
INSERT INTO `lang_definitions` VALUES (93118, 5832, 18, 'Fazendo lote de arquivos de texto para fazer upload à Câmara de compensação e marcará como faturado');
INSERT INTO `lang_definitions` VALUES (93119, 5833, 18, 'malgaxe');
INSERT INTO `lang_definitions` VALUES (93120, 5834, 18, 'Mal-estar:');
INSERT INTO `lang_definitions` VALUES (93121, 5835, 18, 'Malaio');
INSERT INTO `lang_definitions` VALUES (93122, 5836, 18, 'Malayalam');
INSERT INTO `lang_definitions` VALUES (93123, 5837, 18, 'Masculino');
INSERT INTO `lang_definitions` VALUES (93124, 5838, 18, 'Preservativos Masculinos');
INSERT INTO `lang_definitions` VALUES (93125, 5839, 18, 'Masculino VSC');
INSERT INTO `lang_definitions` VALUES (93126, 5840, 18, 'maltês');
INSERT INTO `lang_definitions` VALUES (93127, 5841, 18, 'Mamografia');
INSERT INTO `lang_definitions` VALUES (93128, 5842, 18, 'Gerir');
INSERT INTO `lang_definitions` VALUES (93129, 5843, 18, 'Gerenciar ganchos');
INSERT INTO `lang_definitions` VALUES (93130, 5844, 18, 'Gerenciar listas');
INSERT INTO `lang_definitions` VALUES (93131, 5845, 18, 'Gerenciar Módulos');
INSERT INTO `lang_definitions` VALUES (93132, 5846, 18, 'Gerenciar módulos');
INSERT INTO `lang_definitions` VALUES (93133, 5847, 18, 'Gerenciar módulos (gerenciar_módulos)');
INSERT INTO `lang_definitions` VALUES (93134, 5848, 18, 'Gerenciar autenticação multifator');
INSERT INTO `lang_definitions` VALUES (93135, 5849, 18, 'Gerenciar modelos');
INSERT INTO `lang_definitions` VALUES (93136, 5850, 18, 'Gerenciar Traduções');
INSERT INTO `lang_definitions` VALUES (93137, 5851, 18, 'Gerenciamento');
INSERT INTO `lang_definitions` VALUES (93138, 5852, 18, 'Gerente');
INSERT INTO `lang_definitions` VALUES (93139, 5853, 18, 'Obrigatório');
INSERT INTO `lang_definitions` VALUES (93140, 5854, 18, 'Campos obrigatórios e especificados');
INSERT INTO `lang_definitions` VALUES (93141, 5855, 18, 'Campos obrigatórios ou especificados apenas, verificação duplicada, sem pesquisa');
INSERT INTO `lang_definitions` VALUES (93142, 5856, 18, 'Campos obrigatórios ou especificados apenas, pesquisa e verificação duplicada');
INSERT INTO `lang_definitions` VALUES (93143, 5857, 18, 'Campos obrigatórios ou especificados apenas, use o módulo Zend de validação do paciente');
INSERT INTO `lang_definitions` VALUES (93144, 5858, 18, 'Refração de Manifesto (Seco)');
INSERT INTO `lang_definitions` VALUES (93145, 5859, 18, 'Manual');
INSERT INTO `lang_definitions` VALUES (93146, 5860, 18, 'Lançamento manual');
INSERT INTO `lang_definitions` VALUES (93147, 5861, 18, 'Requer processamento manual');
INSERT INTO `lang_definitions` VALUES (93148, 5862, 18, 'Recuperar manualmente a descrição na folha de taxas');
INSERT INTO `lang_definitions` VALUES (93149, 5863, 18, 'Digite manualmente na caixa Novo DX acima');
INSERT INTO `lang_definitions` VALUES (93150, 5864, 18, 'Fabricante');
INSERT INTO `lang_definitions` VALUES (93151, 5865, 18, 'Manx');
INSERT INTO `lang_definitions` VALUES (93152, 5866, 18, 'Muitos itens de código têm uma pesquisa / dica');
INSERT INTO `lang_definitions` VALUES (93153, 5867, 18, 'Muitas empresas bloqueiam operações com portas USB em computadores corporativos');
INSERT INTO `lang_definitions` VALUES (93154, 5868, 18, 'Muitos dos códigos LOINC podem ser usados para ambos os testes e seus resultados');
INSERT INTO `lang_definitions` VALUES (93155, 5869, 18, 'Maori');
INSERT INTO `lang_definitions` VALUES (93156, 5870, 18, 'Mar');
INSERT INTO `lang_definitions` VALUES (93157, 5871, 18, 'Marati (Marati)');
INSERT INTO `lang_definitions` VALUES (93158, 5872, 18, 'Marati');
INSERT INTO `lang_definitions` VALUES (93159, 5873, 18, 'Marati (Marāṭhī)');
INSERT INTO `lang_definitions` VALUES (93160, 5874, 18, 'Março');
INSERT INTO `lang_definitions` VALUES (93161, 5875, 18, 'Distância de reflexo marginal');
INSERT INTO `lang_definitions` VALUES (93162, 5876, 18, 'Conjugal');
INSERT INTO `lang_definitions` VALUES (93163, 5877, 18, 'Estado Civil');
INSERT INTO `lang_definitions` VALUES (93164, 5878, 18, 'marcar tudo como lido');
INSERT INTO `lang_definitions` VALUES (93165, 5879, 18, 'Marcar como faturado');
INSERT INTO `lang_definitions` VALUES (93166, 5880, 18, 'Marcar como bico, mas pular de faturamento');
INSERT INTO `lang_definitions` VALUES (93167, 5881, 18, 'Marcar como Cleared');
INSERT INTO `lang_definitions` VALUES (93168, 5882, 18, 'Marcar como não faturado');
INSERT INTO `lang_definitions` VALUES (93169, 5883, 18, 'Marcar mensagem como concluída');
INSERT INTO `lang_definitions` VALUES (93170, 5884, 18, 'Marcar nota como concluída');
INSERT INTO `lang_definitions` VALUES (93171, 5885, 18, 'Marque esses relatórios como revisados');
INSERT INTO `lang_definitions` VALUES (93172, 5886, 18, 'Marcado como apuradas');
INSERT INTO `lang_definitions` VALUES (93173, 5887, 18, 'Casado');
INSERT INTO `lang_definitions` VALUES (93174, 5888, 18, 'Marshalês');
INSERT INTO `lang_definitions` VALUES (93175, 5889, 18, 'máscara');
INSERT INTO `lang_definitions` VALUES (93176, 5890, 18, 'Máscara para números de fatura');
INSERT INTO `lang_definitions` VALUES (93177, 5891, 18, 'Máscara para IDs de paciente');
INSERT INTO `lang_definitions` VALUES (93178, 5892, 18, 'Máscara para IDs de produto');
INSERT INTO `lang_definitions` VALUES (93179, 5893, 18, 'Centro de imunização em massa');
INSERT INTO `lang_definitions` VALUES (93180, 5894, 18, 'Combine');
INSERT INTO `lang_definitions` VALUES (93181, 5895, 18, 'Caso de compatibilidade');
INSERT INTO `lang_definitions` VALUES (93182, 5896, 18, 'Combinação encontrada');
INSERT INTO `lang_definitions` VALUES (93183, 5897, 18, 'Paciente compatível');
INSERT INTO `lang_definitions` VALUES (93184, 5898, 18, 'Paciente Compatível');
INSERT INTO `lang_definitions` VALUES (93185, 5899, 18, 'Correspondência para paciente');
INSERT INTO `lang_definitions` VALUES (93186, 5900, 18, 'Tia materna');
INSERT INTO `lang_definitions` VALUES (93187, 5901, 18, 'Prima materna');
INSERT INTO `lang_definitions` VALUES (93188, 5902, 18, 'Avô materno');
INSERT INTO `lang_definitions` VALUES (93189, 5903, 18, 'Grande Avó Materno');
INSERT INTO `lang_definitions` VALUES (93190, 5904, 18, 'Tio materno');
INSERT INTO `lang_definitions` VALUES (93191, 5905, 18, 'Matriz');
INSERT INTO `lang_definitions` VALUES (93192, 5906, 18, 'máximo');
INSERT INTO `lang_definitions` VALUES (93193, 5907, 18, 'máximo');
INSERT INTO `lang_definitions` VALUES (93194, 5908, 18, 'Máximo de 255 caracteres');
INSERT INTO `lang_definitions` VALUES (93195, 5909, 18, 'contagem máxima de arquivos alcançada');
INSERT INTO `lang_definitions` VALUES (93196, 5910, 18, 'contagem máxima de arquivos alcançada - recarregar nomes abaixo');
INSERT INTO `lang_definitions` VALUES (93197, 5911, 18, 'Tamanho máximo');
INSERT INTO `lang_definitions` VALUES (93198, 5912, 18, 'Maxilar direito:');
INSERT INTO `lang_definitions` VALUES (93199, 5913, 18, 'Idade Máxima');
INSERT INTO `lang_definitions` VALUES (93200, 5914, 18, 'Caracteres máximos');
INSERT INTO `lang_definitions` VALUES (93201, 5915, 18, 'Máximo de tentativas de login com falha');
INSERT INTO `lang_definitions` VALUES (93202, 5916, 18, 'Máximo de tentativas de login com falha (0 sem máximo)');
INSERT INTO `lang_definitions` VALUES (93203, 5917, 18, 'Tempo ocioso máximo em segundos antes do logout. O padrão é 7200 (2 horas)');
INSERT INTO `lang_definitions` VALUES (93204, 5918, 18, 'Número máximo de vezes que um paciente pode ser testado em um ano');
INSERT INTO `lang_definitions` VALUES (93205, 5919, 18, 'Número máximo de vezes que um paciente pode ser testado em um ano. Zero não é limite');
INSERT INTO `lang_definitions` VALUES (93206, 5920, 18, 'Estoque máximo razoável, 0 se não aplicável');
INSERT INTO `lang_definitions` VALUES (93207, 5921, 18, 'Tamanho máximo');
INSERT INTO `lang_definitions` VALUES (93208, 5922, 18, 'Tamanho máximo (inserir 0 permitirá qualquer tamanho)');
INSERT INTO `lang_definitions` VALUES (93209, 5923, 18, 'Tamanho máximo do arquivo de miniatura');
INSERT INTO `lang_definitions` VALUES (93210, 5924, 18, 'Maio');
INSERT INTO `lang_definitions` VALUES (93211, 5925, 18, 'MBO');
INSERT INTO `lang_definitions` VALUES (93212, 5926, 18, 'MC');
INSERT INTO `lang_definitions` VALUES (93213, 5927, 18, 'mcg');
INSERT INTO `lang_definitions` VALUES (93214, 5928, 18, 'Nome da categoria do documento MDM');
INSERT INTO `lang_definitions` VALUES (93215, 5929, 18, 'Significa que nenhuma das três últimas senhas são permitidas ao alterar uma senha');
INSERT INTO `lang_definitions` VALUES (93216, 5930, 18, 'Medir a pressão arterial');
INSERT INTO `lang_definitions` VALUES (93217, 5931, 18, 'Código de grupo de medida');
INSERT INTO `lang_definitions` VALUES (93218, 5932, 18, 'Medir INR');
INSERT INTO `lang_definitions` VALUES (93219, 5933, 18, 'Medição');
INSERT INTO `lang_definitions` VALUES (93220, 5934, 18, 'MedEx automatiza Lembretes de Compromissos e Recalls usando ligações, mensagens de texto e e-mails');
INSERT INTO `lang_definitions` VALUES (93221, 5935, 18, 'Serviço de comunicação MedEx');
INSERT INTO `lang_definitions` VALUES (93222, 5936, 18, 'O MedEx precisa de um número de celular válido para enviar mensagens SMS ...');
INSERT INTO `lang_definitions` VALUES (93223, 5937, 18, 'Configuração MedEx');
INSERT INTO `lang_definitions` VALUES (93224, 5938, 18, 'Medial Canthi');
INSERT INTO `lang_definitions` VALUES (93225, 5939, 18, 'Maléolo medial:');
INSERT INTO `lang_definitions` VALUES (93226, 5940, 18, 'Medicaid');
INSERT INTO `lang_definitions` VALUES (93227, 5941, 18, 'Nº de referência original do Medicaid');
INSERT INTO `lang_definitions` VALUES (93228, 5942, 18, 'Medicina');
INSERT INTO `lang_definitions` VALUES (93229, 5943, 18, 'Aborto Medicinal');
INSERT INTO `lang_definitions` VALUES (93230, 5944, 18, 'Administração Médica');
INSERT INTO `lang_definitions` VALUES (93231, 5945, 18, 'Ajuda do painel médico');
INSERT INTO `lang_definitions` VALUES (93232, 5946, 18, 'Histórico médico');
INSERT INTO `lang_definitions` VALUES (93233, 5947, 18, 'Problema Médico');
INSERT INTO `lang_definitions` VALUES (93234, 5948, 18, 'Problema médico');
INSERT INTO `lang_definitions` VALUES (93235, 5949, 18, 'Problemas medicos');
INSERT INTO `lang_definitions` VALUES (93236, 5950, 18, 'Prescrição médica');
INSERT INTO `lang_definitions` VALUES (93237, 5951, 18, 'Problema médico');
INSERT INTO `lang_definitions` VALUES (93238, 5952, 18, 'Problema médico');
INSERT INTO `lang_definitions` VALUES (93239, 5953, 18, 'Lista de problemas médicos');
INSERT INTO `lang_definitions` VALUES (93240, 5954, 18, 'Anotações do Paciente');
INSERT INTO `lang_definitions` VALUES (93241, 5955, 18, 'Problemas médicos - mostrará os problemas médicos do paciente, Problemas> Problemas médicos');
INSERT INTO `lang_definitions` VALUES (93242, 5956, 18, 'Histórico');
INSERT INTO `lang_definitions` VALUES (93243, 5957, 18, 'Histórico #');
INSERT INTO `lang_definitions` VALUES (93244, 5958, 18, 'Painel de registro médico');
INSERT INTO `lang_definitions` VALUES (93245, 5959, 18, 'Registros Médicos');
INSERT INTO `lang_definitions` VALUES (93246, 5960, 18, 'Registros médicos e históricos (escrever, adicionalmente opcional) (med)');
INSERT INTO `lang_definitions` VALUES (93247, 5961, 18, 'Registros médicos enviados');
INSERT INTO `lang_definitions` VALUES (93248, 5962, 18, 'Especialidade médica');
INSERT INTO `lang_definitions` VALUES (93249, 5963, 18, 'Resumo Médico Fornecido');
INSERT INTO `lang_definitions` VALUES (93250, 5964, 18, 'Medical System');
INSERT INTO `lang_definitions` VALUES (93251, 5965, 18, 'Tipo Médico');
INSERT INTO `lang_definitions` VALUES (93252, 5966, 18, 'Medicina / História (escrever, adicionar opcional)');
INSERT INTO `lang_definitions` VALUES (93253, 5967, 18, 'Médico / Histórico (escrever, adicionalmente opcional) (med)');
INSERT INTO `lang_definitions` VALUES (93254, 5968, 18, 'Medicare Part B');
INSERT INTO `lang_definitions` VALUES (93255, 5969, 18, 'Medicare Referrer é Renderer');
INSERT INTO `lang_definitions` VALUES (93256, 5970, 18, 'Medicação');
INSERT INTO `lang_definitions` VALUES (93257, 5971, 18, 'Lista de alergia a medicamentos');
INSERT INTO `lang_definitions` VALUES (93258, 5972, 18, 'Lista de problemas de medicação');
INSERT INTO `lang_definitions` VALUES (93259, 5973, 18, 'Lista de Medicação');
INSERT INTO `lang_definitions` VALUES (93260, 5974, 18, 'Restrição a Medicamentos Cumprido?');
INSERT INTO `lang_definitions` VALUES (93261, 5975, 18, 'Medicações');
INSERT INTO `lang_definitions` VALUES (93262, 5976, 18, 'Medicamentos - lista os medicamentos em Problemas> Medicamentos. Se o eRx estiver ativado, a lista de medicamentos deve ser inserida na página do eRx');
INSERT INTO `lang_definitions` VALUES (93263, 5977, 18, 'Lista de alergia a medicamentos');
INSERT INTO `lang_definitions` VALUES (93264, 5978, 18, 'Medicamentos:');
INSERT INTO `lang_definitions` VALUES (93265, 5979, 18, 'Unidades de Medicina');
INSERT INTO `lang_definitions` VALUES (93266, 5980, 18, 'Médio');
INSERT INTO `lang_definitions` VALUES (93267, 5982, 18, 'Conectar MedlinePlus');
INSERT INTO `lang_definitions` VALUES (93268, 5983, 18, 'med{{medial}}');
INSERT INTO `lang_definitions` VALUES (93269, 5984, 18, 'Membro da Associação Relatório de Estatísticas');
INSERT INTO `lang_definitions` VALUES (93270, 5985, 18, 'ID de membro');
INSERT INTO `lang_definitions` VALUES (93271, 5986, 18, 'Problemas de memória');
INSERT INTO `lang_definitions` VALUES (93272, 5987, 18, 'Homens');
INSERT INTO `lang_definitions` VALUES (93273, 5988, 18, 'Homens e Mulheres');
INSERT INTO `lang_definitions` VALUES (93274, 5989, 18, 'Men Only');
INSERT INTO `lang_definitions` VALUES (93275, 5990, 18, 'Menarca');
INSERT INTO `lang_definitions` VALUES (93276, 5991, 18, 'Menopausa');
INSERT INTO `lang_definitions` VALUES (93277, 5992, 18, 'Fluxo menstrual');
INSERT INTO `lang_definitions` VALUES (93278, 5993, 18, 'Menstrual Freqüência');
INSERT INTO `lang_definitions` VALUES (93279, 5994, 18, 'Doença Mental');
INSERT INTO `lang_definitions` VALUES (93280, 5995, 18, 'Estado mental');
INSERT INTO `lang_definitions` VALUES (93281, 5996, 18, 'Menu');
INSERT INTO `lang_definitions` VALUES (93282, 5997, 18, 'Menu (menu)');
INSERT INTO `lang_definitions` VALUES (93283, 5998, 18, 'Texto do Menu');
INSERT INTO `lang_definitions` VALUES (93284, 5999, 18, 'Menus');
INSERT INTO `lang_definitions` VALUES (93285, 6000, 18, 'Menus (menus)');
INSERT INTO `lang_definitions` VALUES (93286, 6001, 18, 'Unir');
INSERT INTO `lang_definitions` VALUES (93287, 6002, 18, 'Unir Completamente.');
INSERT INTO `lang_definitions` VALUES (93288, 6003, 18, 'Unir Pacientes');
INSERT INTO `lang_definitions` VALUES (93289, 6004, 18, 'Unir a qualquer paciente');
INSERT INTO `lang_definitions` VALUES (93290, 6005, 18, 'Mensagem');
INSERT INTO `lang_definitions` VALUES (93291, 6006, 18, 'Mensagens e Lembretes');
INSERT INTO `lang_definitions` VALUES (93292, 6007, 18, 'Centro de Mensagens');
INSERT INTO `lang_definitions` VALUES (93293, 6008, 18, 'Ajuda do Message Center');
INSERT INTO `lang_definitions` VALUES (93294, 6009, 18, 'O conteúdo da mensagem não é um texto simples, por isso foi armazenado como um documento');
INSERT INTO `lang_definitions` VALUES (93295, 6010, 18, 'Mensagem do paciente');
INSERT INTO `lang_definitions` VALUES (93296, 6011, 18, 'Log de mensagens');
INSERT INTO `lang_definitions` VALUES (93297, 6012, 18, 'Mensagem enviada');
INSERT INTO `lang_definitions` VALUES (93298, 6013, 18, 'Status da mensagem');
INSERT INTO `lang_definitions` VALUES (93299, 6014, 18, 'Título da Mensagem');
INSERT INTO `lang_definitions` VALUES (93300, 6015, 18, 'Mensagem ao paciente');
INSERT INTO `lang_definitions` VALUES (93301, 6016, 18, 'Mensagem para revisor');
INSERT INTO `lang_definitions` VALUES (93302, 6017, 18, 'Message type');
INSERT INTO `lang_definitions` VALUES (93303, 6018, 18, 'MENSAGEM:');
INSERT INTO `lang_definitions` VALUES (93304, 6019, 18, 'Mensagens');
INSERT INTO `lang_definitions` VALUES (93305, 6020, 18, 'Mensagens - data de vencimento');
INSERT INTO `lang_definitions` VALUES (93306, 6021, 18, 'Tela de Mensagens');
INSERT INTO `lang_definitions` VALUES (93307, 6022, 18, 'Mensagens que você enviou hoje');
INSERT INTO `lang_definitions` VALUES (93308, 6023, 18, 'Mensagens, Lembretes');
INSERT INTO `lang_definitions` VALUES (93309, 6024, 18, 'Mensagens, lembretes, recordações');
INSERT INTO `lang_definitions` VALUES (93310, 6025, 18, 'mandar mensagem');
INSERT INTO `lang_definitions` VALUES (93311, 6026, 18, 'Método');
INSERT INTO `lang_definitions` VALUES (93312, 6027, 18, 'Método e produto específico');
INSERT INTO `lang_definitions` VALUES (93313, 6028, 18, 'Mudança de método nesta clínica');
INSERT INTO `lang_definitions` VALUES (93314, 6029, 18, 'Método para enviar e-mail de saída');
INSERT INTO `lang_definitions` VALUES (93315, 6030, 18, 'Método de Destruição');
INSERT INTO `lang_definitions` VALUES (93316, 6031, 18, 'Mexicano / MexAmer / Chicano');
INSERT INTO `lang_definitions` VALUES (93317, 6032, 18, 'México');
INSERT INTO `lang_definitions` VALUES (93318, 6033, 18, 'MFA');
INSERT INTO `lang_definitions` VALUES (93319, 6034, 18, 'Autorização MFA');
INSERT INTO `lang_definitions` VALUES (93320, 6035, 18, 'Gestão MFA');
INSERT INTO `lang_definitions` VALUES (93321, 6036, 18, 'Gestão MFA');
INSERT INTO `lang_definitions` VALUES (93322, 6038, 18, 'mg');
INSERT INTO `lang_definitions` VALUES (93323, 6039, 18, 'mg/1cc');
INSERT INTO `lang_definitions` VALUES (93324, 6040, 18, 'mg/2cc');
INSERT INTO `lang_definitions` VALUES (93325, 6041, 18, 'mg/3cc');
INSERT INTO `lang_definitions` VALUES (93326, 6042, 18, 'mg/4cc');
INSERT INTO `lang_definitions` VALUES (93327, 6043, 18, 'mg/5cc');
INSERT INTO `lang_definitions` VALUES (93328, 6044, 18, 'MG/DL');
INSERT INTO `lang_definitions` VALUES (93329, 6045, 18, 'meio');
INSERT INTO `lang_definitions` VALUES (93330, 6046, 18, 'Médio');
INSERT INTO `lang_definitions` VALUES (93331, 6047, 18, 'Nome do Meio');
INSERT INTO `lang_definitions` VALUES (93332, 6048, 18, 'Nome do meio');
INSERT INTO `lang_definitions` VALUES (93333, 6050, 18, 'Prescritor de nível médio');
INSERT INTO `lang_definitions` VALUES (93334, 6051, 18, 'Prescritor de nível médio DEA');
INSERT INTO `lang_definitions` VALUES (93335, 6052, 18, 'Nome do Prescritor de Nível Médio');
INSERT INTO `lang_definitions` VALUES (93336, 6053, 18, 'Sobrenome do Prescritor de Nível Médio');
INSERT INTO `lang_definitions` VALUES (93337, 6054, 18, 'Prescritor de nível médio NPI');
INSERT INTO `lang_definitions` VALUES (93338, 6055, 18, 'Prefixo do Prescritor de Nível Médio');
INSERT INTO `lang_definitions` VALUES (93339, 6056, 18, 'Prescritor de nível médio UPIN');
INSERT INTO `lang_definitions` VALUES (93340, 6057, 18, 'Mid{{Distância Média Adicionar}}');
INSERT INTO `lang_definitions` VALUES (93341, 6058, 18, 'Média {{força do Rx médio}}');
INSERT INTO `lang_definitions` VALUES (93342, 6059, 18, 'Mid {{Segmento médio em uma prescrição de óculos trifocais}}');
INSERT INTO `lang_definitions` VALUES (93343, 6060, 18, 'mid{{meio}}');
INSERT INTO `lang_definitions` VALUES (93344, 6061, 18, 'Mien');
INSERT INTO `lang_definitions` VALUES (93345, 6062, 18, 'Imigrantes ou temporário?');
INSERT INTO `lang_definitions` VALUES (93346, 6063, 18, 'Migrant Sazonal');
INSERT INTO `lang_definitions` VALUES (93347, 6064, 18, 'Imigrantes / Temporário');
INSERT INTO `lang_definitions` VALUES (93348, 6065, 18, 'Mil/CU.MM');
INSERT INTO `lang_definitions` VALUES (93349, 6066, 18, 'Leve');
INSERT INTO `lang_definitions` VALUES (93350, 6067, 18, 'Leve a moderado');
INSERT INTO `lang_definitions` VALUES (93351, 6068, 18, 'Instalação de tratamento militar');
INSERT INTO `lang_definitions` VALUES (93352, 6069, 18, 'Tipo MIME');
INSERT INTO `lang_definitions` VALUES (93353, 6070, 18, 'MimeType');
INSERT INTO `lang_definitions` VALUES (93354, 6071, 18, 'Min');
INSERT INTO `lang_definitions` VALUES (93355, 6072, 18, 'min');
INSERT INTO `lang_definitions` VALUES (93356, 6074, 18, 'Mini');
INSERT INTO `lang_definitions` VALUES (93357, 6077, 18, 'Idade minima');
INSERT INTO `lang_definitions` VALUES (93358, 6080, 18, 'Menor tensão comum + / - sinovite');
INSERT INTO `lang_definitions` VALUES (93359, 6081, 18, 'minuto');
INSERT INTO `lang_definitions` VALUES (93360, 6082, 18, 'minuto');
INSERT INTO `lang_definitions` VALUES (93361, 6083, 18, 'Minutos');
INSERT INTO `lang_definitions` VALUES (93362, 6084, 18, 'minutos');
INSERT INTO `lang_definitions` VALUES (93363, 6085, 18, 'Alegria IP');
INSERT INTO `lang_definitions` VALUES (93364, 6086, 18, 'Outros');
INSERT INTO `lang_definitions` VALUES (93365, 6087, 18, 'Opções de Pagamento Misc');
INSERT INTO `lang_definitions` VALUES (93366, 6088, 18, 'Opções de Faturamento Misc para HCFA-1500');
INSERT INTO `lang_definitions` VALUES (93367, 6089, 18, 'Faturamento Misc Opções HCFA');
INSERT INTO `lang_definitions` VALUES (93368, 6090, 18, 'Diversos');
INSERT INTO `lang_definitions` VALUES (93369, 6091, 18, 'Opções de cobrança diversas para HCFA-1500');
INSERT INTO `lang_definitions` VALUES (93370, 6092, 18, 'Missed');
INSERT INTO `lang_definitions` VALUES (93371, 6093, 18, 'ausência de');
INSERT INTO `lang_definitions` VALUES (93372, 6094, 18, 'Falta um campo obrigatório');
INSERT INTO `lang_definitions` VALUES (93373, 6095, 18, 'Falta um campo obrigatório e será destacado');
INSERT INTO `lang_definitions` VALUES (93374, 6097, 18, 'Missing Fee');
INSERT INTO `lang_definitions` VALUES (93375, 6098, 18, 'Código de identificação ausente');
INSERT INTO `lang_definitions` VALUES (93376, 6099, 18, 'ID de pagador de seguro ausente');
INSERT INTO `lang_definitions` VALUES (93377, 6100, 18, 'Mods ausentes apenas');
INSERT INTO `lang_definitions` VALUES (93378, 6101, 18, 'Falta ou inválido');
INSERT INTO `lang_definitions` VALUES (93379, 6103, 18, 'Missing PID.');
INSERT INTO `lang_definitions` VALUES (93380, 6104, 18, 'Data de relatório ausente');
INSERT INTO `lang_definitions` VALUES (93381, 6105, 18, 'Missing barra depois ordenante na origem para o código');
INSERT INTO `lang_definitions` VALUES (93382, 6107, 18, 'Número da política de assinante ausente ou DOB');
INSERT INTO `lang_definitions` VALUES (93383, 6108, 18, 'Título ausente');
INSERT INTO `lang_definitions` VALUES (93384, 6111, 18, 'Mixed');
INSERT INTO `lang_definitions` VALUES (93385, 6112, 18, 'mL');
INSERT INTO `lang_definitions` VALUES (93386, 6113, 18, 'ml');
INSERT INTO `lang_definitions` VALUES (93387, 6114, 18, 'MM / DD / AAAA');
INSERT INTO `lang_definitions` VALUES (93388, 6115, 18, 'mm / Hg');
INSERT INTO `lang_definitions` VALUES (93389, 6116, 18, 'mmHg');
INSERT INTO `lang_definitions` VALUES (93390, 6117, 18, 'VASPR 1');
INSERT INTO `lang_definitions` VALUES (93391, 6118, 18, 'MMR 2');
INSERT INTO `lang_definitions` VALUES (93392, 6119, 18, 'mm {{milímetros}}');
INSERT INTO `lang_definitions` VALUES (93393, 6120, 18, 'Móvel');
INSERT INTO `lang_definitions` VALUES (93394, 6121, 18, 'Telefone Celular');
INSERT INTO `lang_definitions` VALUES (93395, 6122, 18, 'Celulares');
INSERT INTO `lang_definitions` VALUES (93396, 6123, 18, 'Os telefones celulares são onipresentes e geralmente são facilmente acessíveis por qualquer usuário');
INSERT INTO `lang_definitions` VALUES (93397, 6124, 18, 'Unidade Móvel');
INSERT INTO `lang_definitions` VALUES (93398, 6125, 18, 'Mod');
INSERT INTO `lang_definitions` VALUES (93399, 6126, 18, 'Data Mod');
INSERT INTO `lang_definitions` VALUES (93400, 6127, 18, 'Modo - Não mostrar consultas SQL');
INSERT INTO `lang_definitions` VALUES (93401, 6128, 18, 'Moderado');
INSERT INTO `lang_definitions` VALUES (93402, 6129, 18, 'Prioridade moderada');
INSERT INTO `lang_definitions` VALUES (93403, 6130, 18, 'Moderado a grave');
INSERT INTO `lang_definitions` VALUES (93404, 6131, 18, 'Prioridade moderada / baixa');
INSERT INTO `lang_definitions` VALUES (93405, 6132, 18, 'Moderno / imagens');
INSERT INTO `lang_definitions` VALUES (93406, 6133, 18, 'Modifier');
INSERT INTO `lang_definitions` VALUES (93407, 6134, 18, 'Modificador 22: Serviços de procedimento aumentados: Quando o trabalho necessário para fornecer um serviço é substancialmente maior do que normalmente exigido, ele pode ser identificado adicionando o modificador 22 ao código de procedimento usual');
INSERT INTO `lang_definitions` VALUES (93408, 6135, 18, 'Modificador 24: Avaliação não relacionada e serviço de gerenciamento pelo mesmo médico durante um período pós-operatório');
INSERT INTO `lang_definitions` VALUES (93409, 6136, 18, 'Modificador 25: Serviço de avaliação e gerenciamento (E / M) significativo e identificável separadamente pelo mesmo médico no dia de um procedimento ou outro serviço');
INSERT INTO `lang_definitions` VALUES (93410, 6137, 18, 'Modificador 57: Indica que um serviço de Avaliação e Gerenciamento (E / M) resultou na decisão inicial de realizar a cirurgia um dia antes de uma cirurgia de grande porte (90 dias globais) ou no dia de uma cirurgia de grande porte');
INSERT INTO `lang_definitions` VALUES (93411, 6138, 18, 'Modificador (es)');
INSERT INTO `lang_definitions` VALUES (93412, 6139, 18, 'Modificadores');
INSERT INTO `lang_definitions` VALUES (93413, 6140, 18, 'Modificar');
INSERT INTO `lang_definitions` VALUES (93414, 6141, 18, 'Data do Registro');
INSERT INTO `lang_definitions` VALUES (93415, 6142, 18, 'Alterar Formulário do Paciente');
INSERT INTO `lang_definitions` VALUES (93416, 6143, 18, 'Alterar Pagamentos');
INSERT INTO `lang_definitions` VALUES (93417, 6144, 18, 'Alterando');
INSERT INTO `lang_definitions` VALUES (93418, 6145, 18, 'Comprimento Mod');
INSERT INTO `lang_definitions` VALUES (93419, 6146, 18, 'Módulo');
INSERT INTO `lang_definitions` VALUES (93420, 6147, 18, 'Diretório de Módulo não encontrado');
INSERT INTO `lang_definitions` VALUES (93421, 6148, 18, 'Instalação de Módulos');
INSERT INTO `lang_definitions` VALUES (93422, 6149, 18, 'Nome do Módulo');
INSERT INTO `lang_definitions` VALUES (93423, 6150, 18, 'O nome do Módulo já existe');
INSERT INTO `lang_definitions` VALUES (93424, 6151, 18, 'Módulos');
INSERT INTO `lang_definitions` VALUES (93425, 6152, 18, 'Módulos (modelo)');
INSERT INTO `lang_definitions` VALUES (93426, 6153, 18, 'Seg');
INSERT INTO `lang_definitions` VALUES (93427, 6154, 18, 'Seg à Sex');
INSERT INTO `lang_definitions` VALUES (93428, 6155, 18, 'Seg, Qua e Sex');
INSERT INTO `lang_definitions` VALUES (93429, 6156, 18, 'Segunda-feira');
INSERT INTO `lang_definitions` VALUES (93430, 6157, 18, 'mongol');
INSERT INTO `lang_definitions` VALUES (93431, 6158, 18, 'Diâmetro pupilar monocular - Distância');
INSERT INTO `lang_definitions` VALUES (93432, 6159, 18, 'Diâmetro pupilar monocular - próximo');
INSERT INTO `lang_definitions` VALUES (93433, 6160, 18, 'mês');
INSERT INTO `lang_definitions` VALUES (93434, 6161, 18, 'Mês');
INSERT INTO `lang_definitions` VALUES (93435, 6162, 18, 'Ver mês');
INSERT INTO `lang_definitions` VALUES (93436, 6163, 18, 'Mês (s)');
INSERT INTO `lang_definitions` VALUES (93437, 6164, 18, 'Renda Mensal');
INSERT INTO `lang_definitions` VALUES (93438, 6165, 18, 'meses');
INSERT INTO `lang_definitions` VALUES (93439, 6166, 18, 'Meses');
INSERT INTO `lang_definitions` VALUES (93440, 6167, 18, 'meses antes');
INSERT INTO `lang_definitions` VALUES (93441, 6168, 18, 'Humor / Afetar Nml {{Humor e afetar normal}}');
INSERT INTO `lang_definitions` VALUES (93442, 6171, 18, 'Mais informações sobre a regra de decisão clínica podem ser encontradas aqui');
INSERT INTO `lang_definitions` VALUES (93443, 6172, 18, 'Mais informações sobre os problemas podem ser encontradas aqui');
INSERT INTO `lang_definitions` VALUES (93444, 6173, 18, 'Mais informações sobre o que é phiMail e como configurá-lo estão disponíveis aqui');
INSERT INTO `lang_definitions` VALUES (93445, 6174, 18, 'Mais informações disponíveis na página wiki openEMR MedEx');
INSERT INTO `lang_definitions` VALUES (93446, 6175, 18, 'Mais informações sobre como editar este formulário e outros formulários podem ser encontradas aqui');
INSERT INTO `lang_definitions` VALUES (93447, 6176, 18, 'Mais informações sobre o uso de mensagens phiMail estão disponíveis aqui');
INSERT INTO `lang_definitions` VALUES (93448, 6177, 18, 'Mais opções');
INSERT INTO `lang_definitions` VALUES (93449, 6178, 18, 'Mais que');
INSERT INTO `lang_definitions` VALUES (93450, 6179, 18, 'Mais de 100 registros encontrados. Restrinja a sua pesquisa.');
INSERT INTO `lang_definitions` VALUES (93451, 6180, 18, 'Mais de 50 resultados, por favor faça sua busca mais específica.');
INSERT INTO `lang_definitions` VALUES (93452, 6181, 18, 'Mais de um compromisso foi encontrado');
INSERT INTO `lang_definitions` VALUES (93453, 6182, 18, 'Além disso, há um custo recorrente incorrido no envio de mensagens de texto');
INSERT INTO `lang_definitions` VALUES (93454, 6183, 18, 'A maioria das atividades em relação a um paciente são baseadas em um encontro');
INSERT INTO `lang_definitions` VALUES (93455, 6184, 18, 'A maioria das atividades em relação a um paciente são baseadas em um encontro');
INSERT INTO `lang_definitions` VALUES (93456, 6185, 18, 'Na maioria das vezes, isso é devido a uma incompatibilidade de nome de usuário / senha');
INSERT INTO `lang_definitions` VALUES (93457, 6186, 18, 'Mais recente de');
INSERT INTO `lang_definitions` VALUES (93458, 6187, 18, 'Dados de laboratório mais recentes:');
INSERT INTO `lang_definitions` VALUES (93459, 6188, 18, 'Visita mais recente');
INSERT INTO `lang_definitions` VALUES (93460, 6189, 18, 'Sinais vitais mais recentes de:');
INSERT INTO `lang_definitions` VALUES (93461, 6190, 18, 'Mãe');
INSERT INTO `lang_definitions` VALUES (93462, 6191, 18, 'Nome da Mãe');
INSERT INTO `lang_definitions` VALUES (93463, 6192, 18, 'Histório Materno');
INSERT INTO `lang_definitions` VALUES (93464, 6193, 18, 'Nome da mãe');
INSERT INTO `lang_definitions` VALUES (93465, 6194, 18, 'Motilidade');
INSERT INTO `lang_definitions` VALUES (93466, 6195, 18, 'Boca');
INSERT INTO `lang_definitions` VALUES (93467, 6196, 18, 'Mover');
INSERT INTO `lang_definitions` VALUES (93468, 6197, 18, 'Mover documento para a categoria:');
INSERT INTO `lang_definitions` VALUES (93469, 6198, 18, 'Mover para baixo');
INSERT INTO `lang_definitions` VALUES (93470, 6199, 18, 'Falha na movimentação!');
INSERT INTO `lang_definitions` VALUES (93471, 6200, 18, 'Mova os itens individuais de \'Ativo\' para \'Inativo\' ou vice-versa selecionando os itens e pressionando o botão relevante com a divisa dupla');
INSERT INTO `lang_definitions` VALUES (93472, 6201, 18, 'Mover-se para Paciente');
INSERT INTO `lang_definitions` VALUES (93473, 6202, 18, 'Mover para...');
INSERT INTO `lang_definitions` VALUES (93474, 6203, 18, 'Mover para cima');
INSERT INTO `lang_definitions` VALUES (93475, 6204, 18, 'Em movimento');
INSERT INTO `lang_definitions` VALUES (93476, 6205, 18, 'Segunda {{segunda}}');
INSERT INTO `lang_definitions` VALUES (93477, 6206, 18, 'MPD-D {{abreviatura para Diâmetro da pupila monocular - distância}}');
INSERT INTO `lang_definitions` VALUES (93478, 6207, 18, 'MPD-N {{abreviação para Diâmetro da pupila monocular - Próximo}}');
INSERT INTO `lang_definitions` VALUES (93479, 6208, 18, 'MR (seco)');
INSERT INTO `lang_definitions` VALUES (93480, 6209, 18, 'Sr.');
INSERT INTO `lang_definitions` VALUES (93481, 6210, 18, 'MRD {{distância reflexo marginal}}');
INSERT INTO `lang_definitions` VALUES (93482, 6211, 18, 'MRN (pid)');
INSERT INTO `lang_definitions` VALUES (93483, 6213, 18, 'MRNear{{Manifesto próximo à acuidade}}');
INSERT INTO `lang_definitions` VALUES (93484, 6214, 18, 'MRNear{{Manifesto refração perto}}');
INSERT INTO `lang_definitions` VALUES (93485, 6215, 18, 'Sra.');
INSERT INTO `lang_definitions` VALUES (93486, 6216, 18, 'MR{{}}');
INSERT INTO `lang_definitions` VALUES (93487, 6217, 18, 'Srta.');
INSERT INTO `lang_definitions` VALUES (93488, 6218, 18, 'MSH-11');
INSERT INTO `lang_definitions` VALUES (93489, 6219, 18, 'MSH-3.1');
INSERT INTO `lang_definitions` VALUES (93490, 6220, 18, 'MSH-4.1');
INSERT INTO `lang_definitions` VALUES (93491, 6221, 18, 'MSH-5.1');
INSERT INTO `lang_definitions` VALUES (93492, 6222, 18, 'MSH-6.1');
INSERT INTO `lang_definitions` VALUES (93493, 6223, 18, 'O tipo de mensagem MSH.8 não é compatível');
INSERT INTO `lang_definitions` VALUES (93494, 6224, 18, 'O tipo de mensagem MSH.8 não é válido');
INSERT INTO `lang_definitions` VALUES (93495, 6226, 18, 'Código MSP');
INSERT INTO `lang_definitions` VALUES (93496, 6227, 18, 'Códigos de Remessa MSP');
INSERT INTO `lang_definitions` VALUES (93497, 6228, 18, 'Autorização multifator - A MFA tem sido cada vez mais usada para autenticar um usuário sem tornar o processo de autenticação muito oneroso');
INSERT INTO `lang_definitions` VALUES (93498, 6229, 18, 'Ajuda para autorização multifatorial');
INSERT INTO `lang_definitions` VALUES (93499, 6230, 18, 'Ferramenta Multi Linguagens');
INSERT INTO `lang_definitions` VALUES (93500, 6231, 18, 'Multi-selecione os DX (s) desejados e clique o');
INSERT INTO `lang_definitions` VALUES (93501, 6234, 18, 'Várias áreas');
INSERT INTO `lang_definitions` VALUES (93502, 6235, 18, 'Base de dados vários');
INSERT INTO `lang_definitions` VALUES (93503, 6236, 18, 'Vários arquivos podem ser carregados de uma vez, selecionando-os usando CTRL + Clique ou');
INSERT INTO `lang_definitions` VALUES (93504, 6237, 18, 'Lotes múltiplos');
INSERT INTO `lang_definitions` VALUES (93505, 6238, 18, 'Vários modificadores podem ser separados por dois pontos ou espaços, no máximo 4 (M1: M2: M3: M4)');
INSERT INTO `lang_definitions` VALUES (93506, 6239, 18, 'Lista de seleção múltipla');
INSERT INTO `lang_definitions` VALUES (93507, 6240, 18, 'Vários db');
INSERT INTO `lang_definitions` VALUES (93508, 6241, 18, 'Vários db (vários db)');
INSERT INTO `lang_definitions` VALUES (93509, 6242, 18, 'Multiracial');
INSERT INTO `lang_definitions` VALUES (93510, 6243, 18, 'Murmur:');
INSERT INTO `lang_definitions` VALUES (93511, 6244, 18, 'Musc Dor');
INSERT INTO `lang_definitions` VALUES (93512, 6245, 18, 'Musc Dores');
INSERT INTO `lang_definitions` VALUES (93513, 6246, 18, 'Vermelhidão Musc');
INSERT INTO `lang_definitions` VALUES (93514, 6247, 18, 'Musc Rigidez');
INSERT INTO `lang_definitions` VALUES (93515, 6248, 18, 'Musc Inchaço');
INSERT INTO `lang_definitions` VALUES (93516, 6249, 18, 'Warm Musc');
INSERT INTO `lang_definitions` VALUES (93517, 6250, 18, 'Músculo');
INSERT INTO `lang_definitions` VALUES (93518, 6251, 18, 'Lesão muscular');
INSERT INTO `lang_definitions` VALUES (93519, 6252, 18, 'Musculosqueléticas');
INSERT INTO `lang_definitions` VALUES (93520, 6253, 18, 'Músculo {{musculoesquelético}}');
INSERT INTO `lang_definitions` VALUES (93521, 6255, 18, 'Deve ser o endereço de e-mail atual registrado');
INSERT INTO `lang_definitions` VALUES (93522, 6256, 18, 'Deve estar vazio se a autenticação SMTP não for usada');
INSERT INTO `lang_definitions` VALUES (93523, 6257, 18, 'Deve ser uma data futura');
INSERT INTO `lang_definitions` VALUES (93524, 6258, 18, 'Deve escolher pelo menos um dia!');
INSERT INTO `lang_definitions` VALUES (93525, 6259, 18, 'Definido mutuamente');
INSERT INTO `lang_definitions` VALUES (93526, 6260, 18, 'MVA');
INSERT INTO `lang_definitions` VALUES (93527, 6261, 18, 'Código MVX');
INSERT INTO `lang_definitions` VALUES (93528, 6262, 18, 'Minha instalação padrão');
INSERT INTO `lang_definitions` VALUES (93529, 6263, 18, 'Meus valores padrão');
INSERT INTO `lang_definitions` VALUES (93530, 6264, 18, 'My Health');
INSERT INTO `lang_definitions` VALUES (93531, 6265, 18, 'My Messages');
INSERT INTO `lang_definitions` VALUES (93532, 6266, 18, 'Meu termo');
INSERT INTO `lang_definitions` VALUES (93533, 6267, 18, 'Eu Mesmo');
INSERT INTO `lang_definitions` VALUES (93534, 6268, 18, 'M {{segunda}}');
INSERT INTO `lang_definitions` VALUES (93535, 6269, 18, 'Maori');
INSERT INTO `lang_definitions` VALUES (93536, 6270, 18, 'N.B.{{Nota bene}}');
INSERT INTO `lang_definitions` VALUES (93537, 6271, 18, 'N/A');
INSERT INTO `lang_definitions` VALUES (93538, 6272, 18, 'n/a');
INSERT INTO `lang_definitions` VALUES (93539, 6273, 18, 'N / A {{não aplicável}}');
INSERT INTO `lang_definitions` VALUES (93540, 6274, 18, 'Nome');
INSERT INTO `lang_definitions` VALUES (93541, 6275, 18, 'NOME');
INSERT INTO `lang_definitions` VALUES (93542, 6276, 18, 'Nome (mais)');
INSERT INTO `lang_definitions` VALUES (93543, 6277, 18, 'Nome - Selecione um nome de provedor na lista suspensa');
INSERT INTO `lang_definitions` VALUES (93544, 6278, 18, 'Nome 1');
INSERT INTO `lang_definitions` VALUES (93545, 6279, 18, 'Nome 2');
INSERT INTO `lang_definitions` VALUES (93546, 6280, 18, 'Gerenciamento de Vacinas');
INSERT INTO `lang_definitions` VALUES (93547, 6281, 18, 'Nome para esta categoria, procedimento ou resultado');
INSERT INTO `lang_definitions` VALUES (93548, 6282, 18, 'Nome em EMR');
INSERT INTO `lang_definitions` VALUES (93549, 6283, 18, 'O nome deve ser como codetype_code_language.pdf, por exemplo icd9_274.11_en.pdf');
INSERT INTO `lang_definitions` VALUES (93550, 6284, 18, 'Nome de Eventos');
INSERT INTO `lang_definitions` VALUES (93551, 6285, 18, 'Nome da seguradora');
INSERT INTO `lang_definitions` VALUES (93552, 6286, 18, 'Nome da Operadora');
INSERT INTO `lang_definitions` VALUES (93553, 6287, 18, 'Nome do remetente para lembretes do paciente');
INSERT INTO `lang_definitions` VALUES (93554, 6288, 18, 'Nome do cirurgião');
INSERT INTO `lang_definitions` VALUES (93555, 6289, 18, 'Nome do template zend para impressão html');
INSERT INTO `lang_definitions` VALUES (93556, 6290, 18, 'Nome do modelo zend para impressão html, é possível adicionar um modelo personalizado no módulo PrescriptionTemplate');
INSERT INTO `lang_definitions` VALUES (93557, 6291, 18, 'Nome do modelo zend para exportação de pdf');
INSERT INTO `lang_definitions` VALUES (93558, 6292, 18, 'Nome do template zend para exportação em pdf, é possível adicionar um modelo personalizado no módulo PrescriptionTemplate');
INSERT INTO `lang_definitions` VALUES (93559, 6293, 18, 'Nome no cartão');
INSERT INTO `lang_definitions` VALUES (93560, 6294, 18, 'Tradução Nome');
INSERT INTO `lang_definitions` VALUES (93561, 6295, 18, 'Nome/Valor');
INSERT INTO `lang_definitions` VALUES (93562, 6296, 18, 'Nome:');
INSERT INTO `lang_definitions` VALUES (93563, 6297, 18, 'Nomes');
INSERT INTO `lang_definitions` VALUES (93564, 6298, 18, 'espaço de nomes');
INSERT INTO `lang_definitions` VALUES (93565, 6299, 18, 'Drogas narcóticas importadas');
INSERT INTO `lang_definitions` VALUES (93566, 6300, 18, 'NARES:');
INSERT INTO `lang_definitions` VALUES (93567, 6301, 18, 'NARES: Direito Normal');
INSERT INTO `lang_definitions` VALUES (93568, 6302, 18, 'Narrativa');
INSERT INTO `lang_definitions` VALUES (93569, 6303, 18, 'nasal');
INSERT INTO `lang_definitions` VALUES (93570, 6304, 18, 'Mucosa nasal rosa, linha mediana de septo');
INSERT INTO `lang_definitions` VALUES (93571, 6305, 18, 'Notas Nation');
INSERT INTO `lang_definitions` VALUES (93572, 6306, 18, 'Notas Nation (notas nation)');
INSERT INTO `lang_definitions` VALUES (93573, 6307, 18, 'Notas Nation (nn_configurar)');
INSERT INTO `lang_definitions` VALUES (93574, 6308, 18, 'Configurar Notas Nation');
INSERT INTO `lang_definitions` VALUES (93575, 6309, 18, 'Substituir botões Notas Nation');
INSERT INTO `lang_definitions` VALUES (93576, 6310, 18, 'Nacionalidade');
INSERT INTO `lang_definitions` VALUES (93577, 6311, 18, 'NotasNation');
INSERT INTO `lang_definitions` VALUES (93578, 6312, 18, 'Carregamentos de dados nativos');
INSERT INTO `lang_definitions` VALUES (93579, 6313, 18, 'Havaiano nativo ou outro ilhéu do Pacífico');
INSERT INTO `lang_definitions` VALUES (93580, 6314, 18, 'Criança natural');
INSERT INTO `lang_definitions` VALUES (93581, 6315, 18, 'Criança natural');
INSERT INTO `lang_definitions` VALUES (93582, 6316, 18, 'Pai Natural');
INSERT INTO `lang_definitions` VALUES (93583, 6317, 18, 'Irmão natural');
INSERT INTO `lang_definitions` VALUES (93584, 6318, 18, 'Nauru');
INSERT INTO `lang_definitions` VALUES (93585, 6319, 18, 'Nauseas');
INSERT INTO `lang_definitions` VALUES (93586, 6320, 18, 'Bar Nav');
INSERT INTO `lang_definitions` VALUES (93587, 6321, 18, 'Navajo, Navaho');
INSERT INTO `lang_definitions` VALUES (93588, 6322, 18, 'Navegação');
INSERT INTO `lang_definitions` VALUES (93589, 6323, 18, 'A área de navegação inclui formulários de encontro');
INSERT INTO `lang_definitions` VALUES (93590, 6324, 18, 'A área de navegação usa a altura total do conjunto de quadros');
INSERT INTO `lang_definitions` VALUES (93591, 6325, 18, 'Formulários de visita à área de navegação');
INSERT INTO `lang_definitions` VALUES (93592, 6326, 18, 'Largura da área de navegação');
INSERT INTO `lang_definitions` VALUES (93593, 6327, 18, 'Largura da área de navegação para quadros');
INSERT INTO `lang_definitions` VALUES (93594, 6328, 18, 'O menu de navegação consiste em pares de botões de rádio');
INSERT INTO `lang_definitions` VALUES (93595, 6329, 18, 'O menu de navegação é uma visão em árvore');
INSERT INTO `lang_definitions` VALUES (93596, 6330, 18, 'A navegação usa um menu deslizante');
INSERT INTO `lang_definitions` VALUES (93597, 6331, 18, 'ID DO CONCEITO NCI');
INSERT INTO `lang_definitions` VALUES (93598, 6332, 18, 'NCOM {{Comentários Neuro}}');
INSERT INTO `lang_definitions` VALUES (93599, 6333, 18, 'NCPDP');
INSERT INTO `lang_definitions` VALUES (93600, 6334, 18, 'NDC');
INSERT INTO `lang_definitions` VALUES (93601, 6335, 18, 'Dados NDC');
INSERT INTO `lang_definitions` VALUES (93602, 6336, 18, 'Número do NDC');
INSERT INTO `lang_definitions` VALUES (93603, 6337, 18, 'Ndonga');
INSERT INTO `lang_definitions` VALUES (93604, 6338, 18, 'perto');
INSERT INTO `lang_definitions` VALUES (93605, 6339, 18, 'AutoRefraction Perto da Acuidade');
INSERT INTO `lang_definitions` VALUES (93606, 6340, 18, 'Refração de Manifesto Perto da Acuidade');
INSERT INTO `lang_definitions` VALUES (93607, 6341, 18, 'Perto da Acuidade com Autorefraction');
INSERT INTO `lang_definitions` VALUES (93608, 6342, 18, 'Perto da Acuidade com correção');
INSERT INTO `lang_definitions` VALUES (93609, 6343, 18, 'Perto da Acuidade com refração de manifesto (seco)');
INSERT INTO `lang_definitions` VALUES (93610, 6344, 18, 'Perto da Acuidade sem correção');
INSERT INTO `lang_definitions` VALUES (93611, 6345, 18, 'Próximo ao ponto de acomodação');
INSERT INTO `lang_definitions` VALUES (93612, 6346, 18, 'Próximo ao ponto de Convergência');
INSERT INTO `lang_definitions` VALUES (93613, 6347, 18, 'Equipamento Médico Necessário');
INSERT INTO `lang_definitions` VALUES (93614, 6348, 18, 'Pescoço');
INSERT INTO `lang_definitions` VALUES (93615, 6349, 18, 'Problemas no pescoço');
INSERT INTO `lang_definitions` VALUES (93616, 6350, 18, 'Pescoço flexível');
INSERT INTO `lang_definitions` VALUES (93617, 6351, 18, 'Precisa de mais de um medicamento');
INSERT INTO `lang_definitions` VALUES (93618, 6352, 18, 'Necessidade de introduzir uma descrição');
INSERT INTO `lang_definitions` VALUES (93619, 6353, 18, 'Necessidade de introduzir um valor de retorno');
INSERT INTO `lang_definitions` VALUES (93620, 6354, 18, 'Necessidade de introduzir identificador');
INSERT INTO `lang_definitions` VALUES (93621, 6355, 18, 'Necessidade de introduzir o título');
INSERT INTO `lang_definitions` VALUES (93622, 6356, 18, 'precisa fazer logout / login após alterar essas configurações');
INSERT INTO `lang_definitions` VALUES (93623, 6357, 18, 'Precisa de um Smartphone');
INSERT INTO `lang_definitions` VALUES (93624, 6358, 18, 'Necessidades Auth');
INSERT INTO `lang_definitions` VALUES (93625, 6359, 18, 'Necessidades Justify');
INSERT INTO `lang_definitions` VALUES (93626, 6360, 18, 'Necessidades de faturamento secundário');
INSERT INTO `lang_definitions` VALUES (93627, 6361, 18, 'Negativo');
INSERT INTO `lang_definitions` VALUES (93628, 6362, 18, 'Pagamentos negativos não aceitos');
INSERT INTO `lang_definitions` VALUES (93629, 6363, 18, 'Negativos');
INSERT INTO `lang_definitions` VALUES (93630, 6364, 18, 'Neg {{negativo}}');
INSERT INTO `lang_definitions` VALUES (93631, 6365, 18, 'Vizinho');
INSERT INTO `lang_definitions` VALUES (93632, 6366, 18, 'Neo 10%');
INSERT INTO `lang_definitions` VALUES (93633, 6367, 18, 'Neo 2.5%');
INSERT INTO `lang_definitions` VALUES (93634, 6368, 18, 'Nepalês');
INSERT INTO `lang_definitions` VALUES (93635, 6369, 18, 'A lesão nervosa');
INSERT INTO `lang_definitions` VALUES (93636, 6370, 18, 'Network Indicator');
INSERT INTO `lang_definitions` VALUES (93637, 6371, 18, 'Condição Neural / dano nervoso');
INSERT INTO `lang_definitions` VALUES (93638, 6372, 18, 'Neuro');
INSERT INTO `lang_definitions` VALUES (93639, 6373, 18, 'Neuro Dormência');
INSERT INTO `lang_definitions` VALUES (93640, 6374, 18, 'Fraqueza Neuro');
INSERT INTO `lang_definitions` VALUES (93641, 6375, 18, 'Neurofisiologia');
INSERT INTO `lang_definitions` VALUES (93642, 6376, 18, 'Valores padrão do exame neurológico / físico');
INSERT INTO `lang_definitions` VALUES (93643, 6377, 18, 'Neurológicas');
INSERT INTO `lang_definitions` VALUES (93644, 6378, 18, 'Neurologia');
INSERT INTO `lang_definitions` VALUES (93645, 6379, 18, 'Neuro {{neurológico}}');
INSERT INTO `lang_definitions` VALUES (93646, 6380, 18, 'NEURO {{Neurologia}}');
INSERT INTO `lang_definitions` VALUES (93647, 6381, 18, 'Nunca');
INSERT INTO `lang_definitions` VALUES (93648, 6382, 18, 'Nunca álcool');
INSERT INTO `lang_definitions` VALUES (93649, 6383, 18, 'Nunca fumante');
INSERT INTO `lang_definitions` VALUES (93650, 6384, 18, 'Novo');
INSERT INTO `lang_definitions` VALUES (93651, 6385, 18, 'Novo =>');
INSERT INTO `lang_definitions` VALUES (93652, 6386, 18, 'Nova Aceitadores');
INSERT INTO `lang_definitions` VALUES (93653, 6387, 18, 'Novos Alertas');
INSERT INTO `lang_definitions` VALUES (93654, 6388, 18, 'Nova Alergia');
INSERT INTO `lang_definitions` VALUES (93655, 6389, 18, 'Novo pedido de alteração');
INSERT INTO `lang_definitions` VALUES (93656, 6390, 18, 'Nova Consulta');
INSERT INTO `lang_definitions` VALUES (93657, 6391, 18, 'Novas Categorias');
INSERT INTO `lang_definitions` VALUES (93658, 6392, 18, 'Nova Categoria');
INSERT INTO `lang_definitions` VALUES (93659, 6393, 18, 'Novos pacientes');
INSERT INTO `lang_definitions` VALUES (93660, 6394, 18, 'Nova Consulta');
INSERT INTO `lang_definitions` VALUES (93661, 6395, 18, 'Nova colheita');
INSERT INTO `lang_definitions` VALUES (93662, 6396, 18, 'Novo conjunto de definições adicionados');
INSERT INTO `lang_definitions` VALUES (93663, 6397, 18, 'Novo Documento');
INSERT INTO `lang_definitions` VALUES (93664, 6398, 18, 'Novos Documentos');
INSERT INTO `lang_definitions` VALUES (93665, 6399, 18, 'Novos lembretes clínicos devidos');
INSERT INTO `lang_definitions` VALUES (93666, 6400, 18, 'Novo Dx {{novo diagnóstico}}');
INSERT INTO `lang_definitions` VALUES (93667, 6401, 18, 'Novo Encontro');
INSERT INTO `lang_definitions` VALUES (93668, 6402, 18, 'Novo encontro criado com id');
INSERT INTO `lang_definitions` VALUES (93669, 6403, 18, 'Nova consulta');
INSERT INTO `lang_definitions` VALUES (93670, 6404, 18, 'Nova consulta não autorizada');
INSERT INTO `lang_definitions` VALUES (93671, 6405, 18, 'Nova Consulta');
INSERT INTO `lang_definitions` VALUES (93672, 6406, 18, 'Informações da Nova Clínica');
INSERT INTO `lang_definitions` VALUES (93673, 6407, 18, 'Novo arquivo');
INSERT INTO `lang_definitions` VALUES (93674, 6408, 18, 'Novos Arquivos');
INSERT INTO `lang_definitions` VALUES (93675, 6409, 18, 'Validação de novo formulário');
INSERT INTO `lang_definitions` VALUES (93676, 6410, 18, 'Novo Grupo');
INSERT INTO `lang_definitions` VALUES (93677, 6411, 18, 'Novo encontro de grupo criado com id');
INSERT INTO `lang_definitions` VALUES (93678, 6412, 18, 'Formulário de Encontro de Novo Grupo');
INSERT INTO `lang_definitions` VALUES (93679, 6413, 18, 'Novo Grupo de Informação');
INSERT INTO `lang_definitions` VALUES (93680, 6414, 18, 'Novo grupo foi salvo com sucesso');
INSERT INTO `lang_definitions` VALUES (93681, 6415, 18, 'Novo registro de imunização');
INSERT INTO `lang_definitions` VALUES (93682, 6416, 18, 'Novo no ACL Versão 4');
INSERT INTO `lang_definitions` VALUES (93683, 6417, 18, 'Novo no ACL Versão 5');
INSERT INTO `lang_definitions` VALUES (93684, 6418, 18, 'Novo no ACL VersãoV r 6');
INSERT INTO `lang_definitions` VALUES (93685, 6419, 18, 'Novo no ACL Versão 7');
INSERT INTO `lang_definitions` VALUES (93686, 6420, 18, 'Novo no ACL Versão 8');
INSERT INTO `lang_definitions` VALUES (93687, 6421, 18, 'Novo no openEMR versão 5.0.2');
INSERT INTO `lang_definitions` VALUES (93688, 6422, 18, 'Novo Inj / Status');
INSERT INTO `lang_definitions` VALUES (93689, 6423, 18, 'Novos itens (veja detalhes acima)');
INSERT INTO `lang_definitions` VALUES (93690, 6424, 18, 'Novo Layout');
INSERT INTO `lang_definitions` VALUES (93691, 6425, 18, 'New Limit de Eventos');
INSERT INTO `lang_definitions` VALUES (93692, 6426, 18, 'Nova Lista');
INSERT INTO `lang_definitions` VALUES (93693, 6427, 18, 'Nova mensagem');
INSERT INTO `lang_definitions` VALUES (93694, 6428, 18, 'novas mensagens');
INSERT INTO `lang_definitions` VALUES (93695, 6429, 18, 'Nova Nota');
INSERT INTO `lang_definitions` VALUES (93696, 6432, 18, 'Novas ordens');
INSERT INTO `lang_definitions` VALUES (93697, 6433, 18, 'Novo Parágrafo');
INSERT INTO `lang_definitions` VALUES (93698, 6434, 18, 'New Password');
INSERT INTO `lang_definitions` VALUES (93699, 6435, 18, 'Novo Paciente');
INSERT INTO `lang_definitions` VALUES (93700, 6436, 18, 'NOVO PACIENTE');
INSERT INTO `lang_definitions` VALUES (93701, 6437, 18, 'Novo Paciente - Consulta');
INSERT INTO `lang_definitions` VALUES (93702, 6438, 18, 'Novo Paciente - Formulário');
INSERT INTO `lang_definitions` VALUES (93703, 6439, 18, 'Novo Paciente - ID');
INSERT INTO `lang_definitions` VALUES (93704, 6440, 18, 'Novo registro de paciente recebido do portal do paciente. Lembrete para verificar um possível novo compromisso');
INSERT INTO `lang_definitions` VALUES (93705, 6441, 18, 'Novos Pacientes');
INSERT INTO `lang_definitions` VALUES (93706, 6442, 18, 'Novo Pagamento');
INSERT INTO `lang_definitions` VALUES (93707, 6443, 18, 'Novo login do portal');
INSERT INTO `lang_definitions` VALUES (93708, 6445, 18, 'Novo Pt');
INSERT INTO `lang_definitions` VALUES (93709, 6446, 18, 'Novo recall');
INSERT INTO `lang_definitions` VALUES (93710, 6447, 18, 'Novos resultados do Lab Exchange');
INSERT INTO `lang_definitions` VALUES (93711, 6448, 18, 'Nova Busca');
INSERT INTO `lang_definitions` VALUES (93712, 6449, 18, 'Nova Submissão');
INSERT INTO `lang_definitions` VALUES (93713, 6450, 18, 'Novo no openEMR 5.0.2');
INSERT INTO `lang_definitions` VALUES (93714, 6451, 18, 'Novo Usuário');
INSERT INTO `lang_definitions` VALUES (93715, 6452, 18, 'Novo valor');
INSERT INTO `lang_definitions` VALUES (93716, 6453, 18, 'Nova Visita');
INSERT INTO `lang_definitions` VALUES (93717, 6454, 18, 'Novo/Buscar');
INSERT INTO `lang_definitions` VALUES (93718, 6455, 18, 'Status da conta NewCrop');
INSERT INTO `lang_definitions` VALUES (93719, 6456, 18, 'NewCrop NewCrop');
INSERT INTO `lang_definitions` VALUES (93720, 6457, 18, 'Falha na chamada NewCrop');
INSERT INTO `lang_definitions` VALUES (93721, 6458, 18, 'Médico NewCrop');
INSERT INTO `lang_definitions` VALUES (93722, 6459, 18, 'ID da conta NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (93723, 6460, 18, 'Nome da conta NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (93724, 6461, 18, 'Configuração de depuração NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (93725, 6462, 18, 'País padrão do paciente NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (93726, 6463, 18, 'Nome NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (93727, 6464, 18, 'Nome do parceiro NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (93728, 6465, 18, 'Senha NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (93729, 6466, 18, 'Função NewCrop eRX');
INSERT INTO `lang_definitions` VALUES (93730, 6467, 18, 'Função NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (93731, 6468, 18, 'Endereço do site NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (93732, 6469, 18, 'Tempo de vida da solicitação NewCrop eRx SOAP para alergias');
INSERT INTO `lang_definitions` VALUES (93733, 6470, 18, 'Tempo de vida da solicitação NewCrop eRx SOAP para Remédios');
INSERT INTO `lang_definitions` VALUES (93734, 6471, 18, 'Função do usuário NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (93735, 6472, 18, 'Função do usuário NewCrop eRx * seleção inválida *');
INSERT INTO `lang_definitions` VALUES (93736, 6473, 18, 'Endereço de serviço da web NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (93737, 6474, 18, 'NewCrop NewCrop');
INSERT INTO `lang_definitions` VALUES (93738, 6475, 18, 'MedEntry NewCrop');
INSERT INTO `lang_definitions` VALUES (93739, 6476, 18, 'Prescritor de nível médio NewCrop');
INSERT INTO `lang_definitions` VALUES (93740, 6477, 18, 'Enfermeira NewCrop');
INSERT INTO `lang_definitions` VALUES (93741, 6478, 18, 'Médico supervisor da NewCrop');
INSERT INTO `lang_definitions` VALUES (93742, 6479, 18, 'Recente');
INSERT INTO `lang_definitions` VALUES (93743, 6480, 18, 'NewRx');
INSERT INTO `lang_definitions` VALUES (93744, 6481, 18, 'Jornal');
INSERT INTO `lang_definitions` VALUES (93745, 6482, 18, 'Próximo');
INSERT INTO `lang_definitions` VALUES (93746, 6483, 18, 'Data do Próxima Consulta');
INSERT INTO `lang_definitions` VALUES (93747, 6484, 18, 'Próximo Dia');
INSERT INTO `lang_definitions` VALUES (93748, 6485, 18, 'Próximo Mês');
INSERT INTO `lang_definitions` VALUES (93749, 6486, 18, 'Próximo mês (pressione para o menu)');
INSERT INTO `lang_definitions` VALUES (93750, 6487, 18, 'Relacionamento próximo de parentesco');
INSERT INTO `lang_definitions` VALUES (93751, 6488, 18, 'Próxima execução programada');
INSERT INTO `lang_definitions` VALUES (93752, 6489, 18, 'Próxima Visita');
INSERT INTO `lang_definitions` VALUES (93753, 6490, 18, 'Pedidos de próxima visita');
INSERT INTO `lang_definitions` VALUES (93754, 6491, 18, 'Próxima Semana');
INSERT INTO `lang_definitions` VALUES (93755, 6492, 18, 'Próximo ano (pressione para o menu)');
INSERT INTO `lang_definitions` VALUES (93756, 6493, 18, 'Apelido');
INSERT INTO `lang_definitions` VALUES (93757, 6494, 18, 'Apelido');
INSERT INTO `lang_definitions` VALUES (93758, 6495, 18, 'Sobrinha / sobrinho');
INSERT INTO `lang_definitions` VALUES (93759, 6496, 18, 'Suores noturnos');
INSERT INTO `lang_definitions` VALUES (93760, 6497, 18, 'NKDA {{Sem alergias a medicamentos conhecidas}}');
INSERT INTO `lang_definitions` VALUES (93761, 6498, 18, 'Genitais ext Nl, vag mucosa, colo do útero');
INSERT INTO `lang_definitions` VALUES (93762, 6499, 18, 'Não');
INSERT INTO `lang_definitions` VALUES (93763, 6500, 18, 'NÃO');
INSERT INTO `lang_definitions` VALUES (93764, 6501, 18, 'não');
INSERT INTO `lang_definitions` VALUES (93765, 6502, 18, 'Sem acesso');
INSERT INTO `lang_definitions` VALUES (93766, 6503, 18, 'Nenhum lembrete ativo de pacientes.');
INSERT INTO `lang_definitions` VALUES (93767, 6504, 18, 'Sem adenopatia (2 áreas necessárias)');
INSERT INTO `lang_definitions` VALUES (93768, 6505, 18, 'Nenhum tipo de motivo de ajuste encontrado para');
INSERT INTO `lang_definitions` VALUES (93769, 6506, 18, 'Sem sensibilidade / massas anexiais');
INSERT INTO `lang_definitions` VALUES (93770, 6507, 18, 'Sem alerta');
INSERT INTO `lang_definitions` VALUES (93771, 6508, 18, 'Nenhum pedido de emenda disponível');
INSERT INTO `lang_definitions` VALUES (93772, 6509, 18, 'Sem Compromissos');
INSERT INTO `lang_definitions` VALUES (93773, 6510, 18, 'Nenhum arquivo presente');
INSERT INTO `lang_definitions` VALUES (93774, 6511, 18, 'Nenhum arquivo');
INSERT INTO `lang_definitions` VALUES (93775, 6513, 18, 'Nenhuma violação de registro de auditoria detectada no intervalo de datas selecionado');
INSERT INTO `lang_definitions` VALUES (93776, 6514, 18, 'Sem atualização automática');
INSERT INTO `lang_definitions` VALUES (93777, 6515, 18, 'Sistema de faturamento está atualmente inativo');
INSERT INTO `lang_definitions` VALUES (93778, 6516, 18, 'Nenhuma Cobrança Encontrada para Incluir no OFX Export');
INSERT INTO `lang_definitions` VALUES (93779, 6517, 18, 'Nenhuma Cobrança Encontrada para Incluir no OFX Export<br>');
INSERT INTO `lang_definitions` VALUES (93780, 6518, 18, 'No Changes Detected');
INSERT INTO `lang_definitions` VALUES (93781, 6519, 18, 'Nenhum código foi especificado!');
INSERT INTO `lang_definitions` VALUES (93782, 6520, 18, 'Nenhuma configuração definida para este módulo');
INSERT INTO `lang_definitions` VALUES (93783, 6521, 18, 'Sem dados disponíveis na tabela');
INSERT INTO `lang_definitions` VALUES (93784, 6522, 18, 'Sem dados para processar');
INSERT INTO `lang_definitions` VALUES (93785, 6523, 18, 'Nenhum diagnóstico');
INSERT INTO `lang_definitions` VALUES (93786, 6524, 18, 'nenhum diagnóstico foi gerado automaticamente a partir dos achados clínicos');
INSERT INTO `lang_definitions` VALUES (93787, 6525, 18, 'Sem Documentos');
INSERT INTO `lang_definitions` VALUES (93788, 6526, 18, 'Nenhum Documento Encontrado');
INSERT INTO `lang_definitions` VALUES (93789, 6527, 18, 'Nenhuma Consulta pôde ser criada');
INSERT INTO `lang_definitions` VALUES (93790, 6528, 18, 'Sem consulta ...');
INSERT INTO `lang_definitions` VALUES (93791, 6529, 18, 'Sem data final');
INSERT INTO `lang_definitions` VALUES (93792, 6530, 18, 'Não foram encontradas entradas, use o formulário abaixo para adicionar uma entrada.');
INSERT INTO `lang_definitions` VALUES (93793, 6531, 18, 'Não foi encontrado erros');
INSERT INTO `lang_definitions` VALUES (93794, 6532, 18, 'Não há eventos');
INSERT INTO `lang_definitions` VALUES (93795, 6533, 18, 'Nenhum número de fax salvo para a organização selecionada');
INSERT INTO `lang_definitions` VALUES (93796, 6534, 18, 'Nenhum arquivo preparado para instalação');
INSERT INTO `lang_definitions` VALUES (93797, 6536, 18, 'Nenhum grupo foi selecionado');
INSERT INTO `lang_definitions` VALUES (93798, 6537, 18, 'Sem hérnia');
INSERT INTO `lang_definitions` VALUES (93799, 6538, 18, 'Não há ganchos disponíveis neste módulo');
INSERT INTO `lang_definitions` VALUES (93800, 6539, 18, 'Nenhum gancho habilitado para este módulo');
INSERT INTO `lang_definitions` VALUES (93801, 6540, 18, 'Sem lesão / doença');
INSERT INTO `lang_definitions` VALUES (93802, 6541, 18, 'Seguradoras Não Encontradas');
INSERT INTO `lang_definitions` VALUES (93803, 6542, 18, 'Nenhuma interação encontrada');
INSERT INTO `lang_definitions` VALUES (93804, 6544, 18, 'Sem Problemas');
INSERT INTO `lang_definitions` VALUES (93805, 6545, 18, 'Sem problemas nessa consulta.');
INSERT INTO `lang_definitions` VALUES (93806, 6546, 18, 'Sem itens sob categoria selecionada');
INSERT INTO `lang_definitions` VALUES (93807, 6547, 18, 'Nenhum item foi selecionado!');
INSERT INTO `lang_definitions` VALUES (93808, 6548, 18, 'Sem alergias conhecidas');
INSERT INTO `lang_definitions` VALUES (93809, 6549, 18, 'Nenhuma instrução clínica conhecida');
INSERT INTO `lang_definitions` VALUES (93810, 6550, 18, 'Nenhum encontro conhecido');
INSERT INTO `lang_definitions` VALUES (93811, 6551, 18, 'Sem imunizações conhecidas');
INSERT INTO `lang_definitions` VALUES (93812, 6552, 18, 'Nenhum resultado de laboratório conhecido');
INSERT INTO `lang_definitions` VALUES (93813, 6553, 18, 'Sem medicamentos conhecidos');
INSERT INTO `lang_definitions` VALUES (93814, 6554, 18, 'Nenhum plano de cuidado conhecido');
INSERT INTO `lang_definitions` VALUES (93815, 6555, 18, 'Sem problemas conhecidos');
INSERT INTO `lang_definitions` VALUES (93816, 6556, 18, 'Nenhum procedimento conhecido');
INSERT INTO `lang_definitions` VALUES (93817, 6557, 18, 'Sem referências conhecidas');
INSERT INTO `lang_definitions` VALUES (93818, 6558, 18, 'Nenhum status funcional social conhecido');
INSERT INTO `lang_definitions` VALUES (93819, 6559, 18, 'Sem história social conhecida');
INSERT INTO `lang_definitions` VALUES (93820, 6560, 18, 'Sem sinais vitais conhecidos');
INSERT INTO `lang_definitions` VALUES (93821, 6561, 18, 'Nenhum dado de laboratório documentado');
INSERT INTO `lang_definitions` VALUES (93822, 6562, 18, 'Nenhum arquivo de registro existe para a data selecionada');
INSERT INTO `lang_definitions` VALUES (93823, 6563, 18, 'Sem registro');
INSERT INTO `lang_definitions` VALUES (93824, 6564, 18, 'Sem registros com mais de 7 dias');
INSERT INTO `lang_definitions` VALUES (93825, 6565, 18, 'Sem massas, ternura');
INSERT INTO `lang_definitions` VALUES (93826, 6566, 18, 'Nenhuma correspondência de registro do paciente encontrada para o código de reidentificação fornecido');
INSERT INTO `lang_definitions` VALUES (93827, 6567, 18, 'Sem correspondências para');
INSERT INTO `lang_definitions` VALUES (93828, 6568, 18, 'Nenhum resultado encontrado. Tente nova busca.');
INSERT INTO `lang_definitions` VALUES (93829, 6569, 18, 'Nenhum resultado encontrado.');
INSERT INTO `lang_definitions` VALUES (93830, 6570, 18, 'Nenhum resultado encontrado. Cadastrar novo paciente?');
INSERT INTO `lang_definitions` VALUES (93831, 6571, 18, 'No matching records found');
INSERT INTO `lang_definitions` VALUES (93832, 6572, 18, 'Nenhum campo de membro encontrado para');
INSERT INTO `lang_definitions` VALUES (93833, 6573, 18, 'Nenhum método habilitado');
INSERT INTO `lang_definitions` VALUES (93834, 6575, 18, 'Sem Nome');
INSERT INTO `lang_definitions` VALUES (93835, 6576, 18, 'Sem novas mensagens em');
INSERT INTO `lang_definitions` VALUES (93836, 6577, 18, 'Nenhum novo resultado encontrado');
INSERT INTO `lang_definitions` VALUES (93837, 6578, 18, 'Sem notas');
INSERT INTO `lang_definitions` VALUES (93838, 6579, 18, 'Sem organomegalia');
INSERT INTO `lang_definitions` VALUES (93839, 6580, 18, 'Não foram encontradas vagas para este período.');
INSERT INTO `lang_definitions` VALUES (93840, 6581, 18, 'Nenhum pedido encontrado, por favor insira o pedido de procedimento primeiro');
INSERT INTO `lang_definitions` VALUES (93841, 6582, 18, 'Sem organomegalia');
INSERT INTO `lang_definitions` VALUES (93842, 6583, 18, 'Nenhum outro número de telefone listado');
INSERT INTO `lang_definitions` VALUES (93843, 6584, 18, 'Nenhum parâmetro selecionado');
INSERT INTO `lang_definitions` VALUES (93844, 6585, 18, 'Nenhum Parceiro Encontrado');
INSERT INTO `lang_definitions` VALUES (93845, 6586, 18, 'Nenhum registro de paciente encontrado para os critérios de seleção fornecidos');
INSERT INTO `lang_definitions` VALUES (93846, 6587, 18, 'Nenhum registro do paciente encontrado para o código de reidentificação fornecido');
INSERT INTO `lang_definitions` VALUES (93847, 6588, 18, 'Não havia edema periférico');
INSERT INTO `lang_definitions` VALUES (93848, 6589, 18, 'Nenhuma Farmácias');
INSERT INTO `lang_definitions` VALUES (93849, 6590, 18, 'Nenhuma Prescrição');
INSERT INTO `lang_definitions` VALUES (93850, 6591, 18, 'Nenhuma prescrição selecionada');
INSERT INTO `lang_definitions` VALUES (93851, 6592, 18, 'Nenhuma doença que apresenta / lesão');
INSERT INTO `lang_definitions` VALUES (93852, 6593, 18, 'Sem entradas anteriores');
INSERT INTO `lang_definitions` VALUES (93853, 6594, 18, 'Nenhuma Entidade Empresarial Principal selecionada na lista de instalações');
INSERT INTO `lang_definitions` VALUES (93854, 6595, 18, 'Sem encontros anteriores');
INSERT INTO `lang_definitions` VALUES (93855, 6596, 18, 'Nenhum procedimento neste encontro');
INSERT INTO `lang_definitions` VALUES (93856, 6597, 18, 'Nenhum provedor foi encontrado');
INSERT INTO `lang_definitions` VALUES (93857, 6598, 18, 'Sem Indicação');
INSERT INTO `lang_definitions` VALUES (93858, 6599, 18, 'Ausência de lesões cutânea ou anormal');
INSERT INTO `lang_definitions` VALUES (93859, 6600, 18, 'No Recall');
INSERT INTO `lang_definitions` VALUES (93860, 6601, 18, 'Nenhum registro disponível');
INSERT INTO `lang_definitions` VALUES (93861, 6602, 18, 'Nenhum registro foi encontrado');
INSERT INTO `lang_definitions` VALUES (93862, 6603, 18, 'Nenhum registro foi encontrado');
INSERT INTO `lang_definitions` VALUES (93863, 6604, 18, 'Não foram encontrados registos. Por favor, expandir os seus critérios de busca.');
INSERT INTO `lang_definitions` VALUES (93864, 6606, 18, 'Sem lembrete / recall');
INSERT INTO `lang_definitions` VALUES (93865, 6607, 18, 'Sem lembretes');
INSERT INTO `lang_definitions` VALUES (93866, 6608, 18, 'Nenhum resultado encontrado, para os critérios de pesquisa acima');
INSERT INTO `lang_definitions` VALUES (93867, 6609, 18, 'Nenhum resultado');
INSERT INTO `lang_definitions` VALUES (93868, 6610, 18, 'Nenhum resultado encontrado');
INSERT INTO `lang_definitions` VALUES (93869, 6611, 18, 'No results found for');
INSERT INTO `lang_definitions` VALUES (93870, 6612, 18, 'Nenhum resultados de busca');
INSERT INTO `lang_definitions` VALUES (93871, 6613, 18, 'Nenhum resultado encontrado, por favor tente novamente');
INSERT INTO `lang_definitions` VALUES (93872, 6614, 18, 'Não há resultados, por favor bandeja novamente.');
INSERT INTO `lang_definitions` VALUES (93873, 6615, 18, 'Não há resultados, por favor, tente novamente.');
INSERT INTO `lang_definitions` VALUES (93874, 6617, 18, 'Nenhuma configuração disponível neste módulo');
INSERT INTO `lang_definitions` VALUES (93875, 6618, 18, 'Não Compareceu');
INSERT INTO `lang_definitions` VALUES (93876, 6619, 18, 'Não Compareceu');
INSERT INTO `lang_definitions` VALUES (93877, 6620, 18, 'sem assinatura no documento');
INSERT INTO `lang_definitions` VALUES (93878, 6621, 18, 'Arquivo ainda não assinado');
INSERT INTO `lang_definitions` VALUES (93879, 6622, 18, 'No Tenderness Sinus:');
INSERT INTO `lang_definitions` VALUES (93880, 6623, 18, 'Nódulos no ondear da pele ou da mama');
INSERT INTO `lang_definitions` VALUES (93881, 6624, 18, 'NENHUM NOME DE CONTEXTO');
INSERT INTO `lang_definitions` VALUES (93882, 6625, 18, 'Nenhuma mesa selecionada! Selecione uma mesa');
INSERT INTO `lang_definitions` VALUES (93883, 6626, 18, 'No ternura testicular, massas');
INSERT INTO `lang_definitions` VALUES (93884, 6627, 18, 'Não, obrigado');
INSERT INTO `lang_definitions` VALUES (93885, 6628, 18, 'No emoções ou heaves');
INSERT INTO `lang_definitions` VALUES (93886, 6629, 18, 'Nenhuma trilha selecionada');
INSERT INTO `lang_definitions` VALUES (93887, 6630, 18, 'Nenhuma trilha foi documentada');
INSERT INTO `lang_definitions` VALUES (93888, 6631, 18, 'Nenhuma versão do Internet Explorer oferece suporte a U2F');
INSERT INTO `lang_definitions` VALUES (93889, 6632, 18, 'Nenhuma visita');
INSERT INTO `lang_definitions` VALUES (93890, 6633, 18, 'Sem registros');
INSERT INTO `lang_definitions` VALUES (93891, 6634, 18, 'Não, Cancelar');
INSERT INTO `lang_definitions` VALUES (93892, 6635, 18, 'Seguro sem falhas incluindo Auto é o principal');
INSERT INTO `lang_definitions` VALUES (93893, 6636, 18, 'Não:');
INSERT INTO `lang_definitions` VALUES (93894, 6637, 18, 'Noctúria');
INSERT INTO `lang_definitions` VALUES (93895, 6638, 18, 'Não Pago');
INSERT INTO `lang_definitions` VALUES (93896, 6640, 18, 'Relatório não relatado');
INSERT INTO `lang_definitions` VALUES (93897, 6641, 18, 'Non lesão específica');
INSERT INTO `lang_definitions` VALUES (93898, 6642, 18, 'Não eletrônico');
INSERT INTO `lang_definitions` VALUES (93899, 6643, 18, 'Não-insulino-dependente');
INSERT INTO `lang_definitions` VALUES (93900, 6644, 18, 'Não segurado');
INSERT INTO `lang_definitions` VALUES (93901, 6645, 18, 'Instalação não residencial de tratamento de abuso de substâncias');
INSERT INTO `lang_definitions` VALUES (93902, 6646, 18, 'Non-SRH Médica');
INSERT INTO `lang_definitions` VALUES (93903, 6647, 18, 'Non-SRH não-médicos');
INSERT INTO `lang_definitions` VALUES (93904, 6648, 18, 'Nenhum');
INSERT INTO `lang_definitions` VALUES (93905, 6649, 18, 'nenhum');
INSERT INTO `lang_definitions` VALUES (93906, 6650, 18, 'Nenhum definido');
INSERT INTO `lang_definitions` VALUES (93907, 6651, 18, 'Nenhum documentado');
INSERT INTO `lang_definitions` VALUES (93908, 6652, 18, 'Nenhum foi documentado');
INSERT INTO `lang_definitions` VALUES (93909, 6653, 18, 'Nenhuma das anteriores');
INSERT INTO `lang_definitions` VALUES (93910, 6654, 18, 'Nenhuma das linhas de distribuição superior pode estar completamente em branco');
INSERT INTO `lang_definitions` VALUES (93911, 6655, 18, 'Nenhum selecionado');
INSERT INTO `lang_definitions` VALUES (93912, 6664, 18, 'Nenhuma {{Consulta}}');
INSERT INTO `lang_definitions` VALUES (93913, 6672, 18, 'Nenhum {{Paciente}}');
INSERT INTO `lang_definitions` VALUES (93914, 6683, 18, 'Noninsulin Dependent Diabetes');
INSERT INTO `lang_definitions` VALUES (93915, 6684, 18, 'Nem');
INSERT INTO `lang_definitions` VALUES (93916, 6685, 18, 'Normal');
INSERT INTO `lang_definitions` VALUES (93917, 6686, 18, 'Normal (normal)');
INSERT INTO `lang_definitions` VALUES (93918, 6687, 18, 'Normal BL');
INSERT INTO `lang_definitions` VALUES (93919, 6688, 18, 'Exame cardíaco normal:');
INSERT INTO `lang_definitions` VALUES (93920, 6689, 18, 'Exame cardíaco normal:');
INSERT INTO `lang_definitions` VALUES (93921, 6690, 18, 'Exame Pulmonar Normal:');
INSERT INTO `lang_definitions` VALUES (93922, 6691, 18, 'Exame Pulmonar Normal:');
INSERT INTO `lang_definitions` VALUES (93923, 6692, 18, 'Normal Office Visite');
INSERT INTO `lang_definitions` VALUES (93924, 6693, 18, 'Orofaringe normal:');
INSERT INTO `lang_definitions` VALUES (93925, 6694, 18, 'Normal Direito');
INSERT INTO `lang_definitions` VALUES (93926, 6695, 18, 'Normal Direito:');
INSERT INTO `lang_definitions` VALUES (93927, 6696, 18, 'Normal View');
INSERT INTO `lang_definitions` VALUES (93928, 6697, 18, 'normal:');
INSERT INTO `lang_definitions` VALUES (93929, 6698, 18, 'Normalmente, isso deve ser verificado. Não relacionado ao controle de acesso');
INSERT INTO `lang_definitions` VALUES (93930, 6699, 18, 'North Ndebele');
INSERT INTO `lang_definitions` VALUES (93931, 6700, 18, 'Sami do Norte');
INSERT INTO `lang_definitions` VALUES (93932, 6701, 18, 'Norueguês');
INSERT INTO `lang_definitions` VALUES (93933, 6702, 18, 'Bokmal norueguês');
INSERT INTO `lang_definitions` VALUES (93934, 6703, 18, 'Bokmål norueguês');
INSERT INTO `lang_definitions` VALUES (93935, 6704, 18, 'Nynorsk norueguês');
INSERT INTO `lang_definitions` VALUES (93936, 6705, 18, 'Nariz');
INSERT INTO `lang_definitions` VALUES (93937, 6706, 18, 'Epistaxis');
INSERT INTO `lang_definitions` VALUES (93938, 6707, 18, 'nem letra nem numero');
INSERT INTO `lang_definitions` VALUES (93939, 6708, 18, 'Não ativo');
INSERT INTO `lang_definitions` VALUES (93940, 6709, 18, 'Não administrado');
INSERT INTO `lang_definitions` VALUES (93941, 6710, 18, 'Nem todos os campos são obrigatórios para todos os códigos ou tipos.');
INSERT INTO `lang_definitions` VALUES (93942, 6711, 18, 'Nem todos os navegadores antigos suportam U2F. Usar as versões mais recentes de navegadores modernos - Chrome, Firefox, Safari, Edge e Opera deve ser suficiente');
INSERT INTO `lang_definitions` VALUES (93943, 6712, 18, 'Não Desejados');
INSERT INTO `lang_definitions` VALUES (93944, 6713, 18, 'Não é permitida a exclusão do grupo de administradores');
INSERT INTO `lang_definitions` VALUES (93945, 6714, 18, 'Não é permitido para editar');
INSERT INTO `lang_definitions` VALUES (93946, 6715, 18, 'Não é permitida a desativação de todos os objetos de segurança');
INSERT INTO `lang_definitions` VALUES (93947, 6716, 18, 'Não permitido para inativar qualquer coisa da Segurança dos Administradores');
INSERT INTO `lang_definitions` VALUES (93948, 6717, 18, 'Não é permitido remover o usuário Administrador do grupo Administradores');
INSERT INTO `lang_definitions` VALUES (93949, 6718, 18, 'Não é permitido para remover este usuário do grupo Administradores');
INSERT INTO `lang_definitions` VALUES (93950, 6719, 18, 'Não aplicável');
INSERT INTO `lang_definitions` VALUES (93951, 6720, 18, 'Não autorizadas a ter acesso módulo PostCalendar');
INSERT INTO `lang_definitions` VALUES (93952, 6721, 18, 'Não autorizado');
INSERT INTO `lang_definitions` VALUES (93953, 6722, 18, 'Não autorizado');
INSERT INTO `lang_definitions` VALUES (93954, 6723, 18, 'Não autorizado para este time!');
INSERT INTO `lang_definitions` VALUES (93955, 6724, 18, 'Não autorizado para este plantel.');
INSERT INTO `lang_definitions` VALUES (93956, 6725, 18, 'Não autorizado a gerenciar usuários!');
INSERT INTO `lang_definitions` VALUES (93957, 6726, 18, 'Não autorizado a assinar resultados');
INSERT INTO `lang_definitions` VALUES (93958, 6727, 18, 'Não autorizado a ver este encontro');
INSERT INTO `lang_definitions` VALUES (93959, 6728, 18, 'Não autorizado!');
INSERT INTO `lang_definitions` VALUES (93960, 6729, 18, 'Não Disponível');
INSERT INTO `lang_definitions` VALUES (93961, 6730, 18, 'Não Faturado');
INSERT INTO `lang_definitions` VALUES (93962, 6731, 18, 'Não faturado');
INSERT INTO `lang_definitions` VALUES (93963, 6732, 18, 'Não checado');
INSERT INTO `lang_definitions` VALUES (93964, 6733, 18, 'Não verificado');
INSERT INTO `lang_definitions` VALUES (93965, 6734, 18, 'Não Codificado');
INSERT INTO `lang_definitions` VALUES (93966, 6735, 18, 'Não documentado');
INSERT INTO `lang_definitions` VALUES (93967, 6736, 18, 'Não devido');
INSERT INTO `lang_definitions` VALUES (93968, 6737, 18, 'Não designado');
INSERT INTO `lang_definitions` VALUES (93969, 6738, 18, 'Não examinados');
INSERT INTO `lang_definitions` VALUES (93970, 6739, 18, 'Não examinados:');
INSERT INTO `lang_definitions` VALUES (93971, 6740, 18, 'Não examinados:');
INSERT INTO `lang_definitions` VALUES (93972, 6741, 18, 'Não para uso em diagnóstico');
INSERT INTO `lang_definitions` VALUES (93973, 6742, 18, 'não encontrado');
INSERT INTO `lang_definitions` VALUES (93974, 6743, 18, 'Não encontrado');
INSERT INTO `lang_definitions` VALUES (93975, 6744, 18, 'não encontrado!');
INSERT INTO `lang_definitions` VALUES (93976, 6745, 18, 'Não hispânico ou latino');
INSERT INTO `lang_definitions` VALUES (93977, 6746, 18, 'Não instalado');
INSERT INTO `lang_definitions` VALUES (93978, 6747, 18, 'Não instalado');
INSERT INTO `lang_definitions` VALUES (93979, 6748, 18, 'Não é possivel');
INSERT INTO `lang_definitions` VALUES (93980, 6751, 18, 'Não visto desde');
INSERT INTO `lang_definitions` VALUES (93981, 6752, 18, 'Não enviado');
INSERT INTO `lang_definitions` VALUES (93982, 6753, 18, 'Ainda não enviado');
INSERT INTO `lang_definitions` VALUES (93983, 6754, 18, 'Não especificado');
INSERT INTO `lang_definitions` VALUES (93984, 6755, 18, 'Não especificado');
INSERT INTO `lang_definitions` VALUES (93985, 6756, 18, 'Não elegível para VFC');
INSERT INTO `lang_definitions` VALUES (93986, 6757, 18, 'Not yet implemented');
INSERT INTO `lang_definitions` VALUES (93987, 6758, 18, 'Nota');
INSERT INTO `lang_definitions` VALUES (93988, 6759, 18, 'NOTA');
INSERT INTO `lang_definitions` VALUES (93989, 6760, 18, 'Código de Notas');
INSERT INTO `lang_definitions` VALUES (93990, 6762, 18, 'Observe que levará de 5 a 10 minutos para processar totalmente após você clicar em Instalar');
INSERT INTO `lang_definitions` VALUES (93991, 6763, 18, 'Observe que levará de 5 a 10 minutos para processar totalmente após você clicar em actualizar');
INSERT INTO `lang_definitions` VALUES (93992, 6764, 18, 'Observe que o registro de auditoria precisa ser habilitado acima');
INSERT INTO `lang_definitions` VALUES (93993, 6766, 18, 'Observe que o cabeçalho do formulário pop-up agora exibirá Insira os detalhes para o grupo de favoritos personalizados');
INSERT INTO `lang_definitions` VALUES (93994, 6767, 18, 'Observe que o cabeçalho do formulário pop-up agora exibirá Insira os detalhes para resultados discretos');
INSERT INTO `lang_definitions` VALUES (93995, 6768, 18, 'Observe que o cabeçalho do formulário pop-up agora exibirá Insira detalhes para procedimentos individuais');
INSERT INTO `lang_definitions` VALUES (93996, 6769, 18, 'Observe que não há botão \'Salvar\'');
INSERT INTO `lang_definitions` VALUES (93997, 6770, 18, 'Observe que isso se refere ao Registro de Continuidade de Cuidado (CCR) ou Documento de Continuidade de Cuidado (CCD), conforme o caso pode ser');
INSERT INTO `lang_definitions` VALUES (93998, 6771, 18, 'Tipo de nota');
INSERT INTO `lang_definitions` VALUES (93999, 6772, 18, 'Nota: 12h00 é PM, não AM');
INSERT INTO `lang_definitions` VALUES (94000, 6773, 18, 'NOTA: A importação de dados externos pode levar mais de uma hora, dependendo da configuração do seu hardware. Por exemplo, uma das tabelas de dados RxNorm contém mais de 6 milhões de linhas');
INSERT INTO `lang_definitions` VALUES (94001, 6774, 18, 'NOTA: Apenas a versão bianual internacional do Snomed é compatível atualmente');
INSERT INTO `lang_definitions` VALUES (94002, 6775, 18, 'NOTA: Apenas os lançamentos internacionais bianuais do Snomed e os lançamentos do Snomed dos EUA são atualmente suportados');
INSERT INTO `lang_definitions` VALUES (94003, 6776, 18, 'NOTA: Apenas o lançamento mensal completo do RxNorm é atualmente suportado');
INSERT INTO `lang_definitions` VALUES (94004, 6777, 18, 'NOTA: Apenas os formatos XML e conjuntos de valores de Profissionais Elegíveis são suportados');
INSERT INTO `lang_definitions` VALUES (94005, 6778, 18, 'NOTA: A importação pode demorar várias horas');
INSERT INTO `lang_definitions` VALUES (94006, 6779, 18, 'Nota: este código não foi autorizado');
INSERT INTO `lang_definitions` VALUES (94007, 6780, 18, 'Nota: Este código não foi inserido por um usuário autorizado. Apenas códigos autorizados podem ser enviados para o médico do faturamento de uma rede aberta para processamento. Se você deseja enviar esses códigos, selecione um usuário autorizado aqui.');
INSERT INTO `lang_definitions` VALUES (94008, 6781, 18, 'Nota: Este copagamento foi contabilizado contra faturamento não autorizado. Por favor, revise o status');
INSERT INTO `lang_definitions` VALUES (94009, 6782, 18, 'Nota: este não é um endereço de e-mail');
INSERT INTO `lang_definitions` VALUES (94010, 6783, 18, 'NOTE: Ficheiros com nomes duplicados serão automaticamente remarcados (por ex., file.jpg will become file.1.jpg). Os nomes de ficheiros são considerados únicos por doente, não por categoria.');
INSERT INTO `lang_definitions` VALUES (94011, 6784, 18, 'NOTA: Envio de arquivos com nomes duplicados fará com que os arquivos a serem renomeados automaticamente. Por exemplo, file.jpg se tornará file.jpg.1 . Nomes de arquivos são considerados únicos por paciente e não por categoria.');
INSERT INTO `lang_definitions` VALUES (94012, 6785, 18, 'Notas');
INSERT INTO `lang_definitions` VALUES (94013, 6786, 18, 'Notas');
INSERT INTO `lang_definitions` VALUES (94014, 6787, 18, 'Notas - Uma breve descrição que aparecerá como uma dica de ferramenta');
INSERT INTO `lang_definitions` VALUES (94015, 6788, 18, 'Notas - quaisquer encontros (escrever, adicionar opcional)');
INSERT INTO `lang_definitions` VALUES (94016, 6789, 18, 'Notas - quaisquer encontros (escrever, adicionalmente opcional) (notas_a)');
INSERT INTO `lang_definitions` VALUES (94017, 6790, 18, 'Notas - meus encontros (escrever, adicionar opcional)');
INSERT INTO `lang_definitions` VALUES (94018, 6791, 18, 'Notas - meus encontros (escrever, adicionalmente opcional) (notas)');
INSERT INTO `lang_definitions` VALUES (94019, 6792, 18, 'Notas de');
INSERT INTO `lang_definitions` VALUES (94020, 6793, 18, 'Notas não autorizadas');
INSERT INTO `lang_definitions` VALUES (94021, 6794, 18, 'Nada encontrado - desculpe');
INSERT INTO `lang_definitions` VALUES (94022, 6795, 18, 'Sem Pendencia para Aprovação');
INSERT INTO `lang_definitions` VALUES (94023, 6796, 18, 'Sem Registros');
INSERT INTO `lang_definitions` VALUES (94024, 6797, 18, 'Nada retornou para relatar');
INSERT INTO `lang_definitions` VALUES (94025, 6798, 18, 'Nothing to display');
INSERT INTO `lang_definitions` VALUES (94026, 6799, 18, 'Nada a importar para alergia');
INSERT INTO `lang_definitions` VALUES (94027, 6800, 18, 'Nada para importar para prescrição');
INSERT INTO `lang_definitions` VALUES (94028, 6801, 18, 'Nada para postar! Por favor reveja as entradas ou use Cancelar para sair da transação');
INSERT INTO `lang_definitions` VALUES (94029, 6802, 18, 'Nada a declarar');
INSERT INTO `lang_definitions` VALUES (94030, 6803, 18, 'Nada para mostrar');
INSERT INTO `lang_definitions` VALUES (94031, 6804, 18, 'Nada foi selecionado');
INSERT INTO `lang_definitions` VALUES (94032, 6805, 18, 'Aviso prévio');
INSERT INTO `lang_definitions` VALUES (94033, 6806, 18, 'Observe como a entrada Top Group que foi inicialmente criada, chamada Serum Chemistry, agora tem um sinal azul + antes de seu nome, indicando a presença de descendentes ou filhos nesta entrada');
INSERT INTO `lang_definitions` VALUES (94034, 6807, 18, 'Aviso Recebido');
INSERT INTO `lang_definitions` VALUES (94035, 6808, 18, 'AVISO: PostCalendar Submission / Modificação');
INSERT INTO `lang_definitions` VALUES (94036, 6809, 18, 'Notificação');
INSERT INTO `lang_definitions` VALUES (94037, 6810, 18, 'Notificação Endereço de email');
INSERT INTO `lang_definitions` VALUES (94038, 6811, 18, 'Notificação FALHA');
INSERT INTO `lang_definitions` VALUES (94039, 6812, 18, 'Notificação FALHA: Não autorizado pelo portal');
INSERT INTO `lang_definitions` VALUES (94040, 6813, 18, 'Notificação enviada para');
INSERT INTO `lang_definitions` VALUES (94041, 6814, 18, 'Configurações de notificação');
INSERT INTO `lang_definitions` VALUES (94042, 6815, 18, 'Notificações');
INSERT INTO `lang_definitions` VALUES (94043, 6816, 18, 'Informe-Admin Sobre o Evento Apresentação / modificação?');
INSERT INTO `lang_definitions` VALUES (94044, 6817, 18, 'Notificar Paciente');
INSERT INTO `lang_definitions` VALUES (94045, 6819, 18, 'Notificar via Portal do Paciente');
INSERT INTO `lang_definitions` VALUES (94046, 6820, 18, 'Novembro');
INSERT INTO `lang_definitions` VALUES (94047, 6821, 18, 'Novembro');
INSERT INTO `lang_definitions` VALUES (94048, 6822, 18, 'Agora é a hora de verificar e ajustar as configurações no openEMR para unidades padrão, sites, etc., consulte o arquivo de ajuda em Procedimentos> Provedores');
INSERT INTO `lang_definitions` VALUES (94049, 6823, 18, 'Agora enviar para');
INSERT INTO `lang_definitions` VALUES (94050, 6824, 18, 'Agora enviar para:');
INSERT INTO `lang_definitions` VALUES (94051, 6825, 18, 'A imprimir');
INSERT INTO `lang_definitions` VALUES (94052, 6826, 18, 'Agora impressão declarações $ stmt_count e encontros de atualização.');
INSERT INTO `lang_definitions` VALUES (94053, 6827, 18, 'Agora impressão declarações $ stmt_count e faturas de atualização.');
INSERT INTO `lang_definitions` VALUES (94054, 6828, 18, 'Agora impressão declarações $ stmt_count; encontros não serão atualizados.');
INSERT INTO `lang_definitions` VALUES (94055, 6829, 18, 'Agora impressão declarações $ stmt_count; facturas não serão atualizados.');
INSERT INTO `lang_definitions` VALUES (94056, 6830, 18, 'Agora, quando você abre o pop-up Selecionar códigos, você verá todos os códigos ICD10 listados');
INSERT INTO `lang_definitions` VALUES (94057, 6831, 18, 'Agora, quando você abre o pop-up Selecionar códigos de diagnóstico, você verá todos os códigos ICD10 listados');
INSERT INTO `lang_definitions` VALUES (94058, 6832, 18, 'NAPA {{próximo ao ponto de acomodação}}');
INSERT INTO `lang_definitions` VALUES (94059, 6833, 18, 'NPC {{próximo ao ponto de convergência}}');
INSERT INTO `lang_definitions` VALUES (94060, 6834, 18, 'RG');
INSERT INTO `lang_definitions` VALUES (94061, 6835, 18, 'RG -Insira o Identificador Nacional de Provedor de 10 dígitos exclusivo do Provedor ou o número de identificação RG');
INSERT INTO `lang_definitions` VALUES (94062, 6836, 18, 'National Qualifications Framework');
INSERT INTO `lang_definitions` VALUES (94063, 6837, 18, 'Número');
INSERT INTO `lang_definitions` VALUES (94064, 6838, 18, 'Laboratórios numéricos');
INSERT INTO `lang_definitions` VALUES (94065, 6839, 18, 'Número de consultas na declaração');
INSERT INTO `lang_definitions` VALUES (94066, 6840, 18, 'Número de consultas para exibir no resumo do grupo');
INSERT INTO `lang_definitions` VALUES (94067, 6841, 18, 'Número de consultas a serem exibidas no portal do paciente no local');
INSERT INTO `lang_definitions` VALUES (94068, 6842, 18, 'Número de consultas para exibir no resumo do paciente');
INSERT INTO `lang_definitions` VALUES (94069, 6843, 18, 'Número de colunas, tendo em conta o ano.');
INSERT INTO `lang_definitions` VALUES (94070, 6844, 18, 'Número de dias antes de mostrar a quinta mensagem da conta');
INSERT INTO `lang_definitions` VALUES (94071, 6845, 18, 'Número de dias antes de mostrar a primeira mensagem da conta');
INSERT INTO `lang_definitions` VALUES (94072, 6846, 18, 'Número de dias antes de mostrar a primeira mensagem da conta');
INSERT INTO `lang_definitions` VALUES (94073, 6847, 18, 'Número de dias antes de mostrar a quarta mensagem da conta');
INSERT INTO `lang_definitions` VALUES (94074, 6848, 18, 'Número de dias antes de mostrar a segunda mensagem da conta');
INSERT INTO `lang_definitions` VALUES (94075, 6849, 18, 'Número de dias antes de mostrar a terceira mensagem da conta');
INSERT INTO `lang_definitions` VALUES (94076, 6850, 18, 'Número de dias que o certificado do cliente é válido');
INSERT INTO `lang_definitions` VALUES (94077, 6851, 18, 'Número de dias para pesquisar a partir da data de início');
INSERT INTO `lang_definitions` VALUES (94078, 6852, 18, 'Número de dígitos após a vírgula decimal para moeda, geralmente 0 ou 2');
INSERT INTO `lang_definitions` VALUES (94079, 6853, 18, 'Número de consultas a serem exibidos por página');
INSERT INTO `lang_definitions` VALUES (94080, 6854, 18, 'Número de compromissos excluídos para exibir na dica de ferramenta');
INSERT INTO `lang_definitions` VALUES (94081, 6855, 18, 'Número de jogos ou eventos perdidos, se houver');
INSERT INTO `lang_definitions` VALUES (94082, 6856, 18, 'Número de horas de antecedência para enviar notificações por e-mail');
INSERT INTO `lang_definitions` VALUES (94083, 6857, 18, 'Número de horas de antecedência para enviar notificação por telefone');
INSERT INTO `lang_definitions` VALUES (94084, 6858, 18, 'Número de horas de antecedência para enviar notificações por SMS');
INSERT INTO `lang_definitions` VALUES (94085, 6859, 18, 'Número de mensagens exibidas no resumo do paciente');
INSERT INTO `lang_definitions` VALUES (94086, 6860, 18, 'Número de minutos para exibir checkouts concluídos');
INSERT INTO `lang_definitions` VALUES (94087, 6861, 18, 'Número de minutos para exibir os checkouts concluídos. Zero é exibição contínua');
INSERT INTO `lang_definitions` VALUES (94088, 6862, 18, 'Número de colunas do histórico anterior');
INSERT INTO `lang_definitions` VALUES (94089, 6863, 18, 'Número de pacientes a serem exibidos por página na lista de pacientes');
INSERT INTO `lang_definitions` VALUES (94090, 6864, 18, 'Dormência');
INSERT INTO `lang_definitions` VALUES (94091, 6865, 18, 'Numerador');
INSERT INTO `lang_definitions` VALUES (94092, 6866, 18, 'Ordem de exibição numérica');
INSERT INTO `lang_definitions` VALUES (94093, 6867, 18, 'Nuosu');
INSERT INTO `lang_definitions` VALUES (94094, 6868, 18, 'Unidade de enfermagem');
INSERT INTO `lang_definitions` VALUES (94095, 6869, 18, 'Nutrição');
INSERT INTO `lang_definitions` VALUES (94096, 6870, 18, 'Nutritional');
INSERT INTO `lang_definitions` VALUES (94097, 6871, 18, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (94098, 6872, 18, 'Sat O2');
INSERT INTO `lang_definitions` VALUES (94099, 6874, 18, 'Obesidade I');
INSERT INTO `lang_definitions` VALUES (94100, 6875, 18, 'Obesidade II');
INSERT INTO `lang_definitions` VALUES (94101, 6876, 18, 'Obesidade III');
INSERT INTO `lang_definitions` VALUES (94102, 6877, 18, 'HMA');
INSERT INTO `lang_definitions` VALUES (94103, 6878, 18, 'Participação obrigatória');
INSERT INTO `lang_definitions` VALUES (94104, 6879, 18, 'Observação');
INSERT INTO `lang_definitions` VALUES (94105, 6880, 18, 'Critérios de Observação');
INSERT INTO `lang_definitions` VALUES (94106, 6881, 18, 'Valor do critério de observação');
INSERT INTO `lang_definitions` VALUES (94107, 6882, 18, 'Formulário de Observação');
INSERT INTO `lang_definitions` VALUES (94108, 6883, 18, 'Resultados de observação');
INSERT INTO `lang_definitions` VALUES (94109, 6884, 18, 'Resultados de observação na imunização');
INSERT INTO `lang_definitions` VALUES (94110, 6885, 18, 'Occitano');
INSERT INTO `lang_definitions` VALUES (94111, 6886, 18, 'Ocupação');
INSERT INTO `lang_definitions` VALUES (94112, 6887, 18, 'Terapeuta ocupacional');
INSERT INTO `lang_definitions` VALUES (94113, 6888, 18, 'ocorreu durante o upload do arquivo chamado');
INSERT INTO `lang_definitions` VALUES (94114, 6889, 18, 'Ocorrência');
INSERT INTO `lang_definitions` VALUES (94115, 6890, 18, 'Out');
INSERT INTO `lang_definitions` VALUES (94116, 6891, 18, 'Outubro');
INSERT INTO `lang_definitions` VALUES (94117, 6892, 18, 'OD');
INSERT INTO `lang_definitions` VALUES (94118, 6893, 18, 'OD {{olho direito}}');
INSERT INTO `lang_definitions` VALUES (94119, 6894, 18, 'oeFHIR');
INSERT INTO `lang_definitions` VALUES (94120, 6895, 18, 'de');
INSERT INTO `lang_definitions` VALUES (94121, 6896, 18, 'de quantidade');
INSERT INTO `lang_definitions` VALUES (94122, 6897, 18, 'de comprimidos');
INSERT INTO `lang_definitions` VALUES (94123, 6898, 18, 'de cada mês');
INSERT INTO `lang_definitions` VALUES (94124, 6899, 18, 'Mensagens');
INSERT INTO `lang_definitions` VALUES (94125, 6900, 18, 'Fora');
INSERT INTO `lang_definitions` VALUES (94126, 6902, 18, 'Hospital Fora do Campus-Ambulatório');
INSERT INTO `lang_definitions` VALUES (94127, 6903, 18, 'Desligado: Sem serviço');
INSERT INTO `lang_definitions` VALUES (94128, 6904, 18, 'Escritório');
INSERT INTO `lang_definitions` VALUES (94129, 6905, 18, 'Anúncios de escritório');
INSERT INTO `lang_definitions` VALUES (94130, 6906, 18, 'Nota do escritório');
INSERT INTO `lang_definitions` VALUES (94131, 6907, 18, 'Mensagens Internas');
INSERT INTO `lang_definitions` VALUES (94132, 6908, 18, 'Consulta');
INSERT INTO `lang_definitions` VALUES (94133, 6909, 18, 'Grupos de Medidas Oficiais de Medidas de Qualidade Clínica (CQM)');
INSERT INTO `lang_definitions` VALUES (94134, 6910, 18, 'Link Https externo para o Portal do Paciente');
INSERT INTO `lang_definitions` VALUES (94135, 6911, 18, 'Link Https externo para o Portal do Paciente. (Link do Paciente)');
INSERT INTO `lang_definitions` VALUES (94136, 6912, 18, 'Senha externa do portal do paciente');
INSERT INTO `lang_definitions` VALUES (94137, 6913, 18, 'Senha externa do portal do paciente(Coloque em branco se não for registrado)');
INSERT INTO `lang_definitions` VALUES (94138, 6914, 18, 'ID do provedor externo do portal do paciente');
INSERT INTO `lang_definitions` VALUES (94139, 6915, 18, 'ID do provedor externo do portal do paciente(Coloque em branco se não for registrado)');
INSERT INTO `lang_definitions` VALUES (94140, 6916, 18, 'Endereço externo do site do portal do paciente');
INSERT INTO `lang_definitions` VALUES (94141, 6917, 18, 'Endereço externo do site do portal do paciente (Link do Paciente)');
INSERT INTO `lang_definitions` VALUES (94142, 6918, 18, 'Nome de usuário externo do portal do paciente');
INSERT INTO `lang_definitions` VALUES (94143, 6919, 18, 'Nome de usuário externo do portal do paciente(Put Blank If not Registered)');
INSERT INTO `lang_definitions` VALUES (94144, 6920, 18, 'Falha externa no serviço da web do portal');
INSERT INTO `lang_definitions` VALUES (94145, 6921, 18, 'Filhos');
INSERT INTO `lang_definitions` VALUES (94146, 6922, 18, 'Histórico da prole');
INSERT INTO `lang_definitions` VALUES (94147, 6923, 18, 'Oh, não!');
INSERT INTO `lang_definitions` VALUES (94148, 6924, 18, 'OID');
INSERT INTO `lang_definitions` VALUES (94149, 6925, 18, 'pomada');
INSERT INTO `lang_definitions` VALUES (94150, 6926, 18, 'Ojibwe, Ojibwa');
INSERT INTO `lang_definitions` VALUES (94151, 6927, 18, 'OK');
INSERT INTO `lang_definitions` VALUES (94152, 6929, 18, 'OK para fechar esta outra janela pop-up?');
INSERT INTO `lang_definitions` VALUES (94153, 6930, 18, 'OK relacionar a questão GCAC datado');
INSERT INTO `lang_definitions` VALUES (94154, 6931, 18, 'antigo');
INSERT INTO `lang_definitions` VALUES (94155, 6932, 18, 'antigo eslavônico eclesiástico');
INSERT INTO `lang_definitions` VALUES (94156, 6933, 18, 'Pacientes antigos');
INSERT INTO `lang_definitions` VALUES (94157, 6934, 18, 'Old não fratura / malunion');
INSERT INTO `lang_definitions` VALUES (94158, 6935, 18, 'Layout de estilo antigo sem menu à esquerda');
INSERT INTO `lang_definitions` VALUES (94159, 6936, 18, 'Forma estática de estilo antigo sem pesquisa ou verificação de duplicação');
INSERT INTO `lang_definitions` VALUES (94160, 6937, 18, 'Mais velho');
INSERT INTO `lang_definitions` VALUES (94161, 6938, 18, 'Mais velho que');
INSERT INTO `lang_definitions` VALUES (94162, 6940, 18, 'Omitir');
INSERT INTO `lang_definitions` VALUES (94163, 6941, 18, 'Omitir circunferências');
INSERT INTO `lang_definitions` VALUES (94164, 6942, 18, 'Omitir informações do empregador nos dados demográficos dos pacientes');
INSERT INTO `lang_definitions` VALUES (94165, 6943, 18, 'Omitir empregadores');
INSERT INTO `lang_definitions` VALUES (94166, 6944, 18, 'Omitir forma, via e intervalo que então se tornam parte da dosagem');
INSERT INTO `lang_definitions` VALUES (94167, 6945, 18, 'Omita o seguro e algumas outras coisas do formulário demográfico');
INSERT INTO `lang_definitions` VALUES (94168, 6946, 18, 'Omitir os usuários internos?');
INSERT INTO `lang_definitions` VALUES (94169, 6947, 18, 'Omitir método de pagamento do painel de copagamento');
INSERT INTO `lang_definitions` VALUES (94170, 6948, 18, 'omitir a autoassign');
INSERT INTO `lang_definitions` VALUES (94171, 6949, 18, 'Em');
INSERT INTO `lang_definitions` VALUES (94172, 6950, 18, 'ligado');
INSERT INTO `lang_definitions` VALUES (94173, 6951, 18, 'no arquivo de email');
INSERT INTO `lang_definitions` VALUES (94174, 6952, 18, 'Na primeira página');
INSERT INTO `lang_definitions` VALUES (94175, 6956, 18, 'On Hand');
INSERT INTO `lang_definitions` VALUES (94176, 6957, 18, 'Em dispositivos móveis, toque uma vez na etiqueta para revelar o ícone de ajuda e toque no ícone para mostrar a seção de ajuda');
INSERT INTO `lang_definitions` VALUES (94177, 6959, 18, 'Em Ordem');
INSERT INTO `lang_definitions` VALUES (94178, 6960, 18, 'No local');
INSERT INTO `lang_definitions` VALUES (94179, 6961, 18, 'Por outro lado, se você clicar em registrar, mas não capturar o código QR com o aplicativo autenticador, você não será capaz de fazer o login');
INSERT INTO `lang_definitions` VALUES (94180, 6962, 18, 'Nessas linhas, a coluna Código ficará em branco');
INSERT INTO `lang_definitions` VALUES (94181, 6963, 18, 'Nesta data há feriado, usar mesmo assim?');
INSERT INTO `lang_definitions` VALUES (94182, 6964, 18, 'Em: HAPI FHIR');
INSERT INTO `lang_definitions` VALUES (94183, 6965, 18, 'Ligado: Inteligente em FHIR');
INSERT INTO `lang_definitions` VALUES (94184, 6966, 18, 'Uma vez que uma regra é configurada, ela pode ser habilitada para um paciente particular');
INSERT INTO `lang_definitions` VALUES (94185, 6967, 18, 'Assim que a transação for salva, ela aparecerá na página da transação');
INSERT INTO `lang_definitions` VALUES (94186, 6968, 18, 'Assim que um compromisso for agendado, o nome sai automaticamente do quadro de recall');
INSERT INTO `lang_definitions` VALUES (94187, 6969, 18, 'Assim que um compromisso for agendado, a retirada irá sair do quadro de recall');
INSERT INTO `lang_definitions` VALUES (94188, 6970, 18, 'Depois de concluído, visualize e armazene este encontro como um arquivo PDF');
INSERT INTO `lang_definitions` VALUES (94189, 6972, 18, 'Depois de salva, a entidade de um grupo de favoritos personalizados não pode ser alterada. Se você precisar alterar a entidade, você deve excluir esta entrada e criar uma nova');
INSERT INTO `lang_definitions` VALUES (94190, 6973, 18, 'Assim que o aplicativo capturar o código QR, ele mostrará o nome de usuário do OpenEMR no aplicativo');
INSERT INTO `lang_definitions` VALUES (94191, 6974, 18, 'Uma vez que a unidade de negócios principal é definida, a alteração da id da unidade afetará NewCrop ePrescription');
INSERT INTO `lang_definitions` VALUES (94192, 6975, 18, 'Uma vez que a unidade de negócios principal é definida, ela não deve ser alterada. Mudar a unidade afetará o funcionamento no NewCrop ePrescription');
INSERT INTO `lang_definitions` VALUES (94193, 6976, 18, 'Uma vez que este recurso esteja habilitado, você deverá digitar a chave de 6 dígitos em cada login');
INSERT INTO `lang_definitions` VALUES (94194, 6977, 18, 'Uma vez feito isso, a chave secreta compartilhada que é única para cada usuário deve existir apenas no OpenEMR e no aplicativo autenticador do usuário');
INSERT INTO `lang_definitions` VALUES (94195, 6978, 18, 'Assim que esta etapa for concluída, você pode prosseguir para a próxima etapa - para configurar os testes que podem ser solicitados do sistema');
INSERT INTO `lang_definitions` VALUES (94196, 6979, 18, 'Uma vez que você alterar sua senha, você terá que re-login.');
INSERT INTO `lang_definitions` VALUES (94197, 6980, 18, 'Depois de selecionar um código de justificação para a primeira linha CPT, todas as linhas de código CPT subsequentes terão a mesma justificativa. Pode ser manualmente alterado mais tarde, se desejado');
INSERT INTO `lang_definitions` VALUES (94198, 6981, 18, 'Oncologia: Médica e Radiação - Quantificação da Intensidade da Dor (CQM)');
INSERT INTO `lang_definitions` VALUES (94199, 6982, 18, 'Um dia atrás');
INSERT INTO `lang_definitions` VALUES (94200, 6983, 18, 'Um dia adiante');
INSERT INTO `lang_definitions` VALUES (94201, 6984, 18, 'Um encontro por dia');
INSERT INTO `lang_definitions` VALUES (94202, 6985, 18, 'Um mês atrás');
INSERT INTO `lang_definitions` VALUES (94203, 6986, 18, 'Um mês antes');
INSERT INTO `lang_definitions` VALUES (94204, 6987, 18, 'Uma ou mais transações falharam');
INSERT INTO `lang_definitions` VALUES (94205, 6988, 18, 'Um desses laboratórios usa 905 para ácido úrico e em nosso exemplo vamos inserir esse número na caixa');
INSERT INTO `lang_definitions` VALUES (94206, 6991, 18, 'Uma semana antes');
INSERT INTO `lang_definitions` VALUES (94207, 6992, 18, 'Um ano atrás');
INSERT INTO `lang_definitions` VALUES (94208, 6993, 18, 'Um ano à frente');
INSERT INTO `lang_definitions` VALUES (94209, 6994, 18, 'A senha única ou OTP é uma estratégia comumente usada para fornecer um código exclusivo para cada login');
INSERT INTO `lang_definitions` VALUES (94210, 6995, 18, 'Conectado');
INSERT INTO `lang_definitions` VALUES (94211, 6996, 18, 'Suporte On-line');
INSERT INTO `lang_definitions` VALUES (94212, 6997, 18, 'Link de suporte online');
INSERT INTO `lang_definitions` VALUES (94213, 6999, 18, 'Apenas Ativo');
INSERT INTO `lang_definitions` VALUES (94214, 7000, 18, 'Aplicável apenas se um provedor ou lista agrupada foi escolhida acima. PRIMARY apenas seleciona pacientes em que o provedor é o provedor principal. ENCOUNTER seleciona todos os pacientes que o provedor atendeu');
INSERT INTO `lang_definitions` VALUES (94215, 7001, 18, 'Apenas as entradas com um código são faturáveis');
INSERT INTO `lang_definitions` VALUES (94216, 7002, 18, 'Apenas para comparações');
INSERT INTO `lang_definitions` VALUES (94217, 7003, 18, 'Apenas para navegadores compatíveis com HTML5');
INSERT INTO `lang_definitions` VALUES (94218, 7004, 18, 'apenas se a localização de faturamento');
INSERT INTO `lang_definitions` VALUES (94219, 7005, 18, 'Somente arquivos de imagens são aceitos');
INSERT INTO `lang_definitions` VALUES (94220, 7006, 18, 'Apenas inativos');
INSERT INTO `lang_definitions` VALUES (94221, 7007, 18, 'Somente Próprias');
INSERT INTO `lang_definitions` VALUES (94222, 7008, 18, 'Apenas uma chave TOTP pode ser configurada por usuário');
INSERT INTO `lang_definitions` VALUES (94223, 7009, 18, 'Lembre-se apenas do provedor, sem lembrete');
INSERT INTO `lang_definitions` VALUES (94224, 7010, 18, 'Apenas lembrete para o provedor, sem recall');
INSERT INTO `lang_definitions` VALUES (94225, 7011, 18, 'Mostrar apenas códigos de relatório de diagnóstico');
INSERT INTO `lang_definitions` VALUES (94226, 7012, 18, 'Mostrar apenas códigos de relatório financeiro do código de serviço');
INSERT INTO `lang_definitions` VALUES (94227, 7013, 18, 'Carregue apenas prescrições ativas');
INSERT INTO `lang_definitions` VALUES (94228, 7014, 18, 'Carregue apenas prescrições ativas para NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (94229, 7015, 18, 'Encerramento');
INSERT INTO `lang_definitions` VALUES (94230, 7016, 18, 'Início dos sintomas ou doenças atuais');
INSERT INTO `lang_definitions` VALUES (94231, 7017, 18, 'Início da doença:');
INSERT INTO `lang_definitions` VALUES (94232, 7018, 18, 'O início da Ilness:');
INSERT INTO `lang_definitions` VALUES (94233, 7019, 18, 'Aparecimento de edema:');
INSERT INTO `lang_definitions` VALUES (94234, 7020, 18, 'Onset / hosp. encontro');
INSERT INTO `lang_definitions` VALUES (94235, 7021, 18, 'Onset / hosp. data - é usado para faturamento de encontros com hospitais');
INSERT INTO `lang_definitions` VALUES (94236, 7022, 18, 'Onset / hosp. Data:');
INSERT INTO `lang_definitions` VALUES (94237, 7023, 18, 'Visualizações de atividades no local');
INSERT INTO `lang_definitions` VALUES (94238, 7024, 18, 'Atividades do paciente no local');
INSERT INTO `lang_definitions` VALUES (94239, 7025, 18, 'Portal do paciente no local');
INSERT INTO `lang_definitions` VALUES (94240, 7026, 18, 'Endereço do site do portal do paciente no local');
INSERT INTO `lang_definitions` VALUES (94241, 7027, 18, 'Portal no local');
INSERT INTO `lang_definitions` VALUES (94242, 7028, 18, 'Atividades do portal no local');
INSERT INTO `lang_definitions` VALUES (94243, 7030, 18, 'Ops!');
INSERT INTO `lang_definitions` VALUES (94244, 7031, 18, 'Abrir');
INSERT INTO `lang_definitions` VALUES (94245, 7032, 18, 'Abra uma planilha e digite os vários grupos, ordens de procedimento e resultados discretos, organize de acordo com a necessidade');
INSERT INTO `lang_definitions` VALUES (94246, 7033, 18, 'Abra uma planilha no openoffice / LibreOffice, crie 5 colunas - três para os códigos E / M / CPT e duas para as categorias de códigos ICD');
INSERT INTO `lang_definitions` VALUES (94247, 7034, 18, 'Abra todos os formulários expansíveis no estado expandido');
INSERT INTO `lang_definitions` VALUES (94248, 7035, 18, 'Abra e analise o conteúdo da mensagem e todos os anexos');
INSERT INTO `lang_definitions` VALUES (94249, 7036, 18, 'Abrir dados demográficos em uma nova janela do quadro de fluxo de pacientes');
INSERT INTO `lang_definitions` VALUES (94250, 7037, 18, 'Abrir Consulta');
INSERT INTO `lang_definitions` VALUES (94251, 7038, 18, 'Folha de taxas abertas');
INSERT INTO `lang_definitions` VALUES (94252, 7040, 18, 'Abrir em nova Janela');
INSERT INTO `lang_definitions` VALUES (94253, 7041, 18, 'A Open Med Practice e seus fornecedores usam seus esforços comercialmente razoáveis para fornecer os dados mais atuais e completos disponíveis para eles sobre históricos de prescrição, interações de medicamentos e formulários, alergias de pacientes e outros fatores, mas ao usar este serviço você reconhece que (1) a integridade e precisão de tais dados depende da integridade e precisão com que são inseridos em bancos de dados eletrônicos conectados por médicos, consultórios médicos, gerentes de benefícios farmacêuticos, empresas de registros médicos eletrônicos e outros participantes da rede, (2) tais dados estão sujeitos a erro ou omissão na entrada, armazenamento ou recuperação, transmissão e exibição, interrupção técnica, falta de energia ou serviço, ou outras interrupções na comunicação eletrônica, qualquer uma ou todas as quais podem estar além do controle da Open Med Practice e seus fornecedores, e (3 ) algumas informações podem estar indisponíveis devido a restrições regulatórias, contratuais, de privacidade ou outras legais. Você é responsável por usar seu julgamento clínico em todos os momentos na prestação de serviços e conselhos médicos');
INSERT INTO `lang_definitions` VALUES (94254, 7042, 18, 'Abrir Paciente');
INSERT INTO `lang_definitions` VALUES (94255, 7043, 18, 'Abrir Paciente em nova Janela');
INSERT INTO `lang_definitions` VALUES (94256, 7044, 18, 'Abra os painéis Quick Pick');
INSERT INTO `lang_definitions` VALUES (94257, 7045, 18, 'Abra a janela abreviada e exiba os códigos abreviados');
INSERT INTO `lang_definitions` VALUES (94258, 7046, 18, 'Abra a visita de hoje');
INSERT INTO `lang_definitions` VALUES (94259, 7052, 18, 'Abra / feche o painel de desenho do segmento anterior');
INSERT INTO `lang_definitions` VALUES (94260, 7053, 18, 'Abrir / fechar o painel de Quick Picks de exame do segmento anterior');
INSERT INTO `lang_definitions` VALUES (94261, 7054, 18, 'Abra / feche o painel HPI detalhado');
INSERT INTO `lang_definitions` VALUES (94262, 7055, 18, 'Abra / feche o painel de desenho externo');
INSERT INTO `lang_definitions` VALUES (94263, 7056, 18, 'Abrir / fechar o painel de Quick Picks de exames externos');
INSERT INTO `lang_definitions` VALUES (94264, 7057, 18, 'Abra / feche a tela HPI');
INSERT INTO `lang_definitions` VALUES (94265, 7058, 18, 'Abra / feche o painel de desenho Imp / Plan');
INSERT INTO `lang_definitions` VALUES (94266, 7059, 18, 'Abra / feche o painel Impression / Plan Builder');
INSERT INTO `lang_definitions` VALUES (94267, 7060, 18, 'Abra / feche o painel de desenho Neuro');
INSERT INTO `lang_definitions` VALUES (94268, 7061, 18, 'Abra / feche o painel Neuro Exam Quick Picks');
INSERT INTO `lang_definitions` VALUES (94269, 7062, 18, 'Abra / feche o painel de desenho PMH');
INSERT INTO `lang_definitions` VALUES (94270, 7063, 18, 'Abra / feche o painel de resumo PMSFH');
INSERT INTO `lang_definitions` VALUES (94271, 7064, 18, 'Abra / feche o painel de desenho Retina');
INSERT INTO `lang_definitions` VALUES (94272, 7065, 18, 'Abra / feche o painel Retinal Exam Quick Picks');
INSERT INTO `lang_definitions` VALUES (94273, 7067, 18, 'Abra / feche a janela abreviada e exiba os códigos abreviados');
INSERT INTO `lang_definitions` VALUES (94274, 7068, 18, 'Abra / feche a janela abreviada e exiba os códigos abreviados ao lado de cada campo');
INSERT INTO `lang_definitions` VALUES (94275, 7069, 18, 'OpenEMR');
INSERT INTO `lang_definitions` VALUES (94276, 7070, 18, 'OpenEMR permite um TOTP, mas vários métodos U2F por usuário');
INSERT INTO `lang_definitions` VALUES (94277, 7071, 18, 'OpenEMR já tem uma autoridade de certificação configurada');
INSERT INTO `lang_definitions` VALUES (94278, 7073, 18, 'Aplicativo OpenEMR');
INSERT INTO `lang_definitions` VALUES (94279, 7074, 18, 'Categoria de aplicativo OpenEMR');
INSERT INTO `lang_definitions` VALUES (94280, 7076, 18, 'Atualização do banco de dados OpenEMR');
INSERT INTO `lang_definitions` VALUES (94281, 7077, 18, 'Atualização do banco de dados OpenEMR para desidentificação');
INSERT INTO `lang_definitions` VALUES (94282, 7078, 18, 'OpenEMR não reconhece o arquivo de entrada no diretório contrib. Isso é mais provável porque você precisa configurar a versão na tabela supported_external_dataloads no banco de dados MySQL');
INSERT INTO `lang_definitions` VALUES (94283, 7080, 18, 'OpenEMR deve ser configurado para usar certificados antes de poder criar certificados de cliente');
INSERT INTO `lang_definitions` VALUES (94284, 7081, 18, 'OpenEMR oferece 2 métodos de 2FA');
INSERT INTO `lang_definitions` VALUES (94285, 7082, 18, 'Portal OpenEMR');
INSERT INTO `lang_definitions` VALUES (94286, 7083, 18, 'Registro de produto OpenEMR');
INSERT INTO `lang_definitions` VALUES (94287, 7084, 18, 'OpenEMR requer que o Javascript para realizar a autenticação do usuário.');
INSERT INTO `lang_definitions` VALUES (94288, 7085, 18, 'Usuários OpenEMR');
INSERT INTO `lang_definitions` VALUES (94289, 7086, 18, 'Vagas');
INSERT INTO `lang_definitions` VALUES (94290, 7087, 18, 'Abre no quadro inferior');
INSERT INTO `lang_definitions` VALUES (94291, 7088, 18, 'Abre no quadro superior');
INSERT INTO `lang_definitions` VALUES (94292, 7089, 18, 'Operation Failed');
INSERT INTO `lang_definitions` VALUES (94293, 7090, 18, 'Nota Operativa - 2009');
INSERT INTO `lang_definitions` VALUES (94294, 7091, 18, 'Operador');
INSERT INTO `lang_definitions` VALUES (94295, 7092, 18, 'Oftálmico');
INSERT INTO `lang_definitions` VALUES (94296, 7093, 18, 'Discos óticos');
INSERT INTO `lang_definitions` VALUES (94297, 7094, 18, 'Análise de nervo óptico');
INSERT INTO `lang_definitions` VALUES (94298, 7095, 18, 'Opção');
INSERT INTO `lang_definitions` VALUES (94299, 7097, 18, 'Opção para salvar método de armazenamento de documentos');
INSERT INTO `lang_definitions` VALUES (94300, 7098, 18, 'Opção para apoiar o estoque e vendas de produtos');
INSERT INTO `lang_definitions` VALUES (94301, 7099, 18, 'Opcional');
INSERT INTO `lang_definitions` VALUES (94302, 7100, 18, 'Nome de categoria opcional para uma imagem de cartão de identificação que pode ser visualizada na página de resumo do paciente');
INSERT INTO `lang_definitions` VALUES (94303, 7101, 18, 'Nome de categoria opcional para imagens fotográficas que podem ser visualizadas na página de resumo do paciente');
INSERT INTO `lang_definitions` VALUES (94304, 7102, 18, 'Nome da categoria opcional de um documento para vincular a partir da página de resumo do paciente. Permite clicar no nome de um paciente para ver seu cartão de identificação');
INSERT INTO `lang_definitions` VALUES (94305, 7103, 18, 'Intervalo padrão opcional para entrada manual de resultados');
INSERT INTO `lang_definitions` VALUES (94306, 7104, 18, 'Unidades padrão opcionais para entrada manual de resultados');
INSERT INTO `lang_definitions` VALUES (94307, 7105, 18, 'Nome de destino opcional');
INSERT INTO `lang_definitions` VALUES (94308, 7107, 18, 'Nome do medicamento opcional, use% como curinga');
INSERT INTO `lang_definitions` VALUES (94309, 7108, 18, 'Data de término opcional');
INSERT INTO `lang_definitions` VALUES (94310, 7109, 18, 'Data de término opcional mm / dd / aaaa');
INSERT INTO `lang_definitions` VALUES (94311, 7110, 18, 'Nome ou código de imunização opcional, use% como curinga');
INSERT INTO `lang_definitions` VALUES (94312, 7111, 18, 'Opcional informações sobre este evento');
INSERT INTO `lang_definitions` VALUES (94313, 7112, 18, 'Número de lote, opcional, use% como curinga');
INSERT INTO `lang_definitions` VALUES (94314, 7113, 18, 'Paciente numérico opcional ID');
INSERT INTO `lang_definitions` VALUES (94315, 7114, 18, 'Código Procedimento');
INSERT INTO `lang_definitions` VALUES (94316, 7115, 18, 'Procedimento opcional / código de serviço');
INSERT INTO `lang_definitions` VALUES (94317, 7116, 18, 'Opções');
INSERT INTO `lang_definitions` VALUES (94318, 7117, 18, 'Ou');
INSERT INTO `lang_definitions` VALUES (94319, 7118, 18, 'Ou');
INSERT INTO `lang_definitions` VALUES (94320, 7119, 18, 'ou escolha');
INSERT INTO `lang_definitions` VALUES (94321, 7120, 18, 'ou clique e arraste para uma seleção mais rápida');
INSERT INTO `lang_definitions` VALUES (94322, 7121, 18, 'Ou crie este novo ID de campo');
INSERT INTO `lang_definitions` VALUES (94323, 7122, 18, 'Ou para fora ao');
INSERT INTO `lang_definitions` VALUES (94324, 7123, 18, 'ou selecione do inventário');
INSERT INTO `lang_definitions` VALUES (94325, 7124, 18, 'ou clique com a tecla Shift pressionada para diminuir');
INSERT INTO `lang_definitions` VALUES (94326, 7125, 18, 'ERA ou o arquivo de upload:');
INSERT INTO `lang_definitions` VALUES (94327, 7126, 18, 'ou utilizar o Criador de impressão / plano');
INSERT INTO `lang_definitions` VALUES (94328, 7127, 18, 'Oral');
INSERT INTO `lang_definitions` VALUES (94329, 7128, 18, 'Mucosa Oral-de-rosa, a garganta clara');
INSERT INTO `lang_definitions` VALUES (94330, 7129, 18, 'Pedido');
INSERT INTO `lang_definitions` VALUES (94331, 7130, 18, 'Ordem - A ordem em que o item será exibido - incrementar em 10 permitirá que até 9 valores sejam inseridos no meio, se desejado em uma data posterior');
INSERT INTO `lang_definitions` VALUES (94332, 7131, 18, 'Tipos de pedido e resultado');
INSERT INTO `lang_definitions` VALUES (94333, 7132, 18, 'Catálogo de Pedidos');
INSERT INTO `lang_definitions` VALUES (94334, 7133, 18, 'Data do Pedido');
INSERT INTO `lang_definitions` VALUES (94335, 7134, 18, 'Descrições de pedidos');
INSERT INTO `lang_definitions` VALUES (94336, 7136, 18, 'Pedido de');
INSERT INTO `lang_definitions` VALUES (94337, 7137, 18, 'ID do pedido');
INSERT INTO `lang_definitions` VALUES (94338, 7138, 18, 'Ordem deve ser um número entre 1 e 999');
INSERT INTO `lang_definitions` VALUES (94339, 7139, 18, 'O pedido deve ser um número entre 1 e 9999');
INSERT INTO `lang_definitions` VALUES (94340, 7140, 18, 'Nome do Pedido');
INSERT INTO `lang_definitions` VALUES (94341, 7141, 18, 'Notas de pedidos');
INSERT INTO `lang_definitions` VALUES (94342, 7142, 18, 'Prioridades de pedidos');
INSERT INTO `lang_definitions` VALUES (94343, 7143, 18, 'Processador de Pedidos');
INSERT INTO `lang_definitions` VALUES (94344, 7144, 18, 'Perguntas sobre pedidos');
INSERT INTO `lang_definitions` VALUES (94345, 7145, 18, 'Resultados do pedido');
INSERT INTO `lang_definitions` VALUES (94346, 7146, 18, 'Status do pedido');
INSERT INTO `lang_definitions` VALUES (94347, 7147, 18, 'Status do pedido');
INSERT INTO `lang_definitions` VALUES (94348, 7148, 18, 'resumo do pedido');
INSERT INTO `lang_definitions` VALUES (94349, 7149, 18, 'Trilhas de pedidos');
INSERT INTO `lang_definitions` VALUES (94350, 7150, 18, 'Tipo de Pedido');
INSERT INTO `lang_definitions` VALUES (94351, 7151, 18, 'Tipos de pedido');
INSERT INTO `lang_definitions` VALUES (94352, 7152, 18, 'Tipo de Pedido / Resultado');
INSERT INTO `lang_definitions` VALUES (94353, 7153, 18, 'Encomendado');
INSERT INTO `lang_definitions` VALUES (94354, 7154, 18, 'Ordenado por');
INSERT INTO `lang_definitions` VALUES (94355, 7155, 18, 'Procedimeto autorizado');
INSERT INTO `lang_definitions` VALUES (94356, 7157, 18, 'Solicitar um painel de testes reconhecido');
INSERT INTO `lang_definitions` VALUES (94357, 7158, 18, 'Médico solicitante');
INSERT INTO `lang_definitions` VALUES (94358, 7159, 18, 'Solicitante');
INSERT INTO `lang_definitions` VALUES (94359, 7160, 18, 'Solicitar testes individualmente pode ser entediante e há duas maneiras de solicitar vários testes juntos');
INSERT INTO `lang_definitions` VALUES (94360, 7161, 18, 'Pedidos');
INSERT INTO `lang_definitions` VALUES (94361, 7162, 18, 'Pedidos e resultados são configurados de maneira hierárquica, existem quatro níveis nesta hierarquia');
INSERT INTO `lang_definitions` VALUES (94362, 7163, 18, 'Caminho de Pedidos');
INSERT INTO `lang_definitions` VALUES (94363, 7164, 18, 'Caminho de pedidos - é necessário apenas se você estiver enviando um pedido eletrônico para uma instalação externa');
INSERT INTO `lang_definitions` VALUES (94364, 7166, 18, 'Lesões de órgãos');
INSERT INTO `lang_definitions` VALUES (94365, 7167, 18, 'Pessoa Jurídica');
INSERT INTO `lang_definitions` VALUES (94366, 7168, 18, 'Nome da organização');
INSERT INTO `lang_definitions` VALUES (94367, 7169, 18, 'Nome da Unidade Organizacional');
INSERT INTO `lang_definitions` VALUES (94368, 7170, 18, 'Pessoas Jurídicas');
INSERT INTO `lang_definitions` VALUES (94369, 7171, 18, 'Orientado x 3');
INSERT INTO `lang_definitions` VALUES (94370, 7172, 18, 'TPP orientado {{orientado para pessoa e lugar}}');
INSERT INTO `lang_definitions` VALUES (94371, 7175, 18, 'Original');
INSERT INTO `lang_definitions` VALUES (94372, 7176, 18, 'Soma de Verificação Original');
INSERT INTO `lang_definitions` VALUES (94373, 7177, 18, 'Arquivo original');
INSERT INTO `lang_definitions` VALUES (94374, 7178, 18, 'Erro de exclusão do arquivo original');
INSERT INTO `lang_definitions` VALUES (94375, 7179, 18, 'Oriya');
INSERT INTO `lang_definitions` VALUES (94376, 7180, 18, 'Oromo');
INSERT INTO `lang_definitions` VALUES (94377, 7181, 18, 'Orofaringe:');
INSERT INTO `lang_definitions` VALUES (94378, 7182, 18, 'Ortofórico');
INSERT INTO `lang_definitions` VALUES (94379, 7183, 18, 'Ortofórico');
INSERT INTO `lang_definitions` VALUES (94380, 7184, 18, 'Ortopnéia');
INSERT INTO `lang_definitions` VALUES (94381, 7185, 18, 'ORTHO {{Ortopedia}}');
INSERT INTO `lang_definitions` VALUES (94382, 7186, 18, 'Ortho{{ortofórico}}');
INSERT INTO `lang_definitions` VALUES (94383, 7187, 18, 'OR {{como em AND / OR, ou seja, não é uma abreviatura}}');
INSERT INTO `lang_definitions` VALUES (94384, 7188, 18, 'OS');
INSERT INTO `lang_definitions` VALUES (94385, 7189, 18, 'Osetoarthritis');
INSERT INTO `lang_definitions` VALUES (94386, 7190, 18, 'Ossétia, Ossética');
INSERT INTO `lang_definitions` VALUES (94387, 7191, 18, 'Osteopatia');
INSERT INTO `lang_definitions` VALUES (94388, 7192, 18, 'OS {{olho esquerdo}}');
INSERT INTO `lang_definitions` VALUES (94389, 7193, 18, 'Outro');
INSERT INTO `lang_definitions` VALUES (94390, 7194, 18, 'outro');
INSERT INTO `lang_definitions` VALUES (94391, 7195, 18, 'OUTROS');
INSERT INTO `lang_definitions` VALUES (94392, 7196, 18, 'Outro (especificar)');
INSERT INTO `lang_definitions` VALUES (94393, 7197, 18, 'Outros - lista os itens não cobertos nas seções acima');
INSERT INTO `lang_definitions` VALUES (94394, 7198, 18, 'Outro - Especificado');
INSERT INTO `lang_definitions` VALUES (94395, 7199, 18, 'Outro adulto');
INSERT INTO `lang_definitions` VALUES (94396, 7200, 18, 'Other Documents');
INSERT INTO `lang_definitions` VALUES (94397, 7201, 18, 'Outros Programas Governamentais');
INSERT INTO `lang_definitions` VALUES (94398, 7202, 18, 'HCFA Outros');
INSERT INTO `lang_definitions` VALUES (94399, 7203, 18, 'Outros danos não especificados');
INSERT INTO `lang_definitions` VALUES (94400, 7204, 18, 'Outro seguro de responsabilidade é primário');
INSERT INTO `lang_definitions` VALUES (94401, 7205, 18, 'Outros Logs');
INSERT INTO `lang_definitions` VALUES (94402, 7206, 18, 'outro mês');
INSERT INTO `lang_definitions` VALUES (94403, 7207, 18, 'Outros Programas não Governamentais');
INSERT INTO `lang_definitions` VALUES (94404, 7208, 18, 'Outras Notas');
INSERT INTO `lang_definitions` VALUES (94405, 7209, 18, 'Outros sintomas Pertinente');
INSERT INTO `lang_definitions` VALUES (94406, 7210, 18, 'Outros sintomas pertinentes:');
INSERT INTO `lang_definitions` VALUES (94407, 7211, 18, 'Outro local de serviço');
INSERT INTO `lang_definitions` VALUES (94408, 7212, 18, 'Outro Provedor');
INSERT INTO `lang_definitions` VALUES (94409, 7213, 18, 'Outro pt resp');
INSERT INTO `lang_definitions` VALUES (94410, 7214, 18, 'Outro Registro');
INSERT INTO `lang_definitions` VALUES (94411, 7215, 18, 'Outros stress / Mais de utilização de prejuízo');
INSERT INTO `lang_definitions` VALUES (94412, 7216, 18, 'Cirúrgicos Outros');
INSERT INTO `lang_definitions` VALUES (94413, 7217, 18, 'Outros / Generic relacionadas ao aborto');
INSERT INTO `lang_definitions` VALUES (94414, 7218, 18, 'Outros / Diversos');
INSERT INTO `lang_definitions` VALUES (94415, 7219, 18, 'Outros');
INSERT INTO `lang_definitions` VALUES (94416, 7220, 18, 'Também conhecidos como lembretes datados são mensagens curtas de até 160 caracteres');
INSERT INTO `lang_definitions` VALUES (94417, 7221, 18, 'caso contrário, você irá destruir as referências para / de dados existentes.');
INSERT INTO `lang_definitions` VALUES (94418, 7222, 18, 'OTP pode ser entregue por vários métodos');
INSERT INTO `lang_definitions` VALUES (94419, 7223, 18, 'O OTP pode ser gerado usando a sincronização de tempo onde o tempo atual é combinado com uma chave secreta e hashed para gerar o OTP ou usando algoritmos matemáticos onde uma semente inicial (um número aleatório) é combinada com a senha usada anteriormente para gerar o OTP');
INSERT INTO `lang_definitions` VALUES (94420, 7224, 18, 'Otava Ankle Regras');
INSERT INTO `lang_definitions` VALUES (94421, 7225, 18, 'OU');
INSERT INTO `lang_definitions` VALUES (94422, 7226, 18, 'Nosso Fora Para');
INSERT INTO `lang_definitions` VALUES (94423, 7227, 18, 'OUT');
INSERT INTO `lang_definitions` VALUES (94424, 7228, 18, 'Out Of Office');
INSERT INTO `lang_definitions` VALUES (94425, 7229, 18, 'tempo fora');
INSERT INTO `lang_definitions` VALUES (94426, 7230, 18, 'Referência de saída');
INSERT INTO `lang_definitions` VALUES (94427, 7231, 18, 'Resultado');
INSERT INTO `lang_definitions` VALUES (94428, 7232, 18, 'Estrutura de dados Col');
INSERT INTO `lang_definitions` VALUES (94429, 7233, 18, 'Contornar toda a linha');
INSERT INTO `lang_definitions` VALUES (94430, 7234, 18, 'Outlook');
INSERT INTO `lang_definitions` VALUES (94431, 7235, 18, 'Outpatient Hospital');
INSERT INTO `lang_definitions` VALUES (94432, 7236, 18, 'Tipo de saída');
INSERT INTO `lang_definitions` VALUES (94433, 7237, 18, 'OU {{ambos os olhos}}');
INSERT INTO `lang_definitions` VALUES (94434, 7238, 18, 'Sobre');
INSERT INTO `lang_definitions` VALUES (94435, 7239, 18, 'Status geral de alta');
INSERT INTO `lang_definitions` VALUES (94436, 7240, 18, 'VENCIDO');
INSERT INTO `lang_definitions` VALUES (94437, 7241, 18, 'Sobrepor CMS 1500 no formulário pré-impresso');
INSERT INTO `lang_definitions` VALUES (94438, 7242, 18, 'Substitua (se necessário) o limite de exibição de compromisso para permitir que todos os compromissos sejam exibidos para o último conjunto');
INSERT INTO `lang_definitions` VALUES (94439, 7243, 18, 'Substituir escolha HIPAA');
INSERT INTO `lang_definitions` VALUES (94440, 7244, 18, 'O uso excessivo');
INSERT INTO `lang_definitions` VALUES (94441, 7245, 18, 'visão global');
INSERT INTO `lang_definitions` VALUES (94442, 7246, 18, 'Sobrepeso');
INSERT INTO `lang_definitions` VALUES (94443, 7247, 18, 'Substituir escolha HIPAA');
INSERT INTO `lang_definitions` VALUES (94444, 7248, 18, 'Proprietário');
INSERT INTO `lang_definitions` VALUES (94445, 7249, 18, 'Saturação de Oxigênio');
INSERT INTO `lang_definitions` VALUES (94446, 7250, 18, 'onça');
INSERT INTO `lang_definitions` VALUES (94447, 7251, 18, 'P');
INSERT INTO `lang_definitions` VALUES (94448, 7252, 18, 'P.C.');
INSERT INTO `lang_definitions` VALUES (94449, 7253, 18, 'p.m.');
INSERT INTO `lang_definitions` VALUES (94450, 7254, 18, 'P.R.N.');
INSERT INTO `lang_definitions` VALUES (94451, 7255, 18, 'Paquimetria');
INSERT INTO `lang_definitions` VALUES (94452, 7256, 18, 'Paquimetria: Espessura Corneal Central');
INSERT INTO `lang_definitions` VALUES (94453, 7257, 18, 'Paquimetria {{Paquimetria}}');
INSERT INTO `lang_definitions` VALUES (94454, 7258, 18, 'ilhéu do Pacífico');
INSERT INTO `lang_definitions` VALUES (94455, 7259, 18, 'Pediátricos');
INSERT INTO `lang_definitions` VALUES (94456, 7260, 18, 'Página');
INSERT INTO `lang_definitions` VALUES (94457, 7262, 18, 'Validação de página');
INSERT INTO `lang_definitions` VALUES (94458, 7263, 18, 'Páginas');
INSERT INTO `lang_definitions` VALUES (94459, 7264, 18, 'Pago');
INSERT INTO `lang_definitions` VALUES (94460, 7265, 18, 'Montante pago que você vai alocar');
INSERT INTO `lang_definitions` VALUES (94461, 7266, 18, 'Quantia paga');
INSERT INTO `lang_definitions` VALUES (94462, 7267, 18, 'Forma de Pagamento');
INSERT INTO `lang_definitions` VALUES (94463, 7268, 18, 'Dor');
INSERT INTO `lang_definitions` VALUES (94464, 7269, 18, 'Pali');
INSERT INTO `lang_definitions` VALUES (94465, 7270, 18, 'Médico de cuidados paliatívos');
INSERT INTO `lang_definitions` VALUES (94466, 7271, 18, 'Palpitações');
INSERT INTO `lang_definitions` VALUES (94467, 7272, 18, 'PAM {{Medidor de acuidade potencial}}');
INSERT INTO `lang_definitions` VALUES (94468, 7273, 18, 'Pan');
INSERT INTO `lang_definitions` VALUES (94469, 7274, 18, 'Panjabi, Punjabi');
INSERT INTO `lang_definitions` VALUES (94470, 7275, 18, 'Papanicolau');
INSERT INTO `lang_definitions` VALUES (94471, 7276, 18, 'Papel');
INSERT INTO `lang_definitions` VALUES (94472, 7277, 18, 'Tamanho do papel');
INSERT INTO `lang_definitions` VALUES (94473, 7278, 18, 'Paralisia');
INSERT INTO `lang_definitions` VALUES (94474, 7279, 18, 'pai');
INSERT INTO `lang_definitions` VALUES (94475, 7280, 18, 'sogro');
INSERT INTO `lang_definitions` VALUES (94476, 7281, 18, 'Chamada dos pais');
INSERT INTO `lang_definitions` VALUES (94477, 7282, 18, 'Registro escrito pelos pais');
INSERT INTO `lang_definitions` VALUES (94478, 7283, 18, 'Parental decision');
INSERT INTO `lang_definitions` VALUES (94479, 7284, 18, 'Parse HL7');
INSERT INTO `lang_definitions` VALUES (94480, 7285, 18, 'Parcialmente administrado');
INSERT INTO `lang_definitions` VALUES (94481, 7286, 18, 'Nome do participante');
INSERT INTO `lang_definitions` VALUES (94482, 7287, 18, 'participantes');
INSERT INTO `lang_definitions` VALUES (94483, 7288, 18, 'participantes');
INSERT INTO `lang_definitions` VALUES (94484, 7289, 18, 'Partner');
INSERT INTO `lang_definitions` VALUES (94485, 7290, 18, 'Nome do parceiro');
INSERT INTO `lang_definitions` VALUES (94486, 7291, 18, 'Nome do parceiro emitido para o serviço NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (94487, 7292, 18, 'Parceiro não configurado');
INSERT INTO `lang_definitions` VALUES (94488, 7293, 18, 'Pashto, pachto');
INSERT INTO `lang_definitions` VALUES (94489, 7294, 18, 'Senha');
INSERT INTO `lang_definitions` VALUES (94490, 7295, 18, 'Frase secreta para descriptografar o documento');
INSERT INTO `lang_definitions` VALUES (94491, 7296, 18, 'Pacientes Aprovados');
INSERT INTO `lang_definitions` VALUES (94492, 7297, 18, 'Alerta Passivo');
INSERT INTO `lang_definitions` VALUES (94493, 7298, 18, 'Alerta passivo - que será exibido na seção do widget Lembretes clínicos');
INSERT INTO `lang_definitions` VALUES (94494, 7299, 18, 'Regras de alerta passivo');
INSERT INTO `lang_definitions` VALUES (94495, 7300, 18, 'senha');
INSERT INTO `lang_definitions` VALUES (94496, 7301, 18, 'Senha');
INSERT INTO `lang_definitions` VALUES (94497, 7302, 18, 'Alterar Senha');
INSERT INTO `lang_definitions` VALUES (94498, 7303, 18, 'Password change successful');
INSERT INTO `lang_definitions` VALUES (94499, 7304, 18, 'Mudança de senha bem sucedida.');
INSERT INTO `lang_definitions` VALUES (94500, 7306, 18, 'A senha não atende aos requisitos mínimos e deve conter pelo menos três dos quatro itens a seguir: um número, uma letra minúscula, uma letra maiúscula, um caractere especial (não uma letra ou número)');
INSERT INTO `lang_definitions` VALUES (94501, 7308, 18, 'Período de carência para expiração de senha');
INSERT INTO `lang_definitions` VALUES (94502, 7309, 18, 'Senha para gateway de telefone');
INSERT INTO `lang_definitions` VALUES (94503, 7310, 18, 'Senha para gateway de telefone. Serviço VOIP automatizado fornecido pela Maviq. Por favor visite http://signup.maviq.com para obter mais informações');
INSERT INTO `lang_definitions` VALUES (94504, 7311, 18, 'Senha para o SMS Gateway');
INSERT INTO `lang_definitions` VALUES (94505, 7312, 18, 'Senha para SMS Gateway');
INSERT INTO `lang_definitions` VALUES (94506, 7313, 18, 'Senha para o usuário acima');
INSERT INTO `lang_definitions` VALUES (94507, 7314, 18, 'A segurança da senha foi atualizada recentemente');
INSERT INTO `lang_definitions` VALUES (94508, 7315, 18, 'Senha para conectar ao CouchDB');
INSERT INTO `lang_definitions` VALUES (94509, 7316, 18, 'Senha muito curta. São necessários 8 caracteres no mínimo');
INSERT INTO `lang_definitions` VALUES (94510, 7319, 18, 'Senha:');
INSERT INTO `lang_definitions` VALUES (94511, 7320, 18, 'As senhas não coincidem');
INSERT INTO `lang_definitions` VALUES (94512, 7321, 18, 'As senhas não coincidem');
INSERT INTO `lang_definitions` VALUES (94513, 7322, 18, 'As senhas Não coincidem!');
INSERT INTO `lang_definitions` VALUES (94514, 7323, 18, 'As senhas devem ter de 8 a 12 caracteres e incluir uma letra maiúscula, uma letra minúscula e um caractere especial');
INSERT INTO `lang_definitions` VALUES (94515, 7324, 18, 'Compromissos anteriores');
INSERT INTO `lang_definitions` VALUES (94516, 7325, 18, 'Widget de exibição de compromissos anteriores');
INSERT INTO `lang_definitions` VALUES (94517, 7326, 18, 'Compromissos anteriores');
INSERT INTO `lang_definitions` VALUES (94518, 7327, 18, 'Compromissos anteriores - mostrará todos os compromissos anteriores');
INSERT INTO `lang_definitions` VALUES (94519, 7328, 18, 'Data Anterior');
INSERT INTO `lang_definitions` VALUES (94520, 7329, 18, 'Vencido');
INSERT INTO `lang_definitions` VALUES (94521, 7330, 18, 'Vencido');
INSERT INTO `lang_definitions` VALUES (94522, 7331, 18, 'Intervalo de Vencimento - Lembrete Clínico');
INSERT INTO `lang_definitions` VALUES (94523, 7332, 18, 'Intervalo de Vencimento - Lembrete Paciente');
INSERT INTO `lang_definitions` VALUES (94524, 7333, 18, 'Lista de encontros anteriores');
INSERT INTO `lang_definitions` VALUES (94525, 7334, 18, 'Consultas passadas');
INSERT INTO `lang_definitions` VALUES (94526, 7335, 18, 'Consultas Passadas e Documentos');
INSERT INTO `lang_definitions` VALUES (94527, 7336, 18, 'Encontros anteriores para');
INSERT INTO `lang_definitions` VALUES (94528, 7337, 18, 'Histórico médico passado');
INSERT INTO `lang_definitions` VALUES (94529, 7338, 18, 'Reuniões anteriores');
INSERT INTO `lang_definitions` VALUES (94530, 7339, 18, 'Histórico Ocular passado');
INSERT INTO `lang_definitions` VALUES (94531, 7340, 18, 'Cirurgia ocular anterior');
INSERT INTO `lang_definitions` VALUES (94532, 7341, 18, 'Histórico Cirúrgico passado');
INSERT INTO `lang_definitions` VALUES (94533, 7342, 18, 'Encontros de grupos de terapia anteriores');
INSERT INTO `lang_definitions` VALUES (94534, 7343, 18, 'Ano passado');
INSERT INTO `lang_definitions` VALUES (94535, 7344, 18, 'Colar HL7 Dados');
INSERT INTO `lang_definitions` VALUES (94536, 7345, 18, 'Cole os dados da importação para a área de texto abaixo:');
INSERT INTO `lang_definitions` VALUES (94537, 7346, 18, 'paciente');
INSERT INTO `lang_definitions` VALUES (94538, 7347, 18, 'registro do paciente');
INSERT INTO `lang_definitions` VALUES (94539, 7348, 18, 'Patch');
INSERT INTO `lang_definitions` VALUES (94540, 7350, 18, 'Tia paterna');
INSERT INTO `lang_definitions` VALUES (94541, 7351, 18, 'Prima paterna');
INSERT INTO `lang_definitions` VALUES (94542, 7352, 18, 'Avô paterno');
INSERT INTO `lang_definitions` VALUES (94543, 7353, 18, 'Bisavô paterno');
INSERT INTO `lang_definitions` VALUES (94544, 7354, 18, 'Tio paterno');
INSERT INTO `lang_definitions` VALUES (94545, 7355, 18, 'Caminho para backup do log de eventos');
INSERT INTO `lang_definitions` VALUES (94546, 7356, 18, 'Caminho para o arquivo de certificado CA');
INSERT INTO `lang_definitions` VALUES (94547, 7357, 18, 'Caminho para o arquivo de chave CA');
INSERT INTO `lang_definitions` VALUES (94548, 7358, 18, 'Caminho para binários do MySQL');
INSERT INTO `lang_definitions` VALUES (94549, 7359, 18, 'Caminho para binários Perl');
INSERT INTO `lang_definitions` VALUES (94550, 7360, 18, 'Caminho para arquivos temporários');
INSERT INTO `lang_definitions` VALUES (94551, 7361, 18, 'Paciente');
INSERT INTO `lang_definitions` VALUES (94552, 7362, 18, 'PACIENTE');
INSERT INTO `lang_definitions` VALUES (94553, 7363, 18, 'paciente');
INSERT INTO `lang_definitions` VALUES (94554, 7364, 18, 'Acesso do Paciente');
INSERT INTO `lang_definitions` VALUES (94555, 7365, 18, 'Endereço do paciente');
INSERT INTO `lang_definitions` VALUES (94556, 7366, 18, 'Falta o Endereço do paciente');
INSERT INTO `lang_definitions` VALUES (94557, 7367, 18, 'Adj do Patient');
INSERT INTO `lang_definitions` VALUES (94558, 7368, 18, 'Ajuste do paciente');
INSERT INTO `lang_definitions` VALUES (94559, 7369, 18, 'Paciente alergias');
INSERT INTO `lang_definitions` VALUES (94560, 7370, 18, 'Paciente Alergias');
INSERT INTO `lang_definitions` VALUES (94561, 7371, 18, 'Paciente já em forma');
INSERT INTO `lang_definitions` VALUES (94562, 7372, 18, 'Informações do paciente e do segurado - Caixas 1 a 13 e Informações do médico ou do fornecedor - Caixas 14 a 33');
INSERT INTO `lang_definitions` VALUES (94563, 7373, 18, 'Nomeação do Paciente');
INSERT INTO `lang_definitions` VALUES (94564, 7374, 18, 'Valor');
INSERT INTO `lang_definitions` VALUES (94565, 7375, 18, 'Saldo Devedor');
INSERT INTO `lang_definitions` VALUES (94566, 7376, 18, 'Nota de Faturamento');
INSERT INTO `lang_definitions` VALUES (94567, 7377, 18, 'O alerta de aniversário do paciente requer desligamento');
INSERT INTO `lang_definitions` VALUES (94568, 7378, 18, 'Características do Paciente');
INSERT INTO `lang_definitions` VALUES (94569, 7379, 18, 'Prontuário ID');
INSERT INTO `lang_definitions` VALUES (94570, 7380, 18, 'Chat do Paciente');
INSERT INTO `lang_definitions` VALUES (94571, 7381, 18, 'Custos do Paciente');
INSERT INTO `lang_definitions` VALUES (94572, 7382, 18, 'Saída do Paciente para');
INSERT INTO `lang_definitions` VALUES (94573, 7383, 18, 'Cidade do Paciente');
INSERT INTO `lang_definitions` VALUES (94574, 7384, 18, 'Falta a cidade do paciente');
INSERT INTO `lang_definitions` VALUES (94575, 7385, 18, 'Falta a cidade do paciente');
INSERT INTO `lang_definitions` VALUES (94576, 7386, 18, 'Paciente Comunicação enviado');
INSERT INTO `lang_definitions` VALUES (94577, 7387, 18, 'Paciente Comunication Enviados');
INSERT INTO `lang_definitions` VALUES (94578, 7388, 18, 'País do Paciente');
INSERT INTO `lang_definitions` VALUES (94579, 7389, 18, 'Falta o país do paciente. Além disso, você não definiu o país do paciente padrão nas configurações globais');
INSERT INTO `lang_definitions` VALUES (94580, 7390, 18, 'Tipo de Cobertura');
INSERT INTO `lang_definitions` VALUES (94581, 7391, 18, 'Reinicialização das credenciais do paciente');
INSERT INTO `lang_definitions` VALUES (94582, 7392, 18, 'Créditos do paciente');
INSERT INTO `lang_definitions` VALUES (94583, 7393, 18, 'Painel do Paciente');
INSERT INTO `lang_definitions` VALUES (94584, 7394, 18, 'Dados do paciente');
INSERT INTO `lang_definitions` VALUES (94585, 7395, 18, 'Data de Aniversário do Paciente');
INSERT INTO `lang_definitions` VALUES (94586, 7396, 18, 'Falta a data de nascimento do Paciente');
INSERT INTO `lang_definitions` VALUES (94587, 7397, 18, 'Decisão do Paciente');
INSERT INTO `lang_definitions` VALUES (94588, 7398, 18, 'Padrão do Paciente');
INSERT INTO `lang_definitions` VALUES (94589, 7399, 18, 'Dados Demográficos do Paciente');
INSERT INTO `lang_definitions` VALUES (94590, 7400, 18, 'Dados do paciente');
INSERT INTO `lang_definitions` VALUES (94591, 7401, 18, 'Detalhes do Paciente');
INSERT INTO `lang_definitions` VALUES (94592, 7402, 18, 'DOB do Paciente');
INSERT INTO `lang_definitions` VALUES (94593, 7403, 18, 'Falta o DOB do Paciente');
INSERT INTO `lang_definitions` VALUES (94594, 7404, 18, 'Documento do paciente');
INSERT INTO `lang_definitions` VALUES (94595, 7407, 18, 'Upload do modelo do documento do paciente');
INSERT INTO `lang_definitions` VALUES (94596, 7408, 18, 'Modelos do documento do paciente');
INSERT INTO `lang_definitions` VALUES (94597, 7409, 18, 'Documentos do Paciente');
INSERT INTO `lang_definitions` VALUES (94598, 7410, 18, 'Educação do paciente');
INSERT INTO `lang_definitions` VALUES (94599, 7411, 18, 'Materiais de educação do paciente');
INSERT INTO `lang_definitions` VALUES (94600, 7412, 18, 'Consulta do Paciente');
INSERT INTO `lang_definitions` VALUES (94601, 7413, 18, 'Formulário de Consulta do Paciente');
INSERT INTO `lang_definitions` VALUES (94602, 7414, 18, 'Consultas do Paciente');
INSERT INTO `lang_definitions` VALUES (94603, 7415, 18, 'Localizar Paciente');
INSERT INTO `lang_definitions` VALUES (94604, 7416, 18, 'Tela de Localização de Pacientes');
INSERT INTO `lang_definitions` VALUES (94605, 7417, 18, 'Primeiro nome do paciente');
INSERT INTO `lang_definitions` VALUES (94606, 7418, 18, 'Primeiro nome do Paciente');
INSERT INTO `lang_definitions` VALUES (94607, 7419, 18, 'Falta o primeiro nome do Paciente');
INSERT INTO `lang_definitions` VALUES (94608, 7420, 18, 'Flow Board do Paciente');
INSERT INTO `lang_definitions` VALUES (94609, 7421, 18, 'Relatório do Paciente');
INSERT INTO `lang_definitions` VALUES (94610, 7422, 18, 'Salas do quadro de fluxo do paciente');
INSERT INTO `lang_definitions` VALUES (94611, 7423, 18, 'Intervalo do temporizador do quadro de fluxo do paciente');
INSERT INTO `lang_definitions` VALUES (94612, 7424, 18, 'Gênero do Paciente');
INSERT INTO `lang_definitions` VALUES (94613, 7425, 18, 'Falta o Gênero do Paciente');
INSERT INTO `lang_definitions` VALUES (94614, 7426, 18, 'Paciente não autorizado a utilizar o Portal');
INSERT INTO `lang_definitions` VALUES (94615, 7428, 18, 'Histórico do Paciente');
INSERT INTO `lang_definitions` VALUES (94616, 7429, 18, 'Histórico do Paciente / Hábitos');
INSERT INTO `lang_definitions` VALUES (94617, 7430, 18, 'Telefone residencial do paciente');
INSERT INTO `lang_definitions` VALUES (94618, 7431, 18, 'ID do Paciente');
INSERT INTO `lang_definitions` VALUES (94619, 7432, 18, 'Identificação do Paciente');
INSERT INTO `lang_definitions` VALUES (94620, 7433, 18, 'Cartão de Identificação do Paciente');
INSERT INTO `lang_definitions` VALUES (94621, 7434, 18, 'Identificação do Paciente categorizado por Nome');
INSERT INTO `lang_definitions` VALUES (94622, 7435, 18, 'Informações de identificação do paciente');
INSERT INTO `lang_definitions` VALUES (94623, 7436, 18, 'Imagens de Pacientes');
INSERT INTO `lang_definitions` VALUES (94624, 7437, 18, 'Vacinação do Paciente');
INSERT INTO `lang_definitions` VALUES (94625, 7438, 18, 'Informação do Paciente');
INSERT INTO `lang_definitions` VALUES (94626, 7439, 18, 'Informações do paciente (pacientes)');
INSERT INTO `lang_definitions` VALUES (94627, 7440, 18, 'Instruções ao Paciente');
INSERT INTO `lang_definitions` VALUES (94628, 7441, 18, 'A distribuição dos pacientes de Seguros');
INSERT INTO `lang_definitions` VALUES (94629, 7442, 18, 'A distribuição dos pacientes Insurance Report');
INSERT INTO `lang_definitions` VALUES (94630, 7443, 18, 'Seguro do paciente / informações financeiras');
INSERT INTO `lang_definitions` VALUES (94631, 7444, 18, 'O paciente é obrigado a inserir seu e-mail de contato, se presente em Contato Demográfico');
INSERT INTO `lang_definitions` VALUES (94632, 7445, 18, 'Questões do Paciente');
INSERT INTO `lang_definitions` VALUES (94633, 7446, 18, 'Tipo de rótulo do paciente');
INSERT INTO `lang_definitions` VALUES (94634, 7447, 18, 'Último nome do Paciente');
INSERT INTO `lang_definitions` VALUES (94635, 7448, 18, 'Último Nome do Paciente');
INSERT INTO `lang_definitions` VALUES (94636, 7449, 18, 'Falta o último nome do Paciente');
INSERT INTO `lang_definitions` VALUES (94637, 7450, 18, 'Orçamento do Paciente');
INSERT INTO `lang_definitions` VALUES (94638, 7451, 18, 'Orçamento do paciente por data');
INSERT INTO `lang_definitions` VALUES (94639, 7452, 18, 'Ajuda do Razão do Paciente');
INSERT INTO `lang_definitions` VALUES (94640, 7453, 18, 'Nota de faturamento no nível do paciente (cobranças)');
INSERT INTO `lang_definitions` VALUES (94641, 7454, 18, 'Lista de pacientes');
INSERT INTO `lang_definitions` VALUES (94642, 7455, 18, 'Lista de pacientes');
INSERT INTO `lang_definitions` VALUES (94643, 7456, 18, 'Lista de criação de Pacientes');
INSERT INTO `lang_definitions` VALUES (94644, 7457, 18, 'Nova janela da lista de pacientes');
INSERT INTO `lang_definitions` VALUES (94645, 7458, 18, 'Tamanho da página da lista de pacientes');
INSERT INTO `lang_definitions` VALUES (94646, 7460, 18, 'Erros de pesquisa de paciente');
INSERT INTO `lang_definitions` VALUES (94647, 7461, 18, 'Correio do paciente');
INSERT INTO `lang_definitions` VALUES (94648, 7462, 18, 'O paciente pode alterar seu login na caixa de diálogo de login do portal');
INSERT INTO `lang_definitions` VALUES (94649, 7463, 18, 'Diagnóstico do Paciente');
INSERT INTO `lang_definitions` VALUES (94650, 7464, 18, 'Paciente Medications');
INSERT INTO `lang_definitions` VALUES (94651, 7465, 18, 'Função do menu do paciente');
INSERT INTO `lang_definitions` VALUES (94652, 7466, 18, 'Mensagem do Paciente');
INSERT INTO `lang_definitions` VALUES (94653, 7467, 18, 'Mensagens do Paciente');
INSERT INTO `lang_definitions` VALUES (94654, 7468, 18, 'Mensagem do Paciente');
INSERT INTO `lang_definitions` VALUES (94655, 7469, 18, 'O paciente deve ser definido manualmente');
INSERT INTO `lang_definitions` VALUES (94656, 7470, 18, 'Nome do Paciente');
INSERT INTO `lang_definitions` VALUES (94657, 7471, 18, 'Nome do paciente');
INSERT INTO `lang_definitions` VALUES (94658, 7472, 18, 'Nome e endereço do paciente');
INSERT INTO `lang_definitions` VALUES (94659, 7473, 18, 'Nome e ID do paciente');
INSERT INTO `lang_definitions` VALUES (94660, 7474, 18, 'Nome do paciente e fatura');
INSERT INTO `lang_definitions` VALUES (94661, 7475, 18, 'O nome do Paciente é Obrigatório');
INSERT INTO `lang_definitions` VALUES (94662, 7476, 18, 'Nome / ID do paciente');
INSERT INTO `lang_definitions` VALUES (94663, 7477, 18, 'Queixa do Paciente');
INSERT INTO `lang_definitions` VALUES (94664, 7478, 18, 'Tipos de queixa do Paciente');
INSERT INTO `lang_definitions` VALUES (94665, 7479, 18, 'Queixas do Paciente');
INSERT INTO `lang_definitions` VALUES (94666, 7480, 18, 'Registros do Paciente (escrever, adicionar opcional)');
INSERT INTO `lang_definitions` VALUES (94667, 7481, 18, 'Notas do paciente (escrita, adicionalmente opcional) (notas)');
INSERT INTO `lang_definitions` VALUES (94668, 7482, 18, 'Número de doentes');
INSERT INTO `lang_definitions` VALUES (94669, 7483, 18, 'Pagamento do Paciente');
INSERT INTO `lang_definitions` VALUES (94670, 7484, 18, 'Pagamentos do Paciente');
INSERT INTO `lang_definitions` VALUES (94671, 7485, 18, 'Categoria do nome da foto do paciente');
INSERT INTO `lang_definitions` VALUES (94672, 7486, 18, 'PORTAL DE PACIENTES');
INSERT INTO `lang_definitions` VALUES (94673, 7487, 18, 'Portal do Paciente');
INSERT INTO `lang_definitions` VALUES (94674, 7488, 18, 'Portal do paciente (portal do paciente)');
INSERT INTO `lang_definitions` VALUES (94675, 7489, 18, 'Portal do Paciente (portal)');
INSERT INTO `lang_definitions` VALUES (94676, 7490, 18, 'Problema de conectividade do Portal do Paciente');
INSERT INTO `lang_definitions` VALUES (94677, 7492, 18, 'Portal do paciente está desligado');
INSERT INTO `lang_definitions` VALUES (94678, 7493, 18, 'Login do Portal do Paciente');
INSERT INTO `lang_definitions` VALUES (94679, 7494, 18, 'Portal do Paciente Seguro');
INSERT INTO `lang_definitions` VALUES (94680, 7496, 18, 'Endereço da web do portal do paciente');
INSERT INTO `lang_definitions` VALUES (94681, 7497, 18, 'Paciente Relatório Impresso');
INSERT INTO `lang_definitions` VALUES (94682, 7498, 18, 'Recordações de pacientes');
INSERT INTO `lang_definitions` VALUES (94683, 7499, 18, 'Registrar Relatório do Paciente');
INSERT INTO `lang_definitions` VALUES (94684, 7500, 18, 'Solicitação de prontuário do paciente');
INSERT INTO `lang_definitions` VALUES (94685, 7501, 18, 'Solicitação de prontuários do paciente');
INSERT INTO `lang_definitions` VALUES (94686, 7502, 18, 'Religião do Paciente');
INSERT INTO `lang_definitions` VALUES (94687, 7503, 18, 'Lembrete do paciente');
INSERT INTO `lang_definitions` VALUES (94688, 7504, 18, 'Lembrete do paciente - que é usado para comunicar informações relevantes pertencentes a essa regra de decisão clínica em particular e é mostrado no widget Lembretes do paciente, bem como em Administração> Lembretes do paciente');
INSERT INTO `lang_definitions` VALUES (94689, 7505, 18, 'Lembrete de paciente em lote');
INSERT INTO `lang_definitions` VALUES (94690, 7506, 18, 'Lembrete de paciente em lote');
INSERT INTO `lang_definitions` VALUES (94691, 7507, 18, 'Regras de lembrete do paciente');
INSERT INTO `lang_definitions` VALUES (94692, 7508, 18, 'Email do remetente do lembrete do paciente');
INSERT INTO `lang_definitions` VALUES (94693, 7509, 18, 'Nome do remetente do lembrete do paciente');
INSERT INTO `lang_definitions` VALUES (94694, 7510, 18, 'Lembretes de Pacientes');
INSERT INTO `lang_definitions` VALUES (94695, 7511, 18, 'Lembretes do paciente (escrito, adicionalmente opcional)');
INSERT INTO `lang_definitions` VALUES (94696, 7512, 18, 'Lembretes do paciente (escrever, adicionalmente opcional) (lembrete)');
INSERT INTO `lang_definitions` VALUES (94697, 7513, 18, 'Lembretes do paciente - uma lista de lembretes para cuidados preventivos ou de acompanhamento de acordo com as preferências do paciente com base em dados demográficos, condições específicas e / ou lista de medicamentos, bem como o status da notificação');
INSERT INTO `lang_definitions` VALUES (94698, 7514, 18, 'Relatório do paciente');
INSERT INTO `lang_definitions` VALUES (94699, 7516, 18, 'Relatórios do paciente');
INSERT INTO `lang_definitions` VALUES (94700, 7517, 18, 'Ajuda para relatórios de pacientes');
INSERT INTO `lang_definitions` VALUES (94701, 7518, 18, 'Paciente Pedido');
INSERT INTO `lang_definitions` VALUES (94702, 7519, 18, 'Registros médicos solicitados pelo paciente');
INSERT INTO `lang_definitions` VALUES (94703, 7520, 18, 'Recurso do Paciente');
INSERT INTO `lang_definitions` VALUES (94704, 7521, 18, 'Resultados do paciente');
INSERT INTO `lang_definitions` VALUES (94705, 7522, 18, 'Pesquisa do Paciente');
INSERT INTO `lang_definitions` VALUES (94706, 7523, 18, 'Pesquisa de paciente não disponível');
INSERT INTO `lang_definitions` VALUES (94707, 7524, 18, 'Pesquise ou seleção do paciente');
INSERT INTO `lang_definitions` VALUES (94708, 7525, 18, 'Estilo dos resultados da pesquisa do paciente');
INSERT INTO `lang_definitions` VALUES (94709, 7526, 18, 'Pesquisa do Paciente / Adicionar Tela');
INSERT INTO `lang_definitions` VALUES (94710, 7527, 18, 'Secure Mail do paciente');
INSERT INTO `lang_definitions` VALUES (94711, 7528, 18, 'Configuração do paciente');
INSERT INTO `lang_definitions` VALUES (94712, 7529, 18, 'Falta de sexo do paciente');
INSERT INTO `lang_definitions` VALUES (94713, 7531, 18, 'Paciente Assinado');
INSERT INTO `lang_definitions` VALUES (94714, 7532, 18, 'Data de Assinatura do Paciente');
INSERT INTO `lang_definitions` VALUES (94715, 7533, 18, 'Estado do paciente');
INSERT INTO `lang_definitions` VALUES (94716, 7534, 18, 'Estado do paciente ausente');
INSERT INTO `lang_definitions` VALUES (94717, 7535, 18, 'Conta de Declaração do paciente');
INSERT INTO `lang_definitions` VALUES (94718, 7536, 18, 'As declarações do paciente podem ser geradas como texto simples ou com uma aparência gráfica moderna');
INSERT INTO `lang_definitions` VALUES (94719, 7537, 18, 'Endereço do paciente');
INSERT INTO `lang_definitions` VALUES (94720, 7538, 18, 'Rua do paciente faltando');
INSERT INTO `lang_definitions` VALUES (94721, 7539, 18, 'Resumo do paciente');
INSERT INTO `lang_definitions` VALUES (94722, 7540, 18, 'Pesquisas de pacientes');
INSERT INTO `lang_definitions` VALUES (94723, 7542, 18, 'Transações do Paciente');
INSERT INTO `lang_definitions` VALUES (94724, 7543, 18, 'Ajuda de transações de pacientes');
INSERT INTO `lang_definitions` VALUES (94725, 7544, 18, 'Validação do paciente');
INSERT INTO `lang_definitions` VALUES (94726, 7546, 18, 'CEP do paciente');
INSERT INTO `lang_definitions` VALUES (94727, 7547, 18, 'Falta o código postal do paciente');
INSERT INTO `lang_definitions` VALUES (94728, 7548, 18, 'Número do paciente');
INSERT INTO `lang_definitions` VALUES (94729, 7549, 18, 'paciente (s) no banco de dados que correspondem às informações demográficas que você entrou.');
INSERT INTO `lang_definitions` VALUES (94730, 7550, 18, 'Paciente');
INSERT INTO `lang_definitions` VALUES (94731, 7551, 18, 'Paciente:');
INSERT INTO `lang_definitions` VALUES (94732, 7552, 18, 'ID do paciente');
INSERT INTO `lang_definitions` VALUES (94733, 7553, 18, 'Pacientes');
INSERT INTO `lang_definitions` VALUES (94734, 7554, 18, 'Pacientes (pacientes)');
INSERT INTO `lang_definitions` VALUES (94735, 7555, 18, 'Pacientes Processados');
INSERT INTO `lang_definitions` VALUES (94736, 7556, 18, 'Pacientes com dívidas');
INSERT INTO `lang_definitions` VALUES (94737, 7557, 18, 'Estado de saúde do paciente');
INSERT INTO `lang_definitions` VALUES (94738, 7559, 18, 'Pago');
INSERT INTO `lang_definitions` VALUES (94739, 7560, 18, 'Preste atenção ao \"\"Feito com \"\" caixas. Depois que os seguros são marcadas completa, então vamos começar a pedir o doente para o pagamento do saldo remanescente, se você deixar de marcar todos os seguros, em seguida, completar o valor restante não será coletado! Além disso, se há um equilíbrio que o paciente deve pagar, em seguida, defina a data de vencimento de forma adequada, como isso vai afetar o idioma que aparece sobre as declarações do paciente.');
INSERT INTO `lang_definitions` VALUES (94740, 7561, 18, 'Preste atenção às caixas de seleção \"Concluído com\". Depois que os seguros forem marcados como concluídos, então começaremos a solicitar ao paciente o pagamento do saldo remanescente; se você deixar de marcar todos os seguros como concluídos, então o valor restante não será cobrado! Além disso, se houver um saldo que o paciente deve pagar, então defina a data de vencimento de forma adequada, pois isso afetará a linguagem que aparece nas declarações do paciente');
INSERT INTO `lang_definitions` VALUES (94741, 7562, 18, 'Pay Date');
INSERT INTO `lang_definitions` VALUES (94742, 7563, 18, 'Data de pagamento:');
INSERT INTO `lang_definitions` VALUES (94743, 7564, 18, 'Pay Invoice');
INSERT INTO `lang_definitions` VALUES (94744, 7565, 18, 'Pay Now');
INSERT INTO `lang_definitions` VALUES (94745, 7566, 18, 'Situação do pagamento');
INSERT INTO `lang_definitions` VALUES (94746, 7567, 18, 'Nome do pagante');
INSERT INTO `lang_definitions` VALUES (94747, 7568, 18, 'Pagante');
INSERT INTO `lang_definitions` VALUES (94748, 7569, 18, 'ID do pagador');
INSERT INTO `lang_definitions` VALUES (94749, 7570, 18, 'Id do pagador para elegibilidade');
INSERT INTO `lang_definitions` VALUES (94750, 7571, 18, 'ID do pagador para reivindicações de encontro');
INSERT INTO `lang_definitions` VALUES (94751, 7572, 18, 'Tipo de Pagamento');
INSERT INTO `lang_definitions` VALUES (94752, 7573, 18, 'Pagar');
INSERT INTO `lang_definitions` VALUES (94753, 7574, 18, 'Entidade pagante');
INSERT INTO `lang_definitions` VALUES (94754, 7575, 18, 'Pagamento');
INSERT INTO `lang_definitions` VALUES (94755, 7576, 18, 'pagamento');
INSERT INTO `lang_definitions` VALUES (94756, 7577, 18, 'Código de ajuste de pagamento');
INSERT INTO `lang_definitions` VALUES (94757, 7578, 18, 'Período do pagamento');
INSERT INTO `lang_definitions` VALUES (94758, 7579, 18, 'Valor a ser pago');
INSERT INTO `lang_definitions` VALUES (94759, 7580, 18, 'O valor do pagamento deve ser numérico');
INSERT INTO `lang_definitions` VALUES (94760, 7581, 18, 'Categoria de pagamento');
INSERT INTO `lang_definitions` VALUES (94761, 7582, 18, 'Payment date');
INSERT INTO `lang_definitions` VALUES (94762, 7583, 18, 'Data de Pagamento');
INSERT INTO `lang_definitions` VALUES (94763, 7584, 18, 'pagamento inscritas no');
INSERT INTO `lang_definitions` VALUES (94764, 7585, 18, 'Referente a');
INSERT INTO `lang_definitions` VALUES (94765, 7586, 18, 'Entradas de Pagamentos');
INSERT INTO `lang_definitions` VALUES (94766, 7587, 18, 'Informação de pagamento');
INSERT INTO `lang_definitions` VALUES (94767, 7588, 18, 'Ins Pagamento');
INSERT INTO `lang_definitions` VALUES (94768, 7589, 18, 'Lista de Pagamentos');
INSERT INTO `lang_definitions` VALUES (94769, 7590, 18, 'Método de Pagamento');
INSERT INTO `lang_definitions` VALUES (94770, 7592, 18, 'Pagamento ordenado por');
INSERT INTO `lang_definitions` VALUES (94771, 7593, 18, 'Estatus do Pagamento');
INSERT INTO `lang_definitions` VALUES (94772, 7594, 18, 'Pagamento enviado com sucesso para autorização. Você será notificado quando o pagamento for postado. Até que o pagamento seja aceito e você seja notificado, você pode reenviar esse pagamento a qualquer momento com novos valores ou cartão de crédito diferente. Obrigado');
INSERT INTO `lang_definitions` VALUES (94773, 7595, 18, 'Pagamento enviado com sucesso para revisão e postagem em sua conta');
INSERT INTO `lang_definitions` VALUES (94774, 7596, 18, 'Id de rastreamento de pagamento');
INSERT INTO `lang_definitions` VALUES (94775, 7597, 18, 'Tipo de Pagamento');
INSERT INTO `lang_definitions` VALUES (94776, 7598, 18, 'Pagamento validado: Salvar?');
INSERT INTO `lang_definitions` VALUES (94777, 7600, 18, 'Valor do pagamento para o código');
INSERT INTO `lang_definitions` VALUES (94778, 7601, 18, 'O pagamento foi autorizado com sucesso e seu cartão foi cobrado');
INSERT INTO `lang_definitions` VALUES (94779, 7602, 18, 'Pagamentos');
INSERT INTO `lang_definitions` VALUES (94780, 7603, 18, 'Pagante');
INSERT INTO `lang_definitions` VALUES (94781, 7604, 18, 'ID do pagador');
INSERT INTO `lang_definitions` VALUES (94782, 7605, 18, 'Código do pagador / operadora');
INSERT INTO `lang_definitions` VALUES (94783, 7606, 18, 'PCP');
INSERT INTO `lang_definitions` VALUES (94784, 7607, 18, 'Pct (%) de linhas');
INSERT INTO `lang_definitions` VALUES (94785, 7608, 18, 'PD-D {{abreviatura de Diâmetro Binocular Pupilar - Distância}}');
INSERT INTO `lang_definitions` VALUES (94786, 7609, 18, 'PD-N {{abreviatura de Diâmetro Binocular Pupilar - Próximo}}');
INSERT INTO `lang_definitions` VALUES (94787, 7610, 18, 'PDF');
INSERT INTO `lang_definitions` VALUES (94788, 7611, 18, 'Os botões PDF irão salvar, marcar a reclamação como revisada e baixar a reclamação');
INSERT INTO `lang_definitions` VALUES (94789, 7614, 18, 'Baixar PDF das declarações selecionadas');
INSERT INTO `lang_definitions` VALUES (94790, 7615, 18, 'Linguagem PDF');
INSERT INTO `lang_definitions` VALUES (94791, 7616, 18, 'Pdf com formulário');
INSERT INTO `lang_definitions` VALUES (94792, 7617, 18, 'Pdf sem formulário');
INSERT INTO `lang_definitions` VALUES (94793, 7618, 18, 'PD {{distância inter-pupilar}}');
INSERT INTO `lang_definitions` VALUES (94794, 7619, 18, 'PD {{distância pupilar}}');
INSERT INTO `lang_definitions` VALUES (94795, 7620, 18, 'Pelve e nádega');
INSERT INTO `lang_definitions` VALUES (94796, 7621, 18, 'Pênfigo');
INSERT INTO `lang_definitions` VALUES (94797, 7622, 18, 'Caneta');
INSERT INTO `lang_definitions` VALUES (94798, 7623, 18, 'pendente');
INSERT INTO `lang_definitions` VALUES (94799, 7624, 18, 'Pendente');
INSERT INTO `lang_definitions` VALUES (94800, 7625, 18, 'Ação Pendente');
INSERT INTO `lang_definitions` VALUES (94801, 7626, 18, 'Aprovação Pendente');
INSERT INTO `lang_definitions` VALUES (94802, 7627, 18, 'Autenticação pendente desde');
INSERT INTO `lang_definitions` VALUES (94803, 7628, 18, 'Documentos Pendentes');
INSERT INTO `lang_definitions` VALUES (94804, 7629, 18, 'Pendente F / U');
INSERT INTO `lang_definitions` VALUES (94805, 7630, 18, 'Acompanhamento Pendente');
INSERT INTO `lang_definitions` VALUES (94806, 7631, 18, 'Acompanhamento pendente dos resultados');
INSERT INTO `lang_definitions` VALUES (94807, 7632, 18, 'Ordens pendentes');
INSERT INTO `lang_definitions` VALUES (94808, 7633, 18, 'Res pendente');
INSERT INTO `lang_definitions` VALUES (94809, 7634, 18, 'Revisão pendente');
INSERT INTO `lang_definitions` VALUES (94810, 7635, 18, 'Contagem de Rx pendente');
INSERT INTO `lang_definitions` VALUES (94811, 7636, 18, 'Pendente desde');
INSERT INTO `lang_definitions` VALUES (94812, 7637, 18, 'Alergia à penicilina');
INSERT INTO `lang_definitions` VALUES (94813, 7638, 18, 'Empresa Pennington OpenEMR v');
INSERT INTO `lang_definitions` VALUES (94814, 7639, 18, 'Úlcera Péptica Doença');
INSERT INTO `lang_definitions` VALUES (94815, 7640, 18, 'Por encontro');
INSERT INTO `lang_definitions` VALUES (94816, 7641, 18, 'por minuto');
INSERT INTO `lang_definitions` VALUES (94817, 7642, 18, 'Por Narina');
INSERT INTO `lang_definitions` VALUES (94818, 7643, 18, 'por narina');
INSERT INTO `lang_definitions` VALUES (94819, 7644, 18, 'Por Oris');
INSERT INTO `lang_definitions` VALUES (94820, 7645, 18, 'por oris');
INSERT INTO `lang_definitions` VALUES (94821, 7646, 18, 'Por Reto');
INSERT INTO `lang_definitions` VALUES (94822, 7647, 18, 'por reto');
INSERT INTO `lang_definitions` VALUES (94823, 7648, 18, 'Por cento');
INSERT INTO `lang_definitions` VALUES (94824, 7649, 18, 'Percentagem');
INSERT INTO `lang_definitions` VALUES (94825, 7650, 18, 'Porcentagem de pacientes para teste de drogas');
INSERT INTO `lang_definitions` VALUES (94826, 7651, 18, 'Porcentagem de pacientes a serem selecionados para teste de drogas aleatório');
INSERT INTO `lang_definitions` VALUES (94827, 7652, 18, 'Percentil');
INSERT INTO `lang_definitions` VALUES (94828, 7653, 18, 'Perfurado Direita:');
INSERT INTO `lang_definitions` VALUES (94829, 7654, 18, 'Execute Busca');
INSERT INTO `lang_definitions` VALUES (94830, 7655, 18, 'Realizar esta ação');
INSERT INTO `lang_definitions` VALUES (94831, 7656, 18, 'Porcentagem de Desempenho');
INSERT INTO `lang_definitions` VALUES (94832, 7657, 18, 'realizado');
INSERT INTO `lang_definitions` VALUES (94833, 7658, 18, 'Artista');
INSERT INTO `lang_definitions` VALUES (94834, 7659, 18, 'Laboratório de desempenho');
INSERT INTO `lang_definitions` VALUES (94835, 7660, 18, 'Performing organization');
INSERT INTO `lang_definitions` VALUES (94836, 7661, 18, 'Período');
INSERT INTO `lang_definitions` VALUES (94837, 7662, 18, 'Período em dias em que um usuário pode fazer o login com uma senha expirada');
INSERT INTO `lang_definitions` VALUES (94838, 7663, 18, 'Cuidados Perioperatórios');
INSERT INTO `lang_definitions` VALUES (94839, 7664, 18, 'periférico');
INSERT INTO `lang_definitions` VALUES (94840, 7665, 18, 'Periférico');
INSERT INTO `lang_definitions` VALUES (94841, 7666, 18, 'Periph {{retina periférica}}');
INSERT INTO `lang_definitions` VALUES (94842, 7667, 18, 'Periph {{periferia}}');
INSERT INTO `lang_definitions` VALUES (94843, 7668, 18, 'Permitir senhas sem sal');
INSERT INTO `lang_definitions` VALUES (94844, 7669, 18, 'persa');
INSERT INTO `lang_definitions` VALUES (94845, 7670, 18, 'Persa (farsi)');
INSERT INTO `lang_definitions` VALUES (94846, 7671, 18, 'Pessoa');
INSERT INTO `lang_definitions` VALUES (94847, 7672, 18, 'Personalizar');
INSERT INTO `lang_definitions` VALUES (94848, 7673, 18, 'Pessoas que precisam de um recall, nenhum agendamento agendado ainda');
INSERT INTO `lang_definitions` VALUES (94849, 7675, 18, 'PG');
INSERT INTO `lang_definitions` VALUES (94850, 7676, 18, 'Farmácia');
INSERT INTO `lang_definitions` VALUES (94851, 7677, 18, 'Farmácia Com Count');
INSERT INTO `lang_definitions` VALUES (94852, 7678, 18, 'Farmácias');
INSERT INTO `lang_definitions` VALUES (94853, 7680, 18, 'Farmácia');
INSERT INTO `lang_definitions` VALUES (94854, 7681, 18, 'Farmácia Dispensário');
INSERT INTO `lang_definitions` VALUES (94855, 7682, 18, 'Dispensário de Farmácia (medicamentos)');
INSERT INTO `lang_definitions` VALUES (94856, 7683, 18, 'Id da Farmácia');
INSERT INTO `lang_definitions` VALUES (94857, 7685, 18, 'Farmácia sem ID NCPDP ou menos de 7 dígitos');
INSERT INTO `lang_definitions` VALUES (94858, 7686, 18, 'Farmácia sem NPI ou menos de 10 dígitos');
INSERT INTO `lang_definitions` VALUES (94859, 7687, 18, 'Farmácia não atribuída ao paciente');
INSERT INTO `lang_definitions` VALUES (94860, 7688, 18, 'Pheumothorax');
INSERT INTO `lang_definitions` VALUES (94861, 7689, 18, 'phiMail Permitir envio de CCD');
INSERT INTO `lang_definitions` VALUES (94862, 7690, 18, 'phiMail Permitir envio de CCR');
INSERT INTO `lang_definitions` VALUES (94863, 7691, 18, 'Intervalo de verificação de mensagem phiMail (minutos)');
INSERT INTO `lang_definitions` VALUES (94864, 7692, 18, 'usuário de notificação phiMail');
INSERT INTO `lang_definitions` VALUES (94865, 7693, 18, 'senha phiMail');
INSERT INTO `lang_definitions` VALUES (94866, 7694, 18, 'Endereço do servidor phiMail');
INSERT INTO `lang_definitions` VALUES (94867, 7695, 18, 'Nome de usuário phiMail');
INSERT INTO `lang_definitions` VALUES (94868, 7696, 18, 'Perguntas PHIN');
INSERT INTO `lang_definitions` VALUES (94869, 7697, 18, 'Telefone');
INSERT INTO `lang_definitions` VALUES (94870, 7698, 18, 'Negócios por telefone');
INSERT INTO `lang_definitions` VALUES (94871, 7699, 18, 'Telefone lista de chamadas');
INSERT INTO `lang_definitions` VALUES (94872, 7700, 18, 'Lista de chamadas telefônicas');
INSERT INTO `lang_definitions` VALUES (94873, 7701, 18, 'Relatório de lista de chamadas telefônicas');
INSERT INTO `lang_definitions` VALUES (94874, 7702, 18, 'Chamada telefônica feita por');
INSERT INTO `lang_definitions` VALUES (94875, 7703, 18, 'Celular');
INSERT INTO `lang_definitions` VALUES (94876, 7704, 18, 'Contato por telefone');
INSERT INTO `lang_definitions` VALUES (94877, 7705, 18, 'Senha do gateway do telefone');
INSERT INTO `lang_definitions` VALUES (94878, 7706, 18, 'URL do gateway do telefone');
INSERT INTO `lang_definitions` VALUES (94879, 7707, 18, 'Nome de usuário do gateway do telefone');
INSERT INTO `lang_definitions` VALUES (94880, 7708, 18, 'Telefone de casa');
INSERT INTO `lang_definitions` VALUES (94881, 7709, 18, 'Hora de Notificação por Telefone');
INSERT INTO `lang_definitions` VALUES (94882, 7710, 18, 'Phone number');
INSERT INTO `lang_definitions` VALUES (94883, 7711, 18, 'Telefone');
INSERT INTO `lang_definitions` VALUES (94884, 7712, 18, 'Número de telefone para consultas de faturamento');
INSERT INTO `lang_definitions` VALUES (94885, 7713, 18, 'Número de telefone para suporte do fornecedor que aparece na página Sobre');
INSERT INTO `lang_definitions` VALUES (94886, 7714, 18, 'Telefone (W)');
INSERT INTO `lang_definitions` VALUES (94887, 7715, 18, 'Fotofobia');
INSERT INTO `lang_definitions` VALUES (94888, 7716, 18, 'Fotos');
INSERT INTO `lang_definitions` VALUES (94889, 7717, 18, 'PHP comprimido');
INSERT INTO `lang_definitions` VALUES (94890, 7718, 18, 'Módulo PHP CURL deve ser habilitado em seu servidor');
INSERT INTO `lang_definitions` VALUES (94891, 7720, 18, 'PHP extraída');
INSERT INTO `lang_definitions` VALUES (94892, 7721, 18, 'php controles de acesso GACL são desligados');
INSERT INTO `lang_definitions` VALUES (94893, 7722, 18, 'PHP-GACL não está instalado');
INSERT INTO `lang_definitions` VALUES (94894, 7723, 18, 'Exame Físico');
INSERT INTO `lang_definitions` VALUES (94895, 7724, 18, 'Médico');
INSERT INTO `lang_definitions` VALUES (94896, 7725, 18, 'Pedido médico');
INSERT INTO `lang_definitions` VALUES (94897, 7726, 18, 'Assinatura do Médico');
INSERT INTO `lang_definitions` VALUES (94898, 7727, 18, 'Tipo Médico');
INSERT INTO `lang_definitions` VALUES (94899, 7728, 18, 'UPIN do médico');
INSERT INTO `lang_definitions` VALUES (94900, 7729, 18, 'Médicos');
INSERT INTO `lang_definitions` VALUES (94901, 7730, 18, 'PH {{acuidade pinhole}}');
INSERT INTO `lang_definitions` VALUES (94902, 7731, 18, 'PH {{Visão Pinhole}}');
INSERT INTO `lang_definitions` VALUES (94903, 7732, 18, 'PH {{Pinhole}}');
INSERT INTO `lang_definitions` VALUES (94904, 7733, 18, 'cores');
INSERT INTO `lang_definitions` VALUES (94905, 7734, 18, 'Escolher');
INSERT INTO `lang_definitions` VALUES (94906, 7735, 18, 'Escolha um tema CSS');
INSERT INTO `lang_definitions` VALUES (94907, 7736, 18, 'Escolha um tema geral (é necessário fazer logout / login após alterar esta configuração)');
INSERT INTO `lang_definitions` VALUES (94908, 7737, 18, 'Escolha um tema geral (é necessário fazer logout / login após alterar esta configuração)');
INSERT INTO `lang_definitions` VALUES (94909, 7738, 18, 'PID');
INSERT INTO `lang_definitions` VALUES (94910, 7739, 18, 'Pid');
INSERT INTO `lang_definitions` VALUES (94911, 7740, 18, 'PID (Doença Inflamatória Pélvica)');
INSERT INTO `lang_definitions` VALUES (94912, 7741, 18, 'Tamanho Comprimido');
INSERT INTO `lang_definitions` VALUES (94913, 7742, 18, 'Pills');
INSERT INTO `lang_definitions` VALUES (94914, 7743, 18, 'Visão pinhole');
INSERT INTO `lang_definitions` VALUES (94915, 7744, 18, 'Local de Trabalho - Local de Trabalho');
INSERT INTO `lang_definitions` VALUES (94916, 7745, 18, 'Coloque o arquivo zip do banco de dados no seguinte diretório se quiser a opção de instalar');
INSERT INTO `lang_definitions` VALUES (94917, 7746, 18, 'Coloque os arquivos zip do banco de dados ICD 10 baixados no seguinte diretório');
INSERT INTO `lang_definitions` VALUES (94918, 7747, 18, 'Coloque o arquivo zip do banco de dados ICD 9 baixado no seguinte diretório');
INSERT INTO `lang_definitions` VALUES (94919, 7748, 18, 'Coloque o arquivo zip do banco de dados RxNorm baixado no seguinte diretório');
INSERT INTO `lang_definitions` VALUES (94920, 7749, 18, 'Coloque o arquivo zip do banco de dados Snomed baixado no seguinte diretório');
INSERT INTO `lang_definitions` VALUES (94921, 7750, 18, 'Coloque o arquivo zip do banco de dados VALUESET baixado no seguinte diretório');
INSERT INTO `lang_definitions` VALUES (94922, 7751, 18, 'Coloque seu logotipo em sites / default / images e digite o nome do arquivo incluindo a extensão gif aqui');
INSERT INTO `lang_definitions` VALUES (94923, 7752, 18, 'Espaço reservado');
INSERT INTO `lang_definitions` VALUES (94924, 7753, 18, 'Espaço reservado (Mantém vazio ACLs)');
INSERT INTO `lang_definitions` VALUES (94925, 7754, 18, 'Espaço reservado (mantém ACLs vazios) (preenchimento)');
INSERT INTO `lang_definitions` VALUES (94926, 7755, 18, 'Espaço reservado (espaço reservado)');
INSERT INTO `lang_definitions` VALUES (94927, 7756, 18, 'Plain Text');
INSERT INTO `lang_definitions` VALUES (94928, 7757, 18, 'Conduta');
INSERT INTO `lang_definitions` VALUES (94929, 7758, 18, 'Plano adicionado com sucesso');
INSERT INTO `lang_definitions` VALUES (94930, 7759, 18, 'Plano já em list_options');
INSERT INTO `lang_definitions` VALUES (94931, 7760, 18, 'Plano de copagamento, se conhecido');
INSERT INTO `lang_definitions` VALUES (94932, 7761, 18, 'Descrição do Plano');
INSERT INTO `lang_definitions` VALUES (94933, 7762, 18, 'Nome do Plano');
INSERT INTO `lang_definitions` VALUES (94934, 7763, 18, 'Nome do plano já existe');
INSERT INTO `lang_definitions` VALUES (94935, 7764, 18, 'Nome do plano já adotado');
INSERT INTO `lang_definitions` VALUES (94936, 7765, 18, 'Falta o nome do plano');
INSERT INTO `lang_definitions` VALUES (94937, 7766, 18, 'Plano de Atendimento');
INSERT INTO `lang_definitions` VALUES (94938, 7767, 18, 'Tipo de plano de cuidado');
INSERT INTO `lang_definitions` VALUES (94939, 7768, 18, 'Conjunto de planos');
INSERT INTO `lang_definitions` VALUES (94940, 7769, 18, 'Status do plano alterado');
INSERT INTO `lang_definitions` VALUES (94941, 7770, 18, 'O status do plano não foi alterado');
INSERT INTO `lang_definitions` VALUES (94942, 7771, 18, 'Tipo de Plano');
INSERT INTO `lang_definitions` VALUES (94943, 7772, 18, 'Plano atualizado com sucesso');
INSERT INTO `lang_definitions` VALUES (94944, 7773, 18, 'Plano:');
INSERT INTO `lang_definitions` VALUES (94945, 7774, 18, 'Atividade Planejada');
INSERT INTO `lang_definitions` VALUES (94946, 7775, 18, 'Data planejada');
INSERT INTO `lang_definitions` VALUES (94947, 7776, 18, 'Planos');
INSERT INTO `lang_definitions` VALUES (94948, 7777, 18, 'Configuração de Planos');
INSERT INTO `lang_definitions` VALUES (94949, 7778, 18, 'Jogador');
INSERT INTO `lang_definitions` VALUES (94950, 7779, 18, 'Jogando Posição');
INSERT INTO `lang_definitions` VALUES (94951, 7780, 18, 'Por favor, ligue se alguma das informações acima estiver incorreta');
INSERT INTO `lang_definitions` VALUES (94952, 7781, 18, 'Por favor, ligue se alguma das informações acima estiver incorreta');
INSERT INTO `lang_definitions` VALUES (94953, 7782, 18, 'Por favor, ligue ou envie uma mensagem se alguma das informações acima estiver incorreta');
INSERT INTO `lang_definitions` VALUES (94954, 7783, 18, 'Por favor, ligue para nosso escritório para agendar');
INSERT INTO `lang_definitions` VALUES (94955, 7784, 18, 'Por favor, mude sua senha');
INSERT INTO `lang_definitions` VALUES (94956, 7785, 18, 'Por favor, escolha um arquivo');
INSERT INTO `lang_definitions` VALUES (94957, 7786, 18, 'Por favor, escolha um paciente');
INSERT INTO `lang_definitions` VALUES (94958, 7787, 18, 'Por favor, escolha uma selecção válida a partir da lista.');
INSERT INTO `lang_definitions` VALUES (94959, 7788, 18, 'Por favor, escolha uma selecção válida.');
INSERT INTO `lang_definitions` VALUES (94960, 7789, 18, 'Por favor, escolha um valor para');
INSERT INTO `lang_definitions` VALUES (94961, 7790, 18, 'Por favor, escolha os critérios de intervalo de datas acima e clique em Atualizar para ver os resultados');
INSERT INTO `lang_definitions` VALUES (94962, 7791, 18, 'Por favor, escolha o arquivo EDI-271 formatado apropriado');
INSERT INTO `lang_definitions` VALUES (94963, 7792, 18, 'Por favor, clique no botão de download para baixar os dados De Identified');
INSERT INTO `lang_definitions` VALUES (94964, 7793, 18, 'Por favor, clique no botão de download para baixar os dados Re Identified');
INSERT INTO `lang_definitions` VALUES (94965, 7795, 18, 'Por favor, feche esta janela.');
INSERT INTO `lang_definitions` VALUES (94966, 7796, 18, 'Por favor, compare o novo nome');
INSERT INTO `lang_definitions` VALUES (94967, 7798, 18, 'Por favor, considere enviar uma doação para');
INSERT INTO `lang_definitions` VALUES (94968, 7799, 18, 'Por favor, entre em contato com seu provedor');
INSERT INTO `lang_definitions` VALUES (94969, 7801, 18, 'Por favor, entre em contato com seu administrador de sistemas, os seguintes componentes são necessários, mas estão faltando');
INSERT INTO `lang_definitions` VALUES (94970, 7802, 18, 'Por favor, corrija o (s) valor (es) antes de continuar!');
INSERT INTO `lang_definitions` VALUES (94971, 7803, 18, 'Por favor, crie o seguinte diretório antes de continuar');
INSERT INTO `lang_definitions` VALUES (94972, 7804, 18, 'Por favor, exclua os caracteres');
INSERT INTO `lang_definitions` VALUES (94973, 7805, 18, 'Por favor, não aceitamos essa receita que não tenha sido recebido através facimile.');
INSERT INTO `lang_definitions` VALUES (94974, 7806, 18, 'Por favor, não aceite esta receita, a menos que tenha sido recebida por fax');
INSERT INTO `lang_definitions` VALUES (94975, 7807, 18, 'Por favor, não use o seu navegador ou parar botão Recarregar enquanto esta página está em execução a menos que mais de 10 minutos se passaram, isso não fará com que o processo parar no servidor e vai consumir recursos uneccesary.');
INSERT INTO `lang_definitions` VALUES (94976, 7808, 18, 'POR FAVOR, ATIVAR A EXTENSÃO DO CURL');
INSERT INTO `lang_definitions` VALUES (94977, 7809, 18, 'POR FAVOR, ATIVAR A EXTENSÃO OPENSSL');
INSERT INTO `lang_definitions` VALUES (94978, 7810, 18, 'POR FAVOR, ATIVAR A EXTENSÃO DE SABÃO');
INSERT INTO `lang_definitions` VALUES (94979, 7811, 18, 'POR FAVOR, ATIVAR A EXTENSÃO DE XML');
INSERT INTO `lang_definitions` VALUES (94980, 7812, 18, 'Certifique-se de que haja apenas um arquivo de imagem - jpeg, png ou bmp na pasta de fotos do paciente');
INSERT INTO `lang_definitions` VALUES (94981, 7813, 18, 'Por favor, insira uma data para a última revisão');
INSERT INTO `lang_definitions` VALUES (94982, 7814, 18, 'Por favor, insira uma data');
INSERT INTO `lang_definitions` VALUES (94983, 7815, 18, 'Por favor, insira um valor em dólares usando apenas números e uma casa decimal');
INSERT INTO `lang_definitions` VALUES (94984, 7816, 18, 'Por favor, insira uma data de vencimento');
INSERT INTO `lang_definitions` VALUES (94985, 7817, 18, 'Por favor, insira um intervalo válido');
INSERT INTO `lang_definitions` VALUES (94986, 7818, 18, 'Por favor, digite uma mensagem');
INSERT INTO `lang_definitions` VALUES (94987, 7819, 18, 'Por favor, indique um valor monetário usando apenas números e um ponto decimal.');
INSERT INTO `lang_definitions` VALUES (94988, 7820, 18, 'Por favor, insira um nome para esta chave');
INSERT INTO `lang_definitions` VALUES (94989, 7821, 18, 'Por favor, digite uma nova senha');
INSERT INTO `lang_definitions` VALUES (94990, 7822, 18, 'Por favor, indique uma descrição!');
INSERT INTO `lang_definitions` VALUES (94991, 7824, 18, 'Por favor, insira um endereço direto válido acima');
INSERT INTO `lang_definitions` VALUES (94992, 7825, 18, 'Por favor, insira pelo menos o nome do item');
INSERT INTO `lang_definitions` VALUES (94993, 7826, 18, 'Por favor, insira pelo menos o nome da faixa');
INSERT INTO `lang_definitions` VALUES (94994, 7827, 18, 'Por favor, insira a autorização de confirmação do cartão');
INSERT INTO `lang_definitions` VALUES (94995, 7828, 18, 'Por favor, insira o código de reidentificação correto');
INSERT INTO `lang_definitions` VALUES (94996, 7829, 18, 'Por favor, Insira uma data de término posterior à data de início!');
INSERT INTO `lang_definitions` VALUES (94997, 7830, 18, 'Por favor, insira mais caracteres');
INSERT INTO `lang_definitions` VALUES (94998, 7832, 18, 'Por favor, insira uma nova string de pesquisa');
INSERT INTO `lang_definitions` VALUES (94999, 7833, 18, 'Por favor, insira o código de reidentificação correto');
INSERT INTO `lang_definitions` VALUES (95000, 7834, 18, 'Por favor, Digite a senha');
INSERT INTO `lang_definitions` VALUES (95001, 7835, 18, 'Por favor, preencha as informações de crédito e envie para revisão');
INSERT INTO `lang_definitions` VALUES (95002, 7836, 18, 'Por favor, preencha a cidade das instalações adequadamente');
INSERT INTO `lang_definitions` VALUES (95003, 7837, 18, 'Por favor, preencha o fax da instalação corretamente');
INSERT INTO `lang_definitions` VALUES (95004, 7838, 18, 'Por favor, preencha o nome da instalação corretamente');
INSERT INTO `lang_definitions` VALUES (95005, 7839, 18, 'Por favor, preencha o telefone da instalação corretamente');
INSERT INTO `lang_definitions` VALUES (95006, 7840, 18, 'Por favor, preencha o código postal da instalação corretamente');
INSERT INTO `lang_definitions` VALUES (95007, 7841, 18, 'Por favor, preencher o estado da instalação corretamente');
INSERT INTO `lang_definitions` VALUES (95008, 7842, 18, 'Por favor, preencha a rua da instalação corretamente');
INSERT INTO `lang_definitions` VALUES (95009, 7843, 18, 'Por favor, Preencha o número do cheque');
INSERT INTO `lang_definitions` VALUES (95010, 7844, 18, 'Por favor, Preencher o cheque / número de referência');
INSERT INTO `lang_definitions` VALUES (95011, 7845, 18, 'Por favor, Preencha a data');
INSERT INTO `lang_definitions` VALUES (95012, 7846, 18, 'Por favor, Preencha o valor do pagamento');
INSERT INTO `lang_definitions` VALUES (95013, 7847, 18, 'Por favor, Preencha a categoria de pagamento');
INSERT INTO `lang_definitions` VALUES (95014, 7848, 18, 'Por favor, Preencha o pagamento de');
INSERT INTO `lang_definitions` VALUES (95015, 7849, 18, 'Por favor, Preencha a Publicação Até à Data');
INSERT INTO `lang_definitions` VALUES (95016, 7850, 18, 'Por favor, preencha-os antes de continuar');
INSERT INTO `lang_definitions` VALUES (95017, 7852, 18, 'Por favor, dê um nome a esta chave');
INSERT INTO `lang_definitions` VALUES (95018, 7854, 18, 'Por favor, indicar motivo da visita');
INSERT INTO `lang_definitions` VALUES (95019, 7855, 18, 'Por favor, insira os critérios de pesquisa acima e clique em Enviar para iniciar o relatório');
INSERT INTO `lang_definitions` VALUES (95020, 7856, 18, 'Defina o critério de seleção acima e clique em enviar para ver os resultados.');
INSERT INTO `lang_definitions` VALUES (95021, 7857, 18, 'Defina o critério de seleção acima e clique em enviar para ver os resultados.(Os resultados aparecerão em uma nova janela)');
INSERT INTO `lang_definitions` VALUES (95022, 7858, 18, 'Por favor registre-se novamente.');
INSERT INTO `lang_definitions` VALUES (95023, 7859, 18, 'Por favor, note que isso pode levar um tempo muito longo, até vários minutos, o seu navegador pode não aparecer muito ativo durante este tempo, mas gerando um projeto de lei é um processo complicado e seu navegador está apenas à espera de mais informações.');
INSERT INTO `lang_definitions` VALUES (95024, 7860, 18, 'Atenção: as constantes são caso sensível e qualquer seqüência de caracteres é permitida.');
INSERT INTO `lang_definitions` VALUES (95025, 7861, 18, 'Por favor, utilize apenas caracteres alfabéticos');
INSERT INTO `lang_definitions` VALUES (95026, 7862, 18, 'Por favor, utilize apenas caracteres alfabéticos sem espaços');
INSERT INTO `lang_definitions` VALUES (95027, 7863, 18, 'Por favor, o pagamento deste montante');
INSERT INTO `lang_definitions` VALUES (95028, 7864, 18, 'Por favor, coloque seus arquivos de instalação no seguinte diretório');
INSERT INTO `lang_definitions` VALUES (95029, 7865, 18, 'Por favor, forneça um endereço de e-mail válido para continuar');
INSERT INTO `lang_definitions` VALUES (95030, 7866, 18, 'Please provide a valid email address');
INSERT INTO `lang_definitions` VALUES (95031, 7867, 18, 'Por favor, consulte');
INSERT INTO `lang_definitions` VALUES (95032, 7868, 18, 'Por favor, redefina a senha');
INSERT INTO `lang_definitions` VALUES (95033, 7869, 18, 'Por favor, reinicie o servidor apache antes de brincar com a desidentificação');
INSERT INTO `lang_definitions` VALUES (95034, 7870, 18, 'Por favor, devolva esta parte inferior com o seu pagamento');
INSERT INTO `lang_definitions` VALUES (95035, 7871, 18, 'Por favor, veja fórum e wiki');
INSERT INTO `lang_definitions` VALUES (95036, 7873, 18, 'Consulte http://www.open-emr.org/wiki/index.php/LBV_Forms para obter mais informações sobre este tópico');
INSERT INTO `lang_definitions` VALUES (95037, 7874, 18, 'Por favor, veja o PDF em anexo');
INSERT INTO `lang_definitions` VALUES (95038, 7875, 18, 'Por favor selecione');
INSERT INTO `lang_definitions` VALUES (95039, 7876, 18, 'Por favor, selecione um formato');
INSERT INTO `lang_definitions` VALUES (95040, 7877, 18, 'Por favor, selecione um idioma');
INSERT INTO `lang_definitions` VALUES (95041, 7878, 18, 'Por Favor Selecione um Paciente.');
INSERT INTO `lang_definitions` VALUES (95042, 7879, 18, 'Por favor, selecione um serviço de Entidade Comercial Primária com \'ID fiscal\' como seu ID fiscal de instalação. Se você for um praticante individual, use sua identificação fiscal. Isso é usado para identificá-lo no sistema NewCrop');
INSERT INTO `lang_definitions` VALUES (95043, 7880, 18, 'Por favor, selecione um serviço de Entidade Comercial Primária com \'ID fiscal\' como seu ID fiscal de instalação. Se você for um praticante individual, use sua identificação fiscal. Isso é usado para identificá-lo no sistema NewCrop');
INSERT INTO `lang_definitions` VALUES (95044, 7881, 18, 'Por favor, selecione um provedor de procedimento');
INSERT INTO `lang_definitions` VALUES (95045, 7882, 18, 'Selecione um Destinatário');
INSERT INTO `lang_definitions` VALUES (95046, 7883, 18, 'Por favor, selecione um destinatário para a mensagem');
INSERT INTO `lang_definitions` VALUES (95047, 7884, 18, 'Selecione uma data de início e de fim');
INSERT INTO `lang_definitions` VALUES (95048, 7885, 18, 'Selecione um Destinatário válido');
INSERT INTO `lang_definitions` VALUES (95049, 7886, 18, 'Por favor, selecione um grupo ativo');
INSERT INTO `lang_definitions` VALUES (95050, 7888, 18, 'Por favor selecione uma razão de ajuste para o código');
INSERT INTO `lang_definitions` VALUES (95051, 7889, 18, 'Por favor selecione um evento');
INSERT INTO `lang_definitions` VALUES (95052, 7890, 18, 'Por favor, selecione um item que tenha mais dados');
INSERT INTO `lang_definitions` VALUES (95053, 7891, 18, 'Selecione qualquer opção de pesquisa');
INSERT INTO `lang_definitions` VALUES (95054, 7892, 18, 'Selecione ao menos um critério para download');
INSERT INTO `lang_definitions` VALUES (95055, 7893, 18, 'Selecione ao menos um paciente.');
INSERT INTO `lang_definitions` VALUES (95056, 7894, 18, 'Selecione ao menos uma prescrição!');
INSERT INTO `lang_definitions` VALUES (95057, 7895, 18, 'Por favor selecione a consulta');
INSERT INTO `lang_definitions` VALUES (95058, 7896, 18, 'Selecione por data');
INSERT INTO `lang_definitions` VALUES (95059, 7897, 18, 'Selecione a imagem');
INSERT INTO `lang_definitions` VALUES (95060, 7898, 18, 'Por favor, selecione mensagem (ns) para excluir');
INSERT INTO `lang_definitions` VALUES (95061, 7899, 18, 'Por favor, selecione as páginas desejadas para copiar ou para a frente:');
INSERT INTO `lang_definitions` VALUES (95062, 7900, 18, 'Selecione a Forma de Pagamento');
INSERT INTO `lang_definitions` VALUES (95063, 7902, 18, 'Selecione a data');
INSERT INTO `lang_definitions` VALUES (95064, 7903, 18, 'Selecione o tipo de pagamento.');
INSERT INTO `lang_definitions` VALUES (95065, 7904, 18, 'Por favor, selecione a categoria de visita');
INSERT INTO `lang_definitions` VALUES (95066, 7905, 18, 'Por favor, selecione o parceiro X12, necessário para criar o lote 270');
INSERT INTO `lang_definitions` VALUES (95067, 7906, 18, 'Por favor, defina');
INSERT INTO `lang_definitions` VALUES (95068, 7907, 18, 'Por favor, defina a variável de_identification_config de volta para zero');
INSERT INTO `lang_definitions` VALUES (95069, 7908, 18, 'Por favor, definir farmácia no prontuário do paciente!');
INSERT INTO `lang_definitions` VALUES (95070, 7909, 18, 'Por favor, especifique pelo menos um endereço direto');
INSERT INTO `lang_definitions` VALUES (95071, 7910, 18, 'Por favor, iniciar novo processo de De Identificação');
INSERT INTO `lang_definitions` VALUES (95072, 7911, 18, 'Por favor, forneça um título');
INSERT INTO `lang_definitions` VALUES (95073, 7913, 18, 'Por favor, atualizar o banco de dados OpenEMR para incluir procedimentos, funções e tabelas de identificação');
INSERT INTO `lang_definitions` VALUES (95074, 7914, 18, 'Por favor, use NPI válido');
INSERT INTO `lang_definitions` VALUES (95075, 7915, 18, 'Por favor, veja a tabela de log de erros de identificação para mais detalhes');
INSERT INTO `lang_definitions` VALUES (95076, 7916, 18, 'Por favor, visite a tela De Identificação após algum tempo');
INSERT INTO `lang_definitions` VALUES (95077, 7917, 18, 'Por favor, visite a tela de reidentificação depois de algum tempo');
INSERT INTO `lang_definitions` VALUES (95078, 7918, 18, 'Por favor, visite a tela depois de algum tempo');
INSERT INTO `lang_definitions` VALUES (95079, 7919, 18, 'Por favor, espere...');
INSERT INTO `lang_definitions` VALUES (95080, 7920, 18, 'Item de plotagem');
INSERT INTO `lang_definitions` VALUES (95081, 7921, 18, 'Plotar itens selecionados');
INSERT INTO `lang_definitions` VALUES (95082, 7922, 18, 'Plural');
INSERT INTO `lang_definitions` VALUES (95083, 7923, 18, 'mais 1 ano');
INSERT INTO `lang_definitions` VALUES (95084, 7924, 18, 'Mais 2 ano');
INSERT INTO `lang_definitions` VALUES (95085, 7925, 18, 'Mais 3 ano');
INSERT INTO `lang_definitions` VALUES (95086, 7926, 18, 'PM');
INSERT INTO `lang_definitions` VALUES (95087, 7927, 18, 'Programa PM');
INSERT INTO `lang_definitions` VALUES (95088, 7928, 18, 'PMH');
INSERT INTO `lang_definitions` VALUES (95089, 7929, 18, 'PMH Dx');
INSERT INTO `lang_definitions` VALUES (95090, 7930, 18, 'PMH {{Histórico Médico Anterior}}');
INSERT INTO `lang_definitions` VALUES (95091, 7931, 18, 'Painel PMSFH');
INSERT INTO `lang_definitions` VALUES (95092, 7932, 18, 'PMSFH {{Abreviação de Família Cirúrgica Médica Anterior e Histórico Social}}');
INSERT INTO `lang_definitions` VALUES (95093, 7933, 18, 'PMT Método');
INSERT INTO `lang_definitions` VALUES (95094, 7934, 18, 'PND');
INSERT INTO `lang_definitions` VALUES (95095, 7935, 18, 'Pneumocócica conjugada 1');
INSERT INTO `lang_definitions` VALUES (95096, 7936, 18, 'Pneumocócica conjugada 2');
INSERT INTO `lang_definitions` VALUES (95097, 7937, 18, 'Pneumocócica conjugada 3');
INSERT INTO `lang_definitions` VALUES (95098, 7938, 18, 'Pneumocócica conjugada 4');
INSERT INTO `lang_definitions` VALUES (95099, 7939, 18, 'Vacina Pneumocócica');
INSERT INTO `lang_definitions` VALUES (95100, 7940, 18, 'Pneumonia Vacinação');
INSERT INTO `lang_definitions` VALUES (95101, 7941, 18, 'Status de vacinação contra pneumonia para adultos mais velhos');
INSERT INTO `lang_definitions` VALUES (95102, 7942, 18, 'Status de vacinação contra pneumonia para adultos mais velhos (CQM)');
INSERT INTO `lang_definitions` VALUES (95103, 7943, 18, 'Podiátrico');
INSERT INTO `lang_definitions` VALUES (95104, 7944, 18, 'Podologia');
INSERT INTO `lang_definitions` VALUES (95105, 7945, 18, 'POH {{Histórico Ocular Anterior}}');
INSERT INTO `lang_definitions` VALUES (95106, 7946, 18, 'Point of Service (POS)');
INSERT INTO `lang_definitions` VALUES (95107, 7947, 18, 'Política');
INSERT INTO `lang_definitions` VALUES (95108, 7948, 18, 'Data de início da política');
INSERT INTO `lang_definitions` VALUES (95109, 7949, 18, 'Data de vigência da política');
INSERT INTO `lang_definitions` VALUES (95110, 7950, 18, 'Política Não');
INSERT INTO `lang_definitions` VALUES (95111, 7951, 18, 'Número da apólice');
INSERT INTO `lang_definitions` VALUES (95112, 7952, 18, 'polonês');
INSERT INTO `lang_definitions` VALUES (95113, 7953, 18, 'Polidipsia');
INSERT INTO `lang_definitions` VALUES (95114, 7954, 18, 'Polígono');
INSERT INTO `lang_definitions` VALUES (95115, 7955, 18, 'Pólipos');
INSERT INTO `lang_definitions` VALUES (95116, 7956, 18, 'Poliúria');
INSERT INTO `lang_definitions` VALUES (95117, 7957, 18, 'Falta de Apetite');
INSERT INTO `lang_definitions` VALUES (95118, 7958, 18, 'Baixa Circulação');
INSERT INTO `lang_definitions` VALUES (95119, 7959, 18, 'Baixa Audição');
INSERT INTO `lang_definitions` VALUES (95120, 7961, 18, 'Pop out em tela inteira');
INSERT INTO `lang_definitions` VALUES (95121, 7962, 18, 'Habilite os Pop ups para ver estes relatórios');
INSERT INTO `lang_definitions` VALUES (95122, 7963, 18, 'Preencher folha de taxas');
INSERT INTO `lang_definitions` VALUES (95123, 7964, 18, 'Preencher a visão anos com eventos?');
INSERT INTO `lang_definitions` VALUES (95124, 7965, 18, 'Popups');
INSERT INTO `lang_definitions` VALUES (95125, 7966, 18, 'Porta');
INSERT INTO `lang_definitions` VALUES (95126, 7967, 18, 'Portal');
INSERT INTO `lang_definitions` VALUES (95127, 7969, 18, 'Atividade do Portal');
INSERT INTO `lang_definitions` VALUES (95128, 7970, 18, 'Alertas de portal');
INSERT INTO `lang_definitions` VALUES (95129, 7971, 18, 'Auditorias de portal');
INSERT INTO `lang_definitions` VALUES (95130, 7972, 18, 'Chats de portal');
INSERT INTO `lang_definitions` VALUES (95131, 7974, 18, 'Painel do Portal');
INSERT INTO `lang_definitions` VALUES (95132, 7976, 18, 'ID do Portal');
INSERT INTO `lang_definitions` VALUES (95133, 7977, 18, 'O ID do portal não corresponde à solicitação do portal!');
INSERT INTO `lang_definitions` VALUES (95134, 7978, 18, 'Mail do portal');
INSERT INTO `lang_definitions` VALUES (95135, 7979, 18, 'Portal apenas');
INSERT INTO `lang_definitions` VALUES (95136, 7980, 18, 'Senha do portal ausente');
INSERT INTO `lang_definitions` VALUES (95137, 7981, 18, 'Pagamentos do portal');
INSERT INTO `lang_definitions` VALUES (95138, 7982, 18, 'Pedidos de Portal');
INSERT INTO `lang_definitions` VALUES (95139, 7983, 18, 'Portal usa caminho de base do servidor (interno)');
INSERT INTO `lang_definitions` VALUES (95140, 7984, 18, 'Retrato');
INSERT INTO `lang_definitions` VALUES (95141, 7985, 18, 'Português');
INSERT INTO `lang_definitions` VALUES (95142, 7987, 18, 'Português (Brasil)');
INSERT INTO `lang_definitions` VALUES (95143, 7988, 18, 'Português (Europeu)');
INSERT INTO `lang_definitions` VALUES (95144, 7989, 18, 'POS Código');
INSERT INTO `lang_definitions` VALUES (95145, 7990, 18, 'Posição');
INSERT INTO `lang_definitions` VALUES (95146, 7991, 18, 'Posição do Olhar');
INSERT INTO `lang_definitions` VALUES (95147, 7992, 18, 'Positivo');
INSERT INTO `lang_definitions` VALUES (95148, 7993, 18, 'Positivos');
INSERT INTO `lang_definitions` VALUES (95149, 7994, 18, 'Possível');
INSERT INTO `lang_definitions` VALUES (95150, 7995, 18, 'Data de postagem');
INSERT INTO `lang_definitions` VALUES (95151, 7996, 18, 'Postar Para');
INSERT INTO `lang_definitions` VALUES (95152, 7997, 18, 'Postar item');
INSERT INTO `lang_definitions` VALUES (95153, 7998, 18, 'Post Nasal Drip');
INSERT INTO `lang_definitions` VALUES (95154, 7999, 18, 'Pós Pagamento');
INSERT INTO `lang_definitions` VALUES (95155, 8000, 18, 'Pós Pagamentos');
INSERT INTO `lang_definitions` VALUES (95156, 8001, 18, 'Pós cirúrgico');
INSERT INTO `lang_definitions` VALUES (95157, 8002, 18, 'Post a contabilidade e marcar como faturado');
INSERT INTO `lang_definitions` VALUES (95158, 8003, 18, 'Data de Emissão');
INSERT INTO `lang_definitions` VALUES (95159, 8004, 18, 'A Data da Emissão não pode ser maior que Hoje');
INSERT INTO `lang_definitions` VALUES (95160, 8006, 18, 'A data de Emissão deve ser posterior à data de fechamento financeiro');
INSERT INTO `lang_definitions` VALUES (95161, 8007, 18, 'Post-Abortion Care');
INSERT INTO `lang_definitions` VALUES (95162, 8008, 18, 'A contracepção pós-aborto');
INSERT INTO `lang_definitions` VALUES (95163, 8009, 18, 'Aconselhamento pós-aborto');
INSERT INTO `lang_definitions` VALUES (95164, 8010, 18, 'Pós-aborto Followup');
INSERT INTO `lang_definitions` VALUES (95165, 8011, 18, 'Postal');
INSERT INTO `lang_definitions` VALUES (95166, 8012, 18, 'CEP');
INSERT INTO `lang_definitions` VALUES (95167, 8013, 18, 'CEP');
INSERT INTO `lang_definitions` VALUES (95168, 8014, 18, 'Código Postal e Número da Caixa');
INSERT INTO `lang_definitions` VALUES (95169, 8015, 18, 'PostCalendar');
INSERT INTO `lang_definitions` VALUES (95170, 8016, 18, 'PostCalendar Administração');
INSERT INTO `lang_definitions` VALUES (95171, 8017, 18, 'PostCalendar Categoria Definições');
INSERT INTO `lang_definitions` VALUES (95172, 8018, 18, 'PostCalendar Global Settings');
INSERT INTO `lang_definitions` VALUES (95173, 8019, 18, 'Cartão postal');
INSERT INTO `lang_definitions` VALUES (95174, 8020, 18, 'CARTÃO POSTAL');
INSERT INTO `lang_definitions` VALUES (95175, 8021, 18, 'Postal impresso por');
INSERT INTO `lang_definitions` VALUES (95176, 8022, 18, 'Postais');
INSERT INTO `lang_definitions` VALUES (95177, 8023, 18, 'Postado em');
INSERT INTO `lang_definitions` VALUES (95178, 8024, 18, 'Segmento posterior');
INSERT INTO `lang_definitions` VALUES (95179, 8025, 18, 'Postando');
INSERT INTO `lang_definitions` VALUES (95180, 8026, 18, 'Data de lançamento');
INSERT INTO `lang_definitions` VALUES (95181, 8027, 18, 'postar {{posterior}}');
INSERT INTO `lang_definitions` VALUES (95182, 8028, 18, 'Pos {{Abreviação de Posição}}');
INSERT INTO `lang_definitions` VALUES (95183, 8029, 18, 'POS {{cirurgia ocular anterior}}');
INSERT INTO `lang_definitions` VALUES (95184, 8030, 18, 'Potencial Acuidade');
INSERT INTO `lang_definitions` VALUES (95185, 8031, 18, 'Medidor de acuidade potencial');
INSERT INTO `lang_definitions` VALUES (95186, 8032, 18, 'Distribuído por');
INSERT INTO `lang_definitions` VALUES (95187, 8033, 18, 'PPE + Prev Med / Surg Hx');
INSERT INTO `lang_definitions` VALUES (95188, 8034, 18, 'PQRI');
INSERT INTO `lang_definitions` VALUES (95189, 8035, 18, 'ID de registro PQRI');
INSERT INTO `lang_definitions` VALUES (95190, 8036, 18, 'PQRI Registry Name');
INSERT INTO `lang_definitions` VALUES (95191, 8037, 18, 'Clínica');
INSERT INTO `lang_definitions` VALUES (95192, 8038, 18, 'Configuração padrão de prática');
INSERT INTO `lang_definitions` VALUES (95193, 8039, 18, 'Configurações Práticas');
INSERT INTO `lang_definitions` VALUES (95194, 8040, 18, 'Configurações de prática (prática)');
INSERT INTO `lang_definitions` VALUES (95195, 8041, 18, 'Profissional');
INSERT INTO `lang_definitions` VALUES (95196, 8042, 18, 'Avaliação Pré-Participação');
INSERT INTO `lang_definitions` VALUES (95197, 8043, 18, 'Pré-Pagamento');
INSERT INTO `lang_definitions` VALUES (95198, 8044, 18, 'Pré Pagamento');
INSERT INTO `lang_definitions` VALUES (95199, 8045, 18, 'Consulta pré-aborto');
INSERT INTO `lang_definitions` VALUES (95200, 8046, 18, 'Aconselhamento pré-aborto');
INSERT INTO `lang_definitions` VALUES (95201, 8047, 18, 'Valor de pré-pagamento');
INSERT INTO `lang_definitions` VALUES (95202, 8048, 18, 'Pref Categoria');
INSERT INTO `lang_definitions` VALUES (95203, 8049, 18, 'Preferência');
INSERT INTO `lang_definitions` VALUES (95204, 8050, 18, 'Preferências');
INSERT INTO `lang_definitions` VALUES (95205, 8051, 18, 'Preferências atualizadas com sucesso');
INSERT INTO `lang_definitions` VALUES (95206, 8052, 18, 'Preferidos Categoria do evento');
INSERT INTO `lang_definitions` VALUES (95207, 8053, 18, 'Idioma preferido');
INSERT INTO `lang_definitions` VALUES (95208, 8054, 18, 'Preferidos Farmácia');
INSERT INTO `lang_definitions` VALUES (95209, 8055, 18, 'Preferred Provider Organization (PPO)');
INSERT INTO `lang_definitions` VALUES (95210, 8056, 18, 'Teste de gravidez');
INSERT INTO `lang_definitions` VALUES (95211, 8057, 18, 'Preliminar');
INSERT INTO `lang_definitions` VALUES (95212, 8058, 18, 'Preparando para rodar o Relatório');
INSERT INTO `lang_definitions` VALUES (95213, 8059, 18, 'Pagamento antecipado');
INSERT INTO `lang_definitions` VALUES (95214, 8060, 18, 'Anexar linha em branco');
INSERT INTO `lang_definitions` VALUES (95215, 8061, 18, 'Prescrição');
INSERT INTO `lang_definitions` VALUES (95216, 8062, 18, 'Prescrição - lista as prescrições do paciente atual');
INSERT INTO `lang_definitions` VALUES (95217, 8063, 18, 'A prescrição alcançou o limite de de');
INSERT INTO `lang_definitions` VALUES (95218, 8064, 18, 'Histórico de Prescrição');
INSERT INTO `lang_definitions` VALUES (95219, 8065, 18, 'Importação do Histórico de Prescrição completado com sucesso');
INSERT INTO `lang_definitions` VALUES (95220, 8066, 18, 'Prescrição Label');
INSERT INTO `lang_definitions` VALUES (95221, 8067, 18, 'Relatório de Prescrição');
INSERT INTO `lang_definitions` VALUES (95222, 8068, 18, 'Prescrição removida com sucesso.');
INSERT INTO `lang_definitions` VALUES (95223, 8069, 18, 'Revisão de transmissão de prescrição');
INSERT INTO `lang_definitions` VALUES (95224, 8070, 18, 'Prescrição');
INSERT INTO `lang_definitions` VALUES (95225, 8071, 18, 'Prescrições (escrita, adicionalmente opcional)');
INSERT INTO `lang_definitions` VALUES (95226, 8072, 18, 'Prescrições (escrita, adicionalmente opcional) (rx)');
INSERT INTO `lang_definitions` VALUES (95227, 8073, 18, 'Prescrição e dispensas');
INSERT INTO `lang_definitions` VALUES (95228, 8074, 18, 'Prescrições e outras referências');
INSERT INTO `lang_definitions` VALUES (95229, 8075, 18, 'Prescrições e / ou referências do especialista');
INSERT INTO `lang_definitions` VALUES (95230, 8076, 18, 'Prescrição Relatório');
INSERT INTO `lang_definitions` VALUES (95231, 8077, 18, 'Prescrição / Registo');
INSERT INTO `lang_definitions` VALUES (95232, 8078, 18, 'Presente');
INSERT INTO `lang_definitions` VALUES (95233, 8079, 18, 'Apresentando Reclamação');
INSERT INTO `lang_definitions` VALUES (95234, 8080, 18, 'Apresentando problema (s)');
INSERT INTO `lang_definitions` VALUES (95235, 8081, 18, 'Pressione Continuar para prosseguir');
INSERT INTO `lang_definitions` VALUES (95236, 8082, 18, 'Pressione o botão piscando na chave USB dentro de 1 minuto após inseri-la e clique em registrar para registrar a chave com OpenEMR');
INSERT INTO `lang_definitions` VALUES (95237, 8083, 18, 'Pressione este ícone para construir sua impressão / plano');
INSERT INTO `lang_definitions` VALUES (95238, 8084, 18, 'Presume-Diagnóstico');
INSERT INTO `lang_definitions` VALUES (95239, 8085, 18, 'Diagnóstico presumido por especialista');
INSERT INTO `lang_definitions` VALUES (95240, 8086, 18, 'Anterior');
INSERT INTO `lang_definitions` VALUES (95241, 8087, 18, 'Ant. Med / Surg Hx');
INSERT INTO `lang_definitions` VALUES (95242, 8088, 18, 'Ant. mês (segure para menu)');
INSERT INTO `lang_definitions` VALUES (95243, 8089, 18, 'Ant. ano (segure para menu)');
INSERT INTO `lang_definitions` VALUES (95244, 8091, 18, 'Cuidados Preventivos');
INSERT INTO `lang_definitions` VALUES (95245, 8092, 18, 'Prevenção Rehab');
INSERT INTO `lang_definitions` VALUES (95246, 8093, 18, 'Cuidados preventivos e triagem: uso de tabaco: triagem e intervenção para cessação (CQM)');
INSERT INTO `lang_definitions` VALUES (95247, 8094, 18, 'Preview Event');
INSERT INTO `lang_definitions` VALUES (95248, 8095, 18, 'Arquivo de visualização');
INSERT INTO `lang_definitions` VALUES (95249, 8096, 18, 'A visualização não está disponível para este tipo de documento');
INSERT INTO `lang_definitions` VALUES (95250, 8097, 18, 'Antevisão de');
INSERT INTO `lang_definitions` VALUES (95251, 8098, 18, 'Anterior');
INSERT INTO `lang_definitions` VALUES (95252, 8099, 18, 'Consultas anteriores');
INSERT INTO `lang_definitions` VALUES (95253, 8100, 18, 'Dia Anterior');
INSERT INTO `lang_definitions` VALUES (95254, 8102, 18, 'História Anterior / Screening');
INSERT INTO `lang_definitions` VALUES (95255, 8103, 18, 'Mês anterior');
INSERT INTO `lang_definitions` VALUES (95256, 8104, 18, 'Semana anterior');
INSERT INTO `lang_definitions` VALUES (95257, 8105, 18, 'Preço');
INSERT INTO `lang_definitions` VALUES (95258, 8106, 18, 'O preço pode ser definido manualmente ou, se já definido, pode ser alterado aqui');
INSERT INTO `lang_definitions` VALUES (95259, 8107, 18, 'Preço alterado');
INSERT INTO `lang_definitions` VALUES (95260, 8108, 18, 'Valor Desconto');
INSERT INTO `lang_definitions` VALUES (95261, 8109, 18, 'Nível de Preços');
INSERT INTO `lang_definitions` VALUES (95262, 8110, 18, 'Nível de preço alterado');
INSERT INTO `lang_definitions` VALUES (95263, 8111, 18, 'Nível de Preços:');
INSERT INTO `lang_definitions` VALUES (95264, 8112, 18, 'Nível de preço');
INSERT INTO `lang_definitions` VALUES (95265, 8113, 18, 'Preços');
INSERT INTO `lang_definitions` VALUES (95266, 8114, 18, 'Primário');
INSERT INTO `lang_definitions` VALUES (95267, 8115, 18, 'Entidade Empresarial Primária');
INSERT INTO `lang_definitions` VALUES (95268, 8116, 18, 'O ID fiscal da entidade comercial primária é usado como o ID da conta para NewCrop ePrescription Mudar a instalação afetará o trabalho em NewCrop');
INSERT INTO `lang_definitions` VALUES (95269, 8117, 18, 'O ID fiscal da entidade comercial primária é usado como o ID da conta para NewCrop ePrescription');
INSERT INTO `lang_definitions` VALUES (95270, 8118, 18, 'Atenção Primária');
INSERT INTO `lang_definitions` VALUES (95271, 8119, 18, 'Prestador de primeiros socorros');
INSERT INTO `lang_definitions` VALUES (95272, 8120, 18, 'Cidade da instalação primária');
INSERT INTO `lang_definitions` VALUES (95273, 8121, 18, 'Código do país da instalação primária');
INSERT INTO `lang_definitions` VALUES (95274, 8122, 18, 'Estado da instalação primária');
INSERT INTO `lang_definitions` VALUES (95275, 8123, 18, 'Endereço da rua principal da instalação');
INSERT INTO `lang_definitions` VALUES (95276, 8124, 18, 'Código postal da instalação primária');
INSERT INTO `lang_definitions` VALUES (95277, 8125, 18, 'Ins Primário');
INSERT INTO `lang_definitions` VALUES (95278, 8126, 18, 'Seguro Primário');
INSERT INTO `lang_definitions` VALUES (95279, 8127, 18, 'Primária de Seguro de Dados');
INSERT INTO `lang_definitions` VALUES (95280, 8128, 18, 'Primeiro Convênio');
INSERT INTO `lang_definitions` VALUES (95281, 8129, 18, 'Provedor primário');
INSERT INTO `lang_definitions` VALUES (95282, 8130, 18, 'Imprimir');
INSERT INTO `lang_definitions` VALUES (95283, 8131, 18, 'Imprimir (HTML)');
INSERT INTO `lang_definitions` VALUES (95284, 8132, 18, 'Imprimir (PDF)');
INSERT INTO `lang_definitions` VALUES (95285, 8133, 18, 'Imprimir alterações');
INSERT INTO `lang_definitions` VALUES (95286, 8134, 18, 'Imprimir Qualquer Encontro');
INSERT INTO `lang_definitions` VALUES (95287, 8135, 18, 'Print Blank Referral Forma');
INSERT INTO `lang_definitions` VALUES (95288, 8136, 18, 'Comando de Impressão');
INSERT INTO `lang_definitions` VALUES (95289, 8137, 18, 'Imprimir mensagem personalizada');
INSERT INTO `lang_definitions` VALUES (95290, 8138, 18, 'Data de impressão');
INSERT INTO `lang_definitions` VALUES (95291, 8139, 18, 'Impressão final do Dia Relatório 1');
INSERT INTO `lang_definitions` VALUES (95292, 8140, 18, 'Imprimir relatório de fim de dia 2');
INSERT INTO `lang_definitions` VALUES (95293, 8141, 18, 'Imprimir relatório de fim de dia 3');
INSERT INTO `lang_definitions` VALUES (95294, 8142, 18, 'Imprimir lista inteira');
INSERT INTO `lang_definitions` VALUES (95295, 8143, 18, 'Formato de Impressão');
INSERT INTO `lang_definitions` VALUES (95296, 8144, 18, 'Imprimir Quatro Painel');
INSERT INTO `lang_definitions` VALUES (95297, 8145, 18, 'Imprimir Pagamentos');
INSERT INTO `lang_definitions` VALUES (95298, 8146, 18, 'Imprimir localmente');
INSERT INTO `lang_definitions` VALUES (95299, 8147, 18, 'Imprimir mensagem');
INSERT INTO `lang_definitions` VALUES (95300, 8148, 18, 'Imprimir múltiplas');
INSERT INTO `lang_definitions` VALUES (95301, 8149, 18, 'Para imprimir várias Fax');
INSERT INTO `lang_definitions` VALUES (95302, 8150, 18, 'Imprimir nome, data e assinatura.');
INSERT INTO `lang_definitions` VALUES (95303, 8151, 18, 'Imprimir Notas');
INSERT INTO `lang_definitions` VALUES (95304, 8152, 18, 'Imprimir Página 1');
INSERT INTO `lang_definitions` VALUES (95305, 8153, 18, 'Imprimir página 2');
INSERT INTO `lang_definitions` VALUES (95306, 8154, 18, 'Imprimir etiqueta de endereço do paciente');
INSERT INTO `lang_definitions` VALUES (95307, 8155, 18, 'Imprimir nota de faturamento do paciente');
INSERT INTO `lang_definitions` VALUES (95308, 8156, 18, 'Imprimir recibos por fornecedor');
INSERT INTO `lang_definitions` VALUES (95309, 8157, 18, 'Imprimir Anotação');
INSERT INTO `lang_definitions` VALUES (95310, 8160, 18, 'Imprimir remotamente');
INSERT INTO `lang_definitions` VALUES (95311, 8161, 18, 'Imprimir Relatório');
INSERT INTO `lang_definitions` VALUES (95312, 8163, 18, 'Imprimir Opção Selecionada');
INSERT INTO `lang_definitions` VALUES (95313, 8164, 18, 'Imprimir Shot Record');
INSERT INTO `lang_definitions` VALUES (95314, 8165, 18, 'Imprima o próximo compromisso na parte inferior do livro-razão');
INSERT INTO `lang_definitions` VALUES (95315, 8166, 18, 'Imprimir Esta Consulta');
INSERT INTO `lang_definitions` VALUES (95316, 8167, 18, 'Imprima este formulário');
INSERT INTO `lang_definitions` VALUES (95317, 8168, 18, 'Imprimir esta nota');
INSERT INTO `lang_definitions` VALUES (95318, 8169, 18, 'Imprimir esta nota');
INSERT INTO `lang_definitions` VALUES (95319, 8170, 18, 'Imprimir');
INSERT INTO `lang_definitions` VALUES (95320, 8171, 18, 'Imprimir para Fax');
INSERT INTO `lang_definitions` VALUES (95321, 8172, 18, 'Versão para impressão');
INSERT INTO `lang_definitions` VALUES (95322, 8173, 18, 'Imprimir Proposta');
INSERT INTO `lang_definitions` VALUES (95323, 8174, 18, 'Printable Version');
INSERT INTO `lang_definitions` VALUES (95324, 8175, 18, 'Impresso');
INSERT INTO `lang_definitions` VALUES (95325, 8176, 18, 'Impressora');
INSERT INTO `lang_definitions` VALUES (95326, 8177, 18, 'Opção de registro de impressão');
INSERT INTO `lang_definitions` VALUES (95327, 8178, 18, 'Impressão de resultados:');
INSERT INTO `lang_definitions` VALUES (95328, 8179, 18, 'Impressão pulada; veja o resultado do teste em');
INSERT INTO `lang_definitions` VALUES (95329, 8180, 18, 'Imprensa ignorado; ver a saída de teste em');
INSERT INTO `lang_definitions` VALUES (95330, 8181, 18, 'Imprime o CMS 1500 no formulário pré-impresso');
INSERT INTO `lang_definitions` VALUES (95331, 8182, 18, 'Antes Auth');
INSERT INTO `lang_definitions` VALUES (95332, 8184, 18, 'Formulário de Autorização Prévia');
INSERT INTO `lang_definitions` VALUES (95333, 8185, 18, 'Exame Prévio');
INSERT INTO `lang_definitions` VALUES (95334, 8186, 18, 'Meds para olhos anteriores');
INSERT INTO `lang_definitions` VALUES (95335, 8187, 18, 'IMP / PLANO anterior');
INSERT INTO `lang_definitions` VALUES (95336, 8188, 18, 'Refrações anteriores');
INSERT INTO `lang_definitions` VALUES (95337, 8189, 18, 'Visita Prévia');
INSERT INTO `lang_definitions` VALUES (95338, 8190, 18, 'Visitas Prévias');
INSERT INTO `lang_definitions` VALUES (95339, 8191, 18, 'Prioridade');
INSERT INTO `lang_definitions` VALUES (95340, 8192, 18, 'Prioridade');
INSERT INTO `lang_definitions` VALUES (95341, 8193, 18, 'Prisma');
INSERT INTO `lang_definitions` VALUES (95342, 8194, 18, 'Dioptrias de prisma');
INSERT INTO `lang_definitions` VALUES (95343, 8195, 18, 'Centro Correcional Prisional');
INSERT INTO `lang_definitions` VALUES (95344, 8196, 18, 'Privado');
INSERT INTO `lang_definitions` VALUES (95345, 8197, 18, 'Problema');
INSERT INTO `lang_definitions` VALUES (95346, 8198, 18, 'Problema DX');
INSERT INTO `lang_definitions` VALUES (95347, 8199, 18, 'Lista Problema');
INSERT INTO `lang_definitions` VALUES (95348, 8200, 18, 'Problemas');
INSERT INTO `lang_definitions` VALUES (95349, 8201, 18, 'Problemas e Diagnóstico');
INSERT INTO `lang_definitions` VALUES (95350, 8202, 18, 'Problemas / Questões');
INSERT INTO `lang_definitions` VALUES (95351, 8203, 18, 'Proc Bat');
INSERT INTO `lang_definitions` VALUES (95352, 8204, 18, 'Proc Cat');
INSERT INTO `lang_definitions` VALUES (95353, 8205, 18, 'Proc Load');
INSERT INTO `lang_definitions` VALUES (95354, 8206, 18, 'Proc Pending Rev');
INSERT INTO `lang_definitions` VALUES (95355, 8207, 18, 'Proc Prov');
INSERT INTO `lang_definitions` VALUES (95356, 8208, 18, 'Proc Res');
INSERT INTO `lang_definitions` VALUES (95357, 8209, 18, 'Procedimento');
INSERT INTO `lang_definitions` VALUES (95358, 8210, 18, 'Locais do corpo de procedimento');
INSERT INTO `lang_definitions` VALUES (95359, 8211, 18, 'Locais do corpo de procedimento - braço, nádega e outros - usados para imunização - modifique conforme necessário');
INSERT INTO `lang_definitions` VALUES (95360, 8212, 18, 'Resultados booleanos do procedimento');
INSERT INTO `lang_definitions` VALUES (95361, 8213, 18, 'Resultados booleanos do procedimento - Não e Sim');
INSERT INTO `lang_definitions` VALUES (95362, 8214, 18, 'Código de Procedimento');
INSERT INTO `lang_definitions` VALUES (95363, 8215, 18, 'Códigos de Procedimento');
INSERT INTO `lang_definitions` VALUES (95364, 8216, 18, 'Lateralidades do procedimento');
INSERT INTO `lang_definitions` VALUES (95365, 8217, 18, 'Lateralidades do procedimento - esquerda, direita e bilateral');
INSERT INTO `lang_definitions` VALUES (95366, 8218, 18, 'Nome do Procedimento');
INSERT INTO `lang_definitions` VALUES (95367, 8219, 18, 'Nota de procedimento - 2010');
INSERT INTO `lang_definitions` VALUES (95368, 8220, 18, 'Procedimento');
INSERT INTO `lang_definitions` VALUES (95369, 8221, 18, 'Procedimento');
INSERT INTO `lang_definitions` VALUES (95370, 8222, 18, 'Detalhes do pedido de procedimento');
INSERT INTO `lang_definitions` VALUES (95371, 8223, 18, 'Procedimento para');
INSERT INTO `lang_definitions` VALUES (95372, 8224, 18, 'Ordem de procedimento não encontrada');
INSERT INTO `lang_definitions` VALUES (95373, 8225, 18, 'pedido de procedimento não encontrado no banco de dados de contato de suporte técnico');
INSERT INTO `lang_definitions` VALUES (95374, 8226, 18, 'Pedidos e relatórios de procedimentos');
INSERT INTO `lang_definitions` VALUES (95375, 8227, 18, 'Selecionador de Procedimento');
INSERT INTO `lang_definitions` VALUES (95376, 8228, 18, 'Provedor de procedimento');
INSERT INTO `lang_definitions` VALUES (95377, 8229, 18, 'Provedor de procedimento');
INSERT INTO `lang_definitions` VALUES (95378, 8230, 18, 'Ajuda do provedor de procedimentos');
INSERT INTO `lang_definitions` VALUES (95379, 8231, 18, 'Provedores de procedimento');
INSERT INTO `lang_definitions` VALUES (95380, 8232, 18, 'Relatório de Procedimento');
INSERT INTO `lang_definitions` VALUES (95381, 8233, 18, 'Relatório do procedimento anormal');
INSERT INTO `lang_definitions` VALUES (95382, 8234, 18, 'Relatório de procedimento anormal - Não, Sim, Alto, Baixo Acima do limite superior de pânico e Abaixo do limite inferior de pânico');
INSERT INTO `lang_definitions` VALUES (95383, 8235, 18, 'Status do relatório de procedimento');
INSERT INTO `lang_definitions` VALUES (95384, 8236, 18, 'Status do relatório de procedimento - Final, Revisado, Preliminar, Cancelado, Erro e Corrigido');
INSERT INTO `lang_definitions` VALUES (95385, 8237, 18, 'Resultado do procedimento anormal');
INSERT INTO `lang_definitions` VALUES (95386, 8238, 18, 'Status do resultado do procedimento');
INSERT INTO `lang_definitions` VALUES (95387, 8239, 18, 'Status do resultado do procedimento - Final, Preliminar, Cancelado, Erro, Corrigido e Incompleto');
INSERT INTO `lang_definitions` VALUES (95388, 8240, 18, 'Resultados do procedimento');
INSERT INTO `lang_definitions` VALUES (95389, 8241, 18, 'Rotas de Procedimento');
INSERT INTO `lang_definitions` VALUES (95390, 8242, 18, 'Rotas de procedimento - injeção, oral e outras');
INSERT INTO `lang_definitions` VALUES (95391, 8243, 18, 'Tipos de amostra de procedimento');
INSERT INTO `lang_definitions` VALUES (95392, 8244, 18, 'Tipos de espécimes de procedimento - sangue, saliva, urina e outros');
INSERT INTO `lang_definitions` VALUES (95393, 8245, 18, 'Relatório de estatísticas de procedimento');
INSERT INTO `lang_definitions` VALUES (95394, 8246, 18, 'Teste de Procedimento');
INSERT INTO `lang_definitions` VALUES (95395, 8247, 18, 'Nível de procedimento');
INSERT INTO `lang_definitions` VALUES (95396, 8248, 18, 'Tipo de Procedimento');
INSERT INTO `lang_definitions` VALUES (95397, 8249, 18, 'Tipos de Procedimento');
INSERT INTO `lang_definitions` VALUES (95398, 8250, 18, 'Tipos de procedimento - Grupo, Ordem de procedimento, Resultado discreto, Recomendação, Grupo favorito personalizado e Item favorito personalizado. Usado na próxima etapa - Configurar a estrutura de teste de laboratório');
INSERT INTO `lang_definitions` VALUES (95399, 8251, 18, 'Unidades de Procedimento');
INSERT INTO `lang_definitions` VALUES (95400, 8252, 18, 'Unidades de procedimento - várias unidades necessárias para definir os valores de resultado - podem precisar ser adicionadas a esta lista dependendo dos testes incluídos, irão variar de acordo com a necessidade');
INSERT INTO `lang_definitions` VALUES (95401, 8253, 18, 'Procedimento / Serviço');
INSERT INTO `lang_definitions` VALUES (95402, 8254, 18, 'Procedimentos');
INSERT INTO `lang_definitions` VALUES (95403, 8255, 18, 'Prosseguindo para Preferências');
INSERT INTO `lang_definitions` VALUES (95404, 8256, 18, 'Processo');
INSERT INTO `lang_definitions` VALUES (95405, 8257, 18, 'Processar e enviar lembretes');
INSERT INTO `lang_definitions` VALUES (95406, 8258, 18, 'Arquivo ERA de processo');
INSERT INTO `lang_definitions` VALUES (95407, 8259, 18, 'Processar novos arquivos');
INSERT INTO `lang_definitions` VALUES (95408, 8260, 18, 'Processe novos arquivos para registros CSV');
INSERT INTO `lang_definitions` VALUES (95409, 8261, 18, 'Lembretes de Processo');
INSERT INTO `lang_definitions` VALUES (95410, 8262, 18, 'O processo leva algum tempo');
INSERT INTO `lang_definitions` VALUES (95411, 8263, 18, 'Processado');
INSERT INTO `lang_definitions` VALUES (95412, 8264, 18, 'Processado por');
INSERT INTO `lang_definitions` VALUES (95413, 8265, 18, 'Data Processada');
INSERT INTO `lang_definitions` VALUES (95414, 8266, 18, 'processado com sucesso');
INSERT INTO `lang_definitions` VALUES (95415, 8267, 18, 'Processamento');
INSERT INTO `lang_definitions` VALUES (95416, 8268, 18, 'Processamento e envio de lembretes de pacientes');
INSERT INTO `lang_definitions` VALUES (95417, 8270, 18, 'Formato de processamento');
INSERT INTO `lang_definitions` VALUES (95418, 8271, 18, 'Processando Lembretes de Pacientes');
INSERT INTO `lang_definitions` VALUES (95419, 8272, 18, 'Tempo de processamento');
INSERT INTO `lang_definitions` VALUES (95420, 8273, 18, 'Em processamento...');
INSERT INTO `lang_definitions` VALUES (95421, 8274, 18, 'produtos');
INSERT INTO `lang_definitions` VALUES (95422, 8275, 18, 'Produto adicionado');
INSERT INTO `lang_definitions` VALUES (95423, 8276, 18, 'Método contraceptivo de produto');
INSERT INTO `lang_definitions` VALUES (95424, 8277, 18, 'Produto excluído');
INSERT INTO `lang_definitions` VALUES (95425, 8278, 18, 'Produção');
INSERT INTO `lang_definitions` VALUES (95426, 8279, 18, 'Produtos');
INSERT INTO `lang_definitions` VALUES (95427, 8280, 18, 'Produtos, mas sem medicamentos controlados e sem modelos');
INSERT INTO `lang_definitions` VALUES (95428, 8281, 18, 'Produtos Fornecidos');
INSERT INTO `lang_definitions` VALUES (95429, 8282, 18, 'Prof');
INSERT INTO `lang_definitions` VALUES (95430, 8283, 18, 'Perfil');
INSERT INTO `lang_definitions` VALUES (95431, 8284, 18, 'Dados demográficos do perfil');
INSERT INTO `lang_definitions` VALUES (95432, 8286, 18, 'Perfis');
INSERT INTO `lang_definitions` VALUES (95433, 8287, 18, 'Prog. {{Lentes progressivas}}');
INSERT INTO `lang_definitions` VALUES (95434, 8288, 18, 'Progresso');
INSERT INTO `lang_definitions` VALUES (95435, 8289, 18, 'Nota de progresso - 2010');
INSERT INTO `lang_definitions` VALUES (95436, 8290, 18, 'Notas de progresso');
INSERT INTO `lang_definitions` VALUES (95437, 8291, 18, 'Progressivo');
INSERT INTO `lang_definitions` VALUES (95438, 8292, 18, 'Propriedades');
INSERT INTO `lang_definitions` VALUES (95439, 8293, 18, 'Fichas de hardware proprietárias');
INSERT INTO `lang_definitions` VALUES (95440, 8294, 18, 'Fichas de hardware proprietárias são à prova de adulteração e não estão conectadas à Internet ou a qualquer rede');
INSERT INTO `lang_definitions` VALUES (95441, 8295, 18, 'Câncer de Próstata');
INSERT INTO `lang_definitions` VALUES (95442, 8296, 18, 'Rastreio do câncer da próstata');
INSERT INTO `lang_definitions` VALUES (95443, 8297, 18, 'Exame de próstata');
INSERT INTO `lang_definitions` VALUES (95444, 8298, 18, 'Problemas da Próstata');
INSERT INTO `lang_definitions` VALUES (95445, 8299, 18, 'Próstata w / o enlrgmt, nódulos, concurso');
INSERT INTO `lang_definitions` VALUES (95446, 8300, 18, 'Indicador de Proteção');
INSERT INTO `lang_definitions` VALUES (95447, 8301, 18, 'Data de Vigência do Indicador de Proteção');
INSERT INTO `lang_definitions` VALUES (95448, 8302, 18, 'Protocolo');
INSERT INTO `lang_definitions` VALUES (95449, 8303, 18, 'Protocolo - consiste em duas partes - o método usado para enviar pedidos e receber resultados e se é usado para receber apenas resultados ou é usado para enviar pedidos e receber resultados, ou seja, bidirecional');
INSERT INTO `lang_definitions` VALUES (95450, 8304, 18, 'Fornece caminho absoluto');
INSERT INTO `lang_definitions` VALUES (95451, 8305, 18, 'Forneça o caminho absoluto do arquivo');
INSERT INTO `lang_definitions` VALUES (95452, 8308, 18, 'Fornece resumos clínicos para pacientes para cada visita ao consultório (Novo)');
INSERT INTO `lang_definitions` VALUES (95453, 8309, 18, 'Fornece resumos clínicos para pacientes para cada visita ao consultório');
INSERT INTO `lang_definitions` VALUES (95454, 8310, 18, 'Forneça senha para');
INSERT INTO `lang_definitions` VALUES (95455, 8311, 18, 'Fornecer aos pacientes uma cópia eletrônica de suas informações de saúde (incluindo resultados de testes diagnósticos, lista de problemas, listas de medicamentos, alergias a medicamentos), mediante solicitação');
INSERT INTO `lang_definitions` VALUES (95456, 8312, 18, 'Fornecer aos pacientes acesso eletrônico em tempo hábil às suas informações de saúde (incluindo resultados de laboratório, lista de problemas, listas de medicamentos, alergias a medicamentos) no prazo de quatro dias úteis da informação estar disponível para o PE');
INSERT INTO `lang_definitions` VALUES (95457, 8313, 18, 'Fornecer registros ao paciente para visita');
INSERT INTO `lang_definitions` VALUES (95458, 8314, 18, 'Forneça o código TOTP');
INSERT INTO `lang_definitions` VALUES (95459, 8315, 18, 'Forneça um endereço de email válido');
INSERT INTO `lang_definitions` VALUES (95460, 8316, 18, 'Fornecido Relatório Clínico?');
INSERT INTO `lang_definitions` VALUES (95461, 8317, 18, 'As Orientações Clínicas foram informadas?');
INSERT INTO `lang_definitions` VALUES (95462, 8318, 18, 'Médico');
INSERT INTO `lang_definitions` VALUES (95463, 8319, 18, 'fornecedor');
INSERT INTO `lang_definitions` VALUES (95464, 8320, 18, 'Acesso do provedor');
INSERT INTO `lang_definitions` VALUES (95465, 8321, 18, 'Painel do Provedor');
INSERT INTO `lang_definitions` VALUES (95466, 8322, 18, 'Id do provedor');
INSERT INTO `lang_definitions` VALUES (95467, 8323, 18, 'ID do provedor');
INSERT INTO `lang_definitions` VALUES (95468, 8324, 18, 'ID do provedor na instalação especificada');
INSERT INTO `lang_definitions` VALUES (95469, 8325, 18, 'Erros de correspondência de provedor');
INSERT INTO `lang_definitions` VALUES (95470, 8326, 18, 'Provedor ausente - Adicionar um nas opções');
INSERT INTO `lang_definitions` VALUES (95471, 8327, 18, 'Nome do provedor');
INSERT INTO `lang_definitions` VALUES (95472, 8328, 18, 'Provedor não disponível, por favor escolha outro');
INSERT INTO `lang_definitions` VALUES (95473, 8329, 18, 'Provedor não disponível, usar mesmo assim?');
INSERT INTO `lang_definitions` VALUES (95474, 8330, 18, 'Número do Médico');
INSERT INTO `lang_definitions` VALUES (95475, 8331, 18, 'Número do provedor (tipo)');
INSERT INTO `lang_definitions` VALUES (95476, 8332, 18, 'Código Qualificador do Provedor');
INSERT INTO `lang_definitions` VALUES (95477, 8333, 18, 'Relacionamento do Provedor');
INSERT INTO `lang_definitions` VALUES (95478, 8334, 18, 'Atividade');
INSERT INTO `lang_definitions` VALUES (95479, 8335, 18, 'Executor');
INSERT INTO `lang_definitions` VALUES (95480, 8336, 18, 'Operadora:');
INSERT INTO `lang_definitions` VALUES (95481, 8337, 18, 'Médicos');
INSERT INTO `lang_definitions` VALUES (95482, 8338, 18, 'RG dos Médicos');
INSERT INTO `lang_definitions` VALUES (95483, 8339, 18, 'Os provedores veem o calendário inteiro');
INSERT INTO `lang_definitions` VALUES (95484, 8341, 18, 'Prv');
INSERT INTO `lang_definitions` VALUES (95485, 8342, 18, 'PSA');
INSERT INTO `lang_definitions` VALUES (95486, 8343, 18, 'Psoríase');
INSERT INTO `lang_definitions` VALUES (95487, 8344, 18, 'Psych');
INSERT INTO `lang_definitions` VALUES (95488, 8345, 18, 'Psych Diagnóstico');
INSERT INTO `lang_definitions` VALUES (95489, 8346, 18, 'Psych Medication');
INSERT INTO `lang_definitions` VALUES (95490, 8347, 18, 'Psychiatric');
INSERT INTO `lang_definitions` VALUES (95491, 8348, 18, 'Psiquiátrica Breve Carta');
INSERT INTO `lang_definitions` VALUES (95492, 8349, 18, 'Diagnóstico psiquiátrico');
INSERT INTO `lang_definitions` VALUES (95493, 8350, 18, 'Exame psiquiátrico');
INSERT INTO `lang_definitions` VALUES (95494, 8351, 18, 'Hospital Psiquiátrico - Hospitalização Parcial');
INSERT INTO `lang_definitions` VALUES (95495, 8352, 18, 'Histórico psiquiátrico');
INSERT INTO `lang_definitions` VALUES (95496, 8353, 18, 'Psiquiátrica Intake');
INSERT INTO `lang_definitions` VALUES (95497, 8354, 18, 'Medicação Psiquiátrica');
INSERT INTO `lang_definitions` VALUES (95498, 8355, 18, 'Centro de tratamento residencial psiquiátrico');
INSERT INTO `lang_definitions` VALUES (95499, 8356, 18, 'Psych {{psiquiátrica}}');
INSERT INTO `lang_definitions` VALUES (95500, 8357, 18, 'PSYCH {{Psiquiatria}}');
INSERT INTO `lang_definitions` VALUES (95501, 8358, 18, '% Pt');
INSERT INTO `lang_definitions` VALUES (95502, 8359, 18, 'Pt Dívida');
INSERT INTO `lang_definitions` VALUES (95503, 8360, 18, 'Pt Notas');
INSERT INTO `lang_definitions` VALUES (95504, 8361, 18, 'Pt Notas / Auth');
INSERT INTO `lang_definitions` VALUES (95505, 8362, 18, 'Pt excesso');
INSERT INTO `lang_definitions` VALUES (95506, 8364, 18, 'Pt Paid');
INSERT INTO `lang_definitions` VALUES (95507, 8365, 18, 'Pedido Pt Rec');
INSERT INTO `lang_definitions` VALUES (95508, 8366, 18, 'Restituição Pt');
INSERT INTO `lang_definitions` VALUES (95509, 8367, 18, 'Pt liberado');
INSERT INTO `lang_definitions` VALUES (95510, 8368, 18, 'Pt Relatório');
INSERT INTO `lang_definitions` VALUES (95511, 8369, 18, 'PT Estudante, ou deixar em branco');
INSERT INTO `lang_definitions` VALUES (95512, 8370, 18, 'PT_CITY');
INSERT INTO `lang_definitions` VALUES (95513, 8371, 18, 'PT_DOB');
INSERT INTO `lang_definitions` VALUES (95514, 8372, 18, 'PT_EMAIL');
INSERT INTO `lang_definitions` VALUES (95515, 8373, 18, 'PT_FNAME');
INSERT INTO `lang_definitions` VALUES (95516, 8374, 18, 'PT_LNAME');
INSERT INTO `lang_definitions` VALUES (95517, 8375, 18, 'PT_MNAME');
INSERT INTO `lang_definitions` VALUES (95518, 8376, 18, 'PT_PHONE_CELL');
INSERT INTO `lang_definitions` VALUES (95519, 8377, 18, 'PT_PHONE_HOME');
INSERT INTO `lang_definitions` VALUES (95520, 8378, 18, 'PT_POSTAL');
INSERT INTO `lang_definitions` VALUES (95521, 8379, 18, 'PT_SSN');
INSERT INTO `lang_definitions` VALUES (95522, 8380, 18, 'PT_STATE');
INSERT INTO `lang_definitions` VALUES (95523, 8381, 18, 'PT_STREET');
INSERT INTO `lang_definitions` VALUES (95524, 8382, 18, 'Púbis');
INSERT INTO `lang_definitions` VALUES (95525, 8383, 18, 'Público');
INSERT INTO `lang_definitions` VALUES (95526, 8384, 18, 'Agência Pública');
INSERT INTO `lang_definitions` VALUES (95527, 8385, 18, 'Clínica de Saúde Pública');
INSERT INTO `lang_definitions` VALUES (95528, 8386, 18, 'Médico de Saúde Pública');
INSERT INTO `lang_definitions` VALUES (95529, 8387, 18, 'Serviço de Saúde Pública (PHS) ou outra agência federal');
INSERT INTO `lang_definitions` VALUES (95530, 8388, 18, 'Id do paciente público');
INSERT INTO `lang_definitions` VALUES (95531, 8389, 18, 'Código de Publicidade');
INSERT INTO `lang_definitions` VALUES (95532, 8390, 18, 'Data de Vigência do Código de Publicidade');
INSERT INTO `lang_definitions` VALUES (95533, 8391, 18, 'Publicar');
INSERT INTO `lang_definitions` VALUES (95534, 8392, 18, 'Publicar paciente no servidor FHIR');
INSERT INTO `lang_definitions` VALUES (95535, 8393, 18, 'Púbico');
INSERT INTO `lang_definitions` VALUES (95536, 8394, 18, 'Puerto Rican');
INSERT INTO `lang_definitions` VALUES (95537, 8395, 18, 'sopro');
INSERT INTO `lang_definitions` VALUES (95538, 8396, 18, 'Pulmonar');
INSERT INTO `lang_definitions` VALUES (95539, 8397, 18, 'PULM {{Pulmonar}}');
INSERT INTO `lang_definitions` VALUES (95540, 8398, 18, 'Pulse');
INSERT INTO `lang_definitions` VALUES (95541, 8399, 18, 'Punjabi');
INSERT INTO `lang_definitions` VALUES (95542, 8400, 18, 'Alunos');
INSERT INTO `lang_definitions` VALUES (95543, 8401, 18, 'Compra');
INSERT INTO `lang_definitions` VALUES (95544, 8402, 18, 'Compra / Devolução');
INSERT INTO `lang_definitions` VALUES (95545, 8403, 18, 'Compras');
INSERT INTO `lang_definitions` VALUES (95546, 8404, 18, 'px');
INSERT INTO `lang_definitions` VALUES (95547, 8405, 18, 'Psiquiatria');
INSERT INTO `lang_definitions` VALUES (95548, 8406, 18, 'P{{Justificar o Cabeçalho}}');
INSERT INTO `lang_definitions` VALUES (95549, 8407, 18, 'Pāli');
INSERT INTO `lang_definitions` VALUES (95550, 8408, 18, 'q.3h');
INSERT INTO `lang_definitions` VALUES (95551, 8409, 18, 'q.4h');
INSERT INTO `lang_definitions` VALUES (95552, 8410, 18, 'q.5h');
INSERT INTO `lang_definitions` VALUES (95553, 8411, 18, 'q.6h');
INSERT INTO `lang_definitions` VALUES (95554, 8412, 18, 'q.8h');
INSERT INTO `lang_definitions` VALUES (95555, 8413, 18, 'q.d.');
INSERT INTO `lang_definitions` VALUES (95556, 8414, 18, 'q.i.d.');
INSERT INTO `lang_definitions` VALUES (95557, 8415, 18, 'QHD');
INSERT INTO `lang_definitions` VALUES (95558, 8416, 18, 'QOE');
INSERT INTO `lang_definitions` VALUES (95559, 8417, 18, 'Ecl');
INSERT INTO `lang_definitions` VALUES (95560, 8418, 18, 'QOH é menor que o uso mensal');
INSERT INTO `lang_definitions` VALUES (95561, 8419, 18, 'Qtde');
INSERT INTO `lang_definitions` VALUES (95562, 8420, 18, 'QTD');
INSERT INTO `lang_definitions` VALUES (95563, 8421, 18, 'Qualidade');
INSERT INTO `lang_definitions` VALUES (95564, 8422, 18, 'Medidas de qualidade (CQM)');
INSERT INTO `lang_definitions` VALUES (95565, 8423, 18, 'Quantidade');
INSERT INTO `lang_definitions` VALUES (95566, 8424, 18, 'Quantidade alterada');
INSERT INTO `lang_definitions` VALUES (95567, 8425, 18, 'Quantidade de NDC');
INSERT INTO `lang_definitions` VALUES (95568, 8426, 18, 'Quantidade On Hand');
INSERT INTO `lang_definitions` VALUES (95569, 8427, 18, 'quantidade parece inutilizável');
INSERT INTO `lang_definitions` VALUES (95570, 8428, 18, 'Quantidade:');
INSERT INTO `lang_definitions` VALUES (95571, 8429, 18, 'Quechua');
INSERT INTO `lang_definitions` VALUES (95572, 8430, 18, 'Erro de consulta');
INSERT INTO `lang_definitions` VALUES (95573, 8431, 18, 'Ponto de interrogação');
INSERT INTO `lang_definitions` VALUES (95574, 8432, 18, 'HCFA fila para processamento em lote');
INSERT INTO `lang_definitions` VALUES (95575, 8433, 18, 'HCFA fila para processamento em lote e impressão');
INSERT INTO `lang_definitions` VALUES (95576, 8434, 18, 'Fila para o UB-92 lotes de processamento');
INSERT INTO `lang_definitions` VALUES (95577, 8435, 18, 'Fila para o UB-92 lotes de processamento e impressão');
INSERT INTO `lang_definitions` VALUES (95578, 8436, 18, 'Enfileirado');
INSERT INTO `lang_definitions` VALUES (95579, 8437, 18, 'Em fila de espera de eventos Administração');
INSERT INTO `lang_definitions` VALUES (95580, 8438, 18, 'Em fila de espera para');
INSERT INTO `lang_definitions` VALUES (95581, 8439, 18, 'Na fila para transferência');
INSERT INTO `lang_definitions` VALUES (95582, 8440, 18, 'Submissões fila Administração');
INSERT INTO `lang_definitions` VALUES (95583, 8441, 18, 'Quick Picks');
INSERT INTO `lang_definitions` VALUES (95584, 8442, 18, 'Sair');
INSERT INTO `lang_definitions` VALUES (95585, 8443, 18, 'Pare de álcool');
INSERT INTO `lang_definitions` VALUES (95586, 8444, 18, 'QWXGA');
INSERT INTO `lang_definitions` VALUES (95587, 8445, 18, 'R');
INSERT INTO `lang_definitions` VALUES (95588, 8446, 18, 'R / LG {{gonioscopia direita / esquerda}}');
INSERT INTO `lang_definitions` VALUES (95589, 8447, 18, 'R / LPACH {{paquimetria direita / esquerda}}');
INSERT INTO `lang_definitions` VALUES (95590, 8448, 18, 'R / LSCH1 {{Schirmers I direito / esquerdo (sem anestesia)}}');
INSERT INTO `lang_definitions` VALUES (95591, 8449, 18, 'R / LSCH2 {{Schirmers II direito / esquerdo (c / anestesia)}}');
INSERT INTO `lang_definitions` VALUES (95592, 8450, 18, 'R / LTBUT {{Tempo de separação do rasgo direito / esquerdo}}');
INSERT INTO `lang_definitions` VALUES (95593, 8451, 18, 'RA para Paciente, Encontro ou Rastreio');
INSERT INTO `lang_definitions` VALUES (95594, 8452, 18, 'Raça');
INSERT INTO `lang_definitions` VALUES (95595, 8453, 18, 'Raça e etnia');
INSERT INTO `lang_definitions` VALUES (95596, 8454, 18, 'Raça / Etnia');
INSERT INTO `lang_definitions` VALUES (95597, 8455, 18, 'RAC {{câmara anterior direita}}');
INSERT INTO `lang_definitions` VALUES (95598, 8456, 18, 'Rádio');
INSERT INTO `lang_definitions` VALUES (95599, 8457, 18, 'Radio buttons');
INSERT INTO `lang_definitions` VALUES (95600, 8458, 18, 'Mestre do Grupo de Rádio');
INSERT INTO `lang_definitions` VALUES (95601, 8459, 18, 'Membro do Grupo de Rádio');
INSERT INTO `lang_definitions` VALUES (95602, 8460, 18, 'RAD {{anexo direito}}');
INSERT INTO `lang_definitions` VALUES (95603, 8461, 18, 'Triagem Aleatória de Drogas');
INSERT INTO `lang_definitions` VALUES (95604, 8462, 18, 'Alcance');
INSERT INTO `lang_definitions` VALUES (95605, 8463, 18, 'Pruridos');
INSERT INTO `lang_definitions` VALUES (95606, 8464, 18, 'Categoria');
INSERT INTO `lang_definitions` VALUES (95607, 8465, 18, 'Em vez de conceder acesso a cada ACO individualmente para cada usuário, o programa concede acesso a grupos que solicitam esses privilégios. Esses grupos são chamados de Objetos de Solicitação de Acesso (ARO)');
INSERT INTO `lang_definitions` VALUES (95608, 8466, 18, 'Razão');
INSERT INTO `lang_definitions` VALUES (95609, 8467, 18, 'Relatório Bruto');
INSERT INTO `lang_definitions` VALUES (95610, 8468, 18, 'RB {{sobrancelha direita}}');
INSERT INTO `lang_definitions` VALUES (95611, 8469, 18, 'RCMT {{Espessura Macular Central direita}}');
INSERT INTO `lang_definitions` VALUES (95612, 8470, 18, 'RCOM {{comentários certos}}');
INSERT INTO `lang_definitions` VALUES (95613, 8471, 18, 'RCUP{{copo direito}}');
INSERT INTO `lang_definitions` VALUES (95614, 8472, 18, 'RC {{conjuntiva direita}}');
INSERT INTO `lang_definitions` VALUES (95615, 8473, 18, 'RD {{descolamento de retina}}');
INSERT INTO `lang_definitions` VALUES (95616, 8474, 18, 'RD {{disco direito}}');
INSERT INTO `lang_definitions` VALUES (95617, 8475, 18, 'Reidentificação');
INSERT INTO `lang_definitions` VALUES (95618, 8476, 18, 'Processo de reidentificação concluído');
INSERT INTO `lang_definitions` VALUES (95619, 8477, 18, 'O processo de reidentificação está em andamento');
INSERT INTO `lang_definitions` VALUES (95620, 8478, 18, 'Os arquivos de reidentificação serão salvos em');
INSERT INTO `lang_definitions` VALUES (95621, 8479, 18, 'Re-lesão?');
INSERT INTO `lang_definitions` VALUES (95622, 8480, 18, 'Reaberto');
INSERT INTO `lang_definitions` VALUES (95623, 8481, 18, 'Reabrir visita');
INSERT INTO `lang_definitions` VALUES (95624, 8482, 18, 'Reaberto');
INSERT INTO `lang_definitions` VALUES (95625, 8483, 18, 'Reabrir esta visita causará um vazio. As informações de pagamento precisarão ser inseridas novamente. Você quer prosseguir?');
INSERT INTO `lang_definitions` VALUES (95626, 8484, 18, 'Reação');
INSERT INTO `lang_definitions` VALUES (95627, 8485, 18, 'Reação - urticária, náusea, falta de ar ou não atribuída');
INSERT INTO `lang_definitions` VALUES (95628, 8486, 18, 'Reações');
INSERT INTO `lang_definitions` VALUES (95629, 8487, 18, 'Reativar');
INSERT INTO `lang_definitions` VALUES (95630, 8488, 18, 'reagir {{reatividade}}');
INSERT INTO `lang_definitions` VALUES (95631, 8489, 18, 'Ler');
INSERT INTO `lang_definitions` VALUES (95632, 8490, 18, 'Somente leitura');
INSERT INTO `lang_definitions` VALUES (95633, 8491, 18, 'Leia o arquivo de ajuda para entender as etapas iniciais de pré-configuração');
INSERT INTO `lang_definitions` VALUES (95634, 8492, 18, 'Leia estes dois artigos wiki para personalizar a Folha de Taxas');
INSERT INTO `lang_definitions` VALUES (95635, 8493, 18, 'Leia esta página wiki para mais detalhes');
INSERT INTO `lang_definitions` VALUES (95636, 8494, 18, 'Leia este arquivo de ajuda e seus documentos de suporte antes de começar a configurar os pedidos e resultados');
INSERT INTO `lang_definitions` VALUES (95637, 8495, 18, 'Somente leitura do histórico');
INSERT INTO `lang_definitions` VALUES (95638, 8496, 18, 'Nome real');
INSERT INTO `lang_definitions` VALUES (95639, 8497, 18, 'Apague mesmo');
INSERT INTO `lang_definitions` VALUES (95640, 8498, 18, 'Motivo');
INSERT INTO `lang_definitions` VALUES (95641, 8499, 18, 'Motivo do Encerramento');
INSERT INTO `lang_definitions` VALUES (95642, 8500, 18, 'Razão da Morte');
INSERT INTO `lang_definitions` VALUES (95643, 8501, 18, 'Motivo para encaminhamento');
INSERT INTO `lang_definitions` VALUES (95644, 8502, 18, 'Motivo do encaminhamento');
INSERT INTO `lang_definitions` VALUES (95645, 8503, 18, 'Razão para visitar');
INSERT INTO `lang_definitions` VALUES (95646, 8504, 18, 'Motivo da visita');
INSERT INTO `lang_definitions` VALUES (95647, 8506, 18, 'Motivo / Forma');
INSERT INTO `lang_definitions` VALUES (95648, 8507, 18, 'Motivo / Plano');
INSERT INTO `lang_definitions` VALUES (95649, 8509, 18, 'Lembretes');
INSERT INTO `lang_definitions` VALUES (95650, 8510, 18, 'Painel de Lembretes');
INSERT INTO `lang_definitions` VALUES (95651, 8511, 18, 'PLACA DE RECALL - Padrão - sem Serviço de Comunicação MedEx');
INSERT INTO `lang_definitions` VALUES (95652, 8512, 18, 'Painel de Lembretes: Desativar');
INSERT INTO `lang_definitions` VALUES (95653, 8513, 18, 'Campanhas de recall');
INSERT INTO `lang_definitions` VALUES (95654, 8514, 18, 'Lembre-se apenas - qualquer método');
INSERT INTO `lang_definitions` VALUES (95655, 8515, 18, 'Apenas rechamada - sem chamadas');
INSERT INTO `lang_definitions` VALUES (95656, 8516, 18, 'Motivo de recall');
INSERT INTO `lang_definitions` VALUES (95657, 8517, 18, 'Cronograma de recall');
INSERT INTO `lang_definitions` VALUES (95658, 8518, 18, 'Recall para o provedor');
INSERT INTO `lang_definitions` VALUES (95659, 8519, 18, 'Recall quando');
INSERT INTO `lang_definitions` VALUES (95660, 8520, 18, 'Recalls');
INSERT INTO `lang_definitions` VALUES (95661, 8521, 18, 'Recibo');
INSERT INTO `lang_definitions` VALUES (95662, 8522, 18, 'Recibo de pagamento');
INSERT INTO `lang_definitions` VALUES (95663, 8523, 18, 'Recibo Gerado');
INSERT INTO `lang_definitions` VALUES (95664, 8524, 18, 'Recibos de Pagamento Relatório');
INSERT INTO `lang_definitions` VALUES (95665, 8525, 18, 'Recibos Resumo');
INSERT INTO `lang_definitions` VALUES (95666, 8526, 18, 'Recebido');
INSERT INTO `lang_definitions` VALUES (95667, 8527, 18, 'Recebido Por');
INSERT INTO `lang_definitions` VALUES (95668, 8528, 18, 'Os faxes recebidos');
INSERT INTO `lang_definitions` VALUES (95669, 8529, 18, 'As mensagens recebidas são processadas e uma nova Nota do Paciente é entregue a um usuário especificado e aparece na Central de Mensagens desse usuário');
INSERT INTO `lang_definitions` VALUES (95670, 8530, 18, 'Recebido, não revisado');
INSERT INTO `lang_definitions` VALUES (95671, 8531, 18, 'Recebido, não revisado');
INSERT INTO `lang_definitions` VALUES (95672, 8532, 18, 'Receptor');
INSERT INTO `lang_definitions` VALUES (95673, 8533, 18, 'Identificação do receptor');
INSERT INTO `lang_definitions` VALUES (95674, 8534, 18, 'ID do receptor (ISA08)');
INSERT INTO `lang_definitions` VALUES (95675, 8535, 18, 'Qualificador de ID do receptor (ISA07)');
INSERT INTO `lang_definitions` VALUES (95676, 8536, 18, 'IDs de receptor');
INSERT INTO `lang_definitions` VALUES (95677, 8537, 18, 'IDs do destinatário - só é necessário se você enviar um pedido eletrônico para uma instalação externa');
INSERT INTO `lang_definitions` VALUES (95678, 8538, 18, 'RECEBENDO UMA MENSAGEM');
INSERT INTO `lang_definitions` VALUES (95679, 8539, 18, 'Recebendo Fac');
INSERT INTO `lang_definitions` VALUES (95680, 8540, 18, 'Três senhas recentes não são permitidas');
INSERT INTO `lang_definitions` VALUES (95681, 8541, 18, 'Recentemente concluído');
INSERT INTO `lang_definitions` VALUES (95682, 8542, 18, 'Destinatário');
INSERT INTO `lang_definitions` VALUES (95683, 8543, 18, 'A Lista de Destinatários está vazia');
INSERT INTO `lang_definitions` VALUES (95684, 8544, 18, 'Nome do Destinatário');
INSERT INTO `lang_definitions` VALUES (95685, 8545, 18, 'Destinatário do comunidado');
INSERT INTO `lang_definitions` VALUES (95686, 8546, 18, 'Destinatário obrigatório, a menos que o status seja Concluído');
INSERT INTO `lang_definitions` VALUES (95687, 8549, 18, 'Recomendação');
INSERT INTO `lang_definitions` VALUES (95688, 8550, 18, 'Recomendação - Opcional');
INSERT INTO `lang_definitions` VALUES (95689, 8551, 18, 'Recomendação para Acompanhamento');
INSERT INTO `lang_definitions` VALUES (95690, 8552, 18, 'Recomendações');
INSERT INTO `lang_definitions` VALUES (95691, 8553, 18, 'Recomendações e tratamento');
INSERT INTO `lang_definitions` VALUES (95692, 8554, 18, 'Recomendações do especialista');
INSERT INTO `lang_definitions` VALUES (95693, 8556, 18, 'REGISTRO');
INSERT INTO `lang_definitions` VALUES (95694, 8557, 18, 'Registro');
INSERT INTO `lang_definitions` VALUES (95695, 8558, 18, 'Registro já existe');
INSERT INTO `lang_definitions` VALUES (95696, 8559, 18, 'Registre e registre as mudanças nos sinais vitais (altura / peso /BP no escopo)');
INSERT INTO `lang_definitions` VALUES (95697, 8560, 18, 'Registre e registre as mudanças nos sinais vitais (BP fora do escopo)');
INSERT INTO `lang_definitions` VALUES (95698, 8561, 18, 'Registre e registre as mudanças nos sinais vitais (altura / peso fora do escopo)');
INSERT INTO `lang_definitions` VALUES (95699, 8562, 18, 'Registrar e traçar mudanças nos sinais vitais (novo)');
INSERT INTO `lang_definitions` VALUES (95700, 8563, 18, 'Registrar e traçar mudanças nos sinais vitais (CONJUNTO 1)');
INSERT INTO `lang_definitions` VALUES (95701, 8564, 18, 'Registre e registre as mudanças nos sinais vitais');
INSERT INTO `lang_definitions` VALUES (95702, 8565, 18, 'Dados demográficos de registro');
INSERT INTO `lang_definitions` VALUES (95703, 8566, 18, 'Divulgação de registro');
INSERT INTO `lang_definitions` VALUES (95704, 8567, 18, 'Registro de Fitness');
INSERT INTO `lang_definitions` VALUES (95705, 8568, 18, 'Registro de Pagamento');
INSERT INTO `lang_definitions` VALUES (95706, 8569, 18, 'Solicitação de registro');
INSERT INTO `lang_definitions` VALUES (95707, 8570, 18, 'Data de Solicitação de Registro');
INSERT INTO `lang_definitions` VALUES (95708, 8571, 18, 'Registrar o status de tabagismo para pacientes com 13 anos ou mais');
INSERT INTO `lang_definitions` VALUES (95709, 8572, 18, 'Registros');
INSERT INTO `lang_definitions` VALUES (95710, 8573, 18, 'registros encontrados');
INSERT INTO `lang_definitions` VALUES (95711, 8574, 18, 'registros encontrados.');
INSERT INTO `lang_definitions` VALUES (95712, 8575, 18, 'registros por página');
INSERT INTO `lang_definitions` VALUES (95713, 8576, 18, 'Recreational drug use');
INSERT INTO `lang_definitions` VALUES (95714, 8577, 18, 'Drogas recreacionais');
INSERT INTO `lang_definitions` VALUES (95715, 8578, 18, 'Retal');
INSERT INTO `lang_definitions` VALUES (95716, 8579, 18, 'Exame Retal');
INSERT INTO `lang_definitions` VALUES (95717, 8580, 18, 'retal');
INSERT INTO `lang_definitions` VALUES (95718, 8581, 18, 'Retângulo');
INSERT INTO `lang_definitions` VALUES (95719, 8582, 18, 'Recorrência');
INSERT INTO `lang_definitions` VALUES (95720, 8583, 18, 'Widget de exibição de compromisso recorrente');
INSERT INTO `lang_definitions` VALUES (95721, 8584, 18, 'Consultas Periódicas');
INSERT INTO `lang_definitions` VALUES (95722, 8585, 18, 'Compromissos recorrentes - mostra todos os compromissos recorrentes');
INSERT INTO `lang_definitions` VALUES (95723, 8587, 18, 'Dessaturação Vermelha');
INSERT INTO `lang_definitions` VALUES (95724, 8588, 18, 'Red Desat {{red dessaturação}}');
INSERT INTO `lang_definitions` VALUES (95725, 8589, 18, 'As linhas vermelhas indicam erros ou alterações que não foram aplicadas; estes devem ser processados manualmente. Reivindicações atualmente negadas e reversões de pagamento não são tratadas automaticamente e, portanto, aparecerão em vermelho');
INSERT INTO `lang_definitions` VALUES (95726, 8590, 18, 'O triângulo vermelho indica um código obrigatório que está faltando');
INSERT INTO `lang_definitions` VALUES (95727, 8592, 18, 'Redirecionamento');
INSERT INTO `lang_definitions` VALUES (95728, 8593, 18, 'Vermelhidão');
INSERT INTO `lang_definitions` VALUES (95729, 8594, 18, 'Refazer');
INSERT INTO `lang_definitions` VALUES (95730, 8595, 18, 'reduzido:');
INSERT INTO `lang_definitions` VALUES (95731, 8596, 18, 'Ref Prov');
INSERT INTO `lang_definitions` VALUES (95732, 8597, 18, 'Consulte');
INSERT INTO `lang_definitions` VALUES (95733, 8598, 18, 'Ao se referir');
INSERT INTO `lang_definitions` VALUES (95734, 8599, 18, 'Data Consulte');
INSERT INTO `lang_definitions` VALUES (95735, 8600, 18, 'Consulte');
INSERT INTO `lang_definitions` VALUES (95736, 8601, 18, 'Consulte a mensagem');
INSERT INTO `lang_definitions` VALUES (95737, 8603, 18, 'Referência classificação (nível de risco)');
INSERT INTO `lang_definitions` VALUES (95738, 8604, 18, 'Faixa de referência de resultados');
INSERT INTO `lang_definitions` VALUES (95739, 8605, 18, 'Razão de Referência');
INSERT INTO `lang_definitions` VALUES (95740, 8606, 18, 'Faça referência a este ID de conta:');
INSERT INTO `lang_definitions` VALUES (95741, 8608, 18, 'Referência');
INSERT INTO `lang_definitions` VALUES (95742, 8609, 18, 'Atribuir nome e assinatura');
INSERT INTO `lang_definitions` VALUES (95743, 8610, 18, 'Encaminhamento');
INSERT INTO `lang_definitions` VALUES (95744, 8611, 18, 'Encaminhamento por');
INSERT INTO `lang_definitions` VALUES (95745, 8612, 18, 'Cartão de Encaminhamento');
INSERT INTO `lang_definitions` VALUES (95746, 8613, 18, 'Data do Encaminhamento');
INSERT INTO `lang_definitions` VALUES (95747, 8614, 18, 'Formulário de Encaminhamento');
INSERT INTO `lang_definitions` VALUES (95748, 8615, 18, 'ENCAMINHAMENTO');
INSERT INTO `lang_definitions` VALUES (95749, 8616, 18, 'ID do Encaminhamento');
INSERT INTO `lang_definitions` VALUES (95750, 8617, 18, 'Provedor de Referência');
INSERT INTO `lang_definitions` VALUES (95751, 8618, 18, 'Motivo do Encaminhamento');
INSERT INTO `lang_definitions` VALUES (95752, 8619, 18, 'Fonte de referência');
INSERT INTO `lang_definitions` VALUES (95753, 8620, 18, 'Fonte de referência para as Consultas');
INSERT INTO `lang_definitions` VALUES (95754, 8621, 18, 'Encaminhar para');
INSERT INTO `lang_definitions` VALUES (95755, 8622, 18, 'Encaminhamentos');
INSERT INTO `lang_definitions` VALUES (95756, 8623, 18, 'Relatório de Encaminhamentos');
INSERT INTO `lang_definitions` VALUES (95757, 8624, 18, 'Diagnosticado por');
INSERT INTO `lang_definitions` VALUES (95758, 8625, 18, 'Diagnosticados por');
INSERT INTO `lang_definitions` VALUES (95759, 8626, 18, 'Referido por, Resultado e Destino podem ser deixados em branco');
INSERT INTO `lang_definitions` VALUES (95760, 8627, 18, 'Encaminhado para');
INSERT INTO `lang_definitions` VALUES (95761, 8628, 18, 'Médico');
INSERT INTO `lang_definitions` VALUES (95762, 8629, 18, 'Endereço de referência');
INSERT INTO `lang_definitions` VALUES (95763, 8630, 18, 'Diagnóstico do médico');
INSERT INTO `lang_definitions` VALUES (95764, 8631, 18, 'Diagnóstico Referido');
INSERT INTO `lang_definitions` VALUES (95765, 8632, 18, 'Referrerid');
INSERT INTO `lang_definitions` VALUES (95766, 8633, 18, 'Referindo-se médico e clínica');
INSERT INTO `lang_definitions` VALUES (95767, 8634, 18, 'Provedor de referência');
INSERT INTO `lang_definitions` VALUES (95768, 8635, 18, 'Referindo-Médico');
INSERT INTO `lang_definitions` VALUES (95769, 8636, 18, 'encher');
INSERT INTO `lang_definitions` VALUES (95770, 8637, 18, 'encher');
INSERT INTO `lang_definitions` VALUES (95771, 8638, 18, 'encher Rx');
INSERT INTO `lang_definitions` VALUES (95772, 8639, 18, 'Recargas');
INSERT INTO `lang_definitions` VALUES (95773, 8640, 18, 'recargas');
INSERT INTO `lang_definitions` VALUES (95774, 8641, 18, 'Reflexos normais');
INSERT INTO `lang_definitions` VALUES (95775, 8642, 18, 'Comentários de refração');
INSERT INTO `lang_definitions` VALUES (95776, 8643, 18, 'Método de Refração');
INSERT INTO `lang_definitions` VALUES (95777, 8644, 18, 'Estados de refração');
INSERT INTO `lang_definitions` VALUES (95778, 8645, 18, 'Atualizar');
INSERT INTO `lang_definitions` VALUES (95779, 8646, 18, 'Atualizar tela');
INSERT INTO `lang_definitions` VALUES (95780, 8647, 18, 'Atualize o Message Center ou apenas reabra-o');
INSERT INTO `lang_definitions` VALUES (95781, 8648, 18, 'Lembretes refrescantes');
INSERT INTO `lang_definitions` VALUES (95782, 8649, 18, 'Restituição');
INSERT INTO `lang_definitions` VALUES (95783, 8650, 18, 'Recusou');
INSERT INTO `lang_definitions` VALUES (95784, 8651, 18, 'Recusou-se a declarar');
INSERT INTO `lang_definitions` VALUES (95785, 8652, 18, 'reg_re');
INSERT INTO `lang_definitions` VALUES (95786, 8653, 18, 'a respeito de');
INSERT INTO `lang_definitions` VALUES (95787, 8654, 18, 'sobre nomeação datada');
INSERT INTO `lang_definitions` VALUES (95788, 8655, 18, 'Registro');
INSERT INTO `lang_definitions` VALUES (95789, 8656, 18, 'Registre-se');
INSERT INTO `lang_definitions` VALUES (95790, 8657, 18, 'Registrar a chave de senha única baseada em tempo');
INSERT INTO `lang_definitions` VALUES (95791, 8658, 18, 'Registrar chave TOTP para');
INSERT INTO `lang_definitions` VALUES (95792, 8659, 18, 'Registrar chave U2F para');
INSERT INTO `lang_definitions` VALUES (95793, 8660, 18, 'Registrar a chave de segundo fator universal');
INSERT INTO `lang_definitions` VALUES (95794, 8661, 18, 'Registre sua instalação no OEMR para receber notificações importantes, como correções de segurança e anúncios de novos lançamentos');
INSERT INTO `lang_definitions` VALUES (95795, 8662, 18, 'Registado');
INSERT INTO `lang_definitions` VALUES (95796, 8663, 18, 'registada');
INSERT INTO `lang_definitions` VALUES (95797, 8664, 18, 'Email registrado');
INSERT INTO `lang_definitions` VALUES (95798, 8665, 18, 'Id registrado');
INSERT INTO `lang_definitions` VALUES (95799, 8666, 18, 'Módulos registrados');
INSERT INTO `lang_definitions` VALUES (95800, 8668, 18, 'Data de Registro');
INSERT INTO `lang_definitions` VALUES (95801, 8669, 18, 'Erro de Registo');
INSERT INTO `lang_definitions` VALUES (95802, 8670, 18, 'O registro falhou com erro');
INSERT INTO `lang_definitions` VALUES (95803, 8671, 18, 'Formulário de Inscrição');
INSERT INTO `lang_definitions` VALUES (95804, 8672, 18, 'Reabilitação');
INSERT INTO `lang_definitions` VALUES (95805, 8673, 18, 'Médico de reabilitação');
INSERT INTO `lang_definitions` VALUES (95806, 8674, 18, 'Rejeitado');
INSERT INTO `lang_definitions` VALUES (95807, 8675, 18, 'Potencial de recaída');
INSERT INTO `lang_definitions` VALUES (95808, 8676, 18, 'Relacionado A');
INSERT INTO `lang_definitions` VALUES (95809, 8677, 18, 'Relacionados');
INSERT INTO `lang_definitions` VALUES (95810, 8678, 18, 'Problema Relacionado');
INSERT INTO `lang_definitions` VALUES (95811, 8679, 18, 'Notas Relacionadas ao Paciente');
INSERT INTO `lang_definitions` VALUES (95812, 8680, 18, 'Relação (s) / Crianças');
INSERT INTO `lang_definitions` VALUES (95813, 8681, 18, 'Relações');
INSERT INTO `lang_definitions` VALUES (95814, 8682, 18, 'Parentesco');
INSERT INTO `lang_definitions` VALUES (95815, 8683, 18, 'Ordenação relativa desta entidade');
INSERT INTO `lang_definitions` VALUES (95816, 8684, 18, 'Parentes');
INSERT INTO `lang_definitions` VALUES (95817, 8685, 18, 'Parentes - lista os parentes dos pacientes com várias condições médicas, como câncer, diabetes, hipertensão, etc.');
INSERT INTO `lang_definitions` VALUES (95818, 8686, 18, 'Pressão Arterial de Parentes');
INSERT INTO `lang_definitions` VALUES (95819, 8687, 18, 'Câncer de parentes');
INSERT INTO `lang_definitions` VALUES (95820, 8688, 18, 'Diabetes de parentes');
INSERT INTO `lang_definitions` VALUES (95821, 8689, 18, 'Epilepsia de parentes');
INSERT INTO `lang_definitions` VALUES (95822, 8690, 18, 'Coração de parentes');
INSERT INTO `lang_definitions` VALUES (95823, 8691, 18, 'Doença mental de parentes');
INSERT INTO `lang_definitions` VALUES (95824, 8692, 18, 'AVC de parentes');
INSERT INTO `lang_definitions` VALUES (95825, 8693, 18, 'Suicídio de parentes');
INSERT INTO `lang_definitions` VALUES (95826, 8694, 18, 'Tuberculose de parentes');
INSERT INTO `lang_definitions` VALUES (95827, 8695, 18, 'Credenciais Relay Saúde estão em falta a partir desta conta de usuário.');
INSERT INTO `lang_definitions` VALUES (95828, 8696, 18, 'Relay Saúde ID');
INSERT INTO `lang_definitions` VALUES (95829, 8697, 18, 'Liberação');
INSERT INTO `lang_definitions` VALUES (95830, 8698, 18, 'Data de lançamento');
INSERT INTO `lang_definitions` VALUES (95831, 8699, 18, 'Relevante para apresentação de reivindicação de seguro nos Estados Unidos');
INSERT INTO `lang_definitions` VALUES (95832, 8700, 18, 'Religião');
INSERT INTO `lang_definitions` VALUES (95833, 8701, 18, 'Filiação Religiosa');
INSERT INTO `lang_definitions` VALUES (95834, 8702, 18, 'Isenção religiosa');
INSERT INTO `lang_definitions` VALUES (95835, 8703, 18, 'recarregar');
INSERT INTO `lang_definitions` VALUES (95836, 8704, 18, 'recarregar nomes abaixo');
INSERT INTO `lang_definitions` VALUES (95837, 8705, 18, 'Relogin');
INSERT INTO `lang_definitions` VALUES (95838, 8706, 18, 'Remdr');
INSERT INTO `lang_definitions` VALUES (95839, 8707, 18, 'Lembre-se que o agrupamento de testes serve apenas para organizar convenientemente os dados no módulo de Ordem de Procedimento no openEMR, para que esse processo funcione, configurando as Ordens de Procedimento (os próprios testes) e o Resultado Discreto (o local para inserir e exibir o resultado retornado) são Criticamente importante');
INSERT INTO `lang_definitions` VALUES (95840, 8709, 18, 'Lembre-se de instalação selecionada');
INSERT INTO `lang_definitions` VALUES (95841, 8710, 18, 'Lembre-se do ditado de que os códigos de identificação devem ser únicos, você não deve configurar um agrupamento personalizado de um painel de testes, bem como ter os painéis configurados como painel individual reconhecido, ou seja, ter o painel CBC e Renal agrupados como um favorito personalizado e listar CBC e Painel Renal separadamente como painéis encomendados individualmente');
INSERT INTO `lang_definitions` VALUES (95842, 8711, 18, 'Lembre-se desses resultados discretos ou a fruta (Nível 4) terá que pendurar no galho frutífero ou na Ordem de Procedimento, nomeadamente, Painel de eletrólito (Nível 3)');
INSERT INTO `lang_definitions` VALUES (95843, 8712, 18, 'Lembrete');
INSERT INTO `lang_definitions` VALUES (95844, 8713, 18, 'Campanhas de lembrete');
INSERT INTO `lang_definitions` VALUES (95845, 8714, 18, 'Lembrete concluído');
INSERT INTO `lang_definitions` VALUES (95846, 8715, 18, 'Intervalos de lembrete');
INSERT INTO `lang_definitions` VALUES (95847, 8716, 18, 'Lembrete ainda não enviado');
INSERT INTO `lang_definitions` VALUES (95848, 8717, 18, 'Apenas lembrete - qualquer método');
INSERT INTO `lang_definitions` VALUES (95849, 8718, 18, 'Apenas lembrete - sem chamadas');
INSERT INTO `lang_definitions` VALUES (95850, 8719, 18, 'Reminder Sent');
INSERT INTO `lang_definitions` VALUES (95851, 8720, 18, 'Lembrete enviado em');
INSERT INTO `lang_definitions` VALUES (95852, 8721, 18, 'Lembrete ao provedor');
INSERT INTO `lang_definitions` VALUES (95853, 8722, 18, 'Lembrete / recall - qualquer método');
INSERT INTO `lang_definitions` VALUES (95854, 8723, 18, 'Lembrete / recall - sem chamadas');
INSERT INTO `lang_definitions` VALUES (95855, 8724, 18, 'Lembrete / recall - para o provedor');
INSERT INTO `lang_definitions` VALUES (95856, 8725, 18, 'Lembretes');
INSERT INTO `lang_definitions` VALUES (95857, 8726, 18, 'REMETER PARA');
INSERT INTO `lang_definitions` VALUES (95858, 8727, 18, 'Hospedeiro remoto');
INSERT INTO `lang_definitions` VALUES (95859, 8728, 18, 'Host remoto - é necessário apenas se você estiver enviando um pedido eletrônico para uma instalação externa ou apenas recebendo os resultados dela');
INSERT INTO `lang_definitions` VALUES (95860, 8729, 18, 'Remover');
INSERT INTO `lang_definitions` VALUES (95861, 8730, 18, 'Remova todas as regras do plano');
INSERT INTO `lang_definitions` VALUES (95862, 8731, 18, 'Remover painel inferior');
INSERT INTO `lang_definitions` VALUES (95863, 8732, 18, 'REMOVER GRUPO');
INSERT INTO `lang_definitions` VALUES (95864, 8733, 18, 'Remover Grupo');
INSERT INTO `lang_definitions` VALUES (95865, 8734, 18, 'Remover Grupo Forma');
INSERT INTO `lang_definitions` VALUES (95866, 8735, 18, 'Remova as autenticações multifatoriais para esta pessoa');
INSERT INTO `lang_definitions` VALUES (95867, 8736, 18, 'Remover guia');
INSERT INTO `lang_definitions` VALUES (95868, 8737, 18, 'Remova esta prescrição da lista de RXs dispensados');
INSERT INTO `lang_definitions` VALUES (95869, 8738, 18, 'Remove o suporte para imunizações');
INSERT INTO `lang_definitions` VALUES (95870, 8739, 18, 'Remove o suporte para phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (95871, 8740, 18, 'Remove suporte para prescrições');
INSERT INTO `lang_definitions` VALUES (95872, 8741, 18, 'Remove o painel inferior por padrão na inicialização');
INSERT INTO `lang_definitions` VALUES (95873, 8742, 18, 'Remove o recurso Chart Tracker');
INSERT INTO `lang_definitions` VALUES (95874, 8743, 18, 'Renal Stones');
INSERT INTO `lang_definitions` VALUES (95875, 8744, 18, 'Renomar');
INSERT INTO `lang_definitions` VALUES (95876, 8745, 18, 'Renomear Grupo');
INSERT INTO `lang_definitions` VALUES (95877, 8746, 18, 'Responsável');
INSERT INTO `lang_definitions` VALUES (95878, 8747, 18, 'Fornecedor Responsável');
INSERT INTO `lang_definitions` VALUES (95879, 8748, 18, 'Rendering Provider Numbe');
INSERT INTO `lang_definitions` VALUES (95880, 8749, 18, 'Número do provedor de renderização (tipo)');
INSERT INTO `lang_definitions` VALUES (95881, 8750, 18, 'Reordenar');
INSERT INTO `lang_definitions` VALUES (95882, 8751, 18, 'Ao reordenar');
INSERT INTO `lang_definitions` VALUES (95883, 8752, 18, 'O ponto de novo pedido foi alcançado');
INSERT INTO `lang_definitions` VALUES (95884, 8753, 18, 'Ponto de novo pedido, 0 se não aplicável');
INSERT INTO `lang_definitions` VALUES (95885, 8754, 18, 'Rep');
INSERT INTO `lang_definitions` VALUES (95886, 8755, 18, 'Repetir');
INSERT INTO `lang_definitions` VALUES (95887, 8756, 18, 'Repita a nova senha');
INSERT INTO `lang_definitions` VALUES (95888, 8757, 18, 'Repita a senha');
INSERT INTO `lang_definitions` VALUES (95889, 8758, 18, 'Evento repetido');
INSERT INTO `lang_definitions` VALUES (95890, 8759, 18, 'Info Repetindo:');
INSERT INTO `lang_definitions` VALUES (95891, 8760, 18, 'Repete');
INSERT INTO `lang_definitions` VALUES (95892, 8761, 18, 'SUBSTITUIR');
INSERT INTO `lang_definitions` VALUES (95893, 8762, 18, 'Substituir');
INSERT INTO `lang_definitions` VALUES (95894, 8763, 18, 'Substitua todo o conjunto de códigos');
INSERT INTO `lang_definitions` VALUES (95895, 8764, 18, 'Substitua o grupo existente e os valores de opção por estes, tendo o cuidado de corresponder aos códigos E / M');
INSERT INTO `lang_definitions` VALUES (95896, 8765, 18, 'Substitua o nome do host e a porta pelos valores fornecidos a você pelo EMR Direct');
INSERT INTO `lang_definitions` VALUES (95897, 8766, 18, 'substituido');
INSERT INTO `lang_definitions` VALUES (95898, 8767, 18, 'Respostas');
INSERT INTO `lang_definitions` VALUES (95899, 8768, 18, 'As respostas dos pacientes são exibidas diretamente em seu EHR');
INSERT INTO `lang_definitions` VALUES (95900, 8769, 18, 'Respostas recuperadas');
INSERT INTO `lang_definitions` VALUES (95901, 8770, 18, 'Resposta');
INSERT INTO `lang_definitions` VALUES (95902, 8771, 18, 'Data Responder');
INSERT INTO `lang_definitions` VALUES (95903, 8772, 18, 'De Responder');
INSERT INTO `lang_definitions` VALUES (95904, 8773, 18, 'Responder a esta mensagem');
INSERT INTO `lang_definitions` VALUES (95905, 8774, 18, 'Relatório');
INSERT INTO `lang_definitions` VALUES (95906, 8775, 18, 'relatório');
INSERT INTO `lang_definitions` VALUES (95907, 8776, 18, 'Relátório por pesquisa de paciente');
INSERT INTO `lang_definitions` VALUES (95908, 8777, 18, 'Relatório - Gera e faz download do Registro de Continuidade de Cuidado (CCR), Documento de Continuidade de Cuidado (CCD) do paciente e Relatório do Paciente');
INSERT INTO `lang_definitions` VALUES (95909, 8778, 18, 'Relatório - Criação da lista de pacientes');
INSERT INTO `lang_definitions` VALUES (95910, 8779, 18, 'Relatório');
INSERT INTO `lang_definitions` VALUES (95911, 8780, 18, 'Relatório de Conteúdo');
INSERT INTO `lang_definitions` VALUES (95912, 8781, 18, 'Data do relatório');
INSERT INTO `lang_definitions` VALUES (95913, 8782, 18, 'Fim do relatório (data de abandono do tratamento)');
INSERT INTO `lang_definitions` VALUES (95914, 8783, 18, 'Relatório foi enviado ao paciente');
INSERT INTO `lang_definitions` VALUES (95915, 8784, 18, 'Histórico de relatórios / resultados');
INSERT INTO `lang_definitions` VALUES (95916, 8785, 18, 'Relatório de visita');
INSERT INTO `lang_definitions` VALUES (95917, 8786, 18, 'Resultados do relatório');
INSERT INTO `lang_definitions` VALUES (95918, 8787, 18, 'Resultados do relatório / histórico');
INSERT INTO `lang_definitions` VALUES (95919, 8788, 18, 'Início do relatório (data de atendimento presumida)');
INSERT INTO `lang_definitions` VALUES (95920, 8789, 18, 'Status do relatório');
INSERT INTO `lang_definitions` VALUES (95921, 8790, 18, 'Totals Report');
INSERT INTO `lang_definitions` VALUES (95922, 8791, 18, 'O relatório foi enviado por fax. Clique para ver');
INSERT INTO `lang_definitions` VALUES (95923, 8792, 18, 'Relatório/ Formulário');
INSERT INTO `lang_definitions` VALUES (95924, 8793, 18, 'Relatório?');
INSERT INTO `lang_definitions` VALUES (95925, 8794, 18, 'Reportável');
INSERT INTO `lang_definitions` VALUES (95926, 8795, 18, 'Reportado');
INSERT INTO `lang_definitions` VALUES (95927, 8796, 18, 'Data Reportada');
INSERT INTO `lang_definitions` VALUES (95928, 8797, 18, 'Relatórios');
INSERT INTO `lang_definitions` VALUES (95929, 8798, 18, 'Os relatórios que consistem em várias partes do prontuário médicos do paciente podem ser criados aqui');
INSERT INTO `lang_definitions` VALUES (95930, 8799, 18, 'Pedido e Resposta');
INSERT INTO `lang_definitions` VALUES (95931, 8800, 18, 'O conteúdo da solicitação falha no teste de integridade');
INSERT INTO `lang_definitions` VALUES (95932, 8801, 18, 'Descrição do pedido');
INSERT INTO `lang_definitions` VALUES (95933, 8802, 18, 'Solicitar Elegibilidade');
INSERT INTO `lang_definitions` VALUES (95934, 8803, 18, 'ID de solicitação ausente!');
INSERT INTO `lang_definitions` VALUES (95935, 8804, 18, 'Pedido ignorado - tratamento dos pedidos já está em execução!');
INSERT INTO `lang_definitions` VALUES (95936, 8806, 18, 'Solicitar Mensagem');
INSERT INTO `lang_definitions` VALUES (95937, 8807, 18, 'Solicitar Novo Compromisso');
INSERT INTO `lang_definitions` VALUES (95938, 8808, 18, 'Solicitar apenas');
INSERT INTO `lang_definitions` VALUES (95939, 8809, 18, 'Solicitar Status');
INSERT INTO `lang_definitions` VALUES (95940, 8810, 18, 'tipo de solicitação');
INSERT INTO `lang_definitions` VALUES (95941, 8811, 18, 'Tipo de solicitação não implementado');
INSERT INTO `lang_definitions` VALUES (95942, 8812, 18, 'a solicitação foi recebida do paciente do portal');
INSERT INTO `lang_definitions` VALUES (95943, 8813, 18, 'Requerido por');
INSERT INTO `lang_definitions` VALUES (95944, 8814, 18, 'Data Solicitada');
INSERT INTO `lang_definitions` VALUES (95945, 8815, 18, 'Serviço solicitado');
INSERT INTO `lang_definitions` VALUES (95946, 8816, 18, 'O modelo solicitado não existe');
INSERT INTO `lang_definitions` VALUES (95947, 8817, 18, 'Pedidos Enviados');
INSERT INTO `lang_definitions` VALUES (95948, 8818, 18, 'Exigir auditoria');
INSERT INTO `lang_definitions` VALUES (95949, 8819, 18, 'Exigir senhas fortes');
INSERT INTO `lang_definitions` VALUES (95950, 8820, 18, 'Exigir senhas exclusivas');
INSERT INTO `lang_definitions` VALUES (95951, 8821, 18, 'Necessário');
INSERT INTO `lang_definitions` VALUES (95952, 8823, 18, 'Co-Pgto Requerido');
INSERT INTO `lang_definitions` VALUES (95953, 8824, 18, 'Campo obrigatório ausente: Por favor escolha o arquivo EDI-271 para fazer o upload');
INSERT INTO `lang_definitions` VALUES (95954, 8825, 18, 'Campo obrigatório ausente: Por favor, insira o primeiro nome');
INSERT INTO `lang_definitions` VALUES (95955, 8826, 18, 'Campo obrigatório ausente: Por favor, insira o sobrenome');
INSERT INTO `lang_definitions` VALUES (95956, 8827, 18, 'Campo obrigatório ausente: Por favor, insira o nome de usuário');
INSERT INTO `lang_definitions` VALUES (95957, 8828, 18, 'Os campos obrigatórios');
INSERT INTO `lang_definitions` VALUES (95958, 8829, 18, 'Requisitos');
INSERT INTO `lang_definitions` VALUES (95959, 8830, 18, 'número da requisição');
INSERT INTO `lang_definitions` VALUES (95960, 8832, 18, 'RESERVADO');
INSERT INTO `lang_definitions` VALUES (95961, 8833, 18, 'Reservado');
INSERT INTO `lang_definitions` VALUES (95962, 8834, 18, 'Reservado para uso para definir o tempo de férias agendadas');
INSERT INTO `lang_definitions` VALUES (95963, 8835, 18, 'Reservado para definir quando um fornecedor pode não ter disponível após a nomeação.');
INSERT INTO `lang_definitions` VALUES (95964, 8836, 18, 'Reservado para definir quando um evento não ocorreu, conforme especificado.');
INSERT INTO `lang_definitions` VALUES (95965, 8837, 18, 'Tempo disponível na clínica.');
INSERT INTO `lang_definitions` VALUES (95966, 8838, 18, 'Redefinir');
INSERT INTO `lang_definitions` VALUES (95967, 8839, 18, 'O botão Redefinir redefine a reivindicação editada para a versão da folha de taxas. Se for salvo posteriormente, ele substituirá a última versão do pedido e será considerado revisado. Caso contrário, o pedido é redefinido para a versão da folha de taxas');
INSERT INTO `lang_definitions` VALUES (95968, 8840, 18, 'Redefinir o formulário de reivindicação para a versão da folha de taxas');
INSERT INTO `lang_definitions` VALUES (95969, 8841, 18, 'Redefinir credenciais');
INSERT INTO `lang_definitions` VALUES (95970, 8842, 18, 'Redefinir credenciais do portal externo');
INSERT INTO `lang_definitions` VALUES (95971, 8843, 18, 'Redefinir credenciais do portal online');
INSERT INTO `lang_definitions` VALUES (95972, 8844, 18, 'Redefinir credenciais do portal local');
INSERT INTO `lang_definitions` VALUES (95973, 8845, 18, 'Redefinir para nenhum paciente');
INSERT INTO `lang_definitions` VALUES (95974, 8846, 18, 'Reiniciar versão');
INSERT INTO `lang_definitions` VALUES (95975, 8847, 18, 'Médico residente');
INSERT INTO `lang_definitions` VALUES (95976, 8848, 18, 'Instalação de tratamento de abuso de substâncias residenciais');
INSERT INTO `lang_definitions` VALUES (95977, 8849, 18, 'Resista à tentação de começar a inserir dados de maneira desorganizada');
INSERT INTO `lang_definitions` VALUES (95978, 8850, 18, 'Resn');
INSERT INTO `lang_definitions` VALUES (95979, 8851, 18, 'Resolver resultados órfãos');
INSERT INTO `lang_definitions` VALUES (95980, 8852, 18, 'Resolvidas');
INSERT INTO `lang_definitions` VALUES (95981, 8853, 18, 'Recurso (selecione um)');
INSERT INTO `lang_definitions` VALUES (95982, 8854, 18, 'Recursos');
INSERT INTO `lang_definitions` VALUES (95983, 8855, 18, 'Respiração');
INSERT INTO `lang_definitions` VALUES (95984, 8856, 18, 'Esforço Respirador unlabored');
INSERT INTO `lang_definitions` VALUES (95985, 8857, 18, 'Respiratory');
INSERT INTO `lang_definitions` VALUES (95986, 8858, 18, 'Resposta');
INSERT INTO `lang_definitions` VALUES (95987, 8859, 18, 'Apenas Resposta');
INSERT INTO `lang_definitions` VALUES (95988, 8860, 18, 'Parte Responsável');
INSERT INTO `lang_definitions` VALUES (95989, 8861, 18, 'Estilo de menu vertical responsivo para guias');
INSERT INTO `lang_definitions` VALUES (95990, 8862, 18, 'Restaurar');
INSERT INTO `lang_definitions` VALUES (95991, 8863, 18, 'Restaurar Arquivo');
INSERT INTO `lang_definitions` VALUES (95992, 8864, 18, 'Restringir usuários não autorizados para o conjunto de instalações de programação no administrador do usuário');
INSERT INTO `lang_definitions` VALUES (95993, 8865, 18, 'Restringir usuários às instalações');
INSERT INTO `lang_definitions` VALUES (95994, 8866, 18, 'Restrita Formação');
INSERT INTO `lang_definitions` VALUES (95995, 8867, 18, 'Resultado');
INSERT INTO `lang_definitions` VALUES (95996, 8868, 18, 'Nome do Resultado');
INSERT INTO `lang_definitions` VALUES (95997, 8869, 18, 'Status do resultado');
INSERT INTO `lang_definitions` VALUES (95998, 8870, 18, 'Status do resultado ou anormalidade ausente');
INSERT INTO `lang_definitions` VALUES (95999, 8871, 18, 'Resultado, use% como curinga');
INSERT INTO `lang_definitions` VALUES (96000, 8872, 18, 'Resultados');
INSERT INTO `lang_definitions` VALUES (96001, 8873, 18, 'Resultados e');
INSERT INTO `lang_definitions` VALUES (96002, 8874, 18, 'Resultados encontrados para pesquisa');
INSERT INTO `lang_definitions` VALUES (96003, 8875, 18, 'Grupo de Resultados');
INSERT INTO `lang_definitions` VALUES (96004, 8876, 18, 'Apenas resultados');
INSERT INTO `lang_definitions` VALUES (96005, 8877, 18, 'Caminho de resultados');
INSERT INTO `lang_definitions` VALUES (96006, 8878, 18, 'Caminho de resultados - só é necessário se você estiver enviando um pedido eletrônico para uma instalação externa ou apenas recebendo os resultados dela');
INSERT INTO `lang_definitions` VALUES (96007, 8879, 18, 'Resultados por página');
INSERT INTO `lang_definitions` VALUES (96008, 8880, 18, 'Resultados / Detalhes');
INSERT INTO `lang_definitions` VALUES (96009, 8882, 18, 'Retina');
INSERT INTO `lang_definitions` VALUES (96010, 8883, 18, 'Valores padrão de retina');
INSERT INTO `lang_definitions` VALUES (96011, 8884, 18, 'Exame da retina');
INSERT INTO `lang_definitions` VALUES (96012, 8885, 18, 'Retraído Direita:');
INSERT INTO `lang_definitions` VALUES (96013, 8886, 18, 'Retorno');
INSERT INTO `lang_definitions` VALUES (96014, 8887, 18, 'Devolva a parte acima com o seu pagamento');
INSERT INTO `lang_definitions` VALUES (96015, 8888, 18, 'O botão Retornar simplesmente retorna, logo atualiza o gerenciador de faturamento');
INSERT INTO `lang_definitions` VALUES (96016, 8889, 18, 'Voltar para casa');
INSERT INTO `lang_definitions` VALUES (96017, 8890, 18, 'Voltar à agenda');
INSERT INTO `lang_definitions` VALUES (96018, 8891, 18, 'Retornar aos resultados do relatório');
INSERT INTO `lang_definitions` VALUES (96019, 8892, 18, 'Retorne a esta página e você poderá concluir o processo de instalação do ICD10 clicando no cabeçalho da seção ICD10');
INSERT INTO `lang_definitions` VALUES (96020, 8893, 18, 'Retorne a esta página e você poderá concluir o processo de instalação do ICD9 clicando no cabeçalho da seção ICD9');
INSERT INTO `lang_definitions` VALUES (96021, 8894, 18, 'Retorne a esta página e você poderá concluir o processo de instalação do RxNorm clicando no cabeçalho da seção RXNORM');
INSERT INTO `lang_definitions` VALUES (96022, 8895, 18, 'Retorne a esta página e você poderá concluir o processo de instalação do Snomed clicando no cabeçalho da seção SNOMED');
INSERT INTO `lang_definitions` VALUES (96023, 8896, 18, 'Retorne a esta página e você poderá concluir o processo de instalação do Valueset clicando no cabeçalho da seção VALUESET');
INSERT INTO `lang_definitions` VALUES (96024, 8897, 18, 'Valor de retorno');
INSERT INTO `lang_definitions` VALUES (96025, 8898, 18, 'Visite Retorno');
INSERT INTO `lang_definitions` VALUES (96026, 8899, 18, 'Voltou a jogar');
INSERT INTO `lang_definitions` VALUES (96027, 8901, 18, 'Reutilização de três senhas anteriores não permitida!');
INSERT INTO `lang_definitions` VALUES (96028, 8902, 18, 'receita');
INSERT INTO `lang_definitions` VALUES (96029, 8903, 18, 'Código de receita');
INSERT INTO `lang_definitions` VALUES (96030, 8904, 18, 'Código de receita para este item. Digite para dicas / pesquisa');
INSERT INTO `lang_definitions` VALUES (96031, 8906, 18, 'Código de receita para este item. Digite para pesquisar ou clique duas vezes na lista');
INSERT INTO `lang_definitions` VALUES (96032, 8907, 18, 'Reverter');
INSERT INTO `lang_definitions` VALUES (96033, 8908, 18, 'Reverter edições');
INSERT INTO `lang_definitions` VALUES (96034, 8909, 18, 'Rever');
INSERT INTO `lang_definitions` VALUES (96035, 8910, 18, 'Rever e aprovar');
INSERT INTO `lang_definitions` VALUES (96036, 8911, 18, 'Revise todos os parâmetros inseridos e só então passe para a próxima etapa. Isso ocorre porque, depois de criar um grupo (ARO), você NÃO poderá modificar nenhum dos dados que inseriu NESTA seção. Você só pode excluir todo o grupo (ARO) e começar do zero');
INSERT INTO `lang_definitions` VALUES (96037, 8912, 18, 'Revisar e aprovar');
INSERT INTO `lang_definitions` VALUES (96038, 8913, 18, 'Auditorias de revisão');
INSERT INTO `lang_definitions` VALUES (96039, 8914, 18, 'Revisão do PMH');
INSERT INTO `lang_definitions` VALUES (96040, 8915, 18, 'Revisão do sistema');
INSERT INTO `lang_definitions` VALUES (96041, 8917, 18, 'Revisão dos sistemas');
INSERT INTO `lang_definitions` VALUES (96042, 8918, 18, 'Antecedentes Pessoais');
INSERT INTO `lang_definitions` VALUES (96043, 8919, 18, 'Status da revisão');
INSERT INTO `lang_definitions` VALUES (96044, 8920, 18, 'Revisão UB04');
INSERT INTO `lang_definitions` VALUES (96045, 8921, 18, 'Revisado');
INSERT INTO `lang_definitions` VALUES (96046, 8922, 18, 'Data da Revisão');
INSERT INTO `lang_definitions` VALUES (96047, 8923, 18, 'Rever');
INSERT INTO `lang_definitions` VALUES (96048, 8924, 18, 'Revisão');
INSERT INTO `lang_definitions` VALUES (96049, 8925, 18, 'Artrite reumatoide');
INSERT INTO `lang_definitions` VALUES (96050, 8926, 18, 'Rheumotoid Arthritis');
INSERT INTO `lang_definitions` VALUES (96051, 8927, 18, 'RH {{medição hertel direita}}');
INSERT INTO `lang_definitions` VALUES (96052, 8928, 18, 'Direito');
INSERT INTO `lang_definitions` VALUES (96053, 8929, 18, 'Right Arm');
INSERT INTO `lang_definitions` VALUES (96054, 8930, 18, 'Deltóide direito');
INSERT INTO `lang_definitions` VALUES (96055, 8931, 18, 'Orelha Direita');
INSERT INTO `lang_definitions` VALUES (96056, 8932, 18, 'orelha direita');
INSERT INTO `lang_definitions` VALUES (96057, 8933, 18, 'Glúteo Médio Direito');
INSERT INTO `lang_definitions` VALUES (96058, 8934, 18, 'Lente direita');
INSERT INTO `lang_definitions` VALUES (96059, 8935, 18, 'Antebraço Inferior Direito');
INSERT INTO `lang_definitions` VALUES (96060, 8936, 18, 'Margem direita (mm)');
INSERT INTO `lang_definitions` VALUES (96061, 8937, 18, 'Coxa direita');
INSERT INTO `lang_definitions` VALUES (96062, 8938, 18, 'Vastus Lateralis Direito');
INSERT INTO `lang_definitions` VALUES (96063, 8940, 18, 'Direita:');
INSERT INTO `lang_definitions` VALUES (96064, 8941, 18, 'Zumbidos nos ouvidos');
INSERT INTO `lang_definitions` VALUES (96065, 8942, 18, 'Zumbidos nos ouvidos');
INSERT INTO `lang_definitions` VALUES (96066, 8943, 18, 'Avaliação de categoria de risco');
INSERT INTO `lang_definitions` VALUES (96067, 8944, 18, 'Fatores de Risco');
INSERT INTO `lang_definitions` VALUES (96068, 8945, 18, 'Nível de Risco');
INSERT INTO `lang_definitions` VALUES (96069, 8946, 18, 'Comportamento de risco');
INSERT INTO `lang_definitions` VALUES (96070, 8947, 18, 'RI {{iris direita}}');
INSERT INTO `lang_definitions` VALUES (96071, 8948, 18, 'RK {{córnea direita}}');
INSERT INTO `lang_definitions` VALUES (96072, 8949, 18, 'RLL:');
INSERT INTO `lang_definitions` VALUES (96073, 8950, 18, 'RLL {{pálpebra inferior direita}}');
INSERT INTO `lang_definitions` VALUES (96074, 8951, 18, 'RL {{lente direita}}');
INSERT INTO `lang_definitions` VALUES (96075, 8952, 18, 'RMAC {{mácula direita}}');
INSERT INTO `lang_definitions` VALUES (96076, 8953, 18, 'RMC {{canto medial direito}}');
INSERT INTO `lang_definitions` VALUES (96077, 8955, 18, 'ROM');
INSERT INTO `lang_definitions` VALUES (96078, 8956, 18, 'Romeno');
INSERT INTO `lang_definitions` VALUES (96079, 8957, 18, 'Romanche');
INSERT INTO `lang_definitions` VALUES (96080, 8958, 18, 'Sala 1');
INSERT INTO `lang_definitions` VALUES (96081, 8959, 18, 'Sala 2');
INSERT INTO `lang_definitions` VALUES (96082, 8960, 18, 'Sala 3');
INSERT INTO `lang_definitions` VALUES (96083, 8961, 18, 'Número do quarto');
INSERT INTO `lang_definitions` VALUES (96084, 8962, 18, 'Colega de quarto');
INSERT INTO `lang_definitions` VALUES (96085, 8963, 18, 'Plantel');
INSERT INTO `lang_definitions` VALUES (96086, 8964, 18, 'ROS {{Revisão dos Sistemas}}');
INSERT INTO `lang_definitions` VALUES (96087, 8965, 18, 'Redondo e Reativo');
INSERT INTO `lang_definitions` VALUES (96088, 8966, 18, 'Rota');
INSERT INTO `lang_definitions` VALUES (96089, 8967, 18, 'Via de administração, se aplicável');
INSERT INTO `lang_definitions` VALUES (96090, 8968, 18, 'Encaminhado');
INSERT INTO `lang_definitions` VALUES (96091, 8969, 18, 'Filas');
INSERT INTO `lang_definitions` VALUES (96092, 8970, 18, 'RP {{retina periférica direita}}');
INSERT INTO `lang_definitions` VALUES (96093, 8971, 18, 'RRR sem MOR');
INSERT INTO `lang_definitions` VALUES (96094, 8972, 18, 'Rub:');
INSERT INTO `lang_definitions` VALUES (96095, 8973, 18, 'Rubs:');
INSERT INTO `lang_definitions` VALUES (96096, 8974, 18, 'Regra');
INSERT INTO `lang_definitions` VALUES (96097, 8975, 18, 'Adicionar regra');
INSERT INTO `lang_definitions` VALUES (96098, 8976, 18, 'Detalhe da regra');
INSERT INTO `lang_definitions` VALUES (96099, 8977, 18, 'Desenvolvedor de regras');
INSERT INTO `lang_definitions` VALUES (96100, 8978, 18, 'Edição de regra');
INSERT INTO `lang_definitions` VALUES (96101, 8979, 18, 'Fonte de financiamento da regra');
INSERT INTO `lang_definitions` VALUES (96102, 8980, 18, 'Liberação de regra');
INSERT INTO `lang_definitions` VALUES (96103, 8981, 18, 'Conjunto de regras');
INSERT INTO `lang_definitions` VALUES (96104, 8982, 18, 'As seleções de Conjunto de regras e Conjunto de planos não são consistentes. Por favor, corrija e envie novamente');
INSERT INTO `lang_definitions` VALUES (96105, 8983, 18, 'Título da Regra');
INSERT INTO `lang_definitions` VALUES (96106, 8984, 18, 'Regras');
INSERT INTO `lang_definitions` VALUES (96107, 8985, 18, 'regras já no plano');
INSERT INTO `lang_definitions` VALUES (96108, 8986, 18, 'Configuração de Regras');
INSERT INTO `lang_definitions` VALUES (96109, 8987, 18, 'RUL {{pálpebra superior direita}}');
INSERT INTO `lang_definitions` VALUES (96110, 8988, 18, 'Execute a instalação novamente ou entre em contato com o suporte para obter assistência');
INSERT INTO `lang_definitions` VALUES (96111, 8989, 18, 'Comando de duração:');
INSERT INTO `lang_definitions` VALUES (96112, 8990, 18, 'Ruptura');
INSERT INTO `lang_definitions` VALUES (96113, 8991, 18, 'Clínica Rural de Saúde');
INSERT INTO `lang_definitions` VALUES (96114, 8992, 18, 'Russo');
INSERT INTO `lang_definitions` VALUES (96115, 8993, 18, 'RVIT {{vítreo direito}}');
INSERT INTO `lang_definitions` VALUES (96116, 8994, 18, 'RV {{embarcações direitas}}');
INSERT INTO `lang_definitions` VALUES (96117, 8995, 18, 'Rx');
INSERT INTO `lang_definitions` VALUES (96118, 8996, 18, 'RX');
INSERT INTO `lang_definitions` VALUES (96119, 8997, 18, 'Margem inferior Rx (px)');
INSERT INTO `lang_definitions` VALUES (96120, 8998, 18, 'Data RX');
INSERT INTO `lang_definitions` VALUES (96121, 8999, 18, 'Detalhes Rx');
INSERT INTO `lang_definitions` VALUES (96122, 9000, 18, 'Histórico dispensado Rx');
INSERT INTO `lang_definitions` VALUES (96123, 9001, 18, 'Rx Ativar DEA #');
INSERT INTO `lang_definitions` VALUES (96124, 9002, 18, 'Rx Ativar NPI');
INSERT INTO `lang_definitions` VALUES (96125, 9003, 18, 'Rx Ativar Estado Lic. #');
INSERT INTO `lang_definitions` VALUES (96126, 9004, 18, 'Histórico Rx');
INSERT INTO `lang_definitions` VALUES (96127, 9005, 18, 'Impressão Rx html - módulo zend');
INSERT INTO `lang_definitions` VALUES (96128, 9006, 18, 'ID Rx');
INSERT INTO `lang_definitions` VALUES (96129, 9007, 18, 'Margem Esquerda Rx (px)');
INSERT INTO `lang_definitions` VALUES (96130, 9008, 18, 'Log Rx');
INSERT INTO `lang_definitions` VALUES (96131, 9009, 18, 'Rx NLM Drug-Drug');
INSERT INTO `lang_definitions` VALUES (96132, 9010, 18, 'Tamanho do papel Rx');
INSERT INTO `lang_definitions` VALUES (96133, 9011, 18, 'Rx pdf – modelo zend');
INSERT INTO `lang_definitions` VALUES (96134, 9012, 18, 'Data de impressão RX');
INSERT INTO `lang_definitions` VALUES (96135, 9013, 18, 'Margem direita Rx (px)');
INSERT INTO `lang_definitions` VALUES (96136, 9014, 18, 'Rx Mostrar DEA #');
INSERT INTO `lang_definitions` VALUES (96137, 9015, 18, 'Rx Mostrar NPI');
INSERT INTO `lang_definitions` VALUES (96138, 9016, 18, 'Rx Mostrar Estado Lic. #');
INSERT INTO `lang_definitions` VALUES (96139, 9017, 18, 'Margem superior Rx (px)');
INSERT INTO `lang_definitions` VALUES (96140, 9018, 18, 'Tipo Rx');
INSERT INTO `lang_definitions` VALUES (96141, 9019, 18, 'Tipo Rx {{Tipo de prescrição de óculos}}');
INSERT INTO `lang_definitions` VALUES (96142, 9020, 18, 'Rx / distância');
INSERT INTO `lang_definitions` VALUES (96143, 9022, 18, 'Medicação RXCUI');
INSERT INTO `lang_definitions` VALUES (96144, 9023, 18, 'RxNorm');
INSERT INTO `lang_definitions` VALUES (96145, 9024, 18, 'Banco de dados RxNorm');
INSERT INTO `lang_definitions` VALUES (96146, 9025, 18, 'R {{Histórico de Refração}}');
INSERT INTO `lang_definitions` VALUES (96147, 9026, 18, 'R {{lado direito}}');
INSERT INTO `lang_definitions` VALUES (96148, 9027, 18, 'R{{direito}}');
INSERT INTO `lang_definitions` VALUES (96149, 9028, 18, 'S');
INSERT INTO `lang_definitions` VALUES (96150, 9029, 18, 'CPF');
INSERT INTO `lang_definitions` VALUES (96151, 9030, 18, 'S3:');
INSERT INTO `lang_definitions` VALUES (96152, 9031, 18, 'S4:');
INSERT INTO `lang_definitions` VALUES (96153, 9032, 18, 'SA * * Para ler a licença, por favor leia o docs / license.txt ou visite http://www.gnu.org/copyleft/gpl.html * * * / //============ ================================================== =========== / /');
INSERT INTO `lang_definitions` VALUES (96154, 9033, 18, 'Banco de dados de chaves seguras');
INSERT INTO `lang_definitions` VALUES (96155, 9034, 18, 'Venda');
INSERT INTO `lang_definitions` VALUES (96156, 9035, 18, 'Vendas');
INSERT INTO `lang_definitions` VALUES (96157, 9036, 18, 'Vendas por Item');
INSERT INTO `lang_definitions` VALUES (96158, 9037, 18, 'Relatório de vendas por produto');
INSERT INTO `lang_definitions` VALUES (96159, 9038, 18, 'Saliva');
INSERT INTO `lang_definitions` VALUES (96160, 9039, 18, 'Mesmo dia');
INSERT INTO `lang_definitions` VALUES (96161, 9040, 18, 'Samoano');
INSERT INTO `lang_definitions` VALUES (96162, 9041, 18, 'Amostra');
INSERT INTO `lang_definitions` VALUES (96163, 9042, 18, 'Sanção Tipo');
INSERT INTO `lang_definitions` VALUES (96164, 9043, 18, 'Sango');
INSERT INTO `lang_definitions` VALUES (96165, 9044, 18, 'Sânscrito (Samskrta)');
INSERT INTO `lang_definitions` VALUES (96166, 9045, 18, 'Sânscrito (Saṁskṛta)');
INSERT INTO `lang_definitions` VALUES (96167, 9046, 18, 'Sardenha');
INSERT INTO `lang_definitions` VALUES (96168, 9047, 18, 'Sáb');
INSERT INTO `lang_definitions` VALUES (96169, 9048, 18, 'Sáb & Dom');
INSERT INTO `lang_definitions` VALUES (96170, 9049, 18, 'Sábado');
INSERT INTO `lang_definitions` VALUES (96171, 9050, 18, 'Salvar');
INSERT INTO `lang_definitions` VALUES (96172, 9051, 18, 'SALVE');
INSERT INTO `lang_definitions` VALUES (96173, 9052, 18, 'Salvar e sair');
INSERT INTO `lang_definitions` VALUES (96174, 9053, 18, 'Salvar atividade');
INSERT INTO `lang_definitions` VALUES (96175, 9054, 18, 'Salvar e verificar');
INSERT INTO `lang_definitions` VALUES (96176, 9055, 18, 'Salvar e fechar');
INSERT INTO `lang_definitions` VALUES (96177, 9056, 18, 'Salve e continue');
INSERT INTO `lang_definitions` VALUES (96178, 9057, 18, 'Salvar e excluir solicitação');
INSERT INTO `lang_definitions` VALUES (96179, 9058, 18, 'Salvar e Dispense');
INSERT INTO `lang_definitions` VALUES (96180, 9059, 18, 'Salvar e imprimir');
INSERT INTO `lang_definitions` VALUES (96181, 9060, 18, 'Salvar e transmitir');
INSERT INTO `lang_definitions` VALUES (96182, 9061, 18, 'Salvar como nova');
INSERT INTO `lang_definitions` VALUES (96183, 9062, 18, 'Salvar como nova mensagem');
INSERT INTO `lang_definitions` VALUES (96184, 9063, 18, 'Salvar como nova nota');
INSERT INTO `lang_definitions` VALUES (96185, 9064, 18, 'O botão Salvar salva reivindicação e marca revisada');
INSERT INTO `lang_definitions` VALUES (96186, 9065, 18, 'Salvar categoria');
INSERT INTO `lang_definitions` VALUES (96187, 9066, 18, 'Salvar configurações de certificado');
INSERT INTO `lang_definitions` VALUES (96188, 9067, 18, 'Salvar alterações');
INSERT INTO `lang_definitions` VALUES (96189, 9068, 18, 'Salvar reivindicação');
INSERT INTO `lang_definitions` VALUES (96190, 9069, 18, 'Salvar reclamação para processamento em lote');
INSERT INTO `lang_definitions` VALUES (96191, 9070, 18, 'Salvar histórico de códigos');
INSERT INTO `lang_definitions` VALUES (96192, 9071, 18, 'Salvar Concluído');
INSERT INTO `lang_definitions` VALUES (96193, 9072, 18, 'Save Current');
INSERT INTO `lang_definitions` VALUES (96194, 9073, 18, 'Salvar para imprimir em uma folha pré-impressa');
INSERT INTO `lang_definitions` VALUES (96195, 9074, 18, 'Economize para imprimir com formulário');
INSERT INTO `lang_definitions` VALUES (96196, 9075, 18, 'Salvar Form');
INSERT INTO `lang_definitions` VALUES (96197, 9076, 18, 'Salvar Vacinação');
INSERT INTO `lang_definitions` VALUES (96198, 9078, 18, 'Salvar Novo Campo');
INSERT INTO `lang_definitions` VALUES (96199, 9079, 18, 'Salvar Novo Grupo');
INSERT INTO `lang_definitions` VALUES (96200, 9080, 18, 'Salvar Lista');
INSERT INTO `lang_definitions` VALUES (96201, 9081, 18, 'Salvar novo modelo');
INSERT INTO `lang_definitions` VALUES (96202, 9082, 18, 'Salvar seleções de omissão');
INSERT INTO `lang_definitions` VALUES (96203, 9083, 18, 'Salvar Informações do Paciente');
INSERT INTO `lang_definitions` VALUES (96204, 9084, 18, 'Salvar pagador');
INSERT INTO `lang_definitions` VALUES (96205, 9085, 18, 'Salvar relatório como PDF');
INSERT INTO `lang_definitions` VALUES (96206, 9086, 18, 'Salvo com sucesso');
INSERT INTO `lang_definitions` VALUES (96207, 9087, 18, 'Guarde bem sucedido para gráfico ID');
INSERT INTO `lang_definitions` VALUES (96208, 9088, 18, 'Salvar no gráfico');
INSERT INTO `lang_definitions` VALUES (96209, 9089, 18, 'Salvar Operação');
INSERT INTO `lang_definitions` VALUES (96210, 9090, 18, 'Salvo com sucesso');
INSERT INTO `lang_definitions` VALUES (96211, 9091, 18, 'Salvo em Documentos-> Portal no local-> Revisado - Abra para mover ou renomear');
INSERT INTO `lang_definitions` VALUES (96212, 9093, 18, 'Salvamento negado');
INSERT INTO `lang_definitions` VALUES (96213, 9094, 18, 'S {{sábado}}');
INSERT INTO `lang_definitions` VALUES (96214, 9095, 18, 'Distância sc {{sem distância de correção}}');
INSERT INTO `lang_definitions` VALUES (96215, 9096, 18, 'sc Perto de {{sem correção perto}}');
INSERT INTO `lang_definitions` VALUES (96216, 9097, 18, 'Leia o seguinte código QR com seu aplicativo autenticador preferido para registrar uma nova chave TOTP');
INSERT INTO `lang_definitions` VALUES (96217, 9098, 18, 'Digitalizada');
INSERT INTO `lang_definitions` VALUES (96218, 9099, 18, 'Scanned Nota Encounter');
INSERT INTO `lang_definitions` VALUES (96219, 9100, 18, 'Diretório do Scanner');
INSERT INTO `lang_definitions` VALUES (96220, 9101, 18, 'Em Scanner');
INSERT INTO `lang_definitions` VALUES (96221, 9102, 18, 'scDist {{ACT sem distância de correção}}');
INSERT INTO `lang_definitions` VALUES (96222, 9103, 18, 'scDist {{sem distância de correção}}');
INSERT INTO `lang_definitions` VALUES (96223, 9104, 18, 'Cronograma');
INSERT INTO `lang_definitions` VALUES (96224, 9106, 18, 'Agenda da Clínica:');
INSERT INTO `lang_definitions` VALUES (96225, 9107, 18, 'Agendar Novo Compromisso');
INSERT INTO `lang_definitions` VALUES (96226, 9108, 18, 'Programado');
INSERT INTO `lang_definitions` VALUES (96227, 9109, 18, 'Agendamento');
INSERT INTO `lang_definitions` VALUES (96228, 9110, 18, 'Schirmer I');
INSERT INTO `lang_definitions` VALUES (96229, 9111, 18, 'Schirmer II');
INSERT INTO `lang_definitions` VALUES (96230, 9112, 18, 'Schirmers I');
INSERT INTO `lang_definitions` VALUES (96231, 9113, 18, 'Schirmers I (sem anestesia)');
INSERT INTO `lang_definitions` VALUES (96232, 9114, 18, 'Schirmers II');
INSERT INTO `lang_definitions` VALUES (96233, 9115, 18, 'Schirmers II (c / anestesia)');
INSERT INTO `lang_definitions` VALUES (96234, 9116, 18, 'Escola');
INSERT INTO `lang_definitions` VALUES (96235, 9117, 18, 'NOTA ESCOLA');
INSERT INTO `lang_definitions` VALUES (96236, 9118, 18, 'Histórico escolar');
INSERT INTO `lang_definitions` VALUES (96237, 9119, 18, 'Sclera');
INSERT INTO `lang_definitions` VALUES (96238, 9120, 18, 'scNear {{ACT sem correção próxima}}');
INSERT INTO `lang_definitions` VALUES (96239, 9121, 18, 'scNear {{sem correção próxima}}');
INSERT INTO `lang_definitions` VALUES (96240, 9122, 18, 'Escoliose');
INSERT INTO `lang_definitions` VALUES (96241, 9125, 18, 'Gaélico Escocês - Gaélico');
INSERT INTO `lang_definitions` VALUES (96242, 9126, 18, 'Tela');
INSERT INTO `lang_definitions` VALUES (96243, 9127, 18, 'Triagem / Teste');
INSERT INTO `lang_definitions` VALUES (96244, 9130, 18, 'SC {{Acuity sem correção}}');
INSERT INTO `lang_definitions` VALUES (96245, 9131, 18, 'sc {{sem correção}}');
INSERT INTO `lang_definitions` VALUES (96246, 9132, 18, 'SC {{sem correção}}');
INSERT INTO `lang_definitions` VALUES (96247, 9133, 18, 'SE');
INSERT INTO `lang_definitions` VALUES (96248, 9134, 18, 'SE Endereço');
INSERT INTO `lang_definitions` VALUES (96249, 9135, 18, 'SE Cidade');
INSERT INTO `lang_definitions` VALUES (96250, 9136, 18, 'SE País');
INSERT INTO `lang_definitions` VALUES (96251, 9137, 18, 'SE Bairro');
INSERT INTO `lang_definitions` VALUES (96252, 9138, 18, 'SE CEP');
INSERT INTO `lang_definitions` VALUES (96253, 9139, 18, 'SE Estado');
INSERT INTO `lang_definitions` VALUES (96254, 9140, 18, 'SE CEP');
INSERT INTO `lang_definitions` VALUES (96255, 9141, 18, 'Pesquisa');
INSERT INTO `lang_definitions` VALUES (96256, 9142, 18, 'PESQUISA');
INSERT INTO `lang_definitions` VALUES (96257, 9143, 18, 'pesquisa');
INSERT INTO `lang_definitions` VALUES (96258, 9144, 18, 'busca novamente');
INSERT INTO `lang_definitions` VALUES (96259, 9145, 18, 'Buscar todas as Colunas');
INSERT INTO `lang_definitions` VALUES (96260, 9146, 18, 'Pesquise e selecione um paciente e clique em OK');
INSERT INTO `lang_definitions` VALUES (96261, 9147, 18, 'Procurar Consultas');
INSERT INTO `lang_definitions` VALUES (96262, 9148, 18, 'Procurar por');
INSERT INTO `lang_definitions` VALUES (96263, 9150, 18, 'Busca por:');
INSERT INTO `lang_definitions` VALUES (96264, 9151, 18, 'Diagnóstico de Pesquisa');
INSERT INTO `lang_definitions` VALUES (96265, 9152, 18, 'Busca por:');
INSERT INTO `lang_definitions` VALUES (96266, 9153, 18, 'Procure por códigos adicionais');
INSERT INTO `lang_definitions` VALUES (96267, 9155, 18, 'Pesquise o medicamento digitando seu nome na caixa de texto Pesquisa por Alergia');
INSERT INTO `lang_definitions` VALUES (96268, 9156, 18, 'Busca por:');
INSERT INTO `lang_definitions` VALUES (96269, 9157, 18, 'Configurações globais de pesquisa');
INSERT INTO `lang_definitions` VALUES (96270, 9158, 18, 'Procurar em');
INSERT INTO `lang_definitions` VALUES (96271, 9159, 18, 'Procurar em');
INSERT INTO `lang_definitions` VALUES (96272, 9160, 18, 'Pesquisa não disponível');
INSERT INTO `lang_definitions` VALUES (96273, 9161, 18, 'Procurar ou Adicionar Paciente');
INSERT INTO `lang_definitions` VALUES (96274, 9164, 18, 'Procurar Pagamento');
INSERT INTO `lang_definitions` VALUES (96275, 9165, 18, 'Procurar Pagamentos');
INSERT INTO `lang_definitions` VALUES (96276, 9166, 18, 'procurar produtos');
INSERT INTO `lang_definitions` VALUES (96277, 9167, 18, 'Pesquisar Resultados');
INSERT INTO `lang_definitions` VALUES (96278, 9168, 18, 'Resultados da Pesquisa:');
INSERT INTO `lang_definitions` VALUES (96279, 9169, 18, 'Pesquisar Selecionados');
INSERT INTO `lang_definitions` VALUES (96280, 9170, 18, 'Serviços de Pesquisa');
INSERT INTO `lang_definitions` VALUES (96281, 9171, 18, 'O termo de procura não tem correspondência na base de dados');
INSERT INTO `lang_definitions` VALUES (96282, 9172, 18, 'Termo de procura deve ter pelo menos três carateres');
INSERT INTO `lang_definitions` VALUES (96283, 9173, 18, 'termo de pesquisa não foi encontrado, por favor tente outra pesquisa');
INSERT INTO `lang_definitions` VALUES (96284, 9174, 18, 'Texto de Pesquisa');
INSERT INTO `lang_definitions` VALUES (96285, 9175, 18, 'Pesquisa de Eventos');
INSERT INTO `lang_definitions` VALUES (96286, 9176, 18, 'Pesquisar configurações de usuário');
INSERT INTO `lang_definitions` VALUES (96287, 9177, 18, 'Pesquise com método exato');
INSERT INTO `lang_definitions` VALUES (96288, 9178, 18, 'Pesquisar / adicionar');
INSERT INTO `lang_definitions` VALUES (96289, 9179, 18, 'Buscar / Adicionar Seguradora');
INSERT INTO `lang_definitions` VALUES (96290, 9180, 18, 'Procurando');
INSERT INTO `lang_definitions` VALUES (96291, 9181, 18, 'Procurando nomeações');
INSERT INTO `lang_definitions` VALUES (96292, 9182, 18, 'Pesquisando ...');
INSERT INTO `lang_definitions` VALUES (96293, 9183, 18, 'Seatbelt');
INSERT INTO `lang_definitions` VALUES (96294, 9184, 18, 'Uso do cinto');
INSERT INTO `lang_definitions` VALUES (96295, 9185, 18, 'Use cinto de segurança');
INSERT INTO `lang_definitions` VALUES (96296, 9186, 18, 'Segunda');
INSERT INTO `lang_definitions` VALUES (96297, 9187, 18, 'segunda');
INSERT INTO `lang_definitions` VALUES (96298, 9188, 18, 'Mensagem da segunda conta');
INSERT INTO `lang_definitions` VALUES (96299, 9189, 18, 'Segundo');
INSERT INTO `lang_definitions` VALUES (96300, 9190, 18, 'Faturamento secundário');
INSERT INTO `lang_definitions` VALUES (96301, 9191, 18, 'Segundo Convênio');
INSERT INTO `lang_definitions` VALUES (96302, 9192, 18, 'Dados do Segundo Convênio');
INSERT INTO `lang_definitions` VALUES (96303, 9193, 18, 'Segundo Convênio');
INSERT INTO `lang_definitions` VALUES (96304, 9194, 18, 'Tipo Secundário de Medicare');
INSERT INTO `lang_definitions` VALUES (96305, 9195, 18, 'segundos');
INSERT INTO `lang_definitions` VALUES (96306, 9196, 18, 'ID');
INSERT INTO `lang_definitions` VALUES (96307, 9197, 18, 'ID e Nome Não podem estar vazios');
INSERT INTO `lang_definitions` VALUES (96308, 9198, 18, 'Nome');
INSERT INTO `lang_definitions` VALUES (96309, 9199, 18, 'Seção salva com sucesso');
INSERT INTO `lang_definitions` VALUES (96310, 9200, 18, 'Bate-papo seguro');
INSERT INTO `lang_definitions` VALUES (96311, 9201, 18, 'Mensagem Eletrônica Segura');
INSERT INTO `lang_definitions` VALUES (96312, 9202, 18, 'Secure File Transfer Protocol, ou SFTP, é um protocolo de rede que fornece acesso, transferência e gerenciamento de arquivos por meio de uma conexão segura');
INSERT INTO `lang_definitions` VALUES (96313, 9203, 18, 'Mensagem Segura');
INSERT INTO `lang_definitions` VALUES (96314, 9204, 18, 'Senha segura necessária');
INSERT INTO `lang_definitions` VALUES (96315, 9205, 18, 'Chat seguro do paciente');
INSERT INTO `lang_definitions` VALUES (96316, 9206, 18, 'Arquivos de upload seguro com lista branca');
INSERT INTO `lang_definitions` VALUES (96317, 9207, 18, 'Segurança');
INSERT INTO `lang_definitions` VALUES (96318, 9208, 18, 'Todos os Médicos');
INSERT INTO `lang_definitions` VALUES (96319, 9209, 18, 'Ver todas as mensagens');
INSERT INTO `lang_definitions` VALUES (96320, 9210, 18, 'Veja Autorizações');
INSERT INTO `lang_definitions` VALUES (96321, 9211, 18, 'Ver log de erros do couchdb');
INSERT INTO `lang_definitions` VALUES (96322, 9212, 18, 'Veja Personalizar a Folha de Taxas');
INSERT INTO `lang_definitions` VALUES (96323, 9213, 18, 'Veja Growth-chart');
INSERT INTO `lang_definitions` VALUES (96324, 9214, 18, 'Veja mensagens do último conjunto de créditos gerados');
INSERT INTO `lang_definitions` VALUES (96325, 9216, 18, 'See Setup the Fee Sheet');
INSERT INTO `lang_definitions` VALUES (96326, 9217, 18, 'Veja o widget de Lembretes Clínicos para mais detalhes');
INSERT INTO `lang_definitions` VALUES (96327, 9218, 18, 'Atividade desde');
INSERT INTO `lang_definitions` VALUES (96328, 9219, 18, 'Visto dentro');
INSERT INTO `lang_definitions` VALUES (96329, 9220, 18, 'Nome do segmento');
INSERT INTO `lang_definitions` VALUES (96330, 9221, 18, 'Reivindicação de lote de segmentos');
INSERT INTO `lang_definitions` VALUES (96331, 9222, 18, 'Apreensões');
INSERT INTO `lang_definitions` VALUES (96332, 9223, 18, 'Sel');
INSERT INTO `lang_definitions` VALUES (96333, 9224, 18, 'Selecionar');
INSERT INTO `lang_definitions` VALUES (96334, 9225, 18, 'Selecione');
INSERT INTO `lang_definitions` VALUES (96335, 9226, 18, 'Selecione \'Níveis de preço\' e insira Cartão de crédito e dinheiro');
INSERT INTO `lang_definitions` VALUES (96336, 9227, 18, 'Selecionar um Componente');
INSERT INTO `lang_definitions` VALUES (96337, 9228, 18, 'Selecionar um Contexto');
INSERT INTO `lang_definitions` VALUES (96338, 9229, 18, 'Selecione um intervalo de datas e clique em Enviar');
INSERT INTO `lang_definitions` VALUES (96339, 9230, 18, 'Selecione um laboratório na caixa suspensa Order From');
INSERT INTO `lang_definitions` VALUES (96340, 9231, 18, 'Selecione um paciente clicando na caixa de entrada do paciente');
INSERT INTO `lang_definitions` VALUES (96341, 9232, 18, 'Selecione uma porcentagem das linhas ou ou selecione datas');
INSERT INTO `lang_definitions` VALUES (96342, 9233, 18, 'Selecione uma cirurgia se estiver listada na caixa suspensa ou digite um novo nome de cirurgia em Título');
INSERT INTO `lang_definitions` VALUES (96343, 9235, 18, 'Selecione um intervalo de tempo');
INSERT INTO `lang_definitions` VALUES (96344, 9236, 18, 'Selecionar Usuario');
INSERT INTO `lang_definitions` VALUES (96345, 9237, 18, 'Selecione uma regra de validação');
INSERT INTO `lang_definitions` VALUES (96346, 9238, 18, 'Selecionar ação');
INSERT INTO `lang_definitions` VALUES (96347, 9239, 18, 'Selecionar Tudo');
INSERT INTO `lang_definitions` VALUES (96348, 9240, 18, 'Selecionar Tudo');
INSERT INTO `lang_definitions` VALUES (96349, 9241, 18, 'Selecione a data de alteração');
INSERT INTO `lang_definitions` VALUES (96350, 9242, 18, 'Selecione as alterações para imprimir');
INSERT INTO `lang_definitions` VALUES (96351, 9243, 18, 'Selecione um código ICD / CPT apropriado. Isso ajuda a pesquisar material educacional para dar ao paciente para aquele problema específico');
INSERT INTO `lang_definitions` VALUES (96352, 9244, 18, 'Selecione conforme apropriado, preencha a caixa de texto e clique em Salvar');
INSERT INTO `lang_definitions` VALUES (96353, 9246, 18, 'Selecione Bidirecional ou Somente resultados conforme apropriado, novamente usado apenas para pedidos eletrônicos');
INSERT INTO `lang_definitions` VALUES (96354, 9247, 18, 'Selecione sangue na caixa suspensa Tipo de amostra');
INSERT INTO `lang_definitions` VALUES (96355, 9248, 18, 'Selecione entradas CAMOS para impressão');
INSERT INTO `lang_definitions` VALUES (96356, 9249, 18, 'Select Case');
INSERT INTO `lang_definitions` VALUES (96357, 9250, 18, 'Selecionar Categoria');
INSERT INTO `lang_definitions` VALUES (96358, 9251, 18, 'Selecione Código');
INSERT INTO `lang_definitions` VALUES (96359, 9252, 18, 'Selecionar Códigos');
INSERT INTO `lang_definitions` VALUES (96360, 9253, 18, 'Selecionar preferencias de Comunicação');
INSERT INTO `lang_definitions` VALUES (96361, 9254, 18, 'Selecionar checkboxes para deletar');
INSERT INTO `lang_definitions` VALUES (96362, 9255, 18, 'Selecione gateway de pagamento com cartão de crédito');
INSERT INTO `lang_definitions` VALUES (96363, 9256, 18, 'Selecione os critérios para remover');
INSERT INTO `lang_definitions` VALUES (96364, 9257, 18, 'Selecionar Tabela CSV');
INSERT INTO `lang_definitions` VALUES (96365, 9258, 18, 'Selecione Grupo de favoritos personalizados da caixa suspensa Nível de procedimento');
INSERT INTO `lang_definitions` VALUES (96366, 9259, 18, 'Selecione Item favorito personalizado na caixa suspensa Nível de procedimento');
INSERT INTO `lang_definitions` VALUES (96367, 9260, 18, 'Selecione os dados necessários para a De identificação');
INSERT INTO `lang_definitions` VALUES (96368, 9261, 18, 'Selecione os dados a serem incluídos nos dados De Identificado');
INSERT INTO `lang_definitions` VALUES (96369, 9262, 18, 'Selecione a data');
INSERT INTO `lang_definitions` VALUES (96370, 9263, 18, 'Selecione Códigos Padrão');
INSERT INTO `lang_definitions` VALUES (96371, 9264, 18, 'Selecione o time desejado');
INSERT INTO `lang_definitions` VALUES (96372, 9265, 18, 'Selecione o diagnóstico');
INSERT INTO `lang_definitions` VALUES (96373, 9266, 18, 'Selecione Códigos de Diagnóstico');
INSERT INTO `lang_definitions` VALUES (96374, 9267, 18, 'Selecione o diagnóstico para solicitação de identificação');
INSERT INTO `lang_definitions` VALUES (96375, 9268, 18, 'Selecione Resultado Discreto do Nível de Procedimento');
INSERT INTO `lang_definitions` VALUES (96376, 9269, 18, 'Selecione Resultado Discreto da caixa suspensa Nível de Procedimento');
INSERT INTO `lang_definitions` VALUES (96377, 9270, 18, 'Selecione Resultado Discreto em Nível de Procedimento no pop-up Inserir Detalhes');
INSERT INTO `lang_definitions` VALUES (96378, 9271, 18, 'Selecione o medicamento');
INSERT INTO `lang_definitions` VALUES (96379, 9272, 18, 'Selecione medicamentos');
INSERT INTO `lang_definitions` VALUES (96380, 9273, 18, 'Selecionar medicamentos para solicitação de identificação');
INSERT INTO `lang_definitions` VALUES (96381, 9274, 18, 'Selecione o arquivo EDI-271');
INSERT INTO `lang_definitions` VALUES (96382, 9275, 18, 'Selecione Encontro');
INSERT INTO `lang_definitions` VALUES (96383, 9276, 18, 'Selecionar campo');
INSERT INTO `lang_definitions` VALUES (96384, 9277, 18, 'Selecione o campo');
INSERT INTO `lang_definitions` VALUES (96385, 9278, 18, 'Selecione Campo');
INSERT INTO `lang_definitions` VALUES (96386, 9279, 18, 'Selecionar para impressão');
INSERT INTO `lang_definitions` VALUES (96387, 9280, 18, 'Selecione da lista exibida');
INSERT INTO `lang_definitions` VALUES (96388, 9281, 18, 'Selecione Grupo');
INSERT INTO `lang_definitions` VALUES (96389, 9282, 18, 'Selecione Grupo na caixa suspensa denominada Nível de Procedimento');
INSERT INTO `lang_definitions` VALUES (96390, 9283, 18, 'Selecione Grupo em Nível de Procedimento, pense nisso como criar um grande galho fora do tronco da árvore principal e chame-o de Painel de Órgão / Doença');
INSERT INTO `lang_definitions` VALUES (96391, 9284, 18, 'Selecione o procedimento de imagem');
INSERT INTO `lang_definitions` VALUES (96392, 9285, 18, 'Selecione imunizações');
INSERT INTO `lang_definitions` VALUES (96393, 9286, 18, 'Select Immunizations for De Identification request');
INSERT INTO `lang_definitions` VALUES (96394, 9287, 18, 'Selecione Seguro, digitando');
INSERT INTO `lang_definitions` VALUES (96395, 9288, 18, 'Emissão Selecione');
INSERT INTO `lang_definitions` VALUES (96396, 9289, 18, 'Select items');
INSERT INTO `lang_definitions` VALUES (96397, 9290, 18, 'Selecione Serviço de laboratório na caixa suspensa Tipo e insira um nome sob organização');
INSERT INTO `lang_definitions` VALUES (96398, 9291, 18, 'Selecione o idioma');
INSERT INTO `lang_definitions` VALUES (96399, 9292, 18, 'Selecione lista');
INSERT INTO `lang_definitions` VALUES (96400, 9293, 18, 'Selecione lista');
INSERT INTO `lang_definitions` VALUES (96401, 9294, 18, 'Selecione Método');
INSERT INTO `lang_definitions` VALUES (96402, 9295, 18, 'Selecione MG / DL como unidades padrão');
INSERT INTO `lang_definitions` VALUES (96403, 9296, 18, 'Selecione mês');
INSERT INTO `lang_definitions` VALUES (96404, 9297, 18, 'Selecione');
INSERT INTO `lang_definitions` VALUES (96405, 9298, 18, 'Selecione um ou mais códigos de diagnóstico para justificar o serviço');
INSERT INTO `lang_definitions` VALUES (96406, 9299, 18, 'Selecione um ou mais arquivos para upload');
INSERT INTO `lang_definitions` VALUES (96407, 9300, 18, 'Selecione apenas um código por problema');
INSERT INTO `lang_definitions` VALUES (96408, 9301, 18, 'Selecione opções para o encontro atual');
INSERT INTO `lang_definitions` VALUES (96409, 9302, 18, 'Selecione as opções para o ID do pedido do procedimento atual');
INSERT INTO `lang_definitions` VALUES (96410, 9303, 18, 'Selecione a saída');
INSERT INTO `lang_definitions` VALUES (96411, 9304, 18, 'Selecione Farmácia');
INSERT INTO `lang_definitions` VALUES (96412, 9305, 18, 'SELECIONE O PLANO');
INSERT INTO `lang_definitions` VALUES (96413, 9306, 18, 'Selecione o médico primário');
INSERT INTO `lang_definitions` VALUES (96414, 9307, 18, 'Selecione Ordem de Procedimento da caixa pop-up Nível de Procedimento');
INSERT INTO `lang_definitions` VALUES (96415, 9308, 18, 'Selecione a ordem de procedimento no nível de procedimento');
INSERT INTO `lang_definitions` VALUES (96416, 9309, 18, 'Selecione Provedores');
INSERT INTO `lang_definitions` VALUES (96417, 9310, 18, 'Selecione Referência da caixa suspensa Tipo de transação');
INSERT INTO `lang_definitions` VALUES (96418, 9311, 18, 'Selecione Solicitado por');
INSERT INTO `lang_definitions` VALUES (96419, 9312, 18, 'Selecione a função');
INSERT INTO `lang_definitions` VALUES (96420, 9313, 18, 'Selecione SMS Gateway');
INSERT INTO `lang_definitions` VALUES (96421, 9314, 18, 'Selecionar fonte');
INSERT INTO `lang_definitions` VALUES (96422, 9315, 18, 'Selecione o estado e a cidade para importar para a farmácia');
INSERT INTO `lang_definitions` VALUES (96423, 9317, 18, 'Selecionar modelo');
INSERT INTO `lang_definitions` VALUES (96424, 9319, 18, 'Selecione a escolha apropriada - Depuração ou Produção');
INSERT INTO `lang_definitions` VALUES (96425, 9320, 18, 'Selecione o botão de opção apropriado. Insira o termo de pesquisa na caixa de pesquisa e clique em \'Pesquisar\'');
INSERT INTO `lang_definitions` VALUES (96426, 9321, 18, 'Selecione os itens de configuração para exportação');
INSERT INTO `lang_definitions` VALUES (96427, 9322, 18, 'Selecione a fonte padrão');
INSERT INTO `lang_definitions` VALUES (96428, 9323, 18, 'Selecione a fonte padrão (é necessário fazer logout / login após alterar esta configuração)');
INSERT INTO `lang_definitions` VALUES (96429, 9324, 18, 'Selecione o tamanho da fonte padrão');
INSERT INTO `lang_definitions` VALUES (96430, 9325, 18, 'Selecione o tamanho da fonte padrão (é necessário fazer logout / login após alterar esta configuração)');
INSERT INTO `lang_definitions` VALUES (96431, 9326, 18, 'Selecione os diagnósticos a serem incluídos na Impressão / Plano');
INSERT INTO `lang_definitions` VALUES (96432, 9327, 18, 'Selecione o grupo (ARO) que deseja remover');
INSERT INTO `lang_definitions` VALUES (96433, 9328, 18, 'Selecione o problema principal responsável por quaisquer eventos perdidos neste dia');
INSERT INTO `lang_definitions` VALUES (96434, 9329, 18, 'Selecione o nome do laboratório de laboratório');
INSERT INTO `lang_definitions` VALUES (96435, 9330, 18, 'Selecione o tipo de mensagem para refletir com mais precisão o tipo de mensagem que você está enviando. Você pode escolher para deixá-lo como não atribuído');
INSERT INTO `lang_definitions` VALUES (96436, 9331, 18, 'Selecione o nome da entidade na caixa suspensa Nome');
INSERT INTO `lang_definitions` VALUES (96437, 9332, 18, 'Selecione o tipo de Ocorrência do problema na caixa suspensa, as opções são Desconhecido ou N / A, Primeiro, Recorrência Inicial, Recorrência Tardia, Recorrência Atrasada, Crônico / Recorrente e Agudo sobre Crônico');
INSERT INTO `lang_definitions` VALUES (96438, 9333, 18, 'Selecione para imprimir etiquetas de endereço de paciente a partir de pop-ups na tela de navegação esquerda');
INSERT INTO `lang_definitions` VALUES (96439, 9334, 18, 'Selecione para transmitir');
INSERT INTO `lang_definitions` VALUES (96440, 9335, 18, 'Selecionar trilha');
INSERT INTO `lang_definitions` VALUES (96441, 9336, 18, 'Selecionar tipo de transação');
INSERT INTO `lang_definitions` VALUES (96442, 9337, 18, 'Selecionar tipo');
INSERT INTO `lang_definitions` VALUES (96443, 9338, 18, 'Selecionar Usuário');
INSERT INTO `lang_definitions` VALUES (96444, 9339, 18, 'SELECIONE usuáriosda lista suspensa');
INSERT INTO `lang_definitions` VALUES (96445, 9340, 18, 'Selecionar Usuário da Lista Suspensa');
INSERT INTO `lang_definitions` VALUES (96446, 9341, 18, 'Selecione quais idiomas, se houver, podem ser escolhidos no login. (pertinente apenas se acima de Todos os idiomas permitidos estiver desativado)');
INSERT INTO `lang_definitions` VALUES (96447, 9342, 18, 'Selecione o ano');
INSERT INTO `lang_definitions` VALUES (96448, 9343, 18, 'Selecione Sim para confirmar a exclusão do grupo');
INSERT INTO `lang_definitions` VALUES (96449, 9344, 18, 'Selecione sua instalação atual na página de login');
INSERT INTO `lang_definitions` VALUES (96450, 9345, 18, 'Selecionar / adicionar método de autenticação para o usuário conectado');
INSERT INTO `lang_definitions` VALUES (96451, 9346, 18, 'Selecionar / adicionar novo método de autenticação para');
INSERT INTO `lang_definitions` VALUES (96452, 9347, 18, 'Selecione1');
INSERT INTO `lang_definitions` VALUES (96453, 9348, 18, 'Selecione2');
INSERT INTO `lang_definitions` VALUES (96454, 9349, 18, 'Selecionado');
INSERT INTO `lang_definitions` VALUES (96455, 9350, 18, 'Encontro Selecionado');
INSERT INTO `lang_definitions` VALUES (96456, 9351, 18, 'Códigos de folha de taxas e encargos para o encontro atual selecionados');
INSERT INTO `lang_definitions` VALUES (96457, 9352, 18, 'Arquivos Selecionados');
INSERT INTO `lang_definitions` VALUES (96458, 9353, 18, 'Os arquivos e dados selecionados serão removidos das pastas e tabelas');
INSERT INTO `lang_definitions` VALUES (96459, 9354, 18, 'Selecionando a largura para menus de estilo vertical responsivo em layout baseado em guia (é necessário fazer logout / login após alterar esta configuração)');
INSERT INTO `lang_definitions` VALUES (96460, 9355, 18, 'Esta seleção criará uma mensagem para ser processada por um destinatário individualmente ( Esta não é uma tarefa de grupo).');
INSERT INTO `lang_definitions` VALUES (96461, 9356, 18, 'ID de mensagem excluída');
INSERT INTO `lang_definitions` VALUES (96462, 9357, 18, 'Próprio');
INSERT INTO `lang_definitions` VALUES (96463, 9358, 18, 'Pagamento próprio');
INSERT INTO `lang_definitions` VALUES (96464, 9359, 18, 'ENVIAR');
INSERT INTO `lang_definitions` VALUES (96465, 9360, 18, 'Enviar');
INSERT INTO `lang_definitions` VALUES (96466, 9361, 18, 'Enviar um lembrete datado');
INSERT INTO `lang_definitions` VALUES (96467, 9362, 18, 'Enviar um lembrete');
INSERT INTO `lang_definitions` VALUES (96468, 9363, 18, 'Envie um email para');
INSERT INTO `lang_definitions` VALUES (96469, 9364, 18, 'Enviar CCD');
INSERT INTO `lang_definitions` VALUES (96470, 9365, 18, 'Enviar CCR');
INSERT INTO `lang_definitions` VALUES (96471, 9366, 18, 'Envio completo - Status de devolução de prescrição (ões)');
INSERT INTO `lang_definitions` VALUES (96472, 9367, 18, 'Mande emails');
INSERT INTO `lang_definitions` VALUES (96473, 9368, 18, 'Enviar para revisão');
INSERT INTO `lang_definitions` VALUES (96474, 9369, 18, 'Enviar em andamento');
INSERT INTO `lang_definitions` VALUES (96475, 9370, 18, 'Envie isto');
INSERT INTO `lang_definitions` VALUES (96476, 9371, 18, 'Enviar mensagem');
INSERT INTO `lang_definitions` VALUES (96477, 9372, 18, 'Enviar mensagem');
INSERT INTO `lang_definitions` VALUES (96478, 9373, 18, 'Envie mensagem do terapeuta de grupo permanente para o terapeuta pessoal');
INSERT INTO `lang_definitions` VALUES (96479, 9374, 18, 'Envie mensagem do terapeuta de grupo permanente para o terapeuta (gm) pessoal');
INSERT INTO `lang_definitions` VALUES (96480, 9375, 18, 'Enviar NewRx');
INSERT INTO `lang_definitions` VALUES (96481, 9376, 18, 'Enviar notas');
INSERT INTO `lang_definitions` VALUES (96482, 9377, 18, 'Mande o pagamento');
INSERT INTO `lang_definitions` VALUES (96483, 9378, 18, 'Enviar mensagem em lote');
INSERT INTO `lang_definitions` VALUES (96484, 9379, 18, 'Envair lembrete para pacientes por ordem de urgência.');
INSERT INTO `lang_definitions` VALUES (96485, 9380, 18, 'Enviar pedido');
INSERT INTO `lang_definitions` VALUES (96486, 9381, 18, 'Enviar selecionado para arquivo');
INSERT INTO `lang_definitions` VALUES (96487, 9382, 18, 'Enviar selecionado para a lixeira');
INSERT INTO `lang_definitions` VALUES (96488, 9383, 18, 'Enviar sumário com referência');
INSERT INTO `lang_definitions` VALUES (96489, 9384, 18, 'Enviar este arquivo');
INSERT INTO `lang_definitions` VALUES (96490, 9385, 18, 'Envair esta menságem');
INSERT INTO `lang_definitions` VALUES (96491, 9386, 18, 'Envair para');
INSERT INTO `lang_definitions` VALUES (96492, 9387, 18, 'Enviar Para');
INSERT INTO `lang_definitions` VALUES (96493, 9388, 18, 'ENVIAR PARA');
INSERT INTO `lang_definitions` VALUES (96494, 9389, 18, 'Enviar para todos');
INSERT INTO `lang_definitions` VALUES (96495, 9390, 18, 'Enviar para Arquivo');
INSERT INTO `lang_definitions` VALUES (96496, 9391, 18, 'Falha no envio para HIE');
INSERT INTO `lang_definitions` VALUES (96497, 9392, 18, 'Enviar para o portal');
INSERT INTO `lang_definitions` VALUES (96498, 9393, 18, 'Envair para o Portal');
INSERT INTO `lang_definitions` VALUES (96499, 9394, 18, 'Enviar para o lixo');
INSERT INTO `lang_definitions` VALUES (96500, 9395, 18, 'Remetente');
INSERT INTO `lang_definitions` VALUES (96501, 9396, 18, 'ID do Remetente');
INSERT INTO `lang_definitions` VALUES (96502, 9397, 18, 'ID do Remetente (ISA06)');
INSERT INTO `lang_definitions` VALUES (96503, 9398, 18, 'ID do Remetente Qualificador (ISA05)');
INSERT INTO `lang_definitions` VALUES (96504, 9399, 18, 'IDs do Remetente');
INSERT INTO `lang_definitions` VALUES (96505, 9400, 18, 'IDs de remetente - são necessários apenas se você estiver enviando um pedido eletrônico para uma instalação externa');
INSERT INTO `lang_definitions` VALUES (96506, 9401, 18, 'nome do remetente');
INSERT INTO `lang_definitions` VALUES (96507, 9402, 18, 'ENVIANDO UMA MENSAGEM');
INSERT INTO `lang_definitions` VALUES (96508, 9403, 18, 'O nome do aplicativo de envio será fornecido pelo serviço ao qual você se conectará');
INSERT INTO `lang_definitions` VALUES (96509, 9404, 18, 'O nome da facilidade de envio é definido pelo usuário');
INSERT INTO `lang_definitions` VALUES (96510, 9405, 18, 'Envio de fatura ao portal do paciente concluído');
INSERT INTO `lang_definitions` VALUES (96511, 9406, 18, 'Enviando Para');
INSERT INTO `lang_definitions` VALUES (96512, 9407, 18, 'Sensibilidades');
INSERT INTO `lang_definitions` VALUES (96513, 9408, 18, 'Sensibilidades (sensibilidades)');
INSERT INTO `lang_definitions` VALUES (96514, 9409, 18, 'Sensibilidade');
INSERT INTO `lang_definitions` VALUES (96515, 9410, 18, 'Sensibilidade - permite que você limite as informações neste encontro àqueles com os privilégios apropriados');
INSERT INTO `lang_definitions` VALUES (96516, 9411, 18, 'Sensibilidade:');
INSERT INTO `lang_definitions` VALUES (96517, 9412, 18, 'Sensorial exame normal');
INSERT INTO `lang_definitions` VALUES (96518, 9413, 18, 'Enviado');
INSERT INTO `lang_definitions` VALUES (96519, 9414, 18, 'Envio - Confirmado');
INSERT INTO `lang_definitions` VALUES (96520, 9415, 18, 'Enviado por, Deixe vazio para Todos');
INSERT INTO `lang_definitions` VALUES (96521, 9416, 18, 'Enviado por:');
INSERT INTO `lang_definitions` VALUES (96522, 9417, 18, 'Data do Envio');
INSERT INTO `lang_definitions` VALUES (96523, 9418, 18, 'Itens enviados');
INSERT INTO `lang_definitions` VALUES (96524, 9419, 18, 'Enviado registro médico?');
INSERT INTO `lang_definitions` VALUES (96525, 9420, 18, 'Enviado com sucesso!');
INSERT INTO `lang_definitions` VALUES (96526, 9421, 18, 'Sumário de cuidados enviado Eletronicamente?');
INSERT INTO `lang_definitions` VALUES (96527, 9422, 18, 'Sumário de cuidados enviado?');
INSERT INTO `lang_definitions` VALUES (96528, 9423, 18, 'enviado para a impressora.');
INSERT INTO `lang_definitions` VALUES (96529, 9424, 18, 'Enviado para, Deixe vazio para Todos');
INSERT INTO `lang_definitions` VALUES (96530, 9425, 18, 'Enviado para:');
INSERT INTO `lang_definitions` VALUES (96531, 9426, 18, 'Enviado, mas a entrega ainda não foi confirmada.');
INSERT INTO `lang_definitions` VALUES (96532, 9427, 18, 'Enviado, mas não recebido');
INSERT INTO `lang_definitions` VALUES (96533, 9429, 18, 'Sep');
INSERT INTO `lang_definitions` VALUES (96534, 9430, 18, 'Separado');
INSERT INTO `lang_definitions` VALUES (96535, 9431, 18, 'Setembro');
INSERT INTO `lang_definitions` VALUES (96536, 9432, 18, 'sequência');
INSERT INTO `lang_definitions` VALUES (96537, 9433, 18, 'Sequência');
INSERT INTO `lang_definitions` VALUES (96538, 9434, 18, 'Servio');
INSERT INTO `lang_definitions` VALUES (96539, 9435, 18, 'Serv Rep');
INSERT INTO `lang_definitions` VALUES (96540, 9436, 18, 'Erro no servidor: Tente novamente mais tarde');
INSERT INTO `lang_definitions` VALUES (96541, 9437, 18, 'Login do servidor');
INSERT INTO `lang_definitions` VALUES (96542, 9438, 18, 'O servidor pode estar offline');
INSERT INTO `lang_definitions` VALUES (96543, 9439, 18, 'Mensagem do Servidor:');
INSERT INTO `lang_definitions` VALUES (96544, 9442, 18, 'Serviço');
INSERT INTO `lang_definitions` VALUES (96545, 9443, 18, 'Serviço adicionado');
INSERT INTO `lang_definitions` VALUES (96546, 9444, 18, 'Categoria de Serviço');
INSERT INTO `lang_definitions` VALUES (96547, 9445, 18, 'Código de serviço');
INSERT INTO `lang_definitions` VALUES (96548, 9446, 18, 'Código de serviço do Relatório Financeiro');
INSERT INTO `lang_definitions` VALUES (96549, 9447, 18, 'Código de Serviços');
INSERT INTO `lang_definitions` VALUES (96550, 9448, 18, 'Data do Serviço');
INSERT INTO `lang_definitions` VALUES (96551, 9449, 18, 'Data do serviço de');
INSERT INTO `lang_definitions` VALUES (96552, 9450, 18, 'Data do serviço para');
INSERT INTO `lang_definitions` VALUES (96553, 9451, 18, 'Data do Serviço:');
INSERT INTO `lang_definitions` VALUES (96554, 9452, 18, 'Serviço apagado');
INSERT INTO `lang_definitions` VALUES (96555, 9453, 18, 'Instalações de serviço');
INSERT INTO `lang_definitions` VALUES (96556, 9454, 18, 'O serviço não é compatível com o sexo deste cliente');
INSERT INTO `lang_definitions` VALUES (96557, 9455, 18, 'Localização');
INSERT INTO `lang_definitions` VALUES (96558, 9456, 18, 'Nome do Serviço');
INSERT INTO `lang_definitions` VALUES (96559, 9457, 18, 'Serviço prestado pelo especialista');
INSERT INTO `lang_definitions` VALUES (96560, 9458, 18, 'Mudança de prestador de Serviço');
INSERT INTO `lang_definitions` VALUES (96561, 9459, 18, 'Relatório de Serviço');
INSERT INTO `lang_definitions` VALUES (96562, 9460, 18, 'Somente Relatório de Serviço');
INSERT INTO `lang_definitions` VALUES (96563, 9461, 18, 'Serviços');
INSERT INTO `lang_definitions` VALUES (96564, 9462, 18, 'Serviços por Categoria');
INSERT INTO `lang_definitions` VALUES (96565, 9463, 18, 'Serviços Prestados');
INSERT INTO `lang_definitions` VALUES (96566, 9464, 18, 'Serviços prestados');
INSERT INTO `lang_definitions` VALUES (96567, 9465, 18, 'Serviços / Produtos');
INSERT INTO `lang_definitions` VALUES (96568, 9466, 18, 'Tipo de Sessão');
INSERT INTO `lang_definitions` VALUES (96569, 9467, 18, 'Definir');
INSERT INTO `lang_definitions` VALUES (96570, 9468, 18, 'Defina um cookie de instalação para lembrar a instalação selecionada entre logins');
INSERT INTO `lang_definitions` VALUES (96571, 9469, 18, 'Definir como concluído');
INSERT INTO `lang_definitions` VALUES (96572, 9470, 18, 'Definir como concluído');
INSERT INTO `lang_definitions` VALUES (96573, 9471, 18, 'Reserve algum tempo ininterrupto para a entrada de dados');
INSERT INTO `lang_definitions` VALUES (96574, 9472, 18, 'Definir Gateway para Modo de Produção');
INSERT INTO `lang_definitions` VALUES (96575, 9473, 18, 'Defina o código POS no encontro');
INSERT INTO `lang_definitions` VALUES (96576, 9474, 18, 'Definir nível de preço');
INSERT INTO `lang_definitions` VALUES (96577, 9475, 18, 'Definir prioridade de processamento para relatórios baseados em mecanismo de CDR');
INSERT INTO `lang_definitions` VALUES (96578, 9476, 18, 'Definir a prioridade de processamento para a criação de Lembretes de Pacientes (em modo clínico completo)');
INSERT INTO `lang_definitions` VALUES (96579, 9477, 18, 'Defina o nível de prioridade');
INSERT INTO `lang_definitions` VALUES (96580, 9478, 18, 'Defina isto como o caminho absoluto completo. Para criar certificados SSL de cliente para HTTPS');
INSERT INTO `lang_definitions` VALUES (96581, 9479, 18, 'Definido como');
INSERT INTO `lang_definitions` VALUES (96582, 9480, 18, 'Definido como padrão');
INSERT INTO `lang_definitions` VALUES (96583, 9482, 18, 'definir o valor para');
INSERT INTO `lang_definitions` VALUES (96584, 9483, 18, 'Defina qual botão de opção é selecionado por padrão na seção \'Pesquisar códigos adicionais\'');
INSERT INTO `lang_definitions` VALUES (96585, 9484, 18, 'Define a fonte do texto do endereço no envelope em mm');
INSERT INTO `lang_definitions` VALUES (96586, 9486, 18, 'Configurando o número da versão no banco de dados ...');
INSERT INTO `lang_definitions` VALUES (96587, 9487, 18, 'Configurando 2FA');
INSERT INTO `lang_definitions` VALUES (96588, 9488, 18, 'Definições');
INSERT INTO `lang_definitions` VALUES (96589, 9489, 18, 'Configurar MedEx');
INSERT INTO `lang_definitions` VALUES (96590, 9490, 18, 'Configure a Folha de Taxas');
INSERT INTO `lang_definitions` VALUES (96591, 9491, 18, 'Vários menus suspensos e caixas de texto adicionais estarão visíveis');
INSERT INTO `lang_definitions` VALUES (96592, 9492, 18, 'grave');
INSERT INTO `lang_definitions` VALUES (96593, 9493, 18, 'Severe Migraine');
INSERT INTO `lang_definitions` VALUES (96594, 9494, 18, 'Gravidade');
INSERT INTO `lang_definitions` VALUES (96595, 9495, 18, 'As informações de gravidade estarão ausentes se a interação for encontrada');
INSERT INTO `lang_definitions` VALUES (96596, 9496, 18, 'Severidade da dor');
INSERT INTO `lang_definitions` VALUES (96597, 9497, 18, 'Severidade da dor:');
INSERT INTO `lang_definitions` VALUES (96598, 9498, 18, 'Sexo');
INSERT INTO `lang_definitions` VALUES (96599, 9499, 18, 'Doenças Sexualmente Transmissíveis');
INSERT INTO `lang_definitions` VALUES (96600, 9500, 18, 'SFTP');
INSERT INTO `lang_definitions` VALUES (96601, 9501, 18, 'SFTP enviará o pedido como uma mensagem HL7v2.3 para o laboratório receptor usando o protocolo SFTP');
INSERT INTO `lang_definitions` VALUES (96602, 9502, 18, 'Sha-1 Hash');
INSERT INTO `lang_definitions` VALUES (96603, 9503, 18, 'Compartilhamento');
INSERT INTO `lang_definitions` VALUES (96604, 9504, 18, 'Comando shell para impressão do servidor');
INSERT INTO `lang_definitions` VALUES (96605, 9505, 18, 'Mudança');
INSERT INTO `lang_definitions` VALUES (96606, 9506, 18, 'Shona');
INSERT INTO `lang_definitions` VALUES (96607, 9507, 18, 'Breve Descrição');
INSERT INTO `lang_definitions` VALUES (96608, 9508, 18, 'Forma abreviada');
INSERT INTO `lang_definitions` VALUES (96609, 9509, 18, 'Ajuda de taquigrafia');
INSERT INTO `lang_definitions` VALUES (96610, 9510, 18, 'Falta de ar');
INSERT INTO `lang_definitions` VALUES (96611, 9511, 18, 'Shortness de respiração');
INSERT INTO `lang_definitions` VALUES (96612, 9512, 18, 'Shortness de respiração 2');
INSERT INTO `lang_definitions` VALUES (96613, 9513, 18, 'Shot Record');
INSERT INTO `lang_definitions` VALUES (96614, 9514, 18, 'Shot Record a partir de:');
INSERT INTO `lang_definitions` VALUES (96615, 9515, 18, 'Deve ser ativado');
INSERT INTO `lang_definitions` VALUES (96616, 9516, 18, 'deve ser como nnnnn nnnn-nn');
INSERT INTO `lang_definitions` VALUES (96617, 9517, 18, 'Deve ser duas letras');
INSERT INTO `lang_definitions` VALUES (96618, 9518, 18, 'deve conter 10 dígitos');
INSERT INTO `lang_definitions` VALUES (96619, 9519, 18, 'deve conter apenas 10 dígitos');
INSERT INTO `lang_definitions` VALUES (96620, 9520, 18, 'Ombro');
INSERT INTO `lang_definitions` VALUES (96621, 9521, 18, 'Ombro + clavícula');
INSERT INTO `lang_definitions` VALUES (96622, 9522, 18, 'Problemas de ombro');
INSERT INTO `lang_definitions` VALUES (96623, 9523, 18, 'Mostrar');
INSERT INTO `lang_definitions` VALUES (96624, 9524, 18, 'Mostrar Ativo');
INSERT INTO `lang_definitions` VALUES (96625, 9525, 18, 'Mostrar informações adicionais de seguro');
INSERT INTO `lang_definitions` VALUES (96626, 9526, 18, 'Mostrar envelhecimento na declaração personalizada');
INSERT INTO `lang_definitions` VALUES (96627, 9527, 18, 'Mostrar Tudo');
INSERT INTO `lang_definitions` VALUES (96628, 9528, 18, 'Mostrar todo o histórico de pagamentos no Livro de Pacientes');
INSERT INTO `lang_definitions` VALUES (96629, 9529, 18, 'Mostrar todos os procedimentos');
INSERT INTO `lang_definitions` VALUES (96630, 9530, 18, 'Mostrar todos os resultados');
INSERT INTO `lang_definitions` VALUES (96631, 9531, 18, 'Mostrar Todas as Transações');
INSERT INTO `lang_definitions` VALUES (96632, 9532, 18, 'Mostrar como Ocupado');
INSERT INTO `lang_definitions` VALUES (96633, 9533, 18, 'Mostrar apenas autorizado');
INSERT INTO `lang_definitions` VALUES (96634, 9534, 18, 'Mostrar horários disponíveis');
INSERT INTO `lang_definitions` VALUES (96635, 9535, 18, 'Mostra os sistema EUA e o métrico (a unidade principal é o sistema métrico)');
INSERT INTO `lang_definitions` VALUES (96636, 9536, 18, 'Mostra os sistema EUA e o métrico (a unidade principal é o sistema EUA)');
INSERT INTO `lang_definitions` VALUES (96637, 9537, 18, 'Mostrar botão para download do modelo de fax');
INSERT INTO `lang_definitions` VALUES (96638, 9538, 18, 'Mostrar botão na lista de prescrição para download do modelo de fax');
INSERT INTO `lang_definitions` VALUES (96639, 9539, 18, 'Mostrar assinatura atual no arquivo');
INSERT INTO `lang_definitions` VALUES (96640, 9540, 18, 'Mostrar Detalhes');
INSERT INTO `lang_definitions` VALUES (96641, 9541, 18, 'Mostrar seção de diagnósticos');
INSERT INTO `lang_definitions` VALUES (96642, 9542, 18, 'Mostrar apenas erros?');
INSERT INTO `lang_definitions` VALUES (96643, 9543, 18, 'Mostrar logotipo extra no login');
INSERT INTO `lang_definitions` VALUES (96644, 9544, 18, 'Mostrar gráfico');
INSERT INTO `lang_definitions` VALUES (96645, 9545, 18, 'Mostrar ajuda modal');
INSERT INTO `lang_definitions` VALUES (96646, 9546, 18, 'Mostrar texto de eventos que paira sobre mouseover?');
INSERT INTO `lang_definitions` VALUES (96647, 9547, 18, 'Mostrar eventos como muitas páginas de administração?');
INSERT INTO `lang_definitions` VALUES (96648, 9548, 18, 'Mostrar Inativo');
INSERT INTO `lang_definitions` VALUES (96649, 9549, 18, 'Mostrar informações de endereço de seguro no painel de seguros de dados demográficos');
INSERT INTO `lang_definitions` VALUES (96650, 9550, 18, 'Mostrar IOP por data');
INSERT INTO `lang_definitions` VALUES (96651, 9551, 18, 'Mostrar IOP por tempo');
INSERT INTO `lang_definitions` VALUES (96652, 9552, 18, 'Mostrar Menu');
INSERT INTO `lang_definitions` VALUES (96653, 9553, 18, 'Mostrar apenas métrica');
INSERT INTO `lang_definitions` VALUES (96654, 9554, 18, 'Mostrar Mini Logo 1');
INSERT INTO `lang_definitions` VALUES (96655, 9555, 18, 'Mostrar Mini Logo');
INSERT INTO `lang_definitions` VALUES (96656, 9556, 18, 'Mostrar Notas');
INSERT INTO `lang_definitions` VALUES (96657, 9557, 18, 'Mostra apenas os últimos valores informados para cada código de resultado');
INSERT INTO `lang_definitions` VALUES (96658, 9558, 18, 'Mostrar apenas procedimentos não omitidos');
INSERT INTO `lang_definitions` VALUES (96659, 9559, 18, 'Mostrar o número de encontro do paciente no quadro de fluxo do paciente');
INSERT INTO `lang_definitions` VALUES (96660, 9560, 18, 'Mostrar ID do paciente no quadro de fluxo do paciente');
INSERT INTO `lang_definitions` VALUES (96661, 9561, 18, 'Mostrar anotações do paciente');
INSERT INTO `lang_definitions` VALUES (96662, 9562, 18, 'Mostrar libras e onças');
INSERT INTO `lang_definitions` VALUES (96663, 9563, 18, 'Mostrar libras como valor decimal');
INSERT INTO `lang_definitions` VALUES (96664, 9564, 18, 'Mostrar Primário Completo');
INSERT INTO `lang_definitions` VALUES (96665, 9565, 18, 'Mostrar seção de produtos');
INSERT INTO `lang_definitions` VALUES (96666, 9566, 18, 'Mostrar recibo');
INSERT INTO `lang_definitions` VALUES (96667, 9567, 18, 'Mostrar registros');
INSERT INTO `lang_definitions` VALUES (96668, 9568, 18, 'Mostrar Lembrete');
INSERT INTO `lang_definitions` VALUES (96669, 9569, 18, 'Mostrar Relatório');
INSERT INTO `lang_definitions` VALUES (96670, 9570, 18, 'Mostrar / Buscar - apresentar links em bloco?');
INSERT INTO `lang_definitions` VALUES (96671, 9571, 18, 'Mostrar selecionados para telas de drogas');
INSERT INTO `lang_definitions` VALUES (96672, 9572, 18, 'Mostrar seção de serviços');
INSERT INTO `lang_definitions` VALUES (96673, 9573, 18, 'Mostrar status das telas de drogas');
INSERT INTO `lang_definitions` VALUES (96674, 9574, 18, 'Mostra o formulário de estado personalizado para o widget de lista de adição (solicitará o título e a abreviatura)');
INSERT INTO `lang_definitions` VALUES (96675, 9576, 18, 'Mostra as últimas três refrações');
INSERT INTO `lang_definitions` VALUES (96676, 9577, 18, 'Mostrar esta categoria na tela de resumo do paciente, mesmo que nenhum problema tenha sido inserido para esta categoria');
INSERT INTO `lang_definitions` VALUES (96677, 9578, 18, 'Mostrar título no login');
INSERT INTO `lang_definitions` VALUES (96678, 9579, 18, 'Mostrar histórico da trilha');
INSERT INTO `lang_definitions` VALUES (96679, 9580, 18, 'Mostrar só não faturada');
INSERT INTO `lang_definitions` VALUES (96680, 9581, 18, 'Mostrar apenas nos EUA');
INSERT INTO `lang_definitions` VALUES (96681, 9582, 18, 'Mostrar o motivo da visita no quadro de fluxo do paciente');
INSERT INTO `lang_definitions` VALUES (96682, 9584, 18, 'Mostrar / ocultar a área de seleção');
INSERT INTO `lang_definitions` VALUES (96683, 9585, 18, 'Mostrando');
INSERT INTO `lang_definitions` VALUES (96684, 9586, 18, 'Showing 0 to 0 of 0 entries');
INSERT INTO `lang_definitions` VALUES (96685, 9587, 18, 'Mostrando itens');
INSERT INTO `lang_definitions` VALUES (96686, 9588, 18, 'Mostrando página');
INSERT INTO `lang_definitions` VALUES (96687, 9589, 18, 'Mostrando resultado');
INSERT INTO `lang_definitions` VALUES (96688, 9590, 18, 'Mostra o nível hierárquico desta linha');
INSERT INTO `lang_definitions` VALUES (96689, 9591, 18, 'Encerrando serviço ...');
INSERT INTO `lang_definitions` VALUES (96690, 9592, 18, 'Irmão');
INSERT INTO `lang_definitions` VALUES (96691, 9593, 18, 'Histórico do Irmão');
INSERT INTO `lang_definitions` VALUES (96692, 9594, 18, 'Irmão cunhado');
INSERT INTO `lang_definitions` VALUES (96693, 9595, 18, 'Irmãos');
INSERT INTO `lang_definitions` VALUES (96694, 9596, 18, 'Sickle Cell');
INSERT INTO `lang_definitions` VALUES (96695, 9597, 18, 'Sig');
INSERT INTO `lang_definitions` VALUES (96696, 9598, 18, 'Sigmóide / Colonoscopia');
INSERT INTO `lang_definitions` VALUES (96697, 9599, 18, 'assinar');
INSERT INTO `lang_definitions` VALUES (96698, 9600, 18, 'Assinar em');
INSERT INTO `lang_definitions` VALUES (96699, 9601, 18, 'Resultados do Laboratório de Assinatura (escrever, adicionalmente opcional)');
INSERT INTO `lang_definitions` VALUES (96700, 9602, 18, 'Resultados do Laboratório de Assinatura (escrever, adicionalmente opcional)(assinar)');
INSERT INTO `lang_definitions` VALUES (96701, 9603, 18, 'Resultados de sinais');
INSERT INTO `lang_definitions` VALUES (96702, 9604, 18, 'Inscrever-se');
INSERT INTO `lang_definitions` VALUES (96703, 9605, 18, 'Inscrição bem sucedida para');
INSERT INTO `lang_definitions` VALUES (96704, 9606, 18, 'Assinatura');
INSERT INTO `lang_definitions` VALUES (96705, 9607, 18, 'Assinatura em Arquivo');
INSERT INTO `lang_definitions` VALUES (96706, 9608, 18, 'Assinatura em Arquivo');
INSERT INTO `lang_definitions` VALUES (96707, 9609, 18, 'Assinatura:');
INSERT INTO `lang_definitions` VALUES (96708, 9612, 18, 'Rx assinado');
INSERT INTO `lang_definitions` VALUES (96709, 9613, 18, 'Outro significado');
INSERT INTO `lang_definitions` VALUES (96710, 9614, 18, 'Inchaço significativo:');
INSERT INTO `lang_definitions` VALUES (96711, 9615, 18, 'Simplificado');
INSERT INTO `lang_definitions` VALUES (96712, 9616, 18, 'Co-pagamento simplificado');
INSERT INTO `lang_definitions` VALUES (96713, 9617, 18, 'Demografia Simplificada');
INSERT INTO `lang_definitions` VALUES (96714, 9618, 18, 'Receitas Simplificadas');
INSERT INTO `lang_definitions` VALUES (96715, 9619, 18, 'Desde');
INSERT INTO `lang_definitions` VALUES (96716, 9620, 18, 'Atenciosamente,');
INSERT INTO `lang_definitions` VALUES (96717, 9621, 18, 'Sindi');
INSERT INTO `lang_definitions` VALUES (96718, 9622, 18, 'Solteiro');
INSERT INTO `lang_definitions` VALUES (96719, 9623, 18, 'Testes Individuais');
INSERT INTO `lang_definitions` VALUES (96720, 9624, 18, 'Lista de seleção única');
INSERT INTO `lang_definitions` VALUES (96721, 9625, 18, 'Lista de seleção única com capacidade de adicionar à lista');
INSERT INTO `lang_definitions` VALUES (96722, 9626, 18, 'Singular');
INSERT INTO `lang_definitions` VALUES (96723, 9627, 18, 'Sinhala');
INSERT INTO `lang_definitions` VALUES (96724, 9628, 18, 'Sinhala, Sinhalese');
INSERT INTO `lang_definitions` VALUES (96725, 9629, 18, 'Problemas do seio');
INSERT INTO `lang_definitions` VALUES (96726, 9630, 18, 'Sinus Cirurgia');
INSERT INTO `lang_definitions` VALUES (96727, 9631, 18, 'SINUS ternura:');
INSERT INTO `lang_definitions` VALUES (96728, 9632, 18, 'Sinusite');
INSERT INTO `lang_definitions` VALUES (96729, 9633, 18, 'Irmã');
INSERT INTO `lang_definitions` VALUES (96730, 9634, 18, 'Local');
INSERT INTO `lang_definitions` VALUES (96731, 9637, 18, 'Identificação de site');
INSERT INTO `lang_definitions` VALUES (96732, 9638, 18, 'ID do site para a integração de informações médicas, LLC Serviço de troca de laboratório');
INSERT INTO `lang_definitions` VALUES (96733, 9639, 18, 'ID do site para o OpenEMR Support LLC Serviço de troca de laboratório');
INSERT INTO `lang_definitions` VALUES (96734, 9640, 18, 'Trabalhador local');
INSERT INTO `lang_definitions` VALUES (96735, 9641, 18, 'Seis meses atrás');
INSERT INTO `lang_definitions` VALUES (96736, 9642, 18, 'Seis meses antes');
INSERT INTO `lang_definitions` VALUES (96737, 9643, 18, 'Tamanho');
INSERT INTO `lang_definitions` VALUES (96738, 9644, 18, 'Tamanho');
INSERT INTO `lang_definitions` VALUES (96739, 9646, 18, 'Tamanho deve ser um número entre 1 e 999');
INSERT INTO `lang_definitions` VALUES (96740, 9648, 18, 'Tamanho / Lista');
INSERT INTO `lang_definitions` VALUES (96741, 9649, 18, 'Centro de enfermagem especializada');
INSERT INTO `lang_definitions` VALUES (96742, 9650, 18, 'Pele');
INSERT INTO `lang_definitions` VALUES (96743, 9651, 18, 'Câncer de Pele');
INSERT INTO `lang_definitions` VALUES (96744, 9652, 18, 'Doença de pele');
INSERT INTO `lang_definitions` VALUES (96745, 9653, 18, 'De pele Outros');
INSERT INTO `lang_definitions` VALUES (96746, 9654, 18, 'Pular autorização de anotações do paciente');
INSERT INTO `lang_definitions` VALUES (96747, 9659, 18, 'Pular seção');
INSERT INTO `lang_definitions` VALUES (96748, 9660, 18, 'Ignorando o dump do SQL-Ledger - não implementado para o servidor Windows');
INSERT INTO `lang_definitions` VALUES (96749, 9661, 18, 'Sl.No');
INSERT INTO `lang_definitions` VALUES (96750, 9662, 18, 'Laje');
INSERT INTO `lang_definitions` VALUES (96751, 9663, 18, 'Dormir');
INSERT INTO `lang_definitions` VALUES (96752, 9664, 18, 'Os padrões de sono');
INSERT INTO `lang_definitions` VALUES (96753, 9665, 18, 'Os padrões de sono');
INSERT INTO `lang_definitions` VALUES (96754, 9666, 18, 'Sono');
INSERT INTO `lang_definitions` VALUES (96755, 9667, 18, 'Deslizante');
INSERT INTO `lang_definitions` VALUES (96756, 9668, 18, 'Eslovaco');
INSERT INTO `lang_definitions` VALUES (96757, 9669, 18, 'Esloveno');
INSERT INTO `lang_definitions` VALUES (96758, 9670, 18, 'Sm dívida w / o');
INSERT INTO `lang_definitions` VALUES (96759, 9674, 18, 'Smartphones podem ter aplicativos autenticadores que podem calcular OTP usando abordagens baseadas em tempo ou algoritmo e é um método comum de entrega OTP');
INSERT INTO `lang_definitions` VALUES (96760, 9675, 18, 'Smarty Cache foi limpo');
INSERT INTO `lang_definitions` VALUES (96761, 9676, 18, 'Fumante, status atual desconhecido');
INSERT INTO `lang_definitions` VALUES (96762, 9677, 18, 'Fumar');
INSERT INTO `lang_definitions` VALUES (96763, 9678, 18, 'tabagismo');
INSERT INTO `lang_definitions` VALUES (96764, 9679, 18, 'SMS');
INSERT INTO `lang_definitions` VALUES (96765, 9680, 18, 'Autenticação de SMS');
INSERT INTO `lang_definitions` VALUES (96766, 9681, 18, 'A entrega de OTP baseada em SMS é fácil de implementar, sem etapas adicionais necessárias para o usuário');
INSERT INTO `lang_definitions` VALUES (96767, 9682, 18, 'SMS confirmado');
INSERT INTO `lang_definitions` VALUES (96768, 9683, 18, 'SMS Gateway');
INSERT INTO `lang_definitions` VALUES (96769, 9684, 18, 'SMS Gateway API chave');
INSERT INTO `lang_definitions` VALUES (96770, 9685, 18, 'Chave API gateway de SMS');
INSERT INTO `lang_definitions` VALUES (96771, 9686, 18, 'Senha do gateway de SMS');
INSERT INTO `lang_definitions` VALUES (96772, 9687, 18, 'Nome de usuário do Gateway de SMS');
INSERT INTO `lang_definitions` VALUES (96773, 9688, 18, 'Mensagens SMS');
INSERT INTO `lang_definitions` VALUES (96774, 9689, 18, 'Notificação de SMS');
INSERT INTO `lang_definitions` VALUES (96775, 9690, 18, 'Horário de Notificação por SMS');
INSERT INTO `lang_definitions` VALUES (96776, 9691, 18, 'Configurações de notificação de SMS atualizadas com sucesso');
INSERT INTO `lang_definitions` VALUES (96777, 9692, 18, 'SMS OK');
INSERT INTO `lang_definitions` VALUES (96778, 9693, 18, 'Antes de enviar SMS');
INSERT INTO `lang_definitions` VALUES (96779, 9694, 18, 'SMS enviado');
INSERT INTO `lang_definitions` VALUES (96780, 9695, 18, 'Tags utilizáveis de texto SMS');
INSERT INTO `lang_definitions` VALUES (96781, 9697, 18, 'Texto SMS, Usable Tag: *** NOME ***, *** Médico ***, *** DATA ***, *** STARTTIME ***, *** *** ENDTIME <br> ou seja, Dear *** NOME ***');
INSERT INTO `lang_definitions` VALUES (96782, 9698, 18, 'Texto SMS, tags utilizáveis:');
INSERT INTO `lang_definitions` VALUES (96783, 9699, 18, 'Zona SMS');
INSERT INTO `lang_definitions` VALUES (96784, 9700, 18, 'Zona SMS - Esta seção permite enviar e receber textos SMS');
INSERT INTO `lang_definitions` VALUES (96785, 9701, 18, 'SMS / Email configurações de alerta');
INSERT INTO `lang_definitions` VALUES (96786, 9702, 18, 'Configurações de alerta de SMS / e-mail atualizadas com sucesso');
INSERT INTO `lang_definitions` VALUES (96787, 9703, 18, 'Senha SMTP para autenticação');
INSERT INTO `lang_definitions` VALUES (96788, 9704, 18, 'Protocolo de Segurança SMTP');
INSERT INTO `lang_definitions` VALUES (96789, 9705, 18, 'Protocolo de segurança SMTP para conexão. Requerido por alguns servidores, como gmail');
INSERT INTO `lang_definitions` VALUES (96790, 9706, 18, 'Nome de host do servidor SMTP');
INSERT INTO `lang_definitions` VALUES (96791, 9707, 18, 'Número da porta do servidor SMTP');
INSERT INTO `lang_definitions` VALUES (96792, 9708, 18, 'Usuário SMTP para autenticação');
INSERT INTO `lang_definitions` VALUES (96793, 9709, 18, 'SNOMED');
INSERT INTO `lang_definitions` VALUES (96794, 9710, 18, 'Termo Clínico SNOMED (RF1)');
INSERT INTO `lang_definitions` VALUES (96795, 9711, 18, 'Diagnóstico SNOMED (RF1)');
INSERT INTO `lang_definitions` VALUES (96796, 9712, 18, 'Procedimento SNOMED (RF1)');
INSERT INTO `lang_definitions` VALUES (96797, 9713, 18, 'Termo Clínico SNOMED (RF2)');
INSERT INTO `lang_definitions` VALUES (96798, 9714, 18, 'Diagnóstico SNOMED (RF2)');
INSERT INTO `lang_definitions` VALUES (96799, 9715, 18, 'Procedimento SNOMED (RF2)');
INSERT INTO `lang_definitions` VALUES (96800, 9716, 18, 'Termo Clínico SNOMED');
INSERT INTO `lang_definitions` VALUES (96801, 9717, 18, 'Banco de dados SNOMED');
INSERT INTO `lang_definitions` VALUES (96802, 9718, 18, 'Diagnóstico SNOMED');
INSERT INTO `lang_definitions` VALUES (96803, 9719, 18, 'Procedimento SNOMED');
INSERT INTO `lang_definitions` VALUES (96804, 9720, 18, 'Código SNOMED-CT');
INSERT INTO `lang_definitions` VALUES (96805, 9721, 18, 'Ronco');
INSERT INTO `lang_definitions` VALUES (96806, 9722, 18, 'Anamnese');
INSERT INTO `lang_definitions` VALUES (96807, 9723, 18, 'Status de importação de sabão');
INSERT INTO `lang_definitions` VALUES (96808, 9724, 18, 'Soc Hx {{Histórico Social}}');
INSERT INTO `lang_definitions` VALUES (96809, 9725, 18, 'Social');
INSERT INTO `lang_definitions` VALUES (96810, 9726, 18, 'Dificuldades Social');
INSERT INTO `lang_definitions` VALUES (96811, 9727, 18, 'Histórico Social');
INSERT INTO `lang_definitions` VALUES (96812, 9728, 18, 'Elemento de Histórico Social');
INSERT INTO `lang_definitions` VALUES (96813, 9729, 18, 'Histórico Social:');
INSERT INTO `lang_definitions` VALUES (96814, 9730, 18, 'Social Security Number');
INSERT INTO `lang_definitions` VALUES (96815, 9731, 18, 'Segurança Social (opcional)');
INSERT INTO `lang_definitions` VALUES (96816, 9732, 18, 'solução');
INSERT INTO `lang_definitions` VALUES (96817, 9733, 18, 'Somali');
INSERT INTO `lang_definitions` VALUES (96818, 9734, 18, 'Somatic Contexto');
INSERT INTO `lang_definitions` VALUES (96819, 9735, 18, 'Algumas autorizações não foram exibidos. Clique aqui para ver todos');
INSERT INTO `lang_definitions` VALUES (96820, 9736, 18, 'Alguns códigos não eram exibidas.');
INSERT INTO `lang_definitions` VALUES (96821, 9737, 18, 'Alguns encontros não foram exibidos. Clique aqui para ver todos.');
INSERT INTO `lang_definitions` VALUES (96822, 9738, 18, 'Algum erro ocorreu durante o processo de identificação');
INSERT INTO `lang_definitions` VALUES (96823, 9739, 18, 'Alguns parâmetros globais na configuração e impressão das declarações geradas podem ser definidos em Administração> Globais> Faturamento');
INSERT INTO `lang_definitions` VALUES (96824, 9740, 18, 'Algumas notas não eram exibidas.');
INSERT INTO `lang_definitions` VALUES (96825, 9741, 18, 'Algumas notas de escritório não foram exibidas. Clique aqui para ver tudo');
INSERT INTO `lang_definitions` VALUES (96826, 9742, 18, 'Alguns laboratórios locais menores podem concordar em lidar diretamente com a prática');
INSERT INTO `lang_definitions` VALUES (96827, 9743, 18, 'algumas palavras');
INSERT INTO `lang_definitions` VALUES (96828, 9744, 18, 'Alguém acabou de mudar esta visita. Por favor, cancele esta página e tente novamente');
INSERT INTO `lang_definitions` VALUES (96829, 9745, 18, 'Algo deu errado');
INSERT INTO `lang_definitions` VALUES (96830, 9746, 18, 'Algo deu errado');
INSERT INTO `lang_definitions` VALUES (96831, 9747, 18, 'Algo deu errado. Por favor, tente novamente');
INSERT INTO `lang_definitions` VALUES (96832, 9748, 18, 'Intervalo em breve devido (lembretes clínicos)');
INSERT INTO `lang_definitions` VALUES (96833, 9749, 18, 'Intervalo em breve devido (lembretes do paciente)');
INSERT INTO `lang_definitions` VALUES (96834, 9750, 18, 'Sore Throat');
INSERT INTO `lang_definitions` VALUES (96835, 9751, 18, 'Desculpe, nenhum compromisso foi corrigido');
INSERT INTO `lang_definitions` VALUES (96836, 9752, 18, 'Desculpe, você não é privilegiado o suficiente. A inscrição é limitada as contas de administrador');
INSERT INTO `lang_definitions` VALUES (96837, 9753, 18, 'Desculpe! Não autorizado');
INSERT INTO `lang_definitions` VALUES (96838, 9754, 18, 'Desculpe, ocorreu um problema ao enviar seu arquivo');
INSERT INTO `lang_definitions` VALUES (96839, 9755, 18, 'Desculpe, houve um problema!');
INSERT INTO `lang_definitions` VALUES (96840, 9757, 18, 'Sort alphabetically');
INSERT INTO `lang_definitions` VALUES (96841, 9758, 18, 'Ordenar por');
INSERT INTO `lang_definitions` VALUES (96842, 9759, 18, 'Ordenar por');
INSERT INTO `lang_definitions` VALUES (96843, 9760, 18, 'Classificar por categoria');
INSERT INTO `lang_definitions` VALUES (96844, 9761, 18, 'Classificar por soma de verificação');
INSERT INTO `lang_definitions` VALUES (96845, 9762, 18, 'Ordenar por Comentários');
INSERT INTO `lang_definitions` VALUES (96846, 9763, 18, 'Classificar por usuário Crt');
INSERT INTO `lang_definitions` VALUES (96847, 9764, 18, 'Classificar por data');
INSERT INTO `lang_definitions` VALUES (96848, 9765, 18, 'Classificar por data / hora');
INSERT INTO `lang_definitions` VALUES (96849, 9766, 18, 'Ordenar por evento');
INSERT INTO `lang_definitions` VALUES (96850, 9767, 18, 'Classificar por grupo');
INSERT INTO `lang_definitions` VALUES (96851, 9768, 18, 'Classificar por nova soma de verificação');
INSERT INTO `lang_definitions` VALUES (96852, 9769, 18, 'Classificar por soma de verificação antiga');
INSERT INTO `lang_definitions` VALUES (96853, 9770, 18, 'Classificar por PatientID');
INSERT INTO `lang_definitions` VALUES (96854, 9771, 18, 'Classificar por seq');
INSERT INTO `lang_definitions` VALUES (96855, 9772, 18, 'Classificar por sucesso');
INSERT INTO `lang_definitions` VALUES (96856, 9773, 18, 'Classificar por data / hora de adulteração');
INSERT INTO `lang_definitions` VALUES (96857, 9774, 18, 'Ordenar por Usuário');
INSERT INTO `lang_definitions` VALUES (96858, 9775, 18, 'Ordenar por vacinas');
INSERT INTO `lang_definitions` VALUES (96859, 9776, 18, 'Classificar para baixo');
INSERT INTO `lang_definitions` VALUES (96860, 9777, 18, 'Resultado ordenado por');
INSERT INTO `lang_definitions` VALUES (96861, 9778, 18, 'Classificar');
INSERT INTO `lang_definitions` VALUES (96862, 9779, 18, 'Fonte');
INSERT INTO `lang_definitions` VALUES (96863, 9780, 18, 'Arquivo CSV de origem');
INSERT INTO `lang_definitions` VALUES (96864, 9781, 18, 'Arquivo fonte');
INSERT INTO `lang_definitions` VALUES (96865, 9782, 18, 'Caminho do arquivo de origem');
INSERT INTO `lang_definitions` VALUES (96866, 9783, 18, 'Fonte está faltando para o código');
INSERT INTO `lang_definitions` VALUES (96867, 9784, 18, 'Lote Fonte');
INSERT INTO `lang_definitions` VALUES (96868, 9785, 18, 'Fonte do documento');
INSERT INTO `lang_definitions` VALUES (96869, 9786, 18, 'Paciente Fonte');
INSERT INTO `lang_definitions` VALUES (96870, 9787, 18, 'O paciente fonte não tem DOB');
INSERT INTO `lang_definitions` VALUES (96871, 9788, 18, 'Paciente fonte não encontrado');
INSERT INTO `lang_definitions` VALUES (96872, 9789, 18, 'Fonte:');
INSERT INTO `lang_definitions` VALUES (96873, 9790, 18, 'Ndebele do Sul');
INSERT INTO `lang_definitions` VALUES (96874, 9791, 18, 'Sotho do Sul');
INSERT INTO `lang_definitions` VALUES (96875, 9792, 18, 'Espaço');
INSERT INTO `lang_definitions` VALUES (96876, 9793, 18, 'ESPAÇO');
INSERT INTO `lang_definitions` VALUES (96877, 9794, 18, 'Abranger toda a linha');
INSERT INTO `lang_definitions` VALUES (96878, 9795, 18, 'Espanhol');
INSERT INTO `lang_definitions` VALUES (96879, 9796, 18, 'Espanhol (latino-americano)');
INSERT INTO `lang_definitions` VALUES (96880, 9797, 18, 'Espanhol (Espanha)');
INSERT INTO `lang_definitions` VALUES (96881, 9798, 18, 'Espanhol- castelhano');
INSERT INTO `lang_definitions` VALUES (96882, 9799, 18, 'Caracteres especiais não são permitidos');
INSERT INTO `lang_definitions` VALUES (96883, 9800, 18, 'Tratamento especial para o formulário Vitals');
INSERT INTO `lang_definitions` VALUES (96884, 9801, 18, 'Especialista');
INSERT INTO `lang_definitions` VALUES (96885, 9802, 18, 'Especialista em nome e assinatura');
INSERT INTO `lang_definitions` VALUES (96886, 9803, 18, 'Médico especialista');
INSERT INTO `lang_definitions` VALUES (96887, 9804, 18, 'Especialidade');
INSERT INTO `lang_definitions` VALUES (96888, 9805, 18, 'Especialidade Systems');
INSERT INTO `lang_definitions` VALUES (96889, 9806, 18, 'Especialidade:');
INSERT INTO `lang_definitions` VALUES (96890, 9807, 18, 'Específicos');
INSERT INTO `lang_definitions` VALUES (96891, 9808, 18, 'Aplicação específica');
INSERT INTO `lang_definitions` VALUES (96892, 9809, 18, 'Serviço específico de anticoncepcionais');
INSERT INTO `lang_definitions` VALUES (96893, 9810, 18, 'Resultado Específico');
INSERT INTO `lang_definitions` VALUES (96894, 9811, 18, 'Específica');
INSERT INTO `lang_definitions` VALUES (96895, 9812, 18, 'Especificado');
INSERT INTO `lang_definitions` VALUES (96896, 9813, 18, 'Especifica a formatação dos códigos. # = dígito, * = qualquer caractere. Vazio se não for usado');
INSERT INTO `lang_definitions` VALUES (96897, 9814, 18, 'Especifica a formatação dos códigos. # = dígito, @ = alfa, * = qualquer caractere. Vazio se não for usado');
INSERT INTO `lang_definitions` VALUES (96898, 9815, 18, 'Especifica a formatação dos números de referência da fatura. # = dígito, * = qualquer caractere');
INSERT INTO `lang_definitions` VALUES (96899, 9816, 18, 'Especifica a formatação dos números de referência da fatura. # = dígito, @ = alfa, * = qualquer caractere. Vazio se não for usado');
INSERT INTO `lang_definitions` VALUES (96900, 9817, 18, 'Especifica a formatação dos campos NDC do produto. # = dígito, * = qualquer caractere. Vazio se não for usado');
INSERT INTO `lang_definitions` VALUES (96901, 9818, 18, 'Especifica a formatação dos campos NDC do produto. # = dígito, @ = alfa, * = qualquer caractere. Vazio se não for usado');
INSERT INTO `lang_definitions` VALUES (96902, 9819, 18, 'Especifica a formatação da ID externa do paciente. # = dígito, * = qualquer caractere. Vazio se não for usado');
INSERT INTO `lang_definitions` VALUES (96903, 9820, 18, 'Especifica a formatação da ID externa do paciente. # = dígito, @ = alfa, * = qualquer caractere. Vazio se não for usado');
INSERT INTO `lang_definitions` VALUES (96904, 9821, 18, 'Especifique o intervalo para verificação automática de mensagens, 5 ou 10 minutos como ponto de partida');
INSERT INTO `lang_definitions` VALUES (96905, 9822, 18, 'Especifique o usuário OpenEMR que receberá notificação de novas mensagens diretas de entrada');
INSERT INTO `lang_definitions` VALUES (96906, 9823, 18, 'Espécime');
INSERT INTO `lang_definitions` VALUES (96907, 9824, 18, 'Número / identificador da amostra');
INSERT INTO `lang_definitions` VALUES (96908, 9825, 18, 'Tipo de amostra');
INSERT INTO `lang_definitions` VALUES (96909, 9826, 18, 'Tipo de amostra');
INSERT INTO `lang_definitions` VALUES (96910, 9827, 18, 'Ditado Speech');
INSERT INTO `lang_definitions` VALUES (96911, 9828, 18, 'Espermicidas');
INSERT INTO `lang_definitions` VALUES (96912, 9829, 18, 'Sph{{Esfera}}');
INSERT INTO `lang_definitions` VALUES (96913, 9830, 18, 'Sph{{Esfera}}');
INSERT INTO `lang_definitions` VALUES (96914, 9831, 18, 'Esplenectomia');
INSERT INTO `lang_definitions` VALUES (96915, 9832, 18, 'Cônjuge');
INSERT INTO `lang_definitions` VALUES (96916, 9833, 18, 'Histórico dos Cônjuges');
INSERT INTO `lang_definitions` VALUES (96917, 9834, 18, 'Escarro');
INSERT INTO `lang_definitions` VALUES (96918, 9835, 18, 'Escarro:');
INSERT INTO `lang_definitions` VALUES (96919, 9836, 18, 'SQ');
INSERT INTO `lang_definitions` VALUES (96920, 9837, 18, 'sql');
INSERT INTO `lang_definitions` VALUES (96921, 9838, 18, 'Livro-razão SQL');
INSERT INTO `lang_definitions` VALUES (96922, 9839, 18, 'Plantel');
INSERT INTO `lang_definitions` VALUES (96923, 9840, 18, 'Squad Sócio');
INSERT INTO `lang_definitions` VALUES (96924, 9841, 18, 'Esquadrões');
INSERT INTO `lang_definitions` VALUES (96925, 9842, 18, 'Esquadrões (esquadrões)');
INSERT INTO `lang_definitions` VALUES (96926, 9843, 18, 'SRH');
INSERT INTO `lang_definitions` VALUES (96927, 9844, 18, 'SRH - Planejamento Familiar');
INSERT INTO `lang_definitions` VALUES (96928, 9845, 18, 'SRH Non Planejamento Familiar');
INSERT INTO `lang_definitions` VALUES (96929, 9846, 18, 'SRH Referências');
INSERT INTO `lang_definitions` VALUES (96930, 9847, 18, 'SRH Ficha de Visita');
INSERT INTO `lang_definitions` VALUES (96931, 9848, 18, 'Encontro Srv');
INSERT INTO `lang_definitions` VALUES (96932, 9849, 18, 'CPF');
INSERT INTO `lang_definitions` VALUES (96933, 9850, 18, 'Administração de certificado SSL');
INSERT INTO `lang_definitions` VALUES (96934, 9851, 18, 'CPF');
INSERT INTO `lang_definitions` VALUES (96935, 9852, 18, 'Estabilidade');
INSERT INTO `lang_definitions` VALUES (96936, 9853, 18, 'rastreamento de pilha');
INSERT INTO `lang_definitions` VALUES (96937, 9854, 18, 'Lançamentos encenados');
INSERT INTO `lang_definitions` VALUES (96938, 9855, 18, 'Normal');
INSERT INTO `lang_definitions` VALUES (96939, 9856, 18, 'Cheque padrão');
INSERT INTO `lang_definitions` VALUES (96940, 9857, 18, 'Código Padrão');
INSERT INTO `lang_definitions` VALUES (96941, 9860, 18, 'Medidas Padrão');
INSERT INTO `lang_definitions` VALUES (96942, 9861, 18, 'Medidas padrão (alertas ativos)');
INSERT INTO `lang_definitions` VALUES (96943, 9862, 18, 'Medidas padrão (alertas passivos)');
INSERT INTO `lang_definitions` VALUES (96944, 9863, 18, 'Medidas padrão (lembretes do paciente)');
INSERT INTO `lang_definitions` VALUES (96945, 9864, 18, 'Nome Padrão');
INSERT INTO `lang_definitions` VALUES (96946, 9865, 18, 'Padrão; Simplificado: apenas título, data de início, comentários e uma caixa de seleção ativa; sem diagnóstico, ocorrência, data de término, referido por ou campos esportivos. ; Lesão de futebol');
INSERT INTO `lang_definitions` VALUES (96947, 9866, 18, 'Iniciar');
INSERT INTO `lang_definitions` VALUES (96948, 9867, 18, 'Start (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (96949, 9868, 18, 'Iniciar outro relatório');
INSERT INTO `lang_definitions` VALUES (96950, 9870, 18, 'Iniciar processamento em lote');
INSERT INTO `lang_definitions` VALUES (96951, 9871, 18, 'Comece clicando em Adicionar nível superior para abrir a caixa pop-up Inserir detalhes no modo Adicionar');
INSERT INTO `lang_definitions` VALUES (96952, 9872, 18, 'Comece clicando no sinal de mais preto no final da linha Química do Soro para abrir o pop-up Inserir detalhes');
INSERT INTO `lang_definitions` VALUES (96953, 9873, 18, 'Comece clicando no botão Procurar e selecionando o arquivo a ser carregado e, a seguir, clicando em \'Carregar\' para fazer o upload e exibir as faturas correspondentes. Neste caso, os outros parâmetros mencionados acima não se aplicam e serão ignorados. O upload salva o arquivo, mas ainda não processa seu conteúdo - isso é feito separadamente, conforme descrito abaixo');
INSERT INTO `lang_definitions` VALUES (96954, 9874, 18, 'Data de Início');
INSERT INTO `lang_definitions` VALUES (96955, 9875, 18, 'Data de início');
INSERT INTO `lang_definitions` VALUES (96956, 9876, 18, 'Data de início na clínica');
INSERT INTO `lang_definitions` VALUES (96957, 9877, 18, 'A data de início não deve ser posterior à data de término');
INSERT INTO `lang_definitions` VALUES (96958, 9878, 18, 'Data de início:');
INSERT INTO `lang_definitions` VALUES (96959, 9879, 18, 'Data de início:');
INSERT INTO `lang_definitions` VALUES (96960, 9880, 18, 'Comece a inserir os dados de maneira ordenada, nível por nível, um grupo de ordem superior por vez');
INSERT INTO `lang_definitions` VALUES (96961, 9881, 18, 'Data de Início');
INSERT INTO `lang_definitions` VALUES (96962, 9883, 18, 'Data de início');
INSERT INTO `lang_definitions` VALUES (96963, 9884, 18, 'Data de início');
INSERT INTO `lang_definitions` VALUES (96964, 9885, 18, 'Data de início para pesquisa');
INSERT INTO `lang_definitions` VALUES (96965, 9886, 18, 'Data de início de');
INSERT INTO `lang_definitions` VALUES (96966, 9887, 18, 'Data de início para');
INSERT INTO `lang_definitions` VALUES (96967, 9888, 18, 'Estado');
INSERT INTO `lang_definitions` VALUES (96968, 9889, 18, 'Estado');
INSERT INTO `lang_definitions` VALUES (96969, 9890, 18, 'Tipo de dados de estado');
INSERT INTO `lang_definitions` VALUES (96970, 9891, 18, 'Estado Lic. #');
INSERT INTO `lang_definitions` VALUES (96971, 9892, 18, 'Número de licença estadual');
INSERT INTO `lang_definitions` VALUES (96972, 9893, 18, 'Lista de estados');
INSERT INTO `lang_definitions` VALUES (96973, 9894, 18, 'Lista Estado (escrever, adicionar opcional)');
INSERT INTO `lang_definitions` VALUES (96974, 9895, 18, 'Lista de estados (escrever, adicionalmente opcional) (estado)');
INSERT INTO `lang_definitions` VALUES (96975, 9896, 18, 'Campos personalizados do widget da lista de estados');
INSERT INTO `lang_definitions` VALUES (96976, 9897, 18, 'Estado ou Província');
INSERT INTO `lang_definitions` VALUES (96977, 9898, 18, 'Estado / Local');
INSERT INTO `lang_definitions` VALUES (96978, 9899, 18, 'Estado / Parish');
INSERT INTO `lang_definitions` VALUES (96979, 9900, 18, 'Estado:');
INSERT INTO `lang_definitions` VALUES (96980, 9901, 18, 'Aparência de declaração');
INSERT INTO `lang_definitions` VALUES (96981, 9902, 18, 'Nome do arquivo GIF do logotipo da declaração');
INSERT INTO `lang_definitions` VALUES (96982, 9903, 18, 'RESUMO DA DECLARAÇÃO');
INSERT INTO `lang_definitions` VALUES (96983, 9904, 18, 'extratos e atualização de faturas');
INSERT INTO `lang_definitions` VALUES (96984, 9905, 18, 'Declarações enviadas');
INSERT INTO `lang_definitions` VALUES (96985, 9906, 18, 'Declarações enviadas:');
INSERT INTO `lang_definitions` VALUES (96986, 9907, 18, 'afirmações; as faturas não serão atualizadas');
INSERT INTO `lang_definitions` VALUES (96987, 9908, 18, 'Texto Estático');
INSERT INTO `lang_definitions` VALUES (96988, 9909, 18, 'Estatísticas');
INSERT INTO `lang_definitions` VALUES (96989, 9910, 18, 'Estatísticas');
INSERT INTO `lang_definitions` VALUES (96990, 9911, 18, 'Status');
INSERT INTO `lang_definitions` VALUES (96991, 9912, 18, 'Status no grupo');
INSERT INTO `lang_definitions` VALUES (96992, 9913, 18, 'Status na reunião');
INSERT INTO `lang_definitions` VALUES (96993, 9914, 18, 'Status de admissão');
INSERT INTO `lang_definitions` VALUES (96994, 9915, 18, 'Status da reivindicação');
INSERT INTO `lang_definitions` VALUES (96995, 9916, 18, 'Status quo');
INSERT INTO `lang_definitions` VALUES (96996, 9917, 18, 'Tipo de status');
INSERT INTO `lang_definitions` VALUES (96997, 9918, 18, 'DST / AIDS Couns');
INSERT INTO `lang_definitions` VALUES (96998, 9919, 18, 'Stength e Condicionamento');
INSERT INTO `lang_definitions` VALUES (96999, 9920, 18, 'enteado');
INSERT INTO `lang_definitions` VALUES (97000, 9921, 18, 'Padrasto');
INSERT INTO `lang_definitions` VALUES (97001, 9922, 18, 'Meio-irmão');
INSERT INTO `lang_definitions` VALUES (97002, 9923, 18, 'Enteado');
INSERT INTO `lang_definitions` VALUES (97003, 9924, 18, 'Etapas para fazer upload de XML CCR');
INSERT INTO `lang_definitions` VALUES (97004, 9925, 18, 'Etapas para instalar o banco de dados DSM IV');
INSERT INTO `lang_definitions` VALUES (97005, 9926, 18, 'Etapas para instalar o banco de dados ICD 10');
INSERT INTO `lang_definitions` VALUES (97006, 9927, 18, 'Etapas para instalar o banco de dados ICD 9');
INSERT INTO `lang_definitions` VALUES (97007, 9928, 18, 'Etapas para instalar o banco de dados RxNorm');
INSERT INTO `lang_definitions` VALUES (97008, 9929, 18, 'Etapas para instalar o banco de dados Snomed');
INSERT INTO `lang_definitions` VALUES (97009, 9930, 18, 'Passos para instalar o banco de dados VALUSET');
INSERT INTO `lang_definitions` VALUES (97010, 9931, 18, 'Stereopsis');
INSERT INTO `lang_definitions` VALUES (97011, 9932, 18, 'Stiff Articulações');
INSERT INTO `lang_definitions` VALUES (97012, 9933, 18, 'Rigidez');
INSERT INTO `lang_definitions` VALUES (97013, 9934, 18, 'Ainda carregando...');
INSERT INTO `lang_definitions` VALUES (97014, 9935, 18, 'Meses de estoque');
INSERT INTO `lang_definitions` VALUES (97015, 9936, 18, 'Dores de estômago');
INSERT INTO `lang_definitions` VALUES (97016, 9937, 18, 'Pare');
INSERT INTO `lang_definitions` VALUES (97017, 9938, 18, 'PARE');
INSERT INTO `lang_definitions` VALUES (97018, 9941, 18, 'Armazene sua chave segura nas configurações globais na guia de segurança');
INSERT INTO `lang_definitions` VALUES (97019, 9942, 18, 'Hash armazenado');
INSERT INTO `lang_definitions` VALUES (97020, 9943, 18, 'Estrabismo');
INSERT INTO `lang_definitions` VALUES (97021, 9944, 18, 'Tensão do músculo');
INSERT INTO `lang_definitions` VALUES (97022, 9945, 18, 'À risca');
INSERT INTO `lang_definitions` VALUES (97023, 9946, 18, 'Fluxo');
INSERT INTO `lang_definitions` VALUES (97024, 9947, 18, 'Rua');
INSERT INTO `lang_definitions` VALUES (97025, 9948, 18, 'Endereço');
INSERT INTO `lang_definitions` VALUES (97026, 9949, 18, 'Rua e número');
INSERT INTO `lang_definitions` VALUES (97027, 9950, 18, 'Força');
INSERT INTO `lang_definitions` VALUES (97028, 9951, 18, 'Força e condicionamento');
INSERT INTO `lang_definitions` VALUES (97029, 9952, 18, 'Strep Throat');
INSERT INTO `lang_definitions` VALUES (97030, 9953, 18, 'Fratura de estresse');
INSERT INTO `lang_definitions` VALUES (97031, 9954, 18, 'Teste de Stress');
INSERT INTO `lang_definitions` VALUES (97032, 9955, 18, 'Listra');
INSERT INTO `lang_definitions` VALUES (97033, 9956, 18, 'Enfarte');
INSERT INTO `lang_definitions` VALUES (97034, 9957, 18, 'derrame');
INSERT INTO `lang_definitions` VALUES (97035, 9958, 18, 'Senha forte significa pelo menos 8 caracteres e pelo menos três de: um número, uma letra minúscula, uma letra maiúscula, um caractere especial');
INSERT INTO `lang_definitions` VALUES (97036, 9960, 18, 'Estilo');
INSERT INTO `lang_definitions` VALUES (97037, 9961, 18, 'Estilo de formulário usado para adicionar novos pacientes');
INSERT INTO `lang_definitions` VALUES (97038, 9962, 18, 'Estilize sua mensagem e / ou adicione Imagem / Vídeo');
INSERT INTO `lang_definitions` VALUES (97039, 9963, 18, 'Estilos');
INSERT INTO `lang_definitions` VALUES (97040, 9964, 18, 'Subgrupo');
INSERT INTO `lang_definitions` VALUES (97041, 9965, 18, 'Sub-categoria');
INSERT INTO `lang_definitions` VALUES (97042, 9966, 18, 'Sub-Total');
INSERT INTO `lang_definitions` VALUES (97043, 9967, 18, 'Subcategoria');
INSERT INTO `lang_definitions` VALUES (97044, 9968, 18, 'subcategoria');
INSERT INTO `lang_definitions` VALUES (97045, 9969, 18, 'subcutânea');
INSERT INTO `lang_definitions` VALUES (97046, 9970, 18, 'Sujeito');
INSERT INTO `lang_definitions` VALUES (97047, 9971, 18, 'QeD');
INSERT INTO `lang_definitions` VALUES (97048, 9972, 18, 'Sublingual');
INSERT INTO `lang_definitions` VALUES (97049, 9973, 18, 'sublingual');
INSERT INTO `lang_definitions` VALUES (97050, 9974, 18, 'Enviar');
INSERT INTO `lang_definitions` VALUES (97051, 9975, 18, 'enviar');
INSERT INTO `lang_definitions` VALUES (97052, 9976, 18, 'Envie todo o conteúdo');
INSERT INTO `lang_definitions` VALUES (97053, 9977, 18, 'Enviar e excluir solicitação');
INSERT INTO `lang_definitions` VALUES (97054, 9978, 18, 'Envie alterações para todos os aplicativos de uma só vez');
INSERT INTO `lang_definitions` VALUES (97055, 9979, 18, 'Submeter evento');
INSERT INTO `lang_definitions` VALUES (97056, 9980, 18, 'enviar o formulário');
INSERT INTO `lang_definitions` VALUES (97057, 9981, 18, 'Enviar pagamento para autorização');
INSERT INTO `lang_definitions` VALUES (97058, 9982, 18, 'Enviar conteúdo selecionado');
INSERT INTO `lang_definitions` VALUES (97059, 9983, 18, 'Submetido');
INSERT INTO `lang_definitions` VALUES (97060, 9984, 18, 'submetido');
INSERT INTO `lang_definitions` VALUES (97061, 9985, 18, 'Enviado por');
INSERT INTO `lang_definitions` VALUES (97062, 9986, 18, 'Número de acesso EDI do remetente (PER06)');
INSERT INTO `lang_definitions` VALUES (97063, 9987, 18, 'Titular');
INSERT INTO `lang_definitions` VALUES (97064, 9988, 18, 'Endereço do Titular');
INSERT INTO `lang_definitions` VALUES (97065, 9989, 18, 'Cidade do Assinante');
INSERT INTO `lang_definitions` VALUES (97066, 9990, 18, 'País do Titular');
INSERT INTO `lang_definitions` VALUES (97067, 9991, 18, 'Data de Aniversário do Titular');
INSERT INTO `lang_definitions` VALUES (97068, 9992, 18, 'Empresa Titular');
INSERT INTO `lang_definitions` VALUES (97069, 9993, 18, 'Empresa Titular(SE)');
INSERT INTO `lang_definitions` VALUES (97070, 9994, 18, 'Endereço da Empresa Titular');
INSERT INTO `lang_definitions` VALUES (97071, 9995, 18, 'Cidade da Empresa Titular');
INSERT INTO `lang_definitions` VALUES (97072, 9996, 18, 'País da Empresa Titular');
INSERT INTO `lang_definitions` VALUES (97073, 9997, 18, 'Estado da Empresa Titular');
INSERT INTO `lang_definitions` VALUES (97074, 9998, 18, 'Rua da Empresa Titular');
INSERT INTO `lang_definitions` VALUES (97075, 9999, 18, 'CEP da Empresa Titular');
INSERT INTO `lang_definitions` VALUES (97076, 10000, 18, 'CEP da Empresa Titular');
INSERT INTO `lang_definitions` VALUES (97077, 10001, 18, 'Nome do assinante');
INSERT INTO `lang_definitions` VALUES (97078, 10002, 18, 'Sobrenome do assinante');
INSERT INTO `lang_definitions` VALUES (97079, 10003, 18, 'Membro Assinante');
INSERT INTO `lang_definitions` VALUES (97080, 10004, 18, 'Nome do meio do assinante');
INSERT INTO `lang_definitions` VALUES (97081, 10005, 18, 'Telefone Titular');
INSERT INTO `lang_definitions` VALUES (97082, 10006, 18, 'Titular Parentesco');
INSERT INTO `lang_definitions` VALUES (97083, 10007, 18, 'Titular não é o mesmo mas o nome é igual! Tudo bem?');
INSERT INTO `lang_definitions` VALUES (97084, 10008, 18, 'Titular Parentesco não é igual, mas o número é o mesmo!');
INSERT INTO `lang_definitions` VALUES (97085, 10009, 18, 'Relação de Titular é igual mas o nome é diferente! Is this OK?');
INSERT INTO `lang_definitions` VALUES (97086, 10010, 18, 'Relação de Titular é auto, mas número de SS é diferente!');
INSERT INTO `lang_definitions` VALUES (97087, 10011, 18, 'Sexo do Titular');
INSERT INTO `lang_definitions` VALUES (97088, 10012, 18, 'Assinante SS');
INSERT INTO `lang_definitions` VALUES (97089, 10013, 18, 'Estado do assinante');
INSERT INTO `lang_definitions` VALUES (97090, 10014, 18, 'CEP do assinante');
INSERT INTO `lang_definitions` VALUES (97091, 10015, 18, 'Assinante / Política');
INSERT INTO `lang_definitions` VALUES (97092, 10016, 18, 'Os assinantes receberão o nome de usuário, a senha e as informações de endereço do servidor para configurar o OpenEMR');
INSERT INTO `lang_definitions` VALUES (97093, 10017, 18, 'Telefone do assinante');
INSERT INTO `lang_definitions` VALUES (97094, 10018, 18, 'Substância');
INSERT INTO `lang_definitions` VALUES (97095, 10019, 18, 'Razão de recusa de substância');
INSERT INTO `lang_definitions` VALUES (97096, 10020, 18, 'Substituição');
INSERT INTO `lang_definitions` VALUES (97097, 10021, 18, 'substituição permitiu');
INSERT INTO `lang_definitions` VALUES (97098, 10022, 18, 'Subtítulo');
INSERT INTO `lang_definitions` VALUES (97099, 10023, 18, 'Subtipo');
INSERT INTO `lang_definitions` VALUES (97100, 10024, 18, 'sucesso');
INSERT INTO `lang_definitions` VALUES (97101, 10025, 18, 'sucesso');
INSERT INTO `lang_definitions` VALUES (97102, 10026, 18, 'Sucesso na confirmação do recebimento do resultado do laboratório');
INSERT INTO `lang_definitions` VALUES (97103, 10027, 18, 'Sucesso ao obter resultados de laboratório');
INSERT INTO `lang_definitions` VALUES (97104, 10028, 18, 'Sucesso na recuperação de resultados da Lab Exchange Network');
INSERT INTO `lang_definitions` VALUES (97105, 10029, 18, 'Transferências bem-sucedidas');
INSERT INTO `lang_definitions` VALUES (97106, 10030, 18, 'Categoria adicionada com sucesso');
INSERT INTO `lang_definitions` VALUES (97107, 10031, 18, 'adicionado com êxito para a categoria,');
INSERT INTO `lang_definitions` VALUES (97108, 10032, 18, 'Completado com sucesso');
INSERT INTO `lang_definitions` VALUES (97109, 10033, 18, 'Excluído com sucesso');
INSERT INTO `lang_definitions` VALUES (97110, 10034, 18, 'Os detalhes foram importados com sucesso. Por favor, aprove o paciente na tela de aprovação pendente');
INSERT INTO `lang_definitions` VALUES (97111, 10035, 18, 'Instalou o banco de dados com sucesso');
INSERT INTO `lang_definitions` VALUES (97112, 10036, 18, 'Instalou com sucesso o seguinte banco de dados');
INSERT INTO `lang_definitions` VALUES (97113, 10037, 18, 'Modificado com Sucesso');
INSERT INTO `lang_definitions` VALUES (97114, 10039, 18, 'Salvo com Sucesso. Gostaria de efetuar o lancamento?');
INSERT INTO `lang_definitions` VALUES (97115, 10040, 18, 'Salvo com sucesso. Você gostaria de distribuir?');
INSERT INTO `lang_definitions` VALUES (97116, 10041, 18, 'Enviada com sucesso');
INSERT INTO `lang_definitions` VALUES (97117, 10042, 18, 'armazenados com êxito.');
INSERT INTO `lang_definitions` VALUES (97118, 10044, 18, 'Atualizou o banco de dados com sucesso');
INSERT INTO `lang_definitions` VALUES (97119, 10045, 18, 'Atualizou o seguinte banco de dados com sucesso');
INSERT INTO `lang_definitions` VALUES (97120, 10046, 18, 'com êxito.');
INSERT INTO `lang_definitions` VALUES (97121, 10047, 18, 'Sufixo');
INSERT INTO `lang_definitions` VALUES (97122, 10048, 18, 'As sugestões para o Imp / Plano são construídas a partir do Exame, do Histórico Ocular Passado (POH e POS) e do Histórico Médico Passado (PMH)');
INSERT INTO `lang_definitions` VALUES (97123, 10049, 18, 'Suicídio');
INSERT INTO `lang_definitions` VALUES (97124, 10050, 18, 'Suíte');
INSERT INTO `lang_definitions` VALUES (97125, 10051, 18, 'Resumo');
INSERT INTO `lang_definitions` VALUES (97126, 10052, 18, 'Resumo de');
INSERT INTO `lang_definitions` VALUES (97127, 10053, 18, 'Resumo das acuidades para este paciente');
INSERT INTO `lang_definitions` VALUES (97128, 10054, 18, 'Resumo de Atendimento Providenciado?');
INSERT INTO `lang_definitions` VALUES (97129, 10055, 18, 'Resumo de Atendimento Providenciado?');
INSERT INTO `lang_definitions` VALUES (97130, 10056, 18, 'Resumo do atendimento enviado');
INSERT INTO `lang_definitions` VALUES (97131, 10057, 18, 'Resumo do atendimento enviado eletronicamente');
INSERT INTO `lang_definitions` VALUES (97132, 10058, 18, 'Dom');
INSERT INTO `lang_definitions` VALUES (97133, 10059, 18, 'Sudanês');
INSERT INTO `lang_definitions` VALUES (97134, 10060, 18, 'Domingo');
INSERT INTO `lang_definitions` VALUES (97135, 10061, 18, 'Superbill');
INSERT INTO `lang_definitions` VALUES (97136, 10062, 18, 'Superbill Códigos');
INSERT INTO `lang_definitions` VALUES (97137, 10063, 18, 'Superbill Códigos Administração');
INSERT INTO `lang_definitions` VALUES (97138, 10064, 18, 'Administração de códigos Superbill (superbill)');
INSERT INTO `lang_definitions` VALUES (97139, 10065, 18, 'Superbill Relatório');
INSERT INTO `lang_definitions` VALUES (97140, 10066, 18, 'Superbill / Folha de taxas');
INSERT INTO `lang_definitions` VALUES (97141, 10067, 18, 'Superbills');
INSERT INTO `lang_definitions` VALUES (97142, 10068, 18, 'Superbills, às vezes chamado de Encontro Forms ou deslizamentos de roteamento, são uma parte essencial da maioria das práticas médicas.');
INSERT INTO `lang_definitions` VALUES (97143, 10069, 18, 'Superusuário');
INSERT INTO `lang_definitions` VALUES (97144, 10070, 18, 'Superusuário - pode excluir pacientes, encontros, problemas (super)');
INSERT INTO `lang_definitions` VALUES (97145, 10071, 18, 'Supervisão');
INSERT INTO `lang_definitions` VALUES (97146, 10072, 18, 'Médico Supervisor');
INSERT INTO `lang_definitions` VALUES (97147, 10073, 18, 'Médico supervisor DEA');
INSERT INTO `lang_definitions` VALUES (97148, 10074, 18, 'Primeiro nome do médico supervisor');
INSERT INTO `lang_definitions` VALUES (97149, 10075, 18, 'Sobrenome do médico supervisor');
INSERT INTO `lang_definitions` VALUES (97150, 10076, 18, 'Médico supervisor NPI');
INSERT INTO `lang_definitions` VALUES (97151, 10077, 18, 'Médico Supervisor UPIN');
INSERT INTO `lang_definitions` VALUES (97152, 10078, 18, 'Provedor de Supervisão');
INSERT INTO `lang_definitions` VALUES (97153, 10080, 18, 'Fornecedor');
INSERT INTO `lang_definitions` VALUES (97154, 10081, 18, 'Nome da instalação do fornecedor');
INSERT INTO `lang_definitions` VALUES (97155, 10082, 18, 'Apoie eventos de calendário que se aplicam a vários fornecedores');
INSERT INTO `lang_definitions` VALUES (97156, 10083, 18, 'Suporte à exportação / importação de dados de configuração por meio da página Backup');
INSERT INTO `lang_definitions` VALUES (97157, 10084, 18, 'Suporte a eventos de vários provedores');
INSERT INTO `lang_definitions` VALUES (97158, 10085, 18, 'Número de telefone do suporte');
INSERT INTO `lang_definitions` VALUES (97159, 10086, 18, 'Provedor de suporte no item de linha na folha de taxas');
INSERT INTO `lang_definitions` VALUES (97160, 10087, 18, 'Compatível com criptografia / descriptografia AES-256-CBC apenas');
INSERT INTO `lang_definitions` VALUES (97161, 10088, 18, 'Compatível com criptografia / descriptografia TripleDES apenas');
INSERT INTO `lang_definitions` VALUES (97162, 10089, 18, 'sup{{superior}}');
INSERT INTO `lang_definitions` VALUES (97163, 10090, 18, 'Tipo de superfície');
INSERT INTO `lang_definitions` VALUES (97164, 10091, 18, 'Cirurgião');
INSERT INTO `lang_definitions` VALUES (97165, 10092, 18, 'Cirurgias');
INSERT INTO `lang_definitions` VALUES (97166, 10093, 18, 'Cirurgia');
INSERT INTO `lang_definitions` VALUES (97167, 10094, 18, 'Lista de problemas de cirurgia');
INSERT INTO `lang_definitions` VALUES (97168, 10095, 18, 'Suspenso');
INSERT INTO `lang_definitions` VALUES (97169, 10096, 18, 'suspensão');
INSERT INTO `lang_definitions` VALUES (97170, 10097, 18, 'Su {{domingo}}');
INSERT INTO `lang_definitions` VALUES (97171, 10098, 18, 'Data Svc');
INSERT INTO `lang_definitions` VALUES (97172, 10099, 18, 'Data Svc:');
INSERT INTO `lang_definitions` VALUES (97173, 10100, 18, 'Suaíli');
INSERT INTO `lang_definitions` VALUES (97174, 10101, 18, 'Swati');
INSERT INTO `lang_definitions` VALUES (97175, 10102, 18, 'Transpiração:');
INSERT INTO `lang_definitions` VALUES (97176, 10103, 18, 'Sueco');
INSERT INTO `lang_definitions` VALUES (97177, 10104, 18, 'Inchaço');
INSERT INTO `lang_definitions` VALUES (97178, 10105, 18, 'Inchaço Direito');
INSERT INTO `lang_definitions` VALUES (97179, 10106, 18, 'Articulações inchadas');
INSERT INTO `lang_definitions` VALUES (97180, 10107, 18, 'Linfonodos inchados');
INSERT INTO `lang_definitions` VALUES (97181, 10108, 18, 'Símbolo usado como ponto decimal da moeda. Não usado se as casas decimais forem 0');
INSERT INTO `lang_definitions` VALUES (97182, 10109, 18, 'Símbolo usado para separar milhares de moeda');
INSERT INTO `lang_definitions` VALUES (97183, 10110, 18, 'Sintomas');
INSERT INTO `lang_definitions` VALUES (97184, 10111, 18, 'Sincronizar');
INSERT INTO `lang_definitions` VALUES (97185, 10112, 18, 'Sincronizar traduções com a tabela de idiomas personalizada');
INSERT INTO `lang_definitions` VALUES (97186, 10113, 18, 'Nova constante personalizada sincronizada:');
INSERT INTO `lang_definitions` VALUES (97187, 10114, 18, 'Novo idioma personalizado sincronizado:');
INSERT INTO `lang_definitions` VALUES (97188, 10115, 18, 'Nova definição sincronizada (linguagem, constante, definição):');
INSERT INTO `lang_definitions` VALUES (97189, 10116, 18, 'Síncope');
INSERT INTO `lang_definitions` VALUES (97190, 10117, 18, 'Vigilância Sindrômica');
INSERT INTO `lang_definitions` VALUES (97191, 10118, 18, 'Vigilância sindrômica - Problemas não relatados');
INSERT INTO `lang_definitions` VALUES (97192, 10119, 18, 'Relatório de Vigilância Sindrômica');
INSERT INTO `lang_definitions` VALUES (97193, 10120, 18, 'Sinovite, choque, bursite');
INSERT INTO `lang_definitions` VALUES (97194, 10121, 18, 'Sistema');
INSERT INTO `lang_definitions` VALUES (97195, 10124, 18, 'Sistólica');
INSERT INTO `lang_definitions` VALUES (97196, 10125, 18, 'S {{sábado}}');
INSERT INTO `lang_definitions` VALUES (97197, 10126, 18, 's {{sufixo para tornar o documento plural, isto é. Documentos}}');
INSERT INTO `lang_definitions` VALUES (97198, 10127, 18, 'S {{domingo}}');
INSERT INTO `lang_definitions` VALUES (97199, 10128, 18, 'T');
INSERT INTO `lang_definitions` VALUES (97200, 10130, 18, 't.i.d.');
INSERT INTO `lang_definitions` VALUES (97201, 10131, 18, 'T.V.');
INSERT INTO `lang_definitions` VALUES (97202, 10133, 18, 'Tabela');
INSERT INTO `lang_definitions` VALUES (97203, 10134, 18, 'Ação de Tabela');
INSERT INTO `lang_definitions` VALUES (97204, 10135, 18, 'Args de Tabela');
INSERT INTO `lang_definitions` VALUES (97205, 10136, 18, 'Código da Tabela');
INSERT INTO `lang_definitions` VALUES (97206, 10137, 18, 'Criação da tabela falhou');
INSERT INTO `lang_definitions` VALUES (97207, 10138, 18, 'Tabela de atualização falhou');
INSERT INTO `lang_definitions` VALUES (97208, 10139, 18, 'Tabelas');
INSERT INTO `lang_definitions` VALUES (97209, 10140, 18, 'comprimido');
INSERT INTO `lang_definitions` VALUES (97210, 10141, 18, 'Abas');
INSERT INTO `lang_definitions` VALUES (97211, 10142, 18, 'Tema de layout de guias');
INSERT INTO `lang_definitions` VALUES (97212, 10143, 18, 'Tema de layout de guias (precisa fazer logout / login após alterar esta configuração)');
INSERT INTO `lang_definitions` VALUES (97213, 10144, 18, 'Etiqueta para a Consulta');
INSERT INTO `lang_definitions` VALUES (97214, 10145, 18, 'Procedimento de tag para imagem');
INSERT INTO `lang_definitions` VALUES (97215, 10146, 18, 'Tagalog');
INSERT INTO `lang_definitions` VALUES (97216, 10147, 18, 'Taitiano');
INSERT INTO `lang_definitions` VALUES (97217, 10148, 18, 'Tadjique');
INSERT INTO `lang_definitions` VALUES (97218, 10149, 18, 'Pegar');
INSERT INTO `lang_definitions` VALUES (97219, 10150, 18, 'Tome cuidado e clique no sinal + preto na linha do painel de eletrólito para criar esses resultados discretos');
INSERT INTO `lang_definitions` VALUES (97220, 10151, 18, 'Faça um seguro, na lista suspensa');
INSERT INTO `lang_definitions` VALUES (97221, 10152, 18, 'Pegue o pagamento de, no menu suspenso');
INSERT INTO `lang_definitions` VALUES (97222, 10153, 18, 'Devolvido');
INSERT INTO `lang_definitions` VALUES (97223, 10154, 18, 'Leva tempo');
INSERT INTO `lang_definitions` VALUES (97224, 10155, 18, 'Leva você para a chave de senha única baseada em tempo para registro - página TOTP');
INSERT INTO `lang_definitions` VALUES (97225, 10156, 18, 'Leva você para a página Register Universal 2nd Factor Key - U2F');
INSERT INTO `lang_definitions` VALUES (97226, 10157, 18, 'Área de navegação alta');
INSERT INTO `lang_definitions` VALUES (97227, 10158, 18, 'tâmil');
INSERT INTO `lang_definitions` VALUES (97228, 10159, 18, 'Adulteração de dados');
INSERT INTO `lang_definitions` VALUES (97229, 10160, 18, 'Soma de verificação adulterada');
INSERT INTO `lang_definitions` VALUES (97230, 10161, 18, 'O destino e a fonte DOB não correspondem');
INSERT INTO `lang_definitions` VALUES (97231, 10162, 18, 'O destino e a fonte pid podem não ser os mesmos!');
INSERT INTO `lang_definitions` VALUES (97232, 10163, 18, 'SSN de destino e fonte não correspondem');
INSERT INTO `lang_definitions` VALUES (97233, 10164, 18, 'Data Alvo');
INSERT INTO `lang_definitions` VALUES (97234, 10165, 18, 'Paciente Alvo');
INSERT INTO `lang_definitions` VALUES (97235, 10166, 18, 'O paciente alvo não tem DOB');
INSERT INTO `lang_definitions` VALUES (97236, 10167, 18, 'Paciente alvo não encontrado');
INSERT INTO `lang_definitions` VALUES (97237, 10168, 18, 'Grupos Alvo / Ação');
INSERT INTO `lang_definitions` VALUES (97238, 10169, 18, 'Alvos');
INSERT INTO `lang_definitions` VALUES (97239, 10170, 18, 'Taskman: Documentos em openEMR');
INSERT INTO `lang_definitions` VALUES (97240, 10171, 18, 'Tártaro');
INSERT INTO `lang_definitions` VALUES (97241, 10172, 18, 'Taxa de identificação');
INSERT INTO `lang_definitions` VALUES (97242, 10173, 18, 'Taxa de identificação');
INSERT INTO `lang_definitions` VALUES (97243, 10174, 18, 'Taxa de imposto');
INSERT INTO `lang_definitions` VALUES (97244, 10175, 18, 'Impostos');
INSERT INTO `lang_definitions` VALUES (97245, 10176, 18, 'Taxonomia');
INSERT INTO `lang_definitions` VALUES (97246, 10177, 18, 'TA {{artérias temporais}}');
INSERT INTO `lang_definitions` VALUES (97247, 10178, 18, 'TB');
INSERT INTO `lang_definitions` VALUES (97248, 10179, 18, 'TBUT');
INSERT INTO `lang_definitions` VALUES (97249, 10180, 18, 'TBUT {{tempo de separação do rasgo}}');
INSERT INTO `lang_definitions` VALUES (97250, 10181, 18, 'Td');
INSERT INTO `lang_definitions` VALUES (97251, 10182, 18, 'Team Injury Visão');
INSERT INTO `lang_definitions` VALUES (97252, 10183, 18, 'Team Ordem de Serviço');
INSERT INTO `lang_definitions` VALUES (97253, 10184, 18, 'Team Ordem de Serviço Ver');
INSERT INTO `lang_definitions` VALUES (97254, 10185, 18, 'Equipe / Seleção');
INSERT INTO `lang_definitions` VALUES (97255, 10186, 18, 'Rasgar quebrar o tempo');
INSERT INTO `lang_definitions` VALUES (97256, 10187, 18, 'Tel');
INSERT INTO `lang_definitions` VALUES (97257, 10188, 18, 'Telessaúde');
INSERT INTO `lang_definitions` VALUES (97258, 10189, 18, 'Código do país do telefone');
INSERT INTO `lang_definitions` VALUES (97259, 10190, 18, 'Me diga mais');
INSERT INTO `lang_definitions` VALUES (97260, 10191, 18, 'Telugu');
INSERT INTO `lang_definitions` VALUES (97261, 10192, 18, 'Temp');
INSERT INTO `lang_definitions` VALUES (97262, 10193, 18, 'Temp Localização');
INSERT INTO `lang_definitions` VALUES (97263, 10194, 18, 'Temp Método');
INSERT INTO `lang_definitions` VALUES (97264, 10195, 18, 'Temp. Art. {{Artérias temporais}}');
INSERT INTO `lang_definitions` VALUES (97265, 10196, 18, 'Temperatura');
INSERT INTO `lang_definitions` VALUES (97266, 10197, 18, 'Template');
INSERT INTO `lang_definitions` VALUES (97267, 10198, 18, 'Nome do Modelo');
INSERT INTO `lang_definitions` VALUES (97268, 10199, 18, 'Template nomes não podem começar com números.');
INSERT INTO `lang_definitions` VALUES (97269, 10200, 18, 'Seletor de modelo alterado');
INSERT INTO `lang_definitions` VALUES (97270, 10201, 18, 'Modelo:');
INSERT INTO `lang_definitions` VALUES (97271, 10202, 18, 'Modelos');
INSERT INTO `lang_definitions` VALUES (97272, 10203, 18, 'Art. Temporal. {{Artéria Temporal}}');
INSERT INTO `lang_definitions` VALUES (97273, 10204, 18, 'Artérias Temporais');
INSERT INTO `lang_definitions` VALUES (97274, 10205, 18, 'Têmpora');
INSERT INTO `lang_definitions` VALUES (97275, 10206, 18, 'Hospedagem Temporária');
INSERT INTO `lang_definitions` VALUES (97276, 10207, 18, 'temp{{temporal}}');
INSERT INTO `lang_definitions` VALUES (97277, 10208, 18, 'Lesão no tendão');
INSERT INTO `lang_definitions` VALUES (97278, 10209, 18, 'Tendinite / osis / bursite');
INSERT INTO `lang_definitions` VALUES (97279, 10210, 18, 'Tensão');
INSERT INTO `lang_definitions` VALUES (97280, 10211, 18, 'Nº de referência da fatura provisória');
INSERT INTO `lang_definitions` VALUES (97281, 10212, 18, 'Termos e Condições');
INSERT INTO `lang_definitions` VALUES (97282, 10213, 18, 'Terceiro');
INSERT INTO `lang_definitions` VALUES (97283, 10214, 18, 'Terceiro Convênio');
INSERT INTO `lang_definitions` VALUES (97284, 10215, 18, 'Dados do Terceiro Convênio');
INSERT INTO `lang_definitions` VALUES (97285, 10216, 18, 'Terceiro Convênio');
INSERT INTO `lang_definitions` VALUES (97286, 10217, 18, 'Teste apenas, pule atualizações');
INSERT INTO `lang_definitions` VALUES (97287, 10218, 18, 'Teste pedido');
INSERT INTO `lang_definitions` VALUES (97288, 10219, 18, 'Programação de Teste');
INSERT INTO `lang_definitions` VALUES (97289, 10220, 18, 'Test System');
INSERT INTO `lang_definitions` VALUES (97290, 10221, 18, 'Teste / Pedido');
INSERT INTO `lang_definitions` VALUES (97291, 10222, 18, 'Testes Executados');
INSERT INTO `lang_definitions` VALUES (97292, 10223, 18, 'Texto');
INSERT INTO `lang_definitions` VALUES (97293, 10224, 18, 'Diagnóstico de Texto');
INSERT INTO `lang_definitions` VALUES (97294, 10225, 18, 'Campo de texto');
INSERT INTO `lang_definitions` VALUES (97295, 10226, 18, 'Texto para mensagem de extrato personalizado');
INSERT INTO `lang_definitions` VALUES (97296, 10227, 18, 'Texto para a quinta mensagem da conta');
INSERT INTO `lang_definitions` VALUES (97297, 10228, 18, 'Texto para a primeira mensagem da conta');
INSERT INTO `lang_definitions` VALUES (97298, 10229, 18, 'Texto para a quarta mensagem da conta');
INSERT INTO `lang_definitions` VALUES (97299, 10230, 18, 'Texto para a segunda mensagem da conta');
INSERT INTO `lang_definitions` VALUES (97300, 10231, 18, 'Texto para a terceira mensagem da conta');
INSERT INTO `lang_definitions` VALUES (97301, 10232, 18, 'Permissão de mensagem de texto');
INSERT INTO `lang_definitions` VALUES (97302, 10233, 18, 'Text-data');
INSERT INTO `lang_definitions` VALUES (97303, 10234, 18, 'text-data');
INSERT INTO `lang_definitions` VALUES (97304, 10235, 18, 'Textarea');
INSERT INTO `lang_definitions` VALUES (97305, 10236, 18, 'textarea');
INSERT INTO `lang_definitions` VALUES (97306, 10237, 18, 'Textbox');
INSERT INTO `lang_definitions` VALUES (97307, 10238, 18, 'textbox');
INSERT INTO `lang_definitions` VALUES (97308, 10239, 18, 'Lista Textbox');
INSERT INTO `lang_definitions` VALUES (97309, 10240, 18, 'lista de texto');
INSERT INTO `lang_definitions` VALUES (97310, 10241, 18, 'Tailandês');
INSERT INTO `lang_definitions` VALUES (97311, 10242, 18, 'Obrigado');
INSERT INTO `lang_definitions` VALUES (97312, 10245, 18, 'Obrigado por escolher');
INSERT INTO `lang_definitions` VALUES (97313, 10246, 18, 'Obrigado');
INSERT INTO `lang_definitions` VALUES (97314, 10247, 18, 'O botão \'Limpar\' removerá todas as anotações');
INSERT INTO `lang_definitions` VALUES (97315, 10248, 18, 'A janela \'Editar\' é dividida em duas colunas, \'Ativo\' e \'Inativo\'. Os grupos (AROs) listados na coluna ativa são essos grupos aos quais o usuário pertence a');
INSERT INTO `lang_definitions` VALUES (97316, 10249, 18, 'A seção \'Selecionar Códigos\' agora terá todos os códigos CPT e ICD que você inseriu agrupados nas categorias que você decidiu');
INSERT INTO `lang_definitions` VALUES (97317, 10250, 18, 'A tecla * Tab * cria cada entrada');
INSERT INTO `lang_definitions` VALUES (97318, 10251, 18, 'O Formulário de Reivindicação 1500 também pode ser usado para relatar dados de encontros com pacientes para agências federais, estaduais e / ou outras agências de saúde pública');
INSERT INTO `lang_definitions` VALUES (97319, 10252, 18, 'O 837P (Profissional) é o formato padrão usado por profissionais de saúde e fornecedores para transmitir eletronicamente alegações de saúde');
INSERT INTO `lang_definitions` VALUES (97320, 10253, 18, 'A capacidade de vincular problemas individuais a encontros com pacientes permitirá que o usuário determine rapidamente o resultado do problema ao longo do tempo');
INSERT INTO `lang_definitions` VALUES (97321, 10254, 18, 'A declaração acima falhou');
INSERT INTO `lang_definitions` VALUES (97322, 10255, 18, 'A página ACL de duas seções');
INSERT INTO `lang_definitions` VALUES (97323, 10256, 18, 'Os valores reais que serão exibidos devem existir no banco de dados');
INSERT INTO `lang_definitions` VALUES (97324, 10257, 18, 'Os testes ou procedimentos reais que podem ser pesquisados e solicitados são destacados em amarelo');
INSERT INTO `lang_definitions` VALUES (97325, 10258, 18, 'O ícone Adicionar é usado para configurar um nível que será um descendente direto deste nível');
INSERT INTO `lang_definitions` VALUES (97326, 10259, 18, 'A vantagem de integrar os resultados ao prontuário do paciente como dados estruturados é a capacidade de manipulá-los para ver as tendências em um local conveniente, para traçar gráficos com os dados e usá-los na análise de dados');
INSERT INTO `lang_definitions` VALUES (97327, 10260, 18, 'A vantagem de digitalizar os resultados no gráfico é a simplicidade - nenhuma configuração é necessária, a não ser definir um diretório / pasta no prontuário do paciente em Documentos onde o resultado será armazenado. Sendo dados não estruturados, eles não têm as vantagens acima e não atenderão aos critérios de uso significativo para entrada de pedido do provedor computadorizado (CPOE)');
INSERT INTO `lang_definitions` VALUES (97328, 10261, 18, 'A solução Allscripts integra o site Allscripts ePrescribe com openEMR');
INSERT INTO `lang_definitions` VALUES (97329, 10262, 18, 'A American Medical Association definiu 9 painéis que podem ser solicitados. Cada painel contém vários testes agrupados');
INSERT INTO `lang_definitions` VALUES (97330, 10263, 18, 'O valor será exibido na coluna Pagamento ou Ajuste, conforme o caso');
INSERT INTO `lang_definitions` VALUES (97331, 10264, 18, 'O certificado do servidor Apache SSL e a chave pública');
INSERT INTO `lang_definitions` VALUES (97332, 10265, 18, 'O aplicativo gera um desafio - um número aleatório e o passa para a chave USB junto com o nonce e a soma de verificação armazenados no aplicativo');
INSERT INTO `lang_definitions` VALUES (97333, 10266, 18, 'O aplicativo então usa a chave pública que o dispositivo USB enviou no registro para verificar a resposta');
INSERT INTO `lang_definitions` VALUES (97334, 10267, 18, 'As mudanças no status da consulta e as criações de encontros são gerenciadas através do Patient Tracker');
INSERT INTO `lang_definitions` VALUES (97335, 10268, 18, 'O nome Autentificação ou chave API para a conta selecionada. Nome de autenticação para Authorize.Net e segredo API para Stripe');
INSERT INTO `lang_definitions` VALUES (97336, 10269, 18, 'A coluna Saldo ficaria vazia');
INSERT INTO `lang_definitions` VALUES (97337, 10270, 18, 'O objetivo básico do aplicativo autenticador é gerar um código de 20 bytes (160 bits) codificado em base32 usando uma função hash segura, SHA-1, e é chamado de HMAC-SHA1 (código de autenticação de mensagem baseado em hash)');
INSERT INTO `lang_definitions` VALUES (97338, 10271, 18, 'A base para o CCR é um Formulário de Referência de Cuidados ao Paciente desenvolvido pelo Departamento de Saúde Pública de Massachusetts');
INSERT INTO `lang_definitions` VALUES (97339, 10272, 18, 'A coluna Data de cobrança / pagador mostrará a data em que o pagamento do item de linha foi recebido e o nome do pagador - seguro ou paciente');
INSERT INTO `lang_definitions` VALUES (97340, 10273, 18, 'A coluna Data de cobrança / pagador mostrará a data em que o item de linha foi cobrado e o pagador - seguro ou paciente');
INSERT INTO `lang_definitions` VALUES (97341, 10274, 18, 'O corpo contém os dados clínicos que podem ser estruturados e organizados como uma ou mais seções ou podem ser um blob não estruturado de dados');
INSERT INTO `lang_definitions` VALUES (97342, 10275, 18, 'As caixas Body Site, Administer Via e Laterality podem ser deixadas como Unassigned');
INSERT INTO `lang_definitions` VALUES (97343, 10276, 18, 'O grupo inferior consiste nos Copays');
INSERT INTO `lang_definitions` VALUES (97344, 10277, 18, 'A coluna Categoria será Custom Top Group e será destacada em rosa');
INSERT INTO `lang_definitions` VALUES (97345, 10278, 18, 'A coluna Categoria mostrará Pedido, indicando que é um pedido');
INSERT INTO `lang_definitions` VALUES (97346, 10279, 18, 'A categoria será o resultado');
INSERT INTO `lang_definitions` VALUES (97347, 10280, 18, 'O CDA é um documento de texto simples que é codificado usando a Extensible Markup Language (XML) e contém um cabeçalho e corpo');
INSERT INTO `lang_definitions` VALUES (97348, 10281, 18, 'O certificado da Autoridade de Certificação');
INSERT INTO `lang_definitions` VALUES (97349, 10282, 18, 'A coluna Cobrança ficaria em branco');
INSERT INTO `lang_definitions` VALUES (97350, 10283, 18, 'A cobrança será o valor real sendo cobrado para cada item de linha');
INSERT INTO `lang_definitions` VALUES (97351, 10284, 18, 'A alegação de arquivo:');
INSERT INTO `lang_definitions` VALUES (97352, 10285, 18, 'O formulário CMS 1500 possui 33 caixas e é dividido em duas seções');
INSERT INTO `lang_definitions` VALUES (97353, 10286, 18, 'A coluna Código deve ter 905, o código de identificação específico do fornecedor que foi inserido anteriormente');
INSERT INTO `lang_definitions` VALUES (97354, 10287, 18, 'A coluna Código ficará vazia porque os itens listados como um Grupo não são usados no relatório real de resultados e, portanto, não têm um número de código distinto');
INSERT INTO `lang_definitions` VALUES (97355, 10288, 18, 'O Código será R905, o valor do Código de Identificação que foi inserido para o Resultado Discreto');
INSERT INTO `lang_definitions` VALUES (97356, 10289, 18, 'O código que você digitou não era válido');
INSERT INTO `lang_definitions` VALUES (97357, 10290, 18, 'O pacote SNOMED da extensão US testada compatível já foi instalado');
INSERT INTO `lang_definitions` VALUES (97358, 10291, 18, 'A célula de Contatos tem vários bits de informações de contato, como números de telefone, e-mail, etc.');
INSERT INTO `lang_definitions` VALUES (97359, 10292, 18, 'O Documento de Continuidade de Cuidados (CCD) e o Registro de Continuidade de Cuidados (CCR) foram ambos selecionados como formatos aceitáveis para extrair informações para resumos de cuidados clínicos como parte do Estágio 1 de Uso Significativo');
INSERT INTO `lang_definitions` VALUES (97360, 10293, 18, 'O Continuity of Care Record (CCR) foi desenvolvido em conjunto pela ASTM International - uma organização que está envolvida no desenvolvimento e entrega de consenso voluntário, a Massachusetts Medical Society (MMS), a Health Information Management and Systems Society (HIMSS), a American Academy of Family Physicians (AAFP) e American Academy of Pediatrics');
INSERT INTO `lang_definitions` VALUES (97361, 10294, 18, 'O Registro de Continuidade de Cuidados (CCR) é o registro clínico do estado de saúde atual e histórico do paciente');
INSERT INTO `lang_definitions` VALUES (97362, 10295, 18, 'O conjunto de dados principal consiste em');
INSERT INTO `lang_definitions` VALUES (97363, 10296, 18, 'A chave privada correspondente');
INSERT INTO `lang_definitions` VALUES (97364, 10297, 18, 'O relatório criado pode conter muitas ou poucas informações com base na necessidade');
INSERT INTO `lang_definitions` VALUES (97365, 10298, 18, 'O método de autenticação atual para a seção de usuário conectado agora apresentará os métodos ativados');
INSERT INTO `lang_definitions` VALUES (97366, 10299, 18, 'O método de autenticação atual lista todos os métodos que estão ativos');
INSERT INTO `lang_definitions` VALUES (97367, 10300, 18, 'A folha de honorários personalizada pode ser usada. Se e quando você encontrar um código que não existe na seção \"Selecionar códigos\" personalizada, você pode usar sempre a seção \"Pesquisar códigos adicionais\"');
INSERT INTO `lang_definitions` VALUES (97368, 10301, 18, 'O nível de item favorito personalizado deve ser descendente direto ou filho do grupo favorito personalizado relevante');
INSERT INTO `lang_definitions` VALUES (97369, 10302, 18, 'O agrupamento personalizado também te permiterá agrupar dois painéis de testes reconhecidos em um grupo personalizado e, assim, organizá-los juntos, por exemplo, um grupo personalizado de Laboratórios Preop pode conter dois painéis, CBC e Painel Renal');
INSERT INTO `lang_definitions` VALUES (97370, 10303, 18, 'O painel é o local central para acesso conveniente ao prontuário médico do paciente');
INSERT INTO `lang_definitions` VALUES (97371, 10304, 18, 'A página do painel é dividida em três seções');
INSERT INTO `lang_definitions` VALUES (97372, 10305, 18, 'O teste de integridade de dados falhou para este formulário');
INSERT INTO `lang_definitions` VALUES (97373, 10306, 18, 'A seção de dados da página do painel lista todos os itens pertinentes relacionados a um paciente');
INSERT INTO `lang_definitions` VALUES (97374, 10307, 18, 'O lembrete com data começará a aparecer 5 dias antes da data do lembrete em Lembretes com data');
INSERT INTO `lang_definitions` VALUES (97375, 10308, 18, 'O tipo de código padrão a ser pesquisado na Folha de Taxas');
INSERT INTO `lang_definitions` VALUES (97376, 10309, 18, 'A folha de taxas padrão pode ser modificada e personalizada para torná-la mais útil');
INSERT INTO `lang_definitions` VALUES (97377, 10310, 18, 'A folha de taxas padrão é dividida em várias seções e é projetada para ser preenchida de cima para baixo com o botão Salvar no final');
INSERT INTO `lang_definitions` VALUES (97378, 10311, 18, 'O formulário padrão pode ser personalizado editando-o em Administração> Layouts');
INSERT INTO `lang_definitions` VALUES (97379, 10312, 18, 'O padrão tem dois botões que são definidos para \'Novo paciente\' e \'Estabelecido\' paciente');
INSERT INTO `lang_definitions` VALUES (97380, 10313, 18, 'A instalação padrão tem seis grupos - Contabilidade, Administradores, Clínicos, Login de emergência, Front Office e Médicos');
INSERT INTO `lang_definitions` VALUES (97381, 10314, 18, 'A instalação padrão possui os seguintes itens');
INSERT INTO `lang_definitions` VALUES (97382, 10315, 18, 'A instalação padrão lista 5 tipos de problemas que podem ser documentados');
INSERT INTO `lang_definitions` VALUES (97383, 10316, 18, 'A instalação padrão não fará a ligação automaticamente');
INSERT INTO `lang_definitions` VALUES (97384, 10317, 18, 'O padrão é \'Padrão\' geralmente usado para refletir as taxas cobradas para cobrança de seguro. Você pode ter um valor diferente cobrado para pagamento com cartão de crédito e pagamento em dinheiro');
INSERT INTO `lang_definitions` VALUES (97385, 10318, 18, 'O padrão é Normal, ou seja, é visível para todos. Selecionar Alta irá restringi-lo a usuários pertencentes aos grupos de Médicos e Administradores por padrão');
INSERT INTO `lang_definitions` VALUES (97386, 10319, 18, 'O tipo de problema padrão é definido como Problema');
INSERT INTO `lang_definitions` VALUES (97387, 10320, 18, 'O centro de mensagens padrão é dividido em três seções - Mensagens, Lembretes e Recalls');
INSERT INTO `lang_definitions` VALUES (97388, 10321, 18, 'Os valores padrão para os provedores de renderização podem ser definidos');
INSERT INTO `lang_definitions` VALUES (97389, 10322, 18, 'o código de negação é');
INSERT INTO `lang_definitions` VALUES (97390, 10323, 18, 'o código do grupo de negação é');
INSERT INTO `lang_definitions` VALUES (97391, 10324, 18, 'A coluna Descrição exibe a breve descrição que foi inserida, testes de química de soro');
INSERT INTO `lang_definitions` VALUES (97392, 10325, 18, 'A coluna Descrição refletirá o valor da descrição que foi inserido anteriormente');
INSERT INTO `lang_definitions` VALUES (97393, 10326, 18, 'A descrição deve dizer resultado de ácido úrico no soro');
INSERT INTO `lang_definitions` VALUES (97394, 10327, 18, 'A descrição irá detalhar o tipo de pagamento ou ajuste - dinheiro, cheque, eletrônico, etc.');
INSERT INTO `lang_definitions` VALUES (97395, 10328, 18, 'O formulário de destino foi fechado');
INSERT INTO `lang_definitions` VALUES (97396, 10330, 18, 'O formulário de destino foi fechado, não posso agir em sua seleção.');
INSERT INTO `lang_definitions` VALUES (97397, 10331, 18, 'A diferença entre os dois é que para um painel de testes que são ordenados juntos, os testes individuais são representados apenas por Resultado Discreto e esses testes não podem ser pedidos separadamente, a menos que também tenham sido configurados como testes individuais');
INSERT INTO `lang_definitions` VALUES (97398, 10332, 18, 'O nível de resultados discretos deve ser descendente direto ou filho de um nível de ordem de procedimento para a exibição adequada dos resultados');
INSERT INTO `lang_definitions` VALUES (97399, 10333, 18, 'Os resultados discretos para cada painel conterão os nomes dos testes individuais para conter os valores dos resultados retornados - WBC, hemoglobina, plaquetas, sódio, potássio, etc.');
INSERT INTO `lang_definitions` VALUES (97400, 10334, 18, 'A janela de exibição pode ser redimensionada clicando e arrastando o canto inferior direito da janela');
INSERT INTO `lang_definitions` VALUES (97401, 10335, 18, 'A opção Cada Compromisso permitirá um novo encontro independentemente da visita no mesmo dia');
INSERT INTO `lang_definitions` VALUES (97402, 10336, 18, 'O botão Encounter Preview é útil para mostrar formulários de layout de tipo de encontro como vistos ao usar o formulário em um encontro. Observe que este recurso só é útil para mostrar formulários de encontro e não exibirá formulários de sistema como dados demográficos');
INSERT INTO `lang_definitions` VALUES (97403, 10337, 18, 'A seção de encontros exibirá a data do encontro, bem como a apresentação da reclamação');
INSERT INTO `lang_definitions` VALUES (97404, 10338, 18, 'O resultado final foi uma coleção confusa de documentos contendo informações ambíguas e / ou conflitantes');
INSERT INTO `lang_definitions` VALUES (97405, 10339, 18, 'A caixa pop-up Inserir detalhes abrirá no modo Adicionar');
INSERT INTO `lang_definitions` VALUES (97406, 10340, 18, 'O pop-up Inserir detalhes do provedor ficará visível');
INSERT INTO `lang_definitions` VALUES (97407, 10341, 18, 'A coleção inteira de ACOs forma a Lista de Controle de Acesso (ACL)');
INSERT INTO `lang_definitions` VALUES (97408, 10342, 18, 'A entidade para um item favorito personalizado é a entidade escolhida para o grupo de favoritos personalizados e não pode ser alterada');
INSERT INTO `lang_definitions` VALUES (97409, 10343, 18, 'A entidade que realiza este procedimento');
INSERT INTO `lang_definitions` VALUES (97410, 10344, 18, 'As entradas contêm dados usados para processamento posterior do computador');
INSERT INTO `lang_definitions` VALUES (97411, 10345, 18, 'As entradas destacadas em amarelo podem ser solicitadas como um teste ou procedimento, aquelas destacadas em rosa podem ser solicitadas como um grupo personalizado');
INSERT INTO `lang_definitions` VALUES (97412, 10346, 18, 'O EP, hospital elegível ou CAH que recebe um paciente de outro ambiente de cuidados ou prestador de cuidados ou acredita que um encontro é relevante deve realizar reconciliação de medicamentos');
INSERT INTO `lang_definitions` VALUES (97413, 10347, 18, 'O EP, hospital elegível ou CAH que faz a transição de seu paciente para outro ambiente de cuidado ou prestador de cuidado ou encaminha seu paciente para outro prestador de cuidado deve fornecer um resumo do registro de cuidado para cada transição de cuidado ou encaminhamento (Medida A)');
INSERT INTO `lang_definitions` VALUES (97414, 10348, 18, 'O EP, hospital elegível ou CAH que faz a transição de seu paciente para outro ambiente de cuidado ou prestador de cuidado ou encaminha seu paciente para outro prestador de cuidado deve fornecer um resumo do registro de cuidado para cada transição de cuidado ou encaminhamento (Medida B)');
INSERT INTO `lang_definitions` VALUES (97415, 10349, 18, 'O EP, hospital elegível ou CAH que faz a transição de seu paciente para outro ambiente de cuidado ou prestador de cuidado ou encaminha seu paciente para outro prestador de cuidado deve fornecer um resumo do registro de cuidado para cada transição de cuidado ou encaminhamento');
INSERT INTO `lang_definitions` VALUES (97416, 10350, 18, 'O evento (s) foram aprovados.');
INSERT INTO `lang_definitions` VALUES (97417, 10351, 18, 'O evento (s) foram escondidos.');
INSERT INTO `lang_definitions` VALUES (97418, 10352, 18, 'Os dados exportados aparece na área de texto abaixo. Você pode copiar e colar as informações em um e-mail ou para qualquer outro destino desejado.');
INSERT INTO `lang_definitions` VALUES (97419, 10353, 18, 'Os dados exportados aparecem na área de texto abaixo. Você pode copiar e colar isso em um e-mail ou em qualquer outro destino desejado (ou) baixar o link abaixo');
INSERT INTO `lang_definitions` VALUES (97420, 10354, 18, 'Os dados exportados aparece na área de texto abaixo. Você pode copiar e colar as informações em um e-mail ou para qualquer outro destino desejado.');
INSERT INTO `lang_definitions` VALUES (97421, 10355, 18, 'Os dados exportados aparecem na área de texto abaixo. Você pode copiar e colar isto em um e-mail ou em qualquer outro destino desejado. {{MARQUE PARA DELEÇÃO DURANTE A PRÓXIMA CONSTRUÇÃO DA TRADUÇÃO}}');
INSERT INTO `lang_definitions` VALUES (97422, 10356, 18, 'Os recursos de uma instalação habilitada para MedEx são explicados neste vídeo');
INSERT INTO `lang_definitions` VALUES (97423, 10358, 18, 'O arquivo não pôde ser salvo no CouchDB');
INSERT INTO `lang_definitions` VALUES (97424, 10359, 18, 'O arquivo não pode ser renomear com sucesso, esse erro geralmente está relacionado a problemas de permissões no sistema de armazenamento');
INSERT INTO `lang_definitions` VALUES (97425, 10360, 18, 'O arquivo não pôde ser armazenado com sucesso, este erro geralmente está relacionado a problemas de permissões no sistema de armazenamento');
INSERT INTO `lang_definitions` VALUES (97426, 10361, 18, 'A seção de filtro pode ser escondida ou revelada clicando na ponta da seta no canto inferior direito');
INSERT INTO `lang_definitions` VALUES (97427, 10362, 18, 'Os resultados filtrados aparecerão na seção abaixo deles');
INSERT INTO `lang_definitions` VALUES (97428, 10364, 18, 'O primeiro gráfico (\"alvo\") é aquele considerado o mais completo e preciso. As seções demográficas, históricas e de seguro para este serão mantidas.');
INSERT INTO `lang_definitions` VALUES (97429, 10365, 18, 'A primeira coluna contém o nome do Grupo / Categoria que será exibido no botão');
INSERT INTO `lang_definitions` VALUES (97430, 10366, 18, 'A primeira coluna é o nome que você deu a esta entrada, ou seja, Química do Soro. Uma barra vertical precederá o nome real. Isso indica que não há descendentes ou filhos para esta entrada');
INSERT INTO `lang_definitions` VALUES (97431, 10367, 18, 'As primeiras quatro seções lidam com a criação de ordens de procedimento de uma maneira estruturada para facilitar a ordem de testes e inserir os resultados retornados manualmente');
INSERT INTO `lang_definitions` VALUES (97432, 10368, 18, 'A primeira linha mostrará a data do encontro e o motivo, bem como o provedor para esse encontro');
INSERT INTO `lang_definitions` VALUES (97433, 10369, 18, 'A primeira seção permite que você vincule esta mensagem a um paciente, se desejar');
INSERT INTO `lang_definitions` VALUES (97434, 10370, 18, 'O primeiro segmento em cada mensagem HL7 é sempre o cabeçalho da mensagem, um segmento que transmite os metadados da mensagem como quem a enviou e quando. O cabeçalho da mensagem é indicado nas três primeiras letras do segmento como MSH');
INSERT INTO `lang_definitions` VALUES (97435, 10371, 18, 'O primeiro passo é se inscrever para uma conta de produção de mensagens diretas com EMR Direct, registrando-se em seu site');
INSERT INTO `lang_definitions` VALUES (97436, 10372, 18, 'A primeira etapa é fazer o download da versão SNOMED CT. O acesso ao SNOMED CT é fornecido pela IHTSDO e seus países membros. Para mais informações, veja');
INSERT INTO `lang_definitions` VALUES (97437, 10373, 18, 'O primeiro passo é fazer o download da versão VALUESET. O acesso ao VALUESET é fornecido pela NLM. Apenas o conjunto de valores para Profissionais Elegíveis precisa ser baixado e deve ser baixado no formato XML da coluna Sorted By CMS ID. Para obter mais detalhes, veja o link abaixo');
INSERT INTO `lang_definitions` VALUES (97438, 10374, 18, 'A primeira etapa é abrir uma conta no site do Unified Medical Language System');
INSERT INTO `lang_definitions` VALUES (97439, 10375, 18, 'A primeira etapa é planejar o que a seção \'Selecionar Códigos\' da sua Folha de Taxas deve exibir');
INSERT INTO `lang_definitions` VALUES (97440, 10376, 18, 'A primeira etapa é selecionar um tipo de transação');
INSERT INTO `lang_definitions` VALUES (97441, 10377, 18, 'A primeira etapa seria criar uma entrada de nível superior. Faça isso clicando no botão nível superior Adicionar');
INSERT INTO `lang_definitions` VALUES (97442, 10378, 18, 'A primeira guia é a guia de referência que constitui a referência que está sendo feita');
INSERT INTO `lang_definitions` VALUES (97443, 10379, 18, 'Os primeiros dois números na primeira e segunda colunas serão usados para determinar a ordem de classificação dos botões e das listas que estão presentes no pop-up');
INSERT INTO `lang_definitions` VALUES (97444, 10380, 18, 'O calendário de eventos a seguir foi adicionado:');
INSERT INTO `lang_definitions` VALUES (97445, 10381, 18, 'O calendário de eventos que se segue foi modifed:');
INSERT INTO `lang_definitions` VALUES (97446, 10382, 18, 'As seguintes categorias serão removidas da sua lista de categorias');
INSERT INTO `lang_definitions` VALUES (97447, 10383, 18, 'O seguinte lançamento do banco de dados está instalada atualmente');
INSERT INTO `lang_definitions` VALUES (97448, 10384, 18, 'Os seguintes documentos foram anexados a esta mensagem direta:');
INSERT INTO `lang_definitions` VALUES (97449, 10385, 18, 'O seguinte arquivo EDI falhou ao salvar para o arquivo');
INSERT INTO `lang_definitions` VALUES (97450, 10386, 18, 'O seguinte arquivo EDI foi carregado');
INSERT INTO `lang_definitions` VALUES (97451, 10387, 18, 'O seguinte upload de arquivo EDI falhou ao abrir');
INSERT INTO `lang_definitions` VALUES (97452, 10388, 18, 'O seguinte usuário de login de emergência esta ativado:');
INSERT INTO `lang_definitions` VALUES (97453, 10389, 18, 'Os seguintes erros ocorreram');
INSERT INTO `lang_definitions` VALUES (97454, 10390, 18, 'O campo a seguir possui um valor inválido');
INSERT INTO `lang_definitions` VALUES (97455, 10391, 18, 'Os seguintes campos estão vazios');
INSERT INTO `lang_definitions` VALUES (97456, 10392, 18, 'Os seguintes campos são obrigatórios');
INSERT INTO `lang_definitions` VALUES (97457, 10393, 18, 'Os seguintes campos devem ser preenchidos para enviar um pedido');
INSERT INTO `lang_definitions` VALUES (97458, 10394, 18, 'Os seguintes campos devem ser preenchidos para enviar o pedido');
INSERT INTO `lang_definitions` VALUES (97459, 10395, 18, 'Os seguintes idiomas de lançamento internacional do Snomed são suportados');
INSERT INTO `lang_definitions` VALUES (97460, 10396, 18, 'O seguinte ocorreu');
INSERT INTO `lang_definitions` VALUES (97461, 10397, 18, 'Os problemas a seguir têm os mesmos códigos de diagnóstico. Problemas de encontro não serão atualizados. Por favor, em vez disso, use a interface de encontro');
INSERT INTO `lang_definitions` VALUES (97462, 10398, 18, 'As etapas a seguir ajudarão a personalizar a Folha de Taxas para imitar o antigo superbill de papel com uma lista de códigos CPT4 e ICD organizados em categorias');
INSERT INTO `lang_definitions` VALUES (97463, 10399, 18, 'O grupo (ARO) que você criou agora aparecerá em ordem alfabética na seção \'Grupos e controles de acesso\'');
INSERT INTO `lang_definitions` VALUES (97464, 10400, 18, 'O cabeçalho define o contexto para o documento clínico como um todo');
INSERT INTO `lang_definitions` VALUES (97465, 10401, 18, 'A seção de cabeçalho revelará informações específicas do paciente na maioria das páginas relacionadas ao prontuário do paciente');
INSERT INTO `lang_definitions` VALUES (97466, 10402, 18, 'O Formulário de Reivindicação de Seguro Saúde é frequentemente referido pelo número de formulário CMS 1500 (HCFA 1500)');
INSERT INTO `lang_definitions` VALUES (97467, 10403, 18, 'O arquivo de ajuda está dividido nas seguintes seções');
INSERT INTO `lang_definitions` VALUES (97468, 10404, 18, 'O arquivo de ajuda lá irá guiá-lo nas etapas adicionais de configuração dos testes de laboratório');
INSERT INTO `lang_definitions` VALUES (97469, 10405, 18, 'O ícone de ajuda permitirá que você acesse a ajuda sensível ao contexto para cada uma das páginas acessadas');
INSERT INTO `lang_definitions` VALUES (97470, 10406, 18, 'O nome do host da máquina do repositório de auditoria ATNA');
INSERT INTO `lang_definitions` VALUES (97471, 10408, 18, 'O código de identificação deve ser único para que os resultados sejam exibidos corretamente, você pode apenas usar R905 como exemplo');
INSERT INTO `lang_definitions` VALUES (97472, 10409, 18, 'O código de identificação deve ser único, se for enviar para um laboratório externo, o código de identificação fornecido pelo fornecedor deve ser inserido. Vamos inserir um valor único arbitrário - WWT01');
INSERT INTO `lang_definitions` VALUES (97473, 10410, 18, 'O código de identificação é um código específico do fornecedor que identifica este procedimento ou resultado. Você pode ver exemplos disso nos papéis do laboratório que os laboratórios usam');
INSERT INTO `lang_definitions` VALUES (97474, 10411, 18, 'O código de identificação é essencial para a exibição adequada e tabulação dos resultados');
INSERT INTO `lang_definitions` VALUES (97475, 10412, 18, 'O código de identificação de R34392-1, um número arbitrário, neste caso o código de identificação precedido por R para indicar o resultado e seguido por 1 para indicar o primeiro na sequência, pode ser qualquer coisa única que você escolher');
INSERT INTO `lang_definitions` VALUES (97476, 10413, 18, 'As informações inseridas aqui são usadas para exibir um resumo do encontro. Também é usado para fins de cobrança');
INSERT INTO `lang_definitions` VALUES (97477, 10414, 18, 'As informações inseridas neste formulário serão usadas para preencher uma reclamação em papel');
INSERT INTO `lang_definitions` VALUES (97478, 10415, 18, 'As informações fornecidas no Formulário de Novo Encontro e Folha de Taxas no openEMR são usadas para gerar a reclamação em papel, bem como as reclamações eletrônicas');
INSERT INTO `lang_definitions` VALUES (97479, 10416, 18, 'Os esforços iniciais levaram à criação de Guias de Implementação (IGs) duplicados e conflitantes publicados por diferentes organizações de padrões');
INSERT INTO `lang_definitions` VALUES (97480, 10417, 18, 'A tela inicial permite que você selecione um método, oferecendo-lhe essas duas opções');
INSERT INTO `lang_definitions` VALUES (97481, 10418, 18, 'A janela inicial é a página de pesquisa na factura. No topo você pode inserir um código (número do cheque, por exemplo), pagamento de data e quantidade de seleção. A razão para isto é não ter que inseri-las uma e outra vez de cada pedido. A quantidade que você inserir será reduzida para cada nota fiscal que é dado parte do pagamento, e esperamos que vai terminar em zero quando você está feito.');
INSERT INTO `lang_definitions` VALUES (97482, 10419, 18, 'A entrada deve ser um arquivo CSV com 3 colunas: ID do layout, tipo de código e código');
INSERT INTO `lang_definitions` VALUES (97483, 10420, 18, 'O diretório de instalação precisa ser criado');
INSERT INTO `lang_definitions` VALUES (97484, 10421, 18, 'A versão SNOMED internacional instalada não é compatível com o pacote SNOMED da extensão dos EUA testado');
INSERT INTO `lang_definitions` VALUES (97485, 10422, 18, 'A versão SNOMED internacional instalada está desatualizada e não é compatível com o arquivo SNOMED de extensão dos EUA testado');
INSERT INTO `lang_definitions` VALUES (97486, 10423, 18, 'A versão instalada e os arquivos testados são os mesmos');
INSERT INTO `lang_definitions` VALUES (97487, 10424, 18, 'A versão instalada é uma versão mais recente do que os arquivos testados');
INSERT INTO `lang_definitions` VALUES (97488, 10425, 18, 'O manual de instruções sobre como preencher o formulário CMS 1500 pode ser encontrado aqui');
INSERT INTO `lang_definitions` VALUES (97489, 10426, 18, 'O endereço IP do (s) seu (s) controlador (es) de domínio');
INSERT INTO `lang_definitions` VALUES (97490, 10427, 18, 'Os problemas podem ser inseridos de duas maneiras');
INSERT INTO `lang_definitions` VALUES (97491, 10428, 18, 'A seção de problemas exibirá todos os problemas inseridos para o paciente e exibirá o tipo de problema, seu título e uma descrição');
INSERT INTO `lang_definitions` VALUES (97492, 10429, 18, 'Os itens listados na coluna \'Ativo\' delineiam os privilégios deste grupo (ARO) e constituem esta Lista de Controle de Acesso (ACL) deste grupo');
INSERT INTO `lang_definitions` VALUES (97493, 10430, 18, 'Os itens que têm asteriscos após eles são obrigatórios');
INSERT INTO `lang_definitions` VALUES (97494, 10431, 18, 'O rótulo que aparece para o usuário sobre a forma');
INSERT INTO `lang_definitions` VALUES (97495, 10432, 18, 'A última célula da linha no Encontro');
INSERT INTO `lang_definitions` VALUES (97496, 10433, 18, 'A última linha deste bloco de encontro dará ao encontro os totais de Encargos, Pagamentos, Ajustes e o Saldo');
INSERT INTO `lang_definitions` VALUES (97497, 10434, 18, 'A última seção trata de pedidos eletrônicos');
INSERT INTO `lang_definitions` VALUES (97498, 10435, 18, 'A data da última visita será preenchida automaticamente');
INSERT INTO `lang_definitions` VALUES (97499, 10436, 18, 'A versão mais recente é FHIR - Fast Healthcare Interoperability Resources - é uma estrutura de padrões de próxima geração criada pelo HL7. Isso está ganhando popularidade, mas ainda não foi amplamente implementado');
INSERT INTO `lang_definitions` VALUES (97500, 10438, 18, 'O comprimento não deve exceder o seguinte número de caracteres');
INSERT INTO `lang_definitions` VALUES (97501, 10440, 18, 'A tabela de registro mostrará uma lista de ambos mensagens e lembretes datados, se houver');
INSERT INTO `lang_definitions` VALUES (97502, 10441, 18, 'O código LOINC para ácido úrico sérico é 3084-1, LOINC refere-se a ele como urato no soro ou plasma');
INSERT INTO `lang_definitions` VALUES (97503, 10442, 18, 'A mesclagem não será executada a menos que SSN e DOB para que os dois gráficos sejam idênticos');
INSERT INTO `lang_definitions` VALUES (97504, 10443, 18, 'A mensagem não pôde ser enviada neste momento');
INSERT INTO `lang_definitions` VALUES (97505, 10444, 18, 'O status da mensagem será Novo, pois é uma nova mensagem que está sendo criada');
INSERT INTO `lang_definitions` VALUES (97506, 10445, 18, 'As mensagens que foram enviadas pelo usuário naquele dia serão exibidas na tabela abaixo');
INSERT INTO `lang_definitions` VALUES (97507, 10446, 18, 'O centro de mensagens consolida convenientemente as opções de comunicação em um só lugar');
INSERT INTO `lang_definitions` VALUES (97508, 10447, 18, 'O centro de mensagens será aberto com a guia Mensagens ativada e exibirá as mensagens do usuário conectado, conforme indicado pela legenda Minhas mensagens');
INSERT INTO `lang_definitions` VALUES (97509, 10448, 18, 'A informação mínima necessária para criar um novo encontro é selecionar uma categoria de visita');
INSERT INTO `lang_definitions` VALUES (97510, 10449, 18, 'As opções de faturamento diversas para o formulário HCFA-1500 são usadas para fornecer informações adicionais para uma reclamação individual');
INSERT INTO `lang_definitions` VALUES (97511, 10450, 18, 'O método mais comum é chamado de autorização de 2 fatores ou 2FA');
INSERT INTO `lang_definitions` VALUES (97512, 10451, 18, 'A questão mais importante que precisa ser tratada é com quem você está tentando se conectar e o que precisa acontecer no final. A maioria dos grandes laboratórios não lidará com práticas individuais; em tais casos, um fornecedor terceirizado atuará como um intermediário que será responsável por estabelecer uma conexão entre a clínica e o laboratório por meio de sua interface (do intermediário)');
INSERT INTO `lang_definitions` VALUES (97513, 10452, 18, 'O fabricante mais popular de chaves de segurança é a Yubico, que oferece versões USB regulares, bem como aquelas feitas para dispositivos que requerem conexões USB-C, como os sistemas Mac OS mais recentes da Apple');
INSERT INTO `lang_definitions` VALUES (97514, 10454, 18, 'A célula do nome contém o nome, data de nascimento, ID do paciente e data da última visita');
INSERT INTO `lang_definitions` VALUES (97515, 10455, 18, 'O bloco narrativo contém informações que são processadas como texto legível');
INSERT INTO `lang_definitions` VALUES (97516, 10456, 18, 'O National Uniform Claim Committee (NUCC) é responsável pela manutenção do Formulário de Reivindicação 1500');
INSERT INTO `lang_definitions` VALUES (97517, 10457, 18, 'A barra de navegação permite navegar rapidamente para várias partes do registro médico do paciente');
INSERT INTO `lang_definitions` VALUES (97518, 10458, 18, 'A nova categoria será uma sub-categoria de');
INSERT INTO `lang_definitions` VALUES (97519, 10460, 18, 'A nova senha não pode ser igual à senha atual');
INSERT INTO `lang_definitions` VALUES (97520, 10461, 18, 'Os novos campos de senha não são os mesmos');
INSERT INTO `lang_definitions` VALUES (97521, 10463, 18, 'O nome do parceiro NewCrop eRx, o nome NewCrop eRx e a senha NewCrop eRx serão fornecidos pelo fornecedor');
INSERT INTO `lang_definitions` VALUES (97522, 10464, 18, 'A próxima caixa é Body Site, não relevante para um exame de sangue, mas pode ser mais útil, digamos, para rastrear injeções ou solicitar raios-X');
INSERT INTO `lang_definitions` VALUES (97523, 10465, 18, 'As próximas poucas linhas listarão todos os códigos E / M e CPT que foram cobrados, uma linha por código');
INSERT INTO `lang_definitions` VALUES (97524, 10466, 18, 'O próximo grupo consiste dos códigos ICD');
INSERT INTO `lang_definitions` VALUES (97525, 10467, 18, 'As próximas três células são as células de ação que permitem que você execute alguma atividade de recordação');
INSERT INTO `lang_definitions` VALUES (97526, 10468, 18, 'As próximas duas caixas que indicam o código de identificação e o código padrão são muito importantes');
INSERT INTO `lang_definitions` VALUES (97527, 10469, 18, 'A célula de Notas permite- lhe adicionar uma nota a uma ação que você realiza nas 3 células de ação ou apenas uma nota sem qualquer associação com a ação');
INSERT INTO `lang_definitions` VALUES (97528, 10470, 18, 'O número de compromissos futuros para exibir na declaração');
INSERT INTO `lang_definitions` VALUES (97529, 10471, 18, 'O número de arquivos testados está incorreto. Coloque apenas o arquivo que deseja instalar / atualizar para');
INSERT INTO `lang_definitions` VALUES (97530, 10472, 18, 'O número de arquivos testados está incorreto. Coloque apenas o arquivo que deseja instalar / atualizar para');
INSERT INTO `lang_definitions` VALUES (97531, 10473, 18, 'O escritório: o celular permite que você indique que uma chamada foi feita');
INSERT INTO `lang_definitions` VALUES (97532, 10474, 18, 'A opção Expandir toda a linha é útil ao usar Texto estático para permitir que o texto seja quebrado e estendido por toda a linha, independentemente das configurações da coluna. Outro uso pode ser criar uma linha vazia como espaçador ou adicionar a opção Adicionar Borda Inferior para criar uma quebra de linha. Somente a Linha da Borda Inferior é útil aqui');
INSERT INTO `lang_definitions` VALUES (97533, 10475, 18, 'As opções de Contorno e Borda irão envolver uma linha em uma borda fina ou adicionar uma borda na parte inferior de um item');
INSERT INTO `lang_definitions` VALUES (97534, 10476, 18, 'A ordem em que a categoria, procedimento ou resultado aparece');
INSERT INTO `lang_definitions` VALUES (97535, 10477, 18, 'Os outros 4 tipos de transação são tipos de transação simples - Solicitação do paciente, Solicitação do médico, Legal e Cobrança');
INSERT INTO `lang_definitions` VALUES (97536, 10478, 18, 'Os outros segmentos contêm informações adicionais de forma estritamente estruturada');
INSERT INTO `lang_definitions` VALUES (97537, 10479, 18, 'A página será redirecionada para Demografia. Você pode editar o campo do país e clicar para NewCrop novamente');
INSERT INTO `lang_definitions` VALUES (97538, 10480, 18, 'A página que você requisitou não foi encontrada. Por favor, erifique se você digitou o URL corretamente');
INSERT INTO `lang_definitions` VALUES (97539, 10481, 18, 'As partes do programa às quais o acesso pode ser controlado são chamadas de Objetos de Controle de Acesso (ACOs)');
INSERT INTO `lang_definitions` VALUES (97540, 10482, 18, 'A senha deve ter pelo menos oito caracteres e deve');
INSERT INTO `lang_definitions` VALUES (97541, 10483, 18, 'A senha que você digitou é inválida');
INSERT INTO `lang_definitions` VALUES (97542, 10484, 18, 'O histórico ocular anterior (POH) e o histórico médico anterior (PMH) são negativos');
INSERT INTO `lang_definitions` VALUES (97543, 10485, 18, 'O paciente já se cadastrou no grupo');
INSERT INTO `lang_definitions` VALUES (97544, 10486, 18, 'A solicitação de registro do paciente foi registrada');
INSERT INTO `lang_definitions` VALUES (97545, 10487, 18, 'Os lembretes do paciente foram enviados');
INSERT INTO `lang_definitions` VALUES (97546, 10488, 18, 'Os lembretes do paciente foram atualizados');
INSERT INTO `lang_definitions` VALUES (97547, 10489, 18, 'O paciente não estava logado ao enviar este formulário');
INSERT INTO `lang_definitions` VALUES (97548, 10490, 18, 'O paciente terá que alterar suas credenciais no primeiro login');
INSERT INTO `lang_definitions` VALUES (97549, 10491, 18, 'Os direitos dos pacientes');
INSERT INTO `lang_definitions` VALUES (97550, 10492, 18, 'O Pagamento, Ajuste e Saldo ficarão em branco, pois essas linhas refletem apenas as cobranças sendo feitas');
INSERT INTO `lang_definitions` VALUES (97551, 10493, 18, 'Os pagamentos lançados não podem ser inferiores a esta data. Isso garante que, depois de fazer o relatório final, ninguém poste para datas anteriores');
INSERT INTO `lang_definitions` VALUES (97552, 10494, 18, 'O cabeçalho do formulário pop-up agora exibirá Inserir detalhes para item favorito individual personalizado');
INSERT INTO `lang_definitions` VALUES (97553, 10495, 18, 'O portal possui dados para este paciente e formulário. Carregar agora?');
INSERT INTO `lang_definitions` VALUES (97554, 10496, 18, 'A mensagem anterior pode, no entanto, ser visualizada clicando no botão Exibir Log');
INSERT INTO `lang_definitions` VALUES (97555, 10497, 18, 'A página de Ordem de Procedimento lista os seguintes tipos de procedimento');
INSERT INTO `lang_definitions` VALUES (97556, 10498, 18, 'A solicitação de procedimento precisa ser estruturada de maneira hierárquica e um código de identificação exclusivo atribuído a ela que será então usado para rastrear e tabular o resultado');
INSERT INTO `lang_definitions` VALUES (97557, 10499, 18, 'O módulo de procedimentos é usado para fazer e revisar pedidos');
INSERT INTO `lang_definitions` VALUES (97558, 10500, 18, 'O processo de encaminhamento da mensagem é bastante semelhante ao de criação de uma nova mensagem');
INSERT INTO `lang_definitions` VALUES (97559, 10501, 18, 'A célula de progresso lista todas as ações junto com quaisquer notas associadas, se houver');
INSERT INTO `lang_definitions` VALUES (97560, 10503, 18, 'A chave de acesso pública para tokenização segura de autorização de cartão de crédito ou débito. Conformidade PCI');
INSERT INTO `lang_definitions` VALUES (97561, 10504, 18, 'O código QR também contém o nome do usuário e precisa ser capturado pelo usuário em seu dispositivo móvel usando um aplicativo autenticador');
INSERT INTO `lang_definitions` VALUES (97562, 10505, 18, 'A liberação do feed de dados brutos pode ser obtida em');
INSERT INTO `lang_definitions` VALUES (97563, 10506, 18, 'A célula de recall tem a data e o motivo do recall');
INSERT INTO `lang_definitions` VALUES (97564, 10507, 18, 'A guia Recalls tem dois botões New Recall e Recall Board');
INSERT INTO `lang_definitions` VALUES (97565, 10508, 18, 'O nível de recomendação é opcional');
INSERT INTO `lang_definitions` VALUES (97566, 10509, 18, 'As demais informações a seguir só se aplica se você está postando manualmente, ou se você está fazendo correções manuais.');
INSERT INTO `lang_definitions` VALUES (97567, 10510, 18, 'O lembrete para o dia atual terá um ícone de exclamação laranja');
INSERT INTO `lang_definitions` VALUES (97568, 10511, 18, 'Os lembretes estão vencidos terão um ícone de triângulo de exclamação vermelho');
INSERT INTO `lang_definitions` VALUES (97569, 10512, 18, 'O documento solicitado não está presente no local esperado no sistema de arquivos ou não há permissões suficientes para acessá-lo');
INSERT INTO `lang_definitions` VALUES (97570, 10513, 18, 'O documento solicitado não está presente no local previsto no sistema de arquivos ou não existem permissões suficientes para acessá-lo.');
INSERT INTO `lang_definitions` VALUES (97571, 10514, 18, 'O resto pode ser deixado em branco se preferir');
INSERT INTO `lang_definitions` VALUES (97572, 10515, 18, 'O resto das caixas relacionadas ao serviço NewCrop eRx podem ser deixadas com os valores padrão');
INSERT INTO `lang_definitions` VALUES (97573, 10516, 18, 'A linha de resultados começará com um nome de ácido úrico sérico que será precedido por uma barra vertical indicando nenhum sucessor ou filho');
INSERT INTO `lang_definitions` VALUES (97574, 10517, 18, 'Os resultados não puderam ser carregados');
INSERT INTO `lang_definitions` VALUES (97575, 10518, 18, 'Os resultados, Resultado Discreto, serão o fruto deste ramo e criaremos um tal Resultado Discreto para cada um dos testes de componentes, Sódio, Potássio, Cloreto e Dióxido de Carbono');
INSERT INTO `lang_definitions` VALUES (97576, 10519, 18, 'As linhas contendo os códigos CPT4 têm várias caixas que precisam ser preenchidas para garantir o faturamento adequado de reclamações');
INSERT INTO `lang_definitions` VALUES (97577, 10520, 18, 'O problema médico salvo agora será listado como uma única linha na página de problemas principal em Problemas médicos');
INSERT INTO `lang_definitions` VALUES (97578, 10521, 18, 'O tempo de atualização da tela em segundos para a tela do quadro de fluxo do paciente');
INSERT INTO `lang_definitions` VALUES (97579, 10523, 18, 'Os resultados da pesquisa são exibidos na seção \'Resultados da pesquisa\'');
INSERT INTO `lang_definitions` VALUES (97580, 10524, 18, 'O segundo gráfico (\"fonte\") terá suas seções demográficas, histórico e de seguros descartadas. Seus outros dados serão mesclados no gráfico de destino');
INSERT INTO `lang_definitions` VALUES (97581, 10525, 18, 'A segunda coluna contém as opções que serão exibidas quando o botão for clicado');
INSERT INTO `lang_definitions` VALUES (97582, 10526, 18, 'A segunda coluna é Categoria e deve dizer Grupo Superior para indicar sua posição como o item superior nesta árvore hierárquica particular que iremos construir');
INSERT INTO `lang_definitions` VALUES (97583, 10527, 18, 'A segunda seção permite que você escolha para quem deseja enviar a mensagem');
INSERT INTO `lang_definitions` VALUES (97584, 10528, 18, 'A segunda guia é um pouco ambiguamente chamada de Contra-referência, é o local para documentar a resposta recebida à referência que está sendo feita');
INSERT INTO `lang_definitions` VALUES (97585, 10529, 18, 'A seção chamada \'Pesquisa de fatura\' é onde você coloca seus parâmetros de pesquisa. Você pode pesquisar pelo nome do paciente, número do prontuário, número do encontro ou data do serviço, ou qualquer combinação destes. Você também pode selecionar se deseja ver todas as faturas, faturas em aberto ou apenas as faturas vencidas (pelo paciente). Clique no botão \'Pesquisar\' para realizar a pesquisa');
INSERT INTO `lang_definitions` VALUES (97586, 10530, 18, 'O código selecionado será adicionado à caixa de texto de codificação e a Descrição do código será adicionada à caixa de texto Título');
INSERT INTO `lang_definitions` VALUES (97587, 10531, 18, 'Os códigos selecionados irão aparecer na seção \'Códigos da Folha de Taxas Selecionados e Encargos para Encontro Atual\'');
INSERT INTO `lang_definitions` VALUES (97588, 10532, 18, 'As seleções nesta seção serão usadas para cobrar por este encontro');
INSERT INTO `lang_definitions` VALUES (97589, 10533, 18, 'A sequência é a ordem em que este item de ordem superior será exibido na página, 1 para denotar o primeiro grupo de nível superior');
INSERT INTO `lang_definitions` VALUES (97590, 10534, 18, 'O endereço do servidor será da forma');
INSERT INTO `lang_definitions` VALUES (97591, 10535, 18, 'A configuração para os testes de laboratório será descrita em detalhes, pequenas modificações nessas etapas serão necessárias para configurar os procedimentos no escritório e outros tipos de procedimento');
INSERT INTO `lang_definitions` VALUES (97592, 10536, 18, 'A Contra-referência, um tanto ambiguamente, é o espaço onde a resposta à referência feita pode ser documentada');
INSERT INTO `lang_definitions` VALUES (97593, 10537, 18, 'As colunas de origem e data são copiados da primeira página, assim que normalmente você não vai precisar tocar essas. Você pode colocar um valor de pagamento na coluna Pay, um ajuste no montante de Ajuste de coluna, ou ambos. Você também pode clicar no \"\"W \"\" sobre o direito de computar automaticamente um valor de ajuste que escreve fora do restante da carga para esse item.');
INSERT INTO `lang_definitions` VALUES (97594, 10538, 18, 'As colunas fonte e Data são copiadas da primeira página, portanto, normalmente você não precisará tocá-las. Você pode colocar um valor de pagamento na coluna Pagamento, um valor de ajuste na coluna Ajuste ou ambos. Você também pode clicar no \'W\' à direita para calcular automaticamente um valor de ajuste que baixa o restante da cobrança desse item de linha');
INSERT INTO `lang_definitions` VALUES (97595, 10539, 18, 'O tipo de amostra será Sangue, esta lista suspensa também pode ser editada conforme necessário');
INSERT INTO `lang_definitions` VALUES (97596, 10540, 18, 'As datas de lançamento dos arquivos testados não são todas do mesmo lançamento');
INSERT INTO `lang_definitions` VALUES (97597, 10541, 18, 'As revisões dos arquivos testados não são todas da mesma versão');
INSERT INTO `lang_definitions` VALUES (97598, 10542, 18, 'O pacote SNOMED da extensão dos EUA testado não pode ser instalado até que o pacote SNOMED internacional tenha sido instalado');
INSERT INTO `lang_definitions` VALUES (97599, 10543, 18, 'O código padrão é opcional se estiver usando um laboratório local, ou seja, com base na prática, mas recomendado ao usar um laboratório externo');
INSERT INTO `lang_definitions` VALUES (97600, 10544, 18, 'O código padrão será o código LOINC se for enviado para um laboratório externo ou pode ser qualquer número exclusivo. Vamos inserir o código LOINC para a glicose de jejum 1558-6');
INSERT INTO `lang_definitions` VALUES (97601, 10545, 18, 'o estado de três problemas crônicos / inativos');
INSERT INTO `lang_definitions` VALUES (97602, 10546, 18, 'As linhas subsequentes indicarão os detalhes dos pagamentos recebidos, ajustes realizados e o saldo devedor');
INSERT INTO `lang_definitions` VALUES (97603, 10547, 18, 'O sufixo da conta');
INSERT INTO `lang_definitions` VALUES (97604, 10548, 18, 'O sistema não permite o upload de arquivos de tamanho 0');
INSERT INTO `lang_definitions` VALUES (97605, 10549, 18, 'O sistema não permite o upload de arquivos com tipo de conteúdo MIME');
INSERT INTO `lang_definitions` VALUES (97606, 10550, 18, 'O sistema também é projetado para analisar mensagens HL7 recebidas e colocar os resultados no prontuário do paciente apropriado, caso contrário, você terá a oportunidade de vinculá-lo manualmente a um prontuário do paciente');
INSERT INTO `lang_definitions` VALUES (97607, 10551, 18, 'O sistema é projetado para ambos fazer pedidos eletronicamente e receber os resultados eletronicamente');
INSERT INTO `lang_definitions` VALUES (97608, 10552, 18, 'A terceira coluna conterá o código CPT');
INSERT INTO `lang_definitions` VALUES (97609, 10553, 18, 'O valor da coluna nível será 1, indicando que é um item de nível superior');
INSERT INTO `lang_definitions` VALUES (97610, 10554, 18, 'O valor da coluna nível será 3, indicando que este é um sucessor ou filho da primeira linha acima com o valor 2');
INSERT INTO `lang_definitions` VALUES (97611, 10555, 18, 'A coluna nível será 2, indicando que este é um sucessor ou filho da primeira linha acima com o valor 1');
INSERT INTO `lang_definitions` VALUES (97612, 10556, 18, 'A Coluna do nível seria 1, indicando que é o Grupo Principal');
INSERT INTO `lang_definitions` VALUES (97613, 10557, 18, 'A granularidade de tempo do calendário e o menor intervalo em minutos para um bloco de compromisso');
INSERT INTO `lang_definitions` VALUES (97614, 10558, 18, 'O Título será o nome do novo grupo (ARO) que você vai criar');
INSERT INTO `lang_definitions` VALUES (97615, 10559, 18, 'O grupo superior consiste em cargas para o encontro - uma linha por carga');
INSERT INTO `lang_definitions` VALUES (97616, 10560, 18, 'A parte superior do Recall Board permite a configuração de filtros para exibir dados especificados');
INSERT INTO `lang_definitions` VALUES (97617, 10561, 18, 'O mecanismo tradicional de uso de login e senha não é mais considerado suficiente para evitar que um usuário não autorizado tenha acesso ao aplicativo');
INSERT INTO `lang_definitions` VALUES (97618, 10562, 18, 'O rótulo traduzido que irá aparecer no formulário em linguagem corrente');
INSERT INTO `lang_definitions` VALUES (97619, 10563, 18, 'O título traduzido que aparecerá na linguagem corrente');
INSERT INTO `lang_definitions` VALUES (97620, 10564, 18, 'A tradução da descrição em linguagem corrente');
INSERT INTO `lang_definitions` VALUES (97621, 10565, 18, 'As tabelas de tradução são sincronizadas');
INSERT INTO `lang_definitions` VALUES (97622, 10566, 18, 'O tipo desta entidade');
INSERT INTO `lang_definitions` VALUES (97623, 10567, 18, 'O tipo estará em branco');
INSERT INTO `lang_definitions` VALUES (97624, 10568, 18, 'O tipo será seguro ou paciente');
INSERT INTO `lang_definitions` VALUES (97625, 10569, 18, 'O tipo seria alergia');
INSERT INTO `lang_definitions` VALUES (97626, 10570, 18, 'O tipo seria problemas dentários');
INSERT INTO `lang_definitions` VALUES (97627, 10571, 18, 'O tipo seria medicação');
INSERT INTO `lang_definitions` VALUES (97628, 10572, 18, 'O tipo seria problema indicando um problema médico');
INSERT INTO `lang_definitions` VALUES (97629, 10573, 18, 'O tipo seria cirurgia');
INSERT INTO `lang_definitions` VALUES (97630, 10574, 18, 'O UB-04 (CMS 1450) é um formulário de solicitação usado por hospitais, enfermarias, internamentos e outros prestadores de serviços');
INSERT INTO `lang_definitions` VALUES (97631, 10575, 18, 'A coluna Unidade ficaria em branco');
INSERT INTO `lang_definitions` VALUES (97632, 10576, 18, 'As unidades serão 1, pois cada código é cobrado apenas uma vez para o encontro');
INSERT INTO `lang_definitions` VALUES (97633, 10577, 18, 'Os próximos lembretes têm um ícone de exclamação verde');
INSERT INTO `lang_definitions` VALUES (97634, 10578, 18, 'Os dispositivos USB se comunicam com o computador host usando o protocolo do dispositivo de interface humana (HID), essencialmente imitando um teclado');
INSERT INTO `lang_definitions` VALUES (97635, 10579, 18, 'A chave USB precisa ser conectada ao computador elogo registrada com OpenEMR');
INSERT INTO `lang_definitions` VALUES (97636, 10580, 18, 'A chave USB pega este nonce fornecido pelo aplicativo depois de confirmar a soma de verificação e gera uma chave privada usando o processo semelhante ao usado no processo de registro');
INSERT INTO `lang_definitions` VALUES (97637, 10581, 18, 'Os privilégios reais do usuário são determinados pelo acesso às partes do programa, ou seja, (ACO) que cada grupo (ARO) possui');
INSERT INTO `lang_definitions` VALUES (97638, 10583, 18, 'O nome de usuário é seu endereço direto');
INSERT INTO `lang_definitions` VALUES (97639, 10584, 18, 'Os valores na caixa suspensa podem ser editados seguindo as etapas descritas no arquivo de ajuda Procedimentos> Provedores');
INSERT INTO `lang_definitions` VALUES (97640, 10585, 18, 'Os valores listados aqui aparecerão nas caixas suspensas que serão usadas para processar pedidos');
INSERT INTO `lang_definitions` VALUES (97641, 10586, 18, 'O código específico do fornecedor que identifica este procedimento ou resultado');
INSERT INTO `lang_definitions` VALUES (97642, 10587, 18, 'O código específico do fornecedor que identifica este procedimento ou resultado. Se nenhum fornecedor inserir qualquer número único arbitrário, de preferência, um preenchido de zero 5 dígitos, por exemplo, 00211');
INSERT INTO `lang_definitions` VALUES (97643, 10588, 18, 'O primeiro passo seria instalar os códigos ICD. Vá para Administração> Outro> Cargas de dados externos. Selecione os conjuntos de códigos que deseja instalar e clique em Instalar');
INSERT INTO `lang_definitions` VALUES (97644, 10589, 18, 'A última linha deste relatório fornecerá o Total Geral de Encargos, Pagamentos, Ajustes e o Saldo');
INSERT INTO `lang_definitions` VALUES (97645, 10590, 18, 'O Weno Exchange está bem integrado com openEMR e não é baseado em assinatura');
INSERT INTO `lang_definitions` VALUES (97646, 10591, 18, 'O X12 arquivos, bem como os relatórios resultantes de saída HTML são arquivados na pasta \"\"era \"\" subdiretório do diretório principal OpenEMR instalação. Você vai querer referir-se a estes arquivos de vez em quando. O URL é');
INSERT INTO `lang_definitions` VALUES (97647, 10592, 18, 'Os arquivos X12, bem como os relatórios de saída HTML resultantes, são arquivados no subdiretório \'era\' do diretório principal de instalação do OpenEMR. Você vai querer consultar esses arquivos de vez em quando');
INSERT INTO `lang_definitions` VALUES (97648, 10593, 18, 'O arquivo zip conterá os seguintes itens');
INSERT INTO `lang_definitions` VALUES (97649, 10594, 18, 'Theme');
INSERT INTO `lang_definitions` VALUES (97650, 10595, 18, 'Tema do layout das guias (é necessário sair e logo fazer login para ver esta nova configuração)');
INSERT INTO `lang_definitions` VALUES (97651, 10596, 18, 'Tema do layout das guias (é necessário fazer logout e logo login para ver essa nova configuração). Observe que isso só é aplicável se usar o tema geral Light ou Manila abaixo');
INSERT INTO `lang_definitions` VALUES (97652, 10597, 18, 'Em seguida, passe seu nome como um valor para o elemento');
INSERT INTO `lang_definitions` VALUES (97653, 10598, 18, 'Em seguida, pressione o botão piscando em sua chave dentro de 1 minuto para concluir o registro');
INSERT INTO `lang_definitions` VALUES (97654, 10599, 18, 'Em seguida, pressione o botão piscando em sua chave dentro de 1 minuto');
INSERT INTO `lang_definitions` VALUES (97655, 10600, 18, 'En seguida, a liberação do feed de dados brutos pode ser obtida do');
INSERT INTO `lang_definitions` VALUES (97656, 10601, 18, 'Injeções terapêuticas');
INSERT INTO `lang_definitions` VALUES (97657, 10602, 18, 'Terapia');
INSERT INTO `lang_definitions` VALUES (97658, 10603, 18, 'Grupo de terapia');
INSERT INTO `lang_definitions` VALUES (97659, 10604, 18, 'Grupo de terapia');
INSERT INTO `lang_definitions` VALUES (97660, 10605, 18, 'Encontro do Grupo de Terapia');
INSERT INTO `lang_definitions` VALUES (97661, 10606, 18, 'Localizador de grupo de terapia');
INSERT INTO `lang_definitions` VALUES (97662, 10607, 18, 'Há');
INSERT INTO `lang_definitions` VALUES (97663, 10608, 18, 'Existem 10 configurações que estão relacionadas aos procedimentos incluídos na versão padrão do openEMR');
INSERT INTO `lang_definitions` VALUES (97664, 10609, 18, 'Existem 3 formulários na categoria principal - dados demográficos, informações específicas do usuário do local e histórico e todos os 5 formulários em transações que podem ser editados');
INSERT INTO `lang_definitions` VALUES (97665, 10610, 18, 'Atualmente não há prescrições');
INSERT INTO `lang_definitions` VALUES (97666, 10611, 18, 'Há erros com a sua apresentação. Estes são descritos abaixo.');
INSERT INTO `lang_definitions` VALUES (97667, 10612, 18, 'Existem quatro status de mensagem - Novo, Encaminhado, Lido e Concluído');
INSERT INTO `lang_definitions` VALUES (97668, 10613, 18, 'Existem várias opções em relação aos portais do paciente e informações sobre como configurar o portal do paciente estão disponíveis aqui');
INSERT INTO `lang_definitions` VALUES (97669, 10614, 18, 'Há muitos pacientes logados.');
INSERT INTO `lang_definitions` VALUES (97670, 10615, 18, 'Existem nove modelos C-CDA que estão definidos atualmente');
INSERT INTO `lang_definitions` VALUES (97671, 10616, 18, 'Não há gráficos verificados.');
INSERT INTO `lang_definitions` VALUES (97672, 10618, 18, 'Não há registros para este paciente.');
INSERT INTO `lang_definitions` VALUES (97673, 10619, 18, 'Não há prescrições de óculos ou lentes de contato arquivadas para este paciente');
INSERT INTO `lang_definitions` VALUES (97674, 10620, 18, 'Não há mensagens no arquivo para este paciente');
INSERT INTO `lang_definitions` VALUES (97675, 10621, 18, 'Não existem argumentos Novos');
INSERT INTO `lang_definitions` VALUES (97676, 10622, 18, 'Não há notas no arquivo para este paciente');
INSERT INTO `lang_definitions` VALUES (97677, 10623, 18, 'Nenhum registro (s) encontrado (s)');
INSERT INTO `lang_definitions` VALUES (97678, 10624, 18, 'Não há transações em arquivo para este paciente');
INSERT INTO `lang_definitions` VALUES (97679, 10625, 18, 'Existem várias versões do HL7, versões 2.x e versão 3');
INSERT INTO `lang_definitions` VALUES (97680, 10626, 18, 'Existem várias maneiras de personalizar a folha de taxas. Depende de quão confortável você se sente em adicionar informações ao próprio banco de dados');
INSERT INTO `lang_definitions` VALUES (97681, 10627, 18, 'Existem três ações possíveis - Criar um novo lembrete com data, encaminhar e definir como concluído');
INSERT INTO `lang_definitions` VALUES (97682, 10628, 18, 'Existem três ações que podem ser realizadas aqui - editar um grupo existente (ARO), adicionar um novo grupo (ARO) ou excluir um grupo existente (ARO)');
INSERT INTO `lang_definitions` VALUES (97683, 10629, 18, 'Existem três tipos principais de laudos que podem ser criados, dois relativos à continuidade do cuidado em curso - Registro de Continuidade da Assistência (CCR) e Documento de Continuidade da Assistência (CCD) e o terceiro - Relatório do Paciente que cria um documento contendo várias seções do registro médico do paciente, incluindo dados demográficos, questões médicas, procedimentos e encontros. Ele também tem a capacidade de incluir todos ou qualquer um dos documentos digitalizados no prontuário do paciente');
INSERT INTO `lang_definitions` VALUES (97684, 10630, 18, 'Existem três opções disponíveis quando você cria um Documento de Continuidade de Cuidados (CCD)');
INSERT INTO `lang_definitions` VALUES (97685, 10631, 18, 'Existem três opções disponíveis quando você cria um Registro de Continuidade de Cuidados (CCR)');
INSERT INTO `lang_definitions` VALUES (97686, 10632, 18, 'Existem três conjuntos de ações que podem ser realizadas nesta página, além do formulário pode ser personalizado');
INSERT INTO `lang_definitions` VALUES (97687, 10633, 18, 'Existem dois botões que permitem que você marque ou desmarque todas as caixas de seleção disponíveis');
INSERT INTO `lang_definitions` VALUES (97688, 10634, 18, 'Existem duas opções para os registros que serão criados');
INSERT INTO `lang_definitions` VALUES (97689, 10635, 18, 'Existem duas seções que são visíveis');
INSERT INTO `lang_definitions` VALUES (97690, 10636, 18, 'Existem duas fontes que podem ser pesquisadas - MedlinePlus Connect ou Conteúdo Local');
INSERT INTO `lang_definitions` VALUES (97691, 10637, 18, 'Existem duas maneiras de fazer isso, pelo método manual, pesquisando e inserindo dados para faturas individuais ou carregando um arquivo ERA de aviso de remessa eletrônica completo');
INSERT INTO `lang_definitions` VALUES (97692, 10638, 18, 'Existem várias seleções a serem preenchidas, os dados mínimos necessários para salvar com sucesso a referência são Data de Referência, Referir a e Motivo');
INSERT INTO `lang_definitions` VALUES (97693, 10639, 18, 'Houve um erro de envio de email para');
INSERT INTO `lang_definitions` VALUES (97694, 10640, 18, 'Há um pedido de laboratório');
INSERT INTO `lang_definitions` VALUES (97695, 10641, 18, 'Há um erro de postagem');
INSERT INTO `lang_definitions` VALUES (97696, 10642, 18, 'Já existe uma categoria chamada');
INSERT INTO `lang_definitions` VALUES (97697, 10643, 18, 'Já existe uma subcategoria chamada');
INSERT INTO `lang_definitions` VALUES (97698, 10644, 18, 'Já existe um item chamado');
INSERT INTO `lang_definitions` VALUES (97699, 10645, 18, 'Já existe uma solicitação de registro de paciente aberta');
INSERT INTO `lang_definitions` VALUES (97700, 10646, 18, 'Não há entrada para o COA AR conta');
INSERT INTO `lang_definitions` VALUES (97701, 10647, 18, 'Não há entrada de dinheiro por conta COA');
INSERT INTO `lang_definitions` VALUES (97702, 10648, 18, 'Não há entrada do COA de balança de rendimentos');
INSERT INTO `lang_definitions` VALUES (97703, 10649, 18, 'Não há paciente atual');
INSERT INTO `lang_definitions` VALUES (97704, 10650, 18, 'Não há conteúdo local para este tópico');
INSERT INTO `lang_definitions` VALUES (97705, 10651, 18, 'Não há correspondência para id fatura');
INSERT INTO `lang_definitions` VALUES (97706, 10652, 18, 'Não há correspondência para fatura id =');
INSERT INTO `lang_definitions` VALUES (97707, 10653, 18, 'Não há entrada de peças para os serviços de identificação');
INSERT INTO `lang_definitions` VALUES (97708, 10654, 18, 'Não há paciente com login do portal');
INSERT INTO `lang_definitions` VALUES (97709, 10655, 18, 'Ocorreu um problema ao enviar a mensagem');
INSERT INTO `lang_definitions` VALUES (97710, 10656, 18, 'Houve um erro ao processar seu pedido.');
INSERT INTO `lang_definitions` VALUES (97711, 10657, 18, 'Houve um ERRO de escape de SQL OpenEMR da seguinte string');
INSERT INTO `lang_definitions` VALUES (97712, 10658, 18, 'Portanto, cada usuário deve ativar individualmente este recurso');
INSERT INTO `lang_definitions` VALUES (97713, 10659, 18, 'Esses ACOs são agrupados em dez categorias amplas que fazem parte da instalação padrão. Eles são - Administração, Contabilidade, Informações do Paciente, Informações do Encontro, Esquadrões, Sensibilidades, Listas, Espaço Reservado, Notas da Nação e Portal do Paciente. Cada uma dessas categorias tem uma ou várias subcategorias que fornecem acesso a partes específicas do programa');
INSERT INTO `lang_definitions` VALUES (97714, 10660, 18, 'Eles são gratuitos e podem ser baixados da respectiva loja de aplicativos para dispositivos iOS e Android');
INSERT INTO `lang_definitions` VALUES (97715, 10661, 18, 'Estes são os links de 2012');
INSERT INTO `lang_definitions` VALUES (97716, 10662, 18, 'Eles são usados para preencher os campos 3 e 4 no HL7 MSH - cabeçalho da mensagem');
INSERT INTO `lang_definitions` VALUES (97717, 10663, 18, 'Eles são usados para preencher os campos 5 e 6 no HL7 MSH - cabeçalho da mensagem');
INSERT INTO `lang_definitions` VALUES (97718, 10664, 18, 'Essas credenciais serão usadas pelo paciente para fazer login no portal do paciente pela primeira vez');
INSERT INTO `lang_definitions` VALUES (97719, 10665, 18, 'Esses grupos personalizados são específicos do aplicativo e não do usuário');
INSERT INTO `lang_definitions` VALUES (97720, 10666, 18, 'Essas entradas serão usadas para definir os provedores no módulo de procedimentos');
INSERT INTO `lang_definitions` VALUES (97721, 10667, 18, 'Esses grupos (AROs) podem então receber um conjunto de privilégios atribuindo diferentes categorias (ACOs)');
INSERT INTO `lang_definitions` VALUES (97722, 10668, 18, 'Esses itens podem ser editados se o usuário tiver privilégios suficientes');
INSERT INTO `lang_definitions` VALUES (97723, 10669, 18, 'Essas listas são usadas para determinar quem pode acessar o que em openEMR. Eles funcionam de cima para baixo, ou seja, inicialmente todos têm acesso negado às partes do programa controladas pela ACL');
INSERT INTO `lang_definitions` VALUES (97724, 10670, 18, 'Esses números precisam ser iguais para autenticar o usuário com sucesso');
INSERT INTO `lang_definitions` VALUES (97725, 10671, 18, 'Estas notas do paciente são enviadas sem um paciente atribuído');
INSERT INTO `lang_definitions` VALUES (97726, 10672, 18, 'Essas subcategorias representam os objetos de controle de acesso (ACOs) reais');
INSERT INTO `lang_definitions` VALUES (97727, 10674, 18, 'Essas três etapas são essenciais antes que os pedidos possam ser colocados e os resultados recebidos vinculados ao prontuário do paciente');
INSERT INTO `lang_definitions` VALUES (97728, 10675, 18, 'Essas transações geralmente são usadas para documentar eventos que já ocorreram');
INSERT INTO `lang_definitions` VALUES (97729, 10676, 18, 'Essas duas ações estão disponíveis para todas as transações');
INSERT INTO `lang_definitions` VALUES (97730, 10677, 18, 'Eles são exibidos em linhas e subdivididos em três grupos');
INSERT INTO `lang_definitions` VALUES (97731, 10678, 18, 'Eles são painel de eletrólitos, painel metabólico básico, painel metabólico abrangente, painel de função renal, painel de saúde geral, painel obstétrico, painel de hepatite aguda, painel de função hepática e painel de lipídios');
INSERT INTO `lang_definitions` VALUES (97732, 10679, 18, 'Eles são listados em ordem crescente por data de encontro');
INSERT INTO `lang_definitions` VALUES (97733, 10680, 18, 'Eles não compartilham as vulnerabilidades dos métodos baseados em SMS e geralmente não requerem uma conexão com a Internet, exceto para manter seus relógios sincronizados com a hora atual');
INSERT INTO `lang_definitions` VALUES (97734, 10681, 18, 'Eles serão fornecidos pela instalação à qual você se conectará');
INSERT INTO `lang_definitions` VALUES (97735, 10682, 18, 'Engrossado Direita:');
INSERT INTO `lang_definitions` VALUES (97736, 10683, 18, 'Coxa');
INSERT INTO `lang_definitions` VALUES (97737, 10684, 18, 'Coxa + tendão');
INSERT INTO `lang_definitions` VALUES (97738, 10685, 18, 'Coisas que o back office só pode ler');
INSERT INTO `lang_definitions` VALUES (97739, 10686, 18, 'Coisas que a administração pode ler e digitar, mas não modificar');
INSERT INTO `lang_definitions` VALUES (97740, 10687, 18, 'Coisas que a administração pode ler e modificar');
INSERT INTO `lang_definitions` VALUES (97741, 10688, 18, 'Coisas que o back office pode ler e modificar parcialmente');
INSERT INTO `lang_definitions` VALUES (97742, 10689, 18, 'Informações que os clínicos podem ler');
INSERT INTO `lang_definitions` VALUES (97743, 10690, 18, 'Informações que os clínicos podem ler e entrar, mas não modificar');
INSERT INTO `lang_definitions` VALUES (97744, 10691, 18, 'Informações que os clínicos podem ler e modificar');
INSERT INTO `lang_definitions` VALUES (97745, 10692, 18, 'Informações que os clínicos podem ler e modificar parcialmente');
INSERT INTO `lang_definitions` VALUES (97746, 10693, 18, 'Informações que a recepção pode ler');
INSERT INTO `lang_definitions` VALUES (97747, 10694, 18, 'Informações que a recepção pode ler e digitar, mas não modificar');
INSERT INTO `lang_definitions` VALUES (97748, 10695, 18, 'Informações que a recepção pode ler e modificar');
INSERT INTO `lang_definitions` VALUES (97749, 10696, 18, 'Informações que a recepção pode ler e modificar parcialmente');
INSERT INTO `lang_definitions` VALUES (97750, 10697, 18, 'Informações que os Médico podem ler');
INSERT INTO `lang_definitions` VALUES (97751, 10698, 18, 'Informações que os médicos podem ler e entrar, mas não modificar');
INSERT INTO `lang_definitions` VALUES (97752, 10699, 18, 'Informações que os médicos podem ler e modificar');
INSERT INTO `lang_definitions` VALUES (97753, 10700, 18, 'Informações que os clínicos podem ler e modificar parcialmente');
INSERT INTO `lang_definitions` VALUES (97754, 10701, 18, 'Terceira');
INSERT INTO `lang_definitions` VALUES (97755, 10702, 18, 'Mensagem da terceira conta');
INSERT INTO `lang_definitions` VALUES (97756, 10703, 18, 'Esta conta já existe');
INSERT INTO `lang_definitions` VALUES (97757, 10704, 18, 'Essa ação NÃO pode ser desfeita.');
INSERT INTO `lang_definitions` VALUES (97758, 10705, 18, 'Essa ação não pode ser desfeita.');
INSERT INTO `lang_definitions` VALUES (97759, 10706, 18, 'Esta ação não poderá ser desfeita. Você tem certeza que deseja deletar este formulário?');
INSERT INTO `lang_definitions` VALUES (97760, 10707, 18, 'Esta ação será registrada no log');
INSERT INTO `lang_definitions` VALUES (97761, 10708, 18, 'Esta ação irá zerar sua reivindicação!');
INSERT INTO `lang_definitions` VALUES (97762, 10710, 18, 'Isso permite que um intervalo de datas seja selecionado no quadro de fluxo do paciente');
INSERT INTO `lang_definitions` VALUES (97763, 10711, 18, 'Este bloco de compromisso já está em uso, por favor escolha outro');
INSERT INTO `lang_definitions` VALUES (97764, 10712, 18, 'Este bloco de compromisso já está em uso. Usar mesmo assim?');
INSERT INTO `lang_definitions` VALUES (97765, 10713, 18, 'Este bloco de compromisso não está disponível, por favor escolha outro');
INSERT INTO `lang_definitions` VALUES (97766, 10714, 18, 'Este ano civil');
INSERT INTO `lang_definitions` VALUES (97767, 10715, 18, 'Esta reivindicação foi cancelada');
INSERT INTO `lang_definitions` VALUES (97768, 10716, 18, 'Esta reivindicação foi encerrada');
INSERT INTO `lang_definitions` VALUES (97769, 10717, 18, 'Esta reclamação foi negada. Motivo: -');
INSERT INTO `lang_definitions` VALUES (97770, 10718, 18, 'Esta reclamação foi encaminhada para o próximo nível');
INSERT INTO `lang_definitions` VALUES (97771, 10719, 18, 'Esta reivindicação tem opções diversas de faturamento HCFA 1500');
INSERT INTO `lang_definitions` VALUES (97772, 10721, 18, 'Este código é opcional se usar apenas a entrada manual de dados de laboratório');
INSERT INTO `lang_definitions` VALUES (97773, 10722, 18, 'Este código é opcional, mas é uma boa prática fazê-lo');
INSERT INTO `lang_definitions` VALUES (97774, 10723, 18, 'Este código é opcional, mas é uma boa prática');
INSERT INTO `lang_definitions` VALUES (97775, 10724, 18, 'Este código é opcional');
INSERT INTO `lang_definitions` VALUES (97776, 10725, 18, 'Este tipo de código não aceita as relações.');
INSERT INTO `lang_definitions` VALUES (97777, 10726, 18, 'Isso conclui uma configuração básica e permitirá o uso da Folha de Taxas para documentar as despesas para fins de cobrança');
INSERT INTO `lang_definitions` VALUES (97778, 10727, 18, 'Este contexto contém categorias, que serão excluídas. Você ainda deseja continuar?');
INSERT INTO `lang_definitions` VALUES (97779, 10728, 18, 'Esta conversa');
INSERT INTO `lang_definitions` VALUES (97780, 10729, 18, 'Este item de favorito personalizado só pode ser enviado para o laboratório exibido, aquele que foi escolhido no grupo de favoritos personalizados');
INSERT INTO `lang_definitions` VALUES (97781, 10730, 18, 'Isso determina como os compromissos são exibidos no calendário');
INSERT INTO `lang_definitions` VALUES (97782, 10731, 18, 'Isso determina qual esquema de cores usado para compromissos');
INSERT INTO `lang_definitions` VALUES (97783, 10733, 18, 'Isso habilita o provedor no item de linha na folha de taxas');
INSERT INTO `lang_definitions` VALUES (97784, 10734, 18, 'Este Encontro');
INSERT INTO `lang_definitions` VALUES (97785, 10735, 18, 'Este encontro foi cobrado. Se você precisar alterá-lo, ele deve ser reaberto');
INSERT INTO `lang_definitions` VALUES (97786, 10736, 18, 'Este encontro foi cobrado. Para fazer alterações, reabra-o ou selecione Adicionar mais itens');
INSERT INTO `lang_definitions` VALUES (97787, 10737, 18, 'Este encontro está bloqueado. Nenhum novo formulário pode ser adicionado');
INSERT INTO `lang_definitions` VALUES (97788, 10738, 18, 'Este item EOB não atende aos requisitos mínimos de impressão configurados em Globais ou há um erro desconhecido');
INSERT INTO `lang_definitions` VALUES (97789, 10739, 18, 'Este fax já foi enviado');
INSERT INTO `lang_definitions` VALUES (97790, 10740, 18, 'Este recurso ainda não está disponível');
INSERT INTO `lang_definitions` VALUES (97791, 10741, 18, 'Este recurso é usado para adicionar pacientes a uma lista de recall, ou seja, aqueles que precisam de uma consulta em uma data futura, mas a consulta ainda não foi agendada');
INSERT INTO `lang_definitions` VALUES (97792, 10742, 18, 'Este recurso é muito experimental e não foi totalmente testado. Use por sua conta e risco!');
INSERT INTO `lang_definitions` VALUES (97793, 10743, 18, 'Este recurso permitirá que o código de instalação padrão do POS seja anulado a partir do encontro');
INSERT INTO `lang_definitions` VALUES (97794, 10744, 18, 'Este recurso permitirá que o código de instalação padrão do POS seja anulado a partir do encontro');
INSERT INTO `lang_definitions` VALUES (97795, 10745, 18, 'Este campo é usado para decidir se deve processar a mensagem conforme definido nas regras de processamento de aplicativo HL7 (nível 7)');
INSERT INTO `lang_definitions` VALUES (97796, 10746, 18, 'Este formulário permite que você insira detalhes de uma visita ou interação com o paciente');
INSERT INTO `lang_definitions` VALUES (97797, 10747, 18, 'Este Recall Board totalmente funcional incluído na instalação padrão pode ser usada para adicionar pacientes à lista de recall');
INSERT INTO `lang_definitions` VALUES (97798, 10748, 18, 'Isso dá a você a opção de excluir qualquer teste individual indesejado no grupo');
INSERT INTO `lang_definitions` VALUES (97799, 10749, 18, 'Isso deve ser inserido uma vez neste formulário');
INSERT INTO `lang_definitions` VALUES (97800, 10750, 18, 'Este arquivo de ajuda está dividido em quatro seções');
INSERT INTO `lang_definitions` VALUES (97801, 10751, 18, 'Este arquivo de ajuda está dividido nas seguintes seções');
INSERT INTO `lang_definitions` VALUES (97802, 10752, 18, 'Este código ICD pode ser adicionado automaticamente à Lista de Problemas marcando a caixa de seleção P (Problema). Este item selecionado aparecerá na seção Problemas em Problemas médicos');
INSERT INTO `lang_definitions` VALUES (97803, 10753, 18, 'Este número da fatura foi alterado para');
INSERT INTO `lang_definitions` VALUES (97804, 10754, 18, 'Este é um filho do resultado');
INSERT INTO `lang_definitions` VALUES (97805, 10755, 18, 'Isso é feito em Administração> Usuários');
INSERT INTO `lang_definitions` VALUES (97806, 10756, 18, 'Isso é seguido pelas colunas Editar e Adicionar contendo um ícone de lápis e um ícone +');
INSERT INTO `lang_definitions` VALUES (97807, 10757, 18, 'Este não é um pedido válido');
INSERT INTO `lang_definitions` VALUES (97808, 10758, 18, 'Isso é passado para o aplicativo junto com o valor da soma de verificação e é exclusivo para cada chave USB e, portanto, para o usuário que o possui');
INSERT INTO `lang_definitions` VALUES (97809, 10760, 18, 'Isso é necessário para ambas a entrada manual de resultados de laboratório e para testes de pedidos eletrônicos e recebimento de resultados');
INSERT INTO `lang_definitions` VALUES (97810, 10762, 18, 'Esta é a data de início para o relatório do razão');
INSERT INTO `lang_definitions` VALUES (97811, 10763, 18, 'Este é o gráfico que deve ser mesclado com o gráfico principal e depois excluído');
INSERT INTO `lang_definitions` VALUES (97812, 10764, 18, 'Esta é a data de início padrão para o quadro de fluxo do paciente. (aplicável apenas se Permitir intervalo de datas na opção acima estiver Ativado)');
INSERT INTO `lang_definitions` VALUES (97813, 10765, 18, 'Esta é a data de término padrão para o quadro de fluxo do paciente. (aplicável apenas se Permitir intervalo de datas na opção acima estiver Ativado)');
INSERT INTO `lang_definitions` VALUES (97814, 10766, 18, 'Esta é a margem de impressão esquerda padrão para CMS 1500. Ela ajustará a saída impressa final para a esquerda ou direita');
INSERT INTO `lang_definitions` VALUES (97815, 10767, 18, 'Esta é a margem de impressão esquerda padrão para UB04. Ela ajustará a saída impressa final para a esquerda ou direita');
INSERT INTO `lang_definitions` VALUES (97816, 10768, 18, 'Esta é a margem de impressão superior padrão para CMS 1500. Ela ajustará a saída impressa final para cima ou para baixo');
INSERT INTO `lang_definitions` VALUES (97817, 10769, 18, 'Esta é a margem de impressão superior padrão para UB04. Ela ajustará a saída impressa final para cima ou para baixo');
INSERT INTO `lang_definitions` VALUES (97818, 10770, 18, 'Esta é a data de término para o intervalo de datas do Patient Flow Board. (aplicável apenas se Permitir intervalo de datas na opção acima estiver Ativado)');
INSERT INTO `lang_definitions` VALUES (97819, 10771, 18, 'Este é o mais recente de vários valores de resultado');
INSERT INTO `lang_definitions` VALUES (97820, 10772, 18, 'Este é o gráfico principal que receberá os dados mesclados');
INSERT INTO `lang_definitions` VALUES (97821, 10773, 18, 'Este é o número de mensagens que serão exibidas no widget de mensagens na tela de resumo do paciente');
INSERT INTO `lang_definitions` VALUES (97822, 10774, 18, 'Este é o método recomendado para um usuário não técnico, se executado com cuidado reduzirá os erros de configuração');
INSERT INTO `lang_definitions` VALUES (97823, 10775, 18, 'Isto é onde as referências e várias outras transações simples são criadas');
INSERT INTO `lang_definitions` VALUES (97824, 10776, 18, 'Este item não possui dados suficientes para representar graficamente');
INSERT INTO `lang_definitions` VALUES (97825, 10777, 18, 'Este item será exibido na página em uma única linha');
INSERT INTO `lang_definitions` VALUES (97826, 10778, 18, 'Esta chave é gerada pelo aplicativo e é apresentada ao usuário na forma de um código QR');
INSERT INTO `lang_definitions` VALUES (97827, 10779, 18, 'Este nome de chave já está em uso por você. Tente novamente');
INSERT INTO `lang_definitions` VALUES (97828, 10780, 18, 'Este layout não existe');
INSERT INTO `lang_definitions` VALUES (97829, 10781, 18, 'Este ID de layout já existe');
INSERT INTO `lang_definitions` VALUES (97830, 10782, 18, 'Isso permite que você insira manualmente a resposta à referência como dados estruturados');
INSERT INTO `lang_definitions` VALUES (97831, 10783, 18, 'Isso permite definir o nível de preço para as cobranças e cobrar taxas diferentes para diferentes formas de pagamento');
INSERT INTO `lang_definitions` VALUES (97832, 10784, 18, 'este local');
INSERT INTO `lang_definitions` VALUES (97833, 10785, 18, 'Esta mensagem não precisa necessariamente estar ligada a um paciente');
INSERT INTO `lang_definitions` VALUES (97834, 10786, 18, 'Este texto de mensagem não é salvo automaticamente. Copie e salve conforme apropriado para o conteúdo');
INSERT INTO `lang_definitions` VALUES (97835, 10787, 18, 'No entanto, este método fará com que os dados se tornem não estruturados e perder-se-á a capacidade de documentar a resposta em formato eletrónico');
INSERT INTO `lang_definitions` VALUES (97836, 10788, 18, 'Este módulo está sendo usado por');
INSERT INTO `lang_definitions` VALUES (97837, 10789, 18, 'Este módulo está em modo de teste. O banco de dados não serão alterados.');
INSERT INTO `lang_definitions` VALUES (97838, 10790, 18, 'Este módulo é baseado em assinatura e precisa ser habilitado em Administração> Globais> Conectores> Habilitar Serviço NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (97839, 10791, 18, 'Este módulo está bem integrado com openEMR, no entanto, existem duas alternativas não baseadas em assinatura, Weno e Allscripts que podem ser usados em seu lugar');
INSERT INTO `lang_definitions` VALUES (97840, 10792, 18, 'Este módulo promove a entrada eficiente de dados EOB.');
INSERT INTO `lang_definitions` VALUES (97841, 10793, 18, 'Este mês até a data');
INSERT INTO `lang_definitions` VALUES (97842, 10794, 18, 'Este nome já existe sob este pai');
INSERT INTO `lang_definitions` VALUES (97843, 10795, 18, 'Este namespace já existe no banco de dados');
INSERT INTO `lang_definitions` VALUES (97844, 10796, 18, 'Esta nova categoria será uma subcategoria de');
INSERT INTO `lang_definitions` VALUES (97845, 10797, 18, 'Este pedido já foi transmitido em');
INSERT INTO `lang_definitions` VALUES (97846, 10798, 18, 'Esta página permite que você analise cada um dos carregamentos de dados externos suportados que você pode instalar e atualizar. Cada seção abaixo pode ser expandida clicando no cabeçalho da seção para revisar o status do banco de dados específico de interesse');
INSERT INTO `lang_definitions` VALUES (97847, 10799, 18, 'Esta página foi desativada por razões de segurança');
INSERT INTO `lang_definitions` VALUES (97848, 10800, 18, 'Esta página permite que você configure os pedidos e resultados');
INSERT INTO `lang_definitions` VALUES (97849, 10801, 18, 'Esta página irá incluir inline na página de login, de modo que não temos a relogin clique de cada vez.');
INSERT INTO `lang_definitions` VALUES (97850, 10802, 18, 'Este paciente já tem uma consulta agendada para');
INSERT INTO `lang_definitions` VALUES (97851, 10803, 18, 'Este paciente não permite mensagens SMS!');
INSERT INTO `lang_definitions` VALUES (97852, 10804, 18, 'Este paciente não tem atividade.');
INSERT INTO `lang_definitions` VALUES (97853, 10805, 18, 'Este paciente ID já está em uso!');
INSERT INTO `lang_definitions` VALUES (97854, 10806, 18, 'Esta autenticação de portais');
INSERT INTO `lang_definitions` VALUES (97855, 10807, 18, 'Este produto permite apenas um lote por armazém');
INSERT INTO `lang_definitions` VALUES (97856, 10808, 18, 'Este protocolo não está implementado');
INSERT INTO `lang_definitions` VALUES (97857, 10809, 18, 'Este relatório atualmente só funciona para códigos ICD9');
INSERT INTO `lang_definitions` VALUES (97858, 10810, 18, 'Esta seção permite criar e remover grupos e modificar ou conceder privilégios de acesso a grupos existentes. Marque a caixa de seleção para exibir a seção');
INSERT INTO `lang_definitions` VALUES (97859, 10811, 18, 'Esta seção pode ser personalizada para agrupar os códigos em várias categorias');
INSERT INTO `lang_definitions` VALUES (97860, 10812, 18, 'Esta seção NÃO permite que você crie novos ACOs');
INSERT INTO `lang_definitions` VALUES (97861, 10813, 18, 'Esta seção é onde os códigos usam para cobrar pela visita são selecionados');
INSERT INTO `lang_definitions` VALUES (97862, 10814, 18, 'Esta seção permite que você pesquise o código necessário se ele não estiver nas opções padrão ou personalizadas na seção \'Selecionar código\'');
INSERT INTO `lang_definitions` VALUES (97863, 10815, 18, 'Esta seção permitirá que o usuário logado visualize os métodos existentes ou os exclua');
INSERT INTO `lang_definitions` VALUES (97864, 10816, 18, 'Isso define a visualização do calendário padrão, o padrão é o dia');
INSERT INTO `lang_definitions` VALUES (97865, 10817, 18, 'Isto especifica a impressão do fornecedor agrupado do relatório personalizado de fim do dia ou permite a impressão apenas de totais');
INSERT INTO `lang_definitions` VALUES (97866, 10818, 18, 'Isso especifica se incluir a data na caixa 31');
INSERT INTO `lang_definitions` VALUES (97867, 10819, 18, 'Isso especifica qual revisão do formulário o módulo de faturamento deve gerar');
INSERT INTO `lang_definitions` VALUES (97868, 10821, 18, 'Esta etapa irá gerar um arquivo que você deve salvar para uso futuro. O arquivo não pode ser gerado novamente. Você quer prosseguir?');
INSERT INTO `lang_definitions` VALUES (97869, 10822, 18, 'Este usuário não é um membro de qualquer grupo');
INSERT INTO `lang_definitions` VALUES (97870, 10823, 18, 'Este usuário receberá uma notificação de novas mensagens diretas recebidas');
INSERT INTO `lang_definitions` VALUES (97871, 10824, 18, 'Este utilitário é experimental. Faça backup de seu banco de dados e documentos antes de usá-lo!');
INSERT INTO `lang_definitions` VALUES (97872, 10826, 18, 'Esta visita começa o uso de anticoncepcionais novo');
INSERT INTO `lang_definitions` VALUES (97873, 10827, 18, 'Esta visita exigirá um formulário GCAC, referência ou serviço de procedimento');
INSERT INTO `lang_definitions` VALUES (97874, 10828, 18, 'Este era o antigo formulário vitals apenas para métricas, agora obsoleto');
INSERT INTO `lang_definitions` VALUES (97875, 10829, 18, 'Esta semana até hoje');
INSERT INTO `lang_definitions` VALUES (97876, 10830, 18, 'Isso irá abandonar suas alterações não salvas. Você tem certeza?');
INSERT INTO `lang_definitions` VALUES (97877, 10831, 18, 'Isso ativará os relatórios CCR (Registro de Continuidade de Cuidados) e CCD (Documento de Continuidade de Cuidados).');
INSERT INTO `lang_definitions` VALUES (97878, 10832, 18, 'Isso permitirá a impressão de uma mensagem personalizada nas declarações');
INSERT INTO `lang_definitions` VALUES (97879, 10833, 18, 'Isso permitirá a impressão da nota de faturamento do paciente nas declarações');
INSERT INTO `lang_definitions` VALUES (97880, 10834, 18, 'Isso permitirá a seleção do idioma de depuração ( \'fictício \')');
INSERT INTO `lang_definitions` VALUES (97881, 10835, 18, 'Isso permitirá a exibição do modal de ajuda nas páginas habilitadas para ajuda');
INSERT INTO `lang_definitions` VALUES (97882, 10836, 18, 'Isso permitirá o uso do relatório personalizado de Fim do Dia e indicará qual relatório usar');
INSERT INTO `lang_definitions` VALUES (97883, 10837, 18, 'Isso permitirá o uso de mensagens de advertência personalizadas nas declarações');
INSERT INTO `lang_definitions` VALUES (97884, 10838, 18, 'Esta será uma \"simulação\" sem atualizações de dados físicos');
INSERT INTO `lang_definitions` VALUES (97885, 10839, 18, 'Isso limpará os dados de todos os campos do exame de segmento anterior');
INSERT INTO `lang_definitions` VALUES (97886, 10840, 18, 'Isso limpará os dados de todos os campos de exames externos');
INSERT INTO `lang_definitions` VALUES (97887, 10841, 18, 'Isso limpará os dados de todos os campos do exame de retina');
INSERT INTO `lang_definitions` VALUES (97888, 10842, 18, 'Isso copiará o código selecionado para a caixa Códigos de diagnóstico no formulário subjacente pop-up Inserir detalhes para item favorito individual personalizado');
INSERT INTO `lang_definitions` VALUES (97889, 10843, 18, 'Isto irá criar um backup no formato tar e depois enviá-lo para seu navegador para que você possa salvá-lo');
INSERT INTO `lang_definitions` VALUES (97890, 10844, 18, 'Isso desativará os recursos de criptografia e descriptografia de documentos e os ocultará na IU');
INSERT INTO `lang_definitions` VALUES (97891, 10845, 18, 'Isso irá desativar o botão Editar em todos os formulários cujo encontro com os pais é assinado por e-mail');
INSERT INTO `lang_definitions` VALUES (97892, 10846, 18, 'Isso desativará o botão Editar em qualquer formulário que tenha assinatura eletrônica');
INSERT INTO `lang_definitions` VALUES (97893, 10847, 18, 'Isso exibirá o número da fatura no relatório de vendas ou o nome e ID do paciente ou nome do paciente e número da fatura');
INSERT INTO `lang_definitions` VALUES (97894, 10849, 18, 'Isso habilitará a criptografia de itens armazenados na unidade');
INSERT INTO `lang_definitions` VALUES (97895, 10850, 18, 'Isso permitirá a assinatura de um encontro inteiro, em vez de formulários individuais');
INSERT INTO `lang_definitions` VALUES (97896, 10851, 18, 'Isso permitirá a assinatura de formulários individuais separadamente');
INSERT INTO `lang_definitions` VALUES (97897, 10852, 18, 'Isso habilitará a capacidade de excluir as declarações do paciente selecionadas da impressão');
INSERT INTO `lang_definitions` VALUES (97898, 10853, 18, 'Isso irá preencher a caixa de texto Título, bem como o código ICD10 na caixa de texto Codificação');
INSERT INTO `lang_definitions` VALUES (97899, 10854, 18, 'Isso forçará o widget de faturamento na tela de resumo do paciente a sempre estar aberto');
INSERT INTO `lang_definitions` VALUES (97900, 10855, 18, 'Isso dará ao usuário a opção de bloquear (bloqueio e assinatura separados)');
INSERT INTO `lang_definitions` VALUES (97901, 10856, 18, 'Isso lhe dará a opção de definir diferentes níveis de preços ao inserir manualmente os códigos CPT');
INSERT INTO `lang_definitions` VALUES (97902, 10857, 18, 'Isso irá ocultar logs de e-sign vazios no relatório do paciente');
INSERT INTO `lang_definitions` VALUES (97903, 10858, 18, 'Isso ocultará o widget de cobrança na tela de resumo do paciente');
INSERT INTO `lang_definitions` VALUES (97904, 10859, 18, 'Isso irá mesclar dois prontuários de pacientes em um. É útil quando um paciente foi duplicado por engano. Se isso acontecer com freqüência, corrija seus procedimentos de escritório - não execute isso rotineiramente!');
INSERT INTO `lang_definitions` VALUES (97905, 10860, 18, 'Isso não o impedirá de ir para o site e-Prescrições');
INSERT INTO `lang_definitions` VALUES (97906, 10861, 18, 'Isso imprimirá o próximo compromisso na parte inferior do livro do paciente');
INSERT INTO `lang_definitions` VALUES (97907, 10862, 18, 'Isso irá exibir novamente a chave secreta por meio do código QR que pode então ser capturado e armazenado no novo Smartphone por meio de seu aplicativo autenticador');
INSERT INTO `lang_definitions` VALUES (97908, 10863, 18, 'Isso registrará uma nova chave USB U2F');
INSERT INTO `lang_definitions` VALUES (97909, 10864, 18, 'Isso irá revelar a seção Registrar chave TOTP para o usuário conectado');
INSERT INTO `lang_definitions` VALUES (97910, 10865, 18, 'Isso mostrará envelhecimento na declaração personalizada');
INSERT INTO `lang_definitions` VALUES (97911, 10866, 18, 'Isso desligará o uso de apóstrofo seguro, que é feito convertendo  \'e \"em`. (É altamente recomendado que esta configuração seja desligada e que apóstrofo seguro \' s sejam usados)');
INSERT INTO `lang_definitions` VALUES (97912, 10867, 18, 'Isso usará a lista de imunizações personalizadas em vez da lista de imunizações CVX padrão');
INSERT INTO `lang_definitions` VALUES (97913, 10868, 18, 'Isso usará a declaração personalizada mostrando a descrição em vez dos códigos');
INSERT INTO `lang_definitions` VALUES (97914, 10869, 18, 'Isso usará a declaração personalizada mostrando a descrição em vez dos códigos');
INSERT INTO `lang_definitions` VALUES (97915, 10870, 18, 'Médico torácico');
INSERT INTO `lang_definitions` VALUES (97916, 10871, 18, 'A coluna torácica');
INSERT INTO `lang_definitions` VALUES (97917, 10872, 18, 'Aqueles com privilégios adequados seriam capazes de excluir a transação');
INSERT INTO `lang_definitions` VALUES (97918, 10873, 18, 'Tu / CU.MM');
INSERT INTO `lang_definitions` VALUES (97919, 10874, 18, 'Três meses atrás');
INSERT INTO `lang_definitions` VALUES (97920, 10875, 18, 'Três meses antes');
INSERT INTO `lang_definitions` VALUES (97921, 10876, 18, 'Três ou quatro dígitos no verso do seu cartão');
INSERT INTO `lang_definitions` VALUES (97922, 10877, 18, 'Emoções');
INSERT INTO `lang_definitions` VALUES (97923, 10878, 18, 'Garganta');
INSERT INTO `lang_definitions` VALUES (97924, 10879, 18, 'Cancro da garganta');
INSERT INTO `lang_definitions` VALUES (97925, 10880, 18, 'Cirurgia de Câncer de Garganta');
INSERT INTO `lang_definitions` VALUES (97926, 10881, 18, 'Trombose / Curso');
INSERT INTO `lang_definitions` VALUES (97927, 10882, 18, 'Qui');
INSERT INTO `lang_definitions` VALUES (97928, 10883, 18, 'Tamanho da miniatura');
INSERT INTO `lang_definitions` VALUES (97929, 10884, 18, 'Quinta');
INSERT INTO `lang_definitions` VALUES (97930, 10885, 18, 'Quinta-feira');
INSERT INTO `lang_definitions` VALUES (97931, 10886, 18, 'Até agora, os testes que podem ser solicitados foram colocados no Nível de Ordem de Procedimento, apenas um teste por vez pode ser colocado neste nível, ao solicitar um painel de testes reconhecido, todo o painel de testes é agrupado como um único teste, por exemplo, Sódio, Potássio, Cloreto e Dióxido de Carbono agrupados como Painel Eletrolítico. Os resultados dos testes individuais retornados no painel são registrados como resultados discretos');
INSERT INTO `lang_definitions` VALUES (97932, 10887, 18, 'Tiróide normal');
INSERT INTO `lang_definitions` VALUES (97933, 10888, 18, 'Problemas do Tiróide');
INSERT INTO `lang_definitions` VALUES (97934, 10889, 18, 'Quinta {{quinta}}');
INSERT INTO `lang_definitions` VALUES (97935, 10890, 18, 'TIA');
INSERT INTO `lang_definitions` VALUES (97936, 10891, 18, 'Padrão Tibetano, Tibetano, Central');
INSERT INTO `lang_definitions` VALUES (97937, 10892, 18, 'TID');
INSERT INTO `lang_definitions` VALUES (97938, 10893, 18, 'Nível');
INSERT INTO `lang_definitions` VALUES (97939, 10894, 18, 'Nível 1 - Grupo - por exemplo Química do Soro');
INSERT INTO `lang_definitions` VALUES (97940, 10895, 18, 'As entradas de Nível 1 devem ser do Grupo de categoria superior');
INSERT INTO `lang_definitions` VALUES (97941, 10896, 18, 'Nível 2 - Grupo (será exibido na coluna de categoria como Subgrupo) - por exemplo, Órgão / Painel de Doenças');
INSERT INTO `lang_definitions` VALUES (97942, 10897, 18, 'Nível 2 - Ordem de procedimento - por exemplo Ácido úrico sérico');
INSERT INTO `lang_definitions` VALUES (97943, 10898, 18, 'Nível 3 - Resultado Discreto - por exemplo Ácido úrico sérico - conterá o valor do resultado retornado e unidades padrão, intervalo padrão etc.');
INSERT INTO `lang_definitions` VALUES (97944, 10899, 18, 'Nível 3 - Ordem de procedimento - por exemplo Painel de eletrólito');
INSERT INTO `lang_definitions` VALUES (97945, 10900, 18, 'Camada 4 - Resultado Discreto - Os nomes de teste reais para manter os resultados retornados Na, K, Cl, CO2 e unidades padrão, intervalo padrão, etc.');
INSERT INTO `lang_definitions` VALUES (97946, 10901, 18, 'Tigrinya');
INSERT INTO `lang_definitions` VALUES (97947, 10902, 18, 'Horário');
INSERT INTO `lang_definitions` VALUES (97948, 10903, 18, 'Formato de exibição de hora');
INSERT INTO `lang_definitions` VALUES (97949, 10904, 18, 'Incremento de tempo para Add (minutos 1-60)');
INSERT INTO `lang_definitions` VALUES (97950, 10905, 18, 'Seleção de tempo');
INSERT INTO `lang_definitions` VALUES (97951, 10906, 18, 'O intervalo de tempo está disponível, salvando evento');
INSERT INTO `lang_definitions` VALUES (97952, 10907, 18, 'O intervalo de tempo está aberto, salvando evento');
INSERT INTO `lang_definitions` VALUES (97953, 10908, 18, 'Fuso horário');
INSERT INTO `lang_definitions` VALUES (97954, 10909, 18, 'Tempo de vida para solicitação de alergias SOAP em segundos');
INSERT INTO `lang_definitions` VALUES (97955, 10910, 18, 'Tempo de vida para solicitação de medicamentos SOAP em segundos');
INSERT INTO `lang_definitions` VALUES (97956, 10911, 18, 'Tempo de vida para solicitação de alergias SOAP NewCrop eRx em segundos');
INSERT INTO `lang_definitions` VALUES (97957, 10912, 18, 'Tempo de vida para solicitação de medicamentos SOAP NewCrop eRx em segundos');
INSERT INTO `lang_definitions` VALUES (97958, 10913, 18, 'Evento Temporário');
INSERT INTO `lang_definitions` VALUES (97959, 10914, 18, 'Matriz Times (N / A)');
INSERT INTO `lang_definitions` VALUES (97960, 10915, 18, 'Timestamp e Texto');
INSERT INTO `lang_definitions` VALUES (97961, 10916, 18, 'Cronometragem');
INSERT INTO `lang_definitions` VALUES (97962, 10917, 18, 'TIN');
INSERT INTO `lang_definitions` VALUES (97963, 10918, 18, 'Zumbido');
INSERT INTO `lang_definitions` VALUES (97964, 10919, 18, 'Dicas');
INSERT INTO `lang_definitions` VALUES (97965, 10920, 18, 'Título');
INSERT INTO `lang_definitions` VALUES (97966, 10921, 18, 'Título - O valor que será exibido - Cada palavra começa com uma letra maiúscula');
INSERT INTO `lang_definitions` VALUES (97967, 10923, 18, 'Título V');
INSERT INTO `lang_definitions` VALUES (97968, 10924, 18, 'TitleCols deve ser um número entre 1 e 999');
INSERT INTO `lang_definitions` VALUES (97969, 10925, 18, 'Títulos');
INSERT INTO `lang_definitions` VALUES (97970, 10926, 18, 'TMs / AEM / EE, ext nariz');
INSERT INTO `lang_definitions` VALUES (97971, 10927, 18, 'TMs');
INSERT INTO `lang_definitions` VALUES (97972, 10928, 18, 'Para');
INSERT INTO `lang_definitions` VALUES (97973, 10929, 18, 'para');
INSERT INTO `lang_definitions` VALUES (97974, 10930, 18, 'TO');
INSERT INTO `lang_definitions` VALUES (97975, 10931, 18, 'para o caminho absoluto do arquivo');
INSERT INTO `lang_definitions` VALUES (97976, 10932, 18, 'Para acessá-lo, clique no item de menu Recall Board na barra de navegação superior ou clique no botão Recall Board no Message Center');
INSERT INTO `lang_definitions` VALUES (97977, 10933, 18, 'Para adicionar um copay, clique no botão \'Adicionar Copay\'');
INSERT INTO `lang_definitions` VALUES (97978, 10934, 18, 'Para adicionar mensagens, por favor clique aqui');
INSERT INTO `lang_definitions` VALUES (97979, 10935, 18, 'Para adicionar mais opções ao menu suspenso, vá para Administração> Listas> Gerenciar listas e selecione \'Nível de preço\' na caixa suspensa e insira os tipos, por exemplo: Cartão de crédito, Dinheiro etc.');
INSERT INTO `lang_definitions` VALUES (97980, 10936, 18, 'Para adicionar notas, por favor clique');
INSERT INTO `lang_definitions` VALUES (97981, 10937, 18, 'Para adicionar notas, por favor clique aqui');
INSERT INTO `lang_definitions` VALUES (97982, 10938, 18, 'A área afetada');
INSERT INTO `lang_definitions` VALUES (97983, 10939, 18, 'a área afetada');
INSERT INTO `lang_definitions` VALUES (97984, 10940, 18, 'Para permitir que cada linha de procedimento tenha um provedor separado, você deve marcar a caixa de seleção \'Provedor de suporte no item de linha na folha de taxas\' em Administração> Globais> Faturamento. Se não for marcado, o provedor de renderização nesta seção será usado para todas as reivindicações');
INSERT INTO `lang_definitions` VALUES (97985, 10941, 18, 'Para autorizar o portal do paciente para o paciente, vá para Painel> Demografia> Editar> Opções e selecione Sim na caixa suspensa Permitir portal do paciente e Salvar');
INSERT INTO `lang_definitions` VALUES (97986, 10942, 18, 'Para abrir automaticamente o formulário especificado. Algumas equipes esportivas usam football_injury_audit aqui');
INSERT INTO `lang_definitions` VALUES (97987, 10943, 18, 'Para poder vincular este problema a um encontro, clique no botão para abrir a página pop-up de Problemas e Encontros');
INSERT INTO `lang_definitions` VALUES (97988, 10944, 18, 'Para Ver Faturamento');
INSERT INTO `lang_definitions` VALUES (97989, 10945, 18, 'a categoria');
INSERT INTO `lang_definitions` VALUES (97990, 10946, 18, 'Para alterar e ativar os parâmetros padrão na Folha de Taxas, vá para Administração> Globais> Faturamento');
INSERT INTO `lang_definitions` VALUES (97991, 10947, 18, 'Ver a Clínica');
INSERT INTO `lang_definitions` VALUES (97992, 10948, 18, 'Para configurar o teste de laboratório, vá para Procedimentos> Configuração');
INSERT INTO `lang_definitions` VALUES (97993, 10949, 18, 'Para copay');
INSERT INTO `lang_definitions` VALUES (97994, 10950, 18, 'Para criar uma nova mensagem, clique no botão Adicionar Novo na parte inferior');
INSERT INTO `lang_definitions` VALUES (97995, 10951, 18, 'Para criar outro painel de testes, você repetirá este processo, mas começará criando uma Ordem de Procedimento ou ramo frutífero Nível 3, por exemplo - painel de Hepatite Aguda no ramo principal ou Subgrupo Órgão / Painel de Doenças (Nível 2)');
INSERT INTO `lang_definitions` VALUES (97996, 10952, 18, 'Até a data deve ser posterior à data De!');
INSERT INTO `lang_definitions` VALUES (97997, 10953, 18, 'Para DED');
INSERT INTO `lang_definitions` VALUES (97998, 10954, 18, 'Para excluir qualquer um ou todos os códigos ICD10 selecionados, clique novamente na caixa Códigos de Diagnóstico para abrir a janela pop-up Selecionar Códigos de Diagnóstico');
INSERT INTO `lang_definitions` VALUES (97999, 10955, 18, 'Para desvincular, basta clicar no item para desvincular e ele será desvinculado e não será mais destacado');
INSERT INTO `lang_definitions` VALUES (98000, 10956, 18, 'Para Dems');
INSERT INTO `lang_definitions` VALUES (98001, 10957, 18, 'Para desativar a verificação automática de mensagens, vá para Administração> Globais> Conectores e defina o intervalo de verificação de mensagens phiMail como 0 (zero)');
INSERT INTO `lang_definitions` VALUES (98002, 10958, 18, 'Para desativar os certificados SSL do lado do cliente, comente acima das linhas no arquivo de configuração do Apache e defina');
INSERT INTO `lang_definitions` VALUES (98003, 10960, 18, 'Para desabilitar HTTPS, comente as linhas acima no arquivo de configuração do Apache e reinicie o servidor Apache');
INSERT INTO `lang_definitions` VALUES (98004, 10961, 18, 'Para exibir o valor do copagamento, ele deve ter sido inserido no seguro do paciente em Editar> Dados demográficos');
INSERT INTO `lang_definitions` VALUES (98005, 10962, 18, 'Para fazer isso, clique no sinal + preto no final da linha de pedido de ácido úrico no soro para abrir o pop-up Inserir detalhes');
INSERT INTO `lang_definitions` VALUES (98006, 10963, 18, 'Para editar um grupo existente (ARO) clique no ícone ao lado do grupo desejado. Isso abrirá a janela de edição');
INSERT INTO `lang_definitions` VALUES (98007, 10964, 18, 'Para ativar qualquer outra forma de conectividade, será necessário escrever um novo código');
INSERT INTO `lang_definitions` VALUES (98008, 10965, 18, 'Para habilitar certificados SSL do lado do cliente');
INSERT INTO `lang_definitions` VALUES (98009, 10966, 18, 'Para ativar a autenticação de certificados SSL do lado do cliente, HTTPS deve ser ativado');
INSERT INTO `lang_definitions` VALUES (98010, 10967, 18, 'Para ativar a ajuda - Vá para Administração> Globais> Recursos> Ativar Modal de Ajuda');
INSERT INTO `lang_definitions` VALUES (98011, 10968, 18, 'Para ativar a ajuda - Vá para o Nome de usuário no canto superior esquerdo> Configurações> Recursos> Ativar Modal de Ajuda');
INSERT INTO `lang_definitions` VALUES (98012, 10969, 18, 'Para habilitar a ajuda - Vá para o Nome de Usuário no canto superior direito> Configurações> Recursos> Habilitar Modal de Ajuda');
INSERT INTO `lang_definitions` VALUES (98013, 10970, 18, 'Para ativar apenas HTTPS, execute as alterações acima e reinicie o servidor Apache. Se você quiser configurar certificados do lado do cliente também, por favor configure-os na próxima seção');
INSERT INTO `lang_definitions` VALUES (98014, 10971, 18, 'Para habilitar o Portal do Paciente, vá para Administração> Portal> Habilitar Portal do Paciente no local na Versão 2, Habilitar Portal do Paciente Externo ou Habilitar Portal CMS');
INSERT INTO `lang_definitions` VALUES (98015, 10972, 18, 'Para Enctr');
INSERT INTO `lang_definitions` VALUES (98016, 10973, 18, 'Para filtrar por sexo');
INSERT INTO `lang_definitions` VALUES (98017, 10974, 18, 'Para cumprir os requisitos de uso significativo e ajudar a rastrear seu uso, você pode marcar a caixa de seleção Resumo de cuidados enviados e a caixa de seleção Resumo de cuidados enviados eletronicamente, se apropriado');
INSERT INTO `lang_definitions` VALUES (98018, 10975, 18, 'Para excluir totalmente, clique em \'Salvar\'');
INSERT INTO `lang_definitions` VALUES (98019, 10976, 18, 'Para começar, você escolhe um dos dois botões de opção. \'Pesquisa de fatura\' ou \'Upload ERA\'');
INSERT INTO `lang_definitions` VALUES (98020, 10977, 18, 'Para ajudar a explorar os vários componentes da página Relatório, especialmente se você quiser usá-la como um manual de instruções, é sugerido que você reduza o tamanho do navegador para cobrir metade da janela de visualização, redimensione o pop-up de ajuda clicando e arrastando a parte inferior canto direito da janela pop-up. Abra outra instância do navegador e redimensione-a para cobrir a outra metade da janela de visualização, faça login no openEMR');
INSERT INTO `lang_definitions` VALUES (98021, 10978, 18, 'Para ajudar a se familiarizar com os vários componentes da página Dashboard, é sugerido que você reduza o tamanho do navegador para cobrir metade da janela de visualização, redimensione o pop-up de ajuda clicando e arrastando a parte inferior canto direito da janela pop-up. Abra outra instância do navegador e redimensione-a para cobrir a outra metade da janela de visualização, faça login no openEMR');
INSERT INTO `lang_definitions` VALUES (98022, 10979, 18, 'Para ajudar a simplificar as implementações, os modelos comumente usados foram harmonizados a partir de guias de implementação de CDA existentes e consolidados em um único guia de implementação - o Guia de Implementação C-CDA (IG) (07/2012)');
INSERT INTO `lang_definitions` VALUES (98023, 10980, 18, 'Acrescentar/Consultar Histórico');
INSERT INTO `lang_definitions` VALUES (98024, 10981, 18, 'Para incluir os documentos digitalizados que fazem parte do registro do paciente, selecione os registros desejados marcando as caixas de seleção relevantes');
INSERT INTO `lang_definitions` VALUES (98025, 10982, 18, 'Para Questões');
INSERT INTO `lang_definitions` VALUES (98026, 10983, 18, 'Para vincular os problemas a um encontro, primeiro selecione o problema, ele será destacado em amarelo, logo clique em um ou mais encontros para vinculá-los, os encontros selecionados serão destacados em roxo');
INSERT INTO `lang_definitions` VALUES (98027, 10984, 18, 'Para vincular este encontro / consulta a um problema existente, clique no');
INSERT INTO `lang_definitions` VALUES (98028, 10985, 18, 'Para vincular este encontro / consulta a um problema existente, clique na edição desejada acima para destacá-lo e, em seguida, clique em [Salvar]. Mantenha pressionada a tecla [Ctrl] para seleccionar várias questões.');
INSERT INTO `lang_definitions` VALUES (98029, 10986, 18, 'Para vincular este encontro / consulta a um problema existente, clique no problema desejado acima para destacá-lo e logo clique em Salvar');
INSERT INTO `lang_definitions` VALUES (98030, 10987, 18, 'Para fazer o login novamente');
INSERT INTO `lang_definitions` VALUES (98031, 10988, 18, 'Para mover os grupos de uma coluna para outra selecione um ou mais itens da coluna que você precisa para removê-los e pressione o botão relevante com as divisas duplas');
INSERT INTO `lang_definitions` VALUES (98032, 10989, 18, 'Para continuar, você precisa de uma chave de segurança USB, uma conexão segura da web HTTPS e um navegador que suporte U2F');
INSERT INTO `lang_definitions` VALUES (98033, 10990, 18, 'Para recapitular, um grupo chamado Química do Soro (Nível 1) foi criado, um descendente direto ou filho chamado Ácido Úrico do Soro (Nível 2) foi criado abaixo dele como uma Ordem de Procedimento que tinha um único descendente direto ou filho também chamado de Ácido Úrico do Soro (Nível 3) como um resultado discreto que conterá o valor do resultado');
INSERT INTO `lang_definitions` VALUES (98034, 10991, 18, 'Para receber notificações de erro do serviço de mensagens diretas, um endereço de e-mail de notificação válido precisa ser inserido para o usuário nomeado em Administração> Globais> Conectores> usuário de notificação phiMail');
INSERT INTO `lang_definitions` VALUES (98035, 10992, 18, 'Para registrar comuncados, clique aqui.');
INSERT INTO `lang_definitions` VALUES (98036, 10993, 18, 'Para registrar, você precisa de um aplicativo autenticador instalado no seu smartphone');
INSERT INTO `lang_definitions` VALUES (98037, 10994, 18, 'Para reenviar, delete o arquivo de Comunicações e tente novamente.');
INSERT INTO `lang_definitions` VALUES (98038, 10995, 18, 'Para reenviar, exclua o arquivo de Comunicações, recarregue esta página e tente novamente');
INSERT INTO `lang_definitions` VALUES (98039, 10996, 18, 'Para revelar os filtros, clique no ícone do olho');
INSERT INTO `lang_definitions` VALUES (98040, 10997, 18, 'executar');
INSERT INTO `lang_definitions` VALUES (98041, 10998, 18, 'Para ver todos os ACOs disponíveis, clique no ícone do olho');
INSERT INTO `lang_definitions` VALUES (98042, 10999, 18, 'Para selecionar um código específico identifique-o nos resultados retornados e clique nele para selecionar');
INSERT INTO `lang_definitions` VALUES (98043, 11000, 18, 'Para selecionar vários grupos, mantenha pressionadas as teclas \'Shift\' ou \'Ctrl\' enquanto clica');
INSERT INTO `lang_definitions` VALUES (98044, 11001, 18, 'Para configurar o acesso https com o certificado de autenticação do cliente, faça o seguinte');
INSERT INTO `lang_definitions` VALUES (98045, 11002, 18, 'Para a Pele');
INSERT INTO `lang_definitions` VALUES (98046, 11003, 18, 'para a pele');
INSERT INTO `lang_definitions` VALUES (98047, 11004, 18, 'Para resumir');
INSERT INTO `lang_definitions` VALUES (98048, 11005, 18, 'a esta visita?');
INSERT INTO `lang_definitions` VALUES (98049, 11006, 18, 'Para carregar o documento CCR de um paciente já existente, use a Tela de resumo do paciente-> Documentos. Para o documento CCR de um novo paciente, use a tela Miscellanous-> New Documents');
INSERT INTO `lang_definitions` VALUES (98050, 11007, 18, 'Para usar a página de ajuda como um manual de instruções, é sugerido que você reduza o tamanho do navegador para cobrir metade da janela de visualização, redimensione o pop-up de ajuda clicando e arrastando o canto inferior direito do pop-up. Abra outra instância do navegador e redimensione-a para cobrir a outra metade da janela de visualização, faça login no openEMR');
INSERT INTO `lang_definitions` VALUES (98051, 11008, 18, 'Para usar este arquivo de ajuda como um manual de instruções é melhor redimensionar seu navegador para ocupar metade da tela, abrir outra instância do navegador para preencher a outra metade da tela, fazer o login para openEMR e abrir o arquivo de ajuda neste navegador e redimensionar clicando e arrastando o canto inferior direito para que ocupae toda a metade da tela');
INSERT INTO `lang_definitions` VALUES (98052, 11009, 18, 'Para usar este arquivo de ajuda como um manual de instruções, é sugerido que você reduza o tamanho do navegador para cobrir metade da janela de visualização, redimensione o pop-up de ajuda clicando e arrastando o canto inferior direito do pop-up. Abra outra instância do navegador e redimensione-a para cobrir a outra metade da janela de visualização, faça login no openEMR');
INSERT INTO `lang_definitions` VALUES (98053, 11010, 18, 'Para:');
INSERT INTO `lang_definitions` VALUES (98054, 11011, 18, 'Para:');
INSERT INTO `lang_definitions` VALUES (98055, 11012, 18, 'To_city');
INSERT INTO `lang_definitions` VALUES (98056, 11013, 18, 'TO_FAX');
INSERT INTO `lang_definitions` VALUES (98057, 11014, 18, 'TO_FNAME');
INSERT INTO `lang_definitions` VALUES (98058, 11015, 18, 'TO_LNAME');
INSERT INTO `lang_definitions` VALUES (98059, 11016, 18, 'TO_MNAME');
INSERT INTO `lang_definitions` VALUES (98060, 11017, 18, 'TO_ORGANIZATION');
INSERT INTO `lang_definitions` VALUES (98061, 11018, 18, 'TO_PHONE');
INSERT INTO `lang_definitions` VALUES (98062, 11019, 18, 'TO_PHONECELL');
INSERT INTO `lang_definitions` VALUES (98063, 11020, 18, 'TO_POSTAL');
INSERT INTO `lang_definitions` VALUES (98064, 11021, 18, 'TO_STATE');
INSERT INTO `lang_definitions` VALUES (98065, 11022, 18, 'TO_STREET');
INSERT INTO `lang_definitions` VALUES (98066, 11023, 18, 'TO_TITLE');
INSERT INTO `lang_definitions` VALUES (98067, 11024, 18, 'TO_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (98068, 11025, 18, 'Tabaco');
INSERT INTO `lang_definitions` VALUES (98069, 11026, 18, 'Intervenção para cessação do tabaco');
INSERT INTO `lang_definitions` VALUES (98070, 11027, 18, 'Intervenção para cessação do tabaco (CQM)');
INSERT INTO `lang_definitions` VALUES (98071, 11028, 18, 'O uso do tabaco');
INSERT INTO `lang_definitions` VALUES (98072, 11029, 18, 'Uso do tabaco');
INSERT INTO `lang_definitions` VALUES (98073, 11030, 18, 'Avaliação do uso do tabaco');
INSERT INTO `lang_definitions` VALUES (98074, 11031, 18, 'Avaliação do uso do tabaco (CQM)');
INSERT INTO `lang_definitions` VALUES (98075, 11032, 18, 'Hoje');
INSERT INTO `lang_definitions` VALUES (98076, 11033, 18, 'HOJE');
INSERT INTO `lang_definitions` VALUES (98077, 11034, 18, 'hoje');
INSERT INTO `lang_definitions` VALUES (98078, 11035, 18, 'Saldo de Hoje');
INSERT INTO `lang_definitions` VALUES (98079, 11036, 18, 'Cobranças de hoje');
INSERT INTO `lang_definitions` VALUES (98080, 11037, 18, 'Data de Hoje');
INSERT INTO `lang_definitions` VALUES (98081, 11038, 18, 'Eventos de Hoje');
INSERT INTO `lang_definitions` VALUES (98082, 11039, 18, 'Alternancia');
INSERT INTO `lang_definitions` VALUES (98083, 11040, 18, 'Alternar tudo');
INSERT INTO `lang_definitions` VALUES (98084, 11041, 18, 'Alternar de navegação');
INSERT INTO `lang_definitions` VALUES (98085, 11042, 18, 'Alternar o painel do paciente');
INSERT INTO `lang_definitions` VALUES (98086, 11043, 18, 'Alternar o painel PMSFH do lado direito');
INSERT INTO `lang_definitions` VALUES (98087, 11044, 18, 'ID do token para o Medical Information Integration, LLC Lab Exchange Service');
INSERT INTO `lang_definitions` VALUES (98088, 11045, 18, 'Token ID para o OpenEMR Support LLC Lab Exchange Service');
INSERT INTO `lang_definitions` VALUES (98089, 11046, 18, 'Tonga (Ilhas Tonga)');
INSERT INTO `lang_definitions` VALUES (98090, 11047, 18, 'Amigdalectomia');
INSERT INTO `lang_definitions` VALUES (98091, 11048, 18, 'tonsilectomia');
INSERT INTO `lang_definitions` VALUES (98092, 11049, 18, 'Dicas de ferramentas');
INSERT INTO `lang_definitions` VALUES (98093, 11050, 18, 'Sup.');
INSERT INTO `lang_definitions` VALUES (98094, 11051, 18, 'Top Group');
INSERT INTO `lang_definitions` VALUES (98095, 11052, 18, 'Margem superior (mm)');
INSERT INTO `lang_definitions` VALUES (98096, 11053, 18, 'Tópico');
INSERT INTO `lang_definitions` VALUES (98097, 11054, 18, 'Consultas');
INSERT INTO `lang_definitions` VALUES (98098, 11055, 18, 'total');
INSERT INTO `lang_definitions` VALUES (98099, 11056, 18, 'Total de ações ativas');
INSERT INTO `lang_definitions` VALUES (98100, 11057, 18, 'Total de lembretes ativos após atualização');
INSERT INTO `lang_definitions` VALUES (98101, 11058, 18, 'Total de lembretes ativos antes da atualização');
INSERT INTO `lang_definitions` VALUES (98102, 11059, 18, 'Total Adj');
INSERT INTO `lang_definitions` VALUES (98103, 11060, 18, 'Valor total devido');
INSERT INTO `lang_definitions` VALUES (98104, 11061, 18, 'Valor Total Pago');
INSERT INTO `lang_definitions` VALUES (98105, 11062, 18, 'Saldo Total');
INSERT INTO `lang_definitions` VALUES (98106, 11063, 18, 'Custo Total');
INSERT INTO `lang_definitions` VALUES (98107, 11064, 18, 'Total de despesas');
INSERT INTO `lang_definitions` VALUES (98108, 11065, 18, 'Total de pacientes');
INSERT INTO `lang_definitions` VALUES (98109, 11066, 18, 'Total Co-Pay');
INSERT INTO `lang_definitions` VALUES (98110, 11067, 18, 'Custo total');
INSERT INTO `lang_definitions` VALUES (98111, 11068, 18, 'A distribuição total para o seguinte número de cheque não está completa');
INSERT INTO `lang_definitions` VALUES (98112, 11069, 18, 'Registros Totais');
INSERT INTO `lang_definitions` VALUES (98113, 11070, 18, 'Total de lembretes com falha enviados por e-mail');
INSERT INTO `lang_definitions` VALUES (98114, 11071, 18, 'Total de lembretes com falha enviados por telefone');
INSERT INTO `lang_definitions` VALUES (98115, 11072, 18, 'Total de');
INSERT INTO `lang_definitions` VALUES (98116, 11073, 18, 'Total de');
INSERT INTO `lang_definitions` VALUES (98117, 11074, 18, 'Total por categoria');
INSERT INTO `lang_definitions` VALUES (98118, 11075, 18, 'Total de lembretes inativados');
INSERT INTO `lang_definitions` VALUES (98119, 11076, 18, 'Quantidade total mínima de declaração para permitir a impressão');
INSERT INTO `lang_definitions` VALUES (98120, 11077, 18, 'Valor mínimo total em dólares do extrato para permitir a impressão. (Aplicável apenas se Permitir exclusões de extrato da impressão estiver ativado)');
INSERT INTO `lang_definitions` VALUES (98121, 11078, 18, 'Total de novos lembretes');
INSERT INTO `lang_definitions` VALUES (98122, 11079, 18, 'Número total de compromissos');
INSERT INTO `lang_definitions` VALUES (98123, 11080, 18, 'Número total de entradas do Drug Screen');
INSERT INTO `lang_definitions` VALUES (98124, 11081, 18, 'Número total de imunizações');
INSERT INTO `lang_definitions` VALUES (98125, 11082, 18, 'Número Total de Problemas');
INSERT INTO `lang_definitions` VALUES (98126, 11083, 18, 'Número total de entradas do Quadro de Fluxo de Pacientes');
INSERT INTO `lang_definitions` VALUES (98127, 11084, 18, 'Número total de pacientes');
INSERT INTO `lang_definitions` VALUES (98128, 11086, 18, 'Total de páginas');
INSERT INTO `lang_definitions` VALUES (98129, 11087, 18, 'Balanço Total do Paciente');
INSERT INTO `lang_definitions` VALUES (98130, 11088, 18, 'Pacientes totais');
INSERT INTO `lang_definitions` VALUES (98131, 11089, 18, 'Pacientes Totais');
INSERT INTO `lang_definitions` VALUES (98132, 11090, 18, 'Total Payments');
INSERT INTO `lang_definitions` VALUES (98133, 11091, 18, 'Registros Totais');
INSERT INTO `lang_definitions` VALUES (98134, 11092, 18, 'registros totais');
INSERT INTO `lang_definitions` VALUES (98135, 11093, 18, 'Total de registros encontrados');
INSERT INTO `lang_definitions` VALUES (98136, 11094, 18, 'Tamanho total');
INSERT INTO `lang_definitions` VALUES (98137, 11095, 18, 'Total SRH & Planeamento Familiar');
INSERT INTO `lang_definitions` VALUES (98138, 11096, 18, 'Total de lembretes de sucesso enviados por e-mail');
INSERT INTO `lang_definitions` VALUES (98139, 11097, 18, 'Total de lembretes de sucesso enviados por telefone');
INSERT INTO `lang_definitions` VALUES (98140, 11098, 18, 'Tempo total');
INSERT INTO `lang_definitions` VALUES (98141, 11099, 18, 'Total de transferências');
INSERT INTO `lang_definitions` VALUES (98142, 11100, 18, 'Total de lembretes inalterados');
INSERT INTO `lang_definitions` VALUES (98143, 11101, 18, 'Total de lembretes não enviados após o processo de envio');
INSERT INTO `lang_definitions` VALUES (98144, 11102, 18, 'Total de lembretes não enviados após atualização');
INSERT INTO `lang_definitions` VALUES (98145, 11103, 18, 'Total de lembretes não enviados antes do processo de envio');
INSERT INTO `lang_definitions` VALUES (98146, 11104, 18, 'Total de lembretes não enviados antes da atualização');
INSERT INTO `lang_definitions` VALUES (98147, 11105, 18, 'Total de lembretes atualizados');
INSERT INTO `lang_definitions` VALUES (98148, 11106, 18, 'Totais');
INSERT INTO `lang_definitions` VALUES (98149, 11107, 18, 'Total para');
INSERT INTO `lang_definitions` VALUES (98150, 11108, 18, 'Total para');
INSERT INTO `lang_definitions` VALUES (98151, 11109, 18, 'Apenas Totais');
INSERT INTO `lang_definitions` VALUES (98152, 11110, 18, 'TOTP');
INSERT INTO `lang_definitions` VALUES (98153, 11111, 18, 'TOTP - Contras');
INSERT INTO `lang_definitions` VALUES (98154, 11112, 18, 'TOTP - Prós');
INSERT INTO `lang_definitions` VALUES (98155, 11113, 18, 'TOTP - senha única baseada em tempo');
INSERT INTO `lang_definitions` VALUES (98156, 11114, 18, 'Chave TOTP');
INSERT INTO `lang_definitions` VALUES (98157, 11115, 18, 'Método TOTP já existe e está habilitado. Tente novamente');
INSERT INTO `lang_definitions` VALUES (98158, 11116, 18, 'Registro TOTP');
INSERT INTO `lang_definitions` VALUES (98159, 11117, 18, 'Verificação de TOTP');
INSERT INTO `lang_definitions` VALUES (98160, 11123, 18, 'para {{intervalo}}');
INSERT INTO `lang_definitions` VALUES (98161, 11124, 18, 'para {{intervalo}}');
INSERT INTO `lang_definitions` VALUES (98162, 11125, 18, 'Tpn {{abreviatura Tonopen}}');
INSERT INTO `lang_definitions` VALUES (98163, 11126, 18, 'TP {{tonopen}}');
INSERT INTO `lang_definitions` VALUES (98164, 11127, 18, 'tr');
INSERT INTO `lang_definitions` VALUES (98165, 11128, 18, 'rastreamento');
INSERT INTO `lang_definitions` VALUES (98166, 11129, 18, 'Relatório de rastreamento');
INSERT INTO `lang_definitions` VALUES (98167, 11130, 18, 'rastreamentos');
INSERT INTO `lang_definitions` VALUES (98168, 11131, 18, 'Rastreamentos - se o recurso Qualquer coisa estiver habilitado, ele exibirá uma lista de valores que podem ser rastreados e representados graficamente');
INSERT INTO `lang_definitions` VALUES (98169, 11132, 18, 'Trem');
INSERT INTO `lang_definitions` VALUES (98170, 11133, 18, 'Treinador');
INSERT INTO `lang_definitions` VALUES (98171, 11134, 18, 'Treinamento');
INSERT INTO `lang_definitions` VALUES (98172, 11135, 18, 'Tipo de Formação');
INSERT INTO `lang_definitions` VALUES (98173, 11136, 18, 'Transact');
INSERT INTO `lang_definitions` VALUES (98174, 11137, 18, 'Transação');
INSERT INTO `lang_definitions` VALUES (98175, 11138, 18, 'transação');
INSERT INTO `lang_definitions` VALUES (98176, 11139, 18, 'A transação falhou, quantidade insuficiente no lote de destino');
INSERT INTO `lang_definitions` VALUES (98177, 11140, 18, 'Encaminhamento falhou, a quantidade é menor que zero');
INSERT INTO `lang_definitions` VALUES (98178, 11141, 18, 'Id de transação');
INSERT INTO `lang_definitions` VALUES (98179, 11142, 18, 'Tipo de Encaminhamento');
INSERT INTO `lang_definitions` VALUES (98180, 11143, 18, 'Encaminhamentos');
INSERT INTO `lang_definitions` VALUES (98181, 11144, 18, 'encaminhamentos');
INSERT INTO `lang_definitions` VALUES (98182, 11145, 18, 'Transações (escrever opcional)');
INSERT INTO `lang_definitions` VALUES (98183, 11146, 18, 'Transações (escrever opcional) (transações)');
INSERT INTO `lang_definitions` VALUES (98184, 11147, 18, 'Transações - lista várias notas sobre acontecimentos no prontuário de um paciente com relação ao faturamento, legal, solicitação do paciente, solicitação do médico e também gera uma referência ou contra-referência do paciente');
INSERT INTO `lang_definitions` VALUES (98185, 11148, 18, 'As transações são para eventos ou informações não necessariamente vinculadas a uma visita ou encontro específico');
INSERT INTO `lang_definitions` VALUES (98186, 11149, 18, 'As transações fornecem um mecanismo para vincular uma atividade ao paciente que não é baseada em encontros');
INSERT INTO `lang_definitions` VALUES (98187, 11150, 18, 'Transações, por exemplo referências (escrever opcional) (trans)');
INSERT INTO `lang_definitions` VALUES (98188, 11151, 18, 'Transações / Registo');
INSERT INTO `lang_definitions` VALUES (98189, 11152, 18, 'Transdermal');
INSERT INTO `lang_definitions` VALUES (98190, 11153, 18, 'Transferência');
INSERT INTO `lang_definitions` VALUES (98191, 11154, 18, 'data da Transferência');
INSERT INTO `lang_definitions` VALUES (98192, 11155, 18, 'A transferência falhou, quantidade insuficiente no lote de origem');
INSERT INTO `lang_definitions` VALUES (98193, 11156, 18, 'Resumo da transferência');
INSERT INTO `lang_definitions` VALUES (98194, 11157, 18, 'Transferido para');
INSERT INTO `lang_definitions` VALUES (98195, 11158, 18, 'Transferido por');
INSERT INTO `lang_definitions` VALUES (98196, 11159, 18, 'Data de Transferência');
INSERT INTO `lang_definitions` VALUES (98197, 11160, 18, 'Transferências');
INSERT INTO `lang_definitions` VALUES (98198, 11161, 18, 'Transição de Cuidado');
INSERT INTO `lang_definitions` VALUES (98199, 11162, 18, 'Transição/Tranferência de acompanhamento?');
INSERT INTO `lang_definitions` VALUES (98200, 11163, 18, 'Traduzir grupos de controle de acesso');
INSERT INTO `lang_definitions` VALUES (98201, 11164, 18, 'Traduzir categorias de compromissos');
INSERT INTO `lang_definitions` VALUES (98202, 11165, 18, 'Traduzir categorias de documentos');
INSERT INTO `lang_definitions` VALUES (98203, 11166, 18, 'Traduzir layouts');
INSERT INTO `lang_definitions` VALUES (98204, 11167, 18, 'Traduzir listas');
INSERT INTO `lang_definitions` VALUES (98205, 11168, 18, 'Traduzir títulos de anotações do paciente');
INSERT INTO `lang_definitions` VALUES (98206, 11169, 18, 'traduzir este');
INSERT INTO `lang_definitions` VALUES (98207, 11170, 18, 'Tradução');
INSERT INTO `lang_definitions` VALUES (98208, 11171, 18, 'Traduções');
INSERT INTO `lang_definitions` VALUES (98209, 11172, 18, 'Transmitir');
INSERT INTO `lang_definitions` VALUES (98210, 11173, 18, 'Transmitir - transmitir com segurança o CCD usando phiMail Direct Messaging');
INSERT INTO `lang_definitions` VALUES (98211, 11174, 18, 'Transmitir - transmitir com segurança o CCR usando phiMail Direct Messaging');
INSERT INTO `lang_definitions` VALUES (98212, 11175, 18, 'Falha na transmissão');
INSERT INTO `lang_definitions` VALUES (98213, 11176, 18, 'Transmitir Ordem');
INSERT INTO `lang_definitions` VALUES (98214, 11177, 18, 'Transmitir pedidos selecionados');
INSERT INTO `lang_definitions` VALUES (98215, 11178, 18, 'Lixo');
INSERT INTO `lang_definitions` VALUES (98216, 11179, 18, 'Trauma');
INSERT INTO `lang_definitions` VALUES (98217, 11180, 18, 'Tratamento');
INSERT INTO `lang_definitions` VALUES (98218, 11181, 18, 'Status de conclusão do tratamento');
INSERT INTO `lang_definitions` VALUES (98219, 11182, 18, 'Tratamento Gols');
INSERT INTO `lang_definitions` VALUES (98220, 11183, 18, 'Plano de Tratamento');
INSERT INTO `lang_definitions` VALUES (98221, 11184, 18, 'Planejamento de Tratamento');
INSERT INTO `lang_definitions` VALUES (98222, 11185, 18, 'Tratamento Recebido');
INSERT INTO `lang_definitions` VALUES (98223, 11186, 18, 'Tratamento:');
INSERT INTO `lang_definitions` VALUES (98224, 11187, 18, 'Tratamento:');
INSERT INTO `lang_definitions` VALUES (98225, 11188, 18, 'Árvore');
INSERT INTO `lang_definitions` VALUES (98226, 11189, 18, 'Tendência');
INSERT INTO `lang_definitions` VALUES (98227, 11190, 18, 'trftime ($ month_format, mktime (0, 0, 0, $ i, 1, 2000))); $ month_value');
INSERT INTO `lang_definitions` VALUES (98228, 11191, 18, 'Instalação independente Tribal 638');
INSERT INTO `lang_definitions` VALUES (98229, 11192, 18, 'Instalação baseada em provedor Tribal 638');
INSERT INTO `lang_definitions` VALUES (98230, 11193, 18, 'Trifocal');
INSERT INTO `lang_definitions` VALUES (98231, 11194, 18, 'Trifocais');
INSERT INTO `lang_definitions` VALUES (98232, 11195, 18, 'Trigger Point / síndrome de compartimento / DOM / grampo');
INSERT INTO `lang_definitions` VALUES (98233, 11196, 18, 'Trimalleolar');
INSERT INTO `lang_definitions` VALUES (98234, 11197, 18, 'Tropic 2.5%');
INSERT INTO `lang_definitions` VALUES (98235, 11199, 18, 'Tronco e abdome');
INSERT INTO `lang_definitions` VALUES (98236, 11200, 18, 'Endereço de e-mail direto confiável');
INSERT INTO `lang_definitions` VALUES (98237, 11201, 18, 'Email confiável');
INSERT INTO `lang_definitions` VALUES (98238, 11202, 18, 'Tentando');
INSERT INTO `lang_definitions` VALUES (98239, 11203, 18, 'Tentando criar usuário com nome de usuário existente!');
INSERT INTO `lang_definitions` VALUES (98240, 11204, 18, 'Tsonga');
INSERT INTO `lang_definitions` VALUES (98241, 11205, 18, 'Colher(es) de chá');
INSERT INTO `lang_definitions` VALUES (98242, 11206, 18, 'Tswana');
INSERT INTO `lang_definitions` VALUES (98243, 11207, 18, 'TTS');
INSERT INTO `lang_definitions` VALUES (98244, 11208, 18, 'Tuberculose');
INSERT INTO `lang_definitions` VALUES (98245, 11209, 18, 'Ter');
INSERT INTO `lang_definitions` VALUES (98246, 11210, 18, 'Ter & Qui');
INSERT INTO `lang_definitions` VALUES (98247, 11211, 18, 'Terça-feira');
INSERT INTO `lang_definitions` VALUES (98248, 11212, 18, 'Tumor');
INSERT INTO `lang_definitions` VALUES (98249, 11213, 18, 'Turco');
INSERT INTO `lang_definitions` VALUES (98250, 11214, 18, 'Turcomano');
INSERT INTO `lang_definitions` VALUES (98251, 11215, 18, 'Desligue cálculos automáticos de ajustes em EOB');
INSERT INTO `lang_definitions` VALUES (98252, 11216, 18, 'Desligue o alerta de aniversário');
INSERT INTO `lang_definitions` VALUES (98253, 11218, 18, 'Ative para mostrar todo o histórico de pagamento no Livro de Pacientes');
INSERT INTO `lang_definitions` VALUES (98254, 11219, 18, 'Ativar / desativar as dicas de ferramentas');
INSERT INTO `lang_definitions` VALUES (98255, 11220, 18, 'Tu {{terça}}');
INSERT INTO `lang_definitions` VALUES (98256, 11221, 18, 'Twi');
INSERT INTO `lang_definitions` VALUES (98257, 11222, 18, 'duas vezes por dia');
INSERT INTO `lang_definitions` VALUES (98258, 11223, 18, 'Dois anos atrás');
INSERT INTO `lang_definitions` VALUES (98259, 11224, 18, 'Dois anos adiante');
INSERT INTO `lang_definitions` VALUES (98260, 11225, 18, 'Data Tx');
INSERT INTO `lang_definitions` VALUES (98261, 11226, 18, 'Via Auricular');
INSERT INTO `lang_definitions` VALUES (98262, 11227, 18, 'Tipo');
INSERT INTO `lang_definitions` VALUES (98263, 11228, 18, 'Digite uma breve mensagem e clique em Enviar Mensagem');
INSERT INTO `lang_definitions` VALUES (98264, 11229, 18, 'Digite um nome para a chave na caixa de texto');
INSERT INTO `lang_definitions` VALUES (98265, 11230, 18, 'Digite um nome para sua chave, insira-a em uma porta USB e clique no botão Registrar abaixo');
INSERT INTO `lang_definitions` VALUES (98266, 11231, 18, 'Digite a Id ou o Nome com no mínimo 3 caracteres (incluindo espaços)');
INSERT INTO `lang_definitions` VALUES (98267, 11232, 18, 'Digite no painel de eletrólito como o nome');
INSERT INTO `lang_definitions` VALUES (98268, 11233, 18, 'Digite na localização do diretório ou pasta em que os pedidos criados (mensagens HL7) serão armazenados');
INSERT INTO `lang_definitions` VALUES (98269, 11234, 18, 'Digite na localização do diretório ou pasta em que os resultados retornados (mensagens HL7) serão armazenados');
INSERT INTO `lang_definitions` VALUES (98270, 11235, 18, 'Digite na URL da unidade externa para a qual o pedido será enviado, isso será fornecido pela unidade');
INSERT INTO `lang_definitions` VALUES (98271, 11236, 18, 'Digite o nome de usuário e senha fornecidos pela instalação');
INSERT INTO `lang_definitions` VALUES (98272, 11238, 18, 'Tipo de colunas exibidas para os resultados da pesquisa do paciente');
INSERT INTO `lang_definitions` VALUES (98273, 11239, 18, 'Tipo de comunidado');
INSERT INTO `lang_definitions` VALUES (98274, 11240, 18, 'Tipo de Eventos');
INSERT INTO `lang_definitions` VALUES (98275, 11241, 18, 'Tipo de grupo');
INSERT INTO `lang_definitions` VALUES (98276, 11242, 18, 'Tipo de layout da tela');
INSERT INTO `lang_definitions` VALUES (98277, 11243, 18, 'Tipo de digitalização ou o identificador do paciente aqui');
INSERT INTO `lang_definitions` VALUES (98278, 11244, 18, 'Digite Sódio em Nome e o resultado de Sódio na descrição');
INSERT INTO `lang_definitions` VALUES (98279, 11245, 18, 'Digite a mensagem e clique em Enviar Mensagem');
INSERT INTO `lang_definitions` VALUES (98280, 11246, 18, 'Digite o nome da droga na caixa de texto Pesquisa de drogas');
INSERT INTO `lang_definitions` VALUES (98281, 11247, 18, 'Digite para pesquisar e selecionar o código de receita');
INSERT INTO `lang_definitions` VALUES (98282, 11248, 18, 'Digite Sua mensagem aqui');
INSERT INTO `lang_definitions` VALUES (98283, 11249, 18, 'Tipos de pedidos e resultados');
INSERT INTO `lang_definitions` VALUES (98284, 11250, 18, 'T {{abreviatura de uma letra para tensão / pressão}}');
INSERT INTO `lang_definitions` VALUES (98285, 11251, 18, 'T {{quinta}}');
INSERT INTO `lang_definitions` VALUES (98286, 11252, 18, 'T {{terça}}');
INSERT INTO `lang_definitions` VALUES (98287, 11253, 18, 'U2F');
INSERT INTO `lang_definitions` VALUES (98288, 11254, 18, 'U2F - Contras');
INSERT INTO `lang_definitions` VALUES (98289, 11255, 18, 'U2F - Pros');
INSERT INTO `lang_definitions` VALUES (98290, 11256, 18, 'Dispositivos U2F são relativamente caros');
INSERT INTO `lang_definitions` VALUES (98291, 11257, 18, 'Erro de autenticação de chave U2F');
INSERT INTO `lang_definitions` VALUES (98292, 11258, 18, 'Verificação de chave U2F');
INSERT INTO `lang_definitions` VALUES (98293, 11259, 18, 'Registro U2F');
INSERT INTO `lang_definitions` VALUES (98294, 11260, 18, 'Dispositivo USB U2F');
INSERT INTO `lang_definitions` VALUES (98295, 11261, 18, 'Custo');
INSERT INTO `lang_definitions` VALUES (98296, 11262, 18, 'Total');
INSERT INTO `lang_definitions` VALUES (98297, 11263, 18, 'FORMATOUB04');
INSERT INTO `lang_definitions` VALUES (98298, 11264, 18, 'FORMATO PDF UB04');
INSERT INTO `lang_definitions` VALUES (98299, 11265, 18, 'UB04 margem esquerda em pontos');
INSERT INTO `lang_definitions` VALUES (98300, 11266, 18, 'Margens UB04');
INSERT INTO `lang_definitions` VALUES (98301, 11267, 18, 'Margens Esquerdas UB04');
INSERT INTO `lang_definitions` VALUES (98302, 11268, 18, 'TEXTO PDF UB04');
INSERT INTO `lang_definitions` VALUES (98303, 11269, 18, 'Margem superior UB04 em pontos');
INSERT INTO `lang_definitions` VALUES (98304, 11270, 18, 'UCSMC códigos fornecidos pela Universidade de Calgary Centro de Medicina Esportiva');
INSERT INTO `lang_definitions` VALUES (98305, 11271, 18, 'Ucraniana');
INSERT INTO `lang_definitions` VALUES (98306, 11272, 18, 'Ulcerações');
INSERT INTO `lang_definitions` VALUES (98307, 11273, 18, 'Colite ulcerosa');
INSERT INTO `lang_definitions` VALUES (98308, 11274, 18, 'Úlceras:');
INSERT INTO `lang_definitions` VALUES (98309, 11275, 18, 'Não é possível inserir informações de versão no banco de dados');
INSERT INTO `lang_definitions` VALUES (98310, 11276, 18, 'Incapaz de acessar o diretório');
INSERT INTO `lang_definitions` VALUES (98311, 11277, 18, 'Incapaz de acessar o URL');
INSERT INTO `lang_definitions` VALUES (98312, 11278, 18, 'Incapaz de criar');
INSERT INTO `lang_definitions` VALUES (98313, 11279, 18, 'Incapaz de criar subdiretório do documento do paciente');
INSERT INTO `lang_definitions` VALUES (98314, 11280, 18, 'Não é possível descriptografar esses comentários, pois a descriptografia falhou');
INSERT INTO `lang_definitions` VALUES (98315, 11281, 18, 'Incapaz de decifrar estes comentários porque o módulo PHP mcrypt não está instalado');
INSERT INTO `lang_definitions` VALUES (98316, 11282, 18, 'Incapaz de decifrar estes comentários porque o módulo PHP openssl não está instalado');
INSERT INTO `lang_definitions` VALUES (98317, 11283, 18, 'Incapaz de criar credenciais ou enviar e-mail');
INSERT INTO `lang_definitions` VALUES (98318, 11284, 18, 'Incapaz de encontrar a janela para construir');
INSERT INTO `lang_definitions` VALUES (98319, 11286, 18, 'Incapaz de encontrar seus registros. Certifique-se de usar seu Dob, nome e sobrenome corretos e e-mail de registro. Se você optou por não receber e-mail sem nenhum arquivo, então deixe em branco');
INSERT INTO `lang_definitions` VALUES (98320, 11287, 18, 'Incapaz de localizar os dados neste arquivo');
INSERT INTO `lang_definitions` VALUES (98321, 11288, 18, 'Incapaz de combinar este pagamento em ar_activity');
INSERT INTO `lang_definitions` VALUES (98322, 11289, 18, 'Não foi possível modificar a configuração do aplicativo. Por favor, dê permissão de escrita para');
INSERT INTO `lang_definitions` VALUES (98323, 11290, 18, 'Não foi possível salvar o arquivo: use o botão Voltar!');
INSERT INTO `lang_definitions` VALUES (98324, 11291, 18, 'Não aplicado');
INSERT INTO `lang_definitions` VALUES (98325, 11292, 18, 'Selecione');
INSERT INTO `lang_definitions` VALUES (98326, 11293, 18, 'Não autorizado');
INSERT INTO `lang_definitions` VALUES (98327, 11294, 18, 'Acesso não autorizado a ePrescription');
INSERT INTO `lang_definitions` VALUES (98328, 11295, 18, 'O acesso não autorizado.');
INSERT INTO `lang_definitions` VALUES (98329, 11296, 18, 'Não Faturado');
INSERT INTO `lang_definitions` VALUES (98330, 11297, 18, 'Apenas Não Faturado');
INSERT INTO `lang_definitions` VALUES (98331, 11298, 18, 'Sem categoria');
INSERT INTO `lang_definitions` VALUES (98332, 11299, 18, 'Tio');
INSERT INTO `lang_definitions` VALUES (98333, 11300, 18, 'debaixo da língua');
INSERT INTO `lang_definitions` VALUES (98334, 11301, 18, 'Embaixo dele estarão algumas drogas comuns');
INSERT INTO `lang_definitions` VALUES (98335, 11302, 18, 'Embaixo dele estarão alguns problemas comuns');
INSERT INTO `lang_definitions` VALUES (98336, 11303, 18, 'Debaixo de');
INSERT INTO `lang_definitions` VALUES (98337, 11304, 18, 'Undiagnosed');
INSERT INTO `lang_definitions` VALUES (98338, 11305, 18, 'Não distribuído');
INSERT INTO `lang_definitions` VALUES (98339, 11306, 18, 'NÃO DISTRIBUÍDO');
INSERT INTO `lang_definitions` VALUES (98340, 11307, 18, 'Não distribuído é');
INSERT INTO `lang_definitions` VALUES (98341, 11308, 18, 'Desfazer');
INSERT INTO `lang_definitions` VALUES (98342, 11309, 18, 'Undo Checkout');
INSERT INTO `lang_definitions` VALUES (98343, 11310, 18, 'Não correspondência inesperada, criando novo paciente para o segmento');
INSERT INTO `lang_definitions` VALUES (98344, 11311, 18, 'Pacientes Únicos');
INSERT INTO `lang_definitions` VALUES (98345, 11312, 18, 'Identificador único legível por humanos para este tipo');
INSERT INTO `lang_definitions` VALUES (98346, 11315, 18, 'Pacientes Únicos Novos');
INSERT INTO `lang_definitions` VALUES (98347, 11316, 18, 'Identificador numérico único para este tipo');
INSERT INTO `lang_definitions` VALUES (98348, 11317, 18, 'Única atividade Pacientes');
INSERT INTO `lang_definitions` VALUES (98349, 11318, 18, 'Única atividade pacientes relatam');
INSERT INTO `lang_definitions` VALUES (98350, 11319, 18, 'Unique SP');
INSERT INTO `lang_definitions` VALUES (98351, 11320, 18, 'Unidade');
INSERT INTO `lang_definitions` VALUES (98352, 11321, 18, 'Unidades');
INSERT INTO `lang_definitions` VALUES (98353, 11322, 18, 'unidades');
INSERT INTO `lang_definitions` VALUES (98354, 11323, 18, 'Unidades aplicáveis ao valor do resultado');
INSERT INTO `lang_definitions` VALUES (98355, 11324, 18, 'Formulários de unidades para visita');
INSERT INTO `lang_definitions` VALUES (98356, 11325, 18, 'Unidades deve ser um número');
INSERT INTO `lang_definitions` VALUES (98357, 11326, 18, 'Unidades não definidas');
INSERT INTO `lang_definitions` VALUES (98358, 11327, 18, 'Unidades / L');
INSERT INTO `lang_definitions` VALUES (98359, 11328, 18, 'Desconhecido');
INSERT INTO `lang_definitions` VALUES (98360, 11329, 18, 'desconhecido (ver log)');
INSERT INTO `lang_definitions` VALUES (98361, 11330, 18, 'Erro desconhecido');
INSERT INTO `lang_definitions` VALUES (98362, 11331, 18, 'Não se sabe se fumou alguma vez');
INSERT INTO `lang_definitions` VALUES (98363, 11332, 18, 'Desconhecido ou N / A');
INSERT INTO `lang_definitions` VALUES (98364, 11334, 18, 'Erro de transação desconhecido, talvez datas efetivas do assinante ou DOB');
INSERT INTO `lang_definitions` VALUES (98365, 11335, 18, 'ID de usuário desconhecido:');
INSERT INTO `lang_definitions` VALUES (98366, 11336, 18, 'Versão desconhecida');
INSERT INTO `lang_definitions` VALUES (98367, 11338, 18, 'Ao contrário de uma mensagem enviada em Mensagens, o lembrete datado não faz parte do registro médico');
INSERT INTO `lang_definitions` VALUES (98368, 11339, 18, 'Ao contrário de solicitar um painel reconhecido como um único teste e, portanto, ter todos os testes de componentes realizados, esses três testes serão apresentados como três testes individuais');
INSERT INTO `lang_definitions` VALUES (98369, 11340, 18, 'Ao contrário dos grupos regulares criados anteriormente, cada grupo de favoritos personalizados tem um código de identificação que deve ser exclusivo. Como este é nosso grupo personalizado e não um painel reconhecido por laboratório, forneceremos a ele nosso código de identificação único arbitrário - CFGWWT001');
INSERT INTO `lang_definitions` VALUES (98370, 11341, 18, 'Ao contrário do pedido de procedimento regular, uma caixa de códigos de diagnóstico está presente, permitindo que você insira um ou mais códigos de diagnóstico ICD10 como diagnósticos padrão para este pedido');
INSERT INTO `lang_definitions` VALUES (98371, 11342, 18, 'Ao contrário dos grupos principais regulares criados até agora, a coluna Código terá um valor CFGWWT001');
INSERT INTO `lang_definitions` VALUES (98372, 11343, 18, 'Ao contrário do TOTP, onde não há comunicação entre o aplicativo e o dispositivo tendo o aplicativo autenticador cada vez que a chave USB é conectada, o aplicativo se comunica com a chave USB por meio do navegador');
INSERT INTO `lang_definitions` VALUES (98373, 11344, 18, 'desvincular paciente');
INSERT INTO `lang_definitions` VALUES (98374, 11345, 18, 'Companhia de seguros Unnamed');
INSERT INTO `lang_definitions` VALUES (98375, 11346, 18, 'Unregistered');
INSERT INTO `lang_definitions` VALUES (98376, 11347, 18, 'Módulos não registrados');
INSERT INTO `lang_definitions` VALUES (98377, 11348, 18, 'Amigo não relacionado');
INSERT INTO `lang_definitions` VALUES (98378, 11349, 18, 'Desmarcar Todos');
INSERT INTO `lang_definitions` VALUES (98379, 11350, 18, 'Não Selecionado');
INSERT INTO `lang_definitions` VALUES (98380, 11351, 18, 'Não especificado');
INSERT INTO `lang_definitions` VALUES (98381, 11352, 18, 'Não estruturado');
INSERT INTO `lang_definitions` VALUES (98382, 11353, 18, 'Documentos Não Estruturados - 2010');
INSERT INTO `lang_definitions` VALUES (98383, 11354, 18, 'Arquivo de carregamento de banco de dados NÃO SUPORTADO');
INSERT INTO `lang_definitions` VALUES (98384, 11355, 18, 'Tipo de resultado MDM OBX não compatível');
INSERT INTO `lang_definitions` VALUES (98385, 11356, 18, 'até');
INSERT INTO `lang_definitions` VALUES (98386, 11357, 18, 'até a data');
INSERT INTO `lang_definitions` VALUES (98387, 11358, 18, 'Até então, você continuará a ver os detalhes de pagamento aqui');
INSERT INTO `lang_definitions` VALUES (98388, 11359, 18, 'Prematura de arquivamento');
INSERT INTO `lang_definitions` VALUES (98389, 11360, 18, 'Não Usado');
INSERT INTO `lang_definitions` VALUES (98390, 11361, 18, 'UOR');
INSERT INTO `lang_definitions` VALUES (98391, 11362, 18, 'Até');
INSERT INTO `lang_definitions` VALUES (98392, 11363, 18, 'PRÓXIMOS');
INSERT INTO `lang_definitions` VALUES (98393, 11364, 18, 'Próximos Eventos');
INSERT INTO `lang_definitions` VALUES (98394, 11365, 18, 'Próximos Eventos');
INSERT INTO `lang_definitions` VALUES (98395, 11366, 18, 'Atualizar');
INSERT INTO `lang_definitions` VALUES (98396, 11367, 18, 'atualizar');
INSERT INTO `lang_definitions` VALUES (98397, 11368, 18, 'Atualização ativa');
INSERT INTO `lang_definitions` VALUES (98398, 11369, 18, 'Update by');
INSERT INTO `lang_definitions` VALUES (98399, 11371, 18, 'Os arquivos de atualização');
INSERT INTO `lang_definitions` VALUES (98400, 11372, 18, 'Update Info');
INSERT INTO `lang_definitions` VALUES (98401, 11373, 18, 'Atualizar as informações quando o paciente vai para outro provedor, para apoiar a segurança, qualidade e continuidade do atendimento ao paciente');
INSERT INTO `lang_definitions` VALUES (98402, 11374, 18, 'Lista de atualização');
INSERT INTO `lang_definitions` VALUES (98403, 11376, 18, 'Atualizar o número da polícia da ERA');
INSERT INTO `lang_definitions` VALUES (98404, 11377, 18, 'Atualizar o número do provedor');
INSERT INTO `lang_definitions` VALUES (98405, 11378, 18, 'Atualizar itens selecionados');
INSERT INTO `lang_definitions` VALUES (98406, 11379, 18, 'Atualizar o status');
INSERT INTO `lang_definitions` VALUES (98407, 11380, 18, 'Atualize o gráfico para ativar o construtor');
INSERT INTO `lang_definitions` VALUES (98408, 11381, 18, 'Atualize o gráfico para construir esta lista');
INSERT INTO `lang_definitions` VALUES (98409, 11383, 18, 'Atualize as seguintes variáveis no arquivo');
INSERT INTO `lang_definitions` VALUES (98410, 11384, 18, 'Atualizar informações do usuário');
INSERT INTO `lang_definitions` VALUES (98411, 11385, 18, 'Atualizado por');
INSERT INTO `lang_definitions` VALUES (98412, 11386, 18, 'Os campos atualizados serão roxos');
INSERT INTO `lang_definitions` VALUES (98413, 11387, 18, 'Atualizado!');
INSERT INTO `lang_definitions` VALUES (98414, 11390, 18, 'Atualizando a informações não está autorizada.');
INSERT INTO `lang_definitions` VALUES (98415, 11391, 18, 'Atualizando padrões de configuração globais');
INSERT INTO `lang_definitions` VALUES (98416, 11392, 18, 'Atualizando indicadores de versão');
INSERT INTO `lang_definitions` VALUES (98417, 11393, 18, 'MELHORIA');
INSERT INTO `lang_definitions` VALUES (98418, 11394, 18, 'Melhoria');
INSERT INTO `lang_definitions` VALUES (98419, 11396, 18, 'Atualizar banco de dados');
INSERT INTO `lang_definitions` VALUES (98420, 11398, 18, 'Atualiza o banco de dados OpenEMR para incluir procedimentos, funções e tabelas necessárias para o processo de desidentificação');
INSERT INTO `lang_definitions` VALUES (98421, 11399, 18, 'A atualização vai continuar');
INSERT INTO `lang_definitions` VALUES (98422, 11400, 18, 'CPF');
INSERT INTO `lang_definitions` VALUES (98423, 11401, 18, 'Upload');
INSERT INTO `lang_definitions` VALUES (98424, 11402, 18, 'Carregar / Salvar');
INSERT INTO `lang_definitions` VALUES (98425, 11403, 18, 'Carregar um modelo');
INSERT INTO `lang_definitions` VALUES (98426, 11404, 18, 'Fazer upload e aplicar');
INSERT INTO `lang_definitions` VALUES (98427, 11405, 18, 'Upload e instalação');
INSERT INTO `lang_definitions` VALUES (98428, 11406, 18, 'Upload de dados de configuração');
INSERT INTO `lang_definitions` VALUES (98429, 11407, 18, 'Carregar Documento');
INSERT INTO `lang_definitions` VALUES (98430, 11408, 18, 'Upload falhou!');
INSERT INTO `lang_definitions` VALUES (98431, 11410, 18, 'Enviar imagem para');
INSERT INTO `lang_definitions` VALUES (98432, 11411, 18, 'Arquivo de importação de Upload:');
INSERT INTO `lang_definitions` VALUES (98433, 11412, 18, 'Carregar item');
INSERT INTO `lang_definitions` VALUES (98434, 11413, 18, 'Carregar PDF de Educação do Paciente para');
INSERT INTO `lang_definitions` VALUES (98435, 11414, 18, 'Upload processado com sucesso');
INSERT INTO `lang_definitions` VALUES (98436, 11415, 18, 'Upload Relatório');
INSERT INTO `lang_definitions` VALUES (98437, 11416, 18, 'Carregar modelo para');
INSERT INTO `lang_definitions` VALUES (98438, 11417, 18, 'Faça upload do arquivo xml na categoria CCR');
INSERT INTO `lang_definitions` VALUES (98439, 11418, 18, 'Carregar arquivo isto:');
INSERT INTO `lang_definitions` VALUES (98440, 11420, 18, 'Após uma pesquisa bem-sucedida, você verá uma lista de faturas. Você pode clicar em um dos números da fatura para abrir uma segunda janela, que é a página de entrada de dados para postagem manual. Você também pode clicar no nome de um paciente se quiser inserir uma nota que a equipe da recepção verá quando o paciente fizer check-in, e você pode selecionar faturas para aparecer nos extratos dos pacientes e imprimir esses extratos');
INSERT INTO `lang_definitions` VALUES (98441, 11421, 18, 'Ao clicar em um número da factura a \"\"janela de lançamento manual \"\" aparece. Aqui você pode mudar a data de vencimento e as notas para a factura, selecione o partido para o qual você está postando, e selecione os seguros para a qual todos os paymants esperados foram recebidos. Mais importante ainda, para cada código de faturamento para as quais foi cobrada uma quantia, você pode inserir informações de pagamento e de ajustamento.');
INSERT INTO `lang_definitions` VALUES (98442, 11422, 18, 'Ao clicar em um número de fatura, a \'janela de lançamento manual\' aparece. Aqui você pode alterar a data de vencimento e as notas da fatura, selecionar a parte para a qual está lançando e selecionar os seguros para os quais todos os pagamentos esperados foram recebidos. Mais importante ainda, para cada código de faturamento pelo qual um valor foi cobrado, você pode inserir informações de pagamento e ajuste');
INSERT INTO `lang_definitions` VALUES (98443, 11423, 18, 'Ao entrar na página, existem dois botões visíveis abaixo da barra de navegação');
INSERT INTO `lang_definitions` VALUES (98444, 11424, 18, 'Ao fazer login no openEMR, um pequeno ícone de envelope fica visível no canto superior direito. Mostra o número de mensagens pendentes e lembretes datados');
INSERT INTO `lang_definitions` VALUES (98445, 11425, 18, 'Ao atingir um ponto predeterminado, seja uma data ou valor, a regra irá disparar um ou mais eventos');
INSERT INTO `lang_definitions` VALUES (98446, 11426, 18, 'Após a pesquisa que você é apresentado com uma lista de faturas. Você pode clicar em um dos números de factura para abrir uma segunda janela, que é a página de entrada de dados para lançamento manual. Você também pode clicar no nome do paciente, se você deseja inserir uma nota que o pessoal do escritório da frente vai ver quando as verificações no paciente, e você pode selecionar as facturas para aparecer em declarações paciente e imprimir essas declarações.');
INSERT INTO `lang_definitions` VALUES (98447, 11427, 18, 'Ao selecionar uma lista para editar a página de edição com os valores da lista serão exibidos');
INSERT INTO `lang_definitions` VALUES (98448, 11428, 18, 'Após o registro bem-sucedido, você será levado a página de destino Gerenciar autenticação multifator');
INSERT INTO `lang_definitions` VALUES (98449, 11429, 18, 'Braço');
INSERT INTO `lang_definitions` VALUES (98450, 11430, 18, 'Pálpebras superiores');
INSERT INTO `lang_definitions` VALUES (98451, 11431, 18, 'urdu');
INSERT INTO `lang_definitions` VALUES (98452, 11432, 18, 'Urgência');
INSERT INTO `lang_definitions` VALUES (98453, 11433, 18, 'Cuidados urgentes');
INSERT INTO `lang_definitions` VALUES (98454, 11434, 18, 'Centro de atendimento de urgência');
INSERT INTO `lang_definitions` VALUES (98455, 11436, 18, 'Urina');
INSERT INTO `lang_definitions` VALUES (98456, 11437, 18, 'Urina Dribbling');
INSERT INTO `lang_definitions` VALUES (98457, 11438, 18, 'Urina de Freqüência');
INSERT INTO `lang_definitions` VALUES (98458, 11439, 18, 'Urina Hesitação');
INSERT INTO `lang_definitions` VALUES (98459, 11440, 18, 'Microalbumina urinária');
INSERT INTO `lang_definitions` VALUES (98460, 11441, 18, 'Urina Stream');
INSERT INTO `lang_definitions` VALUES (98461, 11442, 18, 'Urina Urgência');
INSERT INTO `lang_definitions` VALUES (98462, 11443, 18, 'URL');
INSERT INTO `lang_definitions` VALUES (98463, 11444, 18, 'URL para endereço do site NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (98464, 11445, 18, 'URL para suporte OpenEMR');
INSERT INTO `lang_definitions` VALUES (98465, 11446, 18, 'URL para gateway de telefone');
INSERT INTO `lang_definitions` VALUES (98466, 11447, 18, 'URL para gateway de telefone. Serviço VOIP automatizado fornecido pela Maviq. Por favor, visite http://signup.maviq.com para obter mais informações');
INSERT INTO `lang_definitions` VALUES (98467, 11448, 18, 'URL para o site WordPress que suporta o portal');
INSERT INTO `lang_definitions` VALUES (98468, 11449, 18, 'URLs para o endereço de serviço NewCrop eRx, separados por ponto e vírgula');
INSERT INTO `lang_definitions` VALUES (98469, 11450, 18, 'EUA');
INSERT INTO `lang_definitions` VALUES (98470, 11451, 18, 'Uso');
INSERT INTO `lang_definitions` VALUES (98471, 11452, 18, 'Uso - é necessário apenas se você estiver enviando um pedido eletrônico para uma instalação externa');
INSERT INTO `lang_definitions` VALUES (98472, 11453, 18, 'Indicador de uso (ISA15)');
INSERT INTO `lang_definitions` VALUES (98473, 11454, 18, 'Dicas de uso');
INSERT INTO `lang_definitions` VALUES (98474, 11455, 18, 'Os tokens baseados em USB são usados para autenticação U2F de 2º fator universal e, como estão conectados a um computador, não precisam de baterias');
INSERT INTO `lang_definitions` VALUES (98475, 11456, 18, 'Use% sozinho em um campo para classificar apenas nessa coluna');
INSERT INTO `lang_definitions` VALUES (98476, 11457, 18, 'Use 24 formato de hora a hora?');
INSERT INTO `lang_definitions` VALUES (98477, 11458, 18, 'Use um modelo pdf do módulo zend');
INSERT INTO `lang_definitions` VALUES (98478, 11459, 18, 'Use uma palavra única para identificar este grupo, deve ser uma única palavra, se usar duas palavras vinculá-los com um sublinhado ou hífen');
INSERT INTO `lang_definitions` VALUES (98479, 11460, 18, 'Use Active Directory');
INSERT INTO `lang_definitions` VALUES (98480, 11461, 18, 'Use um modelo html do módulo zend');
INSERT INTO `lang_definitions` VALUES (98481, 11462, 18, 'Use etiquetas Avery');
INSERT INTO `lang_definitions` VALUES (98482, 11463, 18, 'Use sangue ou soro como tipo de amostra');
INSERT INTO `lang_definitions` VALUES (98483, 11464, 18, 'Use tecnologia EHR certificada para identificar recursos de educação específicos do paciente e fornecer esses recursos ao paciente, se apropriado (Novo)');
INSERT INTO `lang_definitions` VALUES (98484, 11465, 18, 'Use tecnologia EHR certificada para identificar recursos de educação específicos do paciente e fornecer esses recursos ao paciente, se apropriado');
INSERT INTO `lang_definitions` VALUES (98485, 11466, 18, 'Use o painel de cobranças');
INSERT INTO `lang_definitions` VALUES (98486, 11467, 18, 'Use CPOE para pedidos de medicamentos inseridos diretamente por qualquer profissional de saúde licenciado quem pode inserir pedidos no prontuário médico de acordo com as diretrizes estaduais, locais e profissionais');
INSERT INTO `lang_definitions` VALUES (98487, 11468, 18, 'Use CPOE para pedidos de medicamentos');
INSERT INTO `lang_definitions` VALUES (98488, 11469, 18, 'Use CPOE para pedidos de medicamentos. (Alternativa)');
INSERT INTO `lang_definitions` VALUES (98489, 11470, 18, 'Use CPOE para pedidos de procedimento');
INSERT INTO `lang_definitions` VALUES (98490, 11471, 18, 'Use CPOE para pedidos de radiologia');
INSERT INTO `lang_definitions` VALUES (98491, 11472, 18, 'Use mensagens de advertência personalizadas');
INSERT INTO `lang_definitions` VALUES (98492, 11473, 18, 'Usar relatório personalizado de fim de dia');
INSERT INTO `lang_definitions` VALUES (98493, 11474, 18, 'Use Lista de Imunização Personalizada');
INSERT INTO `lang_definitions` VALUES (98494, 11475, 18, 'Use declaração personalizada');
INSERT INTO `lang_definitions` VALUES (98495, 11476, 18, 'Intervalo de Dados');
INSERT INTO `lang_definitions` VALUES (98496, 11477, 18, 'Usar Padrões');
INSERT INTO `lang_definitions` VALUES (98497, 11478, 18, 'Use a opção Excluir para remover');
INSERT INTO `lang_definitions` VALUES (98498, 11479, 18, 'Use estilo de data internacional?');
INSERT INTO `lang_definitions` VALUES (98499, 11481, 18, 'Use o Portal Dashboard para confirmar com o paciente');
INSERT INTO `lang_definitions` VALUES (98500, 11482, 18, 'Use protocolo de servidores e host em urls (portal interno apenas)');
INSERT INTO `lang_definitions` VALUES (98501, 11483, 18, 'Use o nome do arquivo fonte');
INSERT INTO `lang_definitions` VALUES (98502, 11485, 18, 'Use a folha de taxas para cobrar por serviços ou produtos');
INSERT INTO `lang_definitions` VALUES (98503, 11486, 18, 'Use os campos abaixo para uma compra ou transferência');
INSERT INTO `lang_definitions` VALUES (98504, 11487, 18, 'Use o arquivo de ajuda nessa página para obter mais ajuda');
INSERT INTO `lang_definitions` VALUES (98505, 11488, 18, 'Use as versões mais recentes dos seguintes navegadores modernos - Chrome, Firefox, Safari, Edge e Opera');
INSERT INTO `lang_definitions` VALUES (98506, 11489, 18, 'Use a caixa suspensa Selecionar usuário para selecionar o (s) usuário (s) para quem a mensagem será enviada');
INSERT INTO `lang_definitions` VALUES (98507, 11490, 18, 'Use este recurso apenas com sites recém-instalado,');
INSERT INTO `lang_definitions` VALUES (98508, 11492, 18, 'Use esta seção para excluir grupos existentes ou objetos de solicitação de acesso (AROs)');
INSERT INTO `lang_definitions` VALUES (98509, 11493, 18, 'Use tópicos?');
INSERT INTO `lang_definitions` VALUES (98510, 11495, 18, 'Usado para inserir informações que pertencem a esta reclamação em particular, a fim de facilitar o processamento e envio desta reclamação');
INSERT INTO `lang_definitions` VALUES (98511, 11496, 18, 'Usuário');
INSERT INTO `lang_definitions` VALUES (98512, 11497, 18, 'usuário');
INSERT INTO `lang_definitions` VALUES (98513, 11498, 18, 'Usuário / Grupos');
INSERT INTO `lang_definitions` VALUES (98514, 11499, 18, 'Administração de Usuários');
INSERT INTO `lang_definitions` VALUES (98515, 11500, 18, 'Usuário de Clínica e Administração');
INSERT INTO `lang_definitions` VALUES (98516, 11501, 18, 'Usuário e Grupo de Administração');
INSERT INTO `lang_definitions` VALUES (98517, 11502, 18, 'O usuário não pode ser excluído');
INSERT INTO `lang_definitions` VALUES (98518, 11503, 18, 'A autenticação do certificado do usuário está desativada');
INSERT INTO `lang_definitions` VALUES (98519, 11505, 18, 'Modo de depuração do usuário');
INSERT INTO `lang_definitions` VALUES (98520, 11506, 18, 'Opções de depuração do usuário');
INSERT INTO `lang_definitions` VALUES (98521, 11507, 18, 'Filiação');
INSERT INTO `lang_definitions` VALUES (98522, 11508, 18, 'Definido pelo usuário Área 11');
INSERT INTO `lang_definitions` VALUES (98523, 11509, 18, 'Definido pelo usuário Area 12');
INSERT INTO `lang_definitions` VALUES (98524, 11510, 18, 'Campo definido pelo usuário');
INSERT INTO `lang_definitions` VALUES (98525, 11511, 18, 'Manual de lista definida 1');
INSERT INTO `lang_definitions` VALUES (98526, 11512, 18, 'Manual de lista definida 2');
INSERT INTO `lang_definitions` VALUES (98527, 11513, 18, 'Manual de lista definida 3');
INSERT INTO `lang_definitions` VALUES (98528, 11514, 18, 'Manual de lista definida 4');
INSERT INTO `lang_definitions` VALUES (98529, 11515, 18, 'Manual de lista definida 5');
INSERT INTO `lang_definitions` VALUES (98530, 11516, 18, 'Manual de lista definida 6');
INSERT INTO `lang_definitions` VALUES (98531, 11517, 18, 'Manual de lista definida 7');
INSERT INTO `lang_definitions` VALUES (98532, 11518, 18, 'Texto Definido pelo Usuário 1');
INSERT INTO `lang_definitions` VALUES (98533, 11519, 18, 'Texto Definido pelo Usuário 2');
INSERT INTO `lang_definitions` VALUES (98534, 11520, 18, 'Texto Definido pelo Usuário 3');
INSERT INTO `lang_definitions` VALUES (98535, 11521, 18, 'Texto Definido pelo Usuário 4');
INSERT INTO `lang_definitions` VALUES (98536, 11522, 18, 'Texto Definido pelo Usuário 5');
INSERT INTO `lang_definitions` VALUES (98537, 11523, 18, 'Texto Definido pelo Usuário 6');
INSERT INTO `lang_definitions` VALUES (98538, 11524, 18, 'Texto Definido pelo Usuário 7');
INSERT INTO `lang_definitions` VALUES (98539, 11525, 18, 'Texto Definido pelo Usuário 8');
INSERT INTO `lang_definitions` VALUES (98540, 11526, 18, 'User First name');
INSERT INTO `lang_definitions` VALUES (98541, 11527, 18, 'ID do usuário');
INSERT INTO `lang_definitions` VALUES (98542, 11528, 18, 'ID do usuário');
INSERT INTO `lang_definitions` VALUES (98543, 11529, 18, 'O usuário deve ter este controle de acesso para Alertas Ativos e Alertas Passivos');
INSERT INTO `lang_definitions` VALUES (98544, 11530, 18, 'Logon do usuário (Se 03 acima, senão deixe espaços) (ISA02)');
INSERT INTO `lang_definitions` VALUES (98545, 11531, 18, 'Indicador de logon do usuário necessário (ISA01 ~ use 00 ou 03)');
INSERT INTO `lang_definitions` VALUES (98546, 11532, 18, 'Manual do Usuário');
INSERT INTO `lang_definitions` VALUES (98547, 11533, 18, 'Associações de');
INSERT INTO `lang_definitions` VALUES (98548, 11534, 18, 'Nome do usuário');
INSERT INTO `lang_definitions` VALUES (98549, 11536, 18, 'O nome do usuário ou nome do host não pode estar vazio');
INSERT INTO `lang_definitions` VALUES (98550, 11537, 18, 'Nome de usuário ou host');
INSERT INTO `lang_definitions` VALUES (98551, 11538, 18, 'Senha do usuário');
INSERT INTO `lang_definitions` VALUES (98552, 11539, 18, 'Senha do usuário (ISA04 ~ se 01 acima, caso contrário, deixe espaços)');
INSERT INTO `lang_definitions` VALUES (98553, 11540, 18, 'Indicador de senha de usuário necessária (ISA03 ~ use 00 ou 01)');
INSERT INTO `lang_definitions` VALUES (98554, 11541, 18, 'Configurações do Usuário');
INSERT INTO `lang_definitions` VALUES (98555, 11542, 18, 'Assinatura do usuário');
INSERT INTO `lang_definitions` VALUES (98556, 11543, 18, 'Configuração específica do usuário');
INSERT INTO `lang_definitions` VALUES (98557, 11544, 18, 'Nova senha do usuário');
INSERT INTO `lang_definitions` VALUES (98558, 11545, 18, 'Lista de usuário 1');
INSERT INTO `lang_definitions` VALUES (98559, 11546, 18, 'Lista de usuário 2');
INSERT INTO `lang_definitions` VALUES (98560, 11547, 18, 'Lista de usuário 3');
INSERT INTO `lang_definitions` VALUES (98561, 11548, 18, 'Lista de usuário 4');
INSERT INTO `lang_definitions` VALUES (98562, 11549, 18, 'Lista de usuário 5');
INSERT INTO `lang_definitions` VALUES (98563, 11550, 18, 'Lista de usuário 6');
INSERT INTO `lang_definitions` VALUES (98564, 11551, 18, 'Lista de usuário 7');
INSERT INTO `lang_definitions` VALUES (98565, 11552, 18, 'nome do usuário');
INSERT INTO `lang_definitions` VALUES (98566, 11553, 18, 'Nome de Usuário');
INSERT INTO `lang_definitions` VALUES (98567, 11554, 18, 'Nome de usuário para gateway de telefone');
INSERT INTO `lang_definitions` VALUES (98568, 11555, 18, 'Nome de usuário para gateway de telefone. Serviço VOIP automatizado fornecido pela Maviq. Por favor, visite http://signup.maviq.com para obter mais informações');
INSERT INTO `lang_definitions` VALUES (98569, 11556, 18, 'Nome de usuário para o SMS Gateway');
INSERT INTO `lang_definitions` VALUES (98570, 11557, 18, 'Nome de usuário para SMS Gateway');
INSERT INTO `lang_definitions` VALUES (98571, 11558, 18, 'Nome de usuário para conectar ao CouchDB');
INSERT INTO `lang_definitions` VALUES (98572, 11559, 18, 'Nome de usuário:');
INSERT INTO `lang_definitions` VALUES (98573, 11560, 18, 'Usuários');
INSERT INTO `lang_definitions` VALUES (98574, 11561, 18, 'Usuários é o CN padrão do Windows, substitua o material DC pelo seu domínio');
INSERT INTO `lang_definitions` VALUES (98575, 11562, 18, 'Os usuários podem deixá-lo conectado o tempo todo, negando assim sua função no 2FA');
INSERT INTO `lang_definitions` VALUES (98576, 11563, 18, 'Os usuários com os privilégios apropriados podem editar esses itens clicando no botão Editar');
INSERT INTO `lang_definitions` VALUES (98577, 11564, 18, 'Usuários / Grupos / Logs Administração');
INSERT INTO `lang_definitions` VALUES (98578, 11565, 18, 'Administração de usuários / grupos / registros (usuários)');
INSERT INTO `lang_definitions` VALUES (98579, 11566, 18, 'Texto do usuário 1');
INSERT INTO `lang_definitions` VALUES (98580, 11567, 18, 'Texto do usuário 2');
INSERT INTO `lang_definitions` VALUES (98581, 11568, 18, 'Texto do usuário 3');
INSERT INTO `lang_definitions` VALUES (98582, 11569, 18, 'Texto do usuário 4');
INSERT INTO `lang_definitions` VALUES (98583, 11570, 18, 'Texto do usuário 5');
INSERT INTO `lang_definitions` VALUES (98584, 11571, 18, 'Texto do usuário 6');
INSERT INTO `lang_definitions` VALUES (98585, 11572, 18, 'Texto do usuário 7');
INSERT INTO `lang_definitions` VALUES (98586, 11573, 18, 'Texto do usuário 8');
INSERT INTO `lang_definitions` VALUES (98587, 11574, 18, 'usa <a php href=\"\"http://php.net/strftime\"\"> strftime </ a> formato');
INSERT INTO `lang_definitions` VALUES (98588, 11575, 18, 'Usando 2FA');
INSERT INTO `lang_definitions` VALUES (98589, 11576, 18, 'Usar uma árvore frutífera como uma analogia mais fácil de visualizar explicará melhor o conceito desta hierarquia, o tronco da árvore é o Grupo (Química do Soro), o ramo frutífero é a ordem real, Ordem do Procedimento (Ácido Úrico no Soro) e o fruta é o resultado, Resultado Discreto, também chamado de (Ácido Úrico no Soro) que conterá o valor do resultado retornado. Assim como a fruta não é carregada no tronco principal, você não deve colocar um Resultado Discreto como um descendente direto ou filho de um Grupo Superior. Da mesma forma, o ramo frutífero (Ordem de Procedimento) não pode ser colocado como um descendente direto ou filho de uma fruta (Resultado Discreto)');
INSERT INTO `lang_definitions` VALUES (98590, 11577, 18, 'Usando tecnologia para melhorar a produtividade');
INSERT INTO `lang_definitions` VALUES (98591, 11578, 18, 'Usando os detalhes inseridos no sistema openEMR irá gerar mensagens HL7 v2.3 válidas em 3 formatos, um arquivo de texto que é baixado automaticamente para a pasta de downloads do seu navegador, uma mensagem HL7 que é gravada em uma pasta ou diretório no servidor em execução openEMR ou use SFTP - Protocolo de transferência segura de arquivos, que é um protocolo de rede que fornece acesso, transferência e gerenciamento de arquivos em uma conexão segura e transfere esta mensagem para um laboratório');
INSERT INTO `lang_definitions` VALUES (98592, 11579, 18, 'Usando a folha de taxas');
INSERT INTO `lang_definitions` VALUES (98593, 11580, 18, 'Usar os cabeçalhos principais da ficha de laboratório ajudará a iniciar este processo - Painéis de órgãos / doenças, hematologia, testes individuais, microbiologia, outros');
INSERT INTO `lang_definitions` VALUES (98594, 11581, 18, 'Usando esta analogia com a árvore frutífera, podemos obter uma melhor compreensão das etapas necessárias para criar um pedido para um painel de testes');
INSERT INTO `lang_definitions` VALUES (98595, 11583, 18, 'UTIs');
INSERT INTO `lang_definitions` VALUES (98596, 11584, 18, 'Uigur, Uigur');
INSERT INTO `lang_definitions` VALUES (98597, 11585, 18, 'Uzbeque');
INSERT INTO `lang_definitions` VALUES (98598, 11588, 18, 'FÉRIAS');
INSERT INTO `lang_definitions` VALUES (98599, 11589, 18, 'Férias');
INSERT INTO `lang_definitions` VALUES (98600, 11590, 18, 'Vacina');
INSERT INTO `lang_definitions` VALUES (98601, 11591, 18, 'Categoria de elegibilidade do programa de financiamento de vacinas');
INSERT INTO `lang_definitions` VALUES (98602, 11592, 18, 'Tipo de Vacina');
INSERT INTO `lang_definitions` VALUES (98603, 11593, 18, 'Anel Vaginal');
INSERT INTO `lang_definitions` VALUES (98604, 11594, 18, 'Despedida');
INSERT INTO `lang_definitions` VALUES (98605, 11595, 18, 'Validar');
INSERT INTO `lang_definitions` VALUES (98606, 11596, 18, 'Validar');
INSERT INTO `lang_definitions` VALUES (98607, 11599, 18, 'Validar Log');
INSERT INTO `lang_definitions` VALUES (98608, 11602, 18, 'Validando');
INSERT INTO `lang_definitions` VALUES (98609, 11604, 18, 'Erro de validação: corrigir e reenviar');
INSERT INTO `lang_definitions` VALUES (98610, 11605, 18, 'Erro de validação: corrija e reenvie. Os valores de pagamento são preservados!');
INSERT INTO `lang_definitions` VALUES (98611, 11606, 18, 'Erro de validação: corrija e reenvie. Esta informação popup é preservada!');
INSERT INTO `lang_definitions` VALUES (98612, 11607, 18, 'Mecanismo de validação para modificar os dados demográficos do paciente');
INSERT INTO `lang_definitions` VALUES (98613, 11608, 18, 'Regra de validação');
INSERT INTO `lang_definitions` VALUES (98614, 11609, 18, 'Valor');
INSERT INTO `lang_definitions` VALUES (98615, 11610, 18, 'Valor 1');
INSERT INTO `lang_definitions` VALUES (98616, 11611, 18, 'Valor 2');
INSERT INTO `lang_definitions` VALUES (98617, 11612, 18, 'Valor se comparar');
INSERT INTO `lang_definitions` VALUES (98618, 11613, 18, 'O valor deve ser numérico');
INSERT INTO `lang_definitions` VALUES (98619, 11614, 18, 'Var1');
INSERT INTO `lang_definitions` VALUES (98620, 11615, 18, 'Var2');
INSERT INTO `lang_definitions` VALUES (98621, 11616, 18, 'variável para um para executar o script de atualização de desidentificação');
INSERT INTO `lang_definitions` VALUES (98622, 11617, 18, 'Variação na discriminação da cor vermelha entre os olhos (por exemplo, OD = 100, OS = 75)');
INSERT INTO `lang_definitions` VALUES (98623, 11618, 18, 'Variação na discriminação do brilho da luz branca (muscular) entre os olhos (por exemplo, OD = $ 1,00, OS = $ 0,75)');
INSERT INTO `lang_definitions` VALUES (98624, 11619, 18, 'Varicela 1');
INSERT INTO `lang_definitions` VALUES (98625, 11620, 18, 'Varicela 2');
INSERT INTO `lang_definitions` VALUES (98626, 11621, 18, 'Varizes');
INSERT INTO `lang_definitions` VALUES (98627, 11622, 18, 'Vários campos de texto e caixas suspensas serão exibidos');
INSERT INTO `lang_definitions` VALUES (98628, 11623, 18, 'Condição Vascular');
INSERT INTO `lang_definitions` VALUES (98629, 11624, 18, 'A lesão vascular');
INSERT INTO `lang_definitions` VALUES (98630, 11625, 18, 'Cirurgia Vascular');
INSERT INTO `lang_definitions` VALUES (98631, 11626, 18, 'Va {{Acuidades visuais}}');
INSERT INTO `lang_definitions` VALUES (98632, 11627, 18, 'VB {{abreviação para Base Prisma Vertical}}');
INSERT INTO `lang_definitions` VALUES (98633, 11628, 18, 'VD {{abreviatura para distância do vértice}}');
INSERT INTO `lang_definitions` VALUES (98634, 11629, 18, 'Venda');
INSERT INTO `lang_definitions` VALUES (98635, 11630, 18, 'Vendedor');
INSERT INTO `lang_definitions` VALUES (98636, 11632, 18, 'Verificado em');
INSERT INTO `lang_definitions` VALUES (98637, 11633, 18, 'Verificar');
INSERT INTO `lang_definitions` VALUES (98638, 11634, 18, 'Versão');
INSERT INTO `lang_definitions` VALUES (98639, 11635, 18, 'Versão 1 Endereço do site do portal do paciente no local');
INSERT INTO `lang_definitions` VALUES (98640, 11636, 18, 'Versão 2 Endereço do site do portal do paciente no local');
INSERT INTO `lang_definitions` VALUES (98641, 11637, 18, 'A versão 2.x é amplamente usada na indústria de saúde e openEMR usa HL7 versão 2.3');
INSERT INTO `lang_definitions` VALUES (98642, 11638, 18, 'Número da versão');
INSERT INTO `lang_definitions` VALUES (98643, 11639, 18, 'Base Vert{{abreviação para base de prisma vertical}}');
INSERT INTO `lang_definitions` VALUES (98644, 11640, 18, 'Distância Vert {{abreviação para Distância Vértice}}');
INSERT INTO `lang_definitions` VALUES (98645, 11641, 18, 'Fissura Vert {{altura da fissura vertical}}');
INSERT INTO `lang_definitions` VALUES (98646, 11642, 18, 'Fissura Vert {{fissura vertical}}');
INSERT INTO `lang_definitions` VALUES (98647, 11643, 18, 'Vert Fusional Amps');
INSERT INTO `lang_definitions` VALUES (98648, 11644, 18, 'Prism Vert{{abreviação para Força do prisma vertical}}');
INSERT INTO `lang_definitions` VALUES (98649, 11645, 18, 'Distância de vértice');
INSERT INTO `lang_definitions` VALUES (98650, 11646, 18, 'Fissura vertical: altura central entre as margens da tampa');
INSERT INTO `lang_definitions` VALUES (98651, 11647, 18, 'Fusional Vertical');
INSERT INTO `lang_definitions` VALUES (98652, 11648, 18, 'Menu estilo vertical');
INSERT INTO `lang_definitions` VALUES (98653, 11649, 18, 'Estilo de menu vertical para layouts baseados em quadro');
INSERT INTO `lang_definitions` VALUES (98654, 11650, 18, 'Estilo de menu vertical para molduras');
INSERT INTO `lang_definitions` VALUES (98655, 11651, 18, 'Base de prisma vertical');
INSERT INTO `lang_definitions` VALUES (98656, 11652, 18, 'Força do prisma vertical');
INSERT INTO `lang_definitions` VALUES (98657, 11653, 18, 'Vertigo');
INSERT INTO `lang_definitions` VALUES (98658, 11654, 18, 'Muito seguro');
INSERT INTO `lang_definitions` VALUES (98659, 11655, 18, 'Embarcações');
INSERT INTO `lang_definitions` VALUES (98660, 11656, 18, 'Administração de Veteranos');
INSERT INTO `lang_definitions` VALUES (98661, 11657, 18, 'Veterans Administration Plan');
INSERT INTO `lang_definitions` VALUES (98662, 11658, 18, 'Vfc');
INSERT INTO `lang_definitions` VALUES (98663, 11659, 18, 'VFC');
INSERT INTO `lang_definitions` VALUES (98664, 11660, 18, 'VFC qualificado - índio americano / nativo do Alasca');
INSERT INTO `lang_definitions` VALUES (98665, 11661, 18, 'VFC elegível - não segurado');
INSERT INTO `lang_definitions` VALUES (98666, 11662, 18, 'Paciente do centro de saúde qualificado elegível-federalmente VFC (sub-segurado)');
INSERT INTO `lang_definitions` VALUES (98667, 11663, 18, 'VFC elegível - Medicaid / Medicaid Managed Care');
INSERT INTO `lang_definitions` VALUES (98668, 11664, 18, 'VF {{fissura vertical}}');
INSERT INTO `lang_definitions` VALUES (98669, 11665, 18, 'via {{enviado por / fornecedor}}');
INSERT INTO `lang_definitions` VALUES (98670, 11666, 18, 'Viatinamita');
INSERT INTO `lang_definitions` VALUES (98671, 11667, 18, 'Visualizar');
INSERT INTO `lang_definitions` VALUES (98672, 11668, 18, 'visualizar');
INSERT INTO `lang_definitions` VALUES (98673, 11669, 18, 'ver - só pode ler, mas não pode adicionar ou modificar');
INSERT INTO `lang_definitions` VALUES (98674, 11670, 18, 'Ver Alergias');
INSERT INTO `lang_definitions` VALUES (98675, 11671, 18, 'Ver um arquivo ERA x12-835');
INSERT INTO `lang_definitions` VALUES (98676, 11672, 18, 'er reivindicação de lote texto x12');
INSERT INTO `lang_definitions` VALUES (98677, 11673, 18, 'Exibir formulário de referência em branco');
INSERT INTO `lang_definitions` VALUES (98678, 11674, 18, 'Ver CCD');
INSERT INTO `lang_definitions` VALUES (98679, 11675, 18, 'Ver CCDA');
INSERT INTO `lang_definitions` VALUES (98680, 11676, 18, 'Ver Relatório detalhado do paciente');
INSERT INTO `lang_definitions` VALUES (98681, 11677, 18, 'Ver tabelas CSV');
INSERT INTO `lang_definitions` VALUES (98682, 11678, 18, 'Ver detalhes');
INSERT INTO `lang_definitions` VALUES (98683, 11679, 18, 'Ver documento');
INSERT INTO `lang_definitions` VALUES (98684, 11680, 18, 'Ver arquivo EDI x12');
INSERT INTO `lang_definitions` VALUES (98685, 11681, 18, 'Exibir encontro');
INSERT INTO `lang_definitions` VALUES (98686, 11682, 18, 'Ver texto ERA x12');
INSERT INTO `lang_definitions` VALUES (98687, 11683, 18, 'Ver eventos em uma janela popup?');
INSERT INTO `lang_definitions` VALUES (98688, 11684, 18, 'Ver Informações Específicas do Usuário');
INSERT INTO `lang_definitions` VALUES (98689, 11685, 18, 'Ver Quatro Painéis');
INSERT INTO `lang_definitions` VALUES (98690, 11686, 18, 'Ver arquivo x12 local');
INSERT INTO `lang_definitions` VALUES (98691, 11687, 18, 'Verificar Logs');
INSERT INTO `lang_definitions` VALUES (98692, 11688, 18, 'Ver Mensagens');
INSERT INTO `lang_definitions` VALUES (98693, 11689, 18, 'Modo de visualização - apenas o administrador pode editar outro usuário administrador');
INSERT INTO `lang_definitions` VALUES (98694, 11690, 18, 'Ver página 1');
INSERT INTO `lang_definitions` VALUES (98695, 11691, 18, 'Ver página 2');
INSERT INTO `lang_definitions` VALUES (98696, 11692, 18, 'Ver Lembretes passados e Futuros');
INSERT INTO `lang_definitions` VALUES (98697, 11693, 18, 'Ver encontro anterior');
INSERT INTO `lang_definitions` VALUES (98698, 11694, 18, 'Ver encontros anteriores');
INSERT INTO `lang_definitions` VALUES (98699, 11695, 18, 'Voltar');
INSERT INTO `lang_definitions` VALUES (98700, 11696, 18, 'Ver plano de regras');
INSERT INTO `lang_definitions` VALUES (98701, 11697, 18, 'Ver impressão');
INSERT INTO `lang_definitions` VALUES (98702, 11698, 18, 'Ver Relatório impresso');
INSERT INTO `lang_definitions` VALUES (98703, 11699, 18, 'Ver versão imprimivel');
INSERT INTO `lang_definitions` VALUES (98704, 11700, 18, 'Ver encontros relacionados');
INSERT INTO `lang_definitions` VALUES (98705, 11701, 18, 'Ver relatório');
INSERT INTO `lang_definitions` VALUES (98706, 11702, 18, 'Ver o arquivo README');
INSERT INTO `lang_definitions` VALUES (98707, 11703, 18, 'Ver o sumário enviado para o servidor de fax.');
INSERT INTO `lang_definitions` VALUES (98708, 11704, 18, 'Visualize o relatório resumido enviado via servidor de fax em');
INSERT INTO `lang_definitions` VALUES (98709, 11705, 18, 'Ver, baixar, transmitir(VDT) (Medida B)');
INSERT INTO `lang_definitions` VALUES (98710, 11706, 18, 'Ver, baixar, transmitir(VDT) (Medida A)');
INSERT INTO `lang_definitions` VALUES (98711, 11707, 18, 'Ver / Adicionar / Atualizar grupos');
INSERT INTO `lang_definitions` VALUES (98712, 11708, 18, 'Ver / Adicionar / Atualizar grupos (gadd)');
INSERT INTO `lang_definitions` VALUES (98713, 11709, 18, 'Ver / Criar / Atualizar compromissos de grupos no calendário');
INSERT INTO `lang_definitions` VALUES (98714, 11710, 18, 'Ver / Criar / Atualizar compromissos de grupos no calendário (gcalendar)');
INSERT INTO `lang_definitions` VALUES (98715, 11711, 18, 'Ver / Editar');
INSERT INTO `lang_definitions` VALUES (98716, 11712, 18, 'Ver/Editar Alergias');
INSERT INTO `lang_definitions` VALUES (98717, 11713, 18, 'Ver/editar questões');
INSERT INTO `lang_definitions` VALUES (98718, 11714, 18, 'Ver/Imprimir');
INSERT INTO `lang_definitions` VALUES (98719, 11715, 18, 'Ver / Imprimir Formulário de Referência em Branco');
INSERT INTO `lang_definitions` VALUES (98720, 11716, 18, 'Ver / Imprimir Formulário de Referência em Branco - que pode ser preenchido manualmente');
INSERT INTO `lang_definitions` VALUES (98721, 11717, 18, 'Ver:');
INSERT INTO `lang_definitions` VALUES (98722, 11718, 18, 'VISA');
INSERT INTO `lang_definitions` VALUES (98723, 11719, 18, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (98724, 11720, 18, 'VISA / MC / Discovery / HSA');
INSERT INTO `lang_definitions` VALUES (98725, 11721, 18, 'Danos Visceral / trauma / cirurgia');
INSERT INTO `lang_definitions` VALUES (98726, 11722, 18, 'VisForm');
INSERT INTO `lang_definitions` VALUES (98727, 11723, 18, 'Visão');
INSERT INTO `lang_definitions` VALUES (98728, 11724, 18, 'Visita');
INSERT INTO `lang_definitions` VALUES (98729, 11725, 18, 'Atributos da visita');
INSERT INTO `lang_definitions` VALUES (98730, 11726, 18, 'Categorias de consultas');
INSERT INTO `lang_definitions` VALUES (98731, 11727, 18, 'Categorias de consulta');
INSERT INTO `lang_definitions` VALUES (98732, 11728, 18, 'Categorias de consulta:');
INSERT INTO `lang_definitions` VALUES (98733, 11729, 18, 'Data da consulta');
INSERT INTO `lang_definitions` VALUES (98734, 11730, 18, 'Data da consulta');
INSERT INTO `lang_definitions` VALUES (98735, 11731, 18, 'Detalhes da visita');
INSERT INTO `lang_definitions` VALUES (98736, 11732, 18, 'Formulário de consultas');
INSERT INTO `lang_definitions` VALUES (98737, 11733, 18, 'O ID do formulário de visita deve começar com LBF. O ID do formulário de transação deve começar com LBT');
INSERT INTO `lang_definitions` VALUES (98738, 11734, 18, 'Formulários de consultas');
INSERT INTO `lang_definitions` VALUES (98739, 11736, 18, 'Histórico de consultas');
INSERT INTO `lang_definitions` VALUES (98740, 11737, 18, 'Visite a página inicial do paciente');
INSERT INTO `lang_definitions` VALUES (98741, 11738, 18, 'Visite a página inicial do provedor');
INSERT INTO `lang_definitions` VALUES (98742, 11739, 18, 'Razão da visita');
INSERT INTO `lang_definitions` VALUES (98743, 11740, 18, 'Status da visita');
INSERT INTO `lang_definitions` VALUES (98744, 11741, 18, 'Resumo da visita');
INSERT INTO `lang_definitions` VALUES (98745, 11742, 18, 'Visite o servidor de teste');
INSERT INTO `lang_definitions` VALUES (98746, 11743, 18, 'Tipo de consulta');
INSERT INTO `lang_definitions` VALUES (98747, 11744, 18, 'Pacientes consultado');
INSERT INTO `lang_definitions` VALUES (98748, 11745, 18, 'Consultas');
INSERT INTO `lang_definitions` VALUES (98749, 11746, 18, 'Total De');
INSERT INTO `lang_definitions` VALUES (98750, 11747, 18, 'Acuidades Visuais');
INSERT INTO `lang_definitions` VALUES (98751, 11748, 18, 'Acuidade Visual');
INSERT INTO `lang_definitions` VALUES (98752, 11749, 18, 'Campos visuais');
INSERT INTO `lang_definitions` VALUES (98753, 11750, 18, 'Visualize isso como não fazer uma fruta pendurar em outra fruta. Em vez disso, deve deve pendurar o galho frutífero');
INSERT INTO `lang_definitions` VALUES (98754, 11751, 18, 'Sinais vitais');
INSERT INTO `lang_definitions` VALUES (98755, 11752, 18, 'Exame Físico Geral');
INSERT INTO `lang_definitions` VALUES (98756, 11753, 18, 'Exame Físico Geral (Metrico)');
INSERT INTO `lang_definitions` VALUES (98757, 11754, 18, 'Opções de formulários vitais');
INSERT INTO `lang_definitions` VALUES (98758, 11755, 18, 'Vítreo');
INSERT INTO `lang_definitions` VALUES (98759, 11756, 18, 'Voz');
INSERT INTO `lang_definitions` VALUES (98760, 11757, 18, 'Mensagens de voz');
INSERT INTO `lang_definitions` VALUES (98761, 11758, 18, 'Voz enviada');
INSERT INTO `lang_definitions` VALUES (98762, 11759, 18, 'Dê voz à sua opinião');
INSERT INTO `lang_definitions` VALUES (98763, 11760, 18, 'Cancelar check-out e reabrir');
INSERT INTO `lang_definitions` VALUES (98764, 11761, 18, 'Volapuk');
INSERT INTO `lang_definitions` VALUES (98765, 11762, 18, 'Volapük');
INSERT INTO `lang_definitions` VALUES (98766, 11763, 18, 'Vômitos');
INSERT INTO `lang_definitions` VALUES (98767, 11764, 18, 'Número do voucher');
INSERT INTO `lang_definitions` VALUES (98768, 11765, 18, 'VP {{abreviação para energia de prisma vertical}}');
INSERT INTO `lang_definitions` VALUES (98769, 11766, 18, 'V {{Abreviatura de uma letra para Visão}}');
INSERT INTO `lang_definitions` VALUES (98770, 11767, 18, 'W');
INSERT INTO `lang_definitions` VALUES (98771, 11768, 18, 'W Rx {{Acuidade com correção}}');
INSERT INTO `lang_definitions` VALUES (98772, 11769, 18, 'W2W {{branco com branco}}');
INSERT INTO `lang_definitions` VALUES (98773, 11770, 18, 'Circ');
INSERT INTO `lang_definitions` VALUES (98774, 11771, 18, 'Circunferência da cintura');
INSERT INTO `lang_definitions` VALUES (98775, 11772, 18, 'Esperando');
INSERT INTO `lang_definitions` VALUES (98776, 11773, 18, 'Walk-in');
INSERT INTO `lang_definitions` VALUES (98777, 11774, 18, 'Clínica de saúde de varejo ambulante');
INSERT INTO `lang_definitions` VALUES (98778, 11775, 18, 'valão');
INSERT INTO `lang_definitions` VALUES (98779, 11776, 18, 'Walt Pennington');
INSERT INTO `lang_definitions` VALUES (98780, 11777, 18, 'Distrito do tribunal');
INSERT INTO `lang_definitions` VALUES (98781, 11778, 18, 'Armazém');
INSERT INTO `lang_definitions` VALUES (98782, 11779, 18, 'Armazém alterado');
INSERT INTO `lang_definitions` VALUES (98783, 11780, 18, 'Máximo de armazém, 0 se não aplicável');
INSERT INTO `lang_definitions` VALUES (98784, 11781, 18, 'Armazém mínimo, 0 se não aplicável');
INSERT INTO `lang_definitions` VALUES (98785, 11782, 18, 'Armazéns');
INSERT INTO `lang_definitions` VALUES (98786, 11783, 18, 'Quente');
INSERT INTO `lang_definitions` VALUES (98787, 11786, 18, 'Atenção');
INSERT INTO `lang_definitions` VALUES (98788, 11787, 18, 'AVISO');
INSERT INTO `lang_definitions` VALUES (98789, 11788, 18, 'AVISO - SEGUIR MEDICAMENTOS ATIVOS SÃO ALERGIAS');
INSERT INTO `lang_definitions` VALUES (98790, 11789, 18, 'Aviso, o número do cheque já existe no banco de dados');
INSERT INTO `lang_definitions` VALUES (98791, 11790, 18, 'Atenção, o paciente possui códigos ambíguos na lista de problemas!');
INSERT INTO `lang_definitions` VALUES (98792, 11791, 18, 'Atenção: A visita foi já criado para este paciente hoje!');
INSERT INTO `lang_definitions` VALUES (98793, 11792, 18, 'Aviso: contracepção para um paciente com menos de 10 ou mais de 50');
INSERT INTO `lang_definitions` VALUES (98794, 11793, 18, 'Aviso: o método contraceptivo não é compatível com um paciente masculino');
INSERT INTO `lang_definitions` VALUES (98795, 11794, 18, 'AVISO: se você estiver usando a versão em espanhol de 2012-10-31, então observe que você precisa descompactá-la uma vez antes de colocá-la no contrib / snomed (isso ocorre porque o arquivo lançado foi  \"compactado duas vezes \")');
INSERT INTO `lang_definitions` VALUES (98796, 11795, 18, 'Aviso: erro de navegação. Por favor, atualize esta página');
INSERT INTO `lang_definitions` VALUES (98797, 11796, 18, 'Atenção: identificação do paciente não é único!');
INSERT INTO `lang_definitions` VALUES (98798, 11797, 18, 'Aviso: Não há nenhum produto compatível com o serviço anticoncepcional');
INSERT INTO `lang_definitions` VALUES (98799, 11798, 18, 'Aviso: Não há serviço compatível com o produto anticoncepcional');
INSERT INTO `lang_definitions` VALUES (98800, 11799, 18, 'AVISO: Isto irá substituir as informações de configuração com os dados do arquivo enviado!');
INSERT INTO `lang_definitions` VALUES (98801, 11800, 18, 'AVISOS');
INSERT INTO `lang_definitions` VALUES (98802, 11801, 18, 'Alertas');
INSERT INTO `lang_definitions` VALUES (98803, 11802, 18, 'AVISOS e alertas / lembretes');
INSERT INTO `lang_definitions` VALUES (98804, 11803, 18, 'já foi carregado');
INSERT INTO `lang_definitions` VALUES (98805, 11804, 18, 'não foi encontrado');
INSERT INTO `lang_definitions` VALUES (98806, 11805, 18, 'Agradecemos o pronto pagamento dos saldos devidos');
INSERT INTO `lang_definitions` VALUES (98807, 11806, 18, 'Agradecemos o pronto pagamento dos saldos devidos');
INSERT INTO `lang_definitions` VALUES (98808, 11807, 18, 'Vamos criar o teste que pode ser pedido denominado Ácido Úrico no Soro');
INSERT INTO `lang_definitions` VALUES (98809, 11809, 18, 'vimos acima do seu paciente para avaliação e tratamento em nossa clínica psiquiátrica ambulatorial. Obrigado por esta referência.');
INSERT INTO `lang_definitions` VALUES (98810, 11810, 18, 'Tivemos alguns problemas ao conectar seu EHR aos servidores MedEx');
INSERT INTO `lang_definitions` VALUES (98811, 11813, 18, 'Estaremos baseando o painel de eletrólito no tronco principal ou Grupo (Química do Soro)');
INSERT INTO `lang_definitions` VALUES (98812, 11814, 18, 'Estaremos criando um pedido para três testes de glicose no sangue, TSH e vitamina D e agrupá-lo em um grupo personalizado chamado Testes de Mulher Bem e criar um local para inserir manualmente os resultados retornados');
INSERT INTO `lang_definitions` VALUES (98813, 11815, 18, 'Passaremos pelo processo de configuração do pedido de um único exame de sangue - Ácido Úrico no Soro');
INSERT INTO `lang_definitions` VALUES (98814, 11816, 18, 'Vamos agora criar o pedido, ou Ordem de Procedimento, chamado Painel de Eletrólito que pode ser visualizado como o galho frutífero em nossa árvore frutífera hipotética');
INSERT INTO `lang_definitions` VALUES (98815, 11817, 18, 'Iremos configurar o pedido para o painel de eletrólito que consiste em sódio sérico, potássio, cloreto e dióxido de carbono');
INSERT INTO `lang_definitions` VALUES (98816, 11818, 18, 'Começaremos com a unidade mais básica do módulo de Pedidos de Procedimento, para configurar um único pedido de teste de laboratório e a capacidade de registrar manualmente o resultado retornado');
INSERT INTO `lang_definitions` VALUES (98817, 11819, 18, 'Usaremos um resultado discreto para cada teste para manter os valores de resultado retornados');
INSERT INTO `lang_definitions` VALUES (98818, 11820, 18, 'Usaremos esta ramificação para conter todos os 9 painéis, aqui estaremos apenas criando o pedido que representa um painel, o Painel de Eletrólito');
INSERT INTO `lang_definitions` VALUES (98819, 11821, 18, 'Fraqueza');
INSERT INTO `lang_definitions` VALUES (98820, 11822, 18, 'Wear RX');
INSERT INTO `lang_definitions` VALUES (98821, 11823, 18, 'Métodos baseados na web');
INSERT INTO `lang_definitions` VALUES (98822, 11824, 18, 'Métodos baseados na Web usam autenticação como serviço e entregam OTP sem a necessidade para tokens');
INSERT INTO `lang_definitions` VALUES (98823, 11825, 18, 'Referência da web');
INSERT INTO `lang_definitions` VALUES (98824, 11826, 18, 'Busca Online');
INSERT INTO `lang_definitions` VALUES (98825, 11827, 18, 'Local na rede Internet');
INSERT INTO `lang_definitions` VALUES (98826, 11828, 18, 'Link do site para o Portal do Paciente no local');
INSERT INTO `lang_definitions` VALUES (98827, 11830, 18, 'Link do site para a versão 1 do portal do paciente no local');
INSERT INTO `lang_definitions` VALUES (98828, 11831, 18, 'Link do site para a versão 2 do portal do paciente no local');
INSERT INTO `lang_definitions` VALUES (98829, 11832, 18, 'Qua');
INSERT INTO `lang_definitions` VALUES (98830, 11833, 18, 'Quarta-feira');
INSERT INTO `lang_definitions` VALUES (98831, 11834, 18, 'Semana');
INSERT INTO `lang_definitions` VALUES (98832, 11835, 18, 'semana');
INSERT INTO `lang_definitions` VALUES (98833, 11836, 18, 'Ver semana');
INSERT INTO `lang_definitions` VALUES (98834, 11837, 18, 'Semana(s)');
INSERT INTO `lang_definitions` VALUES (98835, 11838, 18, 'Exposições Semanais');
INSERT INTO `lang_definitions` VALUES (98836, 11839, 18, 'semanas');
INSERT INTO `lang_definitions` VALUES (98837, 11840, 18, 'Semanas');
INSERT INTO `lang_definitions` VALUES (98838, 11841, 18, 'Peso');
INSERT INTO `lang_definitions` VALUES (98839, 11842, 18, 'Avaliação de peso e aconselhamento para crianças e adolescentes');
INSERT INTO `lang_definitions` VALUES (98840, 11843, 18, 'Avaliação de peso e aconselhamento para crianças e adolescentes (CQM)');
INSERT INTO `lang_definitions` VALUES (98841, 11844, 18, 'Alteração de peso');
INSERT INTO `lang_definitions` VALUES (98842, 11845, 18, 'Perda de peso');
INSERT INTO `lang_definitions` VALUES (98843, 11846, 18, 'Perda de peso clínico');
INSERT INTO `lang_definitions` VALUES (98844, 11847, 18, 'Bem-vindo');
INSERT INTO `lang_definitions` VALUES (98845, 11848, 18, 'Bem-vindo ao OpenEMR');
INSERT INTO `lang_definitions` VALUES (98846, 11849, 18, 'galês');
INSERT INTO `lang_definitions` VALUES (98847, 11850, 18, 'Faltam as informações do ID do Weno Account Clinic');
INSERT INTO `lang_definitions` VALUES (98848, 11851, 18, 'Faltam as informações do ID do Weno Account');
INSERT INTO `lang_definitions` VALUES (98849, 11852, 18, 'Weno Admin');
INSERT INTO `lang_definitions` VALUES (98850, 11853, 18, 'ID da conta Weno eRx');
INSERT INTO `lang_definitions` VALUES (98851, 11854, 18, 'Passe de conta Weno eRx');
INSERT INTO `lang_definitions` VALUES (98852, 11855, 18, 'ID da clínica Weno eRx');
INSERT INTO `lang_definitions` VALUES (98853, 11856, 18, 'ID do provedor Weno');
INSERT INTO `lang_definitions` VALUES (98854, 11857, 18, 'Weno Sample Code');
INSERT INTO `lang_definitions` VALUES (98855, 11858, 18, 'Weno Service está habilitado');
INSERT INTO `lang_definitions` VALUES (98856, 11859, 18, 'Frisão ocidental');
INSERT INTO `lang_definitions` VALUES (98857, 11860, 18, 'QUA {{quarta}}');
INSERT INTO `lang_definitions` VALUES (98858, 11861, 18, 'O que constitui o pedido e qual é o seu formato eletrônico, como é enviado, como é recebido o resultado, se o sistema só receberá resultados ou enviará pedidos e receberá resultados, a quais laboratórios você estará se conectando e o que precisa acontecer no outra extremidade, se um terceiro estará ou não envolvido nesta transação');
INSERT INTO `lang_definitions` VALUES (98859, 11862, 18, 'O que deve ser contado?');
INSERT INTO `lang_definitions` VALUES (98860, 11863, 18, 'Que tipo de classificação estará nas listas suspensas');
INSERT INTO `lang_definitions` VALUES (98861, 11864, 18, 'Sibilos:');
INSERT INTO `lang_definitions` VALUES (98862, 11865, 18, 'Chiado');
INSERT INTO `lang_definitions` VALUES (98863, 11866, 18, 'Chiado:');
INSERT INTO `lang_definitions` VALUES (98864, 11867, 18, 'Quando um novo usuário é criado, o controle de acesso é concedido pelo administrador ou por um usuário com privilégios semelhantes, selecionando a quais grupos (AROs) um usuário pode pertencer');
INSERT INTO `lang_definitions` VALUES (98865, 11868, 18, 'Quando e com que frequência?');
INSERT INTO `lang_definitions` VALUES (98866, 11869, 18, 'Quando verificado, os dados demográficos abrirão em uma nova janela do quadro de fluxo do paciente');
INSERT INTO `lang_definitions` VALUES (98867, 11870, 18, 'Quando verificado, a última equipe a atualizar o quadro será exibida no quadro de fluxo do paciente');
INSERT INTO `lang_definitions` VALUES (98868, 11871, 18, 'Quando marcada, as mensagens são processadas para pacientes com Escolha Demográfica do Paciente: \"Notificação Hipaa Recebida\" definida como \"Não Atribuída\" ou \"Sim\". Quando desmarcada, esta opção deve ser = \"SIM\" para processar o lembrete do paciente. Para pacientes com Escolha = \"Não\", os lembretes precisarão ser processados manualmente');
INSERT INTO `lang_definitions` VALUES (98869, 11872, 18, 'Quando verificado, o número de encontro do paciente será exibido no quadro de fluxo do paciente');
INSERT INTO `lang_definitions` VALUES (98870, 11873, 18, 'Quando verificado, a ID do paciente será exibida no quadro de fluxo do paciente');
INSERT INTO `lang_definitions` VALUES (98871, 11874, 18, 'Quando verificado, o motivo da visita será exibido no quadro de fluxo do paciente');
INSERT INTO `lang_definitions` VALUES (98872, 11875, 18, 'Ao lidar com informações de saúde protegidas (PHI) e informações de identificação pessoal (PII), é importante permitir que apenas usuários autorizados acessem os dados');
INSERT INTO `lang_definitions` VALUES (98873, 11876, 18, 'Quando terminar, clique em Enviar (abaixo) para aplicar suas escolhas');
INSERT INTO `lang_definitions` VALUES (98874, 11877, 18, 'Quando tal pedido é feito, os resultados retornados conterão os valores de todos os componentes do CBC, Painel Metabólico Abrangente e TSH');
INSERT INTO `lang_definitions` VALUES (98875, 11878, 18, 'Quando o relatório gerado é exibido em uma guia separada, há uma opção que permite visualizar uma versão para impressão que pode ser impressa');
INSERT INTO `lang_definitions` VALUES (98876, 11879, 18, 'Quando a chave é registrada pela primeira vez, ela gera um número aleatório, que é chamado de nonce');
INSERT INTO `lang_definitions` VALUES (98877, 11880, 18, 'Quando o usuário visitar esta página pela primeira vez, a seguinte mensagem estará visível');
INSERT INTO `lang_definitions` VALUES (98878, 11881, 18, 'Ao fazer um pedido, você pode pesquisar Testes de Mulher Bem nos favoritos e selecioná-lo para solicitar automaticamente glicose no sangue, TSH e vitamina D com um único clique');
INSERT INTO `lang_definitions` VALUES (98879, 11882, 18, 'Onde pode relacionados digitalizados ou documentos em papel pode ser encontrado?');
INSERT INTO `lang_definitions` VALUES (98880, 11883, 18, 'Onde em seu corpo isso ocorre?');
INSERT INTO `lang_definitions` VALUES (98881, 11884, 18, 'Se segurado');
INSERT INTO `lang_definitions` VALUES (98882, 11885, 18, 'quais dias são seus dias de fim de semana?');
INSERT INTO `lang_definitions` VALUES (98883, 11886, 18, 'Quais notas devem ser exibidas na tela de faturamento');
INSERT INTO `lang_definitions` VALUES (98884, 11887, 18, 'Ao encaminhar um lembrete com data, a mensagem antiga é exibida, ela pode ser substituída');
INSERT INTO `lang_definitions` VALUES (98885, 11888, 18, 'Embora seja intuitivo pensar deste módulo como o local onde os testes de laboratório e estudos de imagem podem ser solicitados e revisados, este módulo também pode ser usado para rastrear outros procedimentos realizados no escritório');
INSERT INTO `lang_definitions` VALUES (98886, 11889, 18, 'Embora os testes de laboratório e radiológicos possam ser realizados na clínica, eles geralmente são feitos em uma instalação externa e os detalhes do provedor para essa entidade terão que ser inseridos no openEMR antes que a configuração do módulo de procedimento possa começar');
INSERT INTO `lang_definitions` VALUES (98887, 11890, 18, 'Whiplash');
INSERT INTO `lang_definitions` VALUES (98888, 11891, 18, 'Branco');
INSERT INTO `lang_definitions` VALUES (98889, 11892, 18, 'Lista branca');
INSERT INTO `lang_definitions` VALUES (98890, 11893, 18, 'Branco com branco');
INSERT INTO `lang_definitions` VALUES (98891, 11894, 18, 'Quem');
INSERT INTO `lang_definitions` VALUES (98892, 11895, 18, 'Quem respondeu?');
INSERT INTO `lang_definitions` VALUES (98893, 11896, 18, 'De quem está online');
INSERT INTO `lang_definitions` VALUES (98894, 11897, 18, 'Viúvo');
INSERT INTO `lang_definitions` VALUES (98895, 11898, 18, 'Largura');
INSERT INTO `lang_definitions` VALUES (98896, 11899, 18, 'Largura em pixels do quadro de navegação esquerdo no layout baseado em quadro');
INSERT INTO `lang_definitions` VALUES (98897, 11900, 18, 'Largura em pixels do frame de navegação à esquerda.');
INSERT INTO `lang_definitions` VALUES (98898, 11901, 18, 'Adicionará outro menu suspenso na linha de CPT para permitir que você selecione um fornecedor para esse item de linha');
INSERT INTO `lang_definitions` VALUES (98899, 11902, 18, 'será escondido se');
INSERT INTO `lang_definitions` VALUES (98900, 11903, 18, 'terá as seguintes regras de validação');
INSERT INTO `lang_definitions` VALUES (98901, 11904, 18, 'Com plot de itens marcados');
INSERT INTO `lang_definitions` VALUES (98902, 11905, 18, 'com importação');
INSERT INTO `lang_definitions` VALUES (98903, 11906, 18, 'com idioma preferido');
INSERT INTO `lang_definitions` VALUES (98904, 11907, 18, 'Com selecionado:');
INSERT INTO `lang_definitions` VALUES (98905, 11908, 18, 'com o nome antigo');
INSERT INTO `lang_definitions` VALUES (98906, 11909, 18, 'Com a chave U2F, você precisará conectá-la à porta USB e logo acessar o OpenEMR usando as versões mais recentes dos seguintes navegadores modernos - Chrome, Firefox, Safari, Edge e Opera e pressionando o botão no dispositivo');
INSERT INTO `lang_definitions` VALUES (98907, 11910, 18, 'com valor');
INSERT INTO `lang_definitions` VALUES (98908, 11911, 18, 'Com quem podemos deixar uma mensagem?');
INSERT INTO `lang_definitions` VALUES (98909, 11912, 18, 'Retido');
INSERT INTO `lang_definitions` VALUES (98910, 11913, 18, 'em horas');
INSERT INTO `lang_definitions` VALUES (98911, 11914, 18, 'em horas:');
INSERT INTO `lang_definitions` VALUES (98912, 11915, 18, 'dentro de minutos');
INSERT INTO `lang_definitions` VALUES (98913, 11916, 18, 'em minutos:');
INSERT INTO `lang_definitions` VALUES (98914, 11917, 18, 'Sem facilidade');
INSERT INTO `lang_definitions` VALUES (98915, 11918, 18, 'Sem Provedor');
INSERT INTO `lang_definitions` VALUES (98916, 11919, 18, 'Sem atualização');
INSERT INTO `lang_definitions` VALUES (98917, 11920, 18, 'Testemunha');
INSERT INTO `lang_definitions` VALUES (98918, 11921, 18, 'sem.');
INSERT INTO `lang_definitions` VALUES (98919, 11922, 18, 'WNL');
INSERT INTO `lang_definitions` VALUES (98920, 11923, 18, 'Wolof');
INSERT INTO `lang_definitions` VALUES (98921, 11924, 18, 'Mulheres');
INSERT INTO `lang_definitions` VALUES (98922, 11925, 18, 'Mulheres Somente');
INSERT INTO `lang_definitions` VALUES (98923, 11926, 18, 'Portal WordPress');
INSERT INTO `lang_definitions` VALUES (98924, 11927, 18, 'Trabalho');
INSERT INTO `lang_definitions` VALUES (98925, 11928, 18, 'NOTA DE TRABALHO');
INSERT INTO `lang_definitions` VALUES (98926, 11929, 18, 'Telefone Comercial');
INSERT INTO `lang_definitions` VALUES (98927, 11930, 18, 'Número de Telefone Comercial');
INSERT INTO `lang_definitions` VALUES (98928, 11931, 18, 'Trabalho relacionado?');
INSERT INTO `lang_definitions` VALUES (98929, 11932, 18, 'Trabalho/ Educação/ Lazer');
INSERT INTO `lang_definitions` VALUES (98930, 11933, 18, 'Nota de Trabalho/Escola');
INSERT INTO `lang_definitions` VALUES (98931, 11934, 18, 'dia útil');
INSERT INTO `lang_definitions` VALUES (98932, 11935, 18, 'Compensação do Trabalhador');
INSERT INTO `lang_definitions` VALUES (98933, 11936, 18, 'Compensação do Trabalhador (Plano de Saúde)');
INSERT INTO `lang_definitions` VALUES (98934, 11937, 18, 'Beneficiário idoso trabalhador ou cônjuge com plano de saúde de grupo de empregador');
INSERT INTO `lang_definitions` VALUES (98935, 11939, 18, 'Trabalhando!');
INSERT INTO `lang_definitions` VALUES (98936, 11940, 18, 'Trabalhando... isso pode levar alguns minutos.');
INSERT INTO `lang_definitions` VALUES (98937, 11941, 18, 'Pior');
INSERT INTO `lang_definitions` VALUES (98938, 11942, 18, 'Você gostaria que o valor do saldo se aplicasse à conta global?');
INSERT INTO `lang_definitions` VALUES (98939, 11943, 18, 'Você gostaria que eles fossem marcados como liberados');
INSERT INTO `lang_definitions` VALUES (98940, 11944, 18, 'Gostaria de efetuar o Lancamento?');
INSERT INTO `lang_definitions` VALUES (98941, 11945, 18, 'Você gostaria de cancelar a distribuição para este paciente?');
INSERT INTO `lang_definitions` VALUES (98942, 11946, 18, 'Você gostaria de excluir a distribuição de pagamento?');
INSERT INTO `lang_definitions` VALUES (98943, 11947, 18, 'Você gostaria de deletar pagamentos?');
INSERT INTO `lang_definitions` VALUES (98944, 11948, 18, 'Você gostaria de modificar e Finalizar os Pagamentos?');
INSERT INTO `lang_definitions` VALUES (98945, 11949, 18, 'Você gostaria de modificar pagamentos?');
INSERT INTO `lang_definitions` VALUES (98946, 11950, 18, 'Você gostaria de postar e finalizar os pagamentos?');
INSERT INTO `lang_definitions` VALUES (98947, 11951, 18, 'Você gostaria de postar os pagamentos?');
INSERT INTO `lang_definitions` VALUES (98948, 11952, 18, 'Você gostaria de salvar?');
INSERT INTO `lang_definitions` VALUES (98949, 11953, 18, 'Punho');
INSERT INTO `lang_definitions` VALUES (98950, 11954, 18, 'Punho e mão');
INSERT INTO `lang_definitions` VALUES (98951, 11955, 18, 'Problemas no punho');
INSERT INTO `lang_definitions` VALUES (98952, 11956, 18, 'escrever');
INSERT INTO `lang_definitions` VALUES (98953, 11957, 18, 'escrever - pode ler e modificar totalmente');
INSERT INTO `lang_definitions` VALUES (98954, 11958, 18, 'eliminar');
INSERT INTO `lang_definitions` VALUES (98955, 11959, 18, 'Escreva uma vez');
INSERT INTO `lang_definitions` VALUES (98956, 11960, 18, 'wsome');
INSERT INTO `lang_definitions` VALUES (98957, 11961, 18, 'wsome - pode ler e modificar parcialmente');
INSERT INTO `lang_definitions` VALUES (98958, 11962, 18, 'WSXGA+');
INSERT INTO `lang_definitions` VALUES (98959, 11963, 18, 'WT');
INSERT INTO `lang_definitions` VALUES (98960, 11964, 18, 'W {{Rx atual - vestindo}}');
INSERT INTO `lang_definitions` VALUES (98961, 11965, 18, 'W {{quarta-feira}}');
INSERT INTO `lang_definitions` VALUES (98962, 11966, 18, 'x Cancelado');
INSERT INTO `lang_definitions` VALUES (98963, 11967, 18, 'x Cancelado');
INSERT INTO `lang_definitions` VALUES (98964, 11968, 18, 'X (T) {{exoforia intermitente}}');
INSERT INTO `lang_definitions` VALUES (98965, 11969, 18, 'Raio-X');
INSERT INTO `lang_definitions` VALUES (98966, 11970, 18, 'Interpretação do RAIO-X:');
INSERT INTO `lang_definitions` VALUES (98967, 11971, 18, 'Interpretação do Raio-X:');
INSERT INTO `lang_definitions` VALUES (98968, 11972, 18, 'X12 apenas ICN reenvio nº');
INSERT INTO `lang_definitions` VALUES (98969, 11973, 18, 'X12 apenas reivindicação de substituição:');
INSERT INTO `lang_definitions` VALUES (98970, 11974, 18, 'X12 apenas: reivindicação de substituição');
INSERT INTO `lang_definitions` VALUES (98971, 11975, 18, 'X12 apenas: Reclamação Substituta');
INSERT INTO `lang_definitions` VALUES (98972, 11976, 18, 'X12 apenas: Reembolso de reivindicação, X12 apenas reenvio ICN Não é usado para reenvio eletrônico de reivindicações. O requisito varia de acordo com a seguradora');
INSERT INTO `lang_definitions` VALUES (98973, 11977, 18, 'OPÇÕES X12');
INSERT INTO `lang_definitions` VALUES (98974, 11978, 18, 'X12 Parceiro');
INSERT INTO `lang_definitions` VALUES (98975, 11979, 18, 'X12 Parceiros');
INSERT INTO `lang_definitions` VALUES (98976, 11980, 18, 'x12 segmentos');
INSERT INTO `lang_definitions` VALUES (98977, 11981, 18, 'x12 Texto');
INSERT INTO `lang_definitions` VALUES (98978, 11982, 18, 'Xhosa');
INSERT INTO `lang_definitions` VALUES (98979, 11983, 18, 'XHR falhou:');
INSERT INTO `lang_definitions` VALUES (98980, 11984, 18, 'XML');
INSERT INTO `lang_definitions` VALUES (98981, 11985, 18, 'XT{{exotropia}}');
INSERT INTO `lang_definitions` VALUES (98982, 11986, 18, 'X{{exoforia}}');
INSERT INTO `lang_definitions` VALUES (98983, 11987, 18, 'Y');
INSERT INTO `lang_definitions` VALUES (98984, 11988, 18, 'ano');
INSERT INTO `lang_definitions` VALUES (98985, 11989, 18, 'Ano');
INSERT INTO `lang_definitions` VALUES (98986, 11990, 18, 'Ver Ano');
INSERT INTO `lang_definitions` VALUES (98987, 11991, 18, 'Ano(s)');
INSERT INTO `lang_definitions` VALUES (98988, 11992, 18, 'Anos');
INSERT INTO `lang_definitions` VALUES (98989, 11993, 18, 'anos atrás');
INSERT INTO `lang_definitions` VALUES (98990, 11994, 18, 'Anos e meses');
INSERT INTO `lang_definitions` VALUES (98991, 11995, 18, 'Anos, meses e dias');
INSERT INTO `lang_definitions` VALUES (98992, 11996, 18, 'Sim');
INSERT INTO `lang_definitions` VALUES (98993, 11997, 18, 'SIM');
INSERT INTO `lang_definitions` VALUES (98994, 11998, 18, 'sim');
INSERT INTO `lang_definitions` VALUES (98995, 11999, 18, 'SIM!');
INSERT INTO `lang_definitions` VALUES (98996, 12000, 18, 'Sim, Excluir e Log');
INSERT INTO `lang_definitions` VALUES (98997, 12001, 18, 'Sim, Exclua este Formulário');
INSERT INTO `lang_definitions` VALUES (98998, 12002, 18, 'Sim/Não');
INSERT INTO `lang_definitions` VALUES (98999, 12003, 18, 'Sim:');
INSERT INTO `lang_definitions` VALUES (99000, 12004, 18, 'Yiddish');
INSERT INTO `lang_definitions` VALUES (99001, 12005, 18, 'Ioruba');
INSERT INTO `lang_definitions` VALUES (99002, 12006, 18, 'Você está prestes a excluir o modelo');
INSERT INTO `lang_definitions` VALUES (99003, 12007, 18, 'Você está prestes a deletar o seguinte formulário deste encontro');
INSERT INTO `lang_definitions` VALUES (99004, 12008, 18, 'Você está prestes a substituir permanentemente o modelo existente. Tem certeza de que deseja continuar?');
INSERT INTO `lang_definitions` VALUES (99005, 12009, 18, 'Você está logado no momento como');
INSERT INTO `lang_definitions` VALUES (99006, 12011, 18, 'Troque a senha antes de');
INSERT INTO `lang_definitions` VALUES (99007, 12012, 18, 'Você não tem permissão para excluir este evento');
INSERT INTO `lang_definitions` VALUES (99008, 12013, 18, 'Você não tem permissão para editar este evento');
INSERT INTO `lang_definitions` VALUES (99009, 12014, 18, 'Você não está autorizado para isso.');
INSERT INTO `lang_definitions` VALUES (99010, 12015, 18, 'Você não está autorizado a acessar este esquadrão');
INSERT INTO `lang_definitions` VALUES (99011, 12016, 18, 'Você não está autorizado a acessar este quadro.');
INSERT INTO `lang_definitions` VALUES (99012, 12017, 18, 'Você não está autorizado a adicionar/editar problemas');
INSERT INTO `lang_definitions` VALUES (99013, 12018, 18, 'Você não está autorizado a agendar compromissos.');
INSERT INTO `lang_definitions` VALUES (99014, 12019, 18, 'Você não está autorizado a ver essa consulta.');
INSERT INTO `lang_definitions` VALUES (99015, 12020, 18, 'Você não está autorizado!');
INSERT INTO `lang_definitions` VALUES (99016, 12021, 18, 'Você está postando em uma consulta antiga?');
INSERT INTO `lang_definitions` VALUES (99017, 12022, 18, 'Você está enviando para si mesmo!');
INSERT INTO `lang_definitions` VALUES (99018, 12023, 18, 'Você está usando o módulo de validação do paciente');
INSERT INTO `lang_definitions` VALUES (99019, 12024, 18, 'Você pode adicionar vários pacientes à lista');
INSERT INTO `lang_definitions` VALUES (99020, 12025, 18, 'Você pode adicionar vários usuários, selecionando-os um de cada vez');
INSERT INTO `lang_definitions` VALUES (99021, 12026, 18, 'Você também pode adicionar um problema a partir desta página clicando no botão Adicionar problema para abrir a página pop-up Adicionar problema');
INSERT INTO `lang_definitions` VALUES (99022, 12027, 18, 'Você pode alterar o tipo ou deixá-lo como está');
INSERT INTO `lang_definitions` VALUES (99023, 12028, 18, 'Você pode clicar no ícone do envelope para acessar o centro de mensagens');
INSERT INTO `lang_definitions` VALUES (99024, 12029, 18, 'Você pode clicar no nome do paciente para acessar rapidamente o prontuário do paciente');
INSERT INTO `lang_definitions` VALUES (99025, 12030, 18, 'Você pode clicar no botão Selecionar tudo para escolher todos os usuários autorizados');
INSERT INTO `lang_definitions` VALUES (99026, 12031, 18, 'Você pode fechar a caixa de edição clicando no ícone de \'olho cortado\' ao lado do nome do grupo');
INSERT INTO `lang_definitions` VALUES (99027, 12032, 18, 'Você pode deletar a rechamada clicando no botão X no canto superior direito da célula');
INSERT INTO `lang_definitions` VALUES (99028, 12033, 18, 'Você pode baixar o arquivo Loinc Universal LabOrders ValueSet.csv aqui');
INSERT INTO `lang_definitions` VALUES (99029, 12034, 18, 'Você pode editar o título, se você assim escolher');
INSERT INTO `lang_definitions` VALUES (99030, 12035, 18, 'Você pode inserir dados em todas as 5 categorias desta página');
INSERT INTO `lang_definitions` VALUES (99031, 12036, 18, 'Você pode vincular a alergia a um ou mais encontros, se apropriado');
INSERT INTO `lang_definitions` VALUES (99032, 12037, 18, 'Você pode vincular a medicação a um ou mais encontros, se apropriado');
INSERT INTO `lang_definitions` VALUES (99033, 12038, 18, 'Você não pode acessar esta função diretamente.');
INSERT INTO `lang_definitions` VALUES (99034, 12039, 18, 'Você não pode alterar o status para \'Chegada\' antes da hora do compromisso');
INSERT INTO `lang_definitions` VALUES (99035, 12040, 18, 'Você só pode adicionar à mensagem existente e não pode editar os dados inseridos anteriormente');
INSERT INTO `lang_definitions` VALUES (99036, 12041, 18, 'Você só pode fazer um pedido de painel de eletrólito e ter todo o painel testado e seus resultados devolvidos');
INSERT INTO `lang_definitions` VALUES (99037, 12042, 18, 'Você só pode selecionar');
INSERT INTO `lang_definitions` VALUES (99038, 12043, 18, 'Você pode pesquisar e selecionar os códigos clicando uma vez em cada linha que contém o código');
INSERT INTO `lang_definitions` VALUES (99039, 12044, 18, 'Você pode classificar as mensagens pendentes em ordem crescente ou decrescente clicando na ponta da seta em cada célula do cabeçalho da tabela');
INSERT INTO `lang_definitions` VALUES (99040, 12045, 18, 'Você pode então prosseguir para vincular o problema recém-adicionado a encontros');
INSERT INTO `lang_definitions` VALUES (99041, 12046, 18, 'Você pode fazer upload de conteúdo e etiquetá-los pelo código ICD10, permitindo que você pesquise e baixe o material selecionado');
INSERT INTO `lang_definitions` VALUES (99042, 12047, 18, 'Você pode usar códigos LOINC para os códigos padrão');
INSERT INTO `lang_definitions` VALUES (99043, 12048, 18, 'Você pode usar o método acima para criar pedidos para o resto dos Painéis de Órgãos / Doenças, exceto para o Painel de Saúde Geral que consiste em CBC, Painel Metabólico Abrangente e TSH e o Painel Obstétrico que tem CBC como um de seus componentes');
INSERT INTO `lang_definitions` VALUES (99044, 12049, 18, 'Você pode usar os códigos fornecidos na folha de papel do laboratório local de um laboratório principal como os códigos de identificação');
INSERT INTO `lang_definitions` VALUES (99045, 12050, 18, 'Você não pode acessar a página diretamente.');
INSERT INTO `lang_definitions` VALUES (99046, 12051, 18, 'Você não pode adicionar um valor em branco para uma categoria!');
INSERT INTO `lang_definitions` VALUES (99047, 12052, 18, 'Você não pode adicionar um valor em branco para uma subcategoria!');
INSERT INTO `lang_definitions` VALUES (99048, 12053, 18, 'Você não pode adicionar um valor em branco para um item!');
INSERT INTO `lang_definitions` VALUES (99049, 12054, 18, 'Você não pode editar o laboratório já escolhido, se enviar para um laboratório diferente, exclua a entrada e crie um novo');
INSERT INTO `lang_definitions` VALUES (99050, 12055, 18, 'Você não pode escolher uma data future com todos os valores SIM.');
INSERT INTO `lang_definitions` VALUES (99051, 12056, 18, 'Você pode editar manualmente esta data você debe escolher uma data totalmente diferente');
INSERT INTO `lang_definitions` VALUES (99052, 12057, 18, 'Você não escolheu nenhuma ação.');
INSERT INTO `lang_definitions` VALUES (99053, 12058, 18, 'Você não tem permissão para acessar/editar esta nota');
INSERT INTO `lang_definitions` VALUES (99054, 12059, 18, 'Você tem');
INSERT INTO `lang_definitions` VALUES (99055, 12060, 18, 'Você tem uma fatura a pagar em seus Documentos do Paciente. Lá você pode pagar, baixar ou imprimir a fatura. Obrigado');
INSERT INTO `lang_definitions` VALUES (99056, 12061, 18, 'Você tentou alterar conteudos bloqueados. Para desbloquear, remova linha \'/*lock::*/\'');
INSERT INTO `lang_definitions` VALUES (99057, 12063, 18, 'Você foi desconectado com sucesso.');
INSERT INTO `lang_definitions` VALUES (99058, 12064, 18, 'Você optou por ter um seguro próprio ou atualmente não tem seguro. Clique próximo para continuar o registro');
INSERT INTO `lang_definitions` VALUES (99059, 12066, 18, 'Você não inseriu nenhum serviço ou produto clínico. Clique em Cancelar para adicioná-los. Ou clique em OK se quiser salvar como está');
INSERT INTO `lang_definitions` VALUES (99060, 12067, 18, 'Agora você concluiu com êxito um pedido para um único teste de laboratório');
INSERT INTO `lang_definitions` VALUES (99061, 12069, 18, 'Você tem que ter uma compreensão de como o programa está estruturado e a capacidade e vontade de modificar o código subjacente');
INSERT INTO `lang_definitions` VALUES (99062, 12070, 18, 'Você tem alterações não salvas');
INSERT INTO `lang_definitions` VALUES (99063, 12071, 18, 'Você tem alterações não salvas. Abandoná-los?');
INSERT INTO `lang_definitions` VALUES (99064, 12072, 18, 'Você tem alterações não salvas. Deseja realmente fechar este formulário?');
INSERT INTO `lang_definitions` VALUES (99065, 12074, 18, 'Você só pode carregar arquivos .txt');
INSERT INTO `lang_definitions` VALUES (99066, 12075, 18, 'Você pode, opcionalmente, carregar os resultados HL7 a partir de um arquivo');
INSERT INTO `lang_definitions` VALUES (99067, 12076, 18, 'Você pode colocar texto aqui como a reclamação padrão no formulário de Encontro de Novo Paciente');
INSERT INTO `lang_definitions` VALUES (99068, 12078, 18, 'Você pode digitar o nome da pessoa que fez a referência ou deixar em branco');
INSERT INTO `lang_definitions` VALUES (99069, 12079, 18, 'Você pode tentar retornar à página anterior e verificar que todos os campos foram preenchidos corretamente');
INSERT INTO `lang_definitions` VALUES (99070, 12080, 18, 'Você deve ativar Weno primeiro! Vá para Administração, Globais, Conectores');
INSERT INTO `lang_definitions` VALUES (99071, 12081, 18, 'Você deve concordar com o Acordo de Parceiro Comercial HIPAA');
INSERT INTO `lang_definitions` VALUES (99072, 12082, 18, 'Você deve concordar com os Termos e Condições antes de se inscrever');
INSERT INTO `lang_definitions` VALUES (99073, 12085, 18, 'Você deve informar uma frase secreta para encriptar o documento');
INSERT INTO `lang_definitions` VALUES (99074, 12087, 18, 'Você deve inserir sua senha para trocar a senhas dos demais usuários. Deixe em branco para não alterar a senha.');
INSERT INTO `lang_definitions` VALUES (99075, 12088, 18, 'Você deve primeiro selecionar um item na seção cujo botão de opção esteja marcado');
INSERT INTO `lang_definitions` VALUES (99076, 12089, 18, 'Você deve primeiro selecionar ou adicionar um paciente ou grupo de terapia');
INSERT INTO `lang_definitions` VALUES (99077, 12090, 18, 'Você deve primeiro selecionar ou adicionar um paciente.');
INSERT INTO `lang_definitions` VALUES (99078, 12091, 18, 'Você deve primeiro selecionar ou criar uma consulta.');
INSERT INTO `lang_definitions` VALUES (99079, 12092, 18, 'Você deve selecionar uma categoria de visita');
INSERT INTO `lang_definitions` VALUES (99080, 12093, 18, 'Você deve selecionar uma categoria de visita.');
INSERT INTO `lang_definitions` VALUES (99081, 12094, 18, 'Você deve selecionar alguns campos para continuar.');
INSERT INTO `lang_definitions` VALUES (99082, 12095, 18, 'Você precisa de privilégios de administrador para adicionar mais opções');
INSERT INTO `lang_definitions` VALUES (99083, 12096, 18, 'Você precisa de privilégios de administrador para desativar o Recall Board padrão');
INSERT INTO `lang_definitions` VALUES (99084, 12097, 18, 'Você precisa de privilégios de administrador para habilitar o serviço de comunicação MedEx');
INSERT INTO `lang_definitions` VALUES (99085, 12098, 18, 'Você precisa de privilégios de administrador para dar acesso a outros grupos');
INSERT INTO `lang_definitions` VALUES (99086, 12099, 18, 'Você precisa de privilégios de administrador para aumentar o número de lembretes para mostrar');
INSERT INTO `lang_definitions` VALUES (99087, 12100, 18, 'Você precisa de privilégios de administrador para realizar as alterações nos valores nas caixas suspensas');
INSERT INTO `lang_definitions` VALUES (99088, 12101, 18, 'Você precisa de privilégios de administrador para realizar a configuração');
INSERT INTO `lang_definitions` VALUES (99089, 12102, 18, 'Você precisa de privilégios de administrador para realizar esta ação');
INSERT INTO `lang_definitions` VALUES (99090, 12103, 18, 'Você precisa voltar e criar um provedor');
INSERT INTO `lang_definitions` VALUES (99091, 12104, 18, 'Você deve estar executando esse teste, se essa reivindicação surgiu para gerar com êxito, mas o pedido real arquivo não contém quaisquer dados ou apenas uma parte inacabada da quantidade de dados que é suposto que contêm. É óbvio com reivindicações HCFA porque são legível, com X12 afirma que é um processo mais difícil de determinar se o pedido está devidamente completo.');
INSERT INTO `lang_definitions` VALUES (99092, 12105, 18, 'Você não deve fazer com que o Resultado Discreto para Potássio seja um descendente de um Resultado Discreto anterior, ou seja, Sódio, ou seja, ter um valor de Nível 5');
INSERT INTO `lang_definitions` VALUES (99093, 12106, 18, 'Você deve selecionar ao menos um contexto');
INSERT INTO `lang_definitions` VALUES (99094, 12107, 18, 'Você deve selecionar ao menos um Provedor');
INSERT INTO `lang_definitions` VALUES (99095, 12108, 18, 'Você será redirecionado automaticamente para dados demográficos.. Você pode fazer as correções necessárias e navegar para NewCrop novamente');
INSERT INTO `lang_definitions` VALUES (99096, 12109, 18, 'Você será notificado quando a transação de pagamento for confirmada');
INSERT INTO `lang_definitions` VALUES (99097, 12110, 18, 'Você será notificado quando o seu pagamento for aplicado para esta fatura');
INSERT INTO `lang_definitions` VALUES (99098, 12111, 18, 'Você precisará de privilégios de administrador para editar este formulário');
INSERT INTO `lang_definitions` VALUES (99099, 12112, 18, 'Você precisará de privilégios de administrador para ativar o portal do paciente');
INSERT INTO `lang_definitions` VALUES (99100, 12113, 18, 'Você precisará de privilégios de administrador para instalar o conjunto de códigos ICD10');
INSERT INTO `lang_definitions` VALUES (99101, 12114, 18, 'Você precisará de privilégios de administrador para configurar o phiMail Direct Messaging');
INSERT INTO `lang_definitions` VALUES (99102, 12115, 18, 'Você precisará de privilégios de administrador para configurar o serviço NewCrop e deve ser configurado em conjunto com o suporte técnico do serviço NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (99103, 12118, 18, 'Seu Relatório Clínico');
INSERT INTO `lang_definitions` VALUES (99104, 12119, 18, 'Suas credenciais são fornecidas pelo seu provedor');
INSERT INTO `lang_definitions` VALUES (99105, 12120, 18, 'Seu código QR de chave TOTP atual é exibido abaixo');
INSERT INTO `lang_definitions` VALUES (99106, 12121, 18, 'Seu endereço de email');
INSERT INTO `lang_definitions` VALUES (99107, 12122, 18, 'Sua data final é inválida');
INSERT INTO `lang_definitions` VALUES (99108, 12123, 18, 'Seu evento foi eliminado.');
INSERT INTO `lang_definitions` VALUES (99109, 12124, 18, 'Seu evento foi modificado.');
INSERT INTO `lang_definitions` VALUES (99110, 12125, 18, 'Seu evento foi submetido.');
INSERT INTO `lang_definitions` VALUES (99111, 12126, 18, 'Seu arquivo não tem extensão');
INSERT INTO `lang_definitions` VALUES (99112, 12127, 18, 'O arquivo é muito grande');
INSERT INTO `lang_definitions` VALUES (99113, 12128, 18, 'Seu primeiro dia da semana');
INSERT INTO `lang_definitions` VALUES (99114, 12130, 18, 'Sua instalação do OpenEMR foi registrada');
INSERT INTO `lang_definitions` VALUES (99115, 12131, 18, 'Resultados do seu laboratório');
INSERT INTO `lang_definitions` VALUES (99116, 12132, 18, 'Seu nome na lista foi alterado para atender aos requisitos.');
INSERT INTO `lang_definitions` VALUES (99117, 12133, 18, 'Sua mensagem foi submatida à entrega para');
INSERT INTO `lang_definitions` VALUES (99118, 12134, 18, 'Nome para esta categoria, procedimento ou resultado');
INSERT INTO `lang_definitions` VALUES (99119, 12135, 18, 'Suas novas credenciais foram enviadas. Verifique sua caixa de entrada de e-mail e possivelmente também sua pasta de spam. Depois de fazer login no portal do paciente, fique à vontade para marcar uma consulta ou nos enviar uma mensagem segura. Estamos ansiosos para vê-lo em breve');
INSERT INTO `lang_definitions` VALUES (99120, 12136, 18, 'seu próximo compromisso em');
INSERT INTO `lang_definitions` VALUES (99121, 12137, 18, 'Seu endereço de e-mail cadastrado');
INSERT INTO `lang_definitions` VALUES (99122, 12139, 18, 'Sua Senha');
INSERT INTO `lang_definitions` VALUES (99123, 12140, 18, 'Senha expirada. Por favor troque sua senha.');
INSERT INTO `lang_definitions` VALUES (99124, 12141, 18, 'Sua senha expira em');
INSERT INTO `lang_definitions` VALUES (99125, 12143, 18, 'Sua senha expira hoje, favor realizar a troca.');
INSERT INTO `lang_definitions` VALUES (99126, 12144, 18, 'Sua senha é sua assinatura');
INSERT INTO `lang_definitions` VALUES (99127, 12146, 18, 'Sua configuração de PostCalendar foi redefinida para o padrão.');
INSERT INTO `lang_definitions` VALUES (99128, 12147, 18, 'Sua configuração de PostCalendar foi atualizada.');
INSERT INTO `lang_definitions` VALUES (99129, 12148, 18, 'Sua frequência de repetição deve ser um número inteiro.');
INSERT INTO `lang_definitions` VALUES (99130, 12149, 18, 'Sua frequência de repetição deve ser pelo menos 1.');
INSERT INTO `lang_definitions` VALUES (99131, 12150, 18, 'Sua chave segura é');
INSERT INTO `lang_definitions` VALUES (99132, 12151, 18, 'Sua data de início é maior do que a data de término');
INSERT INTO `lang_definitions` VALUES (99133, 12152, 18, 'Sua data de início é inválida');
INSERT INTO `lang_definitions` VALUES (99134, 12153, 18, 'Sua submissão falhou.');
INSERT INTO `lang_definitions` VALUES (99135, 12154, 18, 'Seus dias de fim de semana');
INSERT INTO `lang_definitions` VALUES (99136, 12155, 18, 'Yubikey também vende chaves U2F mais caras, projetadas para funcionar com dispositivos móveis');
INSERT INTO `lang_definitions` VALUES (99137, 12156, 18, 'aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (99138, 12157, 18, 'AAAA-MM-DD');
INSERT INTO `lang_definitions` VALUES (99139, 12158, 18, 'aaaa-mm-dd data associada a este documento');
INSERT INTO `lang_definitions` VALUES (99140, 12159, 18, 'aaaa-mm-dd data de destruição');
INSERT INTO `lang_definitions` VALUES (99141, 12160, 18, 'aaaa-mm-dd data de nascimento');
INSERT INTO `lang_definitions` VALUES (99142, 12161, 18, 'aaaa-mm-dd Data de Nascimento');
INSERT INTO `lang_definitions` VALUES (99143, 12162, 18, 'aaaa-mm-dd data de expiração');
INSERT INTO `lang_definitions` VALUES (99144, 12163, 18, 'aaaa-mm-dd Data de início ou internação');
INSERT INTO `lang_definitions` VALUES (99145, 12164, 18, 'aaaa-mm-dd data de início, cirurgia ou início da medicação');
INSERT INTO `lang_definitions` VALUES (99146, 12165, 18, 'aaaa-mm-dd data de compra ou transferência');
INSERT INTO `lang_definitions` VALUES (99147, 12166, 18, 'aaaa-mm-dd data de recuperação ou fim de medicação');
INSERT INTO `lang_definitions` VALUES (99148, 12167, 18, 'aaaa-mm-dd Data para voltar a jogar');
INSERT INTO `lang_definitions` VALUES (99149, 12168, 18, 'aaaa-mm-dd Data de serviço');
INSERT INTO `lang_definitions` VALUES (99150, 12169, 18, 'aaaa-mm-dd data da presente carta');
INSERT INTO `lang_definitions` VALUES (99151, 12170, 18, 'aaaa-mm-dd data que voltou a jogar');
INSERT INTO `lang_definitions` VALUES (99152, 12171, 18, 'aaaa-mm-dd data do documento');
INSERT INTO `lang_definitions` VALUES (99153, 12172, 18, 'aaaa-mm-dd Data de término');
INSERT INTO `lang_definitions` VALUES (99154, 12173, 18, 'aaaa-mm-dd data do evento ou data de início');
INSERT INTO `lang_definitions` VALUES (99155, 12174, 18, 'aaaa-mm-dd data final');
INSERT INTO `lang_definitions` VALUES (99156, 12175, 18, 'aaaa-mm-dd data final');
INSERT INTO `lang_definitions` VALUES (99157, 12176, 18, 'aaaa-mm-dd data inicial');
INSERT INTO `lang_definitions` VALUES (99158, 12177, 18, 'aaaa-mm-dd data inicial');
INSERT INTO `lang_definitions` VALUES (99159, 12178, 18, 'aaaa-mm-dd hh:mm:ss');
INSERT INTO `lang_definitions` VALUES (99160, 12179, 18, 'aaaa-mm-dd Horas(24):minutos');
INSERT INTO `lang_definitions` VALUES (99161, 12180, 18, 'aaaa-mm-dd última data deste evento');
INSERT INTO `lang_definitions` VALUES (99162, 12181, 18, 'aaaa-mm-dd Data de início');
INSERT INTO `lang_definitions` VALUES (99163, 12182, 18, 'aaaa-mm-dd data de início para pesquisa');
INSERT INTO `lang_definitions` VALUES (99164, 12183, 18, 'Erro interno do segmento ZEF');
INSERT INTO `lang_definitions` VALUES (99165, 12184, 18, 'Modulo Zend');
INSERT INTO `lang_definitions` VALUES (99166, 12185, 18, 'Verificação do módulo Zend além da verificação padrão');
INSERT INTO `lang_definitions` VALUES (99167, 12186, 18, 'Zero');
INSERT INTO `lang_definitions` VALUES (99168, 12187, 18, 'Zhuang, Chuang');
INSERT INTO `lang_definitions` VALUES (99169, 12188, 18, 'CEP');
INSERT INTO `lang_definitions` VALUES (99170, 12189, 18, 'CEP');
INSERT INTO `lang_definitions` VALUES (99171, 12191, 18, 'CEP/País:');
INSERT INTO `lang_definitions` VALUES (99172, 12192, 18, 'Ampliação');
INSERT INTO `lang_definitions` VALUES (99173, 12193, 18, 'Mais Zoom');
INSERT INTO `lang_definitions` VALUES (99174, 12194, 18, 'Reduzir o zoom');
INSERT INTO `lang_definitions` VALUES (99175, 12195, 18, 'Zoom: clique e arraste, Panorâmica: shift-clique-arraste, Restaurar: clique duplo');
INSERT INTO `lang_definitions` VALUES (99176, 12196, 18, 'Zulu');
INSERT INTO `lang_definitions` VALUES (99177, 12197, 18, 'mas foi');
INSERT INTO `lang_definitions` VALUES (99178, 12198, 18, 'não pôde ser acessado.');
INSERT INTO `lang_definitions` VALUES (99179, 12199, 18, 'Você realmente deseja apagar');
INSERT INTO `lang_definitions` VALUES (99180, 12200, 18, 'Droga');
INSERT INTO `lang_definitions` VALUES (99181, 12201, 18, 'e-mails não enviados');
INSERT INTO `lang_definitions` VALUES (99182, 12202, 18, 'de');
INSERT INTO `lang_definitions` VALUES (99183, 12203, 18, 'foi criado.');
INSERT INTO `lang_definitions` VALUES (99184, 12204, 18, 'foi reaberto.');
INSERT INTO `lang_definitions` VALUES (99185, 12205, 18, 'Histórico');
INSERT INTO `lang_definitions` VALUES (99186, 12206, 18, 'não é um número');
INSERT INTO `lang_definitions` VALUES (99187, 12207, 18, 'está pronto para re-faturamento.');
INSERT INTO `lang_definitions` VALUES (99188, 12208, 18, 'LLL:');
INSERT INTO `lang_definitions` VALUES (99189, 12209, 18, 'Lote');
INSERT INTO `lang_definitions` VALUES (99190, 12210, 18, 'Medicaid Original Reference No.');
INSERT INTO `lang_definitions` VALUES (99191, 12211, 18, 'min');
INSERT INTO `lang_definitions` VALUES (99192, 12212, 18, 'não encontrado!');
INSERT INTO `lang_definitions` VALUES (99193, 12213, 18, 'Peculiaridades em vários navegadores pode significar que a saída abaixo entra em sua tela em empurrões súbita e que há longas pausas de vários segundos, onde parece que as coisas podem ter deixado de funcionar. Isso não é o caso, você acabará por ver a saída que sai de linha por linha. Pode haver números seqüenciais que aparecem abaixo, é para indicar que, mesmo que nada mais pode estar exibindo há uma atividade em curso. Estes números serão intercaladas com o conteúdo do faturamento e que é normal.');
INSERT INTO `lang_definitions` VALUES (99194, 12214, 18, 'receita atingiu seu limite de');
INSERT INTO `lang_definitions` VALUES (99195, 12215, 18, 'até');
INSERT INTO `lang_definitions` VALUES (99196, 12216, 18, 'Falha na atualização, não no banco de dados?');
INSERT INTO `lang_definitions` VALUES (99197, 12217, 18, 'foi marcado como faturado apenas.');
INSERT INTO `lang_definitions` VALUES (99198, 12218, 18, 'enfileirado com sucesso.');
INSERT INTO `lang_definitions` VALUES (99199, 12219, 18, '! Saiu, visita w/o');
INSERT INTO `lang_definitions` VALUES (99200, 12220, 18, '\" para código');
INSERT INTO `lang_definitions` VALUES (99201, 12221, 18, '\" está MARCADO em configurações de PostCalendar!');
INSERT INTO `lang_definitions` VALUES (99202, 12222, 18, '# Ins / questão fin');
INSERT INTO `lang_definitions` VALUES (99203, 12223, 18, 'Nº de comprimidos:');
INSERT INTO `lang_definitions` VALUES (99204, 12224, 18, '$');
INSERT INTO `lang_definitions` VALUES (99205, 12225, 18, '$ Codificação feita');
INSERT INTO `lang_definitions` VALUES (99206, 12226, 18, '$formato (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (99207, 12227, 18, '%');
INSERT INTO `lang_definitions` VALUES (99208, 12228, 18, '% Cancelado < 24h');
INSERT INTO `lang_definitions` VALUES (99209, 12229, 18, '% Cancelado < 24h');
INSERT INTO `lang_definitions` VALUES (99210, 12230, 18, 'deve existir, mas não.');
INSERT INTO `lang_definitions` VALUES (99211, 12231, 18, '(% Corresponde a qualquer cadeia _ corresponde a qualquer caractere)');
INSERT INTO `lang_definitions` VALUES (99212, 12232, 18, '([ctrl] + clique para selecionar múltiplos destinatários)');
INSERT INTO `lang_definitions` VALUES (99213, 12233, 18, '(Voltar)');
INSERT INTO `lang_definitions` VALUES (99214, 12234, 18, '(Clique para editar)');
INSERT INTO `lang_definitions` VALUES (99215, 12235, 18, '( A entrega de E-mail é imediata, enquanto VOIP automatizado é enviado para o provedor de serviços para posterior processamento. )');
INSERT INTO `lang_definitions` VALUES (99216, 12236, 18, '(Mais)');
INSERT INTO `lang_definitions` VALUES (99217, 12237, 18, '(Paciente Novo)');
INSERT INTO `lang_definitions` VALUES (99218, 12238, 18, '(Notas e Autorizações)');
INSERT INTO `lang_definitions` VALUES (99219, 12239, 18, '(Notas do Paciente)');
INSERT INTO `lang_definitions` VALUES (99220, 12240, 18, '(Escolha um, ou escreve seu próprio título)');
INSERT INTO `lang_definitions` VALUES (99221, 12241, 18, '(Shift-)Clique ou arraste para alterar o valor');
INSERT INTO `lang_definitions` VALUES (99222, 12242, 18, '* Lembrete feito');
INSERT INTO `lang_definitions` VALUES (99223, 12243, 18, '** Por favor mover cirurgias para Problemas!');
INSERT INTO `lang_definitions` VALUES (99224, 12244, 18, '*Obrigatório');
INSERT INTO `lang_definitions` VALUES (99225, 12245, 18, '#ERROR!');
INSERT INTO `lang_definitions` VALUES (99226, 12246, 18, '+1');
INSERT INTO `lang_definitions` VALUES (99227, 12247, 18, '+2');
INSERT INTO `lang_definitions` VALUES (99228, 12248, 18, '+3');
INSERT INTO `lang_definitions` VALUES (99229, 12249, 18, '- Nenhum');
INSERT INTO `lang_definitions` VALUES (99230, 12250, 18, '- Nenhum Reportado');
INSERT INTO `lang_definitions` VALUES (99231, 12251, 18, '-- Todos --');
INSERT INTO `lang_definitions` VALUES (99232, 12252, 18, '--Selecione Perfil--');
INSERT INTO `lang_definitions` VALUES (99233, 12253, 18, '.');
INSERT INTO `lang_definitions` VALUES (99234, 12254, 18, '0');
INSERT INTO `lang_definitions` VALUES (99235, 12255, 18, '0-10');
INSERT INTO `lang_definitions` VALUES (99236, 12256, 18, '0-24');
INSERT INTO `lang_definitions` VALUES (99237, 12257, 18, '02/12 {{configuração da revisão de data do formato CMS 1500 em globais}}');
INSERT INTO `lang_definitions` VALUES (99238, 12258, 18, '05/08 {{configuração da revisão de data do formato CMS 1500 em globais}}');
INSERT INTO `lang_definitions` VALUES (99239, 12259, 18, '1');
INSERT INTO `lang_definitions` VALUES (99240, 12260, 18, '55 = Brasil. Acesse http://www.wtng.info/ para a lista completa de códigos dos países.');
INSERT INTO `lang_definitions` VALUES (99241, 12261, 18, '1 dia a contar de hoje');
INSERT INTO `lang_definitions` VALUES (99242, 12262, 18, '1 mês a contar de hoje');
INSERT INTO `lang_definitions` VALUES (99243, 12263, 18, '1 semana a contar de hoje');
INSERT INTO `lang_definitions` VALUES (99244, 12264, 18, '1 ano a contar de hoje');
INSERT INTO `lang_definitions` VALUES (99245, 12265, 18, '1.Descansar 2. Gelo durante dois dias 3. Compressão, deixar o curativo no local a menos que o pé se desenvolve dormência ou cor pálida 4. Elevar o pé e perna');
INSERT INTO `lang_definitions` VALUES (99246, 12266, 18, 'Nov-14');
INSERT INTO `lang_definitions` VALUES (99247, 12267, 18, '12 hs');
INSERT INTO `lang_definitions` VALUES (99248, 12268, 18, '15-19');
INSERT INTO `lang_definitions` VALUES (99249, 12269, 18, '1mm');
INSERT INTO `lang_definitions` VALUES (99250, 12270, 18, '1ª');
INSERT INTO `lang_definitions` VALUES (99251, 12272, 18, '2');
INSERT INTO `lang_definitions` VALUES (99252, 12273, 18, '2 dias a contar de hoje');
INSERT INTO `lang_definitions` VALUES (99253, 12274, 18, '2 meses a contar de hoje');
INSERT INTO `lang_definitions` VALUES (99254, 12275, 18, '2 semanas a contar de hoje');
INSERT INTO `lang_definitions` VALUES (99255, 12276, 18, '2 anos a contar de hoje');
INSERT INTO `lang_definitions` VALUES (99256, 12277, 18, '2-20 anos');
INSERT INTO `lang_definitions` VALUES (99257, 12278, 18, '20-24');
INSERT INTO `lang_definitions` VALUES (99258, 12279, 18, 'Cálculos de Medidas Automatizadas de 2011 (AMC)');
INSERT INTO `lang_definitions` VALUES (99259, 12280, 18, 'Medidas de qualidade clínica de 2011 (CQM)');
INSERT INTO `lang_definitions` VALUES (99260, 12281, 18, 'Medidas oficiais de qualidade clínica de 2011 (CQM) Grupos de Medidas');
INSERT INTO `lang_definitions` VALUES (99261, 12282, 18, 'Cálculos de Medidas Automatizadas de 2014 (AMC)');
INSERT INTO `lang_definitions` VALUES (99262, 12283, 18, 'Cálculos de Medidas Automatizadas (AMC) 2014 - Estágio I');
INSERT INTO `lang_definitions` VALUES (99263, 12284, 18, 'Cálculos de Medidas Automatizadas (AMC) 2014 - Estágio II');
INSERT INTO `lang_definitions` VALUES (99264, 12285, 18, '2014 Medida de qualidade clínica');
INSERT INTO `lang_definitions` VALUES (99265, 12286, 18, '2014 Medida de qualidade clínica (CQM) Grupo de Medidas');
INSERT INTO `lang_definitions` VALUES (99266, 12287, 18, '2111-13');
INSERT INTO `lang_definitions` VALUES (99267, 12288, 18, '24 hs');
INSERT INTO `lang_definitions` VALUES (99268, 12289, 18, '25+');
INSERT INTO `lang_definitions` VALUES (99269, 12290, 18, '25-29');
INSERT INTO `lang_definitions` VALUES (99270, 12291, 18, '271 Devolvido');
INSERT INTO `lang_definitions` VALUES (99271, 12292, 18, '2mm');
INSERT INTO `lang_definitions` VALUES (99272, 12293, 18, '2º');
INSERT INTO `lang_definitions` VALUES (99273, 12296, 18, '3 dias a contar de hoje');
INSERT INTO `lang_definitions` VALUES (99274, 12297, 18, '3 meses');
INSERT INTO `lang_definitions` VALUES (99275, 12298, 18, '3 meses a partir de agora');
INSERT INTO `lang_definitions` VALUES (99276, 12299, 18, '3 vezes ao dia');
INSERT INTO `lang_definitions` VALUES (99277, 12300, 18, '3 semanas a contar de hoje');
INSERT INTO `lang_definitions` VALUES (99278, 12301, 18, '30-34');
INSERT INTO `lang_definitions` VALUES (99279, 12302, 18, '35-39');
INSERT INTO `lang_definitions` VALUES (99280, 12303, 18, '3mm');
INSERT INTO `lang_definitions` VALUES (99281, 12304, 18, '3º');
INSERT INTO `lang_definitions` VALUES (99282, 12307, 18, '4 dias a contar de hoje');
INSERT INTO `lang_definitions` VALUES (99283, 12308, 18, '4 meses');
INSERT INTO `lang_definitions` VALUES (99284, 12309, 18, '4 meses a contar de hoje');
INSERT INTO `lang_definitions` VALUES (99285, 12310, 18, '4 vezes ao dia');
INSERT INTO `lang_definitions` VALUES (99286, 12311, 18, '4 semanas a contar de hoje');
INSERT INTO `lang_definitions` VALUES (99287, 12312, 18, '40-44');
INSERT INTO `lang_definitions` VALUES (99288, 12313, 18, '45+');
INSERT INTO `lang_definitions` VALUES (99289, 12314, 18, '465,9, URI');
INSERT INTO `lang_definitions` VALUES (99290, 12315, 18, '466,0, Bronquite aguda SOE');
INSERT INTO `lang_definitions` VALUES (99291, 12316, 18, '486,0, Pneumonia aguda');
INSERT INTO `lang_definitions` VALUES (99292, 12317, 18, '491,21, exacerbação de DPOC');
INSERT INTO `lang_definitions` VALUES (99293, 12318, 18, '491,8, Bronquite crônica');
INSERT INTO `lang_definitions` VALUES (99294, 12319, 18, '493,92, Asma Aguda EXAC.');
INSERT INTO `lang_definitions` VALUES (99295, 12320, 18, '496,0, a DPOC');
INSERT INTO `lang_definitions` VALUES (99296, 12321, 18, '4K UHD');
INSERT INTO `lang_definitions` VALUES (99297, 12322, 18, '4mm');
INSERT INTO `lang_definitions` VALUES (99298, 12323, 18, '4º');
INSERT INTO `lang_definitions` VALUES (99299, 12326, 18, '5 dias a contar de hoje');
INSERT INTO `lang_definitions` VALUES (99300, 12327, 18, '5 meses a partir de agora');
INSERT INTO `lang_definitions` VALUES (99301, 12328, 18, '5 semanas a contar de hoje');
INSERT INTO `lang_definitions` VALUES (99302, 12329, 18, '519,7, broncoespasmo');
INSERT INTO `lang_definitions` VALUES (99303, 12330, 18, '5mm');
INSERT INTO `lang_definitions` VALUES (99304, 12331, 18, '5º');
INSERT INTO `lang_definitions` VALUES (99305, 12333, 18, '6 dias a contar de hoje');
INSERT INTO `lang_definitions` VALUES (99306, 12334, 18, '6 meses');
INSERT INTO `lang_definitions` VALUES (99307, 12335, 18, '6 meses a partir de agora');
INSERT INTO `lang_definitions` VALUES (99308, 12336, 18, '6 semanas a partir de agora');
INSERT INTO `lang_definitions` VALUES (99309, 12337, 18, '6º');
INSERT INTO `lang_definitions` VALUES (99310, 12339, 18, '7 meses a partir de agora');
INSERT INTO `lang_definitions` VALUES (99311, 12340, 18, '8 meses a partir de agora');
INSERT INTO `lang_definitions` VALUES (99312, 12341, 18, '8-12 caracteres, incluindo pelo menos uma letra maiúscula, uma letra minúscula, um número, um caractere especial e sem cordas comuns');
INSERT INTO `lang_definitions` VALUES (99313, 12342, 18, '824,0 Fratura do maléolo medial, fechado');
INSERT INTO `lang_definitions` VALUES (99314, 12343, 18, '824,2 Fracture, maléolo lateral, fechado');
INSERT INTO `lang_definitions` VALUES (99315, 12344, 18, '824,6 Fracture, Trimalleolar, fechado');
INSERT INTO `lang_definitions` VALUES (99316, 12345, 18, '825,32 Fracture, do navicular (tornozelo)');
INSERT INTO `lang_definitions` VALUES (99317, 12346, 18, '825,35 Fracture, Base de quinta (5) Metatarsal');
INSERT INTO `lang_definitions` VALUES (99318, 12347, 18, '845,00 NOS entorse de tornozelo');
INSERT INTO `lang_definitions` VALUES (99319, 12348, 18, '845,01 Entorse medial (deltóide) Lig.');
INSERT INTO `lang_definitions` VALUES (99320, 12349, 18, '845,02 entorse, calcâneo fibular');
INSERT INTO `lang_definitions` VALUES (99321, 12350, 18, '9 meses a partir de agora');
INSERT INTO `lang_definitions` VALUES (99322, 12351, 18, '99212 Estabelecido - Descomplicado');
INSERT INTO `lang_definitions` VALUES (99323, 12352, 18, '99213 Estabelecido - Baixa Complexidade');
INSERT INTO `lang_definitions` VALUES (99324, 12353, 18, '< Na sala de exame');
INSERT INTO `lang_definitions` VALUES (99325, 12354, 18, '<Não relatado');
INSERT INTO `lang_definitions` VALUES (99326, 12355, 18, '#N/A');
INSERT INTO `lang_definitions` VALUES (99327, 12356, 18, '> 3 elementos HPI');
INSERT INTO `lang_definitions` VALUES (99328, 12357, 18, '> Check out');
INSERT INTO `lang_definitions` VALUES (99329, 12358, 18, '> não ocorreu');
INSERT INTO `lang_definitions` VALUES (99330, 12359, 18, '?');
INSERT INTO `lang_definitions` VALUES (99331, 12360, 18, '? Não compareceu');
INSERT INTO `lang_definitions` VALUES (99332, 12361, 18, '? Não Compareceu');
INSERT INTO `lang_definitions` VALUES (99333, 12362, 18, '@ Chegou');
INSERT INTO `lang_definitions` VALUES (99334, 12363, 18, '@ Atendido');
INSERT INTO `lang_definitions` VALUES (99335, 12364, 18, '[Alterar Visualização]');
INSERT INTO `lang_definitions` VALUES (99336, 12365, 18, '[Data da Última Consulta]');
INSERT INTO `lang_definitions` VALUES (99337, 12366, 18, '[Dias Desde a Última Consulta]');
INSERT INTO `lang_definitions` VALUES (99338, 12367, 18, '[EOBs]');
INSERT INTO `lang_definitions` VALUES (99339, 12368, 18, '[Exportar OFX]');
INSERT INTO `lang_definitions` VALUES (99340, 12369, 18, '[não recomendado]');
INSERT INTO `lang_definitions` VALUES (99341, 12370, 18, '[Número de encontros]');
INSERT INTO `lang_definitions` VALUES (99342, 12371, 18, '[Relatórios]');
INSERT INTO `lang_definitions` VALUES (99343, 12372, 18, '[Selecionar Todos]');
INSERT INTO `lang_definitions` VALUES (99344, 12373, 18, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (99345, 12374, 18, '[Iniciar Processamento Batch]');
INSERT INTO `lang_definitions` VALUES (99346, 12375, 18, '[Ver log]');
INSERT INTO `lang_definitions` VALUES (99347, 12376, 18, '[Ver Relatório para Impressão]');
INSERT INTO `lang_definitions` VALUES (99348, 12377, 18, '^ Pendente');
INSERT INTO `lang_definitions` VALUES (99349, 12378, 18, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (99350, 12379, 18, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (99351, 12380, 18, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (99352, 12381, 18, '~ Chegou atrasado');
INSERT INTO `lang_definitions` VALUES (99353, 12382, 18, '~ Chegada tardia');
INSERT INTO `lang_definitions` VALUES (99354, 1, 19, 'ا');
INSERT INTO `lang_definitions` VALUES (99355, 2, 19, 'رقم الإيصال أو المطالبة للتعريف بالدفع');
INSERT INTO `lang_definitions` VALUES (99356, 4, 19, 'شهادة عميل للمستخدم المشرف');
INSERT INTO `lang_definitions` VALUES (99357, 6, 19, 'تم إرفاق وثيقة طبية');
INSERT INTO `lang_definitions` VALUES (99358, 7, 19, 'تم إرفاق وثيقة طبية.');
INSERT INTO `lang_definitions` VALUES (99359, 13, 19, 'مطلوب موزع');
INSERT INTO `lang_definitions` VALUES (99360, 17, 19, 'ينبغي اضافة استمارة الزيارة لهذه الزيارة');
INSERT INTO `lang_definitions` VALUES (99361, 20, 19, 'رقم الشحنة مطلوب');
INSERT INTO `lang_definitions` VALUES (99362, 21, 19, 'رقم الشحنة مطلوب');
INSERT INTO `lang_definitions` VALUES (99363, 22, 19, 'حرف صغير من الأبجدية الانجليزية');
INSERT INTO `lang_definitions` VALUES (99364, 28, 19, 'رقم');
INSERT INTO `lang_definitions` VALUES (99365, 30, 19, 'هوية التعريف لهذا المريض موجودة مسبقاً');
INSERT INTO `lang_definitions` VALUES (99366, 31, 19, 'اسم هذا المريض موجود مسبقاً');
INSERT INTO `lang_definitions` VALUES (99367, 32, 19, 'رقم الضمان الاجتماعي لهذا المريض موجود مسبقاً');
INSERT INTO `lang_definitions` VALUES (99368, 37, 19, 'يعرض الرقم الموجب عدة مواعيد سابقة على أداة في شاشة ملخص المريض.');
INSERT INTO `lang_definitions` VALUES (99369, 43, 19, 'يمكن تحديد مصدر الإحالة عن كل زيارة');
INSERT INTO `lang_definitions` VALUES (99370, 44, 19, 'يطلب الرمز IPPF  ذو الصلة');
INSERT INTO `lang_definitions` VALUES (99371, 49, 19, 'حرف خاص');
INSERT INTO `lang_definitions` VALUES (99372, 53, 19, 'قيمة لامثيل لها للتعريف بهذا الحقل ,غير مرئية للمستخدم');
INSERT INTO `lang_definitions` VALUES (99373, 56, 19, 'الزيارة مفتوحه لهذا المريض اليوم. اضغط إلغاء لفتحها أو موافق لإنشاء زيارة جديدة');
INSERT INTO `lang_definitions` VALUES (99374, 57, 19, 'قبل الطعام');
INSERT INTO `lang_definitions` VALUES (99375, 58, 19, 'بعد الطعام');
INSERT INTO `lang_definitions` VALUES (99376, 60, 19, 'الرجفان الأذيني يمين المستوى');
INSERT INTO `lang_definitions` VALUES (99377, 62, 19, 'اب');
INSERT INTO `lang_definitions` VALUES (99378, 63, 19, 'اختصارات');
INSERT INTO `lang_definitions` VALUES (99379, 64, 19, 'خراج');
INSERT INTO `lang_definitions` VALUES (99380, 65, 19, 'بطني');
INSERT INTO `lang_definitions` VALUES (99381, 66, 19, 'قادر على حمل الوزن أربع خطوات');
INSERT INTO `lang_definitions` VALUES (99382, 67, 19, 'غير طبيعي');
INSERT INTO `lang_definitions` VALUES (99383, 68, 19, 'إشعار ميديكير المتقدم 1');
INSERT INTO `lang_definitions` VALUES (99384, 70, 19, 'غير عادي');
INSERT INTO `lang_definitions` VALUES (99385, 71, 19, 'فحص دم غير عادي');
INSERT INTO `lang_definitions` VALUES (99386, 72, 19, 'نمو شعر غير عادي');
INSERT INTO `lang_definitions` VALUES (99387, 73, 19, 'تصوير ثدي غير عادي');
INSERT INTO `lang_definitions` VALUES (99388, 75, 19, 'اجهاض');
INSERT INTO `lang_definitions` VALUES (99389, 76, 19, 'قضايا الإجهاض');
INSERT INTO `lang_definitions` VALUES (99390, 77, 19, 'طريقة الإجهاض');
INSERT INTO `lang_definitions` VALUES (99391, 78, 19, 'الفئات المتعلقة بالإجهاض');
INSERT INTO `lang_definitions` VALUES (99392, 79, 19, 'اجهاضات');
INSERT INTO `lang_definitions` VALUES (99393, 82, 19, 'عن المفكرة');
INSERT INTO `lang_definitions` VALUES (99394, 85, 19, 'غياب التشخيص');
INSERT INTO `lang_definitions` VALUES (99395, 87, 19, 'قبول المهمة');
INSERT INTO `lang_definitions` VALUES (99396, 89, 19, 'قبول الدفع ل');
INSERT INTO `lang_definitions` VALUES (99397, 90, 19, 'قبول الدفع ل');
INSERT INTO `lang_definitions` VALUES (99398, 91, 19, 'قبول المهمة');
INSERT INTO `lang_definitions` VALUES (99399, 93, 19, 'تحكم  بالوصول');
INSERT INTO `lang_definitions` VALUES (99400, 94, 19, 'ادارة قائمة التحكم بالوصول');
INSERT INTO `lang_definitions` VALUES (99401, 98, 19, 'تاريخ الوصول');
INSERT INTO `lang_definitions` VALUES (99402, 100, 19, 'مُنح الوصول انتقائياً لأجزاء من البرنامج على مبدأ عُلمَ عند الحاجة.');
INSERT INTO `lang_definitions` VALUES (99403, 102, 19, ' الوصول غير مسموح');
INSERT INTO `lang_definitions` VALUES (99404, 103, 19, 'الوصول غير مرخص به');
INSERT INTO `lang_definitions` VALUES (99405, 105, 19, 'الوصول إلى بوابة مريضكم');
INSERT INTO `lang_definitions` VALUES (99406, 106, 19, 'حادث');
INSERT INTO `lang_definitions` VALUES (99407, 107, 19, 'الحساب');
INSERT INTO `lang_definitions` VALUES (99408, 113, 19, 'اسم الحساب');
INSERT INTO `lang_definitions` VALUES (99409, 117, 19, 'المحاسبة');
INSERT INTO `lang_definitions` VALUES (99410, 122, 19, 'آلام');
INSERT INTO `lang_definitions` VALUES (99411, 124, 19, 'إشعار بإلاستلام  (ISA14)');
INSERT INTO `lang_definitions` VALUES (99412, 125, 19, 'الاشعارات والترخيص والتصديق');
INSERT INTO `lang_definitions` VALUES (99413, 126, 19, 'قائمة التحكم بالوصول');
INSERT INTO `lang_definitions` VALUES (99414, 127, 19, 'ادارة قائمة التحكم بالوصول');
INSERT INTO `lang_definitions` VALUES (99415, 129, 19, 'المستخدم ليس له صلاحية في ادارة قائمة التحكم بالوصول');
INSERT INTO `lang_definitions` VALUES (99416, 132, 19, 'تم تحديث ادارة قائمة التحكم بالوصول');
INSERT INTO `lang_definitions` VALUES (99417, 133, 19, 'حب الشباب');
INSERT INTO `lang_definitions` VALUES (99418, 136, 19, 'الحدث');
INSERT INTO `lang_definitions` VALUES (99419, 137, 19, 'تاريخ الحدوث');
INSERT INTO `lang_definitions` VALUES (99420, 138, 19, 'الحدث');
INSERT INTO `lang_definitions` VALUES (99421, 139, 19, 'الإجراء المتخذ');
INSERT INTO `lang_definitions` VALUES (99422, 140, 19, 'توقيت الإجراء');
INSERT INTO `lang_definitions` VALUES (99423, 142, 19, 'الاحداث');
INSERT INTO `lang_definitions` VALUES (99424, 144, 19, 'تفعيل تقارير  CCR / CCD');
INSERT INTO `lang_definitions` VALUES (99425, 148, 19, 'تنبيه نشط');
INSERT INTO `lang_definitions` VALUES (99426, 150, 19, 'تنبيه فعال');
INSERT INTO `lang_definitions` VALUES (99427, 152, 19, 'قواعد التنبيه الفعال');
INSERT INTO `lang_definitions` VALUES (99428, 153, 19, 'تنبيهات/تذكيرات فعالة');
INSERT INTO `lang_definitions` VALUES (99429, 158, 19, 'الموعد الفعال');
INSERT INTO `lang_definitions` VALUES (99430, 160, 19, 'القوائم الفعالة');
INSERT INTO `lang_definitions` VALUES (99431, 162, 19, 'المريض الفعال');
INSERT INTO `lang_definitions` VALUES (99432, 163, 19, 'خطط فعالة');
INSERT INTO `lang_definitions` VALUES (99433, 173, 19, 'فعالية');
INSERT INTO `lang_definitions` VALUES (99434, 174, 19, 'النوع الفعال');
INSERT INTO `lang_definitions` VALUES (99435, 185, 19, 'تسمم حاد/إنسحاب');
INSERT INTO `lang_definitions` VALUES (99436, 186, 19, 'عارض حاد لمرض مزمن');
INSERT INTO `lang_definitions` VALUES (99437, 187, 19, 'حاد أو مزمن');
INSERT INTO `lang_definitions` VALUES (99438, 189, 19, 'إضافة');
INSERT INTO `lang_definitions` VALUES (99439, 190, 19, 'إضافة');
INSERT INTO `lang_definitions` VALUES (99440, 191, 19, 'أضف');
INSERT INTO `lang_definitions` VALUES (99441, 192, 19, 'إضافة شركة');
INSERT INTO `lang_definitions` VALUES (99442, 193, 19, 'اضافه حاله');
INSERT INTO `lang_definitions` VALUES (99443, 197, 19, 'إضافة صيدلية');
INSERT INTO `lang_definitions` VALUES (99444, 200, 19, 'إضافة حدث ل');
INSERT INTO `lang_definitions` VALUES (99445, 202, 19, 'إضافة كملاحظة جديدة');
INSERT INTO `lang_definitions` VALUES (99446, 203, 19, 'إضافة جديد');
INSERT INTO `lang_definitions` VALUES (99447, 204, 19, 'اضافه مريض جديد');
INSERT INTO `lang_definitions` VALUES (99448, 206, 19, 'أضف أزرار');
INSERT INTO `lang_definitions` VALUES (99449, 207, 19, 'إضافة ازار للحروف والرموز الخاصة يتم عرضها أعلى محرر النصوص ويتم ادراجها ضمن النص عند الضغط عليها');
INSERT INTO `lang_definitions` VALUES (99450, 208, 19, 'إضافة فئة');
INSERT INTO `lang_definitions` VALUES (99451, 209, 19, 'إضافة ثابت');
INSERT INTO `lang_definitions` VALUES (99452, 210, 19, 'اضافة حالة');
INSERT INTO `lang_definitions` VALUES (99453, 211, 19, 'إضافة تحمل');
INSERT INTO `lang_definitions` VALUES (99454, 212, 19, 'أضف حالة');
INSERT INTO `lang_definitions` VALUES (99455, 213, 19, 'إضافة زر مخصص');
INSERT INTO `lang_definitions` VALUES (99456, 216, 19, 'أضف تشخيص');
INSERT INTO `lang_definitions` VALUES (99457, 217, 19, 'إضافة دواء');
INSERT INTO `lang_definitions` VALUES (99458, 220, 19, 'إضافة موعد');
INSERT INTO `lang_definitions` VALUES (99459, 221, 19, 'إضافة زيارة / ملاحظات');
INSERT INTO `lang_definitions` VALUES (99460, 222, 19, 'إضافة مرفق');
INSERT INTO `lang_definitions` VALUES (99461, 223, 19, 'إضافة حقل');
INSERT INTO `lang_definitions` VALUES (99462, 224, 19, 'إضافة  الأسطر التالية إلى تكوين ملف اباتشي');
INSERT INTO `lang_definitions` VALUES (99463, 225, 19, 'إضافة مجموعة');
INSERT INTO `lang_definitions` VALUES (99464, 227, 19, 'إضافة  رمز التصنيفات الإحصائية الدولية للأمراض');
INSERT INTO `lang_definitions` VALUES (99465, 228, 19, 'إضافة لقاح');
INSERT INTO `lang_definitions` VALUES (99466, 229, 19, 'الإضافة غير مسموحة');
INSERT INTO `lang_definitions` VALUES (99467, 230, 19, 'إضافة مسألة');
INSERT INTO `lang_definitions` VALUES (99468, 231, 19, 'إضافة بند للمتابعة');
INSERT INTO `lang_definitions` VALUES (99469, 232, 19, 'إضافة لغة');
INSERT INTO `lang_definitions` VALUES (99470, 238, 19, 'إضافة عنصر جديد');
INSERT INTO `lang_definitions` VALUES (99471, 239, 19, 'إضافة عنصر جديد');
INSERT INTO `lang_definitions` VALUES (99472, 240, 19, 'إضافة فئة جديدة');
INSERT INTO `lang_definitions` VALUES (99473, 241, 19, 'إضافة شهادات جديدة لتكوين ملف اباتشي');
INSERT INTO `lang_definitions` VALUES (99474, 242, 19, 'إضافة مكوّن جديد');
INSERT INTO `lang_definitions` VALUES (99475, 243, 19, 'إضافة مكوّنات جديدة');
INSERT INTO `lang_definitions` VALUES (99476, 249, 19, 'إضافة مجموعة جديدة');
INSERT INTO `lang_definitions` VALUES (99477, 250, 19, 'إضافة مشكلة جديدة');
INSERT INTO `lang_definitions` VALUES (99478, 251, 19, 'إضافة شحنة و معاملة جديدة');
INSERT INTO `lang_definitions` VALUES (99479, 253, 19, 'إضافة ملاحظة جديدة');
INSERT INTO `lang_definitions` VALUES (99480, 254, 19, 'إضافة ملاحظة جديدة');
INSERT INTO `lang_definitions` VALUES (99481, 255, 19, 'إضافة شريك جديد');
INSERT INTO `lang_definitions` VALUES (99482, 256, 19, 'إضافة مريض جديد');
INSERT INTO `lang_definitions` VALUES (99483, 264, 19, 'إضافة ملاحظة');
INSERT INTO `lang_definitions` VALUES (99484, 268, 19, 'إضافة سجل مريض');
INSERT INTO `lang_definitions` VALUES (99485, 269, 19, 'إضافة وصفة');
INSERT INTO `lang_definitions` VALUES (99486, 270, 19, 'إضافة إجراء');
INSERT INTO `lang_definitions` VALUES (99487, 271, 19, 'إضافة رقم المزود');
INSERT INTO `lang_definitions` VALUES (99488, 273, 19, 'إضافة إعادة التأهيل');
INSERT INTO `lang_definitions` VALUES (99489, 274, 19, 'أضف امر');
INSERT INTO `lang_definitions` VALUES (99490, 277, 19, 'إضافة الى');
INSERT INTO `lang_definitions` VALUES (99491, 281, 19, 'إضافة الى قائمة الأدوية');
INSERT INTO `lang_definitions` VALUES (99492, 282, 19, 'إضافة المستوى الأعلى');
INSERT INTO `lang_definitions` VALUES (99493, 283, 19, 'إضافة تحويل');
INSERT INTO `lang_definitions` VALUES (99494, 284, 19, 'إضافة مستخدم');
INSERT INTO `lang_definitions` VALUES (99495, 285, 19, 'إضافة مستخدم الى مجموعة');
INSERT INTO `lang_definitions` VALUES (99496, 287, 19, 'أضف/عدل الوصفات الطبية الالكترونية اي آر اكس');
INSERT INTO `lang_definitions` VALUES (99497, 289, 19, 'إضافة / أو تعديل اجراء للمريض');
INSERT INTO `lang_definitions` VALUES (99498, 290, 19, 'مضاف');
INSERT INTO `lang_definitions` VALUES (99499, 293, 19, 'إضافة معلومات ديموغرافية غير مسموح');
INSERT INTO `lang_definitions` VALUES (99500, 294, 19, 'لقد فشلت إضافه بند للمتابعة');
INSERT INTO `lang_definitions` VALUES (99501, 295, 19, 'متلازمة أديسون');
INSERT INTO `lang_definitions` VALUES (99502, 296, 19, 'متلازمة أديسون');
INSERT INTO `lang_definitions` VALUES (99503, 297, 19, 'سمات اضافية');
INSERT INTO `lang_definitions` VALUES (99504, 298, 19, 'بيانات اضافيه');
INSERT INTO `lang_definitions` VALUES (99505, 300, 19, 'تشخيص اضافي');
INSERT INTO `lang_definitions` VALUES (99506, 305, 19, 'تاريخ مرضي اضافي');
INSERT INTO `lang_definitions` VALUES (99507, 306, 19, 'ملاحظات في التاريخ المرضي اضافية');
INSERT INTO `lang_definitions` VALUES (99508, 307, 19, 'معلومات اضافية');
INSERT INTO `lang_definitions` VALUES (99509, 310, 19, 'تحاليل مخبرية اضافية');
INSERT INTO `lang_definitions` VALUES (99510, 311, 19, 'ملاحظات اضافية');
INSERT INTO `lang_definitions` VALUES (99511, 313, 19, 'توصيات او ملاحظات اضافية للنتيجة');
INSERT INTO `lang_definitions` VALUES (99512, 314, 19, 'ملاحظات اضافية');
INSERT INTO `lang_definitions` VALUES (99513, 315, 19, 'ملاحظات اضافية');
INSERT INTO `lang_definitions` VALUES (99514, 317, 19, 'ملاحظات شعاعية اضافية');
INSERT INTO `lang_definitions` VALUES (99515, 318, 19, 'إضافيا, يمكن استيراد طرد Snomed للولايات المتحدة بعد الطراز العالمي منها');
INSERT INTO `lang_definitions` VALUES (99516, 320, 19, 'إضافة محددة');
INSERT INTO `lang_definitions` VALUES (99517, 322, 19, 'دفتر العناوين');
INSERT INTO `lang_definitions` VALUES (99518, 323, 19, 'دفتر العناوين');
INSERT INTO `lang_definitions` VALUES (99519, 324, 19, 'العنوان');
INSERT INTO `lang_definitions` VALUES (99520, 327, 19, 'دفتر العناوين');
INSERT INTO `lang_definitions` VALUES (99521, 328, 19, 'مدخلات دفتر العناوين الخاصة بالشركة التي تقوم بهذه اﻹجراءات');
INSERT INTO `lang_definitions` VALUES (99522, 329, 19, 'ادخال دفتر العناوين للموزع');
INSERT INTO `lang_definitions` VALUES (99523, 330, 19, 'ادخال دفتر العناوين للبائع');
INSERT INTO `lang_definitions` VALUES (99524, 331, 19, 'أنواع دفتر العناوين');
INSERT INTO `lang_definitions` VALUES (99525, 332, 19, 'ملصق العنوان');
INSERT INTO `lang_definitions` VALUES (99526, 333, 19, 'ملصقات العنوان');
INSERT INTO `lang_definitions` VALUES (99527, 336, 19, 'العنوان');
INSERT INTO `lang_definitions` VALUES (99528, 338, 19, 'العنوان  الولايه والرقم البريدي');
INSERT INTO `lang_definitions` VALUES (99529, 339, 19, 'العنوان 1');
INSERT INTO `lang_definitions` VALUES (99530, 340, 19, 'العنوان 2');
INSERT INTO `lang_definitions` VALUES (99531, 342, 19, 'مخاطب');
INSERT INTO `lang_definitions` VALUES (99532, 345, 19, 'تعديل');
INSERT INTO `lang_definitions` VALUES (99533, 346, 19, 'مقدار التعديل');
INSERT INTO `lang_definitions` VALUES (99534, 347, 19, 'عدّل');
INSERT INTO `lang_definitions` VALUES (99535, 348, 19, 'تعديل');
INSERT INTO `lang_definitions` VALUES (99536, 349, 19, 'كمية التعديل');
INSERT INTO `lang_definitions` VALUES (99537, 350, 19, 'أسباب التعديل');
INSERT INTO `lang_definitions` VALUES (99538, 352, 19, 'القيمة المعدلة للرمز');
INSERT INTO `lang_definitions` VALUES (99539, 353, 19, 'تعديلات');
INSERT INTO `lang_definitions` VALUES (99540, 354, 19, 'تعديلات المدير');
INSERT INTO `lang_definitions` VALUES (99541, 355, 19, 'المدير');
INSERT INTO `lang_definitions` VALUES (99542, 356, 19, 'العنوان الإلكتروني للمدير');
INSERT INTO `lang_definitions` VALUES (99543, 357, 19, 'ادير/ قدم من');
INSERT INTO `lang_definitions` VALUES (99544, 359, 19, 'ادار/قدم');
INSERT INTO `lang_definitions` VALUES (99545, 360, 19, 'ادارة عن طريق');
INSERT INTO `lang_definitions` VALUES (99546, 361, 19, 'تاريخ مُدار');
INSERT INTO `lang_definitions` VALUES (99547, 362, 19, 'موقع مُدار');
INSERT INTO `lang_definitions` VALUES (99548, 363, 19, 'الإدارة');
INSERT INTO `lang_definitions` VALUES (99549, 365, 19, 'موقع الإدارة');
INSERT INTO `lang_definitions` VALUES (99550, 366, 19, 'المدراء');
INSERT INTO `lang_definitions` VALUES (99551, 367, 19, 'المدراء لهم كافة الصلاحيات');
INSERT INTO `lang_definitions` VALUES (99552, 368, 19, 'تاريخ الدخول');
INSERT INTO `lang_definitions` VALUES (99553, 371, 19, 'فحص الوزن والمتابعة للبالغين');
INSERT INTO `lang_definitions` VALUES (99554, 372, 19, 'فحص الوزن والمتابعة للبالغين (CQM)');
INSERT INTO `lang_definitions` VALUES (99555, 373, 19, 'التوجيه مقدما');
INSERT INTO `lang_definitions` VALUES (99556, 374, 19, 'توجيهات متقدمة');
INSERT INTO `lang_definitions` VALUES (99557, 375, 19, 'توجيهات تحذيرية متقدمة');
INSERT INTO `lang_definitions` VALUES (99558, 377, 19, 'متقدم');
INSERT INTO `lang_definitions` VALUES (99559, 380, 19, 'نصيحة');
INSERT INTO `lang_definitions` VALUES (99560, 381, 19, 'بعيد');
INSERT INTO `lang_definitions` VALUES (99561, 382, 19, 'يؤثر طبيعياً');
INSERT INTO `lang_definitions` VALUES (99562, 383, 19, 'جنوب افريقي أبيض');
INSERT INTO `lang_definitions` VALUES (99563, 386, 19, 'مكالمة بعد ساعات');
INSERT INTO `lang_definitions` VALUES (99564, 387, 19, 'بعد التحول من آلية كلمة السر القديمة , يجب تعيين علامة سالبة بحيث تكون المصاقة ممكنة من خلال طريقة جديدة');
INSERT INTO `lang_definitions` VALUES (99565, 388, 19, 'بعد القيام باﻹعدادات اعلاه، قم باستصدار شهادة إدراة النظام الزبون الى المتصفح ومن ثم قم بإعادة تشغيل خادم الويب (أباتشي)(كلمة سر فارغة)');
INSERT INTO `lang_definitions` VALUES (99566, 390, 19, 'بعد حفظ الملف بصيغة بدف اضغط مشاهدة السجل للتأكد من عدم وجود أخطاء');
INSERT INTO `lang_definitions` VALUES (99567, 393, 19, 'بعد حفظ الملف نصي بدف اضغط مشاهدة السجل للتأكد من عدم وجود أخطاء');
INSERT INTO `lang_definitions` VALUES (99568, 396, 19, 'بعد حفظ تعديلك اضغط مشاهدة السجل للتأكد من عدم وجود أخطاء');
INSERT INTO `lang_definitions` VALUES (99569, 399, 19, 'بعد ادخال المعلومات بشكل صحيح اضغط زر الحفظ');
INSERT INTO `lang_definitions` VALUES (99570, 404, 19, 'التخطيط للرعاية اللاحقة');
INSERT INTO `lang_definitions` VALUES (99571, 406, 19, 'مرة اخرى');
INSERT INTO `lang_definitions` VALUES (99572, 407, 19, 'العمر');
INSERT INTO `lang_definitions` VALUES (99573, 409, 19, 'العمر ب');
INSERT INTO `lang_definitions` VALUES (99574, 410, 19, 'الفئة العمرية');
INSERT INTO `lang_definitions` VALUES (99575, 411, 19, 'بيانات العمر خارج المجال');
INSERT INTO `lang_definitions` VALUES (99576, 412, 19, 'نمط عرض العمر');
INSERT INTO `lang_definitions` VALUES (99577, 413, 19, 'نمط ادخال العمر ل (العمر من ) غير صحيح');
INSERT INTO `lang_definitions` VALUES (99578, 414, 19, 'نمط ادخال العمر ل (العمر الى) غير صحيح');
INSERT INTO `lang_definitions` VALUES (99579, 415, 19, 'العمر من');
INSERT INTO `lang_definitions` VALUES (99580, 416, 19, 'العمر بالسنوات للتغير في صيغة العرض');
INSERT INTO `lang_definitions` VALUES (99581, 417, 19, 'اكبر عمر');
INSERT INTO `lang_definitions` VALUES (99582, 418, 19, 'اصغر عمر');
INSERT INTO `lang_definitions` VALUES (99583, 419, 19, 'مدى العمر');
INSERT INTO `lang_definitions` VALUES (99584, 421, 19, 'أعمدة العمر');
INSERT INTO `lang_definitions` VALUES (99585, 422, 19, 'لغه ساحل العاج و غانا');
INSERT INTO `lang_definitions` VALUES (99586, 423, 19, 'ألباني');
INSERT INTO `lang_definitions` VALUES (99587, 424, 19, 'الكحول');
INSERT INTO `lang_definitions` VALUES (99588, 425, 19, 'استهلاك الكحول');
INSERT INTO `lang_definitions` VALUES (99589, 426, 19, 'إستعمال الكحول');
INSERT INTO `lang_definitions` VALUES (99590, 428, 19, 'عدد التحذير');
INSERT INTO `lang_definitions` VALUES (99591, 435, 19, 'تحذيرات');
INSERT INTO `lang_definitions` VALUES (99592, 439, 19, 'الألوشية');
INSERT INTO `lang_definitions` VALUES (99593, 440, 19, 'الكل');
INSERT INTO `lang_definitions` VALUES (99594, 441, 19, 'الكل');
INSERT INTO `lang_definitions` VALUES (99595, 443, 19, 'الكل(نموذج أ)');
INSERT INTO `lang_definitions` VALUES (99596, 444, 19, 'الكل (نموذج ب)');
INSERT INTO `lang_definitions` VALUES (99597, 445, 19, 'الكل (متراكم)');
INSERT INTO `lang_definitions` VALUES (99598, 447, 19, 'كل الحسابات اتوماتيكية (AMC)');
INSERT INTO `lang_definitions` VALUES (99599, 448, 19, 'كل الفئات');
INSERT INTO `lang_definitions` VALUES (99600, 449, 19, 'كل مقاييس النوعية الاكلينيكيه (CQM)');
INSERT INTO `lang_definitions` VALUES (99601, 450, 19, 'كل الرموز');
INSERT INTO `lang_definitions` VALUES (99602, 453, 19, 'كل الأيام');
INSERT INTO `lang_definitions` VALUES (99603, 454, 19, 'كل أحداث اليوم');
INSERT INTO `lang_definitions` VALUES (99604, 455, 19, 'كل الحقول الديموغرافية التي لها فحص للبحث والتكرار');
INSERT INTO `lang_definitions` VALUES (99605, 457, 19, 'كل الهيئات');
INSERT INTO `lang_definitions` VALUES (99606, 458, 19, 'كل اﻹصابات/المشاكل/القضايا');
INSERT INTO `lang_definitions` VALUES (99607, 459, 19, 'كل اللغات المسموحة');
INSERT INTO `lang_definitions` VALUES (99608, 462, 19, 'كل أو جزء من الإسم الأول');
INSERT INTO `lang_definitions` VALUES (99609, 463, 19, 'كل أو جزء من الإسم الأخير');
INSERT INTO `lang_definitions` VALUES (99610, 464, 19, 'كل أو جزء من المنظومة');
INSERT INTO `lang_definitions` VALUES (99611, 466, 19, 'كل المرضي');
INSERT INTO `lang_definitions` VALUES (99612, 468, 19, 'كل المنتجات');
INSERT INTO `lang_definitions` VALUES (99613, 469, 19, 'كل المزودين');
INSERT INTO `lang_definitions` VALUES (99614, 470, 19, 'الكل تمت مراجعته وسلبي');
INSERT INTO `lang_definitions` VALUES (99615, 475, 19, 'كافة المواضيع');
INSERT INTO `lang_definitions` VALUES (99616, 478, 19, 'كافة المستخدمين');
INSERT INTO `lang_definitions` VALUES (99617, 479, 19, 'تحسسي');
INSERT INTO `lang_definitions` VALUES (99618, 480, 19, 'متحسس من');
INSERT INTO `lang_definitions` VALUES (99619, 481, 19, 'المحسسات');
INSERT INTO `lang_definitions` VALUES (99620, 484, 19, 'المحسسات:');
INSERT INTO `lang_definitions` VALUES (99621, 485, 19, 'الحساسية');
INSERT INTO `lang_definitions` VALUES (99622, 486, 19, 'تم إستيراد سجلات الحساسية بنجاح');
INSERT INTO `lang_definitions` VALUES (99623, 487, 19, 'قائمة مشاكل الحساسية');
INSERT INTO `lang_definitions` VALUES (99624, 488, 19, 'ارتكاس حساسية');
INSERT INTO `lang_definitions` VALUES (99625, 489, 19, 'تحذير حساسيه');
INSERT INTO `lang_definitions` VALUES (99626, 490, 19, 'تحذير حساسيه');
INSERT INTO `lang_definitions` VALUES (99627, 491, 19, 'تخصيص');
INSERT INTO `lang_definitions` VALUES (99628, 492, 19, 'اسمح');
INSERT INTO `lang_definitions` VALUES (99629, 493, 19, 'اسمح للمديرين بمسح المرضي');
INSERT INTO `lang_definitions` VALUES (99630, 494, 19, 'جعل كل اللغات المثبتة متاحة عند الدخول إلى النظام');
INSERT INTO `lang_definitions` VALUES (99631, 496, 19, 'إسمح بإضافة مطالبات محتوية على تشخيصات ولكن لا تحتوي على إجراءات أو اسعار. معظم المستوصفات والعيادات لا تفضل هذا.');
INSERT INTO `lang_definitions` VALUES (99632, 497, 19, 'السماح بلغة التصحيح');
INSERT INTO `lang_definitions` VALUES (99633, 500, 19, 'السماح بالبريد الإلكتروني');
INSERT INTO `lang_definitions` VALUES (99634, 501, 19, 'السماح برسائل البريد الإلكتروني');
INSERT INTO `lang_definitions` VALUES (99635, 502, 19, 'السماح بالبريد الإلكتروني ؟');
INSERT INTO `lang_definitions` VALUES (99636, 503, 19, 'السماح بمطالبات المراجعة');
INSERT INTO `lang_definitions` VALUES (99637, 506, 19, 'السماح بتبادل المعلومات الصحية');
INSERT INTO `lang_definitions` VALUES (99638, 508, 19, 'السماح بمشاركة معلومات التحصينات');
INSERT INTO `lang_definitions` VALUES (99639, 509, 19, 'السماح باستخدام سجل التحصينات');
INSERT INTO `lang_definitions` VALUES (99640, 512, 19, 'السماح برسالة بريدية');
INSERT INTO `lang_definitions` VALUES (99641, 533, 19, 'السماح بالبوابة اﻹلكترونية للمرضى');
INSERT INTO `lang_definitions` VALUES (99642, 541, 19, 'السماح برسالة نصية');
INSERT INTO `lang_definitions` VALUES (99643, 542, 19, 'السماح برسالة نصية ؟');
INSERT INTO `lang_definitions` VALUES (99644, 544, 19, 'السماح بالأحداث المدخلة لتصبح فعالة بسرعة؟');
INSERT INTO `lang_definitions` VALUES (99645, 545, 19, 'السماح بالرسائل الهاتفية');
INSERT INTO `lang_definitions` VALUES (99646, 547, 19, 'السماح للمستخدمين بنشر الأحداث العامة');
INSERT INTO `lang_definitions` VALUES (99647, 548, 19, 'السماح للمستخدمين بنشر المواعيد الشخصية');
INSERT INTO `lang_definitions` VALUES (99648, 554, 19, 'السماح بالرسائل الصوتية');
INSERT INTO `lang_definitions` VALUES (99649, 555, 19, 'مسموح');
INSERT INTO `lang_definitions` VALUES (99650, 556, 19, 'اللغات المسموح بها');
INSERT INTO `lang_definitions` VALUES (99651, 558, 19, 'مسموح (c)');
INSERT INTO `lang_definitions` VALUES (99652, 559, 19, 'السماح بالتوقيع الرقمي علي كل الزيارة');
INSERT INTO `lang_definitions` VALUES (99653, 560, 19, 'السماح بالتوقيع الرقمي كل علي حدة');
INSERT INTO `lang_definitions` VALUES (99654, 561, 19, 'السماح للبريد');
INSERT INTO `lang_definitions` VALUES (99655, 562, 19, 'السماح للرسائل الصوتية');
INSERT INTO `lang_definitions` VALUES (99656, 566, 19, 'موجود');
INSERT INTO `lang_definitions` VALUES (99657, 568, 19, 'متواجد حالياً');
INSERT INTO `lang_definitions` VALUES (99658, 570, 19, 'مستخدم حالياً ,الرجاء اختيار تعريف آخر');
INSERT INTO `lang_definitions` VALUES (99659, 571, 19, 'مستخدم حالياً,الرجاء اختيار تعريف آخر');
INSERT INTO `lang_definitions` VALUES (99660, 573, 19, 'عنوان بديل');
INSERT INTO `lang_definitions` VALUES (99661, 577, 19, 'تبدل');
INSERT INTO `lang_definitions` VALUES (99662, 584, 19, 'بشكل بديل, يمكنك استخدام صفحة البحث لتحميل الملف التحويلات المالية الإلكترونية الذي كنت قد تم الحصول عليها من دافع أو تبادل المعلومات الخاصة بك. يمكنك القيام بذلك عن طريق النقر على زر تصفح واختيار ملف للتحميل ، ثم انقر فوق بحث لأداء وتحميل وعرض الفواتير المناظرة. في هذه الحالة المعلمات الأخرى المذكورة أعلاه لا تنطبق وسيتم تجاهلها. تحميل يحفظ الملف لكنها لا عملية محتوياته ، والتي تتم بصورة منفصلة على النحو المبين أدناه.');
INSERT INTO `lang_definitions` VALUES (99663, 586, 19, 'صباحاً');
INSERT INTO `lang_definitions` VALUES (99664, 587, 19, 'البرنامج الصباحي');
INSERT INTO `lang_definitions` VALUES (99665, 592, 19, 'حسابات القياس اﻵلي');
INSERT INTO `lang_definitions` VALUES (99666, 593, 19, 'متابعة حسابات القياس اﻵلي');
INSERT INTO `lang_definitions` VALUES (99667, 594, 19, 'حسابات القياس اﻵلي');
INSERT INTO `lang_definitions` VALUES (99668, 600, 19, 'تغيير ملاحظة موجودة');
INSERT INTO `lang_definitions` VALUES (99669, 602, 19, 'طلب تعديل أو إضافة');
INSERT INTO `lang_definitions` VALUES (99670, 604, 19, 'حالة التعديل أو الإضافة');
INSERT INTO `lang_definitions` VALUES (99671, 605, 19, 'تعديلات أو إضافات');
INSERT INTO `lang_definitions` VALUES (99672, 609, 19, 'تعديلات أو إضافات ل');
INSERT INTO `lang_definitions` VALUES (99673, 610, 19, 'هندي أمريكي');
INSERT INTO `lang_definitions` VALUES (99674, 611, 19, 'هندي أمريكي أو من اﻷسكا');
INSERT INTO `lang_definitions` VALUES (99675, 612, 19, 'بطاقة اميريكان اكسبرس');
INSERT INTO `lang_definitions` VALUES (99676, 613, 19, 'اللغة الأمهرية');
INSERT INTO `lang_definitions` VALUES (99677, 614, 19, 'كمية');
INSERT INTO `lang_definitions` VALUES (99678, 615, 19, 'الكمية المُدخلة');
INSERT INTO `lang_definitions` VALUES (99679, 617, 19, 'تكاليف الكمية');
INSERT INTO `lang_definitions` VALUES (99680, 620, 19, 'كمية التوازن الماضي');
INSERT INTO `lang_definitions` VALUES (99681, 621, 19, 'مقدار هذه الزيارة');
INSERT INTO `lang_definitions` VALUES (99682, 622, 19, 'المقدار المدفوع');
INSERT INTO `lang_definitions` VALUES (99683, 623, 19, 'الكمية');
INSERT INTO `lang_definitions` VALUES (99684, 626, 19, 'قيمة الفاتورة');
INSERT INTO `lang_definitions` VALUES (99685, 630, 19, 'تاريخ نهاية بعد تاريخ البداية مطلوب للأحداث المتكررة');
INSERT INTO `lang_definitions` VALUES (99686, 632, 19, 'OpenEMR حدث خطأ أثناء إلقاء دليل الويب شجرة ل');
INSERT INTO `lang_definitions` VALUES (99687, 633, 19, 'phpGACL حدث خطأ أثناء إلقاء دليل الويب شجرة ل');
INSERT INTO `lang_definitions` VALUES (99688, 634, 19, 'SQL-Ledger حدث خطأ أثناء إلقاء دليل الويب شجرة ل');
INSERT INTO `lang_definitions` VALUES (99689, 638, 19, 'القضية غير مكتملة تم إنشاؤها وربطها. شخص ما يجب حاجة لاستكماله في وقت لاحق');
INSERT INTO `lang_definitions` VALUES (99690, 644, 19, 'حدث خطأ غير متوقع');
INSERT INTO `lang_definitions` VALUES (99691, 646, 19, 'حرف');
INSERT INTO `lang_definitions` VALUES (99692, 648, 19, 'و');
INSERT INTO `lang_definitions` VALUES (99693, 649, 19, 'و');
INSERT INTO `lang_definitions` VALUES (99694, 650, 19, 'و');
INSERT INTO `lang_definitions` VALUES (99695, 651, 19, 'و');
INSERT INTO `lang_definitions` VALUES (99696, 652, 19, 'وجميع معلومات المرؤسين؟ سيتم تسجيل هذه العملية في النظام');
INSERT INTO `lang_definitions` VALUES (99697, 653, 19, 'و المُعدل');
INSERT INTO `lang_definitions` VALUES (99698, 654, 19, 'و تمت معالجته');
INSERT INTO `lang_definitions` VALUES (99699, 656, 19, 'اعادة تشغيل سيرفر الـ‘أباتشي‘');
INSERT INTO `lang_definitions` VALUES (99700, 657, 19, 'و السبب هو');
INSERT INTO `lang_definitions` VALUES (99701, 659, 19, 'فقر الدم');
INSERT INTO `lang_definitions` VALUES (99702, 660, 19, 'الكاحل');
INSERT INTO `lang_definitions` VALUES (99703, 661, 19, 'الكاحل + العقب');
INSERT INTO `lang_definitions` VALUES (99704, 662, 19, 'نموذج تقييم الكاحل');
INSERT INTO `lang_definitions` VALUES (99705, 663, 19, 'مشاكل الكاحل');
INSERT INTO `lang_definitions` VALUES (99706, 664, 19, 'التهاب الفقار اللاصق');
INSERT INTO `lang_definitions` VALUES (99707, 665, 19, 'التهاب الفقار اللاصق');
INSERT INTO `lang_definitions` VALUES (99708, 666, 19, 'فقدان الشهية');
INSERT INTO `lang_definitions` VALUES (99709, 667, 19, 'شيء آخر يمكنك القيام به في نافذة الطلب هو طلب الفواتير الثانوية. إذا قمت بتحديد صندوق الاختيار هذا قبل الحفظ، سيتم إعادة فتح المطالبة الأصلية وتوضع على قائمة الانتظار في صفحة الفواتير، وسيتم معالجتها خلال عملية الفوترة القادمة.');
INSERT INTO `lang_definitions` VALUES (99710, 671, 19, 'قبل');
INSERT INTO `lang_definitions` VALUES (99711, 676, 19, 'فحص اشرج سوي, لا كتل أو مضض في المستقيم');
INSERT INTO `lang_definitions` VALUES (99712, 677, 19, 'قلق');
INSERT INTO `lang_definitions` VALUES (99713, 679, 19, 'أي منها');
INSERT INTO `lang_definitions` VALUES (99714, 682, 19, 'أي فئة');
INSERT INTO `lang_definitions` VALUES (99715, 688, 19, 'اي جزء من الرمز المطلوب او وصفه');
INSERT INTO `lang_definitions` VALUES (99716, 689, 19, 'أي جزء من الإختصاص المطلوب');
INSERT INTO `lang_definitions` VALUES (99717, 690, 19, 'أي جزء من رقم أو إسم الدواء');
INSERT INTO `lang_definitions` VALUES (99718, 691, 19, 'أي جزء من رقم أو إسم اللقاح');
INSERT INTO `lang_definitions` VALUES (99719, 692, 19, 'أي جزء من اسم المريض');
INSERT INTO `lang_definitions` VALUES (99720, 693, 19, 'هل من معلومات أخرى؟');
INSERT INTO `lang_definitions` VALUES (99721, 699, 19, 'مفتاح الكود البرمجي لبوابة رسائل الجوال');
INSERT INTO `lang_definitions` VALUES (99722, 703, 19, 'توقف تنفس');
INSERT INTO `lang_definitions` VALUES (99723, 710, 19, 'المظهر');
INSERT INTO `lang_definitions` VALUES (99724, 711, 19, 'المظهر:');
INSERT INTO `lang_definitions` VALUES (99725, 714, 19, 'ارفاق هذه الملاحظة');
INSERT INTO `lang_definitions` VALUES (99726, 716, 19, 'إضافة الى الملاحظة الموجودة');
INSERT INTO `lang_definitions` VALUES (99727, 717, 19, 'إضافة الى هذه الملاحظة');
INSERT INTO `lang_definitions` VALUES (99728, 718, 19, 'إضافة الى هذه الملاحظة');
INSERT INTO `lang_definitions` VALUES (99729, 719, 19, 'استئصال الزائدة');
INSERT INTO `lang_definitions` VALUES (99730, 721, 19, 'المرضى المعنيين');
INSERT INTO `lang_definitions` VALUES (99731, 722, 19, 'استمارة');
INSERT INTO `lang_definitions` VALUES (99732, 723, 19, 'إسم تطبيق صفجة الدخول و عنوان النافذة الرئيسية');
INSERT INTO `lang_definitions` VALUES (99733, 724, 19, 'رمز مستقبل الطلب');
INSERT INTO `lang_definitions` VALUES (99734, 725, 19, '(GS02) رمز التطبيق المرسل');
INSERT INTO `lang_definitions` VALUES (99735, 726, 19, 'عنوان الطلب');
INSERT INTO `lang_definitions` VALUES (99736, 727, 19, 'ينطبق على نموذج العلامات الحيوية و مخطط النمو');
INSERT INTO `lang_definitions` VALUES (99737, 728, 19, 'أضف التغيرات للحدث الحالي فقط');
INSERT INTO `lang_definitions` VALUES (99738, 729, 19, 'تطبيق التغييرات على الحدث الحالي وما يليه أو جميع اﻷحداث؟');
INSERT INTO `lang_definitions` VALUES (99739, 730, 19, 'تطبيق على المنطقة المصابة');
INSERT INTO `lang_definitions` VALUES (99740, 731, 19, 'تطبيق على الجلد');
INSERT INTO `lang_definitions` VALUES (99741, 732, 19, 'تطبيق');
INSERT INTO `lang_definitions` VALUES (99742, 733, 19, 'تحديث الموقع');
INSERT INTO `lang_definitions` VALUES (99743, 734, 19, 'موعد');
INSERT INTO `lang_definitions` VALUES (99744, 735, 19, 'فئه الموعد');
INSERT INTO `lang_definitions` VALUES (99745, 736, 19, 'تاريخ الموعد');
INSERT INTO `lang_definitions` VALUES (99746, 742, 19, 'طريقة عرض الموعد');
INSERT INTO `lang_definitions` VALUES (99747, 744, 19, 'قواعد التذكير بالموعد');
INSERT INTO `lang_definitions` VALUES (99748, 746, 19, 'حالة الموعد');
INSERT INTO `lang_definitions` VALUES (99749, 747, 19, 'حالات الموعد');
INSERT INTO `lang_definitions` VALUES (99750, 748, 19, 'الموعد خلال');
INSERT INTO `lang_definitions` VALUES (99751, 749, 19, 'لون الموعد أو الحدث');
INSERT INTO `lang_definitions` VALUES (99752, 750, 19, 'المواعيد');
INSERT INTO `lang_definitions` VALUES (99753, 751, 19, 'المواعيد (الكتابة اختيارية)');
INSERT INTO `lang_definitions` VALUES (99754, 752, 19, 'المواعيد (الكتابة اختيارية)');
INSERT INTO `lang_definitions` VALUES (99755, 758, 19, 'المواعيد والمقابلات');
INSERT INTO `lang_definitions` VALUES (99756, 760, 19, 'تقرير بالمواعيد');
INSERT INTO `lang_definitions` VALUES (99757, 761, 19, 'تقرير بالمواعيد والمقابلات');
INSERT INTO `lang_definitions` VALUES (99758, 764, 19, 'موافق');
INSERT INTO `lang_definitions` VALUES (99759, 767, 19, 'الموافقة');
INSERT INTO `lang_definitions` VALUES (99760, 768, 19, 'ادارة الأحداث الموافقة');
INSERT INTO `lang_definitions` VALUES (99761, 769, 19, 'تمت الموافقة بنجاح');
INSERT INTO `lang_definitions` VALUES (99762, 774, 19, 'المواعيد والمقابلات');
INSERT INTO `lang_definitions` VALUES (99763, 776, 19, 'المواعيد');
INSERT INTO `lang_definitions` VALUES (99764, 779, 19, 'أبريل/نيسان');
INSERT INTO `lang_definitions` VALUES (99765, 780, 19, 'أبريل/نيسان');
INSERT INTO `lang_definitions` VALUES (99766, 782, 19, 'العربية');
INSERT INTO `lang_definitions` VALUES (99767, 784, 19, 'الارشيف');
INSERT INTO `lang_definitions` VALUES (99768, 787, 19, 'ترجمة أسماء مجموعة التحكم؟');
INSERT INTO `lang_definitions` VALUES (99769, 788, 19, 'ترجمة أسماء فئة المواعبد؟');
INSERT INTO `lang_definitions` VALUES (99770, 789, 19, 'ترجمة أسماء فئة المستند؟');
INSERT INTO `lang_definitions` VALUES (99771, 790, 19, 'هل تم حساب فاتورة لهذا النمط؟');
INSERT INTO `lang_definitions` VALUES (99772, 793, 19, 'هل سيتم ترجمة عناوين ملاحظات المرضى');
INSERT INTO `lang_definitions` VALUES (99773, 794, 19, 'هل اﻷكواد التالية محفوظة في قاعدة بيانات خارجية (0-No, 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2) )');
INSERT INTO `lang_definitions` VALUES (99774, 795, 19, 'هل أنت مستعد ﻹكمال عملية GCAC لهذه الزيارة؟');
INSERT INTO `lang_definitions` VALUES (99775, 797, 19, 'هل أنت متأكد من أنك تريد الإرسال لهذا اليوم؟');
INSERT INTO `lang_definitions` VALUES (99776, 798, 19, 'هل أنت متأكد أنك تريد الموافقة على هذه الأحداث؟');
INSERT INTO `lang_definitions` VALUES (99777, 801, 19, 'هل أنت متأكد أنك تريد إزالة هذه من النموذج بشكل كامل؟');
INSERT INTO `lang_definitions` VALUES (99778, 804, 19, 'هل أنت متأكد من أنك تريد حذف هذا الكشف؟');
INSERT INTO `lang_definitions` VALUES (99779, 805, 19, 'هل أنت متأكد أنك تريد حذف هذا الحدث؟');
INSERT INTO `lang_definitions` VALUES (99780, 806, 19, 'هل أنت متأكد أنك تريد هذا البند من قاعدة البيانات؟');
INSERT INTO `lang_definitions` VALUES (99781, 808, 19, 'هل أنت متأكد أنك تريد حذف هذه الملاحظة؟');
INSERT INTO `lang_definitions` VALUES (99782, 810, 19, 'هل أنت متأكد أنك تريد تحرير هذه الأحداث؟');
INSERT INTO `lang_definitions` VALUES (99783, 811, 19, 'هل أنت متأكد أنك تريد إخفاء هذه الأحداث؟');
INSERT INTO `lang_definitions` VALUES (99784, 813, 19, 'هل أنت متأكد أنك تريد الإرسال مجددا؟');
INSERT INTO `lang_definitions` VALUES (99785, 814, 19, 'هل أنت متأكد أنك تريد عرض هذه الأحداث؟');
INSERT INTO `lang_definitions` VALUES (99786, 815, 19, 'هل أنت متأكد أنك تريد حذف هذه المجموعة؟');
INSERT INTO `lang_definitions` VALUES (99787, 816, 19, 'هل أنت متأكد أنك تريد حذف هذه القائمة؟');
INSERT INTO `lang_definitions` VALUES (99788, 817, 19, 'هل أنت متأكد أنك تريد حذف هذا الحقل؟');
INSERT INTO `lang_definitions` VALUES (99789, 818, 19, 'هل أنت متأكد أنك تريد حذف الحقول المختارة؟');
INSERT INTO `lang_definitions` VALUES (99790, 819, 19, 'هل أنت متأكد أنك تريد الاستمرار في هذه الأفعال؟');
INSERT INTO `lang_definitions` VALUES (99791, 820, 19, 'ناحية غير محددة');
INSERT INTO `lang_definitions` VALUES (99792, 821, 19, 'ساعد');
INSERT INTO `lang_definitions` VALUES (99793, 822, 19, 'أرمني');
INSERT INTO `lang_definitions` VALUES (99794, 826, 19, 'وقت الوصول');
INSERT INTO `lang_definitions` VALUES (99795, 827, 19, 'وصل');
INSERT INTO `lang_definitions` VALUES (99796, 828, 19, 'وصل متاخرا');
INSERT INTO `lang_definitions` VALUES (99797, 829, 19, 'لا نظمية');
INSERT INTO `lang_definitions` VALUES (99798, 830, 19, 'التهاب المفصل');
INSERT INTO `lang_definitions` VALUES (99799, 831, 19, 'التهاب المفصل/ الداء المفصلي التنكسي');
INSERT INTO `lang_definitions` VALUES (99800, 832, 19, 'التهاب المفصل/ الداء المفصلي التنكسي');
INSERT INTO `lang_definitions` VALUES (99801, 836, 19, 'مثل');
INSERT INTO `lang_definitions` VALUES (99802, 838, 19, 'مثلما');
INSERT INTO `lang_definitions` VALUES (99803, 845, 19, 'آسيوي');
INSERT INTO `lang_definitions` VALUES (99804, 848, 19, 'التقييم');
INSERT INTO `lang_definitions` VALUES (99805, 853, 19, 'موكل إلى');
INSERT INTO `lang_definitions` VALUES (99806, 854, 19, 'المساعد');
INSERT INTO `lang_definitions` VALUES (99807, 857, 19, 'متعلق');
INSERT INTO `lang_definitions` VALUES (99808, 861, 19, 'الربو');
INSERT INTO `lang_definitions` VALUES (99809, 862, 19, 'في');
INSERT INTO `lang_definitions` VALUES (99810, 863, 19, 'تحتاج إلى عنصر بحث واحد على الأقل إذا خترت الكل');
INSERT INTO `lang_definitions` VALUES (99811, 866, 19, 'في مستوى القاربي');
INSERT INTO `lang_definitions` VALUES (99812, 867, 19, 'في مستوى القاربي');
INSERT INTO `lang_definitions` VALUES (99813, 868, 19, 'الفريق الرياضي');
INSERT INTO `lang_definitions` VALUES (99814, 869, 19, 'الفريق الرياضي');
INSERT INTO `lang_definitions` VALUES (99815, 870, 19, 'الرياضي/ إصابة');
INSERT INTO `lang_definitions` VALUES (99816, 871, 19, 'شهادة مراجعة ومصادقة الحسابات');
INSERT INTO `lang_definitions` VALUES (99817, 872, 19, 'مضيف عملية تدقيق ومصادقة الحسابات');
INSERT INTO `lang_definitions` VALUES (99818, 873, 19, 'شهادة تدقيق و مصادقة الحسابت الداخلية');
INSERT INTO `lang_definitions` VALUES (99819, 874, 19, 'منفذ تدقيق ومصادقة الحسابات');
INSERT INTO `lang_definitions` VALUES (99820, 877, 19, 'انتباه');
INSERT INTO `lang_definitions` VALUES (99821, 879, 19, 'عناية');
INSERT INTO `lang_definitions` VALUES (99822, 883, 19, 'تدقيق محرك إستفهامات CDR');
INSERT INTO `lang_definitions` VALUES (99823, 890, 19, 'تدقيق التقارير اﻹحتياطية');
INSERT INTO `lang_definitions` VALUES (99824, 891, 19, 'تدقيق التقارير النثرية');
INSERT INTO `lang_definitions` VALUES (99825, 892, 19, 'تدقيق تقارير اﻷوامر');
INSERT INTO `lang_definitions` VALUES (99826, 893, 19, 'تدقيق سجل تقارير المرضى');
INSERT INTO `lang_definitions` VALUES (99827, 894, 19, 'تدقيق سجل المواعيد');
INSERT INTO `lang_definitions` VALUES (99828, 895, 19, 'تدقيق سجل إدارة اﻷمن');
INSERT INTO `lang_definitions` VALUES (99829, 896, 19, 'تدقيق سجل طلبات البحث في قاعدة المعلومات');
INSERT INTO `lang_definitions` VALUES (99830, 898, 19, 'اغسطس/آب');
INSERT INTO `lang_definitions` VALUES (99831, 899, 19, 'اغسطس/آب');
INSERT INTO `lang_definitions` VALUES (99832, 901, 19, 'تفويض');
INSERT INTO `lang_definitions` VALUES (99833, 902, 19, 'تفويض/ملاحظات');
INSERT INTO `lang_definitions` VALUES (99834, 922, 19, 'مجموعة التفويض');
INSERT INTO `lang_definitions` VALUES (99835, 923, 19, 'حالة التفويض');
INSERT INTO `lang_definitions` VALUES (99836, 924, 19, 'التفويض');
INSERT INTO `lang_definitions` VALUES (99837, 925, 19, 'يفوّض');
INSERT INTO `lang_definitions` VALUES (99838, 926, 19, 'تفويض - أي مراجعة');
INSERT INTO `lang_definitions` VALUES (99839, 928, 19, 'تفويض - مراجعيي');
INSERT INTO `lang_definitions` VALUES (99840, 933, 19, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (99841, 934, 19, 'تم التفويض');
INSERT INTO `lang_definitions` VALUES (99842, 936, 19, 'المفوض فقط');
INSERT INTO `lang_definitions` VALUES (99843, 941, 19, 'إرسال ذاتي');
INSERT INTO `lang_definitions` VALUES (99844, 944, 19, 'إنشاء ذاتي');
INSERT INTO `lang_definitions` VALUES (99845, 945, 19, 'إنشاء ذاتي');
INSERT INTO `lang_definitions` VALUES (99846, 947, 19, 'حسابات القياس اﻵلي (AMC)');
INSERT INTO `lang_definitions` VALUES (99847, 952, 19, 'مراجعة حسابات القياس اﻵلي (AMC)');
INSERT INTO `lang_definitions` VALUES (99848, 953, 19, 'القياس اﻵلي');
INSERT INTO `lang_definitions` VALUES (99849, 955, 19, 'آلي');
INSERT INTO `lang_definitions` VALUES (99850, 959, 19, 'إضافة مراجعة آليا عندما تكون حالة الموعد \"@\" (وصل)');
INSERT INTO `lang_definitions` VALUES (99851, 962, 19, 'طبي متحرك');
INSERT INTO `lang_definitions` VALUES (99852, 964, 19, 'حفظ ذاتي');
INSERT INTO `lang_definitions` VALUES (99853, 967, 19, 'التصنيفات المتوفرة');
INSERT INTO `lang_definitions` VALUES (99854, 971, 19, 'الأوقات المتوفرة');
INSERT INTO `lang_definitions` VALUES (99855, 976, 19, 'المعدل الشهري');
INSERT INTO `lang_definitions` VALUES (99856, 980, 19, 'قلع / كسر قلعي');
INSERT INTO `lang_definitions` VALUES (99857, 981, 19, 'كسر عظم الشظية');
INSERT INTO `lang_definitions` VALUES (99858, 982, 19, 'كسر عظم الظنبوب');
INSERT INTO `lang_definitions` VALUES (99859, 983, 19, 'معتمد على الوعي');
INSERT INTO `lang_definitions` VALUES (99860, 985, 19, 'إبطي');
INSERT INTO `lang_definitions` VALUES (99861, 992, 19, 'مرتان في اليوم');
INSERT INTO `lang_definitions` VALUES (99862, 993, 19, 'الظهر');
INSERT INTO `lang_definitions` VALUES (99863, 994, 19, 'الخلف');
INSERT INTO `lang_definitions` VALUES (99864, 995, 19, 'الرجوع ثماني زيارات');
INSERT INTO `lang_definitions` VALUES (99865, 996, 19, 'الرجوع أحد عشر زيارة');
INSERT INTO `lang_definitions` VALUES (99866, 997, 19, 'الرجوع خمس زيارات');
INSERT INTO `lang_definitions` VALUES (99867, 998, 19, 'الرجوع أربع زبارات');
INSERT INTO `lang_definitions` VALUES (99868, 999, 19, 'الرجوع تسع زيارات');
INSERT INTO `lang_definitions` VALUES (99869, 1000, 19, 'الرجوع زيارة واحدة');
INSERT INTO `lang_definitions` VALUES (99870, 1001, 19, 'ألم الظهر');
INSERT INTO `lang_definitions` VALUES (99871, 1002, 19, 'مشاكل الظهر');
INSERT INTO `lang_definitions` VALUES (99872, 1003, 19, 'الرجوع سبع زيارات');
INSERT INTO `lang_definitions` VALUES (99873, 1004, 19, 'الرجوع ست زيارات');
INSERT INTO `lang_definitions` VALUES (99874, 1005, 19, 'جراحة الظهر');
INSERT INTO `lang_definitions` VALUES (99875, 1006, 19, 'الرجوع عشر زيارات');
INSERT INTO `lang_definitions` VALUES (99876, 1007, 19, 'الرجوع ثلاث زيارات');
INSERT INTO `lang_definitions` VALUES (99877, 1008, 19, 'الرجوع إلى صفحة اﻹدارة');
INSERT INTO `lang_definitions` VALUES (99878, 1013, 19, 'الرجوع إلى المريض');
INSERT INTO `lang_definitions` VALUES (99879, 1015, 19, 'الرجوع إلى المستخدمين');
INSERT INTO `lang_definitions` VALUES (99880, 1016, 19, 'الرجوع إلى الصفحة');
INSERT INTO `lang_definitions` VALUES (99881, 1017, 19, 'الرجوع اثنا عشر زيارة');
INSERT INTO `lang_definitions` VALUES (99882, 1018, 19, 'الرجوع زيارتان');
INSERT INTO `lang_definitions` VALUES (99883, 1019, 19, 'خدمات مساندة');
INSERT INTO `lang_definitions` VALUES (99884, 1020, 19, 'نسخة احتياطية');
INSERT INTO `lang_definitions` VALUES (99885, 1022, 19, 'تم إنشاء النسخة الاحتياطية، جارِ التحميل');
INSERT INTO `lang_definitions` VALUES (99886, 1024, 19, 'تم أخذ نسخة إحتياطية بنجاح');
INSERT INTO `lang_definitions` VALUES (99887, 1025, 19, 'شيك مصرفي سيء');
INSERT INTO `lang_definitions` VALUES (99888, 1026, 19, 'قصة ائتمان سيء');
INSERT INTO `lang_definitions` VALUES (99889, 1027, 19, 'باهاسا إندونيسيا');
INSERT INTO `lang_definitions` VALUES (99890, 1028, 19, 'الرصيد');
INSERT INTO `lang_definitions` VALUES (99891, 1031, 19, 'التوازن');
INSERT INTO `lang_definitions` VALUES (99892, 1032, 19, 'التوازن');
INSERT INTO `lang_definitions` VALUES (99893, 1033, 19, 'كمية التوازن');
INSERT INTO `lang_definitions` VALUES (99894, 1034, 19, 'المبلغ المطلوب');
INSERT INTO `lang_definitions` VALUES (99895, 1035, 19, 'مدفوعات المبلغ');
INSERT INTO `lang_definitions` VALUES (99896, 1036, 19, 'متوازن');
INSERT INTO `lang_definitions` VALUES (99897, 1038, 19, 'شيك مصرفي');
INSERT INTO `lang_definitions` VALUES (99898, 1042, 19, 'قاعدة السنع الخامس');
INSERT INTO `lang_definitions` VALUES (99899, 1043, 19, 'قاعدة السنع الخامس');
INSERT INTO `lang_definitions` VALUES (99900, 1050, 19, 'مطالبات مجتمعة');
INSERT INTO `lang_definitions` VALUES (99901, 1051, 19, 'أداة اﻹتصال الجماعية');
INSERT INTO `lang_definitions` VALUES (99902, 1053, 19, 'إدخال الدفعات');
INSERT INTO `lang_definitions` VALUES (99903, 1054, 19, 'دفعات');
INSERT INTO `lang_definitions` VALUES (99904, 1055, 19, 'جاري معالجة رزمة - قد يستغرق هذا بعض الوقت');
INSERT INTO `lang_definitions` VALUES (99905, 1056, 19, 'مجموعة النتائج');
INSERT INTO `lang_definitions` VALUES (99906, 1057, 19, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (99907, 1063, 19, 'لإن هذا الرقم غير موجود');
INSERT INTO `lang_definitions` VALUES (99908, 1072, 19, 'تاريخ البدء');
INSERT INTO `lang_definitions` VALUES (99909, 1074, 19, 'تاريخ البدء');
INSERT INTO `lang_definitions` VALUES (99910, 1077, 19, 'تاريخ بدء الخدمة');
INSERT INTO `lang_definitions` VALUES (99911, 1078, 19, 'ساعة بداية اليوم للمواعيد');
INSERT INTO `lang_definitions` VALUES (99912, 1082, 19, 'التجشؤ');
INSERT INTO `lang_definitions` VALUES (99913, 1086, 19, 'بنغالي');
INSERT INTO `lang_definitions` VALUES (99914, 1089, 19, 'بين');
INSERT INTO `lang_definitions` VALUES (99915, 1095, 19, 'ثنائي الجانب');
INSERT INTO `lang_definitions` VALUES (99916, 1096, 19, 'ثنائي الجانب');
INSERT INTO `lang_definitions` VALUES (99917, 1099, 19, 'تاريخ الفاتورة:');
INSERT INTO `lang_definitions` VALUES (99918, 1101, 19, 'الفاتورة/ التحصيل');
INSERT INTO `lang_definitions` VALUES (99919, 1102, 19, 'الفاتورة مرسلة');
INSERT INTO `lang_definitions` VALUES (99920, 1104, 19, 'الفاتورة');
INSERT INTO `lang_definitions` VALUES (99921, 1105, 19, 'الفاتورة اختياري');
INSERT INTO `lang_definitions` VALUES (99922, 1109, 19, 'الفاتورة إلى');
INSERT INTO `lang_definitions` VALUES (99923, 1111, 19, 'رمز الفاتورة للخدمات المطلوبة');
INSERT INTO `lang_definitions` VALUES (99924, 1112, 19, 'رموز الفواتير');
INSERT INTO `lang_definitions` VALUES (99925, 1113, 19, 'بيانات المحاسبه');
INSERT INTO `lang_definitions` VALUES (99926, 1114, 19, 'قسم المحاسبة');
INSERT INTO `lang_definitions` VALUES (99927, 1115, 19, 'المحاسبة');
INSERT INTO `lang_definitions` VALUES (99928, 1117, 19, 'معلومات المحاسبة و الأجور');
INSERT INTO `lang_definitions` VALUES (99929, 1118, 19, 'مكان المحاسبة');
INSERT INTO `lang_definitions` VALUES (99930, 1125, 19, 'مدير المحاسبة');
INSERT INTO `lang_definitions` VALUES (99931, 1126, 19, 'ملاحظات المحاسبة');
INSERT INTO `lang_definitions` VALUES (99932, 1127, 19, 'ملاحظات المحاسبة ل');
INSERT INTO `lang_definitions` VALUES (99933, 1128, 19, 'ملاحظات المحاسبة');
INSERT INTO `lang_definitions` VALUES (99934, 1130, 19, 'نتائج المحاسبة');
INSERT INTO `lang_definitions` VALUES (99935, 1131, 19, 'تقرير المحاسبة');
INSERT INTO `lang_definitions` VALUES (99936, 1132, 19, 'حالة الفوترة');
INSERT INTO `lang_definitions` VALUES (99937, 1133, 19, 'حالة الفوترة - لم يتم إصدار الفاتورة');
INSERT INTO `lang_definitions` VALUES (99938, 1134, 19, 'إرسال الفاتورة إلى');
INSERT INTO `lang_definitions` VALUES (99939, 1135, 19, 'شكل الفاتوره');
INSERT INTO `lang_definitions` VALUES (99940, 1138, 19, 'خزعة');
INSERT INTO `lang_definitions` VALUES (99941, 1140, 19, 'تاريخ الولادة');
INSERT INTO `lang_definitions` VALUES (99942, 1141, 19, 'الولادة - 24 شهر');
INSERT INTO `lang_definitions` VALUES (99943, 1144, 19, 'أسود إفريقي');
INSERT INTO `lang_definitions` VALUES (99944, 1147, 19, 'رئة سوداء');
INSERT INTO `lang_definitions` VALUES (99945, 1148, 19, 'أسود او افريقى امريكي');
INSERT INTO `lang_definitions` VALUES (99946, 1149, 19, 'سرطان المثانة');
INSERT INTO `lang_definitions` VALUES (99947, 1150, 19, 'أخماج المثانة');
INSERT INTO `lang_definitions` VALUES (99948, 1152, 19, 'استمارات فارغة');
INSERT INTO `lang_definitions` VALUES (99949, 1153, 19, 'مشاكل نزفية');
INSERT INTO `lang_definitions` VALUES (99950, 1154, 19, 'بقع عمياء');
INSERT INTO `lang_definitions` VALUES (99951, 1156, 19, 'حس انتفاخ');
INSERT INTO `lang_definitions` VALUES (99952, 1158, 19, 'محجوب- مغلق');
INSERT INTO `lang_definitions` VALUES (99953, 1159, 19, 'الدم');
INSERT INTO `lang_definitions` VALUES (99954, 1160, 19, 'ضغط الدم');
INSERT INTO `lang_definitions` VALUES (99955, 1161, 19, 'ضغط الدم');
INSERT INTO `lang_definitions` VALUES (99956, 1162, 19, 'نزف الأنف');
INSERT INTO `lang_definitions` VALUES (99957, 1163, 19, 'مؤسسة الصليب اﻻزرق الدرع اﻻزرق للتأمين');
INSERT INTO `lang_definitions` VALUES (99958, 1165, 19, 'الخطوط الزرقاء في هذا التقرير هي للمعلومات. الخطوط السوداء تظهر المعلومات السابقة. الخطوط الخضراء تظهر التطبيق الناجح للتغيرات. الخطوط الحمراء تظهر وجود خطأ، أو إن التغيرات لم تطبق، لابد من تطبيقها يدوياً');
INSERT INTO `lang_definitions` VALUES (99959, 1166, 19, 'رؤية مشوشة');
INSERT INTO `lang_definitions` VALUES (99960, 1167, 19, 'مشعر كتلة الجسم');
INSERT INTO `lang_definitions` VALUES (99961, 1168, 19, 'حالة مشعر كتلة الجسم');
INSERT INTO `lang_definitions` VALUES (99962, 1170, 19, 'منطقة الجسم التشريحية');
INSERT INTO `lang_definitions` VALUES (99963, 1171, 19, 'الموقع التشريحي');
INSERT INTO `lang_definitions` VALUES (99964, 1172, 19, 'الموقع التشريحي، عند الضرورة');
INSERT INTO `lang_definitions` VALUES (99965, 1173, 19, 'مضض العظام');
INSERT INTO `lang_definitions` VALUES (99966, 1174, 19, 'مضض مفصل الكاحل');
INSERT INTO `lang_definitions` VALUES (99967, 1175, 19, 'رقمي');
INSERT INTO `lang_definitions` VALUES (99968, 1177, 19, 'السفلي');
INSERT INTO `lang_definitions` VALUES (99969, 1179, 19, 'كلا الأذنين');
INSERT INTO `lang_definitions` VALUES (99970, 1180, 19, 'كلا الأذنين');
INSERT INTO `lang_definitions` VALUES (99971, 1183, 19, 'الأسفل');
INSERT INTO `lang_definitions` VALUES (99972, 1187, 19, 'الصندوق رقم 10 أ : إصابة عمل');
INSERT INTO `lang_definitions` VALUES (99973, 1189, 19, 'الصندوق رقم 10 ب : حادث سيارة');
INSERT INTO `lang_definitions` VALUES (99974, 1191, 19, 'الصندوق رقم 10 ج: حوادث اخرى');
INSERT INTO `lang_definitions` VALUES (99975, 1205, 19, 'الصندوق رقم 15 : تاريخ نفس المرض أو مشابه (بهذة الصيغة : 12-05-1990)');
INSERT INTO `lang_definitions` VALUES (99976, 1211, 19, 'الصندوق رقم 16 :تاريخ بداية العجز عن العمل (بهذة الصيغة : 12-05-1990)');
INSERT INTO `lang_definitions` VALUES (99977, 1215, 19, 'الصندوق رقم 16 :تاريخ نهاية العجز عن العمل (بهذة الصيغة : 12-05-1990)');
INSERT INTO `lang_definitions` VALUES (99978, 1227, 19, 'الصندوق رقم 18 :تاريخ بداية التنويم (بهذة الصيغة : 12-05-1990)');
INSERT INTO `lang_definitions` VALUES (99979, 1231, 19, 'الصندوق رقم 18 :تاريخ نهاية التنويم (بهذة الصيغة : 12-05-1990)');
INSERT INTO `lang_definitions` VALUES (99980, 1235, 19, 'الصندوق رقم 20 : هل تم إستخدام مختبر خارجي؟');
INSERT INTO `lang_definitions` VALUES (99981, 1239, 19, 'الصندوق رقم 22 : رمز إعادة التسليم الطبي (ICD-9)');
INSERT INTO `lang_definitions` VALUES (99982, 1243, 19, 'الصندوق رقم 23 : رقم التفويض السابق');
INSERT INTO `lang_definitions` VALUES (99983, 1244, 19, 'ضغط الدم');
INSERT INTO `lang_definitions` VALUES (99984, 1245, 19, 'ضغط الدم اﻹنبساطي');
INSERT INTO `lang_definitions` VALUES (99985, 1246, 19, 'ضغط الدم اﻹنقباضي');
INSERT INTO `lang_definitions` VALUES (99986, 1248, 19, 'ضغط الدم اﻹنبساطي');
INSERT INTO `lang_definitions` VALUES (99987, 1252, 19, 'ضغط الدم اﻹنقباضي');
INSERT INTO `lang_definitions` VALUES (99988, 1254, 19, 'برازيلي برتغالي');
INSERT INTO `lang_definitions` VALUES (99989, 1255, 19, 'الثدي');
INSERT INTO `lang_definitions` VALUES (99990, 1256, 19, 'خزعة الثدي');
INSERT INTO `lang_definitions` VALUES (99991, 1257, 19, 'مفرزات الثدي');
INSERT INTO `lang_definitions` VALUES (99992, 1258, 19, 'مرض الثدي');
INSERT INTO `lang_definitions` VALUES (99993, 1259, 19, 'فحص الثدي');
INSERT INTO `lang_definitions` VALUES (99994, 1260, 19, 'كتلة الثدي');
INSERT INTO `lang_definitions` VALUES (99995, 1262, 19, 'أصوات التنفس:');
INSERT INTO `lang_definitions` VALUES (99996, 1265, 19, 'عظام مكسورة');
INSERT INTO `lang_definitions` VALUES (99997, 1267, 19, 'استمارة التهاب القصبات');
INSERT INTO `lang_definitions` VALUES (99998, 1270, 19, 'تصفح');
INSERT INTO `lang_definitions` VALUES (99999, 1271, 19, 'تصفح السجل');
INSERT INTO `lang_definitions` VALUES (100000, 1272, 19, 'تكدم/ ورم دموي');
INSERT INTO `lang_definitions` VALUES (100001, 1276, 19, 'بروز ايمن');
INSERT INTO `lang_definitions` VALUES (100002, 1278, 19, 'حرقة أثناء التبول');
INSERT INTO `lang_definitions` VALUES (100003, 1279, 19, 'حرقة أثناء التبول');
INSERT INTO `lang_definitions` VALUES (100004, 1282, 19, 'مشغول');
INSERT INTO `lang_definitions` VALUES (100005, 1283, 19, 'لكن لم تتم معالجتة بعد');
INSERT INTO `lang_definitions` VALUES (100006, 1284, 19, 'ردف');
INSERT INTO `lang_definitions` VALUES (100007, 1285, 19, 'ردف');
INSERT INTO `lang_definitions` VALUES (100008, 1286, 19, 'بواسطة');
INSERT INTO `lang_definitions` VALUES (100009, 1287, 19, 'بواسطة');
INSERT INTO `lang_definitions` VALUES (100010, 1293, 19, 'عن طريق الفم');
INSERT INTO `lang_definitions` VALUES (100011, 1295, 19, 'بواسطة/ المصدر');
INSERT INTO `lang_definitions` VALUES (100012, 1296, 19, 'من قبل:');
INSERT INTO `lang_definitions` VALUES (100013, 1299, 19, 'ج');
INSERT INTO `lang_definitions` VALUES (100014, 1301, 19, 'CA Certificate for verifying the RFC 5425 TLS syslog server.');
INSERT INTO `lang_definitions` VALUES (100015, 1302, 19, 'حياة الذاكرة الوسيطة (بالثواني)');
INSERT INTO `lang_definitions` VALUES (100016, 1303, 19, 'خرج قالب الذاكرة الوسيطة؟');
INSERT INTO `lang_definitions` VALUES (100017, 1305, 19, 'استهلاك القهوة');
INSERT INTO `lang_definitions` VALUES (100018, 1306, 19, 'التقويم');
INSERT INTO `lang_definitions` VALUES (100019, 1307, 19, 'ساعة نهاية التقويم');
INSERT INTO `lang_definitions` VALUES (100020, 1308, 19, 'فترة التقويم');
INSERT INTO `lang_definitions` VALUES (100021, 1309, 19, 'شاشة التقويم');
INSERT INTO `lang_definitions` VALUES (100022, 1310, 19, 'إعدادات التقويم');
INSERT INTO `lang_definitions` VALUES (100023, 1312, 19, 'ساعة بداية التقويم');
INSERT INTO `lang_definitions` VALUES (100024, 1313, 19, 'واجهة التقويم');
INSERT INTO `lang_definitions` VALUES (100025, 1314, 19, 'مشاهدة التقويم');
INSERT INTO `lang_definitions` VALUES (100026, 1317, 19, 'شفرة إضافة نموذج (addForm()) تأتي هنا <br>');
INSERT INTO `lang_definitions` VALUES (100027, 1321, 19, 'الحريرات');
INSERT INTO `lang_definitions` VALUES (100028, 1322, 19, 'كمبودي');
INSERT INTO `lang_definitions` VALUES (100029, 1323, 19, 'CAMOS');
INSERT INTO `lang_definitions` VALUES (100030, 1329, 19, 'إلغاء');
INSERT INTO `lang_definitions` VALUES (100031, 1332, 19, 'الغاء التغييرات');
INSERT INTO `lang_definitions` VALUES (100032, 1333, 19, 'ألغي');
INSERT INTO `lang_definitions` VALUES (100033, 1335, 19, 'السرطان');
INSERT INTO `lang_definitions` VALUES (100034, 1336, 19, 'تقصي السرطان: تقصي سرطان الكولون');
INSERT INTO `lang_definitions` VALUES (100035, 1337, 19, 'تقصي السرطان: صورة الثدي');
INSERT INTO `lang_definitions` VALUES (100036, 1338, 19, 'تقصي السرطان: مسحة باب نيكولاو');
INSERT INTO `lang_definitions` VALUES (100037, 1339, 19, 'تقصي السرطان: تقصي سرطان البروستات');
INSERT INTO `lang_definitions` VALUES (100038, 1340, 19, 'لايمكن إضافة هذا لأنه موجود سابقاَ');
INSERT INTO `lang_definitions` VALUES (100039, 1341, 19, 'لايمكن إضافة/تحديث هذا لأنه موجود سابقاَ');
INSERT INTO `lang_definitions` VALUES (100040, 1342, 19, 'لا يمكن الحفظ');
INSERT INTO `lang_definitions` VALUES (100041, 1343, 19, 'لايمكن تحويله إلى ملف صورة - تحتاج تنصيب برنامج');
INSERT INTO `lang_definitions` VALUES (100042, 1344, 19, 'لا يمكن الحذف');
INSERT INTO `lang_definitions` VALUES (100043, 1345, 19, 'لا يمكن عرض البيانات ﻷن المتصفح لا يدعم هذا النوع.');
INSERT INTO `lang_definitions` VALUES (100044, 1346, 19, 'لا يمكن عرض البيانات ﻷن المتصفح لا يدعم هذا النوع.');
INSERT INTO `lang_definitions` VALUES (100045, 1347, 19, 'لا يمكن عرض البيانات ﻷن المتصفح لا يدعم هذا النوع.');
INSERT INTO `lang_definitions` VALUES (100046, 1349, 19, 'لا يمكن اﻹضافة');
INSERT INTO `lang_definitions` VALUES (100047, 1354, 19, 'لا يمكن ايجاده');
INSERT INTO `lang_definitions` VALUES (100048, 1355, 19, 'لا يمكن ايجاد ملف بهذا اﻹسم');
INSERT INTO `lang_definitions` VALUES (100049, 1358, 19, 'لا يمكن إيجاد المريض في قاعدة معلومات الزبائن');
INSERT INTO `lang_definitions` VALUES (100050, 1359, 19, 'لا يمكن العثور علي دليل ملف ال postscript');
INSERT INTO `lang_definitions` VALUES (100051, 1360, 19, 'لا يمكن العثور من SQL-Ledger employee');
INSERT INTO `lang_definitions` VALUES (100052, 1361, 19, 'لا يمكن تغيير الدفوعات. المقدار الغير موزع بالسالب');
INSERT INTO `lang_definitions` VALUES (100053, 1363, 19, 'غير قابل للفتح');
INSERT INTO `lang_definitions` VALUES (100054, 1364, 19, 'لا يمكن المطالبةبالدفع من التأمين. الجهة المختارة هى مريض');
INSERT INTO `lang_definitions` VALUES (100055, 1365, 19, 'لا يمكن المطالبة بالدفع من المريض. الجهة المختارة هي شركة تأمين.');
INSERT INTO `lang_definitions` VALUES (100056, 1366, 19, 'لا يمكن المطالبة بالدفع. القيمة الغير موزعة بالسالب');
INSERT INTO `lang_definitions` VALUES (100057, 1367, 19, 'لا يمكن القراءة');
INSERT INTO `lang_definitions` VALUES (100058, 1368, 19, 'لا يمكن قراءة المجلد');
INSERT INTO `lang_definitions` VALUES (100059, 1369, 19, 'لا يمكن التحديث لأن السجل غير موجود!');
INSERT INTO `lang_definitions` VALUES (100060, 1370, 19, 'اﻹستفادة');
INSERT INTO `lang_definitions` VALUES (100061, 1372, 19, 'كبسولة');
INSERT INTO `lang_definitions` VALUES (100062, 1373, 19, 'بطاقة');
INSERT INTO `lang_definitions` VALUES (100063, 1382, 19, 'القسطرة القلبية');
INSERT INTO `lang_definitions` VALUES (100064, 1383, 19, 'تصوير صدى القلب');
INSERT INTO `lang_definitions` VALUES (100065, 1384, 19, 'قلبي وعائي');
INSERT INTO `lang_definitions` VALUES (100066, 1396, 19, 'الغضروف / الغضروفي / تأذي القرص');
INSERT INTO `lang_definitions` VALUES (100067, 1397, 19, 'إصابة الغضروف');
INSERT INTO `lang_definitions` VALUES (100068, 1398, 19, 'نبض الشريان السباتي: سوي، نبض شريان ظهر القدم: سوي');
INSERT INTO `lang_definitions` VALUES (100069, 1400, 19, 'نقداَ');
INSERT INTO `lang_definitions` VALUES (100070, 1401, 19, 'نقداَ');
INSERT INTO `lang_definitions` VALUES (100071, 1402, 19, 'إيصال الدفع نقداَ');
INSERT INTO `lang_definitions` VALUES (100072, 1403, 19, 'جراحة الساد');
INSERT INTO `lang_definitions` VALUES (100073, 1406, 19, 'الساد');
INSERT INTO `lang_definitions` VALUES (100074, 1407, 19, 'المجموعات');
INSERT INTO `lang_definitions` VALUES (100075, 1408, 19, 'المجموعة');
INSERT INTO `lang_definitions` VALUES (100076, 1409, 19, 'أصناف ال');
INSERT INTO `lang_definitions` VALUES (100077, 1410, 19, 'المجموعة');
INSERT INTO `lang_definitions` VALUES (100078, 1411, 19, 'المجموعة');
INSERT INTO `lang_definitions` VALUES (100079, 1412, 19, 'تفاصيل المجموعة');
INSERT INTO `lang_definitions` VALUES (100080, 1416, 19, 'محددات المجموعة');
INSERT INTO `lang_definitions` VALUES (100081, 1417, 19, 'اسم المجموعة');
INSERT INTO `lang_definitions` VALUES (100082, 1418, 19, 'قوقازي /أبيض');
INSERT INTO `lang_definitions` VALUES (100083, 1419, 19, 'اسم الصنف فارغ');
INSERT INTO `lang_definitions` VALUES (100084, 1420, 19, 'الصنف / العنوان');
INSERT INTO `lang_definitions` VALUES (100085, 1421, 19, 'الهاتف الخليوي');
INSERT INTO `lang_definitions` VALUES (100086, 1422, 19, 'يجعل الإيصالات تطبع معلومات الزيارة/المزود الأولي');
INSERT INTO `lang_definitions` VALUES (100087, 1442, 19, 'لجنة تسجيل السّكر');
INSERT INTO `lang_definitions` VALUES (100088, 1443, 19, 'أولوية تشغيل تقارير لجنة تسجيل السّكر');
INSERT INTO `lang_definitions` VALUES (100089, 1444, 19, 'خلية');
INSERT INTO `lang_definitions` VALUES (100090, 1445, 19, 'الهاتف النقال');
INSERT INTO `lang_definitions` VALUES (100091, 1447, 19, 'رقم الهاتف النقال');
INSERT INTO `lang_definitions` VALUES (100092, 1449, 19, 'ترخيص مركزي');
INSERT INTO `lang_definitions` VALUES (100093, 1451, 19, 'امريكي جنوبي');
INSERT INTO `lang_definitions` VALUES (100094, 1452, 19, 'crt لملف شهادة السلطة لا يمكن أن يكون خاليا');
INSERT INTO `lang_definitions` VALUES (100095, 1453, 19, 'مفتاح ملف شهادة السلطة لا يمكن أن يكون خاليا');
INSERT INTO `lang_definitions` VALUES (100096, 1454, 19, 'الشهادات التي سيتم إرسالها الي RFC 5425 TLS syslog server');
INSERT INTO `lang_definitions` VALUES (100097, 1455, 19, 'شهادة المستخدم');
INSERT INTO `lang_definitions` VALUES (100098, 1456, 19, 'شهادات');
INSERT INTO `lang_definitions` VALUES (100099, 1458, 19, 'تريكير برنامج صحي للجنود');
INSERT INTO `lang_definitions` VALUES (100100, 1459, 19, 'تريكير برنامج صحي للجنود');
INSERT INTO `lang_definitions` VALUES (100101, 1460, 19, 'غير');
INSERT INTO `lang_definitions` VALUES (100102, 1461, 19, 'غير');
INSERT INTO `lang_definitions` VALUES (100103, 1462, 19, 'تغيرات النشاط');
INSERT INTO `lang_definitions` VALUES (100104, 1466, 19, 'Change failed! CouchDB connect error?');
INSERT INTO `lang_definitions` VALUES (100105, 1467, 19, 'تغيرات الرؤية');
INSERT INTO `lang_definitions` VALUES (100106, 1468, 19, 'تغيرات الرؤية');
INSERT INTO `lang_definitions` VALUES (100107, 1470, 19, 'تغيير كلمة السر');
INSERT INTO `lang_definitions` VALUES (100108, 1475, 19, 'تغير');
INSERT INTO `lang_definitions` VALUES (100109, 1476, 19, 'تغيرت عادات التبرز');
INSERT INTO `lang_definitions` VALUES (100110, 1479, 19, 'تغيير هوية المريض');
INSERT INTO `lang_definitions` VALUES (100111, 1484, 19, 'مواصفات');
INSERT INTO `lang_definitions` VALUES (100112, 1485, 19, 'أحرف متبقية');
INSERT INTO `lang_definitions` VALUES (100113, 1486, 19, 'تكلفة');
INSERT INTO `lang_definitions` VALUES (100114, 1487, 19, 'تعديل التكلفة');
INSERT INTO `lang_definitions` VALUES (100115, 1488, 19, 'تكلفة برمز');
INSERT INTO `lang_definitions` VALUES (100116, 1490, 19, 'تكاليف');
INSERT INTO `lang_definitions` VALUES (100117, 1491, 19, 'ملف المريض');
INSERT INTO `lang_definitions` VALUES (100118, 1492, 19, 'حركة ملف المريض');
INSERT INTO `lang_definitions` VALUES (100119, 1493, 19, 'تقرير الدخول / الخروج لملف المريض');
INSERT INTO `lang_definitions` VALUES (100120, 1495, 19, 'هوية الملف');
INSERT INTO `lang_definitions` VALUES (100121, 1496, 19, 'هوية الملف:');
INSERT INTO `lang_definitions` VALUES (100122, 1498, 19, 'حركة موقع الملف');
INSERT INTO `lang_definitions` VALUES (100123, 1499, 19, 'الملاحظات');
INSERT INTO `lang_definitions` VALUES (100124, 1500, 19, 'رقم الملف');
INSERT INTO `lang_definitions` VALUES (100125, 1502, 19, 'مواقع ملفات المرضى');
INSERT INTO `lang_definitions` VALUES (100126, 1504, 19, 'متتّبع المخططات');
INSERT INTO `lang_definitions` VALUES (100127, 1505, 19, 'متتّبع المخططات');
INSERT INTO `lang_definitions` VALUES (100128, 1508, 19, 'تم اخراج مخططات المريض');
INSERT INTO `lang_definitions` VALUES (100129, 1509, 19, 'تم اخراج مخططات المريض');
INSERT INTO `lang_definitions` VALUES (100130, 1513, 19, 'فحص');
INSERT INTO `lang_definitions` VALUES (100131, 1514, 19, 'فحص');
INSERT INTO `lang_definitions` VALUES (100132, 1515, 19, 'فحص شامل');
INSERT INTO `lang_definitions` VALUES (100133, 1517, 19, 'كمية الفحوص');
INSERT INTO `lang_definitions` VALUES (100134, 1519, 19, 'تاريخ الفحص');
INSERT INTO `lang_definitions` VALUES (100135, 1521, 19, 'فحص اﻹختلافات في الترجمة في ملف اللغة لمعدل');
INSERT INTO `lang_definitions` VALUES (100136, 1527, 19, 'فحص في و إلى');
INSERT INTO `lang_definitions` VALUES (100137, 1528, 19, 'فحص البيانات المدخلة');
INSERT INTO `lang_definitions` VALUES (100138, 1530, 19, 'فحص نتائج المختبر');
INSERT INTO `lang_definitions` VALUES (100139, 1531, 19, 'علامة الاختيار تعني تمت المراجعة');
INSERT INTO `lang_definitions` VALUES (100140, 1532, 19, 'رقم الإختيار');
INSERT INTO `lang_definitions` VALUES (100141, 1533, 19, 'فحص الرقم');
INSERT INTO `lang_definitions` VALUES (100142, 1534, 19, 'خروج');
INSERT INTO `lang_definitions` VALUES (100143, 1535, 19, 'وقت الخروج');
INSERT INTO `lang_definitions` VALUES (100144, 1536, 19, 'فحص الدفعة');
INSERT INTO `lang_definitions` VALUES (100145, 1537, 19, 'اختر إذا كان هذا ملف مشفر');
INSERT INTO `lang_definitions` VALUES (100146, 1541, 19, 'اختر هذا إذا كنت تريد الطبيب أن يرى كل المواعيد وليس فقط مواعيده.');
INSERT INTO `lang_definitions` VALUES (100147, 1543, 19, 'اختر لكتابة مشكلة من التشخيص');
INSERT INTO `lang_definitions` VALUES (100148, 1545, 19, 'اختر / تاريخ نهاية العمل');
INSERT INTO `lang_definitions` VALUES (100149, 1547, 19, 'اختر / رقم نهاية العمل');
INSERT INTO `lang_definitions` VALUES (100150, 1548, 19, 'اختر / الرقم المرجعي');
INSERT INTO `lang_definitions` VALUES (100151, 1549, 19, 'اختر / الرقم المرجعي');
INSERT INTO `lang_definitions` VALUES (100152, 1550, 19, 'قائمة صندوق اﻹختيارات');
INSERT INTO `lang_definitions` VALUES (100153, 1551, 19, 'قائمة صندوق اﻹختيارات');
INSERT INTO `lang_definitions` VALUES (100154, 1552, 19, 'صندوق اختيار بنص');
INSERT INTO `lang_definitions` VALUES (100155, 1553, 19, 'صندوق اختيار بنص');
INSERT INTO `lang_definitions` VALUES (100156, 1557, 19, 'تم اختياره');
INSERT INTO `lang_definitions` VALUES (100157, 1559, 19, 'صندوق اختيار = نعم ، فارغ = لا.');
INSERT INTO `lang_definitions` VALUES (100158, 1568, 19, 'خروج');
INSERT INTO `lang_definitions` VALUES (100159, 1569, 19, 'Checksum');
INSERT INTO `lang_definitions` VALUES (100160, 1570, 19, 'الصدر');
INSERT INTO `lang_definitions` VALUES (100161, 1571, 19, 'الصدر خالي من الأصوات المرضّية');
INSERT INTO `lang_definitions` VALUES (100162, 1572, 19, 'الم الصدر');
INSERT INTO `lang_definitions` VALUES (100163, 1573, 19, 'الم الصدر:');
INSERT INTO `lang_definitions` VALUES (100164, 1574, 19, 'الام الصدر');
INSERT INTO `lang_definitions` VALUES (100165, 1576, 19, 'تكلفة');
INSERT INTO `lang_definitions` VALUES (100166, 1578, 19, 'الشكاية الأساسية');
INSERT INTO `lang_definitions` VALUES (100167, 1581, 19, 'الطفل');
INSERT INTO `lang_definitions` VALUES (100168, 1583, 19, 'حالة تحصينات سن الطفولة');
INSERT INTO `lang_definitions` VALUES (100169, 1584, 19, 'عرواءات');
INSERT INTO `lang_definitions` VALUES (100170, 1585, 19, 'صيني- اللغة');
INSERT INTO `lang_definitions` VALUES (100171, 1586, 19, 'اللغة الصينية المبسطة');
INSERT INTO `lang_definitions` VALUES (100172, 1587, 19, 'الغة الصينية التقليدية');
INSERT INTO `lang_definitions` VALUES (100173, 1589, 19, 'اختيارات');
INSERT INTO `lang_definitions` VALUES (100174, 1590, 19, 'استئصل المرارة');
INSERT INTO `lang_definitions` VALUES (100175, 1592, 19, 'استئصال المرارة');
INSERT INTO `lang_definitions` VALUES (100176, 1593, 19, 'اختر');
INSERT INTO `lang_definitions` VALUES (100177, 1596, 19, 'اختر القسم و انقر على عنصر ضمنه، العناصر المتعلقة محددة');
INSERT INTO `lang_definitions` VALUES (100178, 1597, 19, 'اختر المعايير');
INSERT INTO `lang_definitions` VALUES (100179, 1602, 19, 'اختر ملف');
INSERT INTO `lang_definitions` VALUES (100180, 1603, 19, 'اختر من القائمة');
INSERT INTO `lang_definitions` VALUES (100181, 1605, 19, 'اختر من القائمة');
INSERT INTO `lang_definitions` VALUES (100182, 1611, 19, 'اختر شكل طباعة هذا التقرير');
INSERT INTO `lang_definitions` VALUES (100183, 1615, 19, 'التهاب القصبات المزمن');
INSERT INTO `lang_definitions` VALUES (100184, 1616, 19, 'الألم المفصلي المزمن');
INSERT INTO `lang_definitions` VALUES (100185, 1617, 19, 'مرض الكلى المزمن');
INSERT INTO `lang_definitions` VALUES (100186, 1620, 19, 'التهاب الغشاء الزليلي المزمن/الانصباب/ألم المفصل/ النقرس');
INSERT INTO `lang_definitions` VALUES (100187, 1622, 19, 'مزمن/متكرر/ناكس');
INSERT INTO `lang_definitions` VALUES (100188, 1625, 19, 'تشمع الكبد');
INSERT INTO `lang_definitions` VALUES (100189, 1626, 19, 'تشمع الكبد');
INSERT INTO `lang_definitions` VALUES (100190, 1627, 19, 'المدينة');
INSERT INTO `lang_definitions` VALUES (100191, 1629, 19, 'اسم المدينة');
INSERT INTO `lang_definitions` VALUES (100192, 1630, 19, 'المدينة ، المحلفظة');
INSERT INTO `lang_definitions` VALUES (100193, 1631, 19, 'المدينة ، المحلفظة ، الرمز');
INSERT INTO `lang_definitions` VALUES (100194, 1633, 19, 'المدينة/المحافظة');
INSERT INTO `lang_definitions` VALUES (100195, 1634, 19, 'دعوى');
INSERT INTO `lang_definitions` VALUES (100196, 1635, 19, 'الدعوى');
INSERT INTO `lang_definitions` VALUES (100197, 1637, 19, 'حالة الدعوى');
INSERT INTO `lang_definitions` VALUES (100198, 1638, 19, 'انهى إختبار المطالبة العمل');
INSERT INTO `lang_definitions` VALUES (100199, 1639, 19, 'نوع المطالبة');
INSERT INTO `lang_definitions` VALUES (100200, 1640, 19, 'تم إضافة المطالبة إلى ملف');
INSERT INTO `lang_definitions` VALUES (100201, 1641, 19, 'تم إضافة المطالبة إلى ملف');
INSERT INTO `lang_definitions` VALUES (100202, 1642, 19, 'مطالبات');
INSERT INTO `lang_definitions` VALUES (100203, 1645, 19, 'التصنيف');
INSERT INTO `lang_definitions` VALUES (100204, 1646, 19, 'امسح');
INSERT INTO `lang_definitions` VALUES (100205, 1649, 19, 'مسح');
INSERT INTO `lang_definitions` VALUES (100206, 1651, 19, 'امسح الكل');
INSERT INTO `lang_definitions` VALUES (100207, 1654, 19, 'بيانات HL7 واضحة');
INSERT INTO `lang_definitions` VALUES (100208, 1655, 19, 'مبرر واضح');
INSERT INTO `lang_definitions` VALUES (100209, 1659, 19, 'مسح الذاكرة');
INSERT INTO `lang_definitions` VALUES (100210, 1661, 19, 'Clearing house info required for EDI 270 batch creation.');
INSERT INTO `lang_definitions` VALUES (100211, 1662, 19, 'رقم المحتبرات السريرية');
INSERT INTO `lang_definitions` VALUES (100212, 1663, 19, 'انقر');
INSERT INTO `lang_definitions` VALUES (100213, 1664, 19, 'انقر \"تصدير\" لتصدير صنف، عنصر، محتوى');
INSERT INTO `lang_definitions` VALUES (100214, 1667, 19, 'إضغط على نقطة في الرسم ﻹضافة ملاحظة، واضغط مرة اخرى ﻹزالتها');
INSERT INTO `lang_definitions` VALUES (100215, 1671, 19, 'انقر تنزيل الشهادة');
INSERT INTO `lang_definitions` VALUES (100216, 1672, 19, 'انقر');
INSERT INTO `lang_definitions` VALUES (100217, 1673, 19, 'انقر لمزيد من التفاصيل');
INSERT INTO `lang_definitions` VALUES (100218, 1674, 19, 'انقر لطلب مخلص');
INSERT INTO `lang_definitions` VALUES (100219, 1675, 19, 'انقر لمشاهدة النتائج');
INSERT INTO `lang_definitions` VALUES (100220, 1678, 19, 'انقر هنا');
INSERT INTO `lang_definitions` VALUES (100221, 1679, 19, 'انقر ﻹضافة مريض');
INSERT INTO `lang_definitions` VALUES (100222, 1680, 19, 'انقر ﻹضافة إصابة ، تعديل الحالة أو تحرير المهام اليومية');
INSERT INTO `lang_definitions` VALUES (100223, 1682, 19, 'انقر هنا لاختيار التاريخ');
INSERT INTO `lang_definitions` VALUES (100224, 1683, 19, 'انقر هنا لاختيار التاريخ والوقت');
INSERT INTO `lang_definitions` VALUES (100225, 1684, 19, 'انقر هنا ﻹختيار تاريخ البدء');
INSERT INTO `lang_definitions` VALUES (100226, 1707, 19, 'انقر هنا للبحث');
INSERT INTO `lang_definitions` VALUES (100227, 1710, 19, 'انقر هنا لتحديث إعدادات الأولوية، التصنيف، الاسم');
INSERT INTO `lang_definitions` VALUES (100228, 1714, 19, 'انقر هنا لمشاهدة الكل');
INSERT INTO `lang_definitions` VALUES (100229, 1715, 19, 'انقر هنا للإستعراض والرسم');
INSERT INTO `lang_definitions` VALUES (100230, 1717, 19, 'انقر هنا ﻹستعراض ورسم كل العلامات الحيوية');
INSERT INTO `lang_definitions` VALUES (100231, 1718, 19, 'انقر هنا ﻹستعراض بيانات المريض');
INSERT INTO `lang_definitions` VALUES (100232, 1719, 19, 'انقر هنا ﻹستعراض الكل');
INSERT INTO `lang_definitions` VALUES (100233, 1720, 19, 'انقر هنا لمشاهدة /تعديل تفاصيل أكثر');
INSERT INTO `lang_definitions` VALUES (100234, 1723, 19, 'انقر تثبيت لتثبيت قاعدة المعلومات من التاريخ التالي');
INSERT INTO `lang_definitions` VALUES (100235, 1730, 19, 'انقر على اي من أجزاء الوقت لزيادته');
INSERT INTO `lang_definitions` VALUES (100236, 1751, 19, 'انقر على إسم المريض لفتح ملفه');
INSERT INTO `lang_definitions` VALUES (100237, 1753, 19, 'انقر تحديث ﻹستعراض كل النتائج أو قم بإدخال معايير البحث ﻹستعراض بيانات معينة');
INSERT INTO `lang_definitions` VALUES (100238, 1777, 19, 'انقر لإضافة تشخيص');
INSERT INTO `lang_definitions` VALUES (100239, 1779, 19, 'انقر ﻹضافة مكونات إضافية');
INSERT INTO `lang_definitions` VALUES (100240, 1780, 19, 'انقر ﻹضافة إستشارة جديدة');
INSERT INTO `lang_definitions` VALUES (100241, 1785, 19, 'انقر للتنزيل');
INSERT INTO `lang_definitions` VALUES (100242, 1786, 19, 'انقر للتحرير');
INSERT INTO `lang_definitions` VALUES (100243, 1787, 19, 'انقر لتحرير الوصف');
INSERT INTO `lang_definitions` VALUES (100244, 1788, 19, 'انقر لتحرير هذه الحدث');
INSERT INTO `lang_definitions` VALUES (100245, 1790, 19, 'انقر لأنشاء التقرير');
INSERT INTO `lang_definitions` VALUES (100246, 1800, 19, 'انقر للطباعة');
INSERT INTO `lang_definitions` VALUES (100247, 1801, 19, 'انقر لاستقبال أو إضافة جديد');
INSERT INTO `lang_definitions` VALUES (100248, 1805, 19, 'انقر للاختيار');
INSERT INTO `lang_definitions` VALUES (100249, 1806, 19, 'انقر للاختيار');
INSERT INTO `lang_definitions` VALUES (100250, 1808, 19, 'انقر ﻹختيار رمز مقياس-صناعي لهذه اﻹجراءات');
INSERT INTO `lang_definitions` VALUES (100251, 1811, 19, 'انقر ﻹختيار رمز اختياري لهذه اﻹجراءات');
INSERT INTO `lang_definitions` VALUES (100252, 1813, 19, 'انقر ﻹختيار أو تغيير رمز CVX');
INSERT INTO `lang_definitions` VALUES (100253, 1814, 19, 'انقر لاختيار إو تغيير التشخيص');
INSERT INTO `lang_definitions` VALUES (100254, 1815, 19, 'انقر ﻹختيار أو تغيير رمز الخدمة');
INSERT INTO `lang_definitions` VALUES (100255, 1816, 19, 'انقر لاختيار المريض');
INSERT INTO `lang_definitions` VALUES (100256, 1817, 19, 'انقر لاختيار الرمز');
INSERT INTO `lang_definitions` VALUES (100257, 1819, 19, 'انقر ﻹختيار الخدمات التي تقدم في حال كانت النتيجة غير طبيعية');
INSERT INTO `lang_definitions` VALUES (100258, 1822, 19, 'انقر ﻹختيار اﻹجراءات المطلوبة');
INSERT INTO `lang_definitions` VALUES (100259, 1829, 19, 'انقر للترتيب');
INSERT INTO `lang_definitions` VALUES (100260, 1831, 19, 'انقر للمشاهدة');
INSERT INTO `lang_definitions` VALUES (100261, 1833, 19, 'انقر للمشاهدة أو التحرير');
INSERT INTO `lang_definitions` VALUES (100262, 1834, 19, 'انقر للمشاهدة/التحرير');
INSERT INTO `lang_definitions` VALUES (100263, 1836, 19, 'انقر زر ترقية لترقية إصدار قاعدة المعلومات من التاريخ التالي');
INSERT INTO `lang_definitions` VALUES (100264, 1839, 19, 'انقر:');
INSERT INTO `lang_definitions` VALUES (100265, 1862, 19, 'أيام أنتهاء صلاحية شهادة العميل');
INSERT INTO `lang_definitions` VALUES (100266, 1864, 19, 'فترة صلاحية شهادة العميل');
INSERT INTO `lang_definitions` VALUES (100267, 1865, 19, 'صلاحية شهادة العميل يجب أن يكون رقم صالح.');
INSERT INTO `lang_definitions` VALUES (100268, 1866, 19, 'نسخة العميل');
INSERT INTO `lang_definitions` VALUES (100269, 1868, 19, 'تعريف المريض');
INSERT INTO `lang_definitions` VALUES (100270, 1869, 19, 'ملخص القصة المرضية');
INSERT INTO `lang_definitions` VALUES (100271, 1870, 19, 'اسم المريض');
INSERT INTO `lang_definitions` VALUES (100272, 1872, 19, 'رقم المريض');
INSERT INTO `lang_definitions` VALUES (100273, 1873, 19, 'إضبارة المريض - المرضى الجدد');
INSERT INTO `lang_definitions` VALUES (100274, 1874, 19, 'إضبارة المريض - المرضى المميزون');
INSERT INTO `lang_definitions` VALUES (100275, 1878, 19, 'المرضى');
INSERT INTO `lang_definitions` VALUES (100276, 1879, 19, 'العيادة');
INSERT INTO `lang_definitions` VALUES (100277, 1880, 19, 'نسخة العيادة');
INSERT INTO `lang_definitions` VALUES (100278, 1881, 19, 'السجل اليومي للعيادة');
INSERT INTO `lang_definitions` VALUES (100279, 1882, 19, 'رقم العيادة');
INSERT INTO `lang_definitions` VALUES (100280, 1883, 19, 'سريري');
INSERT INTO `lang_definitions` VALUES (100281, 1884, 19, 'مدير تنبيه قواعد القرارات السريرية');
INSERT INTO `lang_definitions` VALUES (100282, 1886, 19, 'القصة المرضية');
INSERT INTO `lang_definitions` VALUES (100283, 1889, 19, 'خطط سريرية');
INSERT INTO `lang_definitions` VALUES (100284, 1890, 19, 'مقاييس الجودة السريرية');
INSERT INTO `lang_definitions` VALUES (100285, 1893, 19, 'التذكيرات السريرية');
INSERT INTO `lang_definitions` VALUES (100286, 1897, 19, 'التقارير السريرية');
INSERT INTO `lang_definitions` VALUES (100287, 1898, 19, 'فئة عمل القاعدة السريرية');
INSERT INTO `lang_definitions` VALUES (100288, 1899, 19, 'بند عمل القاعدة السريرية');
INSERT INTO `lang_definitions` VALUES (100289, 1900, 19, 'طرق تصفية القاعدة السريرية');
INSERT INTO `lang_definitions` VALUES (100290, 1901, 19, 'الطرق المستهدفة للقاعدة السريرية');
INSERT INTO `lang_definitions` VALUES (100291, 1902, 19, 'القواعد السريرية');
INSERT INTO `lang_definitions` VALUES (100292, 1903, 19, 'المراحل العمرية للقواعد السريرية');
INSERT INTO `lang_definitions` VALUES (100293, 1904, 19, 'مقارنات القواعد السريرية');
INSERT INTO `lang_definitions` VALUES (100294, 1905, 19, 'أنواع المراجعات للقواعد السريرية');
INSERT INTO `lang_definitions` VALUES (100295, 1906, 19, 'خيارات التذكير للقواعد السريرية');
INSERT INTO `lang_definitions` VALUES (100296, 1907, 19, 'الخيارات التفاعلية للتذكير بالقواعد السريرية');
INSERT INTO `lang_definitions` VALUES (100297, 1908, 19, 'فترات التذكير للقواعد السريرية');
INSERT INTO `lang_definitions` VALUES (100298, 1909, 19, 'طرق التذكير للقواعد السريرية');
INSERT INTO `lang_definitions` VALUES (100299, 1910, 19, 'الفترات المستهدفة للقواعد السريرية');
INSERT INTO `lang_definitions` VALUES (100300, 1911, 19, 'اﻷهداف السريرية');
INSERT INTO `lang_definitions` VALUES (100301, 1912, 19, 'العبارة السريرية');
INSERT INTO `lang_definitions` VALUES (100302, 1913, 19, 'رمز المصطلح السريري');
INSERT INTO `lang_definitions` VALUES (100303, 1915, 19, 'الأطباء');
INSERT INTO `lang_definitions` VALUES (100304, 1916, 19, 'الاستنساخ');
INSERT INTO `lang_definitions` VALUES (100305, 1917, 19, 'استنساخ الزيارة السابقة');
INSERT INTO `lang_definitions` VALUES (100306, 1918, 19, 'إغلاق');
INSERT INTO `lang_definitions` VALUES (100307, 1925, 19, 'إغلاق النافذة');
INSERT INTO `lang_definitions` VALUES (100308, 1927, 19, 'مغلق');
INSERT INTO `lang_definitions` VALUES (100309, 1928, 19, 'سم');
INSERT INTO `lang_definitions` VALUES (100310, 1931, 19, 'CMS 1500 Margins');
INSERT INTO `lang_definitions` VALUES (100311, 1940, 19, 'CMS ID');
INSERT INTO `lang_definitions` VALUES (100312, 1955, 19, 'الأعصاب القحفية من الثاني- الثاني عشر: سليمة');
INSERT INTO `lang_definitions` VALUES (100313, 1958, 19, 'الدفع المشترك');
INSERT INTO `lang_definitions` VALUES (100314, 1959, 19, 'الدفع المشترك-مدفوع');
INSERT INTO `lang_definitions` VALUES (100315, 1962, 19, 'الدفع المشترك');
INSERT INTO `lang_definitions` VALUES (100316, 1964, 19, 'الرمز');
INSERT INTO `lang_definitions` VALUES (100317, 1965, 19, 'الرمز');
INSERT INTO `lang_definitions` VALUES (100318, 1967, 19, 'إيجاد الرمز');
INSERT INTO `lang_definitions` VALUES (100319, 1968, 19, 'يجب أن يكون الرمز من حرفيين');
INSERT INTO `lang_definitions` VALUES (100320, 1969, 19, 'الرمز أو العينة لتوضيح العملة');
INSERT INTO `lang_definitions` VALUES (100321, 1971, 19, 'نص الرمز');
INSERT INTO `lang_definitions` VALUES (100322, 1973, 19, 'نمط الرمز');
INSERT INTO `lang_definitions` VALUES (100323, 1976, 19, 'انماط الرمز');
INSERT INTO `lang_definitions` VALUES (100324, 1977, 19, 'الرمز');
INSERT INTO `lang_definitions` VALUES (100325, 1978, 19, 'مشفر');
INSERT INTO `lang_definitions` VALUES (100326, 1979, 19, 'الرموز');
INSERT INTO `lang_definitions` VALUES (100327, 1981, 19, 'نظام التصنيف');
INSERT INTO `lang_definitions` VALUES (100328, 1983, 19, 'ترميز أي مراجعة');
INSERT INTO `lang_definitions` VALUES (100329, 1985, 19, 'ترميز مراجعاتي فقط');
INSERT INTO `lang_definitions` VALUES (100330, 1990, 19, 'الترميز غير مصرح');
INSERT INTO `lang_definitions` VALUES (100331, 1991, 19, 'القهوة');
INSERT INTO `lang_definitions` VALUES (100332, 1994, 19, 'التأمين المشترك');
INSERT INTO `lang_definitions` VALUES (100333, 1995, 19, 'إنهيار بدون');
INSERT INTO `lang_definitions` VALUES (100334, 1997, 19, 'إنهيار');
INSERT INTO `lang_definitions` VALUES (100335, 1998, 19, 'إنهيار');
INSERT INTO `lang_definitions` VALUES (100336, 1999, 19, 'إخفاء جميع القوائم');
INSERT INTO `lang_definitions` VALUES (100337, 2000, 19, 'إخفاء جميع القوائم');
INSERT INTO `lang_definitions` VALUES (100338, 2001, 19, 'إخفاء جميع القوائم');
INSERT INTO `lang_definitions` VALUES (100339, 2005, 19, 'تاريخ الجمع');
INSERT INTO `lang_definitions` VALUES (100340, 2007, 19, 'تجميعات');
INSERT INTO `lang_definitions` VALUES (100341, 2008, 19, 'تقرير التجميعات');
INSERT INTO `lang_definitions` VALUES (100342, 2009, 19, 'سرطان الكولون');
INSERT INTO `lang_definitions` VALUES (100343, 2010, 19, 'فحص سرطان القولون');
INSERT INTO `lang_definitions` VALUES (100344, 2011, 19, 'جراحة سرطان الكولون');
INSERT INTO `lang_definitions` VALUES (100345, 2012, 19, 'تنظير الكولون');
INSERT INTO `lang_definitions` VALUES (100346, 2013, 19, 'تنظير الكولون');
INSERT INTO `lang_definitions` VALUES (100347, 2014, 19, 'اللون');
INSERT INTO `lang_definitions` VALUES (100348, 2020, 19, 'إختصار اللون');
INSERT INTO `lang_definitions` VALUES (100349, 2021, 19, 'عمود');
INSERT INTO `lang_definitions` VALUES (100350, 2022, 19, 'الأعمدة');
INSERT INTO `lang_definitions` VALUES (100351, 2024, 19, 'الطبخات المجمعة');
INSERT INTO `lang_definitions` VALUES (100352, 2025, 19, 'فاصلة');
INSERT INTO `lang_definitions` VALUES (100353, 2027, 19, 'ملاحظة / تعليق');
INSERT INTO `lang_definitions` VALUES (100354, 2028, 19, 'التعليقات');
INSERT INTO `lang_definitions` VALUES (100355, 2030, 19, 'التعليق على هذه النتيجة أو التوصيات');
INSERT INTO `lang_definitions` VALUES (100356, 2031, 19, 'شركة التأمين');
INSERT INTO `lang_definitions` VALUES (100357, 2032, 19, 'حفظ التغييرات');
INSERT INTO `lang_definitions` VALUES (100358, 2036, 19, 'الاتصالات');
INSERT INTO `lang_definitions` VALUES (100359, 2039, 19, 'الشركة');
INSERT INTO `lang_definitions` VALUES (100360, 2040, 19, 'إسم الشركة');
INSERT INTO `lang_definitions` VALUES (100361, 2041, 19, 'كامل');
INSERT INTO `lang_definitions` VALUES (100362, 2043, 19, 'مكتمل');
INSERT INTO `lang_definitions` VALUES (100363, 2046, 19, 'مكتمل؟');
INSERT INTO `lang_definitions` VALUES (100364, 2049, 19, 'التعيقدات من مزود الخدمة');
INSERT INTO `lang_definitions` VALUES (100365, 2050, 19, 'اختلاطات الإجهاض');
INSERT INTO `lang_definitions` VALUES (100366, 2051, 19, 'المكونات');
INSERT INTO `lang_definitions` VALUES (100367, 2057, 19, 'نظام الأوامر الطبية بمساعدة الكومبيوتر');
INSERT INTO `lang_definitions` VALUES (100368, 2058, 19, 'الاستنتاجات');
INSERT INTO `lang_definitions` VALUES (100369, 2059, 19, 'حاله');
INSERT INTO `lang_definitions` VALUES (100370, 2060, 19, 'الحاله غير موجوده');
INSERT INTO `lang_definitions` VALUES (100371, 2061, 19, 'وضع الحاله');
INSERT INTO `lang_definitions` VALUES (100372, 2064, 19, 'اﻹعدادات');
INSERT INTO `lang_definitions` VALUES (100373, 2065, 19, 'تصدير / إستيراد اﻹعدادات');
INSERT INTO `lang_definitions` VALUES (100374, 2067, 19, 'هيئ الأباتشى و البرنامج لإستخدام شهادات SSL التابعة للعميل');
INSERT INTO `lang_definitions` VALUES (100375, 2068, 19, 'هيئ الأباتشى لإستخدام شهادات SSL التابعة للعميل');
INSERT INTO `lang_definitions` VALUES (100376, 2069, 19, 'هيئ الأباتشى لإستخدام HTTPS');
INSERT INTO `lang_definitions` VALUES (100377, 2070, 19, 'هيئ البرنامج لإستخدام شهادات SSL التابعة للعميل');
INSERT INTO `lang_definitions` VALUES (100378, 2079, 19, 'تأكيد إضافة مريض جديد');
INSERT INTO `lang_definitions` VALUES (100379, 2081, 19, 'تأكيد كلمة المرور الجديدة');
INSERT INTO `lang_definitions` VALUES (100380, 2083, 19, 'تأكيد الدفع');
INSERT INTO `lang_definitions` VALUES (100381, 2092, 19, 'الخلقي');
INSERT INTO `lang_definitions` VALUES (100382, 2094, 19, 'الملتحمة ، الحدقات');
INSERT INTO `lang_definitions` VALUES (100383, 2096, 19, 'خظأ في الاتصال');
INSERT INTO `lang_definitions` VALUES (100384, 2097, 19, 'الموصلات');
INSERT INTO `lang_definitions` VALUES (100385, 2098, 19, 'ثابت');
INSERT INTO `lang_definitions` VALUES (100386, 2100, 19, 'إسم الثابت');
INSERT INTO `lang_definitions` VALUES (100387, 2101, 19, 'إسم الثابت فارغ');
INSERT INTO `lang_definitions` VALUES (100388, 2102, 19, 'الثوابت');
INSERT INTO `lang_definitions` VALUES (100389, 2103, 19, 'الإمساك');
INSERT INTO `lang_definitions` VALUES (100390, 2104, 19, 'أعراض جهازية عامة');
INSERT INTO `lang_definitions` VALUES (100391, 2107, 19, 'وصف مختصر لسبب زيارة المريض');
INSERT INTO `lang_definitions` VALUES (100392, 2109, 19, 'المعلومات حول شخص قريب أو مرافق');
INSERT INTO `lang_definitions` VALUES (100393, 2110, 19, 'البريد الإلكتروني');
INSERT INTO `lang_definitions` VALUES (100394, 2111, 19, 'البريد الإلكتروني');
INSERT INTO `lang_definitions` VALUES (100395, 2112, 19, 'تواصل مع EMRمباشرة للإشتراك فى خدمة phiMail للمراسلة المباشرة');
INSERT INTO `lang_definitions` VALUES (100396, 2113, 19, 'المعلومات حول شخص قريب أو مرافق');
INSERT INTO `lang_definitions` VALUES (100397, 2117, 19, 'العدسات اللاصقة');
INSERT INTO `lang_definitions` VALUES (100398, 2118, 19, 'تواصل مع دمج المعلومات الطبيّة لخدمة تبادل المعمل http://mi-squared.com');
INSERT INTO `lang_definitions` VALUES (100399, 2119, 19, 'تواصل مع دمج المعلومات الطبيّة http://mi-squared.com او ZH Healthcare at http://zhservices.com');
INSERT INTO `lang_definitions` VALUES (100400, 2122, 19, 'اسم شخص قريب أو مرافق');
INSERT INTO `lang_definitions` VALUES (100401, 2125, 19, 'شخص قريب أو مرافق');
INSERT INTO `lang_definitions` VALUES (100402, 2127, 19, 'هاتف الشخص القريب أو المرافق');
INSERT INTO `lang_definitions` VALUES (100403, 2129, 19, 'تواصل مع (zmghealth@gmail.com) for subscribing the eRx service');
INSERT INTO `lang_definitions` VALUES (100404, 2131, 19, 'تحتوي على اﻷقل على ثلاثة من أربعة من البنود التالية');
INSERT INTO `lang_definitions` VALUES (100405, 2132, 19, 'إسم محتوى المجموعة');
INSERT INTO `lang_definitions` VALUES (100406, 2133, 19, 'المحتوى');
INSERT INTO `lang_definitions` VALUES (100407, 2134, 19, 'المحتوى');
INSERT INTO `lang_definitions` VALUES (100408, 2136, 19, 'السياق');
INSERT INTO `lang_definitions` VALUES (100409, 2137, 19, 'اسم السياق لا يمكن أن يكون فارغا');
INSERT INTO `lang_definitions` VALUES (100410, 2138, 19, 'الاستمرار');
INSERT INTO `lang_definitions` VALUES (100411, 2142, 19, 'استمرارية وثيقة الرعاية');
INSERT INTO `lang_definitions` VALUES (100412, 2145, 19, 'استمرارية سجل الرعاية');
INSERT INTO `lang_definitions` VALUES (100413, 2146, 19, 'ضد العملاء');
INSERT INTO `lang_definitions` VALUES (100414, 2147, 19, 'منع الحمل');
INSERT INTO `lang_definitions` VALUES (100415, 2148, 19, 'مسائل منع الحمل');
INSERT INTO `lang_definitions` VALUES (100416, 2149, 19, 'التأثيرات الجانبية لموانع الحمل - اذكرها');
INSERT INTO `lang_definitions` VALUES (100417, 2150, 19, 'أسلوب منع الحمل');
INSERT INTO `lang_definitions` VALUES (100418, 2151, 19, 'منتجات منع الحمل');
INSERT INTO `lang_definitions` VALUES (100419, 2152, 19, 'خدمات منع الحمل السابقة');
INSERT INTO `lang_definitions` VALUES (100420, 2153, 19, 'بدء موانع الحمل');
INSERT INTO `lang_definitions` VALUES (100421, 2158, 19, 'معرف التحكم');
INSERT INTO `lang_definitions` VALUES (100422, 2159, 19, 'رقم التحكم');
INSERT INTO `lang_definitions` VALUES (100423, 2168, 19, 'الدفع المشترك');
INSERT INTO `lang_definitions` VALUES (100424, 2169, 19, 'الدفع المشترك');
INSERT INTO `lang_definitions` VALUES (100425, 2170, 19, 'الدفع المشترك');
INSERT INTO `lang_definitions` VALUES (100426, 2171, 19, 'الدفع المشترك غير موجب');
INSERT INTO `lang_definitions` VALUES (100427, 2173, 19, 'الدفوع المشتركة');
INSERT INTO `lang_definitions` VALUES (100428, 2174, 19, 'المرض الرئوي الانسدادي المزمن');
INSERT INTO `lang_definitions` VALUES (100429, 2175, 19, 'نسخ الصفحات إلى إضبارة المريض');
INSERT INTO `lang_definitions` VALUES (100430, 2177, 19, 'قيم النسخ');
INSERT INTO `lang_definitions` VALUES (100431, 2178, 19, 'جاري نسخ ملف قاعدة المعلومات - قد يستغرق ذلك بعض الوقت');
INSERT INTO `lang_definitions` VALUES (100432, 2179, 19, 'حول حفظ الحقوق');
INSERT INTO `lang_definitions` VALUES (100433, 2184, 19, 'مجازة الشرايين التاجية');
INSERT INTO `lang_definitions` VALUES (100434, 2185, 19, 'مجازة الشرايين التاجية');
INSERT INTO `lang_definitions` VALUES (100435, 2186, 19, 'صحح');
INSERT INTO `lang_definitions` VALUES (100436, 2188, 19, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (100437, 2189, 19, 'فشل الإتصال CouchDB');
INSERT INTO `lang_definitions` VALUES (100438, 2191, 19, 'قاعدة البيانات CouchDB');
INSERT INTO `lang_definitions` VALUES (100439, 2192, 19, 'إسم قاعدة البيانات CouchDB');
INSERT INTO `lang_definitions` VALUES (100440, 2195, 19, 'مستضيف CouchDB');
INSERT INTO `lang_definitions` VALUES (100441, 2196, 19, 'إسم مستضيف CouchDB');
INSERT INTO `lang_definitions` VALUES (100442, 2197, 19, 'فعّل تسجيل احداث CouchDB');
INSERT INTO `lang_definitions` VALUES (100443, 2198, 19, 'كلمة سّر CouchDB');
INSERT INTO `lang_definitions` VALUES (100444, 2199, 19, 'مدخل CouchDB');
INSERT INTO `lang_definitions` VALUES (100445, 2200, 19, 'مدخل CouchDB');
INSERT INTO `lang_definitions` VALUES (100446, 2203, 19, 'إسم مستخدم CouchDB');
INSERT INTO `lang_definitions` VALUES (100447, 2204, 19, 'السعال');
INSERT INTO `lang_definitions` VALUES (100448, 2205, 19, 'السعال:');
INSERT INTO `lang_definitions` VALUES (100449, 2211, 19, 'تعذر قراءة الملف');
INSERT INTO `lang_definitions` VALUES (100450, 2214, 19, 'فشل إرسال رسللة إلكترونية لعطل في الشبكة');
INSERT INTO `lang_definitions` VALUES (100451, 2216, 19, 'تعذر إرسال البريد اﻹلكتروني بسبب مشكلة في الخادم');
INSERT INTO `lang_definitions` VALUES (100452, 2217, 19, 'فشل إنشاء النسخة الاحتياطية');
INSERT INTO `lang_definitions` VALUES (100453, 2218, 19, 'تعذر حذف المجلد');
INSERT INTO `lang_definitions` VALUES (100454, 2219, 19, 'تعذر حذف ملف النسخ اﻹحتياطي السابق');
INSERT INTO `lang_definitions` VALUES (100455, 2220, 19, 'تعذر حذف ملف التصدير السابق');
INSERT INTO `lang_definitions` VALUES (100456, 2221, 19, 'تدبير المعالجة بمميعات الدم- مراقبة INR');
INSERT INTO `lang_definitions` VALUES (100457, 2222, 19, 'الإستشارة بالنوع');
INSERT INTO `lang_definitions` VALUES (100458, 2223, 19, 'جلسات التوعية');
INSERT INTO `lang_definitions` VALUES (100459, 2224, 19, 'نشاطات التوعية');
INSERT INTO `lang_definitions` VALUES (100460, 2227, 19, 'نموذج اﻹحالة');
INSERT INTO `lang_definitions` VALUES (100461, 2228, 19, 'تعدد الاحالة');
INSERT INTO `lang_definitions` VALUES (100462, 2229, 19, 'الدولة');
INSERT INTO `lang_definitions` VALUES (100463, 2231, 19, 'نوع بيانات الدول');
INSERT INTO `lang_definitions` VALUES (100464, 2232, 19, 'قائمة الدول');
INSERT INTO `lang_definitions` VALUES (100465, 2233, 19, 'قائمة الدول');
INSERT INTO `lang_definitions` VALUES (100466, 2235, 19, 'اسم الدولة لا بد أن يتم تمثيله ب حرفين (مثلا : السعودية :SA)');
INSERT INTO `lang_definitions` VALUES (100467, 2236, 19, 'المحافظة');
INSERT INTO `lang_definitions` VALUES (100468, 2238, 19, 'القسيمة');
INSERT INTO `lang_definitions` VALUES (100469, 2245, 19, 'قائمة الإجراءات الطبية');
INSERT INTO `lang_definitions` VALUES (100470, 2246, 19, 'رمز CPT4');
INSERT INTO `lang_definitions` VALUES (100471, 2247, 19, 'تصانيف الإجراءات الطبية');
INSERT INTO `lang_definitions` VALUES (100472, 2248, 19, 'إجراءات / خدمة CPT4');
INSERT INTO `lang_definitions` VALUES (100473, 2249, 19, 'قياسات اداء CPTII');
INSERT INTO `lang_definitions` VALUES (100474, 2250, 19, 'CQM');
INSERT INTO `lang_definitions` VALUES (100475, 2252, 19, 'أصوات تنفسية فرقعية:');
INSERT INTO `lang_definitions` VALUES (100476, 2255, 19, 'كريم');
INSERT INTO `lang_definitions` VALUES (100477, 2256, 19, 'إنشاء شهادة SSL من جانب العميل لكل مستخدم أو جهاز العميل.');
INSERT INTO `lang_definitions` VALUES (100478, 2257, 19, 'إنشاء شهادة SSL من جانب العميل سواء لمستخدم أو لمضيف العميل.');
INSERT INTO `lang_definitions` VALUES (100479, 2269, 19, 'إنشاء حدث جديد');
INSERT INTO `lang_definitions` VALUES (100480, 2273, 19, 'إنشاء وتنريل نسخة احتياطية كاملة');
INSERT INTO `lang_definitions` VALUES (100481, 2275, 19, 'إنشاء نسخة احتياطية');
INSERT INTO `lang_definitions` VALUES (100482, 2276, 19, 'إنشاء حزمة');
INSERT INTO `lang_definitions` VALUES (100483, 2277, 19, 'إنشاء شهادة الزبون');
INSERT INTO `lang_definitions` VALUES (100484, 2278, 19, 'إنشاء شهادة أمن المتصفح');
INSERT INTO `lang_definitions` VALUES (100485, 2281, 19, 'إنشاء نسخة مكررة');
INSERT INTO `lang_definitions` VALUES (100486, 2283, 19, 'إنشاء نسخة إحتياطية من سجل اﻷحداث');
INSERT INTO `lang_definitions` VALUES (100487, 2285, 19, 'إنشاء قضية جديدة');
INSERT INTO `lang_definitions` VALUES (100488, 2287, 19, 'إنشاء ملف جديد للمريض');
INSERT INTO `lang_definitions` VALUES (100489, 2290, 19, 'Create Offsite Portal Credentials');
INSERT INTO `lang_definitions` VALUES (100490, 2292, 19, 'Create Onsite Portal Credentials');
INSERT INTO `lang_definitions` VALUES (100491, 2294, 19, 'إنشاء تقرير عن المريض');
INSERT INTO `lang_definitions` VALUES (100492, 2296, 19, 'Create the SSL Certificate Authority and Server certificates.');
INSERT INTO `lang_definitions` VALUES (100493, 2297, 19, 'إنشاء زيارة');
INSERT INTO `lang_definitions` VALUES (100494, 2298, 19, 'تم');
INSERT INTO `lang_definitions` VALUES (100495, 2306, 19, 'جارِ إنشاء ملف للتصدير');
INSERT INTO `lang_definitions` VALUES (100496, 2308, 19, 'فشل إنشاء الملف');
INSERT INTO `lang_definitions` VALUES (100497, 2309, 19, 'المنشيء');
INSERT INTO `lang_definitions` VALUES (100498, 2311, 19, 'إئتمان');
INSERT INTO `lang_definitions` VALUES (100499, 2312, 19, 'بطاقة الائتمان');
INSERT INTO `lang_definitions` VALUES (100500, 2314, 19, 'اﻹعتمادات');
INSERT INTO `lang_definitions` VALUES (100501, 2316, 19, 'المعايير');
INSERT INTO `lang_definitions` VALUES (100502, 2319, 19, 'داء كرون');
INSERT INTO `lang_definitions` VALUES (100503, 2320, 19, 'داء كرون');
INSERT INTO `lang_definitions` VALUES (100504, 2323, 19, 'تصدير الى ملف CSV');
INSERT INTO `lang_definitions` VALUES (100505, 2324, 19, 'ملف CSV');
INSERT INTO `lang_definitions` VALUES (100506, 2325, 19, 'جداول CSV');
INSERT INTO `lang_definitions` VALUES (100507, 2330, 19, 'مم مكعب');
INSERT INTO `lang_definitions` VALUES (100508, 2331, 19, 'كوبي');
INSERT INTO `lang_definitions` VALUES (100509, 2333, 19, 'اماكن الفاصلة العشرية للعملة');
INSERT INTO `lang_definitions` VALUES (100510, 2334, 19, 'الفاصلة العشرية للعملة');
INSERT INTO `lang_definitions` VALUES (100511, 2335, 19, 'رمز العملة');
INSERT INTO `lang_definitions` VALUES (100512, 2336, 19, 'فاصل الالاف في العملة');
INSERT INTO `lang_definitions` VALUES (100513, 2337, 19, 'الحالي');
INSERT INTO `lang_definitions` VALUES (100514, 2338, 19, 'الكحول الحالي');
INSERT INTO `lang_definitions` VALUES (100515, 2341, 19, 'الاستشارة الحالية');
INSERT INTO `lang_definitions` VALUES (100516, 2342, 19, 'المعايير الحالية');
INSERT INTO `lang_definitions` VALUES (100517, 2344, 19, 'لون التوضيح لليوم الحالي');
INSERT INTO `lang_definitions` VALUES (100518, 2345, 19, 'مدخن يومي');
INSERT INTO `lang_definitions` VALUES (100519, 2347, 19, 'الموقع الحالي');
INSERT INTO `lang_definitions` VALUES (100520, 2349, 19, 'الفاصل الحالي');
INSERT INTO `lang_definitions` VALUES (100521, 2350, 19, 'تغير اسم الملف الحالي إلى');
INSERT INTO `lang_definitions` VALUES (100522, 2352, 19, 'اﻷدوية الحالية');
INSERT INTO `lang_definitions` VALUES (100523, 2354, 19, 'كلمة السر الحالية');
INSERT INTO `lang_definitions` VALUES (100524, 2356, 19, 'المريض الحالي');
INSERT INTO `lang_definitions` VALUES (100525, 2361, 19, 'اﻷدوية الترويحية الحالية');
INSERT INTO `lang_definitions` VALUES (100526, 2363, 19, 'مدخن متقطع');
INSERT INTO `lang_definitions` VALUES (100527, 2371, 19, 'النشط حالياَ');
INSERT INTO `lang_definitions` VALUES (100528, 2375, 19, 'المشغل حالياً');
INSERT INTO `lang_definitions` VALUES (100529, 2377, 19, 'لا توجد مراكز حالياً');
INSERT INTO `lang_definitions` VALUES (100530, 2379, 19, 'متلازمة كوشينغ');
INSERT INTO `lang_definitions` VALUES (100531, 2380, 19, 'متلازمة كوشينغ');
INSERT INTO `lang_definitions` VALUES (100532, 2383, 19, 'عرف');
INSERT INTO `lang_definitions` VALUES (100533, 2390, 19, 'مدخل مخصص؟');
INSERT INTO `lang_definitions` VALUES (100534, 2395, 19, 'جدول مخصص');
INSERT INTO `lang_definitions` VALUES (100535, 2402, 19, 'كود CVX');
INSERT INTO `lang_definitions` VALUES (100536, 2403, 19, 'تخطيط كود CVX');
INSERT INTO `lang_definitions` VALUES (100537, 2404, 19, 'تطعيم CVX');
INSERT INTO `lang_definitions` VALUES (100538, 2406, 19, 'دورة');
INSERT INTO `lang_definitions` VALUES (100539, 2412, 19, 'سيتوكروم بي');
INSERT INTO `lang_definitions` VALUES (100540, 2413, 19, 'معامل سيتوكروم بي');
INSERT INTO `lang_definitions` VALUES (100541, 2414, 19, 'تقرير سيتوكروم بي');
INSERT INTO `lang_definitions` VALUES (100542, 2415, 19, 'تشيكي');
INSERT INTO `lang_definitions` VALUES (100543, 2416, 19, 'د');
INSERT INTO `lang_definitions` VALUES (100544, 2417, 19, 'التوسيع و التجريف');
INSERT INTO `lang_definitions` VALUES (100545, 2418, 19, 'التوسيع و التفريغ');
INSERT INTO `lang_definitions` VALUES (100546, 2420, 19, 'تاريخ الولادة');
INSERT INTO `lang_definitions` VALUES (100547, 2421, 19, 'يومياَ');
INSERT INTO `lang_definitions` VALUES (100548, 2422, 19, 'السجل اليومي');
INSERT INTO `lang_definitions` VALUES (100549, 2425, 19, 'دانماركي');
INSERT INTO `lang_definitions` VALUES (100550, 2429, 19, 'معلومات مشابهة موجودة مسبقا. قم بتغيير المز و/أو الوصف');
INSERT INTO `lang_definitions` VALUES (100551, 2430, 19, 'معلومات مشابهة موجودة مسبقا. قم بتغيير إسم الثابت');
INSERT INTO `lang_definitions` VALUES (100552, 2431, 19, 'أعمدة البيانات');
INSERT INTO `lang_definitions` VALUES (100553, 2434, 19, 'خطأ في البيانات');
INSERT INTO `lang_definitions` VALUES (100554, 2439, 19, 'نوع البيانات');
INSERT INTO `lang_definitions` VALUES (100555, 2440, 19, 'قاعدة البيانات');
INSERT INTO `lang_definitions` VALUES (100556, 2442, 19, 'قاعدة المعلومات غير مثبتة');
INSERT INTO `lang_definitions` VALUES (100557, 2444, 19, 'رقعة برمجية لقاعدة المعلومات');
INSERT INTO `lang_definitions` VALUES (100558, 2445, 19, 'تقرير قاعدة المعلومات');
INSERT INTO `lang_definitions` VALUES (100559, 2447, 19, 'تحيث قاعدة البيانات تم');
INSERT INTO `lang_definitions` VALUES (100560, 2448, 19, 'أعمدة البيانات يجب أن يكون رقم بين 1 و 999');
INSERT INTO `lang_definitions` VALUES (100561, 2449, 19, 'التاريخ');
INSERT INTO `lang_definitions` VALUES (100562, 2450, 19, 'التاريخ');
INSERT INTO `lang_definitions` VALUES (100563, 2451, 19, 'التاريخ و الوقت');
INSERT INTO `lang_definitions` VALUES (100564, 2453, 19, 'تاريخ البدء');
INSERT INTO `lang_definitions` VALUES (100565, 2454, 19, 'تاريخ و وقت جمع العينة');
INSERT INTO `lang_definitions` VALUES (100566, 2455, 19, 'تاريخ و وقت هذه الملاحظة');
INSERT INTO `lang_definitions` VALUES (100567, 2457, 19, 'التاريخ والوقت الذي جمعت فيه العينة');
INSERT INTO `lang_definitions` VALUES (100568, 2458, 19, 'التاريخ لا يمكن ان يتجاوز تاريخ اليوم');
INSERT INTO `lang_definitions` VALUES (100569, 2459, 19, 'تاريخ تقديم خدمة منع الحمل ﻷول بداية');
INSERT INTO `lang_definitions` VALUES (100570, 2460, 19, 'تاريخ اﻹضافة');
INSERT INTO `lang_definitions` VALUES (100571, 2461, 19, 'تاريخ الوفاة');
INSERT INTO `lang_definitions` VALUES (100572, 2462, 19, 'تاريخ اﻹتلاف');
INSERT INTO `lang_definitions` VALUES (100573, 2463, 19, 'طريقة عرض التاريخ');
INSERT INTO `lang_definitions` VALUES (100574, 2464, 19, 'طريقة عرض التاريخ ل \"نهاية الموعد\" غير صالحة');
INSERT INTO `lang_definitions` VALUES (100575, 2465, 19, 'طريقة عرض التاريخ ل \"بداية الموعد\" غير صالحة');
INSERT INTO `lang_definitions` VALUES (100576, 2466, 19, 'طريقة عرض التاريخ ل \" الموعد القادم\" غير صالحة');
INSERT INTO `lang_definitions` VALUES (100577, 2467, 19, 'طريقة عرض التاريخ ل \"لم يًشاهد سابقا\" غير صالحة');
INSERT INTO `lang_definitions` VALUES (100578, 2469, 19, 'طريقة عرض التاريخ ل \"شوهد سابقا\" غير صالحة');
INSERT INTO `lang_definitions` VALUES (100579, 2470, 19, 'تاريخ المعلومات الخاصة باللقاحات');
INSERT INTO `lang_definitions` VALUES (100580, 2471, 19, 'غياب تاريخ الرمز');
INSERT INTO `lang_definitions` VALUES (100581, 2472, 19, 'معايير التاريخ الرئيسية');
INSERT INTO `lang_definitions` VALUES (100582, 2475, 19, 'تاريخ الإيداع المصرفي سنة-شهر-يوم');
INSERT INTO `lang_definitions` VALUES (100583, 2476, 19, 'تاريخ الفاتورة');
INSERT INTO `lang_definitions` VALUES (100584, 2477, 19, 'تاريخ الولادة');
INSERT INTO `lang_definitions` VALUES (100585, 2478, 19, 'تاريخ الولادة');
INSERT INTO `lang_definitions` VALUES (100586, 2479, 19, 'تاريخ الميلاد');
INSERT INTO `lang_definitions` VALUES (100587, 2481, 19, 'تاريخ الدخول');
INSERT INTO `lang_definitions` VALUES (100588, 2483, 19, 'تاريخ الأذية');
INSERT INTO `lang_definitions` VALUES (100589, 2487, 19, 'تاريخ الدفع سنة-شهر-يوم');
INSERT INTO `lang_definitions` VALUES (100590, 2489, 19, 'تاريخ الإحالة');
INSERT INTO `lang_definitions` VALUES (100591, 2491, 19, 'تاريخ الرد');
INSERT INTO `lang_definitions` VALUES (100592, 2492, 19, 'تاريخ التقرير');
INSERT INTO `lang_definitions` VALUES (100593, 2493, 19, 'تاريخ الخدمة');
INSERT INTO `lang_definitions` VALUES (100594, 2495, 19, 'تاريخ الخدمة');
INSERT INTO `lang_definitions` VALUES (100595, 2496, 19, 'تاريخ الخدمة = اليوم');
INSERT INTO `lang_definitions` VALUES (100596, 2498, 19, 'تاريخ الخدمة سنة-شهر-يوم');
INSERT INTO `lang_definitions` VALUES (100597, 2499, 19, 'تاريخ الخدمة');
INSERT INTO `lang_definitions` VALUES (100598, 2500, 19, 'تاريخ التوقيع');
INSERT INTO `lang_definitions` VALUES (100599, 2501, 19, 'تاريخ تغيير الحالة');
INSERT INTO `lang_definitions` VALUES (100600, 2503, 19, 'تاريخ هذا اﻷمر');
INSERT INTO `lang_definitions` VALUES (100601, 2504, 19, 'تاريخ هذا التقرير');
INSERT INTO `lang_definitions` VALUES (100602, 2505, 19, 'تاريخ عبارة الزيارة');
INSERT INTO `lang_definitions` VALUES (100603, 2506, 19, 'تاريخ اﻷمر');
INSERT INTO `lang_definitions` VALUES (100604, 2509, 19, 'مختار التاريخ');
INSERT INTO `lang_definitions` VALUES (100605, 2510, 19, 'تاريخ اﻹرسال');
INSERT INTO `lang_definitions` VALUES (100606, 2511, 19, 'تاريخ إرسال الرسالة');
INSERT INTO `lang_definitions` VALUES (100607, 2513, 19, 'قيمة التاريخ لا يمكن ان تكون فارغة');
INSERT INTO `lang_definitions` VALUES (100608, 2516, 19, 'التاريخ/الموعد');
INSERT INTO `lang_definitions` VALUES (100609, 2517, 19, 'التاريخ/الملاحظات');
INSERT INTO `lang_definitions` VALUES (100610, 2518, 19, 'تاريخ/ملاحظات اﻵخر');
INSERT INTO `lang_definitions` VALUES (100611, 2519, 19, 'التاريخ/الوقت');
INSERT INTO `lang_definitions` VALUES (100612, 2520, 19, 'التاريخ');
INSERT INTO `lang_definitions` VALUES (100613, 2522, 19, 'بتاريخ');
INSERT INTO `lang_definitions` VALUES (100614, 2523, 19, 'سجل الرسائل المؤرخ');
INSERT INTO `lang_definitions` VALUES (100615, 2526, 19, 'اليوم');
INSERT INTO `lang_definitions` VALUES (100616, 2527, 19, 'يوم');
INSERT INTO `lang_definitions` VALUES (100617, 2530, 19, 'طريقة عرض اليوم');
INSERT INTO `lang_definitions` VALUES (100618, 2531, 19, 'اليوم (الأيام)');
INSERT INTO `lang_definitions` VALUES (100619, 2532, 19, 'اﻷيام (من الأحد إلى الخميس)');
INSERT INTO `lang_definitions` VALUES (100620, 2533, 19, 'الأيام');
INSERT INTO `lang_definitions` VALUES (100621, 2534, 19, 'الأيام');
INSERT INTO `lang_definitions` VALUES (100622, 2535, 19, 'يوما مضى');
INSERT INTO `lang_definitions` VALUES (100623, 2536, 19, 'أيام الغياب');
INSERT INTO `lang_definitions` VALUES (100624, 2537, 19, 'عدد اﻷيام من اخر مراجعة');
INSERT INTO `lang_definitions` VALUES (100625, 2538, 19, 'أيام الغياب');
INSERT INTO `lang_definitions` VALUES (100626, 2541, 19, 'عدد اﻷيام في العمود');
INSERT INTO `lang_definitions` VALUES (100627, 2543, 19, 'أيام في العمود');
INSERT INTO `lang_definitions` VALUES (100628, 2544, 19, 'تنصيب قاعدة البيانات');
INSERT INTO `lang_definitions` VALUES (100629, 2545, 19, 'ي ي/ش ش/س س س س');
INSERT INTO `lang_definitions` VALUES (100630, 2546, 19, 'تعريف');
INSERT INTO `lang_definitions` VALUES (100631, 2547, 19, 'معالجة التعريف انتهت');
INSERT INTO `lang_definitions` VALUES (100632, 2548, 19, 'معالجة التعريف مستمرة');
INSERT INTO `lang_definitions` VALUES (100633, 2549, 19, 'معالجة التعريف بدأت وجاري العمل عليها');
INSERT INTO `lang_definitions` VALUES (100634, 2550, 19, 'تعريف البيانات غير مكتمل');
INSERT INTO `lang_definitions` VALUES (100635, 2551, 19, 'تم حفظ التعريف');
INSERT INTO `lang_definitions` VALUES (100636, 2552, 19, 'رقم وكالة مكافحة المخدرات');
INSERT INTO `lang_definitions` VALUES (100637, 2558, 19, 'أصم');
INSERT INTO `lang_definitions` VALUES (100638, 2562, 19, 'معلومات كشف اﻷخطاء');
INSERT INTO `lang_definitions` VALUES (100639, 2564, 19, 'تصحيح');
INSERT INTO `lang_definitions` VALUES (100640, 2565, 19, 'كانون الأول (ديسمبر)');
INSERT INTO `lang_definitions` VALUES (100641, 2567, 19, 'متوفى');
INSERT INTO `lang_definitions` VALUES (100642, 2568, 19, 'متوفي (يوم واحد)');
INSERT INTO `lang_definitions` VALUES (100643, 2569, 19, 'متوفي(اليوم)');
INSERT INTO `lang_definitions` VALUES (100644, 2571, 19, 'زمن الوفاه ليست اكبر من اليوم');
INSERT INTO `lang_definitions` VALUES (100645, 2574, 19, 'كانون الأول');
INSERT INTO `lang_definitions` VALUES (100646, 2578, 19, 'رقم الرطل و الأونصة');
INSERT INTO `lang_definitions` VALUES (100647, 2580, 19, 'قابل للمراعاة');
INSERT INTO `lang_definitions` VALUES (100648, 2581, 19, 'الأصل');
INSERT INTO `lang_definitions` VALUES (100649, 2583, 19, 'الأصل');
INSERT INTO `lang_definitions` VALUES (100650, 2585, 19, 'الطريقة الأصل لعرض المفكرة');
INSERT INTO `lang_definitions` VALUES (100651, 2587, 19, 'رقم نموذج المراجعة اﻹفتراضي');
INSERT INTO `lang_definitions` VALUES (100652, 2589, 19, 'المؤسسة الأصل');
INSERT INTO `lang_definitions` VALUES (100653, 2594, 19, 'اللغة اﻹفتراضية');
INSERT INTO `lang_definitions` VALUES (100654, 2595, 19, 'اللغة اﻹفتراضية في حال عدم وجود أو عدم اختيار لغة اخرى');
INSERT INTO `lang_definitions` VALUES (100655, 2598, 19, 'القائمة الأصل (كتابة، الإضافة فقط)');
INSERT INTO `lang_definitions` VALUES (100656, 2600, 19, 'الطريقة الأصل');
INSERT INTO `lang_definitions` VALUES (100657, 2601, 19, 'عدد أيام انتهاء صلاحية كلمة السر');
INSERT INTO `lang_definitions` VALUES (100658, 2602, 19, 'فترة إنتهاء فترة صلاحية كلمة السر. 0 يعني ان هذه الميزة غير مفعلة');
INSERT INTO `lang_definitions` VALUES (100659, 2603, 19, 'دولة المريض اﻹفتراضية');
INSERT INTO `lang_definitions` VALUES (100660, 2606, 19, 'الأولوية');
INSERT INTO `lang_definitions` VALUES (100661, 2607, 19, 'المزود اﻹفتراضي');
INSERT INTO `lang_definitions` VALUES (100662, 2609, 19, 'المدى اﻹفتراضي');
INSERT INTO `lang_definitions` VALUES (100663, 2610, 19, 'سبب المراجعة اﻹفتراضي');
INSERT INTO `lang_definitions` VALUES (100664, 2615, 19, 'اﻹعدادات اﻹفتراضية');
INSERT INTO `lang_definitions` VALUES (100665, 2617, 19, 'حالة صندق اﻹختيار اﻹفتراضية في النافذة الجديدة في قائمة المرضى');
INSERT INTO `lang_definitions` VALUES (100666, 2618, 19, 'القالب الأساسي');
INSERT INTO `lang_definitions` VALUES (100667, 2624, 19, 'الوحدات اﻹفتراضية');
INSERT INTO `lang_definitions` VALUES (100668, 2626, 19, 'القيمة اﻹفتراضية');
INSERT INTO `lang_definitions` VALUES (100669, 2628, 19, 'المستودع اﻹفتراضي');
INSERT INTO `lang_definitions` VALUES (100670, 2629, 19, 'شريك X12 اﻹفتراضي');
INSERT INTO `lang_definitions` VALUES (100671, 2630, 19, 'الأساسي/العالمي');
INSERT INTO `lang_definitions` VALUES (100672, 2635, 19, 'حذف');
INSERT INTO `lang_definitions` VALUES (100673, 2636, 19, 'حذف');
INSERT INTO `lang_definitions` VALUES (100674, 2637, 19, 'النكس المتأخر أكثر من اثنتي عشرة شهرا');
INSERT INTO `lang_definitions` VALUES (100675, 2638, 19, 'حذف');
INSERT INTO `lang_definitions` VALUES (100676, 2639, 19, 'حذف');
INSERT INTO `lang_definitions` VALUES (100677, 2640, 19, 'حذف المجموعات ذات الأرقام التالية');
INSERT INTO `lang_definitions` VALUES (100678, 2641, 19, 'حذف الصنف');
INSERT INTO `lang_definitions` VALUES (100679, 2644, 19, 'فشل الحذف');
INSERT INTO `lang_definitions` VALUES (100680, 2645, 19, 'حذف المجموعة');
INSERT INTO `lang_definitions` VALUES (100681, 2646, 19, 'حذف القائمة');
INSERT INTO `lang_definitions` VALUES (100682, 2648, 19, 'حذف الصفحات');
INSERT INTO `lang_definitions` VALUES (100683, 2649, 19, 'حذف المريض، المراجعة، الاستمارة، المشكلة، المستند، الدفع، الفاتورة، التحويل');
INSERT INTO `lang_definitions` VALUES (100684, 2651, 19, 'حذف صف');
INSERT INTO `lang_definitions` VALUES (100685, 2652, 19, 'حذف العنلصر المختارة');
INSERT INTO `lang_definitions` VALUES (100686, 2655, 19, 'حذف ناجح!');
INSERT INTO `lang_definitions` VALUES (100687, 2656, 19, 'حذف هذا المستند');
INSERT INTO `lang_definitions` VALUES (100688, 2657, 19, 'حذف هذه الاستمارة');
INSERT INTO `lang_definitions` VALUES (100689, 2659, 19, 'حذف هذه الملاحظة');
INSERT INTO `lang_definitions` VALUES (100690, 2661, 19, 'تم الحذف بنجاح');
INSERT INTO `lang_definitions` VALUES (100691, 2662, 19, 'جارٍ الحذف');
INSERT INTO `lang_definitions` VALUES (100692, 2663, 19, 'حذف هذا الحدث لا يمكن إسترجاعه. هل أنت متأكد من أنك تريد الحذف؟');
INSERT INTO `lang_definitions` VALUES (100693, 2666, 19, 'تم الإرسال والتسليم');
INSERT INTO `lang_definitions` VALUES (100694, 2668, 19, 'لا يسمح التسليم في الوقت الحالي إلى العنوان المباشر المحدد.');
INSERT INTO `lang_definitions` VALUES (100695, 2670, 19, 'تم طلب توصيل المستند الطبي المرفق من قبل المريض.');
INSERT INTO `lang_definitions` VALUES (100696, 2671, 19, 'العته');
INSERT INTO `lang_definitions` VALUES (100697, 2673, 19, 'المعلومات الشخصية');
INSERT INTO `lang_definitions` VALUES (100698, 2674, 19, 'المعلومات الشخصية');
INSERT INTO `lang_definitions` VALUES (100699, 2678, 19, 'معايير تصفية المعلومات الديموغرافية');
INSERT INTO `lang_definitions` VALUES (100700, 2680, 19, 'المعلومات الشخصية غير متاحة');
INSERT INTO `lang_definitions` VALUES (100701, 2681, 19, 'المعلومات الشخصية غير متاحة');
INSERT INTO `lang_definitions` VALUES (100702, 2682, 19, 'مرفوض');
INSERT INTO `lang_definitions` VALUES (100703, 2684, 19, 'البسط');
INSERT INTO `lang_definitions` VALUES (100704, 2687, 19, 'سني');
INSERT INTO `lang_definitions` VALUES (100705, 2688, 19, 'قائمة مشاكل الأسنان');
INSERT INTO `lang_definitions` VALUES (100706, 2689, 19, 'مشاكل الأسنان');
INSERT INTO `lang_definitions` VALUES (100707, 2694, 19, 'عند إختبار ملف X12 سوف يظهر لك خرج HCFA و الذي يتكون من أسطر عديدة من اللغة المختلطة. لا تقلق فهذة صيغة X12 EDI 4010A.');
INSERT INTO `lang_definitions` VALUES (100708, 2696, 19, 'تاريخ اﻹيداع');
INSERT INTO `lang_definitions` VALUES (100709, 2697, 19, 'تاريخ اﻹيداع لا يمكن أن يكون بعد تاريخ اليوم');
INSERT INTO `lang_definitions` VALUES (100710, 2698, 19, 'تاريخ الإيداع');
INSERT INTO `lang_definitions` VALUES (100711, 2699, 19, 'مكتئب');
INSERT INTO `lang_definitions` VALUES (100712, 2700, 19, 'اكتئاب');
INSERT INTO `lang_definitions` VALUES (100713, 2706, 19, 'الوصف');
INSERT INTO `lang_definitions` VALUES (100714, 2707, 19, 'الوصف');
INSERT INTO `lang_definitions` VALUES (100715, 2709, 19, 'وصف اﻹفصاح');
INSERT INTO `lang_definitions` VALUES (100716, 2710, 19, 'وصف هذه اﻹجراءات أو رمز النتيجة');
INSERT INTO `lang_definitions` VALUES (100717, 2711, 19, 'ترجمة الوصف');
INSERT INTO `lang_definitions` VALUES (100718, 2713, 19, 'الوجهة');
INSERT INTO `lang_definitions` VALUES (100719, 2714, 19, 'إسم الملف الجهة');
INSERT INTO `lang_definitions` VALUES (100720, 2716, 19, 'إتلاف الطرد');
INSERT INTO `lang_definitions` VALUES (100721, 2717, 19, 'متلف');
INSERT INTO `lang_definitions` VALUES (100722, 2718, 19, 'أتلف');
INSERT INTO `lang_definitions` VALUES (100723, 2719, 19, 'متلف');
INSERT INTO `lang_definitions` VALUES (100724, 2720, 19, 'الأدوية التالفة');
INSERT INTO `lang_definitions` VALUES (100725, 2721, 19, 'التفاصيل');
INSERT INTO `lang_definitions` VALUES (100726, 2726, 19, 'التفاصيل');
INSERT INTO `lang_definitions` VALUES (100727, 2728, 19, 'خلل التكون');
INSERT INTO `lang_definitions` VALUES (100728, 2730, 19, 'الداء السكري');
INSERT INTO `lang_definitions` VALUES (100729, 2731, 19, 'الداء السكري');
INSERT INTO `lang_definitions` VALUES (100730, 2732, 19, 'الداء السكري: ضبط ضغط الدم');
INSERT INTO `lang_definitions` VALUES (100731, 2733, 19, 'الداء السكري: فحص العين');
INSERT INTO `lang_definitions` VALUES (100732, 2734, 19, 'الداء السكري: فحص العين');
INSERT INTO `lang_definitions` VALUES (100733, 2735, 19, 'الداء السكري: فحص القدم');
INSERT INTO `lang_definitions` VALUES (100734, 2736, 19, 'الداء السكري: فحص القدم');
INSERT INTO `lang_definitions` VALUES (100735, 2737, 19, 'الداء السكري: ضبط سيئ للخضاب الغلوكوزي');
INSERT INTO `lang_definitions` VALUES (100736, 2738, 19, 'الداء السكري: الخضاب الغلوكوزي');
INSERT INTO `lang_definitions` VALUES (100737, 2739, 19, 'الداء السكري: ضبط الكوليستيرول');
INSERT INTO `lang_definitions` VALUES (100738, 2740, 19, 'الداء السكري: مستوى الألبومين في البول');
INSERT INTO `lang_definitions` VALUES (100739, 2741, 19, 'التشخيص');
INSERT INTO `lang_definitions` VALUES (100740, 2742, 19, 'التشخيص');
INSERT INTO `lang_definitions` VALUES (100741, 2743, 19, 'التشخيص');
INSERT INTO `lang_definitions` VALUES (100742, 2744, 19, 'رمز التشخيص');
INSERT INTO `lang_definitions` VALUES (100743, 2747, 19, 'تاريخ التشخيص');
INSERT INTO `lang_definitions` VALUES (100744, 2749, 19, 'يجب ترميز التشخيص في المراجعة');
INSERT INTO `lang_definitions` VALUES (100745, 2750, 19, 'اسم التشخيص');
INSERT INTO `lang_definitions` VALUES (100746, 2751, 19, 'تقرير التشخيص');
INSERT INTO `lang_definitions` VALUES (100747, 2752, 19, 'اﻹبلاغ عن التشخيص');
INSERT INTO `lang_definitions` VALUES (100748, 2753, 19, 'اﻹبلاغ عن التشخيص فقط');
INSERT INTO `lang_definitions` VALUES (100749, 2754, 19, 'عنوان التشخيص');
INSERT INTO `lang_definitions` VALUES (100750, 2755, 19, 'التشخيص:');
INSERT INTO `lang_definitions` VALUES (100751, 2756, 19, 'التشخيص:');
INSERT INTO `lang_definitions` VALUES (100752, 2758, 19, 'الاختبارات التشخيصية:');
INSERT INTO `lang_definitions` VALUES (100753, 2760, 19, 'جلسات الديال');
INSERT INTO `lang_definitions` VALUES (100754, 2763, 19, 'حجاب / قلنسوة');
INSERT INTO `lang_definitions` VALUES (100755, 2764, 19, 'الإسهال');
INSERT INTO `lang_definitions` VALUES (100756, 2767, 19, 'الإملاء');
INSERT INTO `lang_definitions` VALUES (100757, 2768, 19, 'الإملاء:');
INSERT INTO `lang_definitions` VALUES (100758, 2769, 19, 'هل وصلك نسخة من المؤسسة المسوؤلة عن الصحة والتأمينات');
INSERT INTO `lang_definitions` VALUES (100759, 2770, 19, 'توزيع:');
INSERT INTO `lang_definitions` VALUES (100760, 2771, 19, 'وقع إلكترونياً');
INSERT INTO `lang_definitions` VALUES (100761, 2781, 19, 'بريد مباشر');
INSERT INTO `lang_definitions` VALUES (100762, 2782, 19, 'سجل الرسائل المباشرة');
INSERT INTO `lang_definitions` VALUES (100763, 2783, 19, 'تم استقبال الرسالة المباشرة');
INSERT INTO `lang_definitions` VALUES (100764, 2784, 19, 'الرسالة المباشره غير متوفرة حاليا');
INSERT INTO `lang_definitions` VALUES (100765, 2785, 19, 'تعذر ارسال الرسالة المباشرة');
INSERT INTO `lang_definitions` VALUES (100766, 2786, 19, 'الاتجاهات');
INSERT INTO `lang_definitions` VALUES (100767, 2787, 19, 'اسم المشرف');
INSERT INTO `lang_definitions` VALUES (100768, 2788, 19, 'تعذر مسح الدليل ; استمرار');
INSERT INTO `lang_definitions` VALUES (100769, 2789, 19, 'الإعاقة');
INSERT INTO `lang_definitions` VALUES (100770, 2794, 19, 'إيقاف التقويم');
INSERT INTO `lang_definitions` VALUES (100771, 2795, 19, 'إيقاف متابعة الملف');
INSERT INTO `lang_definitions` VALUES (100772, 2798, 19, 'إيقاف اللقاحات');
INSERT INTO `lang_definitions` VALUES (100773, 2800, 19, 'إيقاف استمارة العلامات الحياتية المترية القديمة');
INSERT INTO `lang_definitions` VALUES (100774, 2802, 19, 'إيقاف phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (100775, 2803, 19, 'إيقاف الوصفات');
INSERT INTO `lang_definitions` VALUES (100776, 2804, 19, 'إيقاف المجموعات');
INSERT INTO `lang_definitions` VALUES (100777, 2805, 19, 'مُعطّل');
INSERT INTO `lang_definitions` VALUES (100778, 2806, 19, 'مُعطّل');
INSERT INTO `lang_definitions` VALUES (100779, 2807, 19, 'تعطيل المستفيدين لاعمار اقل من ٦٥ سنة');
INSERT INTO `lang_definitions` VALUES (100780, 2812, 19, 'بطاقة ديسكفري اﻹئتمانية');
INSERT INTO `lang_definitions` VALUES (100781, 2813, 19, 'تجاهل');
INSERT INTO `lang_definitions` VALUES (100782, 2814, 19, 'تم تجاهله');
INSERT INTO `lang_definitions` VALUES (100783, 2815, 19, 'خروج');
INSERT INTO `lang_definitions` VALUES (100784, 2816, 19, 'مفرزات الإحليل');
INSERT INTO `lang_definitions` VALUES (100785, 2818, 19, 'حق الخروج');
INSERT INTO `lang_definitions` VALUES (100786, 2819, 19, 'حق الخروج');
INSERT INTO `lang_definitions` VALUES (100787, 2823, 19, 'تخريج المريض');
INSERT INTO `lang_definitions` VALUES (100788, 2825, 19, 'إفشاء المعلومات');
INSERT INTO `lang_definitions` VALUES (100789, 2826, 19, 'نوع إفشاء المعلومات');
INSERT INTO `lang_definitions` VALUES (100790, 2827, 19, 'أنواع إفشاء المعلومات');
INSERT INTO `lang_definitions` VALUES (100791, 2828, 19, 'الإفصاحات');
INSERT INTO `lang_definitions` VALUES (100792, 2833, 19, 'الحسم');
INSERT INTO `lang_definitions` VALUES (100793, 2834, 19, 'مقدار الحسم');
INSERT INTO `lang_definitions` VALUES (100794, 2835, 19, 'مستوى الحسم');
INSERT INTO `lang_definitions` VALUES (100795, 2836, 19, 'نسبة الحسم');
INSERT INTO `lang_definitions` VALUES (100796, 2837, 19, 'نسبة الحسم النقدي');
INSERT INTO `lang_definitions` VALUES (100797, 2838, 19, 'الحسم النقدي عند الخروج مقابل النسبة المئوية');
INSERT INTO `lang_definitions` VALUES (100798, 2839, 19, 'نتيجة سرية');
INSERT INTO `lang_definitions` VALUES (100799, 2841, 19, 'المرض');
INSERT INTO `lang_definitions` VALUES (100800, 2843, 19, 'الخلع');
INSERT INTO `lang_definitions` VALUES (100801, 2847, 19, 'اصرف #');
INSERT INTO `lang_definitions` VALUES (100802, 2848, 19, 'وزع الوثيقة المتلقية');
INSERT INTO `lang_definitions` VALUES (100803, 2849, 19, 'إرسال المستند المستلم');
INSERT INTO `lang_definitions` VALUES (100804, 2853, 19, 'المصروف');
INSERT INTO `lang_definitions` VALUES (100805, 2856, 19, 'إعرض المجلدت المتقدمة فى صفحة الديمجرافيا');
INSERT INTO `lang_definitions` VALUES (100806, 2859, 19, 'عرض احداث البيانات');
INSERT INTO `lang_definitions` VALUES (100807, 2860, 19, 'عرض تنسيق الاوازن');
INSERT INTO `lang_definitions` VALUES (100808, 2861, 19, 'عرض كم عدد الحدث');
INSERT INTO `lang_definitions` VALUES (100809, 2865, 19, 'عرض المنطقة');
INSERT INTO `lang_definitions` VALUES (100810, 2866, 19, 'عرض الاسم');
INSERT INTO `lang_definitions` VALUES (100811, 2868, 19, 'عرض التاريخ');
INSERT INTO `lang_definitions` VALUES (100812, 2875, 19, 'عرض احداث اليوم');
INSERT INTO `lang_definitions` VALUES (100813, 2876, 19, 'عرض العناوين');
INSERT INTO `lang_definitions` VALUES (100814, 2877, 19, 'عرض الاحداث القادمة');
INSERT INTO `lang_definitions` VALUES (100815, 2879, 19, 'الأعمدة المعروضة');
INSERT INTO `lang_definitions` VALUES (100816, 2880, 19, 'يتم عرض العدد التالي من إفشائات السرية اﻷحدث');
INSERT INTO `lang_definitions` VALUES (100817, 2882, 19, 'يتم عرض العدد التالي من الملاحظات اﻷحدث');
INSERT INTO `lang_definitions` VALUES (100818, 2883, 19, 'يتم عرض العدد التالي من الملاحظات اﻷحدث');
INSERT INTO `lang_definitions` VALUES (100819, 2890, 19, 'التوزع');
INSERT INTO `lang_definitions` VALUES (100820, 2891, 19, 'التوزيعات');
INSERT INTO `lang_definitions` VALUES (100821, 2892, 19, 'موزع');
INSERT INTO `lang_definitions` VALUES (100822, 2897, 19, 'التهاب الرتوج');
INSERT INTO `lang_definitions` VALUES (100823, 2898, 19, 'جراحة الرتوج');
INSERT INTO `lang_definitions` VALUES (100824, 2899, 19, 'التهاب الرتوج');
INSERT INTO `lang_definitions` VALUES (100825, 2900, 19, 'جراحة الرتوج');
INSERT INTO `lang_definitions` VALUES (100826, 2901, 19, 'مطلق');
INSERT INTO `lang_definitions` VALUES (100827, 2902, 19, 'الدوخة:');
INSERT INTO `lang_definitions` VALUES (100828, 2905, 19, 'لا تغير');
INSERT INTO `lang_definitions` VALUES (100829, 2907, 19, 'لاتعرض الحساسية المرفعة ال NewCrop');
INSERT INTO `lang_definitions` VALUES (100830, 2909, 19, 'لاتعرض الأدوية المرفعة ال NewCrop');
INSERT INTO `lang_definitions` VALUES (100831, 2912, 19, 'لاتعرض التاريخ');
INSERT INTO `lang_definitions` VALUES (100832, 2916, 19, 'لا جرد وبيع أي منتجات');
INSERT INTO `lang_definitions` VALUES (100833, 2919, 19, 'لا تستلزم مﻻحظات المريض للإعتماد');
INSERT INTO `lang_definitions` VALUES (100834, 2920, 19, 'توصية آمرة: لاتقم بالإنعاش');
INSERT INTO `lang_definitions` VALUES (100835, 2921, 19, 'لا تحفظ');
INSERT INTO `lang_definitions` VALUES (100836, 2922, 19, 'لا تستبدل الأدوية - اصرف الدواء حسب ما هو مكتوب حرفيا');
INSERT INTO `lang_definitions` VALUES (100837, 2925, 19, 'لا تفعل أي شيئ');
INSERT INTO `lang_definitions` VALUES (100838, 2929, 19, 'هل تريد الحذف؟');
INSERT INTO `lang_definitions` VALUES (100839, 2930, 19, 'هل تريد الحذف؟');
INSERT INTO `lang_definitions` VALUES (100840, 2931, 19, 'هل تريد حذف هذه المجموعة؟');
INSERT INTO `lang_definitions` VALUES (100841, 2934, 19, 'هل تريد أن تستمر؟');
INSERT INTO `lang_definitions` VALUES (100842, 2935, 19, 'هل تريد أن تحذف هذا؟');
INSERT INTO `lang_definitions` VALUES (100843, 2936, 19, 'هل تريد أن تحذف؟');
INSERT INTO `lang_definitions` VALUES (100844, 2937, 19, 'هل تريد أن تزيل هذا السجل؟');
INSERT INTO `lang_definitions` VALUES (100845, 2938, 19, 'هل تريد الاستمرار في إضافة هذا المريض الجديد؟');
INSERT INTO `lang_definitions` VALUES (100846, 2939, 19, 'هل تريد الاستمرار في الاسم الجديد؟');
INSERT INTO `lang_definitions` VALUES (100847, 2940, 19, 'هل تريد الحذف النهائي لهذا السجل الخاص باللقاحات؟');
INSERT INTO `lang_definitions` VALUES (100848, 2941, 19, 'تاريخ الولادة');
INSERT INTO `lang_definitions` VALUES (100849, 2942, 19, 'تاريخ الولادة مفقود، الرجاء إدخاله');
INSERT INTO `lang_definitions` VALUES (100850, 2944, 19, 'المستندات');
INSERT INTO `lang_definitions` VALUES (100851, 2945, 19, 'الطبيب');
INSERT INTO `lang_definitions` VALUES (100852, 2946, 19, 'الطبيب الدكتور');
INSERT INTO `lang_definitions` VALUES (100853, 2947, 19, 'اسم وتوقيع الطبيب');
INSERT INTO `lang_definitions` VALUES (100854, 2948, 19, 'المستند');
INSERT INTO `lang_definitions` VALUES (100855, 2949, 19, 'المستند');
INSERT INTO `lang_definitions` VALUES (100856, 2951, 19, 'مجموعات المستندات');
INSERT INTO `lang_definitions` VALUES (100857, 2958, 19, 'لم يتم نقل المستند إلى ملف المريض');
INSERT INTO `lang_definitions` VALUES (100858, 2960, 19, 'تاريخ المستند');
INSERT INTO `lang_definitions` VALUES (100859, 2961, 19, 'تم تحديث التاريخ و المشكلة');
INSERT INTO `lang_definitions` VALUES (100860, 2962, 19, 'رقم المستند');
INSERT INTO `lang_definitions` VALUES (100861, 2965, 19, 'تم نقل المستند إلى مجموعة جديدة');
INSERT INTO `lang_definitions` VALUES (100862, 2966, 19, 'تم نقل المستند إلى ملف المريض');
INSERT INTO `lang_definitions` VALUES (100863, 2968, 19, 'المستند سليم');
INSERT INTO `lang_definitions` VALUES (100864, 2969, 19, 'طرق تخزين الوثائق');
INSERT INTO `lang_definitions` VALUES (100865, 2970, 19, 'إعادة التسمية ناجحة');
INSERT INTO `lang_definitions` VALUES (100866, 2976, 19, 'مستودع المستندات/الصور');
INSERT INTO `lang_definitions` VALUES (100867, 2978, 19, 'المستدات (كتابة) اختيارية');
INSERT INTO `lang_definitions` VALUES (100868, 2980, 19, 'وثائق (كتابة , )');
INSERT INTO `lang_definitions` VALUES (100869, 2989, 19, 'ضيق النفس الجهدي');
INSERT INTO `lang_definitions` VALUES (100870, 2994, 19, 'لا يطابق رقم الزيارة PV1');
INSERT INTO `lang_definitions` VALUES (100871, 2995, 19, 'لا تبدو صالحة');
INSERT INTO `lang_definitions` VALUES (100872, 2996, 19, 'هل هذا النوع يسمح بالرموز المقاربة؟');
INSERT INTO `lang_definitions` VALUES (100873, 2997, 19, 'شريك في العيش');
INSERT INTO `lang_definitions` VALUES (100874, 2998, 19, 'لا تحفظ');
INSERT INTO `lang_definitions` VALUES (100875, 2999, 19, 'لا تحفظ');
INSERT INTO `lang_definitions` VALUES (100876, 3000, 19, 'لا تحفظ التغييرات');
INSERT INTO `lang_definitions` VALUES (100877, 3002, 19, 'تم');
INSERT INTO `lang_definitions` VALUES (100878, 3004, 19, 'تم بواسطة');
INSERT INTO `lang_definitions` VALUES (100879, 3005, 19, 'تم، سيتم الإرسال');
INSERT INTO `lang_definitions` VALUES (100880, 3006, 19, 'تاريخ بداية الخدمة');
INSERT INTO `lang_definitions` VALUES (100881, 3007, 19, 'الجرعات');
INSERT INTO `lang_definitions` VALUES (100882, 3011, 19, 'انقر لمرتين لبدء التحرير');
INSERT INTO `lang_definitions` VALUES (100883, 3013, 19, 'رؤية مزدوجة');
INSERT INTO `lang_definitions` VALUES (100884, 3014, 19, 'تنزيل');
INSERT INTO `lang_definitions` VALUES (100885, 3019, 19, 'قم بالتنزيل');
INSERT INTO `lang_definitions` VALUES (100886, 3020, 19, 'يت تنزيل ملف الفوترة, ضع فى الحسابات و علّم كمفوتر');
INSERT INTO `lang_definitions` VALUES (100887, 3022, 19, 'تنزيل الترخيص');
INSERT INTO `lang_definitions` VALUES (100888, 3023, 19, 'تنزيل بيانات التكوين');
INSERT INTO `lang_definitions` VALUES (100889, 3027, 19, 'تنزيل ملف مشفر');
INSERT INTO `lang_definitions` VALUES (100890, 3033, 19, 'تنزيل ملف');
INSERT INTO `lang_definitions` VALUES (100891, 3037, 19, 'تنزيل المختارات');
INSERT INTO `lang_definitions` VALUES (100892, 3039, 19, 'شوهد من قبل الطبيب');
INSERT INTO `lang_definitions` VALUES (100893, 3040, 19, 'زيارة الطبيب');
INSERT INTO `lang_definitions` VALUES (100894, 3041, 19, 'الطبيب');
INSERT INTO `lang_definitions` VALUES (100895, 3045, 19, 'اسحب للتحريك');
INSERT INTO `lang_definitions` VALUES (100896, 3047, 19, 'تنقيط البول');
INSERT INTO `lang_definitions` VALUES (100897, 3048, 19, 'إجازة قيادة السيارة/الهوية الوطنية');
INSERT INTO `lang_definitions` VALUES (100898, 3050, 19, 'الدواء');
INSERT INTO `lang_definitions` VALUES (100899, 3052, 19, 'شفره الدواء');
INSERT INTO `lang_definitions` VALUES (100900, 3053, 19, 'إيجاد الدواء');
INSERT INTO `lang_definitions` VALUES (100901, 3054, 19, 'الأشكال الصيدلانية للدواء');
INSERT INTO `lang_definitions` VALUES (100902, 3055, 19, 'رقم الدواء مفقود');
INSERT INTO `lang_definitions` VALUES (100903, 3056, 19, 'تواتر الدواء');
INSERT INTO `lang_definitions` VALUES (100904, 3057, 19, 'مستودع الأدوية');
INSERT INTO `lang_definitions` VALUES (100905, 3059, 19, 'اسم الدواء');
INSERT INTO `lang_definitions` VALUES (100906, 3061, 19, 'طريقة أخذ الدواء');
INSERT INTO `lang_definitions` VALUES (100907, 3066, 19, 'عيار الدوء');
INSERT INTO `lang_definitions` VALUES (100908, 3072, 19, 'الأدوية');
INSERT INTO `lang_definitions` VALUES (100909, 3073, 19, 'الأدوية والمنتجات الطبية');
INSERT INTO `lang_definitions` VALUES (100910, 3074, 19, 'الفم الجاف');
INSERT INTO `lang_definitions` VALUES (100911, 3075, 19, 'التشخيص حسب \" الدليل التشخيصي و الإحصائي-النسخة الرابعة\"');
INSERT INTO `lang_definitions` VALUES (100912, 3076, 19, 'الجرعة الأولى للقاح الديفتريا و الكزاز');
INSERT INTO `lang_definitions` VALUES (100913, 3077, 19, 'الجرعة الثانية للقاح الديفتريا و الكزاز');
INSERT INTO `lang_definitions` VALUES (100914, 3078, 19, 'الجرعة الثالثة للقاح الديفتريا و الكزاز');
INSERT INTO `lang_definitions` VALUES (100915, 3079, 19, 'الجرعة الرابعة للقاح الديفتريا و الكزاز');
INSERT INTO `lang_definitions` VALUES (100916, 3080, 19, 'الجرعة الخامسة للقاح الديفتريا و الكزاز');
INSERT INTO `lang_definitions` VALUES (100917, 3081, 19, 'الجرعة الأولى للقاح الديفتريا و الكزاز و السعال الديكي');
INSERT INTO `lang_definitions` VALUES (100918, 3082, 19, 'الجرعة الثانية للقاح الديفتريا و الكزاز و السعال الديكي');
INSERT INTO `lang_definitions` VALUES (100919, 3083, 19, 'الجرعة الثالثة للقاح الديفتريا و الكزاز و السعال الديكي');
INSERT INTO `lang_definitions` VALUES (100920, 3084, 19, 'الجرعة الرابعة للقاح الديفتريا و الكزاز و السعال الديكي');
INSERT INTO `lang_definitions` VALUES (100921, 3085, 19, 'الجرعة الخامسة للقاح الديفتريا و الكزاز و السعال الديكي');
INSERT INTO `lang_definitions` VALUES (100922, 3087, 19, 'المستحق');
INSERT INTO `lang_definitions` VALUES (100923, 3088, 19, 'التاريخ المستحق');
INSERT INTO `lang_definitions` VALUES (100924, 3090, 19, 'التاريخ المستحق ش ش/ي ي/س س س س أو س س س س-ش ش-- ي ي');
INSERT INTO `lang_definitions` VALUES (100925, 3091, 19, 'التاريخ المستحق:');
INSERT INTO `lang_definitions` VALUES (100926, 3092, 19, 'مدخولات مستحقة');
INSERT INTO `lang_definitions` VALUES (100927, 3093, 19, 'مريض مستحق');
INSERT INTO `lang_definitions` VALUES (100928, 3094, 19, 'يستحق قريباَ');
INSERT INTO `lang_definitions` VALUES (100929, 3095, 19, 'حالة الإستحقاق');
INSERT INTO `lang_definitions` VALUES (100930, 3096, 19, 'تحديث حالة الإستحقاق');
INSERT INTO `lang_definitions` VALUES (100931, 3097, 19, 'تفريغ قاعدة بيانات البرنامج');
INSERT INTO `lang_definitions` VALUES (100932, 3098, 19, 'تفريغ شجرة مجلد الأنترنت للبرنامج');
INSERT INTO `lang_definitions` VALUES (100933, 3099, 19, 'تفريغ قاعدة بيانات phpGACL');
INSERT INTO `lang_definitions` VALUES (100934, 3100, 19, 'تفريغ شجرة مجلد الأنترنت لphpGACL');
INSERT INTO `lang_definitions` VALUES (100935, 3101, 19, 'تفريغ قاعدة بيانات SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (100936, 3102, 19, 'تفريغ شجرة مجلد الأنترنت لSQL-Ledger');
INSERT INTO `lang_definitions` VALUES (100937, 3103, 19, 'التأكّد من التفريغ');
INSERT INTO `lang_definitions` VALUES (100938, 3108, 19, 'الهوية مكررة في هذا السطر');
INSERT INTO `lang_definitions` VALUES (100939, 3109, 19, 'الإسم مكرر في هذا السطر');
INSERT INTO `lang_definitions` VALUES (100940, 3110, 19, 'تحذير التكرار');
INSERT INTO `lang_definitions` VALUES (100941, 3111, 19, 'السلطة الممتدة للمحامي');
INSERT INTO `lang_definitions` VALUES (100942, 3112, 19, 'المدة');
INSERT INTO `lang_definitions` VALUES (100943, 3113, 19, 'المدة');
INSERT INTO `lang_definitions` VALUES (100944, 3114, 19, 'هولندي');
INSERT INTO `lang_definitions` VALUES (100945, 3116, 19, 'مندوب مبيعات اﻷدوية');
INSERT INTO `lang_definitions` VALUES (100946, 3117, 19, 'صعوبة البلع');
INSERT INTO `lang_definitions` VALUES (100947, 3118, 19, 'ضيق النفس');
INSERT INTO `lang_definitions` VALUES (100948, 3119, 19, 'عسرة التبول');
INSERT INTO `lang_definitions` VALUES (100949, 3128, 19, 'صرف الوصفة الإلكتروني');
INSERT INTO `lang_definitions` VALUES (100950, 3129, 19, 'التقارير الإلكترونية');
INSERT INTO `lang_definitions` VALUES (100951, 3130, 19, 'صرف الوصفة الإلكتروني');
INSERT INTO `lang_definitions` VALUES (100952, 3132, 19, 'تجديد صرف الوصفة الإلكتروني');
INSERT INTO `lang_definitions` VALUES (100953, 3135, 19, 'كل مستفيد يجب ان يعّلم رسالته الخاصة به كمكتمله');
INSERT INTO `lang_definitions` VALUES (100954, 3140, 19, 'النكس الباكر (في أقل من شهرين');
INSERT INTO `lang_definitions` VALUES (100955, 3141, 19, 'الأذن');
INSERT INTO `lang_definitions` VALUES (100956, 3148, 19, 'تخطيط كهربائية القلب');
INSERT INTO `lang_definitions` VALUES (100957, 3149, 19, 'المطالبات الإلكترونية');
INSERT INTO `lang_definitions` VALUES (100958, 3152, 19, 'الوذمة');
INSERT INTO `lang_definitions` VALUES (100959, 3154, 19, 'تاريخ تبادل المعلومات الإلكتروني');
INSERT INTO `lang_definitions` VALUES (100960, 3155, 19, 'تاريخ تبادل المعلومات الإلكتروني');
INSERT INTO `lang_definitions` VALUES (100961, 3156, 19, 'تاريخ تبادل المعلومات الإلكتروني (لقاء رسوم) لتخزين و تفسير ملفات التأمين');
INSERT INTO `lang_definitions` VALUES (100962, 3157, 19, 'تحميل ملف EDI-271');
INSERT INTO `lang_definitions` VALUES (100963, 3158, 19, 'تحميل ملف تفاعل EDI-271');
INSERT INTO `lang_definitions` VALUES (100964, 3159, 19, 'التحرير');
INSERT INTO `lang_definitions` VALUES (100965, 3160, 19, 'التحرير');
INSERT INTO `lang_definitions` VALUES (100966, 3161, 19, 'تحرير الحساسية');
INSERT INTO `lang_definitions` VALUES (100967, 3163, 19, 'تحرير المجموعات');
INSERT INTO `lang_definitions` VALUES (100968, 3165, 19, 'تحرير التعاريف');
INSERT INTO `lang_definitions` VALUES (100969, 3166, 19, 'تحرير التعاريف');
INSERT INTO `lang_definitions` VALUES (100970, 3167, 19, 'تحرير التشخيص ل');
INSERT INTO `lang_definitions` VALUES (100971, 3168, 19, 'تحرير إفشاء المعلومات');
INSERT INTO `lang_definitions` VALUES (100972, 3173, 19, 'تحرير المراكز الطبية');
INSERT INTO `lang_definitions` VALUES (100973, 3174, 19, 'تحرير المركز الطبي');
INSERT INTO `lang_definitions` VALUES (100974, 3175, 19, 'تحرير معلومات المركز الطبي');
INSERT INTO `lang_definitions` VALUES (100975, 3176, 19, 'تحرير معلومات المستخدم الخاص فى المنشأة');
INSERT INTO `lang_definitions` VALUES (100976, 3177, 19, 'تحرير الملف في');
INSERT INTO `lang_definitions` VALUES (100977, 3178, 19, 'تحرير الاستمارة');
INSERT INTO `lang_definitions` VALUES (100978, 3179, 19, 'تحرير الإعدادات الأساسية');
INSERT INTO `lang_definitions` VALUES (100979, 3181, 19, ' تحرير المحتوى غير مسموح  ');
INSERT INTO `lang_definitions` VALUES (100980, 3183, 19, 'تحرير طريقة العرض');
INSERT INTO `lang_definitions` VALUES (100981, 3185, 19, 'تحرير القائمة');
INSERT INTO `lang_definitions` VALUES (100982, 3188, 19, 'تحرير عملية الدفع');
INSERT INTO `lang_definitions` VALUES (100983, 3189, 19, 'تحرير التركيب');
INSERT INTO `lang_definitions` VALUES (100984, 3192, 19, 'تحرير مستخدم');
INSERT INTO `lang_definitions` VALUES (100985, 3193, 19, 'تحرير إعدادات المستخدم');
INSERT INTO `lang_definitions` VALUES (100986, 3196, 19, 'التعليم/ التوعية');
INSERT INTO `lang_definitions` VALUES (100987, 3197, 19, 'تاريخ التعليم');
INSERT INTO `lang_definitions` VALUES (100988, 3199, 19, 'ee the * GNU General Public License for more details. * * You should have received a copy of the GNU General Public License * along with this program; if not, write to the Free');
INSERT INTO `lang_definitions` VALUES (100989, 3200, 19, 'التاريخ المؤكد');
INSERT INTO `lang_definitions` VALUES (100990, 3202, 19, 'الفعالية');
INSERT INTO `lang_definitions` VALUES (100991, 3204, 19, 'رقم هوية الموظف');
INSERT INTO `lang_definitions` VALUES (100992, 3207, 19, 'الدفقات');
INSERT INTO `lang_definitions` VALUES (100993, 3208, 19, 'المرفق');
INSERT INTO `lang_definitions` VALUES (100994, 3209, 19, 'مشاكل المرفق');
INSERT INTO `lang_definitions` VALUES (100995, 3210, 19, 'إلكتروني');
INSERT INTO `lang_definitions` VALUES (100996, 3214, 19, 'إحالة إلكترونية');
INSERT INTO `lang_definitions` VALUES (100997, 3215, 19, 'تقرير إلكتروني');
INSERT INTO `lang_definitions` VALUES (100998, 3218, 19, 'أهليّة');
INSERT INTO `lang_definitions` VALUES (100999, 3219, 19, '270 Inquiry Batch أهليّة');
INSERT INTO `lang_definitions` VALUES (101000, 3220, 19, 'رّد الأهليّة');
INSERT INTO `lang_definitions` VALUES (101001, 3222, 19, 'حالة الأهلية للحصول على لقاح الأطفال المتوفر');
INSERT INTO `lang_definitions` VALUES (101002, 3223, 19, 'مسموح له');
INSERT INTO `lang_definitions` VALUES (101003, 3225, 19, 'البريد الإلكتروني / إيميل');
INSERT INTO `lang_definitions` VALUES (101004, 3228, 19, 'البريد الإلكتروني / إيميل');
INSERT INTO `lang_definitions` VALUES (101005, 3230, 19, 'إيميل المرسل لتذكيرات المرضي و الذي سيتلقى الردود أيضا. من المهم ان يكون الإيميل نابعا من موقع المنشأة لتفدي ذهاب التذكيرات لملف المهملات فى ايميل المتلقي');
INSERT INTO `lang_definitions` VALUES (101006, 3231, 19, 'البريد الإلكتروني / إيميل لإستلام تنبيهات الإدارة');
INSERT INTO `lang_definitions` VALUES (101007, 3232, 19, 'البريد الإلكتروني / إيميل لإستلام رسائل تفعيل ولوج المستخدمين الطارئة');
INSERT INTO `lang_definitions` VALUES (101008, 3233, 19, 'سلطة الإيميل');
INSERT INTO `lang_definitions` VALUES (101009, 3236, 19, 'إيميل Batchcom');
INSERT INTO `lang_definitions` VALUES (101010, 3238, 19, 'اخطار بالبريد الالكتروني');
INSERT INTO `lang_definitions` VALUES (101011, 3239, 19, 'البريد الإلكتروني الإخطار ساعات');
INSERT INTO `lang_definitions` VALUES (101012, 3240, 19, 'تقرير بااخطار البريد الالكتروني');
INSERT INTO `lang_definitions` VALUES (101013, 3244, 19, 'البريد الإلكتروني المرسلة من قبل');
INSERT INTO `lang_definitions` VALUES (101014, 3245, 19, 'مُرسل البريد');
INSERT INTO `lang_definitions` VALUES (101015, 3246, 19, 'تم الإرسال');
INSERT INTO `lang_definitions` VALUES (101016, 3247, 19, 'تم إرسال البريد الى');
INSERT INTO `lang_definitions` VALUES (101017, 3248, 19, 'عنوان البريد');
INSERT INTO `lang_definitions` VALUES (101018, 3251, 19, 'Email Text, Usable Tag: ***NAME*** , i.e. Dear ***NAME***');
INSERT INTO `lang_definitions` VALUES (101019, 3252, 19, 'Email Text, Usable Tag: ***NAME*** , i.e. Dear ***NAME***{{Do Not translate the ***NAME*** elements of this constant.}}');
INSERT INTO `lang_definitions` VALUES (101020, 3253, 19, 'طريقة نقل الإيميل');
INSERT INTO `lang_definitions` VALUES (101021, 3254, 19, 'تم إرسال البريد إلى العنوان التالي');
INSERT INTO `lang_definitions` VALUES (101022, 3259, 19, 'الشخص القريب عند الحالات الطارئة');
INSERT INTO `lang_definitions` VALUES (101023, 3260, 19, 'اسم الشخص في الحالات الطارئة');
INSERT INTO `lang_definitions` VALUES (101024, 3261, 19, 'رقم الهاتف في الحالات الطارئة');
INSERT INTO `lang_definitions` VALUES (101025, 3262, 19, 'منع الحمل السريع');
INSERT INTO `lang_definitions` VALUES (101026, 3263, 19, 'الدخول الطارئ في النظام');
INSERT INTO `lang_definitions` VALUES (101027, 3264, 19, 'Emergency Login ACL is chosen. The user is still in active state, please de-activate the user and activate the same when required during emergency situations. Visit Administration->Users for activation or de-activation.');
INSERT INTO `lang_definitions` VALUES (101028, 3265, 19, 'Emergency Login activation email will be circulated only if following settings in the interface/globals.php file are configured:');
INSERT INTO `lang_definitions` VALUES (101029, 3266, 19, 'البريد في الحالات الطارئة');
INSERT INTO `lang_definitions` VALUES (101030, 3267, 19, 'الدخول الطارئ كامل الصلاحية');
INSERT INTO `lang_definitions` VALUES (101031, 3268, 19, 'الهاتف في حالة طارئة');
INSERT INTO `lang_definitions` VALUES (101032, 3270, 19, 'عاطفي/حالات و مضاعفات سلوكية');
INSERT INTO `lang_definitions` VALUES (101033, 3271, 19, 'النفاخ الرئوي');
INSERT INTO `lang_definitions` VALUES (101034, 3272, 19, 'الموظف');
INSERT INTO `lang_definitions` VALUES (101035, 3273, 19, 'رب العمل');
INSERT INTO `lang_definitions` VALUES (101036, 3274, 19, 'عنوان العمل');
INSERT INTO `lang_definitions` VALUES (101037, 3275, 19, 'معلومات العمل');
INSERT INTO `lang_definitions` VALUES (101038, 3276, 19, 'اسم صاحب العمل');
INSERT INTO `lang_definitions` VALUES (101039, 3277, 19, 'فارغ');
INSERT INTO `lang_definitions` VALUES (101040, 3278, 19, 'فارغ');
INSERT INTO `lang_definitions` VALUES (101041, 3279, 19, 'حقل الرقم السري لايمكن ان يكون فارغ');
INSERT INTO `lang_definitions` VALUES (101042, 3281, 19, '\"فارغة\" ساعات البريد');
INSERT INTO `lang_definitions` VALUES (101043, 3282, 19, '\"فارغة\" المرسل');
INSERT INTO `lang_definitions` VALUES (101044, 3283, 19, '\"فارغة \" الموضوع');
INSERT INTO `lang_definitions` VALUES (101045, 3284, 19, '\"فارغة\" النص');
INSERT INTO `lang_definitions` VALUES (101046, 3285, 19, '\"فارغة\" اسم المؤسسة');
INSERT INTO `lang_definitions` VALUES (101047, 3286, 19, '\"فارغة\" الرقم السري');
INSERT INTO `lang_definitions` VALUES (101048, 3287, 19, 'قيمة فارغة في \"ساعات SMS\"');
INSERT INTO `lang_definitions` VALUES (101049, 3288, 19, 'قيمة فارغة في \"نص SMS\"');
INSERT INTO `lang_definitions` VALUES (101050, 3289, 19, 'قيمة فارغة في \"اسم المستخدم\"');
INSERT INTO `lang_definitions` VALUES (101051, 3292, 19, 'شغل');
INSERT INTO `lang_definitions` VALUES (101052, 3294, 19, 'شغل وضع تنبيه البيانات');
INSERT INTO `lang_definitions` VALUES (101053, 3298, 19, 'فعّل تحفيز AMC');
INSERT INTO `lang_definitions` VALUES (101054, 3300, 19, 'فعّل تقرير AMC');
INSERT INTO `lang_definitions` VALUES (101055, 3301, 19, 'فعّل تتبع AMC');
INSERT INTO `lang_definitions` VALUES (101056, 3303, 19, 'فعّل تدقيق ATNA');
INSERT INTO `lang_definitions` VALUES (101057, 3305, 19, 'فعّل ولوج التدقيق');
INSERT INTO `lang_definitions` VALUES (101058, 3306, 19, 'فعّل تتبع التدقيق و صلاحية العقدة (ATNA)');
INSERT INTO `lang_definitions` VALUES (101059, 3307, 19, 'فعّل تقرير قياس الحسابات الألي (AMC)');
INSERT INTO `lang_definitions` VALUES (101060, 3312, 19, 'فعّل عميل SLL');
INSERT INTO `lang_definitions` VALUES (101061, 3313, 19, 'فعّل توثيق شهادة عميل SLL');
INSERT INTO `lang_definitions` VALUES (101062, 3315, 19, 'فعّل قواعد القرارات الإكلينكية');
INSERT INTO `lang_definitions` VALUES (101063, 3318, 19, 'فعّل تقرير مقياس النوعية الإكلينكية');
INSERT INTO `lang_definitions` VALUES (101064, 3319, 19, 'فعّل نافذة منبثقة للتذكير الإكلينكي');
INSERT INTO `lang_definitions` VALUES (101065, 3320, 19, 'فعّل اداة للتذكير الإكلينكي');
INSERT INTO `lang_definitions` VALUES (101066, 3324, 19, 'فعّل تقرير CQM');
INSERT INTO `lang_definitions` VALUES (101067, 3329, 19, 'فعّل تاريخ EDI في القائمة اليسري');
INSERT INTO `lang_definitions` VALUES (101068, 3334, 19, 'فعّل المصاريف في القائمة اليسري');
INSERT INTO `lang_definitions` VALUES (101069, 3341, 19, 'فعّل دعم Hylafax');
INSERT INTO `lang_definitions` VALUES (101070, 3343, 19, 'فعّل حالة الإستيراد NewCrop erx');
INSERT INTO `lang_definitions` VALUES (101071, 3347, 19, 'فعّل تبادل المعمل');
INSERT INTO `lang_definitions` VALUES (101072, 3349, 19, 'فعّل السجل لترفيع او تنزيل الوثائق الي');
INSERT INTO `lang_definitions` VALUES (101073, 3350, 19, 'فعّل الولوج لكل استفهامات SQL SELECT');
INSERT INTO `lang_definitions` VALUES (101074, 3351, 19, 'فعّل الولوج للنشاطات المتعلقة بالنسخ الإحتياطي');
INSERT INTO `lang_definitions` VALUES (101075, 3352, 19, 'فعّل الولوج لكل استفهامات CDR Engine');
INSERT INTO `lang_definitions` VALUES (101076, 3353, 19, 'فعّل الولوج للنشاطات المتفرقة');
INSERT INTO `lang_definitions` VALUES (101077, 3354, 19, 'فعّل الولوج لنشاطات الطلب');
INSERT INTO `lang_definitions` VALUES (101078, 3355, 19, 'فعّل الولوج لتعديلات سجل المريض');
INSERT INTO `lang_definitions` VALUES (101079, 3356, 19, 'فعّل الولوج لنشاطات جدولة المواعيد');
INSERT INTO `lang_definitions` VALUES (101080, 3357, 19, 'فعّل الولوج لنشاطات الحماية و الإدارة');
INSERT INTO `lang_definitions` VALUES (101081, 3360, 19, 'فعّل خدمة NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (101082, 3365, 19, 'فعّل بوابة المريض خارج الموقع');
INSERT INTO `lang_definitions` VALUES (101083, 3366, 19, 'فعّل بوابة المريض خارج الموقع');
INSERT INTO `lang_definitions` VALUES (101084, 3368, 19, 'فعّل بوابة المريض داخل الموقع');
INSERT INTO `lang_definitions` VALUES (101085, 3371, 19, 'فعّل بوابة المريض داخل الموقع');
INSERT INTO `lang_definitions` VALUES (101086, 3385, 19, 'فعّل اداة تذكير المريض');
INSERT INTO `lang_definitions` VALUES (101087, 3387, 19, 'فعّل خدمة phiMail للإرسال المباشر');
INSERT INTO `lang_definitions` VALUES (101088, 3389, 19, 'فعّل تحفيز البيانات المطلوبة لقياس الحسابات الألي (AMC)');
INSERT INTO `lang_definitions` VALUES (101089, 3391, 19, 'فعّل التقرير لتتبع اليوم لقياس الحسابات الألي (AMC)');
INSERT INTO `lang_definitions` VALUES (101090, 3392, 19, 'فعّل دعم الماسح الضوئي');
INSERT INTO `lang_definitions` VALUES (101091, 3396, 19, 'فعّل دمج المعلومات الطبية, خدمة تبادل المعمل LLC');
INSERT INTO `lang_definitions` VALUES (101092, 3397, 19, 'فعّل دعم البرنامج لخدمة تبادل المعمل LLC');
INSERT INTO `lang_definitions` VALUES (101093, 3398, 19, 'فعّل تفقد صلاحية شهادة المستخدم');
INSERT INTO `lang_definitions` VALUES (101094, 3403, 19, 'فعّل ZMG, LLC eRx service');
INSERT INTO `lang_definitions` VALUES (101095, 3404, 19, 'مُفعّل');
INSERT INTO `lang_definitions` VALUES (101096, 3412, 19, 'يفعّل لوحة التكاليف القديمة لإدخال رموز الفوترة و الدفعات. لا ينصح به, استخدم شريحة الاجور بدلا');
INSERT INTO `lang_definitions` VALUES (101097, 3415, 19, 'الزيارة');
INSERT INTO `lang_definitions` VALUES (101098, 3417, 19, 'الزيارة');
INSERT INTO `lang_definitions` VALUES (101099, 3418, 19, 'الزيارة');
INSERT INTO `lang_definitions` VALUES (101100, 3419, 19, 'الزيارة');
INSERT INTO `lang_definitions` VALUES (101101, 3420, 19, 'الزيارة');
INSERT INTO `lang_definitions` VALUES (101102, 3421, 19, 'الزيارة الحرجة لمريض داخلي او قسم الطوارئ');
INSERT INTO `lang_definitions` VALUES (101103, 3427, 19, 'تاريخ الزيارة');
INSERT INTO `lang_definitions` VALUES (101104, 3430, 19, 'سجل تبادل المعلومات الإلكتروني للزيارة');
INSERT INTO `lang_definitions` VALUES (101105, 3432, 19, 'استمارات الزيارة');
INSERT INTO `lang_definitions` VALUES (101106, 3433, 19, 'التقييم الصحي و السلوكي للزبارة');
INSERT INTO `lang_definitions` VALUES (101107, 3434, 19, 'التاريخ المرضي');
INSERT INTO `lang_definitions` VALUES (101108, 3435, 19, 'رقم معرف الزيارة');
INSERT INTO `lang_definitions` VALUES (101109, 3436, 19, 'زيارة انفلونزا');
INSERT INTO `lang_definitions` VALUES (101110, 3439, 19, 'رقم الزيارة');
INSERT INTO `lang_definitions` VALUES (101111, 3441, 19, 'الخروج من زيارة التمريض');
INSERT INTO `lang_definitions` VALUES (101112, 3442, 19, 'زيارة منشأة التمريض');
INSERT INTO `lang_definitions` VALUES (101113, 3443, 19, 'زيارة العلاج الوظيفي');
INSERT INTO `lang_definitions` VALUES (101114, 3444, 19, 'زيارة العيادة');
INSERT INTO `lang_definitions` VALUES (101115, 3445, 19, 'زيارة العيادات الخارجية');
INSERT INTO `lang_definitions` VALUES (101116, 3446, 19, 'زيارة العيادات الخارجية لطب اﻷسرة او النساء و الولادة');
INSERT INTO `lang_definitions` VALUES (101117, 3447, 19, 'حجم صفحة الزيارة');
INSERT INTO `lang_definitions` VALUES (101118, 3448, 19, 'المستحقات المالية للزيارة');
INSERT INTO `lang_definitions` VALUES (101119, 3449, 19, 'زيارة حمل');
INSERT INTO `lang_definitions` VALUES (101120, 3450, 19, 'زيارة الطب الوقائي - استشاره فرديه');
INSERT INTO `lang_definitions` VALUES (101121, 3451, 19, 'زيارة الطب الوقائي - ٤٠ سنه فمافوق');
INSERT INTO `lang_definitions` VALUES (101122, 3452, 19, 'زيارة الطب الوقائي - استشاره جماعيه');
INSERT INTO `lang_definitions` VALUES (101123, 3453, 19, 'زيارة الطب الوقائي - خدمات اخري');
INSERT INTO `lang_definitions` VALUES (101124, 3454, 19, 'زيارة الطب الوقائي - ١٨ سنه فمافوق');
INSERT INTO `lang_definitions` VALUES (101125, 3457, 19, 'زيارة الطب النفسي');
INSERT INTO `lang_definitions` VALUES (101126, 3458, 19, 'إحصائيات الزيارة');
INSERT INTO `lang_definitions` VALUES (101127, 3459, 19, 'ملخص الزيارة');
INSERT INTO `lang_definitions` VALUES (101128, 3461, 19, 'تم حفظ الزيارة');
INSERT INTO `lang_definitions` VALUES (101129, 3462, 19, 'الزيارة:');
INSERT INTO `lang_definitions` VALUES (101130, 3463, 19, 'الزيارة: زيارة لحالة غير حرجة داخلي , خارجي او عيون');
INSERT INTO `lang_definitions` VALUES (101131, 3464, 19, 'الزيارات');
INSERT INTO `lang_definitions` VALUES (101132, 3465, 19, 'الزيارات و الاستمارات');
INSERT INTO `lang_definitions` VALUES (101133, 3466, 19, 'الزيارات و الاستمارات');
INSERT INTO `lang_definitions` VALUES (101134, 3467, 19, 'الزيارة عير مصرح بها');
INSERT INTO `lang_definitions` VALUES (101135, 3468, 19, 'تقرير الزيارة');
INSERT INTO `lang_definitions` VALUES (101136, 3469, 19, 'قسم الزيارة');
INSERT INTO `lang_definitions` VALUES (101137, 3471, 19, 'التشفير');
INSERT INTO `lang_definitions` VALUES (101138, 3472, 19, 'نهاية');
INSERT INTO `lang_definitions` VALUES (101139, 3473, 19, 'تاريخ اﻹنتهاء: (سنة-شهر-يوم)');
INSERT INTO `lang_definitions` VALUES (101140, 3474, 19, 'تاريخ اﻹنتهاء');
INSERT INTO `lang_definitions` VALUES (101141, 3475, 19, 'تاريخ اﻹنتهاء');
INSERT INTO `lang_definitions` VALUES (101142, 3480, 19, 'تاريخ اﻹنتهاء يجب أن يكون أبعد من تاريخ البدء');
INSERT INTO `lang_definitions` VALUES (101143, 3482, 19, 'تاريخ اﻹنتهاء:');
INSERT INTO `lang_definitions` VALUES (101144, 3487, 19, 'وقت اﻹنتهاء');
INSERT INTO `lang_definitions` VALUES (101145, 3489, 19, 'مستفيد MCP بخطة تأمينيه جماعية فى المراحل اﻷخيرة من الفشل الكلوي');
INSERT INTO `lang_definitions` VALUES (101146, 3492, 19, 'تاريخ انتهاء الخدمة سنة-شهر-يوم');
INSERT INTO `lang_definitions` VALUES (101147, 3493, 19, 'إنهاء موجه الاوامر شهر/يوم/سنة إذا كنت ترغب في إدخال نطاق');
INSERT INTO `lang_definitions` VALUES (101148, 3494, 19, 'أخر ساعة عمل يومي لأحداث الروزنامة');
INSERT INTO `lang_definitions` VALUES (101149, 3495, 19, 'وجود دم غير طبيعي بالتنظير');
INSERT INTO `lang_definitions` VALUES (101150, 3496, 19, 'الغدد الصماء');
INSERT INTO `lang_definitions` VALUES (101151, 3497, 19, 'التنظير');
INSERT INTO `lang_definitions` VALUES (101152, 3502, 19, 'الإنجليزية');
INSERT INTO `lang_definitions` VALUES (101153, 3503, 19, 'الإنجليزية');
INSERT INTO `lang_definitions` VALUES (101154, 3504, 19, 'الإنجليزية الهند');
INSERT INTO `lang_definitions` VALUES (101155, 3505, 19, 'الإنجليزية');
INSERT INTO `lang_definitions` VALUES (101156, 3506, 19, 'أمر Enscript مستخدم بواسطة Hylafax');
INSERT INTO `lang_definitions` VALUES (101157, 3507, 19, 'تأكد من أن البرنامج يملك صلاحية الكتابة للمجلد');
INSERT INTO `lang_definitions` VALUES (101158, 3509, 19, 'إفرازات في الأذن, الأنف. الحنجرة');
INSERT INTO `lang_definitions` VALUES (101159, 3510, 19, 'ألم في الأذن, الأنف, الحنجرة');
INSERT INTO `lang_definitions` VALUES (101160, 3513, 19, 'ادخل رمز التشخيص لإستبعاد كل الفواتير التي لا تحتويه');
INSERT INTO `lang_definitions` VALUES (101161, 3518, 19, 'أدخل جسد الرسالة هنا');
INSERT INTO `lang_definitions` VALUES (101162, 3520, 19, 'أدخل كلمة سر الجذر لقاعدة البيانات');
INSERT INTO `lang_definitions` VALUES (101163, 3521, 19, 'أدخل إسم المستخدم الجذر لقاعدة البيانات');
INSERT INTO `lang_definitions` VALUES (101164, 3529, 19, 'أدخل التشخيص');
INSERT INTO `lang_definitions` VALUES (101165, 3530, 19, 'أدخل الأدوية');
INSERT INTO `lang_definitions` VALUES (101166, 3533, 19, 'أدخل الزيارة');
INSERT INTO `lang_definitions` VALUES (101167, 3534, 19, 'أدخل رقم الزيارة');
INSERT INTO `lang_definitions` VALUES (101168, 3537, 19, 'أدخل التطعيمات');
INSERT INTO `lang_definitions` VALUES (101169, 3538, 19, 'زر الإدخال');
INSERT INTO `lang_definitions` VALUES (101170, 3544, 19, 'ادخل حالة جديدة');
INSERT INTO `lang_definitions` VALUES (101171, 3549, 19, 'أدخل عنوان المستلم المباشر');
INSERT INTO `lang_definitions` VALUES (101172, 3569, 19, 'أدخل رمز إعادة التعريف');
INSERT INTO `lang_definitions` VALUES (101173, 3581, 19, 'أدخل معايير البحث أعلاه');
INSERT INTO `lang_definitions` VALUES (101174, 3584, 19, 'تم الإدخال بالخطأ');
INSERT INTO `lang_definitions` VALUES (101175, 3586, 19, 'تدوينات');
INSERT INTO `lang_definitions` VALUES (101176, 3591, 19, 'بيئي');
INSERT INTO `lang_definitions` VALUES (101177, 3592, 19, 'إدخال بيانات وثيقة شرح الإستفادة التأمينية');
INSERT INTO `lang_definitions` VALUES (101178, 3596, 19, 'التحويلات البنكية الإلكترونية - وثيقة شرح الإستفادة التأمينية');
INSERT INTO `lang_definitions` VALUES (101179, 3597, 19, 'التعليمات - وثيقة شرح الإستفادة التأمينية');
INSERT INTO `lang_definitions` VALUES (101180, 3598, 19, 'الإيصال - وثيقة شرح الإستفادة التأمينية');
INSERT INTO `lang_definitions` VALUES (101181, 3599, 19, 'ملاحظة المريض - وثيقة شرح الإستفادة التأمينية');
INSERT INTO `lang_definitions` VALUES (101182, 3600, 19, 'البحث - وثيقة شرح الإستفادة التأمينية');
INSERT INTO `lang_definitions` VALUES (101183, 3602, 19, 'صرع');
INSERT INTO `lang_definitions` VALUES (101184, 3608, 19, 'التقاعد المبكّر');
INSERT INTO `lang_definitions` VALUES (101185, 3609, 19, 'ملفات التقاعد المبكّر');
INSERT INTO `lang_definitions` VALUES (101186, 3610, 19, 'إعلام التقاعد المبكّر');
INSERT INTO `lang_definitions` VALUES (101187, 3612, 19, 'مسح');
INSERT INTO `lang_definitions` VALUES (101188, 3614, 19, 'إنتصابات');
INSERT INTO `lang_definitions` VALUES (101189, 3615, 19, 'خطأ');
INSERT INTO `lang_definitions` VALUES (101190, 3617, 19, 'خطأ في تأكيد إستلام نتائج المختبر');
INSERT INTO `lang_definitions` VALUES (101191, 3620, 19, 'خطأ في إستلام نتائج المختبر من شبكة تبادل المختبر');
INSERT INTO `lang_definitions` VALUES (101192, 3621, 19, 'خطأ في إختيار \"نوع الجنس\"');
INSERT INTO `lang_definitions` VALUES (101193, 3622, 19, 'خطأ في إختيار \"HIPPA\"');
INSERT INTO `lang_definitions` VALUES (101194, 3623, 19, 'خطأ في إختيار \"الإجراء\"');
INSERT INTO `lang_definitions` VALUES (101195, 3624, 19, 'خطأ في اختيار \"بوابة الرسائل النصية القصيرة\"');
INSERT INTO `lang_definitions` VALUES (101196, 3625, 19, 'خطأ في اختيار \"الفرز حسب\"');
INSERT INTO `lang_definitions` VALUES (101197, 3626, 19, 'خطأ في عملية ضغط الملف:');
INSERT INTO `lang_definitions` VALUES (101198, 3627, 19, 'خطأ في إختيار نعم أو لا');
INSERT INTO `lang_definitions` VALUES (101199, 3630, 19, 'خطأ في فتح الملف المحمل للقراءة');
INSERT INTO `lang_definitions` VALUES (101200, 3631, 19, 'خطأ في معالجة الملف');
INSERT INTO `lang_definitions` VALUES (101201, 3632, 19, 'خطأ في تحميل الملف');
INSERT INTO `lang_definitions` VALUES (101202, 3633, 19, 'خطأ في ازالة الرسالة');
INSERT INTO `lang_definitions` VALUES (101203, 3634, 19, 'خطأ  في استرجاع النتائج من شبكة المختبر');
INSERT INTO `lang_definitions` VALUES (101204, 3635, 19, 'خطأ في استرجاع القيم');
INSERT INTO `lang_definitions` VALUES (101205, 3637, 19, 'خطأ فى إعطاء صلاحيات الملفات للمستخدم');
INSERT INTO `lang_definitions` VALUES (101206, 3640, 19, 'خطأ خلال قت تسجيل النموذج!');
INSERT INTO `lang_definitions` VALUES (101207, 3641, 19, 'خطأ خلال مرحلة حفظ الملف');
INSERT INTO `lang_definitions` VALUES (101208, 3643, 19, 'خطأ خلال مرحلة الكتابة في الملف');
INSERT INTO `lang_definitions` VALUES (101209, 3646, 19, 'خطأ او أخطاء ناتجة من النتائج الجديدة');
INSERT INTO `lang_definitions` VALUES (101210, 3651, 19, 'خطأ, الملف غير موجود');
INSERT INTO `lang_definitions` VALUES (101211, 3652, 19, 'خطأ, غير قادرعلى جمع البيانات من الخادم');
INSERT INTO `lang_definitions` VALUES (101212, 3653, 19, 'خطأ، غير قادر علي إنشاء شهادة للعميل');
INSERT INTO `lang_definitions` VALUES (101213, 3654, 19, 'خطأ، غير قادر علي إنشاء شهادة admin.p12');
INSERT INTO `lang_definitions` VALUES (101214, 3655, 19, 'خطأ، غير قادر علي إنشاء شهادة لشهادة السلطة');
INSERT INTO `lang_definitions` VALUES (101215, 3656, 19, 'خطأ، غير قادر علي إنشاء شهادة للخادم');
INSERT INTO `lang_definitions` VALUES (101216, 3658, 19, 'خطأ, لايمكن فتح الملف');
INSERT INTO `lang_definitions` VALUES (101217, 3659, 19, 'خطأ, التأكد من شهادة المستخدم غير مفعّل فى البرنامج');
INSERT INTO `lang_definitions` VALUES (101218, 3663, 19, 'خطأ, يجب أن تثّبت جزء Archive/Tar.php php');
INSERT INTO `lang_definitions` VALUES (101219, 3664, 19, 'خطأ, لايمكن فتح table.sql, الطلب معطوب؟');
INSERT INTO `lang_definitions` VALUES (101220, 3667, 19, 'خطأ, رقم هوية مكررة');
INSERT INTO `lang_definitions` VALUES (101221, 3668, 19, 'خطأ, أسم مكرر في نفس الخط');
INSERT INTO `lang_definitions` VALUES (101222, 3669, 19, 'خطأ: حقل');
INSERT INTO `lang_definitions` VALUES (101223, 3670, 19, 'خطأ, ملف ZipArchive PHP Module غير موجود');
INSERT INTO `lang_definitions` VALUES (101224, 3671, 19, 'خطأ: مجلد إستيراد ICD غير موجود');
INSERT INTO `lang_definitions` VALUES (101225, 3672, 19, 'خطأ: الإرقام السرية غير مطابقة. فضلاً تأكد من الكتابة');
INSERT INTO `lang_definitions` VALUES (101226, 3673, 19, 'خطأ: الإرقام السرية غير مطابقة. فضلاً تأكد من الكتابة');
INSERT INTO `lang_definitions` VALUES (101227, 3674, 19, 'خطأ: الملف غير موجود');
INSERT INTO `lang_definitions` VALUES (101228, 3675, 19, 'خطأ: المتغيرات التالية تحتوي على رموز خاطئة');
INSERT INTO `lang_definitions` VALUES (101229, 3676, 19, 'خطأ: غير قادر على نسخ الملف');
INSERT INTO `lang_definitions` VALUES (101230, 3677, 19, 'خطأ: غير قادر على تكوين الملف القابل للتنزيل');
INSERT INTO `lang_definitions` VALUES (101231, 3678, 19, 'خطأ: غير قادر على تكوين الملف المضغوط');
INSERT INTO `lang_definitions` VALUES (101232, 3679, 19, 'خطأ: غير قادر على استخراج الملف');
INSERT INTO `lang_definitions` VALUES (101233, 3680, 19, 'خطأ: غير قادر على تحميل الملف على قاعدة البيانات');
INSERT INTO `lang_definitions` VALUES (101234, 3681, 19, 'خطأ: غير قادر على وضع رقم الأصدار');
INSERT INTO `lang_definitions` VALUES (101235, 3682, 19, 'أخطاء');
INSERT INTO `lang_definitions` VALUES (101236, 3684, 19, 'حالة حساب الوصف الإلكتروني');
INSERT INTO `lang_definitions` VALUES (101237, 3685, 19, 'سجل الوصف الإلكتروني');
INSERT INTO `lang_definitions` VALUES (101238, 3686, 19, 'إسم الوصفة الإلكترونية');
INSERT INTO `lang_definitions` VALUES (101239, 3687, 19, 'كلمة سر الوصفة الإلكترونية');
INSERT INTO `lang_definitions` VALUES (101240, 3688, 19, 'دور الوصفة الإلكترونية');
INSERT INTO `lang_definitions` VALUES (101241, 3689, 19, 'مستخدم الوصفة الإلكترونية');
INSERT INTO `lang_definitions` VALUES (101242, 3690, 19, 'احمرار');
INSERT INTO `lang_definitions` VALUES (101243, 3693, 19, 'الاسكيمو');
INSERT INTO `lang_definitions` VALUES (101244, 3699, 19, 'مريض دائم');
INSERT INTO `lang_definitions` VALUES (101245, 3700, 19, 'إستوني');
INSERT INTO `lang_definitions` VALUES (101246, 3701, 19, 'العرقية');
INSERT INTO `lang_definitions` VALUES (101247, 3702, 19, 'العرقية');
INSERT INTO `lang_definitions` VALUES (101248, 3703, 19, 'قائمة العرقية (اكتب, الإضافة اختيارية)');
INSERT INTO `lang_definitions` VALUES (101249, 3706, 19, 'رقم هوية دافع الضرائب الإلكتروني');
INSERT INTO `lang_definitions` VALUES (101250, 3709, 19, 'الحدث');
INSERT INTO `lang_definitions` VALUES (101251, 3710, 19, 'بدء الحدث');
INSERT INTO `lang_definitions` VALUES (101252, 3711, 19, 'مجموعة الحدث');
INSERT INTO `lang_definitions` VALUES (101253, 3712, 19, 'تاريخ الحدث');
INSERT INTO `lang_definitions` VALUES (101254, 3714, 19, 'وصف الحدث');
INSERT INTO `lang_definitions` VALUES (101255, 3715, 19, 'تفاصيل الحدث');
INSERT INTO `lang_definitions` VALUES (101256, 3716, 19, 'الحدث لا يتكرر');
INSERT INTO `lang_definitions` VALUES (101257, 3717, 19, 'مدة الحدث');
INSERT INTO `lang_definitions` VALUES (101258, 3718, 19, 'مدة الحدث بالدقائق');
INSERT INTO `lang_definitions` VALUES (101259, 3719, 19, 'كلفة الحدث');
INSERT INTO `lang_definitions` VALUES (101260, 3720, 19, 'مكان الحدث');
INSERT INTO `lang_definitions` VALUES (101261, 3721, 19, 'الحدث يتكرر كل');
INSERT INTO `lang_definitions` VALUES (101262, 3722, 19, 'الحدث يتكرر في');
INSERT INTO `lang_definitions` VALUES (101263, 3723, 19, 'الحدث بدأ الساعة');
INSERT INTO `lang_definitions` VALUES (101264, 3724, 19, 'عنوان الحدث');
INSERT INTO `lang_definitions` VALUES (101265, 3725, 19, 'عنوان الحدث');
INSERT INTO `lang_definitions` VALUES (101266, 3726, 19, 'موقع الحدث');
INSERT INTO `lang_definitions` VALUES (101267, 3727, 19, 'الأحداث');
INSERT INTO `lang_definitions` VALUES (101268, 3728, 19, 'الأحداث ل');
INSERT INTO `lang_definitions` VALUES (101269, 3729, 19, 'إفتح الأحداث فى نافذة جديدة');
INSERT INTO `lang_definitions` VALUES (101270, 3731, 19, 'كل');
INSERT INTO `lang_definitions` VALUES (101271, 3732, 19, 'كل');
INSERT INTO `lang_definitions` VALUES (101272, 3734, 19, 'كل 3 ساعات');
INSERT INTO `lang_definitions` VALUES (101273, 3736, 19, 'كل 4 ساعات');
INSERT INTO `lang_definitions` VALUES (101274, 3738, 19, 'كل 5 ساعات');
INSERT INTO `lang_definitions` VALUES (101275, 3740, 19, 'كل 6 ساعات');
INSERT INTO `lang_definitions` VALUES (101276, 3742, 19, 'كل 8 ساعات');
INSERT INTO `lang_definitions` VALUES (101277, 3743, 19, 'كل رابع');
INSERT INTO `lang_definitions` VALUES (101278, 3745, 19, 'كل تالِ');
INSERT INTO `lang_definitions` VALUES (101279, 3746, 19, 'كل ثالث');
INSERT INTO `lang_definitions` VALUES (101280, 3747, 19, 'كل، كل يوم آخر');
INSERT INTO `lang_definitions` VALUES (101281, 3749, 19, 'نتائج الفحص و التحاليل');
INSERT INTO `lang_definitions` VALUES (101282, 3750, 19, 'نتائج التحاليل');
INSERT INTO `lang_definitions` VALUES (101283, 3753, 19, 'الفحص');
INSERT INTO `lang_definitions` VALUES (101284, 3754, 19, 'تاريخ الفحص');
INSERT INTO `lang_definitions` VALUES (101285, 3755, 19, 'مثال');
INSERT INTO `lang_definitions` VALUES (101286, 3758, 19, 'أمثلة');
INSERT INTO `lang_definitions` VALUES (101287, 3760, 19, 'الفحص/الاختبارات');
INSERT INTO `lang_definitions` VALUES (101288, 3762, 19, 'ماعدا');
INSERT INTO `lang_definitions` VALUES (101289, 3763, 19, 'تمزق شديد');
INSERT INTO `lang_definitions` VALUES (101290, 3766, 19, 'المرضى الاستثناء');
INSERT INTO `lang_definitions` VALUES (101291, 3767, 19, 'الاستثناء');
INSERT INTO `lang_definitions` VALUES (101292, 3768, 19, 'منظمة مزودة حصرية');
INSERT INTO `lang_definitions` VALUES (101293, 3770, 19, 'حجم الورق التنفيذي');
INSERT INTO `lang_definitions` VALUES (101294, 3771, 19, 'التمرين');
INSERT INTO `lang_definitions` VALUES (101295, 3772, 19, 'نماذج التمرين');
INSERT INTO `lang_definitions` VALUES (101296, 3773, 19, 'نماذج التمرين');
INSERT INTO `lang_definitions` VALUES (101297, 3774, 19, 'الخروج');
INSERT INTO `lang_definitions` VALUES (101298, 3778, 19, 'الخروج من الإدارة');
INSERT INTO `lang_definitions` VALUES (101299, 3782, 19, 'مد');
INSERT INTO `lang_definitions` VALUES (101300, 3784, 19, 'مد');
INSERT INTO `lang_definitions` VALUES (101301, 3785, 19, 'مد');
INSERT INTO `lang_definitions` VALUES (101302, 3787, 19, 'مد الكل');
INSERT INTO `lang_definitions` VALUES (101303, 3792, 19, 'مشاهدة موسعة');
INSERT INTO `lang_definitions` VALUES (101304, 3793, 19, 'Expected form_encounter.pid to be');
INSERT INTO `lang_definitions` VALUES (101305, 3794, 19, 'إنتهاء الأجل');
INSERT INTO `lang_definitions` VALUES (101306, 3795, 19, 'تاريخ الإنتهاء');
INSERT INTO `lang_definitions` VALUES (101307, 3797, 19, 'ينتهي');
INSERT INTO `lang_definitions` VALUES (101308, 3798, 19, 'ينتهي في');
INSERT INTO `lang_definitions` VALUES (101309, 3799, 19, 'تصدير');
INSERT INTO `lang_definitions` VALUES (101310, 3800, 19, 'تصدير بصيغة  CSV');
INSERT INTO `lang_definitions` VALUES (101311, 3802, 19, 'هيئة التصدير');
INSERT INTO `lang_definitions` VALUES (101312, 3806, 19, 'تصدير بيانات المريض الديموغرافية');
INSERT INTO `lang_definitions` VALUES (101313, 3808, 19, 'تصدير تقريرPQRI');
INSERT INTO `lang_definitions` VALUES (101314, 3810, 19, 'تصدير المقتطفات');
INSERT INTO `lang_definitions` VALUES (101315, 3811, 19, 'تصدير الاختيارات الى التحصيل');
INSERT INTO `lang_definitions` VALUES (101316, 3812, 19, 'تصدير الى CSV');
INSERT INTO `lang_definitions` VALUES (101317, 3813, 19, 'تصدير الى نظام الفواتير الخارجي');
INSERT INTO `lang_definitions` VALUES (101318, 3815, 19, 'زيارة بلدان أخرى');
INSERT INTO `lang_definitions` VALUES (101319, 3816, 19, 'زيارة بلدان أخرى');
INSERT INTO `lang_definitions` VALUES (101320, 3818, 19, 'تم جمع وقت Ext');
INSERT INTO `lang_definitions` VALUES (101321, 3820, 19, 'خارجي');
INSERT INTO `lang_definitions` VALUES (101322, 3823, 19, 'تحميل البيانات الخارجية');
INSERT INTO `lang_definitions` VALUES (101323, 3824, 19, 'أداة إستيراد قاعدة البيانات الخارجية');
INSERT INTO `lang_definitions` VALUES (101324, 3828, 19, 'هوية خارجية');
INSERT INTO `lang_definitions` VALUES (101325, 3829, 19, 'رقم خارجي');
INSERT INTO `lang_definitions` VALUES (101326, 3830, 19, 'هوية خارجية');
INSERT INTO `lang_definitions` VALUES (101327, 3831, 19, 'خارجي فقط');
INSERT INTO `lang_definitions` VALUES (101328, 3834, 19, 'إحالة خارجية');
INSERT INTO `lang_definitions` VALUES (101329, 3835, 19, 'متابعة الإحالة الخارجية');
INSERT INTO `lang_definitions` VALUES (101330, 3836, 19, 'إحالة خارجية؟');
INSERT INTO `lang_definitions` VALUES (101331, 3837, 19, 'الإحالات الخارجية');
INSERT INTO `lang_definitions` VALUES (101332, 3838, 19, 'فك الملف المضغوط');
INSERT INTO `lang_definitions` VALUES (101333, 3839, 19, 'فك الملف المضغوط، قد يأخذ بعض الوقت');
INSERT INTO `lang_definitions` VALUES (101334, 3840, 19, 'نتحة قيحية:');
INSERT INTO `lang_definitions` VALUES (101335, 3850, 19, 'إجهاد العين');
INSERT INTO `lang_definitions` VALUES (101336, 3856, 19, 'ألم العين');
INSERT INTO `lang_definitions` VALUES (101337, 3860, 19, 'احمرار العين');
INSERT INTO `lang_definitions` VALUES (101338, 3863, 19, 'العينين');
INSERT INTO `lang_definitions` VALUES (101339, 3865, 19, 'أنثى');
INSERT INTO `lang_definitions` VALUES (101340, 3866, 19, 'قصة عائلية: مشاكل دم');
INSERT INTO `lang_definitions` VALUES (101341, 3867, 19, 'قصة عائلية: شعرانية/فزر');
INSERT INTO `lang_definitions` VALUES (101342, 3868, 19, 'المنشآت');
INSERT INTO `lang_definitions` VALUES (101343, 3869, 19, 'المنشأة');
INSERT INTO `lang_definitions` VALUES (101344, 3870, 19, 'المنشأة');
INSERT INTO `lang_definitions` VALUES (101345, 3871, 19, 'إدارة المنشأة');
INSERT INTO `lang_definitions` VALUES (101346, 3872, 19, 'مدينة المنشأة');
INSERT INTO `lang_definitions` VALUES (101347, 3873, 19, 'رمز المنشأة');
INSERT INTO `lang_definitions` VALUES (101348, 3875, 19, 'رمز دولة المنشأة');
INSERT INTO `lang_definitions` VALUES (101349, 3876, 19, 'فاكس المنشأة');
INSERT INTO `lang_definitions` VALUES (101350, 3878, 19, 'إسم المنشأة');
INSERT INTO `lang_definitions` VALUES (101351, 3879, 19, 'رقم تعريف المنشأة الوطني');
INSERT INTO `lang_definitions` VALUES (101352, 3880, 19, 'هاتف المنشأة');
INSERT INTO `lang_definitions` VALUES (101353, 3882, 19, 'معلومات المستخدم الخاصة بالمنشأة');
INSERT INTO `lang_definitions` VALUES (101354, 3883, 19, 'ولاية المنشأة');
INSERT INTO `lang_definitions` VALUES (101355, 3884, 19, 'شارع المنشأة');
INSERT INTO `lang_definitions` VALUES (101356, 3886, 19, 'الرمز البريدي للمنشأة');
INSERT INTO `lang_definitions` VALUES (101357, 3888, 19, 'المنشأة:');
INSERT INTO `lang_definitions` VALUES (101358, 3889, 19, 'فشل');
INSERT INTO `lang_definitions` VALUES (101359, 3890, 19, 'فاشل');
INSERT INTO `lang_definitions` VALUES (101360, 3891, 19, 'فاشل');
INSERT INTO `lang_definitions` VALUES (101361, 3901, 19, 'فشل في إنشاء ملف مؤقت . CouchDB لن يعمل');
INSERT INTO `lang_definitions` VALUES (101362, 3907, 19, 'فشل');
INSERT INTO `lang_definitions` VALUES (101363, 3908, 19, 'فشل و قصور');
INSERT INTO `lang_definitions` VALUES (101364, 3916, 19, 'القصة العائلية');
INSERT INTO `lang_definitions` VALUES (101365, 3918, 19, 'القصة العائلية للجلوكوما');
INSERT INTO `lang_definitions` VALUES (101366, 3919, 19, 'القصة العائلية');
INSERT INTO `lang_definitions` VALUES (101367, 3921, 19, 'سداد العائلة');
INSERT INTO `lang_definitions` VALUES (101368, 3922, 19, 'حجم العائلة');
INSERT INTO `lang_definitions` VALUES (101369, 3923, 19, 'فاخر');
INSERT INTO `lang_definitions` VALUES (101370, 3925, 19, 'فارسى');
INSERT INTO `lang_definitions` VALUES (101371, 3928, 19, 'الأب');
INSERT INTO `lang_definitions` VALUES (101372, 3930, 19, 'الإرهاق');
INSERT INTO `lang_definitions` VALUES (101373, 3931, 19, 'مرهق');
INSERT INTO `lang_definitions` VALUES (101374, 3933, 19, 'الفاكس');
INSERT INTO `lang_definitions` VALUES (101375, 3934, 19, 'تعداد الفاكس');
INSERT INTO `lang_definitions` VALUES (101376, 3935, 19, 'رقم الفاكس');
INSERT INTO `lang_definitions` VALUES (101377, 3937, 19, 'الفاكس / المسح');
INSERT INTO `lang_definitions` VALUES (101378, 3938, 19, 'الفاكس الوارد');
INSERT INTO `lang_definitions` VALUES (101379, 3939, 19, 'الفاكس الصادر');
INSERT INTO `lang_definitions` VALUES (101380, 3940, 19, 'المميزات');
INSERT INTO `lang_definitions` VALUES (101381, 3941, 19, 'فبراير/شباط');
INSERT INTO `lang_definitions` VALUES (101382, 3942, 19, 'فبراير/شباط');
INSERT INTO `lang_definitions` VALUES (101383, 3943, 19, 'قانون تعويض الموظفين الفيدرالي');
INSERT INTO `lang_definitions` VALUES (101384, 3944, 19, 'رقم الدواء');
INSERT INTO `lang_definitions` VALUES (101385, 3945, 19, 'الرقم الحكومي التعريفي بالجهة الموظفة');
INSERT INTO `lang_definitions` VALUES (101386, 3946, 19, 'الرقم الضريبي');
INSERT INTO `lang_definitions` VALUES (101387, 3948, 19, 'التكلفة');
INSERT INTO `lang_definitions` VALUES (101388, 3949, 19, 'التكلفة');
INSERT INTO `lang_definitions` VALUES (101389, 3950, 19, 'التكلفة غير مسموح بها');
INSERT INTO `lang_definitions` VALUES (101390, 3951, 19, 'صفحة التكاليف');
INSERT INTO `lang_definitions` VALUES (101391, 3953, 19, 'خيارات صفحة التكاليف');
INSERT INTO `lang_definitions` VALUES (101392, 3955, 19, 'التكاليف');
INSERT INTO `lang_definitions` VALUES (101393, 3956, 19, 'أنثى');
INSERT INTO `lang_definitions` VALUES (101394, 3957, 19, 'مسحة باب غير طبيعية للإنثي');
INSERT INTO `lang_definitions` VALUES (101395, 3958, 19, 'واق نسائي');
INSERT INTO `lang_definitions` VALUES (101396, 3959, 19, 'تناسلية نسائية');
INSERT INTO `lang_definitions` VALUES (101397, 3960, 19, 'تاريخ اخر حمل');
INSERT INTO `lang_definitions` VALUES (101398, 3961, 19, 'حوضي نسائي');
INSERT INTO `lang_definitions` VALUES (101399, 3962, 19, 'أعراض نسائية');
INSERT INTO `lang_definitions` VALUES (101400, 3963, 19, 'منع الحمل الجراحي الطوعى للإنثي');
INSERT INTO `lang_definitions` VALUES (101401, 3966, 19, 'الحمى');
INSERT INTO `lang_definitions` VALUES (101402, 3967, 19, 'الحمى');
INSERT INTO `lang_definitions` VALUES (101403, 3968, 19, 'قصة عائلية لمرض دموي');
INSERT INTO `lang_definitions` VALUES (101404, 3972, 19, 'أورام ليفية سليمة');
INSERT INTO `lang_definitions` VALUES (101405, 3974, 19, 'حقل');
INSERT INTO `lang_definitions` VALUES (101406, 3976, 19, 'تعريف الحقل');
INSERT INTO `lang_definitions` VALUES (101407, 3978, 19, 'نوع الحقل لإستخدامه لدولة الموظف فى الديموجرافيا');
INSERT INTO `lang_definitions` VALUES (101408, 3979, 19, 'نوع الحقل لإستخدامه لولاية الموظف فى الديموجرافيا');
INSERT INTO `lang_definitions` VALUES (101409, 3980, 19, 'يجب إكمال الحقول الفارغة!');
INSERT INTO `lang_definitions` VALUES (101410, 3986, 19, 'الملف');
INSERT INTO `lang_definitions` VALUES (101411, 3989, 19, 'file in the Documentation directory to learn how to automate the process of creating log backups');
INSERT INTO `lang_definitions` VALUES (101412, 3990, 19, 'موقع الملف');
INSERT INTO `lang_definitions` VALUES (101413, 3991, 19, 'أدارة الملفات');
INSERT INTO `lang_definitions` VALUES (101414, 3998, 19, 'صلاحيات الملف تعطى لمسخدم الملف الالكتروني');
INSERT INTO `lang_definitions` VALUES (101415, 3999, 19, 'فشل أسترجاع الملف من CouchDB');
INSERT INTO `lang_definitions` VALUES (101416, 4000, 19, 'غرفة الملفات');
INSERT INTO `lang_definitions` VALUES (101417, 4001, 19, 'الملف للتحميل');
INSERT INTO `lang_definitions` VALUES (101418, 4002, 19, 'الملف للتحميل');
INSERT INTO `lang_definitions` VALUES (101419, 4003, 19, 'يوجد ملف بالاسم نفسه في الموقع');
INSERT INTO `lang_definitions` VALUES (101420, 4004, 19, 'اسم الملف');
INSERT INTO `lang_definitions` VALUES (101421, 4006, 19, 'الملفات');
INSERT INTO `lang_definitions` VALUES (101422, 4011, 19, 'فليبني');
INSERT INTO `lang_definitions` VALUES (101423, 4013, 19, 'املأ الفراغ التالي');
INSERT INTO `lang_definitions` VALUES (101424, 4014, 19, 'املأ هنا عند إرسال رسالة للمرضى فقط');
INSERT INTO `lang_definitions` VALUES (101425, 4023, 19, 'املأ فيما يلي');
INSERT INTO `lang_definitions` VALUES (101426, 4025, 19, 'املأ فيما يلي');
INSERT INTO `lang_definitions` VALUES (101427, 4028, 19, 'تصفية');
INSERT INTO `lang_definitions` VALUES (101428, 4029, 19, 'التصفية');
INSERT INTO `lang_definitions` VALUES (101429, 4030, 19, 'ترتيبت حسب التعاريف');
INSERT INTO `lang_definitions` VALUES (101430, 4031, 19, 'مصفى من');
INSERT INTO `lang_definitions` VALUES (101431, 4032, 19, 'التصفية');
INSERT INTO `lang_definitions` VALUES (101432, 4033, 19, 'التصفية');
INSERT INTO `lang_definitions` VALUES (101433, 4034, 19, 'النهائي');
INSERT INTO `lang_definitions` VALUES (101434, 4035, 19, 'التشخيص النهائي');
INSERT INTO `lang_definitions` VALUES (101435, 4036, 19, 'التشخيص النهائي من قبل اختصاصي');
INSERT INTO `lang_definitions` VALUES (101436, 4038, 19, 'المالي');
INSERT INTO `lang_definitions` VALUES (101437, 4039, 19, 'نهاية العام المالي');
INSERT INTO `lang_definitions` VALUES (101438, 4040, 19, 'التقرير المالي');
INSERT INTO `lang_definitions` VALUES (101439, 4042, 19, 'التقرير المالي - الحالات الخاصة');
INSERT INTO `lang_definitions` VALUES (101440, 4045, 19, 'تاريخ مراجعة الحسابات');
INSERT INTO `lang_definitions` VALUES (101441, 4046, 19, 'الملخص المالي حسب رمز الخدمة');
INSERT INTO `lang_definitions` VALUES (101442, 4048, 19, 'البحث');
INSERT INTO `lang_definitions` VALUES (101443, 4049, 19, 'البحث عن المتوفر');
INSERT INTO `lang_definitions` VALUES (101444, 4050, 19, 'ابحث عن المواعيد المتوفرة');
INSERT INTO `lang_definitions` VALUES (101445, 4053, 19, 'ابحث عن مريض');
INSERT INTO `lang_definitions` VALUES (101446, 4054, 19, 'ابحث عن مواد توعية المريض');
INSERT INTO `lang_definitions` VALUES (101447, 4056, 19, 'الموجودات');
INSERT INTO `lang_definitions` VALUES (101448, 4057, 19, 'الموجودات من قبل اختصاصي');
INSERT INTO `lang_definitions` VALUES (101449, 4058, 19, 'ناعم');
INSERT INTO `lang_definitions` VALUES (101450, 4060, 19, 'السداد النهائي');
INSERT INTO `lang_definitions` VALUES (101451, 4062, 19, 'منتهي');
INSERT INTO `lang_definitions` VALUES (101452, 4065, 19, 'الأول');
INSERT INTO `lang_definitions` VALUES (101453, 4068, 19, 'اليوم الأول للأسبوع');
INSERT INTO `lang_definitions` VALUES (101454, 4071, 19, 'الاسم الأول');
INSERT INTO `lang_definitions` VALUES (101455, 4072, 19, 'الاسم الأول');
INSERT INTO `lang_definitions` VALUES (101456, 4073, 19, 'الاسم الأول');
INSERT INTO `lang_definitions` VALUES (101457, 4079, 19, 'اللياقة');
INSERT INTO `lang_definitions` VALUES (101458, 4080, 19, 'مستوى اللياقة');
INSERT INTO `lang_definitions` VALUES (101459, 4081, 19, 'مستوى اللياقة لهذا اللاعب في هذا اليوم');
INSERT INTO `lang_definitions` VALUES (101460, 4083, 19, 'اللياقة للعب');
INSERT INTO `lang_definitions` VALUES (101461, 4084, 19, 'تصحيح تاريخ الزيارات');
INSERT INTO `lang_definitions` VALUES (101462, 4086, 19, 'تصحيح.');
INSERT INTO `lang_definitions` VALUES (101463, 4088, 19, 'فلوريدا');
INSERT INTO `lang_definitions` VALUES (101464, 4090, 19, 'حس الانتفاخ');
INSERT INTO `lang_definitions` VALUES (101465, 4091, 19, 'الجريان');
INSERT INTO `lang_definitions` VALUES (101466, 4108, 19, 'فصل الإنفلونزا');
INSERT INTO `lang_definitions` VALUES (101467, 4109, 19, 'فصل الإنفلونزا');
INSERT INTO `lang_definitions` VALUES (101468, 4110, 19, 'لقاح الإنفلونزا');
INSERT INTO `lang_definitions` VALUES (101469, 4111, 19, 'مشكلة في السوائل و الشوارد');
INSERT INTO `lang_definitions` VALUES (101470, 4112, 19, 'أخصائي طب العائلة');
INSERT INTO `lang_definitions` VALUES (101471, 4113, 19, 'حجم ورقة الترتيب');
INSERT INTO `lang_definitions` VALUES (101472, 4114, 19, 'متابعة يدوية');
INSERT INTO `lang_definitions` VALUES (101473, 4115, 19, 'إتبع هذة التعليمات لتثبيت او ترقية قاعدة البيانات التالية');
INSERT INTO `lang_definitions` VALUES (101474, 4116, 19, 'المتابعة');
INSERT INTO `lang_definitions` VALUES (101475, 4119, 19, 'سبب المتابعة');
INSERT INTO `lang_definitions` VALUES (101476, 4121, 19, 'اﻷتي هو مصطلح جديد حسب الطلب:');
INSERT INTO `lang_definitions` VALUES (101477, 4122, 19, 'اﻷتي هو لغة جديدة حسب الطلب:');
INSERT INTO `lang_definitions` VALUES (101478, 4123, 19, 'اﻷتي هو تعريف جديد حسب الطلب (لغة, تعريف او مصطلح):');
INSERT INTO `lang_definitions` VALUES (101479, 4125, 19, 'خدمات المتابعة');
INSERT INTO `lang_definitions` VALUES (101480, 4126, 19, 'دواعي المتابعة');
INSERT INTO `lang_definitions` VALUES (101481, 4129, 19, 'عدم تحمل الغذاء');
INSERT INTO `lang_definitions` VALUES (101482, 4130, 19, 'القدم');
INSERT INTO `lang_definitions` VALUES (101483, 4131, 19, 'مشاكل القدم');
INSERT INTO `lang_definitions` VALUES (101484, 4132, 19, 'القدم');
INSERT INTO `lang_definitions` VALUES (101485, 4133, 19, 'الرضوض في كرة القدم');
INSERT INTO `lang_definitions` VALUES (101486, 4134, 19, 'رضه كره قدم');
INSERT INTO `lang_definitions` VALUES (101487, 4135, 19, 'التقرير الطبي');
INSERT INTO `lang_definitions` VALUES (101488, 4136, 19, 'نمط التمزق');
INSERT INTO `lang_definitions` VALUES (101489, 4137, 19, 'لـ');
INSERT INTO `lang_definitions` VALUES (101490, 4138, 19, 'لـ');
INSERT INTO `lang_definitions` VALUES (101491, 4144, 19, 'لـ رمز');
INSERT INTO `lang_definitions` VALUES (101492, 4152, 19, 'لـ دعاوى الزيارة');
INSERT INTO `lang_definitions` VALUES (101493, 4154, 19, 'كـ مثال');
INSERT INTO `lang_definitions` VALUES (101494, 4161, 19, 'لـ لفاتورة');
INSERT INTO `lang_definitions` VALUES (101495, 4163, 19, 'لميديكير فقط, يجبر المزوّد المحوّل ليكون هو نفسه المزوّد المؤدي');
INSERT INTO `lang_definitions` VALUES (101496, 4165, 19, 'لواضع رقم الطلب ل OBR');
INSERT INTO `lang_definitions` VALUES (101497, 4173, 19, 'لـ الجهة / الممارس المُحيل للمريض');
INSERT INTO `lang_definitions` VALUES (101498, 4176, 19, 'منذ');
INSERT INTO `lang_definitions` VALUES (101499, 4188, 19, 'للمتغيرات');
INSERT INTO `lang_definitions` VALUES (101500, 4189, 19, 'من أجل');
INSERT INTO `lang_definitions` VALUES (101501, 4190, 19, 'فتح اجباري - قائمه المدفوعات');
INSERT INTO `lang_definitions` VALUES (101502, 4191, 19, 'فتح اجباري - ملف مريض جديد');
INSERT INTO `lang_definitions` VALUES (101503, 4193, 19, 'إظهار اجباري');
INSERT INTO `lang_definitions` VALUES (101504, 4194, 19, 'الساعد');
INSERT INTO `lang_definitions` VALUES (101505, 4195, 19, 'الاستمارة');
INSERT INTO `lang_definitions` VALUES (101506, 4196, 19, 'الاستمارة');
INSERT INTO `lang_definitions` VALUES (101507, 4201, 19, 'الصيغة');
INSERT INTO `lang_definitions` VALUES (101508, 4202, 19, 'الصيغة');
INSERT INTO `lang_definitions` VALUES (101509, 4203, 19, 'صيغه عرض العمر');
INSERT INTO `lang_definitions` VALUES (101510, 4204, 19, 'الصيغة خاطئة لNDC');
INSERT INTO `lang_definitions` VALUES (101511, 4205, 19, 'الصيغة المستعملة لعرض التواريخ');
INSERT INTO `lang_definitions` VALUES (101512, 4206, 19, 'الصيغة المستعملة لعرض التواريخ');
INSERT INTO `lang_definitions` VALUES (101513, 4207, 19, 'التقرير');
INSERT INTO `lang_definitions` VALUES (101514, 4208, 19, 'مدخن سابق');
INSERT INTO `lang_definitions` VALUES (101515, 4209, 19, 'الاستمارات');
INSERT INTO `lang_definitions` VALUES (101516, 4210, 19, 'الاستمارات الإدارية');
INSERT INTO `lang_definitions` VALUES (101517, 4215, 19, 'اعاده ارسال');
INSERT INTO `lang_definitions` VALUES (101518, 4219, 19, 'إرسال الصفحات بالفاكس');
INSERT INTO `lang_definitions` VALUES (101519, 4222, 19, 'مرسل');
INSERT INTO `lang_definitions` VALUES (101520, 4225, 19, 'الرابع');
INSERT INTO `lang_definitions` VALUES (101521, 4227, 19, 'الكسر');
INSERT INTO `lang_definitions` VALUES (101522, 4228, 19, 'كسر الترقوة');
INSERT INTO `lang_definitions` VALUES (101523, 4229, 19, 'كسر الكعب الوحشي');
INSERT INTO `lang_definitions` VALUES (101524, 4230, 19, 'كسر الكعب الأنسي');
INSERT INTO `lang_definitions` VALUES (101525, 4231, 19, 'كسر قاعدة المشط الخامس');
INSERT INTO `lang_definitions` VALUES (101526, 4233, 19, 'مطلوب هيكل الدعم');
INSERT INTO `lang_definitions` VALUES (101527, 4235, 19, 'الفرنسية');
INSERT INTO `lang_definitions` VALUES (101528, 4236, 19, 'الفرنسية (الكندية)');
INSERT INTO `lang_definitions` VALUES (101529, 4237, 19, 'اللغة الفرنسية');
INSERT INTO `lang_definitions` VALUES (101530, 4238, 19, 'التواتر');
INSERT INTO `lang_definitions` VALUES (101531, 4239, 19, 'زكام متكرر');
INSERT INTO `lang_definitions` VALUES (101532, 4240, 19, 'أمراض متكررة');
INSERT INTO `lang_definitions` VALUES (101533, 4241, 19, 'الجمعة');
INSERT INTO `lang_definitions` VALUES (101534, 4242, 19, 'الحمعة');
INSERT INTO `lang_definitions` VALUES (101535, 4244, 19, 'من');
INSERT INTO `lang_definitions` VALUES (101536, 4245, 19, 'من');
INSERT INTO `lang_definitions` VALUES (101537, 4246, 19, 'من');
INSERT INTO `lang_definitions` VALUES (101538, 4247, 19, 'من تاريخه لايمكن أن يكون أكثر من الحالي');
INSERT INTO `lang_definitions` VALUES (101539, 4253, 19, 'من');
INSERT INTO `lang_definitions` VALUES (101540, 4254, 19, 'من');
INSERT INTO `lang_definitions` VALUES (101541, 4255, 19, 'من_مدينة');
INSERT INTO `lang_definitions` VALUES (101542, 4257, 19, 'من_الأسم_الأول');
INSERT INTO `lang_definitions` VALUES (101543, 4258, 19, 'من_الأسم_الأخير');
INSERT INTO `lang_definitions` VALUES (101544, 4259, 19, 'من_الأسم_الأوسط');
INSERT INTO `lang_definitions` VALUES (101545, 4261, 19, 'من_هاتف_الجوال');
INSERT INTO `lang_definitions` VALUES (101546, 4262, 19, 'كم_الرمز البريدي');
INSERT INTO `lang_definitions` VALUES (101547, 4263, 19, 'من_الولاية');
INSERT INTO `lang_definitions` VALUES (101548, 4264, 19, 'من_الشارع');
INSERT INTO `lang_definitions` VALUES (101549, 4265, 19, 'من_العنوان');
INSERT INTO `lang_definitions` VALUES (101550, 4266, 19, 'من ـ دليل القيمه');
INSERT INTO `lang_definitions` VALUES (101551, 4267, 19, 'مكتب الاستقبال');
INSERT INTO `lang_definitions` VALUES (101552, 4268, 19, 'إيصالات مكتب الأستقبال');
INSERT INTO `lang_definitions` VALUES (101553, 4269, 19, 'تقرير الاستقبال');
INSERT INTO `lang_definitions` VALUES (101554, 4270, 19, 'التسجيل الأمامي');
INSERT INTO `lang_definitions` VALUES (101555, 4271, 19, 'اليمنى الأمامية');
INSERT INTO `lang_definitions` VALUES (101556, 4278, 19, 'الاسم الكامل');
INSERT INTO `lang_definitions` VALUES (101557, 4280, 19, 'دليل مسار كامل متضمن اوامر قاعده البيانات MySQL قابل لتطبيق');
INSERT INTO `lang_definitions` VALUES (101558, 4281, 19, 'دليل مسار كامل متضمن اوامر البرمجه Perl قابل لتطبيق');
INSERT INTO `lang_definitions` VALUES (101559, 4282, 19, 'دليل مسار كامل من احتياطي سجل الاحداث السابقه log');
INSERT INTO `lang_definitions` VALUES (101560, 4283, 19, 'دليل مسار كامل للملفات المؤقته');
INSERT INTO `lang_definitions` VALUES (101561, 4284, 19, 'اللعب التام');
INSERT INTO `lang_definitions` VALUES (101562, 4286, 19, 'التدريب التام');
INSERT INTO `lang_definitions` VALUES (101563, 4288, 19, 'المدفوع التام');
INSERT INTO `lang_definitions` VALUES (101564, 4298, 19, 'غ');
INSERT INTO `lang_definitions` VALUES (101565, 4299, 19, 'غ/دل');
INSERT INTO `lang_definitions` VALUES (101566, 4302, 19, 'حالة حصيات المرارة');
INSERT INTO `lang_definitions` VALUES (101567, 4303, 19, 'حصيات المرارة');
INSERT INTO `lang_definitions` VALUES (101568, 4304, 19, 'فترة اللعب');
INSERT INTO `lang_definitions` VALUES (101569, 4305, 19, 'الألعاب');
INSERT INTO `lang_definitions` VALUES (101570, 4306, 19, 'الغياب');
INSERT INTO `lang_definitions` VALUES (101571, 4307, 19, 'الألعاب');
INSERT INTO `lang_definitions` VALUES (101572, 4308, 19, 'الغياب');
INSERT INTO `lang_definitions` VALUES (101573, 4310, 19, 'التهاب المعدة');
INSERT INTO `lang_definitions` VALUES (101574, 4311, 19, 'ألم المعدة');
INSERT INTO `lang_definitions` VALUES (101575, 4312, 19, 'الهضمي');
INSERT INTO `lang_definitions` VALUES (101576, 4316, 19, 'تقرير إحصائيات GCAC');
INSERT INTO `lang_definitions` VALUES (101577, 4317, 19, 'حالات GCAC');
INSERT INTO `lang_definitions` VALUES (101578, 4318, 19, 'طلب زيارة GCAC مفقود');
INSERT INTO `lang_definitions` VALUES (101579, 4319, 19, 'الجنس');
INSERT INTO `lang_definitions` VALUES (101580, 4320, 19, 'الجنس');
INSERT INTO `lang_definitions` VALUES (101581, 4321, 19, 'العام');
INSERT INTO `lang_definitions` VALUES (101582, 4323, 19, 'قائمة المشاكل العامة');
INSERT INTO `lang_definitions` VALUES (101583, 4325, 19, 'مجموعة الخدمة العامة');
INSERT INTO `lang_definitions` VALUES (101584, 4332, 19, 'كوّن ثم نزّل مطالبات CMS 1500 الورقية');
INSERT INTO `lang_definitions` VALUES (101585, 4334, 19, 'كوّن ثم نزّل مطالبات HCFA 1500 الورقية');
INSERT INTO `lang_definitions` VALUES (101586, 4337, 19, 'كوّن ثم نزّل جملة X12');
INSERT INTO `lang_definitions` VALUES (101587, 4338, 19, 'كوّن ثم نزّل جملة مطالبات الزيارة لX12');
INSERT INTO `lang_definitions` VALUES (101588, 4341, 19, 'كوّن ثم نزّل الوصفات المسموح بها الكترونيا');
INSERT INTO `lang_definitions` VALUES (101589, 4342, 19, 'كوّن CMS 1500');
INSERT INTO `lang_definitions` VALUES (101590, 4343, 19, 'كوّن CMS 1500 علي نسق الوثائق النقال');
INSERT INTO `lang_definitions` VALUES (101591, 4344, 19, 'كوّن CMS 1500 كملف خطي');
INSERT INTO `lang_definitions` VALUES (101592, 4345, 19, 'كوّن HCFA');
INSERT INTO `lang_definitions` VALUES (101593, 4347, 19, 'تكوين الفاتورة');
INSERT INTO `lang_definitions` VALUES (101594, 4348, 19, 'تكوين الخطاب');
INSERT INTO `lang_definitions` VALUES (101595, 4349, 19, 'تكوين خطاب بخصوص');
INSERT INTO `lang_definitions` VALUES (101596, 4351, 19, 'تكوين تقرير PQRI بطريقة A');
INSERT INTO `lang_definitions` VALUES (101597, 4353, 19, 'تكوين تقرير PQRI بطريقة E');
INSERT INTO `lang_definitions` VALUES (101598, 4357, 19, 'تكوين التقرير');
INSERT INTO `lang_definitions` VALUES (101599, 4365, 19, 'تكوين اسم مستخدم و كلمة سر');
INSERT INTO `lang_definitions` VALUES (101600, 4366, 19, 'تكوين X12');
INSERT INTO `lang_definitions` VALUES (101601, 4368, 19, 'تكوين مراجعة X12');
INSERT INTO `lang_definitions` VALUES (101602, 4370, 19, 'تم في');
INSERT INTO `lang_definitions` VALUES (101603, 4372, 19, 'كون');
INSERT INTO `lang_definitions` VALUES (101604, 4377, 19, 'البولي التناسلي');
INSERT INTO `lang_definitions` VALUES (101605, 4381, 19, 'الألمانية');
INSERT INTO `lang_definitions` VALUES (101606, 4386, 19, 'تكوين HL7');
INSERT INTO `lang_definitions` VALUES (101607, 4392, 19, 'الجلوكوما');
INSERT INTO `lang_definitions` VALUES (101608, 4393, 19, 'قصة عائلية للجلوكوما');
INSERT INTO `lang_definitions` VALUES (101609, 4395, 19, 'عالمي');
INSERT INTO `lang_definitions` VALUES (101610, 4398, 19, 'هوية عالمية');
INSERT INTO `lang_definitions` VALUES (101611, 4399, 19, 'الإعدادات العامة');
INSERT INTO `lang_definitions` VALUES (101612, 4400, 19, 'العموميات');
INSERT INTO `lang_definitions` VALUES (101613, 4401, 19, 'غرام/دل');
INSERT INTO `lang_definitions` VALUES (101614, 4402, 19, 'اذهب');
INSERT INTO `lang_definitions` VALUES (101615, 4403, 19, 'اذهب');
INSERT INTO `lang_definitions` VALUES (101616, 4404, 19, 'اذهب');
INSERT INTO `lang_definitions` VALUES (101617, 4405, 19, 'اذهب');
INSERT INTO `lang_definitions` VALUES (101618, 4407, 19, 'اذهب');
INSERT INTO `lang_definitions` VALUES (101619, 4417, 19, 'اذهب للإسبوع');
INSERT INTO `lang_definitions` VALUES (101620, 4418, 19, 'اذهب لليوم الحالي');
INSERT INTO `lang_definitions` VALUES (101621, 4419, 19, 'الهدف أ');
INSERT INTO `lang_definitions` VALUES (101622, 4420, 19, 'الهدف والطرق');
INSERT INTO `lang_definitions` VALUES (101623, 4421, 19, 'الهدف ب');
INSERT INTO `lang_definitions` VALUES (101624, 4422, 19, 'الهدف ج');
INSERT INTO `lang_definitions` VALUES (101625, 4428, 19, 'درجة الأذية');
INSERT INTO `lang_definitions` VALUES (101626, 4429, 19, 'الدرجة');
INSERT INTO `lang_definitions` VALUES (101627, 4430, 19, 'غرام/دل');
INSERT INTO `lang_definitions` VALUES (101628, 4431, 19, 'المجموع الإجمالي');
INSERT INTO `lang_definitions` VALUES (101629, 4432, 19, 'المجاميع الإجمالية');
INSERT INTO `lang_definitions` VALUES (101630, 4435, 19, 'امكانية عمل رسم بياني');
INSERT INTO `lang_definitions` VALUES (101631, 4437, 19, 'أكبر من');
INSERT INTO `lang_definitions` VALUES (101632, 4438, 19, 'أكبر من أو يساوي');
INSERT INTO `lang_definitions` VALUES (101633, 4439, 19, 'إغريقي');
INSERT INTO `lang_definitions` VALUES (101634, 4442, 19, 'مجموعة');
INSERT INTO `lang_definitions` VALUES (101635, 4459, 19, 'أسم المجموعة');
INSERT INTO `lang_definitions` VALUES (101636, 4460, 19, 'أسماء المجموعة لا يمكن أن تترك فارغة');
INSERT INTO `lang_definitions` VALUES (101637, 4461, 19, 'أسماء المجموعة لا يمكن ان تبدأ برقم او مسافة');
INSERT INTO `lang_definitions` VALUES (101638, 4462, 19, 'أسماء المجموعة لا يمكن أن تبدأ برقم');
INSERT INTO `lang_definitions` VALUES (101639, 4463, 19, 'رقم المجموعة');
INSERT INTO `lang_definitions` VALUES (101640, 4465, 19, 'اجمع المستحقات');
INSERT INTO `lang_definitions` VALUES (101641, 4471, 19, 'مجموعة');
INSERT INTO `lang_definitions` VALUES (101642, 4472, 19, 'اسم المجموعة');
INSERT INTO `lang_definitions` VALUES (101643, 4475, 19, 'المجموعات وضبط الوصول');
INSERT INTO `lang_definitions` VALUES (101644, 4476, 19, 'الرسم البياني للنمو');
INSERT INTO `lang_definitions` VALUES (101645, 4477, 19, 'الرسم البياني-للنمو');
INSERT INTO `lang_definitions` VALUES (101646, 4478, 19, 'قطرات');
INSERT INTO `lang_definitions` VALUES (101647, 4479, 19, 'مواطن غوامي');
INSERT INTO `lang_definitions` VALUES (101648, 4484, 19, 'اسم ولي الأمر');
INSERT INTO `lang_definitions` VALUES (101649, 4489, 19, 'كشف نسائي');
INSERT INTO `lang_definitions` VALUES (101650, 4490, 19, 'ساعة');
INSERT INTO `lang_definitions` VALUES (101651, 4492, 19, 'قبل النوم');
INSERT INTO `lang_definitions` VALUES (101652, 4493, 19, 'تاريخ مرضي التهاب الكبد');
INSERT INTO `lang_definitions` VALUES (101653, 4494, 19, 'تم الحذف بنجاح. أي من الفئات الفرعية قد تم نقلها إذا كانت موجوده أدناه');
INSERT INTO `lang_definitions` VALUES (101654, 4495, 19, 'ورم دموي - تكدم');
INSERT INTO `lang_definitions` VALUES (101655, 4496, 19, 'حالة العدوى المكتسبة من المستشفى');
INSERT INTO `lang_definitions` VALUES (101656, 4499, 19, 'يد + أصابع');
INSERT INTO `lang_definitions` VALUES (101657, 4500, 19, 'مشاكل اليد');
INSERT INTO `lang_definitions` VALUES (101658, 4505, 19, 'القرص الصلب');
INSERT INTO `lang_definitions` VALUES (101659, 4506, 19, 'ضائقة بدون');
INSERT INTO `lang_definitions` VALUES (101660, 4507, 19, 'تم ربطها بالزيارة');
INSERT INTO `lang_definitions` VALUES (101661, 4508, 19, 'انتهى');
INSERT INTO `lang_definitions` VALUES (101662, 4509, 19, 'خليط');
INSERT INTO `lang_definitions` VALUES (101663, 4511, 19, 'Hash did not exist for this file. A new hash was generated.');
INSERT INTO `lang_definitions` VALUES (101664, 4512, 19, 'Hash does not match. Data integrity has been compromised.');
INSERT INTO `lang_definitions` VALUES (101665, 4515, 19, 'من هاواي');
INSERT INTO `lang_definitions` VALUES (101666, 4516, 19, 'نشاطات خطرة');
INSERT INTO `lang_definitions` VALUES (101667, 4517, 19, 'نشاطات خطرة');
INSERT INTO `lang_definitions` VALUES (101668, 4521, 19, 'الحافة اليسرى ل HCFA بالنقاط');
INSERT INTO `lang_definitions` VALUES (101669, 4522, 19, 'حواف HCFA');
INSERT INTO `lang_definitions` VALUES (101670, 4523, 19, 'الحافة العليا ل HCFA بالنقاط');
INSERT INTO `lang_definitions` VALUES (101671, 4524, 19, 'خدمة/ عمليات HCPCS');
INSERT INTO `lang_definitions` VALUES (101672, 4527, 19, 'هو PostCalendar');
INSERT INTO `lang_definitions` VALUES (101673, 4528, 19, 'رأس');
INSERT INTO `lang_definitions` VALUES (101674, 4529, 19, 'محيط الرأس');
INSERT INTO `lang_definitions` VALUES (101675, 4530, 19, 'محيط الرأس');
INSERT INTO `lang_definitions` VALUES (101676, 4531, 19, 'وجع رأس');
INSERT INTO `lang_definitions` VALUES (101677, 4532, 19, 'وجع رأس');
INSERT INTO `lang_definitions` VALUES (101678, 4534, 19, 'عمليات الرعاية الصحية');
INSERT INTO `lang_definitions` VALUES (101679, 4535, 19, 'عمليات الرعاية الصحية');
INSERT INTO `lang_definitions` VALUES (101680, 4537, 19, 'مركز صحي / عيادة');
INSERT INTO `lang_definitions` VALUES (101681, 4540, 19, 'منظمه الحفاض علي الصحه');
INSERT INTO `lang_definitions` VALUES (101682, 4541, 19, 'مخاطرة ميديكير لمنظمه الحفاض علي الصحه');
INSERT INTO `lang_definitions` VALUES (101683, 4542, 19, 'فقدان السمع');
INSERT INTO `lang_definitions` VALUES (101684, 4543, 19, 'نوبة قلبية');
INSERT INTO `lang_definitions` VALUES (101685, 4544, 19, 'أمراض القلب');
INSERT INTO `lang_definitions` VALUES (101686, 4545, 19, 'سكتة قلبية');
INSERT INTO `lang_definitions` VALUES (101687, 4546, 19, 'مشاكل القلب');
INSERT INTO `lang_definitions` VALUES (101688, 4547, 19, 'مشاكل القلب');
INSERT INTO `lang_definitions` VALUES (101689, 4548, 19, 'جراحة قلب');
INSERT INTO `lang_definitions` VALUES (101690, 4549, 19, 'زراعة قلب');
INSERT INTO `lang_definitions` VALUES (101691, 4550, 19, 'القلب');
INSERT INTO `lang_definitions` VALUES (101692, 4551, 19, 'حرقة المعدة');
INSERT INTO `lang_definitions` VALUES (101693, 4552, 19, 'حار أو بارد');
INSERT INTO `lang_definitions` VALUES (101694, 4553, 19, 'حار أو بارد');
INSERT INTO `lang_definitions` VALUES (101695, 4554, 19, 'مدخن بشراهة');
INSERT INTO `lang_definitions` VALUES (101696, 4555, 19, 'العبرية');
INSERT INTO `lang_definitions` VALUES (101697, 4557, 19, 'الرأس, العيون, الأذان, الأنف, الحنجرة');
INSERT INTO `lang_definitions` VALUES (101698, 4558, 19, 'الإرتفاع');
INSERT INTO `lang_definitions` VALUES (101699, 4560, 19, 'مساعدة');
INSERT INTO `lang_definitions` VALUES (101700, 4561, 19, 'مساعدة');
INSERT INTO `lang_definitions` VALUES (101701, 4563, 19, 'قئ الدم');
INSERT INTO `lang_definitions` VALUES (101702, 4564, 19, 'التغوط المدمى');
INSERT INTO `lang_definitions` VALUES (101703, 4565, 19, 'دموي');
INSERT INTO `lang_definitions` VALUES (101704, 4566, 19, 'البول الدموي');
INSERT INTO `lang_definitions` VALUES (101705, 4567, 19, 'الهيموجلوبين');
INSERT INTO `lang_definitions` VALUES (101706, 4568, 19, 'الهيموجلوبين المسكر (الجليكوزيلاتي)');
INSERT INTO `lang_definitions` VALUES (101707, 4569, 19, 'بصق الدم');
INSERT INTO `lang_definitions` VALUES (101708, 4570, 19, 'إلتهاب الكبد الوبائي');
INSERT INTO `lang_definitions` VALUES (101709, 4571, 19, 'إلتهاب الكبد الوبائي A 1');
INSERT INTO `lang_definitions` VALUES (101710, 4572, 19, 'إلتهاب الكبد الوبائي A 2');
INSERT INTO `lang_definitions` VALUES (101711, 4573, 19, 'إلتهاب الكبد الوبائي B 1');
INSERT INTO `lang_definitions` VALUES (101712, 4574, 19, 'إلتهاب الكبد الوبائي B 2');
INSERT INTO `lang_definitions` VALUES (101713, 4575, 19, 'إلتهاب الكبد الوبائي B 3');
INSERT INTO `lang_definitions` VALUES (101714, 4576, 19, 'هنا');
INSERT INTO `lang_definitions` VALUES (101715, 4580, 19, 'إصلاح الفتاق');
INSERT INTO `lang_definitions` VALUES (101716, 4581, 19, 'فتاق النواة اللبّية');
INSERT INTO `lang_definitions` VALUES (101717, 4582, 19, 'الهربس');
INSERT INTO `lang_definitions` VALUES (101718, 4585, 19, 'تردد');
INSERT INTO `lang_definitions` VALUES (101719, 4586, 19, 'مرحبا. لماذا انت هنا');
INSERT INTO `lang_definitions` VALUES (101720, 4587, 19, 'تطعيم الإنفلونزا 1');
INSERT INTO `lang_definitions` VALUES (101721, 4588, 19, 'تطعيم الإنفلونزا 2');
INSERT INTO `lang_definitions` VALUES (101722, 4589, 19, 'تطعيم الإنفلونزا 3');
INSERT INTO `lang_definitions` VALUES (101723, 4590, 19, 'تطعيم الإنفلونزا 4');
INSERT INTO `lang_definitions` VALUES (101724, 4591, 19, 'مخفي');
INSERT INTO `lang_definitions` VALUES (101725, 4592, 19, 'احداث اداريه مخفيه');
INSERT INTO `lang_definitions` VALUES (101726, 4593, 19, 'أخفى');
INSERT INTO `lang_definitions` VALUES (101727, 4595, 19, 'أخفاء التفاصيل');
INSERT INTO `lang_definitions` VALUES (101728, 4597, 19, 'أخفاء خيار التشفير-فك التشفير في ادارة الوثائق');
INSERT INTO `lang_definitions` VALUES (101729, 4599, 19, 'أخفاء القائمة');
INSERT INTO `lang_definitions` VALUES (101730, 4601, 19, 'أخفاء التنبيهات');
INSERT INTO `lang_definitions` VALUES (101731, 4603, 19, 'أخفاء/إظهار الأعمدة');
INSERT INTO `lang_definitions` VALUES (101732, 4605, 19, 'مرتفع');
INSERT INTO `lang_definitions` VALUES (101733, 4607, 19, 'أرتفاع ضغط الدم');
INSERT INTO `lang_definitions` VALUES (101734, 4609, 19, 'هندي');
INSERT INTO `lang_definitions` VALUES (101735, 4610, 19, 'الورك + الأربية');
INSERT INTO `lang_definitions` VALUES (101736, 4611, 19, 'الورك و الأربية');
INSERT INTO `lang_definitions` VALUES (101737, 4612, 19, 'مشاكل الورك');
INSERT INTO `lang_definitions` VALUES (101738, 4613, 19, 'إستبدال مفصل الورك');
INSERT INTO `lang_definitions` VALUES (101739, 4615, 19, 'أستلام نسخة من قانون الخصوصية وسرية المعلومات HIPAA');
INSERT INTO `lang_definitions` VALUES (101740, 4617, 19, 'كثرة الشعر/حزوز');
INSERT INTO `lang_definitions` VALUES (101741, 4618, 19, 'أسباني');
INSERT INTO `lang_definitions` VALUES (101742, 4619, 19, 'أسباني- اخرى (مولود في الولايات المتحدة)');
INSERT INTO `lang_definitions` VALUES (101743, 4620, 19, 'أسباني- أخرى (مولود خارج الولايات المتحدة)');
INSERT INTO `lang_definitions` VALUES (101744, 4621, 19, 'أسباني او لاتيني');
INSERT INTO `lang_definitions` VALUES (101745, 4623, 19, 'التاريخ');
INSERT INTO `lang_definitions` VALUES (101746, 4629, 19, 'التاريخ');
INSERT INTO `lang_definitions` VALUES (101747, 4630, 19, 'التاريخ');
INSERT INTO `lang_definitions` VALUES (101748, 4632, 19, 'تاريخ النفخة القلبية');
INSERT INTO `lang_definitions` VALUES (101749, 4633, 19, 'التاريخ غير مصرح');
INSERT INTO `lang_definitions` VALUES (101750, 4634, 19, 'تاريخ طبي بالنفخة القلبية');
INSERT INTO `lang_definitions` VALUES (101751, 4638, 19, 'إرتطام');
INSERT INTO `lang_definitions` VALUES (101752, 4639, 19, 'فيروس نقص المناعة البشرية');
INSERT INTO `lang_definitions` VALUES (101753, 4649, 19, 'معاين المستوى السابع الصحي');
INSERT INTO `lang_definitions` VALUES (101754, 4651, 19, 'ميكرومول لكل ليتر');
INSERT INTO `lang_definitions` VALUES (101755, 4652, 19, 'همونق-الصين');
INSERT INTO `lang_definitions` VALUES (101756, 4653, 19, 'إضغط [Ctrl] بإستمرار لخيارات متعددة او لإلغاء التحديد');
INSERT INTO `lang_definitions` VALUES (101757, 4655, 19, 'إضغط [Ctrl] بإستمرار لتحديد عناصر متعددة');
INSERT INTO `lang_definitions` VALUES (101758, 4656, 19, 'إضغط [Ctrl] بإستمرار لتحديد مجموعات متعددة');
INSERT INTO `lang_definitions` VALUES (101759, 4658, 19, 'الصفحة الرئيسية');
INSERT INTO `lang_definitions` VALUES (101760, 4659, 19, 'تلفون المنزل');
INSERT INTO `lang_definitions` VALUES (101761, 4660, 19, 'رقم تلفون المنزل');
INSERT INTO `lang_definitions` VALUES (101762, 4662, 19, 'بلا مأوى او مماثل');
INSERT INTO `lang_definitions` VALUES (101763, 4664, 19, 'بلا مأوى, اخرى');
INSERT INTO `lang_definitions` VALUES (101764, 4665, 19, 'بلا مأوى, اخرى');
INSERT INTO `lang_definitions` VALUES (101765, 4674, 19, 'أسم المضيف');
INSERT INTO `lang_definitions` VALUES (101766, 4675, 19, 'أسم المضيف لايمكن ان يكون فارغ');
INSERT INTO `lang_definitions` VALUES (101767, 4677, 19, 'ساعة');
INSERT INTO `lang_definitions` VALUES (101768, 4678, 19, 'ساعات');
INSERT INTO `lang_definitions` VALUES (101769, 4681, 19, 'كيف حصلت الإصابة ؟');
INSERT INTO `lang_definitions` VALUES (101770, 4682, 19, 'كيف حصلت الإصابة؟:');
INSERT INTO `lang_definitions` VALUES (101771, 4683, 19, 'كيف سمعت عنا');
INSERT INTO `lang_definitions` VALUES (101772, 4685, 19, 'كم شهراَ مقدماَ للبحث عن اﻷحداث؟');
INSERT INTO `lang_definitions` VALUES (101773, 4692, 19, 'تفصيل قصة المرض الحالي:');
INSERT INTO `lang_definitions` VALUES (101774, 4694, 19, 'الطول');
INSERT INTO `lang_definitions` VALUES (101775, 4695, 19, 'لغة رقم النص الفائق (إتش تي أم إل)');
INSERT INTO `lang_definitions` VALUES (101776, 4696, 19, 'مخرجات لغة النص الفائق (إتش تي أم إال ) ؟');
INSERT INTO `lang_definitions` VALUES (101777, 4699, 19, 'رابط Https للبرنامج علي خدمة تبادل المعمل');
INSERT INTO `lang_definitions` VALUES (101778, 4701, 19, 'مجري- هنغاري');
INSERT INTO `lang_definitions` VALUES (101779, 4702, 19, 'مجلّد Hylafax');
INSERT INTO `lang_definitions` VALUES (101780, 4703, 19, 'أمر Hylafax');
INSERT INTO `lang_definitions` VALUES (101781, 4704, 19, 'خادم Hylafax');
INSERT INTO `lang_definitions` VALUES (101782, 4705, 19, 'إسم خادم Hylafax');
INSERT INTO `lang_definitions` VALUES (101783, 4706, 19, 'مفرط النشاط');
INSERT INTO `lang_definitions` VALUES (101784, 4708, 19, 'فرط ضغط الدم');
INSERT INTO `lang_definitions` VALUES (101785, 4709, 19, 'ضغط الدم: قياس ضغط الدم');
INSERT INTO `lang_definitions` VALUES (101786, 4710, 19, 'ضغط الدم: قياس ضغط الدم (CQM)');
INSERT INTO `lang_definitions` VALUES (101787, 4711, 19, 'فرط الدرقية');
INSERT INTO `lang_definitions` VALUES (101788, 4713, 19, 'قصور الدرقية');
INSERT INTO `lang_definitions` VALUES (101789, 4716, 19, 'إستئصال الرحم');
INSERT INTO `lang_definitions` VALUES (101790, 4718, 19, 'أنا مشغول في هذا الوقت');
INSERT INTO `lang_definitions` VALUES (101791, 4719, 19, 'ليس لدي صلاحية القراءة');
INSERT INTO `lang_definitions` VALUES (101792, 4724, 19, 'التصنيف الدولي للأمراض');
INSERT INTO `lang_definitions` VALUES (101793, 4725, 19, 'التصنيف الدولي العاشر للأمراض: التشخيص');
INSERT INTO `lang_definitions` VALUES (101794, 4726, 19, 'التصنيف الدولي العاشر للأمراض: الإجراءات- الخدمات');
INSERT INTO `lang_definitions` VALUES (101795, 4727, 19, 'التصنيف الدولي للأمراض - الطبعة التاسعة');
INSERT INTO `lang_definitions` VALUES (101796, 4728, 19, 'التصنيف الدولي التاسع للأمراض: التشخيص');
INSERT INTO `lang_definitions` VALUES (101797, 4729, 19, 'التصنيف الدولي التاسع للأمراض: الإجراءات-الخدمات');
INSERT INTO `lang_definitions` VALUES (101798, 4734, 19, 'رقم الهوية');
INSERT INTO `lang_definitions` VALUES (101799, 4736, 19, 'رقم الهوية');
INSERT INTO `lang_definitions` VALUES (101800, 4738, 19, 'رقم الهوية لا يمكن ان يكون فارغاُ');
INSERT INTO `lang_definitions` VALUES (101801, 4739, 19, 'بطاقة الهوية الوطنية');
INSERT INTO `lang_definitions` VALUES (101802, 4742, 19, 'IDays');
INSERT INTO `lang_definitions` VALUES (101803, 4743, 19, 'معرّف ك');
INSERT INTO `lang_definitions` VALUES (101804, 4745, 19, 'معرٍف (كلمة واحدة)');
INSERT INTO `lang_definitions` VALUES (101805, 4746, 19, 'رمز التعرفة');
INSERT INTO `lang_definitions` VALUES (101806, 4747, 19, 'إنتهاء وقت الجلسة بالثواني');
INSERT INTO `lang_definitions` VALUES (101807, 4755, 19, 'أذا كانت كل البيانات من كل الأعمدة مكتملة لهذا النموذج ');
INSERT INTO `lang_definitions` VALUES (101808, 4757, 19, 'أدخل رمز التشخيص لو تم إستخدام تعليل للفوترة');
INSERT INTO `lang_definitions` VALUES (101809, 4763, 19, 'لو تم اﻹدخال, إختر أولئك الذين كانت عندهم الخدمة');
INSERT INTO `lang_definitions` VALUES (101810, 4765, 19, 'لو إسم, اذا اي جزء من اﻷسم سواء اﻷول,اﻷخير');
INSERT INTO `lang_definitions` VALUES (101811, 4770, 19, 'أذا كان الدفع عن طريق');
INSERT INTO `lang_definitions` VALUES (101812, 4771, 19, 'أذاكان الشخص متوفي, ادخل تاريخ الوفاة');
INSERT INTO `lang_definitions` VALUES (101813, 4775, 19, 'لو تم إستخدام SMTP, اسم الخادم او عنوان ال IP');
INSERT INTO `lang_definitions` VALUES (101814, 4776, 19, 'لو تم إستخدام SMTP, رقم فتحة الخادم (عادة رقم 25)');
INSERT INTO `lang_definitions` VALUES (101815, 4803, 19, 'أذاكان غير موظف ادخل طالب');
INSERT INTO `lang_definitions` VALUES (101816, 4805, 19, 'إختر العمر بالسنوات بدلا عن سنه شهر يوم');
INSERT INTO `lang_definitions` VALUES (101817, 4814, 19, 'إذا تم تغيير دور e-RX للوصفة الإلكترونية فإن ذلك سيؤثر على سير العمل, إتصل بندوبهم لمزيد من التفاصيل');
INSERT INTO `lang_definitions` VALUES (101818, 4833, 19, 'إذا كنت إخترت التحويلات المالية الإلكترونية إذا نافذة البحث ستستعرض الفواتير من الملف X12. بإمكانك تغيير اي من هذه الملفات بالضغط عليه قبل الشروع في التحويل');
INSERT INTO `lang_definitions` VALUES (101819, 4836, 19, 'لو أدخلت تاريخا للمرتب فى صفحة البحث فسوف يتفادي المعايير المأخودة من الملف X12 و المتعلقه بتواريخ الدفع. هذة الخاصية مفيدة لأغراض إنشاء التقارير. هذا الإختيار سوف يؤثر على تواريخ الدفوعات السابقه و المتعلقة بالمطالبات الثانوية');
INSERT INTO `lang_definitions` VALUES (101820, 4850, 19, 'إذا كنت تريد تغيير نوعية البيانات أو إضافة أصفف أو أعمدة');
INSERT INTO `lang_definitions` VALUES (101821, 4851, 19, 'إذا كنت تريد ترقية قاعدة البيانات فعليك وضع ملفها المضغوط فى المجلّد التالي');
INSERT INTO `lang_definitions` VALUES (101822, 4854, 19, 'تجاهل');
INSERT INTO `lang_definitions` VALUES (101823, 4856, 19, 'داء');
INSERT INTO `lang_definitions` VALUES (101824, 4857, 19, 'في العضل');
INSERT INTO `lang_definitions` VALUES (101825, 4863, 19, 'خدمات التصوير');
INSERT INTO `lang_definitions` VALUES (101826, 4865, 19, 'التطعيم');
INSERT INTO `lang_definitions` VALUES (101827, 4867, 19, 'رمز التطعيم');
INSERT INTO `lang_definitions` VALUES (101828, 4869, 19, 'تاريخ التطعيم');
INSERT INTO `lang_definitions` VALUES (101829, 4870, 19, 'تاريخ إنتهاء التطعيم');
INSERT INTO `lang_definitions` VALUES (101830, 4872, 19, 'الرقم المصنعي الخاص بالتطعيمة Lot Number');
INSERT INTO `lang_definitions` VALUES (101831, 4873, 19, 'مصنع التطعيمة');
INSERT INTO `lang_definitions` VALUES (101832, 4878, 19, 'سجل التطعيم');
INSERT INTO `lang_definitions` VALUES (101833, 4881, 19, 'تقرير التطعيم');
INSERT INTO `lang_definitions` VALUES (101834, 4882, 19, 'خدمة التطعيم');
INSERT INTO `lang_definitions` VALUES (101835, 4883, 19, 'أسم التطعيم');
INSERT INTO `lang_definitions` VALUES (101836, 4885, 19, 'التطعيمات');
INSERT INTO `lang_definitions` VALUES (101837, 4887, 19, 'حصن');
INSERT INTO `lang_definitions` VALUES (101838, 4888, 19, 'مناعي');
INSERT INTO `lang_definitions` VALUES (101839, 4893, 19, 'زرع');
INSERT INTO `lang_definitions` VALUES (101840, 4894, 19, 'استورد');
INSERT INTO `lang_definitions` VALUES (101841, 4898, 19, 'إستورد الشهادة الي المتصفح');
INSERT INTO `lang_definitions` VALUES (101842, 4899, 19, 'إستورد الإعدادات');
INSERT INTO `lang_definitions` VALUES (101843, 4904, 19, 'إستورد المريض');
INSERT INTO `lang_definitions` VALUES (101844, 4905, 19, 'إستورد ديموجرافيا المريض');
INSERT INTO `lang_definitions` VALUES (101845, 4910, 19, 'رموز مهمة');
INSERT INTO `lang_definitions` VALUES (101846, 4912, 19, 'تحذير مهم: أداة الرفع هذه لرفع الملفات للمرضى الذين لم يتم تسجيلهم في النظام. ولرفع الملفات للمرضى الموجودين مسبقا في النظام, الرجاء استخدام رابط أداة الرفع الموجودة في نافذة المريض الموجزة.');
INSERT INTO `lang_definitions` VALUES (101847, 4914, 19, 'مستوردة من المحاسبة');
INSERT INTO `lang_definitions` VALUES (101848, 4920, 19, 'تحسن');
INSERT INTO `lang_definitions` VALUES (101849, 4922, 19, 'داخل');
INSERT INTO `lang_definitions` VALUES (101850, 4923, 19, 'داخل');
INSERT INTO `lang_definitions` VALUES (101851, 4931, 19, 'في كل عين');
INSERT INTO `lang_definitions` VALUES (101852, 4934, 19, 'في العين اليسرى');
INSERT INTO `lang_definitions` VALUES (101853, 4935, 19, 'فتحة الأنف');
INSERT INTO `lang_definitions` VALUES (101854, 4936, 19, 'في المكتب');
INSERT INTO `lang_definitions` VALUES (101855, 4947, 19, 'في العين اليمنى');
INSERT INTO `lang_definitions` VALUES (101856, 4958, 19, 'في المنزل');
INSERT INTO `lang_definitions` VALUES (101857, 4960, 19, 'خامل');
INSERT INTO `lang_definitions` VALUES (101858, 4965, 19, 'أيام خاملة');
INSERT INTO `lang_definitions` VALUES (101859, 4967, 19, 'الصندوق');
INSERT INTO `lang_definitions` VALUES (101860, 4970, 19, 'اشمل Checksum');
INSERT INTO `lang_definitions` VALUES (101861, 4971, 19, 'ادراج المكتمل');
INSERT INTO `lang_definitions` VALUES (101862, 4974, 19, 'ادراج المستخدمين الغير نشطيين');
INSERT INTO `lang_definitions` VALUES (101863, 4975, 19, 'ادراج الغير مصنف');
INSERT INTO `lang_definitions` VALUES (101864, 4976, 19, 'ادراج البيانات الغير منظمة');
INSERT INTO `lang_definitions` VALUES (101865, 4977, 19, 'ادراج العلامات الحيوية');
INSERT INTO `lang_definitions` VALUES (101866, 4978, 19, 'ادارج بيانات العلامات الحيوية؟');
INSERT INTO `lang_definitions` VALUES (101867, 4981, 19, 'إشتمال');
INSERT INTO `lang_definitions` VALUES (101868, 4982, 19, 'الدخل');
INSERT INTO `lang_definitions` VALUES (101869, 4984, 19, 'غير كامل');
INSERT INTO `lang_definitions` VALUES (101870, 4985, 19, 'علاج إجهاض غير مكتمل');
INSERT INTO `lang_definitions` VALUES (101871, 4986, 19, 'سلس البول');
INSERT INTO `lang_definitions` VALUES (101872, 4987, 19, 'ادمج نتائج التحاليل الطبية مع تقنية EHR المعتمدة كبيانات مؤسسة');
INSERT INTO `lang_definitions` VALUES (101873, 4988, 19, 'كلمة السر غير صحيحة!');
INSERT INTO `lang_definitions` VALUES (101874, 4990, 19, 'زيادة :');
INSERT INTO `lang_definitions` VALUES (101875, 4991, 19, 'تعويض التأمين');
INSERT INTO `lang_definitions` VALUES (101876, 4994, 19, 'غير معروف');
INSERT INTO `lang_definitions` VALUES (101877, 4995, 19, 'هندي');
INSERT INTO `lang_definitions` VALUES (101878, 4998, 19, 'يدل علي المرض/ العلّة');
INSERT INTO `lang_definitions` VALUES (101879, 5000, 19, 'نوه اذا كانت المشكلة حاليا نشطة');
INSERT INTO `lang_definitions` VALUES (101880, 5002, 19, 'مؤشر للإستخدام المتخصص');
INSERT INTO `lang_definitions` VALUES (101881, 5003, 19, 'مريض معوز');
INSERT INTO `lang_definitions` VALUES (101882, 5004, 19, 'تقارير المرضى المعوزين');
INSERT INTO `lang_definitions` VALUES (101883, 5005, 19, 'المعوزين');
INSERT INTO `lang_definitions` VALUES (101884, 5010, 19, 'إجهاض محرض');
INSERT INTO `lang_definitions` VALUES (101885, 5012, 19, 'غير مؤهل');
INSERT INTO `lang_definitions` VALUES (101886, 5013, 19, 'عدوى / خراج');
INSERT INTO `lang_definitions` VALUES (101887, 5014, 19, 'عدوى');
INSERT INTO `lang_definitions` VALUES (101888, 5015, 19, 'مشورات العقم');
INSERT INTO `lang_definitions` VALUES (101889, 5016, 19, 'العقم');
INSERT INTO `lang_definitions` VALUES (101890, 5017, 19, 'انفلونزا 1');
INSERT INTO `lang_definitions` VALUES (101891, 5018, 19, 'انفلونزا 2');
INSERT INTO `lang_definitions` VALUES (101892, 5019, 19, 'تطعييم انفلونزا للمرضي اكبر من او يساوي 50 عاما');
INSERT INTO `lang_definitions` VALUES (101893, 5020, 19, 'تطعييم انفلونزا للمرضي اكبر من او يساوي 50 عاما (CQM)');
INSERT INTO `lang_definitions` VALUES (101894, 5021, 19, 'لقاح الإنفلونزا');
INSERT INTO `lang_definitions` VALUES (101895, 5022, 19, 'معلومات');
INSERT INTO `lang_definitions` VALUES (101896, 5023, 19, 'إختبار المعلومه 1');
INSERT INTO `lang_definitions` VALUES (101897, 5024, 19, 'إختبار المعلومه 2');
INSERT INTO `lang_definitions` VALUES (101898, 5025, 19, 'إختبار المعلومه 3');
INSERT INTO `lang_definitions` VALUES (101899, 5026, 19, 'إختبار المعلومه 4');
INSERT INTO `lang_definitions` VALUES (101900, 5027, 19, 'إختبار المعلومه 5');
INSERT INTO `lang_definitions` VALUES (101901, 5028, 19, 'إختبار المعلومه 6');
INSERT INTO `lang_definitions` VALUES (101902, 5034, 19, 'إستنشاق');
INSERT INTO `lang_definitions` VALUES (101903, 5036, 19, 'إستنشاق');
INSERT INTO `lang_definitions` VALUES (101904, 5039, 19, 'المستخدم الأول');
INSERT INTO `lang_definitions` VALUES (101905, 5041, 19, 'تلقيح/ تأهيل');
INSERT INTO `lang_definitions` VALUES (101906, 5042, 19, 'الحقن');
INSERT INTO `lang_definitions` VALUES (101907, 5043, 19, 'حقنة');
INSERT INTO `lang_definitions` VALUES (101908, 5044, 19, 'اجزاء الجسم المصابة');
INSERT INTO `lang_definitions` VALUES (101909, 5045, 19, 'قسم الجروح الخارجي');
INSERT INTO `lang_definitions` VALUES (101910, 5046, 19, 'إصابة');
INSERT INTO `lang_definitions` VALUES (101911, 5047, 19, 'كيفية الإصابة');
INSERT INTO `lang_definitions` VALUES (101912, 5048, 19, 'تقرير موجز الإصابة');
INSERT INTO `lang_definitions` VALUES (101913, 5049, 19, 'مراقية الإصابات');
INSERT INTO `lang_definitions` VALUES (101914, 5050, 19, 'نوع الإصابة');
INSERT INTO `lang_definitions` VALUES (101915, 5051, 19, 'متعلق بالمرض/الإصابة');
INSERT INTO `lang_definitions` VALUES (101916, 5055, 19, 'الإدخال غير مبتدئ بمقطع MSH');
INSERT INTO `lang_definitions` VALUES (101917, 5056, 19, 'حقول الإدخال');
INSERT INTO `lang_definitions` VALUES (101918, 5057, 19, 'إختبار تخثر الدم بناء علي وقت البروثرومبن');
INSERT INTO `lang_definitions` VALUES (101919, 5058, 19, 'تأمين 1');
INSERT INTO `lang_definitions` VALUES (101920, 5059, 19, 'تأمين 2 او تأمين 3');
INSERT INTO `lang_definitions` VALUES (101921, 5060, 19, 'عنوان التأمين');
INSERT INTO `lang_definitions` VALUES (101922, 5061, 19, 'تعديل التأمين');
INSERT INTO `lang_definitions` VALUES (101923, 5062, 19, 'تحزيم التأمين');
INSERT INTO `lang_definitions` VALUES (101924, 5063, 19, 'كود التأمين');
INSERT INTO `lang_definitions` VALUES (101925, 5064, 19, 'مجموعة التأمين');
INSERT INTO `lang_definitions` VALUES (101926, 5065, 19, 'إسم التأمين');
INSERT INTO `lang_definitions` VALUES (101927, 5066, 19, 'دفع زيادة التأمين');
INSERT INTO `lang_definitions` VALUES (101928, 5067, 19, 'بوليصه التأمين');
INSERT INTO `lang_definitions` VALUES (101929, 5068, 19, 'إرجاع التأمين');
INSERT INTO `lang_definitions` VALUES (101930, 5069, 19, 'ملخص التأمين');
INSERT INTO `lang_definitions` VALUES (101931, 5071, 19, 'تأمين 1');
INSERT INTO `lang_definitions` VALUES (101932, 5072, 19, 'تأمين 2');
INSERT INTO `lang_definitions` VALUES (101933, 5073, 19, 'تأمين 3');
INSERT INTO `lang_definitions` VALUES (101934, 5075, 19, 'فشلت الإضافة');
INSERT INTO `lang_definitions` VALUES (101935, 5079, 19, 'أضف الأحداث القديمة في جداول');
INSERT INTO `lang_definitions` VALUES (101936, 5085, 19, 'أرق');
INSERT INTO `lang_definitions` VALUES (101937, 5086, 19, 'فحص السجل');
INSERT INTO `lang_definitions` VALUES (101938, 5087, 19, 'تفتيش');
INSERT INTO `lang_definitions` VALUES (101939, 5088, 19, 'غير ثابت/ خلع جزئي');
INSERT INTO `lang_definitions` VALUES (101940, 5089, 19, 'تثبيت');
INSERT INTO `lang_definitions` VALUES (101941, 5090, 19, 'تثبيت');
INSERT INTO `lang_definitions` VALUES (101942, 5093, 19, 'تثبيت قاعدة البيانات');
INSERT INTO `lang_definitions` VALUES (101943, 5100, 19, 'النسخة المثبتة');
INSERT INTO `lang_definitions` VALUES (101944, 5102, 19, 'أرشد');
INSERT INTO `lang_definitions` VALUES (101945, 5103, 19, 'تعليمات');
INSERT INTO `lang_definitions` VALUES (101946, 5105, 19, 'تعليمات :');
INSERT INTO `lang_definitions` VALUES (101947, 5107, 19, 'بضاعة غير كافية للمنتج 1ا الهوية');
INSERT INTO `lang_definitions` VALUES (101948, 5108, 19, 'السكري المعتمد على الإنسولين');
INSERT INTO `lang_definitions` VALUES (101949, 5109, 19, 'تأمين');
INSERT INTO `lang_definitions` VALUES (101950, 5110, 19, 'تأمين');
INSERT INTO `lang_definitions` VALUES (101951, 5114, 19, 'رصيد حساب التأمين');
INSERT INTO `lang_definitions` VALUES (101952, 5115, 19, 'رصيد حساب التامين المستحق');
INSERT INTO `lang_definitions` VALUES (101953, 5116, 19, 'شركة التأمين');
INSERT INTO `lang_definitions` VALUES (101954, 5117, 19, 'شركات التأمين');
INSERT INTO `lang_definitions` VALUES (101955, 5118, 19, 'شركة التأمين');
INSERT INTO `lang_definitions` VALUES (101956, 5119, 19, 'بحث/ إضافة شركة تأمين');
INSERT INTO `lang_definitions` VALUES (101957, 5121, 19, 'تاريخ التأمين');
INSERT INTO `lang_definitions` VALUES (101958, 5124, 19, 'معلومات التأمين في الملف');
INSERT INTO `lang_definitions` VALUES (101959, 5126, 19, 'رقم التأمين');
INSERT INTO `lang_definitions` VALUES (101960, 5127, 19, 'مدفوعات التأمين');
INSERT INTO `lang_definitions` VALUES (101961, 5128, 19, 'دفوعات التامين');
INSERT INTO `lang_definitions` VALUES (101962, 5129, 19, 'شركة تأمين');
INSERT INTO `lang_definitions` VALUES (101963, 5131, 19, 'انواع التامين');
INSERT INTO `lang_definitions` VALUES (101964, 5132, 19, 'التامينات');
INSERT INTO `lang_definitions` VALUES (101965, 5133, 19, 'مؤمن');
INSERT INTO `lang_definitions` VALUES (101966, 5134, 19, 'مجمل التناول');
INSERT INTO `lang_definitions` VALUES (101967, 5135, 19, 'تاريخ التناول');
INSERT INTO `lang_definitions` VALUES (101968, 5138, 19, 'إنخفاض فكري');
INSERT INTO `lang_definitions` VALUES (101969, 5149, 19, 'خطأ داخلي - لم يتم تحديد الصفحات !');
INSERT INTO `lang_definitions` VALUES (101970, 5150, 19, 'خطأ داخلي - لم يتم توفير رقم المريض !');
INSERT INTO `lang_definitions` VALUES (101971, 5151, 19, 'خطأ داخلي في الوصول الى الملف المحمل !');
INSERT INTO `lang_definitions` VALUES (101972, 5153, 19, 'خطأ داخلي');
INSERT INTO `lang_definitions` VALUES (101973, 5154, 19, 'خطأ داخلي لم يتم تحديد رقم الدواء !');
INSERT INTO `lang_definitions` VALUES (101974, 5155, 19, 'خطأ داخلي: لم يعثر علي MSH-10');
INSERT INTO `lang_definitions` VALUES (101975, 5156, 19, 'خطأ داخلي: مطالبة');
INSERT INTO `lang_definitions` VALUES (101976, 5157, 19, 'خطأ داخلي: الزيارة\'');
INSERT INTO `lang_definitions` VALUES (101977, 5158, 19, 'خطأ داخلي: الزيارة او المعرف داخلي مفقود');
INSERT INTO `lang_definitions` VALUES (101978, 5159, 19, 'خطأ داخلي: لا يبدو انك بداخل صفحة الزيارة');
INSERT INTO `lang_definitions` VALUES (101979, 5160, 19, 'معرف داخلي');
INSERT INTO `lang_definitions` VALUES (101980, 5163, 19, 'الإحالات الداخلية');
INSERT INTO `lang_definitions` VALUES (101981, 5164, 19, 'تم جمع الوقت الداخلي');
INSERT INTO `lang_definitions` VALUES (101982, 5165, 19, 'مهمة دولية');
INSERT INTO `lang_definitions` VALUES (101983, 5167, 19, 'مترجم');
INSERT INTO `lang_definitions` VALUES (101984, 5168, 19, 'هل تحتاج الى مترجم؟');
INSERT INTO `lang_definitions` VALUES (101985, 5169, 19, 'الأمراض الخلالية الرئوية');
INSERT INTO `lang_definitions` VALUES (101986, 5170, 19, 'فاصل زمني');
INSERT INTO `lang_definitions` VALUES (101987, 5171, 19, 'فاصل زمني (دقائق)');
INSERT INTO `lang_definitions` VALUES (101988, 5172, 19, 'فاصل زمني بين تفقد الرسائل (اذا كان علي 0 فالتفقد يدوى فقط)');
INSERT INTO `lang_definitions` VALUES (101989, 5173, 19, 'تدخل');
INSERT INTO `lang_definitions` VALUES (101990, 5174, 19, 'تم التدخل');
INSERT INTO `lang_definitions` VALUES (101991, 5175, 19, 'حساسية مفرطة');
INSERT INTO `lang_definitions` VALUES (101992, 5178, 19, 'العضل');
INSERT INTO `lang_definitions` VALUES (101993, 5181, 19, 'وريدي');
INSERT INTO `lang_definitions` VALUES (101994, 5182, 19, 'مقدمة');
INSERT INTO `lang_definitions` VALUES (101995, 5185, 19, 'حرف غير صالح في');
INSERT INTO `lang_definitions` VALUES (101996, 5195, 19, 'الطول غير صالح ل');
INSERT INTO `lang_definitions` VALUES (101997, 5196, 19, 'رمز غير رقمي في');
INSERT INTO `lang_definitions` VALUES (101998, 5197, 19, 'الدافع غير صالح او مفقود فى الكود الأساسي');
INSERT INTO `lang_definitions` VALUES (101999, 5199, 19, 'عنوان المتلقي غير صالح. حاول مجددا');
INSERT INTO `lang_definitions` VALUES (102000, 5200, 19, 'رموز خدمة غير صالحة');
INSERT INTO `lang_definitions` VALUES (102001, 5201, 19, 'التوصيف الأساسي غير صالح');
INSERT INTO `lang_definitions` VALUES (102002, 5203, 19, 'أسم المستخدم او الرقم السري غير صالح');
INSERT INTO `lang_definitions` VALUES (102003, 5204, 19, 'كمية المخزون');
INSERT INTO `lang_definitions` VALUES (102004, 5205, 19, 'بيان الجرد');
INSERT INTO `lang_definitions` VALUES (102005, 5206, 19, 'أنشطة الجرد');
INSERT INTO `lang_definitions` VALUES (102006, 5207, 19, 'تخزين و بيع كل البضائع كأدوية و غير أدوية');
INSERT INTO `lang_definitions` VALUES (102007, 5208, 19, 'تخزين و بيع البضائع الدوائية فقط');
INSERT INTO `lang_definitions` VALUES (102008, 5209, 19, 'الجرد غير متوفر لهذا الطلب');
INSERT INTO `lang_definitions` VALUES (102009, 5210, 19, 'قائمة الجرد');
INSERT INTO `lang_definitions` VALUES (102010, 5211, 19, 'تعاملات بيان الجرد');
INSERT INTO `lang_definitions` VALUES (102011, 5212, 19, 'فاتورة');
INSERT INTO `lang_definitions` VALUES (102012, 5213, 19, 'فاتورة');
INSERT INTO `lang_definitions` VALUES (102013, 5215, 19, 'فاتورة باقى الحساب');
INSERT INTO `lang_definitions` VALUES (102014, 5216, 19, 'لا يمكن عرض فاتورة باقى الحساب. الزيارة لم تنشأ بعد');
INSERT INTO `lang_definitions` VALUES (102015, 5217, 19, 'تاريخ الفاتورة');
INSERT INTO `lang_definitions` VALUES (102016, 5219, 19, 'الفاتورة لا تحتوي على تاريخ!');
INSERT INTO `lang_definitions` VALUES (102017, 5220, 19, 'رقم الفاتورة');
INSERT INTO `lang_definitions` VALUES (102018, 5221, 19, 'الرقم المرجعي للفاتورة');
INSERT INTO `lang_definitions` VALUES (102019, 5222, 19, 'جمع الرقم المرجعي للفواتير المستخدمه');
INSERT INTO `lang_definitions` VALUES (102020, 5223, 19, 'جمع الرقم المرجعي للفواتير');
INSERT INTO `lang_definitions` VALUES (102021, 5224, 19, 'مجمع ارقام الإيصالات');
INSERT INTO `lang_definitions` VALUES (102022, 5226, 19, 'فاتورة:');
INSERT INTO `lang_definitions` VALUES (102023, 5237, 19, 'الإتحاد الدولي لتنظيم الأسرة');
INSERT INTO `lang_definitions` VALUES (102024, 5238, 19, 'الإتحاد الدولي لتنظيم الأسرة - الإجهاض');
INSERT INTO `lang_definitions` VALUES (102025, 5239, 19, 'الإتحاد الدولي لتنظيم الأسرة - موانع الحمل');
INSERT INTO `lang_definitions` VALUES (102026, 5240, 19, 'بيانات الإتحاد الدولي لتنظيم الأسرة');
INSERT INTO `lang_definitions` VALUES (102027, 5241, 19, 'الإتحاد الدولي لتنظيم الأسرة - التقرير الإحصائي');
INSERT INTO `lang_definitions` VALUES (102028, 5242, 19, 'احصائيات الإتحاد الدولي لتنظيم الأسرة');
INSERT INTO `lang_definitions` VALUES (102029, 5243, 19, 'تطعيم فيروس البابيلوما 1');
INSERT INTO `lang_definitions` VALUES (102030, 5244, 19, 'تطعيم فيروس البابيلوما 2');
INSERT INTO `lang_definitions` VALUES (102031, 5245, 19, 'تطعيم فيروس البابيلوما 3');
INSERT INTO `lang_definitions` VALUES (102032, 5246, 19, 'تطعيم فيروس البابيلوما 4');
INSERT INTO `lang_definitions` VALUES (102033, 5249, 19, 'ضربات قلب غير منتظمة');
INSERT INTO `lang_definitions` VALUES (102034, 5250, 19, 'التهيج المفرط');
INSERT INTO `lang_definitions` VALUES (102035, 5251, 19, 'تهيج');
INSERT INTO `lang_definitions` VALUES (102036, 5252, 19, 'نسخه للغه مختلفه من قاعدت البيانات التاليه');
INSERT INTO `lang_definitions` VALUES (102037, 5253, 19, 'نسخه مختلفه من قاعدت البيانات التاليه');
INSERT INTO `lang_definitions` VALUES (102038, 5254, 19, 'اصدار احدث من قاعده البيانات التاليه');
INSERT INTO `lang_definitions` VALUES (102039, 5256, 19, 'خانه مطلوبه');
INSERT INTO `lang_definitions` VALUES (102040, 5257, 19, 'عقدة أساسية و لا يمكن مسحها');
INSERT INTO `lang_definitions` VALUES (102041, 5258, 19, 'امتداد لقاعده البيانات التاليه');
INSERT INTO `lang_definitions` VALUES (102042, 5263, 19, 'في غير موضعة او غير معروف');
INSERT INTO `lang_definitions` VALUES (102043, 5268, 19, 'غير صالح (الكسور العشرية مقبولة)');
INSERT INTO `lang_definitions` VALUES (102044, 5269, 19, 'هل يستخدم ال PHP الوضع الامن؟');
INSERT INTO `lang_definitions` VALUES (102045, 5273, 19, 'هل سيتم ترجمة النص من توزيعة الطلب؟');
INSERT INTO `lang_definitions` VALUES (102046, 5274, 19, 'هل سيتم ترجمة النص من القوائم؟');
INSERT INTO `lang_definitions` VALUES (102047, 5275, 19, 'هل الملف مشفر؟');
INSERT INTO `lang_definitions` VALUES (102048, 5276, 19, 'هل هذا رمز لمصطلح طبي؟');
INSERT INTO `lang_definitions` VALUES (102049, 5277, 19, 'هل هذا نوع التشخيص؟');
INSERT INTO `lang_definitions` VALUES (102050, 5278, 19, 'هل هذا نوع من ترميز المشاكل الطبية ؟');
INSERT INTO `lang_definitions` VALUES (102051, 5280, 19, 'هل هذا نوع عملية / خدمة ؟');
INSERT INTO `lang_definitions` VALUES (102052, 5281, 19, 'هل هذا نشط ؟');
INSERT INTO `lang_definitions` VALUES (102053, 5282, 19, 'هل نوع الترميز هذا نشط ؟');
INSERT INTO `lang_definitions` VALUES (102054, 5283, 19, 'هل هذا الرمز مستخدم فى المطالبات؟');
INSERT INTO `lang_definitions` VALUES (102055, 5286, 19, 'هل هذا النوع مخبأ فى صحيفة الرسوم؟');
INSERT INTO `lang_definitions` VALUES (102056, 5287, 19, 'هل يتم استخدام جداول sql خارجية؟ لو نعم اذا إختر الصيغة');
INSERT INTO `lang_definitions` VALUES (102057, 5288, 19, 'طويل للغاية');
INSERT INTO `lang_definitions` VALUES (102058, 5290, 19, 'مشكلة');
INSERT INTO `lang_definitions` VALUES (102059, 5291, 19, 'مشكلة');
INSERT INTO `lang_definitions` VALUES (102060, 5292, 19, 'تاريخ المشكلة');
INSERT INTO `lang_definitions` VALUES (102061, 5293, 19, 'رقم الإصدار');
INSERT INTO `lang_definitions` VALUES (102062, 5295, 19, 'أسم المشكلة');
INSERT INTO `lang_definitions` VALUES (102063, 5296, 19, 'نوع المشكلة');
INSERT INTO `lang_definitions` VALUES (102064, 5297, 19, 'أنواع المشاكل');
INSERT INTO `lang_definitions` VALUES (102065, 5298, 19, 'مشاكل');
INSERT INTO `lang_definitions` VALUES (102066, 5299, 19, 'مشاكل ( إصابات/ صحي/حساسية)');
INSERT INTO `lang_definitions` VALUES (102067, 5300, 19, 'مشاكل ( إصابات/ صحي/حساسية) :');
INSERT INTO `lang_definitions` VALUES (102068, 5302, 19, 'المشاكل والزيارات');
INSERT INTO `lang_definitions` VALUES (102069, 5303, 19, 'المشاكل والزيارات لــ');
INSERT INTO `lang_definitions` VALUES (102070, 5308, 19, 'المشاكل غير مصرح بها');
INSERT INTO `lang_definitions` VALUES (102071, 5309, 19, 'قسم المشاكل');
INSERT INTO `lang_definitions` VALUES (102072, 5364, 19, 'إيطالي');
INSERT INTO `lang_definitions` VALUES (102073, 5365, 19, 'بند');
INSERT INTO `lang_definitions` VALUES (102074, 5366, 19, 'بند');
INSERT INTO `lang_definitions` VALUES (102075, 5368, 19, 'بنود');
INSERT INTO `lang_definitions` VALUES (102076, 5369, 19, 'تعثر تحميل البنود');
INSERT INTO `lang_definitions` VALUES (102077, 5370, 19, 'وحدة دولية لكل ليتر');
INSERT INTO `lang_definitions` VALUES (102078, 5371, 19, 'الجهاز الواقي داخل الرحم');
INSERT INTO `lang_definitions` VALUES (102079, 5372, 19, 'العلاج عن طريق الوريد');
INSERT INTO `lang_definitions` VALUES (102080, 5375, 19, 'يناير/كانون الثاني');
INSERT INTO `lang_definitions` VALUES (102081, 5376, 19, 'يناير/كانون الثاني');
INSERT INTO `lang_definitions` VALUES (102082, 5377, 19, 'ياباني');
INSERT INTO `lang_definitions` VALUES (102083, 5378, 19, 'شعور الإشمئزاز');
INSERT INTO `lang_definitions` VALUES (102084, 5380, 19, 'وصف الوظيفة');
INSERT INTO `lang_definitions` VALUES (102085, 5381, 19, 'رقم الوظيفة');
INSERT INTO `lang_definitions` VALUES (102086, 5382, 19, 'خلع المفصل');
INSERT INTO `lang_definitions` VALUES (102087, 5383, 19, 'ألم المفصل');
INSERT INTO `lang_definitions` VALUES (102088, 5384, 19, 'خلع ناقص للمفصل');
INSERT INTO `lang_definitions` VALUES (102089, 5385, 19, 'يوليو/تموز');
INSERT INTO `lang_definitions` VALUES (102090, 5386, 19, 'يوليو/تموز');
INSERT INTO `lang_definitions` VALUES (102091, 5388, 19, 'يونيو/حزيران');
INSERT INTO `lang_definitions` VALUES (102092, 5389, 19, 'يونيو/حزيران');
INSERT INTO `lang_definitions` VALUES (102093, 5390, 19, 'أدخل كلمات البحث فى المنطقة الزرقاء ادناه. يمكنك البحث بإسم المريض, تاريخ الزيارة, رقم الإيصال او رقم المخطط');
INSERT INTO `lang_definitions` VALUES (102094, 5391, 19, 'خاص بي فقط');
INSERT INTO `lang_definitions` VALUES (102095, 5392, 19, 'مبررات الإدخالات');
INSERT INTO `lang_definitions` VALUES (102096, 5393, 19, 'يبرر');
INSERT INTO `lang_definitions` VALUES (102097, 5396, 19, 'برر/إحفظ');
INSERT INTO `lang_definitions` VALUES (102098, 5397, 19, 'J{{Justify Header}}');
INSERT INTO `lang_definitions` VALUES (102099, 5398, 19, 'حسناَ اليك البقية');
INSERT INTO `lang_definitions` VALUES (102100, 5407, 19, 'مفتاح');
INSERT INTO `lang_definitions` VALUES (102101, 5411, 19, 'مفردات الكلمات');
INSERT INTO `lang_definitions` VALUES (102102, 5412, 19, 'كجم');
INSERT INTO `lang_definitions` VALUES (102103, 5413, 19, 'كجم لكل متر مربع');
INSERT INTO `lang_definitions` VALUES (102104, 5415, 19, 'سرطان الكلية');
INSERT INTO `lang_definitions` VALUES (102105, 5416, 19, 'فشل كلوي');
INSERT INTO `lang_definitions` VALUES (102106, 5417, 19, 'إلتهاب كلوي');
INSERT INTO `lang_definitions` VALUES (102107, 5418, 19, 'حصوات الكلى');
INSERT INTO `lang_definitions` VALUES (102108, 5419, 19, 'زرع الكلى');
INSERT INTO `lang_definitions` VALUES (102109, 5425, 19, 'ركبة');
INSERT INTO `lang_definitions` VALUES (102110, 5426, 19, 'مشاكل الركبة');
INSERT INTO `lang_definitions` VALUES (102111, 5427, 19, 'إستبدال الركبة');
INSERT INTO `lang_definitions` VALUES (102112, 5430, 19, 'كوري');
INSERT INTO `lang_definitions` VALUES (102113, 5434, 19, 'مختبر');
INSERT INTO `lang_definitions` VALUES (102114, 5436, 19, 'عنوان موقع تبادل المعمل');
INSERT INTO `lang_definitions` VALUES (102115, 5437, 19, 'رقم هوية موقع تبادل المعمل');
INSERT INTO `lang_definitions` VALUES (102116, 5438, 19, 'عنوان علامة تبادل المعمل');
INSERT INTO `lang_definitions` VALUES (102117, 5442, 19, 'حالة إستعلام المختبر');
INSERT INTO `lang_definitions` VALUES (102118, 5444, 19, 'تقرير المختبر');
INSERT INTO `lang_definitions` VALUES (102119, 5445, 19, 'نتيجة المختبر');
INSERT INTO `lang_definitions` VALUES (102120, 5446, 19, 'نتائج المختبر');
INSERT INTO `lang_definitions` VALUES (102121, 5449, 19, 'تقرير نتائج المختبر');
INSERT INTO `lang_definitions` VALUES (102122, 5450, 19, 'خدمات المختبر');
INSERT INTO `lang_definitions` VALUES (102123, 5451, 19, 'نتائج التحليل');
INSERT INTO `lang_definitions` VALUES (102124, 5453, 19, 'ملصق');
INSERT INTO `lang_definitions` VALUES (102125, 5454, 19, 'الملصق لا يمكن أن يكون فارغاً');
INSERT INTO `lang_definitions` VALUES (102126, 5455, 19, 'عمدان الملصقات');
INSERT INTO `lang_definitions` VALUES (102127, 5456, 19, 'ملصق لهذا النوع');
INSERT INTO `lang_definitions` VALUES (102128, 5458, 19, 'عمدان الملصقات يجب أن تكون مابين 1 الي 999');
INSERT INTO `lang_definitions` VALUES (102129, 5459, 19, 'ملصقات');
INSERT INTO `lang_definitions` VALUES (102130, 5463, 19, 'مختبرات');
INSERT INTO `lang_definitions` VALUES (102131, 5464, 19, 'تمزق/ حالة جلدية');
INSERT INTO `lang_definitions` VALUES (102132, 5465, 19, 'تمزق/كشط');
INSERT INTO `lang_definitions` VALUES (102133, 5471, 19, 'لغة');
INSERT INTO `lang_definitions` VALUES (102134, 5472, 19, 'رقم اللغة');
INSERT INTO `lang_definitions` VALUES (102135, 5473, 19, 'تم إضافه تعريف اللغة');
INSERT INTO `lang_definitions` VALUES (102136, 5474, 19, 'أداة واجهة اللغة');
INSERT INTO `lang_definitions` VALUES (102137, 5476, 19, 'قائمة اللغات (اكتب,الزيادة اختيارية)');
INSERT INTO `lang_definitions` VALUES (102138, 5478, 19, 'أسم اللغة');
INSERT INTO `lang_definitions` VALUES (102139, 5479, 19, 'اللغة:');
INSERT INTO `lang_definitions` VALUES (102140, 5481, 19, 'لاوس');
INSERT INTO `lang_definitions` VALUES (102141, 5485, 19, 'آخر');
INSERT INTO `lang_definitions` VALUES (102142, 5486, 19, 'تاريخ أخر نشاط');
INSERT INTO `lang_definitions` VALUES (102143, 5489, 19, 'تاريخ اخر فاتورة:');
INSERT INTO `lang_definitions` VALUES (102144, 5491, 19, 'تقويم السنة الماضية');
INSERT INTO `lang_definitions` VALUES (102145, 5495, 19, 'اخر زيارة');
INSERT INTO `lang_definitions` VALUES (102146, 5502, 19, 'المستوي الإخير الذى تم اصدار فاتورة له');
INSERT INTO `lang_definitions` VALUES (102147, 5506, 19, 'الشهر الماضي');
INSERT INTO `lang_definitions` VALUES (102148, 5507, 19, 'اللقب');
INSERT INTO `lang_definitions` VALUES (102149, 5508, 19, 'اللقب');
INSERT INTO `lang_definitions` VALUES (102150, 5513, 19, 'اللقب:');
INSERT INTO `lang_definitions` VALUES (102151, 5517, 19, 'اخر مراجعة');
INSERT INTO `lang_definitions` VALUES (102152, 5518, 19, 'أخر تشغيلة بدأت من');
INSERT INTO `lang_definitions` VALUES (102153, 5519, 19, 'اخر حفظ');
INSERT INTO `lang_definitions` VALUES (102154, 5525, 19, 'اخر تحديث بواسطة');
INSERT INTO `lang_definitions` VALUES (102155, 5526, 19, 'اخر تحقق في');
INSERT INTO `lang_definitions` VALUES (102156, 5527, 19, 'اخر زيارة');
INSERT INTO `lang_definitions` VALUES (102157, 5530, 19, 'اخر تجدد حدوث العرض (شهرين الى 12 شهر)');
INSERT INTO `lang_definitions` VALUES (102158, 5531, 19, 'الكعب الوحشي');
INSERT INTO `lang_definitions` VALUES (102159, 5532, 19, 'الكعب الوحشي :');
INSERT INTO `lang_definitions` VALUES (102160, 5533, 19, 'التجانب');
INSERT INTO `lang_definitions` VALUES (102161, 5534, 19, 'تجانب هذة العملية, لو قابل للتطبيق');
INSERT INTO `lang_definitions` VALUES (102162, 5535, 19, 'تغير نقطة اقصي ضربات القلب');
INSERT INTO `lang_definitions` VALUES (102163, 5549, 19, 'معتمد علي التخطيط');
INSERT INTO `lang_definitions` VALUES (102164, 5551, 19, 'محرر التخطيط');
INSERT INTO `lang_definitions` VALUES (102165, 5552, 19, 'مجموعات التخطيط');
INSERT INTO `lang_definitions` VALUES (102166, 5556, 19, 'اسلوب التخطيط');
INSERT INTO `lang_definitions` VALUES (102167, 5558, 19, 'طلبات الزيارة المعتمدة على التخطيط');
INSERT INTO `lang_definitions` VALUES (102168, 5559, 19, 'المخططات');
INSERT INTO `lang_definitions` VALUES (102169, 5560, 19, 'رطل');
INSERT INTO `lang_definitions` VALUES (102170, 5563, 19, 'ارطال');
INSERT INTO `lang_definitions` VALUES (102171, 5571, 19, 'الكلستيرول قليل الكثافة');
INSERT INTO `lang_definitions` VALUES (102172, 5573, 19, 'اتركه فارغا لو كان نشطا');
INSERT INTO `lang_definitions` VALUES (102173, 5574, 19, 'اتركه فارغا لإستبقاء الإسم الأصلي');
INSERT INTO `lang_definitions` VALUES (102174, 5575, 19, 'اتركه فارغا لإستبقاء كلمة السر الأصلية');
INSERT INTO `lang_definitions` VALUES (102175, 5580, 19, 'اترك رسالة مع');
INSERT INTO `lang_definitions` VALUES (102176, 5582, 19, 'اترك النموذج');
INSERT INTO `lang_definitions` VALUES (102177, 5583, 19, 'ترك عبارة السر فارغة لن يشفر الوثيقة');
INSERT INTO `lang_definitions` VALUES (102178, 5586, 19, 'يسار');
INSERT INTO `lang_definitions` VALUES (102179, 5589, 19, 'الأذن اليسرى');
INSERT INTO `lang_definitions` VALUES (102180, 5590, 19, 'الأذن اليسرى');
INSERT INTO `lang_definitions` VALUES (102181, 5599, 19, 'يسار:');
INSERT INTO `lang_definitions` VALUES (102182, 5600, 19, 'يسار:');
INSERT INTO `lang_definitions` VALUES (102183, 5601, 19, 'ألم بالساق / تشنج');
INSERT INTO `lang_definitions` VALUES (102184, 5602, 19, 'قانوني');
INSERT INTO `lang_definitions` VALUES (102185, 5604, 19, 'حجم الورقة القانوني');
INSERT INTO `lang_definitions` VALUES (102186, 5605, 19, 'علامة فارقة:');
INSERT INTO `lang_definitions` VALUES (102187, 5606, 19, 'طول');
INSERT INTO `lang_definitions` VALUES (102188, 5607, 19, 'طول المُعدل, 0 لو لا يوجد');
INSERT INTO `lang_definitions` VALUES (102189, 5608, 19, 'عدسه');
INSERT INTO `lang_definitions` VALUES (102190, 5609, 19, 'نوع العدسه');
INSERT INTO `lang_definitions` VALUES (102191, 5610, 19, 'خيارات نوع العدسه');
INSERT INTO `lang_definitions` VALUES (102192, 5611, 19, 'سمك العدسه');
INSERT INTO `lang_definitions` VALUES (102193, 5613, 19, 'أقل من');
INSERT INTO `lang_definitions` VALUES (102194, 5614, 19, 'أقل من أو يساوي');
INSERT INTO `lang_definitions` VALUES (102195, 5615, 19, 'معلومات قليلة الخصوصية (اكتب, الإضافه إختيارية)');
INSERT INTO `lang_definitions` VALUES (102196, 5620, 19, 'رسالة');
INSERT INTO `lang_definitions` VALUES (102197, 5621, 19, 'مكون الرسالة');
INSERT INTO `lang_definitions` VALUES (102198, 5622, 19, 'حجم ورقة الرسالة');
INSERT INTO `lang_definitions` VALUES (102199, 5623, 19, 'الرسالة التي يوقعها الطبيب');
INSERT INTO `lang_definitions` VALUES (102200, 5624, 19, 'الرسالة التي يوقعها المريض');
INSERT INTO `lang_definitions` VALUES (102201, 5627, 19, 'مستوي العجلة');
INSERT INTO `lang_definitions` VALUES (102202, 5630, 19, 'مسئولية');
INSERT INTO `lang_definitions` VALUES (102203, 5631, 19, 'مسئولية طبية');
INSERT INTO `lang_definitions` VALUES (102204, 5633, 19, 'الرخصة/الهوية');
INSERT INTO `lang_definitions` VALUES (102205, 5639, 19, 'الإسم الأخير للطبيب المرخص');
INSERT INTO `lang_definitions` VALUES (102206, 5640, 19, 'رقم الترخيص للطبيب المرخص');
INSERT INTO `lang_definitions` VALUES (102207, 5641, 19, 'رقم الترخيص العالمي للطبيب المرخص');
INSERT INTO `lang_definitions` VALUES (102208, 5644, 19, 'اسلوب الحياة');
INSERT INTO `lang_definitions` VALUES (102209, 5646, 19, 'حالة اسلوب الحياة');
INSERT INTO `lang_definitions` VALUES (102210, 5647, 19, 'تمزق او تهتك الرباط');
INSERT INTO `lang_definitions` VALUES (102211, 5648, 19, 'مدخن خفيف');
INSERT INTO `lang_definitions` VALUES (102212, 5651, 19, 'حدود الأحداث');
INSERT INTO `lang_definitions` VALUES (102213, 5654, 19, 'حدود');
INSERT INTO `lang_definitions` VALUES (102214, 5657, 19, 'وصلة');
INSERT INTO `lang_definitions` VALUES (102215, 5658, 19, 'وصلة للمريض');
INSERT INTO `lang_definitions` VALUES (102216, 5660, 19, 'تم التوصيل');
INSERT INTO `lang_definitions` VALUES (102217, 5661, 19, 'وثيقة موصولة');
INSERT INTO `lang_definitions` VALUES (102218, 5662, 19, 'طلب إجراء موصول');
INSERT INTO `lang_definitions` VALUES (102219, 5663, 19, 'تم التوصيل للوثيقة');
INSERT INTO `lang_definitions` VALUES (102220, 5664, 19, 'تم التوصيل لطلب الإجراء');
INSERT INTO `lang_definitions` VALUES (102221, 5665, 19, 'قائمة');
INSERT INTO `lang_definitions` VALUES (102222, 5666, 19, 'صندوق قائمة');
INSERT INTO `lang_definitions` VALUES (102223, 5667, 19, 'صندوق قائمة');
INSERT INTO `lang_definitions` VALUES (102224, 5668, 19, 'صندوق قائمة مع الزيادة');
INSERT INTO `lang_definitions` VALUES (102225, 5669, 19, 'صندوق قائمة مع الزيادة');
INSERT INTO `lang_definitions` VALUES (102226, 5671, 19, 'محرر القائمة');
INSERT INTO `lang_definitions` VALUES (102227, 5672, 19, 'زيارات القائمة');
INSERT INTO `lang_definitions` VALUES (102228, 5674, 19, 'مجموعات القائمة');
INSERT INTO `lang_definitions` VALUES (102229, 5675, 19, 'قائمة شركات التأمين');
INSERT INTO `lang_definitions` VALUES (102230, 5677, 19, 'قائمة البنود لا يمكن أن تبدأ برقم');
INSERT INTO `lang_definitions` VALUES (102231, 5678, 19, 'قائمة البنود تحتوي علي احرف غير قانونية');
INSERT INTO `lang_definitions` VALUES (102232, 5680, 19, 'قائمة القوائم');
INSERT INTO `lang_definitions` VALUES (102233, 5682, 19, 'قائمة الإسم');
INSERT INTO `lang_definitions` VALUES (102234, 5683, 19, 'لا يمكن أن تبدأ برقم');
INSERT INTO `lang_definitions` VALUES (102235, 5688, 19, 'قائمة الوصفات');
INSERT INTO `lang_definitions` VALUES (102236, 5689, 19, 'اختيار قائمة بيانات الدولة المستخدمة أعلاه');
INSERT INTO `lang_definitions` VALUES (102237, 5690, 19, 'اختيار قائمة بيانات الولاية المستخدمة أعلاه');
INSERT INTO `lang_definitions` VALUES (102238, 5691, 19, 'يتم الإستماع الى المنفذ RFC 5425 TLS');
INSERT INTO `lang_definitions` VALUES (102239, 5693, 19, 'قوائم');
INSERT INTO `lang_definitions` VALUES (102240, 5695, 19, 'لثواني');
INSERT INTO `lang_definitions` VALUES (102241, 5696, 19, 'حب الحياة');
INSERT INTO `lang_definitions` VALUES (102242, 5701, 19, 'LLL:');
INSERT INTO `lang_definitions` VALUES (102243, 5707, 19, 'اخر دورة شهرية');
INSERT INTO `lang_definitions` VALUES (102244, 5708, 19, 'حمّل الخلاصة');
INSERT INTO `lang_definitions` VALUES (102245, 5709, 19, 'حمّل التعريفات');
INSERT INTO `lang_definitions` VALUES (102246, 5711, 19, 'حمّل إعدادات المختير');
INSERT INTO `lang_definitions` VALUES (102247, 5712, 19, 'حمّل إختيارات الأسئلة OE');
INSERT INTO `lang_definitions` VALUES (102248, 5713, 19, 'حمّل تعريفات الأوامر');
INSERT INTO `lang_definitions` VALUES (102249, 5714, 19, 'حمّل أسئلة ترتيب الإدخال');
INSERT INTO `lang_definitions` VALUES (102250, 5717, 19, 'جاري التحميل');
INSERT INTO `lang_definitions` VALUES (102251, 5721, 19, 'جاري تحميل الملفات الي قاعدة البيانات. سيأخذ هذا بعض الوقت...');
INSERT INTO `lang_definitions` VALUES (102252, 5723, 19, 'الموقع');
INSERT INTO `lang_definitions` VALUES (102253, 5724, 19, 'محلي');
INSERT INTO `lang_definitions` VALUES (102254, 5728, 19, 'موضع');
INSERT INTO `lang_definitions` VALUES (102255, 5729, 19, 'بيئة');
INSERT INTO `lang_definitions` VALUES (102256, 5730, 19, 'الموقع');
INSERT INTO `lang_definitions` VALUES (102257, 5731, 19, 'موقع حاسوب البرنامج و يمكن أن تحتوي علي معلومات حساسة و لذلك ينصح بحذفها يدوياَ بعد الإستخدام');
INSERT INTO `lang_definitions` VALUES (102258, 5732, 19, 'موقع هذة البضاعة');
INSERT INTO `lang_definitions` VALUES (102259, 5733, 19, 'لم يتم تحيدي الموقع');
INSERT INTO `lang_definitions` VALUES (102260, 5734, 19, 'موقع تخزين Hylafax للفاكس');
INSERT INTO `lang_definitions` VALUES (102261, 5735, 19, 'موقع تخزين المسح الضوئي');
INSERT INTO `lang_definitions` VALUES (102262, 5736, 19, 'الموقع:');
INSERT INTO `lang_definitions` VALUES (102263, 5737, 19, 'قفل');
INSERT INTO `lang_definitions` VALUES (102264, 5745, 19, 'تسجيل الدخول');
INSERT INTO `lang_definitions` VALUES (102265, 5746, 19, 'تسجيل الدخول');
INSERT INTO `lang_definitions` VALUES (102266, 5749, 19, 'تسجيل خروج');
INSERT INTO `lang_definitions` VALUES (102267, 5752, 19, 'تم الدخول');
INSERT INTO `lang_definitions` VALUES (102268, 5753, 19, 'تسجيل الدخول كـ');
INSERT INTO `lang_definitions` VALUES (102269, 5754, 19, 'تسجيل الدخول كــ :');
INSERT INTO `lang_definitions` VALUES (102270, 5755, 19, 'تم الخروج');
INSERT INTO `lang_definitions` VALUES (102271, 5756, 19, 'يتم الدخول');
INSERT INTO `lang_definitions` VALUES (102272, 5757, 19, 'الولوج');
INSERT INTO `lang_definitions` VALUES (102273, 5758, 19, 'الولوج');
INSERT INTO `lang_definitions` VALUES (102274, 5763, 19, 'الولوج الي المستضيف القاصي');
INSERT INTO `lang_definitions` VALUES (102275, 5764, 19, 'فشل الولوج الي المستضيف القاصي');
INSERT INTO `lang_definitions` VALUES (102276, 5768, 19, 'الخروج');
INSERT INTO `lang_definitions` VALUES (102277, 5769, 19, 'الخروج');
INSERT INTO `lang_definitions` VALUES (102278, 5770, 19, 'السجلات');
INSERT INTO `lang_definitions` VALUES (102279, 5771, 19, 'متصفح السجلات');
INSERT INTO `lang_definitions` VALUES (102280, 5776, 19, 'البحث عن');
INSERT INTO `lang_definitions` VALUES (102281, 5777, 19, 'بضاعة بالجملة');
INSERT INTO `lang_definitions` VALUES (102282, 5778, 19, 'رقم هوية بضاعة بالجملة مفقود');
INSERT INTO `lang_definitions` VALUES (102283, 5779, 19, 'رقم بضاعة بالجملة');
INSERT INTO `lang_definitions` VALUES (102284, 5780, 19, 'منخفض');
INSERT INTO `lang_definitions` VALUES (102285, 5781, 19, 'ذا اهمية منخفضة');
INSERT INTO `lang_definitions` VALUES (102286, 5782, 19, 'الرجل السفلي');
INSERT INTO `lang_definitions` VALUES (102287, 5784, 19, 'اقل أهمية');
INSERT INTO `lang_definitions` VALUES (102288, 5791, 19, 'الفقرات القطنية');
INSERT INTO `lang_definitions` VALUES (102289, 5792, 19, 'وجبة الغداء');
INSERT INTO `lang_definitions` VALUES (102290, 5793, 19, 'وجبة الغداء');
INSERT INTO `lang_definitions` VALUES (102291, 5794, 19, 'سرطان الرئة');
INSERT INTO `lang_definitions` VALUES (102292, 5795, 19, 'جراحة لسرطان الرئة');
INSERT INTO `lang_definitions` VALUES (102293, 5796, 19, 'الرئتين:');
INSERT INTO `lang_definitions` VALUES (102294, 5797, 19, 'الرئتين:');
INSERT INTO `lang_definitions` VALUES (102295, 5798, 19, 'الذئبة');
INSERT INTO `lang_definitions` VALUES (102296, 5804, 19, 'م');
INSERT INTO `lang_definitions` VALUES (102297, 5805, 19, 'تصنيف الإجهاض الطبي');
INSERT INTO `lang_definitions` VALUES (102298, 5806, 19, 'عميل الإجهاض الطبي يقبل الإجهاض');
INSERT INTO `lang_definitions` VALUES (102299, 5807, 19, 'معطيات الإجهاض الطبي');
INSERT INTO `lang_definitions` VALUES (102300, 5812, 19, 'تم إرسال البريد');
INSERT INTO `lang_definitions` VALUES (102301, 5814, 19, 'رئيسي');
INSERT INTO `lang_definitions` VALUES (102302, 5815, 19, 'العنوان الرئيسي');
INSERT INTO `lang_definitions` VALUES (102303, 5821, 19, 'النافذة العلوية الرئيسية من الشاشة');
INSERT INTO `lang_definitions` VALUES (102304, 5824, 19, 'أبق على قائمة أدوية الحساسية قيد الإستعمال');
INSERT INTO `lang_definitions` VALUES (102305, 5825, 19, 'أبق على الأدوية قيد الإستعمال');
INSERT INTO `lang_definitions` VALUES (102306, 5826, 19, 'أبق على قائمة المشاكل للتشخيص الحالي النشط');
INSERT INTO `lang_definitions` VALUES (102307, 5827, 19, 'اضافة تعديلات على القوائم الحالية');
INSERT INTO `lang_definitions` VALUES (102308, 5828, 19, 'إجراء موعد جديد ل');
INSERT INTO `lang_definitions` VALUES (102309, 5831, 19, 'كن متأكداَ');
INSERT INTO `lang_definitions` VALUES (102310, 5832, 19, 'جارى تكوين مجموعة ملفات نصية للرفع الي شركة التأمين و سيتم تصنيفها كمفوترة');
INSERT INTO `lang_definitions` VALUES (102311, 5834, 19, 'وعكة-شعور بالضيق');
INSERT INTO `lang_definitions` VALUES (102312, 5837, 19, 'ذكر');
INSERT INTO `lang_definitions` VALUES (102313, 5838, 19, 'واقي ذكري');
INSERT INTO `lang_definitions` VALUES (102314, 5839, 19, 'عقم جراحي اختياري للذكور');
INSERT INTO `lang_definitions` VALUES (102315, 5841, 19, 'صورة شعاعية للثدي');
INSERT INTO `lang_definitions` VALUES (102316, 5842, 19, 'أدار');
INSERT INTO `lang_definitions` VALUES (102317, 5850, 19, 'ادارة الترجمة');
INSERT INTO `lang_definitions` VALUES (102318, 5851, 19, 'أدارة');
INSERT INTO `lang_definitions` VALUES (102319, 5854, 19, 'اجباري وحقول محددة');
INSERT INTO `lang_definitions` VALUES (102320, 5855, 19, 'اجباري او حقول محددة, اعادة تأكد بدون بحث');
INSERT INTO `lang_definitions` VALUES (102321, 5856, 19, 'اجباري او حقول محددة, بحث و اعادة تأكيد');
INSERT INTO `lang_definitions` VALUES (102322, 5859, 19, 'دليل الإستخدام');
INSERT INTO `lang_definitions` VALUES (102323, 5860, 19, 'إرسال يدوي');
INSERT INTO `lang_definitions` VALUES (102324, 5864, 19, 'مُصنّع');
INSERT INTO `lang_definitions` VALUES (102325, 5870, 19, 'مارس/اذار');
INSERT INTO `lang_definitions` VALUES (102326, 5874, 19, 'مارس/اذار');
INSERT INTO `lang_definitions` VALUES (102327, 5877, 19, 'الحالة الشخصية');
INSERT INTO `lang_definitions` VALUES (102328, 5880, 19, 'ضع علامة الفوترة لكن لا تفوتر');
INSERT INTO `lang_definitions` VALUES (102329, 5881, 19, 'ضع علامة كخالص');
INSERT INTO `lang_definitions` VALUES (102330, 5882, 19, 'ضع علامة كعدم مفوتر');
INSERT INTO `lang_definitions` VALUES (102331, 5885, 19, 'ضع علامة كمقروء على التقارير');
INSERT INTO `lang_definitions` VALUES (102332, 5886, 19, 'ضع علامة كخالص');
INSERT INTO `lang_definitions` VALUES (102333, 5887, 19, 'متزوج');
INSERT INTO `lang_definitions` VALUES (102334, 5889, 19, 'أخفي');
INSERT INTO `lang_definitions` VALUES (102335, 5890, 19, 'أخفي أرقام الإيصال');
INSERT INTO `lang_definitions` VALUES (102336, 5891, 19, 'أخفي رقم هوية المريض');
INSERT INTO `lang_definitions` VALUES (102337, 5892, 19, 'أخفي رقم هوية المنتج');
INSERT INTO `lang_definitions` VALUES (102338, 5894, 19, 'وفق');
INSERT INTO `lang_definitions` VALUES (102339, 5895, 19, 'وفق الحالة');
INSERT INTO `lang_definitions` VALUES (102340, 5896, 19, 'وجدت الحاله');
INSERT INTO `lang_definitions` VALUES (102341, 5907, 19, 'الأقصي');
INSERT INTO `lang_definitions` VALUES (102342, 5910, 19, 'تم التوصل الي أقصي حد للملفات - قم بإعادة الأسماء ادناه');
INSERT INTO `lang_definitions` VALUES (102343, 5912, 19, 'الفَكِّ العُلْوِيِّ‎ الأيمن');
INSERT INTO `lang_definitions` VALUES (102344, 5913, 19, 'الحد الأقصى للعمر');
INSERT INTO `lang_definitions` VALUES (102345, 5914, 19, 'الحد الأقصى للرموز');
INSERT INTO `lang_definitions` VALUES (102346, 5917, 19, 'وقت الخمول الأقصي المسموح به قبل الخروج.الحد الافتراضي هو 7200 (ساعتين)');
INSERT INTO `lang_definitions` VALUES (102347, 5920, 19, 'الحد الأقصي للجرد, 0 لو قابل للتطبيق');
INSERT INTO `lang_definitions` VALUES (102348, 5921, 19, 'المقاس الأقصى المسموح به');
INSERT INTO `lang_definitions` VALUES (102349, 5922, 19, 'المقاس الأقصى المسموح به (إدخال صفر سيسمح بأي مقاس)');
INSERT INTO `lang_definitions` VALUES (102350, 5924, 19, 'مايو/أيار');
INSERT INTO `lang_definitions` VALUES (102351, 5926, 19, 'ميكرو');
INSERT INTO `lang_definitions` VALUES (102352, 5927, 19, 'ميكروجرام');
INSERT INTO `lang_definitions` VALUES (102353, 5929, 19, 'يعني ان أياَ من كلمات السر الثلاثة السابقة غير مسموح بها');
INSERT INTO `lang_definitions` VALUES (102354, 5931, 19, 'قياس رمز المجموعة');
INSERT INTO `lang_definitions` VALUES (102355, 5933, 19, 'قياسات');
INSERT INTO `lang_definitions` VALUES (102356, 5939, 19, 'الكَعْبُ الإِنْسِيّ');
INSERT INTO `lang_definitions` VALUES (102357, 5940, 19, 'ميديكايد');
INSERT INTO `lang_definitions` VALUES (102358, 5942, 19, 'طبي');
INSERT INTO `lang_definitions` VALUES (102359, 5943, 19, 'إجهاض الطبي');
INSERT INTO `lang_definitions` VALUES (102360, 5944, 19, 'الأدارة الطبية');
INSERT INTO `lang_definitions` VALUES (102361, 5946, 19, 'التاريخ الطبي');
INSERT INTO `lang_definitions` VALUES (102362, 5947, 19, 'مشكلة طبية');
INSERT INTO `lang_definitions` VALUES (102363, 5948, 19, 'مشكلة طبية');
INSERT INTO `lang_definitions` VALUES (102364, 5951, 19, 'المشكلة المرضية');
INSERT INTO `lang_definitions` VALUES (102365, 5952, 19, 'المشكلة المرضية');
INSERT INTO `lang_definitions` VALUES (102366, 5953, 19, 'قائمة المشاكل الطبية');
INSERT INTO `lang_definitions` VALUES (102367, 5954, 19, 'المشاكل الطبية');
INSERT INTO `lang_definitions` VALUES (102368, 5956, 19, 'الملف الطبي');
INSERT INTO `lang_definitions` VALUES (102369, 5957, 19, 'رقم الملف الطبي');
INSERT INTO `lang_definitions` VALUES (102370, 5959, 19, 'الملفات الطبية');
INSERT INTO `lang_definitions` VALUES (102371, 5961, 19, 'تم إرسال الملفات الطبية');
INSERT INTO `lang_definitions` VALUES (102372, 5963, 19, 'تم إعطاء ملخص عن الحالة الطبية');
INSERT INTO `lang_definitions` VALUES (102373, 5964, 19, 'النظام الطبي');
INSERT INTO `lang_definitions` VALUES (102374, 5965, 19, 'النوع الطبي');
INSERT INTO `lang_definitions` VALUES (102375, 5966, 19, 'التاريخ/الطبي (اكتب، اﻹضافه اختيارية)');
INSERT INTO `lang_definitions` VALUES (102376, 5968, 19, 'ميديكير الجزء الثانى');
INSERT INTO `lang_definitions` VALUES (102377, 5969, 19, 'المحول لميديكير هو المخلص');
INSERT INTO `lang_definitions` VALUES (102378, 5970, 19, 'الأدوية');
INSERT INTO `lang_definitions` VALUES (102379, 5971, 19, 'قائمة الحساسية من الأدوية');
INSERT INTO `lang_definitions` VALUES (102380, 5972, 19, 'قائمة المشاكل من الأدوية');
INSERT INTO `lang_definitions` VALUES (102381, 5973, 19, 'قائمة الأدوية');
INSERT INTO `lang_definitions` VALUES (102382, 5974, 19, 'مراجعة الأدوية مع الأوامر العلاجية والمريض');
INSERT INTO `lang_definitions` VALUES (102383, 5975, 19, 'الأدوية');
INSERT INTO `lang_definitions` VALUES (102384, 5978, 19, 'الأدوية:');
INSERT INTO `lang_definitions` VALUES (102385, 5979, 19, 'وحدات الدواء');
INSERT INTO `lang_definitions` VALUES (102386, 5980, 19, 'متوسط');
INSERT INTO `lang_definitions` VALUES (102387, 5984, 19, 'تقرير إحصائى عن متعلقات العضو');
INSERT INTO `lang_definitions` VALUES (102388, 5986, 19, 'مشكلة في الذاكرة');
INSERT INTO `lang_definitions` VALUES (102389, 5987, 19, 'رجال');
INSERT INTO `lang_definitions` VALUES (102390, 5988, 19, 'رجال ونساء');
INSERT INTO `lang_definitions` VALUES (102391, 5989, 19, 'رجال فقط');
INSERT INTO `lang_definitions` VALUES (102392, 5990, 19, 'بَدْءُ الإِحَاضَة‎');
INSERT INTO `lang_definitions` VALUES (102393, 5991, 19, 'إنقطاع الطمث');
INSERT INTO `lang_definitions` VALUES (102394, 5992, 19, 'الدورة الشهرية');
INSERT INTO `lang_definitions` VALUES (102395, 5993, 19, 'تكرار الطمث');
INSERT INTO `lang_definitions` VALUES (102396, 5994, 19, 'اضْطِرابٌ نَفْسِي‎');
INSERT INTO `lang_definitions` VALUES (102397, 6001, 19, 'دمج');
INSERT INTO `lang_definitions` VALUES (102398, 6002, 19, 'إكتمال الدمج');
INSERT INTO `lang_definitions` VALUES (102399, 6003, 19, 'دمج المرضى');
INSERT INTO `lang_definitions` VALUES (102400, 6005, 19, 'رسالة-خطاب');
INSERT INTO `lang_definitions` VALUES (102401, 6006, 19, 'مركز الرسائل والتنبيهات');
INSERT INTO `lang_definitions` VALUES (102402, 6009, 19, 'محتويات الرسالة ليست خطيه بسيطة و لذلك تم تخزينها كوثيقة');
INSERT INTO `lang_definitions` VALUES (102403, 6012, 19, 'تم إرسال الرسالة');
INSERT INTO `lang_definitions` VALUES (102404, 6013, 19, 'حالة الرسالة');
INSERT INTO `lang_definitions` VALUES (102405, 6017, 19, 'نوعية الرسالة');
INSERT INTO `lang_definitions` VALUES (102406, 6018, 19, 'الرسالة:');
INSERT INTO `lang_definitions` VALUES (102407, 6019, 19, 'الرسائل');
INSERT INTO `lang_definitions` VALUES (102408, 6022, 19, 'الرسائل المرسلة اليوم');
INSERT INTO `lang_definitions` VALUES (102409, 6026, 19, 'الطريقة');
INSERT INTO `lang_definitions` VALUES (102410, 6027, 19, 'الطريقة ومنتج معين');
INSERT INTO `lang_definitions` VALUES (102411, 6029, 19, 'طريقة إرسال ايميل');
INSERT INTO `lang_definitions` VALUES (102412, 6030, 19, 'طريقة اﻻتلاف');
INSERT INTO `lang_definitions` VALUES (102413, 6031, 19, 'مكسيكي/ميكسيكي امريكى');
INSERT INTO `lang_definitions` VALUES (102414, 6038, 19, 'ملى جرام');
INSERT INTO `lang_definitions` VALUES (102415, 6039, 19, 'ملى جرام لكل 1 سى سى');
INSERT INTO `lang_definitions` VALUES (102416, 6040, 19, 'ملى جرام لكل 2 سى سى');
INSERT INTO `lang_definitions` VALUES (102417, 6041, 19, 'ملى جرام لكل 3 سى سى');
INSERT INTO `lang_definitions` VALUES (102418, 6042, 19, 'ملى جرام لكل 4 سى سى');
INSERT INTO `lang_definitions` VALUES (102419, 6043, 19, 'ملى جرام لكل 5 سى سى');
INSERT INTO `lang_definitions` VALUES (102420, 6044, 19, 'ملى جرام/ ديسى ليتر');
INSERT INTO `lang_definitions` VALUES (102421, 6046, 19, 'أوسط');
INSERT INTO `lang_definitions` VALUES (102422, 6047, 19, 'الأسم الأوسط');
INSERT INTO `lang_definitions` VALUES (102423, 6048, 19, 'الأسم الأوسط');
INSERT INTO `lang_definitions` VALUES (102424, 6051, 19, 'واصف دوائي مخدر متوسط المستوي');
INSERT INTO `lang_definitions` VALUES (102425, 6052, 19, 'الإسم الأول للواصف الدوائي متوسط المستوي');
INSERT INTO `lang_definitions` VALUES (102426, 6053, 19, 'الإسم الأخير للواصف الدوائي متوسط المستوي');
INSERT INTO `lang_definitions` VALUES (102427, 6055, 19, 'بادئة الواصف الدوائي متوسط المستوي');
INSERT INTO `lang_definitions` VALUES (102428, 6056, 19, 'رقم ممارسه المهنة العالمي للواصف الدوائي متوسط المستوي');
INSERT INTO `lang_definitions` VALUES (102429, 6061, 19, 'المظهر');
INSERT INTO `lang_definitions` VALUES (102430, 6062, 19, 'مهاجر او عامل موسمى؟');
INSERT INTO `lang_definitions` VALUES (102431, 6064, 19, 'مهاجر / موسمى');
INSERT INTO `lang_definitions` VALUES (102432, 6065, 19, 'مليون لكل مم مربع');
INSERT INTO `lang_definitions` VALUES (102433, 6070, 19, 'MimeType');
INSERT INTO `lang_definitions` VALUES (102434, 6071, 19, 'اﻻقل');
INSERT INTO `lang_definitions` VALUES (102435, 6072, 19, 'اﻻقل');
INSERT INTO `lang_definitions` VALUES (102436, 6077, 19, 'أقل سن');
INSERT INTO `lang_definitions` VALUES (102437, 6080, 19, 'اجهاد مفصل طفيف +/- التهاب زﻻلي');
INSERT INTO `lang_definitions` VALUES (102438, 6082, 19, 'دقيقة');
INSERT INTO `lang_definitions` VALUES (102439, 6083, 19, 'دقائق');
INSERT INTO `lang_definitions` VALUES (102440, 6084, 19, 'دقائق');
INSERT INTO `lang_definitions` VALUES (102441, 6086, 19, 'متنوع');
INSERT INTO `lang_definitions` VALUES (102442, 6087, 19, 'إختيارات فوترة متنوعة');
INSERT INTO `lang_definitions` VALUES (102443, 6088, 19, 'إختيارات فوترة متنوعة HCFA-1500');
INSERT INTO `lang_definitions` VALUES (102444, 6089, 19, 'إختيارات فوترة متنوعة HCFA');
INSERT INTO `lang_definitions` VALUES (102445, 6090, 19, 'متنوع');
INSERT INTO `lang_definitions` VALUES (102446, 6092, 19, 'لم يتم إدراكه');
INSERT INTO `lang_definitions` VALUES (102447, 6093, 19, 'مفقود');
INSERT INTO `lang_definitions` VALUES (102448, 6094, 19, 'حقل مطلوب ناقص');
INSERT INTO `lang_definitions` VALUES (102449, 6097, 19, 'مصروفات مفقودة');
INSERT INTO `lang_definitions` VALUES (102450, 6100, 19, 'مفقودى الإداريين فقط');
INSERT INTO `lang_definitions` VALUES (102451, 6101, 19, 'مفقود او غير صالح');
INSERT INTO `lang_definitions` VALUES (102452, 6103, 19, 'رقم الهوية الشخصية مفقود');
INSERT INTO `lang_definitions` VALUES (102453, 6104, 19, 'تاريخ التقرير مفقود');
INSERT INTO `lang_definitions` VALUES (102454, 6105, 19, 'رمز الشرطه مفقود بعد الدافع فى الكود الأصلي');
INSERT INTO `lang_definitions` VALUES (102455, 6111, 19, 'مخلط');
INSERT INTO `lang_definitions` VALUES (102456, 6113, 19, 'مل');
INSERT INTO `lang_definitions` VALUES (102457, 6114, 19, 'شهر/يوم/سنة');
INSERT INTO `lang_definitions` VALUES (102458, 6115, 19, 'مم من الزئبق');
INSERT INTO `lang_definitions` VALUES (102459, 6116, 19, 'مم زئبقي');
INSERT INTO `lang_definitions` VALUES (102460, 6117, 19, 'تطعيم الحصبة, الحصبة الألمانية و النكاف 1');
INSERT INTO `lang_definitions` VALUES (102461, 6118, 19, 'تطعيم الحصبة, الحصبة الألمانية و النكاف 2');
INSERT INTO `lang_definitions` VALUES (102462, 6120, 19, 'متحرك');
INSERT INTO `lang_definitions` VALUES (102463, 6121, 19, 'هاتف نقال');
INSERT INTO `lang_definitions` VALUES (102464, 6125, 19, 'مدير');
INSERT INTO `lang_definitions` VALUES (102465, 6129, 19, 'أهمية متوسطة');
INSERT INTO `lang_definitions` VALUES (102466, 6131, 19, 'أهمية متوسطة الي قليلة');
INSERT INTO `lang_definitions` VALUES (102467, 6133, 19, 'محّور');
INSERT INTO `lang_definitions` VALUES (102468, 6139, 19, 'محّورات');
INSERT INTO `lang_definitions` VALUES (102469, 6140, 19, 'يحّور');
INSERT INTO `lang_definitions` VALUES (102470, 6143, 19, 'يحّور المدفوعات');
INSERT INTO `lang_definitions` VALUES (102471, 6145, 19, 'ModLength');
INSERT INTO `lang_definitions` VALUES (102472, 6153, 19, 'الأثنين');
INSERT INTO `lang_definitions` VALUES (102473, 6154, 19, 'الأثنين الي الجمعه');
INSERT INTO `lang_definitions` VALUES (102474, 6155, 19, 'الأثنين الأربعاء و الجمعه');
INSERT INTO `lang_definitions` VALUES (102475, 6156, 19, 'الأثنين');
INSERT INTO `lang_definitions` VALUES (102476, 6157, 19, 'منغولي');
INSERT INTO `lang_definitions` VALUES (102477, 6160, 19, 'شهر');
INSERT INTO `lang_definitions` VALUES (102478, 6161, 19, 'شهر');
INSERT INTO `lang_definitions` VALUES (102479, 6162, 19, 'رؤية الشهر');
INSERT INTO `lang_definitions` VALUES (102480, 6163, 19, 'الأشهر');
INSERT INTO `lang_definitions` VALUES (102481, 6164, 19, 'الدخل الشهري');
INSERT INTO `lang_definitions` VALUES (102482, 6166, 19, 'اشهر');
INSERT INTO `lang_definitions` VALUES (102483, 6179, 19, 'تم العثور على اكثر من 100 ملف. الرجاء تحديد خصائص البحث اكثر');
INSERT INTO `lang_definitions` VALUES (102484, 6180, 19, 'تم العثور على اكثر من 50 ملف. الرجاء تحديد خصائص البحث اكثر');
INSERT INTO `lang_definitions` VALUES (102485, 6184, 19, 'معظم رؤوس الأعمدة يمكنك الظغط عليها لتغيير ترتيب العرض');
INSERT INTO `lang_definitions` VALUES (102486, 6186, 19, 'الأحدث من');
INSERT INTO `lang_definitions` VALUES (102487, 6189, 19, 'اخر تحديث للعلامات الحيوية من:');
INSERT INTO `lang_definitions` VALUES (102488, 6191, 19, 'أسم الأم');
INSERT INTO `lang_definitions` VALUES (102489, 6195, 19, 'فم');
INSERT INTO `lang_definitions` VALUES (102490, 6196, 19, 'أنقل');
INSERT INTO `lang_definitions` VALUES (102491, 6197, 19, 'نقل الوثيقة الى القائمة');
INSERT INTO `lang_definitions` VALUES (102492, 6198, 19, 'أنقل الى الأسفل');
INSERT INTO `lang_definitions` VALUES (102493, 6199, 19, 'فشل النقل');
INSERT INTO `lang_definitions` VALUES (102494, 6201, 19, 'أنقل الى المريض');
INSERT INTO `lang_definitions` VALUES (102495, 6202, 19, 'أنقل الى');
INSERT INTO `lang_definitions` VALUES (102496, 6203, 19, 'أنقل الى اعلى');
INSERT INTO `lang_definitions` VALUES (102497, 6204, 19, 'يتم النقل');
INSERT INTO `lang_definitions` VALUES (102498, 6209, 19, 'السيد');
INSERT INTO `lang_definitions` VALUES (102499, 6211, 19, 'رقم السجّل الصحي');
INSERT INTO `lang_definitions` VALUES (102500, 6215, 19, 'السيدة');
INSERT INTO `lang_definitions` VALUES (102501, 6217, 19, 'اﻻنسة');
INSERT INTO `lang_definitions` VALUES (102502, 6218, 19, 'علوم الإدارة الصحية 11');
INSERT INTO `lang_definitions` VALUES (102503, 6219, 19, 'علوم الإدارة الصحية 3.1');
INSERT INTO `lang_definitions` VALUES (102504, 6220, 19, 'علوم الإدارة الصحية 4.1');
INSERT INTO `lang_definitions` VALUES (102505, 6221, 19, 'علوم الإدارة الصحية 5.1');
INSERT INTO `lang_definitions` VALUES (102506, 6222, 19, 'علوم الإدارة الصحية 6.1');
INSERT INTO `lang_definitions` VALUES (102507, 6226, 19, 'رمز خطة الرعاية الصحّية');
INSERT INTO `lang_definitions` VALUES (102508, 6227, 19, 'رمز إسترجاع تأمين خطة الرعاية الصحّية');
INSERT INTO `lang_definitions` VALUES (102509, 6230, 19, 'أداة متعددة اللغات');
INSERT INTO `lang_definitions` VALUES (102510, 6234, 19, 'عدة مناطق');
INSERT INTO `lang_definitions` VALUES (102511, 6236, 19, 'بإمكان ترفيع عدة ملفات بنفس الوقت وذلك بإختارهم مستخدما CTRL+Click او SHIFT+Click.');
INSERT INTO `lang_definitions` VALUES (102512, 6237, 19, 'بضاعة جمله متعددة');
INSERT INTO `lang_definitions` VALUES (102513, 6238, 19, 'بإمكانك الفصل بين أدوات التحوير بفواصل او مسافات, اربع علي اﻷكثر (M1:M2:M3:M4)');
INSERT INTO `lang_definitions` VALUES (102514, 6242, 19, 'متعدد الأعراق');
INSERT INTO `lang_definitions` VALUES (102515, 6243, 19, 'نَفْخَة:');
INSERT INTO `lang_definitions` VALUES (102516, 6244, 19, 'ألم العضلة');
INSERT INTO `lang_definitions` VALUES (102517, 6245, 19, 'ألام عضلية');
INSERT INTO `lang_definitions` VALUES (102518, 6246, 19, 'احمرار العضلة');
INSERT INTO `lang_definitions` VALUES (102519, 6247, 19, 'تصلب العضلة');
INSERT INTO `lang_definitions` VALUES (102520, 6248, 19, 'تورم العضلة');
INSERT INTO `lang_definitions` VALUES (102521, 6249, 19, 'سخونه العضلة');
INSERT INTO `lang_definitions` VALUES (102522, 6250, 19, 'عضلة');
INSERT INTO `lang_definitions` VALUES (102523, 6251, 19, 'إصابة عضلية');
INSERT INTO `lang_definitions` VALUES (102524, 6252, 19, 'عضلي هيكلي');
INSERT INTO `lang_definitions` VALUES (102525, 6256, 19, 'يجب ان يكون خاليا اذا لم تستخدم التأكد من SMTP');
INSERT INTO `lang_definitions` VALUES (102526, 6259, 19, 'معّرف بالإجماع');
INSERT INTO `lang_definitions` VALUES (102527, 6260, 19, 'اﻹجهاض بالشفط اليدوي');
INSERT INTO `lang_definitions` VALUES (102528, 6267, 19, 'أنا');
INSERT INTO `lang_definitions` VALUES (102529, 6271, 19, 'غير متاح');
INSERT INTO `lang_definitions` VALUES (102530, 6272, 19, 'غير متاح');
INSERT INTO `lang_definitions` VALUES (102531, 6274, 19, 'الأسم');
INSERT INTO `lang_definitions` VALUES (102532, 6276, 19, 'الأسم ( اضغط لرؤية المزيد )');
INSERT INTO `lang_definitions` VALUES (102533, 6278, 19, 'الأسم 1');
INSERT INTO `lang_definitions` VALUES (102534, 6279, 19, 'الأسم 2');
INSERT INTO `lang_definitions` VALUES (102535, 6280, 19, 'اسم و توصيف مدير التطعيمات');
INSERT INTO `lang_definitions` VALUES (102536, 6284, 19, 'أسماء الأحداث');
INSERT INTO `lang_definitions` VALUES (102537, 6285, 19, 'أسم شركة التأمين');
INSERT INTO `lang_definitions` VALUES (102538, 6286, 19, 'أسم مقدم الخدمة');
INSERT INTO `lang_definitions` VALUES (102539, 6287, 19, 'أسم مرسل التنبيهات للمريض');
INSERT INTO `lang_definitions` VALUES (102540, 6294, 19, 'ترجمة الأسم');
INSERT INTO `lang_definitions` VALUES (102541, 6295, 19, 'الأسم-القيمة');
INSERT INTO `lang_definitions` VALUES (102542, 6296, 19, 'الأسم :');
INSERT INTO `lang_definitions` VALUES (102543, 6300, 19, 'فتحة اﻷنف:');
INSERT INTO `lang_definitions` VALUES (102544, 6301, 19, 'فتحة اﻷنف: اليمني طبيعية');
INSERT INTO `lang_definitions` VALUES (102545, 6304, 19, 'الغشاء المخاطي للأنف وردي اللون و الحاجز فى المنتصف');
INSERT INTO `lang_definitions` VALUES (102546, 6305, 19, 'ملاحظات اﻷمة');
INSERT INTO `lang_definitions` VALUES (102547, 6308, 19, 'تهيئة ملاحظات اﻷمة');
INSERT INTO `lang_definitions` VALUES (102548, 6309, 19, 'إبدال أزرار ملاحظات اﻷمة');
INSERT INTO `lang_definitions` VALUES (102549, 6310, 19, 'الجنسية');
INSERT INTO `lang_definitions` VALUES (102550, 6311, 19, 'ملاحظات اﻷمة');
INSERT INTO `lang_definitions` VALUES (102551, 6313, 19, 'من هاواي او من سكان جزر المحيط الهادئ');
INSERT INTO `lang_definitions` VALUES (102552, 6319, 19, 'إشمئزاز');
INSERT INTO `lang_definitions` VALUES (102553, 6322, 19, 'إبحار');
INSERT INTO `lang_definitions` VALUES (102554, 6323, 19, 'منطقة الإبحار تشمل طلبات الزيارة');
INSERT INTO `lang_definitions` VALUES (102555, 6324, 19, 'منطقة الإبحار تستخدم الطول الكامل لهيكل الإطار');
INSERT INTO `lang_definitions` VALUES (102556, 6325, 19, 'منطقة إبحار طلبات الزيارة');
INSERT INTO `lang_definitions` VALUES (102557, 6326, 19, 'عرض منطقة الإبحار');
INSERT INTO `lang_definitions` VALUES (102558, 6328, 19, 'قائمة الإبحار تتكون من ازواج لأزرار الراديو');
INSERT INTO `lang_definitions` VALUES (102559, 6329, 19, 'قائمة الإبحار هي منظر شجري');
INSERT INTO `lang_definitions` VALUES (102560, 6330, 19, 'الإبحار يستخدم قائمة منزلقة');
INSERT INTO `lang_definitions` VALUES (102561, 6334, 19, 'رمز الدواء الوطني');
INSERT INTO `lang_definitions` VALUES (102562, 6335, 19, 'بيانات رمز الدواء الوطني');
INSERT INTO `lang_definitions` VALUES (102563, 6336, 19, 'رقم رمز الدواء الوطني');
INSERT INTO `lang_definitions` VALUES (102564, 6348, 19, 'رقبة');
INSERT INTO `lang_definitions` VALUES (102565, 6349, 19, 'مشاكل الرقبة');
INSERT INTO `lang_definitions` VALUES (102566, 6350, 19, 'ليونة الرقبة');
INSERT INTO `lang_definitions` VALUES (102567, 6352, 19, 'تحتاج لإدخال وصف');
INSERT INTO `lang_definitions` VALUES (102568, 6353, 19, 'تحتاج لإدخال قيمة رجعية');
INSERT INTO `lang_definitions` VALUES (102569, 6354, 19, 'تحتاج لإدخال معرّف');
INSERT INTO `lang_definitions` VALUES (102570, 6355, 19, 'تحتاج لإدخال عنوان');
INSERT INTO `lang_definitions` VALUES (102571, 6358, 19, 'تحتاج لتصريح');
INSERT INTO `lang_definitions` VALUES (102572, 6359, 19, 'تحتاج لتعديل الحواف');
INSERT INTO `lang_definitions` VALUES (102573, 6360, 19, 'تحتاج لفوترة ثانوية');
INSERT INTO `lang_definitions` VALUES (102574, 6361, 19, 'سلبي');
INSERT INTO `lang_definitions` VALUES (102575, 6363, 19, 'سلبيات');
INSERT INTO `lang_definitions` VALUES (102576, 6369, 19, 'إصابة عصب');
INSERT INTO `lang_definitions` VALUES (102577, 6371, 19, 'حالة عصبية / تلف عصبي');
INSERT INTO `lang_definitions` VALUES (102578, 6373, 19, 'تخدر الأعصاب');
INSERT INTO `lang_definitions` VALUES (102579, 6374, 19, 'وهن عصبي');
INSERT INTO `lang_definitions` VALUES (102580, 6377, 19, 'عصبي');
INSERT INTO `lang_definitions` VALUES (102581, 6381, 19, 'ابدا');
INSERT INTO `lang_definitions` VALUES (102582, 6382, 19, 'لم يشرب الكحول أبداٌ');
INSERT INTO `lang_definitions` VALUES (102583, 6383, 19, 'لم يدخن ابدا');
INSERT INTO `lang_definitions` VALUES (102584, 6384, 19, 'جديد');
INSERT INTO `lang_definitions` VALUES (102585, 6385, 19, 'جديد =>');
INSERT INTO `lang_definitions` VALUES (102586, 6386, 19, 'مستقبلين جدد');
INSERT INTO `lang_definitions` VALUES (102587, 6388, 19, 'حساسية جديدة');
INSERT INTO `lang_definitions` VALUES (102588, 6390, 19, 'موعد جديد');
INSERT INTO `lang_definitions` VALUES (102589, 6391, 19, 'اصناف جديدة');
INSERT INTO `lang_definitions` VALUES (102590, 6392, 19, 'صنف جديد');
INSERT INTO `lang_definitions` VALUES (102591, 6393, 19, 'عملاء جدد');
INSERT INTO `lang_definitions` VALUES (102592, 6394, 19, 'إستشارة جديدة');
INSERT INTO `lang_definitions` VALUES (102593, 6395, 19, 'حصاد جديد');
INSERT INTO `lang_definitions` VALUES (102594, 6396, 19, 'تمت إضافة مجموعة تعريف جديدة');
INSERT INTO `lang_definitions` VALUES (102595, 6397, 19, 'ملف جديد');
INSERT INTO `lang_definitions` VALUES (102596, 6398, 19, 'ملفات جدد');
INSERT INTO `lang_definitions` VALUES (102597, 6401, 19, 'زيارة جديدة');
INSERT INTO `lang_definitions` VALUES (102598, 6402, 19, 'تم تكوين زيارة جديدة برقم الهوية');
INSERT INTO `lang_definitions` VALUES (102599, 6403, 19, 'استمارة زيارة جديدة');
INSERT INTO `lang_definitions` VALUES (102600, 6404, 19, 'الزيارات الجديدة لم تعتمد');
INSERT INTO `lang_definitions` VALUES (102601, 6405, 19, 'زيارة جديدة');
INSERT INTO `lang_definitions` VALUES (102602, 6406, 19, 'معلومات منشأة جديدة');
INSERT INTO `lang_definitions` VALUES (102603, 6407, 19, 'ملف جديد');
INSERT INTO `lang_definitions` VALUES (102604, 6408, 19, 'ملفات جدد');
INSERT INTO `lang_definitions` VALUES (102605, 6410, 19, 'مجموعة جديدة');
INSERT INTO `lang_definitions` VALUES (102606, 6413, 19, 'معلومات مجموعة جديدة');
INSERT INTO `lang_definitions` VALUES (102607, 6422, 19, 'إصابة جديدة');
INSERT INTO `lang_definitions` VALUES (102608, 6425, 19, 'الحّد الجديد للأحداث');
INSERT INTO `lang_definitions` VALUES (102609, 6426, 19, 'قائمة جديدة');
INSERT INTO `lang_definitions` VALUES (102610, 6432, 19, 'أومر جديدة');
INSERT INTO `lang_definitions` VALUES (102611, 6433, 19, 'فقرة جديدة');
INSERT INTO `lang_definitions` VALUES (102612, 6434, 19, 'كلمة سر جديدة');
INSERT INTO `lang_definitions` VALUES (102613, 6435, 19, 'مريض جديد');
INSERT INTO `lang_definitions` VALUES (102614, 6436, 19, 'مريض جديد');
INSERT INTO `lang_definitions` VALUES (102615, 6437, 19, 'زيارة مريض جديدة');
INSERT INTO `lang_definitions` VALUES (102616, 6438, 19, 'نموذج جديد للمريض');
INSERT INTO `lang_definitions` VALUES (102617, 6439, 19, 'رقم مريض جديد');
INSERT INTO `lang_definitions` VALUES (102618, 6442, 19, 'دفعة جديدة');
INSERT INTO `lang_definitions` VALUES (102619, 6445, 19, 'مريض جديد');
INSERT INTO `lang_definitions` VALUES (102620, 6447, 19, 'نتائج جديدة من شبكة المختبرات لتبادل النتائج');
INSERT INTO `lang_definitions` VALUES (102621, 6448, 19, 'بحث جديد');
INSERT INTO `lang_definitions` VALUES (102622, 6449, 19, 'تسليمات جديدة');
INSERT INTO `lang_definitions` VALUES (102623, 6451, 19, 'مستخدم جديد');
INSERT INTO `lang_definitions` VALUES (102624, 6453, 19, 'زيارة جديدة');
INSERT INTO `lang_definitions` VALUES (102625, 6454, 19, 'جديد/ بحث');
INSERT INTO `lang_definitions` VALUES (102626, 6455, 19, 'حالة حساب NewCrop');
INSERT INTO `lang_definitions` VALUES (102627, 6456, 19, 'مدير NewCrop');
INSERT INTO `lang_definitions` VALUES (102628, 6457, 19, 'فشل استدعاء NewCrop');
INSERT INTO `lang_definitions` VALUES (102629, 6458, 19, 'طبيب NewCrop');
INSERT INTO `lang_definitions` VALUES (102630, 6463, 19, 'اسم NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (102631, 6464, 19, 'اسم زميل NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (102632, 6465, 19, 'كلمة سر NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (102633, 6466, 19, 'دور NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (102634, 6467, 19, 'دور NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (102635, 6468, 19, 'عنوان موقع NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (102636, 6473, 19, 'عنوان مساعدة الانترنت NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (102637, 6474, 19, 'مدير NewCrop');
INSERT INTO `lang_definitions` VALUES (102638, 6475, 19, 'مدخل طبي NewCrop');
INSERT INTO `lang_definitions` VALUES (102639, 6476, 19, 'واصف متوسط المستوي NewCrop');
INSERT INTO `lang_definitions` VALUES (102640, 6477, 19, 'ممرضة NewCrop');
INSERT INTO `lang_definitions` VALUES (102641, 6478, 19, 'طبيب مشرف NewCrop');
INSERT INTO `lang_definitions` VALUES (102642, 6481, 19, 'صحيفة');
INSERT INTO `lang_definitions` VALUES (102643, 6482, 19, 'التالي');
INSERT INTO `lang_definitions` VALUES (102644, 6484, 19, 'اليوم التالي');
INSERT INTO `lang_definitions` VALUES (102645, 6485, 19, 'الشهر القادم');
INSERT INTO `lang_definitions` VALUES (102646, 6486, 19, 'الشهر القادم (انتظر للقائمة)');
INSERT INTO `lang_definitions` VALUES (102647, 6488, 19, 'التشغيل المؤقت التالي');
INSERT INTO `lang_definitions` VALUES (102648, 6491, 19, 'الأسبوع القادم');
INSERT INTO `lang_definitions` VALUES (102649, 6492, 19, 'العام القادم (انتظر للقائمة)');
INSERT INTO `lang_definitions` VALUES (102650, 6494, 19, 'أسم الدلع');
INSERT INTO `lang_definitions` VALUES (102651, 6496, 19, 'تعرق ليلي');
INSERT INTO `lang_definitions` VALUES (102652, 6498, 19, 'ضمن الحدود الطبيعية: الأعضاء التناسلية الخارجية, غشاء المهبل و عنق الرحم');
INSERT INTO `lang_definitions` VALUES (102653, 6499, 19, 'لا');
INSERT INTO `lang_definitions` VALUES (102654, 6500, 19, 'لا');
INSERT INTO `lang_definitions` VALUES (102655, 6502, 19, 'ممنوع الدخول');
INSERT INTO `lang_definitions` VALUES (102656, 6503, 19, 'لا يوجد تذكيرات نشطة للمريض');
INSERT INTO `lang_definitions` VALUES (102657, 6504, 19, 'لا تضخم للغدد (مطلوب منطقتين)');
INSERT INTO `lang_definitions` VALUES (102658, 6505, 19, 'لا يوجد سبب للتعديل');
INSERT INTO `lang_definitions` VALUES (102659, 6506, 19, 'لا الم او كتل متعلق بالمُلْحَقَات');
INSERT INTO `lang_definitions` VALUES (102660, 6509, 19, 'لا يوجد موعد');
INSERT INTO `lang_definitions` VALUES (102661, 6515, 19, 'لا يوجد نظام فوترة نشط');
INSERT INTO `lang_definitions` VALUES (102662, 6516, 19, 'لا توجد فواتير لتشمل فى تصدير OFX');
INSERT INTO `lang_definitions` VALUES (102663, 6517, 19, 'لا توجد فواتير لتشمل فى تصدير OFX');
INSERT INTO `lang_definitions` VALUES (102664, 6519, 19, 'لم يتم تعيين رمز!');
INSERT INTO `lang_definitions` VALUES (102665, 6523, 19, 'لا يوجد تشخيص');
INSERT INTO `lang_definitions` VALUES (102666, 6526, 19, 'لم يتم العثور علي الوثائق');
INSERT INTO `lang_definitions` VALUES (102667, 6527, 19, 'لم نستطع إنشاء زيارة جديدة');
INSERT INTO `lang_definitions` VALUES (102668, 6529, 19, 'لا يوجد تاريخ إنتهاء');
INSERT INTO `lang_definitions` VALUES (102669, 6530, 19, 'لم يتم العثور علي الإدخالات, إستخدم الطلب أدناة لإضافة إدخال');
INSERT INTO `lang_definitions` VALUES (102670, 6531, 19, 'لم يتم العثور على خطأ');
INSERT INTO `lang_definitions` VALUES (102671, 6532, 19, 'لا أحداث');
INSERT INTO `lang_definitions` VALUES (102672, 6534, 19, 'لا توجد ملفات للتثبيت');
INSERT INTO `lang_definitions` VALUES (102673, 6536, 19, 'لم يتم إختيار المجموعة');
INSERT INTO `lang_definitions` VALUES (102674, 6537, 19, 'لا يوجد فتاق');
INSERT INTO `lang_definitions` VALUES (102675, 6540, 19, 'لا يوجد إصابة /مرض');
INSERT INTO `lang_definitions` VALUES (102676, 6541, 19, 'لم يتم العثور عى شركة التأمين');
INSERT INTO `lang_definitions` VALUES (102677, 6544, 19, 'لا يوجد مشاكل');
INSERT INTO `lang_definitions` VALUES (102678, 6545, 19, 'لا يوجد مشاكل في هذه الزياة');
INSERT INTO `lang_definitions` VALUES (102679, 6546, 19, 'لا بنود تحت التصنيف المختار');
INSERT INTO `lang_definitions` VALUES (102680, 6547, 19, 'لم يتم اختيار بنود!');
INSERT INTO `lang_definitions` VALUES (102681, 6562, 19, 'لم يتم العثور عل ملف تسجيل لليوم المختار');
INSERT INTO `lang_definitions` VALUES (102682, 6565, 19, 'لا تكتلات او اﻻم');
INSERT INTO `lang_definitions` VALUES (102683, 6566, 19, 'لم يتم العثور علي مريض متطابق لرمز اعادة التعريف');
INSERT INTO `lang_definitions` VALUES (102684, 6568, 19, 'لم يتم العثور على تطايق,اعد البحث مرة اخرى');
INSERT INTO `lang_definitions` VALUES (102685, 6569, 19, 'لم يتم العثور علي نتائج متطابقة');
INSERT INTO `lang_definitions` VALUES (102686, 6570, 19, 'لم يتم العثور علي نتائج متطابقة. كوّن مريض جديد الان؟');
INSERT INTO `lang_definitions` VALUES (102687, 6571, 19, 'لم يتم العثور علي سجلات متطابقة');
INSERT INTO `lang_definitions` VALUES (102688, 6577, 19, 'لم يتم العثور على نتائج جديدة');
INSERT INTO `lang_definitions` VALUES (102689, 6578, 19, 'لا ملاحظات');
INSERT INTO `lang_definitions` VALUES (102690, 6579, 19, 'لا تضخم للأحشاء او الأعضاء الداخلية');
INSERT INTO `lang_definitions` VALUES (102691, 6580, 19, 'لا فرص مفتوحة لهذة الفترة.');
INSERT INTO `lang_definitions` VALUES (102692, 6583, 19, 'لا يوجد ارقام هاتف اخري مدرجه');
INSERT INTO `lang_definitions` VALUES (102693, 6585, 19, 'لم يتم العثور علي زملاء');
INSERT INTO `lang_definitions` VALUES (102694, 6586, 19, 'لم يتم العثور علي سجل للمريض للمعطيات المختارة');
INSERT INTO `lang_definitions` VALUES (102695, 6587, 19, 'لم يتم العثور علي مريض لرمز اعادة التعريف');
INSERT INTO `lang_definitions` VALUES (102696, 6588, 19, 'لا يوجد اِستِسقاء فى الأطراف');
INSERT INTO `lang_definitions` VALUES (102697, 6589, 19, 'لم يتم العثور على صيدليات');
INSERT INTO `lang_definitions` VALUES (102698, 6590, 19, 'لم يتم العثور على وصفات');
INSERT INTO `lang_definitions` VALUES (102699, 6592, 19, 'لا يوجد مرض حالي / إصابة');
INSERT INTO `lang_definitions` VALUES (102700, 6593, 19, 'لا يوجد مدخلات سابقة');
INSERT INTO `lang_definitions` VALUES (102701, 6594, 19, 'لم يتم إختيار منشأة العمل الرئيسية فى قائمة المنشأت');
INSERT INTO `lang_definitions` VALUES (102702, 6595, 19, 'لا يوجد زيارة سابقة');
INSERT INTO `lang_definitions` VALUES (102703, 6596, 19, 'لا يوجد عمليات في هذه الزيارة');
INSERT INTO `lang_definitions` VALUES (102704, 6598, 19, 'لم يتم العثور على مزودين');
INSERT INTO `lang_definitions` VALUES (102705, 6599, 19, 'لا يوجد طفح جلدي');
INSERT INTO `lang_definitions` VALUES (102706, 6602, 19, 'لك يتم العثور على الملف');
INSERT INTO `lang_definitions` VALUES (102707, 6604, 19, 'لك يتم العثور على الملف. الرجاء توسيع متطلبات البحث');
INSERT INTO `lang_definitions` VALUES (102708, 6607, 19, 'لا يوجد تذكيرات');
INSERT INTO `lang_definitions` VALUES (102709, 6608, 19, 'لم يتم العثور على نتائج لمتطلبات البحث أعلاة');
INSERT INTO `lang_definitions` VALUES (102710, 6609, 19, 'لا توجد نتائج');
INSERT INTO `lang_definitions` VALUES (102711, 6610, 19, 'لم يتم العثور على نتائج');
INSERT INTO `lang_definitions` VALUES (102712, 6612, 19, 'لم يتم العثور على نتائج للبحث');
INSERT INTO `lang_definitions` VALUES (102713, 6613, 19, 'لا يتم العثور على نتائج, الرجاء المحاولة مرة آخرى');
INSERT INTO `lang_definitions` VALUES (102714, 6614, 19, 'لا يوجد نتائج, الرجاء المحاولة مرة آخرى');
INSERT INTO `lang_definitions` VALUES (102715, 6615, 19, 'لا يوجد نتائج, الرجاء المحاولة مرة آخرى');
INSERT INTO `lang_definitions` VALUES (102716, 6618, 19, 'لم يحضر المريض للزيارة');
INSERT INTO `lang_definitions` VALUES (102717, 6622, 19, 'لا إيلامٌ فى الجيوب:');
INSERT INTO `lang_definitions` VALUES (102718, 6623, 19, 'لا تكّور فى الجلد او عقد فى الثدي');
INSERT INTO `lang_definitions` VALUES (102719, 6624, 19, 'لا يوجد مثل سياق الإسم هذا');
INSERT INTO `lang_definitions` VALUES (102720, 6625, 19, 'لم يتم أختيار جدول ! يرجى أختيار جدول.');
INSERT INTO `lang_definitions` VALUES (102721, 6626, 19, 'لا يوجد إيلام او تكتلات بالخصية');
INSERT INTO `lang_definitions` VALUES (102722, 6628, 19, 'لا توجد دبيبة او اهتزازات قلبية');
INSERT INTO `lang_definitions` VALUES (102723, 6632, 19, 'لا توجد زيارة');
INSERT INTO `lang_definitions` VALUES (102724, 6633, 19, 'لم يتم تسجيل اي مؤشرات حيوية');
INSERT INTO `lang_definitions` VALUES (102725, 6634, 19, 'لا, الغ العملية');
INSERT INTO `lang_definitions` VALUES (102726, 6635, 19, 'لا - خطأ تأميني متضمن اوتو هو الأولي');
INSERT INTO `lang_definitions` VALUES (102727, 6636, 19, 'لا:');
INSERT INTO `lang_definitions` VALUES (102728, 6637, 19, 'سلس ليلي');
INSERT INTO `lang_definitions` VALUES (102729, 6638, 19, 'غير مدفوع');
INSERT INTO `lang_definitions` VALUES (102730, 6640, 19, 'تقرير غير مقرر');
INSERT INTO `lang_definitions` VALUES (102731, 6641, 19, 'الإصابة غير محددة');
INSERT INTO `lang_definitions` VALUES (102732, 6642, 19, 'غير الكتروني');
INSERT INTO `lang_definitions` VALUES (102733, 6643, 19, 'النوع الثاني من السكري غير المعتمد علي الإنسولين');
INSERT INTO `lang_definitions` VALUES (102734, 6644, 19, 'غير مؤمن');
INSERT INTO `lang_definitions` VALUES (102735, 6646, 19, 'طبي ولكن غير صحي تناسلي او جنسي');
INSERT INTO `lang_definitions` VALUES (102736, 6647, 19, 'غير طبي و غير صحي تناسلي او جنسي');
INSERT INTO `lang_definitions` VALUES (102737, 6648, 19, 'ولا واحِد');
INSERT INTO `lang_definitions` VALUES (102738, 6649, 19, 'ولا واحِد');
INSERT INTO `lang_definitions` VALUES (102739, 6650, 19, 'ولا واحِد معرّف');
INSERT INTO `lang_definitions` VALUES (102740, 6652, 19, 'ولا واحِد موثق');
INSERT INTO `lang_definitions` VALUES (102741, 6653, 19, 'ولا واحِد مما سبق');
INSERT INTO `lang_definitions` VALUES (102742, 6654, 19, 'ولا واحِد من أسطر التوزيع العلويين يمكن أن يكون فارغا');
INSERT INTO `lang_definitions` VALUES (102743, 6683, 19, 'النوع الثاني من السكري غير المعتمد علي الإنسولين');
INSERT INTO `lang_definitions` VALUES (102744, 6684, 19, 'و لا حتي');
INSERT INTO `lang_definitions` VALUES (102745, 6685, 19, 'طبيعي');
INSERT INTO `lang_definitions` VALUES (102746, 6687, 19, 'طبيعي للجهتين');
INSERT INTO `lang_definitions` VALUES (102747, 6688, 19, 'فحص قلبي طبيعي:');
INSERT INTO `lang_definitions` VALUES (102748, 6689, 19, 'فحص قلبي طبيعي:');
INSERT INTO `lang_definitions` VALUES (102749, 6690, 19, 'فحص رئوي طبيعي:');
INSERT INTO `lang_definitions` VALUES (102750, 6691, 19, 'فحص رئوي طبيعي:');
INSERT INTO `lang_definitions` VALUES (102751, 6692, 19, 'زيارة عيادة طبيعية:');
INSERT INTO `lang_definitions` VALUES (102752, 6693, 19, 'فم و حنجرة طبيعيين:');
INSERT INTO `lang_definitions` VALUES (102753, 6694, 19, 'طبيعي يمينا');
INSERT INTO `lang_definitions` VALUES (102754, 6695, 19, 'طبيعي يمينا:');
INSERT INTO `lang_definitions` VALUES (102755, 6696, 19, 'منظر طبيعي');
INSERT INTO `lang_definitions` VALUES (102756, 6697, 19, 'طبيعي:');
INSERT INTO `lang_definitions` VALUES (102757, 6698, 19, 'من الطبيعي ان يفحص هذا. غير متعلق بتحكم الوصول.');
INSERT INTO `lang_definitions` VALUES (102758, 6701, 19, 'نرويجي');
INSERT INTO `lang_definitions` VALUES (102759, 6705, 19, 'أنف');
INSERT INTO `lang_definitions` VALUES (102760, 6706, 19, 'رُعاف');
INSERT INTO `lang_definitions` VALUES (102761, 6707, 19, 'ليس حرفا او رقما');
INSERT INTO `lang_definitions` VALUES (102762, 6710, 19, 'ليست كل الحقول مطلوبة لكل الرموز او انواعها');
INSERT INTO `lang_definitions` VALUES (102763, 6712, 19, 'غير مسموح');
INSERT INTO `lang_definitions` VALUES (102764, 6713, 19, 'غير مسموح بحذف مجموعة المدراء');
INSERT INTO `lang_definitions` VALUES (102765, 6714, 19, 'التعديل غير مسموح');
INSERT INTO `lang_definitions` VALUES (102766, 6715, 19, 'غير مسموح بتعطيل كل متعلقات الحماية');
INSERT INTO `lang_definitions` VALUES (102767, 6716, 19, 'غير مسموح بتعطيل اي شئ من ACL المدراء');
INSERT INTO `lang_definitions` VALUES (102768, 6717, 19, 'غير مسموح بحذف المستخدم المدير من مجموعة المدراء');
INSERT INTO `lang_definitions` VALUES (102769, 6718, 19, 'غير مسموح بحذف هذا المستخدم من مجموعة المدراء');
INSERT INTO `lang_definitions` VALUES (102770, 6719, 19, 'غير قابل للتطبيق');
INSERT INTO `lang_definitions` VALUES (102771, 6720, 19, 'غير مسموح بالعبور الي PostCalendar module');
INSERT INTO `lang_definitions` VALUES (102772, 6721, 19, 'غير مصّرح');
INSERT INTO `lang_definitions` VALUES (102773, 6722, 19, 'غير مصّرح');
INSERT INTO `lang_definitions` VALUES (102774, 6723, 19, 'غير مصّرح لهذه الفرقة!');
INSERT INTO `lang_definitions` VALUES (102775, 6724, 19, 'غير مصّرح لهذه الفرقة.');
INSERT INTO `lang_definitions` VALUES (102776, 6725, 19, 'غير مصّرح بالتحكم فى المستخدمين!');
INSERT INTO `lang_definitions` VALUES (102777, 6726, 19, 'غير مصّرح بالتوقيع علي النتائج');
INSERT INTO `lang_definitions` VALUES (102778, 6729, 19, 'غير متوفر');
INSERT INTO `lang_definitions` VALUES (102779, 6731, 19, 'غير مفوتر');
INSERT INTO `lang_definitions` VALUES (102780, 6732, 19, 'غير مدقق');
INSERT INTO `lang_definitions` VALUES (102781, 6733, 19, 'غير مخرج');
INSERT INTO `lang_definitions` VALUES (102782, 6734, 19, 'غير مرمّز');
INSERT INTO `lang_definitions` VALUES (102783, 6736, 19, 'غير مستحق');
INSERT INTO `lang_definitions` VALUES (102784, 6738, 19, 'لم يفحص بعد');
INSERT INTO `lang_definitions` VALUES (102785, 6739, 19, 'لم يفحص بعد:');
INSERT INTO `lang_definitions` VALUES (102786, 6740, 19, 'لم يفحص بعد:');
INSERT INTO `lang_definitions` VALUES (102787, 6742, 19, 'تعذر العثور');
INSERT INTO `lang_definitions` VALUES (102788, 6744, 19, 'تعذر العثور!');
INSERT INTO `lang_definitions` VALUES (102789, 6745, 19, 'غير أسباني او لاتيني');
INSERT INTO `lang_definitions` VALUES (102790, 6746, 19, 'غير مثبّت');
INSERT INTO `lang_definitions` VALUES (102791, 6751, 19, 'لم يُر منذ');
INSERT INTO `lang_definitions` VALUES (102792, 6752, 19, 'لم يتم إرسالة');
INSERT INTO `lang_definitions` VALUES (102793, 6753, 19, 'لم يتم إرسالة بعد');
INSERT INTO `lang_definitions` VALUES (102794, 6754, 19, 'غير محدّد');
INSERT INTO `lang_definitions` VALUES (102795, 6755, 19, 'غير محدّد');
INSERT INTO `lang_definitions` VALUES (102796, 6758, 19, 'ملاحظة');
INSERT INTO `lang_definitions` VALUES (102797, 6760, 19, 'رموز الملاحظات');
INSERT INTO `lang_definitions` VALUES (102798, 6762, 19, 'لاحظ انها سوف تستغرق 5-10 دقائق للتشغيل بعد ان تعطي الامر بالتثبيت');
INSERT INTO `lang_definitions` VALUES (102799, 6763, 19, 'لاحظ انها سوف تستغرق 5-10 دقائق للتشغيل بعد ان تعطي الامر بالتثبيت');
INSERT INTO `lang_definitions` VALUES (102800, 6764, 19, 'لاحظ ان ولوج التدقيق يجب ان يكون مفعلا اعلاه');
INSERT INTO `lang_definitions` VALUES (102801, 6771, 19, 'نوع الملاحظة');
INSERT INTO `lang_definitions` VALUES (102802, 6772, 19, 'ملاحظة: 12:00 ظهرا هي PM و ليست AM');
INSERT INTO `lang_definitions` VALUES (102803, 6773, 19, 'ملاحظة: إستيراد البيانات الخارجية قد يستغرق وقتا يفوق الساعة علي حسب قوة جهازك. بعض بيانات RxNorm يحتوي علي أكثر من 6 ملايين سطر.');
INSERT INTO `lang_definitions` VALUES (102804, 6774, 19, 'ملاحظة: إصدار Snomed النصف سنوي هو الوحيد المدعّم حاليا');
INSERT INTO `lang_definitions` VALUES (102805, 6776, 19, 'ملاحظة: إصدار RxNorm الشهري الكامل هو الوحيد المدعّم حاليا');
INSERT INTO `lang_definitions` VALUES (102806, 6780, 19, 'ملاحظة: هذا الرمز لم يتم ادخالة بواسطة مستخدم مصرح له. الرموز المصرح لها هي الوحيدة المفعّلة. اذا اردت استخدامها فإختر مستخدما مصرح له');
INSERT INTO `lang_definitions` VALUES (102807, 6783, 19, 'ملاحظة: ترفيع ملفات بأسماء مكررة سيؤدي الي حذفها تلقائيا. أسماء الوثائق تعتبر فريدة لكل مريض و ليس لك مجموعة');
INSERT INTO `lang_definitions` VALUES (102808, 6784, 19, 'ملاحظة: ترفيع ملفات بأسماء مكررة سيؤدي الي حذفها تلقائيا. أسماء الوثائق تعتبر فريدة لكل مريض و ليس لك مجموعة');
INSERT INTO `lang_definitions` VALUES (102809, 6785, 19, 'ملاحظات');
INSERT INTO `lang_definitions` VALUES (102810, 6788, 19, 'ملاحظات - اي زيارة (اكتب, الإضافة إختيارية)');
INSERT INTO `lang_definitions` VALUES (102811, 6790, 19, 'ملاحظات - زياراتي (اكتب, الإضافة إختيارية)');
INSERT INTO `lang_definitions` VALUES (102812, 6793, 19, 'الملاحظات غير مصرح لها');
INSERT INTO `lang_definitions` VALUES (102813, 6796, 19, 'لم يتم تسجيل اي شيئ');
INSERT INTO `lang_definitions` VALUES (102814, 6799, 19, 'لم يتم استيراد اي شيئ للحساسية');
INSERT INTO `lang_definitions` VALUES (102815, 6800, 19, 'لم يتم استيراد اي شيئ للوصفة');
INSERT INTO `lang_definitions` VALUES (102816, 6803, 19, 'لا شيئ ليعرض');
INSERT INTO `lang_definitions` VALUES (102817, 6804, 19, 'لم يتم إختيار اي شيئ');
INSERT INTO `lang_definitions` VALUES (102818, 6808, 19, 'مذكرّة:: ايداع/ تعديل PostCalendar');
INSERT INTO `lang_definitions` VALUES (102819, 6809, 19, 'إشْعار');
INSERT INTO `lang_definitions` VALUES (102820, 6810, 19, 'إيميل إلاشْعار');
INSERT INTO `lang_definitions` VALUES (102821, 6815, 19, 'إشْعارات');
INSERT INTO `lang_definitions` VALUES (102822, 6816, 19, 'أشعر المدير بخصوص ايداع/ تعديل؟');
INSERT INTO `lang_definitions` VALUES (102823, 6820, 19, 'نوفمبر/تشرين الثاني');
INSERT INTO `lang_definitions` VALUES (102824, 6821, 19, 'نوفمبر/تشرين الثاني');
INSERT INTO `lang_definitions` VALUES (102825, 6824, 19, 'الان يتم الاعلام ل:');
INSERT INTO `lang_definitions` VALUES (102826, 6825, 19, 'تتم الطباعة اﻵن');
INSERT INTO `lang_definitions` VALUES (102827, 6826, 19, 'تتم الطباعة اﻵن $stmt_count statements and updating encounters.');
INSERT INTO `lang_definitions` VALUES (102828, 6827, 19, 'تتم الطباعة اﻵن $stmt_count statements and updating invoices.');
INSERT INTO `lang_definitions` VALUES (102829, 6828, 19, 'تتم الطباعة اﻵن $stmt_count statements; encounters will not be updated.');
INSERT INTO `lang_definitions` VALUES (102830, 6829, 19, 'تتم الطباعة اﻵن $stmt_count statements; invoices will not be updated.');
INSERT INTO `lang_definitions` VALUES (102831, 6834, 19, 'رقم المزوّد الوطني');
INSERT INTO `lang_definitions` VALUES (102832, 6836, 19, 'هيكل النوعية الوطنية');
INSERT INTO `lang_definitions` VALUES (102833, 6837, 19, 'عدد');
INSERT INTO `lang_definitions` VALUES (102834, 6838, 19, 'عدد المختبرات');
INSERT INTO `lang_definitions` VALUES (102835, 6843, 19, 'عدد اﻷعمدة في منظر السنة');
INSERT INTO `lang_definitions` VALUES (102836, 6850, 19, 'عدد اﻷيام لصلاحية شهادة العميل');
INSERT INTO `lang_definitions` VALUES (102837, 6852, 19, 'عدد اﻷرقام بعد الفاصلة العشرية, عادة 0 او 2');
INSERT INTO `lang_definitions` VALUES (102838, 6853, 19, 'عدد الزيارات المعروضة لكل صفحة');
INSERT INTO `lang_definitions` VALUES (102839, 6855, 19, 'عدد المباريات او الحداث المفقودة لو وجدت');
INSERT INTO `lang_definitions` VALUES (102840, 6856, 19, 'عدد الساعات لإرسال تنبيهات اﻹيميل مقدما');
INSERT INTO `lang_definitions` VALUES (102841, 6857, 19, 'عدد الساعات لإرسال تنبيهات الهاتف مقدما');
INSERT INTO `lang_definitions` VALUES (102842, 6858, 19, 'عدد الساعات لإرسال تنبيهات الرسائل النصية القصيرة مقدما');
INSERT INTO `lang_definitions` VALUES (102843, 6862, 19, 'عدد اعمدة التاريخ المرضي');
INSERT INTO `lang_definitions` VALUES (102844, 6863, 19, 'عدد عرض المرضي لكل صفحة فى قائمة المرضي');
INSERT INTO `lang_definitions` VALUES (102845, 6864, 19, 'خذل');
INSERT INTO `lang_definitions` VALUES (102846, 6865, 19, 'بسط الكسر');
INSERT INTO `lang_definitions` VALUES (102847, 6866, 19, 'ترتيب العرض العددي');
INSERT INTO `lang_definitions` VALUES (102848, 6869, 19, 'تغذية');
INSERT INTO `lang_definitions` VALUES (102849, 6871, 19, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (102850, 6872, 19, 'نسبة تشبع اﻷوكسجين');
INSERT INTO `lang_definitions` VALUES (102851, 6874, 19, 'البدانة 1');
INSERT INTO `lang_definitions` VALUES (102852, 6875, 19, 'البدانة 2');
INSERT INTO `lang_definitions` VALUES (102853, 6876, 19, 'البدانة 3');
INSERT INTO `lang_definitions` VALUES (102854, 6877, 19, 'موضوعي');
INSERT INTO `lang_definitions` VALUES (102855, 6880, 19, 'نوع الملاحظه');
INSERT INTO `lang_definitions` VALUES (102856, 6886, 19, 'المهنة');
INSERT INTO `lang_definitions` VALUES (102857, 6889, 19, 'الحدوث');
INSERT INTO `lang_definitions` VALUES (102858, 6890, 19, 'اكتوبر/تشرين اﻷول');
INSERT INTO `lang_definitions` VALUES (102859, 6891, 19, 'اكتوبر/تشرين اﻷول');
INSERT INTO `lang_definitions` VALUES (102860, 6892, 19, 'العين اليمني');
INSERT INTO `lang_definitions` VALUES (102861, 6895, 19, 'ل');
INSERT INTO `lang_definitions` VALUES (102862, 6896, 19, 'للكمية');
INSERT INTO `lang_definitions` VALUES (102863, 6897, 19, 'للحبوب');
INSERT INTO `lang_definitions` VALUES (102864, 6898, 19, 'للشهر كل');
INSERT INTO `lang_definitions` VALUES (102865, 6899, 19, 'ملاحظات العيادة');
INSERT INTO `lang_definitions` VALUES (102866, 6900, 19, 'مغلق');
INSERT INTO `lang_definitions` VALUES (102867, 6904, 19, 'مكتب');
INSERT INTO `lang_definitions` VALUES (102868, 6907, 19, 'ملاحظات العيادة');
INSERT INTO `lang_definitions` VALUES (102869, 6908, 19, 'زيارة العيادة');
INSERT INTO `lang_definitions` VALUES (102870, 6909, 19, 'مجموعات قياس مقاييس النوعية الطبية الرسمية (CQM)');
INSERT INTO `lang_definitions` VALUES (102871, 6910, 19, 'رابط تصفح بوابة المرضي خارج الموقع');
INSERT INTO `lang_definitions` VALUES (102872, 6911, 19, 'رابط تصفح بوابة المرضي خارج الموقع (رابط المريض)');
INSERT INTO `lang_definitions` VALUES (102873, 6912, 19, 'كلمة سر بوابة المرضي خارج الموقع');
INSERT INTO `lang_definitions` VALUES (102874, 6913, 19, 'كلمة سر بوابة المرضي خارج الموقع (أبق فارغا لو المريض غير مسجل)');
INSERT INTO `lang_definitions` VALUES (102875, 6914, 19, 'رقم هوية مزود بوابة المرضي خارج الموقع');
INSERT INTO `lang_definitions` VALUES (102876, 6915, 19, 'رقم هوية مزود بوابة المرضي خارج الموقع (أبق فارغا لو غير مسجل)');
INSERT INTO `lang_definitions` VALUES (102877, 6916, 19, 'عنوان موقع بوابة المرضي خارج الموقع');
INSERT INTO `lang_definitions` VALUES (102878, 6917, 19, 'عنوان موقع بوابة المرضي خارج الموقع (رابط المريض)');
INSERT INTO `lang_definitions` VALUES (102879, 6918, 19, 'إسم المستخدم لبوابة المرضي خارج الموقع');
INSERT INTO `lang_definitions` VALUES (102880, 6919, 19, 'إسم المستخدم لبوابة المرضي خارج الموقع (أبق فارغا لو غير مسجل)');
INSERT INTO `lang_definitions` VALUES (102881, 6921, 19, 'ذرّية');
INSERT INTO `lang_definitions` VALUES (102882, 6925, 19, 'مرهم');
INSERT INTO `lang_definitions` VALUES (102883, 6927, 19, 'موافق');
INSERT INTO `lang_definitions` VALUES (102884, 6930, 19, 'موافق لربط موضوع مؤرخ GCAC');
INSERT INTO `lang_definitions` VALUES (102885, 6931, 19, 'قديم');
INSERT INTO `lang_definitions` VALUES (102886, 6933, 19, 'عملاء قدامى');
INSERT INTO `lang_definitions` VALUES (102887, 6934, 19, 'كسر قديم غير / التحام خاطئ');
INSERT INTO `lang_definitions` VALUES (102888, 6935, 19, 'اسلوب ترتيب قديم بدون قائمة يسري');
INSERT INTO `lang_definitions` VALUES (102889, 6936, 19, 'اسلوب قديم لطلب بدون قائمة بحث أو تصحيح المتكرارت');
INSERT INTO `lang_definitions` VALUES (102890, 6940, 19, 'إحذف');
INSERT INTO `lang_definitions` VALUES (102891, 6941, 19, 'إحذف المحيطات');
INSERT INTO `lang_definitions` VALUES (102892, 6942, 19, 'إحذف معلومات أرباب العمل في ديموجرافيا المريض');
INSERT INTO `lang_definitions` VALUES (102893, 6943, 19, 'إحذف أرباب العمل');
INSERT INTO `lang_definitions` VALUES (102894, 6944, 19, 'إحذف الهيئة, طريق الإعطاء و الفاصل الزمني لتصبح جزءا من الجرعة');
INSERT INTO `lang_definitions` VALUES (102895, 6945, 19, 'إحذف التأمين و بعض اﻷشياء أﻷخري من طلب الديموجرافيا');
INSERT INTO `lang_definitions` VALUES (102896, 6946, 19, 'إحذف المستخدمين الداخليين؟');
INSERT INTO `lang_definitions` VALUES (102897, 6947, 19, 'إحذف طريقة الدفع من واجهة الدفع المشترك');
INSERT INTO `lang_definitions` VALUES (102898, 6948, 19, 'إحذف الي الولوج التلقائي');
INSERT INTO `lang_definitions` VALUES (102899, 6949, 19, 'عند');
INSERT INTO `lang_definitions` VALUES (102900, 6950, 19, 'عند');
INSERT INTO `lang_definitions` VALUES (102901, 6956, 19, 'حاضر');
INSERT INTO `lang_definitions` VALUES (102902, 6959, 19, 'عند الطلب');
INSERT INTO `lang_definitions` VALUES (102903, 6960, 19, 'فى الموقع');
INSERT INTO `lang_definitions` VALUES (102904, 6975, 19, 'تعيين منشأة التأمين أﻷولي يجب ان لا يتغير لانه مرتبط بخدمة الوصفة الإكترونية من NewCrop ePrescription');
INSERT INTO `lang_definitions` VALUES (102905, 6979, 19, 'ما أن تقوم بتغيير كلمة سرك يجب عليك إعادة الولوج');
INSERT INTO `lang_definitions` VALUES (102906, 6996, 19, 'الدعم على الإنترنت');
INSERT INTO `lang_definitions` VALUES (102907, 6997, 19, 'رابط الدعم على الإنترنت');
INSERT INTO `lang_definitions` VALUES (102908, 6999, 19, 'نشط فقط');
INSERT INTO `lang_definitions` VALUES (102909, 7000, 19, 'مطبق فقط لو المزود مختار بالأعلي. اﻷولي سيختار المرضي الذين يزودهم المزود اﻷولي');
INSERT INTO `lang_definitions` VALUES (102910, 7004, 19, 'فقط لو مكان الفوترة');
INSERT INTO `lang_definitions` VALUES (102911, 7006, 19, 'خامل فقط');
INSERT INTO `lang_definitions` VALUES (102912, 7007, 19, 'تابع لي فقط');
INSERT INTO `lang_definitions` VALUES (102913, 7011, 19, 'اضهر رموز التشخيص فقط');
INSERT INTO `lang_definitions` VALUES (102914, 7012, 19, 'اضهر رموز الخدمة لقرير المالية فقط');
INSERT INTO `lang_definitions` VALUES (102915, 7013, 19, 'رفّع الوصفات النشطة فقط');
INSERT INTO `lang_definitions` VALUES (102916, 7017, 19, 'بداية المرض:');
INSERT INTO `lang_definitions` VALUES (102917, 7018, 19, 'بداية المرض:');
INSERT INTO `lang_definitions` VALUES (102918, 7019, 19, 'بداية التورم:');
INSERT INTO `lang_definitions` VALUES (102919, 7022, 19, 'تاريخ إدخال المستشفي:');
INSERT INTO `lang_definitions` VALUES (102920, 7026, 19, 'عنوان موقع بوباة المريض علي الإنترنت');
INSERT INTO `lang_definitions` VALUES (102921, 7030, 19, 'عفوا!');
INSERT INTO `lang_definitions` VALUES (102922, 7031, 19, 'فتح');
INSERT INTO `lang_definitions` VALUES (102923, 7040, 19, 'إفتح في نافذة جديدة');
INSERT INTO `lang_definitions` VALUES (102924, 7046, 19, 'فتح زيارة اليوم');
INSERT INTO `lang_definitions` VALUES (102925, 7071, 19, 'إعدادات شهادة السلطه للبرنامج مهيئة أصلا');
INSERT INTO `lang_definitions` VALUES (102926, 7074, 19, 'مجموعة تطبيقات البرنامج');
INSERT INTO `lang_definitions` VALUES (102927, 7076, 19, 'ترقية قاعدة بيانات البرنامج');
INSERT INTO `lang_definitions` VALUES (102928, 7077, 19, 'ترقية قاعدة بيانات البرنامج لمسح الهوية');
INSERT INTO `lang_definitions` VALUES (102929, 7078, 19, 'البرنامج لم يتعرّف علي الملف القادم فى مجلد contrib. This is most likely because you need to configure the release in the supported_external_dataloads table in the MySQL database.');
INSERT INTO `lang_definitions` VALUES (102930, 7080, 19, 'يجب علي البرنامج ان يهيئ لإستخدام الشهادات قبل ان يتمكن من اصدار شهادات للعميل');
INSERT INTO `lang_definitions` VALUES (102931, 7084, 19, 'البرنامج يحتاج اليJavascript ليقوم بالتأكد من المستخدم');
INSERT INTO `lang_definitions` VALUES (102932, 7085, 19, 'مستخدمي البرنامج');
INSERT INTO `lang_definitions` VALUES (102933, 7086, 19, 'افتتاحيات');
INSERT INTO `lang_definitions` VALUES (102934, 7092, 19, 'عيون');
INSERT INTO `lang_definitions` VALUES (102935, 7095, 19, 'خيار');
INSERT INTO `lang_definitions` VALUES (102936, 7097, 19, 'خيار لطريقة حفظ تخزين الوثيقة');
INSERT INTO `lang_definitions` VALUES (102937, 7098, 19, 'خيار لدعم المخزون و مبيعات المنتجات');
INSERT INTO `lang_definitions` VALUES (102938, 7099, 19, 'إختياري');
INSERT INTO `lang_definitions` VALUES (102939, 7100, 19, 'إسم المجموعة الإختيارية لبطاقة هوية المريض التي يمكن رؤيتها من صفحة ملخّص المريض');
INSERT INTO `lang_definitions` VALUES (102940, 7101, 19, 'إسم المجموعة الإختيارية للصور التي يمكن رؤيتها من صفحة ملخّص المريض');
INSERT INTO `lang_definitions` VALUES (102941, 7102, 19, 'إسم المجموعة الإختيارية للوثيقة التي يمكن ربطها من صفحة ملخّص المريض');
INSERT INTO `lang_definitions` VALUES (102942, 7103, 19, 'المجال الإفتراضي الإختياري للإدخال اليدوي للنتائج');
INSERT INTO `lang_definitions` VALUES (102943, 7104, 19, 'الوحدات الإفتراضية الإختيارية للإدخال اليدوي للنتائج');
INSERT INTO `lang_definitions` VALUES (102944, 7105, 19, 'إسم الوصول الإختياري');
INSERT INTO `lang_definitions` VALUES (102945, 7107, 19, 'إسم الدواء الإختياري, إستخدم % كرمز مبهم للبحث');
INSERT INTO `lang_definitions` VALUES (102946, 7111, 19, 'معلومات اختيارية عن هذا الحدث');
INSERT INTO `lang_definitions` VALUES (102947, 7112, 19, 'إسم الجملة الإختياري, إستخدم % كرمز مبهم للبحث');
INSERT INTO `lang_definitions` VALUES (102948, 7113, 19, 'رقم هوية المريض الإختياري');
INSERT INTO `lang_definitions` VALUES (102949, 7114, 19, 'رمز العملية الإختياري');
INSERT INTO `lang_definitions` VALUES (102950, 7115, 19, 'رمز العملية /الخدمة الإختياري');
INSERT INTO `lang_definitions` VALUES (102951, 7116, 19, 'خيارات');
INSERT INTO `lang_definitions` VALUES (102952, 7117, 19, 'أو');
INSERT INTO `lang_definitions` VALUES (102953, 7118, 19, 'أو');
INSERT INTO `lang_definitions` VALUES (102954, 7119, 19, 'أو أختار');
INSERT INTO `lang_definitions` VALUES (102955, 7120, 19, 'أو اضغط وأسحب لإختيار أسرع');
INSERT INTO `lang_definitions` VALUES (102956, 7122, 19, 'أو أخرج الي');
INSERT INTO `lang_definitions` VALUES (102957, 7124, 19, 'إضغط مع Shift للتصغير');
INSERT INTO `lang_definitions` VALUES (102958, 7125, 19, 'أو رفّع ملف ERA:');
INSERT INTO `lang_definitions` VALUES (102959, 7127, 19, 'فموي');
INSERT INTO `lang_definitions` VALUES (102960, 7128, 19, 'عشاء الفم وردي و البلعوم صافي');
INSERT INTO `lang_definitions` VALUES (102961, 7129, 19, 'طلب');
INSERT INTO `lang_definitions` VALUES (102962, 7131, 19, 'نوع الطلب والنتيجة');
INSERT INTO `lang_definitions` VALUES (102963, 7132, 19, 'دليل الطلب');
INSERT INTO `lang_definitions` VALUES (102964, 7133, 19, 'تاريخ الطلب');
INSERT INTO `lang_definitions` VALUES (102965, 7136, 19, 'إستمارة الطلب');
INSERT INTO `lang_definitions` VALUES (102966, 7137, 19, 'رقم الطلب');
INSERT INTO `lang_definitions` VALUES (102967, 7138, 19, 'رقم الطلب يجب ان يكون من 1 الي 999');
INSERT INTO `lang_definitions` VALUES (102968, 7140, 19, 'أسم الطلب');
INSERT INTO `lang_definitions` VALUES (102969, 7142, 19, 'أولوية الطلب');
INSERT INTO `lang_definitions` VALUES (102970, 7143, 19, 'معالج الطلب');
INSERT INTO `lang_definitions` VALUES (102971, 7145, 19, 'نتائج الطلب');
INSERT INTO `lang_definitions` VALUES (102972, 7146, 19, 'حالة الطلب');
INSERT INTO `lang_definitions` VALUES (102973, 7147, 19, 'حالة الطلب');
INSERT INTO `lang_definitions` VALUES (102974, 7148, 19, 'ملخص الطلب');
INSERT INTO `lang_definitions` VALUES (102975, 7150, 19, 'نوع الطلب');
INSERT INTO `lang_definitions` VALUES (102976, 7152, 19, 'نوع الطلب /النتيجة');
INSERT INTO `lang_definitions` VALUES (102977, 7153, 19, 'تم الطلب');
INSERT INTO `lang_definitions` VALUES (102978, 7154, 19, 'طلب بواسطة');
INSERT INTO `lang_definitions` VALUES (102979, 7155, 19, 'عملية تم طلبها');
INSERT INTO `lang_definitions` VALUES (102980, 7159, 19, 'المزود الطالب');
INSERT INTO `lang_definitions` VALUES (102981, 7163, 19, 'ممر الطلبات');
INSERT INTO `lang_definitions` VALUES (102982, 7166, 19, 'إصابة عضوية');
INSERT INTO `lang_definitions` VALUES (102983, 7167, 19, 'منظمة');
INSERT INTO `lang_definitions` VALUES (102984, 7168, 19, 'أسم المنظمة');
INSERT INTO `lang_definitions` VALUES (102985, 7169, 19, 'أسموحدة المنظمة');
INSERT INTO `lang_definitions` VALUES (102986, 7170, 19, 'المنظمات');
INSERT INTO `lang_definitions` VALUES (102987, 7171, 19, 'تم التعريف في 3');
INSERT INTO `lang_definitions` VALUES (102988, 7175, 19, 'اﻷصلي');
INSERT INTO `lang_definitions` VALUES (102989, 7181, 19, 'الفم و الحنجرة');
INSERT INTO `lang_definitions` VALUES (102990, 7184, 19, 'ضيق النفس الإضطجاعي');
INSERT INTO `lang_definitions` VALUES (102991, 7188, 19, 'اليسري');
INSERT INTO `lang_definitions` VALUES (102992, 7189, 19, 'التهاب العظام و المفاصل');
INSERT INTO `lang_definitions` VALUES (102993, 7193, 19, 'اﻵخر');
INSERT INTO `lang_definitions` VALUES (102994, 7194, 19, 'اﻵخر');
INSERT INTO `lang_definitions` VALUES (102995, 7196, 19, 'اﻵخر (حدّد)');
INSERT INTO `lang_definitions` VALUES (102996, 7198, 19, 'اﻵخر (محدّد)');
INSERT INTO `lang_definitions` VALUES (102997, 7201, 19, 'برامج فيدرالية آخرى');
INSERT INTO `lang_definitions` VALUES (102998, 7202, 19, 'اﻵخر HCFA');
INSERT INTO `lang_definitions` VALUES (102999, 7203, 19, 'الإصابه غير المحدّدة في مكان اخر');
INSERT INTO `lang_definitions` VALUES (103000, 7204, 19, 'التزام التأمين اﻵخر هو اﻷولي');
INSERT INTO `lang_definitions` VALUES (103001, 7206, 19, 'شهر آخر');
INSERT INTO `lang_definitions` VALUES (103002, 7207, 19, 'برامج آخرى غير فيدرالية');
INSERT INTO `lang_definitions` VALUES (103003, 7208, 19, 'ملاحظات اخري');
INSERT INTO `lang_definitions` VALUES (103004, 7209, 19, 'أعراض اخري متعلقة');
INSERT INTO `lang_definitions` VALUES (103005, 7210, 19, 'أعراض اخري متعلقة:');
INSERT INTO `lang_definitions` VALUES (103006, 7213, 19, 'اخري تنفسية');
INSERT INTO `lang_definitions` VALUES (103007, 7215, 19, 'إرهاق/زيادة استعمال اخري');
INSERT INTO `lang_definitions` VALUES (103008, 7216, 19, 'جراحية اخري');
INSERT INTO `lang_definitions` VALUES (103009, 7217, 19, 'اخري/ متعلقة بالإجهاض');
INSERT INTO `lang_definitions` VALUES (103010, 7219, 19, 'اخري');
INSERT INTO `lang_definitions` VALUES (103011, 7221, 19, 'و إلا ستفسد المراجع من و الي البيانات الحالية');
INSERT INTO `lang_definitions` VALUES (103012, 7224, 19, 'قواعد اتاوا لتصوير الكعب');
INSERT INTO `lang_definitions` VALUES (103013, 7225, 19, 'كلتا العينين');
INSERT INTO `lang_definitions` VALUES (103014, 7227, 19, 'خارجا');
INSERT INTO `lang_definitions` VALUES (103015, 7228, 19, 'خارج المكتب');
INSERT INTO `lang_definitions` VALUES (103016, 7230, 19, 'تحويل متجه الى الخارج');
INSERT INTO `lang_definitions` VALUES (103017, 7231, 19, 'نتيجة');
INSERT INTO `lang_definitions` VALUES (103018, 7234, 19, 'وُجهَة نَظَر');
INSERT INTO `lang_definitions` VALUES (103019, 7239, 19, 'حالة التسريح العامة');
INSERT INTO `lang_definitions` VALUES (103020, 7240, 19, 'متأخر');
INSERT INTO `lang_definitions` VALUES (103021, 7244, 19, 'زيادة استخدام');
INSERT INTO `lang_definitions` VALUES (103022, 7245, 19, 'نظرة عامة');
INSERT INTO `lang_definitions` VALUES (103023, 7246, 19, 'وزن زائد (سمنة)');
INSERT INTO `lang_definitions` VALUES (103024, 7247, 19, 'اكتب فوق اختيار');
INSERT INTO `lang_definitions` VALUES (103025, 7249, 19, 'تشبع بالأكسجين');
INSERT INTO `lang_definitions` VALUES (103026, 7250, 19, 'أونصة');
INSERT INTO `lang_definitions` VALUES (103027, 7252, 19, 'بعد الوجبات');
INSERT INTO `lang_definitions` VALUES (103028, 7253, 19, 'مساءاً');
INSERT INTO `lang_definitions` VALUES (103029, 7254, 19, 'عند اللزوم');
INSERT INTO `lang_definitions` VALUES (103030, 7258, 19, 'ساكن جزر المحيط الهادي');
INSERT INTO `lang_definitions` VALUES (103031, 7259, 19, 'الطفولة');
INSERT INTO `lang_definitions` VALUES (103032, 7260, 19, 'صفحة');
INSERT INTO `lang_definitions` VALUES (103033, 7263, 19, 'صفحات');
INSERT INTO `lang_definitions` VALUES (103034, 7264, 19, 'تم الدفع');
INSERT INTO `lang_definitions` VALUES (103035, 7265, 19, 'المبلغ المدفوع الذي حددتة');
INSERT INTO `lang_definitions` VALUES (103036, 7266, 19, 'المبلغ المدفوع');
INSERT INTO `lang_definitions` VALUES (103037, 7267, 19, 'دفع بواسطة');
INSERT INTO `lang_definitions` VALUES (103038, 7268, 19, 'ألم');
INSERT INTO `lang_definitions` VALUES (103039, 7271, 19, 'خفقان');
INSERT INTO `lang_definitions` VALUES (103040, 7275, 19, 'مسحة عنق الرحم');
INSERT INTO `lang_definitions` VALUES (103041, 7276, 19, 'ورق');
INSERT INTO `lang_definitions` VALUES (103042, 7277, 19, 'حجم الورق');
INSERT INTO `lang_definitions` VALUES (103043, 7278, 19, 'شلل');
INSERT INTO `lang_definitions` VALUES (103044, 7284, 19, 'تحليل HL7');
INSERT INTO `lang_definitions` VALUES (103045, 7289, 19, 'شريك');
INSERT INTO `lang_definitions` VALUES (103046, 7290, 19, 'أسم الشريك');
INSERT INTO `lang_definitions` VALUES (103047, 7294, 19, 'جملة السر');
INSERT INTO `lang_definitions` VALUES (103048, 7295, 19, 'جملة السر لفك تشفير الوثيقة');
INSERT INTO `lang_definitions` VALUES (103049, 7296, 19, 'المرضي المتوفيين');
INSERT INTO `lang_definitions` VALUES (103050, 7297, 19, 'تنبيه سلبي');
INSERT INTO `lang_definitions` VALUES (103051, 7299, 19, 'قواعد التنبيه السلبي');
INSERT INTO `lang_definitions` VALUES (103052, 7301, 19, 'كلمة السر');
INSERT INTO `lang_definitions` VALUES (103053, 7302, 19, 'تغيير كلمة السر');
INSERT INTO `lang_definitions` VALUES (103054, 7303, 19, 'تم تغيير كلمة السر بنجاح');
INSERT INTO `lang_definitions` VALUES (103055, 7304, 19, 'تم تغيير كلمة السر بنجاح.');
INSERT INTO `lang_definitions` VALUES (103056, 7306, 19, 'كلمة السر لا ترقي للحد اﻹدني و يجب ان تحتوي علي علي اﻷقل علي حرف كبير و اخر صغير و رقم و اي رمز خاص');
INSERT INTO `lang_definitions` VALUES (103057, 7308, 19, 'فترة السماح لكلمة السر المنتهية الصلاحية');
INSERT INTO `lang_definitions` VALUES (103058, 7310, 19, 'كلمة السر لبوابة الهاتف. خدمة VOIP المقدمة من http://signup.maviq.com');
INSERT INTO `lang_definitions` VALUES (103059, 7311, 19, 'كلمة السر لممر الرسائل النصية القصيرة');
INSERT INTO `lang_definitions` VALUES (103060, 7312, 19, 'كلمة السر لممر الرسائل النصية القصيرة');
INSERT INTO `lang_definitions` VALUES (103061, 7314, 19, 'نظام اﻷمان لكلمة السر تم ترقيته');
INSERT INTO `lang_definitions` VALUES (103062, 7315, 19, 'كلمة السر لالإتصال ب CouchDB');
INSERT INTO `lang_definitions` VALUES (103063, 7316, 19, 'كلمة السر قصيرة جداَ. مطلوب اكثر من 8 رموز.');
INSERT INTO `lang_definitions` VALUES (103064, 7319, 19, 'كلمة السر:');
INSERT INTO `lang_definitions` VALUES (103065, 7322, 19, 'كلمات السر غير متطابقة !');
INSERT INTO `lang_definitions` VALUES (103066, 7324, 19, 'المواعيد السابقة');
INSERT INTO `lang_definitions` VALUES (103067, 7325, 19, 'أداة عرض المواعيد السابقة');
INSERT INTO `lang_definitions` VALUES (103068, 7329, 19, 'مضى تاريخ استحقاقها');
INSERT INTO `lang_definitions` VALUES (103069, 7330, 19, 'مضى تاريخ استحقاقها');
INSERT INTO `lang_definitions` VALUES (103070, 7331, 19, 'فاصل مضى تاريخ اﻹستحقاق (تنبيهات طبية)');
INSERT INTO `lang_definitions` VALUES (103071, 7332, 19, 'فاصل مضى تاريخ اﻹستحقاق (تنبيهات المريض)');
INSERT INTO `lang_definitions` VALUES (103072, 7333, 19, 'قائمة الزيارات الآخيرة');
INSERT INTO `lang_definitions` VALUES (103073, 7334, 19, 'الزيارة السابقة');
INSERT INTO `lang_definitions` VALUES (103074, 7335, 19, 'الزيارة السابقة والملفات');
INSERT INTO `lang_definitions` VALUES (103075, 7336, 19, 'الزيارات السابقة ل');
INSERT INTO `lang_definitions` VALUES (103076, 7344, 19, 'الصق بيانات HL7');
INSERT INTO `lang_definitions` VALUES (103077, 7345, 19, 'الصق البيانات لتستورد فى مكان النص ادناه');
INSERT INTO `lang_definitions` VALUES (103078, 7346, 19, 'مريض');
INSERT INTO `lang_definitions` VALUES (103079, 7348, 19, 'رقعة');
INSERT INTO `lang_definitions` VALUES (103080, 7355, 19, 'طريق لاحتياط تسجيل الحدث');
INSERT INTO `lang_definitions` VALUES (103081, 7356, 19, 'طريق لملف شهادة ال CA');
INSERT INTO `lang_definitions` VALUES (103082, 7357, 19, 'طريق لمفتاح شهادة ال CA');
INSERT INTO `lang_definitions` VALUES (103083, 7358, 19, 'طريق لثنائيات MySQL');
INSERT INTO `lang_definitions` VALUES (103084, 7359, 19, 'طريق لثنائيات Perl');
INSERT INTO `lang_definitions` VALUES (103085, 7360, 19, 'طريق للملفات المؤقتة');
INSERT INTO `lang_definitions` VALUES (103086, 7361, 19, 'مريض');
INSERT INTO `lang_definitions` VALUES (103087, 7362, 19, 'مريض');
INSERT INTO `lang_definitions` VALUES (103088, 7363, 19, 'مريض');
INSERT INTO `lang_definitions` VALUES (103089, 7365, 19, 'عنوان المريض');
INSERT INTO `lang_definitions` VALUES (103090, 7366, 19, 'عنوان المريض مفقود');
INSERT INTO `lang_definitions` VALUES (103091, 7369, 19, 'حساسيات المريض');
INSERT INTO `lang_definitions` VALUES (103092, 7370, 19, 'حساسيات المريض');
INSERT INTO `lang_definitions` VALUES (103093, 7373, 19, 'موعد المريض');
INSERT INTO `lang_definitions` VALUES (103094, 7374, 19, 'باقي حساب المريض');
INSERT INTO `lang_definitions` VALUES (103095, 7375, 19, 'حساب المريض مستحق الدفع');
INSERT INTO `lang_definitions` VALUES (103096, 7379, 19, 'رقم هوية ملف المريض');
INSERT INTO `lang_definitions` VALUES (103097, 7381, 19, 'إنهاء اجراءات المريض');
INSERT INTO `lang_definitions` VALUES (103098, 7382, 19, 'إنهاء اجراءات المريض ل');
INSERT INTO `lang_definitions` VALUES (103099, 7383, 19, 'مدينة المريضة');
INSERT INTO `lang_definitions` VALUES (103100, 7384, 19, 'مدينة المريض مفقودة');
INSERT INTO `lang_definitions` VALUES (103101, 7386, 19, 'تم إرسال مراسلات المريض');
INSERT INTO `lang_definitions` VALUES (103102, 7387, 19, 'تم إرسال مراسلات المريض');
INSERT INTO `lang_definitions` VALUES (103103, 7388, 19, 'بلد المريض');
INSERT INTO `lang_definitions` VALUES (103104, 7389, 19, 'بلد المريض مفقودة. كم انك لم تعين بلد افتراضي فى الإعدادات العامة');
INSERT INTO `lang_definitions` VALUES (103105, 7390, 19, 'تغطية المريض التأمينية');
INSERT INTO `lang_definitions` VALUES (103106, 7394, 19, 'بيانات المريض');
INSERT INTO `lang_definitions` VALUES (103107, 7396, 19, 'تاريخ ميلاد المريض مفقود');
INSERT INTO `lang_definitions` VALUES (103108, 7401, 19, 'تفاصيل المريض');
INSERT INTO `lang_definitions` VALUES (103109, 7402, 19, 'تاريخ ميلاد المريض');
INSERT INTO `lang_definitions` VALUES (103110, 7404, 19, 'وثيقة المريض');
INSERT INTO `lang_definitions` VALUES (103111, 7410, 19, 'تعليم المريض');
INSERT INTO `lang_definitions` VALUES (103112, 7411, 19, 'وسائل تعليمية للمريض');
INSERT INTO `lang_definitions` VALUES (103113, 7412, 19, 'زيارة المريض');
INSERT INTO `lang_definitions` VALUES (103114, 7413, 19, 'طلب زيارة المريض');
INSERT INTO `lang_definitions` VALUES (103115, 7414, 19, 'زيارة المرضي');
INSERT INTO `lang_definitions` VALUES (103116, 7415, 19, 'الباحث عن المريض');
INSERT INTO `lang_definitions` VALUES (103117, 7417, 19, 'أسم المريض الأول');
INSERT INTO `lang_definitions` VALUES (103118, 7419, 19, 'أسم المريض الأول مفقود');
INSERT INTO `lang_definitions` VALUES (103119, 7424, 19, 'جنس المريض');
INSERT INTO `lang_definitions` VALUES (103120, 7425, 19, 'جنس المريض مفقود');
INSERT INTO `lang_definitions` VALUES (103121, 7426, 19, 'المريض لم يصرح لبوابة المريض');
INSERT INTO `lang_definitions` VALUES (103122, 7428, 19, 'التاريخ الطبي للمريض');
INSERT INTO `lang_definitions` VALUES (103123, 7429, 19, 'التاريخ الطبي / اسلوب حياة المريض');
INSERT INTO `lang_definitions` VALUES (103124, 7430, 19, 'رقم تلفون منزل المريض');
INSERT INTO `lang_definitions` VALUES (103125, 7431, 19, 'رقم هوية المريض');
INSERT INTO `lang_definitions` VALUES (103126, 7432, 19, 'رقم هوية المريض');
INSERT INTO `lang_definitions` VALUES (103127, 7433, 19, 'بطاقة رقم هوية المريض');
INSERT INTO `lang_definitions` VALUES (103128, 7434, 19, 'إسم مجموعة رقم هوية المريض');
INSERT INTO `lang_definitions` VALUES (103129, 7437, 19, 'تطعيمات المريض');
INSERT INTO `lang_definitions` VALUES (103130, 7438, 19, 'معلومات المريض');
INSERT INTO `lang_definitions` VALUES (103131, 7440, 19, 'تعليمات المريض');
INSERT INTO `lang_definitions` VALUES (103132, 7441, 19, 'توزيع تأمين المريض');
INSERT INTO `lang_definitions` VALUES (103133, 7442, 19, 'تقرير عن توزيع تأمين المريض');
INSERT INTO `lang_definitions` VALUES (103134, 7445, 19, 'مشاكل المريض');
INSERT INTO `lang_definitions` VALUES (103135, 7447, 19, 'لقب المريض');
INSERT INTO `lang_definitions` VALUES (103136, 7449, 19, 'لقب المريض مفقود');
INSERT INTO `lang_definitions` VALUES (103137, 7454, 19, 'قائمة المريض');
INSERT INTO `lang_definitions` VALUES (103138, 7455, 19, 'أعمدة قائمة المريض');
INSERT INTO `lang_definitions` VALUES (103139, 7457, 19, 'نافذة جديدة لقائمة المريض');
INSERT INTO `lang_definitions` VALUES (103140, 7458, 19, 'حجم صفحة قائمة المريض');
INSERT INTO `lang_definitions` VALUES (103141, 7460, 19, 'أخطاء فى البحث عن المريض');
INSERT INTO `lang_definitions` VALUES (103142, 7463, 19, 'مشاكل المريض الصحية');
INSERT INTO `lang_definitions` VALUES (103143, 7464, 19, 'أدوية المريض');
INSERT INTO `lang_definitions` VALUES (103144, 7470, 19, 'أسم المريض');
INSERT INTO `lang_definitions` VALUES (103145, 7472, 19, 'أسم المريض وعنوانه');
INSERT INTO `lang_definitions` VALUES (103146, 7475, 19, 'أسم المريض مطلوب');
INSERT INTO `lang_definitions` VALUES (103147, 7477, 19, 'مذكرة المريض');
INSERT INTO `lang_definitions` VALUES (103148, 7478, 19, 'انواع مذكرة المريض');
INSERT INTO `lang_definitions` VALUES (103149, 7479, 19, 'مذكرات المريض');
INSERT INTO `lang_definitions` VALUES (103150, 7480, 19, 'مذكرات المريض (اكتب, اﻹضافة اختيارية)');
INSERT INTO `lang_definitions` VALUES (103151, 7482, 19, 'رقم المريض');
INSERT INTO `lang_definitions` VALUES (103152, 7483, 19, 'مدفوعات المريض');
INSERT INTO `lang_definitions` VALUES (103153, 7485, 19, 'إسم مجموعة صورة المريض');
INSERT INTO `lang_definitions` VALUES (103154, 7487, 19, 'بوابة المريض');
INSERT INTO `lang_definitions` VALUES (103155, 7492, 19, 'بوابة المريض مغلقة');
INSERT INTO `lang_definitions` VALUES (103156, 7493, 19, 'الولوج الي بوابة المريض');
INSERT INTO `lang_definitions` VALUES (103157, 7496, 19, 'عنوان بوابة المريض على الإنترنت');
INSERT INTO `lang_definitions` VALUES (103158, 7497, 19, 'تقرير المريض المطبوع');
INSERT INTO `lang_definitions` VALUES (103159, 7499, 19, 'تقرير سجل المريض');
INSERT INTO `lang_definitions` VALUES (103160, 7500, 19, 'طلب تقرير المريض');
INSERT INTO `lang_definitions` VALUES (103161, 7501, 19, 'طلب سجل المريض');
INSERT INTO `lang_definitions` VALUES (103162, 7503, 19, 'تنبيه المريض');
INSERT INTO `lang_definitions` VALUES (103163, 7505, 19, 'عمل دفعات لتنبية المريض');
INSERT INTO `lang_definitions` VALUES (103164, 7506, 19, 'اولوية إنشاء تنبيه المريض');
INSERT INTO `lang_definitions` VALUES (103165, 7507, 19, 'قواعد تنبيه المريض');
INSERT INTO `lang_definitions` VALUES (103166, 7508, 19, 'ايميل مرسل تنبيه المريض');
INSERT INTO `lang_definitions` VALUES (103167, 7509, 19, 'اسم مرسل تنبيه المريض');
INSERT INTO `lang_definitions` VALUES (103168, 7510, 19, 'تنبيهات المريض');
INSERT INTO `lang_definitions` VALUES (103169, 7514, 19, 'تقرير المريض');
INSERT INTO `lang_definitions` VALUES (103170, 7518, 19, 'طلب المريض');
INSERT INTO `lang_definitions` VALUES (103171, 7519, 19, 'السجلات الطبية المطلوبة بواسطة المريض');
INSERT INTO `lang_definitions` VALUES (103172, 7521, 19, 'نتائج المريض');
INSERT INTO `lang_definitions` VALUES (103173, 7525, 19, 'تصميم البحث عن نتائج المريض');
INSERT INTO `lang_definitions` VALUES (103174, 7526, 19, 'البحث عن المريض/شاشة الإضافة');
INSERT INTO `lang_definitions` VALUES (103175, 7528, 19, 'إعدادات المريض');
INSERT INTO `lang_definitions` VALUES (103176, 7533, 19, 'ولاية المريض');
INSERT INTO `lang_definitions` VALUES (103177, 7539, 19, 'ملخص المريض');
INSERT INTO `lang_definitions` VALUES (103178, 7542, 19, 'تعاملات المريض المادية');
INSERT INTO `lang_definitions` VALUES (103179, 7546, 19, 'رمز المريض البريدي');
INSERT INTO `lang_definitions` VALUES (103180, 7549, 19, 'المرضي في قاعدة البيانات الذي تطابق معلوماتهم السكانية معايير بحثك');
INSERT INTO `lang_definitions` VALUES (103181, 7550, 19, 'المريض/العميل');
INSERT INTO `lang_definitions` VALUES (103182, 7551, 19, 'المريض :');
INSERT INTO `lang_definitions` VALUES (103183, 7552, 19, 'رقم هوية المريض');
INSERT INTO `lang_definitions` VALUES (103184, 7553, 19, 'المرضي');
INSERT INTO `lang_definitions` VALUES (103185, 7555, 19, 'المرضي المعالجين');
INSERT INTO `lang_definitions` VALUES (103186, 7559, 19, 'دفع');
INSERT INTO `lang_definitions` VALUES (103187, 7560, 19, 'اعط اهتماما لخانة تأشير المعلمة ب \"تم مع\". كل الدفعات التأمينية المتبقية علي المريض لن تحّصل اذا تم تجاهل هذا اﻹختيار.');
INSERT INTO `lang_definitions` VALUES (103188, 7563, 19, 'تاريخ الدفع :');
INSERT INTO `lang_definitions` VALUES (103189, 7566, 19, 'حالة الدفع');
INSERT INTO `lang_definitions` VALUES (103190, 7567, 19, 'اسم المدفوع له');
INSERT INTO `lang_definitions` VALUES (103191, 7568, 19, 'الدافع');
INSERT INTO `lang_definitions` VALUES (103192, 7572, 19, 'نوع الدافع');
INSERT INTO `lang_definitions` VALUES (103193, 7573, 19, 'جاري الدفع');
INSERT INTO `lang_definitions` VALUES (103194, 7574, 19, 'كيان دافع');
INSERT INTO `lang_definitions` VALUES (103195, 7575, 19, 'مدفوعة');
INSERT INTO `lang_definitions` VALUES (103196, 7576, 19, 'مدفوعة');
INSERT INTO `lang_definitions` VALUES (103197, 7577, 19, 'رمز تعديل المدفوعة');
INSERT INTO `lang_definitions` VALUES (103198, 7578, 19, 'المدفوع لأجل');
INSERT INTO `lang_definitions` VALUES (103199, 7579, 19, 'المبلغ المدفوع');
INSERT INTO `lang_definitions` VALUES (103200, 7580, 19, 'المبلغ المدفوع يجب ان يكون رقماَ');
INSERT INTO `lang_definitions` VALUES (103201, 7581, 19, 'صنف الدفع');
INSERT INTO `lang_definitions` VALUES (103202, 7583, 19, 'تاريخ الدفع');
INSERT INTO `lang_definitions` VALUES (103203, 7584, 19, 'تم إدخال الدفع بتاريخ');
INSERT INTO `lang_definitions` VALUES (103204, 7585, 19, 'تم الدفع من');
INSERT INTO `lang_definitions` VALUES (103205, 7586, 19, 'ممرات الدفع');
INSERT INTO `lang_definitions` VALUES (103206, 7588, 19, 'دفع التأمين');
INSERT INTO `lang_definitions` VALUES (103207, 7589, 19, 'قائمة الدفع');
INSERT INTO `lang_definitions` VALUES (103208, 7590, 19, 'طريقة الدفع');
INSERT INTO `lang_definitions` VALUES (103209, 7592, 19, 'إفرز الدفع بواسطة');
INSERT INTO `lang_definitions` VALUES (103210, 7593, 19, 'حالة الدفع');
INSERT INTO `lang_definitions` VALUES (103211, 7597, 19, 'نوع الدفع');
INSERT INTO `lang_definitions` VALUES (103212, 7600, 19, 'قيمة الدفع بالرمز');
INSERT INTO `lang_definitions` VALUES (103213, 7602, 19, 'مدفوعات');
INSERT INTO `lang_definitions` VALUES (103214, 7606, 19, 'طبيب الرعاية الأولية');
INSERT INTO `lang_definitions` VALUES (103215, 7607, 19, 'نسبة الصفوص');
INSERT INTO `lang_definitions` VALUES (103216, 7610, 19, 'ملف PDF');
INSERT INTO `lang_definitions` VALUES (103217, 7614, 19, 'نزل البيانات المختارة بصيغة PDF');
INSERT INTO `lang_definitions` VALUES (103218, 7620, 19, 'الحوض و المؤخرة');
INSERT INTO `lang_definitions` VALUES (103219, 7621, 19, 'شبيه الفقاع');
INSERT INTO `lang_definitions` VALUES (103220, 7624, 19, 'معلق');
INSERT INTO `lang_definitions` VALUES (103221, 7629, 19, 'متابعة معلقة');
INSERT INTO `lang_definitions` VALUES (103222, 7630, 19, 'متابعة معلقة');
INSERT INTO `lang_definitions` VALUES (103223, 7631, 19, 'متابعة معلقة من النتائج');
INSERT INTO `lang_definitions` VALUES (103224, 7632, 19, 'أوامر معلقة');
INSERT INTO `lang_definitions` VALUES (103225, 7633, 19, 'حجز معلّق');
INSERT INTO `lang_definitions` VALUES (103226, 7634, 19, 'مراجعة معلقة');
INSERT INTO `lang_definitions` VALUES (103227, 7635, 19, 'تعداد الوصفة معلق');
INSERT INTO `lang_definitions` VALUES (103228, 7638, 19, 'شركة بنينجتون');
INSERT INTO `lang_definitions` VALUES (103229, 7639, 19, 'قرحه المعدة');
INSERT INTO `lang_definitions` VALUES (103230, 7640, 19, 'لكل زيارة');
INSERT INTO `lang_definitions` VALUES (103231, 7641, 19, 'لكل دقيقة');
INSERT INTO `lang_definitions` VALUES (103232, 7642, 19, 'لكل فتحة انف');
INSERT INTO `lang_definitions` VALUES (103233, 7643, 19, 'لكل فتحة انف');
INSERT INTO `lang_definitions` VALUES (103234, 7644, 19, 'عن طريق الفم');
INSERT INTO `lang_definitions` VALUES (103235, 7645, 19, 'عن طريق الفم');
INSERT INTO `lang_definitions` VALUES (103236, 7646, 19, 'عن طريق الشرج');
INSERT INTO `lang_definitions` VALUES (103237, 7647, 19, 'عن طريق الشرج');
INSERT INTO `lang_definitions` VALUES (103238, 7648, 19, 'نسبة');
INSERT INTO `lang_definitions` VALUES (103239, 7652, 19, 'نسبوي');
INSERT INTO `lang_definitions` VALUES (103240, 7653, 19, 'مثقوب يمينا:');
INSERT INTO `lang_definitions` VALUES (103241, 7654, 19, 'أجر البحث');
INSERT INTO `lang_definitions` VALUES (103242, 7655, 19, 'أجر هذا الفعل');
INSERT INTO `lang_definitions` VALUES (103243, 7656, 19, 'نسبة الأداء');
INSERT INTO `lang_definitions` VALUES (103244, 7659, 19, 'منشأة المعمل المؤدي');
INSERT INTO `lang_definitions` VALUES (103245, 7661, 19, 'فتره زمنية');
INSERT INTO `lang_definitions` VALUES (103246, 7662, 19, 'المدة (باليوم) المسموح للمستخدم الدخول بكلمة سر منتهية الصلاحية');
INSERT INTO `lang_definitions` VALUES (103247, 7663, 19, 'العناية المتعلقة بالجراحة');
INSERT INTO `lang_definitions` VALUES (103248, 7665, 19, 'طرفي');
INSERT INTO `lang_definitions` VALUES (103249, 7668, 19, 'اسمح لكلمات السر السهلة');
INSERT INTO `lang_definitions` VALUES (103250, 7669, 19, 'فارسي');
INSERT INTO `lang_definitions` VALUES (103251, 7671, 19, 'شخص');
INSERT INTO `lang_definitions` VALUES (103252, 7672, 19, 'حسب الطلب');
INSERT INTO `lang_definitions` VALUES (103253, 7675, 19, 'ما بعد التخرّج');
INSERT INTO `lang_definitions` VALUES (103254, 7676, 19, 'دوائي');
INSERT INTO `lang_definitions` VALUES (103255, 7677, 19, 'تعداد أدوية الصيدلية');
INSERT INTO `lang_definitions` VALUES (103256, 7678, 19, 'صيدليات');
INSERT INTO `lang_definitions` VALUES (103257, 7680, 19, 'صيدلية');
INSERT INTO `lang_definitions` VALUES (103258, 7681, 19, 'صيدلية بائعة للدواء');
INSERT INTO `lang_definitions` VALUES (103259, 7688, 19, 'الاسترواح الصدري');
INSERT INTO `lang_definitions` VALUES (103260, 7691, 19, 'phiMail فاصل زمني بين جلب الرسائل');
INSERT INTO `lang_definitions` VALUES (103261, 7692, 19, 'phiMail مستخدم التنبيهات');
INSERT INTO `lang_definitions` VALUES (103262, 7693, 19, 'phiMail كلمة السر ل');
INSERT INTO `lang_definitions` VALUES (103263, 7694, 19, 'phiMail عنوان الخادم');
INSERT INTO `lang_definitions` VALUES (103264, 7695, 19, 'phiMail اسم المستخدم');
INSERT INTO `lang_definitions` VALUES (103265, 7697, 19, 'هاتف');
INSERT INTO `lang_definitions` VALUES (103266, 7699, 19, 'قائمة اتصال الهاتف');
INSERT INTO `lang_definitions` VALUES (103267, 7701, 19, 'تقرير قائمة اتصال الهاتف');
INSERT INTO `lang_definitions` VALUES (103268, 7705, 19, 'كلمة سر ممر الهاتف');
INSERT INTO `lang_definitions` VALUES (103269, 7706, 19, 'عنوان ممر الهاتف');
INSERT INTO `lang_definitions` VALUES (103270, 7707, 19, 'إسم مستخدم ممر الهاتف');
INSERT INTO `lang_definitions` VALUES (103271, 7709, 19, 'ساعة إعلام الهاتف');
INSERT INTO `lang_definitions` VALUES (103272, 7711, 19, 'رقم الهاتف');
INSERT INTO `lang_definitions` VALUES (103273, 7715, 19, 'رهاب الضوء');
INSERT INTO `lang_definitions` VALUES (103274, 7716, 19, 'صور');
INSERT INTO `lang_definitions` VALUES (103275, 7717, 19, 'PHP مضغوط');
INSERT INTO `lang_definitions` VALUES (103276, 7718, 19, 'PHP CURL يجب ان يكون مفعلا فى خادمك');
INSERT INTO `lang_definitions` VALUES (103277, 7720, 19, 'PHP تم فك الضغط عنه');
INSERT INTO `lang_definitions` VALUES (103278, 7721, 19, 'php-GACL تحكمات وسيلة الوصول مغلقة');
INSERT INTO `lang_definitions` VALUES (103279, 7722, 19, 'PHP-gacl غير مثبّت');
INSERT INTO `lang_definitions` VALUES (103280, 7723, 19, 'فحص جسدي');
INSERT INTO `lang_definitions` VALUES (103281, 7725, 19, 'طلب الطبيب');
INSERT INTO `lang_definitions` VALUES (103282, 7726, 19, 'توقيع الطبيب');
INSERT INTO `lang_definitions` VALUES (103283, 7729, 19, 'أطباء');
INSERT INTO `lang_definitions` VALUES (103284, 7733, 19, 'إنتقي');
INSERT INTO `lang_definitions` VALUES (103285, 7734, 19, 'إنتقي');
INSERT INTO `lang_definitions` VALUES (103286, 7735, 19, 'إنتقي تصميم ال CSS');
INSERT INTO `lang_definitions` VALUES (103287, 7738, 19, 'مَرَضٌ الْتِهابِيٌّ حَوضِيّ');
INSERT INTO `lang_definitions` VALUES (103288, 7740, 19, 'مَرَضٌ الْتِهابِيٌّ حَوضِيّ');
INSERT INTO `lang_definitions` VALUES (103289, 7741, 19, 'حجم حبة الدواء');
INSERT INTO `lang_definitions` VALUES (103290, 7742, 19, 'حبوب الدواء');
INSERT INTO `lang_definitions` VALUES (103291, 7745, 19, 'ضع ملف قاعدة البيانات المضغوط فى المجلد التالي اذا كنت تريد إختيار التثبيت');
INSERT INTO `lang_definitions` VALUES (103292, 7746, 19, 'ضع الملف المنزّل قاعدة بيانات ICD 10 المضغوط فى المجلد التالي');
INSERT INTO `lang_definitions` VALUES (103293, 7747, 19, 'ضع الملف المنزّل قاعدة بيانات ICD 9 المضغوط فى المجلد التالي');
INSERT INTO `lang_definitions` VALUES (103294, 7748, 19, 'ضع الملف المنزّل قاعدة بيانات RxNorm المضغوط فى المجلد التالي');
INSERT INTO `lang_definitions` VALUES (103295, 7749, 19, 'ضع الملف المنزّل قاعدة بيانات Snomed المضغوط فى المجلد التالي');
INSERT INTO `lang_definitions` VALUES (103296, 7752, 19, 'ماسك المكان');
INSERT INTO `lang_definitions` VALUES (103297, 7753, 19, 'ماسك المكان (يعتني بACLs فارغة)');
INSERT INTO `lang_definitions` VALUES (103298, 7756, 19, 'نص صِرف');
INSERT INTO `lang_definitions` VALUES (103299, 7757, 19, 'خطة');
INSERT INTO `lang_definitions` VALUES (103300, 7762, 19, 'إسم الخطة');
INSERT INTO `lang_definitions` VALUES (103301, 7768, 19, 'مخططات');
INSERT INTO `lang_definitions` VALUES (103302, 7773, 19, 'خطة:');
INSERT INTO `lang_definitions` VALUES (103303, 7776, 19, 'خطط');
INSERT INTO `lang_definitions` VALUES (103304, 7778, 19, 'لاعب');
INSERT INTO `lang_definitions` VALUES (103305, 7779, 19, 'موقع اللعب');
INSERT INTO `lang_definitions` VALUES (103306, 7780, 19, 'الرحاء اﻹتصال اذا كانت المعلومات أعلاه غير صحيحة');
INSERT INTO `lang_definitions` VALUES (103307, 7784, 19, 'الرجاء تغيير كلمة السر');
INSERT INTO `lang_definitions` VALUES (103308, 7785, 19, 'الرجاء إختر ملف');
INSERT INTO `lang_definitions` VALUES (103309, 7786, 19, 'الرجاء إختر مريض');
INSERT INTO `lang_definitions` VALUES (103310, 7787, 19, 'الرجاء إختر مختارات مقبولة من القائمة');
INSERT INTO `lang_definitions` VALUES (103311, 7788, 19, 'الرجاء إختر مختارات مقبولة');
INSERT INTO `lang_definitions` VALUES (103312, 7789, 19, 'الرجاء إختر قيمة ل');
INSERT INTO `lang_definitions` VALUES (103313, 7790, 19, 'الرجاء إختر مجال التاريخ أعلاه ثم اضغط على التنشيط لمشاهدة النتائج');
INSERT INTO `lang_definitions` VALUES (103314, 7791, 19, 'الرجاء إختر ملف EDI-271 معالج جيداَ');
INSERT INTO `lang_definitions` VALUES (103315, 7792, 19, 'اضغط زر التنزيل لتنزيل البيانات ممسوحة الهوية');
INSERT INTO `lang_definitions` VALUES (103316, 7793, 19, 'اضغط زر التنزيل لتنزيل البيانات معاده تعريف الهوية');
INSERT INTO `lang_definitions` VALUES (103317, 7795, 19, 'الرجاء إغلاق هذة النافذة.');
INSERT INTO `lang_definitions` VALUES (103318, 7796, 19, 'الرجاء مقارنة اﻹسم الجديد');
INSERT INTO `lang_definitions` VALUES (103319, 7803, 19, 'الرجاء إنشاء الملف التالي قبل المضي قدماَ');
INSERT INTO `lang_definitions` VALUES (103320, 7805, 19, 'الرجاء عدم قبول هذة الوصفة الا فى حال استلامها بالفاكس');
INSERT INTO `lang_definitions` VALUES (103321, 7806, 19, 'الرجاء عدم قبول هذة الوصفة الا فى حال استلامها بالفاكس');
INSERT INTO `lang_definitions` VALUES (103322, 7807, 19, 'الرجاء عدم إستخدام زر الإيقاف او إعادة التحميل بمتصفحك الا فى حالة التوقف أكثر من 10 دقائق');
INSERT INTO `lang_definitions` VALUES (103323, 7808, 19, 'الرجاء تمكين إضافة CURL');
INSERT INTO `lang_definitions` VALUES (103324, 7809, 19, 'الرجاء تمكين إضافة OPENSSL');
INSERT INTO `lang_definitions` VALUES (103325, 7810, 19, 'الرجاء تمكين إضافة SOAP');
INSERT INTO `lang_definitions` VALUES (103326, 7811, 19, 'الرجاء تمكين إضافة XML');
INSERT INTO `lang_definitions` VALUES (103327, 7813, 19, 'الرجاء إدخال تاريخ لاخر مراجعة');
INSERT INTO `lang_definitions` VALUES (103328, 7814, 19, 'الرجاء ادخال التاريخ');
INSERT INTO `lang_definitions` VALUES (103329, 7816, 19, 'الرجاء ادخال التاريخ المتوقع');
INSERT INTO `lang_definitions` VALUES (103330, 7818, 19, 'الرجاء ادخال الرسالة');
INSERT INTO `lang_definitions` VALUES (103331, 7819, 19, 'الرجاء ادخال القيمة المادية بإستخدام اﻷرقام و الفواصل فقط');
INSERT INTO `lang_definitions` VALUES (103332, 7821, 19, 'الرجاء ادخال كلمة سر جديدة');
INSERT INTO `lang_definitions` VALUES (103333, 7822, 19, 'الرجاء ادخال العنوان!');
INSERT INTO `lang_definitions` VALUES (103334, 7824, 19, 'الرجاء ادخال عنواناَ صالحاَ أعلاه');
INSERT INTO `lang_definitions` VALUES (103335, 7828, 19, 'الرجاء ادخال رمزاَ صالحاَ ﻹعادة التعريف');
INSERT INTO `lang_definitions` VALUES (103336, 7832, 19, 'الرجاء ادخال طلب بحث جديد');
INSERT INTO `lang_definitions` VALUES (103337, 7833, 19, 'الرجاء ادخال رمزاَ صالحاَ ﻹعادة التعريف');
INSERT INTO `lang_definitions` VALUES (103338, 7834, 19, 'الرجاء ادخال كلمة السر');
INSERT INTO `lang_definitions` VALUES (103339, 7843, 19, 'الرجاء إكمال رقم الشيك');
INSERT INTO `lang_definitions` VALUES (103340, 7844, 19, 'الرجاء إكمال رقم الشيك/المرجع');
INSERT INTO `lang_definitions` VALUES (103341, 7845, 19, 'الرجاء إكمال التاريخ');
INSERT INTO `lang_definitions` VALUES (103342, 7846, 19, 'الرجاء إكمال مبلغ الدفع');
INSERT INTO `lang_definitions` VALUES (103343, 7847, 19, 'الرجاء إكمال مجموعة الدفع');
INSERT INTO `lang_definitions` VALUES (103344, 7848, 19, 'الرجاء إكمال طلب الدفع');
INSERT INTO `lang_definitions` VALUES (103345, 7849, 19, 'الرجاء إكمال احجز ليوم');
INSERT INTO `lang_definitions` VALUES (103346, 7850, 19, 'الرجاء الإكمال قيل المضي قدماَ');
INSERT INTO `lang_definitions` VALUES (103347, 7854, 19, 'الرجاء إضافة سبب الزيارة');
INSERT INTO `lang_definitions` VALUES (103348, 7855, 19, 'الرجاء إضافة معايير البحث أعلاه ثم اضغط إرسال لبدء التقرير');
INSERT INTO `lang_definitions` VALUES (103349, 7856, 19, 'الرجاء إضافة معايير البحث أعلاه ثم اضغط إرسال لرؤية النتائج');
INSERT INTO `lang_definitions` VALUES (103350, 7857, 19, 'الرجاء إضافة معايير البحث أعلاه ثم اضغط إرسال لرؤية النتائج (سيتم عرض النتائج في نافذة جديدة)');
INSERT INTO `lang_definitions` VALUES (103351, 7858, 19, 'الرجاء الولوج ثانيا');
INSERT INTO `lang_definitions` VALUES (103352, 7859, 19, 'الرجاء الإنتباه إلي ان هذا قد يأخد وقتا طويلا بالدقائق و قد يبدو متصفحك غير مستجيب و لكن إنشاء الفواتير عملية معقدة');
INSERT INTO `lang_definitions` VALUES (103353, 7860, 19, 'الرجاء الإنتباه: الثوابت حساسة لحالة الحرف (مطبق علي الإنجليزية)');
INSERT INTO `lang_definitions` VALUES (103354, 7861, 19, 'الرجاء إستخدام اﻷحرف الكتابية فقط');
INSERT INTO `lang_definitions` VALUES (103355, 7862, 19, 'الرجاء إستخدام اﻷحرف الكتابية فقط بدون مسافات');
INSERT INTO `lang_definitions` VALUES (103356, 7863, 19, 'الرجاء دفع هذا المبلغ');
INSERT INTO `lang_definitions` VALUES (103357, 7864, 19, 'الرجاء ضع ملفات التثبيت في المجلد التالي');
INSERT INTO `lang_definitions` VALUES (103358, 7867, 19, 'الرجاء حول الي');
INSERT INTO `lang_definitions` VALUES (103359, 7868, 19, 'الرجاء تصفير كلمة السر');
INSERT INTO `lang_definitions` VALUES (103360, 7869, 19, 'الرجاء اعادة تشغيل خادم اﻷباتشي قبل تجربة الغاء الهوية');
INSERT INTO `lang_definitions` VALUES (103361, 7875, 19, 'الرجاء إختيار');
INSERT INTO `lang_definitions` VALUES (103362, 7877, 19, 'الرجاء إختيار اللغة');
INSERT INTO `lang_definitions` VALUES (103363, 7878, 19, 'الرجاء إختيار المريض');
INSERT INTO `lang_definitions` VALUES (103364, 7879, 19, 'الرجاء إختيار منشأة العمل الرئيسيه مع رقم هويه الضريبة لتعريفها كرمزك الضريبي ولكن ان كنت بمفردك (كعيادة) فإستخدم رقمك الضريبي الخاص');
INSERT INTO `lang_definitions` VALUES (103365, 7882, 19, 'الرجاء إختيار المريض');
INSERT INTO `lang_definitions` VALUES (103366, 7884, 19, 'الرجاء إختيار تاريخ البدء و الإنتهاء');
INSERT INTO `lang_definitions` VALUES (103367, 7885, 19, 'الرجاء إختيار مستفيد قيّم');
INSERT INTO `lang_definitions` VALUES (103368, 7888, 19, 'الرجاء إختيار سبب تغيير الرمز');
INSERT INTO `lang_definitions` VALUES (103369, 7889, 19, 'الرجاء إختيار الحدث');
INSERT INTO `lang_definitions` VALUES (103370, 7891, 19, 'الرجاء إختيار خيار للبحث');
INSERT INTO `lang_definitions` VALUES (103371, 7894, 19, 'الرجاء إختيار وصفة واحدة علي اﻷقل!');
INSERT INTO `lang_definitions` VALUES (103372, 7899, 19, 'الرجاء إختيار الصفحات المختارة للنسخ او التحويل:');
INSERT INTO `lang_definitions` VALUES (103373, 7900, 19, 'الرجاء إختيار طريقة الدفع');
INSERT INTO `lang_definitions` VALUES (103374, 7903, 19, 'الرجاء إختيار نوعية الدفع');
INSERT INTO `lang_definitions` VALUES (103375, 7905, 19, 'الرجاء إختيار شريك X12, المطلوب لتكوين جمله ال 270');
INSERT INTO `lang_definitions` VALUES (103376, 7906, 19, 'الرجاء ضبط');
INSERT INTO `lang_definitions` VALUES (103377, 7907, 19, 'الرجاء ضبط إعداد إلغاء الهوية الي الصفر ثانيا');
INSERT INTO `lang_definitions` VALUES (103378, 7910, 19, 'الرجاء البدء بعملية جديدة ﻹلغاء الهوية');
INSERT INTO `lang_definitions` VALUES (103379, 7913, 19, 'الرجاء ترقية قاعدة بيانات البرنامج لتشمل إجراءات إلغاء الهوية');
INSERT INTO `lang_definitions` VALUES (103380, 7915, 19, 'الرجاء الإطلاع علي تسجيل جدول الخطأ لإجراءات إلغاء الهوية');
INSERT INTO `lang_definitions` VALUES (103381, 7916, 19, 'الرجاء زيارة شاشة إجراءات إلغاء الهوية بعد بعض الوقت');
INSERT INTO `lang_definitions` VALUES (103382, 7917, 19, 'الرجاء زيارة شاشة إجراءات إعادة الهوية بعد بعض الوقت');
INSERT INTO `lang_definitions` VALUES (103383, 7918, 19, 'الرجاء زيارة الشاشة بعد بعض الوقت');
INSERT INTO `lang_definitions` VALUES (103384, 7922, 19, 'جمع');
INSERT INTO `lang_definitions` VALUES (103385, 7926, 19, 'مساءً');
INSERT INTO `lang_definitions` VALUES (103386, 7927, 19, 'البرنامج المسائي');
INSERT INTO `lang_definitions` VALUES (103387, 7933, 19, 'طريقة الدفع');
INSERT INTO `lang_definitions` VALUES (103388, 7934, 19, 'ضيقُ النَّفَسِ اللَّيلِيُّ الانْتِيابِيّ');
INSERT INTO `lang_definitions` VALUES (103389, 7935, 19, 'مترافق المُكَوَّاراتِ الرِّئَوِيَّة 1');
INSERT INTO `lang_definitions` VALUES (103390, 7936, 19, 'مترافق المُكَوَّاراتِ الرِّئَوِيَّة 2');
INSERT INTO `lang_definitions` VALUES (103391, 7937, 19, 'مترافق المُكَوَّاراتِ الرِّئَوِيَّة 3');
INSERT INTO `lang_definitions` VALUES (103392, 7938, 19, 'مترافق المُكَوَّاراتِ الرِّئَوِيَّة 4');
INSERT INTO `lang_definitions` VALUES (103393, 7939, 19, 'تطعيم المُكَوَّاراتِ الرِّئَوِيَّة');
INSERT INTO `lang_definitions` VALUES (103394, 7940, 19, 'تطعيم ذاتُ الرّئَة');
INSERT INTO `lang_definitions` VALUES (103395, 7941, 19, 'حالة تطعيم ذاتُ الرّئَة للبالغين');
INSERT INTO `lang_definitions` VALUES (103396, 7942, 19, 'حالة تطعيم ذاتُ الرّئَة للبالغين (CQM)');
INSERT INTO `lang_definitions` VALUES (103397, 7943, 19, 'طب اﻷقدام');
INSERT INTO `lang_definitions` VALUES (103398, 7946, 19, 'نقطة الخدمة');
INSERT INTO `lang_definitions` VALUES (103399, 7947, 19, 'بوليصة');
INSERT INTO `lang_definitions` VALUES (103400, 7950, 19, 'رقم البوليصة');
INSERT INTO `lang_definitions` VALUES (103401, 7951, 19, 'رقم البوليصة');
INSERT INTO `lang_definitions` VALUES (103402, 7952, 19, 'بولندي');
INSERT INTO `lang_definitions` VALUES (103403, 7953, 19, 'العطاش');
INSERT INTO `lang_definitions` VALUES (103404, 7955, 19, 'سَلاَئِلُ');
INSERT INTO `lang_definitions` VALUES (103405, 7956, 19, 'بُوال');
INSERT INTO `lang_definitions` VALUES (103406, 7957, 19, 'ضعف الشهية');
INSERT INTO `lang_definitions` VALUES (103407, 7958, 19, 'دورة ضعيفة');
INSERT INTO `lang_definitions` VALUES (103408, 7959, 19, 'سمع ضعيف');
INSERT INTO `lang_definitions` VALUES (103409, 7962, 19, 'خاصية النوافذ المنبثقة يجب ان تفعّل لرؤية هذة التقارير');
INSERT INTO `lang_definitions` VALUES (103410, 7964, 19, 'إملأ منظر السنة باﻷحداث؟');
INSERT INTO `lang_definitions` VALUES (103411, 7965, 19, 'النوافذ المنبثقة');
INSERT INTO `lang_definitions` VALUES (103412, 7967, 19, 'بوابة');
INSERT INTO `lang_definitions` VALUES (103413, 7969, 19, 'نشاط البوابة');
INSERT INTO `lang_definitions` VALUES (103414, 7985, 19, 'برتغالي');
INSERT INTO `lang_definitions` VALUES (103415, 7987, 19, 'برتغالي (برازيلي)');
INSERT INTO `lang_definitions` VALUES (103416, 7988, 19, 'برتغالي (اوروبي)');
INSERT INTO `lang_definitions` VALUES (103417, 7989, 19, 'رمز نقطة الخدمة');
INSERT INTO `lang_definitions` VALUES (103418, 7992, 19, 'إيجابي');
INSERT INTO `lang_definitions` VALUES (103419, 7993, 19, 'إيجابيات');
INSERT INTO `lang_definitions` VALUES (103420, 7996, 19, 'إعرض بدلا عن');
INSERT INTO `lang_definitions` VALUES (103421, 7998, 19, 'تدفق إفرازات الأنف إلى الخلف');
INSERT INTO `lang_definitions` VALUES (103422, 8000, 19, 'ما بعد المدفوعات');
INSERT INTO `lang_definitions` VALUES (103423, 8001, 19, 'ما بعد الجراحة');
INSERT INTO `lang_definitions` VALUES (103424, 8002, 19, 'أرسل الي المحاسبة و صنف كمفوتر');
INSERT INTO `lang_definitions` VALUES (103425, 8003, 19, 'أرسل الي التاريخ');
INSERT INTO `lang_definitions` VALUES (103426, 8004, 19, 'أرسل الي التاريخ لا يجوز ان يكون ابعد من اليوم');
INSERT INTO `lang_definitions` VALUES (103427, 8006, 19, 'أرسل الي التاريخ يجب ان يكون أكبر من تاريخ أغلاق المحاسبة');
INSERT INTO `lang_definitions` VALUES (103428, 8007, 19, 'عناية ما بعد اﻹجهاض');
INSERT INTO `lang_definitions` VALUES (103429, 8008, 19, 'منع حمل ما بعد اﻹجهاض');
INSERT INTO `lang_definitions` VALUES (103430, 8009, 19, 'إرشاد ما بعد اﻹجهاض');
INSERT INTO `lang_definitions` VALUES (103431, 8010, 19, 'متابعة ما بعد اﻹجهاض');
INSERT INTO `lang_definitions` VALUES (103432, 8011, 19, 'بريدي');
INSERT INTO `lang_definitions` VALUES (103433, 8012, 19, 'الرمز البريدي');
INSERT INTO `lang_definitions` VALUES (103434, 8013, 19, 'الرمز البريدي');
INSERT INTO `lang_definitions` VALUES (103435, 8015, 19, 'PostCalendar');
INSERT INTO `lang_definitions` VALUES (103436, 8016, 19, 'إدارة PostCalendar');
INSERT INTO `lang_definitions` VALUES (103437, 8017, 19, 'إعدادات تصنييف PostCalendar');
INSERT INTO `lang_definitions` VALUES (103438, 8018, 19, 'إعدادات العامة PostCalendar');
INSERT INTO `lang_definitions` VALUES (103439, 8023, 19, 'تم اﻹرسال بتاريخ');
INSERT INTO `lang_definitions` VALUES (103440, 8026, 19, 'تاريخ اﻹرسال');
INSERT INTO `lang_definitions` VALUES (103441, 8032, 19, 'مشغل ب');
INSERT INTO `lang_definitions` VALUES (103442, 8033, 19, 'معدات السلامة الشخصية + التاريخ المرضي الطبي و الجراحي');
INSERT INTO `lang_definitions` VALUES (103443, 8034, 19, 'مبادرة اﻹبلغ عن كفائة الطبيب');
INSERT INTO `lang_definitions` VALUES (103444, 8035, 19, 'رقم التسجيل لمبادرة اﻹبلاغ عن كفائة الطبيب');
INSERT INTO `lang_definitions` VALUES (103445, 8036, 19, 'إسم التسجيل لمبادرة اﻹبلاغ عن كفائة الطبيب');
INSERT INTO `lang_definitions` VALUES (103446, 8037, 19, 'ممارسة');
INSERT INTO `lang_definitions` VALUES (103447, 8038, 19, 'الإعدادت الإفتراضية للممارسة');
INSERT INTO `lang_definitions` VALUES (103448, 8039, 19, 'إعدادت الممارسة');
INSERT INTO `lang_definitions` VALUES (103449, 8041, 19, 'ممارس');
INSERT INTO `lang_definitions` VALUES (103450, 8043, 19, 'قبل الدفع');
INSERT INTO `lang_definitions` VALUES (103451, 8044, 19, 'قبل الدفعة');
INSERT INTO `lang_definitions` VALUES (103452, 8045, 19, 'إستشارة ما قبل اﻹجهاض');
INSERT INTO `lang_definitions` VALUES (103453, 8046, 19, 'إرشاد ما قبل اﻹجهاض');
INSERT INTO `lang_definitions` VALUES (103454, 8048, 19, 'المجموعة المفضّلة');
INSERT INTO `lang_definitions` VALUES (103455, 8050, 19, 'التفضيلات');
INSERT INTO `lang_definitions` VALUES (103456, 8052, 19, 'تصنيف الحدث المفضل');
INSERT INTO `lang_definitions` VALUES (103457, 8053, 19, 'اللغة المفضلة');
INSERT INTO `lang_definitions` VALUES (103458, 8054, 19, 'الصيدلية المفضلة');
INSERT INTO `lang_definitions` VALUES (103459, 8055, 19, 'المنظمة المزودة المفضلة');
INSERT INTO `lang_definitions` VALUES (103460, 8056, 19, 'إختبار الحمل');
INSERT INTO `lang_definitions` VALUES (103461, 8057, 19, 'مبدئي');
INSERT INTO `lang_definitions` VALUES (103462, 8058, 19, 'يتم التجهيز لإعداد التقرير');
INSERT INTO `lang_definitions` VALUES (103463, 8059, 19, 'مسبق الدفع');
INSERT INTO `lang_definitions` VALUES (103464, 8061, 19, 'وصفة دوائية');
INSERT INTO `lang_definitions` VALUES (103465, 8063, 19, 'الوصفة الدوائية وصلت الي حدود ال');
INSERT INTO `lang_definitions` VALUES (103466, 8064, 19, 'سرد تاريخ الوصفة الدوائية');
INSERT INTO `lang_definitions` VALUES (103467, 8065, 19, 'تم جلب تاريخ الوصفة الدوائية بنجاح');
INSERT INTO `lang_definitions` VALUES (103468, 8066, 19, 'علامة الوصفة الدوائية');
INSERT INTO `lang_definitions` VALUES (103469, 8067, 19, 'تقرير الوصفة الدوائية');
INSERT INTO `lang_definitions` VALUES (103470, 8070, 19, 'الوصفات الدوائية');
INSERT INTO `lang_definitions` VALUES (103471, 8073, 19, 'الوصفات الدوائية و الصرف الدوائي');
INSERT INTO `lang_definitions` VALUES (103472, 8074, 19, 'الوصفات الدوائية و التحويلات اﻷخري');
INSERT INTO `lang_definitions` VALUES (103473, 8075, 19, 'الوصفات الدوائية و/او التحويلات بواسطة اﻷخصائي');
INSERT INTO `lang_definitions` VALUES (103474, 8076, 19, 'تقرير الوصفات الدوائية');
INSERT INTO `lang_definitions` VALUES (103475, 8077, 19, 'الوصفات الدوائية / التحويلات');
INSERT INTO `lang_definitions` VALUES (103476, 8078, 19, 'الحاضر');
INSERT INTO `lang_definitions` VALUES (103477, 8079, 19, 'الشكوي الحالية');
INSERT INTO `lang_definitions` VALUES (103478, 8080, 19, 'المشاكل الحالية');
INSERT INTO `lang_definitions` VALUES (103479, 8081, 19, 'إضغط أكمل لتتابع');
INSERT INTO `lang_definitions` VALUES (103480, 8084, 19, 'التشخيص المفترض');
INSERT INTO `lang_definitions` VALUES (103481, 8085, 19, 'التشخيص المفترض بواسطة اﻷخصائي');
INSERT INTO `lang_definitions` VALUES (103482, 8086, 19, 'السابق');
INSERT INTO `lang_definitions` VALUES (103483, 8087, 19, 'التاريخ المرضي الطبي و الجراحي السابق');
INSERT INTO `lang_definitions` VALUES (103484, 8088, 19, 'الشهر السابق (إبق ضاغطا للقائمة)');
INSERT INTO `lang_definitions` VALUES (103485, 8089, 19, 'السنة السابقة (إبق ضاغطا للقائمة)');
INSERT INTO `lang_definitions` VALUES (103486, 8091, 19, 'الرعاية الوقائية');
INSERT INTO `lang_definitions` VALUES (103487, 8094, 19, 'إستعرض الحدث');
INSERT INTO `lang_definitions` VALUES (103488, 8097, 19, 'إستعراض ال');
INSERT INTO `lang_definitions` VALUES (103489, 8098, 19, 'السابق');
INSERT INTO `lang_definitions` VALUES (103490, 8099, 19, 'الإستشارات السابقة');
INSERT INTO `lang_definitions` VALUES (103491, 8100, 19, 'اليوم السابق');
INSERT INTO `lang_definitions` VALUES (103492, 8102, 19, 'التاريخ الطبي / المعاينة السابقة');
INSERT INTO `lang_definitions` VALUES (103493, 8103, 19, 'الشهر السابق');
INSERT INTO `lang_definitions` VALUES (103494, 8104, 19, 'الأسبوع الماضي');
INSERT INTO `lang_definitions` VALUES (103495, 8105, 19, 'السعر');
INSERT INTO `lang_definitions` VALUES (103496, 8108, 19, 'خصم السعر');
INSERT INTO `lang_definitions` VALUES (103497, 8109, 19, 'مستوى السعر');
INSERT INTO `lang_definitions` VALUES (103498, 8111, 19, 'مستوى السعر:');
INSERT INTO `lang_definitions` VALUES (103499, 8113, 19, 'السعار');
INSERT INTO `lang_definitions` VALUES (103500, 8114, 19, 'أولّي');
INSERT INTO `lang_definitions` VALUES (103501, 8115, 19, 'الكيان التجاري الأولي');
INSERT INTO `lang_definitions` VALUES (103502, 8116, 19, 'الرقم الضريبي للكيان التجاري الأولي سيستخدم كرقم حساب');
INSERT INTO `lang_definitions` VALUES (103503, 8125, 19, 'تأمين أولّي');
INSERT INTO `lang_definitions` VALUES (103504, 8126, 19, 'تأمين أولّي');
INSERT INTO `lang_definitions` VALUES (103505, 8127, 19, 'بيانات التأمين الأولّي');
INSERT INTO `lang_definitions` VALUES (103506, 8128, 19, 'مزوّد التأمين الأولّي');
INSERT INTO `lang_definitions` VALUES (103507, 8129, 19, 'المزوّد الأولّي');
INSERT INTO `lang_definitions` VALUES (103508, 8130, 19, 'إطبع');
INSERT INTO `lang_definitions` VALUES (103509, 8131, 19, 'إطبع (HTML)');
INSERT INTO `lang_definitions` VALUES (103510, 8132, 19, 'إطبع (PDF)');
INSERT INTO `lang_definitions` VALUES (103511, 8134, 19, 'إطبع اي زيارة');
INSERT INTO `lang_definitions` VALUES (103512, 8135, 19, 'إطبع طلب تحويل فارغ');
INSERT INTO `lang_definitions` VALUES (103513, 8136, 19, 'إطبع اﻷمر');
INSERT INTO `lang_definitions` VALUES (103514, 8138, 19, 'إطبع التاريخ');
INSERT INTO `lang_definitions` VALUES (103515, 8143, 19, 'إطبع التهيئة');
INSERT INTO `lang_definitions` VALUES (103516, 8144, 19, 'إطبع اربع واجهات');
INSERT INTO `lang_definitions` VALUES (103517, 8147, 19, 'إطبع الرسالة');
INSERT INTO `lang_definitions` VALUES (103518, 8148, 19, 'إطبع متعدد');
INSERT INTO `lang_definitions` VALUES (103519, 8149, 19, 'إطبع متعدد للفاكس');
INSERT INTO `lang_definitions` VALUES (103520, 8150, 19, 'إطبع الإسم, التوقيع و التاريخ');
INSERT INTO `lang_definitions` VALUES (103521, 8151, 19, 'إطبع الملاحظة');
INSERT INTO `lang_definitions` VALUES (103522, 8152, 19, 'إطبع الصفحة 1');
INSERT INTO `lang_definitions` VALUES (103523, 8153, 19, 'إطبع الصفحة 2');
INSERT INTO `lang_definitions` VALUES (103524, 8156, 19, 'إطبع أرصدة المزود');
INSERT INTO `lang_definitions` VALUES (103525, 8157, 19, 'إطبع السجل');
INSERT INTO `lang_definitions` VALUES (103526, 8163, 19, 'إطبع البيانات المختارة');
INSERT INTO `lang_definitions` VALUES (103527, 8164, 19, 'إطبع سجل التطعيم');
INSERT INTO `lang_definitions` VALUES (103528, 8166, 19, 'إطبع هذه الزيارة');
INSERT INTO `lang_definitions` VALUES (103529, 8168, 19, 'إطبع هذه الملاحظة');
INSERT INTO `lang_definitions` VALUES (103530, 8169, 19, 'إطبع هذه الملاحظة');
INSERT INTO `lang_definitions` VALUES (103531, 8171, 19, 'إطبع للفاكس');
INSERT INTO `lang_definitions` VALUES (103532, 8172, 19, 'معاينة الطباعة');
INSERT INTO `lang_definitions` VALUES (103533, 8173, 19, 'قابل للطباعة');
INSERT INTO `lang_definitions` VALUES (103534, 8174, 19, 'نسخة قابلة للطباعة');
INSERT INTO `lang_definitions` VALUES (103535, 8175, 19, 'تم الطبع');
INSERT INTO `lang_definitions` VALUES (103536, 8178, 19, 'نتائج الطباعة :');
INSERT INTO `lang_definitions` VALUES (103537, 8179, 19, 'تم تجاوز الطباعة, انظر نتيجة الإختبار في');
INSERT INTO `lang_definitions` VALUES (103538, 8180, 19, 'تم تجاوز الطباعة, انظر نتيجة الإختبار في');
INSERT INTO `lang_definitions` VALUES (103539, 8182, 19, 'تصريح مسبق');
INSERT INTO `lang_definitions` VALUES (103540, 8184, 19, 'طلب تصريح مسبق');
INSERT INTO `lang_definitions` VALUES (103541, 8189, 19, 'زيارة مسبقة');
INSERT INTO `lang_definitions` VALUES (103542, 8191, 19, 'أولوية');
INSERT INTO `lang_definitions` VALUES (103543, 8192, 19, 'أولوية');
INSERT INTO `lang_definitions` VALUES (103544, 8196, 19, 'خاص');
INSERT INTO `lang_definitions` VALUES (103545, 8197, 19, 'مشكلة');
INSERT INTO `lang_definitions` VALUES (103546, 8198, 19, 'تشخيص المشكلة');
INSERT INTO `lang_definitions` VALUES (103547, 8199, 19, 'قائمة المشاكل');
INSERT INTO `lang_definitions` VALUES (103548, 8202, 19, 'مشاكل/إشكاليات');
INSERT INTO `lang_definitions` VALUES (103549, 8203, 19, 'مجموع العملية');
INSERT INTO `lang_definitions` VALUES (103550, 8204, 19, 'تصنيف العملية');
INSERT INTO `lang_definitions` VALUES (103551, 8205, 19, 'حمّل العملية');
INSERT INTO `lang_definitions` VALUES (103552, 8206, 19, 'حجز العملية تحت الطلب');
INSERT INTO `lang_definitions` VALUES (103553, 8207, 19, 'مزود العملية');
INSERT INTO `lang_definitions` VALUES (103554, 8208, 19, 'حجز العملية');
INSERT INTO `lang_definitions` VALUES (103555, 8209, 19, 'عملية');
INSERT INTO `lang_definitions` VALUES (103556, 8210, 19, 'الأجزاء المجري لها العملية');
INSERT INTO `lang_definitions` VALUES (103557, 8212, 19, 'نتائج بولونية للعملية (ناجحة/فاشلة)');
INSERT INTO `lang_definitions` VALUES (103558, 8214, 19, 'رمز العملية');
INSERT INTO `lang_definitions` VALUES (103559, 8215, 19, 'رموز العملية');
INSERT INTO `lang_definitions` VALUES (103560, 8216, 19, 'تجانبات العملية');
INSERT INTO `lang_definitions` VALUES (103561, 8218, 19, 'إسم العملية');
INSERT INTO `lang_definitions` VALUES (103562, 8220, 19, 'أمر العملية');
INSERT INTO `lang_definitions` VALUES (103563, 8221, 19, 'أمر العملية');
INSERT INTO `lang_definitions` VALUES (103564, 8223, 19, 'أمر العملية ل');
INSERT INTO `lang_definitions` VALUES (103565, 8226, 19, 'أوامر و تقارير العملية');
INSERT INTO `lang_definitions` VALUES (103566, 8227, 19, 'مختار العملية');
INSERT INTO `lang_definitions` VALUES (103567, 8228, 19, 'مزود العملية');
INSERT INTO `lang_definitions` VALUES (103568, 8229, 19, 'مزود العملية');
INSERT INTO `lang_definitions` VALUES (103569, 8231, 19, 'مزودي العملية');
INSERT INTO `lang_definitions` VALUES (103570, 8232, 19, 'تقرير العملية');
INSERT INTO `lang_definitions` VALUES (103571, 8235, 19, 'حالات تقرير العملية');
INSERT INTO `lang_definitions` VALUES (103572, 8237, 19, 'نتائج العملية غير طبيعية');
INSERT INTO `lang_definitions` VALUES (103573, 8238, 19, 'حالات نتائج العملية');
INSERT INTO `lang_definitions` VALUES (103574, 8240, 19, 'نتائج العملية');
INSERT INTO `lang_definitions` VALUES (103575, 8241, 19, 'طرق العملية');
INSERT INTO `lang_definitions` VALUES (103576, 8243, 19, 'أنواع عينة العملية');
INSERT INTO `lang_definitions` VALUES (103577, 8245, 19, 'تقرير إحصائات العملية');
INSERT INTO `lang_definitions` VALUES (103578, 8248, 19, 'نوع العملية');
INSERT INTO `lang_definitions` VALUES (103579, 8249, 19, 'أنواع العملية');
INSERT INTO `lang_definitions` VALUES (103580, 8251, 19, 'وحدات العملية');
INSERT INTO `lang_definitions` VALUES (103581, 8253, 19, 'عمليات/خدمات');
INSERT INTO `lang_definitions` VALUES (103582, 8254, 19, 'عمليات');
INSERT INTO `lang_definitions` VALUES (103583, 8256, 19, 'شغّل');
INSERT INTO `lang_definitions` VALUES (103584, 8257, 19, 'شغّل و أرسل التنبيهات');
INSERT INTO `lang_definitions` VALUES (103585, 8258, 19, 'شغّل ملف ERA');
INSERT INTO `lang_definitions` VALUES (103586, 8260, 19, 'شغّل الملفات الجديدة ل تسجيلات CSV');
INSERT INTO `lang_definitions` VALUES (103587, 8261, 19, 'شغّل و أرسل التنبيهات');
INSERT INTO `lang_definitions` VALUES (103588, 8262, 19, 'التشغيل يحتاج الي بعض الوقت');
INSERT INTO `lang_definitions` VALUES (103589, 8263, 19, 'تم تشغيلة');
INSERT INTO `lang_definitions` VALUES (103590, 8264, 19, 'تم تشغيلة من قِبل');
INSERT INTO `lang_definitions` VALUES (103591, 8265, 19, 'تاريخ التشغيل');
INSERT INTO `lang_definitions` VALUES (103592, 8266, 19, 'تم تشغيلة بنجاح');
INSERT INTO `lang_definitions` VALUES (103593, 8267, 19, 'جاري التشغيل');
INSERT INTO `lang_definitions` VALUES (103594, 8268, 19, 'جاري التشغيل و إرسال تنبيهات المرضي');
INSERT INTO `lang_definitions` VALUES (103595, 8271, 19, 'جاري تشغيل تنبيهات المرضي');
INSERT INTO `lang_definitions` VALUES (103596, 8272, 19, 'زمن التشغيل');
INSERT INTO `lang_definitions` VALUES (103597, 8274, 19, 'منتج');
INSERT INTO `lang_definitions` VALUES (103598, 8276, 19, 'طريقة منع الحمل للمنتج');
INSERT INTO `lang_definitions` VALUES (103599, 8278, 19, 'إنتاج');
INSERT INTO `lang_definitions` VALUES (103600, 8279, 19, 'منتجات');
INSERT INTO `lang_definitions` VALUES (103601, 8280, 19, 'منتجات لكن لا عقاقير و لا قوالب');
INSERT INTO `lang_definitions` VALUES (103602, 8282, 19, 'بروفيسور');
INSERT INTO `lang_definitions` VALUES (103603, 8290, 19, 'ملاحظات التقدم');
INSERT INTO `lang_definitions` VALUES (103604, 8295, 19, 'سرطان البروستاتا');
INSERT INTO `lang_definitions` VALUES (103605, 8296, 19, 'الفحص المبكر لسرطان البروستاتا');
INSERT INTO `lang_definitions` VALUES (103606, 8297, 19, 'فحص البروستاتا');
INSERT INTO `lang_definitions` VALUES (103607, 8298, 19, 'مشاكل البروستاتا');
INSERT INTO `lang_definitions` VALUES (103608, 8299, 19, 'بروستاتا بدون تضخم او عقد او الم');
INSERT INTO `lang_definitions` VALUES (103609, 8302, 19, 'بروتوكول');
INSERT INTO `lang_definitions` VALUES (103610, 8304, 19, 'زوّد الطريق الأوحد');
INSERT INTO `lang_definitions` VALUES (103611, 8305, 19, 'زوّد الطريق الأوحد للملف');
INSERT INTO `lang_definitions` VALUES (103612, 8309, 19, 'زوّد الملخصات الطبيبة للمرضي لكل زيارة');
INSERT INTO `lang_definitions` VALUES (103613, 8311, 19, 'زوّد المرضي بنسخ الكترونية عن الحالة الصحية');
INSERT INTO `lang_definitions` VALUES (103614, 8312, 19, 'زوّد المرضي بتصريح الكتروني محدد بوقت عن الحالة الصحية');
INSERT INTO `lang_definitions` VALUES (103615, 8313, 19, 'زوّد المريض بنسخ الكترونية عن الحالة الصحية لهذة الزيارة');
INSERT INTO `lang_definitions` VALUES (103616, 8315, 19, 'أدخل إيميل صالح');
INSERT INTO `lang_definitions` VALUES (103617, 8316, 19, 'تم تزويد الملخص الصحي؟');
INSERT INTO `lang_definitions` VALUES (103618, 8317, 19, 'تم تزويد المصادر التعليمية؟');
INSERT INTO `lang_definitions` VALUES (103619, 8318, 19, 'مزوّد');
INSERT INTO `lang_definitions` VALUES (103620, 8322, 19, 'رقم هوية المزوّد');
INSERT INTO `lang_definitions` VALUES (103621, 8323, 19, 'رقم هوية المزوّد');
INSERT INTO `lang_definitions` VALUES (103622, 8324, 19, 'رقم هوية المزوّد للمنشأة المعنّية');
INSERT INTO `lang_definitions` VALUES (103623, 8325, 19, 'زوّد اﻷخطاء المتشابهة');
INSERT INTO `lang_definitions` VALUES (103624, 8330, 19, 'رقم المزوّد');
INSERT INTO `lang_definitions` VALUES (103625, 8333, 19, 'علاقة المزوّد');
INSERT INTO `lang_definitions` VALUES (103626, 8336, 19, 'مزوّد:');
INSERT INTO `lang_definitions` VALUES (103627, 8337, 19, 'مزودين');
INSERT INTO `lang_definitions` VALUES (103628, 8338, 19, 'رقم تعريف المزوّد الوطني');
INSERT INTO `lang_definitions` VALUES (103629, 8339, 19, 'يمكن للمزوّد رؤية الرزنامة كلها');
INSERT INTO `lang_definitions` VALUES (103630, 8341, 19, 'السابق');
INSERT INTO `lang_definitions` VALUES (103631, 8342, 19, 'مولّد المضاد الخاص بالبروستاتا');
INSERT INTO `lang_definitions` VALUES (103632, 8343, 19, 'الصدفية');
INSERT INTO `lang_definitions` VALUES (103633, 8345, 19, 'التشخيص النفسي');
INSERT INTO `lang_definitions` VALUES (103634, 8346, 19, 'الدواء النفسي');
INSERT INTO `lang_definitions` VALUES (103635, 8347, 19, 'الطب النفسي');
INSERT INTO `lang_definitions` VALUES (103636, 8348, 19, 'رسالة التعريف بالمرض النفسي');
INSERT INTO `lang_definitions` VALUES (103637, 8349, 19, 'تشخيص المرض النفسي');
INSERT INTO `lang_definitions` VALUES (103638, 8350, 19, 'فحص المرض النفسي');
INSERT INTO `lang_definitions` VALUES (103639, 8352, 19, 'تاريخ طبي بالأمراض النفسية');
INSERT INTO `lang_definitions` VALUES (103640, 8353, 19, 'استهلاك الدواء النفسي');
INSERT INTO `lang_definitions` VALUES (103641, 8354, 19, 'الدواء النفسي');
INSERT INTO `lang_definitions` VALUES (103642, 8358, 19, 'نسبة المرضي');
INSERT INTO `lang_definitions` VALUES (103643, 8360, 19, 'ملاحظات المريض');
INSERT INTO `lang_definitions` VALUES (103644, 8361, 19, 'ملاحظات/تصريح المريض');
INSERT INTO `lang_definitions` VALUES (103645, 8362, 19, 'دفع المريض زيادة عن المطلوب');
INSERT INTO `lang_definitions` VALUES (103646, 8364, 19, 'تم الدفع من قبل المريض');
INSERT INTO `lang_definitions` VALUES (103647, 8365, 19, 'طلب رصيد للمريض');
INSERT INTO `lang_definitions` VALUES (103648, 8366, 19, 'تم إرجاع المبلغ للمريض');
INSERT INTO `lang_definitions` VALUES (103649, 8367, 19, 'تم تسريح المريض');
INSERT INTO `lang_definitions` VALUES (103650, 8368, 19, 'تقرير المريض');
INSERT INTO `lang_definitions` VALUES (103651, 8369, 19, 'المريض طالب او اترك فارغاَ');
INSERT INTO `lang_definitions` VALUES (103652, 8370, 19, 'مدينة المريض');
INSERT INTO `lang_definitions` VALUES (103653, 8371, 19, 'تاريخ ميلاد المريض');
INSERT INTO `lang_definitions` VALUES (103654, 8373, 19, 'إسم المريض الأول');
INSERT INTO `lang_definitions` VALUES (103655, 8374, 19, 'إسم المريض الأخير');
INSERT INTO `lang_definitions` VALUES (103656, 8375, 19, 'إسم المريض المتوسط');
INSERT INTO `lang_definitions` VALUES (103657, 8378, 19, 'عنوان المريض البريدي');
INSERT INTO `lang_definitions` VALUES (103658, 8380, 19, 'ولاية المريض');
INSERT INTO `lang_definitions` VALUES (103659, 8381, 19, 'شارع المريض');
INSERT INTO `lang_definitions` VALUES (103660, 8383, 19, 'عام');
INSERT INTO `lang_definitions` VALUES (103661, 8387, 19, 'الخدمات الصحية العامة');
INSERT INTO `lang_definitions` VALUES (103662, 8394, 19, 'برتوريكي');
INSERT INTO `lang_definitions` VALUES (103663, 8396, 19, 'رئوي');
INSERT INTO `lang_definitions` VALUES (103664, 8398, 19, 'نبض');
INSERT INTO `lang_definitions` VALUES (103665, 8399, 19, 'بنجابي');
INSERT INTO `lang_definitions` VALUES (103666, 8401, 19, 'شراء');
INSERT INTO `lang_definitions` VALUES (103667, 8402, 19, 'شراء/إعادة');
INSERT INTO `lang_definitions` VALUES (103668, 8403, 19, 'مشتريات');
INSERT INTO `lang_definitions` VALUES (103669, 8406, 19, 'P{{Justify Header}}');
INSERT INTO `lang_definitions` VALUES (103670, 8408, 19, 'كل 3 ساعات');
INSERT INTO `lang_definitions` VALUES (103671, 8409, 19, 'كل 4 ساعات');
INSERT INTO `lang_definitions` VALUES (103672, 8410, 19, 'كل 5 ساعات');
INSERT INTO `lang_definitions` VALUES (103673, 8411, 19, 'كل 6 ساعات');
INSERT INTO `lang_definitions` VALUES (103674, 8412, 19, 'كل 8 ساعات');
INSERT INTO `lang_definitions` VALUES (103675, 8413, 19, 'مرة واحدة يومياَ');
INSERT INTO `lang_definitions` VALUES (103676, 8414, 19, 'أربع مرات يومياَ');
INSERT INTO `lang_definitions` VALUES (103677, 8417, 19, 'كل ساعة و ترك');
INSERT INTO `lang_definitions` VALUES (103678, 8418, 19, 'جرعة \"كل ساعة و ترك\" إقل من الجرعة الشهرية');
INSERT INTO `lang_definitions` VALUES (103679, 8419, 19, 'الكمّية');
INSERT INTO `lang_definitions` VALUES (103680, 8420, 19, 'الكمّية');
INSERT INTO `lang_definitions` VALUES (103681, 8421, 19, 'الجودة');
INSERT INTO `lang_definitions` VALUES (103682, 8422, 19, 'مقاييس الجودة');
INSERT INTO `lang_definitions` VALUES (103683, 8423, 19, 'الكمّية');
INSERT INTO `lang_definitions` VALUES (103684, 8425, 19, 'الكمّية لرمز الدواء الوطني');
INSERT INTO `lang_definitions` VALUES (103685, 8426, 19, 'الكمّية المتوفرة');
INSERT INTO `lang_definitions` VALUES (103686, 8427, 19, 'الكمّية غير قابلة للإستخدام');
INSERT INTO `lang_definitions` VALUES (103687, 8431, 19, 'إشارة إستفهام');
INSERT INTO `lang_definitions` VALUES (103688, 8432, 19, 'كوّن طابوراَ لتشغيل HCFA بالجملة');
INSERT INTO `lang_definitions` VALUES (103689, 8433, 19, 'كوّن طابوراَ لتشغيل و طباعة HCFA بالجملة');
INSERT INTO `lang_definitions` VALUES (103690, 8434, 19, 'كوّن طابوراَ لتشغيل UB-92 بالجملة');
INSERT INTO `lang_definitions` VALUES (103691, 8435, 19, 'كوّن طابوراَ لتشغيل و طباعة UB-92 بالجملة');
INSERT INTO `lang_definitions` VALUES (103692, 8436, 19, 'تم تكوين الطابور');
INSERT INTO `lang_definitions` VALUES (103693, 8437, 19, 'تم تكوين طابور إدارة الأحداث');
INSERT INTO `lang_definitions` VALUES (103694, 8438, 19, 'تم تكوين طابور ل');
INSERT INTO `lang_definitions` VALUES (103695, 8440, 19, 'تم تكوين طابور إدارة التقديم');
INSERT INTO `lang_definitions` VALUES (103696, 8442, 19, 'إمتنع');
INSERT INTO `lang_definitions` VALUES (103697, 8443, 19, 'إمتنع عن الكحول');
INSERT INTO `lang_definitions` VALUES (103698, 8445, 19, 'ر');
INSERT INTO `lang_definitions` VALUES (103699, 8451, 19, 'RA للمريض, الزيارة او التتبع');
INSERT INTO `lang_definitions` VALUES (103700, 8452, 19, 'العِرق');
INSERT INTO `lang_definitions` VALUES (103701, 8453, 19, 'العِرقية');
INSERT INTO `lang_definitions` VALUES (103702, 8454, 19, 'العِرقية');
INSERT INTO `lang_definitions` VALUES (103703, 8456, 19, 'الراديو');
INSERT INTO `lang_definitions` VALUES (103704, 8457, 19, 'مفاتيح الراديو');
INSERT INTO `lang_definitions` VALUES (103705, 8462, 19, 'المجال');
INSERT INTO `lang_definitions` VALUES (103706, 8463, 19, 'طفح جلدي');
INSERT INTO `lang_definitions` VALUES (103707, 8464, 19, 'المعدل');
INSERT INTO `lang_definitions` VALUES (103708, 8466, 19, 'النسبة');
INSERT INTO `lang_definitions` VALUES (103709, 8467, 19, 'تقرير خام');
INSERT INTO `lang_definitions` VALUES (103710, 8475, 19, 'إعادة التعريف');
INSERT INTO `lang_definitions` VALUES (103711, 8476, 19, 'تمت عملية إعادة التعريف');
INSERT INTO `lang_definitions` VALUES (103712, 8477, 19, 'جار العمل علي إعادة التعريف');
INSERT INTO `lang_definitions` VALUES (103713, 8478, 19, 'سيتم حفظ ملفات إعادة التعريف في');
INSERT INTO `lang_definitions` VALUES (103714, 8479, 19, 'تكرار الإصابة؟');
INSERT INTO `lang_definitions` VALUES (103715, 8480, 19, 'إعادة الفتح');
INSERT INTO `lang_definitions` VALUES (103716, 8482, 19, 'تمت');
INSERT INTO `lang_definitions` VALUES (103717, 8484, 19, 'ردة الفعل');
INSERT INTO `lang_definitions` VALUES (103718, 8486, 19, 'ردود الفعل');
INSERT INTO `lang_definitions` VALUES (103719, 8489, 19, 'يقرأ');
INSERT INTO `lang_definitions` VALUES (103720, 8496, 19, 'الإسم الحقيقي');
INSERT INTO `lang_definitions` VALUES (103721, 8497, 19, 'أحذف حقاَ');
INSERT INTO `lang_definitions` VALUES (103722, 8498, 19, 'سبب');
INSERT INTO `lang_definitions` VALUES (103723, 8499, 19, 'سبب الوفاة');
INSERT INTO `lang_definitions` VALUES (103724, 8500, 19, 'سبب الوفاة');
INSERT INTO `lang_definitions` VALUES (103725, 8502, 19, 'سبب الإحالة');
INSERT INTO `lang_definitions` VALUES (103726, 8504, 19, 'سبب الزيارة');
INSERT INTO `lang_definitions` VALUES (103727, 8506, 19, 'سبب/طلب');
INSERT INTO `lang_definitions` VALUES (103728, 8521, 19, 'إيصال');
INSERT INTO `lang_definitions` VALUES (103729, 8522, 19, 'إيصال مدفوعات');
INSERT INTO `lang_definitions` VALUES (103730, 8523, 19, 'تم عمل الإيصال');
INSERT INTO `lang_definitions` VALUES (103731, 8524, 19, 'تقرير عن طرق دفع الإيصالات');
INSERT INTO `lang_definitions` VALUES (103732, 8525, 19, 'موجز الإيصالات');
INSERT INTO `lang_definitions` VALUES (103733, 8526, 19, 'تم الإستلام');
INSERT INTO `lang_definitions` VALUES (103734, 8527, 19, 'تم الإستلام من قِبل');
INSERT INTO `lang_definitions` VALUES (103735, 8528, 19, 'تم إستلام الفاكس');
INSERT INTO `lang_definitions` VALUES (103736, 8530, 19, 'تم الإستلام و لم تتم المراجعة');
INSERT INTO `lang_definitions` VALUES (103737, 8532, 19, 'مستلم');
INSERT INTO `lang_definitions` VALUES (103738, 8533, 19, 'رقم هوية المستلم');
INSERT INTO `lang_definitions` VALUES (103739, 8534, 19, 'رقم هوية المستلم (ISA08)');
INSERT INTO `lang_definitions` VALUES (103740, 8535, 19, 'رقم هوية المستلم (ISA07)');
INSERT INTO `lang_definitions` VALUES (103741, 8536, 19, 'أرقام هوية المستلم');
INSERT INTO `lang_definitions` VALUES (103742, 8540, 19, 'أخر 3 كلمات سر غير مسموح بها');
INSERT INTO `lang_definitions` VALUES (103743, 8542, 19, 'المستفيد');
INSERT INTO `lang_definitions` VALUES (103744, 8543, 19, 'قائمة المستفيدين خالية');
INSERT INTO `lang_definitions` VALUES (103745, 8544, 19, 'أسم المستفيد');
INSERT INTO `lang_definitions` VALUES (103746, 8545, 19, 'المستفيد من التصريح بالمعلومات');
INSERT INTO `lang_definitions` VALUES (103747, 8546, 19, 'مطلوب مستفيد الا إذا كانت الحالة تمت');
INSERT INTO `lang_definitions` VALUES (103748, 8549, 19, 'توصية');
INSERT INTO `lang_definitions` VALUES (103749, 8551, 19, 'التوصية بالمتابعة');
INSERT INTO `lang_definitions` VALUES (103750, 8552, 19, 'التوصيات');
INSERT INTO `lang_definitions` VALUES (103751, 8553, 19, 'التوصيات و العلاج');
INSERT INTO `lang_definitions` VALUES (103752, 8554, 19, 'توصيات الأخصائي');
INSERT INTO `lang_definitions` VALUES (103753, 8557, 19, 'سجل');
INSERT INTO `lang_definitions` VALUES (103754, 8558, 19, 'السجل موجود مسبقا');
INSERT INTO `lang_definitions` VALUES (103755, 8564, 19, 'السجل و المخطط تغيرا في العلامات الحيوية');
INSERT INTO `lang_definitions` VALUES (103756, 8565, 19, 'ديموجرافيا السجل');
INSERT INTO `lang_definitions` VALUES (103757, 8566, 19, 'التصريح بمعلومات السجل');
INSERT INTO `lang_definitions` VALUES (103758, 8567, 19, 'سجل اللياقة');
INSERT INTO `lang_definitions` VALUES (103759, 8568, 19, 'سجّل الدفع');
INSERT INTO `lang_definitions` VALUES (103760, 8570, 19, 'سجّل تاريخ الطلب');
INSERT INTO `lang_definitions` VALUES (103761, 8571, 19, 'سجّل حالة مدخن للمرضي اكبر من 13 سنة');
INSERT INTO `lang_definitions` VALUES (103762, 8572, 19, 'سجلات');
INSERT INTO `lang_definitions` VALUES (103763, 8573, 19, 'تم العثور على السجلات');
INSERT INTO `lang_definitions` VALUES (103764, 8574, 19, 'تم العثور على السجلات.');
INSERT INTO `lang_definitions` VALUES (103765, 8576, 19, 'إستعمال الأدوية الترفيهية');
INSERT INTO `lang_definitions` VALUES (103766, 8577, 19, 'الأدوية الترفيهية');
INSERT INTO `lang_definitions` VALUES (103767, 8578, 19, 'شرجي');
INSERT INTO `lang_definitions` VALUES (103768, 8579, 19, 'فحص شرجي');
INSERT INTO `lang_definitions` VALUES (103769, 8580, 19, 'شرجي');
INSERT INTO `lang_definitions` VALUES (103770, 8592, 19, 'إعادة توجيه');
INSERT INTO `lang_definitions` VALUES (103771, 8593, 19, 'إحمرار');
INSERT INTO `lang_definitions` VALUES (103772, 8595, 19, 'إقلال:');
INSERT INTO `lang_definitions` VALUES (103773, 8597, 19, 'حوّل');
INSERT INTO `lang_definitions` VALUES (103774, 8598, 19, 'محوّل بواسطة');
INSERT INTO `lang_definitions` VALUES (103775, 8599, 19, 'تاريخ التحويل');
INSERT INTO `lang_definitions` VALUES (103776, 8600, 19, 'حوّل الي');
INSERT INTO `lang_definitions` VALUES (103777, 8603, 19, 'تصنيف التحويل (درجة المخاطرة)');
INSERT INTO `lang_definitions` VALUES (103778, 8604, 19, 'مجال نتائج التحويل');
INSERT INTO `lang_definitions` VALUES (103779, 8605, 19, 'سبب التحويل');
INSERT INTO `lang_definitions` VALUES (103780, 8609, 19, 'إسم المحوّل و توقيعة');
INSERT INTO `lang_definitions` VALUES (103781, 8610, 19, 'التحويل');
INSERT INTO `lang_definitions` VALUES (103782, 8611, 19, 'التحويل بواسطة');
INSERT INTO `lang_definitions` VALUES (103783, 8612, 19, 'بطاقة التحويل');
INSERT INTO `lang_definitions` VALUES (103784, 8613, 19, 'تاريخ التحويل');
INSERT INTO `lang_definitions` VALUES (103785, 8614, 19, 'طلب التحويل');
INSERT INTO `lang_definitions` VALUES (103786, 8615, 19, 'بطاقة التحويل');
INSERT INTO `lang_definitions` VALUES (103787, 8616, 19, 'رقم هوية التحويل');
INSERT INTO `lang_definitions` VALUES (103788, 8619, 19, 'مصدر التحويل');
INSERT INTO `lang_definitions` VALUES (103789, 8620, 19, 'مصدر التحويل للزيارات');
INSERT INTO `lang_definitions` VALUES (103790, 8621, 19, 'التحويل إلى');
INSERT INTO `lang_definitions` VALUES (103791, 8622, 19, 'التحويلات');
INSERT INTO `lang_definitions` VALUES (103792, 8623, 19, 'تقارير التحويلات');
INSERT INTO `lang_definitions` VALUES (103793, 8624, 19, 'محوّل بواسطة');
INSERT INTO `lang_definitions` VALUES (103794, 8625, 19, 'محوّل بواسطة');
INSERT INTO `lang_definitions` VALUES (103795, 8627, 19, 'محوّل الي');
INSERT INTO `lang_definitions` VALUES (103796, 8628, 19, 'المحوّل');
INSERT INTO `lang_definitions` VALUES (103797, 8630, 19, 'تشخيص المحوّل');
INSERT INTO `lang_definitions` VALUES (103798, 8631, 19, 'تشخيص المحوّل');
INSERT INTO `lang_definitions` VALUES (103799, 8633, 19, 'الطبيب المحوّل و العيادة');
INSERT INTO `lang_definitions` VALUES (103800, 8635, 19, 'مزود التحويل');
INSERT INTO `lang_definitions` VALUES (103801, 8636, 19, 'إعادة صرف الوصفة مرة واحدة');
INSERT INTO `lang_definitions` VALUES (103802, 8639, 19, 'إعادة صرف الوصفة مرات عديدة');
INSERT INTO `lang_definitions` VALUES (103803, 8640, 19, 'إعادة صرف الوصفة مرات عديدة');
INSERT INTO `lang_definitions` VALUES (103804, 8641, 19, 'كل المنعكسات طبيعية');
INSERT INTO `lang_definitions` VALUES (103805, 8645, 19, 'تنشيط');
INSERT INTO `lang_definitions` VALUES (103806, 8648, 19, 'منبهات منعشة');
INSERT INTO `lang_definitions` VALUES (103807, 8651, 19, 'يرفض التصريح');
INSERT INTO `lang_definitions` VALUES (103808, 8652, 19, 'reg_re');
INSERT INTO `lang_definitions` VALUES (103809, 8656, 19, 'تسجيل');
INSERT INTO `lang_definitions` VALUES (103810, 8662, 19, 'مسجل');
INSERT INTO `lang_definitions` VALUES (103811, 8663, 19, 'مسجل');
INSERT INTO `lang_definitions` VALUES (103812, 8668, 19, 'تاريخ التسجيل');
INSERT INTO `lang_definitions` VALUES (103813, 8671, 19, 'إستمارة التسجيل');
INSERT INTO `lang_definitions` VALUES (103814, 8672, 19, 'إعادة تأهيل');
INSERT INTO `lang_definitions` VALUES (103815, 8675, 19, 'قابلية الإنتكاس');
INSERT INTO `lang_definitions` VALUES (103816, 8676, 19, 'متعلق ب');
INSERT INTO `lang_definitions` VALUES (103817, 8677, 19, 'متعلق');
INSERT INTO `lang_definitions` VALUES (103818, 8678, 19, 'مسألة متعلقة');
INSERT INTO `lang_definitions` VALUES (103819, 8679, 19, 'مسودات متعلقة بالمريض');
INSERT INTO `lang_definitions` VALUES (103820, 8680, 19, 'القرابة / أطفال');
INSERT INTO `lang_definitions` VALUES (103821, 8681, 19, 'القرابة');
INSERT INTO `lang_definitions` VALUES (103822, 8682, 19, 'درجة القرابة');
INSERT INTO `lang_definitions` VALUES (103823, 8683, 19, 'طلبية تقاربية من هذا الصنف');
INSERT INTO `lang_definitions` VALUES (103824, 8684, 19, 'الأقارب');
INSERT INTO `lang_definitions` VALUES (103825, 8695, 19, 'المعلومات الطبية المرحلة مفقودة من حساب هذا المستخدم');
INSERT INTO `lang_definitions` VALUES (103826, 8696, 19, 'رقم الهوية الطبية المرحلة');
INSERT INTO `lang_definitions` VALUES (103827, 8698, 19, 'تاريخ التسريح');
INSERT INTO `lang_definitions` VALUES (103828, 8700, 19, 'ديانة');
INSERT INTO `lang_definitions` VALUES (103829, 8705, 19, 'إعادة الدخول');
INSERT INTO `lang_definitions` VALUES (103830, 8706, 19, 'تذكير');
INSERT INTO `lang_definitions` VALUES (103831, 8709, 19, 'تذكر المنشأة المختارة');
INSERT INTO `lang_definitions` VALUES (103832, 8712, 19, 'تذكير');
INSERT INTO `lang_definitions` VALUES (103833, 8715, 19, 'فواصل التذكير');
INSERT INTO `lang_definitions` VALUES (103834, 8716, 19, 'التذكير لم يرسل بعد');
INSERT INTO `lang_definitions` VALUES (103835, 8720, 19, 'تم ارسال التذكير');
INSERT INTO `lang_definitions` VALUES (103836, 8725, 19, 'تذكيرات');
INSERT INTO `lang_definitions` VALUES (103837, 8726, 19, 'أرسل المبلغ الي');
INSERT INTO `lang_definitions` VALUES (103838, 8727, 19, 'مستضيف قاصي');
INSERT INTO `lang_definitions` VALUES (103839, 8729, 19, 'إزالة');
INSERT INTO `lang_definitions` VALUES (103840, 8733, 19, 'إزالة المجموعة');
INSERT INTO `lang_definitions` VALUES (103841, 8734, 19, 'إزالة المجموعة من');
INSERT INTO `lang_definitions` VALUES (103842, 8738, 19, 'إزالة الدعم للتطعيم');
INSERT INTO `lang_definitions` VALUES (103843, 8739, 19, 'إزالة الدعم لمدير بي اتش بى');
INSERT INTO `lang_definitions` VALUES (103844, 8740, 19, 'إزالة الدعم للوصفات الطبية');
INSERT INTO `lang_definitions` VALUES (103845, 8742, 19, 'إزالة خاصية تتبع مخطط المريض');
INSERT INTO `lang_definitions` VALUES (103846, 8743, 19, 'حصوات كلوية');
INSERT INTO `lang_definitions` VALUES (103847, 8744, 19, 'إعادة تسمية');
INSERT INTO `lang_definitions` VALUES (103848, 8745, 19, 'إعادة تسمية المجموعة');
INSERT INTO `lang_definitions` VALUES (103849, 8746, 19, 'إستخلاص');
INSERT INTO `lang_definitions` VALUES (103850, 8747, 19, 'مقدم الإستخلاص');
INSERT INTO `lang_definitions` VALUES (103851, 8748, 19, 'رقم مقدم الإستخلاص');
INSERT INTO `lang_definitions` VALUES (103852, 8750, 19, 'إعادة الطلب');
INSERT INTO `lang_definitions` VALUES (103853, 8751, 19, 'إعادة الطلب عند');
INSERT INTO `lang_definitions` VALUES (103854, 8752, 19, 'تم التوصل لنقطة إعادة الطلب');
INSERT INTO `lang_definitions` VALUES (103855, 8753, 19, 'نقطة إعادة الطلب');
INSERT INTO `lang_definitions` VALUES (103856, 8754, 19, 'إعادة');
INSERT INTO `lang_definitions` VALUES (103857, 8756, 19, 'اعد كتابة كلمه السر الجديدة');
INSERT INTO `lang_definitions` VALUES (103858, 8758, 19, 'حدث متكرر');
INSERT INTO `lang_definitions` VALUES (103859, 8759, 19, 'تكرار المعلومة:');
INSERT INTO `lang_definitions` VALUES (103860, 8760, 19, 'المتكررات');
INSERT INTO `lang_definitions` VALUES (103861, 8761, 19, 'إبدال');
INSERT INTO `lang_definitions` VALUES (103862, 8771, 19, 'تاريخ الرد');
INSERT INTO `lang_definitions` VALUES (103863, 8772, 19, 'الرد من طرف');
INSERT INTO `lang_definitions` VALUES (103864, 8774, 19, 'تقرير');
INSERT INTO `lang_definitions` VALUES (103865, 8776, 19, 'تقرير - طبي');
INSERT INTO `lang_definitions` VALUES (103866, 8779, 19, 'تقرير بواسطة');
INSERT INTO `lang_definitions` VALUES (103867, 8784, 19, 'تاريخ التقرير / النتائج');
INSERT INTO `lang_definitions` VALUES (103868, 8786, 19, 'نتائج التقارير');
INSERT INTO `lang_definitions` VALUES (103869, 8787, 19, 'نتائج التقارير / التاريخ المرضي');
INSERT INTO `lang_definitions` VALUES (103870, 8789, 19, 'حالة التقرير');
INSERT INTO `lang_definitions` VALUES (103871, 8790, 19, 'مجموع التقرير');
INSERT INTO `lang_definitions` VALUES (103872, 8792, 19, 'التقرير / طلب');
INSERT INTO `lang_definitions` VALUES (103873, 8794, 19, 'قابل للتبليغ');
INSERT INTO `lang_definitions` VALUES (103874, 8795, 19, 'تم التبليغ');
INSERT INTO `lang_definitions` VALUES (103875, 8796, 19, 'تاريخ التبليغ');
INSERT INTO `lang_definitions` VALUES (103876, 8797, 19, 'تقارير');
INSERT INTO `lang_definitions` VALUES (103877, 8804, 19, 'تم تجاهل الطلب - جاري العمل علي المطالبات!');
INSERT INTO `lang_definitions` VALUES (103878, 8815, 19, 'الخدمة المطلوبة');
INSERT INTO `lang_definitions` VALUES (103879, 8819, 19, 'يتطلب كلمة سر قوية');
INSERT INTO `lang_definitions` VALUES (103880, 8820, 19, 'يتطلب كلمة سر فريدة');
INSERT INTO `lang_definitions` VALUES (103881, 8821, 19, 'مطلوب');
INSERT INTO `lang_definitions` VALUES (103882, 8823, 19, 'مطلوب الدفع المشترك');
INSERT INTO `lang_definitions` VALUES (103883, 8824, 19, 'الحقل المطلوب مفقود: الرجاء اختيار ملف EDI-271 للتحميل');
INSERT INTO `lang_definitions` VALUES (103884, 8825, 19, 'الحقل المطلوب مفقود: الرجاء أدخال الأسم الاول');
INSERT INTO `lang_definitions` VALUES (103885, 8826, 19, 'الحقل المطلوب مفقود: الرجاء أدخال الأسم الاخير');
INSERT INTO `lang_definitions` VALUES (103886, 8827, 19, 'الحقل المطلوب مفقود: الرجاء أدخال اسم المستخدم');
INSERT INTO `lang_definitions` VALUES (103887, 8828, 19, 'حقول مطلوبة');
INSERT INTO `lang_definitions` VALUES (103888, 8829, 19, 'المتطلبات');
INSERT INTO `lang_definitions` VALUES (103889, 8832, 19, 'محجوز');
INSERT INTO `lang_definitions` VALUES (103890, 8833, 19, 'محجوز');
INSERT INTO `lang_definitions` VALUES (103891, 8834, 19, 'محجوز لاستخدامه لتحديد موعد العطلة المقررة');
INSERT INTO `lang_definitions` VALUES (103892, 8835, 19, 'محجوز للتحديد عندما لا يكون عند المزود مواعيد خالية');
INSERT INTO `lang_definitions` VALUES (103893, 8836, 19, 'محجوز للتحديد عندما لم يحصل الموعد كما خطط له');
INSERT INTO `lang_definitions` VALUES (103894, 8837, 19, 'محجوز للتحديد عندما يكون عند المزود مواعيد خالية');
INSERT INTO `lang_definitions` VALUES (103895, 8838, 19, 'اعادة الى الوضع الأصلي');
INSERT INTO `lang_definitions` VALUES (103896, 8842, 19, 'تصفير إعتمادات الممر خارج الموقع');
INSERT INTO `lang_definitions` VALUES (103897, 8844, 19, 'تصفير إعتمادات الممر داخل الموقع');
INSERT INTO `lang_definitions` VALUES (103898, 8850, 19, 'Resn');
INSERT INTO `lang_definitions` VALUES (103899, 8852, 19, 'تم الحل');
INSERT INTO `lang_definitions` VALUES (103900, 8855, 19, 'التنفس');
INSERT INTO `lang_definitions` VALUES (103901, 8856, 19, 'الجهد التنفسي بغير اجهاد');
INSERT INTO `lang_definitions` VALUES (103902, 8857, 19, 'تنفسي');
INSERT INTO `lang_definitions` VALUES (103903, 8864, 19, 'منع المستخدمين الغير مصرح لهم من حجز التسهيلات المحدده لمدير المستخدمين');
INSERT INTO `lang_definitions` VALUES (103904, 8865, 19, 'منع المستخدمين من التسهيلات');
INSERT INTO `lang_definitions` VALUES (103905, 8866, 19, 'تدريب مقصور');
INSERT INTO `lang_definitions` VALUES (103906, 8867, 19, 'نتيجة');
INSERT INTO `lang_definitions` VALUES (103907, 8868, 19, 'إسم النتيجة');
INSERT INTO `lang_definitions` VALUES (103908, 8869, 19, 'حالة النتيجة');
INSERT INTO `lang_definitions` VALUES (103909, 8870, 19, 'حالة النتيجة او المرض مفقودة');
INSERT INTO `lang_definitions` VALUES (103910, 8871, 19, 'النيجة، إستخدم % كحرف بديل');
INSERT INTO `lang_definitions` VALUES (103911, 8872, 19, 'النتائج');
INSERT INTO `lang_definitions` VALUES (103912, 8873, 19, 'النتائج و');
INSERT INTO `lang_definitions` VALUES (103913, 8874, 19, 'النتائج التى تم التوصل اليها للبحث');
INSERT INTO `lang_definitions` VALUES (103914, 8875, 19, 'مجموعة النتائج');
INSERT INTO `lang_definitions` VALUES (103915, 8877, 19, 'طريق النتائج');
INSERT INTO `lang_definitions` VALUES (103916, 8879, 19, 'النتائج بالصفحة');
INSERT INTO `lang_definitions` VALUES (103917, 8880, 19, 'النتائج/التفاصيل');
INSERT INTO `lang_definitions` VALUES (103918, 8884, 19, 'فحص الشبكية');
INSERT INTO `lang_definitions` VALUES (103919, 8885, 19, 'مجذوب لليمين');
INSERT INTO `lang_definitions` VALUES (103920, 8886, 19, 'العودة:');
INSERT INTO `lang_definitions` VALUES (103921, 8887, 19, 'إعادة الجزء السابق مع الدفع');
INSERT INTO `lang_definitions` VALUES (103922, 8890, 19, 'العودة للرزنامة');
INSERT INTO `lang_definitions` VALUES (103923, 8891, 19, 'العودة لنتائج التقرير');
INSERT INTO `lang_definitions` VALUES (103924, 8892, 19, 'العودة لهذة الصفحه و ستكون قادرا على اكمال تثبيت ICD10 بالضغط على رأس القائمه الخاص ب ICD10');
INSERT INTO `lang_definitions` VALUES (103925, 8893, 19, 'العودة لهذة الصفحه و ستكون قادرا على اكمال تثبيت ICD9 بالضغط على رأس القائمه الخاص ب ICD9');
INSERT INTO `lang_definitions` VALUES (103926, 8894, 19, 'العودة لهذة الصفحه و ستكون قادرا على اكمال تثبيت RxNorm بالضغط على رأس القائمه الخاص ب RXNORM');
INSERT INTO `lang_definitions` VALUES (103927, 8895, 19, 'العودة لهذة الصفحه و ستكون قادرا على اكمال تثبيت Snomed بالضغط على رأس القائمه الخاص ب SNOMED');
INSERT INTO `lang_definitions` VALUES (103928, 8897, 19, 'قيمة الإعادة');
INSERT INTO `lang_definitions` VALUES (103929, 8898, 19, 'مراجعة');
INSERT INTO `lang_definitions` VALUES (103930, 8899, 19, 'رجع ل اللعب');
INSERT INTO `lang_definitions` VALUES (103931, 8901, 19, 'إعادة إستخدام اخر ثلاث كلمات سر سابقة غير مسموح به');
INSERT INTO `lang_definitions` VALUES (103932, 8914, 19, 'مراجعة PMH:');
INSERT INTO `lang_definitions` VALUES (103933, 8917, 19, 'مراجعة الأنظمة');
INSERT INTO `lang_definitions` VALUES (103934, 8918, 19, 'مراجعة اختبارات الأنظمة');
INSERT INTO `lang_definitions` VALUES (103935, 8921, 19, 'تمت المراجعة');
INSERT INTO `lang_definitions` VALUES (103936, 8924, 19, 'مراجعة');
INSERT INTO `lang_definitions` VALUES (103937, 8925, 19, 'روماتزم المفاصل');
INSERT INTO `lang_definitions` VALUES (103938, 8926, 19, 'روماتزم المفاصل');
INSERT INTO `lang_definitions` VALUES (103939, 8928, 19, 'اﻷيمن');
INSERT INTO `lang_definitions` VALUES (103940, 8931, 19, 'اﻷذن اليمني');
INSERT INTO `lang_definitions` VALUES (103941, 8932, 19, 'اﻷذن اليمني');
INSERT INTO `lang_definitions` VALUES (103942, 8940, 19, 'اﻷيمن:');
INSERT INTO `lang_definitions` VALUES (103943, 8941, 19, 'طنين فى اﻻذنين');
INSERT INTO `lang_definitions` VALUES (103944, 8942, 19, 'طنين فى اﻻذنين');
INSERT INTO `lang_definitions` VALUES (103945, 8944, 19, 'عوامل مخاطرة');
INSERT INTO `lang_definitions` VALUES (103946, 8945, 19, 'مستوي المخاطرة');
INSERT INTO `lang_definitions` VALUES (103947, 8949, 19, 'RLL:');
INSERT INTO `lang_definitions` VALUES (103948, 8955, 19, 'مقدار الحركة للمفاصل');
INSERT INTO `lang_definitions` VALUES (103949, 8956, 19, 'روماني');
INSERT INTO `lang_definitions` VALUES (103950, 8963, 19, 'جدول الخدمة');
INSERT INTO `lang_definitions` VALUES (103951, 8966, 19, 'طريق');
INSERT INTO `lang_definitions` VALUES (103952, 8967, 19, 'طريق الإعطاء، لو ممكن');
INSERT INTO `lang_definitions` VALUES (103953, 8968, 19, 'محول');
INSERT INTO `lang_definitions` VALUES (103954, 8969, 19, 'سطور');
INSERT INTO `lang_definitions` VALUES (103955, 8971, 19, 'RRR without MOR');
INSERT INTO `lang_definitions` VALUES (103956, 8972, 19, 'مسحه:');
INSERT INTO `lang_definitions` VALUES (103957, 8973, 19, 'مسحات:');
INSERT INTO `lang_definitions` VALUES (103958, 8974, 19, 'قانون');
INSERT INTO `lang_definitions` VALUES (103959, 8975, 19, 'اضافة قانون');
INSERT INTO `lang_definitions` VALUES (103960, 8976, 19, 'تفاصيل القانون');
INSERT INTO `lang_definitions` VALUES (103961, 8978, 19, 'تعديل القانون');
INSERT INTO `lang_definitions` VALUES (103962, 8981, 19, 'تثبيت القانون');
INSERT INTO `lang_definitions` VALUES (103963, 8984, 19, 'قوانيين');
INSERT INTO `lang_definitions` VALUES (103964, 8986, 19, 'قوانيين الإعدادات');
INSERT INTO `lang_definitions` VALUES (103965, 8989, 19, 'أمر مستمر:');
INSERT INTO `lang_definitions` VALUES (103966, 8990, 19, 'انفتاق');
INSERT INTO `lang_definitions` VALUES (103967, 8992, 19, 'روسي');
INSERT INTO `lang_definitions` VALUES (103968, 8995, 19, 'الوصفة العلاجية');
INSERT INTO `lang_definitions` VALUES (103969, 8996, 19, 'الوصفة العلاجية');
INSERT INTO `lang_definitions` VALUES (103970, 8997, 19, 'حافة الوصفة العلاجية السفلى (نقطة)');
INSERT INTO `lang_definitions` VALUES (103971, 9001, 19, 'تفعيل رقم صرف الأدوية المخدرة');
INSERT INTO `lang_definitions` VALUES (103972, 9002, 19, 'تفعيل رقم الخدمة القومي');
INSERT INTO `lang_definitions` VALUES (103973, 9003, 19, 'تفعيل رقم ممارسة المهن الطبية');
INSERT INTO `lang_definitions` VALUES (103974, 9007, 19, 'حافة الوصفة العلاجية اليسرى (نقطة)');
INSERT INTO `lang_definitions` VALUES (103975, 9010, 19, 'حجم ورقة الوصفة العلاجية');
INSERT INTO `lang_definitions` VALUES (103976, 9013, 19, 'حافة الوصفة العلاجية اليمنى (نقطة)');
INSERT INTO `lang_definitions` VALUES (103977, 9014, 19, 'الوصفة العلاجية تظهر رقم صرف الأدوية المخدرة');
INSERT INTO `lang_definitions` VALUES (103978, 9015, 19, 'الوصفة العلاجية تظهر رقم الخدمة القومي');
INSERT INTO `lang_definitions` VALUES (103979, 9016, 19, 'الوصفة العلاجية تظهر رقم ممارسة المهن الطبية');
INSERT INTO `lang_definitions` VALUES (103980, 9017, 19, 'حافة الوصفة العلاجية العليا (نقطة)');
INSERT INTO `lang_definitions` VALUES (103981, 9023, 19, 'RxNorm');
INSERT INTO `lang_definitions` VALUES (103982, 9024, 19, 'قاعدة بيانات RxNorm');
INSERT INTO `lang_definitions` VALUES (103983, 9028, 19, 'S');
INSERT INTO `lang_definitions` VALUES (103984, 9029, 19, 'S.S.');
INSERT INTO `lang_definitions` VALUES (103985, 9030, 19, 'S3:');
INSERT INTO `lang_definitions` VALUES (103986, 9031, 19, 'S4:');
INSERT INTO `lang_definitions` VALUES (103987, 9032, 19, 'SA * * To read the license please read the docs/license.txt or visit * http://www.gnu.org/copyleft/gpl.html * */ //========================================================================= //');
INSERT INTO `lang_definitions` VALUES (103988, 9034, 19, 'تخفيض');
INSERT INTO `lang_definitions` VALUES (103989, 9035, 19, 'مبيعات');
INSERT INTO `lang_definitions` VALUES (103990, 9036, 19, 'المبيعات بالصنف');
INSERT INTO `lang_definitions` VALUES (103991, 9037, 19, 'المبيعات بتقرير المنتج');
INSERT INTO `lang_definitions` VALUES (103992, 9038, 19, 'لُعاب');
INSERT INTO `lang_definitions` VALUES (103993, 9039, 19, 'نفس اليوم');
INSERT INTO `lang_definitions` VALUES (103994, 9040, 19, 'جزيرة ساموان');
INSERT INTO `lang_definitions` VALUES (103995, 9041, 19, 'عينة');
INSERT INTO `lang_definitions` VALUES (103996, 9042, 19, 'نوع المنع');
INSERT INTO `lang_definitions` VALUES (103997, 9047, 19, 'السبت');
INSERT INTO `lang_definitions` VALUES (103998, 9048, 19, 'السبت و اﻷحد');
INSERT INTO `lang_definitions` VALUES (103999, 9049, 19, 'السبت');
INSERT INTO `lang_definitions` VALUES (104000, 9050, 19, 'حفظ');
INSERT INTO `lang_definitions` VALUES (104001, 9051, 19, 'حفظ');
INSERT INTO `lang_definitions` VALUES (104002, 9055, 19, 'حفظ وإغلاق');
INSERT INTO `lang_definitions` VALUES (104003, 9058, 19, 'حفظ و صرف');
INSERT INTO `lang_definitions` VALUES (104004, 9060, 19, 'حفظ وتسليم');
INSERT INTO `lang_definitions` VALUES (104005, 9061, 19, 'حفظ جديد');
INSERT INTO `lang_definitions` VALUES (104006, 9063, 19, 'حفظ كملاحظة جديدة');
INSERT INTO `lang_definitions` VALUES (104007, 9066, 19, 'حفظ اعدادت الشهادة');
INSERT INTO `lang_definitions` VALUES (104008, 9067, 19, 'حفظ التغيرات');
INSERT INTO `lang_definitions` VALUES (104009, 9075, 19, 'حفظ النموذج');
INSERT INTO `lang_definitions` VALUES (104010, 9076, 19, 'حفظ التطعيمات');
INSERT INTO `lang_definitions` VALUES (104011, 9078, 19, 'حفظ حقل جديد');
INSERT INTO `lang_definitions` VALUES (104012, 9079, 19, 'حفظ مجموعة جديدة');
INSERT INTO `lang_definitions` VALUES (104013, 9080, 19, 'حفظ القائمة الجديدة');
INSERT INTO `lang_definitions` VALUES (104014, 9081, 19, 'حفظ قالب جديد');
INSERT INTO `lang_definitions` VALUES (104015, 9082, 19, 'إحفظ إختيارات الإلغاء');
INSERT INTO `lang_definitions` VALUES (104016, 9083, 19, 'حفظ بيانات المريض الديموغرافية');
INSERT INTO `lang_definitions` VALUES (104017, 9087, 19, 'تم حفظ سجل الهوية بنجاح');
INSERT INTO `lang_definitions` VALUES (104018, 9089, 19, 'حفظ العملية');
INSERT INTO `lang_definitions` VALUES (104019, 9098, 19, 'تم المسح الضوئي');
INSERT INTO `lang_definitions` VALUES (104020, 9099, 19, 'تم مسح ورقه الزيارة ضوئيا');
INSERT INTO `lang_definitions` VALUES (104021, 9100, 19, 'ملف الماسح الضوئي');
INSERT INTO `lang_definitions` VALUES (104022, 9101, 19, 'دخل الماسح الضوئي');
INSERT INTO `lang_definitions` VALUES (104023, 9104, 19, 'جدولالمواعيد');
INSERT INTO `lang_definitions` VALUES (104024, 9106, 19, 'تسهيلات جدول المواعيد');
INSERT INTO `lang_definitions` VALUES (104025, 9117, 19, 'رسالة للمدرسة');
INSERT INTO `lang_definitions` VALUES (104026, 9122, 19, 'جنف- انحناء العمود الفقري');
INSERT INTO `lang_definitions` VALUES (104027, 9133, 19, 'SE');
INSERT INTO `lang_definitions` VALUES (104028, 9134, 19, 'SE عنوان');
INSERT INTO `lang_definitions` VALUES (104029, 9135, 19, 'SE مدينة');
INSERT INTO `lang_definitions` VALUES (104030, 9136, 19, 'SE بلد');
INSERT INTO `lang_definitions` VALUES (104031, 9137, 19, 'SE المنطقة');
INSERT INTO `lang_definitions` VALUES (104032, 9138, 19, 'SE الرمز البريدي');
INSERT INTO `lang_definitions` VALUES (104033, 9139, 19, 'SE الولاية');
INSERT INTO `lang_definitions` VALUES (104034, 9140, 19, 'SE الرمز البريدي');
INSERT INTO `lang_definitions` VALUES (104035, 9141, 19, 'بحث');
INSERT INTO `lang_definitions` VALUES (104036, 9143, 19, 'بحث');
INSERT INTO `lang_definitions` VALUES (104037, 9144, 19, 'تكرار البحث');
INSERT INTO `lang_definitions` VALUES (104038, 9145, 19, 'بحث جميع القوائم');
INSERT INTO `lang_definitions` VALUES (104039, 9150, 19, 'احث عن طريق');
INSERT INTO `lang_definitions` VALUES (104040, 9152, 19, 'بحث عن');
INSERT INTO `lang_definitions` VALUES (104041, 9156, 19, 'بحث عن');
INSERT INTO `lang_definitions` VALUES (104042, 9158, 19, 'بحث في');
INSERT INTO `lang_definitions` VALUES (104043, 9159, 19, 'بحث في');
INSERT INTO `lang_definitions` VALUES (104044, 9161, 19, 'بحث أو إضافة مريض');
INSERT INTO `lang_definitions` VALUES (104045, 9164, 19, 'بحث المدفوعات');
INSERT INTO `lang_definitions` VALUES (104046, 9167, 19, 'نتائج البحث');
INSERT INTO `lang_definitions` VALUES (104047, 9168, 19, 'نتائج البحث :');
INSERT INTO `lang_definitions` VALUES (104048, 9169, 19, 'بحث عن المختارات');
INSERT INTO `lang_definitions` VALUES (104049, 9171, 19, 'كلمة البحث غير متوافقة مع القائمة فى قاعدة البيانات');
INSERT INTO `lang_definitions` VALUES (104050, 9172, 19, 'كلمة البحث يجب الا تقل عن ثلاثة احرف');
INSERT INTO `lang_definitions` VALUES (104051, 9174, 19, 'بحث النص');
INSERT INTO `lang_definitions` VALUES (104052, 9175, 19, 'بحث في الحدث');
INSERT INTO `lang_definitions` VALUES (104053, 9178, 19, 'بحث - اضافة');
INSERT INTO `lang_definitions` VALUES (104054, 9179, 19, 'بحث - اضافة مؤمن');
INSERT INTO `lang_definitions` VALUES (104055, 9181, 19, 'بحث عن المواعيد');
INSERT INTO `lang_definitions` VALUES (104056, 9182, 19, 'جاري البحث ...');
INSERT INTO `lang_definitions` VALUES (104057, 9184, 19, 'استخدام حزام الأمان');
INSERT INTO `lang_definitions` VALUES (104058, 9185, 19, 'استخدام حزام الأمان');
INSERT INTO `lang_definitions` VALUES (104059, 9186, 19, 'ثان');
INSERT INTO `lang_definitions` VALUES (104060, 9189, 19, 'ثانوي');
INSERT INTO `lang_definitions` VALUES (104061, 9191, 19, 'تأمين إضافي');
INSERT INTO `lang_definitions` VALUES (104062, 9192, 19, 'بيانات التأمين الإضافي');
INSERT INTO `lang_definitions` VALUES (104063, 9193, 19, 'مقدم التأمين الإضافي');
INSERT INTO `lang_definitions` VALUES (104064, 9194, 19, 'نظام ميديكير الثانوي');
INSERT INTO `lang_definitions` VALUES (104065, 9207, 19, 'أمن');
INSERT INTO `lang_definitions` VALUES (104066, 9208, 19, 'مشاهدة الكل');
INSERT INTO `lang_definitions` VALUES (104067, 9210, 19, 'مشاهدة التفاويض');
INSERT INTO `lang_definitions` VALUES (104068, 9213, 19, 'مشاهدة مخطط النمو البياني');
INSERT INTO `lang_definitions` VALUES (104069, 9214, 19, 'راجع الرسائل من اخر مجموعة من المطالبات');
INSERT INTO `lang_definitions` VALUES (104070, 9218, 19, 'فحص منذ');
INSERT INTO `lang_definitions` VALUES (104071, 9220, 19, 'اسم القطعة');
INSERT INTO `lang_definitions` VALUES (104072, 9221, 19, 'مطالبة مجموعة القطع');
INSERT INTO `lang_definitions` VALUES (104073, 9222, 19, 'تشنج');
INSERT INTO `lang_definitions` VALUES (104074, 9223, 19, 'إختر');
INSERT INTO `lang_definitions` VALUES (104075, 9224, 19, 'إختر');
INSERT INTO `lang_definitions` VALUES (104076, 9225, 19, 'إختر');
INSERT INTO `lang_definitions` VALUES (104077, 9228, 19, 'إختر محتوى');
INSERT INTO `lang_definitions` VALUES (104078, 9232, 19, 'إختر نسبة الصفوف او إختر الأيام');
INSERT INTO `lang_definitions` VALUES (104079, 9235, 19, 'إختر فترة زمنية');
INSERT INTO `lang_definitions` VALUES (104080, 9236, 19, 'إختر مستخدم');
INSERT INTO `lang_definitions` VALUES (104081, 9239, 19, 'إختيار الكل');
INSERT INTO `lang_definitions` VALUES (104082, 9248, 19, 'إختر مدخولات CAMOS للطباعة');
INSERT INTO `lang_definitions` VALUES (104083, 9250, 19, 'إختر فئة');
INSERT INTO `lang_definitions` VALUES (104084, 9254, 19, 'إختر');
INSERT INTO `lang_definitions` VALUES (104085, 9256, 19, 'إختر الضوابط المراد حذفها');
INSERT INTO `lang_definitions` VALUES (104086, 9257, 19, 'إختر جدول CSV');
INSERT INTO `lang_definitions` VALUES (104087, 9260, 19, 'إختر البيانات المراد إبهامها');
INSERT INTO `lang_definitions` VALUES (104088, 9261, 19, 'إختر بيانات لأدراجها من ضمن البيانات المبهمة');
INSERT INTO `lang_definitions` VALUES (104089, 9262, 19, 'إختر التاريخ');
INSERT INTO `lang_definitions` VALUES (104090, 9264, 19, 'إختر');
INSERT INTO `lang_definitions` VALUES (104091, 9265, 19, 'إختر التشخيص');
INSERT INTO `lang_definitions` VALUES (104092, 9267, 19, 'إختر التشخيص المراد إبهامه');
INSERT INTO `lang_definitions` VALUES (104093, 9271, 19, 'إختر الدواء');
INSERT INTO `lang_definitions` VALUES (104094, 9272, 19, 'إختر الأدوية');
INSERT INTO `lang_definitions` VALUES (104095, 9273, 19, 'إختر الأدوية المراد إبهامها');
INSERT INTO `lang_definitions` VALUES (104096, 9274, 19, 'إختر ملف EDI-271');
INSERT INTO `lang_definitions` VALUES (104097, 9276, 19, 'إختر الحقل');
INSERT INTO `lang_definitions` VALUES (104098, 9278, 19, 'إختر الحقول');
INSERT INTO `lang_definitions` VALUES (104099, 9279, 19, 'إختر للطباعة');
INSERT INTO `lang_definitions` VALUES (104100, 9285, 19, 'إختر التطعيم');
INSERT INTO `lang_definitions` VALUES (104101, 9286, 19, 'إختر التطعيمات المراد إبهامها');
INSERT INTO `lang_definitions` VALUES (104102, 9287, 19, 'إختر تامين وذلك بالكتابة');
INSERT INTO `lang_definitions` VALUES (104103, 9288, 19, 'إختر الأصدار');
INSERT INTO `lang_definitions` VALUES (104104, 9291, 19, 'إختر لغة');
INSERT INTO `lang_definitions` VALUES (104105, 9297, 19, 'إختر واحد');
INSERT INTO `lang_definitions` VALUES (104106, 9298, 19, 'إختر تشخيص او أكثر لتسويغ الخدمة');
INSERT INTO `lang_definitions` VALUES (104107, 9299, 19, 'إختر ملف أو أكثر للتحميل');
INSERT INTO `lang_definitions` VALUES (104108, 9321, 19, 'إختر الإعدادات للتصدير');
INSERT INTO `lang_definitions` VALUES (104109, 9328, 19, 'إختر المسبب الرئيسي لأي حدث مفقود لهذا اليوم');
INSERT INTO `lang_definitions` VALUES (104110, 9338, 19, 'إختر مستخدم');
INSERT INTO `lang_definitions` VALUES (104111, 9340, 19, 'اختيار مستخدمين من القائمة المنسدلة');
INSERT INTO `lang_definitions` VALUES (104112, 9341, 19, 'إختر اي اللغات مسموح اختيارها عند الدخول (مسموح فقط لو كان اختيار كل اللغات معطل)');
INSERT INTO `lang_definitions` VALUES (104113, 9343, 19, 'إختر نعم لتأكيد مسح المجموعة');
INSERT INTO `lang_definitions` VALUES (104114, 9349, 19, 'مُختار');
INSERT INTO `lang_definitions` VALUES (104115, 9350, 19, 'مراجعة مُختارة');
INSERT INTO `lang_definitions` VALUES (104116, 9355, 19, 'تفعيل هذا الإختيار سيكون رسالة يتحتم على كل مستقبل معالجتها كل على حده (هذا ليس اختيارا للمجموعة)');
INSERT INTO `lang_definitions` VALUES (104117, 9357, 19, 'ذاتي');
INSERT INTO `lang_definitions` VALUES (104118, 9358, 19, 'دفع ذاتي');
INSERT INTO `lang_definitions` VALUES (104119, 9360, 19, 'إرسال');
INSERT INTO `lang_definitions` VALUES (104120, 9361, 19, 'إرسال تذكير مؤرخ');
INSERT INTO `lang_definitions` VALUES (104121, 9362, 19, 'أرسل تنبيه');
INSERT INTO `lang_definitions` VALUES (104122, 9369, 19, 'جار الإرسال');
INSERT INTO `lang_definitions` VALUES (104123, 9372, 19, 'أرسل رسالة');
INSERT INTO `lang_definitions` VALUES (104124, 9378, 19, 'أرسل مجموعة تنبيهات');
INSERT INTO `lang_definitions` VALUES (104125, 9379, 19, 'أرسل تنبيهات للمرضي كل على حسب اختياره للوقاية او للمتابعة');
INSERT INTO `lang_definitions` VALUES (104126, 9383, 19, 'إرسال الملخصات مع الإحالات');
INSERT INTO `lang_definitions` VALUES (104127, 9384, 19, 'إرسل هذا الملف');
INSERT INTO `lang_definitions` VALUES (104128, 9385, 19, 'إرسل هذه الرسالة');
INSERT INTO `lang_definitions` VALUES (104129, 9386, 19, 'إرسل الى');
INSERT INTO `lang_definitions` VALUES (104130, 9389, 19, 'إرسل للكل');
INSERT INTO `lang_definitions` VALUES (104131, 9395, 19, 'مُرسل');
INSERT INTO `lang_definitions` VALUES (104132, 9396, 19, 'هوية المُرسل');
INSERT INTO `lang_definitions` VALUES (104133, 9397, 19, 'هوية المُرسل (ISA06)');
INSERT INTO `lang_definitions` VALUES (104134, 9398, 19, 'ًًٍََُِمرقي هوية المُرسل (ISA05)');
INSERT INTO `lang_definitions` VALUES (104135, 9399, 19, 'هويات المرسلين');
INSERT INTO `lang_definitions` VALUES (104136, 9406, 19, 'الإرسل الى');
INSERT INTO `lang_definitions` VALUES (104137, 9407, 19, 'حساسيات');
INSERT INTO `lang_definitions` VALUES (104138, 9411, 19, 'حساسية');
INSERT INTO `lang_definitions` VALUES (104139, 9412, 19, 'الكشف الحِسِّيّ‎ طبيعي  ');
INSERT INTO `lang_definitions` VALUES (104140, 9413, 19, 'تم الإرسال');
INSERT INTO `lang_definitions` VALUES (104141, 9415, 19, 'أُرسل من خلال, يُترك فارغ للجميع');
INSERT INTO `lang_definitions` VALUES (104142, 9417, 19, 'تاريخ الإرسال');
INSERT INTO `lang_definitions` VALUES (104143, 9418, 19, 'المواد المُرسلة');
INSERT INTO `lang_definitions` VALUES (104144, 9419, 19, 'التقارير المُرسلة؟');
INSERT INTO `lang_definitions` VALUES (104145, 9420, 19, 'تم الإرسال بنجاح');
INSERT INTO `lang_definitions` VALUES (104146, 9423, 19, 'تم الإرسال للطابعة.');
INSERT INTO `lang_definitions` VALUES (104147, 9424, 19, 'إرسل الى, يترك فارغ للجميع');
INSERT INTO `lang_definitions` VALUES (104148, 9426, 19, 'تم الإرسال, حتى الان لم يتم تأكيد الإستلام');
INSERT INTO `lang_definitions` VALUES (104149, 9427, 19, 'تم الإرسال, لم يُستقبل بعد');
INSERT INTO `lang_definitions` VALUES (104150, 9429, 19, 'سبتمبر -أيلول');
INSERT INTO `lang_definitions` VALUES (104151, 9430, 19, 'مفصول');
INSERT INTO `lang_definitions` VALUES (104152, 9431, 19, 'سبتمبر -أيلول');
INSERT INTO `lang_definitions` VALUES (104153, 9432, 19, 'تتابع');
INSERT INTO `lang_definitions` VALUES (104154, 9433, 19, 'تتابع');
INSERT INTO `lang_definitions` VALUES (104155, 9435, 19, 'ممثل الخدمة');
INSERT INTO `lang_definitions` VALUES (104156, 9442, 19, 'خدمة');
INSERT INTO `lang_definitions` VALUES (104157, 9444, 19, 'فئة الخدمة');
INSERT INTO `lang_definitions` VALUES (104158, 9445, 19, 'رمز الخدمة');
INSERT INTO `lang_definitions` VALUES (104159, 9446, 19, 'رمز الخدمة للتقارير المالية');
INSERT INTO `lang_definitions` VALUES (104160, 9447, 19, 'رموز الخدمة');
INSERT INTO `lang_definitions` VALUES (104161, 9448, 19, 'تاريخ الخدمة');
INSERT INTO `lang_definitions` VALUES (104162, 9451, 19, 'تاريخ الخدمة :');
INSERT INTO `lang_definitions` VALUES (104163, 9455, 19, 'موقع الخدمة');
INSERT INTO `lang_definitions` VALUES (104164, 9456, 19, 'أسم الخدمة');
INSERT INTO `lang_definitions` VALUES (104165, 9457, 19, 'مقدم الخدمة اخصائي');
INSERT INTO `lang_definitions` VALUES (104166, 9459, 19, 'الإبلاغ عن الخدمة');
INSERT INTO `lang_definitions` VALUES (104167, 9460, 19, 'الإبلاغ عن الخدمة فقط');
INSERT INTO `lang_definitions` VALUES (104168, 9461, 19, 'الخدمات');
INSERT INTO `lang_definitions` VALUES (104169, 9462, 19, 'الخدمات عن طريق الفئة');
INSERT INTO `lang_definitions` VALUES (104170, 9463, 19, 'الخدمات المقدمة');
INSERT INTO `lang_definitions` VALUES (104171, 9464, 19, 'الخدمات المقدمة');
INSERT INTO `lang_definitions` VALUES (104172, 9465, 19, 'الخدمات - المنتجات');
INSERT INTO `lang_definitions` VALUES (104173, 9466, 19, 'نوع الجلسة');
INSERT INTO `lang_definitions` VALUES (104174, 9467, 19, 'اضبط');
INSERT INTO `lang_definitions` VALUES (104175, 9468, 19, 'اضبط كعكة المنشئة لتتذكر المنشئة المختارة بين مرات الدخول');
INSERT INTO `lang_definitions` VALUES (104176, 9469, 19, 'اضبط كمكتمل');
INSERT INTO `lang_definitions` VALUES (104177, 9475, 19, 'اضبط اولوية التشغيل لمحرك تقارير CDR');
INSERT INTO `lang_definitions` VALUES (104178, 9476, 19, 'اضبط اولوية التشغيل لإنشاء تنبيهات المرضي (في نمط العيادة الكامل)');
INSERT INTO `lang_definitions` VALUES (104179, 9478, 19, 'اضبط هذا للعنوان الكامل الوحيد لإنشاء شهادات SSL لل HTTPS');
INSERT INTO `lang_definitions` VALUES (104180, 9479, 19, 'اضبط الي');
INSERT INTO `lang_definitions` VALUES (104181, 9480, 19, 'اعادة الضبط');
INSERT INTO `lang_definitions` VALUES (104182, 9486, 19, 'ضبط رقم التعديل لقاعدة البيانات...');
INSERT INTO `lang_definitions` VALUES (104183, 9488, 19, 'الإعدادات');
INSERT INTO `lang_definitions` VALUES (104184, 9493, 19, 'صداع نصفي حاد');
INSERT INTO `lang_definitions` VALUES (104185, 9496, 19, 'شدة الألم');
INSERT INTO `lang_definitions` VALUES (104186, 9497, 19, 'شدة الألم');
INSERT INTO `lang_definitions` VALUES (104187, 9498, 19, 'جنس');
INSERT INTO `lang_definitions` VALUES (104188, 9499, 19, 'الأمراض المنقولة جنسيا');
INSERT INTO `lang_definitions` VALUES (104189, 9500, 19, 'بروتوكول نقل الملفات المؤمن');
INSERT INTO `lang_definitions` VALUES (104190, 9502, 19, 'خوارزمية التشفير');
INSERT INTO `lang_definitions` VALUES (104191, 9503, 19, 'مشاركة');
INSERT INTO `lang_definitions` VALUES (104192, 9504, 19, 'أمر للطباعة من المزود');
INSERT INTO `lang_definitions` VALUES (104193, 9507, 19, 'وصف قصير');
INSERT INTO `lang_definitions` VALUES (104194, 9510, 19, 'نقص في التنفس');
INSERT INTO `lang_definitions` VALUES (104195, 9511, 19, 'نقص في التنفس');
INSERT INTO `lang_definitions` VALUES (104196, 9512, 19, 'نقص في التنفس ٢');
INSERT INTO `lang_definitions` VALUES (104197, 9513, 19, 'سجل الحقنات');
INSERT INTO `lang_definitions` VALUES (104198, 9514, 19, 'سجل الحقنات');
INSERT INTO `lang_definitions` VALUES (104199, 9516, 19, 'يجب ان يكون مثل nnnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (104200, 9517, 19, 'يجب ان يكون حرفين');
INSERT INTO `lang_definitions` VALUES (104201, 9518, 19, 'يجب ان يحتوي على ١٠ خانات');
INSERT INTO `lang_definitions` VALUES (104202, 9519, 19, 'يجب ان يحتوي على ١٠ خانات فقط');
INSERT INTO `lang_definitions` VALUES (104203, 9520, 19, 'الكتف');
INSERT INTO `lang_definitions` VALUES (104204, 9521, 19, 'الكتف + الترقوة');
INSERT INTO `lang_definitions` VALUES (104205, 9522, 19, 'عرض');
INSERT INTO `lang_definitions` VALUES (104206, 9523, 19, 'عرض');
INSERT INTO `lang_definitions` VALUES (104207, 9524, 19, 'عرض الكل');
INSERT INTO `lang_definitions` VALUES (104208, 9527, 19, 'عرض الكل');
INSERT INTO `lang_definitions` VALUES (104209, 9529, 19, 'عرض جميع الإجراءات');
INSERT INTO `lang_definitions` VALUES (104210, 9531, 19, 'عرض جميع المعاملات');
INSERT INTO `lang_definitions` VALUES (104211, 9532, 19, 'عرض ك مشغول');
INSERT INTO `lang_definitions` VALUES (104212, 9533, 19, 'العرض للمصرح لهم فقط');
INSERT INTO `lang_definitions` VALUES (104213, 9534, 19, 'عرض الأوقات المتاحة');
INSERT INTO `lang_definitions` VALUES (104214, 9535, 19, 'عرض الجميع: US & Metric');
INSERT INTO `lang_definitions` VALUES (104215, 9536, 19, 'عرض الجميع: US & Metric');
INSERT INTO `lang_definitions` VALUES (104216, 9540, 19, 'عرض التفاصيل');
INSERT INTO `lang_definitions` VALUES (104217, 9542, 19, 'عرض الأخطاء فقط');
INSERT INTO `lang_definitions` VALUES (104218, 9544, 19, 'عرض الرسم البياني');
INSERT INTO `lang_definitions` VALUES (104219, 9546, 19, 'عرض وصف الحدث عن وضع الفأرة عليه؟');
INSERT INTO `lang_definitions` VALUES (104220, 9547, 19, 'عرض عدد الأحداث على صفحة المدير؟');
INSERT INTO `lang_definitions` VALUES (104221, 9548, 19, 'عرض الغير نشط');
INSERT INTO `lang_definitions` VALUES (104222, 9552, 19, 'عرض القائمة');
INSERT INTO `lang_definitions` VALUES (104223, 9553, 19, 'عرض النِّظامُ المِتْرِيّ‎ فقط');
INSERT INTO `lang_definitions` VALUES (104224, 9556, 19, 'عرض الحاشية');
INSERT INTO `lang_definitions` VALUES (104225, 9558, 19, 'عرض الإجراءات الغير محذوفة فقط');
INSERT INTO `lang_definitions` VALUES (104226, 9561, 19, 'عرض ملاحظات المريض');
INSERT INTO `lang_definitions` VALUES (104227, 9562, 19, 'عرض الرطل و الأوقية');
INSERT INTO `lang_definitions` VALUES (104228, 9563, 19, 'عرض الرطل بالقيمة العشرية');
INSERT INTO `lang_definitions` VALUES (104229, 9564, 19, 'عرض الأساسي كاملا');
INSERT INTO `lang_definitions` VALUES (104230, 9568, 19, 'عرض التنبيهات');
INSERT INTO `lang_definitions` VALUES (104231, 9569, 19, 'عرض التقرير');
INSERT INTO `lang_definitions` VALUES (104232, 9570, 19, 'عرض البحث- تسليم الروابط دفعة واحدة؟');
INSERT INTO `lang_definitions` VALUES (104233, 9574, 19, 'أعرض طلب الحالة المهيئة لأداة إضافة قائمة (هذا سيسأل عن العنوان و اﻹختصار)');
INSERT INTO `lang_definitions` VALUES (104234, 9577, 19, 'اعرض هذة المجموعة علي شاشة عرض المريض حتي لو تكن هناك أحداث مسجلة');
INSERT INTO `lang_definitions` VALUES (104235, 9580, 19, 'عرض الفواتير الغير مدفوعة فقط');
INSERT INTO `lang_definitions` VALUES (104236, 9581, 19, 'عرض الولايات المتحدة فقط');
INSERT INTO `lang_definitions` VALUES (104237, 9585, 19, 'يعرض');
INSERT INTO `lang_definitions` VALUES (104238, 9589, 19, 'يعرض النتائج');
INSERT INTO `lang_definitions` VALUES (104239, 9595, 19, 'الاشقاء');
INSERT INTO `lang_definitions` VALUES (104240, 9596, 19, 'فقر الدم المنجلي');
INSERT INTO `lang_definitions` VALUES (104241, 9597, 19, 'التوقيع');
INSERT INTO `lang_definitions` VALUES (104242, 9598, 19, 'السِّينِيّي -جزء من القولون‎ -فحص القولون');
INSERT INTO `lang_definitions` VALUES (104243, 9601, 19, 'توقيع نتيجة المختبر (كتابة,اختياري)');
INSERT INTO `lang_definitions` VALUES (104244, 9603, 19, 'التوقيع على النتيجة');
INSERT INTO `lang_definitions` VALUES (104245, 9606, 19, 'التوقيع');
INSERT INTO `lang_definitions` VALUES (104246, 9609, 19, 'التوقيع:');
INSERT INTO `lang_definitions` VALUES (104247, 9612, 19, 'وصفة علاجية موقعة');
INSERT INTO `lang_definitions` VALUES (104248, 9614, 19, 'انتفاخ كبير:');
INSERT INTO `lang_definitions` VALUES (104249, 9615, 19, 'مبسط');
INSERT INTO `lang_definitions` VALUES (104250, 9616, 19, 'رسوم ميسرة');
INSERT INTO `lang_definitions` VALUES (104251, 9617, 19, 'ديموغرافيا ميسرة');
INSERT INTO `lang_definitions` VALUES (104252, 9618, 19, 'وصفات ميسرة');
INSERT INTO `lang_definitions` VALUES (104253, 9619, 19, 'منذ');
INSERT INTO `lang_definitions` VALUES (104254, 9620, 19, 'تحياتي الصادقة,');
INSERT INTO `lang_definitions` VALUES (104255, 9622, 19, 'مفرد');
INSERT INTO `lang_definitions` VALUES (104256, 9624, 19, 'مفرد-قائمة الأختيارات');
INSERT INTO `lang_definitions` VALUES (104257, 9625, 19, 'مفرد-قائمة الأختيارات مع مقدرة الأضافة عليها');
INSERT INTO `lang_definitions` VALUES (104258, 9626, 19, 'مُفرد');
INSERT INTO `lang_definitions` VALUES (104259, 9629, 19, 'مشكلة الجيوب الأنفية');
INSERT INTO `lang_definitions` VALUES (104260, 9630, 19, 'جراحة الجيوب الأنفية');
INSERT INTO `lang_definitions` VALUES (104261, 9631, 19, 'SINUS TENDERNESS:');
INSERT INTO `lang_definitions` VALUES (104262, 9632, 19, 'اِلْتِهابُ الجَيْب الأنفية');
INSERT INTO `lang_definitions` VALUES (104263, 9634, 19, 'مكان');
INSERT INTO `lang_definitions` VALUES (104264, 9637, 19, 'رقم هوية الموقع');
INSERT INTO `lang_definitions` VALUES (104265, 9638, 19, 'رقم هوية الموقع لدمج العلومات الصحية, خدمة تبادل المعمل');
INSERT INTO `lang_definitions` VALUES (104266, 9639, 19, 'رقم هوية الموقع للبرنامج, خدمة تبادل المعمل');
INSERT INTO `lang_definitions` VALUES (104267, 9643, 19, 'مقاس');
INSERT INTO `lang_definitions` VALUES (104268, 9646, 19, 'المقاس يجب ان يكون بين 1 و 999');
INSERT INTO `lang_definitions` VALUES (104269, 9648, 19, 'مقاس-قائمة');
INSERT INTO `lang_definitions` VALUES (104270, 9650, 19, 'جلد');
INSERT INTO `lang_definitions` VALUES (104271, 9651, 19, 'سرطان الجلد');
INSERT INTO `lang_definitions` VALUES (104272, 9652, 19, 'مرض جلدي');
INSERT INTO `lang_definitions` VALUES (104273, 9653, 19, 'جلد اخرى');
INSERT INTO `lang_definitions` VALUES (104274, 9654, 19, 'تجاوز تفويض ملاحظات المريض');
INSERT INTO `lang_definitions` VALUES (104275, 9659, 19, 'تجاوز جزء');
INSERT INTO `lang_definitions` VALUES (104276, 9660, 19, 'Skipping SQL-Ledger dump - not implemented for Windows server');
INSERT INTO `lang_definitions` VALUES (104277, 9664, 19, 'أنماط النوم');
INSERT INTO `lang_definitions` VALUES (104278, 9665, 19, 'أنماط النوم');
INSERT INTO `lang_definitions` VALUES (104279, 9666, 19, 'نائم');
INSERT INTO `lang_definitions` VALUES (104280, 9668, 19, 'السلوفاكية');
INSERT INTO `lang_definitions` VALUES (104281, 9670, 19, 'Sm debt w/o');
INSERT INTO `lang_definitions` VALUES (104282, 9675, 19, 'لقد تم مسح مخبئ Smarty');
INSERT INTO `lang_definitions` VALUES (104283, 9676, 19, 'مدخن, الحالة الحالية غير معروفة');
INSERT INTO `lang_definitions` VALUES (104284, 9678, 19, 'حالة التدخين');
INSERT INTO `lang_definitions` VALUES (104285, 9680, 19, 'تفوبض الرسائل النصية القصيرة');
INSERT INTO `lang_definitions` VALUES (104286, 9683, 19, 'ممر الرسائل النصية القصيرة');
INSERT INTO `lang_definitions` VALUES (104287, 9684, 19, 'ممر الرسائل النصية القصيرة, مفتاح API');
INSERT INTO `lang_definitions` VALUES (104288, 9685, 19, 'ممر الرسائل النصية القصيرة, مفتاح API');
INSERT INTO `lang_definitions` VALUES (104289, 9686, 19, 'كلمة سر ممر الرسائل النصية القصيرة');
INSERT INTO `lang_definitions` VALUES (104290, 9687, 19, 'إسم مستخدم ممر الرسائل النصية القصيرة');
INSERT INTO `lang_definitions` VALUES (104291, 9689, 19, 'تذكيرات الرسائل النصية القصيرة');
INSERT INTO `lang_definitions` VALUES (104292, 9690, 19, 'أوقات تذكيرات الرسائل النصية القصيرة');
INSERT INTO `lang_definitions` VALUES (104293, 9693, 19, 'أرسل الرسائل النصية القصيرة قبل');
INSERT INTO `lang_definitions` VALUES (104294, 9694, 19, 'تم إرسال الرسائل النصية القصيرة');
INSERT INTO `lang_definitions` VALUES (104295, 9697, 19, 'SMS Text, Usable Tag: ***NAME***, ***PROVIDER***, ***DATE***, ***STARTTIME***, ***ENDTIME***<br> i.e. Dear ***NAME***');
INSERT INTO `lang_definitions` VALUES (104296, 9701, 19, 'إعدادات الرسائل النصية القصيرة/الإيميل');
INSERT INTO `lang_definitions` VALUES (104297, 9703, 19, 'كلمة سرSMTP للتوثق');
INSERT INTO `lang_definitions` VALUES (104298, 9706, 19, 'إسم مستضيف خادم SMTP');
INSERT INTO `lang_definitions` VALUES (104299, 9707, 19, 'رقم منفذ خادم SMTP');
INSERT INTO `lang_definitions` VALUES (104300, 9708, 19, 'مستخدم SMTP للتوثق');
INSERT INTO `lang_definitions` VALUES (104301, 9709, 19, 'المسميات المنظمة للطب SNOMED');
INSERT INTO `lang_definitions` VALUES (104302, 9710, 19, 'طلب طبي (RF1) المسميات المنظمة للطب');
INSERT INTO `lang_definitions` VALUES (104303, 9711, 19, 'تشخيص (RF1) المسميات المنظمة للطب');
INSERT INTO `lang_definitions` VALUES (104304, 9712, 19, 'عملية (RF1) المسميات المنظمة للطب');
INSERT INTO `lang_definitions` VALUES (104305, 9714, 19, 'تشخيص (RF2) المسميات المنظمة للطب');
INSERT INTO `lang_definitions` VALUES (104306, 9716, 19, 'المصطلح الطبي في المسميات المنظمة للطب');
INSERT INTO `lang_definitions` VALUES (104307, 9717, 19, 'قاعدة بيانات المسميات المنظمة للطب');
INSERT INTO `lang_definitions` VALUES (104308, 9718, 19, 'التشخيص المسميات المنظمة للطب');
INSERT INTO `lang_definitions` VALUES (104309, 9719, 19, 'الإجراءات المسميات المنظمة للطب');
INSERT INTO `lang_definitions` VALUES (104310, 9721, 19, 'شَخير');
INSERT INTO `lang_definitions` VALUES (104311, 9722, 19, 'الشكوي , الفحص , التقييم و خطة العلاج');
INSERT INTO `lang_definitions` VALUES (104312, 9726, 19, 'صعوبات اجتماعية');
INSERT INTO `lang_definitions` VALUES (104313, 9729, 19, 'التاريخ الاجتماعي');
INSERT INTO `lang_definitions` VALUES (104314, 9730, 19, 'رقم الخدمة الأجتماعية');
INSERT INTO `lang_definitions` VALUES (104315, 9732, 19, 'حّل');
INSERT INTO `lang_definitions` VALUES (104316, 9734, 19, 'مضمون جسدى');
INSERT INTO `lang_definitions` VALUES (104317, 9735, 19, 'لم يتم عرض كل التفاويض: انقر هنا لعرض الكل');
INSERT INTO `lang_definitions` VALUES (104318, 9736, 19, 'بعض الرموز لم يتم عرضها');
INSERT INTO `lang_definitions` VALUES (104319, 9737, 19, 'بعض المراجعات لم يتم عرضها:انقر هنا لعرض الكل');
INSERT INTO `lang_definitions` VALUES (104320, 9738, 19, 'حدثت بعض الأخطاء خلال عملية إزالة الهوية');
INSERT INTO `lang_definitions` VALUES (104321, 9740, 19, 'بعض الملاحظات لم يتم عرضها');
INSERT INTO `lang_definitions` VALUES (104322, 9741, 19, 'لم يتم عرض كل الملاحظات. انقر هنا لعرض الكل');
INSERT INTO `lang_definitions` VALUES (104323, 9743, 19, 'بعض الكلمات');
INSERT INTO `lang_definitions` VALUES (104324, 9747, 19, 'حدث خطأ. من فضلك حاول مرة اخرى');
INSERT INTO `lang_definitions` VALUES (104325, 9748, 19, 'فاصل سوف يحين الوقت قريباَ (التذكيرات الطّبية)');
INSERT INTO `lang_definitions` VALUES (104326, 9749, 19, 'فاصل سوف يحين الوقت قريباَ (تذكيرات المرضي)');
INSERT INTO `lang_definitions` VALUES (104327, 9750, 19, 'التهاب الحلق');
INSERT INTO `lang_definitions` VALUES (104328, 9751, 19, 'عفواً لم يتم تحديد الموعد');
INSERT INTO `lang_definitions` VALUES (104329, 9754, 19, 'عفواً. حدث خطأ خلال تحميل الملف');
INSERT INTO `lang_definitions` VALUES (104330, 9758, 19, 'فرز حسب');
INSERT INTO `lang_definitions` VALUES (104331, 9759, 19, 'فرز حسب');
INSERT INTO `lang_definitions` VALUES (104332, 9761, 19, 'فرز حسب تدقيق المجموع');
INSERT INTO `lang_definitions` VALUES (104333, 9762, 19, 'فرز حسب التعليقات');
INSERT INTO `lang_definitions` VALUES (104334, 9764, 19, 'فرز حسب التاريخ');
INSERT INTO `lang_definitions` VALUES (104335, 9765, 19, 'فرز حسب التاريخ- الوقت');
INSERT INTO `lang_definitions` VALUES (104336, 9766, 19, 'فرز حسب المراجعة');
INSERT INTO `lang_definitions` VALUES (104337, 9767, 19, 'فرز حسب المجموعة');
INSERT INTO `lang_definitions` VALUES (104338, 9770, 19, 'فرز حسب بطاقة المريض');
INSERT INTO `lang_definitions` VALUES (104339, 9772, 19, 'فرز حسب العمليات التى تمت بنجاح');
INSERT INTO `lang_definitions` VALUES (104340, 9774, 19, 'فرز حسب المستخدم');
INSERT INTO `lang_definitions` VALUES (104341, 9775, 19, 'فرز حسب التطعيم');
INSERT INTO `lang_definitions` VALUES (104342, 9776, 19, 'إفرز تنازلياَ');
INSERT INTO `lang_definitions` VALUES (104343, 9777, 19, 'فرز حسب النتائج');
INSERT INTO `lang_definitions` VALUES (104344, 9778, 19, 'إفرز تصاعدياَ');
INSERT INTO `lang_definitions` VALUES (104345, 9779, 19, 'المصدر');
INSERT INTO `lang_definitions` VALUES (104346, 9781, 19, 'ملف المصدر');
INSERT INTO `lang_definitions` VALUES (104347, 9782, 19, 'طريق ملف المصدر');
INSERT INTO `lang_definitions` VALUES (104348, 9783, 19, 'رمز المصدر مفقود');
INSERT INTO `lang_definitions` VALUES (104349, 9784, 19, 'جملة المصدر');
INSERT INTO `lang_definitions` VALUES (104350, 9786, 19, 'مريض المصدر');
INSERT INTO `lang_definitions` VALUES (104351, 9787, 19, 'لم يتم تحديد تاريخ ميلاد مريض المصدر');
INSERT INTO `lang_definitions` VALUES (104352, 9788, 19, 'لم يتم العثور علي مريض المصدر');
INSERT INTO `lang_definitions` VALUES (104353, 9789, 19, 'المصدر:');
INSERT INTO `lang_definitions` VALUES (104354, 9792, 19, 'مسافة');
INSERT INTO `lang_definitions` VALUES (104355, 9793, 19, 'مسافة');
INSERT INTO `lang_definitions` VALUES (104356, 9795, 19, 'الأسبانية');
INSERT INTO `lang_definitions` VALUES (104357, 9796, 19, 'الأسبانية (امريكا اللاتينية)');
INSERT INTO `lang_definitions` VALUES (104358, 9797, 19, 'الأسبانية (اسبانيا)');
INSERT INTO `lang_definitions` VALUES (104359, 9799, 19, 'رموز التحكم الخاصة غير مسموح بها');
INSERT INTO `lang_definitions` VALUES (104360, 9800, 19, 'رعاية خاصة لطلب المؤشرات الحيوية');
INSERT INTO `lang_definitions` VALUES (104361, 9801, 19, 'أخصائي');
INSERT INTO `lang_definitions` VALUES (104362, 9802, 19, 'أسم الأخصائي وتوقيعه');
INSERT INTO `lang_definitions` VALUES (104363, 9804, 19, 'مجال التخصص');
INSERT INTO `lang_definitions` VALUES (104364, 9805, 19, 'اﻷنظمة الخاصة');
INSERT INTO `lang_definitions` VALUES (104365, 9806, 19, 'تخصص:');
INSERT INTO `lang_definitions` VALUES (104366, 9807, 19, 'محدد');
INSERT INTO `lang_definitions` VALUES (104367, 9808, 19, 'تطبيق محدد');
INSERT INTO `lang_definitions` VALUES (104368, 9809, 19, 'خدمة منع الحمل محددة');
INSERT INTO `lang_definitions` VALUES (104369, 9810, 19, 'نتيجة محددة');
INSERT INTO `lang_definitions` VALUES (104370, 9811, 19, 'خدمة محددة');
INSERT INTO `lang_definitions` VALUES (104371, 9812, 19, 'محدد');
INSERT INTO `lang_definitions` VALUES (104372, 9813, 19, 'Specifies formatting for codes. # = digit, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (104373, 9814, 19, 'Specifies formatting for codes. # = digit, @ = alpha, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (104374, 9815, 19, 'Specifies formatting for invoice reference numbers. # = digit, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (104375, 9816, 19, 'Specifies formatting for invoice reference numbers. # = digit, @ = alpha, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (104376, 9817, 19, 'Specifies formatting for product NDC fields. # = digit, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (104377, 9818, 19, 'Specifies formatting for product NDC fields. # = digit, @ = alpha, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (104378, 9819, 19, 'Specifies formatting for the external patient ID. # = digit, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (104379, 9820, 19, 'Specifies formatting for the external patient ID. # = digit, @ = alpha, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (104380, 9823, 19, 'عيّنة');
INSERT INTO `lang_definitions` VALUES (104381, 9824, 19, 'رقم العيّنة- التعريف');
INSERT INTO `lang_definitions` VALUES (104382, 9825, 19, 'نوعية العيّنة');
INSERT INTO `lang_definitions` VALUES (104383, 9827, 19, 'إملاء شفوي');
INSERT INTO `lang_definitions` VALUES (104384, 9828, 19, 'مبيد الحيوانات المنوية');
INSERT INTO `lang_definitions` VALUES (104385, 9831, 19, 'استئصال الطحال');
INSERT INTO `lang_definitions` VALUES (104386, 9832, 19, 'القرين');
INSERT INTO `lang_definitions` VALUES (104387, 9834, 19, 'بَلْغَم');
INSERT INTO `lang_definitions` VALUES (104388, 9835, 19, 'بَلْغَم :');
INSERT INTO `lang_definitions` VALUES (104389, 9836, 19, 'برنامج الضغط SQ');
INSERT INTO `lang_definitions` VALUES (104390, 9839, 19, 'فرقة');
INSERT INTO `lang_definitions` VALUES (104391, 9840, 19, 'عضوية الفرقة');
INSERT INTO `lang_definitions` VALUES (104392, 9841, 19, 'فِرق');
INSERT INTO `lang_definitions` VALUES (104393, 9843, 19, 'الصحة الجنسية و التناسلية');
INSERT INTO `lang_definitions` VALUES (104394, 9844, 19, 'الصحة الجنسية و التناسلية - تخطيط الأسرة');
INSERT INTO `lang_definitions` VALUES (104395, 9845, 19, 'الصحة الجنسية و التناسلية - لا يوجد تخطيط ل الأسرة');
INSERT INTO `lang_definitions` VALUES (104396, 9846, 19, 'تحويلات الصحة الجنسية و التناسلية');
INSERT INTO `lang_definitions` VALUES (104397, 9847, 19, 'طلب زيارة الصحة الجنسية و التناسلية');
INSERT INTO `lang_definitions` VALUES (104398, 9848, 19, 'تاريخ Srv');
INSERT INTO `lang_definitions` VALUES (104399, 9849, 19, 'الضمان الإجتماعي');
INSERT INTO `lang_definitions` VALUES (104400, 9850, 19, 'ادارة شهادة SSL');
INSERT INTO `lang_definitions` VALUES (104401, 9851, 19, 'رقم الخدمة الأجتماعية');
INSERT INTO `lang_definitions` VALUES (104402, 9852, 19, 'اسْتِقْرار');
INSERT INTO `lang_definitions` VALUES (104403, 9854, 19, 'إفراجات مرحلية');
INSERT INTO `lang_definitions` VALUES (104404, 9855, 19, 'نموذجي');
INSERT INTO `lang_definitions` VALUES (104405, 9857, 19, 'الرمز النموذجي');
INSERT INTO `lang_definitions` VALUES (104406, 9860, 19, 'الإجراءات النموذجية');
INSERT INTO `lang_definitions` VALUES (104407, 9861, 19, 'الإجراءات النموذجية (تنبيهات نشطة)');
INSERT INTO `lang_definitions` VALUES (104408, 9862, 19, 'الإجراءات النموذجية (تنبيهات خاملة)');
INSERT INTO `lang_definitions` VALUES (104409, 9863, 19, 'الإجراءات النموذجية (تذكيرات المريض)');
INSERT INTO `lang_definitions` VALUES (104410, 9864, 19, 'الإسم النموذجي');
INSERT INTO `lang_definitions` VALUES (104411, 9865, 19, 'قياسي, مبسّط: العنوان فقط, تاريخ البدء, التعليقات و خانة تأشير نشطة. لا تشخيص او حدوث او تاريخ النهاية او محوّل من');
INSERT INTO `lang_definitions` VALUES (104412, 9866, 19, 'بَدءٌ');
INSERT INTO `lang_definitions` VALUES (104413, 9867, 19, 'بَدءٌ (سنة-شهر-يوم):');
INSERT INTO `lang_definitions` VALUES (104414, 9868, 19, 'بداية تقرير جديد');
INSERT INTO `lang_definitions` VALUES (104415, 9874, 19, 'تاريخ البداية');
INSERT INTO `lang_definitions` VALUES (104416, 9876, 19, 'تاريخ البداية في هذا المركز');
INSERT INTO `lang_definitions` VALUES (104417, 9877, 19, 'يجب ان لايكون تاريخ البداية اكبر من تاريخ النهاية');
INSERT INTO `lang_definitions` VALUES (104418, 9878, 19, 'تاريخ البداية:');
INSERT INTO `lang_definitions` VALUES (104419, 9879, 19, 'تاريخ البداية:');
INSERT INTO `lang_definitions` VALUES (104420, 9881, 19, 'وقت البداية');
INSERT INTO `lang_definitions` VALUES (104421, 9884, 19, 'تاريخ البدء');
INSERT INTO `lang_definitions` VALUES (104422, 9888, 19, 'فَوراً');
INSERT INTO `lang_definitions` VALUES (104423, 9889, 19, 'حالة-ولاية');
INSERT INTO `lang_definitions` VALUES (104424, 9890, 19, 'نوعية بيانات الولاية');
INSERT INTO `lang_definitions` VALUES (104425, 9891, 19, 'رقم الرخصة');
INSERT INTO `lang_definitions` VALUES (104426, 9892, 19, 'رقم لوحة السيارة');
INSERT INTO `lang_definitions` VALUES (104427, 9893, 19, 'قائمة الولايات');
INSERT INTO `lang_definitions` VALUES (104428, 9894, 19, 'قائمة الولايات (اكتب, الإضافة إختيارية)');
INSERT INTO `lang_definitions` VALUES (104429, 9896, 19, 'أداة قائمة الولايات للحقول المفصلة');
INSERT INTO `lang_definitions` VALUES (104430, 9897, 19, 'الولاية او المنطقة');
INSERT INTO `lang_definitions` VALUES (104431, 9898, 19, 'الولاية / المنطقة');
INSERT INTO `lang_definitions` VALUES (104432, 9899, 19, 'الولاية / دائرة الكنيسة');
INSERT INTO `lang_definitions` VALUES (104433, 9903, 19, 'ملخص البيان');
INSERT INTO `lang_definitions` VALUES (104434, 9904, 19, 'البيانات وتحديث الفواتير');
INSERT INTO `lang_definitions` VALUES (104435, 9906, 19, 'البيانات المرسلة:');
INSERT INTO `lang_definitions` VALUES (104436, 9907, 19, 'البيانات: لن يتم تحديث الفواتير');
INSERT INTO `lang_definitions` VALUES (104437, 9908, 19, 'النص الثابت');
INSERT INTO `lang_definitions` VALUES (104438, 9909, 19, 'إحصائيات');
INSERT INTO `lang_definitions` VALUES (104439, 9910, 19, 'مختصرات الحالة');
INSERT INTO `lang_definitions` VALUES (104440, 9911, 19, 'الحالة');
INSERT INTO `lang_definitions` VALUES (104441, 9914, 19, 'حالة التنويم');
INSERT INTO `lang_definitions` VALUES (104442, 9915, 19, 'حالة المطالبة');
INSERT INTO `lang_definitions` VALUES (104443, 9916, 19, 'الوضع الراهن');
INSERT INTO `lang_definitions` VALUES (104444, 9918, 19, 'إرشاد الإيدز');
INSERT INTO `lang_definitions` VALUES (104445, 9919, 19, 'التركيز و التهيئة');
INSERT INTO `lang_definitions` VALUES (104446, 9925, 19, 'خطوات تنصيب قاعدة بيانات ال  DSM IV');
INSERT INTO `lang_definitions` VALUES (104447, 9926, 19, 'خطوات تنصيب قاعدة بيانات ال ICD 10');
INSERT INTO `lang_definitions` VALUES (104448, 9927, 19, 'خطوات تنصيب قاعدة بيانات ال ICD 9');
INSERT INTO `lang_definitions` VALUES (104449, 9928, 19, 'خطوات تنصيب قاعدة بيانات ال RxNorm');
INSERT INTO `lang_definitions` VALUES (104450, 9929, 19, 'خطوات تنصيب قاعدة بيانات ال SNOMED');
INSERT INTO `lang_definitions` VALUES (104451, 9932, 19, 'تصلب المفاصل');
INSERT INTO `lang_definitions` VALUES (104452, 9933, 19, 'تَيَبُّس‎');
INSERT INTO `lang_definitions` VALUES (104453, 9935, 19, 'أشهر المخزون');
INSERT INTO `lang_definitions` VALUES (104454, 9936, 19, 'آلام في المعدة');
INSERT INTO `lang_definitions` VALUES (104455, 9942, 19, 'Stored Hash');
INSERT INTO `lang_definitions` VALUES (104456, 9944, 19, 'شد عضلي-Strain');
INSERT INTO `lang_definitions` VALUES (104457, 9946, 19, 'تَدَفّق');
INSERT INTO `lang_definitions` VALUES (104458, 9947, 19, 'شارع');
INSERT INTO `lang_definitions` VALUES (104459, 9948, 19, 'عنوان الشارع');
INSERT INTO `lang_definitions` VALUES (104460, 9949, 19, 'الشارع والرقم');
INSERT INTO `lang_definitions` VALUES (104461, 9950, 19, 'قُوَّة');
INSERT INTO `lang_definitions` VALUES (104462, 9952, 19, 'بكتيريا في الحلق-Strep');
INSERT INTO `lang_definitions` VALUES (104463, 9953, 19, 'كسر إجهاد');
INSERT INTO `lang_definitions` VALUES (104464, 9954, 19, 'اختبار الجهد');
INSERT INTO `lang_definitions` VALUES (104465, 9956, 19, 'سَكْتَة');
INSERT INTO `lang_definitions` VALUES (104466, 9958, 19, 'كلمة السر القوية تتكون من 8 إدخالات, ثلاثة منها يجب ان تكون احرفا صغري, كبري, ارقاما او رموزا مميزة');
INSERT INTO `lang_definitions` VALUES (104467, 9960, 19, 'أسلوب');
INSERT INTO `lang_definitions` VALUES (104468, 9961, 19, 'أسلوب الطلب المستخدم لإضافة المرضي الجدد');
INSERT INTO `lang_definitions` VALUES (104469, 9965, 19, 'فئة فرعية');
INSERT INTO `lang_definitions` VALUES (104470, 9966, 19, 'المجموع');
INSERT INTO `lang_definitions` VALUES (104471, 9967, 19, 'فية فرعية');
INSERT INTO `lang_definitions` VALUES (104472, 9968, 19, 'فئة فرعية');
INSERT INTO `lang_definitions` VALUES (104473, 9969, 19, 'تحت الجلد');
INSERT INTO `lang_definitions` VALUES (104474, 9970, 19, 'عنوان');
INSERT INTO `lang_definitions` VALUES (104475, 9971, 19, 'شَخْصيّ');
INSERT INTO `lang_definitions` VALUES (104476, 9972, 19, 'تحت اللسان');
INSERT INTO `lang_definitions` VALUES (104477, 9973, 19, 'تحت اللسان');
INSERT INTO `lang_definitions` VALUES (104478, 9974, 19, 'تسليم');
INSERT INTO `lang_definitions` VALUES (104479, 9975, 19, 'تسليم');
INSERT INTO `lang_definitions` VALUES (104480, 9976, 19, 'تسليم جميع المحتويات');
INSERT INTO `lang_definitions` VALUES (104481, 9979, 19, 'تسليم المراجعة');
INSERT INTO `lang_definitions` VALUES (104482, 9980, 19, 'تسليم النموذج');
INSERT INTO `lang_definitions` VALUES (104483, 9982, 19, 'تسليم المحتويات المختارة');
INSERT INTO `lang_definitions` VALUES (104484, 9984, 19, 'تم التسليم');
INSERT INTO `lang_definitions` VALUES (104485, 9985, 19, 'تم التسليم عن طريق');
INSERT INTO `lang_definitions` VALUES (104486, 9986, 19, 'رقم الدخول (PER06) للمسّلم EDI');
INSERT INTO `lang_definitions` VALUES (104487, 9987, 19, 'مشترك');
INSERT INTO `lang_definitions` VALUES (104488, 9988, 19, 'عنوان المشترك');
INSERT INTO `lang_definitions` VALUES (104489, 9992, 19, 'الجهة الموظفة للمشترك');
INSERT INTO `lang_definitions` VALUES (104490, 9993, 19, 'الجهة الموظفة للمشترك (SE)');
INSERT INTO `lang_definitions` VALUES (104491, 9994, 19, 'عنوان الجهة الموظفة للمشترك');
INSERT INTO `lang_definitions` VALUES (104492, 9995, 19, 'مدينة الجهة الموظفة للمشترك');
INSERT INTO `lang_definitions` VALUES (104493, 9996, 19, 'دولة الجهة الموظفة للمشترك');
INSERT INTO `lang_definitions` VALUES (104494, 9997, 19, 'ولاية الجهة الموظفة للمشترك');
INSERT INTO `lang_definitions` VALUES (104495, 10000, 19, 'الرمز البريدي للجهة الموظفة للمشترك');
INSERT INTO `lang_definitions` VALUES (104496, 10005, 19, 'هاتف المشترك');
INSERT INTO `lang_definitions` VALUES (104497, 10006, 19, 'درجة القرابة للمشترك');
INSERT INTO `lang_definitions` VALUES (104498, 10007, 19, 'درجة القرابة للمشترك ليست نفس الشخص لكن الإسم متطابق! هل هذا صحيح؟');
INSERT INTO `lang_definitions` VALUES (104499, 10008, 19, 'درجة القرابة للمشترك ليست نفس الشخص لكن رقم الضمان الإجتماعي متطابق! هل هذا صحيح؟');
INSERT INTO `lang_definitions` VALUES (104500, 10009, 19, 'درجة القرابة للمشترك هي نفس الشخص لكن الإسم مختلف! هل هذا صحيح؟');
INSERT INTO `lang_definitions` VALUES (104501, 10010, 19, 'درجة القرابة للمشترك هي نفس الشخص لكن رقم الضمان الإجتماعي مختلف! هل هذا صحيح؟');
INSERT INTO `lang_definitions` VALUES (104502, 10011, 19, 'جنس المشترك');
INSERT INTO `lang_definitions` VALUES (104503, 10020, 19, 'اسْتِبْدال');
INSERT INTO `lang_definitions` VALUES (104504, 10021, 19, 'الأستبدال مسموح');
INSERT INTO `lang_definitions` VALUES (104505, 10024, 19, 'نجاح');
INSERT INTO `lang_definitions` VALUES (104506, 10025, 19, 'نجاح');
INSERT INTO `lang_definitions` VALUES (104507, 10026, 19, 'نجاح تأكيد استلام نتائج المعمل');
INSERT INTO `lang_definitions` VALUES (104508, 10027, 19, 'تم الحصول على نتائج المختبر بنجاح');
INSERT INTO `lang_definitions` VALUES (104509, 10028, 19, 'تم استرجاع النتائج من شبكة المحتبرات بنجاح');
INSERT INTO `lang_definitions` VALUES (104510, 10030, 19, 'تم اضافة الفئة بنجاح');
INSERT INTO `lang_definitions` VALUES (104511, 10031, 19, 'تم اضافته الى القائمة بنجاح');
INSERT INTO `lang_definitions` VALUES (104512, 10033, 19, 'تم الحذف بنجاح');
INSERT INTO `lang_definitions` VALUES (104513, 10035, 19, 'تم اضافة قاعدة البيانات بنجاح');
INSERT INTO `lang_definitions` VALUES (104514, 10036, 19, 'تم اضافة قواعد البيانات التالية بنجاح');
INSERT INTO `lang_definitions` VALUES (104515, 10037, 19, 'تم التعديل بنجاح');
INSERT INTO `lang_definitions` VALUES (104516, 10039, 19, 'تم الحفظ بنجاح. هل تحب أن تخصص المكان؟');
INSERT INTO `lang_definitions` VALUES (104517, 10040, 19, 'تم الحفظ بنجاح. هل تحب أن توزّع؟');
INSERT INTO `lang_definitions` VALUES (104518, 10042, 19, 'تم الحفظ بنجاح');
INSERT INTO `lang_definitions` VALUES (104519, 10044, 19, 'تمت ترقية قاعدة البيانات بنجاح');
INSERT INTO `lang_definitions` VALUES (104520, 10045, 19, 'تم ترقية قواعد البيانات التالية بنجاح');
INSERT INTO `lang_definitions` VALUES (104521, 10046, 19, 'بنجاح');
INSERT INTO `lang_definitions` VALUES (104522, 10049, 19, 'إنتحار');
INSERT INTO `lang_definitions` VALUES (104523, 10051, 19, 'موجز');
INSERT INTO `lang_definitions` VALUES (104524, 10052, 19, 'موجز ل');
INSERT INTO `lang_definitions` VALUES (104525, 10058, 19, 'الأحد');
INSERT INTO `lang_definitions` VALUES (104526, 10060, 19, 'الأحد');
INSERT INTO `lang_definitions` VALUES (104527, 10061, 19, 'قوائم بيان مفردات الخدمة المقدمة للتأمين/صحيفة المصاريف');
INSERT INTO `lang_definitions` VALUES (104528, 10062, 19, 'رموز قوائم بيان مفردات الخدمة المقدمة للتأمين/صحيفة المصاريف');
INSERT INTO `lang_definitions` VALUES (104529, 10063, 19, 'إدارة قوائم بيان مفردات الخدمة المقدمة للتأمين/صحيفة المصاريف');
INSERT INTO `lang_definitions` VALUES (104530, 10065, 19, 'تقرير قوائم بيان مفردات الخدمة المقدمة للتأمين/صحيفة المصاريف');
INSERT INTO `lang_definitions` VALUES (104531, 10066, 19, 'قوائم بيان مفردات الخدمة المقدمة للتأمين/صحيفة المصاريف');
INSERT INTO `lang_definitions` VALUES (104532, 10067, 19, 'قوائم بيان مفردات الخدمة المقدمة للتأمين');
INSERT INTO `lang_definitions` VALUES (104533, 10068, 19, 'قوائم بيان مفردات الخدمة المقدمة للتأمين (صحيفة المصاريف) يقصد بها نوعية الخدمات الطبية مفنطة علي حسب التشخيص و موقعة من المستشفي لإستلام مبلغ التأمين الصحي');
INSERT INTO `lang_definitions` VALUES (104534, 10069, 19, 'مستخدم مميز-يملك جميع الصلاحيات');
INSERT INTO `lang_definitions` VALUES (104535, 10071, 19, 'يشرف على');
INSERT INTO `lang_definitions` VALUES (104536, 10073, 19, 'الطبيب المشرف علي الأدوية المخدرة');
INSERT INTO `lang_definitions` VALUES (104537, 10074, 19, 'الأسم الأول للطبيب المشرف');
INSERT INTO `lang_definitions` VALUES (104538, 10075, 19, 'الأسم الأخير للطبيب المشرف');
INSERT INTO `lang_definitions` VALUES (104539, 10076, 19, 'رقم المزوّد الوطني للطبيب المشرف');
INSERT INTO `lang_definitions` VALUES (104540, 10077, 19, 'UPIN للطبيب المشرف');
INSERT INTO `lang_definitions` VALUES (104541, 10081, 19, 'اسم الجهة المشرفة');
INSERT INTO `lang_definitions` VALUES (104542, 10082, 19, 'أحداث تقويم الدعم المطبقة علي عدّه مزودين');
INSERT INTO `lang_definitions` VALUES (104543, 10083, 19, 'استيراد/تصدير بيانات التهيئة للدعم عن طريق صفحة الإحتياط');
INSERT INTO `lang_definitions` VALUES (104544, 10084, 19, 'أحداث الدعم المطبقة علي عدّه مزودين');
INSERT INTO `lang_definitions` VALUES (104545, 10088, 19, 'يدعم تشفير و فك التشفير لTripleDES فقط.');
INSERT INTO `lang_definitions` VALUES (104546, 10090, 19, 'نوع السطح');
INSERT INTO `lang_definitions` VALUES (104547, 10092, 19, 'عمليات');
INSERT INTO `lang_definitions` VALUES (104548, 10093, 19, 'عملية');
INSERT INTO `lang_definitions` VALUES (104549, 10094, 19, 'قائمة مشاكل العمليات');
INSERT INTO `lang_definitions` VALUES (104550, 10095, 19, 'معطل');
INSERT INTO `lang_definitions` VALUES (104551, 10096, 19, 'إيقاف عن العمل');
INSERT INTO `lang_definitions` VALUES (104552, 10098, 19, 'تاريخ ال Svc');
INSERT INTO `lang_definitions` VALUES (104553, 10099, 19, 'تاريخ ال Svc:');
INSERT INTO `lang_definitions` VALUES (104554, 10102, 19, 'تعرق:');
INSERT INTO `lang_definitions` VALUES (104555, 10103, 19, 'اللغة السويدية');
INSERT INTO `lang_definitions` VALUES (104556, 10104, 19, 'تورم');
INSERT INTO `lang_definitions` VALUES (104557, 10105, 19, 'تورم -يمين');
INSERT INTO `lang_definitions` VALUES (104558, 10106, 19, 'تورم المفاصل');
INSERT INTO `lang_definitions` VALUES (104559, 10107, 19, 'تورم الغدد اللمفاوية');
INSERT INTO `lang_definitions` VALUES (104560, 10108, 19, 'رمز مستخدم كفاصلة عشرية للعملة. لا تستخدم لو اﻷماكن العشرية تساوى 0.');
INSERT INTO `lang_definitions` VALUES (104561, 10109, 19, 'رمز مستخدم كفاصلة الالاف للعملة.');
INSERT INTO `lang_definitions` VALUES (104562, 10110, 19, 'أعراض');
INSERT INTO `lang_definitions` VALUES (104563, 10111, 19, 'زامن');
INSERT INTO `lang_definitions` VALUES (104564, 10112, 19, 'زامن التراجم مع جدول اللغة المكون حسب الطلب.');
INSERT INTO `lang_definitions` VALUES (104565, 10113, 19, 'زامن الثابت الجديد المكون حسب الطلب:');
INSERT INTO `lang_definitions` VALUES (104566, 10114, 19, 'زامن اللغة المكونة حسب الطلب:');
INSERT INTO `lang_definitions` VALUES (104567, 10115, 19, 'زامن التعريف الجديد (اللغة, الثابت و التعريف):');
INSERT INTO `lang_definitions` VALUES (104568, 10116, 19, 'فقدان الوعي');
INSERT INTO `lang_definitions` VALUES (104569, 10117, 19, 'ترصد المتلازمات');
INSERT INTO `lang_definitions` VALUES (104570, 10118, 19, 'ترصد المتلازمات - الأحداث الغير المبلغ عنها');
INSERT INTO `lang_definitions` VALUES (104571, 10119, 19, 'تقرير ترصد المتلازمات');
INSERT INTO `lang_definitions` VALUES (104572, 10120, 19, 'التهاب الأغشية المصلية المفصلية, التهاب كيسي');
INSERT INTO `lang_definitions` VALUES (104573, 10121, 19, 'نظام');
INSERT INTO `lang_definitions` VALUES (104574, 10128, 19, 'ت');
INSERT INTO `lang_definitions` VALUES (104575, 10130, 19, 'ثلاث مرات باليوم');
INSERT INTO `lang_definitions` VALUES (104576, 10131, 19, 'تلفاز');
INSERT INTO `lang_definitions` VALUES (104577, 10133, 19, 'جدول');
INSERT INTO `lang_definitions` VALUES (104578, 10137, 19, 'فشل إنشاء جدول');
INSERT INTO `lang_definitions` VALUES (104579, 10138, 19, 'فشل تحديث الجدول');
INSERT INTO `lang_definitions` VALUES (104580, 10140, 19, 'حبة دواء');
INSERT INTO `lang_definitions` VALUES (104581, 10146, 19, 'تاجالو (لغة الفلبين)');
INSERT INTO `lang_definitions` VALUES (104582, 10149, 19, 'يأخد');
INSERT INTO `lang_definitions` VALUES (104583, 10151, 19, 'اختيار التأمين, من القائمة');
INSERT INTO `lang_definitions` VALUES (104584, 10152, 19, 'اختيار طريقة الدفع من القائمة');
INSERT INTO `lang_definitions` VALUES (104585, 10153, 19, 'إسترجاع');
INSERT INTO `lang_definitions` VALUES (104586, 10154, 19, 'يستغرق وقتا');
INSERT INTO `lang_definitions` VALUES (104587, 10157, 19, 'منطقة ملاحة طويلة');
INSERT INTO `lang_definitions` VALUES (104588, 10161, 19, 'تاريخ ميلاد الهدف و المنشأ غير متطابقين');
INSERT INTO `lang_definitions` VALUES (104589, 10162, 19, 'إشتقاق الهدف و المنشأ يجب أن يكونا غير متطابقين');
INSERT INTO `lang_definitions` VALUES (104590, 10163, 19, 'رقم التأمين الأجتماعي للهدف و المنشأ غير متطابقين');
INSERT INTO `lang_definitions` VALUES (104591, 10164, 19, 'الموعد المستهدف');
INSERT INTO `lang_definitions` VALUES (104592, 10165, 19, 'المريض المستهدف');
INSERT INTO `lang_definitions` VALUES (104593, 10166, 19, 'لايوجد تاريخ ميلاد للمريض المستهدف');
INSERT INTO `lang_definitions` VALUES (104594, 10167, 19, 'لم يتم العثور على المريض المستهدف');
INSERT INTO `lang_definitions` VALUES (104595, 10168, 19, 'مجموعات الهدف/الفعل');
INSERT INTO `lang_definitions` VALUES (104596, 10173, 19, 'رقم بطاقة الضرائب');
INSERT INTO `lang_definitions` VALUES (104597, 10174, 19, 'معّدل الضرائب');
INSERT INTO `lang_definitions` VALUES (104598, 10175, 19, 'الضرائب');
INSERT INTO `lang_definitions` VALUES (104599, 10176, 19, 'علم التصنيف');
INSERT INTO `lang_definitions` VALUES (104600, 10181, 19, 'لقاح التيتانس و الدفتيريا');
INSERT INTO `lang_definitions` VALUES (104601, 10182, 19, 'مراجعة إصابة الفريق');
INSERT INTO `lang_definitions` VALUES (104602, 10183, 19, 'لائحة الفريق');
INSERT INTO `lang_definitions` VALUES (104603, 10184, 19, 'عرض لائحة الفريق');
INSERT INTO `lang_definitions` VALUES (104604, 10185, 19, 'فريق/فرقة');
INSERT INTO `lang_definitions` VALUES (104605, 10187, 19, 'تليفون');
INSERT INTO `lang_definitions` VALUES (104606, 10189, 19, 'مفتاح الدولة');
INSERT INTO `lang_definitions` VALUES (104607, 10192, 19, 'الملفات المؤقتة');
INSERT INTO `lang_definitions` VALUES (104608, 10193, 19, 'موضع الملفات المؤقتة');
INSERT INTO `lang_definitions` VALUES (104609, 10194, 19, 'طريقة الملفات المؤقتة');
INSERT INTO `lang_definitions` VALUES (104610, 10196, 19, 'الحرارة');
INSERT INTO `lang_definitions` VALUES (104611, 10197, 19, 'قالب');
INSERT INTO `lang_definitions` VALUES (104612, 10198, 19, 'اسم القالب');
INSERT INTO `lang_definitions` VALUES (104613, 10199, 19, 'اسماء القوالب لايمكن ان تبتدئ بأرقام');
INSERT INTO `lang_definitions` VALUES (104614, 10201, 19, 'قالب:');
INSERT INTO `lang_definitions` VALUES (104615, 10202, 19, 'قوالب');
INSERT INTO `lang_definitions` VALUES (104616, 10205, 19, 'الشريان الصدغي-Tem. Artery');
INSERT INTO `lang_definitions` VALUES (104617, 10208, 19, 'اصابة وتر');
INSERT INTO `lang_definitions` VALUES (104618, 10209, 19, 'التهاب الوتر, osis, التهاب كيسي');
INSERT INTO `lang_definitions` VALUES (104619, 10211, 19, 'رقم الرصيد التجريبي');
INSERT INTO `lang_definitions` VALUES (104620, 10213, 19, 'من الدرجة الثالثة');
INSERT INTO `lang_definitions` VALUES (104621, 10214, 19, 'تأمين من الدرجة الثالثة');
INSERT INTO `lang_definitions` VALUES (104622, 10215, 19, 'بيانات تأمين من الدرجة الثالثة');
INSERT INTO `lang_definitions` VALUES (104623, 10216, 19, 'مقدم تأمين تأمين من الدرجة الثالثة');
INSERT INTO `lang_definitions` VALUES (104624, 10219, 19, 'جدولة الفحص');
INSERT INTO `lang_definitions` VALUES (104625, 10220, 19, 'أختبار النظام');
INSERT INTO `lang_definitions` VALUES (104626, 10223, 19, 'نَصّ');
INSERT INTO `lang_definitions` VALUES (104627, 10224, 19, 'تشخيص نَصّي');
INSERT INTO `lang_definitions` VALUES (104628, 10225, 19, 'حقل نَصّي');
INSERT INTO `lang_definitions` VALUES (104629, 10233, 19, 'تاريخ النَصّ');
INSERT INTO `lang_definitions` VALUES (104630, 10234, 19, 'تاريخ النَصّ');
INSERT INTO `lang_definitions` VALUES (104631, 10235, 19, 'منطقة النَصّ');
INSERT INTO `lang_definitions` VALUES (104632, 10236, 19, 'منطقة النَصّ');
INSERT INTO `lang_definitions` VALUES (104633, 10237, 19, 'صندوق النَصّ');
INSERT INTO `lang_definitions` VALUES (104634, 10238, 19, 'صندوق النَصّ');
INSERT INTO `lang_definitions` VALUES (104635, 10239, 19, 'لائحة صندوق النَصّ');
INSERT INTO `lang_definitions` VALUES (104636, 10240, 19, 'لائحة صندوق النَصّ');
INSERT INTO `lang_definitions` VALUES (104637, 10241, 19, 'تايلندي');
INSERT INTO `lang_definitions` VALUES (104638, 10242, 19, 'شكرا لك');
INSERT INTO `lang_definitions` VALUES (104639, 10245, 19, 'شكرا لك لإختيارك');
INSERT INTO `lang_definitions` VALUES (104640, 10247, 19, 'زر \"صَفّى\" سوف يزيل كل التذييلات');
INSERT INTO `lang_definitions` VALUES (104641, 10254, 19, 'البيان إعلاة فشل');
INSERT INTO `lang_definitions` VALUES (104642, 10264, 19, 'شهادة الخادم و المفتاح العام ل SSL اﻷباتشى');
INSERT INTO `lang_definitions` VALUES (104643, 10281, 19, 'الشهادة لشهادة السلطة');
INSERT INTO `lang_definitions` VALUES (104644, 10284, 19, 'ملف المطالبة:');
INSERT INTO `lang_definitions` VALUES (104645, 10290, 19, 'لقد تم تثبيت باقة SNOMED الخاصة بالوﻻيات المتحدة المتطابقة المرحلية');
INSERT INTO `lang_definitions` VALUES (104646, 10296, 19, 'المفتاح المتناظر الخاص');
INSERT INTO `lang_definitions` VALUES (104647, 10322, 19, 'رمز الإنكار هو');
INSERT INTO `lang_definitions` VALUES (104648, 10323, 19, 'رمز مجموعة الإنكار هو');
INSERT INTO `lang_definitions` VALUES (104649, 10328, 19, 'طلب محطة الوصول مغلق');
INSERT INTO `lang_definitions` VALUES (104650, 10330, 19, 'طلب محطة الوصول مغلق; لا أستطيع مساعدتك فى هذا الإختيار');
INSERT INTO `lang_definitions` VALUES (104651, 10343, 19, 'الجهة المنفذة للعملية');
INSERT INTO `lang_definitions` VALUES (104652, 10346, 19, 'المستشفى المعتمد او مركز العناية الذي يقوم بإستلام المريض من هيئة اخري عليه القيام بالتالي');
INSERT INTO `lang_definitions` VALUES (104653, 10349, 19, 'المستشفى المعتمد او مركز العناية الذي يقوم بتحويل المريض من هيئة اخري عليه القيام بتزويد تقرير للحالة و العناية المقدّمة');
INSERT INTO `lang_definitions` VALUES (104654, 10350, 19, 'لقد تمت إجازة الحدث');
INSERT INTO `lang_definitions` VALUES (104655, 10351, 19, 'لقد تم إخفاء الحدث');
INSERT INTO `lang_definitions` VALUES (104656, 10352, 19, 'البيانات المصدرة ظاهرة فى منطقة النص أدناة. يمكنك نسخها الي ايميل او أي مكان أخر اذا أحببت');
INSERT INTO `lang_definitions` VALUES (104657, 10354, 19, 'البيانات المصدرة ظاهرة فى منطقة النص أدناة. يمكنك نسخها الي ايميل او أي مكان أخر اذا أحببت');
INSERT INTO `lang_definitions` VALUES (104658, 10355, 19, 'البيانات المصدرة ظاهرة فى منطقة النص أدناة. يمكنك نسخها الي ايميل او أي مكان أخر اذا أحببت');
INSERT INTO `lang_definitions` VALUES (104659, 10358, 19, 'لم نتمكن من حفظ الملف الي CouchDB.');
INSERT INTO `lang_definitions` VALUES (104660, 10359, 19, 'لم نتمكن من تغيير إسم الملف, هذا يرجع الي خطء في قواعد السماح فى نظام التخزين');
INSERT INTO `lang_definitions` VALUES (104661, 10360, 19, 'لم نتمكن من حفظ الملف, هذا يرجع الي خطء في قواعد السماح فى نظام التخزين');
INSERT INTO `lang_definitions` VALUES (104662, 10364, 19, 'مخطط المريض اﻷول (\"الهدف\") هو الذى يعتبر اﻷكمل و اﻷصح. الديموجرافية, التأمين و التاريخ المرضي سيتم إبقائهم.');
INSERT INTO `lang_definitions` VALUES (104663, 10374, 19, 'الخطوة الأولي هي فتح حساب مع نظام توحيد اللغة الطبية على موقعهم');
INSERT INTO `lang_definitions` VALUES (104664, 10380, 19, 'حدث الرزنامة التالي قد تمت إضافته:');
INSERT INTO `lang_definitions` VALUES (104665, 10381, 19, 'حدث الرزنامة التالي قد تم تعديله:');
INSERT INTO `lang_definitions` VALUES (104666, 10382, 19, 'سيتم إزالي الفئات التالية من قائمة الفئات الخاصة بك');
INSERT INTO `lang_definitions` VALUES (104667, 10383, 19, 'قاعدة البيانات التالية مثيتة حاليا');
INSERT INTO `lang_definitions` VALUES (104668, 10384, 19, 'الوثائق التالية قد تم إرفاقها مع هذة الرسالة المباشرة:');
INSERT INTO `lang_definitions` VALUES (104669, 10386, 19, 'ملف EDI التالي قد تم تحميله');
INSERT INTO `lang_definitions` VALUES (104670, 10388, 19, 'ولوج المستخدم الطارئ قد تم تفعيلة:');
INSERT INTO `lang_definitions` VALUES (104671, 10389, 19, 'الأخطاء التالية وقعت');
INSERT INTO `lang_definitions` VALUES (104672, 10392, 19, 'الحقول التالية مطلوبة');
INSERT INTO `lang_definitions` VALUES (104673, 10394, 19, 'الحقول التالية يجب أن تملأ لإرسال الألتماس');
INSERT INTO `lang_definitions` VALUES (104674, 10395, 19, 'لغات Snomed العالمية التالية مدعومة');
INSERT INTO `lang_definitions` VALUES (104675, 10397, 19, 'المشاكل التالية لها نفس الرموز فلن يتم تجديدها. الرجاء استخدام واجهة الزيارات');
INSERT INTO `lang_definitions` VALUES (104676, 10406, 19, 'إسم المستضيف لجهاز مستودع التحقق ATNA.');
INSERT INTO `lang_definitions` VALUES (104677, 10418, 19, 'النافذة المبدئية مخصصة للبحث عن الإيصالات. فى اﻷعلي يمكنك إدخال منبع (رقم الشيك) المبلغ و تاريخ الدفع.');
INSERT INTO `lang_definitions` VALUES (104678, 10420, 19, 'دليل التثبيت يجب ان يكوّن.');
INSERT INTO `lang_definitions` VALUES (104679, 10421, 19, 'نسخة SNOMED العالمية غير متوافقة مع نسخة الولايات المتحدة');
INSERT INTO `lang_definitions` VALUES (104680, 10422, 19, 'نسخة SNOMED العالمية غير متوافقة مع نسخة الولايات المتحدة و منتهية الصلاحية');
INSERT INTO `lang_definitions` VALUES (104681, 10423, 19, 'النسخة المثبتة و المعروضة هما نفس الشيئ.');
INSERT INTO `lang_definitions` VALUES (104682, 10424, 19, 'النسخة المثبتة أحدث من النسخة المعروضة.');
INSERT INTO `lang_definitions` VALUES (104683, 10431, 19, 'العلامة التي تظهر للمستخدم علي الطلب');
INSERT INTO `lang_definitions` VALUES (104684, 10438, 19, 'الطول يجب الا يتجاوز الرقم التالي من الأحرف');
INSERT INTO `lang_definitions` VALUES (104685, 10442, 19, 'الدمج لن يحدث حتي يتطابق تاريخ الميلاد مع رقم الضمان الإجتماعي. تواريخ الميلاد لا يجب ان تترك خالية');
INSERT INTO `lang_definitions` VALUES (104686, 10443, 19, 'لا يمكن إرسال الرسالة في هذا الوقت.');
INSERT INTO `lang_definitions` VALUES (104687, 10458, 19, 'المجموعة الجديدة ستكون من ضمن المجموعة التالية');
INSERT INTO `lang_definitions` VALUES (104688, 10460, 19, 'كلمة السر الجديدة لا يمكن ان تكون نفس الحالية');
INSERT INTO `lang_definitions` VALUES (104689, 10461, 19, 'حقول كلمة السر ليسو متشابهين');
INSERT INTO `lang_definitions` VALUES (104690, 10471, 19, 'رقم الملفات المعروضة غير صحيح. الرجاء وضع الملف الذي تريد تثبيتة');
INSERT INTO `lang_definitions` VALUES (104691, 10472, 19, 'رقم الملفات المعروضة غير صحيح. الرجاء وضع الملف الذي تريد تثبيتة/ ترقيتة');
INSERT INTO `lang_definitions` VALUES (104692, 10479, 19, 'الصفحة يتوجهك الي الديموجرافيا. بإمكانك تحرير حقل الدولة و تتقدم الي نظام الوصفة الإلكترونية مرة اخري.');
INSERT INTO `lang_definitions` VALUES (104693, 10482, 19, 'كلمة السر يجب الا تقل عن 8 أحرف و يجب ان');
INSERT INTO `lang_definitions` VALUES (104694, 10486, 19, 'تم تسجيل طلبك للحصول علي سجل المريض');
INSERT INTO `lang_definitions` VALUES (104695, 10487, 19, 'لقد تم ظبط تذكيرات المريض');
INSERT INTO `lang_definitions` VALUES (104696, 10488, 19, 'لقد تم تحديث تذكيرات المريض');
INSERT INTO `lang_definitions` VALUES (104697, 10493, 19, 'المدفوعات المعلنة لا يمكن ات تجدول تحت هذا التاريخ لمنع التلاعب فى توايخ سابقة بعد الحصول على التقرير');
INSERT INTO `lang_definitions` VALUES (104698, 10505, 19, 'تزويد البيانات الخام ممكن الحصول عليه من');
INSERT INTO `lang_definitions` VALUES (104699, 10509, 19, 'المعلومات المتبقية أدناة تطبق فقط لو ادخلت يدويا او كنت تصحح يدويا');
INSERT INTO `lang_definitions` VALUES (104700, 10513, 19, 'الوثيقة المطلوبة غير موجودة فى المكان المتوقع فى نظام الملفات او لا تملك صلاحيات لتصفحها');
INSERT INTO `lang_definitions` VALUES (104701, 10524, 19, 'المخطط الثانى (\"المنبع\") سيكون عديم أقسام ديموجرافيا, التاريخ و التأمين. البيانات الاخري سيتم دمجها فى المخطط الهدف.');
INSERT INTO `lang_definitions` VALUES (104702, 10537, 19, 'أعمدة المنبع و التاريخ منسوخين من الصفحة الأولي فمن الطبيعي عدم التلاعب بهما و لكن يمكنك إضافة المدفوعات');
INSERT INTO `lang_definitions` VALUES (104703, 10540, 19, 'تواريخ إصدار الملفات المعروضة ليست كلها من نفس الإصدار');
INSERT INTO `lang_definitions` VALUES (104704, 10541, 19, 'مراجعات الملفات المعروضة ليست كلها من نفس الإصدار');
INSERT INTO `lang_definitions` VALUES (104705, 10542, 19, 'إصدار SNOMED للولايات المتحدة لا يمكن تثبيته الا بعد تثبيت الاصدار العالمي');
INSERT INTO `lang_definitions` VALUES (104706, 10557, 19, 'توزيعات الوقت فى الروزنامة و اقصر وقت بالدقائق لخانة المواعيد');
INSERT INTO `lang_definitions` VALUES (104707, 10562, 19, 'العلامة المترجمة التي سوف تظهر علي الطلب فى اللغة الحالية');
INSERT INTO `lang_definitions` VALUES (104708, 10563, 19, 'العنوان المترجمة الذي سوف يظهر فى اللغة الحالية');
INSERT INTO `lang_definitions` VALUES (104709, 10564, 19, 'ترجمة الوصف فى اللغة الحالية');
INSERT INTO `lang_definitions` VALUES (104710, 10565, 19, 'تم التزامن بين جداول الترجمة');
INSERT INTO `lang_definitions` VALUES (104711, 10566, 19, 'نوع هذا المكوّن');
INSERT INTO `lang_definitions` VALUES (104712, 10586, 19, 'كود الموزع الخاص ليعرّف هذة العملية او النتيجة');
INSERT INTO `lang_definitions` VALUES (104713, 10591, 19, 'ملفات الX12 و التقارير الناتجة سيتم تخزينها في مجلد ال \"era\" فى ملفات البرنامج. يمكنك الرجوع اليها بين حين و اخر. العنوان هو:');
INSERT INTO `lang_definitions` VALUES (104714, 10593, 19, 'ملف الضغط سيحتوي على الملفات التالية');
INSERT INTO `lang_definitions` VALUES (104715, 10594, 19, 'مَظهَر');
INSERT INTO `lang_definitions` VALUES (104716, 10600, 19, 'ثم سيكون بالإمكان الحصول علي تغذية البيانات الخام من');
INSERT INTO `lang_definitions` VALUES (104717, 10601, 19, 'حقن علاجية');
INSERT INTO `lang_definitions` VALUES (104718, 10607, 19, 'يوجد');
INSERT INTO `lang_definitions` VALUES (104719, 10610, 19, 'حاليا لا توجد اي وصفات');
INSERT INTO `lang_definitions` VALUES (104720, 10611, 19, 'يوجد أخطاء فى تقديمك و تم توضيحهم أدناة.');
INSERT INTO `lang_definitions` VALUES (104721, 10616, 19, 'لا يوجد مخططات موجودة خارجا.');
INSERT INTO `lang_definitions` VALUES (104722, 10618, 19, 'لا توجد اي إفصاح عن معلومات اهذا المريض');
INSERT INTO `lang_definitions` VALUES (104723, 10621, 19, 'لا توجد اي تقديمات جديدة');
INSERT INTO `lang_definitions` VALUES (104724, 10622, 19, 'لا توجد اي ملاحظات فى ملف هذا المريض');
INSERT INTO `lang_definitions` VALUES (104725, 10624, 19, 'لا توجد اي مدفوعات فى ملف هذا المريض');
INSERT INTO `lang_definitions` VALUES (104726, 10639, 19, 'يوجد خطأ بريدي في الإرسال الي');
INSERT INTO `lang_definitions` VALUES (104727, 10642, 19, 'يوجد حاليا تصنيف بإسم');
INSERT INTO `lang_definitions` VALUES (104728, 10643, 19, 'يوجد حاليا تحت التصنيف بإسم');
INSERT INTO `lang_definitions` VALUES (104729, 10644, 19, 'يوجد حاليا بند بإسم');
INSERT INTO `lang_definitions` VALUES (104730, 10645, 19, 'يوجد حاليا طلب مفتوح لسجل المريض');
INSERT INTO `lang_definitions` VALUES (104731, 10646, 19, 'لا توجد طريقة تعامل مع حساب AR');
INSERT INTO `lang_definitions` VALUES (104732, 10647, 19, 'لا توجد طريقة تعامل مع حساب النقد');
INSERT INTO `lang_definitions` VALUES (104733, 10648, 19, 'لا توجد طريقة تعامل مع حساب الدخل');
INSERT INTO `lang_definitions` VALUES (104734, 10649, 19, 'لا يوجد مريض حالي');
INSERT INTO `lang_definitions` VALUES (104735, 10651, 19, 'لا يوجد مثيل لرقم الرصيد');
INSERT INTO `lang_definitions` VALUES (104736, 10652, 19, 'لا يوجد مثيل لرقم الرصيد =');
INSERT INTO `lang_definitions` VALUES (104737, 10653, 19, 'لا يوجد أجزاء مدخلة لهوية الخدمات');
INSERT INTO `lang_definitions` VALUES (104738, 10655, 19, 'يوجد خطأ في إرسال الرسالة');
INSERT INTO `lang_definitions` VALUES (104739, 10656, 19, 'يوجد خطأ خلال التعامل مع طلبك');
INSERT INTO `lang_definitions` VALUES (104740, 10657, 19, 'يوجد خطأ فى SQL البرنامج فى الخيط التالي');
INSERT INTO `lang_definitions` VALUES (104741, 10661, 19, 'يوجد هناك 2012 رابط');
INSERT INTO `lang_definitions` VALUES (104742, 10682, 19, 'متضخم يمينا:');
INSERT INTO `lang_definitions` VALUES (104743, 10683, 19, 'فخذ');
INSERT INTO `lang_definitions` VALUES (104744, 10684, 19, 'الفخذ و العَضَلاتُ المَأْبِضِيَّة');
INSERT INTO `lang_definitions` VALUES (104745, 10685, 19, 'الأشياء التى يمكن للمكتب الخلفي قراءتها فقط');
INSERT INTO `lang_definitions` VALUES (104746, 10686, 19, 'الأشياء التى يمكن للمكتب الخلفي قراءتها و إدخالها لكن ليس تعديلها');
INSERT INTO `lang_definitions` VALUES (104747, 10687, 19, 'الأشياء التى يمكن للمكتب الخلفي قراءتها و تعديلها');
INSERT INTO `lang_definitions` VALUES (104748, 10688, 19, 'الأشياء التى يمكن للمكتب الخلفي قراءتها و تعديلها جزئيا');
INSERT INTO `lang_definitions` VALUES (104749, 10689, 19, 'الأشياء التى يمكن للممارسين قراءتها فقط');
INSERT INTO `lang_definitions` VALUES (104750, 10690, 19, 'الأشياء التى يمكن للممارسين قراءتها و إدخالها لكن ليس تعديلها');
INSERT INTO `lang_definitions` VALUES (104751, 10691, 19, 'الأشياء التى يمكن للممارسين قراءتها و تعديلها');
INSERT INTO `lang_definitions` VALUES (104752, 10692, 19, 'الأشياء التى يمكن للممارسين قراءتها و تعديلها جزئيا');
INSERT INTO `lang_definitions` VALUES (104753, 10693, 19, 'الأشياء التى يمكن للمكتب الأمامي قراءتها و إدخالها لكن ليس تعديلها');
INSERT INTO `lang_definitions` VALUES (104754, 10694, 19, 'الأشياء التى يمكن للمكتب الأمامي قراءتها و تعديلها');
INSERT INTO `lang_definitions` VALUES (104755, 10695, 19, 'الأشياء التى يمكن للمكتب الأمامي قراءتها و تعديلها جزئيا');
INSERT INTO `lang_definitions` VALUES (104756, 10696, 19, 'الأشياء التى يمكن للمكتب الأمامي قراءتها فقط');
INSERT INTO `lang_definitions` VALUES (104757, 10697, 19, 'الأشياء التى يمكن للأطباء قراءتها فقط');
INSERT INTO `lang_definitions` VALUES (104758, 10698, 19, 'الأشياء التى يمكن للأطباء قراءتها و إدخالها لكن ليس تعديلها');
INSERT INTO `lang_definitions` VALUES (104759, 10699, 19, 'الأشياء التى يمكن للأطباء قراءتها و تعديلها');
INSERT INTO `lang_definitions` VALUES (104760, 10700, 19, 'الأشياء التى يمكن للأطباء قراءتها و تعديلها جزئيا');
INSERT INTO `lang_definitions` VALUES (104761, 10701, 19, 'ثالث');
INSERT INTO `lang_definitions` VALUES (104762, 10704, 19, 'هذا الإجراء لا يمكن التراجع عنه!!!');
INSERT INTO `lang_definitions` VALUES (104763, 10705, 19, 'هذا الإجراء لا يمكن التراجع عنه!!!');
INSERT INTO `lang_definitions` VALUES (104764, 10707, 19, 'هذا الإجراء سيتم تسجيله');
INSERT INTO `lang_definitions` VALUES (104765, 10712, 19, 'حيّز الموعد هذا مستخدم, هل تريد استخدامه علي اي حال؟');
INSERT INTO `lang_definitions` VALUES (104766, 10713, 19, 'حيّز الموعد هذا غير متاح, الرجاء إختيار حيّز اخر.');
INSERT INTO `lang_definitions` VALUES (104767, 10714, 19, 'هذة السنة الشمسية');
INSERT INTO `lang_definitions` VALUES (104768, 10715, 19, 'هذة المطالبة قد تم الغائها');
INSERT INTO `lang_definitions` VALUES (104769, 10716, 19, 'هذة المطالبة قد تم إغلاقها');
INSERT INTO `lang_definitions` VALUES (104770, 10717, 19, 'هذة المطالبة قد تم رفضها. السبب:');
INSERT INTO `lang_definitions` VALUES (104771, 10718, 19, 'هذة المطالبة قد تم تحويلها للمستوي التالي');
INSERT INTO `lang_definitions` VALUES (104772, 10725, 19, 'نوع الرمز هذا لا يقبل العلاقات');
INSERT INTO `lang_definitions` VALUES (104773, 10727, 19, 'هذا السياق يحتوي علي فئات سوف يتم حذفها. هل تريد الإستمرار؟');
INSERT INTO `lang_definitions` VALUES (104774, 10730, 19, 'هذا يحدد طريقة عرض المواعيد على الروزنامة.');
INSERT INTO `lang_definitions` VALUES (104775, 10731, 19, 'هذا يحدد لون المخطط المستخدم للمواعيد');
INSERT INTO `lang_definitions` VALUES (104776, 10734, 19, 'هذة الزيارة');
INSERT INTO `lang_definitions` VALUES (104777, 10735, 19, 'هذة الزيارة قد تمت فوترتها. اذا أردت تغيرها فيجب إعادة فتحها.');
INSERT INTO `lang_definitions` VALUES (104778, 10740, 19, 'هذة الميزة غير متاحة');
INSERT INTO `lang_definitions` VALUES (104779, 10742, 19, 'هذة الميزة تجريبية جدا و غير مكتملة الإختبار. إستخدم علي مسؤوليتك الخاصة!');
INSERT INTO `lang_definitions` VALUES (104780, 10753, 19, 'رقم هذا الإيصال قد تم تغيره الي');
INSERT INTO `lang_definitions` VALUES (104781, 10763, 19, 'هذا هو المخطط الذى سيتم دمجه فى المخطط الرئيس ثم حذفه');
INSERT INTO `lang_definitions` VALUES (104782, 10772, 19, 'هذا هو المخطط الرئيس الذى سيقبل البيانات المدمجة');
INSERT INTO `lang_definitions` VALUES (104783, 10784, 19, 'هذا الموضع');
INSERT INTO `lang_definitions` VALUES (104784, 10789, 19, 'هذة الوحدة البرمجية فى طور التجربة. قاعدة البيانات لن تتغير.');
INSERT INTO `lang_definitions` VALUES (104785, 10792, 19, 'هذة الوحدة البرمجية تشجع علي الإدخال الفعال لبيانات شرح المنافع');
INSERT INTO `lang_definitions` VALUES (104786, 10793, 19, 'هذا الشهر الي اليوم');
INSERT INTO `lang_definitions` VALUES (104787, 10798, 19, 'هذة الصفحة تسمح لك بمراجعة كل من البيانات الخارجية المدعومة التى يمكن تثبيتها و ترقيتها. كل قسم أدناه يمكن توسعته بالضغط علي رأس القسم لرؤية الحالة المتعلقة');
INSERT INTO `lang_definitions` VALUES (104788, 10799, 19, 'هذة الصفحة تم تعطيلها لأسباب أمنية');
INSERT INTO `lang_definitions` VALUES (104789, 10801, 19, 'هذة الصفحة تحتوى علي صفحة الولوج بمحتوياتها و لذلك لا تحتاج الي الضغط علي إعادة الولوج كل مرة');
INSERT INTO `lang_definitions` VALUES (104790, 10804, 19, 'هذا المريض ليس لة نشاط.');
INSERT INTO `lang_definitions` VALUES (104791, 10805, 19, 'رقم هوية هذا المريض قيد الإستخدام!');
INSERT INTO `lang_definitions` VALUES (104792, 10807, 19, 'هذا المنتج يسمح بجملة واحدة فقط لكل مستودع.');
INSERT INTO `lang_definitions` VALUES (104793, 10808, 19, 'هذا البرتوكول غير مطبق');
INSERT INTO `lang_definitions` VALUES (104794, 10809, 19, 'هذا التقرير حاليا يعمل علي رموز ICD9 فقط.');
INSERT INTO `lang_definitions` VALUES (104795, 10821, 19, 'هذة الخطوة ستولد ملفا ينبغى الحفاظ علية لإستخدامة مستقبلا. لا يمكن تكوين الملف مجددا. هل تريد الإستمرار؟');
INSERT INTO `lang_definitions` VALUES (104796, 10822, 19, 'هذا المستخدم ليس عضوا في اي مجموعة');
INSERT INTO `lang_definitions` VALUES (104797, 10823, 19, 'هذا المستخدم سيستلم تتنبيهات بوصول رسائل مباشرة جديدة');
INSERT INTO `lang_definitions` VALUES (104798, 10824, 19, 'هذة الإداة تجريبية. أجر احتياطا لقاعدة البيانات و الوثائق قبل الإستعمال!');
INSERT INTO `lang_definitions` VALUES (104799, 10826, 19, 'هذة الزيارة تبدأ إستعمال جديد لوسيلة منع الحمل');
INSERT INTO `lang_definitions` VALUES (104800, 10827, 19, 'هذة الزيارة تحتاج الي طلب GCAC, تحويل او خدمة العمليات');
INSERT INTO `lang_definitions` VALUES (104801, 10828, 19, 'هذا كان طلب الوظائف الحيوية للنظام المتري فقط و هو مهجور الان');
INSERT INTO `lang_definitions` VALUES (104802, 10829, 19, 'هذا الاسبوع لليوم');
INSERT INTO `lang_definitions` VALUES (104803, 10831, 19, 'هذا سيفعل القرير لاستمرارية سجل الرعاية و استمرارية وثيقة الرعاية');
INSERT INTO `lang_definitions` VALUES (104804, 10834, 19, 'هذا سيسمح بإختيار تصحيح الأخطاء للغة (\'dummy\')');
INSERT INTO `lang_definitions` VALUES (104805, 10838, 19, 'هذا سيكون تشغيل تجريبي بدون تجديد فعلي للبيانات');
INSERT INTO `lang_definitions` VALUES (104806, 10843, 19, 'هذا سيكون نسخة إحتياطية علي هيئة تار ليكون بإمكانك إرسالها لمتصفحك و بالتالي حفظها');
INSERT INTO `lang_definitions` VALUES (104807, 10844, 19, 'هذا سيفعّل ميزات التشفير و فك التشفير للوثيقة و إخفائها فى واجهة المستخدام');
INSERT INTO `lang_definitions` VALUES (104808, 10854, 19, 'هذا سيجبر أداة الفوترة فى شاشة ملخص المريض على البقاء مفتوحة دائما');
INSERT INTO `lang_definitions` VALUES (104809, 10859, 19, 'هذا سيدمج تخطيطين لنفس المريض مع بعضهما عندما تحصل أخطاء. لا تكرر إستخدام هذا و أصلح إجراءاتك');
INSERT INTO `lang_definitions` VALUES (104810, 10860, 19, 'هذا لن يمنعك من الذهاب الي موقع الوصف الإلكتروني');
INSERT INTO `lang_definitions` VALUES (104811, 10867, 19, 'هذا سوف يستخدم قائمة التطعيمات المفصلة حسب الطلب');
INSERT INTO `lang_definitions` VALUES (104812, 10871, 19, 'الفقرات الصدرية');
INSERT INTO `lang_definitions` VALUES (104813, 10873, 19, 'الف لكل مم مكعب');
INSERT INTO `lang_definitions` VALUES (104814, 10878, 19, 'حلق');
INSERT INTO `lang_definitions` VALUES (104815, 10879, 19, 'سرطان الحلق');
INSERT INTO `lang_definitions` VALUES (104816, 10880, 19, 'جراحة سرطان الحلق');
INSERT INTO `lang_definitions` VALUES (104817, 10881, 19, 'تخثر/سكتة دماغية');
INSERT INTO `lang_definitions` VALUES (104818, 10882, 19, 'الخميس');
INSERT INTO `lang_definitions` VALUES (104819, 10884, 19, 'الخميس');
INSERT INTO `lang_definitions` VALUES (104820, 10885, 19, 'الخميس');
INSERT INTO `lang_definitions` VALUES (104821, 10887, 19, 'الغدة الدرقية طبيعية');
INSERT INTO `lang_definitions` VALUES (104822, 10888, 19, 'مشاكل الغدة الدرقية');
INSERT INTO `lang_definitions` VALUES (104823, 10890, 19, 'نوبة اقفارية عابرة');
INSERT INTO `lang_definitions` VALUES (104824, 10892, 19, 'ثلاث مرات يوميا');
INSERT INTO `lang_definitions` VALUES (104825, 10902, 19, 'الوقت');
INSERT INTO `lang_definitions` VALUES (104826, 10903, 19, 'طريقة عرض الوقت');
INSERT INTO `lang_definitions` VALUES (104827, 10904, 19, 'مقدار الزيادة فى الوقت (الدقائق 1-60)');
INSERT INTO `lang_definitions` VALUES (104828, 10905, 19, 'إختيار الوقت');
INSERT INTO `lang_definitions` VALUES (104829, 10907, 19, 'حيّز الوقت مفتوح, جارى حفظ الحدث');
INSERT INTO `lang_definitions` VALUES (104830, 10913, 19, 'حدث محدود بوقت');
INSERT INTO `lang_definitions` VALUES (104831, 10914, 19, 'نسق الوقت (غير متوفر)');
INSERT INTO `lang_definitions` VALUES (104832, 10915, 19, 'ختم الوقت و النص');
INSERT INTO `lang_definitions` VALUES (104833, 10917, 19, 'شبكة معلومات الضرائب');
INSERT INTO `lang_definitions` VALUES (104834, 10918, 19, 'طنين');
INSERT INTO `lang_definitions` VALUES (104835, 10920, 19, 'عنوان');
INSERT INTO `lang_definitions` VALUES (104836, 10923, 19, 'عنوان V');
INSERT INTO `lang_definitions` VALUES (104837, 10924, 19, 'عناوين الإعمدة يجب ان تكون ارقاما ما بين 1-999');
INSERT INTO `lang_definitions` VALUES (104838, 10925, 19, 'عناوين');
INSERT INTO `lang_definitions` VALUES (104839, 10926, 19, 'الغِشاءُ الطَّبْلِيّ');
INSERT INTO `lang_definitions` VALUES (104840, 10928, 19, 'إلي');
INSERT INTO `lang_definitions` VALUES (104841, 10929, 19, 'إلي');
INSERT INTO `lang_definitions` VALUES (104842, 10930, 19, 'إلي');
INSERT INTO `lang_definitions` VALUES (104843, 10931, 19, 'إلي الطريق الأوحد للملف');
INSERT INTO `lang_definitions` VALUES (104844, 10936, 19, 'لإضافة ملاحظات, إضغط');
INSERT INTO `lang_definitions` VALUES (104845, 10937, 19, 'لإضافة ملاحظات, إضغط هنا');
INSERT INTO `lang_definitions` VALUES (104846, 10938, 19, 'إلي المنطقة المتأثرة');
INSERT INTO `lang_definitions` VALUES (104847, 10939, 19, 'إلي المنطقة المتأثرة');
INSERT INTO `lang_definitions` VALUES (104848, 10942, 19, 'لفتح الطلب المعين تلقائيا. بعض فرق الرياضة تستخدم football_injury_audit هنا');
INSERT INTO `lang_definitions` VALUES (104849, 10944, 19, 'واجهة الفوترة');
INSERT INTO `lang_definitions` VALUES (104850, 10945, 19, 'الي التصنيف');
INSERT INTO `lang_definitions` VALUES (104851, 10947, 19, 'الي الواجهة الطبية');
INSERT INTO `lang_definitions` VALUES (104852, 10949, 19, 'للدفع المشترك');
INSERT INTO `lang_definitions` VALUES (104853, 10953, 19, 'إلي المستقطعات');
INSERT INTO `lang_definitions` VALUES (104854, 10956, 19, 'إلي المستعرضات');
INSERT INTO `lang_definitions` VALUES (104855, 10958, 19, 'لتعطيل شهادات SSL التابعة للعميل, علّق باﻷسطر العلوية فى ملف تهيئة اﻷباتشى ثم فعّل');
INSERT INTO `lang_definitions` VALUES (104856, 10960, 19, 'لتعطيل شهادات HTTPS, علّق باﻷسطر العلوية فى ملف تهيئة اﻷباتشى ثم أعد تشغيل الخادم');
INSERT INTO `lang_definitions` VALUES (104857, 10965, 19, 'لتفعيل شهادات SSL التابعة للعميل');
INSERT INTO `lang_definitions` VALUES (104858, 10966, 19, 'لتفعيل التأكد من شهادات SSL التابعة للعميل , HTTPS يجب أن يكون مفعّلا');
INSERT INTO `lang_definitions` VALUES (104859, 10970, 19, 'لتفعيل HTTPS فقط , اجر التعديلات العلوية ثم أعد تشغيل خادم اﻷباتشى');
INSERT INTO `lang_definitions` VALUES (104860, 10972, 19, 'إلي الزيارة');
INSERT INTO `lang_definitions` VALUES (104861, 10973, 19, 'للفرز بالجنس');
INSERT INTO `lang_definitions` VALUES (104862, 10980, 19, 'الى التاريخ المرضي');
INSERT INTO `lang_definitions` VALUES (104863, 10982, 19, 'الي المشاكل');
INSERT INTO `lang_definitions` VALUES (104864, 10984, 19, 'لربط هذة الزيارة/الإستشارة لمشكلة قائمة, إضغط ال');
INSERT INTO `lang_definitions` VALUES (104865, 10985, 19, 'لربط هذة الزيارة/الإستشارة لمشكلة قائمة, إضغط المشكلة المعنية أعلاة ثم إضعط [حفظ]. لإختار عدة مشاكل أبق زر [Ctrl] مضغوطا خلال الإختيار');
INSERT INTO `lang_definitions` VALUES (104866, 10987, 19, 'لإعادة الولوج');
INSERT INTO `lang_definitions` VALUES (104867, 10992, 19, 'لتسجيل إفشاء المعلومات: اضغط هنا');
INSERT INTO `lang_definitions` VALUES (104868, 10997, 19, 'للتشغيل');
INSERT INTO `lang_definitions` VALUES (104869, 11001, 19, 'لتثبيت المدخل ل https مع التأكد من الشهادة التابعة للعميل, افعل التالي');
INSERT INTO `lang_definitions` VALUES (104870, 11002, 19, 'للسلخ');
INSERT INTO `lang_definitions` VALUES (104871, 11003, 19, 'للسلخ');
INSERT INTO `lang_definitions` VALUES (104872, 11005, 19, 'لهذة الزيارة؟');
INSERT INTO `lang_definitions` VALUES (104873, 11010, 19, 'إلي:');
INSERT INTO `lang_definitions` VALUES (104874, 11011, 19, 'إلي:');
INSERT INTO `lang_definitions` VALUES (104875, 11012, 19, 'إلي_المدينة');
INSERT INTO `lang_definitions` VALUES (104876, 11013, 19, 'إلي_الفاكس');
INSERT INTO `lang_definitions` VALUES (104877, 11014, 19, 'إلي_الأسم اﻷول');
INSERT INTO `lang_definitions` VALUES (104878, 11015, 19, 'إلي_الأسم اﻷخير');
INSERT INTO `lang_definitions` VALUES (104879, 11016, 19, 'إلي_الأسم اﻷوسط');
INSERT INTO `lang_definitions` VALUES (104880, 11017, 19, 'إلي_المنظمة');
INSERT INTO `lang_definitions` VALUES (104881, 11020, 19, 'إلي_العنوان البريدي');
INSERT INTO `lang_definitions` VALUES (104882, 11021, 19, 'إلي_الولاية');
INSERT INTO `lang_definitions` VALUES (104883, 11022, 19, 'إلي_الشارع');
INSERT INTO `lang_definitions` VALUES (104884, 11023, 19, 'إلي_العنوان');
INSERT INTO `lang_definitions` VALUES (104885, 11024, 19, 'إلي_التوديعى');
INSERT INTO `lang_definitions` VALUES (104886, 11025, 19, 'تبغ');
INSERT INTO `lang_definitions` VALUES (104887, 11026, 19, 'تدّخل االتوقف عن التبغ');
INSERT INTO `lang_definitions` VALUES (104888, 11027, 19, 'تدّخل االتوقف عن التبغ (CQM)');
INSERT INTO `lang_definitions` VALUES (104889, 11028, 19, 'إستعمال التبغ');
INSERT INTO `lang_definitions` VALUES (104890, 11030, 19, 'تقييم إستعمال التبغ');
INSERT INTO `lang_definitions` VALUES (104891, 11031, 19, 'تقييم إستعمال التبغ (CQM)');
INSERT INTO `lang_definitions` VALUES (104892, 11032, 19, 'اليوم الحالي');
INSERT INTO `lang_definitions` VALUES (104893, 11033, 19, 'اليوم الحالي');
INSERT INTO `lang_definitions` VALUES (104894, 11034, 19, 'اليوم الحالي');
INSERT INTO `lang_definitions` VALUES (104895, 11035, 19, 'خالص الحساب لليوم');
INSERT INTO `lang_definitions` VALUES (104896, 11036, 19, 'مديونّيات الدوم');
INSERT INTO `lang_definitions` VALUES (104897, 11037, 19, 'تاريخ اليوم');
INSERT INTO `lang_definitions` VALUES (104898, 11038, 19, 'أحداث اليوم');
INSERT INTO `lang_definitions` VALUES (104899, 11044, 19, 'رقم الهوية الرمزي لإدماج المعلومات الطبية, خدمة تبادل المعمل');
INSERT INTO `lang_definitions` VALUES (104900, 11045, 19, 'رقم الهوية الرمزي لدعم البرنامج,, خدمة تبادل المعمل');
INSERT INTO `lang_definitions` VALUES (104901, 11047, 19, 'عملية إستئصال الوزتين');
INSERT INTO `lang_definitions` VALUES (104902, 11050, 19, 'الأعلى');
INSERT INTO `lang_definitions` VALUES (104903, 11053, 19, 'الموضوع');
INSERT INTO `lang_definitions` VALUES (104904, 11054, 19, 'المجموع');
INSERT INTO `lang_definitions` VALUES (104905, 11055, 19, 'المجموع');
INSERT INTO `lang_definitions` VALUES (104906, 11056, 19, 'مجموع الأحداث النشطة');
INSERT INTO `lang_definitions` VALUES (104907, 11057, 19, 'مجموع التذكيرات النشطة بعد التحديث');
INSERT INTO `lang_definitions` VALUES (104908, 11058, 19, 'مجموع التذكيرات النشطة قبل التحديث');
INSERT INTO `lang_definitions` VALUES (104909, 11060, 19, 'مجموع المبلغ المستحق');
INSERT INTO `lang_definitions` VALUES (104910, 11061, 19, 'مجموع المبلغ المدفوع');
INSERT INTO `lang_definitions` VALUES (104911, 11062, 19, 'إجمالي الرصيد المستحق');
INSERT INTO `lang_definitions` VALUES (104912, 11063, 19, 'إجمالي التكلفة');
INSERT INTO `lang_definitions` VALUES (104913, 11064, 19, 'إجمالي التكاليف');
INSERT INTO `lang_definitions` VALUES (104914, 11065, 19, 'مجموع العملاء');
INSERT INTO `lang_definitions` VALUES (104915, 11067, 19, 'التكلفة الإجمالية');
INSERT INTO `lang_definitions` VALUES (104916, 11068, 19, 'التوزيع الكامل لرقم الشيك التالي غير مكتمل');
INSERT INTO `lang_definitions` VALUES (104917, 11069, 19, 'مجموع المدخلات');
INSERT INTO `lang_definitions` VALUES (104918, 11070, 19, 'إجمالي التذكيرات فشل إرسالها عبر البريد الإلكتروني');
INSERT INTO `lang_definitions` VALUES (104919, 11071, 19, 'إجمالي التذكيرات فشل إرسالها عبر الهاتف');
INSERT INTO `lang_definitions` VALUES (104920, 11072, 19, 'المجموع لل');
INSERT INTO `lang_definitions` VALUES (104921, 11073, 19, 'المجموع لل');
INSERT INTO `lang_definitions` VALUES (104922, 11074, 19, 'إجمالي التصنيف');
INSERT INTO `lang_definitions` VALUES (104923, 11075, 19, 'مجموع التذكيرات المعطلة');
INSERT INTO `lang_definitions` VALUES (104924, 11078, 19, 'مجموع التذكيرات الجديدة');
INSERT INTO `lang_definitions` VALUES (104925, 11079, 19, 'إجمالي عدد المواعيد');
INSERT INTO `lang_definitions` VALUES (104926, 11081, 19, 'إجمالي عدد التطعيمات');
INSERT INTO `lang_definitions` VALUES (104927, 11082, 19, 'مجموع عدد المشاكل');
INSERT INTO `lang_definitions` VALUES (104928, 11084, 19, 'إجمالي عدد المرضى');
INSERT INTO `lang_definitions` VALUES (104929, 11087, 19, 'مجموع رصيد المريض');
INSERT INTO `lang_definitions` VALUES (104930, 11089, 19, 'مجموع المرضى');
INSERT INTO `lang_definitions` VALUES (104931, 11093, 19, 'مجموع السجلات الموجودة');
INSERT INTO `lang_definitions` VALUES (104932, 11095, 19, 'مجمل الصحة الجنسية و التناسلية و الخطيط العائلي');
INSERT INTO `lang_definitions` VALUES (104933, 11096, 19, 'مجموع التذكيرات المرسلة بنجاح عبر البريد الإلكتروني');
INSERT INTO `lang_definitions` VALUES (104934, 11097, 19, 'مجموع التذكيرات المرسلة بنجاح عبر الهاتف');
INSERT INTO `lang_definitions` VALUES (104935, 11100, 19, 'مجموع التذكيرات دون تغيير');
INSERT INTO `lang_definitions` VALUES (104936, 11101, 19, 'مجموع التذكيرات الغير مرسلة بعد عملية الإرسال');
INSERT INTO `lang_definitions` VALUES (104937, 11102, 19, 'مجموع التذكيرات الغير مرسلة بعد التحديث');
INSERT INTO `lang_definitions` VALUES (104938, 11103, 19, 'مجموع التذكيرات الغير مرسلة قبل عملية الإرسال');
INSERT INTO `lang_definitions` VALUES (104939, 11104, 19, 'مجموع التذكيرات الغير مرسلة قبل التحديث');
INSERT INTO `lang_definitions` VALUES (104940, 11105, 19, 'مجموع التذكيرات المحدثة');
INSERT INTO `lang_definitions` VALUES (104941, 11106, 19, 'المجاميع');
INSERT INTO `lang_definitions` VALUES (104942, 11107, 19, 'مجاميع لـ');
INSERT INTO `lang_definitions` VALUES (104943, 11108, 19, 'مجاميع لـ');
INSERT INTO `lang_definitions` VALUES (104944, 11123, 19, 'to{{range}}');
INSERT INTO `lang_definitions` VALUES (104945, 11135, 19, 'نوع التدريب');
INSERT INTO `lang_definitions` VALUES (104946, 11136, 19, 'أجر معاملة');
INSERT INTO `lang_definitions` VALUES (104947, 11137, 19, 'معاملة');
INSERT INTO `lang_definitions` VALUES (104948, 11138, 19, 'معاملة');
INSERT INTO `lang_definitions` VALUES (104949, 11139, 19, 'فشل المعاملة, الكمية المطلوبة غير كافية لتنفيذ العملية');
INSERT INTO `lang_definitions` VALUES (104950, 11140, 19, 'فشل المعاملة, الكمية المطلوبة اقل من صفر');
INSERT INTO `lang_definitions` VALUES (104951, 11142, 19, 'نوع المعاملة');
INSERT INTO `lang_definitions` VALUES (104952, 11143, 19, 'معاملات');
INSERT INTO `lang_definitions` VALUES (104953, 11144, 19, 'معاملات');
INSERT INTO `lang_definitions` VALUES (104954, 11145, 19, 'معاملات (الكتابة إختيارية)');
INSERT INTO `lang_definitions` VALUES (104955, 11151, 19, 'المعاملات/الإحالات');
INSERT INTO `lang_definitions` VALUES (104956, 11153, 19, 'تحويل');
INSERT INTO `lang_definitions` VALUES (104957, 11154, 19, 'تاريخ التحويل');
INSERT INTO `lang_definitions` VALUES (104958, 11155, 19, 'فشل التحويل,كمية غير كافية لتنفيذ العملية');
INSERT INTO `lang_definitions` VALUES (104959, 11156, 19, 'ملخص التحويل');
INSERT INTO `lang_definitions` VALUES (104960, 11157, 19, 'تحويل الى');
INSERT INTO `lang_definitions` VALUES (104961, 11160, 19, 'تحويلات');
INSERT INTO `lang_definitions` VALUES (104962, 11162, 19, 'تحويل-تحويل الرعاية؟');
INSERT INTO `lang_definitions` VALUES (104963, 11163, 19, 'ترجم مجموعات التحكم');
INSERT INTO `lang_definitions` VALUES (104964, 11164, 19, 'ترجم تصنيفات المواعيد');
INSERT INTO `lang_definitions` VALUES (104965, 11165, 19, 'ترجم تصنيفات الوثيقة');
INSERT INTO `lang_definitions` VALUES (104966, 11166, 19, 'ترجم الواجهات');
INSERT INTO `lang_definitions` VALUES (104967, 11167, 19, 'ترجم القوائم');
INSERT INTO `lang_definitions` VALUES (104968, 11168, 19, 'ترجم عناوين ملاحظات المريض');
INSERT INTO `lang_definitions` VALUES (104969, 11169, 19, 'ترجم هذا');
INSERT INTO `lang_definitions` VALUES (104970, 11170, 19, 'الترجمة');
INSERT INTO `lang_definitions` VALUES (104971, 11171, 19, 'تراجم');
INSERT INTO `lang_definitions` VALUES (104972, 11172, 19, 'نقل');
INSERT INTO `lang_definitions` VALUES (104973, 11175, 19, 'فشل النقل');
INSERT INTO `lang_definitions` VALUES (104974, 11177, 19, 'نقل الطلبات المُختارة');
INSERT INTO `lang_definitions` VALUES (104975, 11179, 19, 'رَضّ');
INSERT INTO `lang_definitions` VALUES (104976, 11180, 19, 'معالجة');
INSERT INTO `lang_definitions` VALUES (104977, 11182, 19, 'اهداف المعالجة');
INSERT INTO `lang_definitions` VALUES (104978, 11183, 19, 'خطة المعالجة');
INSERT INTO `lang_definitions` VALUES (104979, 11184, 19, 'خُطَّةُ المُعَالَجَة‎');
INSERT INTO `lang_definitions` VALUES (104980, 11185, 19, 'تم تلقي المعالجة');
INSERT INTO `lang_definitions` VALUES (104981, 11186, 19, 'المعالجة:');
INSERT INTO `lang_definitions` VALUES (104982, 11187, 19, 'المعالجة:');
INSERT INTO `lang_definitions` VALUES (104983, 11189, 19, 'موضة');
INSERT INTO `lang_definitions` VALUES (104984, 11190, 19, 'trftime($month_format, mktime(0, 0, 0, $i, 1, 2000)) ); $month_value');
INSERT INTO `lang_definitions` VALUES (104985, 11195, 19, 'نقطة الزناد / مُتَلاَزِمَةُ الحَيِّزِ الأَمامِيّ / الم العضلة المتأخّر / تشنّج');
INSERT INTO `lang_definitions` VALUES (104986, 11196, 19, 'كَسْرٌ كَعْبِيٌّ ثُلاَثِيّ‎');
INSERT INTO `lang_definitions` VALUES (104987, 11199, 19, 'جِذْع‎ و بطن');
INSERT INTO `lang_definitions` VALUES (104988, 11203, 19, 'إنك تحاول تكوين مستخدم بإسم موجود أصلا!');
INSERT INTO `lang_definitions` VALUES (104989, 11205, 19, 'ملعقة-وحدة قياس');
INSERT INTO `lang_definitions` VALUES (104990, 11207, 19, 'جمعية نقل الأعضاء');
INSERT INTO `lang_definitions` VALUES (104991, 11208, 19, 'مرض السل');
INSERT INTO `lang_definitions` VALUES (104992, 11209, 19, 'الثلاثاء');
INSERT INTO `lang_definitions` VALUES (104993, 11210, 19, 'Tues &amp; Thur');
INSERT INTO `lang_definitions` VALUES (104994, 11211, 19, 'الثلاثاء');
INSERT INTO `lang_definitions` VALUES (104995, 11212, 19, 'ورم خبيث');
INSERT INTO `lang_definitions` VALUES (104996, 11213, 19, 'تركي');
INSERT INTO `lang_definitions` VALUES (104997, 11222, 19, 'مرتين باليوم');
INSERT INTO `lang_definitions` VALUES (104998, 11226, 19, 'طبلة الاذن');
INSERT INTO `lang_definitions` VALUES (104999, 11227, 19, 'نوع');
INSERT INTO `lang_definitions` VALUES (105000, 11231, 19, 'نوع رقم الهوية او اﻷسم. 3 أحرف علي اﻷقل (بما فيها المسافة)');
INSERT INTO `lang_definitions` VALUES (105001, 11238, 19, 'نوع اﻷعمدة المعروضة لكل نتائج بحث المريض');
INSERT INTO `lang_definitions` VALUES (105002, 11239, 19, 'نوع الإفشاء');
INSERT INTO `lang_definitions` VALUES (105003, 11240, 19, 'نوع الحدث');
INSERT INTO `lang_definitions` VALUES (105004, 11242, 19, 'نوعية تصميم الشاشة');
INSERT INTO `lang_definitions` VALUES (105005, 11243, 19, 'اكتب او امسح ضوئيا معرّف المريض هنا');
INSERT INTO `lang_definitions` VALUES (105006, 11248, 19, 'اكتب رسالتك هنا');
INSERT INTO `lang_definitions` VALUES (105007, 11249, 19, 'أنواع الأوامر و النتائج');
INSERT INTO `lang_definitions` VALUES (105008, 11270, 19, 'رموز جامعة كالجري, مركز الطب الرياضي');
INSERT INTO `lang_definitions` VALUES (105009, 11271, 19, 'اوكراني');
INSERT INTO `lang_definitions` VALUES (105010, 11272, 19, 'تقرحات');
INSERT INTO `lang_definitions` VALUES (105011, 11273, 19, 'التهاب القولون المتقرح');
INSERT INTO `lang_definitions` VALUES (105012, 11274, 19, 'قرح:');
INSERT INTO `lang_definitions` VALUES (105013, 11278, 19, 'غير قادر علي الإنشاء');
INSERT INTO `lang_definitions` VALUES (105014, 11288, 19, 'غير قادر علي مطابقة هذةالدفعة في ar_activity');
INSERT INTO `lang_definitions` VALUES (105015, 11291, 19, 'غير مطبق');
INSERT INTO `lang_definitions` VALUES (105016, 11292, 19, 'غير محدد');
INSERT INTO `lang_definitions` VALUES (105017, 11293, 19, 'غير مسموح له');
INSERT INTO `lang_definitions` VALUES (105018, 11294, 19, 'غير مسموح له بالدخول علي الوصفة الإلكترونية');
INSERT INTO `lang_definitions` VALUES (105019, 11295, 19, 'غير مسموح له بالدخول');
INSERT INTO `lang_definitions` VALUES (105020, 11296, 19, 'غير مفوتر');
INSERT INTO `lang_definitions` VALUES (105021, 11297, 19, 'غير مفوتر فقط');
INSERT INTO `lang_definitions` VALUES (105022, 11300, 19, 'تحت اللسان');
INSERT INTO `lang_definitions` VALUES (105023, 11303, 19, 'تحت مستوى الوزن الطبيعي');
INSERT INTO `lang_definitions` VALUES (105024, 11304, 19, 'غير مشخص');
INSERT INTO `lang_definitions` VALUES (105025, 11305, 19, 'غير موزع');
INSERT INTO `lang_definitions` VALUES (105026, 11306, 19, 'غير موزع');
INSERT INTO `lang_definitions` VALUES (105027, 11307, 19, 'غير موزع');
INSERT INTO `lang_definitions` VALUES (105028, 11309, 19, 'الغاء التسريح');
INSERT INTO `lang_definitions` VALUES (105029, 11311, 19, 'عملاء مميزين');
INSERT INTO `lang_definitions` VALUES (105030, 11312, 19, 'علامة مميزة لتقرأ بالعين لهذا النوع');
INSERT INTO `lang_definitions` VALUES (105031, 11315, 19, 'عملاء مميزين جدد');
INSERT INTO `lang_definitions` VALUES (105032, 11316, 19, 'علامة رقمية مميزة لهذا النوع');
INSERT INTO `lang_definitions` VALUES (105033, 11317, 19, 'مرضي مميزين تمت رؤيتهم');
INSERT INTO `lang_definitions` VALUES (105034, 11318, 19, 'تقرير لمرضي مميزين تمت رؤيتهم');
INSERT INTO `lang_definitions` VALUES (105035, 11319, 19, 'مريض وهمي مميز');
INSERT INTO `lang_definitions` VALUES (105036, 11320, 19, 'وحدة');
INSERT INTO `lang_definitions` VALUES (105037, 11321, 19, 'وحدات');
INSERT INTO `lang_definitions` VALUES (105038, 11322, 19, 'وحدات');
INSERT INTO `lang_definitions` VALUES (105039, 11323, 19, 'الوحدات قابلة للتطبيق علي وحدة الناتج');
INSERT INTO `lang_definitions` VALUES (105040, 11324, 19, 'وحدات لطلبات الزيارة');
INSERT INTO `lang_definitions` VALUES (105041, 11325, 19, 'الوحدات يجب ان تكون ارقاماَ');
INSERT INTO `lang_definitions` VALUES (105042, 11326, 19, 'الوحدات غير معرفة');
INSERT INTO `lang_definitions` VALUES (105043, 11327, 19, 'وحدات لكل ليتر');
INSERT INTO `lang_definitions` VALUES (105044, 11328, 19, 'غير معروف');
INSERT INTO `lang_definitions` VALUES (105045, 11331, 19, 'غير معروف اذا دخن من قبل');
INSERT INTO `lang_definitions` VALUES (105046, 11332, 19, 'غير معروف او غير قابل للتطبيق');
INSERT INTO `lang_definitions` VALUES (105047, 11335, 19, 'هوية مستخدم غير معروف:');
INSERT INTO `lang_definitions` VALUES (105048, 11344, 19, 'مريض غير مرتبط');
INSERT INTO `lang_definitions` VALUES (105049, 11345, 19, 'شركة تأمين غير مسماه');
INSERT INTO `lang_definitions` VALUES (105050, 11346, 19, 'غير مسجل');
INSERT INTO `lang_definitions` VALUES (105051, 11349, 19, 'عدم إختيار الكل');
INSERT INTO `lang_definitions` VALUES (105052, 11350, 19, 'غير مختار');
INSERT INTO `lang_definitions` VALUES (105053, 11351, 19, 'غير محدد');
INSERT INTO `lang_definitions` VALUES (105054, 11352, 19, 'غير مبني');
INSERT INTO `lang_definitions` VALUES (105055, 11354, 19, 'ملف تحميل غير مدعوم لقاعدة البيانات');
INSERT INTO `lang_definitions` VALUES (105056, 11356, 19, 'حتي');
INSERT INTO `lang_definitions` VALUES (105057, 11359, 19, 'مطالبة تأمينية متأخرة');
INSERT INTO `lang_definitions` VALUES (105058, 11360, 19, 'غير مستخدم');
INSERT INTO `lang_definitions` VALUES (105059, 11361, 19, 'متطلبات عماليتية طارئة');
INSERT INTO `lang_definitions` VALUES (105060, 11362, 19, 'حتي الي');
INSERT INTO `lang_definitions` VALUES (105061, 11364, 19, 'المواعيد المستقبلية');
INSERT INTO `lang_definitions` VALUES (105062, 11365, 19, 'الأحداث المستقبلية');
INSERT INTO `lang_definitions` VALUES (105063, 11366, 19, 'تحديث');
INSERT INTO `lang_definitions` VALUES (105064, 11367, 19, 'تحديث');
INSERT INTO `lang_definitions` VALUES (105065, 11368, 19, 'التحديث نشط');
INSERT INTO `lang_definitions` VALUES (105066, 11371, 19, 'ملفات التحديث');
INSERT INTO `lang_definitions` VALUES (105067, 11372, 19, 'معلومات التحديث');
INSERT INTO `lang_definitions` VALUES (105068, 11374, 19, 'قائمة التحديث');
INSERT INTO `lang_definitions` VALUES (105069, 11377, 19, 'رقم مقدم التحديث');
INSERT INTO `lang_definitions` VALUES (105070, 11378, 19, 'حدث البنود المختارة');
INSERT INTO `lang_definitions` VALUES (105071, 11383, 19, 'حدث المتغيرات التالية بالملف');
INSERT INTO `lang_definitions` VALUES (105072, 11384, 19, 'حدث معلومات المستخدم');
INSERT INTO `lang_definitions` VALUES (105073, 11390, 19, 'جاري تحديث الديموجرافيا غير مصرح به');
INSERT INTO `lang_definitions` VALUES (105074, 11391, 19, 'جاري تحديث التهيئة الإفتراضية للكل');
INSERT INTO `lang_definitions` VALUES (105075, 11392, 19, 'جاري تحديث مدلولات النسخة');
INSERT INTO `lang_definitions` VALUES (105076, 11393, 19, 'ترقية');
INSERT INTO `lang_definitions` VALUES (105077, 11394, 19, 'ترقية');
INSERT INTO `lang_definitions` VALUES (105078, 11396, 19, 'ترقية قاعدة البيانات');
INSERT INTO `lang_definitions` VALUES (105079, 11398, 19, 'ترقية قاعدة البيانات لتشمل العمليات، الوظائف و الجداول اللازمة لعملية اخفاء الهوية');
INSERT INTO `lang_definitions` VALUES (105080, 11399, 19, 'الترقية ستستمر');
INSERT INTO `lang_definitions` VALUES (105081, 11400, 19, 'الرقم الفريد لتعريف الطبيب');
INSERT INTO `lang_definitions` VALUES (105082, 11401, 19, 'ترفيع');
INSERT INTO `lang_definitions` VALUES (105083, 11406, 19, 'ترفيع ملف التهيئة');
INSERT INTO `lang_definitions` VALUES (105084, 11407, 19, 'ترفيع الوثيقة');
INSERT INTO `lang_definitions` VALUES (105085, 11408, 19, 'فشل الترفيع!');
INSERT INTO `lang_definitions` VALUES (105086, 11410, 19, 'ترفيع الصورة الي');
INSERT INTO `lang_definitions` VALUES (105087, 11411, 19, 'ترفيع الملف المستورد:');
INSERT INTO `lang_definitions` VALUES (105088, 11414, 19, 'تمت عملية الرفع بنجاح');
INSERT INTO `lang_definitions` VALUES (105089, 11415, 19, 'ترفيع التقرير');
INSERT INTO `lang_definitions` VALUES (105090, 11418, 19, 'ارفع هذا الملف:');
INSERT INTO `lang_definitions` VALUES (105091, 11421, 19, 'عند ضغط رقم الإيصال \"نافذة الإدخال اليدوي\" سوف تفتح. هنا يمكنك تغيير تاريخ الإستحقاق و الجةه المعنية. كما يمكنك تغيير الكمية المدفوعه لكل رمز');
INSERT INTO `lang_definitions` VALUES (105092, 11426, 19, 'عند البحث سوف تظهر لك قاءمة الإيصالات. يمكنك إختيار اي منها بالضغط عليها لتفتح نافذة الإدخال اليدوي');
INSERT INTO `lang_definitions` VALUES (105093, 11429, 19, 'اليد العليا');
INSERT INTO `lang_definitions` VALUES (105094, 11432, 19, 'طارئ');
INSERT INTO `lang_definitions` VALUES (105095, 11436, 19, 'بول');
INSERT INTO `lang_definitions` VALUES (105096, 11437, 19, 'التقاطر البولي');
INSERT INTO `lang_definitions` VALUES (105097, 11438, 19, 'تواتر البول');
INSERT INTO `lang_definitions` VALUES (105098, 11439, 19, 'التردد البولي');
INSERT INTO `lang_definitions` VALUES (105099, 11440, 19, 'زلال البول');
INSERT INTO `lang_definitions` VALUES (105100, 11441, 19, 'تدفق البول');
INSERT INTO `lang_definitions` VALUES (105101, 11442, 19, 'طارئ البول');
INSERT INTO `lang_definitions` VALUES (105102, 11443, 19, 'عنوان الانترنت');
INSERT INTO `lang_definitions` VALUES (105103, 11445, 19, 'عنوان الانترنت لدعم البرنامج');
INSERT INTO `lang_definitions` VALUES (105104, 11447, 19, 'عنوان الانترنت لبوابة الهاتف. http://signup.maviq.com');
INSERT INTO `lang_definitions` VALUES (105105, 11451, 19, 'الإستخدام');
INSERT INTO `lang_definitions` VALUES (105106, 11453, 19, 'مؤشر الإستخدام (ISA15)');
INSERT INTO `lang_definitions` VALUES (105107, 11456, 19, 'إستخدم رمز % بمفرها داخل الحقل لترتيب هذا العمود فقط');
INSERT INTO `lang_definitions` VALUES (105108, 11457, 19, 'إستخدام هيئة ال 24 ساعة؟');
INSERT INTO `lang_definitions` VALUES (105109, 11465, 19, 'إستخدم تكنولوجيا معتمدة لبرامج ادارة المستشفيات للتعرف علي مصادر التثقيف الخاصة بالمريض');
INSERT INTO `lang_definitions` VALUES (105110, 11466, 19, 'إستخدم لائحة النفقات');
INSERT INTO `lang_definitions` VALUES (105111, 11467, 19, 'إستخدم CPOE لإدخال الأوامر الطبيه بواسطة الطبيب المرخص له من الهيئات و النقابات');
INSERT INTO `lang_definitions` VALUES (105112, 11474, 19, 'إستخدم قائمة تطعيم مفصلة');
INSERT INTO `lang_definitions` VALUES (105113, 11476, 19, 'إستخدم مجال الأيام');
INSERT INTO `lang_definitions` VALUES (105114, 11477, 19, 'إستخدم الإفتراضي');
INSERT INTO `lang_definitions` VALUES (105115, 11478, 19, 'إستخدم إختيار الإلغاء للمسح');
INSERT INTO `lang_definitions` VALUES (105116, 11479, 19, 'إستخدم تصميم الأيام العالمي؟');
INSERT INTO `lang_definitions` VALUES (105117, 11483, 19, 'إستخدم إسم الملف الأصلي');
INSERT INTO `lang_definitions` VALUES (105118, 11486, 19, 'إستخدم الحقول ادناه للشراء او للنقل');
INSERT INTO `lang_definitions` VALUES (105119, 11490, 19, 'إستخدم هذه الميزة مع المواقع الجديدة فقط');
INSERT INTO `lang_definitions` VALUES (105120, 11493, 19, 'إستخدم المواضيع؟');
INSERT INTO `lang_definitions` VALUES (105121, 11496, 19, 'مستخدم');
INSERT INTO `lang_definitions` VALUES (105122, 11498, 19, 'مستخدم / مجموعة');
INSERT INTO `lang_definitions` VALUES (105123, 11499, 19, 'إدارة المستخدمين');
INSERT INTO `lang_definitions` VALUES (105124, 11500, 19, 'إدارة المستخدمين و المنشأت');
INSERT INTO `lang_definitions` VALUES (105125, 11501, 19, 'إدارة المستخدمين و المجموعات');
INSERT INTO `lang_definitions` VALUES (105126, 11503, 19, 'التأكد من توثيق شهادة المستخد معطل');
INSERT INTO `lang_definitions` VALUES (105127, 11507, 19, 'محدد من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (105128, 11508, 19, 'المنطقة 11 المحددة من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (105129, 11509, 19, 'المنطقة 12 المحددة من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (105130, 11510, 19, 'حقل محدد من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (105131, 11511, 19, 'قائمة 1 محددة من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (105132, 11512, 19, 'قائمة 2 محددة من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (105133, 11513, 19, 'قائمة 3 محددة من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (105134, 11514, 19, 'قائمة 4 محددة من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (105135, 11515, 19, 'قائمة 5 محددة من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (105136, 11516, 19, 'قائمة 6 محددة من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (105137, 11517, 19, 'قائمة 7 محددة من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (105138, 11518, 19, 'نص 1 محدد من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (105139, 11519, 19, 'نص 2 محدد من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (105140, 11520, 19, 'نص 3 محدد من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (105141, 11521, 19, 'نص 4 محدد من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (105142, 11522, 19, 'نص 5 محدد من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (105143, 11523, 19, 'نص 6 محدد من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (105144, 11524, 19, 'نص 7 محدد من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (105145, 11525, 19, 'نص 8 محدد من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (105146, 11526, 19, 'إسم المستخدم الأول');
INSERT INTO `lang_definitions` VALUES (105147, 11530, 19, 'ولوج المستخدم (لو اكثر من 03, او اترك مسافات) (ISA02)');
INSERT INTO `lang_definitions` VALUES (105148, 11531, 19, 'مؤشر مطلوب لولوج المستخدم ( إستخدم 00 او 03 ~ISA01)');
INSERT INTO `lang_definitions` VALUES (105149, 11532, 19, 'دليل المستخدم');
INSERT INTO `lang_definitions` VALUES (105150, 11533, 19, 'عضويات المستخدم');
INSERT INTO `lang_definitions` VALUES (105151, 11534, 19, 'إسم المستخدم');
INSERT INTO `lang_definitions` VALUES (105152, 11536, 19, 'إسم المستخدم او اسم المضيف لا يمكن ان يترك فارغاَ');
INSERT INTO `lang_definitions` VALUES (105153, 11537, 19, 'إسم المستخدم او اسم المضيف');
INSERT INTO `lang_definitions` VALUES (105154, 11539, 19, 'كلمة سر المستخدم (لو 01 أعلي, او اترك مسافات ~ ISA04)');
INSERT INTO `lang_definitions` VALUES (105155, 11540, 19, 'مؤشر مطلوب لكلمة سر المستخدم ( إستخدم 00 او 01 ~ISA03)');
INSERT INTO `lang_definitions` VALUES (105156, 11541, 19, 'ضبط خيارات المستخدم');
INSERT INTO `lang_definitions` VALUES (105157, 11543, 19, 'خيارات المستخدم المحددة');
INSERT INTO `lang_definitions` VALUES (105158, 11544, 19, 'كلمة سر المستخدمين الجديدة');
INSERT INTO `lang_definitions` VALUES (105159, 11553, 19, 'إسم المستخدم');
INSERT INTO `lang_definitions` VALUES (105160, 11555, 19, 'إسم المستخدم لبوابة الهاتف. http://signup.maviq.com');
INSERT INTO `lang_definitions` VALUES (105161, 11556, 19, 'إسم المستخدم للرسائل النصية القصيرة');
INSERT INTO `lang_definitions` VALUES (105162, 11557, 19, 'إسم المستخدم للرسائل النصية القصيرة.');
INSERT INTO `lang_definitions` VALUES (105163, 11558, 19, 'إسم المستخدم للإتصال ب CouchDB');
INSERT INTO `lang_definitions` VALUES (105164, 11559, 19, 'إسم المستخدم:');
INSERT INTO `lang_definitions` VALUES (105165, 11560, 19, 'المستخدمين');
INSERT INTO `lang_definitions` VALUES (105166, 11564, 19, 'المستخدمين/المجموعات/تسجيلات الإدارة');
INSERT INTO `lang_definitions` VALUES (105167, 11574, 19, 'uses php <a href=\"http://php.net/strftime\">strftime</a> format');
INSERT INTO `lang_definitions` VALUES (105168, 11583, 19, 'التهابات المجري البولي');
INSERT INTO `lang_definitions` VALUES (105169, 11588, 19, 'إجازة');
INSERT INTO `lang_definitions` VALUES (105170, 11589, 19, 'إجازة');
INSERT INTO `lang_definitions` VALUES (105171, 11590, 19, 'تطعيم');
INSERT INTO `lang_definitions` VALUES (105172, 11593, 19, 'حلقة مهبلية');
INSERT INTO `lang_definitions` VALUES (105173, 11594, 19, 'وداعي');
INSERT INTO `lang_definitions` VALUES (105174, 11596, 19, 'تأكد من صحة');
INSERT INTO `lang_definitions` VALUES (105175, 11609, 19, 'قيمة');
INSERT INTO `lang_definitions` VALUES (105176, 11610, 19, 'قيمة 1');
INSERT INTO `lang_definitions` VALUES (105177, 11611, 19, 'قيمة 2');
INSERT INTO `lang_definitions` VALUES (105178, 11613, 19, 'القيمة يجب أن تكون عددية');
INSERT INTO `lang_definitions` VALUES (105179, 11614, 19, 'المتغّير 1');
INSERT INTO `lang_definitions` VALUES (105180, 11615, 19, 'المتغّير 2');
INSERT INTO `lang_definitions` VALUES (105181, 11616, 19, 'متغّير الي واحد لتشغيل كود برمجة الترقية لمحو الهوية');
INSERT INTO `lang_definitions` VALUES (105182, 11619, 19, 'جدري الماء 1');
INSERT INTO `lang_definitions` VALUES (105183, 11620, 19, 'جدري الماء 2');
INSERT INTO `lang_definitions` VALUES (105184, 11621, 19, 'توسع الأوردة / الدوالي الوريدية');
INSERT INTO `lang_definitions` VALUES (105185, 11623, 19, 'حالة الأوعية الدموية');
INSERT INTO `lang_definitions` VALUES (105186, 11624, 19, 'إصابة الأوعية الدموية');
INSERT INTO `lang_definitions` VALUES (105187, 11625, 19, 'جراحة الأوعية الدموية');
INSERT INTO `lang_definitions` VALUES (105188, 11630, 19, 'مزود');
INSERT INTO `lang_definitions` VALUES (105189, 11634, 19, 'إصدار');
INSERT INTO `lang_definitions` VALUES (105190, 11653, 19, 'دوار');
INSERT INTO `lang_definitions` VALUES (105191, 11656, 19, 'ادارة المحاربين القدامى');
INSERT INTO `lang_definitions` VALUES (105192, 11657, 19, 'خطة ادارة المحاربين القدامى');
INSERT INTO `lang_definitions` VALUES (105193, 11659, 19, 'لقاحات للأطفال');
INSERT INTO `lang_definitions` VALUES (105194, 11666, 19, 'فيتنامي');
INSERT INTO `lang_definitions` VALUES (105195, 11667, 19, 'عرض');
INSERT INTO `lang_definitions` VALUES (105196, 11668, 19, 'عرض');
INSERT INTO `lang_definitions` VALUES (105197, 11670, 19, 'عرض أمراض الحساسية');
INSERT INTO `lang_definitions` VALUES (105198, 11671, 19, 'عرض ملف x12-835 ERA');
INSERT INTO `lang_definitions` VALUES (105199, 11672, 19, 'عرض جملة المطالبات x12 النصي');
INSERT INTO `lang_definitions` VALUES (105200, 11676, 19, 'عرض تقرير المريض الشامل');
INSERT INTO `lang_definitions` VALUES (105201, 11677, 19, 'عرض جداول CSV');
INSERT INTO `lang_definitions` VALUES (105202, 11679, 19, 'عرض المستند');
INSERT INTO `lang_definitions` VALUES (105203, 11681, 19, 'عرض المراجعة');
INSERT INTO `lang_definitions` VALUES (105204, 11682, 19, 'عرض نص ERA x12');
INSERT INTO `lang_definitions` VALUES (105205, 11683, 19, 'عرض الأحداث في نافذة منبثقة؟');
INSERT INTO `lang_definitions` VALUES (105206, 11684, 19, 'اعرض معلومات مستخدم منشأة مخصوص');
INSERT INTO `lang_definitions` VALUES (105207, 11686, 19, 'عرض ملف X12 الداخلي');
INSERT INTO `lang_definitions` VALUES (105208, 11687, 19, 'عرض السجل');
INSERT INTO `lang_definitions` VALUES (105209, 11690, 19, 'عرض الصفحة ١');
INSERT INTO `lang_definitions` VALUES (105210, 11691, 19, 'عرض الصفحة ٢');
INSERT INTO `lang_definitions` VALUES (105211, 11692, 19, 'عرض رسائل التذكير الماضية والمستقبلية');
INSERT INTO `lang_definitions` VALUES (105212, 11695, 19, 'عرض المريض');
INSERT INTO `lang_definitions` VALUES (105213, 11700, 19, 'عرض المراجعات ذات العلاقة');
INSERT INTO `lang_definitions` VALUES (105214, 11701, 19, 'عرض التقرير');
INSERT INTO `lang_definitions` VALUES (105215, 11702, 19, 'عرض الملف التمهيدي');
INSERT INTO `lang_definitions` VALUES (105216, 11712, 19, 'عرض / تعديل أمراض الحساسية');
INSERT INTO `lang_definitions` VALUES (105217, 11713, 19, 'عرض / تعديل المشكلة');
INSERT INTO `lang_definitions` VALUES (105218, 11714, 19, 'عرض / طباعة');
INSERT INTO `lang_definitions` VALUES (105219, 11717, 19, 'عرض:');
INSERT INTO `lang_definitions` VALUES (105220, 11718, 19, 'بطاقة فيزا التأمينية');
INSERT INTO `lang_definitions` VALUES (105221, 11719, 19, 'البطاقات التأمينية: فيزا/ماستر كارد/اميركان اكسبرس/ديسكفري');
INSERT INTO `lang_definitions` VALUES (105222, 11721, 19, 'الأحشاء: ضرر/إِصَابَة/جراحة');
INSERT INTO `lang_definitions` VALUES (105223, 11728, 19, 'تصنيف الزيارة');
INSERT INTO `lang_definitions` VALUES (105224, 11729, 19, 'تاريخ الزيارة');
INSERT INTO `lang_definitions` VALUES (105225, 11730, 19, 'تاريخ الزيارة');
INSERT INTO `lang_definitions` VALUES (105226, 11734, 19, 'استمارات الزيارة');
INSERT INTO `lang_definitions` VALUES (105227, 11736, 19, 'تاريخ الزيارة');
INSERT INTO `lang_definitions` VALUES (105228, 11745, 19, 'الزيارات');
INSERT INTO `lang_definitions` VALUES (105229, 11746, 19, 'استمارة الزيارة');
INSERT INTO `lang_definitions` VALUES (105230, 11751, 19, 'العلامات الحيوية');
INSERT INTO `lang_definitions` VALUES (105231, 11752, 19, 'العلامات الحيوية');
INSERT INTO `lang_definitions` VALUES (105232, 11753, 19, 'العلامات الحيوية (النظام المتري)');
INSERT INTO `lang_definitions` VALUES (105233, 11754, 19, 'خيارات استمارة العلامات الحيوية');
INSERT INTO `lang_definitions` VALUES (105234, 11756, 19, 'الصوت');
INSERT INTO `lang_definitions` VALUES (105235, 11758, 19, 'تم إرسال الصوت');
INSERT INTO `lang_definitions` VALUES (105236, 11763, 19, 'التقيؤ');
INSERT INTO `lang_definitions` VALUES (105237, 11767, 19, 'و');
INSERT INTO `lang_definitions` VALUES (105238, 11770, 19, 'محيط الخصر');
INSERT INTO `lang_definitions` VALUES (105239, 11771, 19, 'محيط الخصر');
INSERT INTO `lang_definitions` VALUES (105240, 11772, 19, 'في الانتظار');
INSERT INTO `lang_definitions` VALUES (105241, 11773, 19, 'مراجع بدون موعد');
INSERT INTO `lang_definitions` VALUES (105242, 11776, 19, 'والت بنينجتون');
INSERT INTO `lang_definitions` VALUES (105243, 11778, 19, 'المستودعات');
INSERT INTO `lang_definitions` VALUES (105244, 11780, 19, 'المستودع الحد الأعلى, ٠ إذا كان غير قابل للتطبيق');
INSERT INTO `lang_definitions` VALUES (105245, 11781, 19, 'المستودع الحد الأدنى, ٠ إذا كان غير قابل للتطبيق');
INSERT INTO `lang_definitions` VALUES (105246, 11782, 19, 'المستودعات');
INSERT INTO `lang_definitions` VALUES (105247, 11783, 19, 'دافئ');
INSERT INTO `lang_definitions` VALUES (105248, 11786, 19, 'التحذير');
INSERT INTO `lang_definitions` VALUES (105249, 11787, 19, 'التحذير');
INSERT INTO `lang_definitions` VALUES (105250, 11789, 19, 'تحذير: الرقم موجود سابقاً');
INSERT INTO `lang_definitions` VALUES (105251, 11790, 19, 'تحذير: المريض لديه رموز غامضة في قائمة المشاكل!');
INSERT INTO `lang_definitions` VALUES (105252, 11791, 19, 'تحذير: تم انشاء زيارة لهذا المريض اليوم!');
INSERT INTO `lang_definitions` VALUES (105253, 11794, 19, 'تحذير: إذا كنت تستخدم 2012-10-31 النسخة الاسبانية، لاحظ أنك تحتاج إلى فك الضغط لمرة واحدة قبل وضعه في contrib / SNOMED (هذا لأن الملف المصدر كان  \" مضغوط مرتين \").');
INSERT INTO `lang_definitions` VALUES (105254, 11796, 19, 'تحذير: هوية المريض غير مخصصة');
INSERT INTO `lang_definitions` VALUES (105255, 11799, 19, 'تحذير');
INSERT INTO `lang_definitions` VALUES (105256, 11801, 19, 'تحذيرات');
INSERT INTO `lang_definitions` VALUES (105257, 11803, 19, 'تم التحميل تلقائيا');
INSERT INTO `lang_definitions` VALUES (105258, 11804, 19, 'لا يوجد');
INSERT INTO `lang_definitions` VALUES (105259, 11805, 19, 'نُقدر لكم الدفع الفوري للديون المستحقة');
INSERT INTO `lang_definitions` VALUES (105260, 11809, 19, 'رأينا مريضكم المذكور أعلاه لتلقي الكشف والعلاج في عيادة الطب النفسي عياداتنا الخارجية. شكرا لكم على هذه الإحالة.');
INSERT INTO `lang_definitions` VALUES (105261, 11821, 19, 'الضعف');
INSERT INTO `lang_definitions` VALUES (105262, 11826, 19, 'بحث عن طريق الويب');
INSERT INTO `lang_definitions` VALUES (105263, 11827, 19, 'موقع');
INSERT INTO `lang_definitions` VALUES (105264, 11828, 19, 'وصلة الأنترنت لبوابة المريض على الموقع');
INSERT INTO `lang_definitions` VALUES (105265, 11832, 19, 'الأربعاء');
INSERT INTO `lang_definitions` VALUES (105266, 11833, 19, 'الأربعاء');
INSERT INTO `lang_definitions` VALUES (105267, 11834, 19, 'أسبوع');
INSERT INTO `lang_definitions` VALUES (105268, 11835, 19, 'أسبوع');
INSERT INTO `lang_definitions` VALUES (105269, 11836, 19, 'حسب الإسبوع');
INSERT INTO `lang_definitions` VALUES (105270, 11837, 19, 'الإسبوع');
INSERT INTO `lang_definitions` VALUES (105271, 11838, 19, 'التعرض الإسبوعي');
INSERT INTO `lang_definitions` VALUES (105272, 11839, 19, 'أسابيع');
INSERT INTO `lang_definitions` VALUES (105273, 11840, 19, 'أسابيع');
INSERT INTO `lang_definitions` VALUES (105274, 11841, 19, 'الوزن');
INSERT INTO `lang_definitions` VALUES (105275, 11842, 19, 'تقييم الوزن لدى الأطفال و المراهقين');
INSERT INTO `lang_definitions` VALUES (105276, 11843, 19, 'تقييم الوزن لدى الأطفال و المراهقين');
INSERT INTO `lang_definitions` VALUES (105277, 11844, 19, 'تغير الوزن');
INSERT INTO `lang_definitions` VALUES (105278, 11845, 19, 'خسارة الوزن');
INSERT INTO `lang_definitions` VALUES (105279, 11846, 19, 'عيادة خسارة الوزن');
INSERT INTO `lang_definitions` VALUES (105280, 11847, 19, 'أهلاً وسهلاً');
INSERT INTO `lang_definitions` VALUES (105281, 11862, 19, 'ما هو الشيئ الذى تريد عده؟');
INSERT INTO `lang_definitions` VALUES (105282, 11864, 19, 'الوزيز:');
INSERT INTO `lang_definitions` VALUES (105283, 11865, 19, 'الوزيز');
INSERT INTO `lang_definitions` VALUES (105284, 11866, 19, 'الوزيز:');
INSERT INTO `lang_definitions` VALUES (105285, 11882, 19, 'أين يمكن إيجاد الأوراق المنسوخة؟');
INSERT INTO `lang_definitions` VALUES (105286, 11884, 19, 'هل من تأمين؟');
INSERT INTO `lang_definitions` VALUES (105287, 11890, 19, 'أذية العنق');
INSERT INTO `lang_definitions` VALUES (105288, 11891, 19, 'أبيض');
INSERT INTO `lang_definitions` VALUES (105289, 11894, 19, 'من');
INSERT INTO `lang_definitions` VALUES (105290, 11895, 19, 'من قام بالرد؟');
INSERT INTO `lang_definitions` VALUES (105291, 11897, 19, 'أرملة');
INSERT INTO `lang_definitions` VALUES (105292, 11898, 19, 'العرض');
INSERT INTO `lang_definitions` VALUES (105293, 11900, 19, 'العرض بالبكسل لإطار الإبحار الأيسر.');
INSERT INTO `lang_definitions` VALUES (105294, 11907, 19, 'مع المختار:');
INSERT INTO `lang_definitions` VALUES (105295, 11908, 19, 'مع الاسم القديم');
INSERT INTO `lang_definitions` VALUES (105296, 11911, 19, 'مع أي شخص تريد ترك رسالة ؟');
INSERT INTO `lang_definitions` VALUES (105297, 11912, 19, 'مُعلق!');
INSERT INTO `lang_definitions` VALUES (105298, 11913, 19, 'خلال ساعات');
INSERT INTO `lang_definitions` VALUES (105299, 11914, 19, 'خلال ساعات');
INSERT INTO `lang_definitions` VALUES (105300, 11915, 19, 'خلال دقائق');
INSERT INTO `lang_definitions` VALUES (105301, 11916, 19, 'خلال دقائق');
INSERT INTO `lang_definitions` VALUES (105302, 11917, 19, 'بدون منشأة');
INSERT INTO `lang_definitions` VALUES (105303, 11918, 19, 'بدون مزود');
INSERT INTO `lang_definitions` VALUES (105304, 11919, 19, 'من غير تحديث');
INSERT INTO `lang_definitions` VALUES (105305, 11920, 19, 'شاهد');
INSERT INTO `lang_definitions` VALUES (105306, 11921, 19, 'إسبوع');
INSERT INTO `lang_definitions` VALUES (105307, 11922, 19, 'ضمن الحدود الطبيعية');
INSERT INTO `lang_definitions` VALUES (105308, 11924, 19, 'نساء');
INSERT INTO `lang_definitions` VALUES (105309, 11925, 19, 'نساء فقط');
INSERT INTO `lang_definitions` VALUES (105310, 11927, 19, 'عمل');
INSERT INTO `lang_definitions` VALUES (105311, 11928, 19, 'ملاحظة عمل');
INSERT INTO `lang_definitions` VALUES (105312, 11929, 19, 'رقم العمل');
INSERT INTO `lang_definitions` VALUES (105313, 11930, 19, 'رقم العمل');
INSERT INTO `lang_definitions` VALUES (105314, 11931, 19, 'متعلق بالعمل؟');
INSERT INTO `lang_definitions` VALUES (105315, 11932, 19, 'العمل/التعليم /الهوايات');
INSERT INTO `lang_definitions` VALUES (105316, 11933, 19, 'إشْعار للعمل/المدرسة');
INSERT INTO `lang_definitions` VALUES (105317, 11934, 19, 'يوم عمل');
INSERT INTO `lang_definitions` VALUES (105318, 11935, 19, 'تعويض العامل');
INSERT INTO `lang_definitions` VALUES (105319, 11936, 19, 'خطة صحية لعويض العمال');
INSERT INTO `lang_definitions` VALUES (105320, 11937, 19, 'مستفيد في سن العمل او زوجة لموظف بخطة صحية جماعية');
INSERT INTO `lang_definitions` VALUES (105321, 11940, 19, 'جاري العمل...قد يأخذ هذا وقتا');
INSERT INTO `lang_definitions` VALUES (105322, 11941, 19, 'أسوأ');
INSERT INTO `lang_definitions` VALUES (105323, 11942, 19, 'هل تريد ان تطبق متبقى المبلغ للحساب العالمي؟');
INSERT INTO `lang_definitions` VALUES (105324, 11943, 19, 'هل تريد ان تصنفهم كخالص؟');
INSERT INTO `lang_definitions` VALUES (105325, 11944, 19, 'هل تريد التخصيص ؟');
INSERT INTO `lang_definitions` VALUES (105326, 11945, 19, 'هل تريد مسح التوزيع لهذا المريض ؟');
INSERT INTO `lang_definitions` VALUES (105327, 11946, 19, 'هل تريد مسح توزيع الدفع ؟');
INSERT INTO `lang_definitions` VALUES (105328, 11947, 19, 'هل تريد مسح الدفع ؟');
INSERT INTO `lang_definitions` VALUES (105329, 11948, 19, 'هل تريد ارسال وإنهاء الدفع؟');
INSERT INTO `lang_definitions` VALUES (105330, 11949, 19, 'هل تريد تعديل الدفع؟');
INSERT INTO `lang_definitions` VALUES (105331, 11950, 19, 'هل تريد ارسال وإنهاء الدفع؟');
INSERT INTO `lang_definitions` VALUES (105332, 11951, 19, 'هل تريد ارسال دفعة ؟');
INSERT INTO `lang_definitions` VALUES (105333, 11952, 19, 'هل تريد الحفظ؟');
INSERT INTO `lang_definitions` VALUES (105334, 11953, 19, 'الرسغ');
INSERT INTO `lang_definitions` VALUES (105335, 11954, 19, 'الرسغ و اليد');
INSERT INTO `lang_definitions` VALUES (105336, 11955, 19, 'مشاكل الرسغ');
INSERT INTO `lang_definitions` VALUES (105337, 11956, 19, 'اكتب');
INSERT INTO `lang_definitions` VALUES (105338, 11958, 19, 'امسح');
INSERT INTO `lang_definitions` VALUES (105339, 11963, 19, 'وزن');
INSERT INTO `lang_definitions` VALUES (105340, 11966, 19, 'x ملغي');
INSERT INTO `lang_definitions` VALUES (105341, 11967, 19, 'x ملغي');
INSERT INTO `lang_definitions` VALUES (105342, 11969, 19, 'الاشعة السينية');
INSERT INTO `lang_definitions` VALUES (105343, 11970, 19, 'تفسير الاشعة السينية:');
INSERT INTO `lang_definitions` VALUES (105344, 11971, 19, 'تفسير الاشعة السينية:');
INSERT INTO `lang_definitions` VALUES (105345, 11975, 19, 'X12 فقط: مطالبة بديلة');
INSERT INTO `lang_definitions` VALUES (105346, 11978, 19, 'X12 شريك');
INSERT INTO `lang_definitions` VALUES (105347, 11979, 19, 'X12 شركاء');
INSERT INTO `lang_definitions` VALUES (105348, 11981, 19, 'X12 إمتحان');
INSERT INTO `lang_definitions` VALUES (105349, 11987, 19, 'ي');
INSERT INTO `lang_definitions` VALUES (105350, 11988, 19, 'سنة');
INSERT INTO `lang_definitions` VALUES (105351, 11989, 19, 'سنة');
INSERT INTO `lang_definitions` VALUES (105352, 11990, 19, 'مشاهدة السنة');
INSERT INTO `lang_definitions` VALUES (105353, 11991, 19, 'سنوات');
INSERT INTO `lang_definitions` VALUES (105354, 11992, 19, 'سنوات');
INSERT INTO `lang_definitions` VALUES (105355, 11994, 19, 'سنوات أو شهور');
INSERT INTO `lang_definitions` VALUES (105356, 11995, 19, 'سنوات . شهور و أيام');
INSERT INTO `lang_definitions` VALUES (105357, 11996, 19, 'نعم');
INSERT INTO `lang_definitions` VALUES (105358, 11997, 19, 'نعم');
INSERT INTO `lang_definitions` VALUES (105359, 11998, 19, 'نعم');
INSERT INTO `lang_definitions` VALUES (105360, 11999, 19, 'نعم!');
INSERT INTO `lang_definitions` VALUES (105361, 12000, 19, 'نعم، إحذف وسجّل');
INSERT INTO `lang_definitions` VALUES (105362, 12002, 19, 'نعم / لا');
INSERT INTO `lang_definitions` VALUES (105363, 12003, 19, 'نعم:');
INSERT INTO `lang_definitions` VALUES (105364, 12004, 19, 'اليديشية');
INSERT INTO `lang_definitions` VALUES (105365, 12008, 19, 'أنت على وشك استبدال قالب موجود نهائيا. هل أنت متأكد أنك تريد المتابعة؟');
INSERT INTO `lang_definitions` VALUES (105366, 12011, 19, 'أنت الآن في فترة دخول مسموحة. قم بتغيير كلمة السر قبل');
INSERT INTO `lang_definitions` VALUES (105367, 12012, 19, 'غير مسموح لك بالمسح');
INSERT INTO `lang_definitions` VALUES (105368, 12013, 19, 'غير مسموح لك بالتعديل');
INSERT INTO `lang_definitions` VALUES (105369, 12014, 19, 'لا يحق لك هذا.');
INSERT INTO `lang_definitions` VALUES (105370, 12016, 19, 'غير مصرح لك بالوصول إلى هذه المجموعة.');
INSERT INTO `lang_definitions` VALUES (105371, 12017, 19, 'غير مصرح لك لإضافة / تحرير المشاكل');
INSERT INTO `lang_definitions` VALUES (105372, 12018, 19, 'غير مصرح لك بجدولة المواعيد.');
INSERT INTO `lang_definitions` VALUES (105373, 12019, 19, 'لا يحق لك أن تطلع على هذه المراجعة.');
INSERT INTO `lang_definitions` VALUES (105374, 12021, 19, 'أنت تقوم بالإضافة ضد مراجعة قديمة؟');
INSERT INTO `lang_definitions` VALUES (105375, 12038, 19, 'لا يمكن الوصول لهذه الخدمة مباشرة');
INSERT INTO `lang_definitions` VALUES (105376, 12050, 19, 'لا يمكن الوصول لهذه الصفحة مباشرة');
INSERT INTO `lang_definitions` VALUES (105377, 12051, 19, 'لا يمكنك إضافة قيمة فارغة لفئة!');
INSERT INTO `lang_definitions` VALUES (105378, 12052, 19, 'لا يمكنك إضافة قيمة فارغة لفئة فرعية!');
INSERT INTO `lang_definitions` VALUES (105379, 12053, 19, 'لا يمكنك إضافة قيمة فارغة لعنصر!');
INSERT INTO `lang_definitions` VALUES (105380, 12055, 19, 'لا يمكنك إدخال تاريخ في المستقبل ذا قيمة منجزة من نعم.');
INSERT INTO `lang_definitions` VALUES (105381, 12057, 19, 'لم تختر أي إجراءات');
INSERT INTO `lang_definitions` VALUES (105382, 12058, 19, 'ليس لديك إمكانية الوصول إلى عرض / تعديل هذه المذكرة');
INSERT INTO `lang_definitions` VALUES (105383, 12061, 19, 'لقد حاولت تغيير المحتوى المغلق.  قم بإزالة القفل إذا كنت ترغب في القيام بهذا.  للفتح، قم بإزالة السطر، \'/*lock::*/\'');
INSERT INTO `lang_definitions` VALUES (105384, 12063, 19, 'تم الدخول بنجاح');
INSERT INTO `lang_definitions` VALUES (105385, 12074, 19, 'تستطيع تحميل ملفات من نوع .txt فقط');
INSERT INTO `lang_definitions` VALUES (105386, 12075, 19, 'تستطيع تحميل بشكل اختياري نتائج HL7 من ملف');
INSERT INTO `lang_definitions` VALUES (105387, 12076, 19, 'يمكنك وضع نص هنا كشكوى افتراضية في نموذج مراجعة مريض جديد.');
INSERT INTO `lang_definitions` VALUES (105388, 12085, 19, 'يجب عليك إدخال عبارة مرور لتشفير المستند');
INSERT INTO `lang_definitions` VALUES (105389, 12087, 19, 'يجب عليك إدخال كلمة المرور الخاصة بك لتغيير كلمات السر للمستخدم. اتركه فارغا لإبقاء كلمة السر بدون تغيير.');
INSERT INTO `lang_definitions` VALUES (105390, 12090, 19, 'يجب عليك أولا اختيار أو إضافة مريض.');
INSERT INTO `lang_definitions` VALUES (105391, 12091, 19, 'يجب عليك أولا اختيار أو إنشاء مراجعة.');
INSERT INTO `lang_definitions` VALUES (105392, 12092, 19, 'يجب عليك اختيار فئة الزيارة.');
INSERT INTO `lang_definitions` VALUES (105393, 12093, 19, 'يجب عليك اختيار فئة الزيارة');
INSERT INTO `lang_definitions` VALUES (105394, 12094, 19, 'يجب عليك اختيار بعض الحقول للاستمرار');
INSERT INTO `lang_definitions` VALUES (105395, 12104, 19, 'عليك أن تجري هذا الاختبار إذا ظهر أن هذه المطالبة أنشأت بنجاح ولكن لا يحتوي ملف المطالبة الفعلية على أية بيانات أو مجرد جزء غير مكتمل من كمية البيانات التي من المفترض أن تحتوي عليها. فإنه من الواضح مع مطالبات HCFA لأنها قابل للقراءة البشرية، مع مطالبات X12 ستكون العملية أكثر صعوبة لتحديد ما إذا كانت المطالبة كاملة بشكل صحيح.');
INSERT INTO `lang_definitions` VALUES (105396, 12106, 19, 'يجب عليك تحديد سياق واحد على الأقل');
INSERT INTO `lang_definitions` VALUES (105397, 12107, 19, 'يجب عليك اختيار موزع واحد على الاقل');
INSERT INTO `lang_definitions` VALUES (105398, 12118, 19, 'تقريرك الطبّي');
INSERT INTO `lang_definitions` VALUES (105399, 12122, 19, 'تاريخ اخر يوم غير صحيح');
INSERT INTO `lang_definitions` VALUES (105400, 12123, 19, 'تم مسح الحدث');
INSERT INTO `lang_definitions` VALUES (105401, 12124, 19, 'تم تعديل الحدث');
INSERT INTO `lang_definitions` VALUES (105402, 12125, 19, 'تم ادخال الحدث');
INSERT INTO `lang_definitions` VALUES (105403, 12127, 19, 'الملف كبير جدا');
INSERT INTO `lang_definitions` VALUES (105404, 12132, 19, 'تم تغيير اسم القائمة الخاصة بك لتلبية متطلبات التسمية.');
INSERT INTO `lang_definitions` VALUES (105405, 12133, 19, 'قدمت رسالتك لتسليمها إلى');
INSERT INTO `lang_definitions` VALUES (105406, 12134, 19, 'اسمك لهذه الفئة إجراءات أو نتيجة');
INSERT INTO `lang_definitions` VALUES (105407, 12139, 19, 'كلمة السر الخاصة بك');
INSERT INTO `lang_definitions` VALUES (105408, 12140, 19, 'انتهاء مدة صلاحية كلمة السر الخاصة بك. الرجاء تغيير كلمة السر.');
INSERT INTO `lang_definitions` VALUES (105409, 12141, 19, 'كلمة السر الخاصة بك تنتهي في');
INSERT INTO `lang_definitions` VALUES (105410, 12143, 19, 'انتهاء مدة صلاحية كلمة السر الخاصة بك اليوم. الرجاء تغيير كلمة السر.');
INSERT INTO `lang_definitions` VALUES (105411, 12146, 19, 'وقد تم إعادة ضبط اعدادات PostCalendar الخاصة بك لاستخدام الإعدادات الافتراضية.');
INSERT INTO `lang_definitions` VALUES (105412, 12147, 19, 'تم تحديث اعدادات PostCalendar الخاص بك.');
INSERT INTO `lang_definitions` VALUES (105413, 12148, 19, 'عدد مرات التكرار يجب ان تكون عدد صحيح');
INSERT INTO `lang_definitions` VALUES (105414, 12149, 19, 'عدد مرات التكرار يجب ان تكون ١ على الاقل');
INSERT INTO `lang_definitions` VALUES (105415, 12151, 19, 'تاريخ اول يوم أكبر من تاريخ أخر يوم');
INSERT INTO `lang_definitions` VALUES (105416, 12152, 19, 'تاريخ اول يوم غير صحيح');
INSERT INTO `lang_definitions` VALUES (105417, 12153, 19, 'فشل الإدخال');
INSERT INTO `lang_definitions` VALUES (105418, 12156, 19, 'سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (105419, 12157, 19, 'سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (105420, 12158, 19, 'نظام الأيام لهذة الوثيقة سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (105421, 12159, 19, 'تم اتلاف نظام الأيام سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (105422, 12160, 19, 'تاريخ الوﻻدة سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (105423, 12161, 19, 'تاريخ الوﻻدة سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (105424, 12162, 19, 'تاريخ الوفاة سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (105425, 12163, 19, 'تاريخ البدء او إدخال المستشفي سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (105426, 12164, 19, 'تاريخ البدء, الجراحة او بدء المعالجة سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (105427, 12165, 19, 'تاريخ الشراء او التحويل سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (105428, 12166, 19, 'تاريخ التعافي او نهاية المعالجة سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (105429, 12167, 19, 'تاريخ الرجوع ل اللعب سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (105430, 12168, 19, 'تاريخ الخدمة سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (105431, 12169, 19, 'تاريخ هذة الرسالة سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (105432, 12170, 19, 'تاريخ الرجوع ل اللعب سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (105433, 12171, 19, 'تاريخ هذة الوثيقة سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (105434, 12173, 19, 'تاريخ هذا الحدث او البدء سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (105435, 12174, 19, 'تاريخ النهاية سنة/شهر/يوم ساعه/دقيقة');
INSERT INTO `lang_definitions` VALUES (105436, 12175, 19, 'تاريخ النهاية سنة/شهر/يوم ساعه/دقيقة');
INSERT INTO `lang_definitions` VALUES (105437, 12176, 19, 'تاريخ البداية سنة/شهر/يوم ساعه/دقيقة');
INSERT INTO `lang_definitions` VALUES (105438, 12177, 19, 'تاريخ البداية سنة/شهر/يوم ساعه/دقيقة');
INSERT INTO `lang_definitions` VALUES (105439, 12178, 19, 'سنة/شهر/يوم ساعه/دقيقة/ثانية');
INSERT INTO `lang_definitions` VALUES (105440, 12179, 19, 'سنة/شهر/يوم ساعه(24):دقيقة');
INSERT INTO `lang_definitions` VALUES (105441, 12180, 19, 'آخر موعد لهذا الحدث سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (105442, 12186, 19, 'صفر');
INSERT INTO `lang_definitions` VALUES (105443, 12188, 19, 'البريد');
INSERT INTO `lang_definitions` VALUES (105444, 12189, 19, 'الرمز البريدي');
INSERT INTO `lang_definitions` VALUES (105445, 12191, 19, 'الرمز البريدي/الدولة');
INSERT INTO `lang_definitions` VALUES (105446, 12196, 19, 'زولو');
INSERT INTO `lang_definitions` VALUES (105447, 12197, 19, 'لكن كان');
INSERT INTO `lang_definitions` VALUES (105448, 12198, 19, 'لا يمكن الوصول');
INSERT INTO `lang_definitions` VALUES (105449, 12199, 19, 'هل تريد المسح');
INSERT INTO `lang_definitions` VALUES (105450, 12200, 19, 'الدواء');
INSERT INTO `lang_definitions` VALUES (105451, 12201, 19, 'لم يتم ارسال البريد الالكتروني');
INSERT INTO `lang_definitions` VALUES (105452, 12202, 19, 'من');
INSERT INTO `lang_definitions` VALUES (105453, 12203, 19, 'قد تم الانشاء');
INSERT INTO `lang_definitions` VALUES (105454, 12204, 19, 'قد تم اعادة فتح');
INSERT INTO `lang_definitions` VALUES (105455, 12205, 19, 'تاريخ');
INSERT INTO `lang_definitions` VALUES (105456, 12206, 19, 'ليس رقم');
INSERT INTO `lang_definitions` VALUES (105457, 12207, 19, 'جاهز لاعادة الفوترة');
INSERT INTO `lang_definitions` VALUES (105458, 12208, 19, 'LLL:');
INSERT INTO `lang_definitions` VALUES (105459, 12209, 19, 'كثير');
INSERT INTO `lang_definitions` VALUES (105460, 12210, 19, 'رقم مرجع النسخة الأ صلية للميديكيد (Medicaid)');
INSERT INTO `lang_definitions` VALUES (105461, 12211, 19, 'الأدنى');
INSERT INTO `lang_definitions` VALUES (105462, 12212, 19, 'لا يوجد');
INSERT INTO `lang_definitions` VALUES (105463, 12213, 19, 'النتائج الغير متوقعة في العديد من المتصفحات قد تعني أن المخرجات قد تظهر على الشاشة بشكل مفاجئة وأن هناك فترات توقف طويلة من عدة ثوان حيث يبدو وكأن الأمور قد تعطلت.لكن ليس هذا هو الحال، سوف ترى في نهاية المطاف خرج البيانات سطرا سطرا. قد يكون هناك أرقام متسلسلة تظهر أدناه، وهذه إشارة إلى أنه على الرغم من عدم ظهور أي شيء, يوجد نشاط قائم حاليا. وستتخلل هذه الأرقام مع محتوى الفواتير وهذا أمر طبيعي.');
INSERT INTO `lang_definitions` VALUES (105464, 12214, 19, 'الوصف قد وصلت لحدود ال');
INSERT INTO `lang_definitions` VALUES (105465, 12215, 19, 'حتى');
INSERT INTO `lang_definitions` VALUES (105466, 12216, 19, 'فشل التحديث, غير موجود في قاعدة البيانات؟');
INSERT INTO `lang_definitions` VALUES (105467, 12217, 19, 'تم تحديدها كرسوم');
INSERT INTO `lang_definitions` VALUES (105468, 12218, 19, 'تم الوضع في قائمة الانتظار بنجاح.');
INSERT INTO `lang_definitions` VALUES (105469, 12219, 19, 'تُرك بدون زيارة!');
INSERT INTO `lang_definitions` VALUES (105470, 12220, 19, '\" للترميز');
INSERT INTO `lang_definitions` VALUES (105471, 12221, 19, '\"محددا في إعدادات PostCalendar!');
INSERT INTO `lang_definitions` VALUES (105472, 12222, 19, '# مسألة تأمينية/مالية');
INSERT INTO `lang_definitions` VALUES (105473, 12223, 19, '# من الحبوب:');
INSERT INTO `lang_definitions` VALUES (105474, 12224, 19, '$');
INSERT INTO `lang_definitions` VALUES (105475, 12225, 19, '$ تم الترميز');
INSERT INTO `lang_definitions` VALUES (105476, 12226, 19, '$ تسمية سنة/شهر/يوم:');
INSERT INTO `lang_definitions` VALUES (105477, 12227, 19, '%');
INSERT INTO `lang_definitions` VALUES (105478, 12228, 19, '٪ ملغاة < 24 ساعة');
INSERT INTO `lang_definitions` VALUES (105479, 12229, 19, '٪ ملغاة < 24 ساعة');
INSERT INTO `lang_definitions` VALUES (105480, 12230, 19, 'كان يجب أن تكون موجودة ولكنها ليست كذلك.');
INSERT INTO `lang_definitions` VALUES (105481, 12231, 19, '(% تطابق أي سلسلة، _ تطابق أي حرف)');
INSERT INTO `lang_definitions` VALUES (105482, 12232, 19, '([ctrl] + انقر لتحديد عدة مستلمين)');
INSERT INTO `lang_definitions` VALUES (105483, 12233, 19, '(رجوع)');
INSERT INTO `lang_definitions` VALUES (105484, 12234, 19, '(انقر للتعديل)');
INSERT INTO `lang_definitions` VALUES (105485, 12235, 19, '(ارسال بريد إلكتروني عاجل, في حين يتم ارسال VOIP آلي إلى مزود الخدمة لمزيد من المعالجة)');
INSERT INTO `lang_definitions` VALUES (105486, 12236, 19, '(أكثر)');
INSERT INTO `lang_definitions` VALUES (105487, 12237, 19, '(مريض جديد)');
INSERT INTO `lang_definitions` VALUES (105488, 12238, 19, '(الملاحظات والصلاحيات)');
INSERT INTO `lang_definitions` VALUES (105489, 12239, 19, '(ملاحظات المريض)');
INSERT INTO `lang_definitions` VALUES (105490, 12240, 19, '(اختر واحده من هذه, أو اكتب عنوان خاص بك)');
INSERT INTO `lang_definitions` VALUES (105491, 12241, 19, '(مفتاح Shift) انقر أو اسحب لتغيير القيمة');
INSERT INTO `lang_definitions` VALUES (105492, 12242, 19, '*تم التذكير');
INSERT INTO `lang_definitions` VALUES (105493, 12243, 19, '** يرجى نقل الجراحات إلى المشاكل!');
INSERT INTO `lang_definitions` VALUES (105494, 12244, 19, '*مطلوب');
INSERT INTO `lang_definitions` VALUES (105495, 12245, 19, 'الرسم البياني انسحب +');
INSERT INTO `lang_definitions` VALUES (105496, 12249, 19, '- لا شيء');
INSERT INTO `lang_definitions` VALUES (105497, 12251, 19, '-- الكل --');
INSERT INTO `lang_definitions` VALUES (105498, 12252, 19, '--تحديد المهمة--');
INSERT INTO `lang_definitions` VALUES (105499, 12253, 19, '.');
INSERT INTO `lang_definitions` VALUES (105500, 12254, 19, '0');
INSERT INTO `lang_definitions` VALUES (105501, 12255, 19, '0-10');
INSERT INTO `lang_definitions` VALUES (105502, 12256, 19, '0-24');
INSERT INTO `lang_definitions` VALUES (105503, 12259, 19, '1');
INSERT INTO `lang_definitions` VALUES (105504, 12260, 19, '1=امريكا الشمالية. انظر http://www.wtng.info/ لقائمة رموز باقي الدول');
INSERT INTO `lang_definitions` VALUES (105505, 12261, 19, 'يوم واحد من الان');
INSERT INTO `lang_definitions` VALUES (105506, 12262, 19, 'شهر واحد من الان');
INSERT INTO `lang_definitions` VALUES (105507, 12263, 19, 'اسبوع واحد من الان');
INSERT INTO `lang_definitions` VALUES (105508, 12264, 19, 'سنة واحدة من الان');
INSERT INTO `lang_definitions` VALUES (105509, 12265, 19, '1.راحة 2.ثلج لمدة يومين 3. ضغط، وترك خلع الملابس ما لم تتخدر القدم أو لون شاحب 4.رفع القدم والساق');
INSERT INTO `lang_definitions` VALUES (105510, 12266, 19, '11-14');
INSERT INTO `lang_definitions` VALUES (105511, 12267, 19, '12 ساعة');
INSERT INTO `lang_definitions` VALUES (105512, 12268, 19, '15-19');
INSERT INTO `lang_definitions` VALUES (105513, 12272, 19, '2');
INSERT INTO `lang_definitions` VALUES (105514, 12273, 19, 'يومين من الان');
INSERT INTO `lang_definitions` VALUES (105515, 12274, 19, 'شهرين من الان');
INSERT INTO `lang_definitions` VALUES (105516, 12275, 19, 'أسبوعين من الان');
INSERT INTO `lang_definitions` VALUES (105517, 12276, 19, 'سنتين من الان');
INSERT INTO `lang_definitions` VALUES (105518, 12277, 19, '2-20 سنه');
INSERT INTO `lang_definitions` VALUES (105519, 12278, 19, '20-24');
INSERT INTO `lang_definitions` VALUES (105520, 12287, 19, '2111-13');
INSERT INTO `lang_definitions` VALUES (105521, 12288, 19, '24 ساعة');
INSERT INTO `lang_definitions` VALUES (105522, 12289, 19, '25+');
INSERT INTO `lang_definitions` VALUES (105523, 12290, 19, '25-29');
INSERT INTO `lang_definitions` VALUES (105524, 12293, 19, 'الثاني');
INSERT INTO `lang_definitions` VALUES (105525, 12296, 19, '٣ أيام من الان');
INSERT INTO `lang_definitions` VALUES (105526, 12297, 19, '٣ أشهر');
INSERT INTO `lang_definitions` VALUES (105527, 12298, 19, '٣ أشهر من الان');
INSERT INTO `lang_definitions` VALUES (105528, 12299, 19, '٣ مرات يوميا');
INSERT INTO `lang_definitions` VALUES (105529, 12300, 19, '٣ أسابيع من الان');
INSERT INTO `lang_definitions` VALUES (105530, 12301, 19, '30-34');
INSERT INTO `lang_definitions` VALUES (105531, 12302, 19, '35-39');
INSERT INTO `lang_definitions` VALUES (105532, 12304, 19, 'الثالث');
INSERT INTO `lang_definitions` VALUES (105533, 12307, 19, '٤ أيام من الان');
INSERT INTO `lang_definitions` VALUES (105534, 12308, 19, '٤ أشهر');
INSERT INTO `lang_definitions` VALUES (105535, 12309, 19, '٤ أشهر من الان');
INSERT INTO `lang_definitions` VALUES (105536, 12310, 19, '٤ مرات يوميا');
INSERT INTO `lang_definitions` VALUES (105537, 12311, 19, '٤ أسابيع من الان');
INSERT INTO `lang_definitions` VALUES (105538, 12312, 19, '40-44');
INSERT INTO `lang_definitions` VALUES (105539, 12313, 19, '45+');
INSERT INTO `lang_definitions` VALUES (105540, 12314, 19, '465.9,عدوى الجهاز التنفسى العلوي');
INSERT INTO `lang_definitions` VALUES (105541, 12315, 19, '466.0, التهاب الشعب الهوائية الحاد');
INSERT INTO `lang_definitions` VALUES (105542, 12316, 19, '486.0, إلتهاب رئوي حاد');
INSERT INTO `lang_definitions` VALUES (105543, 12317, 19, '491.21, الدَّاءُ الرِّئَوِيُّ المُسِدُّ المُزْمِن - تفاقم');
INSERT INTO `lang_definitions` VALUES (105544, 12318, 19, '491.8, إلتهاب رئوي مزمن');
INSERT INTO `lang_definitions` VALUES (105545, 12319, 19, '493.92, ربو - تفاقم حاد');
INSERT INTO `lang_definitions` VALUES (105546, 12320, 19, '496.0, الدَّاءُ الرِّئَوِيُّ المُسِدُّ المُزْمِن');
INSERT INTO `lang_definitions` VALUES (105547, 12323, 19, 'الرابع');
INSERT INTO `lang_definitions` VALUES (105548, 12326, 19, '5 أيام من الان');
INSERT INTO `lang_definitions` VALUES (105549, 12327, 19, '5 أشهر من الان');
INSERT INTO `lang_definitions` VALUES (105550, 12328, 19, '5 أسابيع من الان');
INSERT INTO `lang_definitions` VALUES (105551, 12329, 19, '519.7, تَشَنُّجٌ قَصَبِيّ');
INSERT INTO `lang_definitions` VALUES (105552, 12331, 19, 'الخامس');
INSERT INTO `lang_definitions` VALUES (105553, 12333, 19, '6 أيام من الان');
INSERT INTO `lang_definitions` VALUES (105554, 12334, 19, '6 أشهر');
INSERT INTO `lang_definitions` VALUES (105555, 12335, 19, '6 أشهر من الان');
INSERT INTO `lang_definitions` VALUES (105556, 12336, 19, '6 أسابيع من الان');
INSERT INTO `lang_definitions` VALUES (105557, 12337, 19, 'السادس');
INSERT INTO `lang_definitions` VALUES (105558, 12339, 19, '7 أشهر من الان');
INSERT INTO `lang_definitions` VALUES (105559, 12340, 19, '8 أشهر من الان');
INSERT INTO `lang_definitions` VALUES (105560, 12342, 19, '824.0, كسر, الكَعْبُ الإِنْسِيّ, مغلق');
INSERT INTO `lang_definitions` VALUES (105561, 12343, 19, '824.2, كسر, الكَعْبُ الوَحْشِيّ , مغلق');
INSERT INTO `lang_definitions` VALUES (105562, 12344, 19, '824.6, كسر,كَعْبِيٌّ ثُلاَثِيّ , مغلق');
INSERT INTO `lang_definitions` VALUES (105563, 12345, 19, '825.32, كسر, زورقي كعبي');
INSERT INTO `lang_definitions` VALUES (105564, 12346, 19, '825.35, كسر, قاعدة عظمة مشط القدم الخامسة');
INSERT INTO `lang_definitions` VALUES (105565, 12347, 19, '845.00, التواء الكاحل');
INSERT INTO `lang_definitions` VALUES (105566, 12348, 19, '845.01, التواء رباط الدَّالِيَّة');
INSERT INTO `lang_definitions` VALUES (105567, 12349, 19, '845.02, التواء العَقِبِيّ الشَظَوِيّ');
INSERT INTO `lang_definitions` VALUES (105568, 12350, 19, '9 أشهر من الان');
INSERT INTO `lang_definitions` VALUES (105569, 12351, 19, '99212 أنشأت - بدون صعوبات');
INSERT INTO `lang_definitions` VALUES (105570, 12352, 19, '99213 أنشأت - بقليل من الصعوبة');
INSERT INTO `lang_definitions` VALUES (105571, 12353, 19, '< في غرفة الاختبارات');
INSERT INTO `lang_definitions` VALUES (105572, 12357, 19, '> خروج');
INSERT INTO `lang_definitions` VALUES (105573, 12359, 19, '؟');
INSERT INTO `lang_definitions` VALUES (105574, 12361, 19, '؟ عدم حضور');
INSERT INTO `lang_definitions` VALUES (105575, 12362, 19, '@ وصل');
INSERT INTO `lang_definitions` VALUES (105576, 12364, 19, '[تغيير طريقة العرض]');
INSERT INTO `lang_definitions` VALUES (105577, 12365, 19, '[تاريخ أخر مراجعة]');
INSERT INTO `lang_definitions` VALUES (105578, 12366, 19, '[يوم منذ أخر مراجعة]');
INSERT INTO `lang_definitions` VALUES (105579, 12367, 19, '[EOBs]');
INSERT INTO `lang_definitions` VALUES (105580, 12368, 19, '[تصدير OFX]');
INSERT INTO `lang_definitions` VALUES (105581, 12369, 19, '[غير موصى به]');
INSERT INTO `lang_definitions` VALUES (105582, 12370, 19, '[عدد المراجعات]');
INSERT INTO `lang_definitions` VALUES (105583, 12371, 19, '[التقارير]');
INSERT INTO `lang_definitions` VALUES (105584, 12372, 19, '[تحديد الكل]');
INSERT INTO `lang_definitions` VALUES (105585, 12373, 19, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (105586, 12374, 19, '[بدء معالجة الحزمة]');
INSERT INTO `lang_definitions` VALUES (105587, 12375, 19, '[عرض السجل]');
INSERT INTO `lang_definitions` VALUES (105588, 12376, 19, '[عرض تقرير قابل للطباعة]');
INSERT INTO `lang_definitions` VALUES (105589, 12378, 19, '_مدة تشغيل_الكمبيوتر_بالساعات');
INSERT INTO `lang_definitions` VALUES (105590, 12379, 19, '_مدة تشغيل_الكمبيوتر_بالدقائق');
INSERT INTO `lang_definitions` VALUES (105591, 12380, 19, '_منطقة_الكمبيوتر');
INSERT INTO `lang_definitions` VALUES (105592, 12381, 19, '~ وصول متأخر');
INSERT INTO `lang_definitions` VALUES (105593, 1, 20, 'A');
INSERT INTO `lang_definitions` VALUES (105594, 2, 20, 'Nummer, der identificerer betalingen');
INSERT INTO `lang_definitions` VALUES (105595, 4, 20, 'Patient certificat til administrator');
INSERT INTO `lang_definitions` VALUES (105596, 6, 20, 'Et klinisk dokument er vedhæftet.');
INSERT INTO `lang_definitions` VALUES (105597, 7, 20, 'Et klinisk dokument er vedhæftet.');
INSERT INTO `lang_definitions` VALUES (105598, 13, 20, 'En distributør skal anføres');
INSERT INTO `lang_definitions` VALUES (105599, 20, 20, 'Det er nødvendigt med et serienummer');
INSERT INTO `lang_definitions` VALUES (105600, 21, 20, 'Det er nødvendigt med et serienummer');
INSERT INTO `lang_definitions` VALUES (105601, 22, 20, 'Et \"lille\" bogstav');
INSERT INTO `lang_definitions` VALUES (105602, 28, 20, 'Et tal');
INSERT INTO `lang_definitions` VALUES (105603, 30, 20, 'Der findes allerede en patient med dette nummer');
INSERT INTO `lang_definitions` VALUES (105604, 31, 20, 'Der findes allerede en patient med dette navn');
INSERT INTO `lang_definitions` VALUES (105605, 32, 20, 'Der findes allerede en patient med dette CPRnummer');
INSERT INTO `lang_definitions` VALUES (105606, 36, 20, 'Et positivt tal vil vise dette antal tidligere aftaler på en widget på Patient Resume skærmen. (Et negativt tal vil vise aftalerne i faldende orden.)');
INSERT INTO `lang_definitions` VALUES (105607, 37, 20, 'Et positivt tal vil vise dette antal tidligere aftaler på en widget på Patient Resume skærmen.');
INSERT INTO `lang_definitions` VALUES (105608, 43, 20, 'En henvisning kilde kan specificeres for hvert besøg.');
INSERT INTO `lang_definitions` VALUES (105609, 44, 20, 'En relateret IPPF kode kræves.');
INSERT INTO `lang_definitions` VALUES (105610, 49, 20, 'En special karakter');
INSERT INTO `lang_definitions` VALUES (105611, 53, 20, 'En unik værdi der identificerer dette område, usynligt for brugeren');
INSERT INTO `lang_definitions` VALUES (105612, 56, 20, 'Et konsultation findes allerede for denne patient i dag. Klik på Annuller for at åbne den, eller OK for at fortsætte med at skabe en ny.');
INSERT INTO `lang_definitions` VALUES (105613, 57, 20, 'Før et måltid');
INSERT INTO `lang_definitions` VALUES (105614, 58, 20, 'Formiddag');
INSERT INTO `lang_definitions` VALUES (105615, 62, 20, 'AB');
INSERT INTO `lang_definitions` VALUES (105616, 63, 20, 'Forkortelse');
INSERT INTO `lang_definitions` VALUES (105617, 64, 20, 'Abcess:');
INSERT INTO `lang_definitions` VALUES (105618, 65, 20, 'Abdominal');
INSERT INTO `lang_definitions` VALUES (105619, 66, 20, 'Kan bære en vægt fire (4) trin:');
INSERT INTO `lang_definitions` VALUES (105620, 67, 20, 'Abn');
INSERT INTO `lang_definitions` VALUES (105621, 68, 20, 'ABN1');
INSERT INTO `lang_definitions` VALUES (105622, 70, 20, 'abnorm');
INSERT INTO `lang_definitions` VALUES (105623, 71, 20, 'abnorm blodprøve');
INSERT INTO `lang_definitions` VALUES (105624, 72, 20, 'Abnorm Hårvækst');
INSERT INTO `lang_definitions` VALUES (105625, 73, 20, 'Abnormt mammogram');
INSERT INTO `lang_definitions` VALUES (105626, 75, 20, 'Abort');
INSERT INTO `lang_definitions` VALUES (105627, 76, 20, 'Abortproblematik');
INSERT INTO `lang_definitions` VALUES (105628, 77, 20, 'Abortmetod');
INSERT INTO `lang_definitions` VALUES (105629, 78, 20, 'Abortrelaterede kategorier');
INSERT INTO `lang_definitions` VALUES (105630, 79, 20, 'Aborter');
INSERT INTO `lang_definitions` VALUES (105631, 82, 20, 'Om kalenderen');
INSERT INTO `lang_definitions` VALUES (105632, 85, 20, 'Fraværende ved diagnose');
INSERT INTO `lang_definitions` VALUES (105633, 87, 20, 'Acceptér opgaven');
INSERT INTO `lang_definitions` VALUES (105634, 89, 20, 'Acceptér betaling for');
INSERT INTO `lang_definitions` VALUES (105635, 90, 20, 'Acceptér betaling for');
INSERT INTO `lang_definitions` VALUES (105636, 91, 20, 'Accepterer opgaven');
INSERT INTO `lang_definitions` VALUES (105637, 93, 20, 'Adgangskontrol');
INSERT INTO `lang_definitions` VALUES (105638, 94, 20, 'Administration af adgangskontrolliste');
INSERT INTO `lang_definitions` VALUES (105639, 98, 20, 'Dato for adgang');
INSERT INTO `lang_definitions` VALUES (105640, 102, 20, 'Adgang ikke tilladt');
INSERT INTO `lang_definitions` VALUES (105641, 103, 20, 'Adgang ikke autoriseret');
INSERT INTO `lang_definitions` VALUES (105642, 105, 20, 'Få adgang til din patient Portal');
INSERT INTO `lang_definitions` VALUES (105643, 106, 20, 'Ulykke');
INSERT INTO `lang_definitions` VALUES (105644, 113, 20, 'Konto navn');
INSERT INTO `lang_definitions` VALUES (105645, 117, 20, 'Regnskab');
INSERT INTO `lang_definitions` VALUES (105646, 122, 20, 'Ømhed');
INSERT INTO `lang_definitions` VALUES (105647, 124, 20, 'Bekræftelse er nødvendig (ISA14)');
INSERT INTO `lang_definitions` VALUES (105648, 125, 20, 'Anerkendelser, Licenser og certificering');
INSERT INTO `lang_definitions` VALUES (105649, 126, 20, 'hjemmepleje');
INSERT INTO `lang_definitions` VALUES (105650, 127, 20, 'Hjemmepleje Administration');
INSERT INTO `lang_definitions` VALUES (105651, 129, 20, 'Hjemmepleje Administration ikke tilladt');
INSERT INTO `lang_definitions` VALUES (105652, 133, 20, 'Acne');
INSERT INTO `lang_definitions` VALUES (105653, 136, 20, 'Akt');
INSERT INTO `lang_definitions` VALUES (105654, 137, 20, 'aktivitetsdato');
INSERT INTO `lang_definitions` VALUES (105655, 138, 20, 'handling');
INSERT INTO `lang_definitions` VALUES (105656, 142, 20, 'Handlinger');
INSERT INTO `lang_definitions` VALUES (105657, 144, 20, 'Aktiver CCR/CCD Reporting');
INSERT INTO `lang_definitions` VALUES (105658, 148, 20, 'Aktiv');
INSERT INTO `lang_definitions` VALUES (105659, 150, 20, 'Aktiv alarm');
INSERT INTO `lang_definitions` VALUES (105660, 152, 20, 'Regler for aktiv alarm');
INSERT INTO `lang_definitions` VALUES (105661, 153, 20, 'Aktive alarmer/påmindelser');
INSERT INTO `lang_definitions` VALUES (105662, 158, 20, 'Aktiv aftale');
INSERT INTO `lang_definitions` VALUES (105663, 160, 20, 'Aktive lister');
INSERT INTO `lang_definitions` VALUES (105664, 162, 20, 'Aktiv patient');
INSERT INTO `lang_definitions` VALUES (105665, 163, 20, 'Aktive planer');
INSERT INTO `lang_definitions` VALUES (105666, 173, 20, 'Aktivitet');
INSERT INTO `lang_definitions` VALUES (105667, 174, 20, 'Aktivitetstype');
INSERT INTO `lang_definitions` VALUES (105668, 187, 20, 'Acuta in chronica');
INSERT INTO `lang_definitions` VALUES (105669, 189, 20, 'Tilføj');
INSERT INTO `lang_definitions` VALUES (105670, 190, 20, 'Tilføj');
INSERT INTO `lang_definitions` VALUES (105671, 191, 20, 'Tilføj');
INSERT INTO `lang_definitions` VALUES (105672, 192, 20, 'Tilføj et firma');
INSERT INTO `lang_definitions` VALUES (105673, 197, 20, 'Tilføj et apotek');
INSERT INTO `lang_definitions` VALUES (105674, 200, 20, 'Tilføj aktivitet til');
INSERT INTO `lang_definitions` VALUES (105675, 202, 20, 'Tilføj ny note');
INSERT INTO `lang_definitions` VALUES (105676, 203, 20, 'Tilføj som ny');
INSERT INTO `lang_definitions` VALUES (105677, 206, 20, 'Tilføj knapper');
INSERT INTO `lang_definitions` VALUES (105678, 208, 20, 'Tilføj Kategori');
INSERT INTO `lang_definitions` VALUES (105679, 209, 20, 'Tilføj konstant');
INSERT INTO `lang_definitions` VALUES (105680, 210, 20, 'Tilføj sammenhæng');
INSERT INTO `lang_definitions` VALUES (105681, 211, 20, 'Tilføj medbetaling');
INSERT INTO `lang_definitions` VALUES (105682, 212, 20, 'Tilføj kriteria');
INSERT INTO `lang_definitions` VALUES (105683, 213, 20, 'Tilføj special knap');
INSERT INTO `lang_definitions` VALUES (105684, 216, 20, 'Tilføj diagnose');
INSERT INTO `lang_definitions` VALUES (105685, 217, 20, 'Tilføj lægemiddel');
INSERT INTO `lang_definitions` VALUES (105686, 220, 20, 'Tilføj aftale');
INSERT INTO `lang_definitions` VALUES (105687, 221, 20, 'Tilføj aftale/note');
INSERT INTO `lang_definitions` VALUES (105688, 222, 20, 'Tilføj kllinik');
INSERT INTO `lang_definitions` VALUES (105689, 223, 20, 'Tilføj felt');
INSERT INTO `lang_definitions` VALUES (105690, 224, 20, 'Tilføj følgende linier til Apaches konfigurationsfil');
INSERT INTO `lang_definitions` VALUES (105691, 225, 20, 'Tilføj gruppe');
INSERT INTO `lang_definitions` VALUES (105692, 227, 20, 'Tilføj ICD kode');
INSERT INTO `lang_definitions` VALUES (105693, 228, 20, 'Tilføj vaccination');
INSERT INTO `lang_definitions` VALUES (105694, 229, 20, 'Tilføjelse ikke autoriseret!');
INSERT INTO `lang_definitions` VALUES (105695, 230, 20, 'Tilføj emne');
INSERT INTO `lang_definitions` VALUES (105696, 231, 20, 'Tilføj emne der skal følges');
INSERT INTO `lang_definitions` VALUES (105697, 232, 20, 'Tilføj sprog');
INSERT INTO `lang_definitions` VALUES (105698, 238, 20, 'Tilføj ny');
INSERT INTO `lang_definitions` VALUES (105699, 239, 20, 'Tilføj ny');
INSERT INTO `lang_definitions` VALUES (105700, 240, 20, 'Tilføj ny kategori');
INSERT INTO `lang_definitions` VALUES (105701, 241, 20, 'Tilføj nyt certifikat til Apaches konfigurationsfil');
INSERT INTO `lang_definitions` VALUES (105702, 242, 20, 'Tilføj ny komponent');
INSERT INTO `lang_definitions` VALUES (105703, 243, 20, 'Tilføj nye komponenter');
INSERT INTO `lang_definitions` VALUES (105704, 249, 20, 'Tilføj ny gruppe');
INSERT INTO `lang_definitions` VALUES (105705, 250, 20, 'Tilføj ny problemstilling');
INSERT INTO `lang_definitions` VALUES (105706, 251, 20, 'Tilføj nyt lod og transaktioner');
INSERT INTO `lang_definitions` VALUES (105707, 253, 20, 'Tilføj ny note');
INSERT INTO `lang_definitions` VALUES (105708, 254, 20, 'Tilføj ny note');
INSERT INTO `lang_definitions` VALUES (105709, 255, 20, 'Tilføj ny partner');
INSERT INTO `lang_definitions` VALUES (105710, 256, 20, 'Tilføj ny patient');
INSERT INTO `lang_definitions` VALUES (105711, 264, 20, 'Tilføj note');
INSERT INTO `lang_definitions` VALUES (105712, 268, 20, 'Tilføj ny patientjournal');
INSERT INTO `lang_definitions` VALUES (105713, 269, 20, 'Tilføj recept');
INSERT INTO `lang_definitions` VALUES (105714, 270, 20, 'Tilføj procedure');
INSERT INTO `lang_definitions` VALUES (105715, 271, 20, 'Tilføj behandlernummer');
INSERT INTO `lang_definitions` VALUES (105716, 274, 20, 'Tilføj regel');
INSERT INTO `lang_definitions` VALUES (105717, 277, 20, 'Tilføj til');
INSERT INTO `lang_definitions` VALUES (105718, 281, 20, 'Tilføj til medicinliste');
INSERT INTO `lang_definitions` VALUES (105719, 282, 20, 'Tilføj top niveau');
INSERT INTO `lang_definitions` VALUES (105720, 283, 20, 'Tilføj transaktion');
INSERT INTO `lang_definitions` VALUES (105721, 284, 20, 'Tilføj bruger');
INSERT INTO `lang_definitions` VALUES (105722, 285, 20, 'Tilføj bruger til gruppen');
INSERT INTO `lang_definitions` VALUES (105723, 287, 20, 'Tilføj/rediger eRx');
INSERT INTO `lang_definitions` VALUES (105724, 289, 20, 'Tilføj/ret patient transaktion');
INSERT INTO `lang_definitions` VALUES (105725, 290, 20, 'tilføjet');
INSERT INTO `lang_definitions` VALUES (105726, 293, 20, 'Det er ikke tilladt at tilføje oplysninger');
INSERT INTO `lang_definitions` VALUES (105727, 294, 20, 'Tilføjelse af emne der skal følges mislykkedes');
INSERT INTO `lang_definitions` VALUES (105728, 295, 20, 'Addison Syndrom');
INSERT INTO `lang_definitions` VALUES (105729, 296, 20, 'Addison Syndrom');
INSERT INTO `lang_definitions` VALUES (105730, 300, 20, 'Andre diagnoser');
INSERT INTO `lang_definitions` VALUES (105731, 305, 20, 'Yderligere historie');
INSERT INTO `lang_definitions` VALUES (105732, 306, 20, 'Yderligere historienoter');
INSERT INTO `lang_definitions` VALUES (105733, 307, 20, 'Yderligere info');
INSERT INTO `lang_definitions` VALUES (105734, 310, 20, 'Yderligere Lab');
INSERT INTO `lang_definitions` VALUES (105735, 311, 20, 'Yderligere noter');
INSERT INTO `lang_definitions` VALUES (105736, 314, 20, 'Yderligere noter:');
INSERT INTO `lang_definitions` VALUES (105737, 315, 20, 'Yderligere noter:');
INSERT INTO `lang_definitions` VALUES (105738, 317, 20, 'Yderligere røntgen noter:');
INSERT INTO `lang_definitions` VALUES (105739, 320, 20, 'kun tilføjelser');
INSERT INTO `lang_definitions` VALUES (105740, 322, 20, 'Adressebog');
INSERT INTO `lang_definitions` VALUES (105741, 323, 20, 'Adressebog');
INSERT INTO `lang_definitions` VALUES (105742, 324, 20, 'Adresse');
INSERT INTO `lang_definitions` VALUES (105743, 327, 20, 'Adressebog');
INSERT INTO `lang_definitions` VALUES (105744, 331, 20, 'Adressebogtyper');
INSERT INTO `lang_definitions` VALUES (105745, 342, 20, 'Adressent');
INSERT INTO `lang_definitions` VALUES (105746, 345, 20, 'Adj');
INSERT INTO `lang_definitions` VALUES (105747, 347, 20, 'Justér');
INSERT INTO `lang_definitions` VALUES (105748, 348, 20, 'Justering');
INSERT INTO `lang_definitions` VALUES (105749, 349, 20, 'Juster beløb');
INSERT INTO `lang_definitions` VALUES (105750, 350, 20, 'Årsag til justering');
INSERT INTO `lang_definitions` VALUES (105751, 352, 20, 'Koden justeringsværdi');
INSERT INTO `lang_definitions` VALUES (105752, 353, 20, 'Justeringer');
INSERT INTO `lang_definitions` VALUES (105753, 354, 20, 'Adm justering');
INSERT INTO `lang_definitions` VALUES (105754, 355, 20, 'Admin');
INSERT INTO `lang_definitions` VALUES (105755, 356, 20, 'Admin emailadresse');
INSERT INTO `lang_definitions` VALUES (105756, 357, 20, 'Administrer via');
INSERT INTO `lang_definitions` VALUES (105757, 359, 20, 'Administrreret');
INSERT INTO `lang_definitions` VALUES (105758, 360, 20, 'Administreret af');
INSERT INTO `lang_definitions` VALUES (105759, 363, 20, 'Sys.Administration');
INSERT INTO `lang_definitions` VALUES (105760, 366, 20, 'Administratorer');
INSERT INTO `lang_definitions` VALUES (105761, 367, 20, 'Administratorer kan gøre alt');
INSERT INTO `lang_definitions` VALUES (105762, 377, 20, 'Avanceret');
INSERT INTO `lang_definitions` VALUES (105763, 380, 20, 'Råd');
INSERT INTO `lang_definitions` VALUES (105764, 382, 20, 'Påvirker normal');
INSERT INTO `lang_definitions` VALUES (105765, 386, 20, 'Opkald efter arbejdstid');
INSERT INTO `lang_definitions` VALUES (105766, 390, 20, 'Klik på [View Log] for at søge efter fejl, efter at have gemt PDF.');
INSERT INTO `lang_definitions` VALUES (105767, 393, 20, 'Klik på [Se log] for at søge efter fejl, efter at have gemt TEXT fil(er).');
INSERT INTO `lang_definitions` VALUES (105768, 396, 20, 'Klik på [Se log] for at søge efter fejl, efter at have gemt din batch.');
INSERT INTO `lang_definitions` VALUES (105769, 398, 20, 'Herefter vil resultatsøjlen vise den valgte patient-ID eller 0 for ny patient');
INSERT INTO `lang_definitions` VALUES (105770, 399, 20, 'Klik [gem] når du er sikker på at informationen er korrekt.');
INSERT INTO `lang_definitions` VALUES (105771, 400, 20, 'efter hentning klik \"Import\" knappen');
INSERT INTO `lang_definitions` VALUES (105772, 404, 20, 'Plan for efterbehandling');
INSERT INTO `lang_definitions` VALUES (105773, 406, 20, 'Igen');
INSERT INTO `lang_definitions` VALUES (105774, 407, 20, 'Alder');
INSERT INTO `lang_definitions` VALUES (105775, 409, 20, 'Alder ved');
INSERT INTO `lang_definitions` VALUES (105776, 410, 20, 'Alderskategori');
INSERT INTO `lang_definitions` VALUES (105777, 411, 20, 'Alder - data udenfor interval');
INSERT INTO `lang_definitions` VALUES (105778, 413, 20, 'Aldersformat for \"alder fra\" er ikke gyldigt');
INSERT INTO `lang_definitions` VALUES (105779, 414, 20, 'Aldersformat for \"alder til\" er ikke gyldigt');
INSERT INTO `lang_definitions` VALUES (105780, 415, 20, 'Alder fra');
INSERT INTO `lang_definitions` VALUES (105781, 417, 20, 'max. alder');
INSERT INTO `lang_definitions` VALUES (105782, 418, 20, 'min. alder');
INSERT INTO `lang_definitions` VALUES (105783, 419, 20, 'Aldersinterval');
INSERT INTO `lang_definitions` VALUES (105784, 421, 20, 'Aldringssøjler:');
INSERT INTO `lang_definitions` VALUES (105785, 424, 20, 'Alkohol');
INSERT INTO `lang_definitions` VALUES (105786, 425, 20, 'Alkoholkonsumtion');
INSERT INTO `lang_definitions` VALUES (105787, 426, 20, 'Alkoholforbrug');
INSERT INTO `lang_definitions` VALUES (105788, 428, 20, 'Alarmoptælling');
INSERT INTO `lang_definitions` VALUES (105789, 435, 20, 'Alarmer');
INSERT INTO `lang_definitions` VALUES (105790, 440, 20, 'Alle');
INSERT INTO `lang_definitions` VALUES (105791, 441, 20, 'Alle');
INSERT INTO `lang_definitions` VALUES (105792, 443, 20, 'Alle (Collated Format A)');
INSERT INTO `lang_definitions` VALUES (105793, 444, 20, 'Alle (Collated Format B)');
INSERT INTO `lang_definitions` VALUES (105794, 445, 20, 'Alle (Cumulative)');
INSERT INTO `lang_definitions` VALUES (105795, 448, 20, 'Alle kategorier');
INSERT INTO `lang_definitions` VALUES (105796, 450, 20, 'Alle koder');
INSERT INTO `lang_definitions` VALUES (105797, 453, 20, 'Hele dagen');
INSERT INTO `lang_definitions` VALUES (105798, 454, 20, 'Heldagshændelse');
INSERT INTO `lang_definitions` VALUES (105799, 457, 20, 'Alle kliniker');
INSERT INTO `lang_definitions` VALUES (105800, 458, 20, 'Alle skader/prolemer/emner');
INSERT INTO `lang_definitions` VALUES (105801, 459, 20, 'Alle sprog tilladt');
INSERT INTO `lang_definitions` VALUES (105802, 462, 20, 'Hele eller en del af fornavn');
INSERT INTO `lang_definitions` VALUES (105803, 463, 20, 'Hele eller en del af efternavn');
INSERT INTO `lang_definitions` VALUES (105804, 466, 20, 'Alle patienter');
INSERT INTO `lang_definitions` VALUES (105805, 468, 20, 'Alle produkter');
INSERT INTO `lang_definitions` VALUES (105806, 469, 20, 'Alle leverandører');
INSERT INTO `lang_definitions` VALUES (105807, 470, 20, 'Alle kontrolleret og fundet negative');
INSERT INTO `lang_definitions` VALUES (105808, 475, 20, 'Alle emner');
INSERT INTO `lang_definitions` VALUES (105809, 478, 20, 'Alle brugere');
INSERT INTO `lang_definitions` VALUES (105810, 479, 20, 'Allergisk');
INSERT INTO `lang_definitions` VALUES (105811, 481, 20, 'Allergier');
INSERT INTO `lang_definitions` VALUES (105812, 484, 20, 'Allergier:');
INSERT INTO `lang_definitions` VALUES (105813, 485, 20, 'Allergi');
INSERT INTO `lang_definitions` VALUES (105814, 488, 20, 'Allergisk reaktion');
INSERT INTO `lang_definitions` VALUES (105815, 491, 20, 'Tildel');
INSERT INTO `lang_definitions` VALUES (105816, 492, 20, 'Tillad');
INSERT INTO `lang_definitions` VALUES (105817, 494, 20, 'Tillad alle tilgengængelige sprog som mulige ved login');
INSERT INTO `lang_definitions` VALUES (105818, 500, 20, 'Tillad e-mail');
INSERT INTO `lang_definitions` VALUES (105819, 501, 20, 'Tillad e-mail meddelelser');
INSERT INTO `lang_definitions` VALUES (105820, 502, 20, 'Tillad e-mail?');
INSERT INTO `lang_definitions` VALUES (105821, 512, 20, 'Tillad brev');
INSERT INTO `lang_definitions` VALUES (105822, 533, 20, 'Tillad patientportal');
INSERT INTO `lang_definitions` VALUES (105823, 541, 20, 'Tillad SMS-kontakt');
INSERT INTO `lang_definitions` VALUES (105824, 542, 20, 'Tillad SMS-kontakt?');
INSERT INTO `lang_definitions` VALUES (105825, 544, 20, 'Tillåt skickade händelser att bli aktiva omedelbart?');
INSERT INTO `lang_definitions` VALUES (105826, 545, 20, 'Tillad telefonmeddelser?');
INSERT INTO `lang_definitions` VALUES (105827, 547, 20, 'Tillad brugere at puplicere Globale begivenheder');
INSERT INTO `lang_definitions` VALUES (105828, 548, 20, 'Tillad brugere at puplicere personlige kalendere');
INSERT INTO `lang_definitions` VALUES (105829, 554, 20, 'Tillad telefonsvarerbeskeder');
INSERT INTO `lang_definitions` VALUES (105830, 555, 20, 'Tilladt');
INSERT INTO `lang_definitions` VALUES (105831, 556, 20, 'Tilladte sprog');
INSERT INTO `lang_definitions` VALUES (105832, 558, 20, 'Tilladt(c)');
INSERT INTO `lang_definitions` VALUES (105833, 566, 20, 'Eksisterer allerede');
INSERT INTO `lang_definitions` VALUES (105834, 568, 20, 'findes allerede');
INSERT INTO `lang_definitions` VALUES (105835, 570, 20, 'Findes allerede, vælg en anden ID');
INSERT INTO `lang_definitions` VALUES (105836, 571, 20, 'Findes allerede, vælg en anden titel');
INSERT INTO `lang_definitions` VALUES (105837, 573, 20, 'Alt Adress');
INSERT INTO `lang_definitions` VALUES (105838, 577, 20, 'Ændre');
INSERT INTO `lang_definitions` VALUES (105839, 584, 20, 'Alternativt kan du använda sökfunktionen sida att lägga upp en elektronisk remittance (X12 835) fil som du fått från din betalare eller clearingorganisationer. Du kan göra detta genom att klicka på knappen Bläddra och välj den fil som ska laddas upp och sedan klicka på Sök för att utföra de ladda upp och visa motsvarande fakturor. I detta fall är det andra parametrar som nämns ovan gäller inte och kommer att ignoreras. Överföring sparar filen menprocessar ännu inte innehållet - detta är gjort separat enligt nedan.');
INSERT INTO `lang_definitions` VALUES (105840, 586, 20, 'FM');
INSERT INTO `lang_definitions` VALUES (105841, 600, 20, 'Ändra Befintlig notering');
INSERT INTO `lang_definitions` VALUES (105842, 612, 20, 'AMEX');
INSERT INTO `lang_definitions` VALUES (105843, 614, 20, 'Beløb');
INSERT INTO `lang_definitions` VALUES (105844, 617, 20, 'Beløb opkrævet');
INSERT INTO `lang_definitions` VALUES (105845, 620, 20, 'Tidigere saldo');
INSERT INTO `lang_definitions` VALUES (105846, 621, 20, 'Beløb for dette besøg');
INSERT INTO `lang_definitions` VALUES (105847, 622, 20, 'Betalt beløb');
INSERT INTO `lang_definitions` VALUES (105848, 623, 20, 'Beløb:');
INSERT INTO `lang_definitions` VALUES (105849, 638, 20, 'En ofullständig GCAC fråga har inrättats och knutits. Någon kommer att behöva fylla i det senare.');
INSERT INTO `lang_definitions` VALUES (105850, 644, 20, 'Der er opstået en uventet fejl');
INSERT INTO `lang_definitions` VALUES (105851, 646, 20, 'Et stort bogstav');
INSERT INTO `lang_definitions` VALUES (105852, 648, 20, 'og');
INSERT INTO `lang_definitions` VALUES (105853, 649, 20, 'Og');
INSERT INTO `lang_definitions` VALUES (105854, 650, 20, 'OG');
INSERT INTO `lang_definitions` VALUES (105855, 651, 20, 'og');
INSERT INTO `lang_definitions` VALUES (105856, 652, 20, 'Og alle underordnede data? Denne handling vil blive logget');
INSERT INTO `lang_definitions` VALUES (105857, 654, 20, 'og udført');
INSERT INTO `lang_definitions` VALUES (105858, 657, 20, 'og årsagen er');
INSERT INTO `lang_definitions` VALUES (105859, 659, 20, 'Anemi');
INSERT INTO `lang_definitions` VALUES (105860, 660, 20, 'Ankel');
INSERT INTO `lang_definitions` VALUES (105861, 661, 20, 'Ankel og hæl');
INSERT INTO `lang_definitions` VALUES (105862, 662, 20, 'Ankel Utvärderingsformulär');
INSERT INTO `lang_definitions` VALUES (105863, 663, 20, 'AnkelProblem');
INSERT INTO `lang_definitions` VALUES (105864, 664, 20, 'Ankyloserande Sondlilitis');
INSERT INTO `lang_definitions` VALUES (105865, 665, 20, 'Ankyloserande Spondlilitis');
INSERT INTO `lang_definitions` VALUES (105866, 666, 20, 'Anorexia');
INSERT INTO `lang_definitions` VALUES (105867, 667, 20, 'En annan sak du kan göra i utstationering fönstret är att begära en sekundära fakturering. Om du markerar rutan innan du sparar, så kommer den ursprungliga fordran att öppnas igen och köas på faktureringssidan och sedan behandlas under nästa faktureringskörning.');
INSERT INTO `lang_definitions` VALUES (105868, 671, 20, 'før');
INSERT INTO `lang_definitions` VALUES (105869, 676, 20, 'Anus, ingen rektal ömhet');
INSERT INTO `lang_definitions` VALUES (105870, 677, 20, 'Angst');
INSERT INTO `lang_definitions` VALUES (105871, 679, 20, 'Valgfri');
INSERT INTO `lang_definitions` VALUES (105872, 682, 20, 'Enhver kategori');
INSERT INTO `lang_definitions` VALUES (105873, 688, 20, 'Varje del av en kod eller dess beskrivning');
INSERT INTO `lang_definitions` VALUES (105874, 689, 20, 'Varje del av önskad specialitet');
INSERT INTO `lang_definitions` VALUES (105875, 692, 20, 'Varje del av patientens namn, eller \"sista, första \" eller \"X-Y \"');
INSERT INTO `lang_definitions` VALUES (105876, 703, 20, 'Apnea');
INSERT INTO `lang_definitions` VALUES (105877, 710, 20, 'Udseende');
INSERT INTO `lang_definitions` VALUES (105878, 711, 20, 'Udseende:');
INSERT INTO `lang_definitions` VALUES (105879, 714, 20, 'Tilføj note');
INSERT INTO `lang_definitions` VALUES (105880, 716, 20, 'Tilføj til eksisterende note');
INSERT INTO `lang_definitions` VALUES (105881, 717, 20, 'Tilføj til denne note');
INSERT INTO `lang_definitions` VALUES (105882, 718, 20, 'Tilføj til denne note');
INSERT INTO `lang_definitions` VALUES (105883, 719, 20, 'Appendektomi');
INSERT INTO `lang_definitions` VALUES (105884, 729, 20, 'Foretag kun ændringer for denne begivenhed, for denne og alle fremtidige eller for alle begivenheder?');
INSERT INTO `lang_definitions` VALUES (105885, 730, 20, 'Påfør inficeret område');
INSERT INTO `lang_definitions` VALUES (105886, 731, 20, 'Påføres på huden');
INSERT INTO `lang_definitions` VALUES (105887, 732, 20, 'påføres');
INSERT INTO `lang_definitions` VALUES (105888, 734, 20, 'Aftale');
INSERT INTO `lang_definitions` VALUES (105889, 736, 20, 'Aftaledato');
INSERT INTO `lang_definitions` VALUES (105890, 744, 20, 'Påmindelse på aftale');
INSERT INTO `lang_definitions` VALUES (105891, 746, 20, 'Aftalestatus');
INSERT INTO `lang_definitions` VALUES (105892, 747, 20, 'Aftalestatus\'er');
INSERT INTO `lang_definitions` VALUES (105893, 748, 20, 'Aftale inden for');
INSERT INTO `lang_definitions` VALUES (105894, 749, 20, 'Aftale/begivenhed farve');
INSERT INTO `lang_definitions` VALUES (105895, 750, 20, 'Aftaler');
INSERT INTO `lang_definitions` VALUES (105896, 751, 20, 'Aftaler (Ikke nødvendigt at skrive)');
INSERT INTO `lang_definitions` VALUES (105897, 758, 20, 'Aftaler og besøg');
INSERT INTO `lang_definitions` VALUES (105898, 760, 20, 'Aftalerapport');
INSERT INTO `lang_definitions` VALUES (105899, 761, 20, 'Aftale- og besøgsrapport');
INSERT INTO `lang_definitions` VALUES (105900, 764, 20, 'Godkend');
INSERT INTO `lang_definitions` VALUES (105901, 767, 20, 'Godkendt');
INSERT INTO `lang_definitions` VALUES (105902, 768, 20, 'Godkendt begivenhed administration');
INSERT INTO `lang_definitions` VALUES (105903, 774, 20, 'Aftaler-Besøg');
INSERT INTO `lang_definitions` VALUES (105904, 776, 20, 'Aftaler');
INSERT INTO `lang_definitions` VALUES (105905, 779, 20, 'apr');
INSERT INTO `lang_definitions` VALUES (105906, 780, 20, 'April');
INSERT INTO `lang_definitions` VALUES (105907, 788, 20, 'Skal aftalekategoriens navn oversættes?');
INSERT INTO `lang_definitions` VALUES (105908, 790, 20, 'Er der udgifter for denne type?');
INSERT INTO `lang_definitions` VALUES (105909, 793, 20, 'Skal patientnoter oversættes?');
INSERT INTO `lang_definitions` VALUES (105910, 795, 20, 'Er du forberedt på at gennemføre et nyt GCAC-emne for denne aftale?');
INSERT INTO `lang_definitions` VALUES (105911, 798, 20, 'Er du sikker på du vil godkende disse begivenheder?');
INSERT INTO `lang_definitions` VALUES (105912, 801, 20, 'Er du sikker på du vil fjerne denne form?');
INSERT INTO `lang_definitions` VALUES (105913, 805, 20, 'Er du sikker på du ønsker at slette denne begivenhed?');
INSERT INTO `lang_definitions` VALUES (105914, 806, 20, 'Er du sikker på du ønsker at slette denne fil fra databasen?');
INSERT INTO `lang_definitions` VALUES (105915, 808, 20, 'Er du sikker på du ønsker at slette denne note?');
INSERT INTO `lang_definitions` VALUES (105916, 810, 20, 'Er du sikker på du ønsker at ændre disse begivenheder?');
INSERT INTO `lang_definitions` VALUES (105917, 811, 20, 'Er du sikker på du ønsker at skjule disse begivenheder?');
INSERT INTO `lang_definitions` VALUES (105918, 814, 20, 'Er du sikker på du ønsker at se disse begivenheder?');
INSERT INTO `lang_definitions` VALUES (105919, 815, 20, 'Er du sikker på du ønsker at slette hele den valgte gruppe?');
INSERT INTO `lang_definitions` VALUES (105920, 816, 20, 'Er du sikker på du vil slette hele listen?');
INSERT INTO `lang_definitions` VALUES (105921, 817, 20, 'Er du sikker på du vil slette feltet i?');
INSERT INTO `lang_definitions` VALUES (105922, 818, 20, 'Er du sikker på du vil slette de valgte felter?');
INSERT INTO `lang_definitions` VALUES (105923, 819, 20, 'Er du sikker på du vil forsætte disse handlinger?');
INSERT INTO `lang_definitions` VALUES (105924, 820, 20, 'Området er ikke specificeret');
INSERT INTO `lang_definitions` VALUES (105925, 822, 20, 'Armensk');
INSERT INTO `lang_definitions` VALUES (105926, 829, 20, 'Arrytmi');
INSERT INTO `lang_definitions` VALUES (105927, 830, 20, 'Artrit');
INSERT INTO `lang_definitions` VALUES (105928, 831, 20, 'Artrit / Degen ledsjukdom');
INSERT INTO `lang_definitions` VALUES (105929, 832, 20, 'Artrit / Degen ledsjukdom');
INSERT INTO `lang_definitions` VALUES (105930, 836, 20, 'som');
INSERT INTO `lang_definitions` VALUES (105931, 838, 20, 'pr.');
INSERT INTO `lang_definitions` VALUES (105932, 845, 20, 'Asiatisk');
INSERT INTO `lang_definitions` VALUES (105933, 848, 20, 'Vurdering');
INSERT INTO `lang_definitions` VALUES (105934, 853, 20, 'Tildelt til');
INSERT INTO `lang_definitions` VALUES (105935, 854, 20, 'Assistent');
INSERT INTO `lang_definitions` VALUES (105936, 861, 20, 'Astma');
INSERT INTO `lang_definitions` VALUES (105937, 862, 20, 'på');
INSERT INTO `lang_definitions` VALUES (105938, 866, 20, 'Vid Båtbenet');
INSERT INTO `lang_definitions` VALUES (105939, 867, 20, 'Vid Båtbenet:');
INSERT INTO `lang_definitions` VALUES (105940, 870, 20, 'Atletisk / Skada');
INSERT INTO `lang_definitions` VALUES (105941, 877, 20, 'OBS');
INSERT INTO `lang_definitions` VALUES (105942, 879, 20, 'OBS');
INSERT INTO `lang_definitions` VALUES (105943, 898, 20, 'Aug');
INSERT INTO `lang_definitions` VALUES (105944, 899, 20, 'August');
INSERT INTO `lang_definitions` VALUES (105945, 901, 20, 'Forfatter');
INSERT INTO `lang_definitions` VALUES (105946, 902, 20, 'Forfatter/noter');
INSERT INTO `lang_definitions` VALUES (105947, 924, 20, 'Tilladelser');
INSERT INTO `lang_definitions` VALUES (105948, 925, 20, 'At give tilladelse til');
INSERT INTO `lang_definitions` VALUES (105949, 926, 20, 'Tillad - alle aftaler');
INSERT INTO `lang_definitions` VALUES (105950, 928, 20, 'Tillad - mine aftaler');
INSERT INTO `lang_definitions` VALUES (105951, 934, 20, 'Tilladt');
INSERT INTO `lang_definitions` VALUES (105952, 936, 20, 'Kun tilladte');
INSERT INTO `lang_definitions` VALUES (105953, 941, 20, 'Send automatisk');
INSERT INTO `lang_definitions` VALUES (105954, 944, 20, 'opret automatisk ny aftale');
INSERT INTO `lang_definitions` VALUES (105955, 945, 20, 'Autogeneret');
INSERT INTO `lang_definitions` VALUES (105956, 955, 20, 'Automatisk');
INSERT INTO `lang_definitions` VALUES (105957, 962, 20, 'Automobilemedicin');
INSERT INTO `lang_definitions` VALUES (105958, 964, 20, 'Gemt automatisk');
INSERT INTO `lang_definitions` VALUES (105959, 967, 20, 'Tilgængelige kategorier');
INSERT INTO `lang_definitions` VALUES (105960, 971, 20, 'tilgængelige tider');
INSERT INTO `lang_definitions` VALUES (105961, 976, 20, 'Gennemsnitlig om måneden');
INSERT INTO `lang_definitions` VALUES (105962, 980, 20, 'Avulsion / avulsion fraktur');
INSERT INTO `lang_definitions` VALUES (105963, 981, 20, 'Avulsion laterala malleolus');
INSERT INTO `lang_definitions` VALUES (105964, 982, 20, 'Avulsion mediala malleolus');
INSERT INTO `lang_definitions` VALUES (105965, 983, 20, 'Medvetandebaserad');
INSERT INTO `lang_definitions` VALUES (105966, 985, 20, 'Axillär');
INSERT INTO `lang_definitions` VALUES (105967, 992, 20, '2 ggr/dag');
INSERT INTO `lang_definitions` VALUES (105968, 993, 20, 'Tilbage');
INSERT INTO `lang_definitions` VALUES (105969, 994, 20, 'Tilbage');
INSERT INTO `lang_definitions` VALUES (105970, 995, 20, 'Tilbage otte besøg');
INSERT INTO `lang_definitions` VALUES (105971, 996, 20, 'Tilbage elleve besøg');
INSERT INTO `lang_definitions` VALUES (105972, 997, 20, 'Tilbage fem besøg');
INSERT INTO `lang_definitions` VALUES (105973, 998, 20, 'Tilbage fire besøg');
INSERT INTO `lang_definitions` VALUES (105974, 999, 20, 'Tilbage ni besøg');
INSERT INTO `lang_definitions` VALUES (105975, 1000, 20, 'Tilbage et besøg');
INSERT INTO `lang_definitions` VALUES (105976, 1001, 20, 'Rygsmerter');
INSERT INTO `lang_definitions` VALUES (105977, 1002, 20, 'Ryggproblem');
INSERT INTO `lang_definitions` VALUES (105978, 1003, 20, 'Tilbage 7 besøg');
INSERT INTO `lang_definitions` VALUES (105979, 1004, 20, 'Tilbage 6 besøg');
INSERT INTO `lang_definitions` VALUES (105980, 1005, 20, 'Ryggkirurgi');
INSERT INTO `lang_definitions` VALUES (105981, 1006, 20, 'Tilbage 10 besøg');
INSERT INTO `lang_definitions` VALUES (105982, 1007, 20, 'Tilbage 3 besøg');
INSERT INTO `lang_definitions` VALUES (105983, 1013, 20, 'Tilbage til Patient');
INSERT INTO `lang_definitions` VALUES (105984, 1016, 20, 'Tilbage til oversigt');
INSERT INTO `lang_definitions` VALUES (105985, 1017, 20, 'Tilbage 12 besøg');
INSERT INTO `lang_definitions` VALUES (105986, 1018, 20, 'Tilbage 2 besøg');
INSERT INTO `lang_definitions` VALUES (105987, 1020, 20, 'Backup');
INSERT INTO `lang_definitions` VALUES (105988, 1022, 20, 'Backupfilen er oprettet. Sender nu download');
INSERT INTO `lang_definitions` VALUES (105989, 1025, 20, 'Dålig kontroll');
INSERT INTO `lang_definitions` VALUES (105990, 1026, 20, 'Kundförluster');
INSERT INTO `lang_definitions` VALUES (105991, 1027, 20, 'Bahasa Indonesia');
INSERT INTO `lang_definitions` VALUES (105992, 1028, 20, 'Bal');
INSERT INTO `lang_definitions` VALUES (105993, 1031, 20, 'Saldo');
INSERT INTO `lang_definitions` VALUES (105994, 1032, 20, 'saldo');
INSERT INTO `lang_definitions` VALUES (105995, 1034, 20, 'Restskuld');
INSERT INTO `lang_definitions` VALUES (105996, 1038, 20, 'Bankudtræk');
INSERT INTO `lang_definitions` VALUES (105997, 1042, 20, 'Basen av femte (5e) Metarsal');
INSERT INTO `lang_definitions` VALUES (105998, 1043, 20, 'Basen av femte (5e) Metarsal');
INSERT INTO `lang_definitions` VALUES (105999, 1051, 20, 'Batchkummunikationsverktyg');
INSERT INTO `lang_definitions` VALUES (106000, 1055, 20, 'Batchprocess påbörjad, detta kan ta ett tag.');
INSERT INTO `lang_definitions` VALUES (106001, 1057, 20, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (106002, 1063, 20, 'För att ID inte existerar');
INSERT INTO `lang_definitions` VALUES (106003, 1072, 20, 'Start');
INSERT INTO `lang_definitions` VALUES (106004, 1074, 20, 'Startdato');
INSERT INTO `lang_definitions` VALUES (106005, 1077, 20, 'Startdato for service ÅÅÅÅ-MM-DD');
INSERT INTO `lang_definitions` VALUES (106006, 1078, 20, 'Starttidspunkt for aftaler i kalender');
INSERT INTO `lang_definitions` VALUES (106007, 1082, 20, 'Rapningar');
INSERT INTO `lang_definitions` VALUES (106008, 1089, 20, 'Mellem');
INSERT INTO `lang_definitions` VALUES (106009, 1095, 20, 'Bilateral');
INSERT INTO `lang_definitions` VALUES (106010, 1096, 20, 'Bilateral');
INSERT INTO `lang_definitions` VALUES (106011, 1099, 20, 'Fakturadato:');
INSERT INTO `lang_definitions` VALUES (106012, 1101, 20, 'Faktura');
INSERT INTO `lang_definitions` VALUES (106013, 1102, 20, 'Faktureret');
INSERT INTO `lang_definitions` VALUES (106014, 1104, 20, 'Faktureringspreferenser');
INSERT INTO `lang_definitions` VALUES (106015, 1105, 20, 'Fakturering (skriv valgfri)');
INSERT INTO `lang_definitions` VALUES (106016, 1109, 20, 'Faktureringspreferenser Attn');
INSERT INTO `lang_definitions` VALUES (106017, 1111, 20, 'Betalningskod för begärd service');
INSERT INTO `lang_definitions` VALUES (106018, 1112, 20, 'Betalningskoder');
INSERT INTO `lang_definitions` VALUES (106019, 1113, 20, 'Fakturadata');
INSERT INTO `lang_definitions` VALUES (106020, 1114, 20, 'Fakturaafdeling');
INSERT INTO `lang_definitions` VALUES (106021, 1117, 20, 'Faktureringsinformation');
INSERT INTO `lang_definitions` VALUES (106022, 1118, 20, 'Faktureringsadresse');
INSERT INTO `lang_definitions` VALUES (106023, 1126, 20, 'Faktureringspreferenser Anmärkning');
INSERT INTO `lang_definitions` VALUES (106024, 1127, 20, 'Faktureringspreferenser anmärkning för');
INSERT INTO `lang_definitions` VALUES (106025, 1128, 20, 'Faktureringspreferenser Obs!');
INSERT INTO `lang_definitions` VALUES (106026, 1130, 20, 'Faktureringspreferenser kö resultat:');
INSERT INTO `lang_definitions` VALUES (106027, 1131, 20, 'Faktureringsrapport');
INSERT INTO `lang_definitions` VALUES (106028, 1133, 20, 'Fakturastatus = ikke faktureret');
INSERT INTO `lang_definitions` VALUES (106029, 1134, 20, 'Fakturerer til');
INSERT INTO `lang_definitions` VALUES (106030, 1138, 20, 'Biopsi');
INSERT INTO `lang_definitions` VALUES (106031, 1140, 20, 'Fødselsdato');
INSERT INTO `lang_definitions` VALUES (106032, 1144, 20, 'Sort');
INSERT INTO `lang_definitions` VALUES (106033, 1149, 20, 'Cancer i urinblåsan');
INSERT INTO `lang_definitions` VALUES (106034, 1150, 20, 'Infektioner i urinblåsan');
INSERT INTO `lang_definitions` VALUES (106035, 1152, 20, 'Blank formular');
INSERT INTO `lang_definitions` VALUES (106036, 1153, 20, 'Problem med blödning');
INSERT INTO `lang_definitions` VALUES (106037, 1154, 20, 'Blinda punkter');
INSERT INTO `lang_definitions` VALUES (106038, 1156, 20, 'Svullnad');
INSERT INTO `lang_definitions` VALUES (106039, 1158, 20, 'Blokeret');
INSERT INTO `lang_definitions` VALUES (106040, 1159, 20, 'Blod');
INSERT INTO `lang_definitions` VALUES (106041, 1160, 20, 'Blodtryk');
INSERT INTO `lang_definitions` VALUES (106042, 1161, 20, 'Blodtryk');
INSERT INTO `lang_definitions` VALUES (106043, 1162, 20, 'Næseblod');
INSERT INTO `lang_definitions` VALUES (106044, 1163, 20, 'Blått kors blå sköld');
INSERT INTO `lang_definitions` VALUES (106045, 1165, 20, 'Blå linjerna i denna rapport är informativa. Svarta linjer visar tidigare information. Gröna linjerna visar förändringar som tillämpats framgångsrikt. Röda linjer visar fel eller förändringar som inte har genomförts, och dessa måste behandlas manuellt. För närvarande nekas fordringar och betalning reverseringar inte hanteras automatiskt och det kommer att visas i rött.');
INSERT INTO `lang_definitions` VALUES (106046, 1166, 20, 'Dimsyn');
INSERT INTO `lang_definitions` VALUES (106047, 1167, 20, 'BMI');
INSERT INTO `lang_definitions` VALUES (106048, 1168, 20, 'BMI status');
INSERT INTO `lang_definitions` VALUES (106049, 1170, 20, 'kroppsregion');
INSERT INTO `lang_definitions` VALUES (106050, 1173, 20, 'Benømhed');
INSERT INTO `lang_definitions` VALUES (106051, 1174, 20, 'Benömhet: Malleoulus Medialis');
INSERT INTO `lang_definitions` VALUES (106052, 1175, 20, 'Boolean');
INSERT INTO `lang_definitions` VALUES (106053, 1177, 20, 'Bund');
INSERT INTO `lang_definitions` VALUES (106054, 1179, 20, 'Begge ører');
INSERT INTO `lang_definitions` VALUES (106055, 1180, 20, 'begge ører');
INSERT INTO `lang_definitions` VALUES (106056, 1183, 20, 'Bund');
INSERT INTO `lang_definitions` VALUES (106057, 1187, 20, 'RUTA 10 A. sysselsättningsrelaterad');
INSERT INTO `lang_definitions` VALUES (106058, 1189, 20, 'RUTA 10 B. Bilolycka');
INSERT INTO `lang_definitions` VALUES (106059, 1191, 20, 'RUTA 10 C. Övriga olyckor');
INSERT INTO `lang_definitions` VALUES (106060, 1211, 20, 'FÄLT 16. Datum, oförmögen till arbete från (åååå-mm-dd):');
INSERT INTO `lang_definitions` VALUES (106061, 1215, 20, 'FÄLT 16. Datum, oförmögen att arbeta tills (åååå-mm-dd):');
INSERT INTO `lang_definitions` VALUES (106062, 1227, 20, 'FÄLT 18. Sjukhusvistelse datum, från (åååå-mm-dd):');
INSERT INTO `lang_definitions` VALUES (106063, 1231, 20, 'FÄLT 18. Sjukhusvistelse till, datum (åååå-mm-dd):');
INSERT INTO `lang_definitions` VALUES (106064, 1235, 20, 'FÄLT 20. Ligger utanför Lab användas?');
INSERT INTO `lang_definitions` VALUES (106065, 1244, 20, 'Blodtryk');
INSERT INTO `lang_definitions` VALUES (106066, 1245, 20, 'BT Diastoliskt');
INSERT INTO `lang_definitions` VALUES (106067, 1246, 20, 'BT Systoliskt');
INSERT INTO `lang_definitions` VALUES (106068, 1248, 20, 'BPD');
INSERT INTO `lang_definitions` VALUES (106069, 1252, 20, 'Puls');
INSERT INTO `lang_definitions` VALUES (106070, 1254, 20, 'Brasiliansk portugisiska');
INSERT INTO `lang_definitions` VALUES (106071, 1255, 20, 'Bryst');
INSERT INTO `lang_definitions` VALUES (106072, 1256, 20, 'Bröst Biopsi');
INSERT INTO `lang_definitions` VALUES (106073, 1257, 20, 'Bröstlossning');
INSERT INTO `lang_definitions` VALUES (106074, 1258, 20, 'Bröstsjukdom');
INSERT INTO `lang_definitions` VALUES (106075, 1259, 20, 'Bröstundersökning');
INSERT INTO `lang_definitions` VALUES (106076, 1260, 20, 'Bröstvävnad');
INSERT INTO `lang_definitions` VALUES (106077, 1262, 20, 'Andningsljud:');
INSERT INTO `lang_definitions` VALUES (106078, 1265, 20, 'Brutna ben');
INSERT INTO `lang_definitions` VALUES (106079, 1267, 20, 'Bronkit Formulär');
INSERT INTO `lang_definitions` VALUES (106080, 1270, 20, 'Søg');
INSERT INTO `lang_definitions` VALUES (106081, 1271, 20, 'Søg efter journal');
INSERT INTO `lang_definitions` VALUES (106082, 1272, 20, 'Blåmärken / hematom');
INSERT INTO `lang_definitions` VALUES (106083, 1276, 20, 'Utbuktningen Höger:');
INSERT INTO `lang_definitions` VALUES (106084, 1278, 20, 'Sveda vid vattenkastning');
INSERT INTO `lang_definitions` VALUES (106085, 1279, 20, 'Sveda vid urinering');
INSERT INTO `lang_definitions` VALUES (106086, 1282, 20, 'Optaget');
INSERT INTO `lang_definitions` VALUES (106087, 1283, 20, 'Men endnu ikke gennemført');
INSERT INTO `lang_definitions` VALUES (106088, 1285, 20, 'Skinkan + S.I.');
INSERT INTO `lang_definitions` VALUES (106089, 1286, 20, 'via');
INSERT INTO `lang_definitions` VALUES (106090, 1287, 20, 'Via');
INSERT INTO `lang_definitions` VALUES (106091, 1293, 20, 'Via munden');
INSERT INTO `lang_definitions` VALUES (106092, 1295, 20, 'via/ kilden');
INSERT INTO `lang_definitions` VALUES (106093, 1296, 20, 'Via:');
INSERT INTO `lang_definitions` VALUES (106094, 1299, 20, 'C');
INSERT INTO `lang_definitions` VALUES (106095, 1302, 20, 'Cache, livstid (i sekunder)');
INSERT INTO `lang_definitions` VALUES (106096, 1303, 20, 'Cache template output?');
INSERT INTO `lang_definitions` VALUES (106097, 1305, 20, 'Koffein konsumsion');
INSERT INTO `lang_definitions` VALUES (106098, 1306, 20, 'Kalender');
INSERT INTO `lang_definitions` VALUES (106099, 1307, 20, 'Kalender sluttid');
INSERT INTO `lang_definitions` VALUES (106100, 1308, 20, 'Kalenderinterval');
INSERT INTO `lang_definitions` VALUES (106101, 1309, 20, 'Kalenderskærm');
INSERT INTO `lang_definitions` VALUES (106102, 1310, 20, 'Indstillinger for kalender');
INSERT INTO `lang_definitions` VALUES (106103, 1312, 20, 'Kalender starttid');
INSERT INTO `lang_definitions` VALUES (106104, 1313, 20, 'Kalender UI');
INSERT INTO `lang_definitions` VALUES (106105, 1314, 20, 'Se kalender');
INSERT INTO `lang_definitions` VALUES (106106, 1317, 20, 'Call to addForm() goes here.<br>');
INSERT INTO `lang_definitions` VALUES (106107, 1321, 20, 'Kalorier');
INSERT INTO `lang_definitions` VALUES (106108, 1323, 20, 'CAMOS');
INSERT INTO `lang_definitions` VALUES (106109, 1329, 20, 'Afbryd');
INSERT INTO `lang_definitions` VALUES (106110, 1332, 20, 'Fortryd ændringer');
INSERT INTO `lang_definitions` VALUES (106111, 1333, 20, 'Aflyst');
INSERT INTO `lang_definitions` VALUES (106112, 1335, 20, 'Cancer');
INSERT INTO `lang_definitions` VALUES (106113, 1340, 20, 'Kan ikke tilføje denne indgang da den allerede eksisterer!');
INSERT INTO `lang_definitions` VALUES (106114, 1341, 20, 'Kan ikke tilføje/opdatere denne indgang da der allerede findes en kopi');
INSERT INTO `lang_definitions` VALUES (106115, 1343, 20, 'Kan ikke konverteres til JPEG. Måske er ImageMagick ikke installeret?');
INSERT INTO `lang_definitions` VALUES (106116, 1345, 20, 'Kan ikke vises inline fordi typen ikke understøttes af browseren');
INSERT INTO `lang_definitions` VALUES (106117, 1346, 20, 'Kan ikke vises inline fordi typen ikke understøttes af browseren');
INSERT INTO `lang_definitions` VALUES (106118, 1347, 20, 'Kan ikke vises inline fordi typen ikke understøttes af browseren');
INSERT INTO `lang_definitions` VALUES (106119, 1349, 20, 'Ikke muligt at oprette');
INSERT INTO `lang_definitions` VALUES (106120, 1354, 20, 'Ikke muligt at finde');
INSERT INTO `lang_definitions` VALUES (106121, 1355, 20, 'Ikke muligt at finde en destination for filnavn');
INSERT INTO `lang_definitions` VALUES (106122, 1358, 20, 'Kan inte hitta patienten från SQL-Reskontra kundnummer');
INSERT INTO `lang_definitions` VALUES (106123, 1359, 20, 'Kan ej hitta postscript dokumenthänvisning i');
INSERT INTO `lang_definitions` VALUES (106124, 1360, 20, 'Kan inte hitta patienten från SQL-Reskontra arbetsgivare');
INSERT INTO `lang_definitions` VALUES (106125, 1363, 20, 'Kan ikke åbnes');
INSERT INTO `lang_definitions` VALUES (106126, 1367, 20, 'Kan ikke læses');
INSERT INTO `lang_definitions` VALUES (106127, 1369, 20, 'Kan ikke opdatere fordi du ikke ændrer i en eksisterende indgang');
INSERT INTO `lang_definitions` VALUES (106128, 1372, 20, 'kapsel');
INSERT INTO `lang_definitions` VALUES (106129, 1373, 20, 'Kort');
INSERT INTO `lang_definitions` VALUES (106130, 1382, 20, 'Cardiac Katetrisering');
INSERT INTO `lang_definitions` VALUES (106131, 1383, 20, 'Cardiac Echo');
INSERT INTO `lang_definitions` VALUES (106132, 1384, 20, 'Kardiovaskulära');
INSERT INTO `lang_definitions` VALUES (106133, 1396, 20, 'Cartilage / chondral / skiva skador');
INSERT INTO `lang_definitions` VALUES (106134, 1397, 20, 'Cartilago skada');
INSERT INTO `lang_definitions` VALUES (106135, 1400, 20, 'kontanter');
INSERT INTO `lang_definitions` VALUES (106136, 1401, 20, 'Kontanter');
INSERT INTO `lang_definitions` VALUES (106137, 1403, 20, 'Inbetalningar av Provider');
INSERT INTO `lang_definitions` VALUES (106138, 1406, 20, 'Kataraktkirurgi');
INSERT INTO `lang_definitions` VALUES (106139, 1407, 20, 'Katarakt');
INSERT INTO `lang_definitions` VALUES (106140, 1408, 20, 'Kategorier');
INSERT INTO `lang_definitions` VALUES (106141, 1409, 20, 'Kategorier for');
INSERT INTO `lang_definitions` VALUES (106142, 1410, 20, 'Kategori');
INSERT INTO `lang_definitions` VALUES (106143, 1411, 20, 'kategori');
INSERT INTO `lang_definitions` VALUES (106144, 1412, 20, 'Kategori');
INSERT INTO `lang_definitions` VALUES (106145, 1416, 20, 'Kategori Detaljer');
INSERT INTO `lang_definitions` VALUES (106146, 1417, 20, 'Kategori grænser');
INSERT INTO `lang_definitions` VALUES (106147, 1418, 20, 'kategorinavn');
INSERT INTO `lang_definitions` VALUES (106148, 1419, 20, 'Kategorinavn er tomt');
INSERT INTO `lang_definitions` VALUES (106149, 1420, 20, 'Kategori / Titel');
INSERT INTO `lang_definitions` VALUES (106150, 1421, 20, 'Kaukasisk');
INSERT INTO `lang_definitions` VALUES (106151, 1445, 20, 'Mobiltelefon');
INSERT INTO `lang_definitions` VALUES (106152, 1447, 20, 'Mobiltelefonnummer');
INSERT INTO `lang_definitions` VALUES (106153, 1449, 20, 'Central Certifiering');
INSERT INTO `lang_definitions` VALUES (106154, 1458, 20, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (106155, 1459, 20, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (106156, 1460, 20, 'Ændre');
INSERT INTO `lang_definitions` VALUES (106157, 1461, 20, 'Ændre');
INSERT INTO `lang_definitions` VALUES (106158, 1462, 20, 'Ændre aktivitet');
INSERT INTO `lang_definitions` VALUES (106159, 1467, 20, 'Förändrat synsätt');
INSERT INTO `lang_definitions` VALUES (106160, 1475, 20, 'Ændret');
INSERT INTO `lang_definitions` VALUES (106161, 1476, 20, 'Förändrad tarm');
INSERT INTO `lang_definitions` VALUES (106162, 1484, 20, 'Karaktertræk');
INSERT INTO `lang_definitions` VALUES (106163, 1486, 20, 'Afgift');
INSERT INTO `lang_definitions` VALUES (106164, 1490, 20, 'Afgifter');
INSERT INTO `lang_definitions` VALUES (106165, 1491, 20, 'Diagram');
INSERT INTO `lang_definitions` VALUES (106166, 1492, 20, 'Diagram aktivitet');
INSERT INTO `lang_definitions` VALUES (106167, 1493, 20, 'Diagram Check-in/out Aktivitetsrapport');
INSERT INTO `lang_definitions` VALUES (106168, 1495, 20, 'Diagram ID');
INSERT INTO `lang_definitions` VALUES (106169, 1496, 20, 'Diagram-id:');
INSERT INTO `lang_definitions` VALUES (106170, 1498, 20, 'Diagram Läge Aktivitet');
INSERT INTO `lang_definitions` VALUES (106171, 1499, 20, 'Diagramanteckning');
INSERT INTO `lang_definitions` VALUES (106172, 1500, 20, 'Journalnummer');
INSERT INTO `lang_definitions` VALUES (106173, 1502, 20, 'Diagramlagringsplats');
INSERT INTO `lang_definitions` VALUES (106174, 1504, 20, 'Diagramtracker');
INSERT INTO `lang_definitions` VALUES (106175, 1505, 20, 'Diagramtrk.');
INSERT INTO `lang_definitions` VALUES (106176, 1508, 20, 'Diagram utcheckat');
INSERT INTO `lang_definitions` VALUES (106177, 1513, 20, 'Kontrol');
INSERT INTO `lang_definitions` VALUES (106178, 1514, 20, 'Kontrol');
INSERT INTO `lang_definitions` VALUES (106179, 1515, 20, 'Kontroller alle');
INSERT INTO `lang_definitions` VALUES (106180, 1517, 20, 'kontroler beløb');
INSERT INTO `lang_definitions` VALUES (106181, 1519, 20, 'Kontroldato');
INSERT INTO `lang_definitions` VALUES (106182, 1527, 20, 'checka in till');
INSERT INTO `lang_definitions` VALUES (106183, 1528, 20, 'Kontroller input data');
INSERT INTO `lang_definitions` VALUES (106184, 1533, 20, 'Kontrollnummer');
INSERT INTO `lang_definitions` VALUES (106185, 1536, 20, 'kontrolbetaling');
INSERT INTO `lang_definitions` VALUES (106186, 1545, 20, 'Kontrollera / EOB Datum:');
INSERT INTO `lang_definitions` VALUES (106187, 1547, 20, 'Kontrollera / EOB Antal:');
INSERT INTO `lang_definitions` VALUES (106188, 1548, 20, 'kontrol/ ref. nummer');
INSERT INTO `lang_definitions` VALUES (106189, 1549, 20, 'kontrol/ ref. nummer');
INSERT INTO `lang_definitions` VALUES (106190, 1550, 20, 'Afkrydsningsboks liste');
INSERT INTO `lang_definitions` VALUES (106191, 1551, 20, 'Afkrydsningsboks liste');
INSERT INTO `lang_definitions` VALUES (106192, 1552, 20, 'Afkrydsningsboks m/tekst');
INSERT INTO `lang_definitions` VALUES (106193, 1553, 20, 'Afkrydsningsboks m/tekst');
INSERT INTO `lang_definitions` VALUES (106194, 1557, 20, 'Kontrolleret');
INSERT INTO `lang_definitions` VALUES (106195, 1559, 20, 'Markerede felter = ja, tomme felter = nej');
INSERT INTO `lang_definitions` VALUES (106196, 1568, 20, 'Kasse');
INSERT INTO `lang_definitions` VALUES (106197, 1570, 20, 'Bröst');
INSERT INTO `lang_definitions` VALUES (106198, 1571, 20, 'Chest CTAB');
INSERT INTO `lang_definitions` VALUES (106199, 1572, 20, 'Bröstsmärtor');
INSERT INTO `lang_definitions` VALUES (106200, 1573, 20, 'Bröstsmärta:');
INSERT INTO `lang_definitions` VALUES (106201, 1574, 20, 'Bröstsmärtor');
INSERT INTO `lang_definitions` VALUES (106202, 1576, 20, 'Chg');
INSERT INTO `lang_definitions` VALUES (106203, 1581, 20, 'Barn');
INSERT INTO `lang_definitions` VALUES (106204, 1584, 20, 'Frossbrytningar');
INSERT INTO `lang_definitions` VALUES (106205, 1585, 20, 'Kinesiska');
INSERT INTO `lang_definitions` VALUES (106206, 1589, 20, 'Valg');
INSERT INTO `lang_definitions` VALUES (106207, 1590, 20, 'Cholecystectomia');
INSERT INTO `lang_definitions` VALUES (106208, 1592, 20, 'Cholecystotomia');
INSERT INTO `lang_definitions` VALUES (106209, 1593, 20, 'Vælg');
INSERT INTO `lang_definitions` VALUES (106210, 1596, 20, 'Välj ett avsnitt och klicka på ett objekt i den; Då, i den andra sektionen visas relaterade objekt. Klicka på avsnitten om du vill lägga till och ta bort relationer.');
INSERT INTO `lang_definitions` VALUES (106211, 1597, 20, 'Vælg kriterier');
INSERT INTO `lang_definitions` VALUES (106212, 1605, 20, 'Vælg liste');
INSERT INTO `lang_definitions` VALUES (106213, 1611, 20, 'Vælg printformat for denne aftalerapport');
INSERT INTO `lang_definitions` VALUES (106214, 1615, 20, 'Kronisk bronkit');
INSERT INTO `lang_definitions` VALUES (106215, 1616, 20, 'Kronisk ledvärk');
INSERT INTO `lang_definitions` VALUES (106216, 1620, 20, 'Kronisk synovit / effusion / ledvärk / gikt');
INSERT INTO `lang_definitions` VALUES (106217, 1622, 20, 'Kronisk / Återkommande');
INSERT INTO `lang_definitions` VALUES (106218, 1625, 20, 'Leverciros');
INSERT INTO `lang_definitions` VALUES (106219, 1626, 20, 'Levercirros');
INSERT INTO `lang_definitions` VALUES (106220, 1627, 20, 'By');
INSERT INTO `lang_definitions` VALUES (106221, 1629, 20, 'Bynavn');
INSERT INTO `lang_definitions` VALUES (106222, 1630, 20, 'By, stat');
INSERT INTO `lang_definitions` VALUES (106223, 1631, 20, 'By, postnummer');
INSERT INTO `lang_definitions` VALUES (106224, 1633, 20, 'By');
INSERT INTO `lang_definitions` VALUES (106225, 1634, 20, 'Krav');
INSERT INTO `lang_definitions` VALUES (106226, 1635, 20, 'Påstå');
INSERT INTO `lang_definitions` VALUES (106227, 1645, 20, 'Klassificering');
INSERT INTO `lang_definitions` VALUES (106228, 1646, 20, 'Tøm');
INSERT INTO `lang_definitions` VALUES (106229, 1651, 20, 'Slet alt');
INSERT INTO `lang_definitions` VALUES (106230, 1655, 20, 'Tøm justering');
INSERT INTO `lang_definitions` VALUES (106231, 1659, 20, 'Rensa Smarty Cache');
INSERT INTO `lang_definitions` VALUES (106232, 1662, 20, 'CLIA Antal');
INSERT INTO `lang_definitions` VALUES (106233, 1663, 20, 'Klik');
INSERT INTO `lang_definitions` VALUES (106234, 1672, 20, 'Klik for mere');
INSERT INTO `lang_definitions` VALUES (106235, 1678, 20, 'Tryk her');
INSERT INTO `lang_definitions` VALUES (106236, 1679, 20, 'Tryk her for at tilføje ny patient');
INSERT INTO `lang_definitions` VALUES (106237, 1682, 20, 'Tryk her for at vælge en dato');
INSERT INTO `lang_definitions` VALUES (106238, 1683, 20, 'Tryk her for at vælge dato og tidspunkt');
INSERT INTO `lang_definitions` VALUES (106239, 1684, 20, 'Tryk her for at vælge startdato');
INSERT INTO `lang_definitions` VALUES (106240, 1707, 20, 'tryk her for at søge');
INSERT INTO `lang_definitions` VALUES (106241, 1710, 20, 'Klicka här för att uppdatera prioritet, kategori och smeknamn inställningar');
INSERT INTO `lang_definitions` VALUES (106242, 1714, 20, 'Tryk her for at se alle');
INSERT INTO `lang_definitions` VALUES (106243, 1718, 20, 'Tryk her for at se patientdetaljer');
INSERT INTO `lang_definitions` VALUES (106244, 1719, 20, 'Tryk her for at se dem alle');
INSERT INTO `lang_definitions` VALUES (106245, 1780, 20, 'Tryk for at oprette en ny konsultation');
INSERT INTO `lang_definitions` VALUES (106246, 1785, 20, 'Tryk for at downloade');
INSERT INTO `lang_definitions` VALUES (106247, 1786, 20, 'Tryk for at ændre');
INSERT INTO `lang_definitions` VALUES (106248, 1788, 20, 'Tryk for at ændre denne begivenhed');
INSERT INTO `lang_definitions` VALUES (106249, 1790, 20, 'Tryk for at generere rapporten');
INSERT INTO `lang_definitions` VALUES (106250, 1800, 20, 'Tryk for at printe');
INSERT INTO `lang_definitions` VALUES (106251, 1801, 20, 'Klicka för att lägga till/få ny lot');
INSERT INTO `lang_definitions` VALUES (106252, 1805, 20, 'Tryk for at vælge');
INSERT INTO `lang_definitions` VALUES (106253, 1806, 20, 'Tryk for at vælge');
INSERT INTO `lang_definitions` VALUES (106254, 1814, 20, 'Tryk for at vælge eller ændre diagnose');
INSERT INTO `lang_definitions` VALUES (106255, 1816, 20, 'Tryk for at vælge patient');
INSERT INTO `lang_definitions` VALUES (106256, 1817, 20, 'Tryk for at vælge en relateret kode');
INSERT INTO `lang_definitions` VALUES (106257, 1822, 20, 'Tryk for at vælge den ønskede procedure');
INSERT INTO `lang_definitions` VALUES (106258, 1831, 20, 'Tryk for at se');
INSERT INTO `lang_definitions` VALUES (106259, 1833, 20, 'Tryk for at se eller ændre');
INSERT INTO `lang_definitions` VALUES (106260, 1834, 20, 'Tryk for at se/ændre');
INSERT INTO `lang_definitions` VALUES (106261, 1839, 20, 'Tryk:');
INSERT INTO `lang_definitions` VALUES (106262, 1866, 20, 'Patientkopi');
INSERT INTO `lang_definitions` VALUES (106263, 1869, 20, 'Annamnese');
INSERT INTO `lang_definitions` VALUES (106264, 1873, 20, 'Klientprofil - Ny Klient');
INSERT INTO `lang_definitions` VALUES (106265, 1874, 20, 'Klientprofil - Unika klienter');
INSERT INTO `lang_definitions` VALUES (106266, 1878, 20, 'patienter');
INSERT INTO `lang_definitions` VALUES (106267, 1879, 20, 'Klinik');
INSERT INTO `lang_definitions` VALUES (106268, 1880, 20, 'Klinikkopi');
INSERT INTO `lang_definitions` VALUES (106269, 1881, 20, 'Kliniken Daily Record');
INSERT INTO `lang_definitions` VALUES (106270, 1882, 20, 'Klinik ID');
INSERT INTO `lang_definitions` VALUES (106271, 1883, 20, 'klinisk');
INSERT INTO `lang_definitions` VALUES (106272, 1889, 20, 'Kliniske planer');
INSERT INTO `lang_definitions` VALUES (106273, 1893, 20, 'Kliniske påmindelser');
INSERT INTO `lang_definitions` VALUES (106274, 1897, 20, 'kliniske rapporter');
INSERT INTO `lang_definitions` VALUES (106275, 1902, 20, 'Kliniske regler');
INSERT INTO `lang_definitions` VALUES (106276, 1915, 20, 'Klinikmedverkande');
INSERT INTO `lang_definitions` VALUES (106277, 1918, 20, 'Luk');
INSERT INTO `lang_definitions` VALUES (106278, 1925, 20, 'Luk vinduet');
INSERT INTO `lang_definitions` VALUES (106279, 1927, 20, 'Lukket');
INSERT INTO `lang_definitions` VALUES (106280, 1928, 20, 'cm');
INSERT INTO `lang_definitions` VALUES (106281, 1940, 20, 'CMS-id');
INSERT INTO `lang_definitions` VALUES (106282, 1955, 20, 'CN2-12 intakta');
INSERT INTO `lang_definitions` VALUES (106283, 1964, 20, 'Kode');
INSERT INTO `lang_definitions` VALUES (106284, 1965, 20, 'kode');
INSERT INTO `lang_definitions` VALUES (106285, 1967, 20, 'kodesøger');
INSERT INTO `lang_definitions` VALUES (106286, 1968, 20, 'Kode skal være mindre end 2 bogstaver');
INSERT INTO `lang_definitions` VALUES (106287, 1969, 20, 'kode eller tegn for at indikere kurs');
INSERT INTO `lang_definitions` VALUES (106288, 1971, 20, 'Kodetekst');
INSERT INTO `lang_definitions` VALUES (106289, 1973, 20, 'Kodetype');
INSERT INTO `lang_definitions` VALUES (106290, 1976, 20, 'Kodetype');
INSERT INTO `lang_definitions` VALUES (106291, 1979, 20, 'Koder');
INSERT INTO `lang_definitions` VALUES (106292, 1981, 20, 'Kodning');
INSERT INTO `lang_definitions` VALUES (106293, 1983, 20, 'Coding - any encounters (write,wsome optional)');
INSERT INTO `lang_definitions` VALUES (106294, 1985, 20, 'Coding - my encounters (write,wsome optional)');
INSERT INTO `lang_definitions` VALUES (106295, 1990, 20, 'Kodning ikke tilladt');
INSERT INTO `lang_definitions` VALUES (106296, 1991, 20, 'Kaffe');
INSERT INTO `lang_definitions` VALUES (106297, 1995, 20, 'Förf.saml w / o');
INSERT INTO `lang_definitions` VALUES (106298, 1997, 20, 'Kolaps');
INSERT INTO `lang_definitions` VALUES (106299, 1998, 20, 'kolaps');
INSERT INTO `lang_definitions` VALUES (106300, 1999, 20, 'Kolaps alle');
INSERT INTO `lang_definitions` VALUES (106301, 2000, 20, 'Kolaps alle');
INSERT INTO `lang_definitions` VALUES (106302, 2001, 20, 'Kolaps alle');
INSERT INTO `lang_definitions` VALUES (106303, 2007, 20, 'Samlinger');
INSERT INTO `lang_definitions` VALUES (106304, 2008, 20, 'Samlingsrapport');
INSERT INTO `lang_definitions` VALUES (106305, 2009, 20, 'Koloncancer');
INSERT INTO `lang_definitions` VALUES (106306, 2011, 20, 'Koloncancer Kirurgi');
INSERT INTO `lang_definitions` VALUES (106307, 2012, 20, 'Kolonoskopi');
INSERT INTO `lang_definitions` VALUES (106308, 2013, 20, 'kolonoskopi');
INSERT INTO `lang_definitions` VALUES (106309, 2014, 20, 'Farve');
INSERT INTO `lang_definitions` VALUES (106310, 2021, 20, 'Kolonne');
INSERT INTO `lang_definitions` VALUES (106311, 2022, 20, 'kolonner');
INSERT INTO `lang_definitions` VALUES (106312, 2025, 20, 'Komma');
INSERT INTO `lang_definitions` VALUES (106313, 2027, 20, 'Kommentar');
INSERT INTO `lang_definitions` VALUES (106314, 2028, 20, 'Kommentarer');
INSERT INTO `lang_definitions` VALUES (106315, 2030, 20, 'kommentarer til dette resultat eller anbefaling');
INSERT INTO `lang_definitions` VALUES (106316, 2031, 20, 'Commercial Insurance Co');
INSERT INTO `lang_definitions` VALUES (106317, 2032, 20, 'godkend ændringer');
INSERT INTO `lang_definitions` VALUES (106318, 2036, 20, 'Kommunikation');
INSERT INTO `lang_definitions` VALUES (106319, 2039, 20, 'Firma');
INSERT INTO `lang_definitions` VALUES (106320, 2040, 20, 'Firmanavn');
INSERT INTO `lang_definitions` VALUES (106321, 2041, 20, 'Komplet');
INSERT INTO `lang_definitions` VALUES (106322, 2043, 20, 'Afsluttet');
INSERT INTO `lang_definitions` VALUES (106323, 2046, 20, 'Afsluttet?');
INSERT INTO `lang_definitions` VALUES (106324, 2049, 20, 'Komplikationer ved serviceudbyder');
INSERT INTO `lang_definitions` VALUES (106325, 2050, 20, 'Problemer ved lukning');
INSERT INTO `lang_definitions` VALUES (106326, 2051, 20, 'komponenter');
INSERT INTO `lang_definitions` VALUES (106327, 2057, 20, 'Datorstödd Medical Ordering System');
INSERT INTO `lang_definitions` VALUES (106328, 2058, 20, 'Konklussioner');
INSERT INTO `lang_definitions` VALUES (106329, 2064, 20, 'konfiguration');
INSERT INTO `lang_definitions` VALUES (106330, 2079, 20, 'Bekræft Ny Patient');
INSERT INTO `lang_definitions` VALUES (106331, 2081, 20, 'Bekræft Nyt Kodeord');
INSERT INTO `lang_definitions` VALUES (106332, 2083, 20, 'Bekræft Betaling');
INSERT INTO `lang_definitions` VALUES (106333, 2092, 20, 'Kongenital');
INSERT INTO `lang_definitions` VALUES (106334, 2094, 20, 'Conjuntiva, elever');
INSERT INTO `lang_definitions` VALUES (106335, 2098, 20, 'Konstant');
INSERT INTO `lang_definitions` VALUES (106336, 2100, 20, 'konstantnavn');
INSERT INTO `lang_definitions` VALUES (106337, 2101, 20, 'konstantnavn er sort');
INSERT INTO `lang_definitions` VALUES (106338, 2102, 20, 'Konstanter');
INSERT INTO `lang_definitions` VALUES (106339, 2103, 20, 'Förstoppning');
INSERT INTO `lang_definitions` VALUES (106340, 2104, 20, 'Konstitutionella');
INSERT INTO `lang_definitions` VALUES (106341, 2107, 20, 'Konsultation, kort beskrivelse');
INSERT INTO `lang_definitions` VALUES (106342, 2109, 20, 'Kontakt');
INSERT INTO `lang_definitions` VALUES (106343, 2110, 20, 'kontakt email');
INSERT INTO `lang_definitions` VALUES (106344, 2111, 20, 'Kontak E-mail');
INSERT INTO `lang_definitions` VALUES (106345, 2113, 20, 'Kontaktinformation');
INSERT INTO `lang_definitions` VALUES (106346, 2117, 20, 'Kontaktlinser');
INSERT INTO `lang_definitions` VALUES (106347, 2122, 20, 'kontaktnavn');
INSERT INTO `lang_definitions` VALUES (106348, 2125, 20, 'Kontaktperson');
INSERT INTO `lang_definitions` VALUES (106349, 2127, 20, 'Kontakttelefonnummer');
INSERT INTO `lang_definitions` VALUES (106350, 2131, 20, 'indehold mindst tre af fire følgende ting');
INSERT INTO `lang_definitions` VALUES (106351, 2133, 20, 'Indhold');
INSERT INTO `lang_definitions` VALUES (106352, 2134, 20, 'Indhold');
INSERT INTO `lang_definitions` VALUES (106353, 2136, 20, 'Sammenhæng');
INSERT INTO `lang_definitions` VALUES (106354, 2137, 20, 'Sammenhæng navn kan ikke tømmes');
INSERT INTO `lang_definitions` VALUES (106355, 2138, 20, 'Fortsæt');
INSERT INTO `lang_definitions` VALUES (106356, 2146, 20, 'kontraindikationer');
INSERT INTO `lang_definitions` VALUES (106357, 2147, 20, 'Preventivmedel');
INSERT INTO `lang_definitions` VALUES (106358, 2148, 20, 'Preventivmedelsproblematik');
INSERT INTO `lang_definitions` VALUES (106359, 2149, 20, 'Preventivmedelsproblematik (specificera)');
INSERT INTO `lang_definitions` VALUES (106360, 2150, 20, 'Preventivmedel Metod');
INSERT INTO `lang_definitions` VALUES (106361, 2152, 20, 'Preventivmedel, tjänster som tidigare startats');
INSERT INTO `lang_definitions` VALUES (106362, 2153, 20, 'Preventivmedel start');
INSERT INTO `lang_definitions` VALUES (106363, 2158, 20, 'Kontrol ID');
INSERT INTO `lang_definitions` VALUES (106364, 2159, 20, 'Kontrollnum.');
INSERT INTO `lang_definitions` VALUES (106365, 2169, 20, 'Medbetaler');
INSERT INTO `lang_definitions` VALUES (106366, 2170, 20, 'Medbetaler');
INSERT INTO `lang_definitions` VALUES (106367, 2173, 20, 'Medbetalare');
INSERT INTO `lang_definitions` VALUES (106368, 2174, 20, 'COPD');
INSERT INTO `lang_definitions` VALUES (106369, 2175, 20, 'Kopiera Sidor till Patientdiagram');
INSERT INTO `lang_definitions` VALUES (106370, 2177, 20, 'Kopier værdier');
INSERT INTO `lang_definitions` VALUES (106371, 2178, 20, 'Kopier databasen, Dette kan tage lang tid');
INSERT INTO `lang_definitions` VALUES (106372, 2179, 20, 'Ophavsret');
INSERT INTO `lang_definitions` VALUES (106373, 2184, 20, 'Coronary Artery Bypass');
INSERT INTO `lang_definitions` VALUES (106374, 2186, 20, 'Korrigeret');
INSERT INTO `lang_definitions` VALUES (106375, 2204, 20, 'Hoste');
INSERT INTO `lang_definitions` VALUES (106376, 2205, 20, 'Hoste');
INSERT INTO `lang_definitions` VALUES (106377, 2211, 20, 'Kunne ikke læse fil');
INSERT INTO `lang_definitions` VALUES (106378, 2214, 20, 'Kunne ikke sende email pga. problemer med serveren');
INSERT INTO `lang_definitions` VALUES (106379, 2217, 20, 'kunne ikke oprette backup dir:');
INSERT INTO `lang_definitions` VALUES (106380, 2218, 20, 'Kunne ikke fjerne dir:');
INSERT INTO `lang_definitions` VALUES (106381, 2219, 20, 'Kunne ikke fjerne gammel backupfil');
INSERT INTO `lang_definitions` VALUES (106382, 2220, 20, 'Kunne ikke fjerne gamle exporteret fil');
INSERT INTO `lang_definitions` VALUES (106383, 2222, 20, 'Couns av metod');
INSERT INTO `lang_definitions` VALUES (106384, 2223, 20, 'Rådgivning');
INSERT INTO `lang_definitions` VALUES (106385, 2224, 20, 'Rådgivning, Aktivitet');
INSERT INTO `lang_definitions` VALUES (106386, 2227, 20, 'svarsremiss, formulär');
INSERT INTO `lang_definitions` VALUES (106387, 2228, 20, 'Remisssvar');
INSERT INTO `lang_definitions` VALUES (106388, 2229, 20, 'Land');
INSERT INTO `lang_definitions` VALUES (106389, 2232, 20, 'Land, liste');
INSERT INTO `lang_definitions` VALUES (106390, 2233, 20, 'Land, Lista');
INSERT INTO `lang_definitions` VALUES (106391, 2236, 20, 'Amt');
INSERT INTO `lang_definitions` VALUES (106392, 2238, 20, 'kuppon');
INSERT INTO `lang_definitions` VALUES (106393, 2245, 20, 'CPT');
INSERT INTO `lang_definitions` VALUES (106394, 2247, 20, 'CPT Koder');
INSERT INTO `lang_definitions` VALUES (106395, 2252, 20, 'Sprickor:');
INSERT INTO `lang_definitions` VALUES (106396, 2255, 20, 'creme');
INSERT INTO `lang_definitions` VALUES (106397, 2269, 20, 'Opret en begivenhed');
INSERT INTO `lang_definitions` VALUES (106398, 2273, 20, 'Opret og download fuld backup');
INSERT INTO `lang_definitions` VALUES (106399, 2275, 20, 'Opret backup');
INSERT INTO `lang_definitions` VALUES (106400, 2281, 20, 'Opret kopi');
INSERT INTO `lang_definitions` VALUES (106401, 2285, 20, 'Opret nyt emne');
INSERT INTO `lang_definitions` VALUES (106402, 2287, 20, 'Opret ny patient');
INSERT INTO `lang_definitions` VALUES (106403, 2294, 20, 'Opret patient note');
INSERT INTO `lang_definitions` VALUES (106404, 2297, 20, 'Opret aftale');
INSERT INTO `lang_definitions` VALUES (106405, 2298, 20, 'Oprettet');
INSERT INTO `lang_definitions` VALUES (106406, 2306, 20, 'Opretter export fil');
INSERT INTO `lang_definitions` VALUES (106407, 2309, 20, 'Opretter');
INSERT INTO `lang_definitions` VALUES (106408, 2311, 20, 'kredit');
INSERT INTO `lang_definitions` VALUES (106409, 2312, 20, 'Kreditkort');
INSERT INTO `lang_definitions` VALUES (106410, 2314, 20, 'Kredit');
INSERT INTO `lang_definitions` VALUES (106411, 2316, 20, 'Kriterier');
INSERT INTO `lang_definitions` VALUES (106412, 2319, 20, 'Crohn\'s sjukdom');
INSERT INTO `lang_definitions` VALUES (106413, 2320, 20, 'Chrons sjukdom');
INSERT INTO `lang_definitions` VALUES (106414, 2324, 20, 'Csv-fil');
INSERT INTO `lang_definitions` VALUES (106415, 2337, 20, 'Nuværende');
INSERT INTO `lang_definitions` VALUES (106416, 2341, 20, 'Nuværende konsultation');
INSERT INTO `lang_definitions` VALUES (106417, 2342, 20, 'Nuværende kriterier');
INSERT INTO `lang_definitions` VALUES (106418, 2344, 20, 'Aktuel dag i farve');
INSERT INTO `lang_definitions` VALUES (106419, 2347, 20, 'Nuværende filnavn er ændret til');
INSERT INTO `lang_definitions` VALUES (106420, 2350, 20, 'Nuværende lokation');
INSERT INTO `lang_definitions` VALUES (106421, 2354, 20, 'Nuværende kodeord');
INSERT INTO `lang_definitions` VALUES (106422, 2356, 20, 'Nuværende patient');
INSERT INTO `lang_definitions` VALUES (106423, 2371, 20, 'Nuværende aktiv');
INSERT INTO `lang_definitions` VALUES (106424, 2379, 20, 'Cushing Syndrom');
INSERT INTO `lang_definitions` VALUES (106425, 2380, 20, 'Cushings syndrom');
INSERT INTO `lang_definitions` VALUES (106426, 2383, 20, 'Custom');
INSERT INTO `lang_definitions` VALUES (106427, 2412, 20, 'CYP');
INSERT INTO `lang_definitions` VALUES (106428, 2413, 20, 'CYP Factor');
INSERT INTO `lang_definitions` VALUES (106429, 2414, 20, 'CYP Rapport');
INSERT INTO `lang_definitions` VALUES (106430, 2416, 20, 'D');
INSERT INTO `lang_definitions` VALUES (106431, 2417, 20, 'D & C');
INSERT INTO `lang_definitions` VALUES (106432, 2418, 20, 'D & E');
INSERT INTO `lang_definitions` VALUES (106433, 2420, 20, 'Fødselsdag');
INSERT INTO `lang_definitions` VALUES (106434, 2421, 20, 'Daglig');
INSERT INTO `lang_definitions` VALUES (106435, 2422, 20, 'Daglig optegnelse');
INSERT INTO `lang_definitions` VALUES (106436, 2425, 20, 'dansk');
INSERT INTO `lang_definitions` VALUES (106437, 2429, 20, 'Lignende data er allerede registreret. Skift kode eller beskrivelse');
INSERT INTO `lang_definitions` VALUES (106438, 2430, 20, 'Lignende data er allerede registreret. Skift navn på konstant');
INSERT INTO `lang_definitions` VALUES (106439, 2431, 20, 'Data kolonner');
INSERT INTO `lang_definitions` VALUES (106440, 2439, 20, 'Datatype');
INSERT INTO `lang_definitions` VALUES (106441, 2440, 20, 'Database');
INSERT INTO `lang_definitions` VALUES (106442, 2442, 20, 'Databasen er ikke installeret');
INSERT INTO `lang_definitions` VALUES (106443, 2445, 20, 'Databaserapportering');
INSERT INTO `lang_definitions` VALUES (106444, 2447, 20, 'Opgradering af database er afsluttet');
INSERT INTO `lang_definitions` VALUES (106445, 2448, 20, 'Datacols måste ha ett nummer mellan 1 och 999');
INSERT INTO `lang_definitions` VALUES (106446, 2449, 20, 'Dato');
INSERT INTO `lang_definitions` VALUES (106447, 2450, 20, 'dato');
INSERT INTO `lang_definitions` VALUES (106448, 2453, 20, 'Administreringsdato');
INSERT INTO `lang_definitions` VALUES (106449, 2454, 20, 'Prøvedato og tid');
INSERT INTO `lang_definitions` VALUES (106450, 2457, 20, 'Prøvedato og tid');
INSERT INTO `lang_definitions` VALUES (106451, 2458, 20, 'Dato kan ikke være senere end i dag');
INSERT INTO `lang_definitions` VALUES (106452, 2459, 20, 'Datum då preventivmeddel insattes för första gången');
INSERT INTO `lang_definitions` VALUES (106453, 2460, 20, 'Dato oprettet');
INSERT INTO `lang_definitions` VALUES (106454, 2461, 20, 'Dødsdato');
INSERT INTO `lang_definitions` VALUES (106455, 2462, 20, 'Ødelæggelsesdato');
INSERT INTO `lang_definitions` VALUES (106456, 2463, 20, 'Vis datoformat');
INSERT INTO `lang_definitions` VALUES (106457, 2464, 20, 'Datoformat for \"aftale slut\" er ikke gyldig');
INSERT INTO `lang_definitions` VALUES (106458, 2465, 20, 'Datoformat for \"aftale start\" er ikke gyldig');
INSERT INTO `lang_definitions` VALUES (106459, 2466, 20, 'Datoformat for \"næste aftale\" er ikke gyldig');
INSERT INTO `lang_definitions` VALUES (106460, 2467, 20, 'Datoformat for \"ikke set siden\" er ikke gyldig');
INSERT INTO `lang_definitions` VALUES (106461, 2469, 20, 'Datoformat for \"seneste aftale\" er ikke gyldig');
INSERT INTO `lang_definitions` VALUES (106462, 2470, 20, 'Datum för vaccinationsinformation');
INSERT INTO `lang_definitions` VALUES (106463, 2471, 20, 'Koden mangler dato');
INSERT INTO `lang_definitions` VALUES (106464, 2475, 20, 'Dato for bankindbetaling åååå-mm-dd');
INSERT INTO `lang_definitions` VALUES (106465, 2477, 20, 'Fødselsdag');
INSERT INTO `lang_definitions` VALUES (106466, 2478, 20, 'Fødselsdag');
INSERT INTO `lang_definitions` VALUES (106467, 2479, 20, 'Fødselsdag');
INSERT INTO `lang_definitions` VALUES (106468, 2483, 20, 'Dato for skade');
INSERT INTO `lang_definitions` VALUES (106469, 2487, 20, 'Dato for betaling åååå-mm-dd');
INSERT INTO `lang_definitions` VALUES (106470, 2489, 20, 'Henvisningsdato');
INSERT INTO `lang_definitions` VALUES (106471, 2491, 20, 'Svardato');
INSERT INTO `lang_definitions` VALUES (106472, 2495, 20, 'Dato for service');
INSERT INTO `lang_definitions` VALUES (106473, 2496, 20, 'Dato for service = I dag');
INSERT INTO `lang_definitions` VALUES (106474, 2498, 20, 'Dato for service MM / DD / ÅÅÅÅ');
INSERT INTO `lang_definitions` VALUES (106475, 2499, 20, 'Dato for service');
INSERT INTO `lang_definitions` VALUES (106476, 2500, 20, 'Underskriftsdato');
INSERT INTO `lang_definitions` VALUES (106477, 2503, 20, 'Ordredato');
INSERT INTO `lang_definitions` VALUES (106478, 2504, 20, 'Rapportdato');
INSERT INTO `lang_definitions` VALUES (106479, 2505, 20, 'Ej tilldelad');
INSERT INTO `lang_definitions` VALUES (106480, 2506, 20, 'Ordredato');
INSERT INTO `lang_definitions` VALUES (106481, 2509, 20, 'Datovælger');
INSERT INTO `lang_definitions` VALUES (106482, 2510, 20, 'Afsendelsesdato');
INSERT INTO `lang_definitions` VALUES (106483, 2513, 20, 'Datofelter kan ikke være tomme');
INSERT INTO `lang_definitions` VALUES (106484, 2516, 20, 'Dato / aftale');
INSERT INTO `lang_definitions` VALUES (106485, 2517, 20, 'Dato / Noter');
INSERT INTO `lang_definitions` VALUES (106486, 2518, 20, 'Seneste dato/noter');
INSERT INTO `lang_definitions` VALUES (106487, 2519, 20, 'Dato / tid');
INSERT INTO `lang_definitions` VALUES (106488, 2520, 20, 'Dato:');
INSERT INTO `lang_definitions` VALUES (106489, 2526, 20, 'Dag');
INSERT INTO `lang_definitions` VALUES (106490, 2527, 20, 'Dag');
INSERT INTO `lang_definitions` VALUES (106491, 2530, 20, 'dagsoversigt');
INSERT INTO `lang_definitions` VALUES (106492, 2531, 20, 'Dag(e)');
INSERT INTO `lang_definitions` VALUES (106493, 2532, 20, 'Dag(e) man-fre');
INSERT INTO `lang_definitions` VALUES (106494, 2533, 20, 'Dage');
INSERT INTO `lang_definitions` VALUES (106495, 2534, 20, 'Dage');
INSERT INTO `lang_definitions` VALUES (106496, 2535, 20, 'dage siden');
INSERT INTO `lang_definitions` VALUES (106497, 2536, 20, 'Dagar och spel Missade');
INSERT INTO `lang_definitions` VALUES (106498, 2537, 20, 'dage siden sidste aftale');
INSERT INTO `lang_definitions` VALUES (106499, 2541, 20, 'dage per kolonne');
INSERT INTO `lang_definitions` VALUES (106500, 2543, 20, 'dage / kolonne');
INSERT INTO `lang_definitions` VALUES (106501, 2544, 20, 'DB installeret');
INSERT INTO `lang_definitions` VALUES (106502, 2545, 20, 'DD/MM/ÅÅÅÅ');
INSERT INTO `lang_definitions` VALUES (106503, 2552, 20, 'DEA');
INSERT INTO `lang_definitions` VALUES (106504, 2562, 20, 'Debuginformation');
INSERT INTO `lang_definitions` VALUES (106505, 2565, 20, 'dec');
INSERT INTO `lang_definitions` VALUES (106506, 2567, 20, 'Afdød');
INSERT INTO `lang_definitions` VALUES (106507, 2574, 20, 'december');
INSERT INTO `lang_definitions` VALUES (106508, 2580, 20, 'Fratrække');
INSERT INTO `lang_definitions` VALUES (106509, 2583, 20, 'Standard');
INSERT INTO `lang_definitions` VALUES (106510, 2585, 20, 'Standard kalender opslag');
INSERT INTO `lang_definitions` VALUES (106511, 2589, 20, 'Standard Klinik');
INSERT INTO `lang_definitions` VALUES (106512, 2594, 20, 'Standard sprog');
INSERT INTO `lang_definitions` VALUES (106513, 2595, 20, 'Standart sprog hvis ikke andet er tilladt eller valgt');
INSERT INTO `lang_definitions` VALUES (106514, 2598, 20, 'Standardliste');
INSERT INTO `lang_definitions` VALUES (106515, 2600, 20, 'Standardmetode');
INSERT INTO `lang_definitions` VALUES (106516, 2601, 20, 'Standartudløbsdato for kodeord');
INSERT INTO `lang_definitions` VALUES (106517, 2607, 20, 'Standardbehandler');
INSERT INTO `lang_definitions` VALUES (106518, 2609, 20, 'Standardomfang');
INSERT INTO `lang_definitions` VALUES (106519, 2615, 20, 'Standardindstilling');
INSERT INTO `lang_definitions` VALUES (106520, 2624, 20, 'Standardenhed');
INSERT INTO `lang_definitions` VALUES (106521, 2626, 20, 'Standardværdi');
INSERT INTO `lang_definitions` VALUES (106522, 2629, 20, 'Standard X12 Partner');
INSERT INTO `lang_definitions` VALUES (106523, 2630, 20, 'Default / Global');
INSERT INTO `lang_definitions` VALUES (106524, 2635, 20, 'Slet');
INSERT INTO `lang_definitions` VALUES (106525, 2636, 20, 'slet');
INSERT INTO `lang_definitions` VALUES (106526, 2637, 20, 'Fördröjd Återkommande (> 12 mån)');
INSERT INTO `lang_definitions` VALUES (106527, 2638, 20, 'Slet');
INSERT INTO `lang_definitions` VALUES (106528, 2639, 20, 'Slet');
INSERT INTO `lang_definitions` VALUES (106529, 2640, 20, 'Slet kategorier med disse ID(er):');
INSERT INTO `lang_definitions` VALUES (106530, 2641, 20, 'Slet kategori');
INSERT INTO `lang_definitions` VALUES (106531, 2645, 20, 'Slet gruppe');
INSERT INTO `lang_definitions` VALUES (106532, 2646, 20, 'Slet liste');
INSERT INTO `lang_definitions` VALUES (106533, 2648, 20, 'Slet sider');
INSERT INTO `lang_definitions` VALUES (106534, 2649, 20, 'Slet patient, aftaler, form, emner, dokument, betaling, fakturering eller transaktion');
INSERT INTO `lang_definitions` VALUES (106535, 2651, 20, 'Slet række');
INSERT INTO `lang_definitions` VALUES (106536, 2652, 20, 'Slet valgte');
INSERT INTO `lang_definitions` VALUES (106537, 2655, 20, 'Slettelse afsluttet');
INSERT INTO `lang_definitions` VALUES (106538, 2656, 20, 'Slet dette dokument');
INSERT INTO `lang_definitions` VALUES (106539, 2657, 20, 'Slet denne formular');
INSERT INTO `lang_definitions` VALUES (106540, 2659, 20, 'Slet denne note');
INSERT INTO `lang_definitions` VALUES (106541, 2661, 20, 'Slettelse afsluttet');
INSERT INTO `lang_definitions` VALUES (106542, 2671, 20, 'Demens');
INSERT INTO `lang_definitions` VALUES (106543, 2673, 20, 'Demografi');
INSERT INTO `lang_definitions` VALUES (106544, 2674, 20, 'Demografi');
INSERT INTO `lang_definitions` VALUES (106545, 2680, 20, 'Demografi ej auktoriserad');
INSERT INTO `lang_definitions` VALUES (106546, 2681, 20, 'Demografi ej auktoriserad');
INSERT INTO `lang_definitions` VALUES (106547, 2687, 20, 'Dental');
INSERT INTO `lang_definitions` VALUES (106548, 2689, 20, 'Dentale problemer');
INSERT INTO `lang_definitions` VALUES (106549, 2696, 20, 'Betalingsdato');
INSERT INTO `lang_definitions` VALUES (106550, 2698, 20, 'Betalingsdato');
INSERT INTO `lang_definitions` VALUES (106551, 2699, 20, 'Deprimeret');
INSERT INTO `lang_definitions` VALUES (106552, 2700, 20, 'Depression');
INSERT INTO `lang_definitions` VALUES (106553, 2706, 20, 'Beskrivelse');
INSERT INTO `lang_definitions` VALUES (106554, 2707, 20, 'beskrivelse');
INSERT INTO `lang_definitions` VALUES (106555, 2711, 20, 'Oversat beskrivelse');
INSERT INTO `lang_definitions` VALUES (106556, 2713, 20, 'Mål');
INSERT INTO `lang_definitions` VALUES (106557, 2714, 20, 'Destination filnavn');
INSERT INTO `lang_definitions` VALUES (106558, 2716, 20, 'Ødelagt Lot');
INSERT INTO `lang_definitions` VALUES (106559, 2717, 20, 'Ødelæg');
INSERT INTO `lang_definitions` VALUES (106560, 2718, 20, 'Ødelagt');
INSERT INTO `lang_definitions` VALUES (106561, 2719, 20, 'Ødelagte medikamenter');
INSERT INTO `lang_definitions` VALUES (106562, 2720, 20, 'Förstöras narkotika Rapport');
INSERT INTO `lang_definitions` VALUES (106563, 2721, 20, 'Detalje');
INSERT INTO `lang_definitions` VALUES (106564, 2726, 20, 'Detaljer');
INSERT INTO `lang_definitions` VALUES (106565, 2728, 20, 'Utvecklingstoxicitet abnormalitet');
INSERT INTO `lang_definitions` VALUES (106566, 2730, 20, 'Diabetes');
INSERT INTO `lang_definitions` VALUES (106567, 2741, 20, 'Diag');
INSERT INTO `lang_definitions` VALUES (106568, 2743, 20, 'Diagnose');
INSERT INTO `lang_definitions` VALUES (106569, 2744, 20, 'Diagnose kode');
INSERT INTO `lang_definitions` VALUES (106570, 2747, 20, 'Daiagnose dato');
INSERT INTO `lang_definitions` VALUES (106571, 2749, 20, 'Diagnos måste kodas in i ett länkat patientmöte');
INSERT INTO `lang_definitions` VALUES (106572, 2750, 20, 'Diagnose navn');
INSERT INTO `lang_definitions` VALUES (106573, 2751, 20, 'Diagnose rapport');
INSERT INTO `lang_definitions` VALUES (106574, 2754, 20, 'Diagnose titel');
INSERT INTO `lang_definitions` VALUES (106575, 2755, 20, 'Diagnose:');
INSERT INTO `lang_definitions` VALUES (106576, 2756, 20, 'Diagnose:');
INSERT INTO `lang_definitions` VALUES (106577, 2758, 20, 'Diagnose test');
INSERT INTO `lang_definitions` VALUES (106578, 2760, 20, 'Dials');
INSERT INTO `lang_definitions` VALUES (106579, 2764, 20, 'Diarée');
INSERT INTO `lang_definitions` VALUES (106580, 2767, 20, 'Diktat');
INSERT INTO `lang_definitions` VALUES (106581, 2768, 20, 'Diktat:');
INSERT INTO `lang_definitions` VALUES (106582, 2769, 20, 'Fick du en kopia av denna HIPAA notering?');
INSERT INTO `lang_definitions` VALUES (106583, 2770, 20, 'Diffus');
INSERT INTO `lang_definitions` VALUES (106584, 2771, 20, 'Elektronisk underskrift');
INSERT INTO `lang_definitions` VALUES (106585, 2781, 20, 'Direkte mail');
INSERT INTO `lang_definitions` VALUES (106586, 2789, 20, 'Handicap');
INSERT INTO `lang_definitions` VALUES (106587, 2794, 20, 'Deaktiver kalender');
INSERT INTO `lang_definitions` VALUES (106588, 2805, 20, 'handicappet');
INSERT INTO `lang_definitions` VALUES (106589, 2806, 20, 'Handiccapet');
INSERT INTO `lang_definitions` VALUES (106590, 2812, 20, 'DISC');
INSERT INTO `lang_definitions` VALUES (106591, 2815, 20, 'Udskrive');
INSERT INTO `lang_definitions` VALUES (106592, 2816, 20, 'Flytningar från urinröret');
INSERT INTO `lang_definitions` VALUES (106593, 2825, 20, 'Videregive info');
INSERT INTO `lang_definitions` VALUES (106594, 2833, 20, 'Rabat');
INSERT INTO `lang_definitions` VALUES (106595, 2834, 20, 'Rabat beløb');
INSERT INTO `lang_definitions` VALUES (106596, 2835, 20, 'Rabat nivaue');
INSERT INTO `lang_definitions` VALUES (106597, 2841, 20, 'Sygdom');
INSERT INTO `lang_definitions` VALUES (106598, 2843, 20, 'Forskydning');
INSERT INTO `lang_definitions` VALUES (106599, 2847, 20, 'Antal:');
INSERT INTO `lang_definitions` VALUES (106600, 2848, 20, 'Afsendelse');
INSERT INTO `lang_definitions` VALUES (106601, 2849, 20, 'Afsendt modtagne dokumenter');
INSERT INTO `lang_definitions` VALUES (106602, 2853, 20, 'Dispenseras');
INSERT INTO `lang_definitions` VALUES (106603, 2859, 20, 'Vis dato for begivenheder i blokke?');
INSERT INTO `lang_definitions` VALUES (106604, 2861, 20, 'Hvor mange begivenheder skal vises?');
INSERT INTO `lang_definitions` VALUES (106605, 2865, 20, 'Vis lokationer i blokke?');
INSERT INTO `lang_definitions` VALUES (106606, 2866, 20, 'Vis navn');
INSERT INTO `lang_definitions` VALUES (106607, 2868, 20, 'Vis kalender?');
INSERT INTO `lang_definitions` VALUES (106608, 2875, 20, 'Vis dagens begivenheder i blokken?');
INSERT INTO `lang_definitions` VALUES (106609, 2876, 20, 'Vis emne i blokke?');
INSERT INTO `lang_definitions` VALUES (106610, 2877, 20, 'Vis kommende begivenheder i blokke?');
INSERT INTO `lang_definitions` VALUES (106611, 2879, 20, 'Vis kolonner');
INSERT INTO `lang_definitions` VALUES (106612, 2890, 20, 'Distrubition');
INSERT INTO `lang_definitions` VALUES (106613, 2897, 20, 'Divertikulit');
INSERT INTO `lang_definitions` VALUES (106614, 2898, 20, 'Diverticulitis Kirurgi');
INSERT INTO `lang_definitions` VALUES (106615, 2899, 20, 'Divertikulit');
INSERT INTO `lang_definitions` VALUES (106616, 2900, 20, 'Divertikulit Kirurgi');
INSERT INTO `lang_definitions` VALUES (106617, 2901, 20, 'Skilt');
INSERT INTO `lang_definitions` VALUES (106618, 2902, 20, 'Svimmelhed');
INSERT INTO `lang_definitions` VALUES (106619, 2905, 20, 'Må ikke ændres');
INSERT INTO `lang_definitions` VALUES (106620, 2912, 20, 'Vis ikke kalenderen');
INSERT INTO `lang_definitions` VALUES (106621, 2921, 20, 'Må ikke gemmes');
INSERT INTO `lang_definitions` VALUES (106622, 2922, 20, 'Må ikke erstattes');
INSERT INTO `lang_definitions` VALUES (106623, 2925, 20, 'Gør intet');
INSERT INTO `lang_definitions` VALUES (106624, 2929, 20, 'Er du sikker på du vil slette?');
INSERT INTO `lang_definitions` VALUES (106625, 2930, 20, 'Er du sikker på du vil slette det valgte?');
INSERT INTO `lang_definitions` VALUES (106626, 2931, 20, 'Vil du virkelig slette dene gruppe?');
INSERT INTO `lang_definitions` VALUES (106627, 2934, 20, 'Vil du fortsætte?');
INSERT INTO `lang_definitions` VALUES (106628, 2935, 20, 'Vil du slette dette?');
INSERT INTO `lang_definitions` VALUES (106629, 2936, 20, 'Vil du slette?');
INSERT INTO `lang_definitions` VALUES (106630, 2937, 20, 'Vil du fjerne denne optagelse?');
INSERT INTO `lang_definitions` VALUES (106631, 2938, 20, 'Vil du fortsætte tilføjelsen af denne patient');
INSERT INTO `lang_definitions` VALUES (106632, 2939, 20, 'Vil du fortsætte med det nye navn?');
INSERT INTO `lang_definitions` VALUES (106633, 2941, 20, 'Fødselsdato');
INSERT INTO `lang_definitions` VALUES (106634, 2942, 20, 'Fødseldato mangler, udfyld hvis mulig');
INSERT INTO `lang_definitions` VALUES (106635, 2944, 20, 'Dokument');
INSERT INTO `lang_definitions` VALUES (106636, 2945, 20, 'Læge');
INSERT INTO `lang_definitions` VALUES (106637, 2946, 20, 'Læge:');
INSERT INTO `lang_definitions` VALUES (106638, 2947, 20, 'Læges navn og underskrift');
INSERT INTO `lang_definitions` VALUES (106639, 2948, 20, 'Dokument');
INSERT INTO `lang_definitions` VALUES (106640, 2949, 20, 'dokument');
INSERT INTO `lang_definitions` VALUES (106641, 2951, 20, 'Dokument Kategorier');
INSERT INTO `lang_definitions` VALUES (106642, 2958, 20, 'Dokumentet kunne ikke flyttes til Patient ID');
INSERT INTO `lang_definitions` VALUES (106643, 2960, 20, 'Dokument dato');
INSERT INTO `lang_definitions` VALUES (106644, 2961, 20, 'Dokumentets datum och utförande uppdaterats');
INSERT INTO `lang_definitions` VALUES (106645, 2965, 20, 'Dokumentet er flyttet til ny kategori');
INSERT INTO `lang_definitions` VALUES (106646, 2966, 20, 'Dokumentet er flyttet til patient ID');
INSERT INTO `lang_definitions` VALUES (106647, 2970, 20, 'Dokumentet er gendøbt');
INSERT INTO `lang_definitions` VALUES (106648, 2976, 20, 'Dokument/billede lager');
INSERT INTO `lang_definitions` VALUES (106649, 2978, 20, 'Dokumenter');
INSERT INTO `lang_definitions` VALUES (106650, 2989, 20, 'DOE');
INSERT INTO `lang_definitions` VALUES (106651, 2997, 20, 'Indenlandsk partner');
INSERT INTO `lang_definitions` VALUES (106652, 2998, 20, 'Gem ikke');
INSERT INTO `lang_definitions` VALUES (106653, 2999, 20, 'Gem ikke');
INSERT INTO `lang_definitions` VALUES (106654, 3000, 20, 'Gem ikke ændringer');
INSERT INTO `lang_definitions` VALUES (106655, 3002, 20, 'Færdig');
INSERT INTO `lang_definitions` VALUES (106656, 3004, 20, 'Klar med:');
INSERT INTO `lang_definitions` VALUES (106657, 3005, 20, 'Færdig. Sender nu download');
INSERT INTO `lang_definitions` VALUES (106658, 3006, 20, 'DOS');
INSERT INTO `lang_definitions` VALUES (106659, 3007, 20, 'Dosering');
INSERT INTO `lang_definitions` VALUES (106660, 3011, 20, 'Dobbeltklik for at ændre');
INSERT INTO `lang_definitions` VALUES (106661, 3013, 20, 'Dubbelseende');
INSERT INTO `lang_definitions` VALUES (106662, 3014, 20, 'Download');
INSERT INTO `lang_definitions` VALUES (106663, 3019, 20, 'Dowload alligevel');
INSERT INTO `lang_definitions` VALUES (106664, 3022, 20, 'Download certifikater');
INSERT INTO `lang_definitions` VALUES (106665, 3039, 20, 'læge kontrol');
INSERT INTO `lang_definitions` VALUES (106666, 3040, 20, 'lægebesøg');
INSERT INTO `lang_definitions` VALUES (106667, 3041, 20, 'Dr.');
INSERT INTO `lang_definitions` VALUES (106668, 3045, 20, 'Træk for at flytte');
INSERT INTO `lang_definitions` VALUES (106669, 3048, 20, 'kørekortnummer');
INSERT INTO `lang_definitions` VALUES (106670, 3050, 20, 'lægemiddel');
INSERT INTO `lang_definitions` VALUES (106671, 3054, 20, 'Läkemedelsformulär');
INSERT INTO `lang_definitions` VALUES (106672, 3055, 20, 'Läkemeddels ID saknas!');
INSERT INTO `lang_definitions` VALUES (106673, 3056, 20, 'Läkemedel intervall');
INSERT INTO `lang_definitions` VALUES (106674, 3057, 20, 'Inventarielista, läkemedel');
INSERT INTO `lang_definitions` VALUES (106675, 3059, 20, 'Läkemedelsnamn');
INSERT INTO `lang_definitions` VALUES (106676, 3061, 20, 'Läkemedelslinje/väg');
INSERT INTO `lang_definitions` VALUES (106677, 3066, 20, 'Läkemedel, enheter');
INSERT INTO `lang_definitions` VALUES (106678, 3072, 20, 'medikamenter');
INSERT INTO `lang_definitions` VALUES (106679, 3073, 20, 'medicin og produkter');
INSERT INTO `lang_definitions` VALUES (106680, 3074, 20, 'Mundtørhed');
INSERT INTO `lang_definitions` VALUES (106681, 3076, 20, 'DT 1');
INSERT INTO `lang_definitions` VALUES (106682, 3077, 20, 'DT 2');
INSERT INTO `lang_definitions` VALUES (106683, 3078, 20, 'DT 3');
INSERT INTO `lang_definitions` VALUES (106684, 3079, 20, 'DT 4');
INSERT INTO `lang_definitions` VALUES (106685, 3080, 20, 'DT 5');
INSERT INTO `lang_definitions` VALUES (106686, 3081, 20, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (106687, 3082, 20, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (106688, 3083, 20, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (106689, 3084, 20, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (106690, 3085, 20, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (106691, 3088, 20, 'Forfaldsdato');
INSERT INTO `lang_definitions` VALUES (106692, 3090, 20, 'Forfaldsdato mm/dd/åååå el. åååå/mm/dd');
INSERT INTO `lang_definitions` VALUES (106693, 3091, 20, 'Forfaldsdato');
INSERT INTO `lang_definitions` VALUES (106694, 3094, 20, 'Forfald snart');
INSERT INTO `lang_definitions` VALUES (106695, 3095, 20, 'Forfald status');
INSERT INTO `lang_definitions` VALUES (106696, 3096, 20, 'Forfald status opdatering');
INSERT INTO `lang_definitions` VALUES (106697, 3097, 20, 'Dumping OpenEMR database');
INSERT INTO `lang_definitions` VALUES (106698, 3098, 20, 'Dumping OpenEMR web directory tree');
INSERT INTO `lang_definitions` VALUES (106699, 3099, 20, 'Dumping phpGACL database');
INSERT INTO `lang_definitions` VALUES (106700, 3100, 20, 'Dumping phpGACL web directory tree');
INSERT INTO `lang_definitions` VALUES (106701, 3101, 20, 'Dumping SQL-Ledger database');
INSERT INTO `lang_definitions` VALUES (106702, 3102, 20, 'Dumping SQL-Ledger web directory tree');
INSERT INTO `lang_definitions` VALUES (106703, 3110, 20, 'KOPI ADVARSEL');
INSERT INTO `lang_definitions` VALUES (106704, 3112, 20, 'varighed');
INSERT INTO `lang_definitions` VALUES (106705, 3113, 20, 'varighed');
INSERT INTO `lang_definitions` VALUES (106706, 3114, 20, 'Holländsk');
INSERT INTO `lang_definitions` VALUES (106707, 3117, 20, 'Dysphagi');
INSERT INTO `lang_definitions` VALUES (106708, 3118, 20, 'Dyspné:');
INSERT INTO `lang_definitions` VALUES (106709, 3119, 20, 'Dysuria');
INSERT INTO `lang_definitions` VALUES (106710, 3128, 20, 'E-recept?');
INSERT INTO `lang_definitions` VALUES (106711, 3140, 20, 'Tidig Återkommande (<2 Mo)');
INSERT INTO `lang_definitions` VALUES (106712, 3141, 20, 'Ører');
INSERT INTO `lang_definitions` VALUES (106713, 3148, 20, 'EKG');
INSERT INTO `lang_definitions` VALUES (106714, 3152, 20, 'Ødem');
INSERT INTO `lang_definitions` VALUES (106715, 3159, 20, 'Rediger');
INSERT INTO `lang_definitions` VALUES (106716, 3160, 20, 'rediger');
INSERT INTO `lang_definitions` VALUES (106717, 3161, 20, 'Rediger allergier');
INSERT INTO `lang_definitions` VALUES (106718, 3163, 20, 'Rediger kategorier');
INSERT INTO `lang_definitions` VALUES (106719, 3165, 20, 'Rediger definitioner');
INSERT INTO `lang_definitions` VALUES (106720, 3166, 20, 'Rediger definitioner');
INSERT INTO `lang_definitions` VALUES (106721, 3167, 20, 'Rediger diagnose for');
INSERT INTO `lang_definitions` VALUES (106722, 3168, 20, 'Rediger videresendelse');
INSERT INTO `lang_definitions` VALUES (106723, 3173, 20, 'Rediger kliniker');
INSERT INTO `lang_definitions` VALUES (106724, 3174, 20, 'Rediger kliniker');
INSERT INTO `lang_definitions` VALUES (106725, 3175, 20, 'Rediger klinikinformation');
INSERT INTO `lang_definitions` VALUES (106726, 3177, 20, 'Rediger fil i');
INSERT INTO `lang_definitions` VALUES (106727, 3178, 20, 'Rediger form');
INSERT INTO `lang_definitions` VALUES (106728, 3183, 20, 'Rediger layout');
INSERT INTO `lang_definitions` VALUES (106729, 3185, 20, 'Rediger liste');
INSERT INTO `lang_definitions` VALUES (106730, 3188, 20, 'Rediger betaling');
INSERT INTO `lang_definitions` VALUES (106731, 3189, 20, 'Rediger struktur');
INSERT INTO `lang_definitions` VALUES (106732, 3192, 20, 'Rediger bruger');
INSERT INTO `lang_definitions` VALUES (106733, 3193, 20, 'Rediger bruger-opsætning');
INSERT INTO `lang_definitions` VALUES (106734, 3196, 20, 'Uddannelse');
INSERT INTO `lang_definitions` VALUES (106735, 3197, 20, 'Uddannelsesdato');
INSERT INTO `lang_definitions` VALUES (106736, 3200, 20, 'Dato for ikrafttrædelse');
INSERT INTO `lang_definitions` VALUES (106737, 3202, 20, 'Effektivitet');
INSERT INTO `lang_definitions` VALUES (106738, 3207, 20, 'Ejaculation');
INSERT INTO `lang_definitions` VALUES (106739, 3208, 20, 'Albue');
INSERT INTO `lang_definitions` VALUES (106740, 3209, 20, 'Problemer med albuen');
INSERT INTO `lang_definitions` VALUES (106741, 3210, 20, 'Elektronik');
INSERT INTO `lang_definitions` VALUES (106742, 3214, 20, 'Elektronisk remiss');
INSERT INTO `lang_definitions` VALUES (106743, 3225, 20, 'Email');
INSERT INTO `lang_definitions` VALUES (106744, 3228, 20, 'Emailadresse');
INSERT INTO `lang_definitions` VALUES (106745, 3236, 20, 'Email fra Batchcom');
INSERT INTO `lang_definitions` VALUES (106746, 3238, 20, 'Email');
INSERT INTO `lang_definitions` VALUES (106747, 3244, 20, 'Email sendt før');
INSERT INTO `lang_definitions` VALUES (106748, 3245, 20, 'Email afsender');
INSERT INTO `lang_definitions` VALUES (106749, 3246, 20, 'Email sendt');
INSERT INTO `lang_definitions` VALUES (106750, 3248, 20, 'Email emneord');
INSERT INTO `lang_definitions` VALUES (106751, 3251, 20, 'Email Text, användbara Tag: *** NAMN ***, dvs Bäste *** NAMN ***');
INSERT INTO `lang_definitions` VALUES (106752, 3254, 20, 'Email var sendt til følgende adresse');
INSERT INTO `lang_definitions` VALUES (106753, 3259, 20, 'Akut kontakt');
INSERT INTO `lang_definitions` VALUES (106754, 3260, 20, 'Akut kontaktperson');
INSERT INTO `lang_definitions` VALUES (106755, 3261, 20, 'ICE kontakt telefonnummer');
INSERT INTO `lang_definitions` VALUES (106756, 3262, 20, 'Akut Preventivmedel');
INSERT INTO `lang_definitions` VALUES (106757, 3263, 20, 'Akut Login');
INSERT INTO `lang_definitions` VALUES (106758, 3266, 20, 'Akut Login emailadresse');
INSERT INTO `lang_definitions` VALUES (106759, 3268, 20, 'ICE Telefon');
INSERT INTO `lang_definitions` VALUES (106760, 3271, 20, 'Emfysem');
INSERT INTO `lang_definitions` VALUES (106761, 3272, 20, 'Ansat');
INSERT INTO `lang_definitions` VALUES (106762, 3273, 20, 'Arbejdsgiver');
INSERT INTO `lang_definitions` VALUES (106763, 3274, 20, 'Arbejdsgivers adresse');
INSERT INTO `lang_definitions` VALUES (106764, 3275, 20, 'Arbejdsgiver oplysninger');
INSERT INTO `lang_definitions` VALUES (106765, 3276, 20, 'Arbejdsgivers navn');
INSERT INTO `lang_definitions` VALUES (106766, 3277, 20, 'TØM');
INSERT INTO `lang_definitions` VALUES (106767, 3278, 20, 'Ryd');
INSERT INTO `lang_definitions` VALUES (106768, 3281, 20, 'Ryd værdi i \"Email timer\"');
INSERT INTO `lang_definitions` VALUES (106769, 3282, 20, 'Ryd værdi i \"email afsender\"');
INSERT INTO `lang_definitions` VALUES (106770, 3283, 20, 'Ryd værdi i \"Email Emne\"');
INSERT INTO `lang_definitions` VALUES (106771, 3284, 20, 'Ryd værdi i \"Email Tekst\"');
INSERT INTO `lang_definitions` VALUES (106772, 3285, 20, 'Ta bort i \"Försörjarens namn\"');
INSERT INTO `lang_definitions` VALUES (106773, 3286, 20, 'Ryd værdi i \"Kodeord\"');
INSERT INTO `lang_definitions` VALUES (106774, 3287, 20, 'Ta bort \"SMS tider\"');
INSERT INTO `lang_definitions` VALUES (106775, 3288, 20, 'Ryd værdi i \"SMS tekst\"');
INSERT INTO `lang_definitions` VALUES (106776, 3289, 20, 'Ryd værdi i \"Brugernavn\"');
INSERT INTO `lang_definitions` VALUES (106777, 3392, 20, 'Aktiver scanner support');
INSERT INTO `lang_definitions` VALUES (106778, 3404, 20, 'Aktiveret');
INSERT INTO `lang_definitions` VALUES (106779, 3415, 20, 'Aftale');
INSERT INTO `lang_definitions` VALUES (106780, 3417, 20, 'Aftale');
INSERT INTO `lang_definitions` VALUES (106781, 3418, 20, 'Aftale');
INSERT INTO `lang_definitions` VALUES (106782, 3419, 20, 'Aftale');
INSERT INTO `lang_definitions` VALUES (106783, 3420, 20, 'Aftale');
INSERT INTO `lang_definitions` VALUES (106784, 3427, 20, 'Aftaledato');
INSERT INTO `lang_definitions` VALUES (106785, 3432, 20, 'Patientmöte formulär');
INSERT INTO `lang_definitions` VALUES (106786, 3434, 20, 'Aftale historik');
INSERT INTO `lang_definitions` VALUES (106787, 3435, 20, 'Aftale ID');
INSERT INTO `lang_definitions` VALUES (106788, 3439, 20, 'Aftale nummer/antal');
INSERT INTO `lang_definitions` VALUES (106789, 3444, 20, 'Aftal kontor besøg');
INSERT INTO `lang_definitions` VALUES (106790, 3461, 20, 'Aftalen var kodet');
INSERT INTO `lang_definitions` VALUES (106791, 3462, 20, 'Aftale');
INSERT INTO `lang_definitions` VALUES (106792, 3464, 20, 'Aftaler');
INSERT INTO `lang_definitions` VALUES (106793, 3466, 20, 'Patientmöte & Formulär');
INSERT INTO `lang_definitions` VALUES (106794, 3467, 20, 'Aftale ikke autoriseret');
INSERT INTO `lang_definitions` VALUES (106795, 3468, 20, 'Aftaler, rapport');
INSERT INTO `lang_definitions` VALUES (106796, 3469, 20, 'Aftaler, afsnit');
INSERT INTO `lang_definitions` VALUES (106797, 3472, 20, 'Slut');
INSERT INTO `lang_definitions` VALUES (106798, 3473, 20, 'Slut (åååå-mm-dd)');
INSERT INTO `lang_definitions` VALUES (106799, 3474, 20, 'Slutdato');
INSERT INTO `lang_definitions` VALUES (106800, 3475, 20, 'Slutdato');
INSERT INTO `lang_definitions` VALUES (106801, 3480, 20, 'Slutdato skal være senere end Statdato');
INSERT INTO `lang_definitions` VALUES (106802, 3482, 20, 'Slutdato:');
INSERT INTO `lang_definitions` VALUES (106803, 3487, 20, 'Sluttid');
INSERT INTO `lang_definitions` VALUES (106804, 3492, 20, 'Tjenesten slutter åååå-mm-dd');
INSERT INTO `lang_definitions` VALUES (106805, 3494, 20, 'Slut-time for dagens kalender-begivenheder');
INSERT INTO `lang_definitions` VALUES (106806, 3496, 20, 'Endokrina');
INSERT INTO `lang_definitions` VALUES (106807, 3497, 20, 'Endoskopi');
INSERT INTO `lang_definitions` VALUES (106808, 3502, 20, 'Engelsk');
INSERT INTO `lang_definitions` VALUES (106809, 3503, 20, 'Engelsk');
INSERT INTO `lang_definitions` VALUES (106810, 3504, 20, 'Engelsk (indien)');
INSERT INTO `lang_definitions` VALUES (106811, 3505, 20, 'Engelsk (standard)');
INSERT INTO `lang_definitions` VALUES (106812, 3509, 20, 'ENT afslut');
INSERT INTO `lang_definitions` VALUES (106813, 3510, 20, 'ENT smerter');
INSERT INTO `lang_definitions` VALUES (106814, 3513, 20, 'Skriv en diagnos kod för att utesluta alla fakturor som inte innehåller det');
INSERT INTO `lang_definitions` VALUES (106815, 3530, 20, 'Indtast medicin');
INSERT INTO `lang_definitions` VALUES (106816, 3538, 20, 'Indtast nøgle');
INSERT INTO `lang_definitions` VALUES (106817, 3581, 20, 'Angiv dine søgekriterier herover');
INSERT INTO `lang_definitions` VALUES (106818, 3591, 20, 'Miljöpåverkan');
INSERT INTO `lang_definitions` VALUES (106819, 3592, 20, 'EOB Data tillträde');
INSERT INTO `lang_definitions` VALUES (106820, 3597, 20, 'EOB Boknings - Instruktioner');
INSERT INTO `lang_definitions` VALUES (106821, 3598, 20, 'EOB Boknings - Faktura');
INSERT INTO `lang_definitions` VALUES (106822, 3599, 20, 'EOB Boknings - Patient Anmärkning');
INSERT INTO `lang_definitions` VALUES (106823, 3600, 20, 'EOB Boknings - Sök');
INSERT INTO `lang_definitions` VALUES (106824, 3602, 20, 'Epilepsi');
INSERT INTO `lang_definitions` VALUES (106825, 3612, 20, 'Slet');
INSERT INTO `lang_definitions` VALUES (106826, 3614, 20, 'Erektion');
INSERT INTO `lang_definitions` VALUES (106827, 3615, 20, 'Fejl');
INSERT INTO `lang_definitions` VALUES (106828, 3621, 20, 'Fejl i valg af \"køn\"');
INSERT INTO `lang_definitions` VALUES (106829, 3622, 20, 'Fel i \"HIPAA\" val');
INSERT INTO `lang_definitions` VALUES (106830, 3623, 20, 'Fel i \"Process\" val');
INSERT INTO `lang_definitions` VALUES (106831, 3624, 20, 'Fel i \"SMS Gateway\" val');
INSERT INTO `lang_definitions` VALUES (106832, 3625, 20, 'Fel i \"Sortera efter\" val');
INSERT INTO `lang_definitions` VALUES (106833, 3627, 20, 'Fejl i JA eller NEJ valgmulighed');
INSERT INTO `lang_definitions` VALUES (106834, 3630, 20, 'Fejl i åbningen af uploadet fil til læsning');
INSERT INTO `lang_definitions` VALUES (106835, 3640, 20, 'Fejl i registreringsformen!');
INSERT INTO `lang_definitions` VALUES (106836, 3651, 20, 'Fejl, filen eksisterer ikke');
INSERT INTO `lang_definitions` VALUES (106837, 3652, 20, 'FEJL, ikke muligt at samle data fra serveren');
INSERT INTO `lang_definitions` VALUES (106838, 3658, 20, 'Fejl, ikke muligt at åbne fil');
INSERT INTO `lang_definitions` VALUES (106839, 3664, 20, 'FEL: kunde inte öppna table.sql bruten form?');
INSERT INTO `lang_definitions` VALUES (106840, 3672, 20, 'Fejl i kodeord. Tjek din indtastning');
INSERT INTO `lang_definitions` VALUES (106841, 3673, 20, 'Fejl i kodeord. Tjek din indtastning');
INSERT INTO `lang_definitions` VALUES (106842, 3674, 20, 'Fejl: Filen eksisterer ikke');
INSERT INTO `lang_definitions` VALUES (106843, 3676, 20, 'FEJL: Ikke muligt at kopiere filen');
INSERT INTO `lang_definitions` VALUES (106844, 3682, 20, 'Fejl');
INSERT INTO `lang_definitions` VALUES (106845, 3690, 20, 'Erythema:');
INSERT INTO `lang_definitions` VALUES (106846, 3699, 20, 'Etableret patient');
INSERT INTO `lang_definitions` VALUES (106847, 3702, 20, 'Etnicitet');
INSERT INTO `lang_definitions` VALUES (106848, 3706, 20, 'ETIN');
INSERT INTO `lang_definitions` VALUES (106849, 3709, 20, 'Begivenhed');
INSERT INTO `lang_definitions` VALUES (106850, 3710, 20, 'Begivenhed begynder');
INSERT INTO `lang_definitions` VALUES (106851, 3711, 20, 'Begivenhed kategori');
INSERT INTO `lang_definitions` VALUES (106852, 3712, 20, 'Begivenhed dato');
INSERT INTO `lang_definitions` VALUES (106853, 3714, 20, 'Begivenhed beskrivelse');
INSERT INTO `lang_definitions` VALUES (106854, 3715, 20, 'Begivenhed detaljer');
INSERT INTO `lang_definitions` VALUES (106855, 3716, 20, 'Begivenheden gentages ikke');
INSERT INTO `lang_definitions` VALUES (106856, 3717, 20, 'Begivenhed varighed');
INSERT INTO `lang_definitions` VALUES (106857, 3718, 20, 'Begivenhed, varighed i minutter');
INSERT INTO `lang_definitions` VALUES (106858, 3719, 20, 'Begivenhed, afgift');
INSERT INTO `lang_definitions` VALUES (106859, 3720, 20, 'Event Location');
INSERT INTO `lang_definitions` VALUES (106860, 3721, 20, 'Begivenheden gentages hver');
INSERT INTO `lang_definitions` VALUES (106861, 3722, 20, 'Begivenheden gentages d.');
INSERT INTO `lang_definitions` VALUES (106862, 3723, 20, 'Begivenhed starttid');
INSERT INTO `lang_definitions` VALUES (106863, 3724, 20, 'Begivenhed titel');
INSERT INTO `lang_definitions` VALUES (106864, 3725, 20, 'Begivenhed titel');
INSERT INTO `lang_definitions` VALUES (106865, 3726, 20, 'Begivenhed hjemmeside');
INSERT INTO `lang_definitions` VALUES (106866, 3727, 20, 'Begivenheder');
INSERT INTO `lang_definitions` VALUES (106867, 3728, 20, 'Begivenheder for');
INSERT INTO `lang_definitions` VALUES (106868, 3729, 20, 'Begivenhed åbner i nyt vindue');
INSERT INTO `lang_definitions` VALUES (106869, 3731, 20, 'hver');
INSERT INTO `lang_definitions` VALUES (106870, 3732, 20, 'Hver');
INSERT INTO `lang_definitions` VALUES (106871, 3734, 20, 'Hver tredje time');
INSERT INTO `lang_definitions` VALUES (106872, 3736, 20, 'Hver fjerde time');
INSERT INTO `lang_definitions` VALUES (106873, 3738, 20, 'Hver femte time');
INSERT INTO `lang_definitions` VALUES (106874, 3740, 20, 'Hver sjette time');
INSERT INTO `lang_definitions` VALUES (106875, 3742, 20, 'Hver ottende time');
INSERT INTO `lang_definitions` VALUES (106876, 3743, 20, 'Hver fjerde');
INSERT INTO `lang_definitions` VALUES (106877, 3745, 20, 'Hver anden');
INSERT INTO `lang_definitions` VALUES (106878, 3746, 20, 'Hver tredje');
INSERT INTO `lang_definitions` VALUES (106879, 3747, 20, 'Varje, var andra, var 3:e, etc');
INSERT INTO `lang_definitions` VALUES (106880, 3749, 20, 'Tenta och testresultat');
INSERT INTO `lang_definitions` VALUES (106881, 3750, 20, 'Testresultat');
INSERT INTO `lang_definitions` VALUES (106882, 3753, 20, 'Undersøgelse');
INSERT INTO `lang_definitions` VALUES (106883, 3754, 20, 'Undersøgelse dato');
INSERT INTO `lang_definitions` VALUES (106884, 3755, 20, 'Eksempel');
INSERT INTO `lang_definitions` VALUES (106885, 3758, 20, 'Eksempler');
INSERT INTO `lang_definitions` VALUES (106886, 3760, 20, 'Exams / Tester');
INSERT INTO `lang_definitions` VALUES (106887, 3763, 20, 'Överdrivet rivande');
INSERT INTO `lang_definitions` VALUES (106888, 3771, 20, 'Øvelse');
INSERT INTO `lang_definitions` VALUES (106889, 3772, 20, 'Motions mönster');
INSERT INTO `lang_definitions` VALUES (106890, 3773, 20, 'Övningsmönster');
INSERT INTO `lang_definitions` VALUES (106891, 3778, 20, 'lämna från Administration');
INSERT INTO `lang_definitions` VALUES (106892, 3784, 20, 'Udvide');
INSERT INTO `lang_definitions` VALUES (106893, 3785, 20, 'udvide');
INSERT INTO `lang_definitions` VALUES (106894, 3787, 20, 'Udvid alle');
INSERT INTO `lang_definitions` VALUES (106895, 3792, 20, 'Udvidet view');
INSERT INTO `lang_definitions` VALUES (106896, 3793, 20, 'Förväntad form_mötes.pid att');
INSERT INTO `lang_definitions` VALUES (106897, 3794, 20, 'Utgångsdatum');
INSERT INTO `lang_definitions` VALUES (106898, 3795, 20, 'Utgångsdatum');
INSERT INTO `lang_definitions` VALUES (106899, 3797, 20, 'Udløber i');
INSERT INTO `lang_definitions` VALUES (106900, 3798, 20, 'Udløber i');
INSERT INTO `lang_definitions` VALUES (106901, 3799, 20, 'Exporter');
INSERT INTO `lang_definitions` VALUES (106902, 3800, 20, 'Exportera som CSV');
INSERT INTO `lang_definitions` VALUES (106903, 3812, 20, 'Exportera till CSV');
INSERT INTO `lang_definitions` VALUES (106904, 3813, 20, 'Exportera till externa faktureringssystem');
INSERT INTO `lang_definitions` VALUES (106905, 3815, 20, 'Exponering för andra länder');
INSERT INTO `lang_definitions` VALUES (106906, 3834, 20, 'Extern remiss');
INSERT INTO `lang_definitions` VALUES (106907, 3836, 20, 'Extern remiss?');
INSERT INTO `lang_definitions` VALUES (106908, 3837, 20, 'Externa remisser');
INSERT INTO `lang_definitions` VALUES (106909, 3863, 20, 'Øjne');
INSERT INTO `lang_definitions` VALUES (106910, 3865, 20, 'F');
INSERT INTO `lang_definitions` VALUES (106911, 3868, 20, 'Kliniker');
INSERT INTO `lang_definitions` VALUES (106912, 3869, 20, 'Klinik');
INSERT INTO `lang_definitions` VALUES (106913, 3870, 20, 'klinik');
INSERT INTO `lang_definitions` VALUES (106914, 3871, 20, 'Klinikadm');
INSERT INTO `lang_definitions` VALUES (106915, 3873, 20, 'Klinik kode');
INSERT INTO `lang_definitions` VALUES (106916, 3879, 20, 'Klinik NPI');
INSERT INTO `lang_definitions` VALUES (106917, 3888, 20, 'Klinik:');
INSERT INTO `lang_definitions` VALUES (106918, 3890, 20, 'Mislykkedes');
INSERT INTO `lang_definitions` VALUES (106919, 3891, 20, 'mislykkedes');
INSERT INTO `lang_definitions` VALUES (106920, 3908, 20, 'fejl');
INSERT INTO `lang_definitions` VALUES (106921, 3916, 20, 'Familiehistorie');
INSERT INTO `lang_definitions` VALUES (106922, 3919, 20, 'Familiehistorie');
INSERT INTO `lang_definitions` VALUES (106923, 3921, 20, 'Familie betaling');
INSERT INTO `lang_definitions` VALUES (106924, 3922, 20, 'Familie størrelse');
INSERT INTO `lang_definitions` VALUES (106925, 3928, 20, 'Fader');
INSERT INTO `lang_definitions` VALUES (106926, 3931, 20, 'Fatigue');
INSERT INTO `lang_definitions` VALUES (106927, 3933, 20, 'Fax');
INSERT INTO `lang_definitions` VALUES (106928, 3935, 20, 'Faxnummer');
INSERT INTO `lang_definitions` VALUES (106929, 3937, 20, 'Fax/scan');
INSERT INTO `lang_definitions` VALUES (106930, 3938, 20, 'Fax ind');
INSERT INTO `lang_definitions` VALUES (106931, 3939, 20, 'Fax ud');
INSERT INTO `lang_definitions` VALUES (106932, 3940, 20, 'Funktioner');
INSERT INTO `lang_definitions` VALUES (106933, 3941, 20, 'Feb');
INSERT INTO `lang_definitions` VALUES (106934, 3942, 20, 'Februar');
INSERT INTO `lang_definitions` VALUES (106935, 3944, 20, 'Läkemedel ID');
INSERT INTO `lang_definitions` VALUES (106936, 3946, 20, 'Skatt ID');
INSERT INTO `lang_definitions` VALUES (106937, 3948, 20, 'Afgift');
INSERT INTO `lang_definitions` VALUES (106938, 3949, 20, 'Afgift');
INSERT INTO `lang_definitions` VALUES (106939, 3950, 20, 'Afgiften er ikke tilladt');
INSERT INTO `lang_definitions` VALUES (106940, 3951, 20, 'Afgift blankett');
INSERT INTO `lang_definitions` VALUES (106941, 3955, 20, 'Afgifter');
INSERT INTO `lang_definitions` VALUES (106942, 3956, 20, 'Kvinde');
INSERT INTO `lang_definitions` VALUES (106943, 3957, 20, 'Kvinde AP');
INSERT INTO `lang_definitions` VALUES (106944, 3959, 20, 'Kvinde G');
INSERT INTO `lang_definitions` VALUES (106945, 3960, 20, 'Kvinde LC');
INSERT INTO `lang_definitions` VALUES (106946, 3961, 20, 'Kvinde P');
INSERT INTO `lang_definitions` VALUES (106947, 3962, 20, 'Kvindelige symptomer');
INSERT INTO `lang_definitions` VALUES (106948, 3963, 20, 'Kvinde VSC');
INSERT INTO `lang_definitions` VALUES (106949, 3966, 20, 'Feber');
INSERT INTO `lang_definitions` VALUES (106950, 3967, 20, 'Feber:');
INSERT INTO `lang_definitions` VALUES (106951, 3986, 20, 'Fil');
INSERT INTO `lang_definitions` VALUES (106952, 3990, 20, 'Fil lokation');
INSERT INTO `lang_definitions` VALUES (106953, 4004, 20, 'Filnavn');
INSERT INTO `lang_definitions` VALUES (106954, 4006, 20, 'Filer');
INSERT INTO `lang_definitions` VALUES (106955, 4013, 20, 'Udfyld en af rækkerne herunder');
INSERT INTO `lang_definitions` VALUES (106956, 4014, 20, 'Udfyld kun her, hvis du vil sende emailnotifikation til patient');
INSERT INTO `lang_definitions` VALUES (106957, 4023, 20, 'Udfyld værdier herunder');
INSERT INTO `lang_definitions` VALUES (106958, 4025, 20, 'Udfyld rækken');
INSERT INTO `lang_definitions` VALUES (106959, 4028, 20, 'Filter');
INSERT INTO `lang_definitions` VALUES (106960, 4032, 20, 'Filter');
INSERT INTO `lang_definitions` VALUES (106961, 4035, 20, 'Endelig diagnose');
INSERT INTO `lang_definitions` VALUES (106962, 4036, 20, 'Endelig diagnose af specialist');
INSERT INTO `lang_definitions` VALUES (106963, 4038, 20, 'Finansielle');
INSERT INTO `lang_definitions` VALUES (106964, 4039, 20, 'Finansiel slutdato (åååå-mm-dd)');
INSERT INTO `lang_definitions` VALUES (106965, 4040, 20, 'Finansiel rapport - hvilken som helst');
INSERT INTO `lang_definitions` VALUES (106966, 4042, 20, 'Finansiel rapport - mine aftaler');
INSERT INTO `lang_definitions` VALUES (106967, 4045, 20, 'Finansiel oversigt dato');
INSERT INTO `lang_definitions` VALUES (106968, 4048, 20, 'Find');
INSERT INTO `lang_definitions` VALUES (106969, 4049, 20, 'Find ledig');
INSERT INTO `lang_definitions` VALUES (106970, 4050, 20, 'Find ledige tider');
INSERT INTO `lang_definitions` VALUES (106971, 4053, 20, 'Find patient');
INSERT INTO `lang_definitions` VALUES (106972, 4056, 20, 'Søgeresultater');
INSERT INTO `lang_definitions` VALUES (106973, 4057, 20, 'Søgeresultater ved specialist');
INSERT INTO `lang_definitions` VALUES (106974, 4058, 20, 'Fin');
INSERT INTO `lang_definitions` VALUES (106975, 4060, 20, 'Afslut betalinger');
INSERT INTO `lang_definitions` VALUES (106976, 4065, 20, 'Første');
INSERT INTO `lang_definitions` VALUES (106977, 4068, 20, 'Første dag i ugen');
INSERT INTO `lang_definitions` VALUES (106978, 4071, 20, 'Fornavn');
INSERT INTO `lang_definitions` VALUES (106979, 4072, 20, 'Fornavn');
INSERT INTO `lang_definitions` VALUES (106980, 4073, 20, 'Fornavn');
INSERT INTO `lang_definitions` VALUES (106981, 4079, 20, 'Fitness');
INSERT INTO `lang_definitions` VALUES (106982, 4083, 20, 'Fitness att spela');
INSERT INTO `lang_definitions` VALUES (106983, 4086, 20, 'Løs dette');
INSERT INTO `lang_definitions` VALUES (106984, 4091, 20, 'Flov');
INSERT INTO `lang_definitions` VALUES (106985, 4108, 20, 'Influenzasæson');
INSERT INTO `lang_definitions` VALUES (106986, 4110, 20, 'Influensavaccination');
INSERT INTO `lang_definitions` VALUES (106987, 4111, 20, 'Vätske-och elektrolyt problem');
INSERT INTO `lang_definitions` VALUES (106988, 4114, 20, 'Følg manuelt');
INSERT INTO `lang_definitions` VALUES (106989, 4116, 20, 'Opfølgning');
INSERT INTO `lang_definitions` VALUES (106990, 4119, 20, 'Opfølgningsgrund');
INSERT INTO `lang_definitions` VALUES (106991, 4122, 20, 'Følgende er et nyt brugerdefineret sprog');
INSERT INTO `lang_definitions` VALUES (106992, 4125, 20, 'Opfølgning sevice');
INSERT INTO `lang_definitions` VALUES (106993, 4129, 20, 'Fødeallergier');
INSERT INTO `lang_definitions` VALUES (106994, 4130, 20, 'Fod');
INSERT INTO `lang_definitions` VALUES (106995, 4131, 20, 'Fodproblemer');
INSERT INTO `lang_definitions` VALUES (106996, 4132, 20, 'Fod:');
INSERT INTO `lang_definitions` VALUES (106997, 4135, 20, 'Fotboll Skaderapport');
INSERT INTO `lang_definitions` VALUES (106998, 4136, 20, 'Skotyp');
INSERT INTO `lang_definitions` VALUES (106999, 4137, 20, 'for');
INSERT INTO `lang_definitions` VALUES (107000, 4138, 20, 'For');
INSERT INTO `lang_definitions` VALUES (107001, 4144, 20, 'For kode');
INSERT INTO `lang_definitions` VALUES (107002, 4152, 20, 'For aftale krav');
INSERT INTO `lang_definitions` VALUES (107003, 4154, 20, 'F.eks.:');
INSERT INTO `lang_definitions` VALUES (107004, 4161, 20, 'Til faktura');
INSERT INTO `lang_definitions` VALUES (107005, 4176, 20, 'For de seneste');
INSERT INTO `lang_definitions` VALUES (107006, 4189, 20, 'for:');
INSERT INTO `lang_definitions` VALUES (107007, 4191, 20, 'Gennemtving Ny Patient');
INSERT INTO `lang_definitions` VALUES (107008, 4194, 20, 'Underarm');
INSERT INTO `lang_definitions` VALUES (107009, 4195, 20, 'Formular');
INSERT INTO `lang_definitions` VALUES (107010, 4196, 20, 'formular');
INSERT INTO `lang_definitions` VALUES (107011, 4201, 20, 'Format');
INSERT INTO `lang_definitions` VALUES (107012, 4202, 20, 'format');
INSERT INTO `lang_definitions` VALUES (107013, 4204, 20, 'Fejlformat for NDC');
INSERT INTO `lang_definitions` VALUES (107014, 4205, 20, 'Formatet plejede at vise de fleste datoer');
INSERT INTO `lang_definitions` VALUES (107015, 4206, 20, 'Formatet plejede at vise de fleste tider');
INSERT INTO `lang_definitions` VALUES (107016, 4207, 20, 'Formateret');
INSERT INTO `lang_definitions` VALUES (107017, 4208, 20, 'Tidligere ryger');
INSERT INTO `lang_definitions` VALUES (107018, 4209, 20, 'Formularer');
INSERT INTO `lang_definitions` VALUES (107019, 4210, 20, 'Formularer administration');
INSERT INTO `lang_definitions` VALUES (107020, 4219, 20, 'Videresend sider via fax');
INSERT INTO `lang_definitions` VALUES (107021, 4222, 20, 'Videresendt');
INSERT INTO `lang_definitions` VALUES (107022, 4225, 20, 'Fjerde');
INSERT INTO `lang_definitions` VALUES (107023, 4227, 20, 'Fraktur');
INSERT INTO `lang_definitions` VALUES (107024, 4228, 20, 'Fracture på Navicula');
INSERT INTO `lang_definitions` VALUES (107025, 4229, 20, 'Fracture laterala malleolus');
INSERT INTO `lang_definitions` VALUES (107026, 4230, 20, 'Fracture mediala malleolus');
INSERT INTO `lang_definitions` VALUES (107027, 4238, 20, 'Frekvens');
INSERT INTO `lang_definitions` VALUES (107028, 4241, 20, 'Fre');
INSERT INTO `lang_definitions` VALUES (107029, 4242, 20, 'Fredag');
INSERT INTO `lang_definitions` VALUES (107030, 4244, 20, 'Fra');
INSERT INTO `lang_definitions` VALUES (107031, 4245, 20, 'FRA');
INSERT INTO `lang_definitions` VALUES (107032, 4246, 20, 'fra');
INSERT INTO `lang_definitions` VALUES (107033, 4247, 20, 'Fra-Dato må ikke være senere end Til-Dato');
INSERT INTO `lang_definitions` VALUES (107034, 4253, 20, 'Fra:');
INSERT INTO `lang_definitions` VALUES (107035, 4254, 20, 'Fra:');
INSERT INTO `lang_definitions` VALUES (107036, 4267, 20, 'Reception');
INSERT INTO `lang_definitions` VALUES (107037, 4268, 20, 'Reception, kvittering');
INSERT INTO `lang_definitions` VALUES (107038, 4269, 20, 'Reception, kvittering rapport');
INSERT INTO `lang_definitions` VALUES (107039, 4271, 20, 'Frontal højre');
INSERT INTO `lang_definitions` VALUES (107040, 4278, 20, 'Fulde navn');
INSERT INTO `lang_definitions` VALUES (107041, 4284, 20, 'Fuld betaling');
INSERT INTO `lang_definitions` VALUES (107042, 4286, 20, 'Fuld træning');
INSERT INTO `lang_definitions` VALUES (107043, 4288, 20, 'Fuldt ud betalt');
INSERT INTO `lang_definitions` VALUES (107044, 4303, 20, 'Gallsten');
INSERT INTO `lang_definitions` VALUES (107045, 4304, 20, 'Game Period');
INSERT INTO `lang_definitions` VALUES (107046, 4305, 20, 'Spil');
INSERT INTO `lang_definitions` VALUES (107047, 4307, 20, 'spel / evenemang');
INSERT INTO `lang_definitions` VALUES (107048, 4310, 20, 'Gastrit');
INSERT INTO `lang_definitions` VALUES (107049, 4312, 20, 'Gastrointestinala');
INSERT INTO `lang_definitions` VALUES (107050, 4316, 20, 'GCAC Statistik Rapport');
INSERT INTO `lang_definitions` VALUES (107051, 4319, 20, 'Køn');
INSERT INTO `lang_definitions` VALUES (107052, 4320, 20, 'Køn');
INSERT INTO `lang_definitions` VALUES (107053, 4321, 20, 'Generelt');
INSERT INTO `lang_definitions` VALUES (107054, 4325, 20, 'Generel service kategori');
INSERT INTO `lang_definitions` VALUES (107055, 4332, 20, 'Opret og download CMS 1500 papir krav');
INSERT INTO `lang_definitions` VALUES (107056, 4334, 20, 'Opret og download HCFA 1500 papir krav');
INSERT INTO `lang_definitions` VALUES (107057, 4337, 20, 'Opret og dowload X12 batch');
INSERT INTO `lang_definitions` VALUES (107058, 4348, 20, 'Opret brev');
INSERT INTO `lang_definitions` VALUES (107059, 4349, 20, 'Opret brev angående');
INSERT INTO `lang_definitions` VALUES (107060, 4357, 20, 'Opret rapport');
INSERT INTO `lang_definitions` VALUES (107061, 4365, 20, 'Opret brugernavn og kodeord for');
INSERT INTO `lang_definitions` VALUES (107062, 4368, 20, 'Opret X12 besøg');
INSERT INTO `lang_definitions` VALUES (107063, 4370, 20, 'Oprettet på');
INSERT INTO `lang_definitions` VALUES (107064, 4372, 20, 'Opretter');
INSERT INTO `lang_definitions` VALUES (107065, 4392, 20, 'Glaukom');
INSERT INTO `lang_definitions` VALUES (107066, 4395, 20, 'Global');
INSERT INTO `lang_definitions` VALUES (107067, 4403, 20, 'Gå');
INSERT INTO `lang_definitions` VALUES (107068, 4404, 20, 'gå');
INSERT INTO `lang_definitions` VALUES (107069, 4407, 20, 'Gå til');
INSERT INTO `lang_definitions` VALUES (107070, 4417, 20, 'Gå til uge nr');
INSERT INTO `lang_definitions` VALUES (107071, 4418, 20, 'Gå til i dag');
INSERT INTO `lang_definitions` VALUES (107072, 4428, 20, 'Grad af skade');
INSERT INTO `lang_definitions` VALUES (107073, 4429, 20, 'Grad:');
INSERT INTO `lang_definitions` VALUES (107074, 4431, 20, 'Tilsammen');
INSERT INTO `lang_definitions` VALUES (107075, 4432, 20, 'Tilsammen');
INSERT INTO `lang_definitions` VALUES (107076, 4437, 20, 'Større end');
INSERT INTO `lang_definitions` VALUES (107077, 4438, 20, 'Større eller lig med');
INSERT INTO `lang_definitions` VALUES (107078, 4442, 20, 'Gruppe');
INSERT INTO `lang_definitions` VALUES (107079, 4459, 20, 'Gruppenavn');
INSERT INTO `lang_definitions` VALUES (107080, 4460, 20, 'Gruppenavne må ikke være blanke');
INSERT INTO `lang_definitions` VALUES (107081, 4461, 20, 'Gruppenavne må ikke starte med tal eller mellemrum');
INSERT INTO `lang_definitions` VALUES (107082, 4462, 20, 'Gruppenavne må ikke starte med tal');
INSERT INTO `lang_definitions` VALUES (107083, 4463, 20, 'Gruppenummer');
INSERT INTO `lang_definitions` VALUES (107084, 4465, 20, 'Gruppebetaling');
INSERT INTO `lang_definitions` VALUES (107085, 4471, 20, 'Gruppe:');
INSERT INTO `lang_definitions` VALUES (107086, 4472, 20, 'Gruppenavn');
INSERT INTO `lang_definitions` VALUES (107087, 4475, 20, 'Grupper og adgangskontroller');
INSERT INTO `lang_definitions` VALUES (107088, 4478, 20, 'Droppar');
INSERT INTO `lang_definitions` VALUES (107089, 4495, 20, 'Hematom / blåmärken');
INSERT INTO `lang_definitions` VALUES (107090, 4499, 20, 'Hånd + fingre');
INSERT INTO `lang_definitions` VALUES (107091, 4500, 20, 'Håndproblemer');
INSERT INTO `lang_definitions` VALUES (107092, 4506, 20, 'Umbäranden w / o');
INSERT INTO `lang_definitions` VALUES (107093, 4508, 20, 'Er udløbet');
INSERT INTO `lang_definitions` VALUES (107094, 4517, 20, 'Farliga aktiviteter');
INSERT INTO `lang_definitions` VALUES (107095, 4527, 20, 'han PostCalendar');
INSERT INTO `lang_definitions` VALUES (107096, 4528, 20, 'Hoved');
INSERT INTO `lang_definitions` VALUES (107097, 4531, 20, 'Hovedpine');
INSERT INTO `lang_definitions` VALUES (107098, 4532, 20, 'Hovedpiner');
INSERT INTO `lang_definitions` VALUES (107099, 4534, 20, 'Helbredsoplysninger');
INSERT INTO `lang_definitions` VALUES (107100, 4535, 20, 'Helbredsoplysninger');
INSERT INTO `lang_definitions` VALUES (107101, 4542, 20, 'Høretab');
INSERT INTO `lang_definitions` VALUES (107102, 4543, 20, 'Hjertetilfælde');
INSERT INTO `lang_definitions` VALUES (107103, 4544, 20, 'Hjertesygdom');
INSERT INTO `lang_definitions` VALUES (107104, 4545, 20, 'Hjärtsvikt');
INSERT INTO `lang_definitions` VALUES (107105, 4546, 20, 'Hjerteproblemer');
INSERT INTO `lang_definitions` VALUES (107106, 4547, 20, 'hjerteproblemer');
INSERT INTO `lang_definitions` VALUES (107107, 4548, 20, 'Hjärtkirurgi');
INSERT INTO `lang_definitions` VALUES (107108, 4549, 20, 'Heart Transplant');
INSERT INTO `lang_definitions` VALUES (107109, 4550, 20, 'Heart:');
INSERT INTO `lang_definitions` VALUES (107110, 4552, 20, 'varm eller kold');
INSERT INTO `lang_definitions` VALUES (107111, 4553, 20, 'varm eller kold');
INSERT INTO `lang_definitions` VALUES (107112, 4558, 20, 'Højde');
INSERT INTO `lang_definitions` VALUES (107113, 4560, 20, 'Hjælp');
INSERT INTO `lang_definitions` VALUES (107114, 4561, 20, 'hjælp');
INSERT INTO `lang_definitions` VALUES (107115, 4567, 20, 'Hemoglobin');
INSERT INTO `lang_definitions` VALUES (107116, 4570, 20, 'Hepatit');
INSERT INTO `lang_definitions` VALUES (107117, 4576, 20, 'Her');
INSERT INTO `lang_definitions` VALUES (107118, 4580, 20, 'Bråck Reparation');
INSERT INTO `lang_definitions` VALUES (107119, 4581, 20, 'Diskbråck');
INSERT INTO `lang_definitions` VALUES (107120, 4582, 20, 'Herpes');
INSERT INTO `lang_definitions` VALUES (107121, 4586, 20, 'heyyo. du har varit här i');
INSERT INTO `lang_definitions` VALUES (107122, 4591, 20, 'Skjulte');
INSERT INTO `lang_definitions` VALUES (107123, 4592, 20, 'Skjulte begivenheder administration');
INSERT INTO `lang_definitions` VALUES (107124, 4593, 20, 'skjul');
INSERT INTO `lang_definitions` VALUES (107125, 4595, 20, 'skjul deltaljer');
INSERT INTO `lang_definitions` VALUES (107126, 4599, 20, 'Skjul menu');
INSERT INTO `lang_definitions` VALUES (107127, 4603, 20, 'Skjul/vis kolonner');
INSERT INTO `lang_definitions` VALUES (107128, 4605, 20, 'Høj');
INSERT INTO `lang_definitions` VALUES (107129, 4607, 20, 'Forhøjet blodtryk');
INSERT INTO `lang_definitions` VALUES (107130, 4610, 20, 'Höft + ljumske');
INSERT INTO `lang_definitions` VALUES (107131, 4611, 20, 'Höft och ljumske');
INSERT INTO `lang_definitions` VALUES (107132, 4612, 20, 'Hip Problem');
INSERT INTO `lang_definitions` VALUES (107133, 4613, 20, 'Höftledsplastik');
INSERT INTO `lang_definitions` VALUES (107134, 4615, 20, 'Ej Tilldelad');
INSERT INTO `lang_definitions` VALUES (107135, 4618, 20, 'Spansktalande');
INSERT INTO `lang_definitions` VALUES (107136, 4623, 20, 'Historie');
INSERT INTO `lang_definitions` VALUES (107137, 4629, 20, 'Historie data');
INSERT INTO `lang_definitions` VALUES (107138, 4630, 20, 'Historie dato');
INSERT INTO `lang_definitions` VALUES (107139, 4653, 20, 'Hold [Ctrl] nede for at vælge eller fravælge flere');
INSERT INTO `lang_definitions` VALUES (107140, 4655, 20, 'Hold Ctrl nede for at vælge flere emner');
INSERT INTO `lang_definitions` VALUES (107141, 4658, 20, 'Hjem');
INSERT INTO `lang_definitions` VALUES (107142, 4659, 20, 'Fastnet');
INSERT INTO `lang_definitions` VALUES (107143, 4660, 20, 'Fastnet');
INSERT INTO `lang_definitions` VALUES (107144, 4662, 20, 'Hjemløs el. lign.');
INSERT INTO `lang_definitions` VALUES (107145, 4674, 20, 'Værtsnavn');
INSERT INTO `lang_definitions` VALUES (107146, 4675, 20, 'Værtsnavn må ikke være tomt');
INSERT INTO `lang_definitions` VALUES (107147, 4677, 20, 'Time');
INSERT INTO `lang_definitions` VALUES (107148, 4678, 20, 'Timer');
INSERT INTO `lang_definitions` VALUES (107149, 4681, 20, 'Hur uppstod skadan?');
INSERT INTO `lang_definitions` VALUES (107150, 4682, 20, 'Hur uppstod skadan?:');
INSERT INTO `lang_definitions` VALUES (107151, 4683, 20, 'Hvor har de hørt om os?');
INSERT INTO `lang_definitions` VALUES (107152, 4685, 20, 'Hur många månader att fråga efter kommande evenemang?');
INSERT INTO `lang_definitions` VALUES (107153, 4706, 20, 'Hyperaktiv');
INSERT INTO `lang_definitions` VALUES (107154, 4711, 20, 'Hyperthyroidism');
INSERT INTO `lang_definitions` VALUES (107155, 4713, 20, 'Hypotyreoidism');
INSERT INTO `lang_definitions` VALUES (107156, 4716, 20, 'Hysterektomi');
INSERT INTO `lang_definitions` VALUES (107157, 4717, 20, 'Jeg');
INSERT INTO `lang_definitions` VALUES (107158, 4718, 20, 'Jeg er optaget i løbet af denne tid');
INSERT INTO `lang_definitions` VALUES (107159, 4719, 20, 'Jeg har ikke tilladelse til at læse');
INSERT INTO `lang_definitions` VALUES (107160, 4743, 20, 'Identificeret som');
INSERT INTO `lang_definitions` VALUES (107161, 4755, 20, 'Hvis al data for denne kolonne er komplet for denne blanket');
INSERT INTO `lang_definitions` VALUES (107162, 4763, 20, 'Hvis indtastet, vælg kun dem der har haft denne service');
INSERT INTO `lang_definitions` VALUES (107163, 4765, 20, 'Hvis navn, en del af efternavn eller efternavn, fornavn');
INSERT INTO `lang_definitions` VALUES (107164, 4770, 20, 'Hvis betaling med');
INSERT INTO `lang_definitions` VALUES (107165, 4771, 20, 'Hvis person er afgået ved døden, indtast da dødsdato');
INSERT INTO `lang_definitions` VALUES (107166, 4803, 20, 'Hvis arbejdsløs eller studerende');
INSERT INTO `lang_definitions` VALUES (107167, 4850, 20, 'Hvis du vil ændre datatype eller tilføje rækker eller kolonner');
INSERT INTO `lang_definitions` VALUES (107168, 4854, 20, 'Ignorer');
INSERT INTO `lang_definitions` VALUES (107169, 4856, 20, 'Sygdom');
INSERT INTO `lang_definitions` VALUES (107170, 4865, 20, 'Vaccinering');
INSERT INTO `lang_definitions` VALUES (107171, 4872, 20, 'Vaccin, Lotnummer');
INSERT INTO `lang_definitions` VALUES (107172, 4873, 20, 'Vaccin, tillverkare');
INSERT INTO `lang_definitions` VALUES (107173, 4885, 20, 'Vaccineringar');
INSERT INTO `lang_definitions` VALUES (107174, 4887, 20, 'Vaccinera');
INSERT INTO `lang_definitions` VALUES (107175, 4893, 20, 'Implantater');
INSERT INTO `lang_definitions` VALUES (107176, 4894, 20, 'Importer');
INSERT INTO `lang_definitions` VALUES (107177, 4904, 20, 'Importer patient');
INSERT INTO `lang_definitions` VALUES (107178, 4905, 20, 'Importera Patientdemografi');
INSERT INTO `lang_definitions` VALUES (107179, 4914, 20, 'Importeret fra regnskab');
INSERT INTO `lang_definitions` VALUES (107180, 4920, 20, 'Forbedret');
INSERT INTO `lang_definitions` VALUES (107181, 4922, 20, 'i');
INSERT INTO `lang_definitions` VALUES (107182, 4923, 20, 'i');
INSERT INTO `lang_definitions` VALUES (107183, 4931, 20, 'I begge øjne');
INSERT INTO `lang_definitions` VALUES (107184, 4934, 20, 'I venstre øje');
INSERT INTO `lang_definitions` VALUES (107185, 4935, 20, 'i næsebor');
INSERT INTO `lang_definitions` VALUES (107186, 4936, 20, 'Arbejder');
INSERT INTO `lang_definitions` VALUES (107187, 4947, 20, 'i højre øre');
INSERT INTO `lang_definitions` VALUES (107188, 4960, 20, 'Inaktiv');
INSERT INTO `lang_definitions` VALUES (107189, 4965, 20, 'Inaktive dage');
INSERT INTO `lang_definitions` VALUES (107190, 4967, 20, 'Indbakke');
INSERT INTO `lang_definitions` VALUES (107191, 4970, 20, 'Inkluder kontrolsum');
INSERT INTO `lang_definitions` VALUES (107192, 4971, 20, 'Inkluder fuldstændig');
INSERT INTO `lang_definitions` VALUES (107193, 4975, 20, 'Inkluder ukategoriserede');
INSERT INTO `lang_definitions` VALUES (107194, 4982, 20, 'Indkomst');
INSERT INTO `lang_definitions` VALUES (107195, 4984, 20, 'Ufuldstændig');
INSERT INTO `lang_definitions` VALUES (107196, 4990, 20, 'Øget');
INSERT INTO `lang_definitions` VALUES (107197, 4991, 20, 'Ansvarsforsikring');
INSERT INTO `lang_definitions` VALUES (107198, 4994, 20, 'Ubestemt');
INSERT INTO `lang_definitions` VALUES (107199, 4998, 20, 'Indikerer abnormalitet');
INSERT INTO `lang_definitions` VALUES (107200, 5000, 20, 'Indikerar om detta problem/frågeställning är aktiv');
INSERT INTO `lang_definitions` VALUES (107201, 5003, 20, 'Trængende patienter');
INSERT INTO `lang_definitions` VALUES (107202, 5004, 20, 'Trængende patienter rapport');
INSERT INTO `lang_definitions` VALUES (107203, 5005, 20, 'Trængende');
INSERT INTO `lang_definitions` VALUES (107204, 5012, 20, 'Ikke-støtteberettigede');
INSERT INTO `lang_definitions` VALUES (107205, 5013, 20, 'Infektion / Abscess');
INSERT INTO `lang_definitions` VALUES (107206, 5014, 20, 'Infektioner');
INSERT INTO `lang_definitions` VALUES (107207, 5015, 20, 'Infert Couns');
INSERT INTO `lang_definitions` VALUES (107208, 5022, 20, 'Info');
INSERT INTO `lang_definitions` VALUES (107209, 5023, 20, 'Info test 1');
INSERT INTO `lang_definitions` VALUES (107210, 5024, 20, 'Info test 2');
INSERT INTO `lang_definitions` VALUES (107211, 5025, 20, 'Info test 3');
INSERT INTO `lang_definitions` VALUES (107212, 5026, 20, 'Info test 4');
INSERT INTO `lang_definitions` VALUES (107213, 5027, 20, 'Info test 5');
INSERT INTO `lang_definitions` VALUES (107214, 5028, 20, 'Info test 6');
INSERT INTO `lang_definitions` VALUES (107215, 5034, 20, 'inhalation');
INSERT INTO `lang_definitions` VALUES (107216, 5036, 20, 'inhalationer');
INSERT INTO `lang_definitions` VALUES (107217, 5039, 20, 'Indledende bruger');
INSERT INTO `lang_definitions` VALUES (107218, 5043, 20, 'Injektion');
INSERT INTO `lang_definitions` VALUES (107219, 5044, 20, 'Skadet legemesdel');
INSERT INTO `lang_definitions` VALUES (107220, 5046, 20, 'Skade');
INSERT INTO `lang_definitions` VALUES (107221, 5047, 20, 'Skademekanism');
INSERT INTO `lang_definitions` VALUES (107222, 5048, 20, 'Skada, översiktsrapport');
INSERT INTO `lang_definitions` VALUES (107223, 5050, 20, 'Skada Typ');
INSERT INTO `lang_definitions` VALUES (107224, 5056, 20, 'Inmatningsfält');
INSERT INTO `lang_definitions` VALUES (107225, 5057, 20, 'INR');
INSERT INTO `lang_definitions` VALUES (107226, 5061, 20, 'Ins juster');
INSERT INTO `lang_definitions` VALUES (107227, 5062, 20, 'Ins paketering');
INSERT INTO `lang_definitions` VALUES (107228, 5066, 20, 'Ins överskjutande');
INSERT INTO `lang_definitions` VALUES (107229, 5068, 20, 'Ins återbetalning');
INSERT INTO `lang_definitions` VALUES (107230, 5069, 20, 'Ins Sammering');
INSERT INTO `lang_definitions` VALUES (107231, 5071, 20, 'Ins1');
INSERT INTO `lang_definitions` VALUES (107232, 5072, 20, 'Ins2');
INSERT INTO `lang_definitions` VALUES (107233, 5073, 20, 'Ins3');
INSERT INTO `lang_definitions` VALUES (107234, 5075, 20, 'Indsæt mislykkedes');
INSERT INTO `lang_definitions` VALUES (107235, 5079, 20, 'Indsæt gamle begivenheder i tabeller');
INSERT INTO `lang_definitions` VALUES (107236, 5085, 20, 'Insomnia');
INSERT INTO `lang_definitions` VALUES (107237, 5087, 20, 'Inspektion');
INSERT INTO `lang_definitions` VALUES (107238, 5088, 20, 'Instabilitet / subluxation');
INSERT INTO `lang_definitions` VALUES (107239, 5090, 20, 'Installer');
INSERT INTO `lang_definitions` VALUES (107240, 5093, 20, 'Installer DB');
INSERT INTO `lang_definitions` VALUES (107241, 5102, 20, 'Instrueret');
INSERT INTO `lang_definitions` VALUES (107242, 5103, 20, 'Instruktion');
INSERT INTO `lang_definitions` VALUES (107243, 5105, 20, 'Instruktioner:');
INSERT INTO `lang_definitions` VALUES (107244, 5108, 20, 'Insulinberoende diabetiker');
INSERT INTO `lang_definitions` VALUES (107245, 5109, 20, 'Forsikring');
INSERT INTO `lang_definitions` VALUES (107246, 5110, 20, 'Forsikring');
INSERT INTO `lang_definitions` VALUES (107247, 5117, 20, 'Fosikringsselskaber');
INSERT INTO `lang_definitions` VALUES (107248, 5118, 20, 'Forsikringsselskab');
INSERT INTO `lang_definitions` VALUES (107249, 5119, 20, 'Forsikringsselskab søg/tilføj');
INSERT INTO `lang_definitions` VALUES (107250, 5121, 20, 'Forsikring data');
INSERT INTO `lang_definitions` VALUES (107251, 5126, 20, 'Forsikringsnummer');
INSERT INTO `lang_definitions` VALUES (107252, 5127, 20, 'Forsikringsbetaling');
INSERT INTO `lang_definitions` VALUES (107253, 5129, 20, 'Forsikringsudbyder');
INSERT INTO `lang_definitions` VALUES (107254, 5149, 20, 'Internt fel - inga sidor valdes!');
INSERT INTO `lang_definitions` VALUES (107255, 5150, 20, 'Internt fel - patient-ID fanns inte!');
INSERT INTO `lang_definitions` VALUES (107256, 5153, 20, 'Intern fejl!');
INSERT INTO `lang_definitions` VALUES (107257, 5156, 20, 'Intern fejl: krav');
INSERT INTO `lang_definitions` VALUES (107258, 5157, 20, 'Intern fejl: aftale');
INSERT INTO `lang_definitions` VALUES (107259, 5163, 20, 'Inre Övergångar');
INSERT INTO `lang_definitions` VALUES (107260, 5167, 20, 'Tolk');
INSERT INTO `lang_definitions` VALUES (107261, 5168, 20, 'Tolk nødvendig?');
INSERT INTO `lang_definitions` VALUES (107262, 5169, 20, 'Interstitiell lungsjukdom');
INSERT INTO `lang_definitions` VALUES (107263, 5170, 20, 'Interval');
INSERT INTO `lang_definitions` VALUES (107264, 5173, 20, 'Indgreb');
INSERT INTO `lang_definitions` VALUES (107265, 5175, 20, 'Intolerance');
INSERT INTO `lang_definitions` VALUES (107266, 5178, 20, 'intramuskulärt');
INSERT INTO `lang_definitions` VALUES (107267, 5181, 20, 'intravenöst');
INSERT INTO `lang_definitions` VALUES (107268, 5182, 20, 'Introduktion');
INSERT INTO `lang_definitions` VALUES (107269, 5197, 20, 'Ogiltig eller saknas betalaren i källan för kod');
INSERT INTO `lang_definitions` VALUES (107270, 5200, 20, 'Ogiltig Service Kod');
INSERT INTO `lang_definitions` VALUES (107271, 5201, 20, 'Ogiltig källdestination\"');
INSERT INTO `lang_definitions` VALUES (107272, 5205, 20, 'Opgørelse');
INSERT INTO `lang_definitions` VALUES (107273, 5209, 20, 'Inventering är inte tillgänglig för denna beställning.');
INSERT INTO `lang_definitions` VALUES (107274, 5210, 20, 'Inventar liste');
INSERT INTO `lang_definitions` VALUES (107275, 5212, 20, 'Faktura');
INSERT INTO `lang_definitions` VALUES (107276, 5213, 20, 'faktura');
INSERT INTO `lang_definitions` VALUES (107277, 5217, 20, 'Fakturadato');
INSERT INTO `lang_definitions` VALUES (107278, 5219, 20, 'Faktura har ingen dato!');
INSERT INTO `lang_definitions` VALUES (107279, 5220, 20, 'Fakturanummer');
INSERT INTO `lang_definitions` VALUES (107280, 5221, 20, 'Faktura refenrencenummer');
INSERT INTO `lang_definitions` VALUES (107281, 5226, 20, 'Faktura:');
INSERT INTO `lang_definitions` VALUES (107282, 5249, 20, 'Oregelbunden hjärtrytm');
INSERT INTO `lang_definitions` VALUES (107283, 5250, 20, 'Retlighet');
INSERT INTO `lang_definitions` VALUES (107284, 5251, 20, 'Irritation');
INSERT INTO `lang_definitions` VALUES (107285, 5256, 20, 'Er et obligatiorisk felt');
INSERT INTO `lang_definitions` VALUES (107286, 5268, 20, 'inte är giltig (decimalbråk är OK).');
INSERT INTO `lang_definitions` VALUES (107287, 5269, 20, 'Är PHP använder felsäkert läge?');
INSERT INTO `lang_definitions` VALUES (107288, 5274, 20, 'Skal teksten fra listen oversættes?');
INSERT INTO `lang_definitions` VALUES (107289, 5288, 20, 'er for lang');
INSERT INTO `lang_definitions` VALUES (107290, 5290, 20, 'spørgsmål');
INSERT INTO `lang_definitions` VALUES (107291, 5291, 20, 'spørgsmål');
INSERT INTO `lang_definitions` VALUES (107292, 5298, 20, 'Aktuellt');
INSERT INTO `lang_definitions` VALUES (107293, 5300, 20, 'Aktuellt (Problem / Medicin / Allergi):');
INSERT INTO `lang_definitions` VALUES (107294, 5302, 20, 'Information och Patientmöten');
INSERT INTO `lang_definitions` VALUES (107295, 5303, 20, 'Information och möten för');
INSERT INTO `lang_definitions` VALUES (107296, 5308, 20, 'Problematik, ej behörig');
INSERT INTO `lang_definitions` VALUES (107297, 5309, 20, 'Frågeställningssektion');
INSERT INTO `lang_definitions` VALUES (107298, 5365, 20, 'Artikel');
INSERT INTO `lang_definitions` VALUES (107299, 5366, 20, 'artikel');
INSERT INTO `lang_definitions` VALUES (107300, 5375, 20, 'Jan');
INSERT INTO `lang_definitions` VALUES (107301, 5376, 20, 'Januar');
INSERT INTO `lang_definitions` VALUES (107302, 5380, 20, 'Jobbeskrivelse');
INSERT INTO `lang_definitions` VALUES (107303, 5381, 20, 'Job ID');
INSERT INTO `lang_definitions` VALUES (107304, 5382, 20, 'Led dislokation');
INSERT INTO `lang_definitions` VALUES (107305, 5383, 20, 'Ledsmerter');
INSERT INTO `lang_definitions` VALUES (107306, 5384, 20, 'Led vrickning');
INSERT INTO `lang_definitions` VALUES (107307, 5385, 20, 'Jul');
INSERT INTO `lang_definitions` VALUES (107308, 5386, 20, 'Juli');
INSERT INTO `lang_definitions` VALUES (107309, 5388, 20, 'Jun');
INSERT INTO `lang_definitions` VALUES (107310, 5389, 20, 'Juni');
INSERT INTO `lang_definitions` VALUES (107311, 5391, 20, 'Bare min');
INSERT INTO `lang_definitions` VALUES (107312, 5398, 20, 'k, her er resten');
INSERT INTO `lang_definitions` VALUES (107313, 5411, 20, 'Nøgleord');
INSERT INTO `lang_definitions` VALUES (107314, 5412, 20, 'kg');
INSERT INTO `lang_definitions` VALUES (107315, 5415, 20, 'Njurcancer');
INSERT INTO `lang_definitions` VALUES (107316, 5416, 20, 'Njursvikt');
INSERT INTO `lang_definitions` VALUES (107317, 5417, 20, 'Njure Infektioner');
INSERT INTO `lang_definitions` VALUES (107318, 5418, 20, 'Njursten');
INSERT INTO `lang_definitions` VALUES (107319, 5419, 20, 'Njurtransplantation');
INSERT INTO `lang_definitions` VALUES (107320, 5425, 20, 'knæ');
INSERT INTO `lang_definitions` VALUES (107321, 5426, 20, 'Knä Problem');
INSERT INTO `lang_definitions` VALUES (107322, 5427, 20, 'Knä Ersättning /protes');
INSERT INTO `lang_definitions` VALUES (107323, 5434, 20, 'Lab');
INSERT INTO `lang_definitions` VALUES (107324, 5444, 20, 'Lab Rapport');
INSERT INTO `lang_definitions` VALUES (107325, 5453, 20, 'Etikett');
INSERT INTO `lang_definitions` VALUES (107326, 5455, 20, 'Label Cols');
INSERT INTO `lang_definitions` VALUES (107327, 5459, 20, 'Etiketter');
INSERT INTO `lang_definitions` VALUES (107328, 5463, 20, 'Labs');
INSERT INTO `lang_definitions` VALUES (107329, 5464, 20, 'Laceration / hudkodition');
INSERT INTO `lang_definitions` VALUES (107330, 5465, 20, 'Laceration / nötning');
INSERT INTO `lang_definitions` VALUES (107331, 5471, 20, 'Sprog');
INSERT INTO `lang_definitions` VALUES (107332, 5472, 20, 'Sprog kode');
INSERT INTO `lang_definitions` VALUES (107333, 5473, 20, 'Sprogdefinition tilføjet');
INSERT INTO `lang_definitions` VALUES (107334, 5476, 20, 'Sprog liste (skriv, addonly optional)');
INSERT INTO `lang_definitions` VALUES (107335, 5478, 20, 'Sprog navn');
INSERT INTO `lang_definitions` VALUES (107336, 5479, 20, 'Sprog:');
INSERT INTO `lang_definitions` VALUES (107337, 5485, 20, 'Sidst');
INSERT INTO `lang_definitions` VALUES (107338, 5486, 20, 'Dato for sidste aktivitet');
INSERT INTO `lang_definitions` VALUES (107339, 5489, 20, 'Dato for sidste regning');
INSERT INTO `lang_definitions` VALUES (107340, 5491, 20, 'Sidste kalenderår');
INSERT INTO `lang_definitions` VALUES (107341, 5495, 20, 'Sidste besøg');
INSERT INTO `lang_definitions` VALUES (107342, 5506, 20, 'Sidste måned');
INSERT INTO `lang_definitions` VALUES (107343, 5507, 20, 'Efternavn');
INSERT INTO `lang_definitions` VALUES (107344, 5508, 20, 'Efternavn');
INSERT INTO `lang_definitions` VALUES (107345, 5513, 20, 'Efternavn:');
INSERT INTO `lang_definitions` VALUES (107346, 5517, 20, 'Set sidst');
INSERT INTO `lang_definitions` VALUES (107347, 5519, 20, 'Sidst gemt');
INSERT INTO `lang_definitions` VALUES (107348, 5525, 20, 'Sidst opdateret af');
INSERT INTO `lang_definitions` VALUES (107349, 5527, 20, 'Seneste besøg');
INSERT INTO `lang_definitions` VALUES (107350, 5530, 20, 'Sen Återkommande (2-12 mån)');
INSERT INTO `lang_definitions` VALUES (107351, 5535, 20, 'sidled fördrivna PMI:');
INSERT INTO `lang_definitions` VALUES (107352, 5551, 20, 'Layout Editor');
INSERT INTO `lang_definitions` VALUES (107353, 5559, 20, 'Layouter');
INSERT INTO `lang_definitions` VALUES (107354, 5571, 20, 'LDL');
INSERT INTO `lang_definitions` VALUES (107355, 5573, 20, 'lämna tom om fortfarande aktiv');
INSERT INTO `lang_definitions` VALUES (107356, 5575, 20, 'Lämna tomt för att hålla lösenord oförändrad.');
INSERT INTO `lang_definitions` VALUES (107357, 5580, 20, 'Kontakt via');
INSERT INTO `lang_definitions` VALUES (107358, 5582, 20, 'Lämna Form');
INSERT INTO `lang_definitions` VALUES (107359, 5586, 20, 'Venstre');
INSERT INTO `lang_definitions` VALUES (107360, 5589, 20, 'Venstre øre');
INSERT INTO `lang_definitions` VALUES (107361, 5590, 20, 'venstre øre');
INSERT INTO `lang_definitions` VALUES (107362, 5599, 20, 'Venstre:');
INSERT INTO `lang_definitions` VALUES (107363, 5600, 20, 'Vänster:');
INSERT INTO `lang_definitions` VALUES (107364, 5601, 20, 'Ben smärta / Kramper');
INSERT INTO `lang_definitions` VALUES (107365, 5602, 20, 'Rättsärenden');
INSERT INTO `lang_definitions` VALUES (107366, 5605, 20, 'Förklaring:');
INSERT INTO `lang_definitions` VALUES (107367, 5606, 20, 'Längd');
INSERT INTO `lang_definitions` VALUES (107368, 5613, 20, 'Mindre end');
INSERT INTO `lang_definitions` VALUES (107369, 5614, 20, 'Mindre end eller lig med');
INSERT INTO `lang_definitions` VALUES (107370, 5620, 20, 'Brev');
INSERT INTO `lang_definitions` VALUES (107371, 5621, 20, 'Brevgenerator');
INSERT INTO `lang_definitions` VALUES (107372, 5630, 20, 'Ansvar');
INSERT INTO `lang_definitions` VALUES (107373, 5631, 20, 'Ansvar för medicinskt');
INSERT INTO `lang_definitions` VALUES (107374, 5633, 20, 'passnr');
INSERT INTO `lang_definitions` VALUES (107375, 5644, 20, 'Livsstil');
INSERT INTO `lang_definitions` VALUES (107376, 5646, 20, 'Livstilsstatus');
INSERT INTO `lang_definitions` VALUES (107377, 5647, 20, 'Ligament skada eller vrickning');
INSERT INTO `lang_definitions` VALUES (107378, 5651, 20, 'Begränsning av händelser');
INSERT INTO `lang_definitions` VALUES (107379, 5657, 20, 'Link');
INSERT INTO `lang_definitions` VALUES (107380, 5665, 20, 'Förteckning');
INSERT INTO `lang_definitions` VALUES (107381, 5671, 20, 'List Editor');
INSERT INTO `lang_definitions` VALUES (107382, 5675, 20, 'Lista Insurance Companies');
INSERT INTO `lang_definitions` VALUES (107383, 5680, 20, 'Lista listor');
INSERT INTO `lang_definitions` VALUES (107384, 5682, 20, 'Lista Namn');
INSERT INTO `lang_definitions` VALUES (107385, 5688, 20, 'Lista recept');
INSERT INTO `lang_definitions` VALUES (107386, 5693, 20, 'Listor');
INSERT INTO `lang_definitions` VALUES (107387, 5709, 20, 'Ladda definitioner');
INSERT INTO `lang_definitions` VALUES (107388, 5717, 20, 'Laddar');
INSERT INTO `lang_definitions` VALUES (107389, 5724, 20, 'Lokalt');
INSERT INTO `lang_definitions` VALUES (107390, 5729, 20, 'Lokalitet');
INSERT INTO `lang_definitions` VALUES (107391, 5730, 20, 'Lokalisation');
INSERT INTO `lang_definitions` VALUES (107392, 5733, 20, 'Lokalisation ospecificerad');
INSERT INTO `lang_definitions` VALUES (107393, 5736, 20, 'Lokalisation');
INSERT INTO `lang_definitions` VALUES (107394, 5745, 20, 'Log ind');
INSERT INTO `lang_definitions` VALUES (107395, 5749, 20, 'Log ud');
INSERT INTO `lang_definitions` VALUES (107396, 5752, 20, 'logget ind');
INSERT INTO `lang_definitions` VALUES (107397, 5753, 20, 'logget ind som');
INSERT INTO `lang_definitions` VALUES (107398, 5754, 20, 'logget ind som');
INSERT INTO `lang_definitions` VALUES (107399, 5755, 20, 'logget ud');
INSERT INTO `lang_definitions` VALUES (107400, 5757, 20, 'log ind');
INSERT INTO `lang_definitions` VALUES (107401, 5758, 20, 'log ind');
INSERT INTO `lang_definitions` VALUES (107402, 5768, 20, 'Log ud');
INSERT INTO `lang_definitions` VALUES (107403, 5769, 20, 'log ud');
INSERT INTO `lang_definitions` VALUES (107404, 5770, 20, 'Logs');
INSERT INTO `lang_definitions` VALUES (107405, 5771, 20, 'Log viewer');
INSERT INTO `lang_definitions` VALUES (107406, 5776, 20, 'Slå op');
INSERT INTO `lang_definitions` VALUES (107407, 5777, 20, 'Batch');
INSERT INTO `lang_definitions` VALUES (107408, 5779, 20, 'Batchnummer');
INSERT INTO `lang_definitions` VALUES (107409, 5780, 20, 'lav');
INSERT INTO `lang_definitions` VALUES (107410, 5782, 20, 'Benet');
INSERT INTO `lang_definitions` VALUES (107411, 5791, 20, 'Lumbal delen av ryggraden');
INSERT INTO `lang_definitions` VALUES (107412, 5792, 20, 'Frokost');
INSERT INTO `lang_definitions` VALUES (107413, 5793, 20, 'Frokost');
INSERT INTO `lang_definitions` VALUES (107414, 5794, 20, 'Lung Cancer');
INSERT INTO `lang_definitions` VALUES (107415, 5795, 20, 'Lung Cancer kirurgi');
INSERT INTO `lang_definitions` VALUES (107416, 5796, 20, 'Lungor:');
INSERT INTO `lang_definitions` VALUES (107417, 5797, 20, 'Lungor:');
INSERT INTO `lang_definitions` VALUES (107418, 5804, 20, 'M');
INSERT INTO `lang_definitions` VALUES (107419, 5805, 20, 'MA Kategori');
INSERT INTO `lang_definitions` VALUES (107420, 5812, 20, 'Mail sendt');
INSERT INTO `lang_definitions` VALUES (107421, 5814, 20, 'hoved');
INSERT INTO `lang_definitions` VALUES (107422, 5815, 20, 'Hovedadresse');
INSERT INTO `lang_definitions` VALUES (107423, 5827, 20, 'Lav ændringer i nuværende kategorier');
INSERT INTO `lang_definitions` VALUES (107424, 5828, 20, 'Lav ny aftale for');
INSERT INTO `lang_definitions` VALUES (107425, 5831, 20, 'Försäkra \"');
INSERT INTO `lang_definitions` VALUES (107426, 5834, 20, 'Sjukdomskänsla:');
INSERT INTO `lang_definitions` VALUES (107427, 5837, 20, 'Mand');
INSERT INTO `lang_definitions` VALUES (107428, 5838, 20, 'Manlig Kondomer');
INSERT INTO `lang_definitions` VALUES (107429, 5841, 20, 'Mammogram');
INSERT INTO `lang_definitions` VALUES (107430, 5842, 20, 'Administrer');
INSERT INTO `lang_definitions` VALUES (107431, 5850, 20, 'Administrer oversættelser');
INSERT INTO `lang_definitions` VALUES (107432, 5851, 20, 'Administration');
INSERT INTO `lang_definitions` VALUES (107433, 5859, 20, 'Manual');
INSERT INTO `lang_definitions` VALUES (107434, 5860, 20, 'Manuell post');
INSERT INTO `lang_definitions` VALUES (107435, 5864, 20, 'Tillverkare');
INSERT INTO `lang_definitions` VALUES (107436, 5874, 20, 'Marts');
INSERT INTO `lang_definitions` VALUES (107437, 5877, 20, 'Civilstatus');
INSERT INTO `lang_definitions` VALUES (107438, 5880, 20, 'Markera som faktureras men hoppa fakturering');
INSERT INTO `lang_definitions` VALUES (107439, 5881, 20, 'Markera som avklarad');
INSERT INTO `lang_definitions` VALUES (107440, 5882, 20, 'Markera som ej fakturerad');
INSERT INTO `lang_definitions` VALUES (107441, 5886, 20, 'Markerad som avslutad');
INSERT INTO `lang_definitions` VALUES (107442, 5887, 20, 'Gift');
INSERT INTO `lang_definitions` VALUES (107443, 5889, 20, 'Maske');
INSERT INTO `lang_definitions` VALUES (107444, 5894, 20, 'Match');
INSERT INTO `lang_definitions` VALUES (107445, 5907, 20, 'Max');
INSERT INTO `lang_definitions` VALUES (107446, 5912, 20, 'Maxillary Höger:');
INSERT INTO `lang_definitions` VALUES (107447, 5913, 20, 'Maksimal alder');
INSERT INTO `lang_definitions` VALUES (107448, 5924, 20, 'Maj');
INSERT INTO `lang_definitions` VALUES (107449, 5926, 20, 'MC');
INSERT INTO `lang_definitions` VALUES (107450, 5927, 20, 'mcg');
INSERT INTO `lang_definitions` VALUES (107451, 5933, 20, 'Måling');
INSERT INTO `lang_definitions` VALUES (107452, 5942, 20, 'Medicinsk');
INSERT INTO `lang_definitions` VALUES (107453, 5952, 20, 'Medicinska problem');
INSERT INTO `lang_definitions` VALUES (107454, 5954, 20, 'Medicinska problem');
INSERT INTO `lang_definitions` VALUES (107455, 5956, 20, 'Journal');
INSERT INTO `lang_definitions` VALUES (107456, 5957, 20, 'Journal #');
INSERT INTO `lang_definitions` VALUES (107457, 5959, 20, 'Journaler');
INSERT INTO `lang_definitions` VALUES (107458, 5966, 20, 'Journal / Historia ( frivilligt att skriva )');
INSERT INTO `lang_definitions` VALUES (107459, 5970, 20, 'Medicin');
INSERT INTO `lang_definitions` VALUES (107460, 5975, 20, 'Läkemedel');
INSERT INTO `lang_definitions` VALUES (107461, 5978, 20, 'Läkemedel:');
INSERT INTO `lang_definitions` VALUES (107462, 5979, 20, 'Medicinska enheter');
INSERT INTO `lang_definitions` VALUES (107463, 5980, 20, 'Medium');
INSERT INTO `lang_definitions` VALUES (107464, 5984, 20, 'Ledamot Association Statistik Rapport');
INSERT INTO `lang_definitions` VALUES (107465, 5986, 20, 'Minnes Problem');
INSERT INTO `lang_definitions` VALUES (107466, 5987, 20, 'Män');
INSERT INTO `lang_definitions` VALUES (107467, 5988, 20, 'Män och kvinnor');
INSERT INTO `lang_definitions` VALUES (107468, 5989, 20, 'Män Endast');
INSERT INTO `lang_definitions` VALUES (107469, 5991, 20, 'Klimakteriet');
INSERT INTO `lang_definitions` VALUES (107470, 5993, 20, 'Menstruation frekvens');
INSERT INTO `lang_definitions` VALUES (107471, 5994, 20, 'Psykisk sjukdom');
INSERT INTO `lang_definitions` VALUES (107472, 6005, 20, 'Meddelande');
INSERT INTO `lang_definitions` VALUES (107473, 6013, 20, 'Beskedstatus');
INSERT INTO `lang_definitions` VALUES (107474, 6018, 20, 'MEDELANDE:');
INSERT INTO `lang_definitions` VALUES (107475, 6019, 20, 'Beskeder');
INSERT INTO `lang_definitions` VALUES (107476, 6026, 20, 'Metod');
INSERT INTO `lang_definitions` VALUES (107477, 6030, 20, 'Metod för förstöring');
INSERT INTO `lang_definitions` VALUES (107478, 6038, 20, 'mg');
INSERT INTO `lang_definitions` VALUES (107479, 6039, 20, 'mg/ml');
INSERT INTO `lang_definitions` VALUES (107480, 6040, 20, 'g');
INSERT INTO `lang_definitions` VALUES (107481, 6041, 20, 'g/ml');
INSERT INTO `lang_definitions` VALUES (107482, 6046, 20, 'Mellan');
INSERT INTO `lang_definitions` VALUES (107483, 6047, 20, 'Mellannamn');
INSERT INTO `lang_definitions` VALUES (107484, 6048, 20, 'Mellannamn');
INSERT INTO `lang_definitions` VALUES (107485, 6062, 20, 'Migrerande eller säsongsarbetare?');
INSERT INTO `lang_definitions` VALUES (107486, 6064, 20, 'Migrerande / Säsong');
INSERT INTO `lang_definitions` VALUES (107487, 6077, 20, 'Minimum alder');
INSERT INTO `lang_definitions` VALUES (107488, 6082, 20, 'Minut');
INSERT INTO `lang_definitions` VALUES (107489, 6083, 20, 'Protokoll');
INSERT INTO `lang_definitions` VALUES (107490, 6084, 20, 'minuter');
INSERT INTO `lang_definitions` VALUES (107491, 6090, 20, 'Diverse');
INSERT INTO `lang_definitions` VALUES (107492, 6092, 20, 'Missade');
INSERT INTO `lang_definitions` VALUES (107493, 6093, 20, 'Mangler');
INSERT INTO `lang_definitions` VALUES (107494, 6111, 20, 'Blandat');
INSERT INTO `lang_definitions` VALUES (107495, 6113, 20, 'ml');
INSERT INTO `lang_definitions` VALUES (107496, 6114, 20, 'MM/DD/ÅÅÅÅ');
INSERT INTO `lang_definitions` VALUES (107497, 6120, 20, 'Mobil');
INSERT INTO `lang_definitions` VALUES (107498, 6121, 20, 'Mobiltelefon');
INSERT INTO `lang_definitions` VALUES (107499, 6153, 20, 'Man');
INSERT INTO `lang_definitions` VALUES (107500, 6154, 20, 'Mandag til fredag');
INSERT INTO `lang_definitions` VALUES (107501, 6155, 20, 'Mandag, onsdag og fredag');
INSERT INTO `lang_definitions` VALUES (107502, 6156, 20, 'Mandag');
INSERT INTO `lang_definitions` VALUES (107503, 6160, 20, 'måned');
INSERT INTO `lang_definitions` VALUES (107504, 6161, 20, 'Måned');
INSERT INTO `lang_definitions` VALUES (107505, 6162, 20, 'Månadsvy');
INSERT INTO `lang_definitions` VALUES (107506, 6163, 20, 'Måned(er)');
INSERT INTO `lang_definitions` VALUES (107507, 6164, 20, 'Månadsinkomst');
INSERT INTO `lang_definitions` VALUES (107508, 6166, 20, 'Måneder');
INSERT INTO `lang_definitions` VALUES (107509, 6180, 20, 'Mer än 50 resultat, gör din sökning mer specifik.');
INSERT INTO `lang_definitions` VALUES (107510, 6190, 20, 'Moder');
INSERT INTO `lang_definitions` VALUES (107511, 6191, 20, 'Moders navn');
INSERT INTO `lang_definitions` VALUES (107512, 6195, 20, 'Mund');
INSERT INTO `lang_definitions` VALUES (107513, 6196, 20, 'Flyt');
INSERT INTO `lang_definitions` VALUES (107514, 6197, 20, 'Flyt dokument til kategori:');
INSERT INTO `lang_definitions` VALUES (107515, 6198, 20, 'Flyt ned');
INSERT INTO `lang_definitions` VALUES (107516, 6201, 20, 'Flyt til patient');
INSERT INTO `lang_definitions` VALUES (107517, 6202, 20, 'Flyt til...');
INSERT INTO `lang_definitions` VALUES (107518, 6203, 20, 'Flyt op');
INSERT INTO `lang_definitions` VALUES (107519, 6209, 20, 'Hr.');
INSERT INTO `lang_definitions` VALUES (107520, 6215, 20, 'Fru');
INSERT INTO `lang_definitions` VALUES (107521, 6217, 20, 'Frøken');
INSERT INTO `lang_definitions` VALUES (107522, 6230, 20, 'Multi Language Tool');
INSERT INTO `lang_definitions` VALUES (107523, 6234, 20, 'Flere områder');
INSERT INTO `lang_definitions` VALUES (107524, 6243, 20, 'Sorla:');
INSERT INTO `lang_definitions` VALUES (107525, 6244, 20, 'Muskel värk');
INSERT INTO `lang_definitions` VALUES (107526, 6247, 20, 'Muskulær stivhed');
INSERT INTO `lang_definitions` VALUES (107527, 6250, 20, 'Muskel');
INSERT INTO `lang_definitions` VALUES (107528, 6251, 20, 'Muskel skada');
INSERT INTO `lang_definitions` VALUES (107529, 6252, 20, 'Muskuloskeletala');
INSERT INTO `lang_definitions` VALUES (107530, 6259, 20, 'Ömsesidigt Definierad');
INSERT INTO `lang_definitions` VALUES (107531, 6274, 20, 'Navn');
INSERT INTO `lang_definitions` VALUES (107532, 6276, 20, 'Navn (tryk for mere)');
INSERT INTO `lang_definitions` VALUES (107533, 6278, 20, 'Navn 1');
INSERT INTO `lang_definitions` VALUES (107534, 6279, 20, 'Navn 2');
INSERT INTO `lang_definitions` VALUES (107535, 6280, 20, 'Namn på administratör');
INSERT INTO `lang_definitions` VALUES (107536, 6284, 20, 'Navn på begivenhed');
INSERT INTO `lang_definitions` VALUES (107537, 6285, 20, 'Namn på försäkringsbolag');
INSERT INTO `lang_definitions` VALUES (107538, 6286, 20, 'Namn på Provider');
INSERT INTO `lang_definitions` VALUES (107539, 6294, 20, 'Navngiv oversættelse');
INSERT INTO `lang_definitions` VALUES (107540, 6295, 20, 'Navn / Værdi');
INSERT INTO `lang_definitions` VALUES (107541, 6296, 20, 'Navn:');
INSERT INTO `lang_definitions` VALUES (107542, 6300, 20, 'Narės:');
INSERT INTO `lang_definitions` VALUES (107543, 6301, 20, 'Narės: Normal Rätt');
INSERT INTO `lang_definitions` VALUES (107544, 6304, 20, 'Nasal mucosa rosa, septumets mittlinje');
INSERT INTO `lang_definitions` VALUES (107545, 6310, 20, 'Nationalitet');
INSERT INTO `lang_definitions` VALUES (107546, 6322, 20, 'Navigering');
INSERT INTO `lang_definitions` VALUES (107547, 6348, 20, 'Nacke');
INSERT INTO `lang_definitions` VALUES (107548, 6349, 20, 'Nackproblem');
INSERT INTO `lang_definitions` VALUES (107549, 6352, 20, 'Måste ange en beskrivning');
INSERT INTO `lang_definitions` VALUES (107550, 6353, 20, 'Ange ett returvärde');
INSERT INTO `lang_definitions` VALUES (107551, 6354, 20, 'Ange identifieraren');
INSERT INTO `lang_definitions` VALUES (107552, 6355, 20, 'Ange titel');
INSERT INTO `lang_definitions` VALUES (107553, 6360, 20, 'Ange sekundära fakturering');
INSERT INTO `lang_definitions` VALUES (107554, 6361, 20, 'Negativ');
INSERT INTO `lang_definitions` VALUES (107555, 6369, 20, 'Nervskada');
INSERT INTO `lang_definitions` VALUES (107556, 6371, 20, 'Neurala tillstånd / nervskada');
INSERT INTO `lang_definitions` VALUES (107557, 6381, 20, 'Aldrig');
INSERT INTO `lang_definitions` VALUES (107558, 6382, 20, 'Aldrig alkohol');
INSERT INTO `lang_definitions` VALUES (107559, 6383, 20, 'Aldrig ryger');
INSERT INTO `lang_definitions` VALUES (107560, 6384, 20, 'Ny');
INSERT INTO `lang_definitions` VALUES (107561, 6385, 20, 'Ny =>');
INSERT INTO `lang_definitions` VALUES (107562, 6386, 20, 'Nye modtagere');
INSERT INTO `lang_definitions` VALUES (107563, 6388, 20, 'Ny allergi');
INSERT INTO `lang_definitions` VALUES (107564, 6390, 20, 'Ny aftale');
INSERT INTO `lang_definitions` VALUES (107565, 6391, 20, 'Nye kategorier');
INSERT INTO `lang_definitions` VALUES (107566, 6392, 20, 'Ny kategori');
INSERT INTO `lang_definitions` VALUES (107567, 6393, 20, 'Nye kunder');
INSERT INTO `lang_definitions` VALUES (107568, 6394, 20, 'Ny konsultation');
INSERT INTO `lang_definitions` VALUES (107569, 6395, 20, 'Ny gruppe');
INSERT INTO `lang_definitions` VALUES (107570, 6396, 20, 'Nyt definitionssæt tilføjet');
INSERT INTO `lang_definitions` VALUES (107571, 6397, 20, 'Nyt dokument');
INSERT INTO `lang_definitions` VALUES (107572, 6401, 20, 'Ny konsultation');
INSERT INTO `lang_definitions` VALUES (107573, 6403, 20, 'Ny konsultationsformular');
INSERT INTO `lang_definitions` VALUES (107574, 6404, 20, 'Nye møder som ikke godkendes');
INSERT INTO `lang_definitions` VALUES (107575, 6406, 20, 'Nya Klinikinformation');
INSERT INTO `lang_definitions` VALUES (107576, 6410, 20, 'Ny gruppe');
INSERT INTO `lang_definitions` VALUES (107577, 6413, 20, 'Ny gruppeinformation');
INSERT INTO `lang_definitions` VALUES (107578, 6422, 20, 'Ny inj/status');
INSERT INTO `lang_definitions` VALUES (107579, 6425, 20, 'Ny begrænsning af begivenheder');
INSERT INTO `lang_definitions` VALUES (107580, 6426, 20, 'Ny liste');
INSERT INTO `lang_definitions` VALUES (107581, 6433, 20, 'Ny regel');
INSERT INTO `lang_definitions` VALUES (107582, 6434, 20, 'Nyt kodeord');
INSERT INTO `lang_definitions` VALUES (107583, 6435, 20, 'Ny Patient');
INSERT INTO `lang_definitions` VALUES (107584, 6436, 20, 'Ny patient');
INSERT INTO `lang_definitions` VALUES (107585, 6437, 20, 'Ny konsultation');
INSERT INTO `lang_definitions` VALUES (107586, 6438, 20, 'Ny patientformular');
INSERT INTO `lang_definitions` VALUES (107587, 6439, 20, 'Nytt patient-ID');
INSERT INTO `lang_definitions` VALUES (107588, 6442, 20, 'Ny betaling');
INSERT INTO `lang_definitions` VALUES (107589, 6445, 20, 'Ny patient');
INSERT INTO `lang_definitions` VALUES (107590, 6448, 20, 'Ny søgning');
INSERT INTO `lang_definitions` VALUES (107591, 6449, 20, 'Nye forslag');
INSERT INTO `lang_definitions` VALUES (107592, 6451, 20, 'Ny bruger');
INSERT INTO `lang_definitions` VALUES (107593, 6452, 20, 'Ny værdi');
INSERT INTO `lang_definitions` VALUES (107594, 6453, 20, 'Nyt besøg');
INSERT INTO `lang_definitions` VALUES (107595, 6454, 20, 'Ny/Søg');
INSERT INTO `lang_definitions` VALUES (107596, 6479, 20, 'Aldrig');
INSERT INTO `lang_definitions` VALUES (107597, 6481, 20, 'Avis');
INSERT INTO `lang_definitions` VALUES (107598, 6482, 20, 'Næste');
INSERT INTO `lang_definitions` VALUES (107599, 6484, 20, 'Næste dag');
INSERT INTO `lang_definitions` VALUES (107600, 6485, 20, 'Næste måned');
INSERT INTO `lang_definitions` VALUES (107601, 6486, 20, 'Næste måned (hold for menu)');
INSERT INTO `lang_definitions` VALUES (107602, 6491, 20, 'Næste uge');
INSERT INTO `lang_definitions` VALUES (107603, 6492, 20, 'Næste år (hold for menu)');
INSERT INTO `lang_definitions` VALUES (107604, 6494, 20, 'Alias');
INSERT INTO `lang_definitions` VALUES (107605, 6496, 20, 'Nattliga svettningar');
INSERT INTO `lang_definitions` VALUES (107606, 6499, 20, 'Nej');
INSERT INTO `lang_definitions` VALUES (107607, 6500, 20, 'NEJ');
INSERT INTO `lang_definitions` VALUES (107608, 6502, 20, 'Ingen adgang');
INSERT INTO `lang_definitions` VALUES (107609, 6509, 20, 'Ingen aftaler');
INSERT INTO `lang_definitions` VALUES (107610, 6515, 20, 'Inget faktureringssystem är aktivt');
INSERT INTO `lang_definitions` VALUES (107611, 6519, 20, 'Ingen kod specificerades!');
INSERT INTO `lang_definitions` VALUES (107612, 6523, 20, 'Ingen diagnose');
INSERT INTO `lang_definitions` VALUES (107613, 6526, 20, 'Ingen dokumenter fundet');
INSERT INTO `lang_definitions` VALUES (107614, 6529, 20, 'Ingen slutdato');
INSERT INTO `lang_definitions` VALUES (107615, 6530, 20, 'Inga poster funna, använda formuläret nedan för att lägga till en post.');
INSERT INTO `lang_definitions` VALUES (107616, 6531, 20, 'Ingen fejl fundet');
INSERT INTO `lang_definitions` VALUES (107617, 6532, 20, 'Inga händelser');
INSERT INTO `lang_definitions` VALUES (107618, 6536, 20, 'Ingen grupp valdes');
INSERT INTO `lang_definitions` VALUES (107619, 6537, 20, 'Inga bråck');
INSERT INTO `lang_definitions` VALUES (107620, 6540, 20, 'Ingen skader/sygdomme');
INSERT INTO `lang_definitions` VALUES (107621, 6541, 20, 'Nr Insurance Companies Found');
INSERT INTO `lang_definitions` VALUES (107622, 6544, 20, 'Ingen emner');
INSERT INTO `lang_definitions` VALUES (107623, 6546, 20, 'Ingen emner under valgte kategori');
INSERT INTO `lang_definitions` VALUES (107624, 6547, 20, 'Ingen emner valgt!');
INSERT INTO `lang_definitions` VALUES (107625, 6570, 20, 'Der blev ikke fundet noget match. Opret ny patient nu?');
INSERT INTO `lang_definitions` VALUES (107626, 6577, 20, 'Der blev ikke fundet nye resultater');
INSERT INTO `lang_definitions` VALUES (107627, 6578, 20, 'Ingen noter');
INSERT INTO `lang_definitions` VALUES (107628, 6580, 20, 'Inga tider hittades för denna period.');
INSERT INTO `lang_definitions` VALUES (107629, 6583, 20, 'Ingen andre telefonnumre registreret');
INSERT INTO `lang_definitions` VALUES (107630, 6585, 20, 'Inga Partners hittades');
INSERT INTO `lang_definitions` VALUES (107631, 6588, 20, 'Inga perifera ödem');
INSERT INTO `lang_definitions` VALUES (107632, 6589, 20, 'Inga apotek hittades');
INSERT INTO `lang_definitions` VALUES (107633, 6590, 20, 'Inga recept hittades');
INSERT INTO `lang_definitions` VALUES (107634, 6592, 20, 'Ingen sjukdom / skada visas');
INSERT INTO `lang_definitions` VALUES (107635, 6602, 20, 'Ingen optagelser fundet');
INSERT INTO `lang_definitions` VALUES (107636, 6604, 20, 'Ingen optagelser fundet. Udvid venligst deres søgekriterier');
INSERT INTO `lang_definitions` VALUES (107637, 6609, 20, 'Ingen resultater');
INSERT INTO `lang_definitions` VALUES (107638, 6612, 20, 'Inga resultat hittades i sökningen');
INSERT INTO `lang_definitions` VALUES (107639, 6614, 20, 'Inga resultat, försök igen.');
INSERT INTO `lang_definitions` VALUES (107640, 6615, 20, 'Ingen resultater, forsøg venligst igen');
INSERT INTO `lang_definitions` VALUES (107641, 6618, 20, 'Ej kommit på avtalad tid');
INSERT INTO `lang_definitions` VALUES (107642, 6623, 20, 'Ingen hud dimpling eller bröst knölar');
INSERT INTO `lang_definitions` VALUES (107643, 6632, 20, 'Ingen besøg');
INSERT INTO `lang_definitions` VALUES (107644, 6636, 20, 'Nr:');
INSERT INTO `lang_definitions` VALUES (107645, 6638, 20, 'Ingen betalt');
INSERT INTO `lang_definitions` VALUES (107646, 6641, 20, 'Icke specifika skada');
INSERT INTO `lang_definitions` VALUES (107647, 6643, 20, 'Icke-insulinberoende diabetes');
INSERT INTO `lang_definitions` VALUES (107648, 6646, 20, 'Icke-SRH Medical');
INSERT INTO `lang_definitions` VALUES (107649, 6647, 20, 'Icke-SRH icke-medicinska');
INSERT INTO `lang_definitions` VALUES (107650, 6648, 20, 'Ingen');
INSERT INTO `lang_definitions` VALUES (107651, 6649, 20, 'ingen');
INSERT INTO `lang_definitions` VALUES (107652, 6653, 20, 'Inget av ovanstående');
INSERT INTO `lang_definitions` VALUES (107653, 6684, 20, 'Inte heller');
INSERT INTO `lang_definitions` VALUES (107654, 6685, 20, 'Normal');
INSERT INTO `lang_definitions` VALUES (107655, 6697, 20, 'Normal:');
INSERT INTO `lang_definitions` VALUES (107656, 6705, 20, 'Næse');
INSERT INTO `lang_definitions` VALUES (107657, 6706, 20, 'Næseblod');
INSERT INTO `lang_definitions` VALUES (107658, 6707, 20, 'Ikke et bogstav eller nummer');
INSERT INTO `lang_definitions` VALUES (107659, 6710, 20, 'Alla fält är obligatoriska för alla nummer eller kod typer.');
INSERT INTO `lang_definitions` VALUES (107660, 6712, 20, 'Ikke tilladt');
INSERT INTO `lang_definitions` VALUES (107661, 6713, 20, 'Ej tillåtet att ta bort gruppen Administratörer');
INSERT INTO `lang_definitions` VALUES (107662, 6714, 20, 'ikke tilladt at redigere');
INSERT INTO `lang_definitions` VALUES (107663, 6715, 20, 'Ej tillåtet att inaktivera alla trygghet objekt');
INSERT INTO `lang_definitions` VALUES (107664, 6716, 20, 'Ej tillåtet att inaktivera allt från Administratörer ACL');
INSERT INTO `lang_definitions` VALUES (107665, 6717, 20, 'Ej tillåtet att ta bort admin-användare från gruppen Administratörer');
INSERT INTO `lang_definitions` VALUES (107666, 6718, 20, 'Ikke tilladt at fjerne denne bruger fra Administrator gruppen');
INSERT INTO `lang_definitions` VALUES (107667, 6720, 20, 'Ej behörighet att nå PostCalendar modulen');
INSERT INTO `lang_definitions` VALUES (107668, 6729, 20, 'Ikke tilgængelig');
INSERT INTO `lang_definitions` VALUES (107669, 6731, 20, 'Ikke faktureret');
INSERT INTO `lang_definitions` VALUES (107670, 6738, 20, 'Inte undersökt');
INSERT INTO `lang_definitions` VALUES (107671, 6739, 20, 'Inte undersökt:');
INSERT INTO `lang_definitions` VALUES (107672, 6740, 20, 'Inte undersökt:');
INSERT INTO `lang_definitions` VALUES (107673, 6742, 20, 'Ikke fundet');
INSERT INTO `lang_definitions` VALUES (107674, 6744, 20, 'Ikke fundet!');
INSERT INTO `lang_definitions` VALUES (107675, 6751, 20, 'Inte sett sedan');
INSERT INTO `lang_definitions` VALUES (107676, 6753, 20, 'Ikke set endnu');
INSERT INTO `lang_definitions` VALUES (107677, 6755, 20, 'Ikke specificeret');
INSERT INTO `lang_definitions` VALUES (107678, 6758, 20, 'kommentera');
INSERT INTO `lang_definitions` VALUES (107679, 6771, 20, 'Kommentartyp');
INSERT INTO `lang_definitions` VALUES (107680, 6780, 20, 'Anmärkning: Denna kod har inte förts in av en auktoriserad användare. Endast godkända koder kan laddas upp till Open Medical Billing nätverket för bearbetning. Om du vill ladda upp dessa nummer kan du välja en auktoriserad användare här.');
INSERT INTO `lang_definitions` VALUES (107681, 6784, 20, 'OBS: Överföra filer med duplikat namn gör att filerna automatiskt ska döpas. Till exempel \"<i> file.jpg </ i>\" blir \"<i> file.jpg.1 </ i>\". Filnamnen anses unika per patient, inte per kategori.');
INSERT INTO `lang_definitions` VALUES (107682, 6785, 20, 'Kommentarer');
INSERT INTO `lang_definitions` VALUES (107683, 6804, 20, 'Ingenting valdes');
INSERT INTO `lang_definitions` VALUES (107684, 6808, 20, 'MEDDELANDE: PostCalendar Inlämning / Modifiering');
INSERT INTO `lang_definitions` VALUES (107685, 6809, 20, 'Besked');
INSERT INTO `lang_definitions` VALUES (107686, 6815, 20, 'Notifikationer');
INSERT INTO `lang_definitions` VALUES (107687, 6816, 20, 'Meddela Admin Om Händelse Inlämning / Modifieringsförslag?');
INSERT INTO `lang_definitions` VALUES (107688, 6821, 20, 'November');
INSERT INTO `lang_definitions` VALUES (107689, 6825, 20, 'Printer nu');
INSERT INTO `lang_definitions` VALUES (107690, 6834, 20, 'NPI');
INSERT INTO `lang_definitions` VALUES (107691, 6837, 20, 'Nummer');
INSERT INTO `lang_definitions` VALUES (107692, 6843, 20, 'Antal kolumner i år-vy.');
INSERT INTO `lang_definitions` VALUES (107693, 6886, 20, 'Yrke');
INSERT INTO `lang_definitions` VALUES (107694, 6889, 20, 'Forekomst');
INSERT INTO `lang_definitions` VALUES (107695, 6891, 20, 'Oktober');
INSERT INTO `lang_definitions` VALUES (107696, 6897, 20, 'tabletter');
INSERT INTO `lang_definitions` VALUES (107697, 6898, 20, 'i månaden per');
INSERT INTO `lang_definitions` VALUES (107698, 6907, 20, 'Mottagningskommentarer');
INSERT INTO `lang_definitions` VALUES (107699, 6908, 20, 'Mottagningsbesök');
INSERT INTO `lang_definitions` VALUES (107700, 6921, 20, 'Avkomma');
INSERT INTO `lang_definitions` VALUES (107701, 6925, 20, 'salva');
INSERT INTO `lang_definitions` VALUES (107702, 6927, 20, 'OK');
INSERT INTO `lang_definitions` VALUES (107703, 6931, 20, 'Gammel');
INSERT INTO `lang_definitions` VALUES (107704, 6933, 20, 'Gamla klienter');
INSERT INTO `lang_definitions` VALUES (107705, 6948, 20, 'underlåtit att autoassign');
INSERT INTO `lang_definitions` VALUES (107706, 6950, 20, 'på');
INSERT INTO `lang_definitions` VALUES (107707, 6956, 20, 'På Hand');
INSERT INTO `lang_definitions` VALUES (107708, 6959, 20, 'På beställning');
INSERT INTO `lang_definitions` VALUES (107709, 6979, 20, 'När du byter lösenord måste du logga in på nytt.');
INSERT INTO `lang_definitions` VALUES (107710, 6996, 20, 'Online Support');
INSERT INTO `lang_definitions` VALUES (107711, 6999, 20, 'Endast aktiva');
INSERT INTO `lang_definitions` VALUES (107712, 7004, 20, 'endast om faktureringsadress');
INSERT INTO `lang_definitions` VALUES (107713, 7006, 20, 'Endast Inaktiva');
INSERT INTO `lang_definitions` VALUES (107714, 7007, 20, 'Endast Min');
INSERT INTO `lang_definitions` VALUES (107715, 7017, 20, 'Uppkomsten av sjukdom:');
INSERT INTO `lang_definitions` VALUES (107716, 7018, 20, 'Uppkomsten av sjukdom:');
INSERT INTO `lang_definitions` VALUES (107717, 7019, 20, 'Uppkomsten av Svullnad:');
INSERT INTO `lang_definitions` VALUES (107718, 7022, 20, 'Debut / Inskrivning. Datum:');
INSERT INTO `lang_definitions` VALUES (107719, 7030, 20, 'Ups!');
INSERT INTO `lang_definitions` VALUES (107720, 7031, 20, 'Åben');
INSERT INTO `lang_definitions` VALUES (107721, 7046, 20, 'Åben dagens besøg');
INSERT INTO `lang_definitions` VALUES (107722, 7084, 20, 'OpenEMR kräver Javascript för att utföra användarverifiering.');
INSERT INTO `lang_definitions` VALUES (107723, 7095, 20, 'Alternativ');
INSERT INTO `lang_definitions` VALUES (107724, 7099, 20, 'Valfritt');
INSERT INTO `lang_definitions` VALUES (107725, 7111, 20, 'Frivillig information om denna händelse');
INSERT INTO `lang_definitions` VALUES (107726, 7114, 20, 'Valfri procedurkodkod');
INSERT INTO `lang_definitions` VALUES (107727, 7116, 20, 'Muligheder');
INSERT INTO `lang_definitions` VALUES (107728, 7117, 20, 'ELLER');
INSERT INTO `lang_definitions` VALUES (107729, 7118, 20, 'Eller');
INSERT INTO `lang_definitions` VALUES (107730, 7119, 20, 'Eller välj');
INSERT INTO `lang_definitions` VALUES (107731, 7125, 20, 'Eller ladda upp ERA fil:');
INSERT INTO `lang_definitions` VALUES (107732, 7127, 20, 'Oral');
INSERT INTO `lang_definitions` VALUES (107733, 7129, 20, 'Ordning');
INSERT INTO `lang_definitions` VALUES (107734, 7132, 20, 'Bestillingskatalog');
INSERT INTO `lang_definitions` VALUES (107735, 7133, 20, 'Bestllingsdato');
INSERT INTO `lang_definitions` VALUES (107736, 7136, 20, 'Bestil fra');
INSERT INTO `lang_definitions` VALUES (107737, 7153, 20, 'Bestilt');
INSERT INTO `lang_definitions` VALUES (107738, 7166, 20, 'Organskada');
INSERT INTO `lang_definitions` VALUES (107739, 7167, 20, 'Organisation');
INSERT INTO `lang_definitions` VALUES (107740, 7171, 20, 'Orienterad x 3');
INSERT INTO `lang_definitions` VALUES (107741, 7188, 20, 'P.O. (via munnen)');
INSERT INTO `lang_definitions` VALUES (107742, 7193, 20, 'Övrigt');
INSERT INTO `lang_definitions` VALUES (107743, 7194, 20, 'annan');
INSERT INTO `lang_definitions` VALUES (107744, 7203, 20, 'Andra skador inte specificerade på någon annan plats');
INSERT INTO `lang_definitions` VALUES (107745, 7206, 20, 'anden måned');
INSERT INTO `lang_definitions` VALUES (107746, 7207, 20, 'Andra icke-federala program');
INSERT INTO `lang_definitions` VALUES (107747, 7208, 20, 'Andre noter');
INSERT INTO `lang_definitions` VALUES (107748, 7209, 20, 'Andra relevanta Symtom');
INSERT INTO `lang_definitions` VALUES (107749, 7210, 20, 'Andra relevanta Symtom:');
INSERT INTO `lang_definitions` VALUES (107750, 7216, 20, 'Andra kirurgiska');
INSERT INTO `lang_definitions` VALUES (107751, 7219, 20, 'Andre');
INSERT INTO `lang_definitions` VALUES (107752, 7225, 20, 'OU');
INSERT INTO `lang_definitions` VALUES (107753, 7228, 20, 'Ikke tilstede');
INSERT INTO `lang_definitions` VALUES (107754, 7231, 20, 'Udfald');
INSERT INTO `lang_definitions` VALUES (107755, 7234, 20, 'Outlook');
INSERT INTO `lang_definitions` VALUES (107756, 7244, 20, 'Overforbrug');
INSERT INTO `lang_definitions` VALUES (107757, 7246, 20, 'Overvægt');
INSERT INTO `lang_definitions` VALUES (107758, 7252, 20, 'vid behov');
INSERT INTO `lang_definitions` VALUES (107759, 7259, 20, 'Pedriatisk');
INSERT INTO `lang_definitions` VALUES (107760, 7260, 20, 'Side');
INSERT INTO `lang_definitions` VALUES (107761, 7263, 20, 'Sidor');
INSERT INTO `lang_definitions` VALUES (107762, 7264, 20, 'Betald');
INSERT INTO `lang_definitions` VALUES (107763, 7265, 20, 'Betalt belopp som du kommer att fördela');
INSERT INTO `lang_definitions` VALUES (107764, 7267, 20, 'Betalas via');
INSERT INTO `lang_definitions` VALUES (107765, 7268, 20, 'Smerte');
INSERT INTO `lang_definitions` VALUES (107766, 7271, 20, 'Palpation');
INSERT INTO `lang_definitions` VALUES (107767, 7289, 20, 'Partner');
INSERT INTO `lang_definitions` VALUES (107768, 7301, 20, 'Kodeord');
INSERT INTO `lang_definitions` VALUES (107769, 7302, 20, 'Ændre kodeord');
INSERT INTO `lang_definitions` VALUES (107770, 7311, 20, 'Lösenord för SMS Gateway');
INSERT INTO `lang_definitions` VALUES (107771, 7319, 20, 'Lösenord:');
INSERT INTO `lang_definitions` VALUES (107772, 7334, 20, 'Tidligere aftaler');
INSERT INTO `lang_definitions` VALUES (107773, 7335, 20, 'Tidigare möten och dokument');
INSERT INTO `lang_definitions` VALUES (107774, 7336, 20, 'Tidligere aftaler for');
INSERT INTO `lang_definitions` VALUES (107775, 7344, 20, 'Klistra in HL7 Data');
INSERT INTO `lang_definitions` VALUES (107776, 7361, 20, 'Patient');
INSERT INTO `lang_definitions` VALUES (107777, 7370, 20, 'Patient Allergier');
INSERT INTO `lang_definitions` VALUES (107778, 7373, 20, 'Patient träff/bokning');
INSERT INTO `lang_definitions` VALUES (107779, 7379, 20, 'Patient diagram ID');
INSERT INTO `lang_definitions` VALUES (107780, 7394, 20, 'Patientdata');
INSERT INTO `lang_definitions` VALUES (107781, 7404, 20, 'Patientdokument');
INSERT INTO `lang_definitions` VALUES (107782, 7412, 20, 'Patientmöten');
INSERT INTO `lang_definitions` VALUES (107783, 7413, 20, 'Patientmötesformulär');
INSERT INTO `lang_definitions` VALUES (107784, 7414, 20, 'Patientmöten');
INSERT INTO `lang_definitions` VALUES (107785, 7415, 20, 'Patientsök');
INSERT INTO `lang_definitions` VALUES (107786, 7417, 20, 'Patient Fornavn');
INSERT INTO `lang_definitions` VALUES (107787, 7424, 20, 'Patient køn');
INSERT INTO `lang_definitions` VALUES (107788, 7428, 20, 'Patienthistoria');
INSERT INTO `lang_definitions` VALUES (107789, 7429, 20, 'Patientens historia / Livsstil');
INSERT INTO `lang_definitions` VALUES (107790, 7430, 20, 'Patient hjemmetelefonnummer');
INSERT INTO `lang_definitions` VALUES (107791, 7431, 20, 'Patient-ID');
INSERT INTO `lang_definitions` VALUES (107792, 7437, 20, 'Patient -vaccination');
INSERT INTO `lang_definitions` VALUES (107793, 7438, 20, 'Patient information');
INSERT INTO `lang_definitions` VALUES (107794, 7440, 20, 'Patient instruktioner');
INSERT INTO `lang_definitions` VALUES (107795, 7441, 20, 'Ej tilldelad!');
INSERT INTO `lang_definitions` VALUES (107796, 7445, 20, 'Patient -problem');
INSERT INTO `lang_definitions` VALUES (107797, 7447, 20, 'Patient eftenavn');
INSERT INTO `lang_definitions` VALUES (107798, 7454, 20, 'Patientlista');
INSERT INTO `lang_definitions` VALUES (107799, 7463, 20, 'Patientens medicinska problem');
INSERT INTO `lang_definitions` VALUES (107800, 7464, 20, 'Patient -Mediciner');
INSERT INTO `lang_definitions` VALUES (107801, 7470, 20, 'Patientnavn');
INSERT INTO `lang_definitions` VALUES (107802, 7472, 20, 'Patient: Namn och Adress');
INSERT INTO `lang_definitions` VALUES (107803, 7478, 20, 'Patientanteckning, typ');
INSERT INTO `lang_definitions` VALUES (107804, 7479, 20, 'Patient -kommentarer');
INSERT INTO `lang_definitions` VALUES (107805, 7482, 20, 'Patientnummer');
INSERT INTO `lang_definitions` VALUES (107806, 7483, 20, 'Patient-betaling');
INSERT INTO `lang_definitions` VALUES (107807, 7499, 20, 'Patient -Journalrapport');
INSERT INTO `lang_definitions` VALUES (107808, 7503, 20, 'Patient påmindelse');
INSERT INTO `lang_definitions` VALUES (107809, 7514, 20, 'Patientrapport');
INSERT INTO `lang_definitions` VALUES (107810, 7518, 20, 'Patientförfrågan');
INSERT INTO `lang_definitions` VALUES (107811, 7521, 20, 'Patient resultater');
INSERT INTO `lang_definitions` VALUES (107812, 7528, 20, 'Patient opsætning');
INSERT INTO `lang_definitions` VALUES (107813, 7539, 20, 'Patient -Sammanfattning');
INSERT INTO `lang_definitions` VALUES (107814, 7542, 20, 'Patient -Remisser m.m.');
INSERT INTO `lang_definitions` VALUES (107815, 7550, 20, 'Patient / Klient');
INSERT INTO `lang_definitions` VALUES (107816, 7551, 20, 'Patient:');
INSERT INTO `lang_definitions` VALUES (107817, 7553, 20, 'Patienter');
INSERT INTO `lang_definitions` VALUES (107818, 7559, 20, 'Betala');
INSERT INTO `lang_definitions` VALUES (107819, 7563, 20, 'Betalningsdatum:');
INSERT INTO `lang_definitions` VALUES (107820, 7568, 20, 'Betaler');
INSERT INTO `lang_definitions` VALUES (107821, 7572, 20, 'Betalare Typ');
INSERT INTO `lang_definitions` VALUES (107822, 7573, 20, 'Betalende');
INSERT INTO `lang_definitions` VALUES (107823, 7575, 20, 'Betaling');
INSERT INTO `lang_definitions` VALUES (107824, 7583, 20, 'Betalingsdato');
INSERT INTO `lang_definitions` VALUES (107825, 7590, 20, 'Betalingsmetode');
INSERT INTO `lang_definitions` VALUES (107826, 7600, 20, 'Betalingsvædi til kode');
INSERT INTO `lang_definitions` VALUES (107827, 7602, 20, 'Betalinger');
INSERT INTO `lang_definitions` VALUES (107828, 7624, 20, 'Oavslutad');
INSERT INTO `lang_definitions` VALUES (107829, 7630, 20, 'Oklart');
INSERT INTO `lang_definitions` VALUES (107830, 7642, 20, 'via näsborre');
INSERT INTO `lang_definitions` VALUES (107831, 7643, 20, 'via näsborre');
INSERT INTO `lang_definitions` VALUES (107832, 7646, 20, 'Rektalt');
INSERT INTO `lang_definitions` VALUES (107833, 7647, 20, 'rektalt');
INSERT INTO `lang_definitions` VALUES (107834, 7648, 20, 'Procent');
INSERT INTO `lang_definitions` VALUES (107835, 7654, 20, 'Udfør søgning');
INSERT INTO `lang_definitions` VALUES (107836, 7655, 20, 'Udfør denne handling');
INSERT INTO `lang_definitions` VALUES (107837, 7661, 20, 'Periode');
INSERT INTO `lang_definitions` VALUES (107838, 7678, 20, 'Apotek');
INSERT INTO `lang_definitions` VALUES (107839, 7680, 20, 'Patient Insurance Distribution');
INSERT INTO `lang_definitions` VALUES (107840, 7688, 20, 'Pheumothorax');
INSERT INTO `lang_definitions` VALUES (107841, 7697, 20, 'Telefon');
INSERT INTO `lang_definitions` VALUES (107842, 7699, 20, 'Telefon samtalslistan');
INSERT INTO `lang_definitions` VALUES (107843, 7711, 20, 'Telefonnummer');
INSERT INTO `lang_definitions` VALUES (107844, 7716, 20, 'Fotos');
INSERT INTO `lang_definitions` VALUES (107845, 7723, 20, 'Hälsokontroll');
INSERT INTO `lang_definitions` VALUES (107846, 7725, 20, 'Läkares Begäran');
INSERT INTO `lang_definitions` VALUES (107847, 7726, 20, 'Läkares Underskrift');
INSERT INTO `lang_definitions` VALUES (107848, 7729, 20, 'Läkare');
INSERT INTO `lang_definitions` VALUES (107849, 7733, 20, 'välj');
INSERT INTO `lang_definitions` VALUES (107850, 7741, 20, 'Tablett Storlek');
INSERT INTO `lang_definitions` VALUES (107851, 7742, 20, 'Tabletter');
INSERT INTO `lang_definitions` VALUES (107852, 7756, 20, 'Vanlig text');
INSERT INTO `lang_definitions` VALUES (107853, 7778, 20, 'Spelare');
INSERT INTO `lang_definitions` VALUES (107854, 7779, 20, 'Position');
INSERT INTO `lang_definitions` VALUES (107855, 7789, 20, 'Välj ett värde för');
INSERT INTO `lang_definitions` VALUES (107856, 7795, 20, 'Stäng detta fönster');
INSERT INTO `lang_definitions` VALUES (107857, 7796, 20, 'Jämför det nya namnet');
INSERT INTO `lang_definitions` VALUES (107858, 7814, 20, 'indtast dato');
INSERT INTO `lang_definitions` VALUES (107859, 7821, 20, 'indtast nyt kodeord');
INSERT INTO `lang_definitions` VALUES (107860, 7822, 20, 'Indtast en titel');
INSERT INTO `lang_definitions` VALUES (107861, 7834, 20, 'Indtast kodeord');
INSERT INTO `lang_definitions` VALUES (107862, 7845, 20, 'Udfyld dato');
INSERT INTO `lang_definitions` VALUES (107863, 7856, 20, 'Indtast søgekriterie ovenover og tryk TILMELD for at se resultater');
INSERT INTO `lang_definitions` VALUES (107864, 7858, 20, 'Prøv at logge ind igen');
INSERT INTO `lang_definitions` VALUES (107865, 7861, 20, 'Vänligen använ endast alfabetiska tecken');
INSERT INTO `lang_definitions` VALUES (107866, 7862, 20, 'Vänligen använd endast alfabetiska tecken utan mellanslag');
INSERT INTO `lang_definitions` VALUES (107867, 7863, 20, 'Vänligen betala detta belopp');
INSERT INTO `lang_definitions` VALUES (107868, 7877, 20, 'Vælg et sprog');
INSERT INTO `lang_definitions` VALUES (107869, 7878, 20, 'Vælg en patient');
INSERT INTO `lang_definitions` VALUES (107870, 7884, 20, 'Vælg en start- og slutdato');
INSERT INTO `lang_definitions` VALUES (107871, 7889, 20, 'Vælg en begivenhed');
INSERT INTO `lang_definitions` VALUES (107872, 7900, 20, 'Vælg betalingsform');
INSERT INTO `lang_definitions` VALUES (107873, 7926, 20, 'EM');
INSERT INTO `lang_definitions` VALUES (107874, 7940, 20, 'Lunginflammations Vaccination');
INSERT INTO `lang_definitions` VALUES (107875, 7947, 20, 'Förhållningssätt');
INSERT INTO `lang_definitions` VALUES (107876, 7955, 20, 'Polyper');
INSERT INTO `lang_definitions` VALUES (107877, 7957, 20, 'Dålig apptit');
INSERT INTO `lang_definitions` VALUES (107878, 7958, 20, 'Dålig cirkulation');
INSERT INTO `lang_definitions` VALUES (107879, 7959, 20, 'Dålig hörsel');
INSERT INTO `lang_definitions` VALUES (107880, 7965, 20, 'Popup-vinduer');
INSERT INTO `lang_definitions` VALUES (107881, 8000, 20, 'Efterbetalinger');
INSERT INTO `lang_definitions` VALUES (107882, 8011, 20, 'Postnr');
INSERT INTO `lang_definitions` VALUES (107883, 8012, 20, 'Postnummer');
INSERT INTO `lang_definitions` VALUES (107884, 8026, 20, 'Överförings Datum');
INSERT INTO `lang_definitions` VALUES (107885, 8037, 20, 'Practice');
INSERT INTO `lang_definitions` VALUES (107886, 8044, 20, 'Forudbetaling');
INSERT INTO `lang_definitions` VALUES (107887, 8050, 20, 'Refrerencer');
INSERT INTO `lang_definitions` VALUES (107888, 8056, 20, 'Graviditets test');
INSERT INTO `lang_definitions` VALUES (107889, 8059, 20, 'Forudbetalt');
INSERT INTO `lang_definitions` VALUES (107890, 8066, 20, 'Receptbelagda märken');
INSERT INTO `lang_definitions` VALUES (107891, 8070, 20, 'Recept');
INSERT INTO `lang_definitions` VALUES (107892, 8073, 20, 'Föreskrifter och dispenser');
INSERT INTO `lang_definitions` VALUES (107893, 8074, 20, 'Recept och andra råd');
INSERT INTO `lang_definitions` VALUES (107894, 8075, 20, 'Recept och andra råd av specialist');
INSERT INTO `lang_definitions` VALUES (107895, 8076, 20, 'recept rapport');
INSERT INTO `lang_definitions` VALUES (107896, 8077, 20, 'Recept/råd');
INSERT INTO `lang_definitions` VALUES (107897, 8078, 20, 'Nuværende');
INSERT INTO `lang_definitions` VALUES (107898, 8079, 20, 'Presentera Klagomål');
INSERT INTO `lang_definitions` VALUES (107899, 8081, 20, 'Tryck på fortsätt för att fortsätta');
INSERT INTO `lang_definitions` VALUES (107900, 8084, 20, 'Förmodad diagnos');
INSERT INTO `lang_definitions` VALUES (107901, 8085, 20, 'Förmodad diagnos från specialist');
INSERT INTO `lang_definitions` VALUES (107902, 8086, 20, 'Forrige');
INSERT INTO `lang_definitions` VALUES (107903, 8098, 20, 'Forrige');
INSERT INTO `lang_definitions` VALUES (107904, 8099, 20, 'Forrige konsultationer');
INSERT INTO `lang_definitions` VALUES (107905, 8100, 20, 'Forrige dag');
INSERT INTO `lang_definitions` VALUES (107906, 8103, 20, 'Forrige måned');
INSERT INTO `lang_definitions` VALUES (107907, 8104, 20, 'Forrige uge');
INSERT INTO `lang_definitions` VALUES (107908, 8105, 20, 'Pris');
INSERT INTO `lang_definitions` VALUES (107909, 8109, 20, 'Prisniveau');
INSERT INTO `lang_definitions` VALUES (107910, 8111, 20, 'Prisniveau:');
INSERT INTO `lang_definitions` VALUES (107911, 8113, 20, 'Priser');
INSERT INTO `lang_definitions` VALUES (107912, 8114, 20, 'Primær');
INSERT INTO `lang_definitions` VALUES (107913, 8126, 20, 'Primära Försäkring');
INSERT INTO `lang_definitions` VALUES (107914, 8127, 20, 'Primära Försäkrings Data');
INSERT INTO `lang_definitions` VALUES (107915, 8128, 20, 'Primär försäkringsbolag');
INSERT INTO `lang_definitions` VALUES (107916, 8130, 20, 'Print');
INSERT INTO `lang_definitions` VALUES (107917, 8135, 20, 'Printa blankt remissformulär');
INSERT INTO `lang_definitions` VALUES (107918, 8148, 20, 'Print flere');
INSERT INTO `lang_definitions` VALUES (107919, 8166, 20, 'Print denne aftale');
INSERT INTO `lang_definitions` VALUES (107920, 8168, 20, 'Print denne note');
INSERT INTO `lang_definitions` VALUES (107921, 8169, 20, 'Print denne note');
INSERT INTO `lang_definitions` VALUES (107922, 8173, 20, 'Utskrivbar');
INSERT INTO `lang_definitions` VALUES (107923, 8174, 20, 'Utskriftsversion');
INSERT INTO `lang_definitions` VALUES (107924, 8178, 20, 'Printer resultater');
INSERT INTO `lang_definitions` VALUES (107925, 8192, 20, 'Prioritet');
INSERT INTO `lang_definitions` VALUES (107926, 8196, 20, 'Privat');
INSERT INTO `lang_definitions` VALUES (107927, 8202, 20, 'Problemer/emner');
INSERT INTO `lang_definitions` VALUES (107928, 8209, 20, 'Procedure');
INSERT INTO `lang_definitions` VALUES (107929, 8254, 20, 'Procedure');
INSERT INTO `lang_definitions` VALUES (107930, 8256, 20, 'Process');
INSERT INTO `lang_definitions` VALUES (107931, 8267, 20, 'Bearbetning');
INSERT INTO `lang_definitions` VALUES (107932, 8279, 20, 'Produkter');
INSERT INTO `lang_definitions` VALUES (107933, 8282, 20, 'Prof.');
INSERT INTO `lang_definitions` VALUES (107934, 8295, 20, 'Prostata Cancer');
INSERT INTO `lang_definitions` VALUES (107935, 8297, 20, 'Prostata undersökning');
INSERT INTO `lang_definitions` VALUES (107936, 8298, 20, 'Prostata problem');
INSERT INTO `lang_definitions` VALUES (107937, 8318, 20, 'Leverandør');
INSERT INTO `lang_definitions` VALUES (107938, 8330, 20, 'Leverandør nummer');
INSERT INTO `lang_definitions` VALUES (107939, 8336, 20, 'Levenradør');
INSERT INTO `lang_definitions` VALUES (107940, 8337, 20, 'Levenrandører');
INSERT INTO `lang_definitions` VALUES (107941, 8366, 20, 'Pt refundering');
INSERT INTO `lang_definitions` VALUES (107942, 8367, 20, 'Pt afsluttet');
INSERT INTO `lang_definitions` VALUES (107943, 8383, 20, 'Offentlig');
INSERT INTO `lang_definitions` VALUES (107944, 8398, 20, 'Puls');
INSERT INTO `lang_definitions` VALUES (107945, 8401, 20, 'Køb');
INSERT INTO `lang_definitions` VALUES (107946, 8408, 20, 'Var 3:e timme');
INSERT INTO `lang_definitions` VALUES (107947, 8409, 20, 'Var 4:e timme');
INSERT INTO `lang_definitions` VALUES (107948, 8410, 20, 'Var 5:e timme');
INSERT INTO `lang_definitions` VALUES (107949, 8411, 20, 'Var 6:e timme');
INSERT INTO `lang_definitions` VALUES (107950, 8412, 20, 'Var 8:e timme');
INSERT INTO `lang_definitions` VALUES (107951, 8413, 20, '1 ggr/dag');
INSERT INTO `lang_definitions` VALUES (107952, 8414, 20, '4ggr/dag');
INSERT INTO `lang_definitions` VALUES (107953, 8419, 20, 'Antal');
INSERT INTO `lang_definitions` VALUES (107954, 8421, 20, 'Kvalitet');
INSERT INTO `lang_definitions` VALUES (107955, 8423, 20, 'Kvantitet');
INSERT INTO `lang_definitions` VALUES (107956, 8425, 20, 'Kvantitet för NDC');
INSERT INTO `lang_definitions` VALUES (107957, 8431, 20, 'Spøgsmålstegn');
INSERT INTO `lang_definitions` VALUES (107958, 8436, 20, 'köad');
INSERT INTO `lang_definitions` VALUES (107959, 8437, 20, 'Kö Evenemang Administration');
INSERT INTO `lang_definitions` VALUES (107960, 8438, 20, 'köad för');
INSERT INTO `lang_definitions` VALUES (107961, 8440, 20, 'Kö föreläggande Administration');
INSERT INTO `lang_definitions` VALUES (107962, 8452, 20, 'Ras');
INSERT INTO `lang_definitions` VALUES (107963, 8454, 20, 'Etnisitet');
INSERT INTO `lang_definitions` VALUES (107964, 8456, 20, 'Radio');
INSERT INTO `lang_definitions` VALUES (107965, 8463, 20, 'Udslæt');
INSERT INTO `lang_definitions` VALUES (107966, 8464, 20, 'Betygsätta');
INSERT INTO `lang_definitions` VALUES (107967, 8480, 20, 'Genåben');
INSERT INTO `lang_definitions` VALUES (107968, 8482, 20, 'Genåbnet');
INSERT INTO `lang_definitions` VALUES (107969, 8484, 20, 'Reaktion');
INSERT INTO `lang_definitions` VALUES (107970, 8486, 20, 'Reaktioner');
INSERT INTO `lang_definitions` VALUES (107971, 8489, 20, 'Læs');
INSERT INTO `lang_definitions` VALUES (107972, 8496, 20, 'Rigtigt navn');
INSERT INTO `lang_definitions` VALUES (107973, 8497, 20, 'Virkelig slette?');
INSERT INTO `lang_definitions` VALUES (107974, 8498, 20, 'Årsag');
INSERT INTO `lang_definitions` VALUES (107975, 8500, 20, 'Dødsårsag');
INSERT INTO `lang_definitions` VALUES (107976, 8502, 20, 'Anledning till remiss');
INSERT INTO `lang_definitions` VALUES (107977, 8504, 20, 'Anledning till besök');
INSERT INTO `lang_definitions` VALUES (107978, 8506, 20, 'Orsak / Form');
INSERT INTO `lang_definitions` VALUES (107979, 8521, 20, 'Kvitto');
INSERT INTO `lang_definitions` VALUES (107980, 8522, 20, 'Kvitto för betalning');
INSERT INTO `lang_definitions` VALUES (107981, 8525, 20, 'Kvitton Sammanfattning');
INSERT INTO `lang_definitions` VALUES (107982, 8526, 20, 'Modtaget');
INSERT INTO `lang_definitions` VALUES (107983, 8527, 20, 'Modtaget af');
INSERT INTO `lang_definitions` VALUES (107984, 8528, 20, 'Modtaget fax');
INSERT INTO `lang_definitions` VALUES (107985, 8532, 20, 'Modtager');
INSERT INTO `lang_definitions` VALUES (107986, 8533, 20, 'Modtager ID');
INSERT INTO `lang_definitions` VALUES (107987, 8549, 20, 'Anbefaling');
INSERT INTO `lang_definitions` VALUES (107988, 8552, 20, 'Anbefalinger');
INSERT INTO `lang_definitions` VALUES (107989, 8553, 20, 'Anbefalinger og behandling');
INSERT INTO `lang_definitions` VALUES (107990, 8554, 20, 'Anbefalet af specialist');
INSERT INTO `lang_definitions` VALUES (107991, 8557, 20, 'Optag');
INSERT INTO `lang_definitions` VALUES (107992, 8568, 20, 'Optag betaling');
INSERT INTO `lang_definitions` VALUES (107993, 8572, 20, 'Optagelser');
INSERT INTO `lang_definitions` VALUES (107994, 8573, 20, 'Optagelser fundet');
INSERT INTO `lang_definitions` VALUES (107995, 8574, 20, 'patienter fundet.');
INSERT INTO `lang_definitions` VALUES (107996, 8595, 20, 'reduceras:');
INSERT INTO `lang_definitions` VALUES (107997, 8597, 20, 'Referer');
INSERT INTO `lang_definitions` VALUES (107998, 8598, 20, 'Referer af');
INSERT INTO `lang_definitions` VALUES (107999, 8599, 20, 'Remissdatum');
INSERT INTO `lang_definitions` VALUES (108000, 8600, 20, 'Referer til');
INSERT INTO `lang_definitions` VALUES (108001, 8603, 20, 'Prioritetsnivå (Risknivå)');
INSERT INTO `lang_definitions` VALUES (108002, 8605, 20, 'reference årsag');
INSERT INTO `lang_definitions` VALUES (108003, 8609, 20, 'Remittent, namn och signatur');
INSERT INTO `lang_definitions` VALUES (108004, 8610, 20, 'Remiss');
INSERT INTO `lang_definitions` VALUES (108005, 8611, 20, 'Remitterad av');
INSERT INTO `lang_definitions` VALUES (108006, 8612, 20, 'Remisskort');
INSERT INTO `lang_definitions` VALUES (108007, 8613, 20, 'Remissdadum');
INSERT INTO `lang_definitions` VALUES (108008, 8614, 20, 'Remissformulär');
INSERT INTO `lang_definitions` VALUES (108009, 8615, 20, 'REMISSFORMULÄR');
INSERT INTO `lang_definitions` VALUES (108010, 8619, 20, 'Remisskälla');
INSERT INTO `lang_definitions` VALUES (108011, 8621, 20, 'Remitteras till');
INSERT INTO `lang_definitions` VALUES (108012, 8622, 20, 'remittering');
INSERT INTO `lang_definitions` VALUES (108013, 8623, 20, 'remiss');
INSERT INTO `lang_definitions` VALUES (108014, 8624, 20, 'Remiterats från');
INSERT INTO `lang_definitions` VALUES (108015, 8625, 20, 'Remiterats från');
INSERT INTO `lang_definitions` VALUES (108016, 8627, 20, 'Remitterats till');
INSERT INTO `lang_definitions` VALUES (108017, 8628, 20, 'Remiterats av');
INSERT INTO `lang_definitions` VALUES (108018, 8639, 20, 'Refill');
INSERT INTO `lang_definitions` VALUES (108019, 8640, 20, 'Refill');
INSERT INTO `lang_definitions` VALUES (108020, 8641, 20, 'Reflexer normala');
INSERT INTO `lang_definitions` VALUES (108021, 8645, 20, 'Opdater');
INSERT INTO `lang_definitions` VALUES (108022, 8662, 20, 'Registrerad');
INSERT INTO `lang_definitions` VALUES (108023, 8663, 20, 'registrerade');
INSERT INTO `lang_definitions` VALUES (108024, 8668, 20, 'Registreringsdag');
INSERT INTO `lang_definitions` VALUES (108025, 8672, 20, 'Rehabilitering');
INSERT INTO `lang_definitions` VALUES (108026, 8676, 20, 'Relatere til');
INSERT INTO `lang_definitions` VALUES (108027, 8677, 20, 'Relateret');
INSERT INTO `lang_definitions` VALUES (108028, 8681, 20, 'Relationer');
INSERT INTO `lang_definitions` VALUES (108029, 8682, 20, 'Forhold');
INSERT INTO `lang_definitions` VALUES (108030, 8684, 20, 'Anhöriga');
INSERT INTO `lang_definitions` VALUES (108031, 8700, 20, 'Religion');
INSERT INTO `lang_definitions` VALUES (108032, 8705, 20, 'Relogin');
INSERT INTO `lang_definitions` VALUES (108033, 8712, 20, 'Påmindelse');
INSERT INTO `lang_definitions` VALUES (108034, 8715, 20, 'Påmindelse Intervaller');
INSERT INTO `lang_definitions` VALUES (108035, 8716, 20, 'Påmindelse endnu ikke sendt');
INSERT INTO `lang_definitions` VALUES (108036, 8729, 20, 'Fjern');
INSERT INTO `lang_definitions` VALUES (108037, 8733, 20, 'Fjern gruppe');
INSERT INTO `lang_definitions` VALUES (108038, 8744, 20, 'Gendøb');
INSERT INTO `lang_definitions` VALUES (108039, 8745, 20, 'Gendøb gruppe');
INSERT INTO `lang_definitions` VALUES (108040, 8750, 20, 'Genbestil');
INSERT INTO `lang_definitions` VALUES (108041, 8758, 20, 'Gentagene event');
INSERT INTO `lang_definitions` VALUES (108042, 8759, 20, 'Gentagene information');
INSERT INTO `lang_definitions` VALUES (108043, 8760, 20, 'Gentag');
INSERT INTO `lang_definitions` VALUES (108044, 8771, 20, 'Svardato');
INSERT INTO `lang_definitions` VALUES (108045, 8772, 20, 'Svar fra');
INSERT INTO `lang_definitions` VALUES (108046, 8774, 20, 'Rapport');
INSERT INTO `lang_definitions` VALUES (108047, 8797, 20, 'Rapporter');
INSERT INTO `lang_definitions` VALUES (108048, 8821, 20, 'Nødvendig');
INSERT INTO `lang_definitions` VALUES (108049, 8832, 20, 'RESERVERET');
INSERT INTO `lang_definitions` VALUES (108050, 8833, 20, 'reserveret');
INSERT INTO `lang_definitions` VALUES (108051, 8838, 20, 'Genstart');
INSERT INTO `lang_definitions` VALUES (108052, 8852, 20, 'Løst');
INSERT INTO `lang_definitions` VALUES (108053, 8866, 20, 'Begränsat Utbildning');
INSERT INTO `lang_definitions` VALUES (108054, 8867, 20, 'Resultat');
INSERT INTO `lang_definitions` VALUES (108055, 8885, 20, 'Infällda Höger:');
INSERT INTO `lang_definitions` VALUES (108056, 8886, 20, 'Tilbage');
INSERT INTO `lang_definitions` VALUES (108057, 8890, 20, 'Tilbage til kalender');
INSERT INTO `lang_definitions` VALUES (108058, 8897, 20, 'Returvärde');
INSERT INTO `lang_definitions` VALUES (108059, 8898, 20, 'Återresa');
INSERT INTO `lang_definitions` VALUES (108060, 8918, 20, 'Översyn av System Kontroller');
INSERT INTO `lang_definitions` VALUES (108061, 8924, 20, 'Revision');
INSERT INTO `lang_definitions` VALUES (108062, 8928, 20, 'Højre');
INSERT INTO `lang_definitions` VALUES (108063, 8931, 20, 'Højre øre');
INSERT INTO `lang_definitions` VALUES (108064, 8932, 20, 'højre øre');
INSERT INTO `lang_definitions` VALUES (108065, 8940, 20, 'Højre:');
INSERT INTO `lang_definitions` VALUES (108066, 8941, 20, 'Ringningar i öron');
INSERT INTO `lang_definitions` VALUES (108067, 8942, 20, 'Tinitus');
INSERT INTO `lang_definitions` VALUES (108068, 8944, 20, 'Risikofaktorer');
INSERT INTO `lang_definitions` VALUES (108069, 8966, 20, 'Rutt');
INSERT INTO `lang_definitions` VALUES (108070, 8969, 20, 'Rader');
INSERT INTO `lang_definitions` VALUES (108071, 8972, 20, 'Massera:');
INSERT INTO `lang_definitions` VALUES (108072, 8973, 20, 'Gnuggar:');
INSERT INTO `lang_definitions` VALUES (108073, 8974, 20, 'Regel');
INSERT INTO `lang_definitions` VALUES (108074, 8975, 20, 'Tilføj regel');
INSERT INTO `lang_definitions` VALUES (108075, 8984, 20, 'Regler');
INSERT INTO `lang_definitions` VALUES (108076, 8989, 20, 'Kör kommando:');
INSERT INTO `lang_definitions` VALUES (108077, 8995, 20, 'Recept');
INSERT INTO `lang_definitions` VALUES (108078, 8996, 20, 'Recept');
INSERT INTO `lang_definitions` VALUES (108079, 9028, 20, 'K');
INSERT INTO `lang_definitions` VALUES (108080, 9029, 20, 'Personnr');
INSERT INTO `lang_definitions` VALUES (108081, 9034, 20, 'Salg');
INSERT INTO `lang_definitions` VALUES (108082, 9038, 20, 'Spyt');
INSERT INTO `lang_definitions` VALUES (108083, 9039, 20, 'Samme dag');
INSERT INTO `lang_definitions` VALUES (108084, 9041, 20, 'Prøve');
INSERT INTO `lang_definitions` VALUES (108085, 9042, 20, 'Sanktions Typ');
INSERT INTO `lang_definitions` VALUES (108086, 9047, 20, 'Lørdag');
INSERT INTO `lang_definitions` VALUES (108087, 9048, 20, 'Lørdag og Søndag');
INSERT INTO `lang_definitions` VALUES (108088, 9049, 20, 'Lørdag');
INSERT INTO `lang_definitions` VALUES (108089, 9050, 20, 'Gem');
INSERT INTO `lang_definitions` VALUES (108090, 9051, 20, 'Gem');
INSERT INTO `lang_definitions` VALUES (108091, 9058, 20, 'Gem og fordel');
INSERT INTO `lang_definitions` VALUES (108092, 9061, 20, 'Gem som ny');
INSERT INTO `lang_definitions` VALUES (108093, 9063, 20, 'Gem som ny note');
INSERT INTO `lang_definitions` VALUES (108094, 9066, 20, 'Gem certifikatindstillinger');
INSERT INTO `lang_definitions` VALUES (108095, 9067, 20, 'Gem ændringer');
INSERT INTO `lang_definitions` VALUES (108096, 9075, 20, 'Gem form');
INSERT INTO `lang_definitions` VALUES (108097, 9076, 20, 'Spara vaccination');
INSERT INTO `lang_definitions` VALUES (108098, 9078, 20, 'Gem nyt felt');
INSERT INTO `lang_definitions` VALUES (108099, 9079, 20, 'Gem ny gruppe');
INSERT INTO `lang_definitions` VALUES (108100, 9080, 20, 'Gem ny liste');
INSERT INTO `lang_definitions` VALUES (108101, 9083, 20, 'Gem patientoplysninger');
INSERT INTO `lang_definitions` VALUES (108102, 9089, 20, 'Gem transaktion');
INSERT INTO `lang_definitions` VALUES (108103, 9098, 20, 'Scannet');
INSERT INTO `lang_definitions` VALUES (108104, 9101, 20, 'Scanner i');
INSERT INTO `lang_definitions` VALUES (108105, 9104, 20, 'Skema');
INSERT INTO `lang_definitions` VALUES (108106, 9122, 20, 'Skolios');
INSERT INTO `lang_definitions` VALUES (108107, 9133, 20, 'SE');
INSERT INTO `lang_definitions` VALUES (108108, 9134, 20, 'SE Adresse');
INSERT INTO `lang_definitions` VALUES (108109, 9135, 20, 'SE By');
INSERT INTO `lang_definitions` VALUES (108110, 9136, 20, 'SE Land');
INSERT INTO `lang_definitions` VALUES (108111, 9138, 20, 'SE Postnummer');
INSERT INTO `lang_definitions` VALUES (108112, 9140, 20, 'SE Postnummer');
INSERT INTO `lang_definitions` VALUES (108113, 9141, 20, 'Søg');
INSERT INTO `lang_definitions` VALUES (108114, 9143, 20, 'Søg');
INSERT INTO `lang_definitions` VALUES (108115, 9144, 20, 'Søg igen');
INSERT INTO `lang_definitions` VALUES (108116, 9150, 20, 'Søg efter:');
INSERT INTO `lang_definitions` VALUES (108117, 9152, 20, 'Søg efter:');
INSERT INTO `lang_definitions` VALUES (108118, 9156, 20, 'Søg efter:');
INSERT INTO `lang_definitions` VALUES (108119, 9159, 20, 'Søg i');
INSERT INTO `lang_definitions` VALUES (108120, 9161, 20, 'Søg eller tilføj patient');
INSERT INTO `lang_definitions` VALUES (108121, 9164, 20, 'Søg betaling');
INSERT INTO `lang_definitions` VALUES (108122, 9168, 20, 'søgeresultater');
INSERT INTO `lang_definitions` VALUES (108123, 9169, 20, 'Søgning valgt');
INSERT INTO `lang_definitions` VALUES (108124, 9174, 20, 'Søg tekst');
INSERT INTO `lang_definitions` VALUES (108125, 9175, 20, 'Søg i begivenheder');
INSERT INTO `lang_definitions` VALUES (108126, 9178, 20, 'Søg/Tilføj');
INSERT INTO `lang_definitions` VALUES (108127, 9179, 20, 'Sök / Lägg till försäkringsgivaren');
INSERT INTO `lang_definitions` VALUES (108128, 9181, 20, 'Søg efter aftaler');
INSERT INTO `lang_definitions` VALUES (108129, 9182, 20, 'Søger...');
INSERT INTO `lang_definitions` VALUES (108130, 9185, 20, 'Bilbältesanvändning');
INSERT INTO `lang_definitions` VALUES (108131, 9186, 20, 'Anden');
INSERT INTO `lang_definitions` VALUES (108132, 9189, 20, 'Sekundær');
INSERT INTO `lang_definitions` VALUES (108133, 9191, 20, 'Sekundär Försäkring');
INSERT INTO `lang_definitions` VALUES (108134, 9192, 20, 'Sekundär Försäkrings Data');
INSERT INTO `lang_definitions` VALUES (108135, 9207, 20, 'Sikkerhed');
INSERT INTO `lang_definitions` VALUES (108136, 9208, 20, 'Se alle');
INSERT INTO `lang_definitions` VALUES (108137, 9210, 20, 'Se autorisationer');
INSERT INTO `lang_definitions` VALUES (108138, 9218, 20, 'Set siden');
INSERT INTO `lang_definitions` VALUES (108139, 9224, 20, 'Vælg');
INSERT INTO `lang_definitions` VALUES (108140, 9225, 20, 'Vælg');
INSERT INTO `lang_definitions` VALUES (108141, 9228, 20, 'Vælg en sammenhæng');
INSERT INTO `lang_definitions` VALUES (108142, 9236, 20, 'Vælg en bruger');
INSERT INTO `lang_definitions` VALUES (108143, 9239, 20, 'Vælg alle');
INSERT INTO `lang_definitions` VALUES (108144, 9250, 20, 'Vælg kategori');
INSERT INTO `lang_definitions` VALUES (108145, 9256, 20, 'Vælg kriterie for at fjerne');
INSERT INTO `lang_definitions` VALUES (108146, 9262, 20, 'Vælg dato');
INSERT INTO `lang_definitions` VALUES (108147, 9265, 20, 'Vælg diagnose');
INSERT INTO `lang_definitions` VALUES (108148, 9271, 20, 'Vælg præpprarat');
INSERT INTO `lang_definitions` VALUES (108149, 9272, 20, 'Vælg præpparater');
INSERT INTO `lang_definitions` VALUES (108150, 9279, 20, 'Vælg for at printe');
INSERT INTO `lang_definitions` VALUES (108151, 9288, 20, 'Vælg emne');
INSERT INTO `lang_definitions` VALUES (108152, 9291, 20, 'Vælg sprog');
INSERT INTO `lang_definitions` VALUES (108153, 9338, 20, 'Vælg bruger');
INSERT INTO `lang_definitions` VALUES (108154, 9340, 20, 'Vælg brugere fra Dropdown-listen');
INSERT INTO `lang_definitions` VALUES (108155, 9349, 20, 'Valgt');
INSERT INTO `lang_definitions` VALUES (108156, 9350, 20, 'Vælg møde');
INSERT INTO `lang_definitions` VALUES (108157, 9358, 20, 'Egenbetaling');
INSERT INTO `lang_definitions` VALUES (108158, 9360, 20, 'Send');
INSERT INTO `lang_definitions` VALUES (108159, 9369, 20, 'Överföring pågår');
INSERT INTO `lang_definitions` VALUES (108160, 9372, 20, 'Send besked');
INSERT INTO `lang_definitions` VALUES (108161, 9384, 20, 'Send denne fil');
INSERT INTO `lang_definitions` VALUES (108162, 9395, 20, 'Afsender');
INSERT INTO `lang_definitions` VALUES (108163, 9396, 20, 'Afsender ID');
INSERT INTO `lang_definitions` VALUES (108164, 9411, 20, 'Känslighet:');
INSERT INTO `lang_definitions` VALUES (108165, 9418, 20, 'Sendte emner');
INSERT INTO `lang_definitions` VALUES (108166, 9420, 20, 'Sendt');
INSERT INTO `lang_definitions` VALUES (108167, 9423, 20, 'Sendt til printer');
INSERT INTO `lang_definitions` VALUES (108168, 9430, 20, 'Separeret');
INSERT INTO `lang_definitions` VALUES (108169, 9431, 20, 'September');
INSERT INTO `lang_definitions` VALUES (108170, 9433, 20, 'Sekvens');
INSERT INTO `lang_definitions` VALUES (108171, 9442, 20, 'Service');
INSERT INTO `lang_definitions` VALUES (108172, 9444, 20, 'Service kategori');
INSERT INTO `lang_definitions` VALUES (108173, 9445, 20, 'Service kode');
INSERT INTO `lang_definitions` VALUES (108174, 9447, 20, 'Service koder');
INSERT INTO `lang_definitions` VALUES (108175, 9448, 20, 'Service dato');
INSERT INTO `lang_definitions` VALUES (108176, 9451, 20, 'Service dato:');
INSERT INTO `lang_definitions` VALUES (108177, 9455, 20, 'Service Location');
INSERT INTO `lang_definitions` VALUES (108178, 9461, 20, 'Tjenester');
INSERT INTO `lang_definitions` VALUES (108179, 9462, 20, 'Tjenester efter kategori');
INSERT INTO `lang_definitions` VALUES (108180, 9463, 20, 'Tjänster som Tillhandahålls');
INSERT INTO `lang_definitions` VALUES (108181, 9464, 20, 'Tjänster som tillhandahålls');
INSERT INTO `lang_definitions` VALUES (108182, 9488, 20, 'Indstillinger');
INSERT INTO `lang_definitions` VALUES (108183, 9493, 20, 'Svår huvudvärk');
INSERT INTO `lang_definitions` VALUES (108184, 9496, 20, 'Svårighetsgrad av smärta');
INSERT INTO `lang_definitions` VALUES (108185, 9497, 20, 'Svårighetsgrad av smärta:');
INSERT INTO `lang_definitions` VALUES (108186, 9498, 20, 'Køn');
INSERT INTO `lang_definitions` VALUES (108187, 9499, 20, 'Sexuellt överförbara sjukdomar');
INSERT INTO `lang_definitions` VALUES (108188, 9503, 20, 'Dele');
INSERT INTO `lang_definitions` VALUES (108189, 9510, 20, 'Åndenød');
INSERT INTO `lang_definitions` VALUES (108190, 9516, 20, 'bör vara som nnnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (108191, 9520, 20, 'Axel');
INSERT INTO `lang_definitions` VALUES (108192, 9521, 20, 'Axel + nyckelben');
INSERT INTO `lang_definitions` VALUES (108193, 9522, 20, 'Axelproblem');
INSERT INTO `lang_definitions` VALUES (108194, 9523, 20, 'Vis');
INSERT INTO `lang_definitions` VALUES (108195, 9527, 20, 'Vis alle');
INSERT INTO `lang_definitions` VALUES (108196, 9531, 20, 'Vis alle transaktioner');
INSERT INTO `lang_definitions` VALUES (108197, 9532, 20, 'Vis som optaget');
INSERT INTO `lang_definitions` VALUES (108198, 9533, 20, 'Visa endast behöriga');
INSERT INTO `lang_definitions` VALUES (108199, 9534, 20, 'Vis tilgængelige tider');
INSERT INTO `lang_definitions` VALUES (108200, 9540, 20, 'Vis detaljer');
INSERT INTO `lang_definitions` VALUES (108201, 9544, 20, 'Vis graf');
INSERT INTO `lang_definitions` VALUES (108202, 9552, 20, 'Vis Menu');
INSERT INTO `lang_definitions` VALUES (108203, 9556, 20, 'Vis Noter');
INSERT INTO `lang_definitions` VALUES (108204, 9561, 20, 'Vis Patient Noter');
INSERT INTO `lang_definitions` VALUES (108205, 9569, 20, 'Vis rapport');
INSERT INTO `lang_definitions` VALUES (108206, 9580, 20, 'Visa endast icke fakturerad');
INSERT INTO `lang_definitions` VALUES (108207, 9595, 20, 'Søskende');
INSERT INTO `lang_definitions` VALUES (108208, 9606, 20, 'Underskrift');
INSERT INTO `lang_definitions` VALUES (108209, 9609, 20, 'Underskrift:');
INSERT INTO `lang_definitions` VALUES (108210, 9614, 20, 'Betydande Svullnad:');
INSERT INTO `lang_definitions` VALUES (108211, 9619, 20, 'Siden');
INSERT INTO `lang_definitions` VALUES (108212, 9622, 20, 'Singel');
INSERT INTO `lang_definitions` VALUES (108213, 9643, 20, 'Størrelse');
INSERT INTO `lang_definitions` VALUES (108214, 9648, 20, 'Størrelse/Liste');
INSERT INTO `lang_definitions` VALUES (108215, 9650, 20, 'Hud');
INSERT INTO `lang_definitions` VALUES (108216, 9665, 20, 'sömn mönster');
INSERT INTO `lang_definitions` VALUES (108217, 9666, 20, 'sover');
INSERT INTO `lang_definitions` VALUES (108218, 9693, 20, 'SMS sendt før');
INSERT INTO `lang_definitions` VALUES (108219, 9694, 20, 'SMS sendt');
INSERT INTO `lang_definitions` VALUES (108220, 9721, 20, 'Snorker');
INSERT INTO `lang_definitions` VALUES (108221, 9729, 20, 'Social History:');
INSERT INTO `lang_definitions` VALUES (108222, 9732, 20, 'Løsning');
INSERT INTO `lang_definitions` VALUES (108223, 9737, 20, 'Vissa möten visas inte. Klicka här för att visa alla.');
INSERT INTO `lang_definitions` VALUES (108224, 9740, 20, 'Nogle noter blev ikke vist');
INSERT INTO `lang_definitions` VALUES (108225, 9743, 20, 'Nogle ord');
INSERT INTO `lang_definitions` VALUES (108226, 9747, 20, 'Noget gik galt. Prøv venligst igen');
INSERT INTO `lang_definitions` VALUES (108227, 9750, 20, 'Øm hals');
INSERT INTO `lang_definitions` VALUES (108228, 9754, 20, 'Beklager, der var et problem med at åbne din fil');
INSERT INTO `lang_definitions` VALUES (108229, 9758, 20, 'Sorter efter');
INSERT INTO `lang_definitions` VALUES (108230, 9759, 20, 'Sorter efter');
INSERT INTO `lang_definitions` VALUES (108231, 9762, 20, 'Sorter efter kommentarer');
INSERT INTO `lang_definitions` VALUES (108232, 9764, 20, 'Sorter efter dato');
INSERT INTO `lang_definitions` VALUES (108233, 9766, 20, 'Sorter efter begivenhed');
INSERT INTO `lang_definitions` VALUES (108234, 9767, 20, 'Sorter efter gruppe');
INSERT INTO `lang_definitions` VALUES (108235, 9770, 20, 'Sorter efter CPRnummer');
INSERT INTO `lang_definitions` VALUES (108236, 9774, 20, 'Soter efter bruger');
INSERT INTO `lang_definitions` VALUES (108237, 9779, 20, 'Kilde');
INSERT INTO `lang_definitions` VALUES (108238, 9783, 20, 'Källa saknas för kod');
INSERT INTO `lang_definitions` VALUES (108239, 9789, 20, 'Kilde:');
INSERT INTO `lang_definitions` VALUES (108240, 9792, 20, 'mellemrum');
INSERT INTO `lang_definitions` VALUES (108241, 9793, 20, 'MELLEMRUM:');
INSERT INTO `lang_definitions` VALUES (108242, 9801, 20, 'Specialist');
INSERT INTO `lang_definitions` VALUES (108243, 9802, 20, 'Specialist navn og underskrift');
INSERT INTO `lang_definitions` VALUES (108244, 9804, 20, 'Specialtet');
INSERT INTO `lang_definitions` VALUES (108245, 9806, 20, 'Specielt:');
INSERT INTO `lang_definitions` VALUES (108246, 9807, 20, 'Specifik');
INSERT INTO `lang_definitions` VALUES (108247, 9810, 20, 'Specifik resultat');
INSERT INTO `lang_definitions` VALUES (108248, 9811, 20, 'Specifikke tjenester');
INSERT INTO `lang_definitions` VALUES (108249, 9827, 20, 'Diktering');
INSERT INTO `lang_definitions` VALUES (108250, 9828, 20, 'Spermiedödande');
INSERT INTO `lang_definitions` VALUES (108251, 9832, 20, 'Ægtefælle');
INSERT INTO `lang_definitions` VALUES (108252, 9835, 20, 'Sputum:');
INSERT INTO `lang_definitions` VALUES (108253, 9849, 20, 'Personnummmer');
INSERT INTO `lang_definitions` VALUES (108254, 9851, 20, 'Persnr');
INSERT INTO `lang_definitions` VALUES (108255, 9852, 20, 'Stabilitet');
INSERT INTO `lang_definitions` VALUES (108256, 9855, 20, 'Standard');
INSERT INTO `lang_definitions` VALUES (108257, 9866, 20, 'Start');
INSERT INTO `lang_definitions` VALUES (108258, 9867, 20, 'Start (åååå-mm-dd):');
INSERT INTO `lang_definitions` VALUES (108259, 9874, 20, 'Startdato');
INSERT INTO `lang_definitions` VALUES (108260, 9876, 20, 'Startdato på denne klinik');
INSERT INTO `lang_definitions` VALUES (108261, 9877, 20, 'Startdato kan ikke være senere end slutdato');
INSERT INTO `lang_definitions` VALUES (108262, 9878, 20, 'Startdato:');
INSERT INTO `lang_definitions` VALUES (108263, 9879, 20, 'Startdato:');
INSERT INTO `lang_definitions` VALUES (108264, 9881, 20, 'Start tid');
INSERT INTO `lang_definitions` VALUES (108265, 9884, 20, 'Startdato');
INSERT INTO `lang_definitions` VALUES (108266, 9889, 20, 'Stat');
INSERT INTO `lang_definitions` VALUES (108267, 9898, 20, 'församling');
INSERT INTO `lang_definitions` VALUES (108268, 9909, 20, 'Statistik');
INSERT INTO `lang_definitions` VALUES (108269, 9910, 20, 'Övrigt');
INSERT INTO `lang_definitions` VALUES (108270, 9911, 20, 'Status');
INSERT INTO `lang_definitions` VALUES (108271, 9916, 20, 'Oförändrat');
INSERT INTO `lang_definitions` VALUES (108272, 9933, 20, 'Stivhed');
INSERT INTO `lang_definitions` VALUES (108273, 9936, 20, 'Ont i magen');
INSERT INTO `lang_definitions` VALUES (108274, 9944, 20, 'Överbelastade muskler');
INSERT INTO `lang_definitions` VALUES (108275, 9946, 20, 'Strøm');
INSERT INTO `lang_definitions` VALUES (108276, 9947, 20, 'Gade');
INSERT INTO `lang_definitions` VALUES (108277, 9948, 20, 'Adresse');
INSERT INTO `lang_definitions` VALUES (108278, 9949, 20, 'Gade og nummer');
INSERT INTO `lang_definitions` VALUES (108279, 9950, 20, 'Styrke');
INSERT INTO `lang_definitions` VALUES (108280, 9953, 20, 'Stress fraktur');
INSERT INTO `lang_definitions` VALUES (108281, 9954, 20, 'Stresstest');
INSERT INTO `lang_definitions` VALUES (108282, 9956, 20, 'Stroke');
INSERT INTO `lang_definitions` VALUES (108283, 9966, 20, 'Del-sum');
INSERT INTO `lang_definitions` VALUES (108284, 9967, 20, 'Underkategori');
INSERT INTO `lang_definitions` VALUES (108285, 9968, 20, 'underkategori');
INSERT INTO `lang_definitions` VALUES (108286, 9969, 20, 'subkutant');
INSERT INTO `lang_definitions` VALUES (108287, 9971, 20, 'Subjektiv');
INSERT INTO `lang_definitions` VALUES (108288, 9972, 20, 'Sublingual');
INSERT INTO `lang_definitions` VALUES (108289, 9973, 20, 'sublingual');
INSERT INTO `lang_definitions` VALUES (108290, 9974, 20, 'Tilmeld');
INSERT INTO `lang_definitions` VALUES (108291, 9975, 20, 'tilmeld');
INSERT INTO `lang_definitions` VALUES (108292, 9976, 20, 'Tilmeld al indhold');
INSERT INTO `lang_definitions` VALUES (108293, 9979, 20, 'Tilmeld begivenhed');
INSERT INTO `lang_definitions` VALUES (108294, 9980, 20, 'Tilmeldingsblanket');
INSERT INTO `lang_definitions` VALUES (108295, 9984, 20, 'Tilmeldt');
INSERT INTO `lang_definitions` VALUES (108296, 9985, 20, 'Tilmeldt af');
INSERT INTO `lang_definitions` VALUES (108297, 9987, 20, 'Abonnent');
INSERT INTO `lang_definitions` VALUES (108298, 9988, 20, 'Abonnent adresse');
INSERT INTO `lang_definitions` VALUES (108299, 10020, 20, 'Erstatning');
INSERT INTO `lang_definitions` VALUES (108300, 10021, 20, 'Erstatning tilladt');
INSERT INTO `lang_definitions` VALUES (108301, 10024, 20, 'Success');
INSERT INTO `lang_definitions` VALUES (108302, 10025, 20, 'Success');
INSERT INTO `lang_definitions` VALUES (108303, 10049, 20, 'Självmord');
INSERT INTO `lang_definitions` VALUES (108304, 10051, 20, 'Sammenfatning');
INSERT INTO `lang_definitions` VALUES (108305, 10058, 20, 'Søn');
INSERT INTO `lang_definitions` VALUES (108306, 10060, 20, 'Søndag');
INSERT INTO `lang_definitions` VALUES (108307, 10069, 20, 'Superbruger');
INSERT INTO `lang_definitions` VALUES (108308, 10093, 20, 'Kirurgi');
INSERT INTO `lang_definitions` VALUES (108309, 10095, 20, 'Suspenderet');
INSERT INTO `lang_definitions` VALUES (108310, 10096, 20, 'Uppslammad vätska');
INSERT INTO `lang_definitions` VALUES (108311, 10103, 20, 'Svenska');
INSERT INTO `lang_definitions` VALUES (108312, 10104, 20, 'Sluge');
INSERT INTO `lang_definitions` VALUES (108313, 10106, 20, 'Hævede led');
INSERT INTO `lang_definitions` VALUES (108314, 10110, 20, 'Symptomer');
INSERT INTO `lang_definitions` VALUES (108315, 10111, 20, 'Synkroniser');
INSERT INTO `lang_definitions` VALUES (108316, 10121, 20, 'System');
INSERT INTO `lang_definitions` VALUES (108317, 10130, 20, '3 ggr/dag');
INSERT INTO `lang_definitions` VALUES (108318, 10137, 20, 'Tabell skapas inte');
INSERT INTO `lang_definitions` VALUES (108319, 10138, 20, 'Tabell uppdateringen misslyckades');
INSERT INTO `lang_definitions` VALUES (108320, 10140, 20, 'tablett');
INSERT INTO `lang_definitions` VALUES (108321, 10149, 20, 'Ta');
INSERT INTO `lang_definitions` VALUES (108322, 10154, 20, 'Tager lang tid');
INSERT INTO `lang_definitions` VALUES (108323, 10175, 20, 'Skatter');
INSERT INTO `lang_definitions` VALUES (108324, 10187, 20, 'Tlf.');
INSERT INTO `lang_definitions` VALUES (108325, 10197, 20, 'Mall');
INSERT INTO `lang_definitions` VALUES (108326, 10201, 20, 'Mall:');
INSERT INTO `lang_definitions` VALUES (108327, 10219, 20, 'Test skema');
INSERT INTO `lang_definitions` VALUES (108328, 10220, 20, 'Test system');
INSERT INTO `lang_definitions` VALUES (108329, 10223, 20, 'Tekst');
INSERT INTO `lang_definitions` VALUES (108330, 10225, 20, 'Tekst felt');
INSERT INTO `lang_definitions` VALUES (108331, 10238, 20, 'Testboks');
INSERT INTO `lang_definitions` VALUES (108332, 10242, 20, 'Tak');
INSERT INTO `lang_definitions` VALUES (108333, 10284, 20, 'Påstående ärendet:');
INSERT INTO `lang_definitions` VALUES (108334, 10328, 20, 'Destinationen er lukket');
INSERT INTO `lang_definitions` VALUES (108335, 10350, 20, 'Begivenheden er godkendt');
INSERT INTO `lang_definitions` VALUES (108336, 10351, 20, 'Begivenheden er skjult');
INSERT INTO `lang_definitions` VALUES (108337, 10380, 20, 'Følgende kalender er tilføjet:');
INSERT INTO `lang_definitions` VALUES (108338, 10381, 20, 'Følgende kalender er ændret:');
INSERT INTO `lang_definitions` VALUES (108339, 10460, 20, 'Nyt password må ikke være magen til det nuværende');
INSERT INTO `lang_definitions` VALUES (108340, 10488, 20, 'Patientpåmindelser er sendt');
INSERT INTO `lang_definitions` VALUES (108341, 10594, 20, 'Emne');
INSERT INTO `lang_definitions` VALUES (108342, 10601, 20, 'Terapeutiska Injektioner');
INSERT INTO `lang_definitions` VALUES (108343, 10607, 20, 'Der er');
INSERT INTO `lang_definitions` VALUES (108344, 10610, 20, 'Der er ingen recepter i øjeblikket');
INSERT INTO `lang_definitions` VALUES (108345, 10611, 20, 'Det är fel med din ansökan. Dessa beskrivs nedan.');
INSERT INTO `lang_definitions` VALUES (108346, 10621, 20, 'Det finns inga nya synpunkter');
INSERT INTO `lang_definitions` VALUES (108347, 10622, 20, 'Der er ingen noter for denne patient');
INSERT INTO `lang_definitions` VALUES (108348, 10656, 20, 'Det uppstod ett fel när din begäran behandlades.');
INSERT INTO `lang_definitions` VALUES (108349, 10682, 20, 'Förtjockad Höger:');
INSERT INTO `lang_definitions` VALUES (108350, 10683, 20, 'Lår');
INSERT INTO `lang_definitions` VALUES (108351, 10684, 20, 'Lår + knäsena');
INSERT INTO `lang_definitions` VALUES (108352, 10701, 20, 'Tredje');
INSERT INTO `lang_definitions` VALUES (108353, 10704, 20, 'Denne handling kan IKKE fortrydes');
INSERT INTO `lang_definitions` VALUES (108354, 10705, 20, 'Denne handling kan ikke fortrydes');
INSERT INTO `lang_definitions` VALUES (108355, 10714, 20, 'Dette kalendeår');
INSERT INTO `lang_definitions` VALUES (108356, 10734, 20, 'Dette besøg');
INSERT INTO `lang_definitions` VALUES (108357, 10753, 20, 'Dette fakturanummer er ændret til');
INSERT INTO `lang_definitions` VALUES (108358, 10793, 20, 'Denne måned til dato');
INSERT INTO `lang_definitions` VALUES (108359, 10804, 20, 'Denne patient er ikke aktiv');
INSERT INTO `lang_definitions` VALUES (108360, 10805, 20, 'Denne patiens ID bruges allerede!');
INSERT INTO `lang_definitions` VALUES (108361, 10822, 20, 'Denne bruger er ikke medlem af nogen gruppe');
INSERT INTO `lang_definitions` VALUES (108362, 10829, 20, 'Denne uge til dato');
INSERT INTO `lang_definitions` VALUES (108363, 10878, 20, 'Hals');
INSERT INTO `lang_definitions` VALUES (108364, 10882, 20, 'Tor');
INSERT INTO `lang_definitions` VALUES (108365, 10884, 20, 'torsdag');
INSERT INTO `lang_definitions` VALUES (108366, 10885, 20, 'Torsdag');
INSERT INTO `lang_definitions` VALUES (108367, 10887, 20, 'Sköldkörtel normal');
INSERT INTO `lang_definitions` VALUES (108368, 10902, 20, 'Tid');
INSERT INTO `lang_definitions` VALUES (108369, 10913, 20, 'Fastsat begivenhed');
INSERT INTO `lang_definitions` VALUES (108370, 10915, 20, 'Tidsstämpel och Text');
INSERT INTO `lang_definitions` VALUES (108371, 10920, 20, 'Titel');
INSERT INTO `lang_definitions` VALUES (108372, 10925, 20, 'Titler');
INSERT INTO `lang_definitions` VALUES (108373, 10928, 20, 'Til');
INSERT INTO `lang_definitions` VALUES (108374, 10929, 20, 'til');
INSERT INTO `lang_definitions` VALUES (108375, 10930, 20, 'TIL');
INSERT INTO `lang_definitions` VALUES (108376, 10936, 20, 'Gå til TILFØJ NOTER, tryk');
INSERT INTO `lang_definitions` VALUES (108377, 10937, 20, 'Gå til TILFØJ NOTER, tryk her');
INSERT INTO `lang_definitions` VALUES (108378, 10938, 20, 'På det påverkade området');
INSERT INTO `lang_definitions` VALUES (108379, 10939, 20, 'på det påverkade området');
INSERT INTO `lang_definitions` VALUES (108380, 10944, 20, 'Gå til regningsoversigt');
INSERT INTO `lang_definitions` VALUES (108381, 10945, 20, 'Gå til kategori');
INSERT INTO `lang_definitions` VALUES (108382, 10949, 20, 'Gå til medbetalere');
INSERT INTO `lang_definitions` VALUES (108383, 10972, 20, 'Gå til aftaler');
INSERT INTO `lang_definitions` VALUES (108384, 10973, 20, 'Sorter efter køn');
INSERT INTO `lang_definitions` VALUES (108385, 10980, 20, 'Gå til Historik');
INSERT INTO `lang_definitions` VALUES (108386, 10982, 20, 'Gå til emner');
INSERT INTO `lang_definitions` VALUES (108387, 10985, 20, 'För att länka detta besök till objekt i ovanstående lista, markera önskade objekt och klicka sedan på [spara]. Håll ner [Ctrl] för att markera fler objekt.');
INSERT INTO `lang_definitions` VALUES (108388, 10987, 20, 'Gå til Log på igen');
INSERT INTO `lang_definitions` VALUES (108389, 11002, 20, 'På huden');
INSERT INTO `lang_definitions` VALUES (108390, 11003, 20, 'På huden');
INSERT INTO `lang_definitions` VALUES (108391, 11005, 20, 'Gå til denne aftale?');
INSERT INTO `lang_definitions` VALUES (108392, 11010, 20, 'Til:');
INSERT INTO `lang_definitions` VALUES (108393, 11011, 20, 'Til:');
INSERT INTO `lang_definitions` VALUES (108394, 11025, 20, 'Tobak');
INSERT INTO `lang_definitions` VALUES (108395, 11028, 20, 'Tobaks användande');
INSERT INTO `lang_definitions` VALUES (108396, 11032, 20, 'Idag');
INSERT INTO `lang_definitions` VALUES (108397, 11034, 20, 'idag');
INSERT INTO `lang_definitions` VALUES (108398, 11037, 20, 'Dags dato');
INSERT INTO `lang_definitions` VALUES (108399, 11038, 20, 'Dagens begivenheder');
INSERT INTO `lang_definitions` VALUES (108400, 11047, 20, 'Tonsillektomi');
INSERT INTO `lang_definitions` VALUES (108401, 11050, 20, 'Top');
INSERT INTO `lang_definitions` VALUES (108402, 11053, 20, 'Emne');
INSERT INTO `lang_definitions` VALUES (108403, 11054, 20, 'total');
INSERT INTO `lang_definitions` VALUES (108404, 11055, 20, 'Total');
INSERT INTO `lang_definitions` VALUES (108405, 11060, 20, 'Total beløb');
INSERT INTO `lang_definitions` VALUES (108406, 11061, 20, 'Totalt beløb betalt');
INSERT INTO `lang_definitions` VALUES (108407, 11064, 20, 'Total opkrævning');
INSERT INTO `lang_definitions` VALUES (108408, 11065, 20, 'Totalt antal Kunder');
INSERT INTO `lang_definitions` VALUES (108409, 11067, 20, 'Total udgift');
INSERT INTO `lang_definitions` VALUES (108410, 11068, 20, 'T');
INSERT INTO `lang_definitions` VALUES (108411, 11072, 20, 'Totalt for');
INSERT INTO `lang_definitions` VALUES (108412, 11073, 20, 'Totalt for');
INSERT INTO `lang_definitions` VALUES (108413, 11074, 20, 'Totalt for kategori');
INSERT INTO `lang_definitions` VALUES (108414, 11078, 20, 'Nye påmindelser total');
INSERT INTO `lang_definitions` VALUES (108415, 11082, 20, 'Emner total');
INSERT INTO `lang_definitions` VALUES (108416, 11084, 20, 'Totalt antal patienter');
INSERT INTO `lang_definitions` VALUES (108417, 11089, 20, 'Patienter total');
INSERT INTO `lang_definitions` VALUES (108418, 11106, 20, 'Totaler');
INSERT INTO `lang_definitions` VALUES (108419, 11107, 20, 'Totaler for');
INSERT INTO `lang_definitions` VALUES (108420, 11108, 20, 'Totaler for');
INSERT INTO `lang_definitions` VALUES (108421, 11135, 20, 'Utbildnings sort');
INSERT INTO `lang_definitions` VALUES (108422, 11136, 20, 'Transaktion');
INSERT INTO `lang_definitions` VALUES (108423, 11137, 20, 'Transaktion');
INSERT INTO `lang_definitions` VALUES (108424, 11138, 20, 'Transaktion');
INSERT INTO `lang_definitions` VALUES (108425, 11139, 20, 'Transaktion mislykkedes, insufficient kvantitet i destination lot');
INSERT INTO `lang_definitions` VALUES (108426, 11140, 20, 'Transaktionen mislykkedes, beløbet er mindre end nul');
INSERT INTO `lang_definitions` VALUES (108427, 11142, 20, 'Transaktionstype');
INSERT INTO `lang_definitions` VALUES (108428, 11143, 20, 'Transaktioner');
INSERT INTO `lang_definitions` VALUES (108429, 11144, 20, 'Transaktioner');
INSERT INTO `lang_definitions` VALUES (108430, 11145, 20, 'Transaktioner (tekst valgfri)');
INSERT INTO `lang_definitions` VALUES (108431, 11151, 20, 'Transaktioner / Övergångar');
INSERT INTO `lang_definitions` VALUES (108432, 11153, 20, 'Overførsel');
INSERT INTO `lang_definitions` VALUES (108433, 11160, 20, 'Overførsler');
INSERT INTO `lang_definitions` VALUES (108434, 11169, 20, 'Oversæt dette');
INSERT INTO `lang_definitions` VALUES (108435, 11170, 20, 'Oversættelse');
INSERT INTO `lang_definitions` VALUES (108436, 11171, 20, 'Oversættelser');
INSERT INTO `lang_definitions` VALUES (108437, 11179, 20, 'Traume');
INSERT INTO `lang_definitions` VALUES (108438, 11180, 20, 'Behandling');
INSERT INTO `lang_definitions` VALUES (108439, 11182, 20, 'Behandlings mål');
INSERT INTO `lang_definitions` VALUES (108440, 11183, 20, 'Behandlingsplan');
INSERT INTO `lang_definitions` VALUES (108441, 11186, 20, 'Behandling:');
INSERT INTO `lang_definitions` VALUES (108442, 11187, 20, 'Behandling:');
INSERT INTO `lang_definitions` VALUES (108443, 11205, 20, 'tesked');
INSERT INTO `lang_definitions` VALUES (108444, 11209, 20, 'Tir');
INSERT INTO `lang_definitions` VALUES (108445, 11210, 20, 'Tirsdag og Torsdag');
INSERT INTO `lang_definitions` VALUES (108446, 11211, 20, 'Tirsdag');
INSERT INTO `lang_definitions` VALUES (108447, 11212, 20, 'Tumör');
INSERT INTO `lang_definitions` VALUES (108448, 11222, 20, 'To gange dagligt');
INSERT INTO `lang_definitions` VALUES (108449, 11227, 20, 'Skriv');
INSERT INTO `lang_definitions` VALUES (108450, 11240, 20, 'Type af begivenhed');
INSERT INTO `lang_definitions` VALUES (108451, 11243, 20, 'Skriv in eller skanna patientidentifikation här');
INSERT INTO `lang_definitions` VALUES (108452, 11272, 20, 'Ulcerations');
INSERT INTO `lang_definitions` VALUES (108453, 11273, 20, 'Ulcerös kolit');
INSERT INTO `lang_definitions` VALUES (108454, 11274, 20, 'Sår:');
INSERT INTO `lang_definitions` VALUES (108455, 11278, 20, 'Ikke muligt at oprette');
INSERT INTO `lang_definitions` VALUES (108456, 11292, 20, 'Ikke tildelt');
INSERT INTO `lang_definitions` VALUES (108457, 11295, 20, 'Obehörig åtkomst.');
INSERT INTO `lang_definitions` VALUES (108458, 11300, 20, 'Under tungen');
INSERT INTO `lang_definitions` VALUES (108459, 11303, 20, 'Undervægtig');
INSERT INTO `lang_definitions` VALUES (108460, 11304, 20, 'Udianogstiseret');
INSERT INTO `lang_definitions` VALUES (108461, 11309, 20, 'Fortryd betaling');
INSERT INTO `lang_definitions` VALUES (108462, 11311, 20, 'Unika Kunder');
INSERT INTO `lang_definitions` VALUES (108463, 11315, 20, 'Unika nya kunder');
INSERT INTO `lang_definitions` VALUES (108464, 11320, 20, 'Enhed');
INSERT INTO `lang_definitions` VALUES (108465, 11321, 20, 'Enheder');
INSERT INTO `lang_definitions` VALUES (108466, 11322, 20, 'Enheder');
INSERT INTO `lang_definitions` VALUES (108467, 11324, 20, 'Enheder skal være tal');
INSERT INTO `lang_definitions` VALUES (108468, 11325, 20, 'Enheder skal være tal');
INSERT INTO `lang_definitions` VALUES (108469, 11328, 20, 'Ukendt');
INSERT INTO `lang_definitions` VALUES (108470, 11332, 20, 'Okänd eller N / A');
INSERT INTO `lang_definitions` VALUES (108471, 11345, 20, 'Namnlöst försäkringsbolag');
INSERT INTO `lang_definitions` VALUES (108472, 11346, 20, 'Uregistreret');
INSERT INTO `lang_definitions` VALUES (108473, 11349, 20, 'Fravælg alle');
INSERT INTO `lang_definitions` VALUES (108474, 11350, 20, 'Uvalgt');
INSERT INTO `lang_definitions` VALUES (108475, 11351, 20, 'Uspecifiseret');
INSERT INTO `lang_definitions` VALUES (108476, 11356, 20, 'Indtil');
INSERT INTO `lang_definitions` VALUES (108477, 11360, 20, 'Ubrugt');
INSERT INTO `lang_definitions` VALUES (108478, 11362, 20, 'Op til');
INSERT INTO `lang_definitions` VALUES (108479, 11364, 20, 'Kommende aftaler');
INSERT INTO `lang_definitions` VALUES (108480, 11365, 20, 'Kommende begivenheder');
INSERT INTO `lang_definitions` VALUES (108481, 11366, 20, 'Opdatere');
INSERT INTO `lang_definitions` VALUES (108482, 11367, 20, 'Opdatere');
INSERT INTO `lang_definitions` VALUES (108483, 11371, 20, 'Opdater filer');
INSERT INTO `lang_definitions` VALUES (108484, 11372, 20, 'Opdater info');
INSERT INTO `lang_definitions` VALUES (108485, 11374, 20, 'Opdater liste');
INSERT INTO `lang_definitions` VALUES (108486, 11384, 20, 'Opdater bruger information');
INSERT INTO `lang_definitions` VALUES (108487, 11394, 20, 'Opgradere');
INSERT INTO `lang_definitions` VALUES (108488, 11396, 20, 'Opgrader database');
INSERT INTO `lang_definitions` VALUES (108489, 11401, 20, 'Hent dokument');
INSERT INTO `lang_definitions` VALUES (108490, 11407, 20, 'Hent dokument');
INSERT INTO `lang_definitions` VALUES (108491, 11410, 20, 'Hent billede til');
INSERT INTO `lang_definitions` VALUES (108492, 11411, 20, 'Hent importeret fil');
INSERT INTO `lang_definitions` VALUES (108493, 11415, 20, 'Hent rapport');
INSERT INTO `lang_definitions` VALUES (108494, 11418, 20, 'Hent denne fil');
INSERT INTO `lang_definitions` VALUES (108495, 11429, 20, 'Överarmen');
INSERT INTO `lang_definitions` VALUES (108496, 11432, 20, 'Brådskande');
INSERT INTO `lang_definitions` VALUES (108497, 11438, 20, 'Urin Frekvens');
INSERT INTO `lang_definitions` VALUES (108498, 11439, 20, 'Urin Tveksamhet');
INSERT INTO `lang_definitions` VALUES (108499, 11443, 20, 'URL');
INSERT INTO `lang_definitions` VALUES (108500, 11457, 20, 'Anvend 24timers format?');
INSERT INTO `lang_definitions` VALUES (108501, 11477, 20, 'Anvend standart');
INSERT INTO `lang_definitions` VALUES (108502, 11479, 20, 'Använd internationellt utseende på datum?');
INSERT INTO `lang_definitions` VALUES (108503, 11493, 20, 'Anvend emne?');
INSERT INTO `lang_definitions` VALUES (108504, 11496, 20, 'Bruger');
INSERT INTO `lang_definitions` VALUES (108505, 11498, 20, 'Bruger/Gruppe');
INSERT INTO `lang_definitions` VALUES (108506, 11499, 20, 'Bruger administration');
INSERT INTO `lang_definitions` VALUES (108507, 11500, 20, 'Användar-och Facility Administration');
INSERT INTO `lang_definitions` VALUES (108508, 11501, 20, 'Användare och grupp Administration');
INSERT INTO `lang_definitions` VALUES (108509, 11507, 20, 'Bruger defineret');
INSERT INTO `lang_definitions` VALUES (108510, 11508, 20, 'Användar definierad Area 11');
INSERT INTO `lang_definitions` VALUES (108511, 11509, 20, 'Användar definierad Area 12');
INSERT INTO `lang_definitions` VALUES (108512, 11533, 20, 'Användare Medlemskap');
INSERT INTO `lang_definitions` VALUES (108513, 11534, 20, 'Brugernavn');
INSERT INTO `lang_definitions` VALUES (108514, 11537, 20, 'Bruger- eller hostnavn');
INSERT INTO `lang_definitions` VALUES (108515, 11541, 20, 'Brugeropsætning');
INSERT INTO `lang_definitions` VALUES (108516, 11553, 20, 'Brugernavn');
INSERT INTO `lang_definitions` VALUES (108517, 11556, 20, 'Brugernavn for SMS gateway');
INSERT INTO `lang_definitions` VALUES (108518, 11559, 20, 'Brugernavn:');
INSERT INTO `lang_definitions` VALUES (108519, 11560, 20, 'Brugere');
INSERT INTO `lang_definitions` VALUES (108520, 11564, 20, 'Användare / grupper / Logs Administration');
INSERT INTO `lang_definitions` VALUES (108521, 11588, 20, 'FERIE');
INSERT INTO `lang_definitions` VALUES (108522, 11589, 20, 'Ferie');
INSERT INTO `lang_definitions` VALUES (108523, 11590, 20, 'Vaccination');
INSERT INTO `lang_definitions` VALUES (108524, 11609, 20, 'Værdi');
INSERT INTO `lang_definitions` VALUES (108525, 11610, 20, 'Værdi 1');
INSERT INTO `lang_definitions` VALUES (108526, 11611, 20, 'Værdi 2');
INSERT INTO `lang_definitions` VALUES (108527, 11623, 20, 'Blodkärls kondition');
INSERT INTO `lang_definitions` VALUES (108528, 11624, 20, 'Blodkärsl skada');
INSERT INTO `lang_definitions` VALUES (108529, 11625, 20, 'Kärlkirurgi');
INSERT INTO `lang_definitions` VALUES (108530, 11634, 20, 'Version');
INSERT INTO `lang_definitions` VALUES (108531, 11653, 20, 'Svindel');
INSERT INTO `lang_definitions` VALUES (108532, 11667, 20, 'Vis');
INSERT INTO `lang_definitions` VALUES (108533, 11668, 20, 'vis');
INSERT INTO `lang_definitions` VALUES (108534, 11670, 20, 'Vis allergier');
INSERT INTO `lang_definitions` VALUES (108535, 11676, 20, 'Visa Omfattande Patient Rapport');
INSERT INTO `lang_definitions` VALUES (108536, 11679, 20, 'Vis dokument');
INSERT INTO `lang_definitions` VALUES (108537, 11681, 20, 'Vis aftale');
INSERT INTO `lang_definitions` VALUES (108538, 11683, 20, 'Vis begivenheder i et pop-up-vindue?');
INSERT INTO `lang_definitions` VALUES (108539, 11690, 20, 'Vis side 1');
INSERT INTO `lang_definitions` VALUES (108540, 11691, 20, 'Vis side 2');
INSERT INTO `lang_definitions` VALUES (108541, 11695, 20, 'Vis patient');
INSERT INTO `lang_definitions` VALUES (108542, 11700, 20, 'Vis relaterede aftaler');
INSERT INTO `lang_definitions` VALUES (108543, 11712, 20, 'Vis/rediger allergier');
INSERT INTO `lang_definitions` VALUES (108544, 11713, 20, 'Vis/rediger emner');
INSERT INTO `lang_definitions` VALUES (108545, 11714, 20, 'Vis/print');
INSERT INTO `lang_definitions` VALUES (108546, 11717, 20, 'Vis:');
INSERT INTO `lang_definitions` VALUES (108547, 11718, 20, 'VISA');
INSERT INTO `lang_definitions` VALUES (108548, 11719, 20, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (108549, 11721, 20, 'Visceral skada / trauma / kirurgi');
INSERT INTO `lang_definitions` VALUES (108550, 11728, 20, 'Aftalekategori');
INSERT INTO `lang_definitions` VALUES (108551, 11729, 20, 'Aftaledato');
INSERT INTO `lang_definitions` VALUES (108552, 11736, 20, 'Aftalehistorik');
INSERT INTO `lang_definitions` VALUES (108553, 11745, 20, 'Aftaler');
INSERT INTO `lang_definitions` VALUES (108554, 11746, 20, 'Aftaler fra');
INSERT INTO `lang_definitions` VALUES (108555, 11752, 20, 'Livsvigtig');
INSERT INTO `lang_definitions` VALUES (108556, 11753, 20, 'Livsviktiga (metriska)');
INSERT INTO `lang_definitions` VALUES (108557, 11756, 20, 'Stemme');
INSERT INTO `lang_definitions` VALUES (108558, 11758, 20, 'Stemme sendt');
INSERT INTO `lang_definitions` VALUES (108559, 11763, 20, 'Kräkningar');
INSERT INTO `lang_definitions` VALUES (108560, 11767, 20, 'W');
INSERT INTO `lang_definitions` VALUES (108561, 11772, 20, 'Venter');
INSERT INTO `lang_definitions` VALUES (108562, 11783, 20, 'Varm');
INSERT INTO `lang_definitions` VALUES (108563, 11787, 20, 'ADVARSEL');
INSERT INTO `lang_definitions` VALUES (108564, 11789, 20, 'Advarsel, cheknummer eksisterer allerede i databasen');
INSERT INTO `lang_definitions` VALUES (108565, 11791, 20, 'Advarsel: Der er allerede booket en aftale med denne patient i dag!');
INSERT INTO `lang_definitions` VALUES (108566, 11796, 20, 'Varning: patient-ID är inte unikt!');
INSERT INTO `lang_definitions` VALUES (108567, 11803, 20, 'Er allerede hentet');
INSERT INTO `lang_definitions` VALUES (108568, 11821, 20, 'Svaghed');
INSERT INTO `lang_definitions` VALUES (108569, 11827, 20, 'Hjemmeside');
INSERT INTO `lang_definitions` VALUES (108570, 11832, 20, 'Ons');
INSERT INTO `lang_definitions` VALUES (108571, 11833, 20, 'Onsdag');
INSERT INTO `lang_definitions` VALUES (108572, 11834, 20, 'Uge');
INSERT INTO `lang_definitions` VALUES (108573, 11835, 20, 'uge');
INSERT INTO `lang_definitions` VALUES (108574, 11836, 20, 'Ugeoversigt');
INSERT INTO `lang_definitions` VALUES (108575, 11837, 20, 'Uge(r)');
INSERT INTO `lang_definitions` VALUES (108576, 11840, 20, 'Uger');
INSERT INTO `lang_definitions` VALUES (108577, 11841, 20, 'Vægt');
INSERT INTO `lang_definitions` VALUES (108578, 11844, 20, 'Vægtforandring');
INSERT INTO `lang_definitions` VALUES (108579, 11845, 20, 'Vægttab');
INSERT INTO `lang_definitions` VALUES (108580, 11847, 20, 'Velkommen');
INSERT INTO `lang_definitions` VALUES (108581, 11862, 20, 'Hvad skal tælles?');
INSERT INTO `lang_definitions` VALUES (108582, 11866, 20, 'Wheezing:');
INSERT INTO `lang_definitions` VALUES (108583, 11890, 20, 'Whiplash');
INSERT INTO `lang_definitions` VALUES (108584, 11891, 20, 'Hvid');
INSERT INTO `lang_definitions` VALUES (108585, 11894, 20, 'Hvem');
INSERT INTO `lang_definitions` VALUES (108586, 11895, 20, 'Hvem har svaret?');
INSERT INTO `lang_definitions` VALUES (108587, 11897, 20, 'Enke');
INSERT INTO `lang_definitions` VALUES (108588, 11907, 20, 'Med valgte:');
INSERT INTO `lang_definitions` VALUES (108589, 11908, 20, 'Med gammelt navn');
INSERT INTO `lang_definitions` VALUES (108590, 11911, 20, 'Med vem kan vi lämna ett meddelande?');
INSERT INTO `lang_definitions` VALUES (108591, 11913, 20, 'inom några timmar');
INSERT INTO `lang_definitions` VALUES (108592, 11914, 20, 'inom några timmar:');
INSERT INTO `lang_definitions` VALUES (108593, 11915, 20, 'inom några minuter');
INSERT INTO `lang_definitions` VALUES (108594, 11916, 20, 'inom några minuter:');
INSERT INTO `lang_definitions` VALUES (108595, 11919, 20, 'Uden opdatering');
INSERT INTO `lang_definitions` VALUES (108596, 11920, 20, 'Vine');
INSERT INTO `lang_definitions` VALUES (108597, 11924, 20, 'Kvinder');
INSERT INTO `lang_definitions` VALUES (108598, 11925, 20, 'Kun kvinder');
INSERT INTO `lang_definitions` VALUES (108599, 11927, 20, 'Arbejde');
INSERT INTO `lang_definitions` VALUES (108600, 11929, 20, 'Telefon, arbejde');
INSERT INTO `lang_definitions` VALUES (108601, 11930, 20, 'Tlf.nr., arbejde');
INSERT INTO `lang_definitions` VALUES (108602, 11931, 20, 'Arbejdsrelateret?');
INSERT INTO `lang_definitions` VALUES (108603, 11932, 20, 'Arbete/ Utbildning/ Hobby');
INSERT INTO `lang_definitions` VALUES (108604, 11933, 20, 'Arbete / Skola Anmärkning');
INSERT INTO `lang_definitions` VALUES (108605, 11934, 20, 'Arbejdsdag');
INSERT INTO `lang_definitions` VALUES (108606, 11941, 20, 'Forværret');
INSERT INTO `lang_definitions` VALUES (108607, 11947, 20, 'Vil du slette indbetaling?');
INSERT INTO `lang_definitions` VALUES (108608, 11949, 20, 'Vil du ændre indbetaling?');
INSERT INTO `lang_definitions` VALUES (108609, 11952, 20, 'Vil du gemme?');
INSERT INTO `lang_definitions` VALUES (108610, 11953, 20, 'Håndled');
INSERT INTO `lang_definitions` VALUES (108611, 11954, 20, 'Håndled og hånd');
INSERT INTO `lang_definitions` VALUES (108612, 11955, 20, 'Håndledsproblemer');
INSERT INTO `lang_definitions` VALUES (108613, 11956, 20, 'skriv');
INSERT INTO `lang_definitions` VALUES (108614, 11958, 20, 'Skrive af');
INSERT INTO `lang_definitions` VALUES (108615, 11967, 20, 'x inställt');
INSERT INTO `lang_definitions` VALUES (108616, 11969, 20, 'Røntgen');
INSERT INTO `lang_definitions` VALUES (108617, 11970, 20, 'Røntgen tolkning');
INSERT INTO `lang_definitions` VALUES (108618, 11971, 20, 'Røntgen tolkning');
INSERT INTO `lang_definitions` VALUES (108619, 11975, 20, 'Endast X12: Ersättningskrav');
INSERT INTO `lang_definitions` VALUES (108620, 11978, 20, 'X12 Partner');
INSERT INTO `lang_definitions` VALUES (108621, 11979, 20, 'X12 Partners');
INSERT INTO `lang_definitions` VALUES (108622, 11987, 20, 'Y');
INSERT INTO `lang_definitions` VALUES (108623, 11988, 20, 'år');
INSERT INTO `lang_definitions` VALUES (108624, 11989, 20, 'År');
INSERT INTO `lang_definitions` VALUES (108625, 11990, 20, 'Vis År');
INSERT INTO `lang_definitions` VALUES (108626, 11991, 20, 'År');
INSERT INTO `lang_definitions` VALUES (108627, 11992, 20, 'År');
INSERT INTO `lang_definitions` VALUES (108628, 11996, 20, 'Ja');
INSERT INTO `lang_definitions` VALUES (108629, 11997, 20, 'JA');
INSERT INTO `lang_definitions` VALUES (108630, 11998, 20, 'ja');
INSERT INTO `lang_definitions` VALUES (108631, 11999, 20, 'JA!');
INSERT INTO `lang_definitions` VALUES (108632, 12000, 20, 'JA, slet og log');
INSERT INTO `lang_definitions` VALUES (108633, 12002, 20, 'Ja/Nej');
INSERT INTO `lang_definitions` VALUES (108634, 12003, 20, 'Ja:');
INSERT INTO `lang_definitions` VALUES (108635, 12008, 20, 'Du håller på att permanent ersätta den befintliga mallen. Är du säker på att du vill fortsätta?');
INSERT INTO `lang_definitions` VALUES (108636, 12012, 20, 'Det er ikke tilladt at slette denne begivenhed');
INSERT INTO `lang_definitions` VALUES (108637, 12013, 20, 'Det er ikke tilladt at ændre denne begivenhed');
INSERT INTO `lang_definitions` VALUES (108638, 12014, 20, 'Du har ikke rettigheder til dette.');
INSERT INTO `lang_definitions` VALUES (108639, 12016, 20, 'Du har inte behörighet att komma åt den här gruppen.');
INSERT INTO `lang_definitions` VALUES (108640, 12017, 20, 'Du har inte behörighet att lägga till / redigera frågor');
INSERT INTO `lang_definitions` VALUES (108641, 12018, 20, 'Du har ikke rettigheder til at planlægge aftaler.');
INSERT INTO `lang_definitions` VALUES (108642, 12019, 20, 'Du har ikke rettigheder til at se denne aftale');
INSERT INTO `lang_definitions` VALUES (108643, 12038, 20, 'Du kan inte komma åt denna funktion direkt.');
INSERT INTO `lang_definitions` VALUES (108644, 12050, 20, 'Du kan inte komma åt den här sidan direkt.');
INSERT INTO `lang_definitions` VALUES (108645, 12057, 20, 'Du har inte valt några åtgärder.');
INSERT INTO `lang_definitions` VALUES (108646, 12058, 20, 'Du har inte behörighet att se / redigera denna anmärkning');
INSERT INTO `lang_definitions` VALUES (108647, 12074, 20, 'Du kan kun hente tekstfiler');
INSERT INTO `lang_definitions` VALUES (108648, 12090, 20, 'Du skal først vælge eller tilføje en patient');
INSERT INTO `lang_definitions` VALUES (108649, 12091, 20, 'Du skal først vælge eller oprette en aftale');
INSERT INTO `lang_definitions` VALUES (108650, 12094, 20, 'Du måste välja några områden för att fortsätta.');
INSERT INTO `lang_definitions` VALUES (108651, 12106, 20, 'Du skal vælge mindst en sammenhæng');
INSERT INTO `lang_definitions` VALUES (108652, 12122, 20, 'Din slutdato er ugyldig');
INSERT INTO `lang_definitions` VALUES (108653, 12123, 20, 'Din aftale er slettet');
INSERT INTO `lang_definitions` VALUES (108654, 12124, 20, 'Din aftale er ændret');
INSERT INTO `lang_definitions` VALUES (108655, 12125, 20, 'Din aftale er tilføjet');
INSERT INTO `lang_definitions` VALUES (108656, 12127, 20, 'Din fil er for stor');
INSERT INTO `lang_definitions` VALUES (108657, 12132, 20, 'Din namnlista har ändrats för att uppfylla namngivnings krav.');
INSERT INTO `lang_definitions` VALUES (108658, 12140, 20, 'Dit kodeord er udløbet, Skift kodeord');
INSERT INTO `lang_definitions` VALUES (108659, 12141, 20, 'Dit kodeord udløber til');
INSERT INTO `lang_definitions` VALUES (108660, 12143, 20, 'Dit kodeord udløber i dag, opret venligst et nyt');
INSERT INTO `lang_definitions` VALUES (108661, 12146, 20, 'Din Post Kalender konfiguration har återställts att använda standardvärden.');
INSERT INTO `lang_definitions` VALUES (108662, 12147, 20, 'Din Post Kalender konfiguration har uppdaterats.');
INSERT INTO `lang_definitions` VALUES (108663, 12148, 20, 'Den upprepade frekvens måste vara ett heltal.');
INSERT INTO `lang_definitions` VALUES (108664, 12149, 20, 'Den upprepade frekvensen måste vara minst 1.');
INSERT INTO `lang_definitions` VALUES (108665, 12151, 20, 'Ditt startdatum är större än ditt slutdatum');
INSERT INTO `lang_definitions` VALUES (108666, 12152, 20, 'Din startdato er ugyldig');
INSERT INTO `lang_definitions` VALUES (108667, 12153, 20, 'Din tilføjelse mislykkedes');
INSERT INTO `lang_definitions` VALUES (108668, 12156, 20, 'åååå-mm-dd');
INSERT INTO `lang_definitions` VALUES (108669, 12157, 20, 'ÅÅÅÅ-MM-DD');
INSERT INTO `lang_definitions` VALUES (108670, 12158, 20, 'ÅÅÅÅ-MM-DD-dato har sammenhæng med dette dokument');
INSERT INTO `lang_definitions` VALUES (108671, 12159, 20, 'ÅÅÅÅ-MM-DD-dato er ødelagt');
INSERT INTO `lang_definitions` VALUES (108672, 12160, 20, 'ÅÅÅÅ-MM-DD fødselsdato');
INSERT INTO `lang_definitions` VALUES (108673, 12161, 20, 'ÅÅÅÅ-MM-DD fødselsdato');
INSERT INTO `lang_definitions` VALUES (108674, 12162, 20, 'ÅÅÅÅ-MM-DD udløbsdato');
INSERT INTO `lang_definitions` VALUES (108675, 12163, 20, 'åååå-mm-dd Datum för uppkomsten eller sjukhusvistelse');
INSERT INTO `lang_definitions` VALUES (108676, 12164, 20, 'åååå-mm-dd datum debut, kirurgi eller början av medicinering');
INSERT INTO `lang_definitions` VALUES (108677, 12165, 20, 'ÅÅÅÅ-MM-DD-dato for køb eller transaktion');
INSERT INTO `lang_definitions` VALUES (108678, 12166, 20, 'åååå-mm-dd dagen för tillfrisknande eller slutet av medicinering');
INSERT INTO `lang_definitions` VALUES (108679, 12168, 20, 'ÅÅÅÅ-MM-DD-dato for service');
INSERT INTO `lang_definitions` VALUES (108680, 12169, 20, 'ÅÅÅÅ-MM-DD-dato for dette brev');
INSERT INTO `lang_definitions` VALUES (108681, 12171, 20, 'åååå-mm-dd dokumentets datum');
INSERT INTO `lang_definitions` VALUES (108682, 12173, 20, 'åååå-mm-dd händelse datum eller startdatum');
INSERT INTO `lang_definitions` VALUES (108683, 12180, 20, 'ÅÅÅÅ-MM-DD sidste dato for denne aftale');
INSERT INTO `lang_definitions` VALUES (108684, 12186, 20, 'Nul');
INSERT INTO `lang_definitions` VALUES (108685, 12188, 20, 'postadress');
INSERT INTO `lang_definitions` VALUES (108686, 12189, 20, 'postnummer');
INSERT INTO `lang_definitions` VALUES (108687, 12191, 20, 'land');
INSERT INTO `lang_definitions` VALUES (108688, 12197, 20, 'men var');
INSERT INTO `lang_definitions` VALUES (108689, 12198, 20, 'Ikke tilgængelig');
INSERT INTO `lang_definitions` VALUES (108690, 12199, 20, 'Vil du virkelig slette?');
INSERT INTO `lang_definitions` VALUES (108691, 12200, 20, 'Lægemiddel');
INSERT INTO `lang_definitions` VALUES (108692, 12201, 20, 'email blev ikke sendt');
INSERT INTO `lang_definitions` VALUES (108693, 12202, 20, 'fra');
INSERT INTO `lang_definitions` VALUES (108694, 12203, 20, 'Er skabt');
INSERT INTO `lang_definitions` VALUES (108695, 12204, 20, 'Er genåbnet');
INSERT INTO `lang_definitions` VALUES (108696, 12205, 20, 'Historie');
INSERT INTO `lang_definitions` VALUES (108697, 12206, 20, 'er ikke et nummer');
INSERT INTO `lang_definitions` VALUES (108698, 12207, 20, 'är redo för ny fakturering');
INSERT INTO `lang_definitions` VALUES (108699, 12208, 20, 'LLL:');
INSERT INTO `lang_definitions` VALUES (108700, 12209, 20, 'Lot');
INSERT INTO `lang_definitions` VALUES (108701, 12210, 20, 'Medicaid orginal referensnr.');
INSERT INTO `lang_definitions` VALUES (108702, 12211, 20, 'min');
INSERT INTO `lang_definitions` VALUES (108703, 12212, 20, 'Ikke fundet!');
INSERT INTO `lang_definitions` VALUES (108704, 12215, 20, 'Indtil');
INSERT INTO `lang_definitions` VALUES (108705, 12216, 20, 'Opdatering mislykkedes, ikke i databasen?');
INSERT INTO `lang_definitions` VALUES (108706, 12217, 20, 'Er kun markeret som faktureret');
INSERT INTO `lang_definitions` VALUES (108707, 12218, 20, 'var kö framgångsrikt.');
INSERT INTO `lang_definitions` VALUES (108708, 12219, 20, '! Lämnat utan besök');
INSERT INTO `lang_definitions` VALUES (108709, 12220, 20, '\"För kod');
INSERT INTO `lang_definitions` VALUES (108710, 12221, 20, 'Kontrolleras PostCalendar Inställningar! \"');
INSERT INTO `lang_definitions` VALUES (108711, 12224, 20, 'kr');
INSERT INTO `lang_definitions` VALUES (108712, 12225, 20, 'Kodningen av kronor är färdig');
INSERT INTO `lang_definitions` VALUES (108713, 12226, 20, '$ etikett (åååå-mm-dd):');
INSERT INTO `lang_definitions` VALUES (108714, 12227, 20, '%');
INSERT INTO `lang_definitions` VALUES (108715, 12229, 20, '% Annullerat <24h');
INSERT INTO `lang_definitions` VALUES (108716, 12230, 20, 'Burde eksistere, men gør ikke');
INSERT INTO `lang_definitions` VALUES (108717, 12231, 20, '(% Matchar alla strängar, _ matchar alla tecken)');
INSERT INTO `lang_definitions` VALUES (108718, 12233, 20, '(tilbage)');
INSERT INTO `lang_definitions` VALUES (108719, 12234, 20, '(tryk for at redigere)');
INSERT INTO `lang_definitions` VALUES (108720, 12236, 20, '(mere)');
INSERT INTO `lang_definitions` VALUES (108721, 12237, 20, '(Ny Patient)');
INSERT INTO `lang_definitions` VALUES (108722, 12238, 20, '(bemærkninger og tilladelser)');
INSERT INTO `lang_definitions` VALUES (108723, 12239, 20, '(patientnoter)');
INSERT INTO `lang_definitions` VALUES (108724, 12240, 20, '(vælg en af disse eller opret din egen titel)');
INSERT INTO `lang_definitions` VALUES (108725, 12242, 20, '* påmindelse sendt');
INSERT INTO `lang_definitions` VALUES (108726, 12244, 20, '* Obligatorisk');
INSERT INTO `lang_definitions` VALUES (108727, 12245, 20, '#ERROR!:parse');
INSERT INTO `lang_definitions` VALUES (108728, 12253, 20, '.');
INSERT INTO `lang_definitions` VALUES (108729, 12255, 20, '0-10');
INSERT INTO `lang_definitions` VALUES (108730, 12265, 20, '1.Vila 2. Lägg på is i två dagar 3. Komprimering lämna förbandet på plats om inte foten utvecklar domningar eller blek färg 4. Ha foten och ben i Upphöjt läge.');
INSERT INTO `lang_definitions` VALUES (108731, 12266, 20, '11-14');
INSERT INTO `lang_definitions` VALUES (108732, 12268, 20, '15-19');
INSERT INTO `lang_definitions` VALUES (108733, 12278, 20, '20-24');
INSERT INTO `lang_definitions` VALUES (108734, 12287, 20, '2111-13');
INSERT INTO `lang_definitions` VALUES (108735, 12289, 20, '25+');
INSERT INTO `lang_definitions` VALUES (108736, 12290, 20, '25-29');
INSERT INTO `lang_definitions` VALUES (108737, 12293, 20, '2:a');
INSERT INTO `lang_definitions` VALUES (108738, 12297, 20, '3 måneder');
INSERT INTO `lang_definitions` VALUES (108739, 12299, 20, '3 gange om dagen');
INSERT INTO `lang_definitions` VALUES (108740, 12301, 20, '30-34');
INSERT INTO `lang_definitions` VALUES (108741, 12302, 20, '35-39');
INSERT INTO `lang_definitions` VALUES (108742, 12304, 20, 'tredje');
INSERT INTO `lang_definitions` VALUES (108743, 12308, 20, '4 måneder');
INSERT INTO `lang_definitions` VALUES (108744, 12310, 20, '4 gange om dagen');
INSERT INTO `lang_definitions` VALUES (108745, 12312, 20, '40-44');
INSERT INTO `lang_definitions` VALUES (108746, 12313, 20, '45+');
INSERT INTO `lang_definitions` VALUES (108747, 12323, 20, 'fjerde');
INSERT INTO `lang_definitions` VALUES (108748, 12331, 20, 'femte');
INSERT INTO `lang_definitions` VALUES (108749, 12334, 20, '6 måneder');
INSERT INTO `lang_definitions` VALUES (108750, 12337, 20, 'sjette');
INSERT INTO `lang_definitions` VALUES (108751, 12351, 20, '99212 Etablerade - okomplicerad');
INSERT INTO `lang_definitions` VALUES (108752, 12352, 20, '99213 Etablerade - Låg komplexitet');
INSERT INTO `lang_definitions` VALUES (108753, 12353, 20, '< På klinikken');
INSERT INTO `lang_definitions` VALUES (108754, 12357, 20, '> Afsluttet');
INSERT INTO `lang_definitions` VALUES (108755, 12361, 20, '? Udeblevet');
INSERT INTO `lang_definitions` VALUES (108756, 12362, 20, '@ Ankommet');
INSERT INTO `lang_definitions` VALUES (108757, 12364, 20, '[Ändra vy]');
INSERT INTO `lang_definitions` VALUES (108758, 12365, 20, '[Dato for seneste aftale]');
INSERT INTO `lang_definitions` VALUES (108759, 12366, 20, '[Dage siden sidste aftale]');
INSERT INTO `lang_definitions` VALUES (108760, 12369, 20, '[rekommenderas inte]');
INSERT INTO `lang_definitions` VALUES (108761, 12370, 20, '[Antal aftaler]');
INSERT INTO `lang_definitions` VALUES (108762, 12371, 20, '[Rapporter]');
INSERT INTO `lang_definitions` VALUES (108763, 12372, 20, '[Vælg alle]');
INSERT INTO `lang_definitions` VALUES (108764, 12373, 20, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (108765, 12374, 20, '[Starta batchprocess]');
INSERT INTO `lang_definitions` VALUES (108766, 12375, 20, '[Se log]');
INSERT INTO `lang_definitions` VALUES (108767, 12376, 20, '[Se printbar rapport]');
INSERT INTO `lang_definitions` VALUES (108768, 12381, 20, '~kommet for sent');
INSERT INTO `lang_definitions` VALUES (108769, 1, 21, 'Bir');
INSERT INTO `lang_definitions` VALUES (108770, 2, 21, 'Ödemeyi tanımlamak için bir çek numarası veya talep numarası');
INSERT INTO `lang_definitions` VALUES (108771, 4, 21, 'Yönetici kullanıcısı için bir müşteri sertifikası');
INSERT INTO `lang_definitions` VALUES (108772, 6, 21, 'Bir klinik belge ekli');
INSERT INTO `lang_definitions` VALUES (108773, 7, 21, 'Bir klinik belge ekli');
INSERT INTO `lang_definitions` VALUES (108774, 8, 21, 'Bu tipte bir kod önceden seçildi. Değiştirmeniz gerekiyorsa öncekini silin.');
INSERT INTO `lang_definitions` VALUES (108775, 13, 21, 'Bir bayi gerekiyor');
INSERT INTO `lang_definitions` VALUES (108776, 17, 21, 'Bu kayda Jenerik Bağlantı Kabul Kontrol  vizit formunun eklenmesi gerekiyor.');
INSERT INTO `lang_definitions` VALUES (108777, 20, 21, 'Bir parti numarası gerekiyor.');
INSERT INTO `lang_definitions` VALUES (108778, 21, 21, 'Bir parti numarası gerekiyor!');
INSERT INTO `lang_definitions` VALUES (108779, 22, 21, 'Bir küçük harf');
INSERT INTO `lang_definitions` VALUES (108780, 23, 21, 'Yeni Randevu');
INSERT INTO `lang_definitions` VALUES (108781, 24, 21, 'Sıklıkla birlikte istenen tetkikleri birlikte isteyebilmeniz için yeni bir özellik eklenmiştir');
INSERT INTO `lang_definitions` VALUES (108782, 28, 21, 'Bir sayı');
INSERT INTO `lang_definitions` VALUES (108783, 29, 21, 'Bu raporu oluşturmak için bir hasta seçilmelidir.');
INSERT INTO `lang_definitions` VALUES (108784, 30, 21, 'Bu ID ile önceden kayıtlı bir hasta var.');
INSERT INTO `lang_definitions` VALUES (108785, 31, 21, 'Bu isim ile önceden kayıtlı bir hasta var.');
INSERT INTO `lang_definitions` VALUES (108786, 32, 21, 'Bu SGK numarası ile önceden kayıtlı bir hasta var.');
INSERT INTO `lang_definitions` VALUES (108787, 36, 21, 'Hasta RandevularıÖzeti Sihirbazında artı bir sayı geçmişte pek çok randevu olduğunu gösterir. ( Eksi bir sayı eski randevuları azalan sırada gösterir.)');
INSERT INTO `lang_definitions` VALUES (108788, 37, 21, 'Hasta RandevularıÖzeti Sihirbazında artı bir sayı geçmişte pek çok randevu olduğunu gösterir.');
INSERT INTO `lang_definitions` VALUES (108789, 43, 21, 'Her vizite için sevk eden bir kaynak belirtilebilir.');
INSERT INTO `lang_definitions` VALUES (108790, 44, 21, 'İlgili bir IPPF kodu gerekiyor!');
INSERT INTO `lang_definitions` VALUES (108791, 49, 21, 'Özel bir karakter');
INSERT INTO `lang_definitions` VALUES (108792, 53, 21, 'Bu alanı tanımlayacak,kullanıcıya görünmeyen, benzersiz bir değer');
INSERT INTO `lang_definitions` VALUES (108793, 56, 21, 'Bu hastanın bu gün için önceden kayıtlı bir randevusu var. Bu randevuyu açmam için İptali tıklayınız. Yeni bir randevu oluşturmak için Tamamı tıklayınız.');
INSERT INTO `lang_definitions` VALUES (108794, 57, 21, 'yemekten önce');
INSERT INTO `lang_definitions` VALUES (108795, 58, 21, 'öğleden önce');
INSERT INTO `lang_definitions` VALUES (108796, 59, 21, 'Ö/K{{ön kamera}}');
INSERT INTO `lang_definitions` VALUES (108797, 60, 21, 'A/F Sağ Düzey');
INSERT INTO `lang_definitions` VALUES (108798, 62, 21, 'AB');
INSERT INTO `lang_definitions` VALUES (108799, 63, 21, 'Kısaltma');
INSERT INTO `lang_definitions` VALUES (108800, 64, 21, 'Abse');
INSERT INTO `lang_definitions` VALUES (108801, 65, 21, 'Abdominal');
INSERT INTO `lang_definitions` VALUES (108802, 66, 21, 'Dört (4) Basamak Ağırlık Taşıyabilir:');
INSERT INTO `lang_definitions` VALUES (108803, 67, 21, 'Abn');
INSERT INTO `lang_definitions` VALUES (108804, 68, 21, 'ABN1');
INSERT INTO `lang_definitions` VALUES (108805, 70, 21, 'Anormal');
INSERT INTO `lang_definitions` VALUES (108806, 71, 21, 'Anormal kan testi');
INSERT INTO `lang_definitions` VALUES (108807, 72, 21, 'Anormal tüylenme');
INSERT INTO `lang_definitions` VALUES (108808, 73, 21, 'Anormal Mamografi filmi');
INSERT INTO `lang_definitions` VALUES (108809, 74, 21, 'Vaz geç');
INSERT INTO `lang_definitions` VALUES (108810, 75, 21, 'Düşük');
INSERT INTO `lang_definitions` VALUES (108811, 76, 21, 'Düşük Konuları');
INSERT INTO `lang_definitions` VALUES (108812, 77, 21, 'Düşük Yöntemi');
INSERT INTO `lang_definitions` VALUES (108813, 78, 21, 'Düşük ile İlgili Kategoriler');
INSERT INTO `lang_definitions` VALUES (108814, 79, 21, 'Düşükler');
INSERT INTO `lang_definitions` VALUES (108815, 80, 21, 'Hakkında');
INSERT INTO `lang_definitions` VALUES (108816, 82, 21, 'Takvim Hakkında');
INSERT INTO `lang_definitions` VALUES (108817, 84, 21, 'Üst panşk sınırının üzerinde');
INSERT INTO `lang_definitions` VALUES (108818, 85, 21, 'Tanıya göre Devamsızlıklar');
INSERT INTO `lang_definitions` VALUES (108819, 87, 21, 'Görevi Kabul');
INSERT INTO `lang_definitions` VALUES (108820, 89, 21, 'İçin ödeme kabul');
INSERT INTO `lang_definitions` VALUES (108821, 90, 21, 'İçin Ödeme Kabul');
INSERT INTO `lang_definitions` VALUES (108822, 91, 21, 'Görevi Kabul Eder');
INSERT INTO `lang_definitions` VALUES (108823, 93, 21, 'Erişim Kontrolü');
INSERT INTO `lang_definitions` VALUES (108824, 94, 21, 'Erişim Kontrolü Listesi Yönetimi');
INSERT INTO `lang_definitions` VALUES (108825, 98, 21, 'Erişim tarihi');
INSERT INTO `lang_definitions` VALUES (108826, 102, 21, 'Erişime izin verilmiyor');
INSERT INTO `lang_definitions` VALUES (108827, 103, 21, 'Erişme yetkiniz yok');
INSERT INTO `lang_definitions` VALUES (108828, 105, 21, 'Hasta Kaydı Erişiminiz');
INSERT INTO `lang_definitions` VALUES (108829, 106, 21, 'Kaza');
INSERT INTO `lang_definitions` VALUES (108830, 109, 21, 'Hesap Yeni ereçete servisi için, çoklu kurum hesaplarını ayırmak için');
INSERT INTO `lang_definitions` VALUES (108831, 113, 21, 'Hesap Adı');
INSERT INTO `lang_definitions` VALUES (108832, 114, 21, 'Hesap İsmi Yeni ereçete hizmeti için');
INSERT INTO `lang_definitions` VALUES (108833, 115, 21, 'Hesap şifresi yeni ereçete hizmeti için');
INSERT INTO `lang_definitions` VALUES (108834, 117, 21, 'Muhasebe');
INSERT INTO `lang_definitions` VALUES (108835, 120, 21, 'Muhs');
INSERT INTO `lang_definitions` VALUES (108836, 121, 21, 'ÖKD{{Ön kamera derinliği}}');
INSERT INTO `lang_definitions` VALUES (108837, 122, 21, 'Ağrıları');
INSERT INTO `lang_definitions` VALUES (108838, 124, 21, 'Alındı İsteniyor (ISA14)');
INSERT INTO `lang_definitions` VALUES (108839, 125, 21, 'Yazarlar, Lisans ve Sertifikasyon');
INSERT INTO `lang_definitions` VALUES (108840, 126, 21, 'EKL');
INSERT INTO `lang_definitions` VALUES (108841, 127, 21, 'EKL Yönetimi');
INSERT INTO `lang_definitions` VALUES (108842, 129, 21, 'EKL Yönetimine İzin Verilmiyor');
INSERT INTO `lang_definitions` VALUES (108843, 132, 21, 'EKL başarı ile güncellendi');
INSERT INTO `lang_definitions` VALUES (108844, 133, 21, 'Akne');
INSERT INTO `lang_definitions` VALUES (108845, 135, 21, 'ÖSEG{{Ön Segment}}');
INSERT INTO `lang_definitions` VALUES (108846, 136, 21, 'Resmi yazı');
INSERT INTO `lang_definitions` VALUES (108847, 137, 21, 'Resmi yazı tarihi');
INSERT INTO `lang_definitions` VALUES (108848, 138, 21, 'Eylem');
INSERT INTO `lang_definitions` VALUES (108849, 142, 21, 'Eylemler');
INSERT INTO `lang_definitions` VALUES (108850, 143, 21, 'Etkinleştir');
INSERT INTO `lang_definitions` VALUES (108851, 144, 21, 'CCR/CCD raporlamayı etkinleştir');
INSERT INTO `lang_definitions` VALUES (108852, 148, 21, 'Aktif');
INSERT INTO `lang_definitions` VALUES (108853, 150, 21, 'Etkin Uyarı');
INSERT INTO `lang_definitions` VALUES (108854, 152, 21, 'Etkin Uyarı Kralları');
INSERT INTO `lang_definitions` VALUES (108855, 153, 21, 'Etkin Uyarılar/Anımsatıcılar');
INSERT INTO `lang_definitions` VALUES (108856, 154, 21, 'Aktif Çizelge');
INSERT INTO `lang_definitions` VALUES (108857, 158, 21, 'Aktif görüşme');
INSERT INTO `lang_definitions` VALUES (108858, 159, 21, 'Aktif Konu Kodları');
INSERT INTO `lang_definitions` VALUES (108859, 160, 21, 'Aktif listeler');
INSERT INTO `lang_definitions` VALUES (108860, 162, 21, 'Aktif Hasta');
INSERT INTO `lang_definitions` VALUES (108861, 163, 21, 'Aktif Planlar');
INSERT INTO `lang_definitions` VALUES (108862, 173, 21, 'Aktivite');
INSERT INTO `lang_definitions` VALUES (108863, 174, 21, 'Aktivite Tipi');
INSERT INTO `lang_definitions` VALUES (108864, 175, 21, 'Güncel Makbuzlar');
INSERT INTO `lang_definitions` VALUES (108865, 176, 21, 'Keskinlik');
INSERT INTO `lang_definitions` VALUES (108866, 177, 21, 'KESKİNLİK');
INSERT INTO `lang_definitions` VALUES (108867, 178, 21, 'Otorefraksiyon ile görme keskinliği');
INSERT INTO `lang_definitions` VALUES (108868, 179, 21, 'Kontak lenslerle görme keskinliği');
INSERT INTO `lang_definitions` VALUES (108869, 180, 21, 'Düzeltme ile görme keskinliği');
INSERT INTO `lang_definitions` VALUES (108870, 181, 21, 'Siklopleji ile görme keskinliği');
INSERT INTO `lang_definitions` VALUES (108871, 182, 21, 'Bariz Kırma Kusuru ile Görme Keskinliği');
INSERT INTO `lang_definitions` VALUES (108872, 183, 21, 'Pin hol ile görme');
INSERT INTO `lang_definitions` VALUES (108873, 184, 21, 'Düzeltme olmadan görme keskinliği');
INSERT INTO `lang_definitions` VALUES (108874, 185, 21, 'Akut Zehirlenme/Yoksunluk');
INSERT INTO `lang_definitions` VALUES (108875, 186, 21, 'Kronik hastalığın Akut Belirtileri');
INSERT INTO `lang_definitions` VALUES (108876, 187, 21, 'Kronik Alevlenmesi');
INSERT INTO `lang_definitions` VALUES (108877, 189, 21, 'Ekle');
INSERT INTO `lang_definitions` VALUES (108878, 190, 21, 'ekle');
INSERT INTO `lang_definitions` VALUES (108879, 191, 21, 'EKLE');
INSERT INTO `lang_definitions` VALUES (108880, 192, 21, 'Bir Şirket Ekle');
INSERT INTO `lang_definitions` VALUES (108881, 193, 21, 'Bir durum ekle');
INSERT INTO `lang_definitions` VALUES (108882, 197, 21, 'Bir Eczane Ekle');
INSERT INTO `lang_definitions` VALUES (108883, 199, 21, 'Plana tüm kuralları ekle');
INSERT INTO `lang_definitions` VALUES (108884, 200, 21, 'için bir olay ekle');
INSERT INTO `lang_definitions` VALUES (108885, 202, 21, 'Yeni bir not olarak ekle');
INSERT INTO `lang_definitions` VALUES (108886, 203, 21, 'Yeni Olarak Ekle');
INSERT INTO `lang_definitions` VALUES (108887, 204, 21, 'Yeni hasta olarak ekle');
INSERT INTO `lang_definitions` VALUES (108888, 206, 21, 'Ekle Düğmeleri');
INSERT INTO `lang_definitions` VALUES (108889, 207, 21, 'Özel karakterlerin, metinlerin bir tıklama ile metine eklenmeleri için editörün üst kısmında görülen düğmeler');
INSERT INTO `lang_definitions` VALUES (108890, 208, 21, 'Kategori Ekle');
INSERT INTO `lang_definitions` VALUES (108891, 209, 21, 'Sabit Ekle');
INSERT INTO `lang_definitions` VALUES (108892, 210, 21, 'İçerik Ekle');
INSERT INTO `lang_definitions` VALUES (108893, 211, 21, 'Katkı payı ekle');
INSERT INTO `lang_definitions` VALUES (108894, 212, 21, 'Kriter ekle');
INSERT INTO `lang_definitions` VALUES (108895, 213, 21, 'Özel Düğme Ekle');
INSERT INTO `lang_definitions` VALUES (108896, 216, 21, 'Tanı Ekle');
INSERT INTO `lang_definitions` VALUES (108897, 217, 21, 'İlaç Ekle');
INSERT INTO `lang_definitions` VALUES (108898, 220, 21, 'Görüşme Ekle');
INSERT INTO `lang_definitions` VALUES (108899, 221, 21, 'Görüşme/notlar ekle');
INSERT INTO `lang_definitions` VALUES (108900, 222, 21, 'Tesis Ekle');
INSERT INTO `lang_definitions` VALUES (108901, 223, 21, 'Alan Ekle');
INSERT INTO `lang_definitions` VALUES (108902, 224, 21, 'Aşağıdaki satırları Apache konfigürasyon dosyasına ekleyiniz.');
INSERT INTO `lang_definitions` VALUES (108903, 225, 21, 'Grup Ekle');
INSERT INTO `lang_definitions` VALUES (108904, 227, 21, 'ICD kodu Ekle');
INSERT INTO `lang_definitions` VALUES (108905, 228, 21, 'Aşılama Ekle');
INSERT INTO `lang_definitions` VALUES (108906, 229, 21, 'Eklemeye izin verilmiyor!');
INSERT INTO `lang_definitions` VALUES (108907, 230, 21, 'Konu Ekle');
INSERT INTO `lang_definitions` VALUES (108908, 231, 21, 'İzlenecek başlık ekleyin');
INSERT INTO `lang_definitions` VALUES (108909, 232, 21, 'Dil Ekle');
INSERT INTO `lang_definitions` VALUES (108910, 237, 21, 'Daha fazla Kalem Ekle');
INSERT INTO `lang_definitions` VALUES (108911, 238, 21, 'Yeni Ekle');
INSERT INTO `lang_definitions` VALUES (108912, 239, 21, 'Yeni ekle');
INSERT INTO `lang_definitions` VALUES (108913, 240, 21, 'Yeni kategori ekle:');
INSERT INTO `lang_definitions` VALUES (108914, 241, 21, 'Apache konfigürasyon dosyasına yeni sertifikalar ekle');
INSERT INTO `lang_definitions` VALUES (108915, 242, 21, 'Yeni bileşen ekle');
INSERT INTO `lang_definitions` VALUES (108916, 243, 21, 'Yeni bileşenler ekle');
INSERT INTO `lang_definitions` VALUES (108917, 249, 21, 'Yeni Grup Ekle');
INSERT INTO `lang_definitions` VALUES (108918, 250, 21, 'Yeni Konu Ekle');
INSERT INTO `lang_definitions` VALUES (108919, 251, 21, 'Yeni parti ve işlem ekle');
INSERT INTO `lang_definitions` VALUES (108920, 253, 21, 'Yeni Not Ekle');
INSERT INTO `lang_definitions` VALUES (108921, 254, 21, 'Yeni not ekle');
INSERT INTO `lang_definitions` VALUES (108922, 255, 21, 'Yeni Tedarikçi Ekle');
INSERT INTO `lang_definitions` VALUES (108923, 256, 21, 'Yeni Hasta Ekle');
INSERT INTO `lang_definitions` VALUES (108924, 257, 21, 'YENİ PLAN EKLE');
INSERT INTO `lang_definitions` VALUES (108925, 264, 21, 'Not Ekle');
INSERT INTO `lang_definitions` VALUES (108926, 268, 21, 'Hasta Kaydı Ekle');
INSERT INTO `lang_definitions` VALUES (108927, 269, 21, 'Reçete Ekle');
INSERT INTO `lang_definitions` VALUES (108928, 270, 21, 'İşlem Ekle');
INSERT INTO `lang_definitions` VALUES (108929, 271, 21, 'Tedarikçi Numarası Ekle');
INSERT INTO `lang_definitions` VALUES (108930, 273, 21, 'Rehab Ekle');
INSERT INTO `lang_definitions` VALUES (108931, 274, 21, 'Kural Ekle');
INSERT INTO `lang_definitions` VALUES (108932, 277, 21, 'Eklenecek yer:');
INSERT INTO `lang_definitions` VALUES (108933, 281, 21, 'İlaç Listesine Ekle');
INSERT INTO `lang_definitions` VALUES (108934, 282, 21, 'En üst düzeye ekle');
INSERT INTO `lang_definitions` VALUES (108935, 283, 21, 'İşlem Ekle');
INSERT INTO `lang_definitions` VALUES (108936, 284, 21, 'Kullanıcı Ekle');
INSERT INTO `lang_definitions` VALUES (108937, 285, 21, 'Gruba Kullanıcı Ekle');
INSERT INTO `lang_definitions` VALUES (108938, 286, 21, 'Ek Ölçümler');
INSERT INTO `lang_definitions` VALUES (108939, 287, 21, 'eReçete Ekle/Düzenle');
INSERT INTO `lang_definitions` VALUES (108940, 289, 21, 'Hasta İşlemi Ekle/Düzenle');
INSERT INTO `lang_definitions` VALUES (108941, 290, 21, 'eklendi');
INSERT INTO `lang_definitions` VALUES (108942, 293, 21, 'Demografi eklenmesine izin verilmiyor.');
INSERT INTO `lang_definitions` VALUES (108943, 294, 21, 'İzlenecek başlık eklenmesi başarısız oldu');
INSERT INTO `lang_definitions` VALUES (108944, 295, 21, 'Addison Sendromu');
INSERT INTO `lang_definitions` VALUES (108945, 296, 21, 'Addison Sendromu');
INSERT INTO `lang_definitions` VALUES (108946, 297, 21, 'Ek Nitelikler');
INSERT INTO `lang_definitions` VALUES (108947, 298, 21, 'Ek Veri Noktaları');
INSERT INTO `lang_definitions` VALUES (108948, 300, 21, 'Ek Tanı:');
INSERT INTO `lang_definitions` VALUES (108949, 301, 21, 'Ek Bulgular');
INSERT INTO `lang_definitions` VALUES (108950, 305, 21, 'Ek Öykü');
INSERT INTO `lang_definitions` VALUES (108951, 306, 21, 'Ek öykü notları');
INSERT INTO `lang_definitions` VALUES (108952, 307, 21, 'Ek Bilgi');
INSERT INTO `lang_definitions` VALUES (108953, 310, 21, 'Ek Laboratuvarlar');
INSERT INTO `lang_definitions` VALUES (108954, 311, 21, 'Ek Notlar');
INSERT INTO `lang_definitions` VALUES (108955, 313, 21, 'Bu sonuç veya öneri için ek notlar');
INSERT INTO `lang_definitions` VALUES (108956, 314, 21, 'Ek Notlar:');
INSERT INTO `lang_definitions` VALUES (108957, 315, 21, 'Ek Notlar:');
INSERT INTO `lang_definitions` VALUES (108958, 317, 21, 'Ek Röntgen filmi Notları:');
INSERT INTO `lang_definitions` VALUES (108959, 318, 21, 'Ek olarak, ilgili Somed uzantısı paketi uluslararası (İngilizce versiyon) Snomed Sürümünü kurduktan sonra ayrıca eklenebilir.');
INSERT INTO `lang_definitions` VALUES (108960, 319, 21, 'Ek Reçete{{Ek gözlükler}}');
INSERT INTO `lang_definitions` VALUES (108961, 320, 21, 'sadece eklenir');
INSERT INTO `lang_definitions` VALUES (108962, 322, 21, 'Adres Def');
INSERT INTO `lang_definitions` VALUES (108963, 323, 21, 'Adres Defteri');
INSERT INTO `lang_definitions` VALUES (108964, 324, 21, 'Adres');
INSERT INTO `lang_definitions` VALUES (108965, 325, 21, 'Adres ve Posta Kodu');
INSERT INTO `lang_definitions` VALUES (108966, 326, 21, 'Adres ve Şehir');
INSERT INTO `lang_definitions` VALUES (108967, 327, 21, 'Adres Defteri');
INSERT INTO `lang_definitions` VALUES (108968, 328, 21, 'Bu işlemi yapan şirketin adres defteri kaydı');
INSERT INTO `lang_definitions` VALUES (108969, 329, 21, 'Distribütör için adres girdisi');
INSERT INTO `lang_definitions` VALUES (108970, 330, 21, 'Satıcının adres defteri kaydı');
INSERT INTO `lang_definitions` VALUES (108971, 331, 21, 'Adres Defteri Tipleri');
INSERT INTO `lang_definitions` VALUES (108972, 332, 21, 'Adres Etiketi');
INSERT INTO `lang_definitions` VALUES (108973, 333, 21, 'Adres Etiketleri');
INSERT INTO `lang_definitions` VALUES (108974, 336, 21, 'Sadece Adresler');
INSERT INTO `lang_definitions` VALUES (108975, 338, 21, 'Adres, Şehir ve Posta Kodu');
INSERT INTO `lang_definitions` VALUES (108976, 339, 21, 'Adres1');
INSERT INTO `lang_definitions` VALUES (108977, 340, 21, 'Adres2');
INSERT INTO `lang_definitions` VALUES (108978, 342, 21, 'ALACAK OLAN');
INSERT INTO `lang_definitions` VALUES (108979, 343, 21, 'EKLE{{Bifokal Ekle}}');
INSERT INTO `lang_definitions` VALUES (108980, 344, 21, 'EKLE{{Yakın Ekle}}');
INSERT INTO `lang_definitions` VALUES (108981, 345, 21, 'Dzn');
INSERT INTO `lang_definitions` VALUES (108982, 346, 21, 'Düzeltilmiş Miktar');
INSERT INTO `lang_definitions` VALUES (108983, 347, 21, 'Düzenle');
INSERT INTO `lang_definitions` VALUES (108984, 348, 21, 'Düzenleme');
INSERT INTO `lang_definitions` VALUES (108985, 349, 21, 'Düzeltilen miktar');
INSERT INTO `lang_definitions` VALUES (108986, 350, 21, 'Düzenleme Nedenleri');
INSERT INTO `lang_definitions` VALUES (108987, 352, 21, 'Kaynak için düzenleme değeri');
INSERT INTO `lang_definitions` VALUES (108988, 353, 21, 'Düzenlemeler');
INSERT INTO `lang_definitions` VALUES (108989, 354, 21, 'Yntm düzenle');
INSERT INTO `lang_definitions` VALUES (108990, 355, 21, 'Yönetici');
INSERT INTO `lang_definitions` VALUES (108991, 356, 21, 'Yönetim Eposta Adresi');
INSERT INTO `lang_definitions` VALUES (108992, 357, 21, 'Yönetim Yolu:');
INSERT INTO `lang_definitions` VALUES (108993, 359, 21, 'Yönetildi');
INSERT INTO `lang_definitions` VALUES (108994, 360, 21, 'Yöneten:');
INSERT INTO `lang_definitions` VALUES (108995, 361, 21, 'Uygulandığı tarih');
INSERT INTO `lang_definitions` VALUES (108996, 362, 21, 'Uygulandığı Yer');
INSERT INTO `lang_definitions` VALUES (108997, 363, 21, 'Yönetim');
INSERT INTO `lang_definitions` VALUES (108998, 365, 21, 'Uygulama Yeri');
INSERT INTO `lang_definitions` VALUES (108999, 366, 21, 'Yöneticiler');
INSERT INTO `lang_definitions` VALUES (109000, 367, 21, 'Yöneticiler her şeyi yapabilir.');
INSERT INTO `lang_definitions` VALUES (109001, 368, 21, 'Kabul tarihi');
INSERT INTO `lang_definitions` VALUES (109002, 369, 21, 'Adneksler');
INSERT INTO `lang_definitions` VALUES (109003, 370, 21, 'Evlat Edinilmiş Çocuk');
INSERT INTO `lang_definitions` VALUES (109004, 371, 21, 'Erişkin Ağırlık Tarama ve İzlemi');
INSERT INTO `lang_definitions` VALUES (109005, 372, 21, 'Erişkin Ağırlık Tarama ve İzlemi (KYM)');
INSERT INTO `lang_definitions` VALUES (109006, 373, 21, 'Avans Yönergesi');
INSERT INTO `lang_definitions` VALUES (109007, 374, 21, 'Avans Yönergeleri');
INSERT INTO `lang_definitions` VALUES (109008, 375, 21, 'Avans Yönergeleri Uyarısı');
INSERT INTO `lang_definitions` VALUES (109009, 376, 21, 'Peşin Seçenekler');
INSERT INTO `lang_definitions` VALUES (109010, 377, 21, 'İleri');
INSERT INTO `lang_definitions` VALUES (109011, 380, 21, 'Tavsiye');
INSERT INTO `lang_definitions` VALUES (109012, 381, 21, 'Uzaktan');
INSERT INTO `lang_definitions` VALUES (109013, 382, 21, 'Normal affekt');
INSERT INTO `lang_definitions` VALUES (109014, 383, 21, 'Afrikaca');
INSERT INTO `lang_definitions` VALUES (109015, 386, 21, 'saat icap sonrası');
INSERT INTO `lang_definitions` VALUES (109016, 387, 21, 'Şifrelerin kullanıcı tablosunda saklandığı eski şifre yönteminden geçiş yaotıktan sonra sadece yeni yöntem ile kimlik doğrulamasının yapılabilmesi için bu bayrak false olarak işaretlenmelidir');
INSERT INTO `lang_definitions` VALUES (109017, 388, 21, 'Yukarıdaki konfigürasyonu uyguladıktan sonra yönetici müşterisi sertifikasını tarayıcıya ekleyiniz ve Apache sunucusunu (boş şifre ile) tekrar başlatınız.');
INSERT INTO `lang_definitions` VALUES (109018, 390, 21, 'PDF yi kaydettikten sonra hataları kontrol etmek için [Kaydı Gör] ü tıklayınız.');
INSERT INTO `lang_definitions` VALUES (109019, 393, 21, 'TEXT dosyalarını kaydettikten sonra hataları kontrol etmek için [Kaydı Gör] ü tıklayınız.');
INSERT INTO `lang_definitions` VALUES (109020, 396, 21, 'BAT dosyanızı kaydettikten sonra hataları kontrol etmek için [Kaydı Gör] ü tıklayınız.');
INSERT INTO `lang_definitions` VALUES (109021, 398, 21, 'Ondan sonra uyum sütununda hasta kimlik numarası veya yenisinin oluşturulması için 0 görülür.');
INSERT INTO `lang_definitions` VALUES (109022, 399, 21, 'Bilgi doğru olarak girildikten sonra Kaydet düğmesini tıklayınız');
INSERT INTO `lang_definitions` VALUES (109023, 400, 21, 'Yükledikten sonra \"İçe Aktar\" düğmesini tıklayınız');
INSERT INTO `lang_definitions` VALUES (109024, 404, 21, 'Sonraki Bakım Planlaması');
INSERT INTO `lang_definitions` VALUES (109025, 406, 21, 'Tekrar');
INSERT INTO `lang_definitions` VALUES (109026, 407, 21, 'Yaş');
INSERT INTO `lang_definitions` VALUES (109027, 409, 21, 'Yaşı :');
INSERT INTO `lang_definitions` VALUES (109028, 410, 21, 'Yaş Kategorisi');
INSERT INTO `lang_definitions` VALUES (109029, 411, 21, 'Yaş verisi erim dışında');
INSERT INTO `lang_definitions` VALUES (109030, 412, 21, 'Yaş gösteriliş kalıbı');
INSERT INTO `lang_definitions` VALUES (109031, 413, 21, '\"yaşından itibaren\" Yaş kalıbı geçerli değil');
INSERT INTO `lang_definitions` VALUES (109032, 414, 21, '\"yaşına kadar\" Yaş kalıbı geçerli değil');
INSERT INTO `lang_definitions` VALUES (109033, 415, 21, 'Yaşından İtibaren');
INSERT INTO `lang_definitions` VALUES (109034, 416, 21, 'Yıl olarak Yaş görüntü kalıbı değişimi');
INSERT INTO `lang_definitions` VALUES (109035, 417, 21, 'Maksimum yaş');
INSERT INTO `lang_definitions` VALUES (109036, 418, 21, 'Minimum yaş');
INSERT INTO `lang_definitions` VALUES (109037, 419, 21, 'Yaş Dağılımı');
INSERT INTO `lang_definitions` VALUES (109038, 420, 21, 'Yaşlanma Sütunları');
INSERT INTO `lang_definitions` VALUES (109039, 421, 21, 'Yaşlanma Sütunları:');
INSERT INTO `lang_definitions` VALUES (109040, 422, 21, 'Gana/Fildişi Akan etnisitesi');
INSERT INTO `lang_definitions` VALUES (109041, 423, 21, 'Arnavut');
INSERT INTO `lang_definitions` VALUES (109042, 424, 21, 'Alkol');
INSERT INTO `lang_definitions` VALUES (109043, 425, 21, 'Alkol tüketimi');
INSERT INTO `lang_definitions` VALUES (109044, 426, 21, 'Alkol Kullanımı');
INSERT INTO `lang_definitions` VALUES (109045, 427, 21, 'Uyarı');
INSERT INTO `lang_definitions` VALUES (109046, 428, 21, 'Uyarı Sayısı');
INSERT INTO `lang_definitions` VALUES (109047, 434, 21, 'Uyarı Zamanı');
INSERT INTO `lang_definitions` VALUES (109048, 435, 21, 'Uyarılar');
INSERT INTO `lang_definitions` VALUES (109049, 436, 21, 'Uyarılar Kütüğü');
INSERT INTO `lang_definitions` VALUES (109050, 437, 21, 'Uyarılar / Hatırlatıcılar');
INSERT INTO `lang_definitions` VALUES (109051, 439, 21, 'Aleut');
INSERT INTO `lang_definitions` VALUES (109052, 440, 21, 'Hepsi');
INSERT INTO `lang_definitions` VALUES (109053, 441, 21, 'HEPSİ');
INSERT INTO `lang_definitions` VALUES (109054, 443, 21, 'Hepsi (A formatına harmanlanmış)');
INSERT INTO `lang_definitions` VALUES (109055, 444, 21, 'Hepsi (B formatına harmanlanmış)');
INSERT INTO `lang_definitions` VALUES (109056, 445, 21, 'Hepsi (Kümülatif)');
INSERT INTO `lang_definitions` VALUES (109057, 446, 21, 'Bütün Uyarılar');
INSERT INTO `lang_definitions` VALUES (109058, 447, 21, 'Tüm Otomatik Ölçüm Hesaplamaları');
INSERT INTO `lang_definitions` VALUES (109059, 448, 21, 'Tüm Kategoriler');
INSERT INTO `lang_definitions` VALUES (109060, 449, 21, 'Tüm Klinik Kalite Ölçümleri');
INSERT INTO `lang_definitions` VALUES (109061, 450, 21, 'Tüm Kodlar');
INSERT INTO `lang_definitions` VALUES (109062, 452, 21, 'Tüm Tarihler');
INSERT INTO `lang_definitions` VALUES (109063, 453, 21, 'Bütün Gün');
INSERT INTO `lang_definitions` VALUES (109064, 454, 21, 'Tüm gün süren bir olay');
INSERT INTO `lang_definitions` VALUES (109065, 455, 21, 'Tüm demografik alanlar, arama ve çiftleşme kontrolü ile');
INSERT INTO `lang_definitions` VALUES (109066, 457, 21, 'Tüm Tesisler');
INSERT INTO `lang_definitions` VALUES (109067, 458, 21, 'Tüm yaralanmalar/Sorunlar/Konular');
INSERT INTO `lang_definitions` VALUES (109068, 459, 21, 'Tüm Dillere İzin Verilir');
INSERT INTO `lang_definitions` VALUES (109069, 461, 21, 'Tüm Klinik Kalite Ölçüleri Ölçü Grupları');
INSERT INTO `lang_definitions` VALUES (109070, 462, 21, 'İsminin tamamı veya bir kısmı');
INSERT INTO `lang_definitions` VALUES (109071, 463, 21, 'Soyadının tamamı veya bir kısmı');
INSERT INTO `lang_definitions` VALUES (109072, 464, 21, 'Organizasyonun tamamı veya bir kısmı');
INSERT INTO `lang_definitions` VALUES (109073, 466, 21, 'Tüm Hastalar');
INSERT INTO `lang_definitions` VALUES (109074, 468, 21, 'Tüm ürünler');
INSERT INTO `lang_definitions` VALUES (109075, 469, 21, 'Tüm Tedarikçiler');
INSERT INTO `lang_definitions` VALUES (109076, 470, 21, 'Tüm Gözden Geçirilmiş ve Negatif:');
INSERT INTO `lang_definitions` VALUES (109077, 475, 21, 'Tüm Konular');
INSERT INTO `lang_definitions` VALUES (109078, 478, 21, 'Tüm Kullanıcılar');
INSERT INTO `lang_definitions` VALUES (109079, 479, 21, 'Alerjik');
INSERT INTO `lang_definitions` VALUES (109080, 480, 21, 'Şuna karşı allerjisi var:');
INSERT INTO `lang_definitions` VALUES (109081, 481, 21, 'Alerjiler');
INSERT INTO `lang_definitions` VALUES (109082, 484, 21, 'Alerjiler:');
INSERT INTO `lang_definitions` VALUES (109083, 485, 21, 'Alerji');
INSERT INTO `lang_definitions` VALUES (109084, 486, 21, 'Allerji bilgisi başarı ile alındı.');
INSERT INTO `lang_definitions` VALUES (109085, 487, 21, 'Allerji Konuları Listesi');
INSERT INTO `lang_definitions` VALUES (109086, 488, 21, 'Alerji Reaksiyonu');
INSERT INTO `lang_definitions` VALUES (109087, 489, 21, 'ALERJİ UYARISI');
INSERT INTO `lang_definitions` VALUES (109088, 490, 21, 'Alerji Uyarısı');
INSERT INTO `lang_definitions` VALUES (109089, 491, 21, 'Yer Ayır');
INSERT INTO `lang_definitions` VALUES (109090, 492, 21, 'İzin verin');
INSERT INTO `lang_definitions` VALUES (109091, 493, 21, 'Yöneticilerin Hastaları Silmesşne İzin Verin');
INSERT INTO `lang_definitions` VALUES (109092, 494, 21, 'Girişte menüde seçenek olarak mevcut tüm dillere izin verin');
INSERT INTO `lang_definitions` VALUES (109093, 496, 21, 'Tanıları içeren fakat işlemleri veya ücretleri içermeyen faturalandırmaya izin verin. Çoğu klinik bunu istemez.');
INSERT INTO `lang_definitions` VALUES (109094, 497, 21, 'Debugging diline izin verin');
INSERT INTO `lang_definitions` VALUES (109095, 500, 21, 'Epostaya izin verin');
INSERT INTO `lang_definitions` VALUES (109096, 501, 21, 'Eposta mesajlarına izin verilsin mi?');
INSERT INTO `lang_definitions` VALUES (109097, 502, 21, 'Epostaya izin verilsin mi?');
INSERT INTO `lang_definitions` VALUES (109098, 503, 21, 'Vizit Başı Faturalandırmaya izin verilsin');
INSERT INTO `lang_definitions` VALUES (109099, 506, 21, 'Sağlık Bilgisi Değişimine İzin Verilsin');
INSERT INTO `lang_definitions` VALUES (109100, 508, 21, 'Aşı Bilgisi Paylaşımına İzin Verilsin');
INSERT INTO `lang_definitions` VALUES (109101, 509, 21, 'Aşı Kayıtları Kullanımına İzin verilsin');
INSERT INTO `lang_definitions` VALUES (109102, 512, 21, 'posta mesajına izin verilsin');
INSERT INTO `lang_definitions` VALUES (109103, 531, 21, 'Hasta Akış Listesinden İlaç Testi için Seçilmesine İzin Verilsin');
INSERT INTO `lang_definitions` VALUES (109104, 533, 21, 'Hasta Portaline İzin verilsin');
INSERT INTO `lang_definitions` VALUES (109105, 541, 21, 'SMS e izin verilsin');
INSERT INTO `lang_definitions` VALUES (109106, 542, 21, 'SMS (tekst mesajlarına) izin verilsin mi?');
INSERT INTO `lang_definitions` VALUES (109107, 543, 21, 'Yazdırılmayacak Cümlelerin Seçilmesine izin verilsin');
INSERT INTO `lang_definitions` VALUES (109108, 544, 21, 'İletilen olayların derhal aktif olmasına izin verilsin mi?');
INSERT INTO `lang_definitions` VALUES (109109, 545, 21, 'Telefon mesajlarına izin verilsin mi?');
INSERT INTO `lang_definitions` VALUES (109110, 547, 21, 'Kullanıcıların Herkese Olay yayınlamasına izin verilsin');
INSERT INTO `lang_definitions` VALUES (109111, 548, 21, 'Kullanıcıların Kişisel Takvim yayınlamasına izin verilsin');
INSERT INTO `lang_definitions` VALUES (109112, 554, 21, 'Ses Mesajına izin verilsin');
INSERT INTO `lang_definitions` VALUES (109113, 555, 21, 'İzin verildi');
INSERT INTO `lang_definitions` VALUES (109114, 556, 21, 'İzin verilen Diller');
INSERT INTO `lang_definitions` VALUES (109115, 558, 21, 'İzin verilmiş(c)');
INSERT INTO `lang_definitions` VALUES (109116, 559, 21, 'Tüm görüşmenin E-imza ile imzalanmasına müsaade eder');
INSERT INTO `lang_definitions` VALUES (109117, 560, 21, 'Tek tek formların E-imza ile imzalanmasına müsaade eder');
INSERT INTO `lang_definitions` VALUES (109118, 561, 21, 'Postaya izin verir');
INSERT INTO `lang_definitions` VALUES (109119, 562, 21, 'Ses Mesajına izin verir');
INSERT INTO `lang_definitions` VALUES (109120, 566, 21, 'önceden var.');
INSERT INTO `lang_definitions` VALUES (109121, 568, 21, 'önceden var.');
INSERT INTO `lang_definitions` VALUES (109122, 569, 21, 'Önceden kayıtlı');
INSERT INTO `lang_definitions` VALUES (109123, 570, 21, 'Önceden kullanıldı, farklı bir tanımlayıcı seçiniz');
INSERT INTO `lang_definitions` VALUES (109124, 571, 21, 'Önceden kullanıldı, farklı bir başlık seçiniz');
INSERT INTO `lang_definitions` VALUES (109125, 573, 21, 'Adres değ');
INSERT INTO `lang_definitions` VALUES (109126, 577, 21, 'değiştir');
INSERT INTO `lang_definitions` VALUES (109127, 578, 21, 'Değişimli Kapama Testi');
INSERT INTO `lang_definitions` VALUES (109128, 584, 21, 'Alternatif olarak takas veya borçlunuzdan aldığınız elektronik havale (X12 835) dosyasını yüklemek için arama sayfasını kullanabilirsiniz. Bunu yapabilmek için Araştır düğmesini tıklayın ve yükleyeceğiniz dosyayı seçin. Daha sonra Seç düğmesini tıklayın ve ilgili faturaları görüntüleyip yüklemeyi bitirin. Bu durumda yukarıda bahsedilen parametreler uygulanmaz. Yüklemek dosyayı kaydeder ama içeriğini işlemden geçirmez.--bu iş aşağıda ayrıca anlatılmıştır.');
INSERT INTO `lang_definitions` VALUES (109129, 586, 21, 'ÖÖ');
INSERT INTO `lang_definitions` VALUES (109130, 587, 21, 'ÖÖ Programı');
INSERT INTO `lang_definitions` VALUES (109131, 588, 21, 'Ambliyopi');
INSERT INTO `lang_definitions` VALUES (109132, 589, 21, 'Ambulans - Hava veya Su');
INSERT INTO `lang_definitions` VALUES (109133, 590, 21, 'Ambulans - Kara');
INSERT INTO `lang_definitions` VALUES (109134, 591, 21, 'Ayaktan Cerrahi Merkez');
INSERT INTO `lang_definitions` VALUES (109135, 592, 21, 'Otomatik Ölçüm Hesapları');
INSERT INTO `lang_definitions` VALUES (109136, 593, 21, 'Otomatik Ölçüm Hesapları İzleme');
INSERT INTO `lang_definitions` VALUES (109137, 594, 21, 'Otomatik Ölçüm Hesapları 2011');
INSERT INTO `lang_definitions` VALUES (109138, 595, 21, 'Otomatik Ölçüm Hesapları 2014');
INSERT INTO `lang_definitions` VALUES (109139, 596, 21, 'Otomatik Ölçüm Hesapları 2014 Evre I');
INSERT INTO `lang_definitions` VALUES (109140, 597, 21, 'Otomatik Ölçüm Hesapları 2014 Evre II');
INSERT INTO `lang_definitions` VALUES (109141, 598, 21, 'YBMD{{yaşa bağlı makula dejenerasyonu}}');
INSERT INTO `lang_definitions` VALUES (109142, 600, 21, 'Mevcut Notu Düzelt');
INSERT INTO `lang_definitions` VALUES (109143, 602, 21, 'Düzeltma Formu');
INSERT INTO `lang_definitions` VALUES (109144, 604, 21, 'Düzeltme Durumu');
INSERT INTO `lang_definitions` VALUES (109145, 605, 21, 'Değişiklikler');
INSERT INTO `lang_definitions` VALUES (109146, 609, 21, 'Değişiklik yapılan:');
INSERT INTO `lang_definitions` VALUES (109147, 610, 21, 'Kızılderili');
INSERT INTO `lang_definitions` VALUES (109148, 611, 21, 'Kızılderili veya Alaska Yerlisi');
INSERT INTO `lang_definitions` VALUES (109149, 612, 21, 'AMEX');
INSERT INTO `lang_definitions` VALUES (109150, 613, 21, 'Amharik');
INSERT INTO `lang_definitions` VALUES (109151, 614, 21, 'Miktar');
INSERT INTO `lang_definitions` VALUES (109152, 615, 21, 'Uygulanan Miktar');
INSERT INTO `lang_definitions` VALUES (109153, 617, 21, 'Ücretler Miktarı');
INSERT INTO `lang_definitions` VALUES (109154, 619, 21, 'Alacak Miktarı');
INSERT INTO `lang_definitions` VALUES (109155, 620, 21, 'Geçmiş Bakiye Miktarı');
INSERT INTO `lang_definitions` VALUES (109156, 621, 21, 'Bu Vizite Miktarı');
INSERT INTO `lang_definitions` VALUES (109157, 622, 21, 'Ödenen Miktar');
INSERT INTO `lang_definitions` VALUES (109158, 623, 21, 'Miktar:');
INSERT INTO `lang_definitions` VALUES (109159, 624, 21, 'Genlikler');
INSERT INTO `lang_definitions` VALUES (109160, 625, 21, 'Amsler');
INSERT INTO `lang_definitions` VALUES (109161, 626, 21, 'Fatura edilen miktar');
INSERT INTO `lang_definitions` VALUES (109162, 630, 21, 'Tekrarlanan olaylar için bitiş tarihinin başlangıç tarihinden daha sonra olması gerekir');
INSERT INTO `lang_definitions` VALUES (109163, 631, 21, 'Form imzalanırken bir hata oluştu');
INSERT INTO `lang_definitions` VALUES (109164, 632, 21, 'ÖzgürETK web dizin ağacı dökümü yapılır iken bir hata oluştu');
INSERT INTO `lang_definitions` VALUES (109165, 633, 21, 'phpGACL web dizin ağacı dökümü yapılır iken bir hata oluştu');
INSERT INTO `lang_definitions` VALUES (109166, 634, 21, 'SQL-Defter-i-Kebir web dizin ağacı dökümü yapılır iken bir hata oluştu');
INSERT INTO `lang_definitions` VALUES (109167, 638, 21, 'Tam olmayan bir GCAC konusu oluşturuldu ve link edildi. Daha sonra birisinin tamamlaması gerekiyor.');
INSERT INTO `lang_definitions` VALUES (109168, 643, 21, 'Belirlenemeyen bir hata oluştu lütfen sistem yöneticiniz ile görüşün');
INSERT INTO `lang_definitions` VALUES (109169, 644, 21, 'Beklenmeyen bir hata oluştu');
INSERT INTO `lang_definitions` VALUES (109170, 646, 21, 'Bir büyük harf');
INSERT INTO `lang_definitions` VALUES (109171, 647, 21, 'İncelendi');
INSERT INTO `lang_definitions` VALUES (109172, 648, 21, 've');
INSERT INTO `lang_definitions` VALUES (109173, 649, 21, 'Ve');
INSERT INTO `lang_definitions` VALUES (109174, 650, 21, 'VE');
INSERT INTO `lang_definitions` VALUES (109175, 651, 21, 've');
INSERT INTO `lang_definitions` VALUES (109176, 652, 21, 've tüm bağlı verilerde mi? Bu işlem kaydedilecek.');
INSERT INTO `lang_definitions` VALUES (109177, 653, 21, 've değiştirici.');
INSERT INTO `lang_definitions` VALUES (109178, 654, 21, 've işlendi');
INSERT INTO `lang_definitions` VALUES (109179, 656, 21, 've Apache sunucusunu tekrar başlatınız.');
INSERT INTO `lang_definitions` VALUES (109180, 657, 21, 'sebep:');
INSERT INTO `lang_definitions` VALUES (109181, 659, 21, 'Anemi');
INSERT INTO `lang_definitions` VALUES (109182, 660, 21, 'Ayak bileği');
INSERT INTO `lang_definitions` VALUES (109183, 661, 21, 'Ayak bileği + topuk');
INSERT INTO `lang_definitions` VALUES (109184, 662, 21, 'Ayak bileği Değerlendirme Formu');
INSERT INTO `lang_definitions` VALUES (109185, 663, 21, 'Ayak bileği Sorunları');
INSERT INTO `lang_definitions` VALUES (109186, 664, 21, 'Ankilozan Spondilit');
INSERT INTO `lang_definitions` VALUES (109187, 665, 21, 'Ankilozan Spondilit');
INSERT INTO `lang_definitions` VALUES (109188, 666, 21, 'Anoreksi');
INSERT INTO `lang_definitions` VALUES (109189, 667, 21, 'Gönderme penceresinde yapabileceğiniz bir diğer şey ikinci faturalandırma istemektir. Eğer kaydetmeden önce bu kutuyu işaretlerseniz, izleyen faturalandırma programı çalıştırılmasında orijinal fatura tekrar açılır ve tekrar işlenmek üzere Faturalandırma sayfası kuyruğuna eklenir');
INSERT INTO `lang_definitions` VALUES (109190, 671, 21, 'önce');
INSERT INTO `lang_definitions` VALUES (109191, 672, 21, 'Ön Kamera Derinliği');
INSERT INTO `lang_definitions` VALUES (109192, 673, 21, 'Ön Segment');
INSERT INTO `lang_definitions` VALUES (109193, 674, 21, 'Önsegment Öntanımlı Değerleri');
INSERT INTO `lang_definitions` VALUES (109194, 675, 21, 'ön');
INSERT INTO `lang_definitions` VALUES (109195, 676, 21, 'Anüs normal, rektal hassasiyet/kitle yok');
INSERT INTO `lang_definitions` VALUES (109196, 677, 21, 'Anksiyete');
INSERT INTO `lang_definitions` VALUES (109197, 679, 21, 'Herhangi bir');
INSERT INTO `lang_definitions` VALUES (109198, 681, 21, 'Karotislerde herhangi bir üfürüm değerlendiriliyor mu?');
INSERT INTO `lang_definitions` VALUES (109199, 682, 21, 'Herhangi bir Kategori');
INSERT INTO `lang_definitions` VALUES (109200, 688, 21, 'İstenen kodun herhangi bir parçası veya tanımı');
INSERT INTO `lang_definitions` VALUES (109201, 689, 21, 'İstenen uzmanlığın herhangi bir parçası');
INSERT INTO `lang_definitions` VALUES (109202, 690, 21, 'İlaç ismi veya ilaç kimliğinin herhangi bir parçası');
INSERT INTO `lang_definitions` VALUES (109203, 691, 21, 'Aşı kimliği veya aşı isminin herhangi bir parçası');
INSERT INTO `lang_definitions` VALUES (109204, 692, 21, 'Hasta isminin herhangi bir parçası, veya \"ad,soyad\", veya \"X-Y\"');
INSERT INTO `lang_definitions` VALUES (109205, 693, 21, 'İlgili diğer tüm bilgiler');
INSERT INTO `lang_definitions` VALUES (109206, 694, 21, 'Aynı anda başka bir şey oluyor mu?');
INSERT INTO `lang_definitions` VALUES (109207, 697, 21, 'Aferent pupiller defekt');
INSERT INTO `lang_definitions` VALUES (109208, 699, 21, 'SMS için API anahtarı');
INSERT INTO `lang_definitions` VALUES (109209, 703, 21, 'Apne');
INSERT INTO `lang_definitions` VALUES (109210, 710, 21, 'Görünüm');
INSERT INTO `lang_definitions` VALUES (109211, 711, 21, 'Görünüm:');
INSERT INTO `lang_definitions` VALUES (109212, 714, 21, 'Bu notu ekle');
INSERT INTO `lang_definitions` VALUES (109213, 716, 21, 'Mevcut nota ekle');
INSERT INTO `lang_definitions` VALUES (109214, 717, 21, 'Bu nota ekle');
INSERT INTO `lang_definitions` VALUES (109215, 718, 21, 'Bu Nota Ekle');
INSERT INTO `lang_definitions` VALUES (109216, 719, 21, 'Apendektomi');
INSERT INTO `lang_definitions` VALUES (109217, 720, 21, 'apendektomi');
INSERT INTO `lang_definitions` VALUES (109218, 721, 21, 'Uygulanabilir Hastalar');
INSERT INTO `lang_definitions` VALUES (109219, 722, 21, 'Uygulama');
INSERT INTO `lang_definitions` VALUES (109220, 723, 21, 'Giriş sayfası ve ana pencere başlığı için uygulama ismi');
INSERT INTO `lang_definitions` VALUES (109221, 724, 21, 'Uygulama alıcı kodu (GS03- boş ise ISA08 kullanılacaktır.)');
INSERT INTO `lang_definitions` VALUES (109222, 725, 21, 'Uygulama Gönderici Kodu (GS02)');
INSERT INTO `lang_definitions` VALUES (109223, 726, 21, 'Uygulama Başlığı');
INSERT INTO `lang_definitions` VALUES (109224, 727, 21, 'ANT formu ve Büyüme Çizelgesine Uygulanır');
INSERT INTO `lang_definitions` VALUES (109225, 728, 21, 'Vital Bulgulara uygulanır formu');
INSERT INTO `lang_definitions` VALUES (109226, 729, 21, 'Değişiklikler sadece burada mı yoksa bu ve benzeri tüm durumlarda mı uygulansın?');
INSERT INTO `lang_definitions` VALUES (109227, 730, 21, 'etkilenmiş alana uygulayın');
INSERT INTO `lang_definitions` VALUES (109228, 731, 21, 'cilde uygulayın');
INSERT INTO `lang_definitions` VALUES (109229, 732, 21, 'Uygulanıyor');
INSERT INTO `lang_definitions` VALUES (109230, 733, 21, 'Siteye yama uygulanıyor');
INSERT INTO `lang_definitions` VALUES (109231, 734, 21, 'Randevu');
INSERT INTO `lang_definitions` VALUES (109232, 735, 21, 'Randevu Kategorisi');
INSERT INTO `lang_definitions` VALUES (109233, 736, 21, 'Randevu Tarihi');
INSERT INTO `lang_definitions` VALUES (109234, 737, 21, 'Randevu Görünüm Setleri - Renk 1');
INSERT INTO `lang_definitions` VALUES (109235, 738, 21, 'Randevu Görünüm Setleri - Renk 2');
INSERT INTO `lang_definitions` VALUES (109236, 739, 21, 'Randevu Görünüm Setleri - Renk 3');
INSERT INTO `lang_definitions` VALUES (109237, 740, 21, 'Randevu Görünüm Setleri - Renk 4');
INSERT INTO `lang_definitions` VALUES (109238, 741, 21, 'Randevu Görünüm Setleri - Görünüm Sınırı Yok ( Son Belirlenmiş)');
INSERT INTO `lang_definitions` VALUES (109239, 742, 21, 'Randevu Görüntüleme Stili');
INSERT INTO `lang_definitions` VALUES (109240, 744, 21, 'Randevu Hatırlatma Kuralı');
INSERT INTO `lang_definitions` VALUES (109241, 746, 21, 'Randevu durumu');
INSERT INTO `lang_definitions` VALUES (109242, 747, 21, 'Randevu Durumları');
INSERT INTO `lang_definitions` VALUES (109243, 748, 21, 'Randevuya kalan zaman:');
INSERT INTO `lang_definitions` VALUES (109244, 749, 21, 'Randevu/Olay Rengi');
INSERT INTO `lang_definitions` VALUES (109245, 750, 21, 'Randevular');
INSERT INTO `lang_definitions` VALUES (109246, 751, 21, 'Randevular (yazma seçmeli)');
INSERT INTO `lang_definitions` VALUES (109247, 752, 21, 'Randevular (yazma)');
INSERT INTO `lang_definitions` VALUES (109248, 755, 21, 'Randevular - Hasta Başı Görünüm - Gösterilecek Sayı');
INSERT INTO `lang_definitions` VALUES (109249, 756, 21, 'Randevular - Hasta Özeti - Gösterilecek Sayı');
INSERT INTO `lang_definitions` VALUES (109250, 758, 21, 'Randevular ve görüşmelar');
INSERT INTO `lang_definitions` VALUES (109251, 759, 21, 'Randevuları olan');
INSERT INTO `lang_definitions` VALUES (109252, 760, 21, 'Randevu Raporu');
INSERT INTO `lang_definitions` VALUES (109253, 761, 21, 'Randevu-görüşme Raporu');
INSERT INTO `lang_definitions` VALUES (109254, 763, 21, 'Farenjitli Çocuklar için Uygun Testler (Klinik Kalite Ölçüleri)');
INSERT INTO `lang_definitions` VALUES (109255, 764, 21, 'Onama');
INSERT INTO `lang_definitions` VALUES (109256, 766, 21, 'Hastayı Hasta/Müşteri->içe aktar->Bekleyen onaylarda onaylayınız');
INSERT INTO `lang_definitions` VALUES (109257, 767, 21, 'Onaylandı');
INSERT INTO `lang_definitions` VALUES (109258, 768, 21, 'Onaylanmış Olaylar Yönetimi');
INSERT INTO `lang_definitions` VALUES (109259, 769, 21, 'Başarı ile onaylandı');
INSERT INTO `lang_definitions` VALUES (109260, 773, 21, 'Randevu Saati');
INSERT INTO `lang_definitions` VALUES (109261, 774, 21, 'Gör-Rand');
INSERT INTO `lang_definitions` VALUES (109262, 776, 21, 'Randevular');
INSERT INTO `lang_definitions` VALUES (109263, 778, 21, 'Apl{{Aplanasyon kısaltması}}');
INSERT INTO `lang_definitions` VALUES (109264, 779, 21, 'Nis');
INSERT INTO `lang_definitions` VALUES (109265, 780, 21, 'Nisan');
INSERT INTO `lang_definitions` VALUES (109266, 781, 21, 'APL{{Aplanasyon}}');
INSERT INTO `lang_definitions` VALUES (109267, 782, 21, 'Arapça');
INSERT INTO `lang_definitions` VALUES (109268, 783, 21, 'Aragonca');
INSERT INTO `lang_definitions` VALUES (109269, 784, 21, 'Arşiv');
INSERT INTO `lang_definitions` VALUES (109270, 785, 21, 'Arşiv Kütük Dosyaları');
INSERT INTO `lang_definitions` VALUES (109271, 786, 21, 'Arşiv eski dosyalar');
INSERT INTO `lang_definitions` VALUES (109272, 787, 21, 'Erişim kontrol grup isimleri tercüme edilecek mi?');
INSERT INTO `lang_definitions` VALUES (109273, 788, 21, 'Randevu kategori isimleri tercüme edilecek mi?');
INSERT INTO `lang_definitions` VALUES (109274, 789, 21, 'Belge kategori isimleri tercüme edilecek mi?');
INSERT INTO `lang_definitions` VALUES (109275, 790, 21, 'Bu tip ücretlendirilecek mi?');
INSERT INTO `lang_definitions` VALUES (109276, 791, 21, 'kapalı');
INSERT INTO `lang_definitions` VALUES (109277, 792, 21, 'açık');
INSERT INTO `lang_definitions` VALUES (109278, 793, 21, 'Hasta not başlıkları tercüme edilecek mi?');
INSERT INTO `lang_definitions` VALUES (109279, 794, 21, 'Kodlar dış sql tablolarında kayıtlı mı? (0-Hayır 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2))');
INSERT INTO `lang_definitions` VALUES (109280, 795, 21, 'Bu vizit için yeni bir GCAC konusu doldurmaya hazırlıklı mısın?');
INSERT INTO `lang_definitions` VALUES (109281, 797, 21, 'Bugün göndermek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (109282, 798, 21, 'Bu olayları onaylamak istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (109283, 799, 21, 'Değişikliklerinizi iptal etmek istediğinize emin misiniz?');
INSERT INTO `lang_definitions` VALUES (109284, 801, 21, 'Bu formu tamamen silmek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (109285, 803, 21, 'Silmek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (109286, 804, 21, 'Bu açıklamayı silmek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (109287, 805, 21, 'Bu olayı silmek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (109288, 806, 21, 'Bu maddeyi veritabanından silmek istediğinize emin misiniz?');
INSERT INTO `lang_definitions` VALUES (109289, 808, 21, 'Bu notu silmek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (109290, 809, 21, 'Bu planı silmek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (109291, 810, 21, 'Bu olayları düzenlemek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (109292, 811, 21, 'Bu olayları gizlemek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (109293, 813, 21, 'Tekrar göndermek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (109294, 814, 21, 'Bu olayları görmek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (109295, 815, 21, 'Grubun tamamını silmek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (109296, 816, 21, 'Bütün listeyi silmek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (109297, 817, 21, 'Alanı silmek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (109298, 818, 21, 'Seçilmiş alanları silmek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (109299, 819, 21, 'Bu işlemlere devam etmek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (109300, 820, 21, 'Alan tanımlanmamış');
INSERT INTO `lang_definitions` VALUES (109301, 821, 21, 'Kol');
INSERT INTO `lang_definitions` VALUES (109302, 822, 21, 'Ermenice');
INSERT INTO `lang_definitions` VALUES (109303, 823, 21, 'Otorefraktometre yakın görme');
INSERT INTO `lang_definitions` VALUES (109304, 824, 21, 'Otorefraktometre yakın görme');
INSERT INTO `lang_definitions` VALUES (109305, 826, 21, 'Geliş zamanı');
INSERT INTO `lang_definitions` VALUES (109306, 827, 21, 'Geldi');
INSERT INTO `lang_definitions` VALUES (109307, 828, 21, 'Geç geldi');
INSERT INTO `lang_definitions` VALUES (109308, 829, 21, 'Aritmi');
INSERT INTO `lang_definitions` VALUES (109309, 830, 21, 'Artrit');
INSERT INTO `lang_definitions` VALUES (109310, 831, 21, 'Artrit /eklem hastalığı');
INSERT INTO `lang_definitions` VALUES (109311, 832, 21, 'Artrit /eklem hastalığı');
INSERT INTO `lang_definitions` VALUES (109312, 834, 21, 'Otorefraktometre Görme');
INSERT INTO `lang_definitions` VALUES (109313, 835, 21, 'Otorefraktometre');
INSERT INTO `lang_definitions` VALUES (109314, 836, 21, 'gibi');
INSERT INTO `lang_definitions` VALUES (109315, 838, 21, 'olarak');
INSERT INTO `lang_definitions` VALUES (109316, 844, 21, 'ASC');
INSERT INTO `lang_definitions` VALUES (109317, 845, 21, 'Asyalı');
INSERT INTO `lang_definitions` VALUES (109318, 846, 21, 'Assamca');
INSERT INTO `lang_definitions` VALUES (109319, 847, 21, 'Penisilin Alerjisini Değerlendirin');
INSERT INTO `lang_definitions` VALUES (109320, 848, 21, 'Değerlendirme');
INSERT INTO `lang_definitions` VALUES (109321, 849, 21, 'Bu nota atansın mı?');
INSERT INTO `lang_definitions` VALUES (109322, 853, 21, 'Atanmış:');
INSERT INTO `lang_definitions` VALUES (109323, 854, 21, 'Asistan');
INSERT INTO `lang_definitions` VALUES (109324, 855, 21, 'Yardımla yaşama tesisi');
INSERT INTO `lang_definitions` VALUES (109325, 856, 21, 'Ortak');
INSERT INTO `lang_definitions` VALUES (109326, 857, 21, 'ilişkili');
INSERT INTO `lang_definitions` VALUES (109327, 861, 21, 'Astım');
INSERT INTO `lang_definitions` VALUES (109328, 862, 21, 'de');
INSERT INTO `lang_definitions` VALUES (109329, 863, 21, 'Hepsini seçer iseniz en azından bir araştırma parametresi gereklidir.');
INSERT INTO `lang_definitions` VALUES (109330, 866, 21, 'Navikülerde');
INSERT INTO `lang_definitions` VALUES (109331, 867, 21, 'Navikülerde:');
INSERT INTO `lang_definitions` VALUES (109332, 868, 21, 'Atletizm takımı');
INSERT INTO `lang_definitions` VALUES (109333, 869, 21, 'Atletizm takımı');
INSERT INTO `lang_definitions` VALUES (109334, 870, 21, 'Atletizm/Zedelenme');
INSERT INTO `lang_definitions` VALUES (109335, 871, 21, 'Güvenli iletişim CA sertifika denetimi');
INSERT INTO `lang_definitions` VALUES (109336, 872, 21, 'Güvenli iletişim denetimi sunucusu');
INSERT INTO `lang_definitions` VALUES (109337, 873, 21, 'Güvenli iletişim denetimi yerel sertifika');
INSERT INTO `lang_definitions` VALUES (109338, 874, 21, 'Güvenli iletişim denetimi portu');
INSERT INTO `lang_definitions` VALUES (109339, 875, 21, '% 1 Atropin');
INSERT INTO `lang_definitions` VALUES (109340, 876, 21, 'Sorumlu Hekim');
INSERT INTO `lang_definitions` VALUES (109341, 877, 21, 'Dikkat');
INSERT INTO `lang_definitions` VALUES (109342, 879, 21, 'Dikkat');
INSERT INTO `lang_definitions` VALUES (109343, 881, 21, 'Odyoloji Hekimi');
INSERT INTO `lang_definitions` VALUES (109344, 883, 21, 'Klinik Karar Kuralları Algoritmaları Denetimi');
INSERT INTO `lang_definitions` VALUES (109345, 885, 21, 'Kurcalanma Kütüğü Denetimi');
INSERT INTO `lang_definitions` VALUES (109346, 886, 21, 'Kurcalanma Kütüğü Raporu Denetimi');
INSERT INTO `lang_definitions` VALUES (109347, 887, 21, 'Kurcalanmanın aşikar olduğu girdi nnumarası');
INSERT INTO `lang_definitions` VALUES (109348, 888, 21, 'Denetim kütüğü başarı ile doğrulandı');
INSERT INTO `lang_definitions` VALUES (109349, 889, 21, 'Denetim kütüğü doğrulaması başarısız oldu');
INSERT INTO `lang_definitions` VALUES (109350, 890, 21, 'Denetim Kaydı Yedekleri');
INSERT INTO `lang_definitions` VALUES (109351, 891, 21, 'Denetim Kaydı Çeşitli');
INSERT INTO `lang_definitions` VALUES (109352, 892, 21, 'Denetim Kaydı Sırası');
INSERT INTO `lang_definitions` VALUES (109353, 893, 21, 'Denetim Kaydı Hasta Raporu');
INSERT INTO `lang_definitions` VALUES (109354, 894, 21, 'Denetim Kaydı Zamanlaması');
INSERT INTO `lang_definitions` VALUES (109355, 895, 21, 'Denetim Kaydı Güvenlik Yönetimi');
INSERT INTO `lang_definitions` VALUES (109356, 896, 21, 'Denetim Kaydı SEÇ Sorgusu');
INSERT INTO `lang_definitions` VALUES (109357, 898, 21, 'Ağu');
INSERT INTO `lang_definitions` VALUES (109358, 899, 21, 'Ağustos');
INSERT INTO `lang_definitions` VALUES (109359, 900, 21, 'Teyze');
INSERT INTO `lang_definitions` VALUES (109360, 901, 21, 'Yazan');
INSERT INTO `lang_definitions` VALUES (109361, 902, 21, 'Yaz/notlar');
INSERT INTO `lang_definitions` VALUES (109362, 918, 21, 'Doğrulayıcı');
INSERT INTO `lang_definitions` VALUES (109363, 920, 21, 'Yazar');
INSERT INTO `lang_definitions` VALUES (109364, 922, 21, 'Yetkilendirme grubu');
INSERT INTO `lang_definitions` VALUES (109365, 923, 21, 'Yetkilendirme durumu');
INSERT INTO `lang_definitions` VALUES (109366, 924, 21, 'Yetkilendirmeler');
INSERT INTO `lang_definitions` VALUES (109367, 925, 21, 'Yetkilendirmek');
INSERT INTO `lang_definitions` VALUES (109368, 926, 21, 'Yetkilendir - herhangi bir görüşme');
INSERT INTO `lang_definitions` VALUES (109369, 928, 21, 'Yetkilendir - görüşmelerim');
INSERT INTO `lang_definitions` VALUES (109370, 933, 21, 'Ağı yetkilendir');
INSERT INTO `lang_definitions` VALUES (109371, 934, 21, 'Yetkili');
INSERT INTO `lang_definitions` VALUES (109372, 936, 21, 'Sadece Yetkililer');
INSERT INTO `lang_definitions` VALUES (109373, 940, 21, 'Otorefraktometre');
INSERT INTO `lang_definitions` VALUES (109374, 941, 21, 'Otomatik Gönder');
INSERT INTO `lang_definitions` VALUES (109375, 942, 21, 'Otomatik Çıkış (Günler)');
INSERT INTO `lang_definitions` VALUES (109376, 943, 21, 'Otomatik Transfer');
INSERT INTO `lang_definitions` VALUES (109377, 944, 21, 'Yeni Görüşmeleri Otomatik Oluştur');
INSERT INTO `lang_definitions` VALUES (109378, 945, 21, 'Otomatik oluşturulmuş');
INSERT INTO `lang_definitions` VALUES (109379, 947, 21, 'Otomatik Ölçüm Hasaplamaları');
INSERT INTO `lang_definitions` VALUES (109380, 948, 21, 'Otomatik Ölçüm Hesaplamaları -  2011');
INSERT INTO `lang_definitions` VALUES (109381, 949, 21, 'Otomatik Ölçüm Hesaplamaları -  2014');
INSERT INTO `lang_definitions` VALUES (109382, 950, 21, 'Otomatik Ölçüm Hesaplamaları -  2014 Evre I');
INSERT INTO `lang_definitions` VALUES (109383, 951, 21, 'Otomatik Ölçüm Hesaplamaları -  2014 Evre II');
INSERT INTO `lang_definitions` VALUES (109384, 952, 21, 'Otomatik Ölçüm Hesapları İzleme');
INSERT INTO `lang_definitions` VALUES (109385, 953, 21, 'Otomatik Ölçümler');
INSERT INTO `lang_definitions` VALUES (109386, 955, 21, 'Otomatik');
INSERT INTO `lang_definitions` VALUES (109387, 956, 21, 'Satıştan otomatik');
INSERT INTO `lang_definitions` VALUES (109388, 958, 21, 'Bir randevu kontrol durumu seçildiğinde otomatik olarak vizit kaydı oluştur');
INSERT INTO `lang_definitions` VALUES (109389, 959, 21, 'Randevu durumu \"@\" (geldi) ye ayarlandığında yeni bir vizit kaydını otomatik oluştur');
INSERT INTO `lang_definitions` VALUES (109390, 960, 21, 'Ücret Belgesinde doğrulama kodlarını otomatik olarak çoğalt');
INSERT INTO `lang_definitions` VALUES (109391, 961, 21, 'Ücret Belgesinde doğrulama kodlarını otomatik olarak çoğalt (Temel olarak boş yerleri üstündeki doğrulama kodu ile doldurur)');
INSERT INTO `lang_definitions` VALUES (109392, 962, 21, 'Medikal Otomobil');
INSERT INTO `lang_definitions` VALUES (109393, 964, 21, 'otomatik kaydedildi');
INSERT INTO `lang_definitions` VALUES (109394, 965, 21, 'Oto{{otorefraksiyon}}');
INSERT INTO `lang_definitions` VALUES (109395, 967, 21, 'Mevcut kategoriler');
INSERT INTO `lang_definitions` VALUES (109396, 971, 21, 'Mevcut Olduğu Zamanlar');
INSERT INTO `lang_definitions` VALUES (109397, 972, 21, 'Erişilebilir kayıtlar');
INSERT INTO `lang_definitions` VALUES (109398, 973, 21, 'Avarca');
INSERT INTO `lang_definitions` VALUES (109399, 974, 21, 'Sol izleme penceresinden çıkan açılır pencerelerden basım için hasta etiketleri');
INSERT INTO `lang_definitions` VALUES (109400, 975, 21, 'Zendçe');
INSERT INTO `lang_definitions` VALUES (109401, 976, 21, 'Aylık Ortalama');
INSERT INTO `lang_definitions` VALUES (109402, 980, 21, 'Avulsiyon /avulsiyon kırığı');
INSERT INTO `lang_definitions` VALUES (109403, 981, 21, 'Lateral malleolde avulsiyon');
INSERT INTO `lang_definitions` VALUES (109404, 982, 21, 'Medial malleolde avulsiyon');
INSERT INTO `lang_definitions` VALUES (109405, 983, 21, 'Uyanıklık-Temelli');
INSERT INTO `lang_definitions` VALUES (109406, 984, 21, 'Aksiyal mesafe');
INSERT INTO `lang_definitions` VALUES (109407, 985, 21, 'Aksiller');
INSERT INTO `lang_definitions` VALUES (109408, 987, 21, 'Aks');
INSERT INTO `lang_definitions` VALUES (109409, 988, 21, 'AKS');
INSERT INTO `lang_definitions` VALUES (109410, 989, 21, 'Aksiyal mesafe');
INSERT INTO `lang_definitions` VALUES (109411, 990, 21, 'Aymaraca');
INSERT INTO `lang_definitions` VALUES (109412, 991, 21, 'Azerbeycanca');
INSERT INTO `lang_definitions` VALUES (109413, 992, 21, '2x1');
INSERT INTO `lang_definitions` VALUES (109414, 993, 21, 'Geri');
INSERT INTO `lang_definitions` VALUES (109415, 994, 21, 'geri');
INSERT INTO `lang_definitions` VALUES (109416, 995, 21, 'Sekiz vizit öncesi');
INSERT INTO `lang_definitions` VALUES (109417, 996, 21, 'Onbir vizit öncesi');
INSERT INTO `lang_definitions` VALUES (109418, 997, 21, 'Beş vizit öncesi');
INSERT INTO `lang_definitions` VALUES (109419, 998, 21, 'Dört vizit öncesi');
INSERT INTO `lang_definitions` VALUES (109420, 999, 21, 'Dokuz vizit öncesi');
INSERT INTO `lang_definitions` VALUES (109421, 1000, 21, 'Bir vizit öncesi');
INSERT INTO `lang_definitions` VALUES (109422, 1001, 21, 'Sırt Ağrısı');
INSERT INTO `lang_definitions` VALUES (109423, 1002, 21, 'Sırt Sorunları');
INSERT INTO `lang_definitions` VALUES (109424, 1003, 21, 'Yedi vizit öncesi');
INSERT INTO `lang_definitions` VALUES (109425, 1004, 21, 'Altı vizit öncesi');
INSERT INTO `lang_definitions` VALUES (109426, 1005, 21, 'Sırt Cerrahisi');
INSERT INTO `lang_definitions` VALUES (109427, 1006, 21, 'On vizit öncesi');
INSERT INTO `lang_definitions` VALUES (109428, 1007, 21, 'Üç vizit öncesi');
INSERT INTO `lang_definitions` VALUES (109429, 1008, 21, 'Yönetici sayfasına geri');
INSERT INTO `lang_definitions` VALUES (109430, 1011, 21, 'Görüşmeye geri');
INSERT INTO `lang_definitions` VALUES (109431, 1012, 21, 'Hasta Kaydına Geri');
INSERT INTO `lang_definitions` VALUES (109432, 1013, 21, 'Hastaya Geri');
INSERT INTO `lang_definitions` VALUES (109433, 1015, 21, 'Kullanıcılara geri');
INSERT INTO `lang_definitions` VALUES (109434, 1016, 21, 'Görünüme Geri');
INSERT INTO `lang_definitions` VALUES (109435, 1017, 21, 'Oniki vizit öncesi');
INSERT INTO `lang_definitions` VALUES (109436, 1018, 21, 'İki vizit öncesi');
INSERT INTO `lang_definitions` VALUES (109437, 1019, 21, 'Arka Plan Hizmetleri');
INSERT INTO `lang_definitions` VALUES (109438, 1020, 21, 'Yedek');
INSERT INTO `lang_definitions` VALUES (109439, 1022, 21, 'Yedek dosyası oluşturuldu. Şimdi indir e gönderilecek');
INSERT INTO `lang_definitions` VALUES (109440, 1023, 21, 'Yedek Listesi');
INSERT INTO `lang_definitions` VALUES (109441, 1024, 21, 'Yedek Başarıyla Alındı:');
INSERT INTO `lang_definitions` VALUES (109442, 1025, 21, 'Batık çek');
INSERT INTO `lang_definitions` VALUES (109443, 1026, 21, 'Batık alacak');
INSERT INTO `lang_definitions` VALUES (109444, 1027, 21, 'Endonezya Bahasa');
INSERT INTO `lang_definitions` VALUES (109445, 1028, 21, 'Bky');
INSERT INTO `lang_definitions` VALUES (109446, 1031, 21, 'Bakiye');
INSERT INTO `lang_definitions` VALUES (109447, 1032, 21, 'bakiye');
INSERT INTO `lang_definitions` VALUES (109448, 1033, 21, 'Bakiye miktarı');
INSERT INTO `lang_definitions` VALUES (109449, 1034, 21, 'Vadesi Gelmiş Borç');
INSERT INTO `lang_definitions` VALUES (109450, 1035, 21, 'Bakiye Ödemesi');
INSERT INTO `lang_definitions` VALUES (109451, 1036, 21, 'Dengeli');
INSERT INTO `lang_definitions` VALUES (109452, 1037, 21, 'Bambaraca');
INSERT INTO `lang_definitions` VALUES (109453, 1038, 21, 'Banka Poliçesi');
INSERT INTO `lang_definitions` VALUES (109454, 1039, 21, 'Barkot etiketi');
INSERT INTO `lang_definitions` VALUES (109455, 1040, 21, 'Berkot etiket tipi');
INSERT INTO `lang_definitions` VALUES (109456, 1041, 21, 'Sol navigasyon penceresinden açılan pencerelerden barkot etiketi bastırmak için barkot tipi');
INSERT INTO `lang_definitions` VALUES (109457, 1042, 21, 'Beşinci (5.) Metatars Kaidesi');
INSERT INTO `lang_definitions` VALUES (109458, 1043, 21, 'Beşinci (5.) Metatars Kaidesi:');
INSERT INTO `lang_definitions` VALUES (109459, 1047, 21, 'Başkurtça');
INSERT INTO `lang_definitions` VALUES (109460, 1049, 21, 'Baskça');
INSERT INTO `lang_definitions` VALUES (109461, 1050, 21, 'Toplu alacak');
INSERT INTO `lang_definitions` VALUES (109462, 1051, 21, 'Toplu İletişim Aracı');
INSERT INTO `lang_definitions` VALUES (109463, 1053, 21, 'Parti Ödeme Girişi');
INSERT INTO `lang_definitions` VALUES (109464, 1054, 21, 'Parti ödemeler');
INSERT INTO `lang_definitions` VALUES (109465, 1055, 21, 'Toplu işlem başlatıldı; bu bir süre alabilir.');
INSERT INTO `lang_definitions` VALUES (109466, 1056, 21, 'Toplu Sonuçlar');
INSERT INTO `lang_definitions` VALUES (109467, 1057, 21, 'Toplu İletişim');
INSERT INTO `lang_definitions` VALUES (109468, 1058, 21, 'Parlaklık Keskinliği Testi');
INSERT INTO `lang_definitions` VALUES (109469, 1059, 21, 'Bazı dosyaların işlenmesi birkaç dakika sürebilir. Lütfen bekleyiniz.');
INSERT INTO `lang_definitions` VALUES (109470, 1060, 21, 'Bazı dosyaların işlenmesi zaman almaktadır. Lütfen bekleyiniz.');
INSERT INTO `lang_definitions` VALUES (109471, 1063, 21, 'çünkü o kimlik yok.');
INSERT INTO `lang_definitions` VALUES (109472, 1072, 21, 'Başla');
INSERT INTO `lang_definitions` VALUES (109473, 1074, 21, 'Başlama Tarihi');
INSERT INTO `lang_definitions` VALUES (109474, 1076, 21, 'Defteri Kebir Raporu Başlangıç Tarihi');
INSERT INTO `lang_definitions` VALUES (109475, 1077, 21, 'Hizmet tarihinden itibaren yyyy-aa-gg');
INSERT INTO `lang_definitions` VALUES (109476, 1078, 21, 'Takvim etkinlikleri için günün başladığı saat');
INSERT INTO `lang_definitions` VALUES (109477, 1081, 21, 'Belarusça');
INSERT INTO `lang_definitions` VALUES (109478, 1082, 21, 'Geğirme');
INSERT INTO `lang_definitions` VALUES (109479, 1083, 21, 'Alt panik sınırlarının altında');
INSERT INTO `lang_definitions` VALUES (109480, 1086, 21, 'Bengalli');
INSERT INTO `lang_definitions` VALUES (109481, 1087, 21, 'Bengalce');
INSERT INTO `lang_definitions` VALUES (109482, 1089, 21, 'arasında');
INSERT INTO `lang_definitions` VALUES (109483, 1090, 21, 'ap{{arka fon}}');
INSERT INTO `lang_definitions` VALUES (109484, 1091, 21, 'İki yönlü');
INSERT INTO `lang_definitions` VALUES (109485, 1092, 21, 'Bifokal');
INSERT INTO `lang_definitions` VALUES (109486, 1093, 21, 'Bifokaller');
INSERT INTO `lang_definitions` VALUES (109487, 1094, 21, 'Biharca');
INSERT INTO `lang_definitions` VALUES (109488, 1095, 21, 'Bilateral');
INSERT INTO `lang_definitions` VALUES (109489, 1096, 21, 'Bilateral:');
INSERT INTO `lang_definitions` VALUES (109490, 1098, 21, 'Fatura Tarihi');
INSERT INTO `lang_definitions` VALUES (109491, 1099, 21, 'Fatura Tarihi');
INSERT INTO `lang_definitions` VALUES (109492, 1101, 21, 'Fatura/Tahsil');
INSERT INTO `lang_definitions` VALUES (109493, 1102, 21, 'Faturalandırılmış');
INSERT INTO `lang_definitions` VALUES (109494, 1103, 21, 'Fatura Kesim Tarihi');
INSERT INTO `lang_definitions` VALUES (109495, 1104, 21, 'Faturalandırma');
INSERT INTO `lang_definitions` VALUES (109496, 1105, 21, 'Faturalandırma (opsiyonlu yazım)');
INSERT INTO `lang_definitions` VALUES (109497, 1109, 21, 'Faturalandırma Dikkatine');
INSERT INTO `lang_definitions` VALUES (109498, 1110, 21, 'Faturalama Kod Tanımları');
INSERT INTO `lang_definitions` VALUES (109499, 1111, 21, 'İstenilen Hizmet için Faturalandırma Kodu');
INSERT INTO `lang_definitions` VALUES (109500, 1112, 21, 'Faturalandırma kodları');
INSERT INTO `lang_definitions` VALUES (109501, 1113, 21, 'Faturalandırma Verisi');
INSERT INTO `lang_definitions` VALUES (109502, 1114, 21, 'Fatura Bölümü');
INSERT INTO `lang_definitions` VALUES (109503, 1115, 21, 'Fatura Tesisi');
INSERT INTO `lang_definitions` VALUES (109504, 1117, 21, 'Fatura Bilgisi');
INSERT INTO `lang_definitions` VALUES (109505, 1118, 21, 'Fatura Yeri');
INSERT INTO `lang_definitions` VALUES (109506, 1120, 21, 'Faturalama Kütüğü Ekle');
INSERT INTO `lang_definitions` VALUES (109507, 1122, 21, 'Faturalama Kütüğü Seçenek');
INSERT INTO `lang_definitions` VALUES (109508, 1123, 21, 'Faturalama Kütüğü Üzerine yaz');
INSERT INTO `lang_definitions` VALUES (109509, 1124, 21, 'Kütük dosyasına eklemek veya yenisini yazmak için faturalama kütüğü ayarı');
INSERT INTO `lang_definitions` VALUES (109510, 1125, 21, 'Fatura Yöneticisi');
INSERT INTO `lang_definitions` VALUES (109511, 1126, 21, 'Fatura Notu');
INSERT INTO `lang_definitions` VALUES (109512, 1127, 21, 'Fatura Notu:');
INSERT INTO `lang_definitions` VALUES (109513, 1128, 21, 'Fatura Notu:');
INSERT INTO `lang_definitions` VALUES (109514, 1129, 21, 'Faturalama kuyruğu sonuçları');
INSERT INTO `lang_definitions` VALUES (109515, 1130, 21, 'Fatura kuyruğu sonuçları:');
INSERT INTO `lang_definitions` VALUES (109516, 1131, 21, 'Fatura Raporu');
INSERT INTO `lang_definitions` VALUES (109517, 1132, 21, 'Faturalama durumu');
INSERT INTO `lang_definitions` VALUES (109518, 1133, 21, 'Fatura Durumu=Fatura edilmemiş');
INSERT INTO `lang_definitions` VALUES (109519, 1134, 21, 'fatura kesilen');
INSERT INTO `lang_definitions` VALUES (109520, 1135, 21, 'Fatura Görünümü');
INSERT INTO `lang_definitions` VALUES (109521, 1136, 21, 'Binoküler Pupşller Çap - Uzak');
INSERT INTO `lang_definitions` VALUES (109522, 1137, 21, 'Binoküler Pupiller Çap - Yakın');
INSERT INTO `lang_definitions` VALUES (109523, 1138, 21, 'Biyopsi');
INSERT INTO `lang_definitions` VALUES (109524, 1139, 21, 'Doğum Belgesi');
INSERT INTO `lang_definitions` VALUES (109525, 1140, 21, 'Doğum Tarihi');
INSERT INTO `lang_definitions` VALUES (109526, 1141, 21, 'Doğum-24 ay');
INSERT INTO `lang_definitions` VALUES (109527, 1142, 21, 'Doğal Doğum Merkezi');
INSERT INTO `lang_definitions` VALUES (109528, 1143, 21, 'Vanuatu Bislama dili');
INSERT INTO `lang_definitions` VALUES (109529, 1144, 21, 'Siyah');
INSERT INTO `lang_definitions` VALUES (109530, 1147, 21, 'Siyah akciğer');
INSERT INTO `lang_definitions` VALUES (109531, 1148, 21, 'Siyah veya Afrika kökenli Amerikalı');
INSERT INTO `lang_definitions` VALUES (109532, 1149, 21, 'Mesane Kanseri');
INSERT INTO `lang_definitions` VALUES (109533, 1150, 21, 'Mesane Enfeksiyonları');
INSERT INTO `lang_definitions` VALUES (109534, 1151, 21, 'Boş');
INSERT INTO `lang_definitions` VALUES (109535, 1152, 21, 'Boş Formlar');
INSERT INTO `lang_definitions` VALUES (109536, 1153, 21, 'Kanama Sorunları');
INSERT INTO `lang_definitions` VALUES (109537, 1154, 21, 'Kör Noktalar');
INSERT INTO `lang_definitions` VALUES (109538, 1155, 21, 'Körlük');
INSERT INTO `lang_definitions` VALUES (109539, 1156, 21, 'Şişkinlik');
INSERT INTO `lang_definitions` VALUES (109540, 1158, 21, 'Tıkanmış');
INSERT INTO `lang_definitions` VALUES (109541, 1159, 21, 'Kan');
INSERT INTO `lang_definitions` VALUES (109542, 1160, 21, 'Kan Basıncı');
INSERT INTO `lang_definitions` VALUES (109543, 1161, 21, 'Kan basıncı');
INSERT INTO `lang_definitions` VALUES (109544, 1162, 21, 'Burun Kanaması');
INSERT INTO `lang_definitions` VALUES (109545, 1163, 21, 'SGK Yeşilkart Özel Sigorta');
INSERT INTO `lang_definitions` VALUES (109546, 1165, 21, 'Bu rapordaki mavi satırlar bilgi içindir. Siyah satırlar önceden mevcut bilgiyi gösterir. Yeşil satırlar başarı ile uygulanmış değişiklikleri gösterir. Kırmızı satırlar hataları veya uygulanmamış değişiklikleri gösterir; bunların el ile düzeltilmesi gerekmektedir. Halen sigorta kurumunun kabul etmediği talepler ve geri dönen ödemeler otomatik olarak işlenmez ve bu nedenle kırmızı görünür.');
INSERT INTO `lang_definitions` VALUES (109547, 1166, 21, 'Bulanık Görme');
INSERT INTO `lang_definitions` VALUES (109548, 1167, 21, 'VKI');
INSERT INTO `lang_definitions` VALUES (109549, 1168, 21, 'VKI Durumu');
INSERT INTO `lang_definitions` VALUES (109550, 1169, 21, 'Vücut');
INSERT INTO `lang_definitions` VALUES (109551, 1170, 21, 'Vücut Bölgesi');
INSERT INTO `lang_definitions` VALUES (109552, 1171, 21, 'Vücuttaki Yeri');
INSERT INTO `lang_definitions` VALUES (109553, 1172, 21, 'Vücuttaki yeri, uygulanabiliyor ise,');
INSERT INTO `lang_definitions` VALUES (109554, 1173, 21, 'Kemik Hassasiyeti');
INSERT INTO `lang_definitions` VALUES (109555, 1174, 21, 'Kemik Hassasiyeti: Medial Malleol');
INSERT INTO `lang_definitions` VALUES (109556, 1175, 21, 'Mantıksal');
INSERT INTO `lang_definitions` VALUES (109557, 1176, 21, 'Boşnakça');
INSERT INTO `lang_definitions` VALUES (109558, 1177, 21, 'Alt');
INSERT INTO `lang_definitions` VALUES (109559, 1179, 21, 'Her iki Kulak');
INSERT INTO `lang_definitions` VALUES (109560, 1180, 21, 'her iki kulak');
INSERT INTO `lang_definitions` VALUES (109561, 1183, 21, 'En alt');
INSERT INTO `lang_definitions` VALUES (109562, 1184, 21, 'Alt kenar(piksel)');
INSERT INTO `lang_definitions` VALUES (109563, 1187, 21, 'KUTU 10 A. İş ile ilgili');
INSERT INTO `lang_definitions` VALUES (109564, 1189, 21, 'KUTU 10 B. Araba Kazası');
INSERT INTO `lang_definitions` VALUES (109565, 1191, 21, 'KUTU 10 C. Diğer Kazalar');
INSERT INTO `lang_definitions` VALUES (109566, 1194, 21, 'KUTU 10 D. 18 Yaş öncesi sevk kodu');
INSERT INTO `lang_definitions` VALUES (109567, 1200, 21, 'KUTU 14 Tarih Tanımlayıcı');
INSERT INTO `lang_definitions` VALUES (109568, 1201, 21, 'KUTU 14 Kayıt ekranı Başlangıç Tarihi olarak dolduruldu');
INSERT INTO `lang_definitions` VALUES (109569, 1204, 21, 'KUTU 15 Diğer Tarih Tanımlayıcı');
INSERT INTO `lang_definitions` VALUES (109570, 1205, 21, 'KUTU 15 aynı veya benzer hastalıkların tarihi (yyyy-aa-gg)');
INSERT INTO `lang_definitions` VALUES (109571, 1206, 21, 'KUTU 15 aynı veya benzer hastalıkların/Diğer tarihi (yyyy-aa-gg)');
INSERT INTO `lang_definitions` VALUES (109572, 1210, 21, 'KUTU 16 Tarihinden itibaren çalışamaz');
INSERT INTO `lang_definitions` VALUES (109573, 1211, 21, 'KUTU 16 Tarihinden itibaren çalışamaz ( yyyy-aa-gg)');
INSERT INTO `lang_definitions` VALUES (109574, 1214, 21, 'KUTU 16. Çalışamadığı tarih');
INSERT INTO `lang_definitions` VALUES (109575, 1215, 21, 'KUTU 16 Tarihinden itibaren çalışamaz ( yyyy-aa-gg)');
INSERT INTO `lang_definitions` VALUES (109576, 1219, 21, 'KUTU 17. Sunucu');
INSERT INTO `lang_definitions` VALUES (109577, 1221, 21, 'KUTU 17. Sunucu Niteleyicisi');
INSERT INTO `lang_definitions` VALUES (109578, 1226, 21, 'KUTU 18. Hastaneye yatış tarihi');
INSERT INTO `lang_definitions` VALUES (109579, 1227, 21, 'KUTU 18. Hastaneye yatış tarihi (yyyy-aa-gg)');
INSERT INTO `lang_definitions` VALUES (109580, 1230, 21, 'KUTU 18. Hastaneden çıkış tarihi');
INSERT INTO `lang_definitions` VALUES (109581, 1231, 21, 'KUTU 18. Hastaneden çıkış tarihi (yyyy-aa-gg)');
INSERT INTO `lang_definitions` VALUES (109582, 1235, 21, 'KUTU 20. Harici Laboratuvar kullanıldı mı?');
INSERT INTO `lang_definitions` VALUES (109583, 1239, 21, 'KUTU 22. Tıbbi Tekrar Gönderme kodu (ICD10)');
INSERT INTO `lang_definitions` VALUES (109584, 1243, 21, 'Önceki Yetki No:');
INSERT INTO `lang_definitions` VALUES (109585, 1244, 21, 'KB');
INSERT INTO `lang_definitions` VALUES (109586, 1245, 21, 'Diyastolik KB');
INSERT INTO `lang_definitions` VALUES (109587, 1246, 21, 'Sistolik KB');
INSERT INTO `lang_definitions` VALUES (109588, 1247, 21, 'BPD');
INSERT INTO `lang_definitions` VALUES (109589, 1248, 21, 'Bpd');
INSERT INTO `lang_definitions` VALUES (109590, 1249, 21, 'Binoküler pupiller çap - uzak');
INSERT INTO `lang_definitions` VALUES (109591, 1250, 21, 'Binoküler pupiller çap -yakın');
INSERT INTO `lang_definitions` VALUES (109592, 1251, 21, 'SV{{SANİYEDE VURU}}');
INSERT INTO `lang_definitions` VALUES (109593, 1252, 21, 'Sv');
INSERT INTO `lang_definitions` VALUES (109594, 1253, 21, 'Marka');
INSERT INTO `lang_definitions` VALUES (109595, 1254, 21, 'Brezilya Portekizcesi');
INSERT INTO `lang_definitions` VALUES (109596, 1255, 21, 'Meme');
INSERT INTO `lang_definitions` VALUES (109597, 1256, 21, 'Meme Biyopsisi');
INSERT INTO `lang_definitions` VALUES (109598, 1257, 21, 'Meme Akıntısı');
INSERT INTO `lang_definitions` VALUES (109599, 1258, 21, 'Meme Hastalığı');
INSERT INTO `lang_definitions` VALUES (109600, 1259, 21, 'Meme Muayenesi');
INSERT INTO `lang_definitions` VALUES (109601, 1260, 21, 'Memede Kitle');
INSERT INTO `lang_definitions` VALUES (109602, 1261, 21, 'Solunum');
INSERT INTO `lang_definitions` VALUES (109603, 1262, 21, 'Solunum Sesleri:');
INSERT INTO `lang_definitions` VALUES (109604, 1263, 21, 'Bretonca');
INSERT INTO `lang_definitions` VALUES (109605, 1264, 21, 'Parlaklık keskinlik testi');
INSERT INTO `lang_definitions` VALUES (109606, 1265, 21, 'Kemik Kırıkları');
INSERT INTO `lang_definitions` VALUES (109607, 1266, 21, 'kırılmış kalıp');
INSERT INTO `lang_definitions` VALUES (109608, 1267, 21, 'Bronşit Formu');
INSERT INTO `lang_definitions` VALUES (109609, 1268, 21, 'Erkek kardeş');
INSERT INTO `lang_definitions` VALUES (109610, 1269, 21, 'Kaş');
INSERT INTO `lang_definitions` VALUES (109611, 1270, 21, 'Tara');
INSERT INTO `lang_definitions` VALUES (109612, 1271, 21, 'Kayıt Araması');
INSERT INTO `lang_definitions` VALUES (109613, 1272, 21, 'Morarma/hematom');
INSERT INTO `lang_definitions` VALUES (109614, 1274, 21, 'Planınızı Oluşturun');
INSERT INTO `lang_definitions` VALUES (109615, 1275, 21, 'Bulgarca');
INSERT INTO `lang_definitions` VALUES (109616, 1276, 21, 'Sağa Şişkin:');
INSERT INTO `lang_definitions` VALUES (109617, 1277, 21, 'Burmaca');
INSERT INTO `lang_definitions` VALUES (109618, 1278, 21, 'İdrarda yaparken Yanma');
INSERT INTO `lang_definitions` VALUES (109619, 1279, 21, 'İdrar Yaparken Yanma');
INSERT INTO `lang_definitions` VALUES (109620, 1281, 21, 'İş Telefonu');
INSERT INTO `lang_definitions` VALUES (109621, 1282, 21, 'Meşgul');
INSERT INTO `lang_definitions` VALUES (109622, 1283, 21, 'fakat henüz işlem yapılmadı.');
INSERT INTO `lang_definitions` VALUES (109623, 1284, 21, 'Kalça');
INSERT INTO `lang_definitions` VALUES (109624, 1285, 21, 'Kalça + S.I.');
INSERT INTO `lang_definitions` VALUES (109625, 1286, 21, 'tarafından');
INSERT INTO `lang_definitions` VALUES (109626, 1287, 21, 'Tarafından');
INSERT INTO `lang_definitions` VALUES (109627, 1293, 21, 'ağızdan');
INSERT INTO `lang_definitions` VALUES (109628, 1295, 21, 'Tarafından/Kaynak');
INSERT INTO `lang_definitions` VALUES (109629, 1296, 21, 'Tarafından:');
INSERT INTO `lang_definitions` VALUES (109630, 1297, 21, 'imalatçı:');
INSERT INTO `lang_definitions` VALUES (109631, 1298, 21, 'Her iki yüz');
INSERT INTO `lang_definitions` VALUES (109632, 1299, 21, 'C');
INSERT INTO `lang_definitions` VALUES (109633, 1301, 21, 'RFC 5425 TLS syslog sunucusunu doğrulamak için CA Sertifikası.');
INSERT INTO `lang_definitions` VALUES (109634, 1302, 21, 'Önbellek Ömrü (saniye)');
INSERT INTO `lang_definitions` VALUES (109635, 1303, 21, 'Önbellek çıktı şablonu?');
INSERT INTO `lang_definitions` VALUES (109636, 1304, 21, 'Kafein');
INSERT INTO `lang_definitions` VALUES (109637, 1305, 21, 'Kafein tüketimi');
INSERT INTO `lang_definitions` VALUES (109638, 1306, 21, 'Takvim');
INSERT INTO `lang_definitions` VALUES (109639, 1307, 21, 'Takvim Bitme Saati');
INSERT INTO `lang_definitions` VALUES (109640, 1308, 21, 'Takvim Aralığı');
INSERT INTO `lang_definitions` VALUES (109641, 1309, 21, 'Takvim Ekranı');
INSERT INTO `lang_definitions` VALUES (109642, 1310, 21, 'Takvim Ayarları');
INSERT INTO `lang_definitions` VALUES (109643, 1312, 21, 'Takvim Başlangıç Saati');
INSERT INTO `lang_definitions` VALUES (109644, 1313, 21, 'Takvim Kullanıcı Ara birimi');
INSERT INTO `lang_definitions` VALUES (109645, 1314, 21, 'Takvim Görünümü');
INSERT INTO `lang_definitions` VALUES (109646, 1315, 21, 'olaylara dış_takvim');
INSERT INTO `lang_definitions` VALUES (109647, 1317, 21, 'addForm() Çağrısı buraya gider.<br>');
INSERT INTO `lang_definitions` VALUES (109648, 1321, 21, 'Kalori');
INSERT INTO `lang_definitions` VALUES (109649, 1322, 21, 'Kamboçça');
INSERT INTO `lang_definitions` VALUES (109650, 1323, 21, 'Bilgisayarla Tıbbi Order');
INSERT INTO `lang_definitions` VALUES (109651, 1325, 21, 'Gönderilmiş Bakım Özeti seçilmeden bu ayarlanamaz');
INSERT INTO `lang_definitions` VALUES (109652, 1326, 21, 'Dosya bulunamıyor!');
INSERT INTO `lang_definitions` VALUES (109653, 1327, 21, 'Yüklenemiyor!');
INSERT INTO `lang_definitions` VALUES (109654, 1328, 21, 'Kanada');
INSERT INTO `lang_definitions` VALUES (109655, 1329, 21, 'İptal');
INSERT INTO `lang_definitions` VALUES (109656, 1332, 21, 'Değişiklikleri İptal Et');
INSERT INTO `lang_definitions` VALUES (109657, 1333, 21, 'İptal edildi');
INSERT INTO `lang_definitions` VALUES (109658, 1334, 21, 'İptal edildi < 24 saat');
INSERT INTO `lang_definitions` VALUES (109659, 1335, 21, 'Kanser');
INSERT INTO `lang_definitions` VALUES (109660, 1336, 21, 'Kanser Taraması: Kolon Kanseri Taraması');
INSERT INTO `lang_definitions` VALUES (109661, 1337, 21, 'Kanser Taraması: Mamografi');
INSERT INTO `lang_definitions` VALUES (109662, 1338, 21, 'Kanser Taraması: Serviks Yayması');
INSERT INTO `lang_definitions` VALUES (109663, 1339, 21, 'Kanser Taraması: Prostat Kanseri Taraması');
INSERT INTO `lang_definitions` VALUES (109664, 1340, 21, 'Bu kayıt eklenemiyor çünkü zaten önceden var!');
INSERT INTO `lang_definitions` VALUES (109665, 1341, 21, 'Bu kayıt eklenemiyor/düzenlenemiyor çünkü zaten önceden çift kayıt var!');
INSERT INTO `lang_definitions` VALUES (109666, 1342, 21, 'arşivlenemiyor,  göz ardı edildi.');
INSERT INTO `lang_definitions` VALUES (109667, 1343, 21, 'JPEG ye çevrilemiyor. Belki ImageMagick kurulu değil?');
INSERT INTO `lang_definitions` VALUES (109668, 1344, 21, 'Silinemiyor, göz ardı edildi.');
INSERT INTO `lang_definitions` VALUES (109669, 1345, 21, 'Tipi tarayıcı tarafından desteklenmediğinden satır içerisinde gösterilemiyor.');
INSERT INTO `lang_definitions` VALUES (109670, 1346, 21, 'Tipi tarayıcı tarafından desteklenmediğinden satır içerisinde gösterilemiyor.');
INSERT INTO `lang_definitions` VALUES (109671, 1347, 21, 'Tipi tarayıcı tarafından desteklenmediğinden satır içerisinde gösterilemiyor.');
INSERT INTO `lang_definitions` VALUES (109672, 1349, 21, 'Oluşturulamıyor');
INSERT INTO `lang_definitions` VALUES (109673, 1350, 21, 'Dosya oluşturulamıyor');
INSERT INTO `lang_definitions` VALUES (109674, 1351, 21, '(SFTP sunucudan) dosya silinemiyor');
INSERT INTO `lang_definitions` VALUES (109675, 1352, 21, 'Dosya silinemiyor');
INSERT INTO `lang_definitions` VALUES (109676, 1353, 21, 'Hedef dosya ismi belirlenemiyor');
INSERT INTO `lang_definitions` VALUES (109677, 1354, 21, 'Bulunamıyor');
INSERT INTO `lang_definitions` VALUES (109678, 1355, 21, 'hedef dosya ismi bulunamıyor.');
INSERT INTO `lang_definitions` VALUES (109679, 1356, 21, 'Atlanacak kaynak alan bulunamıyor');
INSERT INTO `lang_definitions` VALUES (109680, 1357, 21, 'Atlanacak hedef alan bulunamıyor');
INSERT INTO `lang_definitions` VALUES (109681, 1358, 21, 'Hasta SQL-Defter-i-Kebir müşteri kimliğinden bulunamıyor');
INSERT INTO `lang_definitions` VALUES (109682, 1359, 21, 'Postskript belge referansı bulunamıyor.');
INSERT INTO `lang_definitions` VALUES (109683, 1360, 21, 'Sağlayıcı SQL-Ledger employee = den bulunamıyor');
INSERT INTO `lang_definitions` VALUES (109684, 1361, 21, 'Ödemeler Değiştirilemiyor. Dağıtılmamış Negatif.');
INSERT INTO `lang_definitions` VALUES (109685, 1363, 21, 'Açılamıyor');
INSERT INTO `lang_definitions` VALUES (109686, 1364, 21, 'Sigorta gönderilemiyor. Ödeyici olarak hasta seçili');
INSERT INTO `lang_definitions` VALUES (109687, 1365, 21, 'Hastaya gönderilemiyor. Ödeyen olarak sigorta seçilmiş.');
INSERT INTO `lang_definitions` VALUES (109688, 1366, 21, 'Ödemeler gönderilemiyor. Dağıtılmadı Menfi.');
INSERT INTO `lang_definitions` VALUES (109689, 1367, 21, 'Okunamıyor');
INSERT INTO `lang_definitions` VALUES (109690, 1368, 21, 'Dizin okunamıyor.');
INSERT INTO `lang_definitions` VALUES (109691, 1369, 21, 'Güncellenemiyor çünkü bulunan bir kaydı düzenlemiyorsunuz!');
INSERT INTO `lang_definitions` VALUES (109692, 1370, 21, 'Büyük harflerle yazılsın');
INSERT INTO `lang_definitions` VALUES (109693, 1371, 21, 'Hepsini büyük harfe dönüştür');
INSERT INTO `lang_definitions` VALUES (109694, 1372, 21, 'kapsül');
INSERT INTO `lang_definitions` VALUES (109695, 1373, 21, 'Kart');
INSERT INTO `lang_definitions` VALUES (109696, 1381, 21, 'Kardiak');
INSERT INTO `lang_definitions` VALUES (109697, 1382, 21, 'Kalp Kateterizasyonu');
INSERT INTO `lang_definitions` VALUES (109698, 1383, 21, 'Kalp Ekosu');
INSERT INTO `lang_definitions` VALUES (109699, 1384, 21, 'Kardiyovasküler');
INSERT INTO `lang_definitions` VALUES (109700, 1385, 21, 'Bakım Koordinasyonu');
INSERT INTO `lang_definitions` VALUES (109701, 1388, 21, 'Bakım veren');
INSERT INTO `lang_definitions` VALUES (109702, 1389, 21, 'Bakım Planı');
INSERT INTO `lang_definitions` VALUES (109703, 1390, 21, 'Bakım Planı Formu');
INSERT INTO `lang_definitions` VALUES (109704, 1392, 21, 'Bakım Takımı');
INSERT INTO `lang_definitions` VALUES (109705, 1394, 21, 'Karotis Üfürümü');
INSERT INTO `lang_definitions` VALUES (109706, 1395, 21, 'Karotis (karotis arterleri)');
INSERT INTO `lang_definitions` VALUES (109707, 1396, 21, 'Kıkırdak / kondral / disk hasarı');
INSERT INTO `lang_definitions` VALUES (109708, 1397, 21, 'Kıkırdak zedelenmesi');
INSERT INTO `lang_definitions` VALUES (109709, 1398, 21, 'Karotis nabzı normal, dorsalis pedis normal');
INSERT INTO `lang_definitions` VALUES (109710, 1399, 21, 'Karotis Arterleri');
INSERT INTO `lang_definitions` VALUES (109711, 1400, 21, 'peşin');
INSERT INTO `lang_definitions` VALUES (109712, 1401, 21, 'Peşin');
INSERT INTO `lang_definitions` VALUES (109713, 1402, 21, 'Peşin Mak');
INSERT INTO `lang_definitions` VALUES (109714, 1403, 21, 'Sağlayıcının Peşin Makbuzları');
INSERT INTO `lang_definitions` VALUES (109715, 1404, 21, 'Katalanca-Valensiyaca');
INSERT INTO `lang_definitions` VALUES (109716, 1405, 21, 'Katarakt');
INSERT INTO `lang_definitions` VALUES (109717, 1406, 21, 'Katarakt Cerrahisi');
INSERT INTO `lang_definitions` VALUES (109718, 1407, 21, 'Kataraktlar');
INSERT INTO `lang_definitions` VALUES (109719, 1408, 21, 'Kategoriler');
INSERT INTO `lang_definitions` VALUES (109720, 1409, 21, 'Kategorilendirilecek olan:');
INSERT INTO `lang_definitions` VALUES (109721, 1410, 21, 'Kategori');
INSERT INTO `lang_definitions` VALUES (109722, 1411, 21, 'kategori');
INSERT INTO `lang_definitions` VALUES (109723, 1412, 21, 'Kategori');
INSERT INTO `lang_definitions` VALUES (109724, 1416, 21, 'Kategori Ayrıntıları');
INSERT INTO `lang_definitions` VALUES (109725, 1417, 21, 'Kategori Limitleri');
INSERT INTO `lang_definitions` VALUES (109726, 1418, 21, 'Kategori İsmi');
INSERT INTO `lang_definitions` VALUES (109727, 1419, 21, 'Kategori ismi boş.');
INSERT INTO `lang_definitions` VALUES (109728, 1420, 21, 'Kategori/Başlık');
INSERT INTO `lang_definitions` VALUES (109729, 1421, 21, 'Beyaz');
INSERT INTO `lang_definitions` VALUES (109730, 1422, 21, 'Görüşmede Yazdırılacak Nedenler Makbuzlar/Primer Sağlayıcı Bilgisi');
INSERT INTO `lang_definitions` VALUES (109731, 1423, 21, 'Uzak di{{uzak düzeltmesi ile}}');
INSERT INTO `lang_definitions` VALUES (109732, 1424, 21, 'Yakın di{{yakın düzeltmesi ile}}');
INSERT INTO `lang_definitions` VALUES (109733, 1425, 21, 'UDİ');
INSERT INTO `lang_definitions` VALUES (109734, 1426, 21, 'UDİ');
INSERT INTO `lang_definitions` VALUES (109735, 1427, 21, 'uzkdi{{uzak düzeltmesi ile}}');
INSERT INTO `lang_definitions` VALUES (109736, 1428, 21, 'uzkdi{{uzak düzeltmesi ile}}');
INSERT INTO `lang_definitions` VALUES (109737, 1429, 21, 'Yakındi{{yakın düzeltmesi ile}}');
INSERT INTO `lang_definitions` VALUES (109738, 1430, 21, 'Yakındi{{yakın düzeltmesi ile}}');
INSERT INTO `lang_definitions` VALUES (109739, 1431, 21, 'Hasta Provizyon');
INSERT INTO `lang_definitions` VALUES (109740, 1432, 21, 'Hasta provizyon onayı');
INSERT INTO `lang_definitions` VALUES (109741, 1433, 21, 'Hasta Provizyon geçmişi');
INSERT INTO `lang_definitions` VALUES (109742, 1434, 21, 'Hasta provizyon izleme ve /Onay');
INSERT INTO `lang_definitions` VALUES (109743, 1435, 21, 'EY{{esas yakınması}}');
INSERT INTO `lang_definitions` VALUES (109744, 1436, 21, 'di{{düzeltme ile}}');
INSERT INTO `lang_definitions` VALUES (109745, 1437, 21, 'Dİ{{düzeltme ile}}');
INSERT INTO `lang_definitions` VALUES (109746, 1440, 21, 'HS Kodu');
INSERT INTO `lang_definitions` VALUES (109747, 1441, 21, 'Hıfzı Sıhha Kodu');
INSERT INTO `lang_definitions` VALUES (109748, 1442, 21, 'Klinik Karar verme Kuralları Algoritmaları');
INSERT INTO `lang_definitions` VALUES (109749, 1443, 21, 'Klinik Karar verme Kuralları Algoritmaları Raporları işleme önceliği');
INSERT INTO `lang_definitions` VALUES (109750, 1444, 21, 'Hücre');
INSERT INTO `lang_definitions` VALUES (109751, 1445, 21, 'Cep Telefonu');
INSERT INTO `lang_definitions` VALUES (109752, 1446, 21, 'Cep Telefonu Numarası');
INSERT INTO `lang_definitions` VALUES (109753, 1447, 21, 'Cep Telefonu Numarası');
INSERT INTO `lang_definitions` VALUES (109754, 1449, 21, 'Merkezi Sertifikasyon');
INSERT INTO `lang_definitions` VALUES (109755, 1450, 21, 'Santral Makula Kalınlığı');
INSERT INTO `lang_definitions` VALUES (109756, 1451, 21, 'Merkezi/Güney Amerikalı');
INSERT INTO `lang_definitions` VALUES (109757, 1452, 21, 'Sertifika Yetkilisi crt dosya yeri boş bırakılamaz');
INSERT INTO `lang_definitions` VALUES (109758, 1453, 21, 'Sertifika Yetkilisi anahtar dosya yeri boş bırakılamaz');
INSERT INTO `lang_definitions` VALUES (109759, 1454, 21, 'RFC 5425 TLS syslog sunucusuna gönderilecek sertifika');
INSERT INTO `lang_definitions` VALUES (109760, 1455, 21, 'Sertifika Kullanıcısı');
INSERT INTO `lang_definitions` VALUES (109761, 1456, 21, 'Sertifikalar');
INSERT INTO `lang_definitions` VALUES (109762, 1457, 21, 'Şamorro dili');
INSERT INTO `lang_definitions` VALUES (109763, 1458, 21, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (109764, 1459, 21, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (109765, 1460, 21, 'değiştir');
INSERT INTO `lang_definitions` VALUES (109766, 1461, 21, 'Değiştir');
INSERT INTO `lang_definitions` VALUES (109767, 1462, 21, 'Değiştirme Etkinliği');
INSERT INTO `lang_definitions` VALUES (109768, 1466, 21, 'Değiştirme başarısız oldu! Veritabanına bağlanma hatası?');
INSERT INTO `lang_definitions` VALUES (109769, 1467, 21, 'Görmede Değişiklik');
INSERT INTO `lang_definitions` VALUES (109770, 1468, 21, 'Görmede Değişiklik');
INSERT INTO `lang_definitions` VALUES (109771, 1470, 21, 'Şifre Değişikliği');
INSERT INTO `lang_definitions` VALUES (109772, 1473, 21, 'Durumu değiştirilecek olan');
INSERT INTO `lang_definitions` VALUES (109773, 1475, 21, 'Değiştirildi');
INSERT INTO `lang_definitions` VALUES (109774, 1476, 21, 'Değişmiş Barsak');
INSERT INTO `lang_definitions` VALUES (109775, 1479, 21, 'Belgenin hasta kimliğini değiştirmek');
INSERT INTO `lang_definitions` VALUES (109776, 1484, 21, 'Özellikler');
INSERT INTO `lang_definitions` VALUES (109777, 1485, 21, 'Kalan harf sayısı');
INSERT INTO `lang_definitions` VALUES (109778, 1486, 21, 'Fatura kesmek');
INSERT INTO `lang_definitions` VALUES (109779, 1487, 21, 'Düzeltmeyi fatura et.');
INSERT INTO `lang_definitions` VALUES (109780, 1488, 21, 'ücret kodlandı');
INSERT INTO `lang_definitions` VALUES (109781, 1490, 21, 'ücretleri');
INSERT INTO `lang_definitions` VALUES (109782, 1491, 21, 'Çizelge');
INSERT INTO `lang_definitions` VALUES (109783, 1492, 21, 'Çizelgesinde Etkinlik');
INSERT INTO `lang_definitions` VALUES (109784, 1493, 21, 'Giriş/çıkış kontrolü çizelgesi etkinlik raporu');
INSERT INTO `lang_definitions` VALUES (109785, 1495, 21, 'Çizelge ID');
INSERT INTO `lang_definitions` VALUES (109786, 1496, 21, 'Çizelge ID:');
INSERT INTO `lang_definitions` VALUES (109787, 1497, 21, 'Çizelge Etiketi');
INSERT INTO `lang_definitions` VALUES (109788, 1498, 21, 'Çizelge Yeri Etkinliği');
INSERT INTO `lang_definitions` VALUES (109789, 1499, 21, 'Çizelge Notu');
INSERT INTO `lang_definitions` VALUES (109790, 1500, 21, 'Çizelge Numarası');
INSERT INTO `lang_definitions` VALUES (109791, 1501, 21, 'Grafik çekildi');
INSERT INTO `lang_definitions` VALUES (109792, 1502, 21, 'Çizelge Saklama Yerleri');
INSERT INTO `lang_definitions` VALUES (109793, 1504, 21, 'Çizelge İzleyici');
INSERT INTO `lang_definitions` VALUES (109794, 1505, 21, 'Çizelge İz.');
INSERT INTO `lang_definitions` VALUES (109795, 1508, 21, 'Kontrol Edilmiş Çizelgeler');
INSERT INTO `lang_definitions` VALUES (109796, 1509, 21, 'Dışarı Çizelgeler');
INSERT INTO `lang_definitions` VALUES (109797, 1512, 21, 'Çeçence');
INSERT INTO `lang_definitions` VALUES (109798, 1513, 21, 'Kontrol et');
INSERT INTO `lang_definitions` VALUES (109799, 1514, 21, 'kontrol et');
INSERT INTO `lang_definitions` VALUES (109800, 1515, 21, 'Hepsini işaretle');
INSERT INTO `lang_definitions` VALUES (109801, 1516, 21, 'Hepsini işaretle - Parçalar');
INSERT INTO `lang_definitions` VALUES (109802, 1517, 21, 'Çek miktarı');
INSERT INTO `lang_definitions` VALUES (109803, 1519, 21, 'Çek Tarihi');
INSERT INTO `lang_definitions` VALUES (109804, 1520, 21, 'Son kullanma tarihlerini kontrol et');
INSERT INTO `lang_definitions` VALUES (109805, 1521, 21, 'Özel dil tablosu ile farklılıkları kontrol et.');
INSERT INTO `lang_definitions` VALUES (109806, 1526, 21, 'Giriş');
INSERT INTO `lang_definitions` VALUES (109807, 1527, 21, 'Girilen yer');
INSERT INTO `lang_definitions` VALUES (109808, 1528, 21, 'Girilen verileri Kontrol et');
INSERT INTO `lang_definitions` VALUES (109809, 1529, 21, 'Grafik çizilecek konuları işaretleyiniz');
INSERT INTO `lang_definitions` VALUES (109810, 1530, 21, 'Laboratuvar sonuçlarını kontrol ediniz.');
INSERT INTO `lang_definitions` VALUES (109811, 1531, 21, 'İşaretlenmiş olanlar görüldüğünü gösterir');
INSERT INTO `lang_definitions` VALUES (109812, 1532, 21, 'Çek No');
INSERT INTO `lang_definitions` VALUES (109813, 1533, 21, 'Çek Numarası');
INSERT INTO `lang_definitions` VALUES (109814, 1534, 21, 'Çıkış');
INSERT INTO `lang_definitions` VALUES (109815, 1535, 21, 'Çıkış Zamanı');
INSERT INTO `lang_definitions` VALUES (109816, 1536, 21, 'Çek Ödemesi');
INSERT INTO `lang_definitions` VALUES (109817, 1537, 21, 'Şifreli bir dosya ise kutucuğu işaretleyiniz.');
INSERT INTO `lang_definitions` VALUES (109818, 1541, 21, 'Sağlayıcıların yalnız kendilerininkini değil, tüm randevuları ön tanımlı olarak görmelerini isterseniz bunu işaretleyiniz.');
INSERT INTO `lang_definitions` VALUES (109819, 1543, 21, 'Bu teşhis için problem oluşturmak için işaretleyiniz');
INSERT INTO `lang_definitions` VALUES (109820, 1545, 21, 'Çek/Müstahaklık Tarihi');
INSERT INTO `lang_definitions` VALUES (109821, 1547, 21, 'Çek/Müstahaklık No:');
INSERT INTO `lang_definitions` VALUES (109822, 1548, 21, 'Çek/Ref Numarası');
INSERT INTO `lang_definitions` VALUES (109823, 1549, 21, 'Çek/Referans Numarası');
INSERT INTO `lang_definitions` VALUES (109824, 1550, 21, 'Onay kutusu listesi');
INSERT INTO `lang_definitions` VALUES (109825, 1551, 21, 'onay kutusu listesi');
INSERT INTO `lang_definitions` VALUES (109826, 1552, 21, 'onay kutusu y/tekst');
INSERT INTO `lang_definitions` VALUES (109827, 1553, 21, 'Onay kutusu y/tekst');
INSERT INTO `lang_definitions` VALUES (109828, 1555, 21, 'Yukarıdaki onay kutuları sizin HL7 dosyasını reddetmek ve silmek istediğinizi gösterir');
INSERT INTO `lang_definitions` VALUES (109829, 1557, 21, 'İşaretli');
INSERT INTO `lang_definitions` VALUES (109830, 1559, 21, 'İşaretlenmiş kutu = evet , boş = hayır');
INSERT INTO `lang_definitions` VALUES (109831, 1561, 21, 'İlaç rehberi kontrol edildi?');
INSERT INTO `lang_definitions` VALUES (109832, 1563, 21, 'Çıktı');
INSERT INTO `lang_definitions` VALUES (109833, 1566, 21, 'Kilitle kutusunun seçilmesi bu vizite ile ilgili hiçbir formda daha başka her hangi bir düzenleme yapılmasını önler');
INSERT INTO `lang_definitions` VALUES (109834, 1568, 21, 'Çıkış (Kasa)');
INSERT INTO `lang_definitions` VALUES (109835, 1569, 21, 'Toplam');
INSERT INTO `lang_definitions` VALUES (109836, 1570, 21, 'Göğüs');
INSERT INTO `lang_definitions` VALUES (109837, 1571, 21, 'Oskültasyon ile her iki hemitoraks temiz');
INSERT INTO `lang_definitions` VALUES (109838, 1572, 21, 'Göğüs Ağrısı');
INSERT INTO `lang_definitions` VALUES (109839, 1573, 21, 'Göğüs Ağrısı:');
INSERT INTO `lang_definitions` VALUES (109840, 1574, 21, 'Göğüs Ağrıları');
INSERT INTO `lang_definitions` VALUES (109841, 1575, 21, 'Göğüs hastalıkları uzmanı');
INSERT INTO `lang_definitions` VALUES (109842, 1576, 21, 'Değ');
INSERT INTO `lang_definitions` VALUES (109843, 1577, 21, 'Çevaca Nyanca');
INSERT INTO `lang_definitions` VALUES (109844, 1578, 21, 'Esas Yakınma');
INSERT INTO `lang_definitions` VALUES (109845, 1579, 21, 'Esas Yakınma 2');
INSERT INTO `lang_definitions` VALUES (109846, 1580, 21, 'Esas Yakınma 3');
INSERT INTO `lang_definitions` VALUES (109847, 1581, 21, 'Çocuk');
INSERT INTO `lang_definitions` VALUES (109848, 1582, 21, 'Çocuğun eşi');
INSERT INTO `lang_definitions` VALUES (109849, 1583, 21, 'Çocukluk immünizasyon durumu');
INSERT INTO `lang_definitions` VALUES (109850, 1584, 21, 'Titreme');
INSERT INTO `lang_definitions` VALUES (109851, 1585, 21, 'Çinli');
INSERT INTO `lang_definitions` VALUES (109852, 1586, 21, 'Çince (Basit)');
INSERT INTO `lang_definitions` VALUES (109853, 1587, 21, 'Çince (Geleneksel)');
INSERT INTO `lang_definitions` VALUES (109854, 1588, 21, 'Kiropraksi');
INSERT INTO `lang_definitions` VALUES (109855, 1589, 21, 'Seçenekler');
INSERT INTO `lang_definitions` VALUES (109856, 1590, 21, 'Kolesistektomi');
INSERT INTO `lang_definitions` VALUES (109857, 1591, 21, 'Kolesistestomi');
INSERT INTO `lang_definitions` VALUES (109858, 1592, 21, 'Kolesistestomi');
INSERT INTO `lang_definitions` VALUES (109859, 1593, 21, 'Seçiniz');
INSERT INTO `lang_definitions` VALUES (109860, 1595, 21, 'Bir dönem veya tarihler seçiniz (YYY-AA-GG)');
INSERT INTO `lang_definitions` VALUES (109861, 1596, 21, 'Bir bölüm seçiniz ve içerisindeki bir konuyu tıklayınız, daha sonraki bölümde ilgili konuları parlak göreceksiniz, o bölümde ilişkileri oluşturmak veya silmek için tıklayabilirsiniz.');
INSERT INTO `lang_definitions` VALUES (109862, 1597, 21, 'Özellikleri Seçiniz');
INSERT INTO `lang_definitions` VALUES (109863, 1598, 21, 'CSV tablosu seçiniz');
INSERT INTO `lang_definitions` VALUES (109864, 1599, 21, 'İndirmeyi veya ekranda göstermeyi seçiniz');
INSERT INTO `lang_definitions` VALUES (109865, 1602, 21, 'Dosyayı seçiniz');
INSERT INTO `lang_definitions` VALUES (109866, 1603, 21, 'Listeden seçiniz');
INSERT INTO `lang_definitions` VALUES (109867, 1604, 21, 'Düzenleme yönünü seçiniz');
INSERT INTO `lang_definitions` VALUES (109868, 1605, 21, 'Listeyi seçiniz');
INSERT INTO `lang_definitions` VALUES (109869, 1608, 21, 'Kağıt büyüklüğünü seçiniz');
INSERT INTO `lang_definitions` VALUES (109870, 1610, 21, 'PDF dil tercihinizi seçiniz');
INSERT INTO `lang_definitions` VALUES (109871, 1611, 21, 'Bu vizite raporunun basım formatını seçiniz.');
INSERT INTO `lang_definitions` VALUES (109872, 1612, 21, 'Düzeni seçiniz ( yeni düzeni görmek için çıkış yapıp tekrar giriş yapmanız gerekir)');
INSERT INTO `lang_definitions` VALUES (109873, 1613, 21, 'Ön tanımlı vizit görünümünü seçiniz');
INSERT INTO `lang_definitions` VALUES (109874, 1615, 21, 'Kronik Bronşit');
INSERT INTO `lang_definitions` VALUES (109875, 1616, 21, 'Kronik Eklem Ağrısı');
INSERT INTO `lang_definitions` VALUES (109876, 1617, 21, 'Kronik Böbrek Hastalığı');
INSERT INTO `lang_definitions` VALUES (109877, 1618, 21, 'Kronik veya Aktif olmayan Sorunlar');
INSERT INTO `lang_definitions` VALUES (109878, 1619, 21, 'Kronik Sorunlar');
INSERT INTO `lang_definitions` VALUES (109879, 1620, 21, 'Kronik sinovit / effüzyon / eklem ağrısı / gut');
INSERT INTO `lang_definitions` VALUES (109880, 1621, 21, 'Kronikv/ Aktif olmayan Sorunlar');
INSERT INTO `lang_definitions` VALUES (109881, 1622, 21, 'Kronik / Tekrarlayan');
INSERT INTO `lang_definitions` VALUES (109882, 1623, 21, 'Çuvaşça');
INSERT INTO `lang_definitions` VALUES (109883, 1624, 21, 'Sigaralar');
INSERT INTO `lang_definitions` VALUES (109884, 1625, 21, 'Karaciğer Sirozu');
INSERT INTO `lang_definitions` VALUES (109885, 1626, 21, 'Karaciğer Sirozu');
INSERT INTO `lang_definitions` VALUES (109886, 1627, 21, 'Semt');
INSERT INTO `lang_definitions` VALUES (109887, 1629, 21, 'Semt Adı');
INSERT INTO `lang_definitions` VALUES (109888, 1630, 21, 'Semt, Şehir');
INSERT INTO `lang_definitions` VALUES (109889, 1631, 21, 'Semt, Şehir Posta kodu');
INSERT INTO `lang_definitions` VALUES (109890, 1633, 21, 'Semt/Şehir');
INSERT INTO `lang_definitions` VALUES (109891, 1634, 21, 'Alacak');
INSERT INTO `lang_definitions` VALUES (109892, 1635, 21, 'Alacak');
INSERT INTO `lang_definitions` VALUES (109893, 1637, 21, 'Alacak Durumu');
INSERT INTO `lang_definitions` VALUES (109894, 1638, 21, 'Alacak testinin çalışması tamamlandı');
INSERT INTO `lang_definitions` VALUES (109895, 1639, 21, 'Alacak Tipi');
INSERT INTO `lang_definitions` VALUES (109896, 1640, 21, 'Alacağın oluşturulduğu dosya:');
INSERT INTO `lang_definitions` VALUES (109897, 1641, 21, 'Alacağın oluşturulduğu dosya:');
INSERT INTO `lang_definitions` VALUES (109898, 1642, 21, 'Alacaklar');
INSERT INTO `lang_definitions` VALUES (109899, 1645, 21, 'Sınıflandırma');
INSERT INTO `lang_definitions` VALUES (109900, 1646, 21, 'Berrak');
INSERT INTO `lang_definitions` VALUES (109901, 1647, 21, 'berrak');
INSERT INTO `lang_definitions` VALUES (109902, 1649, 21, 'BU HASTAYI SİL');
INSERT INTO `lang_definitions` VALUES (109903, 1651, 21, 'Hepsini Temizle');
INSERT INTO `lang_definitions` VALUES (109904, 1654, 21, 'HL7 Verilerini Sil');
INSERT INTO `lang_definitions` VALUES (109905, 1655, 21, 'Hizalamayı Temizle');
INSERT INTO `lang_definitions` VALUES (109906, 1659, 21, 'Smarty Ön belleği Temizle');
INSERT INTO `lang_definitions` VALUES (109907, 1661, 21, 'EDI 270 yığın düzenlenmesi için bir takasbank bigisinin girilmesi gerekiyor.');
INSERT INTO `lang_definitions` VALUES (109908, 1662, 21, 'Klinik Laboratuvar Düzenleme Numarası');
INSERT INTO `lang_definitions` VALUES (109909, 1663, 21, 'Tıklayınız');
INSERT INTO `lang_definitions` VALUES (109910, 1664, 21, 'Kategori, Alt kategori kaleminizi dışarı bir tekst dosyasına aktarmak için \'dışarı aktar\'a tıklayınız. Bu dosyanın bir XML e benzemesi tamamen tesadüftür. Açma ve kapama ekleri aynı satırda olmalıdır, küçük harfle yazılmalı, boşluk bırakılmamalıdır. Dışarıdan aktarmak için bir dosya seçiniz ve \'dışarıdan aktar\'ı tıklayınız. Eğer veri tamamen farklı ise mevcut veriniz ile birleşecektir. Eğer benzer kalem isimleri var ise eskileri korunacak yeniler sonlarına bir rakam eklenerek kaydedilecektir.');
INSERT INTO `lang_definitions` VALUES (109911, 1667, 21, 'Yeni bir not eklemek için grafik üzerinde bir noktayı tıklayınız. Silmek için tekrar tıklayınız.');
INSERT INTO `lang_definitions` VALUES (109912, 1671, 21, 'ssl.zip dosyasındaki sertifikaları indirmek için Sertifika İndir i tıklayınız');
INSERT INTO `lang_definitions` VALUES (109913, 1672, 21, 'devam için tıklayınız');
INSERT INTO `lang_definitions` VALUES (109914, 1673, 21, 'Daha fazla ayrıntı için tıklayınız');
INSERT INTO `lang_definitions` VALUES (109915, 1674, 21, 'Sipariş özeti için tıklayınız');
INSERT INTO `lang_definitions` VALUES (109916, 1675, 21, 'Sonuçlar için tıklayınız');
INSERT INTO `lang_definitions` VALUES (109917, 1676, 21, 'Kısa yol yardımı için tıklayınız');
INSERT INTO `lang_definitions` VALUES (109918, 1678, 21, 'Buraya tıklayınız');
INSERT INTO `lang_definitions` VALUES (109919, 1679, 21, 'Yeni bir hasta eklemek için Burayı tıklayınız.');
INSERT INTO `lang_definitions` VALUES (109920, 1680, 21, 'Yeni bir yaralanma eklemek, durum değiştirmek veya günlük etkinlik girmek için burayı tıklayınız.');
INSERT INTO `lang_definitions` VALUES (109921, 1681, 21, 'Yeni bir satır eklemek için buraya tıklayınız');
INSERT INTO `lang_definitions` VALUES (109922, 1682, 21, 'Bir tarih seçmek için burayı tıklayınız.');
INSERT INTO `lang_definitions` VALUES (109923, 1683, 21, 'Tarih ve zaman seçmek için burayı tıklayınız.');
INSERT INTO `lang_definitions` VALUES (109924, 1684, 21, 'Bir başlangıç tarihi seçmek için burayı tıklayınız.');
INSERT INTO `lang_definitions` VALUES (109925, 1685, 21, 'Tarih ve zaman seçmek için burayı tıklayınız.');
INSERT INTO `lang_definitions` VALUES (109926, 1686, 21, 'Başlangıç tarihi ve zamanını seçmek için burayı tıklayınız.');
INSERT INTO `lang_definitions` VALUES (109927, 1687, 21, 'Bitiş tarihi ve zamanını seçmek için burayı tıklayınız.');
INSERT INTO `lang_definitions` VALUES (109928, 1688, 21, 'Bu Modülü Yapılandırmak için Buraya Tıklayınız');
INSERT INTO `lang_definitions` VALUES (109929, 1690, 21, 'Satırı silmek için buraya tıklayınız');
INSERT INTO `lang_definitions` VALUES (109930, 1692, 21, 'Bu Modülü Devre Dışı Bırakmak için Buraya Tıklayınız');
INSERT INTO `lang_definitions` VALUES (109931, 1693, 21, 'Satırı çiftlemek için buraya tıklayınız');
INSERT INTO `lang_definitions` VALUES (109932, 1694, 21, 'Mevcut Lens malzemeleri listesini düzenlemek için buraya tıklayınız');
INSERT INTO `lang_definitions` VALUES (109933, 1695, 21, 'Mevcut Lens Tedavisi Seçeneklerinin Listesini düzenlemek için buraya tıklayınız');
INSERT INTO `lang_definitions` VALUES (109934, 1696, 21, 'Kontak Lens Marka Listesini Düzenlemek için buraya tıklayınız');
INSERT INTO `lang_definitions` VALUES (109935, 1703, 21, 'Bu Modülü Etkinleştirmek için Buraya Tıklayınız');
INSERT INTO `lang_definitions` VALUES (109936, 1706, 21, 'Mu Modülü Kurmak için Burata Tıklayınız');
INSERT INTO `lang_definitions` VALUES (109937, 1707, 21, 'aramak için burayı tıklayınız.');
INSERT INTO `lang_definitions` VALUES (109938, 1710, 21, 'öncelik, kategori ve takma ad ayarlarını güncellemek için burayı tıklayınız.');
INSERT INTO `lang_definitions` VALUES (109939, 1714, 21, 'Hepsini görmek için burayı tıklayınız.');
INSERT INTO `lang_definitions` VALUES (109940, 1715, 21, 'Görmek ve grafiğini çizmek için burayı tıklayınız.');
INSERT INTO `lang_definitions` VALUES (109941, 1716, 21, 'Tüm laboratuvar bulgularını görmek ve çizdirmek için burayı tıklayınız');
INSERT INTO `lang_definitions` VALUES (109942, 1717, 21, 'Tüm vital bulguları görmek ve grafiğini çizdirmek için buraya tıklayınız.');
INSERT INTO `lang_definitions` VALUES (109943, 1718, 21, 'Hasta detaylarını görmek için burayı tıklayınız.');
INSERT INTO `lang_definitions` VALUES (109944, 1719, 21, 'Onların hepsini görmek için burayı tıklayınız.');
INSERT INTO `lang_definitions` VALUES (109945, 1720, 21, 'Daha fazla ayrıntı için tıklayınız');
INSERT INTO `lang_definitions` VALUES (109946, 1723, 21, 'İzleyen tarihten itibaren veritabanı kurmak için Kur düğmesini tıklayınız.');
INSERT INTO `lang_definitions` VALUES (109947, 1730, 21, 'Artırmak için zaman parçalarının herhangi birini tıklayınız');
INSERT INTO `lang_definitions` VALUES (109948, 1751, 21, 'Hasta dosyasını açmak için hasta ismini tıklayınız');
INSERT INTO `lang_definitions` VALUES (109949, 1753, 21, 'Tüm sonuçları görmek için Tazele yi tıklayınız, veya özel sonuçları görmek için yukarıdaki arama kriterlerini doldurunuz.');
INSERT INTO `lang_definitions` VALUES (109950, 1777, 21, 'Bir tanı eklemek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (109951, 1779, 21, 'Yeni bileşenler eklemek için tıklayınız.');
INSERT INTO `lang_definitions` VALUES (109952, 1780, 21, 'Yeni konsültasyon eklemek için tıklayınız.');
INSERT INTO `lang_definitions` VALUES (109953, 1782, 21, 'Doğrulanacak tanıları seçmek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (109954, 1785, 21, 'İndirmek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (109955, 1786, 21, 'Düzenlemek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (109956, 1787, 21, 'Tanımını düzenlemek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (109957, 1788, 21, 'Bu olayı düzenlemek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (109958, 1790, 21, 'Rapor oluşturmak için tıklayınız');
INSERT INTO `lang_definitions` VALUES (109959, 1799, 21, 'Hastayı eşleştirmek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (109960, 1800, 21, 'Yazdırmak için tıklayınız');
INSERT INTO `lang_definitions` VALUES (109961, 1801, 21, 'Yeni bir parti almak (eklemek) için tıklayınız');
INSERT INTO `lang_definitions` VALUES (109962, 1805, 21, 'Seçmek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (109963, 1806, 21, 'Seçmek için Tıklayınız.');
INSERT INTO `lang_definitions` VALUES (109964, 1808, 21, 'Bu işlem için bir endüstri standardı kodu seçmek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (109965, 1811, 21, 'Opsiyonel işlem kodunu seçmek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (109966, 1812, 21, 'Kodlamayı seçmek veya değiştirmek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (109967, 1813, 21, 'Uygulanmış aşı kodunu seçmek veya değiştirmek için tıklayınız.');
INSERT INTO `lang_definitions` VALUES (109968, 1814, 21, 'Seçmek veya tanıları değiştirmek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (109969, 1815, 21, 'Servis kodlarını seçmek veya değiştirmek için tıklayınız.');
INSERT INTO `lang_definitions` VALUES (109970, 1816, 21, 'Hastayı seçmek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (109971, 1817, 21, 'İlgili kodu seçmek tıklayınız');
INSERT INTO `lang_definitions` VALUES (109972, 1819, 21, 'Bu sonuç anormal ise yapılacak hizmetleri seçmek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (109973, 1822, 21, 'İstenilen işlemi seçmek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (109974, 1829, 21, 'Sıralamak için tıklayınız');
INSERT INTO `lang_definitions` VALUES (109975, 1831, 21, 'Görmek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (109976, 1833, 21, 'Görmek veya düzenlemek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (109977, 1834, 21, 'Görmek/düzenlemek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (109978, 1836, 21, 'İzleyen tarihten itibaren veritabannı yükseltmek için Yükselt düğmesini tıklayınız.');
INSERT INTO `lang_definitions` VALUES (109979, 1838, 21, 'Hastayı eşleştirmek için yukarıdaki işaretli yeri tıklayınız');
INSERT INTO `lang_definitions` VALUES (109980, 1839, 21, 'Tıklayınız:');
INSERT INTO `lang_definitions` VALUES (109981, 1862, 21, 'Müşteri Sertifikası Zaman aşımı Günleri');
INSERT INTO `lang_definitions` VALUES (109982, 1864, 21, 'Müşteri Sertifikası geçerlilik dönemi');
INSERT INTO `lang_definitions` VALUES (109983, 1865, 21, 'Müşteri sertifikası onayı geçerli bir sayı olmalıdır');
INSERT INTO `lang_definitions` VALUES (109984, 1866, 21, 'Müşteri Kopyası');
INSERT INTO `lang_definitions` VALUES (109985, 1869, 21, 'Müşteri tıbbi öykü özeti');
INSERT INTO `lang_definitions` VALUES (109986, 1870, 21, 'Müşteri İsmi');
INSERT INTO `lang_definitions` VALUES (109987, 1872, 21, 'Müşteri Numarası');
INSERT INTO `lang_definitions` VALUES (109988, 1873, 21, 'Müşteri Profili - Yeni Müşteriler');
INSERT INTO `lang_definitions` VALUES (109989, 1874, 21, 'Müşteri Profili - Benzersiz Müşteriler');
INSERT INTO `lang_definitions` VALUES (109990, 1878, 21, 'Müşteriler');
INSERT INTO `lang_definitions` VALUES (109991, 1879, 21, 'Klinik');
INSERT INTO `lang_definitions` VALUES (109992, 1880, 21, 'Klinik Kopyası');
INSERT INTO `lang_definitions` VALUES (109993, 1881, 21, 'Günlük Klinik Kaydı');
INSERT INTO `lang_definitions` VALUES (109994, 1882, 21, 'Klinik ID');
INSERT INTO `lang_definitions` VALUES (109995, 1883, 21, 'Klinik');
INSERT INTO `lang_definitions` VALUES (109996, 1884, 21, 'Klinik Karar Kuralları Uyarı Yöneticisi');
INSERT INTO `lang_definitions` VALUES (109997, 1886, 21, 'Klinik Öykü');
INSERT INTO `lang_definitions` VALUES (109998, 1889, 21, 'Klinik Planlar');
INSERT INTO `lang_definitions` VALUES (109999, 1890, 21, 'Klinik Kalite Ölçümleri');
INSERT INTO `lang_definitions` VALUES (110000, 1891, 21, 'Klinik Kalite Ölçümleri 2011');
INSERT INTO `lang_definitions` VALUES (110001, 1892, 21, 'Klinik Kalite Ölçümleri 2014');
INSERT INTO `lang_definitions` VALUES (110002, 1893, 21, 'Klinik Hatırlatıcılar');
INSERT INTO `lang_definitions` VALUES (110003, 1897, 21, 'Klinik Raporlar');
INSERT INTO `lang_definitions` VALUES (110004, 1898, 21, 'Klinik Kural Aksiyon Kategorisi');
INSERT INTO `lang_definitions` VALUES (110005, 1899, 21, 'Klinik Kural Aksiyon Kalemi');
INSERT INTO `lang_definitions` VALUES (110006, 1900, 21, 'Klinik Kural Filtreleme Yöntemleri');
INSERT INTO `lang_definitions` VALUES (110007, 1901, 21, 'Klinik Kural Hedef Yöntemleri');
INSERT INTO `lang_definitions` VALUES (110008, 1902, 21, 'Klinik Kurallar');
INSERT INTO `lang_definitions` VALUES (110009, 1903, 21, 'Klinik Kurallar Yaş Aralıkları');
INSERT INTO `lang_definitions` VALUES (110010, 1904, 21, 'Klinik Kural Karşılaştırmaları');
INSERT INTO `lang_definitions` VALUES (110011, 1905, 21, 'Klinik Kurallar Görüşme Tipleri');
INSERT INTO `lang_definitions` VALUES (110012, 1906, 21, 'Klinik Kuralları Hatırlatma nedeniyle Seçenekleri');
INSERT INTO `lang_definitions` VALUES (110013, 1907, 21, 'Klinik Kuralları Hatırlatma inaktivasyonu Seçenekleri');
INSERT INTO `lang_definitions` VALUES (110014, 1908, 21, 'Klinik Kuralları Hatırlatma Aralıkları');
INSERT INTO `lang_definitions` VALUES (110015, 1909, 21, 'Klinik Kuralları Hatırlatma Yöntemleri');
INSERT INTO `lang_definitions` VALUES (110016, 1910, 21, 'Klinik Kuralları Hedef Aralıkları');
INSERT INTO `lang_definitions` VALUES (110017, 1911, 21, 'Klinik hedefler');
INSERT INTO `lang_definitions` VALUES (110018, 1912, 21, 'Klinik Terim');
INSERT INTO `lang_definitions` VALUES (110019, 1913, 21, 'Klinik Terim Kodları');
INSERT INTO `lang_definitions` VALUES (110020, 1915, 21, 'Klinisyenler');
INSERT INTO `lang_definitions` VALUES (110021, 1916, 21, 'Çoğalt');
INSERT INTO `lang_definitions` VALUES (110022, 1917, 21, 'Son Viziteyi Çoğalt');
INSERT INTO `lang_definitions` VALUES (110023, 1918, 21, 'Kapat');
INSERT INTO `lang_definitions` VALUES (110024, 1924, 21, 'Pencereyi Kapat');
INSERT INTO `lang_definitions` VALUES (110025, 1925, 21, 'pencereyi kapat');
INSERT INTO `lang_definitions` VALUES (110026, 1927, 21, 'Kapalı');
INSERT INTO `lang_definitions` VALUES (110027, 1928, 21, 'cm');
INSERT INTO `lang_definitions` VALUES (110028, 1931, 21, 'İçerik Yönetim Sistemi 1500 kenarlıkları');
INSERT INTO `lang_definitions` VALUES (110029, 1933, 21, 'İçerik Yönetim Sistemi 1500 Kağıt Form Kalıbı');
INSERT INTO `lang_definitions` VALUES (110030, 1938, 21, 'İçerik Yönetim Sistemi 1500 Kutu 31 Kalıbı');
INSERT INTO `lang_definitions` VALUES (110031, 1939, 21, 'İçerik Yönetim Sistemi 1500 Kutu 31 Kalıbı Tarihi (İmza)');
INSERT INTO `lang_definitions` VALUES (110032, 1940, 21, 'İçerik Yönetim Sistemi Kimlik');
INSERT INTO `lang_definitions` VALUES (110033, 1943, 21, 'İçerik Yönetim Sistemi Portali');
INSERT INTO `lang_definitions` VALUES (110034, 1944, 21, 'İçerik Yönetim Sistemi Portali Giriş');
INSERT INTO `lang_definitions` VALUES (110035, 1945, 21, 'İçerik Yönetim Sistemi Portali Giriş Kimliği');
INSERT INTO `lang_definitions` VALUES (110036, 1946, 21, 'İçerik Yönetim Sistemi Portali etkinleştirilmemiş!');
INSERT INTO `lang_definitions` VALUES (110037, 1947, 21, 'İçerik Yönetim Sistemi Portali Şifresi');
INSERT INTO `lang_definitions` VALUES (110038, 1948, 21, 'İçerik Yönetim Sistemi Portali İstemi');
INSERT INTO `lang_definitions` VALUES (110039, 1949, 21, 'İçerik Yönetim Sistemi Portali Site Adresi');
INSERT INTO `lang_definitions` VALUES (110040, 1950, 21, 'İçerik Yönetim Sistemi Portali Kullanıcı Adı');
INSERT INTO `lang_definitions` VALUES (110041, 1955, 21, '2-12 kraniyal sinirler intakt');
INSERT INTO `lang_definitions` VALUES (110042, 1958, 21, 'Katkı Payı');
INSERT INTO `lang_definitions` VALUES (110043, 1959, 21, 'Ödenen Katkı Payı');
INSERT INTO `lang_definitions` VALUES (110044, 1962, 21, 'KATKI PAYI');
INSERT INTO `lang_definitions` VALUES (110045, 1964, 21, 'Kod');
INSERT INTO `lang_definitions` VALUES (110046, 1965, 21, 'kod');
INSERT INTO `lang_definitions` VALUES (110047, 1967, 21, 'Kod Bulucu');
INSERT INTO `lang_definitions` VALUES (110048, 1968, 21, 'Kod iki küçük harf olmalıdır');
INSERT INTO `lang_definitions` VALUES (110049, 1969, 21, 'Para birimini gösteren kod veya sembol');
INSERT INTO `lang_definitions` VALUES (110050, 1971, 21, 'Kod Teksti');
INSERT INTO `lang_definitions` VALUES (110051, 1972, 21, 'Kod Tipi');
INSERT INTO `lang_definitions` VALUES (110052, 1973, 21, 'kod tipi');
INSERT INTO `lang_definitions` VALUES (110053, 1974, 21, 'Kod tipi tanınmadı');
INSERT INTO `lang_definitions` VALUES (110054, 1975, 21, 'Kod tipi henüz tanımlanmadı');
INSERT INTO `lang_definitions` VALUES (110055, 1976, 21, 'Kod Tipleri');
INSERT INTO `lang_definitions` VALUES (110056, 1977, 21, 'Kod(lar)');
INSERT INTO `lang_definitions` VALUES (110057, 1978, 21, 'Kodlanmış');
INSERT INTO `lang_definitions` VALUES (110058, 1979, 21, 'Kodlar');
INSERT INTO `lang_definitions` VALUES (110059, 1981, 21, 'Kodlama');
INSERT INTO `lang_definitions` VALUES (110060, 1982, 21, 'Kodlama(eğitim için tıklayınız)');
INSERT INTO `lang_definitions` VALUES (110061, 1983, 21, 'Kodlama-Herhangi bir görüşme(Yazma, bazı seçmeli)');
INSERT INTO `lang_definitions` VALUES (110062, 1985, 21, 'Kodlama - Benim Görüşmelerim (Yazma bazı seçmeli)');
INSERT INTO `lang_definitions` VALUES (110063, 1990, 21, 'Kodlamaya izin verilmiyor');
INSERT INTO `lang_definitions` VALUES (110064, 1991, 21, 'Kahve');
INSERT INTO `lang_definitions` VALUES (110065, 1992, 21, 'Kahve Kullanımı');
INSERT INTO `lang_definitions` VALUES (110066, 1994, 21, 'Ek sigorta');
INSERT INTO `lang_definitions` VALUES (110067, 1995, 21, 'Coll w/o');
INSERT INTO `lang_definitions` VALUES (110068, 1997, 21, 'Daralt');
INSERT INTO `lang_definitions` VALUES (110069, 1998, 21, 'daralt');
INSERT INTO `lang_definitions` VALUES (110070, 1999, 21, 'Tümünü Daralt');
INSERT INTO `lang_definitions` VALUES (110071, 2000, 21, 'Tümünü daralt');
INSERT INTO `lang_definitions` VALUES (110072, 2001, 21, 'tümünü daralt');
INSERT INTO `lang_definitions` VALUES (110073, 2005, 21, 'Alınma Tarihi');
INSERT INTO `lang_definitions` VALUES (110074, 2007, 21, 'Kolleksiyonlar');
INSERT INTO `lang_definitions` VALUES (110075, 2008, 21, 'Kolleksiyonlar Raporu');
INSERT INTO `lang_definitions` VALUES (110076, 2009, 21, 'Kolon Kanseri');
INSERT INTO `lang_definitions` VALUES (110077, 2010, 21, 'Kolon Kanseri Taraması');
INSERT INTO `lang_definitions` VALUES (110078, 2011, 21, 'Kolon Kanseri Cerrahisi');
INSERT INTO `lang_definitions` VALUES (110079, 2012, 21, 'Kolonoskopi');
INSERT INTO `lang_definitions` VALUES (110080, 2013, 21, 'kolonoskopi');
INSERT INTO `lang_definitions` VALUES (110081, 2014, 21, 'Renk');
INSERT INTO `lang_definitions` VALUES (110082, 2020, 21, 'Renk:Kıslt');
INSERT INTO `lang_definitions` VALUES (110083, 2021, 21, 'Sütun');
INSERT INTO `lang_definitions` VALUES (110084, 2022, 21, 'Sütunlar');
INSERT INTO `lang_definitions` VALUES (110085, 2024, 21, 'Partileri Birleştirmek');
INSERT INTO `lang_definitions` VALUES (110086, 2025, 21, 'Virgül');
INSERT INTO `lang_definitions` VALUES (110087, 2027, 21, 'Yorum');
INSERT INTO `lang_definitions` VALUES (110088, 2028, 21, 'Yorumlar');
INSERT INTO `lang_definitions` VALUES (110089, 2030, 21, 'Bu sonuç veya öneri için yorumlar');
INSERT INTO `lang_definitions` VALUES (110090, 2031, 21, 'Ticari Sigorta Şir.');
INSERT INTO `lang_definitions` VALUES (110091, 2032, 21, 'Kaydet');
INSERT INTO `lang_definitions` VALUES (110092, 2034, 21, 'İletişim');
INSERT INTO `lang_definitions` VALUES (110093, 2036, 21, 'İletişimler');
INSERT INTO `lang_definitions` VALUES (110094, 2039, 21, 'Şirket');
INSERT INTO `lang_definitions` VALUES (110095, 2040, 21, 'Şirket İsmi');
INSERT INTO `lang_definitions` VALUES (110096, 2041, 21, 'Tam');
INSERT INTO `lang_definitions` VALUES (110097, 2043, 21, 'Tamamlanmış');
INSERT INTO `lang_definitions` VALUES (110098, 2044, 21, 'tamamlandı');
INSERT INTO `lang_definitions` VALUES (110099, 2046, 21, 'Tamamlandı mı?');
INSERT INTO `lang_definitions` VALUES (110100, 2048, 21, 'Tamamlanma Durumu');
INSERT INTO `lang_definitions` VALUES (110101, 2049, 21, 'Servis Sağlayıcının Komplikasyonları');
INSERT INTO `lang_definitions` VALUES (110102, 2050, 21, 'Düşük Komplikasyonları');
INSERT INTO `lang_definitions` VALUES (110103, 2051, 21, 'Bileşenler');
INSERT INTO `lang_definitions` VALUES (110104, 2057, 21, 'Bilgisayar Destekli Tıbbi Order Sistemi');
INSERT INTO `lang_definitions` VALUES (110105, 2058, 21, 'Sonuçlar');
INSERT INTO `lang_definitions` VALUES (110106, 2063, 21, 'Yapılandırma');
INSERT INTO `lang_definitions` VALUES (110107, 2064, 21, 'Yapılandırma');
INSERT INTO `lang_definitions` VALUES (110108, 2065, 21, 'Yapılandırmayı İçe/Dışa aktar');
INSERT INTO `lang_definitions` VALUES (110109, 2066, 21, 'Yapılandırma başarı ile kaydedildi');
INSERT INTO `lang_definitions` VALUES (110110, 2067, 21, 'Müşteri SSL sertifikalarını kullanmak üzere Apache ve OpenEMR ı yapılandır');
INSERT INTO `lang_definitions` VALUES (110111, 2068, 21, 'Müşteri tarafı SSL sertifikalarını kullanmak üzere Apache\'yi yapılandır.');
INSERT INTO `lang_definitions` VALUES (110112, 2069, 21, 'Apacheyi HTTPS kullanmak üzere yapılandır');
INSERT INTO `lang_definitions` VALUES (110113, 2070, 21, 'ÖzgürETK yı Kullanıcı tarafı SSL sertifikalarını kullanmak üzere yapılandır');
INSERT INTO `lang_definitions` VALUES (110114, 2074, 21, 'Yolları yapılandır');
INSERT INTO `lang_definitions` VALUES (110115, 2075, 21, 'Yolları Yapılandır');
INSERT INTO `lang_definitions` VALUES (110116, 2079, 21, 'Yeni Hasta Kaydı Oluşturmayı Onayla');
INSERT INTO `lang_definitions` VALUES (110117, 2081, 21, 'Yeni Şifreyi Onaylayınız');
INSERT INTO `lang_definitions` VALUES (110118, 2083, 21, 'Ödemeyi Onaylayın');
INSERT INTO `lang_definitions` VALUES (110119, 2090, 21, 'Uyuşmayan İlaçlar');
INSERT INTO `lang_definitions` VALUES (110120, 2092, 21, 'Konjenital');
INSERT INTO `lang_definitions` VALUES (110121, 2094, 21, 'Konjonktiva, pupillalar');
INSERT INTO `lang_definitions` VALUES (110122, 2096, 21, 'Bağlantı hatası');
INSERT INTO `lang_definitions` VALUES (110123, 2097, 21, 'Bağlayıcılar');
INSERT INTO `lang_definitions` VALUES (110124, 2098, 21, 'Sabit');
INSERT INTO `lang_definitions` VALUES (110125, 2100, 21, 'sabit isim');
INSERT INTO `lang_definitions` VALUES (110126, 2101, 21, 'Sabit isim boş');
INSERT INTO `lang_definitions` VALUES (110127, 2102, 21, 'sabitler');
INSERT INTO `lang_definitions` VALUES (110128, 2103, 21, 'Kabızlık');
INSERT INTO `lang_definitions` VALUES (110129, 2104, 21, 'Yapısal');
INSERT INTO `lang_definitions` VALUES (110130, 2105, 21, 'İnşaat Firması');
INSERT INTO `lang_definitions` VALUES (110131, 2106, 21, 'Konsültan hekim');
INSERT INTO `lang_definitions` VALUES (110132, 2107, 21, 'Konsültasyon Kısa Özeti');
INSERT INTO `lang_definitions` VALUES (110133, 2109, 21, 'Bağlantı');
INSERT INTO `lang_definitions` VALUES (110134, 2110, 21, 'Bağlantı Eposta');
INSERT INTO `lang_definitions` VALUES (110135, 2111, 21, 'Bağlantı Eposta Adresi');
INSERT INTO `lang_definitions` VALUES (110136, 2112, 21, 'phiMail Doğrudan mesj hizmetine kaydolmak için EMR Direct ile temas kurunuz');
INSERT INTO `lang_definitions` VALUES (110137, 2113, 21, 'İletişim bilgileri');
INSERT INTO `lang_definitions` VALUES (110138, 2117, 21, 'Kontakt Lens');
INSERT INTO `lang_definitions` VALUES (110139, 2122, 21, 'Bağlantı kurulacak kişinin adı');
INSERT INTO `lang_definitions` VALUES (110140, 2125, 21, 'Bağlantı kurulacak kişi');
INSERT INTO `lang_definitions` VALUES (110141, 2127, 21, 'Bağlantı kurulacak telefon numarası');
INSERT INTO `lang_definitions` VALUES (110142, 2131, 21, 'aşağıdaki kalemlerden en az üç veya dördünü içerir:');
INSERT INTO `lang_definitions` VALUES (110143, 2132, 21, 'Konteyner grup adı');
INSERT INTO `lang_definitions` VALUES (110144, 2133, 21, 'İçerik');
INSERT INTO `lang_definitions` VALUES (110145, 2134, 21, 'içerik');
INSERT INTO `lang_definitions` VALUES (110146, 2136, 21, 'İçerik');
INSERT INTO `lang_definitions` VALUES (110147, 2137, 21, 'İçerik ismi boş olamaz');
INSERT INTO `lang_definitions` VALUES (110148, 2138, 21, 'Devam');
INSERT INTO `lang_definitions` VALUES (110149, 2142, 21, 'Bakımın Devamlılığı Belgesi (BDB)');
INSERT INTO `lang_definitions` VALUES (110150, 2145, 21, 'Bakımın Devamlılığı Kaydı(BDK)');
INSERT INTO `lang_definitions` VALUES (110151, 2146, 21, 'Aile Planlaması Hastaları');
INSERT INTO `lang_definitions` VALUES (110152, 2147, 21, 'Gebelikten Korunma');
INSERT INTO `lang_definitions` VALUES (110153, 2148, 21, 'Gebelikten Korunma Konuları');
INSERT INTO `lang_definitions` VALUES (110154, 2149, 21, 'Kontraseptif Komplikasyon (belirtiniz)');
INSERT INTO `lang_definitions` VALUES (110155, 2150, 21, 'Doğum Kontrol Yöntemi');
INSERT INTO `lang_definitions` VALUES (110156, 2151, 21, 'Aile Planlaması Ürünleri');
INSERT INTO `lang_definitions` VALUES (110157, 2152, 21, 'Önceden başlanmış doğum kontrol hizmetleri');
INSERT INTO `lang_definitions` VALUES (110158, 2153, 21, 'Kontraseptiflere Başla');
INSERT INTO `lang_definitions` VALUES (110159, 2158, 21, 'Kontrol ID');
INSERT INTO `lang_definitions` VALUES (110160, 2159, 21, 'Kontrol No:');
INSERT INTO `lang_definitions` VALUES (110161, 2168, 21, 'Eş ödeme');
INSERT INTO `lang_definitions` VALUES (110162, 2169, 21, 'Eködeme');
INSERT INTO `lang_definitions` VALUES (110163, 2170, 21, 'EkÖdeme');
INSERT INTO `lang_definitions` VALUES (110164, 2171, 21, 'Eködeme olumlu değil');
INSERT INTO `lang_definitions` VALUES (110165, 2172, 21, 'Eködeme Ödendi');
INSERT INTO `lang_definitions` VALUES (110166, 2173, 21, 'Eködemeler');
INSERT INTO `lang_definitions` VALUES (110167, 2174, 21, 'KOAH');
INSERT INTO `lang_definitions` VALUES (110168, 2175, 21, 'Sayfaları Hasta Dosyasına Kopyala');
INSERT INTO `lang_definitions` VALUES (110169, 2177, 21, 'Değerleri Kopyala');
INSERT INTO `lang_definitions` VALUES (110170, 2178, 21, 'Veritabanı dosyası kopyalanıyor. Biraz zaman alacak.');
INSERT INTO `lang_definitions` VALUES (110171, 2179, 21, 'Telif hakkı bilgisi');
INSERT INTO `lang_definitions` VALUES (110172, 2184, 21, 'Koroner Arter Baypas');
INSERT INTO `lang_definitions` VALUES (110173, 2185, 21, 'Koroner Arter Baypas Grefti');
INSERT INTO `lang_definitions` VALUES (110174, 2186, 21, 'Düzeltildi');
INSERT INTO `lang_definitions` VALUES (110175, 2187, 21, 'Korsika');
INSERT INTO `lang_definitions` VALUES (110176, 2188, 21, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (110177, 2189, 21, 'CouchDB Bağlantısı Başarısız oldu');
INSERT INTO `lang_definitions` VALUES (110178, 2191, 21, 'CouchDB Veritabanı');
INSERT INTO `lang_definitions` VALUES (110179, 2192, 21, 'CouchDB veritabanı adı');
INSERT INTO `lang_definitions` VALUES (110180, 2195, 21, 'CouchDB sağlayıcı');
INSERT INTO `lang_definitions` VALUES (110181, 2196, 21, 'CouchDB Host ismi');
INSERT INTO `lang_definitions` VALUES (110182, 2197, 21, 'CouchDB Log etkinleştir');
INSERT INTO `lang_definitions` VALUES (110183, 2198, 21, 'CouchDB şifresi');
INSERT INTO `lang_definitions` VALUES (110184, 2199, 21, 'CouchDB Portu');
INSERT INTO `lang_definitions` VALUES (110185, 2200, 21, 'CouchDB portu');
INSERT INTO `lang_definitions` VALUES (110186, 2201, 21, 'CouchDB kayıdı başarısız oldu');
INSERT INTO `lang_definitions` VALUES (110187, 2203, 21, 'CouchDB KullanıcıAdı');
INSERT INTO `lang_definitions` VALUES (110188, 2204, 21, 'Öksürük');
INSERT INTO `lang_definitions` VALUES (110189, 2205, 21, 'Öksürük:');
INSERT INTO `lang_definitions` VALUES (110190, 2206, 21, 'sunucuya bağlanılamadı');
INSERT INTO `lang_definitions` VALUES (110191, 2210, 21, 'tablo açılamadı');
INSERT INTO `lang_definitions` VALUES (110192, 2211, 21, 'Dosya okunamadı');
INSERT INTO `lang_definitions` VALUES (110193, 2212, 21, 'Dosya okunamadı');
INSERT INTO `lang_definitions` VALUES (110194, 2214, 21, 'Sunucu sorunu nedeniyle eposta gönderilemedi.');
INSERT INTO `lang_definitions` VALUES (110195, 2216, 21, 'email sunucu hatası nedeniyle gönderilemedi');
INSERT INTO `lang_definitions` VALUES (110196, 2217, 21, 'Yedek klasörü oluşturulamadı:');
INSERT INTO `lang_definitions` VALUES (110197, 2218, 21, 'Klasör silinemedi:');
INSERT INTO `lang_definitions` VALUES (110198, 2219, 21, 'Eski yedek dosyası silinemedi:');
INSERT INTO `lang_definitions` VALUES (110199, 2220, 21, 'Eski dışarı aktarım dosyası silinemedi:');
INSERT INTO `lang_definitions` VALUES (110200, 2221, 21, 'Kumadin tedavisi INR izlemi');
INSERT INTO `lang_definitions` VALUES (110201, 2222, 21, 'Yönteme göre ülkeler');
INSERT INTO `lang_definitions` VALUES (110202, 2223, 21, 'Danışma');
INSERT INTO `lang_definitions` VALUES (110203, 2224, 21, 'Danışmanlık Faaliyetleri');
INSERT INTO `lang_definitions` VALUES (110204, 2227, 21, 'KARŞI SEVK FORMU');
INSERT INTO `lang_definitions` VALUES (110205, 2228, 21, 'Karşı-Sevk');
INSERT INTO `lang_definitions` VALUES (110206, 2229, 21, 'Ülke');
INSERT INTO `lang_definitions` VALUES (110207, 2231, 21, 'Ülke Veri Tipi');
INSERT INTO `lang_definitions` VALUES (110208, 2232, 21, 'Ülke listesi');
INSERT INTO `lang_definitions` VALUES (110209, 2233, 21, 'Ülke Listesi (yaz, yalnızca ekle seçmeli)');
INSERT INTO `lang_definitions` VALUES (110210, 2235, 21, 'Ülke İsmi iki harfle temsil edilmelidir. ( Örnek: Türkiye TR dir)');
INSERT INTO `lang_definitions` VALUES (110211, 2236, 21, 'kasaba');
INSERT INTO `lang_definitions` VALUES (110212, 2238, 21, 'Bono');
INSERT INTO `lang_definitions` VALUES (110213, 2245, 21, 'GİT (Güncel İşlem Terminolojisi)');
INSERT INTO `lang_definitions` VALUES (110214, 2246, 21, 'GİT Kodu');
INSERT INTO `lang_definitions` VALUES (110215, 2247, 21, 'GİT Kodları');
INSERT INTO `lang_definitions` VALUES (110216, 2252, 21, 'Raller:');
INSERT INTO `lang_definitions` VALUES (110217, 2255, 21, 'krem');
INSERT INTO `lang_definitions` VALUES (110218, 2256, 21, 'Her bir kullanıcı veya her bir iş istasyonu için yeni bir müşteri SSL sertifikası oluştur');
INSERT INTO `lang_definitions` VALUES (110219, 2257, 21, 'Her bir kullanıcı veya her bir kullanıcı ev sahibi ismi için yeni bir müşteri SSL sertifikası oluştur');
INSERT INTO `lang_definitions` VALUES (110220, 2261, 21, 'Yeni yol oluştur');
INSERT INTO `lang_definitions` VALUES (110221, 2269, 21, 'Bir Olay Oluştur');
INSERT INTO `lang_definitions` VALUES (110222, 2273, 21, 'Tam bir yedek oluştur ve indir');
INSERT INTO `lang_definitions` VALUES (110223, 2274, 21, 'Yolları oluştur ve düzenle');
INSERT INTO `lang_definitions` VALUES (110224, 2275, 21, 'Yedek Oluştur');
INSERT INTO `lang_definitions` VALUES (110225, 2276, 21, 'Yığın dosyası oluştur.');
INSERT INTO `lang_definitions` VALUES (110226, 2277, 21, 'Müşteri Sertifikası Oluştur');
INSERT INTO `lang_definitions` VALUES (110227, 2278, 21, 'Müşteri tarafı sertifikaları oluştur');
INSERT INTO `lang_definitions` VALUES (110228, 2281, 21, 'Kopyasını Oluştur');
INSERT INTO `lang_definitions` VALUES (110229, 2282, 21, 'Vizite kaydı oluştur');
INSERT INTO `lang_definitions` VALUES (110230, 2283, 21, 'Olay kaydının yedeğini oluştur');
INSERT INTO `lang_definitions` VALUES (110231, 2285, 21, 'Yeni konu oluştur');
INSERT INTO `lang_definitions` VALUES (110232, 2287, 21, 'Yeni Hasta Oluştur');
INSERT INTO `lang_definitions` VALUES (110233, 2288, 21, 'Yeni Yol oluştur');
INSERT INTO `lang_definitions` VALUES (110234, 2290, 21, 'Ofis erişimi kimlik bilgilerini oluştur');
INSERT INTO `lang_definitions` VALUES (110235, 2292, 21, 'Yerinde kimlik bilgilerini oluştur');
INSERT INTO `lang_definitions` VALUES (110236, 2294, 21, 'Hasta Notu Oluştur');
INSERT INTO `lang_definitions` VALUES (110237, 2296, 21, 'SSL Sertifikası Yetkilisi ve Sunucu sertifikaları oluştur.');
INSERT INTO `lang_definitions` VALUES (110238, 2297, 21, 'Vizit Oluştur.');
INSERT INTO `lang_definitions` VALUES (110239, 2298, 21, 'Oluşturuldu');
INSERT INTO `lang_definitions` VALUES (110240, 2306, 21, 'Dışa aktarım dosyası oluşturuluyor');
INSERT INTO `lang_definitions` VALUES (110241, 2307, 21, 'Yeni yol oluşturulması başarısız oldu');
INSERT INTO `lang_definitions` VALUES (110242, 2308, 21, 'Uzak sunucuda bu dosya oluşturulamadı');
INSERT INTO `lang_definitions` VALUES (110243, 2309, 21, 'İlk oluşturan');
INSERT INTO `lang_definitions` VALUES (110244, 2311, 21, 'alacak');
INSERT INTO `lang_definitions` VALUES (110245, 2312, 21, 'Kredi Kartı');
INSERT INTO `lang_definitions` VALUES (110246, 2314, 21, 'Krediler');
INSERT INTO `lang_definitions` VALUES (110247, 2315, 21, 'Kri');
INSERT INTO `lang_definitions` VALUES (110248, 2316, 21, 'Kriter');
INSERT INTO `lang_definitions` VALUES (110249, 2318, 21, 'Hırvat');
INSERT INTO `lang_definitions` VALUES (110250, 2319, 21, 'Kron Hastalığı');
INSERT INTO `lang_definitions` VALUES (110251, 2320, 21, 'Kron Hastalığı');
INSERT INTO `lang_definitions` VALUES (110252, 2323, 21, 'CSV dışa aktarma');
INSERT INTO `lang_definitions` VALUES (110253, 2324, 21, 'CSV Dosyası');
INSERT INTO `lang_definitions` VALUES (110254, 2325, 21, 'CSV Tablolar');
INSERT INTO `lang_definitions` VALUES (110255, 2330, 21, 'mm3');
INSERT INTO `lang_definitions` VALUES (110256, 2331, 21, 'Kübalı');
INSERT INTO `lang_definitions` VALUES (110257, 2333, 21, 'Para Birimi Ondalık Yerleri');
INSERT INTO `lang_definitions` VALUES (110258, 2334, 21, 'Para birimi Ondalık Sembolü');
INSERT INTO `lang_definitions` VALUES (110259, 2335, 21, 'Para Birimi Kısaltması');
INSERT INTO `lang_definitions` VALUES (110260, 2336, 21, 'Para Birimi Binler Ayırıcısı');
INSERT INTO `lang_definitions` VALUES (110261, 2337, 21, 'Güncel');
INSERT INTO `lang_definitions` VALUES (110262, 2338, 21, 'Güncel Alkol');
INSERT INTO `lang_definitions` VALUES (110263, 2341, 21, 'Güncel Konsültasyon');
INSERT INTO `lang_definitions` VALUES (110264, 2342, 21, 'Güncel Kriterler');
INSERT INTO `lang_definitions` VALUES (110265, 2344, 21, 'Güncel günü vurgulama rengi');
INSERT INTO `lang_definitions` VALUES (110266, 2345, 21, 'Halen her gün sigara içer');
INSERT INTO `lang_definitions` VALUES (110267, 2347, 21, 'Güncel dosyanın yeni ismi:');
INSERT INTO `lang_definitions` VALUES (110268, 2349, 21, 'Güncel Karma');
INSERT INTO `lang_definitions` VALUES (110269, 2350, 21, 'Güncel Yer');
INSERT INTO `lang_definitions` VALUES (110270, 2352, 21, 'Güncel İlaçlar');
INSERT INTO `lang_definitions` VALUES (110271, 2354, 21, 'Güncel Şifre');
INSERT INTO `lang_definitions` VALUES (110272, 2356, 21, 'Güncel Hasta');
INSERT INTO `lang_definitions` VALUES (110273, 2359, 21, 'Sadece Güncel Hasta');
INSERT INTO `lang_definitions` VALUES (110274, 2361, 21, 'Halen kullandığı uyuşturucu ilaçlar');
INSERT INTO `lang_definitions` VALUES (110275, 2363, 21, 'Halen bazı günler sigara içer');
INSERT INTO `lang_definitions` VALUES (110276, 2369, 21, 'Şu anki Değeri');
INSERT INTO `lang_definitions` VALUES (110277, 2371, 21, 'Halen Aktif');
INSERT INTO `lang_definitions` VALUES (110278, 2375, 21, 'Halen Çalışıyor');
INSERT INTO `lang_definitions` VALUES (110279, 2377, 21, 'Halen hiç tesis yok.');
INSERT INTO `lang_definitions` VALUES (110280, 2379, 21, 'Cushing Sendromu');
INSERT INTO `lang_definitions` VALUES (110281, 2380, 21, 'Cushing Sendromu');
INSERT INTO `lang_definitions` VALUES (110282, 2383, 21, 'Özel');
INSERT INTO `lang_definitions` VALUES (110283, 2390, 21, 'Özel Giriş?');
INSERT INTO `lang_definitions` VALUES (110284, 2395, 21, 'Özel Tablo');
INSERT INTO `lang_definitions` VALUES (110285, 2402, 21, 'Aşı Kodu');
INSERT INTO `lang_definitions` VALUES (110286, 2403, 21, 'Aşı Kod Haritası');
INSERT INTO `lang_definitions` VALUES (110287, 2404, 21, 'Aşı Bağışıklama');
INSERT INTO `lang_definitions` VALUES (110288, 2406, 21, 'Siklus');
INSERT INTO `lang_definitions` VALUES (110289, 2412, 21, 'CYP (Çocuklar ve Gençler)');
INSERT INTO `lang_definitions` VALUES (110290, 2413, 21, 'CYP faktörü ( Yıl başına konunan çift katsayısı)');
INSERT INTO `lang_definitions` VALUES (110291, 2415, 21, 'Çek');
INSERT INTO `lang_definitions` VALUES (110292, 2416, 21, 'D');
INSERT INTO `lang_definitions` VALUES (110293, 2417, 21, 'D&C');
INSERT INTO `lang_definitions` VALUES (110294, 2418, 21, 'D&E');
INSERT INTO `lang_definitions` VALUES (110295, 2420, 21, 'Doğum Tarihi');
INSERT INTO `lang_definitions` VALUES (110296, 2421, 21, 'günde');
INSERT INTO `lang_definitions` VALUES (110297, 2422, 21, 'Günlük Kayıt');
INSERT INTO `lang_definitions` VALUES (110298, 2425, 21, 'Danimarkaca');
INSERT INTO `lang_definitions` VALUES (110299, 2429, 21, 'Veritabanında benzeri veri önceden var, lütfen kod ve/veya tanımı değiştiriniz');
INSERT INTO `lang_definitions` VALUES (110300, 2430, 21, 'Veritabanında benzeri veri önceden var, lütfen sabit ismini değiştiriniz');
INSERT INTO `lang_definitions` VALUES (110301, 2431, 21, 'Veri Sütunları');
INSERT INTO `lang_definitions` VALUES (110302, 2434, 21, 'Veri Hatası');
INSERT INTO `lang_definitions` VALUES (110303, 2435, 21, 'Verinin alındığı yer');
INSERT INTO `lang_definitions` VALUES (110304, 2437, 21, 'Bugüne kadar olan tüm vizitelerin verileri');
INSERT INTO `lang_definitions` VALUES (110305, 2439, 21, 'Veri Tipi');
INSERT INTO `lang_definitions` VALUES (110306, 2440, 21, 'Veritabanı');
INSERT INTO `lang_definitions` VALUES (110307, 2442, 21, 'Veritabanı kurulu değil.');
INSERT INTO `lang_definitions` VALUES (110308, 2444, 21, 'Veritabanı yaması');
INSERT INTO `lang_definitions` VALUES (110309, 2445, 21, 'Veritabanı Raporlama');
INSERT INTO `lang_definitions` VALUES (110310, 2447, 21, 'Veritabanı yükseltilmesi bitti.');
INSERT INTO `lang_definitions` VALUES (110311, 2448, 21, 'VeriSütunları 1 ile 999 arasında bir sayı olmak zorunda');
INSERT INTO `lang_definitions` VALUES (110312, 2449, 21, 'Tarih');
INSERT INTO `lang_definitions` VALUES (110313, 2450, 21, 'TARİH');
INSERT INTO `lang_definitions` VALUES (110314, 2451, 21, 'Uygulandığı Tarih ve Zaman');
INSERT INTO `lang_definitions` VALUES (110315, 2453, 21, 'Uygulama Tarihi');
INSERT INTO `lang_definitions` VALUES (110316, 2454, 21, 'Örneğin alındığı tarih ve zaman');
INSERT INTO `lang_definitions` VALUES (110317, 2455, 21, 'Bu gözlemin tarih ve saati');
INSERT INTO `lang_definitions` VALUES (110318, 2457, 21, 'Örneğin alındığı tarih ve zaman');
INSERT INTO `lang_definitions` VALUES (110319, 2458, 21, 'Tarih bugünden büyük olamaz');
INSERT INTO `lang_definitions` VALUES (110320, 2459, 21, 'Doğum kontrol hizmetlerinin ilk defa sağlandığı tarih');
INSERT INTO `lang_definitions` VALUES (110321, 2460, 21, 'Oluşturulduğu Tarih');
INSERT INTO `lang_definitions` VALUES (110322, 2461, 21, 'Ölüm Tarihi');
INSERT INTO `lang_definitions` VALUES (110323, 2462, 21, 'Tarih Kaldırıldı');
INSERT INTO `lang_definitions` VALUES (110324, 2463, 21, 'Tarih Görüntülenme Biçimi');
INSERT INTO `lang_definitions` VALUES (110325, 2464, 21, '\"randevu sonu\" için tarih formatı geçerli değil');
INSERT INTO `lang_definitions` VALUES (110326, 2465, 21, '\"randevu başlangıcı\" için tarih formatı geçerli değil');
INSERT INTO `lang_definitions` VALUES (110327, 2466, 21, '\"Sonraki Randevu\" için tarih formatı geçerli değil');
INSERT INTO `lang_definitions` VALUES (110328, 2467, 21, '\"den beri görülmedi\" için tarih formatı geçerli değil');
INSERT INTO `lang_definitions` VALUES (110329, 2469, 21, '\"den beri görülmedi\" için tarih formatı geçerli değil');
INSERT INTO `lang_definitions` VALUES (110330, 2470, 21, 'Bağışıklama Tabloları Bilgisinin Verildiği Tarih');
INSERT INTO `lang_definitions` VALUES (110331, 2471, 21, 'kod için tarih eksik');
INSERT INTO `lang_definitions` VALUES (110332, 2472, 21, 'Master kriter tarihi');
INSERT INTO `lang_definitions` VALUES (110333, 2475, 21, 'Banka hesap tarihi yyyy-aa-gg');
INSERT INTO `lang_definitions` VALUES (110334, 2476, 21, 'Fatura tarihi');
INSERT INTO `lang_definitions` VALUES (110335, 2477, 21, 'Doğum Tarihi');
INSERT INTO `lang_definitions` VALUES (110336, 2478, 21, 'Doğum tarihi');
INSERT INTO `lang_definitions` VALUES (110337, 2479, 21, 'Doğum Tarihi');
INSERT INTO `lang_definitions` VALUES (110338, 2481, 21, 'Kayıt tarihi');
INSERT INTO `lang_definitions` VALUES (110339, 2483, 21, 'Yaralanma tarihi');
INSERT INTO `lang_definitions` VALUES (110340, 2487, 21, 'Ödeme tarihi yyyy-aa-gg');
INSERT INTO `lang_definitions` VALUES (110341, 2489, 21, 'Sevk tarihi');
INSERT INTO `lang_definitions` VALUES (110342, 2491, 21, 'Cevap tarihi');
INSERT INTO `lang_definitions` VALUES (110343, 2492, 21, 'Rapor tarihi');
INSERT INTO `lang_definitions` VALUES (110344, 2493, 21, 'Servis tarihi');
INSERT INTO `lang_definitions` VALUES (110345, 2495, 21, 'Servis tarihi');
INSERT INTO `lang_definitions` VALUES (110346, 2496, 21, 'Servis Tarihi = Bugün');
INSERT INTO `lang_definitions` VALUES (110347, 2498, 21, 'Servis tarihi aa/gg/yyyy');
INSERT INTO `lang_definitions` VALUES (110348, 2499, 21, 'Servis Tarihi:');
INSERT INTO `lang_definitions` VALUES (110349, 2500, 21, 'İmza tarihi');
INSERT INTO `lang_definitions` VALUES (110350, 2501, 21, 'Durum Değişikliği Tarihi');
INSERT INTO `lang_definitions` VALUES (110351, 2503, 21, 'Bu siparişin tarihi');
INSERT INTO `lang_definitions` VALUES (110352, 2504, 21, 'Bu raporun tarihi');
INSERT INTO `lang_definitions` VALUES (110353, 2505, 21, 'Aşı Bilgi Beyanı tarihi');
INSERT INTO `lang_definitions` VALUES (110354, 2506, 21, 'Sipariş tarihi');
INSERT INTO `lang_definitions` VALUES (110355, 2508, 21, 'Tarih Seçici');
INSERT INTO `lang_definitions` VALUES (110356, 2509, 21, 'Tarih seçici');
INSERT INTO `lang_definitions` VALUES (110357, 2510, 21, 'Gönderildiği Tarih');
INSERT INTO `lang_definitions` VALUES (110358, 2511, 21, 'Mesajın Gönderildiği Tarih');
INSERT INTO `lang_definitions` VALUES (110359, 2512, 21, 'Tarih Zaman');
INSERT INTO `lang_definitions` VALUES (110360, 2513, 21, 'Tarih değerleri boş bırakılamaz');
INSERT INTO `lang_definitions` VALUES (110361, 2516, 21, 'Rand/ Tarih');
INSERT INTO `lang_definitions` VALUES (110362, 2517, 21, 'Notlar/Tarih');
INSERT INTO `lang_definitions` VALUES (110363, 2518, 21, 'Son Notlar/ Tarih');
INSERT INTO `lang_definitions` VALUES (110364, 2519, 21, 'Tarih/Saat');
INSERT INTO `lang_definitions` VALUES (110365, 2520, 21, 'Tarih:');
INSERT INTO `lang_definitions` VALUES (110366, 2523, 21, 'Tarihe göre mesaj kütüğü');
INSERT INTO `lang_definitions` VALUES (110367, 2526, 21, 'Gün');
INSERT INTO `lang_definitions` VALUES (110368, 2527, 21, 'gün');
INSERT INTO `lang_definitions` VALUES (110369, 2530, 21, 'Gün Görünümü');
INSERT INTO `lang_definitions` VALUES (110370, 2531, 21, 'Gün');
INSERT INTO `lang_definitions` VALUES (110371, 2532, 21, 'Gün(ler)Pt-Cu');
INSERT INTO `lang_definitions` VALUES (110372, 2533, 21, 'günler');
INSERT INTO `lang_definitions` VALUES (110373, 2534, 21, 'Günler');
INSERT INTO `lang_definitions` VALUES (110374, 2535, 21, 'gün önce.');
INSERT INTO `lang_definitions` VALUES (110375, 2536, 21, 'Kaçırılmış Günler ve Oyunlar');
INSERT INTO `lang_definitions` VALUES (110376, 2537, 21, 'Son Görüşmeden Sonra Geçen Gün');
INSERT INTO `lang_definitions` VALUES (110377, 2538, 21, 'Kaçırılan Günler');
INSERT INTO `lang_definitions` VALUES (110378, 2541, 21, 'Sütun başı Günler');
INSERT INTO `lang_definitions` VALUES (110379, 2543, 21, 'Günler/Süt');
INSERT INTO `lang_definitions` VALUES (110380, 2544, 21, 'VT kuruldu');
INSERT INTO `lang_definitions` VALUES (110381, 2545, 21, 'GG/AA/YYYY');
INSERT INTO `lang_definitions` VALUES (110382, 2546, 21, 'Hasta kimlik bilgilerinin gizlenmesi');
INSERT INTO `lang_definitions` VALUES (110383, 2547, 21, 'Hasta kimlik bilgilerinin gizlenmesi işlemi tamamlandı');
INSERT INTO `lang_definitions` VALUES (110384, 2548, 21, 'Hasta kimlik bilgilerinin gizlenmesi işlemi devam ediyor');
INSERT INTO `lang_definitions` VALUES (110385, 2549, 21, 'Hasta kimlik bilgilerinin gizlenmesi işlemi başlatıldı ve arka planda devam ediyor');
INSERT INTO `lang_definitions` VALUES (110386, 2550, 21, 'Kimlik bilgileri gizlenmiş veriler tam olmayabilir');
INSERT INTO `lang_definitions` VALUES (110387, 2551, 21, 'Kimlik bilgileri gizlenmiş dosyaların kaydedileceği yer:');
INSERT INTO `lang_definitions` VALUES (110388, 2552, 21, 'DEA');
INSERT INTO `lang_definitions` VALUES (110389, 2558, 21, 'Sağır');
INSERT INTO `lang_definitions` VALUES (110390, 2562, 21, 'Hata bulma bilgisi');
INSERT INTO `lang_definitions` VALUES (110391, 2564, 21, 'Hata bulma');
INSERT INTO `lang_definitions` VALUES (110392, 2565, 21, 'Ara');
INSERT INTO `lang_definitions` VALUES (110393, 2567, 21, 'ÖLDÜ');
INSERT INTO `lang_definitions` VALUES (110394, 2574, 21, 'Aralık');
INSERT INTO `lang_definitions` VALUES (110395, 2578, 21, 'Ondalık libreler beya libre ve onslar # işaretiyle ayrılır (5#4 gibi)');
INSERT INTO `lang_definitions` VALUES (110396, 2579, 21, 'Konuşmayı Red Etti');
INSERT INTO `lang_definitions` VALUES (110397, 2580, 21, 'Vergiden düşülebilir');
INSERT INTO `lang_definitions` VALUES (110398, 2581, 21, 'Karşılanan indirimler');
INSERT INTO `lang_definitions` VALUES (110399, 2583, 21, 'Ön tanımlı');
INSERT INTO `lang_definitions` VALUES (110400, 2585, 21, 'Ön Tanımlı Takvim Görümümü');
INSERT INTO `lang_definitions` VALUES (110401, 2587, 21, 'Ön Tanımlı Görüşme Formu ID');
INSERT INTO `lang_definitions` VALUES (110402, 2589, 21, 'Ön Tanımlı Tesis');
INSERT INTO `lang_definitions` VALUES (110403, 2594, 21, 'Ön Tanımlı Dil');
INSERT INTO `lang_definitions` VALUES (110404, 2595, 21, 'Başka hiçbirisine izin verilmez ya da seçilmemiş ise ön tanımlı dil.');
INSERT INTO `lang_definitions` VALUES (110405, 2598, 21, 'Ön Tanımlı Liste (yaz, ekle seçmeli)');
INSERT INTO `lang_definitions` VALUES (110406, 2600, 21, 'Ön Tanımlı Yöntem');
INSERT INTO `lang_definitions` VALUES (110407, 2601, 21, 'Ön Tanımlı Şifrenin Sona ereceği Gün Sayısı');
INSERT INTO `lang_definitions` VALUES (110408, 2602, 21, 'Ön Tanımlı Şifrenin Sona ereceği Gün Sayısı 0 ise bu özelliğin devre dışı bırakıldığını gösterir');
INSERT INTO `lang_definitions` VALUES (110409, 2603, 21, 'Öntanımlı Hasta Ülkesi');
INSERT INTO `lang_definitions` VALUES (110410, 2606, 21, 'Ön Tanımlı Öncelik');
INSERT INTO `lang_definitions` VALUES (110411, 2607, 21, 'Ön Tanımlı Hizmet Sağlayıcı');
INSERT INTO `lang_definitions` VALUES (110412, 2609, 21, 'Ön Tanımlı Erim');
INSERT INTO `lang_definitions` VALUES (110413, 2610, 21, 'Vizitenin Ön Tanımlı Sebebi');
INSERT INTO `lang_definitions` VALUES (110414, 2615, 21, 'Ön tanımlı ayar');
INSERT INTO `lang_definitions` VALUES (110415, 2617, 21, 'Hasta listesinde Yeni Pencere işaret kutusunun ön tanımlı durumu');
INSERT INTO `lang_definitions` VALUES (110416, 2618, 21, 'Ön Tanımlı Kalıp');
INSERT INTO `lang_definitions` VALUES (110417, 2624, 21, 'Ön Tanımlı Birimler');
INSERT INTO `lang_definitions` VALUES (110418, 2626, 21, 'Ön Tanımlı Değer');
INSERT INTO `lang_definitions` VALUES (110419, 2628, 21, 'Ön Tanımlı Depo');
INSERT INTO `lang_definitions` VALUES (110420, 2629, 21, 'Ön Tanımlı X12 Partneri');
INSERT INTO `lang_definitions` VALUES (110421, 2630, 21, 'Ön Tanımlı/Global');
INSERT INTO `lang_definitions` VALUES (110422, 2635, 21, 'Sil');
INSERT INTO `lang_definitions` VALUES (110423, 2636, 21, 'sil');
INSERT INTO `lang_definitions` VALUES (110424, 2637, 21, 'Geç Nüks (>12 ay)');
INSERT INTO `lang_definitions` VALUES (110425, 2638, 21, 'Sil');
INSERT INTO `lang_definitions` VALUES (110426, 2639, 21, 'sil');
INSERT INTO `lang_definitions` VALUES (110427, 2640, 21, 'Silinecek Kategorilerin ID(leri):');
INSERT INTO `lang_definitions` VALUES (110428, 2641, 21, 'Silme Kategorisi');
INSERT INTO `lang_definitions` VALUES (110429, 2644, 21, 'Silme Başarısız');
INSERT INTO `lang_definitions` VALUES (110430, 2645, 21, 'Grubu Sil');
INSERT INTO `lang_definitions` VALUES (110431, 2646, 21, 'Listeyi Sil');
INSERT INTO `lang_definitions` VALUES (110432, 2648, 21, 'Sayfaları Sil');
INSERT INTO `lang_definitions` VALUES (110433, 2649, 21, 'Hasta Görüşme,Form, Konu, Belge, Ödeme, Fatura veya İşlemi Sil');
INSERT INTO `lang_definitions` VALUES (110434, 2651, 21, 'Satırı Sil');
INSERT INTO `lang_definitions` VALUES (110435, 2652, 21, 'Seçili Kalemleri Sil');
INSERT INTO `lang_definitions` VALUES (110436, 2655, 21, 'Silme başarılı.');
INSERT INTO `lang_definitions` VALUES (110437, 2656, 21, 'Bu belgeyi sil');
INSERT INTO `lang_definitions` VALUES (110438, 2657, 21, 'Bu formu sil');
INSERT INTO `lang_definitions` VALUES (110439, 2659, 21, 'Bu notu sil');
INSERT INTO `lang_definitions` VALUES (110440, 2661, 21, 'Başarıyla Silindi');
INSERT INTO `lang_definitions` VALUES (110441, 2671, 21, 'Demans');
INSERT INTO `lang_definitions` VALUES (110442, 2673, 21, 'Demografi');
INSERT INTO `lang_definitions` VALUES (110443, 2674, 21, 'Demografik Bilgiler(yaz, sadece ekle seçmeli)');
INSERT INTO `lang_definitions` VALUES (110444, 2678, 21, 'Demografik filtre kriterleri');
INSERT INTO `lang_definitions` VALUES (110445, 2680, 21, 'Demografik Bilgilere izin verilmiyor');
INSERT INTO `lang_definitions` VALUES (110446, 2681, 21, 'Demografik Bilgilere izin verilmiyor');
INSERT INTO `lang_definitions` VALUES (110447, 2684, 21, 'Payda');
INSERT INTO `lang_definitions` VALUES (110448, 2687, 21, 'Diş');
INSERT INTO `lang_definitions` VALUES (110449, 2689, 21, 'Diş Konuları');
INSERT INTO `lang_definitions` VALUES (110450, 2694, 21, 'Test ettiğiniz fatura tipine bağlı olarak HCFA (Sağlık Hizmeti Finans Yönetimi) faturaları için boş bir sayfada HCFA benzeri çıktılar göreceksiniz, Eğer X12 ödeme emri inceliyor iseniz karışık şifrelendirilmiş harflerden oluşan pekçok satır. Bu karışık yazı X12 EDI (Elektronik Data Değişimi) 4010A formatındadır. Bazen domino veya spiral benzeri acayip karakterler görebilirsiniz, bunlar sayfa sonu vs gibi kontrol karakteridir ve normaldir.');
INSERT INTO `lang_definitions` VALUES (110451, 2696, 21, 'Hesap Tarihi');
INSERT INTO `lang_definitions` VALUES (110452, 2697, 21, 'Hesap Tarihi Bugünden sonra olamaz');
INSERT INTO `lang_definitions` VALUES (110453, 2698, 21, 'Hesap Tarihi:');
INSERT INTO `lang_definitions` VALUES (110454, 2699, 21, 'Çökkün');
INSERT INTO `lang_definitions` VALUES (110455, 2700, 21, 'Depresyon');
INSERT INTO `lang_definitions` VALUES (110456, 2706, 21, 'Tanım');
INSERT INTO `lang_definitions` VALUES (110457, 2707, 21, 'tanım');
INSERT INTO `lang_definitions` VALUES (110458, 2709, 21, 'Açıklama Tanımı');
INSERT INTO `lang_definitions` VALUES (110459, 2710, 21, 'Bu işlemin tanımı veya sonuç kodu');
INSERT INTO `lang_definitions` VALUES (110460, 2711, 21, 'Tanım Çevirisi');
INSERT INTO `lang_definitions` VALUES (110461, 2713, 21, 'Varış Yeri');
INSERT INTO `lang_definitions` VALUES (110462, 2716, 21, 'Partiyi İmha Et');
INSERT INTO `lang_definitions` VALUES (110463, 2717, 21, 'İmha Et...');
INSERT INTO `lang_definitions` VALUES (110464, 2718, 21, 'İmha Edildi');
INSERT INTO `lang_definitions` VALUES (110465, 2719, 21, 'İmha Edilmiş İlaçlar');
INSERT INTO `lang_definitions` VALUES (110466, 2720, 21, 'İmha Edilmiş İlaçlar Raporu');
INSERT INTO `lang_definitions` VALUES (110467, 2721, 21, 'Ayrıntı');
INSERT INTO `lang_definitions` VALUES (110468, 2726, 21, 'Ayrıntılar');
INSERT INTO `lang_definitions` VALUES (110469, 2728, 21, 'Gelişimsel bozukluk');
INSERT INTO `lang_definitions` VALUES (110470, 2730, 21, 'Diyabet');
INSERT INTO `lang_definitions` VALUES (110471, 2731, 21, 'Diyabet Mellit');
INSERT INTO `lang_definitions` VALUES (110472, 2732, 21, 'Diyabet:Kan Basıncı Yönetimi');
INSERT INTO `lang_definitions` VALUES (110473, 2733, 21, 'Diyabet:Göz Muayenesi');
INSERT INTO `lang_definitions` VALUES (110474, 2734, 21, 'Diyabet:Göz Muayenesi Kalite Kontrol');
INSERT INTO `lang_definitions` VALUES (110475, 2735, 21, 'Diyabet Ayak Muayenesi');
INSERT INTO `lang_definitions` VALUES (110476, 2736, 21, 'Diyabet Ayak Muayenesi Kalite Kontrol');
INSERT INTO `lang_definitions` VALUES (110477, 2737, 21, 'Diyabet: Hemoglobin A1c Kötü Kontrol Kalite Kontrol');
INSERT INTO `lang_definitions` VALUES (110478, 2738, 21, 'Diyabet: Hemoglobin A1c');
INSERT INTO `lang_definitions` VALUES (110479, 2739, 21, 'Diyabet: LDL Yönetim ve Kontrolü Kalite Kontrol');
INSERT INTO `lang_definitions` VALUES (110480, 2740, 21, 'Diyabet: İdrarda Mikroalbüminemi');
INSERT INTO `lang_definitions` VALUES (110481, 2741, 21, 'Tanı');
INSERT INTO `lang_definitions` VALUES (110482, 2743, 21, 'Tanı');
INSERT INTO `lang_definitions` VALUES (110483, 2744, 21, 'Tanı Kodu');
INSERT INTO `lang_definitions` VALUES (110484, 2747, 21, 'Tanı tarihi');
INSERT INTO `lang_definitions` VALUES (110485, 2749, 21, 'Bağlanmış bir görüşmede tanı kodlanmalıdır');
INSERT INTO `lang_definitions` VALUES (110486, 2750, 21, 'Tanı İsmi');
INSERT INTO `lang_definitions` VALUES (110487, 2751, 21, 'Tanı Raporu');
INSERT INTO `lang_definitions` VALUES (110488, 2754, 21, 'Tanı Başlığı');
INSERT INTO `lang_definitions` VALUES (110489, 2755, 21, 'Tanı:');
INSERT INTO `lang_definitions` VALUES (110490, 2756, 21, 'Tanı:');
INSERT INTO `lang_definitions` VALUES (110491, 2758, 21, 'Tanısal Testler:');
INSERT INTO `lang_definitions` VALUES (110492, 2760, 21, 'Çevriliyor');
INSERT INTO `lang_definitions` VALUES (110493, 2763, 21, 'Diyaframlar/Başlıklar');
INSERT INTO `lang_definitions` VALUES (110494, 2764, 21, 'Diyare');
INSERT INTO `lang_definitions` VALUES (110495, 2767, 21, 'Dikte');
INSERT INTO `lang_definitions` VALUES (110496, 2768, 21, 'Dikte:');
INSERT INTO `lang_definitions` VALUES (110497, 2769, 21, 'Sağlık Sigortası Taşınabilirlik ve Sorumluluk Yasası Bildiriminin bir kopyasını aldınız mı?');
INSERT INTO `lang_definitions` VALUES (110498, 2770, 21, 'Yaygın:');
INSERT INTO `lang_definitions` VALUES (110499, 2771, 21, 'Dijital Olarak İmzalanmış');
INSERT INTO `lang_definitions` VALUES (110500, 2781, 21, 'Doğrudan Posta');
INSERT INTO `lang_definitions` VALUES (110501, 2787, 21, 'Müdür İsmi');
INSERT INTO `lang_definitions` VALUES (110502, 2789, 21, 'Sakatlık');
INSERT INTO `lang_definitions` VALUES (110503, 2794, 21, 'Takvimi Kaldır');
INSERT INTO `lang_definitions` VALUES (110504, 2795, 21, 'Çizelge İzleyicisini Kaldır');
INSERT INTO `lang_definitions` VALUES (110505, 2798, 21, 'Aşılamaları Kaldır');
INSERT INTO `lang_definitions` VALUES (110506, 2800, 21, 'Eski Metrik ANT Formunu Kaldır');
INSERT INTO `lang_definitions` VALUES (110507, 2802, 21, 'phpMyAdmin i kaldır');
INSERT INTO `lang_definitions` VALUES (110508, 2803, 21, 'Reçeteleri Kaldır');
INSERT INTO `lang_definitions` VALUES (110509, 2804, 21, 'Kullanıcı Gruplarını Kaldır');
INSERT INTO `lang_definitions` VALUES (110510, 2805, 21, 'kaldırıldı');
INSERT INTO `lang_definitions` VALUES (110511, 2806, 21, 'Kaldırıldı');
INSERT INTO `lang_definitions` VALUES (110512, 2812, 21, 'DISC');
INSERT INTO `lang_definitions` VALUES (110513, 2815, 21, 'Çıkart');
INSERT INTO `lang_definitions` VALUES (110514, 2816, 21, 'Uretra Akıntısı');
INSERT INTO `lang_definitions` VALUES (110515, 2818, 21, 'Sağ Akıntı');
INSERT INTO `lang_definitions` VALUES (110516, 2819, 21, 'Sağ Akıntı:');
INSERT INTO `lang_definitions` VALUES (110517, 2825, 21, 'Açıklama bilgisi');
INSERT INTO `lang_definitions` VALUES (110518, 2826, 21, 'Açıklama Tipi');
INSERT INTO `lang_definitions` VALUES (110519, 2827, 21, 'Açıklama Tipleri');
INSERT INTO `lang_definitions` VALUES (110520, 2828, 21, 'Açıklamalar');
INSERT INTO `lang_definitions` VALUES (110521, 2833, 21, 'İndirim');
INSERT INTO `lang_definitions` VALUES (110522, 2834, 21, 'İndirim Miktarı');
INSERT INTO `lang_definitions` VALUES (110523, 2835, 21, 'İndirim Düzeyi');
INSERT INTO `lang_definitions` VALUES (110524, 2836, 21, 'İndirim Yüzdesi');
INSERT INTO `lang_definitions` VALUES (110525, 2837, 21, 'Parasal Miktar olarak İndirimler');
INSERT INTO `lang_definitions` VALUES (110526, 2838, 21, 'Çıkış zamanında indirimler yüzde olarak değil para miktarı olarak girilir.');
INSERT INTO `lang_definitions` VALUES (110527, 2839, 21, 'Ayrık Sonuç');
INSERT INTO `lang_definitions` VALUES (110528, 2841, 21, 'Hastalık');
INSERT INTO `lang_definitions` VALUES (110529, 2843, 21, 'Çıkık');
INSERT INTO `lang_definitions` VALUES (110530, 2847, 21, 'Sevk No');
INSERT INTO `lang_definitions` VALUES (110531, 2848, 21, 'Sevk');
INSERT INTO `lang_definitions` VALUES (110532, 2849, 21, 'Alınan Belgelerin Dağıtımı');
INSERT INTO `lang_definitions` VALUES (110533, 2853, 21, 'Reçete edilmiş');
INSERT INTO `lang_definitions` VALUES (110534, 2856, 21, 'İleri direktifler ve demografik bilgiler sayfasını göster.');
INSERT INTO `lang_definitions` VALUES (110535, 2859, 21, 'Olay tarihleri blok olarak gösterilsin mi?');
INSERT INTO `lang_definitions` VALUES (110536, 2861, 21, 'Kaç olay gösterilsin');
INSERT INTO `lang_definitions` VALUES (110537, 2865, 21, 'Yer blok içerisinde gösterilsin mi?');
INSERT INTO `lang_definitions` VALUES (110538, 2866, 21, 'Görünen Ad');
INSERT INTO `lang_definitions` VALUES (110539, 2868, 21, 'Takvim gösterilsin mi?');
INSERT INTO `lang_definitions` VALUES (110540, 2875, 21, 'Bugünkü olaylar blokta gösterilsin mi?');
INSERT INTO `lang_definitions` VALUES (110541, 2876, 21, 'Konu blokta gösterilsin mi?');
INSERT INTO `lang_definitions` VALUES (110542, 2877, 21, 'Gelecek olaylar blokta gösterilsin mi?');
INSERT INTO `lang_definitions` VALUES (110543, 2879, 21, 'Gösterilen Sütunlar');
INSERT INTO `lang_definitions` VALUES (110544, 2880, 21, 'En son aşağıdaki sayıda açıklama gösteriliyor');
INSERT INTO `lang_definitions` VALUES (110545, 2882, 21, 'Aşağıdaki sayıda en yeni notlar gösterilmektedir');
INSERT INTO `lang_definitions` VALUES (110546, 2883, 21, 'En son notlardan izleyen sayıda olanlar gösteriliyor:');
INSERT INTO `lang_definitions` VALUES (110547, 2890, 21, 'Dağılım');
INSERT INTO `lang_definitions` VALUES (110548, 2891, 21, 'Dağılımlar');
INSERT INTO `lang_definitions` VALUES (110549, 2892, 21, 'Dağıtıcı');
INSERT INTO `lang_definitions` VALUES (110550, 2897, 21, 'Divertikülit');
INSERT INTO `lang_definitions` VALUES (110551, 2898, 21, 'Divertikülit Cerrahisi');
INSERT INTO `lang_definitions` VALUES (110552, 2899, 21, 'Divertikülitis');
INSERT INTO `lang_definitions` VALUES (110553, 2900, 21, 'Divertikülitis Cerrahisi');
INSERT INTO `lang_definitions` VALUES (110554, 2901, 21, 'Boşanmış');
INSERT INTO `lang_definitions` VALUES (110555, 2902, 21, 'Baş dönmesi');
INSERT INTO `lang_definitions` VALUES (110556, 2905, 21, 'Değiştirmeyiniz');
INSERT INTO `lang_definitions` VALUES (110557, 2912, 21, 'Takvimi göstermeyiniz');
INSERT INTO `lang_definitions` VALUES (110558, 2916, 21, 'Hiçbir ürünün envanterini çıkartmayınız ve satmayınız.');
INSERT INTO `lang_definitions` VALUES (110559, 2919, 21, 'Hasta notlarına yetkilendirme istemeyiniz.');
INSERT INTO `lang_definitions` VALUES (110560, 2920, 21, 'Resisüte Edilmeyecek Orderi');
INSERT INTO `lang_definitions` VALUES (110561, 2921, 21, 'kaydetmeyiniz');
INSERT INTO `lang_definitions` VALUES (110562, 2922, 21, 'yerine koymayınız');
INSERT INTO `lang_definitions` VALUES (110563, 2925, 21, 'hiçbir şey yapmayınız');
INSERT INTO `lang_definitions` VALUES (110564, 2929, 21, 'Gerçekten silmek istiyor musunuz?');
INSERT INTO `lang_definitions` VALUES (110565, 2930, 21, 'Seçili kısmı gerçekten silmek istiyor musunuz?');
INSERT INTO `lang_definitions` VALUES (110566, 2931, 21, 'Bu grubu gerçekten silmek istiyor musunuz?');
INSERT INTO `lang_definitions` VALUES (110567, 2934, 21, 'Devan etmek istiyor musunuz?');
INSERT INTO `lang_definitions` VALUES (110568, 2935, 21, 'Bunu silmek istiyor musunuz?');
INSERT INTO `lang_definitions` VALUES (110569, 2936, 21, 'Silmek istiyor musunuz?');
INSERT INTO `lang_definitions` VALUES (110570, 2937, 21, 'Bu kaydı silmek istiyor musunuz?');
INSERT INTO `lang_definitions` VALUES (110571, 2938, 21, 'Bu yeni hastayı eklemeye gerçekten devam etmek istiyor musunuz?');
INSERT INTO `lang_definitions` VALUES (110572, 2939, 21, 'Yeni isim ile devam etmek istiyor musunuz?');
INSERT INTO `lang_definitions` VALUES (110573, 2940, 21, 'Bu aşılama kaydını gerçekten KALICI OLARAK silmek istiyor musunuz?');
INSERT INTO `lang_definitions` VALUES (110574, 2941, 21, 'Doğum Tarihi');
INSERT INTO `lang_definitions` VALUES (110575, 2942, 21, 'Doğum Tarihi eksik mümkünse giriniz');
INSERT INTO `lang_definitions` VALUES (110576, 2944, 21, 'Doktorlar');
INSERT INTO `lang_definitions` VALUES (110577, 2945, 21, 'Doktor');
INSERT INTO `lang_definitions` VALUES (110578, 2946, 21, 'Doktor:');
INSERT INTO `lang_definitions` VALUES (110579, 2947, 21, 'Doktorun adı ve imzası');
INSERT INTO `lang_definitions` VALUES (110580, 2948, 21, 'Belge');
INSERT INTO `lang_definitions` VALUES (110581, 2949, 21, 'belge');
INSERT INTO `lang_definitions` VALUES (110582, 2951, 21, 'Belge Kategorileri');
INSERT INTO `lang_definitions` VALUES (110583, 2958, 21, 'Belge hasta id sine transfer edilemedi');
INSERT INTO `lang_definitions` VALUES (110584, 2960, 21, 'Belge Tarihi');
INSERT INTO `lang_definitions` VALUES (110585, 2961, 21, 'Belge tarih ve konusu başarıyla güncellendi');
INSERT INTO `lang_definitions` VALUES (110586, 2962, 21, 'Belge ID');
INSERT INTO `lang_definitions` VALUES (110587, 2965, 21, 'Belge yeni bir kategoriye taşındı');
INSERT INTO `lang_definitions` VALUES (110588, 2966, 21, 'Belge hasta id sine transfer edildi');
INSERT INTO `lang_definitions` VALUES (110589, 2968, 21, 'Belge bütünlük kontrolünü geçti.');
INSERT INTO `lang_definitions` VALUES (110590, 2970, 21, 'Belge/Resim Saklama');
INSERT INTO `lang_definitions` VALUES (110591, 2976, 21, 'Belge/Görüntüleme Saklanması');
INSERT INTO `lang_definitions` VALUES (110592, 2978, 21, 'Belgeler');
INSERT INTO `lang_definitions` VALUES (110593, 2980, 21, 'Belgeler (yaz, sadece ekle seçmeli)');
INSERT INTO `lang_definitions` VALUES (110594, 2989, 21, 'DOE');
INSERT INTO `lang_definitions` VALUES (110595, 2996, 21, 'Bu tip ilgili kodlara izin veriyor mu?');
INSERT INTO `lang_definitions` VALUES (110596, 2997, 21, 'Ev Arkadaşı');
INSERT INTO `lang_definitions` VALUES (110597, 2998, 21, 'Kaydetme');
INSERT INTO `lang_definitions` VALUES (110598, 2999, 21, 'Kaydetme');
INSERT INTO `lang_definitions` VALUES (110599, 3000, 21, 'Kaydetme');
INSERT INTO `lang_definitions` VALUES (110600, 3002, 21, 'Bitti');
INSERT INTO `lang_definitions` VALUES (110601, 3004, 21, 'Biten işlem:');
INSERT INTO `lang_definitions` VALUES (110602, 3005, 21, 'Bitti. Şimdi indire gönderilecek');
INSERT INTO `lang_definitions` VALUES (110603, 3006, 21, 'Ameliyat Tarihi');
INSERT INTO `lang_definitions` VALUES (110604, 3007, 21, 'Dozaj');
INSERT INTO `lang_definitions` VALUES (110605, 3011, 21, 'Düzenlemek için çift tıklayınız');
INSERT INTO `lang_definitions` VALUES (110606, 3013, 21, 'Çift Görme');
INSERT INTO `lang_definitions` VALUES (110607, 3014, 21, 'İndir');
INSERT INTO `lang_definitions` VALUES (110608, 3019, 21, 'Yine de İndir');
INSERT INTO `lang_definitions` VALUES (110609, 3020, 21, 'Fatura dosyasını indir, muhasebeye gönder ve faturalandırıldı diye işaretle.');
INSERT INTO `lang_definitions` VALUES (110610, 3022, 21, 'Sertifikaları İndir');
INSERT INTO `lang_definitions` VALUES (110611, 3023, 21, 'Konfigürasyon verilerini indir');
INSERT INTO `lang_definitions` VALUES (110612, 3027, 21, 'şifreli dosyayı indir');
INSERT INTO `lang_definitions` VALUES (110613, 3037, 21, 'Seçili Tabloları İndir');
INSERT INTO `lang_definitions` VALUES (110614, 3039, 21, 'Dr Kontrolü');
INSERT INTO `lang_definitions` VALUES (110615, 3040, 21, 'Dr Viziti');
INSERT INTO `lang_definitions` VALUES (110616, 3041, 21, 'Dr.');
INSERT INTO `lang_definitions` VALUES (110617, 3045, 21, 'Hareket ettirmek için sürükleyiniz');
INSERT INTO `lang_definitions` VALUES (110618, 3047, 21, 'Damlama');
INSERT INTO `lang_definitions` VALUES (110619, 3048, 21, 'Sürücü Belgesi No:');
INSERT INTO `lang_definitions` VALUES (110620, 3050, 21, 'İlaç');
INSERT INTO `lang_definitions` VALUES (110621, 3053, 21, 'İlaç Bulucu');
INSERT INTO `lang_definitions` VALUES (110622, 3054, 21, 'İlaç Formları');
INSERT INTO `lang_definitions` VALUES (110623, 3055, 21, 'İlaç ID si eksik');
INSERT INTO `lang_definitions` VALUES (110624, 3056, 21, 'İlaç araları');
INSERT INTO `lang_definitions` VALUES (110625, 3057, 21, 'İlaç envanteri');
INSERT INTO `lang_definitions` VALUES (110626, 3059, 21, 'İlaç İsmi');
INSERT INTO `lang_definitions` VALUES (110627, 3061, 21, 'İlacın verildiği Yollar');
INSERT INTO `lang_definitions` VALUES (110628, 3066, 21, 'İlaç Birimleri');
INSERT INTO `lang_definitions` VALUES (110629, 3072, 21, 'İlaçlar');
INSERT INTO `lang_definitions` VALUES (110630, 3073, 21, 'İlaçlar ve Ürünler');
INSERT INTO `lang_definitions` VALUES (110631, 3074, 21, 'Ağız Kuruluğu');
INSERT INTO `lang_definitions` VALUES (110632, 3076, 21, 'DT 1');
INSERT INTO `lang_definitions` VALUES (110633, 3077, 21, 'DT 2');
INSERT INTO `lang_definitions` VALUES (110634, 3078, 21, 'DT 3');
INSERT INTO `lang_definitions` VALUES (110635, 3079, 21, 'DT 4');
INSERT INTO `lang_definitions` VALUES (110636, 3080, 21, 'DT 5');
INSERT INTO `lang_definitions` VALUES (110637, 3081, 21, 'DBT 1');
INSERT INTO `lang_definitions` VALUES (110638, 3082, 21, 'DBT 2');
INSERT INTO `lang_definitions` VALUES (110639, 3083, 21, 'DBT 3');
INSERT INTO `lang_definitions` VALUES (110640, 3084, 21, 'DBT 4');
INSERT INTO `lang_definitions` VALUES (110641, 3085, 21, 'DBT 5');
INSERT INTO `lang_definitions` VALUES (110642, 3087, 21, 'Vadesi dolmuş');
INSERT INTO `lang_definitions` VALUES (110643, 3088, 21, 'Vade Tarihi');
INSERT INTO `lang_definitions` VALUES (110644, 3090, 21, 'Vade Tarihi aa/gg/yyyy veya yyyy/-aa-gg');
INSERT INTO `lang_definitions` VALUES (110645, 3091, 21, 'Vade Tarihi:');
INSERT INTO `lang_definitions` VALUES (110646, 3092, 21, 'Sigorta Borcu');
INSERT INTO `lang_definitions` VALUES (110647, 3093, 21, 'Hasta Borcu');
INSERT INTO `lang_definitions` VALUES (110648, 3094, 21, 'Vadesi Yakın');
INSERT INTO `lang_definitions` VALUES (110649, 3095, 21, 'Temerrüt Durumu');
INSERT INTO `lang_definitions` VALUES (110650, 3096, 21, 'Vade Durumu Güncelleme');
INSERT INTO `lang_definitions` VALUES (110651, 3097, 21, 'ÖzgürETK veritabanı dökümü yapılıyor');
INSERT INTO `lang_definitions` VALUES (110652, 3098, 21, 'ÖzgürETK web dizini ağacı dökümü yapılıyor');
INSERT INTO `lang_definitions` VALUES (110653, 3099, 21, 'phpGACL veritabanı dökümü yapılıyor');
INSERT INTO `lang_definitions` VALUES (110654, 3100, 21, 'phpGACL web dizini ağacı dökümü yapılıyor');
INSERT INTO `lang_definitions` VALUES (110655, 3101, 21, 'SQL-Defteri-kebir Veritabanı Dökümü Yapılıyor');
INSERT INTO `lang_definitions` VALUES (110656, 3102, 21, 'SQL-Defteri-kebir Veritabanı Dökümü Yapılıyor');
INSERT INTO `lang_definitions` VALUES (110657, 3103, 21, 'Çift Kontrolü');
INSERT INTO `lang_definitions` VALUES (110658, 3108, 21, 'Satırında çift ID');
INSERT INTO `lang_definitions` VALUES (110659, 3109, 21, 'Satırında çift isim');
INSERT INTO `lang_definitions` VALUES (110660, 3110, 21, 'ÇİFT UYARISI');
INSERT INTO `lang_definitions` VALUES (110661, 3111, 21, 'Avukatın Kalıcı Gücü');
INSERT INTO `lang_definitions` VALUES (110662, 3112, 21, 'süre');
INSERT INTO `lang_definitions` VALUES (110663, 3113, 21, 'süre');
INSERT INTO `lang_definitions` VALUES (110664, 3114, 21, 'Hollandaca');
INSERT INTO `lang_definitions` VALUES (110665, 3117, 21, 'Disfaji');
INSERT INTO `lang_definitions` VALUES (110666, 3118, 21, 'Dispne:');
INSERT INTO `lang_definitions` VALUES (110667, 3119, 21, 'Dizüri');
INSERT INTO `lang_definitions` VALUES (110668, 3128, 21, 'E-Reçete?');
INSERT INTO `lang_definitions` VALUES (110669, 3130, 21, 'e-Rx');
INSERT INTO `lang_definitions` VALUES (110670, 3132, 21, 'eRx Yenileme');
INSERT INTO `lang_definitions` VALUES (110671, 3140, 21, 'Erken Nüks (<2 Ay)');
INSERT INTO `lang_definitions` VALUES (110672, 3141, 21, 'Kulaklar');
INSERT INTO `lang_definitions` VALUES (110673, 3148, 21, 'EKG');
INSERT INTO `lang_definitions` VALUES (110674, 3152, 21, 'Ödem');
INSERT INTO `lang_definitions` VALUES (110675, 3157, 21, 'EDI-271 Dosya Yükleme');
INSERT INTO `lang_definitions` VALUES (110676, 3158, 21, 'EDI-271 Cevap Dosyası Yükleme');
INSERT INTO `lang_definitions` VALUES (110677, 3159, 21, 'Düzenle');
INSERT INTO `lang_definitions` VALUES (110678, 3160, 21, 'düzenle');
INSERT INTO `lang_definitions` VALUES (110679, 3161, 21, 'Alerjileri Düzenle');
INSERT INTO `lang_definitions` VALUES (110680, 3163, 21, 'Kategorileri Düzenle');
INSERT INTO `lang_definitions` VALUES (110681, 3165, 21, 'Tanımları Düzenle');
INSERT INTO `lang_definitions` VALUES (110682, 3166, 21, 'Tanımları düzenle');
INSERT INTO `lang_definitions` VALUES (110683, 3167, 21, 'Tanıları Düzenlenecek:');
INSERT INTO `lang_definitions` VALUES (110684, 3168, 21, 'Açıklamayı Düzenle');
INSERT INTO `lang_definitions` VALUES (110685, 3173, 21, 'Tesisleri Düzenle');
INSERT INTO `lang_definitions` VALUES (110686, 3174, 21, 'Tesisi Düzenle');
INSERT INTO `lang_definitions` VALUES (110687, 3175, 21, 'Tesis Bilgisini Düzenle');
INSERT INTO `lang_definitions` VALUES (110688, 3177, 21, 'Dosya düzenlenecek:');
INSERT INTO `lang_definitions` VALUES (110689, 3178, 21, 'Formu düzenle');
INSERT INTO `lang_definitions` VALUES (110690, 3179, 21, 'Global Ayarları Düzenle');
INSERT INTO `lang_definitions` VALUES (110691, 3183, 21, 'Görünümü düzenle');
INSERT INTO `lang_definitions` VALUES (110692, 3185, 21, 'Listeyi düzenle');
INSERT INTO `lang_definitions` VALUES (110693, 3188, 21, 'Ödemeyi düzenle');
INSERT INTO `lang_definitions` VALUES (110694, 3189, 21, 'Yapıyı Düzenle');
INSERT INTO `lang_definitions` VALUES (110695, 3192, 21, 'Kullanıcıyı Düzenle');
INSERT INTO `lang_definitions` VALUES (110696, 3193, 21, 'Kullanıcı ayarlarını düzenle');
INSERT INTO `lang_definitions` VALUES (110697, 3196, 21, 'Eğitim');
INSERT INTO `lang_definitions` VALUES (110698, 3197, 21, 'Eğitim Tarihi');
INSERT INTO `lang_definitions` VALUES (110699, 3199, 21, 'Daha fazla ayrıntı için GNU Genel Kamu Lisansına bakınız. ** Bu programla birlikte size GNU Genel Kamu Lisansının bir Kopyası gelmiş olmalıdır, gelmedi ise Özgür Yazılım Vakfına yazınız');
INSERT INTO `lang_definitions` VALUES (110700, 3200, 21, 'Etkili Olduğu Tarih');
INSERT INTO `lang_definitions` VALUES (110701, 3202, 21, 'Etkinlik');
INSERT INTO `lang_definitions` VALUES (110702, 3204, 21, 'İşveren No');
INSERT INTO `lang_definitions` VALUES (110703, 3207, 21, 'Ejakülasyonlar');
INSERT INTO `lang_definitions` VALUES (110704, 3208, 21, 'Dirsek');
INSERT INTO `lang_definitions` VALUES (110705, 3209, 21, 'Dirsek Sorunları');
INSERT INTO `lang_definitions` VALUES (110706, 3210, 21, 'Elektronik');
INSERT INTO `lang_definitions` VALUES (110707, 3214, 21, 'Elektronik Alındılar');
INSERT INTO `lang_definitions` VALUES (110708, 3218, 21, 'Seçilebilirlik');
INSERT INTO `lang_definitions` VALUES (110709, 3219, 21, 'Seçilebilirlik 270 Sorgu Yığını');
INSERT INTO `lang_definitions` VALUES (110710, 3220, 21, 'Seçilebilirlik Yanıtı');
INSERT INTO `lang_definitions` VALUES (110711, 3222, 21, 'Sağlık Bakanlığınca Sağlanan Çocuk Aşılarına seçilebilir durumu');
INSERT INTO `lang_definitions` VALUES (110712, 3223, 21, 'Seçilebilir');
INSERT INTO `lang_definitions` VALUES (110713, 3225, 21, 'Eposta');
INSERT INTO `lang_definitions` VALUES (110714, 3228, 21, 'Eposta Adresi');
INSERT INTO `lang_definitions` VALUES (110715, 3230, 21, 'Hasta hatırlatılatıcılarının gönderileceği eposta adresi. Yanıtlar bu adrese geleceğinden gereksiz postalar klasörüne düşmemesi için kliniğinizin alan adını içeren bir eposta adresi kullanmanız önemlidir.');
INSERT INTO `lang_definitions` VALUES (110716, 3231, 21, 'Yönetimsel uyarıların, eğer var ise, alınacağı eposta adresi');
INSERT INTO `lang_definitions` VALUES (110717, 3232, 21, 'Acil giriş kullanıcısının, eğer varsa, aktivasyon uyarılarını alacağı eposta adresi');
INSERT INTO `lang_definitions` VALUES (110718, 3233, 21, 'Eposta Yazan');
INSERT INTO `lang_definitions` VALUES (110719, 3236, 21, 'Batchcom dan Eposta');
INSERT INTO `lang_definitions` VALUES (110720, 3238, 21, 'Eposta Duyurusu');
INSERT INTO `lang_definitions` VALUES (110721, 3239, 21, 'Eposta Duyurusu Saatleri');
INSERT INTO `lang_definitions` VALUES (110722, 3244, 21, 'Önce Eposta gönder');
INSERT INTO `lang_definitions` VALUES (110723, 3245, 21, 'Eposta Gönderen');
INSERT INTO `lang_definitions` VALUES (110724, 3246, 21, 'Gönderilmiş Eposta');
INSERT INTO `lang_definitions` VALUES (110725, 3248, 21, 'Eposta Konusu');
INSERT INTO `lang_definitions` VALUES (110726, 3251, 21, 'Eposta metin, Kullanılabilir Etiket:***İsim***, örneğin Sayın ***İsim***');
INSERT INTO `lang_definitions` VALUES (110727, 3253, 21, 'Eposta Gönderme Yöntemi');
INSERT INTO `lang_definitions` VALUES (110728, 3254, 21, 'Eposta aşağıdaki adrese gönderildi');
INSERT INTO `lang_definitions` VALUES (110729, 3259, 21, 'Acil Durumda Temas Kurulacak');
INSERT INTO `lang_definitions` VALUES (110730, 3260, 21, 'Acil Durumda Temas Kurulacak Kişi');
INSERT INTO `lang_definitions` VALUES (110731, 3261, 21, 'Acil Durumda Temas Kurulacak Telefon Numarası');
INSERT INTO `lang_definitions` VALUES (110732, 3262, 21, 'Acil Kontrasepsiyon');
INSERT INTO `lang_definitions` VALUES (110733, 3263, 21, 'Acil Giriş');
INSERT INTO `lang_definitions` VALUES (110734, 3264, 21, 'Acil Giriş ACL seçildi. Kullanıcı hala aktif durumda. Lütfen kullanıcıyı deaktive edin ve acil durumlarda gerektiğinde aynısını aktive edin. Vizit Yönetimi->Aktivasyon veya deaktivasyon için kullanıcılar');
INSERT INTO `lang_definitions` VALUES (110735, 3265, 21, 'Acil Giriş aktivasyon epostasının dolaştırılması için tek şart arayüz/global.php dosyasındaki izleyen ayarların yapılmasıdır.');
INSERT INTO `lang_definitions` VALUES (110736, 3266, 21, 'Acil Giriş Eposta Adresi');
INSERT INTO `lang_definitions` VALUES (110737, 3267, 21, 'Acil Giriş Kullanıcısı her şeyi yapabilir.');
INSERT INTO `lang_definitions` VALUES (110738, 3268, 21, 'Acil Telefon');
INSERT INTO `lang_definitions` VALUES (110739, 3271, 21, 'Amfizem');
INSERT INTO `lang_definitions` VALUES (110740, 3272, 21, 'Çalışan');
INSERT INTO `lang_definitions` VALUES (110741, 3273, 21, 'İşveren');
INSERT INTO `lang_definitions` VALUES (110742, 3274, 21, 'İşveren Adresi');
INSERT INTO `lang_definitions` VALUES (110743, 3275, 21, 'İşveren Bilgileri');
INSERT INTO `lang_definitions` VALUES (110744, 3276, 21, 'İşveren İsmi');
INSERT INTO `lang_definitions` VALUES (110745, 3277, 21, 'BOŞ');
INSERT INTO `lang_definitions` VALUES (110746, 3278, 21, 'Boş');
INSERT INTO `lang_definitions` VALUES (110747, 3281, 21, '\"Eposta Saatleri\"nde boş değer');
INSERT INTO `lang_definitions` VALUES (110748, 3282, 21, '\"Eposta Gönderen\" de boş değer');
INSERT INTO `lang_definitions` VALUES (110749, 3283, 21, '\"Eposta Konusu\"nda boş değer');
INSERT INTO `lang_definitions` VALUES (110750, 3284, 21, '\"Eposta metini\"nde boş değer');
INSERT INTO `lang_definitions` VALUES (110751, 3285, 21, '\"Sağlayıcı İsmi\"nde boş değer');
INSERT INTO `lang_definitions` VALUES (110752, 3286, 21, '\"Şifre\"de boş değer');
INSERT INTO `lang_definitions` VALUES (110753, 3287, 21, '\"SMS saatleri\"nde boş değer');
INSERT INTO `lang_definitions` VALUES (110754, 3288, 21, '\"SMS Metni\"nde boş değer');
INSERT INTO `lang_definitions` VALUES (110755, 3289, 21, '\"Kullanıcı İsmi\"nde boş değer');
INSERT INTO `lang_definitions` VALUES (110756, 3298, 21, 'Otomatik Ölçüm Hesaplamaları Uyarılarını Etkinleştir');
INSERT INTO `lang_definitions` VALUES (110757, 3300, 21, 'Otomatik Ölçüm Hesaplamaları Raporlamayı Etkinleştir');
INSERT INTO `lang_definitions` VALUES (110758, 3301, 21, 'Otomatik Ölçüm Hesaplamaları İzlemeyi Etkinleştir');
INSERT INTO `lang_definitions` VALUES (110759, 3303, 21, 'Güvenli iletişim denetimini etkinleştir.');
INSERT INTO `lang_definitions` VALUES (110760, 3305, 21, 'Denetim Kaydını Etkinleştir.');
INSERT INTO `lang_definitions` VALUES (110761, 3306, 21, 'Katar ve Düğüm Doğrulama Denetimini Etkinleştir.');
INSERT INTO `lang_definitions` VALUES (110762, 3307, 21, 'Otomatik Ölçüm Hesaplamalarını Etkinleştir');
INSERT INTO `lang_definitions` VALUES (110763, 3312, 21, 'Müşteri SSL etkinleştir');
INSERT INTO `lang_definitions` VALUES (110764, 3313, 21, 'Müşteri SSL doğrulamasını etkinleştir');
INSERT INTO `lang_definitions` VALUES (110765, 3315, 21, 'Klinik Karar Kurallarını Etkinleştir');
INSERT INTO `lang_definitions` VALUES (110766, 3318, 21, 'Klinik Kalite Ölçüm Raporlamasını Etkinleştir');
INSERT INTO `lang_definitions` VALUES (110767, 3319, 21, 'Klinik Uyarıcı Açılır Penceresini Etkinleştir');
INSERT INTO `lang_definitions` VALUES (110768, 3320, 21, 'Klinik Uyarıcı Uygulamasını Etkinleştir');
INSERT INTO `lang_definitions` VALUES (110769, 3324, 21, 'Klinik Kalite Yönetimi Raporlamayı Etkinleştir');
INSERT INTO `lang_definitions` VALUES (110770, 3341, 21, 'Hylafax Desteğini Etkinleştir');
INSERT INTO `lang_definitions` VALUES (110771, 3347, 21, 'Lab Değişimini Etkinleştir');
INSERT INTO `lang_definitions` VALUES (110772, 3350, 21, 'Tüm SQL SEÇ sorgularının kaydını etkinleştir.');
INSERT INTO `lang_definitions` VALUES (110773, 3351, 21, 'Yedekleme ile ilgili etkinliklerin kaydını etkinleştir.');
INSERT INTO `lang_definitions` VALUES (110774, 3353, 21, 'Çeşitli etkinliklerin kaydını etkinleştir.');
INSERT INTO `lang_definitions` VALUES (110775, 3354, 21, 'Order etkinliklerinin kaydını etkinleştir.');
INSERT INTO `lang_definitions` VALUES (110776, 3355, 21, 'Hasta kaydı değişikliklerinin kaydını etkinleştir.');
INSERT INTO `lang_definitions` VALUES (110777, 3356, 21, 'Zamanlama etkinliklerinin kaydını etkinleştir');
INSERT INTO `lang_definitions` VALUES (110778, 3357, 21, 'Güvenlik ve yönetim etkinliklerinin kaydını etkinleştir.');
INSERT INTO `lang_definitions` VALUES (110779, 3360, 21, 'Yeni eRx Hizmetini etkinleştir');
INSERT INTO `lang_definitions` VALUES (110780, 3365, 21, 'Hariçte Hasta Portalini Etkinleştir');
INSERT INTO `lang_definitions` VALUES (110781, 3366, 21, 'Hariçte Hasta Portalini Etkinleştir');
INSERT INTO `lang_definitions` VALUES (110782, 3368, 21, 'Yerinde Hasta Portalini Etkinleştir');
INSERT INTO `lang_definitions` VALUES (110783, 3371, 21, 'Yerinde Hasta Portalini Etkinleştir');
INSERT INTO `lang_definitions` VALUES (110784, 3385, 21, 'Hasta Hatırlatıcı Programını Etkinleştir');
INSERT INTO `lang_definitions` VALUES (110785, 3389, 21, 'Otomatik Ölçüm Hesaplamaları için Veri Gerekli Uyarısını Etkinleştir');
INSERT INTO `lang_definitions` VALUES (110786, 3391, 21, 'Otomatik Ölçüm Hesaplamaları için İzleme Tarihi Raporlamasını Etkinleştir');
INSERT INTO `lang_definitions` VALUES (110787, 3392, 21, 'Tarayıcı desteğini etkinleştir');
INSERT INTO `lang_definitions` VALUES (110788, 3397, 21, 'LLC Lab değişim servisine ÖzgürETK desteğini etkinleştir.');
INSERT INTO `lang_definitions` VALUES (110789, 3398, 21, 'Kullanıcı Sertifika Doğrulamasını Etkinleştir');
INSERT INTO `lang_definitions` VALUES (110790, 3403, 21, 'eRx ZMG LLC servisini etkinleştir');
INSERT INTO `lang_definitions` VALUES (110791, 3404, 21, 'etkinleştirildi');
INSERT INTO `lang_definitions` VALUES (110792, 3412, 21, 'Fatura kodları ve ödemeler için eski Ücretler panelini etkinleştirir. Önerilmez, Bunun yerine Ücret Sayfasını kullanın.');
INSERT INTO `lang_definitions` VALUES (110793, 3415, 21, 'Görüşme');
INSERT INTO `lang_definitions` VALUES (110794, 3417, 21, 'Görüşme');
INSERT INTO `lang_definitions` VALUES (110795, 3418, 21, 'Görüşme');
INSERT INTO `lang_definitions` VALUES (110796, 3419, 21, 'görüşme');
INSERT INTO `lang_definitions` VALUES (110797, 3420, 21, 'Görüşme');
INSERT INTO `lang_definitions` VALUES (110798, 3421, 21, 'acil hasta görüşmesi');
INSERT INTO `lang_definitions` VALUES (110799, 3427, 21, 'Görüşme Tarihi');
INSERT INTO `lang_definitions` VALUES (110800, 3432, 21, 'Görüşme Formları');
INSERT INTO `lang_definitions` VALUES (110801, 3433, 21, 'sağlık ve davranış değerlendirilmesi görüşmesi');
INSERT INTO `lang_definitions` VALUES (110802, 3434, 21, 'Görüşme Öyküsü');
INSERT INTO `lang_definitions` VALUES (110803, 3435, 21, 'Görüşme ID');
INSERT INTO `lang_definitions` VALUES (110804, 3436, 21, 'görüşme influenza');
INSERT INTO `lang_definitions` VALUES (110805, 3439, 21, 'Görüşme numarası');
INSERT INTO `lang_definitions` VALUES (110806, 3441, 21, 'Doğum taburcu görüşmesi');
INSERT INTO `lang_definitions` VALUES (110807, 3442, 21, 'doğum tesisi görüşmesi');
INSERT INTO `lang_definitions` VALUES (110808, 3443, 21, 'meslek tedavisi görüşmesi');
INSERT INTO `lang_definitions` VALUES (110809, 3444, 21, 'muayenehane görüşmesi');
INSERT INTO `lang_definitions` VALUES (110810, 3445, 21, 'ayaktan hasta görüşmesi');
INSERT INTO `lang_definitions` VALUES (110811, 3446, 21, 'ayaktan aile hekimi ve kadın doğum uzmanı görüşmesi');
INSERT INTO `lang_definitions` VALUES (110812, 3447, 21, 'görüşme sayfa büyüklüğü');
INSERT INTO `lang_definitions` VALUES (110813, 3449, 21, 'gebelik görüşmesi');
INSERT INTO `lang_definitions` VALUES (110814, 3450, 21, 'koruyucu hekimlik ve danışmanlık görüşmesi');
INSERT INTO `lang_definitions` VALUES (110815, 3451, 21, '40 yaş ve üzeri koruyucu hekimlik görüşmesi');
INSERT INTO `lang_definitions` VALUES (110816, 3452, 21, 'koruyucu hekimlik grup görüşmesi');
INSERT INTO `lang_definitions` VALUES (110817, 3453, 21, 'koruyucu hekimlik diğer hizmetlerde görüşme');
INSERT INTO `lang_definitions` VALUES (110818, 3454, 21, '18 yaş ve üzeri koruyucu hekimlik görüşmesi');
INSERT INTO `lang_definitions` VALUES (110819, 3457, 21, 'psikiyatrik ve psikolojik görüşme');
INSERT INTO `lang_definitions` VALUES (110820, 3458, 21, 'Görüşme istatistikleri');
INSERT INTO `lang_definitions` VALUES (110821, 3459, 21, 'Görüşme Özeti');
INSERT INTO `lang_definitions` VALUES (110822, 3461, 21, 'Görüşme kodlandı');
INSERT INTO `lang_definitions` VALUES (110823, 3462, 21, 'Görüşme:');
INSERT INTO `lang_definitions` VALUES (110824, 3463, 21, 'Acil olmayan ayaktan veya yatan ya da göz görüşmesi');
INSERT INTO `lang_definitions` VALUES (110825, 3464, 21, 'Görüşmeler');
INSERT INTO `lang_definitions` VALUES (110826, 3465, 21, 'Görüşmeler ve Formlar');
INSERT INTO `lang_definitions` VALUES (110827, 3466, 21, 'Görüşmeler ; Formlar');
INSERT INTO `lang_definitions` VALUES (110828, 3467, 21, 'Görüşmelere izin verilmiyor');
INSERT INTO `lang_definitions` VALUES (110829, 3468, 21, 'Görüşmeler Raporu');
INSERT INTO `lang_definitions` VALUES (110830, 3469, 21, 'Görüşmeler Bölümü');
INSERT INTO `lang_definitions` VALUES (110831, 3471, 21, 'Şifreleme');
INSERT INTO `lang_definitions` VALUES (110832, 3472, 21, 'Son');
INSERT INTO `lang_definitions` VALUES (110833, 3473, 21, 'Bitiş (yyyy-aa-gg)');
INSERT INTO `lang_definitions` VALUES (110834, 3474, 21, 'Bitiş Tarihi');
INSERT INTO `lang_definitions` VALUES (110835, 3475, 21, 'Bitiş tarihi');
INSERT INTO `lang_definitions` VALUES (110836, 3480, 21, 'Bitiş tarihi başlangıç tarihinden daha sonra olmalıdır.');
INSERT INTO `lang_definitions` VALUES (110837, 3482, 21, 'Bitiş Tarihi:');
INSERT INTO `lang_definitions` VALUES (110838, 3487, 21, 'Bitiş Zamanı:');
INSERT INTO `lang_definitions` VALUES (110839, 3492, 21, 'Hizmet bitiş tarihi yyyy-aa-gg');
INSERT INTO `lang_definitions` VALUES (110840, 3493, 21, 'Hizmet bitiş tarihi yyyy-aa-gg bir süre girmek ister iseniz');
INSERT INTO `lang_definitions` VALUES (110841, 3494, 21, 'Takvim olayları için günün bitiş saati.');
INSERT INTO `lang_definitions` VALUES (110842, 3495, 21, 'Endokrin Anormal Kan');
INSERT INTO `lang_definitions` VALUES (110843, 3496, 21, 'Endokrin');
INSERT INTO `lang_definitions` VALUES (110844, 3497, 21, 'Endoskopi');
INSERT INTO `lang_definitions` VALUES (110845, 3502, 21, 'İngilizce');
INSERT INTO `lang_definitions` VALUES (110846, 3503, 21, 'İngilizce');
INSERT INTO `lang_definitions` VALUES (110847, 3504, 21, 'İngilizce (Hint)');
INSERT INTO `lang_definitions` VALUES (110848, 3505, 21, 'İngilizce(Standart)');
INSERT INTO `lang_definitions` VALUES (110849, 3506, 21, 'Hylafax yazdır komutu');
INSERT INTO `lang_definitions` VALUES (110850, 3507, 21, 'OpenEMR nin klasöre yazma ayrıcalığı olmasını sağlayınız');
INSERT INTO `lang_definitions` VALUES (110851, 3509, 21, 'KBB Akıntı');
INSERT INTO `lang_definitions` VALUES (110852, 3510, 21, 'KBB ağrısı');
INSERT INTO `lang_definitions` VALUES (110853, 3513, 21, 'Onu içermeyen tüm faturaların dışarıda bırakılması için bir tanı kodu giriniz');
INSERT INTO `lang_definitions` VALUES (110854, 3518, 21, 'Mektubun gövdesini buraya giriniz');
INSERT INTO `lang_definitions` VALUES (110855, 3520, 21, 'Veri Tabanı root Şifresini giriniz');
INSERT INTO `lang_definitions` VALUES (110856, 3521, 21, 'Veritabanı root kullanıcı ismini giriniz');
INSERT INTO `lang_definitions` VALUES (110857, 3529, 21, 'Tanıyı Giriniz');
INSERT INTO `lang_definitions` VALUES (110858, 3530, 21, 'İlaçları Giriniz');
INSERT INTO `lang_definitions` VALUES (110859, 3537, 21, 'Aşılamaları Giriniz');
INSERT INTO `lang_definitions` VALUES (110860, 3538, 21, 'Anahtar Giriniz');
INSERT INTO `lang_definitions` VALUES (110861, 3544, 21, 'Yeni Şehiri giriniz');
INSERT INTO `lang_definitions` VALUES (110862, 3569, 21, 'Yeni Kimlik kodunu giriniz');
INSERT INTO `lang_definitions` VALUES (110863, 3581, 21, 'Arama kriterlerinizi yukarı giriniz');
INSERT INTO `lang_definitions` VALUES (110864, 3591, 21, 'Çevresel');
INSERT INTO `lang_definitions` VALUES (110865, 3592, 21, 'Sigortadan Yararlanma Veri Girişi');
INSERT INTO `lang_definitions` VALUES (110866, 3596, 21, 'Müstahaklık Gönderme - Elektronik Alındılar');
INSERT INTO `lang_definitions` VALUES (110867, 3597, 21, 'Müstahaklık Gönderme - Açıklamalar');
INSERT INTO `lang_definitions` VALUES (110868, 3598, 21, 'Müstahaklık Gönderme - Fatura');
INSERT INTO `lang_definitions` VALUES (110869, 3599, 21, 'Müstahaklık Gönderme - Hasta Notu');
INSERT INTO `lang_definitions` VALUES (110870, 3600, 21, 'Müstahaklık Gönderme -Ara');
INSERT INTO `lang_definitions` VALUES (110871, 3602, 21, 'Epilepsi');
INSERT INTO `lang_definitions` VALUES (110872, 3608, 21, 'Elektronik Havale');
INSERT INTO `lang_definitions` VALUES (110873, 3610, 21, 'Elektronik Havale Gönderme');
INSERT INTO `lang_definitions` VALUES (110874, 3612, 21, 'Sil');
INSERT INTO `lang_definitions` VALUES (110875, 3614, 21, 'Ereksiyonlar');
INSERT INTO `lang_definitions` VALUES (110876, 3615, 21, 'Hata');
INSERT INTO `lang_definitions` VALUES (110877, 3617, 21, 'Laboratuvar sonuçlarının alındısının onaylanmasında hata');
INSERT INTO `lang_definitions` VALUES (110878, 3620, 21, 'Laboratuvar sonuçlarının Lab-Değişim Ağından alınmasında hata');
INSERT INTO `lang_definitions` VALUES (110879, 3621, 21, '\"Cinsiyet\" seçiminde hata');
INSERT INTO `lang_definitions` VALUES (110880, 3622, 21, '\"Sağlık Sigortası Taşınabilirlik ve Sorumluluk Yasası\" seçiminde hata');
INSERT INTO `lang_definitions` VALUES (110881, 3623, 21, '\"İşlem\" seçiminde hata');
INSERT INTO `lang_definitions` VALUES (110882, 3624, 21, '\"SMS Yolu\" seçiminde hata');
INSERT INTO `lang_definitions` VALUES (110883, 3625, 21, '\"e göre sırala\" seçiminde hata');
INSERT INTO `lang_definitions` VALUES (110884, 3626, 21, 'gzip sıkıştırma dosyasında hata:');
INSERT INTO `lang_definitions` VALUES (110885, 3627, 21, 'Evet veya Hayır seçiminde hata');
INSERT INTO `lang_definitions` VALUES (110886, 3630, 21, 'Yüklenmiş dosyayı okumak için açmada hata');
INSERT INTO `lang_definitions` VALUES (110887, 3634, 21, 'Lab Değişim Ağından Sonuçları Alma Hatası');
INSERT INTO `lang_definitions` VALUES (110888, 3637, 21, 'Dosya ayrıcalığını ÖzgürETK kullanıcısına vermede hata');
INSERT INTO `lang_definitions` VALUES (110889, 3640, 21, 'formu kaydederken hata!');
INSERT INTO `lang_definitions` VALUES (110890, 3641, 21, 'Dosyaya kaydederken hata');
INSERT INTO `lang_definitions` VALUES (110891, 3643, 21, 'Dosyaya yazarken hata');
INSERT INTO `lang_definitions` VALUES (110892, 3651, 21, 'Hata, dosya bulunmuyor');
INSERT INTO `lang_definitions` VALUES (110893, 3652, 21, 'HATA, sunucudan veri alınamıyor');
INSERT INTO `lang_definitions` VALUES (110894, 3653, 21, 'Hata, müşteri sertifikası oluşturulamıyor.');
INSERT INTO `lang_definitions` VALUES (110895, 3654, 21, 'Hata, admin.p12 sertifikası oluşturulamıyor.');
INSERT INTO `lang_definitions` VALUES (110896, 3655, 21, 'Hata, Sertifika Yetkilisi sertifikası oluşturulamıyor');
INSERT INTO `lang_definitions` VALUES (110897, 3656, 21, 'Hata, Sunucu sertifikası oluşturulamıyor');
INSERT INTO `lang_definitions` VALUES (110898, 3658, 21, 'Hata, dosya açılamıyor');
INSERT INTO `lang_definitions` VALUES (110899, 3659, 21, 'Hata, ÖzgürETK da Kullanıcı Sertifika Doğrulanması etkinleştirilmemiş');
INSERT INTO `lang_definitions` VALUES (110900, 3663, 21, 'Hata, Arşiv/Tar.php php modülünü kurmanız gerekiyor');
INSERT INTO `lang_definitions` VALUES (110901, 3664, 21, 'HATA: table.sql açılamadı, form bozuk?');
INSERT INTO `lang_definitions` VALUES (110902, 3667, 21, 'Hata: satırda id tekrarı');
INSERT INTO `lang_definitions` VALUES (110903, 3668, 21, 'Hata: satırda isim tekrarı');
INSERT INTO `lang_definitions` VALUES (110904, 3669, 21, 'HATA: Alan');
INSERT INTO `lang_definitions` VALUES (110905, 3670, 21, 'HATA: Eksik ZipArşivi PHP modülü');
INSERT INTO `lang_definitions` VALUES (110906, 3672, 21, 'Hata: şifreler uyuşmuyor. Lütfen yazdığınızı kontrol edin.');
INSERT INTO `lang_definitions` VALUES (110907, 3673, 21, 'Hata: şifreler uyuşmuyor. Lütfen yazdığınızı kontrol edin.');
INSERT INTO `lang_definitions` VALUES (110908, 3674, 21, 'Hata: dosya yok.');
INSERT INTO `lang_definitions` VALUES (110909, 3676, 21, 'Hata: Dosya kopyalanamıyor');
INSERT INTO `lang_definitions` VALUES (110910, 3677, 21, 'Hata: İndirilebilir arşiv oluşturulamıyor');
INSERT INTO `lang_definitions` VALUES (110911, 3678, 21, 'HATA : Zip Arşivi oluşturulamıyor');
INSERT INTO `lang_definitions` VALUES (110912, 3679, 21, 'HATA: Dosya çıkartılamıyor');
INSERT INTO `lang_definitions` VALUES (110913, 3680, 21, 'HATA: Dosya veritabanına yüklenemiyor');
INSERT INTO `lang_definitions` VALUES (110914, 3681, 21, 'HATA: Sürüm numarası düzenlenemiyor.');
INSERT INTO `lang_definitions` VALUES (110915, 3682, 21, 'Hatalar');
INSERT INTO `lang_definitions` VALUES (110916, 3684, 21, 'eRx Hesap Durumu');
INSERT INTO `lang_definitions` VALUES (110917, 3686, 21, 'ERX İsim');
INSERT INTO `lang_definitions` VALUES (110918, 3687, 21, 'ERX Şifre');
INSERT INTO `lang_definitions` VALUES (110919, 3688, 21, 'ERX Rol');
INSERT INTO `lang_definitions` VALUES (110920, 3689, 21, 'REX Kullanıcı');
INSERT INTO `lang_definitions` VALUES (110921, 3690, 21, 'Eritem:');
INSERT INTO `lang_definitions` VALUES (110922, 3693, 21, 'Eskimo');
INSERT INTO `lang_definitions` VALUES (110923, 3699, 21, 'Bilinen Hasta');
INSERT INTO `lang_definitions` VALUES (110924, 3701, 21, 'Etnisite');
INSERT INTO `lang_definitions` VALUES (110925, 3702, 21, 'Irk veya Etnisite');
INSERT INTO `lang_definitions` VALUES (110926, 3703, 21, 'Etnisite-Irk Listesi (yaz, sadece ekle seçmeli)');
INSERT INTO `lang_definitions` VALUES (110927, 3706, 21, 'Vergi No');
INSERT INTO `lang_definitions` VALUES (110928, 3709, 21, 'Olay');
INSERT INTO `lang_definitions` VALUES (110929, 3710, 21, 'Olay Başlar');
INSERT INTO `lang_definitions` VALUES (110930, 3711, 21, 'Olay Kategorisi');
INSERT INTO `lang_definitions` VALUES (110931, 3712, 21, 'Olay Tarihi');
INSERT INTO `lang_definitions` VALUES (110932, 3714, 21, 'Olay Tanımı');
INSERT INTO `lang_definitions` VALUES (110933, 3715, 21, 'Olay Ayrıntıları');
INSERT INTO `lang_definitions` VALUES (110934, 3716, 21, 'Olay tekrarlamıyor');
INSERT INTO `lang_definitions` VALUES (110935, 3717, 21, 'Olay Süresi');
INSERT INTO `lang_definitions` VALUES (110936, 3718, 21, 'Dakika olarak olay süresi');
INSERT INTO `lang_definitions` VALUES (110937, 3719, 21, 'Olay Ücreti');
INSERT INTO `lang_definitions` VALUES (110938, 3720, 21, 'Olay Yeri');
INSERT INTO `lang_definitions` VALUES (110939, 3721, 21, 'Olayın tekrarı her');
INSERT INTO `lang_definitions` VALUES (110940, 3722, 21, 'Olayın tekrarı her');
INSERT INTO `lang_definitions` VALUES (110941, 3723, 21, 'Olay başlangıç zamanı');
INSERT INTO `lang_definitions` VALUES (110942, 3724, 21, 'Olay başlığı');
INSERT INTO `lang_definitions` VALUES (110943, 3725, 21, 'Olay Başlığı');
INSERT INTO `lang_definitions` VALUES (110944, 3726, 21, 'Olay Web Sitesi');
INSERT INTO `lang_definitions` VALUES (110945, 3727, 21, 'Olaylar');
INSERT INTO `lang_definitions` VALUES (110946, 3728, 21, 'Olaylar:');
INSERT INTO `lang_definitions` VALUES (110947, 3729, 21, 'Olaylar yeni pencerede açılır');
INSERT INTO `lang_definitions` VALUES (110948, 3731, 21, 'her');
INSERT INTO `lang_definitions` VALUES (110949, 3732, 21, 'Her');
INSERT INTO `lang_definitions` VALUES (110950, 3734, 21, 'her 3 saatte');
INSERT INTO `lang_definitions` VALUES (110951, 3736, 21, 'her 4 saatte');
INSERT INTO `lang_definitions` VALUES (110952, 3738, 21, 'her 5 saatte');
INSERT INTO `lang_definitions` VALUES (110953, 3740, 21, 'her 6 saatte');
INSERT INTO `lang_definitions` VALUES (110954, 3742, 21, 'her 8 saatte');
INSERT INTO `lang_definitions` VALUES (110955, 3743, 21, 'Her Dördüncü');
INSERT INTO `lang_definitions` VALUES (110956, 3745, 21, 'Her ikinci');
INSERT INTO `lang_definitions` VALUES (110957, 3746, 21, 'Her Üçüncü');
INSERT INTO `lang_definitions` VALUES (110958, 3747, 21, 'Her, her ikinci, her 3. vs.');
INSERT INTO `lang_definitions` VALUES (110959, 3749, 21, 'Muayene ve test sonuçları');
INSERT INTO `lang_definitions` VALUES (110960, 3750, 21, 'Muayene sonuçları');
INSERT INTO `lang_definitions` VALUES (110961, 3753, 21, 'Muayene');
INSERT INTO `lang_definitions` VALUES (110962, 3754, 21, 'Muayene Tarihi');
INSERT INTO `lang_definitions` VALUES (110963, 3755, 21, 'Örnek');
INSERT INTO `lang_definitions` VALUES (110964, 3758, 21, 'Örnekler');
INSERT INTO `lang_definitions` VALUES (110965, 3760, 21, 'Muayeneler/testler');
INSERT INTO `lang_definitions` VALUES (110966, 3763, 21, 'Aşırı Göz yaşı');
INSERT INTO `lang_definitions` VALUES (110967, 3766, 21, 'Hariç Hastalar');
INSERT INTO `lang_definitions` VALUES (110968, 3767, 21, 'Hariç tutma');
INSERT INTO `lang_definitions` VALUES (110969, 3768, 21, 'Tek Sağlayıcı Örgütü');
INSERT INTO `lang_definitions` VALUES (110970, 3771, 21, 'Egzersiz');
INSERT INTO `lang_definitions` VALUES (110971, 3772, 21, 'Egzersiz örnekleri');
INSERT INTO `lang_definitions` VALUES (110972, 3773, 21, 'Egzersiz Örnekleri');
INSERT INTO `lang_definitions` VALUES (110973, 3774, 21, 'Var');
INSERT INTO `lang_definitions` VALUES (110974, 3778, 21, 'Çıkış Yönetimi');
INSERT INTO `lang_definitions` VALUES (110975, 3782, 21, 'Gen');
INSERT INTO `lang_definitions` VALUES (110976, 3784, 21, 'Genişlet');
INSERT INTO `lang_definitions` VALUES (110977, 3785, 21, 'genişlet');
INSERT INTO `lang_definitions` VALUES (110978, 3787, 21, 'Hepsini Genişlet');
INSERT INTO `lang_definitions` VALUES (110979, 3792, 21, 'Genişletilmiş Görünüm');
INSERT INTO `lang_definitions` VALUES (110980, 3793, 21, 'form_encounter.pid sinin olması gereken:');
INSERT INTO `lang_definitions` VALUES (110981, 3794, 21, 'Sona erme');
INSERT INTO `lang_definitions` VALUES (110982, 3795, 21, 'Sona erme Tarihi');
INSERT INTO `lang_definitions` VALUES (110983, 3797, 21, 'Sona eriyor');
INSERT INTO `lang_definitions` VALUES (110984, 3798, 21, 'Sona erime süresi:');
INSERT INTO `lang_definitions` VALUES (110985, 3799, 21, 'Dışa aktar');
INSERT INTO `lang_definitions` VALUES (110986, 3800, 21, 'CSV olarak dışa aktar');
INSERT INTO `lang_definitions` VALUES (110987, 3802, 21, 'Dışa aktarma Konfigürasyonu');
INSERT INTO `lang_definitions` VALUES (110988, 3806, 21, 'Hastanın Demografik Bilgilerini Dışa Aktar');
INSERT INTO `lang_definitions` VALUES (110989, 3808, 21, 'Doktor Kalite Raporunu Dışa Aktar');
INSERT INTO `lang_definitions` VALUES (110990, 3810, 21, 'Seçileni CSV olarak dışa aktar');
INSERT INTO `lang_definitions` VALUES (110991, 3811, 21, 'Seçileni Koleksiyonlara aktar');
INSERT INTO `lang_definitions` VALUES (110992, 3812, 21, 'CSV ye aktar');
INSERT INTO `lang_definitions` VALUES (110993, 3813, 21, 'Dış faturalama sistemine aktar');
INSERT INTO `lang_definitions` VALUES (110994, 3815, 21, 'Yabancı Ülkelere Maruziyet');
INSERT INTO `lang_definitions` VALUES (110995, 3816, 21, 'Yabancı Ülkelere Maruziyet');
INSERT INTO `lang_definitions` VALUES (110996, 3818, 21, 'Toplanmış Dış Zaman');
INSERT INTO `lang_definitions` VALUES (110997, 3820, 21, 'Dış');
INSERT INTO `lang_definitions` VALUES (110998, 3828, 21, 'TC Kimlik:');
INSERT INTO `lang_definitions` VALUES (110999, 3829, 21, 'TC Kimlik');
INSERT INTO `lang_definitions` VALUES (111000, 3830, 21, 'TC Kimlik No:');
INSERT INTO `lang_definitions` VALUES (111001, 3831, 21, 'Yalnızca Dıştan');
INSERT INTO `lang_definitions` VALUES (111002, 3834, 21, 'Dış Sevk');
INSERT INTO `lang_definitions` VALUES (111003, 3835, 21, 'Dış Sevk İzlemleri');
INSERT INTO `lang_definitions` VALUES (111004, 3836, 21, 'Dış sevk?');
INSERT INTO `lang_definitions` VALUES (111005, 3837, 21, 'Dış Sevkler');
INSERT INTO `lang_definitions` VALUES (111006, 3838, 21, 'zip dosyasını çıkart');
INSERT INTO `lang_definitions` VALUES (111007, 3839, 21, 'Dosya çıkartılıyor. Bu zaman alacak.');
INSERT INTO `lang_definitions` VALUES (111008, 3840, 21, 'Eksüda:');
INSERT INTO `lang_definitions` VALUES (111009, 3850, 21, 'Göz Tahrişi');
INSERT INTO `lang_definitions` VALUES (111010, 3856, 21, 'Göz Ağrısı');
INSERT INTO `lang_definitions` VALUES (111011, 3860, 21, 'Göz Kızarıklığı');
INSERT INTO `lang_definitions` VALUES (111012, 3863, 21, 'Gözler');
INSERT INTO `lang_definitions` VALUES (111013, 3865, 21, 'Cu');
INSERT INTO `lang_definitions` VALUES (111014, 3866, 21, 'K/H Kan Problemleri');
INSERT INTO `lang_definitions` VALUES (111015, 3867, 21, 'K/H Kadın Hirsutism/Strialar');
INSERT INTO `lang_definitions` VALUES (111016, 3868, 21, 'Tesisler');
INSERT INTO `lang_definitions` VALUES (111017, 3869, 21, 'Tesis');
INSERT INTO `lang_definitions` VALUES (111018, 3870, 21, 'tesis');
INSERT INTO `lang_definitions` VALUES (111019, 3871, 21, 'Tesis Yönetimi');
INSERT INTO `lang_definitions` VALUES (111020, 3872, 21, 'Tesis İlçe');
INSERT INTO `lang_definitions` VALUES (111021, 3873, 21, 'Tesis Kodu');
INSERT INTO `lang_definitions` VALUES (111022, 3875, 21, 'Tesis ülke kodu');
INSERT INTO `lang_definitions` VALUES (111023, 3876, 21, 'Tesis Belgegeçer no');
INSERT INTO `lang_definitions` VALUES (111024, 3878, 21, 'Tesis Adı');
INSERT INTO `lang_definitions` VALUES (111025, 3879, 21, 'Tesis Ulusal Sağlayıcı Kimliği');
INSERT INTO `lang_definitions` VALUES (111026, 3880, 21, 'Tesis Telefonu');
INSERT INTO `lang_definitions` VALUES (111027, 3883, 21, 'Tesis İl');
INSERT INTO `lang_definitions` VALUES (111028, 3884, 21, 'Tesis Cadde');
INSERT INTO `lang_definitions` VALUES (111029, 3886, 21, 'Tesis Posta Kodu');
INSERT INTO `lang_definitions` VALUES (111030, 3888, 21, 'Tesis:');
INSERT INTO `lang_definitions` VALUES (111031, 3889, 21, 'BAŞARISIZ');
INSERT INTO `lang_definitions` VALUES (111032, 3890, 21, 'Başarısız');
INSERT INTO `lang_definitions` VALUES (111033, 3891, 21, 'başarısız');
INSERT INTO `lang_definitions` VALUES (111034, 3908, 21, 'başarısızlık');
INSERT INTO `lang_definitions` VALUES (111035, 3916, 21, 'Aile Öyküsü');
INSERT INTO `lang_definitions` VALUES (111036, 3918, 21, 'Ailesinde Glokom Öyküsü');
INSERT INTO `lang_definitions` VALUES (111037, 3919, 21, 'Aile Öyküsü:');
INSERT INTO `lang_definitions` VALUES (111038, 3921, 21, 'Aile Ödemesi');
INSERT INTO `lang_definitions` VALUES (111039, 3922, 21, 'Aile Büyüklüğü');
INSERT INTO `lang_definitions` VALUES (111040, 3923, 21, 'Fantezi');
INSERT INTO `lang_definitions` VALUES (111041, 3925, 21, 'Farsça');
INSERT INTO `lang_definitions` VALUES (111042, 3928, 21, 'Baba');
INSERT INTO `lang_definitions` VALUES (111043, 3930, 21, 'Yorgunluk');
INSERT INTO `lang_definitions` VALUES (111044, 3931, 21, 'Yorgun');
INSERT INTO `lang_definitions` VALUES (111045, 3933, 21, 'Faks');
INSERT INTO `lang_definitions` VALUES (111046, 3934, 21, 'Faks sayısı');
INSERT INTO `lang_definitions` VALUES (111047, 3935, 21, 'Faks numarası');
INSERT INTO `lang_definitions` VALUES (111048, 3937, 21, 'Faks/Tarama');
INSERT INTO `lang_definitions` VALUES (111049, 3938, 21, 'Gelen Fakslar');
INSERT INTO `lang_definitions` VALUES (111050, 3939, 21, 'Giden Fakslar');
INSERT INTO `lang_definitions` VALUES (111051, 3940, 21, 'Özellikler');
INSERT INTO `lang_definitions` VALUES (111052, 3941, 21, 'Şub');
INSERT INTO `lang_definitions` VALUES (111053, 3942, 21, 'Şubat');
INSERT INTO `lang_definitions` VALUES (111054, 3943, 21, 'FECA');
INSERT INTO `lang_definitions` VALUES (111055, 3944, 21, 'Federal İlaç ID');
INSERT INTO `lang_definitions` VALUES (111056, 3945, 21, 'Federal İşveren Numarası');
INSERT INTO `lang_definitions` VALUES (111057, 3946, 21, 'Federal Vergi Numarası');
INSERT INTO `lang_definitions` VALUES (111058, 3948, 21, 'Ücret');
INSERT INTO `lang_definitions` VALUES (111059, 3949, 21, 'ücret');
INSERT INTO `lang_definitions` VALUES (111060, 3950, 21, 'Ücrete izin verilmez');
INSERT INTO `lang_definitions` VALUES (111061, 3951, 21, 'Ücret Sayfası');
INSERT INTO `lang_definitions` VALUES (111062, 3953, 21, 'Ücret Sayfası Seçenekleri');
INSERT INTO `lang_definitions` VALUES (111063, 3955, 21, 'Ücretler');
INSERT INTO `lang_definitions` VALUES (111064, 3956, 21, 'Kadın');
INSERT INTO `lang_definitions` VALUES (111065, 3957, 21, 'Kadın AP');
INSERT INTO `lang_definitions` VALUES (111066, 3958, 21, 'Kadın Kondomları');
INSERT INTO `lang_definitions` VALUES (111067, 3959, 21, 'Kadın G');
INSERT INTO `lang_definitions` VALUES (111068, 3960, 21, 'Kadın LC');
INSERT INTO `lang_definitions` VALUES (111069, 3961, 21, 'Kadın H');
INSERT INTO `lang_definitions` VALUES (111070, 3962, 21, 'Kadın Semptomlar');
INSERT INTO `lang_definitions` VALUES (111071, 3963, 21, 'Kadın Tüp Ligasyonu');
INSERT INTO `lang_definitions` VALUES (111072, 3966, 21, 'Ateş');
INSERT INTO `lang_definitions` VALUES (111073, 3967, 21, 'Ateş:');
INSERT INTO `lang_definitions` VALUES (111074, 3968, 21, 'Aile Öyküsünde Kan Hastalıkları');
INSERT INTO `lang_definitions` VALUES (111075, 3972, 21, 'Fibroidler');
INSERT INTO `lang_definitions` VALUES (111076, 3978, 21, 'İşveren veya abone ülke demografik bilgilerinde kullanılacak alan tipi');
INSERT INTO `lang_definitions` VALUES (111077, 3979, 21, 'İşveren veya abone ülke demografik bilgilerinde kullanılacak alan tipi');
INSERT INTO `lang_definitions` VALUES (111078, 3980, 21, 'Alan(lar) eksik!');
INSERT INTO `lang_definitions` VALUES (111079, 3986, 21, 'Dosya');
INSERT INTO `lang_definitions` VALUES (111080, 3989, 21, 'giriş yedeklerini oluşturma işleminin nasıl otomatik hale getirileceğini öğrenmek için Belgelendirme klasöründeki dosya');
INSERT INTO `lang_definitions` VALUES (111081, 3990, 21, 'dosya yeri');
INSERT INTO `lang_definitions` VALUES (111082, 3998, 21, 'ÖzgürETK kullanıcısına dosya ayrıcalığı verildi');
INSERT INTO `lang_definitions` VALUES (111083, 4000, 21, 'Dosya Odası');
INSERT INTO `lang_definitions` VALUES (111084, 4001, 21, 'Yüklenecek Dosya');
INSERT INTO `lang_definitions` VALUES (111085, 4003, 21, 'Aynı isimli dosya önceden şu yerde bulunmaktadır:');
INSERT INTO `lang_definitions` VALUES (111086, 4004, 21, 'Dosya ismi');
INSERT INTO `lang_definitions` VALUES (111087, 4006, 21, 'Dosyalar');
INSERT INTO `lang_definitions` VALUES (111088, 4011, 21, 'Filipinli');
INSERT INTO `lang_definitions` VALUES (111089, 4013, 21, 'Aşağıdaki satırın herhangi bir yerini doldurun');
INSERT INTO `lang_definitions` VALUES (111090, 4014, 21, 'Burayı sadece hastalara eposta duyurusu göndermek isterseniz doldurunuz');
INSERT INTO `lang_definitions` VALUES (111091, 4023, 21, 'Aşağıdaki değerleri doldurunuz');
INSERT INTO `lang_definitions` VALUES (111092, 4025, 21, 'Sırayı Doldurunuz');
INSERT INTO `lang_definitions` VALUES (111093, 4028, 21, 'Ayır');
INSERT INTO `lang_definitions` VALUES (111094, 4029, 21, 'Sabitleri ayır');
INSERT INTO `lang_definitions` VALUES (111095, 4030, 21, 'Tanımları ayır');
INSERT INTO `lang_definitions` VALUES (111096, 4032, 21, 'Filtreler');
INSERT INTO `lang_definitions` VALUES (111097, 4034, 21, 'Son');
INSERT INTO `lang_definitions` VALUES (111098, 4035, 21, 'Son Tanı');
INSERT INTO `lang_definitions` VALUES (111099, 4036, 21, 'Uzmanın son tanısı');
INSERT INTO `lang_definitions` VALUES (111100, 4038, 21, 'Finansal');
INSERT INTO `lang_definitions` VALUES (111101, 4039, 21, 'Finansal kapanış tarihi (yyyy-aa-gg)');
INSERT INTO `lang_definitions` VALUES (111102, 4040, 21, 'Finansal Raporlama - herhangi bir şey');
INSERT INTO `lang_definitions` VALUES (111103, 4042, 21, 'Finansal Raporlama - benim görüşmelerim');
INSERT INTO `lang_definitions` VALUES (111104, 4045, 21, 'Finansal Gözden Geçirme Tarihi');
INSERT INTO `lang_definitions` VALUES (111105, 4048, 21, 'Bul');
INSERT INTO `lang_definitions` VALUES (111106, 4049, 21, 'Mevcut Olanı Bul');
INSERT INTO `lang_definitions` VALUES (111107, 4050, 21, 'Mevcut Randevuları Bul');
INSERT INTO `lang_definitions` VALUES (111108, 4053, 21, 'Hastayı Bul');
INSERT INTO `lang_definitions` VALUES (111109, 4054, 21, 'Hasta Eğitim Materyelleri Bul');
INSERT INTO `lang_definitions` VALUES (111110, 4056, 21, 'Bulgular');
INSERT INTO `lang_definitions` VALUES (111111, 4057, 21, 'Uzmanın bulguları');
INSERT INTO `lang_definitions` VALUES (111112, 4058, 21, 'Mükemmel');
INSERT INTO `lang_definitions` VALUES (111113, 4060, 21, 'Ödemeleri Bitir');
INSERT INTO `lang_definitions` VALUES (111114, 4065, 21, 'İlk');
INSERT INTO `lang_definitions` VALUES (111115, 4068, 21, 'Haftanın ilk günü');
INSERT INTO `lang_definitions` VALUES (111116, 4071, 21, 'İsim');
INSERT INTO `lang_definitions` VALUES (111117, 4072, 21, 'İsim');
INSERT INTO `lang_definitions` VALUES (111118, 4073, 21, 'İsim:');
INSERT INTO `lang_definitions` VALUES (111119, 4079, 21, 'Uygunluk');
INSERT INTO `lang_definitions` VALUES (111120, 4080, 21, 'Uygunluk Düzeyi');
INSERT INTO `lang_definitions` VALUES (111121, 4081, 21, 'Bu oyuncunun bu gün için form düzeyi');
INSERT INTO `lang_definitions` VALUES (111122, 4083, 21, 'Oynamaya Uygunluk');
INSERT INTO `lang_definitions` VALUES (111123, 4084, 21, 'Görüşme tarihlerini belirle - herhangi bir görüşme');
INSERT INTO `lang_definitions` VALUES (111124, 4086, 21, 'Bunu düzelt');
INSERT INTO `lang_definitions` VALUES (111125, 4088, 21, 'FL');
INSERT INTO `lang_definitions` VALUES (111126, 4090, 21, 'Gaz');
INSERT INTO `lang_definitions` VALUES (111127, 4091, 21, 'Akış');
INSERT INTO `lang_definitions` VALUES (111128, 4108, 21, 'Nezle mevsimi');
INSERT INTO `lang_definitions` VALUES (111129, 4109, 21, 'Nezla Mevsimi');
INSERT INTO `lang_definitions` VALUES (111130, 4110, 21, 'Grip Aşılaması');
INSERT INTO `lang_definitions` VALUES (111131, 4111, 21, 'Sıvı ve elektrolit sorunu');
INSERT INTO `lang_definitions` VALUES (111132, 4112, 21, 'FMS');
INSERT INTO `lang_definitions` VALUES (111133, 4114, 21, 'El ile izle');
INSERT INTO `lang_definitions` VALUES (111134, 4115, 21, 'İzleyen veritabanını kurmak veya yükseltmek için bu yönergeleri izleyiniz');
INSERT INTO `lang_definitions` VALUES (111135, 4116, 21, 'İzlem');
INSERT INTO `lang_definitions` VALUES (111136, 4119, 21, 'İzlem sebebi');
INSERT INTO `lang_definitions` VALUES (111137, 4121, 21, 'Yeni bir özel sabit aşağıdadır:');
INSERT INTO `lang_definitions` VALUES (111138, 4122, 21, 'Yeni bir özel dil aşağıdadır:');
INSERT INTO `lang_definitions` VALUES (111139, 4123, 21, 'Yeni bir tanım aşağıdadır (Dil,Sabit,Tanım):');
INSERT INTO `lang_definitions` VALUES (111140, 4124, 21, 'Denetim günlüğünde aşağıdaki satırlarda bozukluk var');
INSERT INTO `lang_definitions` VALUES (111141, 4125, 21, 'İzleme Hizmetleri');
INSERT INTO `lang_definitions` VALUES (111142, 4126, 21, 'İzlenmesi Endikasyonu vardır');
INSERT INTO `lang_definitions` VALUES (111143, 4129, 21, 'Besin alamama');
INSERT INTO `lang_definitions` VALUES (111144, 4130, 21, 'Ayak');
INSERT INTO `lang_definitions` VALUES (111145, 4131, 21, 'Ayak Sorunları');
INSERT INTO `lang_definitions` VALUES (111146, 4132, 21, 'Ayak:');
INSERT INTO `lang_definitions` VALUES (111147, 4133, 21, 'Futbol yaralanmaları');
INSERT INTO `lang_definitions` VALUES (111148, 4134, 21, 'Futbol yaralanması');
INSERT INTO `lang_definitions` VALUES (111149, 4135, 21, 'Futbol Yaralanması Raporu');
INSERT INTO `lang_definitions` VALUES (111150, 4136, 21, 'Ayakkabı Tipi');
INSERT INTO `lang_definitions` VALUES (111151, 4137, 21, 'için');
INSERT INTO `lang_definitions` VALUES (111152, 4138, 21, 'İçin');
INSERT INTO `lang_definitions` VALUES (111153, 4144, 21, 'Kod için');
INSERT INTO `lang_definitions` VALUES (111154, 4152, 21, 'Görüşme Alacakları İçin');
INSERT INTO `lang_definitions` VALUES (111155, 4154, 21, 'Örnek olarak:');
INSERT INTO `lang_definitions` VALUES (111156, 4161, 21, 'Fatura için');
INSERT INTO `lang_definitions` VALUES (111157, 4163, 21, 'Sadece Medicare için, sevk eden sağlayıcı ile ödeyen sağlayıcının aynı olması zorunludur.');
INSERT INTO `lang_definitions` VALUES (111158, 4166, 21, 'hasta için');
INSERT INTO `lang_definitions` VALUES (111159, 4173, 21, 'Sevk Edilen Kurum/Hekim İçin');
INSERT INTO `lang_definitions` VALUES (111160, 4176, 21, 'Geçmiş için');
INSERT INTO `lang_definitions` VALUES (111161, 4188, 21, 'değişken için');
INSERT INTO `lang_definitions` VALUES (111162, 4189, 21, 'için:');
INSERT INTO `lang_definitions` VALUES (111163, 4190, 21, 'Fatura Programını Açık Kalmaya Zorla');
INSERT INTO `lang_definitions` VALUES (111164, 4191, 21, 'Yeni Hasta Oluşturulmasını Zorla');
INSERT INTO `lang_definitions` VALUES (111165, 4194, 21, 'Ön kol');
INSERT INTO `lang_definitions` VALUES (111166, 4195, 21, 'Form');
INSERT INTO `lang_definitions` VALUES (111167, 4196, 21, 'form');
INSERT INTO `lang_definitions` VALUES (111168, 4199, 21, 'Form başarıyla imzalandı');
INSERT INTO `lang_definitions` VALUES (111169, 4201, 21, 'Kalıp');
INSERT INTO `lang_definitions` VALUES (111170, 4202, 21, 'kalıp');
INSERT INTO `lang_definitions` VALUES (111171, 4203, 21, 'Yaş gösterme biçimi');
INSERT INTO `lang_definitions` VALUES (111172, 4204, 21, 'NDC için format yanlış');
INSERT INTO `lang_definitions` VALUES (111173, 4205, 21, 'Çoğu tarihi göstermek için kullanılan format.');
INSERT INTO `lang_definitions` VALUES (111174, 4206, 21, 'Çoğu kez gösterimde kullanılan biçim');
INSERT INTO `lang_definitions` VALUES (111175, 4207, 21, 'Biçimlendirilöiş rapor');
INSERT INTO `lang_definitions` VALUES (111176, 4208, 21, 'Eskiden sigara içmiş');
INSERT INTO `lang_definitions` VALUES (111177, 4209, 21, 'Formlar');
INSERT INTO `lang_definitions` VALUES (111178, 4210, 21, 'Form Yönetimi');
INSERT INTO `lang_definitions` VALUES (111179, 4215, 21, 'İlet');
INSERT INTO `lang_definitions` VALUES (111180, 4219, 21, 'Sayfaları Faks ile İlet');
INSERT INTO `lang_definitions` VALUES (111181, 4222, 21, 'İletilmiş');
INSERT INTO `lang_definitions` VALUES (111182, 4225, 21, 'Dördüncü');
INSERT INTO `lang_definitions` VALUES (111183, 4227, 21, 'Kırık');
INSERT INTO `lang_definitions` VALUES (111184, 4228, 21, 'Navikülerde kırık');
INSERT INTO `lang_definitions` VALUES (111185, 4229, 21, 'Lateral Malleol kırığı');
INSERT INTO `lang_definitions` VALUES (111186, 4230, 21, 'Medial malleol kırığı');
INSERT INTO `lang_definitions` VALUES (111187, 4231, 21, '5. Metatars kaidesinde kırık');
INSERT INTO `lang_definitions` VALUES (111188, 4233, 21, 'Çerçeve desteği gerekli');
INSERT INTO `lang_definitions` VALUES (111189, 4235, 21, 'Fransızca');
INSERT INTO `lang_definitions` VALUES (111190, 4236, 21, 'Fransızca (Kanada)');
INSERT INTO `lang_definitions` VALUES (111191, 4237, 21, 'Fransızca (Standart)');
INSERT INTO `lang_definitions` VALUES (111192, 4238, 21, 'Frekans');
INSERT INTO `lang_definitions` VALUES (111193, 4239, 21, 'Sık sık nezle');
INSERT INTO `lang_definitions` VALUES (111194, 4240, 21, 'Sık sık Hastalık');
INSERT INTO `lang_definitions` VALUES (111195, 4241, 21, 'Cum');
INSERT INTO `lang_definitions` VALUES (111196, 4242, 21, 'Cuma');
INSERT INTO `lang_definitions` VALUES (111197, 4244, 21, 'Başlangıç:');
INSERT INTO `lang_definitions` VALUES (111198, 4245, 21, 'BAŞLANGIÇ:');
INSERT INTO `lang_definitions` VALUES (111199, 4246, 21, 'başlangıç');
INSERT INTO `lang_definitions` VALUES (111200, 4247, 21, 'Başlangıç tarihi bitiş tarihinden daha sonrası olamaz.');
INSERT INTO `lang_definitions` VALUES (111201, 4253, 21, 'Başlangıç:');
INSERT INTO `lang_definitions` VALUES (111202, 4254, 21, 'Başlangıç');
INSERT INTO `lang_definitions` VALUES (111203, 4255, 21, 'GÖNDEREN_SEMT');
INSERT INTO `lang_definitions` VALUES (111204, 4256, 21, 'GÖNDEREN_EPOSTA');
INSERT INTO `lang_definitions` VALUES (111205, 4257, 21, 'GÖNDEREN_İSİM');
INSERT INTO `lang_definitions` VALUES (111206, 4258, 21, 'GÖNDEREN_SOYİSİM');
INSERT INTO `lang_definitions` VALUES (111207, 4259, 21, 'GÖNDEREN_İKİNCİİSİM');
INSERT INTO `lang_definitions` VALUES (111208, 4260, 21, 'GÖNDEREN_TELEFON');
INSERT INTO `lang_definitions` VALUES (111209, 4261, 21, 'GÖNDEREN_CEPTEL');
INSERT INTO `lang_definitions` VALUES (111210, 4262, 21, 'GÖNDEREN_POSTAKODU');
INSERT INTO `lang_definitions` VALUES (111211, 4263, 21, 'GÖNDEREN_ŞEHİR');
INSERT INTO `lang_definitions` VALUES (111212, 4264, 21, 'GÖNDEREN_CADDE');
INSERT INTO `lang_definitions` VALUES (111213, 4265, 21, 'GÖNDEREN_UNVAN');
INSERT INTO `lang_definitions` VALUES (111214, 4266, 21, 'GÖNDEREN_VEDA');
INSERT INTO `lang_definitions` VALUES (111215, 4267, 21, 'Ön Büro');
INSERT INTO `lang_definitions` VALUES (111216, 4268, 21, 'Ön Büro Makbuzları');
INSERT INTO `lang_definitions` VALUES (111217, 4269, 21, 'Ön Büro Makbuzları Raporu');
INSERT INTO `lang_definitions` VALUES (111218, 4270, 21, 'Resepsiyon');
INSERT INTO `lang_definitions` VALUES (111219, 4271, 21, 'Sağ Frontal:');
INSERT INTO `lang_definitions` VALUES (111220, 4278, 21, 'Tam İsim');
INSERT INTO `lang_definitions` VALUES (111221, 4280, 21, 'MYSQL çalışanlarını içeren klasörün tam yolu.');
INSERT INTO `lang_definitions` VALUES (111222, 4281, 21, 'Perl çalışanlarını içeren klasörün tam yolu');
INSERT INTO `lang_definitions` VALUES (111223, 4282, 21, 'Olay kaydı yedeği klasörünün tam yolu');
INSERT INTO `lang_definitions` VALUES (111224, 4283, 21, 'Geçici dosyalar için kullanılan klasörün tam yolu');
INSERT INTO `lang_definitions` VALUES (111225, 4284, 21, 'Tam Oynat');
INSERT INTO `lang_definitions` VALUES (111226, 4286, 21, 'Tam Eğitim');
INSERT INTO `lang_definitions` VALUES (111227, 4288, 21, 'Tamamen Ödendi');
INSERT INTO `lang_definitions` VALUES (111228, 4295, 21, 'Gelecek');
INSERT INTO `lang_definitions` VALUES (111229, 4298, 21, 'G');
INSERT INTO `lang_definitions` VALUES (111230, 4299, 21, 'G/DL');
INSERT INTO `lang_definitions` VALUES (111231, 4301, 21, 'Galiçyaca');
INSERT INTO `lang_definitions` VALUES (111232, 4302, 21, 'Safra Kesesi Rahatsızlığı');
INSERT INTO `lang_definitions` VALUES (111233, 4303, 21, 'Safra Taşları');
INSERT INTO `lang_definitions` VALUES (111234, 4304, 21, 'Oyun Dönemi');
INSERT INTO `lang_definitions` VALUES (111235, 4305, 21, 'Oyunlar');
INSERT INTO `lang_definitions` VALUES (111236, 4306, 21, 'Kaçırılmış Oyunlar');
INSERT INTO `lang_definitions` VALUES (111237, 4307, 21, 'oyunlar/olaylar');
INSERT INTO `lang_definitions` VALUES (111238, 4308, 21, 'Kaçırılmış Oyunlar/Olaylar');
INSERT INTO `lang_definitions` VALUES (111239, 4310, 21, 'Gastrit');
INSERT INTO `lang_definitions` VALUES (111240, 4311, 21, 'Mide Ağrısı');
INSERT INTO `lang_definitions` VALUES (111241, 4312, 21, 'Gastroentestinal');
INSERT INTO `lang_definitions` VALUES (111242, 4316, 21, 'Jenerik Bağlantı Kabul Kontrol İstatistik Raporu');
INSERT INTO `lang_definitions` VALUES (111243, 4317, 21, 'Jenerik Bağlantı Kabul Kontrol İstatistikleri');
INSERT INTO `lang_definitions` VALUES (111244, 4318, 21, 'Jenerik Bağlantı Kabul Kontrol vizit formu eksik');
INSERT INTO `lang_definitions` VALUES (111245, 4319, 21, 'Cinsiyet');
INSERT INTO `lang_definitions` VALUES (111246, 4320, 21, 'Cinsiyet');
INSERT INTO `lang_definitions` VALUES (111247, 4321, 21, 'Genel');
INSERT INTO `lang_definitions` VALUES (111248, 4323, 21, 'Genel Konu Listesi');
INSERT INTO `lang_definitions` VALUES (111249, 4325, 21, 'Genel Servis Kategorisi');
INSERT INTO `lang_definitions` VALUES (111250, 4331, 21, 'Oluştur');
INSERT INTO `lang_definitions` VALUES (111251, 4332, 21, 'CMS 1500 kağıdı alacaklarını oluştur ve indir');
INSERT INTO `lang_definitions` VALUES (111252, 4334, 21, 'HCFA 1500 kağıdı alacaklarını oluştur ve indir');
INSERT INTO `lang_definitions` VALUES (111253, 4337, 21, 'X12 yığın dosyasını oluştur ve indir');
INSERT INTO `lang_definitions` VALUES (111254, 4338, 21, 'Görüşme alacakları X12 yığın dosyasını oluştur ve indir');
INSERT INTO `lang_definitions` VALUES (111255, 4341, 21, 'İzin verilmiş reçeteleri oluştur ve elektronik olarak gönder.');
INSERT INTO `lang_definitions` VALUES (111256, 4342, 21, 'CMS 1500 oluştur');
INSERT INTO `lang_definitions` VALUES (111257, 4343, 21, 'CMS 1500 PDF oluştur');
INSERT INTO `lang_definitions` VALUES (111258, 4344, 21, 'CMS 1500 TEKST oluştur');
INSERT INTO `lang_definitions` VALUES (111259, 4345, 21, 'HCFA oluştur');
INSERT INTO `lang_definitions` VALUES (111260, 4347, 21, 'Fatura Oluştur');
INSERT INTO `lang_definitions` VALUES (111261, 4348, 21, 'Mektup Oluştur');
INSERT INTO `lang_definitions` VALUES (111262, 4349, 21, 'Oluşturulacak Mektup Konusu:');
INSERT INTO `lang_definitions` VALUES (111263, 4351, 21, 'Doktor Kalite Raporu Oluştur (A Yöntemi)');
INSERT INTO `lang_definitions` VALUES (111264, 4353, 21, 'Doktor Kalite Raporu Oluştur (B Yöntemi)');
INSERT INTO `lang_definitions` VALUES (111265, 4357, 21, 'Rapor Oluştur');
INSERT INTO `lang_definitions` VALUES (111266, 4365, 21, 'Kullanıcı Adı ve Şifre Oluşturulacak Kişi:');
INSERT INTO `lang_definitions` VALUES (111267, 4366, 21, 'X12 Oluştur');
INSERT INTO `lang_definitions` VALUES (111268, 4368, 21, 'X12 Görüşme Oluştur');
INSERT INTO `lang_definitions` VALUES (111269, 4370, 21, 'Oluşturulduğu tarih:');
INSERT INTO `lang_definitions` VALUES (111270, 4372, 21, 'Oluşturur');
INSERT INTO `lang_definitions` VALUES (111271, 4377, 21, 'Genitoüriner');
INSERT INTO `lang_definitions` VALUES (111272, 4380, 21, 'Gürcüce');
INSERT INTO `lang_definitions` VALUES (111273, 4381, 21, 'Almanca');
INSERT INTO `lang_definitions` VALUES (111274, 4386, 21, 'HL7 Al');
INSERT INTO `lang_definitions` VALUES (111275, 4392, 21, 'Glokom');
INSERT INTO `lang_definitions` VALUES (111276, 4393, 21, 'Glokom Aile Öyküsü');
INSERT INTO `lang_definitions` VALUES (111277, 4395, 21, 'Global');
INSERT INTO `lang_definitions` VALUES (111278, 4398, 21, 'Global ID');
INSERT INTO `lang_definitions` VALUES (111279, 4399, 21, 'Global Ayarlar');
INSERT INTO `lang_definitions` VALUES (111280, 4400, 21, 'Globaller');
INSERT INTO `lang_definitions` VALUES (111281, 4401, 21, 'GM/DL');
INSERT INTO `lang_definitions` VALUES (111282, 4403, 21, 'Git');
INSERT INTO `lang_definitions` VALUES (111283, 4404, 21, 'git');
INSERT INTO `lang_definitions` VALUES (111284, 4407, 21, 'Gidilecek yer:');
INSERT INTO `lang_definitions` VALUES (111285, 4417, 21, 'Gidilecek hafta:');
INSERT INTO `lang_definitions` VALUES (111286, 4418, 21, 'Bugüne Git');
INSERT INTO `lang_definitions` VALUES (111287, 4419, 21, 'Hedef A');
INSERT INTO `lang_definitions` VALUES (111288, 4420, 21, 'Hedef ve Yöntemler');
INSERT INTO `lang_definitions` VALUES (111289, 4421, 21, 'Hedef B');
INSERT INTO `lang_definitions` VALUES (111290, 4422, 21, 'Hedef C');
INSERT INTO `lang_definitions` VALUES (111291, 4428, 21, 'Yaralanma Derecesi');
INSERT INTO `lang_definitions` VALUES (111292, 4429, 21, 'Grade:');
INSERT INTO `lang_definitions` VALUES (111293, 4430, 21, 'gram');
INSERT INTO `lang_definitions` VALUES (111294, 4431, 21, 'Büyük Toplam');
INSERT INTO `lang_definitions` VALUES (111295, 4432, 21, 'Büyük Toplamlar');
INSERT INTO `lang_definitions` VALUES (111296, 4435, 21, 'Grafiği çizilebilir');
INSERT INTO `lang_definitions` VALUES (111297, 4437, 21, 'Den Daha Büyük:');
INSERT INTO `lang_definitions` VALUES (111298, 4438, 21, 'Den Daha Büyük:veya Eşit:');
INSERT INTO `lang_definitions` VALUES (111299, 4439, 21, 'Yunanca');
INSERT INTO `lang_definitions` VALUES (111300, 4440, 21, 'Çağdaş Yunanca');
INSERT INTO `lang_definitions` VALUES (111301, 4442, 21, 'Grup');
INSERT INTO `lang_definitions` VALUES (111302, 4459, 21, 'Grup İsmi');
INSERT INTO `lang_definitions` VALUES (111303, 4460, 21, 'Grup isimleri boş bırakılamaz.');
INSERT INTO `lang_definitions` VALUES (111304, 4461, 21, 'Grup isimleri rakamlarla veya boşluklarla başlayamaz.');
INSERT INTO `lang_definitions` VALUES (111305, 4462, 21, 'Grup isimleri rakamlarla başlayamaz.');
INSERT INTO `lang_definitions` VALUES (111306, 4463, 21, 'Grup Numarası:');
INSERT INTO `lang_definitions` VALUES (111307, 4465, 21, 'Grup Ödemesi');
INSERT INTO `lang_definitions` VALUES (111308, 4471, 21, 'Grup');
INSERT INTO `lang_definitions` VALUES (111309, 4472, 21, 'Grup ismi');
INSERT INTO `lang_definitions` VALUES (111310, 4475, 21, 'Gruplar ve Erişim Kontrolleri');
INSERT INTO `lang_definitions` VALUES (111311, 4476, 21, 'Büyüme Çizelgesi');
INSERT INTO `lang_definitions` VALUES (111312, 4477, 21, 'Büyüme-Çizelgesi');
INSERT INTO `lang_definitions` VALUES (111313, 4478, 21, 'gtts(damla)');
INSERT INTO `lang_definitions` VALUES (111314, 4479, 21, 'Guamca');
INSERT INTO `lang_definitions` VALUES (111315, 4484, 21, 'Veli / Vasi Adı');
INSERT INTO `lang_definitions` VALUES (111316, 4489, 21, 'Jinekolojik Muayene');
INSERT INTO `lang_definitions` VALUES (111317, 4490, 21, 's');
INSERT INTO `lang_definitions` VALUES (111318, 4492, 21, 'yatarken');
INSERT INTO `lang_definitions` VALUES (111319, 4493, 21, 'H/O Hepatit');
INSERT INTO `lang_definitions` VALUES (111320, 4494, 21, 'başarıyla silinmişti. Eğer var ise alt kategoriler aşağı taşındı.');
INSERT INTO `lang_definitions` VALUES (111321, 4495, 21, 'Hematom / Morarma');
INSERT INTO `lang_definitions` VALUES (111322, 4496, 21, 'HAI Durumu');
INSERT INTO `lang_definitions` VALUES (111323, 4497, 21, 'Haitice');
INSERT INTO `lang_definitions` VALUES (111324, 4499, 21, 'El + Parmaklar');
INSERT INTO `lang_definitions` VALUES (111325, 4500, 21, 'El Sorunları');
INSERT INTO `lang_definitions` VALUES (111326, 4505, 21, 'Sabit sürücü');
INSERT INTO `lang_definitions` VALUES (111327, 4506, 21, 'Güçlük ile / değil');
INSERT INTO `lang_definitions` VALUES (111328, 4507, 21, 'vizite ilişkilendirildi');
INSERT INTO `lang_definitions` VALUES (111329, 4508, 21, 'zaman aşımına uğradı');
INSERT INTO `lang_definitions` VALUES (111330, 4509, 21, 'Parmak izi dosyası');
INSERT INTO `lang_definitions` VALUES (111331, 4511, 21, 'Bu dosyanın parmak izi dosyası bulunamadı. Yenisi oluşturuldu.');
INSERT INTO `lang_definitions` VALUES (111332, 4512, 21, 'Parmak izi dosyası uyuşmuyor. Veri bütünlüğü bozuldu.');
INSERT INTO `lang_definitions` VALUES (111333, 4515, 21, 'Havaice');
INSERT INTO `lang_definitions` VALUES (111334, 4516, 21, 'Tehlikeli etkinlikler');
INSERT INTO `lang_definitions` VALUES (111335, 4517, 21, 'Tehlikeli Etkinlikler');
INSERT INTO `lang_definitions` VALUES (111336, 4521, 21, 'HCFA sol kenarlık');
INSERT INTO `lang_definitions` VALUES (111337, 4522, 21, 'HCFA Kenarlıkları');
INSERT INTO `lang_definitions` VALUES (111338, 4523, 21, 'HCFA üst kenarlığı');
INSERT INTO `lang_definitions` VALUES (111339, 4527, 21, 'o TakvimPostası');
INSERT INTO `lang_definitions` VALUES (111340, 4528, 21, 'Baş');
INSERT INTO `lang_definitions` VALUES (111341, 4529, 21, 'Baş Çev');
INSERT INTO `lang_definitions` VALUES (111342, 4530, 21, 'Baş Çevresi');
INSERT INTO `lang_definitions` VALUES (111343, 4531, 21, 'Baş Ağrısı');
INSERT INTO `lang_definitions` VALUES (111344, 4532, 21, 'Baş ağrıları');
INSERT INTO `lang_definitions` VALUES (111345, 4534, 21, 'sağlık işlemleri');
INSERT INTO `lang_definitions` VALUES (111346, 4535, 21, 'Sağlık İşlemleri');
INSERT INTO `lang_definitions` VALUES (111347, 4537, 21, 'Sağlık Merkezi / Klinik');
INSERT INTO `lang_definitions` VALUES (111348, 4540, 21, 'Sağlığı Sürdürme Kurumu');
INSERT INTO `lang_definitions` VALUES (111349, 4541, 21, 'Sağlığı Sürdürme Kurumu Tıbbi Bakım Riski');
INSERT INTO `lang_definitions` VALUES (111350, 4542, 21, 'İşitme Kaybı');
INSERT INTO `lang_definitions` VALUES (111351, 4543, 21, 'Kalp Krizi');
INSERT INTO `lang_definitions` VALUES (111352, 4544, 21, 'Kalp Hastalığı');
INSERT INTO `lang_definitions` VALUES (111353, 4545, 21, 'Kalp Yetmezliği');
INSERT INTO `lang_definitions` VALUES (111354, 4546, 21, 'Kalp Sorunu');
INSERT INTO `lang_definitions` VALUES (111355, 4547, 21, 'Kalp Sorunları');
INSERT INTO `lang_definitions` VALUES (111356, 4548, 21, 'Kalp Cerrahisi');
INSERT INTO `lang_definitions` VALUES (111357, 4549, 21, 'Kalp Nakli');
INSERT INTO `lang_definitions` VALUES (111358, 4550, 21, 'KALP:');
INSERT INTO `lang_definitions` VALUES (111359, 4551, 21, 'Mide ekşimesi');
INSERT INTO `lang_definitions` VALUES (111360, 4552, 21, 'Sıcak veya Soğuk');
INSERT INTO `lang_definitions` VALUES (111361, 4553, 21, 'Sıcak Veya Soğuk');
INSERT INTO `lang_definitions` VALUES (111362, 4554, 21, 'Çok sigara içen');
INSERT INTO `lang_definitions` VALUES (111363, 4555, 21, 'İbranice');
INSERT INTO `lang_definitions` VALUES (111364, 4556, 21, 'Çağdaş İbranice');
INSERT INTO `lang_definitions` VALUES (111365, 4557, 21, 'Baş Göz KBB');
INSERT INTO `lang_definitions` VALUES (111366, 4558, 21, 'Boy');
INSERT INTO `lang_definitions` VALUES (111367, 4559, 21, 'Boy/Uzunluk');
INSERT INTO `lang_definitions` VALUES (111368, 4560, 21, 'Yardım');
INSERT INTO `lang_definitions` VALUES (111369, 4561, 21, 'yardım');
INSERT INTO `lang_definitions` VALUES (111370, 4563, 21, 'Hematemez');
INSERT INTO `lang_definitions` VALUES (111371, 4564, 21, 'Hematokezya');
INSERT INTO `lang_definitions` VALUES (111372, 4565, 21, 'Hematolojik');
INSERT INTO `lang_definitions` VALUES (111373, 4566, 21, 'Hematüri');
INSERT INTO `lang_definitions` VALUES (111374, 4567, 21, 'Hemoglobin');
INSERT INTO `lang_definitions` VALUES (111375, 4568, 21, 'Hemoglobin A1C');
INSERT INTO `lang_definitions` VALUES (111376, 4569, 21, 'Hemoptizi');
INSERT INTO `lang_definitions` VALUES (111377, 4570, 21, 'Hepatit');
INSERT INTO `lang_definitions` VALUES (111378, 4571, 21, 'Hepatit A1');
INSERT INTO `lang_definitions` VALUES (111379, 4572, 21, 'Hepatit A 2');
INSERT INTO `lang_definitions` VALUES (111380, 4573, 21, 'Hepatit B 1');
INSERT INTO `lang_definitions` VALUES (111381, 4574, 21, 'Hepatit B 2');
INSERT INTO `lang_definitions` VALUES (111382, 4575, 21, 'Hepatit B 3');
INSERT INTO `lang_definitions` VALUES (111383, 4576, 21, 'buraya');
INSERT INTO `lang_definitions` VALUES (111384, 4580, 21, 'Fıtık Onarımı');
INSERT INTO `lang_definitions` VALUES (111385, 4581, 21, 'Disk Hernisi');
INSERT INTO `lang_definitions` VALUES (111386, 4582, 21, 'Herpes');
INSERT INTO `lang_definitions` VALUES (111387, 4585, 21, 'Duraksama');
INSERT INTO `lang_definitions` VALUES (111388, 4586, 21, 'Hey, siz şu zamandır buradasınız:');
INSERT INTO `lang_definitions` VALUES (111389, 4587, 21, 'Hib 1');
INSERT INTO `lang_definitions` VALUES (111390, 4588, 21, 'Hib 2');
INSERT INTO `lang_definitions` VALUES (111391, 4589, 21, 'Hib 3');
INSERT INTO `lang_definitions` VALUES (111392, 4590, 21, 'Hib 4');
INSERT INTO `lang_definitions` VALUES (111393, 4591, 21, 'Gizli');
INSERT INTO `lang_definitions` VALUES (111394, 4592, 21, 'Gizli Olaylar Yönetimi');
INSERT INTO `lang_definitions` VALUES (111395, 4593, 21, 'Gizle');
INSERT INTO `lang_definitions` VALUES (111396, 4595, 21, 'Ayrıntıları Gizle');
INSERT INTO `lang_definitions` VALUES (111397, 4596, 21, 'Raporda Boş E-İmza Günlüklerini Gizle');
INSERT INTO `lang_definitions` VALUES (111398, 4597, 21, 'Belge yönetiminde sifreleme/şifre açma seçeneklerini gizle');
INSERT INTO `lang_definitions` VALUES (111399, 4599, 21, 'Menüyü Gizle');
INSERT INTO `lang_definitions` VALUES (111400, 4601, 21, 'Hatırlatıcıları Gizle');
INSERT INTO `lang_definitions` VALUES (111401, 4603, 21, 'Sütunları Gizle/Göster');
INSERT INTO `lang_definitions` VALUES (111402, 4605, 21, 'Yüksek');
INSERT INTO `lang_definitions` VALUES (111403, 4607, 21, 'Yüksek Kan Basıncı');
INSERT INTO `lang_definitions` VALUES (111404, 4609, 21, 'Hintli');
INSERT INTO `lang_definitions` VALUES (111405, 4610, 21, 'Kalça + kasık');
INSERT INTO `lang_definitions` VALUES (111406, 4611, 21, 'Kalça ve kasık');
INSERT INTO `lang_definitions` VALUES (111407, 4612, 21, 'Kalça sorunları');
INSERT INTO `lang_definitions` VALUES (111408, 4613, 21, 'Kalça Protezi');
INSERT INTO `lang_definitions` VALUES (111409, 4615, 21, 'HIPAA Uyarısı Alındı');
INSERT INTO `lang_definitions` VALUES (111410, 4617, 21, 'Hirsutizm/Strialar');
INSERT INTO `lang_definitions` VALUES (111411, 4618, 21, 'Esmer');
INSERT INTO `lang_definitions` VALUES (111412, 4619, 21, 'Esmer - Diğer ( ABD de doğmuş)');
INSERT INTO `lang_definitions` VALUES (111413, 4620, 21, 'Esmer - Diğer ( ABD dışında doğmuş)');
INSERT INTO `lang_definitions` VALUES (111414, 4621, 21, 'Latin Amerikalı');
INSERT INTO `lang_definitions` VALUES (111415, 4623, 21, 'Öykü');
INSERT INTO `lang_definitions` VALUES (111416, 4629, 21, 'Öykü Verisi');
INSERT INTO `lang_definitions` VALUES (111417, 4630, 21, 'Öykü Tarihi');
INSERT INTO `lang_definitions` VALUES (111418, 4632, 21, 'Üfürüm Öyküsü');
INSERT INTO `lang_definitions` VALUES (111419, 4633, 21, 'Öykü yetkilendirilmemiş');
INSERT INTO `lang_definitions` VALUES (111420, 4634, 21, 'Kalp Üfürümü Öyküsü');
INSERT INTO `lang_definitions` VALUES (111421, 4638, 21, 'Vuruşlar');
INSERT INTO `lang_definitions` VALUES (111422, 4639, 21, 'HIV');
INSERT INTO `lang_definitions` VALUES (111423, 4649, 21, 'HL7 Görüntüleyici');
INSERT INTO `lang_definitions` VALUES (111424, 4651, 21, 'HMOL/L');
INSERT INTO `lang_definitions` VALUES (111425, 4652, 21, 'Hmongca');
INSERT INTO `lang_definitions` VALUES (111426, 4653, 21, 'Çoklu seçim yapmak veya seçimden çıkarmak için [Ctrl] yi basılı tutunuz.');
INSERT INTO `lang_definitions` VALUES (111427, 4655, 21, 'Çok kalem seçmek için [Ctrl] yi basılı tutunuz');
INSERT INTO `lang_definitions` VALUES (111428, 4656, 21, 'Çok takım seçmek için [Ctrl] yi basılı tutunuz');
INSERT INTO `lang_definitions` VALUES (111429, 4658, 21, 'Ev');
INSERT INTO `lang_definitions` VALUES (111430, 4659, 21, 'Ev Telefonu');
INSERT INTO `lang_definitions` VALUES (111431, 4660, 21, 'Ev Telefon Numarası');
INSERT INTO `lang_definitions` VALUES (111432, 4662, 21, 'Evsiz veya benzer?');
INSERT INTO `lang_definitions` VALUES (111433, 4664, 21, 'Evsiz, vs.');
INSERT INTO `lang_definitions` VALUES (111434, 4665, 21, 'Evsiz, vs.');
INSERT INTO `lang_definitions` VALUES (111435, 4666, 21, 'Kancalar');
INSERT INTO `lang_definitions` VALUES (111436, 4674, 21, 'Sunucu Adı');
INSERT INTO `lang_definitions` VALUES (111437, 4675, 21, 'Sunucu Adı boş olamaz');
INSERT INTO `lang_definitions` VALUES (111438, 4677, 21, 'Saat');
INSERT INTO `lang_definitions` VALUES (111439, 4678, 21, 'Saat');
INSERT INTO `lang_definitions` VALUES (111440, 4681, 21, 'Yaralanma nasıl oldu?');
INSERT INTO `lang_definitions` VALUES (111441, 4682, 21, 'Yaralanma nasıl oldu?');
INSERT INTO `lang_definitions` VALUES (111442, 4683, 21, 'Bizi nereden duymuşlar?');
INSERT INTO `lang_definitions` VALUES (111443, 4685, 21, 'Gelen olaylar için kaç ay ilerisi sorgulansın?');
INSERT INTO `lang_definitions` VALUES (111444, 4692, 21, 'HPI:');
INSERT INTO `lang_definitions` VALUES (111445, 4694, 21, 'HT');
INSERT INTO `lang_definitions` VALUES (111446, 4695, 21, 'HTML');
INSERT INTO `lang_definitions` VALUES (111447, 4696, 21, 'HTML Çıktısı?');
INSERT INTO `lang_definitions` VALUES (111448, 4699, 21, 'LLC Lab Değişim Hizmeti ÖzgürETK desteği için https bağlantısı');
INSERT INTO `lang_definitions` VALUES (111449, 4702, 21, 'Hylafax Dizini');
INSERT INTO `lang_definitions` VALUES (111450, 4703, 21, 'Hylafax Yazdır Komutu');
INSERT INTO `lang_definitions` VALUES (111451, 4704, 21, 'Hylafax Sunucu.');
INSERT INTO `lang_definitions` VALUES (111452, 4705, 21, 'Hylafax sunucu ana bilgisayar adı.');
INSERT INTO `lang_definitions` VALUES (111453, 4706, 21, 'Hiperaktif');
INSERT INTO `lang_definitions` VALUES (111454, 4708, 21, 'Hipertansiyon');
INSERT INTO `lang_definitions` VALUES (111455, 4709, 21, 'Hipertansiyon: Kan Basıncı Yönetimi');
INSERT INTO `lang_definitions` VALUES (111456, 4710, 21, 'Hipertansiyon: Kan Basıncı Yönetimi Kalite Kontrol');
INSERT INTO `lang_definitions` VALUES (111457, 4711, 21, 'Hipertiroidi');
INSERT INTO `lang_definitions` VALUES (111458, 4713, 21, 'Hipotiroidi');
INSERT INTO `lang_definitions` VALUES (111459, 4716, 21, 'Histerektomi');
INSERT INTO `lang_definitions` VALUES (111460, 4717, 21, 'Ben');
INSERT INTO `lang_definitions` VALUES (111461, 4718, 21, 'Bu süre boyunca meşgulüm.');
INSERT INTO `lang_definitions` VALUES (111462, 4719, 21, 'Okuma iznim yok');
INSERT INTO `lang_definitions` VALUES (111463, 4724, 21, 'ICD');
INSERT INTO `lang_definitions` VALUES (111464, 4725, 21, 'ICD10 Tanı');
INSERT INTO `lang_definitions` VALUES (111465, 4726, 21, 'ICD10 İşlem/Hizmet');
INSERT INTO `lang_definitions` VALUES (111466, 4727, 21, 'ICD9');
INSERT INTO `lang_definitions` VALUES (111467, 4728, 21, 'ICD9 Tanı');
INSERT INTO `lang_definitions` VALUES (111468, 4729, 21, 'ICD9 İşlem/Hizmet');
INSERT INTO `lang_definitions` VALUES (111469, 4730, 21, 'İzlandaca');
INSERT INTO `lang_definitions` VALUES (111470, 4734, 21, 'Kimlik no');
INSERT INTO `lang_definitions` VALUES (111471, 4736, 21, 'kimlik no');
INSERT INTO `lang_definitions` VALUES (111472, 4738, 21, 'Kimlik no boş olamaz');
INSERT INTO `lang_definitions` VALUES (111473, 4739, 21, 'Nüfus Kağıdı');
INSERT INTO `lang_definitions` VALUES (111474, 4742, 21, 'IDays');
INSERT INTO `lang_definitions` VALUES (111475, 4743, 21, 'Tanımlandı:');
INSERT INTO `lang_definitions` VALUES (111476, 4745, 21, 'Tanımlayıcı (bir sözcük)');
INSERT INTO `lang_definitions` VALUES (111477, 4746, 21, 'Tanımlama kodu');
INSERT INTO `lang_definitions` VALUES (111478, 4747, 21, 'Oturum Boşta Zaman Aşımı Saniye');
INSERT INTO `lang_definitions` VALUES (111479, 4755, 21, 'eğer bu formun tüm sütunlarının tüm bilgileri tamam ise');
INSERT INTO `lang_definitions` VALUES (111480, 4757, 21, 'Eğer paket faturalandırma kullanılıyor ise teşhis kodu tipini ismini giriniz.');
INSERT INTO `lang_definitions` VALUES (111481, 4763, 21, 'eğer girilir ise sadece bu hizmeti alanları seçiniz.');
INSERT INTO `lang_definitions` VALUES (111482, 4765, 21, 'Eğer isim, soyad veya soyad, ad bir kısmı');
INSERT INTO `lang_definitions` VALUES (111483, 4770, 21, 'Eğer ödeme yolu:');
INSERT INTO `lang_definitions` VALUES (111484, 4771, 21, 'eğer kişi öldü ise ölüm tarihini giriniz.');
INSERT INTO `lang_definitions` VALUES (111485, 4775, 21, 'Eğer SMTP kullanılıyor ise sunucu ismi veya IP adresi.');
INSERT INTO `lang_definitions` VALUES (111486, 4776, 21, 'SMTP kullanılıyor ise sunucunun TCP port mumarası (genellikle 25)');
INSERT INTO `lang_definitions` VALUES (111487, 4803, 21, 'İşsiz ise Öğrenci giriniz');
INSERT INTO `lang_definitions` VALUES (111488, 4805, 21, 'Hasta yaşı gösterilmesinde yıl/ay/gün seçildi ise yaş yıl olarak bu rakamı geçerse sadece yılın gösterileceği sınır yaş');
INSERT INTO `lang_definitions` VALUES (111489, 4814, 21, 'eReçete için eRx rolünü değiştirirseniz eReçete iş akışını etkileyebilir. Bir zorluk ile karşılaşırsanız eReçete satıcınız ile temas ediniz.');
INSERT INTO `lang_definitions` VALUES (111490, 4833, 21, 'Elektronik havale göndermeyi seçmiş iseniz X12 dosyasından karşılık helen faturalar ile bir araştırma penceresi tekrar görünür. Havale bilgisi uygulanmadan önce eğer bir düzeltme yapmak ister iseniz bu fatura numaralarının her hangi birini aşağıda anlatıldığı gibi tıklayabilirsiniz. Değişiklikleri uygulamak için sayfanın en altındaki Havale Dosyasını Oluştur düğmesini tıklayınız. Bu ayrıntılı bir rapor ile yeni bir pencere oluşturacaktır.');
INSERT INTO `lang_definitions` VALUES (111491, 4836, 21, 'Arama Sayfasına bir Ödeme Tarihi girdiyseniz bu ödemelerin atama tarihinin ve X12 dosyasından alınan düzeltmelerin önüne geçer. Bunun rapor amaçlı yararı olabilir.eğer sizin gönderme tarihinizi sigorta şirketinin işlem tarihi yerine kullanmak ister iseniz Bunun önceki ödemeleri ve bunlara ikincil alacakları etkilediğine dikkat ediniz');
INSERT INTO `lang_definitions` VALUES (111492, 4850, 21, 'Sütunlar');
INSERT INTO `lang_definitions` VALUES (111493, 4851, 21, 'Veritabanını yükseltmek isterseniz veritabanı zip dosyasını şu klasöre yerleştiriniz:');
INSERT INTO `lang_definitions` VALUES (111494, 4854, 21, 'Görmezden gelin');
INSERT INTO `lang_definitions` VALUES (111495, 4856, 21, 'hastalık');
INSERT INTO `lang_definitions` VALUES (111496, 4857, 21, 'IM');
INSERT INTO `lang_definitions` VALUES (111497, 4863, 21, 'Görüntüleme Servisi');
INSERT INTO `lang_definitions` VALUES (111498, 4865, 21, 'Aşılama');
INSERT INTO `lang_definitions` VALUES (111499, 4867, 21, 'Aşılama Kodu');
INSERT INTO `lang_definitions` VALUES (111500, 4869, 21, 'Aşılama Tarihi');
INSERT INTO `lang_definitions` VALUES (111501, 4872, 21, 'Aşı Parti Numarası');
INSERT INTO `lang_definitions` VALUES (111502, 4873, 21, 'Aşı Üreticisi');
INSERT INTO `lang_definitions` VALUES (111503, 4878, 21, 'Aşılama Kaydı');
INSERT INTO `lang_definitions` VALUES (111504, 4882, 21, 'Aşılama Servisi');
INSERT INTO `lang_definitions` VALUES (111505, 4883, 21, 'Aşılama Başlığı');
INSERT INTO `lang_definitions` VALUES (111506, 4885, 21, 'Aşılamalar');
INSERT INTO `lang_definitions` VALUES (111507, 4887, 21, 'Aşılar');
INSERT INTO `lang_definitions` VALUES (111508, 4888, 21, 'İmmünolojik');
INSERT INTO `lang_definitions` VALUES (111509, 4893, 21, 'İmplantlar');
INSERT INTO `lang_definitions` VALUES (111510, 4894, 21, 'İçe aktarmak');
INSERT INTO `lang_definitions` VALUES (111511, 4898, 21, 'Sertifikayı tarayıcıya aktar');
INSERT INTO `lang_definitions` VALUES (111512, 4899, 21, 'Konfigürasyonu aktar');
INSERT INTO `lang_definitions` VALUES (111513, 4904, 21, 'Hastayı içe aktar');
INSERT INTO `lang_definitions` VALUES (111514, 4905, 21, 'Hasta Demografik Bilgilerini içe aktar');
INSERT INTO `lang_definitions` VALUES (111515, 4914, 21, 'Muhasebeden içe aktarıldı');
INSERT INTO `lang_definitions` VALUES (111516, 4920, 21, 'İyileştirilmiş');
INSERT INTO `lang_definitions` VALUES (111517, 4922, 21, 'içinde');
INSERT INTO `lang_definitions` VALUES (111518, 4923, 21, 'İÇİNDE');
INSERT INTO `lang_definitions` VALUES (111519, 4931, 21, 'her bir gözde');
INSERT INTO `lang_definitions` VALUES (111520, 4934, 21, 'sol gözde');
INSERT INTO `lang_definitions` VALUES (111521, 4935, 21, 'burun deliğinde');
INSERT INTO `lang_definitions` VALUES (111522, 4936, 21, 'Ofiste');
INSERT INTO `lang_definitions` VALUES (111523, 4947, 21, 'sağ gözde');
INSERT INTO `lang_definitions` VALUES (111524, 4958, 21, 'ev içi');
INSERT INTO `lang_definitions` VALUES (111525, 4960, 21, 'inaktif');
INSERT INTO `lang_definitions` VALUES (111526, 4965, 21, 'boş Günler');
INSERT INTO `lang_definitions` VALUES (111527, 4967, 21, 'Gelen Kutusu');
INSERT INTO `lang_definitions` VALUES (111528, 4970, 21, 'Kontrol Toplamı Dahil');
INSERT INTO `lang_definitions` VALUES (111529, 4971, 21, 'Dahil Tamamlandı');
INSERT INTO `lang_definitions` VALUES (111530, 4974, 21, 'İnaktif kullanıcılar dahil');
INSERT INTO `lang_definitions` VALUES (111531, 4975, 21, 'Kategorize edilmeyenler dahil');
INSERT INTO `lang_definitions` VALUES (111532, 4976, 21, 'Yapılandırılmamış Veriler dahil');
INSERT INTO `lang_definitions` VALUES (111533, 4977, 21, 'Vital bulgular dahil');
INSERT INTO `lang_definitions` VALUES (111534, 4978, 21, 'Vital veriler dahil edilsin mi?');
INSERT INTO `lang_definitions` VALUES (111535, 4981, 21, 'Dahil etme');
INSERT INTO `lang_definitions` VALUES (111536, 4982, 21, 'Gelir');
INSERT INTO `lang_definitions` VALUES (111537, 4984, 21, 'Tamamlanmamış');
INSERT INTO `lang_definitions` VALUES (111538, 4985, 21, 'Abort İnkomplet Tedavisi');
INSERT INTO `lang_definitions` VALUES (111539, 4986, 21, 'İnkontinans');
INSERT INTO `lang_definitions` VALUES (111540, 4987, 21, 'Klinik laboratuvar test sonuçlarını yapılandırılmış veri olarak sertifiye elektronik sağlık kaydı raporuna dahil et.');
INSERT INTO `lang_definitions` VALUES (111541, 4990, 21, 'Artmış:');
INSERT INTO `lang_definitions` VALUES (111542, 4991, 21, 'Mesuliyet Sigortası');
INSERT INTO `lang_definitions` VALUES (111543, 4994, 21, 'Belirsiz');
INSERT INTO `lang_definitions` VALUES (111544, 4995, 21, 'Hintli');
INSERT INTO `lang_definitions` VALUES (111545, 4998, 21, 'Anormalliği gösterir');
INSERT INTO `lang_definitions` VALUES (111546, 5000, 21, 'Bu konunun halen aktif olup olmadığını gösterir');
INSERT INTO `lang_definitions` VALUES (111547, 5001, 21, 'Endikasyonlar');
INSERT INTO `lang_definitions` VALUES (111548, 5002, 21, 'Özelleşmiş kullanım belirteci');
INSERT INTO `lang_definitions` VALUES (111549, 5003, 21, 'Yoksul Hastalar');
INSERT INTO `lang_definitions` VALUES (111550, 5004, 21, 'Yoksul Hastalar Raporu');
INSERT INTO `lang_definitions` VALUES (111551, 5005, 21, 'Yoksullar');
INSERT INTO `lang_definitions` VALUES (111552, 5010, 21, 'Kürtaj');
INSERT INTO `lang_definitions` VALUES (111553, 5012, 21, 'Seçilemez');
INSERT INTO `lang_definitions` VALUES (111554, 5013, 21, 'Enfeksiyon / Apse');
INSERT INTO `lang_definitions` VALUES (111555, 5014, 21, 'Enfeksiyonlar');
INSERT INTO `lang_definitions` VALUES (111556, 5015, 21, 'Kısır');
INSERT INTO `lang_definitions` VALUES (111557, 5016, 21, 'Kısırlık');
INSERT INTO `lang_definitions` VALUES (111558, 5017, 21, 'İnfluenza 1');
INSERT INTO `lang_definitions` VALUES (111559, 5018, 21, 'İnfluenza 2');
INSERT INTO `lang_definitions` VALUES (111560, 5019, 21, '50 yaş ve üzeri hastalar için grip aşısı');
INSERT INTO `lang_definitions` VALUES (111561, 5020, 21, '50 yaş ve üzeri hastalar için grip aşısı kalite kontrol');
INSERT INTO `lang_definitions` VALUES (111562, 5021, 21, 'Grip Aşısı');
INSERT INTO `lang_definitions` VALUES (111563, 5022, 21, 'Bilgi');
INSERT INTO `lang_definitions` VALUES (111564, 5023, 21, 'test 1 bilgi');
INSERT INTO `lang_definitions` VALUES (111565, 5024, 21, 'test 2 bilgi');
INSERT INTO `lang_definitions` VALUES (111566, 5025, 21, 'test 3 bilgi');
INSERT INTO `lang_definitions` VALUES (111567, 5026, 21, 'test 4 bilgi');
INSERT INTO `lang_definitions` VALUES (111568, 5027, 21, 'test 5 bilgi');
INSERT INTO `lang_definitions` VALUES (111569, 5028, 21, 'test 6 bilgi');
INSERT INTO `lang_definitions` VALUES (111570, 5034, 21, 'inhalasyon');
INSERT INTO `lang_definitions` VALUES (111571, 5036, 21, 'inhalasyon');
INSERT INTO `lang_definitions` VALUES (111572, 5039, 21, 'İlk Kullanıcı');
INSERT INTO `lang_definitions` VALUES (111573, 5042, 21, 'Enjeksiyon ilaçları');
INSERT INTO `lang_definitions` VALUES (111574, 5043, 21, 'Enjeksiyon');
INSERT INTO `lang_definitions` VALUES (111575, 5044, 21, 'Yaralı Vücut Kısmı');
INSERT INTO `lang_definitions` VALUES (111576, 5045, 21, 'Yaralı');
INSERT INTO `lang_definitions` VALUES (111577, 5046, 21, 'Yara');
INSERT INTO `lang_definitions` VALUES (111578, 5047, 21, 'Yara Mekanizması');
INSERT INTO `lang_definitions` VALUES (111579, 5048, 21, 'Yara İnceleme Raporu');
INSERT INTO `lang_definitions` VALUES (111580, 5049, 21, 'Yara Denetimi');
INSERT INTO `lang_definitions` VALUES (111581, 5050, 21, 'Yara Tipi');
INSERT INTO `lang_definitions` VALUES (111582, 5051, 21, 'Yara/hastalık ilgili');
INSERT INTO `lang_definitions` VALUES (111583, 5056, 21, 'Giriş Alanları');
INSERT INTO `lang_definitions` VALUES (111584, 5061, 21, 'Sig düzenle');
INSERT INTO `lang_definitions` VALUES (111585, 5062, 21, 'Sig paket');
INSERT INTO `lang_definitions` VALUES (111586, 5063, 21, 'Sig Kod');
INSERT INTO `lang_definitions` VALUES (111587, 5066, 21, 'Sig fazla ödenmiş');
INSERT INTO `lang_definitions` VALUES (111588, 5068, 21, 'Sig geri ödeme');
INSERT INTO `lang_definitions` VALUES (111589, 5069, 21, 'Sig Özet');
INSERT INTO `lang_definitions` VALUES (111590, 5071, 21, 'Sig1');
INSERT INTO `lang_definitions` VALUES (111591, 5072, 21, 'Sig2');
INSERT INTO `lang_definitions` VALUES (111592, 5073, 21, 'Sig3');
INSERT INTO `lang_definitions` VALUES (111593, 5075, 21, 'Araya ekleme başarısız');
INSERT INTO `lang_definitions` VALUES (111594, 5079, 21, 'Eski olayları tablolara ekle');
INSERT INTO `lang_definitions` VALUES (111595, 5085, 21, 'Uykusuzluk');
INSERT INTO `lang_definitions` VALUES (111596, 5087, 21, 'Gözlem');
INSERT INTO `lang_definitions` VALUES (111597, 5088, 21, 'İnstabilite /sublüksasyon');
INSERT INTO `lang_definitions` VALUES (111598, 5093, 21, 'VT kur');
INSERT INTO `lang_definitions` VALUES (111599, 5102, 21, 'Talimat verilmiş');
INSERT INTO `lang_definitions` VALUES (111600, 5103, 21, 'Talimat');
INSERT INTO `lang_definitions` VALUES (111601, 5105, 21, 'Talimatlar:');
INSERT INTO `lang_definitions` VALUES (111602, 5108, 21, 'İnsüline Bağımlı Diyabet');
INSERT INTO `lang_definitions` VALUES (111603, 5109, 21, 'Sigorta');
INSERT INTO `lang_definitions` VALUES (111604, 5110, 21, 'sigorta');
INSERT INTO `lang_definitions` VALUES (111605, 5116, 21, 'Sigorta Şirk.');
INSERT INTO `lang_definitions` VALUES (111606, 5117, 21, 'Sigorta Şirketleri');
INSERT INTO `lang_definitions` VALUES (111607, 5118, 21, 'Sigorta Şirketi');
INSERT INTO `lang_definitions` VALUES (111608, 5119, 21, 'Sigorta Şirketi Ara/Ekle');
INSERT INTO `lang_definitions` VALUES (111609, 5121, 21, 'Sigorta Bilgileri');
INSERT INTO `lang_definitions` VALUES (111610, 5124, 21, 'Sigorta bilgisi dosyada');
INSERT INTO `lang_definitions` VALUES (111611, 5126, 21, 'Sigorta Numaraları');
INSERT INTO `lang_definitions` VALUES (111612, 5127, 21, 'Sigorta Ödemesi');
INSERT INTO `lang_definitions` VALUES (111613, 5129, 21, 'Sigorta Sağlayıcı');
INSERT INTO `lang_definitions` VALUES (111614, 5134, 21, 'Alma Sonu');
INSERT INTO `lang_definitions` VALUES (111615, 5135, 21, 'Alma Tarihi');
INSERT INTO `lang_definitions` VALUES (111616, 5138, 21, 'Zihinsel Becerilerde Azalma');
INSERT INTO `lang_definitions` VALUES (111617, 5149, 21, 'İç hata - hiç bir sayfa seçilmedi!');
INSERT INTO `lang_definitions` VALUES (111618, 5150, 21, 'İç hata - hasta ID verilmedi!');
INSERT INTO `lang_definitions` VALUES (111619, 5151, 21, 'İç hata yüklenmiş dosyaya erişiliyor!');
INSERT INTO `lang_definitions` VALUES (111620, 5153, 21, 'İç hata!');
INSERT INTO `lang_definitions` VALUES (111621, 5154, 21, 'İç hata, hiç bir ilaç ID belirtilmemiş!');
INSERT INTO `lang_definitions` VALUES (111622, 5156, 21, 'İç hata: alacak');
INSERT INTO `lang_definitions` VALUES (111623, 5157, 21, 'İç hata: görüşme');
INSERT INTO `lang_definitions` VALUES (111624, 5158, 21, 'İç hata: pid veya görüşme eksik');
INSERT INTO `lang_definitions` VALUES (111625, 5160, 21, 'İç Tanımlayıcı (pid)');
INSERT INTO `lang_definitions` VALUES (111626, 5163, 21, 'İç Sevkler');
INSERT INTO `lang_definitions` VALUES (111627, 5164, 21, 'İç Zaman Toplandı');
INSERT INTO `lang_definitions` VALUES (111628, 5165, 21, 'Uluslararası Gümrük Vergisi');
INSERT INTO `lang_definitions` VALUES (111629, 5167, 21, 'Tercüman');
INSERT INTO `lang_definitions` VALUES (111630, 5168, 21, 'Tercüman gerekli mi?');
INSERT INTO `lang_definitions` VALUES (111631, 5169, 21, 'İnterstisyel Akciğer Hastalığı');
INSERT INTO `lang_definitions` VALUES (111632, 5170, 21, 'Ara');
INSERT INTO `lang_definitions` VALUES (111633, 5175, 21, 'Dayanıksızlık');
INSERT INTO `lang_definitions` VALUES (111634, 5178, 21, 'kas içerisine');
INSERT INTO `lang_definitions` VALUES (111635, 5181, 21, 'damardan');
INSERT INTO `lang_definitions` VALUES (111636, 5182, 21, 'sunu');
INSERT INTO `lang_definitions` VALUES (111637, 5197, 21, 'kaynakta kod için geçersiz veya eksik ödeyen');
INSERT INTO `lang_definitions` VALUES (111638, 5200, 21, 'Geçersiz Servis Kodları');
INSERT INTO `lang_definitions` VALUES (111639, 5201, 21, 'Geçersiz kaynak atama');
INSERT INTO `lang_definitions` VALUES (111640, 5204, 21, 'InvAmt');
INSERT INTO `lang_definitions` VALUES (111641, 5205, 21, 'Envanter');
INSERT INTO `lang_definitions` VALUES (111642, 5206, 21, 'Envanter Etkinliği');
INSERT INTO `lang_definitions` VALUES (111643, 5207, 21, 'Hem ilaçların hem de ilaç dışı ürünlerin envanterini çıkart ve sat');
INSERT INTO `lang_definitions` VALUES (111644, 5208, 21, 'Sadece ilaçların envanterini çıkart ve sat');
INSERT INTO `lang_definitions` VALUES (111645, 5209, 21, 'Bu sipariş için envanter yok');
INSERT INTO `lang_definitions` VALUES (111646, 5210, 21, 'Envanter Listesi');
INSERT INTO `lang_definitions` VALUES (111647, 5211, 21, 'Envanter İşlemleri');
INSERT INTO `lang_definitions` VALUES (111648, 5212, 21, 'Fatura');
INSERT INTO `lang_definitions` VALUES (111649, 5213, 21, 'Fatura');
INSERT INTO `lang_definitions` VALUES (111650, 5217, 21, 'Fatura');
INSERT INTO `lang_definitions` VALUES (111651, 5219, 21, 'Faturada tarih yok!');
INSERT INTO `lang_definitions` VALUES (111652, 5221, 21, 'Fatura referans numarası');
INSERT INTO `lang_definitions` VALUES (111653, 5222, 21, 'Fatura referans numarası havuzu, eğer kullanıldı ise');
INSERT INTO `lang_definitions` VALUES (111654, 5223, 21, 'Fatura Referans Numarası Havuzları');
INSERT INTO `lang_definitions` VALUES (111655, 5224, 21, 'Fatura RefNo Havuzu');
INSERT INTO `lang_definitions` VALUES (111656, 5226, 21, 'Fatura:');
INSERT INTO `lang_definitions` VALUES (111657, 5237, 21, 'Aile Planlaması');
INSERT INTO `lang_definitions` VALUES (111658, 5240, 21, 'Aile Planlaması Üreme Sağlığı verisi için');
INSERT INTO `lang_definitions` VALUES (111659, 5241, 21, 'Aile Planlaması İstatistik Raporu');
INSERT INTO `lang_definitions` VALUES (111660, 5242, 21, 'Aile Planlaması İstatistikleri');
INSERT INTO `lang_definitions` VALUES (111661, 5243, 21, 'IPV 1');
INSERT INTO `lang_definitions` VALUES (111662, 5244, 21, 'IPV 2');
INSERT INTO `lang_definitions` VALUES (111663, 5245, 21, 'IPV 3');
INSERT INTO `lang_definitions` VALUES (111664, 5246, 21, 'IPV 4');
INSERT INTO `lang_definitions` VALUES (111665, 5249, 21, 'Düzensiz Kalp Atımı');
INSERT INTO `lang_definitions` VALUES (111666, 5250, 21, 'İritabilite');
INSERT INTO `lang_definitions` VALUES (111667, 5251, 21, 'Tahriş');
INSERT INTO `lang_definitions` VALUES (111668, 5256, 21, 'gerekli bir alandır.');
INSERT INTO `lang_definitions` VALUES (111669, 5257, 21, 'bir root düğümüdür ve silinemez.');
INSERT INTO `lang_definitions` VALUES (111670, 5268, 21, 'geçerli değil (ondalık kısımlar tamam)');
INSERT INTO `lang_definitions` VALUES (111671, 5269, 21, 'PHP Güvenli Modu mu kullanıyor?');
INSERT INTO `lang_definitions` VALUES (111672, 5273, 21, 'taslaklardan metin tercüme edilecek mi?');
INSERT INTO `lang_definitions` VALUES (111673, 5274, 21, 'Listelerden metin tercüme edilecek mi?');
INSERT INTO `lang_definitions` VALUES (111674, 5277, 21, 'Bu bir tanı tipi mi?');
INSERT INTO `lang_definitions` VALUES (111675, 5286, 21, 'Bu tip ücret sayfasında gizli mi?');
INSERT INTO `lang_definitions` VALUES (111676, 5288, 21, 'çok uzun');
INSERT INTO `lang_definitions` VALUES (111677, 5290, 21, 'Konu');
INSERT INTO `lang_definitions` VALUES (111678, 5291, 21, 'konu');
INSERT INTO `lang_definitions` VALUES (111679, 5292, 21, 'Yayın Tarihi');
INSERT INTO `lang_definitions` VALUES (111680, 5293, 21, 'Yayın ID');
INSERT INTO `lang_definitions` VALUES (111681, 5295, 21, 'Yayın Başlığı');
INSERT INTO `lang_definitions` VALUES (111682, 5298, 21, 'Konular');
INSERT INTO `lang_definitions` VALUES (111683, 5299, 21, 'Konular (Yaralanmalar/Medikal/Alerji)');
INSERT INTO `lang_definitions` VALUES (111684, 5300, 21, 'Konular (Yaralanmalar/Medikal/Alerji):');
INSERT INTO `lang_definitions` VALUES (111685, 5302, 21, 'Konular ve Görüşmeler');
INSERT INTO `lang_definitions` VALUES (111686, 5303, 21, 'Konular ve Görüşmeler:');
INSERT INTO `lang_definitions` VALUES (111687, 5308, 21, 'Konulara yetki yok');
INSERT INTO `lang_definitions` VALUES (111688, 5309, 21, 'Konular Bölümü');
INSERT INTO `lang_definitions` VALUES (111689, 5364, 21, 'İtalyanca');
INSERT INTO `lang_definitions` VALUES (111690, 5365, 21, 'Madde');
INSERT INTO `lang_definitions` VALUES (111691, 5366, 21, 'madde');
INSERT INTO `lang_definitions` VALUES (111692, 5369, 21, 'maddelerin yüklenmesi başarısız');
INSERT INTO `lang_definitions` VALUES (111693, 5370, 21, 'IU/L');
INSERT INTO `lang_definitions` VALUES (111694, 5371, 21, 'RİA');
INSERT INTO `lang_definitions` VALUES (111695, 5372, 21, 'IV');
INSERT INTO `lang_definitions` VALUES (111696, 5375, 21, 'Oca');
INSERT INTO `lang_definitions` VALUES (111697, 5376, 21, 'Ocak');
INSERT INTO `lang_definitions` VALUES (111698, 5377, 21, 'Japonca');
INSERT INTO `lang_definitions` VALUES (111699, 5378, 21, 'Sarılık');
INSERT INTO `lang_definitions` VALUES (111700, 5380, 21, 'İş Tanımı');
INSERT INTO `lang_definitions` VALUES (111701, 5381, 21, 'İş ID');
INSERT INTO `lang_definitions` VALUES (111702, 5382, 21, 'Eklem çıkıkları');
INSERT INTO `lang_definitions` VALUES (111703, 5383, 21, 'Eklem Ağrısı');
INSERT INTO `lang_definitions` VALUES (111704, 5384, 21, 'Eklem burkulmaları');
INSERT INTO `lang_definitions` VALUES (111705, 5385, 21, 'Tem');
INSERT INTO `lang_definitions` VALUES (111706, 5386, 21, 'Temmuz');
INSERT INTO `lang_definitions` VALUES (111707, 5388, 21, 'Haz');
INSERT INTO `lang_definitions` VALUES (111708, 5389, 21, 'Haziran');
INSERT INTO `lang_definitions` VALUES (111709, 5390, 21, 'Tam aşağıda mavi bir alana arama kriterlerinizi girebilirsiniz. Hasta soyadı, dosya numarası, görüşme numarası, servis tarihi veya bunların herhangi bir kombinasyonu ile arama yapabilirsiniz. Tüm faturaları görmeyi isteyip istemediğinizi, açık faturaları veya vadesi gelmiş (hastaya) faturaları görmeyi seçebilirsiniz. Aramayı yapmak için Ara düğmesini tıklayınız.');
INSERT INTO `lang_definitions` VALUES (111710, 5391, 21, 'Sadece Benim');
INSERT INTO `lang_definitions` VALUES (111711, 5393, 21, 'Hizala');
INSERT INTO `lang_definitions` VALUES (111712, 5396, 21, 'Hizala/Kaydet');
INSERT INTO `lang_definitions` VALUES (111713, 5398, 21, 'k, işte kalan');
INSERT INTO `lang_definitions` VALUES (111714, 5411, 21, 'Anahtar sözcükler');
INSERT INTO `lang_definitions` VALUES (111715, 5412, 21, 'kg');
INSERT INTO `lang_definitions` VALUES (111716, 5413, 21, 'kg/m^2');
INSERT INTO `lang_definitions` VALUES (111717, 5415, 21, 'Böbrek Kanseri');
INSERT INTO `lang_definitions` VALUES (111718, 5416, 21, 'Böbrek Yetmezliği');
INSERT INTO `lang_definitions` VALUES (111719, 5417, 21, 'Böbrek Enfeksiyonları');
INSERT INTO `lang_definitions` VALUES (111720, 5418, 21, 'Böbrek Taşları');
INSERT INTO `lang_definitions` VALUES (111721, 5419, 21, 'Böbrek Nakli');
INSERT INTO `lang_definitions` VALUES (111722, 5425, 21, 'Diz');
INSERT INTO `lang_definitions` VALUES (111723, 5426, 21, 'Diz Sorunları');
INSERT INTO `lang_definitions` VALUES (111724, 5427, 21, 'Diz Protezi');
INSERT INTO `lang_definitions` VALUES (111725, 5430, 21, 'Korece');
INSERT INTO `lang_definitions` VALUES (111726, 5434, 21, 'Lab');
INSERT INTO `lang_definitions` VALUES (111727, 5436, 21, 'Lab Değişim Site Adresi');
INSERT INTO `lang_definitions` VALUES (111728, 5437, 21, 'Lab Değişim Site Kimliği');
INSERT INTO `lang_definitions` VALUES (111729, 5438, 21, 'Lab Değişim Fiş Idsi');
INSERT INTO `lang_definitions` VALUES (111730, 5442, 21, 'Lab Ara Durumu');
INSERT INTO `lang_definitions` VALUES (111731, 5444, 21, 'Lab Raporu');
INSERT INTO `lang_definitions` VALUES (111732, 5445, 21, 'Lab Sonucu');
INSERT INTO `lang_definitions` VALUES (111733, 5446, 21, 'Lab Sonuçları');
INSERT INTO `lang_definitions` VALUES (111734, 5449, 21, 'Lab Sonuçları Raporu');
INSERT INTO `lang_definitions` VALUES (111735, 5450, 21, 'Lab Servisi');
INSERT INTO `lang_definitions` VALUES (111736, 5453, 21, 'Etiket');
INSERT INTO `lang_definitions` VALUES (111737, 5454, 21, 'Etiket boş olamaz');
INSERT INTO `lang_definitions` VALUES (111738, 5455, 21, 'Etiket Sütunları');
INSERT INTO `lang_definitions` VALUES (111739, 5458, 21, 'Etiket Sütunları 1 ve 999 arası bir sayı olmalıdır');
INSERT INTO `lang_definitions` VALUES (111740, 5459, 21, 'Etiketler');
INSERT INTO `lang_definitions` VALUES (111741, 5463, 21, 'Laboratuvarlar');
INSERT INTO `lang_definitions` VALUES (111742, 5464, 21, 'Kesi / cilt durumu');
INSERT INTO `lang_definitions` VALUES (111743, 5465, 21, 'Kesi/sıyrık');
INSERT INTO `lang_definitions` VALUES (111744, 5471, 21, 'Dil');
INSERT INTO `lang_definitions` VALUES (111745, 5472, 21, 'Dil Kodu');
INSERT INTO `lang_definitions` VALUES (111746, 5473, 21, 'Dil tanımı eklendi');
INSERT INTO `lang_definitions` VALUES (111747, 5474, 21, 'Dil Arayüz Aracı');
INSERT INTO `lang_definitions` VALUES (111748, 5476, 21, 'Dil Listesi (yaz, sadece ekle seçmeli)');
INSERT INTO `lang_definitions` VALUES (111749, 5478, 21, 'Dil İsmi');
INSERT INTO `lang_definitions` VALUES (111750, 5479, 21, 'Dil');
INSERT INTO `lang_definitions` VALUES (111751, 5481, 21, 'Laosça');
INSERT INTO `lang_definitions` VALUES (111752, 5485, 21, 'Son');
INSERT INTO `lang_definitions` VALUES (111753, 5486, 21, 'Son Etkinlik Tarihi');
INSERT INTO `lang_definitions` VALUES (111754, 5489, 21, 'Son Fatura Tarihi:');
INSERT INTO `lang_definitions` VALUES (111755, 5491, 21, 'Son takvim Yılı');
INSERT INTO `lang_definitions` VALUES (111756, 5495, 21, 'Son Görüşme');
INSERT INTO `lang_definitions` VALUES (111757, 5506, 21, 'Geçen Ay');
INSERT INTO `lang_definitions` VALUES (111758, 5507, 21, 'Soyad');
INSERT INTO `lang_definitions` VALUES (111759, 5508, 21, 'Soyad');
INSERT INTO `lang_definitions` VALUES (111760, 5513, 21, 'Soyad:');
INSERT INTO `lang_definitions` VALUES (111761, 5517, 21, 'Son Gözden Geçirme:');
INSERT INTO `lang_definitions` VALUES (111762, 5519, 21, 'Son Kaydetme:');
INSERT INTO `lang_definitions` VALUES (111763, 5525, 21, 'Son Güncellemeyi Yapan');
INSERT INTO `lang_definitions` VALUES (111764, 5526, 21, 'En son doğrulandığı tarih:');
INSERT INTO `lang_definitions` VALUES (111765, 5527, 21, 'Son Vizit');
INSERT INTO `lang_definitions` VALUES (111766, 5530, 21, 'Geç Nüks (2-12 ay)');
INSERT INTO `lang_definitions` VALUES (111767, 5531, 21, 'Lateral Malleol');
INSERT INTO `lang_definitions` VALUES (111768, 5532, 21, 'Lateral Malleol');
INSERT INTO `lang_definitions` VALUES (111769, 5533, 21, 'Lateralizasyon');
INSERT INTO `lang_definitions` VALUES (111770, 5534, 21, 'Bu işlemin Lateralizasyonu (uygun ise)');
INSERT INTO `lang_definitions` VALUES (111771, 5535, 21, 'Yana kaymış tepe vurumu:');
INSERT INTO `lang_definitions` VALUES (111772, 5549, 21, 'Düzen Temelli');
INSERT INTO `lang_definitions` VALUES (111773, 5551, 21, 'Düzen Editörü');
INSERT INTO `lang_definitions` VALUES (111774, 5552, 21, 'Düzen grupları');
INSERT INTO `lang_definitions` VALUES (111775, 5556, 21, 'Düzen Stili');
INSERT INTO `lang_definitions` VALUES (111776, 5558, 21, 'Düzen Temelli Vizit Formları');
INSERT INTO `lang_definitions` VALUES (111777, 5559, 21, 'Düzenler');
INSERT INTO `lang_definitions` VALUES (111778, 5560, 21, 'lb');
INSERT INTO `lang_definitions` VALUES (111779, 5563, 21, 'lbs');
INSERT INTO `lang_definitions` VALUES (111780, 5571, 21, 'LDL');
INSERT INTO `lang_definitions` VALUES (111781, 5573, 21, 'hala aktif ise boş bırak');
INSERT INTO `lang_definitions` VALUES (111782, 5575, 21, 'Şifreyi değiştirmemek için boş bırakın');
INSERT INTO `lang_definitions` VALUES (111783, 5580, 21, 'İle Mesaj Bırakın');
INSERT INTO `lang_definitions` VALUES (111784, 5582, 21, 'Formu Bırakın');
INSERT INTO `lang_definitions` VALUES (111785, 5586, 21, 'Sol');
INSERT INTO `lang_definitions` VALUES (111786, 5589, 21, 'Sol Kulak');
INSERT INTO `lang_definitions` VALUES (111787, 5590, 21, 'sol kulak');
INSERT INTO `lang_definitions` VALUES (111788, 5599, 21, 'Kalan:');
INSERT INTO `lang_definitions` VALUES (111789, 5600, 21, 'Kalan:');
INSERT INTO `lang_definitions` VALUES (111790, 5601, 21, 'Bacak Ağrısı/Kramp');
INSERT INTO `lang_definitions` VALUES (111791, 5602, 21, 'Yasal');
INSERT INTO `lang_definitions` VALUES (111792, 5605, 21, 'Yazı:');
INSERT INTO `lang_definitions` VALUES (111793, 5606, 21, 'Uzunluk');
INSERT INTO `lang_definitions` VALUES (111794, 5607, 21, 'Değiştiricinin uzunluğu, yoksa 0');
INSERT INTO `lang_definitions` VALUES (111795, 5615, 21, 'Az-özel bilgi (yaz, sadece ekle seçmeli)');
INSERT INTO `lang_definitions` VALUES (111796, 5620, 21, 'Mektup');
INSERT INTO `lang_definitions` VALUES (111797, 5621, 21, 'Mektup Oluşturucu');
INSERT INTO `lang_definitions` VALUES (111798, 5623, 21, 'Doktorun imzaladığı antetli kağıt');
INSERT INTO `lang_definitions` VALUES (111799, 5624, 21, 'Hastanın imzaladığı antetli kağıt');
INSERT INTO `lang_definitions` VALUES (111800, 5627, 21, 'Aciliyet düzeyi');
INSERT INTO `lang_definitions` VALUES (111801, 5630, 21, 'Sorumluluk');
INSERT INTO `lang_definitions` VALUES (111802, 5631, 21, 'Tıbbi Sorumluluk');
INSERT INTO `lang_definitions` VALUES (111803, 5633, 21, 'Sürücü Belge No:');
INSERT INTO `lang_definitions` VALUES (111804, 5644, 21, 'Yaşam Tarzı');
INSERT INTO `lang_definitions` VALUES (111805, 5646, 21, 'Yaşam Tarzı durumu');
INSERT INTO `lang_definitions` VALUES (111806, 5647, 21, 'Lif yırtılması veya zedelenmesi');
INSERT INTO `lang_definitions` VALUES (111807, 5651, 21, 'Olayların Sınırı');
INSERT INTO `lang_definitions` VALUES (111808, 5660, 21, 'Link edildi');
INSERT INTO `lang_definitions` VALUES (111809, 5663, 21, 'Belgeye bağlandı');
INSERT INTO `lang_definitions` VALUES (111810, 5665, 21, 'Liste');
INSERT INTO `lang_definitions` VALUES (111811, 5666, 21, 'Liste kutusu');
INSERT INTO `lang_definitions` VALUES (111812, 5667, 21, 'liste kutusu');
INSERT INTO `lang_definitions` VALUES (111813, 5668, 21, 'liste kutusu y/ekle');
INSERT INTO `lang_definitions` VALUES (111814, 5669, 21, 'Liste kutusu y/ekle');
INSERT INTO `lang_definitions` VALUES (111815, 5671, 21, 'Liste düzenleyici');
INSERT INTO `lang_definitions` VALUES (111816, 5674, 21, 'Grupları listele');
INSERT INTO `lang_definitions` VALUES (111817, 5675, 21, 'Sigorta Şirketlerini Listele');
INSERT INTO `lang_definitions` VALUES (111818, 5677, 21, 'Liste maddeleri bir rakam ile başlayamaz.');
INSERT INTO `lang_definitions` VALUES (111819, 5678, 21, 'Liste maddeleri illegal karakter(ler) içeriyor.');
INSERT INTO `lang_definitions` VALUES (111820, 5680, 21, 'Listeleri listele');
INSERT INTO `lang_definitions` VALUES (111821, 5682, 21, 'Liste Adı');
INSERT INTO `lang_definitions` VALUES (111822, 5683, 21, 'Liste Adları rakamlarla başlayamaz.');
INSERT INTO `lang_definitions` VALUES (111823, 5688, 21, 'Reçeteleri Listele');
INSERT INTO `lang_definitions` VALUES (111824, 5693, 21, 'Listeler');
INSERT INTO `lang_definitions` VALUES (111825, 5696, 21, 'Güncel Vasiyetname');
INSERT INTO `lang_definitions` VALUES (111826, 5701, 21, 'LLL:');
INSERT INTO `lang_definitions` VALUES (111827, 5707, 21, 'SAT');
INSERT INTO `lang_definitions` VALUES (111828, 5709, 21, 'Tanımları Yükle');
INSERT INTO `lang_definitions` VALUES (111829, 5717, 21, 'YÜKLÜYOR');
INSERT INTO `lang_definitions` VALUES (111830, 5723, 21, 'YER');
INSERT INTO `lang_definitions` VALUES (111831, 5724, 21, 'Yerel');
INSERT INTO `lang_definitions` VALUES (111832, 5728, 21, 'Yer');
INSERT INTO `lang_definitions` VALUES (111833, 5729, 21, 'Şehir');
INSERT INTO `lang_definitions` VALUES (111834, 5730, 21, 'Yer');
INSERT INTO `lang_definitions` VALUES (111835, 5731, 21, 'özgüretk makinesinin yeri ve hassas bilgiler içerebilir. Kullandıktan sonra bilgilerin el ile silinmesi tavsiye olunur.');
INSERT INTO `lang_definitions` VALUES (111836, 5732, 21, 'Bu partinin yeri');
INSERT INTO `lang_definitions` VALUES (111837, 5733, 21, 'Yer belirtilmemiş');
INSERT INTO `lang_definitions` VALUES (111838, 5734, 21, 'Hylafaxın faksları kaydettiği yer');
INSERT INTO `lang_definitions` VALUES (111839, 5735, 21, 'Tarama dosyalarının kaydedildiği yer');
INSERT INTO `lang_definitions` VALUES (111840, 5736, 21, 'Yer:');
INSERT INTO `lang_definitions` VALUES (111841, 5737, 21, 'Kilit');
INSERT INTO `lang_definitions` VALUES (111842, 5752, 21, 'Girdi');
INSERT INTO `lang_definitions` VALUES (111843, 5753, 21, 'Girdi:');
INSERT INTO `lang_definitions` VALUES (111844, 5754, 21, 'Olarak girdi:');
INSERT INTO `lang_definitions` VALUES (111845, 5755, 21, 'Çıktı.');
INSERT INTO `lang_definitions` VALUES (111846, 5757, 21, 'Giriş');
INSERT INTO `lang_definitions` VALUES (111847, 5758, 21, 'giriş');
INSERT INTO `lang_definitions` VALUES (111848, 5768, 21, 'Çıkış');
INSERT INTO `lang_definitions` VALUES (111849, 5769, 21, 'Çıkış');
INSERT INTO `lang_definitions` VALUES (111850, 5770, 21, 'Günlükler');
INSERT INTO `lang_definitions` VALUES (111851, 5771, 21, 'Günlükler Görüntüleyici');
INSERT INTO `lang_definitions` VALUES (111852, 5776, 21, 'Ara');
INSERT INTO `lang_definitions` VALUES (111853, 5777, 21, 'Parti');
INSERT INTO `lang_definitions` VALUES (111854, 5778, 21, 'Parti ID eksik');
INSERT INTO `lang_definitions` VALUES (111855, 5779, 21, 'Parti Numarası');
INSERT INTO `lang_definitions` VALUES (111856, 5780, 21, 'Düşük');
INSERT INTO `lang_definitions` VALUES (111857, 5782, 21, 'Alt bacak');
INSERT INTO `lang_definitions` VALUES (111858, 5791, 21, 'Lomber omurgalar');
INSERT INTO `lang_definitions` VALUES (111859, 5792, 21, 'ÖĞLE');
INSERT INTO `lang_definitions` VALUES (111860, 5793, 21, 'Öğle Yemeği');
INSERT INTO `lang_definitions` VALUES (111861, 5794, 21, 'Akciğer Kanseri');
INSERT INTO `lang_definitions` VALUES (111862, 5795, 21, 'Akciğer Kanseri Cerrahisi');
INSERT INTO `lang_definitions` VALUES (111863, 5796, 21, 'AKCİĞERLER:');
INSERT INTO `lang_definitions` VALUES (111864, 5797, 21, 'Akciğerler:');
INSERT INTO `lang_definitions` VALUES (111865, 5798, 21, 'Lupus');
INSERT INTO `lang_definitions` VALUES (111866, 5804, 21, 'Pt');
INSERT INTO `lang_definitions` VALUES (111867, 5805, 21, 'MA Kategorisi');
INSERT INTO `lang_definitions` VALUES (111868, 5806, 21, 'Düşüğü Kabul Eden MA Hastası');
INSERT INTO `lang_definitions` VALUES (111869, 5807, 21, 'MA İstatistikleri');
INSERT INTO `lang_definitions` VALUES (111870, 5814, 21, 'Ana');
INSERT INTO `lang_definitions` VALUES (111871, 5815, 21, 'Ana Adres');
INSERT INTO `lang_definitions` VALUES (111872, 5821, 21, 'Esas Orta Üst Ekran');
INSERT INTO `lang_definitions` VALUES (111873, 5827, 21, 'Güncel kategorilerde değişiklikler yap');
INSERT INTO `lang_definitions` VALUES (111874, 5828, 21, 'Yeni randevu oluşturulacak');
INSERT INTO `lang_definitions` VALUES (111875, 5831, 21, 'Emin olun:');
INSERT INTO `lang_definitions` VALUES (111876, 5832, 21, 'Takas Kurumuna yüklemek için toplu dosyalar oluşturuluyor ve faturalandırıldı olarak işaretlenecek');
INSERT INTO `lang_definitions` VALUES (111877, 5834, 21, 'Halsizlik:');
INSERT INTO `lang_definitions` VALUES (111878, 5837, 21, 'Erkek');
INSERT INTO `lang_definitions` VALUES (111879, 5838, 21, 'Erkek Kondomları');
INSERT INTO `lang_definitions` VALUES (111880, 5839, 21, 'Vazektomi');
INSERT INTO `lang_definitions` VALUES (111881, 5841, 21, 'Mamografi');
INSERT INTO `lang_definitions` VALUES (111882, 5842, 21, 'Yönet');
INSERT INTO `lang_definitions` VALUES (111883, 5850, 21, 'Tercümeleri Yönet');
INSERT INTO `lang_definitions` VALUES (111884, 5851, 21, 'Yönetim');
INSERT INTO `lang_definitions` VALUES (111885, 5854, 21, 'Zorunlu ve belirli alanlar');
INSERT INTO `lang_definitions` VALUES (111886, 5855, 21, 'Sadece zorunlu ve belirli alanlar, çift kontrol, arama yok');
INSERT INTO `lang_definitions` VALUES (111887, 5856, 21, 'Sadece zorunlu ve belirli alanlar, çift kontrol, ve ara');
INSERT INTO `lang_definitions` VALUES (111888, 5859, 21, 'El Kitabı');
INSERT INTO `lang_definitions` VALUES (111889, 5860, 21, 'El ilel Gönderme');
INSERT INTO `lang_definitions` VALUES (111890, 5864, 21, 'Üretici');
INSERT INTO `lang_definitions` VALUES (111891, 5870, 21, 'Mar');
INSERT INTO `lang_definitions` VALUES (111892, 5874, 21, 'Mart');
INSERT INTO `lang_definitions` VALUES (111893, 5877, 21, 'Medeni Hal');
INSERT INTO `lang_definitions` VALUES (111894, 5879, 21, 'Fatura edildi olarak İşaretle');
INSERT INTO `lang_definitions` VALUES (111895, 5880, 21, 'Faturalanmış olarak işaretle ama faturalamayı atla');
INSERT INTO `lang_definitions` VALUES (111896, 5881, 21, 'Ödenmiş olarak İşaretle');
INSERT INTO `lang_definitions` VALUES (111897, 5882, 21, 'Faturalanmamış olarak işaretle');
INSERT INTO `lang_definitions` VALUES (111898, 5885, 21, 'Bu raporları gözden geçirildi olarak işaretle');
INSERT INTO `lang_definitions` VALUES (111899, 5886, 21, 'Ödenilmiş olarak işaretle');
INSERT INTO `lang_definitions` VALUES (111900, 5887, 21, 'Evli');
INSERT INTO `lang_definitions` VALUES (111901, 5889, 21, 'Maske');
INSERT INTO `lang_definitions` VALUES (111902, 5890, 21, 'Fatura Numaraları için Maske');
INSERT INTO `lang_definitions` VALUES (111903, 5891, 21, 'Hasta ID leri için Maske');
INSERT INTO `lang_definitions` VALUES (111904, 5892, 21, 'Ürün IDleri için Maske');
INSERT INTO `lang_definitions` VALUES (111905, 5912, 21, 'Sağ Maksiller:');
INSERT INTO `lang_definitions` VALUES (111906, 5917, 21, 'Saniye olarak çıkıştan önceki maksimum boş zaman. Ön tanımlı 7200 (2 saat)');
INSERT INTO `lang_definitions` VALUES (111907, 5918, 21, 'Bir yılda hastaya yapılabilecek en fazla test sayısı');
INSERT INTO `lang_definitions` VALUES (111908, 5919, 21, 'Bir yılda hastaya yapılabilecek en fazla test sayısı Sıfır ise sınır yok');
INSERT INTO `lang_definitions` VALUES (111909, 5921, 21, 'Maksimum Büyüklük');
INSERT INTO `lang_definitions` VALUES (111910, 5922, 21, 'Maksimum Büyüklük (sıfır girmek her rakama izin verir)');
INSERT INTO `lang_definitions` VALUES (111911, 5924, 21, 'Mayıs');
INSERT INTO `lang_definitions` VALUES (111912, 5926, 21, 'MC');
INSERT INTO `lang_definitions` VALUES (111913, 5927, 21, 'mcg');
INSERT INTO `lang_definitions` VALUES (111914, 5929, 21, 'Şifreyi değiştirir iken son üç şifrenin hiçbirisine izin verilmez demektir.');
INSERT INTO `lang_definitions` VALUES (111915, 5930, 21, 'Kan Basıncını Ölçün');
INSERT INTO `lang_definitions` VALUES (111916, 5931, 21, 'Grup Kodunu Ölçün');
INSERT INTO `lang_definitions` VALUES (111917, 5932, 21, 'INR Ölçün');
INSERT INTO `lang_definitions` VALUES (111918, 5933, 21, 'Ölçü');
INSERT INTO `lang_definitions` VALUES (111919, 5939, 21, 'Medial malleol:');
INSERT INTO `lang_definitions` VALUES (111920, 5940, 21, 'Medicaid');
INSERT INTO `lang_definitions` VALUES (111921, 5942, 21, 'Medikal');
INSERT INTO `lang_definitions` VALUES (111922, 5943, 21, 'Medikal Abort');
INSERT INTO `lang_definitions` VALUES (111923, 5946, 21, 'Tıbbi Öykü');
INSERT INTO `lang_definitions` VALUES (111924, 5951, 21, 'Medikal Problem');
INSERT INTO `lang_definitions` VALUES (111925, 5952, 21, 'Medikal problem');
INSERT INTO `lang_definitions` VALUES (111926, 5954, 21, 'Medikal Problemler');
INSERT INTO `lang_definitions` VALUES (111927, 5956, 21, 'Tıbbi Kayıt');
INSERT INTO `lang_definitions` VALUES (111928, 5957, 21, 'Tıbbi Kayıt No:');
INSERT INTO `lang_definitions` VALUES (111929, 5959, 21, 'Tıbbi Kayıtlar');
INSERT INTO `lang_definitions` VALUES (111930, 5961, 21, 'Tıbbi Kayıtlar Gönderildi');
INSERT INTO `lang_definitions` VALUES (111931, 5962, 21, 'Tıp Uzmanlığı');
INSERT INTO `lang_definitions` VALUES (111932, 5963, 21, 'Tıbbi Rapor Özeti Verildi');
INSERT INTO `lang_definitions` VALUES (111933, 5964, 21, 'Tıp Sistemi');
INSERT INTO `lang_definitions` VALUES (111934, 5965, 21, 'Medikal Tip');
INSERT INTO `lang_definitions` VALUES (111935, 5966, 21, 'Tıbbi/öykü (yaz, sadece ekle opsiyon)');
INSERT INTO `lang_definitions` VALUES (111936, 5968, 21, 'Medicare Bölüm B');
INSERT INTO `lang_definitions` VALUES (111937, 5969, 21, 'Medicare Sevkeden Vericidir');
INSERT INTO `lang_definitions` VALUES (111938, 5970, 21, 'İlaç');
INSERT INTO `lang_definitions` VALUES (111939, 5971, 21, 'İlaç Alerjileri Listesi');
INSERT INTO `lang_definitions` VALUES (111940, 5972, 21, 'İlaç Konu Listesi');
INSERT INTO `lang_definitions` VALUES (111941, 5973, 21, 'İlaç Listesi');
INSERT INTO `lang_definitions` VALUES (111942, 5975, 21, 'İlaçlar');
INSERT INTO `lang_definitions` VALUES (111943, 5978, 21, 'İlaçlar:');
INSERT INTO `lang_definitions` VALUES (111944, 5979, 21, 'İlaç Birimleri');
INSERT INTO `lang_definitions` VALUES (111945, 5980, 21, 'Ortam');
INSERT INTO `lang_definitions` VALUES (111946, 5984, 21, 'Üye Derneği İstatistikleri Raporu');
INSERT INTO `lang_definitions` VALUES (111947, 5986, 21, 'Bellek Sorunları');
INSERT INTO `lang_definitions` VALUES (111948, 5987, 21, 'Erkekler');
INSERT INTO `lang_definitions` VALUES (111949, 5988, 21, 'Erkekler ve Kadınlar');
INSERT INTO `lang_definitions` VALUES (111950, 5989, 21, 'Yalnız Erkekler');
INSERT INTO `lang_definitions` VALUES (111951, 5990, 21, 'Menarş');
INSERT INTO `lang_definitions` VALUES (111952, 5991, 21, 'Menopoz');
INSERT INTO `lang_definitions` VALUES (111953, 5992, 21, 'Adet Kanaması');
INSERT INTO `lang_definitions` VALUES (111954, 5993, 21, 'Adet Sıklığı');
INSERT INTO `lang_definitions` VALUES (111955, 5994, 21, 'Akıl Hastalığı');
INSERT INTO `lang_definitions` VALUES (111956, 5998, 21, 'Menü Metni');
INSERT INTO `lang_definitions` VALUES (111957, 5999, 21, 'Menüler');
INSERT INTO `lang_definitions` VALUES (111958, 6001, 21, 'Birleştir');
INSERT INTO `lang_definitions` VALUES (111959, 6002, 21, 'Birleştirme tamamlandı');
INSERT INTO `lang_definitions` VALUES (111960, 6003, 21, 'Hastaları Birleştir');
INSERT INTO `lang_definitions` VALUES (111961, 6004, 21, 'Herhangi bir hastaya birleştir');
INSERT INTO `lang_definitions` VALUES (111962, 6005, 21, 'Mesaj');
INSERT INTO `lang_definitions` VALUES (111963, 6006, 21, 'Hatırlatıcı ve Mesaj Merkezi');
INSERT INTO `lang_definitions` VALUES (111964, 6009, 21, 'Mesaj içeriği metin olmadığından belge olarak kaydedildi');
INSERT INTO `lang_definitions` VALUES (111965, 6010, 21, 'Hastadan Mesaj');
INSERT INTO `lang_definitions` VALUES (111966, 6012, 21, 'Mesaj Gönderildi');
INSERT INTO `lang_definitions` VALUES (111967, 6013, 21, 'Mesaj Durumu');
INSERT INTO `lang_definitions` VALUES (111968, 6014, 21, 'Mesaj Başlığı');
INSERT INTO `lang_definitions` VALUES (111969, 6015, 21, 'Hastaya mesaj');
INSERT INTO `lang_definitions` VALUES (111970, 6017, 21, 'Mesaj tipi');
INSERT INTO `lang_definitions` VALUES (111971, 6018, 21, 'MESAJ:');
INSERT INTO `lang_definitions` VALUES (111972, 6019, 21, 'Mesajlar');
INSERT INTO `lang_definitions` VALUES (111973, 6022, 21, 'Bugün Gönderdiğiniz Mesajlar');
INSERT INTO `lang_definitions` VALUES (111974, 6026, 21, 'Yöntem');
INSERT INTO `lang_definitions` VALUES (111975, 6027, 21, 'Yöntem ve Özel Ürün');
INSERT INTO `lang_definitions` VALUES (111976, 6029, 21, 'Dışarı giden epostayı gönderme yöntemi');
INSERT INTO `lang_definitions` VALUES (111977, 6030, 21, 'İmha Yöntemi');
INSERT INTO `lang_definitions` VALUES (111978, 6031, 21, 'Meksikalı/MeksikaAmerika');
INSERT INTO `lang_definitions` VALUES (111979, 6038, 21, 'mg');
INSERT INTO `lang_definitions` VALUES (111980, 6039, 21, 'mg/1cc');
INSERT INTO `lang_definitions` VALUES (111981, 6040, 21, 'mg/2cc');
INSERT INTO `lang_definitions` VALUES (111982, 6041, 21, 'mg/3cc');
INSERT INTO `lang_definitions` VALUES (111983, 6042, 21, 'mg/4cc');
INSERT INTO `lang_definitions` VALUES (111984, 6043, 21, 'mg/5cc');
INSERT INTO `lang_definitions` VALUES (111985, 6044, 21, 'MG/DL');
INSERT INTO `lang_definitions` VALUES (111986, 6046, 21, 'Ortam');
INSERT INTO `lang_definitions` VALUES (111987, 6047, 21, 'Orta İsim');
INSERT INTO `lang_definitions` VALUES (111988, 6048, 21, 'Orta isim');
INSERT INTO `lang_definitions` VALUES (111989, 6061, 21, 'Mien');
INSERT INTO `lang_definitions` VALUES (111990, 6062, 21, 'Göçer veya mevsimlik işçi mi?');
INSERT INTO `lang_definitions` VALUES (111991, 6064, 21, 'Göçer/Mevsimlik');
INSERT INTO `lang_definitions` VALUES (111992, 6065, 21, 'Mil/mm3');
INSERT INTO `lang_definitions` VALUES (111993, 6070, 21, 'Mime Tipi');
INSERT INTO `lang_definitions` VALUES (111994, 6072, 21, 'dak');
INSERT INTO `lang_definitions` VALUES (111995, 6080, 21, 'Hafif eklem burkulması +/- sinovit');
INSERT INTO `lang_definitions` VALUES (111996, 6083, 21, 'Dakika');
INSERT INTO `lang_definitions` VALUES (111997, 6084, 21, 'dakika');
INSERT INTO `lang_definitions` VALUES (111998, 6086, 21, 'Çeşitli');
INSERT INTO `lang_definitions` VALUES (111999, 6087, 21, 'Çeşitli Faturalama Seçenekleri');
INSERT INTO `lang_definitions` VALUES (112000, 6088, 21, 'HCFA-1500 için Çeşitli Faturalama Seçenekleri');
INSERT INTO `lang_definitions` VALUES (112001, 6089, 21, 'Çeşitli Faturalama Seçenekleri HCFA');
INSERT INTO `lang_definitions` VALUES (112002, 6090, 21, 'Çeşitli');
INSERT INTO `lang_definitions` VALUES (112003, 6092, 21, 'Eksik');
INSERT INTO `lang_definitions` VALUES (112004, 6094, 21, 'Gerekli bir alan eksik');
INSERT INTO `lang_definitions` VALUES (112005, 6097, 21, 'Ücret Eksik');
INSERT INTO `lang_definitions` VALUES (112006, 6100, 21, 'Sadece Eksik Modlar');
INSERT INTO `lang_definitions` VALUES (112007, 6101, 21, 'Eksik veya Geçersiz');
INSERT INTO `lang_definitions` VALUES (112008, 6103, 21, 'Eksik PID');
INSERT INTO `lang_definitions` VALUES (112009, 6104, 21, 'Eksik rapor tarihi');
INSERT INTO `lang_definitions` VALUES (112010, 6105, 21, 'Kaynak kodda ödeyenden sonra eksik slash');
INSERT INTO `lang_definitions` VALUES (112011, 6111, 21, 'Karışık');
INSERT INTO `lang_definitions` VALUES (112012, 6113, 21, 'ml');
INSERT INTO `lang_definitions` VALUES (112013, 6114, 21, 'MM/DD/YYYY');
INSERT INTO `lang_definitions` VALUES (112014, 6115, 21, 'mm/hg');
INSERT INTO `lang_definitions` VALUES (112015, 6117, 21, 'MMR 1');
INSERT INTO `lang_definitions` VALUES (112016, 6118, 21, 'MMR 2');
INSERT INTO `lang_definitions` VALUES (112017, 6120, 21, 'Mobil');
INSERT INTO `lang_definitions` VALUES (112018, 6121, 21, 'Cep Telefonu');
INSERT INTO `lang_definitions` VALUES (112019, 6125, 21, 'Mod');
INSERT INTO `lang_definitions` VALUES (112020, 6133, 21, 'Değiştirici');
INSERT INTO `lang_definitions` VALUES (112021, 6140, 21, 'Değiştir');
INSERT INTO `lang_definitions` VALUES (112022, 6143, 21, 'Ödemeleri Değiştir');
INSERT INTO `lang_definitions` VALUES (112023, 6145, 21, 'ModUzunluğu');
INSERT INTO `lang_definitions` VALUES (112024, 6146, 21, 'Modül');
INSERT INTO `lang_definitions` VALUES (112025, 6147, 21, 'Modül Dizini Bulunamadı');
INSERT INTO `lang_definitions` VALUES (112026, 6148, 21, 'Modül Kurucu');
INSERT INTO `lang_definitions` VALUES (112027, 6149, 21, 'Modül Adı');
INSERT INTO `lang_definitions` VALUES (112028, 6150, 21, 'Modül adı önceden var');
INSERT INTO `lang_definitions` VALUES (112029, 6151, 21, 'Modüller');
INSERT INTO `lang_definitions` VALUES (112030, 6153, 21, 'Pzt');
INSERT INTO `lang_definitions` VALUES (112031, 6154, 21, 'Pzt - Cum');
INSERT INTO `lang_definitions` VALUES (112032, 6155, 21, 'Pzt, Çar, Cum');
INSERT INTO `lang_definitions` VALUES (112033, 6156, 21, 'Pazartesi');
INSERT INTO `lang_definitions` VALUES (112034, 6160, 21, 'ay');
INSERT INTO `lang_definitions` VALUES (112035, 6161, 21, 'Ay');
INSERT INTO `lang_definitions` VALUES (112036, 6162, 21, 'Ay Görünümü');
INSERT INTO `lang_definitions` VALUES (112037, 6163, 21, 'Ay(lar)');
INSERT INTO `lang_definitions` VALUES (112038, 6164, 21, 'Aylık Gelir');
INSERT INTO `lang_definitions` VALUES (112039, 6166, 21, 'Aylar');
INSERT INTO `lang_definitions` VALUES (112040, 6179, 21, '100 kayıttan fazla bulundu. Lütfen arama kriterinizi daraltınız.');
INSERT INTO `lang_definitions` VALUES (112041, 6180, 21, '50 sonuçtan fazla var, lütfen aramanızı daha spesifik yapınız.');
INSERT INTO `lang_definitions` VALUES (112042, 6186, 21, 'En son alınan');
INSERT INTO `lang_definitions` VALUES (112043, 6189, 21, 'Son vital bulguları alan:');
INSERT INTO `lang_definitions` VALUES (112044, 6190, 21, 'Anne');
INSERT INTO `lang_definitions` VALUES (112045, 6191, 21, 'Ana Adı');
INSERT INTO `lang_definitions` VALUES (112046, 6195, 21, 'Ağız');
INSERT INTO `lang_definitions` VALUES (112047, 6196, 21, 'Taşı');
INSERT INTO `lang_definitions` VALUES (112048, 6197, 21, 'Belgeyi Şu Kategoriye Taşıyın:');
INSERT INTO `lang_definitions` VALUES (112049, 6198, 21, 'Aşağı Taşı');
INSERT INTO `lang_definitions` VALUES (112050, 6201, 21, 'Hastaya Taşı');
INSERT INTO `lang_definitions` VALUES (112051, 6202, 21, 'Taşınacak yer:');
INSERT INTO `lang_definitions` VALUES (112052, 6203, 21, 'Yukarı Taşı');
INSERT INTO `lang_definitions` VALUES (112053, 6209, 21, 'Bay');
INSERT INTO `lang_definitions` VALUES (112054, 6215, 21, 'Bayan');
INSERT INTO `lang_definitions` VALUES (112055, 6217, 21, 'Bn.');
INSERT INTO `lang_definitions` VALUES (112056, 6230, 21, 'Çoklu Dil Aracı');
INSERT INTO `lang_definitions` VALUES (112057, 6234, 21, 'Pek çok bölgeler');
INSERT INTO `lang_definitions` VALUES (112058, 6237, 21, 'Pek çok Kalemler');
INSERT INTO `lang_definitions` VALUES (112059, 6242, 21, 'Çok ırklı');
INSERT INTO `lang_definitions` VALUES (112060, 6243, 21, 'Üfürüm');
INSERT INTO `lang_definitions` VALUES (112061, 6244, 21, 'Kas Ağrısı');
INSERT INTO `lang_definitions` VALUES (112062, 6245, 21, 'Kas Ağrıları');
INSERT INTO `lang_definitions` VALUES (112063, 6246, 21, 'Kas Kızarıklığı');
INSERT INTO `lang_definitions` VALUES (112064, 6247, 21, 'Kas Sertliği');
INSERT INTO `lang_definitions` VALUES (112065, 6248, 21, 'Kas Şişmesi');
INSERT INTO `lang_definitions` VALUES (112066, 6249, 21, 'Kas Isı artışı');
INSERT INTO `lang_definitions` VALUES (112067, 6250, 21, 'Kas');
INSERT INTO `lang_definitions` VALUES (112068, 6251, 21, 'Kas yaralanması');
INSERT INTO `lang_definitions` VALUES (112069, 6252, 21, 'Kas iskelet');
INSERT INTO `lang_definitions` VALUES (112070, 6256, 21, 'SMTP doğrulaması kullanılmıyor ise boş olmalıdır.');
INSERT INTO `lang_definitions` VALUES (112071, 6259, 21, 'Karşılıklı Tanımlanmış');
INSERT INTO `lang_definitions` VALUES (112072, 6260, 21, 'MVA');
INSERT INTO `lang_definitions` VALUES (112073, 6271, 21, 'Yok');
INSERT INTO `lang_definitions` VALUES (112074, 6272, 21, 'yok');
INSERT INTO `lang_definitions` VALUES (112075, 6274, 21, 'İsim');
INSERT INTO `lang_definitions` VALUES (112076, 6276, 21, 'İsim (fazlası için tıklayınız)');
INSERT INTO `lang_definitions` VALUES (112077, 6278, 21, 'İsim 1');
INSERT INTO `lang_definitions` VALUES (112078, 6279, 21, 'İsim 2');
INSERT INTO `lang_definitions` VALUES (112079, 6280, 21, 'Aşı Yapanın İsim ve Unvanı');
INSERT INTO `lang_definitions` VALUES (112080, 6284, 21, 'Olayların İsmi');
INSERT INTO `lang_definitions` VALUES (112081, 6285, 21, 'Sigorta şirketinin ismi');
INSERT INTO `lang_definitions` VALUES (112082, 6286, 21, 'Sağlayıcının İsmi');
INSERT INTO `lang_definitions` VALUES (112083, 6294, 21, 'İsim Tercümesi');
INSERT INTO `lang_definitions` VALUES (112084, 6295, 21, 'İsim/Değer');
INSERT INTO `lang_definitions` VALUES (112085, 6296, 21, 'İsim:');
INSERT INTO `lang_definitions` VALUES (112086, 6300, 21, 'BURUN DELİKLERİ:');
INSERT INTO `lang_definitions` VALUES (112087, 6301, 21, 'BURUN DELİKLERİ: Sağ Normal');
INSERT INTO `lang_definitions` VALUES (112088, 6304, 21, 'Nazal mukoza pembe, septum orta hatta');
INSERT INTO `lang_definitions` VALUES (112089, 6310, 21, 'Tabiiyet');
INSERT INTO `lang_definitions` VALUES (112090, 6319, 21, 'Bulantı');
INSERT INTO `lang_definitions` VALUES (112091, 6322, 21, 'Gezinme');
INSERT INTO `lang_definitions` VALUES (112092, 6326, 21, 'Gezinme Alanı Genişliği');
INSERT INTO `lang_definitions` VALUES (112093, 6328, 21, 'Gezinme menüsü radyo düğmeleri çiftlerinden ibarettir.');
INSERT INTO `lang_definitions` VALUES (112094, 6329, 21, 'Gezinme menüsü ağaç görünümündedir.');
INSERT INTO `lang_definitions` VALUES (112095, 6330, 21, 'Gezinmede kayan bir menü kullanılmaktadır.');
INSERT INTO `lang_definitions` VALUES (112096, 6334, 21, 'NDC');
INSERT INTO `lang_definitions` VALUES (112097, 6336, 21, 'NDC Numarası');
INSERT INTO `lang_definitions` VALUES (112098, 6348, 21, 'Boyun');
INSERT INTO `lang_definitions` VALUES (112099, 6349, 21, 'Boyun sorunları');
INSERT INTO `lang_definitions` VALUES (112100, 6350, 21, 'Boyun esnek');
INSERT INTO `lang_definitions` VALUES (112101, 6352, 21, 'Bir tanım girilmesi gerekiyor');
INSERT INTO `lang_definitions` VALUES (112102, 6353, 21, 'Bir İade Değeri girilmesi gerekiyor');
INSERT INTO `lang_definitions` VALUES (112103, 6354, 21, 'Tanımlayıcı girilmesi gerekiyor');
INSERT INTO `lang_definitions` VALUES (112104, 6355, 21, 'Başlık girilmesi gerekiyor');
INSERT INTO `lang_definitions` VALUES (112105, 6358, 21, 'Doğrulanması gerekiyor');
INSERT INTO `lang_definitions` VALUES (112106, 6359, 21, 'Ayarlanması gerekiyor');
INSERT INTO `lang_definitions` VALUES (112107, 6360, 21, 'İkincil fatura gerekiyor');
INSERT INTO `lang_definitions` VALUES (112108, 6361, 21, 'Negatif');
INSERT INTO `lang_definitions` VALUES (112109, 6363, 21, 'Negatifler');
INSERT INTO `lang_definitions` VALUES (112110, 6369, 21, 'Sinir yaralanması');
INSERT INTO `lang_definitions` VALUES (112111, 6371, 21, 'Sinir hastalığı / sinir hasarı');
INSERT INTO `lang_definitions` VALUES (112112, 6373, 21, 'Sinirsel Uyuşma');
INSERT INTO `lang_definitions` VALUES (112113, 6374, 21, 'Sinirsel Zayıflık');
INSERT INTO `lang_definitions` VALUES (112114, 6377, 21, 'Nörolojik');
INSERT INTO `lang_definitions` VALUES (112115, 6381, 21, 'Asla');
INSERT INTO `lang_definitions` VALUES (112116, 6382, 21, 'Hiç Alkol Kullanmamış');
INSERT INTO `lang_definitions` VALUES (112117, 6383, 21, 'Hiç Sigara İçmamiş');
INSERT INTO `lang_definitions` VALUES (112118, 6384, 21, 'Yeni');
INSERT INTO `lang_definitions` VALUES (112119, 6385, 21, 'Yeni=>');
INSERT INTO `lang_definitions` VALUES (112120, 6386, 21, 'Yeni Alıcılar');
INSERT INTO `lang_definitions` VALUES (112121, 6388, 21, 'Yeni Alerji');
INSERT INTO `lang_definitions` VALUES (112122, 6390, 21, 'Yeni Randevu');
INSERT INTO `lang_definitions` VALUES (112123, 6391, 21, 'Yeni Kategoriler');
INSERT INTO `lang_definitions` VALUES (112124, 6392, 21, 'Yeni Kategori');
INSERT INTO `lang_definitions` VALUES (112125, 6393, 21, 'Yeni Müşteriler');
INSERT INTO `lang_definitions` VALUES (112126, 6394, 21, 'Yeni Konsültasyon');
INSERT INTO `lang_definitions` VALUES (112127, 6396, 21, 'Yeni Tanı dizisi eklendi');
INSERT INTO `lang_definitions` VALUES (112128, 6397, 21, 'Yeni Belge');
INSERT INTO `lang_definitions` VALUES (112129, 6398, 21, 'Yeni Belgeler');
INSERT INTO `lang_definitions` VALUES (112130, 6399, 21, 'Vadesi Gelmiş Yeni Klinik Hatırlatıcılar');
INSERT INTO `lang_definitions` VALUES (112131, 6401, 21, 'Yeni Görüşme');
INSERT INTO `lang_definitions` VALUES (112132, 6402, 21, 'Yeni görüşme kayıt numarası');
INSERT INTO `lang_definitions` VALUES (112133, 6403, 21, 'Yeni Görüşme Formu');
INSERT INTO `lang_definitions` VALUES (112134, 6404, 21, 'Yeni görüşmelere izin verilmiyor');
INSERT INTO `lang_definitions` VALUES (112135, 6405, 21, 'Yeni Görüşme');
INSERT INTO `lang_definitions` VALUES (112136, 6406, 21, 'Yeni Tesis Bilgisi');
INSERT INTO `lang_definitions` VALUES (112137, 6407, 21, 'Yeni dosya');
INSERT INTO `lang_definitions` VALUES (112138, 6408, 21, 'Yenş Dosyalar');
INSERT INTO `lang_definitions` VALUES (112139, 6410, 21, 'Yeni Grup');
INSERT INTO `lang_definitions` VALUES (112140, 6413, 21, 'Yeni Grup Bilgisi');
INSERT INTO `lang_definitions` VALUES (112141, 6423, 21, 'Yeni Olaylar Sınırı (ayrıntılar için yukarı bakınız)');
INSERT INTO `lang_definitions` VALUES (112142, 6425, 21, 'Yeni Olaylar Sınırı');
INSERT INTO `lang_definitions` VALUES (112143, 6426, 21, 'Yeni Liste');
INSERT INTO `lang_definitions` VALUES (112144, 6432, 21, 'Yeni Order lar');
INSERT INTO `lang_definitions` VALUES (112145, 6435, 21, 'Yeni Hasta');
INSERT INTO `lang_definitions` VALUES (112146, 6436, 21, 'YENİ HASTA');
INSERT INTO `lang_definitions` VALUES (112147, 6437, 21, 'Yeni Hasta Görüşmesi');
INSERT INTO `lang_definitions` VALUES (112148, 6438, 21, 'Yeni Hasta Formu');
INSERT INTO `lang_definitions` VALUES (112149, 6439, 21, 'Yeni Hasta ID');
INSERT INTO `lang_definitions` VALUES (112150, 6442, 21, 'Yeni Ödeme');
INSERT INTO `lang_definitions` VALUES (112151, 6445, 21, 'Yeni Hasta');
INSERT INTO `lang_definitions` VALUES (112152, 6447, 21, 'Lab Değişimden yeni sonuçlar');
INSERT INTO `lang_definitions` VALUES (112153, 6448, 21, 'Yeni Arama');
INSERT INTO `lang_definitions` VALUES (112154, 6449, 21, 'Yeni Başvurular');
INSERT INTO `lang_definitions` VALUES (112155, 6451, 21, 'Yeni Kullanıcı');
INSERT INTO `lang_definitions` VALUES (112156, 6453, 21, 'Yeni Vizit');
INSERT INTO `lang_definitions` VALUES (112157, 6454, 21, 'Yeni / Ara');
INSERT INTO `lang_definitions` VALUES (112158, 6481, 21, 'Gazete');
INSERT INTO `lang_definitions` VALUES (112159, 6482, 21, 'Sonraki');
INSERT INTO `lang_definitions` VALUES (112160, 6484, 21, 'Sonraki Gün');
INSERT INTO `lang_definitions` VALUES (112161, 6485, 21, 'Sonraki Ay');
INSERT INTO `lang_definitions` VALUES (112162, 6486, 21, 'Sonraki Ay (menü için basılı tutun)');
INSERT INTO `lang_definitions` VALUES (112163, 6491, 21, 'Sonraki Hafta');
INSERT INTO `lang_definitions` VALUES (112164, 6492, 21, 'Sonraki Yıl (menü için basılı tutun)');
INSERT INTO `lang_definitions` VALUES (112165, 6494, 21, 'Takma isim');
INSERT INTO `lang_definitions` VALUES (112166, 6496, 21, 'Gece Terlemeleri');
INSERT INTO `lang_definitions` VALUES (112167, 6498, 21, 'Dış genitaller, vaginal mukoza, serviks normal');
INSERT INTO `lang_definitions` VALUES (112168, 6499, 21, 'Hayır');
INSERT INTO `lang_definitions` VALUES (112169, 6500, 21, 'HAYIR');
INSERT INTO `lang_definitions` VALUES (112170, 6502, 21, 'Giriş yok');
INSERT INTO `lang_definitions` VALUES (112171, 6504, 21, 'Adenopati yok (2 alan gerekiyor)');
INSERT INTO `lang_definitions` VALUES (112172, 6505, 21, 'Düzeltme sebebi tipi bulunamadı:');
INSERT INTO `lang_definitions` VALUES (112173, 6506, 21, 'Adneksiyal hassasiyet/kitle yok');
INSERT INTO `lang_definitions` VALUES (112174, 6515, 21, 'Halen bir faturalama sistemi etkin değil');
INSERT INTO `lang_definitions` VALUES (112175, 6517, 21, 'OFX Dışa aktar da eklenecek hiçbir fatura bulunmadı');
INSERT INTO `lang_definitions` VALUES (112176, 6519, 21, 'Hiçbir kod belirtilmedi');
INSERT INTO `lang_definitions` VALUES (112177, 6523, 21, 'Teşhis yok');
INSERT INTO `lang_definitions` VALUES (112178, 6526, 21, 'Belge Bulunmadı');
INSERT INTO `lang_definitions` VALUES (112179, 6529, 21, 'Son Tarihi yok');
INSERT INTO `lang_definitions` VALUES (112180, 6530, 21, 'Hiçbir kayıt bulunmadı.Bir kayıt eklemek için aşağıdaki formu kullanın');
INSERT INTO `lang_definitions` VALUES (112181, 6531, 21, 'Hiçbir hata bulunamadı');
INSERT INTO `lang_definitions` VALUES (112182, 6532, 21, 'Olay Yok');
INSERT INTO `lang_definitions` VALUES (112183, 6536, 21, 'Hiçbir grup seçilmedi');
INSERT INTO `lang_definitions` VALUES (112184, 6537, 21, 'Fıtık yok');
INSERT INTO `lang_definitions` VALUES (112185, 6540, 21, 'Yaralanma / hastalık yok');
INSERT INTO `lang_definitions` VALUES (112186, 6541, 21, 'Hiçbir sigorta şirketi bulunamadı');
INSERT INTO `lang_definitions` VALUES (112187, 6544, 21, 'Konu Yok');
INSERT INTO `lang_definitions` VALUES (112188, 6547, 21, 'Hiçbir kalem seçilmedi');
INSERT INTO `lang_definitions` VALUES (112189, 6565, 21, 'Kitle,hassasiyet yok.');
INSERT INTO `lang_definitions` VALUES (112190, 6566, 21, 'Verilen tekrar kimlik kodu ile eşleşen bir Hasta kaydı bulunamadı');
INSERT INTO `lang_definitions` VALUES (112191, 6570, 21, 'Hiç bir eşleşme bulunamadı. Yeni hasta kaydı oluşturulsun mu?');
INSERT INTO `lang_definitions` VALUES (112192, 6577, 21, 'Hiçbir yeni sonuç bulunmadı');
INSERT INTO `lang_definitions` VALUES (112193, 6578, 21, 'Not yok');
INSERT INTO `lang_definitions` VALUES (112194, 6579, 21, 'Organomegali yok');
INSERT INTO `lang_definitions` VALUES (112195, 6580, 21, 'Bu dönem için hiç açık yok');
INSERT INTO `lang_definitions` VALUES (112196, 6583, 21, 'Başka telefon numarası listelenmedi');
INSERT INTO `lang_definitions` VALUES (112197, 6585, 21, 'Hiçbir Partner bulunamadı');
INSERT INTO `lang_definitions` VALUES (112198, 6586, 21, 'Verilen Seçim Kriterleri için hiçbir hasta kaydı bulunmadı');
INSERT INTO `lang_definitions` VALUES (112199, 6587, 21, 'Verilen tekrar kimlik kodu için bir Hasta kaydı bulunamadı');
INSERT INTO `lang_definitions` VALUES (112200, 6588, 21, 'Periferde ödem yok');
INSERT INTO `lang_definitions` VALUES (112201, 6589, 21, 'Hiç bir ilaç bulunamadı');
INSERT INTO `lang_definitions` VALUES (112202, 6590, 21, 'Hiç bir reçete bulunamadı');
INSERT INTO `lang_definitions` VALUES (112203, 6592, 21, 'Halen hastalık/yaralanma yok');
INSERT INTO `lang_definitions` VALUES (112204, 6598, 21, 'Hiç bir Sağlayıcı Bulunamadı');
INSERT INTO `lang_definitions` VALUES (112205, 6599, 21, 'Döküntü veya anormal lezyonlar yok');
INSERT INTO `lang_definitions` VALUES (112206, 6602, 21, 'Hiçbir kayıt bulunamadı.');
INSERT INTO `lang_definitions` VALUES (112207, 6604, 21, 'Hiçbir kayıt bulunamadı. Lütfen arama kriterlerinizi genişletiniz.');
INSERT INTO `lang_definitions` VALUES (112208, 6608, 21, 'Yukarıdaki arama kriterleri için hiçbir sonuç bulunmadı.');
INSERT INTO `lang_definitions` VALUES (112209, 6609, 21, 'Sonuç Yok');
INSERT INTO `lang_definitions` VALUES (112210, 6612, 21, 'Arama İçin Hiçbir Sonuç Bulunamadı');
INSERT INTO `lang_definitions` VALUES (112211, 6614, 21, 'Sonuç yok, lütfen tekrar deneyin');
INSERT INTO `lang_definitions` VALUES (112212, 6615, 21, 'Sonuç yok, lütfen tekrar deneyin');
INSERT INTO `lang_definitions` VALUES (112213, 6618, 21, 'Gelmedi');
INSERT INTO `lang_definitions` VALUES (112214, 6622, 21, 'Sinüs hassasiyeti yok');
INSERT INTO `lang_definitions` VALUES (112215, 6623, 21, 'Memede nodul veya deri çöküntüsü yok');
INSERT INTO `lang_definitions` VALUES (112216, 6626, 21, 'Testiste hassasiyet, kitle yok');
INSERT INTO `lang_definitions` VALUES (112217, 6628, 21, 'Kalpte ele gelen titreşim veya kaldırma yok');
INSERT INTO `lang_definitions` VALUES (112218, 6632, 21, 'Vizit yok');
INSERT INTO `lang_definitions` VALUES (112219, 6633, 21, 'Hiçbir vital bulgu kaydedilmedi');
INSERT INTO `lang_definitions` VALUES (112220, 6634, 21, 'İptal yok');
INSERT INTO `lang_definitions` VALUES (112221, 6636, 21, 'No:');
INSERT INTO `lang_definitions` VALUES (112222, 6637, 21, 'Noktüri');
INSERT INTO `lang_definitions` VALUES (112223, 6638, 21, 'Ödenmemiş');
INSERT INTO `lang_definitions` VALUES (112224, 6640, 21, 'Rapor edilmemiş Rapor');
INSERT INTO `lang_definitions` VALUES (112225, 6641, 21, 'Spesifik olmayan yaralanma');
INSERT INTO `lang_definitions` VALUES (112226, 6643, 21, 'İnsüline bağlı olmayan diyabet');
INSERT INTO `lang_definitions` VALUES (112227, 6646, 21, 'CSÜS dışı Tıbbi');
INSERT INTO `lang_definitions` VALUES (112228, 6647, 21, 'CSÜS dışı Tıbbi Değil');
INSERT INTO `lang_definitions` VALUES (112229, 6648, 21, 'Hiçbiri');
INSERT INTO `lang_definitions` VALUES (112230, 6649, 21, 'hiçbiri');
INSERT INTO `lang_definitions` VALUES (112231, 6652, 21, 'Hiçbiri belgelendirilmemiş.');
INSERT INTO `lang_definitions` VALUES (112232, 6653, 21, 'Yukarıdakilerin hiçbiri');
INSERT INTO `lang_definitions` VALUES (112233, 6654, 21, 'En üst Dağılım Satırının hiçbiri tamamen boş bırakılamaz.');
INSERT INTO `lang_definitions` VALUES (112234, 6683, 21, 'İnsüline bağlı olmayan diyabet');
INSERT INTO `lang_definitions` VALUES (112235, 6684, 21, 'Nor');
INSERT INTO `lang_definitions` VALUES (112236, 6685, 21, 'Normal');
INSERT INTO `lang_definitions` VALUES (112237, 6687, 21, 'Normal BL');
INSERT INTO `lang_definitions` VALUES (112238, 6688, 21, 'Normal Kalp Muayenesi:');
INSERT INTO `lang_definitions` VALUES (112239, 6689, 21, 'Normal Kalp Muayenesi:');
INSERT INTO `lang_definitions` VALUES (112240, 6690, 21, 'Normal Akciğer Muayenesi');
INSERT INTO `lang_definitions` VALUES (112241, 6691, 21, 'Normal Akciğer Muayenesi');
INSERT INTO `lang_definitions` VALUES (112242, 6692, 21, 'Normal Muayene Viziti');
INSERT INTO `lang_definitions` VALUES (112243, 6693, 21, 'Normal Orofarinks');
INSERT INTO `lang_definitions` VALUES (112244, 6694, 21, 'Normal Sağ');
INSERT INTO `lang_definitions` VALUES (112245, 6695, 21, 'Normal Sağ');
INSERT INTO `lang_definitions` VALUES (112246, 6696, 21, 'Normal Görünüş');
INSERT INTO `lang_definitions` VALUES (112247, 6697, 21, 'normal:');
INSERT INTO `lang_definitions` VALUES (112248, 6698, 21, 'Normal olarak bu işaretlenmelidir. Erişim kontrolü ile ilgili değildir.');
INSERT INTO `lang_definitions` VALUES (112249, 6701, 21, 'Norveççe');
INSERT INTO `lang_definitions` VALUES (112250, 6705, 21, 'Burun');
INSERT INTO `lang_definitions` VALUES (112251, 6706, 21, 'Burun kanaması');
INSERT INTO `lang_definitions` VALUES (112252, 6707, 21, 'bir harf veya rakam değil');
INSERT INTO `lang_definitions` VALUES (112253, 6710, 21, 'Tüm kodlar veya kod tipleri için tüm alanlar gerekli değil');
INSERT INTO `lang_definitions` VALUES (112254, 6712, 21, 'İzin verilmiyor');
INSERT INTO `lang_definitions` VALUES (112255, 6713, 21, 'Yöneticiler grubunun silinmesine izin verilmiyor');
INSERT INTO `lang_definitions` VALUES (112256, 6715, 21, 'Tüm güvenlik nesnelerinin inaktif hale getirilmesine izin verilmiyor');
INSERT INTO `lang_definitions` VALUES (112257, 6716, 21, 'Yöneticiler ACLden herhangi bir şeyin inaktif hale getirilmesine izin verilmiyor');
INSERT INTO `lang_definitions` VALUES (112258, 6717, 21, 'Yöneticiler grubundan admin kullanıcısının silinmesine izin verilmiyor');
INSERT INTO `lang_definitions` VALUES (112259, 6718, 21, 'Bu kullanıcının yöneticiler grubundan silinmesine izin verilmiyor');
INSERT INTO `lang_definitions` VALUES (112260, 6720, 21, 'Takvim modülüne erişme yetkisi yok');
INSERT INTO `lang_definitions` VALUES (112261, 6722, 21, 'Yetkisi yok');
INSERT INTO `lang_definitions` VALUES (112262, 6724, 21, 'Bu bölüm için yetkisi yok');
INSERT INTO `lang_definitions` VALUES (112263, 6729, 21, 'Mevcudu yok');
INSERT INTO `lang_definitions` VALUES (112264, 6731, 21, 'Faturalanmamış');
INSERT INTO `lang_definitions` VALUES (112265, 6732, 21, 'Kontrol edilmemiş');
INSERT INTO `lang_definitions` VALUES (112266, 6733, 21, 'Çıkışı yapılmamış');
INSERT INTO `lang_definitions` VALUES (112267, 6738, 21, 'Muayene edilmemiş');
INSERT INTO `lang_definitions` VALUES (112268, 6739, 21, 'Muayene Edilmemiş:');
INSERT INTO `lang_definitions` VALUES (112269, 6740, 21, 'Muayene Edilmemiş:');
INSERT INTO `lang_definitions` VALUES (112270, 6742, 21, 'bulunamadı');
INSERT INTO `lang_definitions` VALUES (112271, 6744, 21, 'bulunamadı!');
INSERT INTO `lang_definitions` VALUES (112272, 6745, 21, 'Latin veya esmer değil.');
INSERT INTO `lang_definitions` VALUES (112273, 6751, 21, 'Den beri görülmedi');
INSERT INTO `lang_definitions` VALUES (112274, 6755, 21, 'Belirtilmemiş');
INSERT INTO `lang_definitions` VALUES (112275, 6758, 21, 'Not');
INSERT INTO `lang_definitions` VALUES (112276, 6764, 21, 'Denetleme Kaydının yukarıda etkinleştirilmiş olması gerektiğine dikkat ediniz');
INSERT INTO `lang_definitions` VALUES (112277, 6771, 21, 'Not Tipi');
INSERT INTO `lang_definitions` VALUES (112278, 6780, 21, 'Not:Bu kod yetkili bir kullanıcı tarafından girilmedi. Açık Tıbbi Faturalama Ağına sadece yetkili kodlar girilebilir. Bu kodları yüklemek istiyorsanız, lütfen buradaki yetkili bir kullanıcıyı seçiniz.');
INSERT INTO `lang_definitions` VALUES (112279, 6783, 21, 'NOT: Çift isimli dosyalar yüklendiğinde dosyalar otomatik olarak yeniden adlandırılır. ( Mesela dosya.jpg dosya.1.jpg ) Dosya isimleri her kategori için değil her hasta için eşsiz kabul edilir.');
INSERT INTO `lang_definitions` VALUES (112280, 6784, 21, 'NOT: Çift isimli dosyalar yüklendiğinde dosyalar otomatik olarak yeniden adlandırılır. Mesela \'<i>dosya.jpg, dosya.1.jpg </i>\' olur ) Dosya isimleri her kategori için değil her hasta için eşsiz kabul edilir.');
INSERT INTO `lang_definitions` VALUES (112281, 6785, 21, 'Notlar');
INSERT INTO `lang_definitions` VALUES (112282, 6788, 21, 'Notlar - herhangi bir görüşme (yaz, sadece ekle opsiyon)');
INSERT INTO `lang_definitions` VALUES (112283, 6790, 21, 'Notlar - görüşmelerim (yaz, sadece ekle opsiyon)');
INSERT INTO `lang_definitions` VALUES (112284, 6793, 21, 'Notlar yetkilendirilmemiş');
INSERT INTO `lang_definitions` VALUES (112285, 6804, 21, 'Hiçbir şey seçilmemiş');
INSERT INTO `lang_definitions` VALUES (112286, 6808, 21, 'UYARI :: Takvim Ekleme/Değiştirme');
INSERT INTO `lang_definitions` VALUES (112287, 6809, 21, 'Uyarı');
INSERT INTO `lang_definitions` VALUES (112288, 6810, 21, 'Uyarı Eposta Adresi');
INSERT INTO `lang_definitions` VALUES (112289, 6815, 21, 'Uyarılar');
INSERT INTO `lang_definitions` VALUES (112290, 6816, 21, 'Admin Olay Ekleme/Değiştirme hakkında uyarılsın mı?');
INSERT INTO `lang_definitions` VALUES (112291, 6820, 21, 'Kas');
INSERT INTO `lang_definitions` VALUES (112292, 6821, 21, 'Kasım');
INSERT INTO `lang_definitions` VALUES (112293, 6824, 21, 'Şimdi postalanan alıcı:');
INSERT INTO `lang_definitions` VALUES (112294, 6825, 21, 'Şimdi');
INSERT INTO `lang_definitions` VALUES (112295, 6826, 21, 'Şimdi $stmt_count bilançoları bastırılıyor ve görüşmeler güncelleniyor.');
INSERT INTO `lang_definitions` VALUES (112296, 6827, 21, 'Şimdi $stmt_count bilançoları bastırılıyor ve faturalar güncelleniyor.');
INSERT INTO `lang_definitions` VALUES (112297, 6828, 21, 'Şimdi $stmt_count bilançoları bastırılıyor, görüşmeler güncellenmeyecek.');
INSERT INTO `lang_definitions` VALUES (112298, 6829, 21, 'Şimdi $stmt_count bilançoları bastırılıyor, faturalar güncellenmeyecek.');
INSERT INTO `lang_definitions` VALUES (112299, 6834, 21, 'NPI');
INSERT INTO `lang_definitions` VALUES (112300, 6837, 21, 'Sayı');
INSERT INTO `lang_definitions` VALUES (112301, 6843, 21, 'Yıl görünümünde sütun sayısı');
INSERT INTO `lang_definitions` VALUES (112302, 6850, 21, 'Müşteri sertifikasının geçerli olduğu gün sayısı');
INSERT INTO `lang_definitions` VALUES (112303, 6852, 21, 'Para birimi için ondalık sonrası rakam sayısı, genellikle 0 veya 2 dir.');
INSERT INTO `lang_definitions` VALUES (112304, 6855, 21, 'Hiç varsa kaçırılan olay veya oyunlar');
INSERT INTO `lang_definitions` VALUES (112305, 6856, 21, 'Eposta uyarıları göndermek için önceden saat sayısı.');
INSERT INTO `lang_definitions` VALUES (112306, 6858, 21, 'SMS uyarılar göndermek için önceden saat sayısı');
INSERT INTO `lang_definitions` VALUES (112307, 6862, 21, 'Geçmiş öykü sütunlarının sayısı');
INSERT INTO `lang_definitions` VALUES (112308, 6864, 21, 'Uyuşukluk');
INSERT INTO `lang_definitions` VALUES (112309, 6866, 21, 'Rakamsal görünüm sırası');
INSERT INTO `lang_definitions` VALUES (112310, 6871, 21, 'O.A.F.V');
INSERT INTO `lang_definitions` VALUES (112311, 6872, 21, 'O2 Sat');
INSERT INTO `lang_definitions` VALUES (112312, 6874, 21, 'Obezite I');
INSERT INTO `lang_definitions` VALUES (112313, 6875, 21, 'Obezite III');
INSERT INTO `lang_definitions` VALUES (112314, 6876, 21, 'Obezite III');
INSERT INTO `lang_definitions` VALUES (112315, 6877, 21, 'Objektif');
INSERT INTO `lang_definitions` VALUES (112316, 6886, 21, 'Meslek');
INSERT INTO `lang_definitions` VALUES (112317, 6889, 21, 'Oluş');
INSERT INTO `lang_definitions` VALUES (112318, 6890, 21, 'Eki');
INSERT INTO `lang_definitions` VALUES (112319, 6891, 21, 'Ekim');
INSERT INTO `lang_definitions` VALUES (112320, 6892, 21, 'OD');
INSERT INTO `lang_definitions` VALUES (112321, 6896, 21, 'Miktarında');
INSERT INTO `lang_definitions` VALUES (112322, 6897, 21, 'tablet');
INSERT INTO `lang_definitions` VALUES (112323, 6898, 21, 'aydan her');
INSERT INTO `lang_definitions` VALUES (112324, 6899, 21, 'Ofis Notları');
INSERT INTO `lang_definitions` VALUES (112325, 6907, 21, 'Ofis Notları');
INSERT INTO `lang_definitions` VALUES (112326, 6908, 21, 'Ofis Viziti');
INSERT INTO `lang_definitions` VALUES (112327, 6921, 21, 'Bebek');
INSERT INTO `lang_definitions` VALUES (112328, 6925, 21, 'merhem');
INSERT INTO `lang_definitions` VALUES (112329, 6927, 21, 'TAMAM');
INSERT INTO `lang_definitions` VALUES (112330, 6930, 21, 'tarihli GCAC konusunu link etmek için TAMAM');
INSERT INTO `lang_definitions` VALUES (112331, 6931, 21, 'Eski');
INSERT INTO `lang_definitions` VALUES (112332, 6933, 21, 'Eski Müşteriler');
INSERT INTO `lang_definitions` VALUES (112333, 6934, 21, 'Eski kırık non / malunion');
INSERT INTO `lang_definitions` VALUES (112334, 6935, 21, 'Sol menü olmaksızın eski stil görünüş.');
INSERT INTO `lang_definitions` VALUES (112335, 6936, 21, 'Çiftleşme kontrolü ve araması bulunmayan eski stil statik form');
INSERT INTO `lang_definitions` VALUES (112336, 6942, 21, 'Hasta demografik bilgilerinde işveren bilgisini İhmal et');
INSERT INTO `lang_definitions` VALUES (112337, 6943, 21, 'İşverenleri İhmal Et');
INSERT INTO `lang_definitions` VALUES (112338, 6944, 21, 'Dozajın sonradan parçası olan form, yol ve aralığı ihmal et.');
INSERT INTO `lang_definitions` VALUES (112339, 6945, 21, 'Demografik formdan sigorta ve bazı başka şeyleri ihmal et');
INSERT INTO `lang_definitions` VALUES (112340, 6946, 21, 'İlk kullanıcılar ihmal edilsin mi?');
INSERT INTO `lang_definitions` VALUES (112341, 6947, 21, 'Birlikte ödeme panelinden ödeme yöntemini ihmal et');
INSERT INTO `lang_definitions` VALUES (112342, 6948, 21, 'otomatik atamayı ihmal et');
INSERT INTO `lang_definitions` VALUES (112343, 6950, 21, 'üzerinde');
INSERT INTO `lang_definitions` VALUES (112344, 6956, 21, 'Elde');
INSERT INTO `lang_definitions` VALUES (112345, 6959, 21, 'Siparişte');
INSERT INTO `lang_definitions` VALUES (112346, 6960, 21, 'Yerinde');
INSERT INTO `lang_definitions` VALUES (112347, 6979, 21, 'Şifrenizi değiştirdiğiniz zaman tekrar giriş yapmanız gerekecektir.');
INSERT INTO `lang_definitions` VALUES (112348, 6996, 21, 'Çevrim içi destek');
INSERT INTO `lang_definitions` VALUES (112349, 6997, 21, 'Çevrim içi destek bağlantısı');
INSERT INTO `lang_definitions` VALUES (112350, 6999, 21, 'Sadece Aktif');
INSERT INTO `lang_definitions` VALUES (112351, 7004, 21, 'sadece eğer faturalama yeri ise');
INSERT INTO `lang_definitions` VALUES (112352, 7006, 21, 'Sadece inaktif');
INSERT INTO `lang_definitions` VALUES (112353, 7007, 21, 'Sadece Benim');
INSERT INTO `lang_definitions` VALUES (112354, 7017, 21, 'Hastalığın başlangıcı:');
INSERT INTO `lang_definitions` VALUES (112355, 7018, 21, 'Hastalığın başlangıcı:');
INSERT INTO `lang_definitions` VALUES (112356, 7019, 21, 'Şişmenin başlangıcı:');
INSERT INTO `lang_definitions` VALUES (112357, 7022, 21, 'Hastaneye yatış/başlangıç tarihi');
INSERT INTO `lang_definitions` VALUES (112358, 7031, 21, 'Açık');
INSERT INTO `lang_definitions` VALUES (112359, 7046, 21, 'Bugünkü Görüşmeyi Aç');
INSERT INTO `lang_definitions` VALUES (112360, 7071, 21, 'ÖzgürETK önceden düzenlenmiş bir Sertifika Yetkilisine sahip');
INSERT INTO `lang_definitions` VALUES (112361, 7076, 21, 'ÖzgürETK Veri Tabanı Güncellemesi');
INSERT INTO `lang_definitions` VALUES (112362, 7077, 21, 'Kişisel verileri gizlemek için ÖzgürETK Veri Tabanı Güncellemesi');
INSERT INTO `lang_definitions` VALUES (112363, 7080, 21, 'ÖzgürETKnın müşteri sertifikalarını oluşturabilmesi için sertifika kullanmak üzere yapılandırılması gerekir');
INSERT INTO `lang_definitions` VALUES (112364, 7084, 21, 'ÖzgürETK kullanıcı doğrulaması yapabilmek için JavaScripte ihtiyaç duyar.');
INSERT INTO `lang_definitions` VALUES (112365, 7085, 21, 'ÖzgürETK Kullanıcıları');
INSERT INTO `lang_definitions` VALUES (112366, 7095, 21, 'Seçenek');
INSERT INTO `lang_definitions` VALUES (112367, 7098, 21, 'Ürünlerin envanterini ve satışlarını destekleme opsiyonu');
INSERT INTO `lang_definitions` VALUES (112368, 7099, 21, 'Seçmeli');
INSERT INTO `lang_definitions` VALUES (112369, 7100, 21, 'Hasta özet sayfasında görülebilecek bir Nüfus kağıdı resmi için opsiyonel kategori ismi');
INSERT INTO `lang_definitions` VALUES (112370, 7101, 21, 'Hasta özet sayfasında görülebilecek fotoğraf resmleri için opsiyonel kategori ismi');
INSERT INTO `lang_definitions` VALUES (112371, 7102, 21, 'Hasta özet sayfasından bir belgeye bağlantı yapmak için seçmeli kategori ismi. Hasta ismine tıklayıp ID kartını görmenizi sağlar.');
INSERT INTO `lang_definitions` VALUES (112372, 7103, 21, 'Sonuçların el ile girilmesinde seçimlik ön tanımlı aralık');
INSERT INTO `lang_definitions` VALUES (112373, 7104, 21, 'Sonuçların el ile girilmesinde seçimlik ön tanımlı birimler');
INSERT INTO `lang_definitions` VALUES (112374, 7107, 21, 'Seçimlik ilaç adı joker için % kullanınız.');
INSERT INTO `lang_definitions` VALUES (112375, 7111, 21, 'Bu olay için seçimlik bilgi');
INSERT INTO `lang_definitions` VALUES (112376, 7112, 21, 'Seçmeli parti numarası, joker için % kullanınız');
INSERT INTO `lang_definitions` VALUES (112377, 7113, 21, 'Seçmeli nümerik hasta ID si');
INSERT INTO `lang_definitions` VALUES (112378, 7114, 21, 'Seçmeli işlem kodu');
INSERT INTO `lang_definitions` VALUES (112379, 7116, 21, 'Seçenekler');
INSERT INTO `lang_definitions` VALUES (112380, 7117, 21, 'VEYA');
INSERT INTO `lang_definitions` VALUES (112381, 7118, 21, 'Veya');
INSERT INTO `lang_definitions` VALUES (112382, 7119, 21, 'Veya seçin');
INSERT INTO `lang_definitions` VALUES (112383, 7120, 21, 'veya hızlı seçim için tıklayıp sürükleyin.');
INSERT INTO `lang_definitions` VALUES (112384, 7122, 21, 'Veya Dışarı');
INSERT INTO `lang_definitions` VALUES (112385, 7124, 21, 'veya azaltmak için Shift-tıkla');
INSERT INTO `lang_definitions` VALUES (112386, 7125, 21, 'Veya ERA dosyasını yükle');
INSERT INTO `lang_definitions` VALUES (112387, 7127, 21, 'Oral');
INSERT INTO `lang_definitions` VALUES (112388, 7128, 21, 'Oral mukoza pembe, boğaz temiz');
INSERT INTO `lang_definitions` VALUES (112389, 7129, 21, 'Order');
INSERT INTO `lang_definitions` VALUES (112390, 7131, 21, 'Order ve Sonuç Tipleri');
INSERT INTO `lang_definitions` VALUES (112391, 7132, 21, 'Sipariş Kataloğu');
INSERT INTO `lang_definitions` VALUES (112392, 7136, 21, 'Order Formu');
INSERT INTO `lang_definitions` VALUES (112393, 7138, 21, 'Order 1 -999 arası bir sayı olmalıdır');
INSERT INTO `lang_definitions` VALUES (112394, 7142, 21, 'Order Öncelikleri');
INSERT INTO `lang_definitions` VALUES (112395, 7143, 21, 'Order İşlemcisi');
INSERT INTO `lang_definitions` VALUES (112396, 7147, 21, 'Sipariş Durumları');
INSERT INTO `lang_definitions` VALUES (112397, 7150, 21, 'Sipariş Tipi');
INSERT INTO `lang_definitions` VALUES (112398, 7152, 21, 'Sipariş Sonucu/Tipi');
INSERT INTO `lang_definitions` VALUES (112399, 7153, 21, 'Sipariş edildi');
INSERT INTO `lang_definitions` VALUES (112400, 7159, 21, 'Sipariş Sağlayıcı');
INSERT INTO `lang_definitions` VALUES (112401, 7166, 21, 'Organ yaralanması');
INSERT INTO `lang_definitions` VALUES (112402, 7167, 21, 'Organizasyon');
INSERT INTO `lang_definitions` VALUES (112403, 7168, 21, 'Organizasyon Adı');
INSERT INTO `lang_definitions` VALUES (112404, 7169, 21, 'Organizasyon Birim Adı');
INSERT INTO `lang_definitions` VALUES (112405, 7170, 21, 'Organizasyonlar');
INSERT INTO `lang_definitions` VALUES (112406, 7171, 21, 'Oriyante x 3');
INSERT INTO `lang_definitions` VALUES (112407, 7175, 21, 'Orijinal');
INSERT INTO `lang_definitions` VALUES (112408, 7181, 21, 'OROFARENKS:');
INSERT INTO `lang_definitions` VALUES (112409, 7184, 21, 'Ortopne');
INSERT INTO `lang_definitions` VALUES (112410, 7188, 21, 'OS');
INSERT INTO `lang_definitions` VALUES (112411, 7189, 21, 'Osteoartrit');
INSERT INTO `lang_definitions` VALUES (112412, 7193, 21, 'Diğer');
INSERT INTO `lang_definitions` VALUES (112413, 7194, 21, 'diğer');
INSERT INTO `lang_definitions` VALUES (112414, 7196, 21, 'Diğer (Belirtiniz)');
INSERT INTO `lang_definitions` VALUES (112415, 7198, 21, 'Diğer - Belirtilmiş');
INSERT INTO `lang_definitions` VALUES (112416, 7201, 21, 'Diğer Federal Program');
INSERT INTO `lang_definitions` VALUES (112417, 7202, 21, 'Diğer HCFA');
INSERT INTO `lang_definitions` VALUES (112418, 7203, 21, 'Başka yerde belirtilmemiş diğer yaralanmalar');
INSERT INTO `lang_definitions` VALUES (112419, 7206, 21, 'diğer ay');
INSERT INTO `lang_definitions` VALUES (112420, 7207, 21, 'Diğer Federal Olmayan Programlar');
INSERT INTO `lang_definitions` VALUES (112421, 7208, 21, 'Diğer Notlar');
INSERT INTO `lang_definitions` VALUES (112422, 7209, 21, 'Diğer İlgili Semptomlar');
INSERT INTO `lang_definitions` VALUES (112423, 7210, 21, 'Diğer İlgili Semptomlar:');
INSERT INTO `lang_definitions` VALUES (112424, 7213, 21, 'Diğer ilgili resp.');
INSERT INTO `lang_definitions` VALUES (112425, 7215, 21, 'Diğer stres/aşırı kullanım yaralanması');
INSERT INTO `lang_definitions` VALUES (112426, 7216, 21, 'Diğer Cerrahi');
INSERT INTO `lang_definitions` VALUES (112427, 7217, 21, 'Diğer/Jenerik Düşük ile ilgili');
INSERT INTO `lang_definitions` VALUES (112428, 7219, 21, 'Diğerleri');
INSERT INTO `lang_definitions` VALUES (112429, 7221, 21, 'diğer halde mevcut verilere yapılan referansları imha edeceksiniz.');
INSERT INTO `lang_definitions` VALUES (112430, 7224, 21, 'Ottawa Ayak Bileği Kuralları');
INSERT INTO `lang_definitions` VALUES (112431, 7225, 21, 'OU');
INSERT INTO `lang_definitions` VALUES (112432, 7227, 21, 'DIŞARI');
INSERT INTO `lang_definitions` VALUES (112433, 7228, 21, 'Ofis Dışında');
INSERT INTO `lang_definitions` VALUES (112434, 7230, 21, 'Dışa Sevk');
INSERT INTO `lang_definitions` VALUES (112435, 7231, 21, 'Sonuç');
INSERT INTO `lang_definitions` VALUES (112436, 7234, 21, 'Görünüm');
INSERT INTO `lang_definitions` VALUES (112437, 7244, 21, 'Aşırı kullanım');
INSERT INTO `lang_definitions` VALUES (112438, 7246, 21, 'Aşırı kilolu');
INSERT INTO `lang_definitions` VALUES (112439, 7247, 21, 'HIPAA seçiminin üzerine yaz');
INSERT INTO `lang_definitions` VALUES (112440, 7249, 21, 'Oksijen Satürasyonu');
INSERT INTO `lang_definitions` VALUES (112441, 7251, 21, 'P');
INSERT INTO `lang_definitions` VALUES (112442, 7252, 21, 'Yemekten sonra');
INSERT INTO `lang_definitions` VALUES (112443, 7253, 21, 'ö.s.');
INSERT INTO `lang_definitions` VALUES (112444, 7254, 21, 'gerektiğinde');
INSERT INTO `lang_definitions` VALUES (112445, 7258, 21, 'Pasifik Adalarından');
INSERT INTO `lang_definitions` VALUES (112446, 7259, 21, 'Pediyatrik');
INSERT INTO `lang_definitions` VALUES (112447, 7260, 21, 'Sayfa');
INSERT INTO `lang_definitions` VALUES (112448, 7263, 21, 'Sayfalar');
INSERT INTO `lang_definitions` VALUES (112449, 7264, 21, 'Ödenmiş');
INSERT INTO `lang_definitions` VALUES (112450, 7265, 21, 'Ayıracağınız ödenmiş miktar');
INSERT INTO `lang_definitions` VALUES (112451, 7267, 21, 'Ödendi:');
INSERT INTO `lang_definitions` VALUES (112452, 7268, 21, 'Ağrı');
INSERT INTO `lang_definitions` VALUES (112453, 7271, 21, 'Çarpıntı');
INSERT INTO `lang_definitions` VALUES (112454, 7275, 21, 'Sürüntü');
INSERT INTO `lang_definitions` VALUES (112455, 7278, 21, 'Felç');
INSERT INTO `lang_definitions` VALUES (112456, 7284, 21, 'HL7 yi incele');
INSERT INTO `lang_definitions` VALUES (112457, 7289, 21, 'Partner');
INSERT INTO `lang_definitions` VALUES (112458, 7301, 21, 'Şifre');
INSERT INTO `lang_definitions` VALUES (112459, 7302, 21, 'Şifre Değişikliği');
INSERT INTO `lang_definitions` VALUES (112460, 7304, 21, 'Şifre Değişikliği Başarılı.');
INSERT INTO `lang_definitions` VALUES (112461, 7308, 21, 'Şifre Son Mühlet');
INSERT INTO `lang_definitions` VALUES (112462, 7311, 21, 'SMS ara birimi için Şifre');
INSERT INTO `lang_definitions` VALUES (112463, 7312, 21, 'SMS ara birimi için Şifre:');
INSERT INTO `lang_definitions` VALUES (112464, 7319, 21, 'Şifre:');
INSERT INTO `lang_definitions` VALUES (112465, 7333, 21, 'Eski Görüşmeler Listesi');
INSERT INTO `lang_definitions` VALUES (112466, 7334, 21, 'Geçmiş Görüşmeler');
INSERT INTO `lang_definitions` VALUES (112467, 7335, 21, 'Geçmiş Görüşmeler ve Belgeler');
INSERT INTO `lang_definitions` VALUES (112468, 7344, 21, 'HL7 Verisini Yapıştırınız');
INSERT INTO `lang_definitions` VALUES (112469, 7345, 21, 'İçe aktarılacak veriyi aşağıdaki metin kutusuna yapıştırınız:');
INSERT INTO `lang_definitions` VALUES (112470, 7348, 21, 'Yama');
INSERT INTO `lang_definitions` VALUES (112471, 7355, 21, 'Olay Günlüğü Yedeğinin Yolu');
INSERT INTO `lang_definitions` VALUES (112472, 7356, 21, 'CA Sertifika Dosyasının Yolu');
INSERT INTO `lang_definitions` VALUES (112473, 7357, 21, 'CA Sertifikası Anahtar Dosyasının Yolu');
INSERT INTO `lang_definitions` VALUES (112474, 7358, 21, 'MySQL binary dosyalarının yolu');
INSERT INTO `lang_definitions` VALUES (112475, 7359, 21, 'Perl Binary dosyalarının yolu');
INSERT INTO `lang_definitions` VALUES (112476, 7360, 21, 'Geçici Dosyaların Yolu');
INSERT INTO `lang_definitions` VALUES (112477, 7361, 21, 'Hasta');
INSERT INTO `lang_definitions` VALUES (112478, 7362, 21, 'HASTA');
INSERT INTO `lang_definitions` VALUES (112479, 7363, 21, 'hasta');
INSERT INTO `lang_definitions` VALUES (112480, 7369, 21, 'Hasta alerjileri');
INSERT INTO `lang_definitions` VALUES (112481, 7370, 21, 'Hasta Alerjileri');
INSERT INTO `lang_definitions` VALUES (112482, 7373, 21, 'Hasta Randevusu');
INSERT INTO `lang_definitions` VALUES (112483, 7379, 21, 'Hasta Çizelge ID');
INSERT INTO `lang_definitions` VALUES (112484, 7381, 21, 'Hasta Ödemesi');
INSERT INTO `lang_definitions` VALUES (112485, 7382, 21, 'Hasta ödemesi:');
INSERT INTO `lang_definitions` VALUES (112486, 7386, 21, 'Hasta Epikrizi Gönderildi');
INSERT INTO `lang_definitions` VALUES (112487, 7387, 21, 'Hasta Epikrizi Gönderildi');
INSERT INTO `lang_definitions` VALUES (112488, 7394, 21, 'Hasta Bilgileri');
INSERT INTO `lang_definitions` VALUES (112489, 7404, 21, 'Hasta Belgesi');
INSERT INTO `lang_definitions` VALUES (112490, 7412, 21, 'Hasta Görüşmesi');
INSERT INTO `lang_definitions` VALUES (112491, 7413, 21, 'Hasta Görüşme Formu');
INSERT INTO `lang_definitions` VALUES (112492, 7414, 21, 'Hasta Görüşmeleri');
INSERT INTO `lang_definitions` VALUES (112493, 7415, 21, 'Hasta Bulucu');
INSERT INTO `lang_definitions` VALUES (112494, 7428, 21, 'Hasta Öyküsü');
INSERT INTO `lang_definitions` VALUES (112495, 7429, 21, 'Hasta Öyküsü/yaşam tarzı');
INSERT INTO `lang_definitions` VALUES (112496, 7431, 21, 'Hasta ID');
INSERT INTO `lang_definitions` VALUES (112497, 7433, 21, 'Hasta Kimlik Kartı');
INSERT INTO `lang_definitions` VALUES (112498, 7434, 21, 'Hasta ID Kategori İsmi');
INSERT INTO `lang_definitions` VALUES (112499, 7437, 21, 'Hasta Aşılamaları');
INSERT INTO `lang_definitions` VALUES (112500, 7438, 21, 'Hasta Danışma');
INSERT INTO `lang_definitions` VALUES (112501, 7440, 21, 'Hasta Talimatları');
INSERT INTO `lang_definitions` VALUES (112502, 7441, 21, 'Hasta Sigorta Dağılımı');
INSERT INTO `lang_definitions` VALUES (112503, 7442, 21, 'Hasta Sigorta Dağılımı Raporu');
INSERT INTO `lang_definitions` VALUES (112504, 7445, 21, 'Hasta Konuları');
INSERT INTO `lang_definitions` VALUES (112505, 7447, 21, 'Hasta Soyadı');
INSERT INTO `lang_definitions` VALUES (112506, 7448, 21, 'Hasta Soyadı');
INSERT INTO `lang_definitions` VALUES (112507, 7449, 21, 'Hasta Soyadı eksşk');
INSERT INTO `lang_definitions` VALUES (112508, 7450, 21, 'Hasta Ödemeleri');
INSERT INTO `lang_definitions` VALUES (112509, 7451, 21, 'Tarihe Göre Hasta Ödemeleri');
INSERT INTO `lang_definitions` VALUES (112510, 7454, 21, 'Hasta Listesi');
INSERT INTO `lang_definitions` VALUES (112511, 7455, 21, 'Hasta Listesi Sütunları');
INSERT INTO `lang_definitions` VALUES (112512, 7456, 21, 'Hasta Listesi Oluşturma');
INSERT INTO `lang_definitions` VALUES (112513, 7457, 21, 'Yeni Hasta Listesi Penceresi');
INSERT INTO `lang_definitions` VALUES (112514, 7458, 21, 'Hasta Listesi Sayfa Ölçüsü');
INSERT INTO `lang_definitions` VALUES (112515, 7460, 21, 'Hasta Arama Hataları');
INSERT INTO `lang_definitions` VALUES (112516, 7463, 21, 'Hasta Tıbbi Sorunları');
INSERT INTO `lang_definitions` VALUES (112517, 7464, 21, 'Hasta İlaçları');
INSERT INTO `lang_definitions` VALUES (112518, 7470, 21, 'Hasta İsmi');
INSERT INTO `lang_definitions` VALUES (112519, 7472, 21, 'Asta İsmi & Adres');
INSERT INTO `lang_definitions` VALUES (112520, 7475, 21, 'Hasta İsmi Gerekli');
INSERT INTO `lang_definitions` VALUES (112521, 7477, 21, 'Hasta Notu');
INSERT INTO `lang_definitions` VALUES (112522, 7478, 21, 'Hasta Not Tipleri');
INSERT INTO `lang_definitions` VALUES (112523, 7479, 21, 'Hasta Notları');
INSERT INTO `lang_definitions` VALUES (112524, 7480, 21, 'Hasta Notları (Yaz sadece ekle seçmeli)');
INSERT INTO `lang_definitions` VALUES (112525, 7482, 21, 'Hasta Numarası');
INSERT INTO `lang_definitions` VALUES (112526, 7483, 21, 'Hasta Ödemesi');
INSERT INTO `lang_definitions` VALUES (112527, 7485, 21, 'Hasta Fotoğraf kategorisi ismi');
INSERT INTO `lang_definitions` VALUES (112528, 7497, 21, 'Basılı Hasta Raporu');
INSERT INTO `lang_definitions` VALUES (112529, 7499, 21, 'Hasta Kaydı Raporu');
INSERT INTO `lang_definitions` VALUES (112530, 7510, 21, 'Hasta Hatırlatmaları');
INSERT INTO `lang_definitions` VALUES (112531, 7514, 21, 'Hasta Raporu');
INSERT INTO `lang_definitions` VALUES (112532, 7518, 21, 'Hasta İsteği');
INSERT INTO `lang_definitions` VALUES (112533, 7521, 21, 'Hasta Sonuçları');
INSERT INTO `lang_definitions` VALUES (112534, 7525, 21, 'Hasta Sonuç Arama Stili');
INSERT INTO `lang_definitions` VALUES (112535, 7526, 21, 'Hasta Ara/Ekle Ekranı');
INSERT INTO `lang_definitions` VALUES (112536, 7539, 21, 'Hasta Özeti');
INSERT INTO `lang_definitions` VALUES (112537, 7542, 21, 'Hasta İşlemleri');
INSERT INTO `lang_definitions` VALUES (112538, 7549, 21, 'girdiğiniz demografik bilgi ile eşleşen veri tabanındaki hasta(lar)');
INSERT INTO `lang_definitions` VALUES (112539, 7550, 21, 'Hasta/Müşteri');
INSERT INTO `lang_definitions` VALUES (112540, 7551, 21, 'Hasta:');
INSERT INTO `lang_definitions` VALUES (112541, 7552, 21, 'HastaID');
INSERT INTO `lang_definitions` VALUES (112542, 7553, 21, 'Hastalar');
INSERT INTO `lang_definitions` VALUES (112543, 7559, 21, 'Öde');
INSERT INTO `lang_definitions` VALUES (112544, 7560, 21, '\"işim bitti\" kutularına dikkat ediniz. Sigortalar tamam olarak işaretlendikten sonra borcun geri kalanını hastalardan istemeye başlayacağız. Eğer tüm sigortaları tamam olarak işaretlemez iseniz o zaman kalan miktar toplanamaz! Hastanın ödemesi gereken bir borç var ise, vade tarihini uygun şekilde düzenleyiniz, bu hastalara giden ödeme emirlerindeki dili etkiler.');
INSERT INTO `lang_definitions` VALUES (112545, 7563, 21, 'Ödeme Tarihi:');
INSERT INTO `lang_definitions` VALUES (112546, 7566, 21, 'Ödeme Durumu');
INSERT INTO `lang_definitions` VALUES (112547, 7567, 21, 'Ödenenin Adı');
INSERT INTO `lang_definitions` VALUES (112548, 7568, 21, 'Ödeyen');
INSERT INTO `lang_definitions` VALUES (112549, 7572, 21, 'Ödeyen Tipi');
INSERT INTO `lang_definitions` VALUES (112550, 7573, 21, 'Ödeme yapan');
INSERT INTO `lang_definitions` VALUES (112551, 7574, 21, 'Ödeme Başlığı');
INSERT INTO `lang_definitions` VALUES (112552, 7575, 21, 'Ödeme');
INSERT INTO `lang_definitions` VALUES (112553, 7576, 21, 'ödeme');
INSERT INTO `lang_definitions` VALUES (112554, 7577, 21, 'Ödeme Düzeltme Kodu');
INSERT INTO `lang_definitions` VALUES (112555, 7579, 21, 'Ödeme Miktarı');
INSERT INTO `lang_definitions` VALUES (112556, 7580, 21, 'Ödeme Miktarı sayısal olmalı');
INSERT INTO `lang_definitions` VALUES (112557, 7581, 21, 'Ödeme kategorisi');
INSERT INTO `lang_definitions` VALUES (112558, 7583, 21, 'Ödeme Tarihi');
INSERT INTO `lang_definitions` VALUES (112559, 7584, 21, 'ödemenin girildiği tarih');
INSERT INTO `lang_definitions` VALUES (112560, 7585, 21, 'Ödeyen');
INSERT INTO `lang_definitions` VALUES (112561, 7588, 21, 'Ödeme İzh');
INSERT INTO `lang_definitions` VALUES (112562, 7589, 21, 'Ödeme Listesi');
INSERT INTO `lang_definitions` VALUES (112563, 7590, 21, 'Ödeme Yöntemi');
INSERT INTO `lang_definitions` VALUES (112564, 7592, 21, 'Ödemeleri Sırala:');
INSERT INTO `lang_definitions` VALUES (112565, 7593, 21, 'Ödeme Durumu');
INSERT INTO `lang_definitions` VALUES (112566, 7597, 21, 'Ödeme Tipi');
INSERT INTO `lang_definitions` VALUES (112567, 7600, 21, 'Kod için ödeme değeri');
INSERT INTO `lang_definitions` VALUES (112568, 7602, 21, 'Ödemeler');
INSERT INTO `lang_definitions` VALUES (112569, 7610, 21, 'PDF');
INSERT INTO `lang_definitions` VALUES (112570, 7614, 21, 'Seçili Bilançoları PDF olarak İndir');
INSERT INTO `lang_definitions` VALUES (112571, 7620, 21, 'Pelvis ve kalça');
INSERT INTO `lang_definitions` VALUES (112572, 7621, 21, 'Pemfigus');
INSERT INTO `lang_definitions` VALUES (112573, 7624, 21, 'Beklemede');
INSERT INTO `lang_definitions` VALUES (112574, 7629, 21, 'F/U Askıda');
INSERT INTO `lang_definitions` VALUES (112575, 7630, 21, 'İzlem beklemede');
INSERT INTO `lang_definitions` VALUES (112576, 7631, 21, 'Sonuçlardan İzlem Beklemede');
INSERT INTO `lang_definitions` VALUES (112577, 7632, 21, 'Bekleyen Siparişler');
INSERT INTO `lang_definitions` VALUES (112578, 7633, 21, 'Bekleyen Res');
INSERT INTO `lang_definitions` VALUES (112579, 7634, 21, 'Bekleyen Değerlendirme');
INSERT INTO `lang_definitions` VALUES (112580, 7638, 21, 'Pennington Firması ÖzgürETK v');
INSERT INTO `lang_definitions` VALUES (112581, 7639, 21, 'Peptik Ülser Hastalığı');
INSERT INTO `lang_definitions` VALUES (112582, 7641, 21, 'dakikada');
INSERT INTO `lang_definitions` VALUES (112583, 7642, 21, 'Burundan');
INSERT INTO `lang_definitions` VALUES (112584, 7643, 21, 'burundan');
INSERT INTO `lang_definitions` VALUES (112585, 7644, 21, 'Ağızdan');
INSERT INTO `lang_definitions` VALUES (112586, 7645, 21, 'ağızdan');
INSERT INTO `lang_definitions` VALUES (112587, 7646, 21, 'Makattan');
INSERT INTO `lang_definitions` VALUES (112588, 7647, 21, 'makattan');
INSERT INTO `lang_definitions` VALUES (112589, 7648, 21, 'Yüzde');
INSERT INTO `lang_definitions` VALUES (112590, 7652, 21, 'persentil');
INSERT INTO `lang_definitions` VALUES (112591, 7653, 21, 'Sağda perfore');
INSERT INTO `lang_definitions` VALUES (112592, 7654, 21, 'Aramayı Başlat');
INSERT INTO `lang_definitions` VALUES (112593, 7655, 21, 'Bu eylemi uygula');
INSERT INTO `lang_definitions` VALUES (112594, 7659, 21, 'Anlaşmalı Laboratuvar Tesisi');
INSERT INTO `lang_definitions` VALUES (112595, 7661, 21, 'Dönem');
INSERT INTO `lang_definitions` VALUES (112596, 7662, 21, 'Bir kullanıcının miadı dolmuş bir şifre ile giriş yapabileceği gün olarak dönem.');
INSERT INTO `lang_definitions` VALUES (112597, 7665, 21, 'Çevresel');
INSERT INTO `lang_definitions` VALUES (112598, 7671, 21, 'Kişi');
INSERT INTO `lang_definitions` VALUES (112599, 7675, 21, 'PG');
INSERT INTO `lang_definitions` VALUES (112600, 7676, 21, 'Ecza');
INSERT INTO `lang_definitions` VALUES (112601, 7678, 21, 'Eczaneler');
INSERT INTO `lang_definitions` VALUES (112602, 7680, 21, 'Eczane');
INSERT INTO `lang_definitions` VALUES (112603, 7681, 21, 'Eczane Dispanseri');
INSERT INTO `lang_definitions` VALUES (112604, 7688, 21, 'Pnömotoraks');
INSERT INTO `lang_definitions` VALUES (112605, 7697, 21, 'Telefon');
INSERT INTO `lang_definitions` VALUES (112606, 7699, 21, 'Telefon Rehberi');
INSERT INTO `lang_definitions` VALUES (112607, 7711, 21, 'Telefon Numarası');
INSERT INTO `lang_definitions` VALUES (112608, 7715, 21, 'Fotofobi');
INSERT INTO `lang_definitions` VALUES (112609, 7716, 21, 'Fotoğraflar');
INSERT INTO `lang_definitions` VALUES (112610, 7717, 21, 'Sıkıştırılmış PHP');
INSERT INTO `lang_definitions` VALUES (112611, 7720, 21, 'Ayıklanmış PHP');
INSERT INTO `lang_definitions` VALUES (112612, 7721, 21, 'php-GACL erişim kontrolleri kapatıldı');
INSERT INTO `lang_definitions` VALUES (112613, 7722, 21, 'php-GACL kurulu değil');
INSERT INTO `lang_definitions` VALUES (112614, 7723, 21, 'Fizik Muayene');
INSERT INTO `lang_definitions` VALUES (112615, 7725, 21, 'Doktor İstemi');
INSERT INTO `lang_definitions` VALUES (112616, 7726, 21, 'Doktor İmzası');
INSERT INTO `lang_definitions` VALUES (112617, 7729, 21, 'Doktorlar');
INSERT INTO `lang_definitions` VALUES (112618, 7733, 21, 'Seçiniz');
INSERT INTO `lang_definitions` VALUES (112619, 7735, 21, 'bir CSS teması seçiniz');
INSERT INTO `lang_definitions` VALUES (112620, 7738, 21, 'PID');
INSERT INTO `lang_definitions` VALUES (112621, 7740, 21, 'PID ( Pelvik Enflamatuvar Hastalık)');
INSERT INTO `lang_definitions` VALUES (112622, 7741, 21, 'Hap Büyüklüğü');
INSERT INTO `lang_definitions` VALUES (112623, 7742, 21, 'Haplar');
INSERT INTO `lang_definitions` VALUES (112624, 7752, 21, 'Yer tutucu');
INSERT INTO `lang_definitions` VALUES (112625, 7753, 21, 'Yer tutucu (Boş ACL leri sürdürür)');
INSERT INTO `lang_definitions` VALUES (112626, 7756, 21, 'Düz Metin');
INSERT INTO `lang_definitions` VALUES (112627, 7757, 21, 'Plan');
INSERT INTO `lang_definitions` VALUES (112628, 7762, 21, 'Plan İsmi');
INSERT INTO `lang_definitions` VALUES (112629, 7773, 21, 'Plan:');
INSERT INTO `lang_definitions` VALUES (112630, 7778, 21, 'Oyuncu');
INSERT INTO `lang_definitions` VALUES (112631, 7779, 21, 'Oyun Pozisyonu');
INSERT INTO `lang_definitions` VALUES (112632, 7780, 21, 'Yukarıdaki bilgilerin bir kısmı dahi yanlış ise lütfen arayın.');
INSERT INTO `lang_definitions` VALUES (112633, 7784, 21, 'Lütfen şifrenizi değiştiriniz.');
INSERT INTO `lang_definitions` VALUES (112634, 7785, 21, 'Lütfen bir dosya Seçiniz.');
INSERT INTO `lang_definitions` VALUES (112635, 7786, 21, 'Lütfen bir hasta seçiniz');
INSERT INTO `lang_definitions` VALUES (112636, 7787, 21, 'Lütfen listeden geçerli bir bölüm seçiniz');
INSERT INTO `lang_definitions` VALUES (112637, 7788, 21, 'Lütfen geçerli bir bölüm seçiniz');
INSERT INTO `lang_definitions` VALUES (112638, 7789, 21, 'Lütfen bir değer seçiniz:');
INSERT INTO `lang_definitions` VALUES (112639, 7790, 21, 'Lütfen yukarıdaki vade süresi kriterlerini seçiniz ve sonuçları görmek için tazeleyi tıklayınız');
INSERT INTO `lang_definitions` VALUES (112640, 7791, 21, 'Lütfen Uygun Formatlı EDI-271 dosyasını seçiniz');
INSERT INTO `lang_definitions` VALUES (112641, 7792, 21, 'Lütfen kimliği gizlenmiş verileri indirmek için indir düğmesini tıklayınız');
INSERT INTO `lang_definitions` VALUES (112642, 7793, 21, 'Lütfen yeniden kimliklendirilmiş verileri indirmek için indir düğmesini tıklayınız');
INSERT INTO `lang_definitions` VALUES (112643, 7795, 21, 'Lütfen bu pencereyi kapatınız.');
INSERT INTO `lang_definitions` VALUES (112644, 7796, 21, 'Lütfen yeni ismi karşılaştırınız');
INSERT INTO `lang_definitions` VALUES (112645, 7805, 21, 'Lütfen eğer faks ile gelmemiş ise bu reçeteyi kabul etmeyiniz.');
INSERT INTO `lang_definitions` VALUES (112646, 7806, 21, 'Lütfen eğer faks ile gelmemiş ise bu reçeteyi kabul etmeyiniz.');
INSERT INTO `lang_definitions` VALUES (112647, 7807, 21, '10 dakikadan daha fazla geçmemiş ise lütfen tarayıcınızın dur veya yeniden yükle düğmesini kullanMAYINIZ, bu sunucuda işlemin durmasına yol açmaz ve gereksiz kaynak tüketir.');
INSERT INTO `lang_definitions` VALUES (112648, 7813, 21, 'Lütfen Son Gözden Geçirildi için bir tarih giriniz.');
INSERT INTO `lang_definitions` VALUES (112649, 7819, 21, 'Lütfen sadece rakamlar ve bir ondalık noktası ile parasal bir miktar giriniz.');
INSERT INTO `lang_definitions` VALUES (112650, 7822, 21, 'Lütfen bir başlık giriniz!');
INSERT INTO `lang_definitions` VALUES (112651, 7828, 21, 'Lütfen doğru Yeniden Kimliklendirme kodu giriniz');
INSERT INTO `lang_definitions` VALUES (112652, 7832, 21, 'Lütfen yeni arama dizisi giriniz');
INSERT INTO `lang_definitions` VALUES (112653, 7833, 21, 'Lütfen doğru Yeniden Kimliklendirme kodu giriniz');
INSERT INTO `lang_definitions` VALUES (112654, 7834, 21, 'Lütfen şifreyi giriniz');
INSERT INTO `lang_definitions` VALUES (112655, 7843, 21, 'Lütfen Çek Numarasını Doldurunuz');
INSERT INTO `lang_definitions` VALUES (112656, 7845, 21, 'Lütfen Tarihi Doldurunuz');
INSERT INTO `lang_definitions` VALUES (112657, 7846, 21, 'Lütfen Ödeme Miktarını Doldurunuz');
INSERT INTO `lang_definitions` VALUES (112658, 7847, 21, 'Lütfen Ödeme Kategorisini Doldurunuz');
INSERT INTO `lang_definitions` VALUES (112659, 7848, 21, 'Lütfen Ödemeyi Yapanı Doldurunuz');
INSERT INTO `lang_definitions` VALUES (112660, 7849, 21, 'Lütfen Tarihe Kadar Gönderi Doldurunuz.');
INSERT INTO `lang_definitions` VALUES (112661, 7850, 21, 'Lütfen devam etmeden önce onları doldurunuz.');
INSERT INTO `lang_definitions` VALUES (112662, 7856, 21, 'Lütfen yukarıya arama kriterlerini giriniz, ve sonuçları görmek için Gönder i tıklayınız');
INSERT INTO `lang_definitions` VALUES (112663, 7859, 21, 'Lütfen bunun birkaç dakikaya kadar uzun bir süre alabileceğini göz önüne alınız, bu süre boyunca tarayıcınız çok aktif görünmeyebilir, fakat bir faturanın oluşturulması karmaşık bir işlemdir ve tarayıcınız sadece daha fazla veri beklemektedir.');
INSERT INTO `lang_definitions` VALUES (112664, 7860, 21, 'Lütfen Dikkat: Sabitler büyük ve küçük harfe duyarlıdır herhangi bir dizi olabilir');
INSERT INTO `lang_definitions` VALUES (112665, 7861, 21, 'Lütfen sadece alfabedeki karakterleri kullanınız');
INSERT INTO `lang_definitions` VALUES (112666, 7862, 21, 'Lütfen sadece alfabedeki karakterleri boşluk bırakmadan kullanınız');
INSERT INTO `lang_definitions` VALUES (112667, 7863, 21, 'Lütfen bu miktarı ödeyiniz');
INSERT INTO `lang_definitions` VALUES (112668, 7867, 21, 'Lütfen bakın:');
INSERT INTO `lang_definitions` VALUES (112669, 7868, 21, 'Lütfen şifreyi sıfırlayınız.');
INSERT INTO `lang_definitions` VALUES (112670, 7869, 21, 'Kimliksizleştirmeyi çalıştırmadan önce lütfen apache sunucusunu tekrar çalıştırınız');
INSERT INTO `lang_definitions` VALUES (112671, 7877, 21, 'Lütfen bir dil seçiniz');
INSERT INTO `lang_definitions` VALUES (112672, 7878, 21, 'Lütfen bir Hasta Seçiniz');
INSERT INTO `lang_definitions` VALUES (112673, 7888, 21, 'Lütfen kod için bir düzeltme sebebi seçiniz');
INSERT INTO `lang_definitions` VALUES (112674, 7889, 21, 'Lütfen bir olay seçiniz');
INSERT INTO `lang_definitions` VALUES (112675, 7891, 21, 'Lütfen herhangi bir Arama Opsiyonu seçiniz');
INSERT INTO `lang_definitions` VALUES (112676, 7894, 21, 'Lütfen en az bir reçete seçiniz!');
INSERT INTO `lang_definitions` VALUES (112677, 7899, 21, 'Lütfen kopyalamak veya iletilmek istenen sayfaları seçiniz');
INSERT INTO `lang_definitions` VALUES (112678, 7900, 21, 'Lütfen Ödeme Yöntemini Seçiniz');
INSERT INTO `lang_definitions` VALUES (112679, 7905, 21, 'Lütfen 270 yığın dosyası oluşturmak için gerekli X12 partnerini seçiniz');
INSERT INTO `lang_definitions` VALUES (112680, 7906, 21, 'Lütfen ayarlayınız');
INSERT INTO `lang_definitions` VALUES (112681, 7907, 21, 'Lütfen de_identification_config değişkenini tekrar 0 a ayarlayınız');
INSERT INTO `lang_definitions` VALUES (112682, 7910, 21, 'Lütfen yeni kimlik gizleme işlemi başlatınız');
INSERT INTO `lang_definitions` VALUES (112683, 7913, 21, 'Lütfen OpenEMR Veri tabanını kimlik gizleme işlemleri, fonksiyonları, tablolarını içerecek şekilde güncelleyiniz');
INSERT INTO `lang_definitions` VALUES (112684, 7915, 21, 'Lütfen daha fazla ayrıntı için kimlik gizleme günlük hata kaydına bakınız');
INSERT INTO `lang_definitions` VALUES (112685, 7916, 21, 'Bir süre sonra lütfen kimlik gizleme ekranını ziyaret ediniz');
INSERT INTO `lang_definitions` VALUES (112686, 7917, 21, 'Bir süre sonra lütfen kimlik gösterme ekranını ziyaret ediniz');
INSERT INTO `lang_definitions` VALUES (112687, 7918, 21, 'Bir süre sonra lütfen ekranı ziyaret ediniz');
INSERT INTO `lang_definitions` VALUES (112688, 7926, 21, 'ÖS');
INSERT INTO `lang_definitions` VALUES (112689, 7933, 21, 'Pmt Yöntemi');
INSERT INTO `lang_definitions` VALUES (112690, 7934, 21, 'PND');
INSERT INTO `lang_definitions` VALUES (112691, 7935, 21, 'Pnömokokal Konjugat 1');
INSERT INTO `lang_definitions` VALUES (112692, 7936, 21, 'Pnömokokal Konjugat 2');
INSERT INTO `lang_definitions` VALUES (112693, 7937, 21, 'Pnömokokal Konjugat 3');
INSERT INTO `lang_definitions` VALUES (112694, 7938, 21, 'Pnömokokal Konjugat 4');
INSERT INTO `lang_definitions` VALUES (112695, 7940, 21, 'Pnömoni Aşısı');
INSERT INTO `lang_definitions` VALUES (112696, 7946, 21, 'Hizmet Noktası (POS)');
INSERT INTO `lang_definitions` VALUES (112697, 7947, 21, 'Politika');
INSERT INTO `lang_definitions` VALUES (112698, 7950, 21, 'Poliçe No');
INSERT INTO `lang_definitions` VALUES (112699, 7951, 21, 'Poliçe Numarası');
INSERT INTO `lang_definitions` VALUES (112700, 7952, 21, 'Lehçe');
INSERT INTO `lang_definitions` VALUES (112701, 7953, 21, 'Polidipsi');
INSERT INTO `lang_definitions` VALUES (112702, 7955, 21, 'Polipler');
INSERT INTO `lang_definitions` VALUES (112703, 7956, 21, 'Poliüri');
INSERT INTO `lang_definitions` VALUES (112704, 7957, 21, 'İştahsızlık');
INSERT INTO `lang_definitions` VALUES (112705, 7958, 21, 'Dolaşım bozukluğu');
INSERT INTO `lang_definitions` VALUES (112706, 7959, 21, 'İşitme bozukluğu');
INSERT INTO `lang_definitions` VALUES (112707, 7964, 21, 'Yıl görünüşü olaylarla doldurulsun mu?');
INSERT INTO `lang_definitions` VALUES (112708, 7965, 21, 'Açılır');
INSERT INTO `lang_definitions` VALUES (112709, 7985, 21, 'Portekizce');
INSERT INTO `lang_definitions` VALUES (112710, 7987, 21, 'Portekizce (Brezilya)');
INSERT INTO `lang_definitions` VALUES (112711, 7988, 21, 'Portekizce (Avrupa)');
INSERT INTO `lang_definitions` VALUES (112712, 7989, 21, 'POS Kodu');
INSERT INTO `lang_definitions` VALUES (112713, 7992, 21, 'Pozitif');
INSERT INTO `lang_definitions` VALUES (112714, 7993, 21, 'Pozitifler');
INSERT INTO `lang_definitions` VALUES (112715, 7996, 21, 'Gönderilecek:');
INSERT INTO `lang_definitions` VALUES (112716, 7998, 21, 'Geniz Akıntısı');
INSERT INTO `lang_definitions` VALUES (112717, 8000, 21, 'Ödemeleri Gönder');
INSERT INTO `lang_definitions` VALUES (112718, 8001, 21, 'Ameliyat sonrası');
INSERT INTO `lang_definitions` VALUES (112719, 8002, 21, 'Muhasebeye gönder ve faturalandırılmış olarak işaretle');
INSERT INTO `lang_definitions` VALUES (112720, 8003, 21, 'Tarihe kadar gönder');
INSERT INTO `lang_definitions` VALUES (112721, 8004, 21, 'Tarihe kadar gönder bugünden büyük olamaz');
INSERT INTO `lang_definitions` VALUES (112722, 8006, 21, 'Tarihe kadar gönder Mali Kapanış tarihinden sonra olmalı');
INSERT INTO `lang_definitions` VALUES (112723, 8007, 21, 'Düşük Sonrası Bakım');
INSERT INTO `lang_definitions` VALUES (112724, 8008, 21, 'Düşük Sonrası Kontrasepsiyon');
INSERT INTO `lang_definitions` VALUES (112725, 8009, 21, 'Düşük Sonrası Danışma');
INSERT INTO `lang_definitions` VALUES (112726, 8010, 21, 'Düşük Sonrası İzlem');
INSERT INTO `lang_definitions` VALUES (112727, 8011, 21, 'Posta');
INSERT INTO `lang_definitions` VALUES (112728, 8012, 21, 'Posta Kodu');
INSERT INTO `lang_definitions` VALUES (112729, 8013, 21, 'Posta kodu');
INSERT INTO `lang_definitions` VALUES (112730, 8015, 21, 'Takvim Modülü');
INSERT INTO `lang_definitions` VALUES (112731, 8016, 21, 'Takvim Modülü Yönetimi');
INSERT INTO `lang_definitions` VALUES (112732, 8017, 21, 'Takvim Modülü Kategori Ayarları');
INSERT INTO `lang_definitions` VALUES (112733, 8018, 21, 'Takvim modülü global ayarları');
INSERT INTO `lang_definitions` VALUES (112734, 8023, 21, 'Tarihinde gönderildi');
INSERT INTO `lang_definitions` VALUES (112735, 8026, 21, 'Gönderilme Tarihi');
INSERT INTO `lang_definitions` VALUES (112736, 8033, 21, 'PPE + Önceki Medikal/Cerrahi Öykü');
INSERT INTO `lang_definitions` VALUES (112737, 8037, 21, 'Uygulama');
INSERT INTO `lang_definitions` VALUES (112738, 8039, 21, 'Uygulama Koşulları');
INSERT INTO `lang_definitions` VALUES (112739, 8041, 21, 'Uygulayıcı');
INSERT INTO `lang_definitions` VALUES (112740, 8044, 21, 'Ön Ödeme');
INSERT INTO `lang_definitions` VALUES (112741, 8045, 21, 'Düşük-Öncesi Konsültasyon');
INSERT INTO `lang_definitions` VALUES (112742, 8046, 21, 'Düşük Öncesi Danışma');
INSERT INTO `lang_definitions` VALUES (112743, 8048, 21, 'Seç Kat');
INSERT INTO `lang_definitions` VALUES (112744, 8050, 21, 'Tercihler');
INSERT INTO `lang_definitions` VALUES (112745, 8052, 21, 'Seçilen Olay Kategorisi');
INSERT INTO `lang_definitions` VALUES (112746, 8053, 21, 'Seçilen Dil');
INSERT INTO `lang_definitions` VALUES (112747, 8054, 21, 'Seçilen Eczane');
INSERT INTO `lang_definitions` VALUES (112748, 8055, 21, 'Seçilen Sağlayıcı Örgüt');
INSERT INTO `lang_definitions` VALUES (112749, 8056, 21, 'Gebelik Testi');
INSERT INTO `lang_definitions` VALUES (112750, 8057, 21, 'İlk');
INSERT INTO `lang_definitions` VALUES (112751, 8059, 21, 'Ön Ödeme');
INSERT INTO `lang_definitions` VALUES (112752, 8061, 21, 'Reçete');
INSERT INTO `lang_definitions` VALUES (112753, 8063, 21, 'reçete limitine ulaştı:');
INSERT INTO `lang_definitions` VALUES (112754, 8066, 21, 'Reçete Etiketi');
INSERT INTO `lang_definitions` VALUES (112755, 8067, 21, 'Reçete Raporu');
INSERT INTO `lang_definitions` VALUES (112756, 8070, 21, 'Reçeteler');
INSERT INTO `lang_definitions` VALUES (112757, 8073, 21, 'Reçeteler ve Dağıtımlar');
INSERT INTO `lang_definitions` VALUES (112758, 8074, 21, 'Reçeteler ve diğer sevkler');
INSERT INTO `lang_definitions` VALUES (112759, 8075, 21, 'Reçeteler ve/veya uzmanın sevkleri');
INSERT INTO `lang_definitions` VALUES (112760, 8076, 21, 'Reçeteler Raporu');
INSERT INTO `lang_definitions` VALUES (112761, 8077, 21, 'Reçeteler/Sevkler');
INSERT INTO `lang_definitions` VALUES (112762, 8078, 21, 'Mevcut');
INSERT INTO `lang_definitions` VALUES (112763, 8079, 21, 'Başvuru Yakınması');
INSERT INTO `lang_definitions` VALUES (112764, 8081, 21, 'İlerlemek için Devam ı Tıklayınız.');
INSERT INTO `lang_definitions` VALUES (112765, 8084, 21, 'Tahmini Tanı');
INSERT INTO `lang_definitions` VALUES (112766, 8085, 21, 'Uzmanın Tahmini Tanısı');
INSERT INTO `lang_definitions` VALUES (112767, 8086, 21, 'Önceki');
INSERT INTO `lang_definitions` VALUES (112768, 8087, 21, 'Önceki Tıb/Cer Öyk');
INSERT INTO `lang_definitions` VALUES (112769, 8088, 21, 'Önc. ay (menü için basılı tutun)');
INSERT INTO `lang_definitions` VALUES (112770, 8089, 21, 'Önc. yıl (menü için basılı tutun)');
INSERT INTO `lang_definitions` VALUES (112771, 8094, 21, 'Olay Ön İzleme');
INSERT INTO `lang_definitions` VALUES (112772, 8098, 21, 'Önceki');
INSERT INTO `lang_definitions` VALUES (112773, 8099, 21, 'Önceki Konsültasyonlar');
INSERT INTO `lang_definitions` VALUES (112774, 8100, 21, 'Önceki Gün');
INSERT INTO `lang_definitions` VALUES (112775, 8102, 21, 'Önceki Öykü/Tarama');
INSERT INTO `lang_definitions` VALUES (112776, 8103, 21, 'Önceki Ay');
INSERT INTO `lang_definitions` VALUES (112777, 8104, 21, 'Önceki Hafta');
INSERT INTO `lang_definitions` VALUES (112778, 8105, 21, 'Fiyat');
INSERT INTO `lang_definitions` VALUES (112779, 8108, 21, 'Fiyatta İskonto');
INSERT INTO `lang_definitions` VALUES (112780, 8109, 21, 'Fiyat Seviyesi');
INSERT INTO `lang_definitions` VALUES (112781, 8111, 21, 'Fiyat Seviyesi:');
INSERT INTO `lang_definitions` VALUES (112782, 8113, 21, 'Fiyatlar');
INSERT INTO `lang_definitions` VALUES (112783, 8114, 21, 'Birinci');
INSERT INTO `lang_definitions` VALUES (112784, 8125, 21, 'Birinci Sig');
INSERT INTO `lang_definitions` VALUES (112785, 8126, 21, 'Birinci Sigorta');
INSERT INTO `lang_definitions` VALUES (112786, 8127, 21, 'Birinci Sigorta Verileri');
INSERT INTO `lang_definitions` VALUES (112787, 8128, 21, 'Birinci Sigorta Sağlayıcısı');
INSERT INTO `lang_definitions` VALUES (112788, 8129, 21, 'Birinci Sağlayıcı');
INSERT INTO `lang_definitions` VALUES (112789, 8130, 21, 'Yazdır');
INSERT INTO `lang_definitions` VALUES (112790, 8131, 21, 'Yazdır (HTML)');
INSERT INTO `lang_definitions` VALUES (112791, 8132, 21, 'Yazdır (PDF)');
INSERT INTO `lang_definitions` VALUES (112792, 8134, 21, 'Yazdır Herhangi bir Görüşme');
INSERT INTO `lang_definitions` VALUES (112793, 8135, 21, 'Boş Sevk Formu Yazdır');
INSERT INTO `lang_definitions` VALUES (112794, 8136, 21, 'Yazdır Komutu');
INSERT INTO `lang_definitions` VALUES (112795, 8143, 21, 'Yazdır Formatı');
INSERT INTO `lang_definitions` VALUES (112796, 8144, 21, 'Dört Panelli Yazdır');
INSERT INTO `lang_definitions` VALUES (112797, 8147, 21, 'Yazdır Mesajı');
INSERT INTO `lang_definitions` VALUES (112798, 8148, 21, 'Çoklu Yazdır');
INSERT INTO `lang_definitions` VALUES (112799, 8149, 21, 'Faksa Çoklu Yazdır');
INSERT INTO `lang_definitions` VALUES (112800, 8150, 21, 'İsim İmza ve Tarih yazdır.');
INSERT INTO `lang_definitions` VALUES (112801, 8151, 21, 'Yazdırma Notları');
INSERT INTO `lang_definitions` VALUES (112802, 8152, 21, 'Sayfa 1 Yazdır');
INSERT INTO `lang_definitions` VALUES (112803, 8153, 21, 'Sayfa 2 Yazdır');
INSERT INTO `lang_definitions` VALUES (112804, 8157, 21, 'Yazdırma Kaydı');
INSERT INTO `lang_definitions` VALUES (112805, 8163, 21, 'Seçili Bilançoları Yazdır');
INSERT INTO `lang_definitions` VALUES (112806, 8164, 21, 'Aşı Kayıt Tutanağını Yazdır');
INSERT INTO `lang_definitions` VALUES (112807, 8166, 21, 'Bu Görüşmeyi Yazdır');
INSERT INTO `lang_definitions` VALUES (112808, 8168, 21, 'Bu notu yazdır');
INSERT INTO `lang_definitions` VALUES (112809, 8169, 21, 'Bu Notu Yazdır');
INSERT INTO `lang_definitions` VALUES (112810, 8171, 21, 'Faksa Yazdır');
INSERT INTO `lang_definitions` VALUES (112811, 8172, 21, 'Yazdırma Görünüşü');
INSERT INTO `lang_definitions` VALUES (112812, 8173, 21, 'yazdırılabilir');
INSERT INTO `lang_definitions` VALUES (112813, 8174, 21, 'Yazdırılabilir Sürüm');
INSERT INTO `lang_definitions` VALUES (112814, 8175, 21, 'Yazılmış');
INSERT INTO `lang_definitions` VALUES (112815, 8178, 21, 'Yazdırma sonuçları:');
INSERT INTO `lang_definitions` VALUES (112816, 8179, 21, 'Yazdırma atlandı; test çıktısı');
INSERT INTO `lang_definitions` VALUES (112817, 8180, 21, 'Yazdırma atlandı; test çıktısı:');
INSERT INTO `lang_definitions` VALUES (112818, 8182, 21, 'Önc Yetk');
INSERT INTO `lang_definitions` VALUES (112819, 8184, 21, 'Önce Yetkilendirme Formu');
INSERT INTO `lang_definitions` VALUES (112820, 8191, 21, 'Öncelik');
INSERT INTO `lang_definitions` VALUES (112821, 8192, 21, 'Öncelik');
INSERT INTO `lang_definitions` VALUES (112822, 8196, 21, 'Özel');
INSERT INTO `lang_definitions` VALUES (112823, 8197, 21, 'Sorun');
INSERT INTO `lang_definitions` VALUES (112824, 8198, 21, 'Problem Tanısı');
INSERT INTO `lang_definitions` VALUES (112825, 8199, 21, 'Sorun Listesi');
INSERT INTO `lang_definitions` VALUES (112826, 8202, 21, 'Sorunlar/Konular');
INSERT INTO `lang_definitions` VALUES (112827, 8203, 21, 'İşl Yğn');
INSERT INTO `lang_definitions` VALUES (112828, 8204, 21, 'İşl Kat');
INSERT INTO `lang_definitions` VALUES (112829, 8206, 21, 'Bekleyen İşl Gör');
INSERT INTO `lang_definitions` VALUES (112830, 8208, 21, 'İşl Arş');
INSERT INTO `lang_definitions` VALUES (112831, 8209, 21, 'İşlem');
INSERT INTO `lang_definitions` VALUES (112832, 8210, 21, 'İşlem Gövde Siteleri');
INSERT INTO `lang_definitions` VALUES (112833, 8212, 21, 'İşlem Mantık Sonuçları');
INSERT INTO `lang_definitions` VALUES (112834, 8214, 21, 'İşlem Kodu');
INSERT INTO `lang_definitions` VALUES (112835, 8216, 21, 'İşlem Lateralizasyonları');
INSERT INTO `lang_definitions` VALUES (112836, 8220, 21, 'İşlem Sırası');
INSERT INTO `lang_definitions` VALUES (112837, 8223, 21, 'İşlem Sırası Yapılacak');
INSERT INTO `lang_definitions` VALUES (112838, 8232, 21, 'İşlem Raporu');
INSERT INTO `lang_definitions` VALUES (112839, 8235, 21, 'İşlem Rapor Durumları');
INSERT INTO `lang_definitions` VALUES (112840, 8237, 21, 'İşlem Sonucu Anormal');
INSERT INTO `lang_definitions` VALUES (112841, 8238, 21, 'İşlem Sonuç Durumları');
INSERT INTO `lang_definitions` VALUES (112842, 8240, 21, 'İşlem Sonuçları');
INSERT INTO `lang_definitions` VALUES (112843, 8241, 21, 'İşlem Yolları');
INSERT INTO `lang_definitions` VALUES (112844, 8243, 21, 'İşlem Numune Tipleri');
INSERT INTO `lang_definitions` VALUES (112845, 8245, 21, 'İşlem İstatistik Raporu');
INSERT INTO `lang_definitions` VALUES (112846, 8248, 21, 'İşlem Tipi');
INSERT INTO `lang_definitions` VALUES (112847, 8249, 21, 'İşlem Tipleri');
INSERT INTO `lang_definitions` VALUES (112848, 8251, 21, 'İşlem Birimleri');
INSERT INTO `lang_definitions` VALUES (112849, 8254, 21, 'İşlemler');
INSERT INTO `lang_definitions` VALUES (112850, 8256, 21, 'İşlem');
INSERT INTO `lang_definitions` VALUES (112851, 8258, 21, 'İşlem ERA Dosyası');
INSERT INTO `lang_definitions` VALUES (112852, 8267, 21, 'İşleniyor');
INSERT INTO `lang_definitions` VALUES (112853, 8274, 21, 'Ürün');
INSERT INTO `lang_definitions` VALUES (112854, 8276, 21, 'Ürün Doğum Kontrol Yöntemi');
INSERT INTO `lang_definitions` VALUES (112855, 8279, 21, 'Ürünler');
INSERT INTO `lang_definitions` VALUES (112856, 8280, 21, 'Şablonlar ve reçeteli ilaçlar dışında Ürünler');
INSERT INTO `lang_definitions` VALUES (112857, 8282, 21, 'Prof.');
INSERT INTO `lang_definitions` VALUES (112858, 8290, 21, 'Progres Notları');
INSERT INTO `lang_definitions` VALUES (112859, 8295, 21, 'Prostat Kanseri');
INSERT INTO `lang_definitions` VALUES (112860, 8297, 21, 'Prostat Muayenesi');
INSERT INTO `lang_definitions` VALUES (112861, 8298, 21, 'Prostat Sorunları');
INSERT INTO `lang_definitions` VALUES (112862, 8299, 21, 'Prostatta büyüme, nodul, hassasiyet yok.');
INSERT INTO `lang_definitions` VALUES (112863, 8304, 21, 'Tam yolu yazınız');
INSERT INTO `lang_definitions` VALUES (112864, 8305, 21, 'Dosyanın tam yolunu yazınız');
INSERT INTO `lang_definitions` VALUES (112865, 8315, 21, 'Geçerli Eposta adresi yazınız');
INSERT INTO `lang_definitions` VALUES (112866, 8318, 21, 'Sağlayıcı');
INSERT INTO `lang_definitions` VALUES (112867, 8325, 21, 'Sağlayıcı eşleşme hataları');
INSERT INTO `lang_definitions` VALUES (112868, 8330, 21, 'Sağlayıcı Numarası');
INSERT INTO `lang_definitions` VALUES (112869, 8336, 21, 'Sağlayıcı:');
INSERT INTO `lang_definitions` VALUES (112870, 8337, 21, 'Sağlayıcılar:');
INSERT INTO `lang_definitions` VALUES (112871, 8338, 21, 'Sağlayıcılar NPI');
INSERT INTO `lang_definitions` VALUES (112872, 8339, 21, 'Sağlayıcılar Tüm Takvimi Görür');
INSERT INTO `lang_definitions` VALUES (112873, 8341, 21, 'Önc');
INSERT INTO `lang_definitions` VALUES (112874, 8342, 21, 'PSA');
INSERT INTO `lang_definitions` VALUES (112875, 8343, 21, 'Psoriasis');
INSERT INTO `lang_definitions` VALUES (112876, 8345, 21, 'Psik. Tanı');
INSERT INTO `lang_definitions` VALUES (112877, 8346, 21, 'Psik İlaç');
INSERT INTO `lang_definitions` VALUES (112878, 8347, 21, 'Psikiyatrik');
INSERT INTO `lang_definitions` VALUES (112879, 8348, 21, 'Psikiyatrik Özet Mektup');
INSERT INTO `lang_definitions` VALUES (112880, 8349, 21, 'Psikiyatrik Tanı');
INSERT INTO `lang_definitions` VALUES (112881, 8350, 21, 'Psikiyatrik Muayene');
INSERT INTO `lang_definitions` VALUES (112882, 8352, 21, 'Psikiyatrik Öykü');
INSERT INTO `lang_definitions` VALUES (112883, 8353, 21, 'Psikiyatrik Kullanımı');
INSERT INTO `lang_definitions` VALUES (112884, 8354, 21, 'Psikiyatrik İlaç');
INSERT INTO `lang_definitions` VALUES (112885, 8358, 21, '% Hs');
INSERT INTO `lang_definitions` VALUES (112886, 8360, 21, 'Hs Notları');
INSERT INTO `lang_definitions` VALUES (112887, 8361, 21, 'Hs Notları/Ytk');
INSERT INTO `lang_definitions` VALUES (112888, 8362, 21, 'Hs fazla ödedi');
INSERT INTO `lang_definitions` VALUES (112889, 8364, 21, 'Hs Ödedi');
INSERT INTO `lang_definitions` VALUES (112890, 8366, 21, 'Hs geri ödeme');
INSERT INTO `lang_definitions` VALUES (112891, 8367, 21, 'Hs bırakıldı');
INSERT INTO `lang_definitions` VALUES (112892, 8368, 21, 'Hs Raporu');
INSERT INTO `lang_definitions` VALUES (112893, 8369, 21, 'HS ÖĞRENCİ veya boş bıralın');
INSERT INTO `lang_definitions` VALUES (112894, 8370, 21, 'PT_CITY');
INSERT INTO `lang_definitions` VALUES (112895, 8371, 21, 'PT_DOB');
INSERT INTO `lang_definitions` VALUES (112896, 8373, 21, 'PT_FNAME');
INSERT INTO `lang_definitions` VALUES (112897, 8374, 21, 'PT_LNAME');
INSERT INTO `lang_definitions` VALUES (112898, 8375, 21, 'PT_MNAME');
INSERT INTO `lang_definitions` VALUES (112899, 8378, 21, 'PT_POSTAL');
INSERT INTO `lang_definitions` VALUES (112900, 8380, 21, 'PT_STATE');
INSERT INTO `lang_definitions` VALUES (112901, 8381, 21, 'PT_STREET');
INSERT INTO `lang_definitions` VALUES (112902, 8383, 21, 'Kamu');
INSERT INTO `lang_definitions` VALUES (112903, 8394, 21, 'Porto Rikolu');
INSERT INTO `lang_definitions` VALUES (112904, 8396, 21, 'Akciğer');
INSERT INTO `lang_definitions` VALUES (112905, 8398, 21, 'Nabız');
INSERT INTO `lang_definitions` VALUES (112906, 8399, 21, 'Pencaplı');
INSERT INTO `lang_definitions` VALUES (112907, 8401, 21, 'Satın Alma');
INSERT INTO `lang_definitions` VALUES (112908, 8402, 21, 'Satın alma/iade');
INSERT INTO `lang_definitions` VALUES (112909, 8403, 21, 'Satın Almalar');
INSERT INTO `lang_definitions` VALUES (112910, 8408, 21, 'her 3 saatte bir');
INSERT INTO `lang_definitions` VALUES (112911, 8409, 21, 'her 4 saatte bir');
INSERT INTO `lang_definitions` VALUES (112912, 8410, 21, 'her 5 saatte bir');
INSERT INTO `lang_definitions` VALUES (112913, 8411, 21, 'her 6 saatte bir');
INSERT INTO `lang_definitions` VALUES (112914, 8412, 21, 'her 8 saatte bir');
INSERT INTO `lang_definitions` VALUES (112915, 8413, 21, 'her gün');
INSERT INTO `lang_definitions` VALUES (112916, 8414, 21, 'günde 4 kez');
INSERT INTO `lang_definitions` VALUES (112917, 8417, 21, 'Eldeki Mevcut Miktar');
INSERT INTO `lang_definitions` VALUES (112918, 8418, 21, 'Eldeki Mevcut Miktar bir aylık kullanılandan az');
INSERT INTO `lang_definitions` VALUES (112919, 8419, 21, 'Miktar');
INSERT INTO `lang_definitions` VALUES (112920, 8420, 21, 'MİKTAR');
INSERT INTO `lang_definitions` VALUES (112921, 8421, 21, 'Kalite');
INSERT INTO `lang_definitions` VALUES (112922, 8423, 21, 'Miktar');
INSERT INTO `lang_definitions` VALUES (112923, 8425, 21, 'NDC için Miktar');
INSERT INTO `lang_definitions` VALUES (112924, 8426, 21, 'Eldeki Miktar');
INSERT INTO `lang_definitions` VALUES (112925, 8427, 21, 'miktar kullanılamaz görünüyor');
INSERT INTO `lang_definitions` VALUES (112926, 8432, 21, 'HCFA yığın işlemi için kuyruğa at');
INSERT INTO `lang_definitions` VALUES (112927, 8433, 21, 'HCFA yığın işlemi ve yazdırma için kuyruğa at');
INSERT INTO `lang_definitions` VALUES (112928, 8434, 21, 'UB-92 yığın işlemi için kuyruğa at');
INSERT INTO `lang_definitions` VALUES (112929, 8435, 21, 'UB-92 yığın işlemi ve yazdırma yığın işlemi için kuyruğa at');
INSERT INTO `lang_definitions` VALUES (112930, 8436, 21, 'Kuyruğa atıldı');
INSERT INTO `lang_definitions` VALUES (112931, 8437, 21, 'Kuyruğa Atılmış Olaylar Yönetimi');
INSERT INTO `lang_definitions` VALUES (112932, 8438, 21, 'Kuyruğa atıldı:');
INSERT INTO `lang_definitions` VALUES (112933, 8440, 21, 'Kuyruğa Atılmış Sunular Yönetimi');
INSERT INTO `lang_definitions` VALUES (112934, 8442, 21, 'Çık');
INSERT INTO `lang_definitions` VALUES (112935, 8443, 21, 'Alkolü Bırakınız');
INSERT INTO `lang_definitions` VALUES (112936, 8445, 21, 'R');
INSERT INTO `lang_definitions` VALUES (112937, 8452, 21, 'Irk');
INSERT INTO `lang_definitions` VALUES (112938, 8453, 21, 'Irk ve Etnisite');
INSERT INTO `lang_definitions` VALUES (112939, 8454, 21, 'Irk/etnisite');
INSERT INTO `lang_definitions` VALUES (112940, 8456, 21, 'Radyo');
INSERT INTO `lang_definitions` VALUES (112941, 8457, 21, 'Radyo düğmeleri');
INSERT INTO `lang_definitions` VALUES (112942, 8462, 21, 'Erim');
INSERT INTO `lang_definitions` VALUES (112943, 8463, 21, 'Döküntüler');
INSERT INTO `lang_definitions` VALUES (112944, 8464, 21, 'Hız');
INSERT INTO `lang_definitions` VALUES (112945, 8466, 21, 'Oran');
INSERT INTO `lang_definitions` VALUES (112946, 8467, 21, 'Ham Rapor');
INSERT INTO `lang_definitions` VALUES (112947, 8475, 21, 'Yeniden Kimliklendirme');
INSERT INTO `lang_definitions` VALUES (112948, 8476, 21, 'Yeniden Kimliklendirme İşlemi tamamlandı');
INSERT INTO `lang_definitions` VALUES (112949, 8477, 21, 'Yeniden Kimliklendirme İşlemi sürüyor');
INSERT INTO `lang_definitions` VALUES (112950, 8478, 21, 'Yeniden Kimliklendirme dosyalarının kaydedileceği yer:');
INSERT INTO `lang_definitions` VALUES (112951, 8479, 21, 'Tekrar Yaralanma mı?');
INSERT INTO `lang_definitions` VALUES (112952, 8480, 21, 'Tekrar-Aç');
INSERT INTO `lang_definitions` VALUES (112953, 8482, 21, 'Tekrar-Açıldı');
INSERT INTO `lang_definitions` VALUES (112954, 8484, 21, 'Reaksiyon');
INSERT INTO `lang_definitions` VALUES (112955, 8486, 21, 'Tepkiler');
INSERT INTO `lang_definitions` VALUES (112956, 8489, 21, 'Oku');
INSERT INTO `lang_definitions` VALUES (112957, 8496, 21, 'Gerçek İsim');
INSERT INTO `lang_definitions` VALUES (112958, 8497, 21, 'Gerçekten sil');
INSERT INTO `lang_definitions` VALUES (112959, 8498, 21, 'Sebep');
INSERT INTO `lang_definitions` VALUES (112960, 8499, 21, 'Ölüm Nedeni');
INSERT INTO `lang_definitions` VALUES (112961, 8500, 21, 'Ölüm Nedeni');
INSERT INTO `lang_definitions` VALUES (112962, 8501, 21, 'Sevk Sebebi');
INSERT INTO `lang_definitions` VALUES (112963, 8502, 21, 'Sevk Sebebi');
INSERT INTO `lang_definitions` VALUES (112964, 8504, 21, 'Vizit Sebebi');
INSERT INTO `lang_definitions` VALUES (112965, 8506, 21, 'Sebep/Form');
INSERT INTO `lang_definitions` VALUES (112966, 8521, 21, 'Makbuz');
INSERT INTO `lang_definitions` VALUES (112967, 8522, 21, 'Ödeme Makbuzu');
INSERT INTO `lang_definitions` VALUES (112968, 8523, 21, 'Makbuz Oluşturuldu');
INSERT INTO `lang_definitions` VALUES (112969, 8524, 21, 'Ödeme Metoduna Göre Makbuzlar Raporu');
INSERT INTO `lang_definitions` VALUES (112970, 8525, 21, 'Makbuzlar Özeti');
INSERT INTO `lang_definitions` VALUES (112971, 8526, 21, 'Alındı');
INSERT INTO `lang_definitions` VALUES (112972, 8527, 21, 'Alındı, Alan:');
INSERT INTO `lang_definitions` VALUES (112973, 8528, 21, 'Alınmış Fakslar');
INSERT INTO `lang_definitions` VALUES (112974, 8530, 21, 'Alındı, incelenmedi');
INSERT INTO `lang_definitions` VALUES (112975, 8531, 21, 'Alındı, incelenmedi');
INSERT INTO `lang_definitions` VALUES (112976, 8532, 21, 'Alıcı');
INSERT INTO `lang_definitions` VALUES (112977, 8533, 21, 'Alıcı ID');
INSERT INTO `lang_definitions` VALUES (112978, 8534, 21, 'Alıcı ID (ISA08)');
INSERT INTO `lang_definitions` VALUES (112979, 8535, 21, 'Alıcı ID Niteleyici (ISA07)');
INSERT INTO `lang_definitions` VALUES (112980, 8536, 21, 'Alıcı IDleri');
INSERT INTO `lang_definitions` VALUES (112981, 8540, 21, 'Son üç şifreye izin verilmemektedir.');
INSERT INTO `lang_definitions` VALUES (112982, 8542, 21, 'Alıcı');
INSERT INTO `lang_definitions` VALUES (112983, 8543, 21, 'Alıcı Listesi Boş');
INSERT INTO `lang_definitions` VALUES (112984, 8544, 21, 'Alıcı Adı');
INSERT INTO `lang_definitions` VALUES (112985, 8545, 21, 'Bilgilendirmenin Alıcısı');
INSERT INTO `lang_definitions` VALUES (112986, 8549, 21, 'Tavsiye');
INSERT INTO `lang_definitions` VALUES (112987, 8552, 21, 'Tavsiyeler');
INSERT INTO `lang_definitions` VALUES (112988, 8553, 21, 'Tavsiyeler ve tedavi');
INSERT INTO `lang_definitions` VALUES (112989, 8554, 21, 'Uzman tavsiyeleri');
INSERT INTO `lang_definitions` VALUES (112990, 8557, 21, 'Kayıt');
INSERT INTO `lang_definitions` VALUES (112991, 8558, 21, 'Kayıt önceden var');
INSERT INTO `lang_definitions` VALUES (112992, 8559, 21, 'Vital bulgulardaki değişiklikleri kaydet ve işaretle (Boy / Kilo / KB sınır içerisinde )');
INSERT INTO `lang_definitions` VALUES (112993, 8560, 21, 'Vital bulgulardaki değişiklikleri kaydet ve işaretle (Boy / Kilo / KB sınırlar dışında )');
INSERT INTO `lang_definitions` VALUES (112994, 8561, 21, 'Vital bulgulardaki değişiklikleri kaydet ve işaretle (Boy / Kilo sınırlar dışında )');
INSERT INTO `lang_definitions` VALUES (112995, 8562, 21, 'Vital bulgulardaki değişiklikleri kaydet ve işaretle (Yeni)');
INSERT INTO `lang_definitions` VALUES (112996, 8563, 21, 'Vital bulgulardaki değişiklikleri kaydet ve işaretle.( SET 1).');
INSERT INTO `lang_definitions` VALUES (112997, 8564, 21, 'Vital bulgulardaki değişiklikleri kaydet ve işaretle.');
INSERT INTO `lang_definitions` VALUES (112998, 8566, 21, 'Kayıt Açıklama');
INSERT INTO `lang_definitions` VALUES (112999, 8567, 21, 'Uygunluk Raporu');
INSERT INTO `lang_definitions` VALUES (113000, 8568, 21, 'Ödeme Tutanağı');
INSERT INTO `lang_definitions` VALUES (113001, 8572, 21, 'Kayıtlar');
INSERT INTO `lang_definitions` VALUES (113002, 8573, 21, 'kayıt bulundu');
INSERT INTO `lang_definitions` VALUES (113003, 8574, 21, 'kayıtlar bulundu');
INSERT INTO `lang_definitions` VALUES (113004, 8576, 21, 'uyuşturucu kullanımı');
INSERT INTO `lang_definitions` VALUES (113005, 8577, 21, 'uyuşturucular');
INSERT INTO `lang_definitions` VALUES (113006, 8578, 21, 'Rektal');
INSERT INTO `lang_definitions` VALUES (113007, 8579, 21, 'Rektal Muayene');
INSERT INTO `lang_definitions` VALUES (113008, 8580, 21, 'makattan');
INSERT INTO `lang_definitions` VALUES (113009, 8592, 21, 'Yeniden yönlendirme');
INSERT INTO `lang_definitions` VALUES (113010, 8593, 21, 'Kızarıklık');
INSERT INTO `lang_definitions` VALUES (113011, 8595, 21, 'azalmış:');
INSERT INTO `lang_definitions` VALUES (113012, 8597, 21, 'Sevk');
INSERT INTO `lang_definitions` VALUES (113013, 8598, 21, 'Sevk Aracı');
INSERT INTO `lang_definitions` VALUES (113014, 8599, 21, 'Sevk Tarihi');
INSERT INTO `lang_definitions` VALUES (113015, 8600, 21, 'Kendisine Sevk Edilen:');
INSERT INTO `lang_definitions` VALUES (113016, 8603, 21, 'Sevk sınıflandırması (risk düzeyi)');
INSERT INTO `lang_definitions` VALUES (113017, 8604, 21, 'Sonuçların Referans aralığı');
INSERT INTO `lang_definitions` VALUES (113018, 8605, 21, 'Sevk Sebebi');
INSERT INTO `lang_definitions` VALUES (113019, 8609, 21, 'Sevk edenin adı ve imzası');
INSERT INTO `lang_definitions` VALUES (113020, 8610, 21, 'Sevk');
INSERT INTO `lang_definitions` VALUES (113021, 8611, 21, 'Sevk Eden');
INSERT INTO `lang_definitions` VALUES (113022, 8612, 21, 'Sevk Kartı');
INSERT INTO `lang_definitions` VALUES (113023, 8613, 21, 'Sevk Tarihi');
INSERT INTO `lang_definitions` VALUES (113024, 8614, 21, 'Sevk Formu');
INSERT INTO `lang_definitions` VALUES (113025, 8615, 21, 'SEVK FORMU');
INSERT INTO `lang_definitions` VALUES (113026, 8619, 21, 'Sevk Kaynağı');
INSERT INTO `lang_definitions` VALUES (113027, 8620, 21, 'Vizitler için sevk kaynağı');
INSERT INTO `lang_definitions` VALUES (113028, 8621, 21, 'Kendisine Sevk Edilen');
INSERT INTO `lang_definitions` VALUES (113029, 8622, 21, 'Sevkler');
INSERT INTO `lang_definitions` VALUES (113030, 8623, 21, 'Sevkler Raporu');
INSERT INTO `lang_definitions` VALUES (113031, 8624, 21, 'Sevk eden');
INSERT INTO `lang_definitions` VALUES (113032, 8625, 21, 'Sevk Eden');
INSERT INTO `lang_definitions` VALUES (113033, 8627, 21, 'Kendisine Sevk edilen');
INSERT INTO `lang_definitions` VALUES (113034, 8628, 21, 'Sevk eden');
INSERT INTO `lang_definitions` VALUES (113035, 8630, 21, 'Sevk Edenin Teşhisi');
INSERT INTO `lang_definitions` VALUES (113036, 8631, 21, 'Sevk edenin teşhisi');
INSERT INTO `lang_definitions` VALUES (113037, 8633, 21, 'Sevk eden doktor ve uygulama');
INSERT INTO `lang_definitions` VALUES (113038, 8635, 21, 'Sevk eden Sağlayıcı');
INSERT INTO `lang_definitions` VALUES (113039, 8636, 21, 'yenile');
INSERT INTO `lang_definitions` VALUES (113040, 8639, 21, 'yenilenir');
INSERT INTO `lang_definitions` VALUES (113041, 8640, 21, 'yenilenir');
INSERT INTO `lang_definitions` VALUES (113042, 8641, 21, 'Refleksler normal');
INSERT INTO `lang_definitions` VALUES (113043, 8645, 21, 'Tazele');
INSERT INTO `lang_definitions` VALUES (113044, 8651, 21, 'Devlet Reddetti');
INSERT INTO `lang_definitions` VALUES (113045, 8652, 21, 'reg_re');
INSERT INTO `lang_definitions` VALUES (113046, 8656, 21, 'kayıt');
INSERT INTO `lang_definitions` VALUES (113047, 8662, 21, 'Kayıtlı');
INSERT INTO `lang_definitions` VALUES (113048, 8663, 21, 'kayıtlı');
INSERT INTO `lang_definitions` VALUES (113049, 8668, 21, 'Kayıt Tarihi');
INSERT INTO `lang_definitions` VALUES (113050, 8671, 21, 'Kayıt Formu');
INSERT INTO `lang_definitions` VALUES (113051, 8672, 21, 'Rehabilitasyon');
INSERT INTO `lang_definitions` VALUES (113052, 8676, 21, 'İle İlişkili');
INSERT INTO `lang_definitions` VALUES (113053, 8677, 21, 'İlişkili');
INSERT INTO `lang_definitions` VALUES (113054, 8678, 21, 'İlişkili Konu');
INSERT INTO `lang_definitions` VALUES (113055, 8680, 21, 'İlişki(ler)/Çocuklar');
INSERT INTO `lang_definitions` VALUES (113056, 8681, 21, 'İlişkiler');
INSERT INTO `lang_definitions` VALUES (113057, 8682, 21, 'İlişki');
INSERT INTO `lang_definitions` VALUES (113058, 8683, 21, 'Bu başlıkta nisbi sipariş');
INSERT INTO `lang_definitions` VALUES (113059, 8684, 21, 'Akrabalar');
INSERT INTO `lang_definitions` VALUES (113060, 8695, 21, 'Bu kullanıcı hesabının Yedek Sağlık güvenceleri eksik');
INSERT INTO `lang_definitions` VALUES (113061, 8696, 21, 'Yedek Sağık ID');
INSERT INTO `lang_definitions` VALUES (113062, 8700, 21, 'Din');
INSERT INTO `lang_definitions` VALUES (113063, 8705, 21, 'Tekrar giriş');
INSERT INTO `lang_definitions` VALUES (113064, 8706, 21, 'Remdr');
INSERT INTO `lang_definitions` VALUES (113065, 8709, 21, 'Seçili Tesisi Anımsa');
INSERT INTO `lang_definitions` VALUES (113066, 8726, 21, 'HAVALE EDİLECEK ALICI:');
INSERT INTO `lang_definitions` VALUES (113067, 8729, 21, 'Kaldır');
INSERT INTO `lang_definitions` VALUES (113068, 8733, 21, 'Grubu Kaldır');
INSERT INTO `lang_definitions` VALUES (113069, 8734, 21, 'Grubu Kaldır');
INSERT INTO `lang_definitions` VALUES (113070, 8738, 21, 'Aşılamalar için desteği kaldırır.');
INSERT INTO `lang_definitions` VALUES (113071, 8739, 21, 'phpMyAdmin desteğini kaldırır');
INSERT INTO `lang_definitions` VALUES (113072, 8740, 21, 'Reçete desteğini kaldırır');
INSERT INTO `lang_definitions` VALUES (113073, 8742, 21, 'Çizelge İzleme özelliğini kaldırır');
INSERT INTO `lang_definitions` VALUES (113074, 8743, 21, 'Böbrek Taşları');
INSERT INTO `lang_definitions` VALUES (113075, 8745, 21, 'Grubu Yeniden Adlandır');
INSERT INTO `lang_definitions` VALUES (113076, 8746, 21, 'İş');
INSERT INTO `lang_definitions` VALUES (113077, 8747, 21, 'İş Sağlayıcı');
INSERT INTO `lang_definitions` VALUES (113078, 8748, 21, 'İş Sağlayıcı Numarası');
INSERT INTO `lang_definitions` VALUES (113079, 8750, 21, 'Tekrar Sipariş');
INSERT INTO `lang_definitions` VALUES (113080, 8751, 21, 'De Tekrar Sipariş');
INSERT INTO `lang_definitions` VALUES (113081, 8752, 21, 'Tekrar sipariş noktasına erişildi');
INSERT INTO `lang_definitions` VALUES (113082, 8754, 21, 'Tekr');
INSERT INTO `lang_definitions` VALUES (113083, 8759, 21, 'Tekrar Bilgisi:');
INSERT INTO `lang_definitions` VALUES (113084, 8760, 21, 'Tekrarlar');
INSERT INTO `lang_definitions` VALUES (113085, 8771, 21, 'Cevap Tarihi');
INSERT INTO `lang_definitions` VALUES (113086, 8772, 21, 'Cevap Formu');
INSERT INTO `lang_definitions` VALUES (113087, 8774, 21, 'Rapor');
INSERT INTO `lang_definitions` VALUES (113088, 8776, 21, 'Rapor - Klinik');
INSERT INTO `lang_definitions` VALUES (113089, 8779, 21, 'Raporu yazan');
INSERT INTO `lang_definitions` VALUES (113090, 8789, 21, 'Rapor Durumu');
INSERT INTO `lang_definitions` VALUES (113091, 8790, 21, 'Rapor Toplamları');
INSERT INTO `lang_definitions` VALUES (113092, 8794, 21, 'Rapor Edilebilir');
INSERT INTO `lang_definitions` VALUES (113093, 8795, 21, 'Rapor Edilmiş');
INSERT INTO `lang_definitions` VALUES (113094, 8797, 21, 'Raporlar');
INSERT INTO `lang_definitions` VALUES (113095, 8804, 21, 'İstek dikkate alınmadı -alacak işleme zaten çalışıyor!');
INSERT INTO `lang_definitions` VALUES (113096, 8815, 21, 'İstenen Hizmet');
INSERT INTO `lang_definitions` VALUES (113097, 8819, 21, 'Kuvvetli Şifreler Gerekiyor');
INSERT INTO `lang_definitions` VALUES (113098, 8820, 21, 'Eşsiz Şifreler Gerekiyor');
INSERT INTO `lang_definitions` VALUES (113099, 8821, 21, 'Gerekli');
INSERT INTO `lang_definitions` VALUES (113100, 8824, 21, 'Gerekli Alan Eksik. Lütfen yüklenecek EDI-271 dosyasını seçiniz.');
INSERT INTO `lang_definitions` VALUES (113101, 8832, 21, 'REZERVE EDİLMİŞ');
INSERT INTO `lang_definitions` VALUES (113102, 8833, 21, 'Rezerve edilmiş');
INSERT INTO `lang_definitions` VALUES (113103, 8834, 21, 'Programlanmış Tatil Zamanını belirlemek için ayrılmıştır');
INSERT INTO `lang_definitions` VALUES (113104, 8835, 21, 'Bir sağlayıcının daha sonra uygun randevusu olmayabileceğini belirtmek için ayrılmıştır');
INSERT INTO `lang_definitions` VALUES (113105, 8836, 21, 'Bir olayın belirtildiği şekilde gerçekleşmediğini tanımlamak için ayrılmıştır');
INSERT INTO `lang_definitions` VALUES (113106, 8837, 21, 'Bir sağlayıcının daha sonra uygun randevusu olabileceğini belirtmek için ayrılmıştır');
INSERT INTO `lang_definitions` VALUES (113107, 8852, 21, 'Çözüldü');
INSERT INTO `lang_definitions` VALUES (113108, 8855, 21, 'Solunum');
INSERT INTO `lang_definitions` VALUES (113109, 8856, 21, 'Solunum çabası artmamış');
INSERT INTO `lang_definitions` VALUES (113110, 8857, 21, 'Solunum');
INSERT INTO `lang_definitions` VALUES (113111, 8864, 21, 'Yetkili olmayan kullanıcıları programdan kısıtla');
INSERT INTO `lang_definitions` VALUES (113112, 8865, 21, 'Kullanıcıları tesislere kısıtla');
INSERT INTO `lang_definitions` VALUES (113113, 8866, 21, 'Kısıtlı Egzersiz');
INSERT INTO `lang_definitions` VALUES (113114, 8867, 21, 'Sonuç');
INSERT INTO `lang_definitions` VALUES (113115, 8869, 21, 'Sonuç Durumu');
INSERT INTO `lang_definitions` VALUES (113116, 8870, 21, 'Sonuç durumu veya anormallik eksik');
INSERT INTO `lang_definitions` VALUES (113117, 8871, 21, 'Joker olarak % kullanınız.');
INSERT INTO `lang_definitions` VALUES (113118, 8873, 21, 'Sonuçlar ve');
INSERT INTO `lang_definitions` VALUES (113119, 8874, 21, 'Arama İçin Sonuçlar Bulundu');
INSERT INTO `lang_definitions` VALUES (113120, 8884, 21, 'Retina Muayenesi');
INSERT INTO `lang_definitions` VALUES (113121, 8885, 21, 'Sağa Çekilmiş:');
INSERT INTO `lang_definitions` VALUES (113122, 8886, 21, 'İade');
INSERT INTO `lang_definitions` VALUES (113123, 8887, 21, 'Üstteki kısmı ödemenizle birlikte iade ediniz.');
INSERT INTO `lang_definitions` VALUES (113124, 8890, 21, 'Takvime geri');
INSERT INTO `lang_definitions` VALUES (113125, 8897, 21, 'Geri Dönüş Değeri');
INSERT INTO `lang_definitions` VALUES (113126, 8898, 21, 'İade -i ziyaret');
INSERT INTO `lang_definitions` VALUES (113127, 8899, 21, 'Oynamak için Döndürüldü');
INSERT INTO `lang_definitions` VALUES (113128, 8914, 21, 'Öz geçmişi:');
INSERT INTO `lang_definitions` VALUES (113129, 8917, 21, 'Sistemlerin Gözden Geçirilmesi');
INSERT INTO `lang_definitions` VALUES (113130, 8918, 21, 'Sistem Kontrollerinin Gözden Geçirilmesi');
INSERT INTO `lang_definitions` VALUES (113131, 8921, 21, 'Gözden geçirildi');
INSERT INTO `lang_definitions` VALUES (113132, 8924, 21, 'Revizyon');
INSERT INTO `lang_definitions` VALUES (113133, 8926, 21, 'Romatoid Artrit');
INSERT INTO `lang_definitions` VALUES (113134, 8928, 21, 'Sağ');
INSERT INTO `lang_definitions` VALUES (113135, 8931, 21, 'Sağ Kulak');
INSERT INTO `lang_definitions` VALUES (113136, 8932, 21, 'sağ kulak');
INSERT INTO `lang_definitions` VALUES (113137, 8940, 21, 'Sağ:');
INSERT INTO `lang_definitions` VALUES (113138, 8941, 21, 'Kulaklarda çınlama');
INSERT INTO `lang_definitions` VALUES (113139, 8942, 21, 'Kulaklarda çınlama');
INSERT INTO `lang_definitions` VALUES (113140, 8944, 21, 'Risk Faktörleri');
INSERT INTO `lang_definitions` VALUES (113141, 8945, 21, 'Risk Düzeyi');
INSERT INTO `lang_definitions` VALUES (113142, 8949, 21, 'Sağ Alt Lob');
INSERT INTO `lang_definitions` VALUES (113143, 8955, 21, 'Mortalite Riski');
INSERT INTO `lang_definitions` VALUES (113144, 8963, 21, 'Liste');
INSERT INTO `lang_definitions` VALUES (113145, 8966, 21, 'Yol');
INSERT INTO `lang_definitions` VALUES (113146, 8967, 21, 'Uygulama yolu, varsa');
INSERT INTO `lang_definitions` VALUES (113147, 8968, 21, 'Yönlendirilmiş');
INSERT INTO `lang_definitions` VALUES (113148, 8969, 21, 'Satırlar');
INSERT INTO `lang_definitions` VALUES (113149, 8971, 21, 'Risksiz Tıbbi Referans');
INSERT INTO `lang_definitions` VALUES (113150, 8972, 21, 'Friksiyon');
INSERT INTO `lang_definitions` VALUES (113151, 8973, 21, 'Friksiyonlar');
INSERT INTO `lang_definitions` VALUES (113152, 8989, 21, 'Çalışan Komut');
INSERT INTO `lang_definitions` VALUES (113153, 8990, 21, 'Rüptür');
INSERT INTO `lang_definitions` VALUES (113154, 8992, 21, 'Rusça');
INSERT INTO `lang_definitions` VALUES (113155, 8995, 21, 'Rx');
INSERT INTO `lang_definitions` VALUES (113156, 8996, 21, 'RX');
INSERT INTO `lang_definitions` VALUES (113157, 9028, 21, 'CP');
INSERT INTO `lang_definitions` VALUES (113158, 9029, 21, 'SGK :');
INSERT INTO `lang_definitions` VALUES (113159, 9030, 21, 'S3:');
INSERT INTO `lang_definitions` VALUES (113160, 9031, 21, 'S4:');
INSERT INTO `lang_definitions` VALUES (113161, 9032, 21, 'Öneri** Lisansı okumak için lütfen docs/license.txt dosyası okuyunuz veya * http://www.gnu.org/copyleft/gpl.html sayfasını ziyaret ediniz * */ //========================================================================= //');
INSERT INTO `lang_definitions` VALUES (113162, 9034, 21, 'Satış');
INSERT INTO `lang_definitions` VALUES (113163, 9035, 21, 'Satışlar');
INSERT INTO `lang_definitions` VALUES (113164, 9036, 21, 'Kalem başına Satışlar');
INSERT INTO `lang_definitions` VALUES (113165, 9037, 21, 'Ürün Raporuna göre Satışlar');
INSERT INTO `lang_definitions` VALUES (113166, 9038, 21, 'Tükürük');
INSERT INTO `lang_definitions` VALUES (113167, 9039, 21, 'Aynı Gün');
INSERT INTO `lang_definitions` VALUES (113168, 9040, 21, 'Samoaca');
INSERT INTO `lang_definitions` VALUES (113169, 9041, 21, 'Örnek');
INSERT INTO `lang_definitions` VALUES (113170, 9042, 21, 'Yaptırım Tipi');
INSERT INTO `lang_definitions` VALUES (113171, 9047, 21, 'Cts');
INSERT INTO `lang_definitions` VALUES (113172, 9048, 21, 'Cts &amp; Paz');
INSERT INTO `lang_definitions` VALUES (113173, 9049, 21, 'Cumartesi');
INSERT INTO `lang_definitions` VALUES (113174, 9050, 21, 'Kaydet');
INSERT INTO `lang_definitions` VALUES (113175, 9058, 21, 'Kaydet ve Dağıt');
INSERT INTO `lang_definitions` VALUES (113176, 9061, 21, 'Yeni olarak Kaydet');
INSERT INTO `lang_definitions` VALUES (113177, 9063, 21, 'yeni not olarak kaydet');
INSERT INTO `lang_definitions` VALUES (113178, 9066, 21, 'Sertifika Ayarlarını Kaydet');
INSERT INTO `lang_definitions` VALUES (113179, 9067, 21, 'Kaydet');
INSERT INTO `lang_definitions` VALUES (113180, 9075, 21, 'Formu Kaydet');
INSERT INTO `lang_definitions` VALUES (113181, 9076, 21, 'Bağışıklamayı Kaydet');
INSERT INTO `lang_definitions` VALUES (113182, 9078, 21, 'Yeni Alanı Kaydet');
INSERT INTO `lang_definitions` VALUES (113183, 9079, 21, 'Yeni Grubu Kaydet');
INSERT INTO `lang_definitions` VALUES (113184, 9080, 21, 'Yeni Liste Kaydet');
INSERT INTO `lang_definitions` VALUES (113185, 9081, 21, 'Yeni kalıp kaydet');
INSERT INTO `lang_definitions` VALUES (113186, 9083, 21, 'Hasta Demografik Bilgilerini Kaydet');
INSERT INTO `lang_definitions` VALUES (113187, 9087, 21, 'Çizelge ID Kaydı Başarılı');
INSERT INTO `lang_definitions` VALUES (113188, 9089, 21, 'İşlemi Kaydet');
INSERT INTO `lang_definitions` VALUES (113189, 9098, 21, 'Tarandı');
INSERT INTO `lang_definitions` VALUES (113190, 9099, 21, 'Taranmış Görüşme Notu');
INSERT INTO `lang_definitions` VALUES (113191, 9100, 21, 'Tarayıcı Dizini');
INSERT INTO `lang_definitions` VALUES (113192, 9101, 21, 'Tarayıcı giriş');
INSERT INTO `lang_definitions` VALUES (113193, 9104, 21, 'Program');
INSERT INTO `lang_definitions` VALUES (113194, 9106, 21, 'Program Kolaylıkları:');
INSERT INTO `lang_definitions` VALUES (113195, 9117, 21, 'OKUL NOTU');
INSERT INTO `lang_definitions` VALUES (113196, 9122, 21, 'Skolyoz');
INSERT INTO `lang_definitions` VALUES (113197, 9133, 21, 'İşveren');
INSERT INTO `lang_definitions` VALUES (113198, 9134, 21, 'İşveren Adresi');
INSERT INTO `lang_definitions` VALUES (113199, 9135, 21, 'İşveren Semt');
INSERT INTO `lang_definitions` VALUES (113200, 9136, 21, 'İşveren Ülke');
INSERT INTO `lang_definitions` VALUES (113201, 9137, 21, 'İşveren Yer');
INSERT INTO `lang_definitions` VALUES (113202, 9138, 21, 'İşveren Posta Kodu');
INSERT INTO `lang_definitions` VALUES (113203, 9139, 21, 'İşveren Şehir');
INSERT INTO `lang_definitions` VALUES (113204, 9140, 21, 'İşveren Posta Kodu');
INSERT INTO `lang_definitions` VALUES (113205, 9141, 21, 'Ara');
INSERT INTO `lang_definitions` VALUES (113206, 9143, 21, 'ara');
INSERT INTO `lang_definitions` VALUES (113207, 9144, 21, 'tekrar ara');
INSERT INTO `lang_definitions` VALUES (113208, 9150, 21, 'Arayan');
INSERT INTO `lang_definitions` VALUES (113209, 9152, 21, 'Aranan');
INSERT INTO `lang_definitions` VALUES (113210, 9156, 21, 'Aranan');
INSERT INTO `lang_definitions` VALUES (113211, 9161, 21, 'Hasta Ara veya Ekle');
INSERT INTO `lang_definitions` VALUES (113212, 9164, 21, 'Ödemeyi Ara');
INSERT INTO `lang_definitions` VALUES (113213, 9168, 21, 'Arama Sonuçları');
INSERT INTO `lang_definitions` VALUES (113214, 9169, 21, 'Seçili Olanı Ara');
INSERT INTO `lang_definitions` VALUES (113215, 9171, 21, 'Arama dizesi veritabanında bulunamadı');
INSERT INTO `lang_definitions` VALUES (113216, 9172, 21, 'Arama dizesinde en az 3 karakter olmalı');
INSERT INTO `lang_definitions` VALUES (113217, 9175, 21, 'Olayları Ara');
INSERT INTO `lang_definitions` VALUES (113218, 9178, 21, 'Ara/Ekle');
INSERT INTO `lang_definitions` VALUES (113219, 9179, 21, 'Sigortacı Ara/Ekle');
INSERT INTO `lang_definitions` VALUES (113220, 9181, 21, 'Randevular aranıyor');
INSERT INTO `lang_definitions` VALUES (113221, 9182, 21, 'Aranıyor');
INSERT INTO `lang_definitions` VALUES (113222, 9184, 21, 'Emniyet kemeri kullanımı');
INSERT INTO `lang_definitions` VALUES (113223, 9185, 21, 'Emniyet kemeri kullanımı');
INSERT INTO `lang_definitions` VALUES (113224, 9186, 21, 'İkinci');
INSERT INTO `lang_definitions` VALUES (113225, 9189, 21, 'İkincil');
INSERT INTO `lang_definitions` VALUES (113226, 9191, 21, 'İkinci Sigorta');
INSERT INTO `lang_definitions` VALUES (113227, 9192, 21, 'İkinci Sigorta Verileri');
INSERT INTO `lang_definitions` VALUES (113228, 9193, 21, 'İkinci Sigorta Sağlayıcı');
INSERT INTO `lang_definitions` VALUES (113229, 9207, 21, 'Güvenlik');
INSERT INTO `lang_definitions` VALUES (113230, 9208, 21, 'Hepsini Gör');
INSERT INTO `lang_definitions` VALUES (113231, 9210, 21, 'Yetkilendirmeleri Gör');
INSERT INTO `lang_definitions` VALUES (113232, 9213, 21, 'Büyüme Çizelgesini Gör');
INSERT INTO `lang_definitions` VALUES (113233, 9214, 21, 'Oluşturulmuş son alacak listesinin mesajlarını gör');
INSERT INTO `lang_definitions` VALUES (113234, 9218, 21, 'Son görülme');
INSERT INTO `lang_definitions` VALUES (113235, 9222, 21, 'Konvülsiyonlar');
INSERT INTO `lang_definitions` VALUES (113236, 9223, 21, 'Seç');
INSERT INTO `lang_definitions` VALUES (113237, 9224, 21, 'Seçiniz');
INSERT INTO `lang_definitions` VALUES (113238, 9225, 21, 'Seçiniz');
INSERT INTO `lang_definitions` VALUES (113239, 9239, 21, 'Hepsini Seçiniz');
INSERT INTO `lang_definitions` VALUES (113240, 9248, 21, 'Yazdırmak İçin CAMOS Girdilerini Seçiniz');
INSERT INTO `lang_definitions` VALUES (113241, 9256, 21, 'Kaldırılacak kriterleri seçiniz.');
INSERT INTO `lang_definitions` VALUES (113242, 9260, 21, 'Kimliksizleştirme için Gereken Verileri Seçiniz');
INSERT INTO `lang_definitions` VALUES (113243, 9261, 21, 'Kimliksizleştirme verisinin içereceği verileri deçiniz');
INSERT INTO `lang_definitions` VALUES (113244, 9262, 21, 'Tarihi seçiniz');
INSERT INTO `lang_definitions` VALUES (113245, 9265, 21, 'Tanıyı Seçiniz');
INSERT INTO `lang_definitions` VALUES (113246, 9267, 21, 'Kimliksizleştirme istemi için Tanıyı Seçiniz');
INSERT INTO `lang_definitions` VALUES (113247, 9271, 21, 'İlacı Seçiniz');
INSERT INTO `lang_definitions` VALUES (113248, 9272, 21, 'İlaçları Seçiniz');
INSERT INTO `lang_definitions` VALUES (113249, 9273, 21, 'Kimliksizleştirme isteği için İlaçları Seçiniz');
INSERT INTO `lang_definitions` VALUES (113250, 9274, 21, 'EDI-271 dosyasını seçin');
INSERT INTO `lang_definitions` VALUES (113251, 9276, 21, 'Alanı seçiniz');
INSERT INTO `lang_definitions` VALUES (113252, 9278, 21, 'Alanları Seçiniz');
INSERT INTO `lang_definitions` VALUES (113253, 9279, 21, 'Yazdırmak için Seçiniz');
INSERT INTO `lang_definitions` VALUES (113254, 9285, 21, 'Aşıları Seçiniz');
INSERT INTO `lang_definitions` VALUES (113255, 9286, 21, 'Kimliksizleştirme istemi için Aşıları Seçiniz');
INSERT INTO `lang_definitions` VALUES (113256, 9287, 21, 'Sigortayı yazıp seçin');
INSERT INTO `lang_definitions` VALUES (113257, 9288, 21, 'Konuyu Seçiniz');
INSERT INTO `lang_definitions` VALUES (113258, 9291, 21, 'Dili Seçiniz');
INSERT INTO `lang_definitions` VALUES (113259, 9321, 21, 'Dışarı aktarılacak yapılandırma konularını seçiniz');
INSERT INTO `lang_definitions` VALUES (113260, 9328, 21, 'Bu günün atlanmış herhangi bir olayından esas olarak sorumlu konuyu seçiniz');
INSERT INTO `lang_definitions` VALUES (113261, 9341, 21, 'Girişte varsa hangi dillerin seçilebileceğini seçiniz( Tüm dillere izin ver seçeneğinin kapalı olması durumunda)');
INSERT INTO `lang_definitions` VALUES (113262, 9343, 21, 'Grup silmeyi onaylamak için Evet seçiniz');
INSERT INTO `lang_definitions` VALUES (113263, 9349, 21, 'Seçili');
INSERT INTO `lang_definitions` VALUES (113264, 9357, 21, 'Kendi');
INSERT INTO `lang_definitions` VALUES (113265, 9358, 21, 'Ücretli');
INSERT INTO `lang_definitions` VALUES (113266, 9360, 21, 'Gönder');
INSERT INTO `lang_definitions` VALUES (113267, 9361, 21, 'Tarihli Hatırlatıcı Gönder');
INSERT INTO `lang_definitions` VALUES (113268, 9362, 21, 'Hatırlatıcı Gönder');
INSERT INTO `lang_definitions` VALUES (113269, 9369, 21, 'Gönderme devam ediyor');
INSERT INTO `lang_definitions` VALUES (113270, 9372, 21, 'Mesaj gönder');
INSERT INTO `lang_definitions` VALUES (113271, 9378, 21, 'Hatırlatıcı Yığın Dosyası Gönser');
INSERT INTO `lang_definitions` VALUES (113272, 9384, 21, 'Bu dosyayı gönder');
INSERT INTO `lang_definitions` VALUES (113273, 9395, 21, 'Gönderici');
INSERT INTO `lang_definitions` VALUES (113274, 9396, 21, 'Gönderici ID');
INSERT INTO `lang_definitions` VALUES (113275, 9397, 21, 'Gönderici ID (ISA06)');
INSERT INTO `lang_definitions` VALUES (113276, 9398, 21, 'Gönderici ID Niteleyici (ISA05)');
INSERT INTO `lang_definitions` VALUES (113277, 9407, 21, 'Duyarlılıklar');
INSERT INTO `lang_definitions` VALUES (113278, 9411, 21, 'Duyarlılık');
INSERT INTO `lang_definitions` VALUES (113279, 9412, 21, 'Duyusal muayene normal');
INSERT INTO `lang_definitions` VALUES (113280, 9420, 21, 'Başarıyla gönderildi');
INSERT INTO `lang_definitions` VALUES (113281, 9423, 21, 'yazıcıya gönderildi');
INSERT INTO `lang_definitions` VALUES (113282, 9429, 21, 'Eyl');
INSERT INTO `lang_definitions` VALUES (113283, 9430, 21, 'Ayrılmış');
INSERT INTO `lang_definitions` VALUES (113284, 9431, 21, 'Eylül');
INSERT INTO `lang_definitions` VALUES (113285, 9432, 21, 'Ard');
INSERT INTO `lang_definitions` VALUES (113286, 9433, 21, 'Ardışıklık');
INSERT INTO `lang_definitions` VALUES (113287, 9442, 21, 'Hizmet');
INSERT INTO `lang_definitions` VALUES (113288, 9444, 21, 'Hizmet Kategorisi');
INSERT INTO `lang_definitions` VALUES (113289, 9445, 21, 'Hizmet Kodu');
INSERT INTO `lang_definitions` VALUES (113290, 9447, 21, 'Hizmet Kodları');
INSERT INTO `lang_definitions` VALUES (113291, 9448, 21, 'Hizmet Tarihi');
INSERT INTO `lang_definitions` VALUES (113292, 9451, 21, 'Hizmet Tarihi:');
INSERT INTO `lang_definitions` VALUES (113293, 9455, 21, 'Hizmet Yeri');
INSERT INTO `lang_definitions` VALUES (113294, 9457, 21, 'Hizmet uzman tarafından verildi');
INSERT INTO `lang_definitions` VALUES (113295, 9461, 21, 'Hizmetler');
INSERT INTO `lang_definitions` VALUES (113296, 9462, 21, 'Kategoriye göre Hizmetler');
INSERT INTO `lang_definitions` VALUES (113297, 9463, 21, 'Sağlanan Hizmetler');
INSERT INTO `lang_definitions` VALUES (113298, 9464, 21, 'Sağlanan hizmetler');
INSERT INTO `lang_definitions` VALUES (113299, 9465, 21, 'Hizmetler/Ürünler');
INSERT INTO `lang_definitions` VALUES (113300, 9466, 21, 'Oturum Tipi');
INSERT INTO `lang_definitions` VALUES (113301, 9467, 21, 'Oluştur');
INSERT INTO `lang_definitions` VALUES (113302, 9468, 21, 'Girişler arasında seçilmiş tesisi anımsamak için bir tesis çerezi oluştur');
INSERT INTO `lang_definitions` VALUES (113303, 9478, 21, 'HTTPS için SSL müşteri sertifikaları oluşturmak için bunu dosyanın mutlak yoluna ayarlayınız');
INSERT INTO `lang_definitions` VALUES (113304, 9479, 21, 'Ayarla:');
INSERT INTO `lang_definitions` VALUES (113305, 9480, 21, 'Ön Tanımlıya Ayarla');
INSERT INTO `lang_definitions` VALUES (113306, 9488, 21, 'Ayarlar');
INSERT INTO `lang_definitions` VALUES (113307, 9493, 21, 'şiddetli migren');
INSERT INTO `lang_definitions` VALUES (113308, 9496, 21, 'Ağrının Şiddeti');
INSERT INTO `lang_definitions` VALUES (113309, 9497, 21, 'Ağrının Şiddeti:');
INSERT INTO `lang_definitions` VALUES (113310, 9498, 21, 'Cinsiyet');
INSERT INTO `lang_definitions` VALUES (113311, 9499, 21, 'Cinsel Yolla Bulaşan Hastalık');
INSERT INTO `lang_definitions` VALUES (113312, 9503, 21, 'Paylaşma');
INSERT INTO `lang_definitions` VALUES (113313, 9504, 21, 'Sunucudan yazdırmak için kabuk komutu');
INSERT INTO `lang_definitions` VALUES (113314, 9510, 21, 'Nefes Darlığı');
INSERT INTO `lang_definitions` VALUES (113315, 9511, 21, 'Nefes Darlığı');
INSERT INTO `lang_definitions` VALUES (113316, 9512, 21, 'Nefes Darlığı 2');
INSERT INTO `lang_definitions` VALUES (113317, 9513, 21, 'Aşı Kaydı');
INSERT INTO `lang_definitions` VALUES (113318, 9514, 21, 'Şu Tarih İtibarı İle Aşı Kaydı:');
INSERT INTO `lang_definitions` VALUES (113319, 9516, 21, 'nnnnn-nnnn-nn gibi olmalıdır');
INSERT INTO `lang_definitions` VALUES (113320, 9517, 21, 'iki harfli olmalıdır');
INSERT INTO `lang_definitions` VALUES (113321, 9520, 21, 'Omuz');
INSERT INTO `lang_definitions` VALUES (113322, 9521, 21, 'Omuz + klaviküla');
INSERT INTO `lang_definitions` VALUES (113323, 9522, 21, 'Omuz Sorunları');
INSERT INTO `lang_definitions` VALUES (113324, 9523, 21, 'Göster');
INSERT INTO `lang_definitions` VALUES (113325, 9524, 21, 'Etkin Olanları Göster');
INSERT INTO `lang_definitions` VALUES (113326, 9527, 21, 'Tümünü Göster');
INSERT INTO `lang_definitions` VALUES (113327, 9529, 21, 'Tüm işlemleri Göster');
INSERT INTO `lang_definitions` VALUES (113328, 9531, 21, 'Tüm İşlemleri Göster');
INSERT INTO `lang_definitions` VALUES (113329, 9532, 21, 'Meşgul Göster');
INSERT INTO `lang_definitions` VALUES (113330, 9533, 21, 'Sadece Yetkilileri Göster');
INSERT INTO `lang_definitions` VALUES (113331, 9534, 21, 'Uygun Zamanları Göster');
INSERT INTO `lang_definitions` VALUES (113332, 9535, 21, 'Hem Amerikan hem de metrik göster (ana birim metrik)');
INSERT INTO `lang_definitions` VALUES (113333, 9536, 21, 'Hem Amerikan hem de metrik göster (ana birim Amerikan)');
INSERT INTO `lang_definitions` VALUES (113334, 9540, 21, 'Ayrıntıları Göster');
INSERT INTO `lang_definitions` VALUES (113335, 9542, 21, 'Sadece Hatalar mı Gösterilsin?');
INSERT INTO `lang_definitions` VALUES (113336, 9544, 21, 'Grafiği Göster');
INSERT INTO `lang_definitions` VALUES (113337, 9546, 21, 'Üzerine fare geldiğinde düz metin olayı gösterilsin mi?');
INSERT INTO `lang_definitions` VALUES (113338, 9547, 21, 'Yönetici sayfalarında kaç olay görülsün?');
INSERT INTO `lang_definitions` VALUES (113339, 9548, 21, 'Etkin Olmayanları Göster');
INSERT INTO `lang_definitions` VALUES (113340, 9552, 21, 'Menüyü Göster');
INSERT INTO `lang_definitions` VALUES (113341, 9553, 21, 'Sadece Metrik Göster');
INSERT INTO `lang_definitions` VALUES (113342, 9556, 21, 'Notları Göster');
INSERT INTO `lang_definitions` VALUES (113343, 9558, 21, 'Sadece atlanmamış işlemleri göster');
INSERT INTO `lang_definitions` VALUES (113344, 9561, 21, 'Hasta Notlarını Göster');
INSERT INTO `lang_definitions` VALUES (113345, 9562, 21, 'Libre ve ons göster');
INSERT INTO `lang_definitions` VALUES (113346, 9563, 21, 'Libreleri ondalık değer olarak göster');
INSERT INTO `lang_definitions` VALUES (113347, 9564, 21, 'Tam Birinciyi Göster');
INSERT INTO `lang_definitions` VALUES (113348, 9568, 21, 'Hatırlatıcıları Göster');
INSERT INTO `lang_definitions` VALUES (113349, 9569, 21, 'Raporu Göster');
INSERT INTO `lang_definitions` VALUES (113350, 9570, 21, 'Bloktaki ara/gönder bağlantıları gösterilsin mi?');
INSERT INTO `lang_definitions` VALUES (113351, 9574, 21, 'Ekleme listesi için özel şehir tablosunu göster.');
INSERT INTO `lang_definitions` VALUES (113352, 9580, 21, 'Sadece Fatura Edilmemişi Göster');
INSERT INTO `lang_definitions` VALUES (113353, 9581, 21, 'Sadece Amerikan göster');
INSERT INTO `lang_definitions` VALUES (113354, 9585, 21, 'Gösteriliyor');
INSERT INTO `lang_definitions` VALUES (113355, 9589, 21, 'Sonuçlar gösteriliyor');
INSERT INTO `lang_definitions` VALUES (113356, 9593, 21, 'Kardeşler Öyküsü');
INSERT INTO `lang_definitions` VALUES (113357, 9595, 21, 'Kardeşler');
INSERT INTO `lang_definitions` VALUES (113358, 9596, 21, 'Orak Hücreli');
INSERT INTO `lang_definitions` VALUES (113359, 9597, 21, 'Sig');
INSERT INTO `lang_definitions` VALUES (113360, 9598, 21, 'Sigmoid/Kolonoskopi');
INSERT INTO `lang_definitions` VALUES (113361, 9599, 21, 'İmza');
INSERT INTO `lang_definitions` VALUES (113362, 9601, 21, 'Laboratuvar Sonuçlarını İmzala (yaz, sadece ekle seçmeli)');
INSERT INTO `lang_definitions` VALUES (113363, 9603, 21, 'Sonuçları İmzala');
INSERT INTO `lang_definitions` VALUES (113364, 9606, 21, 'İmza');
INSERT INTO `lang_definitions` VALUES (113365, 9607, 21, 'İmza Dosyada');
INSERT INTO `lang_definitions` VALUES (113366, 9609, 21, 'İmza:');
INSERT INTO `lang_definitions` VALUES (113367, 9612, 21, 'İmzalanmış Rx');
INSERT INTO `lang_definitions` VALUES (113368, 9614, 21, 'Belirgin Şişlik:');
INSERT INTO `lang_definitions` VALUES (113369, 9615, 21, 'Basitleştirilmiş');
INSERT INTO `lang_definitions` VALUES (113370, 9616, 21, 'Basitleştirilmiş Ek-Ödeme');
INSERT INTO `lang_definitions` VALUES (113371, 9617, 21, 'Basitleştirilmiş Demografik Bilgiler');
INSERT INTO `lang_definitions` VALUES (113372, 9618, 21, 'Basitleştirilmiş Reçeteler');
INSERT INTO `lang_definitions` VALUES (113373, 9619, 21, 'Den beri:');
INSERT INTO `lang_definitions` VALUES (113374, 9620, 21, 'Saygılarımızla,');
INSERT INTO `lang_definitions` VALUES (113375, 9622, 21, 'Bekar');
INSERT INTO `lang_definitions` VALUES (113376, 9624, 21, 'Tek-seçim listesi');
INSERT INTO `lang_definitions` VALUES (113377, 9625, 21, 'Listeye ekleme olanağı olan tek-seçimlik liste');
INSERT INTO `lang_definitions` VALUES (113378, 9629, 21, 'Sinüs Problemleri');
INSERT INTO `lang_definitions` VALUES (113379, 9630, 21, 'Sinüs Cerrahisi');
INSERT INTO `lang_definitions` VALUES (113380, 9631, 21, 'SİNÜS HASSASİYETİ:');
INSERT INTO `lang_definitions` VALUES (113381, 9632, 21, 'Sinüzit');
INSERT INTO `lang_definitions` VALUES (113382, 9634, 21, 'Site');
INSERT INTO `lang_definitions` VALUES (113383, 9637, 21, 'Site kimliği');
INSERT INTO `lang_definitions` VALUES (113384, 9639, 21, 'LLC Lab Değişim Servisi OpenEMR desteği için site kimliği');
INSERT INTO `lang_definitions` VALUES (113385, 9643, 21, 'Büyüklük');
INSERT INTO `lang_definitions` VALUES (113386, 9646, 21, 'Büyüklüğü 1 ve 999 arasına bir sayı olmalıdır');
INSERT INTO `lang_definitions` VALUES (113387, 9648, 21, 'Büyüklük/Liste');
INSERT INTO `lang_definitions` VALUES (113388, 9650, 21, 'Deri');
INSERT INTO `lang_definitions` VALUES (113389, 9651, 21, 'Deri Kanseri');
INSERT INTO `lang_definitions` VALUES (113390, 9652, 21, 'Deri Hastalığı');
INSERT INTO `lang_definitions` VALUES (113391, 9653, 21, 'Deri Diğer');
INSERT INTO `lang_definitions` VALUES (113392, 9654, 21, 'Hasta Notlarının Yetkilendirilmesini Atla');
INSERT INTO `lang_definitions` VALUES (113393, 9659, 21, 'Bölüm atlanıyor');
INSERT INTO `lang_definitions` VALUES (113394, 9660, 21, 'Defter-i Kebir SQL dökümü atlanıyor-Windows sunucusuna uygulanmamıştır');
INSERT INTO `lang_definitions` VALUES (113395, 9664, 21, 'Uyku paternleri');
INSERT INTO `lang_definitions` VALUES (113396, 9665, 21, 'Uyku Paternleri');
INSERT INTO `lang_definitions` VALUES (113397, 9666, 21, 'Uyuyor');
INSERT INTO `lang_definitions` VALUES (113398, 9668, 21, 'Slovakça');
INSERT INTO `lang_definitions` VALUES (113399, 9669, 21, 'Slovence');
INSERT INTO `lang_definitions` VALUES (113400, 9670, 21, 'Toplam Borç suz');
INSERT INTO `lang_definitions` VALUES (113401, 9675, 21, 'Smarty Cache boşaltıldı');
INSERT INTO `lang_definitions` VALUES (113402, 9676, 21, 'Sigara içer, son durumu bilinmiyor.');
INSERT INTO `lang_definitions` VALUES (113403, 9678, 21, 'Sigara içme durumu');
INSERT INTO `lang_definitions` VALUES (113404, 9683, 21, 'SMS Geçidi');
INSERT INTO `lang_definitions` VALUES (113405, 9684, 21, 'SMS Geçidi API anahtarı');
INSERT INTO `lang_definitions` VALUES (113406, 9685, 21, 'SMS Geçidi API Anahtarı');
INSERT INTO `lang_definitions` VALUES (113407, 9686, 21, 'SMS Geçidi Şifresi');
INSERT INTO `lang_definitions` VALUES (113408, 9687, 21, 'SMS Geçidi Kullanıcı Adı');
INSERT INTO `lang_definitions` VALUES (113409, 9689, 21, 'SMS Uyarısı');
INSERT INTO `lang_definitions` VALUES (113410, 9690, 21, 'SMS Uyarısı Saatleri');
INSERT INTO `lang_definitions` VALUES (113411, 9693, 21, 'SMS son gönderme saati');
INSERT INTO `lang_definitions` VALUES (113412, 9697, 21, 'SMS Metni, Kullanılabilir Etiket: ***İSİM***,***SAĞLAYICI***,***TARİH***,***BAŞLAMAZAMANI***,***BİTİŞZAMANI***<BR>örneğin Sayın ***İSİM***');
INSERT INTO `lang_definitions` VALUES (113413, 9701, 21, 'SMS/Eposta uyarı ayarları');
INSERT INTO `lang_definitions` VALUES (113414, 9703, 21, 'Kimlik Doğrulama için SMTP Şifresi');
INSERT INTO `lang_definitions` VALUES (113415, 9706, 21, 'SMTP Sunucu Adı');
INSERT INTO `lang_definitions` VALUES (113416, 9707, 21, 'SMTP Sunucu Port Numarası');
INSERT INTO `lang_definitions` VALUES (113417, 9708, 21, 'Kimlik Doğrulama için SMTP Kullanıcı Adı');
INSERT INTO `lang_definitions` VALUES (113418, 9721, 21, 'Horlama');
INSERT INTO `lang_definitions` VALUES (113419, 9722, 21, 'SODP');
INSERT INTO `lang_definitions` VALUES (113420, 9726, 21, 'Toplumsal Güçlükler');
INSERT INTO `lang_definitions` VALUES (113421, 9729, 21, 'Toplumsal Öykü');
INSERT INTO `lang_definitions` VALUES (113422, 9730, 21, 'SGK Numarası');
INSERT INTO `lang_definitions` VALUES (113423, 9732, 21, 'solüsyon');
INSERT INTO `lang_definitions` VALUES (113424, 9734, 21, 'Somatik İçerik');
INSERT INTO `lang_definitions` VALUES (113425, 9735, 21, 'Bazı yetkilendirilmeler gösterilmedi. Tümünü görüntülemek için burayı tıklayınız');
INSERT INTO `lang_definitions` VALUES (113426, 9736, 21, 'Bazı kodlar gösterilmedi');
INSERT INTO `lang_definitions` VALUES (113427, 9737, 21, 'Bazı görüşmeler gösterilmedi. Tümünü görüntülemek için burayı tıklayınız');
INSERT INTO `lang_definitions` VALUES (113428, 9738, 21, 'Kimlik gizleme işlemi sırasına bir hata oluştu');
INSERT INTO `lang_definitions` VALUES (113429, 9740, 21, 'Bazı notlar gösterilmedi');
INSERT INTO `lang_definitions` VALUES (113430, 9743, 21, 'bazı sözcükler');
INSERT INTO `lang_definitions` VALUES (113431, 9750, 21, 'Boğaz Ağrısı');
INSERT INTO `lang_definitions` VALUES (113432, 9754, 21, 'Üzgünüm, dosyanız yüklenir iken bir problem oluştu.');
INSERT INTO `lang_definitions` VALUES (113433, 9758, 21, 'Sırala:');
INSERT INTO `lang_definitions` VALUES (113434, 9759, 21, 'Sırala:');
INSERT INTO `lang_definitions` VALUES (113435, 9761, 21, 'Toplama göre sırala');
INSERT INTO `lang_definitions` VALUES (113436, 9762, 21, 'Yorumlara göre sırala');
INSERT INTO `lang_definitions` VALUES (113437, 9763, 21, 'Crt kullanıcısına göre sırala');
INSERT INTO `lang_definitions` VALUES (113438, 9764, 21, 'Tarihe göre sırala');
INSERT INTO `lang_definitions` VALUES (113439, 9765, 21, 'Tarih/zaman a göre sırala');
INSERT INTO `lang_definitions` VALUES (113440, 9766, 21, 'Olaya göre sırala');
INSERT INTO `lang_definitions` VALUES (113441, 9767, 21, 'Gruba göre sırala');
INSERT INTO `lang_definitions` VALUES (113442, 9770, 21, 'Hasta ID ye göre sırala');
INSERT INTO `lang_definitions` VALUES (113443, 9772, 21, 'Başarıya göre sırala');
INSERT INTO `lang_definitions` VALUES (113444, 9774, 21, 'Kullanıcıya göre sırala');
INSERT INTO `lang_definitions` VALUES (113445, 9775, 21, 'Aşıya göre sırala');
INSERT INTO `lang_definitions` VALUES (113446, 9776, 21, 'Aşağıya doğru sırala');
INSERT INTO `lang_definitions` VALUES (113447, 9777, 21, 'Sonuçların Sıralanacağı tür:');
INSERT INTO `lang_definitions` VALUES (113448, 9778, 21, 'Yukarıya doğru sırala');
INSERT INTO `lang_definitions` VALUES (113449, 9779, 21, 'Kaynak');
INSERT INTO `lang_definitions` VALUES (113450, 9781, 21, 'Kaynak Dosya');
INSERT INTO `lang_definitions` VALUES (113451, 9783, 21, 'Kod için Kaynak eksik');
INSERT INTO `lang_definitions` VALUES (113452, 9784, 21, 'Kaynak Yığını');
INSERT INTO `lang_definitions` VALUES (113453, 9789, 21, 'Kaynak:');
INSERT INTO `lang_definitions` VALUES (113454, 9792, 21, 'Yer');
INSERT INTO `lang_definitions` VALUES (113455, 9793, 21, 'BOŞLUK');
INSERT INTO `lang_definitions` VALUES (113456, 9795, 21, 'İspanyolca');
INSERT INTO `lang_definitions` VALUES (113457, 9796, 21, 'İspanyolca (Latin Amerika)');
INSERT INTO `lang_definitions` VALUES (113458, 9797, 21, 'İspanyolca (ispanya)');
INSERT INTO `lang_definitions` VALUES (113459, 9799, 21, 'Özel karakter girilemez');
INSERT INTO `lang_definitions` VALUES (113460, 9801, 21, 'Uzman');
INSERT INTO `lang_definitions` VALUES (113461, 9802, 21, 'Uzman isim ve imzası');
INSERT INTO `lang_definitions` VALUES (113462, 9804, 21, 'Uzmanlık');
INSERT INTO `lang_definitions` VALUES (113463, 9805, 21, 'Uzmanlık Sistemleri');
INSERT INTO `lang_definitions` VALUES (113464, 9806, 21, 'Uzmanlık:');
INSERT INTO `lang_definitions` VALUES (113465, 9807, 21, 'Özel');
INSERT INTO `lang_definitions` VALUES (113466, 9808, 21, 'Özel Uygulama');
INSERT INTO `lang_definitions` VALUES (113467, 9809, 21, 'Özel Doğum Kontrol Hizmeti');
INSERT INTO `lang_definitions` VALUES (113468, 9810, 21, 'Özel Sonuç');
INSERT INTO `lang_definitions` VALUES (113469, 9811, 21, 'Özel Hizmet');
INSERT INTO `lang_definitions` VALUES (113470, 9812, 21, 'Belirtilmiş');
INSERT INTO `lang_definitions` VALUES (113471, 9813, 21, 'kod için formatı belirtir, # = rakam *=herhangi bir karakter. Kullanılmaz ise boş.');
INSERT INTO `lang_definitions` VALUES (113472, 9814, 21, 'kod için formatı belirtir, # = rakam, @=alfa, *=herhangi bir karakter. Kullanılmaz ise boş.');
INSERT INTO `lang_definitions` VALUES (113473, 9815, 21, 'Fatura referans numaraları için formatı belirtir, # = rakam *=herhangi bir karakter. Kullanılmaz ise boş.');
INSERT INTO `lang_definitions` VALUES (113474, 9816, 21, 'Fatura referans numaraları için formatı belirtir, # = rakam, @=alfa, *=herhangi bir karakter. Kullanılmaz ise boş.');
INSERT INTO `lang_definitions` VALUES (113475, 9817, 21, 'Ürün NDC alanları için formatı belirtir, # = rakam *=herhangi bir karakter. Kullanılmaz ise boş.');
INSERT INTO `lang_definitions` VALUES (113476, 9818, 21, 'Ürün NDC alanları için formatı belirtir, # = rakam, @=alfa, *=herhangi bir karakter. Kullanılmaz ise boş.');
INSERT INTO `lang_definitions` VALUES (113477, 9819, 21, 'Harici hasta ID için formatı belirtir, # = rakam *=herhangi bir karakter. Kullanılmaz ise boş.');
INSERT INTO `lang_definitions` VALUES (113478, 9820, 21, 'Harici hasta ID için formatı belirtir, # = rakam, @=alfa, *=herhangi bir karakter. Kullanılmaz ise boş.');
INSERT INTO `lang_definitions` VALUES (113479, 9823, 21, 'Örnek');
INSERT INTO `lang_definitions` VALUES (113480, 9824, 21, 'Örnek numarası/tanımlayıcı');
INSERT INTO `lang_definitions` VALUES (113481, 9825, 21, 'Örnek Tipi');
INSERT INTO `lang_definitions` VALUES (113482, 9827, 21, 'Konuşma dikte ettirme');
INSERT INTO `lang_definitions` VALUES (113483, 9828, 21, 'Spermisitler');
INSERT INTO `lang_definitions` VALUES (113484, 9831, 21, 'Splenektomi');
INSERT INTO `lang_definitions` VALUES (113485, 9832, 21, 'Eş');
INSERT INTO `lang_definitions` VALUES (113486, 9833, 21, 'Eşler Öyküsü');
INSERT INTO `lang_definitions` VALUES (113487, 9834, 21, 'Balgam');
INSERT INTO `lang_definitions` VALUES (113488, 9835, 21, 'Balgam:');
INSERT INTO `lang_definitions` VALUES (113489, 9836, 21, 'SQ');
INSERT INTO `lang_definitions` VALUES (113490, 9837, 21, 'sql');
INSERT INTO `lang_definitions` VALUES (113491, 9839, 21, 'Ekip');
INSERT INTO `lang_definitions` VALUES (113492, 9840, 21, 'Ekip Üyeliği');
INSERT INTO `lang_definitions` VALUES (113493, 9841, 21, 'Ekipler');
INSERT INTO `lang_definitions` VALUES (113494, 9843, 21, 'Cinsel Sağlık ve Üreme Sağlığı');
INSERT INTO `lang_definitions` VALUES (113495, 9844, 21, 'Üreme Sağlığı - Aile Planlaması');
INSERT INTO `lang_definitions` VALUES (113496, 9845, 21, 'Aile Planlaması Dışında Üreme Sağlığı');
INSERT INTO `lang_definitions` VALUES (113497, 9846, 21, 'Üreme Sağlığı Sevkleri');
INSERT INTO `lang_definitions` VALUES (113498, 9847, 21, 'Üreme Sağlığı Vizit Formu');
INSERT INTO `lang_definitions` VALUES (113499, 9848, 21, 'Hizmet Tarihi');
INSERT INTO `lang_definitions` VALUES (113500, 9849, 21, 'SGK');
INSERT INTO `lang_definitions` VALUES (113501, 9850, 21, 'SSL Sertifikası Yönetimi');
INSERT INTO `lang_definitions` VALUES (113502, 9851, 21, 'SGK No');
INSERT INTO `lang_definitions` VALUES (113503, 9852, 21, 'İstikrar');
INSERT INTO `lang_definitions` VALUES (113504, 9855, 21, 'Standart');
INSERT INTO `lang_definitions` VALUES (113505, 9857, 21, 'Standart Kod');
INSERT INTO `lang_definitions` VALUES (113506, 9860, 21, 'Standart Tedbirler');
INSERT INTO `lang_definitions` VALUES (113507, 9861, 21, 'Standart Tedbirler  (Etkin Uyarılar )');
INSERT INTO `lang_definitions` VALUES (113508, 9862, 21, 'Standart Tedbirler ( Etkin Olmayan Uyarılar )');
INSERT INTO `lang_definitions` VALUES (113509, 9863, 21, 'Standart Tedbirler ( Hasta Hatırlatıcıları )');
INSERT INTO `lang_definitions` VALUES (113510, 9864, 21, 'Standart İsim');
INSERT INTO `lang_definitions` VALUES (113511, 9866, 21, 'Başla');
INSERT INTO `lang_definitions` VALUES (113512, 9867, 21, 'Başlangıç (yyyy-aa-gg):');
INSERT INTO `lang_definitions` VALUES (113513, 9868, 21, 'Yeni Bir Rapora Başla');
INSERT INTO `lang_definitions` VALUES (113514, 9874, 21, 'Başlama Tarihi');
INSERT INTO `lang_definitions` VALUES (113515, 9876, 21, 'Bu Klinikte Başlama Tarihi');
INSERT INTO `lang_definitions` VALUES (113516, 9877, 21, 'Başlama Tarihi Bitiş Tarihinden sonra olmamalıdır.');
INSERT INTO `lang_definitions` VALUES (113517, 9878, 21, 'Başlama tarihi:');
INSERT INTO `lang_definitions` VALUES (113518, 9879, 21, 'Başlama Tarihi:');
INSERT INTO `lang_definitions` VALUES (113519, 9881, 21, 'Başlama Zamanı');
INSERT INTO `lang_definitions` VALUES (113520, 9884, 21, 'Başlangıç Tarihi');
INSERT INTO `lang_definitions` VALUES (113521, 9888, 21, 'stat');
INSERT INTO `lang_definitions` VALUES (113522, 9889, 21, 'Şehir');
INSERT INTO `lang_definitions` VALUES (113523, 9890, 21, 'Şehir Veri Tipi');
INSERT INTO `lang_definitions` VALUES (113524, 9893, 21, 'Şehir Listesi');
INSERT INTO `lang_definitions` VALUES (113525, 9894, 21, 'Şehir Listesi (yaz, ekleme seçmeli)');
INSERT INTO `lang_definitions` VALUES (113526, 9896, 21, 'Şehir Listesi Simgesi Özel Alanlar');
INSERT INTO `lang_definitions` VALUES (113527, 9897, 21, 'Şehir veya Vilayet');
INSERT INTO `lang_definitions` VALUES (113528, 9898, 21, 'Şehir/Yer');
INSERT INTO `lang_definitions` VALUES (113529, 9899, 21, 'Şehir/Mahalle');
INSERT INTO `lang_definitions` VALUES (113530, 9903, 21, 'BİLANÇO ÖZETİ');
INSERT INTO `lang_definitions` VALUES (113531, 9904, 21, 'bilançolar ve gelecek faturalar');
INSERT INTO `lang_definitions` VALUES (113532, 9906, 21, 'Gönderilmiş Bilançolar:');
INSERT INTO `lang_definitions` VALUES (113533, 9907, 21, 'bilançolar; faturalar güncellenmeyecek');
INSERT INTO `lang_definitions` VALUES (113534, 9908, 21, 'Statik Metin');
INSERT INTO `lang_definitions` VALUES (113535, 9909, 21, 'İstatistik');
INSERT INTO `lang_definitions` VALUES (113536, 9910, 21, 'İstatistikler');
INSERT INTO `lang_definitions` VALUES (113537, 9911, 21, 'Durum');
INSERT INTO `lang_definitions` VALUES (113538, 9914, 21, 'Kabul Durumu');
INSERT INTO `lang_definitions` VALUES (113539, 9915, 21, 'Alacak Durumu');
INSERT INTO `lang_definitions` VALUES (113540, 9916, 21, 'Haliyle');
INSERT INTO `lang_definitions` VALUES (113541, 9918, 21, 'Zührevi Hastalıklar/AIDS Danışmanlıkları');
INSERT INTO `lang_definitions` VALUES (113542, 9919, 21, 'Güç ve Kondisyon');
INSERT INTO `lang_definitions` VALUES (113543, 9932, 21, 'Eklemlerde Sertlik');
INSERT INTO `lang_definitions` VALUES (113544, 9933, 21, 'Sertlik');
INSERT INTO `lang_definitions` VALUES (113545, 9935, 21, 'Stok Ayları');
INSERT INTO `lang_definitions` VALUES (113546, 9936, 21, 'Mide Ağrıları');
INSERT INTO `lang_definitions` VALUES (113547, 9944, 21, 'Kas gerilmesi');
INSERT INTO `lang_definitions` VALUES (113548, 9946, 21, 'Akım');
INSERT INTO `lang_definitions` VALUES (113549, 9947, 21, 'Sokak');
INSERT INTO `lang_definitions` VALUES (113550, 9948, 21, 'Sokak Adresi');
INSERT INTO `lang_definitions` VALUES (113551, 9949, 21, 'Sokak ve Numara');
INSERT INTO `lang_definitions` VALUES (113552, 9950, 21, 'Güç');
INSERT INTO `lang_definitions` VALUES (113553, 9952, 21, 'Streptokoksik Boğaz');
INSERT INTO `lang_definitions` VALUES (113554, 9953, 21, 'Stres Kırığı');
INSERT INTO `lang_definitions` VALUES (113555, 9954, 21, 'Stres Testi');
INSERT INTO `lang_definitions` VALUES (113556, 9956, 21, 'Felç');
INSERT INTO `lang_definitions` VALUES (113557, 9958, 21, 'Kuvvetli şifre demek en az 8 karakter ve en az üçü bir rakam bir küçük harf, bir büyük harf ve bir özel karakter demektir');
INSERT INTO `lang_definitions` VALUES (113558, 9961, 21, 'Yeni hastaları eklemek için kullanılan form stili');
INSERT INTO `lang_definitions` VALUES (113559, 9965, 21, 'Alt-kategori');
INSERT INTO `lang_definitions` VALUES (113560, 9966, 21, 'Alt-toplam');
INSERT INTO `lang_definitions` VALUES (113561, 9967, 21, 'Alt kategori');
INSERT INTO `lang_definitions` VALUES (113562, 9968, 21, 'alt kategori');
INSERT INTO `lang_definitions` VALUES (113563, 9969, 21, 'cilt altı');
INSERT INTO `lang_definitions` VALUES (113564, 9971, 21, 'Sübjektif');
INSERT INTO `lang_definitions` VALUES (113565, 9972, 21, 'Dilaltı');
INSERT INTO `lang_definitions` VALUES (113566, 9973, 21, 'dilaltı');
INSERT INTO `lang_definitions` VALUES (113567, 9974, 21, 'Gönder');
INSERT INTO `lang_definitions` VALUES (113568, 9975, 21, 'gönder');
INSERT INTO `lang_definitions` VALUES (113569, 9976, 21, 'Tüm İçeriği Gönder');
INSERT INTO `lang_definitions` VALUES (113570, 9977, 21, 'Gönder ve İstemi İptal Et');
INSERT INTO `lang_definitions` VALUES (113571, 9979, 21, 'Olayı Gönder');
INSERT INTO `lang_definitions` VALUES (113572, 9980, 21, 'formu gönder');
INSERT INTO `lang_definitions` VALUES (113573, 9982, 21, 'Seçilmiş İçeriği Gönder');
INSERT INTO `lang_definitions` VALUES (113574, 9984, 21, 'gönderildi');
INSERT INTO `lang_definitions` VALUES (113575, 9985, 21, 'Gönderen:');
INSERT INTO `lang_definitions` VALUES (113576, 9986, 21, 'Gönderenin EDI Erişim Numarası (PER06)');
INSERT INTO `lang_definitions` VALUES (113577, 9987, 21, 'Abone');
INSERT INTO `lang_definitions` VALUES (113578, 9988, 21, 'Abone Adresi');
INSERT INTO `lang_definitions` VALUES (113579, 9989, 21, 'Abone Şehri');
INSERT INTO `lang_definitions` VALUES (113580, 9990, 21, 'Abone Ülkesi');
INSERT INTO `lang_definitions` VALUES (113581, 9991, 21, 'Abone Doğum Tarihi');
INSERT INTO `lang_definitions` VALUES (113582, 9992, 21, 'Abone İşveren');
INSERT INTO `lang_definitions` VALUES (113583, 9993, 21, 'Abone İşveren (Aİ)');
INSERT INTO `lang_definitions` VALUES (113584, 9994, 21, 'Abone İşveren Adresi');
INSERT INTO `lang_definitions` VALUES (113585, 9995, 21, 'Abone İşveren Semt');
INSERT INTO `lang_definitions` VALUES (113586, 9996, 21, 'Abone İşveren Ülke');
INSERT INTO `lang_definitions` VALUES (113587, 9997, 21, 'Abone İşveren Şehir');
INSERT INTO `lang_definitions` VALUES (113588, 9998, 21, 'Abone İşveren Cadde');
INSERT INTO `lang_definitions` VALUES (113589, 9999, 21, 'Abone İşveren Posta Kodu');
INSERT INTO `lang_definitions` VALUES (113590, 10000, 21, 'Abone İşveren Posta Kodu');
INSERT INTO `lang_definitions` VALUES (113591, 10001, 21, 'Abone Adı');
INSERT INTO `lang_definitions` VALUES (113592, 10002, 21, 'Abone Soyadı');
INSERT INTO `lang_definitions` VALUES (113593, 10004, 21, 'Abone İkinci Adı');
INSERT INTO `lang_definitions` VALUES (113594, 10005, 21, 'Abone Telefonu');
INSERT INTO `lang_definitions` VALUES (113595, 10006, 21, 'Abone İlişkisi');
INSERT INTO `lang_definitions` VALUES (113596, 10007, 21, 'Abone ilişkisi kendisi değil fakat isim kendisi! Bu gerçekten TAMAM mı?');
INSERT INTO `lang_definitions` VALUES (113597, 10008, 21, 'Abone ilişkisi kendisi değil fakat SGK numarası kendisi!');
INSERT INTO `lang_definitions` VALUES (113598, 10009, 21, 'Abone ilişkisi kendisi fakat isim farklı! Bu gerçekten TAMAM mı?');
INSERT INTO `lang_definitions` VALUES (113599, 10010, 21, 'Abone ilişkisi kendisi fakat SGK numarası farklı!');
INSERT INTO `lang_definitions` VALUES (113600, 10011, 21, 'Abone Cinsiyeti');
INSERT INTO `lang_definitions` VALUES (113601, 10013, 21, 'Abone Şehir');
INSERT INTO `lang_definitions` VALUES (113602, 10014, 21, 'Abone Posta Kodu');
INSERT INTO `lang_definitions` VALUES (113603, 10017, 21, 'Abone Telefonu');
INSERT INTO `lang_definitions` VALUES (113604, 10020, 21, 'Yerine Koyma');
INSERT INTO `lang_definitions` VALUES (113605, 10021, 21, 'yerine koymaya izin veriliyor');
INSERT INTO `lang_definitions` VALUES (113606, 10024, 21, 'Başarı');
INSERT INTO `lang_definitions` VALUES (113607, 10025, 21, 'başarı');
INSERT INTO `lang_definitions` VALUES (113608, 10026, 21, 'Lab sonucu alındısı doğrulaması başarılı');
INSERT INTO `lang_definitions` VALUES (113609, 10027, 21, 'Lab sonuçlarının alınması başarılı');
INSERT INTO `lang_definitions` VALUES (113610, 10028, 21, 'Sonuçlar Lab Değişim Ağından başarıyla alındı.');
INSERT INTO `lang_definitions` VALUES (113611, 10030, 21, 'Başaarı ile eklenmiş kategori');
INSERT INTO `lang_definitions` VALUES (113612, 10031, 21, 'başarıyla kategoriye eklendi.');
INSERT INTO `lang_definitions` VALUES (113613, 10033, 21, 'Başarıyla Silindi.');
INSERT INTO `lang_definitions` VALUES (113614, 10034, 21, 'Ayrıntılar Başarılı olarak alındı. Lütfen hastayı Bekleyen Kabul Ekranından onaylayınız');
INSERT INTO `lang_definitions` VALUES (113615, 10035, 21, 'Veritabanı başarılı olarak kuruldu.');
INSERT INTO `lang_definitions` VALUES (113616, 10036, 21, 'İzleyen veritabanı başarıyla kuruldu.');
INSERT INTO `lang_definitions` VALUES (113617, 10037, 21, 'Başarıyla Değiştirildi.');
INSERT INTO `lang_definitions` VALUES (113618, 10039, 21, 'Başarıyla Kaydedildi. Paylaştırmak ister misiniz?');
INSERT INTO `lang_definitions` VALUES (113619, 10040, 21, 'Başarıyla Kaydedildi Dağıtmak ister misiniz?');
INSERT INTO `lang_definitions` VALUES (113620, 10042, 21, 'başarıyla saklandı');
INSERT INTO `lang_definitions` VALUES (113621, 10044, 21, 'Veritabanı başarıyla yükseltildi');
INSERT INTO `lang_definitions` VALUES (113622, 10045, 21, 'Aşağıdakş veritabanı başarı ile yükseltildi.');
INSERT INTO `lang_definitions` VALUES (113623, 10046, 21, 'başarılı olarak');
INSERT INTO `lang_definitions` VALUES (113624, 10049, 21, 'İntihar');
INSERT INTO `lang_definitions` VALUES (113625, 10051, 21, 'Özet');
INSERT INTO `lang_definitions` VALUES (113626, 10052, 21, 'Özeti Yapılan :');
INSERT INTO `lang_definitions` VALUES (113627, 10058, 21, 'Paz');
INSERT INTO `lang_definitions` VALUES (113628, 10060, 21, 'Pazar');
INSERT INTO `lang_definitions` VALUES (113629, 10061, 21, 'Süperfatura');
INSERT INTO `lang_definitions` VALUES (113630, 10062, 21, 'Süperfatura Kodları');
INSERT INTO `lang_definitions` VALUES (113631, 10063, 21, 'Süperfatura Kodları Yönetimi');
INSERT INTO `lang_definitions` VALUES (113632, 10065, 21, 'Süperfatura Raporu');
INSERT INTO `lang_definitions` VALUES (113633, 10066, 21, 'Süperfatura/Ücret dökümü');
INSERT INTO `lang_definitions` VALUES (113634, 10067, 21, 'Süperfaturalar');
INSERT INTO `lang_definitions` VALUES (113635, 10068, 21, 'Bazen Görüşme Formları veya Yönlendirme Fişleri denilen Süperfaturalar pek çok tıbbi uygulamanın zorunlu kısımlarından biridir.');
INSERT INTO `lang_definitions` VALUES (113636, 10069, 21, 'Süper kullanıcı');
INSERT INTO `lang_definitions` VALUES (113637, 10071, 21, 'Gözetmen');
INSERT INTO `lang_definitions` VALUES (113638, 10074, 21, 'Süpervayzır Doktor İsmi');
INSERT INTO `lang_definitions` VALUES (113639, 10075, 21, 'Süpervayzır Doktor Soyadı');
INSERT INTO `lang_definitions` VALUES (113640, 10081, 21, 'Sağlayıcı tesis adı');
INSERT INTO `lang_definitions` VALUES (113641, 10082, 21, 'çeşitli sağlayıcılara uygulanan takvim olaylarını destekle');
INSERT INTO `lang_definitions` VALUES (113642, 10083, 21, 'İçe aktar/dışa aktar konfigürasyonunu yedek dosyası ile destekle');
INSERT INTO `lang_definitions` VALUES (113643, 10084, 21, 'Çok-Sağlayıcılı olayları Destekle');
INSERT INTO `lang_definitions` VALUES (113644, 10090, 21, 'Yüzey Tipi');
INSERT INTO `lang_definitions` VALUES (113645, 10092, 21, 'Ameliyatlar');
INSERT INTO `lang_definitions` VALUES (113646, 10093, 21, 'Cerrahi');
INSERT INTO `lang_definitions` VALUES (113647, 10095, 21, 'Ertelendi');
INSERT INTO `lang_definitions` VALUES (113648, 10096, 21, 'asma');
INSERT INTO `lang_definitions` VALUES (113649, 10098, 21, 'Svc Tarihi');
INSERT INTO `lang_definitions` VALUES (113650, 10099, 21, 'Svc Tarihi:');
INSERT INTO `lang_definitions` VALUES (113651, 10102, 21, 'Terleme:');
INSERT INTO `lang_definitions` VALUES (113652, 10103, 21, 'İsveççe');
INSERT INTO `lang_definitions` VALUES (113653, 10104, 21, 'Şişlik');
INSERT INTO `lang_definitions` VALUES (113654, 10105, 21, 'Sağda Şişlik');
INSERT INTO `lang_definitions` VALUES (113655, 10106, 21, 'Eklemlerde Şişlik');
INSERT INTO `lang_definitions` VALUES (113656, 10107, 21, 'Lenf Nodlarında Şişlik');
INSERT INTO `lang_definitions` VALUES (113657, 10108, 21, 'Para biriminde ondalık belirteci, Ondalık yeri 0 ise kullanılmaz');
INSERT INTO `lang_definitions` VALUES (113658, 10109, 21, 'Para biriminde binleri ayırma belirteci');
INSERT INTO `lang_definitions` VALUES (113659, 10110, 21, 'Semptomlar');
INSERT INTO `lang_definitions` VALUES (113660, 10111, 21, 'Senkronize et');
INSERT INTO `lang_definitions` VALUES (113661, 10112, 21, 'Tercümeleri özel dil tablosu ile senkronize et.');
INSERT INTO `lang_definitions` VALUES (113662, 10113, 21, 'Senkronize edilmiş yeni özel sabit:');
INSERT INTO `lang_definitions` VALUES (113663, 10114, 21, 'Senkronize edilmiş yeni özel dil:');
INSERT INTO `lang_definitions` VALUES (113664, 10115, 21, 'Senkronize edilmiş yeni tanım(Dil, Sabit, Tanım):');
INSERT INTO `lang_definitions` VALUES (113665, 10116, 21, 'Senkop');
INSERT INTO `lang_definitions` VALUES (113666, 10117, 21, 'Sendrom Sürveyansı');
INSERT INTO `lang_definitions` VALUES (113667, 10118, 21, 'Sendrom Sürveyansı - Rapor Edilmemiş Konular');
INSERT INTO `lang_definitions` VALUES (113668, 10119, 21, 'Sendrom İzleme Raporu');
INSERT INTO `lang_definitions` VALUES (113669, 10120, 21, 'Sinovit, sıkışma, bursit');
INSERT INTO `lang_definitions` VALUES (113670, 10121, 21, 'Sistem');
INSERT INTO `lang_definitions` VALUES (113671, 10128, 21, 'S');
INSERT INTO `lang_definitions` VALUES (113672, 10130, 21, '3x1');
INSERT INTO `lang_definitions` VALUES (113673, 10131, 21, 'Hazneye');
INSERT INTO `lang_definitions` VALUES (113674, 10133, 21, 'Tablo');
INSERT INTO `lang_definitions` VALUES (113675, 10137, 21, 'Tablo oluşturulamadı');
INSERT INTO `lang_definitions` VALUES (113676, 10138, 21, 'Tablo güncellenemedi');
INSERT INTO `lang_definitions` VALUES (113677, 10139, 21, 'Tablolar');
INSERT INTO `lang_definitions` VALUES (113678, 10140, 21, 'tablet');
INSERT INTO `lang_definitions` VALUES (113679, 10146, 21, 'Takalotça');
INSERT INTO `lang_definitions` VALUES (113680, 10149, 21, 'Alınız');
INSERT INTO `lang_definitions` VALUES (113681, 10151, 21, 'Açılır menüden Sigortayı seçin');
INSERT INTO `lang_definitions` VALUES (113682, 10152, 21, 'Açılır menüden Ödemeyi seçin');
INSERT INTO `lang_definitions` VALUES (113683, 10153, 21, 'Geri alın');
INSERT INTO `lang_definitions` VALUES (113684, 10154, 21, 'Uzun süre alır');
INSERT INTO `lang_definitions` VALUES (113685, 10173, 21, 'Vergi No');
INSERT INTO `lang_definitions` VALUES (113686, 10174, 21, 'Vergi Oranı');
INSERT INTO `lang_definitions` VALUES (113687, 10175, 21, 'Vergiler');
INSERT INTO `lang_definitions` VALUES (113688, 10176, 21, 'Taksonomi');
INSERT INTO `lang_definitions` VALUES (113689, 10181, 21, 'Td');
INSERT INTO `lang_definitions` VALUES (113690, 10182, 21, 'Takım Yaralanma Genel Bakış');
INSERT INTO `lang_definitions` VALUES (113691, 10183, 21, 'Takım Kadrosu');
INSERT INTO `lang_definitions` VALUES (113692, 10184, 21, 'Takım Kadrosu Görünümü');
INSERT INTO `lang_definitions` VALUES (113693, 10185, 21, 'Ekip/Takım');
INSERT INTO `lang_definitions` VALUES (113694, 10187, 21, 'Tel');
INSERT INTO `lang_definitions` VALUES (113695, 10189, 21, 'Telefon Ülke Kodu');
INSERT INTO `lang_definitions` VALUES (113696, 10192, 21, 'Temp');
INSERT INTO `lang_definitions` VALUES (113697, 10193, 21, 'Geçici Yer');
INSERT INTO `lang_definitions` VALUES (113698, 10194, 21, 'Geçici Yöntem');
INSERT INTO `lang_definitions` VALUES (113699, 10196, 21, 'Sıcaklık');
INSERT INTO `lang_definitions` VALUES (113700, 10197, 21, 'Kalıp');
INSERT INTO `lang_definitions` VALUES (113701, 10198, 21, 'Kalıp İsmi');
INSERT INTO `lang_definitions` VALUES (113702, 10199, 21, 'Kalıp isimleri rakamlarla başlayamaz');
INSERT INTO `lang_definitions` VALUES (113703, 10201, 21, 'Kalıp:');
INSERT INTO `lang_definitions` VALUES (113704, 10202, 21, 'Kalıplar');
INSERT INTO `lang_definitions` VALUES (113705, 10205, 21, 'Temporal Arter');
INSERT INTO `lang_definitions` VALUES (113706, 10208, 21, 'Tendon Yaralanması');
INSERT INTO `lang_definitions` VALUES (113707, 10209, 21, 'Tendonit / tendonozis /bursit');
INSERT INTO `lang_definitions` VALUES (113708, 10211, 21, 'Geçici Fatura Ref No');
INSERT INTO `lang_definitions` VALUES (113709, 10213, 21, 'Üçüncü');
INSERT INTO `lang_definitions` VALUES (113710, 10214, 21, 'Üçüncü Sigorta');
INSERT INTO `lang_definitions` VALUES (113711, 10215, 21, 'Üçüncü Sigorta Verileri');
INSERT INTO `lang_definitions` VALUES (113712, 10216, 21, 'Üçüncü Sigorta sağlayıcı');
INSERT INTO `lang_definitions` VALUES (113713, 10219, 21, 'Test planlama');
INSERT INTO `lang_definitions` VALUES (113714, 10220, 21, 'Sistem Testi');
INSERT INTO `lang_definitions` VALUES (113715, 10223, 21, 'Metin');
INSERT INTO `lang_definitions` VALUES (113716, 10224, 21, 'Tanı Metin');
INSERT INTO `lang_definitions` VALUES (113717, 10225, 21, 'Metin alanı');
INSERT INTO `lang_definitions` VALUES (113718, 10233, 21, 'Tarih metin');
INSERT INTO `lang_definitions` VALUES (113719, 10234, 21, 'tarih-metin');
INSERT INTO `lang_definitions` VALUES (113720, 10235, 21, 'Metinalanı');
INSERT INTO `lang_definitions` VALUES (113721, 10236, 21, 'metin alanı');
INSERT INTO `lang_definitions` VALUES (113722, 10237, 21, 'Metin Kutusu');
INSERT INTO `lang_definitions` VALUES (113723, 10238, 21, 'metin kutusu');
INSERT INTO `lang_definitions` VALUES (113724, 10239, 21, 'Metin kutusu listesi');
INSERT INTO `lang_definitions` VALUES (113725, 10240, 21, 'metin kutusu listesi');
INSERT INTO `lang_definitions` VALUES (113726, 10241, 21, 'Taylandca');
INSERT INTO `lang_definitions` VALUES (113727, 10242, 21, 'Teşekkürler');
INSERT INTO `lang_definitions` VALUES (113728, 10245, 21, 'Seçtiğiniz için teşekkürler');
INSERT INTO `lang_definitions` VALUES (113729, 10247, 21, '\"Temizle\" düğmesi tüm açıklamaları siler');
INSERT INTO `lang_definitions` VALUES (113730, 10254, 21, 'Yukarıdaki açıklama başarısız');
INSERT INTO `lang_definitions` VALUES (113731, 10264, 21, 'Apache sunucu sertifikası ve temel anahtar');
INSERT INTO `lang_definitions` VALUES (113732, 10281, 21, 'Sertifika Yetkilisi sertifikası');
INSERT INTO `lang_definitions` VALUES (113733, 10284, 21, 'Alacak dosyası:');
INSERT INTO `lang_definitions` VALUES (113734, 10296, 21, 'İlgili özel anahtar');
INSERT INTO `lang_definitions` VALUES (113735, 10322, 21, 'Red şifresi');
INSERT INTO `lang_definitions` VALUES (113736, 10323, 21, 'Grup Red Şifresi');
INSERT INTO `lang_definitions` VALUES (113737, 10328, 21, 'Hedef form kapatıldı');
INSERT INTO `lang_definitions` VALUES (113738, 10330, 21, 'Hedef form kapatıldı; Seçiminiz üzerinde işlem yapamıyorum.');
INSERT INTO `lang_definitions` VALUES (113739, 10350, 21, 'Olay(lar) onaylandı.');
INSERT INTO `lang_definitions` VALUES (113740, 10351, 21, 'Olay(lar) gizlendi.');
INSERT INTO `lang_definitions` VALUES (113741, 10352, 21, 'Dışarı aktarılan veriler aşağıdaki metin penceresinde görüntülenmektedir. Bunu kopyalayıp epostaya veya arzu ettiğiniz her hangi bir hedefe yapıştırabilirsiniz.');
INSERT INTO `lang_definitions` VALUES (113742, 10354, 21, 'Dışarı aktarılan veriler aşağıdaki metin penceresinde görüntülenmektedir. Bunu kopyalayıp epostaya veya arzu ettiğiniz her hangi bir hedefe yapıştırabilirsiniz.');
INSERT INTO `lang_definitions` VALUES (113743, 10355, 21, 'Dışarı aktarılan veriler aşağıdaki metin penceresinde görüntülenmektedir. Bunu kopyalayıp epostaya veya arzu ettiğiniz her hangi bir hedefe yapıştırabilirsiniz.');
INSERT INTO `lang_definitions` VALUES (113744, 10380, 21, 'Aşağıdaki takvim olayı eklendi:');
INSERT INTO `lang_definitions` VALUES (113745, 10381, 21, 'Aşağıdaki takvim olayı değiştirildi:');
INSERT INTO `lang_definitions` VALUES (113746, 10386, 21, 'Aşağıdaki EDI dosyası yüklendi');
INSERT INTO `lang_definitions` VALUES (113747, 10388, 21, 'Aşağıdaki Acil Giriş Kullanıcısı etkinleştirildi:');
INSERT INTO `lang_definitions` VALUES (113748, 10389, 21, 'Aşağıdaki hatalar oluştu');
INSERT INTO `lang_definitions` VALUES (113749, 10392, 21, 'Aşağıdaki alanlar gereklidir');
INSERT INTO `lang_definitions` VALUES (113750, 10406, 21, 'ATNA yedek denetim makinası ana bilgisayar adı');
INSERT INTO `lang_definitions` VALUES (113751, 10418, 21, 'İlk pencere fatura arama penceresidir. En üste bir kaynak (örneğin çek numarası) ödeme tarihi ve çek miktarı girebilirsiniz. Kaynak ve ödeme tarihinin öyle olmasının sebebi her alacaktan sonra tekrar tekrar girmek zorunda kalmamanız içindir. Girdiğiniz miktar ödenen kısım için verdiğiniz her faturada düşülecek ve bittiğinde 0 ile sonlanacaktır.');
INSERT INTO `lang_definitions` VALUES (113752, 10431, 21, 'Form üzerinde kullanıcıya görünen etiket');
INSERT INTO `lang_definitions` VALUES (113753, 10458, 21, 'Yeni kategorinin üst kategorisi:');
INSERT INTO `lang_definitions` VALUES (113754, 10482, 21, 'Şifre en az sekiz karakter içermeli ve');
INSERT INTO `lang_definitions` VALUES (113755, 10493, 21, 'Yapılan ödemeler bu tarihten öncesine gidemez. Bunun sebebi son rapor çıktıktan sonra kimsenin önceki tarihler için kayıt yapmamasını garanti etmektir.');
INSERT INTO `lang_definitions` VALUES (113756, 10509, 21, 'Aşağıdaki bilgi sadece el ile gönderiyorsanız ve el ile düzeltmeler yapıyorsanız geçerlidir.');
INSERT INTO `lang_definitions` VALUES (113757, 10513, 21, 'İstenen belge dosya sisteminde bulunmamaktadır veya ona erişmek için yeterli izin yoktur');
INSERT INTO `lang_definitions` VALUES (113758, 10537, 21, 'Kaynak ve Tarih sütunları ilk sayfadan kopyalanır, bu nedenle normal olarak onlara dokunmanız gerekmeyecektir. Ödeme sütununa bir ödeme miktarını, Düzeltme sütununa bir düzeltme miktarını veya her ikisini girebilirsiniz. Aynı zamanda sağdaki \"Y\" yi tıklayıp düzeltme değerini otomatik hesaplattırıp aynı satır için alacağın kalanını yazdırabilirsiniz.');
INSERT INTO `lang_definitions` VALUES (113759, 10557, 21, 'Takvim için zaman boyutu ve bir randevu için dakika olarak en kısa aralık.');
INSERT INTO `lang_definitions` VALUES (113760, 10562, 21, 'Form üzerinde güncel dilde görüntülenecek tercüme edilmiş etiket');
INSERT INTO `lang_definitions` VALUES (113761, 10563, 21, 'Güncel dilde görüntülenecek tercüme edilmiş Başlık');
INSERT INTO `lang_definitions` VALUES (113762, 10564, 21, 'Güncel dilin çeviri tanımı');
INSERT INTO `lang_definitions` VALUES (113763, 10565, 21, 'Tercüme tabloları senkronize edildi');
INSERT INTO `lang_definitions` VALUES (113764, 10566, 21, 'Bu konunun tipi');
INSERT INTO `lang_definitions` VALUES (113765, 10586, 21, 'Bu işlem veya sonucun satıcıya özgül kimlik kodu');
INSERT INTO `lang_definitions` VALUES (113766, 10591, 21, 'X12 dosyaları ve sonuç HTML çıktı raporları ana Özgür ETK kurulum dizininin \"era\" alt dizininde arşivlenmektedirler. Bazen bu arşivlere erişmek ister iseniz yolu');
INSERT INTO `lang_definitions` VALUES (113767, 10593, 21, 'zip dosyasında şu kalemler olacak');
INSERT INTO `lang_definitions` VALUES (113768, 10594, 21, 'Tema');
INSERT INTO `lang_definitions` VALUES (113769, 10601, 21, 'Terapötik enjeksiyonlar');
INSERT INTO `lang_definitions` VALUES (113770, 10607, 21, 'Var');
INSERT INTO `lang_definitions` VALUES (113771, 10610, 21, 'Halen hiç reçete yok');
INSERT INTO `lang_definitions` VALUES (113772, 10611, 21, 'Gönderinizde hatalar var. Bunlar aşağıda özetlenmiştir.');
INSERT INTO `lang_definitions` VALUES (113773, 10616, 21, 'İşaretlenmiş hiç çizelge yok');
INSERT INTO `lang_definitions` VALUES (113774, 10621, 21, 'Hiç Yeni Teslimat yok');
INSERT INTO `lang_definitions` VALUES (113775, 10622, 21, 'Bu hasta için dosyada hiç not yok');
INSERT INTO `lang_definitions` VALUES (113776, 10624, 21, 'Bu hasta için dosyada hiçbir işlem yok.');
INSERT INTO `lang_definitions` VALUES (113777, 10639, 21, 'Bir eposta hatası oldu');
INSERT INTO `lang_definitions` VALUES (113778, 10642, 21, 'isimli bir kategori zaten var');
INSERT INTO `lang_definitions` VALUES (113779, 10643, 21, 'isimli bir alt kategori zaten var');
INSERT INTO `lang_definitions` VALUES (113780, 10644, 21, 'isimli bir kalem zaten var');
INSERT INTO `lang_definitions` VALUES (113781, 10645, 21, 'Açık bir hasta kaydı istemi zaten var.');
INSERT INTO `lang_definitions` VALUES (113782, 10646, 21, 'AR hesabı için hiçbir COA girdisi yok');
INSERT INTO `lang_definitions` VALUES (113783, 10647, 21, 'Peşin hesabı için COA girdisi yok');
INSERT INTO `lang_definitions` VALUES (113784, 10648, 21, 'Gelir hesabı için COA girdisi yok');
INSERT INTO `lang_definitions` VALUES (113785, 10649, 21, 'Güncel hasta yok');
INSERT INTO `lang_definitions` VALUES (113786, 10650, 21, 'Bu başlık için yerel içerik yok');
INSERT INTO `lang_definitions` VALUES (113787, 10651, 21, 'Fatura ID si ile eşleşme yok');
INSERT INTO `lang_definitions` VALUES (113788, 10652, 21, 'Fatura ID si ile eşleşme yok=');
INSERT INTO `lang_definitions` VALUES (113789, 10653, 21, 'Servis ID için parça girişi yok');
INSERT INTO `lang_definitions` VALUES (113790, 10655, 21, 'Mesajı gönderirken hata oldu.');
INSERT INTO `lang_definitions` VALUES (113791, 10656, 21, 'İsteğinizin işlemi sırasında bir hata oldu.');
INSERT INTO `lang_definitions` VALUES (113792, 10682, 21, 'Sağda Kalınlaşmış:');
INSERT INTO `lang_definitions` VALUES (113793, 10683, 21, 'Uyluk');
INSERT INTO `lang_definitions` VALUES (113794, 10684, 21, 'Uyluk + diz arkası kirişi');
INSERT INTO `lang_definitions` VALUES (113795, 10686, 21, 'Arka büronun okuyup girebileceği ancak değiştiremeyeceği şeyler');
INSERT INTO `lang_definitions` VALUES (113796, 10687, 21, 'Arka büronun okuyup değişiştirebileceği şeyler');
INSERT INTO `lang_definitions` VALUES (113797, 10690, 21, 'Klinisyenlerin okuyup girebileceği ancak değiştiremeyeceği şeyler');
INSERT INTO `lang_definitions` VALUES (113798, 10691, 21, 'Klinisyenlerin okuyup değişiştirebileceği şeyler');
INSERT INTO `lang_definitions` VALUES (113799, 10694, 21, 'Ön büronun okuyup girebileceği ancak değiştiremeyeceği şeyler');
INSERT INTO `lang_definitions` VALUES (113800, 10695, 21, 'Ön büronun okuyup değişiştirebileceği şeyler');
INSERT INTO `lang_definitions` VALUES (113801, 10698, 21, 'Doktorların okuyup girebileceği ancak değiştiremeyeceği şeyler');
INSERT INTO `lang_definitions` VALUES (113802, 10699, 21, 'Doktorların okuyup değişiştirebileceği şeyler');
INSERT INTO `lang_definitions` VALUES (113803, 10701, 21, 'Üçüncü');
INSERT INTO `lang_definitions` VALUES (113804, 10704, 21, 'Bu işlem geri ALINAMAZ.');
INSERT INTO `lang_definitions` VALUES (113805, 10705, 21, 'Bu işlem geri alınamaz.');
INSERT INTO `lang_definitions` VALUES (113806, 10707, 21, 'Bu işlem günlüğe kaydedilecek');
INSERT INTO `lang_definitions` VALUES (113807, 10714, 21, 'Takvim Yılı');
INSERT INTO `lang_definitions` VALUES (113808, 10717, 21, 'Bu alacak reddedildi. Sebep:');
INSERT INTO `lang_definitions` VALUES (113809, 10718, 21, 'Bu alacak üst düzeye iletildi.');
INSERT INTO `lang_definitions` VALUES (113810, 10725, 21, 'Bu kod tipi ilişkileri kabul etmiyor');
INSERT INTO `lang_definitions` VALUES (113811, 10730, 21, 'Bu randevuların takvimde nasıl görüntüleneceğini belirler.');
INSERT INTO `lang_definitions` VALUES (113812, 10734, 21, 'Bu Görüşme');
INSERT INTO `lang_definitions` VALUES (113813, 10742, 21, 'Bu özellik çok deneyseldir ve tam olarak test edilmemiştir. Sorumluluk sizindir!');
INSERT INTO `lang_definitions` VALUES (113814, 10753, 21, 'Fatura numarası değiştirildi. Yenisi:');
INSERT INTO `lang_definitions` VALUES (113815, 10789, 21, 'Modül test modundadır. Veritabanı değiştirilmeyecek.');
INSERT INTO `lang_definitions` VALUES (113816, 10792, 21, 'Bu modül Müstahaklık verisinin verimli olarak girilmesini sağlar.');
INSERT INTO `lang_definitions` VALUES (113817, 10793, 21, 'Bu aybaşından bu güne kadar');
INSERT INTO `lang_definitions` VALUES (113818, 10801, 21, 'Bu sayfa satır içinde giriş sayfasını içerecek, böylece her seferinde tekrar gir tıklamak zorunda kalmayacağız.');
INSERT INTO `lang_definitions` VALUES (113819, 10804, 21, 'Bu hastanın hiçbir etkinliği yok');
INSERT INTO `lang_definitions` VALUES (113820, 10805, 21, 'Bu Hasta ID önceden kullanımda!');
INSERT INTO `lang_definitions` VALUES (113821, 10807, 21, 'Bu ürün depo başına sadece tek partiye müsaade ediyor');
INSERT INTO `lang_definitions` VALUES (113822, 10821, 21, 'Bu adımda gelecekte kullanmanız için saklamanız gereken bir dosya oluşturulacak. Bu dosya tekrar oluşturulamaz. Devam etmek istiyor musunuz?');
INSERT INTO `lang_definitions` VALUES (113823, 10822, 21, 'Bu kullanıcı hiçbir grubun üyesi değil');
INSERT INTO `lang_definitions` VALUES (113824, 10826, 21, 'Bu vizit yeni kontraseptif kullanımına başlar');
INSERT INTO `lang_definitions` VALUES (113825, 10827, 21, 'Bu vizite bir GCAC formu, sevk veya işlem hizmeti gerekecek.');
INSERT INTO `lang_definitions` VALUES (113826, 10828, 21, 'Bu önceki sadece metrik Vitalis formu idi, şimdi kullanılmıyor.');
INSERT INTO `lang_definitions` VALUES (113827, 10829, 21, 'Bu hafta başından bugüne kadar');
INSERT INTO `lang_definitions` VALUES (113828, 10831, 21, 'Bu BDK (Bakım Devam Kaydı) ve BDB(Bakım Devam Belgesi) bildirilmesini etkinleştirir.');
INSERT INTO `lang_definitions` VALUES (113829, 10843, 21, 'Bu tar formatında bir yedek oluşturup sonra tarayıcınıza gönderecek böylece kaydedebilirsiniz');
INSERT INTO `lang_definitions` VALUES (113830, 10854, 21, 'Bu hasta özet ekranında Fatura Simgesini devamlı açık kalmaya zorlar.');
INSERT INTO `lang_definitions` VALUES (113831, 10871, 21, 'Torakal omurga');
INSERT INTO `lang_definitions` VALUES (113832, 10873, 21, 'mm3 te bin');
INSERT INTO `lang_definitions` VALUES (113833, 10878, 21, 'Boğaz');
INSERT INTO `lang_definitions` VALUES (113834, 10879, 21, 'Gırtlak Kanseri');
INSERT INTO `lang_definitions` VALUES (113835, 10880, 21, 'Gırtlak Kanseri Cerrahisi');
INSERT INTO `lang_definitions` VALUES (113836, 10881, 21, 'Tromboz/Felç');
INSERT INTO `lang_definitions` VALUES (113837, 10882, 21, 'Perş');
INSERT INTO `lang_definitions` VALUES (113838, 10884, 21, 'Perşembe');
INSERT INTO `lang_definitions` VALUES (113839, 10885, 21, 'Perşembe');
INSERT INTO `lang_definitions` VALUES (113840, 10887, 21, 'Tiroid normal');
INSERT INTO `lang_definitions` VALUES (113841, 10888, 21, 'Tiroid sorunları');
INSERT INTO `lang_definitions` VALUES (113842, 10890, 21, 'Geçici İskemik Atak');
INSERT INTO `lang_definitions` VALUES (113843, 10902, 21, 'Zaman');
INSERT INTO `lang_definitions` VALUES (113844, 10903, 21, 'Zaman görüntüleme formatı');
INSERT INTO `lang_definitions` VALUES (113845, 10904, 21, 'Eklenecek zaman (1-60 dakika)');
INSERT INTO `lang_definitions` VALUES (113846, 10905, 21, 'Zaman seçimi');
INSERT INTO `lang_definitions` VALUES (113847, 10913, 21, 'Zamanlanmış olay');
INSERT INTO `lang_definitions` VALUES (113848, 10914, 21, 'Zaman değişeni (yok)');
INSERT INTO `lang_definitions` VALUES (113849, 10915, 21, 'Zaman Damgası ve Metin');
INSERT INTO `lang_definitions` VALUES (113850, 10917, 21, 'TIN');
INSERT INTO `lang_definitions` VALUES (113851, 10918, 21, 'Kulak çınlaması');
INSERT INTO `lang_definitions` VALUES (113852, 10920, 21, 'Başlık');
INSERT INTO `lang_definitions` VALUES (113853, 10923, 21, 'Başlık V');
INSERT INTO `lang_definitions` VALUES (113854, 10924, 21, 'Başlık Sütunları 1 ve 999 arası bir sayı olmalıdır');
INSERT INTO `lang_definitions` VALUES (113855, 10925, 21, 'Başlıklar');
INSERT INTO `lang_definitions` VALUES (113856, 10926, 21, 'Boğaz Ağız:');
INSERT INTO `lang_definitions` VALUES (113857, 10927, 21, 'Boğaz ağız,Dış kulak yolu,dış kulak, burun:');
INSERT INTO `lang_definitions` VALUES (113858, 10928, 21, 'Bitiş');
INSERT INTO `lang_definitions` VALUES (113859, 10929, 21, 'bitiş');
INSERT INTO `lang_definitions` VALUES (113860, 10930, 21, 'BİTİŞ');
INSERT INTO `lang_definitions` VALUES (113861, 10931, 21, 'dosyanın mutlak yoluna');
INSERT INTO `lang_definitions` VALUES (113862, 10936, 21, 'Not eklemek için lütfen tıklayınız');
INSERT INTO `lang_definitions` VALUES (113863, 10938, 21, 'Etkilenmiş bölgeye');
INSERT INTO `lang_definitions` VALUES (113864, 10939, 21, 'etkilenmiş bölgeye');
INSERT INTO `lang_definitions` VALUES (113865, 10942, 21, 'Belirlenen formu otomatik olarak açmak için bazı spor takımları burada football_injury_audit kullanır');
INSERT INTO `lang_definitions` VALUES (113866, 10944, 21, 'Faturalama Görünümü');
INSERT INTO `lang_definitions` VALUES (113867, 10945, 21, 'kategoriye');
INSERT INTO `lang_definitions` VALUES (113868, 10947, 21, 'Klinik Görünüme');
INSERT INTO `lang_definitions` VALUES (113869, 10949, 21, 'Eş Ödemeye');
INSERT INTO `lang_definitions` VALUES (113870, 10953, 21, 'ded ble ye');
INSERT INTO `lang_definitions` VALUES (113871, 10956, 21, 'Demse');
INSERT INTO `lang_definitions` VALUES (113872, 10958, 21, 'Müşteri tarafı SSL sertifikalarını hizmet dışı bırakma için yukarıdaki satırları Apache konfigürasyon dosyasında # ile iptal edip sunucuyu tekrar başlatın');
INSERT INTO `lang_definitions` VALUES (113873, 10960, 21, 'HTTPS i hizmet dışı bırakmak için Apache Konfigürasyon dosyasında yukarıdaki satırları # ile iptal edin ve Apache sunucusunu tekrar başlatın.');
INSERT INTO `lang_definitions` VALUES (113874, 10965, 21, 'Müşteri tarafı ssl sertifikalarını etkinleştirmek için');
INSERT INTO `lang_definitions` VALUES (113875, 10966, 21, 'Müşteri tarafı SSL sertifikası doğrulanmasının etkinleştirilmesi için HTTPS in etkinleştirilmesi gerekir.');
INSERT INTO `lang_definitions` VALUES (113876, 10970, 21, 'Sadece HTTPS i etkinleştirmek için yukarıdaki değişiklikleri uygulayın ve Apache sunucusunu tekrar başlatın. Eğer müşteri tarafı sertifikalarını da düzenlemek isterseniz lütfen sonraki bölümde düzenleyin.');
INSERT INTO `lang_definitions` VALUES (113877, 10972, 21, 'Görüşmeye');
INSERT INTO `lang_definitions` VALUES (113878, 10973, 21, 'cinsiyete göre filtrele');
INSERT INTO `lang_definitions` VALUES (113879, 10980, 21, 'Öyküye');
INSERT INTO `lang_definitions` VALUES (113880, 10982, 21, 'Konulara');
INSERT INTO `lang_definitions` VALUES (113881, 10984, 21, 'Bu görüşmeyi/konsültasyonu mevcut bir konu ile bağlantılandırmak için tıklayınız');
INSERT INTO `lang_definitions` VALUES (113882, 10985, 21, 'Bu görüşmeyi/konsültasyonu mevcut bir konu ile bağlantılandırmak için yukarıdan istenen konuyu tıklayıp vurgulayınız sonra [Kaydet] i tıklayınız. Çoklu seçim için [Ctrl] düğmesini basılı tutunuz.');
INSERT INTO `lang_definitions` VALUES (113883, 10987, 21, 'tekrar giriş için');
INSERT INTO `lang_definitions` VALUES (113884, 10992, 21, 'Açıklamaları kaydetmek için lütfen tıklayınız');
INSERT INTO `lang_definitions` VALUES (113885, 10997, 21, 'çalıştırmak için');
INSERT INTO `lang_definitions` VALUES (113886, 11001, 21, 'Müşteri sertifika doğrulaması ile https erişimini kurmak için şunları yapın');
INSERT INTO `lang_definitions` VALUES (113887, 11002, 21, 'Deriye');
INSERT INTO `lang_definitions` VALUES (113888, 11003, 21, 'deriye');
INSERT INTO `lang_definitions` VALUES (113889, 11005, 21, 'bu vizite mi?');
INSERT INTO `lang_definitions` VALUES (113890, 11010, 21, 'Bitiş:');
INSERT INTO `lang_definitions` VALUES (113891, 11011, 21, 'Bitiş:');
INSERT INTO `lang_definitions` VALUES (113892, 11012, 21, 'ALACAK_SEMT');
INSERT INTO `lang_definitions` VALUES (113893, 11013, 21, 'ALACAK_FAKS');
INSERT INTO `lang_definitions` VALUES (113894, 11014, 21, 'ALACAK_İSİM');
INSERT INTO `lang_definitions` VALUES (113895, 11015, 21, 'ALACAK_SOYİSİM');
INSERT INTO `lang_definitions` VALUES (113896, 11016, 21, 'ALACAK_İKİNCİ_İSİM');
INSERT INTO `lang_definitions` VALUES (113897, 11017, 21, 'ALACAK_KURUM');
INSERT INTO `lang_definitions` VALUES (113898, 11020, 21, 'ALACAK_POSTAKODU');
INSERT INTO `lang_definitions` VALUES (113899, 11021, 21, 'ALACAK_ŞEHİR');
INSERT INTO `lang_definitions` VALUES (113900, 11022, 21, 'ALACAK_CADDE');
INSERT INTO `lang_definitions` VALUES (113901, 11023, 21, 'ALACAK_UNVANI');
INSERT INTO `lang_definitions` VALUES (113902, 11024, 21, 'ALACAK_VEDA');
INSERT INTO `lang_definitions` VALUES (113903, 11025, 21, 'Tütün');
INSERT INTO `lang_definitions` VALUES (113904, 11028, 21, 'Tütün kullanımı');
INSERT INTO `lang_definitions` VALUES (113905, 11032, 21, 'Bugün');
INSERT INTO `lang_definitions` VALUES (113906, 11034, 21, 'bugün');
INSERT INTO `lang_definitions` VALUES (113907, 11037, 21, 'Bugünün tarihi');
INSERT INTO `lang_definitions` VALUES (113908, 11038, 21, 'Bugünün Olayları');
INSERT INTO `lang_definitions` VALUES (113909, 11045, 21, 'LLC Lab. Değişim hizmeti OpenEMR desteği için Simge kimliği');
INSERT INTO `lang_definitions` VALUES (113910, 11047, 21, 'Tonsilektomi');
INSERT INTO `lang_definitions` VALUES (113911, 11050, 21, 'Üst');
INSERT INTO `lang_definitions` VALUES (113912, 11053, 21, 'Konu');
INSERT INTO `lang_definitions` VALUES (113913, 11054, 21, 'Toplam');
INSERT INTO `lang_definitions` VALUES (113914, 11055, 21, 'toplam');
INSERT INTO `lang_definitions` VALUES (113915, 11060, 21, 'Vadesi gelmiş toplam alacak');
INSERT INTO `lang_definitions` VALUES (113916, 11061, 21, 'Ödenen Toplam');
INSERT INTO `lang_definitions` VALUES (113917, 11064, 21, 'Masraflar Toplamı');
INSERT INTO `lang_definitions` VALUES (113918, 11065, 21, 'Müşteriler Toplamı');
INSERT INTO `lang_definitions` VALUES (113919, 11067, 21, 'Maliyet Toplamı');
INSERT INTO `lang_definitions` VALUES (113920, 11068, 21, 'Tam dağıtım için çek numarası dolu değil.');
INSERT INTO `lang_definitions` VALUES (113921, 11072, 21, 'Toplam');
INSERT INTO `lang_definitions` VALUES (113922, 11073, 21, 'Toplamı:');
INSERT INTO `lang_definitions` VALUES (113923, 11074, 21, 'Kategori toplamı');
INSERT INTO `lang_definitions` VALUES (113924, 11082, 21, 'Konuların Toplam Sayısı');
INSERT INTO `lang_definitions` VALUES (113925, 11084, 21, 'Hastaların Toplam Sayısı');
INSERT INTO `lang_definitions` VALUES (113926, 11087, 21, 'Toplam Hasta Hesabı');
INSERT INTO `lang_definitions` VALUES (113927, 11095, 21, 'Toplam ÜS ve Aile Planlaması');
INSERT INTO `lang_definitions` VALUES (113928, 11106, 21, 'Toplamlar');
INSERT INTO `lang_definitions` VALUES (113929, 11107, 21, 'Toplam:');
INSERT INTO `lang_definitions` VALUES (113930, 11108, 21, 'Toplam:');
INSERT INTO `lang_definitions` VALUES (113931, 11135, 21, 'Antreman Tipi');
INSERT INTO `lang_definitions` VALUES (113932, 11136, 21, 'İşlem');
INSERT INTO `lang_definitions` VALUES (113933, 11137, 21, 'İşlem');
INSERT INTO `lang_definitions` VALUES (113934, 11138, 21, 'işlem');
INSERT INTO `lang_definitions` VALUES (113935, 11139, 21, 'İşlem başarısız hedef kalemde yetersiz miktar.');
INSERT INTO `lang_definitions` VALUES (113936, 11140, 21, 'İşlem başarısız, miktar sıfırdan az');
INSERT INTO `lang_definitions` VALUES (113937, 11142, 21, 'İşlem Tipi');
INSERT INTO `lang_definitions` VALUES (113938, 11143, 21, 'İşlemler');
INSERT INTO `lang_definitions` VALUES (113939, 11144, 21, 'işlemler');
INSERT INTO `lang_definitions` VALUES (113940, 11145, 21, 'İşlemler (yaz seçmeli)');
INSERT INTO `lang_definitions` VALUES (113941, 11151, 21, 'İşlemler/Sevkler');
INSERT INTO `lang_definitions` VALUES (113942, 11153, 21, 'Transfer');
INSERT INTO `lang_definitions` VALUES (113943, 11155, 21, 'Transfer başarısız, kaynak kalemden yetersiz miktar');
INSERT INTO `lang_definitions` VALUES (113944, 11160, 21, 'Transferler');
INSERT INTO `lang_definitions` VALUES (113945, 11163, 21, 'Erişim Kontrol Gruplarını Tercüme et');
INSERT INTO `lang_definitions` VALUES (113946, 11164, 21, 'Randevu kategorilerini Tercüme Et');
INSERT INTO `lang_definitions` VALUES (113947, 11165, 21, 'Belge Kategorilerini Tercüme Et');
INSERT INTO `lang_definitions` VALUES (113948, 11166, 21, 'Görünümleri Tercüme Et');
INSERT INTO `lang_definitions` VALUES (113949, 11167, 21, 'Listeleri Tercüme Et');
INSERT INTO `lang_definitions` VALUES (113950, 11168, 21, 'Hasta Notu Başlıklarını Tercüme Et');
INSERT INTO `lang_definitions` VALUES (113951, 11169, 21, 'bunu tercüme et');
INSERT INTO `lang_definitions` VALUES (113952, 11170, 21, 'Tercüme');
INSERT INTO `lang_definitions` VALUES (113953, 11171, 21, 'Tercümeler');
INSERT INTO `lang_definitions` VALUES (113954, 11179, 21, 'Travma');
INSERT INTO `lang_definitions` VALUES (113955, 11180, 21, 'Tedavi');
INSERT INTO `lang_definitions` VALUES (113956, 11182, 21, 'Tedavi Hedefleri');
INSERT INTO `lang_definitions` VALUES (113957, 11183, 21, 'Tedavi Planı');
INSERT INTO `lang_definitions` VALUES (113958, 11186, 21, 'Tedavi:');
INSERT INTO `lang_definitions` VALUES (113959, 11187, 21, 'Tedavi:');
INSERT INTO `lang_definitions` VALUES (113960, 11189, 21, 'Eğilim');
INSERT INTO `lang_definitions` VALUES (113961, 11190, 21, 'trftime($month_format, mktime(0, 0, 0, $i, 1, 2000)) ); $month_value');
INSERT INTO `lang_definitions` VALUES (113962, 11195, 21, 'Tetik nokta /kompartman sendromu/Geç Başlayan Kas Ağrısı/kramp');
INSERT INTO `lang_definitions` VALUES (113963, 11196, 21, 'Trimaleolar');
INSERT INTO `lang_definitions` VALUES (113964, 11199, 21, 'Gövde ve batın');
INSERT INTO `lang_definitions` VALUES (113965, 11205, 21, 'çay kaşığı');
INSERT INTO `lang_definitions` VALUES (113966, 11207, 21, 'Yazıdan Sese');
INSERT INTO `lang_definitions` VALUES (113967, 11208, 21, 'Tüberküloz');
INSERT INTO `lang_definitions` VALUES (113968, 11209, 21, 'Sal');
INSERT INTO `lang_definitions` VALUES (113969, 11210, 21, 'Sal ve Perş');
INSERT INTO `lang_definitions` VALUES (113970, 11211, 21, 'Salı');
INSERT INTO `lang_definitions` VALUES (113971, 11212, 21, 'Tümör');
INSERT INTO `lang_definitions` VALUES (113972, 11213, 21, 'Türkçe');
INSERT INTO `lang_definitions` VALUES (113973, 11222, 21, 'Günde iki kez');
INSERT INTO `lang_definitions` VALUES (113974, 11226, 21, 'Kulak zarı');
INSERT INTO `lang_definitions` VALUES (113975, 11227, 21, 'Tip');
INSERT INTO `lang_definitions` VALUES (113976, 11231, 21, 'Tip Kimliği veya ismi (boşluklar dahil) minimum 3 harf');
INSERT INTO `lang_definitions` VALUES (113977, 11238, 21, 'Hasta arama sonuçları için görüntülenen sütunların tipleri');
INSERT INTO `lang_definitions` VALUES (113978, 11239, 21, 'Açıklama Tipi');
INSERT INTO `lang_definitions` VALUES (113979, 11240, 21, 'Olayların Tipleri');
INSERT INTO `lang_definitions` VALUES (113980, 11242, 21, 'Ekran görünümünün tipi');
INSERT INTO `lang_definitions` VALUES (113981, 11243, 21, 'Buraya hasta kimliğini yazın veya tarayıcıdan geçirin');
INSERT INTO `lang_definitions` VALUES (113982, 11249, 21, 'Order ve Sonuç Tipleri');
INSERT INTO `lang_definitions` VALUES (113983, 11270, 21, 'UCSM kodları Calgary Üniversitesi Spor Tıbbı Merkezinden alınmıştır');
INSERT INTO `lang_definitions` VALUES (113984, 11272, 21, 'Ülserasyonlar');
INSERT INTO `lang_definitions` VALUES (113985, 11273, 21, 'Ülseratif kolit');
INSERT INTO `lang_definitions` VALUES (113986, 11274, 21, 'Ülserler:');
INSERT INTO `lang_definitions` VALUES (113987, 11278, 21, 'Oluşturulamıyor');
INSERT INTO `lang_definitions` VALUES (113988, 11291, 21, 'Uygulanamadı');
INSERT INTO `lang_definitions` VALUES (113989, 11292, 21, 'Atanmamış');
INSERT INTO `lang_definitions` VALUES (113990, 11295, 21, 'Yetkisiz erişim');
INSERT INTO `lang_definitions` VALUES (113991, 11297, 21, 'Yalnız Fatura Edilmemişler');
INSERT INTO `lang_definitions` VALUES (113992, 11300, 21, 'dil altı');
INSERT INTO `lang_definitions` VALUES (113993, 11303, 21, 'Zayıf');
INSERT INTO `lang_definitions` VALUES (113994, 11304, 21, 'Tanı konmamış');
INSERT INTO `lang_definitions` VALUES (113995, 11305, 21, 'Dağıtılmıyor');
INSERT INTO `lang_definitions` VALUES (113996, 11306, 21, 'DAĞITILMIYOR');
INSERT INTO `lang_definitions` VALUES (113997, 11307, 21, 'Dağıtılmıyor:');
INSERT INTO `lang_definitions` VALUES (113998, 11309, 21, 'Çıkışı geri al');
INSERT INTO `lang_definitions` VALUES (113999, 11311, 21, 'Eşsiz Müşteriler');
INSERT INTO `lang_definitions` VALUES (114000, 11312, 21, 'Bu tip için insanın okuyabildiği eşsiz kimlik');
INSERT INTO `lang_definitions` VALUES (114001, 11315, 21, 'Eşsiz Yeni Hastalar');
INSERT INTO `lang_definitions` VALUES (114002, 11316, 21, 'Bu tip için eşsiz nümerik kimlik');
INSERT INTO `lang_definitions` VALUES (114003, 11317, 21, 'Sadece Bir Kez Görülmüş Hastalar');
INSERT INTO `lang_definitions` VALUES (114004, 11318, 21, 'Sadece Bir Kez Görülmüş Hastalar Raporu');
INSERT INTO `lang_definitions` VALUES (114005, 11319, 21, 'Eşsiz SP');
INSERT INTO `lang_definitions` VALUES (114006, 11320, 21, 'Birim');
INSERT INTO `lang_definitions` VALUES (114007, 11321, 21, 'Ünite');
INSERT INTO `lang_definitions` VALUES (114008, 11322, 21, 'ünite');
INSERT INTO `lang_definitions` VALUES (114009, 11324, 21, 'Vizit Formları için Birimler');
INSERT INTO `lang_definitions` VALUES (114010, 11325, 21, 'Birimler bir sayı olmalıdır');
INSERT INTO `lang_definitions` VALUES (114011, 11326, 21, 'Birimler tanımlanmadı');
INSERT INTO `lang_definitions` VALUES (114012, 11327, 21, 'Unite/L');
INSERT INTO `lang_definitions` VALUES (114013, 11328, 21, 'Bilinmiyor');
INSERT INTO `lang_definitions` VALUES (114014, 11331, 21, 'Hiç sigara içip içmediği bilinmiyor.');
INSERT INTO `lang_definitions` VALUES (114015, 11332, 21, 'Bilinmiyor veya YOK');
INSERT INTO `lang_definitions` VALUES (114016, 11345, 21, 'İsimsiz sigorta şirketi');
INSERT INTO `lang_definitions` VALUES (114017, 11346, 21, 'Kayıt edilmemiş');
INSERT INTO `lang_definitions` VALUES (114018, 11349, 21, 'Hepsini seçimden çıkart');
INSERT INTO `lang_definitions` VALUES (114019, 11350, 21, 'Seçilmemiş');
INSERT INTO `lang_definitions` VALUES (114020, 11351, 21, 'Belirtilmemiş');
INSERT INTO `lang_definitions` VALUES (114021, 11352, 21, 'yapılandırılmamış');
INSERT INTO `lang_definitions` VALUES (114022, 11356, 21, 'süre sonu:');
INSERT INTO `lang_definitions` VALUES (114023, 11359, 21, 'Zamansız dosyalama');
INSERT INTO `lang_definitions` VALUES (114024, 11360, 21, 'Kullanılmayan');
INSERT INTO `lang_definitions` VALUES (114025, 11361, 21, 'Araştırma Birimi');
INSERT INTO `lang_definitions` VALUES (114026, 11362, 21, 'son :');
INSERT INTO `lang_definitions` VALUES (114027, 11364, 21, 'Gelecek Randevular');
INSERT INTO `lang_definitions` VALUES (114028, 11365, 21, 'Gelecek Olaylar');
INSERT INTO `lang_definitions` VALUES (114029, 11366, 21, 'Güncelle');
INSERT INTO `lang_definitions` VALUES (114030, 11367, 21, 'güncelle');
INSERT INTO `lang_definitions` VALUES (114031, 11368, 21, 'Güncelleme Aktif');
INSERT INTO `lang_definitions` VALUES (114032, 11371, 21, 'Dosyaları güncelle');
INSERT INTO `lang_definitions` VALUES (114033, 11372, 21, 'Güncelleme Bilgisi');
INSERT INTO `lang_definitions` VALUES (114034, 11374, 21, 'Güncelleme Listesi');
INSERT INTO `lang_definitions` VALUES (114035, 11377, 21, 'Sağlayıcı Numarasını Güncelle');
INSERT INTO `lang_definitions` VALUES (114036, 11378, 21, 'Seçilmiş Konuları Güncelle');
INSERT INTO `lang_definitions` VALUES (114037, 11383, 21, 'İzleyen değişkenleri dosyaya güncelle');
INSERT INTO `lang_definitions` VALUES (114038, 11384, 21, 'Kullanıcı bilgisini güncelle');
INSERT INTO `lang_definitions` VALUES (114039, 11390, 21, 'Demografik bilgilerin güncellenmesine izin verilmiyor');
INSERT INTO `lang_definitions` VALUES (114040, 11396, 21, 'Veritabanını Yükselt');
INSERT INTO `lang_definitions` VALUES (114041, 11398, 21, 'İşlemleri, İşlevleri ve kimliksizleştirme işlemi için gerekli tabloları içermek üzere ÖzgürETK yı yükseltir');
INSERT INTO `lang_definitions` VALUES (114042, 11399, 21, 'Yükseltme sürecek');
INSERT INTO `lang_definitions` VALUES (114043, 11400, 21, 'UPIN');
INSERT INTO `lang_definitions` VALUES (114044, 11401, 21, 'Yükle');
INSERT INTO `lang_definitions` VALUES (114045, 11406, 21, 'Konfigürasyon verisini Yükle');
INSERT INTO `lang_definitions` VALUES (114046, 11407, 21, 'Belgeyi Yükle');
INSERT INTO `lang_definitions` VALUES (114047, 11408, 21, 'Yükleme Başarısız!');
INSERT INTO `lang_definitions` VALUES (114048, 11410, 21, 'Resmin yükleneceği yer');
INSERT INTO `lang_definitions` VALUES (114049, 11411, 21, 'İçe aktarma dosyasını yükle');
INSERT INTO `lang_definitions` VALUES (114050, 11415, 21, 'Raporu yükle');
INSERT INTO `lang_definitions` VALUES (114051, 11418, 21, 'Bu dosyayı yükle');
INSERT INTO `lang_definitions` VALUES (114052, 11421, 21, 'Fatura numarasına tıklayınca \"el ile gönderme penceresi\" görüntülenir. Burada vade tarihini ve notları değiştirebilir, gönderdiğiniz muhatabı seçebilir ve beklenen ödemelerin alınmış olduğu tüm sigortaları işaretleyebilirsiniz. En önemlisi, ücretlendirilmesi yapılmış her fatura kodu için ödeme ve düzeltme bilgisini girebilirsiniz.');
INSERT INTO `lang_definitions` VALUES (114053, 11426, 21, 'Arama sonrası bir fatura listesi görüntülenir. Fatura numaralarından birini tıkladığınızda yeni bir pencere açılır, burada göndermek üzere el ile veri girebilirsiniz. Aynı zamanda hastanın ismi üzerine tıklayıp ön büro elemanlarının hasta geldiğinde görebileceği bir not girebilirsiniz. Faturaların hasta bilançolarında görüntülenmesini seçebilir ve bu bilançoları bastırabilirsiniz.');
INSERT INTO `lang_definitions` VALUES (114054, 11429, 21, 'Üst kol');
INSERT INTO `lang_definitions` VALUES (114055, 11432, 21, 'Acil');
INSERT INTO `lang_definitions` VALUES (114056, 11436, 21, 'İdrar');
INSERT INTO `lang_definitions` VALUES (114057, 11437, 21, 'İdrarda damlama');
INSERT INTO `lang_definitions` VALUES (114058, 11438, 21, 'İdrar Sıklığı');
INSERT INTO `lang_definitions` VALUES (114059, 11439, 21, 'İdrarda duraksama');
INSERT INTO `lang_definitions` VALUES (114060, 11441, 21, 'İdrar Akışı');
INSERT INTO `lang_definitions` VALUES (114061, 11442, 21, 'Ani İdrar Gelmesi');
INSERT INTO `lang_definitions` VALUES (114062, 11443, 21, 'URL');
INSERT INTO `lang_definitions` VALUES (114063, 11445, 21, 'ÖzgürETK desteği için URL');
INSERT INTO `lang_definitions` VALUES (114064, 11453, 21, 'Kullanım Belirteci (ISA15)');
INSERT INTO `lang_definitions` VALUES (114065, 11457, 21, '24 saat formatı mı kullanılsın?');
INSERT INTO `lang_definitions` VALUES (114066, 11466, 21, 'Masraflar Panelini Kullan');
INSERT INTO `lang_definitions` VALUES (114067, 11477, 21, 'Ön Tanımlıları Kullan');
INSERT INTO `lang_definitions` VALUES (114068, 11478, 21, 'Silmek İçin Delete Opsiyonunu Kullanın.');
INSERT INTO `lang_definitions` VALUES (114069, 11479, 21, 'Uluslararası veri stili mi kullanılsın?');
INSERT INTO `lang_definitions` VALUES (114070, 11486, 21, 'Aşağıdaki alanları bir satın alma veya transfer için kullanınız');
INSERT INTO `lang_definitions` VALUES (114071, 11490, 21, 'Bu özelliği sadece yeni kurulmuş yerlerde kullanınız.');
INSERT INTO `lang_definitions` VALUES (114072, 11493, 21, 'Konular kullanılsın mı?');
INSERT INTO `lang_definitions` VALUES (114073, 11496, 21, 'Kullanıcı');
INSERT INTO `lang_definitions` VALUES (114074, 11498, 21, 'Kullanıcı / Gruplar');
INSERT INTO `lang_definitions` VALUES (114075, 11499, 21, 'Kullanıcı Yönetimi');
INSERT INTO `lang_definitions` VALUES (114076, 11500, 21, 'Kullanıcı ve Tesis Yönetimi');
INSERT INTO `lang_definitions` VALUES (114077, 11501, 21, 'Kullanıcı ve Grup Yönetimi');
INSERT INTO `lang_definitions` VALUES (114078, 11503, 21, 'Kullanıcı Sertifikası doğrulaması etkisizleştirildi');
INSERT INTO `lang_definitions` VALUES (114079, 11507, 21, 'Kullanıcı Tanımlanmış');
INSERT INTO `lang_definitions` VALUES (114080, 11508, 21, 'Kullanıcı Tanımlanmış Alan 11');
INSERT INTO `lang_definitions` VALUES (114081, 11509, 21, 'Kullanıcı Tanımlanmış Alan 12');
INSERT INTO `lang_definitions` VALUES (114082, 11510, 21, 'Kullanıcı Tanımlanmış Alan');
INSERT INTO `lang_definitions` VALUES (114083, 11511, 21, 'Kullanıcı Tanımlanmış Liste 1');
INSERT INTO `lang_definitions` VALUES (114084, 11512, 21, 'Kullanıcı Tanımlanmış Liste 2');
INSERT INTO `lang_definitions` VALUES (114085, 11513, 21, 'Kullanıcı Tanımlanmış Liste 3');
INSERT INTO `lang_definitions` VALUES (114086, 11514, 21, 'Kullanıcı Tanımlanmış Liste 4');
INSERT INTO `lang_definitions` VALUES (114087, 11515, 21, 'Kullanıcı Tanımlanmış Liste 5');
INSERT INTO `lang_definitions` VALUES (114088, 11516, 21, 'Kullanıcı Tanımlanmış Liste 6');
INSERT INTO `lang_definitions` VALUES (114089, 11517, 21, 'Kullanıcı Tanımlanmış Liste 7');
INSERT INTO `lang_definitions` VALUES (114090, 11518, 21, 'Kullanıcı Tanımlanmış Metin 1');
INSERT INTO `lang_definitions` VALUES (114091, 11519, 21, 'Kullanıcı Tanımlanmış Metin 2');
INSERT INTO `lang_definitions` VALUES (114092, 11520, 21, 'Kullanıcı Tanımlanmış Metin 3');
INSERT INTO `lang_definitions` VALUES (114093, 11521, 21, 'Kullanıcı Tanımlanmış Metin 4');
INSERT INTO `lang_definitions` VALUES (114094, 11522, 21, 'Kullanıcı Tanımlanmış Metin 5');
INSERT INTO `lang_definitions` VALUES (114095, 11523, 21, 'Kullanıcı Tanımlanmış Metin 6');
INSERT INTO `lang_definitions` VALUES (114096, 11524, 21, 'Kullanıcı Tanımlanmış Metin 7');
INSERT INTO `lang_definitions` VALUES (114097, 11525, 21, 'Kullanıcı Tanımlanmış Metin 8');
INSERT INTO `lang_definitions` VALUES (114098, 11532, 21, 'Kullanıcı El Kitabı');
INSERT INTO `lang_definitions` VALUES (114099, 11533, 21, 'Kullanıcı Üyelikleri');
INSERT INTO `lang_definitions` VALUES (114100, 11536, 21, 'Kullanıcı ismi veya Host adı boş olamaz');
INSERT INTO `lang_definitions` VALUES (114101, 11537, 21, 'Kullanıcı veya Host Adı');
INSERT INTO `lang_definitions` VALUES (114102, 11541, 21, 'Kullanıcı Ayarları');
INSERT INTO `lang_definitions` VALUES (114103, 11543, 21, 'Kullanıcıya Özel Ayarlar');
INSERT INTO `lang_definitions` VALUES (114104, 11553, 21, 'Kullanıcı Adı');
INSERT INTO `lang_definitions` VALUES (114105, 11556, 21, 'SMS Yolu için Kullanıcı Adı');
INSERT INTO `lang_definitions` VALUES (114106, 11557, 21, 'SMS Yolu için Kullanıcı Adı');
INSERT INTO `lang_definitions` VALUES (114107, 11559, 21, 'Kullanıcı Adı');
INSERT INTO `lang_definitions` VALUES (114108, 11560, 21, 'Kullanıcılar');
INSERT INTO `lang_definitions` VALUES (114109, 11564, 21, 'Kullanıcılar/Gruplar/Günlükler Yönetimi');
INSERT INTO `lang_definitions` VALUES (114110, 11574, 21, '<a href=\"http://php.net/strftime\">strftime</a> php formatını kullanır');
INSERT INTO `lang_definitions` VALUES (114111, 11583, 21, 'İYE ler');
INSERT INTO `lang_definitions` VALUES (114112, 11588, 21, 'TATİL');
INSERT INTO `lang_definitions` VALUES (114113, 11589, 21, 'Tatil');
INSERT INTO `lang_definitions` VALUES (114114, 11590, 21, 'Aşı');
INSERT INTO `lang_definitions` VALUES (114115, 11593, 21, 'Vajinal Halka');
INSERT INTO `lang_definitions` VALUES (114116, 11594, 21, 'Ayrılış');
INSERT INTO `lang_definitions` VALUES (114117, 11609, 21, 'Değer');
INSERT INTO `lang_definitions` VALUES (114118, 11610, 21, 'Değer 1');
INSERT INTO `lang_definitions` VALUES (114119, 11611, 21, 'Değer 2');
INSERT INTO `lang_definitions` VALUES (114120, 11613, 21, 'Değer Sayısal Olmalı');
INSERT INTO `lang_definitions` VALUES (114121, 11614, 21, 'Var1');
INSERT INTO `lang_definitions` VALUES (114122, 11615, 21, 'Var2');
INSERT INTO `lang_definitions` VALUES (114123, 11616, 21, 'kimliksizleştirme yükseltmesi komutu çalıştırma değişkeni');
INSERT INTO `lang_definitions` VALUES (114124, 11619, 21, 'Su çiçeği 1');
INSERT INTO `lang_definitions` VALUES (114125, 11620, 21, 'Su çiçeği 2');
INSERT INTO `lang_definitions` VALUES (114126, 11621, 21, 'Variköz Damarlar');
INSERT INTO `lang_definitions` VALUES (114127, 11623, 21, 'Damar hastalığı');
INSERT INTO `lang_definitions` VALUES (114128, 11624, 21, 'Damar yaralanması');
INSERT INTO `lang_definitions` VALUES (114129, 11625, 21, 'Damar Cerrahisi');
INSERT INTO `lang_definitions` VALUES (114130, 11630, 21, 'Satıcı');
INSERT INTO `lang_definitions` VALUES (114131, 11634, 21, 'Sürüm');
INSERT INTO `lang_definitions` VALUES (114132, 11653, 21, 'Vertigo');
INSERT INTO `lang_definitions` VALUES (114133, 11657, 21, 'Gaziler Yönetim Planı');
INSERT INTO `lang_definitions` VALUES (114134, 11659, 21, 'Çocuk Aşıları');
INSERT INTO `lang_definitions` VALUES (114135, 11666, 21, 'Vietnamlı');
INSERT INTO `lang_definitions` VALUES (114136, 11667, 21, 'Görünüm');
INSERT INTO `lang_definitions` VALUES (114137, 11668, 21, 'görünüm');
INSERT INTO `lang_definitions` VALUES (114138, 11670, 21, 'Alerjileri Gör');
INSERT INTO `lang_definitions` VALUES (114139, 11676, 21, 'Kapsamlı Hasta Raporunu Gör');
INSERT INTO `lang_definitions` VALUES (114140, 11679, 21, 'Belgeyi Gör');
INSERT INTO `lang_definitions` VALUES (114141, 11681, 21, 'Görüşmeye bak');
INSERT INTO `lang_definitions` VALUES (114142, 11683, 21, 'olaylar açılan pencerede gösterilsin mi?');
INSERT INTO `lang_definitions` VALUES (114143, 11684, 21, 'Kuruma Özel Kullanıcı Bilgisini Görüntüle');
INSERT INTO `lang_definitions` VALUES (114144, 11687, 21, 'Günlüğü Göster');
INSERT INTO `lang_definitions` VALUES (114145, 11690, 21, '1. Sayfayı Göster');
INSERT INTO `lang_definitions` VALUES (114146, 11691, 21, '2. Sayfayı Göster');
INSERT INTO `lang_definitions` VALUES (114147, 11692, 21, 'Eski ve Gelecek Hatırlatıcıları Göster');
INSERT INTO `lang_definitions` VALUES (114148, 11695, 21, 'Hastayı Gör');
INSERT INTO `lang_definitions` VALUES (114149, 11696, 21, 'Plan Kurallarını Görüntüle');
INSERT INTO `lang_definitions` VALUES (114150, 11697, 21, 'Yazdırılabilir Görintüle');
INSERT INTO `lang_definitions` VALUES (114151, 11698, 21, 'Yazdırılabilir Rapor Görüntüle');
INSERT INTO `lang_definitions` VALUES (114152, 11699, 21, 'Yazdırılabilir Versiyonu Görüntüle');
INSERT INTO `lang_definitions` VALUES (114153, 11700, 21, 'İlgili görüşmeleri gör');
INSERT INTO `lang_definitions` VALUES (114154, 11701, 21, 'Raporu Göster');
INSERT INTO `lang_definitions` VALUES (114155, 11702, 21, 'OKUBENİ dosyasını göster');
INSERT INTO `lang_definitions` VALUES (114156, 11712, 21, 'Alerjileri Gör/Düzenle');
INSERT INTO `lang_definitions` VALUES (114157, 11713, 21, 'Konuyı göster/düzenle');
INSERT INTO `lang_definitions` VALUES (114158, 11714, 21, 'İzle/Yazdır');
INSERT INTO `lang_definitions` VALUES (114159, 11717, 21, 'Görünüm:');
INSERT INTO `lang_definitions` VALUES (114160, 11718, 21, 'VISA');
INSERT INTO `lang_definitions` VALUES (114161, 11719, 21, 'VISA/Mastercard/AMEX');
INSERT INTO `lang_definitions` VALUES (114162, 11721, 21, 'İç organ yaralanması travma/cerrahi');
INSERT INTO `lang_definitions` VALUES (114163, 11727, 21, 'Vizit Kategorisi');
INSERT INTO `lang_definitions` VALUES (114164, 11728, 21, 'Vizit Kategorisi:');
INSERT INTO `lang_definitions` VALUES (114165, 11729, 21, 'Vizit Tarihi');
INSERT INTO `lang_definitions` VALUES (114166, 11730, 21, 'Vizite darihi');
INSERT INTO `lang_definitions` VALUES (114167, 11734, 21, 'Vizit Formları');
INSERT INTO `lang_definitions` VALUES (114168, 11736, 21, 'Vizit Öyküsü');
INSERT INTO `lang_definitions` VALUES (114169, 11745, 21, 'Vizitler');
INSERT INTO `lang_definitions` VALUES (114170, 11746, 21, 'Vizitleri Yapan');
INSERT INTO `lang_definitions` VALUES (114171, 11751, 21, 'Vital Bulgular');
INSERT INTO `lang_definitions` VALUES (114172, 11752, 21, 'Vital Bulgular');
INSERT INTO `lang_definitions` VALUES (114173, 11753, 21, 'Vital Bulgular (Metrik)');
INSERT INTO `lang_definitions` VALUES (114174, 11754, 21, 'Vital Bulgular Formu Seçenekleri');
INSERT INTO `lang_definitions` VALUES (114175, 11756, 21, 'Ses');
INSERT INTO `lang_definitions` VALUES (114176, 11758, 21, 'Gönderilmiş Ses');
INSERT INTO `lang_definitions` VALUES (114177, 11763, 21, 'Kusma');
INSERT INTO `lang_definitions` VALUES (114178, 11767, 21, 'Ç');
INSERT INTO `lang_definitions` VALUES (114179, 11770, 21, 'Bel Çev');
INSERT INTO `lang_definitions` VALUES (114180, 11771, 21, 'Bel Çevresi');
INSERT INTO `lang_definitions` VALUES (114181, 11772, 21, 'Bekleme');
INSERT INTO `lang_definitions` VALUES (114182, 11773, 21, 'Randevusuz');
INSERT INTO `lang_definitions` VALUES (114183, 11776, 21, 'Walt Pennington');
INSERT INTO `lang_definitions` VALUES (114184, 11778, 21, 'Depo');
INSERT INTO `lang_definitions` VALUES (114185, 11782, 21, 'Depolar');
INSERT INTO `lang_definitions` VALUES (114186, 11783, 21, 'Ilık');
INSERT INTO `lang_definitions` VALUES (114187, 11786, 21, 'Uyarı');
INSERT INTO `lang_definitions` VALUES (114188, 11787, 21, 'UYARI');
INSERT INTO `lang_definitions` VALUES (114189, 11789, 21, 'Uyarı. Çek numarası veri tabanında daha önceden kayıtlı.');
INSERT INTO `lang_definitions` VALUES (114190, 11791, 21, 'Uyarı: Bugün bu hasta için bir vizit oluşturulmuş!');
INSERT INTO `lang_definitions` VALUES (114191, 11796, 21, 'Uyarı:Hasta ID si eşsiz değil');
INSERT INTO `lang_definitions` VALUES (114192, 11799, 21, 'UYARI: Bu, yüklenen dosyadan alınan veri ile konfigürasyon bilgisinin üzerine yazacak!');
INSERT INTO `lang_definitions` VALUES (114193, 11801, 21, 'Uyarılar');
INSERT INTO `lang_definitions` VALUES (114194, 11805, 21, 'Vadesi gelmiş borçlarınızı zamanında ödediğinizi takdir ediyoruz');
INSERT INTO `lang_definitions` VALUES (114195, 11809, 21, 'yukarıdaki hastanızı psikiyatri kliniğimizde değerlendirme ve tedavi için ayaktan hasta olarak gördük. Bu sevk nedeniyle teşekkür ederiz.');
INSERT INTO `lang_definitions` VALUES (114196, 11821, 21, 'Zayıflık');
INSERT INTO `lang_definitions` VALUES (114197, 11827, 21, 'Web Sitesi');
INSERT INTO `lang_definitions` VALUES (114198, 11832, 21, 'Çar');
INSERT INTO `lang_definitions` VALUES (114199, 11833, 21, 'Çarşamba');
INSERT INTO `lang_definitions` VALUES (114200, 11834, 21, 'Hafta');
INSERT INTO `lang_definitions` VALUES (114201, 11835, 21, 'hafta');
INSERT INTO `lang_definitions` VALUES (114202, 11836, 21, 'Hafta Görünümü');
INSERT INTO `lang_definitions` VALUES (114203, 11837, 21, 'Hafta (lar)');
INSERT INTO `lang_definitions` VALUES (114204, 11838, 21, 'Haftalık Etkilenmeler');
INSERT INTO `lang_definitions` VALUES (114205, 11840, 21, 'Haftalar');
INSERT INTO `lang_definitions` VALUES (114206, 11841, 21, 'Ağırlık');
INSERT INTO `lang_definitions` VALUES (114207, 11844, 21, 'Ağırlıkta Değişme');
INSERT INTO `lang_definitions` VALUES (114208, 11845, 21, 'Kilo kaybı');
INSERT INTO `lang_definitions` VALUES (114209, 11846, 21, 'Zayıflama kliniği');
INSERT INTO `lang_definitions` VALUES (114210, 11847, 21, 'Hoş Geldiniz');
INSERT INTO `lang_definitions` VALUES (114211, 11862, 21, 'Sayılacak olan nedir?');
INSERT INTO `lang_definitions` VALUES (114212, 11864, 21, 'Hırıltı:');
INSERT INTO `lang_definitions` VALUES (114213, 11865, 21, 'Hırıldama');
INSERT INTO `lang_definitions` VALUES (114214, 11866, 21, 'Hırıldama:');
INSERT INTO `lang_definitions` VALUES (114215, 11882, 21, 'İlgili taranmış veya kağıt belgeler nerede bulunabilir?');
INSERT INTO `lang_definitions` VALUES (114216, 11890, 21, 'Omurga incinmesi');
INSERT INTO `lang_definitions` VALUES (114217, 11891, 21, 'Beyaz');
INSERT INTO `lang_definitions` VALUES (114218, 11894, 21, 'Kim');
INSERT INTO `lang_definitions` VALUES (114219, 11895, 21, 'Kim yanıtladı?');
INSERT INTO `lang_definitions` VALUES (114220, 11897, 21, 'Dul');
INSERT INTO `lang_definitions` VALUES (114221, 11900, 21, 'Gezinme çerçevesinin piksel olarak genişliği');
INSERT INTO `lang_definitions` VALUES (114222, 11907, 21, 'Seçilen ile:');
INSERT INTO `lang_definitions` VALUES (114223, 11908, 21, 'eski ismi ile');
INSERT INTO `lang_definitions` VALUES (114224, 11911, 21, 'Kim ile bir mesaj bırakabiliriz?');
INSERT INTO `lang_definitions` VALUES (114225, 11912, 21, 'Alıkondu');
INSERT INTO `lang_definitions` VALUES (114226, 11913, 21, 'saatler içerisinde');
INSERT INTO `lang_definitions` VALUES (114227, 11914, 21, 'saatler içerisinde:');
INSERT INTO `lang_definitions` VALUES (114228, 11915, 21, 'dakikalar içerisinde');
INSERT INTO `lang_definitions` VALUES (114229, 11916, 21, 'dakikalar içerisinde:');
INSERT INTO `lang_definitions` VALUES (114230, 11919, 21, 'Güncellemesiz');
INSERT INTO `lang_definitions` VALUES (114231, 11920, 21, 'Tanık');
INSERT INTO `lang_definitions` VALUES (114232, 11921, 21, 'hf');
INSERT INTO `lang_definitions` VALUES (114233, 11922, 21, 'Normal sınırlarda');
INSERT INTO `lang_definitions` VALUES (114234, 11924, 21, 'Kadınlar');
INSERT INTO `lang_definitions` VALUES (114235, 11925, 21, 'Sadece Kadınlar');
INSERT INTO `lang_definitions` VALUES (114236, 11927, 21, 'İş');
INSERT INTO `lang_definitions` VALUES (114237, 11928, 21, 'İŞ NOTU');
INSERT INTO `lang_definitions` VALUES (114238, 11929, 21, 'İş Telefonu');
INSERT INTO `lang_definitions` VALUES (114239, 11930, 21, 'İş Telefon Numarası');
INSERT INTO `lang_definitions` VALUES (114240, 11931, 21, 'İş ile ilgili mi?');
INSERT INTO `lang_definitions` VALUES (114241, 11932, 21, 'İş/Eğitim/Hobiler');
INSERT INTO `lang_definitions` VALUES (114242, 11933, 21, 'İş/Okul Notu');
INSERT INTO `lang_definitions` VALUES (114243, 11934, 21, 'iş günü');
INSERT INTO `lang_definitions` VALUES (114244, 11936, 21, 'İşçi Tazminat Sağlık Planı');
INSERT INTO `lang_definitions` VALUES (114245, 11941, 21, 'Daha kötü');
INSERT INTO `lang_definitions` VALUES (114246, 11942, 21, 'Bakiye miktarın toplam hesaba uygulanmasını ister misiniz?');
INSERT INTO `lang_definitions` VALUES (114247, 11943, 21, 'Ödendi olarak işaretlenmelerini ister misiniz?');
INSERT INTO `lang_definitions` VALUES (114248, 11944, 21, 'Paylaştırmak istermisiniz?');
INSERT INTO `lang_definitions` VALUES (114249, 11945, 21, 'Bu hastanın dağılımını iptal etmek ister misiniz?');
INSERT INTO `lang_definitions` VALUES (114250, 11946, 21, 'Ödeme dağılımını silmek ister misiniz?');
INSERT INTO `lang_definitions` VALUES (114251, 11947, 21, 'Ödemeleri silmek ister misiniz?');
INSERT INTO `lang_definitions` VALUES (114252, 11948, 21, 'Ödemeleri değiştirmek ve bitirmek ister misiniz?');
INSERT INTO `lang_definitions` VALUES (114253, 11949, 21, 'Ödemeleri değiştirmek ister misiniz?');
INSERT INTO `lang_definitions` VALUES (114254, 11950, 21, 'Ödemeleri göndermek ve bitirmek ister misiniz?');
INSERT INTO `lang_definitions` VALUES (114255, 11951, 21, 'Ödemeleri göndermek ister misiniz?');
INSERT INTO `lang_definitions` VALUES (114256, 11952, 21, 'Kaydetmek ister misiniz?');
INSERT INTO `lang_definitions` VALUES (114257, 11953, 21, 'Bilek');
INSERT INTO `lang_definitions` VALUES (114258, 11954, 21, 'Bilek ve el');
INSERT INTO `lang_definitions` VALUES (114259, 11955, 21, 'Bilek Sorunları');
INSERT INTO `lang_definitions` VALUES (114260, 11956, 21, 'yaz');
INSERT INTO `lang_definitions` VALUES (114261, 11958, 21, 'iptal et');
INSERT INTO `lang_definitions` VALUES (114262, 11960, 21, 'korkunç');
INSERT INTO `lang_definitions` VALUES (114263, 11963, 21, 'WT');
INSERT INTO `lang_definitions` VALUES (114264, 11966, 21, 'x İptal');
INSERT INTO `lang_definitions` VALUES (114265, 11967, 21, 'x İptal');
INSERT INTO `lang_definitions` VALUES (114266, 11969, 21, 'Röntgen');
INSERT INTO `lang_definitions` VALUES (114267, 11970, 21, 'Röntgen filmi yorumu:');
INSERT INTO `lang_definitions` VALUES (114268, 11971, 21, 'Röntgen filmi yorumu:');
INSERT INTO `lang_definitions` VALUES (114269, 11975, 21, 'Sadece X12: Yedek İddiası');
INSERT INTO `lang_definitions` VALUES (114270, 11978, 21, 'X12 Partneri');
INSERT INTO `lang_definitions` VALUES (114271, 11979, 21, 'X12 Partnerleri');
INSERT INTO `lang_definitions` VALUES (114272, 11987, 21, 'Y');
INSERT INTO `lang_definitions` VALUES (114273, 11988, 21, 'yıl');
INSERT INTO `lang_definitions` VALUES (114274, 11989, 21, 'Yıl');
INSERT INTO `lang_definitions` VALUES (114275, 11990, 21, 'Yıl Görünümü');
INSERT INTO `lang_definitions` VALUES (114276, 11991, 21, 'Yıl(lar)');
INSERT INTO `lang_definitions` VALUES (114277, 11996, 21, 'Evet');
INSERT INTO `lang_definitions` VALUES (114278, 11997, 21, 'EVET');
INSERT INTO `lang_definitions` VALUES (114279, 11998, 21, 'evet');
INSERT INTO `lang_definitions` VALUES (114280, 11999, 21, 'EVET!');
INSERT INTO `lang_definitions` VALUES (114281, 12000, 21, 'Evet, Sil ve günlüğe kaydet');
INSERT INTO `lang_definitions` VALUES (114282, 12002, 21, 'Evet/Hayır');
INSERT INTO `lang_definitions` VALUES (114283, 12003, 21, 'Evet:');
INSERT INTO `lang_definitions` VALUES (114284, 12004, 21, 'Yidiş');
INSERT INTO `lang_definitions` VALUES (114285, 12008, 21, 'Dizi kalıbını kalıcı olarak değiştirmek üzeresiniz. Devam etmek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (114286, 12011, 21, 'Giriş döneminiz bitmek üzere. Önce şifrenizi değiştirin');
INSERT INTO `lang_definitions` VALUES (114287, 12012, 21, 'Bu olayı silme izniniz yok');
INSERT INTO `lang_definitions` VALUES (114288, 12013, 21, 'Bu olayı düzenleme izniniz yok');
INSERT INTO `lang_definitions` VALUES (114289, 12014, 21, 'Bunu yapmaya yetkiniz yok');
INSERT INTO `lang_definitions` VALUES (114290, 12016, 21, 'Bu ekibe erişim yetkiniz yok');
INSERT INTO `lang_definitions` VALUES (114291, 12017, 21, 'Konuları ekleme/düzenleme yetkiniz yok');
INSERT INTO `lang_definitions` VALUES (114292, 12019, 21, 'Bu görülmeyi görmeye yetkiniz yok');
INSERT INTO `lang_definitions` VALUES (114293, 12038, 21, 'Bu işleve doğrudan erişemezsiniz');
INSERT INTO `lang_definitions` VALUES (114294, 12050, 21, 'Bu sayfaya doğrudan erişemezsiniz');
INSERT INTO `lang_definitions` VALUES (114295, 12051, 21, 'Bir kategori için boş değer giremezsiniz');
INSERT INTO `lang_definitions` VALUES (114296, 12052, 21, 'Bir alt kategori için boş değer giremezsiniz');
INSERT INTO `lang_definitions` VALUES (114297, 12053, 21, 'Bir kalem için boş değer giremezsiniz');
INSERT INTO `lang_definitions` VALUES (114298, 12057, 21, 'Hiçbir işlem seçmediniz');
INSERT INTO `lang_definitions` VALUES (114299, 12058, 21, 'Bu notu görme/düzenleme yetkiniz yok');
INSERT INTO `lang_definitions` VALUES (114300, 12061, 21, 'Kilitlenmiş bir içeriği değiştirmeye çalıştınız. Bunu yapmak istiyorsanız kilidi kaldırın. Kilidi açmak için, \'/*lock::*/\', yazılı satırı silin');
INSERT INTO `lang_definitions` VALUES (114301, 12074, 21, 'Sadece metin .txt dosyalarını yükleyebilirsiniz.');
INSERT INTO `lang_definitions` VALUES (114302, 12076, 21, 'Yeni Hasta Görüşme formunda ön tanımlı yakınma olarak buraya metin koyabilirsiniz.');
INSERT INTO `lang_definitions` VALUES (114303, 12090, 21, 'Önce bir hasta seçmeli veya eklemelisiniz');
INSERT INTO `lang_definitions` VALUES (114304, 12091, 21, 'Önce bir görüşme seçmeli veya eklemelisiniz');
INSERT INTO `lang_definitions` VALUES (114305, 12093, 21, 'Bir vizit kategorisi seçmelisiniz');
INSERT INTO `lang_definitions` VALUES (114306, 12094, 21, 'Devam etmek için bazı alanları seçmelisiniz');
INSERT INTO `lang_definitions` VALUES (114307, 12104, 21, 'Bu testi çalıştırmanızın sebebi bu alacak başarıyla oluşturulmuş görünse de gerçek alacak dosyasının hiçbir beri içermemesi veya içermesi gereken bilgileri kısmen içermesidir. HCFA dosyalarında bu aşikardır çünkü insan okuyabilir, X12 alacaklarında bir alacağın uygun şekilde doldurulup doldurulmadığını kontrol etmek ise daha güç bir işlemdir.');
INSERT INTO `lang_definitions` VALUES (114308, 12122, 21, 'Bitiş tarihiniz geçersiz');
INSERT INTO `lang_definitions` VALUES (114309, 12123, 21, 'Olayınız silindi');
INSERT INTO `lang_definitions` VALUES (114310, 12124, 21, 'Olayınız değiştirildi');
INSERT INTO `lang_definitions` VALUES (114311, 12125, 21, 'Olayınız gönderildi');
INSERT INTO `lang_definitions` VALUES (114312, 12132, 21, 'Liste isminiz isimlendirme gereksinimlerine göre değiştirildi');
INSERT INTO `lang_definitions` VALUES (114313, 12134, 21, 'Bu kategori, işlem veya sonuç için isminiz');
INSERT INTO `lang_definitions` VALUES (114314, 12140, 21, 'Şifrenizin süresi doldu. Lütfen şifrenizi değiştiriniz.');
INSERT INTO `lang_definitions` VALUES (114315, 12141, 21, 'Şifrenizin süresinin dolacağı tarih:');
INSERT INTO `lang_definitions` VALUES (114316, 12143, 21, 'Şifrenizin süresi bugün doluyor. Lütfen şifrenizi değiştiriniz.');
INSERT INTO `lang_definitions` VALUES (114317, 12146, 21, 'Takvim konfigürasyonunuz ön tanımlı değerlere sıfırlandı');
INSERT INTO `lang_definitions` VALUES (114318, 12147, 21, 'Takvim konfigürasyonunuz güncellendi');
INSERT INTO `lang_definitions` VALUES (114319, 12148, 21, 'Tekrarlama sıklığınız bir tam sayı olmalı');
INSERT INTO `lang_definitions` VALUES (114320, 12149, 21, 'Tekrarlama sıklığınız en az 1 olmalı');
INSERT INTO `lang_definitions` VALUES (114321, 12151, 21, 'Başlama tarihiniz bitirme tarihinizden sonra');
INSERT INTO `lang_definitions` VALUES (114322, 12152, 21, 'Başlama tarihiniz geçersiz');
INSERT INTO `lang_definitions` VALUES (114323, 12153, 21, 'Göndermeniz başarısız oldu');
INSERT INTO `lang_definitions` VALUES (114324, 12156, 21, 'yyyy-aa-gg');
INSERT INTO `lang_definitions` VALUES (114325, 12157, 21, 'YYYY-AA-GG');
INSERT INTO `lang_definitions` VALUES (114326, 12158, 21, 'Bu belge ile ilgili yyyy-aa-gg tarihi');
INSERT INTO `lang_definitions` VALUES (114327, 12159, 21, 'yyyy-aa-gg tarihi yok');
INSERT INTO `lang_definitions` VALUES (114328, 12160, 21, 'yyyy.aa-gg doğum tarihi');
INSERT INTO `lang_definitions` VALUES (114329, 12161, 21, 'yyyy.aa-gg Doğum Tarihi');
INSERT INTO `lang_definitions` VALUES (114330, 12162, 21, 'yyyy.aa-gg son kullanım tarihi');
INSERT INTO `lang_definitions` VALUES (114331, 12163, 21, 'yyyy.aa-gg hastaneye yatış tarihi');
INSERT INTO `lang_definitions` VALUES (114332, 12164, 21, 'yyyy.aa-gg ameliyat tarihi veya ilaca başlama tarihi');
INSERT INTO `lang_definitions` VALUES (114333, 12165, 21, 'yyyy.aa-gg satın alma veya transfer tarihi');
INSERT INTO `lang_definitions` VALUES (114334, 12166, 21, 'yyyy.aa-gg iyi olma veya ilacı kesme tarihi');
INSERT INTO `lang_definitions` VALUES (114335, 12167, 21, 'yyyy.aa-gg Oyuna geri dönme tarihi');
INSERT INTO `lang_definitions` VALUES (114336, 12168, 21, 'yyyy.aa-gg servis tarihi');
INSERT INTO `lang_definitions` VALUES (114337, 12169, 21, 'yyyy.aa-gg bu mektubun tarihi');
INSERT INTO `lang_definitions` VALUES (114338, 12170, 21, 'yyyy.aa-gg Oyuna geri döndüğü tarih');
INSERT INTO `lang_definitions` VALUES (114339, 12171, 21, 'yyyy.aa-gg belge tarihi');
INSERT INTO `lang_definitions` VALUES (114340, 12173, 21, 'yyyy.aa-gg olay tarihi veya başlama tarihi');
INSERT INTO `lang_definitions` VALUES (114341, 12180, 21, 'yyyy.aa-gg bu olayın son günü tarihi');
INSERT INTO `lang_definitions` VALUES (114342, 12186, 21, 'Sıfır');
INSERT INTO `lang_definitions` VALUES (114343, 12188, 21, 'Posta kodu');
INSERT INTO `lang_definitions` VALUES (114344, 12189, 21, 'Posta kodu');
INSERT INTO `lang_definitions` VALUES (114345, 12191, 21, 'Posta kodu/Ülke');
INSERT INTO `lang_definitions` VALUES (114346, 12196, 21, 'Zulu');
INSERT INTO `lang_definitions` VALUES (114347, 12197, 21, 'fakat idi');
INSERT INTO `lang_definitions` VALUES (114348, 12198, 21, 'erişilemedi');
INSERT INTO `lang_definitions` VALUES (114349, 12199, 21, 'Gerçekten silmek istiyor musunuz?');
INSERT INTO `lang_definitions` VALUES (114350, 12200, 21, 'İlaç');
INSERT INTO `lang_definitions` VALUES (114351, 12201, 21, 'epostalar gönderilmedi');
INSERT INTO `lang_definitions` VALUES (114352, 12202, 21, 'Gönderen:');
INSERT INTO `lang_definitions` VALUES (114353, 12203, 21, 'oluşturuldu.');
INSERT INTO `lang_definitions` VALUES (114354, 12204, 21, 'tekrar açıldı.');
INSERT INTO `lang_definitions` VALUES (114355, 12205, 21, 'Öykü');
INSERT INTO `lang_definitions` VALUES (114356, 12206, 21, 'bir sayı değil');
INSERT INTO `lang_definitions` VALUES (114357, 12207, 21, 'tekrar faturalandırmak için hazır');
INSERT INTO `lang_definitions` VALUES (114358, 12208, 21, 'Sol Alt Lob');
INSERT INTO `lang_definitions` VALUES (114359, 12209, 21, 'Parti');
INSERT INTO `lang_definitions` VALUES (114360, 12210, 21, 'Orijinal Medicaid Referans No:');
INSERT INTO `lang_definitions` VALUES (114361, 12211, 21, 'dak');
INSERT INTO `lang_definitions` VALUES (114362, 12212, 21, 'bulunamadı!');
INSERT INTO `lang_definitions` VALUES (114363, 12213, 21, 'Bazı tarayıcılardaki farklı özellikler nedeniyle aşağıdaki çıktı ekrana ani sıçramalarla gelebilir, birkaç saniyelik uzun duraksamalar olabilir, program çökmüş gibi görünebilir. Durum bu değildir. n sonunda çıktı satır satır görüntülenir. Altta sıralı sayılar görülebilir. Bir şey olmuyor gibi görünse de program çalışmaya devam etmektedir. Bu rakamlar fatura içeriği ile aralıklıdır ve bu da normaldir');
INSERT INTO `lang_definitions` VALUES (114364, 12214, 21, 'reçete limitlerine ulaşıyor :');
INSERT INTO `lang_definitions` VALUES (114365, 12215, 21, 'Bitiş:');
INSERT INTO `lang_definitions` VALUES (114366, 12216, 21, 'Güncelleme başarısız. Veritabanında yok mu?');
INSERT INTO `lang_definitions` VALUES (114367, 12217, 21, 'sadece faturalandı olarak işaretlendi.');
INSERT INTO `lang_definitions` VALUES (114368, 12218, 21, 'başarıyla kuyruğa atıldı.');
INSERT INTO `lang_definitions` VALUES (114369, 12219, 21, '! Vizit olmadan terk etti');
INSERT INTO `lang_definitions` VALUES (114370, 12220, 21, '\" kod için');
INSERT INTO `lang_definitions` VALUES (114371, 12221, 21, '\" Takvim ayarlarında İŞARETLENDİ!');
INSERT INTO `lang_definitions` VALUES (114372, 12222, 21, '# Sig/mal konu');
INSERT INTO `lang_definitions` VALUES (114373, 12223, 21, '# tablet');
INSERT INTO `lang_definitions` VALUES (114374, 12224, 21, '$');
INSERT INTO `lang_definitions` VALUES (114375, 12225, 21, '$ kodlaması bitti');
INSERT INTO `lang_definitions` VALUES (114376, 12226, 21, '$label (yyyy-aa-gg):');
INSERT INTO `lang_definitions` VALUES (114377, 12227, 21, '%');
INSERT INTO `lang_definitions` VALUES (114378, 12228, 21, '% İptal Edildi < 24 saat');
INSERT INTO `lang_definitions` VALUES (114379, 12229, 21, '% İptal Edildi < 24 saat');
INSERT INTO `lang_definitions` VALUES (114380, 12230, 21, 'bulunmalı fakat yok.');
INSERT INTO `lang_definitions` VALUES (114381, 12231, 21, '(% herhangi bir dizinin, _ herhangi bir karakterin yerini tutar)');
INSERT INTO `lang_definitions` VALUES (114382, 12233, 21, '(Geri)');
INSERT INTO `lang_definitions` VALUES (114383, 12234, 21, '(Düzenlemek için tıklayınız)');
INSERT INTO `lang_definitions` VALUES (114384, 12236, 21, '(Daha Fazla)');
INSERT INTO `lang_definitions` VALUES (114385, 12237, 21, '(Yeni Hasta)');
INSERT INTO `lang_definitions` VALUES (114386, 12238, 21, '(Notlar ve Yetkiler)');
INSERT INTO `lang_definitions` VALUES (114387, 12239, 21, '(Hasta Notları)');
INSERT INTO `lang_definitions` VALUES (114388, 12240, 21, '(Bunlardan birisini seçin veya kendi başlığınızı yazın)');
INSERT INTO `lang_definitions` VALUES (114389, 12241, 21, 'Değeri değiştirmek için (shift-)Tıklayın veya sürükleyin');
INSERT INTO `lang_definitions` VALUES (114390, 12242, 21, '* Hatırlatma yapıldı');
INSERT INTO `lang_definitions` VALUES (114391, 12243, 21, '** Lütfen ameliyatları Konulara taşıyınız!');
INSERT INTO `lang_definitions` VALUES (114392, 12244, 21, '**Gerekli');
INSERT INTO `lang_definitions` VALUES (114393, 12245, 21, '*+ Çizelge çekildi');
INSERT INTO `lang_definitions` VALUES (114394, 12249, 21, '- Hiç');
INSERT INTO `lang_definitions` VALUES (114395, 12253, 21, '.');
INSERT INTO `lang_definitions` VALUES (114396, 12254, 21, '0');
INSERT INTO `lang_definitions` VALUES (114397, 12255, 21, '0-10');
INSERT INTO `lang_definitions` VALUES (114398, 12256, 21, '0-24');
INSERT INTO `lang_definitions` VALUES (114399, 12259, 21, '1');
INSERT INTO `lang_definitions` VALUES (114400, 12260, 21, '1 = Kuzey Amerika. Diğer ülke kodları için http://www.wtng.info/');
INSERT INTO `lang_definitions` VALUES (114401, 12265, 21, '1.İstirahat 2.İki gün buz 3. Kompresyon ayakta solukluk veya uyuşma oluncaya kadar sargıyı yerinde bırak 4. Ayak ve bacağı yükselt');
INSERT INTO `lang_definitions` VALUES (114402, 12266, 21, '11-14');
INSERT INTO `lang_definitions` VALUES (114403, 12267, 21, '12 saat');
INSERT INTO `lang_definitions` VALUES (114404, 12268, 21, '15-19');
INSERT INTO `lang_definitions` VALUES (114405, 12272, 21, '2');
INSERT INTO `lang_definitions` VALUES (114406, 12278, 21, '20-24');
INSERT INTO `lang_definitions` VALUES (114407, 12287, 21, '2111-13');
INSERT INTO `lang_definitions` VALUES (114408, 12288, 21, '24 saat');
INSERT INTO `lang_definitions` VALUES (114409, 12289, 21, '25');
INSERT INTO `lang_definitions` VALUES (114410, 12290, 21, '25-29');
INSERT INTO `lang_definitions` VALUES (114411, 12293, 21, '2inci');
INSERT INTO `lang_definitions` VALUES (114412, 12297, 21, '3 ay');
INSERT INTO `lang_definitions` VALUES (114413, 12299, 21, 'Günde 3 kez');
INSERT INTO `lang_definitions` VALUES (114414, 12301, 21, '30-34');
INSERT INTO `lang_definitions` VALUES (114415, 12302, 21, '35-39');
INSERT INTO `lang_definitions` VALUES (114416, 12304, 21, '3üncü');
INSERT INTO `lang_definitions` VALUES (114417, 12308, 21, '4 ay');
INSERT INTO `lang_definitions` VALUES (114418, 12310, 21, 'Günde 4 kez');
INSERT INTO `lang_definitions` VALUES (114419, 12312, 21, '40-44');
INSERT INTO `lang_definitions` VALUES (114420, 12313, 21, '45');
INSERT INTO `lang_definitions` VALUES (114421, 12314, 21, '465.9, IYE');
INSERT INTO `lang_definitions` VALUES (114422, 12315, 21, '466.0, Bronşit, Akut, başka türlü sınıflandırılmamış');
INSERT INTO `lang_definitions` VALUES (114423, 12316, 21, '486.0, Pnömoni, Akut');
INSERT INTO `lang_definitions` VALUES (114424, 12317, 21, '491.21,KOAH alevlenmesi');
INSERT INTO `lang_definitions` VALUES (114425, 12318, 21, '491.8, Bronşit, Kronik');
INSERT INTO `lang_definitions` VALUES (114426, 12319, 21, '493.92,Astım, Akut Alevlenme');
INSERT INTO `lang_definitions` VALUES (114427, 12320, 21, '496.0, KOAH');
INSERT INTO `lang_definitions` VALUES (114428, 12323, 21, '4 üncü');
INSERT INTO `lang_definitions` VALUES (114429, 12329, 21, '519.7, Bronkospazm');
INSERT INTO `lang_definitions` VALUES (114430, 12331, 21, '5 inci');
INSERT INTO `lang_definitions` VALUES (114431, 12334, 21, '6 ay');
INSERT INTO `lang_definitions` VALUES (114432, 12337, 21, '6 ıncı');
INSERT INTO `lang_definitions` VALUES (114433, 12342, 21, '824.0 Kırık, medial malleol, kapalı');
INSERT INTO `lang_definitions` VALUES (114434, 12343, 21, '824.2 Kırk, lateral malleol, kapalı');
INSERT INTO `lang_definitions` VALUES (114435, 12344, 21, '824.6 Kırık, Trimalleolar, kapalı');
INSERT INTO `lang_definitions` VALUES (114436, 12345, 21, '825.32 Kırık Naviküler (ayak bileği)');
INSERT INTO `lang_definitions` VALUES (114437, 12346, 21, '825.35 Kırık, 5. Metatars kaidesi');
INSERT INTO `lang_definitions` VALUES (114438, 12347, 21, '845.00 ayak bileği burkulması başka yerde tanımlanmamış');
INSERT INTO `lang_definitions` VALUES (114439, 12348, 21, '845.01 Medial Lig.(Deltoid) incinmesi');
INSERT INTO `lang_definitions` VALUES (114440, 12349, 21, '845.02 Burkulma, kalkaneal, fibular');
INSERT INTO `lang_definitions` VALUES (114441, 12351, 21, '99212 Yerleşmiş - Komplikasyonsuz');
INSERT INTO `lang_definitions` VALUES (114442, 12352, 21, '99213 Yerleşmiş - düşük karmaşıklıkta');
INSERT INTO `lang_definitions` VALUES (114443, 12353, 21, '< Muayene odasında');
INSERT INTO `lang_definitions` VALUES (114444, 12357, 21, '> Çıkış Yaptı');
INSERT INTO `lang_definitions` VALUES (114445, 12361, 21, '? Gelmedi');
INSERT INTO `lang_definitions` VALUES (114446, 12362, 21, '@ Geldi');
INSERT INTO `lang_definitions` VALUES (114447, 12364, 21, '[Görünümü Değiştir]');
INSERT INTO `lang_definitions` VALUES (114448, 12365, 21, '[Son Görüşme Tarihi]');
INSERT INTO `lang_definitions` VALUES (114449, 12366, 21, '[Son Görüşmeden Beri Gün]');
INSERT INTO `lang_definitions` VALUES (114450, 12367, 21, '[Müstahaklıklar]');
INSERT INTO `lang_definitions` VALUES (114451, 12368, 21, '[Açık Hesapları Dışarı Aktar]');
INSERT INTO `lang_definitions` VALUES (114452, 12369, 21, '[tavsiye edilmiyor]');
INSERT INTO `lang_definitions` VALUES (114453, 12370, 21, '[Görüşme Sayısı]');
INSERT INTO `lang_definitions` VALUES (114454, 12371, 21, '[Raporlar]');
INSERT INTO `lang_definitions` VALUES (114455, 12372, 21, '[Hepsini Seç]');
INSERT INTO `lang_definitions` VALUES (114456, 12373, 21, '[Defter-i Kebir SQL]');
INSERT INTO `lang_definitions` VALUES (114457, 12374, 21, '[Toplu İşlemi Başlat]');
INSERT INTO `lang_definitions` VALUES (114458, 12375, 21, '[Günlüğü Gör]');
INSERT INTO `lang_definitions` VALUES (114459, 12376, 21, '[Yazdırılabilir Raporu Gör]');
INSERT INTO `lang_definitions` VALUES (114460, 12378, 21, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (114461, 12379, 21, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (114462, 12380, 21, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (114463, 12381, 21, '~ geç geldi.');
INSERT INTO `lang_definitions` VALUES (114464, 1, 22, 'A');
INSERT INTO `lang_definitions` VALUES (114465, 2, 22, 'Numer czeku lub rachunku do identyfikacji płatności');
INSERT INTO `lang_definitions` VALUES (114466, 4, 22, 'Certifikat klienta dla użytkownika administracyjnego');
INSERT INTO `lang_definitions` VALUES (114467, 6, 22, 'Dokument kliniczny w załączeniu.');
INSERT INTO `lang_definitions` VALUES (114468, 7, 22, 'Dokument kliniczny w załączeniu.');
INSERT INTO `lang_definitions` VALUES (114469, 8, 22, 'Kod tego typu jest już wybrany. Najpierw usuń pole, jeśli chcesz je zastąpić.');
INSERT INTO `lang_definitions` VALUES (114470, 13, 22, 'Wymagany jest dystybutor');
INSERT INTO `lang_definitions` VALUES (114471, 17, 22, 'Formularz GCAC powinien być dodany do tej wizyty');
INSERT INTO `lang_definitions` VALUES (114472, 19, 22, 'Duża aplikacja, taka jak openEMR, jest używana przez wielu użytkowników o różnych rolach i stopniach odpowiedzialności. Konieczne jest, aby dostęp do różnych części programu był przyznawany użytkownikom w oparciu o potrzebne im informacje. Aby to osiągnąć, używa się list kontroli dostępu (ACL).');
INSERT INTO `lang_definitions` VALUES (114473, 20, 22, 'Wymagany jest numer serii');
INSERT INTO `lang_definitions` VALUES (114474, 21, 22, 'Wymagany jest numer serii!');
INSERT INTO `lang_definitions` VALUES (114475, 22, 22, 'Mała litera');
INSERT INTO `lang_definitions` VALUES (114476, 28, 22, 'Numer');
INSERT INTO `lang_definitions` VALUES (114477, 29, 22, 'Aby wygenerować ten raport, należy wybrać pacjenta');
INSERT INTO `lang_definitions` VALUES (114478, 30, 22, 'Pacjent z tym numerem ID już istnieje');
INSERT INTO `lang_definitions` VALUES (114479, 31, 22, 'Pacjent o tym nazwisku już istnieje');
INSERT INTO `lang_definitions` VALUES (114480, 32, 22, 'Pacjent z tym PESELem istnieje');
INSERT INTO `lang_definitions` VALUES (114481, 33, 22, 'Wymagana jest płatność! Wprowadź pozycję w wierszu płatności.');
INSERT INTO `lang_definitions` VALUES (114482, 36, 22, 'Liczba dodatnia pokaże wiele przeszłych wizyt na widżecie na ekranie Podsumowanie Pacjenta (liczba ujemna pokaże poprzednie wizyty w kolejności malejącej)');
INSERT INTO `lang_definitions` VALUES (114483, 37, 22, 'Dodatnia liczba pokaże wiele poprzednich spotkań na Widget w pacjencie ekranie Podsumowanie.');
INSERT INTO `lang_definitions` VALUES (114484, 38, 22, 'Wybrano produkt, ale w tym formularzu nie ma sekcji produktu.');
INSERT INTO `lang_definitions` VALUES (114485, 43, 22, 'Źródło skierowania może być określone dla każdej wizyty');
INSERT INTO `lang_definitions` VALUES (114486, 44, 22, 'Wymagany jest odpowiadający kod IPPF!');
INSERT INTO `lang_definitions` VALUES (114487, 46, 22, 'Krótki opis tej grupy, który pojawi się po najechaniu kursorem na nowo utworzoną grupę (ARO).');
INSERT INTO `lang_definitions` VALUES (114488, 49, 22, 'Znak specjalny');
INSERT INTO `lang_definitions` VALUES (114489, 53, 22, 'Unikalna wartość identyfikująca to pole, nie widoczna dla użytkownika');
INSERT INTO `lang_definitions` VALUES (114490, 55, 22, 'Wizyta już istnieje dla tej grupy dzisiaj. Kliknij Anuluj, aby ją otworzyć, lub OK, aby kontynuować tworzenie nowej.');
INSERT INTO `lang_definitions` VALUES (114491, 56, 22, 'Wizyta tego pacjenta dzisiaj już istnieje. Wybierz Cancel by ją otworzyć lub wybierz OK by kontynuować tworzenie nowej wizyty.');
INSERT INTO `lang_definitions` VALUES (114492, 57, 22, 'przed posiłkiem');
INSERT INTO `lang_definitions` VALUES (114493, 58, 22, 'rano');
INSERT INTO `lang_definitions` VALUES (114494, 60, 22, 'A/F Prawo Level:');
INSERT INTO `lang_definitions` VALUES (114495, 62, 22, 'AB');
INSERT INTO `lang_definitions` VALUES (114496, 63, 22, 'Skrót');
INSERT INTO `lang_definitions` VALUES (114497, 64, 22, 'Ropień:');
INSERT INTO `lang_definitions` VALUES (114498, 65, 22, 'brzuszny');
INSERT INTO `lang_definitions` VALUES (114499, 66, 22, 'Nośne cztery (4) czynności:');
INSERT INTO `lang_definitions` VALUES (114500, 67, 22, 'Abn');
INSERT INTO `lang_definitions` VALUES (114501, 68, 22, 'ABN1');
INSERT INTO `lang_definitions` VALUES (114502, 70, 22, 'Odchylenie');
INSERT INTO `lang_definitions` VALUES (114503, 71, 22, 'Nieprawidłowy wynik badania krwi');
INSERT INTO `lang_definitions` VALUES (114504, 72, 22, 'Nieprawidłowy wzrost włosów');
INSERT INTO `lang_definitions` VALUES (114505, 73, 22, 'Nieprawidłowy wynik badania mammograficznego');
INSERT INTO `lang_definitions` VALUES (114506, 75, 22, 'Aborcja');
INSERT INTO `lang_definitions` VALUES (114507, 76, 22, 'Problemy podczas zabiegu aborcji');
INSERT INTO `lang_definitions` VALUES (114508, 77, 22, 'Metoda aborcji');
INSERT INTO `lang_definitions` VALUES (114509, 78, 22, 'Kategorie związane z aborcją');
INSERT INTO `lang_definitions` VALUES (114510, 79, 22, 'Aborcje');
INSERT INTO `lang_definitions` VALUES (114511, 80, 22, 'O');
INSERT INTO `lang_definitions` VALUES (114512, 81, 22, 'O Panelu Administracyjnym Portalu');
INSERT INTO `lang_definitions` VALUES (114513, 82, 22, 'O kalendarzu');
INSERT INTO `lang_definitions` VALUES (114514, 83, 22, 'O Twoim Portalu');
INSERT INTO `lang_definitions` VALUES (114515, 85, 22, 'Nieobecności według Diagnozy');
INSERT INTO `lang_definitions` VALUES (114516, 86, 22, 'Zaakceptować');
INSERT INTO `lang_definitions` VALUES (114517, 87, 22, 'Zebrane przypisanie');
INSERT INTO `lang_definitions` VALUES (114518, 89, 22, 'Przyjęcie płatności za');
INSERT INTO `lang_definitions` VALUES (114519, 90, 22, 'Przyjęcie płatności za');
INSERT INTO `lang_definitions` VALUES (114520, 91, 22, 'Akceptacja przypisania');
INSERT INTO `lang_definitions` VALUES (114521, 93, 22, 'Kontrola dostępu');
INSERT INTO `lang_definitions` VALUES (114522, 94, 22, 'Administracja Dostępu Listy Kontrolnej');
INSERT INTO `lang_definitions` VALUES (114523, 95, 22, 'Pomoc Dostępu Listy Kontrolnej');
INSERT INTO `lang_definitions` VALUES (114524, 96, 22, 'Dostęp Listy Kontrolnej');
INSERT INTO `lang_definitions` VALUES (114525, 98, 22, 'Data dostępu');
INSERT INTO `lang_definitions` VALUES (114526, 99, 22, 'Odmowa dostępu');
INSERT INTO `lang_definitions` VALUES (114527, 101, 22, 'dostęp wzbroniony');
INSERT INTO `lang_definitions` VALUES (114528, 102, 22, 'Dostęp wzbroniony');
INSERT INTO `lang_definitions` VALUES (114529, 103, 22, 'Dostep nie Autoryzowany');
INSERT INTO `lang_definitions` VALUES (114530, 104, 22, 'Dostęp do Twoich Danych Medycznych');
INSERT INTO `lang_definitions` VALUES (114531, 105, 22, 'Dostęp portalu Pacjenta');
INSERT INTO `lang_definitions` VALUES (114532, 106, 22, 'zdarzenie');
INSERT INTO `lang_definitions` VALUES (114533, 107, 22, 'Konto');
INSERT INTO `lang_definitions` VALUES (114534, 109, 22, 'Identyfikator konta wydany dla usługi NewCrop eRx, służący do oddzielania kont dla wielu urządzeń.');
INSERT INTO `lang_definitions` VALUES (114535, 110, 22, 'Identyfikator konta wydany dla usługi Weno eRx.');
INSERT INTO `lang_definitions` VALUES (114536, 111, 22, 'Identyfikator konta wydany dla usługi eRx Twoich klinik.');
INSERT INTO `lang_definitions` VALUES (114537, 112, 22, 'Konto zostało zatwierdzone. Wysłać nowe dane uwierzytelniające?');
INSERT INTO `lang_definitions` VALUES (114538, 113, 22, 'Nazwa konta');
INSERT INTO `lang_definitions` VALUES (114539, 114, 22, 'Nazwa konta wystawiona dla usługi NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (114540, 115, 22, 'Hasło konta wydane dla usługi NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (114541, 117, 22, 'Księgowość');
INSERT INTO `lang_definitions` VALUES (114542, 118, 22, 'Księgowość');
INSERT INTO `lang_definitions` VALUES (114543, 119, 22, 'Rachunkowość');
INSERT INTO `lang_definitions` VALUES (114544, 122, 22, 'Bóle');
INSERT INTO `lang_definitions` VALUES (114545, 123, 22, 'Potwierdzam jako mój podpis elektroniczny');
INSERT INTO `lang_definitions` VALUES (114546, 124, 22, 'Potwierdzenie Oczekiwana (ISA14)');
INSERT INTO `lang_definitions` VALUES (114547, 125, 22, 'Podziękowania, licencjonowania i certyfikacji');
INSERT INTO `lang_definitions` VALUES (114548, 126, 22, 'ACL');
INSERT INTO `lang_definitions` VALUES (114549, 127, 22, 'ACL administracja');
INSERT INTO `lang_definitions` VALUES (114550, 129, 22, 'ACL administracja nie Autoryzowany');
INSERT INTO `lang_definitions` VALUES (114551, 133, 22, 'trądzik');
INSERT INTO `lang_definitions` VALUES (114552, 136, 22, 'działać');
INSERT INTO `lang_definitions` VALUES (114553, 137, 22, 'Ustaw Date');
INSERT INTO `lang_definitions` VALUES (114554, 138, 22, 'Działanie');
INSERT INTO `lang_definitions` VALUES (114555, 139, 22, 'Działanie podjęte');
INSERT INTO `lang_definitions` VALUES (114556, 140, 22, 'Czas podjętego działania');
INSERT INTO `lang_definitions` VALUES (114557, 141, 22, 'Użytkownik działania');
INSERT INTO `lang_definitions` VALUES (114558, 142, 22, 'Działania');
INSERT INTO `lang_definitions` VALUES (114559, 143, 22, 'Aktywuj');
INSERT INTO `lang_definitions` VALUES (114560, 144, 22, 'aktywować CCR / CCD Sprawozdawczość');
INSERT INTO `lang_definitions` VALUES (114561, 145, 22, 'aktywuj, aby posortować kolumnę rosnąco');
INSERT INTO `lang_definitions` VALUES (114562, 146, 22, 'aktywuj, aby posortować kolumnę malejąco');
INSERT INTO `lang_definitions` VALUES (114563, 148, 22, 'Aktywny');
INSERT INTO `lang_definitions` VALUES (114564, 150, 22, 'Alarm aktywny');
INSERT INTO `lang_definitions` VALUES (114565, 152, 22, 'Aktywne zasady alarmowania');
INSERT INTO `lang_definitions` VALUES (114566, 153, 22, 'Aktywne alarmy/przypomnienia');
INSERT INTO `lang_definitions` VALUES (114567, 154, 22, 'Aktywny wykres');
INSERT INTO `lang_definitions` VALUES (114568, 155, 22, 'Aktywny Katalog - Baza Domen');
INSERT INTO `lang_definitions` VALUES (114569, 156, 22, 'Aktywny Katalog - Kontrolerzy Domen');
INSERT INTO `lang_definitions` VALUES (114570, 157, 22, 'Aktywny Katalog - Przyrostek Konta');
INSERT INTO `lang_definitions` VALUES (114571, 158, 22, 'Aktywne Spotkanie');
INSERT INTO `lang_definitions` VALUES (114572, 160, 22, 'Aktywne listy');
INSERT INTO `lang_definitions` VALUES (114573, 161, 22, 'Aktywne Wiadomości');
INSERT INTO `lang_definitions` VALUES (114574, 162, 22, 'Aktywny Pacjent');
INSERT INTO `lang_definitions` VALUES (114575, 163, 22, 'Aktywne Plany');
INSERT INTO `lang_definitions` VALUES (114576, 164, 22, 'Aktywne Szablony');
INSERT INTO `lang_definitions` VALUES (114577, 173, 22, 'Działalność');
INSERT INTO `lang_definitions` VALUES (114578, 174, 22, 'Rodzaj działalności');
INSERT INTO `lang_definitions` VALUES (114579, 175, 22, 'Aktualne Wpływy');
INSERT INTO `lang_definitions` VALUES (114580, 176, 22, 'Ostrość');
INSERT INTO `lang_definitions` VALUES (114581, 177, 22, 'OSTROŚĆ');
INSERT INTO `lang_definitions` VALUES (114582, 178, 22, 'Ostrość z Autorefrakcją');
INSERT INTO `lang_definitions` VALUES (114583, 179, 22, 'Ostrość z Soczewkami Kontaktowymi');
INSERT INTO `lang_definitions` VALUES (114584, 180, 22, 'Ostrość z korekcją');
INSERT INTO `lang_definitions` VALUES (114585, 184, 22, 'Ostrość bez korekcji');
INSERT INTO `lang_definitions` VALUES (114586, 185, 22, 'Ostre zatrucie/Zespół Abstynencyjny');
INSERT INTO `lang_definitions` VALUES (114587, 186, 22, 'Ostra manifestacja choroby przewlekłej');
INSERT INTO `lang_definitions` VALUES (114588, 187, 22, 'Zaostrzenie');
INSERT INTO `lang_definitions` VALUES (114589, 188, 22, 'Reklama sprawdzona');
INSERT INTO `lang_definitions` VALUES (114590, 189, 22, 'Dodaj');
INSERT INTO `lang_definitions` VALUES (114591, 190, 22, 'dodaj');
INSERT INTO `lang_definitions` VALUES (114592, 191, 22, 'DODAJ');
INSERT INTO `lang_definitions` VALUES (114593, 192, 22, 'Dodaj firmę');
INSERT INTO `lang_definitions` VALUES (114594, 193, 22, 'Dodaj warunek');
INSERT INTO `lang_definitions` VALUES (114595, 195, 22, 'Dodaj Nowe Przypomnienie');
INSERT INTO `lang_definitions` VALUES (114596, 197, 22, 'Dodaj Aptekę');
INSERT INTO `lang_definitions` VALUES (114597, 199, 22, 'Dodaj wszystkie reguły do planu');
INSERT INTO `lang_definitions` VALUES (114598, 200, 22, 'dodaj zdarzenie dla');
INSERT INTO `lang_definitions` VALUES (114599, 202, 22, 'Dodaj jako nową notatkę');
INSERT INTO `lang_definitions` VALUES (114600, 203, 22, 'Dodaj jako Nowy');
INSERT INTO `lang_definitions` VALUES (114601, 204, 22, 'Dodaj jako nowego pacjenta');
INSERT INTO `lang_definitions` VALUES (114602, 206, 22, 'Dodaj przyciski');
INSERT INTO `lang_definitions` VALUES (114603, 207, 22, 'Dodaj przyciski na znaki specjalne, Teksty, które mają być wyświetlane w górnej części edytora o włączenie do tekstu na Click');
INSERT INTO `lang_definitions` VALUES (114604, 208, 22, 'Dodaj kategorię');
INSERT INTO `lang_definitions` VALUES (114605, 209, 22, 'Dodaj stałą');
INSERT INTO `lang_definitions` VALUES (114606, 210, 22, 'Dodaj Kontekst');
INSERT INTO `lang_definitions` VALUES (114607, 211, 22, 'Dodaj współpłatność');
INSERT INTO `lang_definitions` VALUES (114608, 212, 22, 'Dodaj kryteria');
INSERT INTO `lang_definitions` VALUES (114609, 213, 22, 'Dodaj przycisk użytkownika');
INSERT INTO `lang_definitions` VALUES (114610, 215, 22, 'Dodaj wymagane uprawnienia, przenosząc elementy (ACO) z kolumny \"Nieaktywne\" do kolumny \"Aktywne\".');
INSERT INTO `lang_definitions` VALUES (114611, 216, 22, 'Dodaj diagnozę');
INSERT INTO `lang_definitions` VALUES (114612, 217, 22, 'Dodaj lek');
INSERT INTO `lang_definitions` VALUES (114613, 219, 22, 'Dodaj wizytę');
INSERT INTO `lang_definitions` VALUES (114614, 220, 22, 'Dodaj wizytę');
INSERT INTO `lang_definitions` VALUES (114615, 221, 22, 'Dodaj wizytę/notatki');
INSERT INTO `lang_definitions` VALUES (114616, 222, 22, 'Dodaj ośrodek');
INSERT INTO `lang_definitions` VALUES (114617, 223, 22, 'Dodaj pole');
INSERT INTO `lang_definitions` VALUES (114618, 224, 22, 'Dodaj poniższe wiersze do pliku konfiguracyjnego serwera Apache');
INSERT INTO `lang_definitions` VALUES (114619, 225, 22, 'Dodaj grupę');
INSERT INTO `lang_definitions` VALUES (114620, 227, 22, 'Dodaj kod ICD');
INSERT INTO `lang_definitions` VALUES (114621, 228, 22, 'Dodaj szczepienie');
INSERT INTO `lang_definitions` VALUES (114622, 229, 22, 'Dodaj nie jest upoważniony!');
INSERT INTO `lang_definitions` VALUES (114623, 230, 22, 'Dodaj problem');
INSERT INTO `lang_definitions` VALUES (114624, 232, 22, 'Dodaj język');
INSERT INTO `lang_definitions` VALUES (114625, 234, 22, 'Dodaj ręcznie');
INSERT INTO `lang_definitions` VALUES (114626, 236, 22, 'Dodaj modyfikatory dla tego typu pola. Możesz wybrać więcej niż jeden.');
INSERT INTO `lang_definitions` VALUES (114627, 237, 22, 'Dodaj Więcej Elementów');
INSERT INTO `lang_definitions` VALUES (114628, 238, 22, 'Dodaj nowe');
INSERT INTO `lang_definitions` VALUES (114629, 239, 22, 'Dodaj nowe');
INSERT INTO `lang_definitions` VALUES (114630, 240, 22, 'Dodaj nową kategorię:');
INSERT INTO `lang_definitions` VALUES (114631, 241, 22, 'Dodaj nowe certyfikaty do pliku konfiguracyjnego serwera Apache');
INSERT INTO `lang_definitions` VALUES (114632, 242, 22, 'Dodaj Nowy Komponent');
INSERT INTO `lang_definitions` VALUES (114633, 243, 22, 'Dodaj Nowe Komponenty');
INSERT INTO `lang_definitions` VALUES (114634, 244, 22, 'Dodaj nową bazę danych');
INSERT INTO `lang_definitions` VALUES (114635, 248, 22, 'DODAJ NOWĄ GRUPĘ');
INSERT INTO `lang_definitions` VALUES (114636, 249, 22, 'Dodaj nową grupę');
INSERT INTO `lang_definitions` VALUES (114637, 250, 22, 'Dodaj Nowe Zagadnienie');
INSERT INTO `lang_definitions` VALUES (114638, 251, 22, 'Dodaj nowy nr serii i transakcję');
INSERT INTO `lang_definitions` VALUES (114639, 253, 22, 'Dodaj nową notatkę');
INSERT INTO `lang_definitions` VALUES (114640, 254, 22, 'Dodaj nową notatkę');
INSERT INTO `lang_definitions` VALUES (114641, 255, 22, 'Dodaj nowego partnera');
INSERT INTO `lang_definitions` VALUES (114642, 256, 22, 'Dodaj Nowego Pacjenta');
INSERT INTO `lang_definitions` VALUES (114643, 257, 22, 'DODAJ NOWY PLAN');
INSERT INTO `lang_definitions` VALUES (114644, 264, 22, 'Dodaj notatkę');
INSERT INTO `lang_definitions` VALUES (114645, 265, 22, 'Dodaj aktywność na portalu lokalnym');
INSERT INTO `lang_definitions` VALUES (114646, 266, 22, 'Dodaj pakiet');
INSERT INTO `lang_definitions` VALUES (114647, 267, 22, 'Dodaj Pacjenta');
INSERT INTO `lang_definitions` VALUES (114648, 268, 22, 'Dodaj dane pacjenta');
INSERT INTO `lang_definitions` VALUES (114649, 269, 22, 'Dodaj receptę');
INSERT INTO `lang_definitions` VALUES (114650, 270, 22, 'Dodaj Procedura');
INSERT INTO `lang_definitions` VALUES (114651, 271, 22, 'Dodaj numer lekarza');
INSERT INTO `lang_definitions` VALUES (114652, 272, 22, 'Dodaj przypomnienie');
INSERT INTO `lang_definitions` VALUES (114653, 273, 22, 'Dodaj kurację odwykową');
INSERT INTO `lang_definitions` VALUES (114654, 274, 22, 'Dodaj regułę');
INSERT INTO `lang_definitions` VALUES (114655, 276, 22, 'Dodaj Czas do Daty');
INSERT INTO `lang_definitions` VALUES (114656, 277, 22, 'Dodaj do');
INSERT INTO `lang_definitions` VALUES (114657, 281, 22, 'Dodaj do listy leków');
INSERT INTO `lang_definitions` VALUES (114658, 282, 22, 'Dodaj najwyższy poziom');
INSERT INTO `lang_definitions` VALUES (114659, 283, 22, 'Dodaj transakcję');
INSERT INTO `lang_definitions` VALUES (114660, 284, 22, 'Dodaj użytkownika');
INSERT INTO `lang_definitions` VALUES (114661, 285, 22, 'Dodaj użytkownika do grupy');
INSERT INTO `lang_definitions` VALUES (114662, 286, 22, 'Dodaj{{Additional Measurements}}');
INSERT INTO `lang_definitions` VALUES (114663, 287, 22, 'Dodaj/Edytuj eReceptę');
INSERT INTO `lang_definitions` VALUES (114664, 289, 22, 'Dodaj/Edytuj transakcję pacjenta');
INSERT INTO `lang_definitions` VALUES (114665, 290, 22, 'dodano');
INSERT INTO `lang_definitions` VALUES (114666, 291, 22, 'Dodawanie');
INSERT INTO `lang_definitions` VALUES (114667, 292, 22, 'Dodawanie uczestnika');
INSERT INTO `lang_definitions` VALUES (114668, 293, 22, 'Dodawanie danych demograficznych jest nieautoryzowane.');
INSERT INTO `lang_definitions` VALUES (114669, 294, 22, 'Nie udało się dodać elementu do śledzenia');
INSERT INTO `lang_definitions` VALUES (114670, 295, 22, 'Zespół Addisona');
INSERT INTO `lang_definitions` VALUES (114671, 296, 22, 'Zespół Addisona');
INSERT INTO `lang_definitions` VALUES (114672, 297, 22, 'Dodatkowe atrybuty');
INSERT INTO `lang_definitions` VALUES (114673, 299, 22, 'Dodatkowa Data:');
INSERT INTO `lang_definitions` VALUES (114674, 300, 22, 'Dodatkowa Diagnoza:');
INSERT INTO `lang_definitions` VALUES (114675, 301, 22, 'Dodatkowy Wywiad');
INSERT INTO `lang_definitions` VALUES (114676, 305, 22, 'Dodatkowa historia');
INSERT INTO `lang_definitions` VALUES (114677, 306, 22, 'Dodatkowe notatki do historii');
INSERT INTO `lang_definitions` VALUES (114678, 307, 22, 'Dodatkowe informacje');
INSERT INTO `lang_definitions` VALUES (114679, 310, 22, 'Dodatkowe badania lab.');
INSERT INTO `lang_definitions` VALUES (114680, 311, 22, 'Dodatkowe notatki');
INSERT INTO `lang_definitions` VALUES (114681, 313, 22, 'Dodatkowe informacje i objaśnienia do tego wyniku lub zalecenia');
INSERT INTO `lang_definitions` VALUES (114682, 314, 22, 'Dodatkowe notatki:');
INSERT INTO `lang_definitions` VALUES (114683, 315, 22, 'Dodatkowe notatki:');
INSERT INTO `lang_definitions` VALUES (114684, 317, 22, 'Dodatkowe notatki dot. RTG:');
INSERT INTO `lang_definitions` VALUES (114685, 318, 22, 'Dodatkowo, odpowiedni pakiet US Snomed Extension można importować osobno po zainstalowaniu wersji międzynarodowej (wersja angielska) Wydania Snomed');
INSERT INTO `lang_definitions` VALUES (114686, 320, 22, 'dodajtylko');
INSERT INTO `lang_definitions` VALUES (114687, 321, 22, 'dodajtylko - można odczytać i dodać, ale nie modyfikować');
INSERT INTO `lang_definitions` VALUES (114688, 322, 22, 'Książka adresowa');
INSERT INTO `lang_definitions` VALUES (114689, 323, 22, 'Książka adresowa');
INSERT INTO `lang_definitions` VALUES (114690, 324, 22, 'Adres');
INSERT INTO `lang_definitions` VALUES (114691, 325, 22, 'Adres i kod pocztowy');
INSERT INTO `lang_definitions` VALUES (114692, 326, 22, 'Adres i województwo');
INSERT INTO `lang_definitions` VALUES (114693, 327, 22, 'Książka adresowa');
INSERT INTO `lang_definitions` VALUES (114694, 328, 22, 'Wpis w książce adresowej dla instytucji wykonującej tę procedurę');
INSERT INTO `lang_definitions` VALUES (114695, 329, 22, 'Wpis w książce adresowej dla dystrybutora');
INSERT INTO `lang_definitions` VALUES (114696, 330, 22, 'Wpis w książce adresowej dla sprzedawcy');
INSERT INTO `lang_definitions` VALUES (114697, 331, 22, 'Typy książki adresów');
INSERT INTO `lang_definitions` VALUES (114698, 332, 22, 'Etykieta Adesowa');
INSERT INTO `lang_definitions` VALUES (114699, 333, 22, 'Etykiety Adresowe');
INSERT INTO `lang_definitions` VALUES (114700, 336, 22, 'Adres Tylko');
INSERT INTO `lang_definitions` VALUES (114701, 337, 22, 'Adres, Miasto, Województwo i kod pocztowy');
INSERT INTO `lang_definitions` VALUES (114702, 338, 22, 'Adres, Województwo i kod pocztowy');
INSERT INTO `lang_definitions` VALUES (114703, 339, 22, 'Adres 1');
INSERT INTO `lang_definitions` VALUES (114704, 340, 22, 'Adres 2');
INSERT INTO `lang_definitions` VALUES (114705, 342, 22, 'ADRESAT');
INSERT INTO `lang_definitions` VALUES (114706, 343, 22, 'DODAJ{{Bifocal Add}}');
INSERT INTO `lang_definitions` VALUES (114707, 344, 22, 'DODAJ{{Near Add}}');
INSERT INTO `lang_definitions` VALUES (114708, 345, 22, 'przym');
INSERT INTO `lang_definitions` VALUES (114709, 346, 22, 'Kwota przym');
INSERT INTO `lang_definitions` VALUES (114710, 347, 22, 'wyregulować');
INSERT INTO `lang_definitions` VALUES (114711, 348, 22, 'Korekta');
INSERT INTO `lang_definitions` VALUES (114712, 349, 22, 'korekta AMT');
INSERT INTO `lang_definitions` VALUES (114713, 350, 22, 'Przyczyny korekty');
INSERT INTO `lang_definitions` VALUES (114714, 353, 22, 'Dostosowanie wartości dla kodu');
INSERT INTO `lang_definitions` VALUES (114715, 354, 22, 'Adm dostosować');
INSERT INTO `lang_definitions` VALUES (114716, 355, 22, 'Admin');
INSERT INTO `lang_definitions` VALUES (114717, 356, 22, 'Adres e-mail Admina');
INSERT INTO `lang_definitions` VALUES (114718, 357, 22, 'Droga podawania');
INSERT INTO `lang_definitions` VALUES (114719, 359, 22, 'Zarządzane');
INSERT INTO `lang_definitions` VALUES (114720, 360, 22, 'Zarządzane przez');
INSERT INTO `lang_definitions` VALUES (114721, 362, 22, 'podawany Site');
INSERT INTO `lang_definitions` VALUES (114722, 363, 22, 'Administracja');
INSERT INTO `lang_definitions` VALUES (114723, 365, 22, 'Administracja witryny');
INSERT INTO `lang_definitions` VALUES (114724, 366, 22, 'Administratorzy');
INSERT INTO `lang_definitions` VALUES (114725, 367, 22, 'Administratorzy mogą wszystko');
INSERT INTO `lang_definitions` VALUES (114726, 368, 22, 'Przyznaj Data');
INSERT INTO `lang_definitions` VALUES (114727, 370, 22, 'Dziecko Adoptowane');
INSERT INTO `lang_definitions` VALUES (114728, 371, 22, 'Badania Przesiewowe i Prospektywne Masy Ciała Dorosłych');
INSERT INTO `lang_definitions` VALUES (114729, 372, 22, 'Badania Przesiewowe i Prospektywne Masy Ciała Dorosłych (CQM)');
INSERT INTO `lang_definitions` VALUES (114730, 373, 22, 'Dyrektywa Advance');
INSERT INTO `lang_definitions` VALUES (114731, 374, 22, 'dyrektywy Advance');
INSERT INTO `lang_definitions` VALUES (114732, 375, 22, 'Advance Dyrektywy Ostrzeżenie');
INSERT INTO `lang_definitions` VALUES (114733, 376, 22, 'OPcje Zaawansowane');
INSERT INTO `lang_definitions` VALUES (114734, 377, 22, 'Zaawansowany');
INSERT INTO `lang_definitions` VALUES (114735, 380, 22, 'Wskazówka');
INSERT INTO `lang_definitions` VALUES (114736, 382, 22, 'wpływać na normalne');
INSERT INTO `lang_definitions` VALUES (114737, 384, 22, 'po');
INSERT INTO `lang_definitions` VALUES (114738, 386, 22, 'Wezwania po godzinach');
INSERT INTO `lang_definitions` VALUES (114739, 387, 22, 'Po migracji ze starych mechanizmów hasło gdzie hasła są przechowywane w tabeli użytkowników bez soli jest kompletna, ta flaga powinna być ustawiona na false, aby tylko uwierzytelniania przez nowe metody jest możliwe');
INSERT INTO `lang_definitions` VALUES (114740, 388, 22, 'Po wykonaniu wyżej konfiguracjach, zaimportować certyfikat klienta administratora do przeglądarki i ponowne uruchomienie serwera Apache (puste hasło).');
INSERT INTO `lang_definitions` VALUES (114741, 390, 22, 'Po zapisaniu w formacie PDF, kliknij przycisk [Zobacz Logowanie], aby sprawdzić błędy.');
INSERT INTO `lang_definitions` VALUES (114742, 393, 22, 'Po zapisaniu pliku tekstowym (s), kliknij przycisk [Zobacz Logowanie], aby sprawdzić błędy.');
INSERT INTO `lang_definitions` VALUES (114743, 396, 22, 'Po zapisaniu partii, kliknij przycisk [Zobacz Logowanie], aby sprawdzić błędy.');
INSERT INTO `lang_definitions` VALUES (114744, 399, 22, 'Po informacje są prawidłowo wprowadzone, kliknij przycisk Zapisz.');
INSERT INTO `lang_definitions` VALUES (114745, 404, 22, 'Opieka planowanie');
INSERT INTO `lang_definitions` VALUES (114746, 406, 22, 'Ponownie');
INSERT INTO `lang_definitions` VALUES (114747, 407, 22, 'Wiek');
INSERT INTO `lang_definitions` VALUES (114748, 409, 22, 'Wiek przez');
INSERT INTO `lang_definitions` VALUES (114749, 410, 22, 'Kategoria Wiekowa');
INSERT INTO `lang_definitions` VALUES (114750, 411, 22, 'Dane Wiek jest poza zakresem.');
INSERT INTO `lang_definitions` VALUES (114751, 412, 22, 'Format wyświetlania wieku');
INSERT INTO `lang_definitions` VALUES (114752, 413, 22, 'Format wiek \"wieku od\" nie jest prawidłowy');
INSERT INTO `lang_definitions` VALUES (114753, 414, 22, 'Format wiek \"wieku do\" nie jest prawidłowy');
INSERT INTO `lang_definitions` VALUES (114754, 415, 22, 'Wiek od');
INSERT INTO `lang_definitions` VALUES (114755, 416, 22, 'Wiek w latach Zmian formatu wyświetlania');
INSERT INTO `lang_definitions` VALUES (114756, 417, 22, 'Maks. Wiek');
INSERT INTO `lang_definitions` VALUES (114757, 418, 22, 'Min. Wiek');
INSERT INTO `lang_definitions` VALUES (114758, 419, 22, 'Zakres Wieku');
INSERT INTO `lang_definitions` VALUES (114759, 421, 22, 'Kolumny Aging:');
INSERT INTO `lang_definitions` VALUES (114760, 423, 22, 'Albański');
INSERT INTO `lang_definitions` VALUES (114761, 424, 22, 'Alkohol');
INSERT INTO `lang_definitions` VALUES (114762, 425, 22, 'Spożycie alkoholu');
INSERT INTO `lang_definitions` VALUES (114763, 426, 22, 'Użycie Alkoholu');
INSERT INTO `lang_definitions` VALUES (114764, 427, 22, 'Alarm');
INSERT INTO `lang_definitions` VALUES (114765, 428, 22, 'Liczba alarmów');
INSERT INTO `lang_definitions` VALUES (114766, 435, 22, 'Alarmy');
INSERT INTO `lang_definitions` VALUES (114767, 436, 22, 'Log Alarmów');
INSERT INTO `lang_definitions` VALUES (114768, 437, 22, 'Alerty/Przypomnienia');
INSERT INTO `lang_definitions` VALUES (114769, 439, 22, 'Aleut');
INSERT INTO `lang_definitions` VALUES (114770, 440, 22, 'Wszystko');
INSERT INTO `lang_definitions` VALUES (114771, 441, 22, 'WSZYSTKO');
INSERT INTO `lang_definitions` VALUES (114772, 442, 22, 'wszystko');
INSERT INTO `lang_definitions` VALUES (114773, 443, 22, 'Wszystko (Zestawiony format A)');
INSERT INTO `lang_definitions` VALUES (114774, 444, 22, 'Wszystko (Zestawiony format B)');
INSERT INTO `lang_definitions` VALUES (114775, 445, 22, 'Wszystkie (narastająco)');
INSERT INTO `lang_definitions` VALUES (114776, 446, 22, 'Wszystkie Alerty');
INSERT INTO `lang_definitions` VALUES (114777, 447, 22, 'Wszystkie automatyczne obliczenia pomiarów (AMC)');
INSERT INTO `lang_definitions` VALUES (114778, 448, 22, 'Wszystkie kategorie');
INSERT INTO `lang_definitions` VALUES (114779, 450, 22, 'Wszystkie kody');
INSERT INTO `lang_definitions` VALUES (114780, 452, 22, 'Wszystkie daty');
INSERT INTO `lang_definitions` VALUES (114781, 453, 22, 'Wszystkie dni');
INSERT INTO `lang_definitions` VALUES (114782, 454, 22, 'Wydarzenie całodniowe');
INSERT INTO `lang_definitions` VALUES (114783, 455, 22, 'Wszystkie dane demograficzne, z pola wyszukiwania i powielania czekiem');
INSERT INTO `lang_definitions` VALUES (114784, 457, 22, 'Wszystkie oddziały');
INSERT INTO `lang_definitions` VALUES (114785, 458, 22, 'Wszystkie schorzenia/problemy');
INSERT INTO `lang_definitions` VALUES (114786, 459, 22, 'Wszystkie języki dopuszczone');
INSERT INTO `lang_definitions` VALUES (114787, 460, 22, 'Wszystkie Wiadomości');
INSERT INTO `lang_definitions` VALUES (114788, 462, 22, 'Całość lub część imienia');
INSERT INTO `lang_definitions` VALUES (114789, 463, 22, 'Całość lub część nazwiska');
INSERT INTO `lang_definitions` VALUES (114790, 464, 22, 'Całość lub część organizacji');
INSERT INTO `lang_definitions` VALUES (114791, 466, 22, 'Wszyscy Pacjenci');
INSERT INTO `lang_definitions` VALUES (114792, 468, 22, 'Wszystkie produkty');
INSERT INTO `lang_definitions` VALUES (114793, 469, 22, 'Wszyscy lekarze');
INSERT INTO `lang_definitions` VALUES (114794, 470, 22, 'Wszystkie Korekta i ujemne:');
INSERT INTO `lang_definitions` VALUES (114795, 475, 22, 'Wszystkie tematy');
INSERT INTO `lang_definitions` VALUES (114796, 478, 22, 'Wszyscy użytkownicy');
INSERT INTO `lang_definitions` VALUES (114797, 479, 22, 'Uczulony/a');
INSERT INTO `lang_definitions` VALUES (114798, 481, 22, 'Alergie');
INSERT INTO `lang_definitions` VALUES (114799, 484, 22, 'Alergie:');
INSERT INTO `lang_definitions` VALUES (114800, 485, 22, 'Alergia');
INSERT INTO `lang_definitions` VALUES (114801, 486, 22, 'Import Allergy pomyślnie');
INSERT INTO `lang_definitions` VALUES (114802, 487, 22, 'Lista problemów alergicznych');
INSERT INTO `lang_definitions` VALUES (114803, 488, 22, 'Reakcja alergiczna');
INSERT INTO `lang_definitions` VALUES (114804, 490, 22, 'Ostrzeżenie: alergia');
INSERT INTO `lang_definitions` VALUES (114805, 491, 22, 'Przeznaczyć');
INSERT INTO `lang_definitions` VALUES (114806, 492, 22, 'Pozwól');
INSERT INTO `lang_definitions` VALUES (114807, 493, 22, 'Pozwól Administratorom usunąć Pacjentów');
INSERT INTO `lang_definitions` VALUES (114808, 494, 22, 'Pozwól, aby wszystkie dostępne języki były dostępne dla użytkownika podczas logowania.');
INSERT INTO `lang_definitions` VALUES (114809, 496, 22, 'Umożliwić tworzenie roszczeń zawierających diagnozę, ale nie procedury i opłaty. Większość klinik nie chcą tego.');
INSERT INTO `lang_definitions` VALUES (114810, 497, 22, 'Pozwól Debugowanie język');
INSERT INTO `lang_definitions` VALUES (114811, 500, 22, 'Pozwól na wiadomości email');
INSERT INTO `lang_definitions` VALUES (114812, 501, 22, 'Pozwalasz na wiadomości email?');
INSERT INTO `lang_definitions` VALUES (114813, 502, 22, 'Pozwalasz na email?');
INSERT INTO `lang_definitions` VALUES (114814, 503, 22, 'Pozwól Encounter roszczeń');
INSERT INTO `lang_definitions` VALUES (114815, 506, 22, 'Umożliwienie wymiany informacji zdrowotnej');
INSERT INTO `lang_definitions` VALUES (114816, 508, 22, 'Zezwala na dostępnianie informacji o szczepieniach');
INSERT INTO `lang_definitions` VALUES (114817, 509, 22, 'Zezwala na wykorzystanie rejestru szczepień');
INSERT INTO `lang_definitions` VALUES (114818, 512, 22, 'Pozwól na wiadomości pocztowe');
INSERT INTO `lang_definitions` VALUES (114819, 514, 22, 'Zezwalaj na wiele baz danych');
INSERT INTO `lang_definitions` VALUES (114820, 516, 22, 'Pozwól na uwagę');
INSERT INTO `lang_definitions` VALUES (114821, 533, 22, 'Włącz dostęp do portalu pacjenta');
INSERT INTO `lang_definitions` VALUES (114822, 541, 22, 'Pozwól na SMSy');
INSERT INTO `lang_definitions` VALUES (114823, 542, 22, 'Pozwalasz na wiadomości tekstowe SMS?');
INSERT INTO `lang_definitions` VALUES (114824, 544, 22, 'Pozwól złożone zdarzenia do uaktywnione natychmiast?');
INSERT INTO `lang_definitions` VALUES (114825, 545, 22, 'Zgadzasz się na kontakt telefoniczny?');
INSERT INTO `lang_definitions` VALUES (114826, 546, 22, 'Zezwalaj na użycie z wieloma bazami danych');
INSERT INTO `lang_definitions` VALUES (114827, 547, 22, 'Pozwól użytkownikom publikować wydarzenia globalne');
INSERT INTO `lang_definitions` VALUES (114828, 548, 22, 'Pozwól użytkownikom publikować kalendarze osobiste');
INSERT INTO `lang_definitions` VALUES (114829, 553, 22, ' Zezwól na połączenie tel.');
INSERT INTO `lang_definitions` VALUES (114830, 554, 22, 'Zgoda na wiadomości głosowe');
INSERT INTO `lang_definitions` VALUES (114831, 555, 22, 'Dopuszczalne');
INSERT INTO `lang_definitions` VALUES (114832, 556, 22, 'Dopuszczalne języki');
INSERT INTO `lang_definitions` VALUES (114833, 558, 22, 'Dozwolony(c)');
INSERT INTO `lang_definitions` VALUES (114834, 566, 22, 'już istnieje');
INSERT INTO `lang_definitions` VALUES (114835, 568, 22, 'już istnieje.');
INSERT INTO `lang_definitions` VALUES (114836, 570, 22, 'Jest już w użyciu - wybierz inny identyfikator');
INSERT INTO `lang_definitions` VALUES (114837, 571, 22, 'Jest już w użyciu - wybierz inny tytuł');
INSERT INTO `lang_definitions` VALUES (114838, 573, 22, 'Adres alternatywny');
INSERT INTO `lang_definitions` VALUES (114839, 577, 22, 'zmień');
INSERT INTO `lang_definitions` VALUES (114840, 584, 22, 'Alternatywnie, można użyć strony wyszukiwania, aby przesłać elektroniczny przelewu (X12 835) pliku, które zostały otrzymane od zleceniodawcy lub Clearinghouse. Można to zrobić, klikając przycisk Przeglądaj i wybrać plik który chcesz przesłać, a następnie kliknij Wyszukiwanie Aby przesłać plik i wyświetlić odpowiednie faktury. W tym przypadku pozostałe parametry wymienione powyżej, a nie stosuje się jest ignorowany. Przesyłanie zapisuje plik, ale jeszcze nie przetwarza zawartość - który sporządzono oddzielnie, jak opisano poniżej.');
INSERT INTO `lang_definitions` VALUES (114841, 586, 22, 'AM');
INSERT INTO `lang_definitions` VALUES (114842, 587, 22, 'Program AM');
INSERT INTO `lang_definitions` VALUES (114843, 588, 22, 'Niedowidzenie');
INSERT INTO `lang_definitions` VALUES (114844, 591, 22, 'Ambulatoryjne Cantrum Chirurgii');
INSERT INTO `lang_definitions` VALUES (114845, 592, 22, 'AMC');
INSERT INTO `lang_definitions` VALUES (114846, 593, 22, 'AMC Tracking');
INSERT INTO `lang_definitions` VALUES (114847, 594, 22, 'AMC-2011');
INSERT INTO `lang_definitions` VALUES (114848, 595, 22, 'AMC-2011');
INSERT INTO `lang_definitions` VALUES (114849, 596, 22, 'AMC-2014 Stage I');
INSERT INTO `lang_definitions` VALUES (114850, 597, 22, 'AMC-2014 Stage II');
INSERT INTO `lang_definitions` VALUES (114851, 600, 22, 'Zmiany istniejącego listu');
INSERT INTO `lang_definitions` VALUES (114852, 602, 22, 'Poprawka od');
INSERT INTO `lang_definitions` VALUES (114853, 603, 22, 'Lista poprawek');
INSERT INTO `lang_definitions` VALUES (114854, 604, 22, 'Status poprawek');
INSERT INTO `lang_definitions` VALUES (114855, 605, 22, 'Poprawki');
INSERT INTO `lang_definitions` VALUES (114856, 606, 22, 'Poprawki (zapisz, dodajtylko opcjonalnie)');
INSERT INTO `lang_definitions` VALUES (114857, 609, 22, 'Poprawki dla');
INSERT INTO `lang_definitions` VALUES (114858, 610, 22, 'Amerykanin rdzenny');
INSERT INTO `lang_definitions` VALUES (114859, 611, 22, 'Amerykanin rdzenny i Alaska tubylec');
INSERT INTO `lang_definitions` VALUES (114860, 612, 22, 'AMEX');
INSERT INTO `lang_definitions` VALUES (114861, 613, 22, 'amharski');
INSERT INTO `lang_definitions` VALUES (114862, 614, 22, 'Kwota');
INSERT INTO `lang_definitions` VALUES (114863, 615, 22, 'Podana kwota');
INSERT INTO `lang_definitions` VALUES (114864, 617, 22, 'Wysokość opłat');
INSERT INTO `lang_definitions` VALUES (114865, 618, 22, 'Wysokość opłat:');
INSERT INTO `lang_definitions` VALUES (114866, 619, 22, 'Do zapłaty');
INSERT INTO `lang_definitions` VALUES (114867, 620, 22, 'Należność za wcześniejsze usługi');
INSERT INTO `lang_definitions` VALUES (114868, 621, 22, 'Należność za bieżącą wizytę');
INSERT INTO `lang_definitions` VALUES (114869, 622, 22, 'Kwota wpłacona');
INSERT INTO `lang_definitions` VALUES (114870, 623, 22, 'Kwota:');
INSERT INTO `lang_definitions` VALUES (114871, 625, 22, 'Amslera');
INSERT INTO `lang_definitions` VALUES (114872, 626, 22, 'Kwota zapowiadane');
INSERT INTO `lang_definitions` VALUES (114873, 628, 22, 'Wiadomość e-mail z nowymi danymi uwierzytelniającymi Twojego konta zostanie wysłana na podany wcześniej adres e-mail. Nadal możesz przeglądać lub edytować dowolną część swoich informacji, używając górnych przycisków, aby przejść do odpowiednich paneli. Uupewnij się, że podałeś poprawny adres e-mail. Jeśli po otrzymaniu poświadczeń  masz problemy z dostępem do portalu, skontaktuj się z administratorem.');
INSERT INTO `lang_definitions` VALUES (114874, 630, 22, 'Dla zdarzeń cyklicznych wymagane jest podanie daty zakończenia późniejszej od daty rozpoczęcia!');
INSERT INTO `lang_definitions` VALUES (114875, 632, 22, 'Wystąpił błąd podczas dumpingu internetowej OpenEMR drzewo katalogów');
INSERT INTO `lang_definitions` VALUES (114876, 633, 22, 'Wystąpił błąd podczas dumpingu phpGACL drzewo katalogów internetowych');
INSERT INTO `lang_definitions` VALUES (114877, 634, 22, 'Wystąpił błąd podczas dumpingu SQL-Ledger drzewo katalogów internetowych');
INSERT INTO `lang_definitions` VALUES (114878, 638, 22, 'Niepełne GCAC problem został stworzony i powiązane. Ktoś będzie musiał wypełnić później.');
INSERT INTO `lang_definitions` VALUES (114879, 644, 22, 'Nieoczekiwany błąd.');
INSERT INTO `lang_definitions` VALUES (114880, 646, 22, 'Wielka litera');
INSERT INTO `lang_definitions` VALUES (114881, 648, 22, 'i');
INSERT INTO `lang_definitions` VALUES (114882, 649, 22, 'i');
INSERT INTO `lang_definitions` VALUES (114883, 650, 22, 'I');
INSERT INTO `lang_definitions` VALUES (114884, 651, 22, 'i');
INSERT INTO `lang_definitions` VALUES (114885, 652, 22, 'i wszystkie podległe dane? Akcja będzie się zalogować');
INSERT INTO `lang_definitions` VALUES (114886, 653, 22, 'i modyfikator');
INSERT INTO `lang_definitions` VALUES (114887, 654, 22, 'i przetwarzane.');
INSERT INTO `lang_definitions` VALUES (114888, 656, 22, 'i zrestartuj serwer Apache.');
INSERT INTO `lang_definitions` VALUES (114889, 657, 22, 'a przyczyną jest');
INSERT INTO `lang_definitions` VALUES (114890, 659, 22, 'Anemia');
INSERT INTO `lang_definitions` VALUES (114891, 660, 22, 'Kostka');
INSERT INTO `lang_definitions` VALUES (114892, 661, 22, 'Kostka + pięta');
INSERT INTO `lang_definitions` VALUES (114893, 662, 22, 'Formularz oceny kostki');
INSERT INTO `lang_definitions` VALUES (114894, 663, 22, 'Problemy z kostką');
INSERT INTO `lang_definitions` VALUES (114895, 664, 22, 'Zesztywniające zapalenie stawów kręgosłupa');
INSERT INTO `lang_definitions` VALUES (114896, 665, 22, 'Zesztywniające zapalenie stawów kręgosłupa');
INSERT INTO `lang_definitions` VALUES (114897, 666, 22, 'Anoreksja');
INSERT INTO `lang_definitions` VALUES (114898, 667, 22, 'Inną rzeczą, jaką możesz zrobić, w oknie wysyłania żądania jest wtórna rozliczeniowych. W przypadku wybrania tej opcji przed zapisaniem, a następnie powództwo zostanie ponownie otwarty i kolejki na stronie płatności, i będą przetwarzane w następnym okresie rozliczeniowym.');
INSERT INTO `lang_definitions` VALUES (114899, 671, 22, 'przed');
INSERT INTO `lang_definitions` VALUES (114900, 676, 22, 'Anus nl, no odbytnicy tkliwość / masa');
INSERT INTO `lang_definitions` VALUES (114901, 677, 22, 'Niepokój');
INSERT INTO `lang_definitions` VALUES (114902, 679, 22, 'Dowolna');
INSERT INTO `lang_definitions` VALUES (114903, 682, 22, 'Dowolna kategoria');
INSERT INTO `lang_definitions` VALUES (114904, 688, 22, 'Którakolwiek część kodu lub jego opisu');
INSERT INTO `lang_definitions` VALUES (114905, 689, 22, 'Którakolwiek część nazwy specjalności');
INSERT INTO `lang_definitions` VALUES (114906, 690, 22, 'Którakolwiek część identyfikatora lub nazwy leku');
INSERT INTO `lang_definitions` VALUES (114907, 691, 22, 'Którakolwiek część identyfikatora lub nazwy szczepienia');
INSERT INTO `lang_definitions` VALUES (114908, 692, 22, 'Każda część nazwisko pacjenta, lub  \"nazwisko, imię \" lub  \"XY \"');
INSERT INTO `lang_definitions` VALUES (114909, 693, 22, 'Wszelkie inne istotne informacje');
INSERT INTO `lang_definitions` VALUES (114910, 699, 22, 'Klucz API do bramki SMS.');
INSERT INTO `lang_definitions` VALUES (114911, 703, 22, 'Bezdech');
INSERT INTO `lang_definitions` VALUES (114912, 710, 22, 'Wygląd');
INSERT INTO `lang_definitions` VALUES (114913, 711, 22, 'Wygląd.');
INSERT INTO `lang_definitions` VALUES (114914, 714, 22, 'Dodaj tę notatkę');
INSERT INTO `lang_definitions` VALUES (114915, 716, 22, 'Dodaj do istniejącej nototki');
INSERT INTO `lang_definitions` VALUES (114916, 717, 22, 'Dodaj do tej notatki');
INSERT INTO `lang_definitions` VALUES (114917, 718, 22, 'Dodaj do tej notatki');
INSERT INTO `lang_definitions` VALUES (114918, 719, 22, 'Appendektomia');
INSERT INTO `lang_definitions` VALUES (114919, 721, 22, 'Obowiązujące Pacjenci');
INSERT INTO `lang_definitions` VALUES (114920, 722, 22, 'Aplikacja');
INSERT INTO `lang_definitions` VALUES (114921, 723, 22, 'Nazwa aplikacji dla strony logowania i głównego tytułu okna.');
INSERT INTO `lang_definitions` VALUES (114922, 724, 22, 'Kod Receiver Aplikacja (GS03 - Jeśli puste ISA08 będą używane)');
INSERT INTO `lang_definitions` VALUES (114923, 725, 22, 'Zastosowanie Sender Code (GS02)');
INSERT INTO `lang_definitions` VALUES (114924, 726, 22, 'Tytuł aplikacji');
INSERT INTO `lang_definitions` VALUES (114925, 727, 22, 'Dotyczy postaci narządy i wykres wzrostu');
INSERT INTO `lang_definitions` VALUES (114926, 729, 22, 'Zastosuj zmiany do obecnego przypadku jedynie do tego i wszystkich zdarzeń przyszłych, lub do wszystkich wystąpień?');
INSERT INTO `lang_definitions` VALUES (114927, 730, 22, 'stosuje się do danego obszaru');
INSERT INTO `lang_definitions` VALUES (114928, 731, 22, 'stosować na skórę');
INSERT INTO `lang_definitions` VALUES (114929, 732, 22, 'Stosowanie');
INSERT INTO `lang_definitions` VALUES (114930, 733, 22, 'Zastosowaniu poprawki na miejscu');
INSERT INTO `lang_definitions` VALUES (114931, 734, 22, 'Wizyta');
INSERT INTO `lang_definitions` VALUES (114932, 735, 22, 'Kategoria wizyty');
INSERT INTO `lang_definitions` VALUES (114933, 736, 22, 'Data wizyty');
INSERT INTO `lang_definitions` VALUES (114934, 742, 22, 'Styl wyświetlania wizyt');
INSERT INTO `lang_definitions` VALUES (114935, 744, 22, 'Zasady przypominani o wizytach');
INSERT INTO `lang_definitions` VALUES (114936, 746, 22, 'Status wizyty');
INSERT INTO `lang_definitions` VALUES (114937, 747, 22, 'Statusy wizyt');
INSERT INTO `lang_definitions` VALUES (114938, 748, 22, 'Powołanie w ramach');
INSERT INTO `lang_definitions` VALUES (114939, 749, 22, 'Powołanie / Wydarzenie Kolor');
INSERT INTO `lang_definitions` VALUES (114940, 750, 22, 'Wizyty');
INSERT INTO `lang_definitions` VALUES (114941, 751, 22, 'Nominacje (zapis opcjonalny)');
INSERT INTO `lang_definitions` VALUES (114942, 752, 22, 'Nominacje (pisać wsome opcjonalnie)');
INSERT INTO `lang_definitions` VALUES (114943, 758, 22, 'Nominacje i napotyka');
INSERT INTO `lang_definitions` VALUES (114944, 760, 22, 'Raport wizyt');
INSERT INTO `lang_definitions` VALUES (114945, 761, 22, 'Nominacje-Encounters Zgłoś');
INSERT INTO `lang_definitions` VALUES (114946, 764, 22, 'Zatwierdź');
INSERT INTO `lang_definitions` VALUES (114947, 765, 22, 'Zatwierdź zamówienie');
INSERT INTO `lang_definitions` VALUES (114948, 767, 22, 'Zatwierdzono');
INSERT INTO `lang_definitions` VALUES (114949, 768, 22, 'Zatwierdzony Administracja Wydarzenia');
INSERT INTO `lang_definitions` VALUES (114950, 771, 22, 'Data wizyty');
INSERT INTO `lang_definitions` VALUES (114951, 772, 22, 'Status wizyty');
INSERT INTO `lang_definitions` VALUES (114952, 773, 22, 'Czas wizyty');
INSERT INTO `lang_definitions` VALUES (114953, 776, 22, 'Nominacje');
INSERT INTO `lang_definitions` VALUES (114954, 779, 22, 'Kwi');
INSERT INTO `lang_definitions` VALUES (114955, 780, 22, 'Kwiecień');
INSERT INTO `lang_definitions` VALUES (114956, 782, 22, 'Arab');
INSERT INTO `lang_definitions` VALUES (114957, 784, 22, 'Archiwum');
INSERT INTO `lang_definitions` VALUES (114958, 787, 22, 'Czy nazwy grup kontroli dostępu mają być tłumaczone?');
INSERT INTO `lang_definitions` VALUES (114959, 788, 22, 'Czy nazwy kategorii wizyt mają być tłumaczone?');
INSERT INTO `lang_definitions` VALUES (114960, 789, 22, 'Czy nazwy kategorii dokumentów mają być tłumaczone?');
INSERT INTO `lang_definitions` VALUES (114961, 790, 22, 'Czy dla tego typu stosuje się opłaty?');
INSERT INTO `lang_definitions` VALUES (114962, 791, 22, 'Są wyłączone');
INSERT INTO `lang_definitions` VALUES (114963, 792, 22, 'Są włączone');
INSERT INTO `lang_definitions` VALUES (114964, 793, 22, 'Czy nagłówki notatek o pacjencie mają być tłumaczone?');
INSERT INTO `lang_definitions` VALUES (114965, 794, 22, 'Kody są przechowywane w zewnętrznych tabel SQL (0-nie, 1-ICD10, 2-SNOMED (RF1), 3-SNOMED (RF2))?');
INSERT INTO `lang_definitions` VALUES (114966, 795, 22, 'Czy jesteś gotowy, aby zakończyć nową GCAC problem dla tej wizyty?');
INSERT INTO `lang_definitions` VALUES (114967, 796, 22, 'CZy na pewno chcesz wyczyścić historię ?');
INSERT INTO `lang_definitions` VALUES (114968, 797, 22, 'Czy na pewno chcesz umieścić na dziś?');
INSERT INTO `lang_definitions` VALUES (114969, 798, 22, 'Czy na pewno chcesz zatwierdzić tezę wydarzenia?');
INSERT INTO `lang_definitions` VALUES (114970, 801, 22, 'Czy jesteś pewien, że chcesz, aby całkowicie usunąć ten formularz?');
INSERT INTO `lang_definitions` VALUES (114971, 803, 22, 'Czy na pewno chcesz usunąć ?');
INSERT INTO `lang_definitions` VALUES (114972, 804, 22, 'Czy na pewno chcesz usunąć ten ujawnienia?');
INSERT INTO `lang_definitions` VALUES (114973, 805, 22, 'Czy na pewno chcesz usunąć to wydarzenie?');
INSERT INTO `lang_definitions` VALUES (114974, 806, 22, 'Czy na pewno chcesz usunąć ten element z bazy danych?');
INSERT INTO `lang_definitions` VALUES (114975, 808, 22, 'Czy na pewno chcesz skasować tę notatkę?');
INSERT INTO `lang_definitions` VALUES (114976, 809, 22, 'Czy na pewno chcesz usunąć ten plan?');
INSERT INTO `lang_definitions` VALUES (114977, 810, 22, 'Czy na pewno chcesz edytować wydarzenia dyplomowych?');
INSERT INTO `lang_definitions` VALUES (114978, 811, 22, 'Czy na pewno chcesz ukryć wydarzenia dyplomowych?');
INSERT INTO `lang_definitions` VALUES (114979, 813, 22, 'Czy na pewno chcesz ponownie wysłać?');
INSERT INTO `lang_definitions` VALUES (114980, 814, 22, 'Czy na pewno chcesz, aby tezy wydarzeń?');
INSERT INTO `lang_definitions` VALUES (114981, 815, 22, 'Czy jesteś pewien, że chcesz usunąć całą grupę o nazwie');
INSERT INTO `lang_definitions` VALUES (114982, 816, 22, 'Czy na pewno chcesz usunąć całą listę');
INSERT INTO `lang_definitions` VALUES (114983, 817, 22, 'Czy na pewno chcesz usunąć w polu');
INSERT INTO `lang_definitions` VALUES (114984, 818, 22, 'Czy na pewno chcesz usunąć wybrane pola?');
INSERT INTO `lang_definitions` VALUES (114985, 819, 22, 'Jesteś pewien, że  \'d chcesz kontynuować pracy działań?');
INSERT INTO `lang_definitions` VALUES (114986, 820, 22, 'Powierzchnia nie określono');
INSERT INTO `lang_definitions` VALUES (114987, 821, 22, 'Ramię');
INSERT INTO `lang_definitions` VALUES (114988, 822, 22, 'Ormianin');
INSERT INTO `lang_definitions` VALUES (114989, 825, 22, 'Przybycie');
INSERT INTO `lang_definitions` VALUES (114990, 826, 22, 'Czas przybycia');
INSERT INTO `lang_definitions` VALUES (114991, 827, 22, 'Przybył');
INSERT INTO `lang_definitions` VALUES (114992, 828, 22, 'Spóźnienie');
INSERT INTO `lang_definitions` VALUES (114993, 829, 22, 'Arytmia');
INSERT INTO `lang_definitions` VALUES (114994, 830, 22, 'Artretyzm');
INSERT INTO `lang_definitions` VALUES (114995, 831, 22, 'Arthritis / joint miecz diseas');
INSERT INTO `lang_definitions` VALUES (114996, 832, 22, 'Arthritis / joint miecz choroba');
INSERT INTO `lang_definitions` VALUES (114997, 836, 22, 'oś');
INSERT INTO `lang_definitions` VALUES (114998, 838, 22, 'Ashes Of');
INSERT INTO `lang_definitions` VALUES (114999, 845, 22, 'Asian');
INSERT INTO `lang_definitions` VALUES (115000, 848, 22, 'Przewidywane');
INSERT INTO `lang_definitions` VALUES (115001, 853, 22, 'Przypisany do');
INSERT INTO `lang_definitions` VALUES (115002, 854, 22, 'Asystent');
INSERT INTO `lang_definitions` VALUES (115003, 861, 22, 'Astma');
INSERT INTO `lang_definitions` VALUES (115004, 862, 22, 'w');
INSERT INTO `lang_definitions` VALUES (115005, 863, 22, 'Co najmniej jeden parametr wyszukiwania jest wymagana, jeśli wybierz Wszystkie.');
INSERT INTO `lang_definitions` VALUES (115006, 866, 22, 'Na trzeszczki');
INSERT INTO `lang_definitions` VALUES (115007, 867, 22, 'Na trzeszczki:');
INSERT INTO `lang_definitions` VALUES (115008, 868, 22, 'Athletic zespół');
INSERT INTO `lang_definitions` VALUES (115009, 869, 22, 'Athletic Zespół');
INSERT INTO `lang_definitions` VALUES (115010, 870, 22, 'Athletic / Uraz');
INSERT INTO `lang_definitions` VALUES (115011, 871, 22, 'Atna audytu certyfikat CA');
INSERT INTO `lang_definitions` VALUES (115012, 872, 22, 'Atna Audit gospodarz');
INSERT INTO `lang_definitions` VALUES (115013, 873, 22, 'Atna lokalnego audytora');
INSERT INTO `lang_definitions` VALUES (115014, 874, 22, 'Postage audytu Atna');
INSERT INTO `lang_definitions` VALUES (115015, 877, 22, 'Uwaga');
INSERT INTO `lang_definitions` VALUES (115016, 879, 22, 'Wiadomości');
INSERT INTO `lang_definitions` VALUES (115017, 883, 22, 'Silnik zapyta Adit CDR');
INSERT INTO `lang_definitions` VALUES (115018, 890, 22, 'Kopie Rejestrowanie inspekcji');
INSERT INTO `lang_definitions` VALUES (115019, 891, 22, 'Audyt rejestrowanie Różne');
INSERT INTO `lang_definitions` VALUES (115020, 892, 22, 'Audyt rejestrowanie utworu');
INSERT INTO `lang_definitions` VALUES (115021, 893, 22, 'Audyt rejestrowanie Rekord Pacjenta');
INSERT INTO `lang_definitions` VALUES (115022, 894, 22, 'Audyt rejestrowanie planowanie');
INSERT INTO `lang_definitions` VALUES (115023, 895, 22, 'Audyt rejestrowanie bezpieczeństwo administracja');
INSERT INTO `lang_definitions` VALUES (115024, 896, 22, 'Audyt rejestrowanie SELECT Query');
INSERT INTO `lang_definitions` VALUES (115025, 898, 22, 'Sie');
INSERT INTO `lang_definitions` VALUES (115026, 899, 22, 'Sierpień');
INSERT INTO `lang_definitions` VALUES (115027, 901, 22, 'Autoryzuj');
INSERT INTO `lang_definitions` VALUES (115028, 902, 22, 'Zezwoleń / uwagi');
INSERT INTO `lang_definitions` VALUES (115029, 922, 22, 'grupa autoryzacji');
INSERT INTO `lang_definitions` VALUES (115030, 923, 22, 'Stan autoryzacji');
INSERT INTO `lang_definitions` VALUES (115031, 924, 22, 'Zezwolenia');
INSERT INTO `lang_definitions` VALUES (115032, 925, 22, 'autoryzować');
INSERT INTO `lang_definitions` VALUES (115033, 926, 22, 'Autoryzacja - żadnych spotkań');
INSERT INTO `lang_definitions` VALUES (115034, 928, 22, 'Autoryzacja - Moje spotkania');
INSERT INTO `lang_definitions` VALUES (115035, 933, 22, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (115036, 934, 22, 'upoważniony');
INSERT INTO `lang_definitions` VALUES (115037, 936, 22, 'dozwolone jedynie');
INSERT INTO `lang_definitions` VALUES (115038, 941, 22, 'Auto Wyślij');
INSERT INTO `lang_definitions` VALUES (115039, 944, 22, 'Auto-Tworzenie nowych spotkań');
INSERT INTO `lang_definitions` VALUES (115040, 945, 22, 'Wygenerowane automatycznie');
INSERT INTO `lang_definitions` VALUES (115041, 947, 22, 'Automatyczne obliczenia środka (AMC)');
INSERT INTO `lang_definitions` VALUES (115042, 952, 22, 'Automatyczne obliczenia środka (AMC) Tracking');
INSERT INTO `lang_definitions` VALUES (115043, 953, 22, 'Zautomatyzowane Środki (AMC)');
INSERT INTO `lang_definitions` VALUES (115044, 955, 22, 'automatyczny');
INSERT INTO `lang_definitions` VALUES (115045, 959, 22, 'Automatycznie utworzy nowy termin spotkania, gdy status jest ustawiony na \"@\" (przyjechaliśmy).');
INSERT INTO `lang_definitions` VALUES (115046, 962, 22, 'Automobile Medyczny');
INSERT INTO `lang_definitions` VALUES (115047, 964, 22, 'zapisane automatycznie');
INSERT INTO `lang_definitions` VALUES (115048, 967, 22, 'dostępne kategorie');
INSERT INTO `lang_definitions` VALUES (115049, 971, 22, 'dostępne przedziały');
INSERT INTO `lang_definitions` VALUES (115050, 976, 22, 'Średnia miesięczna');
INSERT INTO `lang_definitions` VALUES (115051, 980, 22, 'Oderwanie / złamanie avulsion');
INSERT INTO `lang_definitions` VALUES (115052, 981, 22, 'Oderwanie kostki bocznej');
INSERT INTO `lang_definitions` VALUES (115053, 982, 22, 'Oderwanie przyśrodkowej malleolus');
INSERT INTO `lang_definitions` VALUES (115054, 983, 22, 'Świadomość-Based');
INSERT INTO `lang_definitions` VALUES (115055, 985, 22, 'pachowy');
INSERT INTO `lang_definitions` VALUES (115056, 992, 22, 'Notka Informacji i Dokumentacji');
INSERT INTO `lang_definitions` VALUES (115057, 993, 22, 'z powrotem');
INSERT INTO `lang_definitions` VALUES (115058, 994, 22, 'z powrotem');
INSERT INTO `lang_definitions` VALUES (115059, 995, 22, 'Powrót osiem wizyt');
INSERT INTO `lang_definitions` VALUES (115060, 996, 22, 'Powrót jedenaście wizyt');
INSERT INTO `lang_definitions` VALUES (115061, 997, 22, 'Powrót pięciu wizyt');
INSERT INTO `lang_definitions` VALUES (115062, 998, 22, 'Powrót cztery wizyty');
INSERT INTO `lang_definitions` VALUES (115063, 999, 22, 'Powrót dziewięć wizyt');
INSERT INTO `lang_definitions` VALUES (115064, 1000, 22, 'Powrót jedna wizyta');
INSERT INTO `lang_definitions` VALUES (115065, 1001, 22, 'z powrotem ból');
INSERT INTO `lang_definitions` VALUES (115066, 1002, 22, 'Powrót Problemy');
INSERT INTO `lang_definitions` VALUES (115067, 1003, 22, 'Powrót siedem wizyt');
INSERT INTO `lang_definitions` VALUES (115068, 1004, 22, 'Powrót sześciu wizyt');
INSERT INTO `lang_definitions` VALUES (115069, 1005, 22, 'operacji kręgosłupa');
INSERT INTO `lang_definitions` VALUES (115070, 1006, 22, 'Powrót dziesięć wizyt');
INSERT INTO `lang_definitions` VALUES (115071, 1007, 22, 'Powrót trzy wizyty');
INSERT INTO `lang_definitions` VALUES (115072, 1008, 22, 'Powrót do strony Admin');
INSERT INTO `lang_definitions` VALUES (115073, 1013, 22, 'Powrót do pacjenta');
INSERT INTO `lang_definitions` VALUES (115074, 1015, 22, 'Powrót do użytkowników');
INSERT INTO `lang_definitions` VALUES (115075, 1016, 22, 'Powrót do');
INSERT INTO `lang_definitions` VALUES (115076, 1017, 22, 'Powrót dwanaście wizyt');
INSERT INTO `lang_definitions` VALUES (115077, 1018, 22, 'Powrót dwie wizyty');
INSERT INTO `lang_definitions` VALUES (115078, 1019, 22, 'tło Services');
INSERT INTO `lang_definitions` VALUES (115079, 1020, 22, 'Tworzenie kopii zapasowych');
INSERT INTO `lang_definitions` VALUES (115080, 1022, 22, 'Plik kopii zapasowej został utworzony. Będzie teraz wysyłać pobieranie.');
INSERT INTO `lang_definitions` VALUES (115081, 1024, 22, 'BackUp powodzeniem podjęte w');
INSERT INTO `lang_definitions` VALUES (115082, 1025, 22, 'Zła kontrola');
INSERT INTO `lang_definitions` VALUES (115083, 1026, 22, 'złych długów');
INSERT INTO `lang_definitions` VALUES (115084, 1027, 22, 'indonezyjski');
INSERT INTO `lang_definitions` VALUES (115085, 1028, 22, 'Bal');
INSERT INTO `lang_definitions` VALUES (115086, 1031, 22, 'Saldo');
INSERT INTO `lang_definitions` VALUES (115087, 1032, 22, 'równoważyć');
INSERT INTO `lang_definitions` VALUES (115088, 1033, 22, 'bilans Amt');
INSERT INTO `lang_definitions` VALUES (115089, 1034, 22, 'Saldo należności');
INSERT INTO `lang_definitions` VALUES (115090, 1038, 22, 'Weksle');
INSERT INTO `lang_definitions` VALUES (115091, 1042, 22, 'Baza 5-cie (5.) Metarsal');
INSERT INTO `lang_definitions` VALUES (115092, 1043, 22, 'Baza piątego (5.) Metarsal:');
INSERT INTO `lang_definitions` VALUES (115093, 1050, 22, 'Roszczenie partia');
INSERT INTO `lang_definitions` VALUES (115094, 1051, 22, 'Narzędzie komunikacji Batch');
INSERT INTO `lang_definitions` VALUES (115095, 1053, 22, 'Wejście Płatność Batch');
INSERT INTO `lang_definitions` VALUES (115096, 1054, 22, 'Płatności wsadowe');
INSERT INTO `lang_definitions` VALUES (115097, 1055, 22, 'Przetwarzanie wsadowe rozpocząć; może to trochę potrwać.');
INSERT INTO `lang_definitions` VALUES (115098, 1056, 22, 'Wyniki grupowe');
INSERT INTO `lang_definitions` VALUES (115099, 1057, 22, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (115100, 1063, 22, 'bo id nie istnieje.');
INSERT INTO `lang_definitions` VALUES (115101, 1072, 22, 'Początek');
INSERT INTO `lang_definitions` VALUES (115102, 1074, 22, 'Rozpocznij od');
INSERT INTO `lang_definitions` VALUES (115103, 1077, 22, 'Począwszy od daty doręczenia yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (115104, 1078, 22, 'Począwszy godzinę dzień imprez kalendarzowych.');
INSERT INTO `lang_definitions` VALUES (115105, 1082, 22, 'odbijanie');
INSERT INTO `lang_definitions` VALUES (115106, 1086, 22, 'bengalski');
INSERT INTO `lang_definitions` VALUES (115107, 1089, 22, 'między');
INSERT INTO `lang_definitions` VALUES (115108, 1095, 22, 'dwustronny');
INSERT INTO `lang_definitions` VALUES (115109, 1096, 22, 'Dwustronna:');
INSERT INTO `lang_definitions` VALUES (115110, 1099, 22, 'Data Bill:');
INSERT INTO `lang_definitions` VALUES (115111, 1101, 22, 'Bill / Collect');
INSERT INTO `lang_definitions` VALUES (115112, 1102, 22, 'Rozliczone');
INSERT INTO `lang_definitions` VALUES (115113, 1104, 22, 'Rozliczenie');
INSERT INTO `lang_definitions` VALUES (115114, 1105, 22, 'Billing (zapis opcjonalny)');
INSERT INTO `lang_definitions` VALUES (115115, 1109, 22, 'Attn Billing');
INSERT INTO `lang_definitions` VALUES (115116, 1111, 22, 'Kod rozliczeniowy dla żądanej usługi');
INSERT INTO `lang_definitions` VALUES (115117, 1112, 22, 'kody bilingowe');
INSERT INTO `lang_definitions` VALUES (115118, 1113, 22, 'Dane rozliczeniowe');
INSERT INTO `lang_definitions` VALUES (115119, 1114, 22, 'Billing Department');
INSERT INTO `lang_definitions` VALUES (115120, 1115, 22, 'Rozliczający');
INSERT INTO `lang_definitions` VALUES (115121, 1117, 22, 'Informacje o płatności');
INSERT INTO `lang_definitions` VALUES (115122, 1118, 22, 'Lokalizacja Billing');
INSERT INTO `lang_definitions` VALUES (115123, 1125, 22, 'Menedżer Billing');
INSERT INTO `lang_definitions` VALUES (115124, 1126, 22, 'Rozliczenie - uwagi');
INSERT INTO `lang_definitions` VALUES (115125, 1127, 22, 'Uwaga rozliczeniowego dla');
INSERT INTO `lang_definitions` VALUES (115126, 1128, 22, 'Uwaga rozliczeniowe:');
INSERT INTO `lang_definitions` VALUES (115127, 1130, 22, 'Wyniki kolejki rozliczeniowe:');
INSERT INTO `lang_definitions` VALUES (115128, 1131, 22, 'Zgłoś Billing');
INSERT INTO `lang_definitions` VALUES (115129, 1132, 22, 'Stan Billing');
INSERT INTO `lang_definitions` VALUES (115130, 1133, 22, 'Stan Billing = Unbilled');
INSERT INTO `lang_definitions` VALUES (115131, 1134, 22, 'rozliczeniowych na');
INSERT INTO `lang_definitions` VALUES (115132, 1138, 22, 'biopsja');
INSERT INTO `lang_definitions` VALUES (115133, 1140, 22, 'Data urodzenia');
INSERT INTO `lang_definitions` VALUES (115134, 1141, 22, 'Narodziny-24 miesięcy');
INSERT INTO `lang_definitions` VALUES (115135, 1144, 22, 'czarny');
INSERT INTO `lang_definitions` VALUES (115136, 1147, 22, 'czarny Lung');
INSERT INTO `lang_definitions` VALUES (115137, 1148, 22, 'Czarny lub Afroamerykanin');
INSERT INTO `lang_definitions` VALUES (115138, 1149, 22, 'Rak pęcherza moczowego');
INSERT INTO `lang_definitions` VALUES (115139, 1150, 22, 'Zakażenia pęcherza');
INSERT INTO `lang_definitions` VALUES (115140, 1152, 22, 'Puste formularze');
INSERT INTO `lang_definitions` VALUES (115141, 1153, 22, 'krwawienia');
INSERT INTO `lang_definitions` VALUES (115142, 1154, 22, 'martwego pola');
INSERT INTO `lang_definitions` VALUES (115143, 1156, 22, 'wzdęcia');
INSERT INTO `lang_definitions` VALUES (115144, 1158, 22, 'zablokowany');
INSERT INTO `lang_definitions` VALUES (115145, 1159, 22, 'krew');
INSERT INTO `lang_definitions` VALUES (115146, 1160, 22, 'Ciśnienie Krwi');
INSERT INTO `lang_definitions` VALUES (115147, 1161, 22, 'Ciśnienie krwi');
INSERT INTO `lang_definitions` VALUES (115148, 1162, 22, 'Krwawy nos');
INSERT INTO `lang_definitions` VALUES (115149, 1163, 22, 'Niebieski krzyż niebieski tarcza');
INSERT INTO `lang_definitions` VALUES (115150, 1165, 22, 'Niebieskie linie w tym raporcie są informacyjne. Czarne linie wskazują wcześniej istniejących informacji. Zielone linie pokazują zmiany, które zostały z powodzeniem zastosowane. Czerwone linie wskazują błędy, lub zmiany, które nie zostały zastosowane; te muszą być przetwarzane ręcznie. Obecnie zaprzeczył twierdzeniom i cofnięte płatności nie są obsługiwane automatycznie i tak pojawi się w kolorze czerwonym.');
INSERT INTO `lang_definitions` VALUES (115151, 1166, 22, 'niewyraźne widzenie');
INSERT INTO `lang_definitions` VALUES (115152, 1167, 22, 'BMI');
INSERT INTO `lang_definitions` VALUES (115153, 1168, 22, 'Stan BMI');
INSERT INTO `lang_definitions` VALUES (115154, 1170, 22, 'Region ciała');
INSERT INTO `lang_definitions` VALUES (115155, 1171, 22, 'strony ciała');
INSERT INTO `lang_definitions` VALUES (115156, 1172, 22, 'Strona ciała, jeśli dotyczy');
INSERT INTO `lang_definitions` VALUES (115157, 1173, 22, 'Tenderness Bone:');
INSERT INTO `lang_definitions` VALUES (115158, 1174, 22, 'Tenderness Bone: Medial kostki');
INSERT INTO `lang_definitions` VALUES (115159, 1175, 22, 'Boolean');
INSERT INTO `lang_definitions` VALUES (115160, 1177, 22, 'Dół');
INSERT INTO `lang_definitions` VALUES (115161, 1179, 22, 'obu uszach');
INSERT INTO `lang_definitions` VALUES (115162, 1180, 22, 'oboje uszu');
INSERT INTO `lang_definitions` VALUES (115163, 1183, 22, 'dolny');
INSERT INTO `lang_definitions` VALUES (115164, 1187, 22, 'BOX 10 Zatrudnienie związane A.');
INSERT INTO `lang_definitions` VALUES (115165, 1189, 22, 'BOX 10 Accident Auto B.');
INSERT INTO `lang_definitions` VALUES (115166, 1191, 22, 'BOX 10 C. Pozostałe Accident');
INSERT INTO `lang_definitions` VALUES (115167, 1205, 22, 'BOX 15. Data choroby sam lub podobny (rrrr-mm-dd):');
INSERT INTO `lang_definitions` VALUES (115168, 1211, 22, 'BOX 16. Data niezdolny do pracy od (rrrr-mm-dd):');
INSERT INTO `lang_definitions` VALUES (115169, 1215, 22, 'BOX 16. Data niezdolny do pracy do (rrrr-mm-dd):');
INSERT INTO `lang_definitions` VALUES (115170, 1227, 22, 'BOX 18. Hospitalizacja z data (rrrr-mm-dd):');
INSERT INTO `lang_definitions` VALUES (115171, 1231, 22, 'BOX 18. Data Hospitalizacja do (rrrr-mm-dd):');
INSERT INTO `lang_definitions` VALUES (115172, 1235, 22, 'BOX 20. Jest poza Lab wykorzystywane?');
INSERT INTO `lang_definitions` VALUES (115173, 1239, 22, 'BOX 22. Kod ponownego Medicaid (ICD-9)');
INSERT INTO `lang_definitions` VALUES (115174, 1243, 22, 'BOX 23. Przed Nr Authorization');
INSERT INTO `lang_definitions` VALUES (115175, 1244, 22, 'BP');
INSERT INTO `lang_definitions` VALUES (115176, 1245, 22, 'rozkurczowego');
INSERT INTO `lang_definitions` VALUES (115177, 1246, 22, 'BP skurczowe');
INSERT INTO `lang_definitions` VALUES (115178, 1248, 22, 'baryłek dziennie');
INSERT INTO `lang_definitions` VALUES (115179, 1252, 22, 'bps');
INSERT INTO `lang_definitions` VALUES (115180, 1254, 22, 'portugalski brazylijski');
INSERT INTO `lang_definitions` VALUES (115181, 1255, 22, 'pierś');
INSERT INTO `lang_definitions` VALUES (115182, 1256, 22, 'Biopsja piersi');
INSERT INTO `lang_definitions` VALUES (115183, 1257, 22, 'Absolutorium piersi');
INSERT INTO `lang_definitions` VALUES (115184, 1258, 22, 'choroby piersi');
INSERT INTO `lang_definitions` VALUES (115185, 1259, 22, 'Egzamin piersi');
INSERT INTO `lang_definitions` VALUES (115186, 1260, 22, 'Mass piersi');
INSERT INTO `lang_definitions` VALUES (115187, 1262, 22, 'Brzmienie oddech:');
INSERT INTO `lang_definitions` VALUES (115188, 1265, 22, 'broken Bones');
INSERT INTO `lang_definitions` VALUES (115189, 1267, 22, 'Formularz oskrzeli');
INSERT INTO `lang_definitions` VALUES (115190, 1270, 22, 'Znajdź');
INSERT INTO `lang_definitions` VALUES (115191, 1271, 22, 'Poszukaj Record');
INSERT INTO `lang_definitions` VALUES (115192, 1272, 22, 'Siniaki / krwiak');
INSERT INTO `lang_definitions` VALUES (115193, 1276, 22, 'Wybrzuszenia prawo:');
INSERT INTO `lang_definitions` VALUES (115194, 1278, 22, 'Pieczenie przy oddawaniu moczu');
INSERT INTO `lang_definitions` VALUES (115195, 1279, 22, 'Pieczenie przy oddawaniu moczu');
INSERT INTO `lang_definitions` VALUES (115196, 1282, 22, 'zajęty');
INSERT INTO `lang_definitions` VALUES (115197, 1283, 22, 'ale jeszcze nie przetworzone.');
INSERT INTO `lang_definitions` VALUES (115198, 1284, 22, 'pośladek');
INSERT INTO `lang_definitions` VALUES (115199, 1285, 22, 'Pośladków + S.I.');
INSERT INTO `lang_definitions` VALUES (115200, 1286, 22, 'przez');
INSERT INTO `lang_definitions` VALUES (115201, 1287, 22, 'Przez');
INSERT INTO `lang_definitions` VALUES (115202, 1293, 22, 'doustnie');
INSERT INTO `lang_definitions` VALUES (115203, 1295, 22, 'Autor / Źródło');
INSERT INTO `lang_definitions` VALUES (115204, 1296, 22, 'przez:');
INSERT INTO `lang_definitions` VALUES (115205, 1299, 22, 'C');
INSERT INTO `lang_definitions` VALUES (115206, 1301, 22, 'CA Certificate for verifying the RFC 5425 TLS syslog server.');
INSERT INTO `lang_definitions` VALUES (115207, 1302, 22, 'Żywotność pamięci podręcznej (w sekundach)');
INSERT INTO `lang_definitions` VALUES (115208, 1303, 22, 'Wyjściowy szablon cache?');
INSERT INTO `lang_definitions` VALUES (115209, 1305, 22, 'Spożycie kawy');
INSERT INTO `lang_definitions` VALUES (115210, 1306, 22, 'Kalendarz');
INSERT INTO `lang_definitions` VALUES (115211, 1307, 22, 'Końcowa Godzina Kalendarza');
INSERT INTO `lang_definitions` VALUES (115212, 1308, 22, 'Interwał Kalendarza');
INSERT INTO `lang_definitions` VALUES (115213, 1309, 22, 'Ekran Kalendarza');
INSERT INTO `lang_definitions` VALUES (115214, 1310, 22, 'Ustawienia Kalendarza');
INSERT INTO `lang_definitions` VALUES (115215, 1312, 22, 'Początkowa Godzina Kalendarza');
INSERT INTO `lang_definitions` VALUES (115216, 1313, 22, 'Kalendarz UI');
INSERT INTO `lang_definitions` VALUES (115217, 1314, 22, 'Podgląd Kalendarza');
INSERT INTO `lang_definitions` VALUES (115218, 1317, 22, 'Zadzwoń do addForm () idzie tutaj. Katowice');
INSERT INTO `lang_definitions` VALUES (115219, 1321, 22, 'Kalorie');
INSERT INTO `lang_definitions` VALUES (115220, 1322, 22, 'Kambodży');
INSERT INTO `lang_definitions` VALUES (115221, 1323, 22, 'Camós');
INSERT INTO `lang_definitions` VALUES (115222, 1329, 22, 'Anuluj');
INSERT INTO `lang_definitions` VALUES (115223, 1332, 22, 'Anuluj zmiany');
INSERT INTO `lang_definitions` VALUES (115224, 1333, 22, 'Anulowane');
INSERT INTO `lang_definitions` VALUES (115225, 1335, 22, 'Rak');
INSERT INTO `lang_definitions` VALUES (115226, 1336, 22, 'Screening Rak Cancer Screening Colon');
INSERT INTO `lang_definitions` VALUES (115227, 1337, 22, 'Przesiewowych w kierunku raka: Mammografia');
INSERT INTO `lang_definitions` VALUES (115228, 1338, 22, 'Przesiewowych w kierunku raka: Pap Smear');
INSERT INTO `lang_definitions` VALUES (115229, 1339, 22, 'Przesiewowych w kierunku raka: Prostate Cancer Screening');
INSERT INTO `lang_definitions` VALUES (115230, 1340, 22, 'Nie można dodać ten wpis, ponieważ już istnieje!');
INSERT INTO `lang_definitions` VALUES (115231, 1341, 22, 'Nie można dodać / zaktualizować ten wpis bo duplikat już istnieje!');
INSERT INTO `lang_definitions` VALUES (115232, 1342, 22, 'nie mogą być archiwizowane, ignorowane');
INSERT INTO `lang_definitions` VALUES (115233, 1343, 22, 'nie mogą być konwertowane do formatu JPEG. Być może nie jest zainstalowany ImageMagick?');
INSERT INTO `lang_definitions` VALUES (115234, 1344, 22, 'nie mogą być usunięte, zignorowane');
INSERT INTO `lang_definitions` VALUES (115235, 1345, 22, 'nie może zostać wyświetlony, ponieważ jej typ inline nie jest obsługiwany przez przeglądarkę.');
INSERT INTO `lang_definitions` VALUES (115236, 1346, 22, 'nie może być wyświetlany inline becuase jego typ nie jest obsługiwany przez przeglądarkę');
INSERT INTO `lang_definitions` VALUES (115237, 1347, 22, 'nie może być wyświetlany inline becuase jego typ nie jest obsługiwany przez przeglądarkę.');
INSERT INTO `lang_definitions` VALUES (115238, 1349, 22, 'Nie można utworzyć');
INSERT INTO `lang_definitions` VALUES (115239, 1354, 22, 'Nie można znaleźć');
INSERT INTO `lang_definitions` VALUES (115240, 1355, 22, 'Nie można odnaleźć pliku docelowego');
INSERT INTO `lang_definitions` VALUES (115241, 1358, 22, 'Nie można znaleźć pacjenta z SQL-Ledger ID klienta');
INSERT INTO `lang_definitions` VALUES (115242, 1359, 22, 'Nie można znaleźć odniesienie dokumentu PostScript w');
INSERT INTO `lang_definitions` VALUES (115243, 1360, 22, 'Nie można znaleźć dostawcę z SQL-Ledger pracownika =');
INSERT INTO `lang_definitions` VALUES (115244, 1361, 22, 'Nie można modyfikować Payments.Undistributed jest ujemna.');
INSERT INTO `lang_definitions` VALUES (115245, 1363, 22, 'Nie można otworzyć');
INSERT INTO `lang_definitions` VALUES (115246, 1364, 22, 'Nie może post dla Insurance.The Płacenie Podmiot wybrany jest cierpliwy.');
INSERT INTO `lang_definitions` VALUES (115247, 1365, 22, 'Nie może post dla Patient.The Płatniczej wybranego podmiotu jest ubezpieczenie.');
INSERT INTO `lang_definitions` VALUES (115248, 1366, 22, 'Nie można Opublikuj Payments.Undistributed jest ujemna.');
INSERT INTO `lang_definitions` VALUES (115249, 1367, 22, 'Nie można odczytać');
INSERT INTO `lang_definitions` VALUES (115250, 1368, 22, 'Nie można odczytać katalogu');
INSERT INTO `lang_definitions` VALUES (115251, 1369, 22, 'Nie można zaktualizować, ponieważ nie jesteś edycji istniejącego wpisu!');
INSERT INTO `lang_definitions` VALUES (115252, 1370, 22, 'kapitalizować');
INSERT INTO `lang_definitions` VALUES (115253, 1372, 22, 'kapsułka');
INSERT INTO `lang_definitions` VALUES (115254, 1373, 22, 'karta');
INSERT INTO `lang_definitions` VALUES (115255, 1382, 22, 'Cewnikowanie serca');
INSERT INTO `lang_definitions` VALUES (115256, 1383, 22, 'Echo serca');
INSERT INTO `lang_definitions` VALUES (115257, 1384, 22, 'Cardiovascular');
INSERT INTO `lang_definitions` VALUES (115258, 1396, 22, 'Chrząstka / chrzęstnych / disc szkoda');
INSERT INTO `lang_definitions` VALUES (115259, 1397, 22, 'uszkodzenie chrząstki');
INSERT INTO `lang_definitions` VALUES (115260, 1398, 22, 'Cartoid pulsacje nl, nl pedał impulsy');
INSERT INTO `lang_definitions` VALUES (115261, 1400, 22, 'gotówka');
INSERT INTO `lang_definitions` VALUES (115262, 1401, 22, 'gotówka');
INSERT INTO `lang_definitions` VALUES (115263, 1402, 22, 'Rec Pobranie');
INSERT INTO `lang_definitions` VALUES (115264, 1403, 22, 'Wpływy gotówkowe przez Dostawcę');
INSERT INTO `lang_definitions` VALUES (115265, 1406, 22, 'operacji zaćmy');
INSERT INTO `lang_definitions` VALUES (115266, 1407, 22, 'zaćma');
INSERT INTO `lang_definitions` VALUES (115267, 1408, 22, 'Kategorie');
INSERT INTO `lang_definitions` VALUES (115268, 1409, 22, 'Kategorie dla');
INSERT INTO `lang_definitions` VALUES (115269, 1410, 22, 'Kategoria');
INSERT INTO `lang_definitions` VALUES (115270, 1411, 22, 'kategoria');
INSERT INTO `lang_definitions` VALUES (115271, 1412, 22, 'Kategoria');
INSERT INTO `lang_definitions` VALUES (115272, 1416, 22, 'Szczegóły Kategoria');
INSERT INTO `lang_definitions` VALUES (115273, 1417, 22, 'Kategoria Limits');
INSERT INTO `lang_definitions` VALUES (115274, 1418, 22, 'Nazwa kategorii');
INSERT INTO `lang_definitions` VALUES (115275, 1419, 22, 'Nazwa kategorii jest pusta');
INSERT INTO `lang_definitions` VALUES (115276, 1420, 22, 'Kategoria / Nazwa');
INSERT INTO `lang_definitions` VALUES (115277, 1421, 22, 'Kaukaski');
INSERT INTO `lang_definitions` VALUES (115278, 1422, 22, 'Powoduje Wpływy Drukowanie Encounter / Primary Info Provider');
INSERT INTO `lang_definitions` VALUES (115279, 1442, 22, 'CDR');
INSERT INTO `lang_definitions` VALUES (115280, 1443, 22, 'Raporty priorytetu przetwarzania CDR');
INSERT INTO `lang_definitions` VALUES (115281, 1444, 22, 'komórka');
INSERT INTO `lang_definitions` VALUES (115282, 1445, 22, 'cell Phone');
INSERT INTO `lang_definitions` VALUES (115283, 1447, 22, 'Numer telefonu komórkowego');
INSERT INTO `lang_definitions` VALUES (115284, 1449, 22, 'Central Certyfikacja');
INSERT INTO `lang_definitions` VALUES (115285, 1451, 22, 'Central / South American');
INSERT INTO `lang_definitions` VALUES (115286, 1452, 22, 'Certificate Authority lokalizacja pliku crt nie może być pusty');
INSERT INTO `lang_definitions` VALUES (115287, 1453, 22, 'Certificate Authority klucz lokalizacja pliku nie może być pusty');
INSERT INTO `lang_definitions` VALUES (115288, 1454, 22, 'Certyfikat wysłać do RFC 5425 serwer TLS syslog.');
INSERT INTO `lang_definitions` VALUES (115289, 1455, 22, 'Certyfikat użytkownika');
INSERT INTO `lang_definitions` VALUES (115290, 1456, 22, 'Certyfikaty');
INSERT INTO `lang_definitions` VALUES (115291, 1458, 22, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (115292, 1459, 22, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (115293, 1460, 22, 'zmiana');
INSERT INTO `lang_definitions` VALUES (115294, 1461, 22, 'zmiana');
INSERT INTO `lang_definitions` VALUES (115295, 1462, 22, 'Zmiana aktywności');
INSERT INTO `lang_definitions` VALUES (115296, 1466, 22, 'Zmiana nie powiodło się! CouchDB połączyć błąd?');
INSERT INTO `lang_definitions` VALUES (115297, 1467, 22, 'Zmiana w Vision');
INSERT INTO `lang_definitions` VALUES (115298, 1468, 22, 'Zmiana w wizji');
INSERT INTO `lang_definitions` VALUES (115299, 1470, 22, 'Zmień hasło');
INSERT INTO `lang_definitions` VALUES (115300, 1475, 22, 'Zmieniono');
INSERT INTO `lang_definitions` VALUES (115301, 1476, 22, 'Zmieniono jelita');
INSERT INTO `lang_definitions` VALUES (115302, 1479, 22, 'Zmiana ID pacjenta do dokumentu');
INSERT INTO `lang_definitions` VALUES (115303, 1484, 22, 'Charakterystyka');
INSERT INTO `lang_definitions` VALUES (115304, 1485, 22, 'Pozostało znaków');
INSERT INTO `lang_definitions` VALUES (115305, 1486, 22, 'opłata');
INSERT INTO `lang_definitions` VALUES (115306, 1487, 22, 'regulacja ładowania');
INSERT INTO `lang_definitions` VALUES (115307, 1488, 22, 'Naładuj Coded');
INSERT INTO `lang_definitions` VALUES (115308, 1490, 22, 'opłaty');
INSERT INTO `lang_definitions` VALUES (115309, 1491, 22, 'Wykres');
INSERT INTO `lang_definitions` VALUES (115310, 1492, 22, 'aktywny Wykres');
INSERT INTO `lang_definitions` VALUES (115311, 1493, 22, 'Doba Zgłoś Wykres Aktywność');
INSERT INTO `lang_definitions` VALUES (115312, 1495, 22, 'Wykres ID');
INSERT INTO `lang_definitions` VALUES (115313, 1496, 22, 'Wykres ID:');
INSERT INTO `lang_definitions` VALUES (115314, 1498, 22, 'Działalność Chart');
INSERT INTO `lang_definitions` VALUES (115315, 1499, 22, 'Wykres Note');
INSERT INTO `lang_definitions` VALUES (115316, 1500, 22, 'Numer Chart');
INSERT INTO `lang_definitions` VALUES (115317, 1502, 22, 'Miejsc składowania Wykres');
INSERT INTO `lang_definitions` VALUES (115318, 1504, 22, 'Wykres Tracker');
INSERT INTO `lang_definitions` VALUES (115319, 1505, 22, 'Wykres Trk');
INSERT INTO `lang_definitions` VALUES (115320, 1508, 22, 'Wykresy Wyewidencjonowane');
INSERT INTO `lang_definitions` VALUES (115321, 1509, 22, 'wykresy Out');
INSERT INTO `lang_definitions` VALUES (115322, 1513, 22, 'sprawdzać');
INSERT INTO `lang_definitions` VALUES (115323, 1514, 22, 'sprawdzać');
INSERT INTO `lang_definitions` VALUES (115324, 1515, 22, 'Zaznacz wszystko');
INSERT INTO `lang_definitions` VALUES (115325, 1517, 22, 'sprawdzić ilość');
INSERT INTO `lang_definitions` VALUES (115326, 1519, 22, 'sprawdzić datę');
INSERT INTO `lang_definitions` VALUES (115327, 1521, 22, 'Sprawdź różnice w tłumaczeniach z niestandardowej tabeli językowej.');
INSERT INTO `lang_definitions` VALUES (115328, 1527, 22, 'Zamelduj się, aby');
INSERT INTO `lang_definitions` VALUES (115329, 1528, 22, 'Sprawdź dane wejściowe');
INSERT INTO `lang_definitions` VALUES (115330, 1530, 22, 'Sprawdź wyniki laboratoryjne');
INSERT INTO `lang_definitions` VALUES (115331, 1531, 22, 'Sprawdź oznaczenie wskazuje recenzja');
INSERT INTO `lang_definitions` VALUES (115332, 1532, 22, 'Sprawdź nr');
INSERT INTO `lang_definitions` VALUES (115333, 1533, 22, 'Sprawdź numer');
INSERT INTO `lang_definitions` VALUES (115334, 1536, 22, 'czek');
INSERT INTO `lang_definitions` VALUES (115335, 1537, 22, 'Zaznacz pole wyboru, jeśli jest to zaszyfrowany plik');
INSERT INTO `lang_definitions` VALUES (115336, 1541, 22, 'Sprawdź to, jeśli chcesz dostawców, aby zobaczyć wszystkie terminy domyślnie i nie tylko ich własne.');
INSERT INTO `lang_definitions` VALUES (115337, 1543, 22, 'Sprawdź się stworzyć problem z tą diagnozą');
INSERT INTO `lang_definitions` VALUES (115338, 1545, 22, 'Sprawdź / EOB Data:');
INSERT INTO `lang_definitions` VALUES (115339, 1547, 22, 'Sprawdź / EOB nr:');
INSERT INTO `lang_definitions` VALUES (115340, 1548, 22, 'Sprawdź / Ref Number');
INSERT INTO `lang_definitions` VALUES (115341, 1549, 22, 'Sprawdź / Numer');
INSERT INTO `lang_definitions` VALUES (115342, 1550, 22, 'lista wyboru');
INSERT INTO `lang_definitions` VALUES (115343, 1551, 22, 'lista wyboru');
INSERT INTO `lang_definitions` VALUES (115344, 1552, 22, 'w pole / text');
INSERT INTO `lang_definitions` VALUES (115345, 1553, 22, 'W Checkbox / text');
INSERT INTO `lang_definitions` VALUES (115346, 1557, 22, 'sprawdzone');
INSERT INTO `lang_definitions` VALUES (115347, 1559, 22, 'Sprawdzone box = tak, puste = nie');
INSERT INTO `lang_definitions` VALUES (115348, 1568, 22, 'Zamówienie');
INSERT INTO `lang_definitions` VALUES (115349, 1569, 22, 'kontrolna');
INSERT INTO `lang_definitions` VALUES (115350, 1570, 22, 'pierś');
INSERT INTO `lang_definitions` VALUES (115351, 1571, 22, 'CTAB Chest');
INSERT INTO `lang_definitions` VALUES (115352, 1572, 22, 'Ból w klatce piersiowej');
INSERT INTO `lang_definitions` VALUES (115353, 1573, 22, 'Ból w klatce piersiowej:');
INSERT INTO `lang_definitions` VALUES (115354, 1574, 22, 'Bóle w klatce piersiowej');
INSERT INTO `lang_definitions` VALUES (115355, 1576, 22, 'Zm.');
INSERT INTO `lang_definitions` VALUES (115356, 1578, 22, 'Chief Reklamacja');
INSERT INTO `lang_definitions` VALUES (115357, 1581, 22, 'dziecko');
INSERT INTO `lang_definitions` VALUES (115358, 1583, 22, 'Stan szczepień dla dzieci (CQM)');
INSERT INTO `lang_definitions` VALUES (115359, 1584, 22, 'dreszcze');
INSERT INTO `lang_definitions` VALUES (115360, 1585, 22, 'chiński');
INSERT INTO `lang_definitions` VALUES (115361, 1586, 22, 'Chiński (uproszczony)');
INSERT INTO `lang_definitions` VALUES (115362, 1587, 22, 'Chiński (tradycyjny)');
INSERT INTO `lang_definitions` VALUES (115363, 1589, 22, 'Zgody/wybory');
INSERT INTO `lang_definitions` VALUES (115364, 1590, 22, 'cholecystektomia');
INSERT INTO `lang_definitions` VALUES (115365, 1592, 22, 'Cholecystestomy');
INSERT INTO `lang_definitions` VALUES (115366, 1593, 22, 'Wybierz');
INSERT INTO `lang_definitions` VALUES (115367, 1596, 22, 'Wybierz sekcję i kliknij element w nim, a następnie w drugiej części zobaczysz związane z nim pozycje jako podświetlone. Możesz kliknąć w tej sekcji, aby dodawać i usuwać relacje.');
INSERT INTO `lang_definitions` VALUES (115368, 1597, 22, 'Wybierz kryteria');
INSERT INTO `lang_definitions` VALUES (115369, 1602, 22, 'Wybierz z menu Plik');
INSERT INTO `lang_definitions` VALUES (115370, 1603, 22, 'Wybierz z listy');
INSERT INTO `lang_definitions` VALUES (115371, 1605, 22, 'Wybierz listę');
INSERT INTO `lang_definitions` VALUES (115372, 1608, 22, 'Wybierz rozmiar papieru');
INSERT INTO `lang_definitions` VALUES (115373, 1611, 22, 'Wybierz format wydruku dla tego raportu spotkań.');
INSERT INTO `lang_definitions` VALUES (115374, 1615, 22, 'przewlekłe zapalenie oskrzeli');
INSERT INTO `lang_definitions` VALUES (115375, 1616, 22, 'Przewlekłe bóle stawów');
INSERT INTO `lang_definitions` VALUES (115376, 1617, 22, 'Przewlekła choroba nerek (PChN)');
INSERT INTO `lang_definitions` VALUES (115377, 1620, 22, 'Przewlekłe zapalenie błony maziowej / wysięk / bóle stawów / dna');
INSERT INTO `lang_definitions` VALUES (115378, 1622, 22, 'Chronic / okresowe');
INSERT INTO `lang_definitions` VALUES (115379, 1625, 22, 'Marskość wątroby');
INSERT INTO `lang_definitions` VALUES (115380, 1626, 22, 'Marskość wątroby');
INSERT INTO `lang_definitions` VALUES (115381, 1627, 22, 'Miasto');
INSERT INTO `lang_definitions` VALUES (115382, 1629, 22, 'Nazwa miasta');
INSERT INTO `lang_definitions` VALUES (115383, 1630, 22, 'Miasto, Województwo');
INSERT INTO `lang_definitions` VALUES (115384, 1631, 22, 'Miasto, Województwo, Kod pocztowy');
INSERT INTO `lang_definitions` VALUES (115385, 1633, 22, 'Miasto / Województwo');
INSERT INTO `lang_definitions` VALUES (115386, 1634, 22, 'twierdzić');
INSERT INTO `lang_definitions` VALUES (115387, 1635, 22, 'twierdzić');
INSERT INTO `lang_definitions` VALUES (115388, 1637, 22, 'dochodzić stan');
INSERT INTO `lang_definitions` VALUES (115389, 1638, 22, 'Test roszczenia skończy działać');
INSERT INTO `lang_definitions` VALUES (115390, 1639, 22, 'Typ roszczenia');
INSERT INTO `lang_definitions` VALUES (115391, 1640, 22, 'Roszczenie zostało wygenerowane do pliku');
INSERT INTO `lang_definitions` VALUES (115392, 1641, 22, 'Roszczenie zostało wygenerowane do pliku');
INSERT INTO `lang_definitions` VALUES (115393, 1642, 22, 'roszczenia');
INSERT INTO `lang_definitions` VALUES (115394, 1645, 22, 'klasyfikacja');
INSERT INTO `lang_definitions` VALUES (115395, 1646, 22, 'Wyczyść');
INSERT INTO `lang_definitions` VALUES (115396, 1647, 22, 'wyczyść');
INSERT INTO `lang_definitions` VALUES (115397, 1649, 22, 'WYCZYŚĆ AKTYWNEGO PACJENTA');
INSERT INTO `lang_definitions` VALUES (115398, 1651, 22, 'Wyczyść wszystko');
INSERT INTO `lang_definitions` VALUES (115399, 1654, 22, 'Wyczyść Dane HL7');
INSERT INTO `lang_definitions` VALUES (115400, 1655, 22, 'jasne uzasadnienie');
INSERT INTO `lang_definitions` VALUES (115401, 1659, 22, 'Clear Cache Smarty');
INSERT INTO `lang_definitions` VALUES (115402, 1661, 22, 'Informacje izba rozliczeniowa wymagane EDI 270 tworzenia partii.');
INSERT INTO `lang_definitions` VALUES (115403, 1662, 22, 'Numer CLIA');
INSERT INTO `lang_definitions` VALUES (115404, 1663, 22, 'Kliknij');
INSERT INTO `lang_definitions` VALUES (115405, 1664, 22, 'Kliknij \"wywóz\" eksportowania Kategoria, podkategoria, element danych treści w pliku tekstowym. Jakiekolwiek podobieństwo tego pliku do pliku XML jest czysto przypadkowe. Otwarcia i zamknięcia tagi muszą być w tej samej linii, muszą być pisane małymi literami bez spacji. Importować, poszukaj pliku i kliknij przycisk \"Importuj\". Jeśli dane są całkowicie różne, że połączy się z istniejących danych. Jeśli są podobne nazwy pozycji, stara zostanie utrzymane, a nowy zapisany z numerem dodany do końca.');
INSERT INTO `lang_definitions` VALUES (115406, 1667, 22, 'Kliknij miejsce na grafikę, aby dodać nową notatkę, kliknij go ponownie, aby ją usunąć');
INSERT INTO `lang_definitions` VALUES (115407, 1671, 22, 'Kliknij przycisk Pobierz certyfikat, aby pobrać certyfikaty w ssl.zip pliku');
INSERT INTO `lang_definitions` VALUES (115408, 1672, 22, 'kliknij po więcej');
INSERT INTO `lang_definitions` VALUES (115409, 1673, 22, 'Kliknij po więcej szczegółów');
INSERT INTO `lang_definitions` VALUES (115410, 1674, 22, 'Kliknij na podsumowaniu zamówienia');
INSERT INTO `lang_definitions` VALUES (115411, 1675, 22, 'Kliknij na wyniki');
INSERT INTO `lang_definitions` VALUES (115412, 1678, 22, 'Kliknij tutaj');
INSERT INTO `lang_definitions` VALUES (115413, 1679, 22, 'Kliknij tutaj, aby dodać nowego pacjenta.');
INSERT INTO `lang_definitions` VALUES (115414, 1680, 22, 'Kliknij tutaj, aby dodać nowy status szkody i zmiany edycji codzienną aktywność');
INSERT INTO `lang_definitions` VALUES (115415, 1682, 22, 'Kliknij tutaj, aby wybrać datę');
INSERT INTO `lang_definitions` VALUES (115416, 1683, 22, 'Kliknij tutaj, aby wybrać datę i godzinę');
INSERT INTO `lang_definitions` VALUES (115417, 1684, 22, 'Kliknij tutaj, aby wybrać datę rozpoczęcia');
INSERT INTO `lang_definitions` VALUES (115418, 1685, 22, 'Kliknij tu, by wybrać datę czas');
INSERT INTO `lang_definitions` VALUES (115419, 1686, 22, 'Kliknij tu, by wybrać datę czas od:');
INSERT INTO `lang_definitions` VALUES (115420, 1687, 22, 'Kliknij tu, by wybrać datę czas do:');
INSERT INTO `lang_definitions` VALUES (115421, 1688, 22, 'Kliknij tu, by skonfigurować ten moduł');
INSERT INTO `lang_definitions` VALUES (115422, 1690, 22, 'Kliknij tu, by usunąć wiersz');
INSERT INTO `lang_definitions` VALUES (115423, 1692, 22, 'Kliknij tu, by wyłączyć ten moduł');
INSERT INTO `lang_definitions` VALUES (115424, 1693, 22, 'Kliknij tu, by duplikować wiersz');
INSERT INTO `lang_definitions` VALUES (115425, 1694, 22, 'Kliknij tu, by edytować listę dostępnych soczewek');
INSERT INTO `lang_definitions` VALUES (115426, 1695, 22, 'Kliknij tu, by edytować listę dostępnych opcji leczenia soczewek');
INSERT INTO `lang_definitions` VALUES (115427, 1696, 22, 'Kliknij tu, by edytować listę producentów soczewek kontaktowych');
INSERT INTO `lang_definitions` VALUES (115428, 1698, 22, 'Kliknij tu, by edytować listę producentów');
INSERT INTO `lang_definitions` VALUES (115429, 1699, 22, 'Kliknij tu, by edytować listę dostawców');
INSERT INTO `lang_definitions` VALUES (115430, 1700, 22, 'Kliknij tu, by edytować opcje planu lekarza');
INSERT INTO `lang_definitions` VALUES (115431, 1701, 22, 'Kliknij tu, by edytować listę szybkiego wyboru lekarza');
INSERT INTO `lang_definitions` VALUES (115432, 1702, 22, 'Kliknij tu, by edytować prawidłowe wartości badań dostawcy');
INSERT INTO `lang_definitions` VALUES (115433, 1703, 22, 'Kliknij tu, by aktywować ten moduł');
INSERT INTO `lang_definitions` VALUES (115434, 1706, 22, 'Kliknij tu, by instalować ten moduł');
INSERT INTO `lang_definitions` VALUES (115435, 1707, 22, 'kliknij tutaj, aby wyszukać');
INSERT INTO `lang_definitions` VALUES (115436, 1710, 22, 'Kliknij tutaj, aby zaktualizować  priorytet, kategorię i ustawienia nazwy użytkownika');
INSERT INTO `lang_definitions` VALUES (115437, 1714, 22, 'Kliknij tutaj, aby wyświetlić wszystkie.');
INSERT INTO `lang_definitions` VALUES (115438, 1715, 22, 'Kliknij tutaj, aby wyświetlić i wykres');
INSERT INTO `lang_definitions` VALUES (115439, 1717, 22, 'Kliknij tutaj, aby zobaczyć i wykres wszystkie narządy.');
INSERT INTO `lang_definitions` VALUES (115440, 1718, 22, 'Kliknij tutaj aby zobaczyć szczegóły pacjenta');
INSERT INTO `lang_definitions` VALUES (115441, 1719, 22, 'Kliknij tutaj, aby zobaczyć je wszystkie.');
INSERT INTO `lang_definitions` VALUES (115442, 1720, 22, 'Kliknij tutaj, aby zobaczyć / edytować więcej szczegółów');
INSERT INTO `lang_definitions` VALUES (115443, 1723, 22, 'Kliknij przycisk Instaluj, aby zainstalować wersji bazy danych z tej daty');
INSERT INTO `lang_definitions` VALUES (115444, 1730, 22, 'Kliknij na jednym z pól czasu by zwiększyć jego');
INSERT INTO `lang_definitions` VALUES (115445, 1751, 22, 'Kliknij nazwisko pacjenta otworzyć plik Pacjenta');
INSERT INTO `lang_definitions` VALUES (115446, 1753, 22, 'Kliknij Odśwież, aby zobaczyć wszystkie wyniki, lub proszę wprowadzić kryteria powyżej, aby zobaczyć zamierzone wyniki.');
INSERT INTO `lang_definitions` VALUES (115447, 1775, 22, 'Kliknij tu, by wyświetlić/ukryć dodatkowe badania');
INSERT INTO `lang_definitions` VALUES (115448, 1777, 22, 'Kliknij, aby dodać diagnozę');
INSERT INTO `lang_definitions` VALUES (115449, 1779, 22, 'Kliknij, aby dodać nowe elementy');
INSERT INTO `lang_definitions` VALUES (115450, 1780, 22, 'Kliknij, aby dodać nowe konsultacje');
INSERT INTO `lang_definitions` VALUES (115451, 1785, 22, 'Kliknij, aby pobrać');
INSERT INTO `lang_definitions` VALUES (115452, 1786, 22, 'Kliknij, aby edytować');
INSERT INTO `lang_definitions` VALUES (115453, 1787, 22, 'Kliknij, aby edytować opis');
INSERT INTO `lang_definitions` VALUES (115454, 1788, 22, 'Kliknij, aby edytować to wydarzenie');
INSERT INTO `lang_definitions` VALUES (115455, 1790, 22, 'Kliknij aby wygenerować raport');
INSERT INTO `lang_definitions` VALUES (115456, 1799, 22, 'Kliknij, aby dopasować pacjenta');
INSERT INTO `lang_definitions` VALUES (115457, 1800, 22, 'Kliknij, aby wydrukować');
INSERT INTO `lang_definitions` VALUES (115458, 1801, 22, 'Kliknij, aby otrzymać (dodać) nową partię');
INSERT INTO `lang_definitions` VALUES (115459, 1805, 22, 'Kliknij, aby wybrać');
INSERT INTO `lang_definitions` VALUES (115460, 1806, 22, 'Kliknij, aby wybrać');
INSERT INTO `lang_definitions` VALUES (115461, 1808, 22, 'Kliknij, aby wybrać standardowy, przemysłowy kod tej procedury');
INSERT INTO `lang_definitions` VALUES (115462, 1811, 22, 'Kliknij, aby wybrać opcjonalny kod procedury');
INSERT INTO `lang_definitions` VALUES (115463, 1812, 22, 'Cliknij tu, by wybrać lub zmienić sysem kodowania');
INSERT INTO `lang_definitions` VALUES (115464, 1813, 22, 'Kliknij, aby wybrać lub zmienić kod CVX');
INSERT INTO `lang_definitions` VALUES (115465, 1814, 22, 'Kliknij, aby wybrać lub zmienić diagnozę');
INSERT INTO `lang_definitions` VALUES (115466, 1815, 22, 'Kliknij, aby wybrać lub zmienić kody serwisowe');
INSERT INTO `lang_definitions` VALUES (115467, 1816, 22, 'Kliknij, aby wybrać pacjenta');
INSERT INTO `lang_definitions` VALUES (115468, 1817, 22, 'Kliknij, aby wybrać kod związanych');
INSERT INTO `lang_definitions` VALUES (115469, 1819, 22, 'Kliknij, aby wybrać usługi do wykonania, jeśli wynik jest nieprawidłowy');
INSERT INTO `lang_definitions` VALUES (115470, 1822, 22, 'Kliknij, aby wybrać żądaną procedurę');
INSERT INTO `lang_definitions` VALUES (115471, 1829, 22, 'Kliknij, aby posortować');
INSERT INTO `lang_definitions` VALUES (115472, 1831, 22, 'Kliknij aby zobaczyć');
INSERT INTO `lang_definitions` VALUES (115473, 1833, 22, 'Kliknij, aby wyświetlić lub edytować');
INSERT INTO `lang_definitions` VALUES (115474, 1834, 22, 'Kliknij, by zobaczyć / edytować');
INSERT INTO `lang_definitions` VALUES (115475, 1836, 22, 'Kliknij przycisk Zmień, aby uaktualnić wersji bazy danych z tej daty');
INSERT INTO `lang_definitions` VALUES (115476, 1839, 22, 'Kliknij:');
INSERT INTO `lang_definitions` VALUES (115477, 1862, 22, 'Dni wygaśnięcia certyfikatu klienta');
INSERT INTO `lang_definitions` VALUES (115478, 1864, 22, 'Świadectwo okres klient walidacji');
INSERT INTO `lang_definitions` VALUES (115479, 1865, 22, 'Ważności certyfikatu klient powinien być podany numer.');
INSERT INTO `lang_definitions` VALUES (115480, 1866, 22, 'Copy Client');
INSERT INTO `lang_definitions` VALUES (115481, 1869, 22, 'Client medyczny Podsumowanie Historia');
INSERT INTO `lang_definitions` VALUES (115482, 1870, 22, 'Nazwa klienta');
INSERT INTO `lang_definitions` VALUES (115483, 1872, 22, 'Numer Klienta');
INSERT INTO `lang_definitions` VALUES (115484, 1873, 22, 'Client Profile - nowych klientów');
INSERT INTO `lang_definitions` VALUES (115485, 1874, 22, 'Client Profile - Unikalne Klienci');
INSERT INTO `lang_definitions` VALUES (115486, 1878, 22, 'Klienci');
INSERT INTO `lang_definitions` VALUES (115487, 1879, 22, 'Klinika');
INSERT INTO `lang_definitions` VALUES (115488, 1880, 22, 'Copy Clinic');
INSERT INTO `lang_definitions` VALUES (115489, 1881, 22, 'Klinika Daily Record');
INSERT INTO `lang_definitions` VALUES (115490, 1882, 22, 'ID Clinic');
INSERT INTO `lang_definitions` VALUES (115491, 1883, 22, 'kliniczny');
INSERT INTO `lang_definitions` VALUES (115492, 1884, 22, 'Menadżer alertów reguł decyzji klinicznych');
INSERT INTO `lang_definitions` VALUES (115493, 1886, 22, 'Historia kliniczna');
INSERT INTO `lang_definitions` VALUES (115494, 1888, 22, 'Formularz instrukcji klinicznych');
INSERT INTO `lang_definitions` VALUES (115495, 1889, 22, 'Plany kliniczne');
INSERT INTO `lang_definitions` VALUES (115496, 1890, 22, 'Kliniczne Wskaźniki Jakości (CQM)');
INSERT INTO `lang_definitions` VALUES (115497, 1891, 22, 'Kliniczne Wskaźniki Jakości (CQM) - 2011');
INSERT INTO `lang_definitions` VALUES (115498, 1892, 22, 'Kliniczne Wskaźniki Jakości (CQM) - 2014');
INSERT INTO `lang_definitions` VALUES (115499, 1893, 22, 'Przypomnienia kliniczne');
INSERT INTO `lang_definitions` VALUES (115500, 1897, 22, 'Raporty kliniczne');
INSERT INTO `lang_definitions` VALUES (115501, 1898, 22, 'Clinical Kategoria Rule Action');
INSERT INTO `lang_definitions` VALUES (115502, 1899, 22, 'Clinical Rule Action Item');
INSERT INTO `lang_definitions` VALUES (115503, 1900, 22, 'Metod klinicznych reguły filtrowania');
INSERT INTO `lang_definitions` VALUES (115504, 1901, 22, 'Metod klinicznych docelowe Rule');
INSERT INTO `lang_definitions` VALUES (115505, 1902, 22, 'Zasady kliniczne');
INSERT INTO `lang_definitions` VALUES (115506, 1903, 22, 'Kliniczne Zasady przedziałach wiekowych');
INSERT INTO `lang_definitions` VALUES (115507, 1904, 22, 'Kliniczne Zasady Porównania');
INSERT INTO `lang_definitions` VALUES (115508, 1905, 22, 'Typy kliniczne Zasady Encounter');
INSERT INTO `lang_definitions` VALUES (115509, 1906, 22, 'Zasady kliniczne Przypomnienie Due Opcje');
INSERT INTO `lang_definitions` VALUES (115510, 1907, 22, 'Kliniczne Zasady Opcje inaktywacji Reminder');
INSERT INTO `lang_definitions` VALUES (115511, 1908, 22, 'Kliniczne Zasady Interwały Reminder');
INSERT INTO `lang_definitions` VALUES (115512, 1909, 22, 'Regulamin Metody kliniczne Reminder');
INSERT INTO `lang_definitions` VALUES (115513, 1910, 22, 'Zasady kliniczne Interwały docelowe');
INSERT INTO `lang_definitions` VALUES (115514, 1911, 22, 'kliniczne cele');
INSERT INTO `lang_definitions` VALUES (115515, 1912, 22, 'kliniczny termin');
INSERT INTO `lang_definitions` VALUES (115516, 1913, 22, 'kliniczny termin Kod (-y)');
INSERT INTO `lang_definitions` VALUES (115517, 1915, 22, 'lekarze');
INSERT INTO `lang_definitions` VALUES (115518, 1916, 22, 'Klonuj');
INSERT INTO `lang_definitions` VALUES (115519, 1917, 22, 'Clone Past wizyta');
INSERT INTO `lang_definitions` VALUES (115520, 1918, 22, 'zamknąć');
INSERT INTO `lang_definitions` VALUES (115521, 1924, 22, 'Zamknij Okno');
INSERT INTO `lang_definitions` VALUES (115522, 1925, 22, 'Zamknij okno');
INSERT INTO `lang_definitions` VALUES (115523, 1927, 22, 'zamknięty');
INSERT INTO `lang_definitions` VALUES (115524, 1928, 22, 'cm');
INSERT INTO `lang_definitions` VALUES (115525, 1931, 22, 'CMS 1500 Marginesy');
INSERT INTO `lang_definitions` VALUES (115526, 1940, 22, 'CMS ID');
INSERT INTO `lang_definitions` VALUES (115527, 1943, 22, 'CMS Portal');
INSERT INTO `lang_definitions` VALUES (115528, 1944, 22, 'CMS Portal Login');
INSERT INTO `lang_definitions` VALUES (115529, 1945, 22, 'CMS Portal Login ID');
INSERT INTO `lang_definitions` VALUES (115530, 1946, 22, 'CMS Portal niedostpny!');
INSERT INTO `lang_definitions` VALUES (115531, 1947, 22, 'Hasło do CMS Portalu');
INSERT INTO `lang_definitions` VALUES (115532, 1948, 22, 'Odpowiedź CMS Portalu');
INSERT INTO `lang_definitions` VALUES (115533, 1949, 22, 'Adres strony CMS Portalu');
INSERT INTO `lang_definitions` VALUES (115534, 1950, 22, 'Nazwa użytkownika CMS Portalu');
INSERT INTO `lang_definitions` VALUES (115535, 1953, 22, 'n.VII {{siódmy nerw czaszkowy}}');
INSERT INTO `lang_definitions` VALUES (115536, 1954, 22, 'n.V {{ piąty nerw czaszkowy}}');
INSERT INTO `lang_definitions` VALUES (115537, 1955, 22, 'CN2-12 bez zmian');
INSERT INTO `lang_definitions` VALUES (115538, 1958, 22, 'współfinansowane płatna');
INSERT INTO `lang_definitions` VALUES (115539, 1959, 22, 'Co Pay Paid');
INSERT INTO `lang_definitions` VALUES (115540, 1962, 22, 'CO-PAY');
INSERT INTO `lang_definitions` VALUES (115541, 1964, 22, 'Kod');
INSERT INTO `lang_definitions` VALUES (115542, 1965, 22, 'kod');
INSERT INTO `lang_definitions` VALUES (115543, 1967, 22, 'code Finder');
INSERT INTO `lang_definitions` VALUES (115544, 1968, 22, 'Kod musi być dwa małe litery');
INSERT INTO `lang_definitions` VALUES (115545, 1969, 22, 'Kod lub symbol wskazuje walutę');
INSERT INTO `lang_definitions` VALUES (115546, 1971, 22, 'Tekst code');
INSERT INTO `lang_definitions` VALUES (115547, 1973, 22, 'Typ kodu');
INSERT INTO `lang_definitions` VALUES (115548, 1976, 22, 'Rodzaje kodów');
INSERT INTO `lang_definitions` VALUES (115549, 1977, 22, 'Kod (-y)');
INSERT INTO `lang_definitions` VALUES (115550, 1978, 22, 'Coded');
INSERT INTO `lang_definitions` VALUES (115551, 1979, 22, 'Kody');
INSERT INTO `lang_definitions` VALUES (115552, 1981, 22, 'kodowanie');
INSERT INTO `lang_definitions` VALUES (115553, 1983, 22, 'Gra - żadnych spotkań (zapis, wsome opcjonalnie)');
INSERT INTO `lang_definitions` VALUES (115554, 1985, 22, 'Gra - Moje spotkania (zapis, wsome opcjonalnie)');
INSERT INTO `lang_definitions` VALUES (115555, 1990, 22, 'Kodowanie nie jest upoważniony');
INSERT INTO `lang_definitions` VALUES (115556, 1991, 22, 'kawa');
INSERT INTO `lang_definitions` VALUES (115557, 1994, 22, 'koasekuracja');
INSERT INTO `lang_definitions` VALUES (115558, 1995, 22, 'Coll w / o');
INSERT INTO `lang_definitions` VALUES (115559, 1997, 22, 'Rozwiń');
INSERT INTO `lang_definitions` VALUES (115560, 1998, 22, 'rozwiń');
INSERT INTO `lang_definitions` VALUES (115561, 1999, 22, 'Zwiń wszystko');
INSERT INTO `lang_definitions` VALUES (115562, 2000, 22, 'Zwiń wszystko');
INSERT INTO `lang_definitions` VALUES (115563, 2001, 22, 'zwinąć wszystko');
INSERT INTO `lang_definitions` VALUES (115564, 2005, 22, 'kolekcja data');
INSERT INTO `lang_definitions` VALUES (115565, 2007, 22, 'Kolekcje');
INSERT INTO `lang_definitions` VALUES (115566, 2008, 22, 'Kolekcje Zgłoś');
INSERT INTO `lang_definitions` VALUES (115567, 2009, 22, 'Rak jelita grubego');
INSERT INTO `lang_definitions` VALUES (115568, 2010, 22, 'Colon Cancer Screening');
INSERT INTO `lang_definitions` VALUES (115569, 2011, 22, 'Chirurgia raka okrężnicy');
INSERT INTO `lang_definitions` VALUES (115570, 2012, 22, 'kolonoskopia');
INSERT INTO `lang_definitions` VALUES (115571, 2013, 22, 'kolonoskopia');
INSERT INTO `lang_definitions` VALUES (115572, 2014, 22, 'kolor');
INSERT INTO `lang_definitions` VALUES (115573, 2020, 22, 'Kolor: Skrót');
INSERT INTO `lang_definitions` VALUES (115574, 2021, 22, 'kolumna');
INSERT INTO `lang_definitions` VALUES (115575, 2022, 22, 'kolumny');
INSERT INTO `lang_definitions` VALUES (115576, 2024, 22, 'Dużo Łączenie');
INSERT INTO `lang_definitions` VALUES (115577, 2025, 22, 'przecinek');
INSERT INTO `lang_definitions` VALUES (115578, 2027, 22, 'komentarz');
INSERT INTO `lang_definitions` VALUES (115579, 2028, 22, 'Komentarze');
INSERT INTO `lang_definitions` VALUES (115580, 2030, 22, 'Komentarze do tego wyniku lub zalecenia');
INSERT INTO `lang_definitions` VALUES (115581, 2031, 22, 'Komercyjne Insurance Co');
INSERT INTO `lang_definitions` VALUES (115582, 2032, 22, 'Commit Changes');
INSERT INTO `lang_definitions` VALUES (115583, 2034, 22, 'Komunikacja');
INSERT INTO `lang_definitions` VALUES (115584, 2036, 22, 'Komunikacja');
INSERT INTO `lang_definitions` VALUES (115585, 2039, 22, 'spółka');
INSERT INTO `lang_definitions` VALUES (115586, 2040, 22, 'Nazwa firmy');
INSERT INTO `lang_definitions` VALUES (115587, 2041, 22, 'zakończyć');
INSERT INTO `lang_definitions` VALUES (115588, 2043, 22, 'zakończony');
INSERT INTO `lang_definitions` VALUES (115589, 2046, 22, 'Zakończone?');
INSERT INTO `lang_definitions` VALUES (115590, 2049, 22, 'Powikłania przez operatora');
INSERT INTO `lang_definitions` VALUES (115591, 2050, 22, 'Powikłania aborcji');
INSERT INTO `lang_definitions` VALUES (115592, 2051, 22, 'Components');
INSERT INTO `lang_definitions` VALUES (115593, 2057, 22, 'Computer Aided Medical system zamawiania');
INSERT INTO `lang_definitions` VALUES (115594, 2058, 22, 'Wnioski');
INSERT INTO `lang_definitions` VALUES (115595, 2059, 22, 'Warunek');
INSERT INTO `lang_definitions` VALUES (115596, 2060, 22, 'Pole warunku nie znalezione');
INSERT INTO `lang_definitions` VALUES (115597, 2061, 22, 'Stan warunku');
INSERT INTO `lang_definitions` VALUES (115598, 2064, 22, 'Konfiguracja');
INSERT INTO `lang_definitions` VALUES (115599, 2065, 22, 'Konfiguracja Export / Import');
INSERT INTO `lang_definitions` VALUES (115600, 2066, 22, 'Konfiguracja zapisana pomyślnie');
INSERT INTO `lang_definitions` VALUES (115601, 2067, 22, 'Apache i OpenEMR użyć po stronie klienta certyfikaty SSL.');
INSERT INTO `lang_definitions` VALUES (115602, 2068, 22, 'Skonfigurować Apache w użyciu klient certyfikaty SSL niepożądane');
INSERT INTO `lang_definitions` VALUES (115603, 2069, 22, 'Skonfiguruj Apache do używania HTTPS.');
INSERT INTO `lang_definitions` VALUES (115604, 2070, 22, 'Skonfiguruj Openemr używać certyfikatów SSL Client boczne');
INSERT INTO `lang_definitions` VALUES (115605, 2079, 22, 'Potwierdź utworzenie nowego pacjenta');
INSERT INTO `lang_definitions` VALUES (115606, 2081, 22, 'Potwierdź nowe hasło');
INSERT INTO `lang_definitions` VALUES (115607, 2083, 22, 'Potwierdź Płatność');
INSERT INTO `lang_definitions` VALUES (115608, 2092, 22, 'wrodzony');
INSERT INTO `lang_definitions` VALUES (115609, 2094, 22, 'Spojówka, źrenice');
INSERT INTO `lang_definitions` VALUES (115610, 2096, 22, 'Błąd połączenia');
INSERT INTO `lang_definitions` VALUES (115611, 2097, 22, 'Połączenia');
INSERT INTO `lang_definitions` VALUES (115612, 2098, 22, 'stały');
INSERT INTO `lang_definitions` VALUES (115613, 2100, 22, 'nazwa stałej');
INSERT INTO `lang_definitions` VALUES (115614, 2101, 22, 'Stała nazwa jest pusta');
INSERT INTO `lang_definitions` VALUES (115615, 2102, 22, 'stałe');
INSERT INTO `lang_definitions` VALUES (115616, 2103, 22, 'zaparcie');
INSERT INTO `lang_definitions` VALUES (115617, 2104, 22, 'konstytucyjny');
INSERT INTO `lang_definitions` VALUES (115618, 2106, 22, 'Konsultyjący lekarz');
INSERT INTO `lang_definitions` VALUES (115619, 2107, 22, 'Konsultacje Skrócony opis');
INSERT INTO `lang_definitions` VALUES (115620, 2109, 22, 'Dane kontaktowe');
INSERT INTO `lang_definitions` VALUES (115621, 2110, 22, 'Kontakt e-mail');
INSERT INTO `lang_definitions` VALUES (115622, 2111, 22, 'Kontakt adres e-mail');
INSERT INTO `lang_definitions` VALUES (115623, 2112, 22, 'Skontaktuj EMR bezpośrednie do subskrypcji usługi wiadomości bezpośrednich phiMail');
INSERT INTO `lang_definitions` VALUES (115624, 2113, 22, 'informacje kontaktowe');
INSERT INTO `lang_definitions` VALUES (115625, 2115, 22, 'soczewka kontaktowa');
INSERT INTO `lang_definitions` VALUES (115626, 2116, 22, 'refrakcja soczewek kontaktowych');
INSERT INTO `lang_definitions` VALUES (115627, 2117, 22, 'soczewki kontaktowe');
INSERT INTO `lang_definitions` VALUES (115628, 2118, 22, 'Skontaktuj się Medical integracji informacji, LLC w http://mi-squared.com dla Lab Wymiany.');
INSERT INTO `lang_definitions` VALUES (115629, 2119, 22, 'Skontaktuj się Medical integracji informacji, LLC w http://mi-squared.com lub ZH zdrowotnej na http://zhservices.com subskrybowania usługi ERX');
INSERT INTO `lang_definitions` VALUES (115630, 2122, 22, 'nazwa kontaktu');
INSERT INTO `lang_definitions` VALUES (115631, 2125, 22, 'Osoba do kontaktu');
INSERT INTO `lang_definitions` VALUES (115632, 2126, 22, 'telefon kontaktowy');
INSERT INTO `lang_definitions` VALUES (115633, 2127, 22, 'Kontaktowy numer telefonu');
INSERT INTO `lang_definitions` VALUES (115634, 2129, 22, 'Kontakt ZMG, LLC (zmghealth@gmail.com) subskrybowania usługi ERX');
INSERT INTO `lang_definitions` VALUES (115635, 2131, 22, 'zawierać co najmniej trzy z czterech następujących elementów:');
INSERT INTO `lang_definitions` VALUES (115636, 2132, 22, 'Nazwa grupy pojemnik');
INSERT INTO `lang_definitions` VALUES (115637, 2133, 22, 'zawartość');
INSERT INTO `lang_definitions` VALUES (115638, 2134, 22, 'zawartość');
INSERT INTO `lang_definitions` VALUES (115639, 2136, 22, 'kontekst');
INSERT INTO `lang_definitions` VALUES (115640, 2137, 22, 'Nazwa kontekstu nie można być pusty');
INSERT INTO `lang_definitions` VALUES (115641, 2138, 22, 'kontynuować');
INSERT INTO `lang_definitions` VALUES (115642, 2142, 22, 'Ciągłość Dokument Opieki (CCD)');
INSERT INTO `lang_definitions` VALUES (115643, 2145, 22, 'Ciągłość opieki Record (CCR)');
INSERT INTO `lang_definitions` VALUES (115644, 2146, 22, 'Klienci przeciwwskazania');
INSERT INTO `lang_definitions` VALUES (115645, 2147, 22, 'zapobieganie ciąży');
INSERT INTO `lang_definitions` VALUES (115646, 2148, 22, 'problemy Antykoncepcja');
INSERT INTO `lang_definitions` VALUES (115647, 2149, 22, 'Powikłania antykoncepcji (określić)');
INSERT INTO `lang_definitions` VALUES (115648, 2150, 22, 'metoda antykoncepcji');
INSERT INTO `lang_definitions` VALUES (115649, 2151, 22, 'Produkty antykoncepcyjne');
INSERT INTO `lang_definitions` VALUES (115650, 2152, 22, 'Usługi antykoncepcyjne wcześniej rozpoczął');
INSERT INTO `lang_definitions` VALUES (115651, 2153, 22, 'Antykoncepcja Początek');
INSERT INTO `lang_definitions` VALUES (115652, 2158, 22, 'ID Control');
INSERT INTO `lang_definitions` VALUES (115653, 2159, 22, 'Kontrola nr');
INSERT INTO `lang_definitions` VALUES (115654, 2168, 22, 'COPAY');
INSERT INTO `lang_definitions` VALUES (115655, 2169, 22, 'Copay');
INSERT INTO `lang_definitions` VALUES (115656, 2170, 22, 'CoPay');
INSERT INTO `lang_definitions` VALUES (115657, 2171, 22, 'Copay nie pozytywne');
INSERT INTO `lang_definitions` VALUES (115658, 2173, 22, 'Copays');
INSERT INTO `lang_definitions` VALUES (115659, 2174, 22, 'POChP');
INSERT INTO `lang_definitions` VALUES (115660, 2175, 22, 'Kopiowanie stron na wykresie pacjenta');
INSERT INTO `lang_definitions` VALUES (115661, 2177, 22, 'Kopiowanie wartości');
INSERT INTO `lang_definitions` VALUES (115662, 2178, 22, 'Kopiowanie pliku bazy danych. To zajmie trochę czasu ...');
INSERT INTO `lang_definitions` VALUES (115663, 2179, 22, 'Informacje o prawach autorskich');
INSERT INTO `lang_definitions` VALUES (115664, 2180, 22, 'Choroba serca');
INSERT INTO `lang_definitions` VALUES (115665, 2184, 22, 'Pomost naczynia wieńcowego');
INSERT INTO `lang_definitions` VALUES (115666, 2185, 22, 'Pomostowanie aortalno-wieńcowe (CABG)');
INSERT INTO `lang_definitions` VALUES (115667, 2186, 22, 'Poprawione');
INSERT INTO `lang_definitions` VALUES (115668, 2188, 22, 'sofa baza danych');
INSERT INTO `lang_definitions` VALUES (115669, 2189, 22, 'sofa baza danych połączenie nie powiodło się');
INSERT INTO `lang_definitions` VALUES (115670, 2191, 22, 'sofa baza danych');
INSERT INTO `lang_definitions` VALUES (115671, 2192, 22, 'sofa baza danych nazwa');
INSERT INTO `lang_definitions` VALUES (115672, 2195, 22, 'sofa baza danych nazwa gospodarz');
INSERT INTO `lang_definitions` VALUES (115673, 2196, 22, 'sofa baza danych nazwa hosta');
INSERT INTO `lang_definitions` VALUES (115674, 2206, 22, 'nie można połączyć z serwerem');
INSERT INTO `lang_definitions` VALUES (115675, 2210, 22, 'nie można otworzyć tabeli');
INSERT INTO `lang_definitions` VALUES (115676, 2211, 22, 'nie można odczytać pliku');
INSERT INTO `lang_definitions` VALUES (115677, 2212, 22, 'nie można odczytać pliku');
INSERT INTO `lang_definitions` VALUES (115678, 2214, 22, 'Nie można wysłać listy z powodu problemów z serwerem');
INSERT INTO `lang_definitions` VALUES (115679, 2216, 22, 'Nie można wysłać listy z powodu problemów z serwerem');
INSERT INTO `lang_definitions` VALUES (115680, 2217, 22, 'Nie można utworzyć katalogu kopii zapasowej');
INSERT INTO `lang_definitions` VALUES (115681, 2218, 22, 'Nie można usunąć katalogu');
INSERT INTO `lang_definitions` VALUES (115682, 2219, 22, 'Nie można usunąć starego pliku kopii zapasowej');
INSERT INTO `lang_definitions` VALUES (115683, 2220, 22, 'Nie można usunąć starego pliku exportu');
INSERT INTO `lang_definitions` VALUES (115684, 2221, 22, 'Warfaryna - monitorowanie INR');
INSERT INTO `lang_definitions` VALUES (115685, 2229, 22, 'Kraj');
INSERT INTO `lang_definitions` VALUES (115686, 2232, 22, 'Lista krajów');
INSERT INTO `lang_definitions` VALUES (115687, 2235, 22, 'Nazwa kraju powinna być dwuliterowym skrótem. (np. United States is US)');
INSERT INTO `lang_definitions` VALUES (115688, 2236, 22, 'województwo');
INSERT INTO `lang_definitions` VALUES (115689, 2237, 22, 'Województwo');
INSERT INTO `lang_definitions` VALUES (115690, 2238, 22, 'Kupon');
INSERT INTO `lang_definitions` VALUES (115691, 2240, 22, 'Kuzyn');
INSERT INTO `lang_definitions` VALUES (115692, 2253, 22, 'Nerw czaszkowy 5: nerw trójdzielny');
INSERT INTO `lang_definitions` VALUES (115693, 2254, 22, 'Nerw czaszkowy 7: nerw twarzowy');
INSERT INTO `lang_definitions` VALUES (115694, 2255, 22, 'krem');
INSERT INTO `lang_definitions` VALUES (115695, 2269, 22, 'Utwórz wydarzenie');
INSERT INTO `lang_definitions` VALUES (115696, 2273, 22, 'Utwórz i pobierz pełną kopię zapasową');
INSERT INTO `lang_definitions` VALUES (115697, 2274, 22, 'Utwórz i modyfikuj ścieżki');
INSERT INTO `lang_definitions` VALUES (115698, 2275, 22, 'Utwórz kopię zapasową');
INSERT INTO `lang_definitions` VALUES (115699, 2277, 22, 'Utwórz certyfikat klienta');
INSERT INTO `lang_definitions` VALUES (115700, 2278, 22, 'Utwórz certyfikat SSL dla klienta');
INSERT INTO `lang_definitions` VALUES (115701, 2281, 22, 'Utwórz duplikat');
INSERT INTO `lang_definitions` VALUES (115702, 2282, 22, 'Utwórz wizytę');
INSERT INTO `lang_definitions` VALUES (115703, 2287, 22, 'Utwórz nowego pacjenta');
INSERT INTO `lang_definitions` VALUES (115704, 2288, 22, 'Utwórz nową ścieżkę');
INSERT INTO `lang_definitions` VALUES (115705, 2294, 22, 'Utwórz notatkę o pacjencie');
INSERT INTO `lang_definitions` VALUES (115706, 2297, 22, 'Utwórz wizytę');
INSERT INTO `lang_definitions` VALUES (115707, 2298, 22, 'Utworzono');
INSERT INTO `lang_definitions` VALUES (115708, 2306, 22, 'Tworzenie pliku exportu');
INSERT INTO `lang_definitions` VALUES (115709, 2307, 22, 'Nieudane utworzenie nowej ścieżki');
INSERT INTO `lang_definitions` VALUES (115710, 2308, 22, 'Nieudane tworzenie pliku na urządzeniu zdalnym');
INSERT INTO `lang_definitions` VALUES (115711, 2309, 22, 'Autor');
INSERT INTO `lang_definitions` VALUES (115712, 2311, 22, 'kredyt');
INSERT INTO `lang_definitions` VALUES (115713, 2312, 22, 'Karta kredytowa');
INSERT INTO `lang_definitions` VALUES (115714, 2318, 22, 'Chorwacki');
INSERT INTO `lang_definitions` VALUES (115715, 2319, 22, 'Choroba Crohna');
INSERT INTO `lang_definitions` VALUES (115716, 2320, 22, 'Choroba Crohna');
INSERT INTO `lang_definitions` VALUES (115717, 2323, 22, 'Eksport do CSV');
INSERT INTO `lang_definitions` VALUES (115718, 2324, 22, 'Plik CSV');
INSERT INTO `lang_definitions` VALUES (115719, 2325, 22, 'Tabele CSV');
INSERT INTO `lang_definitions` VALUES (115720, 2331, 22, 'Kubański');
INSERT INTO `lang_definitions` VALUES (115721, 2333, 22, 'Liczba miejsc dziesiętnych w zapisie waluty');
INSERT INTO `lang_definitions` VALUES (115722, 2334, 22, 'Separator groszy dla waluty');
INSERT INTO `lang_definitions` VALUES (115723, 2336, 22, 'Separator tysiecy dla waluty');
INSERT INTO `lang_definitions` VALUES (115724, 2337, 22, 'Bieżące');
INSERT INTO `lang_definitions` VALUES (115725, 2338, 22, 'Bieżący Alkohol');
INSERT INTO `lang_definitions` VALUES (115726, 2342, 22, 'Bieżące kryteria');
INSERT INTO `lang_definitions` VALUES (115727, 2344, 22, 'Kolor podświetlenia bieżącego dnia');
INSERT INTO `lang_definitions` VALUES (115728, 2345, 22, 'Zacienienie bieżącego dnia');
INSERT INTO `lang_definitions` VALUES (115729, 2347, 22, 'Bieżąca nazwa pliku zmieniona do');
INSERT INTO `lang_definitions` VALUES (115730, 2350, 22, 'Bieżąca lokalizacja');
INSERT INTO `lang_definitions` VALUES (115731, 2352, 22, 'Bieżące leki');
INSERT INTO `lang_definitions` VALUES (115732, 2354, 22, 'Bieżące hasło');
INSERT INTO `lang_definitions` VALUES (115733, 2356, 22, 'Bieżący pacjent');
INSERT INTO `lang_definitions` VALUES (115734, 2358, 22, 'Aktualny dostawca');
INSERT INTO `lang_definitions` VALUES (115735, 2364, 22, 'Aktualny stan');
INSERT INTO `lang_definitions` VALUES (115736, 2365, 22, 'Aktualny czas');
INSERT INTO `lang_definitions` VALUES (115737, 2366, 22, 'Aktualny cel');
INSERT INTO `lang_definitions` VALUES (115738, 2371, 22, 'Obecnie aktywny');
INSERT INTO `lang_definitions` VALUES (115739, 2372, 22, 'Aktualnie zajęty');
INSERT INTO `lang_definitions` VALUES (115740, 2374, 22, 'Aktualnie off-line');
INSERT INTO `lang_definitions` VALUES (115741, 2375, 22, 'Obecnie przetwarzany');
INSERT INTO `lang_definitions` VALUES (115742, 2379, 22, 'Zespół Cushinga');
INSERT INTO `lang_definitions` VALUES (115743, 2380, 22, 'Zespół Cushinga');
INSERT INTO `lang_definitions` VALUES (115744, 2390, 22, 'Indywidualne wprowadzanie');
INSERT INTO `lang_definitions` VALUES (115745, 2395, 22, 'Indywidualna Tabela');
INSERT INTO `lang_definitions` VALUES (115746, 2406, 22, 'Cykl');
INSERT INTO `lang_definitions` VALUES (115747, 2410, 22, 'Cyl{{Cylinder}}');
INSERT INTO `lang_definitions` VALUES (115748, 2411, 22, 'CYL{{Cylinder}}');
INSERT INTO `lang_definitions` VALUES (115749, 2415, 22, 'Czech');
INSERT INTO `lang_definitions` VALUES (115750, 2416, 22, 'D');
INSERT INTO `lang_definitions` VALUES (115751, 2417, 22, 'D&C');
INSERT INTO `lang_definitions` VALUES (115752, 2420, 22, 'Data ur.');
INSERT INTO `lang_definitions` VALUES (115753, 2421, 22, 'codziennie');
INSERT INTO `lang_definitions` VALUES (115754, 2422, 22, 'Codzienne notatki');
INSERT INTO `lang_definitions` VALUES (115755, 2425, 22, 'Duńczyk');
INSERT INTO `lang_definitions` VALUES (115756, 2426, 22, 'Panel Administracyjny');
INSERT INTO `lang_definitions` VALUES (115757, 2429, 22, 'Podobne dane już są w bazie danych, zmień kod i/lub opis');
INSERT INTO `lang_definitions` VALUES (115758, 2430, 22, 'Podobne dane już są w bazie danych, zmień stałą nazwę');
INSERT INTO `lang_definitions` VALUES (115759, 2434, 22, 'Błąd danych');
INSERT INTO `lang_definitions` VALUES (115760, 2435, 22, 'Dane z');
INSERT INTO `lang_definitions` VALUES (115761, 2439, 22, 'Typ danych');
INSERT INTO `lang_definitions` VALUES (115762, 2440, 22, 'Baza danych');
INSERT INTO `lang_definitions` VALUES (115763, 2442, 22, 'Baza danych nie została zainstalowana.');
INSERT INTO `lang_definitions` VALUES (115764, 2443, 22, 'Nazwa bazy danych');
INSERT INTO `lang_definitions` VALUES (115765, 2444, 22, 'Poprawka do bazy danych');
INSERT INTO `lang_definitions` VALUES (115766, 2445, 22, 'Raport o bazie danych');
INSERT INTO `lang_definitions` VALUES (115767, 2447, 22, 'Zakończono upgrade bazy danych.');
INSERT INTO `lang_definitions` VALUES (115768, 2449, 22, 'Data');
INSERT INTO `lang_definitions` VALUES (115769, 2450, 22, 'DATA');
INSERT INTO `lang_definitions` VALUES (115770, 2451, 22, 'Data i czas podawane');
INSERT INTO `lang_definitions` VALUES (115771, 2452, 22, 'Data/Czas');
INSERT INTO `lang_definitions` VALUES (115772, 2453, 22, 'Data podania');
INSERT INTO `lang_definitions` VALUES (115773, 2454, 22, 'Data i godzina pobrania próbki');
INSERT INTO `lang_definitions` VALUES (115774, 2455, 22, 'Data i godzina obserwacji');
INSERT INTO `lang_definitions` VALUES (115775, 2456, 22, 'Data i czas tego raportu');
INSERT INTO `lang_definitions` VALUES (115776, 2457, 22, 'Data i godzina odbioru próbki');
INSERT INTO `lang_definitions` VALUES (115777, 2458, 22, 'Data nie może być późniejsza, niż dzisiaj');
INSERT INTO `lang_definitions` VALUES (115778, 2459, 22, 'Data pierwszego podania antykoncepcji');
INSERT INTO `lang_definitions` VALUES (115779, 2460, 22, 'Data utworzenia');
INSERT INTO `lang_definitions` VALUES (115780, 2461, 22, 'Data zgonu');
INSERT INTO `lang_definitions` VALUES (115781, 2462, 22, 'Data zniszczenia');
INSERT INTO `lang_definitions` VALUES (115782, 2463, 22, 'Format wyświetlania daty');
INSERT INTO `lang_definitions` VALUES (115783, 2464, 22, 'Format daty \"zakończenia wizyty\" jest nieprawidłowy');
INSERT INTO `lang_definitions` VALUES (115784, 2465, 22, 'Format daty \"rozpoczęcia wizyty\" jest nieprawidłowy');
INSERT INTO `lang_definitions` VALUES (115785, 2466, 22, 'Format daty \"Następna wizyta\" jest nieprawidłowy');
INSERT INTO `lang_definitions` VALUES (115786, 2467, 22, 'Format daty \"nie widziany od\" jest nieprawidłowy');
INSERT INTO `lang_definitions` VALUES (115787, 2468, 22, 'Format daty dla \"widzianego wcześniej\" jest nieprawidłowy');
INSERT INTO `lang_definitions` VALUES (115788, 2469, 22, 'Format daty \"widziane od\" jest nieprawidłowy');
INSERT INTO `lang_definitions` VALUES (115789, 2471, 22, 'Brak daty dla kodu');
INSERT INTO `lang_definitions` VALUES (115790, 2473, 22, 'Data wizyty');
INSERT INTO `lang_definitions` VALUES (115791, 2474, 22, 'Data wizyty mm/dd/rrrr');
INSERT INTO `lang_definitions` VALUES (115792, 2477, 22, 'Data urodzenia');
INSERT INTO `lang_definitions` VALUES (115793, 2478, 22, 'Data urodzenia');
INSERT INTO `lang_definitions` VALUES (115794, 2479, 22, 'Data urodzenia');
INSERT INTO `lang_definitions` VALUES (115795, 2480, 22, 'Data urodzenia i wiek');
INSERT INTO `lang_definitions` VALUES (115796, 2481, 22, 'Data wpisu');
INSERT INTO `lang_definitions` VALUES (115797, 2483, 22, 'Data obrażenia');
INSERT INTO `lang_definitions` VALUES (115798, 2485, 22, 'Data początku choroby lub hospitalizacji');
INSERT INTO `lang_definitions` VALUES (115799, 2486, 22, 'Data początku choroby, operacji lub rozpoczęcia leczenia');
INSERT INTO `lang_definitions` VALUES (115800, 2487, 22, 'Data płatności rrrr-mm-dd');
INSERT INTO `lang_definitions` VALUES (115801, 2488, 22, 'Data wyzdrowienia lub zakończenia leczenia');
INSERT INTO `lang_definitions` VALUES (115802, 2489, 22, 'Data z dnia skierowania');
INSERT INTO `lang_definitions` VALUES (115803, 2490, 22, 'Data rejestracji');
INSERT INTO `lang_definitions` VALUES (115804, 2491, 22, 'Data odpowiedzi');
INSERT INTO `lang_definitions` VALUES (115805, 2492, 22, 'Data raportu');
INSERT INTO `lang_definitions` VALUES (115806, 2493, 22, 'Data usługi');
INSERT INTO `lang_definitions` VALUES (115807, 2495, 22, 'Data usługi');
INSERT INTO `lang_definitions` VALUES (115808, 2496, 22, 'Data usługi = Dzisiaj');
INSERT INTO `lang_definitions` VALUES (115809, 2499, 22, 'Data usługi:');
INSERT INTO `lang_definitions` VALUES (115810, 2500, 22, 'Data podpisu');
INSERT INTO `lang_definitions` VALUES (115811, 2526, 22, 'Dzień');
INSERT INTO `lang_definitions` VALUES (115812, 2527, 22, 'dzień');
INSERT INTO `lang_definitions` VALUES (115813, 2530, 22, 'Widok dnia');
INSERT INTO `lang_definitions` VALUES (115814, 2531, 22, 'Dni');
INSERT INTO `lang_definitions` VALUES (115815, 2533, 22, 'dni');
INSERT INTO `lang_definitions` VALUES (115816, 2534, 22, 'Dni');
INSERT INTO `lang_definitions` VALUES (115817, 2535, 22, 'dni temu');
INSERT INTO `lang_definitions` VALUES (115818, 2545, 22, 'DD/MM/RRRR');
INSERT INTO `lang_definitions` VALUES (115819, 2565, 22, 'Gru');
INSERT INTO `lang_definitions` VALUES (115820, 2574, 22, 'Grudzień');
INSERT INTO `lang_definitions` VALUES (115821, 2582, 22, 'głęboko');
INSERT INTO `lang_definitions` VALUES (115822, 2583, 22, 'Domyślne');
INSERT INTO `lang_definitions` VALUES (115823, 2589, 22, 'Domyślna siedziba');
INSERT INTO `lang_definitions` VALUES (115824, 2594, 22, 'Domyślny język');
INSERT INTO `lang_definitions` VALUES (115825, 2595, 22, 'Domyślny język, gdy nie udostępniono wyboru.');
INSERT INTO `lang_definitions` VALUES (115826, 2638, 22, 'Usuń');
INSERT INTO `lang_definitions` VALUES (115827, 2639, 22, 'usuń');
INSERT INTO `lang_definitions` VALUES (115828, 2641, 22, 'Usuń kategorię');
INSERT INTO `lang_definitions` VALUES (115829, 2643, 22, 'Domyślny formularz spotkania');
INSERT INTO `lang_definitions` VALUES (115830, 2645, 22, 'Usuń grupę');
INSERT INTO `lang_definitions` VALUES (115831, 2646, 22, 'Usuń listę');
INSERT INTO `lang_definitions` VALUES (115832, 2648, 22, 'Usuń strony');
INSERT INTO `lang_definitions` VALUES (115833, 2650, 22, 'Usuń plan');
INSERT INTO `lang_definitions` VALUES (115834, 2651, 22, 'Usuń wiersz');
INSERT INTO `lang_definitions` VALUES (115835, 2652, 22, 'Usuń zaznaczone');
INSERT INTO `lang_definitions` VALUES (115836, 2655, 22, 'Usuwanie poprawne.');
INSERT INTO `lang_definitions` VALUES (115837, 2656, 22, 'Usuń ten dokument.');
INSERT INTO `lang_definitions` VALUES (115838, 2657, 22, 'Usuń ten formularz.');
INSERT INTO `lang_definitions` VALUES (115839, 2659, 22, 'Usuń tę notatkę.');
INSERT INTO `lang_definitions` VALUES (115840, 2660, 22, 'Usunięto poprawnie');
INSERT INTO `lang_definitions` VALUES (115841, 2661, 22, 'Usunięto poprawnie.');
INSERT INTO `lang_definitions` VALUES (115842, 2662, 22, 'Usuwanie');
INSERT INTO `lang_definitions` VALUES (115843, 2666, 22, 'Doręczenie potwierdzone');
INSERT INTO `lang_definitions` VALUES (115844, 2667, 22, 'Doręczenie is niedozwolenie do wyszczególnionego Direct Address.');
INSERT INTO `lang_definitions` VALUES (115845, 2671, 22, 'Demencja');
INSERT INTO `lang_definitions` VALUES (115846, 2673, 22, 'Demografia');
INSERT INTO `lang_definitions` VALUES (115847, 2687, 22, 'Dentystyczny');
INSERT INTO `lang_definitions` VALUES (115848, 2689, 22, 'Stomatologiczne');
INSERT INTO `lang_definitions` VALUES (115849, 2700, 22, 'Depresja');
INSERT INTO `lang_definitions` VALUES (115850, 2702, 22, 'Dermatologia');
INSERT INTO `lang_definitions` VALUES (115851, 2706, 22, 'Opis');
INSERT INTO `lang_definitions` VALUES (115852, 2707, 22, 'opis');
INSERT INTO `lang_definitions` VALUES (115853, 2713, 22, 'Cel');
INSERT INTO `lang_definitions` VALUES (115854, 2721, 22, 'Szczegół');
INSERT INTO `lang_definitions` VALUES (115855, 2723, 22, 'Szczegółowe badanie');
INSERT INTO `lang_definitions` VALUES (115856, 2726, 22, 'Szczególy');
INSERT INTO `lang_definitions` VALUES (115857, 2729, 22, 'Dewiacja');
INSERT INTO `lang_definitions` VALUES (115858, 2730, 22, 'Cukrzyca');
INSERT INTO `lang_definitions` VALUES (115859, 2731, 22, 'Cukrzyca');
INSERT INTO `lang_definitions` VALUES (115860, 2732, 22, 'Cukrzyca: Ciśnienie tętnicze (CQM)');
INSERT INTO `lang_definitions` VALUES (115861, 2733, 22, 'Cukrzyca: Badanie oczu');
INSERT INTO `lang_definitions` VALUES (115862, 2734, 22, 'Cukrzyca: Badanie oczu (CQM)');
INSERT INTO `lang_definitions` VALUES (115863, 2735, 22, 'Cukrzyca: Badanie stóp');
INSERT INTO `lang_definitions` VALUES (115864, 2736, 22, 'Cukrzyca: Badanie stóp (CQM)');
INSERT INTO `lang_definitions` VALUES (115865, 2737, 22, 'Cukrzyca: HbA1c - złe wyrównanie (CQM)');
INSERT INTO `lang_definitions` VALUES (115866, 2738, 22, 'Cukrzyca: Hemoglobina A1C');
INSERT INTO `lang_definitions` VALUES (115867, 2739, 22, 'Cukrzyca: LDL Kontrola (CQM)');
INSERT INTO `lang_definitions` VALUES (115868, 2740, 22, 'Cukrzyca: Mikroalbinuria');
INSERT INTO `lang_definitions` VALUES (115869, 2741, 22, 'Diagnoza');
INSERT INTO `lang_definitions` VALUES (115870, 2742, 22, 'Diagnozy');
INSERT INTO `lang_definitions` VALUES (115871, 2743, 22, 'Diagnoza');
INSERT INTO `lang_definitions` VALUES (115872, 2744, 22, 'Kod diagnozy');
INSERT INTO `lang_definitions` VALUES (115873, 2745, 22, 'Kody diagnoz');
INSERT INTO `lang_definitions` VALUES (115874, 2747, 22, 'Data diagnoz');
INSERT INTO `lang_definitions` VALUES (115875, 2750, 22, 'Nazwa diagnoz');
INSERT INTO `lang_definitions` VALUES (115876, 2755, 22, 'Diagnoza:');
INSERT INTO `lang_definitions` VALUES (115877, 2765, 22, 'Rozkurczowy');
INSERT INTO `lang_definitions` VALUES (115878, 2794, 22, 'Wyłącz kalendarz');
INSERT INTO `lang_definitions` VALUES (115879, 2802, 22, 'Wyłącz phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (115880, 2828, 22, 'Ujawnienia');
INSERT INTO `lang_definitions` VALUES (115881, 2841, 22, 'Choroba');
INSERT INTO `lang_definitions` VALUES (115882, 2884, 22, 'Dystans');
INSERT INTO `lang_definitions` VALUES (115883, 2901, 22, 'Rozwiedziony/a');
INSERT INTO `lang_definitions` VALUES (115884, 2905, 22, 'Nie zmieniaj');
INSERT INTO `lang_definitions` VALUES (115885, 2921, 22, 'nie zapisuj');
INSERT INTO `lang_definitions` VALUES (115886, 2928, 22, 'Czy naprawdę chcesz kontynuować');
INSERT INTO `lang_definitions` VALUES (115887, 2929, 22, 'Czy naprawdę chcesz usunąć');
INSERT INTO `lang_definitions` VALUES (115888, 2930, 22, 'Czy naprawdę chcesz usunąć ten wybór ?');
INSERT INTO `lang_definitions` VALUES (115889, 2931, 22, 'Czy naprawdę chcesz usunąć tę grupę ?');
INSERT INTO `lang_definitions` VALUES (115890, 2932, 22, 'Czy naprawdę chcesz usunąć ?');
INSERT INTO `lang_definitions` VALUES (115891, 2934, 22, 'Czy chcesz kontynuować ?');
INSERT INTO `lang_definitions` VALUES (115892, 2935, 22, 'Czy chcesz to skasować ?');
INSERT INTO `lang_definitions` VALUES (115893, 2936, 22, 'Czy chcesz skasować ?');
INSERT INTO `lang_definitions` VALUES (115894, 2937, 22, 'Czy chcesz usunąć ten wpis ?');
INSERT INTO `lang_definitions` VALUES (115895, 2938, 22, 'Czy kontynuować dodawanie tego pacjenta?');
INSERT INTO `lang_definitions` VALUES (115896, 2941, 22, 'Data ur.');
INSERT INTO `lang_definitions` VALUES (115897, 2942, 22, 'Data ur. niedostępna, jeśli to możliwe proszę wprowadź');
INSERT INTO `lang_definitions` VALUES (115898, 2947, 22, 'Nazwisko i podpis lekarza');
INSERT INTO `lang_definitions` VALUES (115899, 2948, 22, 'Dokument');
INSERT INTO `lang_definitions` VALUES (115900, 2949, 22, 'dokument');
INSERT INTO `lang_definitions` VALUES (115901, 2951, 22, 'Kategorie dokumentu');
INSERT INTO `lang_definitions` VALUES (115902, 2978, 22, 'Dokumenty');
INSERT INTO `lang_definitions` VALUES (115903, 2997, 22, 'Konkubent/a');
INSERT INTO `lang_definitions` VALUES (115904, 2998, 22, 'Nie zapisuj');
INSERT INTO `lang_definitions` VALUES (115905, 2999, 22, 'Nie zapisuj');
INSERT INTO `lang_definitions` VALUES (115906, 3000, 22, 'Nie zapisuj');
INSERT INTO `lang_definitions` VALUES (115907, 3007, 22, 'Dawkowanie');
INSERT INTO `lang_definitions` VALUES (115908, 3008, 22, 'Dawka');
INSERT INTO `lang_definitions` VALUES (115909, 3014, 22, 'Pobierz');
INSERT INTO `lang_definitions` VALUES (115910, 3015, 22, 'POBIERZ');
INSERT INTO `lang_definitions` VALUES (115911, 3018, 22, 'Pobierz wszystkie dokumenty pacjenta');
INSERT INTO `lang_definitions` VALUES (115912, 3041, 22, 'Dr');
INSERT INTO `lang_definitions` VALUES (115913, 3048, 22, 'Prawo jazdy #');
INSERT INTO `lang_definitions` VALUES (115914, 3050, 22, 'Leki');
INSERT INTO `lang_definitions` VALUES (115915, 3072, 22, 'Leki');
INSERT INTO `lang_definitions` VALUES (115916, 3112, 22, 'Czas trwania');
INSERT INTO `lang_definitions` VALUES (115917, 3113, 22, 'czas trwania');
INSERT INTO `lang_definitions` VALUES (115918, 3114, 22, 'holenderski');
INSERT INTO `lang_definitions` VALUES (115919, 3148, 22, 'EKG');
INSERT INTO `lang_definitions` VALUES (115920, 3159, 22, 'Edycja');
INSERT INTO `lang_definitions` VALUES (115921, 3160, 22, 'edycja');
INSERT INTO `lang_definitions` VALUES (115922, 3199, 22, 'ee the * GNU General Public License for more details. * * You should have received a copy of the GNU General Public License * along with this program; if not, write to the Free');
INSERT INTO `lang_definitions` VALUES (115923, 3208, 22, 'Łokieć');
INSERT INTO `lang_definitions` VALUES (115924, 3209, 22, 'Problemy z łokciem');
INSERT INTO `lang_definitions` VALUES (115925, 3215, 22, 'Raporty elektroniczne');
INSERT INTO `lang_definitions` VALUES (115926, 3225, 22, 'Email');
INSERT INTO `lang_definitions` VALUES (115927, 3228, 22, 'Adres Email');
INSERT INTO `lang_definitions` VALUES (115928, 3259, 22, 'Osoba kontaktowa');
INSERT INTO `lang_definitions` VALUES (115929, 3260, 22, 'Nazwisko osoby kontaktowej');
INSERT INTO `lang_definitions` VALUES (115930, 3261, 22, 'Telefon do osoby kontaktowej');
INSERT INTO `lang_definitions` VALUES (115931, 3268, 22, 'Tel. do os. kontaktowej');
INSERT INTO `lang_definitions` VALUES (115932, 3272, 22, 'Pracownik');
INSERT INTO `lang_definitions` VALUES (115933, 3273, 22, 'Pracodawca');
INSERT INTO `lang_definitions` VALUES (115934, 3274, 22, 'Adres pracodawcy');
INSERT INTO `lang_definitions` VALUES (115935, 3276, 22, 'Nazwa pracodawcy');
INSERT INTO `lang_definitions` VALUES (115936, 3277, 22, 'PUSTY');
INSERT INTO `lang_definitions` VALUES (115937, 3278, 22, 'Pusty');
INSERT INTO `lang_definitions` VALUES (115938, 3417, 22, 'Wizyta');
INSERT INTO `lang_definitions` VALUES (115939, 3418, 22, 'Wizyta');
INSERT INTO `lang_definitions` VALUES (115940, 3419, 22, 'wizyta');
INSERT INTO `lang_definitions` VALUES (115941, 3420, 22, 'Wizyta');
INSERT INTO `lang_definitions` VALUES (115942, 3434, 22, 'Historia wizyt');
INSERT INTO `lang_definitions` VALUES (115943, 3444, 22, 'incontro per visita in studio');
INSERT INTO `lang_definitions` VALUES (115944, 3458, 22, 'Statystyka wizyty');
INSERT INTO `lang_definitions` VALUES (115945, 3459, 22, 'Podsumowanie wizyty');
INSERT INTO `lang_definitions` VALUES (115946, 3461, 22, 'Wizytę opisano kodem');
INSERT INTO `lang_definitions` VALUES (115947, 3462, 22, 'Wizyta:');
INSERT INTO `lang_definitions` VALUES (115948, 3464, 22, 'Wizyty');
INSERT INTO `lang_definitions` VALUES (115949, 3465, 22, 'Wizyty i formularze');
INSERT INTO `lang_definitions` VALUES (115950, 3467, 22, 'Wizyta nie autoryzowana');
INSERT INTO `lang_definitions` VALUES (115951, 3468, 22, 'Raport z wizyt');
INSERT INTO `lang_definitions` VALUES (115952, 3469, 22, 'Sekcja wizyt');
INSERT INTO `lang_definitions` VALUES (115953, 3472, 22, 'Koniec');
INSERT INTO `lang_definitions` VALUES (115954, 3474, 22, 'Data końcowa');
INSERT INTO `lang_definitions` VALUES (115955, 3475, 22, 'Data końcowa');
INSERT INTO `lang_definitions` VALUES (115956, 3480, 22, 'Data końcowa powinna być większa od początkowej');
INSERT INTO `lang_definitions` VALUES (115957, 3482, 22, 'Data końcowa:');
INSERT INTO `lang_definitions` VALUES (115958, 3487, 22, 'Czas końcowy');
INSERT INTO `lang_definitions` VALUES (115959, 3497, 22, 'Endoskopia');
INSERT INTO `lang_definitions` VALUES (115960, 3500, 22, 'Inżynier');
INSERT INTO `lang_definitions` VALUES (115961, 3502, 22, 'angielski');
INSERT INTO `lang_definitions` VALUES (115962, 3503, 22, 'angielski');
INSERT INTO `lang_definitions` VALUES (115963, 3504, 22, 'angielski (Indie)');
INSERT INTO `lang_definitions` VALUES (115964, 3505, 22, 'angielski (Standardowy)');
INSERT INTO `lang_definitions` VALUES (115965, 3581, 22, 'Wprowadź powyżej kryteria wyszukiwania');
INSERT INTO `lang_definitions` VALUES (115966, 3586, 22, 'pozycji');
INSERT INTO `lang_definitions` VALUES (115967, 3602, 22, 'Padaczka');
INSERT INTO `lang_definitions` VALUES (115968, 3612, 22, 'Wymaż');
INSERT INTO `lang_definitions` VALUES (115969, 3615, 22, 'Błąd');
INSERT INTO `lang_definitions` VALUES (115970, 3618, 22, 'Błąd tworzenia katalogu !');
INSERT INTO `lang_definitions` VALUES (115971, 3662, 22, 'Błąd. Spróbuj ponownie później');
INSERT INTO `lang_definitions` VALUES (115972, 3669, 22, 'ERROR: Pole');
INSERT INTO `lang_definitions` VALUES (115973, 3699, 22, 'Stały Pacjent');
INSERT INTO `lang_definitions` VALUES (115974, 3700, 22, 'estoński');
INSERT INTO `lang_definitions` VALUES (115975, 3709, 22, 'Zdarzenie');
INSERT INTO `lang_definitions` VALUES (115976, 3731, 22, 'każdego');
INSERT INTO `lang_definitions` VALUES (115977, 3732, 22, 'Każdego');
INSERT INTO `lang_definitions` VALUES (115978, 3734, 22, 'co 3 godz.');
INSERT INTO `lang_definitions` VALUES (115979, 3736, 22, 'co 4 godz.');
INSERT INTO `lang_definitions` VALUES (115980, 3738, 22, 'co 5 godz.');
INSERT INTO `lang_definitions` VALUES (115981, 3740, 22, 'co 6 godz.');
INSERT INTO `lang_definitions` VALUES (115982, 3742, 22, 'co 8 godz.');
INSERT INTO `lang_definitions` VALUES (115983, 3743, 22, 'Co Czwarty');
INSERT INTO `lang_definitions` VALUES (115984, 3745, 22, 'Co Drugi');
INSERT INTO `lang_definitions` VALUES (115985, 3746, 22, 'Co Trzeci');
INSERT INTO `lang_definitions` VALUES (115986, 3750, 22, 'Wyniki badania');
INSERT INTO `lang_definitions` VALUES (115987, 3753, 22, 'Badanie');
INSERT INTO `lang_definitions` VALUES (115988, 3754, 22, 'Data Badania');
INSERT INTO `lang_definitions` VALUES (115989, 3755, 22, 'Przykład');
INSERT INTO `lang_definitions` VALUES (115990, 3758, 22, 'Przykłady');
INSERT INTO `lang_definitions` VALUES (115991, 3760, 22, 'Badania/Testy');
INSERT INTO `lang_definitions` VALUES (115992, 3762, 22, 'Za wyjątkiem');
INSERT INTO `lang_definitions` VALUES (115993, 3767, 22, 'Wyłączenie');
INSERT INTO `lang_definitions` VALUES (115994, 3774, 22, 'Istnieje');
INSERT INTO `lang_definitions` VALUES (115995, 3784, 22, 'Rozwiń');
INSERT INTO `lang_definitions` VALUES (115996, 3785, 22, 'rozwiń');
INSERT INTO `lang_definitions` VALUES (115997, 3787, 22, 'Rozwiń Wszystko');
INSERT INTO `lang_definitions` VALUES (115998, 3792, 22, 'Podgląd Rozszerzony');
INSERT INTO `lang_definitions` VALUES (115999, 3794, 22, 'Koniec Ważności');
INSERT INTO `lang_definitions` VALUES (116000, 3795, 22, 'Data Ważności');
INSERT INTO `lang_definitions` VALUES (116001, 3797, 22, 'Koniec Ważności');
INSERT INTO `lang_definitions` VALUES (116002, 3798, 22, 'koniec ważności w');
INSERT INTO `lang_definitions` VALUES (116003, 3799, 22, 'Eksport');
INSERT INTO `lang_definitions` VALUES (116004, 3800, 22, 'Eksport jako CSV');
INSERT INTO `lang_definitions` VALUES (116005, 3820, 22, 'Zewnętrzny');
INSERT INTO `lang_definitions` VALUES (116006, 3828, 22, 'Ident. zewn');
INSERT INTO `lang_definitions` VALUES (116007, 3829, 22, 'Ident. zewn');
INSERT INTO `lang_definitions` VALUES (116008, 3830, 22, 'Ident. zewn');
INSERT INTO `lang_definitions` VALUES (116009, 3868, 22, 'Ośrodki');
INSERT INTO `lang_definitions` VALUES (116010, 3869, 22, 'Ośrodek');
INSERT INTO `lang_definitions` VALUES (116011, 3870, 22, 'ośrodek');
INSERT INTO `lang_definitions` VALUES (116012, 3888, 22, 'Ośrodek:');
INSERT INTO `lang_definitions` VALUES (116013, 3928, 22, 'Ojciec');
INSERT INTO `lang_definitions` VALUES (116014, 3930, 22, 'Zmeczenie');
INSERT INTO `lang_definitions` VALUES (116015, 3931, 22, 'zmęczony');
INSERT INTO `lang_definitions` VALUES (116016, 3933, 22, 'Fax');
INSERT INTO `lang_definitions` VALUES (116017, 3935, 22, 'Fax numer');
INSERT INTO `lang_definitions` VALUES (116018, 3941, 22, 'Lut');
INSERT INTO `lang_definitions` VALUES (116019, 3942, 22, 'Luty');
INSERT INTO `lang_definitions` VALUES (116020, 3948, 22, 'Opłata');
INSERT INTO `lang_definitions` VALUES (116021, 3949, 22, 'opłata');
INSERT INTO `lang_definitions` VALUES (116022, 3955, 22, 'Opłaty');
INSERT INTO `lang_definitions` VALUES (116023, 3956, 22, 'Kobieta');
INSERT INTO `lang_definitions` VALUES (116024, 3966, 22, 'Gorączka');
INSERT INTO `lang_definitions` VALUES (116025, 3967, 22, 'Gorączka:');
INSERT INTO `lang_definitions` VALUES (116026, 3974, 22, 'Pole');
INSERT INTO `lang_definitions` VALUES (116027, 3985, 22, 'fidżi');
INSERT INTO `lang_definitions` VALUES (116028, 3990, 22, 'lokalizacja pliku');
INSERT INTO `lang_definitions` VALUES (116029, 3994, 22, 'Plik nie znaleziony');
INSERT INTO `lang_definitions` VALUES (116030, 3996, 22, 'Plik na serwerze (data modyfikacji)');
INSERT INTO `lang_definitions` VALUES (116031, 3997, 22, 'Ścieżka pliku nie odnaleziona');
INSERT INTO `lang_definitions` VALUES (116032, 4004, 22, 'Nazwa pliku');
INSERT INTO `lang_definitions` VALUES (116033, 4006, 22, 'Pliki');
INSERT INTO `lang_definitions` VALUES (116034, 4028, 22, 'Filtr');
INSERT INTO `lang_definitions` VALUES (116035, 4031, 22, 'wyfiltrowane z');
INSERT INTO `lang_definitions` VALUES (116036, 4032, 22, 'Filtry');
INSERT INTO `lang_definitions` VALUES (116037, 4033, 22, 'filtry');
INSERT INTO `lang_definitions` VALUES (116038, 4034, 22, 'Końcowy');
INSERT INTO `lang_definitions` VALUES (116039, 4035, 22, 'Diagnoza końcowa');
INSERT INTO `lang_definitions` VALUES (116040, 4038, 22, 'Finansowa');
INSERT INTO `lang_definitions` VALUES (116041, 4048, 22, 'Znajdź');
INSERT INTO `lang_definitions` VALUES (116042, 4049, 22, 'Szukaj dostępnych');
INSERT INTO `lang_definitions` VALUES (116043, 4053, 22, 'Znajdź pacjenta');
INSERT INTO `lang_definitions` VALUES (116044, 4062, 22, 'ukończony');
INSERT INTO `lang_definitions` VALUES (116045, 4064, 22, 'fiński');
INSERT INTO `lang_definitions` VALUES (116046, 4065, 22, 'Pierwszy');
INSERT INTO `lang_definitions` VALUES (116047, 4067, 22, 'Pierwszy dzień tygodnia');
INSERT INTO `lang_definitions` VALUES (116048, 4068, 22, 'Pierwszy dzień tygodnia');
INSERT INTO `lang_definitions` VALUES (116049, 4071, 22, 'Imię');
INSERT INTO `lang_definitions` VALUES (116050, 4072, 22, 'Imię');
INSERT INTO `lang_definitions` VALUES (116051, 4073, 22, 'Imię:');
INSERT INTO `lang_definitions` VALUES (116052, 4108, 22, 'Sezon grypowy');
INSERT INTO `lang_definitions` VALUES (116053, 4109, 22, 'Sezon grypowy');
INSERT INTO `lang_definitions` VALUES (116054, 4129, 22, 'Nietolerancja pokarmowa');
INSERT INTO `lang_definitions` VALUES (116055, 4130, 22, 'Stopa');
INSERT INTO `lang_definitions` VALUES (116056, 4136, 22, 'Typ obuwia');
INSERT INTO `lang_definitions` VALUES (116057, 4137, 22, 'dla');
INSERT INTO `lang_definitions` VALUES (116058, 4138, 22, 'Dla');
INSERT INTO `lang_definitions` VALUES (116059, 4166, 22, 'dla pacjenta');
INSERT INTO `lang_definitions` VALUES (116060, 4189, 22, 'danych:');
INSERT INTO `lang_definitions` VALUES (116061, 4195, 22, 'Formularz');
INSERT INTO `lang_definitions` VALUES (116062, 4196, 22, 'Formularz');
INSERT INTO `lang_definitions` VALUES (116063, 4208, 22, 'Palacz tytoniu');
INSERT INTO `lang_definitions` VALUES (116064, 4209, 22, 'Formularze');
INSERT INTO `lang_definitions` VALUES (116065, 4215, 22, 'Do przodu');
INSERT INTO `lang_definitions` VALUES (116066, 4227, 22, 'Złamanie');
INSERT INTO `lang_definitions` VALUES (116067, 4232, 22, 'Ramka');
INSERT INTO `lang_definitions` VALUES (116068, 4235, 22, 'Francuski');
INSERT INTO `lang_definitions` VALUES (116069, 4236, 22, 'Francuski (Kanadyjski)');
INSERT INTO `lang_definitions` VALUES (116070, 4238, 22, 'Częstotliwość');
INSERT INTO `lang_definitions` VALUES (116071, 4241, 22, 'Pt');
INSERT INTO `lang_definitions` VALUES (116072, 4242, 22, 'Piątek');
INSERT INTO `lang_definitions` VALUES (116073, 4243, 22, 'Przyjaciel');
INSERT INTO `lang_definitions` VALUES (116074, 4244, 22, 'Od');
INSERT INTO `lang_definitions` VALUES (116075, 4245, 22, 'OD');
INSERT INTO `lang_definitions` VALUES (116076, 4246, 22, 'od');
INSERT INTO `lang_definitions` VALUES (116077, 4253, 22, 'Od:');
INSERT INTO `lang_definitions` VALUES (116078, 4254, 22, 'Od:');
INSERT INTO `lang_definitions` VALUES (116079, 4278, 22, 'Imię i nazwisko');
INSERT INTO `lang_definitions` VALUES (116080, 4319, 22, 'Płeć');
INSERT INTO `lang_definitions` VALUES (116081, 4320, 22, 'Płeć');
INSERT INTO `lang_definitions` VALUES (116082, 4380, 22, 'gruziński');
INSERT INTO `lang_definitions` VALUES (116083, 4381, 22, 'niemiecki');
INSERT INTO `lang_definitions` VALUES (116084, 4392, 22, 'Jaskra');
INSERT INTO `lang_definitions` VALUES (116085, 4393, 22, 'Jaskra - wywiad rodzinny');
INSERT INTO `lang_definitions` VALUES (116086, 4394, 22, 'Jaskra - strefa');
INSERT INTO `lang_definitions` VALUES (116087, 4402, 22, 'IDŹ');
INSERT INTO `lang_definitions` VALUES (116088, 4403, 22, 'Idź');
INSERT INTO `lang_definitions` VALUES (116089, 4404, 22, 'idź');
INSERT INTO `lang_definitions` VALUES (116090, 4405, 22, 'Cofnij');
INSERT INTO `lang_definitions` VALUES (116091, 4407, 22, 'Idź do');
INSERT INTO `lang_definitions` VALUES (116092, 4433, 22, 'Wnuk');
INSERT INTO `lang_definitions` VALUES (116093, 4437, 22, 'Większy niż');
INSERT INTO `lang_definitions` VALUES (116094, 4439, 22, 'grecki');
INSERT INTO `lang_definitions` VALUES (116095, 4442, 22, 'Grupa');
INSERT INTO `lang_definitions` VALUES (116096, 4459, 22, 'Grupa - Nazwa');
INSERT INTO `lang_definitions` VALUES (116097, 4482, 22, 'Opiekun');
INSERT INTO `lang_definitions` VALUES (116098, 4483, 22, 'Opiekun - email');
INSERT INTO `lang_definitions` VALUES (116099, 4484, 22, 'Dane opiekuna');
INSERT INTO `lang_definitions` VALUES (116100, 4528, 22, 'Głowa');
INSERT INTO `lang_definitions` VALUES (116101, 4542, 22, 'Utrata słuchu');
INSERT INTO `lang_definitions` VALUES (116102, 4543, 22, 'Zawał serca');
INSERT INTO `lang_definitions` VALUES (116103, 4548, 22, 'Operacja serca');
INSERT INTO `lang_definitions` VALUES (116104, 4549, 22, 'Przeszczep serca');
INSERT INTO `lang_definitions` VALUES (116105, 4550, 22, 'SERCE:');
INSERT INTO `lang_definitions` VALUES (116106, 4551, 22, 'Zgaga');
INSERT INTO `lang_definitions` VALUES (116107, 4555, 22, 'hebrajski');
INSERT INTO `lang_definitions` VALUES (116108, 4558, 22, 'Wzrost');
INSERT INTO `lang_definitions` VALUES (116109, 4560, 22, 'Pomoc');
INSERT INTO `lang_definitions` VALUES (116110, 4561, 22, 'pomoc');
INSERT INTO `lang_definitions` VALUES (116111, 4571, 22, 'Zapalenie wątroby A 1');
INSERT INTO `lang_definitions` VALUES (116112, 4572, 22, 'Zapalenie wątroby A 2');
INSERT INTO `lang_definitions` VALUES (116113, 4573, 22, 'Zapalenie wątroby B 1');
INSERT INTO `lang_definitions` VALUES (116114, 4574, 22, 'Zapalenie wątroby B 2');
INSERT INTO `lang_definitions` VALUES (116115, 4575, 22, 'Zapalenie wątroby B 3');
INSERT INTO `lang_definitions` VALUES (116116, 4576, 22, 'tutaj');
INSERT INTO `lang_definitions` VALUES (116117, 4591, 22, 'Ukryty');
INSERT INTO `lang_definitions` VALUES (116118, 4593, 22, 'Ukryj');
INSERT INTO `lang_definitions` VALUES (116119, 4595, 22, 'Ukryj szczegóły');
INSERT INTO `lang_definitions` VALUES (116120, 4599, 22, 'Ukryj menu');
INSERT INTO `lang_definitions` VALUES (116121, 4601, 22, 'Ukryj przypomnienia');
INSERT INTO `lang_definitions` VALUES (116122, 4603, 22, 'Pokaż/ukryj kolumny');
INSERT INTO `lang_definitions` VALUES (116123, 4605, 22, 'Wysoki');
INSERT INTO `lang_definitions` VALUES (116124, 4609, 22, 'hindi');
INSERT INTO `lang_definitions` VALUES (116125, 4615, 22, 'Otrzymano zawiadomienie o HIPAA');
INSERT INTO `lang_definitions` VALUES (116126, 4623, 22, 'Historia');
INSERT INTO `lang_definitions` VALUES (116127, 4639, 22, 'HIV');
INSERT INTO `lang_definitions` VALUES (116128, 4651, 22, 'hmol/l');
INSERT INTO `lang_definitions` VALUES (116129, 4658, 22, 'Główna');
INSERT INTO `lang_definitions` VALUES (116130, 4659, 22, 'Telefon domowy');
INSERT INTO `lang_definitions` VALUES (116131, 4660, 22, 'Numer telefonu domowego');
INSERT INTO `lang_definitions` VALUES (116132, 4662, 22, 'Czy bezdomny?');
INSERT INTO `lang_definitions` VALUES (116133, 4664, 22, 'Bezdomny, itp.');
INSERT INTO `lang_definitions` VALUES (116134, 4665, 22, 'Bezdomny, itp.');
INSERT INTO `lang_definitions` VALUES (116135, 4677, 22, 'Godzina');
INSERT INTO `lang_definitions` VALUES (116136, 4678, 22, 'Godziny');
INSERT INTO `lang_definitions` VALUES (116137, 4695, 22, 'HTML');
INSERT INTO `lang_definitions` VALUES (116138, 4706, 22, 'Nadpobudliwy');
INSERT INTO `lang_definitions` VALUES (116139, 4708, 22, 'Nadciśnienie');
INSERT INTO `lang_definitions` VALUES (116140, 4739, 22, 'Dokument tożsamości');
INSERT INTO `lang_definitions` VALUES (116141, 4854, 22, 'Ignoruj');
INSERT INTO `lang_definitions` VALUES (116142, 4865, 22, 'Szczepienie');
INSERT INTO `lang_definitions` VALUES (116143, 4878, 22, 'Rejestr szczepień');
INSERT INTO `lang_definitions` VALUES (116144, 4885, 22, 'Szczepienia');
INSERT INTO `lang_definitions` VALUES (116145, 4920, 22, 'Poprawiony');
INSERT INTO `lang_definitions` VALUES (116146, 4922, 22, 'w');
INSERT INTO `lang_definitions` VALUES (116147, 4923, 22, 'IN');
INSERT INTO `lang_definitions` VALUES (116148, 4936, 22, 'Dostępny');
INSERT INTO `lang_definitions` VALUES (116149, 5109, 22, 'Ubezpieczenie');
INSERT INTO `lang_definitions` VALUES (116150, 5110, 22, 'ubezpieczenie');
INSERT INTO `lang_definitions` VALUES (116151, 5114, 22, 'saldo ubezpieczenia');
INSERT INTO `lang_definitions` VALUES (116152, 5203, 22, 'Błędna nazwa użytkownika lub hasło');
INSERT INTO `lang_definitions` VALUES (116153, 5212, 22, 'Faktura');
INSERT INTO `lang_definitions` VALUES (116154, 5213, 22, 'faktura');
INSERT INTO `lang_definitions` VALUES (116155, 5217, 22, 'Data faktury');
INSERT INTO `lang_definitions` VALUES (116156, 5219, 22, 'Faktura bez daty');
INSERT INTO `lang_definitions` VALUES (116157, 5220, 22, 'Data faktury');
INSERT INTO `lang_definitions` VALUES (116158, 5269, 22, 'Czy PHP jest w trybie Safe Mode?');
INSERT INTO `lang_definitions` VALUES (116159, 5275, 22, 'Czy plik jest szyfrowany?');
INSERT INTO `lang_definitions` VALUES (116160, 5298, 22, 'Dolegliwości');
INSERT INTO `lang_definitions` VALUES (116161, 5299, 22, 'Dolegliwości (Urazy/Medyczne/Alergie)');
INSERT INTO `lang_definitions` VALUES (116162, 5300, 22, 'Dolegliwości (Urazy/Medyczne/Alergie)');
INSERT INTO `lang_definitions` VALUES (116163, 5302, 22, 'Dolegliwości i Wizyty');
INSERT INTO `lang_definitions` VALUES (116164, 5309, 22, 'Sekcja Dolegliwości');
INSERT INTO `lang_definitions` VALUES (116165, 5364, 22, 'włoski');
INSERT INTO `lang_definitions` VALUES (116166, 5375, 22, 'Sty');
INSERT INTO `lang_definitions` VALUES (116167, 5376, 22, 'Styczeń');
INSERT INTO `lang_definitions` VALUES (116168, 5377, 22, 'Japoński');
INSERT INTO `lang_definitions` VALUES (116169, 5378, 22, 'Żółtaczka');
INSERT INTO `lang_definitions` VALUES (116170, 5385, 22, 'Lip');
INSERT INTO `lang_definitions` VALUES (116171, 5386, 22, 'Lipiec');
INSERT INTO `lang_definitions` VALUES (116172, 5388, 22, 'Cze');
INSERT INTO `lang_definitions` VALUES (116173, 5389, 22, 'Czerwiec');
INSERT INTO `lang_definitions` VALUES (116174, 5391, 22, 'Tylko moje');
INSERT INTO `lang_definitions` VALUES (116175, 5411, 22, 'Słowa kluczowe');
INSERT INTO `lang_definitions` VALUES (116176, 5412, 22, 'kg');
INSERT INTO `lang_definitions` VALUES (116177, 5413, 22, 'kg/m^2');
INSERT INTO `lang_definitions` VALUES (116178, 5415, 22, 'Rak nerki');
INSERT INTO `lang_definitions` VALUES (116179, 5417, 22, 'Infekcja nerki');
INSERT INTO `lang_definitions` VALUES (116180, 5418, 22, 'Kamica nerkowa');
INSERT INTO `lang_definitions` VALUES (116181, 5419, 22, 'Transplantacja nerki');
INSERT INTO `lang_definitions` VALUES (116182, 5430, 22, 'Koreański');
INSERT INTO `lang_definitions` VALUES (116183, 5453, 22, 'Etykieta');
INSERT INTO `lang_definitions` VALUES (116184, 5454, 22, 'Etykieta nie może być pusta');
INSERT INTO `lang_definitions` VALUES (116185, 5459, 22, 'Etykiety');
INSERT INTO `lang_definitions` VALUES (116186, 5471, 22, 'Język');
INSERT INTO `lang_definitions` VALUES (116187, 5472, 22, 'Kod języka');
INSERT INTO `lang_definitions` VALUES (116188, 5478, 22, 'Nazwa języka');
INSERT INTO `lang_definitions` VALUES (116189, 5479, 22, 'Język:');
INSERT INTO `lang_definitions` VALUES (116190, 5485, 22, 'Ostatni');
INSERT INTO `lang_definitions` VALUES (116191, 5486, 22, 'Data ostatniej aktywności');
INSERT INTO `lang_definitions` VALUES (116192, 5506, 22, 'Ostatni miesiąc');
INSERT INTO `lang_definitions` VALUES (116193, 5507, 22, 'Nazwisko');
INSERT INTO `lang_definitions` VALUES (116194, 5508, 22, 'Nazwisko');
INSERT INTO `lang_definitions` VALUES (116195, 5513, 22, 'Nazwisko:');
INSERT INTO `lang_definitions` VALUES (116196, 5519, 22, 'Ostatnio zapisany');
INSERT INTO `lang_definitions` VALUES (116197, 5527, 22, 'Ostatnia wizyta');
INSERT INTO `lang_definitions` VALUES (116198, 5549, 22, 'Format pochodny');
INSERT INTO `lang_definitions` VALUES (116199, 5551, 22, 'Edytor formatów');
INSERT INTO `lang_definitions` VALUES (116200, 5552, 22, 'Grupy formatów');
INSERT INTO `lang_definitions` VALUES (116201, 5556, 22, 'Styl formatu');
INSERT INTO `lang_definitions` VALUES (116202, 5558, 22, 'Format dla wizyty');
INSERT INTO `lang_definitions` VALUES (116203, 5559, 22, 'Formaty wyjściowe');
INSERT INTO `lang_definitions` VALUES (116204, 5605, 22, 'Legenda:');
INSERT INTO `lang_definitions` VALUES (116205, 5606, 22, 'Długość');
INSERT INTO `lang_definitions` VALUES (116206, 5608, 22, 'Soczewka');
INSERT INTO `lang_definitions` VALUES (116207, 5613, 22, 'Mniej niż');
INSERT INTO `lang_definitions` VALUES (116208, 5614, 22, 'Mniej niż lub równo');
INSERT INTO `lang_definitions` VALUES (116209, 5620, 22, 'List');
INSERT INTO `lang_definitions` VALUES (116210, 5621, 22, 'Generator listów');
INSERT INTO `lang_definitions` VALUES (116211, 5630, 22, 'Odpowiedzialność');
INSERT INTO `lang_definitions` VALUES (116212, 5631, 22, 'Odpowiedzialność medyczna');
INSERT INTO `lang_definitions` VALUES (116213, 5632, 22, 'Biblioteka');
INSERT INTO `lang_definitions` VALUES (116214, 5633, 22, 'Nr dow. os/prawa jazdy');
INSERT INTO `lang_definitions` VALUES (116215, 5665, 22, 'Lista');
INSERT INTO `lang_definitions` VALUES (116216, 5674, 22, 'Lista grup');
INSERT INTO `lang_definitions` VALUES (116217, 5675, 22, 'Lista ubezpieczycieli');
INSERT INTO `lang_definitions` VALUES (116218, 5677, 22, 'Lista pozycji nie może zaczynać się liczbą');
INSERT INTO `lang_definitions` VALUES (116219, 5678, 22, 'Lista pozycji zawierająca błędne znaki');
INSERT INTO `lang_definitions` VALUES (116220, 5680, 22, 'Lista list');
INSERT INTO `lang_definitions` VALUES (116221, 5682, 22, 'Nazwa Listy');
INSERT INTO `lang_definitions` VALUES (116222, 5683, 22, 'Lista nazw nie może zaczynać się liczbą');
INSERT INTO `lang_definitions` VALUES (116223, 5688, 22, 'Lista recept');
INSERT INTO `lang_definitions` VALUES (116224, 5693, 22, 'Listy');
INSERT INTO `lang_definitions` VALUES (116225, 5708, 22, 'Wczytaj kompedium');
INSERT INTO `lang_definitions` VALUES (116226, 5709, 22, 'Wczytaj definicje');
INSERT INTO `lang_definitions` VALUES (116227, 5717, 22, 'Wczytywanie');
INSERT INTO `lang_definitions` VALUES (116228, 5737, 22, 'Zablokowany');
INSERT INTO `lang_definitions` VALUES (116229, 5745, 22, 'Zalogowany');
INSERT INTO `lang_definitions` VALUES (116230, 5746, 22, 'Zalogowany');
INSERT INTO `lang_definitions` VALUES (116231, 5749, 22, 'Wyloguj');
INSERT INTO `lang_definitions` VALUES (116232, 5752, 22, 'Zalogowany');
INSERT INTO `lang_definitions` VALUES (116233, 5753, 22, 'Zalogowany jako');
INSERT INTO `lang_definitions` VALUES (116234, 5754, 22, 'Zalogowany jako:');
INSERT INTO `lang_definitions` VALUES (116235, 5755, 22, 'Wylogowany');
INSERT INTO `lang_definitions` VALUES (116236, 5756, 22, 'Logowanie');
INSERT INTO `lang_definitions` VALUES (116237, 5757, 22, 'Zaloguj');
INSERT INTO `lang_definitions` VALUES (116238, 5758, 22, 'zaloguj');
INSERT INTO `lang_definitions` VALUES (116239, 5768, 22, 'Wyloguj');
INSERT INTO `lang_definitions` VALUES (116240, 5769, 22, 'wyloguj');
INSERT INTO `lang_definitions` VALUES (116241, 5770, 22, 'Rejestry');
INSERT INTO `lang_definitions` VALUES (116242, 5771, 22, 'Przegląd rejestrów');
INSERT INTO `lang_definitions` VALUES (116243, 5777, 22, 'Partia');
INSERT INTO `lang_definitions` VALUES (116244, 5778, 22, 'Brak numeru partii');
INSERT INTO `lang_definitions` VALUES (116245, 5779, 22, 'Numer partii');
INSERT INTO `lang_definitions` VALUES (116246, 5780, 22, 'Niski');
INSERT INTO `lang_definitions` VALUES (116247, 5781, 22, 'Niski priorytet');
INSERT INTO `lang_definitions` VALUES (116248, 5784, 22, 'Najniższy priorytet');
INSERT INTO `lang_definitions` VALUES (116249, 5792, 22, 'LUNCH');
INSERT INTO `lang_definitions` VALUES (116250, 5793, 22, 'Lunch');
INSERT INTO `lang_definitions` VALUES (116251, 5796, 22, 'PŁUCA:');
INSERT INTO `lang_definitions` VALUES (116252, 5797, 22, 'Płuca:');
INSERT INTO `lang_definitions` VALUES (116253, 5814, 22, 'Główny');
INSERT INTO `lang_definitions` VALUES (116254, 5815, 22, 'Główny adres');
INSERT INTO `lang_definitions` VALUES (116255, 5837, 22, 'Mężczyzna');
INSERT INTO `lang_definitions` VALUES (116256, 5841, 22, 'Mammografia');
INSERT INTO `lang_definitions` VALUES (116257, 5842, 22, 'Zarządzaj');
INSERT INTO `lang_definitions` VALUES (116258, 5850, 22, 'Zarządzaj tłumaczeniami');
INSERT INTO `lang_definitions` VALUES (116259, 5851, 22, 'Zarządzanie');
INSERT INTO `lang_definitions` VALUES (116260, 5859, 22, 'Instrukcja');
INSERT INTO `lang_definitions` VALUES (116261, 5864, 22, 'Producent');
INSERT INTO `lang_definitions` VALUES (116262, 5870, 22, 'Mar');
INSERT INTO `lang_definitions` VALUES (116263, 5874, 22, 'Marzec');
INSERT INTO `lang_definitions` VALUES (116264, 5877, 22, 'Stan cywilny');
INSERT INTO `lang_definitions` VALUES (116265, 5887, 22, 'Żonaty/Zamężna');
INSERT INTO `lang_definitions` VALUES (116266, 5924, 22, 'Maj');
INSERT INTO `lang_definitions` VALUES (116267, 5933, 22, 'Pomiary');
INSERT INTO `lang_definitions` VALUES (116268, 5954, 22, 'Problemy zdrowotne');
INSERT INTO `lang_definitions` VALUES (116269, 5970, 22, 'Lek');
INSERT INTO `lang_definitions` VALUES (116270, 5971, 22, 'Lista Leków na Alergię');
INSERT INTO `lang_definitions` VALUES (116271, 5972, 22, 'Lista leków dla dolegiliwości');
INSERT INTO `lang_definitions` VALUES (116272, 5973, 22, 'Lista leków');
INSERT INTO `lang_definitions` VALUES (116273, 5975, 22, 'Leki');
INSERT INTO `lang_definitions` VALUES (116274, 5978, 22, 'Leki:');
INSERT INTO `lang_definitions` VALUES (116275, 5987, 22, 'Mężczyzna');
INSERT INTO `lang_definitions` VALUES (116276, 5988, 22, 'Mężczyzna i kobieta');
INSERT INTO `lang_definitions` VALUES (116277, 5989, 22, 'Tylko mężczyzna');
INSERT INTO `lang_definitions` VALUES (116278, 5991, 22, 'Menopauza');
INSERT INTO `lang_definitions` VALUES (116279, 6006, 22, 'Centrum wiadomości i przypomnień');
INSERT INTO `lang_definitions` VALUES (116280, 6019, 22, 'Wiadomości');
INSERT INTO `lang_definitions` VALUES (116281, 6038, 22, 'mg');
INSERT INTO `lang_definitions` VALUES (116282, 6047, 22, 'Drugie Imię');
INSERT INTO `lang_definitions` VALUES (116283, 6048, 22, 'Drugie imię');
INSERT INTO `lang_definitions` VALUES (116284, 6071, 22, 'Min');
INSERT INTO `lang_definitions` VALUES (116285, 6072, 22, 'min');
INSERT INTO `lang_definitions` VALUES (116286, 6077, 22, 'Minimalny wiek');
INSERT INTO `lang_definitions` VALUES (116287, 6082, 22, 'Minuta');
INSERT INTO `lang_definitions` VALUES (116288, 6083, 22, 'Minuty');
INSERT INTO `lang_definitions` VALUES (116289, 6084, 22, 'minuty');
INSERT INTO `lang_definitions` VALUES (116290, 6086, 22, 'Pozostałe');
INSERT INTO `lang_definitions` VALUES (116291, 6090, 22, 'Pozostałe');
INSERT INTO `lang_definitions` VALUES (116292, 6113, 22, 'ml');
INSERT INTO `lang_definitions` VALUES (116293, 6115, 22, 'mm/hg');
INSERT INTO `lang_definitions` VALUES (116294, 6121, 22, 'Tel kom.');
INSERT INTO `lang_definitions` VALUES (116295, 6153, 22, 'Pon');
INSERT INTO `lang_definitions` VALUES (116296, 6154, 22, 'Pon do Pt');
INSERT INTO `lang_definitions` VALUES (116297, 6156, 22, 'Poniedziałek');
INSERT INTO `lang_definitions` VALUES (116298, 6160, 22, 'miesiąc');
INSERT INTO `lang_definitions` VALUES (116299, 6161, 22, 'Miesiąc');
INSERT INTO `lang_definitions` VALUES (116300, 6162, 22, 'Widok miesiąca');
INSERT INTO `lang_definitions` VALUES (116301, 6163, 22, 'Miesiąc(e)');
INSERT INTO `lang_definitions` VALUES (116302, 6166, 22, 'Miesiące(-ęcy)');
INSERT INTO `lang_definitions` VALUES (116303, 6190, 22, 'Matka');
INSERT INTO `lang_definitions` VALUES (116304, 6191, 22, 'Imię matki');
INSERT INTO `lang_definitions` VALUES (116305, 6195, 22, 'Usta');
INSERT INTO `lang_definitions` VALUES (116306, 6196, 22, 'Przenieś');
INSERT INTO `lang_definitions` VALUES (116307, 6198, 22, 'W dół');
INSERT INTO `lang_definitions` VALUES (116308, 6201, 22, 'Przenieś do pacjenta');
INSERT INTO `lang_definitions` VALUES (116309, 6202, 22, 'Przenieś do...');
INSERT INTO `lang_definitions` VALUES (116310, 6203, 22, 'W górę');
INSERT INTO `lang_definitions` VALUES (116311, 6209, 22, 'Pan');
INSERT INTO `lang_definitions` VALUES (116312, 6215, 22, 'Pani');
INSERT INTO `lang_definitions` VALUES (116313, 6217, 22, 'Panna');
INSERT INTO `lang_definitions` VALUES (116314, 6250, 22, 'Mięsień');
INSERT INTO `lang_definitions` VALUES (116315, 6251, 22, 'Uraz mięśnia');
INSERT INTO `lang_definitions` VALUES (116316, 6252, 22, 'Zaburzenia mięśniowo-szkieletowe');
INSERT INTO `lang_definitions` VALUES (116317, 6271, 22, 'N/D');
INSERT INTO `lang_definitions` VALUES (116318, 6272, 22, 'n/d');
INSERT INTO `lang_definitions` VALUES (116319, 6274, 22, 'Nazwisko');
INSERT INTO `lang_definitions` VALUES (116320, 6295, 22, 'Nazwa/wartość');
INSERT INTO `lang_definitions` VALUES (116321, 6296, 22, 'Nazwisko:');
INSERT INTO `lang_definitions` VALUES (116322, 6310, 22, 'Narodowość');
INSERT INTO `lang_definitions` VALUES (116323, 6381, 22, 'Nigdy');
INSERT INTO `lang_definitions` VALUES (116324, 6384, 22, 'Nowy');
INSERT INTO `lang_definitions` VALUES (116325, 6385, 22, 'Nowy =>');
INSERT INTO `lang_definitions` VALUES (116326, 6388, 22, 'Nowa Alergia');
INSERT INTO `lang_definitions` VALUES (116327, 6390, 22, 'Nowe Spotkanie');
INSERT INTO `lang_definitions` VALUES (116328, 6391, 22, 'Nowe Kategorie');
INSERT INTO `lang_definitions` VALUES (116329, 6392, 22, 'Nowa Kategoria');
INSERT INTO `lang_definitions` VALUES (116330, 6394, 22, 'Nowa konsultacja');
INSERT INTO `lang_definitions` VALUES (116331, 6396, 22, 'Dodano nową definicję');
INSERT INTO `lang_definitions` VALUES (116332, 6397, 22, 'Nowy Dokument');
INSERT INTO `lang_definitions` VALUES (116333, 6398, 22, 'Nowe Dokumenty');
INSERT INTO `lang_definitions` VALUES (116334, 6401, 22, 'Nowa wizyta');
INSERT INTO `lang_definitions` VALUES (116335, 6402, 22, 'Nowa wizyta utworzona przez');
INSERT INTO `lang_definitions` VALUES (116336, 6403, 22, 'Fromularz nowej wizyty');
INSERT INTO `lang_definitions` VALUES (116337, 6404, 22, 'Nowa wizyta nie autoryzowana');
INSERT INTO `lang_definitions` VALUES (116338, 6407, 22, 'Nowy plik');
INSERT INTO `lang_definitions` VALUES (116339, 6408, 22, 'Nowe pliki');
INSERT INTO `lang_definitions` VALUES (116340, 6410, 22, 'Nowa grupa');
INSERT INTO `lang_definitions` VALUES (116341, 6432, 22, 'Nowe zamówienia');
INSERT INTO `lang_definitions` VALUES (116342, 6434, 22, 'Nowe hasło');
INSERT INTO `lang_definitions` VALUES (116343, 6435, 22, 'Nowy pacjent');
INSERT INTO `lang_definitions` VALUES (116344, 6436, 22, 'NOWY PACJENT');
INSERT INTO `lang_definitions` VALUES (116345, 6448, 22, 'Nowe wyszukiwanie');
INSERT INTO `lang_definitions` VALUES (116346, 6451, 22, 'Nowy użytkownik');
INSERT INTO `lang_definitions` VALUES (116347, 6453, 22, 'Nowa wizyta');
INSERT INTO `lang_definitions` VALUES (116348, 6454, 22, 'Nowy/Wyszukaj');
INSERT INTO `lang_definitions` VALUES (116349, 6482, 22, 'Następny');
INSERT INTO `lang_definitions` VALUES (116350, 6484, 22, 'Następny dzień');
INSERT INTO `lang_definitions` VALUES (116351, 6491, 22, 'Następny tydzień');
INSERT INTO `lang_definitions` VALUES (116352, 6494, 22, 'Pseudonim:');
INSERT INTO `lang_definitions` VALUES (116353, 6499, 22, 'Nie');
INSERT INTO `lang_definitions` VALUES (116354, 6500, 22, 'NIE');
INSERT INTO `lang_definitions` VALUES (116355, 6502, 22, 'Brak dostępu');
INSERT INTO `lang_definitions` VALUES (116356, 6509, 22, 'Brak spotkań.');
INSERT INTO `lang_definitions` VALUES (116357, 6523, 22, 'Brak diagnozy');
INSERT INTO `lang_definitions` VALUES (116358, 6526, 22, 'Nie znaleziono dokumentu');
INSERT INTO `lang_definitions` VALUES (116359, 6529, 22, 'Brak daty końcowej');
INSERT INTO `lang_definitions` VALUES (116360, 6532, 22, 'Brak zdarzeń');
INSERT INTO `lang_definitions` VALUES (116361, 6578, 22, 'Brak notatek');
INSERT INTO `lang_definitions` VALUES (116362, 6580, 22, 'Brak dostępnych przedziałów w tym zakresie dat.');
INSERT INTO `lang_definitions` VALUES (116363, 6602, 22, 'Brak wyników');
INSERT INTO `lang_definitions` VALUES (116364, 6604, 22, 'Brak wyników. Proszę zmienić kryteria wyszukiwania.');
INSERT INTO `lang_definitions` VALUES (116365, 6607, 22, 'Brak przypomnień');
INSERT INTO `lang_definitions` VALUES (116366, 6609, 22, 'Brak wyników');
INSERT INTO `lang_definitions` VALUES (116367, 6610, 22, 'Brak wyników');
INSERT INTO `lang_definitions` VALUES (116368, 6618, 22, 'Nie pokazuj');
INSERT INTO `lang_definitions` VALUES (116369, 6638, 22, 'Nie opłacone');
INSERT INTO `lang_definitions` VALUES (116370, 6648, 22, 'Brak');
INSERT INTO `lang_definitions` VALUES (116371, 6649, 22, 'brak');
INSERT INTO `lang_definitions` VALUES (116372, 6650, 22, 'brak zdefiniowanych');
INSERT INTO `lang_definitions` VALUES (116373, 6653, 22, 'Żaden z powyższych');
INSERT INTO `lang_definitions` VALUES (116374, 6685, 22, 'Zwykły');
INSERT INTO `lang_definitions` VALUES (116375, 6701, 22, 'norweski');
INSERT INTO `lang_definitions` VALUES (116376, 6705, 22, 'Nos');
INSERT INTO `lang_definitions` VALUES (116377, 6706, 22, 'Krwawienie z nosa');
INSERT INTO `lang_definitions` VALUES (116378, 6712, 22, 'Nie dozwolone');
INSERT INTO `lang_definitions` VALUES (116379, 6742, 22, 'nie znaleziono');
INSERT INTO `lang_definitions` VALUES (116380, 6744, 22, 'nie znaleziono!');
INSERT INTO `lang_definitions` VALUES (116381, 6796, 22, 'Brak pozycji');
INSERT INTO `lang_definitions` VALUES (116382, 6809, 22, 'Powiadomienie');
INSERT INTO `lang_definitions` VALUES (116383, 6815, 22, 'Powiadomienia');
INSERT INTO `lang_definitions` VALUES (116384, 6820, 22, 'Lis');
INSERT INTO `lang_definitions` VALUES (116385, 6821, 22, 'Listopad');
INSERT INTO `lang_definitions` VALUES (116386, 6825, 22, 'Drukuję');
INSERT INTO `lang_definitions` VALUES (116387, 6837, 22, 'Numer');
INSERT INTO `lang_definitions` VALUES (116388, 6889, 22, 'Występowanie');
INSERT INTO `lang_definitions` VALUES (116389, 6890, 22, 'Paź');
INSERT INTO `lang_definitions` VALUES (116390, 6891, 22, 'Październik');
INSERT INTO `lang_definitions` VALUES (116391, 6895, 22, 'z');
INSERT INTO `lang_definitions` VALUES (116392, 6896, 22, 'z ilości');
INSERT INTO `lang_definitions` VALUES (116393, 6899, 22, 'Notaki biurowe');
INSERT INTO `lang_definitions` VALUES (116394, 6900, 22, 'Wył');
INSERT INTO `lang_definitions` VALUES (116395, 6908, 22, 'Wizyta');
INSERT INTO `lang_definitions` VALUES (116396, 6927, 22, 'OK');
INSERT INTO `lang_definitions` VALUES (116397, 6931, 22, 'Stary');
INSERT INTO `lang_definitions` VALUES (116398, 6949, 22, 'Wł');
INSERT INTO `lang_definitions` VALUES (116399, 6956, 22, 'Od ręki');
INSERT INTO `lang_definitions` VALUES (116400, 6959, 22, 'Na zamówienie');
INSERT INTO `lang_definitions` VALUES (116401, 6960, 22, 'Na miejscu');
INSERT INTO `lang_definitions` VALUES (116402, 6996, 22, 'Wsparcie techniczne');
INSERT INTO `lang_definitions` VALUES (116403, 6999, 22, 'Tylko aktywne');
INSERT INTO `lang_definitions` VALUES (116404, 7006, 22, 'Tylko nieaktywne');
INSERT INTO `lang_definitions` VALUES (116405, 7007, 22, 'Tylko moje');
INSERT INTO `lang_definitions` VALUES (116406, 7022, 22, 'Początek/Data hospitalizacji');
INSERT INTO `lang_definitions` VALUES (116407, 7030, 22, 'Ups!');
INSERT INTO `lang_definitions` VALUES (116408, 7031, 22, 'Otwórz');
INSERT INTO `lang_definitions` VALUES (116409, 7040, 22, 'Otwórz w nowym oknie');
INSERT INTO `lang_definitions` VALUES (116410, 7085, 22, 'Użytkownicy OpenEMR');
INSERT INTO `lang_definitions` VALUES (116411, 7099, 22, 'Opcjonalne');
INSERT INTO `lang_definitions` VALUES (116412, 7116, 22, 'Opcje');
INSERT INTO `lang_definitions` VALUES (116413, 7117, 22, 'LUB');
INSERT INTO `lang_definitions` VALUES (116414, 7118, 22, 'Lub');
INSERT INTO `lang_definitions` VALUES (116415, 7119, 22, 'lub wybierz');
INSERT INTO `lang_definitions` VALUES (116416, 7127, 22, 'Ustnie');
INSERT INTO `lang_definitions` VALUES (116417, 7131, 22, 'Typy i rezultaty zlecen');
INSERT INTO `lang_definitions` VALUES (116418, 7132, 22, 'Katalog zlecen');
INSERT INTO `lang_definitions` VALUES (116419, 7193, 22, 'Pozostały');
INSERT INTO `lang_definitions` VALUES (116420, 7194, 22, 'pozostały');
INSERT INTO `lang_definitions` VALUES (116421, 7219, 22, 'Pozostałe');
INSERT INTO `lang_definitions` VALUES (116422, 7227, 22, 'NDST');
INSERT INTO `lang_definitions` VALUES (116423, 7228, 22, 'Niedostępny (poza placówką)');
INSERT INTO `lang_definitions` VALUES (116424, 7231, 22, 'Wynik');
INSERT INTO `lang_definitions` VALUES (116425, 7268, 22, 'Ból');
INSERT INTO `lang_definitions` VALUES (116426, 7278, 22, 'Paraliż');
INSERT INTO `lang_definitions` VALUES (116427, 7289, 22, 'Partner');
INSERT INTO `lang_definitions` VALUES (116428, 7301, 22, 'Hasło');
INSERT INTO `lang_definitions` VALUES (116429, 7302, 22, 'Zmiana hasła');
INSERT INTO `lang_definitions` VALUES (116430, 7304, 22, 'Zmiana hasła zakończona powodzeniem.');
INSERT INTO `lang_definitions` VALUES (116431, 7319, 22, 'Hasło:');
INSERT INTO `lang_definitions` VALUES (116432, 7329, 22, 'Przeterminowane');
INSERT INTO `lang_definitions` VALUES (116433, 7330, 22, 'Przeterminowane');
INSERT INTO `lang_definitions` VALUES (116434, 7333, 22, 'Lista wizyt odbytych');
INSERT INTO `lang_definitions` VALUES (116435, 7334, 22, 'Wizyty odbyte');
INSERT INTO `lang_definitions` VALUES (116436, 7335, 22, 'Wizyty odbyte i dokumenty');
INSERT INTO `lang_definitions` VALUES (116437, 7361, 22, 'Pacjent');
INSERT INTO `lang_definitions` VALUES (116438, 7362, 22, 'PACJENT');
INSERT INTO `lang_definitions` VALUES (116439, 7363, 22, 'pacjent');
INSERT INTO `lang_definitions` VALUES (116440, 7365, 22, 'Adres pacjenta');
INSERT INTO `lang_definitions` VALUES (116441, 7366, 22, 'Brak adresu pacjenta');
INSERT INTO `lang_definitions` VALUES (116442, 7415, 22, 'Wyszukiwanie pacjentów');
INSERT INTO `lang_definitions` VALUES (116443, 7417, 22, 'Imię pacjenta');
INSERT INTO `lang_definitions` VALUES (116444, 7424, 22, 'Płeć pacjenta');
INSERT INTO `lang_definitions` VALUES (116445, 7428, 22, 'Historia pacjenta');
INSERT INTO `lang_definitions` VALUES (116446, 7463, 22, 'Problemy zdrowotne pacjenta');
INSERT INTO `lang_definitions` VALUES (116447, 7464, 22, 'Leki przepisane pacjentowi');
INSERT INTO `lang_definitions` VALUES (116448, 7470, 22, 'Nazwisko pacjenta');
INSERT INTO `lang_definitions` VALUES (116449, 7500, 22, 'Zażądaj dokumentacji medycznej');
INSERT INTO `lang_definitions` VALUES (116450, 7501, 22, 'Żądania dokumentacji medycznej');
INSERT INTO `lang_definitions` VALUES (116451, 7503, 22, 'Przypominacz dla pacjenta');
INSERT INTO `lang_definitions` VALUES (116452, 7505, 22, 'Wsadowe przetwarzanie przypominaczy pacjentów');
INSERT INTO `lang_definitions` VALUES (116453, 7506, 22, 'Priorytet procesu tworzącego przypominacze dla pacjentów');
INSERT INTO `lang_definitions` VALUES (116454, 7507, 22, 'Reguły dla przypominaczy dla pacjentów');
INSERT INTO `lang_definitions` VALUES (116455, 7510, 22, 'Przypominacze dla pacjentów');
INSERT INTO `lang_definitions` VALUES (116456, 7542, 22, 'Transakcje pacjenta');
INSERT INTO `lang_definitions` VALUES (116457, 7550, 22, 'Pacjent/Klient');
INSERT INTO `lang_definitions` VALUES (116458, 7551, 22, 'Pacjent:');
INSERT INTO `lang_definitions` VALUES (116459, 7553, 22, 'Pacjenci');
INSERT INTO `lang_definitions` VALUES (116460, 7559, 22, 'Zapłać');
INSERT INTO `lang_definitions` VALUES (116461, 7563, 22, 'Data płatności:');
INSERT INTO `lang_definitions` VALUES (116462, 7566, 22, 'Status płatności');
INSERT INTO `lang_definitions` VALUES (116463, 7567, 22, 'Odbiorca płatności');
INSERT INTO `lang_definitions` VALUES (116464, 7568, 22, 'Płatnik');
INSERT INTO `lang_definitions` VALUES (116465, 7572, 22, 'Rodzaj płatnika');
INSERT INTO `lang_definitions` VALUES (116466, 7575, 22, 'Płatność');
INSERT INTO `lang_definitions` VALUES (116467, 7576, 22, 'płatność');
INSERT INTO `lang_definitions` VALUES (116468, 7602, 22, 'Płatności');
INSERT INTO `lang_definitions` VALUES (116469, 7610, 22, 'PDF');
INSERT INTO `lang_definitions` VALUES (116470, 7622, 22, 'Ołówek');
INSERT INTO `lang_definitions` VALUES (116471, 7624, 22, 'Oczekujące');
INSERT INTO `lang_definitions` VALUES (116472, 7630, 22, 'Oczekuje na wynik');
INSERT INTO `lang_definitions` VALUES (116473, 7631, 22, 'W oczekiwaniu na wynik');
INSERT INTO `lang_definitions` VALUES (116474, 7639, 22, 'Choroba Wrzodowa');
INSERT INTO `lang_definitions` VALUES (116475, 7644, 22, 'Doustnie');
INSERT INTO `lang_definitions` VALUES (116476, 7645, 22, 'doustnie');
INSERT INTO `lang_definitions` VALUES (116477, 7648, 22, 'Procent');
INSERT INTO `lang_definitions` VALUES (116478, 7661, 22, 'Okres');
INSERT INTO `lang_definitions` VALUES (116479, 7671, 22, 'Osoba');
INSERT INTO `lang_definitions` VALUES (116480, 7680, 22, 'Apteka');
INSERT INTO `lang_definitions` VALUES (116481, 7688, 22, 'Odma płucna');
INSERT INTO `lang_definitions` VALUES (116482, 7697, 22, 'Telefon');
INSERT INTO `lang_definitions` VALUES (116483, 7703, 22, 'Telefon Komórkowy');
INSERT INTO `lang_definitions` VALUES (116484, 7715, 22, 'Światłowstręt');
INSERT INTO `lang_definitions` VALUES (116485, 7716, 22, 'Zdjęcia');
INSERT INTO `lang_definitions` VALUES (116486, 7757, 22, 'Plan');
INSERT INTO `lang_definitions` VALUES (116487, 7773, 22, 'Plan:');
INSERT INTO `lang_definitions` VALUES (116488, 7775, 22, 'Planowana data');
INSERT INTO `lang_definitions` VALUES (116489, 7776, 22, 'Plany');
INSERT INTO `lang_definitions` VALUES (116490, 7780, 22, 'Proszę zadzwonić, jeśli jakakolwiek informacja powyżej jest nieprawidłowa.');
INSERT INTO `lang_definitions` VALUES (116491, 7781, 22, 'Proszę zadzwonić, jeśli jakakolwiek informacja powyżej jest nieprawidłowa.');
INSERT INTO `lang_definitions` VALUES (116492, 7784, 22, 'Proszę zmienić hasło');
INSERT INTO `lang_definitions` VALUES (116493, 7785, 22, 'Proszę wybrać plik');
INSERT INTO `lang_definitions` VALUES (116494, 7786, 22, 'Proszę wybrać pacjenta');
INSERT INTO `lang_definitions` VALUES (116495, 7788, 22, 'Proszę dokonać właściwego wyboru.');
INSERT INTO `lang_definitions` VALUES (116496, 7789, 22, 'Proszę wybrać wartość dla');
INSERT INTO `lang_definitions` VALUES (116497, 7795, 22, 'Proszę zamknąć to okno');
INSERT INTO `lang_definitions` VALUES (116498, 7814, 22, 'Proszę wprowadzic datę');
INSERT INTO `lang_definitions` VALUES (116499, 7821, 22, 'Proszę wprowadzić nowe hasło');
INSERT INTO `lang_definitions` VALUES (116500, 7822, 22, 'Proszę wprowadzić tytuł!');
INSERT INTO `lang_definitions` VALUES (116501, 7858, 22, 'Proszę, zaloguj ponownie');
INSERT INTO `lang_definitions` VALUES (116502, 7874, 22, 'Proszę zobaczyć dołączony PDF.');
INSERT INTO `lang_definitions` VALUES (116503, 7875, 22, 'Prosze wybrać');
INSERT INTO `lang_definitions` VALUES (116504, 7876, 22, 'Prosze wybrać');
INSERT INTO `lang_definitions` VALUES (116505, 7877, 22, 'Prosze wybrać język');
INSERT INTO `lang_definitions` VALUES (116506, 7878, 22, 'Prosż wybrać Pacjenta');
INSERT INTO `lang_definitions` VALUES (116507, 7884, 22, 'Proszę wybrać datę początkową i datę końcową');
INSERT INTO `lang_definitions` VALUES (116508, 7900, 22, 'Proszę wybrać metodę płacenia');
INSERT INTO `lang_definitions` VALUES (116509, 7939, 22, 'Szczepionka przeciw zapaleniu płuc');
INSERT INTO `lang_definitions` VALUES (116510, 7940, 22, 'Szczepienie przeciw zapaleniu płuc');
INSERT INTO `lang_definitions` VALUES (116511, 7943, 22, 'Podiatryczny');
INSERT INTO `lang_definitions` VALUES (116512, 7944, 22, 'Podiatria');
INSERT INTO `lang_definitions` VALUES (116513, 7952, 22, 'polski');
INSERT INTO `lang_definitions` VALUES (116514, 7953, 22, 'Nadmierne pragnienie');
INSERT INTO `lang_definitions` VALUES (116515, 7956, 22, 'Wielomocz');
INSERT INTO `lang_definitions` VALUES (116516, 7957, 22, 'Brak apetytu');
INSERT INTO `lang_definitions` VALUES (116517, 7958, 22, 'Niewydolność krążenia');
INSERT INTO `lang_definitions` VALUES (116518, 7959, 22, 'Niedosłuch');
INSERT INTO `lang_definitions` VALUES (116519, 7984, 22, 'Portret');
INSERT INTO `lang_definitions` VALUES (116520, 7985, 22, 'portugalski');
INSERT INTO `lang_definitions` VALUES (116521, 7987, 22, 'portugalski (Brazylia)');
INSERT INTO `lang_definitions` VALUES (116522, 7988, 22, 'portugalski (Europa)');
INSERT INTO `lang_definitions` VALUES (116523, 8011, 22, 'Pocztowy');
INSERT INTO `lang_definitions` VALUES (116524, 8012, 22, 'Kod Pocztowy');
INSERT INTO `lang_definitions` VALUES (116525, 8013, 22, 'Kod pocztowy');
INSERT INTO `lang_definitions` VALUES (116526, 8048, 22, 'Pref. kat');
INSERT INTO `lang_definitions` VALUES (116527, 8050, 22, 'Ustawienia');
INSERT INTO `lang_definitions` VALUES (116528, 8059, 22, 'Przedpłata');
INSERT INTO `lang_definitions` VALUES (116529, 8061, 22, 'Recepta');
INSERT INTO `lang_definitions` VALUES (116530, 8070, 22, 'Recepty');
INSERT INTO `lang_definitions` VALUES (116531, 8073, 22, 'Recepty i dawkowanie');
INSERT INTO `lang_definitions` VALUES (116532, 8098, 22, 'Poprzedni');
INSERT INTO `lang_definitions` VALUES (116533, 8100, 22, 'Poprzedni dzień');
INSERT INTO `lang_definitions` VALUES (116534, 8103, 22, 'Poprzedni miesiąc');
INSERT INTO `lang_definitions` VALUES (116535, 8105, 22, 'Cena');
INSERT INTO `lang_definitions` VALUES (116536, 8109, 22, 'Poziom cen');
INSERT INTO `lang_definitions` VALUES (116537, 8111, 22, 'Poziom cen:');
INSERT INTO `lang_definitions` VALUES (116538, 8113, 22, 'Ceny');
INSERT INTO `lang_definitions` VALUES (116539, 8130, 22, 'Drukuj');
INSERT INTO `lang_definitions` VALUES (116540, 8151, 22, 'Drukuj notatke');
INSERT INTO `lang_definitions` VALUES (116541, 8152, 22, 'Drukuj stronę 1');
INSERT INTO `lang_definitions` VALUES (116542, 8153, 22, 'Drukuj stronę 2');
INSERT INTO `lang_definitions` VALUES (116543, 8170, 22, 'Drukuj do');
INSERT INTO `lang_definitions` VALUES (116544, 8171, 22, 'Drukuj do faksu');
INSERT INTO `lang_definitions` VALUES (116545, 8197, 22, 'Problem');
INSERT INTO `lang_definitions` VALUES (116546, 8248, 22, 'Typ procedury');
INSERT INTO `lang_definitions` VALUES (116547, 8253, 22, 'Procedura/Usługa');
INSERT INTO `lang_definitions` VALUES (116548, 8254, 22, 'Procedury');
INSERT INTO `lang_definitions` VALUES (116549, 8256, 22, 'Proces');
INSERT INTO `lang_definitions` VALUES (116550, 8274, 22, 'Produkt');
INSERT INTO `lang_definitions` VALUES (116551, 8275, 22, 'Produkt dodany');
INSERT INTO `lang_definitions` VALUES (116552, 8277, 22, 'Produkt usunięty');
INSERT INTO `lang_definitions` VALUES (116553, 8278, 22, 'Produkcja');
INSERT INTO `lang_definitions` VALUES (116554, 8279, 22, 'Produkty');
INSERT INTO `lang_definitions` VALUES (116555, 8282, 22, 'Prof.');
INSERT INTO `lang_definitions` VALUES (116556, 8287, 22, 'Prog.{{Szkła progresywne}}');
INSERT INTO `lang_definitions` VALUES (116557, 8295, 22, 'Rak prostaty');
INSERT INTO `lang_definitions` VALUES (116558, 8297, 22, 'Badanie prostaty');
INSERT INTO `lang_definitions` VALUES (116559, 8315, 22, 'Wpisz poprawny adres email');
INSERT INTO `lang_definitions` VALUES (116560, 8318, 22, 'Gab./Lekarz:');
INSERT INTO `lang_definitions` VALUES (116561, 8322, 22, 'ID gab./lekarza');
INSERT INTO `lang_definitions` VALUES (116562, 8323, 22, 'ID gab./lekarza');
INSERT INTO `lang_definitions` VALUES (116563, 8330, 22, 'Numer gab./lekarza');
INSERT INTO `lang_definitions` VALUES (116564, 8336, 22, 'Gab./Lekarz:');
INSERT INTO `lang_definitions` VALUES (116565, 8337, 22, 'Gabinety/Lekarze');
INSERT INTO `lang_definitions` VALUES (116566, 8342, 22, 'PSA');
INSERT INTO `lang_definitions` VALUES (116567, 8343, 22, 'Łuszczyca');
INSERT INTO `lang_definitions` VALUES (116568, 8347, 22, 'Psychiatryczne');
INSERT INTO `lang_definitions` VALUES (116569, 8383, 22, 'Publiczny/a/e');
INSERT INTO `lang_definitions` VALUES (116570, 8384, 22, 'Publiczna Agencja');
INSERT INTO `lang_definitions` VALUES (116571, 8396, 22, 'Płucne');
INSERT INTO `lang_definitions` VALUES (116572, 8398, 22, 'Puls');
INSERT INTO `lang_definitions` VALUES (116573, 8401, 22, 'Zamówienie');
INSERT INTO `lang_definitions` VALUES (116574, 8405, 22, 'Psychiatria');
INSERT INTO `lang_definitions` VALUES (116575, 8423, 22, 'Ilość');
INSERT INTO `lang_definitions` VALUES (116576, 8452, 22, 'Rasa');
INSERT INTO `lang_definitions` VALUES (116577, 8453, 22, 'Rasa i poch etniczne');
INSERT INTO `lang_definitions` VALUES (116578, 8454, 22, 'Rasa/poch etniczne');
INSERT INTO `lang_definitions` VALUES (116579, 8498, 22, 'Przyczyna');
INSERT INTO `lang_definitions` VALUES (116580, 8500, 22, 'Przyczyna śmierci');
INSERT INTO `lang_definitions` VALUES (116581, 8506, 22, 'Przyczyna/Forma');
INSERT INTO `lang_definitions` VALUES (116582, 8526, 22, 'Otrzymane');
INSERT INTO `lang_definitions` VALUES (116583, 8528, 22, 'Otrzymane Faksy');
INSERT INTO `lang_definitions` VALUES (116584, 8572, 22, 'Dokumentacja');
INSERT INTO `lang_definitions` VALUES (116585, 8622, 22, 'Skierowania');
INSERT INTO `lang_definitions` VALUES (116586, 8624, 22, 'Skierowany przez');
INSERT INTO `lang_definitions` VALUES (116587, 8625, 22, 'Skierowany Przez');
INSERT INTO `lang_definitions` VALUES (116588, 8627, 22, 'Skierowany do');
INSERT INTO `lang_definitions` VALUES (116589, 8628, 22, 'Skierowujący');
INSERT INTO `lang_definitions` VALUES (116590, 8630, 22, 'Diagnoza Skierowującego');
INSERT INTO `lang_definitions` VALUES (116591, 8631, 22, 'Diagnoza skierowującego');
INSERT INTO `lang_definitions` VALUES (116592, 8635, 22, 'Polecający/Kierujący');
INSERT INTO `lang_definitions` VALUES (116593, 8645, 22, 'Odśwież');
INSERT INTO `lang_definitions` VALUES (116594, 8700, 22, 'Religia');
INSERT INTO `lang_definitions` VALUES (116595, 8703, 22, 'Przeładuj');
INSERT INTO `lang_definitions` VALUES (116596, 8712, 22, 'Przypomnienie');
INSERT INTO `lang_definitions` VALUES (116597, 8725, 22, 'Przypomnienia');
INSERT INTO `lang_definitions` VALUES (116598, 8758, 22, 'Zdarzenie cykliczne');
INSERT INTO `lang_definitions` VALUES (116599, 8760, 22, 'Powt. się');
INSERT INTO `lang_definitions` VALUES (116600, 8761, 22, 'ZASTĄP');
INSERT INTO `lang_definitions` VALUES (116601, 8766, 22, 'zastąpione');
INSERT INTO `lang_definitions` VALUES (116602, 8774, 22, 'Raport');
INSERT INTO `lang_definitions` VALUES (116603, 8786, 22, 'Wyniki');
INSERT INTO `lang_definitions` VALUES (116604, 8797, 22, 'Raporty');
INSERT INTO `lang_definitions` VALUES (116605, 8832, 22, 'ZAREZERWOWANE');
INSERT INTO `lang_definitions` VALUES (116606, 8833, 22, 'Zarezerwowane');
INSERT INTO `lang_definitions` VALUES (116607, 8852, 22, 'Rozwiązany');
INSERT INTO `lang_definitions` VALUES (116608, 8867, 22, 'Wynik');
INSERT INTO `lang_definitions` VALUES (116609, 8872, 22, 'Wyniki');
INSERT INTO `lang_definitions` VALUES (116610, 8873, 22, 'Wyniki i');
INSERT INTO `lang_definitions` VALUES (116611, 8879, 22, 'Ilość wyników na stronę');
INSERT INTO `lang_definitions` VALUES (116612, 8880, 22, 'Wyniki/Detale');
INSERT INTO `lang_definitions` VALUES (116613, 8882, 22, 'Siatkówka');
INSERT INTO `lang_definitions` VALUES (116614, 8883, 22, 'Domyślne wartości siatkówki');
INSERT INTO `lang_definitions` VALUES (116615, 8884, 22, 'Badanie siatkówki');
INSERT INTO `lang_definitions` VALUES (116616, 8886, 22, 'Powrót');
INSERT INTO `lang_definitions` VALUES (116617, 8890, 22, 'Wróć do kalendarza');
INSERT INTO `lang_definitions` VALUES (116618, 8924, 22, 'Wersja');
INSERT INTO `lang_definitions` VALUES (116619, 8925, 22, 'Reumatoidalne Zapalenie Stawów');
INSERT INTO `lang_definitions` VALUES (116620, 8926, 22, 'Reumatoidalne Zapalenie Stawów');
INSERT INTO `lang_definitions` VALUES (116621, 8928, 22, 'Prawy/a');
INSERT INTO `lang_definitions` VALUES (116622, 8929, 22, 'Prawe ramię');
INSERT INTO `lang_definitions` VALUES (116623, 8931, 22, 'Prawe ucho');
INSERT INTO `lang_definitions` VALUES (116624, 8932, 22, 'prawe ucho');
INSERT INTO `lang_definitions` VALUES (116625, 8934, 22, 'Prawa soczewka');
INSERT INTO `lang_definitions` VALUES (116626, 8936, 22, 'Lewy Margines (mm)');
INSERT INTO `lang_definitions` VALUES (116627, 8940, 22, 'Prawy:');
INSERT INTO `lang_definitions` VALUES (116628, 8941, 22, 'Dzwonienie w uszach');
INSERT INTO `lang_definitions` VALUES (116629, 8942, 22, 'Dzwonienie w uszach');
INSERT INTO `lang_definitions` VALUES (116630, 8956, 22, 'Rumuński');
INSERT INTO `lang_definitions` VALUES (116631, 8958, 22, 'Gabinet 1');
INSERT INTO `lang_definitions` VALUES (116632, 8959, 22, 'Gabinet 2');
INSERT INTO `lang_definitions` VALUES (116633, 8960, 22, 'Gabinet 3');
INSERT INTO `lang_definitions` VALUES (116634, 8974, 22, 'Reguła');
INSERT INTO `lang_definitions` VALUES (116635, 8975, 22, 'Dodanie reguły');
INSERT INTO `lang_definitions` VALUES (116636, 8976, 22, 'Szczegóły reguły');
INSERT INTO `lang_definitions` VALUES (116637, 8978, 22, 'Edycja reguły');
INSERT INTO `lang_definitions` VALUES (116638, 8981, 22, 'Ustawienie reguły');
INSERT INTO `lang_definitions` VALUES (116639, 8984, 22, 'Reguły');
INSERT INTO `lang_definitions` VALUES (116640, 8986, 22, 'Konfiguracja reguł');
INSERT INTO `lang_definitions` VALUES (116641, 8989, 22, 'Uruchomiona komenda:');
INSERT INTO `lang_definitions` VALUES (116642, 8990, 22, 'Pęknięcie');
INSERT INTO `lang_definitions` VALUES (116643, 8992, 22, 'Rosyjski');
INSERT INTO `lang_definitions` VALUES (116644, 9027, 22, 'P{{prawy}}');
INSERT INTO `lang_definitions` VALUES (116645, 9029, 22, 'PESEL');
INSERT INTO `lang_definitions` VALUES (116646, 9038, 22, 'Ślina');
INSERT INTO `lang_definitions` VALUES (116647, 9040, 22, 'samoański');
INSERT INTO `lang_definitions` VALUES (116648, 9041, 22, 'Próbka');
INSERT INTO `lang_definitions` VALUES (116649, 9045, 22, 'Sanskryt');
INSERT INTO `lang_definitions` VALUES (116650, 9047, 22, 'Sb.');
INSERT INTO `lang_definitions` VALUES (116651, 9048, 22, 'Sb. &amp; Nd.');
INSERT INTO `lang_definitions` VALUES (116652, 9049, 22, 'Sobota');
INSERT INTO `lang_definitions` VALUES (116653, 9050, 22, 'Zapisz');
INSERT INTO `lang_definitions` VALUES (116654, 9051, 22, 'ZAPISZ');
INSERT INTO `lang_definitions` VALUES (116655, 9055, 22, 'Zapisz i zamknij');
INSERT INTO `lang_definitions` VALUES (116656, 9056, 22, 'Zapisz i kontynuuj');
INSERT INTO `lang_definitions` VALUES (116657, 9059, 22, 'Zapisz i drukuj');
INSERT INTO `lang_definitions` VALUES (116658, 9060, 22, 'Zapisz i prześlij');
INSERT INTO `lang_definitions` VALUES (116659, 9061, 22, 'Zapisz jako Nowy');
INSERT INTO `lang_definitions` VALUES (116660, 9063, 22, 'Zapisz jako nową notatkę');
INSERT INTO `lang_definitions` VALUES (116661, 9065, 22, 'Zapisz Kategorię');
INSERT INTO `lang_definitions` VALUES (116662, 9066, 22, 'Zapisz ustawienia certyfikatu');
INSERT INTO `lang_definitions` VALUES (116663, 9067, 22, 'Zapisz zmiany');
INSERT INTO `lang_definitions` VALUES (116664, 9068, 22, 'Zapisz roszczenie');
INSERT INTO `lang_definitions` VALUES (116665, 9071, 22, 'Zapisywanie zakończone');
INSERT INTO `lang_definitions` VALUES (116666, 9072, 22, 'Zapisz bieżące');
INSERT INTO `lang_definitions` VALUES (116667, 9073, 22, 'Zapisz do drukowania na wcześniej wydrukowanym arkuszu');
INSERT INTO `lang_definitions` VALUES (116668, 9074, 22, 'Zapisz do drukowania za pomocą formularza');
INSERT INTO `lang_definitions` VALUES (116669, 9075, 22, 'Zapisz formularz');
INSERT INTO `lang_definitions` VALUES (116670, 9076, 22, 'Zapisz szczepienie');
INSERT INTO `lang_definitions` VALUES (116671, 9078, 22, 'Zapisz nowe pole');
INSERT INTO `lang_definitions` VALUES (116672, 9079, 22, 'Zapisz nową grupę');
INSERT INTO `lang_definitions` VALUES (116673, 9080, 22, 'Zapisz nową listę');
INSERT INTO `lang_definitions` VALUES (116674, 9081, 22, 'Zapisz nowy szablon');
INSERT INTO `lang_definitions` VALUES (116675, 9085, 22, 'Zapisz raport jako PDF');
INSERT INTO `lang_definitions` VALUES (116676, 9086, 22, 'Zapisano pomyślnie');
INSERT INTO `lang_definitions` VALUES (116677, 9087, 22, 'Zapisano pomyślnie dla ID wykresu ');
INSERT INTO `lang_definitions` VALUES (116678, 9088, 22, 'Zapisz na wykresie');
INSERT INTO `lang_definitions` VALUES (116679, 9089, 22, 'Zapisz transakcję');
INSERT INTO `lang_definitions` VALUES (116680, 9090, 22, 'Zapisano Pomyślnie');
INSERT INTO `lang_definitions` VALUES (116681, 9094, 22, 'So{{Saturday}}');
INSERT INTO `lang_definitions` VALUES (116682, 9106, 22, 'Zaplanuj udogodnienia:');
INSERT INTO `lang_definitions` VALUES (116683, 9107, 22, 'Zaplanuj nową wizytę');
INSERT INTO `lang_definitions` VALUES (116684, 9108, 22, 'Planowy');
INSERT INTO `lang_definitions` VALUES (116685, 9109, 22, 'Planowanie');
INSERT INTO `lang_definitions` VALUES (116686, 9116, 22, 'Szkoła');
INSERT INTO `lang_definitions` VALUES (116687, 9122, 22, 'Skolioza');
INSERT INTO `lang_definitions` VALUES (116688, 9126, 22, 'Ekran');
INSERT INTO `lang_definitions` VALUES (116689, 9141, 22, 'Szukaj');
INSERT INTO `lang_definitions` VALUES (116690, 9143, 22, 'szukaj');
INSERT INTO `lang_definitions` VALUES (116691, 9144, 22, 'szukaj ponownie');
INSERT INTO `lang_definitions` VALUES (116692, 9145, 22, 'Przeszukaj wszystkie kolumny');
INSERT INTO `lang_definitions` VALUES (116693, 9150, 22, 'Szukaj wg:');
INSERT INTO `lang_definitions` VALUES (116694, 9152, 22, 'Szukaj');
INSERT INTO `lang_definitions` VALUES (116695, 9156, 22, 'Szukaj:');
INSERT INTO `lang_definitions` VALUES (116696, 9158, 22, 'Szukaj w');
INSERT INTO `lang_definitions` VALUES (116697, 9159, 22, 'Szukaj w');
INSERT INTO `lang_definitions` VALUES (116698, 9161, 22, 'Wyszukaj lub dodaj pacjenta');
INSERT INTO `lang_definitions` VALUES (116699, 9174, 22, 'Szukaj tekstu');
INSERT INTO `lang_definitions` VALUES (116700, 9178, 22, 'Szukaj/Dodaj');
INSERT INTO `lang_definitions` VALUES (116701, 9179, 22, 'Szukaj/Dodaj ubezpieczyciela');
INSERT INTO `lang_definitions` VALUES (116702, 9181, 22, 'Szukanie wizyt');
INSERT INTO `lang_definitions` VALUES (116703, 9182, 22, 'Poszukiwanie...');
INSERT INTO `lang_definitions` VALUES (116704, 9183, 22, 'Pas bezpieczeństwa');
INSERT INTO `lang_definitions` VALUES (116705, 9186, 22, 'Drugi');
INSERT INTO `lang_definitions` VALUES (116706, 9187, 22, 'drugi');
INSERT INTO `lang_definitions` VALUES (116707, 9189, 22, 'Drugie');
INSERT INTO `lang_definitions` VALUES (116708, 9207, 22, 'Zabezpieczenia');
INSERT INTO `lang_definitions` VALUES (116709, 9208, 22, 'Wszystkie');
INSERT INTO `lang_definitions` VALUES (116710, 9223, 22, 'Wyb.');
INSERT INTO `lang_definitions` VALUES (116711, 9224, 22, 'wybierz');
INSERT INTO `lang_definitions` VALUES (116712, 9225, 22, 'Wybierz');
INSERT INTO `lang_definitions` VALUES (116713, 9227, 22, 'Wybierz komponent');
INSERT INTO `lang_definitions` VALUES (116714, 9228, 22, 'Wybierz kontekst');
INSERT INTO `lang_definitions` VALUES (116715, 9236, 22, 'Wybierz użytkownika');
INSERT INTO `lang_definitions` VALUES (116716, 9239, 22, 'Wybierz wszystko');
INSERT INTO `lang_definitions` VALUES (116717, 9250, 22, 'Wybierz kategorię');
INSERT INTO `lang_definitions` VALUES (116718, 9262, 22, 'Wybierz datę');
INSERT INTO `lang_definitions` VALUES (116719, 9271, 22, 'Wybierz lek');
INSERT INTO `lang_definitions` VALUES (116720, 9272, 22, 'Wybierz leki');
INSERT INTO `lang_definitions` VALUES (116721, 9275, 22, 'Wybierz Spotkanie');
INSERT INTO `lang_definitions` VALUES (116722, 9276, 22, 'Wybierz pole');
INSERT INTO `lang_definitions` VALUES (116723, 9277, 22, 'Wybierz Pole');
INSERT INTO `lang_definitions` VALUES (116724, 9278, 22, 'Wybierz Pola');
INSERT INTO `lang_definitions` VALUES (116725, 9279, 22, 'Wybierz do druku');
INSERT INTO `lang_definitions` VALUES (116726, 9281, 22, 'Wybierz grupę');
INSERT INTO `lang_definitions` VALUES (116727, 9285, 22, 'Wybierz szczepienia');
INSERT INTO `lang_definitions` VALUES (116728, 9287, 22, 'Wybierz ubezpieczenie, wpisując');
INSERT INTO `lang_definitions` VALUES (116729, 9288, 22, 'Wybierz problem');
INSERT INTO `lang_definitions` VALUES (116730, 9289, 22, 'Wybierz elementy');
INSERT INTO `lang_definitions` VALUES (116731, 9291, 22, 'Wybierz język');
INSERT INTO `lang_definitions` VALUES (116732, 9293, 22, 'Wybierz listę');
INSERT INTO `lang_definitions` VALUES (116733, 9296, 22, 'Wybierz miesiąc');
INSERT INTO `lang_definitions` VALUES (116734, 9297, 22, 'Wybierz jedno');
INSERT INTO `lang_definitions` VALUES (116735, 9305, 22, 'WYBIERZ PLAN');
INSERT INTO `lang_definitions` VALUES (116736, 9313, 22, 'Wybierz bramkę SMS');
INSERT INTO `lang_definitions` VALUES (116737, 9314, 22, 'Wybierz źródło');
INSERT INTO `lang_definitions` VALUES (116738, 9317, 22, 'Wybierz szablon');
INSERT INTO `lang_definitions` VALUES (116739, 9321, 22, 'Wybierz konfigurację elementów do eksportu');
INSERT INTO `lang_definitions` VALUES (116740, 9322, 22, 'Wybierz domyślną czcionkę');
INSERT INTO `lang_definitions` VALUES (116741, 9324, 22, 'Wybierz domyślny rozmiar czcionki');
INSERT INTO `lang_definitions` VALUES (116742, 9326, 22, 'Wybierz diagnozy do uwzględnienia w wyświetleniu / planie.');
INSERT INTO `lang_definitions` VALUES (116743, 9328, 22, 'Wybierz problem przede wszystkim odpowiedzialny za utracone wydarzenia w tym dniu');
INSERT INTO `lang_definitions` VALUES (116744, 9333, 22, 'Wybierz, aby wydrukować etykiety adresowe pacjentów z wyskakujących okienek w lewym ekranie nawigacyjnym.');
INSERT INTO `lang_definitions` VALUES (116745, 9334, 22, 'Wybierz do przekazania');
INSERT INTO `lang_definitions` VALUES (116746, 9335, 22, 'Wybierz ścieżkę');
INSERT INTO `lang_definitions` VALUES (116747, 9337, 22, 'Wybierz Typ');
INSERT INTO `lang_definitions` VALUES (116748, 9338, 22, 'Wybierz użytkownika');
INSERT INTO `lang_definitions` VALUES (116749, 9339, 22, 'Wybierz użytkowników z rozwijanej LISTY');
INSERT INTO `lang_definitions` VALUES (116750, 9340, 22, 'Wybierz użytkowników z rozwijanej listy');
INSERT INTO `lang_definitions` VALUES (116751, 9341, 22, 'Wybierz, które języki, jeśli jakiekolwiek, mogą być wybrane przy logowaniu. (tylko, jeśli powyżej Wszystkie języki są dozwolone)');
INSERT INTO `lang_definitions` VALUES (116752, 9342, 22, 'Wybierz rok');
INSERT INTO `lang_definitions` VALUES (116753, 9343, 22, 'Wybierz Tak, by potwierdzić usunięcie grupy');
INSERT INTO `lang_definitions` VALUES (116754, 9347, 22, 'Wybierz1');
INSERT INTO `lang_definitions` VALUES (116755, 9348, 22, 'Wybierz2');
INSERT INTO `lang_definitions` VALUES (116756, 9349, 22, 'Wybrany');
INSERT INTO `lang_definitions` VALUES (116757, 9350, 22, 'Wybrana wizyta');
INSERT INTO `lang_definitions` VALUES (116758, 9352, 22, 'wybrane pliki');
INSERT INTO `lang_definitions` VALUES (116759, 9353, 22, 'Wybrane pliki i dane zostaną usunięte z folderów i tabel');
INSERT INTO `lang_definitions` VALUES (116760, 9355, 22, 'Wybranie tej opcji spowoduje utworzenie komunikatu, który będzie przetwarzany indywidualnie przez każdego odbiorcę (nie jest to zadanie grupowe).');
INSERT INTO `lang_definitions` VALUES (116761, 9356, 22, 'Identyfikator wybranej wiadomości');
INSERT INTO `lang_definitions` VALUES (116762, 9359, 22, 'WYŚLIJ');
INSERT INTO `lang_definitions` VALUES (116763, 9360, 22, 'Wyślij');
INSERT INTO `lang_definitions` VALUES (116764, 9361, 22, 'Wyślij opatrzone datą przypomnienie');
INSERT INTO `lang_definitions` VALUES (116765, 9362, 22, 'Wyślij przypomnienie');
INSERT INTO `lang_definitions` VALUES (116766, 9363, 22, 'Wyślij emajl do');
INSERT INTO `lang_definitions` VALUES (116767, 9367, 22, 'Wyślij emajle');
INSERT INTO `lang_definitions` VALUES (116768, 9369, 22, 'Wysyłanie w toku');
INSERT INTO `lang_definitions` VALUES (116769, 9372, 22, 'Wyślij wiadomość');
INSERT INTO `lang_definitions` VALUES (116770, 9376, 22, 'Wyślij notatki');
INSERT INTO `lang_definitions` VALUES (116771, 9380, 22, 'Wyślij żądanie');
INSERT INTO `lang_definitions` VALUES (116772, 9384, 22, 'Wyślij ten plik');
INSERT INTO `lang_definitions` VALUES (116773, 9385, 22, 'Wyślij ten komunikat');
INSERT INTO `lang_definitions` VALUES (116774, 9386, 22, 'Wyślij do');
INSERT INTO `lang_definitions` VALUES (116775, 9387, 22, 'Wyślij do');
INSERT INTO `lang_definitions` VALUES (116776, 9388, 22, 'WYŚLIJ DO');
INSERT INTO `lang_definitions` VALUES (116777, 9389, 22, 'Wyślij do wszystkich');
INSERT INTO `lang_definitions` VALUES (116778, 9395, 22, 'Nadawca');
INSERT INTO `lang_definitions` VALUES (116779, 9396, 22, 'ID nadawcy');
INSERT INTO `lang_definitions` VALUES (116780, 9397, 22, 'ID nadawcy (ISA06)');
INSERT INTO `lang_definitions` VALUES (116781, 9407, 22, 'Wrażliwości');
INSERT INTO `lang_definitions` VALUES (116782, 9411, 22, 'Istotność:');
INSERT INTO `lang_definitions` VALUES (116783, 9413, 22, 'Wysłano');
INSERT INTO `lang_definitions` VALUES (116784, 9416, 22, 'Wyślij przez:');
INSERT INTO `lang_definitions` VALUES (116785, 9417, 22, 'Data wysyłki');
INSERT INTO `lang_definitions` VALUES (116786, 9418, 22, 'Wysłane przedmioty');
INSERT INTO `lang_definitions` VALUES (116787, 9420, 22, 'Wysłano pomyślnie');
INSERT INTO `lang_definitions` VALUES (116788, 9423, 22, 'wysłano do drukarki.');
INSERT INTO `lang_definitions` VALUES (116789, 9424, 22, 'Wysłano do, pozostaw puste dla wszystkich');
INSERT INTO `lang_definitions` VALUES (116790, 9425, 22, 'Wysłano do:');
INSERT INTO `lang_definitions` VALUES (116791, 9426, 22, 'Wysłano, ale nie potwierdzono dostarczenia.');
INSERT INTO `lang_definitions` VALUES (116792, 9427, 22, 'Wysłane, nie otrzymano');
INSERT INTO `lang_definitions` VALUES (116793, 9429, 22, 'Wrz');
INSERT INTO `lang_definitions` VALUES (116794, 9430, 22, 'W separacji');
INSERT INTO `lang_definitions` VALUES (116795, 9431, 22, 'Wrzesień');
INSERT INTO `lang_definitions` VALUES (116796, 9434, 22, 'Serb');
INSERT INTO `lang_definitions` VALUES (116797, 9436, 22, 'Błąd serwera, spróbuj ponownie później');
INSERT INTO `lang_definitions` VALUES (116798, 9438, 22, 'Serwer może być offline');
INSERT INTO `lang_definitions` VALUES (116799, 9439, 22, 'Wiadomość serwera:');
INSERT INTO `lang_definitions` VALUES (116800, 9442, 22, 'Usługa');
INSERT INTO `lang_definitions` VALUES (116801, 9443, 22, 'Usługa dodana');
INSERT INTO `lang_definitions` VALUES (116802, 9444, 22, 'Kategoria usługi');
INSERT INTO `lang_definitions` VALUES (116803, 9445, 22, 'Kod usługi');
INSERT INTO `lang_definitions` VALUES (116804, 9447, 22, 'Kody usługi');
INSERT INTO `lang_definitions` VALUES (116805, 9448, 22, 'Data usługi');
INSERT INTO `lang_definitions` VALUES (116806, 9451, 22, 'Data usługi:');
INSERT INTO `lang_definitions` VALUES (116807, 9452, 22, 'Usługa usuniąta');
INSERT INTO `lang_definitions` VALUES (116808, 9455, 22, 'Lokalizacja usługi');
INSERT INTO `lang_definitions` VALUES (116809, 9456, 22, 'Nazwa usługi');
INSERT INTO `lang_definitions` VALUES (116810, 9457, 22, 'Usługa świadczona przez specjalistę');
INSERT INTO `lang_definitions` VALUES (116811, 9461, 22, 'Usługi');
INSERT INTO `lang_definitions` VALUES (116812, 9462, 22, 'Usługi wg kategorii');
INSERT INTO `lang_definitions` VALUES (116813, 9463, 22, 'Realizowane usługi');
INSERT INTO `lang_definitions` VALUES (116814, 9464, 22, 'Realizowane usługi');
INSERT INTO `lang_definitions` VALUES (116815, 9465, 22, 'Usługa/Produkt');
INSERT INTO `lang_definitions` VALUES (116816, 9466, 22, 'Typ sesji');
INSERT INTO `lang_definitions` VALUES (116817, 9467, 22, 'Ustaw');
INSERT INTO `lang_definitions` VALUES (116818, 9480, 22, 'Przywróć domyślne');
INSERT INTO `lang_definitions` VALUES (116819, 9488, 22, 'Ustawienia');
INSERT INTO `lang_definitions` VALUES (116820, 9492, 22, 'ostry');
INSERT INTO `lang_definitions` VALUES (116821, 9493, 22, 'Ostra Migrena');
INSERT INTO `lang_definitions` VALUES (116822, 9494, 22, 'Intensywność bólu');
INSERT INTO `lang_definitions` VALUES (116823, 9496, 22, 'Intensywność bólu');
INSERT INTO `lang_definitions` VALUES (116824, 9497, 22, 'Intensywność bólu');
INSERT INTO `lang_definitions` VALUES (116825, 9498, 22, 'Płeć');
INSERT INTO `lang_definitions` VALUES (116826, 9499, 22, 'Choroby weneryczne');
INSERT INTO `lang_definitions` VALUES (116827, 9503, 22, 'Dzielenie');
INSERT INTO `lang_definitions` VALUES (116828, 9505, 22, 'Zmiana');
INSERT INTO `lang_definitions` VALUES (116829, 9507, 22, 'Krótki opis');
INSERT INTO `lang_definitions` VALUES (116830, 9508, 22, 'stenografia');
INSERT INTO `lang_definitions` VALUES (116831, 9509, 22, 'Stenografia Help');
INSERT INTO `lang_definitions` VALUES (116832, 9510, 22, 'duszność');
INSERT INTO `lang_definitions` VALUES (116833, 9511, 22, 'duszność');
INSERT INTO `lang_definitions` VALUES (116834, 9512, 22, 'duszność');
INSERT INTO `lang_definitions` VALUES (116835, 9517, 22, 'Powienien zawierać dwie litery');
INSERT INTO `lang_definitions` VALUES (116836, 9518, 22, 'powienien zawierać 10 cyfr');
INSERT INTO `lang_definitions` VALUES (116837, 9519, 22, 'powinien zawierać wyłącznie 10 cyfr');
INSERT INTO `lang_definitions` VALUES (116838, 9520, 22, 'Ramię');
INSERT INTO `lang_definitions` VALUES (116839, 9521, 22, 'Ramię i obojczyk');
INSERT INTO `lang_definitions` VALUES (116840, 9522, 22, 'Problemy z ramieniem');
INSERT INTO `lang_definitions` VALUES (116841, 9523, 22, 'Pokaż');
INSERT INTO `lang_definitions` VALUES (116842, 9524, 22, 'Pokaż aktywne');
INSERT INTO `lang_definitions` VALUES (116843, 9527, 22, 'Pokaż wszystko');
INSERT INTO `lang_definitions` VALUES (116844, 9529, 22, 'Pokaż wszystkie procedury');
INSERT INTO `lang_definitions` VALUES (116845, 9530, 22, 'Pokaż wszystkie rezultaty');
INSERT INTO `lang_definitions` VALUES (116846, 9531, 22, 'Pokaż wszystkie transakcje');
INSERT INTO `lang_definitions` VALUES (116847, 9532, 22, 'Pokaż jako zajęty');
INSERT INTO `lang_definitions` VALUES (116848, 9534, 22, 'Pokaż dostępne godziny');
INSERT INTO `lang_definitions` VALUES (116849, 9535, 22, 'Pokaż zarówno amerykańskie, jak i metryczne (główna jednostka jest metryczna)');
INSERT INTO `lang_definitions` VALUES (116850, 9536, 22, 'Pokaż zarówno amerykańskie, jak i metryczne (główna jednostka jest imperialna)');
INSERT INTO `lang_definitions` VALUES (116851, 9540, 22, 'Pokaż dane szczegółowe');
INSERT INTO `lang_definitions` VALUES (116852, 9541, 22, 'Pokaż sekcję rozpoznań');
INSERT INTO `lang_definitions` VALUES (116853, 9542, 22, 'Pokazać tyko błędy ?');
INSERT INTO `lang_definitions` VALUES (116854, 9543, 22, 'Pokaż extra logo w czasie logowania');
INSERT INTO `lang_definitions` VALUES (116855, 9544, 22, 'Pokaż wykres');
INSERT INTO `lang_definitions` VALUES (116856, 9548, 22, 'Pokaż nieaktywne');
INSERT INTO `lang_definitions` VALUES (116857, 9550, 22, 'Pokaż IOP wg Daty');
INSERT INTO `lang_definitions` VALUES (116858, 9551, 22, 'Pokaż IOP wg Czasu');
INSERT INTO `lang_definitions` VALUES (116859, 9552, 22, 'Pokaż menu');
INSERT INTO `lang_definitions` VALUES (116860, 9556, 22, 'Pokaż notatki');
INSERT INTO `lang_definitions` VALUES (116861, 9561, 22, 'Pokaż notatki pacjenta');
INSERT INTO `lang_definitions` VALUES (116862, 9562, 22, 'Pokaż funty i uncje');
INSERT INTO `lang_definitions` VALUES (116863, 9563, 22, 'Pokaż funty jako wartości dziesiętne');
INSERT INTO `lang_definitions` VALUES (116864, 9568, 22, 'Pokaż przypomnienia');
INSERT INTO `lang_definitions` VALUES (116865, 9569, 22, 'Pokaż raport');
INSERT INTO `lang_definitions` VALUES (116866, 9585, 22, 'Wyświetla');
INSERT INTO `lang_definitions` VALUES (116867, 9592, 22, 'Rodzeństwo');
INSERT INTO `lang_definitions` VALUES (116868, 9595, 22, 'Rodzeństwo');
INSERT INTO `lang_definitions` VALUES (116869, 9596, 22, 'komórka sierpowata');
INSERT INTO `lang_definitions` VALUES (116870, 9598, 22, 'Sigmo/kolonoskopia');
INSERT INTO `lang_definitions` VALUES (116871, 9599, 22, 'Znak');
INSERT INTO `lang_definitions` VALUES (116872, 9600, 22, 'Zaloguj');
INSERT INTO `lang_definitions` VALUES (116873, 9604, 22, 'Zapisz się');
INSERT INTO `lang_definitions` VALUES (116874, 9606, 22, 'Podpis');
INSERT INTO `lang_definitions` VALUES (116875, 9609, 22, 'Podpis:');
INSERT INTO `lang_definitions` VALUES (116876, 9613, 22, 'Znaczący Inny');
INSERT INTO `lang_definitions` VALUES (116877, 9614, 22, 'Znaczący obrzęk:');
INSERT INTO `lang_definitions` VALUES (116878, 9615, 22, 'Uproszczony');
INSERT INTO `lang_definitions` VALUES (116879, 9619, 22, 'Od');
INSERT INTO `lang_definitions` VALUES (116880, 9620, 22, 'Z poważaniem,');
INSERT INTO `lang_definitions` VALUES (116881, 9622, 22, 'Wolny/a');
INSERT INTO `lang_definitions` VALUES (116882, 9626, 22, 'Pojedynczy');
INSERT INTO `lang_definitions` VALUES (116883, 9629, 22, 'Choroby zatok');
INSERT INTO `lang_definitions` VALUES (116884, 9630, 22, 'Operacja zatok');
INSERT INTO `lang_definitions` VALUES (116885, 9632, 22, 'Zapalenie zatok');
INSERT INTO `lang_definitions` VALUES (116886, 9633, 22, 'Siostra');
INSERT INTO `lang_definitions` VALUES (116887, 9634, 22, 'Strona');
INSERT INTO `lang_definitions` VALUES (116888, 9641, 22, 'Sześć miesiecy wstecz');
INSERT INTO `lang_definitions` VALUES (116889, 9642, 22, 'Za sześć miesięcy');
INSERT INTO `lang_definitions` VALUES (116890, 9643, 22, 'Rozmiar');
INSERT INTO `lang_definitions` VALUES (116891, 9644, 22, 'rozmiar');
INSERT INTO `lang_definitions` VALUES (116892, 9646, 22, 'Rozmiar powinien być liczbą pomiędzy 1 i 999');
INSERT INTO `lang_definitions` VALUES (116893, 9648, 22, 'Rozmiar/Lista');
INSERT INTO `lang_definitions` VALUES (116894, 9650, 22, 'Skóra');
INSERT INTO `lang_definitions` VALUES (116895, 9651, 22, 'Rak skóry');
INSERT INTO `lang_definitions` VALUES (116896, 9652, 22, 'Choroba skóry');
INSERT INTO `lang_definitions` VALUES (116897, 9663, 22, 'Uśpij');
INSERT INTO `lang_definitions` VALUES (116898, 9668, 22, 'Słowak');
INSERT INTO `lang_definitions` VALUES (116899, 9669, 22, 'Słoweniec');
INSERT INTO `lang_definitions` VALUES (116900, 9676, 22, 'Palacz, obecny status nieznany');
INSERT INTO `lang_definitions` VALUES (116901, 9677, 22, 'Palenie tytoniu');
INSERT INTO `lang_definitions` VALUES (116902, 9679, 22, 'SMS');
INSERT INTO `lang_definitions` VALUES (116903, 9682, 22, 'SMS Potwierdzenie');
INSERT INTO `lang_definitions` VALUES (116904, 9683, 22, 'Bramka SMS');
INSERT INTO `lang_definitions` VALUES (116905, 9684, 22, 'Klucz API bramki SMS');
INSERT INTO `lang_definitions` VALUES (116906, 9685, 22, 'Klucz API bramki SMS');
INSERT INTO `lang_definitions` VALUES (116907, 9686, 22, 'Hasło bramki SMS');
INSERT INTO `lang_definitions` VALUES (116908, 9687, 22, 'Nazwa użytkownika bramki SMS');
INSERT INTO `lang_definitions` VALUES (116909, 9688, 22, 'SMS Wiadomości');
INSERT INTO `lang_definitions` VALUES (116910, 9689, 22, 'Powiadomienia SMS');
INSERT INTO `lang_definitions` VALUES (116911, 9690, 22, 'Godziny powiadomień SMS');
INSERT INTO `lang_definitions` VALUES (116912, 9692, 22, 'SMS OK');
INSERT INTO `lang_definitions` VALUES (116913, 9693, 22, 'SMS wysłany przed');
INSERT INTO `lang_definitions` VALUES (116914, 9694, 22, 'SMS wysłany przed');
INSERT INTO `lang_definitions` VALUES (116915, 9699, 22, 'Strefa SMS');
INSERT INTO `lang_definitions` VALUES (116916, 9701, 22, 'SMS/Email ustawienia alertów');
INSERT INTO `lang_definitions` VALUES (116917, 9702, 22, 'SMS/Email ustawienia alertów zaktualizowano');
INSERT INTO `lang_definitions` VALUES (116918, 9703, 22, 'Hasło SMPT do logowania');
INSERT INTO `lang_definitions` VALUES (116919, 9709, 22, 'SNOMED');
INSERT INTO `lang_definitions` VALUES (116920, 9710, 22, 'SNOMED (RF1) Clinical Term');
INSERT INTO `lang_definitions` VALUES (116921, 9711, 22, 'SNOMED (RF1) Diagnosis');
INSERT INTO `lang_definitions` VALUES (116922, 9712, 22, 'SNOMED (RF1) Procedure');
INSERT INTO `lang_definitions` VALUES (116923, 9714, 22, 'SNOMED (RF2) Diagnosis');
INSERT INTO `lang_definitions` VALUES (116924, 9716, 22, 'SNOMED Clinical Term');
INSERT INTO `lang_definitions` VALUES (116925, 9717, 22, 'SNOMED Database');
INSERT INTO `lang_definitions` VALUES (116926, 9718, 22, 'SNOMED Diagnosis');
INSERT INTO `lang_definitions` VALUES (116927, 9719, 22, 'SNOMED Procedure');
INSERT INTO `lang_definitions` VALUES (116928, 9720, 22, 'SNOMED-CT Code');
INSERT INTO `lang_definitions` VALUES (116929, 9721, 22, 'Chrapanie');
INSERT INTO `lang_definitions` VALUES (116930, 9732, 22, 'rozwiązanie');
INSERT INTO `lang_definitions` VALUES (116931, 9745, 22, 'Coś poszło źle');
INSERT INTO `lang_definitions` VALUES (116932, 9746, 22, 'Coś poszło źle.');
INSERT INTO `lang_definitions` VALUES (116933, 9747, 22, 'Coś poszło źle. Spróbuj jeszcze raz.');
INSERT INTO `lang_definitions` VALUES (116934, 9750, 22, 'Ból gardła');
INSERT INTO `lang_definitions` VALUES (116935, 9752, 22, 'Niestety, nie masz wystarczających uprawnień. Rejestracja jest ograniczona do kont administratora.');
INSERT INTO `lang_definitions` VALUES (116936, 9753, 22, 'Przykro nam ! Brak autoryzacji !');
INSERT INTO `lang_definitions` VALUES (116937, 9754, 22, 'Przykro nam, napotkaliśmy problem ładując Twój plik !');
INSERT INTO `lang_definitions` VALUES (116938, 9755, 22, 'Przykro nam, napotkaliśmy problem !');
INSERT INTO `lang_definitions` VALUES (116939, 9757, 22, 'Sortuj alfabetycznie');
INSERT INTO `lang_definitions` VALUES (116940, 9758, 22, 'Sortuj wg');
INSERT INTO `lang_definitions` VALUES (116941, 9759, 22, 'Sortuj Wg');
INSERT INTO `lang_definitions` VALUES (116942, 9760, 22, 'Sortuj wg Kategorii');
INSERT INTO `lang_definitions` VALUES (116943, 9761, 22, 'Sortuj wg Sumy Kontrolnej');
INSERT INTO `lang_definitions` VALUES (116944, 9762, 22, 'Sortuj wg Komentarzy');
INSERT INTO `lang_definitions` VALUES (116945, 9763, 22, ' Sortuj wg kryteriów użytkownika');
INSERT INTO `lang_definitions` VALUES (116946, 9764, 22, 'Sortuj wg daty');
INSERT INTO `lang_definitions` VALUES (116947, 9765, 22, 'Sortuj wg daty/czasu');
INSERT INTO `lang_definitions` VALUES (116948, 9766, 22, ' Sortuj wg Wydarzenia');
INSERT INTO `lang_definitions` VALUES (116949, 9767, 22, 'Sortuj wg Grupy');
INSERT INTO `lang_definitions` VALUES (116950, 9768, 22, 'Sortuj wg Nowej Sumy Kontrolnej');
INSERT INTO `lang_definitions` VALUES (116951, 9769, 22, 'Sortuj wg Starej Sumy Kontrolnej');
INSERT INTO `lang_definitions` VALUES (116952, 9770, 22, 'Sortuj wg ID Pacjenta');
INSERT INTO `lang_definitions` VALUES (116953, 9774, 22, 'Sortuj wg Użytkownika');
INSERT INTO `lang_definitions` VALUES (116954, 9779, 22, 'Źródło');
INSERT INTO `lang_definitions` VALUES (116955, 9781, 22, 'Plik źródłowy');
INSERT INTO `lang_definitions` VALUES (116956, 9782, 22, 'Ścieżka pliku źródłowego');
INSERT INTO `lang_definitions` VALUES (116957, 9789, 22, 'Źródło:');
INSERT INTO `lang_definitions` VALUES (116958, 9795, 22, 'Hiszpan ');
INSERT INTO `lang_definitions` VALUES (116959, 9796, 22, 'Hiszpan (Ameryka Łacińska)');
INSERT INTO `lang_definitions` VALUES (116960, 9797, 22, 'Hiszpan(Hiszpania)');
INSERT INTO `lang_definitions` VALUES (116961, 9798, 22, 'Kastylijczyk');
INSERT INTO `lang_definitions` VALUES (116962, 9799, 22, 'Znaki specjalne są niedozwolone');
INSERT INTO `lang_definitions` VALUES (116963, 9801, 22, 'Specjalista');
INSERT INTO `lang_definitions` VALUES (116964, 9831, 22, 'Splenectomia');
INSERT INTO `lang_definitions` VALUES (116965, 9832, 22, 'Narzeczona');
INSERT INTO `lang_definitions` VALUES (116966, 9834, 22, 'Plwocina');
INSERT INTO `lang_definitions` VALUES (116967, 9835, 22, 'Plwocina:');
INSERT INTO `lang_definitions` VALUES (116968, 9849, 22, 'PESEL');
INSERT INTO `lang_definitions` VALUES (116969, 9850, 22, 'Zarządzanie certyfikatem SSL');
INSERT INTO `lang_definitions` VALUES (116970, 9851, 22, 'PESEL');
INSERT INTO `lang_definitions` VALUES (116971, 9866, 22, 'Start');
INSERT INTO `lang_definitions` VALUES (116972, 9867, 22, 'Start (yyyy-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (116973, 9874, 22, 'Data początkowa');
INSERT INTO `lang_definitions` VALUES (116974, 9878, 22, 'Data pocz:');
INSERT INTO `lang_definitions` VALUES (116975, 9879, 22, 'Data pocz:');
INSERT INTO `lang_definitions` VALUES (116976, 9881, 22, 'Czas początkowy');
INSERT INTO `lang_definitions` VALUES (116977, 9889, 22, 'Stan');
INSERT INTO `lang_definitions` VALUES (116978, 9909, 22, 'Statystyki');
INSERT INTO `lang_definitions` VALUES (116979, 9910, 22, 'Statystyczne');
INSERT INTO `lang_definitions` VALUES (116980, 9911, 22, 'Status');
INSERT INTO `lang_definitions` VALUES (116981, 9916, 22, 'Bez zmian');
INSERT INTO `lang_definitions` VALUES (116982, 9920, 22, 'przybrane dziecko');
INSERT INTO `lang_definitions` VALUES (116983, 9921, 22, 'przybrany rodzic');
INSERT INTO `lang_definitions` VALUES (116984, 9922, 22, 'przyrodnie rodzeństwo');
INSERT INTO `lang_definitions` VALUES (116985, 9923, 22, 'pasierb/ica');
INSERT INTO `lang_definitions` VALUES (116986, 9931, 22, 'Stereoskopia');
INSERT INTO `lang_definitions` VALUES (116987, 9932, 22, 'Sztywność stawów');
INSERT INTO `lang_definitions` VALUES (116988, 9933, 22, 'Sztywność');
INSERT INTO `lang_definitions` VALUES (116989, 9936, 22, 'Bóle brzucha');
INSERT INTO `lang_definitions` VALUES (116990, 9937, 22, 'Stop');
INSERT INTO `lang_definitions` VALUES (116991, 9938, 22, 'STOP');
INSERT INTO `lang_definitions` VALUES (116992, 9943, 22, 'Zez');
INSERT INTO `lang_definitions` VALUES (116993, 9944, 22, 'Napięcie mięśni');
INSERT INTO `lang_definitions` VALUES (116994, 9946, 22, 'Strumień');
INSERT INTO `lang_definitions` VALUES (116995, 9947, 22, 'Ulica');
INSERT INTO `lang_definitions` VALUES (116996, 9948, 22, 'Nr domu');
INSERT INTO `lang_definitions` VALUES (116997, 9949, 22, 'Ulica i numer');
INSERT INTO `lang_definitions` VALUES (116998, 9950, 22, 'Siła');
INSERT INTO `lang_definitions` VALUES (116999, 9951, 22, 'SIła i kondycja');
INSERT INTO `lang_definitions` VALUES (117000, 9952, 22, 'Zapalenie gardla');
INSERT INTO `lang_definitions` VALUES (117001, 9953, 22, 'złamanie naprężeniowe');
INSERT INTO `lang_definitions` VALUES (117002, 9956, 22, 'Udar mózgu');
INSERT INTO `lang_definitions` VALUES (117003, 9957, 22, 'udar');
INSERT INTO `lang_definitions` VALUES (117004, 9958, 22, 'Silne hasło oznacza co najmniej 8 znaków i co najmniej trzy z nich to: cyfra, mała litera, wielka litera, znak specjalny.');
INSERT INTO `lang_definitions` VALUES (117005, 9965, 22, 'Pod-kategoria');
INSERT INTO `lang_definitions` VALUES (117006, 9966, 22, 'Suma częściowa');
INSERT INTO `lang_definitions` VALUES (117007, 9967, 22, 'Podkategoria');
INSERT INTO `lang_definitions` VALUES (117008, 9968, 22, 'podkategoria');
INSERT INTO `lang_definitions` VALUES (117009, 9972, 22, 'Podjęzykowy');
INSERT INTO `lang_definitions` VALUES (117010, 9973, 22, 'podjęzykowy');
INSERT INTO `lang_definitions` VALUES (117011, 9974, 22, 'Zatwierdź');
INSERT INTO `lang_definitions` VALUES (117012, 9975, 22, 'zatwierdź');
INSERT INTO `lang_definitions` VALUES (117013, 9979, 22, 'Zapisz zdarzenie');
INSERT INTO `lang_definitions` VALUES (117014, 9980, 22, 'Zapisz formularz');
INSERT INTO `lang_definitions` VALUES (117015, 9981, 22, 'Zatwierdź płatność do autoryzacji');
INSERT INTO `lang_definitions` VALUES (117016, 9982, 22, 'Zatwierdź wybraną treść');
INSERT INTO `lang_definitions` VALUES (117017, 9983, 22, 'Przesłane');
INSERT INTO `lang_definitions` VALUES (117018, 9984, 22, 'zatwierdzono');
INSERT INTO `lang_definitions` VALUES (117019, 9985, 22, 'Zatwierdzono przez');
INSERT INTO `lang_definitions` VALUES (117020, 10020, 22, 'zastępstwo');
INSERT INTO `lang_definitions` VALUES (117021, 10022, 22, 'Podpis');
INSERT INTO `lang_definitions` VALUES (117022, 10023, 22, 'podtyp');
INSERT INTO `lang_definitions` VALUES (117023, 10024, 22, 'Sukces');
INSERT INTO `lang_definitions` VALUES (117024, 10025, 22, 'sukces');
INSERT INTO `lang_definitions` VALUES (117025, 10030, 22, 'Pomyślnie dodana kategoria');
INSERT INTO `lang_definitions` VALUES (117026, 10031, 22, 'pomyślnie dodano do kategorii,');
INSERT INTO `lang_definitions` VALUES (117027, 10032, 22, 'Pomyślnie zakończono');
INSERT INTO `lang_definitions` VALUES (117028, 10033, 22, 'Pomyślnie usunięto');
INSERT INTO `lang_definitions` VALUES (117029, 10035, 22, 'Pomyślnie zainstalowano bazę danych.');
INSERT INTO `lang_definitions` VALUES (117030, 10037, 22, 'Pomyślnie zmodyfikowano');
INSERT INTO `lang_definitions` VALUES (117031, 10041, 22, 'Pomyślnie wysłano');
INSERT INTO `lang_definitions` VALUES (117032, 10042, 22, 'Pomyślnie zachowano.');
INSERT INTO `lang_definitions` VALUES (117033, 10044, 22, 'Pomyślnie zaktualizowano bazę danych');
INSERT INTO `lang_definitions` VALUES (117034, 10045, 22, 'Pomyślnie zaktualizowano następującą bazę danych');
INSERT INTO `lang_definitions` VALUES (117035, 10046, 22, 'pomyślmie');
INSERT INTO `lang_definitions` VALUES (117036, 10051, 22, 'Podsumowanie');
INSERT INTO `lang_definitions` VALUES (117037, 10058, 22, 'Nd');
INSERT INTO `lang_definitions` VALUES (117038, 10060, 22, 'Niedziela');
INSERT INTO `lang_definitions` VALUES (117039, 10080, 22, 'Dostawca');
INSERT INTO `lang_definitions` VALUES (117040, 10090, 22, 'Rodzaj powierzchni');
INSERT INTO `lang_definitions` VALUES (117041, 10091, 22, 'Chirurg');
INSERT INTO `lang_definitions` VALUES (117042, 10092, 22, 'Zabiegi');
INSERT INTO `lang_definitions` VALUES (117043, 10093, 22, 'Chirurgia');
INSERT INTO `lang_definitions` VALUES (117044, 10094, 22, 'Lista dolegliwości chirurgicznych');
INSERT INTO `lang_definitions` VALUES (117045, 10097, 22, 'Nd{{Niedziela}}');
INSERT INTO `lang_definitions` VALUES (117046, 10100, 22, 'suahili');
INSERT INTO `lang_definitions` VALUES (117047, 10103, 22, 'szwedzki');
INSERT INTO `lang_definitions` VALUES (117048, 10106, 22, 'Obrzęk stawów');
INSERT INTO `lang_definitions` VALUES (117049, 10107, 22, 'Powiększnie węzłów chłonnych');
INSERT INTO `lang_definitions` VALUES (117050, 10110, 22, 'Objawy');
INSERT INTO `lang_definitions` VALUES (117051, 10111, 22, 'Synchronizuj');
INSERT INTO `lang_definitions` VALUES (117052, 10116, 22, 'Omdlenie');
INSERT INTO `lang_definitions` VALUES (117053, 10124, 22, 'Skurczowy');
INSERT INTO `lang_definitions` VALUES (117054, 10125, 22, 'So{{Sobota}}');
INSERT INTO `lang_definitions` VALUES (117055, 10127, 22, 'Nd{{Niedziela}}');
INSERT INTO `lang_definitions` VALUES (117056, 10141, 22, 'tabl.');
INSERT INTO `lang_definitions` VALUES (117057, 10147, 22, 'taitański');
INSERT INTO `lang_definitions` VALUES (117058, 10185, 22, 'Zespół');
INSERT INTO `lang_definitions` VALUES (117059, 10187, 22, 'Tel');
INSERT INTO `lang_definitions` VALUES (117060, 10189, 22, 'Prefiks kraju');
INSERT INTO `lang_definitions` VALUES (117061, 10197, 22, 'Szablon');
INSERT INTO `lang_definitions` VALUES (117062, 10198, 22, 'Szablon Nazwa');
INSERT INTO `lang_definitions` VALUES (117063, 10223, 22, 'Tekst');
INSERT INTO `lang_definitions` VALUES (117064, 10225, 22, 'Pole tekstowe');
INSERT INTO `lang_definitions` VALUES (117065, 10235, 22, 'Pole tekstowe');
INSERT INTO `lang_definitions` VALUES (117066, 10236, 22, 'pole tekstowe');
INSERT INTO `lang_definitions` VALUES (117067, 10241, 22, 'tajlandzki');
INSERT INTO `lang_definitions` VALUES (117068, 10242, 22, 'Dziękuję');
INSERT INTO `lang_definitions` VALUES (117069, 10245, 22, 'Dziękuję za wybór');
INSERT INTO `lang_definitions` VALUES (117070, 10296, 22, 'Odpowiedni klucz prywatny');
INSERT INTO `lang_definitions` VALUES (117071, 10380, 22, 'Następujące wydarzenie kalendarza zostało dodane:');
INSERT INTO `lang_definitions` VALUES (117072, 10381, 22, 'Następujące wydarzenie kalendarza zostało zmienione:');
INSERT INTO `lang_definitions` VALUES (117073, 10382, 22, 'Następujące kategorie będą usunięte z twojej listy kategorii');
INSERT INTO `lang_definitions` VALUES (117074, 10389, 22, 'Następujące błędy wystąpiły');
INSERT INTO `lang_definitions` VALUES (117075, 10390, 22, 'Następujące pole ma nieważną wartość');
INSERT INTO `lang_definitions` VALUES (117076, 10391, 22, 'Następujące pola są puste');
INSERT INTO `lang_definitions` VALUES (117077, 10392, 22, 'Następujące pola są wymagane');
INSERT INTO `lang_definitions` VALUES (117078, 10482, 22, 'Hasło musie mieć min. 8 znaków i powinno');
INSERT INTO `lang_definitions` VALUES (117079, 10483, 22, 'Wprowadzone hasło jest nieważne');
INSERT INTO `lang_definitions` VALUES (117080, 10485, 22, 'Pacjent już został przypisany do grupy');
INSERT INTO `lang_definitions` VALUES (117081, 10487, 22, 'Przypomnienia pacjentów zostały wysłane');
INSERT INTO `lang_definitions` VALUES (117082, 10488, 22, 'Przypomnienia pacjentów zostały zaktualizowane');
INSERT INTO `lang_definitions` VALUES (117083, 10594, 22, 'Temat');
INSERT INTO `lang_definitions` VALUES (117084, 10601, 22, 'Inekcje lecznicze');
INSERT INTO `lang_definitions` VALUES (117085, 10602, 22, 'Terapia');
INSERT INTO `lang_definitions` VALUES (117086, 10603, 22, 'Grupa terapeutyczna');
INSERT INTO `lang_definitions` VALUES (117087, 10604, 22, 'Grupa Terapeutyczna');
INSERT INTO `lang_definitions` VALUES (117088, 10605, 22, 'Spotkanie grupy terapeutycznej');
INSERT INTO `lang_definitions` VALUES (117089, 10607, 22, 'Są');
INSERT INTO `lang_definitions` VALUES (117090, 10645, 22, 'Już istnieje otwarty wniosek o dostarczenie dokumentacji medycznej.');
INSERT INTO `lang_definitions` VALUES (117091, 10691, 22, 'Rzeczy, które klinicyści mogą czytać i modyfikować');
INSERT INTO `lang_definitions` VALUES (117092, 10692, 22, 'Rzeczy, które klinicyści mogą czytać i częściowo modyfikować');
INSERT INTO `lang_definitions` VALUES (117093, 10739, 22, 'Ten fax już został wysłany.');
INSERT INTO `lang_definitions` VALUES (117094, 10870, 22, 'pulmonolog');
INSERT INTO `lang_definitions` VALUES (117095, 10871, 22, 'Rdzeń kręgowy');
INSERT INTO `lang_definitions` VALUES (117096, 10874, 22, 'Trzy miesiące temu');
INSERT INTO `lang_definitions` VALUES (117097, 10875, 22, 'Za trzy miesiące');
INSERT INTO `lang_definitions` VALUES (117098, 10877, 22, 'Dreszcze');
INSERT INTO `lang_definitions` VALUES (117099, 10878, 22, 'Gardło');
INSERT INTO `lang_definitions` VALUES (117100, 10879, 22, 'Rak gardła');
INSERT INTO `lang_definitions` VALUES (117101, 10881, 22, 'Zakrzep/Udar');
INSERT INTO `lang_definitions` VALUES (117102, 10882, 22, 'Czw');
INSERT INTO `lang_definitions` VALUES (117103, 10884, 22, 'Czwartek');
INSERT INTO `lang_definitions` VALUES (117104, 10885, 22, 'Czwartek');
INSERT INTO `lang_definitions` VALUES (117105, 10887, 22, 'Eutyreoza');
INSERT INTO `lang_definitions` VALUES (117106, 10888, 22, 'Choroby tarczycy');
INSERT INTO `lang_definitions` VALUES (117107, 10889, 22, 'Cz{{Czwartek}}');
INSERT INTO `lang_definitions` VALUES (117108, 10890, 22, 'TIA');
INSERT INTO `lang_definitions` VALUES (117109, 10902, 22, 'Czas');
INSERT INTO `lang_definitions` VALUES (117110, 10920, 22, 'Nazwa');
INSERT INTO `lang_definitions` VALUES (117111, 10928, 22, 'Do');
INSERT INTO `lang_definitions` VALUES (117112, 10929, 22, 'do');
INSERT INTO `lang_definitions` VALUES (117113, 10930, 22, 'DO');
INSERT INTO `lang_definitions` VALUES (117114, 10944, 22, 'Widok dla rozliczeń');
INSERT INTO `lang_definitions` VALUES (117115, 10985, 22, 'Aby połączyć to wizytę/konsultacje ze zgłoszoną dolegliwością, kliknij żądaną dolegliwość powyżej, aby podświetlić, a następnie kliknij przycisk [Zapisz]. Przytrzymaj klawisz [Ctrl], aby wybrać wiele problemów.');
INSERT INTO `lang_definitions` VALUES (117116, 10987, 22, 'zalogować ponownie');
INSERT INTO `lang_definitions` VALUES (117117, 11025, 22, 'Tytoń');
INSERT INTO `lang_definitions` VALUES (117118, 11032, 22, 'Dzisiaj');
INSERT INTO `lang_definitions` VALUES (117119, 11033, 22, 'DZISIAJ');
INSERT INTO `lang_definitions` VALUES (117120, 11034, 22, 'dzisiaj');
INSERT INTO `lang_definitions` VALUES (117121, 11047, 22, 'Wycięcie migdałków');
INSERT INTO `lang_definitions` VALUES (117122, 11048, 22, 'Wycięcie migdałków');
INSERT INTO `lang_definitions` VALUES (117123, 11050, 22, 'Góra');
INSERT INTO `lang_definitions` VALUES (117124, 11052, 22, 'Górny Margines (mm)');
INSERT INTO `lang_definitions` VALUES (117125, 11143, 22, 'Transakcje');
INSERT INTO `lang_definitions` VALUES (117126, 11144, 22, 'transakcje');
INSERT INTO `lang_definitions` VALUES (117127, 11179, 22, 'Uraz');
INSERT INTO `lang_definitions` VALUES (117128, 11180, 22, 'Leczenie');
INSERT INTO `lang_definitions` VALUES (117129, 11182, 22, 'Leczenie Cele');
INSERT INTO `lang_definitions` VALUES (117130, 11183, 22, 'Leczenie Plan');
INSERT INTO `lang_definitions` VALUES (117131, 11184, 22, 'Leczenie Planowanie');
INSERT INTO `lang_definitions` VALUES (117132, 11185, 22, 'Leczenie Otrzymane');
INSERT INTO `lang_definitions` VALUES (117133, 11186, 22, 'Leczenie:');
INSERT INTO `lang_definitions` VALUES (117134, 11187, 22, 'Leczenie:');
INSERT INTO `lang_definitions` VALUES (117135, 11188, 22, 'Drzewo');
INSERT INTO `lang_definitions` VALUES (117136, 11208, 22, 'Gruźlica');
INSERT INTO `lang_definitions` VALUES (117137, 11209, 22, 'Wt');
INSERT INTO `lang_definitions` VALUES (117138, 11211, 22, 'Wtorek');
INSERT INTO `lang_definitions` VALUES (117139, 11212, 22, 'Guz');
INSERT INTO `lang_definitions` VALUES (117140, 11213, 22, 'turecki');
INSERT INTO `lang_definitions` VALUES (117141, 11214, 22, 'turkmeński');
INSERT INTO `lang_definitions` VALUES (117142, 11222, 22, 'dwa razy dziennie');
INSERT INTO `lang_definitions` VALUES (117143, 11227, 22, 'Typ');
INSERT INTO `lang_definitions` VALUES (117144, 11272, 22, 'Owrzodzenia');
INSERT INTO `lang_definitions` VALUES (117145, 11292, 22, 'Nieprzypisane');
INSERT INTO `lang_definitions` VALUES (117146, 11320, 22, 'Jednostka');
INSERT INTO `lang_definitions` VALUES (117147, 11321, 22, 'Jednostki');
INSERT INTO `lang_definitions` VALUES (117148, 11322, 22, 'jednostki');
INSERT INTO `lang_definitions` VALUES (117149, 11326, 22, 'Jednostki nie zdefiniowane');
INSERT INTO `lang_definitions` VALUES (117150, 11328, 22, 'Nieznany/e');
INSERT INTO `lang_definitions` VALUES (117151, 11330, 22, 'Nieznany błąd');
INSERT INTO `lang_definitions` VALUES (117152, 11356, 22, 'do');
INSERT INTO `lang_definitions` VALUES (117153, 11440, 22, 'Mikroalbuminuria');
INSERT INTO `lang_definitions` VALUES (117154, 11507, 22, 'Pola użytkownika');
INSERT INTO `lang_definitions` VALUES (117155, 11526, 22, 'Imie Użytkownika');
INSERT INTO `lang_definitions` VALUES (117156, 11528, 22, 'ID Użytkownika');
INSERT INTO `lang_definitions` VALUES (117157, 11532, 22, 'Instrukcja Użytkownika');
INSERT INTO `lang_definitions` VALUES (117158, 11553, 22, 'Użytkownik');
INSERT INTO `lang_definitions` VALUES (117159, 11559, 22, 'Użytkownik:');
INSERT INTO `lang_definitions` VALUES (117160, 11560, 22, 'Użytkownicy');
INSERT INTO `lang_definitions` VALUES (117161, 11584, 22, 'ujgurski');
INSERT INTO `lang_definitions` VALUES (117162, 11585, 22, 'uzbecki');
INSERT INTO `lang_definitions` VALUES (117163, 11588, 22, 'URLOP');
INSERT INTO `lang_definitions` VALUES (117164, 11589, 22, 'Urlop');
INSERT INTO `lang_definitions` VALUES (117165, 11590, 22, 'Szczepionka');
INSERT INTO `lang_definitions` VALUES (117166, 11609, 22, 'Wartość');
INSERT INTO `lang_definitions` VALUES (117167, 11687, 22, 'Pokaż logi');
INSERT INTO `lang_definitions` VALUES (117168, 11695, 22, 'Pokaż pacjenta');
INSERT INTO `lang_definitions` VALUES (117169, 11714, 22, 'Pokaż/Wydrukuj');
INSERT INTO `lang_definitions` VALUES (117170, 11724, 22, 'Wizyta');
INSERT INTO `lang_definitions` VALUES (117171, 11725, 22, 'Cechy wizyty');
INSERT INTO `lang_definitions` VALUES (117172, 11726, 22, 'Kategorie wizyty');
INSERT INTO `lang_definitions` VALUES (117173, 11727, 22, 'Kategoria wizyty:');
INSERT INTO `lang_definitions` VALUES (117174, 11728, 22, 'Kategoria wizyty:');
INSERT INTO `lang_definitions` VALUES (117175, 11729, 22, 'Data wizyty');
INSERT INTO `lang_definitions` VALUES (117176, 11730, 22, 'Data wizyty');
INSERT INTO `lang_definitions` VALUES (117177, 11732, 22, 'Cechy formularza wizyty');
INSERT INTO `lang_definitions` VALUES (117178, 11734, 22, 'Formularze wizyty');
INSERT INTO `lang_definitions` VALUES (117179, 11736, 22, 'Historia wizyt');
INSERT INTO `lang_definitions` VALUES (117180, 11737, 22, 'Strona gł wizyt pacjenta');
INSERT INTO `lang_definitions` VALUES (117181, 11738, 22, 'Strona gł świadczącego wizyty');
INSERT INTO `lang_definitions` VALUES (117182, 11739, 22, 'Przyczyna wizyty');
INSERT INTO `lang_definitions` VALUES (117183, 11740, 22, 'Stan wizyty');
INSERT INTO `lang_definitions` VALUES (117184, 11741, 22, 'Podsumowanie wizyty');
INSERT INTO `lang_definitions` VALUES (117185, 11743, 22, 'Typ wizyty');
INSERT INTO `lang_definitions` VALUES (117186, 11744, 22, 'Przyjęci pacjenci');
INSERT INTO `lang_definitions` VALUES (117187, 11745, 22, 'Wizyty');
INSERT INTO `lang_definitions` VALUES (117188, 11747, 22, 'Ostrość widzenia');
INSERT INTO `lang_definitions` VALUES (117189, 11748, 22, 'Ostrość widzenia');
INSERT INTO `lang_definitions` VALUES (117190, 11752, 22, 'Narządy');
INSERT INTO `lang_definitions` VALUES (117191, 11756, 22, 'Głos');
INSERT INTO `lang_definitions` VALUES (117192, 11757, 22, 'Wiadomości głosowe');
INSERT INTO `lang_definitions` VALUES (117193, 11763, 22, 'Wymioty');
INSERT INTO `lang_definitions` VALUES (117194, 11772, 22, 'Oczekujące');
INSERT INTO `lang_definitions` VALUES (117195, 11778, 22, 'Magazyn');
INSERT INTO `lang_definitions` VALUES (117196, 11782, 22, 'Magazyny');
INSERT INTO `lang_definitions` VALUES (117197, 11783, 22, 'Ciepło');
INSERT INTO `lang_definitions` VALUES (117198, 11786, 22, 'Ostrzeżenie');
INSERT INTO `lang_definitions` VALUES (117199, 11795, 22, 'Uwaga! Błąd nawigacji. Proszę odśwież tę stronę.');
INSERT INTO `lang_definitions` VALUES (117200, 11796, 22, 'Uwaga ! ID pacjenta nie jest unikalny !');
INSERT INTO `lang_definitions` VALUES (117201, 11799, 22, 'OSTRZEŻENIE: To spowoduje nadpisanie danych konfiguracyjnych danymi z przesłanego pliku!');
INSERT INTO `lang_definitions` VALUES (117202, 11800, 22, 'OSTRZEŻENIA');
INSERT INTO `lang_definitions` VALUES (117203, 11801, 22, 'Ostrzeżenia');
INSERT INTO `lang_definitions` VALUES (117204, 11802, 22, 'OSTRZEŻENIA i Alerty/Przypomnienia');
INSERT INTO `lang_definitions` VALUES (117205, 11803, 22, 'został już przesłany');
INSERT INTO `lang_definitions` VALUES (117206, 11804, 22, 'został nie znaleziony');
INSERT INTO `lang_definitions` VALUES (117207, 11821, 22, 'Osłabienie');
INSERT INTO `lang_definitions` VALUES (117208, 11832, 22, 'Śro');
INSERT INTO `lang_definitions` VALUES (117209, 11833, 22, 'Środa');
INSERT INTO `lang_definitions` VALUES (117210, 11834, 22, 'Tydzień');
INSERT INTO `lang_definitions` VALUES (117211, 11835, 22, 'tydzień');
INSERT INTO `lang_definitions` VALUES (117212, 11836, 22, 'Widok tygodniowy');
INSERT INTO `lang_definitions` VALUES (117213, 11837, 22, 'Tygodni');
INSERT INTO `lang_definitions` VALUES (117214, 11839, 22, 'tygodnie');
INSERT INTO `lang_definitions` VALUES (117215, 11840, 22, 'Tygodnie');
INSERT INTO `lang_definitions` VALUES (117216, 11841, 22, 'Waga');
INSERT INTO `lang_definitions` VALUES (117217, 11844, 22, 'Zmiana masy ciała');
INSERT INTO `lang_definitions` VALUES (117218, 11845, 22, 'Utrata masy ciała');
INSERT INTO `lang_definitions` VALUES (117219, 11847, 22, 'Witamy');
INSERT INTO `lang_definitions` VALUES (117220, 11849, 22, 'Walijczyk');
INSERT INTO `lang_definitions` VALUES (117221, 11865, 22, 'Świszczący oddech');
INSERT INTO `lang_definitions` VALUES (117222, 11866, 22, 'Świszczący oddech');
INSERT INTO `lang_definitions` VALUES (117223, 11891, 22, 'Biały');
INSERT INTO `lang_definitions` VALUES (117224, 11894, 22, 'Osoba');
INSERT INTO `lang_definitions` VALUES (117225, 11895, 22, 'Kto odpowiedział?');
INSERT INTO `lang_definitions` VALUES (117226, 11897, 22, 'Wdowiec/a');
INSERT INTO `lang_definitions` VALUES (117227, 11898, 22, 'Szerokość');
INSERT INTO `lang_definitions` VALUES (117228, 11900, 22, 'Szerokość w pixelach lewej ramki nawigacji');
INSERT INTO `lang_definitions` VALUES (117229, 11920, 22, 'Świadek');
INSERT INTO `lang_definitions` VALUES (117230, 11921, 22, 'tydz.');
INSERT INTO `lang_definitions` VALUES (117231, 11924, 22, 'Kobieta');
INSERT INTO `lang_definitions` VALUES (117232, 11925, 22, 'Tylko Kobiety');
INSERT INTO `lang_definitions` VALUES (117233, 11926, 22, 'WordPress Portal');
INSERT INTO `lang_definitions` VALUES (117234, 11927, 22, 'Praca');
INSERT INTO `lang_definitions` VALUES (117235, 11929, 22, 'Tel do zakł. pracy');
INSERT INTO `lang_definitions` VALUES (117236, 11930, 22, 'Tel do zakł. pracy');
INSERT INTO `lang_definitions` VALUES (117237, 11934, 22, 'dzień roboczy');
INSERT INTO `lang_definitions` VALUES (117238, 11941, 22, 'Pogorszenie');
INSERT INTO `lang_definitions` VALUES (117239, 11959, 22, 'Z');
INSERT INTO `lang_definitions` VALUES (117240, 11966, 22, 'x Anulowano');
INSERT INTO `lang_definitions` VALUES (117241, 11967, 22, 'x Anulowano');
INSERT INTO `lang_definitions` VALUES (117242, 11969, 22, 'Promienie X');
INSERT INTO `lang_definitions` VALUES (117243, 11988, 22, 'rok');
INSERT INTO `lang_definitions` VALUES (117244, 11989, 22, 'Rok');
INSERT INTO `lang_definitions` VALUES (117245, 11990, 22, 'Widok lat');
INSERT INTO `lang_definitions` VALUES (117246, 11992, 22, 'Lat');
INSERT INTO `lang_definitions` VALUES (117247, 11994, 22, 'Lat lub miesięcy');
INSERT INTO `lang_definitions` VALUES (117248, 11996, 22, 'Tak');
INSERT INTO `lang_definitions` VALUES (117249, 11997, 22, 'TAK');
INSERT INTO `lang_definitions` VALUES (117250, 11998, 22, 'tak');
INSERT INTO `lang_definitions` VALUES (117251, 11999, 22, 'TAK!');
INSERT INTO `lang_definitions` VALUES (117252, 12002, 22, 'Tak/Nie');
INSERT INTO `lang_definitions` VALUES (117253, 12003, 22, 'Tak:');
INSERT INTO `lang_definitions` VALUES (117254, 12004, 22, 'Jidisz');
INSERT INTO `lang_definitions` VALUES (117255, 12051, 22, 'Nie możesz dodać pustej wartości do kategorii !');
INSERT INTO `lang_definitions` VALUES (117256, 12052, 22, 'Nie możesz dodać pustej wartości do podkategorii !');
INSERT INTO `lang_definitions` VALUES (117257, 12057, 22, 'Nie wybrałeś żadnej akcji.');
INSERT INTO `lang_definitions` VALUES (117258, 12063, 22, 'Wylogowanie skuteczne');
INSERT INTO `lang_definitions` VALUES (117259, 12070, 22, 'Masz niezapisane zmiany');
INSERT INTO `lang_definitions` VALUES (117260, 12071, 22, 'Masz niezapisane zmiany. porzucić je?');
INSERT INTO `lang_definitions` VALUES (117261, 12074, 22, 'Możesz załadować tylko pliki tekstowe - .txt');
INSERT INTO `lang_definitions` VALUES (117262, 12085, 22, 'Musisz wprowadzić hasło, żeby odszyfrować dokument');
INSERT INTO `lang_definitions` VALUES (117263, 12087, 22, 'Musisz wprowadzić Twoje własne hasło, żeby zmienić hasła użytkownika. Pozostaw puste pola, by nie zmieniać hasła.');
INSERT INTO `lang_definitions` VALUES (117264, 12090, 22, 'Musisz, najpierw,wybrać lub utworzyć wizytę.');
INSERT INTO `lang_definitions` VALUES (117265, 12091, 22, 'Musisz, najpierw,wybrać lub utworzyć wizytę.');
INSERT INTO `lang_definitions` VALUES (117266, 12092, 22, 'Musisz wybrać kategorię wizyty');
INSERT INTO `lang_definitions` VALUES (117267, 12093, 22, 'Musisz wybrać kategorię wizyty');
INSERT INTO `lang_definitions` VALUES (117268, 12122, 22, 'Twoja data końcowa jest nieprawidowa');
INSERT INTO `lang_definitions` VALUES (117269, 12123, 22, 'Twoje zdarzenie zostało usunięte.');
INSERT INTO `lang_definitions` VALUES (117270, 12124, 22, 'Twoje zdarzenie zostało zmodyfikowane.');
INSERT INTO `lang_definitions` VALUES (117271, 12127, 22, 'Twój plik jest zbyt duży');
INSERT INTO `lang_definitions` VALUES (117272, 12128, 22, 'Twój pierwszy dzień tygodnia.');
INSERT INTO `lang_definitions` VALUES (117273, 12130, 22, 'Twoja instalacja OpenEMR została zarejestrowana.');
INSERT INTO `lang_definitions` VALUES (117274, 12139, 22, 'Twoje hasło');
INSERT INTO `lang_definitions` VALUES (117275, 12140, 22, 'Twoje hasło wygasło. Proszę zmienić hasło.');
INSERT INTO `lang_definitions` VALUES (117276, 12141, 22, 'Twoje hasło wygasa');
INSERT INTO `lang_definitions` VALUES (117277, 12143, 22, 'Twoje hasło wygasa dzisiaj. Proszę zmienić hasło.');
INSERT INTO `lang_definitions` VALUES (117278, 12144, 22, 'Twoje hasło jest Twoim podpisem');
INSERT INTO `lang_definitions` VALUES (117279, 12188, 22, 'Kod pocztowy');
INSERT INTO `lang_definitions` VALUES (117280, 12189, 22, 'Kod pocztowy');
INSERT INTO `lang_definitions` VALUES (117281, 12191, 22, 'Kod pocztowy/Kraj');
INSERT INTO `lang_definitions` VALUES (117282, 12199, 22, 'Naprawdę chcesz usunąć');
INSERT INTO `lang_definitions` VALUES (117283, 12200, 22, 'Lek');
INSERT INTO `lang_definitions` VALUES (117284, 12201, 22, 'wiadomości email nie zostały wysłane');
INSERT INTO `lang_definitions` VALUES (117285, 12205, 22, 'Historia');
INSERT INTO `lang_definitions` VALUES (117286, 12211, 22, 'min');
INSERT INTO `lang_definitions` VALUES (117287, 12212, 22, 'nie znaleziono!');
INSERT INTO `lang_definitions` VALUES (117288, 12215, 22, 'do');
INSERT INTO `lang_definitions` VALUES (117289, 12219, 22, '! Wyszedł bez wizyty');
INSERT INTO `lang_definitions` VALUES (117290, 12222, 22, '# Problem z ubezp./płatnością');
INSERT INTO `lang_definitions` VALUES (117291, 12225, 22, '$ Rozliczono');
INSERT INTO `lang_definitions` VALUES (117292, 12228, 22, '% Anulowano < 24h');
INSERT INTO `lang_definitions` VALUES (117293, 12229, 22, '% Canceled < 24h');
INSERT INTO `lang_definitions` VALUES (117294, 12242, 22, '* Przypomniano');
INSERT INTO `lang_definitions` VALUES (117295, 12245, 22, '[+] Założono kartę');
INSERT INTO `lang_definitions` VALUES (117296, 12249, 22, '- Brak');
INSERT INTO `lang_definitions` VALUES (117297, 12251, 22, '-- Wszystko --');
INSERT INTO `lang_definitions` VALUES (117298, 12266, 22, '11-14');
INSERT INTO `lang_definitions` VALUES (117299, 12293, 22, 'co drugi');
INSERT INTO `lang_definitions` VALUES (117300, 12304, 22, 'co trzeci');
INSERT INTO `lang_definitions` VALUES (117301, 12323, 22, 'co czwarty');
INSERT INTO `lang_definitions` VALUES (117302, 12331, 22, 'co piąty');
INSERT INTO `lang_definitions` VALUES (117303, 12337, 22, 'co szósty');
INSERT INTO `lang_definitions` VALUES (117304, 12353, 22, '< W pokoju badań');
INSERT INTO `lang_definitions` VALUES (117305, 12357, 22, '> Wypisany');
INSERT INTO `lang_definitions` VALUES (117306, 12359, 22, '?');
INSERT INTO `lang_definitions` VALUES (117307, 12361, 22, '? Nie obecny');
INSERT INTO `lang_definitions` VALUES (117308, 12362, 22, '@ Pojawił się');
INSERT INTO `lang_definitions` VALUES (117309, 12364, 22, '[Zmień widok]');
INSERT INTO `lang_definitions` VALUES (117310, 12365, 22, '[Data ostatniej wizyty]');
INSERT INTO `lang_definitions` VALUES (117311, 12366, 22, '[Dni od ostatniej wizyty]');
INSERT INTO `lang_definitions` VALUES (117312, 12369, 22, '[nie zalecane]');
INSERT INTO `lang_definitions` VALUES (117313, 12370, 22, '[Ilość wizyt]');
INSERT INTO `lang_definitions` VALUES (117314, 12371, 22, '[Raporty]');
INSERT INTO `lang_definitions` VALUES (117315, 12372, 22, '[Wybierz wszystkie]');
INSERT INTO `lang_definitions` VALUES (117316, 12375, 22, '[Zobacz Logi]');
INSERT INTO `lang_definitions` VALUES (117317, 12376, 22, '[Raport do wydrukowania]');
INSERT INTO `lang_definitions` VALUES (117318, 12381, 22, '~ Spóźniony');
INSERT INTO `lang_definitions` VALUES (117319, 1, 23, 'Un');
INSERT INTO `lang_definitions` VALUES (117320, 2, 23, 'Numero assegno o identificativo pagamento');
INSERT INTO `lang_definitions` VALUES (117321, 4, 23, 'Un certificato del Client per l\'utente admin');
INSERT INTO `lang_definitions` VALUES (117322, 6, 23, 'Un documento clinico è allegato');
INSERT INTO `lang_definitions` VALUES (117323, 7, 23, 'Un documento clinico è allegato.');
INSERT INTO `lang_definitions` VALUES (117324, 13, 23, 'E\' richiesto un distributore');
INSERT INTO `lang_definitions` VALUES (117325, 17, 23, 'Si dovrebbe aggiungere un modulo GCAC a questa visita.');
INSERT INTO `lang_definitions` VALUES (117326, 20, 23, 'Si richiede il numero del lotto');
INSERT INTO `lang_definitions` VALUES (117327, 21, 23, 'Si richiede il numero del lotto!');
INSERT INTO `lang_definitions` VALUES (117328, 22, 23, 'Lettera minuscola');
INSERT INTO `lang_definitions` VALUES (117329, 28, 23, 'Un numero');
INSERT INTO `lang_definitions` VALUES (117330, 30, 23, 'Esiste già un paziente con lo stesso ID');
INSERT INTO `lang_definitions` VALUES (117331, 31, 23, 'Esiste già un paziente con lo stesso nome');
INSERT INTO `lang_definitions` VALUES (117332, 32, 23, 'Esiste già un paziente con lo stesso CF');
INSERT INTO `lang_definitions` VALUES (117333, 36, 23, 'Un numero positivo mostrerà che molti appuntamenti passati su un widget nella schermata del sommario paziente(un numero negativo mostrerà gli appuntamenti passati nella videata sommario paziente).');
INSERT INTO `lang_definitions` VALUES (117334, 37, 23, 'Un numero positivo mostrerà che molti appuntamenti passati su un widget nella schermata del sommario paziente.');
INSERT INTO `lang_definitions` VALUES (117335, 43, 23, 'Una fonte di riferimento può essere specificata per ogni visita');
INSERT INTO `lang_definitions` VALUES (117336, 44, 23, 'Si richiede il relativo codice IPFF');
INSERT INTO `lang_definitions` VALUES (117337, 49, 23, 'Carattere speciale');
INSERT INTO `lang_definitions` VALUES (117338, 53, 23, 'Valore unico di identificazione per questo campo, non visibile all\'utente');
INSERT INTO `lang_definitions` VALUES (117339, 56, 23, 'Oggi esiste già una visita per questo paziente. Clicca su Cancella per aprire, oppure OK per procedere alla creazione di una nuova visita');
INSERT INTO `lang_definitions` VALUES (117340, 57, 23, 'ante cibum');
INSERT INTO `lang_definitions` VALUES (117341, 58, 23, 'a.m.');
INSERT INTO `lang_definitions` VALUES (117342, 60, 23, 'A/F Giusto livello:');
INSERT INTO `lang_definitions` VALUES (117343, 62, 23, 'AB');
INSERT INTO `lang_definitions` VALUES (117344, 63, 23, 'Abbreviazione');
INSERT INTO `lang_definitions` VALUES (117345, 64, 23, 'Ascesso');
INSERT INTO `lang_definitions` VALUES (117346, 65, 23, 'Addominale');
INSERT INTO `lang_definitions` VALUES (117347, 66, 23, 'Capace di portare pesi per quattro passi');
INSERT INTO `lang_definitions` VALUES (117348, 67, 23, 'Anorm');
INSERT INTO `lang_definitions` VALUES (117349, 68, 23, 'ANORM1');
INSERT INTO `lang_definitions` VALUES (117350, 70, 23, 'Anormale');
INSERT INTO `lang_definitions` VALUES (117351, 71, 23, 'Esame del sangue anormale');
INSERT INTO `lang_definitions` VALUES (117352, 72, 23, 'Ipertricosi anomala');
INSERT INTO `lang_definitions` VALUES (117353, 73, 23, 'Mammogramma anormale');
INSERT INTO `lang_definitions` VALUES (117354, 75, 23, 'Aborto');
INSERT INTO `lang_definitions` VALUES (117355, 76, 23, 'Problemi di aborto');
INSERT INTO `lang_definitions` VALUES (117356, 77, 23, 'Metodo abortivo');
INSERT INTO `lang_definitions` VALUES (117357, 78, 23, 'Categorie relate ad aborto');
INSERT INTO `lang_definitions` VALUES (117358, 79, 23, 'Aborti');
INSERT INTO `lang_definitions` VALUES (117359, 82, 23, 'Informazioni calendario');
INSERT INTO `lang_definitions` VALUES (117360, 85, 23, 'Assenze per diagnosi');
INSERT INTO `lang_definitions` VALUES (117361, 87, 23, 'Accetta compito');
INSERT INTO `lang_definitions` VALUES (117362, 89, 23, 'Accetta pagamento per');
INSERT INTO `lang_definitions` VALUES (117363, 90, 23, 'Accetta pagamento per');
INSERT INTO `lang_definitions` VALUES (117364, 91, 23, 'Accetta compiti');
INSERT INTO `lang_definitions` VALUES (117365, 93, 23, 'Controllo d\'accesso');
INSERT INTO `lang_definitions` VALUES (117366, 94, 23, 'Amministrazione elenchi dei controlli d\'accesso');
INSERT INTO `lang_definitions` VALUES (117367, 98, 23, 'Accesso dati');
INSERT INTO `lang_definitions` VALUES (117368, 102, 23, 'Accesso non consentito');
INSERT INTO `lang_definitions` VALUES (117369, 103, 23, 'Accesso non autorizzato');
INSERT INTO `lang_definitions` VALUES (117370, 105, 23, 'Accedi al Portale del Paziente');
INSERT INTO `lang_definitions` VALUES (117371, 106, 23, 'Infortunio');
INSERT INTO `lang_definitions` VALUES (117372, 113, 23, 'Nome dell\'account');
INSERT INTO `lang_definitions` VALUES (117373, 117, 23, 'Definizione dell\'account');
INSERT INTO `lang_definitions` VALUES (117374, 122, 23, 'Dolori');
INSERT INTO `lang_definitions` VALUES (117375, 124, 23, 'Richiesta di conferma (ISA14');
INSERT INTO `lang_definitions` VALUES (117376, 125, 23, 'Conferme, licenze e certificazioni');
INSERT INTO `lang_definitions` VALUES (117377, 126, 23, 'ACL');
INSERT INTO `lang_definitions` VALUES (117378, 127, 23, 'Amministrazione ACL');
INSERT INTO `lang_definitions` VALUES (117379, 129, 23, 'Amministrazione ACL non autorizzata');
INSERT INTO `lang_definitions` VALUES (117380, 132, 23, 'ACL aggiornato con successo');
INSERT INTO `lang_definitions` VALUES (117381, 133, 23, 'Acne');
INSERT INTO `lang_definitions` VALUES (117382, 136, 23, 'Atto');
INSERT INTO `lang_definitions` VALUES (117383, 137, 23, 'Data Atto');
INSERT INTO `lang_definitions` VALUES (117384, 138, 23, 'Azione');
INSERT INTO `lang_definitions` VALUES (117385, 142, 23, 'Azioni');
INSERT INTO `lang_definitions` VALUES (117386, 144, 23, 'Attiva resoconti CCR/CCD');
INSERT INTO `lang_definitions` VALUES (117387, 148, 23, 'Attivo');
INSERT INTO `lang_definitions` VALUES (117388, 150, 23, 'Allarme attivo');
INSERT INTO `lang_definitions` VALUES (117389, 152, 23, 'Regole di attivazione allarme');
INSERT INTO `lang_definitions` VALUES (117390, 153, 23, 'Promemoria/Allarme attivi');
INSERT INTO `lang_definitions` VALUES (117391, 158, 23, 'Incontro attivo');
INSERT INTO `lang_definitions` VALUES (117392, 160, 23, 'Elenchi attivi');
INSERT INTO `lang_definitions` VALUES (117393, 162, 23, 'Paziente attivo');
INSERT INTO `lang_definitions` VALUES (117394, 163, 23, 'Piani attivi');
INSERT INTO `lang_definitions` VALUES (117395, 173, 23, 'Attività');
INSERT INTO `lang_definitions` VALUES (117396, 174, 23, 'Tipo di attività');
INSERT INTO `lang_definitions` VALUES (117397, 185, 23, 'Intossicazione acuta / Ritiro');
INSERT INTO `lang_definitions` VALUES (117398, 186, 23, 'Manifestazione acuta o condizione cronica');
INSERT INTO `lang_definitions` VALUES (117399, 187, 23, 'Acuto su cronico');
INSERT INTO `lang_definitions` VALUES (117400, 189, 23, 'Aggiungi');
INSERT INTO `lang_definitions` VALUES (117401, 190, 23, 'aggiungi');
INSERT INTO `lang_definitions` VALUES (117402, 191, 23, 'AGGIUNGI');
INSERT INTO `lang_definitions` VALUES (117403, 192, 23, 'Aggiungi un\'Azienda');
INSERT INTO `lang_definitions` VALUES (117404, 197, 23, 'Aggiungi una Farmacia');
INSERT INTO `lang_definitions` VALUES (117405, 200, 23, 'aggiungi un evento per');
INSERT INTO `lang_definitions` VALUES (117406, 202, 23, 'Aggiungi come nuova nota');
INSERT INTO `lang_definitions` VALUES (117407, 203, 23, 'Aggiungi come Nuovo');
INSERT INTO `lang_definitions` VALUES (117408, 206, 23, 'Aggiungi Pulsanti');
INSERT INTO `lang_definitions` VALUES (117409, 207, 23, 'Aggiungi Pulsanti per caratteri speciali, testi che devono essere mostrati in cima all\'editor per includerli nel testo con un cilck');
INSERT INTO `lang_definitions` VALUES (117410, 208, 23, 'Aggiungi come categoria');
INSERT INTO `lang_definitions` VALUES (117411, 209, 23, 'Aggiungi costante');
INSERT INTO `lang_definitions` VALUES (117412, 210, 23, 'Aggiungi Contesto');
INSERT INTO `lang_definitions` VALUES (117413, 211, 23, 'Aggiungi copagamento');
INSERT INTO `lang_definitions` VALUES (117414, 212, 23, 'Aggiungi Criteri');
INSERT INTO `lang_definitions` VALUES (117415, 213, 23, 'Aggiungi Pulsanti Personalizzati');
INSERT INTO `lang_definitions` VALUES (117416, 216, 23, 'Aggiungere diagnosi');
INSERT INTO `lang_definitions` VALUES (117417, 217, 23, 'Aggiungere farmaco');
INSERT INTO `lang_definitions` VALUES (117418, 220, 23, 'Aggiungere visita');
INSERT INTO `lang_definitions` VALUES (117419, 221, 23, 'Aggiungi incontro/note');
INSERT INTO `lang_definitions` VALUES (117420, 222, 23, 'Aggiungi Sede');
INSERT INTO `lang_definitions` VALUES (117421, 223, 23, 'Aggiungi Campo');
INSERT INTO `lang_definitions` VALUES (117422, 224, 23, 'Aggiungi le linee seguenti al file di configurazione di Apache');
INSERT INTO `lang_definitions` VALUES (117423, 225, 23, 'Aggiungi Gruppo');
INSERT INTO `lang_definitions` VALUES (117424, 227, 23, 'Aggiungi codice ICD');
INSERT INTO `lang_definitions` VALUES (117425, 228, 23, 'Aggiungi Immunizzazione');
INSERT INTO `lang_definitions` VALUES (117426, 229, 23, 'Aggiunte non autorizzate!');
INSERT INTO `lang_definitions` VALUES (117427, 230, 23, 'Aggiungi Problema');
INSERT INTO `lang_definitions` VALUES (117428, 231, 23, 'Aggiunta voce per tenere traccia');
INSERT INTO `lang_definitions` VALUES (117429, 232, 23, 'Aggiungi Lingua');
INSERT INTO `lang_definitions` VALUES (117430, 238, 23, 'Aggiungi Nuovo');
INSERT INTO `lang_definitions` VALUES (117431, 239, 23, 'Aggiungi nuovo');
INSERT INTO `lang_definitions` VALUES (117432, 240, 23, 'Aggiungi nuova categoria');
INSERT INTO `lang_definitions` VALUES (117433, 241, 23, 'Aggiungi nuovi certificati al file di configurazione di Apache');
INSERT INTO `lang_definitions` VALUES (117434, 242, 23, 'Aggiunta nuovo componente');
INSERT INTO `lang_definitions` VALUES (117435, 243, 23, 'Aggiunta nuovi componenti');
INSERT INTO `lang_definitions` VALUES (117436, 249, 23, 'Aggiungi Nuovo Gruppo');
INSERT INTO `lang_definitions` VALUES (117437, 250, 23, 'Aggiungi nuovo problema');
INSERT INTO `lang_definitions` VALUES (117438, 251, 23, 'Aggiungi nuovi lotto e transazione');
INSERT INTO `lang_definitions` VALUES (117439, 253, 23, 'Aggiungi Nuova Nota');
INSERT INTO `lang_definitions` VALUES (117440, 254, 23, 'Aggiungi nuova nota');
INSERT INTO `lang_definitions` VALUES (117441, 255, 23, 'Aggiungi Nuovo Partner');
INSERT INTO `lang_definitions` VALUES (117442, 256, 23, 'Aggiungi nuovo Paziente');
INSERT INTO `lang_definitions` VALUES (117443, 264, 23, 'Aggiungi Nota');
INSERT INTO `lang_definitions` VALUES (117444, 268, 23, 'Aggiungi Cartella Paziente');
INSERT INTO `lang_definitions` VALUES (117445, 269, 23, 'Aggiungi Prescrizione');
INSERT INTO `lang_definitions` VALUES (117446, 270, 23, 'Aggiungi Procedura');
INSERT INTO `lang_definitions` VALUES (117447, 271, 23, 'Aggiungi Numero Fornitore');
INSERT INTO `lang_definitions` VALUES (117448, 273, 23, 'Aggiungi Riabilit.');
INSERT INTO `lang_definitions` VALUES (117449, 274, 23, 'Aggiungi Regola');
INSERT INTO `lang_definitions` VALUES (117450, 277, 23, 'Aggiungi a');
INSERT INTO `lang_definitions` VALUES (117451, 281, 23, 'Aggiungi a Lista Medicazioni');
INSERT INTO `lang_definitions` VALUES (117452, 282, 23, 'Aggiungi Livello Top');
INSERT INTO `lang_definitions` VALUES (117453, 283, 23, 'Aggiungi Transazione');
INSERT INTO `lang_definitions` VALUES (117454, 284, 23, 'Aggiungi Utente');
INSERT INTO `lang_definitions` VALUES (117455, 285, 23, 'Aggiungi Utente a Gruppo');
INSERT INTO `lang_definitions` VALUES (117456, 287, 23, 'Aggiungi Modifica eRX');
INSERT INTO `lang_definitions` VALUES (117457, 289, 23, 'Aggiungi/Modifica Transazione Paziente');
INSERT INTO `lang_definitions` VALUES (117458, 290, 23, 'aggiunto');
INSERT INTO `lang_definitions` VALUES (117459, 293, 23, 'Aggiunta di dati personali non autorizzata');
INSERT INTO `lang_definitions` VALUES (117460, 294, 23, 'Aggiunta del prodotto per tenere traccia non riuscito');
INSERT INTO `lang_definitions` VALUES (117461, 295, 23, 'Sindrome di Addison');
INSERT INTO `lang_definitions` VALUES (117462, 296, 23, 'Sindrome di Addison');
INSERT INTO `lang_definitions` VALUES (117463, 297, 23, 'Attributi Aggiuntivi');
INSERT INTO `lang_definitions` VALUES (117464, 300, 23, 'Diagnosi Aggiuntiva:');
INSERT INTO `lang_definitions` VALUES (117465, 305, 23, 'Storia Aggiuntiva');
INSERT INTO `lang_definitions` VALUES (117466, 306, 23, 'Note storiche aggiuntive');
INSERT INTO `lang_definitions` VALUES (117467, 307, 23, 'Informazioni Aggiuntive');
INSERT INTO `lang_definitions` VALUES (117468, 310, 23, 'Laboratori Aggiuntivi');
INSERT INTO `lang_definitions` VALUES (117469, 311, 23, 'Note aggiuntive');
INSERT INTO `lang_definitions` VALUES (117470, 313, 23, 'Note aggiuntive per questo risultato o raccomandazione');
INSERT INTO `lang_definitions` VALUES (117471, 314, 23, 'Note aggiuntive:');
INSERT INTO `lang_definitions` VALUES (117472, 315, 23, 'Note aggiuntive:');
INSERT INTO `lang_definitions` VALUES (117473, 317, 23, 'Note aggiuntive a X-RAY/ Radiografia');
INSERT INTO `lang_definitions` VALUES (117474, 318, 23, 'Inoltre, il corrispondente statunitense SNOMED pacchetto di estensione può essere importato dopo aver installato l\'Internazionale (versione inglese) SNOMED di rilascio');
INSERT INTO `lang_definitions` VALUES (117475, 320, 23, 'solo aggiunta');
INSERT INTO `lang_definitions` VALUES (117476, 322, 23, 'Indirizzario');
INSERT INTO `lang_definitions` VALUES (117477, 323, 23, 'Indirizzario');
INSERT INTO `lang_definitions` VALUES (117478, 324, 23, 'Indirizzo');
INSERT INTO `lang_definitions` VALUES (117479, 327, 23, 'Indirizzario');
INSERT INTO `lang_definitions` VALUES (117480, 328, 23, 'Campo indirizzo dell\'azienda che fornisce questa procedura');
INSERT INTO `lang_definitions` VALUES (117481, 329, 23, 'Campo indirizzo per il distributore');
INSERT INTO `lang_definitions` VALUES (117482, 330, 23, 'Campo indirizzo per il venditore');
INSERT INTO `lang_definitions` VALUES (117483, 331, 23, 'Tipi di indirizzario');
INSERT INTO `lang_definitions` VALUES (117484, 332, 23, 'Etichetta indirizzo');
INSERT INTO `lang_definitions` VALUES (117485, 339, 23, 'Indirizzo 1');
INSERT INTO `lang_definitions` VALUES (117486, 340, 23, 'Indirizzo 2');
INSERT INTO `lang_definitions` VALUES (117487, 342, 23, 'DESTINATARIO');
INSERT INTO `lang_definitions` VALUES (117488, 345, 23, 'Mod.');
INSERT INTO `lang_definitions` VALUES (117489, 346, 23, 'Quantità di modifica');
INSERT INTO `lang_definitions` VALUES (117490, 347, 23, 'Modifica');
INSERT INTO `lang_definitions` VALUES (117491, 348, 23, 'Modifica');
INSERT INTO `lang_definitions` VALUES (117492, 349, 23, 'Modifica ammont.');
INSERT INTO `lang_definitions` VALUES (117493, 350, 23, 'Ragioni per la modifica');
INSERT INTO `lang_definitions` VALUES (117494, 352, 23, 'Valore di modifica per codice');
INSERT INTO `lang_definitions` VALUES (117495, 353, 23, 'Modifiche');
INSERT INTO `lang_definitions` VALUES (117496, 354, 23, 'Modifica ammin.');
INSERT INTO `lang_definitions` VALUES (117497, 355, 23, 'Ammin.');
INSERT INTO `lang_definitions` VALUES (117498, 356, 23, 'Email Amministratore');
INSERT INTO `lang_definitions` VALUES (117499, 357, 23, 'Somministrare via');
INSERT INTO `lang_definitions` VALUES (117500, 359, 23, 'Somministrato');
INSERT INTO `lang_definitions` VALUES (117501, 360, 23, 'Somministrato da');
INSERT INTO `lang_definitions` VALUES (117502, 361, 23, 'Somministrato in data');
INSERT INTO `lang_definitions` VALUES (117503, 362, 23, 'Sito amministrato');
INSERT INTO `lang_definitions` VALUES (117504, 363, 23, 'Amministrazione');
INSERT INTO `lang_definitions` VALUES (117505, 365, 23, 'Sito amministrato');
INSERT INTO `lang_definitions` VALUES (117506, 366, 23, 'Amministratori');
INSERT INTO `lang_definitions` VALUES (117507, 367, 23, 'gli Amministratori possono fare tutto');
INSERT INTO `lang_definitions` VALUES (117508, 368, 23, 'Data ammissione');
INSERT INTO `lang_definitions` VALUES (117509, 371, 23, 'Screening e Follow-Up del peso - Adulto');
INSERT INTO `lang_definitions` VALUES (117510, 372, 23, 'Screening e Follow-Up del peso - Adulto (CMQ)');
INSERT INTO `lang_definitions` VALUES (117511, 373, 23, 'Direttiva preliminare');
INSERT INTO `lang_definitions` VALUES (117512, 374, 23, 'Direttive preliminari');
INSERT INTO `lang_definitions` VALUES (117513, 375, 23, 'Avviso direttive preliminari');
INSERT INTO `lang_definitions` VALUES (117514, 377, 23, 'Avanzato');
INSERT INTO `lang_definitions` VALUES (117515, 380, 23, 'Suggerimento');
INSERT INTO `lang_definitions` VALUES (117516, 381, 23, 'Lontano');
INSERT INTO `lang_definitions` VALUES (117517, 382, 23, 'Effetto normale');
INSERT INTO `lang_definitions` VALUES (117518, 383, 23, 'Africani');
INSERT INTO `lang_definitions` VALUES (117519, 386, 23, 'Chiamate fuori orario');
INSERT INTO `lang_definitions` VALUES (117520, 387, 23, 'Dopo la migrazione dai vecchi meccanismi di password in cui le password vengono memorizzate nella tabella utenti senza salti è completo, questo flag deve essere impostato su false in modo che solo l\'autenticazione con il nuovo metodo sia possibile');
INSERT INTO `lang_definitions` VALUES (117521, 388, 23, 'Dopo aver eseguito le configurazioni precedenti, importare il certificato di amministrazione client nel browser e riavviare il server Apache (password vuota)');
INSERT INTO `lang_definitions` VALUES (117522, 390, 23, 'Dopo il salvataggio in PDF, cliccare [Vedi log] per la verifica errori');
INSERT INTO `lang_definitions` VALUES (117523, 393, 23, 'Dopo il salvataggio dei file TEXT, cliccare [Vedi log] per la verifica errori');
INSERT INTO `lang_definitions` VALUES (117524, 396, 23, 'Dopo il salvataggio del lotto, cliccare [Vedi log] per la verifica errori');
INSERT INTO `lang_definitions` VALUES (117525, 398, 23, 'Dopo che la colonna Corrispondenza mostrerà l\'ID paziente selezionato, o 0 per creare.');
INSERT INTO `lang_definitions` VALUES (117526, 399, 23, 'Dopo aver inserito l\'informazione corretta cliccare il tasto Salva');
INSERT INTO `lang_definitions` VALUES (117527, 400, 23, 'Dopo aver caricato clicca il pulsante \"Importa\"');
INSERT INTO `lang_definitions` VALUES (117528, 404, 23, 'Pianificazione convalescenza');
INSERT INTO `lang_definitions` VALUES (117529, 406, 23, 'Nuovamente');
INSERT INTO `lang_definitions` VALUES (117530, 407, 23, 'Età');
INSERT INTO `lang_definitions` VALUES (117531, 409, 23, 'Età per');
INSERT INTO `lang_definitions` VALUES (117532, 410, 23, 'Categoria età');
INSERT INTO `lang_definitions` VALUES (117533, 411, 23, 'Dato età fuori intervallo');
INSERT INTO `lang_definitions` VALUES (117534, 412, 23, 'Visualizzazione formato età');
INSERT INTO `lang_definitions` VALUES (117535, 413, 23, 'Formato età per \"età da\" non valido');
INSERT INTO `lang_definitions` VALUES (117536, 414, 23, 'Formato età per \"età fino a\" non valido');
INSERT INTO `lang_definitions` VALUES (117537, 415, 23, 'Età da');
INSERT INTO `lang_definitions` VALUES (117538, 416, 23, 'Età in anni per visualizzare cambio formato');
INSERT INTO `lang_definitions` VALUES (117539, 417, 23, 'Età massima');
INSERT INTO `lang_definitions` VALUES (117540, 418, 23, 'Età minima');
INSERT INTO `lang_definitions` VALUES (117541, 419, 23, 'Intervallo età');
INSERT INTO `lang_definitions` VALUES (117542, 421, 23, 'Colonne età:');
INSERT INTO `lang_definitions` VALUES (117543, 422, 23, 'Akan');
INSERT INTO `lang_definitions` VALUES (117544, 423, 23, 'Albanese');
INSERT INTO `lang_definitions` VALUES (117545, 424, 23, 'Alcool');
INSERT INTO `lang_definitions` VALUES (117546, 425, 23, 'Consumo di alcool');
INSERT INTO `lang_definitions` VALUES (117547, 426, 23, 'Uso di alcool');
INSERT INTO `lang_definitions` VALUES (117548, 428, 23, 'Allarme su Conteggio');
INSERT INTO `lang_definitions` VALUES (117549, 435, 23, 'Allarmi');
INSERT INTO `lang_definitions` VALUES (117550, 439, 23, 'ALEUT');
INSERT INTO `lang_definitions` VALUES (117551, 440, 23, 'Tutto');
INSERT INTO `lang_definitions` VALUES (117552, 441, 23, 'TUTTO');
INSERT INTO `lang_definitions` VALUES (117553, 443, 23, 'Tutto (Raccolta in Formato A)');
INSERT INTO `lang_definitions` VALUES (117554, 444, 23, 'Tutto (Raccolta in Formato B)');
INSERT INTO `lang_definitions` VALUES (117555, 445, 23, 'Tutto (Cumulativo)');
INSERT INTO `lang_definitions` VALUES (117556, 447, 23, 'Tutti i calcoli di misura automatici (AMC)');
INSERT INTO `lang_definitions` VALUES (117557, 448, 23, 'Tutte le categorie');
INSERT INTO `lang_definitions` VALUES (117558, 449, 23, 'Tutte le misure di qualità clinica (CQM)');
INSERT INTO `lang_definitions` VALUES (117559, 450, 23, 'Tutti i codici');
INSERT INTO `lang_definitions` VALUES (117560, 453, 23, 'Tutta la giornata');
INSERT INTO `lang_definitions` VALUES (117561, 454, 23, 'Evento giornata intera');
INSERT INTO `lang_definitions` VALUES (117562, 455, 23, 'Tutti i campi anagrafici, con ricerca e controllo duplicazioni');
INSERT INTO `lang_definitions` VALUES (117563, 457, 23, 'Tutte le sedi');
INSERT INTO `lang_definitions` VALUES (117564, 458, 23, 'Tutte(i) Lesioni/Problemi/Questioni');
INSERT INTO `lang_definitions` VALUES (117565, 459, 23, 'Tutte le lingue permesse');
INSERT INTO `lang_definitions` VALUES (117566, 461, 23, 'Tutte le ufficiali misure di qualità clinica (CQM) Misura Gruppi');
INSERT INTO `lang_definitions` VALUES (117567, 462, 23, 'Tutto o parte del nome');
INSERT INTO `lang_definitions` VALUES (117568, 463, 23, 'Tutto o parte del cognome');
INSERT INTO `lang_definitions` VALUES (117569, 464, 23, 'Tutto o parte dell\'organizzazione');
INSERT INTO `lang_definitions` VALUES (117570, 466, 23, 'Tutti i pazienti');
INSERT INTO `lang_definitions` VALUES (117571, 468, 23, 'Tutti i prodotti');
INSERT INTO `lang_definitions` VALUES (117572, 469, 23, 'Tutti i fornitori');
INSERT INTO `lang_definitions` VALUES (117573, 470, 23, 'Tutte le revisioni e i negativi:');
INSERT INTO `lang_definitions` VALUES (117574, 475, 23, 'Tutti gli argomenti');
INSERT INTO `lang_definitions` VALUES (117575, 478, 23, 'Tutti gli utenti');
INSERT INTO `lang_definitions` VALUES (117576, 479, 23, 'Allergico/a');
INSERT INTO `lang_definitions` VALUES (117577, 481, 23, 'Allergie');
INSERT INTO `lang_definitions` VALUES (117578, 484, 23, 'Allergie:');
INSERT INTO `lang_definitions` VALUES (117579, 485, 23, 'Allergia');
INSERT INTO `lang_definitions` VALUES (117580, 486, 23, 'Importazione Allergie completata con successo');
INSERT INTO `lang_definitions` VALUES (117581, 487, 23, 'Emissione elenco allergia');
INSERT INTO `lang_definitions` VALUES (117582, 488, 23, 'Reazione allergica');
INSERT INTO `lang_definitions` VALUES (117583, 491, 23, 'Allocare');
INSERT INTO `lang_definitions` VALUES (117584, 492, 23, 'Consenti');
INSERT INTO `lang_definitions` VALUES (117585, 494, 23, 'Permette tutte le lingue disponibili come scelta nel menu di login.');
INSERT INTO `lang_definitions` VALUES (117586, 496, 23, 'Permette la creazione di affermazioni contenenti diagnosi ma non procedure o addebiti. Molti ospedali non lo permettono.');
INSERT INTO `lang_definitions` VALUES (117587, 497, 23, 'Consenti il debug della lingua');
INSERT INTO `lang_definitions` VALUES (117588, 500, 23, 'Consenti email');
INSERT INTO `lang_definitions` VALUES (117589, 501, 23, 'Consenti messaggi email?');
INSERT INTO `lang_definitions` VALUES (117590, 502, 23, 'Consenti email?');
INSERT INTO `lang_definitions` VALUES (117591, 503, 23, 'Consenti notifiche visite');
INSERT INTO `lang_definitions` VALUES (117592, 506, 23, 'Consenti trasmissione di informazioni sanitarie');
INSERT INTO `lang_definitions` VALUES (117593, 508, 23, 'Consenti condivisione informazioni di immunizzazione');
INSERT INTO `lang_definitions` VALUES (117594, 509, 23, 'Consenti uso del registro immunizzazioni');
INSERT INTO `lang_definitions` VALUES (117595, 512, 23, 'Consenti messaggio email');
INSERT INTO `lang_definitions` VALUES (117596, 533, 23, 'Consenti il Portale paziente');
INSERT INTO `lang_definitions` VALUES (117597, 541, 23, 'Consenti SMS');
INSERT INTO `lang_definitions` VALUES (117598, 542, 23, 'Consenti SMS (messaggi di testo)?');
INSERT INTO `lang_definitions` VALUES (117599, 544, 23, 'Consenti l\'attivazione istantanea degli eventi immessi?');
INSERT INTO `lang_definitions` VALUES (117600, 545, 23, 'Consenti messaggi telefonici?');
INSERT INTO `lang_definitions` VALUES (117601, 547, 23, 'Consenti agli utenti la pubblicazione di eventi globali');
INSERT INTO `lang_definitions` VALUES (117602, 548, 23, 'Consenti agli utenti di pubblicare calendari personali');
INSERT INTO `lang_definitions` VALUES (117603, 554, 23, 'Consenti messaggi vocali');
INSERT INTO `lang_definitions` VALUES (117604, 555, 23, 'Consentito');
INSERT INTO `lang_definitions` VALUES (117605, 556, 23, 'Lingue consentite');
INSERT INTO `lang_definitions` VALUES (117606, 558, 23, 'Consentito');
INSERT INTO `lang_definitions` VALUES (117607, 559, 23, 'Consente E-Sign sull\'intero incontro');
INSERT INTO `lang_definitions` VALUES (117608, 560, 23, 'Consente E-Signing nei singoli forms');
INSERT INTO `lang_definitions` VALUES (117609, 561, 23, 'Mail consentite');
INSERT INTO `lang_definitions` VALUES (117610, 562, 23, 'Messaggi vocali consentiti');
INSERT INTO `lang_definitions` VALUES (117611, 566, 23, 'esiste già');
INSERT INTO `lang_definitions` VALUES (117612, 568, 23, 'esiste già');
INSERT INTO `lang_definitions` VALUES (117613, 570, 23, 'Già usato, scegliere un altro identificatore');
INSERT INTO `lang_definitions` VALUES (117614, 571, 23, 'Già usato, scegliere un altro titolo');
INSERT INTO `lang_definitions` VALUES (117615, 573, 23, 'Indirizzo alternativo');
INSERT INTO `lang_definitions` VALUES (117616, 577, 23, 'altera');
INSERT INTO `lang_definitions` VALUES (117617, 584, 23, 'Alternativamente, si può usare la pagina di ricerca per caricare un file di pagamento elettronico (X12 835) ottenuto dal pagante o ente sostitutivo. Puoi fare questo cliccando il bottone \"Sfoglia\" e selezionando il file da caricare, quindi cliccando \"Cerca\" per attuare il caricamento e mostrare il conto corrispondente. In questo caso gli altri parametri menzionati sopra non si applicano e sarnno ignorati. Il caricamento salva il file ma non processa ancora i suoi contenuti -- ciò è fatto separatamente come descritto sotto.');
INSERT INTO `lang_definitions` VALUES (117618, 586, 23, 'AM');
INSERT INTO `lang_definitions` VALUES (117619, 587, 23, 'Programma AM');
INSERT INTO `lang_definitions` VALUES (117620, 592, 23, 'AMC');
INSERT INTO `lang_definitions` VALUES (117621, 593, 23, 'Traccia AMC');
INSERT INTO `lang_definitions` VALUES (117622, 594, 23, 'AMC-2011');
INSERT INTO `lang_definitions` VALUES (117623, 595, 23, 'AMC-2014');
INSERT INTO `lang_definitions` VALUES (117624, 600, 23, 'Modificare la nota esistente');
INSERT INTO `lang_definitions` VALUES (117625, 602, 23, 'Modificato da');
INSERT INTO `lang_definitions` VALUES (117626, 604, 23, 'Stato modifiche');
INSERT INTO `lang_definitions` VALUES (117627, 605, 23, 'Modifiche');
INSERT INTO `lang_definitions` VALUES (117628, 609, 23, 'Modificati per');
INSERT INTO `lang_definitions` VALUES (117629, 610, 23, 'Indiano americano');
INSERT INTO `lang_definitions` VALUES (117630, 611, 23, 'Indiano americano o nativo dell\'Alaska');
INSERT INTO `lang_definitions` VALUES (117631, 612, 23, 'AMEX');
INSERT INTO `lang_definitions` VALUES (117632, 613, 23, 'Amarico');
INSERT INTO `lang_definitions` VALUES (117633, 614, 23, 'Importo');
INSERT INTO `lang_definitions` VALUES (117634, 615, 23, 'Importo amministrato');
INSERT INTO `lang_definitions` VALUES (117635, 617, 23, 'Importo Spese');
INSERT INTO `lang_definitions` VALUES (117636, 620, 23, 'Importo per conto precedente');
INSERT INTO `lang_definitions` VALUES (117637, 621, 23, 'Importo per questa visita');
INSERT INTO `lang_definitions` VALUES (117638, 622, 23, 'Importo pagato');
INSERT INTO `lang_definitions` VALUES (117639, 623, 23, 'Importo:');
INSERT INTO `lang_definitions` VALUES (117640, 626, 23, 'Importo fatturato');
INSERT INTO `lang_definitions` VALUES (117641, 630, 23, 'La data di fine oltre la data di inizio è richiesta per gli eventi ripetuti!');
INSERT INTO `lang_definitions` VALUES (117642, 632, 23, 'Si è verificato un errore nel salvataggio delle directory di OpenEMR');
INSERT INTO `lang_definitions` VALUES (117643, 633, 23, 'Si è verificato un errore nel salvataggio delle directory di phpGACL');
INSERT INTO `lang_definitions` VALUES (117644, 634, 23, 'Si è verificato un errore nel salvataggio delle directory di SQL_Ledger');
INSERT INTO `lang_definitions` VALUES (117645, 638, 23, 'E\' stato creato e linkato un oggetto GCAC incompleto. E\' necessario completarlo in seguito.');
INSERT INTO `lang_definitions` VALUES (117646, 644, 23, 'Si è verificato un errore inatteso');
INSERT INTO `lang_definitions` VALUES (117647, 646, 23, 'Lettera maiuscola');
INSERT INTO `lang_definitions` VALUES (117648, 648, 23, 'e');
INSERT INTO `lang_definitions` VALUES (117649, 649, 23, 'e');
INSERT INTO `lang_definitions` VALUES (117650, 650, 23, 'E');
INSERT INTO `lang_definitions` VALUES (117651, 651, 23, 'e');
INSERT INTO `lang_definitions` VALUES (117652, 652, 23, 'e tutti i dati subordinati? Quest\'azione sarà registrata');
INSERT INTO `lang_definitions` VALUES (117653, 653, 23, 'modificatore and');
INSERT INTO `lang_definitions` VALUES (117654, 654, 23, 'e processato.');
INSERT INTO `lang_definitions` VALUES (117655, 656, 23, 'e riavviare il server Apache.');
INSERT INTO `lang_definitions` VALUES (117656, 657, 23, 'e il motivo è');
INSERT INTO `lang_definitions` VALUES (117657, 659, 23, 'Anemia');
INSERT INTO `lang_definitions` VALUES (117658, 660, 23, 'Caviglia');
INSERT INTO `lang_definitions` VALUES (117659, 661, 23, 'Caviglia + tallone');
INSERT INTO `lang_definitions` VALUES (117660, 662, 23, 'Modello di valutazione caviglia');
INSERT INTO `lang_definitions` VALUES (117661, 663, 23, 'Problemi caviglia');
INSERT INTO `lang_definitions` VALUES (117662, 664, 23, 'Spondilite anchilosante');
INSERT INTO `lang_definitions` VALUES (117663, 665, 23, 'Spondilite anchilosante');
INSERT INTO `lang_definitions` VALUES (117664, 666, 23, 'Anoressia');
INSERT INTO `lang_definitions` VALUES (117665, 667, 23, 'Un\'altra azione possibile nella finestra di immissione è la richiesta di fatturazione secondaria. Se si seleziona questa spunta prima del salvataggio, l\'addebito originale sarà riaperto e accodato alla pagina di Fatturazione, e riprocessato nella nuova procedura di fatturazione.');
INSERT INTO `lang_definitions` VALUES (117666, 671, 23, 'ante');
INSERT INTO `lang_definitions` VALUES (117667, 676, 23, 'Ano normale, no masse o cedevolezze');
INSERT INTO `lang_definitions` VALUES (117668, 677, 23, 'Ansia');
INSERT INTO `lang_definitions` VALUES (117669, 679, 23, 'Qualunque');
INSERT INTO `lang_definitions` VALUES (117670, 682, 23, 'Qualunque categoria');
INSERT INTO `lang_definitions` VALUES (117671, 688, 23, 'Parte del codice desiderato o della sua descrizione');
INSERT INTO `lang_definitions` VALUES (117672, 689, 23, 'Parte della specializzazione desiderata');
INSERT INTO `lang_definitions` VALUES (117673, 690, 23, 'Parte del nome o dell\'ID del farmaco');
INSERT INTO `lang_definitions` VALUES (117674, 691, 23, 'Parte del nome o dell\'ID dell\'immunizzazione');
INSERT INTO `lang_definitions` VALUES (117675, 692, 23, 'Parte del nome paziente, o \"cognome,nome\", o \"X-Y\"');
INSERT INTO `lang_definitions` VALUES (117676, 693, 23, 'Qualsiasi altra informazione rilevante');
INSERT INTO `lang_definitions` VALUES (117677, 699, 23, 'Chiave API per il Gateway SMS');
INSERT INTO `lang_definitions` VALUES (117678, 703, 23, 'Apnea');
INSERT INTO `lang_definitions` VALUES (117679, 710, 23, 'Aspetto');
INSERT INTO `lang_definitions` VALUES (117680, 711, 23, 'Aspetto:');
INSERT INTO `lang_definitions` VALUES (117681, 714, 23, 'Accoda questa nota');
INSERT INTO `lang_definitions` VALUES (117682, 716, 23, 'Accoda alla nota esistente');
INSERT INTO `lang_definitions` VALUES (117683, 717, 23, 'Accoda a questa nota');
INSERT INTO `lang_definitions` VALUES (117684, 718, 23, 'Accoda a questa nota');
INSERT INTO `lang_definitions` VALUES (117685, 719, 23, 'Appendicectomia');
INSERT INTO `lang_definitions` VALUES (117686, 720, 23, 'appendicectomia');
INSERT INTO `lang_definitions` VALUES (117687, 721, 23, 'Pazienti pertinenti');
INSERT INTO `lang_definitions` VALUES (117688, 722, 23, 'Applicazione');
INSERT INTO `lang_definitions` VALUES (117689, 723, 23, 'Nome dell\'applicazione per la pagina di login e per il titolo della finestra principale');
INSERT INTO `lang_definitions` VALUES (117690, 724, 23, 'Applicazione codice ricezione (GS03 - Se vuoto verrà utilizzato ISA08)');
INSERT INTO `lang_definitions` VALUES (117691, 725, 23, 'Codice invio applicazione (GS02)');
INSERT INTO `lang_definitions` VALUES (117692, 726, 23, 'Titolo applicazione');
INSERT INTO `lang_definitions` VALUES (117693, 727, 23, 'Applica al modello parametri vitali e al diagramma di crescita');
INSERT INTO `lang_definitions` VALUES (117694, 728, 23, 'Applica al modello Vitali');
INSERT INTO `lang_definitions` VALUES (117695, 729, 23, 'Applica i cambiamenti al solo evento corrente, a questa e a tutte le occorrenze future o a tutte?');
INSERT INTO `lang_definitions` VALUES (117696, 730, 23, 'applicare all\'area interessata');
INSERT INTO `lang_definitions` VALUES (117697, 731, 23, 'applicare sulla pelle');
INSERT INTO `lang_definitions` VALUES (117698, 732, 23, 'In applicazione');
INSERT INTO `lang_definitions` VALUES (117699, 733, 23, 'Applicazione patch al sito');
INSERT INTO `lang_definitions` VALUES (117700, 734, 23, 'Appuntamento');
INSERT INTO `lang_definitions` VALUES (117701, 736, 23, 'Data appuntamento');
INSERT INTO `lang_definitions` VALUES (117702, 742, 23, 'Stile visualizzazione appuntamenti');
INSERT INTO `lang_definitions` VALUES (117703, 744, 23, 'Regole Promemoria appuntamento');
INSERT INTO `lang_definitions` VALUES (117704, 746, 23, 'Stato appuntamenti');
INSERT INTO `lang_definitions` VALUES (117705, 747, 23, 'Stati appuntamenti');
INSERT INTO `lang_definitions` VALUES (117706, 748, 23, 'Appuntamento entro');
INSERT INTO `lang_definitions` VALUES (117707, 749, 23, 'Colore appuntamento/evento');
INSERT INTO `lang_definitions` VALUES (117708, 750, 23, 'Appuntamenti');
INSERT INTO `lang_definitions` VALUES (117709, 751, 23, 'Appuntamenti (scrittura facoltativa)');
INSERT INTO `lang_definitions` VALUES (117710, 752, 23, 'Appuntamenti (scrittura facoltativa)');
INSERT INTO `lang_definitions` VALUES (117711, 758, 23, 'Appuntamenti e Incontri');
INSERT INTO `lang_definitions` VALUES (117712, 760, 23, 'Resoconto appuntamenti');
INSERT INTO `lang_definitions` VALUES (117713, 761, 23, 'Resoconto Appuntamenti-Incontri');
INSERT INTO `lang_definitions` VALUES (117714, 764, 23, 'Approva');
INSERT INTO `lang_definitions` VALUES (117715, 766, 23, 'Approva il paziente da Paziente/Cliente->Importare->Attesa approvazione');
INSERT INTO `lang_definitions` VALUES (117716, 767, 23, 'Approvato');
INSERT INTO `lang_definitions` VALUES (117717, 768, 23, 'Amministrazione eventi approvati');
INSERT INTO `lang_definitions` VALUES (117718, 769, 23, 'Approvato con successo');
INSERT INTO `lang_definitions` VALUES (117719, 774, 23, 'Appunt.-Incontri');
INSERT INTO `lang_definitions` VALUES (117720, 776, 23, 'App.nti');
INSERT INTO `lang_definitions` VALUES (117721, 779, 23, 'Apr');
INSERT INTO `lang_definitions` VALUES (117722, 780, 23, 'Aprile');
INSERT INTO `lang_definitions` VALUES (117723, 782, 23, 'Arabo');
INSERT INTO `lang_definitions` VALUES (117724, 783, 23, 'Aragonese');
INSERT INTO `lang_definitions` VALUES (117725, 784, 23, 'Archivio');
INSERT INTO `lang_definitions` VALUES (117726, 787, 23, 'I nomi dei gruppi ad accesso controllato devono essere tradotti?');
INSERT INTO `lang_definitions` VALUES (117727, 788, 23, 'I nomi delle categorie di appuntamenti devono essere tradotti?');
INSERT INTO `lang_definitions` VALUES (117728, 789, 23, 'I nomi delle categorie di documenti devono essere tradotti?');
INSERT INTO `lang_definitions` VALUES (117729, 790, 23, 'Le tariffe vengono addebitate per questo tipo?');
INSERT INTO `lang_definitions` VALUES (117730, 793, 23, 'I titoli delle note paziente devono essere tradotti?');
INSERT INTO `lang_definitions` VALUES (117731, 794, 23, 'I codici memorizzati in tabelle SQL esterne (0-No, 1-ICD10, 2-SNOMED (RF1), 3-SNOMED (RF2))?');
INSERT INTO `lang_definitions` VALUES (117732, 795, 23, 'Si è preparati per completare una nuova GCAC per questa visita?');
INSERT INTO `lang_definitions` VALUES (117733, 797, 23, 'Sei sicuro di voler postare per oggi?');
INSERT INTO `lang_definitions` VALUES (117734, 798, 23, 'Sei sicuro di voler approvare questi eventi?');
INSERT INTO `lang_definitions` VALUES (117735, 801, 23, 'Sei sicuro di voler eliminare completamente questo modulo?');
INSERT INTO `lang_definitions` VALUES (117736, 803, 23, 'Sei sicuro di voler eliminare');
INSERT INTO `lang_definitions` VALUES (117737, 804, 23, 'Sei sicuro di voler eliminare questa informativa?');
INSERT INTO `lang_definitions` VALUES (117738, 805, 23, 'Sei sicuro di voler eliminare questo evento?');
INSERT INTO `lang_definitions` VALUES (117739, 806, 23, 'Sei sicuro di voler eliminare questo elemento dal database?');
INSERT INTO `lang_definitions` VALUES (117740, 808, 23, 'Sei sicuro di voler eliminare questa nota?');
INSERT INTO `lang_definitions` VALUES (117741, 810, 23, 'Sei sicuro di voler modificare questi eventi?');
INSERT INTO `lang_definitions` VALUES (117742, 811, 23, 'Sei sicuro di voler nascondere questi eventi?');
INSERT INTO `lang_definitions` VALUES (117743, 813, 23, 'Sei sicuro di voler trasmettere ancora?');
INSERT INTO `lang_definitions` VALUES (117744, 814, 23, 'Sei sicuro di voler vedere questi eventi?');
INSERT INTO `lang_definitions` VALUES (117745, 815, 23, 'Sei sicuro di voler eliminare l\'intero gruppo chiamato');
INSERT INTO `lang_definitions` VALUES (117746, 816, 23, 'Sei sicuro di voler eliminare tutto l\'elenco');
INSERT INTO `lang_definitions` VALUES (117747, 817, 23, 'Sei sicuro di voler eliminare il campo in');
INSERT INTO `lang_definitions` VALUES (117748, 818, 23, 'Sei sicuro di voler eliminare i campi selezionati?');
INSERT INTO `lang_definitions` VALUES (117749, 819, 23, 'Sei sicuro di voler continuare con queste azioni?');
INSERT INTO `lang_definitions` VALUES (117750, 820, 23, 'Area non specificata');
INSERT INTO `lang_definitions` VALUES (117751, 821, 23, 'Braccio');
INSERT INTO `lang_definitions` VALUES (117752, 822, 23, 'Armenia');
INSERT INTO `lang_definitions` VALUES (117753, 829, 23, 'Aritmia');
INSERT INTO `lang_definitions` VALUES (117754, 830, 23, 'Artrite');
INSERT INTO `lang_definitions` VALUES (117755, 831, 23, 'Artrite / degenerazione articolare');
INSERT INTO `lang_definitions` VALUES (117756, 832, 23, 'Artrite / degenerazione articolare');
INSERT INTO `lang_definitions` VALUES (117757, 836, 23, 'come');
INSERT INTO `lang_definitions` VALUES (117758, 838, 23, 'Come di');
INSERT INTO `lang_definitions` VALUES (117759, 844, 23, 'ASC');
INSERT INTO `lang_definitions` VALUES (117760, 845, 23, 'Asiatico');
INSERT INTO `lang_definitions` VALUES (117761, 846, 23, 'Assamese');
INSERT INTO `lang_definitions` VALUES (117762, 848, 23, 'Valutazione');
INSERT INTO `lang_definitions` VALUES (117763, 853, 23, 'Assegnato a');
INSERT INTO `lang_definitions` VALUES (117764, 854, 23, 'Assistente');
INSERT INTO `lang_definitions` VALUES (117765, 861, 23, 'Asma');
INSERT INTO `lang_definitions` VALUES (117766, 862, 23, 'alle');
INSERT INTO `lang_definitions` VALUES (117767, 863, 23, 'Se selezioni tutto, almeno un parametro di ricerca è richiesto.');
INSERT INTO `lang_definitions` VALUES (117768, 866, 23, 'Allo scafoide');
INSERT INTO `lang_definitions` VALUES (117769, 867, 23, 'Allo scafoide:');
INSERT INTO `lang_definitions` VALUES (117770, 868, 23, 'Squadra di atletica');
INSERT INTO `lang_definitions` VALUES (117771, 869, 23, 'Squadra di atletica');
INSERT INTO `lang_definitions` VALUES (117772, 870, 23, 'Lesione/Atletica');
INSERT INTO `lang_definitions` VALUES (117773, 871, 23, 'ATNA controllo certificato CA');
INSERT INTO `lang_definitions` VALUES (117774, 872, 23, 'ATNA controllo host');
INSERT INTO `lang_definitions` VALUES (117775, 873, 23, 'ATNA controllo certificato locale');
INSERT INTO `lang_definitions` VALUES (117776, 874, 23, 'ATNA controllo porta');
INSERT INTO `lang_definitions` VALUES (117777, 877, 23, 'Attenzione');
INSERT INTO `lang_definitions` VALUES (117778, 879, 23, 'Att. ne');
INSERT INTO `lang_definitions` VALUES (117779, 883, 23, 'Registrazione motore queries CDR');
INSERT INTO `lang_definitions` VALUES (117780, 885, 23, 'Registro di controllo antimanomissione');
INSERT INTO `lang_definitions` VALUES (117781, 886, 23, 'Registro di controllo antimanomissione report');
INSERT INTO `lang_definitions` VALUES (117782, 890, 23, 'Registrazione di controllo backup');
INSERT INTO `lang_definitions` VALUES (117783, 891, 23, 'Registrazione di controllo varie');
INSERT INTO `lang_definitions` VALUES (117784, 892, 23, 'Registrazione di controllo ordini');
INSERT INTO `lang_definitions` VALUES (117785, 893, 23, 'Registrazione di controllo accesso cartelle cliniche');
INSERT INTO `lang_definitions` VALUES (117786, 894, 23, 'Pianificazione del controllo di accesso');
INSERT INTO `lang_definitions` VALUES (117787, 895, 23, 'Registrazione di controllo di Amministrazione sicurezza');
INSERT INTO `lang_definitions` VALUES (117788, 896, 23, 'Seleziona la query del controllo di accesso');
INSERT INTO `lang_definitions` VALUES (117789, 898, 23, 'Ago');
INSERT INTO `lang_definitions` VALUES (117790, 899, 23, 'Agosto');
INSERT INTO `lang_definitions` VALUES (117791, 901, 23, 'Aut');
INSERT INTO `lang_definitions` VALUES (117792, 902, 23, 'Aut/note');
INSERT INTO `lang_definitions` VALUES (117793, 922, 23, 'Autorizzazioni di gruppo');
INSERT INTO `lang_definitions` VALUES (117794, 923, 23, 'Stato autorizzazione');
INSERT INTO `lang_definitions` VALUES (117795, 924, 23, 'Autorizzazioni');
INSERT INTO `lang_definitions` VALUES (117796, 925, 23, 'Autorizza');
INSERT INTO `lang_definitions` VALUES (117797, 926, 23, 'Autorizza - qualsiasi incontro');
INSERT INTO `lang_definitions` VALUES (117798, 928, 23, 'Autorizza - i miei incontri');
INSERT INTO `lang_definitions` VALUES (117799, 933, 23, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (117800, 934, 23, 'Autorizzato');
INSERT INTO `lang_definitions` VALUES (117801, 936, 23, 'Solo autorizzati');
INSERT INTO `lang_definitions` VALUES (117802, 941, 23, 'Invio automatico');
INSERT INTO `lang_definitions` VALUES (117803, 944, 23, 'Crea automaticamente nuovi incontri');
INSERT INTO `lang_definitions` VALUES (117804, 945, 23, 'Generato automaticamente');
INSERT INTO `lang_definitions` VALUES (117805, 947, 23, 'Calcoli delle misure automatici (AMC)');
INSERT INTO `lang_definitions` VALUES (117806, 948, 23, 'Calcoli delle misure automatici (AMC) - 2011');
INSERT INTO `lang_definitions` VALUES (117807, 949, 23, 'Calcoli delle misure automatici (AMC) - 2014');
INSERT INTO `lang_definitions` VALUES (117808, 952, 23, 'Calcoli delle misure automatici (AMC) monitoraggio');
INSERT INTO `lang_definitions` VALUES (117809, 953, 23, 'Misure automatiche (AMC)');
INSERT INTO `lang_definitions` VALUES (117810, 955, 23, 'Automatico');
INSERT INTO `lang_definitions` VALUES (117811, 959, 23, 'Crea automaticamente un nuovo incontro quando lo status dell\'appuntamento è settato a \"@\" (arrivato).');
INSERT INTO `lang_definitions` VALUES (117812, 962, 23, 'Automobile Medica');
INSERT INTO `lang_definitions` VALUES (117813, 964, 23, 'salvato in automatico');
INSERT INTO `lang_definitions` VALUES (117814, 967, 23, 'Categorie disponibili');
INSERT INTO `lang_definitions` VALUES (117815, 971, 23, 'Tempi disponibili');
INSERT INTO `lang_definitions` VALUES (117816, 972, 23, 'Tracce disponibili');
INSERT INTO `lang_definitions` VALUES (117817, 973, 23, 'Avaric');
INSERT INTO `lang_definitions` VALUES (117818, 974, 23, 'Avery tipo etichette per la stampa di etichette di pazienti da popup a schermo nav sinistra');
INSERT INTO `lang_definitions` VALUES (117819, 975, 23, 'Avestan');
INSERT INTO `lang_definitions` VALUES (117820, 976, 23, 'Media Mensile');
INSERT INTO `lang_definitions` VALUES (117821, 980, 23, 'Avulsione/frattura avulsa');
INSERT INTO `lang_definitions` VALUES (117822, 981, 23, 'Avulsione del malleolo laterale');
INSERT INTO `lang_definitions` VALUES (117823, 982, 23, 'Avulsione del malleolo mediale');
INSERT INTO `lang_definitions` VALUES (117824, 983, 23, 'Basato sulla consapevolezza');
INSERT INTO `lang_definitions` VALUES (117825, 985, 23, 'Ascellare');
INSERT INTO `lang_definitions` VALUES (117826, 990, 23, 'Aymara');
INSERT INTO `lang_definitions` VALUES (117827, 991, 23, 'Azerbaijani');
INSERT INTO `lang_definitions` VALUES (117828, 992, 23, 'b.i.d(bis in die)');
INSERT INTO `lang_definitions` VALUES (117829, 993, 23, 'Indietro');
INSERT INTO `lang_definitions` VALUES (117830, 994, 23, 'indietro');
INSERT INTO `lang_definitions` VALUES (117831, 995, 23, 'Indietro di 8 visite');
INSERT INTO `lang_definitions` VALUES (117832, 996, 23, 'Indietro di 11 visite');
INSERT INTO `lang_definitions` VALUES (117833, 997, 23, 'Indietro di 5 visite');
INSERT INTO `lang_definitions` VALUES (117834, 998, 23, 'Indietro di 4 visite');
INSERT INTO `lang_definitions` VALUES (117835, 999, 23, 'Indietro di 9 visite');
INSERT INTO `lang_definitions` VALUES (117836, 1000, 23, 'Indietro di 1 visita');
INSERT INTO `lang_definitions` VALUES (117837, 1001, 23, 'Dolore alla schiena');
INSERT INTO `lang_definitions` VALUES (117838, 1002, 23, 'Problemi alla schiena');
INSERT INTO `lang_definitions` VALUES (117839, 1003, 23, 'Indietro di 7 visite');
INSERT INTO `lang_definitions` VALUES (117840, 1004, 23, 'Indietro di 6 visite');
INSERT INTO `lang_definitions` VALUES (117841, 1005, 23, 'Intervento alla schiena');
INSERT INTO `lang_definitions` VALUES (117842, 1006, 23, 'Indietro di 10 visite');
INSERT INTO `lang_definitions` VALUES (117843, 1007, 23, 'Indietro di 3 visite');
INSERT INTO `lang_definitions` VALUES (117844, 1008, 23, 'Indietro alla pagina Admin');
INSERT INTO `lang_definitions` VALUES (117845, 1011, 23, 'Torna alle visite');
INSERT INTO `lang_definitions` VALUES (117846, 1012, 23, 'Torna al Paziente');
INSERT INTO `lang_definitions` VALUES (117847, 1013, 23, 'Torna al Paziente');
INSERT INTO `lang_definitions` VALUES (117848, 1015, 23, 'Torna agli utenti');
INSERT INTO `lang_definitions` VALUES (117849, 1016, 23, 'Torna alla vista');
INSERT INTO `lang_definitions` VALUES (117850, 1017, 23, 'Indietro di 12 visite');
INSERT INTO `lang_definitions` VALUES (117851, 1018, 23, 'Indietro di 2 visite');
INSERT INTO `lang_definitions` VALUES (117852, 1019, 23, 'Servizi in Background');
INSERT INTO `lang_definitions` VALUES (117853, 1020, 23, 'Backup');
INSERT INTO `lang_definitions` VALUES (117854, 1022, 23, 'Il file di Backup è stato creato. Ora sarà inviato.');
INSERT INTO `lang_definitions` VALUES (117855, 1023, 23, 'Lista di Backup');
INSERT INTO `lang_definitions` VALUES (117856, 1024, 23, 'Backup attuato con successo in');
INSERT INTO `lang_definitions` VALUES (117857, 1025, 23, 'Assegno non buono');
INSERT INTO `lang_definitions` VALUES (117858, 1026, 23, 'Debito insoluto');
INSERT INTO `lang_definitions` VALUES (117859, 1027, 23, 'Bahasa Indonesia');
INSERT INTO `lang_definitions` VALUES (117860, 1028, 23, 'Bal');
INSERT INTO `lang_definitions` VALUES (117861, 1031, 23, 'Bilancio');
INSERT INTO `lang_definitions` VALUES (117862, 1032, 23, 'bilancio');
INSERT INTO `lang_definitions` VALUES (117863, 1033, 23, 'Ammont.dovuto');
INSERT INTO `lang_definitions` VALUES (117864, 1034, 23, 'Saldo dovuto');
INSERT INTO `lang_definitions` VALUES (117865, 1037, 23, 'Bambara');
INSERT INTO `lang_definitions` VALUES (117866, 1038, 23, 'Assegno bancario');
INSERT INTO `lang_definitions` VALUES (117867, 1039, 23, 'Etichetta Barcode');
INSERT INTO `lang_definitions` VALUES (117868, 1040, 23, 'Tipo etichetta Barcode');
INSERT INTO `lang_definitions` VALUES (117869, 1041, 23, 'Tipo di codice a barre per la stampa di etichette con codice a barre da popup a schermo di navigazione a sinistra.');
INSERT INTO `lang_definitions` VALUES (117870, 1042, 23, 'Base del quinto Metarsale');
INSERT INTO `lang_definitions` VALUES (117871, 1043, 23, 'Base del quinto Metarsale');
INSERT INTO `lang_definitions` VALUES (117872, 1047, 23, 'Bashkir');
INSERT INTO `lang_definitions` VALUES (117873, 1049, 23, 'Basque');
INSERT INTO `lang_definitions` VALUES (117874, 1050, 23, 'Batch richiesta');
INSERT INTO `lang_definitions` VALUES (117875, 1051, 23, 'Batch strumento di comunicazione');
INSERT INTO `lang_definitions` VALUES (117876, 1053, 23, 'Batch entrata pagamenti');
INSERT INTO `lang_definitions` VALUES (117877, 1054, 23, 'Batch pagamenti');
INSERT INTO `lang_definitions` VALUES (117878, 1055, 23, 'Elaborazione batch avviata, l\'operazione potrebbe richiedere un po \'.');
INSERT INTO `lang_definitions` VALUES (117879, 1056, 23, 'Risultati Batch');
INSERT INTO `lang_definitions` VALUES (117880, 1057, 23, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (117881, 1060, 23, 'Siate pazienti, alcuni file possono richiedere diversi minuti per essere elaborati!');
INSERT INTO `lang_definitions` VALUES (117882, 1063, 23, 'perchè quell\'id non esiste.');
INSERT INTO `lang_definitions` VALUES (117883, 1072, 23, 'Inizio');
INSERT INTO `lang_definitions` VALUES (117884, 1074, 23, 'Data inizio');
INSERT INTO `lang_definitions` VALUES (117885, 1077, 23, 'Data inizio del servizio aaaa-mm-gg');
INSERT INTO `lang_definitions` VALUES (117886, 1078, 23, 'Ora del giorno iniziale per gli eventi del calendario.');
INSERT INTO `lang_definitions` VALUES (117887, 1081, 23, 'Belarusian');
INSERT INTO `lang_definitions` VALUES (117888, 1082, 23, 'Ruttare');
INSERT INTO `lang_definitions` VALUES (117889, 1086, 23, 'Bengalese');
INSERT INTO `lang_definitions` VALUES (117890, 1087, 23, 'Bengali- Bangla');
INSERT INTO `lang_definitions` VALUES (117891, 1089, 23, 'tra');
INSERT INTO `lang_definitions` VALUES (117892, 1091, 23, 'Bidirezionale');
INSERT INTO `lang_definitions` VALUES (117893, 1094, 23, 'Bihari');
INSERT INTO `lang_definitions` VALUES (117894, 1095, 23, 'Bilaterale');
INSERT INTO `lang_definitions` VALUES (117895, 1096, 23, 'Bilaterale:');
INSERT INTO `lang_definitions` VALUES (117896, 1099, 23, 'Data Fattura:');
INSERT INTO `lang_definitions` VALUES (117897, 1101, 23, 'Fattura/Raccolta');
INSERT INTO `lang_definitions` VALUES (117898, 1102, 23, 'Fatturato');
INSERT INTO `lang_definitions` VALUES (117899, 1104, 23, 'In fatturazione');
INSERT INTO `lang_definitions` VALUES (117900, 1105, 23, 'Fatturazione(scrittura opzionale)');
INSERT INTO `lang_definitions` VALUES (117901, 1109, 23, 'Att. ne fatturazione');
INSERT INTO `lang_definitions` VALUES (117902, 1111, 23, 'Codice di fatturazione per il servizio richiesto');
INSERT INTO `lang_definitions` VALUES (117903, 1112, 23, 'Codici fatturazione');
INSERT INTO `lang_definitions` VALUES (117904, 1113, 23, 'Data fatturazione');
INSERT INTO `lang_definitions` VALUES (117905, 1114, 23, 'Reaparto di fatturazione');
INSERT INTO `lang_definitions` VALUES (117906, 1115, 23, 'Sede fatturazione');
INSERT INTO `lang_definitions` VALUES (117907, 1117, 23, 'Informazioni di fatturazione');
INSERT INTO `lang_definitions` VALUES (117908, 1118, 23, 'Località fatturazione');
INSERT INTO `lang_definitions` VALUES (117909, 1125, 23, 'Gestore fatturazioni');
INSERT INTO `lang_definitions` VALUES (117910, 1126, 23, 'Nota di fatturazione');
INSERT INTO `lang_definitions` VALUES (117911, 1127, 23, 'Nota di fatturazione per');
INSERT INTO `lang_definitions` VALUES (117912, 1128, 23, 'Nota di fatturazione:');
INSERT INTO `lang_definitions` VALUES (117913, 1130, 23, 'Risultati della coda di fatturazione');
INSERT INTO `lang_definitions` VALUES (117914, 1131, 23, 'Resoconto fatturazioni');
INSERT INTO `lang_definitions` VALUES (117915, 1132, 23, 'Stato fatturazione');
INSERT INTO `lang_definitions` VALUES (117916, 1133, 23, 'Stato fatturazione: Non fatturato');
INSERT INTO `lang_definitions` VALUES (117917, 1134, 23, 'fatturare a');
INSERT INTO `lang_definitions` VALUES (117918, 1138, 23, 'Biopsia');
INSERT INTO `lang_definitions` VALUES (117919, 1140, 23, 'Data di Nascita');
INSERT INTO `lang_definitions` VALUES (117920, 1141, 23, 'Nascita-24 mesi');
INSERT INTO `lang_definitions` VALUES (117921, 1143, 23, 'Bislama');
INSERT INTO `lang_definitions` VALUES (117922, 1144, 23, 'Nero');
INSERT INTO `lang_definitions` VALUES (117923, 1147, 23, 'Polmone nero');
INSERT INTO `lang_definitions` VALUES (117924, 1148, 23, 'Nero o Afro Americano');
INSERT INTO `lang_definitions` VALUES (117925, 1149, 23, 'Cancro alla vescica');
INSERT INTO `lang_definitions` VALUES (117926, 1150, 23, 'Infezione alla vescica');
INSERT INTO `lang_definitions` VALUES (117927, 1152, 23, 'Modulo in bianco');
INSERT INTO `lang_definitions` VALUES (117928, 1153, 23, 'Problemi di sanguinamento');
INSERT INTO `lang_definitions` VALUES (117929, 1154, 23, 'Punti ciechi');
INSERT INTO `lang_definitions` VALUES (117930, 1156, 23, 'Gonfiore/meteorismo');
INSERT INTO `lang_definitions` VALUES (117931, 1158, 23, 'Bloccato');
INSERT INTO `lang_definitions` VALUES (117932, 1159, 23, 'Sangue');
INSERT INTO `lang_definitions` VALUES (117933, 1160, 23, 'Pressione sanguigna');
INSERT INTO `lang_definitions` VALUES (117934, 1161, 23, 'Pressione sanguigna');
INSERT INTO `lang_definitions` VALUES (117935, 1162, 23, 'Naso sanguinante');
INSERT INTO `lang_definitions` VALUES (117936, 1163, 23, 'Schermo blu trasversale blu');
INSERT INTO `lang_definitions` VALUES (117937, 1165, 23, 'Le linee blu in questo resoconto sono informative. Le linee nere mostrano una informazione precedentemente esistente. Le linee verdi mostrano i cambiamenti che sono stati apportati con successo. Le linee rosse indicano errori, o cambiamenti che non sono stati apportati; queste dovranno essere processate manualmente. Attualmente le richieste respinte e gli storni di pagamento non sono gestiti automaticaente e così appaiono in rosso.');
INSERT INTO `lang_definitions` VALUES (117938, 1166, 23, 'Visione offuscata');
INSERT INTO `lang_definitions` VALUES (117939, 1167, 23, 'BMI');
INSERT INTO `lang_definitions` VALUES (117940, 1168, 23, 'Status BMI');
INSERT INTO `lang_definitions` VALUES (117941, 1170, 23, 'Regione corporea');
INSERT INTO `lang_definitions` VALUES (117942, 1171, 23, 'Sito corporeo');
INSERT INTO `lang_definitions` VALUES (117943, 1172, 23, 'Sito corporeo, se applicabile');
INSERT INTO `lang_definitions` VALUES (117944, 1173, 23, 'Dolori ossei');
INSERT INTO `lang_definitions` VALUES (117945, 1174, 23, 'Dolori ossei: Malleolo mediale');
INSERT INTO `lang_definitions` VALUES (117946, 1175, 23, 'Booleana');
INSERT INTO `lang_definitions` VALUES (117947, 1176, 23, 'Bosnian');
INSERT INTO `lang_definitions` VALUES (117948, 1177, 23, 'In basso');
INSERT INTO `lang_definitions` VALUES (117949, 1179, 23, 'Entrambe le orecchie');
INSERT INTO `lang_definitions` VALUES (117950, 1180, 23, 'entrambe le orecchie');
INSERT INTO `lang_definitions` VALUES (117951, 1183, 23, 'In basso');
INSERT INTO `lang_definitions` VALUES (117952, 1187, 23, 'BOX 10 A. Correlato al lavoro');
INSERT INTO `lang_definitions` VALUES (117953, 1189, 23, 'BOX 10 B. Incidente d\'auto');
INSERT INTO `lang_definitions` VALUES (117954, 1191, 23, 'BOX 10 C. Altro incidente');
INSERT INTO `lang_definitions` VALUES (117955, 1200, 23, 'BOX 14 qualificatore dati');
INSERT INTO `lang_definitions` VALUES (117956, 1204, 23, 'BOX 15 altro qualificatore dati');
INSERT INTO `lang_definitions` VALUES (117957, 1205, 23, 'BOX 15. Data di malattia uguale o simile (aaaa-mm-gg):');
INSERT INTO `lang_definitions` VALUES (117958, 1206, 23, 'BOX 15. Data di malattia uguale o simile/Altra data (aaaa-mm-gg):');
INSERT INTO `lang_definitions` VALUES (117959, 1211, 23, 'BOX 16. Data di inabilità al lavoro dal (aaaa-mm-gg):');
INSERT INTO `lang_definitions` VALUES (117960, 1215, 23, 'BOX 16. Data inabilità al lavoro fino al (aaaa-mm-gg):');
INSERT INTO `lang_definitions` VALUES (117961, 1227, 23, 'BOX 18. Data ospedalizzazione dal (aaaa-mm-gg):');
INSERT INTO `lang_definitions` VALUES (117962, 1231, 23, 'BOX 18. Data ospedalizzazione fino al (aaaa-mm-gg):');
INSERT INTO `lang_definitions` VALUES (117963, 1235, 23, 'BOX 20. Si è utilizzato un Laboratorio esterno?');
INSERT INTO `lang_definitions` VALUES (117964, 1239, 23, 'BOX 22. Medicaid Codice ripresentazione (ICD-9)');
INSERT INTO `lang_definitions` VALUES (117965, 1243, 23, 'BOX 23. Autorizzazione precedente Nr.');
INSERT INTO `lang_definitions` VALUES (117966, 1244, 23, 'BP');
INSERT INTO `lang_definitions` VALUES (117967, 1245, 23, 'BP Diastolica');
INSERT INTO `lang_definitions` VALUES (117968, 1246, 23, 'BP Sistolica');
INSERT INTO `lang_definitions` VALUES (117969, 1248, 23, 'Bpd');
INSERT INTO `lang_definitions` VALUES (117970, 1252, 23, 'Bps');
INSERT INTO `lang_definitions` VALUES (117971, 1254, 23, 'Potoghese Brasiliano');
INSERT INTO `lang_definitions` VALUES (117972, 1255, 23, 'Seno');
INSERT INTO `lang_definitions` VALUES (117973, 1256, 23, 'Biopsia al seno');
INSERT INTO `lang_definitions` VALUES (117974, 1257, 23, 'Seno scarico');
INSERT INTO `lang_definitions` VALUES (117975, 1258, 23, 'Malattia del seno');
INSERT INTO `lang_definitions` VALUES (117976, 1259, 23, 'Esame mammario');
INSERT INTO `lang_definitions` VALUES (117977, 1260, 23, 'Massa dei seni');
INSERT INTO `lang_definitions` VALUES (117978, 1262, 23, 'Rumori respiratori:');
INSERT INTO `lang_definitions` VALUES (117979, 1263, 23, 'Breton');
INSERT INTO `lang_definitions` VALUES (117980, 1265, 23, 'Fratture');
INSERT INTO `lang_definitions` VALUES (117981, 1266, 23, 'modulo rottura');
INSERT INTO `lang_definitions` VALUES (117982, 1267, 23, 'Forma bronchitica');
INSERT INTO `lang_definitions` VALUES (117983, 1270, 23, 'Consulta');
INSERT INTO `lang_definitions` VALUES (117984, 1271, 23, 'Consulta i Record');
INSERT INTO `lang_definitions` VALUES (117985, 1272, 23, 'Contusione/Ematoma');
INSERT INTO `lang_definitions` VALUES (117986, 1275, 23, 'Bulgaro');
INSERT INTO `lang_definitions` VALUES (117987, 1276, 23, 'Bulging di destra:');
INSERT INTO `lang_definitions` VALUES (117988, 1277, 23, 'Burmese');
INSERT INTO `lang_definitions` VALUES (117989, 1278, 23, 'Bruciore alla minzione');
INSERT INTO `lang_definitions` VALUES (117990, 1279, 23, 'Bruciore alla minzione');
INSERT INTO `lang_definitions` VALUES (117991, 1281, 23, 'Telefono aziendale');
INSERT INTO `lang_definitions` VALUES (117992, 1282, 23, 'Occupato');
INSERT INTO `lang_definitions` VALUES (117993, 1283, 23, 'ma non ancora processato.');
INSERT INTO `lang_definitions` VALUES (117994, 1284, 23, 'Natica');
INSERT INTO `lang_definitions` VALUES (117995, 1285, 23, 'Natica + S.I.');
INSERT INTO `lang_definitions` VALUES (117996, 1286, 23, 'da');
INSERT INTO `lang_definitions` VALUES (117997, 1287, 23, 'Da');
INSERT INTO `lang_definitions` VALUES (117998, 1293, 23, 'per via orale');
INSERT INTO `lang_definitions` VALUES (117999, 1295, 23, 'Da/Origine');
INSERT INTO `lang_definitions` VALUES (118000, 1296, 23, 'Da:');
INSERT INTO `lang_definitions` VALUES (118001, 1299, 23, 'C');
INSERT INTO `lang_definitions` VALUES (118002, 1301, 23, 'Certificato CA per la verifica del RFC 5425 TLS syslog server.');
INSERT INTO `lang_definitions` VALUES (118003, 1302, 23, 'Tempo di vita della Cache (in secondi)');
INSERT INTO `lang_definitions` VALUES (118004, 1303, 23, 'Cache modelli output?');
INSERT INTO `lang_definitions` VALUES (118005, 1305, 23, 'Consumo di caffeina');
INSERT INTO `lang_definitions` VALUES (118006, 1306, 23, 'Agenda');
INSERT INTO `lang_definitions` VALUES (118007, 1307, 23, 'Ora finale dell\'Agenda');
INSERT INTO `lang_definitions` VALUES (118008, 1308, 23, 'Intervallo dell\'Agenda');
INSERT INTO `lang_definitions` VALUES (118009, 1309, 23, 'Schermata Agenda');
INSERT INTO `lang_definitions` VALUES (118010, 1310, 23, 'Specifiche Agenda');
INSERT INTO `lang_definitions` VALUES (118011, 1312, 23, 'Ora iniziale del Agenda');
INSERT INTO `lang_definitions` VALUES (118012, 1313, 23, 'UI dell\'Agenda');
INSERT INTO `lang_definitions` VALUES (118013, 1314, 23, 'Vista del Agenda');
INSERT INTO `lang_definitions` VALUES (118014, 1317, 23, 'La chiamata a addForm() va qui.<br>');
INSERT INTO `lang_definitions` VALUES (118015, 1321, 23, 'Calorie');
INSERT INTO `lang_definitions` VALUES (118016, 1322, 23, 'Cambogiano');
INSERT INTO `lang_definitions` VALUES (118017, 1323, 23, 'CAMOS');
INSERT INTO `lang_definitions` VALUES (118018, 1329, 23, 'Annulla');
INSERT INTO `lang_definitions` VALUES (118019, 1332, 23, 'Annulla i cambiamenti');
INSERT INTO `lang_definitions` VALUES (118020, 1333, 23, 'Annullato');
INSERT INTO `lang_definitions` VALUES (118021, 1335, 23, 'Cancro');
INSERT INTO `lang_definitions` VALUES (118022, 1336, 23, 'Screening cancro: screening del cancro al colon');
INSERT INTO `lang_definitions` VALUES (118023, 1337, 23, 'Screening cancro: mammografia');
INSERT INTO `lang_definitions` VALUES (118024, 1338, 23, 'Screening cancro: pap test');
INSERT INTO `lang_definitions` VALUES (118025, 1339, 23, 'Screening cancro: screening del cancro alla prostata');
INSERT INTO `lang_definitions` VALUES (118026, 1340, 23, 'Non puoi aggiungere questo elemento perchè esiste già!');
INSERT INTO `lang_definitions` VALUES (118027, 1341, 23, 'Non puoi aggiungere/aggiornare questo elemento perchè esiste già un duplicato!');
INSERT INTO `lang_definitions` VALUES (118028, 1342, 23, 'non può essere archiviato, ignorato');
INSERT INTO `lang_definitions` VALUES (118029, 1343, 23, 'non può essere convertito in JPEG. Forse ImageMagick non è installato?');
INSERT INTO `lang_definitions` VALUES (118030, 1344, 23, 'non può essere eliminato, ignorato');
INSERT INTO `lang_definitions` VALUES (118031, 1345, 23, 'non può essere mostrato in linea perchè il suo tipo non è supportato dal browser');
INSERT INTO `lang_definitions` VALUES (118032, 1346, 23, 'non può essere mostrato in linea perchè il suo tipo non è supportato dal browser');
INSERT INTO `lang_definitions` VALUES (118033, 1347, 23, 'non può essere mostrato in linea perchè il suo tipo non è supportato dal browser');
INSERT INTO `lang_definitions` VALUES (118034, 1349, 23, 'Impossibile creare');
INSERT INTO `lang_definitions` VALUES (118035, 1350, 23, 'Impossibile creare il file');
INSERT INTO `lang_definitions` VALUES (118036, 1351, 23, 'Impossibile cancellare(dal server SFTP) il file');
INSERT INTO `lang_definitions` VALUES (118037, 1352, 23, 'Impossibile cancellare il file');
INSERT INTO `lang_definitions` VALUES (118038, 1353, 23, 'Impossibile determinare la destinazione del nome del file');
INSERT INTO `lang_definitions` VALUES (118039, 1354, 23, 'Impossibile trovare');
INSERT INTO `lang_definitions` VALUES (118040, 1355, 23, 'Non trovo il nome del file di destinazione');
INSERT INTO `lang_definitions` VALUES (118041, 1358, 23, 'Impossibile trovare il paziente da SQL-Ledger cliente id');
INSERT INTO `lang_definitions` VALUES (118042, 1359, 23, 'Impossibile trovare il documento di riferimento in postilla');
INSERT INTO `lang_definitions` VALUES (118043, 1360, 23, 'Impossibile trovare il fornitore di SQL-Ledger dipendente =');
INSERT INTO `lang_definitions` VALUES (118044, 1361, 23, 'Non è possibile modificare i pagamenti. Indistribuiti è negativo.');
INSERT INTO `lang_definitions` VALUES (118045, 1363, 23, 'Impossibile aprire');
INSERT INTO `lang_definitions` VALUES (118046, 1364, 23, 'Impossibile inviare all\'assicurazione. L\'entità pagante è il Paziente');
INSERT INTO `lang_definitions` VALUES (118047, 1365, 23, 'Impossibile inviare al paziente. L\'entità pagante è l\'Assicurazione');
INSERT INTO `lang_definitions` VALUES (118048, 1366, 23, 'Non è possibile registrare i pagamenti. Indistribuiti è negativo.');
INSERT INTO `lang_definitions` VALUES (118049, 1367, 23, 'Impossibile leggere');
INSERT INTO `lang_definitions` VALUES (118050, 1368, 23, 'Impossibile leggere la directory');
INSERT INTO `lang_definitions` VALUES (118051, 1369, 23, 'Impossibile aggiornare perchè non stai aggiornando un elemento esistente!');
INSERT INTO `lang_definitions` VALUES (118052, 1370, 23, 'Metti in lettere maiuscole');
INSERT INTO `lang_definitions` VALUES (118053, 1371, 23, 'Tutto maiuscolo');
INSERT INTO `lang_definitions` VALUES (118054, 1372, 23, 'capsula');
INSERT INTO `lang_definitions` VALUES (118055, 1373, 23, 'Carta');
INSERT INTO `lang_definitions` VALUES (118056, 1382, 23, 'Caterizzazione Cardiaca');
INSERT INTO `lang_definitions` VALUES (118057, 1383, 23, 'Ecocardiogramma');
INSERT INTO `lang_definitions` VALUES (118058, 1384, 23, 'Cardiovascolare');
INSERT INTO `lang_definitions` VALUES (118059, 1396, 23, 'Cartilagine / condrale / danni al disco');
INSERT INTO `lang_definitions` VALUES (118060, 1397, 23, 'Lesione cartilaginea');
INSERT INTO `lang_definitions` VALUES (118061, 1398, 23, 'Pulsazioni carotidee');
INSERT INTO `lang_definitions` VALUES (118062, 1400, 23, 'cassa');
INSERT INTO `lang_definitions` VALUES (118063, 1401, 23, 'Cassa');
INSERT INTO `lang_definitions` VALUES (118064, 1402, 23, 'Reg Cassa');
INSERT INTO `lang_definitions` VALUES (118065, 1403, 23, 'Incassi dal fornitore');
INSERT INTO `lang_definitions` VALUES (118066, 1404, 23, 'Catalan- Valencian');
INSERT INTO `lang_definitions` VALUES (118067, 1406, 23, 'Intervento di cataratta');
INSERT INTO `lang_definitions` VALUES (118068, 1407, 23, 'Cataratta');
INSERT INTO `lang_definitions` VALUES (118069, 1408, 23, 'Categorie');
INSERT INTO `lang_definitions` VALUES (118070, 1409, 23, 'Categorie per');
INSERT INTO `lang_definitions` VALUES (118071, 1410, 23, 'Categoria');
INSERT INTO `lang_definitions` VALUES (118072, 1411, 23, 'categoria');
INSERT INTO `lang_definitions` VALUES (118073, 1412, 23, 'Categoria');
INSERT INTO `lang_definitions` VALUES (118074, 1416, 23, 'Dettagli categoria');
INSERT INTO `lang_definitions` VALUES (118075, 1417, 23, 'Limiti categoria');
INSERT INTO `lang_definitions` VALUES (118076, 1418, 23, 'Nome categoria');
INSERT INTO `lang_definitions` VALUES (118077, 1419, 23, 'Il nome della categoria è vuoto');
INSERT INTO `lang_definitions` VALUES (118078, 1420, 23, 'Categoria/Titolo');
INSERT INTO `lang_definitions` VALUES (118079, 1421, 23, 'Caucasico');
INSERT INTO `lang_definitions` VALUES (118080, 1422, 23, 'Provoca incassi per la stampa Incontro / Info Fornitore primario');
INSERT INTO `lang_definitions` VALUES (118081, 1432, 23, 'Approvare CCR');
INSERT INTO `lang_definitions` VALUES (118082, 1433, 23, 'Revisione paziente CCR');
INSERT INTO `lang_definitions` VALUES (118083, 1434, 23, 'Revisiona e approva CCR');
INSERT INTO `lang_definitions` VALUES (118084, 1442, 23, 'CDR');
INSERT INTO `lang_definitions` VALUES (118085, 1443, 23, 'CDR Reports priorità di elaborazione');
INSERT INTO `lang_definitions` VALUES (118086, 1444, 23, 'Cell');
INSERT INTO `lang_definitions` VALUES (118087, 1445, 23, 'Cellulare');
INSERT INTO `lang_definitions` VALUES (118088, 1446, 23, 'Numero di cellulare');
INSERT INTO `lang_definitions` VALUES (118089, 1447, 23, 'Numero di Celulare');
INSERT INTO `lang_definitions` VALUES (118090, 1449, 23, 'Certificazione centrale');
INSERT INTO `lang_definitions` VALUES (118091, 1451, 23, 'Centro/Sud America');
INSERT INTO `lang_definitions` VALUES (118092, 1452, 23, 'Il file crt del certificato dell\'autorità non può essere vuoto');
INSERT INTO `lang_definitions` VALUES (118093, 1453, 23, 'Il file key del certificato dell\'autorità non può essere vuoto');
INSERT INTO `lang_definitions` VALUES (118094, 1454, 23, 'Certificato da inviare al RFC 5425 TSL syslog server.');
INSERT INTO `lang_definitions` VALUES (118095, 1455, 23, 'Cetificato dell\'utente');
INSERT INTO `lang_definitions` VALUES (118096, 1456, 23, 'Certificati');
INSERT INTO `lang_definitions` VALUES (118097, 1457, 23, 'Chamorro');
INSERT INTO `lang_definitions` VALUES (118098, 1458, 23, 'Campione US');
INSERT INTO `lang_definitions` VALUES (118099, 1459, 23, 'Campione USVA');
INSERT INTO `lang_definitions` VALUES (118100, 1460, 23, 'cambia');
INSERT INTO `lang_definitions` VALUES (118101, 1461, 23, 'Cambia');
INSERT INTO `lang_definitions` VALUES (118102, 1462, 23, 'Cambio attività');
INSERT INTO `lang_definitions` VALUES (118103, 1466, 23, 'Modifica non riuscita! CouchDB collegare errore?');
INSERT INTO `lang_definitions` VALUES (118104, 1467, 23, 'Cambiamento nella visione');
INSERT INTO `lang_definitions` VALUES (118105, 1468, 23, 'Cambiamento nella visione');
INSERT INTO `lang_definitions` VALUES (118106, 1470, 23, 'Cambio Password');
INSERT INTO `lang_definitions` VALUES (118107, 1475, 23, 'Cambiato');
INSERT INTO `lang_definitions` VALUES (118108, 1476, 23, 'Osso sostituito');
INSERT INTO `lang_definitions` VALUES (118109, 1479, 23, 'Cambiare ID paziente per documento');
INSERT INTO `lang_definitions` VALUES (118110, 1484, 23, 'Caratteristiche');
INSERT INTO `lang_definitions` VALUES (118111, 1485, 23, 'Caratteri rimanenti');
INSERT INTO `lang_definitions` VALUES (118112, 1486, 23, 'Spese');
INSERT INTO `lang_definitions` VALUES (118113, 1487, 23, 'Aggiustamento spese');
INSERT INTO `lang_definitions` VALUES (118114, 1488, 23, 'Codice spesa');
INSERT INTO `lang_definitions` VALUES (118115, 1490, 23, 'Spese');
INSERT INTO `lang_definitions` VALUES (118116, 1491, 23, 'Tabulato');
INSERT INTO `lang_definitions` VALUES (118117, 1492, 23, 'Tabulato Attività');
INSERT INTO `lang_definitions` VALUES (118118, 1493, 23, 'Tabulato resoconto Ingresso/uscita');
INSERT INTO `lang_definitions` VALUES (118119, 1495, 23, 'ID Tabulato');
INSERT INTO `lang_definitions` VALUES (118120, 1496, 23, 'ID Tabulato:');
INSERT INTO `lang_definitions` VALUES (118121, 1497, 23, 'Tabulato etichetta');
INSERT INTO `lang_definitions` VALUES (118122, 1498, 23, 'Tabulato dell\'Attività della Sede');
INSERT INTO `lang_definitions` VALUES (118123, 1499, 23, 'Nota al Tabulato');
INSERT INTO `lang_definitions` VALUES (118124, 1500, 23, 'Numero del Tabulato');
INSERT INTO `lang_definitions` VALUES (118125, 1502, 23, 'Tabella posizioni di memoria');
INSERT INTO `lang_definitions` VALUES (118126, 1504, 23, 'Tracciatura tabelle');
INSERT INTO `lang_definitions` VALUES (118127, 1505, 23, 'Tracciatura tabelle');
INSERT INTO `lang_definitions` VALUES (118128, 1508, 23, 'Dati estratti');
INSERT INTO `lang_definitions` VALUES (118129, 1509, 23, 'Dati usciti');
INSERT INTO `lang_definitions` VALUES (118130, 1512, 23, 'Ceceno');
INSERT INTO `lang_definitions` VALUES (118131, 1513, 23, 'Assegno');
INSERT INTO `lang_definitions` VALUES (118132, 1514, 23, 'Assegno');
INSERT INTO `lang_definitions` VALUES (118133, 1515, 23, 'Controlla tutto');
INSERT INTO `lang_definitions` VALUES (118134, 1517, 23, 'Importo assegno');
INSERT INTO `lang_definitions` VALUES (118135, 1519, 23, 'Data assegno');
INSERT INTO `lang_definitions` VALUES (118136, 1521, 23, 'Controlla le differenze di traduzione con la tabella del linguaggio custom');
INSERT INTO `lang_definitions` VALUES (118137, 1527, 23, 'Arrivo per');
INSERT INTO `lang_definitions` VALUES (118138, 1528, 23, 'Verifica dati di ingresso');
INSERT INTO `lang_definitions` VALUES (118139, 1529, 23, 'Spunta gli articoli da grafico');
INSERT INTO `lang_definitions` VALUES (118140, 1530, 23, 'Controllo risultati di laboratorio');
INSERT INTO `lang_definitions` VALUES (118141, 1531, 23, 'Segno di spunta indica recensione');
INSERT INTO `lang_definitions` VALUES (118142, 1532, 23, 'Verifica n.');
INSERT INTO `lang_definitions` VALUES (118143, 1533, 23, 'Verifica Numero');
INSERT INTO `lang_definitions` VALUES (118144, 1536, 23, 'Pagamento per assegno');
INSERT INTO `lang_definitions` VALUES (118145, 1537, 23, 'Spunta la casella se questo è un file criptato');
INSERT INTO `lang_definitions` VALUES (118146, 1541, 23, 'Spunta questa se vuoi che gli eroganti vedano tutti gli appuntamenti e non solo i propri.');
INSERT INTO `lang_definitions` VALUES (118147, 1543, 23, 'Verifica per creare risultato di questa diagnosi');
INSERT INTO `lang_definitions` VALUES (118148, 1545, 23, 'Controllo/EOB data:');
INSERT INTO `lang_definitions` VALUES (118149, 1547, 23, 'Controllo/EOB N.:');
INSERT INTO `lang_definitions` VALUES (118150, 1548, 23, 'Assegno/Num rif.');
INSERT INTO `lang_definitions` VALUES (118151, 1549, 23, 'Assegno/Numero di riferimento');
INSERT INTO `lang_definitions` VALUES (118152, 1550, 23, 'Elenco di caselle di spunta');
INSERT INTO `lang_definitions` VALUES (118153, 1551, 23, 'elenco di caselle di spunta');
INSERT INTO `lang_definitions` VALUES (118154, 1552, 23, 'casella di spunta s/ testo');
INSERT INTO `lang_definitions` VALUES (118155, 1553, 23, 'Casella di spunta s/ testo');
INSERT INTO `lang_definitions` VALUES (118156, 1555, 23, 'Le caselle di controllo sopra indicano se si desidera rifiutare ed eliminare il file HL7.');
INSERT INTO `lang_definitions` VALUES (118157, 1557, 23, 'Spuntato');
INSERT INTO `lang_definitions` VALUES (118158, 1559, 23, 'Casella spuntata = si , vuota = no');
INSERT INTO `lang_definitions` VALUES (118159, 1566, 23, 'Selezionando la casella di blocco si impedirà ulteriori modifiche in qualsiasi forma di questo incontro.');
INSERT INTO `lang_definitions` VALUES (118160, 1568, 23, 'Cassa');
INSERT INTO `lang_definitions` VALUES (118161, 1569, 23, 'Somma di controllo');
INSERT INTO `lang_definitions` VALUES (118162, 1570, 23, 'Petto');
INSERT INTO `lang_definitions` VALUES (118163, 1571, 23, 'Petto CTAB');
INSERT INTO `lang_definitions` VALUES (118164, 1572, 23, 'Dolore al petto');
INSERT INTO `lang_definitions` VALUES (118165, 1573, 23, 'Dolore al petto:');
INSERT INTO `lang_definitions` VALUES (118166, 1574, 23, 'Dolori al petto');
INSERT INTO `lang_definitions` VALUES (118167, 1576, 23, 'Chg');
INSERT INTO `lang_definitions` VALUES (118168, 1577, 23, 'Chichewa- Chewa- Nyanja');
INSERT INTO `lang_definitions` VALUES (118169, 1578, 23, 'Reclami responsabile');
INSERT INTO `lang_definitions` VALUES (118170, 1581, 23, 'Figlio');
INSERT INTO `lang_definitions` VALUES (118171, 1583, 23, 'Stato immunizzazione dell\'infanzia (CQM)');
INSERT INTO `lang_definitions` VALUES (118172, 1584, 23, 'Brividi');
INSERT INTO `lang_definitions` VALUES (118173, 1585, 23, 'Cinese');
INSERT INTO `lang_definitions` VALUES (118174, 1586, 23, 'Cinese(Semplificato)');
INSERT INTO `lang_definitions` VALUES (118175, 1587, 23, 'Cinese(Tradizionale)');
INSERT INTO `lang_definitions` VALUES (118176, 1588, 23, 'Chiropratico');
INSERT INTO `lang_definitions` VALUES (118177, 1589, 23, 'Scelte');
INSERT INTO `lang_definitions` VALUES (118178, 1590, 23, 'Colicistectomia');
INSERT INTO `lang_definitions` VALUES (118179, 1591, 23, 'colicistectomia');
INSERT INTO `lang_definitions` VALUES (118180, 1592, 23, 'Colicistectomia');
INSERT INTO `lang_definitions` VALUES (118181, 1593, 23, 'Scegli');
INSERT INTO `lang_definitions` VALUES (118182, 1596, 23, 'Scegli una sezione e clicca un elemento al suo interno; allora nell\'altra sezione vedrai illuminarsi gli elementi correlati, e puoi cliccare in quella sezione per aggiungere e eliminare relazioni.');
INSERT INTO `lang_definitions` VALUES (118183, 1597, 23, 'Scegli i criteri');
INSERT INTO `lang_definitions` VALUES (118184, 1599, 23, 'Scegli sacrica o visualizza in linea');
INSERT INTO `lang_definitions` VALUES (118185, 1602, 23, 'Scegliere File');
INSERT INTO `lang_definitions` VALUES (118186, 1603, 23, 'Scegliere dalla lista');
INSERT INTO `lang_definitions` VALUES (118187, 1604, 23, 'Scegli la direzione di pagina');
INSERT INTO `lang_definitions` VALUES (118188, 1605, 23, 'Scegli l\'elenco');
INSERT INTO `lang_definitions` VALUES (118189, 1608, 23, 'Scegli la dimesione della carta');
INSERT INTO `lang_definitions` VALUES (118190, 1610, 23, 'Scegli la lingua di preferenza del PDF');
INSERT INTO `lang_definitions` VALUES (118191, 1611, 23, 'Scegli il formato di stampa per questa relazione di incontro.');
INSERT INTO `lang_definitions` VALUES (118192, 1615, 23, 'Bronchite Cronica');
INSERT INTO `lang_definitions` VALUES (118193, 1616, 23, 'Dolore articolare cronico');
INSERT INTO `lang_definitions` VALUES (118194, 1617, 23, 'Dolore cronico al rene (CDK)');
INSERT INTO `lang_definitions` VALUES (118195, 1620, 23, 'Sinovite cronica/effusione/dolore articolare/gotta');
INSERT INTO `lang_definitions` VALUES (118196, 1622, 23, 'Cronico/Ricorrente');
INSERT INTO `lang_definitions` VALUES (118197, 1623, 23, 'Chuvash');
INSERT INTO `lang_definitions` VALUES (118198, 1625, 23, 'Cirrosi epatica');
INSERT INTO `lang_definitions` VALUES (118199, 1626, 23, 'Cirrosi Epatica');
INSERT INTO `lang_definitions` VALUES (118200, 1627, 23, 'Città');
INSERT INTO `lang_definitions` VALUES (118201, 1629, 23, 'Nome città');
INSERT INTO `lang_definitions` VALUES (118202, 1630, 23, 'Città, Provincia');
INSERT INTO `lang_definitions` VALUES (118203, 1631, 23, 'Città, Provincia, CAP');
INSERT INTO `lang_definitions` VALUES (118204, 1633, 23, 'Città/Provincia');
INSERT INTO `lang_definitions` VALUES (118205, 1634, 23, 'Richiesta');
INSERT INTO `lang_definitions` VALUES (118206, 1635, 23, 'Richiesta');
INSERT INTO `lang_definitions` VALUES (118207, 1637, 23, 'Stato richieste');
INSERT INTO `lang_definitions` VALUES (118208, 1638, 23, 'Il test della richiesta è stato completato');
INSERT INTO `lang_definitions` VALUES (118209, 1639, 23, 'Tipo richiesta');
INSERT INTO `lang_definitions` VALUES (118210, 1640, 23, 'La richiesta è stata generata nel file');
INSERT INTO `lang_definitions` VALUES (118211, 1641, 23, 'La richiesta è stata generata nel file');
INSERT INTO `lang_definitions` VALUES (118212, 1642, 23, 'Richiesta');
INSERT INTO `lang_definitions` VALUES (118213, 1645, 23, 'Classificazione');
INSERT INTO `lang_definitions` VALUES (118214, 1646, 23, 'Pulisci');
INSERT INTO `lang_definitions` VALUES (118215, 1649, 23, 'CANCELLA PAZIENTE ATTIVO');
INSERT INTO `lang_definitions` VALUES (118216, 1651, 23, 'Pulisci tutto');
INSERT INTO `lang_definitions` VALUES (118217, 1654, 23, 'Pulisci i dati HL7');
INSERT INTO `lang_definitions` VALUES (118218, 1655, 23, 'Pulisci giustificazione');
INSERT INTO `lang_definitions` VALUES (118219, 1659, 23, 'Pulisci la cache Smarty');
INSERT INTO `lang_definitions` VALUES (118220, 1661, 23, 'Info centro di smistamento necessaria per EDI 270 creazione di batch.');
INSERT INTO `lang_definitions` VALUES (118221, 1662, 23, 'Numero CLIA');
INSERT INTO `lang_definitions` VALUES (118222, 1663, 23, 'Clicca');
INSERT INTO `lang_definitions` VALUES (118223, 1664, 23, 'Clicca \"esporta\" per esportare le Categorie, Subcategorie, Elementi, dati Contenuto in un file di testo. Qualsiasi similitudine di questo file con un file XML è puramente casuale. I tag di apertura e chiusura devono essere sulla stessa linea, in lettera minuscola e senza spazi. Per importare, scegli un file e clicca \"importa\". Se i dati sono completamente diversi, verrà effettuata l\'unione con i dati esistenti. Se ci sono nomi identici, i vecchi saranno mantenuti e i nuovi saranno salvati con un numero alla fine.');
INSERT INTO `lang_definitions` VALUES (118224, 1667, 23, 'Clicca un contrassegno sul disegno per aggiungere una nuova annotazione, cliccalo di nuovo per rimuoverlo.');
INSERT INTO `lang_definitions` VALUES (118225, 1671, 23, 'Clicca \"Scarica Certificato\" per scaricare i certificati nel file ssl.zip');
INSERT INTO `lang_definitions` VALUES (118226, 1672, 23, 'clicca per altri dati');
INSERT INTO `lang_definitions` VALUES (118227, 1673, 23, 'Clicca per maggiori dettagli');
INSERT INTO `lang_definitions` VALUES (118228, 1674, 23, 'Clicca per riepilogo dell\'ordine');
INSERT INTO `lang_definitions` VALUES (118229, 1675, 23, 'Clicca per i risultati');
INSERT INTO `lang_definitions` VALUES (118230, 1678, 23, 'Clicca qui');
INSERT INTO `lang_definitions` VALUES (118231, 1679, 23, 'Clicca qui per aggiungere un nuovo paziente');
INSERT INTO `lang_definitions` VALUES (118232, 1680, 23, 'Clicca qui per aggiungere un cambiamento di stauts con nuova lesione e modificare l\'attività giornaliera');
INSERT INTO `lang_definitions` VALUES (118233, 1682, 23, 'Clicca qui per scegliere una data');
INSERT INTO `lang_definitions` VALUES (118234, 1683, 23, 'Clicca qui per scegliere una data e un\'ora');
INSERT INTO `lang_definitions` VALUES (118235, 1684, 23, 'Clicca qui per scegliere una data iniziale');
INSERT INTO `lang_definitions` VALUES (118236, 1685, 23, 'Clicca qui per scegliere ora la data');
INSERT INTO `lang_definitions` VALUES (118237, 1686, 23, 'Clicca qui per scegliere ora la data da');
INSERT INTO `lang_definitions` VALUES (118238, 1687, 23, 'Clicca qui per scegliere ora la data fino a');
INSERT INTO `lang_definitions` VALUES (118239, 1688, 23, 'Clicca qui per configurare questo modulo');
INSERT INTO `lang_definitions` VALUES (118240, 1692, 23, 'Clicca qui per disabilitare questo modulo');
INSERT INTO `lang_definitions` VALUES (118241, 1703, 23, 'Clicca qui per abilitare questo modulo');
INSERT INTO `lang_definitions` VALUES (118242, 1706, 23, 'Clicca qui per installare questo modulo');
INSERT INTO `lang_definitions` VALUES (118243, 1707, 23, 'clicca qui per cercare');
INSERT INTO `lang_definitions` VALUES (118244, 1710, 23, 'clicca qui per aggiornare le specifiche della priorità, categoria e soprannome');
INSERT INTO `lang_definitions` VALUES (118245, 1714, 23, 'Clicca qui per vedere tutto.');
INSERT INTO `lang_definitions` VALUES (118246, 1715, 23, 'Clicca qui per vedere e tracciare il grafico');
INSERT INTO `lang_definitions` VALUES (118247, 1716, 23, 'Clicca qui per visualizzare e tracciare il grafico di tutti i dati lab');
INSERT INTO `lang_definitions` VALUES (118248, 1717, 23, 'Clicca qui per vedere e tracciare il grafico di tutti i \"Vitali\".');
INSERT INTO `lang_definitions` VALUES (118249, 1718, 23, 'Clicca qui per vedere i dettagli del paziente');
INSERT INTO `lang_definitions` VALUES (118250, 1719, 23, 'Clicca qui per vederli tutti.');
INSERT INTO `lang_definitions` VALUES (118251, 1720, 23, 'Clicca qui per visualizzare / modificare ulteriori dettagli');
INSERT INTO `lang_definitions` VALUES (118252, 1723, 23, 'Clicca il pulsante Installa per installare la versione del database dalla data seguente');
INSERT INTO `lang_definitions` VALUES (118253, 1730, 23, 'Clicca su qualsiasi parte dell\'ora per incrementarla');
INSERT INTO `lang_definitions` VALUES (118254, 1751, 23, 'Clicca sul nome del Paziente per aprire la sua scheda');
INSERT INTO `lang_definitions` VALUES (118255, 1753, 23, 'Clicca Rigenera per vedere tutti i risultati, o immetti criteri di ricerca per vedere risultati specifci.');
INSERT INTO `lang_definitions` VALUES (118256, 1777, 23, 'Clicca per aggiungere una diagnosi');
INSERT INTO `lang_definitions` VALUES (118257, 1779, 23, 'Clicca per aggiungere nuove compnenti');
INSERT INTO `lang_definitions` VALUES (118258, 1780, 23, 'Clicca per aggiungere una nuova consulatazione');
INSERT INTO `lang_definitions` VALUES (118259, 1782, 23, 'Clicca per scegliere diagnosi da giustificare.');
INSERT INTO `lang_definitions` VALUES (118260, 1785, 23, 'Clicca per scaricare');
INSERT INTO `lang_definitions` VALUES (118261, 1786, 23, 'Clicca per modificare');
INSERT INTO `lang_definitions` VALUES (118262, 1787, 23, 'Clicca per modificare la descizione');
INSERT INTO `lang_definitions` VALUES (118263, 1788, 23, 'Clicca per modificare questo evento');
INSERT INTO `lang_definitions` VALUES (118264, 1790, 23, 'Clicca per generare il report');
INSERT INTO `lang_definitions` VALUES (118265, 1799, 23, 'Clicca per abbinare il paziente');
INSERT INTO `lang_definitions` VALUES (118266, 1800, 23, 'Clicca per stampare');
INSERT INTO `lang_definitions` VALUES (118267, 1801, 23, 'Clicca per ricevere (aggiungere) un nuovo lotto');
INSERT INTO `lang_definitions` VALUES (118268, 1805, 23, 'Clicca per selezionare');
INSERT INTO `lang_definitions` VALUES (118269, 1806, 23, 'Clicca per Selezionare');
INSERT INTO `lang_definitions` VALUES (118270, 1808, 23, 'Clicca per selezionare un codice standard-commerciale per questa procedura');
INSERT INTO `lang_definitions` VALUES (118271, 1811, 23, 'Clicca per selezionare il codice di procedura opzionale');
INSERT INTO `lang_definitions` VALUES (118272, 1812, 23, 'Clicca per selezionare o cambiare codice');
INSERT INTO `lang_definitions` VALUES (118273, 1813, 23, 'Clicca per selezionare o cambiare il codice CVX');
INSERT INTO `lang_definitions` VALUES (118274, 1814, 23, 'Clicca per selezionare o cambiare le diagnosi');
INSERT INTO `lang_definitions` VALUES (118275, 1815, 23, 'Clicca per selezionare o cambiare i codici delle prestazioni');
INSERT INTO `lang_definitions` VALUES (118276, 1816, 23, 'Clicca per selezionare il paziente');
INSERT INTO `lang_definitions` VALUES (118277, 1817, 23, 'Clicca per selezionare il codice relativo');
INSERT INTO `lang_definitions` VALUES (118278, 1819, 23, 'Clicca per selezionare le prestazioni da attuare se questo risultato è anormale');
INSERT INTO `lang_definitions` VALUES (118279, 1822, 23, 'Clicca per selezionare la procedura desiderata');
INSERT INTO `lang_definitions` VALUES (118280, 1829, 23, 'Clicca per ordinare');
INSERT INTO `lang_definitions` VALUES (118281, 1831, 23, 'Clicca per vedere');
INSERT INTO `lang_definitions` VALUES (118282, 1833, 23, 'Clicca per vedere o modificare');
INSERT INTO `lang_definitions` VALUES (118283, 1834, 23, 'Clicca per vedere/modificare');
INSERT INTO `lang_definitions` VALUES (118284, 1836, 23, 'Clicca il pulsante Aggiorna per aggiornare la versione del database dalla data seguente');
INSERT INTO `lang_definitions` VALUES (118285, 1838, 23, 'Clicca dove indicato sopra per abbinare il paziente.');
INSERT INTO `lang_definitions` VALUES (118286, 1839, 23, 'Click:');
INSERT INTO `lang_definitions` VALUES (118287, 1862, 23, 'Giorni di scadenza del certificato Client');
INSERT INTO `lang_definitions` VALUES (118288, 1864, 23, 'Periodo di validità del certificato Client');
INSERT INTO `lang_definitions` VALUES (118289, 1865, 23, 'La validità del certificato Client dovrebbe essere un numero valido.');
INSERT INTO `lang_definitions` VALUES (118290, 1866, 23, 'Copia per Cliente');
INSERT INTO `lang_definitions` VALUES (118291, 1869, 23, 'Sommario della storia medica del cliente');
INSERT INTO `lang_definitions` VALUES (118292, 1870, 23, 'Nome Cliente');
INSERT INTO `lang_definitions` VALUES (118293, 1872, 23, 'Numero Cliente');
INSERT INTO `lang_definitions` VALUES (118294, 1873, 23, 'Profilo Cliente - Nuovi Clienti');
INSERT INTO `lang_definitions` VALUES (118295, 1874, 23, 'Profilo Cliente - Unici Clienti');
INSERT INTO `lang_definitions` VALUES (118296, 1878, 23, 'Clienti');
INSERT INTO `lang_definitions` VALUES (118297, 1879, 23, 'Ambulatorio');
INSERT INTO `lang_definitions` VALUES (118298, 1880, 23, 'Copia ambulatorio');
INSERT INTO `lang_definitions` VALUES (118299, 1881, 23, 'Registro giornaliero ambulatorio');
INSERT INTO `lang_definitions` VALUES (118300, 1882, 23, 'ID ambulatorio');
INSERT INTO `lang_definitions` VALUES (118301, 1883, 23, 'Ambulatoriale');
INSERT INTO `lang_definitions` VALUES (118302, 1884, 23, 'Gestore delle Regole di allarme per decisioni cliniche.');
INSERT INTO `lang_definitions` VALUES (118303, 1886, 23, 'Anamnesi clinica');
INSERT INTO `lang_definitions` VALUES (118304, 1889, 23, 'Piani clinici');
INSERT INTO `lang_definitions` VALUES (118305, 1890, 23, 'Misure di qualità clinica (CQM)');
INSERT INTO `lang_definitions` VALUES (118306, 1891, 23, 'Misure di qualità clinica (CQM) - 2011');
INSERT INTO `lang_definitions` VALUES (118307, 1892, 23, 'Misure di qualità clinica (CQM) - 2014');
INSERT INTO `lang_definitions` VALUES (118308, 1893, 23, 'Promemoria clinici');
INSERT INTO `lang_definitions` VALUES (118309, 1897, 23, 'Rapporti Clinici');
INSERT INTO `lang_definitions` VALUES (118310, 1898, 23, 'Categoria azione per la regola clinica');
INSERT INTO `lang_definitions` VALUES (118311, 1899, 23, 'Elemento azione per regola clinica');
INSERT INTO `lang_definitions` VALUES (118312, 1900, 23, 'Metodi filtro per la regola clinica');
INSERT INTO `lang_definitions` VALUES (118313, 1901, 23, 'Metodi obiettivo per la regola clinica');
INSERT INTO `lang_definitions` VALUES (118314, 1902, 23, 'Regole cliniche');
INSERT INTO `lang_definitions` VALUES (118315, 1903, 23, 'Regole cliniche Intervalli di Età');
INSERT INTO `lang_definitions` VALUES (118316, 1904, 23, 'Regole cliniche Confronti');
INSERT INTO `lang_definitions` VALUES (118317, 1905, 23, 'Regole cliniche Tipi di Incontro');
INSERT INTO `lang_definitions` VALUES (118318, 1906, 23, 'Regole cliniche Opzioni promemoria saldo');
INSERT INTO `lang_definitions` VALUES (118319, 1907, 23, 'Regole cliniche Opzioni di disattivazione promemoria');
INSERT INTO `lang_definitions` VALUES (118320, 1908, 23, 'Regole cliniche Intervalli per Promemoria');
INSERT INTO `lang_definitions` VALUES (118321, 1909, 23, 'Regole cliniche Metodi per Promemoria');
INSERT INTO `lang_definitions` VALUES (118322, 1910, 23, 'Regole cliniche Intervalli Obiettivi');
INSERT INTO `lang_definitions` VALUES (118323, 1911, 23, 'Obiettivi clinici');
INSERT INTO `lang_definitions` VALUES (118324, 1912, 23, 'Termine clinico');
INSERT INTO `lang_definitions` VALUES (118325, 1913, 23, 'Codice(i) termine(i) clinico(i)');
INSERT INTO `lang_definitions` VALUES (118326, 1915, 23, 'Clinici(medici)');
INSERT INTO `lang_definitions` VALUES (118327, 1916, 23, 'Clona');
INSERT INTO `lang_definitions` VALUES (118328, 1917, 23, 'Clona Visita passata');
INSERT INTO `lang_definitions` VALUES (118329, 1918, 23, 'Chiudi');
INSERT INTO `lang_definitions` VALUES (118330, 1924, 23, 'Chiudi Finestra');
INSERT INTO `lang_definitions` VALUES (118331, 1925, 23, 'chiudi finestra');
INSERT INTO `lang_definitions` VALUES (118332, 1927, 23, 'Chiuso/a');
INSERT INTO `lang_definitions` VALUES (118333, 1928, 23, 'cm');
INSERT INTO `lang_definitions` VALUES (118334, 1931, 23, 'Margini CMS 1500');
INSERT INTO `lang_definitions` VALUES (118335, 1933, 23, 'CMS 1500 formato modulo carta');
INSERT INTO `lang_definitions` VALUES (118336, 1938, 23, 'CMS 1500: formato Box 31');
INSERT INTO `lang_definitions` VALUES (118337, 1939, 23, 'CMS 1500: Dati nel Box 31(Firma)');
INSERT INTO `lang_definitions` VALUES (118338, 1940, 23, 'ID CMS');
INSERT INTO `lang_definitions` VALUES (118339, 1943, 23, 'CMS portale');
INSERT INTO `lang_definitions` VALUES (118340, 1944, 23, 'CMS accesso al portale');
INSERT INTO `lang_definitions` VALUES (118341, 1945, 23, 'CMS ID accesso al portale');
INSERT INTO `lang_definitions` VALUES (118342, 1946, 23, 'CMS portale non attivato!');
INSERT INTO `lang_definitions` VALUES (118343, 1947, 23, 'CMS Password del portale');
INSERT INTO `lang_definitions` VALUES (118344, 1948, 23, 'CMS Richiesta portale');
INSERT INTO `lang_definitions` VALUES (118345, 1949, 23, 'CMS indirizzo del sito del portale');
INSERT INTO `lang_definitions` VALUES (118346, 1950, 23, 'CMS Nome utente del portale');
INSERT INTO `lang_definitions` VALUES (118347, 1955, 23, 'CN2-12 intatto');
INSERT INTO `lang_definitions` VALUES (118348, 1958, 23, 'Copagamento');
INSERT INTO `lang_definitions` VALUES (118349, 1959, 23, 'Copagamento pagato');
INSERT INTO `lang_definitions` VALUES (118350, 1962, 23, 'COPAGAMENTO');
INSERT INTO `lang_definitions` VALUES (118351, 1964, 23, 'Codice');
INSERT INTO `lang_definitions` VALUES (118352, 1965, 23, 'codice');
INSERT INTO `lang_definitions` VALUES (118353, 1967, 23, 'Cercatore di codice');
INSERT INTO `lang_definitions` VALUES (118354, 1968, 23, 'Il codice deve essere di due lettere minuscole');
INSERT INTO `lang_definitions` VALUES (118355, 1969, 23, 'Codice o simbolo per indicare la moneta');
INSERT INTO `lang_definitions` VALUES (118356, 1971, 23, 'Codice testo');
INSERT INTO `lang_definitions` VALUES (118357, 1972, 23, 'Tipo di Codice');
INSERT INTO `lang_definitions` VALUES (118358, 1973, 23, 'tipo di codice');
INSERT INTO `lang_definitions` VALUES (118359, 1974, 23, 'Tipo di codice non trovato');
INSERT INTO `lang_definitions` VALUES (118360, 1975, 23, 'Tipo di codice non ancora definito');
INSERT INTO `lang_definitions` VALUES (118361, 1976, 23, 'Tipi di Codice');
INSERT INTO `lang_definitions` VALUES (118362, 1977, 23, 'Codice(i)');
INSERT INTO `lang_definitions` VALUES (118363, 1978, 23, 'Codificato');
INSERT INTO `lang_definitions` VALUES (118364, 1979, 23, 'Codici');
INSERT INTO `lang_definitions` VALUES (118365, 1981, 23, 'Codifica');
INSERT INTO `lang_definitions` VALUES (118366, 1982, 23, 'Codificazione (clicca per le istruzioni)');
INSERT INTO `lang_definitions` VALUES (118367, 1983, 23, 'Codifica - eventuali incontri (scrivere, qualche opzione)');
INSERT INTO `lang_definitions` VALUES (118368, 1985, 23, 'Codifica - i miei incontri (scrivere, qualche opzione)');
INSERT INTO `lang_definitions` VALUES (118369, 1990, 23, 'Codifica non autorizzata');
INSERT INTO `lang_definitions` VALUES (118370, 1991, 23, 'Caffè');
INSERT INTO `lang_definitions` VALUES (118371, 1992, 23, 'Utilizzo di caffè');
INSERT INTO `lang_definitions` VALUES (118372, 1994, 23, 'Coassicurazione');
INSERT INTO `lang_definitions` VALUES (118373, 1995, 23, 'Contrai t/s');
INSERT INTO `lang_definitions` VALUES (118374, 1997, 23, 'Contrai');
INSERT INTO `lang_definitions` VALUES (118375, 1998, 23, 'contrai');
INSERT INTO `lang_definitions` VALUES (118376, 1999, 23, 'Contrai Tutto');
INSERT INTO `lang_definitions` VALUES (118377, 2000, 23, 'Contrai tutto');
INSERT INTO `lang_definitions` VALUES (118378, 2001, 23, 'Contrai tutto');
INSERT INTO `lang_definitions` VALUES (118379, 2005, 23, 'Data Raccolta');
INSERT INTO `lang_definitions` VALUES (118380, 2007, 23, 'Raccolte');
INSERT INTO `lang_definitions` VALUES (118381, 2008, 23, 'Resoconto Raccolte');
INSERT INTO `lang_definitions` VALUES (118382, 2009, 23, 'Cancro al Colon');
INSERT INTO `lang_definitions` VALUES (118383, 2010, 23, 'Screening per Cancro al Colon');
INSERT INTO `lang_definitions` VALUES (118384, 2011, 23, 'Intervento per Cancro al Colon');
INSERT INTO `lang_definitions` VALUES (118385, 2012, 23, 'Colonoscopia');
INSERT INTO `lang_definitions` VALUES (118386, 2013, 23, 'colonoscopia');
INSERT INTO `lang_definitions` VALUES (118387, 2014, 23, 'Colore');
INSERT INTO `lang_definitions` VALUES (118388, 2020, 23, 'Colore:Abbr');
INSERT INTO `lang_definitions` VALUES (118389, 2021, 23, 'Colonna');
INSERT INTO `lang_definitions` VALUES (118390, 2022, 23, 'Colonne');
INSERT INTO `lang_definitions` VALUES (118391, 2024, 23, 'Combinazione Lotti');
INSERT INTO `lang_definitions` VALUES (118392, 2025, 23, 'Virgola');
INSERT INTO `lang_definitions` VALUES (118393, 2027, 23, 'Commento');
INSERT INTO `lang_definitions` VALUES (118394, 2028, 23, 'Commenti');
INSERT INTO `lang_definitions` VALUES (118395, 2030, 23, 'Commenti per questo risultato o raccomandazione');
INSERT INTO `lang_definitions` VALUES (118396, 2031, 23, 'Soc. Assicurazione Commerciale');
INSERT INTO `lang_definitions` VALUES (118397, 2032, 23, 'Assegna i Cambiamenti');
INSERT INTO `lang_definitions` VALUES (118398, 2034, 23, 'Comunicazione');
INSERT INTO `lang_definitions` VALUES (118399, 2036, 23, 'Comunicazioni');
INSERT INTO `lang_definitions` VALUES (118400, 2039, 23, 'Società');
INSERT INTO `lang_definitions` VALUES (118401, 2040, 23, 'Nome della Società');
INSERT INTO `lang_definitions` VALUES (118402, 2041, 23, 'Completa');
INSERT INTO `lang_definitions` VALUES (118403, 2043, 23, 'Completato');
INSERT INTO `lang_definitions` VALUES (118404, 2046, 23, 'Completato?');
INSERT INTO `lang_definitions` VALUES (118405, 2049, 23, 'Complicazioni da parte del fornitore servizi');
INSERT INTO `lang_definitions` VALUES (118406, 2050, 23, 'Complicanze di Aborto');
INSERT INTO `lang_definitions` VALUES (118407, 2051, 23, 'Componenti');
INSERT INTO `lang_definitions` VALUES (118408, 2057, 23, 'Computer Aided Medical Sistema di ordinazione');
INSERT INTO `lang_definitions` VALUES (118409, 2058, 23, 'Conclusioni');
INSERT INTO `lang_definitions` VALUES (118410, 2063, 23, 'Config');
INSERT INTO `lang_definitions` VALUES (118411, 2064, 23, 'Configurazione');
INSERT INTO `lang_definitions` VALUES (118412, 2065, 23, 'Esporta/Importa configurazione');
INSERT INTO `lang_definitions` VALUES (118413, 2066, 23, 'Configurazione salvata con successo');
INSERT INTO `lang_definitions` VALUES (118414, 2067, 23, 'Configura Apache e OpenEMR per usare i certificati SSL lato client');
INSERT INTO `lang_definitions` VALUES (118415, 2068, 23, 'Configura Apache per usare certificati SSL lato client');
INSERT INTO `lang_definitions` VALUES (118416, 2069, 23, 'Configura Apache per usare HTTPS');
INSERT INTO `lang_definitions` VALUES (118417, 2070, 23, 'Configura Openemr per usare certificati SSL lato client');
INSERT INTO `lang_definitions` VALUES (118418, 2074, 23, 'Traccia configurazioni');
INSERT INTO `lang_definitions` VALUES (118419, 2075, 23, 'Traccia Configurazioni');
INSERT INTO `lang_definitions` VALUES (118420, 2079, 23, 'Conferma creazione Nuovo Paziente');
INSERT INTO `lang_definitions` VALUES (118421, 2081, 23, 'Conferma nuova password');
INSERT INTO `lang_definitions` VALUES (118422, 2083, 23, 'Conferma Pagamento');
INSERT INTO `lang_definitions` VALUES (118423, 2092, 23, 'Congenito(a)');
INSERT INTO `lang_definitions` VALUES (118424, 2094, 23, 'Congiuntiva, pupille');
INSERT INTO `lang_definitions` VALUES (118425, 2096, 23, 'Errore di connessione');
INSERT INTO `lang_definitions` VALUES (118426, 2097, 23, 'Connettori');
INSERT INTO `lang_definitions` VALUES (118427, 2098, 23, 'Costante');
INSERT INTO `lang_definitions` VALUES (118428, 2100, 23, 'nome della costante');
INSERT INTO `lang_definitions` VALUES (118429, 2101, 23, 'Il nome della costante è vuoto');
INSERT INTO `lang_definitions` VALUES (118430, 2102, 23, 'costanti');
INSERT INTO `lang_definitions` VALUES (118431, 2103, 23, 'Costipazione');
INSERT INTO `lang_definitions` VALUES (118432, 2104, 23, 'Costituzionale');
INSERT INTO `lang_definitions` VALUES (118433, 2107, 23, 'Breve Descrizione Consulto');
INSERT INTO `lang_definitions` VALUES (118434, 2109, 23, 'Contatto');
INSERT INTO `lang_definitions` VALUES (118435, 2110, 23, 'Email per contatto');
INSERT INTO `lang_definitions` VALUES (118436, 2111, 23, 'Indirizzo email per contatto');
INSERT INTO `lang_definitions` VALUES (118437, 2112, 23, 'Contattare EMR diretto per iscriversi al servizio phiMail diretto di messaggistica');
INSERT INTO `lang_definitions` VALUES (118438, 2113, 23, 'info contatto');
INSERT INTO `lang_definitions` VALUES (118439, 2117, 23, 'Lenti a contatto');
INSERT INTO `lang_definitions` VALUES (118440, 2118, 23, 'Contact Medical Information Integration, LLC at http://mi-squared.com for Lab Exchange Service.');
INSERT INTO `lang_definitions` VALUES (118441, 2119, 23, 'Contact Medical Information Integration, LLC at http://mi-squared.com or ZH Healthcare at http://zhservices.com for subscribing the eRx service');
INSERT INTO `lang_definitions` VALUES (118442, 2122, 23, 'Nome del contatto');
INSERT INTO `lang_definitions` VALUES (118443, 2125, 23, 'Persona per contatto');
INSERT INTO `lang_definitions` VALUES (118444, 2126, 23, 'Contatto telefonico');
INSERT INTO `lang_definitions` VALUES (118445, 2127, 23, 'Numero telefono contatto');
INSERT INTO `lang_definitions` VALUES (118446, 2129, 23, 'Contatta ZMG, LLC (zmghealth@gmail.com) per aderire al servizio eRX');
INSERT INTO `lang_definitions` VALUES (118447, 2131, 23, 'contiene tre o quattro elementi seguenti:');
INSERT INTO `lang_definitions` VALUES (118448, 2132, 23, 'Nome gruppo di contenitore');
INSERT INTO `lang_definitions` VALUES (118449, 2133, 23, 'Contenuto');
INSERT INTO `lang_definitions` VALUES (118450, 2134, 23, 'contenuto');
INSERT INTO `lang_definitions` VALUES (118451, 2136, 23, 'Contesto');
INSERT INTO `lang_definitions` VALUES (118452, 2137, 23, 'Il nome del contesto non può essere vuoto');
INSERT INTO `lang_definitions` VALUES (118453, 2138, 23, 'Continua');
INSERT INTO `lang_definitions` VALUES (118454, 2142, 23, 'Continuità del documento di cura (CCD)');
INSERT INTO `lang_definitions` VALUES (118455, 2145, 23, 'Continuità del registo di cura (CCR)');
INSERT INTO `lang_definitions` VALUES (118456, 2146, 23, 'Contra clienti');
INSERT INTO `lang_definitions` VALUES (118457, 2147, 23, 'Contraccezione');
INSERT INTO `lang_definitions` VALUES (118458, 2148, 23, 'Tematiche contraccezione');
INSERT INTO `lang_definitions` VALUES (118459, 2149, 23, 'Complicanze contraccettive (specificare)');
INSERT INTO `lang_definitions` VALUES (118460, 2150, 23, 'Metodo contraccettivo');
INSERT INTO `lang_definitions` VALUES (118461, 2151, 23, 'Prodotti contraccettivi');
INSERT INTO `lang_definitions` VALUES (118462, 2152, 23, 'Prestazioni per la contraccezionei iniziate precedentemente');
INSERT INTO `lang_definitions` VALUES (118463, 2153, 23, 'Inizio contraccettivi');
INSERT INTO `lang_definitions` VALUES (118464, 2158, 23, 'ID Controllo');
INSERT INTO `lang_definitions` VALUES (118465, 2159, 23, 'Controllo Nr.');
INSERT INTO `lang_definitions` VALUES (118466, 2168, 23, 'COPAGAMENTO');
INSERT INTO `lang_definitions` VALUES (118467, 2169, 23, 'Co-paga');
INSERT INTO `lang_definitions` VALUES (118468, 2170, 23, 'Co-Paga');
INSERT INTO `lang_definitions` VALUES (118469, 2171, 23, 'Co-paga non positivo');
INSERT INTO `lang_definitions` VALUES (118470, 2172, 23, 'Co-paga pagamento');
INSERT INTO `lang_definitions` VALUES (118471, 2173, 23, 'Copagamenti');
INSERT INTO `lang_definitions` VALUES (118472, 2174, 23, 'COPD');
INSERT INTO `lang_definitions` VALUES (118473, 2175, 23, 'Copia le pagine al Tabulato del paziente');
INSERT INTO `lang_definitions` VALUES (118474, 2177, 23, 'Copiare i valori');
INSERT INTO `lang_definitions` VALUES (118475, 2178, 23, 'Sto copiando il file del databse. Ci vorrà un po\' di tempo...');
INSERT INTO `lang_definitions` VALUES (118476, 2179, 23, 'Avviso di Copyright');
INSERT INTO `lang_definitions` VALUES (118477, 2183, 23, 'Cornish');
INSERT INTO `lang_definitions` VALUES (118478, 2184, 23, 'Bypass arteriocoronarico');
INSERT INTO `lang_definitions` VALUES (118479, 2185, 23, 'Intervento di bypass coronarico (CABG)');
INSERT INTO `lang_definitions` VALUES (118480, 2186, 23, 'Corretto');
INSERT INTO `lang_definitions` VALUES (118481, 2187, 23, 'Corsican');
INSERT INTO `lang_definitions` VALUES (118482, 2188, 23, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (118483, 2189, 23, 'CouchDB Connessione fallita.');
INSERT INTO `lang_definitions` VALUES (118484, 2191, 23, 'CouchDB Database');
INSERT INTO `lang_definitions` VALUES (118485, 2192, 23, 'CouchDB nome Database');
INSERT INTO `lang_definitions` VALUES (118486, 2195, 23, 'CouchDB host');
INSERT INTO `lang_definitions` VALUES (118487, 2196, 23, 'CouchDB HostName');
INSERT INTO `lang_definitions` VALUES (118488, 2197, 23, 'CouchDB Log Enable');
INSERT INTO `lang_definitions` VALUES (118489, 2198, 23, 'CouchDB Password');
INSERT INTO `lang_definitions` VALUES (118490, 2199, 23, 'CouchDB Port');
INSERT INTO `lang_definitions` VALUES (118491, 2200, 23, 'CouchDB port');
INSERT INTO `lang_definitions` VALUES (118492, 2201, 23, 'CouchDB salvataggio fallito');
INSERT INTO `lang_definitions` VALUES (118493, 2203, 23, 'CouchDB UserName');
INSERT INTO `lang_definitions` VALUES (118494, 2204, 23, 'Tosse');
INSERT INTO `lang_definitions` VALUES (118495, 2205, 23, 'Tosse:');
INSERT INTO `lang_definitions` VALUES (118496, 2206, 23, 'impossibile connettersi al server');
INSERT INTO `lang_definitions` VALUES (118497, 2210, 23, 'impossibile aprire la tabella');
INSERT INTO `lang_definitions` VALUES (118498, 2211, 23, 'Non è stato possibile leggere il file');
INSERT INTO `lang_definitions` VALUES (118499, 2212, 23, 'Non è stato possibile leggere il file');
INSERT INTO `lang_definitions` VALUES (118500, 2214, 23, 'Non è stato possibile inviare la email per un problema del server');
INSERT INTO `lang_definitions` VALUES (118501, 2216, 23, 'Impossibile inviare e-mail a causa di un problema del server.');
INSERT INTO `lang_definitions` VALUES (118502, 2217, 23, 'Non è stato possibile creare la dir del backup:');
INSERT INTO `lang_definitions` VALUES (118503, 2218, 23, 'Non è stato possibile rimuovere la dir:');
INSERT INTO `lang_definitions` VALUES (118504, 2219, 23, 'Non è stato possibile rimuovere il vecchio file di backup:');
INSERT INTO `lang_definitions` VALUES (118505, 2220, 23, 'Non è stato possibile rimuovere il vecchio file di esportazione:');
INSERT INTO `lang_definitions` VALUES (118506, 2221, 23, 'Gestione Coumadin - Monitoraggio');
INSERT INTO `lang_definitions` VALUES (118507, 2222, 23, 'Assist. con metodo');
INSERT INTO `lang_definitions` VALUES (118508, 2223, 23, 'Assistenza');
INSERT INTO `lang_definitions` VALUES (118509, 2224, 23, 'Attività di assistenza');
INSERT INTO `lang_definitions` VALUES (118510, 2227, 23, 'DEFERIMENTO MODULO CONTATORE');
INSERT INTO `lang_definitions` VALUES (118511, 2228, 23, 'Contatore-deferimento');
INSERT INTO `lang_definitions` VALUES (118512, 2229, 23, 'Nazione');
INSERT INTO `lang_definitions` VALUES (118513, 2231, 23, 'Tipo di dato Nazione');
INSERT INTO `lang_definitions` VALUES (118514, 2232, 23, 'Elenco Nazioni');
INSERT INTO `lang_definitions` VALUES (118515, 2233, 23, 'Lista Paesi(scrivere, aggiungere solo opzionale)');
INSERT INTO `lang_definitions` VALUES (118516, 2235, 23, 'Il nome della nazione dovrebbe essere essere indicato da due lettere. (esempio: Italia è IT)');
INSERT INTO `lang_definitions` VALUES (118517, 2236, 23, 'contea');
INSERT INTO `lang_definitions` VALUES (118518, 2238, 23, 'Buono');
INSERT INTO `lang_definitions` VALUES (118519, 2245, 23, 'CPT');
INSERT INTO `lang_definitions` VALUES (118520, 2246, 23, 'Codice CPT');
INSERT INTO `lang_definitions` VALUES (118521, 2247, 23, 'Codici CPT');
INSERT INTO `lang_definitions` VALUES (118522, 2248, 23, 'CPT4 Procedura/Servizio');
INSERT INTO `lang_definitions` VALUES (118523, 2249, 23, 'CPTII misure delle prestazioni');
INSERT INTO `lang_definitions` VALUES (118524, 2250, 23, 'CQM');
INSERT INTO `lang_definitions` VALUES (118525, 2252, 23, 'Cricchiolii:');
INSERT INTO `lang_definitions` VALUES (118526, 2255, 23, 'crema');
INSERT INTO `lang_definitions` VALUES (118527, 2256, 23, 'Crea un certificato SSL lato Client per ciascun utente o macchina client.');
INSERT INTO `lang_definitions` VALUES (118528, 2257, 23, 'Crea un certificato SSL lato Client o per l\'utente o per l\'hostname client');
INSERT INTO `lang_definitions` VALUES (118529, 2261, 23, 'Crea una nuova traccia');
INSERT INTO `lang_definitions` VALUES (118530, 2269, 23, 'Crea un Evento');
INSERT INTO `lang_definitions` VALUES (118531, 2273, 23, 'Crea e scarica un backup completo');
INSERT INTO `lang_definitions` VALUES (118532, 2274, 23, 'Crea e modifica traccie');
INSERT INTO `lang_definitions` VALUES (118533, 2275, 23, 'Crea backup');
INSERT INTO `lang_definitions` VALUES (118534, 2276, 23, 'Crea batch');
INSERT INTO `lang_definitions` VALUES (118535, 2277, 23, 'Crea Certificato Client');
INSERT INTO `lang_definitions` VALUES (118536, 2278, 23, 'Crea i certificati SSL lato Client');
INSERT INTO `lang_definitions` VALUES (118537, 2281, 23, 'Crea duplicato');
INSERT INTO `lang_definitions` VALUES (118538, 2282, 23, 'Crea incontro');
INSERT INTO `lang_definitions` VALUES (118539, 2283, 23, 'Crea backup Registro eventi');
INSERT INTO `lang_definitions` VALUES (118540, 2285, 23, 'Crea Nuova Tematica');
INSERT INTO `lang_definitions` VALUES (118541, 2287, 23, 'Crea Nuovo paziente');
INSERT INTO `lang_definitions` VALUES (118542, 2288, 23, 'Crea nuova Traccia');
INSERT INTO `lang_definitions` VALUES (118543, 2290, 23, 'Crea le credenziali del Portale Offsite');
INSERT INTO `lang_definitions` VALUES (118544, 2292, 23, 'Crea le credenziali del Portale Onsite');
INSERT INTO `lang_definitions` VALUES (118545, 2294, 23, 'Crea Nota paziente');
INSERT INTO `lang_definitions` VALUES (118546, 2296, 23, 'Crea il certificato di autorità SSL e i certificati del Server');
INSERT INTO `lang_definitions` VALUES (118547, 2297, 23, 'Crea Visita');
INSERT INTO `lang_definitions` VALUES (118548, 2298, 23, 'Creato');
INSERT INTO `lang_definitions` VALUES (118549, 2306, 23, 'Crea file di esportazione');
INSERT INTO `lang_definitions` VALUES (118550, 2307, 23, 'Creazione nuova traccia fallita');
INSERT INTO `lang_definitions` VALUES (118551, 2308, 23, 'La creazione di questo file sulla macchina remota non è riuscita');
INSERT INTO `lang_definitions` VALUES (118552, 2309, 23, 'Creatore');
INSERT INTO `lang_definitions` VALUES (118553, 2311, 23, 'credito');
INSERT INTO `lang_definitions` VALUES (118554, 2312, 23, 'Carta di Credito');
INSERT INTO `lang_definitions` VALUES (118555, 2314, 23, 'Crediti');
INSERT INTO `lang_definitions` VALUES (118556, 2315, 23, 'Cree');
INSERT INTO `lang_definitions` VALUES (118557, 2316, 23, 'Criteri');
INSERT INTO `lang_definitions` VALUES (118558, 2318, 23, 'Croatian');
INSERT INTO `lang_definitions` VALUES (118559, 2319, 23, 'Morbo di Crohn');
INSERT INTO `lang_definitions` VALUES (118560, 2320, 23, 'Morbo di Crohn');
INSERT INTO `lang_definitions` VALUES (118561, 2323, 23, 'Esporta CSV');
INSERT INTO `lang_definitions` VALUES (118562, 2324, 23, 'File CSV');
INSERT INTO `lang_definitions` VALUES (118563, 2325, 23, 'Tabelle CVS');
INSERT INTO `lang_definitions` VALUES (118564, 2330, 23, 'CU.MM(Millimetri cubi)');
INSERT INTO `lang_definitions` VALUES (118565, 2331, 23, 'Cubano');
INSERT INTO `lang_definitions` VALUES (118566, 2333, 23, 'Posti decimali della moneta');
INSERT INTO `lang_definitions` VALUES (118567, 2334, 23, 'Simbolo del punto decimale per la moneta');
INSERT INTO `lang_definitions` VALUES (118568, 2335, 23, 'Indicatore di moneta');
INSERT INTO `lang_definitions` VALUES (118569, 2336, 23, 'Separatore delle migliaia per la moneta');
INSERT INTO `lang_definitions` VALUES (118570, 2337, 23, 'Attuale');
INSERT INTO `lang_definitions` VALUES (118571, 2338, 23, 'Alcool attuale');
INSERT INTO `lang_definitions` VALUES (118572, 2341, 23, 'consultazione attuale');
INSERT INTO `lang_definitions` VALUES (118573, 2342, 23, 'Criteri attuali');
INSERT INTO `lang_definitions` VALUES (118574, 2344, 23, 'Colore del giorno evidenziato attuale');
INSERT INTO `lang_definitions` VALUES (118575, 2345, 23, 'Fumatore quotidiano attuale');
INSERT INTO `lang_definitions` VALUES (118576, 2347, 23, 'Il nome dle file corrente è stato cambiato in');
INSERT INTO `lang_definitions` VALUES (118577, 2349, 23, 'Hash attuale');
INSERT INTO `lang_definitions` VALUES (118578, 2350, 23, 'Collocazione attuale');
INSERT INTO `lang_definitions` VALUES (118579, 2352, 23, 'Farmaci attuali');
INSERT INTO `lang_definitions` VALUES (118580, 2354, 23, 'Password attuale');
INSERT INTO `lang_definitions` VALUES (118581, 2356, 23, 'Paziente attuale');
INSERT INTO `lang_definitions` VALUES (118582, 2359, 23, 'Solo Pt Attuale');
INSERT INTO `lang_definitions` VALUES (118583, 2361, 23, 'Droghe ricreazionali attuali');
INSERT INTO `lang_definitions` VALUES (118584, 2363, 23, 'Fumatore saltuario attuale');
INSERT INTO `lang_definitions` VALUES (118585, 2369, 23, 'Valore attuale');
INSERT INTO `lang_definitions` VALUES (118586, 2371, 23, 'Attualmente attivo');
INSERT INTO `lang_definitions` VALUES (118587, 2375, 23, 'Attualmente in esecuzione');
INSERT INTO `lang_definitions` VALUES (118588, 2377, 23, 'Attualmente non ci sono sedi.');
INSERT INTO `lang_definitions` VALUES (118589, 2379, 23, 'Sindrome di Cushing');
INSERT INTO `lang_definitions` VALUES (118590, 2380, 23, 'Sindrome di Cushing');
INSERT INTO `lang_definitions` VALUES (118591, 2383, 23, 'Personalizzato');
INSERT INTO `lang_definitions` VALUES (118592, 2390, 23, 'Input personalizzato?');
INSERT INTO `lang_definitions` VALUES (118593, 2395, 23, 'Tabella personalizzazione');
INSERT INTO `lang_definitions` VALUES (118594, 2402, 23, 'Codice CVX');
INSERT INTO `lang_definitions` VALUES (118595, 2403, 23, 'Codice mappa CVX');
INSERT INTO `lang_definitions` VALUES (118596, 2404, 23, 'Immunizzazione CVX');
INSERT INTO `lang_definitions` VALUES (118597, 2406, 23, 'Ciclo');
INSERT INTO `lang_definitions` VALUES (118598, 2412, 23, 'CYP');
INSERT INTO `lang_definitions` VALUES (118599, 2413, 23, 'Fattore CYP');
INSERT INTO `lang_definitions` VALUES (118600, 2414, 23, 'Report CYP');
INSERT INTO `lang_definitions` VALUES (118601, 2415, 23, 'Ceco');
INSERT INTO `lang_definitions` VALUES (118602, 2416, 23, 'D');
INSERT INTO `lang_definitions` VALUES (118603, 2417, 23, 'D&C');
INSERT INTO `lang_definitions` VALUES (118604, 2418, 23, 'D&E');
INSERT INTO `lang_definitions` VALUES (118605, 2420, 23, 'D.di N.');
INSERT INTO `lang_definitions` VALUES (118606, 2421, 23, 'Giornaliero');
INSERT INTO `lang_definitions` VALUES (118607, 2422, 23, 'registrazione giornaliera');
INSERT INTO `lang_definitions` VALUES (118608, 2425, 23, 'Danese');
INSERT INTO `lang_definitions` VALUES (118609, 2429, 23, 'La stessa versione dei dati è già presente nel database, vi preghiamo di cambiare il codice e / o descrizione');
INSERT INTO `lang_definitions` VALUES (118610, 2430, 23, 'La stessa versione dei dati è già presente nel database, vi preghiamo di cambiare la costante del nome');
INSERT INTO `lang_definitions` VALUES (118611, 2431, 23, 'Colonne dati');
INSERT INTO `lang_definitions` VALUES (118612, 2434, 23, 'Errore dati');
INSERT INTO `lang_definitions` VALUES (118613, 2435, 23, 'Dati da');
INSERT INTO `lang_definitions` VALUES (118614, 2437, 23, 'dati di tutti gli incontri finora');
INSERT INTO `lang_definitions` VALUES (118615, 2439, 23, 'Tipo dati');
INSERT INTO `lang_definitions` VALUES (118616, 2440, 23, 'Database');
INSERT INTO `lang_definitions` VALUES (118617, 2442, 23, 'Database non installato.');
INSERT INTO `lang_definitions` VALUES (118618, 2444, 23, 'Patch database');
INSERT INTO `lang_definitions` VALUES (118619, 2445, 23, 'Reporting database');
INSERT INTO `lang_definitions` VALUES (118620, 2447, 23, 'Aggiornamento database concluso.');
INSERT INTO `lang_definitions` VALUES (118621, 2448, 23, 'Il numero di colonne deve essere da 1 a 999');
INSERT INTO `lang_definitions` VALUES (118622, 2449, 23, 'Data');
INSERT INTO `lang_definitions` VALUES (118623, 2450, 23, 'DATA');
INSERT INTO `lang_definitions` VALUES (118624, 2451, 23, 'Data e ora Somministrato');
INSERT INTO `lang_definitions` VALUES (118625, 2453, 23, 'Data somministrato');
INSERT INTO `lang_definitions` VALUES (118626, 2454, 23, 'Data e ora della raccolta dei campioni');
INSERT INTO `lang_definitions` VALUES (118627, 2455, 23, 'Data e ora di questa osservazione');
INSERT INTO `lang_definitions` VALUES (118628, 2457, 23, 'Data e ora in cui il campione è stato raccolto');
INSERT INTO `lang_definitions` VALUES (118629, 2458, 23, 'La data non può essere maggiore di Oggi');
INSERT INTO `lang_definitions` VALUES (118630, 2459, 23, 'Data delle prestazioni contraccettive fornite inizialmente');
INSERT INTO `lang_definitions` VALUES (118631, 2460, 23, 'Data creazione');
INSERT INTO `lang_definitions` VALUES (118632, 2461, 23, 'Data decesso');
INSERT INTO `lang_definitions` VALUES (118633, 2462, 23, 'Data distrutta');
INSERT INTO `lang_definitions` VALUES (118634, 2463, 23, 'Formato di visione della data');
INSERT INTO `lang_definitions` VALUES (118635, 2464, 23, 'Il formato della data per \"fine appuntamento\" non è valido');
INSERT INTO `lang_definitions` VALUES (118636, 2465, 23, 'Il formato della data per \"inizio appuntamento\" non è valido');
INSERT INTO `lang_definitions` VALUES (118637, 2466, 23, 'Il formato per \"Prossimo Appuntamento\" non è valido');
INSERT INTO `lang_definitions` VALUES (118638, 2467, 23, 'Il formato per \"non visto dal\" non è valido');
INSERT INTO `lang_definitions` VALUES (118639, 2469, 23, 'Il formato per \"visto dal\" non è valido');
INSERT INTO `lang_definitions` VALUES (118640, 2470, 23, 'Data di immunizzazione dichiarazioni e informazioni fornite');
INSERT INTO `lang_definitions` VALUES (118641, 2471, 23, 'Data mancante per il codice');
INSERT INTO `lang_definitions` VALUES (118642, 2472, 23, 'Criteri master date');
INSERT INTO `lang_definitions` VALUES (118643, 2475, 23, 'Data del deposito bancario aaaa-mm-gg');
INSERT INTO `lang_definitions` VALUES (118644, 2476, 23, 'Data di fatturazione');
INSERT INTO `lang_definitions` VALUES (118645, 2477, 23, 'Data di Nascita');
INSERT INTO `lang_definitions` VALUES (118646, 2478, 23, 'Data di nascita');
INSERT INTO `lang_definitions` VALUES (118647, 2479, 23, 'Data DI Nascita');
INSERT INTO `lang_definitions` VALUES (118648, 2481, 23, 'Data di immissione');
INSERT INTO `lang_definitions` VALUES (118649, 2483, 23, 'Data della Lesione');
INSERT INTO `lang_definitions` VALUES (118650, 2487, 23, 'Data del pagamento aaaa-mm-gg');
INSERT INTO `lang_definitions` VALUES (118651, 2489, 23, 'Data della consultazione');
INSERT INTO `lang_definitions` VALUES (118652, 2491, 23, 'Data della replica');
INSERT INTO `lang_definitions` VALUES (118653, 2492, 23, 'Data del Report');
INSERT INTO `lang_definitions` VALUES (118654, 2493, 23, 'Data della prestazione');
INSERT INTO `lang_definitions` VALUES (118655, 2495, 23, 'Data della prestazione');
INSERT INTO `lang_definitions` VALUES (118656, 2496, 23, 'Data della Prestazione = Oggi');
INSERT INTO `lang_definitions` VALUES (118657, 2498, 23, 'Data della prestazione mm/gg/aaaa');
INSERT INTO `lang_definitions` VALUES (118658, 2499, 23, 'Data della Prestazione:');
INSERT INTO `lang_definitions` VALUES (118659, 2500, 23, 'Data Della Firma');
INSERT INTO `lang_definitions` VALUES (118660, 2501, 23, 'Data di cambiamento di stato');
INSERT INTO `lang_definitions` VALUES (118661, 2503, 23, 'Data di questo ordine');
INSERT INTO `lang_definitions` VALUES (118662, 2504, 23, 'Data di questo rapporto');
INSERT INTO `lang_definitions` VALUES (118663, 2505, 23, 'Data dichiarazione VIS');
INSERT INTO `lang_definitions` VALUES (118664, 2506, 23, 'Data ordinata');
INSERT INTO `lang_definitions` VALUES (118665, 2508, 23, 'Selettore Data');
INSERT INTO `lang_definitions` VALUES (118666, 2509, 23, 'Selettore data');
INSERT INTO `lang_definitions` VALUES (118667, 2510, 23, 'Data Invio');
INSERT INTO `lang_definitions` VALUES (118668, 2511, 23, 'Data del messaggio inviato');
INSERT INTO `lang_definitions` VALUES (118669, 2512, 23, 'Data Ora');
INSERT INTO `lang_definitions` VALUES (118670, 2513, 23, 'Il valore della data non può essere in bianco');
INSERT INTO `lang_definitions` VALUES (118671, 2516, 23, 'Data/Appt');
INSERT INTO `lang_definitions` VALUES (118672, 2517, 23, 'Data/Note');
INSERT INTO `lang_definitions` VALUES (118673, 2518, 23, 'Data/Ultime note');
INSERT INTO `lang_definitions` VALUES (118674, 2519, 23, 'Data/Ora');
INSERT INTO `lang_definitions` VALUES (118675, 2520, 23, 'Data:');
INSERT INTO `lang_definitions` VALUES (118676, 2523, 23, 'Data messaggio di log');
INSERT INTO `lang_definitions` VALUES (118677, 2526, 23, 'Giorno');
INSERT INTO `lang_definitions` VALUES (118678, 2527, 23, 'giorno');
INSERT INTO `lang_definitions` VALUES (118679, 2530, 23, 'Vista giorno');
INSERT INTO `lang_definitions` VALUES (118680, 2531, 23, 'Giorno(i)');
INSERT INTO `lang_definitions` VALUES (118681, 2532, 23, 'Giorno(i) M-F');
INSERT INTO `lang_definitions` VALUES (118682, 2533, 23, 'giorni');
INSERT INTO `lang_definitions` VALUES (118683, 2534, 23, 'Giorni');
INSERT INTO `lang_definitions` VALUES (118684, 2535, 23, 'giorni fa');
INSERT INTO `lang_definitions` VALUES (118685, 2536, 23, 'Giorni e giochi senza risposta');
INSERT INTO `lang_definitions` VALUES (118686, 2537, 23, 'Giorni dall\'ultimo incontro');
INSERT INTO `lang_definitions` VALUES (118687, 2538, 23, 'Giorni mancanti');
INSERT INTO `lang_definitions` VALUES (118688, 2541, 23, 'Giorni per colonna:');
INSERT INTO `lang_definitions` VALUES (118689, 2543, 23, 'Giorni/Col:');
INSERT INTO `lang_definitions` VALUES (118690, 2544, 23, 'DB installato');
INSERT INTO `lang_definitions` VALUES (118691, 2545, 23, 'GG/MM/AAAA');
INSERT INTO `lang_definitions` VALUES (118692, 2546, 23, 'De-Identificazione');
INSERT INTO `lang_definitions` VALUES (118693, 2547, 23, 'Processo di de-identificazione completato');
INSERT INTO `lang_definitions` VALUES (118694, 2548, 23, 'Il processo di de-identificazione è in corso');
INSERT INTO `lang_definitions` VALUES (118695, 2549, 23, 'Il processo di de-identificazione è iniziato ed è in corso in background');
INSERT INTO `lang_definitions` VALUES (118696, 2550, 23, 'I dati de-identificati potrebbero essere incompleti');
INSERT INTO `lang_definitions` VALUES (118697, 2551, 23, 'I file di de-identificazione saranno salvati in');
INSERT INTO `lang_definitions` VALUES (118698, 2552, 23, 'DEA');
INSERT INTO `lang_definitions` VALUES (118699, 2558, 23, 'Non udente');
INSERT INTO `lang_definitions` VALUES (118700, 2562, 23, 'Informazione di debug');
INSERT INTO `lang_definitions` VALUES (118701, 2564, 23, 'Debugging');
INSERT INTO `lang_definitions` VALUES (118702, 2565, 23, 'Dic');
INSERT INTO `lang_definitions` VALUES (118703, 2567, 23, 'DECEDUTO');
INSERT INTO `lang_definitions` VALUES (118704, 2574, 23, 'Dicembre');
INSERT INTO `lang_definitions` VALUES (118705, 2578, 23, 'Libbre decimali o libbre e once separati da # (per esempio 5 # 4)');
INSERT INTO `lang_definitions` VALUES (118706, 2579, 23, 'Rifiutato di specificare');
INSERT INTO `lang_definitions` VALUES (118707, 2580, 23, 'Deducibile');
INSERT INTO `lang_definitions` VALUES (118708, 2581, 23, 'Met. Deducibile');
INSERT INTO `lang_definitions` VALUES (118709, 2583, 23, 'Default');
INSERT INTO `lang_definitions` VALUES (118710, 2585, 23, 'Vista Agenda di Defautl');
INSERT INTO `lang_definitions` VALUES (118711, 2587, 23, 'ID del modulo incontro di default');
INSERT INTO `lang_definitions` VALUES (118712, 2589, 23, 'Sede di default');
INSERT INTO `lang_definitions` VALUES (118713, 2594, 23, 'Lingua di default');
INSERT INTO `lang_definitions` VALUES (118714, 2595, 23, 'Lingua di default in assenza di scelta o permessi');
INSERT INTO `lang_definitions` VALUES (118715, 2598, 23, 'Elenco di default (scrittura, solo-aggiunte opzionali)');
INSERT INTO `lang_definitions` VALUES (118716, 2600, 23, 'Metodo di default');
INSERT INTO `lang_definitions` VALUES (118717, 2601, 23, 'Giorni di scadenza password di default');
INSERT INTO `lang_definitions` VALUES (118718, 2602, 23, 'Periodo di validità della password in giorni. 0 significa che questa caratteristica è disabilitata.');
INSERT INTO `lang_definitions` VALUES (118719, 2603, 23, 'Paese predefinito del paziente');
INSERT INTO `lang_definitions` VALUES (118720, 2606, 23, 'Priorità predefinita');
INSERT INTO `lang_definitions` VALUES (118721, 2607, 23, 'Erogante predefinito');
INSERT INTO `lang_definitions` VALUES (118722, 2609, 23, 'Intervallo predefinito');
INSERT INTO `lang_definitions` VALUES (118723, 2610, 23, 'Motivo della visita predefinito');
INSERT INTO `lang_definitions` VALUES (118724, 2615, 23, 'Parametri predefiniti');
INSERT INTO `lang_definitions` VALUES (118725, 2617, 23, 'Stato di default del checkbox nuova finestra nell\'elenco pazienti.');
INSERT INTO `lang_definitions` VALUES (118726, 2618, 23, 'Impaginazione di default');
INSERT INTO `lang_definitions` VALUES (118727, 2624, 23, 'Unità di default');
INSERT INTO `lang_definitions` VALUES (118728, 2626, 23, 'Valore di default');
INSERT INTO `lang_definitions` VALUES (118729, 2628, 23, 'Magazzino di default');
INSERT INTO `lang_definitions` VALUES (118730, 2629, 23, 'Partner di default X12');
INSERT INTO `lang_definitions` VALUES (118731, 2630, 23, 'Default/Globale');
INSERT INTO `lang_definitions` VALUES (118732, 2635, 23, 'Canc');
INSERT INTO `lang_definitions` VALUES (118733, 2636, 23, 'canc');
INSERT INTO `lang_definitions` VALUES (118734, 2637, 23, 'Recidiva ritardata (> 12 Mesi)');
INSERT INTO `lang_definitions` VALUES (118735, 2638, 23, 'Elimina');
INSERT INTO `lang_definitions` VALUES (118736, 2639, 23, 'elimina');
INSERT INTO `lang_definitions` VALUES (118737, 2640, 23, 'Elimina le categorie con ID:');
INSERT INTO `lang_definitions` VALUES (118738, 2641, 23, 'Elimina la categoria');
INSERT INTO `lang_definitions` VALUES (118739, 2644, 23, 'Eliminazione fallita!');
INSERT INTO `lang_definitions` VALUES (118740, 2645, 23, 'Elimina il gruppo');
INSERT INTO `lang_definitions` VALUES (118741, 2646, 23, 'Elimina l\'elenco');
INSERT INTO `lang_definitions` VALUES (118742, 2648, 23, 'Elimina le pagine');
INSERT INTO `lang_definitions` VALUES (118743, 2649, 23, 'Elimina paziente, incontro, modulo, tematica, pagamento, fattura o transazione');
INSERT INTO `lang_definitions` VALUES (118744, 2651, 23, 'Elimina la riga');
INSERT INTO `lang_definitions` VALUES (118745, 2652, 23, 'Elimina gli elementi selezionati');
INSERT INTO `lang_definitions` VALUES (118746, 2653, 23, 'Elimina gli elementi richiesti');
INSERT INTO `lang_definitions` VALUES (118747, 2655, 23, 'Eliminazione riuscita.');
INSERT INTO `lang_definitions` VALUES (118748, 2656, 23, 'Elimina questo documento');
INSERT INTO `lang_definitions` VALUES (118749, 2657, 23, 'Elimina questo modulo');
INSERT INTO `lang_definitions` VALUES (118750, 2659, 23, 'Elimina questa nota');
INSERT INTO `lang_definitions` VALUES (118751, 2660, 23, 'Eliminazione riuscita');
INSERT INTO `lang_definitions` VALUES (118752, 2661, 23, 'Eliminazione riuscita.');
INSERT INTO `lang_definitions` VALUES (118753, 2662, 23, 'Eliminazione');
INSERT INTO `lang_definitions` VALUES (118754, 2663, 23, 'L\'eliminazione di questo evento non può essere annullata. Non può essere recuperata una volta eliminata. Sei sicuro di voler cancellare questo evento?');
INSERT INTO `lang_definitions` VALUES (118755, 2666, 23, 'Consegna confermata');
INSERT INTO `lang_definitions` VALUES (118756, 2667, 23, 'La consegna non è consentita all\'indirizzo diretto specificato.');
INSERT INTO `lang_definitions` VALUES (118757, 2668, 23, 'La consegna non è al momento consentita all\'indirizzo diretto specificato.');
INSERT INTO `lang_definitions` VALUES (118758, 2669, 23, 'La consegna del documento clinico allegato è stata richiesta dal paziente.');
INSERT INTO `lang_definitions` VALUES (118759, 2670, 23, 'La consegna del documento clinico allegato è stata richiesta dal paziente.');
INSERT INTO `lang_definitions` VALUES (118760, 2671, 23, 'Demenza');
INSERT INTO `lang_definitions` VALUES (118761, 2673, 23, 'Demografica');
INSERT INTO `lang_definitions` VALUES (118762, 2674, 23, 'Demografica (scrittura,solo aggiunte opzionale)');
INSERT INTO `lang_definitions` VALUES (118763, 2678, 23, 'Criteri filtro Demografica');
INSERT INTO `lang_definitions` VALUES (118764, 2680, 23, 'Demografica non autorizzata');
INSERT INTO `lang_definitions` VALUES (118765, 2681, 23, 'Demografica non autorizzata.');
INSERT INTO `lang_definitions` VALUES (118766, 2682, 23, 'Negato');
INSERT INTO `lang_definitions` VALUES (118767, 2684, 23, 'Denominatore');
INSERT INTO `lang_definitions` VALUES (118768, 2687, 23, 'Dentale');
INSERT INTO `lang_definitions` VALUES (118769, 2688, 23, 'Lista Tematica Dentale');
INSERT INTO `lang_definitions` VALUES (118770, 2689, 23, 'Tematica dentale');
INSERT INTO `lang_definitions` VALUES (118771, 2691, 23, 'Moduli di dipendenza');
INSERT INTO `lang_definitions` VALUES (118772, 2692, 23, 'Problemi di dipendenza');
INSERT INTO `lang_definitions` VALUES (118773, 2694, 23, 'A seconda del tipo di disegno di legge che si sta testando vedrete HCFA come uscita su una pagina vuota per le fatture HCFA, vedrete molte righe di testo un po \'confuso e informazioni se si sta testando un reclamo X12. Questo testo confuso è il formato EDI X12 4010A. Di tanto in tanto vedrete strani caratteri che assomigliano a tessere o squiglies, questi sono caratteri di controllo come feed pagina e sono normali.');
INSERT INTO `lang_definitions` VALUES (118774, 2696, 23, 'Data deposito');
INSERT INTO `lang_definitions` VALUES (118775, 2697, 23, 'La data del deposito non può essere maggiore di Oggi');
INSERT INTO `lang_definitions` VALUES (118776, 2698, 23, 'Data deposito:');
INSERT INTO `lang_definitions` VALUES (118777, 2699, 23, 'Depresso');
INSERT INTO `lang_definitions` VALUES (118778, 2700, 23, 'Depressione');
INSERT INTO `lang_definitions` VALUES (118779, 2705, 23, 'DESC');
INSERT INTO `lang_definitions` VALUES (118780, 2706, 23, 'Descrizione');
INSERT INTO `lang_definitions` VALUES (118781, 2707, 23, 'descrizione');
INSERT INTO `lang_definitions` VALUES (118782, 2708, 23, 'Descrizione è un testo predefinito');
INSERT INTO `lang_definitions` VALUES (118783, 2709, 23, 'Descrizione dell\'Informativa');
INSERT INTO `lang_definitions` VALUES (118784, 2710, 23, 'Descrizione di questa procedura o del codice risultato');
INSERT INTO `lang_definitions` VALUES (118785, 2711, 23, 'Traduzione della Descrizione');
INSERT INTO `lang_definitions` VALUES (118786, 2712, 23, 'Nome del file desiderato');
INSERT INTO `lang_definitions` VALUES (118787, 2713, 23, 'Destinazione');
INSERT INTO `lang_definitions` VALUES (118788, 2714, 23, 'Nome del file destinazione');
INSERT INTO `lang_definitions` VALUES (118789, 2716, 23, 'Distruggere Lotto');
INSERT INTO `lang_definitions` VALUES (118790, 2717, 23, 'Sto distruggendo...');
INSERT INTO `lang_definitions` VALUES (118791, 2718, 23, 'Distrutto');
INSERT INTO `lang_definitions` VALUES (118792, 2719, 23, 'Farmaci distrutti');
INSERT INTO `lang_definitions` VALUES (118793, 2720, 23, 'Resoconto Farmaci distrutti');
INSERT INTO `lang_definitions` VALUES (118794, 2721, 23, 'Dettaglio');
INSERT INTO `lang_definitions` VALUES (118795, 2726, 23, 'Dettagli');
INSERT INTO `lang_definitions` VALUES (118796, 2728, 23, 'Anormalità dello sviluppo');
INSERT INTO `lang_definitions` VALUES (118797, 2730, 23, 'Diabete');
INSERT INTO `lang_definitions` VALUES (118798, 2731, 23, 'Diabete mellito');
INSERT INTO `lang_definitions` VALUES (118799, 2732, 23, 'Diabete: Gestione della pressione sanguigna (CQM)');
INSERT INTO `lang_definitions` VALUES (118800, 2733, 23, 'Diabete: Esame occhio');
INSERT INTO `lang_definitions` VALUES (118801, 2734, 23, 'Diabete: Esame occhio (CQM)');
INSERT INTO `lang_definitions` VALUES (118802, 2735, 23, 'Diabete: Esame piede');
INSERT INTO `lang_definitions` VALUES (118803, 2736, 23, 'Diabete: Esame piede (CQM)');
INSERT INTO `lang_definitions` VALUES (118804, 2737, 23, 'Diabete: HbA1c scarso controllo (CQM)');
INSERT INTO `lang_definitions` VALUES (118805, 2738, 23, 'Diabete: Emoglobina A1C');
INSERT INTO `lang_definitions` VALUES (118806, 2739, 23, 'Diabete: LDL Gestione e Controllo (CQM)');
INSERT INTO `lang_definitions` VALUES (118807, 2740, 23, 'Diabete: Microalbumina nelle urine');
INSERT INTO `lang_definitions` VALUES (118808, 2741, 23, 'Diag');
INSERT INTO `lang_definitions` VALUES (118809, 2742, 23, 'Diagnosi');
INSERT INTO `lang_definitions` VALUES (118810, 2743, 23, 'Diagnosi');
INSERT INTO `lang_definitions` VALUES (118811, 2744, 23, 'Codice Diagnosi');
INSERT INTO `lang_definitions` VALUES (118812, 2745, 23, 'Codici Diagnosi');
INSERT INTO `lang_definitions` VALUES (118813, 2747, 23, 'Data Diagnosi');
INSERT INTO `lang_definitions` VALUES (118814, 2749, 23, 'La diagnosi deve essere codificata all\'interno di un incontro collegato');
INSERT INTO `lang_definitions` VALUES (118815, 2750, 23, 'Nome Diagnosi');
INSERT INTO `lang_definitions` VALUES (118816, 2751, 23, 'Resoconto Diagnosi');
INSERT INTO `lang_definitions` VALUES (118817, 2752, 23, 'Rapporto diagnosi');
INSERT INTO `lang_definitions` VALUES (118818, 2753, 23, 'Solo rapporto diagnosi');
INSERT INTO `lang_definitions` VALUES (118819, 2754, 23, 'Titolo Diagnosi');
INSERT INTO `lang_definitions` VALUES (118820, 2755, 23, 'Diagnosi:');
INSERT INTO `lang_definitions` VALUES (118821, 2756, 23, 'Diagnosi:');
INSERT INTO `lang_definitions` VALUES (118822, 2758, 23, 'Test diagnostici:');
INSERT INTO `lang_definitions` VALUES (118823, 2760, 23, 'Chiama');
INSERT INTO `lang_definitions` VALUES (118824, 2763, 23, 'Diaframmi / Cappucci');
INSERT INTO `lang_definitions` VALUES (118825, 2764, 23, 'Diarrea');
INSERT INTO `lang_definitions` VALUES (118826, 2767, 23, 'Dettato');
INSERT INTO `lang_definitions` VALUES (118827, 2768, 23, 'Dettato:');
INSERT INTO `lang_definitions` VALUES (118828, 2769, 23, 'Hai ricevuto una copia dell\'Avviso HIPPA');
INSERT INTO `lang_definitions` VALUES (118829, 2770, 23, 'Diffuso:');
INSERT INTO `lang_definitions` VALUES (118830, 2771, 23, 'Firmato digitalmente');
INSERT INTO `lang_definitions` VALUES (118831, 2781, 23, 'Mail diretta');
INSERT INTO `lang_definitions` VALUES (118832, 2782, 23, 'Log messaggi diretti');
INSERT INTO `lang_definitions` VALUES (118833, 2783, 23, 'Messaggi diretti ricevuti.');
INSERT INTO `lang_definitions` VALUES (118834, 2784, 23, 'I messaggi diretti non sono al momento disponibili.');
INSERT INTO `lang_definitions` VALUES (118835, 2785, 23, 'Invio messaggi diretti fallito.');
INSERT INTO `lang_definitions` VALUES (118836, 2787, 23, 'Nome Direttore');
INSERT INTO `lang_definitions` VALUES (118837, 2788, 23, 'Eliminazione directory fallita; continuare.');
INSERT INTO `lang_definitions` VALUES (118838, 2789, 23, 'Disabilità');
INSERT INTO `lang_definitions` VALUES (118839, 2790, 23, 'Disabile');
INSERT INTO `lang_definitions` VALUES (118840, 2794, 23, 'Disabilita Agenda');
INSERT INTO `lang_definitions` VALUES (118841, 2795, 23, 'Disattiva tracciatura tabella');
INSERT INTO `lang_definitions` VALUES (118842, 2798, 23, 'Disabilita Immunizzazioni');
INSERT INTO `lang_definitions` VALUES (118843, 2800, 23, 'Disabilita la vecchi ametrica dei Vitali');
INSERT INTO `lang_definitions` VALUES (118844, 2802, 23, 'Disabilita phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (118845, 2803, 23, 'Disabilita Prescrizioni');
INSERT INTO `lang_definitions` VALUES (118846, 2804, 23, 'Disabilita Gruppi Utenti');
INSERT INTO `lang_definitions` VALUES (118847, 2805, 23, 'disabilitato');
INSERT INTO `lang_definitions` VALUES (118848, 2806, 23, 'Disabilitato');
INSERT INTO `lang_definitions` VALUES (118849, 2807, 23, 'Beneficiario disabile sotto i 65 anni con grande gruppo piano sanitario');
INSERT INTO `lang_definitions` VALUES (118850, 2812, 23, 'DISC');
INSERT INTO `lang_definitions` VALUES (118851, 2813, 23, 'Scartare');
INSERT INTO `lang_definitions` VALUES (118852, 2814, 23, 'Scartato');
INSERT INTO `lang_definitions` VALUES (118853, 2815, 23, 'Scarico');
INSERT INTO `lang_definitions` VALUES (118854, 2816, 23, 'Scarico dall\'uretra');
INSERT INTO `lang_definitions` VALUES (118855, 2818, 23, 'Scarico destro');
INSERT INTO `lang_definitions` VALUES (118856, 2819, 23, 'Scarico destro:');
INSERT INTO `lang_definitions` VALUES (118857, 2823, 23, 'Dimesso');
INSERT INTO `lang_definitions` VALUES (118858, 2825, 23, 'info Informativa');
INSERT INTO `lang_definitions` VALUES (118859, 2826, 23, 'Tipo Informativa');
INSERT INTO `lang_definitions` VALUES (118860, 2827, 23, 'Tipi Informativa');
INSERT INTO `lang_definitions` VALUES (118861, 2828, 23, 'Informative');
INSERT INTO `lang_definitions` VALUES (118862, 2833, 23, 'Sconto');
INSERT INTO `lang_definitions` VALUES (118863, 2834, 23, 'Importo sconto');
INSERT INTO `lang_definitions` VALUES (118864, 2835, 23, 'Livello di sconto');
INSERT INTO `lang_definitions` VALUES (118865, 2836, 23, 'Percentuale di sconto');
INSERT INTO `lang_definitions` VALUES (118866, 2837, 23, 'Sconti  a partire da piani finianziari');
INSERT INTO `lang_definitions` VALUES (118867, 2838, 23, 'Sconti in fase di check-out sono inseriti come somme di denaro, al contrario di percentuale.');
INSERT INTO `lang_definitions` VALUES (118868, 2839, 23, 'Risultato discreto');
INSERT INTO `lang_definitions` VALUES (118869, 2841, 23, 'Malattia');
INSERT INTO `lang_definitions` VALUES (118870, 2843, 23, 'Dislocazione');
INSERT INTO `lang_definitions` VALUES (118871, 2847, 23, 'Disp #');
INSERT INTO `lang_definitions` VALUES (118872, 2848, 23, 'Dispaccio');
INSERT INTO `lang_definitions` VALUES (118873, 2849, 23, 'Dispaccio documento ricevuto');
INSERT INTO `lang_definitions` VALUES (118874, 2853, 23, 'Dispensato');
INSERT INTO `lang_definitions` VALUES (118875, 2856, 23, 'Mostra dichiarazioni anticipate nella pagina demografici.');
INSERT INTO `lang_definitions` VALUES (118876, 2858, 23, 'Mostra i documenti');
INSERT INTO `lang_definitions` VALUES (118877, 2859, 23, 'Visualizzare le date di eventi in blocco?');
INSERT INTO `lang_definitions` VALUES (118878, 2860, 23, 'Formato di visualizzazione per i pesi degli Stati Uniti');
INSERT INTO `lang_definitions` VALUES (118879, 2861, 23, 'Mostrare quanti eventi?');
INSERT INTO `lang_definitions` VALUES (118880, 2865, 23, 'Visualizza posizione nel blocco?');
INSERT INTO `lang_definitions` VALUES (118881, 2866, 23, 'Mostrare il nome');
INSERT INTO `lang_definitions` VALUES (118882, 2868, 23, 'Mostrare l\'agenda?');
INSERT INTO `lang_definitions` VALUES (118883, 2875, 23, 'Mostro gli eventi di oggi nel blocco?');
INSERT INTO `lang_definitions` VALUES (118884, 2876, 23, 'Mostro l\'argomento nel blocco');
INSERT INTO `lang_definitions` VALUES (118885, 2877, 23, 'Mostro i prossimi appuntamenti nel blocco?');
INSERT INTO `lang_definitions` VALUES (118886, 2879, 23, 'Colonne mostrate');
INSERT INTO `lang_definitions` VALUES (118887, 2880, 23, 'Sto mostrando il seguente numero di informative più recenti:');
INSERT INTO `lang_definitions` VALUES (118888, 2882, 23, 'Sto mostrando il seguente numero di note più recenti');
INSERT INTO `lang_definitions` VALUES (118889, 2883, 23, 'Sto mostrando il seguente numero di note più recenti:');
INSERT INTO `lang_definitions` VALUES (118890, 2890, 23, 'Distribuzione');
INSERT INTO `lang_definitions` VALUES (118891, 2891, 23, 'Distribuzioni');
INSERT INTO `lang_definitions` VALUES (118892, 2892, 23, 'Distributore');
INSERT INTO `lang_definitions` VALUES (118893, 2894, 23, 'Divehi- Dhivehi- Maldivian-');
INSERT INTO `lang_definitions` VALUES (118894, 2897, 23, 'Diverticolite');
INSERT INTO `lang_definitions` VALUES (118895, 2898, 23, 'Intervento per diverticolite');
INSERT INTO `lang_definitions` VALUES (118896, 2899, 23, 'Diverticolite');
INSERT INTO `lang_definitions` VALUES (118897, 2900, 23, 'Intervento per diverticolite');
INSERT INTO `lang_definitions` VALUES (118898, 2901, 23, 'Divorziato(a)');
INSERT INTO `lang_definitions` VALUES (118899, 2902, 23, 'Vertigini:');
INSERT INTO `lang_definitions` VALUES (118900, 2905, 23, 'Non cambiare');
INSERT INTO `lang_definitions` VALUES (118901, 2907, 23, 'Non visualizzare allergie caricate ultimamente');
INSERT INTO `lang_definitions` VALUES (118902, 2909, 23, 'Non visualizzare farmaci caricati ultimamente');
INSERT INTO `lang_definitions` VALUES (118903, 2912, 23, 'Non mostrare il calendario');
INSERT INTO `lang_definitions` VALUES (118904, 2916, 23, 'Non mettere in inventario o vendere alcun prodotto');
INSERT INTO `lang_definitions` VALUES (118905, 2919, 23, 'Non è richiesto che le note siano autorizzate');
INSERT INTO `lang_definitions` VALUES (118906, 2920, 23, 'Non riesumare l\'ordine');
INSERT INTO `lang_definitions` VALUES (118907, 2921, 23, 'non salvare');
INSERT INTO `lang_definitions` VALUES (118908, 2922, 23, 'non sostituire');
INSERT INTO `lang_definitions` VALUES (118909, 2925, 23, 'non fare nulla');
INSERT INTO `lang_definitions` VALUES (118910, 2929, 23, 'Vuoi veramente eliminare');
INSERT INTO `lang_definitions` VALUES (118911, 2930, 23, 'Vuoi veramente eliminare la selezione?');
INSERT INTO `lang_definitions` VALUES (118912, 2931, 23, 'Vuoi veramente eliminare questo gruppo');
INSERT INTO `lang_definitions` VALUES (118913, 2932, 23, 'Vuoi veramente eliminare?');
INSERT INTO `lang_definitions` VALUES (118914, 2934, 23, 'Vuoi continuare?');
INSERT INTO `lang_definitions` VALUES (118915, 2935, 23, 'Vuoi eliminare questo?');
INSERT INTO `lang_definitions` VALUES (118916, 2936, 23, 'Vuoi eliminare?');
INSERT INTO `lang_definitions` VALUES (118917, 2937, 23, 'Vuoi rimuovere questo record?');
INSERT INTO `lang_definitions` VALUES (118918, 2938, 23, 'Vuoi continuare ad aggiungere questo paziente?');
INSERT INTO `lang_definitions` VALUES (118919, 2939, 23, 'Vuoi continuare con il nuovo nome?');
INSERT INTO `lang_definitions` VALUES (118920, 2940, 23, 'Vuoi eliminare DEFINITIVAMENTE questa registrazione di immunizzazione?');
INSERT INTO `lang_definitions` VALUES (118921, 2941, 23, 'DN');
INSERT INTO `lang_definitions` VALUES (118922, 2942, 23, 'DN mancante, se possibile inseriscila');
INSERT INTO `lang_definitions` VALUES (118923, 2944, 23, 'Doc.ti');
INSERT INTO `lang_definitions` VALUES (118924, 2945, 23, 'Dottore');
INSERT INTO `lang_definitions` VALUES (118925, 2946, 23, 'Dottore:');
INSERT INTO `lang_definitions` VALUES (118926, 2947, 23, 'Nome del dottore e firma');
INSERT INTO `lang_definitions` VALUES (118927, 2948, 23, 'Documento');
INSERT INTO `lang_definitions` VALUES (118928, 2949, 23, 'documento');
INSERT INTO `lang_definitions` VALUES (118929, 2951, 23, 'Categorie documenti');
INSERT INTO `lang_definitions` VALUES (118930, 2952, 23, 'La categoria del documento per i risultati di laboratorio non esiste');
INSERT INTO `lang_definitions` VALUES (118931, 2953, 23, 'Nome della categoria del documento per la memorizzazione dei risultati di laboratorio ricevute elettronicamente.');
INSERT INTO `lang_definitions` VALUES (118932, 2955, 23, 'Categoria documento o Scarta');
INSERT INTO `lang_definitions` VALUES (118933, 2958, 23, 'Il documento non può essere spostato al paziente con id');
INSERT INTO `lang_definitions` VALUES (118934, 2960, 23, 'Data del documento');
INSERT INTO `lang_definitions` VALUES (118935, 2961, 23, 'Data del documento e Informativa aggiornata con successo');
INSERT INTO `lang_definitions` VALUES (118936, 2962, 23, 'ID del documento');
INSERT INTO `lang_definitions` VALUES (118937, 2965, 23, 'Documento spostato alla nuova categoria');
INSERT INTO `lang_definitions` VALUES (118938, 2966, 23, 'Documento spostato al paziente con id');
INSERT INTO `lang_definitions` VALUES (118939, 2968, 23, 'Il documento ha superato il controllo di integrità');
INSERT INTO `lang_definitions` VALUES (118940, 2969, 23, 'Metodo di archiviazione documento');
INSERT INTO `lang_definitions` VALUES (118941, 2970, 23, 'Il documento è stato rinominato con successo.');
INSERT INTO `lang_definitions` VALUES (118942, 2971, 23, 'Documento etichettato per l\'incontro con successo');
INSERT INTO `lang_definitions` VALUES (118943, 2972, 23, 'Gestione documentale dei modelli');
INSERT INTO `lang_definitions` VALUES (118944, 2973, 23, 'Modelli documento');
INSERT INTO `lang_definitions` VALUES (118945, 2975, 23, 'Documento(i)');
INSERT INTO `lang_definitions` VALUES (118946, 2976, 23, 'Documento / Archivio immagine');
INSERT INTO `lang_definitions` VALUES (118947, 2978, 23, 'Documenti');
INSERT INTO `lang_definitions` VALUES (118948, 2980, 23, 'Documenti (scrittura solo-aggiunte opzionali)');
INSERT INTO `lang_definitions` VALUES (118949, 2989, 23, 'DOE');
INSERT INTO `lang_definitions` VALUES (118950, 2994, 23, 'non corrisponde al numero di incontro PV1');
INSERT INTO `lang_definitions` VALUES (118951, 2995, 23, 'non sembra valido');
INSERT INTO `lang_definitions` VALUES (118952, 2996, 23, 'Questo tipo consente codici correlati?');
INSERT INTO `lang_definitions` VALUES (118953, 2997, 23, 'Convivente');
INSERT INTO `lang_definitions` VALUES (118954, 2998, 23, 'Non salvare');
INSERT INTO `lang_definitions` VALUES (118955, 2999, 23, 'Non salvare');
INSERT INTO `lang_definitions` VALUES (118956, 3000, 23, 'Non salvare i cambiamenti');
INSERT INTO `lang_definitions` VALUES (118957, 3002, 23, 'Fatto');
INSERT INTO `lang_definitions` VALUES (118958, 3004, 23, 'Realizzato con:');
INSERT INTO `lang_definitions` VALUES (118959, 3005, 23, 'Fatto. Ora verrà inviato il download.');
INSERT INTO `lang_definitions` VALUES (118960, 3006, 23, 'DOS');
INSERT INTO `lang_definitions` VALUES (118961, 3007, 23, 'Dosaggio');
INSERT INTO `lang_definitions` VALUES (118962, 3011, 23, 'doppio clic per modificare');
INSERT INTO `lang_definitions` VALUES (118963, 3013, 23, 'Visione doppia');
INSERT INTO `lang_definitions` VALUES (118964, 3014, 23, 'Scarica');
INSERT INTO `lang_definitions` VALUES (118965, 3019, 23, 'Scarica comunque');
INSERT INTO `lang_definitions` VALUES (118966, 3020, 23, 'Scaricare file di fatturazione, inviare alla contabilità e contrassegnare come fatturato');
INSERT INTO `lang_definitions` VALUES (118967, 3022, 23, 'Scarica i Certificati');
INSERT INTO `lang_definitions` VALUES (118968, 3023, 23, 'Scarica i dati di configurazione');
INSERT INTO `lang_definitions` VALUES (118969, 3025, 23, 'Carica modello documento per questo paziente e visita');
INSERT INTO `lang_definitions` VALUES (118970, 3027, 23, 'scarica il file criptato');
INSERT INTO `lang_definitions` VALUES (118971, 3031, 23, 'Scarica Offsite Portal file di connessione');
INSERT INTO `lang_definitions` VALUES (118972, 3032, 23, 'Scarica o Elimina il modello');
INSERT INTO `lang_definitions` VALUES (118973, 3033, 23, 'Scarica PDF');
INSERT INTO `lang_definitions` VALUES (118974, 3037, 23, 'Scarica le dichiarazioni selezionate');
INSERT INTO `lang_definitions` VALUES (118975, 3039, 23, 'Controllo Dr');
INSERT INTO `lang_definitions` VALUES (118976, 3040, 23, 'Visita Dr');
INSERT INTO `lang_definitions` VALUES (118977, 3041, 23, 'Dr.');
INSERT INTO `lang_definitions` VALUES (118978, 3045, 23, 'Trascina per spostare');
INSERT INTO `lang_definitions` VALUES (118979, 3047, 23, 'Dribblare');
INSERT INTO `lang_definitions` VALUES (118980, 3048, 23, 'Patente di guida o ID dello stato');
INSERT INTO `lang_definitions` VALUES (118981, 3050, 23, 'Farmaco');
INSERT INTO `lang_definitions` VALUES (118982, 3053, 23, 'Trova farmaci');
INSERT INTO `lang_definitions` VALUES (118983, 3054, 23, 'Forme del farmaco');
INSERT INTO `lang_definitions` VALUES (118984, 3055, 23, 'ID del farmaco mancante!');
INSERT INTO `lang_definitions` VALUES (118985, 3056, 23, 'Intervalli farmaco');
INSERT INTO `lang_definitions` VALUES (118986, 3057, 23, 'Inventario farmaci');
INSERT INTO `lang_definitions` VALUES (118987, 3059, 23, 'Nome farmaco');
INSERT INTO `lang_definitions` VALUES (118988, 3061, 23, 'Vie farmaco');
INSERT INTO `lang_definitions` VALUES (118989, 3066, 23, 'Unità farmaco');
INSERT INTO `lang_definitions` VALUES (118990, 3072, 23, 'Farmaci');
INSERT INTO `lang_definitions` VALUES (118991, 3073, 23, 'Farmaci e prodotti');
INSERT INTO `lang_definitions` VALUES (118992, 3074, 23, 'Bocca secca');
INSERT INTO `lang_definitions` VALUES (118993, 3075, 23, 'DSMIV Diagnosi');
INSERT INTO `lang_definitions` VALUES (118994, 3076, 23, 'DT 1');
INSERT INTO `lang_definitions` VALUES (118995, 3077, 23, 'DT 2');
INSERT INTO `lang_definitions` VALUES (118996, 3078, 23, 'DT 3');
INSERT INTO `lang_definitions` VALUES (118997, 3079, 23, 'DT 4');
INSERT INTO `lang_definitions` VALUES (118998, 3080, 23, 'DT 5');
INSERT INTO `lang_definitions` VALUES (118999, 3081, 23, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (119000, 3082, 23, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (119001, 3083, 23, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (119002, 3084, 23, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (119003, 3085, 23, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (119004, 3087, 23, 'Debito');
INSERT INTO `lang_definitions` VALUES (119005, 3088, 23, 'Data del debito');
INSERT INTO `lang_definitions` VALUES (119006, 3090, 23, 'Data del debito mm/gg/aaaa o aaaa/mm/gg');
INSERT INTO `lang_definitions` VALUES (119007, 3091, 23, 'Data debito:');
INSERT INTO `lang_definitions` VALUES (119008, 3092, 23, 'Debito ins');
INSERT INTO `lang_definitions` VALUES (119009, 3093, 23, 'Debito Parz.');
INSERT INTO `lang_definitions` VALUES (119010, 3094, 23, 'Debiti a breve');
INSERT INTO `lang_definitions` VALUES (119011, 3095, 23, 'Status debito');
INSERT INTO `lang_definitions` VALUES (119012, 3096, 23, 'Aggiornamento status debito');
INSERT INTO `lang_definitions` VALUES (119013, 3097, 23, 'Dumping OpenEMR database');
INSERT INTO `lang_definitions` VALUES (119014, 3098, 23, 'Dumping OpenEMR web directory tree');
INSERT INTO `lang_definitions` VALUES (119015, 3099, 23, 'Dumping phpGACL database');
INSERT INTO `lang_definitions` VALUES (119016, 3100, 23, 'Dumping phpGACL web directory tree');
INSERT INTO `lang_definitions` VALUES (119017, 3101, 23, 'Dumping SQL-Ledger database');
INSERT INTO `lang_definitions` VALUES (119018, 3102, 23, 'Dumping SQL-Ledger web directory tree');
INSERT INTO `lang_definitions` VALUES (119019, 3103, 23, 'Controllo dupl');
INSERT INTO `lang_definitions` VALUES (119020, 3108, 23, 'ID duplicato nella linea');
INSERT INTO `lang_definitions` VALUES (119021, 3109, 23, 'Nome duplicato nella linea');
INSERT INTO `lang_definitions` VALUES (119022, 3110, 23, 'ATTENZIONE DUPLICAZIONE');
INSERT INTO `lang_definitions` VALUES (119023, 3111, 23, 'Potere durevole di avvocato');
INSERT INTO `lang_definitions` VALUES (119024, 3112, 23, 'Durata');
INSERT INTO `lang_definitions` VALUES (119025, 3113, 23, 'durata');
INSERT INTO `lang_definitions` VALUES (119026, 3114, 23, 'Olandese');
INSERT INTO `lang_definitions` VALUES (119027, 3116, 23, 'Dx Rep');
INSERT INTO `lang_definitions` VALUES (119028, 3117, 23, 'Disfagia');
INSERT INTO `lang_definitions` VALUES (119029, 3118, 23, 'Dispnea');
INSERT INTO `lang_definitions` VALUES (119030, 3119, 23, 'Disuria');
INSERT INTO `lang_definitions` VALUES (119031, 3120, 23, 'Dzongkha');
INSERT INTO `lang_definitions` VALUES (119032, 3128, 23, 'E-prescrizione?');
INSERT INTO `lang_definitions` VALUES (119033, 3129, 23, 'E-Reports');
INSERT INTO `lang_definitions` VALUES (119034, 3130, 23, 'e-Rx');
INSERT INTO `lang_definitions` VALUES (119035, 3132, 23, 'e-Rx Rinnovo');
INSERT INTO `lang_definitions` VALUES (119036, 3135, 23, 'Ogni destinatario deve impostare i propri messaggi come completati.');
INSERT INTO `lang_definitions` VALUES (119037, 3140, 23, 'Prima occorrenza (< 2 mesi)');
INSERT INTO `lang_definitions` VALUES (119038, 3141, 23, 'Orecchie');
INSERT INTO `lang_definitions` VALUES (119039, 3148, 23, 'ECG');
INSERT INTO `lang_definitions` VALUES (119040, 3149, 23, 'Sinistri');
INSERT INTO `lang_definitions` VALUES (119041, 3152, 23, 'Edema');
INSERT INTO `lang_definitions` VALUES (119042, 3154, 23, 'Storico EDI');
INSERT INTO `lang_definitions` VALUES (119043, 3155, 23, 'Storico edi');
INSERT INTO `lang_definitions` VALUES (119044, 3156, 23, 'Storico EDI (con tasse) per memorizzare e interpretare i file di risposta sinistri EDI');
INSERT INTO `lang_definitions` VALUES (119045, 3157, 23, 'EDI-271 carico file');
INSERT INTO `lang_definitions` VALUES (119046, 3158, 23, 'EDI-271 risposta carico file');
INSERT INTO `lang_definitions` VALUES (119047, 3159, 23, 'Modifica');
INSERT INTO `lang_definitions` VALUES (119048, 3160, 23, 'modifica');
INSERT INTO `lang_definitions` VALUES (119049, 3161, 23, 'Modifica Allergie');
INSERT INTO `lang_definitions` VALUES (119050, 3163, 23, 'Modifica Categorie');
INSERT INTO `lang_definitions` VALUES (119051, 3165, 23, 'Modifica Definizioni');
INSERT INTO `lang_definitions` VALUES (119052, 3166, 23, 'Modifica definizioni');
INSERT INTO `lang_definitions` VALUES (119053, 3167, 23, 'Modifica Diagnosi per');
INSERT INTO `lang_definitions` VALUES (119054, 3168, 23, 'Modifica Informativa');
INSERT INTO `lang_definitions` VALUES (119055, 3173, 23, 'Modifica Sedi');
INSERT INTO `lang_definitions` VALUES (119056, 3174, 23, 'Modifica Sede');
INSERT INTO `lang_definitions` VALUES (119057, 3175, 23, 'Modifica Informazioni sede');
INSERT INTO `lang_definitions` VALUES (119058, 3176, 23, 'Strumento specifico di modifica utente informazioni');
INSERT INTO `lang_definitions` VALUES (119059, 3177, 23, 'Modifica file in');
INSERT INTO `lang_definitions` VALUES (119060, 3178, 23, 'Modifica modulo');
INSERT INTO `lang_definitions` VALUES (119061, 3179, 23, 'Modifica Parametri globali');
INSERT INTO `lang_definitions` VALUES (119062, 3181, 23, 'Modifica non autorizzata!');
INSERT INTO `lang_definitions` VALUES (119063, 3183, 23, 'Modifica layout');
INSERT INTO `lang_definitions` VALUES (119064, 3185, 23, 'Modifica elenco');
INSERT INTO `lang_definitions` VALUES (119065, 3188, 23, 'Modifica Pagamento');
INSERT INTO `lang_definitions` VALUES (119066, 3189, 23, 'Modifica Struttura');
INSERT INTO `lang_definitions` VALUES (119067, 3192, 23, 'Modifica Utente');
INSERT INTO `lang_definitions` VALUES (119068, 3193, 23, 'Modifica Paramentri utente');
INSERT INTO `lang_definitions` VALUES (119069, 3194, 23, 'Modifica i tuoi dati inseriti');
INSERT INTO `lang_definitions` VALUES (119070, 3195, 23, 'Modifica fallita');
INSERT INTO `lang_definitions` VALUES (119071, 3196, 23, 'Istruzione');
INSERT INTO `lang_definitions` VALUES (119072, 3197, 23, 'Data istruzione');
INSERT INTO `lang_definitions` VALUES (119073, 3198, 23, 'Materiali istruzione per');
INSERT INTO `lang_definitions` VALUES (119074, 3199, 23, 'Leggi la *GNU General Public License per maggiori dettagli.** Dovresti aver ricevuto una copia della GNU General Public License* in allegato a questo programma: diversamente scrivi alla Free (ndt: Software Foundation?)');
INSERT INTO `lang_definitions` VALUES (119075, 3200, 23, 'Data effettiva');
INSERT INTO `lang_definitions` VALUES (119076, 3202, 23, 'Efficacia');
INSERT INTO `lang_definitions` VALUES (119077, 3204, 23, 'EIN');
INSERT INTO `lang_definitions` VALUES (119078, 3207, 23, 'Eiaculazioni');
INSERT INTO `lang_definitions` VALUES (119079, 3208, 23, 'Gomito');
INSERT INTO `lang_definitions` VALUES (119080, 3209, 23, 'Problemi al gomito');
INSERT INTO `lang_definitions` VALUES (119081, 3210, 23, 'Elettronico');
INSERT INTO `lang_definitions` VALUES (119082, 3214, 23, 'Mandati elettronici');
INSERT INTO `lang_definitions` VALUES (119083, 3215, 23, 'Reports Elettronico');
INSERT INTO `lang_definitions` VALUES (119084, 3218, 23, 'Ammissibilità');
INSERT INTO `lang_definitions` VALUES (119085, 3219, 23, 'Ammissibilità 270 domanda batch');
INSERT INTO `lang_definitions` VALUES (119086, 3220, 23, 'Risposta ammissibilità');
INSERT INTO `lang_definitions` VALUES (119087, 3222, 23, 'Condizione di ammissibilità per il vaccino per i bambini forniti di vaccino');
INSERT INTO `lang_definitions` VALUES (119088, 3223, 23, 'Idoneo');
INSERT INTO `lang_definitions` VALUES (119089, 3225, 23, 'Email');
INSERT INTO `lang_definitions` VALUES (119090, 3226, 23, 'email');
INSERT INTO `lang_definitions` VALUES (119091, 3228, 23, 'Indirizzo Email');
INSERT INTO `lang_definitions` VALUES (119092, 3229, 23, 'Manca indirizzo Email');
INSERT INTO `lang_definitions` VALUES (119093, 3230, 23, 'Indirizzo email del mittente per i promemoria al paziente. Le repliche ai promemoria al paziente saranno dirette a questo indirizzo. E\' importante usare un indirizzo dal dominio della tua clinica per evitare che i promemoria finiscano nelle cartelle di spam della posta.');
INSERT INTO `lang_definitions` VALUES (119094, 3231, 23, 'Indirizzo email, se alcuno, per ricevere notifiche amministrative.');
INSERT INTO `lang_definitions` VALUES (119095, 3232, 23, 'Indirizzo email, se alcuno, per ricevere messaggi di attivazione utente per ingresso di emergenza.');
INSERT INTO `lang_definitions` VALUES (119096, 3233, 23, 'Autore email');
INSERT INTO `lang_definitions` VALUES (119097, 3236, 23, 'Email da Batchcom');
INSERT INTO `lang_definitions` VALUES (119098, 3238, 23, 'Notifica email');
INSERT INTO `lang_definitions` VALUES (119099, 3239, 23, 'Ore per la Notifica via Email');
INSERT INTO `lang_definitions` VALUES (119100, 3240, 23, 'Report notifica Email');
INSERT INTO `lang_definitions` VALUES (119101, 3244, 23, 'Email inviata prima');
INSERT INTO `lang_definitions` VALUES (119102, 3245, 23, 'Mittente email');
INSERT INTO `lang_definitions` VALUES (119103, 3246, 23, 'Email inviata');
INSERT INTO `lang_definitions` VALUES (119104, 3247, 23, 'Email inviata a');
INSERT INTO `lang_definitions` VALUES (119105, 3248, 23, 'Oggetto dell\'email');
INSERT INTO `lang_definitions` VALUES (119106, 3251, 23, 'Testo dell\'email, tag utilizzabili ***NAME*** , p.es. Gentile Sig. ***NAME***');
INSERT INTO `lang_definitions` VALUES (119107, 3252, 23, 'Testo dell\'email, tag utilizzabili ***NAME*** , p.es. Gentile Sig. ***NAME***{{Non tradurre ***NAME*** questo elemento è una costante.}}');
INSERT INTO `lang_definitions` VALUES (119108, 3253, 23, 'Metodo di trasporto dell\'email');
INSERT INTO `lang_definitions` VALUES (119109, 3254, 23, 'l\'email è stata inviata al seguente indirizzo');
INSERT INTO `lang_definitions` VALUES (119110, 3259, 23, 'Contatto di emergenza');
INSERT INTO `lang_definitions` VALUES (119111, 3260, 23, 'Persona da contattare in caso di emergenza');
INSERT INTO `lang_definitions` VALUES (119112, 3261, 23, 'Numero telefonico per contatto di emergenza');
INSERT INTO `lang_definitions` VALUES (119113, 3262, 23, 'Contraccezione di emergenza');
INSERT INTO `lang_definitions` VALUES (119114, 3263, 23, 'Ingresso di Emergenza');
INSERT INTO `lang_definitions` VALUES (119115, 3264, 23, 'E\' stato scelto l\'Ingresso di Emergenza di ACL. L\'utente è ancora in stato attivo, disattiva l\'utente e attivalo di nuovo quando richiesto durante situazioni di emergenza. Visita Amminitrazione->Utenti per l\'attivazione o disattivazione.');
INSERT INTO `lang_definitions` VALUES (119116, 3265, 23, 'L\'email di attivazione per l\'Ingresso di Emergenza cirdolerà soltanto se sono configurati i seguenti parametri in interface/globals.php');
INSERT INTO `lang_definitions` VALUES (119117, 3266, 23, 'Indirizzo Ingresso di emergenza');
INSERT INTO `lang_definitions` VALUES (119118, 3267, 23, 'Ingresso di Emergenza l\'utente può fare tutto');
INSERT INTO `lang_definitions` VALUES (119119, 3268, 23, 'Telefono di emergenza');
INSERT INTO `lang_definitions` VALUES (119120, 3270, 23, 'Emozionali / Comportamentali Condizioni e complicanze');
INSERT INTO `lang_definitions` VALUES (119121, 3271, 23, 'Enfisema');
INSERT INTO `lang_definitions` VALUES (119122, 3272, 23, 'Impiegato');
INSERT INTO `lang_definitions` VALUES (119123, 3273, 23, 'Datore di lavoro');
INSERT INTO `lang_definitions` VALUES (119124, 3274, 23, 'Indirizzo Datore di lavoro');
INSERT INTO `lang_definitions` VALUES (119125, 3275, 23, 'Dati Datore di lavoro');
INSERT INTO `lang_definitions` VALUES (119126, 3276, 23, 'Nome Datore di lavoro');
INSERT INTO `lang_definitions` VALUES (119127, 3277, 23, 'VUOTO');
INSERT INTO `lang_definitions` VALUES (119128, 3278, 23, 'Vuoto');
INSERT INTO `lang_definitions` VALUES (119129, 3279, 23, 'Valore vuoto nella Password non consentito');
INSERT INTO `lang_definitions` VALUES (119130, 3281, 23, 'Valore vuoto in \"Ora email\"');
INSERT INTO `lang_definitions` VALUES (119131, 3282, 23, 'Valore vuoto in \"Mittente email\"');
INSERT INTO `lang_definitions` VALUES (119132, 3283, 23, 'Valore vuoto in \"Oggetto email\"');
INSERT INTO `lang_definitions` VALUES (119133, 3284, 23, 'Valore vuoto in \"Testo email\"');
INSERT INTO `lang_definitions` VALUES (119134, 3285, 23, 'Valore vuoto in \"Nome del provider\"');
INSERT INTO `lang_definitions` VALUES (119135, 3286, 23, 'Valore vuoto in \"Password\"');
INSERT INTO `lang_definitions` VALUES (119136, 3287, 23, 'Valore vuoto in \"Ora SMS\"');
INSERT INTO `lang_definitions` VALUES (119137, 3288, 23, 'Valore vuoto in \"Testo SMS\"');
INSERT INTO `lang_definitions` VALUES (119138, 3289, 23, 'Valore vuoto in \"Nome utente\"');
INSERT INTO `lang_definitions` VALUES (119139, 3292, 23, 'Abilita');
INSERT INTO `lang_definitions` VALUES (119140, 3298, 23, 'Abilita i suggeirmenti AMC');
INSERT INTO `lang_definitions` VALUES (119141, 3299, 23, 'Abilita AMC Rapporto itemizzazione');
INSERT INTO `lang_definitions` VALUES (119142, 3300, 23, 'Abilita i resoconti AMC');
INSERT INTO `lang_definitions` VALUES (119143, 3301, 23, 'Abilita tracciatura AMC');
INSERT INTO `lang_definitions` VALUES (119144, 3302, 23, 'Abilita modifiche presentate');
INSERT INTO `lang_definitions` VALUES (119145, 3303, 23, 'Abilita revisione ATNA');
INSERT INTO `lang_definitions` VALUES (119146, 3304, 23, 'Abilita crittazione log di registrazione');
INSERT INTO `lang_definitions` VALUES (119147, 3305, 23, 'Abilita registrazione di controllo');
INSERT INTO `lang_definitions` VALUES (119148, 3306, 23, 'Abilita storico accessi e l\'autenticazione del nodo (ATNA).');
INSERT INTO `lang_definitions` VALUES (119149, 3307, 23, 'Abilita i resoconti dei Calcoli delle misure automatizzati (AMC)');
INSERT INTO `lang_definitions` VALUES (119150, 3312, 23, 'Abilita il client SSL');
INSERT INTO `lang_definitions` VALUES (119151, 3313, 23, 'Abilita i certificati SSL di autenticazione client.');
INSERT INTO `lang_definitions` VALUES (119152, 3315, 23, 'Abilita le regole di decisione clinica (CDR)');
INSERT INTO `lang_definitions` VALUES (119153, 3318, 23, 'Abilita i resoconti di Misura della Qualità Clinica (CQM)');
INSERT INTO `lang_definitions` VALUES (119154, 3319, 23, 'Abilita l\'apertura automativa della finestra dei promemoria clinici');
INSERT INTO `lang_definitions` VALUES (119155, 3320, 23, 'Abilita il widget dei promemoria clicnici');
INSERT INTO `lang_definitions` VALUES (119156, 3321, 23, 'Abilita il portale CMS');
INSERT INTO `lang_definitions` VALUES (119157, 3323, 23, 'Abilita CQM rapporto itemizzazione');
INSERT INTO `lang_definitions` VALUES (119158, 3324, 23, 'Abilita i resoconti CQM');
INSERT INTO `lang_definitions` VALUES (119159, 3329, 23, 'Abilita cronologia EDI nel menù di sinistra');
INSERT INTO `lang_definitions` VALUES (119160, 3334, 23, 'Abilita Tariffe nel menu a sinistra');
INSERT INTO `lang_definitions` VALUES (119161, 3341, 23, 'Abilita il supporto Hylafax');
INSERT INTO `lang_definitions` VALUES (119162, 3343, 23, 'Attiva messaggio di stato di importazione per NewCrop ERX');
INSERT INTO `lang_definitions` VALUES (119163, 3344, 23, 'Abilita Itemizzazione del rapporto AMC');
INSERT INTO `lang_definitions` VALUES (119164, 3345, 23, 'Abilita Itemizzazione del rapporto CQM');
INSERT INTO `lang_definitions` VALUES (119165, 3346, 23, 'Abilita Itemizzazione delle regole standard dei report regole cliniche');
INSERT INTO `lang_definitions` VALUES (119166, 3347, 23, 'Abilita il Lab Exchange');
INSERT INTO `lang_definitions` VALUES (119167, 3348, 23, 'Abilita levetta di blocco');
INSERT INTO `lang_definitions` VALUES (119168, 3349, 23, 'Abilita log di upload / download di documenti di CouchDB');
INSERT INTO `lang_definitions` VALUES (119169, 3350, 23, 'Abilita la scrittura dei log di tutte le interrogazioni SQL di tipo SELECT.');
INSERT INTO `lang_definitions` VALUES (119170, 3351, 23, 'Abilita la scrittura dei log delle attività correlate ai backup.');
INSERT INTO `lang_definitions` VALUES (119171, 3352, 23, 'Abilita la scrittura delle relative attività di backup.');
INSERT INTO `lang_definitions` VALUES (119172, 3353, 23, 'Abilita la scrittura dei log delle attività miscellanee.');
INSERT INTO `lang_definitions` VALUES (119173, 3354, 23, 'Abilita la scrittura dei logdelle attività di prescrizione.');
INSERT INTO `lang_definitions` VALUES (119174, 3355, 23, 'Abilita la scrittura dei log delle modificazioni dei record del paziente.');
INSERT INTO `lang_definitions` VALUES (119175, 3356, 23, 'Abiolita la scrittura dei log delle attività di compilazione dell\'agenda.');
INSERT INTO `lang_definitions` VALUES (119176, 3357, 23, 'Abbilita la scrittura dei log delle attività di sicurezza e amministrazione.');
INSERT INTO `lang_definitions` VALUES (119177, 3360, 23, 'Abilita i servizi NewCrop e Rx');
INSERT INTO `lang_definitions` VALUES (119178, 3365, 23, 'Abilita il Portale Paziente Offsite');
INSERT INTO `lang_definitions` VALUES (119179, 3366, 23, 'Abilita il Portale Paziente Offsite.');
INSERT INTO `lang_definitions` VALUES (119180, 3368, 23, 'Abilita il Portale Paziente Onsite');
INSERT INTO `lang_definitions` VALUES (119181, 3371, 23, 'Abilita il Portale Paziente Onsite.');
INSERT INTO `lang_definitions` VALUES (119182, 3385, 23, 'Abilita il widget per i promemoria al paziente');
INSERT INTO `lang_definitions` VALUES (119183, 3387, 23, 'Abilita phiMail servizio di messaggi diretti');
INSERT INTO `lang_definitions` VALUES (119184, 3389, 23, 'Abilita il suggerimento dei dati richiesti per i Calcoli automatici delle misure (AMC)');
INSERT INTO `lang_definitions` VALUES (119185, 3391, 23, 'Abilita i resoconti del monitoraggio della data per i Calcoli automatici delle misure (AMC)');
INSERT INTO `lang_definitions` VALUES (119186, 3392, 23, 'Abilita il supporto per lo scanner');
INSERT INTO `lang_definitions` VALUES (119187, 3393, 23, 'Abilita il report standard di itemizzazione');
INSERT INTO `lang_definitions` VALUES (119188, 3394, 23, 'Abilitare il supporto per l\'open source WordPress Portal da Sunset Sistemi');
INSERT INTO `lang_definitions` VALUES (119189, 3396, 23, 'Abilitare il Medical Information Integration, LLC Lab Service Exchange.');
INSERT INTO `lang_definitions` VALUES (119190, 3397, 23, 'Abilita il supporto OpenEMR per il servizio Scambio LLC Lab');
INSERT INTO `lang_definitions` VALUES (119191, 3398, 23, 'Abilita l\'autenticazione certificato dell\'utente');
INSERT INTO `lang_definitions` VALUES (119192, 3403, 23, 'Abilita il servizio ZMG, LLC eRx');
INSERT INTO `lang_definitions` VALUES (119193, 3404, 23, 'abilitato');
INSERT INTO `lang_definitions` VALUES (119194, 3412, 23, 'Abilita il vecchio pannello \"Costi\" per inserire codici e pagamenti. Non raccomandato, usare invece il Foglio Parcelle.');
INSERT INTO `lang_definitions` VALUES (119195, 3415, 23, 'Inc');
INSERT INTO `lang_definitions` VALUES (119196, 3417, 23, 'Inctr');
INSERT INTO `lang_definitions` VALUES (119197, 3418, 23, 'Incontro');
INSERT INTO `lang_definitions` VALUES (119198, 3419, 23, 'incontro');
INSERT INTO `lang_definitions` VALUES (119199, 3420, 23, 'Incontro');
INSERT INTO `lang_definitions` VALUES (119200, 3421, 23, 'incontrare ricoverato acuto o ED');
INSERT INTO `lang_definitions` VALUES (119201, 3426, 23, 'dati incontro');
INSERT INTO `lang_definitions` VALUES (119202, 3427, 23, 'Data incontro');
INSERT INTO `lang_definitions` VALUES (119203, 3430, 23, 'Registro incontro EDI');
INSERT INTO `lang_definitions` VALUES (119204, 3432, 23, 'Moduli Incontro');
INSERT INTO `lang_definitions` VALUES (119205, 3433, 23, 'incontro per valutazione salute e comportamento');
INSERT INTO `lang_definitions` VALUES (119206, 3434, 23, 'Storico degli Incontri');
INSERT INTO `lang_definitions` VALUES (119207, 3435, 23, 'ID incontro');
INSERT INTO `lang_definitions` VALUES (119208, 3436, 23, 'incontro per influenza');
INSERT INTO `lang_definitions` VALUES (119209, 3439, 23, 'Numero incontro');
INSERT INTO `lang_definitions` VALUES (119210, 3441, 23, 'incontro di scarico infermieristico');
INSERT INTO `lang_definitions` VALUES (119211, 3442, 23, 'incontro struttura di cura');
INSERT INTO `lang_definitions` VALUES (119212, 3443, 23, 'incontro per terapia occupazionale');
INSERT INTO `lang_definitions` VALUES (119213, 3444, 23, 'incontro per visita in studio');
INSERT INTO `lang_definitions` VALUES (119214, 3445, 23, 'incontro paziente esterno');
INSERT INTO `lang_definitions` VALUES (119215, 3446, 23, 'incontro ambulatoriale w / PCP & Ostetricia e Ginecologia');
INSERT INTO `lang_definitions` VALUES (119216, 3447, 23, 'Dimensione pagina incontri');
INSERT INTO `lang_definitions` VALUES (119217, 3448, 23, 'Pagamento incontro');
INSERT INTO `lang_definitions` VALUES (119218, 3449, 23, 'incontro per gravidanza');
INSERT INTO `lang_definitions` VALUES (119219, 3450, 23, 'incontro di medicina preventiva - consulenza individuale');
INSERT INTO `lang_definitions` VALUES (119220, 3451, 23, 'incontro di medicina preventiva - per pz dai 40 anni in poi');
INSERT INTO `lang_definitions` VALUES (119221, 3452, 23, 'incontro di medicina preventiva consulenza di gruppo');
INSERT INTO `lang_definitions` VALUES (119222, 3453, 23, 'incontro di medicina preventiva consulenza preventiva altre prestazioni');
INSERT INTO `lang_definitions` VALUES (119223, 3454, 23, 'incontro di medicina preventiva prestazioni per dai 18 anni in poi');
INSERT INTO `lang_definitions` VALUES (119224, 3457, 23, 'incontro psichiatrico & psicologico');
INSERT INTO `lang_definitions` VALUES (119225, 3458, 23, 'Statistiche incontri');
INSERT INTO `lang_definitions` VALUES (119226, 3459, 23, 'Riassunto incontri');
INSERT INTO `lang_definitions` VALUES (119227, 3461, 23, 'L\'incontro è stato codificato');
INSERT INTO `lang_definitions` VALUES (119228, 3462, 23, 'Incontro:');
INSERT INTO `lang_definitions` VALUES (119229, 3463, 23, 'Incontro: incontro pz. ricov. non-acuto, pz esterno, o oftalmologia');
INSERT INTO `lang_definitions` VALUES (119230, 3464, 23, 'Incontri');
INSERT INTO `lang_definitions` VALUES (119231, 3465, 23, 'Incontri & Moduli');
INSERT INTO `lang_definitions` VALUES (119232, 3466, 23, 'Incontri &amp; Moduli');
INSERT INTO `lang_definitions` VALUES (119233, 3467, 23, 'Incontri non autorizzati');
INSERT INTO `lang_definitions` VALUES (119234, 3468, 23, 'Resoconto Incontri');
INSERT INTO `lang_definitions` VALUES (119235, 3469, 23, 'Sezione Incontri');
INSERT INTO `lang_definitions` VALUES (119236, 3471, 23, 'Cifratura');
INSERT INTO `lang_definitions` VALUES (119237, 3472, 23, 'Fine');
INSERT INTO `lang_definitions` VALUES (119238, 3473, 23, 'Fine (aaa-mm-gg)');
INSERT INTO `lang_definitions` VALUES (119239, 3474, 23, 'Data Fine');
INSERT INTO `lang_definitions` VALUES (119240, 3475, 23, 'Data fine');
INSERT INTO `lang_definitions` VALUES (119241, 3480, 23, 'La data di fine deve essere maggiore della data inizio');
INSERT INTO `lang_definitions` VALUES (119242, 3482, 23, 'Data Fine:');
INSERT INTO `lang_definitions` VALUES (119243, 3485, 23, 'Fine del report');
INSERT INTO `lang_definitions` VALUES (119244, 3487, 23, 'Ora fine');
INSERT INTO `lang_definitions` VALUES (119245, 3489, 23, 'Malattia renale in stadio terminale beneficiario in MCP con il piano del gruppo del datore di lavoro');
INSERT INTO `lang_definitions` VALUES (119246, 3492, 23, 'Data conclusione del servizio aaaa-mm-gg');
INSERT INTO `lang_definitions` VALUES (119247, 3493, 23, 'Fine DOS gg/mm/aaaa, se si desidera inserire un intervallo');
INSERT INTO `lang_definitions` VALUES (119248, 3494, 23, 'Ora finale del giorno per gli eventi dell\'agenda.');
INSERT INTO `lang_definitions` VALUES (119249, 3495, 23, 'Endo anormale del sangue');
INSERT INTO `lang_definitions` VALUES (119250, 3496, 23, 'Endocrino');
INSERT INTO `lang_definitions` VALUES (119251, 3497, 23, 'Endoscopia');
INSERT INTO `lang_definitions` VALUES (119252, 3502, 23, 'Inglese');
INSERT INTO `lang_definitions` VALUES (119253, 3503, 23, 'Inglese');
INSERT INTO `lang_definitions` VALUES (119254, 3504, 23, 'Inglese (indiano)');
INSERT INTO `lang_definitions` VALUES (119255, 3505, 23, 'Inglese (standard)');
INSERT INTO `lang_definitions` VALUES (119256, 3506, 23, 'Comando enscript usato da Hylafax.');
INSERT INTO `lang_definitions` VALUES (119257, 3507, 23, 'Accertarsi che OpenEMR abbia i privilegi di scrittura nella directory');
INSERT INTO `lang_definitions` VALUES (119258, 3509, 23, 'ENT fuoriuscita');
INSERT INTO `lang_definitions` VALUES (119259, 3510, 23, 'ENT dolore');
INSERT INTO `lang_definitions` VALUES (119260, 3513, 23, 'Inserisci un codice diagnosi per escludere tutte le fatture che non lo contengono');
INSERT INTO `lang_definitions` VALUES (119261, 3515, 23, 'Inserisci modifica ...');
INSERT INTO `lang_definitions` VALUES (119262, 3518, 23, 'Inserisci il corpo della lettera qui');
INSERT INTO `lang_definitions` VALUES (119263, 3520, 23, 'Inserisci password root del Database');
INSERT INTO `lang_definitions` VALUES (119264, 3521, 23, 'Inserisci l\'username root');
INSERT INTO `lang_definitions` VALUES (119265, 3529, 23, 'Inserisci la diagnosi');
INSERT INTO `lang_definitions` VALUES (119266, 3530, 23, 'Inserisci i farmaci');
INSERT INTO `lang_definitions` VALUES (119267, 3533, 23, 'Inserisci incontro');
INSERT INTO `lang_definitions` VALUES (119268, 3534, 23, 'Inserisci numero incontro');
INSERT INTO `lang_definitions` VALUES (119269, 3537, 23, 'Inserisci le immunizzazioni');
INSERT INTO `lang_definitions` VALUES (119270, 3538, 23, 'Inserisci la chiave');
INSERT INTO `lang_definitions` VALUES (119271, 3542, 23, 'Inserisci novi dati');
INSERT INTO `lang_definitions` VALUES (119272, 3544, 23, 'Inserisci il nuovo Stato');
INSERT INTO `lang_definitions` VALUES (119273, 3549, 23, 'Inserisci indirizzo diretto destinatario(i)');
INSERT INTO `lang_definitions` VALUES (119274, 3567, 23, 'Iserisci il codice LOINC per questa procedura');
INSERT INTO `lang_definitions` VALUES (119275, 3569, 23, 'Inserisci il codice di re-identificazione');
INSERT INTO `lang_definitions` VALUES (119276, 3581, 23, 'Inserisci sopra i criteri di ricerca');
INSERT INTO `lang_definitions` VALUES (119277, 3584, 23, 'Inserite per errore');
INSERT INTO `lang_definitions` VALUES (119278, 3586, 23, 'voci');
INSERT INTO `lang_definitions` VALUES (119279, 3591, 23, 'Ambientale');
INSERT INTO `lang_definitions` VALUES (119280, 3592, 23, 'EOB immissione dati');
INSERT INTO `lang_definitions` VALUES (119281, 3596, 23, 'EOB Scrittura - Rimesse elettroniche');
INSERT INTO `lang_definitions` VALUES (119282, 3597, 23, 'EOB Scrittura - Istruzioni');
INSERT INTO `lang_definitions` VALUES (119283, 3598, 23, 'EOB Scrittura - Fattura');
INSERT INTO `lang_definitions` VALUES (119284, 3599, 23, 'EOB Scrittura - Nota paziente');
INSERT INTO `lang_definitions` VALUES (119285, 3600, 23, 'EOB Scrittura - Ricerca');
INSERT INTO `lang_definitions` VALUES (119286, 3602, 23, 'Epilessia');
INSERT INTO `lang_definitions` VALUES (119287, 3608, 23, 'ERA');
INSERT INTO `lang_definitions` VALUES (119288, 3609, 23, 'Files ERA');
INSERT INTO `lang_definitions` VALUES (119289, 3610, 23, 'Pubblicazione ERA');
INSERT INTO `lang_definitions` VALUES (119290, 3612, 23, 'Elimina');
INSERT INTO `lang_definitions` VALUES (119291, 3614, 23, 'Erezioni');
INSERT INTO `lang_definitions` VALUES (119292, 3615, 23, 'Errore');
INSERT INTO `lang_definitions` VALUES (119293, 3616, 23, 'ERRORE');
INSERT INTO `lang_definitions` VALUES (119294, 3617, 23, 'Errore di conferma ricevuta dei risultati del lab');
INSERT INTO `lang_definitions` VALUES (119295, 3620, 23, 'Errore nella ricezione dei risultati dal Network Lab Exchange');
INSERT INTO `lang_definitions` VALUES (119296, 3621, 23, 'Errore nella sellezione del \"Genere\"');
INSERT INTO `lang_definitions` VALUES (119297, 3622, 23, 'Errore nella selezioni di \"HIPAA\"');
INSERT INTO `lang_definitions` VALUES (119298, 3623, 23, 'Errore nella selezione del \"Processo\"');
INSERT INTO `lang_definitions` VALUES (119299, 3624, 23, 'Errore nella selezione del \"Gateway SMS\"');
INSERT INTO `lang_definitions` VALUES (119300, 3625, 23, 'Errore nella selezione di \"Ordina per\"');
INSERT INTO `lang_definitions` VALUES (119301, 3626, 23, 'Errore nella compressione del file gzip:');
INSERT INTO `lang_definitions` VALUES (119302, 3627, 23, 'Errore nella opzione SI o NO');
INSERT INTO `lang_definitions` VALUES (119303, 3630, 23, 'Errore nell\'apertura per la lettura del file scaricato');
INSERT INTO `lang_definitions` VALUES (119304, 3631, 23, 'File di elaborazione errori');
INSERT INTO `lang_definitions` VALUES (119305, 3632, 23, 'Errore di caricamento elaborazione');
INSERT INTO `lang_definitions` VALUES (119306, 3633, 23, 'Errore rimozione messaggio');
INSERT INTO `lang_definitions` VALUES (119307, 3634, 23, 'Errore nel recupero dei risultati dal Network Lab Exchange');
INSERT INTO `lang_definitions` VALUES (119308, 3635, 23, 'Errore nel recupero dei valori.');
INSERT INTO `lang_definitions` VALUES (119309, 3636, 23, 'Errore nel salvataggio del documento');
INSERT INTO `lang_definitions` VALUES (119310, 3637, 23, 'Errore nell\'assegnare il file dei privilegi all\'utente OpenEMR.');
INSERT INTO `lang_definitions` VALUES (119311, 3640, 23, 'errore nella registrazione del modulo!');
INSERT INTO `lang_definitions` VALUES (119312, 3641, 23, 'Errore nel salvataggio sul file');
INSERT INTO `lang_definitions` VALUES (119313, 3643, 23, 'Errore nella scrittura del file');
INSERT INTO `lang_definitions` VALUES (119314, 3646, 23, 'Errore(i) rilevato(i) da nuovi risultati');
INSERT INTO `lang_definitions` VALUES (119315, 3651, 23, 'Errore, il file non esiste');
INSERT INTO `lang_definitions` VALUES (119316, 3652, 23, 'ERRORE, impossibile raccogliere i dati dal server');
INSERT INTO `lang_definitions` VALUES (119317, 3653, 23, 'Errore, impossibile creare un certificato del client');
INSERT INTO `lang_definitions` VALUES (119318, 3654, 23, 'Errore, impossibile creare il certificato admin.p12');
INSERT INTO `lang_definitions` VALUES (119319, 3655, 23, 'Errore, impossibile creare il certificato Certificate Authority');
INSERT INTO `lang_definitions` VALUES (119320, 3656, 23, 'Errore, impossibile creare il certificato del Server');
INSERT INTO `lang_definitions` VALUES (119321, 3658, 23, 'Errore, impossibile aprire il file');
INSERT INTO `lang_definitions` VALUES (119322, 3659, 23, 'Errore, l\'Autenticazione del certificato utente non è abilitata in OpenEMR');
INSERT INTO `lang_definitions` VALUES (119323, 3663, 23, 'Errore. Devi installare il modulo Archive/Tar.php');
INSERT INTO `lang_definitions` VALUES (119324, 3664, 23, 'ERRORE: non si è potuto aprire table.sql, modulo deteriorato?');
INSERT INTO `lang_definitions` VALUES (119325, 3667, 23, 'Errore: ID duplicato nella linea');
INSERT INTO `lang_definitions` VALUES (119326, 3668, 23, 'Erroe: nome duplicato nella linea');
INSERT INTO `lang_definitions` VALUES (119327, 3669, 23, 'ERRORE: Campo');
INSERT INTO `lang_definitions` VALUES (119328, 3670, 23, 'ERRORE: Modulo PHP ZipArchive mancante');
INSERT INTO `lang_definitions` VALUES (119329, 3671, 23, 'ERRORE: Nessuna directory di importazione ICD');
INSERT INTO `lang_definitions` VALUES (119330, 3672, 23, 'Errore: le password non corrispondono. Controlla il testo inserito.');
INSERT INTO `lang_definitions` VALUES (119331, 3673, 23, 'Errore: le password non corrispondono. Controlla il testo inserito.');
INSERT INTO `lang_definitions` VALUES (119332, 3674, 23, 'Errore: Il file non esiste');
INSERT INTO `lang_definitions` VALUES (119333, 3675, 23, 'ERRORE: La variabile che segue contiene caratteri non validi');
INSERT INTO `lang_definitions` VALUES (119334, 3676, 23, 'ERRORE: Impossibile copiare il file');
INSERT INTO `lang_definitions` VALUES (119335, 3677, 23, 'Errore: Impossibile creare l\'archivio scaricabile');
INSERT INTO `lang_definitions` VALUES (119336, 3678, 23, 'ERRORE: Impossibile creare l\'archivio ZIP.');
INSERT INTO `lang_definitions` VALUES (119337, 3679, 23, 'ERRORE: Impossibile estrerre il file.');
INSERT INTO `lang_definitions` VALUES (119338, 3680, 23, 'ERRORE: Impossibile caricare il file nel database.');
INSERT INTO `lang_definitions` VALUES (119339, 3681, 23, 'ERRORE: Impossibile assegnare il numero di versione.');
INSERT INTO `lang_definitions` VALUES (119340, 3682, 23, 'Errori');
INSERT INTO `lang_definitions` VALUES (119341, 3684, 23, 'Status dell\'account eRx');
INSERT INTO `lang_definitions` VALUES (119342, 3685, 23, 'Log eRx');
INSERT INTO `lang_definitions` VALUES (119343, 3686, 23, 'Nome ERX');
INSERT INTO `lang_definitions` VALUES (119344, 3687, 23, 'Password ERX');
INSERT INTO `lang_definitions` VALUES (119345, 3688, 23, 'Ruolo ERX');
INSERT INTO `lang_definitions` VALUES (119346, 3689, 23, 'Utente ERX');
INSERT INTO `lang_definitions` VALUES (119347, 3690, 23, 'Eritema:');
INSERT INTO `lang_definitions` VALUES (119348, 3691, 23, 'eSign');
INSERT INTO `lang_definitions` VALUES (119349, 3692, 23, 'eSign Log');
INSERT INTO `lang_definitions` VALUES (119350, 3693, 23, 'Eschimese');
INSERT INTO `lang_definitions` VALUES (119351, 3696, 23, 'Esperanto');
INSERT INTO `lang_definitions` VALUES (119352, 3699, 23, 'Paziente stabilizzato');
INSERT INTO `lang_definitions` VALUES (119353, 3700, 23, 'Estone');
INSERT INTO `lang_definitions` VALUES (119354, 3701, 23, 'Etnia');
INSERT INTO `lang_definitions` VALUES (119355, 3702, 23, 'Etnia o Razza');
INSERT INTO `lang_definitions` VALUES (119356, 3703, 23, 'Elenco Etnie-Razze (scrittura, solo aggiunte opzionali)');
INSERT INTO `lang_definitions` VALUES (119357, 3706, 23, 'ETIN');
INSERT INTO `lang_definitions` VALUES (119358, 3709, 23, 'Evento');
INSERT INTO `lang_definitions` VALUES (119359, 3710, 23, 'Inizio Evento');
INSERT INTO `lang_definitions` VALUES (119360, 3711, 23, 'Categoria Evento');
INSERT INTO `lang_definitions` VALUES (119361, 3712, 23, 'Data Evento');
INSERT INTO `lang_definitions` VALUES (119362, 3714, 23, 'Descrizione Evento');
INSERT INTO `lang_definitions` VALUES (119363, 3715, 23, 'Dettagli Evento');
INSERT INTO `lang_definitions` VALUES (119364, 3716, 23, 'L\'evento non si ripete');
INSERT INTO `lang_definitions` VALUES (119365, 3717, 23, 'Durata Evento');
INSERT INTO `lang_definitions` VALUES (119366, 3718, 23, 'Durata Evento in minuti');
INSERT INTO `lang_definitions` VALUES (119367, 3719, 23, 'Costo Evento');
INSERT INTO `lang_definitions` VALUES (119368, 3720, 23, 'Luogo Evento');
INSERT INTO `lang_definitions` VALUES (119369, 3721, 23, 'L\'Evento si ripete ogni');
INSERT INTO `lang_definitions` VALUES (119370, 3722, 23, 'L\'Evento si ripete il');
INSERT INTO `lang_definitions` VALUES (119371, 3723, 23, 'Ora di inizio Evento');
INSERT INTO `lang_definitions` VALUES (119372, 3724, 23, 'Titolo Evento');
INSERT INTO `lang_definitions` VALUES (119373, 3725, 23, 'Titolo Evento');
INSERT INTO `lang_definitions` VALUES (119374, 3726, 23, 'Evento del sito web');
INSERT INTO `lang_definitions` VALUES (119375, 3727, 23, 'Eventi');
INSERT INTO `lang_definitions` VALUES (119376, 3728, 23, 'Eventi per');
INSERT INTO `lang_definitions` VALUES (119377, 3729, 23, 'Eventi aperti in una nuova finestra');
INSERT INTO `lang_definitions` VALUES (119378, 3731, 23, 'ogni');
INSERT INTO `lang_definitions` VALUES (119379, 3732, 23, 'Ogni');
INSERT INTO `lang_definitions` VALUES (119380, 3734, 23, 'ogni 3 ore');
INSERT INTO `lang_definitions` VALUES (119381, 3736, 23, 'ogni 4 ore');
INSERT INTO `lang_definitions` VALUES (119382, 3738, 23, 'ogni 5 ore');
INSERT INTO `lang_definitions` VALUES (119383, 3740, 23, 'ogni 6 ore');
INSERT INTO `lang_definitions` VALUES (119384, 3742, 23, 'ogni 8 ore');
INSERT INTO `lang_definitions` VALUES (119385, 3743, 23, 'Ogni Quarto');
INSERT INTO `lang_definitions` VALUES (119386, 3745, 23, 'Qualsiasi Altro');
INSERT INTO `lang_definitions` VALUES (119387, 3746, 23, 'Ogni Terzo');
INSERT INTO `lang_definitions` VALUES (119388, 3747, 23, 'Ogni, ogni altro, ogni 3.o, ecc.');
INSERT INTO `lang_definitions` VALUES (119389, 3748, 23, 'Pecora');
INSERT INTO `lang_definitions` VALUES (119390, 3749, 23, 'Risultati esame e test');
INSERT INTO `lang_definitions` VALUES (119391, 3750, 23, 'Risultati esame');
INSERT INTO `lang_definitions` VALUES (119392, 3753, 23, 'Effettuazione esame');
INSERT INTO `lang_definitions` VALUES (119393, 3754, 23, 'Data effettuazione esame');
INSERT INTO `lang_definitions` VALUES (119394, 3755, 23, 'Esempio');
INSERT INTO `lang_definitions` VALUES (119395, 3758, 23, 'Esempi');
INSERT INTO `lang_definitions` VALUES (119396, 3760, 23, 'Esami/Test');
INSERT INTO `lang_definitions` VALUES (119397, 3762, 23, 'Eccetto');
INSERT INTO `lang_definitions` VALUES (119398, 3763, 23, 'Pianto eccessivo');
INSERT INTO `lang_definitions` VALUES (119399, 3766, 23, 'Pazienti esclusi');
INSERT INTO `lang_definitions` VALUES (119400, 3767, 23, 'Esclusione');
INSERT INTO `lang_definitions` VALUES (119401, 3768, 23, 'Organizzazione esclusiva fornitore (EPO)');
INSERT INTO `lang_definitions` VALUES (119402, 3770, 23, 'Formato carta esecutivo');
INSERT INTO `lang_definitions` VALUES (119403, 3771, 23, 'Esercizio');
INSERT INTO `lang_definitions` VALUES (119404, 3772, 23, 'Schemi di esercizio');
INSERT INTO `lang_definitions` VALUES (119405, 3773, 23, 'Schemi di Esercizio');
INSERT INTO `lang_definitions` VALUES (119406, 3774, 23, 'Esiste');
INSERT INTO `lang_definitions` VALUES (119407, 3778, 23, 'Esci da Amministrazione');
INSERT INTO `lang_definitions` VALUES (119408, 3782, 23, 'Esp');
INSERT INTO `lang_definitions` VALUES (119409, 3784, 23, 'Espandi');
INSERT INTO `lang_definitions` VALUES (119410, 3785, 23, 'espandi');
INSERT INTO `lang_definitions` VALUES (119411, 3787, 23, 'Espandi Tutto');
INSERT INTO `lang_definitions` VALUES (119412, 3792, 23, 'Vista espansa');
INSERT INTO `lang_definitions` VALUES (119413, 3793, 23, 'Ci si attendeva che form_encounter.pid fosse');
INSERT INTO `lang_definitions` VALUES (119414, 3794, 23, 'Scadenza');
INSERT INTO `lang_definitions` VALUES (119415, 3795, 23, 'Data Scadenza');
INSERT INTO `lang_definitions` VALUES (119416, 3797, 23, 'Scade');
INSERT INTO `lang_definitions` VALUES (119417, 3798, 23, 'scade entro');
INSERT INTO `lang_definitions` VALUES (119418, 3799, 23, 'Esporta');
INSERT INTO `lang_definitions` VALUES (119419, 3800, 23, 'Esporta come CSV');
INSERT INTO `lang_definitions` VALUES (119420, 3802, 23, 'Esporta Configurazione');
INSERT INTO `lang_definitions` VALUES (119421, 3806, 23, 'Esporta Demografica del paziente');
INSERT INTO `lang_definitions` VALUES (119422, 3808, 23, 'Esporta il Resoconto PQRI');
INSERT INTO `lang_definitions` VALUES (119423, 3810, 23, 'Esporta la selezione come CSV');
INSERT INTO `lang_definitions` VALUES (119424, 3811, 23, 'Esporta la selezione alle Collezioni');
INSERT INTO `lang_definitions` VALUES (119425, 3812, 23, 'Esporta a CSV');
INSERT INTO `lang_definitions` VALUES (119426, 3813, 23, 'Esporta al sistema di fatturazione esterno');
INSERT INTO `lang_definitions` VALUES (119427, 3815, 23, 'Esposizione ai Paesi Esteri');
INSERT INTO `lang_definitions` VALUES (119428, 3816, 23, 'Esposizione ai Paesi Esteri');
INSERT INTO `lang_definitions` VALUES (119429, 3818, 23, 'Tenpo stimato per la raccolta');
INSERT INTO `lang_definitions` VALUES (119430, 3820, 23, 'Esterno');
INSERT INTO `lang_definitions` VALUES (119431, 3823, 23, 'Caricamento dati esterni');
INSERT INTO `lang_definitions` VALUES (119432, 3824, 23, 'Utilità di importazione database esterno');
INSERT INTO `lang_definitions` VALUES (119433, 3828, 23, 'ID esterno');
INSERT INTO `lang_definitions` VALUES (119434, 3829, 23, 'Id esterno');
INSERT INTO `lang_definitions` VALUES (119435, 3830, 23, 'Identificatore esterno');
INSERT INTO `lang_definitions` VALUES (119436, 3831, 23, 'Solo esterno');
INSERT INTO `lang_definitions` VALUES (119437, 3834, 23, 'Riferimento esterno');
INSERT INTO `lang_definitions` VALUES (119438, 3835, 23, 'Riferimento di followups esterni');
INSERT INTO `lang_definitions` VALUES (119439, 3836, 23, 'Riferimento esterno?');
INSERT INTO `lang_definitions` VALUES (119440, 3837, 23, 'Riferimenti esterni');
INSERT INTO `lang_definitions` VALUES (119441, 3838, 23, 'Estrai il file zip');
INSERT INTO `lang_definitions` VALUES (119442, 3839, 23, 'Sto estraendo il file. Questo prenderà un po\' di tempo');
INSERT INTO `lang_definitions` VALUES (119443, 3840, 23, 'Essudato:');
INSERT INTO `lang_definitions` VALUES (119444, 3850, 23, 'Irritazione dell\'occhio');
INSERT INTO `lang_definitions` VALUES (119445, 3856, 23, 'Dolore all\'occhio');
INSERT INTO `lang_definitions` VALUES (119446, 3860, 23, 'Occhio arrossato');
INSERT INTO `lang_definitions` VALUES (119447, 3863, 23, 'Occhi');
INSERT INTO `lang_definitions` VALUES (119448, 3865, 23, 'F');
INSERT INTO `lang_definitions` VALUES (119449, 3866, 23, 'F/H Problemi al sangue');
INSERT INTO `lang_definitions` VALUES (119450, 3867, 23, 'F/H Irsutismo femminile');
INSERT INTO `lang_definitions` VALUES (119451, 3868, 23, 'Sedi');
INSERT INTO `lang_definitions` VALUES (119452, 3869, 23, 'Sede');
INSERT INTO `lang_definitions` VALUES (119453, 3870, 23, 'sede');
INSERT INTO `lang_definitions` VALUES (119454, 3871, 23, 'Amministrazione Sede');
INSERT INTO `lang_definitions` VALUES (119455, 3872, 23, 'Città Sede');
INSERT INTO `lang_definitions` VALUES (119456, 3873, 23, 'Codice Sede');
INSERT INTO `lang_definitions` VALUES (119457, 3875, 23, 'Codice nazione Sede');
INSERT INTO `lang_definitions` VALUES (119458, 3876, 23, 'Fax Sede');
INSERT INTO `lang_definitions` VALUES (119459, 3878, 23, 'Nome Sede');
INSERT INTO `lang_definitions` VALUES (119460, 3879, 23, 'NPI Sede');
INSERT INTO `lang_definitions` VALUES (119461, 3880, 23, 'Telefono Sede');
INSERT INTO `lang_definitions` VALUES (119462, 3882, 23, 'Sede informazioni specifiche dell\'utente');
INSERT INTO `lang_definitions` VALUES (119463, 3883, 23, 'Stato Sede');
INSERT INTO `lang_definitions` VALUES (119464, 3884, 23, 'Via Sede');
INSERT INTO `lang_definitions` VALUES (119465, 3886, 23, 'CAP Sede');
INSERT INTO `lang_definitions` VALUES (119466, 3888, 23, 'Sede:');
INSERT INTO `lang_definitions` VALUES (119467, 3889, 23, 'GUASTO');
INSERT INTO `lang_definitions` VALUES (119468, 3890, 23, 'Fallito(a)');
INSERT INTO `lang_definitions` VALUES (119469, 3891, 23, 'fallito(a)');
INSERT INTO `lang_definitions` VALUES (119470, 3893, 23, 'Pazienti falliti');
INSERT INTO `lang_definitions` VALUES (119471, 3896, 23, 'Aggiunta del paziente al portale fallita');
INSERT INTO `lang_definitions` VALUES (119472, 3897, 23, 'Impossibile calcolare un nome di file unico');
INSERT INTO `lang_definitions` VALUES (119473, 3898, 23, 'Creazione fallita');
INSERT INTO `lang_definitions` VALUES (119474, 3901, 23, 'Impossibile creare la cartella temporanea. CouchDB non funzionerà.');
INSERT INTO `lang_definitions` VALUES (119475, 3907, 23, 'Fallito.');
INSERT INTO `lang_definitions` VALUES (119476, 3908, 23, 'fallimento');
INSERT INTO `lang_definitions` VALUES (119477, 3909, 23, 'Fallimento');
INSERT INTO `lang_definitions` VALUES (119478, 3910, 23, 'AVVISO DI GUASTO: Impossibile inviare messaggio diretto.');
INSERT INTO `lang_definitions` VALUES (119479, 3916, 23, 'Storia familiare');
INSERT INTO `lang_definitions` VALUES (119480, 3918, 23, 'Storia familiare del Glaucoma');
INSERT INTO `lang_definitions` VALUES (119481, 3919, 23, 'Storia familiare:');
INSERT INTO `lang_definitions` VALUES (119482, 3921, 23, 'Pagamento della famiglia');
INSERT INTO `lang_definitions` VALUES (119483, 3922, 23, 'Grandezza famiglia');
INSERT INTO `lang_definitions` VALUES (119484, 3923, 23, 'Immaginazione');
INSERT INTO `lang_definitions` VALUES (119485, 3924, 23, 'Faroese');
INSERT INTO `lang_definitions` VALUES (119486, 3925, 23, 'Persiano');
INSERT INTO `lang_definitions` VALUES (119487, 3928, 23, 'Padre');
INSERT INTO `lang_definitions` VALUES (119488, 3929, 23, 'Storia del padre');
INSERT INTO `lang_definitions` VALUES (119489, 3930, 23, 'Affaticamento');
INSERT INTO `lang_definitions` VALUES (119490, 3931, 23, 'Affaticato');
INSERT INTO `lang_definitions` VALUES (119491, 3933, 23, 'Fax');
INSERT INTO `lang_definitions` VALUES (119492, 3934, 23, 'Conteggio fax');
INSERT INTO `lang_definitions` VALUES (119493, 3935, 23, 'Numero fax');
INSERT INTO `lang_definitions` VALUES (119494, 3937, 23, 'Fax/Scan');
INSERT INTO `lang_definitions` VALUES (119495, 3938, 23, 'Fax in ingresso');
INSERT INTO `lang_definitions` VALUES (119496, 3939, 23, 'Fax in uscita');
INSERT INTO `lang_definitions` VALUES (119497, 3940, 23, 'Cartteristiche');
INSERT INTO `lang_definitions` VALUES (119498, 3941, 23, 'Feb');
INSERT INTO `lang_definitions` VALUES (119499, 3942, 23, 'Febbraio');
INSERT INTO `lang_definitions` VALUES (119500, 3943, 23, 'FECA');
INSERT INTO `lang_definitions` VALUES (119501, 3944, 23, 'Federal Drug ID');
INSERT INTO `lang_definitions` VALUES (119502, 3945, 23, 'Federal EIN');
INSERT INTO `lang_definitions` VALUES (119503, 3946, 23, 'Federal Tax ID');
INSERT INTO `lang_definitions` VALUES (119504, 3948, 23, 'Parcella');
INSERT INTO `lang_definitions` VALUES (119505, 3949, 23, 'parcella');
INSERT INTO `lang_definitions` VALUES (119506, 3950, 23, 'La parcella non è consentita');
INSERT INTO `lang_definitions` VALUES (119507, 3951, 23, 'Foglio Parcelle');
INSERT INTO `lang_definitions` VALUES (119508, 3953, 23, 'Opzioni folgio parcelle');
INSERT INTO `lang_definitions` VALUES (119509, 3955, 23, 'Parcelle');
INSERT INTO `lang_definitions` VALUES (119510, 3956, 23, 'Femminile');
INSERT INTO `lang_definitions` VALUES (119511, 3957, 23, 'Femminile AP');
INSERT INTO `lang_definitions` VALUES (119512, 3958, 23, 'Preservativi femminili');
INSERT INTO `lang_definitions` VALUES (119513, 3959, 23, 'Femminile G');
INSERT INTO `lang_definitions` VALUES (119514, 3960, 23, 'Femminile LC');
INSERT INTO `lang_definitions` VALUES (119515, 3961, 23, 'Femminile P');
INSERT INTO `lang_definitions` VALUES (119516, 3962, 23, 'Sintomi femminili');
INSERT INTO `lang_definitions` VALUES (119517, 3963, 23, 'Femminile VSC');
INSERT INTO `lang_definitions` VALUES (119518, 3964, 23, 'Recupero');
INSERT INTO `lang_definitions` VALUES (119519, 3965, 23, 'Recupero seguente file dal portale');
INSERT INTO `lang_definitions` VALUES (119520, 3966, 23, 'Febbre');
INSERT INTO `lang_definitions` VALUES (119521, 3967, 23, 'Febbre:');
INSERT INTO `lang_definitions` VALUES (119522, 3968, 23, 'Problemi al sangue');
INSERT INTO `lang_definitions` VALUES (119523, 3972, 23, 'Fibromi');
INSERT INTO `lang_definitions` VALUES (119524, 3974, 23, 'Campo');
INSERT INTO `lang_definitions` VALUES (119525, 3975, 23, 'Il \"nome\" del campo non può essere NULL');
INSERT INTO `lang_definitions` VALUES (119526, 3978, 23, 'Tipo di campo da usare per la nazione datore di lavoro o sottoscrittore nella demografica.');
INSERT INTO `lang_definitions` VALUES (119527, 3979, 23, 'Tipo di campo da usare per lo stato del datore di lavoro o sottoscrittore nella demografica.');
INSERT INTO `lang_definitions` VALUES (119528, 3980, 23, 'Campo(i) mancante(i)!');
INSERT INTO `lang_definitions` VALUES (119529, 3985, 23, 'Fijian');
INSERT INTO `lang_definitions` VALUES (119530, 3986, 23, 'File');
INSERT INTO `lang_definitions` VALUES (119531, 3989, 23, 'file nella directory Documentation per apprendere come automatizzare il processo di creazione del log dei backup');
INSERT INTO `lang_definitions` VALUES (119532, 3990, 23, 'collocazione del file');
INSERT INTO `lang_definitions` VALUES (119533, 3991, 23, 'Gestione del file');
INSERT INTO `lang_definitions` VALUES (119534, 3998, 23, 'Privilegio del file garantito all\'utente OpenEMR.');
INSERT INTO `lang_definitions` VALUES (119535, 3999, 23, 'Recupero file da CouchDB non riuscito');
INSERT INTO `lang_definitions` VALUES (119536, 4000, 23, 'Spazio file');
INSERT INTO `lang_definitions` VALUES (119537, 4001, 23, 'File da caricare');
INSERT INTO `lang_definitions` VALUES (119538, 4002, 23, 'File da Caricare');
INSERT INTO `lang_definitions` VALUES (119539, 4003, 23, 'Un file con lo stesso nome esiste già in:');
INSERT INTO `lang_definitions` VALUES (119540, 4004, 23, 'Nome file');
INSERT INTO `lang_definitions` VALUES (119541, 4005, 23, 'Il nome del file deve finire con \".pdf\"');
INSERT INTO `lang_definitions` VALUES (119542, 4006, 23, 'File');
INSERT INTO `lang_definitions` VALUES (119543, 4011, 23, 'Filippino');
INSERT INTO `lang_definitions` VALUES (119544, 4013, 23, 'Compila qualcuna delle righe successive.');
INSERT INTO `lang_definitions` VALUES (119545, 4014, 23, 'Compila questo solo se stai inviando una notifica email ai pazienti');
INSERT INTO `lang_definitions` VALUES (119546, 4023, 23, 'Compila i valori successivi');
INSERT INTO `lang_definitions` VALUES (119547, 4025, 23, 'Compila la riga');
INSERT INTO `lang_definitions` VALUES (119548, 4028, 23, 'Filtro');
INSERT INTO `lang_definitions` VALUES (119549, 4029, 23, 'Filtro per Costanti');
INSERT INTO `lang_definitions` VALUES (119550, 4030, 23, 'Filtro per Definizioni');
INSERT INTO `lang_definitions` VALUES (119551, 4031, 23, 'filtrato da');
INSERT INTO `lang_definitions` VALUES (119552, 4032, 23, 'Filtri');
INSERT INTO `lang_definitions` VALUES (119553, 4033, 23, 'filtri');
INSERT INTO `lang_definitions` VALUES (119554, 4034, 23, 'Finale');
INSERT INTO `lang_definitions` VALUES (119555, 4035, 23, 'Diagnosi finale');
INSERT INTO `lang_definitions` VALUES (119556, 4036, 23, 'Diagnosi finale dello specialista');
INSERT INTO `lang_definitions` VALUES (119557, 4038, 23, 'Bilancio');
INSERT INTO `lang_definitions` VALUES (119558, 4039, 23, 'Data chiusura bilancio (aaaa-mm-gg)');
INSERT INTO `lang_definitions` VALUES (119559, 4040, 23, 'Resoconto Bilancio - tutto');
INSERT INTO `lang_definitions` VALUES (119560, 4042, 23, 'Resoconto Bilancio - miei incontri');
INSERT INTO `lang_definitions` VALUES (119561, 4045, 23, 'Data revisione Bilancio');
INSERT INTO `lang_definitions` VALUES (119562, 4046, 23, 'Riepilogo finanziario Codice di servizio');
INSERT INTO `lang_definitions` VALUES (119563, 4048, 23, 'Trova');
INSERT INTO `lang_definitions` VALUES (119564, 4049, 23, 'Trova disponibile');
INSERT INTO `lang_definitions` VALUES (119565, 4050, 23, 'Trova appuntamenti disponibili');
INSERT INTO `lang_definitions` VALUES (119566, 4053, 23, 'Trova Paziente');
INSERT INTO `lang_definitions` VALUES (119567, 4054, 23, 'Trova materiale per l\'istruzione del paziente');
INSERT INTO `lang_definitions` VALUES (119568, 4056, 23, 'Sto cercando');
INSERT INTO `lang_definitions` VALUES (119569, 4057, 23, 'Sto cercando per specialista');
INSERT INTO `lang_definitions` VALUES (119570, 4058, 23, 'Bene');
INSERT INTO `lang_definitions` VALUES (119571, 4060, 23, 'Concludi pagamenti');
INSERT INTO `lang_definitions` VALUES (119572, 4062, 23, 'finito');
INSERT INTO `lang_definitions` VALUES (119573, 4064, 23, 'Finnish');
INSERT INTO `lang_definitions` VALUES (119574, 4065, 23, 'Primo');
INSERT INTO `lang_definitions` VALUES (119575, 4068, 23, 'Primo giorno della settimana');
INSERT INTO `lang_definitions` VALUES (119576, 4071, 23, 'Nome');
INSERT INTO `lang_definitions` VALUES (119577, 4072, 23, 'Nome');
INSERT INTO `lang_definitions` VALUES (119578, 4073, 23, 'Nome:');
INSERT INTO `lang_definitions` VALUES (119579, 4074, 23, 'Prima visita o consulto');
INSERT INTO `lang_definitions` VALUES (119580, 4077, 23, 'Nome Cognome');
INSERT INTO `lang_definitions` VALUES (119581, 4079, 23, 'Fitness');
INSERT INTO `lang_definitions` VALUES (119582, 4080, 23, 'livello forma fisica');
INSERT INTO `lang_definitions` VALUES (119583, 4081, 23, 'Livello di forma fisica, per questo giocatore in questo giorno');
INSERT INTO `lang_definitions` VALUES (119584, 4082, 23, 'Test forma fisica');
INSERT INTO `lang_definitions` VALUES (119585, 4083, 23, 'Idoneità a giocare');
INSERT INTO `lang_definitions` VALUES (119586, 4084, 23, 'Correggere le date incontri - qualsiasi incontro');
INSERT INTO `lang_definitions` VALUES (119587, 4086, 23, 'Correggere questo');
INSERT INTO `lang_definitions` VALUES (119588, 4088, 23, 'FL');
INSERT INTO `lang_definitions` VALUES (119589, 4090, 23, 'Flatulenza');
INSERT INTO `lang_definitions` VALUES (119590, 4091, 23, 'Flusso');
INSERT INTO `lang_definitions` VALUES (119591, 4108, 23, 'Influenza stagionale');
INSERT INTO `lang_definitions` VALUES (119592, 4109, 23, 'Influenza Stagionale');
INSERT INTO `lang_definitions` VALUES (119593, 4110, 23, 'Vaccinazione antiinfluenzale');
INSERT INTO `lang_definitions` VALUES (119594, 4111, 23, 'Problema di fluido e elettrolita');
INSERT INTO `lang_definitions` VALUES (119595, 4112, 23, 'FMS');
INSERT INTO `lang_definitions` VALUES (119596, 4113, 23, 'Formato carta');
INSERT INTO `lang_definitions` VALUES (119597, 4114, 23, 'Segui manualmente');
INSERT INTO `lang_definitions` VALUES (119598, 4115, 23, 'Seguire queste istruzioni per l\'installazione o l\'aggiornamento del database seguente');
INSERT INTO `lang_definitions` VALUES (119599, 4116, 23, 'Follow Up');
INSERT INTO `lang_definitions` VALUES (119600, 4119, 23, 'Motivo del Follow Up');
INSERT INTO `lang_definitions` VALUES (119601, 4121, 23, 'La seguente è una nuova costante custom:');
INSERT INTO `lang_definitions` VALUES (119602, 4122, 23, 'La seguente è una nuova lingua custom:');
INSERT INTO `lang_definitions` VALUES (119603, 4123, 23, 'La seguente è una nuova definizione (Lingua, Costante, Definizione):');
INSERT INTO `lang_definitions` VALUES (119604, 4124, 23, 'In seguito righe del registro di controllo che sono state manomesse');
INSERT INTO `lang_definitions` VALUES (119605, 4125, 23, 'Prestazioni di Follow Up');
INSERT INTO `lang_definitions` VALUES (119606, 4126, 23, 'Fallowup specificati');
INSERT INTO `lang_definitions` VALUES (119607, 4129, 23, 'Intolleranza al cibo');
INSERT INTO `lang_definitions` VALUES (119608, 4130, 23, 'Piede');
INSERT INTO `lang_definitions` VALUES (119609, 4131, 23, 'Problemi al piede');
INSERT INTO `lang_definitions` VALUES (119610, 4132, 23, 'Piede:');
INSERT INTO `lang_definitions` VALUES (119611, 4133, 23, 'Lesioni da Football (amer.)');
INSERT INTO `lang_definitions` VALUES (119612, 4134, 23, 'Lesione da Football');
INSERT INTO `lang_definitions` VALUES (119613, 4135, 23, 'Resoconto Lesioni da Football (amer.)');
INSERT INTO `lang_definitions` VALUES (119614, 4136, 23, 'Tipo di calzatura');
INSERT INTO `lang_definitions` VALUES (119615, 4137, 23, 'per');
INSERT INTO `lang_definitions` VALUES (119616, 4138, 23, 'Per');
INSERT INTO `lang_definitions` VALUES (119617, 4144, 23, 'Per codice');
INSERT INTO `lang_definitions` VALUES (119618, 4152, 23, 'Per indicazioni sugli incontri');
INSERT INTO `lang_definitions` VALUES (119619, 4154, 23, 'Per esempio:');
INSERT INTO `lang_definitions` VALUES (119620, 4158, 23, 'For HCFA 02/12 Box 15 is Other Date with a qualifier to specify what the date indicates');
INSERT INTO `lang_definitions` VALUES (119621, 4159, 23, 'For HCFA 02/12 Onset date specified on the Encounter Form needs a qualifier');
INSERT INTO `lang_definitions` VALUES (119622, 4161, 23, 'per fattura');
INSERT INTO `lang_definitions` VALUES (119623, 4163, 23, 'Solo per Medicare, costringe il fornitore di riferimento per essere lo stesso come fornitore di rappresentazione.');
INSERT INTO `lang_definitions` VALUES (119624, 4165, 23, 'per OBR metti numero di ordine');
INSERT INTO `lang_definitions` VALUES (119625, 4166, 23, 'per paziente');
INSERT INTO `lang_definitions` VALUES (119626, 4173, 23, 'Per organismo di cui / Specialista');
INSERT INTO `lang_definitions` VALUES (119627, 4176, 23, 'Per il passato');
INSERT INTO `lang_definitions` VALUES (119628, 4188, 23, 'per variabile');
INSERT INTO `lang_definitions` VALUES (119629, 4189, 23, 'per:');
INSERT INTO `lang_definitions` VALUES (119630, 4190, 23, 'Forza l\'apertura del widget fatturazione');
INSERT INTO `lang_definitions` VALUES (119631, 4191, 23, 'Forza la creazione di un nuovo paziente');
INSERT INTO `lang_definitions` VALUES (119632, 4193, 23, 'Forza visualizzazione');
INSERT INTO `lang_definitions` VALUES (119633, 4194, 23, 'Avambraccio');
INSERT INTO `lang_definitions` VALUES (119634, 4195, 23, 'Modulo');
INSERT INTO `lang_definitions` VALUES (119635, 4196, 23, 'modulo');
INSERT INTO `lang_definitions` VALUES (119636, 4197, 23, 'Modulo elementi non trovati');
INSERT INTO `lang_definitions` VALUES (119637, 4199, 23, 'Modulo firmato con successo');
INSERT INTO `lang_definitions` VALUES (119638, 4201, 23, 'Formato');
INSERT INTO `lang_definitions` VALUES (119639, 4202, 23, 'formato');
INSERT INTO `lang_definitions` VALUES (119640, 4203, 23, 'Formato per visualizzare età');
INSERT INTO `lang_definitions` VALUES (119641, 4204, 23, 'Formato scorretto per NDC');
INSERT INTO `lang_definitions` VALUES (119642, 4205, 23, 'Formato usato per mostrare la maggior parte delle date.');
INSERT INTO `lang_definitions` VALUES (119643, 4206, 23, 'Formato usato per mostrare la maggior parte delle volte.');
INSERT INTO `lang_definitions` VALUES (119644, 4207, 23, 'Resoconto formattato');
INSERT INTO `lang_definitions` VALUES (119645, 4208, 23, 'Ex fumatore');
INSERT INTO `lang_definitions` VALUES (119646, 4209, 23, 'Moduli');
INSERT INTO `lang_definitions` VALUES (119647, 4210, 23, 'Amministrazione Moduli');
INSERT INTO `lang_definitions` VALUES (119648, 4215, 23, 'Inoltrare');
INSERT INTO `lang_definitions` VALUES (119649, 4219, 23, 'Pagine inoltrate via Fax');
INSERT INTO `lang_definitions` VALUES (119650, 4222, 23, 'Inoltrato');
INSERT INTO `lang_definitions` VALUES (119651, 4225, 23, 'Quarto');
INSERT INTO `lang_definitions` VALUES (119652, 4227, 23, 'Frattura');
INSERT INTO `lang_definitions` VALUES (119653, 4228, 23, 'Frattura alla navicula');
INSERT INTO `lang_definitions` VALUES (119654, 4229, 23, 'Frattura malleolo laterale');
INSERT INTO `lang_definitions` VALUES (119655, 4230, 23, 'Frattura malleolo mediale');
INSERT INTO `lang_definitions` VALUES (119656, 4231, 23, 'Frattura, base del quinto metatarsale');
INSERT INTO `lang_definitions` VALUES (119657, 4233, 23, 'Supporto struttura necessario');
INSERT INTO `lang_definitions` VALUES (119658, 4235, 23, 'Francese');
INSERT INTO `lang_definitions` VALUES (119659, 4236, 23, 'Francese (Canadese)');
INSERT INTO `lang_definitions` VALUES (119660, 4237, 23, 'Francese (Standard)');
INSERT INTO `lang_definitions` VALUES (119661, 4238, 23, 'Frequenza');
INSERT INTO `lang_definitions` VALUES (119662, 4239, 23, 'Raffreddori frequenti');
INSERT INTO `lang_definitions` VALUES (119663, 4240, 23, 'Infermità frequenti');
INSERT INTO `lang_definitions` VALUES (119664, 4241, 23, 'Ven');
INSERT INTO `lang_definitions` VALUES (119665, 4242, 23, 'Venerdì');
INSERT INTO `lang_definitions` VALUES (119666, 4244, 23, 'Da');
INSERT INTO `lang_definitions` VALUES (119667, 4245, 23, 'DA');
INSERT INTO `lang_definitions` VALUES (119668, 4246, 23, 'da');
INSERT INTO `lang_definitions` VALUES (119669, 4247, 23, 'La data iniziale non può essere successiva alla data finale');
INSERT INTO `lang_definitions` VALUES (119670, 4253, 23, 'Da:');
INSERT INTO `lang_definitions` VALUES (119671, 4254, 23, 'Da:');
INSERT INTO `lang_definitions` VALUES (119672, 4255, 23, 'FROM_CITY');
INSERT INTO `lang_definitions` VALUES (119673, 4256, 23, 'FROM_EMAIL');
INSERT INTO `lang_definitions` VALUES (119674, 4257, 23, 'FROM_FNAME');
INSERT INTO `lang_definitions` VALUES (119675, 4258, 23, 'FROM_LNAME');
INSERT INTO `lang_definitions` VALUES (119676, 4259, 23, 'FROM_MNAME');
INSERT INTO `lang_definitions` VALUES (119677, 4260, 23, 'FROM_PHONE');
INSERT INTO `lang_definitions` VALUES (119678, 4261, 23, 'FROM_PHONECELL');
INSERT INTO `lang_definitions` VALUES (119679, 4262, 23, 'FROM_POSTAL');
INSERT INTO `lang_definitions` VALUES (119680, 4263, 23, 'FROM_STATE');
INSERT INTO `lang_definitions` VALUES (119681, 4264, 23, 'FROM_STREET');
INSERT INTO `lang_definitions` VALUES (119682, 4265, 23, 'FROM_TITLE');
INSERT INTO `lang_definitions` VALUES (119683, 4266, 23, 'FROM_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (119684, 4267, 23, 'Sportello');
INSERT INTO `lang_definitions` VALUES (119685, 4268, 23, 'Ricevute da Sportello');
INSERT INTO `lang_definitions` VALUES (119686, 4269, 23, 'Resoconto ricevute da sportello');
INSERT INTO `lang_definitions` VALUES (119687, 4270, 23, 'Ricevimento anteriore');
INSERT INTO `lang_definitions` VALUES (119688, 4271, 23, 'Frontale destro:');
INSERT INTO `lang_definitions` VALUES (119689, 4276, 23, 'Fula- Fulah- Pulaar- Pular');
INSERT INTO `lang_definitions` VALUES (119690, 4278, 23, 'Nome completo');
INSERT INTO `lang_definitions` VALUES (119691, 4280, 23, 'Percorso completo alla directory contenente l\'eseguibile MySQL');
INSERT INTO `lang_definitions` VALUES (119692, 4281, 23, 'Percorso completo alla directory contenente l\'eseguibile Perl');
INSERT INTO `lang_definitions` VALUES (119693, 4282, 23, 'Percorso completo alla directory del log dell\'evento backup');
INSERT INTO `lang_definitions` VALUES (119694, 4283, 23, 'Percorso completo alla directory usata per i file temporanei');
INSERT INTO `lang_definitions` VALUES (119695, 4284, 23, 'Full Play');
INSERT INTO `lang_definitions` VALUES (119696, 4286, 23, 'Addestramento completo');
INSERT INTO `lang_definitions` VALUES (119697, 4288, 23, 'Pagamento completato');
INSERT INTO `lang_definitions` VALUES (119698, 4295, 23, 'Futuro');
INSERT INTO `lang_definitions` VALUES (119699, 4298, 23, 'G');
INSERT INTO `lang_definitions` VALUES (119700, 4299, 23, 'G/DL');
INSERT INTO `lang_definitions` VALUES (119701, 4301, 23, 'Galician');
INSERT INTO `lang_definitions` VALUES (119702, 4302, 23, 'Condizione cistifellea');
INSERT INTO `lang_definitions` VALUES (119703, 4303, 23, 'Calcoli biliari');
INSERT INTO `lang_definitions` VALUES (119704, 4304, 23, 'Periodo partita');
INSERT INTO `lang_definitions` VALUES (119705, 4305, 23, 'Partite');
INSERT INTO `lang_definitions` VALUES (119706, 4306, 23, 'Partite mancanti');
INSERT INTO `lang_definitions` VALUES (119707, 4307, 23, 'partite/eventi');
INSERT INTO `lang_definitions` VALUES (119708, 4308, 23, 'Partite/Eventi mancanti');
INSERT INTO `lang_definitions` VALUES (119709, 4309, 23, 'Ganda');
INSERT INTO `lang_definitions` VALUES (119710, 4310, 23, 'Gastrite');
INSERT INTO `lang_definitions` VALUES (119711, 4311, 23, 'Dolore gastrico');
INSERT INTO `lang_definitions` VALUES (119712, 4312, 23, 'Gastrointestinale');
INSERT INTO `lang_definitions` VALUES (119713, 4316, 23, 'Resoconto statistiche GCAC');
INSERT INTO `lang_definitions` VALUES (119714, 4317, 23, 'Stat GCAC');
INSERT INTO `lang_definitions` VALUES (119715, 4318, 23, 'Modulo visita GCAC mancante');
INSERT INTO `lang_definitions` VALUES (119716, 4319, 23, 'Genere');
INSERT INTO `lang_definitions` VALUES (119717, 4320, 23, 'Genere');
INSERT INTO `lang_definitions` VALUES (119718, 4321, 23, 'Generale');
INSERT INTO `lang_definitions` VALUES (119719, 4323, 23, 'Elenco generale edizione');
INSERT INTO `lang_definitions` VALUES (119720, 4325, 23, 'Categoria Servizio generale');
INSERT INTO `lang_definitions` VALUES (119721, 4331, 23, 'Genera');
INSERT INTO `lang_definitions` VALUES (119722, 4332, 23, 'Genera e scarica CMS 1500 sinistri cartacei');
INSERT INTO `lang_definitions` VALUES (119723, 4334, 23, 'Genera e scarica HCFA 1500 sinistri cartacei');
INSERT INTO `lang_definitions` VALUES (119724, 4337, 23, 'Genera e scarica');
INSERT INTO `lang_definitions` VALUES (119725, 4338, 23, 'Genera e scarica X12 sinistri degli incontri batch');
INSERT INTO `lang_definitions` VALUES (119726, 4341, 23, 'Genera e trasmetti elettronicamente le prescrizioni permesse.');
INSERT INTO `lang_definitions` VALUES (119727, 4342, 23, 'Genera CMS 1500');
INSERT INTO `lang_definitions` VALUES (119728, 4343, 23, 'Genera CMS 1500 in formato PDF');
INSERT INTO `lang_definitions` VALUES (119729, 4344, 23, 'Geenra CMS 15000 in formato TEXT');
INSERT INTO `lang_definitions` VALUES (119730, 4345, 23, 'Genera HCFA');
INSERT INTO `lang_definitions` VALUES (119731, 4347, 23, 'Genera fattura');
INSERT INTO `lang_definitions` VALUES (119732, 4348, 23, 'Genera lettera');
INSERT INTO `lang_definitions` VALUES (119733, 4349, 23, 'Geenra lettera concernente');
INSERT INTO `lang_definitions` VALUES (119734, 4351, 23, 'Genera resoconto PQRI (Metodo A)');
INSERT INTO `lang_definitions` VALUES (119735, 4352, 23, 'Genera resoconto PQRI (Metodo A) - 2011');
INSERT INTO `lang_definitions` VALUES (119736, 4353, 23, 'Genera resoconto PQRI (Metodo E)');
INSERT INTO `lang_definitions` VALUES (119737, 4354, 23, 'Genera resoconto PQRI (Metodo E) - 2011');
INSERT INTO `lang_definitions` VALUES (119738, 4357, 23, 'Genera resoconto');
INSERT INTO `lang_definitions` VALUES (119739, 4365, 23, 'Genera nome utente e password per');
INSERT INTO `lang_definitions` VALUES (119740, 4366, 23, 'Genera X12');
INSERT INTO `lang_definitions` VALUES (119741, 4368, 23, 'Genera incontro X12');
INSERT INTO `lang_definitions` VALUES (119742, 4370, 23, 'Generato il');
INSERT INTO `lang_definitions` VALUES (119743, 4372, 23, 'Genera');
INSERT INTO `lang_definitions` VALUES (119744, 4377, 23, 'Genitourinario');
INSERT INTO `lang_definitions` VALUES (119745, 4380, 23, 'Georgian');
INSERT INTO `lang_definitions` VALUES (119746, 4381, 23, 'Tedesco');
INSERT INTO `lang_definitions` VALUES (119747, 4386, 23, 'Preleva HL7');
INSERT INTO `lang_definitions` VALUES (119748, 4392, 23, 'Glaucoma');
INSERT INTO `lang_definitions` VALUES (119749, 4393, 23, 'Storico familiare Glaucoma');
INSERT INTO `lang_definitions` VALUES (119750, 4395, 23, 'Globale');
INSERT INTO `lang_definitions` VALUES (119751, 4398, 23, 'ID globale');
INSERT INTO `lang_definitions` VALUES (119752, 4399, 23, 'Parametri globali');
INSERT INTO `lang_definitions` VALUES (119753, 4400, 23, 'Globali');
INSERT INTO `lang_definitions` VALUES (119754, 4401, 23, 'MG/DL');
INSERT INTO `lang_definitions` VALUES (119755, 4403, 23, 'Vai');
INSERT INTO `lang_definitions` VALUES (119756, 4404, 23, 'vai');
INSERT INTO `lang_definitions` VALUES (119757, 4407, 23, 'Vai a');
INSERT INTO `lang_definitions` VALUES (119758, 4417, 23, 'Vai alla settimana del');
INSERT INTO `lang_definitions` VALUES (119759, 4418, 23, 'Vai a Oggi');
INSERT INTO `lang_definitions` VALUES (119760, 4419, 23, 'Obiettivo A');
INSERT INTO `lang_definitions` VALUES (119761, 4420, 23, 'Obiettivi e metodi');
INSERT INTO `lang_definitions` VALUES (119762, 4421, 23, 'Obiettivo B');
INSERT INTO `lang_definitions` VALUES (119763, 4422, 23, 'Obiettivo C');
INSERT INTO `lang_definitions` VALUES (119764, 4428, 23, 'Grado della lesione');
INSERT INTO `lang_definitions` VALUES (119765, 4429, 23, 'Grado:');
INSERT INTO `lang_definitions` VALUES (119766, 4430, 23, 'grammi');
INSERT INTO `lang_definitions` VALUES (119767, 4431, 23, 'Gran Totale');
INSERT INTO `lang_definitions` VALUES (119768, 4432, 23, 'Grandi Totali');
INSERT INTO `lang_definitions` VALUES (119769, 4435, 23, 'Visualizzabile graficamente');
INSERT INTO `lang_definitions` VALUES (119770, 4437, 23, 'maggiore di');
INSERT INTO `lang_definitions` VALUES (119771, 4438, 23, 'maggiore o uguale a');
INSERT INTO `lang_definitions` VALUES (119772, 4439, 23, 'Greco');
INSERT INTO `lang_definitions` VALUES (119773, 4440, 23, 'Greco, moderno');
INSERT INTO `lang_definitions` VALUES (119774, 4442, 23, 'Gruppo');
INSERT INTO `lang_definitions` VALUES (119775, 4459, 23, 'Nome del Gruppo');
INSERT INTO `lang_definitions` VALUES (119776, 4460, 23, 'I nomi dei gruppi non possono essere in bianco');
INSERT INTO `lang_definitions` VALUES (119777, 4461, 23, 'I nomi dei gruppi non possono cominciare con numeri o spazi.');
INSERT INTO `lang_definitions` VALUES (119778, 4462, 23, 'I nomi dei gruppi non possono cominciare con numeri.');
INSERT INTO `lang_definitions` VALUES (119779, 4463, 23, 'Numero del gruppo');
INSERT INTO `lang_definitions` VALUES (119780, 4465, 23, 'Pagamento del Gruppo');
INSERT INTO `lang_definitions` VALUES (119781, 4471, 23, 'Gruppo:');
INSERT INTO `lang_definitions` VALUES (119782, 4472, 23, 'Nomegruppo');
INSERT INTO `lang_definitions` VALUES (119783, 4475, 23, 'Gruppi e controlli di accesso');
INSERT INTO `lang_definitions` VALUES (119784, 4476, 23, 'Tabulato della crescita');
INSERT INTO `lang_definitions` VALUES (119785, 4477, 23, 'Tabulato-Crescita');
INSERT INTO `lang_definitions` VALUES (119786, 4478, 23, 'gocce');
INSERT INTO `lang_definitions` VALUES (119787, 4479, 23, 'Guamanian');
INSERT INTO `lang_definitions` VALUES (119788, 4481, 23, 'Guaraní');
INSERT INTO `lang_definitions` VALUES (119789, 4484, 23, 'Nome del tutore');
INSERT INTO `lang_definitions` VALUES (119790, 4487, 23, 'Gujarati');
INSERT INTO `lang_definitions` VALUES (119791, 4489, 23, 'Esame ginecologico');
INSERT INTO `lang_definitions` VALUES (119792, 4490, 23, 'h');
INSERT INTO `lang_definitions` VALUES (119793, 4492, 23, 'h.s.(hora somni)');
INSERT INTO `lang_definitions` VALUES (119794, 4493, 23, 'H/O Epatiti');
INSERT INTO `lang_definitions` VALUES (119795, 4494, 23, 'è stato eliminata con successo. Qualsiasi categoria se presente è stata spostata sotto');
INSERT INTO `lang_definitions` VALUES (119796, 4495, 23, 'Ematoma / contusione');
INSERT INTO `lang_definitions` VALUES (119797, 4496, 23, 'Stato HAI(Hospital-acquired infection)');
INSERT INTO `lang_definitions` VALUES (119798, 4497, 23, 'Haitian- Haitian Creole');
INSERT INTO `lang_definitions` VALUES (119799, 4499, 23, 'Mano + dita');
INSERT INTO `lang_definitions` VALUES (119800, 4500, 23, 'Problemi alla mano');
INSERT INTO `lang_definitions` VALUES (119801, 4505, 23, 'Hard Disk');
INSERT INTO `lang_definitions` VALUES (119802, 4506, 23, 'Con/senza difficoltà');
INSERT INTO `lang_definitions` VALUES (119803, 4507, 23, 'è stato collegato alla visita');
INSERT INTO `lang_definitions` VALUES (119804, 4508, 23, 'è scaduto');
INSERT INTO `lang_definitions` VALUES (119805, 4509, 23, 'Hash');
INSERT INTO `lang_definitions` VALUES (119806, 4511, 23, 'L\'hash di questo file non esisteva. E\' stato genenrato un nuovo hash.');
INSERT INTO `lang_definitions` VALUES (119807, 4512, 23, 'L\'hash non corrisponde. L\'integrità dei dati è stata compromessa.');
INSERT INTO `lang_definitions` VALUES (119808, 4514, 23, 'Hausa');
INSERT INTO `lang_definitions` VALUES (119809, 4515, 23, 'Hawaiano');
INSERT INTO `lang_definitions` VALUES (119810, 4516, 23, 'Attività rischiose');
INSERT INTO `lang_definitions` VALUES (119811, 4517, 23, 'Attività Rischiose');
INSERT INTO `lang_definitions` VALUES (119812, 4521, 23, 'margine sinistro in punti dell\'HCFA');
INSERT INTO `lang_definitions` VALUES (119813, 4522, 23, 'Margini dell\'HCFA');
INSERT INTO `lang_definitions` VALUES (119814, 4523, 23, 'margine superiore in punti dell\'HCFA');
INSERT INTO `lang_definitions` VALUES (119815, 4524, 23, 'HCPCS procedura/Servizio');
INSERT INTO `lang_definitions` VALUES (119816, 4527, 23, 'lui PostCalendar');
INSERT INTO `lang_definitions` VALUES (119817, 4528, 23, 'Testa');
INSERT INTO `lang_definitions` VALUES (119818, 4529, 23, 'Circ Testa');
INSERT INTO `lang_definitions` VALUES (119819, 4530, 23, 'Circonferenza della testa');
INSERT INTO `lang_definitions` VALUES (119820, 4531, 23, 'Mal di testa');
INSERT INTO `lang_definitions` VALUES (119821, 4532, 23, 'Mal di testa');
INSERT INTO `lang_definitions` VALUES (119822, 4534, 23, 'operazioni di assistenza sanitaria');
INSERT INTO `lang_definitions` VALUES (119823, 4535, 23, 'operazioni di assistenza sanitaria');
INSERT INTO `lang_definitions` VALUES (119824, 4537, 23, 'Centro medico / Clinica');
INSERT INTO `lang_definitions` VALUES (119825, 4540, 23, 'Organizzazione per il mantenimento della salute');
INSERT INTO `lang_definitions` VALUES (119826, 4541, 23, 'Organizzazione per il mantenimento della salute');
INSERT INTO `lang_definitions` VALUES (119827, 4542, 23, 'Perdita dell\'udito');
INSERT INTO `lang_definitions` VALUES (119828, 4543, 23, 'Attacco cardiaco');
INSERT INTO `lang_definitions` VALUES (119829, 4544, 23, 'Malattia cardiaca');
INSERT INTO `lang_definitions` VALUES (119830, 4545, 23, 'Scompenso cardiaco');
INSERT INTO `lang_definitions` VALUES (119831, 4546, 23, 'Problema cardiaco');
INSERT INTO `lang_definitions` VALUES (119832, 4547, 23, 'Problemi cardiaci');
INSERT INTO `lang_definitions` VALUES (119833, 4548, 23, 'Chirurgia cardiaca');
INSERT INTO `lang_definitions` VALUES (119834, 4549, 23, 'Trapianto cardiaco');
INSERT INTO `lang_definitions` VALUES (119835, 4550, 23, 'CUORE:');
INSERT INTO `lang_definitions` VALUES (119836, 4551, 23, 'Pirosi');
INSERT INTO `lang_definitions` VALUES (119837, 4552, 23, 'Caldo o Freddo');
INSERT INTO `lang_definitions` VALUES (119838, 4553, 23, 'Caldo O Freddo');
INSERT INTO `lang_definitions` VALUES (119839, 4554, 23, 'Fumatore di tabacco pesante');
INSERT INTO `lang_definitions` VALUES (119840, 4555, 23, 'Ebraico');
INSERT INTO `lang_definitions` VALUES (119841, 4556, 23, 'Ebraico (moderno)');
INSERT INTO `lang_definitions` VALUES (119842, 4557, 23, 'HEENT');
INSERT INTO `lang_definitions` VALUES (119843, 4558, 23, 'Altezza');
INSERT INTO `lang_definitions` VALUES (119844, 4559, 23, 'Altezza/Lunghezza');
INSERT INTO `lang_definitions` VALUES (119845, 4560, 23, 'Aiuto');
INSERT INTO `lang_definitions` VALUES (119846, 4561, 23, 'aiuto');
INSERT INTO `lang_definitions` VALUES (119847, 4563, 23, 'Ematemesi');
INSERT INTO `lang_definitions` VALUES (119848, 4564, 23, 'Ematochezia');
INSERT INTO `lang_definitions` VALUES (119849, 4565, 23, 'Ematologico');
INSERT INTO `lang_definitions` VALUES (119850, 4566, 23, 'Ematuria');
INSERT INTO `lang_definitions` VALUES (119851, 4567, 23, 'Emoglobina');
INSERT INTO `lang_definitions` VALUES (119852, 4568, 23, 'Emoglobina A1C');
INSERT INTO `lang_definitions` VALUES (119853, 4569, 23, 'Emottisi');
INSERT INTO `lang_definitions` VALUES (119854, 4570, 23, 'Epatite');
INSERT INTO `lang_definitions` VALUES (119855, 4571, 23, 'Epatite A 1');
INSERT INTO `lang_definitions` VALUES (119856, 4572, 23, 'Epatite A 2');
INSERT INTO `lang_definitions` VALUES (119857, 4573, 23, 'Epatite B 1');
INSERT INTO `lang_definitions` VALUES (119858, 4574, 23, 'Epatite B 2');
INSERT INTO `lang_definitions` VALUES (119859, 4575, 23, 'Epatite B 3');
INSERT INTO `lang_definitions` VALUES (119860, 4576, 23, 'qui');
INSERT INTO `lang_definitions` VALUES (119861, 4579, 23, 'Herero');
INSERT INTO `lang_definitions` VALUES (119862, 4580, 23, 'Riparazione ernia');
INSERT INTO `lang_definitions` VALUES (119863, 4581, 23, 'Disco erniatico');
INSERT INTO `lang_definitions` VALUES (119864, 4582, 23, 'Herpes');
INSERT INTO `lang_definitions` VALUES (119865, 4585, 23, 'Titubanza');
INSERT INTO `lang_definitions` VALUES (119866, 4586, 23, 'Ehi tu. sei stato qui per');
INSERT INTO `lang_definitions` VALUES (119867, 4587, 23, 'Hib 1');
INSERT INTO `lang_definitions` VALUES (119868, 4588, 23, 'Hib 2');
INSERT INTO `lang_definitions` VALUES (119869, 4589, 23, 'Hib 3');
INSERT INTO `lang_definitions` VALUES (119870, 4590, 23, 'Hib 4');
INSERT INTO `lang_definitions` VALUES (119871, 4591, 23, 'Nascosto');
INSERT INTO `lang_definitions` VALUES (119872, 4592, 23, 'Amministrazione eventi nascosti');
INSERT INTO `lang_definitions` VALUES (119873, 4593, 23, 'Nascondi');
INSERT INTO `lang_definitions` VALUES (119874, 4595, 23, 'Nascondi dettagli');
INSERT INTO `lang_definitions` VALUES (119875, 4596, 23, 'Nascondi E-Sign vuoti nel log del Report');
INSERT INTO `lang_definitions` VALUES (119876, 4597, 23, 'Nascondi le opzioni di cifratura/decifratura nella gestione documento');
INSERT INTO `lang_definitions` VALUES (119877, 4599, 23, 'Nascondi menu');
INSERT INTO `lang_definitions` VALUES (119878, 4601, 23, 'Nascondi promemoria');
INSERT INTO `lang_definitions` VALUES (119879, 4603, 23, 'Nascondi/Scopri Colonne');
INSERT INTO `lang_definitions` VALUES (119880, 4605, 23, 'Alto');
INSERT INTO `lang_definitions` VALUES (119881, 4607, 23, 'Pressione sanguigna alta');
INSERT INTO `lang_definitions` VALUES (119882, 4609, 23, 'Indi');
INSERT INTO `lang_definitions` VALUES (119883, 4610, 23, 'Anca + inguine');
INSERT INTO `lang_definitions` VALUES (119884, 4611, 23, 'Anca e inguine');
INSERT INTO `lang_definitions` VALUES (119885, 4612, 23, 'Problemi all\'anca');
INSERT INTO `lang_definitions` VALUES (119886, 4613, 23, 'Protesi d\'anca');
INSERT INTO `lang_definitions` VALUES (119887, 4615, 23, 'HIPAA notifica ricevuta');
INSERT INTO `lang_definitions` VALUES (119888, 4616, 23, 'Hiri Motu');
INSERT INTO `lang_definitions` VALUES (119889, 4617, 23, 'Irsutismo/Smagliature');
INSERT INTO `lang_definitions` VALUES (119890, 4618, 23, 'Ispanico');
INSERT INTO `lang_definitions` VALUES (119891, 4619, 23, 'Ispanico - Altri (nati in US)');
INSERT INTO `lang_definitions` VALUES (119892, 4620, 23, 'Ispanico - Altri (nati fuori US)');
INSERT INTO `lang_definitions` VALUES (119893, 4621, 23, 'Ispanico o Latino');
INSERT INTO `lang_definitions` VALUES (119894, 4623, 23, 'Storico');
INSERT INTO `lang_definitions` VALUES (119895, 4629, 23, 'Data storico');
INSERT INTO `lang_definitions` VALUES (119896, 4630, 23, 'Dati storici');
INSERT INTO `lang_definitions` VALUES (119897, 4632, 23, 'Storico Murmure');
INSERT INTO `lang_definitions` VALUES (119898, 4633, 23, 'Storico non autorizzato');
INSERT INTO `lang_definitions` VALUES (119899, 4634, 23, 'Storico soffio al cuore');
INSERT INTO `lang_definitions` VALUES (119900, 4638, 23, 'Accessi');
INSERT INTO `lang_definitions` VALUES (119901, 4639, 23, 'HIV');
INSERT INTO `lang_definitions` VALUES (119902, 4649, 23, 'HL7 visualizzatore');
INSERT INTO `lang_definitions` VALUES (119903, 4651, 23, 'HMOL/L');
INSERT INTO `lang_definitions` VALUES (119904, 4652, 23, 'Hmong');
INSERT INTO `lang_definitions` VALUES (119905, 4653, 23, 'Tieni premuto [Ctrl] per selezione o deselezione multipla');
INSERT INTO `lang_definitions` VALUES (119906, 4655, 23, 'Tieni premuto Ctrl per selezionare elementi multipli');
INSERT INTO `lang_definitions` VALUES (119907, 4656, 23, 'Tieni premuto Ctrl per selezione squadre multiple');
INSERT INTO `lang_definitions` VALUES (119908, 4658, 23, 'Home');
INSERT INTO `lang_definitions` VALUES (119909, 4659, 23, 'Telefono abitazione');
INSERT INTO `lang_definitions` VALUES (119910, 4660, 23, 'Numero telefono abitazione');
INSERT INTO `lang_definitions` VALUES (119911, 4662, 23, 'Senza tetto o simili?');
INSERT INTO `lang_definitions` VALUES (119912, 4664, 23, 'Senza tetto, etc');
INSERT INTO `lang_definitions` VALUES (119913, 4665, 23, 'Senza tetto, etc');
INSERT INTO `lang_definitions` VALUES (119914, 4666, 23, 'Hooks(Ganci)');
INSERT INTO `lang_definitions` VALUES (119915, 4674, 23, 'Nome dell\'Host');
INSERT INTO `lang_definitions` VALUES (119916, 4675, 23, 'Il nome dell\'Host non può essere vuoto');
INSERT INTO `lang_definitions` VALUES (119917, 4677, 23, 'Ora');
INSERT INTO `lang_definitions` VALUES (119918, 4678, 23, 'Ore');
INSERT INTO `lang_definitions` VALUES (119919, 4681, 23, 'Quando è avvenuta la lesione?');
INSERT INTO `lang_definitions` VALUES (119920, 4682, 23, 'Quando è avvenuta la lesione?:');
INSERT INTO `lang_definitions` VALUES (119921, 4683, 23, 'Quando hanno sentito parlare di noi');
INSERT INTO `lang_definitions` VALUES (119922, 4685, 23, 'Per quanti mesi richiedi gli eventi futuri?');
INSERT INTO `lang_definitions` VALUES (119923, 4692, 23, 'HPI(High Pressure Injection):');
INSERT INTO `lang_definitions` VALUES (119924, 4694, 23, 'HT');
INSERT INTO `lang_definitions` VALUES (119925, 4695, 23, 'HTML');
INSERT INTO `lang_definitions` VALUES (119926, 4696, 23, 'HTML Output?');
INSERT INTO `lang_definitions` VALUES (119927, 4699, 23, 'Collegamento https al supporto OpenEMR per il servizio scambio Lab LLC.');
INSERT INTO `lang_definitions` VALUES (119928, 4701, 23, 'Ungherese');
INSERT INTO `lang_definitions` VALUES (119929, 4702, 23, 'Directory Hylafax');
INSERT INTO `lang_definitions` VALUES (119930, 4703, 23, 'Comando enscript Hylafax');
INSERT INTO `lang_definitions` VALUES (119931, 4704, 23, 'Server Hylafax');
INSERT INTO `lang_definitions` VALUES (119932, 4705, 23, 'Hostname del server Hylafax');
INSERT INTO `lang_definitions` VALUES (119933, 4706, 23, 'Iperattivo');
INSERT INTO `lang_definitions` VALUES (119934, 4708, 23, 'Ipertensione');
INSERT INTO `lang_definitions` VALUES (119935, 4709, 23, 'Ipertensione: Misura della pressione sanguigna');
INSERT INTO `lang_definitions` VALUES (119936, 4710, 23, 'Ipertensione: Misura della pressione sanguigna (CQM)');
INSERT INTO `lang_definitions` VALUES (119937, 4711, 23, 'Ipertiroidismo');
INSERT INTO `lang_definitions` VALUES (119938, 4713, 23, 'Ipertiroidismo');
INSERT INTO `lang_definitions` VALUES (119939, 4716, 23, 'Isterectomia');
INSERT INTO `lang_definitions` VALUES (119940, 4717, 23, 'Io');
INSERT INTO `lang_definitions` VALUES (119941, 4718, 23, 'Sono occupato in questo periodo.');
INSERT INTO `lang_definitions` VALUES (119942, 4719, 23, 'Non ho il permesso di leggere');
INSERT INTO `lang_definitions` VALUES (119943, 4724, 23, 'ICD');
INSERT INTO `lang_definitions` VALUES (119944, 4725, 23, 'ICD10 diagnosi');
INSERT INTO `lang_definitions` VALUES (119945, 4726, 23, 'ICD10 Procedure/Servizi');
INSERT INTO `lang_definitions` VALUES (119946, 4727, 23, 'ICD9');
INSERT INTO `lang_definitions` VALUES (119947, 4728, 23, 'ICD9 diagnosi');
INSERT INTO `lang_definitions` VALUES (119948, 4729, 23, 'ICD9 Procedure/Servizi');
INSERT INTO `lang_definitions` VALUES (119949, 4730, 23, 'Icelandic');
INSERT INTO `lang_definitions` VALUES (119950, 4734, 23, 'ID');
INSERT INTO `lang_definitions` VALUES (119951, 4736, 23, 'Id');
INSERT INTO `lang_definitions` VALUES (119952, 4738, 23, 'ID non può essere in bianco');
INSERT INTO `lang_definitions` VALUES (119953, 4739, 23, 'ID Carta');
INSERT INTO `lang_definitions` VALUES (119954, 4742, 23, 'IDays');
INSERT INTO `lang_definitions` VALUES (119955, 4743, 23, 'identificato come');
INSERT INTO `lang_definitions` VALUES (119956, 4745, 23, 'identificatore(una parola)');
INSERT INTO `lang_definitions` VALUES (119957, 4746, 23, 'Codice identificativo');
INSERT INTO `lang_definitions` VALUES (119958, 4747, 23, 'Tempo di attesa in secondi per il timeout della sessione');
INSERT INTO `lang_definitions` VALUES (119959, 4748, 23, 'Ido');
INSERT INTO `lang_definitions` VALUES (119960, 4755, 23, 'se tutti i dati per tutte le colonne sono completi per questo modulo');
INSERT INTO `lang_definitions` VALUES (119961, 4757, 23, 'Se si sta usando la motivazione della fatturazione inserisci il tipo di codice diagnostico.');
INSERT INTO `lang_definitions` VALUES (119962, 4763, 23, 'se inserito, seleziona solo quelli che avevano avuto questa prestazione');
INSERT INTO `lang_definitions` VALUES (119963, 4765, 23, 'se è un nome, qualsiasi parte del cognome o del cognome,nome');
INSERT INTO `lang_definitions` VALUES (119964, 4770, 23, 'se pagato da');
INSERT INTO `lang_definitions` VALUES (119965, 4771, 23, 'se la persona è deceduta, allora inserisci la data di morte.');
INSERT INTO `lang_definitions` VALUES (119966, 4775, 23, 'se si utilizza SMTP, il nome dell\'host o l\'indirizzo IP');
INSERT INTO `lang_definitions` VALUES (119967, 4776, 23, 'se si utilizza SMTP, il numero della porta TCP (tipicamente 25).');
INSERT INTO `lang_definitions` VALUES (119968, 4803, 23, 'se disoccupato inserisci Studente');
INSERT INTO `lang_definitions` VALUES (119969, 4805, 23, 'Se AMG è selezionata per la visualizzazione età, passare a solo anni quando i pazienti di età superiore a questo valore in anni');
INSERT INTO `lang_definitions` VALUES (119970, 4814, 23, 'Se si cambia indirizzo per ruolo e-RX sulle ricette mediche elettroniche, può influenzare il flusso di lavoro sulle ricette mediche elettroniche. Se dovete affrontare qualsiasi difficoltà, contattare il fornitore sulle ricette mediche elettroniche.');
INSERT INTO `lang_definitions` VALUES (119971, 4833, 23, 'Se si è scelto di caricare rimesse elettroniche, quindi la finestra di ricerca si è visualizza di nuovo con le fatture corrispondenti dal file X12. È possibile fare clic su uno di questi numeri di fattura (come descritto di seguito), se si desidera effettuare qualche correzione prima che le informazioni rimessa viene applicato. Per applicare le modifiche, fare clic sul pulsante ERA Elabora il file in fondo alla pagina. Questo produrrà una nuova finestra con una relazione dettagliata.');
INSERT INTO `lang_definitions` VALUES (119972, 4836, 23, 'Se è stata inserita una data di pagamento nella pagina di ricerca, questa verrà annullata dalla data di registrazione dei pagamenti e delle rettifiche che sono altrimenti presi dal file di X12. Questo può essere utile per la creazione di report, se si desidera che le ricevute di notifica utilizzino la data di registrazione, piuttosto che lae compagniae di assicurazione. Si noti che questo influenzerà anche le date dei pagamenti precedenti e le regolazioni che vengono messe in rivendicazioni secondarie.');
INSERT INTO `lang_definitions` VALUES (119973, 4850, 23, 'se vuoi cambiare i tipi di dati, o aggiungere righe e colonne');
INSERT INTO `lang_definitions` VALUES (119974, 4851, 23, 'se vuoi aggiornare il database, allora colloca il file zip del database nella seguente directory');
INSERT INTO `lang_definitions` VALUES (119975, 4853, 23, 'Igbo');
INSERT INTO `lang_definitions` VALUES (119976, 4854, 23, 'Ignora');
INSERT INTO `lang_definitions` VALUES (119977, 4856, 23, 'Malattia(e)');
INSERT INTO `lang_definitions` VALUES (119978, 4857, 23, 'IM');
INSERT INTO `lang_definitions` VALUES (119979, 4863, 23, 'Servizio di Imaging');
INSERT INTO `lang_definitions` VALUES (119980, 4865, 23, 'Immunizzazione');
INSERT INTO `lang_definitions` VALUES (119981, 4867, 23, 'Codice Immunizzazione');
INSERT INTO `lang_definitions` VALUES (119982, 4869, 23, 'Data Immunizzazione');
INSERT INTO `lang_definitions` VALUES (119983, 4870, 23, 'Immunizzazione Data di scadenza');
INSERT INTO `lang_definitions` VALUES (119984, 4872, 23, 'Numero del Lotto Immunizzazione');
INSERT INTO `lang_definitions` VALUES (119985, 4873, 23, 'Produttore Immunizzazione');
INSERT INTO `lang_definitions` VALUES (119986, 4878, 23, 'Registro Immunizzazioni');
INSERT INTO `lang_definitions` VALUES (119987, 4881, 23, 'Report Immunizzazioni');
INSERT INTO `lang_definitions` VALUES (119988, 4882, 23, 'Prestazione di Immunizzazione');
INSERT INTO `lang_definitions` VALUES (119989, 4883, 23, 'Titolo Immunizzazione');
INSERT INTO `lang_definitions` VALUES (119990, 4885, 23, 'Immunizzazioni');
INSERT INTO `lang_definitions` VALUES (119991, 4887, 23, 'Immunizza');
INSERT INTO `lang_definitions` VALUES (119992, 4888, 23, 'Immunologico');
INSERT INTO `lang_definitions` VALUES (119993, 4893, 23, 'Impianti');
INSERT INTO `lang_definitions` VALUES (119994, 4894, 23, 'Importa');
INSERT INTO `lang_definitions` VALUES (119995, 4898, 23, 'Importa il certificato nel browser');
INSERT INTO `lang_definitions` VALUES (119996, 4899, 23, 'Importa Configurazione');
INSERT INTO `lang_definitions` VALUES (119997, 4900, 23, 'Importazione differita di time-to-live');
INSERT INTO `lang_definitions` VALUES (119998, 4904, 23, 'Importa Paziente');
INSERT INTO `lang_definitions` VALUES (119999, 4905, 23, 'Importa Demografica Paziente');
INSERT INTO `lang_definitions` VALUES (120000, 4910, 23, 'Codici importanti');
INSERT INTO `lang_definitions` VALUES (120001, 4912, 23, 'IMPORTANTE: Questo strumento di upload è solo per il caricamento di documenti su pazienti che non sono ancora entrati nel sistema. Per caricare i file per i pazienti che già sono stati inseriti nel sistema, si prega di utilizzare lo strumento di caricamento legata all\'interno della schermata di Sommario Paziente.');
INSERT INTO `lang_definitions` VALUES (120002, 4914, 23, 'Importato dalla Contabilità');
INSERT INTO `lang_definitions` VALUES (120003, 4920, 23, 'Migliorato');
INSERT INTO `lang_definitions` VALUES (120004, 4922, 23, 'dentro');
INSERT INTO `lang_definitions` VALUES (120005, 4923, 23, 'DENTRO');
INSERT INTO `lang_definitions` VALUES (120006, 4931, 23, 'in cascun occhio');
INSERT INTO `lang_definitions` VALUES (120007, 4934, 23, 'nell\'occhio sinistro');
INSERT INTO `lang_definitions` VALUES (120008, 4935, 23, 'nella narice');
INSERT INTO `lang_definitions` VALUES (120009, 4936, 23, 'In Studio');
INSERT INTO `lang_definitions` VALUES (120010, 4947, 23, 'nell\'occhio destro');
INSERT INTO `lang_definitions` VALUES (120011, 4958, 23, 'dentro casa');
INSERT INTO `lang_definitions` VALUES (120012, 4960, 23, 'Inattivo');
INSERT INTO `lang_definitions` VALUES (120013, 4965, 23, 'Giorni inattivi');
INSERT INTO `lang_definitions` VALUES (120014, 4967, 23, 'Inbox');
INSERT INTO `lang_definitions` VALUES (120015, 4970, 23, 'Includi somma di controllo');
INSERT INTO `lang_definitions` VALUES (120016, 4971, 23, 'Includi Completati');
INSERT INTO `lang_definitions` VALUES (120017, 4974, 23, 'Inculdi Utenti inattivi');
INSERT INTO `lang_definitions` VALUES (120018, 4975, 23, 'Includi non categorizzati');
INSERT INTO `lang_definitions` VALUES (120019, 4976, 23, 'Includi Dati non strutturati');
INSERT INTO `lang_definitions` VALUES (120020, 4977, 23, 'Includi Vitali');
INSERT INTO `lang_definitions` VALUES (120021, 4978, 23, 'Includi i dati Vitali?');
INSERT INTO `lang_definitions` VALUES (120022, 4981, 23, 'Inclusione');
INSERT INTO `lang_definitions` VALUES (120023, 4982, 23, 'Entrata');
INSERT INTO `lang_definitions` VALUES (120024, 4983, 23, 'Risultati in arrivo che richiedono attenzione:');
INSERT INTO `lang_definitions` VALUES (120025, 4984, 23, 'Incompleto');
INSERT INTO `lang_definitions` VALUES (120026, 4985, 23, 'Trattamento aborto incompleto');
INSERT INTO `lang_definitions` VALUES (120027, 4986, 23, 'Incontinenza');
INSERT INTO `lang_definitions` VALUES (120028, 4987, 23, 'Incorporare i risultati del test clinico di laboratorio nel certificato EHR come dati strutturati.');
INSERT INTO `lang_definitions` VALUES (120029, 4988, 23, 'Password errata!');
INSERT INTO `lang_definitions` VALUES (120030, 4990, 23, 'aumentato:');
INSERT INTO `lang_definitions` VALUES (120031, 4991, 23, 'Copertura assicurativa');
INSERT INTO `lang_definitions` VALUES (120032, 4994, 23, 'Indeterminato');
INSERT INTO `lang_definitions` VALUES (120033, 4995, 23, 'Indiano');
INSERT INTO `lang_definitions` VALUES (120034, 4998, 23, 'Indica anormalità');
INSERT INTO `lang_definitions` VALUES (120035, 5000, 23, 'Indica se questa tematica è attualmente attiva');
INSERT INTO `lang_definitions` VALUES (120036, 5002, 23, 'Indicatore di uso specializzato');
INSERT INTO `lang_definitions` VALUES (120037, 5003, 23, 'Pazienti indigenti');
INSERT INTO `lang_definitions` VALUES (120038, 5004, 23, 'Resoconto pazienti indigenti');
INSERT INTO `lang_definitions` VALUES (120039, 5005, 23, 'Indigenti');
INSERT INTO `lang_definitions` VALUES (120040, 5009, 23, 'Indonesian');
INSERT INTO `lang_definitions` VALUES (120041, 5010, 23, 'Aborto indotto');
INSERT INTO `lang_definitions` VALUES (120042, 5012, 23, 'non ammissibile');
INSERT INTO `lang_definitions` VALUES (120043, 5013, 23, 'Infezione/Ascesso');
INSERT INTO `lang_definitions` VALUES (120044, 5014, 23, 'Infezioni');
INSERT INTO `lang_definitions` VALUES (120045, 5015, 23, 'Cons. Infert.');
INSERT INTO `lang_definitions` VALUES (120046, 5016, 23, 'Infertilità');
INSERT INTO `lang_definitions` VALUES (120047, 5017, 23, 'Influenza 1');
INSERT INTO `lang_definitions` VALUES (120048, 5018, 23, 'Influenza 2');
INSERT INTO `lang_definitions` VALUES (120049, 5019, 23, 'Immunizzazione Influenza per pazienti di età >= 50 anni');
INSERT INTO `lang_definitions` VALUES (120050, 5020, 23, 'Immunizzazione Influenza per pazienti di età >= 50 anni (CQM)');
INSERT INTO `lang_definitions` VALUES (120051, 5021, 23, 'Vaccino influenzale');
INSERT INTO `lang_definitions` VALUES (120052, 5022, 23, 'Info');
INSERT INTO `lang_definitions` VALUES (120053, 5023, 23, 'Info test 1');
INSERT INTO `lang_definitions` VALUES (120054, 5024, 23, 'Info test 2');
INSERT INTO `lang_definitions` VALUES (120055, 5025, 23, 'Info test 3');
INSERT INTO `lang_definitions` VALUES (120056, 5026, 23, 'Info test 4');
INSERT INTO `lang_definitions` VALUES (120057, 5027, 23, 'Info test 5');
INSERT INTO `lang_definitions` VALUES (120058, 5028, 23, 'Info test 6');
INSERT INTO `lang_definitions` VALUES (120059, 5034, 23, 'inalazioni');
INSERT INTO `lang_definitions` VALUES (120060, 5036, 23, 'inalazioni');
INSERT INTO `lang_definitions` VALUES (120061, 5038, 23, 'Trattamento iniziale');
INSERT INTO `lang_definitions` VALUES (120062, 5039, 23, 'Utente Iniziale');
INSERT INTO `lang_definitions` VALUES (120063, 5041, 23, 'Les/Riab');
INSERT INTO `lang_definitions` VALUES (120064, 5042, 23, 'Iniettabile');
INSERT INTO `lang_definitions` VALUES (120065, 5043, 23, 'Iniezione');
INSERT INTO `lang_definitions` VALUES (120066, 5044, 23, 'Parte del corpo lesa');
INSERT INTO `lang_definitions` VALUES (120067, 5045, 23, 'Lesione esterna');
INSERT INTO `lang_definitions` VALUES (120068, 5046, 23, 'Lesione');
INSERT INTO `lang_definitions` VALUES (120069, 5047, 23, 'Meccanismo di lesione');
INSERT INTO `lang_definitions` VALUES (120070, 5048, 23, 'Resoconto rassegna lesioni');
INSERT INTO `lang_definitions` VALUES (120071, 5049, 23, 'Sorveglianza lesione');
INSERT INTO `lang_definitions` VALUES (120072, 5050, 23, 'Tipo lesione');
INSERT INTO `lang_definitions` VALUES (120073, 5051, 23, 'Correlato alla lesione/malattia');
INSERT INTO `lang_definitions` VALUES (120074, 5052, 23, 'In linea');
INSERT INTO `lang_definitions` VALUES (120075, 5055, 23, 'Input non inizia con un segmento MSH');
INSERT INTO `lang_definitions` VALUES (120076, 5056, 23, 'Campi di input');
INSERT INTO `lang_definitions` VALUES (120077, 5057, 23, 'INR');
INSERT INTO `lang_definitions` VALUES (120078, 5058, 23, 'Ins 1');
INSERT INTO `lang_definitions` VALUES (120079, 5059, 23, 'Ins 1 o ins 3');
INSERT INTO `lang_definitions` VALUES (120080, 5060, 23, 'Ins Indirizzi');
INSERT INTO `lang_definitions` VALUES (120081, 5061, 23, 'Ins modifica');
INSERT INTO `lang_definitions` VALUES (120082, 5062, 23, 'Ins accorpamento');
INSERT INTO `lang_definitions` VALUES (120083, 5063, 23, 'Ins codice');
INSERT INTO `lang_definitions` VALUES (120084, 5064, 23, 'Ins Gruppo');
INSERT INTO `lang_definitions` VALUES (120085, 5065, 23, 'Ins Nome');
INSERT INTO `lang_definitions` VALUES (120086, 5066, 23, 'Ins pagato in eccesso');
INSERT INTO `lang_definitions` VALUES (120087, 5067, 23, 'Ins Polizza');
INSERT INTO `lang_definitions` VALUES (120088, 5068, 23, 'Ins rimborso');
INSERT INTO `lang_definitions` VALUES (120089, 5069, 23, 'Ins Sommario');
INSERT INTO `lang_definitions` VALUES (120090, 5071, 23, 'Ins1');
INSERT INTO `lang_definitions` VALUES (120091, 5072, 23, 'Ins2');
INSERT INTO `lang_definitions` VALUES (120092, 5073, 23, 'Ins3');
INSERT INTO `lang_definitions` VALUES (120093, 5074, 23, 'Inserire');
INSERT INTO `lang_definitions` VALUES (120094, 5075, 23, 'Inserimento fallito');
INSERT INTO `lang_definitions` VALUES (120095, 5079, 23, 'Inserisci vecchi eventi nelle tabelle');
INSERT INTO `lang_definitions` VALUES (120096, 5085, 23, 'Insonnia');
INSERT INTO `lang_definitions` VALUES (120097, 5086, 23, 'Ispeziona il log');
INSERT INTO `lang_definitions` VALUES (120098, 5087, 23, 'Ispezione');
INSERT INTO `lang_definitions` VALUES (120099, 5088, 23, 'Instabilità / Sublussazione');
INSERT INTO `lang_definitions` VALUES (120100, 5089, 23, 'INSTALLA');
INSERT INTO `lang_definitions` VALUES (120101, 5090, 23, 'Installa');
INSERT INTO `lang_definitions` VALUES (120102, 5092, 23, 'Installa il Set di codice');
INSERT INTO `lang_definitions` VALUES (120103, 5093, 23, 'installa DB');
INSERT INTO `lang_definitions` VALUES (120104, 5100, 23, 'Release installata');
INSERT INTO `lang_definitions` VALUES (120105, 5102, 23, 'Date istruzioni');
INSERT INTO `lang_definitions` VALUES (120106, 5103, 23, 'Istruzione');
INSERT INTO `lang_definitions` VALUES (120107, 5105, 23, 'Istruzioni:');
INSERT INTO `lang_definitions` VALUES (120108, 5107, 23, 'Inventario insufficiente per ID del prodotto');
INSERT INTO `lang_definitions` VALUES (120109, 5108, 23, 'Diabete insulino dipendente');
INSERT INTO `lang_definitions` VALUES (120110, 5109, 23, 'Assicurazione');
INSERT INTO `lang_definitions` VALUES (120111, 5110, 23, 'Assicurazione');
INSERT INTO `lang_definitions` VALUES (120112, 5114, 23, 'Saldo assicurazione');
INSERT INTO `lang_definitions` VALUES (120113, 5115, 23, 'Bilancio assicurativo dovuto');
INSERT INTO `lang_definitions` VALUES (120114, 5116, 23, 'Comp di Assicuazione');
INSERT INTO `lang_definitions` VALUES (120115, 5117, 23, 'Compagnie di Assicurazione');
INSERT INTO `lang_definitions` VALUES (120116, 5118, 23, 'Compagnia di Assicurazione');
INSERT INTO `lang_definitions` VALUES (120117, 5119, 23, 'Cerca/Aggiungi Compagnia di Assicurazione');
INSERT INTO `lang_definitions` VALUES (120118, 5121, 23, 'Data assicurazione');
INSERT INTO `lang_definitions` VALUES (120119, 5124, 23, 'Informazioni di Assicurazione nel file');
INSERT INTO `lang_definitions` VALUES (120120, 5126, 23, 'Numeri di Assicuazione');
INSERT INTO `lang_definitions` VALUES (120121, 5127, 23, 'Pagamento Assicurazione');
INSERT INTO `lang_definitions` VALUES (120122, 5129, 23, 'Fornitore Assicurazione');
INSERT INTO `lang_definitions` VALUES (120123, 5131, 23, 'Tipi di assicurazione');
INSERT INTO `lang_definitions` VALUES (120124, 5132, 23, 'Assicurazioni');
INSERT INTO `lang_definitions` VALUES (120125, 5133, 23, 'Assicurato');
INSERT INTO `lang_definitions` VALUES (120126, 5134, 23, 'Conclusione Presa in carico');
INSERT INTO `lang_definitions` VALUES (120127, 5135, 23, 'Data Presa in carico');
INSERT INTO `lang_definitions` VALUES (120128, 5138, 23, 'Declino intellettivo');
INSERT INTO `lang_definitions` VALUES (120129, 5141, 23, 'Interlingua');
INSERT INTO `lang_definitions` VALUES (120130, 5142, 23, 'Interlingue');
INSERT INTO `lang_definitions` VALUES (120131, 5149, 23, 'Errore interno - non è stata selezionata nessuna pagina!');
INSERT INTO `lang_definitions` VALUES (120132, 5150, 23, 'Errore interno - ID del paziente non fornito!');
INSERT INTO `lang_definitions` VALUES (120133, 5151, 23, 'Errore interno nell\'accedere al file caricato!');
INSERT INTO `lang_definitions` VALUES (120134, 5153, 23, 'Errore interno!');
INSERT INTO `lang_definitions` VALUES (120135, 5154, 23, 'Errore interno, non specificato alcun ID droga!');
INSERT INTO `lang_definitions` VALUES (120136, 5155, 23, 'Errore interno: MSH-10 non trovato');
INSERT INTO `lang_definitions` VALUES (120137, 5156, 23, 'Errore interno: reclamo');
INSERT INTO `lang_definitions` VALUES (120138, 5157, 23, 'Erroe interno: incontro \'');
INSERT INTO `lang_definitions` VALUES (120139, 5158, 23, 'Errore interno: pid o incontro mancante.');
INSERT INTO `lang_definitions` VALUES (120140, 5159, 23, 'Errore interno: non sembra affatto essere in un incontro!');
INSERT INTO `lang_definitions` VALUES (120141, 5160, 23, 'Identificatore interno (pid)');
INSERT INTO `lang_definitions` VALUES (120142, 5163, 23, 'Referenti interni');
INSERT INTO `lang_definitions` VALUES (120143, 5164, 23, 'Tempo interno Raccolta');
INSERT INTO `lang_definitions` VALUES (120144, 5165, 23, 'Tassa internazionale');
INSERT INTO `lang_definitions` VALUES (120145, 5167, 23, 'Interprete');
INSERT INTO `lang_definitions` VALUES (120146, 5168, 23, 'Necessario Interprete?');
INSERT INTO `lang_definitions` VALUES (120147, 5169, 23, 'Malattia interstiziale del polmone');
INSERT INTO `lang_definitions` VALUES (120148, 5170, 23, 'Intervallo');
INSERT INTO `lang_definitions` VALUES (120149, 5171, 23, 'Intervallo (minuti)');
INSERT INTO `lang_definitions` VALUES (120150, 5172, 23, 'Intervallo tra i controlli di messaggi (impostato a zero per controlli solo manuali)');
INSERT INTO `lang_definitions` VALUES (120151, 5173, 23, 'Intervento');
INSERT INTO `lang_definitions` VALUES (120152, 5174, 23, 'Intervento previsto');
INSERT INTO `lang_definitions` VALUES (120153, 5175, 23, 'Intolleranza');
INSERT INTO `lang_definitions` VALUES (120154, 5178, 23, 'intramuscolare');
INSERT INTO `lang_definitions` VALUES (120155, 5181, 23, 'endovenosamente');
INSERT INTO `lang_definitions` VALUES (120156, 5182, 23, 'Introduzione');
INSERT INTO `lang_definitions` VALUES (120157, 5183, 23, 'Inuktitut');
INSERT INTO `lang_definitions` VALUES (120158, 5184, 23, 'Inupiaq');
INSERT INTO `lang_definitions` VALUES (120159, 5185, 23, 'Carattere non valido in');
INSERT INTO `lang_definitions` VALUES (120160, 5192, 23, 'Tipo di codifica dati incapsulati non valido');
INSERT INTO `lang_definitions` VALUES (120161, 5195, 23, 'Lunghezza non valida per');
INSERT INTO `lang_definitions` VALUES (120162, 5196, 23, 'Carattere non-numerico invalido in');
INSERT INTO `lang_definitions` VALUES (120163, 5197, 23, 'Pagatore non valido o mancante nell\'origine per il codice');
INSERT INTO `lang_definitions` VALUES (120164, 5199, 23, 'Indirizzo del destinatario non valido. Riprova.');
INSERT INTO `lang_definitions` VALUES (120165, 5200, 23, 'Codici Prestazioni non validi');
INSERT INTO `lang_definitions` VALUES (120166, 5201, 23, 'Designazione origine non valida \"');
INSERT INTO `lang_definitions` VALUES (120167, 5203, 23, 'Username o password non validi');
INSERT INTO `lang_definitions` VALUES (120168, 5204, 23, 'AmmontInv');
INSERT INTO `lang_definitions` VALUES (120169, 5205, 23, 'Inventario');
INSERT INTO `lang_definitions` VALUES (120170, 5206, 23, 'Attività di Inventario');
INSERT INTO `lang_definitions` VALUES (120171, 5207, 23, 'Giacenze e vendite di prodotti farmacologici e non');
INSERT INTO `lang_definitions` VALUES (120172, 5208, 23, 'Gicenze e vendite dei soli farmaci');
INSERT INTO `lang_definitions` VALUES (120173, 5209, 23, 'La giacenza non è disponibile per questo ordine.');
INSERT INTO `lang_definitions` VALUES (120174, 5210, 23, 'Elenco giacenze');
INSERT INTO `lang_definitions` VALUES (120175, 5211, 23, 'Transazioni di giacenze');
INSERT INTO `lang_definitions` VALUES (120176, 5212, 23, 'Fattura');
INSERT INTO `lang_definitions` VALUES (120177, 5213, 23, 'fattura');
INSERT INTO `lang_definitions` VALUES (120178, 5215, 23, 'Saldo della fattura');
INSERT INTO `lang_definitions` VALUES (120179, 5216, 23, 'Il saldo della fattura non può essere postato. Nessun incontro creato.');
INSERT INTO `lang_definitions` VALUES (120180, 5217, 23, 'Data fattura');
INSERT INTO `lang_definitions` VALUES (120181, 5219, 23, 'La fattura non ha la data!');
INSERT INTO `lang_definitions` VALUES (120182, 5220, 23, 'Numero fattura');
INSERT INTO `lang_definitions` VALUES (120183, 5221, 23, 'Numero di riferimento fattura');
INSERT INTO `lang_definitions` VALUES (120184, 5222, 23, 'Numero di riferimento fattura pool, se utilizzato');
INSERT INTO `lang_definitions` VALUES (120185, 5223, 23, 'N.riferimento fattura cassa comune');
INSERT INTO `lang_definitions` VALUES (120186, 5224, 23, 'N.Rif.Ft cassa comune');
INSERT INTO `lang_definitions` VALUES (120187, 5226, 23, 'Fattura:');
INSERT INTO `lang_definitions` VALUES (120188, 5237, 23, 'IPPF');
INSERT INTO `lang_definitions` VALUES (120189, 5238, 23, 'IPPF Aborto');
INSERT INTO `lang_definitions` VALUES (120190, 5239, 23, 'IPPF contraccezione');
INSERT INTO `lang_definitions` VALUES (120191, 5240, 23, 'IPPF SRH Dati per');
INSERT INTO `lang_definitions` VALUES (120192, 5241, 23, 'IPPF Report statistiche');
INSERT INTO `lang_definitions` VALUES (120193, 5242, 23, 'IPPF Stati');
INSERT INTO `lang_definitions` VALUES (120194, 5243, 23, 'IPV 1');
INSERT INTO `lang_definitions` VALUES (120195, 5244, 23, 'IPV 2');
INSERT INTO `lang_definitions` VALUES (120196, 5245, 23, 'IPV 3');
INSERT INTO `lang_definitions` VALUES (120197, 5246, 23, 'IPV 4');
INSERT INTO `lang_definitions` VALUES (120198, 5248, 23, 'Irish');
INSERT INTO `lang_definitions` VALUES (120199, 5249, 23, 'Battito cardiaco irregolare');
INSERT INTO `lang_definitions` VALUES (120200, 5250, 23, 'Irritabilità');
INSERT INTO `lang_definitions` VALUES (120201, 5251, 23, 'Irritazione');
INSERT INTO `lang_definitions` VALUES (120202, 5252, 23, 'è una versione diversa di lingua del seguente database');
INSERT INTO `lang_definitions` VALUES (120203, 5253, 23, 'è una versione diversa del seguente database');
INSERT INTO `lang_definitions` VALUES (120204, 5254, 23, 'è una versione più recente del database seguente');
INSERT INTO `lang_definitions` VALUES (120205, 5256, 23, 'è richiesto un campo');
INSERT INTO `lang_definitions` VALUES (120206, 5257, 23, 'è un nodo radice e non può essere eliminato.');
INSERT INTO `lang_definitions` VALUES (120207, 5258, 23, 'è un\'estensione del database seguente');
INSERT INTO `lang_definitions` VALUES (120208, 5262, 23, 'È ok per mappare questi codici CVX a vaccinazioni già esistenti?');
INSERT INTO `lang_definitions` VALUES (120209, 5263, 23, 'è fuori luogo o sconosciuto');
INSERT INTO `lang_definitions` VALUES (120210, 5268, 23, 'non è valido (decimali o frazioni sono OK)');
INSERT INTO `lang_definitions` VALUES (120211, 5269, 23, 'PHP sta usando Safe Mode?');
INSERT INTO `lang_definitions` VALUES (120212, 5273, 23, 'Il testo del layout del modulo deve essere tradotto?');
INSERT INTO `lang_definitions` VALUES (120213, 5274, 23, 'Il testo degli elenchi deve essere tradotto?');
INSERT INTO `lang_definitions` VALUES (120214, 5275, 23, 'Il File è criptato?');
INSERT INTO `lang_definitions` VALUES (120215, 5276, 23, 'È questo un tipo di termine clinico con codice?');
INSERT INTO `lang_definitions` VALUES (120216, 5277, 23, 'Questa è un tipo di diagnosi?');
INSERT INTO `lang_definitions` VALUES (120217, 5278, 23, 'È questo un tipo di problema medico con codice?');
INSERT INTO `lang_definitions` VALUES (120218, 5279, 23, 'È questo un tipo di medicazione?');
INSERT INTO `lang_definitions` VALUES (120219, 5280, 23, 'Questo è un tipo di procedura/servizio?');
INSERT INTO `lang_definitions` VALUES (120220, 5281, 23, 'Questo è attivo?');
INSERT INTO `lang_definitions` VALUES (120221, 5282, 23, 'Questo è un tipo di codice attivo?');
INSERT INTO `lang_definitions` VALUES (120222, 5283, 23, 'Questo è un tipo di codice usato nei sinistri?');
INSERT INTO `lang_definitions` VALUES (120223, 5285, 23, 'Va tutto bene?');
INSERT INTO `lang_definitions` VALUES (120224, 5286, 23, 'Questo tipo è nascosto nel foglio parcella?');
INSERT INTO `lang_definitions` VALUES (120225, 5287, 23, 'è questo utilizzando tabelle sql esterne? se si, scegli il formato');
INSERT INTO `lang_definitions` VALUES (120226, 5288, 23, 'è troppo lungo');
INSERT INTO `lang_definitions` VALUES (120227, 5289, 23, 'ISO 639-2 Code');
INSERT INTO `lang_definitions` VALUES (120228, 5290, 23, 'Tematica');
INSERT INTO `lang_definitions` VALUES (120229, 5291, 23, 'tematica');
INSERT INTO `lang_definitions` VALUES (120230, 5292, 23, 'Data Tematica');
INSERT INTO `lang_definitions` VALUES (120231, 5293, 23, 'ID Tematica');
INSERT INTO `lang_definitions` VALUES (120232, 5295, 23, 'Titolo Tematica');
INSERT INTO `lang_definitions` VALUES (120233, 5296, 23, 'Tipo di Tematica');
INSERT INTO `lang_definitions` VALUES (120234, 5297, 23, 'Tipi di Tematiche');
INSERT INTO `lang_definitions` VALUES (120235, 5298, 23, 'Tematiche');
INSERT INTO `lang_definitions` VALUES (120236, 5299, 23, 'Tematiche (Lesioni/Mediche/Allergie)');
INSERT INTO `lang_definitions` VALUES (120237, 5300, 23, 'Tematiche (Lesioni/Mediche/Allergie):');
INSERT INTO `lang_definitions` VALUES (120238, 5302, 23, 'Tematiche e Incontri');
INSERT INTO `lang_definitions` VALUES (120239, 5303, 23, 'Tematiche e Incontri per');
INSERT INTO `lang_definitions` VALUES (120240, 5308, 23, 'Tematiche non autorizzate');
INSERT INTO `lang_definitions` VALUES (120241, 5309, 23, 'Sezione Tematiche');
INSERT INTO `lang_definitions` VALUES (120242, 5364, 23, 'Italiano');
INSERT INTO `lang_definitions` VALUES (120243, 5365, 23, 'elemento');
INSERT INTO `lang_definitions` VALUES (120244, 5366, 23, 'elemento');
INSERT INTO `lang_definitions` VALUES (120245, 5368, 23, 'elementi');
INSERT INTO `lang_definitions` VALUES (120246, 5369, 23, 'caricamento degli elementi fallito');
INSERT INTO `lang_definitions` VALUES (120247, 5370, 23, 'IU/L');
INSERT INTO `lang_definitions` VALUES (120248, 5371, 23, 'IUD');
INSERT INTO `lang_definitions` VALUES (120249, 5372, 23, 'IV');
INSERT INTO `lang_definitions` VALUES (120250, 5375, 23, 'Gen');
INSERT INTO `lang_definitions` VALUES (120251, 5376, 23, 'Gennaio');
INSERT INTO `lang_definitions` VALUES (120252, 5377, 23, 'Giapponese');
INSERT INTO `lang_definitions` VALUES (120253, 5378, 23, 'Ittero');
INSERT INTO `lang_definitions` VALUES (120254, 5379, 23, 'Javanese');
INSERT INTO `lang_definitions` VALUES (120255, 5380, 23, 'Descrizione lavoro');
INSERT INTO `lang_definitions` VALUES (120256, 5381, 23, 'ID Lavoro');
INSERT INTO `lang_definitions` VALUES (120257, 5382, 23, 'Dislocazion articolari');
INSERT INTO `lang_definitions` VALUES (120258, 5383, 23, 'Dolore articolare');
INSERT INTO `lang_definitions` VALUES (120259, 5384, 23, 'Distorsioni articolari');
INSERT INTO `lang_definitions` VALUES (120260, 5385, 23, 'Lug');
INSERT INTO `lang_definitions` VALUES (120261, 5386, 23, 'Luglio');
INSERT INTO `lang_definitions` VALUES (120262, 5388, 23, 'Giu');
INSERT INTO `lang_definitions` VALUES (120263, 5389, 23, 'Giugno');
INSERT INTO `lang_definitions` VALUES (120264, 5390, 23, 'Appena sotto il controllo informazione c\'è un\'area blu nella quale puoi inserire i tuoi parametri di ricerca. Puoi cercare per nome, numero del tabulato, numero dlel\'incontro o data della prestazione, o qualsiasi combinazione di questi. Puoi anche selezionare se vuoi vedere tutte le fatture, le fatture aperte, o soltanto quelle che sono da saldare (da paziente). Clicca il pulsante Cerca per attivare la ricerca.');
INSERT INTO `lang_definitions` VALUES (120265, 5391, 23, 'Solo i propri');
INSERT INTO `lang_definitions` VALUES (120266, 5392, 23, 'Motivazione voci');
INSERT INTO `lang_definitions` VALUES (120267, 5393, 23, 'Giustifica');
INSERT INTO `lang_definitions` VALUES (120268, 5396, 23, 'Giustifica/Salva');
INSERT INTO `lang_definitions` VALUES (120269, 5397, 23, 'J{{Justify Header}}');
INSERT INTO `lang_definitions` VALUES (120270, 5398, 23, 'k, ecco il resto');
INSERT INTO `lang_definitions` VALUES (120271, 5401, 23, 'Kalaallisut, Greenlandic');
INSERT INTO `lang_definitions` VALUES (120272, 5402, 23, 'Kannada');
INSERT INTO `lang_definitions` VALUES (120273, 5403, 23, 'Kanuri');
INSERT INTO `lang_definitions` VALUES (120274, 5404, 23, 'Kashmiri');
INSERT INTO `lang_definitions` VALUES (120275, 5405, 23, 'Kazakh');
INSERT INTO `lang_definitions` VALUES (120276, 5407, 23, 'Chiave');
INSERT INTO `lang_definitions` VALUES (120277, 5411, 23, 'Parole chiave');
INSERT INTO `lang_definitions` VALUES (120278, 5412, 23, 'kg');
INSERT INTO `lang_definitions` VALUES (120279, 5413, 23, 'kg/m^2');
INSERT INTO `lang_definitions` VALUES (120280, 5414, 23, 'Khmer');
INSERT INTO `lang_definitions` VALUES (120281, 5415, 23, 'Cancro al rene');
INSERT INTO `lang_definitions` VALUES (120282, 5416, 23, 'Insufficienza renale');
INSERT INTO `lang_definitions` VALUES (120283, 5417, 23, 'Infezione renale');
INSERT INTO `lang_definitions` VALUES (120284, 5418, 23, 'Calcoli renali');
INSERT INTO `lang_definitions` VALUES (120285, 5419, 23, 'Trapianto di rene');
INSERT INTO `lang_definitions` VALUES (120286, 5420, 23, 'Kikuyu, Gikuyu');
INSERT INTO `lang_definitions` VALUES (120287, 5422, 23, 'Kinyarwanda');
INSERT INTO `lang_definitions` VALUES (120288, 5424, 23, 'Kirundi');
INSERT INTO `lang_definitions` VALUES (120289, 5425, 23, 'Ginocchio');
INSERT INTO `lang_definitions` VALUES (120290, 5426, 23, 'Problemi al ginocchio');
INSERT INTO `lang_definitions` VALUES (120291, 5427, 23, 'Sostituzione ginocchio');
INSERT INTO `lang_definitions` VALUES (120292, 5428, 23, 'Komi');
INSERT INTO `lang_definitions` VALUES (120293, 5429, 23, 'Kongo');
INSERT INTO `lang_definitions` VALUES (120294, 5430, 23, 'Coreano');
INSERT INTO `lang_definitions` VALUES (120295, 5431, 23, 'Kurdish');
INSERT INTO `lang_definitions` VALUES (120296, 5432, 23, 'Kwanyama, Kuanyama');
INSERT INTO `lang_definitions` VALUES (120297, 5433, 23, 'Kyrgyz');
INSERT INTO `lang_definitions` VALUES (120298, 5434, 23, 'Lab');
INSERT INTO `lang_definitions` VALUES (120299, 5435, 23, 'Documenti Lab');
INSERT INTO `lang_definitions` VALUES (120300, 5436, 23, 'Indirizzo del sito Lab Exchange');
INSERT INTO `lang_definitions` VALUES (120301, 5437, 23, 'ID del sito Lab Exchange');
INSERT INTO `lang_definitions` VALUES (120302, 5438, 23, 'Lab Exchange Token ID');
INSERT INTO `lang_definitions` VALUES (120303, 5439, 23, 'Ordini Lab');
INSERT INTO `lang_definitions` VALUES (120304, 5440, 23, 'panoramica Lab');
INSERT INTO `lang_definitions` VALUES (120305, 5441, 23, 'Panoramica Lab');
INSERT INTO `lang_definitions` VALUES (120306, 5442, 23, 'Lab stato richiesta');
INSERT INTO `lang_definitions` VALUES (120307, 5444, 23, 'Resoconto Lab');
INSERT INTO `lang_definitions` VALUES (120308, 5445, 23, 'Risutato Lab');
INSERT INTO `lang_definitions` VALUES (120309, 5446, 23, 'Risultati Lab');
INSERT INTO `lang_definitions` VALUES (120310, 5448, 23, 'Nome categoria risultati Lab');
INSERT INTO `lang_definitions` VALUES (120311, 5449, 23, 'Resoconto Risultati lab');
INSERT INTO `lang_definitions` VALUES (120312, 5450, 23, 'Servizio Lab');
INSERT INTO `lang_definitions` VALUES (120313, 5451, 23, 'Risultati test Lab');
INSERT INTO `lang_definitions` VALUES (120314, 5452, 23, 'Lab/File');
INSERT INTO `lang_definitions` VALUES (120315, 5453, 23, 'Etichetta');
INSERT INTO `lang_definitions` VALUES (120316, 5454, 23, 'L\'etichetta non può essere in bianco');
INSERT INTO `lang_definitions` VALUES (120317, 5455, 23, 'C.nne Etichette');
INSERT INTO `lang_definitions` VALUES (120318, 5456, 23, 'Etichetta per questo tipo');
INSERT INTO `lang_definitions` VALUES (120319, 5458, 23, 'Colonne Etichette deve essere un numero tra 1 e 999');
INSERT INTO `lang_definitions` VALUES (120320, 5459, 23, 'Etichette');
INSERT INTO `lang_definitions` VALUES (120321, 5463, 23, 'Laboratori');
INSERT INTO `lang_definitions` VALUES (120322, 5464, 23, 'Lacerazione / condizioni della pellle');
INSERT INTO `lang_definitions` VALUES (120323, 5465, 23, 'Lacerazione/abrasione');
INSERT INTO `lang_definitions` VALUES (120324, 5470, 23, 'Panorama');
INSERT INTO `lang_definitions` VALUES (120325, 5471, 23, 'Lingua');
INSERT INTO `lang_definitions` VALUES (120326, 5472, 23, 'Codice Lingua');
INSERT INTO `lang_definitions` VALUES (120327, 5473, 23, 'Aggiunta definizione Lingua');
INSERT INTO `lang_definitions` VALUES (120328, 5474, 23, 'Strumento di interfaccia Lingua');
INSERT INTO `lang_definitions` VALUES (120329, 5476, 23, 'Elenco Lingue (scrittura,additiva opzionale)');
INSERT INTO `lang_definitions` VALUES (120330, 5478, 23, 'Nome della Lingua');
INSERT INTO `lang_definitions` VALUES (120331, 5479, 23, 'Lingua:');
INSERT INTO `lang_definitions` VALUES (120332, 5480, 23, 'Lao');
INSERT INTO `lang_definitions` VALUES (120333, 5481, 23, 'Laoziano');
INSERT INTO `lang_definitions` VALUES (120334, 5485, 23, 'Ultimo');
INSERT INTO `lang_definitions` VALUES (120335, 5486, 23, 'Data Ultima attività');
INSERT INTO `lang_definitions` VALUES (120336, 5487, 23, 'Ultima Appendicectomia');
INSERT INTO `lang_definitions` VALUES (120337, 5489, 23, 'Data ultima fattura:');
INSERT INTO `lang_definitions` VALUES (120338, 5490, 23, 'Ultimo esame del seno');
INSERT INTO `lang_definitions` VALUES (120339, 5491, 23, 'Utlimo anno del calendario');
INSERT INTO `lang_definitions` VALUES (120340, 5492, 23, 'Ultimo intervento di cataratta');
INSERT INTO `lang_definitions` VALUES (120341, 5493, 23, 'Ultima colicistectomia');
INSERT INTO `lang_definitions` VALUES (120342, 5495, 23, 'Ultimo incontro');
INSERT INTO `lang_definitions` VALUES (120343, 5496, 23, 'Ultimo esame Ginecologico');
INSERT INTO `lang_definitions` VALUES (120344, 5497, 23, 'Ultimo intervento al cuore');
INSERT INTO `lang_definitions` VALUES (120345, 5498, 23, 'Ultima riparazione di ernia');
INSERT INTO `lang_definitions` VALUES (120346, 5499, 23, 'Ultima sostituzione dell\'anca');
INSERT INTO `lang_definitions` VALUES (120347, 5500, 23, 'Ultima Isterectomia');
INSERT INTO `lang_definitions` VALUES (120348, 5501, 23, 'Ultima sostituzione del ginocchio');
INSERT INTO `lang_definitions` VALUES (120349, 5502, 23, 'Ultimo livello di Fatturato');
INSERT INTO `lang_definitions` VALUES (120350, 5503, 23, 'Ultima mammografia');
INSERT INTO `lang_definitions` VALUES (120351, 5504, 23, 'Ultimo periodo di mestruazioni');
INSERT INTO `lang_definitions` VALUES (120352, 5506, 23, 'Ultimo mese');
INSERT INTO `lang_definitions` VALUES (120353, 5507, 23, 'Cognome');
INSERT INTO `lang_definitions` VALUES (120354, 5508, 23, 'cognome');
INSERT INTO `lang_definitions` VALUES (120355, 5513, 23, 'Cognome:');
INSERT INTO `lang_definitions` VALUES (120356, 5514, 23, 'Ultimo esame fisico');
INSERT INTO `lang_definitions` VALUES (120357, 5515, 23, 'Ultimo esame prostatico');
INSERT INTO `lang_definitions` VALUES (120358, 5516, 23, 'Ultimo esame del retto');
INSERT INTO `lang_definitions` VALUES (120359, 5517, 23, 'Ultima revisione');
INSERT INTO `lang_definitions` VALUES (120360, 5518, 23, 'Ultima prestazione iniziata alle');
INSERT INTO `lang_definitions` VALUES (120361, 5519, 23, 'Ultimo salvataggio');
INSERT INTO `lang_definitions` VALUES (120362, 5520, 23, 'Ultima Sigmoide/Colonscopia');
INSERT INTO `lang_definitions` VALUES (120363, 5522, 23, 'Ultima tonsillectomia');
INSERT INTO `lang_definitions` VALUES (120364, 5525, 23, 'Ultimo aggiornamento da');
INSERT INTO `lang_definitions` VALUES (120365, 5526, 23, 'Utlima verifica il');
INSERT INTO `lang_definitions` VALUES (120366, 5527, 23, 'Ultima visita');
INSERT INTO `lang_definitions` VALUES (120367, 5528, 23, 'Ultimi raggi X');
INSERT INTO `lang_definitions` VALUES (120368, 5530, 23, 'Recidiva tardiva (2-12 Mesi)');
INSERT INTO `lang_definitions` VALUES (120369, 5531, 23, 'Malleolo Laterale');
INSERT INTO `lang_definitions` VALUES (120370, 5532, 23, 'Malleolo laterale:');
INSERT INTO `lang_definitions` VALUES (120371, 5533, 23, 'Lateralità');
INSERT INTO `lang_definitions` VALUES (120372, 5534, 23, 'Lateralità di questa procedura, se applicabile');
INSERT INTO `lang_definitions` VALUES (120373, 5535, 23, 'spostato lateralmente PMI:');
INSERT INTO `lang_definitions` VALUES (120374, 5539, 23, 'Ultima visita o consulto');
INSERT INTO `lang_definitions` VALUES (120375, 5540, 23, 'Latin');
INSERT INTO `lang_definitions` VALUES (120376, 5541, 23, 'Latvian');
INSERT INTO `lang_definitions` VALUES (120377, 5547, 23, 'Layout');
INSERT INTO `lang_definitions` VALUES (120378, 5549, 23, 'Layout di base');
INSERT INTO `lang_definitions` VALUES (120379, 5551, 23, 'Layout Editor');
INSERT INTO `lang_definitions` VALUES (120380, 5552, 23, 'gruppi layout');
INSERT INTO `lang_definitions` VALUES (120381, 5556, 23, 'Stile Layout');
INSERT INTO `lang_definitions` VALUES (120382, 5558, 23, 'Layout-base per il form visite');
INSERT INTO `lang_definitions` VALUES (120383, 5559, 23, 'Layouts');
INSERT INTO `lang_definitions` VALUES (120384, 5560, 23, 'libra');
INSERT INTO `lang_definitions` VALUES (120385, 5563, 23, 'libre');
INSERT INTO `lang_definitions` VALUES (120386, 5571, 23, 'LDL');
INSERT INTO `lang_definitions` VALUES (120387, 5573, 23, 'lascia in bianco se ancora attivo');
INSERT INTO `lang_definitions` VALUES (120388, 5574, 23, 'Lascia in bianco per mantenere Il nome del file originale');
INSERT INTO `lang_definitions` VALUES (120389, 5575, 23, 'Lascia in bianco per mantenere non modificata la password');
INSERT INTO `lang_definitions` VALUES (120390, 5580, 23, 'Lascia messaggio tramite');
INSERT INTO `lang_definitions` VALUES (120391, 5582, 23, 'Lascia il modulo');
INSERT INTO `lang_definitions` VALUES (120392, 5583, 23, 'Lasciando la pass frase in bianco il documento non verrà criptato');
INSERT INTO `lang_definitions` VALUES (120393, 5586, 23, 'Sinistra');
INSERT INTO `lang_definitions` VALUES (120394, 5589, 23, 'Orecchio Sinistro');
INSERT INTO `lang_definitions` VALUES (120395, 5590, 23, 'orecchio sinistro');
INSERT INTO `lang_definitions` VALUES (120396, 5594, 23, 'Margine sinistro (mm)');
INSERT INTO `lang_definitions` VALUES (120397, 5599, 23, 'Sinistra:');
INSERT INTO `lang_definitions` VALUES (120398, 5600, 23, 'Sinistra:');
INSERT INTO `lang_definitions` VALUES (120399, 5601, 23, 'Dolore alla gamba/Crampi');
INSERT INTO `lang_definitions` VALUES (120400, 5602, 23, 'Legale');
INSERT INTO `lang_definitions` VALUES (120401, 5604, 23, 'Formato carta legale');
INSERT INTO `lang_definitions` VALUES (120402, 5605, 23, 'Legenda:');
INSERT INTO `lang_definitions` VALUES (120403, 5606, 23, 'Lunghezza');
INSERT INTO `lang_definitions` VALUES (120404, 5607, 23, 'Lunghezza del modificatore, 0 se nessuna');
INSERT INTO `lang_definitions` VALUES (120405, 5613, 23, 'Minore di');
INSERT INTO `lang_definitions` VALUES (120406, 5614, 23, 'Minore o uguale a');
INSERT INTO `lang_definitions` VALUES (120407, 5615, 23, 'Infomazioni bassa-privacy (scrittura, solo aggiunte opzionali)');
INSERT INTO `lang_definitions` VALUES (120408, 5620, 23, 'Lettera');
INSERT INTO `lang_definitions` VALUES (120409, 5621, 23, 'Generatore di Lettere');
INSERT INTO `lang_definitions` VALUES (120410, 5622, 23, 'Formato carta da lettera');
INSERT INTO `lang_definitions` VALUES (120411, 5623, 23, 'Intestazione che il dottore firma');
INSERT INTO `lang_definitions` VALUES (120412, 5624, 23, 'Intestazione che il paziente firma');
INSERT INTO `lang_definitions` VALUES (120413, 5627, 23, 'Livello di urgenza');
INSERT INTO `lang_definitions` VALUES (120414, 5630, 23, 'Affidabilità');
INSERT INTO `lang_definitions` VALUES (120415, 5631, 23, 'Affidabilità medica');
INSERT INTO `lang_definitions` VALUES (120416, 5633, 23, 'Licenza/ID');
INSERT INTO `lang_definitions` VALUES (120417, 5639, 23, 'LicensedPrescriber Cognome');
INSERT INTO `lang_definitions` VALUES (120418, 5640, 23, 'LicensedPrescriber NPI');
INSERT INTO `lang_definitions` VALUES (120419, 5641, 23, 'LicensedPrescriber UPIN');
INSERT INTO `lang_definitions` VALUES (120420, 5644, 23, 'Stile di vita');
INSERT INTO `lang_definitions` VALUES (120421, 5646, 23, 'Status stile di vita');
INSERT INTO `lang_definitions` VALUES (120422, 5647, 23, 'Legamento strappo o distorsione');
INSERT INTO `lang_definitions` VALUES (120423, 5648, 23, ' Fumatore di tabacco leggero');
INSERT INTO `lang_definitions` VALUES (120424, 5650, 23, 'Limburgish, Limburgan, Limburger');
INSERT INTO `lang_definitions` VALUES (120425, 5651, 23, 'Limite Di Eventi');
INSERT INTO `lang_definitions` VALUES (120426, 5654, 23, 'limito');
INSERT INTO `lang_definitions` VALUES (120427, 5656, 23, 'Lingala');
INSERT INTO `lang_definitions` VALUES (120428, 5657, 23, 'Collegamento');
INSERT INTO `lang_definitions` VALUES (120429, 5658, 23, 'Collegamento al paziente');
INSERT INTO `lang_definitions` VALUES (120430, 5660, 23, 'Collegato');
INSERT INTO `lang_definitions` VALUES (120431, 5661, 23, 'Documento collegato');
INSERT INTO `lang_definitions` VALUES (120432, 5662, 23, 'Ordine di procedura collegato');
INSERT INTO `lang_definitions` VALUES (120433, 5663, 23, 'collegato al documento');
INSERT INTO `lang_definitions` VALUES (120434, 5664, 23, 'collegato all\'ordine di procedura');
INSERT INTO `lang_definitions` VALUES (120435, 5665, 23, 'Elenco');
INSERT INTO `lang_definitions` VALUES (120436, 5666, 23, 'Elenco a discesa');
INSERT INTO `lang_definitions` VALUES (120437, 5667, 23, 'elenco a discesa');
INSERT INTO `lang_definitions` VALUES (120438, 5668, 23, 'elenco a discesa s/agg');
INSERT INTO `lang_definitions` VALUES (120439, 5669, 23, 'elenco a discesa s/agg');
INSERT INTO `lang_definitions` VALUES (120440, 5671, 23, 'Editor di elenco');
INSERT INTO `lang_definitions` VALUES (120441, 5672, 23, 'Elenco incontri');
INSERT INTO `lang_definitions` VALUES (120442, 5674, 23, 'Elenco gruppi');
INSERT INTO `lang_definitions` VALUES (120443, 5675, 23, 'Elenco Compagnie assicurative');
INSERT INTO `lang_definitions` VALUES (120444, 5677, 23, 'Un elenco di elementi non può cominciare con un numero');
INSERT INTO `lang_definitions` VALUES (120445, 5678, 23, 'L\'elenco degli elementi contiene carattere(i) illegale(i)');
INSERT INTO `lang_definitions` VALUES (120446, 5680, 23, 'Elenco degli elenchi');
INSERT INTO `lang_definitions` VALUES (120447, 5682, 23, 'Nome dell\'elenco');
INSERT INTO `lang_definitions` VALUES (120448, 5683, 23, 'I nomi degli elenchi non posssono cominciare con un numero.');
INSERT INTO `lang_definitions` VALUES (120449, 5688, 23, 'Elenco Prescrizioni');
INSERT INTO `lang_definitions` VALUES (120450, 5689, 23, 'Elenco utilizzato dalla soprastante opzione Tipo di dati nazione.');
INSERT INTO `lang_definitions` VALUES (120451, 5690, 23, 'Elenco utilizzato dalla soprastante opzione Tipo di dati stato.');
INSERT INTO `lang_definitions` VALUES (120452, 5691, 23, 'Porta di ascolto del server syslog 5425 TLS RFC.');
INSERT INTO `lang_definitions` VALUES (120453, 5693, 23, 'Elenchi');
INSERT INTO `lang_definitions` VALUES (120454, 5695, 23, 'Lituano');
INSERT INTO `lang_definitions` VALUES (120455, 5696, 23, 'Testamento');
INSERT INTO `lang_definitions` VALUES (120456, 5701, 23, 'LLL:');
INSERT INTO `lang_definitions` VALUES (120457, 5707, 23, 'LMP');
INSERT INTO `lang_definitions` VALUES (120458, 5708, 23, 'Carico Compendio');
INSERT INTO `lang_definitions` VALUES (120459, 5709, 23, 'Carica Definizioni');
INSERT INTO `lang_definitions` VALUES (120460, 5711, 23, 'Carica configurazione LAB');
INSERT INTO `lang_definitions` VALUES (120461, 5712, 23, 'Carica opzioni di domande OE');
INSERT INTO `lang_definitions` VALUES (120462, 5713, 23, 'Carica definizioni ordine');
INSERT INTO `lang_definitions` VALUES (120463, 5714, 23, 'Carica richieste ordini in entrata');
INSERT INTO `lang_definitions` VALUES (120464, 5715, 23, 'LOAD SUCCESSFUL. Codici inseriti');
INSERT INTO `lang_definitions` VALUES (120465, 5717, 23, 'STO CARICANDO');
INSERT INTO `lang_definitions` VALUES (120466, 5721, 23, 'Sto caricando i file nel database. Ci vorrà un po\' di tempo');
INSERT INTO `lang_definitions` VALUES (120467, 5723, 23, 'LOC');
INSERT INTO `lang_definitions` VALUES (120468, 5724, 23, 'Locale');
INSERT INTO `lang_definitions` VALUES (120469, 5725, 23, 'Contenuto locale');
INSERT INTO `lang_definitions` VALUES (120470, 5726, 23, 'File di sistema locale');
INSERT INTO `lang_definitions` VALUES (120471, 5728, 23, 'Locale');
INSERT INTO `lang_definitions` VALUES (120472, 5729, 23, 'Località');
INSERT INTO `lang_definitions` VALUES (120473, 5730, 23, 'Collocazione');
INSERT INTO `lang_definitions` VALUES (120474, 5731, 23, 'collocazione della macchina openemr e potrebbe contenere dati sensibili, così si raccomanda di eliminare manualmente i file dopo il suo uso');
INSERT INTO `lang_definitions` VALUES (120475, 5732, 23, 'Collocazione di questo lotto');
INSERT INTO `lang_definitions` VALUES (120476, 5733, 23, 'Collocazione non specificata');
INSERT INTO `lang_definitions` VALUES (120477, 5734, 23, 'Collocazione dove Hylafax immagazzina i fax.');
INSERT INTO `lang_definitions` VALUES (120478, 5735, 23, 'Collocazione dove sono immagazzinate le scansioni.');
INSERT INTO `lang_definitions` VALUES (120479, 5736, 23, 'Collocazione:');
INSERT INTO `lang_definitions` VALUES (120480, 5737, 23, 'Blocca');
INSERT INTO `lang_definitions` VALUES (120481, 5738, 23, 'Bloccare un modulo e-signed individualmente');
INSERT INTO `lang_definitions` VALUES (120482, 5739, 23, 'Bloccare e-signed incontri e i loro moduli');
INSERT INTO `lang_definitions` VALUES (120483, 5740, 23, 'Bloccare?');
INSERT INTO `lang_definitions` VALUES (120484, 5741, 23, 'Bloccato');
INSERT INTO `lang_definitions` VALUES (120485, 5745, 23, 'Ingresso');
INSERT INTO `lang_definitions` VALUES (120486, 5746, 23, 'Log in');
INSERT INTO `lang_definitions` VALUES (120487, 5749, 23, 'Uscita');
INSERT INTO `lang_definitions` VALUES (120488, 5752, 23, 'Entrato');
INSERT INTO `lang_definitions` VALUES (120489, 5753, 23, 'Entrato come');
INSERT INTO `lang_definitions` VALUES (120490, 5754, 23, 'Entrato come:');
INSERT INTO `lang_definitions` VALUES (120491, 5755, 23, 'Uscito.');
INSERT INTO `lang_definitions` VALUES (120492, 5756, 23, 'Accesso');
INSERT INTO `lang_definitions` VALUES (120493, 5757, 23, 'Login');
INSERT INTO `lang_definitions` VALUES (120494, 5758, 23, 'login');
INSERT INTO `lang_definitions` VALUES (120495, 5761, 23, 'Nome del Login per WordPress per l\'accesso al portale come utente');
INSERT INTO `lang_definitions` VALUES (120496, 5763, 23, 'Login all\'host remoto');
INSERT INTO `lang_definitions` VALUES (120497, 5764, 23, 'Il login a questo host remoto è fallito');
INSERT INTO `lang_definitions` VALUES (120498, 5768, 23, 'Uscita');
INSERT INTO `lang_definitions` VALUES (120499, 5769, 23, 'uscita');
INSERT INTO `lang_definitions` VALUES (120500, 5770, 23, 'Logs');
INSERT INTO `lang_definitions` VALUES (120501, 5771, 23, 'Visore dei Logs');
INSERT INTO `lang_definitions` VALUES (120502, 5776, 23, 'cercare');
INSERT INTO `lang_definitions` VALUES (120503, 5777, 23, 'Lotto');
INSERT INTO `lang_definitions` VALUES (120504, 5778, 23, 'ID del Lotto mancante!');
INSERT INTO `lang_definitions` VALUES (120505, 5779, 23, 'Numero del Lotto');
INSERT INTO `lang_definitions` VALUES (120506, 5780, 23, 'basso');
INSERT INTO `lang_definitions` VALUES (120507, 5781, 23, 'Bassa priorità');
INSERT INTO `lang_definitions` VALUES (120508, 5782, 23, 'Parte inferiore della gamba');
INSERT INTO `lang_definitions` VALUES (120509, 5784, 23, 'Priorità più bassa');
INSERT INTO `lang_definitions` VALUES (120510, 5788, 23, 'Luba-Katanga');
INSERT INTO `lang_definitions` VALUES (120511, 5791, 23, 'Colonna lombare');
INSERT INTO `lang_definitions` VALUES (120512, 5792, 23, 'PRANZO');
INSERT INTO `lang_definitions` VALUES (120513, 5793, 23, 'Pranzo');
INSERT INTO `lang_definitions` VALUES (120514, 5794, 23, 'Cancro al polmone');
INSERT INTO `lang_definitions` VALUES (120515, 5795, 23, 'Intervento per cancro al polmone');
INSERT INTO `lang_definitions` VALUES (120516, 5796, 23, 'POLMONI:');
INSERT INTO `lang_definitions` VALUES (120517, 5797, 23, 'Polmoni:');
INSERT INTO `lang_definitions` VALUES (120518, 5798, 23, 'Lupus');
INSERT INTO `lang_definitions` VALUES (120519, 5799, 23, 'Luxembourgish, Letzeburgesch');
INSERT INTO `lang_definitions` VALUES (120520, 5804, 23, 'M');
INSERT INTO `lang_definitions` VALUES (120521, 5805, 23, 'MA categoria');
INSERT INTO `lang_definitions` VALUES (120522, 5806, 23, 'MA il cliente accetta l\'aborto');
INSERT INTO `lang_definitions` VALUES (120523, 5807, 23, 'MA statistiche');
INSERT INTO `lang_definitions` VALUES (120524, 5808, 23, 'Macedonian');
INSERT INTO `lang_definitions` VALUES (120525, 5812, 23, 'Posta Inviata');
INSERT INTO `lang_definitions` VALUES (120526, 5814, 23, 'Principale');
INSERT INTO `lang_definitions` VALUES (120527, 5815, 23, 'Indirizzo Principale');
INSERT INTO `lang_definitions` VALUES (120528, 5821, 23, 'Parte sup. della schermata del pannello principale');
INSERT INTO `lang_definitions` VALUES (120529, 5824, 23, 'Mantieni attivo l\'elenco delle allergie ai farmaci.');
INSERT INTO `lang_definitions` VALUES (120530, 5825, 23, 'Mantieni attivo l\'elenco dei farmaci.');
INSERT INTO `lang_definitions` VALUES (120531, 5826, 23, 'Mantieni un elenco aggiornato dei problemi delle diagnosi correnti e attive');
INSERT INTO `lang_definitions` VALUES (120532, 5827, 23, 'Esegui le modifiche alle ategorie correnti');
INSERT INTO `lang_definitions` VALUES (120533, 5828, 23, 'Fissa un nuovo appuntamento per');
INSERT INTO `lang_definitions` VALUES (120534, 5831, 23, 'Sii certo \"');
INSERT INTO `lang_definitions` VALUES (120535, 5832, 23, 'Rendere i file di testo in batch per il caricamento di scambio di informazioni e segnerà come fatturati');
INSERT INTO `lang_definitions` VALUES (120536, 5833, 23, 'Malagasy');
INSERT INTO `lang_definitions` VALUES (120537, 5834, 23, 'Malessere:');
INSERT INTO `lang_definitions` VALUES (120538, 5835, 23, 'Malay');
INSERT INTO `lang_definitions` VALUES (120539, 5836, 23, 'Malayalam');
INSERT INTO `lang_definitions` VALUES (120540, 5837, 23, 'Maschio');
INSERT INTO `lang_definitions` VALUES (120541, 5838, 23, 'Preservativi maschili');
INSERT INTO `lang_definitions` VALUES (120542, 5839, 23, 'Maschio VSC');
INSERT INTO `lang_definitions` VALUES (120543, 5840, 23, 'Maltese');
INSERT INTO `lang_definitions` VALUES (120544, 5841, 23, 'Mammografia');
INSERT INTO `lang_definitions` VALUES (120545, 5842, 23, 'gestire');
INSERT INTO `lang_definitions` VALUES (120546, 5843, 23, 'Gestione Hooks(Ganci)');
INSERT INTO `lang_definitions` VALUES (120547, 5845, 23, 'Gestione moduli');
INSERT INTO `lang_definitions` VALUES (120548, 5850, 23, 'Gestione traduzioni');
INSERT INTO `lang_definitions` VALUES (120549, 5851, 23, 'Gestione');
INSERT INTO `lang_definitions` VALUES (120550, 5854, 23, 'Dati obbligatori e specifici');
INSERT INTO `lang_definitions` VALUES (120551, 5855, 23, 'Dati obbligatori o solo specifici, controllo dupl., no ricerca');
INSERT INTO `lang_definitions` VALUES (120552, 5856, 23, 'Dati obbligatori o solo specifici, controllo dupl., e ricerca');
INSERT INTO `lang_definitions` VALUES (120553, 5859, 23, 'Manuale');
INSERT INTO `lang_definitions` VALUES (120554, 5860, 23, 'Scrittura manuale');
INSERT INTO `lang_definitions` VALUES (120555, 5864, 23, 'Produttore');
INSERT INTO `lang_definitions` VALUES (120556, 5865, 23, 'Manx');
INSERT INTO `lang_definitions` VALUES (120557, 5870, 23, 'Mar');
INSERT INTO `lang_definitions` VALUES (120558, 5873, 23, 'Marathi (Marāṭhī)');
INSERT INTO `lang_definitions` VALUES (120559, 5874, 23, 'Marzo');
INSERT INTO `lang_definitions` VALUES (120560, 5877, 23, 'Stato Civile');
INSERT INTO `lang_definitions` VALUES (120561, 5879, 23, 'Segna come fatturato');
INSERT INTO `lang_definitions` VALUES (120562, 5880, 23, 'Segna come fatturato ma salta la fatturazione');
INSERT INTO `lang_definitions` VALUES (120563, 5881, 23, 'Segna come cancellato');
INSERT INTO `lang_definitions` VALUES (120564, 5882, 23, 'Segna come non pagato');
INSERT INTO `lang_definitions` VALUES (120565, 5885, 23, 'Segna questo report come recensione');
INSERT INTO `lang_definitions` VALUES (120566, 5886, 23, 'Segna come cancellato');
INSERT INTO `lang_definitions` VALUES (120567, 5887, 23, 'Sposato');
INSERT INTO `lang_definitions` VALUES (120568, 5888, 23, 'Marshallese');
INSERT INTO `lang_definitions` VALUES (120569, 5889, 23, 'Maschera');
INSERT INTO `lang_definitions` VALUES (120570, 5890, 23, 'Mashera per il Numero di fattura');
INSERT INTO `lang_definitions` VALUES (120571, 5891, 23, 'Maschera per gli IDs del paziente');
INSERT INTO `lang_definitions` VALUES (120572, 5892, 23, 'Maschera per gli IDs dei prodotti');
INSERT INTO `lang_definitions` VALUES (120573, 5894, 23, 'Combaciare');
INSERT INTO `lang_definitions` VALUES (120574, 5895, 23, 'Caso di corrispondenza');
INSERT INTO `lang_definitions` VALUES (120575, 5896, 23, 'Corrispondenza trovata');
INSERT INTO `lang_definitions` VALUES (120576, 5905, 23, 'Matrice');
INSERT INTO `lang_definitions` VALUES (120577, 5907, 23, 'Max');
INSERT INTO `lang_definitions` VALUES (120578, 5910, 23, 'numero di file massimo raggiunto - ricarica i nomi sottostanti');
INSERT INTO `lang_definitions` VALUES (120579, 5912, 23, 'Mascellare destro:');
INSERT INTO `lang_definitions` VALUES (120580, 5913, 23, 'Età massima');
INSERT INTO `lang_definitions` VALUES (120581, 5914, 23, 'Massimo caratteri');
INSERT INTO `lang_definitions` VALUES (120582, 5917, 23, 'Massimo tempo di inattività in secondi prima di logout. Il valore predefinito è 7200 (2 ore).');
INSERT INTO `lang_definitions` VALUES (120583, 5920, 23, 'Massimo inventario ragionevole, 0 se non applicabile');
INSERT INTO `lang_definitions` VALUES (120584, 5921, 23, 'Dimesione massima');
INSERT INTO `lang_definitions` VALUES (120585, 5922, 23, 'Dimesione massima (inserendo 0 permetterà qualsiasi dimensione)');
INSERT INTO `lang_definitions` VALUES (120586, 5924, 23, 'Maggio');
INSERT INTO `lang_definitions` VALUES (120587, 5926, 23, 'MC');
INSERT INTO `lang_definitions` VALUES (120588, 5927, 23, 'mcg');
INSERT INTO `lang_definitions` VALUES (120589, 5929, 23, 'Significa nessuna delle ultime tre password sono consentite quando si cambia una password.');
INSERT INTO `lang_definitions` VALUES (120590, 5931, 23, 'Misura gruppo di codice');
INSERT INTO `lang_definitions` VALUES (120591, 5933, 23, 'Misurazione');
INSERT INTO `lang_definitions` VALUES (120592, 5939, 23, 'Malleolo mediale');
INSERT INTO `lang_definitions` VALUES (120593, 5940, 23, 'Aiuto medico');
INSERT INTO `lang_definitions` VALUES (120594, 5942, 23, 'Medico');
INSERT INTO `lang_definitions` VALUES (120595, 5943, 23, 'Aborto medico');
INSERT INTO `lang_definitions` VALUES (120596, 5944, 23, 'Amministrazione medica');
INSERT INTO `lang_definitions` VALUES (120597, 5946, 23, 'Storia medica');
INSERT INTO `lang_definitions` VALUES (120598, 5947, 23, 'problemi di natura medica');
INSERT INTO `lang_definitions` VALUES (120599, 5948, 23, 'problemi di natura medica');
INSERT INTO `lang_definitions` VALUES (120600, 5951, 23, 'Problema Medico');
INSERT INTO `lang_definitions` VALUES (120601, 5952, 23, 'Problema medico');
INSERT INTO `lang_definitions` VALUES (120602, 5953, 23, 'Lista dei problemi Medici');
INSERT INTO `lang_definitions` VALUES (120603, 5954, 23, 'Problemi medici');
INSERT INTO `lang_definitions` VALUES (120604, 5956, 23, 'Cartella clinica');
INSERT INTO `lang_definitions` VALUES (120605, 5957, 23, 'Cartella clinica #');
INSERT INTO `lang_definitions` VALUES (120606, 5959, 23, 'Cartelle cliniche');
INSERT INTO `lang_definitions` VALUES (120607, 5961, 23, 'Cartelle cliniche inviate');
INSERT INTO `lang_definitions` VALUES (120608, 5963, 23, 'Riepilogo medico dato');
INSERT INTO `lang_definitions` VALUES (120609, 5964, 23, 'Sistema medico');
INSERT INTO `lang_definitions` VALUES (120610, 5965, 23, 'Tipo di medico');
INSERT INTO `lang_definitions` VALUES (120611, 5966, 23, 'Medica / Cronologia (scrittura, aggiungere solo opzionale)');
INSERT INTO `lang_definitions` VALUES (120612, 5968, 23, 'Assistenza sanitaria statale Parte B');
INSERT INTO `lang_definitions` VALUES (120613, 5969, 23, 'Assistenza sanitaria statale Parte B');
INSERT INTO `lang_definitions` VALUES (120614, 5970, 23, 'Medicazione/Farmaci');
INSERT INTO `lang_definitions` VALUES (120615, 5971, 23, 'Rendere i file di testo in batch per il caricamento di di scambio di informazioni e segnerà come fatturati');
INSERT INTO `lang_definitions` VALUES (120616, 5972, 23, 'Lista problemi delle medicazioni');
INSERT INTO `lang_definitions` VALUES (120617, 5973, 23, 'Lista medicazioni/Farmaci');
INSERT INTO `lang_definitions` VALUES (120618, 5974, 23, 'Riconciliazione farmaci eseguita?');
INSERT INTO `lang_definitions` VALUES (120619, 5975, 23, 'Medicazioni/Farmaci');
INSERT INTO `lang_definitions` VALUES (120620, 5978, 23, 'Medicazioni/Farmaci:');
INSERT INTO `lang_definitions` VALUES (120621, 5979, 23, 'Unità farmaci');
INSERT INTO `lang_definitions` VALUES (120622, 5980, 23, 'Medio');
INSERT INTO `lang_definitions` VALUES (120623, 5982, 23, 'MedlinePlus Connect');
INSERT INTO `lang_definitions` VALUES (120624, 5984, 23, 'Membro Associazione Report Statistiche');
INSERT INTO `lang_definitions` VALUES (120625, 5986, 23, 'Problemi mnestici');
INSERT INTO `lang_definitions` VALUES (120626, 5987, 23, 'Uomo');
INSERT INTO `lang_definitions` VALUES (120627, 5988, 23, 'Uomo e Donna');
INSERT INTO `lang_definitions` VALUES (120628, 5989, 23, 'Soltanto Uomo');
INSERT INTO `lang_definitions` VALUES (120629, 5990, 23, 'Menarca');
INSERT INTO `lang_definitions` VALUES (120630, 5991, 23, 'Menopausa');
INSERT INTO `lang_definitions` VALUES (120631, 5992, 23, 'Flusso mestruale');
INSERT INTO `lang_definitions` VALUES (120632, 5993, 23, 'Frequenza mestruale');
INSERT INTO `lang_definitions` VALUES (120633, 5994, 23, 'Malattia mentale');
INSERT INTO `lang_definitions` VALUES (120634, 5998, 23, 'Menu Text');
INSERT INTO `lang_definitions` VALUES (120635, 5999, 23, 'Menu');
INSERT INTO `lang_definitions` VALUES (120636, 6001, 23, 'Unisci');
INSERT INTO `lang_definitions` VALUES (120637, 6002, 23, 'Unione completa.');
INSERT INTO `lang_definitions` VALUES (120638, 6003, 23, 'Unire i pazienti');
INSERT INTO `lang_definitions` VALUES (120639, 6005, 23, 'Messaggio');
INSERT INTO `lang_definitions` VALUES (120640, 6006, 23, 'Messaggio e Centro promemoria');
INSERT INTO `lang_definitions` VALUES (120641, 6009, 23, 'Il contenuto del messaggio non è testo semplice, così è stato conservato come un documento.');
INSERT INTO `lang_definitions` VALUES (120642, 6010, 23, 'Messaggio dal paziente');
INSERT INTO `lang_definitions` VALUES (120643, 6012, 23, 'Messaggio inviato');
INSERT INTO `lang_definitions` VALUES (120644, 6013, 23, 'Stato del messaggio');
INSERT INTO `lang_definitions` VALUES (120645, 6014, 23, 'Titolo del Messaggio');
INSERT INTO `lang_definitions` VALUES (120646, 6015, 23, 'Messaggio al paziente');
INSERT INTO `lang_definitions` VALUES (120647, 6017, 23, 'Tipo del messaggio');
INSERT INTO `lang_definitions` VALUES (120648, 6018, 23, 'MESSAGGIO:');
INSERT INTO `lang_definitions` VALUES (120649, 6019, 23, 'Messaggi');
INSERT INTO `lang_definitions` VALUES (120650, 6022, 23, 'Messaggi inviati oggi');
INSERT INTO `lang_definitions` VALUES (120651, 6026, 23, 'Metodo');
INSERT INTO `lang_definitions` VALUES (120652, 6027, 23, 'Metodo e Prodotto specifico');
INSERT INTO `lang_definitions` VALUES (120653, 6029, 23, 'Metodo per l\'invio delle email in uscita.');
INSERT INTO `lang_definitions` VALUES (120654, 6030, 23, 'Metodo di distruzione');
INSERT INTO `lang_definitions` VALUES (120655, 6031, 23, 'Mexican/MexAmer/Chicano');
INSERT INTO `lang_definitions` VALUES (120656, 6038, 23, 'mg');
INSERT INTO `lang_definitions` VALUES (120657, 6039, 23, 'mg/1cc');
INSERT INTO `lang_definitions` VALUES (120658, 6040, 23, 'mg/2cc');
INSERT INTO `lang_definitions` VALUES (120659, 6041, 23, 'mg/3cc');
INSERT INTO `lang_definitions` VALUES (120660, 6042, 23, 'mg/4cc');
INSERT INTO `lang_definitions` VALUES (120661, 6043, 23, 'mg/5cc');
INSERT INTO `lang_definitions` VALUES (120662, 6044, 23, 'GM/DL');
INSERT INTO `lang_definitions` VALUES (120663, 6046, 23, 'mezzo');
INSERT INTO `lang_definitions` VALUES (120664, 6047, 23, 'Secondo Nome');
INSERT INTO `lang_definitions` VALUES (120665, 6048, 23, 'Secondo nome');
INSERT INTO `lang_definitions` VALUES (120666, 6051, 23, 'Prescrittore DEA di medio livello');
INSERT INTO `lang_definitions` VALUES (120667, 6052, 23, 'Nome del prescrittore di medio livello');
INSERT INTO `lang_definitions` VALUES (120668, 6053, 23, 'Cognome del prescrittore di medio livello');
INSERT INTO `lang_definitions` VALUES (120669, 6055, 23, 'Prefisso del prescrittore di medio livello');
INSERT INTO `lang_definitions` VALUES (120670, 6056, 23, 'UPIN del prescrittore di medio livello');
INSERT INTO `lang_definitions` VALUES (120671, 6061, 23, 'Aspetto');
INSERT INTO `lang_definitions` VALUES (120672, 6062, 23, 'Lavoratore migrante o stagionale?');
INSERT INTO `lang_definitions` VALUES (120673, 6064, 23, 'Migrante/Stagionale');
INSERT INTO `lang_definitions` VALUES (120674, 6065, 23, 'Mil/CU.MM (cm cubo)');
INSERT INTO `lang_definitions` VALUES (120675, 6069, 23, 'MIME Type');
INSERT INTO `lang_definitions` VALUES (120676, 6070, 23, 'Tipo Mime');
INSERT INTO `lang_definitions` VALUES (120677, 6071, 23, 'Min');
INSERT INTO `lang_definitions` VALUES (120678, 6072, 23, 'min');
INSERT INTO `lang_definitions` VALUES (120679, 6077, 23, 'Età minima');
INSERT INTO `lang_definitions` VALUES (120680, 6080, 23, 'Minore sforzo comune + / - sinovite');
INSERT INTO `lang_definitions` VALUES (120681, 6082, 23, 'Minuto');
INSERT INTO `lang_definitions` VALUES (120682, 6083, 23, 'Minuti');
INSERT INTO `lang_definitions` VALUES (120683, 6084, 23, 'minuti');
INSERT INTO `lang_definitions` VALUES (120684, 6086, 23, 'Varie');
INSERT INTO `lang_definitions` VALUES (120685, 6087, 23, 'Opzioni di fatturazione varie');
INSERT INTO `lang_definitions` VALUES (120686, 6088, 23, 'Opzioni di fatturazione varie per HCFA-1500');
INSERT INTO `lang_definitions` VALUES (120687, 6089, 23, 'Opzioni di fatturazione varie per HCFA');
INSERT INTO `lang_definitions` VALUES (120688, 6090, 23, 'Miscellanea');
INSERT INTO `lang_definitions` VALUES (120689, 6092, 23, 'Mancante');
INSERT INTO `lang_definitions` VALUES (120690, 6093, 23, 'mancante');
INSERT INTO `lang_definitions` VALUES (120691, 6094, 23, 'Manca un campo richiesto');
INSERT INTO `lang_definitions` VALUES (120692, 6097, 23, 'Tariffa mancante');
INSERT INTO `lang_definitions` VALUES (120693, 6100, 23, 'Mancano solo i Mods');
INSERT INTO `lang_definitions` VALUES (120694, 6101, 23, 'Mancante o non valido');
INSERT INTO `lang_definitions` VALUES (120695, 6103, 23, 'PID mancante');
INSERT INTO `lang_definitions` VALUES (120696, 6104, 23, 'Data resoconto mancante');
INSERT INTO `lang_definitions` VALUES (120697, 6105, 23, 'Manca lo slash dopo il pagante nel sorgente per il codice');
INSERT INTO `lang_definitions` VALUES (120698, 6111, 23, 'Misto');
INSERT INTO `lang_definitions` VALUES (120699, 6113, 23, 'ml');
INSERT INTO `lang_definitions` VALUES (120700, 6114, 23, 'MM/GG/AAAA');
INSERT INTO `lang_definitions` VALUES (120701, 6115, 23, 'mm/hg');
INSERT INTO `lang_definitions` VALUES (120702, 6116, 23, 'mmHg');
INSERT INTO `lang_definitions` VALUES (120703, 6117, 23, 'MMR 1');
INSERT INTO `lang_definitions` VALUES (120704, 6118, 23, 'MMR 2');
INSERT INTO `lang_definitions` VALUES (120705, 6120, 23, 'Cellulare');
INSERT INTO `lang_definitions` VALUES (120706, 6121, 23, 'Tel. Cellulare');
INSERT INTO `lang_definitions` VALUES (120707, 6125, 23, 'Mod');
INSERT INTO `lang_definitions` VALUES (120708, 6129, 23, 'Priorità moderata');
INSERT INTO `lang_definitions` VALUES (120709, 6131, 23, 'Moderata/Bassa priorità');
INSERT INTO `lang_definitions` VALUES (120710, 6133, 23, 'Modificatore');
INSERT INTO `lang_definitions` VALUES (120711, 6139, 23, 'Modificatori');
INSERT INTO `lang_definitions` VALUES (120712, 6140, 23, 'Modificare');
INSERT INTO `lang_definitions` VALUES (120713, 6143, 23, 'Modifica Pagamenti');
INSERT INTO `lang_definitions` VALUES (120714, 6145, 23, 'ModLength');
INSERT INTO `lang_definitions` VALUES (120715, 6146, 23, 'Modulo');
INSERT INTO `lang_definitions` VALUES (120716, 6147, 23, 'Directory del modulo non trovata');
INSERT INTO `lang_definitions` VALUES (120717, 6148, 23, 'Installazione Modulo');
INSERT INTO `lang_definitions` VALUES (120718, 6149, 23, 'Nome Modulo');
INSERT INTO `lang_definitions` VALUES (120719, 6150, 23, 'Il nome del Modulo esiste già');
INSERT INTO `lang_definitions` VALUES (120720, 6151, 23, 'Moduli');
INSERT INTO `lang_definitions` VALUES (120721, 6153, 23, 'Lun');
INSERT INTO `lang_definitions` VALUES (120722, 6154, 23, 'Lun fino a Ven');
INSERT INTO `lang_definitions` VALUES (120723, 6155, 23, 'Lun, Mer &amp; Ven');
INSERT INTO `lang_definitions` VALUES (120724, 6156, 23, 'Lunedì');
INSERT INTO `lang_definitions` VALUES (120725, 6157, 23, 'Mongolian');
INSERT INTO `lang_definitions` VALUES (120726, 6160, 23, 'mese');
INSERT INTO `lang_definitions` VALUES (120727, 6161, 23, 'Mese');
INSERT INTO `lang_definitions` VALUES (120728, 6162, 23, 'Vista del Mese');
INSERT INTO `lang_definitions` VALUES (120729, 6163, 23, 'Mese(i)');
INSERT INTO `lang_definitions` VALUES (120730, 6164, 23, 'Entrata mensile');
INSERT INTO `lang_definitions` VALUES (120731, 6166, 23, 'Mesi');
INSERT INTO `lang_definitions` VALUES (120732, 6179, 23, 'Trovati più di 100 record. Restringi i criteri di ricerca.');
INSERT INTO `lang_definitions` VALUES (120733, 6180, 23, 'Trovati più di 50 risultati, rendi più specifica la ricerca.');
INSERT INTO `lang_definitions` VALUES (120734, 6184, 23, 'La maggior parte delle intestazioni di colonna è possibile fare clic per cambiarne l\'ordinamento');
INSERT INTO `lang_definitions` VALUES (120735, 6186, 23, 'Più recenti dal');
INSERT INTO `lang_definitions` VALUES (120736, 6187, 23, 'I più recenti dati di laboratorio:');
INSERT INTO `lang_definitions` VALUES (120737, 6189, 23, 'Vitali più recenti il:');
INSERT INTO `lang_definitions` VALUES (120738, 6190, 23, 'Madre');
INSERT INTO `lang_definitions` VALUES (120739, 6191, 23, 'Nome della Madre');
INSERT INTO `lang_definitions` VALUES (120740, 6192, 23, 'Storia della Madre');
INSERT INTO `lang_definitions` VALUES (120741, 6195, 23, 'Bocca');
INSERT INTO `lang_definitions` VALUES (120742, 6196, 23, 'Sposta');
INSERT INTO `lang_definitions` VALUES (120743, 6197, 23, 'Sposta Documento nella Categoria:');
INSERT INTO `lang_definitions` VALUES (120744, 6198, 23, 'Sposta giù');
INSERT INTO `lang_definitions` VALUES (120745, 6199, 23, 'Spostamento fallito!');
INSERT INTO `lang_definitions` VALUES (120746, 6201, 23, 'Sposta al Paziente');
INSERT INTO `lang_definitions` VALUES (120747, 6202, 23, 'Sposta nel...');
INSERT INTO `lang_definitions` VALUES (120748, 6203, 23, 'Sposta su');
INSERT INTO `lang_definitions` VALUES (120749, 6204, 23, 'Spostare');
INSERT INTO `lang_definitions` VALUES (120750, 6209, 23, 'Sig.');
INSERT INTO `lang_definitions` VALUES (120751, 6211, 23, 'MRN (pid)');
INSERT INTO `lang_definitions` VALUES (120752, 6215, 23, 'Sig.ra');
INSERT INTO `lang_definitions` VALUES (120753, 6217, 23, 'Sig.na');
INSERT INTO `lang_definitions` VALUES (120754, 6218, 23, 'MSH-11');
INSERT INTO `lang_definitions` VALUES (120755, 6219, 23, 'MSH-3.1');
INSERT INTO `lang_definitions` VALUES (120756, 6220, 23, 'MSH-4.1');
INSERT INTO `lang_definitions` VALUES (120757, 6221, 23, 'MSH-5.1');
INSERT INTO `lang_definitions` VALUES (120758, 6222, 23, 'MSH-6.1');
INSERT INTO `lang_definitions` VALUES (120759, 6224, 23, 'MSH.8 tipo di messaggio non valido');
INSERT INTO `lang_definitions` VALUES (120760, 6226, 23, 'Codice MSP');
INSERT INTO `lang_definitions` VALUES (120761, 6227, 23, 'Deposito codici MSP');
INSERT INTO `lang_definitions` VALUES (120762, 6230, 23, 'Strumento Multi Lingua');
INSERT INTO `lang_definitions` VALUES (120763, 6234, 23, 'Aree multiple');
INSERT INTO `lang_definitions` VALUES (120764, 6236, 23, 'Più file possono essere caricati contemporaneamente selezionandoli con CTRL + clic o Maiusc + clic.');
INSERT INTO `lang_definitions` VALUES (120765, 6237, 23, 'Lotti multipli');
INSERT INTO `lang_definitions` VALUES (120766, 6238, 23, 'Modificatori multipli possono essere separati da due punti o spazi, massimo di 4 (M1: M2: M3: M4)');
INSERT INTO `lang_definitions` VALUES (120767, 6239, 23, 'Lista multipla di selezione');
INSERT INTO `lang_definitions` VALUES (120768, 6242, 23, 'Multirazziale');
INSERT INTO `lang_definitions` VALUES (120769, 6243, 23, 'Soffio:');
INSERT INTO `lang_definitions` VALUES (120770, 6244, 23, 'Dolore musc');
INSERT INTO `lang_definitions` VALUES (120771, 6245, 23, 'Dolori musc');
INSERT INTO `lang_definitions` VALUES (120772, 6246, 23, 'Arrossamento musc');
INSERT INTO `lang_definitions` VALUES (120773, 6247, 23, 'Rigidità musc');
INSERT INTO `lang_definitions` VALUES (120774, 6248, 23, 'Gonfiore musc');
INSERT INTO `lang_definitions` VALUES (120775, 6249, 23, 'Musc caldo');
INSERT INTO `lang_definitions` VALUES (120776, 6250, 23, 'Muscolo');
INSERT INTO `lang_definitions` VALUES (120777, 6251, 23, 'Lesione muscolare');
INSERT INTO `lang_definitions` VALUES (120778, 6252, 23, 'Muscoloscheletrico');
INSERT INTO `lang_definitions` VALUES (120779, 6256, 23, 'Deve essere vuoto se non si usa l\'autenticazione SMTP');
INSERT INTO `lang_definitions` VALUES (120780, 6259, 23, 'Reciprocamente definito');
INSERT INTO `lang_definitions` VALUES (120781, 6260, 23, 'MVA');
INSERT INTO `lang_definitions` VALUES (120782, 6267, 23, 'Io stesso');
INSERT INTO `lang_definitions` VALUES (120783, 6269, 23, 'Māori');
INSERT INTO `lang_definitions` VALUES (120784, 6271, 23, 'N/D');
INSERT INTO `lang_definitions` VALUES (120785, 6272, 23, 'n/d');
INSERT INTO `lang_definitions` VALUES (120786, 6274, 23, 'Nome');
INSERT INTO `lang_definitions` VALUES (120787, 6276, 23, 'Nome (clicca per ulteriori)');
INSERT INTO `lang_definitions` VALUES (120788, 6278, 23, 'Nome 1');
INSERT INTO `lang_definitions` VALUES (120789, 6279, 23, 'Nome 2');
INSERT INTO `lang_definitions` VALUES (120790, 6280, 23, 'Nome e titolo di Amministratore immunizzazione');
INSERT INTO `lang_definitions` VALUES (120791, 6282, 23, 'Nome in EMR');
INSERT INTO `lang_definitions` VALUES (120792, 6283, 23, 'Name must be like codetype_code_language.pdf, for example icd9_274.11_en.pdf');
INSERT INTO `lang_definitions` VALUES (120793, 6284, 23, 'Nome dell\'Evento');
INSERT INTO `lang_definitions` VALUES (120794, 6285, 23, 'Nome della Compagnia di assicurazione');
INSERT INTO `lang_definitions` VALUES (120795, 6286, 23, 'Nome del fornitore');
INSERT INTO `lang_definitions` VALUES (120796, 6287, 23, 'Nome del mittente del promemoria per il paziente');
INSERT INTO `lang_definitions` VALUES (120797, 6294, 23, 'Traduzione del nome');
INSERT INTO `lang_definitions` VALUES (120798, 6295, 23, 'Nome/Valore');
INSERT INTO `lang_definitions` VALUES (120799, 6296, 23, 'Nome:');
INSERT INTO `lang_definitions` VALUES (120800, 6300, 23, 'NARICI:');
INSERT INTO `lang_definitions` VALUES (120801, 6301, 23, 'NARICI: destra normale');
INSERT INTO `lang_definitions` VALUES (120802, 6304, 23, 'Mucosa nasale rosa, linea mediana del setto');
INSERT INTO `lang_definitions` VALUES (120803, 6305, 23, 'Note Nazionali');
INSERT INTO `lang_definitions` VALUES (120804, 6308, 23, 'Configura Note Nazionali');
INSERT INTO `lang_definitions` VALUES (120805, 6309, 23, 'Sostituire pulsante Note Nazionali');
INSERT INTO `lang_definitions` VALUES (120806, 6310, 23, 'Nazionalità');
INSERT INTO `lang_definitions` VALUES (120807, 6311, 23, 'NationNotes');
INSERT INTO `lang_definitions` VALUES (120808, 6312, 23, 'Carico dati del nativo');
INSERT INTO `lang_definitions` VALUES (120809, 6313, 23, 'Nativo delle Haway o altre isole del Pacifico');
INSERT INTO `lang_definitions` VALUES (120810, 6318, 23, 'Nauru');
INSERT INTO `lang_definitions` VALUES (120811, 6319, 23, 'Nausea');
INSERT INTO `lang_definitions` VALUES (120812, 6321, 23, 'Navajo, Navaho');
INSERT INTO `lang_definitions` VALUES (120813, 6322, 23, 'Navigazione');
INSERT INTO `lang_definitions` VALUES (120814, 6323, 23, 'Area di navigazione include i moduli incontro');
INSERT INTO `lang_definitions` VALUES (120815, 6324, 23, 'Area di navigazione utilizza tutta l\'altezza del frame');
INSERT INTO `lang_definitions` VALUES (120816, 6325, 23, 'Area di navigazione moduli visita');
INSERT INTO `lang_definitions` VALUES (120817, 6326, 23, 'Ampiezza dell\'Area navigazione');
INSERT INTO `lang_definitions` VALUES (120818, 6328, 23, 'Il menu navigazione è costituito da coppie di pulsanti radio');
INSERT INTO `lang_definitions` VALUES (120819, 6329, 23, 'Il menu navigazione è una vista ad albero');
INSERT INTO `lang_definitions` VALUES (120820, 6330, 23, 'Navigazione usa un menu ad espansione');
INSERT INTO `lang_definitions` VALUES (120821, 6334, 23, 'NDC(National Drug Code)');
INSERT INTO `lang_definitions` VALUES (120822, 6335, 23, 'Data NDC');
INSERT INTO `lang_definitions` VALUES (120823, 6336, 23, 'Numero NDC');
INSERT INTO `lang_definitions` VALUES (120824, 6337, 23, 'Ndonga');
INSERT INTO `lang_definitions` VALUES (120825, 6348, 23, 'Collo');
INSERT INTO `lang_definitions` VALUES (120826, 6349, 23, 'Problemi al collo');
INSERT INTO `lang_definitions` VALUES (120827, 6350, 23, 'Collo flessibile');
INSERT INTO `lang_definitions` VALUES (120828, 6352, 23, 'Occorre inserire una descrizione');
INSERT INTO `lang_definitions` VALUES (120829, 6353, 23, 'Occorre inserire un valore di ritorno');
INSERT INTO `lang_definitions` VALUES (120830, 6354, 23, 'Occorre inserire un identificatore');
INSERT INTO `lang_definitions` VALUES (120831, 6355, 23, 'Occorre inserire un titolo');
INSERT INTO `lang_definitions` VALUES (120832, 6358, 23, 'Occorre inserire Aut');
INSERT INTO `lang_definitions` VALUES (120833, 6359, 23, 'Occorre inseire Motivazione');
INSERT INTO `lang_definitions` VALUES (120834, 6360, 23, 'Occorre fatturazione secondaria');
INSERT INTO `lang_definitions` VALUES (120835, 6361, 23, 'Negativo');
INSERT INTO `lang_definitions` VALUES (120836, 6363, 23, 'Negativi');
INSERT INTO `lang_definitions` VALUES (120837, 6368, 23, 'Nepali');
INSERT INTO `lang_definitions` VALUES (120838, 6369, 23, 'Lesione del nervo');
INSERT INTO `lang_definitions` VALUES (120839, 6371, 23, 'Condizione neurale/danno al nervo');
INSERT INTO `lang_definitions` VALUES (120840, 6373, 23, 'Neuro Intorpidimento');
INSERT INTO `lang_definitions` VALUES (120841, 6374, 23, 'Neuro Debolezza');
INSERT INTO `lang_definitions` VALUES (120842, 6377, 23, 'Neurologico');
INSERT INTO `lang_definitions` VALUES (120843, 6381, 23, 'Mai');
INSERT INTO `lang_definitions` VALUES (120844, 6382, 23, 'Mai Alcohol');
INSERT INTO `lang_definitions` VALUES (120845, 6383, 23, 'Mai Fumatore');
INSERT INTO `lang_definitions` VALUES (120846, 6384, 23, 'Nuovo');
INSERT INTO `lang_definitions` VALUES (120847, 6385, 23, 'Nuovo =>');
INSERT INTO `lang_definitions` VALUES (120848, 6386, 23, 'Nuovi accettatori');
INSERT INTO `lang_definitions` VALUES (120849, 6388, 23, 'Nuova Allegia');
INSERT INTO `lang_definitions` VALUES (120850, 6389, 23, 'Nuova richiesta di modifica');
INSERT INTO `lang_definitions` VALUES (120851, 6390, 23, 'Nuovo Appuntamento');
INSERT INTO `lang_definitions` VALUES (120852, 6391, 23, 'Nuove Categorie');
INSERT INTO `lang_definitions` VALUES (120853, 6392, 23, 'Nuova Categoria');
INSERT INTO `lang_definitions` VALUES (120854, 6393, 23, 'Nuovi Clienti');
INSERT INTO `lang_definitions` VALUES (120855, 6394, 23, 'Nuova Consulenza');
INSERT INTO `lang_definitions` VALUES (120856, 6395, 23, 'Nuova coltura');
INSERT INTO `lang_definitions` VALUES (120857, 6396, 23, 'Nuova definizione del set aggiunta');
INSERT INTO `lang_definitions` VALUES (120858, 6397, 23, 'Nuovo Documento');
INSERT INTO `lang_definitions` VALUES (120859, 6398, 23, 'Nuovi documenti');
INSERT INTO `lang_definitions` VALUES (120860, 6401, 23, 'Nuovo Incontro');
INSERT INTO `lang_definitions` VALUES (120861, 6402, 23, 'Creato nuovo incontro con id');
INSERT INTO `lang_definitions` VALUES (120862, 6403, 23, 'Modulo Nuovo Incontro');
INSERT INTO `lang_definitions` VALUES (120863, 6404, 23, 'Nuovi incontri non autorizzati');
INSERT INTO `lang_definitions` VALUES (120864, 6405, 23, 'Nuovo Inc.');
INSERT INTO `lang_definitions` VALUES (120865, 6406, 23, 'Informazione nuova sede');
INSERT INTO `lang_definitions` VALUES (120866, 6407, 23, 'Nuovo file');
INSERT INTO `lang_definitions` VALUES (120867, 6408, 23, 'Nuovi file');
INSERT INTO `lang_definitions` VALUES (120868, 6410, 23, 'Nuovo Gruppo');
INSERT INTO `lang_definitions` VALUES (120869, 6413, 23, 'Informazione Nuovo Gruppo');
INSERT INTO `lang_definitions` VALUES (120870, 6422, 23, 'Nuovo Les/Status');
INSERT INTO `lang_definitions` VALUES (120871, 6425, 23, 'Nuovo Limite di eventi');
INSERT INTO `lang_definitions` VALUES (120872, 6426, 23, 'Nuovo Elenco');
INSERT INTO `lang_definitions` VALUES (120873, 6432, 23, 'Nuovi Ordini');
INSERT INTO `lang_definitions` VALUES (120874, 6433, 23, 'Nuovo Paragrafo');
INSERT INTO `lang_definitions` VALUES (120875, 6434, 23, 'Nuova Password');
INSERT INTO `lang_definitions` VALUES (120876, 6435, 23, 'Nuovo Paziente');
INSERT INTO `lang_definitions` VALUES (120877, 6436, 23, 'NUOVO PAZIENTE');
INSERT INTO `lang_definitions` VALUES (120878, 6437, 23, 'Incontro Nuovo Paziente');
INSERT INTO `lang_definitions` VALUES (120879, 6438, 23, 'Modulo Nuovo Paziente');
INSERT INTO `lang_definitions` VALUES (120880, 6439, 23, 'ID Nuovo Paziente');
INSERT INTO `lang_definitions` VALUES (120881, 6442, 23, 'Nuovo Pagamento');
INSERT INTO `lang_definitions` VALUES (120882, 6443, 23, 'Nuovo accesso al portale');
INSERT INTO `lang_definitions` VALUES (120883, 6445, 23, 'Nuovo Pt');
INSERT INTO `lang_definitions` VALUES (120884, 6447, 23, 'Nuovo risultato dal Lab Exchange');
INSERT INTO `lang_definitions` VALUES (120885, 6448, 23, 'Nuova Ricerca');
INSERT INTO `lang_definitions` VALUES (120886, 6449, 23, 'Nuovi Inserimenti');
INSERT INTO `lang_definitions` VALUES (120887, 6451, 23, 'Nuovo Utente');
INSERT INTO `lang_definitions` VALUES (120888, 6452, 23, 'Nuovo valore');
INSERT INTO `lang_definitions` VALUES (120889, 6453, 23, 'Nuova Visita');
INSERT INTO `lang_definitions` VALUES (120890, 6454, 23, 'Nuovo/Cerca');
INSERT INTO `lang_definitions` VALUES (120891, 6455, 23, 'Stato account Nuovo Gruppo');
INSERT INTO `lang_definitions` VALUES (120892, 6456, 23, 'Admin Nuovo Gruppo');
INSERT INTO `lang_definitions` VALUES (120893, 6457, 23, 'NewCrop chiamata fallita');
INSERT INTO `lang_definitions` VALUES (120894, 6458, 23, 'NewCrop Medico');
INSERT INTO `lang_definitions` VALUES (120895, 6459, 23, 'NewCrop eRx Account Id');
INSERT INTO `lang_definitions` VALUES (120896, 6463, 23, 'NewCrop eRx nome');
INSERT INTO `lang_definitions` VALUES (120897, 6464, 23, 'NewCrop eRx Partner nome');
INSERT INTO `lang_definitions` VALUES (120898, 6465, 23, 'NewCrop eRx Password');
INSERT INTO `lang_definitions` VALUES (120899, 6466, 23, 'NewCrop eRX Ruolo');
INSERT INTO `lang_definitions` VALUES (120900, 6467, 23, 'NewCrop eRx Ruolo');
INSERT INTO `lang_definitions` VALUES (120901, 6468, 23, 'NewCrop eRx indirizzo del sito');
INSERT INTO `lang_definitions` VALUES (120902, 6469, 23, 'NewCrop eRx SOAP Request Time-To-Live for Allergies');
INSERT INTO `lang_definitions` VALUES (120903, 6470, 23, 'NewCrop eRx SOAP Request Time-To-Live for Medications');
INSERT INTO `lang_definitions` VALUES (120904, 6473, 23, 'NewCrop eRx indirizzo del servizio Web');
INSERT INTO `lang_definitions` VALUES (120905, 6474, 23, 'NewCrop Gestore');
INSERT INTO `lang_definitions` VALUES (120906, 6475, 23, 'NewCrop MedEntry');
INSERT INTO `lang_definitions` VALUES (120907, 6476, 23, 'NewCrop prescrittore di medio livello');
INSERT INTO `lang_definitions` VALUES (120908, 6477, 23, 'NewCrop Infermiere');
INSERT INTO `lang_definitions` VALUES (120909, 6478, 23, 'NewCrop Medico supervisore');
INSERT INTO `lang_definitions` VALUES (120910, 6479, 23, 'Recente');
INSERT INTO `lang_definitions` VALUES (120911, 6481, 23, 'Giornale');
INSERT INTO `lang_definitions` VALUES (120912, 6482, 23, 'Successivo');
INSERT INTO `lang_definitions` VALUES (120913, 6484, 23, 'Giorno Successivo');
INSERT INTO `lang_definitions` VALUES (120914, 6485, 23, 'Mese Successivo');
INSERT INTO `lang_definitions` VALUES (120915, 6486, 23, 'Mese successivo (mantieni per il menu)');
INSERT INTO `lang_definitions` VALUES (120916, 6488, 23, 'Prossima esecuzione programmata');
INSERT INTO `lang_definitions` VALUES (120917, 6491, 23, 'Settimana Successiva');
INSERT INTO `lang_definitions` VALUES (120918, 6492, 23, 'Anno successivo (mantieni per il menu)');
INSERT INTO `lang_definitions` VALUES (120919, 6493, 23, 'Soprannome');
INSERT INTO `lang_definitions` VALUES (120920, 6494, 23, 'Soprannome');
INSERT INTO `lang_definitions` VALUES (120921, 6496, 23, 'Sudorazione notturna');
INSERT INTO `lang_definitions` VALUES (120922, 6498, 23, 'Nl ext genitali, mucosa vag, cervice');
INSERT INTO `lang_definitions` VALUES (120923, 6499, 23, 'No');
INSERT INTO `lang_definitions` VALUES (120924, 6500, 23, 'NO');
INSERT INTO `lang_definitions` VALUES (120925, 6502, 23, 'Nessun accesso');
INSERT INTO `lang_definitions` VALUES (120926, 6503, 23, 'Nessun promemoria paziente attivo');
INSERT INTO `lang_definitions` VALUES (120927, 6504, 23, 'No adenopatia (richieste due aree)');
INSERT INTO `lang_definitions` VALUES (120928, 6505, 23, 'Nessun tipo di motivo trovato per la rimodulazione di');
INSERT INTO `lang_definitions` VALUES (120929, 6506, 23, 'Nessuna sensibilità pelvica / masse');
INSERT INTO `lang_definitions` VALUES (120930, 6508, 23, 'Nessuna richiesta di modifica disponibile');
INSERT INTO `lang_definitions` VALUES (120931, 6509, 23, 'Nessun Appuntamento');
INSERT INTO `lang_definitions` VALUES (120932, 6513, 23, 'Nessun registro di controllo manomissioni rilevato nell\'intervallo di date selezionato.');
INSERT INTO `lang_definitions` VALUES (120933, 6515, 23, 'Nessun sistema di fatturazione è attualmente attivo');
INSERT INTO `lang_definitions` VALUES (120934, 6516, 23, 'Nessuna fattura trovata da includere nell\'esportazione OFX');
INSERT INTO `lang_definitions` VALUES (120935, 6517, 23, 'Nessuna fattura trovata da includere nell\'esportazione OFX<br>');
INSERT INTO `lang_definitions` VALUES (120936, 6519, 23, 'Non è stato specificato alcun codice!');
INSERT INTO `lang_definitions` VALUES (120937, 6520, 23, 'Nessuna configurazione definita per questo modulo');
INSERT INTO `lang_definitions` VALUES (120938, 6523, 23, 'Nessuna Diagnosi');
INSERT INTO `lang_definitions` VALUES (120939, 6526, 23, 'Nessun Documento trovato');
INSERT INTO `lang_definitions` VALUES (120940, 6527, 23, 'Non è stato possibile creare alcun incontro');
INSERT INTO `lang_definitions` VALUES (120941, 6529, 23, 'Nessuna data di fine');
INSERT INTO `lang_definitions` VALUES (120942, 6530, 23, 'Nessuna immissione trovata, usa il modulo sotto per aggiungere una immissione');
INSERT INTO `lang_definitions` VALUES (120943, 6531, 23, 'Nessun errore trovato');
INSERT INTO `lang_definitions` VALUES (120944, 6532, 23, 'Nessun Evento');
INSERT INTO `lang_definitions` VALUES (120945, 6534, 23, 'Nessun file organizzato per l\'installazione');
INSERT INTO `lang_definitions` VALUES (120946, 6536, 23, 'Non è stato selezionato alcun gruppo');
INSERT INTO `lang_definitions` VALUES (120947, 6537, 23, 'Nessuna Ernia');
INSERT INTO `lang_definitions` VALUES (120948, 6538, 23, 'Nessun Hooks(Ganci) disponibili per questo modulo');
INSERT INTO `lang_definitions` VALUES (120949, 6539, 23, 'Nessun Hooks(Ganci) abilitati per questo modulo');
INSERT INTO `lang_definitions` VALUES (120950, 6540, 23, 'Nessuna Lesione/Malattia');
INSERT INTO `lang_definitions` VALUES (120951, 6541, 23, 'Non trovata alcuna compagnia assicurativa');
INSERT INTO `lang_definitions` VALUES (120952, 6544, 23, 'Nessuno problemi');
INSERT INTO `lang_definitions` VALUES (120953, 6545, 23, 'Nessuno problemi in questo incontro.');
INSERT INTO `lang_definitions` VALUES (120954, 6546, 23, 'Nessun elemento sotto la categoria selezionata');
INSERT INTO `lang_definitions` VALUES (120955, 6547, 23, 'Non è stato selezionato alcun elemento!');
INSERT INTO `lang_definitions` VALUES (120956, 6561, 23, 'Nessun dato Lab documentato.');
INSERT INTO `lang_definitions` VALUES (120957, 6562, 23, 'Nessun file di log esistente per la data selezionata');
INSERT INTO `lang_definitions` VALUES (120958, 6565, 23, 'Non ci sono masse, sensibilità');
INSERT INTO `lang_definitions` VALUES (120959, 6566, 23, 'Non trovato alcun record Paziente corrispondente al codice di Re Identificazione fornito');
INSERT INTO `lang_definitions` VALUES (120960, 6568, 23, 'Nessuna corrispondenza trovata. Prova a cercare di nuovo.');
INSERT INTO `lang_definitions` VALUES (120961, 6569, 23, 'Nessuna corrispondenza trovata.');
INSERT INTO `lang_definitions` VALUES (120962, 6570, 23, 'Nessuna corrispondenza trovata. Creo il nuovo paziente adesso?');
INSERT INTO `lang_definitions` VALUES (120963, 6571, 23, 'Non ha prodotto risultati');
INSERT INTO `lang_definitions` VALUES (120964, 6577, 23, 'Nessun nuovo risultato trovato');
INSERT INTO `lang_definitions` VALUES (120965, 6578, 23, 'Nessuna nota');
INSERT INTO `lang_definitions` VALUES (120966, 6579, 23, 'Nessuna organomegalia');
INSERT INTO `lang_definitions` VALUES (120967, 6580, 23, 'Non è stata trovata alcuna apertura per questo periodo.');
INSERT INTO `lang_definitions` VALUES (120968, 6583, 23, 'Nessun altro numero di telefono elencato');
INSERT INTO `lang_definitions` VALUES (120969, 6584, 23, 'nessun parametro selezionato');
INSERT INTO `lang_definitions` VALUES (120970, 6585, 23, 'Non trovato alcun partner');
INSERT INTO `lang_definitions` VALUES (120971, 6586, 23, 'Non si è trovato alcun record con i criteri di selezione forniti');
INSERT INTO `lang_definitions` VALUES (120972, 6587, 23, 'Non si è trovato alcun record con il cosice di Re-identificazione fornito');
INSERT INTO `lang_definitions` VALUES (120973, 6588, 23, 'Assenza di edema periferico');
INSERT INTO `lang_definitions` VALUES (120974, 6589, 23, 'Nessuna Farmacia trovata');
INSERT INTO `lang_definitions` VALUES (120975, 6590, 23, 'Nessuna Prescrizione trovata');
INSERT INTO `lang_definitions` VALUES (120976, 6592, 23, 'Non presenta malattie/lesioni');
INSERT INTO `lang_definitions` VALUES (120977, 6593, 23, 'Nessuna immissione precedente.');
INSERT INTO `lang_definitions` VALUES (120978, 6594, 23, 'Nessuna attività principale selezionata nella lista struttura');
INSERT INTO `lang_definitions` VALUES (120979, 6595, 23, 'Nessun incontri precedenti.');
INSERT INTO `lang_definitions` VALUES (120980, 6596, 23, 'Non ci sono procedure in questo incontro.');
INSERT INTO `lang_definitions` VALUES (120981, 6598, 23, 'Nessun fornitore trovato');
INSERT INTO `lang_definitions` VALUES (120982, 6599, 23, 'Non ci sono rash o lesioni anomale');
INSERT INTO `lang_definitions` VALUES (120983, 6602, 23, 'Nessun record trovato');
INSERT INTO `lang_definitions` VALUES (120984, 6604, 23, 'Nessun record trovato. Espandi i criteri di ricerca.');
INSERT INTO `lang_definitions` VALUES (120985, 6607, 23, 'Non ci sono promemoria');
INSERT INTO `lang_definitions` VALUES (120986, 6608, 23, 'Nessun Risltato trovato, per i criteri di ricerca soprastanti.');
INSERT INTO `lang_definitions` VALUES (120987, 6609, 23, 'Nessun Risultato');
INSERT INTO `lang_definitions` VALUES (120988, 6610, 23, 'Nessun risultato trovato');
INSERT INTO `lang_definitions` VALUES (120989, 6612, 23, 'Nessun Risultato trovato con la ricerca');
INSERT INTO `lang_definitions` VALUES (120990, 6613, 23, 'Nessun risultato trovato, riprova.');
INSERT INTO `lang_definitions` VALUES (120991, 6614, 23, 'Nessun risultato, prova di nuovo.');
INSERT INTO `lang_definitions` VALUES (120992, 6615, 23, 'Nessun risultato, prova di nuovo.');
INSERT INTO `lang_definitions` VALUES (120993, 6617, 23, 'Nessun settaggio disponibile per questo modulo');
INSERT INTO `lang_definitions` VALUES (120994, 6618, 23, 'Non mostrare');
INSERT INTO `lang_definitions` VALUES (120995, 6621, 23, 'nessuna firma nel file');
INSERT INTO `lang_definitions` VALUES (120996, 6622, 23, 'Nessuna dolorabilità sinusale:');
INSERT INTO `lang_definitions` VALUES (120997, 6623, 23, 'Non ci sono fossette della pelle o noduli della mammella');
INSERT INTO `lang_definitions` VALUES (120998, 6624, 23, 'NOME DEL CONTESTO SENZA TITOLO');
INSERT INTO `lang_definitions` VALUES (120999, 6625, 23, 'Nessuna tabella selezionata! Seleziona tabella.');
INSERT INTO `lang_definitions` VALUES (121000, 6626, 23, 'Non ci sono dolorabilità testicolari, masse');
INSERT INTO `lang_definitions` VALUES (121001, 6628, 23, 'Non si eccita o non si solleva');
INSERT INTO `lang_definitions` VALUES (121002, 6629, 23, 'Nessuna traccia selezionata');
INSERT INTO `lang_definitions` VALUES (121003, 6630, 23, 'Nessuna traccia è stata documentata.');
INSERT INTO `lang_definitions` VALUES (121004, 6632, 23, 'Nessuna Visita');
INSERT INTO `lang_definitions` VALUES (121005, 6633, 23, 'Non è stato documentato nulla per i Vitali');
INSERT INTO `lang_definitions` VALUES (121006, 6634, 23, 'No, Annulla');
INSERT INTO `lang_definitions` VALUES (121007, 6635, 23, 'No-Guasto Assicurazione primaria in automatico');
INSERT INTO `lang_definitions` VALUES (121008, 6636, 23, 'No:');
INSERT INTO `lang_definitions` VALUES (121009, 6637, 23, 'Nicturia');
INSERT INTO `lang_definitions` VALUES (121010, 6638, 23, 'Non Pagato');
INSERT INTO `lang_definitions` VALUES (121011, 6640, 23, 'Nessun Report segnalato');
INSERT INTO `lang_definitions` VALUES (121012, 6641, 23, 'Lasione non specifica');
INSERT INTO `lang_definitions` VALUES (121013, 6642, 23, 'Non-elettronico');
INSERT INTO `lang_definitions` VALUES (121014, 6643, 23, 'Diabete non isulino dipendente');
INSERT INTO `lang_definitions` VALUES (121015, 6644, 23, 'Non-assicurato');
INSERT INTO `lang_definitions` VALUES (121016, 6646, 23, 'Non-SRH Medical');
INSERT INTO `lang_definitions` VALUES (121017, 6647, 23, 'Non-SRH Non-Medical');
INSERT INTO `lang_definitions` VALUES (121018, 6648, 23, 'Nessuno');
INSERT INTO `lang_definitions` VALUES (121019, 6649, 23, 'nessuno');
INSERT INTO `lang_definitions` VALUES (121020, 6650, 23, 'Niente di definito');
INSERT INTO `lang_definitions` VALUES (121021, 6652, 23, 'Nulla è stato documentato');
INSERT INTO `lang_definitions` VALUES (121022, 6653, 23, 'Nessuno dei soprastanti');
INSERT INTO `lang_definitions` VALUES (121023, 6654, 23, 'Nessuna delle riga di distribuzione superiore può essere completamente vuota.');
INSERT INTO `lang_definitions` VALUES (121024, 6683, 23, 'Diabete non insulino dipendente');
INSERT INTO `lang_definitions` VALUES (121025, 6684, 23, 'Norm.');
INSERT INTO `lang_definitions` VALUES (121026, 6685, 23, 'Normale');
INSERT INTO `lang_definitions` VALUES (121027, 6687, 23, 'Normale BL');
INSERT INTO `lang_definitions` VALUES (121028, 6688, 23, 'Esame Cardico Normale:');
INSERT INTO `lang_definitions` VALUES (121029, 6689, 23, 'Esame Cardico Normale:');
INSERT INTO `lang_definitions` VALUES (121030, 6690, 23, 'Esame polmonare normale:');
INSERT INTO `lang_definitions` VALUES (121031, 6691, 23, 'Esame polmonare normale:');
INSERT INTO `lang_definitions` VALUES (121032, 6692, 23, 'Visita in studio normale');
INSERT INTO `lang_definitions` VALUES (121033, 6693, 23, 'Orofaringe normale:');
INSERT INTO `lang_definitions` VALUES (121034, 6694, 23, 'Destro normale');
INSERT INTO `lang_definitions` VALUES (121035, 6695, 23, 'Destro normale:');
INSERT INTO `lang_definitions` VALUES (121036, 6696, 23, 'visualizzazione normale');
INSERT INTO `lang_definitions` VALUES (121037, 6697, 23, 'normale:');
INSERT INTO `lang_definitions` VALUES (121038, 6698, 23, 'Normalmente questo dovrebbe essere controllato. Non legato al controllo degli accessi.');
INSERT INTO `lang_definitions` VALUES (121039, 6699, 23, 'North Ndebele');
INSERT INTO `lang_definitions` VALUES (121040, 6700, 23, 'Northern Sami');
INSERT INTO `lang_definitions` VALUES (121041, 6701, 23, 'Norvegese');
INSERT INTO `lang_definitions` VALUES (121042, 6703, 23, 'Norwegian Bokmål');
INSERT INTO `lang_definitions` VALUES (121043, 6704, 23, 'Norwegian Nynorsk');
INSERT INTO `lang_definitions` VALUES (121044, 6705, 23, 'Naso');
INSERT INTO `lang_definitions` VALUES (121045, 6706, 23, 'Epistassi');
INSERT INTO `lang_definitions` VALUES (121046, 6707, 23, 'non una lettera o numero');
INSERT INTO `lang_definitions` VALUES (121047, 6710, 23, 'Non tutti i campi sono richesti per ogni codice o tipo di codice.');
INSERT INTO `lang_definitions` VALUES (121048, 6712, 23, 'Non Consentito');
INSERT INTO `lang_definitions` VALUES (121049, 6713, 23, 'Non è consentito eliminare il gruppo Amministratori');
INSERT INTO `lang_definitions` VALUES (121050, 6714, 23, 'Non Consentito Modificare');
INSERT INTO `lang_definitions` VALUES (121051, 6715, 23, 'Non è permesso disattivare tutti gli oggetti di protezione');
INSERT INTO `lang_definitions` VALUES (121052, 6716, 23, 'Non è consentito disattivare qualsiasi cosa, da ACL amministratori');
INSERT INTO `lang_definitions` VALUES (121053, 6717, 23, 'Non è consentito rimuovere l\'utente amministratore dal gruppo Administrators');
INSERT INTO `lang_definitions` VALUES (121054, 6718, 23, 'Non è consentito rimuovere questo utente dal gruppo Administrators');
INSERT INTO `lang_definitions` VALUES (121055, 6719, 23, 'Non applicabile');
INSERT INTO `lang_definitions` VALUES (121056, 6720, 23, 'Non autorizzato ad accedere al modulo PostCalendar');
INSERT INTO `lang_definitions` VALUES (121057, 6721, 23, 'Non Autorizzato');
INSERT INTO `lang_definitions` VALUES (121058, 6722, 23, 'Non autorizzato');
INSERT INTO `lang_definitions` VALUES (121059, 6723, 23, 'Non autorizzato per questa squadra!');
INSERT INTO `lang_definitions` VALUES (121060, 6724, 23, 'Non autorizzato per questa squadra.');
INSERT INTO `lang_definitions` VALUES (121061, 6725, 23, 'Non autorizzato a gestire gli utenti!');
INSERT INTO `lang_definitions` VALUES (121062, 6726, 23, 'Non autorizzato a firmare i risultati');
INSERT INTO `lang_definitions` VALUES (121063, 6729, 23, 'Non Disponibile');
INSERT INTO `lang_definitions` VALUES (121064, 6731, 23, 'Non fatturato');
INSERT INTO `lang_definitions` VALUES (121065, 6732, 23, 'Non controllato');
INSERT INTO `lang_definitions` VALUES (121066, 6733, 23, 'Non controllato');
INSERT INTO `lang_definitions` VALUES (121067, 6734, 23, 'Non codificato');
INSERT INTO `lang_definitions` VALUES (121068, 6736, 23, 'Non dovuto');
INSERT INTO `lang_definitions` VALUES (121069, 6738, 23, 'Non Esaminato');
INSERT INTO `lang_definitions` VALUES (121070, 6739, 23, 'Non Esaminato:');
INSERT INTO `lang_definitions` VALUES (121071, 6740, 23, 'Non Esaminato:');
INSERT INTO `lang_definitions` VALUES (121072, 6742, 23, 'non trovato');
INSERT INTO `lang_definitions` VALUES (121073, 6744, 23, 'non trovato!');
INSERT INTO `lang_definitions` VALUES (121074, 6745, 23, 'Non ispanico o latino');
INSERT INTO `lang_definitions` VALUES (121075, 6746, 23, 'Non installato');
INSERT INTO `lang_definitions` VALUES (121076, 6747, 23, 'Non Installato');
INSERT INTO `lang_definitions` VALUES (121077, 6751, 23, 'Non visto dal');
INSERT INTO `lang_definitions` VALUES (121078, 6752, 23, 'Non inviato');
INSERT INTO `lang_definitions` VALUES (121079, 6753, 23, 'Non ancora inviato');
INSERT INTO `lang_definitions` VALUES (121080, 6754, 23, 'Non Specificato');
INSERT INTO `lang_definitions` VALUES (121081, 6755, 23, 'Non Specificato.');
INSERT INTO `lang_definitions` VALUES (121082, 6758, 23, 'Nota');
INSERT INTO `lang_definitions` VALUES (121083, 6760, 23, 'Codici nota');
INSERT INTO `lang_definitions` VALUES (121084, 6762, 23, 'Nota che dopo aver cliccato Installa saranno necessari 5-10 minuti per completare il processo');
INSERT INTO `lang_definitions` VALUES (121085, 6763, 23, 'Nota che dopo aver cliccato Aggiorna saranno necessari 5-10 minuti per completare il processo');
INSERT INTO `lang_definitions` VALUES (121086, 6764, 23, 'Si noti che la registrazione di controllo deve essere attivato al di sopra');
INSERT INTO `lang_definitions` VALUES (121087, 6771, 23, 'Tipo di Nota');
INSERT INTO `lang_definitions` VALUES (121088, 6772, 23, 'Nota: ore 12.00 è PM, non AM');
INSERT INTO `lang_definitions` VALUES (121089, 6773, 23, 'NOTA: Importazione di dati esterni può richiedere più di un\'ora a seconda della configurazione hardware. Per esempio, una delle tabelle di dati contengono i RxNorm superiore a 6 milioni di righe.');
INSERT INTO `lang_definitions` VALUES (121090, 6774, 23, 'NOTA: Solo la Release Biennale Internazionale rilasciata di SNOMED è attualmente supportata');
INSERT INTO `lang_definitions` VALUES (121091, 6776, 23, 'NOTA: Solo la versione completa RxNorm mensile è attualmente supportata');
INSERT INTO `lang_definitions` VALUES (121092, 6780, 23, 'Nota: Questo codice non è stato inserito da un utente autorizzato. Solo i codici autorizzati possono essere caricati sull\'Open Medical Billing Network per essere processati. Se desideri caricare questi codici, seleziona un utente autorizzato qui.');
INSERT INTO `lang_definitions` VALUES (121093, 6783, 23, 'NOTA: Il caricamento di file con nomi duplicati provoca la ridenominzione automatica (per esempio file.jpg diventerà file.1.jpg). I nomi dei file sono considerati unici per paziente, non per categoria.');
INSERT INTO `lang_definitions` VALUES (121094, 6784, 23, 'NOTA: il caricamento di file con nomi duplicati provoca la ridenominzione automatica. Per esempio \'<i>file.jpg</i>\' diventerà \'<i>file.1.jpg</i>\'. I nomi dei file sono considerati unici per paziente, non per categoria.');
INSERT INTO `lang_definitions` VALUES (121095, 6785, 23, 'Note');
INSERT INTO `lang_definitions` VALUES (121096, 6788, 23, 'Note - qualsiasi incontro (scrittura,aggiungi opzionale)');
INSERT INTO `lang_definitions` VALUES (121097, 6790, 23, 'Note - i miei incontri (scrittura,aggiungi opzionale)');
INSERT INTO `lang_definitions` VALUES (121098, 6793, 23, 'Note non autorizzate');
INSERT INTO `lang_definitions` VALUES (121099, 6795, 23, 'Niente in sospeso da approvare');
INSERT INTO `lang_definitions` VALUES (121100, 6796, 23, 'Nessuna Registrazione');
INSERT INTO `lang_definitions` VALUES (121101, 6799, 23, 'Niente da importare per le Allergie');
INSERT INTO `lang_definitions` VALUES (121102, 6800, 23, 'Niente da importare per le Prescrizioni');
INSERT INTO `lang_definitions` VALUES (121103, 6803, 23, 'Ancora niente da mostrare');
INSERT INTO `lang_definitions` VALUES (121104, 6804, 23, 'Non è stato selezionato nulla');
INSERT INTO `lang_definitions` VALUES (121105, 6807, 23, 'Notizia ricevuta');
INSERT INTO `lang_definitions` VALUES (121106, 6808, 23, 'AVVISO:: PostCalendar Inserimento/Modifica');
INSERT INTO `lang_definitions` VALUES (121107, 6809, 23, 'Notifica');
INSERT INTO `lang_definitions` VALUES (121108, 6810, 23, 'Indirizzo email per notifiche');
INSERT INTO `lang_definitions` VALUES (121109, 6815, 23, 'Notifiche');
INSERT INTO `lang_definitions` VALUES (121110, 6816, 23, 'Notificare l\'amministratore circa l\'Inserimento/Modifica evento?');
INSERT INTO `lang_definitions` VALUES (121111, 6820, 23, 'Nov');
INSERT INTO `lang_definitions` VALUES (121112, 6821, 23, 'Novembre');
INSERT INTO `lang_definitions` VALUES (121113, 6824, 23, 'Sto inviando per:');
INSERT INTO `lang_definitions` VALUES (121114, 6825, 23, 'Sto stampando');
INSERT INTO `lang_definitions` VALUES (121115, 6826, 23, 'Ora stampo $stm_count dichiarazioni e aggiornamenti incontri.');
INSERT INTO `lang_definitions` VALUES (121116, 6827, 23, 'Ora stampo $stm_count dichiarazioni e aggiornamenti fatture.');
INSERT INTO `lang_definitions` VALUES (121117, 6828, 23, 'Ora stampo $stm_count dichiarazioni; gli incontri non verranno aggiornati');
INSERT INTO `lang_definitions` VALUES (121118, 6829, 23, 'Ora stampo $stm_count dichiarazioni; le fatture non verranno aggiornate');
INSERT INTO `lang_definitions` VALUES (121119, 6834, 23, 'NPI');
INSERT INTO `lang_definitions` VALUES (121120, 6836, 23, 'NQF');
INSERT INTO `lang_definitions` VALUES (121121, 6837, 23, 'Numero');
INSERT INTO `lang_definitions` VALUES (121122, 6838, 23, 'Numero di laboratori');
INSERT INTO `lang_definitions` VALUES (121123, 6843, 23, 'Numero di colonne della vista per anno.');
INSERT INTO `lang_definitions` VALUES (121124, 6850, 23, 'Numero di giorni che il certificato client è valido.');
INSERT INTO `lang_definitions` VALUES (121125, 6852, 23, 'Numero di cifre dopo il punto decimale per la moneta, di solito 0 o 2.');
INSERT INTO `lang_definitions` VALUES (121126, 6853, 23, 'Numero di incontri da mostrare per pagina.');
INSERT INTO `lang_definitions` VALUES (121127, 6855, 23, 'Numero di partite o eventi mancante, se alcuno');
INSERT INTO `lang_definitions` VALUES (121128, 6856, 23, 'Numero di ore di anticipo per inviare notifiche email.');
INSERT INTO `lang_definitions` VALUES (121129, 6857, 23, 'Numero di ore di anticipo per inviare notifiche telefoniche.');
INSERT INTO `lang_definitions` VALUES (121130, 6858, 23, 'Numero di ore di anticipo per inviare notifiche SMS.');
INSERT INTO `lang_definitions` VALUES (121131, 6862, 23, 'Numero di colonne per la cronologia');
INSERT INTO `lang_definitions` VALUES (121132, 6863, 23, 'Numero di pazienti da visualizzare per pagina nella lista pazienti');
INSERT INTO `lang_definitions` VALUES (121133, 6864, 23, 'Torpore');
INSERT INTO `lang_definitions` VALUES (121134, 6865, 23, 'Numeratore');
INSERT INTO `lang_definitions` VALUES (121135, 6866, 23, 'Ordine di visualizzazione numerico');
INSERT INTO `lang_definitions` VALUES (121136, 6867, 23, 'Nuosu');
INSERT INTO `lang_definitions` VALUES (121137, 6869, 23, 'Nutrizione');
INSERT INTO `lang_definitions` VALUES (121138, 6870, 23, 'Nutritivo');
INSERT INTO `lang_definitions` VALUES (121139, 6871, 23, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (121140, 6872, 23, 'O2 Sat');
INSERT INTO `lang_definitions` VALUES (121141, 6874, 23, 'Obesità I');
INSERT INTO `lang_definitions` VALUES (121142, 6875, 23, 'Obesità II');
INSERT INTO `lang_definitions` VALUES (121143, 6876, 23, 'Obesità III');
INSERT INTO `lang_definitions` VALUES (121144, 6877, 23, 'Obiettivo');
INSERT INTO `lang_definitions` VALUES (121145, 6885, 23, 'Occitan');
INSERT INTO `lang_definitions` VALUES (121146, 6886, 23, 'Occupazione');
INSERT INTO `lang_definitions` VALUES (121147, 6889, 23, 'Evento');
INSERT INTO `lang_definitions` VALUES (121148, 6890, 23, 'Ott');
INSERT INTO `lang_definitions` VALUES (121149, 6891, 23, 'Ottobre');
INSERT INTO `lang_definitions` VALUES (121150, 6892, 23, 'OD');
INSERT INTO `lang_definitions` VALUES (121151, 6895, 23, 'di');
INSERT INTO `lang_definitions` VALUES (121152, 6896, 23, 'di quantità');
INSERT INTO `lang_definitions` VALUES (121153, 6897, 23, 'di compresse');
INSERT INTO `lang_definitions` VALUES (121154, 6898, 23, 'del mese ogni');
INSERT INTO `lang_definitions` VALUES (121155, 6899, 23, 'Note Ofc');
INSERT INTO `lang_definitions` VALUES (121156, 6900, 23, 'Spento');
INSERT INTO `lang_definitions` VALUES (121157, 6907, 23, 'Note in studio');
INSERT INTO `lang_definitions` VALUES (121158, 6908, 23, 'Visita in studio');
INSERT INTO `lang_definitions` VALUES (121159, 6909, 23, 'Grppi Misure (CQM) Misure della qualità clinica Ufficiale');
INSERT INTO `lang_definitions` VALUES (121160, 6910, 23, 'Link https del Portale Paziente offsite');
INSERT INTO `lang_definitions` VALUES (121161, 6911, 23, 'Link https del Portale Paziente offsite(Link paziente)');
INSERT INTO `lang_definitions` VALUES (121162, 6912, 23, 'Password del Portale Paziente offsite');
INSERT INTO `lang_definitions` VALUES (121163, 6913, 23, 'Password del Portale Paziente offsite (lascia in bianco se non registrato)');
INSERT INTO `lang_definitions` VALUES (121164, 6914, 23, 'ID del Portale Paziente offsite');
INSERT INTO `lang_definitions` VALUES (121165, 6915, 23, 'ID del Portale Paziente offsite (lascia in bianco se non registrato)');
INSERT INTO `lang_definitions` VALUES (121166, 6916, 23, 'Indirizzo del sito Portale Paziente offsite');
INSERT INTO `lang_definitions` VALUES (121167, 6917, 23, 'Indirizzo del sito Portale Paziente offsite(Link paziente)');
INSERT INTO `lang_definitions` VALUES (121168, 6918, 23, 'Nome utente del Portale Paziente');
INSERT INTO `lang_definitions` VALUES (121169, 6919, 23, 'Nome utente del Portale Paziente (lascia in bianco se non registrato)');
INSERT INTO `lang_definitions` VALUES (121170, 6920, 23, 'Offsite Portal web Service Failed');
INSERT INTO `lang_definitions` VALUES (121171, 6921, 23, 'Progenie');
INSERT INTO `lang_definitions` VALUES (121172, 6922, 23, 'Storia della progenie');
INSERT INTO `lang_definitions` VALUES (121173, 6925, 23, 'pomata');
INSERT INTO `lang_definitions` VALUES (121174, 6926, 23, 'Ojibwe, Ojibwa');
INSERT INTO `lang_definitions` VALUES (121175, 6927, 23, 'OK');
INSERT INTO `lang_definitions` VALUES (121176, 6929, 23, 'OK per chiudere queste altre finestre?');
INSERT INTO `lang_definitions` VALUES (121177, 6930, 23, 'OK per collegare il problema del GCAC');
INSERT INTO `lang_definitions` VALUES (121178, 6931, 23, 'Vecchio');
INSERT INTO `lang_definitions` VALUES (121179, 6932, 23, 'Old Church Slavonic, Church Slavonic, Old Bulgarian');
INSERT INTO `lang_definitions` VALUES (121180, 6933, 23, 'Vecchi Clienti');
INSERT INTO `lang_definitions` VALUES (121181, 6934, 23, 'Nessuna vecchia frattura/malconsolidamento');
INSERT INTO `lang_definitions` VALUES (121182, 6935, 23, 'Layout vecchia maniera senza menu a sinistra');
INSERT INTO `lang_definitions` VALUES (121183, 6936, 23, 'Modulo statico vecchia maniera senza ricerca o controllo duplicati');
INSERT INTO `lang_definitions` VALUES (121184, 6937, 23, 'Vecchio');
INSERT INTO `lang_definitions` VALUES (121185, 6940, 23, 'Ometti');
INSERT INTO `lang_definitions` VALUES (121186, 6941, 23, 'Ometti circonferenza');
INSERT INTO `lang_definitions` VALUES (121187, 6942, 23, 'Ometti informazione datore di lavoro nella demografica pazienti');
INSERT INTO `lang_definitions` VALUES (121188, 6943, 23, 'Ometti datori di lavoro');
INSERT INTO `lang_definitions` VALUES (121189, 6944, 23, 'Ometti il modulo, via e intervallo che diventano parte del dosaggio');
INSERT INTO `lang_definitions` VALUES (121190, 6945, 23, 'Ometti assicurazione e alcune altre cose dal modulo democrafica');
INSERT INTO `lang_definitions` VALUES (121191, 6946, 23, 'Omettere gli utenti interni?');
INSERT INTO `lang_definitions` VALUES (121192, 6947, 23, 'Ometti il metodo di pagamento dal pannello co-pagamento');
INSERT INTO `lang_definitions` VALUES (121193, 6948, 23, 'omettere di auto assegnare');
INSERT INTO `lang_definitions` VALUES (121194, 6949, 23, 'Acceso');
INSERT INTO `lang_definitions` VALUES (121195, 6950, 23, 'acceso');
INSERT INTO `lang_definitions` VALUES (121196, 6956, 23, 'Alla mano');
INSERT INTO `lang_definitions` VALUES (121197, 6959, 23, 'Su ordinazione');
INSERT INTO `lang_definitions` VALUES (121198, 6960, 23, 'Sul posto');
INSERT INTO `lang_definitions` VALUES (121199, 6975, 23, 'Una volta che lo strumento Attività principale è impostato, non dovrebbe essere modificato. Modifica della struttura influenzerà il funzionamento in NewCrop sulle ricette mediche elettroniche.');
INSERT INTO `lang_definitions` VALUES (121200, 6979, 23, 'Dopo aver cambiato la password dovrai effettuare nuovamente l\'ingresso.');
INSERT INTO `lang_definitions` VALUES (121201, 6996, 23, 'Supporto online');
INSERT INTO `lang_definitions` VALUES (121202, 6997, 23, 'Collegamento al supporto online');
INSERT INTO `lang_definitions` VALUES (121203, 6999, 23, 'Solo Attivi');
INSERT INTO `lang_definitions` VALUES (121204, 7000, 23, 'Applicabile solo se il provider o lista fascicolata è stato scelto sopra. PRIMARIA seleziona solo i pazienti che il provider è il fornitore primario. INCONTRO seleziona tutti i pazienti che il provider ha visto.');
INSERT INTO `lang_definitions` VALUES (121205, 7004, 23, 'solo se luogo di fatturazione');
INSERT INTO `lang_definitions` VALUES (121206, 7006, 23, 'Solo Inattivi');
INSERT INTO `lang_definitions` VALUES (121207, 7007, 23, 'Solo i propri');
INSERT INTO `lang_definitions` VALUES (121208, 7011, 23, 'Visualizza solo i codici di segnalazione di diagnosi');
INSERT INTO `lang_definitions` VALUES (121209, 7012, 23, 'Visualizza solo codice servizio di Reporting Finanza codicificati');
INSERT INTO `lang_definitions` VALUES (121210, 7013, 23, 'Caricare solo prescrizioni attive');
INSERT INTO `lang_definitions` VALUES (121211, 7016, 23, 'Insorgenza di sintomi attuali o Malattia');
INSERT INTO `lang_definitions` VALUES (121212, 7017, 23, 'Insorgenza della malattia:');
INSERT INTO `lang_definitions` VALUES (121213, 7018, 23, 'Insorgenza della malattia:');
INSERT INTO `lang_definitions` VALUES (121214, 7019, 23, 'Insorgenza di Gonfiore:');
INSERT INTO `lang_definitions` VALUES (121215, 7022, 23, 'Data arrivo in ospedale:');
INSERT INTO `lang_definitions` VALUES (121216, 7026, 23, 'Indirizzo del sito del Portale Paziente onsite');
INSERT INTO `lang_definitions` VALUES (121217, 7030, 23, 'Oops!');
INSERT INTO `lang_definitions` VALUES (121218, 7031, 23, 'Aperto');
INSERT INTO `lang_definitions` VALUES (121219, 7040, 23, 'Apri in una nuova finestra');
INSERT INTO `lang_definitions` VALUES (121220, 7042, 23, 'Apri paziente');
INSERT INTO `lang_definitions` VALUES (121221, 7046, 23, 'Apri la visita di oggi');
INSERT INTO `lang_definitions` VALUES (121222, 7071, 23, 'OpenEMR ha già configurato il Certificate Authority.');
INSERT INTO `lang_definitions` VALUES (121223, 7074, 23, 'OpenEMR Categoria Applicazione');
INSERT INTO `lang_definitions` VALUES (121224, 7076, 23, 'Aggiornamento Database di OpenEMR');
INSERT INTO `lang_definitions` VALUES (121225, 7077, 23, 'Aggiornamento Database di OpenEMR per la de-identificazione');
INSERT INTO `lang_definitions` VALUES (121226, 7078, 23, 'OpenEMR non riconosce il file in ingresso nella directory contrib. Questo è più probabile perché è necessario configurare la release nella tabella supported_external_dataloads nel database MySQL.');
INSERT INTO `lang_definitions` VALUES (121227, 7080, 23, 'OpenEMR deve essere configurato per usare i certificati prima che si possano creare i certificati client.');
INSERT INTO `lang_definitions` VALUES (121228, 7084, 23, 'OpenEMR richiede Javascript per attuare l\'autenticazione dell\'utente.');
INSERT INTO `lang_definitions` VALUES (121229, 7085, 23, 'Utenti OpenEMR');
INSERT INTO `lang_definitions` VALUES (121230, 7086, 23, 'Aperture');
INSERT INTO `lang_definitions` VALUES (121231, 7092, 23, 'Oftalmico');
INSERT INTO `lang_definitions` VALUES (121232, 7095, 23, 'Opzione');
INSERT INTO `lang_definitions` VALUES (121233, 7097, 23, 'Opzione per salvare metodo di archiviazione dei documenti.');
INSERT INTO `lang_definitions` VALUES (121234, 7098, 23, 'Opzioni di supporto alla giacenza e vendita di prodotti');
INSERT INTO `lang_definitions` VALUES (121235, 7099, 23, 'Opzionale');
INSERT INTO `lang_definitions` VALUES (121236, 7100, 23, 'Nome di categoria facoltativo per una immagine della ID Card visibile dalla pagina riassunto paziente.');
INSERT INTO `lang_definitions` VALUES (121237, 7101, 23, 'Nome di categoria facoltativo per le foto visibili dalla pagina riassunto paziente.');
INSERT INTO `lang_definitions` VALUES (121238, 7102, 23, 'Nome di categoria facoltativo di un documento collegato dalla pagina riassunto paziente. Consente di vedere le loro ID Card cliccando sul nome del paziente');
INSERT INTO `lang_definitions` VALUES (121239, 7103, 23, 'Intervallo facoltativo di default per immissione manuale dei risultati');
INSERT INTO `lang_definitions` VALUES (121240, 7104, 23, 'Unità facoltativa di default per immissione manuale dei risultati');
INSERT INTO `lang_definitions` VALUES (121241, 7105, 23, 'Nome destinazione opzionale');
INSERT INTO `lang_definitions` VALUES (121242, 7107, 23, 'Nome farmaco opzionale, usare % come carattere jolly');
INSERT INTO `lang_definitions` VALUES (121243, 7110, 23, 'Nome o codice immunizzazione opzionale, usare % come jolly');
INSERT INTO `lang_definitions` VALUES (121244, 7111, 23, 'Informazioni opzionali circa questo evento');
INSERT INTO `lang_definitions` VALUES (121245, 7112, 23, 'Numero lotto opzionale, usare % come carattere jolly');
INSERT INTO `lang_definitions` VALUES (121246, 7113, 23, 'ID numerico paziente, opzionale');
INSERT INTO `lang_definitions` VALUES (121247, 7114, 23, 'Codice procedura opzionale');
INSERT INTO `lang_definitions` VALUES (121248, 7115, 23, 'Procedura opzionale/codice servizio');
INSERT INTO `lang_definitions` VALUES (121249, 7116, 23, 'Opzioni');
INSERT INTO `lang_definitions` VALUES (121250, 7117, 23, 'O');
INSERT INTO `lang_definitions` VALUES (121251, 7118, 23, 'O');
INSERT INTO `lang_definitions` VALUES (121252, 7119, 23, 'o scegli');
INSERT INTO `lang_definitions` VALUES (121253, 7120, 23, 'o clicca e trascina per una selezione più veloce.');
INSERT INTO `lang_definitions` VALUES (121254, 7122, 23, 'o fuori per');
INSERT INTO `lang_definitions` VALUES (121255, 7123, 23, 'oppure seleziona dall\'inventario');
INSERT INTO `lang_definitions` VALUES (121256, 7124, 23, 'o Maiuscolo-click per diminuire');
INSERT INTO `lang_definitions` VALUES (121257, 7125, 23, 'O carica il file ERA:');
INSERT INTO `lang_definitions` VALUES (121258, 7127, 23, 'Orale');
INSERT INTO `lang_definitions` VALUES (121259, 7128, 23, 'Mucosa orale rosa, gola chiara');
INSERT INTO `lang_definitions` VALUES (121260, 7129, 23, 'Ordine');
INSERT INTO `lang_definitions` VALUES (121261, 7131, 23, 'Tipi di ordine e risultati');
INSERT INTO `lang_definitions` VALUES (121262, 7132, 23, 'Catalogo ordine');
INSERT INTO `lang_definitions` VALUES (121263, 7133, 23, 'Data dell\'Ordine');
INSERT INTO `lang_definitions` VALUES (121264, 7134, 23, 'Descrizione ordine');
INSERT INTO `lang_definitions` VALUES (121265, 7136, 23, 'Modulo Ordine');
INSERT INTO `lang_definitions` VALUES (121266, 7137, 23, 'ID Ordine');
INSERT INTO `lang_definitions` VALUES (121267, 7138, 23, 'Ordine deve essere un numero tra 1 e 999');
INSERT INTO `lang_definitions` VALUES (121268, 7140, 23, 'Nome dell\'Ordine');
INSERT INTO `lang_definitions` VALUES (121269, 7142, 23, 'Priorità dell\'Ordine');
INSERT INTO `lang_definitions` VALUES (121270, 7143, 23, 'Processore ordine');
INSERT INTO `lang_definitions` VALUES (121271, 7145, 23, 'Risultati ordine');
INSERT INTO `lang_definitions` VALUES (121272, 7146, 23, 'Stato Ordine');
INSERT INTO `lang_definitions` VALUES (121273, 7147, 23, 'Stati Ordine');
INSERT INTO `lang_definitions` VALUES (121274, 7148, 23, 'Sommario Ordine');
INSERT INTO `lang_definitions` VALUES (121275, 7149, 23, 'Tracce ordine');
INSERT INTO `lang_definitions` VALUES (121276, 7150, 23, 'Tipo di Ordine');
INSERT INTO `lang_definitions` VALUES (121277, 7152, 23, 'Tipo di Ordine/Risultato');
INSERT INTO `lang_definitions` VALUES (121278, 7153, 23, 'Ordinato');
INSERT INTO `lang_definitions` VALUES (121279, 7154, 23, 'Ordinato da');
INSERT INTO `lang_definitions` VALUES (121280, 7155, 23, 'Procedura Ordine');
INSERT INTO `lang_definitions` VALUES (121281, 7159, 23, 'Fornitore ordinazione');
INSERT INTO `lang_definitions` VALUES (121282, 7163, 23, 'Percorso Ordine');
INSERT INTO `lang_definitions` VALUES (121283, 7166, 23, 'Lesione all\'organo');
INSERT INTO `lang_definitions` VALUES (121284, 7167, 23, 'Organizzazione');
INSERT INTO `lang_definitions` VALUES (121285, 7168, 23, 'Nome Organizzazione');
INSERT INTO `lang_definitions` VALUES (121286, 7169, 23, 'Nome dell\'unità organizzativa');
INSERT INTO `lang_definitions` VALUES (121287, 7170, 23, 'Organizzazioni');
INSERT INTO `lang_definitions` VALUES (121288, 7171, 23, 'Orientato x 3');
INSERT INTO `lang_definitions` VALUES (121289, 7175, 23, 'Originale');
INSERT INTO `lang_definitions` VALUES (121290, 7176, 23, 'Checksum originale');
INSERT INTO `lang_definitions` VALUES (121291, 7179, 23, 'Oriya');
INSERT INTO `lang_definitions` VALUES (121292, 7180, 23, 'Oromo');
INSERT INTO `lang_definitions` VALUES (121293, 7181, 23, 'OROFARINGE:');
INSERT INTO `lang_definitions` VALUES (121294, 7184, 23, 'Ortopnea');
INSERT INTO `lang_definitions` VALUES (121295, 7188, 23, 'OS');
INSERT INTO `lang_definitions` VALUES (121296, 7189, 23, 'Osteoartrite');
INSERT INTO `lang_definitions` VALUES (121297, 7190, 23, 'Ossetian, Ossetic');
INSERT INTO `lang_definitions` VALUES (121298, 7191, 23, 'Osteopatia');
INSERT INTO `lang_definitions` VALUES (121299, 7193, 23, 'Altro');
INSERT INTO `lang_definitions` VALUES (121300, 7194, 23, 'altro');
INSERT INTO `lang_definitions` VALUES (121301, 7196, 23, 'Altro (specificare)');
INSERT INTO `lang_definitions` VALUES (121302, 7198, 23, 'Altro - Specificato');
INSERT INTO `lang_definitions` VALUES (121303, 7201, 23, 'Altro programma federale');
INSERT INTO `lang_definitions` VALUES (121304, 7202, 23, 'Altro HCFA');
INSERT INTO `lang_definitions` VALUES (121305, 7203, 23, 'Altra lesione non altrimenti specificata');
INSERT INTO `lang_definitions` VALUES (121306, 7204, 23, 'Altra responsabilità civile è primaria');
INSERT INTO `lang_definitions` VALUES (121307, 7206, 23, 'altro mese');
INSERT INTO `lang_definitions` VALUES (121308, 7207, 23, 'Altro programma non federale');
INSERT INTO `lang_definitions` VALUES (121309, 7208, 23, 'Altre Note');
INSERT INTO `lang_definitions` VALUES (121310, 7209, 23, 'Altri Sintomi Pertinenti');
INSERT INTO `lang_definitions` VALUES (121311, 7210, 23, 'Altri Sintomi Pertinenti:');
INSERT INTO `lang_definitions` VALUES (121312, 7213, 23, 'Altre risp pz');
INSERT INTO `lang_definitions` VALUES (121313, 7215, 23, 'Altro stress/sopra le lesioni');
INSERT INTO `lang_definitions` VALUES (121314, 7216, 23, 'Altro intervento');
INSERT INTO `lang_definitions` VALUES (121315, 7217, 23, 'Altro/Aborto correlato generico');
INSERT INTO `lang_definitions` VALUES (121316, 7219, 23, 'Altri');
INSERT INTO `lang_definitions` VALUES (121317, 7221, 23, 'altrimenti distruggerai i riferimenti a/da altri dati esistenti');
INSERT INTO `lang_definitions` VALUES (121318, 7224, 23, 'Regole caviglie di Ottawa');
INSERT INTO `lang_definitions` VALUES (121319, 7225, 23, 'OU');
INSERT INTO `lang_definitions` VALUES (121320, 7227, 23, 'FUORI ufficio');
INSERT INTO `lang_definitions` VALUES (121321, 7228, 23, 'Fuori ufficio');
INSERT INTO `lang_definitions` VALUES (121322, 7230, 23, 'Competenza in uscita');
INSERT INTO `lang_definitions` VALUES (121323, 7231, 23, 'Esito');
INSERT INTO `lang_definitions` VALUES (121324, 7234, 23, 'Outlook');
INSERT INTO `lang_definitions` VALUES (121325, 7236, 23, 'Tipo di uscita');
INSERT INTO `lang_definitions` VALUES (121326, 7239, 23, 'Stato generale di dimissione');
INSERT INTO `lang_definitions` VALUES (121327, 7240, 23, 'IN RITARDO');
INSERT INTO `lang_definitions` VALUES (121328, 7244, 23, 'Abuso');
INSERT INTO `lang_definitions` VALUES (121329, 7245, 23, 'Panoramica');
INSERT INTO `lang_definitions` VALUES (121330, 7246, 23, 'Sovrappeso');
INSERT INTO `lang_definitions` VALUES (121331, 7247, 23, 'Sovrascrivi scelta HIPAA');
INSERT INTO `lang_definitions` VALUES (121332, 7249, 23, 'Saturazione Ossigeno');
INSERT INTO `lang_definitions` VALUES (121333, 7250, 23, 'oz');
INSERT INTO `lang_definitions` VALUES (121334, 7251, 23, 'P');
INSERT INTO `lang_definitions` VALUES (121335, 7252, 23, 'p.c.');
INSERT INTO `lang_definitions` VALUES (121336, 7253, 23, 'p.m.');
INSERT INTO `lang_definitions` VALUES (121337, 7254, 23, 'p.r.n.');
INSERT INTO `lang_definitions` VALUES (121338, 7258, 23, 'Delle Isole del Pacifico');
INSERT INTO `lang_definitions` VALUES (121339, 7259, 23, 'Pediatrico');
INSERT INTO `lang_definitions` VALUES (121340, 7260, 23, 'Pagina');
INSERT INTO `lang_definitions` VALUES (121341, 7263, 23, 'Pagine');
INSERT INTO `lang_definitions` VALUES (121342, 7264, 23, 'Pagato');
INSERT INTO `lang_definitions` VALUES (121343, 7265, 23, 'Importo pagato che allocherai');
INSERT INTO `lang_definitions` VALUES (121344, 7266, 23, 'Ammontare pagato');
INSERT INTO `lang_definitions` VALUES (121345, 7267, 23, 'Pagato Via');
INSERT INTO `lang_definitions` VALUES (121346, 7268, 23, 'Dolore');
INSERT INTO `lang_definitions` VALUES (121347, 7271, 23, 'Palpitazione');
INSERT INTO `lang_definitions` VALUES (121348, 7274, 23, 'Panjabi, Punjabi');
INSERT INTO `lang_definitions` VALUES (121349, 7275, 23, 'Pap-Test');
INSERT INTO `lang_definitions` VALUES (121350, 7276, 23, 'Carta');
INSERT INTO `lang_definitions` VALUES (121351, 7277, 23, 'Dimesione carta');
INSERT INTO `lang_definitions` VALUES (121352, 7278, 23, 'Paralisi');
INSERT INTO `lang_definitions` VALUES (121353, 7279, 23, 'Genitore');
INSERT INTO `lang_definitions` VALUES (121354, 7284, 23, 'Analizzare HL7');
INSERT INTO `lang_definitions` VALUES (121355, 7289, 23, 'Partner');
INSERT INTO `lang_definitions` VALUES (121356, 7290, 23, 'Nome del partner');
INSERT INTO `lang_definitions` VALUES (121357, 7293, 23, 'Pashto, Pushto');
INSERT INTO `lang_definitions` VALUES (121358, 7294, 23, 'Frase chiave');
INSERT INTO `lang_definitions` VALUES (121359, 7295, 23, 'Frase chiave per decrittare il documento');
INSERT INTO `lang_definitions` VALUES (121360, 7296, 23, 'Pazienti pregressi');
INSERT INTO `lang_definitions` VALUES (121361, 7297, 23, 'Allarme passivo');
INSERT INTO `lang_definitions` VALUES (121362, 7299, 23, 'Regole di allarme passivo');
INSERT INTO `lang_definitions` VALUES (121363, 7301, 23, 'Password');
INSERT INTO `lang_definitions` VALUES (121364, 7302, 23, 'Modifica Password');
INSERT INTO `lang_definitions` VALUES (121365, 7303, 23, 'Password modificata con successo');
INSERT INTO `lang_definitions` VALUES (121366, 7304, 23, 'Password modificata con successo.');
INSERT INTO `lang_definitions` VALUES (121367, 7306, 23, 'La Password non soddisfa i requisiti minimi e deve contenere almeno tre dei quattro elementi seguenti: un numero, una lettera minuscola, una lettera maiuscola, un carattere speciale (non una lettera o un numero).');
INSERT INTO `lang_definitions` VALUES (121368, 7308, 23, 'Periodo di grazia dalla scadenza della password');
INSERT INTO `lang_definitions` VALUES (121369, 7310, 23, 'Password per Gateway Phone. Servizio Automatizzato VOIP fornito da Maviq. Si prega di visitare http://signup.maviq.com per ulteriori informazioni.');
INSERT INTO `lang_definitions` VALUES (121370, 7311, 23, 'Password per il Gateway SMS');
INSERT INTO `lang_definitions` VALUES (121371, 7312, 23, 'Password per il Gateway SMS.');
INSERT INTO `lang_definitions` VALUES (121372, 7313, 23, 'Password dell\'utente sopra');
INSERT INTO `lang_definitions` VALUES (121373, 7314, 23, 'La sicurezza delle password è stata recentemente aggiornata');
INSERT INTO `lang_definitions` VALUES (121374, 7315, 23, 'Password per connettersi al CouchDB');
INSERT INTO `lang_definitions` VALUES (121375, 7316, 23, 'Password troppo corta. Minimo 8 caratteri richiesti.');
INSERT INTO `lang_definitions` VALUES (121376, 7319, 23, 'Password:');
INSERT INTO `lang_definitions` VALUES (121377, 7322, 23, 'La Password non coincide!');
INSERT INTO `lang_definitions` VALUES (121378, 7324, 23, 'Appuntamenti scaduti');
INSERT INTO `lang_definitions` VALUES (121379, 7325, 23, 'Mostra Widget appuntamenti scaduti');
INSERT INTO `lang_definitions` VALUES (121380, 7329, 23, 'Scaduti');
INSERT INTO `lang_definitions` VALUES (121381, 7330, 23, 'Scaduti');
INSERT INTO `lang_definitions` VALUES (121382, 7331, 23, 'Intervallo scaduto(Promemoria clinici)');
INSERT INTO `lang_definitions` VALUES (121383, 7332, 23, 'Intervallo scaduto(Promemoria pazienti)');
INSERT INTO `lang_definitions` VALUES (121384, 7333, 23, 'Elenco incontri precedenti');
INSERT INTO `lang_definitions` VALUES (121385, 7334, 23, 'Incontri precedenti');
INSERT INTO `lang_definitions` VALUES (121386, 7335, 23, 'Incontri e Documenti precedenti');
INSERT INTO `lang_definitions` VALUES (121387, 7336, 23, 'Incontri precedenti per');
INSERT INTO `lang_definitions` VALUES (121388, 7344, 23, 'Incolla dati HL7');
INSERT INTO `lang_definitions` VALUES (121389, 7345, 23, 'Incolla i dati da importare nell\'area sottostante:');
INSERT INTO `lang_definitions` VALUES (121390, 7346, 23, 'Pat');
INSERT INTO `lang_definitions` VALUES (121391, 7348, 23, 'Patch');
INSERT INTO `lang_definitions` VALUES (121392, 7355, 23, 'Path for Event Log Backup');
INSERT INTO `lang_definitions` VALUES (121393, 7356, 23, 'Path to CA Certificate File');
INSERT INTO `lang_definitions` VALUES (121394, 7357, 23, 'Path to CA Key File');
INSERT INTO `lang_definitions` VALUES (121395, 7358, 23, 'Path to MySQL Binaries');
INSERT INTO `lang_definitions` VALUES (121396, 7359, 23, 'Path to Perl Binaries');
INSERT INTO `lang_definitions` VALUES (121397, 7360, 23, 'Path to Temporary Files');
INSERT INTO `lang_definitions` VALUES (121398, 7361, 23, 'Paziente');
INSERT INTO `lang_definitions` VALUES (121399, 7362, 23, 'PAZIENTE');
INSERT INTO `lang_definitions` VALUES (121400, 7363, 23, 'paziente');
INSERT INTO `lang_definitions` VALUES (121401, 7365, 23, 'Indirizzo Paziente');
INSERT INTO `lang_definitions` VALUES (121402, 7366, 23, 'L\'indirizzo del paziente è mancante');
INSERT INTO `lang_definitions` VALUES (121403, 7369, 23, 'Allergie del paziente');
INSERT INTO `lang_definitions` VALUES (121404, 7370, 23, 'Allergie del Paziente');
INSERT INTO `lang_definitions` VALUES (121405, 7373, 23, 'Appuntamento del Paziente');
INSERT INTO `lang_definitions` VALUES (121406, 7374, 23, 'Bilancio del paziente');
INSERT INTO `lang_definitions` VALUES (121407, 7375, 23, 'Paziente Saldo dovuto');
INSERT INTO `lang_definitions` VALUES (121408, 7379, 23, 'ID Tabulato Paziente');
INSERT INTO `lang_definitions` VALUES (121409, 7381, 23, 'Checkout paziente');
INSERT INTO `lang_definitions` VALUES (121410, 7382, 23, 'Checkout paziente');
INSERT INTO `lang_definitions` VALUES (121411, 7383, 23, 'Città del Paziente');
INSERT INTO `lang_definitions` VALUES (121412, 7384, 23, 'Manca la città del paziente');
INSERT INTO `lang_definitions` VALUES (121413, 7386, 23, 'Comunicazione al Paziente inviata');
INSERT INTO `lang_definitions` VALUES (121414, 7387, 23, 'Comunicazione al Paziente Inviata');
INSERT INTO `lang_definitions` VALUES (121415, 7388, 23, 'Nazione del Paziente');
INSERT INTO `lang_definitions` VALUES (121416, 7389, 23, 'Manca il Paese del paziente. Inoltre non è stato settato di default il Paese del paziente nei settaggi globali');
INSERT INTO `lang_definitions` VALUES (121417, 7390, 23, 'Copertura paziente');
INSERT INTO `lang_definitions` VALUES (121418, 7394, 23, 'Dati del Paziente');
INSERT INTO `lang_definitions` VALUES (121419, 7396, 23, 'Manca la data di nascita del paziente');
INSERT INTO `lang_definitions` VALUES (121420, 7401, 23, 'Dettagli del Paziente');
INSERT INTO `lang_definitions` VALUES (121421, 7402, 23, 'Nasc. Paziente');
INSERT INTO `lang_definitions` VALUES (121422, 7404, 23, 'Documento del Paziente');
INSERT INTO `lang_definitions` VALUES (121423, 7410, 23, 'Educazione del Paziente');
INSERT INTO `lang_definitions` VALUES (121424, 7411, 23, 'Materiali per l\'Educazione del Paziente');
INSERT INTO `lang_definitions` VALUES (121425, 7412, 23, 'Incontro Paziente');
INSERT INTO `lang_definitions` VALUES (121426, 7413, 23, 'Modulo incontro Paziente');
INSERT INTO `lang_definitions` VALUES (121427, 7414, 23, 'Incontri Paziente');
INSERT INTO `lang_definitions` VALUES (121428, 7415, 23, 'Trova Paziente');
INSERT INTO `lang_definitions` VALUES (121429, 7417, 23, 'Nome del Paziente');
INSERT INTO `lang_definitions` VALUES (121430, 7419, 23, 'Manca il nome del paziente');
INSERT INTO `lang_definitions` VALUES (121431, 7424, 23, 'Sesso del Paziente');
INSERT INTO `lang_definitions` VALUES (121432, 7425, 23, 'Manca il sesso del paziente');
INSERT INTO `lang_definitions` VALUES (121433, 7426, 23, 'Il Paziente non ha autorizzato il Portale paziente');
INSERT INTO `lang_definitions` VALUES (121434, 7428, 23, 'Storico del Paziente');
INSERT INTO `lang_definitions` VALUES (121435, 7429, 23, 'Storico / Stile di vita del Paziente');
INSERT INTO `lang_definitions` VALUES (121436, 7430, 23, 'Telefono Casa Paziente');
INSERT INTO `lang_definitions` VALUES (121437, 7431, 23, 'ID Paziente');
INSERT INTO `lang_definitions` VALUES (121438, 7432, 23, 'Id paziente');
INSERT INTO `lang_definitions` VALUES (121439, 7433, 23, 'ID carta Paziente');
INSERT INTO `lang_definitions` VALUES (121440, 7434, 23, 'ID nome categoria Paziente');
INSERT INTO `lang_definitions` VALUES (121441, 7437, 23, 'Immunizzazione Paziente');
INSERT INTO `lang_definitions` VALUES (121442, 7438, 23, 'Informazione del Paziente');
INSERT INTO `lang_definitions` VALUES (121443, 7440, 23, 'Instruzioni del Paziente');
INSERT INTO `lang_definitions` VALUES (121444, 7441, 23, 'Distribuzione assicurativa paziente');
INSERT INTO `lang_definitions` VALUES (121445, 7442, 23, 'Report distribuzione assicurativa del paziente');
INSERT INTO `lang_definitions` VALUES (121446, 7445, 23, 'Tematiche Paziente');
INSERT INTO `lang_definitions` VALUES (121447, 7446, 23, 'Tipo di etichetta per il paziente');
INSERT INTO `lang_definitions` VALUES (121448, 7447, 23, 'Cognome del Paziente');
INSERT INTO `lang_definitions` VALUES (121449, 7449, 23, 'Manca il cognome del paziente');
INSERT INTO `lang_definitions` VALUES (121450, 7454, 23, 'Elenco dei Pazienti');
INSERT INTO `lang_definitions` VALUES (121451, 7455, 23, 'Lista colonne paziente');
INSERT INTO `lang_definitions` VALUES (121452, 7457, 23, 'Lista nuova finestra paziente');
INSERT INTO `lang_definitions` VALUES (121453, 7458, 23, 'Lista dimensione pagina paziente');
INSERT INTO `lang_definitions` VALUES (121454, 7460, 23, 'Revisione errori Paziente');
INSERT INTO `lang_definitions` VALUES (121455, 7463, 23, 'Problemi Medici del Paziente');
INSERT INTO `lang_definitions` VALUES (121456, 7464, 23, 'Medicazioni del Paziente');
INSERT INTO `lang_definitions` VALUES (121457, 7470, 23, 'Nome del Paziente');
INSERT INTO `lang_definitions` VALUES (121458, 7472, 23, 'Nome e Indirizzo del Paziente');
INSERT INTO `lang_definitions` VALUES (121459, 7475, 23, 'Nome del Paziente Richiesto');
INSERT INTO `lang_definitions` VALUES (121460, 7477, 23, 'Nota del Paziente');
INSERT INTO `lang_definitions` VALUES (121461, 7478, 23, 'Tipi di Nota del Paziente');
INSERT INTO `lang_definitions` VALUES (121462, 7479, 23, 'Note del Paziente');
INSERT INTO `lang_definitions` VALUES (121463, 7480, 23, 'Note Paziente (scrittura,aggiungi opzionale)');
INSERT INTO `lang_definitions` VALUES (121464, 7482, 23, 'Numero del Paziente');
INSERT INTO `lang_definitions` VALUES (121465, 7483, 23, 'Pagamento del Paziente');
INSERT INTO `lang_definitions` VALUES (121466, 7485, 23, 'Nome categoria foto Paziente');
INSERT INTO `lang_definitions` VALUES (121467, 7487, 23, 'Portale del Paziente');
INSERT INTO `lang_definitions` VALUES (121468, 7490, 23, 'problema di connessione al portale del paziente');
INSERT INTO `lang_definitions` VALUES (121469, 7492, 23, 'Il Portale del Paziente è spento');
INSERT INTO `lang_definitions` VALUES (121470, 7493, 23, 'Login del Portale del Paziente');
INSERT INTO `lang_definitions` VALUES (121471, 7496, 23, 'Indirizzo web del Portale del Paziente');
INSERT INTO `lang_definitions` VALUES (121472, 7497, 23, 'Resoconto stampato del Paziente');
INSERT INTO `lang_definitions` VALUES (121473, 7499, 23, 'Resoconto stampato del Paziente');
INSERT INTO `lang_definitions` VALUES (121474, 7500, 23, 'Richiesta di record del Paziente');
INSERT INTO `lang_definitions` VALUES (121475, 7501, 23, 'Richiesta di record del Paziente');
INSERT INTO `lang_definitions` VALUES (121476, 7503, 23, 'Promemoria Paziente');
INSERT INTO `lang_definitions` VALUES (121477, 7505, 23, 'Batch job promemoria paziente');
INSERT INTO `lang_definitions` VALUES (121478, 7506, 23, 'Paziente Promemoria Creazione elaborazione prioritaria');
INSERT INTO `lang_definitions` VALUES (121479, 7507, 23, 'Regole per i Promemoria al Paziente');
INSERT INTO `lang_definitions` VALUES (121480, 7508, 23, 'Email mittente Promemoria al Paziente');
INSERT INTO `lang_definitions` VALUES (121481, 7509, 23, 'Nome mittente Promemoria al Paziente');
INSERT INTO `lang_definitions` VALUES (121482, 7510, 23, 'Promemoria al Paziente');
INSERT INTO `lang_definitions` VALUES (121483, 7514, 23, 'Resoconto Paziente');
INSERT INTO `lang_definitions` VALUES (121484, 7518, 23, 'Richiesta del Paziente');
INSERT INTO `lang_definitions` VALUES (121485, 7519, 23, 'Record Medici richiesti dal Paziente');
INSERT INTO `lang_definitions` VALUES (121486, 7521, 23, 'Risultati del Paziente');
INSERT INTO `lang_definitions` VALUES (121487, 7525, 23, 'Stile della ricerca del paziente');
INSERT INTO `lang_definitions` VALUES (121488, 7526, 23, 'Schermata Cerca/Aggiungi Paziente');
INSERT INTO `lang_definitions` VALUES (121489, 7528, 23, 'Specifiche del Paziente');
INSERT INTO `lang_definitions` VALUES (121490, 7533, 23, 'Stato del Paziente');
INSERT INTO `lang_definitions` VALUES (121491, 7539, 23, 'Sommario del Paziente');
INSERT INTO `lang_definitions` VALUES (121492, 7542, 23, 'Transazioni del Paziente');
INSERT INTO `lang_definitions` VALUES (121493, 7546, 23, 'CAP del Paziente');
INSERT INTO `lang_definitions` VALUES (121494, 7549, 23, 'pazienti nel database che corrispondono alla informazione demografica che hai fornito.');
INSERT INTO `lang_definitions` VALUES (121495, 7550, 23, 'Paziente/Cliente');
INSERT INTO `lang_definitions` VALUES (121496, 7551, 23, 'Paziente:');
INSERT INTO `lang_definitions` VALUES (121497, 7552, 23, 'IDPaziente');
INSERT INTO `lang_definitions` VALUES (121498, 7553, 23, 'Pazienti');
INSERT INTO `lang_definitions` VALUES (121499, 7555, 23, 'Pazienti elaborati');
INSERT INTO `lang_definitions` VALUES (121500, 7559, 23, 'Pagare');
INSERT INTO `lang_definitions` VALUES (121501, 7560, 23, 'Prestare attenzione alle caselle di controllo \"Fatto con\". Dopo che le assicurazioni sono state contrassegnate, cominceremo chiedendo al paziente di pagare la quota rimanente, se non si riesce a segnare tutte le assicurazioni, l\'importo residuo non sarà raccolto.Anche se vi è un equilibrio che il paziente deve pagare, è bene impostare la data di scadenza in modo appropriato, in quanto questo influenzerà la lingua che appare sulle dichiarazioni dei pazienti.');
INSERT INTO `lang_definitions` VALUES (121502, 7563, 23, 'Data pagamento');
INSERT INTO `lang_definitions` VALUES (121503, 7566, 23, 'Status pagamento');
INSERT INTO `lang_definitions` VALUES (121504, 7567, 23, 'Nome beneficiario');
INSERT INTO `lang_definitions` VALUES (121505, 7568, 23, 'Pagante');
INSERT INTO `lang_definitions` VALUES (121506, 7572, 23, 'Tipo del pagante');
INSERT INTO `lang_definitions` VALUES (121507, 7573, 23, 'Sta pagando');
INSERT INTO `lang_definitions` VALUES (121508, 7574, 23, 'Entità che paga');
INSERT INTO `lang_definitions` VALUES (121509, 7575, 23, 'Pagamento');
INSERT INTO `lang_definitions` VALUES (121510, 7576, 23, 'pagamento');
INSERT INTO `lang_definitions` VALUES (121511, 7577, 23, 'Codice rimodulazione pagamento');
INSERT INTO `lang_definitions` VALUES (121512, 7578, 23, 'pagamento contro');
INSERT INTO `lang_definitions` VALUES (121513, 7579, 23, 'Importo pagamento');
INSERT INTO `lang_definitions` VALUES (121514, 7580, 23, 'L\'importo del pagamento deve essere numerico');
INSERT INTO `lang_definitions` VALUES (121515, 7581, 23, 'Categoria Pagamento');
INSERT INTO `lang_definitions` VALUES (121516, 7583, 23, 'Data Pagamento');
INSERT INTO `lang_definitions` VALUES (121517, 7584, 23, 'pagamento registrato il');
INSERT INTO `lang_definitions` VALUES (121518, 7585, 23, 'Pagamento da');
INSERT INTO `lang_definitions` VALUES (121519, 7586, 23, 'Gateway di pagamento');
INSERT INTO `lang_definitions` VALUES (121520, 7588, 23, 'Pagamento da');
INSERT INTO `lang_definitions` VALUES (121521, 7589, 23, 'Elenco pagamenti');
INSERT INTO `lang_definitions` VALUES (121522, 7590, 23, 'Metodo Pagamento');
INSERT INTO `lang_definitions` VALUES (121523, 7592, 23, 'Pagamenti ordinati per');
INSERT INTO `lang_definitions` VALUES (121524, 7593, 23, 'Status Pagamenti');
INSERT INTO `lang_definitions` VALUES (121525, 7597, 23, 'Tipo Pagamento');
INSERT INTO `lang_definitions` VALUES (121526, 7600, 23, 'Valore pagamento per il codice');
INSERT INTO `lang_definitions` VALUES (121527, 7602, 23, 'Pagamenti');
INSERT INTO `lang_definitions` VALUES (121528, 7606, 23, 'PCP');
INSERT INTO `lang_definitions` VALUES (121529, 7607, 23, 'Pct (%) di righe');
INSERT INTO `lang_definitions` VALUES (121530, 7610, 23, 'PDF');
INSERT INTO `lang_definitions` VALUES (121531, 7614, 23, 'PDF Download Dichiarazioni selezionate');
INSERT INTO `lang_definitions` VALUES (121532, 7615, 23, 'Linguaggio PDF');
INSERT INTO `lang_definitions` VALUES (121533, 7620, 23, 'Bacino e Glutei');
INSERT INTO `lang_definitions` VALUES (121534, 7621, 23, 'Pemfigo');
INSERT INTO `lang_definitions` VALUES (121535, 7624, 23, 'Pendente');
INSERT INTO `lang_definitions` VALUES (121536, 7626, 23, 'Approvazioni in sospeso');
INSERT INTO `lang_definitions` VALUES (121537, 7629, 23, 'F/U pendente');
INSERT INTO `lang_definitions` VALUES (121538, 7630, 23, 'Followup pendente');
INSERT INTO `lang_definitions` VALUES (121539, 7631, 23, 'Risultati del followup pendenti');
INSERT INTO `lang_definitions` VALUES (121540, 7632, 23, 'Ordini pendenti');
INSERT INTO `lang_definitions` VALUES (121541, 7633, 23, 'Res pendente');
INSERT INTO `lang_definitions` VALUES (121542, 7634, 23, 'Revisione pendente');
INSERT INTO `lang_definitions` VALUES (121543, 7635, 23, 'In attesa di conteggio Rx');
INSERT INTO `lang_definitions` VALUES (121544, 7638, 23, 'Pennington Firm OpenEMR v');
INSERT INTO `lang_definitions` VALUES (121545, 7639, 23, 'Ulcera Peptica');
INSERT INTO `lang_definitions` VALUES (121546, 7640, 23, 'Per incontro');
INSERT INTO `lang_definitions` VALUES (121547, 7641, 23, 'al minuto');
INSERT INTO `lang_definitions` VALUES (121548, 7642, 23, 'Via Nasale');
INSERT INTO `lang_definitions` VALUES (121549, 7643, 23, 'via nasale');
INSERT INTO `lang_definitions` VALUES (121550, 7644, 23, 'Via Orale');
INSERT INTO `lang_definitions` VALUES (121551, 7645, 23, 'via orale');
INSERT INTO `lang_definitions` VALUES (121552, 7646, 23, 'Via rettale');
INSERT INTO `lang_definitions` VALUES (121553, 7647, 23, 'via rettale');
INSERT INTO `lang_definitions` VALUES (121554, 7648, 23, 'Per cento');
INSERT INTO `lang_definitions` VALUES (121555, 7652, 23, 'Percentile');
INSERT INTO `lang_definitions` VALUES (121556, 7653, 23, 'Perforazione destra:');
INSERT INTO `lang_definitions` VALUES (121557, 7654, 23, 'Attua la ricerca');
INSERT INTO `lang_definitions` VALUES (121558, 7655, 23, 'Attua questa azione');
INSERT INTO `lang_definitions` VALUES (121559, 7656, 23, 'Percentuale della performance');
INSERT INTO `lang_definitions` VALUES (121560, 7659, 23, 'Esecuzione di struttura di laboratorio');
INSERT INTO `lang_definitions` VALUES (121561, 7661, 23, 'Punto');
INSERT INTO `lang_definitions` VALUES (121562, 7662, 23, 'Periodo in giorni durante il quale un utente può effettuare l\'ingresso con una password scaduta.');
INSERT INTO `lang_definitions` VALUES (121563, 7663, 23, 'assistenza perioperatoria');
INSERT INTO `lang_definitions` VALUES (121564, 7665, 23, 'Periferico(a)');
INSERT INTO `lang_definitions` VALUES (121565, 7668, 23, 'Permetti salto password');
INSERT INTO `lang_definitions` VALUES (121566, 7669, 23, 'Persiano');
INSERT INTO `lang_definitions` VALUES (121567, 7670, 23, 'Persian (Farsi)');
INSERT INTO `lang_definitions` VALUES (121568, 7671, 23, 'Persona');
INSERT INTO `lang_definitions` VALUES (121569, 7672, 23, 'Personalizza');
INSERT INTO `lang_definitions` VALUES (121570, 7675, 23, 'PG');
INSERT INTO `lang_definitions` VALUES (121571, 7676, 23, 'Farm');
INSERT INTO `lang_definitions` VALUES (121572, 7677, 23, 'Pharm Com Count');
INSERT INTO `lang_definitions` VALUES (121573, 7678, 23, 'Farmacie');
INSERT INTO `lang_definitions` VALUES (121574, 7680, 23, 'Farmacia');
INSERT INTO `lang_definitions` VALUES (121575, 7681, 23, 'Dispensario della farmacia');
INSERT INTO `lang_definitions` VALUES (121576, 7688, 23, 'Pneumotorace');
INSERT INTO `lang_definitions` VALUES (121577, 7689, 23, 'phiMail Allow CCD Send');
INSERT INTO `lang_definitions` VALUES (121578, 7690, 23, 'phiMail Allow CCR Send');
INSERT INTO `lang_definitions` VALUES (121579, 7691, 23, 'phiMail controllo intervallo messaggi (minuti)');
INSERT INTO `lang_definitions` VALUES (121580, 7692, 23, 'phiMail notifica utente');
INSERT INTO `lang_definitions` VALUES (121581, 7693, 23, 'phiMail Password');
INSERT INTO `lang_definitions` VALUES (121582, 7694, 23, 'phiMail indirizzo del server');
INSERT INTO `lang_definitions` VALUES (121583, 7695, 23, 'phiMail nome utente');
INSERT INTO `lang_definitions` VALUES (121584, 7697, 23, 'Telefono');
INSERT INTO `lang_definitions` VALUES (121585, 7699, 23, 'Elenco choamate telefoniche');
INSERT INTO `lang_definitions` VALUES (121586, 7701, 23, 'Report lista chiamate telefoniche');
INSERT INTO `lang_definitions` VALUES (121587, 7703, 23, 'Cellulare');
INSERT INTO `lang_definitions` VALUES (121588, 7705, 23, 'Password per Gateway Telefonico');
INSERT INTO `lang_definitions` VALUES (121589, 7706, 23, 'URL del Gateway Telefonico');
INSERT INTO `lang_definitions` VALUES (121590, 7707, 23, 'Nome utente per il Gateway Telefonico');
INSERT INTO `lang_definitions` VALUES (121591, 7708, 23, 'Telefono abitazione');
INSERT INTO `lang_definitions` VALUES (121592, 7709, 23, 'Ore per la Notifica via Telefono');
INSERT INTO `lang_definitions` VALUES (121593, 7710, 23, 'Numero di telefono');
INSERT INTO `lang_definitions` VALUES (121594, 7711, 23, 'Numero di Telefono');
INSERT INTO `lang_definitions` VALUES (121595, 7715, 23, 'Fotofobia');
INSERT INTO `lang_definitions` VALUES (121596, 7716, 23, 'Foto');
INSERT INTO `lang_definitions` VALUES (121597, 7717, 23, 'PHP compresso');
INSERT INTO `lang_definitions` VALUES (121598, 7718, 23, 'Il modulo CURL PHP dovrebbe essere abilitato sul server.');
INSERT INTO `lang_definitions` VALUES (121599, 7720, 23, 'PHP estratto');
INSERT INTO `lang_definitions` VALUES (121600, 7721, 23, 'I controlli di accesso php-GACL sono disabilitati');
INSERT INTO `lang_definitions` VALUES (121601, 7722, 23, 'PHP-gacl non è installato');
INSERT INTO `lang_definitions` VALUES (121602, 7723, 23, 'Esame fisico');
INSERT INTO `lang_definitions` VALUES (121603, 7725, 23, 'Richiesta medica');
INSERT INTO `lang_definitions` VALUES (121604, 7726, 23, 'Firma del medico');
INSERT INTO `lang_definitions` VALUES (121605, 7729, 23, 'Medici');
INSERT INTO `lang_definitions` VALUES (121606, 7733, 23, 'scelta');
INSERT INTO `lang_definitions` VALUES (121607, 7734, 23, 'Scelta');
INSERT INTO `lang_definitions` VALUES (121608, 7735, 23, 'Scegli un tema CSS');
INSERT INTO `lang_definitions` VALUES (121609, 7738, 23, 'PID');
INSERT INTO `lang_definitions` VALUES (121610, 7740, 23, 'PID (malattia infiammatoria pelvica)');
INSERT INTO `lang_definitions` VALUES (121611, 7741, 23, 'Dimensione pillola');
INSERT INTO `lang_definitions` VALUES (121612, 7742, 23, 'Pillole');
INSERT INTO `lang_definitions` VALUES (121613, 7745, 23, 'Colloca il file zip del database nella seguente directory se si vuole  installare');
INSERT INTO `lang_definitions` VALUES (121614, 7746, 23, 'Colloca il file zip del database ICD10 nella seguente directory');
INSERT INTO `lang_definitions` VALUES (121615, 7747, 23, 'Colloca il file zip del database ICD9 nella seguente directory');
INSERT INTO `lang_definitions` VALUES (121616, 7748, 23, 'Colloca il file zip del database RxNormal nella seguente directory');
INSERT INTO `lang_definitions` VALUES (121617, 7749, 23, 'Colloca il file zip del database Snomed nella seguente directory');
INSERT INTO `lang_definitions` VALUES (121618, 7752, 23, 'Segnaposto');
INSERT INTO `lang_definitions` VALUES (121619, 7753, 23, 'Segnaposto (Mantiene in bianco le ACL)');
INSERT INTO `lang_definitions` VALUES (121620, 7756, 23, 'Solo testo');
INSERT INTO `lang_definitions` VALUES (121621, 7757, 23, 'Piano');
INSERT INTO `lang_definitions` VALUES (121622, 7762, 23, 'Nome del Piano');
INSERT INTO `lang_definitions` VALUES (121623, 7768, 23, 'Piano prestabilito');
INSERT INTO `lang_definitions` VALUES (121624, 7773, 23, 'Piano:');
INSERT INTO `lang_definitions` VALUES (121625, 7776, 23, 'Piani');
INSERT INTO `lang_definitions` VALUES (121626, 7778, 23, 'Giocatore');
INSERT INTO `lang_definitions` VALUES (121627, 7779, 23, 'Posizione di gioco');
INSERT INTO `lang_definitions` VALUES (121628, 7780, 23, 'Si pega di telefona se qualcuna delle informatìzioni soprastanti non è corretta');
INSERT INTO `lang_definitions` VALUES (121629, 7784, 23, 'Cambiare la Password.');
INSERT INTO `lang_definitions` VALUES (121630, 7785, 23, 'Scegli un file');
INSERT INTO `lang_definitions` VALUES (121631, 7786, 23, 'Scegli un paziente');
INSERT INTO `lang_definitions` VALUES (121632, 7787, 23, 'Scegli dall\'elenco una selezione valida.');
INSERT INTO `lang_definitions` VALUES (121633, 7788, 23, 'Scegli una selezione valida.');
INSERT INTO `lang_definitions` VALUES (121634, 7789, 23, 'Scegli un valore per');
INSERT INTO `lang_definitions` VALUES (121635, 7790, 23, 'Scegli sopra un intervallo di criteri, e clicca Refresh per vedere i risultati');
INSERT INTO `lang_definitions` VALUES (121636, 7791, 23, 'Scegli il file appropriato formattato EDI-271');
INSERT INTO `lang_definitions` VALUES (121637, 7792, 23, 'Clicca il pulsante Scarica per scaricare i data De-identificati');
INSERT INTO `lang_definitions` VALUES (121638, 7793, 23, 'Clicca il pulsante Scarica per scaricare i data Re-identificati');
INSERT INTO `lang_definitions` VALUES (121639, 7795, 23, 'Chiudi questa finestra.');
INSERT INTO `lang_definitions` VALUES (121640, 7796, 23, 'Confronta il nuvo nome');
INSERT INTO `lang_definitions` VALUES (121641, 7802, 23, 'Per favore correggi il valore(i) prima di procedere!');
INSERT INTO `lang_definitions` VALUES (121642, 7803, 23, 'Si prega di creare la seguente directory prima di procedere');
INSERT INTO `lang_definitions` VALUES (121643, 7805, 23, 'Non accettare questa prescrizione a meno che non sia stata ricevuta via facsimile');
INSERT INTO `lang_definitions` VALUES (121644, 7806, 23, 'Non accettare questa prescrizione a meno che non sia stata ricevuta via facsimile');
INSERT INTO `lang_definitions` VALUES (121645, 7807, 23, 'Non usare il pulsante di stop o ricarica del browser mentre sta funzoinando questa pagina a meno che non siano passati più di 10 minuti, così non causerai l\'arresto del processo sul server non consumerai risorse non necessarie.');
INSERT INTO `lang_definitions` VALUES (121646, 7808, 23, 'ATTIVARE ESTENSIONE CURL');
INSERT INTO `lang_definitions` VALUES (121647, 7809, 23, 'ATTIVARE ESTENSIONE OPENSSL');
INSERT INTO `lang_definitions` VALUES (121648, 7810, 23, 'ATTIVARE ESTENSIONE SOAP');
INSERT INTO `lang_definitions` VALUES (121649, 7811, 23, 'ATTIVARE ESTENSIONE XML');
INSERT INTO `lang_definitions` VALUES (121650, 7813, 23, 'Inserisci la data dell\'ultima revisione.');
INSERT INTO `lang_definitions` VALUES (121651, 7814, 23, 'Inserisci una data.');
INSERT INTO `lang_definitions` VALUES (121652, 7816, 23, 'Si prega di inserire una data di scadenza');
INSERT INTO `lang_definitions` VALUES (121653, 7818, 23, 'Inserire un messaggio');
INSERT INTO `lang_definitions` VALUES (121654, 7819, 23, 'Inserisci un importo monetario usando soltanto numeri e un punto decimale.');
INSERT INTO `lang_definitions` VALUES (121655, 7821, 23, 'Inserisci una Nuova Password');
INSERT INTO `lang_definitions` VALUES (121656, 7822, 23, 'Inserisci un titolo!');
INSERT INTO `lang_definitions` VALUES (121657, 7824, 23, 'Inserisci, sopra,  un valido indirizzo diretto.');
INSERT INTO `lang_definitions` VALUES (121658, 7825, 23, 'Si prega di inserire almeno il nome dell\'elemento');
INSERT INTO `lang_definitions` VALUES (121659, 7826, 23, 'Si prega di inserire almeno il nome della traccia');
INSERT INTO `lang_definitions` VALUES (121660, 7828, 23, 'Inserisci il corretto codice di Re-identificazione');
INSERT INTO `lang_definitions` VALUES (121661, 7829, 23, 'Inserire fine data maggiore di inizio data!');
INSERT INTO `lang_definitions` VALUES (121662, 7832, 23, 'Inserisci una nuova stringa di ricerca');
INSERT INTO `lang_definitions` VALUES (121663, 7833, 23, 'Inserisci il corretto codice di Re-identificazione');
INSERT INTO `lang_definitions` VALUES (121664, 7834, 23, 'Inserisci la password');
INSERT INTO `lang_definitions` VALUES (121665, 7843, 23, 'Compila il numero di assegno');
INSERT INTO `lang_definitions` VALUES (121666, 7844, 23, 'Si prega di compilare il Check/Ref Number');
INSERT INTO `lang_definitions` VALUES (121667, 7845, 23, 'Compila la data');
INSERT INTO `lang_definitions` VALUES (121668, 7846, 23, 'Compila l\'importo del pagamento');
INSERT INTO `lang_definitions` VALUES (121669, 7847, 23, 'Compila la categoria del pagamento');
INSERT INTO `lang_definitions` VALUES (121670, 7848, 23, 'Compila il pagamento Da');
INSERT INTO `lang_definitions` VALUES (121671, 7849, 23, 'Compila l\'Invia alla Data');
INSERT INTO `lang_definitions` VALUES (121672, 7850, 23, 'Compilali prima di continuare');
INSERT INTO `lang_definitions` VALUES (121673, 7854, 23, 'Indica il motivo della visita');
INSERT INTO `lang_definitions` VALUES (121674, 7855, 23, 'Inserisci, sopra, i criteri di ricerca, e clic su Invia per far partire il report.');
INSERT INTO `lang_definitions` VALUES (121675, 7856, 23, 'Inserisci i soprastanti criteri di ricerca, e clicca Invia per vedere i risultati.');
INSERT INTO `lang_definitions` VALUES (121676, 7857, 23, 'Inserisci i criteri di ricerca soprastanti, e clicca Invia per vedere i risulati. (I risultati saranno mostrati in una finestra di tipo pop up)');
INSERT INTO `lang_definitions` VALUES (121677, 7858, 23, 'Effettua nuovamente l\'ingresso.');
INSERT INTO `lang_definitions` VALUES (121678, 7859, 23, 'Si noti che questo può durare parecchio tempo, fino a diversi minuti, durante questo tempo il browser potrebbe sembrare non attivo ma generare una fattura è un processo complesso e il tuo browser è semplicemente in attesa di maggiori informazioni.');
INSERT INTO `lang_definitions` VALUES (121679, 7860, 23, 'Nota: usando lettere maiuscole e minuscole si identificano costanti diverse ed è consentita qualsiasi stringa.');
INSERT INTO `lang_definitions` VALUES (121680, 7861, 23, 'Usare soltanto caratteri alfabetici senza spazi');
INSERT INTO `lang_definitions` VALUES (121681, 7862, 23, 'Usa solo caratteri alfabetici senza spazi.');
INSERT INTO `lang_definitions` VALUES (121682, 7863, 23, 'Paga questo importo');
INSERT INTO `lang_definitions` VALUES (121683, 7864, 23, 'Si prega di inserire i file di installazione nella directory seguente');
INSERT INTO `lang_definitions` VALUES (121684, 7867, 23, 'Si prega di fare riferimento al');
INSERT INTO `lang_definitions` VALUES (121685, 7868, 23, 'Ridefinisci la password.');
INSERT INTO `lang_definitions` VALUES (121686, 7869, 23, 'Riavvia il server apache prima di iniziare la de-identificazione');
INSERT INTO `lang_definitions` VALUES (121687, 7874, 23, 'Per favore vedi il PDF allegato.');
INSERT INTO `lang_definitions` VALUES (121688, 7875, 23, 'Si prega selezionare');
INSERT INTO `lang_definitions` VALUES (121689, 7877, 23, 'Seleziona una lingua');
INSERT INTO `lang_definitions` VALUES (121690, 7878, 23, 'Seleziona un Paziente');
INSERT INTO `lang_definitions` VALUES (121691, 7879, 23, 'Si prega di selezionare una funzione di primaria entità affari con la \'partita IVA\' come ID struttura fiscale. Se sei un professionista individuale, utilizzare il Codice Fiscale. Questo è usato per identificare voi nel sistema NewCrop.');
INSERT INTO `lang_definitions` VALUES (121692, 7881, 23, 'Si prega di selezionare un fornitore di procedura');
INSERT INTO `lang_definitions` VALUES (121693, 7882, 23, 'Si prega di selezionare un destinatario');
INSERT INTO `lang_definitions` VALUES (121694, 7884, 23, 'Seleziona una data di inizio e di fine');
INSERT INTO `lang_definitions` VALUES (121695, 7885, 23, 'Si prega di selezionare un destinatario valido');
INSERT INTO `lang_definitions` VALUES (121696, 7886, 23, 'Si prega selezionare il gruppo attivo');
INSERT INTO `lang_definitions` VALUES (121697, 7888, 23, 'Si prega di selezionare un motivo di adeguamento per il codice');
INSERT INTO `lang_definitions` VALUES (121698, 7889, 23, 'Seleziona un evento');
INSERT INTO `lang_definitions` VALUES (121699, 7891, 23, 'Seleziona qualche opzione di ricerca.');
INSERT INTO `lang_definitions` VALUES (121700, 7894, 23, 'Seleziona almeno una prescrizione!');
INSERT INTO `lang_definitions` VALUES (121701, 7895, 23, 'Seleziona l\'incontro');
INSERT INTO `lang_definitions` VALUES (121702, 7899, 23, 'Seleziona le pagine che desideri copiare o inoltrare:');
INSERT INTO `lang_definitions` VALUES (121703, 7900, 23, 'Seleziona il metodo di pagamento');
INSERT INTO `lang_definitions` VALUES (121704, 7903, 23, 'Seleziona il tipo di pagamento');
INSERT INTO `lang_definitions` VALUES (121705, 7904, 23, 'Seleziona la categoria di visita');
INSERT INTO `lang_definitions` VALUES (121706, 7905, 23, 'Selezionare il partner X12, richiesto per creare il batch 270');
INSERT INTO `lang_definitions` VALUES (121707, 7906, 23, 'Si prega di impostare');
INSERT INTO `lang_definitions` VALUES (121708, 7907, 23, 'Assegna di nuovo 0 alla variabile de_identification_config');
INSERT INTO `lang_definitions` VALUES (121709, 7910, 23, 'Devi riavviare il processo di De-Identificazione');
INSERT INTO `lang_definitions` VALUES (121710, 7913, 23, 'Aggiorna il database OpenEMR per includere le procedure, funzioni e tabelle per la De-Identificazione');
INSERT INTO `lang_definitions` VALUES (121711, 7915, 23, 'Per maggiori dettagli guarda la tabella dei log degli errori della De-Identificazione');
INSERT INTO `lang_definitions` VALUES (121712, 7916, 23, 'Visita tra un po\' di tempo la schermata della De-Identificazione');
INSERT INTO `lang_definitions` VALUES (121713, 7917, 23, 'Visita tra un po\' di tempo la schermata della Re-Identificazione');
INSERT INTO `lang_definitions` VALUES (121714, 7918, 23, 'Visita la schermata tra un po\' di tempo');
INSERT INTO `lang_definitions` VALUES (121715, 7920, 23, 'Plot item');
INSERT INTO `lang_definitions` VALUES (121716, 7921, 23, 'Plot selected Items');
INSERT INTO `lang_definitions` VALUES (121717, 7922, 23, 'Plurale');
INSERT INTO `lang_definitions` VALUES (121718, 7926, 23, 'PM');
INSERT INTO `lang_definitions` VALUES (121719, 7927, 23, 'Programma PM');
INSERT INTO `lang_definitions` VALUES (121720, 7933, 23, 'Metodo Pgmt');
INSERT INTO `lang_definitions` VALUES (121721, 7934, 23, 'PND');
INSERT INTO `lang_definitions` VALUES (121722, 7935, 23, 'Pneumococco Coniugato 1');
INSERT INTO `lang_definitions` VALUES (121723, 7936, 23, 'Pneumococco Coniugato 2');
INSERT INTO `lang_definitions` VALUES (121724, 7937, 23, 'Pneumococco Coniugato 3');
INSERT INTO `lang_definitions` VALUES (121725, 7938, 23, 'Pneumococco Coniugato 4');
INSERT INTO `lang_definitions` VALUES (121726, 7939, 23, 'Vaccino per Pneumococco');
INSERT INTO `lang_definitions` VALUES (121727, 7940, 23, 'Vaccinazione per Pneumococco');
INSERT INTO `lang_definitions` VALUES (121728, 7941, 23, 'Polmonite stato vaccinale per gli anziani');
INSERT INTO `lang_definitions` VALUES (121729, 7942, 23, 'Polmonite stato vaccinale per gli anziani (CQM)');
INSERT INTO `lang_definitions` VALUES (121730, 7943, 23, 'Podologica');
INSERT INTO `lang_definitions` VALUES (121731, 7944, 23, 'Podologia');
INSERT INTO `lang_definitions` VALUES (121732, 7946, 23, 'Punto di servizio (POS)');
INSERT INTO `lang_definitions` VALUES (121733, 7947, 23, 'Regola');
INSERT INTO `lang_definitions` VALUES (121734, 7950, 23, 'Regola Nr');
INSERT INTO `lang_definitions` VALUES (121735, 7951, 23, 'Numero regola');
INSERT INTO `lang_definitions` VALUES (121736, 7952, 23, 'Polacco');
INSERT INTO `lang_definitions` VALUES (121737, 7953, 23, 'Polidipsia');
INSERT INTO `lang_definitions` VALUES (121738, 7955, 23, 'Polipo');
INSERT INTO `lang_definitions` VALUES (121739, 7956, 23, 'Poliuria');
INSERT INTO `lang_definitions` VALUES (121740, 7957, 23, 'Scarso appetito');
INSERT INTO `lang_definitions` VALUES (121741, 7958, 23, 'Cattiva circolazione');
INSERT INTO `lang_definitions` VALUES (121742, 7959, 23, 'Scarso udito');
INSERT INTO `lang_definitions` VALUES (121743, 7962, 23, 'Per vedere questi resoconti è necessario abilitare le finestre popup');
INSERT INTO `lang_definitions` VALUES (121744, 7964, 23, 'Riempio l\'anno con gli eventi?');
INSERT INTO `lang_definitions` VALUES (121745, 7965, 23, 'Popup');
INSERT INTO `lang_definitions` VALUES (121746, 7967, 23, 'Portale');
INSERT INTO `lang_definitions` VALUES (121747, 7969, 23, 'Attività del portale');
INSERT INTO `lang_definitions` VALUES (121748, 7976, 23, 'ID portale');
INSERT INTO `lang_definitions` VALUES (121749, 7977, 23, 'ID del portale non combacia con quello richiesto dal portale!');
INSERT INTO `lang_definitions` VALUES (121750, 7980, 23, 'Manca la password del portale');
INSERT INTO `lang_definitions` VALUES (121751, 7982, 23, 'Richieste al portale');
INSERT INTO `lang_definitions` VALUES (121752, 7984, 23, 'Verticale');
INSERT INTO `lang_definitions` VALUES (121753, 7985, 23, 'Portoghese');
INSERT INTO `lang_definitions` VALUES (121754, 7987, 23, 'Portoghese (Brasiliano)');
INSERT INTO `lang_definitions` VALUES (121755, 7988, 23, 'Portoghese (Europeo)');
INSERT INTO `lang_definitions` VALUES (121756, 7989, 23, 'Codice POS');
INSERT INTO `lang_definitions` VALUES (121757, 7990, 23, 'Posizione');
INSERT INTO `lang_definitions` VALUES (121758, 7992, 23, 'Positivo');
INSERT INTO `lang_definitions` VALUES (121759, 7993, 23, 'Positivi');
INSERT INTO `lang_definitions` VALUES (121760, 7996, 23, 'Messaggio per');
INSERT INTO `lang_definitions` VALUES (121761, 7998, 23, 'Gocciolamento nasale');
INSERT INTO `lang_definitions` VALUES (121762, 8000, 23, 'Pagamenti posticipati');
INSERT INTO `lang_definitions` VALUES (121763, 8001, 23, 'Portchirurgico');
INSERT INTO `lang_definitions` VALUES (121764, 8002, 23, 'Posta alla contabilità e contrassegnare come fatturato');
INSERT INTO `lang_definitions` VALUES (121765, 8003, 23, 'Invio alla data');
INSERT INTO `lang_definitions` VALUES (121766, 8004, 23, 'Invio alla data non può essere maggiore di Oggi');
INSERT INTO `lang_definitions` VALUES (121767, 8006, 23, 'Messaggio Per data deve essere maggiore della data Financial Close.');
INSERT INTO `lang_definitions` VALUES (121768, 8007, 23, 'Cure post-aborto');
INSERT INTO `lang_definitions` VALUES (121769, 8008, 23, 'Contraccezione post-aborto');
INSERT INTO `lang_definitions` VALUES (121770, 8009, 23, 'Consulenza post-aborto');
INSERT INTO `lang_definitions` VALUES (121771, 8010, 23, 'Followup post-aborto');
INSERT INTO `lang_definitions` VALUES (121772, 8011, 23, 'Postale');
INSERT INTO `lang_definitions` VALUES (121773, 8012, 23, 'Codice Postale');
INSERT INTO `lang_definitions` VALUES (121774, 8013, 23, 'Codice postale');
INSERT INTO `lang_definitions` VALUES (121775, 8015, 23, 'PostCalendar');
INSERT INTO `lang_definitions` VALUES (121776, 8016, 23, 'PostCalendar Administration');
INSERT INTO `lang_definitions` VALUES (121777, 8017, 23, 'PostCalendar Category Settings');
INSERT INTO `lang_definitions` VALUES (121778, 8018, 23, 'PostCalendar Global Settings');
INSERT INTO `lang_definitions` VALUES (121779, 8023, 23, 'Inviato il');
INSERT INTO `lang_definitions` VALUES (121780, 8026, 23, 'Data di invio');
INSERT INTO `lang_definitions` VALUES (121781, 8028, 23, 'Pos{{Abbreviation for Position}}');
INSERT INTO `lang_definitions` VALUES (121782, 8032, 23, 'Powered by');
INSERT INTO `lang_definitions` VALUES (121783, 8033, 23, 'PPE + Prev Med/Surg Hx');
INSERT INTO `lang_definitions` VALUES (121784, 8034, 23, 'PQRI');
INSERT INTO `lang_definitions` VALUES (121785, 8035, 23, 'PQRI Registry ID');
INSERT INTO `lang_definitions` VALUES (121786, 8036, 23, 'PQRI Registry Name');
INSERT INTO `lang_definitions` VALUES (121787, 8037, 23, 'Pratica');
INSERT INTO `lang_definitions` VALUES (121788, 8038, 23, 'Impostazioni predefinite Pratica');
INSERT INTO `lang_definitions` VALUES (121789, 8039, 23, 'Impostazioni pratica');
INSERT INTO `lang_definitions` VALUES (121790, 8041, 23, 'Professionista/Medico');
INSERT INTO `lang_definitions` VALUES (121791, 8042, 23, 'Pre Partecipazione di valutazione');
INSERT INTO `lang_definitions` VALUES (121792, 8043, 23, 'Pre-pagato');
INSERT INTO `lang_definitions` VALUES (121793, 8044, 23, 'Anticipo');
INSERT INTO `lang_definitions` VALUES (121794, 8045, 23, 'Consulto pre-aborto');
INSERT INTO `lang_definitions` VALUES (121795, 8046, 23, 'Consulenza pre-aborto');
INSERT INTO `lang_definitions` VALUES (121796, 8048, 23, 'Pref Cat');
INSERT INTO `lang_definitions` VALUES (121797, 8049, 23, 'Preferenza');
INSERT INTO `lang_definitions` VALUES (121798, 8050, 23, 'Preferenze');
INSERT INTO `lang_definitions` VALUES (121799, 8052, 23, 'Categoria evento preferita');
INSERT INTO `lang_definitions` VALUES (121800, 8053, 23, 'Lingua preferita');
INSERT INTO `lang_definitions` VALUES (121801, 8054, 23, 'Farmacia preferita');
INSERT INTO `lang_definitions` VALUES (121802, 8055, 23, 'Fornitore Organizzazione preferito (PPO)');
INSERT INTO `lang_definitions` VALUES (121803, 8056, 23, 'Test Gravid');
INSERT INTO `lang_definitions` VALUES (121804, 8057, 23, 'Preliminare');
INSERT INTO `lang_definitions` VALUES (121805, 8058, 23, 'Preparazione per eseguire il report');
INSERT INTO `lang_definitions` VALUES (121806, 8059, 23, 'Pre-pagato');
INSERT INTO `lang_definitions` VALUES (121807, 8061, 23, 'Prescrizione');
INSERT INTO `lang_definitions` VALUES (121808, 8063, 23, 'la prescrizione ha raggiunto i suoi limiti di');
INSERT INTO `lang_definitions` VALUES (121809, 8064, 23, 'Storico Prescrizioni');
INSERT INTO `lang_definitions` VALUES (121810, 8065, 23, 'Importazione della Storico Prescrizioni completato regolarmente');
INSERT INTO `lang_definitions` VALUES (121811, 8066, 23, 'Etichetta Prescrizione');
INSERT INTO `lang_definitions` VALUES (121812, 8067, 23, 'Resoconto Prescrizione');
INSERT INTO `lang_definitions` VALUES (121813, 8070, 23, 'Prescrizioni');
INSERT INTO `lang_definitions` VALUES (121814, 8073, 23, 'Prescrizioni e dispense');
INSERT INTO `lang_definitions` VALUES (121815, 8074, 23, 'Prescrizioni e deferimenti ad altri');
INSERT INTO `lang_definitions` VALUES (121816, 8075, 23, 'Prescrizioni e/o rinvii di specialista');
INSERT INTO `lang_definitions` VALUES (121817, 8076, 23, 'Resoconto Prescrizioni');
INSERT INTO `lang_definitions` VALUES (121818, 8077, 23, 'Prescrizioni/Rinvii');
INSERT INTO `lang_definitions` VALUES (121819, 8078, 23, 'Presente');
INSERT INTO `lang_definitions` VALUES (121820, 8079, 23, 'Presentazione Reclamo');
INSERT INTO `lang_definitions` VALUES (121821, 8080, 23, 'Presentazione problema(i)');
INSERT INTO `lang_definitions` VALUES (121822, 8081, 23, 'Premi Continua per proseguire');
INSERT INTO `lang_definitions` VALUES (121823, 8084, 23, 'Diagnosi presunta');
INSERT INTO `lang_definitions` VALUES (121824, 8085, 23, 'Diagnosi presunta dallo specialista');
INSERT INTO `lang_definitions` VALUES (121825, 8086, 23, 'Prec');
INSERT INTO `lang_definitions` VALUES (121826, 8087, 23, 'Prev Med/Surg Hx');
INSERT INTO `lang_definitions` VALUES (121827, 8088, 23, 'Mese prec. (vecchio per il menu)');
INSERT INTO `lang_definitions` VALUES (121828, 8089, 23, 'Anno prec. (vecchio per il menu)');
INSERT INTO `lang_definitions` VALUES (121829, 8091, 23, 'Cura preventiva');
INSERT INTO `lang_definitions` VALUES (121830, 8092, 23, 'Prevenzione di riabilitazione');
INSERT INTO `lang_definitions` VALUES (121831, 8094, 23, 'Anteprima Evento');
INSERT INTO `lang_definitions` VALUES (121832, 8097, 23, 'Anteprima di');
INSERT INTO `lang_definitions` VALUES (121833, 8098, 23, 'Precedente');
INSERT INTO `lang_definitions` VALUES (121834, 8099, 23, 'Consulti precedenti');
INSERT INTO `lang_definitions` VALUES (121835, 8100, 23, 'Giorno precedente');
INSERT INTO `lang_definitions` VALUES (121836, 8102, 23, 'Precedente Storico/Screening');
INSERT INTO `lang_definitions` VALUES (121837, 8103, 23, 'Mese precedente');
INSERT INTO `lang_definitions` VALUES (121838, 8104, 23, 'Settimana precedente');
INSERT INTO `lang_definitions` VALUES (121839, 8105, 23, 'Prezzo');
INSERT INTO `lang_definitions` VALUES (121840, 8108, 23, 'Prezzo attualizzazione');
INSERT INTO `lang_definitions` VALUES (121841, 8109, 23, 'Livello di prezzo');
INSERT INTO `lang_definitions` VALUES (121842, 8111, 23, 'Livello di prezzo:');
INSERT INTO `lang_definitions` VALUES (121843, 8113, 23, 'Prezzi');
INSERT INTO `lang_definitions` VALUES (121844, 8114, 23, 'Primario');
INSERT INTO `lang_definitions` VALUES (121845, 8115, 23, 'Affari soggetto principale');
INSERT INTO `lang_definitions` VALUES (121846, 8116, 23, 'Gli affari del soggetto principale ID oneriviene usato come ID account NewCrop sulle ricette mediche. La modifica della struttura influenzerà il funzionamento in NewCrop.');
INSERT INTO `lang_definitions` VALUES (121847, 8125, 23, 'Ass. primaria');
INSERT INTO `lang_definitions` VALUES (121848, 8126, 23, 'Assicurazione primaria');
INSERT INTO `lang_definitions` VALUES (121849, 8127, 23, 'Data assicurazione primaria');
INSERT INTO `lang_definitions` VALUES (121850, 8128, 23, 'Fornitore assicurazione primaria');
INSERT INTO `lang_definitions` VALUES (121851, 8129, 23, 'Fornitore primario');
INSERT INTO `lang_definitions` VALUES (121852, 8130, 23, 'Stampa');
INSERT INTO `lang_definitions` VALUES (121853, 8131, 23, 'Stampa (HTML)');
INSERT INTO `lang_definitions` VALUES (121854, 8132, 23, 'Stampa (PDF)');
INSERT INTO `lang_definitions` VALUES (121855, 8133, 23, 'Stampa modifiche');
INSERT INTO `lang_definitions` VALUES (121856, 8134, 23, 'Stampa ogni incontro');
INSERT INTO `lang_definitions` VALUES (121857, 8135, 23, 'Stampa modulo vuoto di rinvio');
INSERT INTO `lang_definitions` VALUES (121858, 8136, 23, 'Comando di stampa');
INSERT INTO `lang_definitions` VALUES (121859, 8138, 23, 'Data di stampa');
INSERT INTO `lang_definitions` VALUES (121860, 8142, 23, 'Stampa lista intera');
INSERT INTO `lang_definitions` VALUES (121861, 8143, 23, 'Formato stampa');
INSERT INTO `lang_definitions` VALUES (121862, 8144, 23, 'Stampa quattro pannelli');
INSERT INTO `lang_definitions` VALUES (121863, 8147, 23, 'Stampa messaggio');
INSERT INTO `lang_definitions` VALUES (121864, 8148, 23, 'Stampa multipla');
INSERT INTO `lang_definitions` VALUES (121865, 8149, 23, 'Stampa multipla al fax');
INSERT INTO `lang_definitions` VALUES (121866, 8150, 23, 'Stampa nome, firma e data.');
INSERT INTO `lang_definitions` VALUES (121867, 8151, 23, 'Stampa le note');
INSERT INTO `lang_definitions` VALUES (121868, 8152, 23, 'Stampa pagina 1');
INSERT INTO `lang_definitions` VALUES (121869, 8153, 23, 'Stampa pagina 2');
INSERT INTO `lang_definitions` VALUES (121870, 8154, 23, 'Stampa etichetta indirizzi paziente');
INSERT INTO `lang_definitions` VALUES (121871, 8156, 23, 'Stampare le ricevute Fornitore');
INSERT INTO `lang_definitions` VALUES (121872, 8157, 23, 'Stampa il record');
INSERT INTO `lang_definitions` VALUES (121873, 8163, 23, 'Stampa Dichiarazioni selezionate');
INSERT INTO `lang_definitions` VALUES (121874, 8164, 23, 'Stampa record veloci');
INSERT INTO `lang_definitions` VALUES (121875, 8166, 23, 'Stampa questo incontro');
INSERT INTO `lang_definitions` VALUES (121876, 8168, 23, 'Stampa questa nota');
INSERT INTO `lang_definitions` VALUES (121877, 8169, 23, 'Stampa Questa Nota');
INSERT INTO `lang_definitions` VALUES (121878, 8171, 23, 'Stampa al fax');
INSERT INTO `lang_definitions` VALUES (121879, 8172, 23, 'Stama la vista');
INSERT INTO `lang_definitions` VALUES (121880, 8173, 23, 'stampabile');
INSERT INTO `lang_definitions` VALUES (121881, 8174, 23, 'Versione stampabile');
INSERT INTO `lang_definitions` VALUES (121882, 8175, 23, 'Stampato');
INSERT INTO `lang_definitions` VALUES (121883, 8178, 23, 'Risultati della stampa:');
INSERT INTO `lang_definitions` VALUES (121884, 8179, 23, 'Stampa saltata; vedi test di uscita a');
INSERT INTO `lang_definitions` VALUES (121885, 8180, 23, 'Stampa saltata; vedi test di uscita a');
INSERT INTO `lang_definitions` VALUES (121886, 8182, 23, 'Prior Aut');
INSERT INTO `lang_definitions` VALUES (121887, 8184, 23, 'Modulo Prior Autorizzazione');
INSERT INTO `lang_definitions` VALUES (121888, 8189, 23, 'Prior Visit');
INSERT INTO `lang_definitions` VALUES (121889, 8191, 23, 'Priorità');
INSERT INTO `lang_definitions` VALUES (121890, 8192, 23, 'Priorità');
INSERT INTO `lang_definitions` VALUES (121891, 8196, 23, 'Privato');
INSERT INTO `lang_definitions` VALUES (121892, 8197, 23, 'Problema');
INSERT INTO `lang_definitions` VALUES (121893, 8198, 23, 'Problema DX');
INSERT INTO `lang_definitions` VALUES (121894, 8199, 23, 'Elenco Problemi');
INSERT INTO `lang_definitions` VALUES (121895, 8200, 23, 'Problemi');
INSERT INTO `lang_definitions` VALUES (121896, 8202, 23, 'Problemi/Tematiche');
INSERT INTO `lang_definitions` VALUES (121897, 8203, 23, 'Proc Bat');
INSERT INTO `lang_definitions` VALUES (121898, 8204, 23, 'Proc Cat');
INSERT INTO `lang_definitions` VALUES (121899, 8205, 23, 'Proc Load');
INSERT INTO `lang_definitions` VALUES (121900, 8206, 23, 'Proc Rev in attesa');
INSERT INTO `lang_definitions` VALUES (121901, 8207, 23, 'Proc Prov');
INSERT INTO `lang_definitions` VALUES (121902, 8208, 23, 'Proc Res');
INSERT INTO `lang_definitions` VALUES (121903, 8209, 23, 'Procedura');
INSERT INTO `lang_definitions` VALUES (121904, 8210, 23, 'Procedura per Siti corporei');
INSERT INTO `lang_definitions` VALUES (121905, 8212, 23, 'Procedura per Risultati Booleani');
INSERT INTO `lang_definitions` VALUES (121906, 8214, 23, 'Codice della Procedura');
INSERT INTO `lang_definitions` VALUES (121907, 8215, 23, 'Codici di procedura');
INSERT INTO `lang_definitions` VALUES (121908, 8216, 23, 'Procedura per Lateralità');
INSERT INTO `lang_definitions` VALUES (121909, 8218, 23, 'Nome Procedura');
INSERT INTO `lang_definitions` VALUES (121910, 8220, 23, 'Ordine di procedura');
INSERT INTO `lang_definitions` VALUES (121911, 8221, 23, 'Ordine di procedura');
INSERT INTO `lang_definitions` VALUES (121912, 8223, 23, 'Ordine di procedura per');
INSERT INTO `lang_definitions` VALUES (121913, 8226, 23, 'Ordini di procedura e Reports');
INSERT INTO `lang_definitions` VALUES (121914, 8227, 23, 'Procedura di selezione');
INSERT INTO `lang_definitions` VALUES (121915, 8228, 23, 'Fornitore di procedura');
INSERT INTO `lang_definitions` VALUES (121916, 8229, 23, 'Fornitore di procedura');
INSERT INTO `lang_definitions` VALUES (121917, 8231, 23, 'Fornitori di procedure');
INSERT INTO `lang_definitions` VALUES (121918, 8232, 23, 'Report di procedura');
INSERT INTO `lang_definitions` VALUES (121919, 8235, 23, 'Procedura Rapporto stato');
INSERT INTO `lang_definitions` VALUES (121920, 8237, 23, 'Risultato anomalo nella procedura');
INSERT INTO `lang_definitions` VALUES (121921, 8238, 23, 'Procedura Rapporto stato');
INSERT INTO `lang_definitions` VALUES (121922, 8240, 23, 'Risultati procedura');
INSERT INTO `lang_definitions` VALUES (121923, 8241, 23, 'Percorsi procedura');
INSERT INTO `lang_definitions` VALUES (121924, 8243, 23, 'Procedura dei tipi di campione');
INSERT INTO `lang_definitions` VALUES (121925, 8245, 23, 'Report statistiche di procedura');
INSERT INTO `lang_definitions` VALUES (121926, 8248, 23, 'Tipo di procedura');
INSERT INTO `lang_definitions` VALUES (121927, 8249, 23, 'Tipi di procedura');
INSERT INTO `lang_definitions` VALUES (121928, 8251, 23, 'Unità di procedura');
INSERT INTO `lang_definitions` VALUES (121929, 8253, 23, 'Procedura/Servizio');
INSERT INTO `lang_definitions` VALUES (121930, 8254, 23, 'Procedure');
INSERT INTO `lang_definitions` VALUES (121931, 8256, 23, 'Elabora');
INSERT INTO `lang_definitions` VALUES (121932, 8257, 23, 'Elaborare e inviare promemoria');
INSERT INTO `lang_definitions` VALUES (121933, 8258, 23, 'Elaborare il file ERA');
INSERT INTO `lang_definitions` VALUES (121934, 8260, 23, 'Elaborare il nuovo file per registro CSV');
INSERT INTO `lang_definitions` VALUES (121935, 8261, 23, 'Elaborare i promemoria');
INSERT INTO `lang_definitions` VALUES (121936, 8262, 23, 'Il processo richiede un pò di tempo');
INSERT INTO `lang_definitions` VALUES (121937, 8263, 23, 'Elaborato');
INSERT INTO `lang_definitions` VALUES (121938, 8264, 23, 'Elaborato da');
INSERT INTO `lang_definitions` VALUES (121939, 8265, 23, 'Elaborato in data');
INSERT INTO `lang_definitions` VALUES (121940, 8266, 23, 'elaborazione completata con successo');
INSERT INTO `lang_definitions` VALUES (121941, 8267, 23, 'Sto elaborando');
INSERT INTO `lang_definitions` VALUES (121942, 8268, 23, 'Elaborazione e invio promemoria ai pazienti');
INSERT INTO `lang_definitions` VALUES (121943, 8271, 23, 'Elaborazione promemoria pazienti');
INSERT INTO `lang_definitions` VALUES (121944, 8272, 23, 'Tempo elaborazione');
INSERT INTO `lang_definitions` VALUES (121945, 8274, 23, 'Prodotto');
INSERT INTO `lang_definitions` VALUES (121946, 8276, 23, 'Prodotto metodo contraccettivo');
INSERT INTO `lang_definitions` VALUES (121947, 8278, 23, 'Produzione');
INSERT INTO `lang_definitions` VALUES (121948, 8279, 23, 'Prodotti');
INSERT INTO `lang_definitions` VALUES (121949, 8280, 23, 'Prodotti ma non farmaci da prescrizione e senza modelli');
INSERT INTO `lang_definitions` VALUES (121950, 8282, 23, 'Prof.');
INSERT INTO `lang_definitions` VALUES (121951, 8290, 23, 'Note sul Progresso');
INSERT INTO `lang_definitions` VALUES (121952, 8295, 23, 'Cancro alla prostata');
INSERT INTO `lang_definitions` VALUES (121953, 8296, 23, 'Screening del cancro alla prostata');
INSERT INTO `lang_definitions` VALUES (121954, 8297, 23, 'Esame della prostata');
INSERT INTO `lang_definitions` VALUES (121955, 8298, 23, 'Problemi alla prostata');
INSERT INTO `lang_definitions` VALUES (121956, 8299, 23, 'Prostata e/o ingross., noduli, molle');
INSERT INTO `lang_definitions` VALUES (121957, 8302, 23, 'Protocollo');
INSERT INTO `lang_definitions` VALUES (121958, 8304, 23, 'Inserisci il percorso assoluto');
INSERT INTO `lang_definitions` VALUES (121959, 8305, 23, 'Inserisci il percorso assoluto del file');
INSERT INTO `lang_definitions` VALUES (121960, 8309, 23, 'Fornisce riassunti clinici per i pazienti per ciascuna visita in studio');
INSERT INTO `lang_definitions` VALUES (121961, 8311, 23, 'Fornisce ai pazienti una copia elettronica con informazioni sul loro stato di salute (inclusi i risultati dei test diagnostici, elenco dei problemi, elenco dei farmaci, allergie), su rchiesta.');
INSERT INTO `lang_definitions` VALUES (121962, 8312, 23, 'Fornire i pazienti con tempestivo accesso elettronico alle loro informazioni sanitarie (compresi i risultati di laboratorio, lista problema, elenchi farmaci, allergie farmaci) entro quattro giorni lavorativi delle informazioni di cui dispone la PE.');
INSERT INTO `lang_definitions` VALUES (121963, 8313, 23, 'Fornire i record al paziente per la visita');
INSERT INTO `lang_definitions` VALUES (121964, 8315, 23, 'Inserisci un indirizzo email valido');
INSERT INTO `lang_definitions` VALUES (121965, 8316, 23, 'E\' stato fornito il riassunto clinico?');
INSERT INTO `lang_definitions` VALUES (121966, 8317, 23, 'Sono state fornite le risorse educative?');
INSERT INTO `lang_definitions` VALUES (121967, 8318, 23, 'Operatore');
INSERT INTO `lang_definitions` VALUES (121968, 8322, 23, 'Id Operatore');
INSERT INTO `lang_definitions` VALUES (121969, 8323, 23, 'ID Operatore');
INSERT INTO `lang_definitions` VALUES (121970, 8324, 23, 'ID Operatore presso la struttura specificata');
INSERT INTO `lang_definitions` VALUES (121971, 8325, 23, 'Errori di corrispondenza dell\'operatore');
INSERT INTO `lang_definitions` VALUES (121972, 8330, 23, 'Numero Operatore');
INSERT INTO `lang_definitions` VALUES (121973, 8333, 23, 'Relazione operatore');
INSERT INTO `lang_definitions` VALUES (121974, 8336, 23, 'Operatore:');
INSERT INTO `lang_definitions` VALUES (121975, 8337, 23, 'Operatori');
INSERT INTO `lang_definitions` VALUES (121976, 8338, 23, 'Operatore NPI');
INSERT INTO `lang_definitions` VALUES (121977, 8339, 23, 'Gli operatori vedono l\'intera agenda');
INSERT INTO `lang_definitions` VALUES (121978, 8341, 23, 'Opr');
INSERT INTO `lang_definitions` VALUES (121979, 8342, 23, 'PSA');
INSERT INTO `lang_definitions` VALUES (121980, 8343, 23, 'Psoriasi');
INSERT INTO `lang_definitions` VALUES (121981, 8345, 23, 'Diagnosi psic.');
INSERT INTO `lang_definitions` VALUES (121982, 8346, 23, 'Farmaco psic.');
INSERT INTO `lang_definitions` VALUES (121983, 8347, 23, 'Psichiatrico');
INSERT INTO `lang_definitions` VALUES (121984, 8348, 23, 'Breve relazione psichiatrica');
INSERT INTO `lang_definitions` VALUES (121985, 8349, 23, 'Diagnosi psichiatrica');
INSERT INTO `lang_definitions` VALUES (121986, 8350, 23, 'Esame psichiatrico');
INSERT INTO `lang_definitions` VALUES (121987, 8352, 23, 'Storia psichiatrica');
INSERT INTO `lang_definitions` VALUES (121988, 8353, 23, 'Presa in carico psichiatrica');
INSERT INTO `lang_definitions` VALUES (121989, 8354, 23, 'Farmaco psichiatrico');
INSERT INTO `lang_definitions` VALUES (121990, 8358, 23, 'Pz %');
INSERT INTO `lang_definitions` VALUES (121991, 8360, 23, 'Pz Note');
INSERT INTO `lang_definitions` VALUES (121992, 8361, 23, 'Pz Note/Aut');
INSERT INTO `lang_definitions` VALUES (121993, 8362, 23, 'Pz sovrapag');
INSERT INTO `lang_definitions` VALUES (121994, 8364, 23, 'Pz Pagato');
INSERT INTO `lang_definitions` VALUES (121995, 8365, 23, 'Pz Richiesta Rec');
INSERT INTO `lang_definitions` VALUES (121996, 8366, 23, 'Pz rimborso');
INSERT INTO `lang_definitions` VALUES (121997, 8367, 23, 'Pz dimesso');
INSERT INTO `lang_definitions` VALUES (121998, 8368, 23, 'Pz Resoconto');
INSERT INTO `lang_definitions` VALUES (121999, 8369, 23, 'Pz Studente, oppure lascia vuoto');
INSERT INTO `lang_definitions` VALUES (122000, 8370, 23, 'PT_CITY');
INSERT INTO `lang_definitions` VALUES (122001, 8371, 23, 'PT_DOB');
INSERT INTO `lang_definitions` VALUES (122002, 8372, 23, 'PT_EMAIL');
INSERT INTO `lang_definitions` VALUES (122003, 8373, 23, 'PT_FNAME');
INSERT INTO `lang_definitions` VALUES (122004, 8374, 23, 'PT_LNAME');
INSERT INTO `lang_definitions` VALUES (122005, 8375, 23, 'PT_MNAME');
INSERT INTO `lang_definitions` VALUES (122006, 8376, 23, 'PT_PHONE_CELL');
INSERT INTO `lang_definitions` VALUES (122007, 8377, 23, 'PT_PHONE_HOME');
INSERT INTO `lang_definitions` VALUES (122008, 8378, 23, 'PT_POSTAL');
INSERT INTO `lang_definitions` VALUES (122009, 8379, 23, 'PT_SSN');
INSERT INTO `lang_definitions` VALUES (122010, 8380, 23, 'PT_STATE');
INSERT INTO `lang_definitions` VALUES (122011, 8381, 23, 'PT_STREET');
INSERT INTO `lang_definitions` VALUES (122012, 8383, 23, 'Pubblico');
INSERT INTO `lang_definitions` VALUES (122013, 8387, 23, 'Servizio Sanitario Pubblico (PHS) o altro ente federale');
INSERT INTO `lang_definitions` VALUES (122014, 8394, 23, 'Portoricano');
INSERT INTO `lang_definitions` VALUES (122015, 8396, 23, 'Polmonare');
INSERT INTO `lang_definitions` VALUES (122016, 8398, 23, 'Battito');
INSERT INTO `lang_definitions` VALUES (122017, 8399, 23, 'Punjabi');
INSERT INTO `lang_definitions` VALUES (122018, 8401, 23, 'Acquista');
INSERT INTO `lang_definitions` VALUES (122019, 8402, 23, 'Acquista/Restituisci');
INSERT INTO `lang_definitions` VALUES (122020, 8403, 23, 'Acquisti');
INSERT INTO `lang_definitions` VALUES (122021, 8406, 23, 'P{{Justify Header}}');
INSERT INTO `lang_definitions` VALUES (122022, 8407, 23, 'Pāli');
INSERT INTO `lang_definitions` VALUES (122023, 8408, 23, 'q.3h');
INSERT INTO `lang_definitions` VALUES (122024, 8409, 23, 'q.4h');
INSERT INTO `lang_definitions` VALUES (122025, 8410, 23, 'q.5h');
INSERT INTO `lang_definitions` VALUES (122026, 8411, 23, 'q.6h');
INSERT INTO `lang_definitions` VALUES (122027, 8412, 23, 'q.8h');
INSERT INTO `lang_definitions` VALUES (122028, 8413, 23, 'q.d.');
INSERT INTO `lang_definitions` VALUES (122029, 8414, 23, 'q.i.d.');
INSERT INTO `lang_definitions` VALUES (122030, 8417, 23, 'QOH (quantità in giacenza)');
INSERT INTO `lang_definitions` VALUES (122031, 8418, 23, 'QOH è inferiore a utilizzo mensile');
INSERT INTO `lang_definitions` VALUES (122032, 8419, 23, 'Qtà');
INSERT INTO `lang_definitions` VALUES (122033, 8420, 23, 'QTA');
INSERT INTO `lang_definitions` VALUES (122034, 8421, 23, 'Qualità');
INSERT INTO `lang_definitions` VALUES (122035, 8422, 23, 'Misure di qualità (CQM)');
INSERT INTO `lang_definitions` VALUES (122036, 8423, 23, 'Quantità');
INSERT INTO `lang_definitions` VALUES (122037, 8425, 23, 'Quantità per NDC (National drug code)');
INSERT INTO `lang_definitions` VALUES (122038, 8426, 23, 'Quantità in giacenza');
INSERT INTO `lang_definitions` VALUES (122039, 8427, 23, 'quantità non sembra utilizzabile');
INSERT INTO `lang_definitions` VALUES (122040, 8429, 23, 'Quechua');
INSERT INTO `lang_definitions` VALUES (122041, 8431, 23, 'Punto Interrogativo');
INSERT INTO `lang_definitions` VALUES (122042, 8432, 23, 'Coda per HCFA processo batch');
INSERT INTO `lang_definitions` VALUES (122043, 8433, 23, 'Coda per HCFA processo batch');
INSERT INTO `lang_definitions` VALUES (122044, 8434, 23, 'Coda per UB-92 processo batch');
INSERT INTO `lang_definitions` VALUES (122045, 8435, 23, 'Coda per UB-92 processo batch e stampa');
INSERT INTO `lang_definitions` VALUES (122046, 8436, 23, 'In coda');
INSERT INTO `lang_definitions` VALUES (122047, 8437, 23, 'Amministrazione Eventi in coda');
INSERT INTO `lang_definitions` VALUES (122048, 8438, 23, 'In coda da');
INSERT INTO `lang_definitions` VALUES (122049, 8440, 23, 'Amministrazione Inserimenti in coda');
INSERT INTO `lang_definitions` VALUES (122050, 8442, 23, 'Smettere');
INSERT INTO `lang_definitions` VALUES (122051, 8443, 23, 'Smettere di bere alcool');
INSERT INTO `lang_definitions` VALUES (122052, 8445, 23, 'R');
INSERT INTO `lang_definitions` VALUES (122053, 8451, 23, 'RA per il paziente, di incontro, o traccia');
INSERT INTO `lang_definitions` VALUES (122054, 8452, 23, 'Razza');
INSERT INTO `lang_definitions` VALUES (122055, 8453, 23, 'Razza ed Etnicità');
INSERT INTO `lang_definitions` VALUES (122056, 8454, 23, 'Razza/Etnicità');
INSERT INTO `lang_definitions` VALUES (122057, 8456, 23, 'Radio');
INSERT INTO `lang_definitions` VALUES (122058, 8457, 23, 'Pulsanti radio');
INSERT INTO `lang_definitions` VALUES (122059, 8462, 23, 'Intervallo');
INSERT INTO `lang_definitions` VALUES (122060, 8463, 23, 'eruzioni cutanee');
INSERT INTO `lang_definitions` VALUES (122061, 8464, 23, 'Tasso');
INSERT INTO `lang_definitions` VALUES (122062, 8466, 23, 'Ratio');
INSERT INTO `lang_definitions` VALUES (122063, 8467, 23, 'Raw Report');
INSERT INTO `lang_definitions` VALUES (122064, 8475, 23, 'Re-Identificazione');
INSERT INTO `lang_definitions` VALUES (122065, 8476, 23, 'Il processo di Re-Identificazione è completato');
INSERT INTO `lang_definitions` VALUES (122066, 8477, 23, 'Il processo di Re-Identificazione è in corso');
INSERT INTO `lang_definitions` VALUES (122067, 8478, 23, 'I file di Re-Identificazione saranno salvati in');
INSERT INTO `lang_definitions` VALUES (122068, 8479, 23, 'Ri-Lesione?');
INSERT INTO `lang_definitions` VALUES (122069, 8480, 23, 'Ri-Apri');
INSERT INTO `lang_definitions` VALUES (122070, 8482, 23, 'Ri-aperto');
INSERT INTO `lang_definitions` VALUES (122071, 8484, 23, 'Reazione');
INSERT INTO `lang_definitions` VALUES (122072, 8486, 23, 'Reazioni');
INSERT INTO `lang_definitions` VALUES (122073, 8489, 23, 'Lettura');
INSERT INTO `lang_definitions` VALUES (122074, 8495, 23, 'Solo lettura per storico');
INSERT INTO `lang_definitions` VALUES (122075, 8496, 23, 'Nome reale');
INSERT INTO `lang_definitions` VALUES (122076, 8497, 23, 'Veramente cancellato');
INSERT INTO `lang_definitions` VALUES (122077, 8498, 23, 'Motivo');
INSERT INTO `lang_definitions` VALUES (122078, 8499, 23, 'Motivo del decesso');
INSERT INTO `lang_definitions` VALUES (122079, 8500, 23, 'Motivo della morte');
INSERT INTO `lang_definitions` VALUES (122080, 8502, 23, 'Motivo di rinvio');
INSERT INTO `lang_definitions` VALUES (122081, 8504, 23, 'Motivo della visita');
INSERT INTO `lang_definitions` VALUES (122082, 8506, 23, 'Motivo/Modulo');
INSERT INTO `lang_definitions` VALUES (122083, 8521, 23, 'Ricevuta');
INSERT INTO `lang_definitions` VALUES (122084, 8522, 23, 'Ricevuta di pagamento');
INSERT INTO `lang_definitions` VALUES (122085, 8523, 23, 'Ricevuta generata');
INSERT INTO `lang_definitions` VALUES (122086, 8524, 23, 'Rapporto Ricevute per metodo di pagamento');
INSERT INTO `lang_definitions` VALUES (122087, 8525, 23, 'Sommario ricevute');
INSERT INTO `lang_definitions` VALUES (122088, 8526, 23, 'Ricevuto');
INSERT INTO `lang_definitions` VALUES (122089, 8527, 23, 'Ricevuto da');
INSERT INTO `lang_definitions` VALUES (122090, 8528, 23, 'Fax ricevuti');
INSERT INTO `lang_definitions` VALUES (122091, 8530, 23, 'Ricevuto, non rivisto');
INSERT INTO `lang_definitions` VALUES (122092, 8531, 23, 'Ricevuto, non rivisto');
INSERT INTO `lang_definitions` VALUES (122093, 8532, 23, 'Ricevente');
INSERT INTO `lang_definitions` VALUES (122094, 8533, 23, 'ID Ricevente');
INSERT INTO `lang_definitions` VALUES (122095, 8534, 23, 'ID Ricevente (ISA08)');
INSERT INTO `lang_definitions` VALUES (122096, 8535, 23, 'ID Qualificatore Ricevente (ISA07)');
INSERT INTO `lang_definitions` VALUES (122097, 8536, 23, 'IDs ricevente');
INSERT INTO `lang_definitions` VALUES (122098, 8540, 23, 'Le utlime tre password non sono consentite');
INSERT INTO `lang_definitions` VALUES (122099, 8542, 23, 'Destinatario');
INSERT INTO `lang_definitions` VALUES (122100, 8543, 23, 'L\'elenco destinatari è vuoto');
INSERT INTO `lang_definitions` VALUES (122101, 8544, 23, 'Nome Destinatario');
INSERT INTO `lang_definitions` VALUES (122102, 8545, 23, 'Destinatario dell\'Informativa');
INSERT INTO `lang_definitions` VALUES (122103, 8546, 23, 'Destinatario richiesto a meno che lo stato sia fatto');
INSERT INTO `lang_definitions` VALUES (122104, 8549, 23, 'Raccomandazione');
INSERT INTO `lang_definitions` VALUES (122105, 8551, 23, 'Raccomandazione per il Follow Up');
INSERT INTO `lang_definitions` VALUES (122106, 8552, 23, 'Raccomandazioni');
INSERT INTO `lang_definitions` VALUES (122107, 8553, 23, 'Raccomandazioni e trattamento');
INSERT INTO `lang_definitions` VALUES (122108, 8554, 23, 'Raccomandazioni dello specialista');
INSERT INTO `lang_definitions` VALUES (122109, 8557, 23, 'Registra');
INSERT INTO `lang_definitions` VALUES (122110, 8558, 23, 'Il record esiste già');
INSERT INTO `lang_definitions` VALUES (122111, 8564, 23, 'Registra e tabula i cambiamenti i cambiamenti nei segni Vitali');
INSERT INTO `lang_definitions` VALUES (122112, 8565, 23, 'Registra la Demografica');
INSERT INTO `lang_definitions` VALUES (122113, 8566, 23, 'Registra Informativa');
INSERT INTO `lang_definitions` VALUES (122114, 8567, 23, 'Registro attività fisica');
INSERT INTO `lang_definitions` VALUES (122115, 8568, 23, 'Registra pagamento');
INSERT INTO `lang_definitions` VALUES (122116, 8570, 23, 'Registra data di richiesta');
INSERT INTO `lang_definitions` VALUES (122117, 8571, 23, 'Record abitudine al fumo per i pazienti di 13 anni o più vecchi.');
INSERT INTO `lang_definitions` VALUES (122118, 8572, 23, 'Records');
INSERT INTO `lang_definitions` VALUES (122119, 8573, 23, 'record trovati');
INSERT INTO `lang_definitions` VALUES (122120, 8574, 23, 'record trovati.');
INSERT INTO `lang_definitions` VALUES (122121, 8576, 23, 'Uso di droga ricreazionale');
INSERT INTO `lang_definitions` VALUES (122122, 8577, 23, 'Droghe ricreazionali');
INSERT INTO `lang_definitions` VALUES (122123, 8578, 23, 'Rettale');
INSERT INTO `lang_definitions` VALUES (122124, 8579, 23, 'Esame rettale');
INSERT INTO `lang_definitions` VALUES (122125, 8580, 23, 'rettalmente');
INSERT INTO `lang_definitions` VALUES (122126, 8592, 23, 'Reindirizzamento');
INSERT INTO `lang_definitions` VALUES (122127, 8593, 23, 'Rossore');
INSERT INTO `lang_definitions` VALUES (122128, 8595, 23, 'ridotto:');
INSERT INTO `lang_definitions` VALUES (122129, 8597, 23, 'Riferimento');
INSERT INTO `lang_definitions` VALUES (122130, 8598, 23, 'Riferimento di');
INSERT INTO `lang_definitions` VALUES (122131, 8599, 23, 'Data riferimento');
INSERT INTO `lang_definitions` VALUES (122132, 8600, 23, 'Riferimento a');
INSERT INTO `lang_definitions` VALUES (122133, 8603, 23, 'Riferimento classificazione (livello di rischio)');
INSERT INTO `lang_definitions` VALUES (122134, 8604, 23, 'Campo di riferimento dei risultati');
INSERT INTO `lang_definitions` VALUES (122135, 8605, 23, 'Motivo del riferimento');
INSERT INTO `lang_definitions` VALUES (122136, 8608, 23, 'Referente');
INSERT INTO `lang_definitions` VALUES (122137, 8609, 23, 'Referente nome e firma');
INSERT INTO `lang_definitions` VALUES (122138, 8610, 23, 'Referente');
INSERT INTO `lang_definitions` VALUES (122139, 8611, 23, 'Competenza di');
INSERT INTO `lang_definitions` VALUES (122140, 8612, 23, 'Scheda competenza');
INSERT INTO `lang_definitions` VALUES (122141, 8613, 23, 'Data competenza');
INSERT INTO `lang_definitions` VALUES (122142, 8614, 23, 'Modulo competenza');
INSERT INTO `lang_definitions` VALUES (122143, 8615, 23, 'MODULO COMPETENZA');
INSERT INTO `lang_definitions` VALUES (122144, 8616, 23, 'ID Competenza');
INSERT INTO `lang_definitions` VALUES (122145, 8619, 23, 'Fonte competenza');
INSERT INTO `lang_definitions` VALUES (122146, 8620, 23, 'Fonte competenza per gli incontri');
INSERT INTO `lang_definitions` VALUES (122147, 8621, 23, 'Competenza delle');
INSERT INTO `lang_definitions` VALUES (122148, 8622, 23, 'Referenze');
INSERT INTO `lang_definitions` VALUES (122149, 8623, 23, 'Report referenze');
INSERT INTO `lang_definitions` VALUES (122150, 8624, 23, 'Riferito da');
INSERT INTO `lang_definitions` VALUES (122151, 8625, 23, 'Riferito da');
INSERT INTO `lang_definitions` VALUES (122152, 8627, 23, 'Riferito a');
INSERT INTO `lang_definitions` VALUES (122153, 8628, 23, 'Referente');
INSERT INTO `lang_definitions` VALUES (122154, 8629, 23, 'Indirizzo referente');
INSERT INTO `lang_definitions` VALUES (122155, 8630, 23, 'Diagnosi referente');
INSERT INTO `lang_definitions` VALUES (122156, 8631, 23, 'Diagnosi referente');
INSERT INTO `lang_definitions` VALUES (122157, 8633, 23, 'Medico di riferimento e pratica');
INSERT INTO `lang_definitions` VALUES (122158, 8635, 23, 'Fornitore referente');
INSERT INTO `lang_definitions` VALUES (122159, 8636, 23, 'Ricarica');
INSERT INTO `lang_definitions` VALUES (122160, 8639, 23, 'Ricariche');
INSERT INTO `lang_definitions` VALUES (122161, 8640, 23, 'ricariche');
INSERT INTO `lang_definitions` VALUES (122162, 8641, 23, 'Riflessi normali');
INSERT INTO `lang_definitions` VALUES (122163, 8645, 23, 'Aggiornare');
INSERT INTO `lang_definitions` VALUES (122164, 8648, 23, 'Aggiornamento promemoria');
INSERT INTO `lang_definitions` VALUES (122165, 8651, 23, 'Ha rifiutato di Indicare');
INSERT INTO `lang_definitions` VALUES (122166, 8652, 23, 'reg_re');
INSERT INTO `lang_definitions` VALUES (122167, 8655, 23, 'Registra');
INSERT INTO `lang_definitions` VALUES (122168, 8656, 23, 'registra');
INSERT INTO `lang_definitions` VALUES (122169, 8662, 23, 'Registrato');
INSERT INTO `lang_definitions` VALUES (122170, 8663, 23, 'registrato');
INSERT INTO `lang_definitions` VALUES (122171, 8666, 23, 'Moduli registrati');
INSERT INTO `lang_definitions` VALUES (122172, 8668, 23, 'Data registrazione');
INSERT INTO `lang_definitions` VALUES (122173, 8671, 23, 'Modulo registrazione');
INSERT INTO `lang_definitions` VALUES (122174, 8672, 23, 'Riabilitazione');
INSERT INTO `lang_definitions` VALUES (122175, 8674, 23, 'Respinto');
INSERT INTO `lang_definitions` VALUES (122176, 8675, 23, 'Potenziale recidiva');
INSERT INTO `lang_definitions` VALUES (122177, 8676, 23, 'Correlato a');
INSERT INTO `lang_definitions` VALUES (122178, 8677, 23, 'Correlato');
INSERT INTO `lang_definitions` VALUES (122179, 8678, 23, 'Tematica correlata');
INSERT INTO `lang_definitions` VALUES (122180, 8679, 23, 'Note paziente correlate');
INSERT INTO `lang_definitions` VALUES (122181, 8680, 23, 'Relazione(i)/Figli');
INSERT INTO `lang_definitions` VALUES (122182, 8681, 23, 'Relazioni');
INSERT INTO `lang_definitions` VALUES (122183, 8682, 23, 'Relazione');
INSERT INTO `lang_definitions` VALUES (122184, 8683, 23, 'Ordine relativo di questa entità');
INSERT INTO `lang_definitions` VALUES (122185, 8684, 23, 'Parenti');
INSERT INTO `lang_definitions` VALUES (122186, 8686, 23, 'Pressione consanguinei');
INSERT INTO `lang_definitions` VALUES (122187, 8687, 23, 'Cancro consanguinei');
INSERT INTO `lang_definitions` VALUES (122188, 8688, 23, 'Diabete consanguinei');
INSERT INTO `lang_definitions` VALUES (122189, 8689, 23, 'Epilessia consanguinei');
INSERT INTO `lang_definitions` VALUES (122190, 8690, 23, 'Cuore consanguinei');
INSERT INTO `lang_definitions` VALUES (122191, 8691, 23, 'Salute mentale consanguinei');
INSERT INTO `lang_definitions` VALUES (122192, 8692, 23, 'Colpo apoplettico consanguinei');
INSERT INTO `lang_definitions` VALUES (122193, 8693, 23, 'Suicidi consanguinei');
INSERT INTO `lang_definitions` VALUES (122194, 8694, 23, 'Tubercolosi consanguinei');
INSERT INTO `lang_definitions` VALUES (122195, 8695, 23, 'Il collegamento alle credenziali sanitarie mancano in questo account utente');
INSERT INTO `lang_definitions` VALUES (122196, 8696, 23, 'ID collegamento sanitario');
INSERT INTO `lang_definitions` VALUES (122197, 8698, 23, 'Data di rilascio');
INSERT INTO `lang_definitions` VALUES (122198, 8700, 23, 'Religione');
INSERT INTO `lang_definitions` VALUES (122199, 8705, 23, 'Nuovo login');
INSERT INTO `lang_definitions` VALUES (122200, 8706, 23, 'Promem');
INSERT INTO `lang_definitions` VALUES (122201, 8709, 23, 'Ricorda la sede selezionata');
INSERT INTO `lang_definitions` VALUES (122202, 8712, 23, 'Promemoria');
INSERT INTO `lang_definitions` VALUES (122203, 8715, 23, 'Intervalli dei promemoria');
INSERT INTO `lang_definitions` VALUES (122204, 8716, 23, 'Promemoria non ancora inviato');
INSERT INTO `lang_definitions` VALUES (122205, 8720, 23, 'Promemoria inviato il');
INSERT INTO `lang_definitions` VALUES (122206, 8725, 23, 'Promemoria');
INSERT INTO `lang_definitions` VALUES (122207, 8726, 23, 'Mandato di');
INSERT INTO `lang_definitions` VALUES (122208, 8727, 23, 'Host remoto');
INSERT INTO `lang_definitions` VALUES (122209, 8729, 23, 'Rimuovi');
INSERT INTO `lang_definitions` VALUES (122210, 8733, 23, 'Rimuovi il gruppo');
INSERT INTO `lang_definitions` VALUES (122211, 8734, 23, 'Rimuovi il modulo del gruppo');
INSERT INTO `lang_definitions` VALUES (122212, 8738, 23, 'Rimuove il supporto per le immunizzazioni');
INSERT INTO `lang_definitions` VALUES (122213, 8739, 23, 'Rimuove il suporto per phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (122214, 8740, 23, 'Rimuove il supporto per le prescrizioni');
INSERT INTO `lang_definitions` VALUES (122215, 8742, 23, 'Rimuove la funzione di tracciato grafico');
INSERT INTO `lang_definitions` VALUES (122216, 8743, 23, 'Calcoli renali');
INSERT INTO `lang_definitions` VALUES (122217, 8744, 23, 'Rinomina');
INSERT INTO `lang_definitions` VALUES (122218, 8745, 23, 'Rinomina il gruppo');
INSERT INTO `lang_definitions` VALUES (122219, 8746, 23, 'Rendering');
INSERT INTO `lang_definitions` VALUES (122220, 8747, 23, 'Fornitore Rendering');
INSERT INTO `lang_definitions` VALUES (122221, 8748, 23, 'Numero fornitore di Rendering');
INSERT INTO `lang_definitions` VALUES (122222, 8750, 23, 'Riordina');
INSERT INTO `lang_definitions` VALUES (122223, 8751, 23, 'Riordina a');
INSERT INTO `lang_definitions` VALUES (122224, 8752, 23, 'Il punto di riordino è stato raggiunto');
INSERT INTO `lang_definitions` VALUES (122225, 8753, 23, 'Punto di riordino, 0 non applicabile');
INSERT INTO `lang_definitions` VALUES (122226, 8754, 23, 'Rip');
INSERT INTO `lang_definitions` VALUES (122227, 8756, 23, 'Ripetere nuova password');
INSERT INTO `lang_definitions` VALUES (122228, 8758, 23, 'Evento ripetuto');
INSERT INTO `lang_definitions` VALUES (122229, 8759, 23, 'Info sulle ripetizioni:');
INSERT INTO `lang_definitions` VALUES (122230, 8760, 23, 'Ripetizioni');
INSERT INTO `lang_definitions` VALUES (122231, 8761, 23, 'SOSTITUIRE');
INSERT INTO `lang_definitions` VALUES (122232, 8763, 23, 'Sostituire lintero set di codici');
INSERT INTO `lang_definitions` VALUES (122233, 8766, 23, 'Sostituire');
INSERT INTO `lang_definitions` VALUES (122234, 8771, 23, 'Data dellla risposta');
INSERT INTO `lang_definitions` VALUES (122235, 8772, 23, 'Risposta da');
INSERT INTO `lang_definitions` VALUES (122236, 8774, 23, 'Resoconto');
INSERT INTO `lang_definitions` VALUES (122237, 8776, 23, 'Resoconto - Clinico');
INSERT INTO `lang_definitions` VALUES (122238, 8779, 23, 'Resoconto per');
INSERT INTO `lang_definitions` VALUES (122239, 8782, 23, 'Relazione finale (Abbandono Cura Data)');
INSERT INTO `lang_definitions` VALUES (122240, 8783, 23, 'La relazione è stata inviata al paziente');
INSERT INTO `lang_definitions` VALUES (122241, 8784, 23, 'Report storico/risultati');
INSERT INTO `lang_definitions` VALUES (122242, 8786, 23, 'Risultati del report');
INSERT INTO `lang_definitions` VALUES (122243, 8787, 23, 'Report risultati/storico');
INSERT INTO `lang_definitions` VALUES (122244, 8788, 23, 'Avvio rapporto (Assunto cura Data)');
INSERT INTO `lang_definitions` VALUES (122245, 8789, 23, 'Stato report');
INSERT INTO `lang_definitions` VALUES (122246, 8790, 23, 'Totale report');
INSERT INTO `lang_definitions` VALUES (122247, 8792, 23, 'Report/Scheda');
INSERT INTO `lang_definitions` VALUES (122248, 8794, 23, 'Refertabile');
INSERT INTO `lang_definitions` VALUES (122249, 8795, 23, 'Segnalato');
INSERT INTO `lang_definitions` VALUES (122250, 8796, 23, 'Data segnalazione');
INSERT INTO `lang_definitions` VALUES (122251, 8797, 23, 'Resoconti');
INSERT INTO `lang_definitions` VALUES (122252, 8801, 23, 'Descrizione richiesta');
INSERT INTO `lang_definitions` VALUES (122253, 8803, 23, 'ID richiesto mancante!');
INSERT INTO `lang_definitions` VALUES (122254, 8804, 23, 'Richiesta ignorata - elaborazione delle richieste è già in esecuzione!');
INSERT INTO `lang_definitions` VALUES (122255, 8809, 23, 'Stato richiesta');
INSERT INTO `lang_definitions` VALUES (122256, 8810, 23, 'Tipo richiesta');
INSERT INTO `lang_definitions` VALUES (122257, 8811, 23, 'Il tipo di richiesta non è implementato');
INSERT INTO `lang_definitions` VALUES (122258, 8813, 23, 'Richiesto da');
INSERT INTO `lang_definitions` VALUES (122259, 8814, 23, 'Data richiesta');
INSERT INTO `lang_definitions` VALUES (122260, 8815, 23, 'Prestazione richiesta');
INSERT INTO `lang_definitions` VALUES (122261, 8819, 23, 'Richiedere una password forte');
INSERT INTO `lang_definitions` VALUES (122262, 8820, 23, 'Richiedere una password unica');
INSERT INTO `lang_definitions` VALUES (122263, 8821, 23, 'Richiesto(a)');
INSERT INTO `lang_definitions` VALUES (122264, 8823, 23, 'Copagamento richiesto');
INSERT INTO `lang_definitions` VALUES (122265, 8824, 23, 'Manca il campo richiesto: scegli il file EDI-271 da caricare.');
INSERT INTO `lang_definitions` VALUES (122266, 8825, 23, 'Campo richiesto mancante: inserisci il nome');
INSERT INTO `lang_definitions` VALUES (122267, 8826, 23, 'Campo richiesto mancante: inserisci il cognome');
INSERT INTO `lang_definitions` VALUES (122268, 8827, 23, 'Campo richiesto mancante: inserisci il nome utente');
INSERT INTO `lang_definitions` VALUES (122269, 8828, 23, 'Campi richiesti');
INSERT INTO `lang_definitions` VALUES (122270, 8829, 23, 'Requisiti');
INSERT INTO `lang_definitions` VALUES (122271, 8832, 23, 'RISERVATO');
INSERT INTO `lang_definitions` VALUES (122272, 8833, 23, 'Riservato');
INSERT INTO `lang_definitions` VALUES (122273, 8834, 23, 'Riservato al fine di definire il Tempo programmato di vancanza');
INSERT INTO `lang_definitions` VALUES (122274, 8835, 23, 'Riservato per definire quando un erogante non è disponibile per successivi appuntamenti.');
INSERT INTO `lang_definitions` VALUES (122275, 8836, 23, 'Riservato per definire quando un evento non si è verificato come specificato.');
INSERT INTO `lang_definitions` VALUES (122276, 8837, 23, 'Riservato per definire quando un erogante potrebbe avere appuntamenti successivi.');
INSERT INTO `lang_definitions` VALUES (122277, 8838, 23, 'Resetta');
INSERT INTO `lang_definitions` VALUES (122278, 8842, 23, 'Resetta le credenziali del portale Offsite');
INSERT INTO `lang_definitions` VALUES (122279, 8844, 23, 'Resetta le credenziali del portale Onsite');
INSERT INTO `lang_definitions` VALUES (122280, 8850, 23, 'Resn');
INSERT INTO `lang_definitions` VALUES (122281, 8852, 23, 'Risolto');
INSERT INTO `lang_definitions` VALUES (122282, 8855, 23, 'Respirazione');
INSERT INTO `lang_definitions` VALUES (122283, 8856, 23, 'Sforzo respiratorio naturale');
INSERT INTO `lang_definitions` VALUES (122284, 8857, 23, 'Respiratorio');
INSERT INTO `lang_definitions` VALUES (122285, 8864, 23, 'Limitare utenti non autorizzati ai servizi di pianificazione stabiliti in utente admin.');
INSERT INTO `lang_definitions` VALUES (122286, 8865, 23, 'Restringi gli utenti alla sede');
INSERT INTO `lang_definitions` VALUES (122287, 8866, 23, 'Addestramento riservato');
INSERT INTO `lang_definitions` VALUES (122288, 8867, 23, 'Risultato');
INSERT INTO `lang_definitions` VALUES (122289, 8868, 23, 'Nome risultato');
INSERT INTO `lang_definitions` VALUES (122290, 8869, 23, 'Stato risultati');
INSERT INTO `lang_definitions` VALUES (122291, 8870, 23, 'Mancano lo status risultati o anormalità');
INSERT INTO `lang_definitions` VALUES (122292, 8871, 23, 'Risultato, usare % come un carattere jolly');
INSERT INTO `lang_definitions` VALUES (122293, 8872, 23, 'Risultati');
INSERT INTO `lang_definitions` VALUES (122294, 8873, 23, 'Risutati e');
INSERT INTO `lang_definitions` VALUES (122295, 8874, 23, 'Risultati trovati per la Ricerca');
INSERT INTO `lang_definitions` VALUES (122296, 8875, 23, 'Gruppo Risultati');
INSERT INTO `lang_definitions` VALUES (122297, 8876, 23, 'Solo risultati');
INSERT INTO `lang_definitions` VALUES (122298, 8877, 23, 'Percorso risultati');
INSERT INTO `lang_definitions` VALUES (122299, 8879, 23, 'Risultati per pagina');
INSERT INTO `lang_definitions` VALUES (122300, 8880, 23, 'Risultati/Dettagli');
INSERT INTO `lang_definitions` VALUES (122301, 8884, 23, 'Esame retinico');
INSERT INTO `lang_definitions` VALUES (122302, 8885, 23, 'Retratto a destra:');
INSERT INTO `lang_definitions` VALUES (122303, 8886, 23, 'Ritorno');
INSERT INTO `lang_definitions` VALUES (122304, 8887, 23, 'Ritorna sopra alla parte con il pagamento');
INSERT INTO `lang_definitions` VALUES (122305, 8890, 23, 'Ritorna all\'agenda');
INSERT INTO `lang_definitions` VALUES (122306, 8891, 23, 'Ritorna al report risultati');
INSERT INTO `lang_definitions` VALUES (122307, 8892, 23, 'Torna a questa pagina e sarete in grado di completare il processo di installazione di ICD10  cliccando sull\'intestazione della sezione ICD10');
INSERT INTO `lang_definitions` VALUES (122308, 8893, 23, 'Torna a questa pagina e sarete in grado di completare il processo di installazione di ICD9  cliccando sull\'intestazione della sezione ICD9');
INSERT INTO `lang_definitions` VALUES (122309, 8894, 23, 'Torna a questa pagina e sarete in grado di completare il processo di installazione di RxNorm  cliccando sull\'intestazione della sezione RXNORM');
INSERT INTO `lang_definitions` VALUES (122310, 8895, 23, 'Torna a questa pagina e sarete in grado di completare il processo di installazione di snomed  cliccando sull\'intestazione della sezione SNOMED');
INSERT INTO `lang_definitions` VALUES (122311, 8897, 23, 'Valore restituito');
INSERT INTO `lang_definitions` VALUES (122312, 8898, 23, 'Visita di ritorno');
INSERT INTO `lang_definitions` VALUES (122313, 8899, 23, 'Ritornato a giocare');
INSERT INTO `lang_definitions` VALUES (122314, 8901, 23, 'Riutilizzo delle tre password precedenti non ammessi!');
INSERT INTO `lang_definitions` VALUES (122315, 8909, 23, 'Revisione');
INSERT INTO `lang_definitions` VALUES (122316, 8910, 23, 'Revisione & approvazione');
INSERT INTO `lang_definitions` VALUES (122317, 8914, 23, 'Recensione di PMH:');
INSERT INTO `lang_definitions` VALUES (122318, 8917, 23, 'Rassegna dei Sistemi');
INSERT INTO `lang_definitions` VALUES (122319, 8918, 23, 'Rassegna dei Sistemi Caselle');
INSERT INTO `lang_definitions` VALUES (122320, 8921, 23, 'Rivisto');
INSERT INTO `lang_definitions` VALUES (122321, 8924, 23, 'Revisione');
INSERT INTO `lang_definitions` VALUES (122322, 8925, 23, 'Artrite reumatoide');
INSERT INTO `lang_definitions` VALUES (122323, 8926, 23, 'Artrite reumatoide');
INSERT INTO `lang_definitions` VALUES (122324, 8928, 23, 'Destro(a)');
INSERT INTO `lang_definitions` VALUES (122325, 8931, 23, 'Orecchio destro');
INSERT INTO `lang_definitions` VALUES (122326, 8932, 23, 'orecchio destro');
INSERT INTO `lang_definitions` VALUES (122327, 8936, 23, 'Margine Destro (mm)');
INSERT INTO `lang_definitions` VALUES (122328, 8940, 23, 'Destro(a):');
INSERT INTO `lang_definitions` VALUES (122329, 8941, 23, 'Ronzio alle orecchie');
INSERT INTO `lang_definitions` VALUES (122330, 8942, 23, 'Ronzio alle orecchie');
INSERT INTO `lang_definitions` VALUES (122331, 8944, 23, 'Fattori di rischio');
INSERT INTO `lang_definitions` VALUES (122332, 8945, 23, 'Livello di rischio');
INSERT INTO `lang_definitions` VALUES (122333, 8949, 23, 'RLL:');
INSERT INTO `lang_definitions` VALUES (122334, 8955, 23, 'ROM');
INSERT INTO `lang_definitions` VALUES (122335, 8956, 23, 'Rumeno');
INSERT INTO `lang_definitions` VALUES (122336, 8957, 23, 'Romansh');
INSERT INTO `lang_definitions` VALUES (122337, 8963, 23, 'Rosa (giocatori)');
INSERT INTO `lang_definitions` VALUES (122338, 8966, 23, 'Via');
INSERT INTO `lang_definitions` VALUES (122339, 8967, 23, 'Via di somministrazione (se applicabile)');
INSERT INTO `lang_definitions` VALUES (122340, 8968, 23, 'Instradato');
INSERT INTO `lang_definitions` VALUES (122341, 8969, 23, 'Righe');
INSERT INTO `lang_definitions` VALUES (122342, 8971, 23, 'RRR senza MOR');
INSERT INTO `lang_definitions` VALUES (122343, 8972, 23, 'Massaggio:');
INSERT INTO `lang_definitions` VALUES (122344, 8973, 23, 'Massaggi:');
INSERT INTO `lang_definitions` VALUES (122345, 8974, 23, 'Regola');
INSERT INTO `lang_definitions` VALUES (122346, 8975, 23, 'Aggiungi regola');
INSERT INTO `lang_definitions` VALUES (122347, 8976, 23, 'Dettaglio regola');
INSERT INTO `lang_definitions` VALUES (122348, 8978, 23, 'Modifica regola');
INSERT INTO `lang_definitions` VALUES (122349, 8981, 23, 'Set regola');
INSERT INTO `lang_definitions` VALUES (122350, 8982, 23, 'Set di regole e piano SET scelte non sono coerenti. Correggi e invia di nuovo.');
INSERT INTO `lang_definitions` VALUES (122351, 8984, 23, 'Regole');
INSERT INTO `lang_definitions` VALUES (122352, 8986, 23, 'Configurazione regole');
INSERT INTO `lang_definitions` VALUES (122353, 8989, 23, 'Comando in esecuzione:');
INSERT INTO `lang_definitions` VALUES (122354, 8990, 23, 'Rottura/Ernia');
INSERT INTO `lang_definitions` VALUES (122355, 8992, 23, 'Russo');
INSERT INTO `lang_definitions` VALUES (122356, 8995, 23, 'Rx');
INSERT INTO `lang_definitions` VALUES (122357, 8996, 23, 'RX');
INSERT INTO `lang_definitions` VALUES (122358, 8997, 23, 'Rx margine inferiore (px)');
INSERT INTO `lang_definitions` VALUES (122359, 9001, 23, 'Abilita rx DEA #');
INSERT INTO `lang_definitions` VALUES (122360, 9002, 23, 'Abilita rx NPI');
INSERT INTO `lang_definitions` VALUES (122361, 9003, 23, 'Abilita rx stato Lic. #');
INSERT INTO `lang_definitions` VALUES (122362, 9007, 23, 'Rx margine sinistro (px)');
INSERT INTO `lang_definitions` VALUES (122363, 9010, 23, 'Dimensione carta Rx');
INSERT INTO `lang_definitions` VALUES (122364, 9013, 23, 'Rx margine destro (px)');
INSERT INTO `lang_definitions` VALUES (122365, 9014, 23, 'Visualizza Rx DEA #');
INSERT INTO `lang_definitions` VALUES (122366, 9015, 23, 'Visualizza Rx NPI');
INSERT INTO `lang_definitions` VALUES (122367, 9016, 23, 'Visualizza Rx stato Lic. #');
INSERT INTO `lang_definitions` VALUES (122368, 9017, 23, 'Rx Margine superiore (px)');
INSERT INTO `lang_definitions` VALUES (122369, 9022, 23, 'RXCUI Medicazione');
INSERT INTO `lang_definitions` VALUES (122370, 9023, 23, 'RxNorm');
INSERT INTO `lang_definitions` VALUES (122371, 9024, 23, 'Database RxNorm');
INSERT INTO `lang_definitions` VALUES (122372, 9028, 23, 'S');
INSERT INTO `lang_definitions` VALUES (122373, 9029, 23, 'S.S.');
INSERT INTO `lang_definitions` VALUES (122374, 9030, 23, 'S3:');
INSERT INTO `lang_definitions` VALUES (122375, 9031, 23, 'S4:');
INSERT INTO `lang_definitions` VALUES (122376, 9032, 23, 'SA * * Per leggere la licenza leggi docs/license.txt o visita * http://www.gnu.org/copyleft/gpl.html * */ //========================================================================= //');
INSERT INTO `lang_definitions` VALUES (122377, 9034, 23, 'Vendita');
INSERT INTO `lang_definitions` VALUES (122378, 9035, 23, 'Vendite');
INSERT INTO `lang_definitions` VALUES (122379, 9036, 23, 'Vendite per articolo');
INSERT INTO `lang_definitions` VALUES (122380, 9037, 23, 'Vendite per Report dei prodotti');
INSERT INTO `lang_definitions` VALUES (122381, 9038, 23, 'Saliva');
INSERT INTO `lang_definitions` VALUES (122382, 9039, 23, 'Stesso giorno');
INSERT INTO `lang_definitions` VALUES (122383, 9040, 23, 'Samoano');
INSERT INTO `lang_definitions` VALUES (122384, 9041, 23, 'Campione');
INSERT INTO `lang_definitions` VALUES (122385, 9042, 23, 'Tipo sanzione');
INSERT INTO `lang_definitions` VALUES (122386, 9043, 23, 'Sango');
INSERT INTO `lang_definitions` VALUES (122387, 9045, 23, 'Sanskrit (Saṁskṛta)');
INSERT INTO `lang_definitions` VALUES (122388, 9046, 23, 'Sardinian');
INSERT INTO `lang_definitions` VALUES (122389, 9047, 23, 'Sab');
INSERT INTO `lang_definitions` VALUES (122390, 9048, 23, 'Sab &amp; Dom');
INSERT INTO `lang_definitions` VALUES (122391, 9049, 23, 'Sabato');
INSERT INTO `lang_definitions` VALUES (122392, 9050, 23, 'Salva');
INSERT INTO `lang_definitions` VALUES (122393, 9051, 23, 'SALVA');
INSERT INTO `lang_definitions` VALUES (122394, 9055, 23, 'Salva e chiudi');
INSERT INTO `lang_definitions` VALUES (122395, 9057, 23, 'Salva e cancella richiesta');
INSERT INTO `lang_definitions` VALUES (122396, 9058, 23, 'Salva e distribuisci');
INSERT INTO `lang_definitions` VALUES (122397, 9060, 23, 'Salva e trasmetti');
INSERT INTO `lang_definitions` VALUES (122398, 9061, 23, 'Salva come nuovo');
INSERT INTO `lang_definitions` VALUES (122399, 9063, 23, 'Salva come nuova nota');
INSERT INTO `lang_definitions` VALUES (122400, 9066, 23, 'Salva le configurazioni del certificato');
INSERT INTO `lang_definitions` VALUES (122401, 9067, 23, 'Salva i cambiamenti');
INSERT INTO `lang_definitions` VALUES (122402, 9075, 23, 'Salva il modulo');
INSERT INTO `lang_definitions` VALUES (122403, 9076, 23, 'Salva Immunizzazione');
INSERT INTO `lang_definitions` VALUES (122404, 9078, 23, 'Salva il nuovo campo');
INSERT INTO `lang_definitions` VALUES (122405, 9079, 23, 'Salva il nuovo gruppo');
INSERT INTO `lang_definitions` VALUES (122406, 9080, 23, 'Salva il nuovo elenco');
INSERT INTO `lang_definitions` VALUES (122407, 9081, 23, 'Salva il nuovo aspetto');
INSERT INTO `lang_definitions` VALUES (122408, 9082, 23, 'Salva selezioni di omissione');
INSERT INTO `lang_definitions` VALUES (122409, 9083, 23, 'Salva la demografica del paziente');
INSERT INTO `lang_definitions` VALUES (122410, 9087, 23, 'Salvataggio riuscito per ID grafico');
INSERT INTO `lang_definitions` VALUES (122411, 9089, 23, 'Salva la transazione');
INSERT INTO `lang_definitions` VALUES (122412, 9090, 23, 'Salvato correttamente');
INSERT INTO `lang_definitions` VALUES (122413, 9098, 23, 'Scansito');
INSERT INTO `lang_definitions` VALUES (122414, 9099, 23, 'Nota incontro scansita');
INSERT INTO `lang_definitions` VALUES (122415, 9100, 23, 'Directory della scanner');
INSERT INTO `lang_definitions` VALUES (122416, 9101, 23, 'Scanner In');
INSERT INTO `lang_definitions` VALUES (122417, 9104, 23, 'Programmare');
INSERT INTO `lang_definitions` VALUES (122418, 9106, 23, 'Programma Servizi:');
INSERT INTO `lang_definitions` VALUES (122419, 9117, 23, 'NOTE SCUOLA');
INSERT INTO `lang_definitions` VALUES (122420, 9122, 23, 'Scoliosi');
INSERT INTO `lang_definitions` VALUES (122421, 9125, 23, 'Scottish Gaelic- Gaelic');
INSERT INTO `lang_definitions` VALUES (122422, 9127, 23, 'Screening / Testing');
INSERT INTO `lang_definitions` VALUES (122423, 9133, 23, 'SE');
INSERT INTO `lang_definitions` VALUES (122424, 9134, 23, 'Indirizzo SE');
INSERT INTO `lang_definitions` VALUES (122425, 9135, 23, 'Città SE');
INSERT INTO `lang_definitions` VALUES (122426, 9136, 23, 'Paese SE');
INSERT INTO `lang_definitions` VALUES (122427, 9137, 23, 'Località SE');
INSERT INTO `lang_definitions` VALUES (122428, 9138, 23, 'CAP SE');
INSERT INTO `lang_definitions` VALUES (122429, 9139, 23, 'Stato SE');
INSERT INTO `lang_definitions` VALUES (122430, 9140, 23, 'CAP SE');
INSERT INTO `lang_definitions` VALUES (122431, 9141, 23, 'Cerca');
INSERT INTO `lang_definitions` VALUES (122432, 9143, 23, 'cerca');
INSERT INTO `lang_definitions` VALUES (122433, 9144, 23, 'cerca di nuovo');
INSERT INTO `lang_definitions` VALUES (122434, 9145, 23, 'Cerca in tutte le colonne');
INSERT INTO `lang_definitions` VALUES (122435, 9150, 23, 'Carca per:');
INSERT INTO `lang_definitions` VALUES (122436, 9152, 23, 'Cerca');
INSERT INTO `lang_definitions` VALUES (122437, 9156, 23, 'Cerca:');
INSERT INTO `lang_definitions` VALUES (122438, 9158, 23, 'Cerca In');
INSERT INTO `lang_definitions` VALUES (122439, 9159, 23, 'Cerca in');
INSERT INTO `lang_definitions` VALUES (122440, 9161, 23, 'Cerca o Aggiungi Paziente');
INSERT INTO `lang_definitions` VALUES (122441, 9164, 23, 'Cerca pagamento');
INSERT INTO `lang_definitions` VALUES (122442, 9167, 23, 'Risultati della ricerca');
INSERT INTO `lang_definitions` VALUES (122443, 9168, 23, 'Risultati della ricerca:');
INSERT INTO `lang_definitions` VALUES (122444, 9169, 23, 'Cerca i selezionati');
INSERT INTO `lang_definitions` VALUES (122445, 9171, 23, 'La stringa ricercata non corrisponde con l\'elenco nel database');
INSERT INTO `lang_definitions` VALUES (122446, 9172, 23, 'La stringa ricercata dovrebbe avere almeno tre caratteri');
INSERT INTO `lang_definitions` VALUES (122447, 9174, 23, 'Cerca testo');
INSERT INTO `lang_definitions` VALUES (122448, 9175, 23, 'Cerca gli eventi');
INSERT INTO `lang_definitions` VALUES (122449, 9178, 23, 'Cerca/Aggiungi');
INSERT INTO `lang_definitions` VALUES (122450, 9179, 23, 'Cerca/Aggiungi Assicuratore');
INSERT INTO `lang_definitions` VALUES (122451, 9181, 23, 'Cerca appuntamenti');
INSERT INTO `lang_definitions` VALUES (122452, 9182, 23, 'Ricerca in corso...');
INSERT INTO `lang_definitions` VALUES (122453, 9184, 23, 'Uso delle cinture di sicurezza');
INSERT INTO `lang_definitions` VALUES (122454, 9185, 23, 'Uso delle Cinture di sicurezza');
INSERT INTO `lang_definitions` VALUES (122455, 9186, 23, 'Secondo');
INSERT INTO `lang_definitions` VALUES (122456, 9189, 23, 'Secondario(a)');
INSERT INTO `lang_definitions` VALUES (122457, 9191, 23, 'Assicurazione secondaria');
INSERT INTO `lang_definitions` VALUES (122458, 9192, 23, 'Data assicurazione secondaria');
INSERT INTO `lang_definitions` VALUES (122459, 9193, 23, 'Fornitore assicurazione secondaria');
INSERT INTO `lang_definitions` VALUES (122460, 9194, 23, 'Tipo assistenza sanitaria secondaria');
INSERT INTO `lang_definitions` VALUES (122461, 9196, 23, 'ID sezione');
INSERT INTO `lang_definitions` VALUES (122462, 9197, 23, 'ID sezione e Nome non possono essere vuoti');
INSERT INTO `lang_definitions` VALUES (122463, 9198, 23, 'Nome sezione');
INSERT INTO `lang_definitions` VALUES (122464, 9199, 23, 'Sezione salvata con successo');
INSERT INTO `lang_definitions` VALUES (122465, 9207, 23, 'Sicurezza');
INSERT INTO `lang_definitions` VALUES (122466, 9208, 23, 'Vedi tutto');
INSERT INTO `lang_definitions` VALUES (122467, 9210, 23, 'Vedi autorizzazioni');
INSERT INTO `lang_definitions` VALUES (122468, 9213, 23, 'Vedi Tabulato-Crescita');
INSERT INTO `lang_definitions` VALUES (122469, 9214, 23, 'Vedere i messaggi dalla ultima serie di domande generate');
INSERT INTO `lang_definitions` VALUES (122470, 9218, 23, 'Visto dal');
INSERT INTO `lang_definitions` VALUES (122471, 9220, 23, 'Nome del segmento');
INSERT INTO `lang_definitions` VALUES (122472, 9221, 23, 'Segments Batch Claim');
INSERT INTO `lang_definitions` VALUES (122473, 9222, 23, 'Convulsioni');
INSERT INTO `lang_definitions` VALUES (122474, 9223, 23, 'Sel');
INSERT INTO `lang_definitions` VALUES (122475, 9224, 23, 'seleziona');
INSERT INTO `lang_definitions` VALUES (122476, 9225, 23, 'Seleziona');
INSERT INTO `lang_definitions` VALUES (122477, 9227, 23, 'Seleziona il Componente');
INSERT INTO `lang_definitions` VALUES (122478, 9228, 23, 'Seleziona un Contesto');
INSERT INTO `lang_definitions` VALUES (122479, 9232, 23, 'Selezionare una percentuale delle righe o seleziona le date');
INSERT INTO `lang_definitions` VALUES (122480, 9235, 23, 'Selezionare un intervallo di tempo');
INSERT INTO `lang_definitions` VALUES (122481, 9236, 23, 'Seleziona un Utente');
INSERT INTO `lang_definitions` VALUES (122482, 9239, 23, 'Selziona Tutto');
INSERT INTO `lang_definitions` VALUES (122483, 9241, 23, 'Seleziona la data di modifica');
INSERT INTO `lang_definitions` VALUES (122484, 9242, 23, 'Seleziona le modifiche di stampa');
INSERT INTO `lang_definitions` VALUES (122485, 9248, 23, 'Selezionare le voci Camos per la stampa');
INSERT INTO `lang_definitions` VALUES (122486, 9250, 23, 'Seleziona una categoria');
INSERT INTO `lang_definitions` VALUES (122487, 9253, 23, 'Seleziona le preferenze di comunicazione');
INSERT INTO `lang_definitions` VALUES (122488, 9254, 23, 'Seleziona le caselle di spunta corrispondenti da eliminare');
INSERT INTO `lang_definitions` VALUES (122489, 9256, 23, 'Seleziona i criteri da rimuovere');
INSERT INTO `lang_definitions` VALUES (122490, 9257, 23, 'Seleziona la tabella CSV');
INSERT INTO `lang_definitions` VALUES (122491, 9260, 23, 'Seleziona i dati che si richiede siano de-identificati');
INSERT INTO `lang_definitions` VALUES (122492, 9261, 23, 'Seleziona i dati da includere tra i dati de-identificati');
INSERT INTO `lang_definitions` VALUES (122493, 9262, 23, 'Seleziona la data');
INSERT INTO `lang_definitions` VALUES (122494, 9264, 23, 'Seleziona la squadra desiderata');
INSERT INTO `lang_definitions` VALUES (122495, 9265, 23, 'Seleziona diagnosi');
INSERT INTO `lang_definitions` VALUES (122496, 9267, 23, 'Seleziona le diagnosi per la richiesta di de-identificazione');
INSERT INTO `lang_definitions` VALUES (122497, 9271, 23, 'Seleziona droga');
INSERT INTO `lang_definitions` VALUES (122498, 9272, 23, 'Seleziona droghe');
INSERT INTO `lang_definitions` VALUES (122499, 9273, 23, 'Seleziona le droghe per la richiesta di de-identificazione');
INSERT INTO `lang_definitions` VALUES (122500, 9274, 23, 'Seleziona il file EDI-271');
INSERT INTO `lang_definitions` VALUES (122501, 9275, 23, 'Seleziona incontri');
INSERT INTO `lang_definitions` VALUES (122502, 9276, 23, 'Seleziona il campo');
INSERT INTO `lang_definitions` VALUES (122503, 9278, 23, 'Seleziona i campi');
INSERT INTO `lang_definitions` VALUES (122504, 9279, 23, 'Seleziona per la stampa');
INSERT INTO `lang_definitions` VALUES (122505, 9285, 23, 'Seleziona Immunizzazioni');
INSERT INTO `lang_definitions` VALUES (122506, 9286, 23, 'Seleziona le immunizzazioni per la richiesta di de-identificazione');
INSERT INTO `lang_definitions` VALUES (122507, 9287, 23, 'Seleziona l\'assicurazione, scrivendo');
INSERT INTO `lang_definitions` VALUES (122508, 9288, 23, 'Seleziona la Tematica');
INSERT INTO `lang_definitions` VALUES (122509, 9289, 23, 'Seleziona gli articolli');
INSERT INTO `lang_definitions` VALUES (122510, 9291, 23, 'Seleziona la lingua');
INSERT INTO `lang_definitions` VALUES (122511, 9297, 23, 'Seleziona una voce');
INSERT INTO `lang_definitions` VALUES (122512, 9298, 23, 'Selezionare uno o più codici di diagnosi per giustificare il servizio');
INSERT INTO `lang_definitions` VALUES (122513, 9299, 23, 'Seleziona uno o più file per il caricamento');
INSERT INTO `lang_definitions` VALUES (122514, 9303, 23, 'Seleziona output');
INSERT INTO `lang_definitions` VALUES (122515, 9311, 23, 'Seleziona richiesta da');
INSERT INTO `lang_definitions` VALUES (122516, 9314, 23, 'Seleziona fonte');
INSERT INTO `lang_definitions` VALUES (122517, 9317, 23, 'Seleziona il Template');
INSERT INTO `lang_definitions` VALUES (122518, 9321, 23, 'Seleziona gli elementi della configurazione da esportare');
INSERT INTO `lang_definitions` VALUES (122519, 9328, 23, 'Selezionare il problema principale responsabile per eventuali eventi persi in questo giorno');
INSERT INTO `lang_definitions` VALUES (122520, 9333, 23, 'Selezionare per stampare le etichette di indirizzo dei pazienti da popup a schermo nav sinistra.');
INSERT INTO `lang_definitions` VALUES (122521, 9335, 23, 'Seleziona traccia');
INSERT INTO `lang_definitions` VALUES (122522, 9338, 23, 'Seleziona Utente');
INSERT INTO `lang_definitions` VALUES (122523, 9340, 23, 'Selziona gli utenti dall\'elenco a discesa');
INSERT INTO `lang_definitions` VALUES (122524, 9341, 23, 'Seleziona quali lingue, se alcuna, può essere scelta all\'ingresso. (pertinente solo se il precedente Consentite tutte le lingue è disattivato)');
INSERT INTO `lang_definitions` VALUES (122525, 9343, 23, 'Seleziona Si per confermare l\'eliminazione del gruppo');
INSERT INTO `lang_definitions` VALUES (122526, 9349, 23, 'Selezionato');
INSERT INTO `lang_definitions` VALUES (122527, 9350, 23, 'Incontro selezionato');
INSERT INTO `lang_definitions` VALUES (122528, 9355, 23, 'La selezione di questo creerà un messaggio che deve essere elaborato da ogni destinatario singolarmente (non si tratta di un\'attività di gruppo).');
INSERT INTO `lang_definitions` VALUES (122529, 9357, 23, 'Se stesso');
INSERT INTO `lang_definitions` VALUES (122530, 9358, 23, 'Pagato da se stesso');
INSERT INTO `lang_definitions` VALUES (122531, 9360, 23, 'Invia');
INSERT INTO `lang_definitions` VALUES (122532, 9361, 23, 'Invia un sollecito datato');
INSERT INTO `lang_definitions` VALUES (122533, 9362, 23, 'Invia un sollecito');
INSERT INTO `lang_definitions` VALUES (122534, 9369, 23, 'Invio in corso');
INSERT INTO `lang_definitions` VALUES (122535, 9372, 23, 'Invia Messaggio');
INSERT INTO `lang_definitions` VALUES (122536, 9378, 23, 'Invia solleciti Batch');
INSERT INTO `lang_definitions` VALUES (122537, 9379, 23, 'Invia promemoria per pazienti per la preferenza del paziente per il trattamento preventivo/follow up di cura.');
INSERT INTO `lang_definitions` VALUES (122538, 9383, 23, 'Invia Sommari con Riferimenti');
INSERT INTO `lang_definitions` VALUES (122539, 9384, 23, 'Invia questo file');
INSERT INTO `lang_definitions` VALUES (122540, 9385, 23, 'Invia questo messaggio');
INSERT INTO `lang_definitions` VALUES (122541, 9386, 23, 'Invia a');
INSERT INTO `lang_definitions` VALUES (122542, 9389, 23, 'Invia a tutti');
INSERT INTO `lang_definitions` VALUES (122543, 9392, 23, 'Invia al portale');
INSERT INTO `lang_definitions` VALUES (122544, 9393, 23, 'Invia al Portale');
INSERT INTO `lang_definitions` VALUES (122545, 9395, 23, 'Mittente');
INSERT INTO `lang_definitions` VALUES (122546, 9396, 23, 'ID mittente');
INSERT INTO `lang_definitions` VALUES (122547, 9397, 23, 'ID mittente (ISA06)');
INSERT INTO `lang_definitions` VALUES (122548, 9398, 23, 'ID Qualificatore mittente (ISA05)');
INSERT INTO `lang_definitions` VALUES (122549, 9399, 23, 'IDs Mittente');
INSERT INTO `lang_definitions` VALUES (122550, 9406, 23, 'Invio a');
INSERT INTO `lang_definitions` VALUES (122551, 9407, 23, 'Sensibilità');
INSERT INTO `lang_definitions` VALUES (122552, 9411, 23, 'Sensibilità:');
INSERT INTO `lang_definitions` VALUES (122553, 9412, 23, 'Esame sensoriale normale');
INSERT INTO `lang_definitions` VALUES (122554, 9413, 23, 'Inviato');
INSERT INTO `lang_definitions` VALUES (122555, 9414, 23, 'Invio - Confermato');
INSERT INTO `lang_definitions` VALUES (122556, 9415, 23, 'Inviato da, lascia vuoto per tutti');
INSERT INTO `lang_definitions` VALUES (122557, 9416, 23, 'Inviato da:');
INSERT INTO `lang_definitions` VALUES (122558, 9417, 23, 'Data invio');
INSERT INTO `lang_definitions` VALUES (122559, 9418, 23, 'Elementi inviati');
INSERT INTO `lang_definitions` VALUES (122560, 9419, 23, 'Inviate le registrazioni mediche?');
INSERT INTO `lang_definitions` VALUES (122561, 9420, 23, 'Inviato con successo');
INSERT INTO `lang_definitions` VALUES (122562, 9423, 23, 'inviato alla stampante.');
INSERT INTO `lang_definitions` VALUES (122563, 9424, 23, 'Inviato a, lascia vuoto per tutti');
INSERT INTO `lang_definitions` VALUES (122564, 9425, 23, 'Inviato a:');
INSERT INTO `lang_definitions` VALUES (122565, 9426, 23, 'Inviato, ma la consegna non è confermata.');
INSERT INTO `lang_definitions` VALUES (122566, 9427, 23, 'Inviato, non ricevuto');
INSERT INTO `lang_definitions` VALUES (122567, 9429, 23, 'Sett');
INSERT INTO `lang_definitions` VALUES (122568, 9430, 23, 'Separato');
INSERT INTO `lang_definitions` VALUES (122569, 9431, 23, 'Settembre');
INSERT INTO `lang_definitions` VALUES (122570, 9432, 23, 'Seq');
INSERT INTO `lang_definitions` VALUES (122571, 9433, 23, 'Sequenza');
INSERT INTO `lang_definitions` VALUES (122572, 9434, 23, 'Serbian');
INSERT INTO `lang_definitions` VALUES (122573, 9435, 23, 'Serv Rep');
INSERT INTO `lang_definitions` VALUES (122574, 9438, 23, 'Il server sembra offline');
INSERT INTO `lang_definitions` VALUES (122575, 9439, 23, 'Messaggio del Server:');
INSERT INTO `lang_definitions` VALUES (122576, 9442, 23, 'Prestazione');
INSERT INTO `lang_definitions` VALUES (122577, 9444, 23, 'Categoria della prestazione');
INSERT INTO `lang_definitions` VALUES (122578, 9445, 23, 'Codice della prestazione');
INSERT INTO `lang_definitions` VALUES (122579, 9446, 23, 'Codice di servizio di Reporting Finanziario');
INSERT INTO `lang_definitions` VALUES (122580, 9447, 23, 'Codici delle prestazioni');
INSERT INTO `lang_definitions` VALUES (122581, 9448, 23, 'Data della prestazione');
INSERT INTO `lang_definitions` VALUES (122582, 9451, 23, 'Data della prestazione:');
INSERT INTO `lang_definitions` VALUES (122583, 9455, 23, 'Luogo della prestazione');
INSERT INTO `lang_definitions` VALUES (122584, 9456, 23, 'Nome servizio');
INSERT INTO `lang_definitions` VALUES (122585, 9457, 23, 'Prestazione fornito da specialista');
INSERT INTO `lang_definitions` VALUES (122586, 9459, 23, 'Servizio di Reporting');
INSERT INTO `lang_definitions` VALUES (122587, 9460, 23, 'Solo servizio di reporting');
INSERT INTO `lang_definitions` VALUES (122588, 9461, 23, 'Prestazioni');
INSERT INTO `lang_definitions` VALUES (122589, 9462, 23, 'Prestazioni per categoria');
INSERT INTO `lang_definitions` VALUES (122590, 9463, 23, 'Prestazioni Fornite');
INSERT INTO `lang_definitions` VALUES (122591, 9464, 23, 'Prestazioni fornite');
INSERT INTO `lang_definitions` VALUES (122592, 9465, 23, 'Prestazioni/Prodotti');
INSERT INTO `lang_definitions` VALUES (122593, 9466, 23, 'Tipo di sessione');
INSERT INTO `lang_definitions` VALUES (122594, 9467, 23, 'Assegna');
INSERT INTO `lang_definitions` VALUES (122595, 9468, 23, 'Implementa un cookie di sede per ricordare la sede selezionata tra un ingresso e un altro');
INSERT INTO `lang_definitions` VALUES (122596, 9469, 23, 'Imposta come Completato');
INSERT INTO `lang_definitions` VALUES (122597, 9475, 23, 'Impostare la priorità di elaborazione per i report basati su motori CDR.');
INSERT INTO `lang_definitions` VALUES (122598, 9476, 23, 'Impostare la priorità di elaborazione per la creazione di promemoria per i pazienti (in modalità clinica completa).');
INSERT INTO `lang_definitions` VALUES (122599, 9478, 23, 'Assegna a questo il percorso completo assoluto. Per la creazione certificato SSL del client per l\'HTTPS.');
INSERT INTO `lang_definitions` VALUES (122600, 9479, 23, 'Imposta per');
INSERT INTO `lang_definitions` VALUES (122601, 9480, 23, 'Assegna come default');
INSERT INTO `lang_definitions` VALUES (122602, 9486, 23, 'Assegno il numero di versione al database...');
INSERT INTO `lang_definitions` VALUES (122603, 9488, 23, 'Parametri');
INSERT INTO `lang_definitions` VALUES (122604, 9493, 23, 'Emicrania severa');
INSERT INTO `lang_definitions` VALUES (122605, 9496, 23, 'Severità del dolore');
INSERT INTO `lang_definitions` VALUES (122606, 9497, 23, 'Severità del dolore:');
INSERT INTO `lang_definitions` VALUES (122607, 9498, 23, 'Sesso');
INSERT INTO `lang_definitions` VALUES (122608, 9499, 23, 'Malattia trasmessa sessulamente');
INSERT INTO `lang_definitions` VALUES (122609, 9500, 23, 'SFTP');
INSERT INTO `lang_definitions` VALUES (122610, 9502, 23, 'Sha-1 Hash');
INSERT INTO `lang_definitions` VALUES (122611, 9503, 23, 'Condivisione');
INSERT INTO `lang_definitions` VALUES (122612, 9504, 23, 'Comando della shell per la stampa dal server.');
INSERT INTO `lang_definitions` VALUES (122613, 9506, 23, 'Shona');
INSERT INTO `lang_definitions` VALUES (122614, 9507, 23, 'Breve descrizione');
INSERT INTO `lang_definitions` VALUES (122615, 9510, 23, 'Dispnea');
INSERT INTO `lang_definitions` VALUES (122616, 9511, 23, 'Dspnea');
INSERT INTO `lang_definitions` VALUES (122617, 9512, 23, 'Dispnea 2');
INSERT INTO `lang_definitions` VALUES (122618, 9513, 23, 'Shot Record');
INSERT INTO `lang_definitions` VALUES (122619, 9514, 23, 'Shot Record al:');
INSERT INTO `lang_definitions` VALUES (122620, 9515, 23, 'Deve essere Abilitato');
INSERT INTO `lang_definitions` VALUES (122621, 9516, 23, 'Deve essere del tipo nnnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (122622, 9517, 23, 'Deve essere di due lettere');
INSERT INTO `lang_definitions` VALUES (122623, 9518, 23, 'deve contenere 10 cifre');
INSERT INTO `lang_definitions` VALUES (122624, 9519, 23, 'deve contenere soltanto 10 cifre');
INSERT INTO `lang_definitions` VALUES (122625, 9520, 23, 'Spalla');
INSERT INTO `lang_definitions` VALUES (122626, 9521, 23, 'Spalla + clavicola');
INSERT INTO `lang_definitions` VALUES (122627, 9522, 23, 'Problemi alla spalla');
INSERT INTO `lang_definitions` VALUES (122628, 9523, 23, 'Mostra');
INSERT INTO `lang_definitions` VALUES (122629, 9524, 23, 'Mostra attivo');
INSERT INTO `lang_definitions` VALUES (122630, 9527, 23, 'Mostra tutto');
INSERT INTO `lang_definitions` VALUES (122631, 9529, 23, 'Mostra tutte le procedure');
INSERT INTO `lang_definitions` VALUES (122632, 9531, 23, 'Mostra tutte le transazioni');
INSERT INTO `lang_definitions` VALUES (122633, 9532, 23, 'Mostra come occupato');
INSERT INTO `lang_definitions` VALUES (122634, 9533, 23, 'Mostra solo autorizzati');
INSERT INTO `lang_definitions` VALUES (122635, 9534, 23, 'Mostra ore disponibili');
INSERT INTO `lang_definitions` VALUES (122636, 9535, 23, 'Mostra sia metrico che US (l\'unità principale è metrica)');
INSERT INTO `lang_definitions` VALUES (122637, 9536, 23, 'Mostra sia US che metrico (l\'unità principale è US)');
INSERT INTO `lang_definitions` VALUES (122638, 9540, 23, 'Mostra i dettagli');
INSERT INTO `lang_definitions` VALUES (122639, 9542, 23, 'Mostrare solo gli errori?');
INSERT INTO `lang_definitions` VALUES (122640, 9544, 23, 'Mostra grafico');
INSERT INTO `lang_definitions` VALUES (122641, 9546, 23, 'Mostra testo sospeso dell\'evento al passaggio del mouse?');
INSERT INTO `lang_definitions` VALUES (122642, 9547, 23, 'Mostrare quanri eventi sulle pagine di amministrazione?');
INSERT INTO `lang_definitions` VALUES (122643, 9548, 23, 'Mostra inattivo');
INSERT INTO `lang_definitions` VALUES (122644, 9552, 23, 'Mostra menu');
INSERT INTO `lang_definitions` VALUES (122645, 9553, 23, 'Mostra solo metrica');
INSERT INTO `lang_definitions` VALUES (122646, 9556, 23, 'Mostra le note');
INSERT INTO `lang_definitions` VALUES (122647, 9558, 23, 'Mostra solo le procedure non omesse');
INSERT INTO `lang_definitions` VALUES (122648, 9561, 23, 'Mostra le note pazienti');
INSERT INTO `lang_definitions` VALUES (122649, 9562, 23, 'Mostra libbre e once');
INSERT INTO `lang_definitions` VALUES (122650, 9563, 23, 'Mostra libbre come valore decimale');
INSERT INTO `lang_definitions` VALUES (122651, 9564, 23, 'Mostra completo principale');
INSERT INTO `lang_definitions` VALUES (122652, 9568, 23, 'Mostra promemoria');
INSERT INTO `lang_definitions` VALUES (122653, 9569, 23, 'Mostra resoconto');
INSERT INTO `lang_definitions` VALUES (122654, 9570, 23, 'Mostra ricerca/inserire link nel blocco?');
INSERT INTO `lang_definitions` VALUES (122655, 9574, 23, 'Visualizza il modulo personalizzato di stato per il widget elenco aggiuntivo (vi chiederà titolo e abbreviazione).');
INSERT INTO `lang_definitions` VALUES (122656, 9577, 23, 'Mostra questa categoria nella schermata di riepilogo paziente, anche se non sono stati inseriti problemi per questa categoria.');
INSERT INTO `lang_definitions` VALUES (122657, 9579, 23, 'Mostra traccia storica');
INSERT INTO `lang_definitions` VALUES (122658, 9580, 23, 'Mostra solo non fatturati');
INSERT INTO `lang_definitions` VALUES (122659, 9581, 23, 'Mostra solo sistema US');
INSERT INTO `lang_definitions` VALUES (122660, 9585, 23, 'Mostrare');
INSERT INTO `lang_definitions` VALUES (122661, 9589, 23, 'Mostra risultati');
INSERT INTO `lang_definitions` VALUES (122662, 9593, 23, 'Storia dei fratelli');
INSERT INTO `lang_definitions` VALUES (122663, 9595, 23, 'Fratelli');
INSERT INTO `lang_definitions` VALUES (122664, 9596, 23, 'Cellule falciformi');
INSERT INTO `lang_definitions` VALUES (122665, 9597, 23, 'Sig');
INSERT INTO `lang_definitions` VALUES (122666, 9598, 23, 'Rettoscopia/Colonscopia');
INSERT INTO `lang_definitions` VALUES (122667, 9599, 23, 'Firma');
INSERT INTO `lang_definitions` VALUES (122668, 9601, 23, 'Firma i risultati di laboratorio (scrittura, aggiungere solo opzionale)');
INSERT INTO `lang_definitions` VALUES (122669, 9603, 23, 'Firma i risultati');
INSERT INTO `lang_definitions` VALUES (122670, 9606, 23, 'Firma');
INSERT INTO `lang_definitions` VALUES (122671, 9607, 23, 'Firmato sul File');
INSERT INTO `lang_definitions` VALUES (122672, 9609, 23, 'Firma:');
INSERT INTO `lang_definitions` VALUES (122673, 9612, 23, 'Rx firmato');
INSERT INTO `lang_definitions` VALUES (122674, 9614, 23, 'Gonfiore significativo:');
INSERT INTO `lang_definitions` VALUES (122675, 9615, 23, 'Semplificato');
INSERT INTO `lang_definitions` VALUES (122676, 9616, 23, 'Co-Pagamento semplificato');
INSERT INTO `lang_definitions` VALUES (122677, 9617, 23, 'Demografica semplificata');
INSERT INTO `lang_definitions` VALUES (122678, 9618, 23, 'Prescrizioni semplificate');
INSERT INTO `lang_definitions` VALUES (122679, 9619, 23, 'Fin dal');
INSERT INTO `lang_definitions` VALUES (122680, 9620, 23, 'Distinti saluti,');
INSERT INTO `lang_definitions` VALUES (122681, 9621, 23, 'Sindhi');
INSERT INTO `lang_definitions` VALUES (122682, 9622, 23, 'Celibe/Nubile');
INSERT INTO `lang_definitions` VALUES (122683, 9624, 23, 'Elenco a selezione singola');
INSERT INTO `lang_definitions` VALUES (122684, 9625, 23, 'Elenco a selezione singola con la possibilità di aggiungere all\'elenco');
INSERT INTO `lang_definitions` VALUES (122685, 9626, 23, 'Singolare');
INSERT INTO `lang_definitions` VALUES (122686, 9627, 23, 'Sinhala');
INSERT INTO `lang_definitions` VALUES (122687, 9628, 23, 'Sinhala, Sinhalese');
INSERT INTO `lang_definitions` VALUES (122688, 9629, 23, 'Problemi del seno');
INSERT INTO `lang_definitions` VALUES (122689, 9630, 23, 'Chirurgia al seno');
INSERT INTO `lang_definitions` VALUES (122690, 9631, 23, 'CONSISTENZA DEL SENO:');
INSERT INTO `lang_definitions` VALUES (122691, 9632, 23, 'Sinusite');
INSERT INTO `lang_definitions` VALUES (122692, 9634, 23, 'Sito');
INSERT INTO `lang_definitions` VALUES (122693, 9637, 23, 'ID Sito');
INSERT INTO `lang_definitions` VALUES (122694, 9638, 23, 'ID Sito per il Medical Information Integration, LLC Lab Service Exchange.');
INSERT INTO `lang_definitions` VALUES (122695, 9639, 23, 'ID Sito per il supporto LLC Lab Service Exchange OpenEMR.');
INSERT INTO `lang_definitions` VALUES (122696, 9643, 23, 'Dimensione');
INSERT INTO `lang_definitions` VALUES (122697, 9646, 23, 'La dimensione deve essere un numero tra 1 e 999');
INSERT INTO `lang_definitions` VALUES (122698, 9648, 23, 'Dimensione/Elenco');
INSERT INTO `lang_definitions` VALUES (122699, 9650, 23, 'Cute');
INSERT INTO `lang_definitions` VALUES (122700, 9651, 23, 'Cancro alla pelle');
INSERT INTO `lang_definitions` VALUES (122701, 9652, 23, 'Malattia della pelle');
INSERT INTO `lang_definitions` VALUES (122702, 9653, 23, 'Cute Altro');
INSERT INTO `lang_definitions` VALUES (122703, 9654, 23, 'Salta l\'autorizzazione delle Note del Paziente');
INSERT INTO `lang_definitions` VALUES (122704, 9659, 23, 'Salta la sezione');
INSERT INTO `lang_definitions` VALUES (122705, 9660, 23, 'Salto di SQL-Ledger deposito - non implementato per server Windows');
INSERT INTO `lang_definitions` VALUES (122706, 9664, 23, 'modelli di sonno');
INSERT INTO `lang_definitions` VALUES (122707, 9665, 23, 'modelli di sonno');
INSERT INTO `lang_definitions` VALUES (122708, 9666, 23, 'Sonno');
INSERT INTO `lang_definitions` VALUES (122709, 9668, 23, 'Slovacco');
INSERT INTO `lang_definitions` VALUES (122710, 9669, 23, 'Slovene');
INSERT INTO `lang_definitions` VALUES (122711, 9670, 23, 'Sm debt w/o');
INSERT INTO `lang_definitions` VALUES (122712, 9675, 23, 'Smarty Cache è stata cancellata');
INSERT INTO `lang_definitions` VALUES (122713, 9676, 23, 'Fumatore status corrente sconosciuto');
INSERT INTO `lang_definitions` VALUES (122714, 9678, 23, 'Status fumo');
INSERT INTO `lang_definitions` VALUES (122715, 9680, 23, 'Aut SMS');
INSERT INTO `lang_definitions` VALUES (122716, 9683, 23, 'Gateway SMS');
INSERT INTO `lang_definitions` VALUES (122717, 9684, 23, 'chiave API per il Gateway SMS');
INSERT INTO `lang_definitions` VALUES (122718, 9685, 23, 'Chiave API per il Gateway SMS');
INSERT INTO `lang_definitions` VALUES (122719, 9686, 23, 'Password per il Gateway SMS');
INSERT INTO `lang_definitions` VALUES (122720, 9687, 23, 'Username per il Gateway SMS');
INSERT INTO `lang_definitions` VALUES (122721, 9689, 23, 'Notifica SMS');
INSERT INTO `lang_definitions` VALUES (122722, 9690, 23, 'Ore per la Notifica via SMS');
INSERT INTO `lang_definitions` VALUES (122723, 9693, 23, 'Invia SMS prima della');
INSERT INTO `lang_definitions` VALUES (122724, 9694, 23, 'SMS inviato');
INSERT INTO `lang_definitions` VALUES (122725, 9697, 23, 'Testo SMS, Tag utilizzabili: ***NAME***, ***PROVIDER***, ***DATE***, ***STARTTIME***, ***ENDTIME***<br> p.es. Gentile Sig. ***NAME***');
INSERT INTO `lang_definitions` VALUES (122726, 9701, 23, 'SMS/Parametri Allarme Email');
INSERT INTO `lang_definitions` VALUES (122727, 9703, 23, 'Password SMTP per l\'autenticazione');
INSERT INTO `lang_definitions` VALUES (122728, 9706, 23, 'Hostname del server SMTP');
INSERT INTO `lang_definitions` VALUES (122729, 9707, 23, 'Numero Porta del server SMTP');
INSERT INTO `lang_definitions` VALUES (122730, 9708, 23, 'Utente SMTP per l\'autenticazione');
INSERT INTO `lang_definitions` VALUES (122731, 9709, 23, 'SNOMED');
INSERT INTO `lang_definitions` VALUES (122732, 9710, 23, 'SNOMED (RF1) Clinical Term');
INSERT INTO `lang_definitions` VALUES (122733, 9711, 23, 'SNOMED (RF1) Diagnosis');
INSERT INTO `lang_definitions` VALUES (122734, 9712, 23, 'SNOMED (RF1) Procedure');
INSERT INTO `lang_definitions` VALUES (122735, 9714, 23, 'SNOMED (RF2) Diagnosis');
INSERT INTO `lang_definitions` VALUES (122736, 9716, 23, 'SNOMED Clinical Term');
INSERT INTO `lang_definitions` VALUES (122737, 9717, 23, 'SNOMED Database');
INSERT INTO `lang_definitions` VALUES (122738, 9718, 23, 'SNOMED Diagnosis');
INSERT INTO `lang_definitions` VALUES (122739, 9719, 23, 'SNOMED Procedure');
INSERT INTO `lang_definitions` VALUES (122740, 9721, 23, 'Russare');
INSERT INTO `lang_definitions` VALUES (122741, 9722, 23, 'SOAP');
INSERT INTO `lang_definitions` VALUES (122742, 9726, 23, 'Difficoltà sociali');
INSERT INTO `lang_definitions` VALUES (122743, 9729, 23, 'Storico sociale:');
INSERT INTO `lang_definitions` VALUES (122744, 9730, 23, 'Numero sicurezza sociale (US)');
INSERT INTO `lang_definitions` VALUES (122745, 9732, 23, 'soluzione');
INSERT INTO `lang_definitions` VALUES (122746, 9733, 23, 'Somali');
INSERT INTO `lang_definitions` VALUES (122747, 9734, 23, 'Contesto somatico');
INSERT INTO `lang_definitions` VALUES (122748, 9735, 23, 'Alcune autorizzazioni non sono state mostrate. Clicca qui per vederle tutte');
INSERT INTO `lang_definitions` VALUES (122749, 9736, 23, 'Alcuni codici non sono stati mostrati.');
INSERT INTO `lang_definitions` VALUES (122750, 9737, 23, 'Alcuni incontri non sono stati nostrati. Clicca qui per vederli tutti.');
INSERT INTO `lang_definitions` VALUES (122751, 9738, 23, 'Si sono verificati alcuni errori durante il processo di de-identificazione');
INSERT INTO `lang_definitions` VALUES (122752, 9740, 23, 'Alcune note non sono state mostrate');
INSERT INTO `lang_definitions` VALUES (122753, 9741, 23, 'Alcune note di ufficio non sono state visualizzate. Clicca qui per visualizzare tutto.');
INSERT INTO `lang_definitions` VALUES (122754, 9743, 23, 'alcune parole');
INSERT INTO `lang_definitions` VALUES (122755, 9744, 23, 'Qualcun altro ha appena cambiato questa visita. Si prega di annullare questa pagina e riprovare.');
INSERT INTO `lang_definitions` VALUES (122756, 9747, 23, 'Qualcosa è andata male. Prova di nuovo.');
INSERT INTO `lang_definitions` VALUES (122757, 9748, 23, 'Intervallo debito in scadenza (promemoria Medico)');
INSERT INTO `lang_definitions` VALUES (122758, 9749, 23, 'Intervallo debito in scadenza (promemoria Paziente)');
INSERT INTO `lang_definitions` VALUES (122759, 9750, 23, 'Gola infiammata');
INSERT INTO `lang_definitions` VALUES (122760, 9751, 23, 'Spiacente nessun appuntamento fissato');
INSERT INTO `lang_definitions` VALUES (122761, 9754, 23, 'Spiacente, c\'è stato un problema nel caricare il file');
INSERT INTO `lang_definitions` VALUES (122762, 9758, 23, 'Ordina per');
INSERT INTO `lang_definitions` VALUES (122763, 9759, 23, 'Ordina Per');
INSERT INTO `lang_definitions` VALUES (122764, 9761, 23, 'Ordina per Checksum');
INSERT INTO `lang_definitions` VALUES (122765, 9762, 23, 'Ordina per Commenti');
INSERT INTO `lang_definitions` VALUES (122766, 9763, 23, 'Ordina per Cont Utente');
INSERT INTO `lang_definitions` VALUES (122767, 9764, 23, 'Ordina per data');
INSERT INTO `lang_definitions` VALUES (122768, 9765, 23, 'Ordina per data/ora');
INSERT INTO `lang_definitions` VALUES (122769, 9766, 23, 'Ordina per eventi');
INSERT INTO `lang_definitions` VALUES (122770, 9767, 23, 'Ordina per gruppi');
INSERT INTO `lang_definitions` VALUES (122771, 9768, 23, 'Ordina per nuovo Checksum');
INSERT INTO `lang_definitions` VALUES (122772, 9769, 23, 'Ordina per vecchio Checksum');
INSERT INTO `lang_definitions` VALUES (122773, 9770, 23, 'Ordinaper IDPaziente');
INSERT INTO `lang_definitions` VALUES (122774, 9772, 23, 'Ordina per successo');
INSERT INTO `lang_definitions` VALUES (122775, 9773, 23, 'Ordina per manomissione data/ora');
INSERT INTO `lang_definitions` VALUES (122776, 9774, 23, 'Ordina per utente');
INSERT INTO `lang_definitions` VALUES (122777, 9775, 23, 'Ordinaper vaccino');
INSERT INTO `lang_definitions` VALUES (122778, 9776, 23, 'Ordina decrescente');
INSERT INTO `lang_definitions` VALUES (122779, 9777, 23, 'Ordinai risultati per');
INSERT INTO `lang_definitions` VALUES (122780, 9778, 23, 'Ordina crescente');
INSERT INTO `lang_definitions` VALUES (122781, 9779, 23, 'Origine');
INSERT INTO `lang_definitions` VALUES (122782, 9781, 23, 'File origine');
INSERT INTO `lang_definitions` VALUES (122783, 9782, 23, 'Percorso del file origine');
INSERT INTO `lang_definitions` VALUES (122784, 9783, 23, 'L\'origine manca del codice');
INSERT INTO `lang_definitions` VALUES (122785, 9784, 23, 'Lotto origine');
INSERT INTO `lang_definitions` VALUES (122786, 9786, 23, 'Origine paziente');
INSERT INTO `lang_definitions` VALUES (122787, 9787, 23, 'Origine paziente non ha DOB(data di nascita)');
INSERT INTO `lang_definitions` VALUES (122788, 9788, 23, 'Origine paziente non trovata');
INSERT INTO `lang_definitions` VALUES (122789, 9789, 23, 'Origine:');
INSERT INTO `lang_definitions` VALUES (122790, 9790, 23, 'South Ndebele');
INSERT INTO `lang_definitions` VALUES (122791, 9791, 23, 'Southern Sotho');
INSERT INTO `lang_definitions` VALUES (122792, 9792, 23, 'Spazio');
INSERT INTO `lang_definitions` VALUES (122793, 9793, 23, 'SPAZIO');
INSERT INTO `lang_definitions` VALUES (122794, 9795, 23, 'Spagnolo');
INSERT INTO `lang_definitions` VALUES (122795, 9796, 23, 'Spagnolo (Latino Americano)');
INSERT INTO `lang_definitions` VALUES (122796, 9797, 23, 'Spagnolo (Spagna)');
INSERT INTO `lang_definitions` VALUES (122797, 9798, 23, 'Spanish- Castilian');
INSERT INTO `lang_definitions` VALUES (122798, 9799, 23, 'I caratteri speciali non sono ammessi');
INSERT INTO `lang_definitions` VALUES (122799, 9800, 23, 'Trattamento speciale per il modulo Funzioni vitali');
INSERT INTO `lang_definitions` VALUES (122800, 9801, 23, 'Specialista');
INSERT INTO `lang_definitions` VALUES (122801, 9802, 23, 'Nome specialista e firma');
INSERT INTO `lang_definitions` VALUES (122802, 9804, 23, 'Specialità');
INSERT INTO `lang_definitions` VALUES (122803, 9805, 23, 'Sistemi di Specialità');
INSERT INTO `lang_definitions` VALUES (122804, 9806, 23, 'Specialità:');
INSERT INTO `lang_definitions` VALUES (122805, 9807, 23, 'Specifico(a)');
INSERT INTO `lang_definitions` VALUES (122806, 9808, 23, 'Applicazione specifica');
INSERT INTO `lang_definitions` VALUES (122807, 9809, 23, 'Prestazione per la contraccezione specifica');
INSERT INTO `lang_definitions` VALUES (122808, 9810, 23, 'Risultato specifico');
INSERT INTO `lang_definitions` VALUES (122809, 9811, 23, 'Prestazione specifica');
INSERT INTO `lang_definitions` VALUES (122810, 9812, 23, 'Specificato');
INSERT INTO `lang_definitions` VALUES (122811, 9813, 23, 'Specifica il formato per i codici. # = cifra, * = qualsiasi carattere. Vuoto se non usato.');
INSERT INTO `lang_definitions` VALUES (122812, 9814, 23, 'Specifica il formato per i codici. # = cifra, @ = alfanumerico, * = qualsiasi carattere. Vuoto se non usato.');
INSERT INTO `lang_definitions` VALUES (122813, 9815, 23, 'Specifica il formato dei numeri di riferimento del conto. # = cifra, * = qualsiasi carattere. Vuoto se non usato.');
INSERT INTO `lang_definitions` VALUES (122814, 9816, 23, 'Specifica il formato dei numeri di riferimento del conto. # = cifra, @ = alfanumerico, * = qualsiasi carattere. Vuoto se non usato.');
INSERT INTO `lang_definitions` VALUES (122815, 9817, 23, 'Specifica il formato per i campi dei prodotti NDC. # = cifra, * = qualsiasi carattere. Vuoto se non usato.');
INSERT INTO `lang_definitions` VALUES (122816, 9818, 23, 'Specifica il formato per i campi dei prodotti NDC. # = cifra, @ = alfanumerico, * = qualsiasi carattere. Vuoto se non usato.');
INSERT INTO `lang_definitions` VALUES (122817, 9819, 23, 'Specifica il formato per l\'ID del paziente esterno. # = cifra, * = qualsiasi carattere. Vuoto se non usato.');
INSERT INTO `lang_definitions` VALUES (122818, 9820, 23, 'Specifica il formato per l\'ID del paziente esterno. # = cifra, @ = alfanumerico, * = qualsiasi carattere. Vuoto se non usato.');
INSERT INTO `lang_definitions` VALUES (122819, 9823, 23, 'Campione');
INSERT INTO `lang_definitions` VALUES (122820, 9824, 23, 'Campione numero/Identificativo');
INSERT INTO `lang_definitions` VALUES (122821, 9825, 23, 'Tipo di campione');
INSERT INTO `lang_definitions` VALUES (122822, 9827, 23, 'Dettato a voce');
INSERT INTO `lang_definitions` VALUES (122823, 9828, 23, 'Spermicida');
INSERT INTO `lang_definitions` VALUES (122824, 9831, 23, 'Splenectomia');
INSERT INTO `lang_definitions` VALUES (122825, 9832, 23, 'Moglie');
INSERT INTO `lang_definitions` VALUES (122826, 9833, 23, 'Storia della moglie');
INSERT INTO `lang_definitions` VALUES (122827, 9834, 23, 'Espettorato');
INSERT INTO `lang_definitions` VALUES (122828, 9835, 23, 'Espettorato:');
INSERT INTO `lang_definitions` VALUES (122829, 9836, 23, 'SQ');
INSERT INTO `lang_definitions` VALUES (122830, 9837, 23, 'sql');
INSERT INTO `lang_definitions` VALUES (122831, 9839, 23, 'Squadra');
INSERT INTO `lang_definitions` VALUES (122832, 9840, 23, 'Composizione squadra');
INSERT INTO `lang_definitions` VALUES (122833, 9841, 23, 'Squadre');
INSERT INTO `lang_definitions` VALUES (122834, 9843, 23, 'SRH');
INSERT INTO `lang_definitions` VALUES (122835, 9844, 23, 'SRH - Pianificazione famigliare');
INSERT INTO `lang_definitions` VALUES (122836, 9845, 23, 'SRH - Senza Pianificazione famigliare');
INSERT INTO `lang_definitions` VALUES (122837, 9846, 23, 'SRH Riferimenti');
INSERT INTO `lang_definitions` VALUES (122838, 9847, 23, 'SRH modulo visita');
INSERT INTO `lang_definitions` VALUES (122839, 9848, 23, 'Srv data');
INSERT INTO `lang_definitions` VALUES (122840, 9849, 23, 'SS');
INSERT INTO `lang_definitions` VALUES (122841, 9850, 23, 'Amministrazione certificato SSL');
INSERT INTO `lang_definitions` VALUES (122842, 9851, 23, 'SSN');
INSERT INTO `lang_definitions` VALUES (122843, 9852, 23, 'Stabilità');
INSERT INTO `lang_definitions` VALUES (122844, 9854, 23, 'Comunicati stampa');
INSERT INTO `lang_definitions` VALUES (122845, 9855, 23, 'Standard');
INSERT INTO `lang_definitions` VALUES (122846, 9857, 23, 'Codice standard');
INSERT INTO `lang_definitions` VALUES (122847, 9860, 23, 'Misure standard');
INSERT INTO `lang_definitions` VALUES (122848, 9861, 23, 'Misure standard (Avvisi attivi)');
INSERT INTO `lang_definitions` VALUES (122849, 9862, 23, 'Misure standard (Avvisi passivi)');
INSERT INTO `lang_definitions` VALUES (122850, 9863, 23, 'Misure standard (Promemoria pazienti)');
INSERT INTO `lang_definitions` VALUES (122851, 9864, 23, 'Nome standard');
INSERT INTO `lang_definitions` VALUES (122852, 9865, 23, 'Standard, semplificato: unico titolo, data di inizio, commenti e una casella di controllo attiva; nessuna diagnosi, occorrenza, data di scadenza, indicato - da o campi sportivi. , Infortunio da sport');
INSERT INTO `lang_definitions` VALUES (122853, 9866, 23, 'Inizio');
INSERT INTO `lang_definitions` VALUES (122854, 9867, 23, 'Inizio (aaaa-mm-gg):');
INSERT INTO `lang_definitions` VALUES (122855, 9868, 23, 'Avvia un altro report');
INSERT INTO `lang_definitions` VALUES (122856, 9874, 23, 'Data inizio');
INSERT INTO `lang_definitions` VALUES (122857, 9876, 23, 'Data di inizio in questa clinica');
INSERT INTO `lang_definitions` VALUES (122858, 9877, 23, 'La data di inizio non dovrebbe essere maggiore della data di fine');
INSERT INTO `lang_definitions` VALUES (122859, 9878, 23, 'Data inizio:');
INSERT INTO `lang_definitions` VALUES (122860, 9879, 23, 'Data Inizio:');
INSERT INTO `lang_definitions` VALUES (122861, 9881, 23, 'Ora di inizio');
INSERT INTO `lang_definitions` VALUES (122862, 9884, 23, 'Data iniziale');
INSERT INTO `lang_definitions` VALUES (122863, 9888, 23, 'stat');
INSERT INTO `lang_definitions` VALUES (122864, 9889, 23, 'Stato');
INSERT INTO `lang_definitions` VALUES (122865, 9890, 23, 'Stato tipo di dati');
INSERT INTO `lang_definitions` VALUES (122866, 9891, 23, 'State Lic. #');
INSERT INTO `lang_definitions` VALUES (122867, 9892, 23, 'Stato licenza numero');
INSERT INTO `lang_definitions` VALUES (122868, 9893, 23, 'Elenco degli stati');
INSERT INTO `lang_definitions` VALUES (122869, 9894, 23, 'Lista Stato (scrivere, aggiungere solo opzionale)');
INSERT INTO `lang_definitions` VALUES (122870, 9896, 23, 'Stato Lista Widget Campi personalizzati');
INSERT INTO `lang_definitions` VALUES (122871, 9897, 23, 'Stato o Provincia');
INSERT INTO `lang_definitions` VALUES (122872, 9898, 23, 'Stato/Località');
INSERT INTO `lang_definitions` VALUES (122873, 9899, 23, 'Stato/Comune');
INSERT INTO `lang_definitions` VALUES (122874, 9903, 23, 'RIEPILOGO');
INSERT INTO `lang_definitions` VALUES (122875, 9904, 23, 'estratti conto e fatture di aggiornamento.');
INSERT INTO `lang_definitions` VALUES (122876, 9906, 23, 'Riepiloghi inviati:');
INSERT INTO `lang_definitions` VALUES (122877, 9907, 23, 'riepiloghi, le fatture non verranno aggiornate.');
INSERT INTO `lang_definitions` VALUES (122878, 9908, 23, 'Testo statico');
INSERT INTO `lang_definitions` VALUES (122879, 9909, 23, 'Statistica');
INSERT INTO `lang_definitions` VALUES (122880, 9910, 23, 'Statistiche');
INSERT INTO `lang_definitions` VALUES (122881, 9911, 23, 'Status');
INSERT INTO `lang_definitions` VALUES (122882, 9914, 23, 'Stato ammissione');
INSERT INTO `lang_definitions` VALUES (122883, 9915, 23, 'Stato della richiesta');
INSERT INTO `lang_definitions` VALUES (122884, 9916, 23, 'Status quo');
INSERT INTO `lang_definitions` VALUES (122885, 9918, 23, 'STD/AIDS Couns');
INSERT INTO `lang_definitions` VALUES (122886, 9919, 23, 'Resilienza e condizionamento');
INSERT INTO `lang_definitions` VALUES (122887, 9924, 23, 'Procedura per caricare CCR XML');
INSERT INTO `lang_definitions` VALUES (122888, 9925, 23, 'Procedura per installare il database DSM IV');
INSERT INTO `lang_definitions` VALUES (122889, 9926, 23, 'Procedura per installare il database ICD 10');
INSERT INTO `lang_definitions` VALUES (122890, 9927, 23, 'Procedura per installare il database ICD 9');
INSERT INTO `lang_definitions` VALUES (122891, 9928, 23, 'Procedura per installare il database RxNorm');
INSERT INTO `lang_definitions` VALUES (122892, 9929, 23, 'Procedura per installare il database Snomed');
INSERT INTO `lang_definitions` VALUES (122893, 9932, 23, 'rigidità delle articolazioni');
INSERT INTO `lang_definitions` VALUES (122894, 9933, 23, 'Rigidezza');
INSERT INTO `lang_definitions` VALUES (122895, 9935, 23, 'Archivio mesi');
INSERT INTO `lang_definitions` VALUES (122896, 9936, 23, 'Dolori alla stomaco');
INSERT INTO `lang_definitions` VALUES (122897, 9937, 23, 'Stop');
INSERT INTO `lang_definitions` VALUES (122898, 9942, 23, 'Hash memorizzato');
INSERT INTO `lang_definitions` VALUES (122899, 9944, 23, 'Sforzo del muscolo');
INSERT INTO `lang_definitions` VALUES (122900, 9946, 23, 'Fluire');
INSERT INTO `lang_definitions` VALUES (122901, 9947, 23, 'Via');
INSERT INTO `lang_definitions` VALUES (122902, 9948, 23, 'Indirizzo via');
INSERT INTO `lang_definitions` VALUES (122903, 9949, 23, 'Via e numero');
INSERT INTO `lang_definitions` VALUES (122904, 9950, 23, 'Forza');
INSERT INTO `lang_definitions` VALUES (122905, 9951, 23, 'Forza e condizionamento');
INSERT INTO `lang_definitions` VALUES (122906, 9952, 23, 'Streptococco gola');
INSERT INTO `lang_definitions` VALUES (122907, 9953, 23, 'Frattura da stress');
INSERT INTO `lang_definitions` VALUES (122908, 9954, 23, 'Test dello stress');
INSERT INTO `lang_definitions` VALUES (122909, 9956, 23, 'Colpo');
INSERT INTO `lang_definitions` VALUES (122910, 9958, 23, 'Password forte significa almeno 8 caratteri, e con almeno 3 dei seguenti: un numero, una lettera minuscola, una lettera maiuscola, un carattere speciale.');
INSERT INTO `lang_definitions` VALUES (122911, 9960, 23, 'Stile');
INSERT INTO `lang_definitions` VALUES (122912, 9961, 23, 'Stile del modulo usato per aggiungere nuovi pazienti');
INSERT INTO `lang_definitions` VALUES (122913, 9965, 23, 'Sub-categoria');
INSERT INTO `lang_definitions` VALUES (122914, 9966, 23, 'Sub-totale');
INSERT INTO `lang_definitions` VALUES (122915, 9967, 23, 'Subcategoria');
INSERT INTO `lang_definitions` VALUES (122916, 9968, 23, 'subcategoria');
INSERT INTO `lang_definitions` VALUES (122917, 9969, 23, 'sottocutaneamente');
INSERT INTO `lang_definitions` VALUES (122918, 9970, 23, 'Oggetto');
INSERT INTO `lang_definitions` VALUES (122919, 9971, 23, 'Soggettivo');
INSERT INTO `lang_definitions` VALUES (122920, 9972, 23, 'Sublinguale');
INSERT INTO `lang_definitions` VALUES (122921, 9973, 23, 'sublinguale');
INSERT INTO `lang_definitions` VALUES (122922, 9974, 23, 'Invia');
INSERT INTO `lang_definitions` VALUES (122923, 9975, 23, 'invia');
INSERT INTO `lang_definitions` VALUES (122924, 9976, 23, 'Invia tutto il contenuto');
INSERT INTO `lang_definitions` VALUES (122925, 9977, 23, 'Invia');
INSERT INTO `lang_definitions` VALUES (122926, 9979, 23, 'Invia evento');
INSERT INTO `lang_definitions` VALUES (122927, 9980, 23, 'invia modulo');
INSERT INTO `lang_definitions` VALUES (122928, 9982, 23, 'Invia il contenuto selezionato');
INSERT INTO `lang_definitions` VALUES (122929, 9984, 23, 'Inviato da EDI accesso numero (PER06)');
INSERT INTO `lang_definitions` VALUES (122930, 9985, 23, 'Inviato da');
INSERT INTO `lang_definitions` VALUES (122931, 9986, 23, 'Inviato da EDI accesso numero (PER06)');
INSERT INTO `lang_definitions` VALUES (122932, 9987, 23, 'Sottoscrittore');
INSERT INTO `lang_definitions` VALUES (122933, 9988, 23, 'Indirizzo sottoscrittore');
INSERT INTO `lang_definitions` VALUES (122934, 9989, 23, 'Città sottoscrittore');
INSERT INTO `lang_definitions` VALUES (122935, 9990, 23, 'Paese sottoscrittore');
INSERT INTO `lang_definitions` VALUES (122936, 9991, 23, 'Data di nascita sottoscrittore');
INSERT INTO `lang_definitions` VALUES (122937, 9992, 23, 'Datore di lavoro sottoscrittore');
INSERT INTO `lang_definitions` VALUES (122938, 9993, 23, 'Datore di lavoro sottoscrittore (SE)');
INSERT INTO `lang_definitions` VALUES (122939, 9994, 23, 'Indirizzo datore di lavoro sottoscrittore');
INSERT INTO `lang_definitions` VALUES (122940, 9995, 23, 'Città datore di lavoro sottoscrittore');
INSERT INTO `lang_definitions` VALUES (122941, 9996, 23, 'Nazione datore di lavoro sottoscrittore');
INSERT INTO `lang_definitions` VALUES (122942, 9997, 23, 'Stato datore di lavoro sottoscrittore');
INSERT INTO `lang_definitions` VALUES (122943, 9998, 23, 'Paese datore di lavoro sottoscrittore');
INSERT INTO `lang_definitions` VALUES (122944, 9999, 23, 'Codice postale datore di lavoro sottoscrittore');
INSERT INTO `lang_definitions` VALUES (122945, 10000, 23, 'Codice postale datore di lavoro sottoscrittore');
INSERT INTO `lang_definitions` VALUES (122946, 10001, 23, 'Nome sottoscrittore');
INSERT INTO `lang_definitions` VALUES (122947, 10002, 23, 'Cognome sottoscrittore');
INSERT INTO `lang_definitions` VALUES (122948, 10004, 23, 'Secondo nome sottoscrittore');
INSERT INTO `lang_definitions` VALUES (122949, 10005, 23, 'Telefono sottoscrittore');
INSERT INTO `lang_definitions` VALUES (122950, 10006, 23, 'Relazioni sottoscrittore');
INSERT INTO `lang_definitions` VALUES (122951, 10007, 23, 'La relazione del sottoscrittore non è sua ma il nome è lo stesso! Va bene comunque?');
INSERT INTO `lang_definitions` VALUES (122952, 10008, 23, 'La relazione del sottoscrittore non è sua ma il SS è lo stesso! Va bene comunque?');
INSERT INTO `lang_definitions` VALUES (122953, 10009, 23, 'La relazione del sottoscrittore è sua ma il nome è diverso! Va bene comunque?');
INSERT INTO `lang_definitions` VALUES (122954, 10010, 23, 'La relazione del sottoscrittore è sua ma il SS è lo diverso! Va bene comunque?');
INSERT INTO `lang_definitions` VALUES (122955, 10011, 23, 'Sesso sottoscrittore');
INSERT INTO `lang_definitions` VALUES (122956, 10012, 23, 'SS sottoscrittore');
INSERT INTO `lang_definitions` VALUES (122957, 10013, 23, 'Stato sottoscrittore');
INSERT INTO `lang_definitions` VALUES (122958, 10014, 23, 'CAP sottoscrittore');
INSERT INTO `lang_definitions` VALUES (122959, 10017, 23, 'Telefono sottoscrittore');
INSERT INTO `lang_definitions` VALUES (122960, 10020, 23, 'Sostituzione');
INSERT INTO `lang_definitions` VALUES (122961, 10021, 23, 'sostituzione consentita');
INSERT INTO `lang_definitions` VALUES (122962, 10024, 23, 'Successo');
INSERT INTO `lang_definitions` VALUES (122963, 10025, 23, 'successo');
INSERT INTO `lang_definitions` VALUES (122964, 10026, 23, 'Conferma ricevimento riuscito dei risultati di laboratorio');
INSERT INTO `lang_definitions` VALUES (122965, 10027, 23, 'Ottenimento con successo dei risultati di laboratorio');
INSERT INTO `lang_definitions` VALUES (122966, 10028, 23, 'Recupero con successo dei risultai di laboratorio');
INSERT INTO `lang_definitions` VALUES (122967, 10030, 23, 'Categoria aggiunta con successo');
INSERT INTO `lang_definitions` VALUES (122968, 10031, 23, 'aggiunto(a) con successo alla categoria.');
INSERT INTO `lang_definitions` VALUES (122969, 10033, 23, 'Eliminato con successo');
INSERT INTO `lang_definitions` VALUES (122970, 10034, 23, 'Importato con successo i dettagli. Approvare il paziente dallo schermo in attesa di approvazione');
INSERT INTO `lang_definitions` VALUES (122971, 10035, 23, 'Installato il database con successo.');
INSERT INTO `lang_definitions` VALUES (122972, 10036, 23, 'Il database seguente è stato installato con successo');
INSERT INTO `lang_definitions` VALUES (122973, 10037, 23, 'Modificato con successo');
INSERT INTO `lang_definitions` VALUES (122974, 10039, 23, 'Salvataggio riuscito. Vuoi allocarlo?');
INSERT INTO `lang_definitions` VALUES (122975, 10040, 23, 'Salvataggio riuscito. Vuoi ripartirlo?');
INSERT INTO `lang_definitions` VALUES (122976, 10042, 23, 'registrato con successo.');
INSERT INTO `lang_definitions` VALUES (122977, 10044, 23, 'Aggiornamento del database riuscito.');
INSERT INTO `lang_definitions` VALUES (122978, 10045, 23, 'Il database seguente è stato aggiornato con successo');
INSERT INTO `lang_definitions` VALUES (122979, 10046, 23, 'con successo.');
INSERT INTO `lang_definitions` VALUES (122980, 10049, 23, 'Suicidio');
INSERT INTO `lang_definitions` VALUES (122981, 10051, 23, 'Sommario');
INSERT INTO `lang_definitions` VALUES (122982, 10052, 23, 'Sommario di');
INSERT INTO `lang_definitions` VALUES (122983, 10058, 23, 'Dom');
INSERT INTO `lang_definitions` VALUES (122984, 10059, 23, 'Sundanese');
INSERT INTO `lang_definitions` VALUES (122985, 10060, 23, 'Domenica');
INSERT INTO `lang_definitions` VALUES (122986, 10061, 23, 'Superbill');
INSERT INTO `lang_definitions` VALUES (122987, 10062, 23, 'Codici Superbill');
INSERT INTO `lang_definitions` VALUES (122988, 10063, 23, 'Amministrazione codici Superbill');
INSERT INTO `lang_definitions` VALUES (122989, 10065, 23, 'Report Superbill');
INSERT INTO `lang_definitions` VALUES (122990, 10066, 23, 'Superbill/Foglio pagamento');
INSERT INTO `lang_definitions` VALUES (122991, 10067, 23, 'Superbills');
INSERT INTO `lang_definitions` VALUES (122992, 10068, 23, 'Superbills, a volte indicato come incontro moduli o slitta Itinerario, sono una parte essenziale della maggior parte delle pratiche mediche.');
INSERT INTO `lang_definitions` VALUES (122993, 10069, 23, 'Superutente');
INSERT INTO `lang_definitions` VALUES (122994, 10071, 23, 'Supervisione');
INSERT INTO `lang_definitions` VALUES (122995, 10073, 23, 'Supervisione Medico DEA');
INSERT INTO `lang_definitions` VALUES (122996, 10074, 23, 'Nome Supervisione Medico');
INSERT INTO `lang_definitions` VALUES (122997, 10075, 23, 'Cognome Supervisione Medico');
INSERT INTO `lang_definitions` VALUES (122998, 10076, 23, 'Supervisione Medico NPI');
INSERT INTO `lang_definitions` VALUES (122999, 10077, 23, 'Supervisione Medico UPIN');
INSERT INTO `lang_definitions` VALUES (123000, 10081, 23, 'Nome struttura fornitore');
INSERT INTO `lang_definitions` VALUES (123001, 10082, 23, 'Supporto eventi del calendario che si applicano a più provider');
INSERT INTO `lang_definitions` VALUES (123002, 10083, 23, 'Supporto esportazione/importazione dei dati di configurazione tramite la pagina Backup.');
INSERT INTO `lang_definitions` VALUES (123003, 10084, 23, 'Supporto Multi-Fornitori Eventi');
INSERT INTO `lang_definitions` VALUES (123004, 10088, 23, 'Supporta solo cifratura/decifratura TrpleDES');
INSERT INTO `lang_definitions` VALUES (123005, 10090, 23, 'Tipo di superficie');
INSERT INTO `lang_definitions` VALUES (123006, 10092, 23, 'Chirurghi');
INSERT INTO `lang_definitions` VALUES (123007, 10093, 23, 'Chirurgia');
INSERT INTO `lang_definitions` VALUES (123008, 10094, 23, 'Emissione lista chirurgica');
INSERT INTO `lang_definitions` VALUES (123009, 10095, 23, 'Sospeso');
INSERT INTO `lang_definitions` VALUES (123010, 10096, 23, 'sospensione');
INSERT INTO `lang_definitions` VALUES (123011, 10098, 23, 'Data Svc');
INSERT INTO `lang_definitions` VALUES (123012, 10099, 23, 'Data Svc:');
INSERT INTO `lang_definitions` VALUES (123013, 10100, 23, 'Swahili');
INSERT INTO `lang_definitions` VALUES (123014, 10101, 23, 'Swati');
INSERT INTO `lang_definitions` VALUES (123015, 10102, 23, 'Sudorazione:');
INSERT INTO `lang_definitions` VALUES (123016, 10103, 23, 'Svedese');
INSERT INTO `lang_definitions` VALUES (123017, 10104, 23, 'Gonfiore');
INSERT INTO `lang_definitions` VALUES (123018, 10105, 23, 'Gonfiore destro');
INSERT INTO `lang_definitions` VALUES (123019, 10106, 23, 'Articolazioni gonfie');
INSERT INTO `lang_definitions` VALUES (123020, 10107, 23, 'Ingrossamento dei linfonodi');
INSERT INTO `lang_definitions` VALUES (123021, 10108, 23, 'Simbolo usato come punto decimale per la moneta. Non usato se i posti decimali sono 0.');
INSERT INTO `lang_definitions` VALUES (123022, 10109, 23, 'Simbolo usato per separare le migliaia nella moneta.');
INSERT INTO `lang_definitions` VALUES (123023, 10110, 23, 'Sintomi');
INSERT INTO `lang_definitions` VALUES (123024, 10111, 23, 'Sincronizza');
INSERT INTO `lang_definitions` VALUES (123025, 10112, 23, 'Sincronizza le traduzioni con la tabella custom della lingua.');
INSERT INTO `lang_definitions` VALUES (123026, 10113, 23, 'Nuova costante custom sincronizzata:');
INSERT INTO `lang_definitions` VALUES (123027, 10114, 23, 'Nuova lingua custom sincronizzata:');
INSERT INTO `lang_definitions` VALUES (123028, 10115, 23, 'Nuova definizione sincronizzata (Lingua, Costante, Definizione):');
INSERT INTO `lang_definitions` VALUES (123029, 10116, 23, 'Sincope');
INSERT INTO `lang_definitions` VALUES (123030, 10117, 23, 'Sorveglianza sindromica');
INSERT INTO `lang_definitions` VALUES (123031, 10118, 23, 'Sorveglianza sindromica - Tematiche non riportate');
INSERT INTO `lang_definitions` VALUES (123032, 10119, 23, 'Relazione di Sorveglianza sindromica');
INSERT INTO `lang_definitions` VALUES (123033, 10120, 23, 'Sinovite, contusione, borsite');
INSERT INTO `lang_definitions` VALUES (123034, 10121, 23, 'Sistema');
INSERT INTO `lang_definitions` VALUES (123035, 10128, 23, 'T');
INSERT INTO `lang_definitions` VALUES (123036, 10130, 23, 't.i.d.');
INSERT INTO `lang_definitions` VALUES (123037, 10131, 23, 'T.V.');
INSERT INTO `lang_definitions` VALUES (123038, 10133, 23, 'Tabella');
INSERT INTO `lang_definitions` VALUES (123039, 10137, 23, 'Creazione della tabella fallita');
INSERT INTO `lang_definitions` VALUES (123040, 10138, 23, 'Aggiornamento Tabella fallito');
INSERT INTO `lang_definitions` VALUES (123041, 10139, 23, 'Tabelle');
INSERT INTO `lang_definitions` VALUES (123042, 10140, 23, 'compressa');
INSERT INTO `lang_definitions` VALUES (123043, 10144, 23, 'Tag per incontro');
INSERT INTO `lang_definitions` VALUES (123044, 10146, 23, 'Tagalog');
INSERT INTO `lang_definitions` VALUES (123045, 10147, 23, 'Tahitian');
INSERT INTO `lang_definitions` VALUES (123046, 10148, 23, 'Tajik');
INSERT INTO `lang_definitions` VALUES (123047, 10149, 23, 'Prendere');
INSERT INTO `lang_definitions` VALUES (123048, 10151, 23, 'Prendere l\'assicurazione dalla casella a tendina');
INSERT INTO `lang_definitions` VALUES (123049, 10152, 23, 'Prendere il pagamento dalla casella a tendina');
INSERT INTO `lang_definitions` VALUES (123050, 10153, 23, 'programma di recupero');
INSERT INTO `lang_definitions` VALUES (123051, 10154, 23, 'prende tempo');
INSERT INTO `lang_definitions` VALUES (123052, 10157, 23, 'Area di navigazione in alto');
INSERT INTO `lang_definitions` VALUES (123053, 10158, 23, 'Tamil');
INSERT INTO `lang_definitions` VALUES (123054, 10159, 23, 'Data manomissione');
INSERT INTO `lang_definitions` VALUES (123055, 10160, 23, 'Tampered Checksum');
INSERT INTO `lang_definitions` VALUES (123056, 10161, 23, 'Destinazione e origine DOB(data nascita) non corrispondono');
INSERT INTO `lang_definitions` VALUES (123057, 10162, 23, 'Destinazione e origine pid non possono essere la stessa cosa!');
INSERT INTO `lang_definitions` VALUES (123058, 10163, 23, 'Destinazione e origine SSN non corrispondono');
INSERT INTO `lang_definitions` VALUES (123059, 10164, 23, 'Data destinazione');
INSERT INTO `lang_definitions` VALUES (123060, 10165, 23, 'Destinazione paziente');
INSERT INTO `lang_definitions` VALUES (123061, 10166, 23, 'Il paziente di destinazione non ha DOB(data di nascita)');
INSERT INTO `lang_definitions` VALUES (123062, 10167, 23, 'Destinazione paziente non trovata');
INSERT INTO `lang_definitions` VALUES (123063, 10168, 23, 'Obiettivo/Azione di gruppo');
INSERT INTO `lang_definitions` VALUES (123064, 10171, 23, 'Tatar');
INSERT INTO `lang_definitions` VALUES (123065, 10173, 23, 'ID imposta');
INSERT INTO `lang_definitions` VALUES (123066, 10174, 23, 'Aliquota d\'imposta');
INSERT INTO `lang_definitions` VALUES (123067, 10175, 23, 'Imposte');
INSERT INTO `lang_definitions` VALUES (123068, 10176, 23, 'Tassonomia');
INSERT INTO `lang_definitions` VALUES (123069, 10181, 23, 'Td');
INSERT INTO `lang_definitions` VALUES (123070, 10182, 23, 'Squadra infortuni: presentazione');
INSERT INTO `lang_definitions` VALUES (123071, 10183, 23, 'Elenco squadra');
INSERT INTO `lang_definitions` VALUES (123072, 10184, 23, 'Visualizza elenco squadra');
INSERT INTO `lang_definitions` VALUES (123073, 10185, 23, 'Squadra/Equipe');
INSERT INTO `lang_definitions` VALUES (123074, 10187, 23, 'Tel');
INSERT INTO `lang_definitions` VALUES (123075, 10189, 23, 'Prefisso telefonico nazione');
INSERT INTO `lang_definitions` VALUES (123076, 10191, 23, 'Telugu');
INSERT INTO `lang_definitions` VALUES (123077, 10192, 23, 'Temp');
INSERT INTO `lang_definitions` VALUES (123078, 10193, 23, 'Sede Temp');
INSERT INTO `lang_definitions` VALUES (123079, 10194, 23, 'Metodo Temp');
INSERT INTO `lang_definitions` VALUES (123080, 10196, 23, 'Temperatura');
INSERT INTO `lang_definitions` VALUES (123081, 10197, 23, 'Modello');
INSERT INTO `lang_definitions` VALUES (123082, 10198, 23, 'Nome modello');
INSERT INTO `lang_definitions` VALUES (123083, 10199, 23, 'Il nome del modello non può partire con un numero.');
INSERT INTO `lang_definitions` VALUES (123084, 10201, 23, 'Modello:');
INSERT INTO `lang_definitions` VALUES (123085, 10202, 23, 'Modelli');
INSERT INTO `lang_definitions` VALUES (123086, 10205, 23, 'Arteria temporale');
INSERT INTO `lang_definitions` VALUES (123087, 10208, 23, 'Lesione al tendine');
INSERT INTO `lang_definitions` VALUES (123088, 10209, 23, 'Tendinite/osis/borsite');
INSERT INTO `lang_definitions` VALUES (123089, 10211, 23, 'Rif.N.Fattura provvisiorio');
INSERT INTO `lang_definitions` VALUES (123090, 10213, 23, 'Terziario');
INSERT INTO `lang_definitions` VALUES (123091, 10214, 23, 'Terza assicurazione');
INSERT INTO `lang_definitions` VALUES (123092, 10215, 23, 'Data terzassicurazione');
INSERT INTO `lang_definitions` VALUES (123093, 10216, 23, 'Fornitore terza assicurazione');
INSERT INTO `lang_definitions` VALUES (123094, 10219, 23, 'Test di programmazione');
INSERT INTO `lang_definitions` VALUES (123095, 10220, 23, 'Test di sistema');
INSERT INTO `lang_definitions` VALUES (123096, 10223, 23, 'Testo');
INSERT INTO `lang_definitions` VALUES (123097, 10224, 23, 'Testo Diagnosi');
INSERT INTO `lang_definitions` VALUES (123098, 10225, 23, 'Campo testo');
INSERT INTO `lang_definitions` VALUES (123099, 10233, 23, 'Data-testo');
INSERT INTO `lang_definitions` VALUES (123100, 10234, 23, 'data-testo');
INSERT INTO `lang_definitions` VALUES (123101, 10235, 23, 'Area di testo');
INSERT INTO `lang_definitions` VALUES (123102, 10236, 23, 'area di testo');
INSERT INTO `lang_definitions` VALUES (123103, 10237, 23, 'Casella di testo');
INSERT INTO `lang_definitions` VALUES (123104, 10238, 23, 'casella di testo');
INSERT INTO `lang_definitions` VALUES (123105, 10239, 23, 'Elenco di caselle di testo');
INSERT INTO `lang_definitions` VALUES (123106, 10240, 23, 'elenco di caselle di testo');
INSERT INTO `lang_definitions` VALUES (123107, 10241, 23, 'Tahilandese');
INSERT INTO `lang_definitions` VALUES (123108, 10242, 23, 'Grazie');
INSERT INTO `lang_definitions` VALUES (123109, 10245, 23, 'Grazie di averci preferito');
INSERT INTO `lang_definitions` VALUES (123110, 10247, 23, 'Il pulsante \"Pulisci\" rimuoverà tutte le annotazioni.');
INSERT INTO `lang_definitions` VALUES (123111, 10254, 23, 'La dichiarazione di cui sopra è fallita');
INSERT INTO `lang_definitions` VALUES (123112, 10264, 23, 'Il certificato del server SSL Apache e chiave pubblica');
INSERT INTO `lang_definitions` VALUES (123113, 10281, 23, 'Il cetificato dell\'Autorità di certificazione');
INSERT INTO `lang_definitions` VALUES (123114, 10284, 23, 'La richiesta del file:');
INSERT INTO `lang_definitions` VALUES (123115, 10290, 23, 'La compatibilità organizzata del pacchetto estensioni US SNOMED è già stato installato.');
INSERT INTO `lang_definitions` VALUES (123116, 10296, 23, 'La corrispndente chiave privata');
INSERT INTO `lang_definitions` VALUES (123117, 10305, 23, 'Il test di integrità dei dati non è riuscito per il presente modulo');
INSERT INTO `lang_definitions` VALUES (123118, 10322, 23, 'La negazione è il codice');
INSERT INTO `lang_definitions` VALUES (123119, 10323, 23, 'La negazione di gruppo è il codice');
INSERT INTO `lang_definitions` VALUES (123120, 10328, 23, 'Il modulo di destinazione era chiuso');
INSERT INTO `lang_definitions` VALUES (123121, 10330, 23, 'Il modulo di destinazione era chiuso; non posso agire sulla tua slezione.');
INSERT INTO `lang_definitions` VALUES (123122, 10343, 23, 'L\'entità di eseguire questa procedura');
INSERT INTO `lang_definitions` VALUES (123123, 10346, 23, 'Il PE, ospedale ammissibile o CAH che riceve un paziente da un altro contesto di cura o il fornitore di cure o crede che un incontro è rilevante dovrebbe eseguire la riconciliazione farmaci.');
INSERT INTO `lang_definitions` VALUES (123124, 10349, 23, 'Il PE, ospedale o CAH chi transizioni il loro paziente ad un altro contesto di cura o il fornitore di cure o riferisce il loro paziente ad un altro fornitore di cure ammissibile dovrebbero fornire sintesi dei record di cura per ogni transizione di cura e rinvio.');
INSERT INTO `lang_definitions` VALUES (123125, 10350, 23, 'Gli eventi sono stati approvati.');
INSERT INTO `lang_definitions` VALUES (123126, 10351, 23, 'Gli eventi sono stati nascosti.');
INSERT INTO `lang_definitions` VALUES (123127, 10352, 23, 'I dati esportati appaiono nella seguente area di testo. puoi copiarli e incollarli in un email o altra destinazione desiderata.');
INSERT INTO `lang_definitions` VALUES (123128, 10354, 23, 'I dati esportati appaiono nella seguente area di testo. puoi copiarli e incollarli in un email o altra destinazione desiderata.');
INSERT INTO `lang_definitions` VALUES (123129, 10355, 23, 'I dati esportati appaiono nella seguente area di testo. puoi copiarli e incollarli in un email o altra destinazione desiderata.');
INSERT INTO `lang_definitions` VALUES (123130, 10358, 23, 'Il file non può essere salvato nel CouchDB');
INSERT INTO `lang_definitions` VALUES (123131, 10359, 23, 'Non si è potuto rinominare con successo il file, questo errore usualmente è dovuto a problemi di permessi sul sistema di memorizzazione.');
INSERT INTO `lang_definitions` VALUES (123132, 10360, 23, 'Il file non può essere memorizzato con successo, questo errore è di solito correlato a problemi di autorizzazioni sul sistema di archiviazione');
INSERT INTO `lang_definitions` VALUES (123133, 10364, 23, 'Il primo (\"target\") grafico è quello che è considerato il più completo e preciso.Dati demografici e le sessioni per le assicurazioni verranno mantenute.');
INSERT INTO `lang_definitions` VALUES (123134, 10374, 23, 'Il primo passo è quello di aprire un account con il sito web Unified Medical Language System');
INSERT INTO `lang_definitions` VALUES (123135, 10380, 23, 'E\' stato aggiunto il seguente evento di calendario:');
INSERT INTO `lang_definitions` VALUES (123136, 10381, 23, 'E\' stato modificato il seguente evento di calendario:');
INSERT INTO `lang_definitions` VALUES (123137, 10382, 23, 'Le seguenti categorie saranno rimosse dall\'elenco delle categorie');
INSERT INTO `lang_definitions` VALUES (123138, 10383, 23, 'E\' stata installata la seguente release del database');
INSERT INTO `lang_definitions` VALUES (123139, 10384, 23, 'I seguenti documenti sono stati allegati al presente messaggio diretto:');
INSERT INTO `lang_definitions` VALUES (123140, 10386, 23, 'E\' stato caricato il seguente file EDI');
INSERT INTO `lang_definitions` VALUES (123141, 10388, 23, 'E\' attivato il seguente login di emergenza per l\'utente:');
INSERT INTO `lang_definitions` VALUES (123142, 10389, 23, 'Sono avvenuti i seguenti errori');
INSERT INTO `lang_definitions` VALUES (123143, 10390, 23, 'Il campo seguente ha un valore non valido');
INSERT INTO `lang_definitions` VALUES (123144, 10392, 23, 'Sono richiesti i seguenti campi');
INSERT INTO `lang_definitions` VALUES (123145, 10394, 23, 'I campi seguenti sonos stati compilati per inviare la richiesta.');
INSERT INTO `lang_definitions` VALUES (123146, 10395, 23, 'Le seguenti lingue internazionali rilasciate di SNOMED sono supportate');
INSERT INTO `lang_definitions` VALUES (123147, 10397, 23, 'I seguenti problemi hanno gli stessi codici di diagnosi. Questioni dell\'incontro non verranno aggiornate. Si prega di utilizzare, invece, l\'interfaccia di incontro.');
INSERT INTO `lang_definitions` VALUES (123148, 10406, 23, 'L\'hostname della macchina archivio di controllo ATNA.');
INSERT INTO `lang_definitions` VALUES (123149, 10418, 23, 'La finestra iniziale è la pagina di ricerca delle fatture. In testa puoi entrare una origine (p.es. un numero di assegno), la data di pagamento e l\'ammontare dell\'assegno. Il motivo per cui l\'origine e la data di pagamento sono così è che non devi entrarli più e più volte per ciascuna richiesta. L\'ammontare che inserisci decrescerà per ogni fattura che è parte del pagamento, e sperbilmente finirà con zero quando hai finito.');
INSERT INTO `lang_definitions` VALUES (123150, 10420, 23, 'La directory di installazione ha bisogno di essere creata.');
INSERT INTO `lang_definitions` VALUES (123151, 10421, 23, 'La versione di SNOMED internazionale installata non è compatibile con il pacchetto preparato US Extension SNOMED.');
INSERT INTO `lang_definitions` VALUES (123152, 10422, 23, 'La versione di SNOMED Internazionale installata non è aggiornata e non è compatibile con il file US Extension SNOMED preparato.');
INSERT INTO `lang_definitions` VALUES (123153, 10423, 23, 'La versione installata e i file organizzati sono gli stessi.');
INSERT INTO `lang_definitions` VALUES (123154, 10424, 23, 'La versione installata è una versione più recente rispetto ai file organizzato.');
INSERT INTO `lang_definitions` VALUES (123155, 10431, 23, 'L\'etichetta che appare all\'utente sul modulo');
INSERT INTO `lang_definitions` VALUES (123156, 10438, 23, 'La lunghezza non dovrebbe eccedere il seguente numero di caratteri');
INSERT INTO `lang_definitions` VALUES (123157, 10442, 23, 'La fusione non sia avvia finchè SSN e DOB per i due grafici sono identici. DOBs non possono essere vuoti.');
INSERT INTO `lang_definitions` VALUES (123158, 10443, 23, 'Il messaggio non può essere inviato in questo momento.');
INSERT INTO `lang_definitions` VALUES (123159, 10458, 23, 'La nuova categoria sarà una subcategoria di');
INSERT INTO `lang_definitions` VALUES (123160, 10460, 23, 'La nuova password non può essere la stessa dell\'attuale password');
INSERT INTO `lang_definitions` VALUES (123161, 10461, 23, 'I campi della nuova password non sono gli stessi.');
INSERT INTO `lang_definitions` VALUES (123162, 10471, 23, 'Il numero di file organizzati non è corretto. Posizionare solo i file che si desidera installare/aggiornare.');
INSERT INTO `lang_definitions` VALUES (123163, 10472, 23, 'Il numero di file organizzati non è corretto. Posizionare solo i file che si desidera installare/aggiornare.');
INSERT INTO `lang_definitions` VALUES (123164, 10479, 23, 'La pagina verrà reindirizzata alla Demografica. È possibile modificare il campo del paese e fare clic su fino al nuovo NewCrop.');
INSERT INTO `lang_definitions` VALUES (123165, 10482, 23, 'La password deve essere di almeno otto caratteri, e dovrebbe');
INSERT INTO `lang_definitions` VALUES (123166, 10483, 23, 'La password inserita non è corretta');
INSERT INTO `lang_definitions` VALUES (123167, 10486, 23, 'La richiesta di registrazione del paziente è stata registrata.');
INSERT INTO `lang_definitions` VALUES (123168, 10487, 23, 'I promemoria dei pazienti sono stati inviati');
INSERT INTO `lang_definitions` VALUES (123169, 10488, 23, 'I promemoria dei pazienti sono stati aggiornati');
INSERT INTO `lang_definitions` VALUES (123170, 10489, 23, 'Il paziente non è stato registrato in questo modulo');
INSERT INTO `lang_definitions` VALUES (123171, 10493, 23, 'Il pagamento inviato non può andare sotto questa data. Questo assicura che dopo aver emesso il resoconto finale nessuno invii per date precedenti.');
INSERT INTO `lang_definitions` VALUES (123172, 10495, 23, 'Il portale ha dati per questo paziente e formulario. Caricare ora?');
INSERT INTO `lang_definitions` VALUES (123173, 10505, 23, 'Il feed di dati raw di rilascio può essere ottenuto da');
INSERT INTO `lang_definitions` VALUES (123174, 10509, 23, 'Le restanti informazioni seguenti si applicano solo se stai inviando manualmente, o se stai facendo correzioni manuali.');
INSERT INTO `lang_definitions` VALUES (123175, 10512, 23, 'Il documento richiesto non è presente nella posizione prevista sul filesystem o non ci sono autorizzazioni sufficienti per accedervi');
INSERT INTO `lang_definitions` VALUES (123176, 10513, 23, 'Il documento richiesto non è presente nella collocazione attesa sul filesystem oppure non ci sono sufficienti permessi per accedervi.');
INSERT INTO `lang_definitions` VALUES (123177, 10524, 23, 'Il secondo grafico (\"origine\") avrà le sue sezioni demografia, cronologia e assicurazioni scartati. Gli altri suoi dati saranno uniti nel grafico di destinazione.');
INSERT INTO `lang_definitions` VALUES (123178, 10537, 23, 'Le colonne Origine e Data sono copiate dalla prima pagina, così normalemente non le dovrai toccare. Puoi mettere un ammontare di pagamento nella colonna Paga, una rimodulazione dell\'importo nella colonna Rimodula, o entrambe. Puoi anche cliccare la \"W\" sulla destra per calcolare automaticamente una valore rimodulazione che emetta il promemoria del costo per quell\'elemento della linea.');
INSERT INTO `lang_definitions` VALUES (123179, 10540, 23, 'Le date di rilascio dei file organizzati non sono tutti della stessa versione.');
INSERT INTO `lang_definitions` VALUES (123180, 10541, 23, 'Le revisioni dei file organizzati non sono tutti della stessa versione.');
INSERT INTO `lang_definitions` VALUES (123181, 10542, 23, 'Il pacchetto organizzato US Extension SNOMED può essere installato soltanto dopo aver installato il pacchetto di SNOMED internazionale.');
INSERT INTO `lang_definitions` VALUES (123182, 10557, 23, 'La granularità del tempo dell\'agenda e il più piccolo intervallo in minuti per la durata di un appuntamento (slot).');
INSERT INTO `lang_definitions` VALUES (123183, 10562, 23, 'La traduzione dell\'etichetta che apparirà nela lingua corrente');
INSERT INTO `lang_definitions` VALUES (123184, 10563, 23, 'La traduzione del Titolo che apparirà nella lingua corrente');
INSERT INTO `lang_definitions` VALUES (123185, 10564, 23, 'La traduzione della descrizione nella lingua corrente');
INSERT INTO `lang_definitions` VALUES (123186, 10565, 23, 'Le tabelle delle traduzioni sono sincronizzate');
INSERT INTO `lang_definitions` VALUES (123187, 10566, 23, 'Il tipo di questa entità');
INSERT INTO `lang_definitions` VALUES (123188, 10586, 23, 'Il codice specifico del ventitore identificante questa procedura o risultato');
INSERT INTO `lang_definitions` VALUES (123189, 10591, 23, 'Il file X12, nonché i rapporti di output HTML risultante vengono archiviati nell\'\"era\" della directory di installazione OpenEMR principale. Si vuole fare riferimento a questi archivi di volta in volta. L\'URL è');
INSERT INTO `lang_definitions` VALUES (123190, 10593, 23, 'Il file zip contine i seguenti elementi');
INSERT INTO `lang_definitions` VALUES (123191, 10594, 23, 'Tema');
INSERT INTO `lang_definitions` VALUES (123192, 10600, 23, 'Poi la fornitura di dati raw di rilascio può essere ottenuto da');
INSERT INTO `lang_definitions` VALUES (123193, 10601, 23, 'Terapia iniettiva');
INSERT INTO `lang_definitions` VALUES (123194, 10607, 23, 'Ci sono');
INSERT INTO `lang_definitions` VALUES (123195, 10610, 23, 'Attualmente non ci sono prescrizioni.');
INSERT INTO `lang_definitions` VALUES (123196, 10611, 23, 'Ci sono errori nel tuo inserimento. Sono descritti d seguito.');
INSERT INTO `lang_definitions` VALUES (123197, 10614, 23, 'Ci sono più pazienti con login al portale');
INSERT INTO `lang_definitions` VALUES (123198, 10616, 23, 'Non ci sono grafici estratti.');
INSERT INTO `lang_definitions` VALUES (123199, 10618, 23, 'Non ci sono informative registrate per questo paziente.');
INSERT INTO `lang_definitions` VALUES (123200, 10621, 23, 'Non ci sono nuovi inserimenti');
INSERT INTO `lang_definitions` VALUES (123201, 10622, 23, 'Non ci sono note sul file per questo paziente.');
INSERT INTO `lang_definitions` VALUES (123202, 10624, 23, 'Non ci sono transazioni sul file per questo paziente.');
INSERT INTO `lang_definitions` VALUES (123203, 10639, 23, 'C\'è stato un errore di posta elettronica nell\'invio a');
INSERT INTO `lang_definitions` VALUES (123204, 10642, 23, 'C\'è già una categoria denominata');
INSERT INTO `lang_definitions` VALUES (123205, 10643, 23, 'C\'è già una subcategoria denominata');
INSERT INTO `lang_definitions` VALUES (123206, 10644, 23, 'C\'è già un elemento denominato');
INSERT INTO `lang_definitions` VALUES (123207, 10645, 23, 'C\'è già una richiesta di record del paziente aperta.');
INSERT INTO `lang_definitions` VALUES (123208, 10646, 23, 'Non vi è alcuna voce COA per conto AR');
INSERT INTO `lang_definitions` VALUES (123209, 10647, 23, 'Non vi è alcuna voce COA per conto di cassa');
INSERT INTO `lang_definitions` VALUES (123210, 10648, 23, 'Non vi è alcuna voce COA per conto economico');
INSERT INTO `lang_definitions` VALUES (123211, 10649, 23, 'Non c\'è un paziente corrente');
INSERT INTO `lang_definitions` VALUES (123212, 10650, 23, 'Non ci sono contenuti locali per questo argomento.');
INSERT INTO `lang_definitions` VALUES (123213, 10651, 23, 'Non ci sono corrispondenze per la fattura id');
INSERT INTO `lang_definitions` VALUES (123214, 10652, 23, 'Non ci sono corrispondenze per la fattura id=');
INSERT INTO `lang_definitions` VALUES (123215, 10653, 23, 'Non vi è alcuna voce componenti per i servizi di ID');
INSERT INTO `lang_definitions` VALUES (123216, 10654, 23, 'Non vi è alcun paziente con login al portale');
INSERT INTO `lang_definitions` VALUES (123217, 10655, 23, 'C\'è stato un errore nell\'invio del messaggio.');
INSERT INTO `lang_definitions` VALUES (123218, 10656, 23, 'C\'è stato un errore mentre elaboravo la richiesta.');
INSERT INTO `lang_definitions` VALUES (123219, 10657, 23, 'E\' sfuggito un ERRORE in OpenEMR alla seguente stringa');
INSERT INTO `lang_definitions` VALUES (123220, 10661, 23, 'Questi sono i link 2012');
INSERT INTO `lang_definitions` VALUES (123221, 10682, 23, 'Inspessito a destra:');
INSERT INTO `lang_definitions` VALUES (123222, 10683, 23, 'Coscia');
INSERT INTO `lang_definitions` VALUES (123223, 10684, 23, 'Coscia + tendine');
INSERT INTO `lang_definitions` VALUES (123224, 10685, 23, 'Cose di back office che si possono solo leggere');
INSERT INTO `lang_definitions` VALUES (123225, 10686, 23, 'Cose di back office che si possono leggere e inserire, ma non modificare');
INSERT INTO `lang_definitions` VALUES (123226, 10687, 23, 'Cose di back office che si possono leggere e modificare');
INSERT INTO `lang_definitions` VALUES (123227, 10688, 23, 'Cose di back office che si possono leggere e modificare parzialmente');
INSERT INTO `lang_definitions` VALUES (123228, 10689, 23, 'Le cose che i medici possono solo leggere');
INSERT INTO `lang_definitions` VALUES (123229, 10690, 23, 'Le cose che i medici possono leggere e inserire, ma non modificare');
INSERT INTO `lang_definitions` VALUES (123230, 10691, 23, 'Le cose che i medici possono leggere e modificare');
INSERT INTO `lang_definitions` VALUES (123231, 10692, 23, 'Le cose che i medici possono leggere e modificare parzialmente');
INSERT INTO `lang_definitions` VALUES (123232, 10693, 23, 'Cose che lo sportello può solo leggere');
INSERT INTO `lang_definitions` VALUES (123233, 10694, 23, 'Cose che lo sportello può leggere e inserire ma non modificare');
INSERT INTO `lang_definitions` VALUES (123234, 10695, 23, 'Cose che lo sportello può leggere e modificare');
INSERT INTO `lang_definitions` VALUES (123235, 10696, 23, 'Cose che lo sportello può leggere e modificare parzialmente');
INSERT INTO `lang_definitions` VALUES (123236, 10697, 23, 'Cose che i medici possono solo leggere');
INSERT INTO `lang_definitions` VALUES (123237, 10698, 23, 'Cose che i medici possono leggere e inserire ma non modificare');
INSERT INTO `lang_definitions` VALUES (123238, 10699, 23, 'Cose che i medici possono leggere e modificare');
INSERT INTO `lang_definitions` VALUES (123239, 10700, 23, 'Cose che i medici possono leggere e modificare parzialmente');
INSERT INTO `lang_definitions` VALUES (123240, 10701, 23, 'Terzo');
INSERT INTO `lang_definitions` VALUES (123241, 10704, 23, 'Questa azione NON PUO\' essere annullata.');
INSERT INTO `lang_definitions` VALUES (123242, 10705, 23, 'Questa azione non può essere annullata.');
INSERT INTO `lang_definitions` VALUES (123243, 10707, 23, 'Questa azione sarà registrata nei log.');
INSERT INTO `lang_definitions` VALUES (123244, 10712, 23, 'Questo slot appuntamento è già utilizzato, usare comunque?');
INSERT INTO `lang_definitions` VALUES (123245, 10713, 23, 'Questo slot appuntamento non è disponibile, si prega di sceglierne un altro.');
INSERT INTO `lang_definitions` VALUES (123246, 10714, 23, 'Questo anno dell\'agenda');
INSERT INTO `lang_definitions` VALUES (123247, 10715, 23, 'Questa richiesta è stata annullata.');
INSERT INTO `lang_definitions` VALUES (123248, 10716, 23, 'Questa richiesta è stata chiusa.');
INSERT INTO `lang_definitions` VALUES (123249, 10717, 23, 'Questa richiesta è stata respinta. Motivo:');
INSERT INTO `lang_definitions` VALUES (123250, 10718, 23, 'Questa richiesta è stata inoltrata a livello successivo.');
INSERT INTO `lang_definitions` VALUES (123251, 10725, 23, 'Questo tipo di codice non acetta relazioni.');
INSERT INTO `lang_definitions` VALUES (123252, 10727, 23, 'Questo contesto contiene categorie, che saranno eliminate. Vuoi ancora continuare?');
INSERT INTO `lang_definitions` VALUES (123253, 10730, 23, 'Questo determina come gli appuntamenti sono mostrati sul calendario');
INSERT INTO `lang_definitions` VALUES (123254, 10731, 23, 'Questo determina lo schema di colore per gli appuntamenti');
INSERT INTO `lang_definitions` VALUES (123255, 10734, 23, 'Questo Incontro');
INSERT INTO `lang_definitions` VALUES (123256, 10735, 23, 'Questo incontro è stato fatturato. Se avete bisogno di cambiare, deve essere riaperta.');
INSERT INTO `lang_definitions` VALUES (123257, 10737, 23, 'Questo incontro è bloccato. Non puoi aggiungere un nuovo formulario');
INSERT INTO `lang_definitions` VALUES (123258, 10740, 23, 'Questa caratteristica non è ancora disponibile');
INSERT INTO `lang_definitions` VALUES (123259, 10742, 23, 'Questa caratteristica è molto sperimentale e non testata completamente. Usala a tuo rischio!');
INSERT INTO `lang_definitions` VALUES (123260, 10753, 23, 'Qusto numero di fattura è stato cambiato in');
INSERT INTO `lang_definitions` VALUES (123261, 10763, 23, 'Questa è la tabella che confluirà nel grafico principale e quindi cancellato.');
INSERT INTO `lang_definitions` VALUES (123262, 10772, 23, 'Questa è la tabella principale che deve ricevere i dati uniti.');
INSERT INTO `lang_definitions` VALUES (123263, 10784, 23, 'questa posizione');
INSERT INTO `lang_definitions` VALUES (123264, 10786, 23, 'Questo messaggio non viene salvato automaticamente. Copiare e salvarlo a seconda dei casi per il contenuto.');
INSERT INTO `lang_definitions` VALUES (123265, 10788, 23, 'Questo modulo è utilizzato da');
INSERT INTO `lang_definitions` VALUES (123266, 10789, 23, 'Questo modulo è in modo test. Il database non sarà cambiato.');
INSERT INTO `lang_definitions` VALUES (123267, 10792, 23, 'Questo modulo promuove un inserimento efficiente di dati EOB.');
INSERT INTO `lang_definitions` VALUES (123268, 10793, 23, 'Questo mese alla Data');
INSERT INTO `lang_definitions` VALUES (123269, 10797, 23, 'Questo ordine è stato trasmesso in');
INSERT INTO `lang_definitions` VALUES (123270, 10798, 23, 'Questa pagina consente di esaminare ciascuno dei dataloads supportati esterni che è possibile installare e aggiornare. Ogni sezione di seguito può essere espanso facendo clic sull\'intestazione della sezione per esaminare lo stato della base di dati di particolare interesse.');
INSERT INTO `lang_definitions` VALUES (123271, 10799, 23, 'Questa pagina è disattivata per motivi di sicurezza.');
INSERT INTO `lang_definitions` VALUES (123272, 10801, 23, 'Questa pagina includerà in linea la pagina di ingresso,così che non dovrai cliccare per il re-ingresso ogni volta.');
INSERT INTO `lang_definitions` VALUES (123273, 10804, 23, 'Questo paziente non ha attività.');
INSERT INTO `lang_definitions` VALUES (123274, 10805, 23, 'Questo ID del paziente è già in uso!');
INSERT INTO `lang_definitions` VALUES (123275, 10807, 23, 'Questo prodotto consente solo un lotto per magazzino.');
INSERT INTO `lang_definitions` VALUES (123276, 10808, 23, 'Questo protocollo non è implementato');
INSERT INTO `lang_definitions` VALUES (123277, 10809, 23, 'Questo rapporto attualmente funziona solo per i codici ICD9.');
INSERT INTO `lang_definitions` VALUES (123278, 10821, 23, 'Questo passaggio genererà un file che dovrai salvare per usi futuri. Il file non può essere generato di nuovo. Vuoi procedere?');
INSERT INTO `lang_definitions` VALUES (123279, 10822, 23, 'Questo utente non è un membro di alcun gruppo');
INSERT INTO `lang_definitions` VALUES (123280, 10823, 23, 'L\'utente riceverà la notifica di nuovi messaggi in arrivo diretti');
INSERT INTO `lang_definitions` VALUES (123281, 10824, 23, 'Questa utility è sperimentale. Eseguire il backup del database e documenti prima di utilizzarlo!');
INSERT INTO `lang_definitions` VALUES (123282, 10826, 23, 'Questa visita dà inizio all\'uso di un nuovo contraccettivo');
INSERT INTO `lang_definitions` VALUES (123283, 10827, 23, 'Questa visita avrà bisogno di un servizio di GCAC modulo, rinvio o una procedura.');
INSERT INTO `lang_definitions` VALUES (123284, 10828, 23, 'Questo era il modulo Vitali più vecchio, ora deprecato.');
INSERT INTO `lang_definitions` VALUES (123285, 10829, 23, 'Questa settimana alla Data');
INSERT INTO `lang_definitions` VALUES (123286, 10831, 23, 'Questo attiverà la segnalazione CCR (Continuity of Record Care) e CCD (Continuità del documento Care).');
INSERT INTO `lang_definitions` VALUES (123287, 10834, 23, 'Questo consentirà la selezione del debugging della lingua (\'dummy\').');
INSERT INTO `lang_definitions` VALUES (123288, 10838, 23, 'Questo sarà un \"ciclo di prova\" senza aggiornamenti dei dati fisici.');
INSERT INTO `lang_definitions` VALUES (123289, 10843, 23, 'Questo creerà un backup in formato tar inviandolo al tuo browser così che tu possa salvarlo');
INSERT INTO `lang_definitions` VALUES (123290, 10844, 23, 'Questo disattiverà la caratteristica di criptare decriptare documenti, e la nasconderà nella Interfaccia Utente.');
INSERT INTO `lang_definitions` VALUES (123291, 10854, 23, 'Questo forzerà il widget delle fatturazioni nella schermata Sommario Paziente a essere sempre aperto.');
INSERT INTO `lang_definitions` VALUES (123292, 10859, 23, 'Questo vi permette di unire due tabelle pazienti in uno. E\' utile quando un paziente è stato duplicato per errore. Se ciò accade spesso, riparare le vostre procedure di ufficio - non eseguire questa routine!');
INSERT INTO `lang_definitions` VALUES (123293, 10860, 23, 'Ciò non vi impedirà di andare al sito di prescrizioni elettroniche.');
INSERT INTO `lang_definitions` VALUES (123294, 10867, 23, 'Questo userà un elenco immunizzazioni personalizzato piuttosto che l\'elenco immunizzazioni standard CVX');
INSERT INTO `lang_definitions` VALUES (123295, 10871, 23, 'Colonna toracica');
INSERT INTO `lang_definitions` VALUES (123296, 10873, 23, 'Thous/CU.MM');
INSERT INTO `lang_definitions` VALUES (123297, 10878, 23, 'Gola');
INSERT INTO `lang_definitions` VALUES (123298, 10879, 23, 'Cancro alla gola');
INSERT INTO `lang_definitions` VALUES (123299, 10880, 23, 'Intervento per cancro alla gola');
INSERT INTO `lang_definitions` VALUES (123300, 10881, 23, 'Trombosi/Stroke');
INSERT INTO `lang_definitions` VALUES (123301, 10882, 23, 'Gio');
INSERT INTO `lang_definitions` VALUES (123302, 10884, 23, 'Giovedì');
INSERT INTO `lang_definitions` VALUES (123303, 10885, 23, 'Giovedì');
INSERT INTO `lang_definitions` VALUES (123304, 10887, 23, 'Tiroide normale');
INSERT INTO `lang_definitions` VALUES (123305, 10888, 23, 'Problemi alla tiroide');
INSERT INTO `lang_definitions` VALUES (123306, 10890, 23, 'TIA');
INSERT INTO `lang_definitions` VALUES (123307, 10892, 23, 'TID');
INSERT INTO `lang_definitions` VALUES (123308, 10902, 23, 'Ora');
INSERT INTO `lang_definitions` VALUES (123309, 10903, 23, 'Formato di presentazione dell\'ora');
INSERT INTO `lang_definitions` VALUES (123310, 10904, 23, 'Incremento temporale da aggiungere (minuti 1-60)');
INSERT INTO `lang_definitions` VALUES (123311, 10905, 23, 'Selezione dell\'ora');
INSERT INTO `lang_definitions` VALUES (123312, 10907, 23, 'Lo slot di tempo è aperto, salvare l\'evento');
INSERT INTO `lang_definitions` VALUES (123313, 10913, 23, 'Ora dell\'evento fissata');
INSERT INTO `lang_definitions` VALUES (123314, 10914, 23, 'Matrice tempi (N/D)');
INSERT INTO `lang_definitions` VALUES (123315, 10915, 23, 'Testo e timestamp');
INSERT INTO `lang_definitions` VALUES (123316, 10917, 23, 'TIN');
INSERT INTO `lang_definitions` VALUES (123317, 10918, 23, 'Tinnito');
INSERT INTO `lang_definitions` VALUES (123318, 10920, 23, 'Titolo');
INSERT INTO `lang_definitions` VALUES (123319, 10923, 23, 'Titolo V');
INSERT INTO `lang_definitions` VALUES (123320, 10924, 23, 'Le ColTit devono essere un numero tra 1 e 999');
INSERT INTO `lang_definitions` VALUES (123321, 10925, 23, 'Titoli');
INSERT INTO `lang_definitions` VALUES (123322, 10926, 23, 'TM\'S:');
INSERT INTO `lang_definitions` VALUES (123323, 10927, 23, 'TMs/EAMs/EE, ext nose');
INSERT INTO `lang_definitions` VALUES (123324, 10928, 23, 'A');
INSERT INTO `lang_definitions` VALUES (123325, 10929, 23, 'al percorso assoluto del file');
INSERT INTO `lang_definitions` VALUES (123326, 10930, 23, 'A');
INSERT INTO `lang_definitions` VALUES (123327, 10931, 23, 'al percorso assoluto del file');
INSERT INTO `lang_definitions` VALUES (123328, 10936, 23, 'Per aggiunger note clicca');
INSERT INTO `lang_definitions` VALUES (123329, 10937, 23, 'Per aggiunger note, clicca qui');
INSERT INTO `lang_definitions` VALUES (123330, 10938, 23, 'Per l\'area interessata');
INSERT INTO `lang_definitions` VALUES (123331, 10939, 23, 'Per l\'area interessata');
INSERT INTO `lang_definitions` VALUES (123332, 10942, 23, 'Per aprire automaticamente il modulo specificato. Alcune squadre sportive qui usano football_injury_audit');
INSERT INTO `lang_definitions` VALUES (123333, 10944, 23, 'Alla vista Fatturazione');
INSERT INTO `lang_definitions` VALUES (123334, 10945, 23, 'alla categoria');
INSERT INTO `lang_definitions` VALUES (123335, 10947, 23, 'Alla vista Clinica');
INSERT INTO `lang_definitions` VALUES (123336, 10949, 23, 'Al copagamento');
INSERT INTO `lang_definitions` VALUES (123337, 10953, 23, 'Per raddoppiare');
INSERT INTO `lang_definitions` VALUES (123338, 10956, 23, 'Per Dems');
INSERT INTO `lang_definitions` VALUES (123339, 10958, 23, 'Per disabilitare i certificati SSL lato Client, commenta le linee sopradette nel file di configurazione di Apache e setta');
INSERT INTO `lang_definitions` VALUES (123340, 10960, 23, 'Per disabilitare l\'HTTPS, commenta le linee sopradette nel file di configurazione di Apache e riavvia il server Apache');
INSERT INTO `lang_definitions` VALUES (123341, 10965, 23, 'Per abiitare i certificati ssl lato Client');
INSERT INTO `lang_definitions` VALUES (123342, 10966, 23, 'Per abilitare i certificati di autentificazione SSL lato Client, dovrebbe essere abilitato l\'HTTPS');
INSERT INTO `lang_definitions` VALUES (123343, 10970, 23, 'Per abilitare solo l\'HTTPS, effettua i sopraddetti cambiamenti e riavvia il server Apache. Se vuoi configurare anche i certificati lato Client, configurali nella prossima sezione.');
INSERT INTO `lang_definitions` VALUES (123344, 10972, 23, 'Alla cifr');
INSERT INTO `lang_definitions` VALUES (123345, 10973, 23, 'Al filtro per sesso');
INSERT INTO `lang_definitions` VALUES (123346, 10980, 23, 'Allo storico');
INSERT INTO `lang_definitions` VALUES (123347, 10982, 23, 'Alle tematiche');
INSERT INTO `lang_definitions` VALUES (123348, 10984, 23, 'Per collegare questo incontro/consulto a una tematica esistente, clicca il');
INSERT INTO `lang_definitions` VALUES (123349, 10985, 23, 'Per collegare questo incontro/consulto a una tematica esistente, clicca la tematica desiderata soprastante per illuminarla e quindi clicca [Salva. Tieni premuto il pulsante [Ctrl] per selezionare più tematiche.');
INSERT INTO `lang_definitions` VALUES (123350, 10987, 23, 'per entrare di nuovo');
INSERT INTO `lang_definitions` VALUES (123351, 10992, 23, 'Per registrare le informative, clicca');
INSERT INTO `lang_definitions` VALUES (123352, 10997, 23, 'per l\'esecuzione');
INSERT INTO `lang_definitions` VALUES (123353, 11001, 23, 'Per settare l\'accesso https con autentificazione certicata del client, fai quanto segue');
INSERT INTO `lang_definitions` VALUES (123354, 11002, 23, 'Alla Pelle');
INSERT INTO `lang_definitions` VALUES (123355, 11003, 23, 'alla pelle');
INSERT INTO `lang_definitions` VALUES (123356, 11005, 23, 'a questa visita?');
INSERT INTO `lang_definitions` VALUES (123357, 11010, 23, 'A:');
INSERT INTO `lang_definitions` VALUES (123358, 11011, 23, 'A:');
INSERT INTO `lang_definitions` VALUES (123359, 11012, 23, 'TO_CITY');
INSERT INTO `lang_definitions` VALUES (123360, 11013, 23, 'TO_FAX');
INSERT INTO `lang_definitions` VALUES (123361, 11014, 23, 'TO_FNAME');
INSERT INTO `lang_definitions` VALUES (123362, 11015, 23, 'TO_LNAME');
INSERT INTO `lang_definitions` VALUES (123363, 11016, 23, 'TO_MNAME');
INSERT INTO `lang_definitions` VALUES (123364, 11017, 23, 'TO_ORGANIZATION');
INSERT INTO `lang_definitions` VALUES (123365, 11020, 23, 'TO_POSTAL');
INSERT INTO `lang_definitions` VALUES (123366, 11021, 23, 'TO_STATE');
INSERT INTO `lang_definitions` VALUES (123367, 11022, 23, 'TO_STREET');
INSERT INTO `lang_definitions` VALUES (123368, 11023, 23, 'TO_TITLE');
INSERT INTO `lang_definitions` VALUES (123369, 11024, 23, 'TO_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (123370, 11025, 23, 'Tabacco');
INSERT INTO `lang_definitions` VALUES (123371, 11026, 23, 'Tabacco Cessazione Intervento');
INSERT INTO `lang_definitions` VALUES (123372, 11027, 23, 'Tabacco Cessazione Intervento (CQM)');
INSERT INTO `lang_definitions` VALUES (123373, 11028, 23, 'Uso tabacco');
INSERT INTO `lang_definitions` VALUES (123374, 11030, 23, 'Valutazione uso del tabacco (CQM)');
INSERT INTO `lang_definitions` VALUES (123375, 11031, 23, 'Valutazione uso del tabacco (CQM)');
INSERT INTO `lang_definitions` VALUES (123376, 11032, 23, 'Oggi');
INSERT INTO `lang_definitions` VALUES (123377, 11033, 23, 'OGGI');
INSERT INTO `lang_definitions` VALUES (123378, 11034, 23, 'oggi');
INSERT INTO `lang_definitions` VALUES (123379, 11035, 23, 'Saldoi di oggi');
INSERT INTO `lang_definitions` VALUES (123380, 11036, 23, 'Spesae di oggi');
INSERT INTO `lang_definitions` VALUES (123381, 11037, 23, 'Data di oggi');
INSERT INTO `lang_definitions` VALUES (123382, 11038, 23, 'Eventi di oggi');
INSERT INTO `lang_definitions` VALUES (123383, 11044, 23, 'ID Token per il Medical Information Integration, LLC Lab Service Exchange.');
INSERT INTO `lang_definitions` VALUES (123384, 11045, 23, 'ID Token per il supporto LLC Lab Service Exchange OpenEMR.');
INSERT INTO `lang_definitions` VALUES (123385, 11047, 23, 'Tonsillectomia');
INSERT INTO `lang_definitions` VALUES (123386, 11050, 23, 'In alto');
INSERT INTO `lang_definitions` VALUES (123387, 11053, 23, 'Argomento');
INSERT INTO `lang_definitions` VALUES (123388, 11054, 23, 'Totale');
INSERT INTO `lang_definitions` VALUES (123389, 11055, 23, 'totale');
INSERT INTO `lang_definitions` VALUES (123390, 11056, 23, 'Totale azioni attive');
INSERT INTO `lang_definitions` VALUES (123391, 11057, 23, 'Totale dei promemoria attivi dopo l\'aggiornamento');
INSERT INTO `lang_definitions` VALUES (123392, 11058, 23, 'Totale dei promemoria attivi prima dell\'aggiornamento');
INSERT INTO `lang_definitions` VALUES (123393, 11060, 23, 'Totale importo dovuto');
INSERT INTO `lang_definitions` VALUES (123394, 11061, 23, 'Totale importo pagato');
INSERT INTO `lang_definitions` VALUES (123395, 11062, 23, 'Totale saldo dovuto');
INSERT INTO `lang_definitions` VALUES (123396, 11063, 23, 'Spesa totale');
INSERT INTO `lang_definitions` VALUES (123397, 11064, 23, 'Totale spese');
INSERT INTO `lang_definitions` VALUES (123398, 11065, 23, 'Totale clienti');
INSERT INTO `lang_definitions` VALUES (123399, 11067, 23, 'Costo totale');
INSERT INTO `lang_definitions` VALUES (123400, 11068, 23, 'Il totale della ripartizione per il seguente numero di assegno non è completo');
INSERT INTO `lang_definitions` VALUES (123401, 11069, 23, 'Entrate totali');
INSERT INTO `lang_definitions` VALUES (123402, 11070, 23, 'Totale dei promemoria inviati via email falliti');
INSERT INTO `lang_definitions` VALUES (123403, 11071, 23, 'Totale dei promemoria inviati via telefono falliti');
INSERT INTO `lang_definitions` VALUES (123404, 11072, 23, 'Totale per');
INSERT INTO `lang_definitions` VALUES (123405, 11073, 23, 'Totale per');
INSERT INTO `lang_definitions` VALUES (123406, 11074, 23, 'Totale per categoria');
INSERT INTO `lang_definitions` VALUES (123407, 11075, 23, 'Totale dei promemoria non attivati');
INSERT INTO `lang_definitions` VALUES (123408, 11078, 23, 'Totale dei nuovi promemoria');
INSERT INTO `lang_definitions` VALUES (123409, 11079, 23, 'Numero totale appuntamenti');
INSERT INTO `lang_definitions` VALUES (123410, 11081, 23, 'Numero totale di Immunizzazioni');
INSERT INTO `lang_definitions` VALUES (123411, 11082, 23, 'Numero totale di Tematiche');
INSERT INTO `lang_definitions` VALUES (123412, 11084, 23, 'Numero totale di Pazienti');
INSERT INTO `lang_definitions` VALUES (123413, 11087, 23, 'Saldo totale paziente');
INSERT INTO `lang_definitions` VALUES (123414, 11089, 23, 'Totale Pazienti');
INSERT INTO `lang_definitions` VALUES (123415, 11093, 23, 'Totale Record trovati');
INSERT INTO `lang_definitions` VALUES (123416, 11095, 23, 'Totale SRH & Pianificazione familiare');
INSERT INTO `lang_definitions` VALUES (123417, 11096, 23, 'Totale dei promemoria inviati con successo via email');
INSERT INTO `lang_definitions` VALUES (123418, 11097, 23, 'Totale dei promemoria inviati con successo via telefono');
INSERT INTO `lang_definitions` VALUES (123419, 11100, 23, 'Totale dei promemoria non cambiati');
INSERT INTO `lang_definitions` VALUES (123420, 11101, 23, 'Totale dei promemoria non inviati dopo il processo di invio');
INSERT INTO `lang_definitions` VALUES (123421, 11102, 23, 'Totale dei promemoria non inviati dopo l\'aggiornamento');
INSERT INTO `lang_definitions` VALUES (123422, 11103, 23, 'Totale dei promemoria non inviati prima del processo di invio');
INSERT INTO `lang_definitions` VALUES (123423, 11104, 23, 'Totale dei promemoria non inviati prima dell\'aggiornamento');
INSERT INTO `lang_definitions` VALUES (123424, 11105, 23, 'Totale dei promemoria aggiornati');
INSERT INTO `lang_definitions` VALUES (123425, 11106, 23, 'Totali');
INSERT INTO `lang_definitions` VALUES (123426, 11107, 23, 'Totali per');
INSERT INTO `lang_definitions` VALUES (123427, 11108, 23, 'Totali per');
INSERT INTO `lang_definitions` VALUES (123428, 11123, 23, 'to{{range}}');
INSERT INTO `lang_definitions` VALUES (123429, 11135, 23, 'Tipo Addestramento');
INSERT INTO `lang_definitions` VALUES (123430, 11136, 23, 'Transaz');
INSERT INTO `lang_definitions` VALUES (123431, 11137, 23, 'Transazione');
INSERT INTO `lang_definitions` VALUES (123432, 11138, 23, 'transazione');
INSERT INTO `lang_definitions` VALUES (123433, 11139, 23, 'Transazione fallita, quantità insufficiente nel lotto destinazione');
INSERT INTO `lang_definitions` VALUES (123434, 11140, 23, 'Transazione fallita, la quantità è minore di zero');
INSERT INTO `lang_definitions` VALUES (123435, 11142, 23, 'Tipo di transazione');
INSERT INTO `lang_definitions` VALUES (123436, 11143, 23, 'Transazioni');
INSERT INTO `lang_definitions` VALUES (123437, 11144, 23, 'transazioni');
INSERT INTO `lang_definitions` VALUES (123438, 11145, 23, 'Transazioni (scrittura opzionale)');
INSERT INTO `lang_definitions` VALUES (123439, 11151, 23, 'Transazioni/Riferimenti');
INSERT INTO `lang_definitions` VALUES (123440, 11153, 23, 'Trasferimento');
INSERT INTO `lang_definitions` VALUES (123441, 11154, 23, 'Data trasferimento');
INSERT INTO `lang_definitions` VALUES (123442, 11155, 23, 'Trasferimento fallito, quantità insufficiente nel lotto di origine');
INSERT INTO `lang_definitions` VALUES (123443, 11156, 23, 'Sommario trasferimento');
INSERT INTO `lang_definitions` VALUES (123444, 11157, 23, 'Trasferito a');
INSERT INTO `lang_definitions` VALUES (123445, 11160, 23, 'Trasferimenti');
INSERT INTO `lang_definitions` VALUES (123446, 11162, 23, 'Transizione/Trasferimento di cura?');
INSERT INTO `lang_definitions` VALUES (123447, 11163, 23, 'Traduci Controlli di Accesso dei Gruppi');
INSERT INTO `lang_definitions` VALUES (123448, 11164, 23, 'Traduci Categorie Appuntamenti');
INSERT INTO `lang_definitions` VALUES (123449, 11165, 23, 'Traduci Categorie Documento');
INSERT INTO `lang_definitions` VALUES (123450, 11166, 23, 'Traduci i Layout');
INSERT INTO `lang_definitions` VALUES (123451, 11167, 23, 'Traduci Elenchi');
INSERT INTO `lang_definitions` VALUES (123452, 11168, 23, 'Traduci Titoli nota paziente');
INSERT INTO `lang_definitions` VALUES (123453, 11169, 23, 'traduci questo');
INSERT INTO `lang_definitions` VALUES (123454, 11170, 23, 'Traduzione');
INSERT INTO `lang_definitions` VALUES (123455, 11171, 23, 'Traduzioni');
INSERT INTO `lang_definitions` VALUES (123456, 11172, 23, 'Trasmettere');
INSERT INTO `lang_definitions` VALUES (123457, 11175, 23, 'Trasmissione fallita');
INSERT INTO `lang_definitions` VALUES (123458, 11177, 23, 'Trasmettere agli ordini selezionati');
INSERT INTO `lang_definitions` VALUES (123459, 11179, 23, 'Trauma');
INSERT INTO `lang_definitions` VALUES (123460, 11180, 23, 'Trattamento:');
INSERT INTO `lang_definitions` VALUES (123461, 11182, 23, 'Obiettivi del trattamento');
INSERT INTO `lang_definitions` VALUES (123462, 11183, 23, 'Piano di trattamento');
INSERT INTO `lang_definitions` VALUES (123463, 11184, 23, 'Pianificazione del trattamento');
INSERT INTO `lang_definitions` VALUES (123464, 11185, 23, 'Trattamento ricevuto');
INSERT INTO `lang_definitions` VALUES (123465, 11186, 23, 'Trattamento:');
INSERT INTO `lang_definitions` VALUES (123466, 11187, 23, 'Trattamento:');
INSERT INTO `lang_definitions` VALUES (123467, 11189, 23, 'Tendenza');
INSERT INTO `lang_definitions` VALUES (123468, 11190, 23, 'trftime($month_format, mktime(0, 0, 0, $i, 1, 2000)) ); $month_value');
INSERT INTO `lang_definitions` VALUES (123469, 11195, 23, 'Punto di innesco / scomparto sindrome / DOMS / crampi');
INSERT INTO `lang_definitions` VALUES (123470, 11196, 23, 'Trimalleolare');
INSERT INTO `lang_definitions` VALUES (123471, 11199, 23, 'Tronco e addome');
INSERT INTO `lang_definitions` VALUES (123472, 11203, 23, 'Tentativo di creare utenti con nome utente esistente!');
INSERT INTO `lang_definitions` VALUES (123473, 11205, 23, 'tsp');
INSERT INTO `lang_definitions` VALUES (123474, 11207, 23, 'TTS');
INSERT INTO `lang_definitions` VALUES (123475, 11208, 23, 'Tubercolosi');
INSERT INTO `lang_definitions` VALUES (123476, 11209, 23, 'Mar');
INSERT INTO `lang_definitions` VALUES (123477, 11210, 23, 'Mart &amp; Giov');
INSERT INTO `lang_definitions` VALUES (123478, 11211, 23, 'Martedì');
INSERT INTO `lang_definitions` VALUES (123479, 11212, 23, 'Tumore');
INSERT INTO `lang_definitions` VALUES (123480, 11213, 23, 'Turco');
INSERT INTO `lang_definitions` VALUES (123481, 11222, 23, 'due volte al dì');
INSERT INTO `lang_definitions` VALUES (123482, 11226, 23, 'Membrana timpanica');
INSERT INTO `lang_definitions` VALUES (123483, 11227, 23, 'Tipo');
INSERT INTO `lang_definitions` VALUES (123484, 11231, 23, 'Tipo di Id o Nome. Minimo 3 caratteri (incluso gli spazi)');
INSERT INTO `lang_definitions` VALUES (123485, 11238, 23, 'Tipi di colonne mostrate per i risultati della ricerca paziente');
INSERT INTO `lang_definitions` VALUES (123486, 11239, 23, 'Tipo di informativa');
INSERT INTO `lang_definitions` VALUES (123487, 11240, 23, 'Tipo di eventi');
INSERT INTO `lang_definitions` VALUES (123488, 11242, 23, 'Tipo di layout dello schermo');
INSERT INTO `lang_definitions` VALUES (123489, 11243, 23, 'Scrivi o scansiona qui l\'identificatore del paziente');
INSERT INTO `lang_definitions` VALUES (123490, 11248, 23, 'Inserisci il tuo messaggio qui');
INSERT INTO `lang_definitions` VALUES (123491, 11249, 23, 'Tipi di Ordini e Risultati');
INSERT INTO `lang_definitions` VALUES (123492, 11270, 23, 'Codici UCSMC forniti dall\'Università di Calgary Centro di Medicina Sportiva');
INSERT INTO `lang_definitions` VALUES (123493, 11271, 23, 'Ucraino');
INSERT INTO `lang_definitions` VALUES (123494, 11272, 23, 'Ulcerazioni');
INSERT INTO `lang_definitions` VALUES (123495, 11273, 23, 'Colite ulcerosa');
INSERT INTO `lang_definitions` VALUES (123496, 11274, 23, 'Ulcere:');
INSERT INTO `lang_definitions` VALUES (123497, 11278, 23, 'Impossibile creare');
INSERT INTO `lang_definitions` VALUES (123498, 11288, 23, 'Non in grado di corrispondere il pagamento in ar_activity');
INSERT INTO `lang_definitions` VALUES (123499, 11291, 23, 'Non applicato');
INSERT INTO `lang_definitions` VALUES (123500, 11292, 23, 'Non assegnato');
INSERT INTO `lang_definitions` VALUES (123501, 11293, 23, 'Non autorizzato');
INSERT INTO `lang_definitions` VALUES (123502, 11294, 23, 'Accesso non autorizzto alla e-Prescrizione');
INSERT INTO `lang_definitions` VALUES (123503, 11295, 23, 'Accesso non autorizzato.');
INSERT INTO `lang_definitions` VALUES (123504, 11296, 23, 'Non fatturato');
INSERT INTO `lang_definitions` VALUES (123505, 11297, 23, 'Solo non fatturati');
INSERT INTO `lang_definitions` VALUES (123506, 11300, 23, 'sottolinguale');
INSERT INTO `lang_definitions` VALUES (123507, 11303, 23, 'Sottopeso');
INSERT INTO `lang_definitions` VALUES (123508, 11304, 23, 'Non diagnosticato');
INSERT INTO `lang_definitions` VALUES (123509, 11305, 23, 'non distribuito');
INSERT INTO `lang_definitions` VALUES (123510, 11306, 23, 'NON DISTRIBUITO');
INSERT INTO `lang_definitions` VALUES (123511, 11307, 23, 'e non distribuito');
INSERT INTO `lang_definitions` VALUES (123512, 11309, 23, 'Annulla disdetta');
INSERT INTO `lang_definitions` VALUES (123513, 11311, 23, 'Clienti unici');
INSERT INTO `lang_definitions` VALUES (123514, 11312, 23, 'Identificatore leggibile per questo tipo');
INSERT INTO `lang_definitions` VALUES (123515, 11315, 23, 'Nuovi Clienti unici');
INSERT INTO `lang_definitions` VALUES (123516, 11316, 23, 'Identificatore numerico unico per questo tipo');
INSERT INTO `lang_definitions` VALUES (123517, 11317, 23, 'Pazienti visti una volta');
INSERT INTO `lang_definitions` VALUES (123518, 11318, 23, 'Resoconto Pazienti visti una volta');
INSERT INTO `lang_definitions` VALUES (123519, 11319, 23, 'Paz.v. una volta');
INSERT INTO `lang_definitions` VALUES (123520, 11320, 23, 'Unità');
INSERT INTO `lang_definitions` VALUES (123521, 11321, 23, 'Unità');
INSERT INTO `lang_definitions` VALUES (123522, 11322, 23, 'unità');
INSERT INTO `lang_definitions` VALUES (123523, 11323, 23, 'Unità applicabili ai valori dei risultati');
INSERT INTO `lang_definitions` VALUES (123524, 11324, 23, 'Unità per Modulo Visite');
INSERT INTO `lang_definitions` VALUES (123525, 11325, 23, 'Unità deve essere un numero');
INSERT INTO `lang_definitions` VALUES (123526, 11326, 23, 'Unità non definita');
INSERT INTO `lang_definitions` VALUES (123527, 11327, 23, 'Unità/L');
INSERT INTO `lang_definitions` VALUES (123528, 11328, 23, 'Non noto');
INSERT INTO `lang_definitions` VALUES (123529, 11331, 23, 'Non noto se mai fumatore');
INSERT INTO `lang_definitions` VALUES (123530, 11332, 23, 'Sconosciuto o N/D');
INSERT INTO `lang_definitions` VALUES (123531, 11335, 23, 'User id sconosciuto:');
INSERT INTO `lang_definitions` VALUES (123532, 11344, 23, 'scollegare paziente');
INSERT INTO `lang_definitions` VALUES (123533, 11345, 23, 'Compagnia assicurativa senza nome');
INSERT INTO `lang_definitions` VALUES (123534, 11346, 23, 'Non registrato');
INSERT INTO `lang_definitions` VALUES (123535, 11349, 23, 'Deseleziona tutto');
INSERT INTO `lang_definitions` VALUES (123536, 11350, 23, 'Non selezionato');
INSERT INTO `lang_definitions` VALUES (123537, 11351, 23, 'Non specificato');
INSERT INTO `lang_definitions` VALUES (123538, 11352, 23, 'non strutturato');
INSERT INTO `lang_definitions` VALUES (123539, 11354, 23, 'il caricamento del file database NON è SUPPORTATO');
INSERT INTO `lang_definitions` VALUES (123540, 11356, 23, 'fino');
INSERT INTO `lang_definitions` VALUES (123541, 11359, 23, 'archiviazione prematura');
INSERT INTO `lang_definitions` VALUES (123542, 11360, 23, 'Non usato');
INSERT INTO `lang_definitions` VALUES (123543, 11361, 23, 'UOR');
INSERT INTO `lang_definitions` VALUES (123544, 11362, 23, 'Fino a');
INSERT INTO `lang_definitions` VALUES (123545, 11364, 23, 'Prossimi Appuntamenti');
INSERT INTO `lang_definitions` VALUES (123546, 11365, 23, 'Prossimi Eventi');
INSERT INTO `lang_definitions` VALUES (123547, 11366, 23, 'Aggiorna');
INSERT INTO `lang_definitions` VALUES (123548, 11367, 23, 'aggiorna');
INSERT INTO `lang_definitions` VALUES (123549, 11368, 23, 'Aggiornamento attivo');
INSERT INTO `lang_definitions` VALUES (123550, 11371, 23, 'Aggiorna files');
INSERT INTO `lang_definitions` VALUES (123551, 11372, 23, 'Aggiorna info');
INSERT INTO `lang_definitions` VALUES (123552, 11374, 23, 'Aggiorna elenco');
INSERT INTO `lang_definitions` VALUES (123553, 11377, 23, 'Aggiorna il numero del provider');
INSERT INTO `lang_definitions` VALUES (123554, 11378, 23, 'Aggiorna gli elementi selezionati');
INSERT INTO `lang_definitions` VALUES (123555, 11383, 23, 'Aggiorna le seguenti variabili nel file');
INSERT INTO `lang_definitions` VALUES (123556, 11384, 23, 'Aggiorna le informazioni utente.');
INSERT INTO `lang_definitions` VALUES (123557, 11390, 23, 'L\'aggiornamento della democrafica non è autorizzato.');
INSERT INTO `lang_definitions` VALUES (123558, 11391, 23, 'Aggiornamento di default della configurazione globale');
INSERT INTO `lang_definitions` VALUES (123559, 11392, 23, 'Aggiornamento indicatori di versione');
INSERT INTO `lang_definitions` VALUES (123560, 11393, 23, 'AGGIORNA');
INSERT INTO `lang_definitions` VALUES (123561, 11394, 23, 'Aggiorna');
INSERT INTO `lang_definitions` VALUES (123562, 11396, 23, 'Aggiorna il Database');
INSERT INTO `lang_definitions` VALUES (123563, 11398, 23, 'Aggiorna il Database di OpenEMR per includere Procedure, Funzioni e tabelle necessarie al processo di De-identificazione');
INSERT INTO `lang_definitions` VALUES (123564, 11399, 23, 'L\'aggiormamento continuerà');
INSERT INTO `lang_definitions` VALUES (123565, 11400, 23, 'UPIN');
INSERT INTO `lang_definitions` VALUES (123566, 11401, 23, 'Carica');
INSERT INTO `lang_definitions` VALUES (123567, 11406, 23, 'Carica i dati di configurazione');
INSERT INTO `lang_definitions` VALUES (123568, 11407, 23, 'Carica Documento');
INSERT INTO `lang_definitions` VALUES (123569, 11408, 23, 'Caricamento fallito!');
INSERT INTO `lang_definitions` VALUES (123570, 11410, 23, 'Carica immagine in');
INSERT INTO `lang_definitions` VALUES (123571, 11411, 23, 'Carica il file importato:');
INSERT INTO `lang_definitions` VALUES (123572, 11414, 23, 'Carico elaborato con successo');
INSERT INTO `lang_definitions` VALUES (123573, 11415, 23, 'Resoconto caricamento');
INSERT INTO `lang_definitions` VALUES (123574, 11418, 23, 'Carico questo file:');
INSERT INTO `lang_definitions` VALUES (123575, 11421, 23, 'Cliccando su un numero di fattura la \"finestra di registrazione manuale\" appare. Qui è possibile modificare la data di scadenza e le note per la fattura, selezionare l\'utente per il quale stai scrivendo, e selezionare le assicurazioni per la quale tutti i pagamenti previsti sono stati ricevuti. La cosa più importante, per ciascun codice di fatturazione per il quale è stato addebitato un importo, è possibile inserire le informazioni di pagamento e di regolazione.');
INSERT INTO `lang_definitions` VALUES (123576, 11426, 23, 'Al momento della ricerca si sono presentati con una lista delle fatture. È possibile fare clic su uno dei numeri di fattura per aprire una seconda finestra, che è la pagina di immissione dati per la registrazione manuale. Si può anche fare clic sul nome di un paziente se si desidera inserire una nota che il personale front office vedrà quando viene controllato il paziente, ed è possibile selezionare le fatture da visualizzare sulle dichiarazioni dei pazienti e stampare tali dichiarazioni.');
INSERT INTO `lang_definitions` VALUES (123577, 11429, 23, 'braccio superiore');
INSERT INTO `lang_definitions` VALUES (123578, 11432, 23, 'Urgenza');
INSERT INTO `lang_definitions` VALUES (123579, 11436, 23, 'Urina');
INSERT INTO `lang_definitions` VALUES (123580, 11437, 23, 'Gocciolamento di urina');
INSERT INTO `lang_definitions` VALUES (123581, 11438, 23, 'Frequenza urinaria');
INSERT INTO `lang_definitions` VALUES (123582, 11439, 23, 'Esitazione a urinare');
INSERT INTO `lang_definitions` VALUES (123583, 11440, 23, 'Microalbumina urina');
INSERT INTO `lang_definitions` VALUES (123584, 11441, 23, 'Fuoriuscita urina');
INSERT INTO `lang_definitions` VALUES (123585, 11442, 23, 'Urgenza urinaria');
INSERT INTO `lang_definitions` VALUES (123586, 11443, 23, 'URL');
INSERT INTO `lang_definitions` VALUES (123587, 11445, 23, 'URL per il supporto OpenEMR.');
INSERT INTO `lang_definitions` VALUES (123588, 11447, 23, 'URL per il gateway in fonia. Servizio automatico VOIP fornito da Maviq. Per maggiori informazioni viisita http://signup.maviq.com');
INSERT INTO `lang_definitions` VALUES (123589, 11451, 23, 'Utilizzo');
INSERT INTO `lang_definitions` VALUES (123590, 11453, 23, 'Indicatore di uso (ISA15)');
INSERT INTO `lang_definitions` VALUES (123591, 11456, 23, 'Utilizzare % solo in un campo per ordinare solo su quella colonna');
INSERT INTO `lang_definitions` VALUES (123592, 11457, 23, 'Usare il formato del tempo 24 ore?');
INSERT INTO `lang_definitions` VALUES (123593, 11465, 23, 'Utilizzare la tecnologia certificata EHR per identificare specifici del paziente e di fornire risorse educative tali risorse per il paziente se necessario.');
INSERT INTO `lang_definitions` VALUES (123594, 11466, 23, 'Usa pannello costi');
INSERT INTO `lang_definitions` VALUES (123595, 11467, 23, 'Utilizzare CPOE per gli ordini di farmaci immessi direttamente da qualsiasi operatore sanitario abilitato che può inserire gli ordini in cartella clinica per stato, linee guida locali e professionale.');
INSERT INTO `lang_definitions` VALUES (123596, 11474, 23, 'Usa elenco personalizzato Immunizzazione');
INSERT INTO `lang_definitions` VALUES (123597, 11476, 23, 'Usa un intervallo di dati');
INSERT INTO `lang_definitions` VALUES (123598, 11477, 23, 'Usa Default');
INSERT INTO `lang_definitions` VALUES (123599, 11478, 23, 'Usare l\'opzione Elimina per rimuovere.');
INSERT INTO `lang_definitions` VALUES (123600, 11479, 23, 'Usare lo stile della data internazionale?');
INSERT INTO `lang_definitions` VALUES (123601, 11483, 23, 'Usare nome del file sorgente');
INSERT INTO `lang_definitions` VALUES (123602, 11486, 23, 'Usare i campi seguenti per un acquisto o trasferimento.');
INSERT INTO `lang_definitions` VALUES (123603, 11490, 23, 'Usare questa caratteristica solo per siti installati ex novo.');
INSERT INTO `lang_definitions` VALUES (123604, 11493, 23, 'Usare argomenti?');
INSERT INTO `lang_definitions` VALUES (123605, 11496, 23, 'Utente');
INSERT INTO `lang_definitions` VALUES (123606, 11498, 23, 'Utente / Gruppo');
INSERT INTO `lang_definitions` VALUES (123607, 11499, 23, 'Amministrazione Utente');
INSERT INTO `lang_definitions` VALUES (123608, 11500, 23, 'Amministrazione Utenti e Sedi');
INSERT INTO `lang_definitions` VALUES (123609, 11501, 23, 'Amministrazione Utenti e Gruppi');
INSERT INTO `lang_definitions` VALUES (123610, 11503, 23, 'Autenticazione certificata dell\'Utente disabilitata');
INSERT INTO `lang_definitions` VALUES (123611, 11507, 23, 'Definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (123612, 11508, 23, 'Area11 definita dall\'utente');
INSERT INTO `lang_definitions` VALUES (123613, 11509, 23, 'Area12 definita dall\'utente');
INSERT INTO `lang_definitions` VALUES (123614, 11510, 23, 'Campo definito dal');
INSERT INTO `lang_definitions` VALUES (123615, 11511, 23, 'Elenco 1 definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (123616, 11512, 23, 'Elenco 2 definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (123617, 11513, 23, 'Elenco 3 definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (123618, 11514, 23, 'Elenco 4 definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (123619, 11515, 23, 'Elenco 5 definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (123620, 11516, 23, 'Elenco 6 definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (123621, 11517, 23, 'Elenco 7 definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (123622, 11518, 23, 'Testo 1 definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (123623, 11519, 23, 'Testo 2 definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (123624, 11520, 23, 'Testo 3 definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (123625, 11521, 23, 'Testo 4 definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (123626, 11522, 23, 'Testo 5 definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (123627, 11523, 23, 'Testo 6 definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (123628, 11524, 23, 'Testo 7 definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (123629, 11525, 23, 'Testo 8 definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (123630, 11526, 23, 'Nome dell\'utente');
INSERT INTO `lang_definitions` VALUES (123631, 11530, 23, 'Accesso utente (Se 03 sopra, altrimenti lasciare spazi) (ISA02)');
INSERT INTO `lang_definitions` VALUES (123632, 11531, 23, 'Accesso utente indicatore di richiesta (ISA01 ~ uso 00 o 03)');
INSERT INTO `lang_definitions` VALUES (123633, 11532, 23, 'Manuale Utente');
INSERT INTO `lang_definitions` VALUES (123634, 11533, 23, 'Iscrizione Utente');
INSERT INTO `lang_definitions` VALUES (123635, 11534, 23, 'Nome dell\'Utente');
INSERT INTO `lang_definitions` VALUES (123636, 11536, 23, 'Il nome utente o il nome Host non possono essere vuoti');
INSERT INTO `lang_definitions` VALUES (123637, 11537, 23, 'Nome utente o nome Host');
INSERT INTO `lang_definitions` VALUES (123638, 11539, 23, 'Password utente (ISA04 ~ 01 se sopra, altrimenti lasciare spazi)');
INSERT INTO `lang_definitions` VALUES (123639, 11540, 23, 'Password utente richiesto Indicator (ISA03 ~ uso 00 o 01)');
INSERT INTO `lang_definitions` VALUES (123640, 11541, 23, 'Parametri Utente');
INSERT INTO `lang_definitions` VALUES (123641, 11543, 23, 'Parametri specifici dell\'utente');
INSERT INTO `lang_definitions` VALUES (123642, 11544, 23, 'Utente(i) nuova password');
INSERT INTO `lang_definitions` VALUES (123643, 11553, 23, 'Nome utente');
INSERT INTO `lang_definitions` VALUES (123644, 11555, 23, 'Username per il gateway in fonia. Servizio automatizzato fornito da Maviq. Per maggiori informazioni visitare http://signup.maviq.com');
INSERT INTO `lang_definitions` VALUES (123645, 11556, 23, 'Nome utente per il Gateway SMS.');
INSERT INTO `lang_definitions` VALUES (123646, 11557, 23, 'Nome utente per il Gateway SMS.');
INSERT INTO `lang_definitions` VALUES (123647, 11558, 23, 'Nome utente per connessione al CouchDB');
INSERT INTO `lang_definitions` VALUES (123648, 11559, 23, 'Nome utente:');
INSERT INTO `lang_definitions` VALUES (123649, 11560, 23, 'Utenti');
INSERT INTO `lang_definitions` VALUES (123650, 11564, 23, 'Amministrazione Utenti/Gruppi/Logs');
INSERT INTO `lang_definitions` VALUES (123651, 11574, 23, 'usa il formato php <a href=\"http://php.net/strftime\">strftime</a>');
INSERT INTO `lang_definitions` VALUES (123652, 11583, 23, 'UTIs');
INSERT INTO `lang_definitions` VALUES (123653, 11588, 23, 'VACANZA');
INSERT INTO `lang_definitions` VALUES (123654, 11589, 23, 'Vacanza');
INSERT INTO `lang_definitions` VALUES (123655, 11590, 23, 'Vaccino');
INSERT INTO `lang_definitions` VALUES (123656, 11593, 23, 'Anello vaginale');
INSERT INTO `lang_definitions` VALUES (123657, 11594, 23, 'Commiato');
INSERT INTO `lang_definitions` VALUES (123658, 11596, 23, 'convalida');
INSERT INTO `lang_definitions` VALUES (123659, 11609, 23, 'Valore');
INSERT INTO `lang_definitions` VALUES (123660, 11610, 23, 'Valore 1');
INSERT INTO `lang_definitions` VALUES (123661, 11611, 23, 'Valore 2');
INSERT INTO `lang_definitions` VALUES (123662, 11613, 23, 'Il valore dovrebbe essere numerico');
INSERT INTO `lang_definitions` VALUES (123663, 11614, 23, 'Var1');
INSERT INTO `lang_definitions` VALUES (123664, 11615, 23, 'Var2');
INSERT INTO `lang_definitions` VALUES (123665, 11616, 23, 'variabile a uno per l\'esecuzione di de-identificazione di aggiornamento script');
INSERT INTO `lang_definitions` VALUES (123666, 11619, 23, 'Varicella 1');
INSERT INTO `lang_definitions` VALUES (123667, 11620, 23, 'Varicella 2');
INSERT INTO `lang_definitions` VALUES (123668, 11621, 23, 'Vene Varicose');
INSERT INTO `lang_definitions` VALUES (123669, 11623, 23, 'Condizione vascolare');
INSERT INTO `lang_definitions` VALUES (123670, 11624, 23, 'Lesione vascolare');
INSERT INTO `lang_definitions` VALUES (123671, 11625, 23, 'Chirurgia vascolare');
INSERT INTO `lang_definitions` VALUES (123672, 11630, 23, 'Venditore');
INSERT INTO `lang_definitions` VALUES (123673, 11634, 23, 'Versione');
INSERT INTO `lang_definitions` VALUES (123674, 11653, 23, 'Vertigine');
INSERT INTO `lang_definitions` VALUES (123675, 11656, 23, 'Amministrazione veterani');
INSERT INTO `lang_definitions` VALUES (123676, 11657, 23, 'Piano amministrazione veterani');
INSERT INTO `lang_definitions` VALUES (123677, 11659, 23, 'VFC');
INSERT INTO `lang_definitions` VALUES (123678, 11666, 23, 'Vietnamita');
INSERT INTO `lang_definitions` VALUES (123679, 11667, 23, 'Vista');
INSERT INTO `lang_definitions` VALUES (123680, 11668, 23, 'vedi');
INSERT INTO `lang_definitions` VALUES (123681, 11670, 23, 'Vedi Allergie');
INSERT INTO `lang_definitions` VALUES (123682, 11671, 23, 'Vedere il file x12-835 ERA');
INSERT INTO `lang_definitions` VALUES (123683, 11672, 23, 'Vedere testo batch claim x12');
INSERT INTO `lang_definitions` VALUES (123684, 11676, 23, 'Vedi Resoconto completo Paziente');
INSERT INTO `lang_definitions` VALUES (123685, 11677, 23, 'Vedere tabelle CSV');
INSERT INTO `lang_definitions` VALUES (123686, 11679, 23, 'Vedi documento');
INSERT INTO `lang_definitions` VALUES (123687, 11681, 23, 'Vedi incontro');
INSERT INTO `lang_definitions` VALUES (123688, 11682, 23, 'Vedere testo ERA x12');
INSERT INTO `lang_definitions` VALUES (123689, 11683, 23, 'Vedere eventi in una finestra popup?');
INSERT INTO `lang_definitions` VALUES (123690, 11684, 23, 'Strumento di visualizzazione delle informazioni utente specifico');
INSERT INTO `lang_definitions` VALUES (123691, 11686, 23, 'Vedere il file locale x12');
INSERT INTO `lang_definitions` VALUES (123692, 11687, 23, 'Visualizza registro');
INSERT INTO `lang_definitions` VALUES (123693, 11690, 23, 'Vista pagina 1');
INSERT INTO `lang_definitions` VALUES (123694, 11691, 23, 'Vista pagina 2');
INSERT INTO `lang_definitions` VALUES (123695, 11692, 23, 'Mostra promemoria passati e futuri');
INSERT INTO `lang_definitions` VALUES (123696, 11695, 23, 'Vista Paziente');
INSERT INTO `lang_definitions` VALUES (123697, 11700, 23, 'Vedi Incontri correlati');
INSERT INTO `lang_definitions` VALUES (123698, 11701, 23, 'Visualizza Report');
INSERT INTO `lang_definitions` VALUES (123699, 11702, 23, 'Visualizza il file README');
INSERT INTO `lang_definitions` VALUES (123700, 11712, 23, 'Vedi/Modifica Allergie');
INSERT INTO `lang_definitions` VALUES (123701, 11713, 23, 'Vedi/Modifica Tematiche');
INSERT INTO `lang_definitions` VALUES (123702, 11714, 23, 'Viedi/Stampa');
INSERT INTO `lang_definitions` VALUES (123703, 11717, 23, 'Vista:');
INSERT INTO `lang_definitions` VALUES (123704, 11718, 23, 'VISA');
INSERT INTO `lang_definitions` VALUES (123705, 11719, 23, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (123706, 11721, 23, 'Danno viscerale/trauma/intervento');
INSERT INTO `lang_definitions` VALUES (123707, 11728, 23, 'Categoria della Visita');
INSERT INTO `lang_definitions` VALUES (123708, 11729, 23, 'Data della Visita');
INSERT INTO `lang_definitions` VALUES (123709, 11730, 23, 'Data della Visita');
INSERT INTO `lang_definitions` VALUES (123710, 11734, 23, 'Moduli Visita');
INSERT INTO `lang_definitions` VALUES (123711, 11736, 23, 'Storico Visite');
INSERT INTO `lang_definitions` VALUES (123712, 11745, 23, 'Visite');
INSERT INTO `lang_definitions` VALUES (123713, 11746, 23, 'Visite dal:');
INSERT INTO `lang_definitions` VALUES (123714, 11751, 23, 'Segni Vitali');
INSERT INTO `lang_definitions` VALUES (123715, 11752, 23, 'Vitali');
INSERT INTO `lang_definitions` VALUES (123716, 11753, 23, 'Vitali (Metrici)');
INSERT INTO `lang_definitions` VALUES (123717, 11754, 23, 'Opzioni per il modulo Vitali');
INSERT INTO `lang_definitions` VALUES (123718, 11756, 23, 'Voce');
INSERT INTO `lang_definitions` VALUES (123719, 11758, 23, 'Voce inviata');
INSERT INTO `lang_definitions` VALUES (123720, 11763, 23, 'Vomito');
INSERT INTO `lang_definitions` VALUES (123721, 11767, 23, 'W');
INSERT INTO `lang_definitions` VALUES (123722, 11770, 23, 'Circ vita');
INSERT INTO `lang_definitions` VALUES (123723, 11771, 23, 'Circonfernza in vita');
INSERT INTO `lang_definitions` VALUES (123724, 11772, 23, 'In attesa');
INSERT INTO `lang_definitions` VALUES (123725, 11773, 23, 'Entrata');
INSERT INTO `lang_definitions` VALUES (123726, 11776, 23, 'Walt Pennington');
INSERT INTO `lang_definitions` VALUES (123727, 11778, 23, 'Magazzino');
INSERT INTO `lang_definitions` VALUES (123728, 11780, 23, 'Magazzino massimo, 0 se non applicabile');
INSERT INTO `lang_definitions` VALUES (123729, 11781, 23, 'Magazzino minimo. 0 se non applicabile');
INSERT INTO `lang_definitions` VALUES (123730, 11782, 23, 'Magazzini');
INSERT INTO `lang_definitions` VALUES (123731, 11783, 23, 'Caldo');
INSERT INTO `lang_definitions` VALUES (123732, 11786, 23, 'Attenzione');
INSERT INTO `lang_definitions` VALUES (123733, 11787, 23, 'ATTENZIONE');
INSERT INTO `lang_definitions` VALUES (123734, 11789, 23, 'Attenzione: Numero assegno già esistente nel database');
INSERT INTO `lang_definitions` VALUES (123735, 11790, 23, 'Attenzione, il paziente ha codici ambigui nella lista dei problemi!');
INSERT INTO `lang_definitions` VALUES (123736, 11791, 23, 'Attenzione: E\' oggi già stata creata una visita per questo paziente!');
INSERT INTO `lang_definitions` VALUES (123737, 11794, 23, 'ATTENZIONE: Se si utilizza la versione 2012-10-31 spagnolo, notate bene che dovete decomprimerlo una volta prima di metterlo in contrib / SNOMED (questo è perché il file è stato rilasciato  \"double-zip \").');
INSERT INTO `lang_definitions` VALUES (123738, 11796, 23, 'Attenzione: l\'ID paziente non è unico!');
INSERT INTO `lang_definitions` VALUES (123739, 11799, 23, 'ATTENZIONE: Questo sovrascriverà le informazioni della configurazione con i dati del file caricato!');
INSERT INTO `lang_definitions` VALUES (123740, 11801, 23, 'Avvisi di Attenzione');
INSERT INTO `lang_definitions` VALUES (123741, 11803, 23, 'è stato già caricato');
INSERT INTO `lang_definitions` VALUES (123742, 11804, 23, 'non è stato trovato');
INSERT INTO `lang_definitions` VALUES (123743, 11805, 23, 'E\' gradito l\'invito al pagamento di conti dovuti');
INSERT INTO `lang_definitions` VALUES (123744, 11809, 23, 'abbiamo visto il vostro paziente in precedenza per la valutazione e il trattamento presso il nostro ambulatorio psichiatria. Grazie per questo rinvio.');
INSERT INTO `lang_definitions` VALUES (123745, 11821, 23, 'Debolezza');
INSERT INTO `lang_definitions` VALUES (123746, 11826, 23, 'Ricerca Web');
INSERT INTO `lang_definitions` VALUES (123747, 11827, 23, 'Sito Web');
INSERT INTO `lang_definitions` VALUES (123748, 11828, 23, 'Collegamento al sito web del Portale Paziente Onsite.');
INSERT INTO `lang_definitions` VALUES (123749, 11832, 23, 'Mer');
INSERT INTO `lang_definitions` VALUES (123750, 11833, 23, 'Mercoledì');
INSERT INTO `lang_definitions` VALUES (123751, 11834, 23, 'Settimana');
INSERT INTO `lang_definitions` VALUES (123752, 11835, 23, 'settimana');
INSERT INTO `lang_definitions` VALUES (123753, 11836, 23, 'Vista Settimana');
INSERT INTO `lang_definitions` VALUES (123754, 11837, 23, 'Settimana(e)');
INSERT INTO `lang_definitions` VALUES (123755, 11838, 23, 'Esposizione settimanale');
INSERT INTO `lang_definitions` VALUES (123756, 11839, 23, 'settimane');
INSERT INTO `lang_definitions` VALUES (123757, 11840, 23, 'Settimane');
INSERT INTO `lang_definitions` VALUES (123758, 11841, 23, 'Peso');
INSERT INTO `lang_definitions` VALUES (123759, 11842, 23, 'Valutazione del peso e counseling a bambini e adolescenti');
INSERT INTO `lang_definitions` VALUES (123760, 11843, 23, 'Valutazione del peso e counseling a bambini e adolescenti (CMQ)');
INSERT INTO `lang_definitions` VALUES (123761, 11844, 23, 'Cambiamento del Peso');
INSERT INTO `lang_definitions` VALUES (123762, 11845, 23, 'Perdita di Peso');
INSERT INTO `lang_definitions` VALUES (123763, 11846, 23, 'Clinica della perdita di peso');
INSERT INTO `lang_definitions` VALUES (123764, 11847, 23, 'Benvenuto');
INSERT INTO `lang_definitions` VALUES (123765, 11862, 23, 'Cosa bisogna conteggiare?');
INSERT INTO `lang_definitions` VALUES (123766, 11864, 23, 'Respiro affannoso:');
INSERT INTO `lang_definitions` VALUES (123767, 11865, 23, 'Dispnea');
INSERT INTO `lang_definitions` VALUES (123768, 11866, 23, 'Dispnea:');
INSERT INTO `lang_definitions` VALUES (123769, 11882, 23, 'Dove si possono trovare le scansioni correlate o i documenti cartacei?');
INSERT INTO `lang_definitions` VALUES (123770, 11884, 23, 'Se assicurato');
INSERT INTO `lang_definitions` VALUES (123771, 11890, 23, 'Colpo di frusta');
INSERT INTO `lang_definitions` VALUES (123772, 11891, 23, 'Bianca');
INSERT INTO `lang_definitions` VALUES (123773, 11894, 23, 'Chi');
INSERT INTO `lang_definitions` VALUES (123774, 11895, 23, 'Chi ha risposto?');
INSERT INTO `lang_definitions` VALUES (123775, 11897, 23, 'Vedovo(a)');
INSERT INTO `lang_definitions` VALUES (123776, 11898, 23, 'Larghezza');
INSERT INTO `lang_definitions` VALUES (123777, 11900, 23, 'Larghezza in pixel del frame di navigazione sinistro');
INSERT INTO `lang_definitions` VALUES (123778, 11907, 23, 'Se selezionati:');
INSERT INTO `lang_definitions` VALUES (123779, 11908, 23, 'col vecchio nome');
INSERT INTO `lang_definitions` VALUES (123780, 11911, 23, 'A chi possiamo lasciare messaggi?');
INSERT INTO `lang_definitions` VALUES (123781, 11912, 23, 'Trattenuto');
INSERT INTO `lang_definitions` VALUES (123782, 11913, 23, 'entro qualche ora');
INSERT INTO `lang_definitions` VALUES (123783, 11914, 23, 'entro qualche ora:');
INSERT INTO `lang_definitions` VALUES (123784, 11915, 23, 'entro qualche minuto');
INSERT INTO `lang_definitions` VALUES (123785, 11916, 23, 'entro qualche minuto:');
INSERT INTO `lang_definitions` VALUES (123786, 11917, 23, 'Senza servizi');
INSERT INTO `lang_definitions` VALUES (123787, 11918, 23, 'Senza fornitore');
INSERT INTO `lang_definitions` VALUES (123788, 11919, 23, 'Senza Aggiornamento');
INSERT INTO `lang_definitions` VALUES (123789, 11920, 23, 'Testimonianza');
INSERT INTO `lang_definitions` VALUES (123790, 11921, 23, 'sett.');
INSERT INTO `lang_definitions` VALUES (123791, 11922, 23, 'WNL');
INSERT INTO `lang_definitions` VALUES (123792, 11924, 23, 'Donna');
INSERT INTO `lang_definitions` VALUES (123793, 11925, 23, 'Solo donne');
INSERT INTO `lang_definitions` VALUES (123794, 11927, 23, 'Lavoro');
INSERT INTO `lang_definitions` VALUES (123795, 11928, 23, 'NOTE LAVORO');
INSERT INTO `lang_definitions` VALUES (123796, 11929, 23, 'Telefono Lavoro');
INSERT INTO `lang_definitions` VALUES (123797, 11930, 23, 'Numero telefono lavoro');
INSERT INTO `lang_definitions` VALUES (123798, 11931, 23, 'Correlato al lavoro?');
INSERT INTO `lang_definitions` VALUES (123799, 11932, 23, 'Lavoro/Studio/Hobby');
INSERT INTO `lang_definitions` VALUES (123800, 11933, 23, 'Nota Lavoro/Scuola');
INSERT INTO `lang_definitions` VALUES (123801, 11934, 23, 'giono lavorativo');
INSERT INTO `lang_definitions` VALUES (123802, 11935, 23, 'Risarcimento operaio/i');
INSERT INTO `lang_definitions` VALUES (123803, 11936, 23, 'Piano sanitario risarcimento operai');
INSERT INTO `lang_definitions` VALUES (123804, 11937, 23, 'Vecchi lavoratori o coniuge del lavoratore, con piano del gruppo sanitario');
INSERT INTO `lang_definitions` VALUES (123805, 11940, 23, 'Lavorando ... questo può richiedere un minuto.');
INSERT INTO `lang_definitions` VALUES (123806, 11941, 23, 'Peggio');
INSERT INTO `lang_definitions` VALUES (123807, 11942, 23, 'Vuoi l\'importo del saldo da applicare su Account Globale?');
INSERT INTO `lang_definitions` VALUES (123808, 11943, 23, 'Vuoi marcarlo come cancellato?');
INSERT INTO `lang_definitions` VALUES (123809, 11944, 23, 'Vuoi allocarlo?');
INSERT INTO `lang_definitions` VALUES (123810, 11945, 23, 'Vuoi annullare la ripartizione per questo paziente?');
INSERT INTO `lang_definitions` VALUES (123811, 11946, 23, 'Vuoi eliminare la ripartizione del pagamento?');
INSERT INTO `lang_definitions` VALUES (123812, 11947, 23, 'Vuoi eliminare i pagamenti?');
INSERT INTO `lang_definitions` VALUES (123813, 11948, 23, 'Vuoi modificare e completare i pagamenti?');
INSERT INTO `lang_definitions` VALUES (123814, 11949, 23, 'Vuoi modificare i pagamenti?');
INSERT INTO `lang_definitions` VALUES (123815, 11950, 23, 'Vuoi inviare e completare i pagamenti?');
INSERT INTO `lang_definitions` VALUES (123816, 11951, 23, 'Vuoi inviare i pagamenti?');
INSERT INTO `lang_definitions` VALUES (123817, 11952, 23, 'Vuoi salvare?');
INSERT INTO `lang_definitions` VALUES (123818, 11953, 23, 'Polso');
INSERT INTO `lang_definitions` VALUES (123819, 11954, 23, 'Polso e mano');
INSERT INTO `lang_definitions` VALUES (123820, 11955, 23, 'Problemi al polso');
INSERT INTO `lang_definitions` VALUES (123821, 11956, 23, 'scrittura');
INSERT INTO `lang_definitions` VALUES (123822, 11958, 23, 'Cancellare');
INSERT INTO `lang_definitions` VALUES (123823, 11960, 23, 'Imponente');
INSERT INTO `lang_definitions` VALUES (123824, 11963, 23, 'WT');
INSERT INTO `lang_definitions` VALUES (123825, 11966, 23, 'x Cancellato');
INSERT INTO `lang_definitions` VALUES (123826, 11967, 23, 'x Cancellato');
INSERT INTO `lang_definitions` VALUES (123827, 11969, 23, 'Raggi-X');
INSERT INTO `lang_definitions` VALUES (123828, 11970, 23, 'Interpretazione RAGGI-X:');
INSERT INTO `lang_definitions` VALUES (123829, 11971, 23, 'Interpretazione Raggi-X:');
INSERT INTO `lang_definitions` VALUES (123830, 11975, 23, 'solo X12: sostituzione reclamo');
INSERT INTO `lang_definitions` VALUES (123831, 11978, 23, 'X12 Partner');
INSERT INTO `lang_definitions` VALUES (123832, 11979, 23, 'X12 Partners');
INSERT INTO `lang_definitions` VALUES (123833, 11981, 23, 'x12 Text');
INSERT INTO `lang_definitions` VALUES (123834, 11987, 23, 'A');
INSERT INTO `lang_definitions` VALUES (123835, 11988, 23, 'anno');
INSERT INTO `lang_definitions` VALUES (123836, 11989, 23, 'Anno');
INSERT INTO `lang_definitions` VALUES (123837, 11990, 23, 'Vista Annuale');
INSERT INTO `lang_definitions` VALUES (123838, 11991, 23, 'Anno(i)');
INSERT INTO `lang_definitions` VALUES (123839, 11992, 23, 'Anni');
INSERT INTO `lang_definitions` VALUES (123840, 11994, 23, 'Anni o mesi');
INSERT INTO `lang_definitions` VALUES (123841, 11995, 23, 'Anni, mesi e giorni');
INSERT INTO `lang_definitions` VALUES (123842, 11996, 23, 'Si');
INSERT INTO `lang_definitions` VALUES (123843, 11997, 23, 'SI');
INSERT INTO `lang_definitions` VALUES (123844, 11998, 23, 'si');
INSERT INTO `lang_definitions` VALUES (123845, 11999, 23, 'SI!');
INSERT INTO `lang_definitions` VALUES (123846, 12000, 23, 'Si, Elimina e traccia nel log');
INSERT INTO `lang_definitions` VALUES (123847, 12002, 23, 'Si/No');
INSERT INTO `lang_definitions` VALUES (123848, 12003, 23, 'Si:');
INSERT INTO `lang_definitions` VALUES (123849, 12004, 23, 'Yiddish');
INSERT INTO `lang_definitions` VALUES (123850, 12008, 23, 'Stai per sostituire definitivamente il template esistente. Sei sicuro di voler continuare?');
INSERT INTO `lang_definitions` VALUES (123851, 12011, 23, 'Sei nel periodo grazia per l\'ingresso. Cambia la password prima');
INSERT INTO `lang_definitions` VALUES (123852, 12012, 23, 'Non ti è consentito eliminare questo evento');
INSERT INTO `lang_definitions` VALUES (123853, 12013, 23, 'Non ti è consentito modificare questo evento');
INSERT INTO `lang_definitions` VALUES (123854, 12014, 23, 'Non hai l\'autorizzazione per questo');
INSERT INTO `lang_definitions` VALUES (123855, 12016, 23, 'Non sei autorizzato ad accedere a questa squadra.');
INSERT INTO `lang_definitions` VALUES (123856, 12017, 23, 'Non sei autorizzato ad aggiungere/modificare tematiche');
INSERT INTO `lang_definitions` VALUES (123857, 12018, 23, 'Non sei autorizzato a fissare appuntamenti');
INSERT INTO `lang_definitions` VALUES (123858, 12019, 23, 'Non sei autorizzato a vedere questo incontro');
INSERT INTO `lang_definitions` VALUES (123859, 12021, 23, 'Stai scrivendo nei confronti di un vecchio incontro?');
INSERT INTO `lang_definitions` VALUES (123860, 12038, 23, 'Non puoi accedere a questa funzione direttamente');
INSERT INTO `lang_definitions` VALUES (123861, 12050, 23, 'Non puoi accedere a questa pagina direttamente');
INSERT INTO `lang_definitions` VALUES (123862, 12051, 23, 'Non puoi aggiungere un valore vuoto come categoria!');
INSERT INTO `lang_definitions` VALUES (123863, 12052, 23, 'Non puoi aggiungere un valore vuoto come subcategoria!');
INSERT INTO `lang_definitions` VALUES (123864, 12053, 23, 'Non puoi aggiungere un valore in bianco per un elemento!');
INSERT INTO `lang_definitions` VALUES (123865, 12055, 23, 'Non puoi inserire una data futura on un valore di completato pari a SI');
INSERT INTO `lang_definitions` VALUES (123866, 12057, 23, 'Non hai scelto alcuna azione.');
INSERT INTO `lang_definitions` VALUES (123867, 12058, 23, 'Non hai accesso alla vista/modifica di questa nota');
INSERT INTO `lang_definitions` VALUES (123868, 12061, 23, 'Hai tentato di alterare un contenuto bloccato. Rimuovi il blocco se vuoi fare questo. Per sbloccare, rimuovi la linea, \'/*lock::*/\'');
INSERT INTO `lang_definitions` VALUES (123869, 12063, 23, 'Sei uscito con successo.');
INSERT INTO `lang_definitions` VALUES (123870, 12074, 23, 'Puoi caricare solo file di tipo .txt');
INSERT INTO `lang_definitions` VALUES (123871, 12075, 23, 'Opzionalmente è possibile caricare i risultati HL7 da un file');
INSERT INTO `lang_definitions` VALUES (123872, 12076, 23, 'Puoi mettere qui un testo come reclamo di defautl nel modulo Incontro Nuovo Paziente.');
INSERT INTO `lang_definitions` VALUES (123873, 12085, 23, 'Devi inserire una frase chiave per criptare il documento');
INSERT INTO `lang_definitions` VALUES (123874, 12087, 23, 'È necessario inserire la propria password per modificare le password degli utenti. Lascia in bianco per mantenere la password invariata.');
INSERT INTO `lang_definitions` VALUES (123875, 12090, 23, 'Devi prima selezionare o aggiungere un paziente.');
INSERT INTO `lang_definitions` VALUES (123876, 12091, 23, 'Devi prima selezionare o creare un incontro.');
INSERT INTO `lang_definitions` VALUES (123877, 12092, 23, 'Devi selezionare una categoria di visite.');
INSERT INTO `lang_definitions` VALUES (123878, 12093, 23, 'Devi selezionare una categoria di visite.');
INSERT INTO `lang_definitions` VALUES (123879, 12094, 23, 'Devi selezionare qualche campo per continuare.');
INSERT INTO `lang_definitions` VALUES (123880, 12104, 23, 'Si dovrebbe eseguire questo test se questa affermazione sembra generare con successo, ma il file di reclamo effettivo non contiene tutti i dati o solo una parte incompiuta della quantità di dati che essa dovrebbe contenere. E\' ovvio, con affermazioni HCFA perché sono leggibili, con X12 afferma che è un processo più difficile determinare se l\'affermazione è propriamente completa.');
INSERT INTO `lang_definitions` VALUES (123881, 12106, 23, 'Dovresti scegliere almeno un contesto');
INSERT INTO `lang_definitions` VALUES (123882, 12107, 23, 'Dovresti scegliere almeno un fornitore');
INSERT INTO `lang_definitions` VALUES (123883, 12122, 23, 'La data di fine non è valida');
INSERT INTO `lang_definitions` VALUES (123884, 12123, 23, 'L\'evento è stato eliminato.');
INSERT INTO `lang_definitions` VALUES (123885, 12124, 23, 'L\'evento è stato modificato.');
INSERT INTO `lang_definitions` VALUES (123886, 12125, 23, 'L\'evento è stato inserito.');
INSERT INTO `lang_definitions` VALUES (123887, 12127, 23, 'Il file è troppo grande');
INSERT INTO `lang_definitions` VALUES (123888, 12132, 23, 'Il nome dell\'elenco è stato modificato per rispettare i requisiti di denominazione');
INSERT INTO `lang_definitions` VALUES (123889, 12133, 23, 'Il tuo messaggio è stato inviato per la consegna ai');
INSERT INTO `lang_definitions` VALUES (123890, 12134, 23, 'Il nome per questa categoria, procedura o risultato');
INSERT INTO `lang_definitions` VALUES (123891, 12139, 23, 'La tua Password');
INSERT INTO `lang_definitions` VALUES (123892, 12140, 23, 'La tua password è scaduta. Si prega di cambiarla.');
INSERT INTO `lang_definitions` VALUES (123893, 12141, 23, 'La tua password scade il');
INSERT INTO `lang_definitions` VALUES (123894, 12143, 23, 'La tua password scade oggi. Cambia la tua password.');
INSERT INTO `lang_definitions` VALUES (123895, 12146, 23, 'La configurazione PostCalendar è stata reimpostata per utilizzare le impostazioni predefinite.');
INSERT INTO `lang_definitions` VALUES (123896, 12147, 23, 'La configurazione PostCalendar è stata aggiornata.');
INSERT INTO `lang_definitions` VALUES (123897, 12148, 23, 'La frequenza di ripetizione deve essere almeno 1');
INSERT INTO `lang_definitions` VALUES (123898, 12149, 23, 'La frequenza di ripetizione deve essere almeno 1');
INSERT INTO `lang_definitions` VALUES (123899, 12151, 23, 'La data di inizio è maggiore della data di fine');
INSERT INTO `lang_definitions` VALUES (123900, 12152, 23, 'La data di inizio non è valida');
INSERT INTO `lang_definitions` VALUES (123901, 12153, 23, 'L\'inserimento è fallito');
INSERT INTO `lang_definitions` VALUES (123902, 12156, 23, 'aaaa-mm-gg');
INSERT INTO `lang_definitions` VALUES (123903, 12157, 23, 'AAAA-MM-GG');
INSERT INTO `lang_definitions` VALUES (123904, 12158, 23, 'aaaa-mm-gg data associata a questo documento');
INSERT INTO `lang_definitions` VALUES (123905, 12159, 23, 'aaaa-mm-gg data distrutta');
INSERT INTO `lang_definitions` VALUES (123906, 12160, 23, 'aaaa-mm-gg data di nascita');
INSERT INTO `lang_definitions` VALUES (123907, 12161, 23, 'aaaa-mm-gg Data di Nascita');
INSERT INTO `lang_definitions` VALUES (123908, 12162, 23, 'aaaa-mm-gg data di scadenza');
INSERT INTO `lang_definitions` VALUES (123909, 12163, 23, 'aaaa-mm-gg Data di insorgenza o di ospedalizzazione');
INSERT INTO `lang_definitions` VALUES (123910, 12164, 23, 'aaaa-mm-gg data di insorgenza, intervento chirurgico o inizio di farmaci');
INSERT INTO `lang_definitions` VALUES (123911, 12165, 23, 'aaaa-mm-gg data di acquisto o di trasferimento');
INSERT INTO `lang_definitions` VALUES (123912, 12166, 23, 'aaaa-mm-gg data di guarigione o di fine del farmaco');
INSERT INTO `lang_definitions` VALUES (123913, 12167, 23, 'aaaa-mm-gg Data di ritorno a giocare');
INSERT INTO `lang_definitions` VALUES (123914, 12168, 23, 'aaaa-mm-gg data della prestazione');
INSERT INTO `lang_definitions` VALUES (123915, 12169, 23, 'aaaa-mm-gg data di questa lettera');
INSERT INTO `lang_definitions` VALUES (123916, 12170, 23, 'aaaa-mm-gg data del ritorno in campo');
INSERT INTO `lang_definitions` VALUES (123917, 12171, 23, 'aaaa-mm-gg data del documento');
INSERT INTO `lang_definitions` VALUES (123918, 12173, 23, 'aaaa-mm-gg data dell\'evento o data di inizio');
INSERT INTO `lang_definitions` VALUES (123919, 12178, 23, 'aaaa-mm-gg hh:mm:ss');
INSERT INTO `lang_definitions` VALUES (123920, 12179, 23, 'aaaa-mm-gg (24) Ore:minuti');
INSERT INTO `lang_definitions` VALUES (123921, 12180, 23, 'aaaa-mm-gg ultima data di questo evento.');
INSERT INTO `lang_definitions` VALUES (123922, 12186, 23, 'Zero');
INSERT INTO `lang_definitions` VALUES (123923, 12188, 23, 'CAP');
INSERT INTO `lang_definitions` VALUES (123924, 12189, 23, 'Codice Postale');
INSERT INTO `lang_definitions` VALUES (123925, 12191, 23, 'CAP/Nazione');
INSERT INTO `lang_definitions` VALUES (123926, 12196, 23, 'Zulu');
INSERT INTO `lang_definitions` VALUES (123927, 12197, 23, 'ma era');
INSERT INTO `lang_definitions` VALUES (123928, 12198, 23, 'Impossibile accedere.');
INSERT INTO `lang_definitions` VALUES (123929, 12199, 23, 'Vuoi veramente eliminare');
INSERT INTO `lang_definitions` VALUES (123930, 12200, 23, 'Farmaco');
INSERT INTO `lang_definitions` VALUES (123931, 12201, 23, 'email non inviate');
INSERT INTO `lang_definitions` VALUES (123932, 12202, 23, 'da');
INSERT INTO `lang_definitions` VALUES (123933, 12203, 23, 'è stato creato.');
INSERT INTO `lang_definitions` VALUES (123934, 12204, 23, 'è stato riaperto.');
INSERT INTO `lang_definitions` VALUES (123935, 12205, 23, 'Storico');
INSERT INTO `lang_definitions` VALUES (123936, 12206, 23, 'non è un numero');
INSERT INTO `lang_definitions` VALUES (123937, 12207, 23, 'è pronto per ri-fatturazione.');
INSERT INTO `lang_definitions` VALUES (123938, 12208, 23, 'LLL:');
INSERT INTO `lang_definitions` VALUES (123939, 12209, 23, 'Lot');
INSERT INTO `lang_definitions` VALUES (123940, 12210, 23, 'Riferimento originale n. della medicazione');
INSERT INTO `lang_definitions` VALUES (123941, 12211, 23, 'min');
INSERT INTO `lang_definitions` VALUES (123942, 12212, 23, 'non trovato!');
INSERT INTO `lang_definitions` VALUES (123943, 12213, 23, 'Peculiarità in molti browser possono significare che l\'uscita di sotto entra nel vostro schermo a scatti improvvisi e che ci sono lunghe pause di alcuni secondi in cui appare come se le cose potrebbero essere arrestato. Questo non è il caso, alla fine vedrete uscita uscendo riga per riga. Ci può essere una sequenza di numeri che appaiono qui sotto, questo sta ad indicare che, anche se non altro può essere visualizzato non vi è attività in corso. Questi numeri sono inframmezzati con il contenuto della fatturazione e che è normale.');
INSERT INTO `lang_definitions` VALUES (123944, 12214, 23, 'la prescrizione ha raggiunto i suoi limiti di');
INSERT INTO `lang_definitions` VALUES (123945, 12215, 23, 'fino');
INSERT INTO `lang_definitions` VALUES (123946, 12216, 23, 'aggornamento fallito, non presente nel database?');
INSERT INTO `lang_definitions` VALUES (123947, 12217, 23, 'è stato segnato come fatturato soltanto.');
INSERT INTO `lang_definitions` VALUES (123948, 12218, 23, 'è stato accodato con successo.');
INSERT INTO `lang_definitions` VALUES (123949, 12219, 23, '! Left w/o visit');
INSERT INTO `lang_definitions` VALUES (123950, 12220, 23, '\" per codice ');
INSERT INTO `lang_definitions` VALUES (123951, 12221, 23, '\" È\' selezionata nelle impostazioni PostCalendar!');
INSERT INTO `lang_definitions` VALUES (123952, 12222, 23, '# Ins/fin issue');
INSERT INTO `lang_definitions` VALUES (123953, 12223, 23, '# di compresse:');
INSERT INTO `lang_definitions` VALUES (123954, 12224, 23, '$');
INSERT INTO `lang_definitions` VALUES (123955, 12225, 23, '$ Coding done');
INSERT INTO `lang_definitions` VALUES (123956, 12226, 23, '$label (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (123957, 12227, 23, '%');
INSERT INTO `lang_definitions` VALUES (123958, 12228, 23, '% Annullato < 24h');
INSERT INTO `lang_definitions` VALUES (123959, 12229, 23, '% Annullato < 24h');
INSERT INTO `lang_definitions` VALUES (123960, 12230, 23, 'dovrebbe esistere ma non è così.');
INSERT INTO `lang_definitions` VALUES (123961, 12231, 23, '(% corrisponde a qualsiasi stringa, _ corrisponde a qualsiasi carattere)');
INSERT INTO `lang_definitions` VALUES (123962, 12232, 23, '([ctrl] + clic per selezionare più destinatari)');
INSERT INTO `lang_definitions` VALUES (123963, 12233, 23, '(Indietro)');
INSERT INTO `lang_definitions` VALUES (123964, 12234, 23, '(Clicca per modificare)');
INSERT INTO `lang_definitions` VALUES (123965, 12235, 23, '(L\'invio delle email è immediato, mentre Il VOIP automatico è inviato al fornitore del servizio per ulteriore elaborazione)');
INSERT INTO `lang_definitions` VALUES (123966, 12236, 23, '(Altro)');
INSERT INTO `lang_definitions` VALUES (123967, 12237, 23, '(Nuovo Paziente)');
INSERT INTO `lang_definitions` VALUES (123968, 12238, 23, '(Note e Autorizzazioni)');
INSERT INTO `lang_definitions` VALUES (123969, 12239, 23, '(Note Paziente)');
INSERT INTO `lang_definitions` VALUES (123970, 12240, 23, '(Seleziona una di queste, o scrivi un nuovo titolo)');
INSERT INTO `lang_definitions` VALUES (123971, 12241, 23, '(Maiusc.)Click o trascina per cambiare il valore');
INSERT INTO `lang_definitions` VALUES (123972, 12242, 23, '* Promemoria fatto');
INSERT INTO `lang_definitions` VALUES (123973, 12243, 23, '** Sposta gli interventi alle Tematiche!!');
INSERT INTO `lang_definitions` VALUES (123974, 12244, 23, '*Richiesto');
INSERT INTO `lang_definitions` VALUES (123975, 12245, 23, '+ Chart pulled');
INSERT INTO `lang_definitions` VALUES (123976, 12249, 23, '- Nessuno');
INSERT INTO `lang_definitions` VALUES (123977, 12251, 23, '-- Tutto --');
INSERT INTO `lang_definitions` VALUES (123978, 12252, 23, '--Seleziona Ruolo--');
INSERT INTO `lang_definitions` VALUES (123979, 12253, 23, '.');
INSERT INTO `lang_definitions` VALUES (123980, 12254, 23, '0');
INSERT INTO `lang_definitions` VALUES (123981, 12255, 23, '0-10');
INSERT INTO `lang_definitions` VALUES (123982, 12256, 23, '0-24');
INSERT INTO `lang_definitions` VALUES (123983, 12259, 23, '1');
INSERT INTO `lang_definitions` VALUES (123984, 12260, 23, '1 = Nord America. Vedi http://www.wtng.info/ per un elenco degli altri codici nazionali.');
INSERT INTO `lang_definitions` VALUES (123985, 12261, 23, '1 giorno da ora');
INSERT INTO `lang_definitions` VALUES (123986, 12262, 23, '1 mese da ora');
INSERT INTO `lang_definitions` VALUES (123987, 12263, 23, '1 settimana da ora');
INSERT INTO `lang_definitions` VALUES (123988, 12264, 23, '1 anno da ora');
INSERT INTO `lang_definitions` VALUES (123989, 12265, 23, '1.Riposo 2.Ghiaccio per due giorni 3 Compressione, mantieni il bendaggio a meno che il piede non sviluppi insensibilità o colore pallido. 4.Tieni piede e gamba in alto');
INSERT INTO `lang_definitions` VALUES (123990, 12266, 23, '11-14');
INSERT INTO `lang_definitions` VALUES (123991, 12267, 23, '12 hr');
INSERT INTO `lang_definitions` VALUES (123992, 12268, 23, '15-19');
INSERT INTO `lang_definitions` VALUES (123993, 12272, 23, '2');
INSERT INTO `lang_definitions` VALUES (123994, 12273, 23, '2 giorni da ora');
INSERT INTO `lang_definitions` VALUES (123995, 12274, 23, '2 mesi da ora');
INSERT INTO `lang_definitions` VALUES (123996, 12275, 23, '2 settimane da ora');
INSERT INTO `lang_definitions` VALUES (123997, 12276, 23, '2 anni da ora');
INSERT INTO `lang_definitions` VALUES (123998, 12277, 23, '2-20 anni');
INSERT INTO `lang_definitions` VALUES (123999, 12278, 23, '20-24');
INSERT INTO `lang_definitions` VALUES (124000, 12287, 23, '2111-13');
INSERT INTO `lang_definitions` VALUES (124001, 12288, 23, '24 hr');
INSERT INTO `lang_definitions` VALUES (124002, 12289, 23, '25+');
INSERT INTO `lang_definitions` VALUES (124003, 12290, 23, '25-29');
INSERT INTO `lang_definitions` VALUES (124004, 12293, 23, '2°');
INSERT INTO `lang_definitions` VALUES (124005, 12296, 23, '3 giorni da ora');
INSERT INTO `lang_definitions` VALUES (124006, 12297, 23, '3 mesi');
INSERT INTO `lang_definitions` VALUES (124007, 12298, 23, '3 mesi da ora');
INSERT INTO `lang_definitions` VALUES (124008, 12299, 23, '3 volte al dì');
INSERT INTO `lang_definitions` VALUES (124009, 12300, 23, '3 settimane da ora');
INSERT INTO `lang_definitions` VALUES (124010, 12301, 23, '30-34');
INSERT INTO `lang_definitions` VALUES (124011, 12302, 23, '35-39');
INSERT INTO `lang_definitions` VALUES (124012, 12304, 23, '3°');
INSERT INTO `lang_definitions` VALUES (124013, 12307, 23, '4 giorni da ora');
INSERT INTO `lang_definitions` VALUES (124014, 12308, 23, '4 mesi');
INSERT INTO `lang_definitions` VALUES (124015, 12309, 23, '4 mesi da ora');
INSERT INTO `lang_definitions` VALUES (124016, 12310, 23, '4 volte al dì');
INSERT INTO `lang_definitions` VALUES (124017, 12311, 23, '4 settimane da ora');
INSERT INTO `lang_definitions` VALUES (124018, 12312, 23, '40-44');
INSERT INTO `lang_definitions` VALUES (124019, 12313, 23, '45+');
INSERT INTO `lang_definitions` VALUES (124020, 12314, 23, '465.9, URI');
INSERT INTO `lang_definitions` VALUES (124021, 12315, 23, '466,0, bronchite acuta, NAS');
INSERT INTO `lang_definitions` VALUES (124022, 12316, 23, '486,0, polmonite, acuta');
INSERT INTO `lang_definitions` VALUES (124023, 12317, 23, '491,21, riacutizzazioni BPCO');
INSERT INTO `lang_definitions` VALUES (124024, 12318, 23, '491,8, Bronchite, cronica');
INSERT INTO `lang_definitions` VALUES (124025, 12319, 23, '493,92, asma, Exac acuta.');
INSERT INTO `lang_definitions` VALUES (124026, 12320, 23, '496.0, COPD');
INSERT INTO `lang_definitions` VALUES (124027, 12323, 23, '4°');
INSERT INTO `lang_definitions` VALUES (124028, 12326, 23, '5 giorni da ora');
INSERT INTO `lang_definitions` VALUES (124029, 12327, 23, '5 mesi da ora');
INSERT INTO `lang_definitions` VALUES (124030, 12328, 23, '5 settimane da ora');
INSERT INTO `lang_definitions` VALUES (124031, 12329, 23, '519,7, broncospasmo');
INSERT INTO `lang_definitions` VALUES (124032, 12331, 23, '5°');
INSERT INTO `lang_definitions` VALUES (124033, 12333, 23, '6 giorni da ora');
INSERT INTO `lang_definitions` VALUES (124034, 12334, 23, '6 mesi');
INSERT INTO `lang_definitions` VALUES (124035, 12335, 23, '6 mesi da ora');
INSERT INTO `lang_definitions` VALUES (124036, 12336, 23, '6 settimane da ora');
INSERT INTO `lang_definitions` VALUES (124037, 12337, 23, '6°');
INSERT INTO `lang_definitions` VALUES (124038, 12339, 23, '7 mesi da ora');
INSERT INTO `lang_definitions` VALUES (124039, 12340, 23, '8 mesi da ora');
INSERT INTO `lang_definitions` VALUES (124040, 12342, 23, '824,0 frattura, malleolo mediale, chiuso');
INSERT INTO `lang_definitions` VALUES (124041, 12343, 23, '824,2 frattura, malleolo laterale, chiuso');
INSERT INTO `lang_definitions` VALUES (124042, 12344, 23, '824,6 Frattura, Trimalleolar, chiuso');
INSERT INTO `lang_definitions` VALUES (124043, 12345, 23, '825,32 Frattura, dello scafoide (caviglia)');
INSERT INTO `lang_definitions` VALUES (124044, 12346, 23, '825,35 Frattura, Base del quinto (5 °) del metatarso');
INSERT INTO `lang_definitions` VALUES (124045, 12347, 23, '845,00 Distorsione alla caviglia NOS');
INSERT INTO `lang_definitions` VALUES (124046, 12348, 23, '845,01 distorsione mediale (deltoide) Lig.');
INSERT INTO `lang_definitions` VALUES (124047, 12349, 23, '845,02 Distorsione, perone calcaneare');
INSERT INTO `lang_definitions` VALUES (124048, 12350, 23, '9 mesi da ora');
INSERT INTO `lang_definitions` VALUES (124049, 12351, 23, '99212 Stabilizzato - Senza complicazioni');
INSERT INTO `lang_definitions` VALUES (124050, 12352, 23, '99213 Stabilizzato - Bassa complessità');
INSERT INTO `lang_definitions` VALUES (124051, 12353, 23, '< In sala esami');
INSERT INTO `lang_definitions` VALUES (124052, 12357, 23, '> Uscito(a)');
INSERT INTO `lang_definitions` VALUES (124053, 12359, 23, '?');
INSERT INTO `lang_definitions` VALUES (124054, 12361, 23, '? Non mostrare');
INSERT INTO `lang_definitions` VALUES (124055, 12362, 23, '@ Arrivato');
INSERT INTO `lang_definitions` VALUES (124056, 12364, 23, '[Cambia vista]');
INSERT INTO `lang_definitions` VALUES (124057, 12365, 23, '[Data dell\'ultimo incontro]');
INSERT INTO `lang_definitions` VALUES (124058, 12366, 23, '[Giorni dall\'ultimo incontro]');
INSERT INTO `lang_definitions` VALUES (124059, 12367, 23, '[EOBs]');
INSERT INTO `lang_definitions` VALUES (124060, 12368, 23, '[Export OFX]');
INSERT INTO `lang_definitions` VALUES (124061, 12369, 23, '[non raccomandato]');
INSERT INTO `lang_definitions` VALUES (124062, 12370, 23, '[Numero di Incontri]');
INSERT INTO `lang_definitions` VALUES (124063, 12371, 23, '[Resoconti]');
INSERT INTO `lang_definitions` VALUES (124064, 12372, 23, '[Seleziona Tutto]');
INSERT INTO `lang_definitions` VALUES (124065, 12373, 23, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (124066, 12374, 23, '[Avvio processo batch]');
INSERT INTO `lang_definitions` VALUES (124067, 12375, 23, '[Vedi Log]');
INSERT INTO `lang_definitions` VALUES (124068, 12376, 23, '[Vedi resoconto stampabile]');
INSERT INTO `lang_definitions` VALUES (124069, 12378, 23, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (124070, 12379, 23, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (124071, 12380, 23, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (124072, 12381, 23, '- Arrivato in ritardo');
INSERT INTO `lang_definitions` VALUES (124073, 1, 24, 'एक');
INSERT INTO `lang_definitions` VALUES (124074, 2, 24, 'एक चेक नंबर या claim नंबर भुगतान की पहचान के लिए');
INSERT INTO `lang_definitions` VALUES (124075, 4, 24, 'एक client certificate computer व्यवस्थापक के लिए');
INSERT INTO `lang_definitions` VALUES (124076, 7, 24, 'एक नैदानिक ​​दस्तावेज संलग्न है');
INSERT INTO `lang_definitions` VALUES (124077, 13, 24, 'एक वितरक की आवश्यकता है');
INSERT INTO `lang_definitions` VALUES (124078, 17, 24, 'एक GCAC visit फार्म इस visit के लिए जोड़ा जाना चाहिए.');
INSERT INTO `lang_definitions` VALUES (124079, 20, 24, 'एक lot नंबर की आवश्यकता है');
INSERT INTO `lang_definitions` VALUES (124080, 21, 24, 'एक lot नंबर की आवश्यकता है!');
INSERT INTO `lang_definitions` VALUES (124081, 22, 24, 'एक छोटा अक्षर');
INSERT INTO `lang_definitions` VALUES (124082, 28, 24, 'एक नंबर');
INSERT INTO `lang_definitions` VALUES (124083, 30, 24, 'इस आईडी के साथ एक मरीज ​​पहले से ही मौजूद है.');
INSERT INTO `lang_definitions` VALUES (124084, 31, 24, 'इस नाम के साथ एक मरीज ​​पहले से ही मौजूद है.');
INSERT INTO `lang_definitions` VALUES (124085, 32, 24, 'इस SS के साथ एक मरीज ​​पहले से ही मौजूद है.');
INSERT INTO `lang_definitions` VALUES (124086, 43, 24, 'एक सिफ़ारिश प्रत्येक visit के लिए निर्दिष्ट की जा सकती है.');
INSERT INTO `lang_definitions` VALUES (124087, 44, 24, 'एक संबंधित IPPF कोड की आवश्यकता है!');
INSERT INTO `lang_definitions` VALUES (124088, 49, 24, 'एक विशेष character');
INSERT INTO `lang_definitions` VALUES (124089, 53, 24, 'इस क्षेत्र को पहचान करने के लिए एक अनूठा मूल्य, उपयोगकर्ता नहीं देख सकते हैं');
INSERT INTO `lang_definitions` VALUES (124090, 58, 24, 'प्रात:');
INSERT INTO `lang_definitions` VALUES (124091, 62, 24, 'ए बी');
INSERT INTO `lang_definitions` VALUES (124092, 63, 24, 'संक्षेप');
INSERT INTO `lang_definitions` VALUES (124093, 65, 24, 'उदर');
INSERT INTO `lang_definitions` VALUES (124094, 66, 24, 'वजन चार कदम (4) को सहन करने में सक्षम');
INSERT INTO `lang_definitions` VALUES (124095, 67, 24, 'असामान्य');
INSERT INTO `lang_definitions` VALUES (124096, 68, 24, 'असामान्य 1');
INSERT INTO `lang_definitions` VALUES (124097, 70, 24, 'असामान्य');
INSERT INTO `lang_definitions` VALUES (124098, 71, 24, 'असामान्य रक्त परीक्षण');
INSERT INTO `lang_definitions` VALUES (124099, 72, 24, 'असामान्य बाल विकास');
INSERT INTO `lang_definitions` VALUES (124100, 73, 24, 'असामान्य मेम्मोग्राम');
INSERT INTO `lang_definitions` VALUES (124101, 75, 24, 'गर्भपात');
INSERT INTO `lang_definitions` VALUES (124102, 76, 24, 'गर्भपात संबंधित समस्याएं');
INSERT INTO `lang_definitions` VALUES (124103, 77, 24, 'गर्भपात विधि');
INSERT INTO `lang_definitions` VALUES (124104, 78, 24, 'गर्भपात संबंधी श्रेणियाँ');
INSERT INTO `lang_definitions` VALUES (124105, 79, 24, 'गर्भपात');
INSERT INTO `lang_definitions` VALUES (124106, 82, 24, 'कैलेंडर के बारे में');
INSERT INTO `lang_definitions` VALUES (124107, 85, 24, 'डायग्नोसिस द्वारा absences');
INSERT INTO `lang_definitions` VALUES (124108, 87, 24, 'आवंटित कार्य स्वीकार करें');
INSERT INTO `lang_definitions` VALUES (124109, 89, 24, 'के लिए भुगतान स्वीकार');
INSERT INTO `lang_definitions` VALUES (124110, 90, 24, 'के लिए भुगतान स्वीकार');
INSERT INTO `lang_definitions` VALUES (124111, 91, 24, 'आवंटित कार्य स्वीकार करें');
INSERT INTO `lang_definitions` VALUES (124112, 93, 24, 'एक्सेस नियंत्रण');
INSERT INTO `lang_definitions` VALUES (124113, 94, 24, 'एक्सेस नियंत्रण सूची का प्रशासन');
INSERT INTO `lang_definitions` VALUES (124114, 102, 24, 'अनुमति नहीं');
INSERT INTO `lang_definitions` VALUES (124115, 103, 24, 'प्रवेश अनधिकृत');
INSERT INTO `lang_definitions` VALUES (124116, 105, 24, 'अपने रोगी पोर्टल को एक्सेस करिये');
INSERT INTO `lang_definitions` VALUES (124117, 113, 24, 'खातेदार का नाम');
INSERT INTO `lang_definitions` VALUES (124118, 117, 24, 'अच्कोउन्तिंग');
INSERT INTO `lang_definitions` VALUES (124119, 122, 24, 'दर्द');
INSERT INTO `lang_definitions` VALUES (124120, 124, 24, 'आभार का अनुरोध( (आई एश ए14)');
INSERT INTO `lang_definitions` VALUES (124121, 125, 24, 'अच्क्नोव्लेद्ग्मेंट्स, लाइसेंसिंग और प्रमाणन');
INSERT INTO `lang_definitions` VALUES (124122, 126, 24, 'ए सी ल');
INSERT INTO `lang_definitions` VALUES (124123, 127, 24, 'ए सि ल प्रशासन');
INSERT INTO `lang_definitions` VALUES (124124, 129, 24, 'ए सि ल प्रशासन की अनुमति नहीं है');
INSERT INTO `lang_definitions` VALUES (124125, 133, 24, 'मुँहासा');
INSERT INTO `lang_definitions` VALUES (124126, 136, 24, 'कार्य');
INSERT INTO `lang_definitions` VALUES (124127, 137, 24, 'कार्य की तारीख');
INSERT INTO `lang_definitions` VALUES (124128, 138, 24, 'कार्रवाई');
INSERT INTO `lang_definitions` VALUES (124129, 142, 24, 'कार्रवाई');
INSERT INTO `lang_definitions` VALUES (124130, 144, 24, 'सीसीआर / सीसीडी रिपोर्टिंग सक्रिय करना');
INSERT INTO `lang_definitions` VALUES (124131, 148, 24, 'सक्रिय');
INSERT INTO `lang_definitions` VALUES (124132, 150, 24, 'सक्रिय चेतावनी');
INSERT INTO `lang_definitions` VALUES (124133, 152, 24, 'सक्रिय चेतावनी नियम');
INSERT INTO `lang_definitions` VALUES (124134, 153, 24, 'सक्रिय चेतावनियाँ / अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (124135, 158, 24, 'सक्रिय भेंट');
INSERT INTO `lang_definitions` VALUES (124136, 160, 24, 'सक्रिय सूचियाँ');
INSERT INTO `lang_definitions` VALUES (124137, 162, 24, 'सक्रिय रोगी');
INSERT INTO `lang_definitions` VALUES (124138, 163, 24, 'सक्रिय योजनाएं');
INSERT INTO `lang_definitions` VALUES (124139, 173, 24, 'हलचल');
INSERT INTO `lang_definitions` VALUES (124140, 174, 24, 'गतिविधि प्रकार');
INSERT INTO `lang_definitions` VALUES (124141, 185, 24, 'तीव्र नशा / आहरण');
INSERT INTO `lang_definitions` VALUES (124142, 187, 24, 'पुरानी पर तीव्र');
INSERT INTO `lang_definitions` VALUES (124143, 189, 24, 'जोड़ें');
INSERT INTO `lang_definitions` VALUES (124144, 190, 24, 'जोड़ें');
INSERT INTO `lang_definitions` VALUES (124145, 191, 24, 'जोड़ें');
INSERT INTO `lang_definitions` VALUES (124146, 192, 24, 'एक कंपनी जोड़ें');
INSERT INTO `lang_definitions` VALUES (124147, 197, 24, 'एक फार्मेसी जोड़ें');
INSERT INTO `lang_definitions` VALUES (124148, 200, 24, 'के लिए एक घटना जोड़ें');
INSERT INTO `lang_definitions` VALUES (124149, 202, 24, 'एक नई टिप्पणी के रूप में जोड़ें');
INSERT INTO `lang_definitions` VALUES (124150, 203, 24, 'नए रूप में जोड़ें');
INSERT INTO `lang_definitions` VALUES (124151, 206, 24, 'बटन जोड़ें');
INSERT INTO `lang_definitions` VALUES (124152, 207, 24, 'Add Buttons for Special Chars,Texts to be Displayed on Top of the Editor for inclusion to the text on a Click');
INSERT INTO `lang_definitions` VALUES (124153, 208, 24, 'श्रेणी जोड़ें');
INSERT INTO `lang_definitions` VALUES (124154, 209, 24, 'स्थिर जोड़ें');
INSERT INTO `lang_definitions` VALUES (124155, 210, 24, 'संदर्भ जोड़ें');
INSERT INTO `lang_definitions` VALUES (124156, 211, 24, 'copay जोड़ें');
INSERT INTO `lang_definitions` VALUES (124157, 212, 24, 'मापदंड जोड़ें');
INSERT INTO `lang_definitions` VALUES (124158, 213, 24, 'पसंदीदा बटन जोड़ें');
INSERT INTO `lang_definitions` VALUES (124159, 216, 24, 'निदान जोड़ें');
INSERT INTO `lang_definitions` VALUES (124160, 217, 24, 'दवा जोड़ें');
INSERT INTO `lang_definitions` VALUES (124161, 220, 24, 'भेंट जोड़ें');
INSERT INTO `lang_definitions` VALUES (124162, 221, 24, 'भेंट/टिप्पणी जोड़ें');
INSERT INTO `lang_definitions` VALUES (124163, 222, 24, 'सुविधा केंद्र जोड़ें');
INSERT INTO `lang_definitions` VALUES (124164, 223, 24, 'क्षेत्र जोड़ें');
INSERT INTO `lang_definitions` VALUES (124165, 224, 24, 'अपाचे विन्यास फ़ाइल में निम्नलिखित लाइनें जोड़ें');
INSERT INTO `lang_definitions` VALUES (124166, 225, 24, 'समूह जोड़ें');
INSERT INTO `lang_definitions` VALUES (124167, 227, 24, 'आईसीडी कोड जोड़ें');
INSERT INTO `lang_definitions` VALUES (124168, 228, 24, 'टीकाकरण जोड़ें');
INSERT INTO `lang_definitions` VALUES (124169, 229, 24, 'जोडना अधिकृत नहीं है!');
INSERT INTO `lang_definitions` VALUES (124170, 230, 24, 'अंक जोड़ें');
INSERT INTO `lang_definitions` VALUES (124171, 232, 24, 'भाषा जोड़ें');
INSERT INTO `lang_definitions` VALUES (124172, 238, 24, 'नए जोड़ें');
INSERT INTO `lang_definitions` VALUES (124173, 239, 24, 'नए जोड़ें');
INSERT INTO `lang_definitions` VALUES (124174, 240, 24, 'नई श्रेणी जोड़ें:');
INSERT INTO `lang_definitions` VALUES (124175, 241, 24, 'अपाचे विन्यास फाइल के लिए नया प्रमाणपत्र जोड़ें');
INSERT INTO `lang_definitions` VALUES (124176, 249, 24, 'नया समूह जोड़ें');
INSERT INTO `lang_definitions` VALUES (124177, 251, 24, 'नया लॉट और लेन - देन जोड़ें');
INSERT INTO `lang_definitions` VALUES (124178, 253, 24, 'नई टिप्पणी जोड़ें');
INSERT INTO `lang_definitions` VALUES (124179, 254, 24, 'नई टिप्पणी जोड़ें');
INSERT INTO `lang_definitions` VALUES (124180, 255, 24, 'नया साथी जोड़ें');
INSERT INTO `lang_definitions` VALUES (124181, 264, 24, 'टिप्पणी जोड़ें');
INSERT INTO `lang_definitions` VALUES (124182, 268, 24, 'रोगी रिकॉर्ड जोड़ें');
INSERT INTO `lang_definitions` VALUES (124183, 269, 24, 'पर्चे जोड़ें');
INSERT INTO `lang_definitions` VALUES (124184, 270, 24, 'प्रक्रिया जोड़ें');
INSERT INTO `lang_definitions` VALUES (124185, 271, 24, 'प्रदाता का नंबर जोड़ें');
INSERT INTO `lang_definitions` VALUES (124186, 273, 24, 'पुनर्वसन जोड़ें');
INSERT INTO `lang_definitions` VALUES (124187, 274, 24, 'नियम जोड़ें');
INSERT INTO `lang_definitions` VALUES (124188, 277, 24, 'में जोड़ें');
INSERT INTO `lang_definitions` VALUES (124189, 281, 24, 'दवा सूची में जोड़ें');
INSERT INTO `lang_definitions` VALUES (124190, 282, 24, 'शीर्ष स्तर जोड़ें');
INSERT INTO `lang_definitions` VALUES (124191, 283, 24, 'लेन - देन जोड़ें');
INSERT INTO `lang_definitions` VALUES (124192, 284, 24, 'उपयोगकर्ता का नाम जोड़ें');
INSERT INTO `lang_definitions` VALUES (124193, 285, 24, 'उपयोगकर्ता को समूह में जोड़ें');
INSERT INTO `lang_definitions` VALUES (124194, 287, 24, 'जोड़ें / संपादित करें eRx');
INSERT INTO `lang_definitions` VALUES (124195, 289, 24, 'रोगी लेनदेन जोड़ें/संपादित करें');
INSERT INTO `lang_definitions` VALUES (124196, 290, 24, 'जोड़ा गया');
INSERT INTO `lang_definitions` VALUES (124197, 293, 24, 'जनसांख्यिकी जोड़ना अधिकृत नहीं है');
INSERT INTO `lang_definitions` VALUES (124198, 295, 24, 'एडिसन Syndrom');
INSERT INTO `lang_definitions` VALUES (124199, 296, 24, 'एडिसन सिंड्रोम');
INSERT INTO `lang_definitions` VALUES (124200, 297, 24, 'अतिरिक्त विशेषताओं');
INSERT INTO `lang_definitions` VALUES (124201, 300, 24, 'अतिरिक्त निदान:');
INSERT INTO `lang_definitions` VALUES (124202, 305, 24, 'अतिरिक्त इतिहास');
INSERT INTO `lang_definitions` VALUES (124203, 306, 24, 'अतिरिक्त इतिहास टिप्पणी');
INSERT INTO `lang_definitions` VALUES (124204, 307, 24, 'अतिरिक्त जानकारी');
INSERT INTO `lang_definitions` VALUES (124205, 310, 24, 'अतिरिक्त लैब्स');
INSERT INTO `lang_definitions` VALUES (124206, 311, 24, 'अतिरिक्त टिप्पणी');
INSERT INTO `lang_definitions` VALUES (124207, 313, 24, 'इस परिणाम या सिफारिश के लिए अतिरिक्त टिप्पणी');
INSERT INTO `lang_definitions` VALUES (124208, 314, 24, 'अतिरिक्त टिप्पणी');
INSERT INTO `lang_definitions` VALUES (124209, 315, 24, 'अतिरिक्त टिप्पणी');
INSERT INTO `lang_definitions` VALUES (124210, 317, 24, 'अतिरिक्त एक्स - रे नोट्स:');
INSERT INTO `lang_definitions` VALUES (124211, 318, 24, 'Additionally, the corresponding US Snomed Extension Package can be imported separately after installing the International (English version) Snomed Release');
INSERT INTO `lang_definitions` VALUES (124212, 320, 24, 'केवल जोड़ें');
INSERT INTO `lang_definitions` VALUES (124213, 322, 24, 'पता पुस्तिका');
INSERT INTO `lang_definitions` VALUES (124214, 323, 24, 'पता पुस्तिका');
INSERT INTO `lang_definitions` VALUES (124215, 324, 24, 'पता');
INSERT INTO `lang_definitions` VALUES (124216, 327, 24, 'पता पुस्तिका');
INSERT INTO `lang_definitions` VALUES (124217, 328, 24, 'इस प्रक्रिया कर रही कंपनी के लिए पता पुस्तिका प्रवेश');
INSERT INTO `lang_definitions` VALUES (124218, 329, 24, 'वितरक के लिए पता पुस्तिका प्रवेश');
INSERT INTO `lang_definitions` VALUES (124219, 330, 24, 'विक्रेता के लिए पता पुस्तिका प्रवेश');
INSERT INTO `lang_definitions` VALUES (124220, 331, 24, 'पता पुस्तिका प्रकार');
INSERT INTO `lang_definitions` VALUES (124221, 339, 24, 'पता 1');
INSERT INTO `lang_definitions` VALUES (124222, 340, 24, 'पता 2');
INSERT INTO `lang_definitions` VALUES (124223, 342, 24, 'पाने वाला');
INSERT INTO `lang_definitions` VALUES (124224, 345, 24, 'समायोजन');
INSERT INTO `lang_definitions` VALUES (124225, 346, 24, 'समायोजन राशि');
INSERT INTO `lang_definitions` VALUES (124226, 347, 24, 'समायोजित करें');
INSERT INTO `lang_definitions` VALUES (124227, 348, 24, 'समायोजन');
INSERT INTO `lang_definitions` VALUES (124228, 349, 24, 'समायोजन राशि');
INSERT INTO `lang_definitions` VALUES (124229, 350, 24, 'समायोजन कारण');
INSERT INTO `lang_definitions` VALUES (124230, 352, 24, 'कोड के लिए समायोजन मूल्य');
INSERT INTO `lang_definitions` VALUES (124231, 353, 24, 'समायोजन');
INSERT INTO `lang_definitions` VALUES (124232, 354, 24, 'प्रशासक समायोजित');
INSERT INTO `lang_definitions` VALUES (124233, 355, 24, 'प्रशासन');
INSERT INTO `lang_definitions` VALUES (124234, 356, 24, 'प्रशासनिक ईमेल एड्रेस');
INSERT INTO `lang_definitions` VALUES (124235, 357, 24, 'के माध्यम प्रशासन');
INSERT INTO `lang_definitions` VALUES (124236, 359, 24, 'प्रशासित');
INSERT INTO `lang_definitions` VALUES (124237, 360, 24, 'द्वारा प्रशासित');
INSERT INTO `lang_definitions` VALUES (124238, 362, 24, 'प्रशासित स्थल का');
INSERT INTO `lang_definitions` VALUES (124239, 363, 24, 'प्रशासन');
INSERT INTO `lang_definitions` VALUES (124240, 365, 24, 'प्रशासन साइट');
INSERT INTO `lang_definitions` VALUES (124241, 366, 24, 'प्रशासक');
INSERT INTO `lang_definitions` VALUES (124242, 367, 24, 'प्रशासक कुछ भी कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (124243, 368, 24, 'तिथि एडमिट');
INSERT INTO `lang_definitions` VALUES (124244, 371, 24, 'वयस्क वजन जांच और अनुवर्ती');
INSERT INTO `lang_definitions` VALUES (124245, 372, 24, 'वयस्क वजन जांच और अनुवर्ती (CQM)');
INSERT INTO `lang_definitions` VALUES (124246, 373, 24, 'अग्रिम निर्देशक');
INSERT INTO `lang_definitions` VALUES (124247, 374, 24, 'अग्रिम निर्देशों के');
INSERT INTO `lang_definitions` VALUES (124248, 375, 24, 'अग्रिम निर्देशों की चेतावनी');
INSERT INTO `lang_definitions` VALUES (124249, 377, 24, 'उन्नत');
INSERT INTO `lang_definitions` VALUES (124250, 380, 24, 'परामर्श');
INSERT INTO `lang_definitions` VALUES (124251, 382, 24, 'सामान्य को प्रभावित');
INSERT INTO `lang_definitions` VALUES (124252, 386, 24, 'घंटे कॉल के बाद');
INSERT INTO `lang_definitions` VALUES (124253, 387, 24, 'After migration from the old password mechanisms where passwords are stored in the users table without salt is complete, this flag should be set to false so that only authentication by the new method is possible');
INSERT INTO `lang_definitions` VALUES (124254, 388, 24, 'After performing above configurations, import the admin client certificate to the browser and restart Apache server (empty password).');
INSERT INTO `lang_definitions` VALUES (124255, 390, 24, 'पीडीऍफ़ सेव करने के बाद, ऐरर चेक करने के लिये view logs को क्लिक करे');
INSERT INTO `lang_definitions` VALUES (124256, 393, 24, 'टेक्स्ट सेव करने के बाद, ऐरर चेक करने के लिये [View Log] को क्लिक करे');
INSERT INTO `lang_definitions` VALUES (124257, 396, 24, 'अपने बैच सहेजने के बाद, त्रुटियों की जाँच करने के लिए [View Log] क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (124258, 399, 24, 'जानकारी सही ढंग से प्रवेश करने के बाद, Save बटन क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (124259, 404, 24, 'देखभाल के बाद योजना');
INSERT INTO `lang_definitions` VALUES (124260, 406, 24, 'पुन');
INSERT INTO `lang_definitions` VALUES (124261, 407, 24, 'उम्र');
INSERT INTO `lang_definitions` VALUES (124262, 409, 24, 'के द्वारा उम्र');
INSERT INTO `lang_definitions` VALUES (124263, 410, 24, 'आयु श्रेणी');
INSERT INTO `lang_definitions` VALUES (124264, 411, 24, 'उम्र डेटा सीमा से बाहर है.');
INSERT INTO `lang_definitions` VALUES (124265, 412, 24, 'उम्र प्रदर्शन स्वरूप');
INSERT INTO `lang_definitions` VALUES (124266, 413, 24, 'से उम्र के लिए आयु स्वरूप मान्य नहीं है');
INSERT INTO `lang_definitions` VALUES (124267, 414, 24, 'तक की उम्र के लिए आयु स्वरूप मान्य नहीं है');
INSERT INTO `lang_definitions` VALUES (124268, 415, 24, 'से उम्र');
INSERT INTO `lang_definitions` VALUES (124269, 416, 24, 'प्रदर्शन स्वरूप परिवर्तन के लिए वर्ष में आयु');
INSERT INTO `lang_definitions` VALUES (124270, 417, 24, 'आयु अधिकतम');
INSERT INTO `lang_definitions` VALUES (124271, 418, 24, 'उम्र मिनट');
INSERT INTO `lang_definitions` VALUES (124272, 419, 24, 'आयु सीमा');
INSERT INTO `lang_definitions` VALUES (124273, 421, 24, 'उम्र के कॉलम:');
INSERT INTO `lang_definitions` VALUES (124274, 423, 24, 'अल्बानियन');
INSERT INTO `lang_definitions` VALUES (124275, 424, 24, 'शराब');
INSERT INTO `lang_definitions` VALUES (124276, 425, 24, 'शराब का सेवन');
INSERT INTO `lang_definitions` VALUES (124277, 428, 24, 'चेतावनी गणना');
INSERT INTO `lang_definitions` VALUES (124278, 435, 24, 'चेतावनियाँ');
INSERT INTO `lang_definitions` VALUES (124279, 439, 24, 'ALEUT');
INSERT INTO `lang_definitions` VALUES (124280, 440, 24, 'सब');
INSERT INTO `lang_definitions` VALUES (124281, 441, 24, 'समस्त');
INSERT INTO `lang_definitions` VALUES (124282, 443, 24, 'सभी (Collated स्वरूप ए)');
INSERT INTO `lang_definitions` VALUES (124283, 444, 24, 'सभी (Collated स्वरूप बी)');
INSERT INTO `lang_definitions` VALUES (124284, 445, 24, 'सभी (संचयी)');
INSERT INTO `lang_definitions` VALUES (124285, 448, 24, 'सभी श्रेणियाँ');
INSERT INTO `lang_definitions` VALUES (124286, 450, 24, 'सभी संहिताएं');
INSERT INTO `lang_definitions` VALUES (124287, 453, 24, 'सारे दिन');
INSERT INTO `lang_definitions` VALUES (124288, 454, 24, 'सारे दिन का इवेंट');
INSERT INTO `lang_definitions` VALUES (124289, 455, 24, 'सभी जनसांख्यिकी क्षेत्रों,खोज और दोहराव की जांच के साथ');
INSERT INTO `lang_definitions` VALUES (124290, 457, 24, 'सारी सुविधाओं');
INSERT INTO `lang_definitions` VALUES (124291, 458, 24, 'सभी चोट लगने की घटनाएं / समस्याएँ / मुद्दे');
INSERT INTO `lang_definitions` VALUES (124292, 459, 24, 'सारी भाषाओ की अनुमति है');
INSERT INTO `lang_definitions` VALUES (124293, 462, 24, 'पहला नाम का हिस्सा या पूरा');
INSERT INTO `lang_definitions` VALUES (124294, 463, 24, 'अंतिम नाम का हिस्सा या पूरा');
INSERT INTO `lang_definitions` VALUES (124295, 464, 24, 'संगठन नाम का हिस्सा या पूरा');
INSERT INTO `lang_definitions` VALUES (124296, 468, 24, 'सारे उत्पादों');
INSERT INTO `lang_definitions` VALUES (124297, 469, 24, 'सारे providers');
INSERT INTO `lang_definitions` VALUES (124298, 470, 24, 'सब की समीक्षा की और सब नकारात्मक:');
INSERT INTO `lang_definitions` VALUES (124299, 475, 24, 'सारे विषयों');
INSERT INTO `lang_definitions` VALUES (124300, 478, 24, 'सारे उपयोगकर्ताओं');
INSERT INTO `lang_definitions` VALUES (124301, 479, 24, 'एलर्जी');
INSERT INTO `lang_definitions` VALUES (124302, 481, 24, 'एलर्जी');
INSERT INTO `lang_definitions` VALUES (124303, 484, 24, 'एलर्जी:');
INSERT INTO `lang_definitions` VALUES (124304, 485, 24, 'एलर्जी');
INSERT INTO `lang_definitions` VALUES (124305, 486, 24, 'एलर्जी आयात सफलतापूर्वक पूरा');
INSERT INTO `lang_definitions` VALUES (124306, 487, 24, 'एलर्जी समस्या सूची');
INSERT INTO `lang_definitions` VALUES (124307, 488, 24, 'एलर्जी रिएक्शन');
INSERT INTO `lang_definitions` VALUES (124308, 491, 24, 'आबंटित करें');
INSERT INTO `lang_definitions` VALUES (124309, 492, 24, 'अनुमति दें');
INSERT INTO `lang_definitions` VALUES (124310, 494, 24, 'लॉग इन पर मेनू पर विकल्प के रूप में सभी उपलब्ध भाषाओं की अनुमति दें.');
INSERT INTO `lang_definitions` VALUES (124311, 496, 24, 'प्रक्रियाओं या शुल्क नहीं बल्कि निदान युक्त दावों के निर्माण की अनुमति दें. अधिकांश क्लीनिक यह नहीं चाहता.');
INSERT INTO `lang_definitions` VALUES (124312, 497, 24, 'भाषा डीबगिंग की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (124313, 500, 24, 'ईमेल की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (124314, 501, 24, 'ईमेल संदेशों को अनुमति दें?');
INSERT INTO `lang_definitions` VALUES (124315, 502, 24, 'ईमेल की अनुमति दें?');
INSERT INTO `lang_definitions` VALUES (124316, 503, 24, 'दावा मुठभेड़ की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (124317, 506, 24, 'स्वास्थ्य सूचना एक्सचेंज की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (124318, 508, 24, 'टीकाकरण की जानकारी साझा करने की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (124319, 509, 24, 'प्रतिरक्षण रजिस्ट्री उपयोग की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (124320, 512, 24, 'मेल संदेश की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (124321, 533, 24, 'रोगी पोर्टल की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (124322, 541, 24, 'एसएमएस की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (124323, 542, 24, 'एसएमएस (पाठ संदेश) की अनुमति दें?');
INSERT INTO `lang_definitions` VALUES (124324, 544, 24, 'प्रस्तुत घटनाओं तुरन्त सक्रिय किए जाने की अनुमति दें?');
INSERT INTO `lang_definitions` VALUES (124325, 545, 24, 'टेलीफोन संदेशों को अनुमति दें?');
INSERT INTO `lang_definitions` VALUES (124326, 547, 24, 'उपयोगकर्ताओं को वैश्विक घटनाक्रम प्रकाशित करने की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (124327, 548, 24, 'उपयोगकर्ताओं को व्यक्तिगत कैलेंडर को प्रकाशित करने की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (124328, 554, 24, 'वॉयस संदेश की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (124329, 555, 24, 'अनुमति दे दी');
INSERT INTO `lang_definitions` VALUES (124330, 556, 24, 'अनुमति दी भाषाएँ');
INSERT INTO `lang_definitions` VALUES (124331, 558, 24, 'अनुमति दी (ग)');
INSERT INTO `lang_definitions` VALUES (124332, 566, 24, 'पहले से मौजूद है');
INSERT INTO `lang_definitions` VALUES (124333, 568, 24, 'पहले से ही मौजूद है.');
INSERT INTO `lang_definitions` VALUES (124334, 570, 24, 'पहले से ही इस्तेमाल किया, किसी अन्य पहचानकर्ता का चयन करें');
INSERT INTO `lang_definitions` VALUES (124335, 571, 24, 'पहले से ही इस्तेमाल किया, किसी अन्य शीर्षक का चयन करें');
INSERT INTO `lang_definitions` VALUES (124336, 573, 24, 'वैकल्पिक पता');
INSERT INTO `lang_definitions` VALUES (124337, 577, 24, 'बदलना');
INSERT INTO `lang_definitions` VALUES (124338, 584, 24, 'Alternatively, you may use the search page to upload an electronic remittance (X12 835) file that you have obtained from your payer or clearinghouse. You can do this by clicking the Browse button and selecting the file to upload, and then clicking Search to perform the upload and display the corresponding invoices. In this case the other parameters mentioned above do not apply and will be ignored. Uploading saves the file but does not yet process its contents -- that is done separately as described below.');
INSERT INTO `lang_definitions` VALUES (124339, 586, 24, 'पूर्वाह्न');
INSERT INTO `lang_definitions` VALUES (124340, 587, 24, 'पूर्वाह्न कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (124341, 592, 24, 'एएमसी');
INSERT INTO `lang_definitions` VALUES (124342, 593, 24, 'एएमसी ट्रैकिंग');
INSERT INTO `lang_definitions` VALUES (124343, 600, 24, 'मौजूदा नोट में संशोधन');
INSERT INTO `lang_definitions` VALUES (124344, 610, 24, 'अमेरिकी भारतीय');
INSERT INTO `lang_definitions` VALUES (124345, 611, 24, 'अमेरिकी भारतीय या अलास्का मूल निवासी');
INSERT INTO `lang_definitions` VALUES (124346, 613, 24, 'अम्हरी (भाषा)');
INSERT INTO `lang_definitions` VALUES (124347, 614, 24, 'राशि');
INSERT INTO `lang_definitions` VALUES (124348, 615, 24, 'प्रशासित राशि');
INSERT INTO `lang_definitions` VALUES (124349, 617, 24, 'राशि');
INSERT INTO `lang_definitions` VALUES (124350, 620, 24, 'बकाया राशि');
INSERT INTO `lang_definitions` VALUES (124351, 621, 24, 'इश जांच कि राशि');
INSERT INTO `lang_definitions` VALUES (124352, 622, 24, 'प्रदाय राशि');
INSERT INTO `lang_definitions` VALUES (124353, 623, 24, 'राशि:');
INSERT INTO `lang_definitions` VALUES (124354, 626, 24, 'राशि बिल किया');
INSERT INTO `lang_definitions` VALUES (124355, 630, 24, 'बाद में शुरू की तारीख से एक समापन दिनांक, दोहराया घटनाओं के लिए आवश्यक है!');
INSERT INTO `lang_definitions` VALUES (124356, 632, 24, 'OpenEMR वेब डायरेक्टरी ट्री डंपिंग समय एक त्रुटि हुई');
INSERT INTO `lang_definitions` VALUES (124357, 633, 24, 'PhpGACL वेब डायरेक्टरी ट्री डंपिंग समय एक त्रुटि हुई');
INSERT INTO `lang_definitions` VALUES (124358, 634, 24, 'SQL लेजर वेब डायरेक्टरी ट्री डंपिंग समय एक त्रुटि हुई');
INSERT INTO `lang_definitions` VALUES (124359, 638, 24, 'एक अधूरा GCAC मुद्दा बनाया और जोड़ा गया है. किसी को बाद में इसे पूरा करने की आवश्यकता होगी.');
INSERT INTO `lang_definitions` VALUES (124360, 644, 24, 'एक अनपेक्षित त्रुटि हुई है.');
INSERT INTO `lang_definitions` VALUES (124361, 646, 24, 'एक अपरकेस अक्षर');
INSERT INTO `lang_definitions` VALUES (124362, 648, 24, 'और');
INSERT INTO `lang_definitions` VALUES (124363, 649, 24, 'और');
INSERT INTO `lang_definitions` VALUES (124364, 650, 24, 'और');
INSERT INTO `lang_definitions` VALUES (124365, 651, 24, 'और');
INSERT INTO `lang_definitions` VALUES (124366, 652, 24, 'और सभी अधीनस्थ डेटा? इस क्रिया को लॉग इन किया जाएगा');
INSERT INTO `lang_definitions` VALUES (124367, 653, 24, 'और संशोधक');
INSERT INTO `lang_definitions` VALUES (124368, 654, 24, 'और संसाधित.');
INSERT INTO `lang_definitions` VALUES (124369, 656, 24, 'और Apache सर्वर को पुनरारंभ करें.');
INSERT INTO `lang_definitions` VALUES (124370, 657, 24, 'और कारण है');
INSERT INTO `lang_definitions` VALUES (124371, 659, 24, 'रक्ताल्पता');
INSERT INTO `lang_definitions` VALUES (124372, 660, 24, 'टखना');
INSERT INTO `lang_definitions` VALUES (124373, 661, 24, 'टखने + एड़ी');
INSERT INTO `lang_definitions` VALUES (124374, 662, 24, 'टखने मूल्यांकन प्रपत्र');
INSERT INTO `lang_definitions` VALUES (124375, 663, 24, 'टखने की समस्याएं');
INSERT INTO `lang_definitions` VALUES (124376, 664, 24, 'अचलताकारक Sondlilitis');
INSERT INTO `lang_definitions` VALUES (124377, 665, 24, 'अचलताकारक Spondlilitis');
INSERT INTO `lang_definitions` VALUES (124378, 666, 24, 'अरुचि');
INSERT INTO `lang_definitions` VALUES (124379, 667, 24, 'Another thing you can do in the posting window is request secondary billing. If you select this checkbox before saving, then the original claim will be re-opened and queued on the Billing page, and will be processed during the next billing run.');
INSERT INTO `lang_definitions` VALUES (124380, 671, 24, 'पूर्व');
INSERT INTO `lang_definitions` VALUES (124381, 676, 24, 'गुदा nl, नहीं मलाशय कोमलता / जन');
INSERT INTO `lang_definitions` VALUES (124382, 677, 24, 'चिंता');
INSERT INTO `lang_definitions` VALUES (124383, 679, 24, 'कोई भी');
INSERT INTO `lang_definitions` VALUES (124384, 682, 24, 'कोई भी श्रेणी');
INSERT INTO `lang_definitions` VALUES (124385, 688, 24, 'वांछित कोड या उसके वर्णन के किसी भी भाग');
INSERT INTO `lang_definitions` VALUES (124386, 689, 24, 'वांछित विशेषता के किसी भी भाग');
INSERT INTO `lang_definitions` VALUES (124387, 690, 24, 'दवा आईडी या नशीली दवाओं के नाम का कोई भी हिस्सा');
INSERT INTO `lang_definitions` VALUES (124388, 691, 24, 'प्रतिरक्षण आईडी या टीकाकरण के नाम का कोई भी हिस्सा');
INSERT INTO `lang_definitions` VALUES (124389, 692, 24, 'रोगी नाम का कोई भी हिस्सा, या  \"पिछले, पहले \", या  \"XY \"');
INSERT INTO `lang_definitions` VALUES (124390, 693, 24, 'कोई भी अन्य प्रासंगिक जानकारी');
INSERT INTO `lang_definitions` VALUES (124391, 699, 24, 'एसएमएस गेटवे के लिए API का चाबी.');
INSERT INTO `lang_definitions` VALUES (124392, 703, 24, 'श्वासरोध');
INSERT INTO `lang_definitions` VALUES (124393, 710, 24, 'उपस्थिति');
INSERT INTO `lang_definitions` VALUES (124394, 711, 24, 'सूरत:');
INSERT INTO `lang_definitions` VALUES (124395, 714, 24, 'इस नोट को जोड़ें');
INSERT INTO `lang_definitions` VALUES (124396, 716, 24, 'मौजूदा नोट को जोड़ें');
INSERT INTO `lang_definitions` VALUES (124397, 717, 24, 'इस नोट को जोड़ें');
INSERT INTO `lang_definitions` VALUES (124398, 718, 24, 'इस नोट को जोड़ें');
INSERT INTO `lang_definitions` VALUES (124399, 719, 24, 'उपांत्र - उच्छेदन');
INSERT INTO `lang_definitions` VALUES (124400, 721, 24, 'मरीजों को लागू');
INSERT INTO `lang_definitions` VALUES (124401, 722, 24, 'आवेदन');
INSERT INTO `lang_definitions` VALUES (124402, 723, 24, 'प्रवेश पृष्ठ और मुख्य विंडो शीर्षक के लिए आवेदन नाम.');
INSERT INTO `lang_definitions` VALUES (124403, 724, 24, 'आवेदन रिसीवर संहिता (GS03 - खाली ISA08 उपयोग किया जाएगा)');
INSERT INTO `lang_definitions` VALUES (124404, 725, 24, 'आवेदन प्रेषक संहिता (GS02)');
INSERT INTO `lang_definitions` VALUES (124405, 726, 24, 'आवेदन शीर्षक');
INSERT INTO `lang_definitions` VALUES (124406, 727, 24, 'नब्ज फार्म और ग्रोथ चार्ट पर लागू होता है');
INSERT INTO `lang_definitions` VALUES (124407, 728, 24, 'नब्ज फार्म पर लागू होता है');
INSERT INTO `lang_definitions` VALUES (124408, 729, 24, 'केवल इस और भविष्य की सभी घटनाओं के लिए, या सभी घटनाओं को वर्तमान घटना में परिवर्तन लागू करें?');
INSERT INTO `lang_definitions` VALUES (124409, 730, 24, 'प्रभावित क्षेत्र के लिए लागू');
INSERT INTO `lang_definitions` VALUES (124410, 731, 24, 'त्वचा के लिए लागू');
INSERT INTO `lang_definitions` VALUES (124411, 732, 24, 'लागू करना');
INSERT INTO `lang_definitions` VALUES (124412, 733, 24, 'साइट पर पैच लागू करना');
INSERT INTO `lang_definitions` VALUES (124413, 734, 24, 'नियुक्ति');
INSERT INTO `lang_definitions` VALUES (124414, 736, 24, 'नियुक्ति तिथि');
INSERT INTO `lang_definitions` VALUES (124415, 742, 24, 'नियुक्ति प्रदर्शन शैली');
INSERT INTO `lang_definitions` VALUES (124416, 744, 24, 'नियुक्ति अनुस्मारक नियम');
INSERT INTO `lang_definitions` VALUES (124417, 746, 24, 'नियुक्ति स्थिति');
INSERT INTO `lang_definitions` VALUES (124418, 747, 24, 'नियुक्ति स्थितियां');
INSERT INTO `lang_definitions` VALUES (124419, 748, 24, 'भीतर नियुक्ति');
INSERT INTO `lang_definitions` VALUES (124420, 749, 24, 'नियुक्ति / घटना का रंग');
INSERT INTO `lang_definitions` VALUES (124421, 750, 24, 'नियुक्ति');
INSERT INTO `lang_definitions` VALUES (124422, 751, 24, 'नियुक्ति (वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (124423, 752, 24, 'नियुक्ति (लिखने, wsome वैकल्पिक)');
INSERT INTO `lang_definitions` VALUES (124424, 758, 24, 'नियुक्ति और मुठभेड़ों');
INSERT INTO `lang_definitions` VALUES (124425, 760, 24, 'नियुक्ति रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (124426, 761, 24, 'नियुक्तियों मुठभेड़ों की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (124427, 764, 24, 'स्वीकृत करें');
INSERT INTO `lang_definitions` VALUES (124428, 767, 24, 'स्वीकृत किया');
INSERT INTO `lang_definitions` VALUES (124429, 768, 24, 'स्वीकृत किया घटनाक्रम प्रशासन');
INSERT INTO `lang_definitions` VALUES (124430, 774, 24, 'Appt-मुठभेड़');
INSERT INTO `lang_definitions` VALUES (124431, 776, 24, 'Appts');
INSERT INTO `lang_definitions` VALUES (124432, 779, 24, 'अप्रैल');
INSERT INTO `lang_definitions` VALUES (124433, 780, 24, 'अप्रैल');
INSERT INTO `lang_definitions` VALUES (124434, 782, 24, 'अरबी भाषा');
INSERT INTO `lang_definitions` VALUES (124435, 784, 24, 'संग्रह');
INSERT INTO `lang_definitions` VALUES (124436, 787, 24, 'क्या एसीएल समूह नामों का अनुवाद किया जाना है?');
INSERT INTO `lang_definitions` VALUES (124437, 788, 24, 'क्या नियुक्ति श्रेणी नामों का अनुवाद किया जाना है?');
INSERT INTO `lang_definitions` VALUES (124438, 789, 24, 'क्या दस्तावेज़ श्रेणी नामों का अनुवाद किया जाना है?');
INSERT INTO `lang_definitions` VALUES (124439, 790, 24, 'क्या इस प्रकार के लिए शुल्क चार्ज किया जाता है ?');
INSERT INTO `lang_definitions` VALUES (124440, 793, 24, 'क्या रोगी नोट खिताब का अनुवाद किया जाना हैं ?');
INSERT INTO `lang_definitions` VALUES (124441, 794, 24, 'क्या कोड बाहरी एसक्यूएल टेबल (0 -NO, 1 - ICD10 , 2 SNOMED ( RF1 ) , 3 SNOMED ( RF2 ) ) में संग्रहीत कर रहे हैं?');
INSERT INTO `lang_definitions` VALUES (124442, 795, 24, 'क्या आप इस यात्रा के लिए एक नया GCAC मुद्दे को पूरा करने के लिए तैयार हैं?');
INSERT INTO `lang_definitions` VALUES (124443, 797, 24, 'क्या आप आज के लिए पोस्ट करने के लिए सहमत है?');
INSERT INTO `lang_definitions` VALUES (124444, 798, 24, 'क्या आप इन घटनाओं को मंजूरी देना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (124445, 801, 24, 'क्या आप पूरी तरह से इस फार्म को दूर करना चाहते हैं ?');
INSERT INTO `lang_definitions` VALUES (124446, 804, 24, 'क्या आप इस खुलासे को हटाना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (124447, 805, 24, 'क्या आप इस घटना को हटाना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (124448, 806, 24, 'क्या आप डेटाबेस से इस आइटम को हटाना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (124449, 808, 24, 'क्या आप इस नोट को हटाना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (124450, 810, 24, 'क्या आप इन घटनाओं को संपादित करना चाहते हैं ?');
INSERT INTO `lang_definitions` VALUES (124451, 811, 24, 'क्या आप इन घटनाओं को छिपाने चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (124452, 814, 24, 'क्या आप इन घटनाओं को देखने चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (124453, 815, 24, 'क्या आप पूरे नाम समूह को नष्ट करना चाहते हैं');
INSERT INTO `lang_definitions` VALUES (124454, 816, 24, 'क्या आप पूरी सूची को हटाना चाहते हैं');
INSERT INTO `lang_definitions` VALUES (124455, 817, 24, 'क्या आप क्षेत्र को नष्ट करना चाहते हैं');
INSERT INTO `lang_definitions` VALUES (124456, 818, 24, 'क्या आप चयनित क्षेत्रों को नष्ट करना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (124457, 819, 24, 'यदि आप इन कार्यों को जारी रखना चाहते है?');
INSERT INTO `lang_definitions` VALUES (124458, 820, 24, 'क्षेत्र निर्दिष्ट नहीं');
INSERT INTO `lang_definitions` VALUES (124459, 821, 24, 'बांह');
INSERT INTO `lang_definitions` VALUES (124460, 822, 24, 'आर्मीनियाई');
INSERT INTO `lang_definitions` VALUES (124461, 829, 24, 'arrythmia');
INSERT INTO `lang_definitions` VALUES (124462, 830, 24, 'गठिया');
INSERT INTO `lang_definitions` VALUES (124463, 831, 24, 'गठिया / DEGEN संयुक्त diseas');
INSERT INTO `lang_definitions` VALUES (124464, 832, 24, 'गठिया / DEGEN संयुक्त रोग');
INSERT INTO `lang_definitions` VALUES (124465, 836, 24, 'जैसा');
INSERT INTO `lang_definitions` VALUES (124466, 838, 24, 'के रूप में');
INSERT INTO `lang_definitions` VALUES (124467, 845, 24, 'एशियाई');
INSERT INTO `lang_definitions` VALUES (124468, 848, 24, 'मूल्यांकन');
INSERT INTO `lang_definitions` VALUES (124469, 853, 24, 'को सौंपा');
INSERT INTO `lang_definitions` VALUES (124470, 854, 24, 'सहायक');
INSERT INTO `lang_definitions` VALUES (124471, 861, 24, 'दमा');
INSERT INTO `lang_definitions` VALUES (124472, 862, 24, 'में');
INSERT INTO `lang_definitions` VALUES (124473, 863, 24, 'आप सभी का चयन करें तो कम से कम एक खोज पैरामीटर जरूरी है.');
INSERT INTO `lang_definitions` VALUES (124474, 866, 24, 'Navicular में');
INSERT INTO `lang_definitions` VALUES (124475, 867, 24, ': Navicular में');
INSERT INTO `lang_definitions` VALUES (124476, 868, 24, 'एथलेटिक टीम');
INSERT INTO `lang_definitions` VALUES (124477, 869, 24, 'एथलेटिक टीम');
INSERT INTO `lang_definitions` VALUES (124478, 870, 24, 'एथलेटिक/चोट');
INSERT INTO `lang_definitions` VALUES (124479, 871, 24, 'Atna ऑडिट सीए प्रमाणपत्र');
INSERT INTO `lang_definitions` VALUES (124480, 872, 24, 'Atna ऑडिट मेजबान');
INSERT INTO `lang_definitions` VALUES (124481, 873, 24, 'Atna ऑडिट स्थानीय प्रमाण पत्र');
INSERT INTO `lang_definitions` VALUES (124482, 874, 24, 'Atna ऑडिट बंदरगाह');
INSERT INTO `lang_definitions` VALUES (124483, 877, 24, 'ध्यान');
INSERT INTO `lang_definitions` VALUES (124484, 879, 24, 'ध्यान');
INSERT INTO `lang_definitions` VALUES (124485, 883, 24, 'ऑडिट सीडीआर इंजन प्रश्न');
INSERT INTO `lang_definitions` VALUES (124486, 890, 24, 'ऑडिट लॉगिंग बैकअप');
INSERT INTO `lang_definitions` VALUES (124487, 891, 24, 'ऑडिट विविध लॉगिंग');
INSERT INTO `lang_definitions` VALUES (124488, 892, 24, 'ऑडिट लॉगिंग आदेश');
INSERT INTO `lang_definitions` VALUES (124489, 893, 24, 'ऑडिट लॉगिंग रोगी रिकॉर्ड');
INSERT INTO `lang_definitions` VALUES (124490, 894, 24, 'ऑडिट लॉगिंग निर्धारण');
INSERT INTO `lang_definitions` VALUES (124491, 895, 24, 'ऑडिट लॉगिंग सुरक्षा प्रशासन');
INSERT INTO `lang_definitions` VALUES (124492, 896, 24, 'ऑडिट लॉगिंग चुनिए प्रश्न');
INSERT INTO `lang_definitions` VALUES (124493, 898, 24, 'अगस्त');
INSERT INTO `lang_definitions` VALUES (124494, 899, 24, 'अगस्त');
INSERT INTO `lang_definitions` VALUES (124495, 901, 24, 'प्रमाणीकरण');
INSERT INTO `lang_definitions` VALUES (124496, 902, 24, 'प्रमाणन / नोट्स');
INSERT INTO `lang_definitions` VALUES (124497, 922, 24, 'प्राधिकरण समूह');
INSERT INTO `lang_definitions` VALUES (124498, 923, 24, 'प्राधिकरण स्थिति');
INSERT INTO `lang_definitions` VALUES (124499, 924, 24, 'प्राधिकरण');
INSERT INTO `lang_definitions` VALUES (124500, 925, 24, 'अधिकार देना');
INSERT INTO `lang_definitions` VALUES (124501, 926, 24, 'अधिकृत करें - किसी भी मुठभेड़ों');
INSERT INTO `lang_definitions` VALUES (124502, 928, 24, 'अधिकृत - मेरे मुठभेड़ों');
INSERT INTO `lang_definitions` VALUES (124503, 933, 24, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (124504, 934, 24, 'अधिकृत');
INSERT INTO `lang_definitions` VALUES (124505, 936, 24, 'केवल अधिकृत');
INSERT INTO `lang_definitions` VALUES (124506, 941, 24, 'स्वचालित भेजें');
INSERT INTO `lang_definitions` VALUES (124507, 944, 24, 'नई मुठभेड़ों स्वचालित बनाएँ');
INSERT INTO `lang_definitions` VALUES (124508, 945, 24, 'स्वचालित जनित');
INSERT INTO `lang_definitions` VALUES (124509, 947, 24, 'स्वचालित उपाय गणना (एएमसी)');
INSERT INTO `lang_definitions` VALUES (124510, 952, 24, 'स्वचालित उपाय गणना (एएमसी) ट्रैकिंग');
INSERT INTO `lang_definitions` VALUES (124511, 953, 24, 'स्वचालित उपाय (एएमसी)');
INSERT INTO `lang_definitions` VALUES (124512, 955, 24, 'स्वचालित');
INSERT INTO `lang_definitions` VALUES (124513, 959, 24, 'स्वचालित रूप से एक नया मुठभेड़ बनाना जब नियुक्ति स्थिति \"@\" (आ गया). सेट किया जाता है.');
INSERT INTO `lang_definitions` VALUES (124514, 962, 24, 'मोटर वाहन चिकित्सा');
INSERT INTO `lang_definitions` VALUES (124515, 964, 24, 'स्वतः सहेजा');
INSERT INTO `lang_definitions` VALUES (124516, 967, 24, 'उपलब्ध श्रेणियों');
INSERT INTO `lang_definitions` VALUES (124517, 971, 24, 'उपलब्ध टाइम्स');
INSERT INTO `lang_definitions` VALUES (124518, 976, 24, 'औसत मासिक');
INSERT INTO `lang_definitions` VALUES (124519, 980, 24, 'अलगाव / अलगाव फ्रैक्चर');
INSERT INTO `lang_definitions` VALUES (124520, 981, 24, 'अलगाव पार्श्व malleolus');
INSERT INTO `lang_definitions` VALUES (124521, 982, 24, 'अलगाव औसत दर्जे malleolus');
INSERT INTO `lang_definitions` VALUES (124522, 983, 24, 'जागरूकता आधारित');
INSERT INTO `lang_definitions` VALUES (124523, 985, 24, 'कांख - संबंधी');
INSERT INTO `lang_definitions` VALUES (124524, 992, 24, 'दिन में दो बार');
INSERT INTO `lang_definitions` VALUES (124525, 993, 24, 'वापस जाएँ');
INSERT INTO `lang_definitions` VALUES (124526, 994, 24, 'वापस जाएँ');
INSERT INTO `lang_definitions` VALUES (124527, 995, 24, 'वापस जाएँ आठ दौरा');
INSERT INTO `lang_definitions` VALUES (124528, 996, 24, 'वापस जाएँ ग्यारह दौरा');
INSERT INTO `lang_definitions` VALUES (124529, 997, 24, 'वापस जाएँ पांच दौरा');
INSERT INTO `lang_definitions` VALUES (124530, 998, 24, 'वापस जाएँ चार दौरों');
INSERT INTO `lang_definitions` VALUES (124531, 999, 24, 'वापस जाएँ नौ दौरा');
INSERT INTO `lang_definitions` VALUES (124532, 1000, 24, 'वापस जाएँ से एक यात्रा');
INSERT INTO `lang_definitions` VALUES (124533, 1001, 24, 'पीठ दर्द');
INSERT INTO `lang_definitions` VALUES (124534, 1002, 24, 'पीठ की समस्याएं');
INSERT INTO `lang_definitions` VALUES (124535, 1003, 24, 'वापस जाएँ सात दौरा');
INSERT INTO `lang_definitions` VALUES (124536, 1004, 24, 'वापस जाएँ छह दौरा');
INSERT INTO `lang_definitions` VALUES (124537, 1005, 24, 'सर्जरी पर वापस जाएँ');
INSERT INTO `lang_definitions` VALUES (124538, 1006, 24, 'वापस जाएँ दस दौरा');
INSERT INTO `lang_definitions` VALUES (124539, 1007, 24, 'वापस जाएँ तीन दौरों');
INSERT INTO `lang_definitions` VALUES (124540, 1008, 24, 'व्यवस्थापक पृष्ठ पर वापस');
INSERT INTO `lang_definitions` VALUES (124541, 1013, 24, 'मरीज जानकारी पर वापस');
INSERT INTO `lang_definitions` VALUES (124542, 1015, 24, 'उपयोगकर्ता पर वापस');
INSERT INTO `lang_definitions` VALUES (124543, 1016, 24, 'दृश्य पर वापस');
INSERT INTO `lang_definitions` VALUES (124544, 1017, 24, 'वापस जाएँ बारह दौरा');
INSERT INTO `lang_definitions` VALUES (124545, 1018, 24, 'वापस जाएँ दो यात्राओं');
INSERT INTO `lang_definitions` VALUES (124546, 1019, 24, 'पृष्ठभूमि सेवाएं');
INSERT INTO `lang_definitions` VALUES (124547, 1020, 24, 'बैकअप');
INSERT INTO `lang_definitions` VALUES (124548, 1022, 24, 'बैकअप फ़ाइल बना दिया गया है. अब डाउनलोड भेज देंगे.');
INSERT INTO `lang_definitions` VALUES (124549, 1024, 24, 'सफलतापूर्वक में लिया बैकअप');
INSERT INTO `lang_definitions` VALUES (124550, 1025, 24, 'बुरा चेक');
INSERT INTO `lang_definitions` VALUES (124551, 1026, 24, 'डूबत कर्ज');
INSERT INTO `lang_definitions` VALUES (124552, 1027, 24, 'बहासा इंडोनेशिया');
INSERT INTO `lang_definitions` VALUES (124553, 1028, 24, 'शेष');
INSERT INTO `lang_definitions` VALUES (124554, 1031, 24, 'शेष');
INSERT INTO `lang_definitions` VALUES (124555, 1032, 24, 'शेष');
INSERT INTO `lang_definitions` VALUES (124556, 1033, 24, 'शेष राशि');
INSERT INTO `lang_definitions` VALUES (124557, 1034, 24, 'शेष रकम');
INSERT INTO `lang_definitions` VALUES (124558, 1038, 24, 'बैंक ड्राफ्ट');
INSERT INTO `lang_definitions` VALUES (124559, 1042, 24, 'पांचवीं के बेस (5) Metarsal');
INSERT INTO `lang_definitions` VALUES (124560, 1043, 24, 'पांचवें (5) Metarsal का आधार:');
INSERT INTO `lang_definitions` VALUES (124561, 1050, 24, 'बैच दावा');
INSERT INTO `lang_definitions` VALUES (124562, 1051, 24, 'बैच संचार उपकरण');
INSERT INTO `lang_definitions` VALUES (124563, 1053, 24, 'बैच भुगतान एंट्री');
INSERT INTO `lang_definitions` VALUES (124564, 1054, 24, 'बैच भुगतान');
INSERT INTO `lang_definitions` VALUES (124565, 1055, 24, 'बैच संसाधन शुरू किया, इसमें कुछ समय लग सकता है.');
INSERT INTO `lang_definitions` VALUES (124566, 1056, 24, 'बैच परिणाम');
INSERT INTO `lang_definitions` VALUES (124567, 1057, 24, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (124568, 1063, 24, 'क्योंकि वह आईडी मौजूद नहीं है');
INSERT INTO `lang_definitions` VALUES (124569, 1072, 24, 'प्रारंभ करना');
INSERT INTO `lang_definitions` VALUES (124570, 1074, 24, 'प्रारंभ तिथि');
INSERT INTO `lang_definitions` VALUES (124571, 1077, 24, 'सेवा शुरुआत की तारीख yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (124572, 1078, 24, 'दिन के घंटे की शुरुआत कैलेंडर की घटनाओं के लिए');
INSERT INTO `lang_definitions` VALUES (124573, 1082, 24, 'डकार');
INSERT INTO `lang_definitions` VALUES (124574, 1086, 24, 'बंगाली');
INSERT INTO `lang_definitions` VALUES (124575, 1089, 24, 'के बीच');
INSERT INTO `lang_definitions` VALUES (124576, 1095, 24, 'द्विपक्षीय');
INSERT INTO `lang_definitions` VALUES (124577, 1096, 24, 'द्विपक्षीय:');
INSERT INTO `lang_definitions` VALUES (124578, 1099, 24, 'बिल की तारीख:');
INSERT INTO `lang_definitions` VALUES (124579, 1101, 24, 'बिल / लीजिए');
INSERT INTO `lang_definitions` VALUES (124580, 1102, 24, 'बिल भेजा');
INSERT INTO `lang_definitions` VALUES (124581, 1104, 24, 'बिलिंग');
INSERT INTO `lang_definitions` VALUES (124582, 1105, 24, 'बिलिंग (वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (124583, 1109, 24, 'बिलिंग ध्यान दें');
INSERT INTO `lang_definitions` VALUES (124584, 1111, 24, 'निवेदित सेवा के लिए बिलिंग कोड');
INSERT INTO `lang_definitions` VALUES (124585, 1112, 24, 'बिलिंग कोड');
INSERT INTO `lang_definitions` VALUES (124586, 1113, 24, 'बिलिंग डाटा');
INSERT INTO `lang_definitions` VALUES (124587, 1114, 24, 'बिलिंग विभाग');
INSERT INTO `lang_definitions` VALUES (124588, 1115, 24, 'बिलिंग सुविधा');
INSERT INTO `lang_definitions` VALUES (124589, 1117, 24, 'बिलिंग जानकारी');
INSERT INTO `lang_definitions` VALUES (124590, 1118, 24, 'बिलिंग स्थान');
INSERT INTO `lang_definitions` VALUES (124591, 1125, 24, 'बिलिंग प्रबंधक');
INSERT INTO `lang_definitions` VALUES (124592, 1126, 24, 'बिलिंग नोट');
INSERT INTO `lang_definitions` VALUES (124593, 1127, 24, 'के लिए बिलिंग नोट');
INSERT INTO `lang_definitions` VALUES (124594, 1128, 24, 'बिलिंग नोट:');
INSERT INTO `lang_definitions` VALUES (124595, 1130, 24, 'बिलिंग कतार परिणाम:');
INSERT INTO `lang_definitions` VALUES (124596, 1131, 24, 'बिलिंग की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (124597, 1132, 24, 'बिलिंग स्थिति');
INSERT INTO `lang_definitions` VALUES (124598, 1133, 24, 'बिलिंग स्थिति = unbilled');
INSERT INTO `lang_definitions` VALUES (124599, 1134, 24, 'के लिए बिल');
INSERT INTO `lang_definitions` VALUES (124600, 1138, 24, 'बायोप्सी');
INSERT INTO `lang_definitions` VALUES (124601, 1140, 24, 'जन्म तिथि');
INSERT INTO `lang_definitions` VALUES (124602, 1141, 24, 'जन्म - 24 महीने');
INSERT INTO `lang_definitions` VALUES (124603, 1144, 24, 'काला');
INSERT INTO `lang_definitions` VALUES (124604, 1147, 24, 'ब्लैक लंग');
INSERT INTO `lang_definitions` VALUES (124605, 1148, 24, 'काले या अफ्रीकी अमेरिकी');
INSERT INTO `lang_definitions` VALUES (124606, 1149, 24, 'मूत्राशय कैंसर');
INSERT INTO `lang_definitions` VALUES (124607, 1150, 24, 'मूत्राशय में संक्रमण');
INSERT INTO `lang_definitions` VALUES (124608, 1152, 24, 'खाली फार्म');
INSERT INTO `lang_definitions` VALUES (124609, 1153, 24, 'रक्त स्राव समस्याएं');
INSERT INTO `lang_definitions` VALUES (124610, 1154, 24, 'ब्लाइंड स्पॉट');
INSERT INTO `lang_definitions` VALUES (124611, 1156, 24, 'सूजन');
INSERT INTO `lang_definitions` VALUES (124612, 1158, 24, 'अवरोधित');
INSERT INTO `lang_definitions` VALUES (124613, 1159, 24, 'खून');
INSERT INTO `lang_definitions` VALUES (124614, 1160, 24, 'रक्तचाप');
INSERT INTO `lang_definitions` VALUES (124615, 1161, 24, 'रक्तचाप');
INSERT INTO `lang_definitions` VALUES (124616, 1162, 24, 'खूनी नाक');
INSERT INTO `lang_definitions` VALUES (124617, 1163, 24, 'ब्लू क्रॉस ब्लू शील्ड');
INSERT INTO `lang_definitions` VALUES (124618, 1165, 24, 'Blue lines in this report are informational. Black lines show previously existing information. Green lines show changes that were successfully applied. Red lines indicate errors, or changes that were not applied; these must be processed manually. Currently denied claims and payment reversals are not handled automatically and so will appear in red.');
INSERT INTO `lang_definitions` VALUES (124619, 1166, 24, 'धुंधला विजन');
INSERT INTO `lang_definitions` VALUES (124620, 1167, 24, 'बीएमआई');
INSERT INTO `lang_definitions` VALUES (124621, 1168, 24, 'बीएमआई स्थिति');
INSERT INTO `lang_definitions` VALUES (124622, 1170, 24, 'शारीरिक क्षेत्र');
INSERT INTO `lang_definitions` VALUES (124623, 1171, 24, 'शरीर साइट');
INSERT INTO `lang_definitions` VALUES (124624, 1172, 24, 'शरीर साइट, यदि लागू हो');
INSERT INTO `lang_definitions` VALUES (124625, 1173, 24, 'अस्थि कोमलता:');
INSERT INTO `lang_definitions` VALUES (124626, 1174, 24, 'अस्थि कोमलता: औसत दर्जे Malleolus');
INSERT INTO `lang_definitions` VALUES (124627, 1175, 24, 'बूलियन');
INSERT INTO `lang_definitions` VALUES (124628, 1177, 24, 'bot');
INSERT INTO `lang_definitions` VALUES (124629, 1179, 24, 'दोनों कान');
INSERT INTO `lang_definitions` VALUES (124630, 1180, 24, 'दोनों कानों');
INSERT INTO `lang_definitions` VALUES (124631, 1183, 24, 'तल');
INSERT INTO `lang_definitions` VALUES (124632, 1187, 24, 'बॉक्स 10 ए रोजगार संबंधित');
INSERT INTO `lang_definitions` VALUES (124633, 1189, 24, 'बॉक्स 10 बी वाहन दुर्घटना');
INSERT INTO `lang_definitions` VALUES (124634, 1191, 24, 'बॉक्स 10 सी. अन्य दुर्घटना');
INSERT INTO `lang_definitions` VALUES (124635, 1205, 24, 'बॉक्स 15. एक या समान बीमारी की तिथि (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (124636, 1211, 24, 'बॉक्स 16. (Yyyy-mm-dd) से काम करने में असमर्थ दिनांक:');
INSERT INTO `lang_definitions` VALUES (124637, 1215, 24, 'बॉक्स 16. (Yyyy-mm-dd) तक काम करने में असमर्थ दिनांक:');
INSERT INTO `lang_definitions` VALUES (124638, 1227, 24, 'बॉक्स 18. से अस्पताल में भर्ती होने की तारीख (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (124639, 1231, 24, 'बॉक्स 18. तक अस्पताल में भर्ती तिथि (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (124640, 1235, 24, 'बॉक्स 20. बाहर लैब का उपयोग किया है?');
INSERT INTO `lang_definitions` VALUES (124641, 1239, 24, 'बॉक्स 22. मेडिकेड resubmission संहिता (आईसीडी -9)');
INSERT INTO `lang_definitions` VALUES (124642, 1243, 24, 'बॉक्स 23. पूर्व प्राधिकरण नंबर');
INSERT INTO `lang_definitions` VALUES (124643, 1244, 24, 'रक्तचाप');
INSERT INTO `lang_definitions` VALUES (124644, 1245, 24, 'रक्तचाप डायस्टोलिक');
INSERT INTO `lang_definitions` VALUES (124645, 1246, 24, 'रक्तचाप सिस्टोलिक');
INSERT INTO `lang_definitions` VALUES (124646, 1248, 24, 'बीपीडी');
INSERT INTO `lang_definitions` VALUES (124647, 1252, 24, 'बीपीएस');
INSERT INTO `lang_definitions` VALUES (124648, 1254, 24, 'ब्राजील पुर्तगाली');
INSERT INTO `lang_definitions` VALUES (124649, 1255, 24, 'स्तन');
INSERT INTO `lang_definitions` VALUES (124650, 1256, 24, 'स्तन बायोप्सी');
INSERT INTO `lang_definitions` VALUES (124651, 1257, 24, 'स्तन निर्वहन');
INSERT INTO `lang_definitions` VALUES (124652, 1258, 24, 'स्तन रोग');
INSERT INTO `lang_definitions` VALUES (124653, 1259, 24, 'स्तन परीक्षा');
INSERT INTO `lang_definitions` VALUES (124654, 1260, 24, 'स्तन मास');
INSERT INTO `lang_definitions` VALUES (124655, 1262, 24, 'सांस ध्वनि:');
INSERT INTO `lang_definitions` VALUES (124656, 1265, 24, 'टूटी हड्डी');
INSERT INTO `lang_definitions` VALUES (124657, 1267, 24, 'ब्रोंकाइटिस पर्चा');
INSERT INTO `lang_definitions` VALUES (124658, 1270, 24, 'ब्राउज़ करें');
INSERT INTO `lang_definitions` VALUES (124659, 1271, 24, 'रिकार्ड के लिए ब्राउज़ करें');
INSERT INTO `lang_definitions` VALUES (124660, 1272, 24, 'रक्तगुल्म/चोट');
INSERT INTO `lang_definitions` VALUES (124661, 1276, 24, 'राइट उभार:');
INSERT INTO `lang_definitions` VALUES (124662, 1278, 24, 'पेशाब के साथ जलन');
INSERT INTO `lang_definitions` VALUES (124663, 1279, 24, 'पेशाब के साथ जलन');
INSERT INTO `lang_definitions` VALUES (124664, 1282, 24, 'व्यस्त');
INSERT INTO `lang_definitions` VALUES (124665, 1283, 24, 'लेकिन अभी तक क्रियान्वित नहीं.');
INSERT INTO `lang_definitions` VALUES (124666, 1284, 24, 'कूल्हे');
INSERT INTO `lang_definitions` VALUES (124667, 1285, 24, 'कूल्हे + एस.आई.');
INSERT INTO `lang_definitions` VALUES (124668, 1286, 24, 'द्वारा');
INSERT INTO `lang_definitions` VALUES (124669, 1287, 24, 'द्वारा');
INSERT INTO `lang_definitions` VALUES (124670, 1293, 24, 'मुंह से');
INSERT INTO `lang_definitions` VALUES (124671, 1295, 24, 'स्रोत/द्वारा');
INSERT INTO `lang_definitions` VALUES (124672, 1296, 24, 'द्वारा:');
INSERT INTO `lang_definitions` VALUES (124673, 1299, 24, 'सी');
INSERT INTO `lang_definitions` VALUES (124674, 1301, 24, 'सीए प्रमाणपत्र आरएफसी 5425 टीएलएस syslog सर्वर की पुष्टि करने के लिए');
INSERT INTO `lang_definitions` VALUES (124675, 1302, 24, 'Cache लाइफटाइम (सेकंड में)');
INSERT INTO `lang_definitions` VALUES (124676, 1303, 24, 'Cache टेम्पलेट उत्पादन?');
INSERT INTO `lang_definitions` VALUES (124677, 1305, 24, 'कैफीन की खपत');
INSERT INTO `lang_definitions` VALUES (124678, 1306, 24, 'कैलेंडर');
INSERT INTO `lang_definitions` VALUES (124679, 1307, 24, 'कैलेंडर समाप्त घंटे');
INSERT INTO `lang_definitions` VALUES (124680, 1308, 24, 'कैलेंडर अंतराल');
INSERT INTO `lang_definitions` VALUES (124681, 1309, 24, 'कैलेंडर स्क्रीन');
INSERT INTO `lang_definitions` VALUES (124682, 1310, 24, 'कैलेंडर सेटिंग्स');
INSERT INTO `lang_definitions` VALUES (124683, 1312, 24, 'कैलेंडर शुरू घंटे');
INSERT INTO `lang_definitions` VALUES (124684, 1313, 24, 'कैलेंडर UI');
INSERT INTO `lang_definitions` VALUES (124685, 1314, 24, 'कैलेंडर देखें');
INSERT INTO `lang_definitions` VALUES (124686, 1317, 24, '(AddForm) को बुलाओ यहाँ जाता है <br>');
INSERT INTO `lang_definitions` VALUES (124687, 1321, 24, 'कैलोरी');
INSERT INTO `lang_definitions` VALUES (124688, 1322, 24, 'कम्बोडियन');
INSERT INTO `lang_definitions` VALUES (124689, 1323, 24, 'CAMOS');
INSERT INTO `lang_definitions` VALUES (124690, 1329, 24, 'रद्द करें');
INSERT INTO `lang_definitions` VALUES (124691, 1332, 24, 'परिवर्तनों को निरस्त करें');
INSERT INTO `lang_definitions` VALUES (124692, 1333, 24, 'रद्द');
INSERT INTO `lang_definitions` VALUES (124693, 1335, 24, 'कैंसर');
INSERT INTO `lang_definitions` VALUES (124694, 1336, 24, 'कैंसर स्क्रीनिंग: पेट के कैंसर स्क्रीनिंग');
INSERT INTO `lang_definitions` VALUES (124695, 1337, 24, 'कैंसर स्क्रीनिंग: मैमोग्राम');
INSERT INTO `lang_definitions` VALUES (124696, 1338, 24, 'कैंसर स्क्रीनिंग: पैप स्मियर');
INSERT INTO `lang_definitions` VALUES (124697, 1339, 24, 'कैंसर स्क्रीनिंग: प्रोस्टेट कैंसर स्क्रीनिंग');
INSERT INTO `lang_definitions` VALUES (124698, 1340, 24, 'प्रविष्टि नहीं जोड़ सकते हैं क्योंकि यह पहले से ही मौजूद है');
INSERT INTO `lang_definitions` VALUES (124699, 1341, 24, 'प्रविष्टि जोड़ / अपडेट नहीं कर सकते क्योंकि एक डुप्लीकेट पहले से मौजूद है');
INSERT INTO `lang_definitions` VALUES (124700, 1342, 24, 'संग्रहीत नहीं किया जा सकता नजरअंदाज कर दिया.');
INSERT INTO `lang_definitions` VALUES (124701, 1343, 24, 'जेपीईजी में परिवर्तित नहीं किया जा सकता . शायद ImageMagick स्थापित नहीं है ?');
INSERT INTO `lang_definitions` VALUES (124702, 1344, 24, 'हटाया नहीं जा सकता , नजरअंदाज कर दिया.');
INSERT INTO `lang_definitions` VALUES (124703, 1345, 24, 'इनलाइन प्रदर्शित नहीं किया जा सकता है क्योंकि इस तरह के प्रकार ब्राउज़र द्वारा समर्थित नहीं है .');
INSERT INTO `lang_definitions` VALUES (124704, 1346, 24, 'इनलाइन प्रदर्शित नहीं किया जा सकता है क्योंकि इस तरह के प्रकार ब्राउज़र द्वारा समर्थित नहीं है .');
INSERT INTO `lang_definitions` VALUES (124705, 1347, 24, 'इनलाइन प्रदर्शित नहीं किया जा सकता है क्योंकि इस तरह के प्रकार ब्राउज़र द्वारा समर्थित नहीं है .');
INSERT INTO `lang_definitions` VALUES (124706, 1349, 24, 'नहीं बना सकता');
INSERT INTO `lang_definitions` VALUES (124707, 1354, 24, 'नहीं मिल सकता');
INSERT INTO `lang_definitions` VALUES (124708, 1355, 24, 'एक गंतव्य फ़ाइल नाम नहीं खोज सके');
INSERT INTO `lang_definitions` VALUES (124709, 1358, 24, 'एसक्यूएल खाताबही ग्राहक आईडी से मरीज ​​को नहीं खोज सके');
INSERT INTO `lang_definitions` VALUES (124710, 1359, 24, 'में उपसंहार दस्तावेज़ संदर्भ नहीं मिल सकता है');
INSERT INTO `lang_definitions` VALUES (124711, 1360, 24, 'एसक्यूएल खाताबही कर्मचारी से प्रदाता नहीं खोज सके');
INSERT INTO `lang_definitions` VALUES (124712, 1361, 24, 'Payments. संशोधित नहीं कर सकते Undistributed नकारात्मक है .');
INSERT INTO `lang_definitions` VALUES (124713, 1363, 24, 'नहीं खोल सकता');
INSERT INTO `lang_definitions` VALUES (124714, 1364, 24, 'Insurance पोस्ट नहीं कर सकते.चयनित रोगी पैसे भर रहे है.');
INSERT INTO `lang_definitions` VALUES (124715, 1365, 24, 'चयनित Patient के लिए पोस्ट नहीं कर सकते.बीमा कंपनी पैसे भर रहे है.');
INSERT INTO `lang_definitions` VALUES (124716, 1366, 24, 'Payments पोस्ट नहीं कर सकते Undistributed नकारात्मक है .');
INSERT INTO `lang_definitions` VALUES (124717, 1367, 24, 'पढ़ा नहीं जा सकता');
INSERT INTO `lang_definitions` VALUES (124718, 1368, 24, 'निर्देशिका पढ़ा नहीं जा सकता');
INSERT INTO `lang_definitions` VALUES (124719, 1369, 24, 'अद्यतन नहीं कर सकता क्योंकि आप मौजूदा प्रविष्टि संपादन नहीं कर रहे हैं !');
INSERT INTO `lang_definitions` VALUES (124720, 1370, 24, 'कैपिटलाइज़');
INSERT INTO `lang_definitions` VALUES (124721, 1372, 24, 'कैप्सूल');
INSERT INTO `lang_definitions` VALUES (124722, 1373, 24, 'कार्ड');
INSERT INTO `lang_definitions` VALUES (124723, 1382, 24, 'कार्डियक कैथेटेराइज़ेशन');
INSERT INTO `lang_definitions` VALUES (124724, 1383, 24, 'कार्डिएक इको');
INSERT INTO `lang_definitions` VALUES (124725, 1384, 24, 'कार्डियोवास्कुलर');
INSERT INTO `lang_definitions` VALUES (124726, 1392, 24, 'Ιατρική Ομάδα');
INSERT INTO `lang_definitions` VALUES (124727, 1396, 24, 'उपास्थि / उपास्थिपरक / डिस्क क्षति');
INSERT INTO `lang_definitions` VALUES (124728, 1397, 24, 'उपास्थि चोट');
INSERT INTO `lang_definitions` VALUES (124729, 1398, 24, 'Cartoid स्पंदन nl, पेडल दालों nl');
INSERT INTO `lang_definitions` VALUES (124730, 1400, 24, 'नकद');
INSERT INTO `lang_definitions` VALUES (124731, 1401, 24, 'नकद');
INSERT INTO `lang_definitions` VALUES (124732, 1402, 24, 'नकद प्राप्तियां');
INSERT INTO `lang_definitions` VALUES (124733, 1403, 24, 'प्रदाता द्वारा नकद प्राप्तियां');
INSERT INTO `lang_definitions` VALUES (124734, 1406, 24, 'मोतियाबिंद सर्जरी');
INSERT INTO `lang_definitions` VALUES (124735, 1407, 24, 'मोतियाबिंद');
INSERT INTO `lang_definitions` VALUES (124736, 1408, 24, 'श्रेणियाँ');
INSERT INTO `lang_definitions` VALUES (124737, 1409, 24, 'के लिए श्रेणियाँ');
INSERT INTO `lang_definitions` VALUES (124738, 1410, 24, 'श्रेणी');
INSERT INTO `lang_definitions` VALUES (124739, 1411, 24, 'श्रेणी');
INSERT INTO `lang_definitions` VALUES (124740, 1412, 24, 'श्रेणी');
INSERT INTO `lang_definitions` VALUES (124741, 1416, 24, 'श्रेणी विवरण');
INSERT INTO `lang_definitions` VALUES (124742, 1417, 24, 'श्रेणी सीमाएं');
INSERT INTO `lang_definitions` VALUES (124743, 1418, 24, 'श्रेणी नाम');
INSERT INTO `lang_definitions` VALUES (124744, 1419, 24, 'श्रेणी नाम खाली है');
INSERT INTO `lang_definitions` VALUES (124745, 1420, 24, 'श्रेणी / शीर्षक');
INSERT INTO `lang_definitions` VALUES (124746, 1421, 24, 'कोकेशियान');
INSERT INTO `lang_definitions` VALUES (124747, 1422, 24, 'प्राप्तियों को मुठभेड़ / प्राथमिक प्रदाता की जानकारी प्रिंट करने के लिए मजबूर करता है');
INSERT INTO `lang_definitions` VALUES (124748, 1442, 24, 'सीडीआर');
INSERT INTO `lang_definitions` VALUES (124749, 1443, 24, 'सीडीआर प्रसंस्करण प्राथमिकता रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (124750, 1444, 24, 'मोबाइल फ़ोन');
INSERT INTO `lang_definitions` VALUES (124751, 1445, 24, 'मोबाइल फ़ोन');
INSERT INTO `lang_definitions` VALUES (124752, 1447, 24, 'सेल फोन नंबर');
INSERT INTO `lang_definitions` VALUES (124753, 1449, 24, 'केन्द्रीय प्रमाणन');
INSERT INTO `lang_definitions` VALUES (124754, 1451, 24, 'केन्द्रीय / दक्षिण अमेरिका');
INSERT INTO `lang_definitions` VALUES (124755, 1452, 24, 'प्रमाणपत्र प्राधिकार CRT फ़ाइल स्थान खाली नहीं हो सकता');
INSERT INTO `lang_definitions` VALUES (124756, 1453, 24, 'प्रमाणपत्र प्राधिकरण चाबी फ़ाइल स्थान खाली नहीं हो सकता');
INSERT INTO `lang_definitions` VALUES (124757, 1454, 24, 'आरएफसी 5425 टीएलएस syslog सर्वर को भेजने के लिए प्रमाण पत्र.');
INSERT INTO `lang_definitions` VALUES (124758, 1455, 24, 'प्रमाणपत्र प्रयोक्ता');
INSERT INTO `lang_definitions` VALUES (124759, 1456, 24, 'प्रमाण पत्र');
INSERT INTO `lang_definitions` VALUES (124760, 1458, 24, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (124761, 1459, 24, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (124762, 1460, 24, 'परिवर्तन');
INSERT INTO `lang_definitions` VALUES (124763, 1461, 24, 'परिवर्तन');
INSERT INTO `lang_definitions` VALUES (124764, 1462, 24, 'गतिविधि बदलें');
INSERT INTO `lang_definitions` VALUES (124765, 1466, 24, 'बदलें विफल रहा है! CouchDB कनेक्ट त्रुटि?');
INSERT INTO `lang_definitions` VALUES (124766, 1467, 24, 'दृष्टि में बदलें');
INSERT INTO `lang_definitions` VALUES (124767, 1468, 24, 'दृष्टि में बदलें');
INSERT INTO `lang_definitions` VALUES (124768, 1470, 24, 'पासवर्ड बदलें');
INSERT INTO `lang_definitions` VALUES (124769, 1475, 24, 'बदली गई');
INSERT INTO `lang_definitions` VALUES (124770, 1476, 24, 'बदल गया आंत्र');
INSERT INTO `lang_definitions` VALUES (124771, 1479, 24, 'दस्तावेज़ के लिए रोगी आईडी बदल रहा है');
INSERT INTO `lang_definitions` VALUES (124772, 1484, 24, 'विशेषताएँ');
INSERT INTO `lang_definitions` VALUES (124773, 1485, 24, 'वर्ण शेष');
INSERT INTO `lang_definitions` VALUES (124774, 1486, 24, 'प्रभार');
INSERT INTO `lang_definitions` VALUES (124775, 1487, 24, 'प्रभारी समायोजन');
INSERT INTO `lang_definitions` VALUES (124776, 1488, 24, 'Coded प्रभार');
INSERT INTO `lang_definitions` VALUES (124777, 1490, 24, 'प्रभार');
INSERT INTO `lang_definitions` VALUES (124778, 1491, 24, 'चार्ट');
INSERT INTO `lang_definitions` VALUES (124779, 1492, 24, 'चार्ट गतिविधि');
INSERT INTO `lang_definitions` VALUES (124780, 1493, 24, 'चार्ट Check-in/out गतिविधि रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (124781, 1495, 24, 'चार्ट आईडी');
INSERT INTO `lang_definitions` VALUES (124782, 1496, 24, 'चार्ट आईडी');
INSERT INTO `lang_definitions` VALUES (124783, 1498, 24, 'चार्ट स्थान गतिविधि');
INSERT INTO `lang_definitions` VALUES (124784, 1499, 24, 'चार्ट नोट');
INSERT INTO `lang_definitions` VALUES (124785, 1500, 24, 'चार्ट संख्या');
INSERT INTO `lang_definitions` VALUES (124786, 1502, 24, 'चार्ट संग्रहण स्थान');
INSERT INTO `lang_definitions` VALUES (124787, 1504, 24, 'चार्ट ट्रैकर');
INSERT INTO `lang_definitions` VALUES (124788, 1505, 24, 'चार्ट TRK');
INSERT INTO `lang_definitions` VALUES (124789, 1508, 24, 'चार्ट चेक आउट');
INSERT INTO `lang_definitions` VALUES (124790, 1509, 24, 'चार्ट आउट');
INSERT INTO `lang_definitions` VALUES (124791, 1513, 24, 'चेक');
INSERT INTO `lang_definitions` VALUES (124792, 1514, 24, 'चेक');
INSERT INTO `lang_definitions` VALUES (124793, 1515, 24, 'सभी की जाँच करें');
INSERT INTO `lang_definitions` VALUES (124794, 1517, 24, 'राशि की जांच करें');
INSERT INTO `lang_definitions` VALUES (124795, 1519, 24, 'तिथि की जांच करें');
INSERT INTO `lang_definitions` VALUES (124796, 1521, 24, 'कस्टम भाषा तालिका के साथ अनुवाद के मतभेद के लिए जाँच करें.');
INSERT INTO `lang_definitions` VALUES (124797, 1527, 24, 'जांच करें');
INSERT INTO `lang_definitions` VALUES (124798, 1528, 24, 'इनपुट डाटा की जांच करें');
INSERT INTO `lang_definitions` VALUES (124799, 1530, 24, 'लैब परिणाम की जाँच करें');
INSERT INTO `lang_definitions` VALUES (124800, 1531, 24, 'जाँच का निशान समीक्षा का संकेत है.');
INSERT INTO `lang_definitions` VALUES (124801, 1532, 24, 'चेक नंबर');
INSERT INTO `lang_definitions` VALUES (124802, 1533, 24, 'चेक नंबर');
INSERT INTO `lang_definitions` VALUES (124803, 1536, 24, 'चेक भुगतान');
INSERT INTO `lang_definitions` VALUES (124804, 1537, 24, 'यह एक एन्क्रिप्टेड फ़ाइल है तो बॉक्स चेक करें');
INSERT INTO `lang_definitions` VALUES (124805, 1541, 24, 'प्रदाताओं को डिफ़ॉल्ट सभी नियुक्तियों दिखाने के लिए और ना की सिर्फ अपने मत की, आप यह चेक करें.');
INSERT INTO `lang_definitions` VALUES (124806, 1543, 24, 'इस निदान से समस्या पैदा करने के लिए बॉक्स चेक करें');
INSERT INTO `lang_definitions` VALUES (124807, 1545, 24, 'चेक/EOB तिथि');
INSERT INTO `lang_definitions` VALUES (124808, 1547, 24, 'चेक/EOB नंबर');
INSERT INTO `lang_definitions` VALUES (124809, 1548, 24, 'चेक/संदर्भ संख्या');
INSERT INTO `lang_definitions` VALUES (124810, 1549, 24, 'चेक/संदर्भ संख्या');
INSERT INTO `lang_definitions` VALUES (124811, 1550, 24, 'चेकबॉक्स सूची');
INSERT INTO `lang_definitions` VALUES (124812, 1551, 24, 'चेकबॉक्स सूची');
INSERT INTO `lang_definitions` VALUES (124813, 1552, 24, 'चेकबॉक्स w / टेक्स्ट');
INSERT INTO `lang_definitions` VALUES (124814, 1553, 24, 'चेकबॉक्स w / टेक्स्ट');
INSERT INTO `lang_definitions` VALUES (124815, 1557, 24, 'जाँच की');
INSERT INTO `lang_definitions` VALUES (124816, 1559, 24, 'जाँच बॉक्स = हाँ, खाली = नहीं');
INSERT INTO `lang_definitions` VALUES (124817, 1568, 24, 'जांच');
INSERT INTO `lang_definitions` VALUES (124818, 1569, 24, 'checksum');
INSERT INTO `lang_definitions` VALUES (124819, 1570, 24, 'छाती');
INSERT INTO `lang_definitions` VALUES (124820, 1571, 24, 'छाती CTAB');
INSERT INTO `lang_definitions` VALUES (124821, 1572, 24, 'सीने में दर्द');
INSERT INTO `lang_definitions` VALUES (124822, 1573, 24, 'सीने में दर्द:');
INSERT INTO `lang_definitions` VALUES (124823, 1574, 24, 'सीने में दर्द');
INSERT INTO `lang_definitions` VALUES (124824, 1576, 24, 'Chg');
INSERT INTO `lang_definitions` VALUES (124825, 1578, 24, 'मुख्य शिकायत');
INSERT INTO `lang_definitions` VALUES (124826, 1581, 24, 'बच्चा');
INSERT INTO `lang_definitions` VALUES (124827, 1583, 24, 'बचपन प्रतिरक्षण स्थिति (CQM)');
INSERT INTO `lang_definitions` VALUES (124828, 1584, 24, 'ठंड लगना');
INSERT INTO `lang_definitions` VALUES (124829, 1585, 24, 'चीनी');
INSERT INTO `lang_definitions` VALUES (124830, 1586, 24, 'चीनी (सरलीकृत)');
INSERT INTO `lang_definitions` VALUES (124831, 1587, 24, 'चीनी (पारंपरिक)');
INSERT INTO `lang_definitions` VALUES (124832, 1589, 24, 'विकल्प');
INSERT INTO `lang_definitions` VALUES (124833, 1590, 24, 'ऑपरेशन द्वारा पित्ताशय को काट कर निकाल देना');
INSERT INTO `lang_definitions` VALUES (124834, 1592, 24, 'ऑपरेशन द्वारा पित्ताशय को काट कर निकाल देना');
INSERT INTO `lang_definitions` VALUES (124835, 1593, 24, 'चुनें');
INSERT INTO `lang_definitions` VALUES (124836, 1596, 24, 'एक अनुभाग चुनें और इसके भीतर एक आइटम क्लिक करें, तो दूसरे भाग में आप संबंधित वस्तुओं पर प्रकाश डाला देखेंगे, और आप रिश्ते जोड़ने के लिए और नष्ट करने के लिए अनुभाग में क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (124837, 1597, 24, 'मानदंड चुनें');
INSERT INTO `lang_definitions` VALUES (124838, 1602, 24, 'फ़ाइल चुनें');
INSERT INTO `lang_definitions` VALUES (124839, 1603, 24, 'सूची से चुनें');
INSERT INTO `lang_definitions` VALUES (124840, 1605, 24, 'सूची चुनें');
INSERT INTO `lang_definitions` VALUES (124841, 1611, 24, 'इस मुठभेड़ रिपोर्ट के लिए प्रिंट प्रारूप चुनें.');
INSERT INTO `lang_definitions` VALUES (124842, 1615, 24, 'क्रोनिक ब्रोन्काइटिस');
INSERT INTO `lang_definitions` VALUES (124843, 1616, 24, 'क्रोनिक जोड़ों का दर्द');
INSERT INTO `lang_definitions` VALUES (124844, 1617, 24, 'क्रोनिक किडनी रोग (सीकेडी)');
INSERT INTO `lang_definitions` VALUES (124845, 1620, 24, 'क्रोनिक synovitis / बहाव / जोड़ों के दर्द / गाउट');
INSERT INTO `lang_definitions` VALUES (124846, 1622, 24, 'आवर्तक / क्रोनिक');
INSERT INTO `lang_definitions` VALUES (124847, 1625, 24, 'यकृद्दाल्युदर');
INSERT INTO `lang_definitions` VALUES (124848, 1626, 24, 'यकृद्दाल्युदर');
INSERT INTO `lang_definitions` VALUES (124849, 1627, 24, 'शहर');
INSERT INTO `lang_definitions` VALUES (124850, 1629, 24, 'शहर का नाम');
INSERT INTO `lang_definitions` VALUES (124851, 1630, 24, 'शहर, राज्य');
INSERT INTO `lang_definitions` VALUES (124852, 1631, 24, 'शहर, राज्य ज़िप');
INSERT INTO `lang_definitions` VALUES (124853, 1633, 24, 'शहर / राज्य');
INSERT INTO `lang_definitions` VALUES (124854, 1634, 24, 'दावा');
INSERT INTO `lang_definitions` VALUES (124855, 1635, 24, 'दावा');
INSERT INTO `lang_definitions` VALUES (124856, 1637, 24, 'दावा स्थिति');
INSERT INTO `lang_definitions` VALUES (124857, 1638, 24, 'दावा परीक्षण पूरा कर लिया है');
INSERT INTO `lang_definitions` VALUES (124858, 1639, 24, 'दावा प्रकार');
INSERT INTO `lang_definitions` VALUES (124859, 1640, 24, 'दावा दाखिल करने के लिए उत्पन्न किया गया');
INSERT INTO `lang_definitions` VALUES (124860, 1641, 24, 'दावा दाखिल करने के लिए उत्पन्न किया गया');
INSERT INTO `lang_definitions` VALUES (124861, 1642, 24, 'दावा');
INSERT INTO `lang_definitions` VALUES (124862, 1645, 24, 'वर्गीकरण');
INSERT INTO `lang_definitions` VALUES (124863, 1646, 24, 'साफ़');
INSERT INTO `lang_definitions` VALUES (124864, 1649, 24, 'स्पष्ट सक्रिय रोगी');
INSERT INTO `lang_definitions` VALUES (124865, 1651, 24, 'सभी साफ़');
INSERT INTO `lang_definitions` VALUES (124866, 1654, 24, 'स्पष्ट HL7 के डाटा');
INSERT INTO `lang_definitions` VALUES (124867, 1655, 24, 'स्पष्ट औचित्य');
INSERT INTO `lang_definitions` VALUES (124868, 1659, 24, 'स्पष्ट समझदार cache');
INSERT INTO `lang_definitions` VALUES (124869, 1661, 24, 'क्लीयरिंग हाउस की जानकारी ईडीआई 270 बैच के निर्माण के लिए जरूरी है.');
INSERT INTO `lang_definitions` VALUES (124870, 1662, 24, 'CLIA संख्या');
INSERT INTO `lang_definitions` VALUES (124871, 1663, 24, 'क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124872, 1664, 24, 'Click \'export\' to export your Category, Subcategory, Item, Content data to a text file. Any resemblance of this file to an XML file is purely coincidental. The opening and closing tags must be on the same line, they must be lowercase with no spaces. To import, browse for a file and click \'import\'. If the data is completely different, it will merge with your existing data. If there are similar item names, The old one will be kept and the new one saved with a number added to the end.');
INSERT INTO `lang_definitions` VALUES (124873, 1667, 24, 'एक नई टिप्पणी जोड़ने के लिए ग्राफिक पर एक जगह क्लिक करें, इसे निकालने के लिए इसे फिर से क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124874, 1671, 24, 'ssl.zip फ़ाइल में प्रमाण पत्र डाउनलोड करने के लिए प्रमाणपत्र डाउनलोड क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124875, 1672, 24, 'अधिक जानकारी के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124876, 1673, 24, 'अधिक जानकारी के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124877, 1674, 24, 'आदेश सारांश के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124878, 1675, 24, 'परिणामों के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124879, 1678, 24, 'यहां क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124880, 1679, 24, 'एक नए मरीज ​​को जोड़ने के लिए यहां क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (124881, 1680, 24, 'नई चोट परिवर्तन की स्थिति जोड़ने के लिए और दैनिक गतिविधियों को संपादित करने के लिए यहाँ क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124882, 1682, 24, 'एक तिथि का चयन करने के लिए यहां क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124883, 1683, 24, 'एक तारीख और समय का चयन करने के लिए यहां क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124884, 1684, 24, 'एक शुरुआत की तारीख चुनने के लिए यहां क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124885, 1707, 24, 'खोज करने के लिए यहाँ क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124886, 1710, 24, 'प्राथमिकता, वर्ग और उपनाम सेटिंग को अपडेट करने के लिए यहां क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124887, 1714, 24, 'सभी को देखने के लिए यहां क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (124888, 1715, 24, 'दृश्य और ग्राफ के लिए यहां क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124889, 1717, 24, 'सभी नब्ज देखने और ग्राफ के लिए यहां क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (124890, 1718, 24, 'रोगी विवरण देखने के लिए यहां क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124891, 1719, 24, 'उन सब को देखने के लिए यहां क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (124892, 1720, 24, 'अधिक विवरण देखने / संपादित करने के लिए यहां क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124893, 1723, 24, 'निम्नलिखित तारीख से डेटाबेस रिलीज स्थापित करने के लिए स्थापित बटन पर क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124894, 1730, 24, 'इसे बढ़ाने के लिए किसी भी समय भागों पर क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124895, 1751, 24, 'रोगी फ़ाइल खोलने के लिए रोगी का नाम क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124896, 1753, 24, 'सभी परिणाम देखने के लिए ताज़ा बटन क्लिक करें. विशिष्ट परिणामों देखने के लिए ऊपर खोज मापदंड input करें.');
INSERT INTO `lang_definitions` VALUES (124897, 1777, 24, 'एक निदान जोड़ने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124898, 1779, 24, 'नए घटकों को जोड़ने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124899, 1780, 24, 'नए परामर्श जोड़ने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124900, 1785, 24, 'डाउनलोड करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124901, 1786, 24, 'संपादित करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124902, 1787, 24, 'विवरण को संपादित करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124903, 1788, 24, 'इस घटना को संपादित करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124904, 1790, 24, 'रिपोर्ट उत्पन्न करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124905, 1800, 24, 'मुद्रित करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124906, 1801, 24, 'नया(जोड़) लॉट प्राप्त करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124907, 1805, 24, 'चुनने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124908, 1806, 24, 'चुनने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124909, 1808, 24, 'इस प्रक्रिया के लिए एक उद्योग मानक कोड को चुनने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124910, 1811, 24, 'वैकल्पिक प्रक्रिया कोड को चुनने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124911, 1813, 24, 'CVX कोड का चयन करने या बदलने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124912, 1814, 24, 'निदान का चयन करने या बदलने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124913, 1815, 24, 'सेवा कोड का चयन करने या बदलने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124914, 1816, 24, 'रोगी को चुनने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124915, 1817, 24, 'संबंधित कोड को चुनने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124916, 1819, 24, 'अगर यह परिणाम असामान्य है तो सेवाएं प्रदर्शन करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124917, 1822, 24, 'वांछित प्रक्रिया को चुनने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124918, 1829, 24, 'सॉर्ट करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124919, 1831, 24, 'देखने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124920, 1833, 24, 'देखने या संपादित करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124921, 1834, 24, 'देखने या संपादित करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124922, 1836, 24, 'निम्नलिखित तारीख से डेटाबेस रिहाई नवीनीकृत करने के लिए अपग्रेड बटन क्लिक करें');
INSERT INTO `lang_definitions` VALUES (124923, 1839, 24, 'क्लिक करें:');
INSERT INTO `lang_definitions` VALUES (124924, 1862, 24, 'क्लाइंट प्रमाणपत्र समाप्ति दिन');
INSERT INTO `lang_definitions` VALUES (124925, 1864, 24, 'क्लाइंट प्रमाणपत्र की मान्यता अवधि');
INSERT INTO `lang_definitions` VALUES (124926, 1865, 24, 'क्लाइंट प्रमाणपत्र वैधता एक वैध संख्या होनी चाहिए.');
INSERT INTO `lang_definitions` VALUES (124927, 1866, 24, 'ग्राहकों का कॉपी');
INSERT INTO `lang_definitions` VALUES (124928, 1869, 24, 'ग्राहकों का चिकित्सा के इतिहास सारांश');
INSERT INTO `lang_definitions` VALUES (124929, 1870, 24, 'ग्राहक का नाम');
INSERT INTO `lang_definitions` VALUES (124930, 1872, 24, 'हमारे ग्राहकों का नंबर');
INSERT INTO `lang_definitions` VALUES (124931, 1873, 24, 'ग्राहक प्रोफाइल - नए ग्राहकों को');
INSERT INTO `lang_definitions` VALUES (124932, 1874, 24, 'ग्राहक प्रोफाइल - अद्वितीय ग्राहक');
INSERT INTO `lang_definitions` VALUES (124933, 1878, 24, 'ग्राहक');
INSERT INTO `lang_definitions` VALUES (124934, 1879, 24, 'क्लिनिक');
INSERT INTO `lang_definitions` VALUES (124935, 1880, 24, 'क्लिनिक कॉपी');
INSERT INTO `lang_definitions` VALUES (124936, 1881, 24, 'क्लिनिक डेली रिकॉर्ड');
INSERT INTO `lang_definitions` VALUES (124937, 1882, 24, 'क्लिनिक आईडी');
INSERT INTO `lang_definitions` VALUES (124938, 1883, 24, 'नैदानिक');
INSERT INTO `lang_definitions` VALUES (124939, 1884, 24, 'क्लीनिकल निर्णय नियम चेतावनी प्रबंधक');
INSERT INTO `lang_definitions` VALUES (124940, 1886, 24, 'क्लीनिकल इतिहास');
INSERT INTO `lang_definitions` VALUES (124941, 1889, 24, 'क्लीनिकल योजनाएं');
INSERT INTO `lang_definitions` VALUES (124942, 1890, 24, 'क्लीनिकल गुणवत्ता उपाय (CQM)');
INSERT INTO `lang_definitions` VALUES (124943, 1893, 24, 'क्लीनिकल अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (124944, 1897, 24, 'क्लीनिकल रिपोर्टें');
INSERT INTO `lang_definitions` VALUES (124945, 1898, 24, 'क्लीनिकल नियम कार्रवाई श्रेणी');
INSERT INTO `lang_definitions` VALUES (124946, 1899, 24, 'क्लीनिकल नियम कार्रवाई आइटम');
INSERT INTO `lang_definitions` VALUES (124947, 1900, 24, 'क्लीनिकल नियम फ़िल्टर के तरीके');
INSERT INTO `lang_definitions` VALUES (124948, 1901, 24, 'क्लीनिकल नियम लक्षित तरीके');
INSERT INTO `lang_definitions` VALUES (124949, 1902, 24, 'क्लीनिकल नियम');
INSERT INTO `lang_definitions` VALUES (124950, 1903, 24, 'क्लीनिकल नियम उम्र अंतराल');
INSERT INTO `lang_definitions` VALUES (124951, 1904, 24, 'क्लीनिकल नियम तुलना');
INSERT INTO `lang_definitions` VALUES (124952, 1905, 24, 'क्लीनिकल नियम मुठभेड़ प्रकार');
INSERT INTO `lang_definitions` VALUES (124953, 1906, 24, 'क्लीनिकल नियम अनुस्मारक लंबित विकल्प');
INSERT INTO `lang_definitions` VALUES (124954, 1907, 24, 'क्लीनिकल नियम अनुस्मारक निष्क्रियता विकल्प');
INSERT INTO `lang_definitions` VALUES (124955, 1908, 24, 'क्लीनिकल नियम अनुस्मारक अंतराल');
INSERT INTO `lang_definitions` VALUES (124956, 1909, 24, 'क्लीनिकल नियम अनुस्मारक तरीके');
INSERT INTO `lang_definitions` VALUES (124957, 1910, 24, 'क्लीनिकल नियम लक्षित अंतराल');
INSERT INTO `lang_definitions` VALUES (124958, 1911, 24, 'क्लीनिकल लक्ष्य');
INSERT INTO `lang_definitions` VALUES (124959, 1912, 24, 'क्लीनिकल अवधि');
INSERT INTO `lang_definitions` VALUES (124960, 1913, 24, 'क्लीनिकल अवधि संहिता (ओं)');
INSERT INTO `lang_definitions` VALUES (124961, 1915, 24, 'चिकित्सकों के लिए');
INSERT INTO `lang_definitions` VALUES (124962, 1916, 24, 'क्लोन');
INSERT INTO `lang_definitions` VALUES (124963, 1917, 24, 'पिछले भेंट क्लोन करें');
INSERT INTO `lang_definitions` VALUES (124964, 1918, 24, 'बंद करें');
INSERT INTO `lang_definitions` VALUES (124965, 1925, 24, 'खिड़की बन्द कीजिये');
INSERT INTO `lang_definitions` VALUES (124966, 1927, 24, 'बंद');
INSERT INTO `lang_definitions` VALUES (124967, 1928, 24, 'से.मी.');
INSERT INTO `lang_definitions` VALUES (124968, 1931, 24, 'सीएमएस 1500 मार्जिन्स');
INSERT INTO `lang_definitions` VALUES (124969, 1940, 24, 'सीएमएस आईडी');
INSERT INTO `lang_definitions` VALUES (124970, 1955, 24, 'CN2 -12 बरकरार');
INSERT INTO `lang_definitions` VALUES (124971, 1958, 24, 'सह- पे');
INSERT INTO `lang_definitions` VALUES (124972, 1959, 24, 'सह- पे भुगतान किया');
INSERT INTO `lang_definitions` VALUES (124973, 1962, 24, 'सह- पे');
INSERT INTO `lang_definitions` VALUES (124974, 1964, 24, 'कोड');
INSERT INTO `lang_definitions` VALUES (124975, 1965, 24, 'कोड');
INSERT INTO `lang_definitions` VALUES (124976, 1967, 24, 'कोड खोजक');
INSERT INTO `lang_definitions` VALUES (124977, 1968, 24, 'कोड दो अक्षर लोअरकेस होना चाहिए');
INSERT INTO `lang_definitions` VALUES (124978, 1969, 24, 'मुद्रा संकेत करने के लिए कोड या प्रतीक');
INSERT INTO `lang_definitions` VALUES (124979, 1971, 24, 'कोड पाठ');
INSERT INTO `lang_definitions` VALUES (124980, 1973, 24, 'कोड प्रकार');
INSERT INTO `lang_definitions` VALUES (124981, 1976, 24, 'कोड प्रकार');
INSERT INTO `lang_definitions` VALUES (124982, 1977, 24, 'कोड्स');
INSERT INTO `lang_definitions` VALUES (124983, 1978, 24, 'कोडित किया');
INSERT INTO `lang_definitions` VALUES (124984, 1979, 24, 'कोड्स');
INSERT INTO `lang_definitions` VALUES (124985, 1981, 24, 'कोडिंग');
INSERT INTO `lang_definitions` VALUES (124986, 1983, 24, 'कोडिंग - किसी मुठभेड़ों (लिखने, wsome वैकल्पिक)');
INSERT INTO `lang_definitions` VALUES (124987, 1985, 24, 'कोडिंग - मेरे मुठभेड़ों (लिखने, wsome वैकल्पिक)');
INSERT INTO `lang_definitions` VALUES (124988, 1990, 24, 'कोडिंग अधिकृत नहीं');
INSERT INTO `lang_definitions` VALUES (124989, 1991, 24, 'कॉफ़ी');
INSERT INTO `lang_definitions` VALUES (124990, 1994, 24, 'सहबीमा');
INSERT INTO `lang_definitions` VALUES (124991, 1995, 24, 'Coll w / ओ');
INSERT INTO `lang_definitions` VALUES (124992, 1997, 24, 'संकुचित करें');
INSERT INTO `lang_definitions` VALUES (124993, 1998, 24, 'संकुचित करें');
INSERT INTO `lang_definitions` VALUES (124994, 1999, 24, 'सभी संकुचित करें');
INSERT INTO `lang_definitions` VALUES (124995, 2000, 24, 'सभी संकुचित करें');
INSERT INTO `lang_definitions` VALUES (124996, 2001, 24, 'सभी संकुचित करें');
INSERT INTO `lang_definitions` VALUES (124997, 2005, 24, 'संग्रह की तिथि');
INSERT INTO `lang_definitions` VALUES (124998, 2007, 24, 'संग्रह');
INSERT INTO `lang_definitions` VALUES (124999, 2008, 24, 'संग्रह रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (125000, 2009, 24, 'पेट के कैंसर');
INSERT INTO `lang_definitions` VALUES (125001, 2010, 24, 'पेट के कैंसर स्क्रीनिंग');
INSERT INTO `lang_definitions` VALUES (125002, 2011, 24, 'पेट के कैंसर सर्जरी');
INSERT INTO `lang_definitions` VALUES (125003, 2012, 24, 'बृहदांत्रदर्शन');
INSERT INTO `lang_definitions` VALUES (125004, 2013, 24, 'बृहदांत्रदर्शन');
INSERT INTO `lang_definitions` VALUES (125005, 2014, 24, 'रंग');
INSERT INTO `lang_definitions` VALUES (125006, 2020, 24, 'रंग: Abbr');
INSERT INTO `lang_definitions` VALUES (125007, 2021, 24, 'कॉलम');
INSERT INTO `lang_definitions` VALUES (125008, 2022, 24, 'कॉलम');
INSERT INTO `lang_definitions` VALUES (125009, 2024, 24, 'संयोजन लॉट');
INSERT INTO `lang_definitions` VALUES (125010, 2025, 24, 'अल्पविराम');
INSERT INTO `lang_definitions` VALUES (125011, 2027, 24, 'टिप्पणी');
INSERT INTO `lang_definitions` VALUES (125012, 2028, 24, 'टिप्पणियां');
INSERT INTO `lang_definitions` VALUES (125013, 2030, 24, 'यह परिणाम या सिफारिश के लिए टिप्पणियाँ');
INSERT INTO `lang_definitions` VALUES (125014, 2031, 24, 'वाणिज्यिक बीमा कंपनी');
INSERT INTO `lang_definitions` VALUES (125015, 2032, 24, 'परिवर्तन कमेटी');
INSERT INTO `lang_definitions` VALUES (125016, 2036, 24, 'संचार');
INSERT INTO `lang_definitions` VALUES (125017, 2039, 24, 'कंपनी');
INSERT INTO `lang_definitions` VALUES (125018, 2040, 24, 'कंपनी का नाम');
INSERT INTO `lang_definitions` VALUES (125019, 2041, 24, 'पूरा');
INSERT INTO `lang_definitions` VALUES (125020, 2043, 24, 'पूरा');
INSERT INTO `lang_definitions` VALUES (125021, 2046, 24, 'पूरे किए?');
INSERT INTO `lang_definitions` VALUES (125022, 2049, 24, 'सेवा प्रदाता द्वारा जटिलताओं');
INSERT INTO `lang_definitions` VALUES (125023, 2050, 24, 'गर्भपात की जटिलताओं');
INSERT INTO `lang_definitions` VALUES (125024, 2051, 24, 'अवयव');
INSERT INTO `lang_definitions` VALUES (125025, 2057, 24, 'कंप्यूटर एडेड मेडिकल आदेश सिस्टम');
INSERT INTO `lang_definitions` VALUES (125026, 2058, 24, 'निष्कर्ष');
INSERT INTO `lang_definitions` VALUES (125027, 2064, 24, 'विन्यास');
INSERT INTO `lang_definitions` VALUES (125028, 2065, 24, 'विन्यास निर्यात / आयात');
INSERT INTO `lang_definitions` VALUES (125029, 2067, 24, 'ग्राहक साइड का SSL प्रमाणपत्र का उपयोग करने के लिए अपाचे और OpenEMR विन्यस्त करें.');
INSERT INTO `lang_definitions` VALUES (125030, 2068, 24, 'ग्राहक साइड SSL प्रमाणपत्र का उपयोग करने के लिए अपाचे कॉन्फ़िगर करें.');
INSERT INTO `lang_definitions` VALUES (125031, 2069, 24, 'HTTPS का उपयोग करने के लिए अपाचे कॉन्फ़िगर करें.');
INSERT INTO `lang_definitions` VALUES (125032, 2070, 24, 'ग्राहक साइड SSL प्रमाणपत्र का उपयोग करने के लिए Openemr कॉन्फ़िगर करें.');
INSERT INTO `lang_definitions` VALUES (125033, 2079, 24, 'नई रोगी बनाने के लिए पुष्टि');
INSERT INTO `lang_definitions` VALUES (125034, 2081, 24, 'नए पासवर्ड की पुष्टि');
INSERT INTO `lang_definitions` VALUES (125035, 2083, 24, 'भुगतान की पुष्टि');
INSERT INTO `lang_definitions` VALUES (125036, 2092, 24, 'जन्मजात');
INSERT INTO `lang_definitions` VALUES (125037, 2094, 24, 'Conjuntiva, पुतली');
INSERT INTO `lang_definitions` VALUES (125038, 2097, 24, 'कनेक्टर्स');
INSERT INTO `lang_definitions` VALUES (125039, 2098, 24, 'स्थिर');
INSERT INTO `lang_definitions` VALUES (125040, 2100, 24, 'स्थिर नाम');
INSERT INTO `lang_definitions` VALUES (125041, 2101, 24, 'स्थिर नाम रिक्त है');
INSERT INTO `lang_definitions` VALUES (125042, 2102, 24, 'स्थिरांक');
INSERT INTO `lang_definitions` VALUES (125043, 2103, 24, 'कब्ज');
INSERT INTO `lang_definitions` VALUES (125044, 2104, 24, 'संवैधानिक');
INSERT INTO `lang_definitions` VALUES (125045, 2107, 24, 'परामर्श संक्षिप्त विवरण');
INSERT INTO `lang_definitions` VALUES (125046, 2109, 24, 'संपर्क');
INSERT INTO `lang_definitions` VALUES (125047, 2110, 24, 'ईमेल संपर्क');
INSERT INTO `lang_definitions` VALUES (125048, 2111, 24, 'ईमेल पता');
INSERT INTO `lang_definitions` VALUES (125049, 2112, 24, 'PhiMail प्रत्यक्ष संदेश सेवा की सदस्यता के लिए ईएमआर प्रत्यक्ष संपर्क करें');
INSERT INTO `lang_definitions` VALUES (125050, 2113, 24, 'संपर्क जानकारी');
INSERT INTO `lang_definitions` VALUES (125051, 2117, 24, 'सम्पर्क लेंस');
INSERT INTO `lang_definitions` VALUES (125052, 2118, 24, 'लैब विनिमय सेवा के लिए http://mi-squared.com मेडिकल इन्फोर्मेशन इंटीग्रेशन, LLC संपर्क करें.');
INSERT INTO `lang_definitions` VALUES (125053, 2119, 24, 'eRX सेवा सदस्यता लेने के लिए ZH हेल्थकेयर http://zhservices.com या http://mi-squared.com मेडिकल इन्फोर्मेशन इंटीग्रेशन, LLC संपर्क करें');
INSERT INTO `lang_definitions` VALUES (125054, 2122, 24, 'संपर्क नाम');
INSERT INTO `lang_definitions` VALUES (125055, 2125, 24, 'संपर्क व्यक्ति');
INSERT INTO `lang_definitions` VALUES (125056, 2127, 24, 'फोन नंबर संपर्क');
INSERT INTO `lang_definitions` VALUES (125057, 2129, 24, 'ERX सेवा सदस्यता लेने के लिए संपर्क ZMG, LLC (zmghealth@gmail.com)');
INSERT INTO `lang_definitions` VALUES (125058, 2131, 24, 'चार निम्नलिखित आइटम के कम से कम तीन होते हैं:');
INSERT INTO `lang_definitions` VALUES (125059, 2132, 24, 'कंटेनर समूह का नाम');
INSERT INTO `lang_definitions` VALUES (125060, 2133, 24, 'सामग्री');
INSERT INTO `lang_definitions` VALUES (125061, 2134, 24, 'सामग्री');
INSERT INTO `lang_definitions` VALUES (125062, 2136, 24, 'प्रसंग');
INSERT INTO `lang_definitions` VALUES (125063, 2137, 24, 'प्रसंग नाम खाली नहीं हो सकता');
INSERT INTO `lang_definitions` VALUES (125064, 2138, 24, 'जारी');
INSERT INTO `lang_definitions` VALUES (125065, 2142, 24, 'केयर दस्तावेज़ की निरंतरता (सीसीडी)');
INSERT INTO `lang_definitions` VALUES (125066, 2145, 24, 'केयर रिकार्ड की निरंतरता (सीसीआर)');
INSERT INTO `lang_definitions` VALUES (125067, 2146, 24, 'कॉन्ट्रा ग्राहकों');
INSERT INTO `lang_definitions` VALUES (125068, 2147, 24, 'कंट्रसेपशन');
INSERT INTO `lang_definitions` VALUES (125069, 2148, 24, 'गर्भनिरोध मुद्दे');
INSERT INTO `lang_definitions` VALUES (125070, 2149, 24, 'गर्भनिरोधक जटिलता (बताएं)');
INSERT INTO `lang_definitions` VALUES (125071, 2150, 24, 'गर्भनिरोधक विधि');
INSERT INTO `lang_definitions` VALUES (125072, 2151, 24, 'गर्भनिरोधक उत्पाद');
INSERT INTO `lang_definitions` VALUES (125073, 2152, 24, 'गर्भ निरोधक सेवाओं को पहले से शुरू');
INSERT INTO `lang_definitions` VALUES (125074, 2153, 24, 'निरोधकों प्रारंभ');
INSERT INTO `lang_definitions` VALUES (125075, 2158, 24, 'नियंत्रण आईडी');
INSERT INTO `lang_definitions` VALUES (125076, 2159, 24, 'नियंत्रण नंबर');
INSERT INTO `lang_definitions` VALUES (125077, 2168, 24, 'सह-पे');
INSERT INTO `lang_definitions` VALUES (125078, 2169, 24, 'सह-पे');
INSERT INTO `lang_definitions` VALUES (125079, 2170, 24, 'सह-पे');
INSERT INTO `lang_definitions` VALUES (125080, 2171, 24, 'सह-पे सकारात्मक नहीं');
INSERT INTO `lang_definitions` VALUES (125081, 2173, 24, 'सह-पे');
INSERT INTO `lang_definitions` VALUES (125082, 2174, 24, 'सीओपीडी');
INSERT INTO `lang_definitions` VALUES (125083, 2175, 24, 'रोगी चार्ट के लिए पृष्ठ कॉपी करें');
INSERT INTO `lang_definitions` VALUES (125084, 2177, 24, 'कॉपी मूल्यों');
INSERT INTO `lang_definitions` VALUES (125085, 2178, 24, 'डेटाबेस फाइल कॉपी कर रहा है. कुछ समय ले जाएगा ...');
INSERT INTO `lang_definitions` VALUES (125086, 2179, 24, 'कॉपीराइट सूचना');
INSERT INTO `lang_definitions` VALUES (125087, 2184, 24, 'कोरोनरी धमनी बाईपास');
INSERT INTO `lang_definitions` VALUES (125088, 2185, 24, 'कोरोनरी धमनी बाइपास ग्राफ़्ट (CABG)');
INSERT INTO `lang_definitions` VALUES (125089, 2186, 24, 'सुधारा');
INSERT INTO `lang_definitions` VALUES (125090, 2188, 24, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (125091, 2189, 24, 'CouchDB के कनेक्शन विफल.');
INSERT INTO `lang_definitions` VALUES (125092, 2191, 24, 'CouchDB के डाटाबेस');
INSERT INTO `lang_definitions` VALUES (125093, 2192, 24, 'CouchDB के डेटाबेस का नाम');
INSERT INTO `lang_definitions` VALUES (125094, 2195, 24, 'CouchDB के मेजबान');
INSERT INTO `lang_definitions` VALUES (125095, 2196, 24, 'CouchDB होस्टनाम');
INSERT INTO `lang_definitions` VALUES (125096, 2197, 24, 'CouchDB के प्रवेश सक्षम');
INSERT INTO `lang_definitions` VALUES (125097, 2198, 24, 'CouchDB पासवर्ड');
INSERT INTO `lang_definitions` VALUES (125098, 2199, 24, 'CouchDB के पोर्ट');
INSERT INTO `lang_definitions` VALUES (125099, 2200, 24, 'CouchDB के पोर्ट');
INSERT INTO `lang_definitions` VALUES (125100, 2203, 24, 'CouchDB उपयोगकर्ता नाम');
INSERT INTO `lang_definitions` VALUES (125101, 2204, 24, 'खाँसी:');
INSERT INTO `lang_definitions` VALUES (125102, 2205, 24, 'खाँसी:');
INSERT INTO `lang_definitions` VALUES (125103, 2211, 24, 'फ़ाइल नहीं पढ़ सका');
INSERT INTO `lang_definitions` VALUES (125104, 2214, 24, 'ईमेल नहीं भेजा जा सका,कारण एक सर्वर की समस्या');
INSERT INTO `lang_definitions` VALUES (125105, 2216, 24, 'ईमेल नहीं भेजा जा सका,कारण एक सर्वर की समस्या');
INSERT INTO `lang_definitions` VALUES (125106, 2217, 24, 'बैकअप निर्देशिका नहीं बना सका:');
INSERT INTO `lang_definitions` VALUES (125107, 2218, 24, 'निर्देशिका हटा नहीं सका:');
INSERT INTO `lang_definitions` VALUES (125108, 2219, 24, 'पुराने बैकअप फ़ाइल हटा नहीं सका:');
INSERT INTO `lang_definitions` VALUES (125109, 2220, 24, 'पुराने निर्यात फ़ाइल हटा नहीं सका:');
INSERT INTO `lang_definitions` VALUES (125110, 2221, 24, 'Coumadin प्रबंधन - INR निगरानी');
INSERT INTO `lang_definitions` VALUES (125111, 2222, 24, 'विधि द्वारा परामर्श');
INSERT INTO `lang_definitions` VALUES (125112, 2223, 24, 'परामर्श');
INSERT INTO `lang_definitions` VALUES (125113, 2224, 24, 'परामर्श गतिविधियों');
INSERT INTO `lang_definitions` VALUES (125114, 2227, 24, 'जवाबी रेफरल फार्म');
INSERT INTO `lang_definitions` VALUES (125115, 2228, 24, 'जवाबी रेफरल');
INSERT INTO `lang_definitions` VALUES (125116, 2229, 24, 'देश');
INSERT INTO `lang_definitions` VALUES (125117, 2231, 24, 'देश डेटा प्रकार');
INSERT INTO `lang_definitions` VALUES (125118, 2232, 24, 'देश सूची');
INSERT INTO `lang_definitions` VALUES (125119, 2233, 24, 'देश सूची (लिखने, addonly वैकल्पिक)');
INSERT INTO `lang_definitions` VALUES (125120, 2235, 24, 'देश का नाम दो अक्षरों में प्रतिनिधित्व होना चाहिए. (उदाहरण: यूनाइटेड स्टेट्स यूएस है)');
INSERT INTO `lang_definitions` VALUES (125121, 2236, 24, 'काउंटी');
INSERT INTO `lang_definitions` VALUES (125122, 2238, 24, 'कूपन');
INSERT INTO `lang_definitions` VALUES (125123, 2245, 24, 'CPT');
INSERT INTO `lang_definitions` VALUES (125124, 2246, 24, 'CPT कोड');
INSERT INTO `lang_definitions` VALUES (125125, 2247, 24, 'CPT कोड');
INSERT INTO `lang_definitions` VALUES (125126, 2248, 24, 'CPT4 प्रक्रिया / सेवा');
INSERT INTO `lang_definitions` VALUES (125127, 2249, 24, 'CPTII प्रदर्शन मापने के');
INSERT INTO `lang_definitions` VALUES (125128, 2250, 24, 'CQM');
INSERT INTO `lang_definitions` VALUES (125129, 2252, 24, 'crackles:');
INSERT INTO `lang_definitions` VALUES (125130, 2255, 24, 'क्रीम');
INSERT INTO `lang_definitions` VALUES (125131, 2256, 24, 'प्रत्येक उपयोगकर्ता या ग्राहक मशीन के लिए एक क्लाइंट साइड SSL प्रमाणपत्र बनाएं.');
INSERT INTO `lang_definitions` VALUES (125132, 2257, 24, 'एक उपयोगकर्ता या होस्ट नाम के लिए एक क्लाइंट साइड SSL प्रमाणपत्र बनाएं.');
INSERT INTO `lang_definitions` VALUES (125133, 2269, 24, 'एक घटना बनाएँ');
INSERT INTO `lang_definitions` VALUES (125134, 2273, 24, 'पूर्ण बैकअप बनाएँ और डाउनलोड करें');
INSERT INTO `lang_definitions` VALUES (125135, 2275, 24, 'बैकअप बनाएँ');
INSERT INTO `lang_definitions` VALUES (125136, 2276, 24, 'बैच बनाएँ');
INSERT INTO `lang_definitions` VALUES (125137, 2277, 24, 'क्लाइंट प्रमाणपत्र बनाएं');
INSERT INTO `lang_definitions` VALUES (125138, 2278, 24, 'क्लाइंट साइड SSL प्रमाणपत्र बनाएं');
INSERT INTO `lang_definitions` VALUES (125139, 2281, 24, 'डुप्लिकेट बनाएँ');
INSERT INTO `lang_definitions` VALUES (125140, 2283, 24, 'Eventlog बैकअप बनाएँ');
INSERT INTO `lang_definitions` VALUES (125141, 2285, 24, 'नया मुद्दा बनाएं');
INSERT INTO `lang_definitions` VALUES (125142, 2287, 24, 'नई रोगी बनाएँ');
INSERT INTO `lang_definitions` VALUES (125143, 2290, 24, 'Offsite पोर्टल पहचान बनाएं');
INSERT INTO `lang_definitions` VALUES (125144, 2292, 24, 'ऑनसाइट पोर्टल पहचान बनाएं');
INSERT INTO `lang_definitions` VALUES (125145, 2294, 24, 'रोगी नोट बनाएँ');
INSERT INTO `lang_definitions` VALUES (125146, 2296, 24, 'SSL प्रमाणपत्र प्राधिकरण और सर्वर प्रमाण पत्र बनाएँ.');
INSERT INTO `lang_definitions` VALUES (125147, 2297, 24, 'भेंट बनाएँ');
INSERT INTO `lang_definitions` VALUES (125148, 2298, 24, 'बनाया गया');
INSERT INTO `lang_definitions` VALUES (125149, 2306, 24, 'निर्यात फ़ाइल बना रहा है');
INSERT INTO `lang_definitions` VALUES (125150, 2308, 24, 'रिमोट होस्ट पर यह फ़ाइल बनाने में विफल रहा है');
INSERT INTO `lang_definitions` VALUES (125151, 2309, 24, 'प्रजापति');
INSERT INTO `lang_definitions` VALUES (125152, 2311, 24, 'क्रेडिट');
INSERT INTO `lang_definitions` VALUES (125153, 2312, 24, 'क्रेडिट कार्ड');
INSERT INTO `lang_definitions` VALUES (125154, 2314, 24, 'क्रेडिट');
INSERT INTO `lang_definitions` VALUES (125155, 2316, 24, 'मापदंड');
INSERT INTO `lang_definitions` VALUES (125156, 2319, 24, 'Crohn  का रोग');
INSERT INTO `lang_definitions` VALUES (125157, 2320, 24, 'Crohns रोग');
INSERT INTO `lang_definitions` VALUES (125158, 2323, 24, 'सीएसवी निर्यात');
INSERT INTO `lang_definitions` VALUES (125159, 2324, 24, 'CSV फाइल');
INSERT INTO `lang_definitions` VALUES (125160, 2325, 24, 'CSV टेबल्स');
INSERT INTO `lang_definitions` VALUES (125161, 2330, 24, 'CU.MM');
INSERT INTO `lang_definitions` VALUES (125162, 2331, 24, 'क्यूबा');
INSERT INTO `lang_definitions` VALUES (125163, 2333, 24, 'मुद्रा दशमलव स्थान');
INSERT INTO `lang_definitions` VALUES (125164, 2334, 24, 'मुद्रा दशमलव बिंदु प्रतीक');
INSERT INTO `lang_definitions` VALUES (125165, 2335, 24, 'मुद्रा Designator');
INSERT INTO `lang_definitions` VALUES (125166, 2336, 24, 'मुद्रा हजारों विभाजक');
INSERT INTO `lang_definitions` VALUES (125167, 2337, 24, 'वर्तमान');
INSERT INTO `lang_definitions` VALUES (125168, 2338, 24, 'वर्तमान शराब');
INSERT INTO `lang_definitions` VALUES (125169, 2341, 24, 'वर्तमान परामर्श');
INSERT INTO `lang_definitions` VALUES (125170, 2342, 24, 'वर्तमान मानदंड');
INSERT INTO `lang_definitions` VALUES (125171, 2344, 24, 'वर्तमान दिन उजागर रंग');
INSERT INTO `lang_definitions` VALUES (125172, 2345, 24, 'वर्तमान में हर दिन धूम्रपान');
INSERT INTO `lang_definitions` VALUES (125173, 2347, 24, 'वर्तमान फ़ाइल नाम बदल गया था');
INSERT INTO `lang_definitions` VALUES (125174, 2349, 24, 'वर्तमान हैश');
INSERT INTO `lang_definitions` VALUES (125175, 2350, 24, 'वर्तमान स्थान');
INSERT INTO `lang_definitions` VALUES (125176, 2352, 24, 'वर्तमान दवाएं');
INSERT INTO `lang_definitions` VALUES (125177, 2354, 24, 'वर्तमान पासवर्ड');
INSERT INTO `lang_definitions` VALUES (125178, 2356, 24, 'वर्तमान रोगी');
INSERT INTO `lang_definitions` VALUES (125179, 2361, 24, 'वर्तमान मनोरंजनात्मक औषध');
INSERT INTO `lang_definitions` VALUES (125180, 2363, 24, 'वर्तमान में कुछ दिन धूम्रपान');
INSERT INTO `lang_definitions` VALUES (125181, 2371, 24, 'वर्तमान में सक्रिय');
INSERT INTO `lang_definitions` VALUES (125182, 2375, 24, 'वर्तमान में चल रहा है');
INSERT INTO `lang_definitions` VALUES (125183, 2377, 24, 'वर्तमान में सुविधाएं नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (125184, 2379, 24, 'सिंड्रोम कुशिंग');
INSERT INTO `lang_definitions` VALUES (125185, 2380, 24, 'सिंड्रोम कुशिंग');
INSERT INTO `lang_definitions` VALUES (125186, 2383, 24, 'रिवाज');
INSERT INTO `lang_definitions` VALUES (125187, 2390, 24, 'कस्टम इनपुट?');
INSERT INTO `lang_definitions` VALUES (125188, 2395, 24, 'कस्टम तालिका');
INSERT INTO `lang_definitions` VALUES (125189, 2402, 24, 'CVX कोड');
INSERT INTO `lang_definitions` VALUES (125190, 2403, 24, 'CVX कोड मैपिंग');
INSERT INTO `lang_definitions` VALUES (125191, 2404, 24, 'CVX टीकाकरण');
INSERT INTO `lang_definitions` VALUES (125192, 2406, 24, 'चक्र');
INSERT INTO `lang_definitions` VALUES (125193, 2412, 24, 'CYP');
INSERT INTO `lang_definitions` VALUES (125194, 2413, 24, 'CYP फैक्टर');
INSERT INTO `lang_definitions` VALUES (125195, 2414, 24, 'CYP रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (125196, 2415, 24, 'चेक देश');
INSERT INTO `lang_definitions` VALUES (125197, 2416, 24, 'डी');
INSERT INTO `lang_definitions` VALUES (125198, 2417, 24, 'डी एंड सी');
INSERT INTO `lang_definitions` VALUES (125199, 2418, 24, 'डी और ई');
INSERT INTO `lang_definitions` VALUES (125200, 2420, 24, 'D.O.B.');
INSERT INTO `lang_definitions` VALUES (125201, 2421, 24, 'दैनिक');
INSERT INTO `lang_definitions` VALUES (125202, 2422, 24, 'डेली रिकॉर्ड');
INSERT INTO `lang_definitions` VALUES (125203, 2425, 24, 'डेनिश');
INSERT INTO `lang_definitions` VALUES (125204, 2429, 24, 'एक जैसे डेटा डेटाबेस में पहले से ही है, कोड / या वर्णन बदलें');
INSERT INTO `lang_definitions` VALUES (125205, 2430, 24, 'एक जैसे डेटा डेटाबेस में पहले से ही है, कृपया स्थिर नाम बदलें');
INSERT INTO `lang_definitions` VALUES (125206, 2431, 24, 'डेटा कॉलम');
INSERT INTO `lang_definitions` VALUES (125207, 2434, 24, 'डेटा त्रुटि');
INSERT INTO `lang_definitions` VALUES (125208, 2439, 24, 'डेटा प्रकार');
INSERT INTO `lang_definitions` VALUES (125209, 2440, 24, 'डेटाबेस');
INSERT INTO `lang_definitions` VALUES (125210, 2442, 24, 'डाटाबेस स्थापित नहीं है.');
INSERT INTO `lang_definitions` VALUES (125211, 2444, 24, 'डाटाबेस पैच');
INSERT INTO `lang_definitions` VALUES (125212, 2445, 24, 'डेटाबेस रिपोर्टिंग');
INSERT INTO `lang_definitions` VALUES (125213, 2447, 24, 'डेटाबेस नवीनीकरण समाप्त हो गया.');
INSERT INTO `lang_definitions` VALUES (125214, 2448, 24, 'DataCols 1 और 999 के बीच में होनी चाहिए');
INSERT INTO `lang_definitions` VALUES (125215, 2449, 24, 'तिथि');
INSERT INTO `lang_definitions` VALUES (125216, 2450, 24, 'तिथि');
INSERT INTO `lang_definitions` VALUES (125217, 2451, 24, 'दिनांक और समय प्रशासित');
INSERT INTO `lang_definitions` VALUES (125218, 2453, 24, 'प्रशासित तिथि');
INSERT INTO `lang_definitions` VALUES (125219, 2454, 24, 'नमूना संग्रह की तिथि और समय');
INSERT INTO `lang_definitions` VALUES (125220, 2455, 24, 'इस अवलोकन की तिथि और समय');
INSERT INTO `lang_definitions` VALUES (125221, 2457, 24, 'तिथि और समय नमूना एकत्र किया गया था');
INSERT INTO `lang_definitions` VALUES (125222, 2458, 24, 'तिथि आज से बड़ी नहीं हो सकती');
INSERT INTO `lang_definitions` VALUES (125223, 2459, 24, 'शुरू तिथि गर्भनिरोधक सेवाएं प्रदान की');
INSERT INTO `lang_definitions` VALUES (125224, 2460, 24, 'तिथि निर्माण');
INSERT INTO `lang_definitions` VALUES (125225, 2461, 24, 'मृतक तिथि');
INSERT INTO `lang_definitions` VALUES (125226, 2462, 24, 'तिथि तबाह');
INSERT INTO `lang_definitions` VALUES (125227, 2463, 24, 'तिथि प्रदर्शन स्वरूप');
INSERT INTO `lang_definitions` VALUES (125228, 2464, 24, 'नियुक्ति अंत के लिए तिथि प्रारूप मान्य नहीं है');
INSERT INTO `lang_definitions` VALUES (125229, 2465, 24, 'नियुक्ति प्रारंभ के लिए तिथि प्रारूप मान्य नहीं है');
INSERT INTO `lang_definitions` VALUES (125230, 2466, 24, 'अगले नियुक्ति के लिए तिथि प्रारूप मान्य नहीं है');
INSERT INTO `lang_definitions` VALUES (125231, 2467, 24, 'के बाद से नहीं देखा के लिए तिथि प्रारूप मान्य नहीं है');
INSERT INTO `lang_definitions` VALUES (125232, 2469, 24, 'जब से देखा के लिए तिथि प्रारूप मान्य नहीं है');
INSERT INTO `lang_definitions` VALUES (125233, 2470, 24, 'तिथि प्रतिरक्षण सूचना वक्तव्य निश्चित');
INSERT INTO `lang_definitions` VALUES (125234, 2471, 24, 'कोड के लिए तिथि लापता');
INSERT INTO `lang_definitions` VALUES (125235, 2472, 24, 'तिथि मास्टर मानदंड');
INSERT INTO `lang_definitions` VALUES (125236, 2475, 24, 'बैंक जमा YYYY-MM-DD की तिथि');
INSERT INTO `lang_definitions` VALUES (125237, 2476, 24, 'बिलिंग की तिथि');
INSERT INTO `lang_definitions` VALUES (125238, 2477, 24, 'जन्म तिथि');
INSERT INTO `lang_definitions` VALUES (125239, 2478, 24, 'जन्म तिथि');
INSERT INTO `lang_definitions` VALUES (125240, 2479, 24, 'जन्म तिथि');
INSERT INTO `lang_definitions` VALUES (125241, 2481, 24, 'प्रवेश की तिथि');
INSERT INTO `lang_definitions` VALUES (125242, 2483, 24, 'चोट की तिथि');
INSERT INTO `lang_definitions` VALUES (125243, 2487, 24, 'भुगतान YYYY-MM-DD की तिथि');
INSERT INTO `lang_definitions` VALUES (125244, 2489, 24, 'सिफ़ारिश की तिथि');
INSERT INTO `lang_definitions` VALUES (125245, 2491, 24, 'उत्तर की तिथि');
INSERT INTO `lang_definitions` VALUES (125246, 2492, 24, 'रिपोर्ट की तिथि');
INSERT INTO `lang_definitions` VALUES (125247, 2493, 24, 'सेवा की तिथि');
INSERT INTO `lang_definitions` VALUES (125248, 2495, 24, 'सेवा की तिथि');
INSERT INTO `lang_definitions` VALUES (125249, 2496, 24, 'आज = सर्विस की तिथि');
INSERT INTO `lang_definitions` VALUES (125250, 2498, 24, 'सेवा dd / mm / yyyy की तिथि');
INSERT INTO `lang_definitions` VALUES (125251, 2499, 24, 'सेवा की तिथि:');
INSERT INTO `lang_definitions` VALUES (125252, 2500, 24, 'हस्ताक्षर की तिथि');
INSERT INTO `lang_definitions` VALUES (125253, 2501, 24, 'स्थिति को बदलने की तिथि');
INSERT INTO `lang_definitions` VALUES (125254, 2503, 24, 'इस आदेश की तिथि');
INSERT INTO `lang_definitions` VALUES (125255, 2504, 24, 'इस रिपोर्ट की तिथि');
INSERT INTO `lang_definitions` VALUES (125256, 2505, 24, 'VIS बयान की तिथि');
INSERT INTO `lang_definitions` VALUES (125257, 2506, 24, 'तिथि आदेश दिया');
INSERT INTO `lang_definitions` VALUES (125258, 2509, 24, 'तिथि चयनकर्ता');
INSERT INTO `lang_definitions` VALUES (125259, 2510, 24, 'भेजा गया तिथि');
INSERT INTO `lang_definitions` VALUES (125260, 2511, 24, 'तिथि संदेश भेजा गया था');
INSERT INTO `lang_definitions` VALUES (125261, 2513, 24, 'तिथि मान रिक्त नहीं हो सकता.');
INSERT INTO `lang_definitions` VALUES (125262, 2516, 24, 'तिथि / Appt');
INSERT INTO `lang_definitions` VALUES (125263, 2517, 24, 'तिथि / नोट्स');
INSERT INTO `lang_definitions` VALUES (125264, 2518, 24, 'तिथि / अंतिम की नोट्स');
INSERT INTO `lang_definitions` VALUES (125265, 2519, 24, 'तिथि / समय');
INSERT INTO `lang_definitions` VALUES (125266, 2520, 24, 'तिथि');
INSERT INTO `lang_definitions` VALUES (125267, 2523, 24, 'संदेश लॉग तिथि');
INSERT INTO `lang_definitions` VALUES (125268, 2526, 24, 'दिन');
INSERT INTO `lang_definitions` VALUES (125269, 2527, 24, 'दिन');
INSERT INTO `lang_definitions` VALUES (125270, 2530, 24, 'दिन देखें');
INSERT INTO `lang_definitions` VALUES (125271, 2531, 24, 'दिन');
INSERT INTO `lang_definitions` VALUES (125272, 2532, 24, 'दिन सोमवार - शुक्रवार');
INSERT INTO `lang_definitions` VALUES (125273, 2533, 24, 'दिन');
INSERT INTO `lang_definitions` VALUES (125274, 2534, 24, 'दिन');
INSERT INTO `lang_definitions` VALUES (125275, 2535, 24, 'दिन पहले');
INSERT INTO `lang_definitions` VALUES (125276, 2536, 24, 'दिन और खेल छूटे');
INSERT INTO `lang_definitions` VALUES (125277, 2537, 24, 'पिछले मुठभेड़ से दिन');
INSERT INTO `lang_definitions` VALUES (125278, 2538, 24, 'छूटे दिन');
INSERT INTO `lang_definitions` VALUES (125279, 2541, 24, 'प्रति दिन कॉलम');
INSERT INTO `lang_definitions` VALUES (125280, 2543, 24, 'दिन/Col:');
INSERT INTO `lang_definitions` VALUES (125281, 2544, 24, 'DB स्थापित');
INSERT INTO `lang_definitions` VALUES (125282, 2545, 24, 'DD / MM / YYYY');
INSERT INTO `lang_definitions` VALUES (125283, 2546, 24, 'De Identification');
INSERT INTO `lang_definitions` VALUES (125284, 2547, 24, 'De Identification की प्रक्रिया पूरी हो गई');
INSERT INTO `lang_definitions` VALUES (125285, 2548, 24, 'De Identification की प्रक्रिया चल रही है');
INSERT INTO `lang_definitions` VALUES (125286, 2549, 24, 'De Identification की प्रक्रिया शुरू कर दिई और पृष्ठभूमि में चल रही है');
INSERT INTO `lang_definitions` VALUES (125287, 2550, 24, 'De Identification डेटा शायद पूरा नहीं');
INSERT INTO `lang_definitions` VALUES (125288, 2551, 24, 'में De Identification फ़ाइल सहेजा जाएगा');
INSERT INTO `lang_definitions` VALUES (125289, 2552, 24, 'डीईए');
INSERT INTO `lang_definitions` VALUES (125290, 2558, 24, 'बहरा');
INSERT INTO `lang_definitions` VALUES (125291, 2562, 24, 'डिबग जानकारी');
INSERT INTO `lang_definitions` VALUES (125292, 2564, 24, 'डीबगिंग');
INSERT INTO `lang_definitions` VALUES (125293, 2565, 24, 'दिसम्बर');
INSERT INTO `lang_definitions` VALUES (125294, 2567, 24, 'स्वर्गीय');
INSERT INTO `lang_definitions` VALUES (125295, 2574, 24, 'दिसंबर');
INSERT INTO `lang_definitions` VALUES (125296, 2578, 24, 'दशमलव पाउंड या पाउंड और औंस # द्वारा अलग (जैसे 5 # 4)');
INSERT INTO `lang_definitions` VALUES (125297, 2580, 24, 'कटौती योग्य');
INSERT INTO `lang_definitions` VALUES (125298, 2581, 24, 'कटौती योग्य मुलाकात');
INSERT INTO `lang_definitions` VALUES (125299, 2583, 24, 'डिफ़ॉल्ट');
INSERT INTO `lang_definitions` VALUES (125300, 2585, 24, 'डिफ़ॉल्ट कैलेंडर देखें');
INSERT INTO `lang_definitions` VALUES (125301, 2587, 24, 'डिफ़ॉल्ट मुठभेड़ पर्चा आईडी');
INSERT INTO `lang_definitions` VALUES (125302, 2589, 24, 'डिफ़ॉल्ट सुविधा');
INSERT INTO `lang_definitions` VALUES (125303, 2594, 24, 'डिफ़ॉल्ट भाषा');
INSERT INTO `lang_definitions` VALUES (125304, 2595, 24, 'डिफ़ॉल्ट भाषा यदि कोई अन्य की अनुमति नहीं है या चुना नहीं जाता है.');
INSERT INTO `lang_definitions` VALUES (125305, 2598, 24, 'डिफ़ॉल्ट सूची (, addonly वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (125306, 2600, 24, 'डिफ़ॉल्ट विधि');
INSERT INTO `lang_definitions` VALUES (125307, 2601, 24, 'डिफ़ॉल्ट पासवर्ड समाप्त दिन');
INSERT INTO `lang_definitions` VALUES (125308, 2602, 24, 'डिफ़ॉल्ट पासवर्ड समाप्त अवधि दिन में. 0 इसका मतलब है सुविधा अक्षम है.');
INSERT INTO `lang_definitions` VALUES (125309, 2603, 24, 'डिफ़ॉल्ट रोगी देश');
INSERT INTO `lang_definitions` VALUES (125310, 2606, 24, 'डिफ़ॉल्ट प्राथमिकता');
INSERT INTO `lang_definitions` VALUES (125311, 2607, 24, 'डिफ़ॉल्ट प्रदाता');
INSERT INTO `lang_definitions` VALUES (125312, 2609, 24, 'डिफ़ॉल्ट सीमा');
INSERT INTO `lang_definitions` VALUES (125313, 2610, 24, 'भेंट के लिए डिफ़ॉल्ट कारण');
INSERT INTO `lang_definitions` VALUES (125314, 2615, 24, 'डिफ़ॉल्ट सेटिंग');
INSERT INTO `lang_definitions` VALUES (125315, 2617, 24, 'रोगी सूची में नई विंडो चेकबॉक्स की डिफ़ॉल्ट स्थिति.');
INSERT INTO `lang_definitions` VALUES (125316, 2618, 24, 'डिफ़ॉल्ट टेम्पलेट');
INSERT INTO `lang_definitions` VALUES (125317, 2624, 24, 'डिफ़ॉल्ट इकाइयों');
INSERT INTO `lang_definitions` VALUES (125318, 2626, 24, 'डिफ़ॉल्ट मूल्य');
INSERT INTO `lang_definitions` VALUES (125319, 2628, 24, 'डिफ़ॉल्ट वेयरहाउस');
INSERT INTO `lang_definitions` VALUES (125320, 2629, 24, 'डिफ़ॉल्ट X 12 साथी');
INSERT INTO `lang_definitions` VALUES (125321, 2630, 24, 'डिफ़ॉल्ट / ग्लोबल');
INSERT INTO `lang_definitions` VALUES (125322, 2635, 24, 'को हटाएँ');
INSERT INTO `lang_definitions` VALUES (125323, 2636, 24, 'को हटाएँ');
INSERT INTO `lang_definitions` VALUES (125324, 2637, 24, 'विलंबित पुनरावर्तन (> 12 मो)');
INSERT INTO `lang_definitions` VALUES (125325, 2638, 24, 'को हटाएँ');
INSERT INTO `lang_definitions` VALUES (125326, 2639, 24, 'हटाना');
INSERT INTO `lang_definitions` VALUES (125327, 2640, 24, 'आईडी (s) के साथ श्रेणियाँ हटाएँ:');
INSERT INTO `lang_definitions` VALUES (125328, 2641, 24, 'श्रेणी को हटाएँ');
INSERT INTO `lang_definitions` VALUES (125329, 2644, 24, 'को हटाएँ विफल रहा है!');
INSERT INTO `lang_definitions` VALUES (125330, 2645, 24, 'समूह को हटाएँ');
INSERT INTO `lang_definitions` VALUES (125331, 2646, 24, 'सूची को हटाएँ');
INSERT INTO `lang_definitions` VALUES (125332, 2648, 24, 'पृष्ठों को हटाएँ');
INSERT INTO `lang_definitions` VALUES (125333, 2649, 24, 'रोगी, मुठभेड़, फार्म, अंक, दस्तावेज, भुगतान, बिलिंग या लेनदेन हटाएं');
INSERT INTO `lang_definitions` VALUES (125334, 2651, 24, 'पंक्ति हटाएँ');
INSERT INTO `lang_definitions` VALUES (125335, 2652, 24, 'चयनित आइटम हटाएं');
INSERT INTO `lang_definitions` VALUES (125336, 2655, 24, 'को हटाएँ सफल.');
INSERT INTO `lang_definitions` VALUES (125337, 2656, 24, 'इस दस्तावेज़ को हटाएं');
INSERT INTO `lang_definitions` VALUES (125338, 2657, 24, 'इस फार्म को हटाएँ');
INSERT INTO `lang_definitions` VALUES (125339, 2659, 24, 'इस नोट को हटाएं');
INSERT INTO `lang_definitions` VALUES (125340, 2661, 24, 'सफलतापूर्वक नष्ट कर दिया.');
INSERT INTO `lang_definitions` VALUES (125341, 2662, 24, 'हटा रहा है!');
INSERT INTO `lang_definitions` VALUES (125342, 2663, 24, 'इस घटना को एक बार हटाया तो पूर्ववत नहीं किया जा सकता, वह चला गया है, यह ठीक नहीं किया जा सकता! क्या आप इस घटना को हटाना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (125343, 2666, 24, 'वितरण की पुष्टि');
INSERT INTO `lang_definitions` VALUES (125344, 2668, 24, 'वर्तमान निर्दिष्ट पते पर प्रत्यक्ष वितरण की अनुमति नहीं है!');
INSERT INTO `lang_definitions` VALUES (125345, 2670, 24, 'संलग्न नैदानिक ​​दस्तावेज़ का वितरण, रोगी द्वारा अनुरोध किया गया था!');
INSERT INTO `lang_definitions` VALUES (125346, 2671, 24, 'मनोभ्रंश');
INSERT INTO `lang_definitions` VALUES (125347, 2673, 24, 'जनसांख्यिकी');
INSERT INTO `lang_definitions` VALUES (125348, 2674, 24, 'जनसांख्यिकी (, addonly वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (125349, 2678, 24, 'जनसांख्यिकी फ़िल्टर मापदंड');
INSERT INTO `lang_definitions` VALUES (125350, 2680, 24, 'जनसांख्यिकी अधिकृत नहीं.');
INSERT INTO `lang_definitions` VALUES (125351, 2681, 24, 'जनसांख्यिकी अधिकृत नहीं.');
INSERT INTO `lang_definitions` VALUES (125352, 2682, 24, 'से इनकार किया');
INSERT INTO `lang_definitions` VALUES (125353, 2684, 24, 'भाजक');
INSERT INTO `lang_definitions` VALUES (125354, 2687, 24, 'दंत चिकित्सा');
INSERT INTO `lang_definitions` VALUES (125355, 2688, 24, 'दंत चिकित्सा समस्या सूची');
INSERT INTO `lang_definitions` VALUES (125356, 2689, 24, 'दंत चिकित्सा मुद्दों पर');
INSERT INTO `lang_definitions` VALUES (125357, 2694, 24, 'Depending on the type of bill you are testing you will see HCFA like output on a blank page for HCFA bills, you will see many lines of somewhat garbled text and information if you are testing an X12 claim. That garbled text is the X12 EDI 4010A format. Occasionally you will see odd characters that look like dominoes or squiglies, these are control characters such as page feeds and are normal.');
INSERT INTO `lang_definitions` VALUES (125358, 2696, 24, 'जमा तिथि');
INSERT INTO `lang_definitions` VALUES (125359, 2697, 24, 'जमा तिथि आज से बड़ी नहीं हो सकती');
INSERT INTO `lang_definitions` VALUES (125360, 2698, 24, 'जमा तिथि:');
INSERT INTO `lang_definitions` VALUES (125361, 2699, 24, 'अवसादग्रस्त');
INSERT INTO `lang_definitions` VALUES (125362, 2700, 24, 'अवसाद');
INSERT INTO `lang_definitions` VALUES (125363, 2706, 24, 'विवरण');
INSERT INTO `lang_definitions` VALUES (125364, 2707, 24, 'विवरण');
INSERT INTO `lang_definitions` VALUES (125365, 2709, 24, 'प्रकटीकरण का विवरण');
INSERT INTO `lang_definitions` VALUES (125366, 2710, 24, 'इस प्रक्रिया या परिणाम कोड का विवरण');
INSERT INTO `lang_definitions` VALUES (125367, 2711, 24, 'विवरण अनुवाद');
INSERT INTO `lang_definitions` VALUES (125368, 2713, 24, 'गंतव्य');
INSERT INTO `lang_definitions` VALUES (125369, 2714, 24, 'गंतव्य फ़ाइलनाम');
INSERT INTO `lang_definitions` VALUES (125370, 2716, 24, 'लॉट नष्ट');
INSERT INTO `lang_definitions` VALUES (125371, 2717, 24, 'नष्ट ...');
INSERT INTO `lang_definitions` VALUES (125372, 2718, 24, 'नष्ट कर दिया');
INSERT INTO `lang_definitions` VALUES (125373, 2719, 24, 'दवाओं को नष्ट कर दिया!');
INSERT INTO `lang_definitions` VALUES (125374, 2720, 24, 'दवाओं की रिपोर्ट को नष्ट कर दिया!');
INSERT INTO `lang_definitions` VALUES (125375, 2721, 24, 'विवरण');
INSERT INTO `lang_definitions` VALUES (125376, 2726, 24, 'विवरण');
INSERT INTO `lang_definitions` VALUES (125377, 2728, 24, 'विकासात्मक विषमता');
INSERT INTO `lang_definitions` VALUES (125378, 2730, 24, 'मधुमेह');
INSERT INTO `lang_definitions` VALUES (125379, 2731, 24, 'बहुमूत्ररोग');
INSERT INTO `lang_definitions` VALUES (125380, 2732, 24, 'मधुमेह: रक्तचाप प्रबंधन (CQM)');
INSERT INTO `lang_definitions` VALUES (125381, 2733, 24, 'मधुमेह: नेत्र परीक्षा');
INSERT INTO `lang_definitions` VALUES (125382, 2734, 24, 'मधुमेह: नेत्र परीक्षा (CQM)');
INSERT INTO `lang_definitions` VALUES (125383, 2735, 24, 'मधुमेह: पैर परीक्षा');
INSERT INTO `lang_definitions` VALUES (125384, 2736, 24, 'मधुमेह: पैर परीक्षा (CQM)');
INSERT INTO `lang_definitions` VALUES (125385, 2737, 24, 'मधुमेह: एचबीए 1 सी खराब नियंत्रण (CQM)');
INSERT INTO `lang_definitions` VALUES (125386, 2738, 24, 'मधुमेह: हीमोग्लोबिन ए 1 सी');
INSERT INTO `lang_definitions` VALUES (125387, 2739, 24, 'मधुमेह: एलडीएल प्रबंधन और नियंत्रण (CQM)');
INSERT INTO `lang_definitions` VALUES (125388, 2740, 24, 'मधुमेह: मूत्र में Microalbumin');
INSERT INTO `lang_definitions` VALUES (125389, 2741, 24, 'निदान');
INSERT INTO `lang_definitions` VALUES (125390, 2742, 24, 'निदान');
INSERT INTO `lang_definitions` VALUES (125391, 2743, 24, 'निदान');
INSERT INTO `lang_definitions` VALUES (125392, 2744, 24, 'निदान कोड');
INSERT INTO `lang_definitions` VALUES (125393, 2747, 24, 'निदान तिथि');
INSERT INTO `lang_definitions` VALUES (125394, 2749, 24, 'निदान एक जुड़े हुए मुठभेड़ में कोडित किया जाना चाहिए');
INSERT INTO `lang_definitions` VALUES (125395, 2750, 24, 'निदान का नाम');
INSERT INTO `lang_definitions` VALUES (125396, 2751, 24, 'निदान की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (125397, 2752, 24, 'निदान रिपोर्टिंग');
INSERT INTO `lang_definitions` VALUES (125398, 2753, 24, 'केवल निदान रिपोर्टिंग');
INSERT INTO `lang_definitions` VALUES (125399, 2754, 24, 'निदान शीर्षक');
INSERT INTO `lang_definitions` VALUES (125400, 2755, 24, 'निदान:');
INSERT INTO `lang_definitions` VALUES (125401, 2756, 24, 'निदान:');
INSERT INTO `lang_definitions` VALUES (125402, 2758, 24, 'नैदानिक टेस्ट:');
INSERT INTO `lang_definitions` VALUES (125403, 2760, 24, 'डायल');
INSERT INTO `lang_definitions` VALUES (125404, 2763, 24, 'Diaphragms / कैप्स');
INSERT INTO `lang_definitions` VALUES (125405, 2764, 24, 'दस्त');
INSERT INTO `lang_definitions` VALUES (125406, 2767, 24, 'श्रुतलेख');
INSERT INTO `lang_definitions` VALUES (125407, 2768, 24, 'श्रुतलेख:');
INSERT INTO `lang_definitions` VALUES (125408, 2769, 24, 'आपने HIPAA नोटिस की एक प्रति प्राप्त किया है?');
INSERT INTO `lang_definitions` VALUES (125409, 2770, 24, 'फैलाना:');
INSERT INTO `lang_definitions` VALUES (125410, 2771, 24, 'डिजिटली हस्ताक्षरित');
INSERT INTO `lang_definitions` VALUES (125411, 2781, 24, 'प्रत्यक्ष मेल');
INSERT INTO `lang_definitions` VALUES (125412, 2782, 24, 'प्रत्यक्ष संदेश लॉग');
INSERT INTO `lang_definitions` VALUES (125413, 2783, 24, 'प्रत्यक्ष संदेश प्राप्त किया.');
INSERT INTO `lang_definitions` VALUES (125414, 2784, 24, 'प्रत्यक्ष संदेश सेवा वर्तमान में अनुपलब्ध है.');
INSERT INTO `lang_definitions` VALUES (125415, 2785, 24, 'प्रत्यक्ष संदेश भेजने में विफलता .');
INSERT INTO `lang_definitions` VALUES (125416, 2787, 24, 'निर्देशक का नाम');
INSERT INTO `lang_definitions` VALUES (125417, 2788, 24, 'निर्देशिका हटाना विफल, जारी है.');
INSERT INTO `lang_definitions` VALUES (125418, 2789, 24, 'विकलांगता');
INSERT INTO `lang_definitions` VALUES (125419, 2794, 24, 'कैलेंडर निष्क्रिय करें');
INSERT INTO `lang_definitions` VALUES (125420, 2795, 24, 'चार्ट ट्रैकर निष्क्रिय करें');
INSERT INTO `lang_definitions` VALUES (125421, 2798, 24, 'टीकाकरण निष्क्रिय करें');
INSERT INTO `lang_definitions` VALUES (125422, 2800, 24, 'निष्क्रिय करें पुराने मीट्रिक नब्ज पर्चा');
INSERT INTO `lang_definitions` VALUES (125423, 2802, 24, 'phpMyAdmin निष्क्रिय करें');
INSERT INTO `lang_definitions` VALUES (125424, 2803, 24, 'नुस्खे निष्क्रिय करें');
INSERT INTO `lang_definitions` VALUES (125425, 2804, 24, 'उपयोगकर्ता समूह निष्क्रिय करें');
INSERT INTO `lang_definitions` VALUES (125426, 2805, 24, 'निष्क्रिय कर दिया');
INSERT INTO `lang_definitions` VALUES (125427, 2806, 24, 'निष्क्रिय कर दिया');
INSERT INTO `lang_definitions` VALUES (125428, 2807, 24, 'बड़े समूह स्वास्थ्य योजना(LGHP) के 65 साल से कम उम्र के लाभार्थी निष्क्रिय करें!');
INSERT INTO `lang_definitions` VALUES (125429, 2812, 24, 'DISC');
INSERT INTO `lang_definitions` VALUES (125430, 2815, 24, 'निर्वहन');
INSERT INTO `lang_definitions` VALUES (125431, 2816, 24, 'मूत्रमार्ग से निर्वहन');
INSERT INTO `lang_definitions` VALUES (125432, 2818, 24, 'राइट निर्वहन');
INSERT INTO `lang_definitions` VALUES (125433, 2819, 24, 'राइट निर्वहन:');
INSERT INTO `lang_definitions` VALUES (125434, 2823, 24, 'छुट्टी दे दी');
INSERT INTO `lang_definitions` VALUES (125435, 2825, 24, 'प्रकटीकरण जानकारी');
INSERT INTO `lang_definitions` VALUES (125436, 2826, 24, 'प्रकटीकरण के प्रकार');
INSERT INTO `lang_definitions` VALUES (125437, 2827, 24, 'प्रकटीकरण के प्रकार');
INSERT INTO `lang_definitions` VALUES (125438, 2828, 24, 'खुलासे');
INSERT INTO `lang_definitions` VALUES (125439, 2833, 24, 'छूट');
INSERT INTO `lang_definitions` VALUES (125440, 2834, 24, 'छूट राशि');
INSERT INTO `lang_definitions` VALUES (125441, 2835, 24, 'सबसे कम स्तर');
INSERT INTO `lang_definitions` VALUES (125442, 2836, 24, 'छूट के प्रतिशत');
INSERT INTO `lang_definitions` VALUES (125443, 2837, 24, 'मौद्रिक मात्रा में छूट');
INSERT INTO `lang_definitions` VALUES (125444, 2838, 24, 'चेकआउट समय में छूट,धन राशि के रूप में दर्ज कर रहे हैं, प्रतिशत के रूप में नहीं!');
INSERT INTO `lang_definitions` VALUES (125445, 2839, 24, 'असतत नतीजे');
INSERT INTO `lang_definitions` VALUES (125446, 2841, 24, 'रोग');
INSERT INTO `lang_definitions` VALUES (125447, 2843, 24, 'विस्थापन');
INSERT INTO `lang_definitions` VALUES (125448, 2847, 24, 'disp #');
INSERT INTO `lang_definitions` VALUES (125449, 2848, 24, 'भेजना');
INSERT INTO `lang_definitions` VALUES (125450, 2849, 24, 'तक भेजने के प्राप्त दस्तावेज');
INSERT INTO `lang_definitions` VALUES (125451, 2853, 24, 'तिरस्कृत');
INSERT INTO `lang_definitions` VALUES (125452, 2856, 24, 'जनसांख्यिकी पेज में अग्रिम निर्देश प्रदर्शित करें!');
INSERT INTO `lang_definitions` VALUES (125453, 2859, 24, 'घटना ब्लॉक में दिनांक प्रदर्शित करें?');
INSERT INTO `lang_definitions` VALUES (125454, 2860, 24, 'अमेरिका तौल स्वरूप प्रदर्शित करें');
INSERT INTO `lang_definitions` VALUES (125455, 2861, 24, 'कितने घटनाओं को प्रदर्शित करें?');
INSERT INTO `lang_definitions` VALUES (125456, 2865, 24, 'ब्लॉक में स्थान प्रदर्शित करें?');
INSERT INTO `lang_definitions` VALUES (125457, 2866, 24, 'प्रदर्शन नाम');
INSERT INTO `lang_definitions` VALUES (125458, 2868, 24, 'कैलेंडर प्रदर्शित करें?');
INSERT INTO `lang_definitions` VALUES (125459, 2875, 24, 'आज के घटनाओं को ब्लॉक में प्रदर्शित करें?');
INSERT INTO `lang_definitions` VALUES (125460, 2876, 24, 'ब्लॉक में विषय दिखायें?');
INSERT INTO `lang_definitions` VALUES (125461, 2877, 24, 'ब्लॉक में आगामी घटनाएँ दिखायें?');
INSERT INTO `lang_definitions` VALUES (125462, 2879, 24, 'दिखाए गए कॉलम');
INSERT INTO `lang_definitions` VALUES (125463, 2880, 24, 'सबसे हाल ही में के खुलासे की निम्नलिखित संख्या प्रदर्शित हो रही हैं.');
INSERT INTO `lang_definitions` VALUES (125464, 2882, 24, 'सबसे हाल ही में के नोट्स की निम्नलिखित संख्या प्रदर्शित हो रही हैं');
INSERT INTO `lang_definitions` VALUES (125465, 2883, 24, 'सबसे हाल ही में के नोट्स की निम्नलिखित संख्या प्रदर्शित हो रही हैं');
INSERT INTO `lang_definitions` VALUES (125466, 2890, 24, 'वितरण');
INSERT INTO `lang_definitions` VALUES (125467, 2891, 24, 'वितरण');
INSERT INTO `lang_definitions` VALUES (125468, 2892, 24, 'वितरक');
INSERT INTO `lang_definitions` VALUES (125469, 2897, 24, 'विपुटीप्रदाह');
INSERT INTO `lang_definitions` VALUES (125470, 2898, 24, 'विपुटीप्रदाह सर्जरी');
INSERT INTO `lang_definitions` VALUES (125471, 2899, 24, 'विपुटीप्रदाह');
INSERT INTO `lang_definitions` VALUES (125472, 2900, 24, 'विपुटीप्रदाह सर्जरी');
INSERT INTO `lang_definitions` VALUES (125473, 2901, 24, 'तलाकशुदा');
INSERT INTO `lang_definitions` VALUES (125474, 2902, 24, 'चक्कर आना:');
INSERT INTO `lang_definitions` VALUES (125475, 2905, 24, 'न बदलें');
INSERT INTO `lang_definitions` VALUES (125476, 2907, 24, 'NewCrop पर अपलोड की एलर्जी प्रदर्शित नहीं करें');
INSERT INTO `lang_definitions` VALUES (125477, 2909, 24, 'NewCrop पर अपलोड की दवाएं प्रदर्शित नहीं करें');
INSERT INTO `lang_definitions` VALUES (125478, 2912, 24, 'कैलेंडर प्रदर्शित नहीं करें.');
INSERT INTO `lang_definitions` VALUES (125479, 2916, 24, 'कोई भी उत्पाद बेचना नहीं और इनवेंटरी नहीं करें');
INSERT INTO `lang_definitions` VALUES (125480, 2919, 24, 'रोगी नोटों को प्रमाणित होने की आवश्यकता नहीं है');
INSERT INTO `lang_definitions` VALUES (125481, 2920, 24, 'आदेश पुनर्जीवित नहीं करो');
INSERT INTO `lang_definitions` VALUES (125482, 2921, 24, 'न सहेजें');
INSERT INTO `lang_definitions` VALUES (125483, 2922, 24, 'स्थानापन्न मत करें');
INSERT INTO `lang_definitions` VALUES (125484, 2925, 24, 'कुछ न करो');
INSERT INTO `lang_definitions` VALUES (125485, 2929, 24, 'आप वास्तव में मिटाना चाहते हैं');
INSERT INTO `lang_definitions` VALUES (125486, 2930, 24, 'आप वास्तव में चयन को हटाना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (125487, 2931, 24, 'आप वास्तव में इस समूह को हटाना चाहते हैं');
INSERT INTO `lang_definitions` VALUES (125488, 2934, 24, 'क्या आप जारी रखना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (125489, 2935, 24, 'आप वाकई इसे हटाना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (125490, 2936, 24, 'आप हटाना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (125491, 2937, 24, 'आप इस रिकॉर्ड को दूर करना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (125492, 2938, 24, 'आप नए रोगी जोड़ना जारी रखना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (125493, 2939, 24, 'आप नए नाम के साथ जारी रखना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (125494, 2940, 24, 'आप स्थायी रूप से इस प्रतिरक्षण रिकॉर्ड को नष्ट करना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (125495, 2941, 24, 'जन्म तिथि');
INSERT INTO `lang_definitions` VALUES (125496, 2942, 24, 'जन्म तिथि यदि संभव हो तो कृपया, दर्ज करें!');
INSERT INTO `lang_definitions` VALUES (125497, 2944, 24, 'दस्तावेज़');
INSERT INTO `lang_definitions` VALUES (125498, 2945, 24, 'चिकित्सक');
INSERT INTO `lang_definitions` VALUES (125499, 2946, 24, 'डॉक्टर:');
INSERT INTO `lang_definitions` VALUES (125500, 2947, 24, 'डॉक्टर का नाम और हस्ताक्षर');
INSERT INTO `lang_definitions` VALUES (125501, 2948, 24, 'दस्तावेज़');
INSERT INTO `lang_definitions` VALUES (125502, 2949, 24, 'दस्तावेज़');
INSERT INTO `lang_definitions` VALUES (125503, 2951, 24, 'दस्तावेज़ श्रेणियाँ');
INSERT INTO `lang_definitions` VALUES (125504, 2958, 24, 'दस्तावेज़ रोगी आईडी पे स्थानांतरित नहीं किया जा सकता है!');
INSERT INTO `lang_definitions` VALUES (125505, 2960, 24, 'दस्तावेज़ तिथि');
INSERT INTO `lang_definitions` VALUES (125506, 2961, 24, 'दस्तावेज की तारीख और मुद्दा सफलतापूर्वक अपडेट');
INSERT INTO `lang_definitions` VALUES (125507, 2962, 24, 'दस्तावेज़ ID');
INSERT INTO `lang_definitions` VALUES (125508, 2965, 24, 'दस्तावेज नई श्रेणी में ले जाया गया');
INSERT INTO `lang_definitions` VALUES (125509, 2966, 24, 'दस्तावेज़ रोगी आईडी में ले जाया गया');
INSERT INTO `lang_definitions` VALUES (125510, 2968, 24, 'दस्तावेज़ अखंडता जांच पारित कर दिया.');
INSERT INTO `lang_definitions` VALUES (125511, 2969, 24, 'दस्तावेज़ संग्रहण विधि');
INSERT INTO `lang_definitions` VALUES (125512, 2970, 24, 'दस्तावेज़ को सफलतापूर्वक नाम दिया.');
INSERT INTO `lang_definitions` VALUES (125513, 2976, 24, 'दस्तावेज / इमेजिंग स्टोर');
INSERT INTO `lang_definitions` VALUES (125514, 2978, 24, 'दस्तावेज');
INSERT INTO `lang_definitions` VALUES (125515, 2980, 24, 'दस्तावेज़ (, addonly वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (125516, 2989, 24, 'DOE');
INSERT INTO `lang_definitions` VALUES (125517, 2994, 24, 'PV1 मुठभेड़ संख्या मेल नहीं खाता');
INSERT INTO `lang_definitions` VALUES (125518, 2995, 24, 'मान्य नहीं लगता');
INSERT INTO `lang_definitions` VALUES (125519, 2996, 24, 'इस प्रकार संबंधित कोड की अनुमति है?');
INSERT INTO `lang_definitions` VALUES (125520, 2997, 24, 'घरेलू साथी');
INSERT INTO `lang_definitions` VALUES (125521, 2998, 24, 'नहीं सहेजें');
INSERT INTO `lang_definitions` VALUES (125522, 2999, 24, 'नहीं सहेजें');
INSERT INTO `lang_definitions` VALUES (125523, 3000, 24, 'परिवर्तन नहीं सहेजें');
INSERT INTO `lang_definitions` VALUES (125524, 3002, 24, 'पूर्ण');
INSERT INTO `lang_definitions` VALUES (125525, 3004, 24, 'हो गया:');
INSERT INTO `lang_definitions` VALUES (125526, 3005, 24, 'हो गया. अब डाउनलोड भेज देंगे.');
INSERT INTO `lang_definitions` VALUES (125527, 3006, 24, 'DOS');
INSERT INTO `lang_definitions` VALUES (125528, 3007, 24, 'खुराक');
INSERT INTO `lang_definitions` VALUES (125529, 3011, 24, 'संपादित करने के लिए डबल क्लिक करें');
INSERT INTO `lang_definitions` VALUES (125530, 3013, 24, 'व्दिगुण दृष्टि');
INSERT INTO `lang_definitions` VALUES (125531, 3014, 24, 'डाउनलोड');
INSERT INTO `lang_definitions` VALUES (125532, 3019, 24, 'वैसे भी डाउनलोड करें');
INSERT INTO `lang_definitions` VALUES (125533, 3020, 24, 'बिलिंग फ़ाइल डाउनलोड करें लेखांकन मे पोस्ट करें और बिल भेजा मार्क करें!');
INSERT INTO `lang_definitions` VALUES (125534, 3022, 24, 'प्रमाणपत्र डाउनलोड करें');
INSERT INTO `lang_definitions` VALUES (125535, 3023, 24, 'डाउनलोड विन्यास डेटा');
INSERT INTO `lang_definitions` VALUES (125536, 3027, 24, 'एन्क्रिप्टेड फाइल को डाउनलोड करें');
INSERT INTO `lang_definitions` VALUES (125537, 3033, 24, 'डाउनलोड पीडीएफ');
INSERT INTO `lang_definitions` VALUES (125538, 3037, 24, 'चयनित विवरण डाउनलोड करें');
INSERT INTO `lang_definitions` VALUES (125539, 3039, 24, 'डॉ. जाँचें');
INSERT INTO `lang_definitions` VALUES (125540, 3040, 24, 'डॉ. भेंट');
INSERT INTO `lang_definitions` VALUES (125541, 3041, 24, 'डॉ.');
INSERT INTO `lang_definitions` VALUES (125542, 3045, 24, 'शिफ्ट के लिए खींचें');
INSERT INTO `lang_definitions` VALUES (125543, 3047, 24, 'ड्रिब्लिंग');
INSERT INTO `lang_definitions` VALUES (125544, 3048, 24, 'चालक लाइसेंस या राज्य आईडी');
INSERT INTO `lang_definitions` VALUES (125545, 3050, 24, 'दवा');
INSERT INTO `lang_definitions` VALUES (125546, 3053, 24, 'दवा खोजक');
INSERT INTO `lang_definitions` VALUES (125547, 3054, 24, 'दवा फॉर्म्स');
INSERT INTO `lang_definitions` VALUES (125548, 3055, 24, 'दवा आईडी लापता!');
INSERT INTO `lang_definitions` VALUES (125549, 3056, 24, 'दवा अंतराल');
INSERT INTO `lang_definitions` VALUES (125550, 3057, 24, 'दवा सूची');
INSERT INTO `lang_definitions` VALUES (125551, 3059, 24, 'दवा का नाम');
INSERT INTO `lang_definitions` VALUES (125552, 3061, 24, 'दवा मार्ग');
INSERT INTO `lang_definitions` VALUES (125553, 3066, 24, 'दवा इकाइयों');
INSERT INTO `lang_definitions` VALUES (125554, 3072, 24, 'दवा');
INSERT INTO `lang_definitions` VALUES (125555, 3073, 24, 'दवा और उत्पाद');
INSERT INTO `lang_definitions` VALUES (125556, 3074, 24, 'शुष्क मुँह');
INSERT INTO `lang_definitions` VALUES (125557, 3075, 24, 'DSMIV निदान');
INSERT INTO `lang_definitions` VALUES (125558, 3076, 24, 'डीटी 1');
INSERT INTO `lang_definitions` VALUES (125559, 3077, 24, 'डीटी 2');
INSERT INTO `lang_definitions` VALUES (125560, 3078, 24, 'डीटी 3');
INSERT INTO `lang_definitions` VALUES (125561, 3079, 24, 'डीटी 4');
INSERT INTO `lang_definitions` VALUES (125562, 3080, 24, 'डीटी 5');
INSERT INTO `lang_definitions` VALUES (125563, 3081, 24, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (125564, 3082, 24, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (125565, 3083, 24, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (125566, 3084, 24, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (125567, 3085, 24, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (125568, 3087, 24, 'देय');
INSERT INTO `lang_definitions` VALUES (125569, 3088, 24, 'देय तिथि');
INSERT INTO `lang_definitions` VALUES (125570, 3090, 24, 'देय तारीख dd / mm / yyyy या YYYY-MM-DD');
INSERT INTO `lang_definitions` VALUES (125571, 3091, 24, 'देय तिथि:');
INSERT INTO `lang_definitions` VALUES (125572, 3092, 24, 'देय बीमा');
INSERT INTO `lang_definitions` VALUES (125573, 3093, 24, 'देय रोगी');
INSERT INTO `lang_definitions` VALUES (125574, 3094, 24, 'जल्द ही देय');
INSERT INTO `lang_definitions` VALUES (125575, 3095, 24, 'देय स्थिति');
INSERT INTO `lang_definitions` VALUES (125576, 3096, 24, 'देय स्थिति अपडेट');
INSERT INTO `lang_definitions` VALUES (125577, 3097, 24, 'OpenEMR डेटाबेस डम्पिंग');
INSERT INTO `lang_definitions` VALUES (125578, 3098, 24, 'OpenEMR वेब निर्देशिका वृक्ष डम्पिंग');
INSERT INTO `lang_definitions` VALUES (125579, 3099, 24, 'PhpGACL डेटाबेस डम्पिंग');
INSERT INTO `lang_definitions` VALUES (125580, 3100, 24, 'PhpGACL वेब निर्देशिका वृक्ष डम्पिंग');
INSERT INTO `lang_definitions` VALUES (125581, 3101, 24, 'एसक्यूएल लेजर डेटाबेस डम्पिंग');
INSERT INTO `lang_definitions` VALUES (125582, 3102, 24, 'डम्पिंग एसक्यूएल लेजर वेब निर्देशिका वृक्ष');
INSERT INTO `lang_definitions` VALUES (125583, 3103, 24, 'दोहराया जाँच');
INSERT INTO `lang_definitions` VALUES (125584, 3108, 24, 'लाइन पर दोहराया आईडी');
INSERT INTO `lang_definitions` VALUES (125585, 3109, 24, 'लाइन पर दोहराया नाम');
INSERT INTO `lang_definitions` VALUES (125586, 3110, 24, 'दोहराव चेतावनी');
INSERT INTO `lang_definitions` VALUES (125587, 3111, 24, 'वकील के टिकाऊ शक्ति');
INSERT INTO `lang_definitions` VALUES (125588, 3112, 24, 'अवधि');
INSERT INTO `lang_definitions` VALUES (125589, 3113, 24, 'अवधि');
INSERT INTO `lang_definitions` VALUES (125590, 3114, 24, 'डच देश');
INSERT INTO `lang_definitions` VALUES (125591, 3116, 24, 'Dx Rep');
INSERT INTO `lang_definitions` VALUES (125592, 3117, 24, 'निगलने में कठिनाई');
INSERT INTO `lang_definitions` VALUES (125593, 3118, 24, 'श्वासकष्ट:');
INSERT INTO `lang_definitions` VALUES (125594, 3119, 24, 'मूत्रकृच्छता सम्बन्धी');
INSERT INTO `lang_definitions` VALUES (125595, 3128, 24, 'ई पर्चे?');
INSERT INTO `lang_definitions` VALUES (125596, 3129, 24, 'ई की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (125597, 3130, 24, 'ई Rx');
INSERT INTO `lang_definitions` VALUES (125598, 3132, 24, 'ई Rx नवीकरण');
INSERT INTO `lang_definitions` VALUES (125599, 3135, 24, 'प्रत्येक प्राप्तकर्ता,अपने स्वयं के संदेशों को पूरा हो गया के रूप में सेट कर दे');
INSERT INTO `lang_definitions` VALUES (125600, 3140, 24, 'प्रारंभिक पुनरावृत्ति (<2 मो)');
INSERT INTO `lang_definitions` VALUES (125601, 3141, 24, 'कान');
INSERT INTO `lang_definitions` VALUES (125602, 3148, 24, 'ईसीजी');
INSERT INTO `lang_definitions` VALUES (125603, 3149, 24, 'eClaims');
INSERT INTO `lang_definitions` VALUES (125604, 3152, 24, 'सूजन');
INSERT INTO `lang_definitions` VALUES (125605, 3154, 24, 'ईडीआई इतिहास');
INSERT INTO `lang_definitions` VALUES (125606, 3155, 24, 'ईडीआई इतिहास');
INSERT INTO `lang_definitions` VALUES (125607, 3156, 24, 'ईडीआई इतिहास (शुल्क मे) ईडीआई दावा प्रतिक्रिया फ़ाइल भंडारण और व्याख्या के लिए!');
INSERT INTO `lang_definitions` VALUES (125608, 3157, 24, 'ईडीआई-271 फाइल अपलोड');
INSERT INTO `lang_definitions` VALUES (125609, 3158, 24, 'ईडीआई-271 रिस्पांस फाइल अपलोड');
INSERT INTO `lang_definitions` VALUES (125610, 3159, 24, 'संपादित करें');
INSERT INTO `lang_definitions` VALUES (125611, 3160, 24, 'संपादित करें');
INSERT INTO `lang_definitions` VALUES (125612, 3161, 24, 'संपादित करें एलर्जी');
INSERT INTO `lang_definitions` VALUES (125613, 3163, 24, 'संपादित करें श्रेणियाँ');
INSERT INTO `lang_definitions` VALUES (125614, 3165, 24, 'संपादित करें परिभाषाएँ');
INSERT INTO `lang_definitions` VALUES (125615, 3166, 24, 'संपादित करें परिभाषाएँ');
INSERT INTO `lang_definitions` VALUES (125616, 3167, 24, 'के लिए संपादित करें निदान');
INSERT INTO `lang_definitions` VALUES (125617, 3168, 24, 'संपादित करें प्रकटीकरण');
INSERT INTO `lang_definitions` VALUES (125618, 3173, 24, 'संपादित करें सुविधाएं');
INSERT INTO `lang_definitions` VALUES (125619, 3174, 24, 'संपादित करें सुविधा');
INSERT INTO `lang_definitions` VALUES (125620, 3175, 24, 'संपादित करें सुविधा सूचना');
INSERT INTO `lang_definitions` VALUES (125621, 3176, 24, 'संपादित करें सुविधा उपयोगकर्ता विशिष्ट जानकारी');
INSERT INTO `lang_definitions` VALUES (125622, 3177, 24, 'संपादित करें फ़ाइल में');
INSERT INTO `lang_definitions` VALUES (125623, 3178, 24, 'संपादित करें फार्म');
INSERT INTO `lang_definitions` VALUES (125624, 3179, 24, 'संपादित करें वैश्विक सेटिंग्स');
INSERT INTO `lang_definitions` VALUES (125625, 3181, 24, 'संपादन अधिकृत नहीं है!');
INSERT INTO `lang_definitions` VALUES (125626, 3183, 24, 'संपादित करें लेआउट');
INSERT INTO `lang_definitions` VALUES (125627, 3185, 24, 'संपादित करें सूची');
INSERT INTO `lang_definitions` VALUES (125628, 3188, 24, 'संपादित करें पेमेंट');
INSERT INTO `lang_definitions` VALUES (125629, 3189, 24, 'संपादित करें संरचना');
INSERT INTO `lang_definitions` VALUES (125630, 3192, 24, 'उपयोगकर्ता संपादित करें');
INSERT INTO `lang_definitions` VALUES (125631, 3193, 24, 'उपयोगकर्ता सेटिंग्स संपादित करें');
INSERT INTO `lang_definitions` VALUES (125632, 3196, 24, 'शिक्षा');
INSERT INTO `lang_definitions` VALUES (125633, 3197, 24, 'शिक्षा तिथि');
INSERT INTO `lang_definitions` VALUES (125634, 3199, 24, 'अधिक जानकारी के लिए * जीएनयू जनरल पब्लिक लाइसेंस ee. ** आपको इस कार्यक्रम के साथ साथ जीएनयू जनरल पब्लिक लाइसेंस * की एक प्रतिलिपि प्राप्त हुई होगी, नहीं तो, नि: शुल्क के लिए लिख');
INSERT INTO `lang_definitions` VALUES (125635, 3200, 24, 'प्रभावी तिथि');
INSERT INTO `lang_definitions` VALUES (125636, 3202, 24, 'प्रभाव');
INSERT INTO `lang_definitions` VALUES (125637, 3204, 24, 'ईआईऍन');
INSERT INTO `lang_definitions` VALUES (125638, 3207, 24, 'ejaculations');
INSERT INTO `lang_definitions` VALUES (125639, 3208, 24, 'कोहनी');
INSERT INTO `lang_definitions` VALUES (125640, 3209, 24, 'कोहनी की समस्याएं');
INSERT INTO `lang_definitions` VALUES (125641, 3210, 24, 'इलेक्ट्रोनिक');
INSERT INTO `lang_definitions` VALUES (125642, 3214, 24, 'इलेक्ट्रॉनिक remits');
INSERT INTO `lang_definitions` VALUES (125643, 3215, 24, 'इलेक्ट्रॉनिक रिपोर्टें');
INSERT INTO `lang_definitions` VALUES (125644, 3218, 24, 'पात्रता');
INSERT INTO `lang_definitions` VALUES (125645, 3219, 24, 'पात्रता 270 बैच की जाँच');
INSERT INTO `lang_definitions` VALUES (125646, 3220, 24, 'पात्रता प्रतिक्रिया');
INSERT INTO `lang_definitions` VALUES (125647, 3222, 24, 'बच्चों के वैक्सीन की आपूर्ति के लिए पात्रता स्थिति');
INSERT INTO `lang_definitions` VALUES (125648, 3223, 24, 'पात्र');
INSERT INTO `lang_definitions` VALUES (125649, 3225, 24, 'ईमेल');
INSERT INTO `lang_definitions` VALUES (125650, 3228, 24, 'ईमेल का पता');
INSERT INTO `lang_definitions` VALUES (125651, 3230, 24, 'रोगी अनुस्मारक के लिए प्रेषक का ईमेल पता. रोगी अनुस्मारक के उत्तरों को इस पते पर भेज दिया जाएगा.अपने क्लिनिक के डोमेन से एक पते का उपयोग करना आवश्यक है. यह रोगी अनुस्मारक को जंक मेल फोल्डर में जाने से रोकने में मदद करता है!');
INSERT INTO `lang_definitions` VALUES (125652, 3231, 24, 'ईमेल पता, यदि कोई हो, प्रशासनिक सूचनाएं प्राप्त करने के लिए.');
INSERT INTO `lang_definitions` VALUES (125653, 3232, 24, 'ईमेल पता, यदि कोई हो, आपातकालीन लॉगिन उपयोगकर्ता सक्रियण संदेश प्राप्त करने के लिए.');
INSERT INTO `lang_definitions` VALUES (125654, 3233, 24, 'ईमेल प्रमाणीकरण');
INSERT INTO `lang_definitions` VALUES (125655, 3236, 24, 'Batchcom से ईमेल');
INSERT INTO `lang_definitions` VALUES (125656, 3238, 24, 'ईमेल सूचना');
INSERT INTO `lang_definitions` VALUES (125657, 3239, 24, 'ईमेल सूचना के घंटे');
INSERT INTO `lang_definitions` VALUES (125658, 3240, 24, 'ईमेल सूचना रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (125659, 3244, 24, 'ईमेल पहले भेजा गया');
INSERT INTO `lang_definitions` VALUES (125660, 3245, 24, 'ईमेल प्रेषक');
INSERT INTO `lang_definitions` VALUES (125661, 3246, 24, 'ईमेल भेजा गया');
INSERT INTO `lang_definitions` VALUES (125662, 3247, 24, 'ईमेल भेजा');
INSERT INTO `lang_definitions` VALUES (125663, 3248, 24, 'ईमेल विषय');
INSERT INTO `lang_definitions` VALUES (125664, 3251, 24, 'ईमेल पाठ, उपयोगी टैग: *** नाम ***, यानी प्रिय *** नाम ***');
INSERT INTO `lang_definitions` VALUES (125665, 3252, 24, 'ईमेल पाठ, उपयोगी टैग: *** नाम ***, यानी प्रिय *** नाम *** {. {अनुवाद नहीं है *** नाम *** यह निरंतर के तत्वों}}');
INSERT INTO `lang_definitions` VALUES (125666, 3253, 24, 'ईमेल परिवहन विधि');
INSERT INTO `lang_definitions` VALUES (125667, 3254, 24, 'ईमेल निम्न पते पर भेजा गया था');
INSERT INTO `lang_definitions` VALUES (125668, 3259, 24, 'आपातकालीन संपर्क');
INSERT INTO `lang_definitions` VALUES (125669, 3260, 24, 'आपातकालीन संपर्क अधिकारी');
INSERT INTO `lang_definitions` VALUES (125670, 3261, 24, 'आपातकालीन संपर्क फोन नंबर');
INSERT INTO `lang_definitions` VALUES (125671, 3262, 24, 'आपातकालीन गर्भनिरोधक');
INSERT INTO `lang_definitions` VALUES (125672, 3263, 24, 'इमरजेंसी प्रवेश');
INSERT INTO `lang_definitions` VALUES (125673, 3264, 24, 'इमरजेंसी लॉग इन एसीएल चुना है.अब भी उपयोगकर्ता सक्रिय स्थिति में है, उपयोगकर्ता को निष्क्रिय करें और आपात स्थितियों के दौरान जरूरत पड़ने पर ही सक्रिय करें.सक्रिय या निष्क्रिय करने के लिए के लिए प्रशासन> उपयोगकर्ता मे जाएँ!');
INSERT INTO `lang_definitions` VALUES (125674, 3265, 24, 'इमरजेंसी लॉग इन सक्रियकरण ईमेल परिचालित किया जाएगा जब केवल इंटरफेस / globals.php फ़ाइल में निम्न सेटिंग्स कॉन्फ़िगर किया जाता है!');
INSERT INTO `lang_definitions` VALUES (125675, 3266, 24, 'इमरजेंसी लॉग इन ईमेल पता');
INSERT INTO `lang_definitions` VALUES (125676, 3267, 24, 'इमरजेंसी लॉग इन उपयोगकर्ता कुछ भी कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (125677, 3268, 24, 'आपातकालीन फोन');
INSERT INTO `lang_definitions` VALUES (125678, 3270, 24, 'भावनात्मक / व्यवहार स्थितियां और जटिलताएं');
INSERT INTO `lang_definitions` VALUES (125679, 3271, 24, 'वातस्फीति');
INSERT INTO `lang_definitions` VALUES (125680, 3272, 24, 'कर्मचारी');
INSERT INTO `lang_definitions` VALUES (125681, 3273, 24, 'नियोक्ता');
INSERT INTO `lang_definitions` VALUES (125682, 3274, 24, 'नियोक्ता पता');
INSERT INTO `lang_definitions` VALUES (125683, 3275, 24, 'नियोक्ता डाटा');
INSERT INTO `lang_definitions` VALUES (125684, 3276, 24, 'नियोक्ता का नाम');
INSERT INTO `lang_definitions` VALUES (125685, 3277, 24, 'खाली');
INSERT INTO `lang_definitions` VALUES (125686, 3278, 24, 'खाली');
INSERT INTO `lang_definitions` VALUES (125687, 3279, 24, 'खाली पासवर्ड की अनुमति नहीं');
INSERT INTO `lang_definitions` VALUES (125688, 3281, 24, 'ईमेल घंटे में खाली मूल्य');
INSERT INTO `lang_definitions` VALUES (125689, 3282, 24, 'ईमेल प्रेषक में खाली मूल्य');
INSERT INTO `lang_definitions` VALUES (125690, 3283, 24, 'ईमेल विषय में खाली मूल्य');
INSERT INTO `lang_definitions` VALUES (125691, 3284, 24, 'ईमेल पाठ में खाली मूल्य');
INSERT INTO `lang_definitions` VALUES (125692, 3285, 24, 'प्रदाता का नाम में खाली मूल्य');
INSERT INTO `lang_definitions` VALUES (125693, 3286, 24, 'पासवर्ड में खाली मूल्य');
INSERT INTO `lang_definitions` VALUES (125694, 3287, 24, 'एसएमएस घंटे में खाली मूल्य');
INSERT INTO `lang_definitions` VALUES (125695, 3288, 24, 'एसएमएस पाठ में खाली मूल्य');
INSERT INTO `lang_definitions` VALUES (125696, 3289, 24, 'उपयोगकर्ता नाम में खाली मूल्य');
INSERT INTO `lang_definitions` VALUES (125697, 3298, 24, 'एएमसी उत्साह सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125698, 3300, 24, 'एएमसी रिपोर्टिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125699, 3301, 24, 'एएमसी ट्रैकिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125700, 3303, 24, 'ATNA अंकेक्षण सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125701, 3305, 24, 'ऑडिट लॉगिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125702, 3306, 24, 'ऑडिट ट्रेल और नोड प्रमाणीकरण (ATNA)सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125703, 3307, 24, 'स्वचालित उपाय गणना सक्रिय करें(एएमसी) रिपोर्टिंग');
INSERT INTO `lang_definitions` VALUES (125704, 3312, 24, 'क्लाएंट एसएसएल सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125705, 3313, 24, 'ग्राहक एसएसएल प्रमाणपत्र प्रमाणन को सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125706, 3315, 24, 'नैदानिक ​​निर्णय नियम सक्रिय करें (सीडीआर)');
INSERT INTO `lang_definitions` VALUES (125707, 3318, 24, '(CQM) रिपोर्टिंग क्लीनिकल गुणवत्ता के उपाय सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125708, 3319, 24, 'क्लीनिकल अनुस्मारक पॉपअप सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125709, 3320, 24, 'क्लीनिकल अनुस्मारक विजेट सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125710, 3324, 24, 'CQM रिपोर्टिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125711, 3329, 24, 'बाएँ मेनू में ईडीआई इतिहास सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125712, 3334, 24, 'बाएँ मेनू में फीस सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125713, 3341, 24, 'Hylafax समर्थन सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125714, 3343, 24, 'NewCrop ERX के लिए आयात स्थिति संदेश सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125715, 3347, 24, 'लैब विनिमय सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125716, 3349, 24, 'CouchDB में दस्तावेज़ अपलोड / डाउनलोड करने के लिए लॉग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125717, 3350, 24, 'सभी SQL चयन प्रश्नों की लॉगिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125718, 3351, 24, 'बैकअप से संबंधित गतिविधियों की लॉगिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125719, 3352, 24, 'सीडीआर इंजन प्रश्नों की लॉगिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125720, 3353, 24, 'विविध गतिविधियों की लॉगिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125721, 3354, 24, 'गतिविधियों आदेश देने की लॉगिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125722, 3355, 24, 'रोगी रिकॉर्ड संशोधनों की लॉगिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125723, 3356, 24, 'समय निर्धारण गतिविधियों की लॉगिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125724, 3357, 24, 'सुरक्षा और प्रशासन की गतिविधियों की लॉगिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125725, 3360, 24, 'NewCrop ERX सेवा सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125726, 3365, 24, 'Offsite रोगी पोर्टल सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125727, 3366, 24, 'Offsite रोगी पोर्टल सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125728, 3368, 24, 'Onsite रोगी पोर्टल सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125729, 3371, 24, 'Onsite रोगी पोर्टल सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125730, 3385, 24, 'रोगी अनुस्मारक विजेट सक्षम करें');
INSERT INTO `lang_definitions` VALUES (125731, 3387, 24, 'PhiMail प्रत्यक्ष संदेश सेवा सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125732, 3389, 24, 'स्वचालित उपाय गणना (एएमसी) के लिए आवश्यक डेटा के लिए उत्साह सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125733, 3391, 24, 'स्वचालित उपाय गणना के लिए ट्रैकिंग तिथि (एएमसी) की रिपोर्टिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125734, 3392, 24, 'स्कैनर समर्थन सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125735, 3396, 24, 'मैडिकल इन्फोर्मेशन इंटीग्रेशन, LLC लैब विनिमय सेवा को सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125736, 3397, 24, 'OpenEMR समर्थन LLC लैब विनिमय सेवा को सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125737, 3398, 24, 'उपयोगकर्ता प्रमाणपत्र प्रमाणीकरण सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125738, 3403, 24, 'ZMG, LLC ERX सेवा सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (125739, 3404, 24, 'सक्रिय किया');
INSERT INTO `lang_definitions` VALUES (125740, 3412, 24, 'Enables the old Charges panel for entering billing codes and payments. Not recommended, use the Fee Sheet instead.');
INSERT INTO `lang_definitions` VALUES (125741, 3415, 24, 'मुठभेड़');
INSERT INTO `lang_definitions` VALUES (125742, 3417, 24, 'मुठभेड़');
INSERT INTO `lang_definitions` VALUES (125743, 3418, 24, 'मुठभेड़');
INSERT INTO `lang_definitions` VALUES (125744, 3419, 24, 'मुठभेड़');
INSERT INTO `lang_definitions` VALUES (125745, 3420, 24, 'मुठभेड़');
INSERT INTO `lang_definitions` VALUES (125746, 3421, 24, 'मुठभेड़ एक्यूट inpatient या ED');
INSERT INTO `lang_definitions` VALUES (125747, 3427, 24, 'मुठभेड़ तिथि');
INSERT INTO `lang_definitions` VALUES (125748, 3430, 24, 'मुठभेड़ ईडीआई रिकॉर्ड');
INSERT INTO `lang_definitions` VALUES (125749, 3432, 24, 'मुठभेड़ फॉर्म्स');
INSERT INTO `lang_definitions` VALUES (125750, 3433, 24, 'मुठभेड़ स्वास्थ्य और व्यवहार मूल्यांकन');
INSERT INTO `lang_definitions` VALUES (125751, 3434, 24, 'मुठभेड़ इतिहास');
INSERT INTO `lang_definitions` VALUES (125752, 3435, 24, 'मुठभेड़ आईडी');
INSERT INTO `lang_definitions` VALUES (125753, 3436, 24, 'मुठभेड़ इन्फ्लूएंजा');
INSERT INTO `lang_definitions` VALUES (125754, 3439, 24, 'मुठभेड़ संख्या');
INSERT INTO `lang_definitions` VALUES (125755, 3441, 24, 'मुठभेड़ नर्सिंग छुट्टी के');
INSERT INTO `lang_definitions` VALUES (125756, 3442, 24, 'मुठभेड़ नर्सिंग सुविधा');
INSERT INTO `lang_definitions` VALUES (125757, 3443, 24, 'मुठभेड़ व्यावसायिक चिकित्सा');
INSERT INTO `lang_definitions` VALUES (125758, 3444, 24, 'मुठभेड़ कार्यालय का दौरा');
INSERT INTO `lang_definitions` VALUES (125759, 3445, 24, 'मुठभेड़ आउट पेशेंट');
INSERT INTO `lang_definitions` VALUES (125760, 3446, 24, 'मुठभेड़ आउट पेशेंट डब्ल्यू / पीसीपी और OBGYN');
INSERT INTO `lang_definitions` VALUES (125761, 3447, 24, 'मुठभेड़ पृष्ठ आकार');
INSERT INTO `lang_definitions` VALUES (125762, 3448, 24, 'मुठभेड़ भुगतान');
INSERT INTO `lang_definitions` VALUES (125763, 3449, 24, 'मुठभेड़ गर्भावस्था');
INSERT INTO `lang_definitions` VALUES (125764, 3450, 24, 'मुठभेड़ निवारक चिकित्सा - व्यक्तिगत परामर्श');
INSERT INTO `lang_definitions` VALUES (125765, 3451, 24, 'मुठभेड़ निवारक चिकित्सा 40 और पुराने');
INSERT INTO `lang_definitions` VALUES (125766, 3452, 24, 'मुठभेड़ निवारक चिकित्सा समूह के परामर्श');
INSERT INTO `lang_definitions` VALUES (125767, 3453, 24, 'मुठभेड़ निवारक चिकित्सा अन्य सेवाएं');
INSERT INTO `lang_definitions` VALUES (125768, 3454, 24, 'मुठभेड़ निवारक चिकित्सा सेवाओं 18 और पुराने');
INSERT INTO `lang_definitions` VALUES (125769, 3457, 24, 'मुठभेड़ मनोरोग और मनोवैज्ञानिक');
INSERT INTO `lang_definitions` VALUES (125770, 3458, 24, 'मुठभेड़ के आँकड़े');
INSERT INTO `lang_definitions` VALUES (125771, 3459, 24, 'मुठभेड़ सारांश');
INSERT INTO `lang_definitions` VALUES (125772, 3461, 24, 'मुठभेड़ कोडित था');
INSERT INTO `lang_definitions` VALUES (125773, 3462, 24, 'मुठभेड़:');
INSERT INTO `lang_definitions` VALUES (125774, 3463, 24, 'मुठभेड़: मुठभेड़ अतीव्र inpt, आउट पेशेंट, या नेत्र विज्ञान के');
INSERT INTO `lang_definitions` VALUES (125775, 3464, 24, 'मुठभेड़');
INSERT INTO `lang_definitions` VALUES (125776, 3465, 24, 'मुठभेड़ और प्रपत्र');
INSERT INTO `lang_definitions` VALUES (125777, 3466, 24, 'मुठभेड़ और प्रपत्र');
INSERT INTO `lang_definitions` VALUES (125778, 3467, 24, 'अधिकृत नहीं मुठभेड़');
INSERT INTO `lang_definitions` VALUES (125779, 3468, 24, 'मुठभेड़ की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (125780, 3469, 24, 'मुठभेड़ धारा');
INSERT INTO `lang_definitions` VALUES (125781, 3471, 24, 'एन्क्रिप्शन');
INSERT INTO `lang_definitions` VALUES (125782, 3472, 24, 'अंत');
INSERT INTO `lang_definitions` VALUES (125783, 3473, 24, 'अंत (YYYY-MM-DD):');
INSERT INTO `lang_definitions` VALUES (125784, 3474, 24, 'अंत तिथि');
INSERT INTO `lang_definitions` VALUES (125785, 3475, 24, 'अंतिम तिथि');
INSERT INTO `lang_definitions` VALUES (125786, 3480, 24, 'अंतिम तिथि प्रारम्भ तिथि से अधिक होनी चाहिए');
INSERT INTO `lang_definitions` VALUES (125787, 3482, 24, 'अंत तिथि:');
INSERT INTO `lang_definitions` VALUES (125788, 3487, 24, 'अंत समय');
INSERT INTO `lang_definitions` VALUES (125789, 3489, 24, 'कार्यदाता समूह योजना के साथ MCP में अंत मंच वृक्क रोग के लाभार्थी');
INSERT INTO `lang_definitions` VALUES (125790, 3492, 24, 'सेवा समाप्त होने की तिथि YYYY-MM-DD');
INSERT INTO `lang_definitions` VALUES (125791, 3493, 24, 'खत्म होने वाली DOS dd / mm / yyyy, एक सीमा में प्रवेश करने के लिए!');
INSERT INTO `lang_definitions` VALUES (125792, 3494, 24, 'कैलेंडर की घटनाओं के लिए दिन के समाप्त घंटे.');
INSERT INTO `lang_definitions` VALUES (125793, 3495, 24, 'Endo असामान्य रक्त');
INSERT INTO `lang_definitions` VALUES (125794, 3496, 24, 'अंत: स्त्रावी');
INSERT INTO `lang_definitions` VALUES (125795, 3497, 24, 'अंत: दर्शन');
INSERT INTO `lang_definitions` VALUES (125796, 3502, 24, 'अंग्रेज़ी');
INSERT INTO `lang_definitions` VALUES (125797, 3503, 24, 'अंग्रेज़ी');
INSERT INTO `lang_definitions` VALUES (125798, 3504, 24, 'अंग्रेजी (भारतीय)');
INSERT INTO `lang_definitions` VALUES (125799, 3505, 24, 'अंग्रेजी (मानक)');
INSERT INTO `lang_definitions` VALUES (125800, 3506, 24, 'Hylafax द्वारा इस्तेमाल किया Enscript आदेश.');
INSERT INTO `lang_definitions` VALUES (125801, 3507, 24, 'OpenEMR के लिए निर्देशिका में लिखने के विशेषाधिकार सुनिश्चित करें!');
INSERT INTO `lang_definitions` VALUES (125802, 3509, 24, 'इ एन टी निर्वहन');
INSERT INTO `lang_definitions` VALUES (125803, 3510, 24, 'इ एन टी दर्द');
INSERT INTO `lang_definitions` VALUES (125804, 3513, 24, 'इसको समाहित नहीं करने वाले सभी चालान बाहर करने के लिए एक निदान कोड दर्ज करें!');
INSERT INTO `lang_definitions` VALUES (125805, 3518, 24, 'यहाँ शरीर के अक्षर दर्ज करें');
INSERT INTO `lang_definitions` VALUES (125806, 3520, 24, 'डाटाबेस रूट पासवर्ड दर्ज करें');
INSERT INTO `lang_definitions` VALUES (125807, 3521, 24, 'डाटाबेस जड़ उपयोगकर्ता नाम दर्ज करें');
INSERT INTO `lang_definitions` VALUES (125808, 3529, 24, 'निदान दर्ज करें');
INSERT INTO `lang_definitions` VALUES (125809, 3530, 24, 'दवा दर्ज करें');
INSERT INTO `lang_definitions` VALUES (125810, 3533, 24, 'मुठभेड़ दर्ज करें');
INSERT INTO `lang_definitions` VALUES (125811, 3534, 24, 'मुठभेड़ संख्या दर्ज करें');
INSERT INTO `lang_definitions` VALUES (125812, 3537, 24, 'टीकाकरण दर्ज करें');
INSERT INTO `lang_definitions` VALUES (125813, 3538, 24, 'कुंजी दर्ज करें');
INSERT INTO `lang_definitions` VALUES (125814, 3544, 24, 'नए राज्य दर्ज करें');
INSERT INTO `lang_definitions` VALUES (125815, 3549, 24, 'प्राप्तकर्ता का  \'प्रत्यक्ष पता दर्ज करें');
INSERT INTO `lang_definitions` VALUES (125816, 3569, 24, 'पुनः पहचान कोड दर्ज करें');
INSERT INTO `lang_definitions` VALUES (125817, 3581, 24, 'ऊपर अपने खोज मापदंड दर्ज करें');
INSERT INTO `lang_definitions` VALUES (125818, 3584, 24, 'त्रुटि में दर्ज किया');
INSERT INTO `lang_definitions` VALUES (125819, 3586, 24, 'प्रविष्टियों');
INSERT INTO `lang_definitions` VALUES (125820, 3591, 24, 'पर्यावरण');
INSERT INTO `lang_definitions` VALUES (125821, 3592, 24, 'EOB डाटा एंट्री');
INSERT INTO `lang_definitions` VALUES (125822, 3596, 24, 'EOB पोस्टिंग - इलेक्ट्रॉनिक प्रेषण');
INSERT INTO `lang_definitions` VALUES (125823, 3597, 24, 'EOB पोस्टिंग - निर्देश');
INSERT INTO `lang_definitions` VALUES (125824, 3598, 24, 'EOB पोस्टिंग - चालान');
INSERT INTO `lang_definitions` VALUES (125825, 3599, 24, 'EOB पोस्टिंग - रोगी नोट');
INSERT INTO `lang_definitions` VALUES (125826, 3600, 24, 'EOB पोस्टिंग - खोज');
INSERT INTO `lang_definitions` VALUES (125827, 3602, 24, 'मिर्गी');
INSERT INTO `lang_definitions` VALUES (125828, 3608, 24, 'ERA');
INSERT INTO `lang_definitions` VALUES (125829, 3609, 24, 'ERA फ़ाइलें');
INSERT INTO `lang_definitions` VALUES (125830, 3610, 24, 'ERA पोस्टिंग');
INSERT INTO `lang_definitions` VALUES (125831, 3612, 24, 'मिटाना');
INSERT INTO `lang_definitions` VALUES (125832, 3614, 24, 'इरेक्शन');
INSERT INTO `lang_definitions` VALUES (125833, 3615, 24, 'त्रुटि');
INSERT INTO `lang_definitions` VALUES (125834, 3617, 24, 'प्रयोगशाला के परिणाम प्राप्त होने की त्रुटि की पुष्टि');
INSERT INTO `lang_definitions` VALUES (125835, 3620, 24, 'लैब एक्सचेंज नेटवर्क से प्रयोगशाला के परिणाम प्राप्त करने में त्रुटि');
INSERT INTO `lang_definitions` VALUES (125836, 3621, 24, 'लिंग चयन में त्रुटि');
INSERT INTO `lang_definitions` VALUES (125837, 3622, 24, 'HIPAA चयन में त्रुटि');
INSERT INTO `lang_definitions` VALUES (125838, 3623, 24, 'प्रक्रिया चयन में त्रुटि');
INSERT INTO `lang_definitions` VALUES (125839, 3624, 24, 'एसएमएस गेटवे चयन में त्रुटि');
INSERT INTO `lang_definitions` VALUES (125840, 3625, 24, 'छंटनी करें चयन में त्रुटि');
INSERT INTO `lang_definitions` VALUES (125841, 3626, 24, 'फ़ाइल का gzip संपीड़न में त्रुटि:');
INSERT INTO `lang_definitions` VALUES (125842, 3627, 24, 'हाँ या नहीं विकल्प में त्रुटि');
INSERT INTO `lang_definitions` VALUES (125843, 3630, 24, 'अपलोड की गई फ़ाइल पढ़ने के लिए खोलने में त्रुटि');
INSERT INTO `lang_definitions` VALUES (125844, 3631, 24, 'फ़ाइल प्रक्रिया में त्रुटि');
INSERT INTO `lang_definitions` VALUES (125845, 3632, 24, 'अपलोड प्रक्रिया में त्रुटि');
INSERT INTO `lang_definitions` VALUES (125846, 3633, 24, 'त्रुटि संदेश हटा रहा है');
INSERT INTO `lang_definitions` VALUES (125847, 3634, 24, 'लैब एक्सचेंज नेटवर्क से परिणाम पाने में त्रुटि');
INSERT INTO `lang_definitions` VALUES (125848, 3635, 24, 'मूल्यों को पुन: प्राप्त करने में त्रुटि.');
INSERT INTO `lang_definitions` VALUES (125849, 3637, 24, 'OpenEMR उपयोगकर्ता के लिए फ़ाइल विशेषाधिकार देने में त्रुटि.');
INSERT INTO `lang_definitions` VALUES (125850, 3640, 24, 'फॉर्म पंजीकरण करने के दौरान त्रुटि!');
INSERT INTO `lang_definitions` VALUES (125851, 3641, 24, 'फ़ाइल सहेजने के दौरान त्रुटि.');
INSERT INTO `lang_definitions` VALUES (125852, 3643, 24, 'फ़ाइल लिखने के दौरान त्रुटि');
INSERT INTO `lang_definitions` VALUES (125853, 3646, 24, 'त्रुटि (ओं) नए परिणामों का सामना करते समय.');
INSERT INTO `lang_definitions` VALUES (125854, 3651, 24, 'त्रुटि, फ़ाइल मौजूद नहीं है');
INSERT INTO `lang_definitions` VALUES (125855, 3652, 24, 'त्रुटि, सर्वर से डाटा एकत्र करने में असमर्थ');
INSERT INTO `lang_definitions` VALUES (125856, 3653, 24, 'त्रुटि, क्लाइंट प्रमाण पत्र नहीं बना सके.');
INSERT INTO `lang_definitions` VALUES (125857, 3654, 24, 'त्रुटि, admin.p12 प्रमाण पत्र नहीं बना सके.');
INSERT INTO `lang_definitions` VALUES (125858, 3655, 24, 'त्रुटि, प्रमाणपत्र प्राधिकार प्रमाण पत्र नहीं बना सके.');
INSERT INTO `lang_definitions` VALUES (125859, 3656, 24, 'त्रुटि, सर्वर प्रमाणपत्र बनाने में असमर्थ.');
INSERT INTO `lang_definitions` VALUES (125860, 3658, 24, 'त्रुटि, को खोलने में असमर्थ फ़ाइल');
INSERT INTO `lang_definitions` VALUES (125861, 3659, 24, 'त्रुटि, उपयोगकर्ता प्रमाणपत्र प्रमाणीकरण OpenEMR में सक्षम नहीं है');
INSERT INTO `lang_definitions` VALUES (125862, 3663, 24, 'त्रुटि. आप संग्रह / Tar.php PHP मॉड्यूल स्थापित करने की जरूरत है.');
INSERT INTO `lang_definitions` VALUES (125863, 3664, 24, 'त्रुटि: table.sql, टूटे फार्म को नहीं खोल सकता है?');
INSERT INTO `lang_definitions` VALUES (125864, 3667, 24, 'त्रुटि: लाइन पर आईडी दोहराया');
INSERT INTO `lang_definitions` VALUES (125865, 3668, 24, 'त्रुटि: लाइन पर नाम दोहराया');
INSERT INTO `lang_definitions` VALUES (125866, 3669, 24, 'त्रुटि: फील्ड');
INSERT INTO `lang_definitions` VALUES (125867, 3670, 24, 'त्रुटि: ZipArchive php मॉड्यूल लापता');
INSERT INTO `lang_definitions` VALUES (125868, 3671, 24, 'त्रुटि: आईसीडी आयात निर्देशिका नहीं.');
INSERT INTO `lang_definitions` VALUES (125869, 3672, 24, 'त्रुटि: पासवर्ड मेल नहीं खाते. अपनी टाइपिंग की जांच करें.');
INSERT INTO `lang_definitions` VALUES (125870, 3673, 24, 'त्रुटि: पासवर्ड मेल नहीं खाते. अपनी टाइपिंग की जांच करें.');
INSERT INTO `lang_definitions` VALUES (125871, 3674, 24, 'त्रुटि: फ़ाइल मौजूद नहीं है');
INSERT INTO `lang_definitions` VALUES (125872, 3675, 24, 'त्रुटि: निम्नलिखित चर का अमान्य वर्ण हैं');
INSERT INTO `lang_definitions` VALUES (125873, 3676, 24, 'त्रुटि: फाइल कॉपी करने में असमर्थ.');
INSERT INTO `lang_definitions` VALUES (125874, 3677, 24, 'त्रुटि: नया संग्रह बनाने में असमर्थ');
INSERT INTO `lang_definitions` VALUES (125875, 3678, 24, 'त्रुटि: ज़िप संग्रह बनाने में असमर्थ.');
INSERT INTO `lang_definitions` VALUES (125876, 3679, 24, 'त्रुटि: फ़ाइल निकालने में असमर्थ.');
INSERT INTO `lang_definitions` VALUES (125877, 3680, 24, 'त्रुटि: डेटाबेस में फ़ाइल लोड करने में असमर्थ.');
INSERT INTO `lang_definitions` VALUES (125878, 3681, 24, 'त्रुटि: संस्करण संख्या निर्धारित करने में असमर्थ.');
INSERT INTO `lang_definitions` VALUES (125879, 3682, 24, 'त्रुटियाँ');
INSERT INTO `lang_definitions` VALUES (125880, 3684, 24, 'ERX खाते की स्थिति');
INSERT INTO `lang_definitions` VALUES (125881, 3685, 24, 'ERX लॉग्स');
INSERT INTO `lang_definitions` VALUES (125882, 3686, 24, 'ERX नाम');
INSERT INTO `lang_definitions` VALUES (125883, 3687, 24, 'ERX पारण');
INSERT INTO `lang_definitions` VALUES (125884, 3688, 24, 'ERX भूमिका');
INSERT INTO `lang_definitions` VALUES (125885, 3689, 24, 'ERX उपयोगकर्ता');
INSERT INTO `lang_definitions` VALUES (125886, 3690, 24, 'पर्विल:');
INSERT INTO `lang_definitions` VALUES (125887, 3693, 24, 'एस्किमो');
INSERT INTO `lang_definitions` VALUES (125888, 3699, 24, 'स्थापित रोगी');
INSERT INTO `lang_definitions` VALUES (125889, 3700, 24, 'एस्तोनियावासी');
INSERT INTO `lang_definitions` VALUES (125890, 3701, 24, 'नस्ल');
INSERT INTO `lang_definitions` VALUES (125891, 3702, 24, 'नस्ल या जाति');
INSERT INTO `lang_definitions` VALUES (125892, 3703, 24, 'नस्ल रेस सूची (लिखना addonly, वैकल्पिक )');
INSERT INTO `lang_definitions` VALUES (125893, 3706, 24, 'ETIN');
INSERT INTO `lang_definitions` VALUES (125894, 3709, 24, 'घटना');
INSERT INTO `lang_definitions` VALUES (125895, 3710, 24, 'घटना शुरू होती है');
INSERT INTO `lang_definitions` VALUES (125896, 3711, 24, 'घटना श्रेणी');
INSERT INTO `lang_definitions` VALUES (125897, 3712, 24, 'घटना दिनांक');
INSERT INTO `lang_definitions` VALUES (125898, 3714, 24, 'घटना विवरण');
INSERT INTO `lang_definitions` VALUES (125899, 3715, 24, 'घटना विवरण');
INSERT INTO `lang_definitions` VALUES (125900, 3716, 24, 'घटना दोहराया नहीं करता');
INSERT INTO `lang_definitions` VALUES (125901, 3717, 24, 'घटना अवधि');
INSERT INTO `lang_definitions` VALUES (125902, 3718, 24, 'मिनटों में घटना की अवधि');
INSERT INTO `lang_definitions` VALUES (125903, 3719, 24, 'घटना का शुल्क');
INSERT INTO `lang_definitions` VALUES (125904, 3720, 24, 'घटना स्थान');
INSERT INTO `lang_definitions` VALUES (125905, 3721, 24, 'घटना दोहराता है हर');
INSERT INTO `lang_definitions` VALUES (125906, 3722, 24, 'घटना इस पर दोहराता है');
INSERT INTO `lang_definitions` VALUES (125907, 3723, 24, 'घटना का समय शुरू');
INSERT INTO `lang_definitions` VALUES (125908, 3724, 24, 'घटना शीर्षक');
INSERT INTO `lang_definitions` VALUES (125909, 3725, 24, 'घटना शीर्षक');
INSERT INTO `lang_definitions` VALUES (125910, 3726, 24, 'घटना वेबसाइट');
INSERT INTO `lang_definitions` VALUES (125911, 3727, 24, 'घटनाक्रम');
INSERT INTO `lang_definitions` VALUES (125912, 3728, 24, 'के लिए घटनाक्रम');
INSERT INTO `lang_definitions` VALUES (125913, 3729, 24, 'घटनाक्रम नए विंडो में खुलेगा');
INSERT INTO `lang_definitions` VALUES (125914, 3731, 24, 'हर');
INSERT INTO `lang_definitions` VALUES (125915, 3732, 24, 'हर');
INSERT INTO `lang_definitions` VALUES (125916, 3734, 24, 'हर 3 घंटे');
INSERT INTO `lang_definitions` VALUES (125917, 3736, 24, 'हर 4 घंटे');
INSERT INTO `lang_definitions` VALUES (125918, 3738, 24, 'हर 5 घंटे');
INSERT INTO `lang_definitions` VALUES (125919, 3740, 24, 'हर 6 घंटे');
INSERT INTO `lang_definitions` VALUES (125920, 3742, 24, 'हर 8 घंटे');
INSERT INTO `lang_definitions` VALUES (125921, 3743, 24, 'हर चौथे');
INSERT INTO `lang_definitions` VALUES (125922, 3745, 24, 'हर दूसरे');
INSERT INTO `lang_definitions` VALUES (125923, 3746, 24, 'हर तीसरे');
INSERT INTO `lang_definitions` VALUES (125924, 3747, 24, 'हर, हर दूसरे, हर 3, आदि');
INSERT INTO `lang_definitions` VALUES (125925, 3749, 24, 'परीक्षा और परीक्षा परिणाम');
INSERT INTO `lang_definitions` VALUES (125926, 3750, 24, 'परीक्षा परिणाम');
INSERT INTO `lang_definitions` VALUES (125927, 3753, 24, 'परीक्षा');
INSERT INTO `lang_definitions` VALUES (125928, 3754, 24, 'परीक्षा तिथि');
INSERT INTO `lang_definitions` VALUES (125929, 3755, 24, 'उदाहरण');
INSERT INTO `lang_definitions` VALUES (125930, 3758, 24, 'उदाहरण');
INSERT INTO `lang_definitions` VALUES (125931, 3760, 24, 'परीक्षा / टेस्ट');
INSERT INTO `lang_definitions` VALUES (125932, 3762, 24, 'को छोड़कर');
INSERT INTO `lang_definitions` VALUES (125933, 3763, 24, 'अत्यधिक फाड़');
INSERT INTO `lang_definitions` VALUES (125934, 3766, 24, 'निकाले गए मरीजों को');
INSERT INTO `lang_definitions` VALUES (125935, 3767, 24, 'अपवर्जन');
INSERT INTO `lang_definitions` VALUES (125936, 3768, 24, 'विशेष प्रदाता संगठन (ईपीओ)');
INSERT INTO `lang_definitions` VALUES (125937, 3770, 24, 'कार्यकारी पेपर आकार');
INSERT INTO `lang_definitions` VALUES (125938, 3771, 24, 'व्यायाम');
INSERT INTO `lang_definitions` VALUES (125939, 3772, 24, 'व्यायाम पैटर्न');
INSERT INTO `lang_definitions` VALUES (125940, 3773, 24, 'व्यायाम पैटर्न्स');
INSERT INTO `lang_definitions` VALUES (125941, 3774, 24, 'मौजूद');
INSERT INTO `lang_definitions` VALUES (125942, 3778, 24, 'प्रशासन की ओर से बाहर निकलें');
INSERT INTO `lang_definitions` VALUES (125943, 3782, 24, 'विस्तृत करें');
INSERT INTO `lang_definitions` VALUES (125944, 3784, 24, 'विस्तृत करें');
INSERT INTO `lang_definitions` VALUES (125945, 3785, 24, 'विस्तृत करें');
INSERT INTO `lang_definitions` VALUES (125946, 3787, 24, 'सभी का विस्तार');
INSERT INTO `lang_definitions` VALUES (125947, 3792, 24, 'विस्तारित देखें');
INSERT INTO `lang_definitions` VALUES (125948, 3793, 24, 'form_encounter.pid होने की उम्मीद');
INSERT INTO `lang_definitions` VALUES (125949, 3794, 24, 'समाप्ति');
INSERT INTO `lang_definitions` VALUES (125950, 3795, 24, 'समय समाप्ति तिथि');
INSERT INTO `lang_definitions` VALUES (125951, 3797, 24, 'समाप्त हो रहा');
INSERT INTO `lang_definitions` VALUES (125952, 3798, 24, 'में समाप्त हो रहा है');
INSERT INTO `lang_definitions` VALUES (125953, 3799, 24, 'निर्यात');
INSERT INTO `lang_definitions` VALUES (125954, 3800, 24, 'सीएसवी के रूप में निर्यात');
INSERT INTO `lang_definitions` VALUES (125955, 3802, 24, 'निर्यात विन्यास');
INSERT INTO `lang_definitions` VALUES (125956, 3806, 24, 'निर्यात रोगी जनसांख्यिकी');
INSERT INTO `lang_definitions` VALUES (125957, 3808, 24, 'निर्यात PQRI रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (125958, 3810, 24, 'सीएसवी के रूप में चयनित निर्यात');
INSERT INTO `lang_definitions` VALUES (125959, 3811, 24, 'संग्रह के लिए चयनित निर्यात');
INSERT INTO `lang_definitions` VALUES (125960, 3812, 24, 'सीएसवी निर्यात');
INSERT INTO `lang_definitions` VALUES (125961, 3813, 24, 'बाहरी बिलिंग प्रणाली के लिए निर्यात');
INSERT INTO `lang_definitions` VALUES (125962, 3815, 24, 'विदेशी देशों के लिए एक्सपोजर');
INSERT INTO `lang_definitions` VALUES (125963, 3816, 24, 'विदेशी देशों के लिए एक्सपोजर');
INSERT INTO `lang_definitions` VALUES (125964, 3818, 24, 'एक्सटेंशन समय एकत्रित');
INSERT INTO `lang_definitions` VALUES (125965, 3820, 24, 'बाहरी');
INSERT INTO `lang_definitions` VALUES (125966, 3823, 24, 'बाहरी डेटा लोड');
INSERT INTO `lang_definitions` VALUES (125967, 3824, 24, 'बाहरी डेटाबेस आयात उपयोगिता');
INSERT INTO `lang_definitions` VALUES (125968, 3828, 24, 'बाहरी आईडी');
INSERT INTO `lang_definitions` VALUES (125969, 3829, 24, 'बाहरी आईडी');
INSERT INTO `lang_definitions` VALUES (125970, 3830, 24, 'बाहरी पहचानकर्ता');
INSERT INTO `lang_definitions` VALUES (125971, 3831, 24, 'विदेश केवल');
INSERT INTO `lang_definitions` VALUES (125972, 3834, 24, 'बाहरी सिफ़ारिश');
INSERT INTO `lang_definitions` VALUES (125973, 3835, 24, 'बाहरी सिफ़ारिश followups');
INSERT INTO `lang_definitions` VALUES (125974, 3836, 24, 'बाहरी सिफ़ारिश?');
INSERT INTO `lang_definitions` VALUES (125975, 3837, 24, 'बाहरी सिफ़ारिशों के');
INSERT INTO `lang_definitions` VALUES (125976, 3838, 24, 'Zip फ़ाइल निकालें');
INSERT INTO `lang_definitions` VALUES (125977, 3839, 24, 'फ़ाइल निकाल रहा है. यह कुछ समय लगेगा ...');
INSERT INTO `lang_definitions` VALUES (125978, 3840, 24, 'पीब:');
INSERT INTO `lang_definitions` VALUES (125979, 3850, 24, 'आंख में जलन');
INSERT INTO `lang_definitions` VALUES (125980, 3856, 24, 'आंख में दर्द');
INSERT INTO `lang_definitions` VALUES (125981, 3860, 24, 'आँख लालिमा');
INSERT INTO `lang_definitions` VALUES (125982, 3863, 24, 'आंखें');
INSERT INTO `lang_definitions` VALUES (125983, 3865, 24, 'एफ');
INSERT INTO `lang_definitions` VALUES (125984, 3866, 24, 'एफ / एच रक्त की समस्याएं');
INSERT INTO `lang_definitions` VALUES (125985, 3867, 24, 'एफ / एच महिला Hirsutism / striae');
INSERT INTO `lang_definitions` VALUES (125986, 3868, 24, 'सुविधाएं');
INSERT INTO `lang_definitions` VALUES (125987, 3869, 24, 'सुविधा');
INSERT INTO `lang_definitions` VALUES (125988, 3870, 24, 'सुविधा');
INSERT INTO `lang_definitions` VALUES (125989, 3871, 24, 'सुविधा प्रशासन');
INSERT INTO `lang_definitions` VALUES (125990, 3872, 24, 'सुविधा शहर');
INSERT INTO `lang_definitions` VALUES (125991, 3873, 24, 'सुविधा कोड');
INSERT INTO `lang_definitions` VALUES (125992, 3875, 24, 'सुविधा देश कोड');
INSERT INTO `lang_definitions` VALUES (125993, 3876, 24, 'सुविधा फैक्स');
INSERT INTO `lang_definitions` VALUES (125994, 3878, 24, 'सुविधा नाम');
INSERT INTO `lang_definitions` VALUES (125995, 3879, 24, 'सुविधा NPI');
INSERT INTO `lang_definitions` VALUES (125996, 3880, 24, 'सुविधा फोन');
INSERT INTO `lang_definitions` VALUES (125997, 3882, 24, 'सुविधा उपयोगकर्ता विशिष्ट जानकारी');
INSERT INTO `lang_definitions` VALUES (125998, 3883, 24, 'सुविधा राज्य');
INSERT INTO `lang_definitions` VALUES (125999, 3884, 24, 'सुविधा स्ट्रीट');
INSERT INTO `lang_definitions` VALUES (126000, 3886, 24, 'सुविधा पिन');
INSERT INTO `lang_definitions` VALUES (126001, 3888, 24, 'सुविधा:');
INSERT INTO `lang_definitions` VALUES (126002, 3889, 24, 'विफल');
INSERT INTO `lang_definitions` VALUES (126003, 3890, 24, 'विफल');
INSERT INTO `lang_definitions` VALUES (126004, 3891, 24, 'विफल');
INSERT INTO `lang_definitions` VALUES (126005, 3901, 24, 'अस्थायी फ़ोल्डर बनाने में विफल. CouchDB काम नहीं करेगा.');
INSERT INTO `lang_definitions` VALUES (126006, 3907, 24, 'विफल.');
INSERT INTO `lang_definitions` VALUES (126007, 3908, 24, 'विफलता');
INSERT INTO `lang_definitions` VALUES (126008, 3916, 24, 'पारिवारिक इतिहास');
INSERT INTO `lang_definitions` VALUES (126009, 3918, 24, 'ग्लूकोमा का पारिवारिक इतिहास');
INSERT INTO `lang_definitions` VALUES (126010, 3919, 24, 'पारिवारिक इतिहास:');
INSERT INTO `lang_definitions` VALUES (126011, 3921, 24, 'पारिवारिक भुगतान');
INSERT INTO `lang_definitions` VALUES (126012, 3922, 24, 'परिवार का आकार');
INSERT INTO `lang_definitions` VALUES (126013, 3923, 24, 'पसंद');
INSERT INTO `lang_definitions` VALUES (126014, 3925, 24, 'फारसी');
INSERT INTO `lang_definitions` VALUES (126015, 3928, 24, 'पिता');
INSERT INTO `lang_definitions` VALUES (126016, 3930, 24, 'थकान');
INSERT INTO `lang_definitions` VALUES (126017, 3931, 24, 'थका हुआ');
INSERT INTO `lang_definitions` VALUES (126018, 3933, 24, 'फैक्स');
INSERT INTO `lang_definitions` VALUES (126019, 3934, 24, 'फैक्स गणना');
INSERT INTO `lang_definitions` VALUES (126020, 3935, 24, 'फैक्स नंबर');
INSERT INTO `lang_definitions` VALUES (126021, 3937, 24, 'फैक्स / स्कैन');
INSERT INTO `lang_definitions` VALUES (126022, 3938, 24, 'फ़ैक्स अंदर');
INSERT INTO `lang_definitions` VALUES (126023, 3939, 24, 'फ़ैक्स बाहर');
INSERT INTO `lang_definitions` VALUES (126024, 3940, 24, 'विशेषताएँ');
INSERT INTO `lang_definitions` VALUES (126025, 3941, 24, 'फरवरी');
INSERT INTO `lang_definitions` VALUES (126026, 3942, 24, 'फरवरी');
INSERT INTO `lang_definitions` VALUES (126027, 3943, 24, 'FECA');
INSERT INTO `lang_definitions` VALUES (126028, 3944, 24, 'फेडरल ड्रग आईडी');
INSERT INTO `lang_definitions` VALUES (126029, 3945, 24, 'फेडरल ईआईऍन');
INSERT INTO `lang_definitions` VALUES (126030, 3946, 24, 'फेडरल कर आईडी');
INSERT INTO `lang_definitions` VALUES (126031, 3948, 24, 'शुल्क');
INSERT INTO `lang_definitions` VALUES (126032, 3949, 24, 'शुल्क');
INSERT INTO `lang_definitions` VALUES (126033, 3950, 24, 'शुल्क की अनुमति नहीं है');
INSERT INTO `lang_definitions` VALUES (126034, 3951, 24, 'शुल्क पत्रक');
INSERT INTO `lang_definitions` VALUES (126035, 3953, 24, 'शुल्क पत्रक विकल्प');
INSERT INTO `lang_definitions` VALUES (126036, 3955, 24, 'शुल्क');
INSERT INTO `lang_definitions` VALUES (126037, 3956, 24, 'महिला');
INSERT INTO `lang_definitions` VALUES (126038, 3957, 24, 'महिला एपी');
INSERT INTO `lang_definitions` VALUES (126039, 3958, 24, 'महिला कंडोम');
INSERT INTO `lang_definitions` VALUES (126040, 3959, 24, 'महिला जी');
INSERT INTO `lang_definitions` VALUES (126041, 3960, 24, 'महिला LC');
INSERT INTO `lang_definitions` VALUES (126042, 3961, 24, 'महिला P');
INSERT INTO `lang_definitions` VALUES (126043, 3962, 24, 'महिला लक्षण');
INSERT INTO `lang_definitions` VALUES (126044, 3963, 24, 'महिला VSC');
INSERT INTO `lang_definitions` VALUES (126045, 3966, 24, 'बुखार');
INSERT INTO `lang_definitions` VALUES (126046, 3967, 24, 'बुखार:');
INSERT INTO `lang_definitions` VALUES (126047, 3968, 24, 'एफ एच रक्त की समस्याएं');
INSERT INTO `lang_definitions` VALUES (126048, 3972, 24, 'फाइब्रॉएड');
INSERT INTO `lang_definitions` VALUES (126049, 3978, 24, 'जनसांख्यिकी में नियोक्ता या ग्राहक के देश के लिए उपयोग करने के लिए फ़ील्ड प्रकार.');
INSERT INTO `lang_definitions` VALUES (126050, 3979, 24, 'जनसांख्यिकी में नियोक्ता या ग्राहक के राज्य के लिए उपयोग करने के लिए फ़ील्ड प्रकार.');
INSERT INTO `lang_definitions` VALUES (126051, 3980, 24, 'फील्ड (ओं) लापता हैं!');
INSERT INTO `lang_definitions` VALUES (126052, 3986, 24, 'फ़ाइल');
INSERT INTO `lang_definitions` VALUES (126053, 3989, 24, 'लॉग बैकअप बनाने की प्रक्रिया को स्वचालित कैसे करें यह जानने के लिए प्रलेखन निर्देशिका में फाइल!');
INSERT INTO `lang_definitions` VALUES (126054, 3990, 24, 'फ़ाइल स्थान');
INSERT INTO `lang_definitions` VALUES (126055, 3991, 24, 'फ़ाइल प्रबंधन');
INSERT INTO `lang_definitions` VALUES (126056, 3998, 24, 'फ़ाइल का विशेषाधिकार OpenEMR उपयोगकर्ता के लिए दीया गया.');
INSERT INTO `lang_definitions` VALUES (126057, 3999, 24, 'CouchDB से फ़ाइल पुनर्प्राप्ति विफल रहा');
INSERT INTO `lang_definitions` VALUES (126058, 4000, 24, 'फ़ाइल कक्ष');
INSERT INTO `lang_definitions` VALUES (126059, 4001, 24, 'अपलोड करने के लिए फ़ाइल');
INSERT INTO `lang_definitions` VALUES (126060, 4002, 24, 'अपलोड करने के लिए फ़ाइल');
INSERT INTO `lang_definitions` VALUES (126061, 4003, 24, 'उसी नाम के साथ फ़ाइल पहले से ही स्थान पर मौजूद है:');
INSERT INTO `lang_definitions` VALUES (126062, 4004, 24, 'फाईल का नाम');
INSERT INTO `lang_definitions` VALUES (126063, 4006, 24, 'फ़ाइलें');
INSERT INTO `lang_definitions` VALUES (126064, 4011, 24, 'फिलिपिनो देश');
INSERT INTO `lang_definitions` VALUES (126065, 4013, 24, 'नीचे की पंक्ति में से कोई भी भरें.');
INSERT INTO `lang_definitions` VALUES (126066, 4014, 24, 'यहां भरें अगर आप रोगियों को ईमेल सूचना भेज रहे हैं!');
INSERT INTO `lang_definitions` VALUES (126067, 4023, 24, 'नीचे दिए गए मूल्यों में भरें');
INSERT INTO `lang_definitions` VALUES (126068, 4025, 24, 'पंक्ति भरें.');
INSERT INTO `lang_definitions` VALUES (126069, 4028, 24, 'फिल्टर');
INSERT INTO `lang_definitions` VALUES (126070, 4029, 24, 'स्थिरांक के लिए फ़िल्टर');
INSERT INTO `lang_definitions` VALUES (126071, 4030, 24, 'परिभाषा के लिए फ़िल्टर');
INSERT INTO `lang_definitions` VALUES (126072, 4031, 24, 'से फ़िल्टर किया');
INSERT INTO `lang_definitions` VALUES (126073, 4032, 24, 'फ़िल्टर');
INSERT INTO `lang_definitions` VALUES (126074, 4033, 24, 'फिल्टर');
INSERT INTO `lang_definitions` VALUES (126075, 4034, 24, 'अंतिम');
INSERT INTO `lang_definitions` VALUES (126076, 4035, 24, 'अंतिम निदान');
INSERT INTO `lang_definitions` VALUES (126077, 4036, 24, 'विशेषज्ञ द्वारा अंतिम निदान');
INSERT INTO `lang_definitions` VALUES (126078, 4038, 24, 'वित्तीय');
INSERT INTO `lang_definitions` VALUES (126079, 4039, 24, 'वित्तीय बंद तिथि (YYYY-MM-DD)');
INSERT INTO `lang_definitions` VALUES (126080, 4040, 24, 'वित्तीय रिपोर्टिंग - कुछ भी');
INSERT INTO `lang_definitions` VALUES (126081, 4042, 24, 'वित्तीय रिपोर्टिंग - मेरे मुठभेड़ों के');
INSERT INTO `lang_definitions` VALUES (126082, 4045, 24, 'वित्तीय समीक्षा दिनांक');
INSERT INTO `lang_definitions` VALUES (126083, 4046, 24, 'सेवा संहिता द्वारा वित्तीय सारांश');
INSERT INTO `lang_definitions` VALUES (126084, 4048, 24, 'खोजें');
INSERT INTO `lang_definitions` VALUES (126085, 4049, 24, 'उपलब्ध खोजें');
INSERT INTO `lang_definitions` VALUES (126086, 4050, 24, 'उपलब्ध नियुक्तियों खोजें');
INSERT INTO `lang_definitions` VALUES (126087, 4053, 24, 'रोगी खोजें');
INSERT INTO `lang_definitions` VALUES (126088, 4054, 24, 'रोगी शिक्षा सामग्री खोजें');
INSERT INTO `lang_definitions` VALUES (126089, 4056, 24, 'निष्कर्ष');
INSERT INTO `lang_definitions` VALUES (126090, 4057, 24, 'विशेषज्ञ द्वारा निष्कर्ष');
INSERT INTO `lang_definitions` VALUES (126091, 4058, 24, 'जुर्माना');
INSERT INTO `lang_definitions` VALUES (126092, 4060, 24, 'भुगतान समाप्त');
INSERT INTO `lang_definitions` VALUES (126093, 4062, 24, 'समाप्त');
INSERT INTO `lang_definitions` VALUES (126094, 4065, 24, 'पहला');
INSERT INTO `lang_definitions` VALUES (126095, 4068, 24, 'सप्ताह का पहला दिन');
INSERT INTO `lang_definitions` VALUES (126096, 4071, 24, 'पहला नाम');
INSERT INTO `lang_definitions` VALUES (126097, 4072, 24, 'पहला नाम');
INSERT INTO `lang_definitions` VALUES (126098, 4073, 24, 'पहला नाम:');
INSERT INTO `lang_definitions` VALUES (126099, 4079, 24, 'स्वास्थ्य');
INSERT INTO `lang_definitions` VALUES (126100, 4080, 24, 'स्वास्थ्य स्तर');
INSERT INTO `lang_definitions` VALUES (126101, 4081, 24, 'इस दिन पर इस खिलाड़ी के लिए फिटनेस स्तर');
INSERT INTO `lang_definitions` VALUES (126102, 4083, 24, 'खेलने के लिए फिटनेस');
INSERT INTO `lang_definitions` VALUES (126103, 4084, 24, 'मुठभेड़ तिथियाँ तय करें - किसी भी मुठभेड़ों के');
INSERT INTO `lang_definitions` VALUES (126104, 4086, 24, 'इसे ठीक करें');
INSERT INTO `lang_definitions` VALUES (126105, 4088, 24, 'FL');
INSERT INTO `lang_definitions` VALUES (126106, 4090, 24, 'पेट फूलना');
INSERT INTO `lang_definitions` VALUES (126107, 4091, 24, 'प्रवाह');
INSERT INTO `lang_definitions` VALUES (126108, 4108, 24, 'फ्लू के मौसम');
INSERT INTO `lang_definitions` VALUES (126109, 4109, 24, 'फ्लू के मौसम');
INSERT INTO `lang_definitions` VALUES (126110, 4110, 24, 'फ्लू टीकाकरण');
INSERT INTO `lang_definitions` VALUES (126111, 4111, 24, 'तरल और इलेक्ट्रोलाइट समस्या');
INSERT INTO `lang_definitions` VALUES (126112, 4112, 24, 'FMS');
INSERT INTO `lang_definitions` VALUES (126113, 4113, 24, 'फोलियो पेपर आकार');
INSERT INTO `lang_definitions` VALUES (126114, 4114, 24, 'मैन्युअल रूप से पालन करें');
INSERT INTO `lang_definitions` VALUES (126115, 4115, 24, 'निम्नलिखित डेटाबेस को स्थापित करने या उन्नयन करने के लिए इन निर्देशों का पालन करें');
INSERT INTO `lang_definitions` VALUES (126116, 4116, 24, 'फ़ॉलोअप');
INSERT INTO `lang_definitions` VALUES (126117, 4119, 24, 'फ़ॉलोअप कारण');
INSERT INTO `lang_definitions` VALUES (126118, 4121, 24, 'के बाद एक नए कस्टम स्थिर है:');
INSERT INTO `lang_definitions` VALUES (126119, 4122, 24, 'के बाद एक नए कस्टम भाषा है:');
INSERT INTO `lang_definitions` VALUES (126120, 4123, 24, 'के बाद एक नई परिभाषा (भाषा, लगातार, परिभाषा) है:');
INSERT INTO `lang_definitions` VALUES (126121, 4125, 24, 'फॉलोअप सेवाएँ');
INSERT INTO `lang_definitions` VALUES (126122, 4126, 24, 'फ़ॉलोअप के संकेत');
INSERT INTO `lang_definitions` VALUES (126123, 4129, 24, 'खाद्य असहिष्णुता');
INSERT INTO `lang_definitions` VALUES (126124, 4130, 24, 'पैर');
INSERT INTO `lang_definitions` VALUES (126125, 4131, 24, 'पैर की समस्याओं के');
INSERT INTO `lang_definitions` VALUES (126126, 4132, 24, 'पैर:');
INSERT INTO `lang_definitions` VALUES (126127, 4133, 24, 'फुटबॉल चोट लगने की घटनाएं');
INSERT INTO `lang_definitions` VALUES (126128, 4134, 24, 'फुटबॉल चोट');
INSERT INTO `lang_definitions` VALUES (126129, 4135, 24, 'फुटबॉल चोट रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (126130, 4136, 24, 'जूते के प्रकार');
INSERT INTO `lang_definitions` VALUES (126131, 4137, 24, 'के लिए');
INSERT INTO `lang_definitions` VALUES (126132, 4138, 24, 'के लिए');
INSERT INTO `lang_definitions` VALUES (126133, 4144, 24, 'कोड के लिए');
INSERT INTO `lang_definitions` VALUES (126134, 4152, 24, 'मुठभेड़ दावों के लिए');
INSERT INTO `lang_definitions` VALUES (126135, 4154, 24, 'उदाहरण के लिए:');
INSERT INTO `lang_definitions` VALUES (126136, 4161, 24, 'चालान के लिए');
INSERT INTO `lang_definitions` VALUES (126137, 4163, 24, 'Medicare के लिए केवल, जिक्र प्रदाता और प्रतिपादन प्रदाता के रूप एक ही होने पर मजबूर करता है.');
INSERT INTO `lang_definitions` VALUES (126138, 4165, 24, 'OBR placer क्रम संख्या के लिए');
INSERT INTO `lang_definitions` VALUES (126139, 4173, 24, 'Referred संगठन / चिकित्सक के लिए');
INSERT INTO `lang_definitions` VALUES (126140, 4176, 24, 'अतीत के लिए');
INSERT INTO `lang_definitions` VALUES (126141, 4188, 24, 'चर के लिए');
INSERT INTO `lang_definitions` VALUES (126142, 4189, 24, 'के लिए:');
INSERT INTO `lang_definitions` VALUES (126143, 4190, 24, 'जबरदस्ती बिलिंग विजेट ओपन करो');
INSERT INTO `lang_definitions` VALUES (126144, 4191, 24, 'जबरदस्ती नए रोगी बनाएँ');
INSERT INTO `lang_definitions` VALUES (126145, 4193, 24, 'जबरदस्ती दिखाएँ');
INSERT INTO `lang_definitions` VALUES (126146, 4194, 24, 'प्रकोष्ठ');
INSERT INTO `lang_definitions` VALUES (126147, 4195, 24, 'प्रपत्र');
INSERT INTO `lang_definitions` VALUES (126148, 4196, 24, 'प्रपत्र');
INSERT INTO `lang_definitions` VALUES (126149, 4201, 24, 'प्रारूप');
INSERT INTO `lang_definitions` VALUES (126150, 4202, 24, 'प्रारूप');
INSERT INTO `lang_definitions` VALUES (126151, 4203, 24, 'उम्र प्रदर्शन के लिए प्रारूप');
INSERT INTO `lang_definitions` VALUES (126152, 4204, 24, 'एनडीसी के लिए गलत प्रारूप');
INSERT INTO `lang_definitions` VALUES (126153, 4205, 24, 'प्रारूप ज्यादातर तिथियाँ प्रदर्शित करने के लिए इस्तेमाल किया.');
INSERT INTO `lang_definitions` VALUES (126154, 4206, 24, 'प्रारूप ज्यादातर समय प्रदर्शित करने के लिए इस्तेमाल किया.');
INSERT INTO `lang_definitions` VALUES (126155, 4207, 24, 'प्रारूपित रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (126156, 4208, 24, 'पुराना धूम्रपान करनेवाला');
INSERT INTO `lang_definitions` VALUES (126157, 4209, 24, 'फार्म');
INSERT INTO `lang_definitions` VALUES (126158, 4210, 24, 'फार्म प्रशासन');
INSERT INTO `lang_definitions` VALUES (126159, 4215, 24, 'आगे');
INSERT INTO `lang_definitions` VALUES (126160, 4219, 24, 'फैक्स के जरिए फॉरवर्ड पन्ने');
INSERT INTO `lang_definitions` VALUES (126161, 4222, 24, 'अग्रेषित किया');
INSERT INTO `lang_definitions` VALUES (126162, 4225, 24, 'चौथा');
INSERT INTO `lang_definitions` VALUES (126163, 4227, 24, 'अस्थिभंग');
INSERT INTO `lang_definitions` VALUES (126164, 4228, 24, 'Navicula में अस्थिभंग');
INSERT INTO `lang_definitions` VALUES (126165, 4229, 24, 'अस्थिभंग पार्श्व malleolus');
INSERT INTO `lang_definitions` VALUES (126166, 4230, 24, 'अस्थिभंग औसत दर्जे malleolus');
INSERT INTO `lang_definitions` VALUES (126167, 4231, 24, 'फ्रैक्चर, पांचवें आधार (5) metatarsal');
INSERT INTO `lang_definitions` VALUES (126168, 4233, 24, 'आवश्यक फ्रेम समर्थन');
INSERT INTO `lang_definitions` VALUES (126169, 4235, 24, 'फ्रेंच');
INSERT INTO `lang_definitions` VALUES (126170, 4236, 24, 'फ्रेंच (कनाडा)');
INSERT INTO `lang_definitions` VALUES (126171, 4237, 24, 'फ्रेंच (मानक)');
INSERT INTO `lang_definitions` VALUES (126172, 4238, 24, 'आवृत्ति');
INSERT INTO `lang_definitions` VALUES (126173, 4239, 24, 'लगातार जुकाम');
INSERT INTO `lang_definitions` VALUES (126174, 4240, 24, 'लगातार बीमारी');
INSERT INTO `lang_definitions` VALUES (126175, 4241, 24, 'शुक्र');
INSERT INTO `lang_definitions` VALUES (126176, 4242, 24, 'शुक्रवार');
INSERT INTO `lang_definitions` VALUES (126177, 4244, 24, 'से');
INSERT INTO `lang_definitions` VALUES (126178, 4245, 24, 'से');
INSERT INTO `lang_definitions` VALUES (126179, 4246, 24, 'से');
INSERT INTO `lang_definitions` VALUES (126180, 4247, 24, 'से तिथि आज तिथि से बड़ी नहीं हो सकती.');
INSERT INTO `lang_definitions` VALUES (126181, 4253, 24, 'से:');
INSERT INTO `lang_definitions` VALUES (126182, 4254, 24, 'से:');
INSERT INTO `lang_definitions` VALUES (126183, 4255, 24, 'FROM_CITY');
INSERT INTO `lang_definitions` VALUES (126184, 4257, 24, 'FROM_FNAME');
INSERT INTO `lang_definitions` VALUES (126185, 4258, 24, 'FROM_LNAME');
INSERT INTO `lang_definitions` VALUES (126186, 4259, 24, 'FROM_MNAME');
INSERT INTO `lang_definitions` VALUES (126187, 4261, 24, 'FROM_PHONECELL');
INSERT INTO `lang_definitions` VALUES (126188, 4262, 24, 'FROM_POSTAL');
INSERT INTO `lang_definitions` VALUES (126189, 4263, 24, 'FROM_STATE');
INSERT INTO `lang_definitions` VALUES (126190, 4264, 24, 'FROM_STREET');
INSERT INTO `lang_definitions` VALUES (126191, 4265, 24, 'FROM_TITLE');
INSERT INTO `lang_definitions` VALUES (126192, 4266, 24, 'FROM_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (126193, 4267, 24, 'फ्रंट ऑफिस');
INSERT INTO `lang_definitions` VALUES (126194, 4268, 24, 'फ्रंट ऑफिस प्राप्ति');
INSERT INTO `lang_definitions` VALUES (126195, 4269, 24, 'फ्रंट ऑफिस प्राप्ति की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (126196, 4270, 24, 'फ्रंट आरईसी');
INSERT INTO `lang_definitions` VALUES (126197, 4271, 24, 'ललाट दाएँ:');
INSERT INTO `lang_definitions` VALUES (126198, 4278, 24, 'पूरा नाम');
INSERT INTO `lang_definitions` VALUES (126199, 4280, 24, 'MySQL निष्पादनयोग्य वाली निर्देशिका के लिए पूर्ण पथ.');
INSERT INTO `lang_definitions` VALUES (126200, 4281, 24, 'पर्ल निष्पादनयोग्य वाली निर्देशिका के लिए पूर्ण पथ.');
INSERT INTO `lang_definitions` VALUES (126201, 4282, 24, 'घटना लॉग बैकअप के लिए निर्देशिका के लिए पूर्ण पथ.');
INSERT INTO `lang_definitions` VALUES (126202, 4283, 24, 'अस्थायी फ़ाइलों में उपयोग करने के लिए निर्देशिका पूर्ण पथ.');
INSERT INTO `lang_definitions` VALUES (126203, 4284, 24, 'पूरा खेल');
INSERT INTO `lang_definitions` VALUES (126204, 4286, 24, 'पूर्ण प्रशिक्षण');
INSERT INTO `lang_definitions` VALUES (126205, 4288, 24, 'पूर्णत: चुकता');
INSERT INTO `lang_definitions` VALUES (126206, 4298, 24, 'जी');
INSERT INTO `lang_definitions` VALUES (126207, 4299, 24, 'जी / डीएल');
INSERT INTO `lang_definitions` VALUES (126208, 4302, 24, 'पित्ताशय की स्थिति');
INSERT INTO `lang_definitions` VALUES (126209, 4303, 24, 'पित्त की पथरी');
INSERT INTO `lang_definitions` VALUES (126210, 4304, 24, 'खेल अवधि');
INSERT INTO `lang_definitions` VALUES (126211, 4305, 24, 'खेल');
INSERT INTO `lang_definitions` VALUES (126212, 4306, 24, 'छूटे खेल');
INSERT INTO `lang_definitions` VALUES (126213, 4307, 24, 'खेल / घटनाओं');
INSERT INTO `lang_definitions` VALUES (126214, 4308, 24, 'खेल / घटनाओं के लिए याद');
INSERT INTO `lang_definitions` VALUES (126215, 4310, 24, 'जठरशोथ');
INSERT INTO `lang_definitions` VALUES (126216, 4311, 24, 'जठरांत्र दर्द');
INSERT INTO `lang_definitions` VALUES (126217, 4312, 24, 'जठरांत्र');
INSERT INTO `lang_definitions` VALUES (126218, 4316, 24, 'GCAC सांख्यिकी रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (126219, 4317, 24, 'GCAC आँकड़े');
INSERT INTO `lang_definitions` VALUES (126220, 4318, 24, 'GCAC यात्रा फार्म लापता है');
INSERT INTO `lang_definitions` VALUES (126221, 4319, 24, 'लिंग');
INSERT INTO `lang_definitions` VALUES (126222, 4320, 24, 'लिंग');
INSERT INTO `lang_definitions` VALUES (126223, 4321, 24, 'सामान्य');
INSERT INTO `lang_definitions` VALUES (126224, 4323, 24, 'सामान्य मुद्दा सूची');
INSERT INTO `lang_definitions` VALUES (126225, 4325, 24, 'सामान्य सेवा श्रेणी');
INSERT INTO `lang_definitions` VALUES (126226, 4332, 24, 'उत्पन्न और डाउनलोड करें सीएमएस 1500 काग़ज़ का दावा');
INSERT INTO `lang_definitions` VALUES (126227, 4334, 24, 'उत्पन्न और डाउनलोड करें HCFA 1500 काग़ज़ का दावा');
INSERT INTO `lang_definitions` VALUES (126228, 4337, 24, 'X 12 बैच पैदा और डाउनलोड करें');
INSERT INTO `lang_definitions` VALUES (126229, 4338, 24, 'X12 मुठभेड़ दावा बैच पैदा और डाउनलोड करें');
INSERT INTO `lang_definitions` VALUES (126230, 4341, 24, 'इलेक्ट्रॉनिक अनुमत नुस्खे उत्पन्न और संचारित करें.');
INSERT INTO `lang_definitions` VALUES (126231, 4342, 24, 'सीएमएस 1500 उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (126232, 4343, 24, 'सीएमएस 1500 पीडीएफ उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (126233, 4344, 24, 'सीएमएस 1500 पाठ उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (126234, 4345, 24, 'HCFA उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (126235, 4347, 24, 'चालान उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (126236, 4348, 24, 'पत्र उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (126237, 4349, 24, 'के बारे में पत्र उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (126238, 4351, 24, 'PQRI रिपोर्ट उत्पन्न करें (पद्धति A)');
INSERT INTO `lang_definitions` VALUES (126239, 4353, 24, 'PQRI रिपोर्ट उत्पन्न करें (पद्धति E)');
INSERT INTO `lang_definitions` VALUES (126240, 4357, 24, 'रिपोर्ट उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (126241, 4365, 24, 'उपयोगकर्ता नाम और पासवर्ड उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (126242, 4366, 24, 'X12 उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (126243, 4368, 24, 'X12 मुठभेड़ उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (126244, 4370, 24, 'पर उत्पन्न किया');
INSERT INTO `lang_definitions` VALUES (126245, 4372, 24, 'उत्पन्न करता है');
INSERT INTO `lang_definitions` VALUES (126246, 4377, 24, 'genitourinary');
INSERT INTO `lang_definitions` VALUES (126247, 4381, 24, 'जर्मन');
INSERT INTO `lang_definitions` VALUES (126248, 4386, 24, 'HL7 प्राप्त करें');
INSERT INTO `lang_definitions` VALUES (126249, 4392, 24, 'मोतियाबिंद');
INSERT INTO `lang_definitions` VALUES (126250, 4393, 24, 'ग्लूकोमा परिवार इतिहास');
INSERT INTO `lang_definitions` VALUES (126251, 4395, 24, 'वैश्विक');
INSERT INTO `lang_definitions` VALUES (126252, 4398, 24, 'वैश्विक आईडी');
INSERT INTO `lang_definitions` VALUES (126253, 4399, 24, 'वैश्विक सेटिंग्स');
INSERT INTO `lang_definitions` VALUES (126254, 4400, 24, 'वैश्विक');
INSERT INTO `lang_definitions` VALUES (126255, 4401, 24, 'जीएम / डीएल');
INSERT INTO `lang_definitions` VALUES (126256, 4403, 24, 'जाएँ');
INSERT INTO `lang_definitions` VALUES (126257, 4404, 24, 'जाएँ');
INSERT INTO `lang_definitions` VALUES (126258, 4407, 24, 'पर जाएँ');
INSERT INTO `lang_definitions` VALUES (126259, 4417, 24, 'सप्ताह के पर जाएँ');
INSERT INTO `lang_definitions` VALUES (126260, 4418, 24, 'आज जाएँ');
INSERT INTO `lang_definitions` VALUES (126261, 4419, 24, 'लक्ष्य A');
INSERT INTO `lang_definitions` VALUES (126262, 4420, 24, 'लक्ष्य और तरीके');
INSERT INTO `lang_definitions` VALUES (126263, 4421, 24, 'लक्ष्य B');
INSERT INTO `lang_definitions` VALUES (126264, 4422, 24, 'लक्ष्य C');
INSERT INTO `lang_definitions` VALUES (126265, 4428, 24, 'चोट के ग्रेड');
INSERT INTO `lang_definitions` VALUES (126266, 4429, 24, 'ग्रेड:');
INSERT INTO `lang_definitions` VALUES (126267, 4430, 24, 'ग्राम');
INSERT INTO `lang_definitions` VALUES (126268, 4431, 24, 'महायोग');
INSERT INTO `lang_definitions` VALUES (126269, 4432, 24, 'महायोग');
INSERT INTO `lang_definitions` VALUES (126270, 4435, 24, 'Graphable');
INSERT INTO `lang_definitions` VALUES (126271, 4437, 24, 'से अधिक');
INSERT INTO `lang_definitions` VALUES (126272, 4438, 24, 'इससे बड़ा या इसके बराबर');
INSERT INTO `lang_definitions` VALUES (126273, 4439, 24, 'ग्रीक');
INSERT INTO `lang_definitions` VALUES (126274, 4442, 24, 'समूह');
INSERT INTO `lang_definitions` VALUES (126275, 4459, 24, 'समूह नाम');
INSERT INTO `lang_definitions` VALUES (126276, 4460, 24, 'समूह नाम खाली नहीं हो सकता');
INSERT INTO `lang_definitions` VALUES (126277, 4461, 24, 'समूह नाम, संख्या या रिक्त स्थान के साथ शुरू नहीं कर सकते.');
INSERT INTO `lang_definitions` VALUES (126278, 4462, 24, 'समूह नाम, संख्या के साथ शुरू नहीं कर सकते.');
INSERT INTO `lang_definitions` VALUES (126279, 4463, 24, 'समूह संख्या');
INSERT INTO `lang_definitions` VALUES (126280, 4465, 24, 'समूह भुगतान');
INSERT INTO `lang_definitions` VALUES (126281, 4471, 24, 'समूह:');
INSERT INTO `lang_definitions` VALUES (126282, 4472, 24, 'GROUPNAME');
INSERT INTO `lang_definitions` VALUES (126283, 4475, 24, 'समूह और प्रवेश नियंत्रण');
INSERT INTO `lang_definitions` VALUES (126284, 4476, 24, 'विकास तालिका');
INSERT INTO `lang_definitions` VALUES (126285, 4477, 24, 'विकास तालिका');
INSERT INTO `lang_definitions` VALUES (126286, 4478, 24, 'gtts (बूँदें)');
INSERT INTO `lang_definitions` VALUES (126287, 4479, 24, 'Guamanian');
INSERT INTO `lang_definitions` VALUES (126288, 4484, 24, 'अभिभावक नाम');
INSERT INTO `lang_definitions` VALUES (126289, 4489, 24, 'स्त्री रोग परीक्षा');
INSERT INTO `lang_definitions` VALUES (126290, 4490, 24, 'h');
INSERT INTO `lang_definitions` VALUES (126291, 4492, 24, 'H.S.');
INSERT INTO `lang_definitions` VALUES (126292, 4493, 24, 'H / O हेपेटाइटिस');
INSERT INTO `lang_definitions` VALUES (126293, 4494, 24, 'सफलतापूर्वक हटा दिया गया था. वर्तमान में किसी भी उप श्रेणियों को नीचे स्थानांतरित किया है!');
INSERT INTO `lang_definitions` VALUES (126294, 4495, 24, 'Haematoma / चोट');
INSERT INTO `lang_definitions` VALUES (126295, 4496, 24, 'HAI स्थिति');
INSERT INTO `lang_definitions` VALUES (126296, 4499, 24, 'हाथ + उंगलियों');
INSERT INTO `lang_definitions` VALUES (126297, 4500, 24, 'हाथ की समस्याएं');
INSERT INTO `lang_definitions` VALUES (126298, 4505, 24, 'हार्ड डिस्क');
INSERT INTO `lang_definitions` VALUES (126299, 4506, 24, 'कठिनाई w / o');
INSERT INTO `lang_definitions` VALUES (126300, 4507, 24, 'दौरा करने के लिए जोड़ा गया है');
INSERT INTO `lang_definitions` VALUES (126301, 4508, 24, 'समाप्त हो गया है');
INSERT INTO `lang_definitions` VALUES (126302, 4509, 24, 'हैश');
INSERT INTO `lang_definitions` VALUES (126303, 4511, 24, 'हैश इस फ़ाइल के लिए मौजूद नहीं था. एक नया हैश उत्पन्न किया गया था.');
INSERT INTO `lang_definitions` VALUES (126304, 4512, 24, 'हैश से मेल नहीं खाता. डेटा अखंडता समझौता किया गया है.');
INSERT INTO `lang_definitions` VALUES (126305, 4515, 24, 'Hawaiian');
INSERT INTO `lang_definitions` VALUES (126306, 4516, 24, 'खतरनाक गतिविधियों');
INSERT INTO `lang_definitions` VALUES (126307, 4517, 24, 'खतरनाक गतिविधियों');
INSERT INTO `lang_definitions` VALUES (126308, 4521, 24, 'HCFA अंक में मार्जिन छोड़ा');
INSERT INTO `lang_definitions` VALUES (126309, 4522, 24, 'HCFA मार्जिन्स');
INSERT INTO `lang_definitions` VALUES (126310, 4523, 24, 'अंक में HCFA शीर्ष मार्जिन');
INSERT INTO `lang_definitions` VALUES (126311, 4524, 24, 'HCPCS प्रक्रिया / सेवा');
INSERT INTO `lang_definitions` VALUES (126312, 4527, 24, 'वह PostCalendar');
INSERT INTO `lang_definitions` VALUES (126313, 4528, 24, 'सिर');
INSERT INTO `lang_definitions` VALUES (126314, 4529, 24, 'सिर परिधि');
INSERT INTO `lang_definitions` VALUES (126315, 4530, 24, 'सिर परिधि');
INSERT INTO `lang_definitions` VALUES (126316, 4531, 24, 'सिरदर्द');
INSERT INTO `lang_definitions` VALUES (126317, 4532, 24, 'सिरदर्द');
INSERT INTO `lang_definitions` VALUES (126318, 4534, 24, 'स्वास्थ्य देखभाल संचालन');
INSERT INTO `lang_definitions` VALUES (126319, 4535, 24, 'स्वास्थ संबंधी संचालन');
INSERT INTO `lang_definitions` VALUES (126320, 4537, 24, 'स्वास्थ्य केन्द्र / क्लिनिक');
INSERT INTO `lang_definitions` VALUES (126321, 4540, 24, 'स्वास्थ्य रखरखाव संगठन');
INSERT INTO `lang_definitions` VALUES (126322, 4541, 24, 'स्वास्थ्य रखरखाव संगठन (HMO) Medicare जोखिम');
INSERT INTO `lang_definitions` VALUES (126323, 4542, 24, 'सुनवाई हानि');
INSERT INTO `lang_definitions` VALUES (126324, 4543, 24, 'दिल का दौरा');
INSERT INTO `lang_definitions` VALUES (126325, 4544, 24, 'दिल की बीमारी');
INSERT INTO `lang_definitions` VALUES (126326, 4545, 24, 'दिल की विफलता');
INSERT INTO `lang_definitions` VALUES (126327, 4546, 24, 'दिल की समस्या');
INSERT INTO `lang_definitions` VALUES (126328, 4547, 24, 'दिल की समस्याओं');
INSERT INTO `lang_definitions` VALUES (126329, 4548, 24, 'दिल की सर्जरी');
INSERT INTO `lang_definitions` VALUES (126330, 4549, 24, 'दिल का प्रत्यारोपण');
INSERT INTO `lang_definitions` VALUES (126331, 4550, 24, 'दिल:');
INSERT INTO `lang_definitions` VALUES (126332, 4551, 24, 'असंतोष');
INSERT INTO `lang_definitions` VALUES (126333, 4552, 24, 'गर्मी या सर्दी');
INSERT INTO `lang_definitions` VALUES (126334, 4553, 24, 'गर्मी या सर्दी');
INSERT INTO `lang_definitions` VALUES (126335, 4554, 24, 'भारी तम्बाकू धूम्रपान');
INSERT INTO `lang_definitions` VALUES (126336, 4555, 24, 'Hebrew');
INSERT INTO `lang_definitions` VALUES (126337, 4557, 24, 'HEENT');
INSERT INTO `lang_definitions` VALUES (126338, 4558, 24, 'ऊंचाई');
INSERT INTO `lang_definitions` VALUES (126339, 4560, 24, 'मदद');
INSERT INTO `lang_definitions` VALUES (126340, 4561, 24, 'मदद');
INSERT INTO `lang_definitions` VALUES (126341, 4563, 24, 'खून की उल्टी');
INSERT INTO `lang_definitions` VALUES (126342, 4564, 24, 'Hematochezia');
INSERT INTO `lang_definitions` VALUES (126343, 4565, 24, 'hematologic');
INSERT INTO `lang_definitions` VALUES (126344, 4566, 24, 'रक्तमेह');
INSERT INTO `lang_definitions` VALUES (126345, 4567, 24, 'हीमोग्लोबिन');
INSERT INTO `lang_definitions` VALUES (126346, 4568, 24, 'हीमोग्लोबिन A1C');
INSERT INTO `lang_definitions` VALUES (126347, 4569, 24, 'बलगम में खून आना');
INSERT INTO `lang_definitions` VALUES (126348, 4570, 24, 'हेपेटाइटिस');
INSERT INTO `lang_definitions` VALUES (126349, 4571, 24, 'हेपेटाइटिस A1');
INSERT INTO `lang_definitions` VALUES (126350, 4572, 24, 'हेपेटाइटिस A2');
INSERT INTO `lang_definitions` VALUES (126351, 4573, 24, 'हेपेटाइटिस B1');
INSERT INTO `lang_definitions` VALUES (126352, 4574, 24, 'हेपेटाइटिस B2');
INSERT INTO `lang_definitions` VALUES (126353, 4575, 24, 'हेपेटाइटिस B3');
INSERT INTO `lang_definitions` VALUES (126354, 4576, 24, 'यहां');
INSERT INTO `lang_definitions` VALUES (126355, 4580, 24, 'हर्निया की मरम्मत');
INSERT INTO `lang_definitions` VALUES (126356, 4581, 24, 'हर्नियेटेड डिस्क');
INSERT INTO `lang_definitions` VALUES (126357, 4582, 24, 'परिसर्प');
INSERT INTO `lang_definitions` VALUES (126358, 4585, 24, 'संदेह');
INSERT INTO `lang_definitions` VALUES (126359, 4586, 24, 'heyyo. तुम क्या करने के लिए यहां आया');
INSERT INTO `lang_definitions` VALUES (126360, 4587, 24, 'हिब 1');
INSERT INTO `lang_definitions` VALUES (126361, 4588, 24, 'हिब 2');
INSERT INTO `lang_definitions` VALUES (126362, 4589, 24, 'हिब 3');
INSERT INTO `lang_definitions` VALUES (126363, 4590, 24, 'हिब 4');
INSERT INTO `lang_definitions` VALUES (126364, 4591, 24, 'छिपा हुआ');
INSERT INTO `lang_definitions` VALUES (126365, 4592, 24, 'छिपे हुए घटनाक्रम प्रशासन');
INSERT INTO `lang_definitions` VALUES (126366, 4593, 24, 'छिपाएँ');
INSERT INTO `lang_definitions` VALUES (126367, 4595, 24, 'विवरण छिपाएँ');
INSERT INTO `lang_definitions` VALUES (126368, 4597, 24, 'दस्तावेज़ प्रबंधन में एन्क्रिप्शन / डिक्रिप्शन विकल्प छिपाएँ');
INSERT INTO `lang_definitions` VALUES (126369, 4599, 24, 'मेनू छिपाएँ');
INSERT INTO `lang_definitions` VALUES (126370, 4601, 24, 'अनुस्मारक छुपाएं');
INSERT INTO `lang_definitions` VALUES (126371, 4603, 24, 'स्तंभ छिपाएँ / दिखाएँ');
INSERT INTO `lang_definitions` VALUES (126372, 4605, 24, 'उच्च');
INSERT INTO `lang_definitions` VALUES (126373, 4607, 24, 'उच्च रक्तचाप');
INSERT INTO `lang_definitions` VALUES (126374, 4609, 24, 'हिंदी');
INSERT INTO `lang_definitions` VALUES (126375, 4610, 24, 'कूल्हे + ऊसन्धि');
INSERT INTO `lang_definitions` VALUES (126376, 4611, 24, 'कूल्हे और कमर');
INSERT INTO `lang_definitions` VALUES (126377, 4612, 24, 'कूल्हे की समस्याओं');
INSERT INTO `lang_definitions` VALUES (126378, 4613, 24, 'कूल्हे बदलने');
INSERT INTO `lang_definitions` VALUES (126379, 4615, 24, 'HIPAA नोटिस मिला');
INSERT INTO `lang_definitions` VALUES (126380, 4617, 24, 'अतिरोमता / striae');
INSERT INTO `lang_definitions` VALUES (126381, 4618, 24, 'हिस्पैनिक');
INSERT INTO `lang_definitions` VALUES (126382, 4619, 24, 'हिस्पैनिक - अन्य (अमेरिका में) का जन्म');
INSERT INTO `lang_definitions` VALUES (126383, 4620, 24, 'हिस्पैनिक - अन्य (अमेरिका के बाहर जन्मे)');
INSERT INTO `lang_definitions` VALUES (126384, 4621, 24, 'हिस्पैनिक या लैटिनो');
INSERT INTO `lang_definitions` VALUES (126385, 4623, 24, 'इतिहास');
INSERT INTO `lang_definitions` VALUES (126386, 4629, 24, 'इतिहास डाटा');
INSERT INTO `lang_definitions` VALUES (126387, 4630, 24, 'इतिहास तिथि');
INSERT INTO `lang_definitions` VALUES (126388, 4632, 24, 'बड़बड़ाहट इतिहास');
INSERT INTO `lang_definitions` VALUES (126389, 4633, 24, 'इतिहास अधिकृत नहीं');
INSERT INTO `lang_definitions` VALUES (126390, 4634, 24, 'दिल बड़बड़ाहट का इतिहास');
INSERT INTO `lang_definitions` VALUES (126391, 4638, 24, 'हिट्स');
INSERT INTO `lang_definitions` VALUES (126392, 4639, 24, 'एचआईवी');
INSERT INTO `lang_definitions` VALUES (126393, 4649, 24, 'HL7 दर्शक');
INSERT INTO `lang_definitions` VALUES (126394, 4651, 24, 'HMOL / L');
INSERT INTO `lang_definitions` VALUES (126395, 4652, 24, 'Hmong');
INSERT INTO `lang_definitions` VALUES (126396, 4653, 24, 'एकाधिक चयन या हटाने के लिए [Ctrl] दबाए रखें');
INSERT INTO `lang_definitions` VALUES (126397, 4655, 24, 'एकाधिक आइटम्स का चयन करने के लिए CTRL दबाए रखें');
INSERT INTO `lang_definitions` VALUES (126398, 4656, 24, 'कई दस्तों का चयन करने के लिए CTRL दबाए रखें');
INSERT INTO `lang_definitions` VALUES (126399, 4658, 24, 'घर');
INSERT INTO `lang_definitions` VALUES (126400, 4659, 24, 'घर का फोन');
INSERT INTO `lang_definitions` VALUES (126401, 4660, 24, 'घर का फोन नंबर');
INSERT INTO `lang_definitions` VALUES (126402, 4662, 24, 'बेघर या समान?');
INSERT INTO `lang_definitions` VALUES (126403, 4664, 24, 'बेघर, आदि');
INSERT INTO `lang_definitions` VALUES (126404, 4665, 24, 'बेघर, आदि');
INSERT INTO `lang_definitions` VALUES (126405, 4674, 24, 'मेजबान नाम');
INSERT INTO `lang_definitions` VALUES (126406, 4675, 24, 'मेजबान नाम खाली नहीं हो सकता');
INSERT INTO `lang_definitions` VALUES (126407, 4677, 24, 'घंटा');
INSERT INTO `lang_definitions` VALUES (126408, 4678, 24, 'घंटे');
INSERT INTO `lang_definitions` VALUES (126409, 4681, 24, 'चोट कैसे आया?');
INSERT INTO `lang_definitions` VALUES (126410, 4682, 24, 'चोट कैसे आया?');
INSERT INTO `lang_definitions` VALUES (126411, 4683, 24, 'हमारे बारे में कैसे सुना');
INSERT INTO `lang_definitions` VALUES (126412, 4685, 24, 'आने वाली घटनाओं के लिए क्वेरी करने के लिए कितने महीने आगे?');
INSERT INTO `lang_definitions` VALUES (126413, 4692, 24, 'HPI:');
INSERT INTO `lang_definitions` VALUES (126414, 4694, 24, 'HT');
INSERT INTO `lang_definitions` VALUES (126415, 4695, 24, 'HTML के');
INSERT INTO `lang_definitions` VALUES (126416, 4696, 24, 'HTML उत्पादन?');
INSERT INTO `lang_definitions` VALUES (126417, 4699, 24, 'OpenEMR समर्थन LLC लैब विनिमय सेवा के लिए HTTPS लिंक.');
INSERT INTO `lang_definitions` VALUES (126418, 4701, 24, 'हंगेरी');
INSERT INTO `lang_definitions` VALUES (126419, 4702, 24, 'Hylafax निर्देशिका');
INSERT INTO `lang_definitions` VALUES (126420, 4703, 24, 'Hylafax Enscript कमान');
INSERT INTO `lang_definitions` VALUES (126421, 4704, 24, 'Hylafax सर्वर');
INSERT INTO `lang_definitions` VALUES (126422, 4705, 24, 'Hylafax सर्वर मेजबाननाम.');
INSERT INTO `lang_definitions` VALUES (126423, 4706, 24, 'अतिसक्रिय');
INSERT INTO `lang_definitions` VALUES (126424, 4708, 24, 'अतिरक्तदाब');
INSERT INTO `lang_definitions` VALUES (126425, 4709, 24, 'उच्च रक्तचाप: रक्तचाप मापन');
INSERT INTO `lang_definitions` VALUES (126426, 4710, 24, 'उच्च रक्तचाप: रक्तचाप मापन (CQM)');
INSERT INTO `lang_definitions` VALUES (126427, 4711, 24, 'अतिगलग्रंथिता');
INSERT INTO `lang_definitions` VALUES (126428, 4713, 24, 'अल्पगलग्रंथिता');
INSERT INTO `lang_definitions` VALUES (126429, 4716, 24, 'जरायूच्छेदन');
INSERT INTO `lang_definitions` VALUES (126430, 4717, 24, 'मैं');
INSERT INTO `lang_definitions` VALUES (126431, 4718, 24, 'मैं इस समय के दौरान व्यस्त हूँ.');
INSERT INTO `lang_definitions` VALUES (126432, 4719, 24, 'मुझे पढ़ने के लिए अनुमति नहीं है');
INSERT INTO `lang_definitions` VALUES (126433, 4724, 24, 'ICD');
INSERT INTO `lang_definitions` VALUES (126434, 4725, 24, 'ICD10 निदान');
INSERT INTO `lang_definitions` VALUES (126435, 4726, 24, 'ICD10 प्रक्रिया / सेवा');
INSERT INTO `lang_definitions` VALUES (126436, 4727, 24, 'ICD9');
INSERT INTO `lang_definitions` VALUES (126437, 4728, 24, 'ICD9 निदान');
INSERT INTO `lang_definitions` VALUES (126438, 4729, 24, 'ICD9 प्रक्रिया / सेवा');
INSERT INTO `lang_definitions` VALUES (126439, 4734, 24, 'ID');
INSERT INTO `lang_definitions` VALUES (126440, 4736, 24, 'ID');
INSERT INTO `lang_definitions` VALUES (126441, 4738, 24, 'ID खाली नहीं हो सकता');
INSERT INTO `lang_definitions` VALUES (126442, 4739, 24, 'ID कार्ड');
INSERT INTO `lang_definitions` VALUES (126443, 4742, 24, 'IDays');
INSERT INTO `lang_definitions` VALUES (126444, 4743, 24, 'के रूप में पहचान');
INSERT INTO `lang_definitions` VALUES (126445, 4745, 24, 'पहचानकर्ता (एक शब्द)');
INSERT INTO `lang_definitions` VALUES (126446, 4746, 24, 'कोड की पहचान');
INSERT INTO `lang_definitions` VALUES (126447, 4747, 24, 'निष्क्रिय सत्र मध्यांतर सेकंड');
INSERT INTO `lang_definitions` VALUES (126448, 4755, 24, 'अगर सभी स्तंभों के लिए सभी डेटा इस फार्म के लिए पूरा हो गया है');
INSERT INTO `lang_definitions` VALUES (126449, 4757, 24, 'बिलिंग औचित्य प्रयोग किया जाता है, तो निदान कोड प्रकार का नाम दर्ज करें.');
INSERT INTO `lang_definitions` VALUES (126450, 4763, 24, 'दर्ज किया गया है, तो केवल उन का चयन करें, जिसने इस सेवा का इस्तेमाल किया है!');
INSERT INTO `lang_definitions` VALUES (126451, 4765, 24, 'यदि नाम, अंतिम नाम या LastName, FirstName का कोई भी हिस्सा');
INSERT INTO `lang_definitions` VALUES (126452, 4770, 24, 'द्वारा भुगतान करते हैं तो');
INSERT INTO `lang_definitions` VALUES (126453, 4771, 24, 'व्यक्ति मृत है, तो मृत्यु की तारीख दर्ज करें.');
INSERT INTO `lang_definitions` VALUES (126454, 4775, 24, 'SMTP प्रयोग किया जाता है, तो सर्वर `मेजबाननाम या IP पता है.');
INSERT INTO `lang_definitions` VALUES (126455, 4776, 24, 'SMTP प्रयोग किया जाता है, तो सर्वर `TCP पोर्ट संख्या (आमतौर पर 25) है.');
INSERT INTO `lang_definitions` VALUES (126456, 4803, 24, 'अगर बेरोजगार दर्ज विद्यार्थी');
INSERT INTO `lang_definitions` VALUES (126457, 4805, 24, 'अगर YMD उम्र प्रदर्शन के लिए चुना जाता है, तो वर्षों में स्विच करें जब इस मान से रोगियों बड़े है!');
INSERT INTO `lang_definitions` VALUES (126458, 4814, 24, 'आप ePrescription के लिए ई RX रोल बदलते हैं, तो ePrescription कार्यप्रवाह प्रभावित हो सकता है. आपको किसी भी कठिनाई का सामना करना पड़ता है, तो आप ePrescription विक्रेता से संपर्क करें.');
INSERT INTO `lang_definitions` VALUES (126459, 4833, 24, 'If you have chosen to upload electronic remittances, then the search window redisplays itself with the matching invoices from the X12 file. You may click on any of these invoice numbers (as described below) if you wish to make any corrections before the remittance information is applied. To apply the changes, click the Process ERA File button at the bottom of the page. This will produce a new window with a detailed report.');
INSERT INTO `lang_definitions` VALUES (126460, 4836, 24, 'If you have entered a Pay Date in the search page, this will override the posting date of payments and adjustments that are otherwise taken from the X12 file. This may be useful for reporting purposes, if you want your receipts reporting to use your posting date rather than the insurance company\'s processing date. Note that this will also affect dates of prior payments and adjustments that are put into secondary claims.');
INSERT INTO `lang_definitions` VALUES (126461, 4850, 24, 'यदि आप डेटा प्रकार बदलना चाहते हैं, या पंक्तियाँ या स्तंभ जोड़ना चाहते हैं');
INSERT INTO `lang_definitions` VALUES (126462, 4851, 24, 'यदि आप डेटाबेस नवीनीकरण करना चाहते हैं, तो निम्न निर्देशिका में डेटाबेस ज़िप फ़ाइल रखें');
INSERT INTO `lang_definitions` VALUES (126463, 4854, 24, 'ध्यान न दें');
INSERT INTO `lang_definitions` VALUES (126464, 4856, 24, 'बीमारी');
INSERT INTO `lang_definitions` VALUES (126465, 4857, 24, 'IM');
INSERT INTO `lang_definitions` VALUES (126466, 4863, 24, 'इमेजिंग सेवा');
INSERT INTO `lang_definitions` VALUES (126467, 4865, 24, 'टीकाकरण');
INSERT INTO `lang_definitions` VALUES (126468, 4867, 24, 'टीकाकरण कोड');
INSERT INTO `lang_definitions` VALUES (126469, 4869, 24, 'टीकाकरण की तिथि');
INSERT INTO `lang_definitions` VALUES (126470, 4870, 24, 'टीकाकरण समाप्ति तिथि');
INSERT INTO `lang_definitions` VALUES (126471, 4872, 24, 'टीकाकरण बहुत संख्या');
INSERT INTO `lang_definitions` VALUES (126472, 4873, 24, 'टीकाकरण निर्माता');
INSERT INTO `lang_definitions` VALUES (126473, 4878, 24, 'टीकाकरण रजिस्ट्री');
INSERT INTO `lang_definitions` VALUES (126474, 4882, 24, 'टीकाकरण सेवा');
INSERT INTO `lang_definitions` VALUES (126475, 4883, 24, 'टीकाकरण शीर्षक');
INSERT INTO `lang_definitions` VALUES (126476, 4885, 24, 'टीकाकरण');
INSERT INTO `lang_definitions` VALUES (126477, 4887, 24, 'बचाव करना');
INSERT INTO `lang_definitions` VALUES (126478, 4888, 24, 'immunologic');
INSERT INTO `lang_definitions` VALUES (126479, 4893, 24, 'समाविष्ट');
INSERT INTO `lang_definitions` VALUES (126480, 4894, 24, 'आयात');
INSERT INTO `lang_definitions` VALUES (126481, 4898, 24, 'ब्राउज़र के लिए प्रमाणपत्र आयात करें.');
INSERT INTO `lang_definitions` VALUES (126482, 4899, 24, 'आयात विन्यास');
INSERT INTO `lang_definitions` VALUES (126483, 4904, 24, 'आयात रोगी');
INSERT INTO `lang_definitions` VALUES (126484, 4905, 24, 'आयात रोगी जनसांख्यिकी');
INSERT INTO `lang_definitions` VALUES (126485, 4910, 24, 'महत्वपूर्ण संहिताएं');
INSERT INTO `lang_definitions` VALUES (126486, 4912, 24, 'IMPORTANT: This upload tool is only for uploading documents on patients that are not yet entered into the system. To upload files for patients whom already have been entered into the system, please use the upload tool linked within the Patient Summary screen.');
INSERT INTO `lang_definitions` VALUES (126487, 4914, 24, 'लेखांकन से आयातित');
INSERT INTO `lang_definitions` VALUES (126488, 4920, 24, 'उन्नत');
INSERT INTO `lang_definitions` VALUES (126489, 4922, 24, 'में');
INSERT INTO `lang_definitions` VALUES (126490, 4923, 24, 'में');
INSERT INTO `lang_definitions` VALUES (126491, 4931, 24, 'हर आंख में');
INSERT INTO `lang_definitions` VALUES (126492, 4934, 24, 'बाईं आंख में');
INSERT INTO `lang_definitions` VALUES (126493, 4935, 24, 'नथुने में');
INSERT INTO `lang_definitions` VALUES (126494, 4936, 24, 'कार्यालय में');
INSERT INTO `lang_definitions` VALUES (126495, 4947, 24, 'दाहिनी आंख में');
INSERT INTO `lang_definitions` VALUES (126496, 4958, 24, 'घर में');
INSERT INTO `lang_definitions` VALUES (126497, 4960, 24, 'निष्क्रिय');
INSERT INTO `lang_definitions` VALUES (126498, 4965, 24, 'निष्क्रिय दिन');
INSERT INTO `lang_definitions` VALUES (126499, 4967, 24, 'इनबॉक्स');
INSERT INTO `lang_definitions` VALUES (126500, 4970, 24, 'Checksum शामिल करें');
INSERT INTO `lang_definitions` VALUES (126501, 4971, 24, 'पूरे किए गए शामिल करें');
INSERT INTO `lang_definitions` VALUES (126502, 4974, 24, 'निष्क्रिय उपयोगकर्ताओं को शामिल करें');
INSERT INTO `lang_definitions` VALUES (126503, 4975, 24, 'Uncategorized शामिल करें');
INSERT INTO `lang_definitions` VALUES (126504, 4976, 24, 'असंरचित डेटा शामिल');
INSERT INTO `lang_definitions` VALUES (126505, 4977, 24, 'नब्ज शामिल करें');
INSERT INTO `lang_definitions` VALUES (126506, 4978, 24, 'नब्ज डेटा शामिल हैं?');
INSERT INTO `lang_definitions` VALUES (126507, 4981, 24, 'समावेश');
INSERT INTO `lang_definitions` VALUES (126508, 4982, 24, 'आमदनी');
INSERT INTO `lang_definitions` VALUES (126509, 4984, 24, 'अधूरा');
INSERT INTO `lang_definitions` VALUES (126510, 4985, 24, 'अपूर्ण गर्भपात उपचार');
INSERT INTO `lang_definitions` VALUES (126511, 4986, 24, 'असंयमिता');
INSERT INTO `lang_definitions` VALUES (126512, 4987, 24, 'नैदानिक ​​प्रयोगशाला परीक्षण के परिणाम संरचित डेटा के रूप में प्रमाणित EHR प्रौद्योगिकी में शामिल करें.');
INSERT INTO `lang_definitions` VALUES (126513, 4988, 24, 'गलत पासवर्ड!');
INSERT INTO `lang_definitions` VALUES (126514, 4990, 24, 'वृद्धि हुई:');
INSERT INTO `lang_definitions` VALUES (126515, 4991, 24, 'क्षतिपूर्ति बीमा');
INSERT INTO `lang_definitions` VALUES (126516, 4994, 24, 'अनिश्चित');
INSERT INTO `lang_definitions` VALUES (126517, 4995, 24, 'भारतीय');
INSERT INTO `lang_definitions` VALUES (126518, 4998, 24, 'विषमता संकेत करता है');
INSERT INTO `lang_definitions` VALUES (126519, 5000, 24, 'संकेत करता है अगर, यह समस्या इस समय सक्रिय है');
INSERT INTO `lang_definitions` VALUES (126520, 5002, 24, 'विशेष उपयोग के लिए संकेतक');
INSERT INTO `lang_definitions` VALUES (126521, 5003, 24, 'जरूरतमंद मरीजों को');
INSERT INTO `lang_definitions` VALUES (126522, 5004, 24, 'गरीब मरीजों की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (126523, 5005, 24, 'indigents');
INSERT INTO `lang_definitions` VALUES (126524, 5010, 24, 'प्रेरित गर्भपात');
INSERT INTO `lang_definitions` VALUES (126525, 5012, 24, 'अयोग्य');
INSERT INTO `lang_definitions` VALUES (126526, 5013, 24, 'संक्रमण / फोड़ा');
INSERT INTO `lang_definitions` VALUES (126527, 5014, 24, 'संक्रमण');
INSERT INTO `lang_definitions` VALUES (126528, 5015, 24, 'Infert Couns');
INSERT INTO `lang_definitions` VALUES (126529, 5016, 24, 'बांझपन');
INSERT INTO `lang_definitions` VALUES (126530, 5017, 24, 'इन्फ्लुएंजा 1');
INSERT INTO `lang_definitions` VALUES (126531, 5018, 24, 'इन्फ्लुएंजा 2');
INSERT INTO `lang_definitions` VALUES (126532, 5019, 24, 'इन्फ्लूएंजा टीकाकरण के मरीजों के लिए> = 50 साल की उम्र');
INSERT INTO `lang_definitions` VALUES (126533, 5020, 24, 'मरीजों के लिए इन्फ्लूएंजा टीकाकरण> = 50 साल की उम्र (CQM)');
INSERT INTO `lang_definitions` VALUES (126534, 5021, 24, 'इन्फ्लुएंजा वैक्सीन');
INSERT INTO `lang_definitions` VALUES (126535, 5022, 24, 'जानकारी');
INSERT INTO `lang_definitions` VALUES (126536, 5023, 24, 'जानकारी परीक्षण 1');
INSERT INTO `lang_definitions` VALUES (126537, 5024, 24, 'जानकारी परीक्षण 2');
INSERT INTO `lang_definitions` VALUES (126538, 5025, 24, 'जानकारी टेस्ट 3');
INSERT INTO `lang_definitions` VALUES (126539, 5026, 24, 'जानकारी टेस्ट 4');
INSERT INTO `lang_definitions` VALUES (126540, 5027, 24, 'जानकारी परीक्षण 5');
INSERT INTO `lang_definitions` VALUES (126541, 5028, 24, 'जानकारी परीक्षण 6');
INSERT INTO `lang_definitions` VALUES (126542, 5034, 24, 'inhalations');
INSERT INTO `lang_definitions` VALUES (126543, 5036, 24, 'inhilations');
INSERT INTO `lang_definitions` VALUES (126544, 5039, 24, 'प्रारंभिक उपयोगकर्ता');
INSERT INTO `lang_definitions` VALUES (126545, 5041, 24, 'Inj / पुनर्वसन');
INSERT INTO `lang_definitions` VALUES (126546, 5042, 24, 'injectables');
INSERT INTO `lang_definitions` VALUES (126547, 5043, 24, 'Injection');
INSERT INTO `lang_definitions` VALUES (126548, 5044, 24, 'चोटिल शरीर के अंग');
INSERT INTO `lang_definitions` VALUES (126549, 5045, 24, 'चोटिल बाहर');
INSERT INTO `lang_definitions` VALUES (126550, 5046, 24, 'चोट');
INSERT INTO `lang_definitions` VALUES (126551, 5047, 24, 'चोट तंत्र');
INSERT INTO `lang_definitions` VALUES (126552, 5048, 24, 'चोट अवलोकन रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (126553, 5049, 24, 'चोट निगरानी');
INSERT INTO `lang_definitions` VALUES (126554, 5050, 24, 'चोट के प्रकार');
INSERT INTO `lang_definitions` VALUES (126555, 5051, 24, 'चोट / बीमारी से संबंधित');
INSERT INTO `lang_definitions` VALUES (126556, 5055, 24, 'इनपुट एक MSH खंड से शुरू नहीं होता');
INSERT INTO `lang_definitions` VALUES (126557, 5056, 24, 'इनपुट क्षेत्रों');
INSERT INTO `lang_definitions` VALUES (126558, 5057, 24, 'INR');
INSERT INTO `lang_definitions` VALUES (126559, 5058, 24, 'Ins 1');
INSERT INTO `lang_definitions` VALUES (126560, 5059, 24, 'Ins 2 या Ins 3');
INSERT INTO `lang_definitions` VALUES (126561, 5060, 24, 'Ins पता');
INSERT INTO `lang_definitions` VALUES (126562, 5061, 24, 'Ins समायोजित');
INSERT INTO `lang_definitions` VALUES (126563, 5062, 24, 'Ins bundling');
INSERT INTO `lang_definitions` VALUES (126564, 5063, 24, 'Ins कोड');
INSERT INTO `lang_definitions` VALUES (126565, 5064, 24, 'Ins समूह');
INSERT INTO `lang_definitions` VALUES (126566, 5065, 24, 'Ins का नाम');
INSERT INTO `lang_definitions` VALUES (126567, 5066, 24, 'Ins overpaid');
INSERT INTO `lang_definitions` VALUES (126568, 5067, 24, 'Ins नीति');
INSERT INTO `lang_definitions` VALUES (126569, 5068, 24, 'Ins धन वापसी');
INSERT INTO `lang_definitions` VALUES (126570, 5069, 24, 'Ins सारांश');
INSERT INTO `lang_definitions` VALUES (126571, 5071, 24, 'Ins1');
INSERT INTO `lang_definitions` VALUES (126572, 5072, 24, 'Ins2');
INSERT INTO `lang_definitions` VALUES (126573, 5073, 24, 'Ins3');
INSERT INTO `lang_definitions` VALUES (126574, 5075, 24, 'डालें विफल:');
INSERT INTO `lang_definitions` VALUES (126575, 5079, 24, 'तालिकाओं में पुरानी घटनाओं को डालें');
INSERT INTO `lang_definitions` VALUES (126576, 5085, 24, 'अनिद्रा');
INSERT INTO `lang_definitions` VALUES (126577, 5086, 24, 'प्रवेश का निरीक्षण');
INSERT INTO `lang_definitions` VALUES (126578, 5087, 24, 'निरीक्षण');
INSERT INTO `lang_definitions` VALUES (126579, 5088, 24, 'अस्थिरता / अनुसन्धिच्युति');
INSERT INTO `lang_definitions` VALUES (126580, 5089, 24, 'स्थापित करें');
INSERT INTO `lang_definitions` VALUES (126581, 5090, 24, 'स्थापित करें');
INSERT INTO `lang_definitions` VALUES (126582, 5093, 24, 'DB स्थापित करें');
INSERT INTO `lang_definitions` VALUES (126583, 5100, 24, 'स्थापित प्रकाशनी');
INSERT INTO `lang_definitions` VALUES (126584, 5102, 24, 'निर्देश दिए');
INSERT INTO `lang_definitions` VALUES (126585, 5103, 24, 'निर्देश');
INSERT INTO `lang_definitions` VALUES (126586, 5105, 24, 'निर्देश:');
INSERT INTO `lang_definitions` VALUES (126587, 5107, 24, 'उत्पाद ID के लिए अपर्याप्त सूची');
INSERT INTO `lang_definitions` VALUES (126588, 5108, 24, 'इंसुलिन निर्भर मधुमेह');
INSERT INTO `lang_definitions` VALUES (126589, 5109, 24, 'बीमा');
INSERT INTO `lang_definitions` VALUES (126590, 5110, 24, 'बीमा');
INSERT INTO `lang_definitions` VALUES (126591, 5114, 24, 'बीमा शेष राशि');
INSERT INTO `lang_definitions` VALUES (126592, 5115, 24, 'बीमा शेष राशि लंबित');
INSERT INTO `lang_definitions` VALUES (126593, 5116, 24, 'बीमा COMP');
INSERT INTO `lang_definitions` VALUES (126594, 5117, 24, 'बीमा कंपनियां');
INSERT INTO `lang_definitions` VALUES (126595, 5118, 24, 'इंश्योरेंस कंपनी');
INSERT INTO `lang_definitions` VALUES (126596, 5119, 24, 'इंश्योरेंस कंपनी खोज / जोड़ें');
INSERT INTO `lang_definitions` VALUES (126597, 5121, 24, 'बीमा डाटा');
INSERT INTO `lang_definitions` VALUES (126598, 5124, 24, 'फाइल पर बीमा जानकारी');
INSERT INTO `lang_definitions` VALUES (126599, 5126, 24, 'बीमा अंक');
INSERT INTO `lang_definitions` VALUES (126600, 5127, 24, 'बीमा भुगतान');
INSERT INTO `lang_definitions` VALUES (126601, 5129, 24, 'बीमा प्रदाता');
INSERT INTO `lang_definitions` VALUES (126602, 5133, 24, 'बीमित');
INSERT INTO `lang_definitions` VALUES (126603, 5134, 24, 'इनटेक निष्कर्ष');
INSERT INTO `lang_definitions` VALUES (126604, 5135, 24, 'इनटेक तिथि');
INSERT INTO `lang_definitions` VALUES (126605, 5138, 24, 'बौद्धिक गिरावट');
INSERT INTO `lang_definitions` VALUES (126606, 5149, 24, 'आंतरिक त्रुटि - पृष्ठों को चयन किया गया नहीं!');
INSERT INTO `lang_definitions` VALUES (126607, 5150, 24, 'आंतरिक त्रुटि - रोगी ID प्रदान नहीं किया गया!');
INSERT INTO `lang_definitions` VALUES (126608, 5151, 24, 'आंतरिक त्रुटि अपलोड की गई फ़ाइल तक पहुँचने में!');
INSERT INTO `lang_definitions` VALUES (126609, 5153, 24, 'आंतरिक त्रुटि!');
INSERT INTO `lang_definitions` VALUES (126610, 5154, 24, 'आंतरिक त्रुटि, दवा ID निर्दिष्ट नहीं!');
INSERT INTO `lang_definitions` VALUES (126611, 5155, 24, 'आंतरिक त्रुटि: MSH-10 नहीं खोज सके');
INSERT INTO `lang_definitions` VALUES (126612, 5156, 24, 'आंतरिक त्रुटि: दावा');
INSERT INTO `lang_definitions` VALUES (126613, 5157, 24, 'आंतरिक त्रुटि: मुठभेड़ \'');
INSERT INTO `lang_definitions` VALUES (126614, 5158, 24, 'आंतरिक त्रुटि: pid ​​या मुठभेड़ लापता है.');
INSERT INTO `lang_definitions` VALUES (126615, 5159, 24, 'आंतरिक त्रुटि: हम एक मुठभेड़ में हो ऐसा नहीं लगता है!');
INSERT INTO `lang_definitions` VALUES (126616, 5160, 24, 'आंतरिक पहचानकर्ता (pid​​)');
INSERT INTO `lang_definitions` VALUES (126617, 5163, 24, 'आंतरिक सिफ़ारिशों के');
INSERT INTO `lang_definitions` VALUES (126618, 5164, 24, 'आंतरिक समय एकत्रित');
INSERT INTO `lang_definitions` VALUES (126619, 5165, 24, 'अंतर्राष्ट्रीय कर्तव्य');
INSERT INTO `lang_definitions` VALUES (126620, 5167, 24, 'दुभाषिया');
INSERT INTO `lang_definitions` VALUES (126621, 5168, 24, 'दुभाषिए की जरूरत?');
INSERT INTO `lang_definitions` VALUES (126622, 5169, 24, 'अंतरालीय फेफड़े की बीमारी');
INSERT INTO `lang_definitions` VALUES (126623, 5170, 24, 'अंतराल');
INSERT INTO `lang_definitions` VALUES (126624, 5171, 24, 'अंतराल (मिनट)');
INSERT INTO `lang_definitions` VALUES (126625, 5172, 24, 'संदेश जाँच के बीच अंतराल (केवल मैनुअल जाँच के लिए शून्य पर सेट करें)');
INSERT INTO `lang_definitions` VALUES (126626, 5173, 24, 'हस्तक्षेप');
INSERT INTO `lang_definitions` VALUES (126627, 5174, 24, 'परंतु हस्तक्षेप');
INSERT INTO `lang_definitions` VALUES (126628, 5175, 24, 'असहिष्णुता');
INSERT INTO `lang_definitions` VALUES (126629, 5178, 24, 'अंतर्पेशीय');
INSERT INTO `lang_definitions` VALUES (126630, 5181, 24, 'नसों में');
INSERT INTO `lang_definitions` VALUES (126631, 5182, 24, 'परिचय');
INSERT INTO `lang_definitions` VALUES (126632, 5185, 24, 'अमान्य वर्ण');
INSERT INTO `lang_definitions` VALUES (126633, 5195, 24, 'अमान्य लंबाई');
INSERT INTO `lang_definitions` VALUES (126634, 5196, 24, 'अमान्य गैर संख्यात्मक चरित्र में');
INSERT INTO `lang_definitions` VALUES (126635, 5197, 24, 'कोड के लिए स्रोत में अमान्य या अनुपस्थित दाता');
INSERT INTO `lang_definitions` VALUES (126636, 5199, 24, 'प्राप्तकर्ता का पता अमान्य. पुन: प्रयास करें.');
INSERT INTO `lang_definitions` VALUES (126637, 5200, 24, 'अमान्य सेवा संहिताएं');
INSERT INTO `lang_definitions` VALUES (126638, 5201, 24, 'अवैध स्रोत पद \"');
INSERT INTO `lang_definitions` VALUES (126639, 5203, 24, 'अमान्य उपयोगकर्ता नाम या पासवर्ड');
INSERT INTO `lang_definitions` VALUES (126640, 5204, 24, 'InvAmt');
INSERT INTO `lang_definitions` VALUES (126641, 5205, 24, 'इनवेंटरी');
INSERT INTO `lang_definitions` VALUES (126642, 5206, 24, 'इन्वेंटरी गतिविधि');
INSERT INTO `lang_definitions` VALUES (126643, 5207, 24, 'दवाओं और गैर दवा उत्पादों, दोनों को इन्वेंटरी और बेचते हैं!');
INSERT INTO `lang_definitions` VALUES (126644, 5208, 24, 'केवल दवाओं इन्वेंटरी और बेचते हैं!');
INSERT INTO `lang_definitions` VALUES (126645, 5209, 24, 'इन्वेंटरी इस आदेश के लिए उपलब्ध नहीं है.');
INSERT INTO `lang_definitions` VALUES (126646, 5210, 24, 'इन्वेंट्री सूची');
INSERT INTO `lang_definitions` VALUES (126647, 5211, 24, 'इन्वेंटरी लेनदेन');
INSERT INTO `lang_definitions` VALUES (126648, 5212, 24, 'बीजक');
INSERT INTO `lang_definitions` VALUES (126649, 5213, 24, 'बीजक');
INSERT INTO `lang_definitions` VALUES (126650, 5215, 24, 'चालान शेष');
INSERT INTO `lang_definitions` VALUES (126651, 5216, 24, 'चालान शेष तैनात नहीं किया जा सकता.मुठभेड़ बनाई नहीं गई है.');
INSERT INTO `lang_definitions` VALUES (126652, 5217, 24, 'चालान तिथि');
INSERT INTO `lang_definitions` VALUES (126653, 5219, 24, 'चालान तिथि नहीं है!');
INSERT INTO `lang_definitions` VALUES (126654, 5220, 24, 'चालान संख्या');
INSERT INTO `lang_definitions` VALUES (126655, 5221, 24, 'चालान संदर्भ संख्या');
INSERT INTO `lang_definitions` VALUES (126656, 5222, 24, 'चालान संदर्भ संख्या पूल, अगर इस्तेमाल किया है!');
INSERT INTO `lang_definitions` VALUES (126657, 5223, 24, 'चालान संदर्भ संख्या ताल');
INSERT INTO `lang_definitions` VALUES (126658, 5224, 24, 'चालान Refno तरणताल');
INSERT INTO `lang_definitions` VALUES (126659, 5226, 24, 'चालान:');
INSERT INTO `lang_definitions` VALUES (126660, 5237, 24, 'IPPF');
INSERT INTO `lang_definitions` VALUES (126661, 5238, 24, 'IPPF गर्भपात');
INSERT INTO `lang_definitions` VALUES (126662, 5239, 24, 'IPPF गर्भनिरोध');
INSERT INTO `lang_definitions` VALUES (126663, 5240, 24, 'IPPF SRH डेटा के लिए');
INSERT INTO `lang_definitions` VALUES (126664, 5241, 24, 'IPPF सांख्यिकी रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (126665, 5242, 24, 'IPPF आँकड़े');
INSERT INTO `lang_definitions` VALUES (126666, 5243, 24, 'IPV 1');
INSERT INTO `lang_definitions` VALUES (126667, 5244, 24, 'IPV 2');
INSERT INTO `lang_definitions` VALUES (126668, 5245, 24, 'IPV 3');
INSERT INTO `lang_definitions` VALUES (126669, 5246, 24, 'IPV 4');
INSERT INTO `lang_definitions` VALUES (126670, 5249, 24, 'अनियमित दिल की धड़कन');
INSERT INTO `lang_definitions` VALUES (126671, 5250, 24, 'चिड़चिड़ापन');
INSERT INTO `lang_definitions` VALUES (126672, 5251, 24, 'जलन');
INSERT INTO `lang_definitions` VALUES (126673, 5252, 24, 'निम्नलिखित डेटाबेस की एक अलग भाषा संस्करण है');
INSERT INTO `lang_definitions` VALUES (126674, 5253, 24, 'निम्नलिखित डेटाबेस का एक अलग संस्करण है');
INSERT INTO `lang_definitions` VALUES (126675, 5254, 24, 'निम्नलिखित डेटाबेस के नवीनतम संस्करण है');
INSERT INTO `lang_definitions` VALUES (126676, 5256, 24, 'क्षेत्र जरूरी है.');
INSERT INTO `lang_definitions` VALUES (126677, 5257, 24, 'एक रूट नोड है और नष्ट नहीं किया जा सकता है.');
INSERT INTO `lang_definitions` VALUES (126678, 5258, 24, 'निम्नलिखित डेटाबेस का एक विस्तार है');
INSERT INTO `lang_definitions` VALUES (126679, 5263, 24, 'गलत या अज्ञात है');
INSERT INTO `lang_definitions` VALUES (126680, 5268, 24, '(दशमलव अंश ठीक हैं) वैध नहीं है.');
INSERT INTO `lang_definitions` VALUES (126681, 5269, 24, 'क्या PHP सुरक्षित मोड का उपयोग कर रहा है?');
INSERT INTO `lang_definitions` VALUES (126682, 5273, 24, 'क्या प्रपत्र लेआउट से पाठ अनुवादित किया जा रहा है?');
INSERT INTO `lang_definitions` VALUES (126683, 5274, 24, 'क्या सूची से पाठ अनुवादित किया जा रहा है?');
INSERT INTO `lang_definitions` VALUES (126684, 5275, 24, 'क्या फ़ाइल एन्क्रिप्टेड है?');
INSERT INTO `lang_definitions` VALUES (126685, 5276, 24, 'क्या यह एक नैदानिक ​​शब्द कोड प्रकार है?');
INSERT INTO `lang_definitions` VALUES (126686, 5277, 24, 'क्या यह एक निदान प्रकार है?');
INSERT INTO `lang_definitions` VALUES (126687, 5278, 24, 'क्या यह एक चिकित्सा समस्या कोड प्रकार है?');
INSERT INTO `lang_definitions` VALUES (126688, 5280, 24, 'क्या यह एक प्रक्रिया / सेवा प्रकार है?');
INSERT INTO `lang_definitions` VALUES (126689, 5281, 24, 'क्या यह सक्रिय है?');
INSERT INTO `lang_definitions` VALUES (126690, 5282, 24, 'क्या यह कोड प्रकार सक्रिय है?');
INSERT INTO `lang_definitions` VALUES (126691, 5283, 24, 'क्या यह कोड प्रकार दावों में किया जाता है?');
INSERT INTO `lang_definitions` VALUES (126692, 5286, 24, 'क्या इस प्रकार के शुल्क चादर में छिपा हुआ है?');
INSERT INTO `lang_definitions` VALUES (126693, 5287, 24, 'क्या यह बाहरी SQL तालिकाओं का उपयोग कर रहा है? अगर ऐसा है, तो स्वरूप चुनें.');
INSERT INTO `lang_definitions` VALUES (126694, 5288, 24, 'बहुत लंबा है');
INSERT INTO `lang_definitions` VALUES (126695, 5290, 24, 'समस्या');
INSERT INTO `lang_definitions` VALUES (126696, 5291, 24, 'समस्या');
INSERT INTO `lang_definitions` VALUES (126697, 5292, 24, 'अंक तिथि');
INSERT INTO `lang_definitions` VALUES (126698, 5293, 24, 'समस्या ID');
INSERT INTO `lang_definitions` VALUES (126699, 5295, 24, 'समस्या शीर्षक');
INSERT INTO `lang_definitions` VALUES (126700, 5296, 24, 'समस्या प्रकार');
INSERT INTO `lang_definitions` VALUES (126701, 5297, 24, 'समस्या प्रकार');
INSERT INTO `lang_definitions` VALUES (126702, 5298, 24, 'समस्या');
INSERT INTO `lang_definitions` VALUES (126703, 5299, 24, 'समस्या (चोट लगने / चिकित्सा / एलर्जी)');
INSERT INTO `lang_definitions` VALUES (126704, 5300, 24, 'समस्या (चोट लगने / चिकित्सा / एलर्जी):');
INSERT INTO `lang_definitions` VALUES (126705, 5302, 24, 'समस्या और मुठभेड़ों');
INSERT INTO `lang_definitions` VALUES (126706, 5303, 24, 'के लिए समस्या और मुठभेड़ों');
INSERT INTO `lang_definitions` VALUES (126707, 5308, 24, 'समस्या अधिकृत नहीं');
INSERT INTO `lang_definitions` VALUES (126708, 5309, 24, 'समस्या अनुभाग');
INSERT INTO `lang_definitions` VALUES (126709, 5364, 24, 'Italian');
INSERT INTO `lang_definitions` VALUES (126710, 5365, 24, 'वस्तु');
INSERT INTO `lang_definitions` VALUES (126711, 5366, 24, 'वस्तु');
INSERT INTO `lang_definitions` VALUES (126712, 5368, 24, 'वस्तु');
INSERT INTO `lang_definitions` VALUES (126713, 5369, 24, 'वस्तु विफल लोड');
INSERT INTO `lang_definitions` VALUES (126714, 5370, 24, 'IU / L');
INSERT INTO `lang_definitions` VALUES (126715, 5371, 24, 'IUD');
INSERT INTO `lang_definitions` VALUES (126716, 5372, 24, 'चतुर्थ');
INSERT INTO `lang_definitions` VALUES (126717, 5375, 24, 'जनवरी');
INSERT INTO `lang_definitions` VALUES (126718, 5376, 24, 'जनवरी');
INSERT INTO `lang_definitions` VALUES (126719, 5377, 24, 'जापानी');
INSERT INTO `lang_definitions` VALUES (126720, 5378, 24, 'पीलिया');
INSERT INTO `lang_definitions` VALUES (126721, 5380, 24, 'कार्य विवरण');
INSERT INTO `lang_definitions` VALUES (126722, 5381, 24, 'नौकरी आईडी');
INSERT INTO `lang_definitions` VALUES (126723, 5382, 24, 'जोड़ों का dislocations');
INSERT INTO `lang_definitions` VALUES (126724, 5383, 24, 'जोड़ों का दर्द');
INSERT INTO `lang_definitions` VALUES (126725, 5384, 24, 'जोड़ों की मोच');
INSERT INTO `lang_definitions` VALUES (126726, 5385, 24, 'जुलाई');
INSERT INTO `lang_definitions` VALUES (126727, 5386, 24, 'जुलाई');
INSERT INTO `lang_definitions` VALUES (126728, 5388, 24, 'जून');
INSERT INTO `lang_definitions` VALUES (126729, 5389, 24, 'जून');
INSERT INTO `lang_definitions` VALUES (126730, 5390, 24, 'Just below the check information is a blue area where you put in your search parameters. You can search by patient name, chart number, encounter number or date of service, or any combination of these. You may also select whether you want to see all invoices, open invoices, or only invoices that are due (by the patient). Click the Search button to perform the search.');
INSERT INTO `lang_definitions` VALUES (126731, 5391, 24, 'बस मेरा');
INSERT INTO `lang_definitions` VALUES (126732, 5392, 24, 'औचित्य प्रविष्टियां');
INSERT INTO `lang_definitions` VALUES (126733, 5393, 24, 'औचित्य');
INSERT INTO `lang_definitions` VALUES (126734, 5396, 24, 'औचित्य / सहेजें');
INSERT INTO `lang_definitions` VALUES (126735, 5397, 24, 'J {{शीर्ष औचित्य करें}}');
INSERT INTO `lang_definitions` VALUES (126736, 5398, 24, 'K, बाकी यहाँ है');
INSERT INTO `lang_definitions` VALUES (126737, 5407, 24, 'चाबी');
INSERT INTO `lang_definitions` VALUES (126738, 5411, 24, 'खोजशब्द');
INSERT INTO `lang_definitions` VALUES (126739, 5412, 24, 'किलोग्राम');
INSERT INTO `lang_definitions` VALUES (126740, 5413, 24, 'किग्रा / m ^ 2');
INSERT INTO `lang_definitions` VALUES (126741, 5415, 24, 'गुर्दे के कैंसर');
INSERT INTO `lang_definitions` VALUES (126742, 5416, 24, 'गुर्दे की विफलता');
INSERT INTO `lang_definitions` VALUES (126743, 5417, 24, 'गुर्दे में संक्रमण');
INSERT INTO `lang_definitions` VALUES (126744, 5418, 24, 'गुर्दे की पथरी');
INSERT INTO `lang_definitions` VALUES (126745, 5419, 24, 'गुर्दा प्रत्यारोपण');
INSERT INTO `lang_definitions` VALUES (126746, 5425, 24, 'घुटना');
INSERT INTO `lang_definitions` VALUES (126747, 5426, 24, 'घुटने की समस्याओं');
INSERT INTO `lang_definitions` VALUES (126748, 5427, 24, 'घुटने रिप्लेसमेंट');
INSERT INTO `lang_definitions` VALUES (126749, 5430, 24, 'कोरियाई');
INSERT INTO `lang_definitions` VALUES (126750, 5434, 24, 'लैब');
INSERT INTO `lang_definitions` VALUES (126751, 5436, 24, 'लैब एक्सचेंज साइट पता');
INSERT INTO `lang_definitions` VALUES (126752, 5437, 24, 'लैब एक्सचेंज साइट ID');
INSERT INTO `lang_definitions` VALUES (126753, 5438, 24, 'लैब विनिमय टोकन ID');
INSERT INTO `lang_definitions` VALUES (126754, 5442, 24, 'लैब प्रश्न स्थिति');
INSERT INTO `lang_definitions` VALUES (126755, 5444, 24, 'लैब की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (126756, 5445, 24, 'लैब नतीजे');
INSERT INTO `lang_definitions` VALUES (126757, 5446, 24, 'लैब परिणाम');
INSERT INTO `lang_definitions` VALUES (126758, 5449, 24, 'लैब परिणाम की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (126759, 5450, 24, 'लैब सेवा');
INSERT INTO `lang_definitions` VALUES (126760, 5451, 24, 'लैब परीक्षण के परिणाम');
INSERT INTO `lang_definitions` VALUES (126761, 5453, 24, 'लेबल');
INSERT INTO `lang_definitions` VALUES (126762, 5454, 24, 'लेबल खाली नहीं हो सकता');
INSERT INTO `lang_definitions` VALUES (126763, 5455, 24, 'लेबल Cols');
INSERT INTO `lang_definitions` VALUES (126764, 5456, 24, 'इस प्रकार के लिए लेबल');
INSERT INTO `lang_definitions` VALUES (126765, 5458, 24, 'LabelCols 1 और 999 के बीच में होनी चाहिए');
INSERT INTO `lang_definitions` VALUES (126766, 5459, 24, 'लेबल');
INSERT INTO `lang_definitions` VALUES (126767, 5463, 24, 'लैब्स');
INSERT INTO `lang_definitions` VALUES (126768, 5464, 24, 'फटन / त्वचा हालत');
INSERT INTO `lang_definitions` VALUES (126769, 5465, 24, 'फटन / घर्षण');
INSERT INTO `lang_definitions` VALUES (126770, 5471, 24, 'भाषा');
INSERT INTO `lang_definitions` VALUES (126771, 5472, 24, 'भाषा कोड');
INSERT INTO `lang_definitions` VALUES (126772, 5473, 24, 'भाषा परिभाषा जोड़े');
INSERT INTO `lang_definitions` VALUES (126773, 5474, 24, 'भाषा इंटरफ़ेस उपकरण');
INSERT INTO `lang_definitions` VALUES (126774, 5476, 24, 'भाषा सूची (addonly वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (126775, 5478, 24, 'भाषा का नाम');
INSERT INTO `lang_definitions` VALUES (126776, 5479, 24, 'भाषा:');
INSERT INTO `lang_definitions` VALUES (126777, 5481, 24, 'Laotian');
INSERT INTO `lang_definitions` VALUES (126778, 5485, 24, 'अंतिम');
INSERT INTO `lang_definitions` VALUES (126779, 5486, 24, 'पिछली गतिविधि तिथि');
INSERT INTO `lang_definitions` VALUES (126780, 5489, 24, 'अंतिम बिल की तारीख:');
INSERT INTO `lang_definitions` VALUES (126781, 5491, 24, 'पिछले साल');
INSERT INTO `lang_definitions` VALUES (126782, 5495, 24, 'पिछले मुठभेड़');
INSERT INTO `lang_definitions` VALUES (126783, 5502, 24, 'अंतिम स्तर बिल');
INSERT INTO `lang_definitions` VALUES (126784, 5506, 24, 'पिछले माह');
INSERT INTO `lang_definitions` VALUES (126785, 5507, 24, 'अंतिम नाम');
INSERT INTO `lang_definitions` VALUES (126786, 5508, 24, 'अंतिम नाम');
INSERT INTO `lang_definitions` VALUES (126787, 5513, 24, 'अंतिम नाम:');
INSERT INTO `lang_definitions` VALUES (126788, 5517, 24, 'अंतिम समीक्षित');
INSERT INTO `lang_definitions` VALUES (126789, 5518, 24, 'आखिरी रन, पर शुरू कर दिया');
INSERT INTO `lang_definitions` VALUES (126790, 5519, 24, 'अंतिम सहेजा गया');
INSERT INTO `lang_definitions` VALUES (126791, 5525, 24, 'के द्वारा अंतिम अद्यतन');
INSERT INTO `lang_definitions` VALUES (126792, 5526, 24, 'पर अंतिम सत्यापित किया');
INSERT INTO `lang_definitions` VALUES (126793, 5527, 24, 'पिछली यात्रा के');
INSERT INTO `lang_definitions` VALUES (126794, 5530, 24, 'पिछली पुनरावृत्ति (2-12 मो)');
INSERT INTO `lang_definitions` VALUES (126795, 5531, 24, 'पार्श्विकता Malleolus');
INSERT INTO `lang_definitions` VALUES (126796, 5532, 24, 'पार्श्विकता malleolus:');
INSERT INTO `lang_definitions` VALUES (126797, 5533, 24, 'पार्श्विकता');
INSERT INTO `lang_definitions` VALUES (126798, 5534, 24, 'इस प्रक्रिया की पार्श्विकता, यदि लागू हो');
INSERT INTO `lang_definitions` VALUES (126799, 5535, 24, 'पार्श्विक विस्थापित PMI:');
INSERT INTO `lang_definitions` VALUES (126800, 5549, 24, 'लेआउट आधारित');
INSERT INTO `lang_definitions` VALUES (126801, 5551, 24, 'लेआउट संपादक');
INSERT INTO `lang_definitions` VALUES (126802, 5552, 24, 'लेआउट समूह');
INSERT INTO `lang_definitions` VALUES (126803, 5556, 24, 'लेआउट शैली');
INSERT INTO `lang_definitions` VALUES (126804, 5558, 24, 'लेआउट आधारित भेंट फॉर्म्स');
INSERT INTO `lang_definitions` VALUES (126805, 5559, 24, 'लेआउट');
INSERT INTO `lang_definitions` VALUES (126806, 5560, 24, 'lb');
INSERT INTO `lang_definitions` VALUES (126807, 5563, 24, 'lbs');
INSERT INTO `lang_definitions` VALUES (126808, 5571, 24, 'LDL');
INSERT INTO `lang_definitions` VALUES (126809, 5573, 24, 'अगर अभी भी सक्रिय है, तो खाली छोड़ दें');
INSERT INTO `lang_definitions` VALUES (126810, 5574, 24, 'मूल फ़ाइलनाम रखने के लिए खाली छोड़ दें');
INSERT INTO `lang_definitions` VALUES (126811, 5575, 24, 'पासवर्ड को अपरिवर्तित रखने के लिए खाली छोड़ दें.');
INSERT INTO `lang_definitions` VALUES (126812, 5580, 24, 'के साथ संदेश छोड़ दें');
INSERT INTO `lang_definitions` VALUES (126813, 5582, 24, 'फार्म छोड़ दें');
INSERT INTO `lang_definitions` VALUES (126814, 5583, 24, 'पास वाक्यांश को खाली छोड़ने से दस्तावेज़ एन्क्रिप्ट नहीं होगा');
INSERT INTO `lang_definitions` VALUES (126815, 5586, 24, 'बाएं');
INSERT INTO `lang_definitions` VALUES (126816, 5589, 24, 'बाएं कान');
INSERT INTO `lang_definitions` VALUES (126817, 5590, 24, 'बाएं कान');
INSERT INTO `lang_definitions` VALUES (126818, 5599, 24, 'बाएं');
INSERT INTO `lang_definitions` VALUES (126819, 5600, 24, 'बाएं');
INSERT INTO `lang_definitions` VALUES (126820, 5601, 24, 'पैर में दर्द / ऐंठन');
INSERT INTO `lang_definitions` VALUES (126821, 5602, 24, 'कानूनी');
INSERT INTO `lang_definitions` VALUES (126822, 5604, 24, 'कानूनी कागज़ आकार');
INSERT INTO `lang_definitions` VALUES (126823, 5605, 24, 'लिजेंड:');
INSERT INTO `lang_definitions` VALUES (126824, 5606, 24, 'लंबाई');
INSERT INTO `lang_definitions` VALUES (126825, 5607, 24, 'संशोधक की लंबाई, 0 अगर कोई नहीं है');
INSERT INTO `lang_definitions` VALUES (126826, 5613, 24, 'से भी कम');
INSERT INTO `lang_definitions` VALUES (126827, 5614, 24, 'से भी कम या बराबर');
INSERT INTO `lang_definitions` VALUES (126828, 5615, 24, 'कम निजी जानकारी (, addonly वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (126829, 5620, 24, 'पत्र');
INSERT INTO `lang_definitions` VALUES (126830, 5621, 24, 'पत्र उत्पन्नकर्ता');
INSERT INTO `lang_definitions` VALUES (126831, 5622, 24, 'पत्र कागज आकार');
INSERT INTO `lang_definitions` VALUES (126832, 5623, 24, 'लेटरहेड पर, उस डॉक्टर के हस्ताक्षर');
INSERT INTO `lang_definitions` VALUES (126833, 5624, 24, 'लेटरहेड पर, उस मरीज के हस्ताक्षर');
INSERT INTO `lang_definitions` VALUES (126834, 5627, 24, 'तात्कालिकता का स्तर');
INSERT INTO `lang_definitions` VALUES (126835, 5630, 24, 'दायित्व');
INSERT INTO `lang_definitions` VALUES (126836, 5631, 24, 'दायित्व मैडिकल');
INSERT INTO `lang_definitions` VALUES (126837, 5633, 24, 'लाइसेंस / ID');
INSERT INTO `lang_definitions` VALUES (126838, 5639, 24, 'LicensedPrescriber अंतिम नाम');
INSERT INTO `lang_definitions` VALUES (126839, 5640, 24, 'LicensedPrescriber NPI');
INSERT INTO `lang_definitions` VALUES (126840, 5641, 24, 'LicensedPrescriber UPIN');
INSERT INTO `lang_definitions` VALUES (126841, 5644, 24, 'जीवन शैली');
INSERT INTO `lang_definitions` VALUES (126842, 5646, 24, 'जीवन शैली स्थिति');
INSERT INTO `lang_definitions` VALUES (126843, 5647, 24, 'अस्थिबंध फटी या मोच');
INSERT INTO `lang_definitions` VALUES (126844, 5648, 24, 'लाइट तम्बाकू धूम्रपान करने वाला');
INSERT INTO `lang_definitions` VALUES (126845, 5651, 24, 'घटनाक्रम की सीमा');
INSERT INTO `lang_definitions` VALUES (126846, 5654, 24, 'सीमाएं');
INSERT INTO `lang_definitions` VALUES (126847, 5657, 24, 'जुड़ा हुआ');
INSERT INTO `lang_definitions` VALUES (126848, 5658, 24, 'रोगी के लिए जुड़ा हुआ');
INSERT INTO `lang_definitions` VALUES (126849, 5660, 24, 'जुड़ा हुआ');
INSERT INTO `lang_definitions` VALUES (126850, 5661, 24, 'जुड़ा हुआ दस्तावेज़');
INSERT INTO `lang_definitions` VALUES (126851, 5662, 24, 'जुड़ा हुआ प्रक्रिया आदेश');
INSERT INTO `lang_definitions` VALUES (126852, 5663, 24, 'दस्तावेज़ से जुड़ा हुआ');
INSERT INTO `lang_definitions` VALUES (126853, 5664, 24, 'प्रक्रिया आदेश से जुड़ा हुआ');
INSERT INTO `lang_definitions` VALUES (126854, 5665, 24, 'सूची');
INSERT INTO `lang_definitions` VALUES (126855, 5666, 24, 'सूची बॉक्स');
INSERT INTO `lang_definitions` VALUES (126856, 5667, 24, 'सूची बॉक्स');
INSERT INTO `lang_definitions` VALUES (126857, 5668, 24, 'सूची बॉक्स W / जोड़');
INSERT INTO `lang_definitions` VALUES (126858, 5669, 24, 'सूची बॉक्स W / जोड़');
INSERT INTO `lang_definitions` VALUES (126859, 5671, 24, 'सूची संपादक');
INSERT INTO `lang_definitions` VALUES (126860, 5672, 24, 'सूची मुठभेड़ों की');
INSERT INTO `lang_definitions` VALUES (126861, 5674, 24, 'सूची समूहों');
INSERT INTO `lang_definitions` VALUES (126862, 5675, 24, 'सूची बीमा कंपनियों की');
INSERT INTO `lang_definitions` VALUES (126863, 5677, 24, 'सूची आइटम नंबर के साथ शुरू नहीं कर सकते हैं.');
INSERT INTO `lang_definitions` VALUES (126864, 5678, 24, 'सूची आइटम अवैध चरित्र (o) शामिल हैं.');
INSERT INTO `lang_definitions` VALUES (126865, 5680, 24, 'सूची सूचियों');
INSERT INTO `lang_definitions` VALUES (126866, 5682, 24, 'सूची नाम');
INSERT INTO `lang_definitions` VALUES (126867, 5683, 24, 'सूची के नाम संख्या के साथ शुरू नहीं कर सकते.');
INSERT INTO `lang_definitions` VALUES (126868, 5688, 24, 'सूची नुस्खे');
INSERT INTO `lang_definitions` VALUES (126869, 5689, 24, 'ऊपर के देश डेटा प्रकार विकल्प द्वारा इस्तेमाल किया हुआ सूची.');
INSERT INTO `lang_definitions` VALUES (126870, 5690, 24, 'ऊपर के राज्य डेटा प्रकार विकल्प द्वारा इस्तेमाल किया हुआ सूची.');
INSERT INTO `lang_definitions` VALUES (126871, 5691, 24, 'आरएफसी 5425 टीएलएस syslog सर्वर के सुनने के बंदरगाह.');
INSERT INTO `lang_definitions` VALUES (126872, 5693, 24, 'सूचियां');
INSERT INTO `lang_definitions` VALUES (126873, 5695, 24, 'लिथुआनियाई');
INSERT INTO `lang_definitions` VALUES (126874, 5696, 24, 'लिविंग विल');
INSERT INTO `lang_definitions` VALUES (126875, 5701, 24, 'LLL:');
INSERT INTO `lang_definitions` VALUES (126876, 5707, 24, 'LMP');
INSERT INTO `lang_definitions` VALUES (126877, 5708, 24, 'संग्रह लोड करें');
INSERT INTO `lang_definitions` VALUES (126878, 5709, 24, 'परिभाषाएँ लोड करें');
INSERT INTO `lang_definitions` VALUES (126879, 5711, 24, 'लैब विन्यास लोड करें');
INSERT INTO `lang_definitions` VALUES (126880, 5712, 24, 'OE प्रश्न विकल्प लोड करें');
INSERT INTO `lang_definitions` VALUES (126881, 5713, 24, 'आदेश परिभाषाएँ लोड करें');
INSERT INTO `lang_definitions` VALUES (126882, 5714, 24, 'आदेश प्रविष्टि प्रश्न लोड करें');
INSERT INTO `lang_definitions` VALUES (126883, 5717, 24, 'लोड हो रहा है');
INSERT INTO `lang_definitions` VALUES (126884, 5721, 24, 'डेटाबेस में फाइल लोड हो रहा. इस में कुछ समय लगेगा ...');
INSERT INTO `lang_definitions` VALUES (126885, 5723, 24, 'नियंत्रण रेखा');
INSERT INTO `lang_definitions` VALUES (126886, 5724, 24, 'स्थानीय');
INSERT INTO `lang_definitions` VALUES (126887, 5728, 24, 'स्थानीय');
INSERT INTO `lang_definitions` VALUES (126888, 5729, 24, 'इलाका');
INSERT INTO `lang_definitions` VALUES (126889, 5730, 24, 'स्थान');
INSERT INTO `lang_definitions` VALUES (126890, 5731, 24, 'openemr मशीन का स्थान और संवेदनशील डेटा हो सकता है, इसलिए यह मैन्युअल रूप से इसके उपयोग के बाद फ़ाइलों को हटाने की सिफारिश की है');
INSERT INTO `lang_definitions` VALUES (126891, 5732, 24, 'इस स्थल का स्थान');
INSERT INTO `lang_definitions` VALUES (126892, 5733, 24, 'अनिर्दिष्ट स्थान');
INSERT INTO `lang_definitions` VALUES (126893, 5734, 24, 'स्थान, जहां Hylafax फैक्स जमा हो जाते है.');
INSERT INTO `lang_definitions` VALUES (126894, 5735, 24, 'स्थान, जहां स्कैन जमा हो जाते है.');
INSERT INTO `lang_definitions` VALUES (126895, 5736, 24, 'स्थान:');
INSERT INTO `lang_definitions` VALUES (126896, 5737, 24, 'ताला');
INSERT INTO `lang_definitions` VALUES (126897, 5745, 24, 'में प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (126898, 5746, 24, 'में प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (126899, 5749, 24, 'बाहर प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (126900, 5752, 24, 'में प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (126901, 5753, 24, 'के रूप में प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (126902, 5754, 24, 'इन के रूप में प्रवेश करें:');
INSERT INTO `lang_definitions` VALUES (126903, 5755, 24, 'बाहर प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (126904, 5756, 24, 'प्रवेश कर रहा है');
INSERT INTO `lang_definitions` VALUES (126905, 5757, 24, 'में प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (126906, 5758, 24, 'में प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (126907, 5763, 24, 'दूरस्थ मेजबान में प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (126908, 5764, 24, 'दूरस्थ मेजबान में प्रवेश विफल रहा है');
INSERT INTO `lang_definitions` VALUES (126909, 5768, 24, 'बाहर प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (126910, 5769, 24, 'बाहर प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (126911, 5770, 24, 'लॉग्स');
INSERT INTO `lang_definitions` VALUES (126912, 5771, 24, 'लॉग्स दर्शक');
INSERT INTO `lang_definitions` VALUES (126913, 5776, 24, 'झांकना');
INSERT INTO `lang_definitions` VALUES (126914, 5777, 24, 'लॉट');
INSERT INTO `lang_definitions` VALUES (126915, 5778, 24, 'लॉट ID लापता!');
INSERT INTO `lang_definitions` VALUES (126916, 5779, 24, 'लॉट संख्या');
INSERT INTO `lang_definitions` VALUES (126917, 5780, 24, 'कम');
INSERT INTO `lang_definitions` VALUES (126918, 5781, 24, 'कम प्राथमिकता');
INSERT INTO `lang_definitions` VALUES (126919, 5782, 24, 'निचले पैर');
INSERT INTO `lang_definitions` VALUES (126920, 5784, 24, 'न्यूनतम प्राथमिकता');
INSERT INTO `lang_definitions` VALUES (126921, 5791, 24, 'काठ का रीढ़');
INSERT INTO `lang_definitions` VALUES (126922, 5792, 24, 'दोपहर का भोजन');
INSERT INTO `lang_definitions` VALUES (126923, 5793, 24, 'दोपहर का भोजन');
INSERT INTO `lang_definitions` VALUES (126924, 5794, 24, 'फेफड़ों का कैंसर');
INSERT INTO `lang_definitions` VALUES (126925, 5795, 24, 'फेफड़ों की कैंसर सर्जरी');
INSERT INTO `lang_definitions` VALUES (126926, 5796, 24, 'फेफड़ों:');
INSERT INTO `lang_definitions` VALUES (126927, 5797, 24, 'फेफड़े:');
INSERT INTO `lang_definitions` VALUES (126928, 5798, 24, 'ल्युपस');
INSERT INTO `lang_definitions` VALUES (126929, 5804, 24, 'M');
INSERT INTO `lang_definitions` VALUES (126930, 5805, 24, 'MA श्रेणी');
INSERT INTO `lang_definitions` VALUES (126931, 5806, 24, 'MA क्लाइंट को गर्भपात स्वीकार');
INSERT INTO `lang_definitions` VALUES (126932, 5807, 24, 'MA आँकड़े');
INSERT INTO `lang_definitions` VALUES (126933, 5812, 24, 'भेजी गई मेल');
INSERT INTO `lang_definitions` VALUES (126934, 5814, 24, 'मुख्य');
INSERT INTO `lang_definitions` VALUES (126935, 5815, 24, 'मुख्य पता');
INSERT INTO `lang_definitions` VALUES (126936, 5821, 24, 'मुख्य शीर्ष फलक स्क्रीन');
INSERT INTO `lang_definitions` VALUES (126937, 5824, 24, 'सक्रिय दवा एलर्जी सूची बनाए.');
INSERT INTO `lang_definitions` VALUES (126938, 5825, 24, 'सक्रिय दवा सूची बनाए.');
INSERT INTO `lang_definitions` VALUES (126939, 5826, 24, 'वर्तमान और सक्रिय निदान की अब तक की एक समस्या सूची बनाए.');
INSERT INTO `lang_definitions` VALUES (126940, 5827, 24, 'मौजूदा श्रेणियों में संशोधन करें.');
INSERT INTO `lang_definitions` VALUES (126941, 5828, 24, 'के लिए नई नियुक्ति करें');
INSERT INTO `lang_definitions` VALUES (126942, 5831, 24, 'सुनिश्चित करें');
INSERT INTO `lang_definitions` VALUES (126943, 5832, 24, 'क्लियरिंग हाउस को अपलोड करने और बिल भेजा गया है, के रूप में चिन्हित कर देने के लिए बैच टेक्स्ट फाइल बना रहे है!');
INSERT INTO `lang_definitions` VALUES (126944, 5834, 24, 'अस्वस्थता:');
INSERT INTO `lang_definitions` VALUES (126945, 5837, 24, 'पुस्र्ष');
INSERT INTO `lang_definitions` VALUES (126946, 5838, 24, 'पुरुष कंडोम');
INSERT INTO `lang_definitions` VALUES (126947, 5839, 24, 'पुस्र्ष VSC');
INSERT INTO `lang_definitions` VALUES (126948, 5841, 24, 'मैमोग्राम');
INSERT INTO `lang_definitions` VALUES (126949, 5842, 24, 'प्रबंधित करें');
INSERT INTO `lang_definitions` VALUES (126950, 5850, 24, 'अनुवाद प्रबंधन');
INSERT INTO `lang_definitions` VALUES (126951, 5851, 24, 'प्रबंधन');
INSERT INTO `lang_definitions` VALUES (126952, 5854, 24, 'अनिवार्य और निर्दिष्ट क्षेत्रों के');
INSERT INTO `lang_definitions` VALUES (126953, 5855, 24, 'केवल अनिवार्य या निर्दिष्ट क्षेत्र, DUP की जांच, कोई खोज नहीं');
INSERT INTO `lang_definitions` VALUES (126954, 5856, 24, 'केवल अनिवार्य या निर्दिष्ट क्षेत्र, खोज और DUP चेक');
INSERT INTO `lang_definitions` VALUES (126955, 5859, 24, 'मैनुअल');
INSERT INTO `lang_definitions` VALUES (126956, 5860, 24, 'मैनुअल पोस्टिंग');
INSERT INTO `lang_definitions` VALUES (126957, 5864, 24, 'निर्माता');
INSERT INTO `lang_definitions` VALUES (126958, 5870, 24, 'मार्च');
INSERT INTO `lang_definitions` VALUES (126959, 5874, 24, 'मार्च');
INSERT INTO `lang_definitions` VALUES (126960, 5877, 24, 'वैवाहिक स्थिति');
INSERT INTO `lang_definitions` VALUES (126961, 5880, 24, 'बिल भेजा लेकिन बिलिंग को छोड़ दिया के रूप में चिह्नित करें');
INSERT INTO `lang_definitions` VALUES (126962, 5881, 24, 'मंजूरी दे दी के रूप में चिह्नित करें');
INSERT INTO `lang_definitions` VALUES (126963, 5882, 24, 'बिल किया नहीं के रूप में चिह्नित करें');
INSERT INTO `lang_definitions` VALUES (126964, 5885, 24, 'इन रिपोर्टों की समीक्षा कर दी के रूप में चिह्नित करें');
INSERT INTO `lang_definitions` VALUES (126965, 5886, 24, 'मंजूरी दे दी के रूप में चिह्नित किया');
INSERT INTO `lang_definitions` VALUES (126966, 5887, 24, 'विवाहित');
INSERT INTO `lang_definitions` VALUES (126967, 5889, 24, 'मुखौटा');
INSERT INTO `lang_definitions` VALUES (126968, 5890, 24, 'चालान नंबर के लिए मास्क');
INSERT INTO `lang_definitions` VALUES (126969, 5891, 24, 'रोगी IDs के लिए मास्क');
INSERT INTO `lang_definitions` VALUES (126970, 5892, 24, 'उत्पाद IDs के लिए मास्क');
INSERT INTO `lang_definitions` VALUES (126971, 5894, 24, 'मिलान');
INSERT INTO `lang_definitions` VALUES (126972, 5895, 24, 'केस मिलाएँ');
INSERT INTO `lang_definitions` VALUES (126973, 5907, 24, 'अधिकतम');
INSERT INTO `lang_definitions` VALUES (126974, 5910, 24, 'अधिकतम फ़ाइल गिनती तक पहुँच गया - नीचे नामों को फिर से लोड करें');
INSERT INTO `lang_definitions` VALUES (126975, 5912, 24, 'दाएँ दाढ़ की हड्डी:');
INSERT INTO `lang_definitions` VALUES (126976, 5913, 24, 'अधिकतम आयु');
INSERT INTO `lang_definitions` VALUES (126977, 5914, 24, 'अधिकतम अक्षर');
INSERT INTO `lang_definitions` VALUES (126978, 5917, 24, 'लॉगआउट से पहले, सेकंड में अधिकतम निष्क्रिय समय. डिफ़ॉल्ट 7200 (2 घंटे) है.');
INSERT INTO `lang_definitions` VALUES (126979, 5920, 24, 'अधिकतम उचित सूची, अगर कोई लागू नहीं तो 0');
INSERT INTO `lang_definitions` VALUES (126980, 5921, 24, 'अधिकतम आकार');
INSERT INTO `lang_definitions` VALUES (126981, 5922, 24, 'अधिकतम आकार (कोई भी आकार प्रवेश करने की अनुमति देगा 0 )');
INSERT INTO `lang_definitions` VALUES (126982, 5924, 24, 'मई');
INSERT INTO `lang_definitions` VALUES (126983, 5926, 24, 'MC');
INSERT INTO `lang_definitions` VALUES (126984, 5927, 24, 'मिलीग्राम');
INSERT INTO `lang_definitions` VALUES (126985, 5929, 24, 'इसका मतलब है, एक पासवर्ड बदलने पर पिछले तीन पासवर्ड का उपयोग की अनुमति नहीं है');
INSERT INTO `lang_definitions` VALUES (126986, 5931, 24, 'समूह कोड उपाय');
INSERT INTO `lang_definitions` VALUES (126987, 5933, 24, 'माप');
INSERT INTO `lang_definitions` VALUES (126988, 5939, 24, 'औसत दर्जे की malleolus:');
INSERT INTO `lang_definitions` VALUES (126989, 5940, 24, 'Medicaid');
INSERT INTO `lang_definitions` VALUES (126990, 5942, 24, 'मैडिकल');
INSERT INTO `lang_definitions` VALUES (126991, 5943, 24, 'मैडिकल गर्भपात');
INSERT INTO `lang_definitions` VALUES (126992, 5944, 24, 'मैडिकल प्रशासन');
INSERT INTO `lang_definitions` VALUES (126993, 5946, 24, 'मैडिकल इतिहास');
INSERT INTO `lang_definitions` VALUES (126994, 5947, 24, 'मैडिकल मुद्दा');
INSERT INTO `lang_definitions` VALUES (126995, 5948, 24, 'मैडिकल मुद्दा');
INSERT INTO `lang_definitions` VALUES (126996, 5951, 24, 'मैडिकल समस्या');
INSERT INTO `lang_definitions` VALUES (126997, 5952, 24, 'मैडिकल समस्या');
INSERT INTO `lang_definitions` VALUES (126998, 5953, 24, 'मैडिकल समस्या समस्या सूची');
INSERT INTO `lang_definitions` VALUES (126999, 5954, 24, 'मैडिकल समस्याओं');
INSERT INTO `lang_definitions` VALUES (127000, 5956, 24, 'मैडिकल रिकार्ड');
INSERT INTO `lang_definitions` VALUES (127001, 5957, 24, 'मैडिकल रिकार्ड #');
INSERT INTO `lang_definitions` VALUES (127002, 5959, 24, 'मैडिकल रिकॉर्ड्स');
INSERT INTO `lang_definitions` VALUES (127003, 5961, 24, 'मैडिकल रिकॉर्ड्स भेजे गए');
INSERT INTO `lang_definitions` VALUES (127004, 5963, 24, 'मैडिकल सारांश दिया');
INSERT INTO `lang_definitions` VALUES (127005, 5964, 24, 'मैडिकल प्रणाली');
INSERT INTO `lang_definitions` VALUES (127006, 5965, 24, 'मैडिकल प्रकार');
INSERT INTO `lang_definitions` VALUES (127007, 5966, 24, 'मैडिकल / इतिहास (addonly वैकल्पिक लिखने,)');
INSERT INTO `lang_definitions` VALUES (127008, 5968, 24, 'Medicare भाग B');
INSERT INTO `lang_definitions` VALUES (127009, 5969, 24, 'Medicare संदर्भकर्ता प्रतिपादक है');
INSERT INTO `lang_definitions` VALUES (127010, 5970, 24, 'दवा');
INSERT INTO `lang_definitions` VALUES (127011, 5971, 24, 'दवा एलर्जी की सूची');
INSERT INTO `lang_definitions` VALUES (127012, 5972, 24, 'दवा समस्या सूची');
INSERT INTO `lang_definitions` VALUES (127013, 5973, 24, 'दवा कंपनियों की सूची');
INSERT INTO `lang_definitions` VALUES (127014, 5974, 24, 'दवा सुलह किया?');
INSERT INTO `lang_definitions` VALUES (127015, 5975, 24, 'दवाएं');
INSERT INTO `lang_definitions` VALUES (127016, 5978, 24, 'दवाएं:');
INSERT INTO `lang_definitions` VALUES (127017, 5979, 24, 'चिकित्सा यूनिट्स');
INSERT INTO `lang_definitions` VALUES (127018, 5980, 24, 'माध्यम');
INSERT INTO `lang_definitions` VALUES (127019, 5984, 24, 'सदस्य संघ सांख्यिकी रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (127020, 5986, 24, 'मेमोरी समस्याएं');
INSERT INTO `lang_definitions` VALUES (127021, 5987, 24, 'पुरूष');
INSERT INTO `lang_definitions` VALUES (127022, 5988, 24, 'पुरुष और महिला');
INSERT INTO `lang_definitions` VALUES (127023, 5989, 24, 'केवल पुरुषों के');
INSERT INTO `lang_definitions` VALUES (127024, 5990, 24, 'रजोदर्शन');
INSERT INTO `lang_definitions` VALUES (127025, 5991, 24, 'रजोनिवृत्ति');
INSERT INTO `lang_definitions` VALUES (127026, 5992, 24, 'मासिक धर्म प्रवाह');
INSERT INTO `lang_definitions` VALUES (127027, 5993, 24, 'मासिक धर्म आवृत्ति');
INSERT INTO `lang_definitions` VALUES (127028, 5994, 24, 'मानसिक बीमारी');
INSERT INTO `lang_definitions` VALUES (127029, 6001, 24, 'मिलाएं');
INSERT INTO `lang_definitions` VALUES (127030, 6002, 24, 'पूरा मिलाएं.');
INSERT INTO `lang_definitions` VALUES (127031, 6003, 24, 'मरीजों को मिलाएं');
INSERT INTO `lang_definitions` VALUES (127032, 6005, 24, 'संदेश');
INSERT INTO `lang_definitions` VALUES (127033, 6006, 24, 'संदेश और अनुस्मारक केंद्र');
INSERT INTO `lang_definitions` VALUES (127034, 6009, 24, 'संदेश सामग्री सादा टेक्स्ट नहीं है इसलिए, यह एक दस्तावेज के रूप में जमा किया गया है!');
INSERT INTO `lang_definitions` VALUES (127035, 6012, 24, 'भेजे गए संदेश');
INSERT INTO `lang_definitions` VALUES (127036, 6013, 24, 'संदेश स्थिति');
INSERT INTO `lang_definitions` VALUES (127037, 6017, 24, 'संदेश प्रकार');
INSERT INTO `lang_definitions` VALUES (127038, 6018, 24, 'संदेश:');
INSERT INTO `lang_definitions` VALUES (127039, 6019, 24, 'संदेश');
INSERT INTO `lang_definitions` VALUES (127040, 6022, 24, 'आपने आज भेजे गए संदेश');
INSERT INTO `lang_definitions` VALUES (127041, 6026, 24, 'विधि');
INSERT INTO `lang_definitions` VALUES (127042, 6027, 24, 'विधि और विशिष्ट उत्पाद');
INSERT INTO `lang_definitions` VALUES (127043, 6029, 24, 'निवर्तमान ईमेल भेजने के लिए विधि.');
INSERT INTO `lang_definitions` VALUES (127044, 6030, 24, 'विनाश की विधि');
INSERT INTO `lang_definitions` VALUES (127045, 6031, 24, 'मैक्सिकन / MexAmer / Chicano');
INSERT INTO `lang_definitions` VALUES (127046, 6038, 24, 'मिलीग्राम');
INSERT INTO `lang_definitions` VALUES (127047, 6039, 24, 'mg/1cc');
INSERT INTO `lang_definitions` VALUES (127048, 6040, 24, 'mg/2cc');
INSERT INTO `lang_definitions` VALUES (127049, 6041, 24, 'mg/3cc');
INSERT INTO `lang_definitions` VALUES (127050, 6042, 24, 'mg/4cc');
INSERT INTO `lang_definitions` VALUES (127051, 6043, 24, 'mg/5cc');
INSERT INTO `lang_definitions` VALUES (127052, 6044, 24, 'MG / DL');
INSERT INTO `lang_definitions` VALUES (127053, 6046, 24, 'मध्य');
INSERT INTO `lang_definitions` VALUES (127054, 6047, 24, 'मध्य नाम');
INSERT INTO `lang_definitions` VALUES (127055, 6048, 24, 'मध्य नाम');
INSERT INTO `lang_definitions` VALUES (127056, 6051, 24, 'Midlevel prescriber DEA');
INSERT INTO `lang_definitions` VALUES (127057, 6052, 24, 'Midlevel prescriber प्रथम नाम');
INSERT INTO `lang_definitions` VALUES (127058, 6053, 24, 'Midlevel prescriber अंतिम नाम');
INSERT INTO `lang_definitions` VALUES (127059, 6055, 24, 'Midlevel prescriber उपसर्ग');
INSERT INTO `lang_definitions` VALUES (127060, 6056, 24, 'Midlevel prescriber UPIN');
INSERT INTO `lang_definitions` VALUES (127061, 6061, 24, 'Mien');
INSERT INTO `lang_definitions` VALUES (127062, 6062, 24, 'प्रवासी या मौसमी कार्यकर्ता?');
INSERT INTO `lang_definitions` VALUES (127063, 6064, 24, 'प्रवासी / मौसमी');
INSERT INTO `lang_definitions` VALUES (127064, 6065, 24, 'लाख / CU.MM');
INSERT INTO `lang_definitions` VALUES (127065, 6070, 24, 'माइम प्रकार');
INSERT INTO `lang_definitions` VALUES (127066, 6071, 24, 'मिनट');
INSERT INTO `lang_definitions` VALUES (127067, 6072, 24, 'मिनट');
INSERT INTO `lang_definitions` VALUES (127068, 6077, 24, 'न्यूनतम आयु');
INSERT INTO `lang_definitions` VALUES (127069, 6080, 24, 'मामूली जोड़ों का तनाव / - श्लेषक कलाशोथ');
INSERT INTO `lang_definitions` VALUES (127070, 6082, 24, 'मिनट');
INSERT INTO `lang_definitions` VALUES (127071, 6083, 24, 'मिनट');
INSERT INTO `lang_definitions` VALUES (127072, 6084, 24, 'मिनट');
INSERT INTO `lang_definitions` VALUES (127073, 6086, 24, 'विविध');
INSERT INTO `lang_definitions` VALUES (127074, 6087, 24, 'विविध बिलिंग विकल्प');
INSERT INTO `lang_definitions` VALUES (127075, 6088, 24, 'HCFA-1500 के लिए विविध बिलिंग विकल्प');
INSERT INTO `lang_definitions` VALUES (127076, 6089, 24, 'विविध बिलिंग विकल्प HCFA');
INSERT INTO `lang_definitions` VALUES (127077, 6090, 24, 'विविध');
INSERT INTO `lang_definitions` VALUES (127078, 6092, 24, 'छूटे');
INSERT INTO `lang_definitions` VALUES (127079, 6093, 24, 'छूटे हुए');
INSERT INTO `lang_definitions` VALUES (127080, 6094, 24, 'एक आवश्यक फ़ील्ड छूटी');
INSERT INTO `lang_definitions` VALUES (127081, 6097, 24, 'छूटा शुल्क');
INSERT INTO `lang_definitions` VALUES (127082, 6100, 24, 'केवल Mods छूटा');
INSERT INTO `lang_definitions` VALUES (127083, 6101, 24, 'छूटा या अमान्य');
INSERT INTO `lang_definitions` VALUES (127084, 6103, 24, 'छूटे PID​​.');
INSERT INTO `lang_definitions` VALUES (127085, 6104, 24, 'छूटे रिपोर्ट दिनांक');
INSERT INTO `lang_definitions` VALUES (127086, 6105, 24, 'कोड के लिए स्रोत में दाता के बाद स्लैश छूटा');
INSERT INTO `lang_definitions` VALUES (127087, 6111, 24, 'मिश्रित');
INSERT INTO `lang_definitions` VALUES (127088, 6113, 24, 'मिलीलीटर');
INSERT INTO `lang_definitions` VALUES (127089, 6114, 24, 'MM / DD / YYYY');
INSERT INTO `lang_definitions` VALUES (127090, 6115, 24, 'mm / hg');
INSERT INTO `lang_definitions` VALUES (127091, 6116, 24, 'mmHg');
INSERT INTO `lang_definitions` VALUES (127092, 6117, 24, 'MMR 1');
INSERT INTO `lang_definitions` VALUES (127093, 6118, 24, 'MMR 2');
INSERT INTO `lang_definitions` VALUES (127094, 6120, 24, 'मोबाइल');
INSERT INTO `lang_definitions` VALUES (127095, 6121, 24, 'मोबाइल फोन');
INSERT INTO `lang_definitions` VALUES (127096, 6125, 24, 'MOD');
INSERT INTO `lang_definitions` VALUES (127097, 6129, 24, 'मध्यम प्राथमिकता');
INSERT INTO `lang_definitions` VALUES (127098, 6131, 24, 'मध्यम / कम प्राथमिकता');
INSERT INTO `lang_definitions` VALUES (127099, 6133, 24, 'संशोधक');
INSERT INTO `lang_definitions` VALUES (127100, 6139, 24, 'संशोधक');
INSERT INTO `lang_definitions` VALUES (127101, 6140, 24, 'संशोधित करें');
INSERT INTO `lang_definitions` VALUES (127102, 6143, 24, 'भुगतान संशोधित करें');
INSERT INTO `lang_definitions` VALUES (127103, 6145, 24, 'ModLength');
INSERT INTO `lang_definitions` VALUES (127104, 6153, 24, 'सोम');
INSERT INTO `lang_definitions` VALUES (127105, 6154, 24, 'सोम से शुक्र');
INSERT INTO `lang_definitions` VALUES (127106, 6155, 24, 'सोम, बुध और शुक्र');
INSERT INTO `lang_definitions` VALUES (127107, 6156, 24, 'सोमवार');
INSERT INTO `lang_definitions` VALUES (127108, 6160, 24, 'माह');
INSERT INTO `lang_definitions` VALUES (127109, 6161, 24, 'माह');
INSERT INTO `lang_definitions` VALUES (127110, 6162, 24, 'माह दृश्य');
INSERT INTO `lang_definitions` VALUES (127111, 6163, 24, 'महीने (s)');
INSERT INTO `lang_definitions` VALUES (127112, 6164, 24, 'मासिक आय');
INSERT INTO `lang_definitions` VALUES (127113, 6166, 24, 'महीने');
INSERT INTO `lang_definitions` VALUES (127114, 6179, 24, '100 से अधिक रिकॉर्ड पाया. अपने खोज मापदंड को संकीर्ण करें.');
INSERT INTO `lang_definitions` VALUES (127115, 6180, 24, '50 से अधिक परिणाम, अपनी खोज अधिक विशिष्ट करें.');
INSERT INTO `lang_definitions` VALUES (127116, 6184, 24, 'क्रमबद्ध बदलने के लिए अधिकांश कॉलम हेडर क्लिक किया जा सकता है');
INSERT INTO `lang_definitions` VALUES (127117, 6186, 24, 'से अंतिम');
INSERT INTO `lang_definitions` VALUES (127118, 6189, 24, 'से सबसे हाल नब्ज:');
INSERT INTO `lang_definitions` VALUES (127119, 6190, 24, 'माँ');
INSERT INTO `lang_definitions` VALUES (127120, 6191, 24, 'माँ का नाम');
INSERT INTO `lang_definitions` VALUES (127121, 6195, 24, 'मुंह');
INSERT INTO `lang_definitions` VALUES (127122, 6196, 24, 'ले जाएँ');
INSERT INTO `lang_definitions` VALUES (127123, 6197, 24, 'श्रेणी तक ले जाएँ:');
INSERT INTO `lang_definitions` VALUES (127124, 6198, 24, 'नीचे ले जाएँ');
INSERT INTO `lang_definitions` VALUES (127125, 6199, 24, 'ले जाएँ विफल रहा है!');
INSERT INTO `lang_definitions` VALUES (127126, 6201, 24, 'रोगी में ले जाएँ');
INSERT INTO `lang_definitions` VALUES (127127, 6202, 24, 'में ले जाएँ ...');
INSERT INTO `lang_definitions` VALUES (127128, 6203, 24, 'ऊपर ले जाएँ');
INSERT INTO `lang_definitions` VALUES (127129, 6204, 24, 'ले जा रहा है');
INSERT INTO `lang_definitions` VALUES (127130, 6209, 24, 'श्री');
INSERT INTO `lang_definitions` VALUES (127131, 6211, 24, 'MRN (pid​​)');
INSERT INTO `lang_definitions` VALUES (127132, 6215, 24, 'श्रीमती');
INSERT INTO `lang_definitions` VALUES (127133, 6217, 24, 'सुश्री');
INSERT INTO `lang_definitions` VALUES (127134, 6218, 24, 'MSH-11');
INSERT INTO `lang_definitions` VALUES (127135, 6219, 24, 'MSH-3.1');
INSERT INTO `lang_definitions` VALUES (127136, 6220, 24, 'MSH-4.1');
INSERT INTO `lang_definitions` VALUES (127137, 6221, 24, 'MSH-5.1');
INSERT INTO `lang_definitions` VALUES (127138, 6222, 24, 'MSH-6.1');
INSERT INTO `lang_definitions` VALUES (127139, 6226, 24, 'MSP कोड');
INSERT INTO `lang_definitions` VALUES (127140, 6227, 24, 'MSP परिहार संहिताओं');
INSERT INTO `lang_definitions` VALUES (127141, 6230, 24, 'बहु भाषा उपकरण');
INSERT INTO `lang_definitions` VALUES (127142, 6234, 24, 'कई क्षेत्रों में');
INSERT INTO `lang_definitions` VALUES (127143, 6236, 24, 'एकाधिक फ़ाइलों को Ctrl + क्लिक या SHIFT + क्लिक का उपयोग कर, एक समय में अपलोड किया जा सकता है.');
INSERT INTO `lang_definitions` VALUES (127144, 6237, 24, 'एकाधिक लॉट');
INSERT INTO `lang_definitions` VALUES (127145, 6238, 24, 'एकाधिक संशोधक, कोलन या रिक्त स्थान के द्वारा अलग किया जा सकता है, अधिकतम 4 (M1:M2:M3:M4)');
INSERT INTO `lang_definitions` VALUES (127146, 6242, 24, 'बहुजातीय');
INSERT INTO `lang_definitions` VALUES (127147, 6243, 24, 'दिल बड़बड़ाहट:');
INSERT INTO `lang_definitions` VALUES (127148, 6244, 24, 'मांसपेशी दर्द');
INSERT INTO `lang_definitions` VALUES (127149, 6245, 24, 'मांसपेशी दर्द');
INSERT INTO `lang_definitions` VALUES (127150, 6246, 24, 'मांसपेशी लाली');
INSERT INTO `lang_definitions` VALUES (127151, 6247, 24, 'मांसपेशी अकड़न');
INSERT INTO `lang_definitions` VALUES (127152, 6248, 24, 'मांसपेशी सूजन');
INSERT INTO `lang_definitions` VALUES (127153, 6249, 24, 'मांसपेशी गर्म');
INSERT INTO `lang_definitions` VALUES (127154, 6250, 24, 'मांसपेशी');
INSERT INTO `lang_definitions` VALUES (127155, 6251, 24, 'मांसपेशी की चोट');
INSERT INTO `lang_definitions` VALUES (127156, 6252, 24, 'पेशीकंकालीय');
INSERT INTO `lang_definitions` VALUES (127157, 6256, 24, 'SMTP प्रमाणीकरण का उपयोग नहीं किया जाता है तो खाली होना चाहिए.');
INSERT INTO `lang_definitions` VALUES (127158, 6259, 24, 'परस्पर में परिभाषित');
INSERT INTO `lang_definitions` VALUES (127159, 6260, 24, 'MVA');
INSERT INTO `lang_definitions` VALUES (127160, 6267, 24, 'मैं स्वयं');
INSERT INTO `lang_definitions` VALUES (127161, 6271, 24, 'N / A');
INSERT INTO `lang_definitions` VALUES (127162, 6272, 24, 'n /');
INSERT INTO `lang_definitions` VALUES (127163, 6274, 24, 'नाम');
INSERT INTO `lang_definitions` VALUES (127164, 6276, 24, 'नाम (अधिक के लिए क्लिक करें)');
INSERT INTO `lang_definitions` VALUES (127165, 6278, 24, '1 नाम');
INSERT INTO `lang_definitions` VALUES (127166, 6279, 24, '2 नाम');
INSERT INTO `lang_definitions` VALUES (127167, 6280, 24, 'नाम और प्रतिरक्षण प्रशासक का शीर्षक');
INSERT INTO `lang_definitions` VALUES (127168, 6284, 24, 'घटनाक्रम के नाम');
INSERT INTO `lang_definitions` VALUES (127169, 6285, 24, 'बीमा कंपनी के नाम');
INSERT INTO `lang_definitions` VALUES (127170, 6286, 24, 'प्रदाता के नाम');
INSERT INTO `lang_definitions` VALUES (127171, 6287, 24, 'रोगी अनुस्मारक के लिए भेजने वाले का नाम.');
INSERT INTO `lang_definitions` VALUES (127172, 6294, 24, 'नाम अनुवाद');
INSERT INTO `lang_definitions` VALUES (127173, 6295, 24, 'नाम / मान');
INSERT INTO `lang_definitions` VALUES (127174, 6296, 24, 'नाम:');
INSERT INTO `lang_definitions` VALUES (127175, 6300, 24, 'nares:');
INSERT INTO `lang_definitions` VALUES (127176, 6301, 24, 'Nares: सामान्य दाएँ');
INSERT INTO `lang_definitions` VALUES (127177, 6304, 24, 'अनुनासिक श्लेष्म गुलाबी, सेप्टम midline');
INSERT INTO `lang_definitions` VALUES (127178, 6305, 24, 'नेशन नोट्स');
INSERT INTO `lang_definitions` VALUES (127179, 6308, 24, 'नेशन नोट्स कॉन्फ़िगर');
INSERT INTO `lang_definitions` VALUES (127180, 6309, 24, 'नेशन नोट्स बटन बदलें');
INSERT INTO `lang_definitions` VALUES (127181, 6310, 24, 'राष्ट्रीयता');
INSERT INTO `lang_definitions` VALUES (127182, 6311, 24, 'NationNotes');
INSERT INTO `lang_definitions` VALUES (127183, 6313, 24, 'देशी हवाईयन या अन्य प्रशांत द्वीप');
INSERT INTO `lang_definitions` VALUES (127184, 6319, 24, 'मतली');
INSERT INTO `lang_definitions` VALUES (127185, 6322, 24, 'संचरण');
INSERT INTO `lang_definitions` VALUES (127186, 6323, 24, 'संचरण क्षेत्र मुठभेड़ फार्म शामिल');
INSERT INTO `lang_definitions` VALUES (127187, 6324, 24, 'संचरण क्षेत्र फ़्रेमसेट की पूरी ऊंचाई का उपयोग करता है');
INSERT INTO `lang_definitions` VALUES (127188, 6325, 24, 'संचरण क्षेत्र की यात्रा के फार्म');
INSERT INTO `lang_definitions` VALUES (127189, 6326, 24, 'संचरण क्षेत्र चौड़ाई');
INSERT INTO `lang_definitions` VALUES (127190, 6328, 24, 'संचरण मेनू रेडियो बटन जोड़ी के आकृति की में हैं');
INSERT INTO `lang_definitions` VALUES (127191, 6329, 24, 'संचरण मेनू एक पेड़ की आकृति में है');
INSERT INTO `lang_definitions` VALUES (127192, 6330, 24, 'संचरण एक स्लाइडिंग मेनू की आकृति में है');
INSERT INTO `lang_definitions` VALUES (127193, 6334, 24, 'NDC');
INSERT INTO `lang_definitions` VALUES (127194, 6335, 24, 'NDC डाटा');
INSERT INTO `lang_definitions` VALUES (127195, 6336, 24, 'NDC संख्या');
INSERT INTO `lang_definitions` VALUES (127196, 6348, 24, 'गर्दन की');
INSERT INTO `lang_definitions` VALUES (127197, 6349, 24, 'गर्दन की समस्याओं');
INSERT INTO `lang_definitions` VALUES (127198, 6350, 24, 'गर्दन की कोमलता');
INSERT INTO `lang_definitions` VALUES (127199, 6352, 24, 'एक विवरण दर्ज करने की आवश्यकता');
INSERT INTO `lang_definitions` VALUES (127200, 6353, 24, 'एक मान दर्ज करने की आवश्यकता');
INSERT INTO `lang_definitions` VALUES (127201, 6354, 24, 'पहचानकर्ता दर्ज करने की आवश्यकता');
INSERT INTO `lang_definitions` VALUES (127202, 6355, 24, 'शीर्षक दर्ज करने की आवश्यकता');
INSERT INTO `lang_definitions` VALUES (127203, 6358, 24, 'अधिकृत करने की जरूरत');
INSERT INTO `lang_definitions` VALUES (127204, 6359, 24, 'जस्टिफाई करने की जरूरत');
INSERT INTO `lang_definitions` VALUES (127205, 6360, 24, 'द्वितीयक बिलिंग की जरूरत');
INSERT INTO `lang_definitions` VALUES (127206, 6361, 24, 'नकारात्मक');
INSERT INTO `lang_definitions` VALUES (127207, 6363, 24, 'नकारात्मक');
INSERT INTO `lang_definitions` VALUES (127208, 6369, 24, 'तंत्रिका चोट');
INSERT INTO `lang_definitions` VALUES (127209, 6371, 24, 'तंत्रिका की स्थिति / तंत्रिका क्षति');
INSERT INTO `lang_definitions` VALUES (127210, 6373, 24, 'न्यूरो सन्न');
INSERT INTO `lang_definitions` VALUES (127211, 6374, 24, 'न्यूरो कमजोरी');
INSERT INTO `lang_definitions` VALUES (127212, 6377, 24, 'neurologic');
INSERT INTO `lang_definitions` VALUES (127213, 6381, 24, 'कभी नहीं');
INSERT INTO `lang_definitions` VALUES (127214, 6382, 24, 'कभी भी शराब पीने वाला नहीं');
INSERT INTO `lang_definitions` VALUES (127215, 6383, 24, 'कभी भी धूम्रपान करने वाला नहीं');
INSERT INTO `lang_definitions` VALUES (127216, 6384, 24, 'नया');
INSERT INTO `lang_definitions` VALUES (127217, 6385, 24, 'नया =>');
INSERT INTO `lang_definitions` VALUES (127218, 6386, 24, 'नया स्वीकार करने वाल');
INSERT INTO `lang_definitions` VALUES (127219, 6388, 24, 'नई एलर्जी');
INSERT INTO `lang_definitions` VALUES (127220, 6390, 24, 'नई नियुक्ति');
INSERT INTO `lang_definitions` VALUES (127221, 6391, 24, 'नई श्रेणियां');
INSERT INTO `lang_definitions` VALUES (127222, 6392, 24, 'नया श्रेणी');
INSERT INTO `lang_definitions` VALUES (127223, 6393, 24, 'नया ग्राहक');
INSERT INTO `lang_definitions` VALUES (127224, 6394, 24, 'नया परामर्श');
INSERT INTO `lang_definitions` VALUES (127225, 6395, 24, 'New Crop');
INSERT INTO `lang_definitions` VALUES (127226, 6396, 24, 'नई परिभाषा जोड़ी गई');
INSERT INTO `lang_definitions` VALUES (127227, 6397, 24, 'नए दस्तावेज़');
INSERT INTO `lang_definitions` VALUES (127228, 6398, 24, 'नए दस्तावेज़');
INSERT INTO `lang_definitions` VALUES (127229, 6401, 24, 'नई मुठभेड़');
INSERT INTO `lang_definitions` VALUES (127230, 6402, 24, 'ID के साथ बनाई गई नई मुठभेड़');
INSERT INTO `lang_definitions` VALUES (127231, 6403, 24, 'नई मुठभेड़ फार्म');
INSERT INTO `lang_definitions` VALUES (127232, 6404, 24, 'नई मुठभेड़ अधिकृत नहीं');
INSERT INTO `lang_definitions` VALUES (127233, 6405, 24, 'नई Enctr');
INSERT INTO `lang_definitions` VALUES (127234, 6406, 24, 'नई सुविधा की जानकारी');
INSERT INTO `lang_definitions` VALUES (127235, 6407, 24, 'नई फ़ाइल');
INSERT INTO `lang_definitions` VALUES (127236, 6408, 24, 'नई फ़ाइलें');
INSERT INTO `lang_definitions` VALUES (127237, 6410, 24, 'नया समूह');
INSERT INTO `lang_definitions` VALUES (127238, 6413, 24, 'नया समूह जानकारी');
INSERT INTO `lang_definitions` VALUES (127239, 6422, 24, 'नई Inj / स्थिति');
INSERT INTO `lang_definitions` VALUES (127240, 6425, 24, 'घटनाक्रम की नई सीमा');
INSERT INTO `lang_definitions` VALUES (127241, 6426, 24, 'नई सूची');
INSERT INTO `lang_definitions` VALUES (127242, 6432, 24, 'नए आदेश');
INSERT INTO `lang_definitions` VALUES (127243, 6433, 24, 'नया अनुच्छेद');
INSERT INTO `lang_definitions` VALUES (127244, 6434, 24, 'नया पासवर्ड');
INSERT INTO `lang_definitions` VALUES (127245, 6435, 24, 'नए रोगी');
INSERT INTO `lang_definitions` VALUES (127246, 6436, 24, 'नए रोगी');
INSERT INTO `lang_definitions` VALUES (127247, 6437, 24, 'नया रोगी मुठभेड़');
INSERT INTO `lang_definitions` VALUES (127248, 6438, 24, 'नया रोगी फार्म');
INSERT INTO `lang_definitions` VALUES (127249, 6439, 24, 'नया रोगी ID');
INSERT INTO `lang_definitions` VALUES (127250, 6442, 24, 'नया भुगतान');
INSERT INTO `lang_definitions` VALUES (127251, 6445, 24, 'नया Pt');
INSERT INTO `lang_definitions` VALUES (127252, 6447, 24, 'लैब मुद्रा से नए परिणाम');
INSERT INTO `lang_definitions` VALUES (127253, 6448, 24, 'नई खोज');
INSERT INTO `lang_definitions` VALUES (127254, 6449, 24, 'नई प्रस्तुतियाँ');
INSERT INTO `lang_definitions` VALUES (127255, 6451, 24, 'नया उपयोगकर्ता');
INSERT INTO `lang_definitions` VALUES (127256, 6453, 24, 'नई भेंट');
INSERT INTO `lang_definitions` VALUES (127257, 6454, 24, 'नई / खोज');
INSERT INTO `lang_definitions` VALUES (127258, 6455, 24, 'NewCrop खाते की स्थिति');
INSERT INTO `lang_definitions` VALUES (127259, 6456, 24, 'NewCrop व्यवस्थापक');
INSERT INTO `lang_definitions` VALUES (127260, 6457, 24, 'NewCrop कॉल विफल');
INSERT INTO `lang_definitions` VALUES (127261, 6458, 24, 'NewCrop डॉक्टर');
INSERT INTO `lang_definitions` VALUES (127262, 6463, 24, 'NewCrop eRx नाम');
INSERT INTO `lang_definitions` VALUES (127263, 6464, 24, 'NewCrop eRx साथी का नाम');
INSERT INTO `lang_definitions` VALUES (127264, 6465, 24, 'NewCrop eRx पासवर्ड');
INSERT INTO `lang_definitions` VALUES (127265, 6466, 24, 'NewCrop eRx भूमिका');
INSERT INTO `lang_definitions` VALUES (127266, 6467, 24, 'NewCrop eRx भूमिका');
INSERT INTO `lang_definitions` VALUES (127267, 6468, 24, 'NewCrop eRx साइट पता');
INSERT INTO `lang_definitions` VALUES (127268, 6473, 24, 'NewCrop eRx वेब सेवा पता');
INSERT INTO `lang_definitions` VALUES (127269, 6474, 24, 'NewCrop प्रबंधक');
INSERT INTO `lang_definitions` VALUES (127270, 6475, 24, 'NewCrop MedEntry');
INSERT INTO `lang_definitions` VALUES (127271, 6476, 24, 'NewCrop midlevel prescriber');
INSERT INTO `lang_definitions` VALUES (127272, 6477, 24, 'NewCrop नर्स');
INSERT INTO `lang_definitions` VALUES (127273, 6478, 24, 'NewCrop पर्यवेक्षण डॉक्टर');
INSERT INTO `lang_definitions` VALUES (127274, 6481, 24, 'अख़बार');
INSERT INTO `lang_definitions` VALUES (127275, 6482, 24, 'अगला');
INSERT INTO `lang_definitions` VALUES (127276, 6484, 24, 'अगले दिन');
INSERT INTO `lang_definitions` VALUES (127277, 6485, 24, 'अगले महीने');
INSERT INTO `lang_definitions` VALUES (127278, 6486, 24, 'अगले महीने (मेनू के लिए पकड़)');
INSERT INTO `lang_definitions` VALUES (127279, 6488, 24, 'अगला अनुसूचित चलाए');
INSERT INTO `lang_definitions` VALUES (127280, 6491, 24, 'अगले सप्ताह');
INSERT INTO `lang_definitions` VALUES (127281, 6492, 24, 'अगले साल (मेनू के लिए पकड़)');
INSERT INTO `lang_definitions` VALUES (127282, 6494, 24, 'उपनाम');
INSERT INTO `lang_definitions` VALUES (127283, 6496, 24, 'रात को पसीना');
INSERT INTO `lang_definitions` VALUES (127284, 6498, 24, 'Nl ext जननांग, VAG म्यूकोसा, गर्भाशय ग्रीवा');
INSERT INTO `lang_definitions` VALUES (127285, 6499, 24, 'नहीं');
INSERT INTO `lang_definitions` VALUES (127286, 6500, 24, 'नहीं');
INSERT INTO `lang_definitions` VALUES (127287, 6502, 24, 'पहुंच नहीं');
INSERT INTO `lang_definitions` VALUES (127288, 6503, 24, 'सक्रिय रोगी अनुस्मारक नहीं.');
INSERT INTO `lang_definitions` VALUES (127289, 6504, 24, 'ग्रंथिरोग नहीं है (आवश्यक 2 क्षेत्रों)');
INSERT INTO `lang_definitions` VALUES (127290, 6505, 24, 'कोई समायोजन कारण प्रकार मिला नहीं');
INSERT INTO `lang_definitions` VALUES (127291, 6506, 24, 'उपांगीय Tenderness / Masses नहीं है');
INSERT INTO `lang_definitions` VALUES (127292, 6509, 24, 'कोई नियुक्तिया नहीं है');
INSERT INTO `lang_definitions` VALUES (127293, 6515, 24, 'बिलिंग प्रणाली वर्तमान में सक्रिय नहीं है');
INSERT INTO `lang_definitions` VALUES (127294, 6516, 24, 'OFX निर्यात में शामिल करने के लिए, नहीं मिला बिल');
INSERT INTO `lang_definitions` VALUES (127295, 6517, 24, 'OFX निर्यात में शामिल करने के लिए, नहीं मिला बिल <br>');
INSERT INTO `lang_definitions` VALUES (127296, 6519, 24, 'कोड निर्दिष्ट किया गया नहीं था!');
INSERT INTO `lang_definitions` VALUES (127297, 6523, 24, 'कोई निदान नहीं है');
INSERT INTO `lang_definitions` VALUES (127298, 6526, 24, 'कोई दस्तावेज मिला नहीं है');
INSERT INTO `lang_definitions` VALUES (127299, 6527, 24, 'मुठभेड़ नहीं बनाया जा सकता है');
INSERT INTO `lang_definitions` VALUES (127300, 6529, 24, 'कोई अंतिम तिथि नहीं है');
INSERT INTO `lang_definitions` VALUES (127301, 6530, 24, 'प्रविष्टियों मिली नहीं, एक प्रविष्टि जोड़ने के लिए नीचे दिए गए फ़ॉर्म का उपयोग करें.');
INSERT INTO `lang_definitions` VALUES (127302, 6531, 24, 'कोई त्रुटि मिली नहीं');
INSERT INTO `lang_definitions` VALUES (127303, 6532, 24, 'कोई इवेंट नहीं');
INSERT INTO `lang_definitions` VALUES (127304, 6534, 24, 'स्थापना के लिए कोई फाइल मंचन नहीं');
INSERT INTO `lang_definitions` VALUES (127305, 6536, 24, 'समूह का चयन किया गया नहीं है');
INSERT INTO `lang_definitions` VALUES (127306, 6537, 24, 'हर्निया नहीं है');
INSERT INTO `lang_definitions` VALUES (127307, 6540, 24, 'कोई चोट / बीमारी नहीं है');
INSERT INTO `lang_definitions` VALUES (127308, 6541, 24, 'बीमा कंपनियों नहीं मिला');
INSERT INTO `lang_definitions` VALUES (127309, 6544, 24, 'कोई मुद्दे नहीं');
INSERT INTO `lang_definitions` VALUES (127310, 6545, 24, 'इस मुठभेड़ में कोई मुद्दे नहीं');
INSERT INTO `lang_definitions` VALUES (127311, 6546, 24, 'चयनित श्रेणी में कोई आइटम नहीं');
INSERT INTO `lang_definitions` VALUES (127312, 6547, 24, 'कोई आइटम चयन किया गया नहीं था!');
INSERT INTO `lang_definitions` VALUES (127313, 6562, 24, 'कोई लॉग फ़ाइल चयनित तिथि के लिए मौजूद नहीं हैं');
INSERT INTO `lang_definitions` VALUES (127314, 6565, 24, 'masses, tenderness नहीं है');
INSERT INTO `lang_definitions` VALUES (127315, 6566, 24, 'Re Idenitification कोड के लिए कोई रोगी रिकॉर्ड नहीं मिला');
INSERT INTO `lang_definitions` VALUES (127316, 6568, 24, 'कोई मेल नहीं मिला. फिर से प्रयास करें.');
INSERT INTO `lang_definitions` VALUES (127317, 6569, 24, 'कोई मेल नहीं मिला');
INSERT INTO `lang_definitions` VALUES (127318, 6570, 24, 'कोई मेल नहीं मिला. अब नए रोगी बनाएँ?');
INSERT INTO `lang_definitions` VALUES (127319, 6571, 24, 'मेल खाता रिकॉर्ड नहीं पाया');
INSERT INTO `lang_definitions` VALUES (127320, 6577, 24, 'नया परिणाम नहीं मिला');
INSERT INTO `lang_definitions` VALUES (127321, 6578, 24, 'नोट नहीं है');
INSERT INTO `lang_definitions` VALUES (127322, 6579, 24, 'ogrganomegoly नहीं है');
INSERT INTO `lang_definitions` VALUES (127323, 6580, 24, 'इस अवधि के लिए अवसर नहीं पाए गए.');
INSERT INTO `lang_definitions` VALUES (127324, 6583, 24, 'अन्य फोन नंबर सूचीबद्ध नहीं');
INSERT INTO `lang_definitions` VALUES (127325, 6585, 24, 'पार्टनर्स नहीं मिले');
INSERT INTO `lang_definitions` VALUES (127326, 6586, 24, 'दिए चयन मानदंड के लिए कोई रोगी रिकॉर्ड नहीं मिला');
INSERT INTO `lang_definitions` VALUES (127327, 6587, 24, 'Re identification कोड के लिए कोई रोगी रिकॉर्ड नहीं मिला');
INSERT INTO `lang_definitions` VALUES (127328, 6588, 24, 'कोई परिधीय शोफ नहीं है');
INSERT INTO `lang_definitions` VALUES (127329, 6589, 24, 'फ़ार्मेसियां नहीं मिली');
INSERT INTO `lang_definitions` VALUES (127330, 6590, 24, 'नुस्खे नहीं मिले');
INSERT INTO `lang_definitions` VALUES (127331, 6592, 24, 'बीमारी / चोट नहीं है');
INSERT INTO `lang_definitions` VALUES (127332, 6593, 24, 'पिछली प्रविष्टियां नहीं है.');
INSERT INTO `lang_definitions` VALUES (127333, 6594, 24, 'सुविधा सूची में कोई प्राथमिक व्यापार इकाई चयनित नहीं है');
INSERT INTO `lang_definitions` VALUES (127334, 6595, 24, 'कोई पूर्व मुठभेड़ नहीं है.');
INSERT INTO `lang_definitions` VALUES (127335, 6596, 24, 'इस मुठभेड़ में कोई प्रक्रिया नहीं है.');
INSERT INTO `lang_definitions` VALUES (127336, 6598, 24, 'प्रदाता नहीं मिला');
INSERT INTO `lang_definitions` VALUES (127337, 6599, 24, 'लाल चकत्ते या असामान्य घाव नहीं है.');
INSERT INTO `lang_definitions` VALUES (127338, 6602, 24, 'रिकॉर्ड नहीं मिला');
INSERT INTO `lang_definitions` VALUES (127339, 6604, 24, 'कोई रिकॉर्ड नहीं मिला. आपके खोज मानदंडों का विस्तार करें.');
INSERT INTO `lang_definitions` VALUES (127340, 6607, 24, 'कोई अनुस्मारक नहीं है');
INSERT INTO `lang_definitions` VALUES (127341, 6608, 24, 'ऊपर के खोज मापदंड के लिए कोई परिणाम नहीं मिला.');
INSERT INTO `lang_definitions` VALUES (127342, 6609, 24, 'कोई परिणाम नहीं है');
INSERT INTO `lang_definitions` VALUES (127343, 6610, 24, 'कोई परिणाम नहीं मिले');
INSERT INTO `lang_definitions` VALUES (127344, 6612, 24, 'खोज के लिए कोई परिणाम नहीं मिले');
INSERT INTO `lang_definitions` VALUES (127345, 6613, 24, 'कोई परिणाम नहीं मिले, पुन: प्रयास करें.');
INSERT INTO `lang_definitions` VALUES (127346, 6614, 24, 'कोई परिणाम नहीं, कृपया पुनः प्रयास करें.');
INSERT INTO `lang_definitions` VALUES (127347, 6615, 24, 'कोई परिणाम नहीं, कृपया पुनः प्रयास करें.');
INSERT INTO `lang_definitions` VALUES (127348, 6618, 24, 'नहीं दिखाएँ');
INSERT INTO `lang_definitions` VALUES (127349, 6622, 24, 'साइनस Tenderness नहीं है:');
INSERT INTO `lang_definitions` VALUES (127350, 6623, 24, 'त्वचा प्रगर्तन या स्तन पिंड नहीं है:');
INSERT INTO `lang_definitions` VALUES (127351, 6624, 24, 'ऐसी कोई संदर्भ नाम नहीं है:');
INSERT INTO `lang_definitions` VALUES (127352, 6625, 24, 'कोई तालिका चयनित नहीं है! टेबल चुनें.');
INSERT INTO `lang_definitions` VALUES (127353, 6626, 24, 'कोई वृषण Tenderness नहीं है, masses');
INSERT INTO `lang_definitions` VALUES (127354, 6628, 24, 'कोई रोमांच या पलीता नहीं है');
INSERT INTO `lang_definitions` VALUES (127355, 6632, 24, 'कोई यात्रा नहीं है');
INSERT INTO `lang_definitions` VALUES (127356, 6633, 24, 'कोई नब्ज दर्ज किया गया नहीं है.');
INSERT INTO `lang_definitions` VALUES (127357, 6634, 24, 'नहीं, रद्द');
INSERT INTO `lang_definitions` VALUES (127358, 6635, 24, 'कोई बीमा गलती नहीं है ऑटो प्राथमिक है');
INSERT INTO `lang_definitions` VALUES (127359, 6636, 24, 'नहीं:');
INSERT INTO `lang_definitions` VALUES (127360, 6637, 24, 'निशामेह');
INSERT INTO `lang_definitions` VALUES (127361, 6638, 24, 'भुगतान नहीं');
INSERT INTO `lang_definitions` VALUES (127362, 6640, 24, 'गैर प्रतिवेदित रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (127363, 6641, 24, 'गैर विशिष्ट चोट');
INSERT INTO `lang_definitions` VALUES (127364, 6642, 24, 'गैर इलेक्ट्रॉनिक');
INSERT INTO `lang_definitions` VALUES (127365, 6643, 24, 'गैर इंसुलिन निर्भर मधुमेह');
INSERT INTO `lang_definitions` VALUES (127366, 6644, 24, 'गैर बीमाकृत');
INSERT INTO `lang_definitions` VALUES (127367, 6646, 24, 'गैर SRH मेडिकल');
INSERT INTO `lang_definitions` VALUES (127368, 6647, 24, 'गैर SRH गैर मेडिकल');
INSERT INTO `lang_definitions` VALUES (127369, 6648, 24, 'कोई नहीं');
INSERT INTO `lang_definitions` VALUES (127370, 6649, 24, 'कोई नहीं');
INSERT INTO `lang_definitions` VALUES (127371, 6650, 24, 'कोई भी परिभाषित नहीं किया');
INSERT INTO `lang_definitions` VALUES (127372, 6652, 24, 'कोई भी प्रलेखित नहीं किया गया है');
INSERT INTO `lang_definitions` VALUES (127373, 6653, 24, 'उपरोक्त में से कोई भी नहीं');
INSERT INTO `lang_definitions` VALUES (127374, 6654, 24, 'शीर्ष वितरण पंक्ति में से कोई भी पूरी तरह से खाली नहीं हो सकता है.');
INSERT INTO `lang_definitions` VALUES (127375, 6683, 24, 'गैरइंसुलिन निर्भर मधुमेह');
INSERT INTO `lang_definitions` VALUES (127376, 6684, 24, 'Nor');
INSERT INTO `lang_definitions` VALUES (127377, 6685, 24, 'सामान्य');
INSERT INTO `lang_definitions` VALUES (127378, 6687, 24, 'सामान्य BL');
INSERT INTO `lang_definitions` VALUES (127379, 6688, 24, 'सामान्य कार्डिएक परीक्षा:');
INSERT INTO `lang_definitions` VALUES (127380, 6689, 24, 'सामान्य कार्डिएक परीक्षा:');
INSERT INTO `lang_definitions` VALUES (127381, 6690, 24, 'सामान्य फेफड़ों परीक्षा:');
INSERT INTO `lang_definitions` VALUES (127382, 6691, 24, 'सामान्य फेफड़ों परीक्षा:');
INSERT INTO `lang_definitions` VALUES (127383, 6692, 24, 'सामान्य कार्यालय यात्रा');
INSERT INTO `lang_definitions` VALUES (127384, 6693, 24, 'सामान्य oropharynx:');
INSERT INTO `lang_definitions` VALUES (127385, 6694, 24, 'सामान्य दाएँ');
INSERT INTO `lang_definitions` VALUES (127386, 6695, 24, 'सामान्य दाएँ:');
INSERT INTO `lang_definitions` VALUES (127387, 6696, 24, 'सामान्य दृश्य');
INSERT INTO `lang_definitions` VALUES (127388, 6697, 24, 'सामान्य:');
INSERT INTO `lang_definitions` VALUES (127389, 6698, 24, 'आम तौर पर इसकी जाँच की जानी चाहिए. अभिगम नियंत्रण से संबंधित नहीं है.');
INSERT INTO `lang_definitions` VALUES (127390, 6701, 24, 'नार्वेजियन');
INSERT INTO `lang_definitions` VALUES (127391, 6705, 24, 'नाक');
INSERT INTO `lang_definitions` VALUES (127392, 6706, 24, 'नकसीर');
INSERT INTO `lang_definitions` VALUES (127393, 6707, 24, 'एक अक्षर या संख्या नहीं');
INSERT INTO `lang_definitions` VALUES (127394, 6710, 24, 'सभी क्षेत्रों सभी कोड या कोड प्रकार के लिए आवश्यक नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (127395, 6712, 24, 'अनुमति नहीं');
INSERT INTO `lang_definitions` VALUES (127396, 6713, 24, 'व्यवस्थापकों के समूह को नष्ट करने की अनुमति नहीं');
INSERT INTO `lang_definitions` VALUES (127397, 6714, 24, 'संपादित करने की अनुमति नहीं');
INSERT INTO `lang_definitions` VALUES (127398, 6715, 24, 'सभी सुरक्षा वस्तुओं को निष्क्रिय करने की अनुमति नहीं');
INSERT INTO `lang_definitions` VALUES (127399, 6716, 24, 'व्यवस्थापकों के ACL से कुछ भी निष्क्रिय करने की अनुमति नहीं');
INSERT INTO `lang_definitions` VALUES (127400, 6717, 24, 'व्यवस्थापकों के समूह से व्यवस्थापक उपयोगकर्ता को हटाने की अनुमति नहीं');
INSERT INTO `lang_definitions` VALUES (127401, 6718, 24, 'व्यवस्थापकों के समूह से इस उपयोगकर्ता को हटाने की अनुमति नहीं');
INSERT INTO `lang_definitions` VALUES (127402, 6719, 24, 'लागू नहीं');
INSERT INTO `lang_definitions` VALUES (127403, 6720, 24, 'PostCalendar मॉड्यूल का उपयोग करने के लिए अधिकृत नहीं');
INSERT INTO `lang_definitions` VALUES (127404, 6721, 24, 'अधिकृत नहीं');
INSERT INTO `lang_definitions` VALUES (127405, 6722, 24, 'अनुमति नहीं');
INSERT INTO `lang_definitions` VALUES (127406, 6723, 24, 'इस दस्ते के लिए अधिकृत नहीं!');
INSERT INTO `lang_definitions` VALUES (127407, 6724, 24, 'इस दस्ते के लिए अधिकृत नहीं है.');
INSERT INTO `lang_definitions` VALUES (127408, 6725, 24, 'उपयोगकर्ताओं को प्रबंधित करने के लिए अधिकृत नहीं!');
INSERT INTO `lang_definitions` VALUES (127409, 6726, 24, 'परिणामों पर हस्ताक्षर के लिए अधिकृत नहीं');
INSERT INTO `lang_definitions` VALUES (127410, 6729, 24, 'उपलब्ध नहीं');
INSERT INTO `lang_definitions` VALUES (127411, 6731, 24, 'बिल नहीं भेजा');
INSERT INTO `lang_definitions` VALUES (127412, 6732, 24, 'जाँच नहीं की');
INSERT INTO `lang_definitions` VALUES (127413, 6733, 24, 'बाहर नहीं गए');
INSERT INTO `lang_definitions` VALUES (127414, 6734, 24, 'कोडित नहीं');
INSERT INTO `lang_definitions` VALUES (127415, 6736, 24, 'देय नहीं');
INSERT INTO `lang_definitions` VALUES (127416, 6738, 24, 'जांच नहीं की');
INSERT INTO `lang_definitions` VALUES (127417, 6739, 24, 'जांच नहीं की:');
INSERT INTO `lang_definitions` VALUES (127418, 6740, 24, 'जांच नहीं की:');
INSERT INTO `lang_definitions` VALUES (127419, 6742, 24, 'नहीं मिला');
INSERT INTO `lang_definitions` VALUES (127420, 6744, 24, 'नहीं मिला!');
INSERT INTO `lang_definitions` VALUES (127421, 6745, 24, 'हिस्पैनिक या लैटिनो नहीं');
INSERT INTO `lang_definitions` VALUES (127422, 6746, 24, 'स्थापित नहीं');
INSERT INTO `lang_definitions` VALUES (127423, 6751, 24, 'के बाद नहीं देखा');
INSERT INTO `lang_definitions` VALUES (127424, 6752, 24, 'नहीं भेजा');
INSERT INTO `lang_definitions` VALUES (127425, 6753, 24, 'अभी तक नहीं भेजा');
INSERT INTO `lang_definitions` VALUES (127426, 6754, 24, 'निर्दिष्ट नहीं');
INSERT INTO `lang_definitions` VALUES (127427, 6755, 24, 'निर्दिष्ट नहीं.');
INSERT INTO `lang_definitions` VALUES (127428, 6758, 24, 'टिप्पणी');
INSERT INTO `lang_definitions` VALUES (127429, 6760, 24, 'संहिताएं टिप्पणी');
INSERT INTO `lang_definitions` VALUES (127430, 6762, 24, 'ध्यान दें स्थापित क्लिक करने के बाद पूरी तरह से संसाधित करने के लिए यह 5-10 मिनट का समय ले लेगा');
INSERT INTO `lang_definitions` VALUES (127431, 6763, 24, 'ध्यान दें उन्नयन क्लिक करने के बाद पूरी तरह से संसाधित करने के लिए यह 5-10 मिनट का समय ले लेगा');
INSERT INTO `lang_definitions` VALUES (127432, 6764, 24, 'ऑडिट लॉगिंग सक्रिय करने की जरूरत पर ध्यान दें');
INSERT INTO `lang_definitions` VALUES (127433, 6771, 24, 'ध्यान दें प्रकार');
INSERT INTO `lang_definitions` VALUES (127434, 6772, 24, 'ध्यान दें: 12:00 दोपहर अपराह्न है,पूर्वाह्न नहीं');
INSERT INTO `lang_definitions` VALUES (127435, 6773, 24, 'ध्यान दें: अपने हार्डवेयर विन्यास के आधार पर बाहरी डेटा आयात को एक घंटे से भी अधिक समय लग सकता है. उदाहरण के लिए, RxNorm डेटा तालिकाओं में 6 मिलियन पंक्तियों से अधिक होते हैं.');
INSERT INTO `lang_definitions` VALUES (127436, 6774, 24, 'ध्यान दें: केवल द्विवार्षिक अंतर्राष्ट्रीय Snomed रिलीज वर्तमान में समर्थित है');
INSERT INTO `lang_definitions` VALUES (127437, 6776, 24, 'ध्यान दें: केवल पूर्ण मासिक RxNorm रिलीज वर्तमान में समर्थित है');
INSERT INTO `lang_definitions` VALUES (127438, 6780, 24, 'ध्यान दें: यह कोड एक अधिकृत उपयोगकर्ता द्वारा दर्ज नहीं किया गया था.प्रसंस्करण के लिए केवल अधिकृत कोड ओपन चिकित्सा बिलिंग नेटवर्क पर अपलोड किया जा सकता है. आप इन कोड को अपलोड करना चाहते हैं, तो यहाँ एक अधिकृत उपयोगकर्ता का चयन करें.');
INSERT INTO `lang_definitions` VALUES (127439, 6783, 24, 'ध्यान दें: यदि आप नकली नामों के साथ फाइल अपलोड करते हैं तो स्वचालित रूप से फ़ाइल का नाम बदल दिया जाएगा (उदाहरण के लिए, file.jpg file.1.jpg हो जाएगा). Filenames , रोगी के प्रति अनूठा माना जाता है श्रेणी के अनुसार नहीं.');
INSERT INTO `lang_definitions` VALUES (127440, 6784, 24, 'ध्यान दें: यदि आप नकली नामों के साथ फाइल अपलोड करते हैं तो स्वचालित रूप से फ़ाइल का नाम बदल दिया जाएगा उदाहरण के लिए \'<i> file.jpg </ i>\' <i> file.jpg.1 </ i> \' बन जाएगा. Filenames , रोगी के प्रति अनूठा माना जाता है श्रेणी के अनुसार नहीं.');
INSERT INTO `lang_definitions` VALUES (127441, 6785, 24, 'टिप्पणी');
INSERT INTO `lang_definitions` VALUES (127442, 6788, 24, 'टिप्पणी - किसी भी मुठभेड़ों के (addonly वैकल्पिक लिखने,)');
INSERT INTO `lang_definitions` VALUES (127443, 6790, 24, 'टिप्पणी - मेरे मुठभेड़ों के (addonly वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (127444, 6793, 24, 'टिप्पणी अधिकृत नहीं');
INSERT INTO `lang_definitions` VALUES (127445, 6796, 24, 'रिकॉर्ड कुछ भी नहीं');
INSERT INTO `lang_definitions` VALUES (127446, 6799, 24, 'एलर्जी के लिए आयात करने के लिए कुछ भी नहीं');
INSERT INTO `lang_definitions` VALUES (127447, 6800, 24, 'पर्चे के लिए आयात करने के लिए कुछ भी नहीं');
INSERT INTO `lang_definitions` VALUES (127448, 6803, 24, 'दिखाने के लिए कुछ भी नहीं');
INSERT INTO `lang_definitions` VALUES (127449, 6804, 24, 'कुछ भी नहीं चुना गया था');
INSERT INTO `lang_definitions` VALUES (127450, 6808, 24, 'सूचना :: PostCalendar सबमिशन / संशोधन');
INSERT INTO `lang_definitions` VALUES (127451, 6809, 24, 'सूचना');
INSERT INTO `lang_definitions` VALUES (127452, 6810, 24, 'सूचना ईमेल पता');
INSERT INTO `lang_definitions` VALUES (127453, 6815, 24, 'सूचनाएं');
INSERT INTO `lang_definitions` VALUES (127454, 6816, 24, 'घटना सबमिशन / संशोधन के बारे में व्यवस्थापक को सूचित करें?');
INSERT INTO `lang_definitions` VALUES (127455, 6820, 24, 'नवम्बर');
INSERT INTO `lang_definitions` VALUES (127456, 6821, 24, 'नवम्बर');
INSERT INTO `lang_definitions` VALUES (127457, 6824, 24, 'अब के लिए पोस्टिंग:');
INSERT INTO `lang_definitions` VALUES (127458, 6825, 24, 'अब छपाई कर रहा है');
INSERT INTO `lang_definitions` VALUES (127459, 6826, 24, 'अब $ stmt_count बयान छपाई और मुठभेड़ों का अद्यतन कर रहा है.');
INSERT INTO `lang_definitions` VALUES (127460, 6827, 24, 'अब $ stmt_count बयान छपाई और चालान अद्यतन कर रहा है.');
INSERT INTO `lang_definitions` VALUES (127461, 6828, 24, 'अब $ stmt_count बयान छपाई, मुठभेड़ों का अद्यतन नहीं किया जाएगा.');
INSERT INTO `lang_definitions` VALUES (127462, 6829, 24, 'अब $ stmt_count बयान छपाई, चालान अद्यतन नहीं किया जाएगा.');
INSERT INTO `lang_definitions` VALUES (127463, 6834, 24, 'NPI');
INSERT INTO `lang_definitions` VALUES (127464, 6836, 24, 'NQF');
INSERT INTO `lang_definitions` VALUES (127465, 6837, 24, 'संख्या');
INSERT INTO `lang_definitions` VALUES (127466, 6838, 24, 'संख्या लैब्स');
INSERT INTO `lang_definitions` VALUES (127467, 6843, 24, 'वर्ष दृश्य में स्तंभों की संख्या.');
INSERT INTO `lang_definitions` VALUES (127468, 6850, 24, 'ग्राहक प्रमाणपत्र वैध होने कि दिनों की संख्या.');
INSERT INTO `lang_definitions` VALUES (127469, 6852, 24, 'मुद्रा के लिए दशमलव बिंदु के बाद अंकों की संख्या, आमतौर पर 0 या 2.');
INSERT INTO `lang_definitions` VALUES (127470, 6853, 24, 'प्रति पृष्ठ प्रदर्शित करने के लिए मुठभेड़ों की संख्या.');
INSERT INTO `lang_definitions` VALUES (127471, 6855, 24, 'चूक गए, खेल या घटनाओं की संख्या, यदि कोई हो');
INSERT INTO `lang_definitions` VALUES (127472, 6856, 24, 'ईमेल सूचना भेजने के लिए अग्रिम में घंटे की संख्या.');
INSERT INTO `lang_definitions` VALUES (127473, 6857, 24, 'फोन अधिसूचना भेजने के लिए अग्रिम में घंटे की संख्या.');
INSERT INTO `lang_definitions` VALUES (127474, 6858, 24, 'एसएमएस सूचनाएं भेजने के लिए अग्रिम में घंटे की संख्या.');
INSERT INTO `lang_definitions` VALUES (127475, 6862, 24, 'अतीत के इतिहास के स्तम्भों की संख्या');
INSERT INTO `lang_definitions` VALUES (127476, 6863, 24, 'रोगी सूची में प्रति पृष्ठ प्रदर्शित करने के लिए रोगियों की संख्या.');
INSERT INTO `lang_definitions` VALUES (127477, 6864, 24, 'सुन्नता');
INSERT INTO `lang_definitions` VALUES (127478, 6865, 24, 'अंश');
INSERT INTO `lang_definitions` VALUES (127479, 6866, 24, 'संख्यात्मक प्रदर्शन का क्रम');
INSERT INTO `lang_definitions` VALUES (127480, 6869, 24, 'पोषण');
INSERT INTO `lang_definitions` VALUES (127481, 6871, 24, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (127482, 6872, 24, 'O2 Sat');
INSERT INTO `lang_definitions` VALUES (127483, 6874, 24, 'मोटापा I');
INSERT INTO `lang_definitions` VALUES (127484, 6875, 24, 'मोटापा II');
INSERT INTO `lang_definitions` VALUES (127485, 6876, 24, 'मोटापा III');
INSERT INTO `lang_definitions` VALUES (127486, 6877, 24, 'लक्ष्य');
INSERT INTO `lang_definitions` VALUES (127487, 6886, 24, 'व्यवसाय');
INSERT INTO `lang_definitions` VALUES (127488, 6889, 24, 'घटना');
INSERT INTO `lang_definitions` VALUES (127489, 6890, 24, 'अक्टूबर');
INSERT INTO `lang_definitions` VALUES (127490, 6891, 24, 'अक्टूबर');
INSERT INTO `lang_definitions` VALUES (127491, 6892, 24, 'OD');
INSERT INTO `lang_definitions` VALUES (127492, 6895, 24, 'की');
INSERT INTO `lang_definitions` VALUES (127493, 6896, 24, 'मात्रा की');
INSERT INTO `lang_definitions` VALUES (127494, 6897, 24, 'गोलियों की');
INSERT INTO `lang_definitions` VALUES (127495, 6898, 24, 'महीने के हर');
INSERT INTO `lang_definitions` VALUES (127496, 6899, 24, 'OFC नोट्स');
INSERT INTO `lang_definitions` VALUES (127497, 6900, 24, 'बंद');
INSERT INTO `lang_definitions` VALUES (127498, 6907, 24, 'कार्यालय नोट्स');
INSERT INTO `lang_definitions` VALUES (127499, 6908, 24, 'कार्यालय यात्रा');
INSERT INTO `lang_definitions` VALUES (127500, 6909, 24, 'आधिकारिक क्लीनिकल क्वालिटी उपाय (CQM) उपाय समूह');
INSERT INTO `lang_definitions` VALUES (127501, 6910, 24, 'रोगी पोर्टल के लिए offsite Https लिंक.');
INSERT INTO `lang_definitions` VALUES (127502, 6911, 24, 'रोगी पोर्टल के लिए offsite Https लिंक. (रोगी लिंक)');
INSERT INTO `lang_definitions` VALUES (127503, 6912, 24, 'Offsite रोगी पोर्टल पारण');
INSERT INTO `lang_definitions` VALUES (127504, 6913, 24, 'Offsite रोगी पोर्टल पारण(पंजीकृत नहीं तो रिक्त डाल).');
INSERT INTO `lang_definitions` VALUES (127505, 6914, 24, 'Offsite रोगी पोर्टल प्रदाता ID');
INSERT INTO `lang_definitions` VALUES (127506, 6915, 24, 'Offsite रोगी पोर्टल प्रदाता ID (पंजीकृत नहीं तो रिक्त डाल).');
INSERT INTO `lang_definitions` VALUES (127507, 6916, 24, 'Offsite रोगी पोर्टल साइट पता');
INSERT INTO `lang_definitions` VALUES (127508, 6917, 24, 'Offsite रोगी पोर्टल साइट पता (रोगी लिंक)');
INSERT INTO `lang_definitions` VALUES (127509, 6918, 24, 'Offsite रोगी पोर्टल उपयोगकर्ता नाम');
INSERT INTO `lang_definitions` VALUES (127510, 6919, 24, 'Offsite रोगी पोर्टल उपयोगकर्ता नाम (पंजीकृत नहीं तो रिक्त डाल).');
INSERT INTO `lang_definitions` VALUES (127511, 6921, 24, 'वंशज');
INSERT INTO `lang_definitions` VALUES (127512, 6925, 24, 'मरहम');
INSERT INTO `lang_definitions` VALUES (127513, 6927, 24, 'ठीक है');
INSERT INTO `lang_definitions` VALUES (127514, 6930, 24, 'दिनांक GCAC मुद्दे से जोड़ने के लिए ठीक है');
INSERT INTO `lang_definitions` VALUES (127515, 6931, 24, 'पुराना');
INSERT INTO `lang_definitions` VALUES (127516, 6933, 24, 'पुराने ग्राहकों के');
INSERT INTO `lang_definitions` VALUES (127517, 6934, 24, 'पुरानी फ्रैक्चर गैर / कुसम्मिलन');
INSERT INTO `lang_definitions` VALUES (127518, 6935, 24, 'बाएँ मेनू के बिना पुरानी शैली लेआउट');
INSERT INTO `lang_definitions` VALUES (127519, 6936, 24, 'खोज या दोहराव जाँच के बिना पुरानी शैली स्थिर फार्म');
INSERT INTO `lang_definitions` VALUES (127520, 6940, 24, 'छोड़ दे');
INSERT INTO `lang_definitions` VALUES (127521, 6941, 24, 'परिधियों छोड़ दे');
INSERT INTO `lang_definitions` VALUES (127522, 6942, 24, 'रोगी जनसांख्यिकी में नियोक्ता जानकारी छोड़ दे');
INSERT INTO `lang_definitions` VALUES (127523, 6943, 24, 'नियोक्ता छोड़ दे');
INSERT INTO `lang_definitions` VALUES (127524, 6944, 24, 'रूप, मार्ग और अंतराल छोड़ दे, जो खुराक का हिस्सा बन गया');
INSERT INTO `lang_definitions` VALUES (127525, 6945, 24, 'जनसांख्यिकी रूप से बीमा और कुछ अन्य चीजों को छोड़ दे');
INSERT INTO `lang_definitions` VALUES (127526, 6946, 24, 'आंतरिक उपयोगकर्ताओं छोड़ दे?');
INSERT INTO `lang_definitions` VALUES (127527, 6947, 24, 'सह भुगतान पैनल से भुगतान की विधि छोड़ दे');
INSERT INTO `lang_definitions` VALUES (127528, 6948, 24, 'autoassign को छोड़ दे');
INSERT INTO `lang_definitions` VALUES (127529, 6949, 24, 'पर');
INSERT INTO `lang_definitions` VALUES (127530, 6950, 24, 'पर');
INSERT INTO `lang_definitions` VALUES (127531, 6956, 24, 'हाथ में');
INSERT INTO `lang_definitions` VALUES (127532, 6959, 24, 'आदेश पर');
INSERT INTO `lang_definitions` VALUES (127533, 6960, 24, 'साइट पर');
INSERT INTO `lang_definitions` VALUES (127534, 6975, 24, 'प्राथमिक व्यापार सुविधा एक बार स्थापित किया तो यह बदलना नहीं चाहिए. सुविधा को बदलना NewCrop ePrescription के कार्यकरण को प्रभावित करेगा.');
INSERT INTO `lang_definitions` VALUES (127535, 6979, 24, 'यदि आप अपना पासवर्ड बदल लें, तो आपको फिर से लॉगिन करना होगा.');
INSERT INTO `lang_definitions` VALUES (127536, 6996, 24, 'Online Support');
INSERT INTO `lang_definitions` VALUES (127537, 6997, 24, 'Online Support Link');
INSERT INTO `lang_definitions` VALUES (127538, 6999, 24, 'केवल सक्रिय');
INSERT INTO `lang_definitions` VALUES (127539, 7000, 24, 'Only applicable if a provider or collated list was chosen above. PRIMARY only selects patients that the provider is the primary provider. ENCOUNTER selects all patients that the provider has seen.');
INSERT INTO `lang_definitions` VALUES (127540, 7004, 24, 'अगर केवल बिलिंग स्थान');
INSERT INTO `lang_definitions` VALUES (127541, 7006, 24, 'केवल निष्क्रिय');
INSERT INTO `lang_definitions` VALUES (127542, 7007, 24, 'केवल मेरा');
INSERT INTO `lang_definitions` VALUES (127543, 7011, 24, 'केवल निदान रिपोर्टिंग संहिताएं दिखाएँ');
INSERT INTO `lang_definitions` VALUES (127544, 7012, 24, 'केवल सेवा संहिता वित्त संहिताओं रिपोर्टिंग दिखाएँ');
INSERT INTO `lang_definitions` VALUES (127545, 7013, 24, 'केवल सक्रिय नुस्खे अपलोड करें');
INSERT INTO `lang_definitions` VALUES (127546, 7017, 24, 'बीमारी की शुरुआत:');
INSERT INTO `lang_definitions` VALUES (127547, 7018, 24, 'बीमारी की शुरुआत:');
INSERT INTO `lang_definitions` VALUES (127548, 7019, 24, 'सूजन की शुरुआत:');
INSERT INTO `lang_definitions` VALUES (127549, 7022, 24, 'शुरुआत / अस्पताल. तिथि:');
INSERT INTO `lang_definitions` VALUES (127550, 7026, 24, 'ऑनसाइट रोगी पोर्टल साइट पता');
INSERT INTO `lang_definitions` VALUES (127551, 7030, 24, 'उफ़!');
INSERT INTO `lang_definitions` VALUES (127552, 7031, 24, 'खुला');
INSERT INTO `lang_definitions` VALUES (127553, 7040, 24, 'नई विंडो में खोलें');
INSERT INTO `lang_definitions` VALUES (127554, 7046, 24, 'खोलें आज की भेंट');
INSERT INTO `lang_definitions` VALUES (127555, 7071, 24, 'OpenEMR में पहले से ही एक प्रमाणपत्र प्राधिकार कॉन्फ़िगर है.');
INSERT INTO `lang_definitions` VALUES (127556, 7074, 24, 'OpenEMR आवेदन श्रेणी');
INSERT INTO `lang_definitions` VALUES (127557, 7076, 24, 'OpenEMR डेटाबेस नवीनीकरण');
INSERT INTO `lang_definitions` VALUES (127558, 7077, 24, 'De-IDENTIFICATION के लिए OpenEMR डेटाबेस नवीनीकरण');
INSERT INTO `lang_definitions` VALUES (127559, 7078, 24, 'OpenEMR योगदान निर्देशिका में आने वाली फ़ाइल को नहीं पहचानता है. क्योंकि संभावना यह है, आपको MySQL डाटाबेस में supported_external_dataloads तालिका के रिलीज, विन्यस्त करने की जरूरत है.');
INSERT INTO `lang_definitions` VALUES (127560, 7080, 24, 'क्लाइंट प्रमाण पत्र बनाने से पहले OpenEMR प्रमाण पत्र का उपयोग करने के लिए कॉन्फ़िगर किया जाना चाहिए.');
INSERT INTO `lang_definitions` VALUES (127561, 7084, 24, 'OpenEMR को उपयोगकर्ता प्रमाणीकरण करने के लिए जावास्क्रिप्ट की आवश्यकता है.');
INSERT INTO `lang_definitions` VALUES (127562, 7085, 24, 'OpenEMR उपयोगकर्ता');
INSERT INTO `lang_definitions` VALUES (127563, 7086, 24, 'उद्घाटन');
INSERT INTO `lang_definitions` VALUES (127564, 7092, 24, 'ऑप्थाल्मिक');
INSERT INTO `lang_definitions` VALUES (127565, 7095, 24, 'विकल्प');
INSERT INTO `lang_definitions` VALUES (127566, 7097, 24, 'दस्तावेज़ भंडारण की पद्धति सहेजने के लिए विकल्प.');
INSERT INTO `lang_definitions` VALUES (127567, 7098, 24, 'उत्पादों की बिक्री और सूची का समर्थन करने के विकल्प');
INSERT INTO `lang_definitions` VALUES (127568, 7099, 24, 'वैकल्पिक');
INSERT INTO `lang_definitions` VALUES (127569, 7100, 24, 'आईडी कार्ड छवि के लिए वैकल्पिक श्रेणी नाम, रोगी सारांश पृष्ठ पर देखा जा सकता है.');
INSERT INTO `lang_definitions` VALUES (127570, 7101, 24, 'फोटो छवियों के लिए वैकल्पिक श्रेणी नाम रोगी सारांश पृष्ठ में देखा जा सकता है');
INSERT INTO `lang_definitions` VALUES (127571, 7102, 24, 'रोगी सारांश पेज से लिंक करने के लिए एक दस्तावेज़ का वैकल्पिक श्रेणी नाम. आपको उनके आईडी कार्ड देखने के लिए एक रोगी के नाम पर क्लिक करने देता है.');
INSERT INTO `lang_definitions` VALUES (127572, 7103, 24, 'परिणामों को मैनुअल प्रविष्टि करने के लिए वैकल्पिक डिफॉल्ट सीमा');
INSERT INTO `lang_definitions` VALUES (127573, 7104, 24, 'परिणामों को मैनुअल प्रविष्टि करने के लिए वैकल्पिक डिफॉल्ट इकाइयों');
INSERT INTO `lang_definitions` VALUES (127574, 7105, 24, 'वैकल्पिक गंतव्य नाम');
INSERT INTO `lang_definitions` VALUES (127575, 7107, 24, 'वैकल्पिक दवा के नाम, % का उपयोग वाइल्डकार्ड के रूप में करें');
INSERT INTO `lang_definitions` VALUES (127576, 7111, 24, 'इस घटना के बारे में वैकल्पिक जानकारी');
INSERT INTO `lang_definitions` VALUES (127577, 7112, 24, 'वैकल्पिक lot संख्या, % का उपयोग वाइल्डकार्ड के रूप में करें');
INSERT INTO `lang_definitions` VALUES (127578, 7113, 24, 'वैकल्पिक सांख्यिक रोगी ID');
INSERT INTO `lang_definitions` VALUES (127579, 7114, 24, 'वैकल्पिक प्रक्रिया संहिता');
INSERT INTO `lang_definitions` VALUES (127580, 7115, 24, 'वैकल्पिक प्रक्रिया / सेवा संहिता');
INSERT INTO `lang_definitions` VALUES (127581, 7116, 24, 'विकल्प');
INSERT INTO `lang_definitions` VALUES (127582, 7117, 24, 'या');
INSERT INTO `lang_definitions` VALUES (127583, 7118, 24, 'या');
INSERT INTO `lang_definitions` VALUES (127584, 7119, 24, 'या चयन करें');
INSERT INTO `lang_definitions` VALUES (127585, 7120, 24, 'या खींचें और क्लिक करें तेजी से चयन के लिए .');
INSERT INTO `lang_definitions` VALUES (127586, 7122, 24, 'या बाहर करने के लिए');
INSERT INTO `lang_definitions` VALUES (127587, 7124, 24, 'या इसे कम करने के लिए Shift-क्लिक करें');
INSERT INTO `lang_definitions` VALUES (127588, 7125, 24, 'या ERA फाइल अपलोड करें:');
INSERT INTO `lang_definitions` VALUES (127589, 7127, 24, 'मौखिक');
INSERT INTO `lang_definitions` VALUES (127590, 7128, 24, 'मौखिक mucosa गुलाबी, गला साफ');
INSERT INTO `lang_definitions` VALUES (127591, 7129, 24, 'आदेश');
INSERT INTO `lang_definitions` VALUES (127592, 7131, 24, 'आदेश और परिणाम के प्रकार');
INSERT INTO `lang_definitions` VALUES (127593, 7132, 24, 'आदेश सूची');
INSERT INTO `lang_definitions` VALUES (127594, 7133, 24, 'आदेश तिथि');
INSERT INTO `lang_definitions` VALUES (127595, 7136, 24, 'से आदेश');
INSERT INTO `lang_definitions` VALUES (127596, 7137, 24, 'आदेश ID');
INSERT INTO `lang_definitions` VALUES (127597, 7138, 24, 'आदेश 1 और 999 के बीच में होनी चाहिए');
INSERT INTO `lang_definitions` VALUES (127598, 7140, 24, 'आदेश नाम');
INSERT INTO `lang_definitions` VALUES (127599, 7142, 24, 'आदेश प्राथमिकताएं');
INSERT INTO `lang_definitions` VALUES (127600, 7143, 24, 'आदेश संसाधक');
INSERT INTO `lang_definitions` VALUES (127601, 7145, 24, 'आदेश परिणाम');
INSERT INTO `lang_definitions` VALUES (127602, 7146, 24, 'आदेश स्थिति');
INSERT INTO `lang_definitions` VALUES (127603, 7147, 24, 'आदेश की स्थिती');
INSERT INTO `lang_definitions` VALUES (127604, 7148, 24, 'आदेश सारांश');
INSERT INTO `lang_definitions` VALUES (127605, 7150, 24, 'आदेश के प्रकार');
INSERT INTO `lang_definitions` VALUES (127606, 7152, 24, 'आदेश / परिणाम प्रकार');
INSERT INTO `lang_definitions` VALUES (127607, 7153, 24, 'आदेशित');
INSERT INTO `lang_definitions` VALUES (127608, 7154, 24, 'द्वारा आदेश');
INSERT INTO `lang_definitions` VALUES (127609, 7155, 24, 'आदेश दिए प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (127610, 7159, 24, 'आदेश देते प्रदाता');
INSERT INTO `lang_definitions` VALUES (127611, 7163, 24, 'आदेश पथ');
INSERT INTO `lang_definitions` VALUES (127612, 7166, 24, 'अंग चोट');
INSERT INTO `lang_definitions` VALUES (127613, 7167, 24, 'संगठन');
INSERT INTO `lang_definitions` VALUES (127614, 7168, 24, 'संगठन का नाम');
INSERT INTO `lang_definitions` VALUES (127615, 7169, 24, 'संगठन इकाई का नाम');
INSERT INTO `lang_definitions` VALUES (127616, 7170, 24, 'संगठन');
INSERT INTO `lang_definitions` VALUES (127617, 7171, 24, 'केंद्रित x 3');
INSERT INTO `lang_definitions` VALUES (127618, 7175, 24, 'मूल');
INSERT INTO `lang_definitions` VALUES (127619, 7181, 24, 'oropharynx:');
INSERT INTO `lang_definitions` VALUES (127620, 7184, 24, 'Orthopnea');
INSERT INTO `lang_definitions` VALUES (127621, 7188, 24, 'OS');
INSERT INTO `lang_definitions` VALUES (127622, 7189, 24, 'Osetoarthritis');
INSERT INTO `lang_definitions` VALUES (127623, 7193, 24, 'अन्य');
INSERT INTO `lang_definitions` VALUES (127624, 7194, 24, 'अन्य');
INSERT INTO `lang_definitions` VALUES (127625, 7196, 24, 'अन्य ( निर्दिष्ट करें)');
INSERT INTO `lang_definitions` VALUES (127626, 7198, 24, 'अन्य - निर्दिष्ट');
INSERT INTO `lang_definitions` VALUES (127627, 7201, 24, 'अन्य संघीय कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (127628, 7202, 24, 'अन्य HCFA');
INSERT INTO `lang_definitions` VALUES (127629, 7203, 24, 'अन्य चोट कहीं निर्दिष्ट नहीं');
INSERT INTO `lang_definitions` VALUES (127630, 7204, 24, 'अन्य देयता बीमा प्राथमिक है');
INSERT INTO `lang_definitions` VALUES (127631, 7206, 24, 'अन्य महीने');
INSERT INTO `lang_definitions` VALUES (127632, 7207, 24, 'अन्य गैर संघीय कार्यक्रमों');
INSERT INTO `lang_definitions` VALUES (127633, 7208, 24, 'अन्य नोट्स');
INSERT INTO `lang_definitions` VALUES (127634, 7209, 24, 'अन्य प्रासंगिक लक्षण');
INSERT INTO `lang_definitions` VALUES (127635, 7210, 24, 'अन्य प्रासंगिक लक्षण:');
INSERT INTO `lang_definitions` VALUES (127636, 7213, 24, 'अन्य pt resp');
INSERT INTO `lang_definitions` VALUES (127637, 7215, 24, 'अन्य तनाव / अतिरिक्त उपयोग चोट');
INSERT INTO `lang_definitions` VALUES (127638, 7216, 24, 'अन्य सर्जिकल');
INSERT INTO `lang_definitions` VALUES (127639, 7217, 24, 'अन्य / सामान्य गर्भपात से संबंधित');
INSERT INTO `lang_definitions` VALUES (127640, 7219, 24, 'दूसरों के');
INSERT INTO `lang_definitions` VALUES (127641, 7221, 24, 'अन्यथा आप मौजूदा डेटा से / संदर्भ नष्ट कर देंगे.');
INSERT INTO `lang_definitions` VALUES (127642, 7224, 24, 'ओटावा टखने नियम');
INSERT INTO `lang_definitions` VALUES (127643, 7225, 24, 'OU');
INSERT INTO `lang_definitions` VALUES (127644, 7227, 24, 'बाहर');
INSERT INTO `lang_definitions` VALUES (127645, 7228, 24, 'कार्यालय से बाहर');
INSERT INTO `lang_definitions` VALUES (127646, 7230, 24, 'आउटबाउंड रेफरल');
INSERT INTO `lang_definitions` VALUES (127647, 7231, 24, 'परिणाम');
INSERT INTO `lang_definitions` VALUES (127648, 7234, 24, 'दृष्टिकोण');
INSERT INTO `lang_definitions` VALUES (127649, 7239, 24, 'छुट्टी की समग्र स्थिति');
INSERT INTO `lang_definitions` VALUES (127650, 7240, 24, 'अतिदेय');
INSERT INTO `lang_definitions` VALUES (127651, 7244, 24, 'अति प्रयोग');
INSERT INTO `lang_definitions` VALUES (127652, 7245, 24, 'अवलोकन');
INSERT INTO `lang_definitions` VALUES (127653, 7246, 24, 'अधिक वजन');
INSERT INTO `lang_definitions` VALUES (127654, 7247, 24, 'HIPAA चुनाव अधिलेखित करें');
INSERT INTO `lang_definitions` VALUES (127655, 7249, 24, 'ऑक्सीजन संतृप्ति');
INSERT INTO `lang_definitions` VALUES (127656, 7250, 24, 'oz');
INSERT INTO `lang_definitions` VALUES (127657, 7251, 24, 'P');
INSERT INTO `lang_definitions` VALUES (127658, 7252, 24, 'p.c.');
INSERT INTO `lang_definitions` VALUES (127659, 7253, 24, 'दोपहर बाद');
INSERT INTO `lang_definitions` VALUES (127660, 7254, 24, 'p.r.n.');
INSERT INTO `lang_definitions` VALUES (127661, 7258, 24, 'प्रशांत द्वीप');
INSERT INTO `lang_definitions` VALUES (127662, 7259, 24, 'Paedeatric');
INSERT INTO `lang_definitions` VALUES (127663, 7260, 24, 'पृष्ठ');
INSERT INTO `lang_definitions` VALUES (127664, 7263, 24, 'पृष्ठों के');
INSERT INTO `lang_definitions` VALUES (127665, 7264, 24, 'भुगतान किया');
INSERT INTO `lang_definitions` VALUES (127666, 7265, 24, 'आप भुगतान की गई राशि की अनुमति दे देंगे');
INSERT INTO `lang_definitions` VALUES (127667, 7266, 24, 'भुगतान की गई राशि');
INSERT INTO `lang_definitions` VALUES (127668, 7267, 24, 'के माध्यम से भुगतान');
INSERT INTO `lang_definitions` VALUES (127669, 7268, 24, 'दर्द');
INSERT INTO `lang_definitions` VALUES (127670, 7271, 24, 'घबराहट');
INSERT INTO `lang_definitions` VALUES (127671, 7275, 24, 'पैप स्मीयर');
INSERT INTO `lang_definitions` VALUES (127672, 7276, 24, 'काग़ज़');
INSERT INTO `lang_definitions` VALUES (127673, 7277, 24, 'पेपर आकार');
INSERT INTO `lang_definitions` VALUES (127674, 7278, 24, 'पक्षाघात');
INSERT INTO `lang_definitions` VALUES (127675, 7284, 24, 'विश्लेषण HL7');
INSERT INTO `lang_definitions` VALUES (127676, 7289, 24, 'साथी');
INSERT INTO `lang_definitions` VALUES (127677, 7290, 24, 'साथी का नाम');
INSERT INTO `lang_definitions` VALUES (127678, 7294, 24, 'वाक्यांश पास करें');
INSERT INTO `lang_definitions` VALUES (127679, 7295, 24, 'दस्तावेज को डिक्रिप्ट करने के लिए वाक्यांश पास करें');
INSERT INTO `lang_definitions` VALUES (127680, 7296, 24, 'मृत रोगी');
INSERT INTO `lang_definitions` VALUES (127681, 7297, 24, 'निष्क्रिय चेतावनी');
INSERT INTO `lang_definitions` VALUES (127682, 7299, 24, 'निष्क्रिय चेतावनी नियम');
INSERT INTO `lang_definitions` VALUES (127683, 7301, 24, 'पासवर्ड');
INSERT INTO `lang_definitions` VALUES (127684, 7302, 24, 'पासवर्ड परिवर्तन करें');
INSERT INTO `lang_definitions` VALUES (127685, 7303, 24, 'पासवर्ड परिवर्तन सफल');
INSERT INTO `lang_definitions` VALUES (127686, 7304, 24, 'पासवर्ड परिवर्तन सफल');
INSERT INTO `lang_definitions` VALUES (127687, 7306, 24, 'पासवर्ड न्यूनतम आवश्यकताओं को पूरा नहीं करता है और चार निम्न वस्तुओं में से कम से कम तीन को शामिल करना चाहिए: एक नंबर, एक लोअरकेस अक्षर, एक अपरकेस अक्षर, एक विशेष चरित्र (एक अक्षर या संख्या नहीं).');
INSERT INTO `lang_definitions` VALUES (127688, 7308, 24, 'पासवर्ड समाप्त ग्रेस अवधि');
INSERT INTO `lang_definitions` VALUES (127689, 7310, 24, 'फोन प्रवेश द्वार के लिए पासवर्ड. Maviq द्वारा स्वचालित VOIP सेवा प्रदान की . अधिक जानकारी के लिए http://signup.maviq.com जाएँ.');
INSERT INTO `lang_definitions` VALUES (127690, 7311, 24, 'SMS गेटवे के लिए पासवर्ड');
INSERT INTO `lang_definitions` VALUES (127691, 7312, 24, 'SMS गेटवे के लिए पासवर्ड.');
INSERT INTO `lang_definitions` VALUES (127692, 7314, 24, 'पासवर्ड सुरक्षा हाल ही में उन्नत किया गया है.');
INSERT INTO `lang_definitions` VALUES (127693, 7315, 24, 'CouchDB से कनेक्ट करने के लिए पासवर्ड');
INSERT INTO `lang_definitions` VALUES (127694, 7316, 24, 'बहुत छोटा पासवर्ड . आवश्यक न्यूनतम 8 वर्ण.');
INSERT INTO `lang_definitions` VALUES (127695, 7319, 24, 'पासवर्ड:');
INSERT INTO `lang_definitions` VALUES (127696, 7322, 24, 'पासवर्ड मेल नहीं खाते!');
INSERT INTO `lang_definitions` VALUES (127697, 7324, 24, 'अतीत Appoinments');
INSERT INTO `lang_definitions` VALUES (127698, 7325, 24, 'अतीत नियुक्तियां प्रदर्शन विजेट');
INSERT INTO `lang_definitions` VALUES (127699, 7329, 24, 'पिछला देय');
INSERT INTO `lang_definitions` VALUES (127700, 7330, 24, 'पिछला देय');
INSERT INTO `lang_definitions` VALUES (127701, 7331, 24, 'पिछला देय अंतराल (क्लीनिकल अनुस्मारक)');
INSERT INTO `lang_definitions` VALUES (127702, 7332, 24, 'पिछला देय अंतराल (रोगी अनुस्मारक)');
INSERT INTO `lang_definitions` VALUES (127703, 7333, 24, 'अतीत मुठभेड़ सूची');
INSERT INTO `lang_definitions` VALUES (127704, 7334, 24, 'अतीत मुठभेड़');
INSERT INTO `lang_definitions` VALUES (127705, 7335, 24, 'अतीत मुठभेड़ और दस्तावेज');
INSERT INTO `lang_definitions` VALUES (127706, 7336, 24, 'के लिए अतीत मुठभेड़');
INSERT INTO `lang_definitions` VALUES (127707, 7344, 24, 'HL7 डेटा चिपकाएँ');
INSERT INTO `lang_definitions` VALUES (127708, 7345, 24, 'नीचे दिए गए पाठ क्षेत्र में आयात करने के लिए डेटा चिपकाएँ:');
INSERT INTO `lang_definitions` VALUES (127709, 7346, 24, 'थपथपाना');
INSERT INTO `lang_definitions` VALUES (127710, 7348, 24, 'पैच');
INSERT INTO `lang_definitions` VALUES (127711, 7355, 24, 'इवेंट लॉग बैकअप के लिए पथ');
INSERT INTO `lang_definitions` VALUES (127712, 7356, 24, 'CA प्रमाणपत्र फ़ाइल के लिए पथ');
INSERT INTO `lang_definitions` VALUES (127713, 7357, 24, 'CA कुंजी फ़ाइल के लिए पथ');
INSERT INTO `lang_definitions` VALUES (127714, 7358, 24, 'MySQL बायनेरिज़ के लिए पथ');
INSERT INTO `lang_definitions` VALUES (127715, 7359, 24, 'पर्ल बायनेरिज़ के लिए पथ');
INSERT INTO `lang_definitions` VALUES (127716, 7360, 24, 'अस्थाई फ़ाइलें के लिए पथ');
INSERT INTO `lang_definitions` VALUES (127717, 7361, 24, 'रोगी');
INSERT INTO `lang_definitions` VALUES (127718, 7362, 24, 'रोगी');
INSERT INTO `lang_definitions` VALUES (127719, 7363, 24, 'रोगी');
INSERT INTO `lang_definitions` VALUES (127720, 7365, 24, 'रोगी का पता');
INSERT INTO `lang_definitions` VALUES (127721, 7366, 24, 'रोगी का पता लापता है');
INSERT INTO `lang_definitions` VALUES (127722, 7369, 24, 'रोगी एलर्जी');
INSERT INTO `lang_definitions` VALUES (127723, 7370, 24, 'रोगी एलर्जी');
INSERT INTO `lang_definitions` VALUES (127724, 7373, 24, 'रोगी की नियुक्ति');
INSERT INTO `lang_definitions` VALUES (127725, 7374, 24, 'रोगी बैलेंस');
INSERT INTO `lang_definitions` VALUES (127726, 7375, 24, 'रोगी देय शेष राशि');
INSERT INTO `lang_definitions` VALUES (127727, 7379, 24, 'रोगी चार्ट आईडी');
INSERT INTO `lang_definitions` VALUES (127728, 7381, 24, 'रोगी चेकआउट');
INSERT INTO `lang_definitions` VALUES (127729, 7382, 24, 'के लिए रोगी चेकआउट');
INSERT INTO `lang_definitions` VALUES (127730, 7383, 24, 'रोगी शहर');
INSERT INTO `lang_definitions` VALUES (127731, 7384, 24, 'रोगी शहर लापता है.');
INSERT INTO `lang_definitions` VALUES (127732, 7386, 24, 'रोगी संचार भेजा');
INSERT INTO `lang_definitions` VALUES (127733, 7387, 24, 'रोगी संचार भेजा');
INSERT INTO `lang_definitions` VALUES (127734, 7388, 24, 'रोगी देश');
INSERT INTO `lang_definitions` VALUES (127735, 7389, 24, 'रोगी देश लापता है. इसके अलावा आप वैश्विक सेटिंग्स में डिफ़ॉल्ट रोगी देश सेट नहीं किया है');
INSERT INTO `lang_definitions` VALUES (127736, 7390, 24, 'रोगी कवरेज');
INSERT INTO `lang_definitions` VALUES (127737, 7394, 24, 'रोगी डेटा');
INSERT INTO `lang_definitions` VALUES (127738, 7396, 24, 'रोगी जन्म तारीख लापता है.');
INSERT INTO `lang_definitions` VALUES (127739, 7401, 24, 'रोगी का विवरण');
INSERT INTO `lang_definitions` VALUES (127740, 7402, 24, 'रोगी जन्म तिथि');
INSERT INTO `lang_definitions` VALUES (127741, 7404, 24, 'रोगी दस्तावेज');
INSERT INTO `lang_definitions` VALUES (127742, 7410, 24, 'रोगी शिक्षा');
INSERT INTO `lang_definitions` VALUES (127743, 7411, 24, 'रोगी शिक्षा सामग्री');
INSERT INTO `lang_definitions` VALUES (127744, 7412, 24, 'रोगी मुठभेड़');
INSERT INTO `lang_definitions` VALUES (127745, 7413, 24, 'रोगी मुठभेड़ पर्चा');
INSERT INTO `lang_definitions` VALUES (127746, 7414, 24, 'रोगी मुठभेड़');
INSERT INTO `lang_definitions` VALUES (127747, 7415, 24, 'रोगी खोजक');
INSERT INTO `lang_definitions` VALUES (127748, 7417, 24, 'रोगी पहला नाम');
INSERT INTO `lang_definitions` VALUES (127749, 7419, 24, 'रोगी पहला नाम लापता है');
INSERT INTO `lang_definitions` VALUES (127750, 7424, 24, 'रोगी लिंग');
INSERT INTO `lang_definitions` VALUES (127751, 7425, 24, 'रोगी लिंग लापता है');
INSERT INTO `lang_definitions` VALUES (127752, 7426, 24, 'रोगी को रोगी पोर्टल अधिकृत नहीं किया गया है.');
INSERT INTO `lang_definitions` VALUES (127753, 7428, 24, 'रोगी इतिहास');
INSERT INTO `lang_definitions` VALUES (127754, 7429, 24, 'रोगी इतिहास / लाइफस्टाइल');
INSERT INTO `lang_definitions` VALUES (127755, 7430, 24, 'रोगी घर फोन');
INSERT INTO `lang_definitions` VALUES (127756, 7431, 24, 'रोगी ID');
INSERT INTO `lang_definitions` VALUES (127757, 7432, 24, 'रोगी ID');
INSERT INTO `lang_definitions` VALUES (127758, 7433, 24, 'रोगी ID कार्ड');
INSERT INTO `lang_definitions` VALUES (127759, 7434, 24, 'रोगी ID श्रेणी का नाम');
INSERT INTO `lang_definitions` VALUES (127760, 7437, 24, 'रोगी टीकाकरण');
INSERT INTO `lang_definitions` VALUES (127761, 7438, 24, 'रोगी सूचना');
INSERT INTO `lang_definitions` VALUES (127762, 7440, 24, 'रोगी निर्देश');
INSERT INTO `lang_definitions` VALUES (127763, 7441, 24, 'रोगी बीमा वितरण');
INSERT INTO `lang_definitions` VALUES (127764, 7442, 24, 'रोगी बीमा वितरण की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (127765, 7445, 24, 'रोगी समस्याएँ');
INSERT INTO `lang_definitions` VALUES (127766, 7447, 24, 'रोगी अंतिम नाम');
INSERT INTO `lang_definitions` VALUES (127767, 7449, 24, 'रोगी अंतिम नाम लापता है');
INSERT INTO `lang_definitions` VALUES (127768, 7454, 24, 'रोगी सूची');
INSERT INTO `lang_definitions` VALUES (127769, 7455, 24, 'रोगी सूची स्तंभ');
INSERT INTO `lang_definitions` VALUES (127770, 7457, 24, 'रोगी सूची नई विंडो');
INSERT INTO `lang_definitions` VALUES (127771, 7458, 24, 'रोगी सूची पृष्ठ आकार');
INSERT INTO `lang_definitions` VALUES (127772, 7460, 24, 'रोगी देखने का त्रुटियाँ');
INSERT INTO `lang_definitions` VALUES (127773, 7463, 24, 'रोगी मेडिकल समस्याएं');
INSERT INTO `lang_definitions` VALUES (127774, 7464, 24, 'रोगी की दवाएं');
INSERT INTO `lang_definitions` VALUES (127775, 7470, 24, 'रोगी का नाम');
INSERT INTO `lang_definitions` VALUES (127776, 7472, 24, 'रोगी का नाम व पता');
INSERT INTO `lang_definitions` VALUES (127777, 7475, 24, 'रोगी का नाम आवश्यक');
INSERT INTO `lang_definitions` VALUES (127778, 7477, 24, 'रोगी नोट');
INSERT INTO `lang_definitions` VALUES (127779, 7478, 24, 'रोगी नोट के प्रकार');
INSERT INTO `lang_definitions` VALUES (127780, 7479, 24, 'रोगी नोट्स');
INSERT INTO `lang_definitions` VALUES (127781, 7480, 24, 'रोगी नोट्स (, addonly वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (127782, 7482, 24, 'रोगी संख्या');
INSERT INTO `lang_definitions` VALUES (127783, 7483, 24, 'रोगी भुगतान');
INSERT INTO `lang_definitions` VALUES (127784, 7485, 24, 'रोगी फोटो श्रेणी का नाम');
INSERT INTO `lang_definitions` VALUES (127785, 7487, 24, 'रोगी पोर्टल');
INSERT INTO `lang_definitions` VALUES (127786, 7492, 24, 'रोगी पोर्टल बंद कर दिया है');
INSERT INTO `lang_definitions` VALUES (127787, 7493, 24, 'रोगी पोर्टल लॉगइन');
INSERT INTO `lang_definitions` VALUES (127788, 7496, 24, 'रोगी पोर्टल वेब पता');
INSERT INTO `lang_definitions` VALUES (127789, 7497, 24, 'रोगी मुद्रित रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (127790, 7499, 24, 'रोगी रिकॉर्ड की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (127791, 7500, 24, 'रोगी रिकॉर्ड अनुरोध');
INSERT INTO `lang_definitions` VALUES (127792, 7501, 24, 'रोगी रिकॉर्ड अनुरोध');
INSERT INTO `lang_definitions` VALUES (127793, 7503, 24, 'रोगी अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (127794, 7505, 24, 'रोगी अनुस्मारक बैच के कार्य');
INSERT INTO `lang_definitions` VALUES (127795, 7506, 24, 'रोगी अनुस्मारक निर्माण प्रसंस्करण प्राथमिकता');
INSERT INTO `lang_definitions` VALUES (127796, 7507, 24, 'रोगी अनुस्मारक नियम');
INSERT INTO `lang_definitions` VALUES (127797, 7508, 24, 'रोगी अनुस्मारक प्रेषक का ईमेल');
INSERT INTO `lang_definitions` VALUES (127798, 7509, 24, 'रोगी अनुस्मारक प्रेषक का नाम');
INSERT INTO `lang_definitions` VALUES (127799, 7510, 24, 'रोगी अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (127800, 7514, 24, 'रोगी की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (127801, 7518, 24, 'रोगी अनुरोध');
INSERT INTO `lang_definitions` VALUES (127802, 7519, 24, 'रोगी अनुरोधित मेडिकल रिकॉर्ड्स');
INSERT INTO `lang_definitions` VALUES (127803, 7521, 24, 'रोगी परिणाम');
INSERT INTO `lang_definitions` VALUES (127804, 7525, 24, 'रोगी खोज परिणाम शैली');
INSERT INTO `lang_definitions` VALUES (127805, 7526, 24, 'रोगी खोज / स्क्रीन जोड़ें');
INSERT INTO `lang_definitions` VALUES (127806, 7528, 24, 'रोगी की स्थापना');
INSERT INTO `lang_definitions` VALUES (127807, 7533, 24, 'रोगी स्टेट');
INSERT INTO `lang_definitions` VALUES (127808, 7539, 24, 'रोगी सारांश');
INSERT INTO `lang_definitions` VALUES (127809, 7542, 24, 'रोगी लेनदेन');
INSERT INTO `lang_definitions` VALUES (127810, 7546, 24, 'रोगी पिन');
INSERT INTO `lang_definitions` VALUES (127811, 7549, 24, 'आपके द्वारा दर्ज, जनसांख्यिकीय जानकारी से मेल खाने वाल रोगी डेटाबेस में.');
INSERT INTO `lang_definitions` VALUES (127812, 7550, 24, 'रोगी / ग्राहक');
INSERT INTO `lang_definitions` VALUES (127813, 7551, 24, 'रोगी:');
INSERT INTO `lang_definitions` VALUES (127814, 7552, 24, 'PatientID');
INSERT INTO `lang_definitions` VALUES (127815, 7553, 24, 'रोगियों के');
INSERT INTO `lang_definitions` VALUES (127816, 7555, 24, 'प्रसंस्कृत रोगियों के');
INSERT INTO `lang_definitions` VALUES (127817, 7559, 24, 'वेतन');
INSERT INTO `lang_definitions` VALUES (127818, 7560, 24, 'Pay attention to the \"Done with\" checkboxes. After the insurances are marked complete then we will start asking the patient to pay the remaining balance; if you fail to mark all of the insurances complete then the remaining amount will not be collected! Also if there is a balance that the patient should pay, then set the due date appropriately, as this will affect the language that appears on patient statements.');
INSERT INTO `lang_definitions` VALUES (127819, 7563, 24, 'भुगतान तिथिें:');
INSERT INTO `lang_definitions` VALUES (127820, 7566, 24, 'वेतन स्थिति');
INSERT INTO `lang_definitions` VALUES (127821, 7567, 24, 'प्राप्तकर्ता का नाम');
INSERT INTO `lang_definitions` VALUES (127822, 7568, 24, 'दाता');
INSERT INTO `lang_definitions` VALUES (127823, 7572, 24, 'भुगतानकर्ता प्रकार');
INSERT INTO `lang_definitions` VALUES (127824, 7573, 24, 'भर रहे');
INSERT INTO `lang_definitions` VALUES (127825, 7574, 24, 'भर रहे एंटिटी');
INSERT INTO `lang_definitions` VALUES (127826, 7575, 24, 'भुगतान');
INSERT INTO `lang_definitions` VALUES (127827, 7576, 24, 'भुगतान');
INSERT INTO `lang_definitions` VALUES (127828, 7577, 24, 'भुगतान एडजस्टमेंट कोड');
INSERT INTO `lang_definitions` VALUES (127829, 7578, 24, 'के खिलाफ भुगतान');
INSERT INTO `lang_definitions` VALUES (127830, 7579, 24, 'भुगतान राशि');
INSERT INTO `lang_definitions` VALUES (127831, 7580, 24, 'भुगतान राशि संख्यात्मक होनी चाहिए');
INSERT INTO `lang_definitions` VALUES (127832, 7581, 24, 'भुगतान श्रेणी');
INSERT INTO `lang_definitions` VALUES (127833, 7583, 24, 'भुगतान की तिथि');
INSERT INTO `lang_definitions` VALUES (127834, 7584, 24, 'पर भुगतान प्रवेश किया');
INSERT INTO `lang_definitions` VALUES (127835, 7585, 24, 'इससे भुगतान');
INSERT INTO `lang_definitions` VALUES (127836, 7586, 24, 'भुगतान द्वार');
INSERT INTO `lang_definitions` VALUES (127837, 7588, 24, 'भुगतान Ins');
INSERT INTO `lang_definitions` VALUES (127838, 7589, 24, 'भुगतान सूची');
INSERT INTO `lang_definitions` VALUES (127839, 7590, 24, 'भुगतान पद्धति');
INSERT INTO `lang_definitions` VALUES (127840, 7592, 24, 'भुगतान छंटनी करें');
INSERT INTO `lang_definitions` VALUES (127841, 7593, 24, 'भुगतान की स्थिति');
INSERT INTO `lang_definitions` VALUES (127842, 7597, 24, 'भुगतान के प्रकार');
INSERT INTO `lang_definitions` VALUES (127843, 7600, 24, 'कोड के लिए भुगतान मूल्य');
INSERT INTO `lang_definitions` VALUES (127844, 7602, 24, 'भुगतान');
INSERT INTO `lang_definitions` VALUES (127845, 7606, 24, 'PCP');
INSERT INTO `lang_definitions` VALUES (127846, 7607, 24, 'पंक्तियों की pct (%)');
INSERT INTO `lang_definitions` VALUES (127847, 7610, 24, 'PDF');
INSERT INTO `lang_definitions` VALUES (127848, 7614, 24, 'PDF डाउनलोड चयनित वक्तव्य');
INSERT INTO `lang_definitions` VALUES (127849, 7620, 24, 'कमर और कूल्हे');
INSERT INTO `lang_definitions` VALUES (127850, 7621, 24, 'Pemphigus');
INSERT INTO `lang_definitions` VALUES (127851, 7624, 24, 'लंबित');
INSERT INTO `lang_definitions` VALUES (127852, 7629, 24, 'लंबित F / U');
INSERT INTO `lang_definitions` VALUES (127853, 7630, 24, 'लंबित फॉलोअप');
INSERT INTO `lang_definitions` VALUES (127854, 7631, 24, 'परिणाम से फॉलोअप लंबित');
INSERT INTO `lang_definitions` VALUES (127855, 7632, 24, 'लंबित आदेश');
INSERT INTO `lang_definitions` VALUES (127856, 7633, 24, 'लंबित Res');
INSERT INTO `lang_definitions` VALUES (127857, 7634, 24, 'लंबित समीक्षा');
INSERT INTO `lang_definitions` VALUES (127858, 7635, 24, 'लंबित Rx गणना');
INSERT INTO `lang_definitions` VALUES (127859, 7638, 24, 'Pennington फर्म OpenEMR V');
INSERT INTO `lang_definitions` VALUES (127860, 7639, 24, 'पेप्टिक अल्सर रोग');
INSERT INTO `lang_definitions` VALUES (127861, 7640, 24, 'प्रति मुठभेड़');
INSERT INTO `lang_definitions` VALUES (127862, 7641, 24, 'प्रति मिनट');
INSERT INTO `lang_definitions` VALUES (127863, 7642, 24, 'प्रति नथुने');
INSERT INTO `lang_definitions` VALUES (127864, 7643, 24, 'प्रति नथुने');
INSERT INTO `lang_definitions` VALUES (127865, 7644, 24, 'प्रति Oris');
INSERT INTO `lang_definitions` VALUES (127866, 7645, 24, 'प्रति Oris');
INSERT INTO `lang_definitions` VALUES (127867, 7646, 24, 'प्रति मलाशय');
INSERT INTO `lang_definitions` VALUES (127868, 7647, 24, 'प्रति मलाशय');
INSERT INTO `lang_definitions` VALUES (127869, 7648, 24, 'प्रतिशत');
INSERT INTO `lang_definitions` VALUES (127870, 7652, 24, 'प्रतिशतक');
INSERT INTO `lang_definitions` VALUES (127871, 7653, 24, 'छिद्रित दाएँ:');
INSERT INTO `lang_definitions` VALUES (127872, 7654, 24, 'खोज करना');
INSERT INTO `lang_definitions` VALUES (127873, 7655, 24, 'यह क्रिया करें');
INSERT INTO `lang_definitions` VALUES (127874, 7656, 24, 'प्रदर्शन का प्रतिशत');
INSERT INTO `lang_definitions` VALUES (127875, 7659, 24, 'काम कर रही प्रयोगशाला सुविधा');
INSERT INTO `lang_definitions` VALUES (127876, 7661, 24, 'अवधि');
INSERT INTO `lang_definitions` VALUES (127877, 7662, 24, 'दिन में अवधि, जहां एक उपयोगकर्ता समाप्त पासवर्ड के साथ प्रवेश कर सकते हैं.');
INSERT INTO `lang_definitions` VALUES (127878, 7663, 24, 'perioperative देखभाल');
INSERT INTO `lang_definitions` VALUES (127879, 7665, 24, 'परिधीय');
INSERT INTO `lang_definitions` VALUES (127880, 7668, 24, 'अनसाल्टेड पासवर्ड को अनुमति दें');
INSERT INTO `lang_definitions` VALUES (127881, 7669, 24, 'Persian');
INSERT INTO `lang_definitions` VALUES (127882, 7671, 24, 'व्यक्ति');
INSERT INTO `lang_definitions` VALUES (127883, 7672, 24, 'व्यक्तिगत बनाएं');
INSERT INTO `lang_definitions` VALUES (127884, 7675, 24, 'PG');
INSERT INTO `lang_definitions` VALUES (127885, 7676, 24, 'Pharm');
INSERT INTO `lang_definitions` VALUES (127886, 7677, 24, 'Pharm Com गणना');
INSERT INTO `lang_definitions` VALUES (127887, 7678, 24, 'फ़ार्मेसियां');
INSERT INTO `lang_definitions` VALUES (127888, 7680, 24, 'फार्मेसी');
INSERT INTO `lang_definitions` VALUES (127889, 7681, 24, 'फार्मेसी डिस्पेंसरी');
INSERT INTO `lang_definitions` VALUES (127890, 7688, 24, 'Pheumothorax');
INSERT INTO `lang_definitions` VALUES (127891, 7691, 24, 'phiMail संदेश अंतराल की जाँच (मिनट)');
INSERT INTO `lang_definitions` VALUES (127892, 7692, 24, 'phiMail अधिसूचना उपयोगकर्ता');
INSERT INTO `lang_definitions` VALUES (127893, 7693, 24, 'phiMail पारण');
INSERT INTO `lang_definitions` VALUES (127894, 7694, 24, 'phiMail सर्वर पता');
INSERT INTO `lang_definitions` VALUES (127895, 7695, 24, 'phiMail उपयोगकर्ता नाम');
INSERT INTO `lang_definitions` VALUES (127896, 7697, 24, 'फ़ोन');
INSERT INTO `lang_definitions` VALUES (127897, 7699, 24, 'फोन कॉल की सूची');
INSERT INTO `lang_definitions` VALUES (127898, 7701, 24, 'फोन कॉल की सूची की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (127899, 7705, 24, 'फोन प्रवेश द्वार पारण');
INSERT INTO `lang_definitions` VALUES (127900, 7706, 24, 'फोन प्रवेश द्वार URL');
INSERT INTO `lang_definitions` VALUES (127901, 7707, 24, 'फोन प्रवेश द्वार उपयोगकर्ता नाम');
INSERT INTO `lang_definitions` VALUES (127902, 7709, 24, 'फोन अधिसूचना घंटे');
INSERT INTO `lang_definitions` VALUES (127903, 7711, 24, 'फोन नंबर');
INSERT INTO `lang_definitions` VALUES (127904, 7715, 24, 'प्रकाश की असहनीयता');
INSERT INTO `lang_definitions` VALUES (127905, 7716, 24, 'तस्वीरें');
INSERT INTO `lang_definitions` VALUES (127906, 7717, 24, 'PHP संकुचित');
INSERT INTO `lang_definitions` VALUES (127907, 7718, 24, 'PHP CURL मॉड्यूल अपने सर्वर में सक्षम होना चाहिए.');
INSERT INTO `lang_definitions` VALUES (127908, 7720, 24, 'PHP निकाला');
INSERT INTO `lang_definitions` VALUES (127909, 7721, 24, 'PHP-GACL पहुँच नियंत्रण बंद कर दिया हैं');
INSERT INTO `lang_definitions` VALUES (127910, 7722, 24, 'PHP-GACL स्थापित नहीं है');
INSERT INTO `lang_definitions` VALUES (127911, 7723, 24, 'शारीरिक परीक्षा');
INSERT INTO `lang_definitions` VALUES (127912, 7725, 24, 'चिकित्सक अनुरोध');
INSERT INTO `lang_definitions` VALUES (127913, 7726, 24, 'चिकित्सक हस्ताक्षर');
INSERT INTO `lang_definitions` VALUES (127914, 7729, 24, 'चिकित्सक');
INSERT INTO `lang_definitions` VALUES (127915, 7733, 24, 'चुनना');
INSERT INTO `lang_definitions` VALUES (127916, 7734, 24, 'चुनना');
INSERT INTO `lang_definitions` VALUES (127917, 7735, 24, 'एक CSS थीम उठाओ.');
INSERT INTO `lang_definitions` VALUES (127918, 7738, 24, 'PID');
INSERT INTO `lang_definitions` VALUES (127919, 7740, 24, 'PID ​​(श्रोणि सूजन बीमारी)');
INSERT INTO `lang_definitions` VALUES (127920, 7741, 24, 'गोली आकार');
INSERT INTO `lang_definitions` VALUES (127921, 7742, 24, 'गोलियां');
INSERT INTO `lang_definitions` VALUES (127922, 7745, 24, 'संस्थापित का विकल्प चाहत है, तो निम्न निर्देशिका में डेटाबेस ज़िप फ़ाइल रखें');
INSERT INTO `lang_definitions` VALUES (127923, 7746, 24, 'निम्नलिखित निर्देशिका में डाउनलोड किया ICD 10 डेटाबेस ज़िप फाइल रखें');
INSERT INTO `lang_definitions` VALUES (127924, 7747, 24, 'निम्नलिखित निर्देशिका में डाउनलोड किया ICD 9 डेटाबेस ज़िप फ़ाइल रखें');
INSERT INTO `lang_definitions` VALUES (127925, 7748, 24, 'निम्नलिखित निर्देशिका में डाउनलोड किया RxNorm डेटाबेस ज़िप फ़ाइल रखें');
INSERT INTO `lang_definitions` VALUES (127926, 7749, 24, 'निम्नलिखित निर्देशिका में डाउनलोड किया Snomed डेटाबेस ज़िप फ़ाइल रखें');
INSERT INTO `lang_definitions` VALUES (127927, 7752, 24, 'प्लेसहोल्डर');
INSERT INTO `lang_definitions` VALUES (127928, 7753, 24, 'प्लेसहोल्डर (रिक्त ACLs बनाए रखता है)');
INSERT INTO `lang_definitions` VALUES (127929, 7756, 24, 'सादा पाठ');
INSERT INTO `lang_definitions` VALUES (127930, 7757, 24, 'योजना');
INSERT INTO `lang_definitions` VALUES (127931, 7762, 24, 'योजना का नाम');
INSERT INTO `lang_definitions` VALUES (127932, 7768, 24, 'योजना तैयार');
INSERT INTO `lang_definitions` VALUES (127933, 7773, 24, 'योजना:');
INSERT INTO `lang_definitions` VALUES (127934, 7776, 24, 'योजनाएं');
INSERT INTO `lang_definitions` VALUES (127935, 7778, 24, 'खिलाड़ी');
INSERT INTO `lang_definitions` VALUES (127936, 7779, 24, 'खेलने का स्थान');
INSERT INTO `lang_definitions` VALUES (127937, 7780, 24, 'जानकारी के ऊपर किसी भी गलत है, तो कॉल करें');
INSERT INTO `lang_definitions` VALUES (127938, 7784, 24, 'अपना पासवर्ड बदल दें.');
INSERT INTO `lang_definitions` VALUES (127939, 7785, 24, 'एक फ़ाइल का चयन करें');
INSERT INTO `lang_definitions` VALUES (127940, 7786, 24, 'एक रोगी का चयन करें');
INSERT INTO `lang_definitions` VALUES (127941, 7787, 24, 'सूची से एक वैध चयन करें');
INSERT INTO `lang_definitions` VALUES (127942, 7788, 24, 'एक वैध चयन करें');
INSERT INTO `lang_definitions` VALUES (127943, 7789, 24, 'के लिए एक मूल्य का चयन करें');
INSERT INTO `lang_definitions` VALUES (127944, 7790, 24, 'ऊपर तिथि सीमा मापदंड का चयन करें, और परिणाम देखने के लिए ताज़ा बटन क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (127945, 7791, 24, 'उचित स्वरूपित EDI-271 फ़ाइल का चयन करें');
INSERT INTO `lang_definitions` VALUES (127946, 7792, 24, 'De Identification डेटा डाउनलोड करने के लिए डाउनलोड बटन पर क्लिक करें');
INSERT INTO `lang_definitions` VALUES (127947, 7793, 24, 'De Identification डेटा डाउनलोड करने के लिए डाउनलोड बटन पर क्लिक करें');
INSERT INTO `lang_definitions` VALUES (127948, 7795, 24, 'इस विंडो को बंद करें.');
INSERT INTO `lang_definitions` VALUES (127949, 7796, 24, 'नए नाम की तुलना करें');
INSERT INTO `lang_definitions` VALUES (127950, 7803, 24, 'आगे बढ़ने से पहले निम्न निर्देशिका बनाएँ');
INSERT INTO `lang_definitions` VALUES (127951, 7805, 24, 'इस पर्चे को स्वीकार नहीं करें जब तक यह facimile के माध्यम से प्राप्त न किया जाए');
INSERT INTO `lang_definitions` VALUES (127952, 7806, 24, 'इस पर्चे को स्वीकार नहीं करें जब तक यह facsimile के माध्यम से प्राप्त न किया जाए');
INSERT INTO `lang_definitions` VALUES (127953, 7807, 24, 'आपके ब्राउज़र को रोकने या फिर से लोड करने के बटन का उपयोग न करें जब तक इस पेज के चलने के अधिक से अधिक 10 मिनट गुजर जाए, इससे सर्वर प्रक्रिया पर रोक नहीं होगी और uneccesary संसाधनों की खपत नहीं होगी.');
INSERT INTO `lang_definitions` VALUES (127954, 7808, 24, 'CURL विस्तार सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (127955, 7809, 24, 'OPENSSL विस्तार सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (127956, 7810, 24, 'SOAP विस्तार सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (127957, 7811, 24, 'Xml एक्सटेंशन सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (127958, 7813, 24, 'अंतिम समीक्षा के लिए एक तिथि दर्ज करें.');
INSERT INTO `lang_definitions` VALUES (127959, 7814, 24, 'एक तिथि दर्ज करें.');
INSERT INTO `lang_definitions` VALUES (127960, 7816, 24, 'एक देय तारीख दर्ज करें');
INSERT INTO `lang_definitions` VALUES (127961, 7818, 24, 'एक संदेश दर्ज करें');
INSERT INTO `lang_definitions` VALUES (127962, 7819, 24, 'संख्या और एक दशमलव बिंदु उपयोग कर के एक मौद्रिक राशि दर्ज करें.');
INSERT INTO `lang_definitions` VALUES (127963, 7821, 24, 'एक नया पासवर्ड दर्ज करें');
INSERT INTO `lang_definitions` VALUES (127964, 7822, 24, 'एक शीर्षक दर्ज करें!');
INSERT INTO `lang_definitions` VALUES (127965, 7824, 24, 'ऊपर एक वैध प्रत्यक्ष पता दाखिल करें.');
INSERT INTO `lang_definitions` VALUES (127966, 7828, 24, 'सही Re Identification कोड दर्ज करें');
INSERT INTO `lang_definitions` VALUES (127967, 7832, 24, 'नई खोज स्ट्रिंग दर्ज करें');
INSERT INTO `lang_definitions` VALUES (127968, 7833, 24, 'सही Re Identification कोड दर्ज करें');
INSERT INTO `lang_definitions` VALUES (127969, 7834, 24, 'पासवर्ड दर्ज करें');
INSERT INTO `lang_definitions` VALUES (127970, 7843, 24, 'चेक संख्या भरें');
INSERT INTO `lang_definitions` VALUES (127971, 7844, 24, 'चेक / रेफरी संख्या भरें');
INSERT INTO `lang_definitions` VALUES (127972, 7845, 24, 'तिथि भरें');
INSERT INTO `lang_definitions` VALUES (127973, 7846, 24, 'भुगतान राशि भरें');
INSERT INTO `lang_definitions` VALUES (127974, 7847, 24, 'भुगतान श्रेणी भरें');
INSERT INTO `lang_definitions` VALUES (127975, 7848, 24, 'इससे भुगतान भरें');
INSERT INTO `lang_definitions` VALUES (127976, 7849, 24, 'तिथि तक पोस्ट भरें');
INSERT INTO `lang_definitions` VALUES (127977, 7850, 24, 'जारी रखने से पहले उन्हें भरें.');
INSERT INTO `lang_definitions` VALUES (127978, 7854, 24, 'कृपया दौरे कारण बताएं');
INSERT INTO `lang_definitions` VALUES (127979, 7855, 24, 'कृपया ऊपर खोज मापदंड भरें, और रिपोर्ट शुरू करने के लिए सबमिट क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (127980, 7856, 24, 'कृपया ऊपर खोज मापदंड भरें, और परिणाम देखने के लिए सबमिट क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (127981, 7857, 24, 'कृपया ऊपर खोज मापदंड भरें, और परिणाम देखने के लिए सबमिट क्लिक करें. (परिणाम एक पॉप अप विंडो में प्रदर्शित किया जाएगा)');
INSERT INTO `lang_definitions` VALUES (127982, 7858, 24, 'फिर से लॉगिन करें.');
INSERT INTO `lang_definitions` VALUES (127983, 7859, 24, 'Please note that this can take a very long time, up to several minutes, your web browser may not appear very active during this time but generating a bill is a complicated process and your web browser is merely waiting for more information.');
INSERT INTO `lang_definitions` VALUES (127984, 7860, 24, 'कृपया ध्यान दें: स्थिरांक, केस संवेदनशील है और कोई भी स्ट्रिंग की अनुमति दी गई है.');
INSERT INTO `lang_definitions` VALUES (127985, 7861, 24, 'केवल वर्णमाला के अक्षरों का प्रयोग करें');
INSERT INTO `lang_definitions` VALUES (127986, 7862, 24, 'केवल बिना रिक्त स्थान के वर्णमाला के अक्षरों का प्रयोग करें');
INSERT INTO `lang_definitions` VALUES (127987, 7863, 24, 'इस राशि का भुगतान करें');
INSERT INTO `lang_definitions` VALUES (127988, 7864, 24, 'अपने स्थापित फाइलें निम्न निर्देशिका में रखें');
INSERT INTO `lang_definitions` VALUES (127989, 7867, 24, 'कृपया देखें');
INSERT INTO `lang_definitions` VALUES (127990, 7868, 24, 'पासवर्ड रीसेट करें.');
INSERT INTO `lang_definitions` VALUES (127991, 7869, 24, 'De-identification को चलने से पहले अपाचे सर्वर को पुनः प्रारंभ करें');
INSERT INTO `lang_definitions` VALUES (127992, 7875, 24, 'कृपया चुनें');
INSERT INTO `lang_definitions` VALUES (127993, 7877, 24, 'एक भाषा का चयन करें');
INSERT INTO `lang_definitions` VALUES (127994, 7878, 24, 'एक रोगी का चयन करें.');
INSERT INTO `lang_definitions` VALUES (127995, 7879, 24, 'Please select a Primary Business Entity facility with \'Tax ID\' as your facility Tax ID. If you are an individual practitioner, use your tax id. This is used for identifying you in the NewCrop system.');
INSERT INTO `lang_definitions` VALUES (127996, 7882, 24, 'कृपया एक प्राप्तकर्ता का चयन करें');
INSERT INTO `lang_definitions` VALUES (127997, 7884, 24, 'एक प्रारंभ तिथि और समाप्ति तिथि का चयन करें');
INSERT INTO `lang_definitions` VALUES (127998, 7885, 24, 'एक वैध प्राप्तकर्ता का चयन करें');
INSERT INTO `lang_definitions` VALUES (127999, 7888, 24, 'कोड के लिए एक समायोजन कारण का चयन करें');
INSERT INTO `lang_definitions` VALUES (128000, 7889, 24, 'एक घटना का चयन करें');
INSERT INTO `lang_definitions` VALUES (128001, 7891, 24, 'कोई भी खोज विकल्प चुनें.');
INSERT INTO `lang_definitions` VALUES (128002, 7894, 24, 'कम से कम एक पर्चे का चयन करें!');
INSERT INTO `lang_definitions` VALUES (128003, 7899, 24, 'कॉपी या अग्रेषित करने के लिए वांछित पृष्ठों का चयन करें:');
INSERT INTO `lang_definitions` VALUES (128004, 7900, 24, 'कृपया भुगतान पद्धति का चयन करें');
INSERT INTO `lang_definitions` VALUES (128005, 7903, 24, 'भुगतान के प्रकार का चयन करें.');
INSERT INTO `lang_definitions` VALUES (128006, 7905, 24, '270 बैच बनाने के लिए आवश्यक X12 साथी, का चयन करें');
INSERT INTO `lang_definitions` VALUES (128007, 7906, 24, 'सेट करें');
INSERT INTO `lang_definitions` VALUES (128008, 7907, 24, 'de_identification_config चर को वापस शून्य पर सेट करें');
INSERT INTO `lang_definitions` VALUES (128009, 7910, 24, 'नई De Identification प्रक्रिया शुरू करें');
INSERT INTO `lang_definitions` VALUES (128010, 7913, 24, 'De Identification प्रक्रियाओं, समारोह, टेबल शामिल करने के लिए OpenEMR डाटाबेस अपग्रेड करें');
INSERT INTO `lang_definitions` VALUES (128011, 7915, 24, 'अधिक जानकारी के लिए De Identification त्रुटि लॉग तालिका देखें');
INSERT INTO `lang_definitions` VALUES (128012, 7916, 24, 'कुछ समय के बाद De Identification स्क्रीन पर जाएँ');
INSERT INTO `lang_definitions` VALUES (128013, 7917, 24, 'कुछ समय बाद De Identification स्क्रीन पर जाएँ');
INSERT INTO `lang_definitions` VALUES (128014, 7918, 24, 'कुछ समय के बाद स्क्रीन पर जाएँ');
INSERT INTO `lang_definitions` VALUES (128015, 7922, 24, 'बहुवचन');
INSERT INTO `lang_definitions` VALUES (128016, 7926, 24, 'PM');
INSERT INTO `lang_definitions` VALUES (128017, 7927, 24, 'PM कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (128018, 7933, 24, 'PMT विधि');
INSERT INTO `lang_definitions` VALUES (128019, 7934, 24, 'PND');
INSERT INTO `lang_definitions` VALUES (128020, 7935, 24, 'न्यूमोकोकल संयुग्म 1');
INSERT INTO `lang_definitions` VALUES (128021, 7936, 24, 'न्यूमोकोकल संयुग्म 2');
INSERT INTO `lang_definitions` VALUES (128022, 7937, 24, 'न्यूमोकोकल संयुग्म 3');
INSERT INTO `lang_definitions` VALUES (128023, 7938, 24, 'न्यूमोकोकल संयुग्म 4');
INSERT INTO `lang_definitions` VALUES (128024, 7939, 24, 'न्यूमोकोकल टीका');
INSERT INTO `lang_definitions` VALUES (128025, 7940, 24, 'निमोनिया टीकाकरण');
INSERT INTO `lang_definitions` VALUES (128026, 7941, 24, 'पुराने वयस्कों के लिए निमोनिया टीकाकरण की स्थिति');
INSERT INTO `lang_definitions` VALUES (128027, 7942, 24, 'पुराने वयस्कों के लिए निमोनिया टीकाकरण की स्थिति (CQM)');
INSERT INTO `lang_definitions` VALUES (128028, 7943, 24, 'Podiatric');
INSERT INTO `lang_definitions` VALUES (128029, 7946, 24, 'सेवा के बिंदु (पीओएस)');
INSERT INTO `lang_definitions` VALUES (128030, 7947, 24, 'पॉलिसी');
INSERT INTO `lang_definitions` VALUES (128031, 7950, 24, 'पॉलिसी No');
INSERT INTO `lang_definitions` VALUES (128032, 7951, 24, 'पॉलिसी नंबर');
INSERT INTO `lang_definitions` VALUES (128033, 7952, 24, 'पोलिश देश');
INSERT INTO `lang_definitions` VALUES (128034, 7953, 24, 'Polydypsia');
INSERT INTO `lang_definitions` VALUES (128035, 7955, 24, 'polyps');
INSERT INTO `lang_definitions` VALUES (128036, 7956, 24, 'बहुमूत्रता');
INSERT INTO `lang_definitions` VALUES (128037, 7957, 24, 'कमजोर भूख');
INSERT INTO `lang_definitions` VALUES (128038, 7958, 24, 'कमजोर वितरण');
INSERT INTO `lang_definitions` VALUES (128039, 7959, 24, 'कमजोर सुनवाई');
INSERT INTO `lang_definitions` VALUES (128040, 7962, 24, 'इन रिपोर्टों को देखने के लिए पॉप अप सक्रिय होने की जरूरत');
INSERT INTO `lang_definitions` VALUES (128041, 7964, 24, 'घटनाओं के साथ वर्ष दिखाएं?');
INSERT INTO `lang_definitions` VALUES (128042, 7965, 24, 'पॉपअप');
INSERT INTO `lang_definitions` VALUES (128043, 7967, 24, 'पोर्टल');
INSERT INTO `lang_definitions` VALUES (128044, 7969, 24, 'पोर्टल गतिविधि');
INSERT INTO `lang_definitions` VALUES (128045, 7985, 24, 'पुर्तगाली');
INSERT INTO `lang_definitions` VALUES (128046, 7987, 24, 'पुर्तगाली (ब्राजील)');
INSERT INTO `lang_definitions` VALUES (128047, 7988, 24, 'पुर्तगाली (यूरोपीय)');
INSERT INTO `lang_definitions` VALUES (128048, 7989, 24, 'POS कोड');
INSERT INTO `lang_definitions` VALUES (128049, 7992, 24, 'सकारात्मक');
INSERT INTO `lang_definitions` VALUES (128050, 7993, 24, 'सकारात्मक');
INSERT INTO `lang_definitions` VALUES (128051, 7996, 24, 'के लिए पोस्ट');
INSERT INTO `lang_definitions` VALUES (128052, 7998, 24, 'नाक ड्रिप');
INSERT INTO `lang_definitions` VALUES (128053, 8000, 24, 'पोस्ट भुगतान');
INSERT INTO `lang_definitions` VALUES (128054, 8001, 24, 'सर्जरी के बाद');
INSERT INTO `lang_definitions` VALUES (128055, 8002, 24, 'बिल भेजा के रूप में लेखा और मार्क को पोस्ट');
INSERT INTO `lang_definitions` VALUES (128056, 8003, 24, 'तिथि तक पोस्ट');
INSERT INTO `lang_definitions` VALUES (128057, 8004, 24, 'तिथि तक पोस्ट आज की तुलना में अधिक नहीं हो सकता');
INSERT INTO `lang_definitions` VALUES (128058, 8006, 24, 'तिथि तक पोस्ट वित्तीय समाप्ति तिथि से बड़ा होना चाहिए.');
INSERT INTO `lang_definitions` VALUES (128059, 8007, 24, 'गर्भपात के बाद की देखभाल');
INSERT INTO `lang_definitions` VALUES (128060, 8008, 24, 'गर्भपात के बाद गर्भनिरोध');
INSERT INTO `lang_definitions` VALUES (128061, 8009, 24, 'गर्भपात के बाद परामर्श');
INSERT INTO `lang_definitions` VALUES (128062, 8010, 24, 'गर्भपात के बाद फॉलोअप');
INSERT INTO `lang_definitions` VALUES (128063, 8011, 24, 'डाक का');
INSERT INTO `lang_definitions` VALUES (128064, 8012, 24, 'पोस्टल कोड');
INSERT INTO `lang_definitions` VALUES (128065, 8013, 24, 'पोस्टल कोड');
INSERT INTO `lang_definitions` VALUES (128066, 8015, 24, 'PostCalendar');
INSERT INTO `lang_definitions` VALUES (128067, 8016, 24, 'PostCalendar प्रशासन');
INSERT INTO `lang_definitions` VALUES (128068, 8017, 24, 'PostCalendar श्रेणी सेटिंग्स');
INSERT INTO `lang_definitions` VALUES (128069, 8018, 24, 'PostCalendar वैश्विक सेटिंग्स');
INSERT INTO `lang_definitions` VALUES (128070, 8023, 24, 'पर पोस्ट किया');
INSERT INTO `lang_definitions` VALUES (128071, 8026, 24, 'पोस्टिंग तिथि');
INSERT INTO `lang_definitions` VALUES (128072, 8032, 24, 'द्वारा संचालित');
INSERT INTO `lang_definitions` VALUES (128073, 8033, 24, 'PPE + पिछला Med / सर्जन Hx');
INSERT INTO `lang_definitions` VALUES (128074, 8034, 24, 'PQRI');
INSERT INTO `lang_definitions` VALUES (128075, 8035, 24, 'PQRI रजिस्ट्री ID');
INSERT INTO `lang_definitions` VALUES (128076, 8036, 24, 'PQRI रजिस्ट्री नाम');
INSERT INTO `lang_definitions` VALUES (128077, 8037, 24, 'प्रैक्टिस');
INSERT INTO `lang_definitions` VALUES (128078, 8038, 24, 'प्रैक्टिस डिफ़ॉल्ट सेटिंग');
INSERT INTO `lang_definitions` VALUES (128079, 8039, 24, 'अभ्यास सेटिंग');
INSERT INTO `lang_definitions` VALUES (128080, 8041, 24, 'व्यवसायी');
INSERT INTO `lang_definitions` VALUES (128081, 8043, 24, 'पूर्व भुगतान');
INSERT INTO `lang_definitions` VALUES (128082, 8044, 24, 'पूर्व भुगतान');
INSERT INTO `lang_definitions` VALUES (128083, 8045, 24, 'पूर्व गर्भपात परामर्श');
INSERT INTO `lang_definitions` VALUES (128084, 8046, 24, 'पूर्व गर्भपात परामर्श');
INSERT INTO `lang_definitions` VALUES (128085, 8048, 24, 'pref Cat');
INSERT INTO `lang_definitions` VALUES (128086, 8050, 24, 'प्राथमिकताएं');
INSERT INTO `lang_definitions` VALUES (128087, 8052, 24, 'पसंदीदा इवेंट श्रेणी');
INSERT INTO `lang_definitions` VALUES (128088, 8053, 24, 'पसंदीदा भाषा');
INSERT INTO `lang_definitions` VALUES (128089, 8054, 24, 'पसंदीदा फार्मेसी');
INSERT INTO `lang_definitions` VALUES (128090, 8055, 24, 'पसंदीदा प्रदाता संगठन (पी.पी.ओ.)');
INSERT INTO `lang_definitions` VALUES (128091, 8056, 24, 'preg टेस्ट');
INSERT INTO `lang_definitions` VALUES (128092, 8057, 24, 'प्रारंभिक');
INSERT INTO `lang_definitions` VALUES (128093, 8058, 24, 'रिपोर्ट चलाने की तैयारी');
INSERT INTO `lang_definitions` VALUES (128094, 8059, 24, 'पूर्व भुगतान');
INSERT INTO `lang_definitions` VALUES (128095, 8061, 24, 'पर्चे');
INSERT INTO `lang_definitions` VALUES (128096, 8063, 24, 'पर्चे की अपनी सीमा तक पहुँच गया है');
INSERT INTO `lang_definitions` VALUES (128097, 8064, 24, 'पर्चे का इतिहास');
INSERT INTO `lang_definitions` VALUES (128098, 8065, 24, 'पर्चे का इतिहास आयात सफलतापूर्वक पूरा');
INSERT INTO `lang_definitions` VALUES (128099, 8066, 24, 'पर्चे लेबल');
INSERT INTO `lang_definitions` VALUES (128100, 8067, 24, 'पर्चे की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (128101, 8070, 24, 'पर्चे');
INSERT INTO `lang_definitions` VALUES (128102, 8073, 24, 'पर्चे और बांटना');
INSERT INTO `lang_definitions` VALUES (128103, 8074, 24, 'पर्चे और अन्य रेफरल');
INSERT INTO `lang_definitions` VALUES (128104, 8075, 24, 'विशेषज्ञ द्वारा पर्चे और / या रेफरल');
INSERT INTO `lang_definitions` VALUES (128105, 8076, 24, 'पर्चे की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (128106, 8077, 24, 'पर्चे / सिफ़ारिशों की');
INSERT INTO `lang_definitions` VALUES (128107, 8078, 24, 'वर्तमान');
INSERT INTO `lang_definitions` VALUES (128108, 8079, 24, 'पेश शिकायत');
INSERT INTO `lang_definitions` VALUES (128109, 8080, 24, 'पेश समस्या (ओं)');
INSERT INTO `lang_definitions` VALUES (128110, 8081, 24, 'दबाएँ आगे बढ़ने के लिए जारी');
INSERT INTO `lang_definitions` VALUES (128111, 8084, 24, 'प्रकल्पित निदान');
INSERT INTO `lang_definitions` VALUES (128112, 8085, 24, 'विशेषज्ञ द्वारा परिकल्पित निदान');
INSERT INTO `lang_definitions` VALUES (128113, 8086, 24, 'पिछला');
INSERT INTO `lang_definitions` VALUES (128114, 8087, 24, 'पिछला Med / Surg Hx');
INSERT INTO `lang_definitions` VALUES (128115, 8088, 24, 'पिछला. माह (मेनू के लिए पकड़)');
INSERT INTO `lang_definitions` VALUES (128116, 8089, 24, 'पिछला. वर्ष (मेनू के लिए पकड़)');
INSERT INTO `lang_definitions` VALUES (128117, 8091, 24, 'निरोधक देखभाल');
INSERT INTO `lang_definitions` VALUES (128118, 8094, 24, 'पूर्वावलोकन इवेंट');
INSERT INTO `lang_definitions` VALUES (128119, 8097, 24, 'का पूर्वावलोकन');
INSERT INTO `lang_definitions` VALUES (128120, 8098, 24, 'पिछला');
INSERT INTO `lang_definitions` VALUES (128121, 8099, 24, 'पिछले परामर्श');
INSERT INTO `lang_definitions` VALUES (128122, 8100, 24, 'पिछले दिन');
INSERT INTO `lang_definitions` VALUES (128123, 8102, 24, 'पिछले इतिहास / स्क्रीनिंग');
INSERT INTO `lang_definitions` VALUES (128124, 8103, 24, 'पिछले माह');
INSERT INTO `lang_definitions` VALUES (128125, 8104, 24, 'पिछला सप्ताह');
INSERT INTO `lang_definitions` VALUES (128126, 8105, 24, 'कीमत');
INSERT INTO `lang_definitions` VALUES (128127, 8108, 24, 'कीमत छूट');
INSERT INTO `lang_definitions` VALUES (128128, 8109, 24, 'कीमत स्तर');
INSERT INTO `lang_definitions` VALUES (128129, 8111, 24, 'कीमत स्तर:');
INSERT INTO `lang_definitions` VALUES (128130, 8113, 24, 'कीमतें');
INSERT INTO `lang_definitions` VALUES (128131, 8114, 24, 'प्राथमिक');
INSERT INTO `lang_definitions` VALUES (128132, 8115, 24, 'प्राथमिक व्यापार इकाई');
INSERT INTO `lang_definitions` VALUES (128133, 8116, 24, 'प्राथमिक व्यापार इकाई कर आईडी NewCrop ePrescription के लिए खाता आईडी के रूप में प्रयोग किया जाता है. सुविधा को बदलना NewCrop के कार्यकरण को प्रभावित करेगा.');
INSERT INTO `lang_definitions` VALUES (128134, 8125, 24, 'प्राथमिक इन्स');
INSERT INTO `lang_definitions` VALUES (128135, 8126, 24, 'प्राथमिक बीमा');
INSERT INTO `lang_definitions` VALUES (128136, 8127, 24, 'प्राथमिक बीमा डाटा');
INSERT INTO `lang_definitions` VALUES (128137, 8128, 24, 'प्राथमिक बीमा प्रदाता');
INSERT INTO `lang_definitions` VALUES (128138, 8129, 24, 'प्राथमिक प्रदाता');
INSERT INTO `lang_definitions` VALUES (128139, 8130, 24, 'छापें');
INSERT INTO `lang_definitions` VALUES (128140, 8131, 24, 'छापें (HTML)');
INSERT INTO `lang_definitions` VALUES (128141, 8132, 24, 'छापें (PDF)');
INSERT INTO `lang_definitions` VALUES (128142, 8134, 24, 'कोई भी मुठभेड़ छापें');
INSERT INTO `lang_definitions` VALUES (128143, 8135, 24, 'खाली रेफरल प्रपत्र छापें');
INSERT INTO `lang_definitions` VALUES (128144, 8136, 24, 'आदेश छापें');
INSERT INTO `lang_definitions` VALUES (128145, 8138, 24, 'तिथि छापें');
INSERT INTO `lang_definitions` VALUES (128146, 8143, 24, 'सरूप छापें');
INSERT INTO `lang_definitions` VALUES (128147, 8144, 24, 'चार कक्ष छापें');
INSERT INTO `lang_definitions` VALUES (128148, 8147, 24, 'संदेश छापें');
INSERT INTO `lang_definitions` VALUES (128149, 8148, 24, 'अनेक छापें');
INSERT INTO `lang_definitions` VALUES (128150, 8149, 24, 'फैक्स करने के लिए अनेक प्रिंट');
INSERT INTO `lang_definitions` VALUES (128151, 8150, 24, 'नाम, हस्ताक्षर और तिथि छापें.');
INSERT INTO `lang_definitions` VALUES (128152, 8151, 24, 'नोट्स छापें');
INSERT INTO `lang_definitions` VALUES (128153, 8152, 24, 'पृष्ठ 1 छापें');
INSERT INTO `lang_definitions` VALUES (128154, 8153, 24, 'पृष्ठ 2 छापें');
INSERT INTO `lang_definitions` VALUES (128155, 8156, 24, 'प्रदाता द्वारा प्राप्तियां छापें');
INSERT INTO `lang_definitions` VALUES (128156, 8157, 24, 'अभिलेख छापें');
INSERT INTO `lang_definitions` VALUES (128157, 8163, 24, 'चयनित वक्तव्य छापें');
INSERT INTO `lang_definitions` VALUES (128158, 8164, 24, 'शॉट रिकॉर्ड छापें');
INSERT INTO `lang_definitions` VALUES (128159, 8166, 24, 'यह मुठभेड़ छापें');
INSERT INTO `lang_definitions` VALUES (128160, 8168, 24, 'यह टिप्पणी छापें');
INSERT INTO `lang_definitions` VALUES (128161, 8169, 24, 'यह टिप्पणी छापें');
INSERT INTO `lang_definitions` VALUES (128162, 8171, 24, 'फैक्स करने के लिए छापें');
INSERT INTO `lang_definitions` VALUES (128163, 8172, 24, 'दृश्य छापें');
INSERT INTO `lang_definitions` VALUES (128164, 8173, 24, 'छापने योग्य');
INSERT INTO `lang_definitions` VALUES (128165, 8174, 24, 'छापने योग्य संस्करण');
INSERT INTO `lang_definitions` VALUES (128166, 8175, 24, 'छपी');
INSERT INTO `lang_definitions` VALUES (128167, 8178, 24, 'छपाई परिणाम:');
INSERT INTO `lang_definitions` VALUES (128168, 8179, 24, 'छपाई छोड़ दिया; में परीक्षण उत्पादन देखें');
INSERT INTO `lang_definitions` VALUES (128169, 8180, 24, 'छपाई छोड़ दिया; में परीक्षण उत्पादन देखें');
INSERT INTO `lang_definitions` VALUES (128170, 8182, 24, 'पूर्व प्राधिकरण');
INSERT INTO `lang_definitions` VALUES (128171, 8184, 24, 'पूर्व प्राधिकरण प्रपत्र');
INSERT INTO `lang_definitions` VALUES (128172, 8189, 24, 'पूर्व भेंट');
INSERT INTO `lang_definitions` VALUES (128173, 8191, 24, 'प्राथमिकता');
INSERT INTO `lang_definitions` VALUES (128174, 8192, 24, 'प्राथमिकता');
INSERT INTO `lang_definitions` VALUES (128175, 8196, 24, 'निजी');
INSERT INTO `lang_definitions` VALUES (128176, 8197, 24, 'समस्या');
INSERT INTO `lang_definitions` VALUES (128177, 8198, 24, 'समस्या DX');
INSERT INTO `lang_definitions` VALUES (128178, 8199, 24, 'समस्या सूची');
INSERT INTO `lang_definitions` VALUES (128179, 8202, 24, 'समस्याओं / मुद्दों');
INSERT INTO `lang_definitions` VALUES (128180, 8203, 24, 'Proc Bat');
INSERT INTO `lang_definitions` VALUES (128181, 8204, 24, 'Proc Cat');
INSERT INTO `lang_definitions` VALUES (128182, 8205, 24, 'Proc Load');
INSERT INTO `lang_definitions` VALUES (128183, 8206, 24, 'Proc Pending Rev');
INSERT INTO `lang_definitions` VALUES (128184, 8207, 24, 'Proc Prov');
INSERT INTO `lang_definitions` VALUES (128185, 8208, 24, 'Proc Res');
INSERT INTO `lang_definitions` VALUES (128186, 8209, 24, 'प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (128187, 8210, 24, 'प्रक्रिया शारीरिक साइटें');
INSERT INTO `lang_definitions` VALUES (128188, 8212, 24, 'प्रक्रिया बूलियन परिणाम');
INSERT INTO `lang_definitions` VALUES (128189, 8214, 24, 'प्रक्रिया संहिता');
INSERT INTO `lang_definitions` VALUES (128190, 8215, 24, 'प्रक्रिया संहिता');
INSERT INTO `lang_definitions` VALUES (128191, 8216, 24, 'प्रक्रिया Lateralities');
INSERT INTO `lang_definitions` VALUES (128192, 8218, 24, 'प्रक्रिया का नाम');
INSERT INTO `lang_definitions` VALUES (128193, 8220, 24, 'प्रक्रिया आदेश');
INSERT INTO `lang_definitions` VALUES (128194, 8221, 24, 'प्रक्रिया आदेश');
INSERT INTO `lang_definitions` VALUES (128195, 8223, 24, 'के लिए प्रक्रिया आदेश');
INSERT INTO `lang_definitions` VALUES (128196, 8226, 24, 'प्रक्रिया के आदेश और रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (128197, 8227, 24, 'प्रक्रिया पिकर');
INSERT INTO `lang_definitions` VALUES (128198, 8228, 24, 'प्रक्रिया प्रदाता');
INSERT INTO `lang_definitions` VALUES (128199, 8229, 24, 'प्रक्रिया प्रदाता');
INSERT INTO `lang_definitions` VALUES (128200, 8231, 24, 'प्रक्रिया प्रदाता');
INSERT INTO `lang_definitions` VALUES (128201, 8232, 24, 'प्रक्रिया की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (128202, 8235, 24, 'प्रक्रिया रिपोर्ट की स्थितियां');
INSERT INTO `lang_definitions` VALUES (128203, 8237, 24, 'असामान्य प्रक्रिया रिजल्ट');
INSERT INTO `lang_definitions` VALUES (128204, 8238, 24, 'प्रक्रिया नतीजे की स्थितियां');
INSERT INTO `lang_definitions` VALUES (128205, 8240, 24, 'प्रक्रिया का परिणाम');
INSERT INTO `lang_definitions` VALUES (128206, 8241, 24, 'प्रक्रिया मार्ग');
INSERT INTO `lang_definitions` VALUES (128207, 8243, 24, 'प्रक्रिया नमूना प्रकार');
INSERT INTO `lang_definitions` VALUES (128208, 8245, 24, 'प्रक्रिया सांख्यिकी रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (128209, 8248, 24, 'प्रक्रिया के प्रकार');
INSERT INTO `lang_definitions` VALUES (128210, 8249, 24, 'प्रक्रिया के प्रकार');
INSERT INTO `lang_definitions` VALUES (128211, 8251, 24, 'प्रक्रिया इकाइयां');
INSERT INTO `lang_definitions` VALUES (128212, 8253, 24, 'प्रक्रिया / सेवा');
INSERT INTO `lang_definitions` VALUES (128213, 8254, 24, 'प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (128214, 8256, 24, 'की प्रक्रिया करें');
INSERT INTO `lang_definitions` VALUES (128215, 8257, 24, 'प्रक्रिया करें और अनुस्मारक भेजें');
INSERT INTO `lang_definitions` VALUES (128216, 8258, 24, 'ERA फ़ाइल की प्रक्रिया करें');
INSERT INTO `lang_definitions` VALUES (128217, 8260, 24, 'CSV रिकॉर्ड के लिए नई फ़ाइलों की प्रक्रिया करें');
INSERT INTO `lang_definitions` VALUES (128218, 8261, 24, 'अनुस्मारक की प्रक्रिया करें');
INSERT INTO `lang_definitions` VALUES (128219, 8262, 24, 'इस प्रक्रिया में कुछ समय लगता है');
INSERT INTO `lang_definitions` VALUES (128220, 8263, 24, 'प्रक्रिया किया');
INSERT INTO `lang_definitions` VALUES (128221, 8264, 24, 'द्वारा प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (128222, 8265, 24, 'प्रक्रिया तिथि');
INSERT INTO `lang_definitions` VALUES (128223, 8266, 24, 'सफलतापूर्वक प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (128224, 8267, 24, 'प्रक्रिया कर रहा है');
INSERT INTO `lang_definitions` VALUES (128225, 8268, 24, 'प्रक्रिया कर रहा है और रोगी अनुस्मारक भेज रहा है');
INSERT INTO `lang_definitions` VALUES (128226, 8271, 24, 'रोगी अनुस्मारक प्रक्रिया कर रहा है');
INSERT INTO `lang_definitions` VALUES (128227, 8272, 24, 'प्रक्रिया समय');
INSERT INTO `lang_definitions` VALUES (128228, 8274, 24, 'उत्पाद');
INSERT INTO `lang_definitions` VALUES (128229, 8276, 24, 'उत्पाद गर्भनिरोधक विधि');
INSERT INTO `lang_definitions` VALUES (128230, 8278, 24, 'उत्पादन');
INSERT INTO `lang_definitions` VALUES (128231, 8279, 24, 'उत्पाद');
INSERT INTO `lang_definitions` VALUES (128232, 8280, 24, 'उत्पाद लेकिन कोई दवाओं का सेवन नहीं और कोई टेम्पलेट्स नहीं');
INSERT INTO `lang_definitions` VALUES (128233, 8282, 24, 'प्रोफेसर');
INSERT INTO `lang_definitions` VALUES (128234, 8290, 24, 'प्रगति नोट्स');
INSERT INTO `lang_definitions` VALUES (128235, 8295, 24, 'प्रोस्टेट कैंसर');
INSERT INTO `lang_definitions` VALUES (128236, 8296, 24, 'प्रोस्टेट कैंसर स्क्रीनिंग');
INSERT INTO `lang_definitions` VALUES (128237, 8297, 24, 'प्रोस्टेट परीक्षा');
INSERT INTO `lang_definitions` VALUES (128238, 8298, 24, 'प्रोस्टेट की समस्याएं');
INSERT INTO `lang_definitions` VALUES (128239, 8299, 24, 'प्रोस्टेट w/o enlrgmt, पिंड, tender');
INSERT INTO `lang_definitions` VALUES (128240, 8302, 24, 'प्रोटोकॉल');
INSERT INTO `lang_definitions` VALUES (128241, 8304, 24, 'पूर्ण पथ प्रदान करें');
INSERT INTO `lang_definitions` VALUES (128242, 8305, 24, 'फ़ाइल का पूर्ण पथ प्रदान करें');
INSERT INTO `lang_definitions` VALUES (128243, 8309, 24, 'प्रत्येक कार्यालय के दौरे के लिए रोगियों को नैदानिक ​​सारांश प्रदान प्रदान करें.');
INSERT INTO `lang_definitions` VALUES (128244, 8311, 24, 'Provide patients with an electronic copy of their health information (including diagnostic test results, problem list, medication lists, medication allergies), upon request.');
INSERT INTO `lang_definitions` VALUES (128245, 8312, 24, 'Provide patients with timely electronic access to their health information (including lab results, problem list, medication lists, medication allergies) within four business days of the information being available to the EP.');
INSERT INTO `lang_definitions` VALUES (128246, 8313, 24, 'यात्रा के लिए रोगी को रिकॉर्ड प्रदान करें');
INSERT INTO `lang_definitions` VALUES (128247, 8315, 24, 'मान्य ईमेल पता प्रदान करें');
INSERT INTO `lang_definitions` VALUES (128248, 8316, 24, 'क्लीनिकल सारांश प्रदान की?');
INSERT INTO `lang_definitions` VALUES (128249, 8317, 24, 'शिक्षा संसाधन प्रदान की?');
INSERT INTO `lang_definitions` VALUES (128250, 8318, 24, 'प्रदाता');
INSERT INTO `lang_definitions` VALUES (128251, 8322, 24, 'प्रदाता Id');
INSERT INTO `lang_definitions` VALUES (128252, 8323, 24, 'प्रदाता ID');
INSERT INTO `lang_definitions` VALUES (128253, 8324, 24, 'निर्दिष्ट सुविधा प्रदाता ID');
INSERT INTO `lang_definitions` VALUES (128254, 8325, 24, 'प्रदाता मिलान त्रुटियाँ');
INSERT INTO `lang_definitions` VALUES (128255, 8330, 24, 'प्रदाता संख्या');
INSERT INTO `lang_definitions` VALUES (128256, 8333, 24, 'प्रदाता रिश्ता');
INSERT INTO `lang_definitions` VALUES (128257, 8336, 24, 'प्रदाता:');
INSERT INTO `lang_definitions` VALUES (128258, 8337, 24, 'प्रदाता');
INSERT INTO `lang_definitions` VALUES (128259, 8338, 24, 'प्रदाता NPI');
INSERT INTO `lang_definitions` VALUES (128260, 8339, 24, 'प्रदाता पूरा कैलेंडर देखें');
INSERT INTO `lang_definitions` VALUES (128261, 8341, 24, 'prv');
INSERT INTO `lang_definitions` VALUES (128262, 8342, 24, 'PSA');
INSERT INTO `lang_definitions` VALUES (128263, 8343, 24, 'सोरायसिस');
INSERT INTO `lang_definitions` VALUES (128264, 8345, 24, 'मनोवैज्ञानिक निदान');
INSERT INTO `lang_definitions` VALUES (128265, 8346, 24, 'मनोवैज्ञानिक दवा');
INSERT INTO `lang_definitions` VALUES (128266, 8347, 24, 'मानसिक रोगों का');
INSERT INTO `lang_definitions` VALUES (128267, 8348, 24, 'मनोरोग संक्षिप्त पत्र');
INSERT INTO `lang_definitions` VALUES (128268, 8349, 24, 'मनोरोग निदान');
INSERT INTO `lang_definitions` VALUES (128269, 8350, 24, 'मनोरोग परीक्षा');
INSERT INTO `lang_definitions` VALUES (128270, 8352, 24, 'मनोरोग इतिहास');
INSERT INTO `lang_definitions` VALUES (128271, 8353, 24, 'मनोरोग सेवन');
INSERT INTO `lang_definitions` VALUES (128272, 8354, 24, 'मनोरोग चिकित्सा');
INSERT INTO `lang_definitions` VALUES (128273, 8358, 24, 'Pt %');
INSERT INTO `lang_definitions` VALUES (128274, 8360, 24, 'Pt टिप्पणी');
INSERT INTO `lang_definitions` VALUES (128275, 8361, 24, 'Pt टिप्पणी / Auth');
INSERT INTO `lang_definitions` VALUES (128276, 8362, 24, 'Pt अधिक भुगतान');
INSERT INTO `lang_definitions` VALUES (128277, 8364, 24, 'Pt भुगतान किया');
INSERT INTO `lang_definitions` VALUES (128278, 8365, 24, 'Pt Rec अनुरोध');
INSERT INTO `lang_definitions` VALUES (128279, 8366, 24, 'Pt धन वापसी');
INSERT INTO `lang_definitions` VALUES (128280, 8367, 24, 'Pt रिहाई');
INSERT INTO `lang_definitions` VALUES (128281, 8368, 24, 'Pt रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (128282, 8369, 24, 'PT छात्र, या खाली छोड़ दें');
INSERT INTO `lang_definitions` VALUES (128283, 8370, 24, 'PT_CITY');
INSERT INTO `lang_definitions` VALUES (128284, 8371, 24, 'PT_DOB');
INSERT INTO `lang_definitions` VALUES (128285, 8373, 24, 'PT_FNAME');
INSERT INTO `lang_definitions` VALUES (128286, 8374, 24, 'PT_LNAME');
INSERT INTO `lang_definitions` VALUES (128287, 8375, 24, 'PT_MNAME');
INSERT INTO `lang_definitions` VALUES (128288, 8378, 24, 'PT_POSTAL');
INSERT INTO `lang_definitions` VALUES (128289, 8380, 24, 'PT_STATE');
INSERT INTO `lang_definitions` VALUES (128290, 8381, 24, 'PT_STREET');
INSERT INTO `lang_definitions` VALUES (128291, 8383, 24, 'सार्वजनिक');
INSERT INTO `lang_definitions` VALUES (128292, 8387, 24, 'सार्वजनिक स्वास्थ्य सेवा (PHS) या अन्य संघीय एजेंसी');
INSERT INTO `lang_definitions` VALUES (128293, 8394, 24, 'प्योर्टो रिको');
INSERT INTO `lang_definitions` VALUES (128294, 8396, 24, 'फुफ्फुसीय');
INSERT INTO `lang_definitions` VALUES (128295, 8398, 24, 'नाड़ी');
INSERT INTO `lang_definitions` VALUES (128296, 8399, 24, 'पंजाबी');
INSERT INTO `lang_definitions` VALUES (128297, 8401, 24, 'खरीद');
INSERT INTO `lang_definitions` VALUES (128298, 8402, 24, 'खरीद / वापसी');
INSERT INTO `lang_definitions` VALUES (128299, 8403, 24, 'खरीदारियां');
INSERT INTO `lang_definitions` VALUES (128300, 8406, 24, 'P {{हैडर जस्टिफाई}}');
INSERT INTO `lang_definitions` VALUES (128301, 8408, 24, 'q.3h');
INSERT INTO `lang_definitions` VALUES (128302, 8409, 24, 'q.4h');
INSERT INTO `lang_definitions` VALUES (128303, 8410, 24, 'q.5h');
INSERT INTO `lang_definitions` VALUES (128304, 8411, 24, 'q.6h');
INSERT INTO `lang_definitions` VALUES (128305, 8412, 24, 'q.8h');
INSERT INTO `lang_definitions` VALUES (128306, 8413, 24, 'q.d.');
INSERT INTO `lang_definitions` VALUES (128307, 8414, 24, 'q.i.d.');
INSERT INTO `lang_definitions` VALUES (128308, 8417, 24, 'QOH');
INSERT INTO `lang_definitions` VALUES (128309, 8418, 24, 'QOH मासिक उपयोग की तुलना में कम है');
INSERT INTO `lang_definitions` VALUES (128310, 8419, 24, 'मात्रा');
INSERT INTO `lang_definitions` VALUES (128311, 8420, 24, 'मात्रा');
INSERT INTO `lang_definitions` VALUES (128312, 8421, 24, 'गुणवत्ता');
INSERT INTO `lang_definitions` VALUES (128313, 8422, 24, 'गुणवत्ता के उपाय (CQM)');
INSERT INTO `lang_definitions` VALUES (128314, 8423, 24, 'मात्रा');
INSERT INTO `lang_definitions` VALUES (128315, 8425, 24, 'NDC के लिए मात्रा');
INSERT INTO `lang_definitions` VALUES (128316, 8426, 24, 'हाथ में मात्रा');
INSERT INTO `lang_definitions` VALUES (128317, 8427, 24, 'मात्रा व्यर्थ लगता है');
INSERT INTO `lang_definitions` VALUES (128318, 8431, 24, 'प्रश्नचिह्न');
INSERT INTO `lang_definitions` VALUES (128319, 8432, 24, 'HCFA बैच प्रक्रिया के लिए कतार');
INSERT INTO `lang_definitions` VALUES (128320, 8433, 24, 'HCFA बैच प्रक्रिया और छपाई के लिए कतार');
INSERT INTO `lang_definitions` VALUES (128321, 8434, 24, 'UB -92 बैच प्रक्रिया के लिए कतार');
INSERT INTO `lang_definitions` VALUES (128322, 8435, 24, 'UB -92 बैच प्रक्रिया और छपाई के लिए कतार');
INSERT INTO `lang_definitions` VALUES (128323, 8436, 24, 'पंक्तिबद्ध');
INSERT INTO `lang_definitions` VALUES (128324, 8437, 24, 'कतारबद्ध घटनाक्रम प्रशासन');
INSERT INTO `lang_definitions` VALUES (128325, 8438, 24, 'के लिए कतारबद्ध');
INSERT INTO `lang_definitions` VALUES (128326, 8440, 24, 'पंक्तिबद्ध प्रस्तुतियाँ प्रशासन');
INSERT INTO `lang_definitions` VALUES (128327, 8442, 24, 'छोड़ना');
INSERT INTO `lang_definitions` VALUES (128328, 8443, 24, 'शराब छोड़ो');
INSERT INTO `lang_definitions` VALUES (128329, 8445, 24, 'R');
INSERT INTO `lang_definitions` VALUES (128330, 8451, 24, 'रोगी, मुठभेड़, या पता लगाने के लिए RA');
INSERT INTO `lang_definitions` VALUES (128331, 8452, 24, 'नस्ल');
INSERT INTO `lang_definitions` VALUES (128332, 8453, 24, 'नस्ल और राष्ट्रीयता');
INSERT INTO `lang_definitions` VALUES (128333, 8454, 24, 'जाति / जातीयता');
INSERT INTO `lang_definitions` VALUES (128334, 8456, 24, 'रेडियो');
INSERT INTO `lang_definitions` VALUES (128335, 8457, 24, 'रेडियो बटन');
INSERT INTO `lang_definitions` VALUES (128336, 8462, 24, 'सीमा');
INSERT INTO `lang_definitions` VALUES (128337, 8463, 24, 'चकत्ते');
INSERT INTO `lang_definitions` VALUES (128338, 8464, 24, 'दर');
INSERT INTO `lang_definitions` VALUES (128339, 8466, 24, 'अनुपात');
INSERT INTO `lang_definitions` VALUES (128340, 8467, 24, 'कच्चा रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (128341, 8475, 24, 'पुन: पहचान');
INSERT INTO `lang_definitions` VALUES (128342, 8476, 24, 'पुन: पहचान की प्रक्रिया पूरा हो गया है');
INSERT INTO `lang_definitions` VALUES (128343, 8477, 24, 'पुन: पहचान की प्रक्रिया चल रही है');
INSERT INTO `lang_definitions` VALUES (128344, 8478, 24, 'पुन: पहचान फ़ाइल सहेजा जाएगा');
INSERT INTO `lang_definitions` VALUES (128345, 8479, 24, 'फिर से चोट?');
INSERT INTO `lang_definitions` VALUES (128346, 8480, 24, 'फिर से खोलने');
INSERT INTO `lang_definitions` VALUES (128347, 8482, 24, 'फिर से खोला');
INSERT INTO `lang_definitions` VALUES (128348, 8484, 24, 'प्रतिक्रिया');
INSERT INTO `lang_definitions` VALUES (128349, 8486, 24, 'प्रतिक्रिया');
INSERT INTO `lang_definitions` VALUES (128350, 8489, 24, 'पढ़ना');
INSERT INTO `lang_definitions` VALUES (128351, 8496, 24, 'असल नाम');
INSERT INTO `lang_definitions` VALUES (128352, 8497, 24, 'वास्तव में हटाना');
INSERT INTO `lang_definitions` VALUES (128353, 8498, 24, 'कारण');
INSERT INTO `lang_definitions` VALUES (128354, 8499, 24, 'कारण मृतक');
INSERT INTO `lang_definitions` VALUES (128355, 8500, 24, 'मृत्यु के लिए कारण');
INSERT INTO `lang_definitions` VALUES (128356, 8502, 24, 'संदर्भ के लिए कारण');
INSERT INTO `lang_definitions` VALUES (128357, 8504, 24, 'यात्रा के लिए कारण');
INSERT INTO `lang_definitions` VALUES (128358, 8506, 24, 'कारण / प्रपत्र');
INSERT INTO `lang_definitions` VALUES (128359, 8521, 24, 'प्राप्ति');
INSERT INTO `lang_definitions` VALUES (128360, 8522, 24, 'भुगतान के लिए प्राप्ति');
INSERT INTO `lang_definitions` VALUES (128361, 8523, 24, 'प्राप्ति उत्पन्न');
INSERT INTO `lang_definitions` VALUES (128362, 8524, 24, 'भुगतान की विधि की रिपोर्ट से प्राप्तियां');
INSERT INTO `lang_definitions` VALUES (128363, 8525, 24, 'प्राप्तियां सारांश');
INSERT INTO `lang_definitions` VALUES (128364, 8526, 24, 'प्राप्त');
INSERT INTO `lang_definitions` VALUES (128365, 8527, 24, 'के द्वारा प्राप्त किया');
INSERT INTO `lang_definitions` VALUES (128366, 8528, 24, 'फैक्स प्राप्त');
INSERT INTO `lang_definitions` VALUES (128367, 8530, 24, 'प्राप्त, समीक्षा नहीं की');
INSERT INTO `lang_definitions` VALUES (128368, 8532, 24, 'पानेवाला');
INSERT INTO `lang_definitions` VALUES (128369, 8533, 24, 'पानेवाला ID');
INSERT INTO `lang_definitions` VALUES (128370, 8534, 24, 'पानेवाला आईडी (ISA08)');
INSERT INTO `lang_definitions` VALUES (128371, 8535, 24, 'पानेवाला आईडी क्वालीफायर (ISA07)');
INSERT INTO `lang_definitions` VALUES (128372, 8536, 24, 'पानेवाला आईडी के');
INSERT INTO `lang_definitions` VALUES (128373, 8540, 24, 'हाल के तीन पासवर्ड की अनुमति नहीं है.');
INSERT INTO `lang_definitions` VALUES (128374, 8542, 24, 'प्राप्तकर्ता');
INSERT INTO `lang_definitions` VALUES (128375, 8543, 24, 'प्राप्तकर्ता सूची खाली है');
INSERT INTO `lang_definitions` VALUES (128376, 8544, 24, 'प्राप्तकर्ता का नाम');
INSERT INTO `lang_definitions` VALUES (128377, 8545, 24, 'प्रकटीकरण के प्राप्तकर्ता');
INSERT INTO `lang_definitions` VALUES (128378, 8546, 24, 'प्राप्तकर्ता आवश्यक जब तक status हो गया है होता नहीं');
INSERT INTO `lang_definitions` VALUES (128379, 8549, 24, 'सिफारिश');
INSERT INTO `lang_definitions` VALUES (128380, 8551, 24, 'फिर से दौरा के लिए सिफारिश');
INSERT INTO `lang_definitions` VALUES (128381, 8552, 24, 'सिफारिशें');
INSERT INTO `lang_definitions` VALUES (128382, 8553, 24, 'सिफारिशें और उपचार');
INSERT INTO `lang_definitions` VALUES (128383, 8554, 24, 'विशेषज्ञ द्वारा सिफारिशें');
INSERT INTO `lang_definitions` VALUES (128384, 8557, 24, 'रिकॉर्ड');
INSERT INTO `lang_definitions` VALUES (128385, 8558, 24, 'रिकॉर्ड पहले से ही मौजूद');
INSERT INTO `lang_definitions` VALUES (128386, 8564, 24, 'महत्वपूर्ण लक्षण में रिकॉर्ड और चार्ट बदल जाता है.');
INSERT INTO `lang_definitions` VALUES (128387, 8565, 24, 'रिकॉर्ड जनसांख्यिकी.');
INSERT INTO `lang_definitions` VALUES (128388, 8566, 24, 'रिकॉर्ड प्रकटीकरण');
INSERT INTO `lang_definitions` VALUES (128389, 8567, 24, 'स्वास्थ्य का रिकॉर्ड');
INSERT INTO `lang_definitions` VALUES (128390, 8568, 24, 'भुगतान रिकॉर्ड');
INSERT INTO `lang_definitions` VALUES (128391, 8570, 24, 'रिकॉर्ड अनुरोध तिथि');
INSERT INTO `lang_definitions` VALUES (128392, 8571, 24, '13 साल की उम्र या पुराने रोगियों के लिए रिकॉर्ड धूम्रपान की स्थिति.');
INSERT INTO `lang_definitions` VALUES (128393, 8572, 24, 'रिकॉर्ड्स');
INSERT INTO `lang_definitions` VALUES (128394, 8573, 24, 'रिकार्ड मिले');
INSERT INTO `lang_definitions` VALUES (128395, 8574, 24, 'रिकार्ड मिले');
INSERT INTO `lang_definitions` VALUES (128396, 8576, 24, 'मनोरंजक दवाओं का उपयोग');
INSERT INTO `lang_definitions` VALUES (128397, 8577, 24, 'मनोरंजनात्मक दवाएं');
INSERT INTO `lang_definitions` VALUES (128398, 8578, 24, 'मलाशय के');
INSERT INTO `lang_definitions` VALUES (128399, 8579, 24, 'मलाशय परीक्षा');
INSERT INTO `lang_definitions` VALUES (128400, 8580, 24, 'मलाशय');
INSERT INTO `lang_definitions` VALUES (128401, 8592, 24, 'पुनप्रेषण');
INSERT INTO `lang_definitions` VALUES (128402, 8593, 24, 'लाली');
INSERT INTO `lang_definitions` VALUES (128403, 8595, 24, 'कम:');
INSERT INTO `lang_definitions` VALUES (128404, 8597, 24, 'संदर्भ');
INSERT INTO `lang_definitions` VALUES (128405, 8598, 24, 'द्वारा संदर्भ');
INSERT INTO `lang_definitions` VALUES (128406, 8599, 24, 'संदर्भ तिथि');
INSERT INTO `lang_definitions` VALUES (128407, 8600, 24, 'को संदर्भ');
INSERT INTO `lang_definitions` VALUES (128408, 8603, 24, 'संदर्भ वर्गीकरण (जोखिम स्तर)');
INSERT INTO `lang_definitions` VALUES (128409, 8604, 24, 'परिणामों के संदर्भ सीमा');
INSERT INTO `lang_definitions` VALUES (128410, 8605, 24, 'संदर्भ कारण');
INSERT INTO `lang_definitions` VALUES (128411, 8609, 24, 'Referer नाम और हस्ताक्षर');
INSERT INTO `lang_definitions` VALUES (128412, 8610, 24, 'रेफरल');
INSERT INTO `lang_definitions` VALUES (128413, 8611, 24, 'द्वारा रेफरल');
INSERT INTO `lang_definitions` VALUES (128414, 8612, 24, 'सिफ़ारिश कार्ड');
INSERT INTO `lang_definitions` VALUES (128415, 8613, 24, 'सिफ़ारिश तिथि');
INSERT INTO `lang_definitions` VALUES (128416, 8614, 24, 'सिफ़ारिश पर्चा');
INSERT INTO `lang_definitions` VALUES (128417, 8615, 24, 'रेफरल फार्म');
INSERT INTO `lang_definitions` VALUES (128418, 8616, 24, 'रेफरल आईडी');
INSERT INTO `lang_definitions` VALUES (128419, 8619, 24, 'सिफारिश स्रोत');
INSERT INTO `lang_definitions` VALUES (128420, 8620, 24, 'मुठभेड़ों के लिए सिफारिश स्रोत');
INSERT INTO `lang_definitions` VALUES (128421, 8621, 24, 'को सिफ़ारिश');
INSERT INTO `lang_definitions` VALUES (128422, 8622, 24, 'सिफ़ारिश');
INSERT INTO `lang_definitions` VALUES (128423, 8623, 24, 'सिफ़ारिश रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (128424, 8624, 24, 'द्वारा सिफ़ारिश');
INSERT INTO `lang_definitions` VALUES (128425, 8625, 24, 'द्वारा सिफ़ारिश');
INSERT INTO `lang_definitions` VALUES (128426, 8627, 24, 'को सिफ़ारिश');
INSERT INTO `lang_definitions` VALUES (128427, 8628, 24, 'सिफ़ारिश करनेवाला');
INSERT INTO `lang_definitions` VALUES (128428, 8630, 24, 'सिफारिश करनेवाला से निदान');
INSERT INTO `lang_definitions` VALUES (128429, 8631, 24, 'सिफारिश करनेवाला से निदान');
INSERT INTO `lang_definitions` VALUES (128430, 8633, 24, 'सिफारिश करनेवाला चिकित्सक और प्रैक्टिस');
INSERT INTO `lang_definitions` VALUES (128431, 8635, 24, 'सिफारिश करनेवाला प्रदाता');
INSERT INTO `lang_definitions` VALUES (128432, 8636, 24, 'फिर से भरना');
INSERT INTO `lang_definitions` VALUES (128433, 8639, 24, 'केवल एक बार');
INSERT INTO `lang_definitions` VALUES (128434, 8640, 24, 'केवल एक बार');
INSERT INTO `lang_definitions` VALUES (128435, 8641, 24, 'सामान्य सजगता');
INSERT INTO `lang_definitions` VALUES (128436, 8645, 24, 'ताज़ा करे');
INSERT INTO `lang_definitions` VALUES (128437, 8648, 24, 'अनुस्मारक ताज़ा कर रहा है');
INSERT INTO `lang_definitions` VALUES (128438, 8651, 24, 'स्टेट करने से इनकार कर दिया');
INSERT INTO `lang_definitions` VALUES (128439, 8652, 24, 'reg_re');
INSERT INTO `lang_definitions` VALUES (128440, 8656, 24, 'पंजीकरण');
INSERT INTO `lang_definitions` VALUES (128441, 8662, 24, 'पंजीकृत');
INSERT INTO `lang_definitions` VALUES (128442, 8663, 24, 'पंजीकृत');
INSERT INTO `lang_definitions` VALUES (128443, 8668, 24, 'पंजीकरण की तिथि');
INSERT INTO `lang_definitions` VALUES (128444, 8671, 24, 'पंजीकरण प्रपत्र');
INSERT INTO `lang_definitions` VALUES (128445, 8672, 24, 'पुनर्वास');
INSERT INTO `lang_definitions` VALUES (128446, 8675, 24, 'पलटाना संभावित');
INSERT INTO `lang_definitions` VALUES (128447, 8676, 24, 'से संबंधित हैं');
INSERT INTO `lang_definitions` VALUES (128448, 8677, 24, 'संबंधित');
INSERT INTO `lang_definitions` VALUES (128449, 8678, 24, 'संबंधित मुद्दा');
INSERT INTO `lang_definitions` VALUES (128450, 8679, 24, 'संबंधित रोगी टिप्पणी');
INSERT INTO `lang_definitions` VALUES (128451, 8680, 24, 'रिश्ता / बच्चे');
INSERT INTO `lang_definitions` VALUES (128452, 8681, 24, 'संबंध');
INSERT INTO `lang_definitions` VALUES (128453, 8682, 24, 'संबंध');
INSERT INTO `lang_definitions` VALUES (128454, 8683, 24, 'इस इकाई के सापेक्ष आदेश देने');
INSERT INTO `lang_definitions` VALUES (128455, 8684, 24, 'रिश्तेदार');
INSERT INTO `lang_definitions` VALUES (128456, 8695, 24, 'रिले स्वास्थ्य साख इस उपयोगकर्ता खाते से लापता हैं.');
INSERT INTO `lang_definitions` VALUES (128457, 8696, 24, 'रिले स्वास्थ्य ID');
INSERT INTO `lang_definitions` VALUES (128458, 8698, 24, 'रिलीज़ तिथि');
INSERT INTO `lang_definitions` VALUES (128459, 8700, 24, 'धर्म');
INSERT INTO `lang_definitions` VALUES (128460, 8705, 24, 'दोबारा लॉगिन');
INSERT INTO `lang_definitions` VALUES (128461, 8706, 24, 'Remdr');
INSERT INTO `lang_definitions` VALUES (128462, 8709, 24, 'चयनित सुविधा याद रखें');
INSERT INTO `lang_definitions` VALUES (128463, 8712, 24, 'अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (128464, 8715, 24, 'अनुस्मारक अंतराल');
INSERT INTO `lang_definitions` VALUES (128465, 8716, 24, 'अनुस्मारक अभी तक नहीं भेजा');
INSERT INTO `lang_definitions` VALUES (128466, 8720, 24, 'पर अनुस्मारक भेजा');
INSERT INTO `lang_definitions` VALUES (128467, 8725, 24, 'अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (128468, 8726, 24, 'परिहार');
INSERT INTO `lang_definitions` VALUES (128469, 8727, 24, 'दूरस्थ मेजबान');
INSERT INTO `lang_definitions` VALUES (128470, 8729, 24, 'हटाना');
INSERT INTO `lang_definitions` VALUES (128471, 8733, 24, 'समूह हटाएं');
INSERT INTO `lang_definitions` VALUES (128472, 8734, 24, 'समूह के रूप में निकालें');
INSERT INTO `lang_definitions` VALUES (128473, 8738, 24, 'टीकाकरण के लिए समर्थन निकालता है');
INSERT INTO `lang_definitions` VALUES (128474, 8739, 24, 'PhpMyAdmin के लिए समर्थन निकालता है');
INSERT INTO `lang_definitions` VALUES (128475, 8740, 24, 'नुस्खे के लिए समर्थन निकालता है');
INSERT INTO `lang_definitions` VALUES (128476, 8742, 24, 'चार्ट ट्रैकर सुविधा निकालता है');
INSERT INTO `lang_definitions` VALUES (128477, 8743, 24, 'गुर्दे की पथरी');
INSERT INTO `lang_definitions` VALUES (128478, 8744, 24, 'नाम बदलें');
INSERT INTO `lang_definitions` VALUES (128479, 8745, 24, 'समूह का नाम बदलें');
INSERT INTO `lang_definitions` VALUES (128480, 8746, 24, 'प्रस्तुत कर रहा');
INSERT INTO `lang_definitions` VALUES (128481, 8747, 24, 'प्रस्तुत कर रहा प्रदाता');
INSERT INTO `lang_definitions` VALUES (128482, 8748, 24, 'प्रस्तुत कर रहा प्रदाता संख्या');
INSERT INTO `lang_definitions` VALUES (128483, 8750, 24, 'पुन: व्यवस्थित करें');
INSERT INTO `lang_definitions` VALUES (128484, 8751, 24, 'पर पुन: व्यवस्थित करें');
INSERT INTO `lang_definitions` VALUES (128485, 8752, 24, 'पुन: व्यवस्थित बिंदु पहुंच गया है');
INSERT INTO `lang_definitions` VALUES (128486, 8753, 24, 'पुन: व्यवस्थित बिंदु, 0 यदि लागू नहीं');
INSERT INTO `lang_definitions` VALUES (128487, 8754, 24, 'Rep');
INSERT INTO `lang_definitions` VALUES (128488, 8756, 24, 'नया पासवर्ड दोहराएँ');
INSERT INTO `lang_definitions` VALUES (128489, 8758, 24, 'घटना दोहराए जाने');
INSERT INTO `lang_definitions` VALUES (128490, 8759, 24, 'जानकारी दोहरा रहा है:');
INSERT INTO `lang_definitions` VALUES (128491, 8760, 24, 'दोहराता है');
INSERT INTO `lang_definitions` VALUES (128492, 8761, 24, 'बदलें');
INSERT INTO `lang_definitions` VALUES (128493, 8771, 24, 'तिथि दें');
INSERT INTO `lang_definitions` VALUES (128494, 8772, 24, 'से उत्तर');
INSERT INTO `lang_definitions` VALUES (128495, 8774, 24, 'रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (128496, 8776, 24, 'रिपोर्ट - क्लीनिकल');
INSERT INTO `lang_definitions` VALUES (128497, 8779, 24, 'द्वारा रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (128498, 8784, 24, 'रिपोर्ट इतिहास / परिणाम');
INSERT INTO `lang_definitions` VALUES (128499, 8786, 24, 'रिपोर्ट परिणाम');
INSERT INTO `lang_definitions` VALUES (128500, 8787, 24, 'रिपोर्ट परिणाम / इतिहास');
INSERT INTO `lang_definitions` VALUES (128501, 8789, 24, 'रिपोर्ट स्थिति');
INSERT INTO `lang_definitions` VALUES (128502, 8790, 24, 'रिपोर्ट योग');
INSERT INTO `lang_definitions` VALUES (128503, 8792, 24, 'रिपोर्ट / प्रपत्र');
INSERT INTO `lang_definitions` VALUES (128504, 8794, 24, 'रिपोर्ट योग्य');
INSERT INTO `lang_definitions` VALUES (128505, 8795, 24, 'रिपोर्टेड');
INSERT INTO `lang_definitions` VALUES (128506, 8796, 24, 'रिपोर्टेड तिथि');
INSERT INTO `lang_definitions` VALUES (128507, 8797, 24, 'रिपोर्टें');
INSERT INTO `lang_definitions` VALUES (128508, 8804, 24, 'अनुरोध पर ध्यान नहीं दिया - दावा प्रसंस्करण पहले से ही चल रहा है!');
INSERT INTO `lang_definitions` VALUES (128509, 8815, 24, 'सेवा का अनुरोध');
INSERT INTO `lang_definitions` VALUES (128510, 8819, 24, 'मजबूत पासवर्ड की आवश्यकता');
INSERT INTO `lang_definitions` VALUES (128511, 8820, 24, 'अद्वितीय पासवर्ड की आवश्यकता');
INSERT INTO `lang_definitions` VALUES (128512, 8821, 24, 'अपेक्षित');
INSERT INTO `lang_definitions` VALUES (128513, 8823, 24, 'आवश्यक सह वेतन');
INSERT INTO `lang_definitions` VALUES (128514, 8824, 24, 'आवश्यक फ़ील्ड गुम: अपलोड करने के लिए EDI-271 फ़ाइल का चयन करें');
INSERT INTO `lang_definitions` VALUES (128515, 8825, 24, 'आवश्यक फ़ील्ड गुम: पहला नाम दर्ज करें');
INSERT INTO `lang_definitions` VALUES (128516, 8826, 24, 'आवश्यक फ़ील्ड गुम: अंतिम नाम दर्ज करें');
INSERT INTO `lang_definitions` VALUES (128517, 8827, 24, 'आवश्यक फ़ील्ड गुम: उपयोगकर्ता नाम दर्ज करें');
INSERT INTO `lang_definitions` VALUES (128518, 8828, 24, 'आवश्यक फ़ील्ड');
INSERT INTO `lang_definitions` VALUES (128519, 8829, 24, 'आवश्यकताएँ');
INSERT INTO `lang_definitions` VALUES (128520, 8832, 24, 'आरक्षित');
INSERT INTO `lang_definitions` VALUES (128521, 8833, 24, 'आरक्षित');
INSERT INTO `lang_definitions` VALUES (128522, 8834, 24, 'अनुसूचित अवकाश समय को परिभाषित करने के लिए उपयोग के लिए आरक्षित');
INSERT INTO `lang_definitions` VALUES (128523, 8835, 24, 'जब एक प्रदाता के लिए नियुक्तियों उपलब्ध नहीं है, तो परिभाषित करने के आरक्षित.');
INSERT INTO `lang_definitions` VALUES (128524, 8836, 24, 'निर्दिष्ट रूप में घटना घटि नहीं तो परिभाषित करने के लिए आरक्षित.');
INSERT INTO `lang_definitions` VALUES (128525, 8837, 24, 'जब प्रदाता के लिए नियुक्तियों उपलब्ध है, तो परिभाषित करने के लिए आरक्षित.');
INSERT INTO `lang_definitions` VALUES (128526, 8838, 24, 'रीसेट करें');
INSERT INTO `lang_definitions` VALUES (128527, 8842, 24, 'Offsite पोर्टल पहचान रीसेट करें');
INSERT INTO `lang_definitions` VALUES (128528, 8844, 24, 'ऑनसाइट पोर्टल पहचान रीसेट करें');
INSERT INTO `lang_definitions` VALUES (128529, 8850, 24, 'Resn');
INSERT INTO `lang_definitions` VALUES (128530, 8852, 24, 'संकल्प');
INSERT INTO `lang_definitions` VALUES (128531, 8855, 24, 'श्वसन');
INSERT INTO `lang_definitions` VALUES (128532, 8856, 24, 'श्वासयंत्र प्रयास अनुपाजिंत');
INSERT INTO `lang_definitions` VALUES (128533, 8857, 24, 'श्वसन');
INSERT INTO `lang_definitions` VALUES (128534, 8864, 24, 'उपयोगकर्ता व्यवस्थापक में निर्धारित कार्यक्रम सुविधाएं को गैर अधिकृत उपयोगकर्ताओं को सीमित करें.');
INSERT INTO `lang_definitions` VALUES (128535, 8865, 24, 'सुविधाएं के लिए उपयोगकर्ताओं को सीमित');
INSERT INTO `lang_definitions` VALUES (128536, 8866, 24, 'सीमित प्रशिक्षण');
INSERT INTO `lang_definitions` VALUES (128537, 8867, 24, 'परिणाम');
INSERT INTO `lang_definitions` VALUES (128538, 8868, 24, 'परिणाम नाम');
INSERT INTO `lang_definitions` VALUES (128539, 8869, 24, 'परिणाम स्थिति');
INSERT INTO `lang_definitions` VALUES (128540, 8870, 24, 'परिणाम स्थिति या विषमता लापता है');
INSERT INTO `lang_definitions` VALUES (128541, 8871, 24, 'परिणामस्वरूप, एक वाइल्डकार्ड के रूप में % का उपयोग');
INSERT INTO `lang_definitions` VALUES (128542, 8872, 24, 'परिणाम');
INSERT INTO `lang_definitions` VALUES (128543, 8873, 24, 'परिणाम और');
INSERT INTO `lang_definitions` VALUES (128544, 8874, 24, 'खोज के लिए परिणाम मिले');
INSERT INTO `lang_definitions` VALUES (128545, 8875, 24, 'परिणाम समूह');
INSERT INTO `lang_definitions` VALUES (128546, 8877, 24, 'परिणाम पथ');
INSERT INTO `lang_definitions` VALUES (128547, 8879, 24, 'प्रति पृष्ठ परिणाम');
INSERT INTO `lang_definitions` VALUES (128548, 8880, 24, 'परिणाम / विवरण');
INSERT INTO `lang_definitions` VALUES (128549, 8884, 24, 'रेटिना परीक्षा');
INSERT INTO `lang_definitions` VALUES (128550, 8885, 24, 'राइट मुकर:');
INSERT INTO `lang_definitions` VALUES (128551, 8886, 24, 'लौटें');
INSERT INTO `lang_definitions` VALUES (128552, 8887, 24, 'अपने भुगतान के साथ ऊपर भाग लौटाएँ');
INSERT INTO `lang_definitions` VALUES (128553, 8890, 24, 'कैलेंडर पर लौटें');
INSERT INTO `lang_definitions` VALUES (128554, 8891, 24, 'परिणाम की रिपोर्ट पर लौटें');
INSERT INTO `lang_definitions` VALUES (128555, 8892, 24, 'इस पृष्ठ पर लौटें और आप ICD10 अनुभाग शीर्षक पर क्लिक करके ICD10 स्थापना प्रक्रिया को पूरा करने में सक्षम होगे');
INSERT INTO `lang_definitions` VALUES (128556, 8893, 24, 'इस पृष्ठ पर लौटें और आप ICD9 अनुभाग शीर्षक पर क्लिक करके ICD9 स्थापना प्रक्रिया को पूरा करने में सक्षम होगे');
INSERT INTO `lang_definitions` VALUES (128557, 8894, 24, 'इस पृष्ठ पर लौटें और आप RXNORM अनुभाग शीर्षक पर क्लिक करके RxNorm स्थापना प्रक्रिया को पूरा करने में सक्षम होगे');
INSERT INTO `lang_definitions` VALUES (128558, 8895, 24, 'इस पृष्ठ पर लौटें और आप SNOMED अनुभाग शीर्षक पर क्लिक करके Snomed स्थापना प्रक्रिया को पूरा करने में सक्षम होगे');
INSERT INTO `lang_definitions` VALUES (128559, 8897, 24, 'मूल्य लौटें');
INSERT INTO `lang_definitions` VALUES (128560, 8898, 24, 'वापसी यात्रा');
INSERT INTO `lang_definitions` VALUES (128561, 8899, 24, 'खेलने वापस');
INSERT INTO `lang_definitions` VALUES (128562, 8901, 24, 'पिछले तीन पासवर्ड के पुन: उपयोग की अनुमति नहीं है!');
INSERT INTO `lang_definitions` VALUES (128563, 8914, 24, 'PMH की समीक्षा करें:');
INSERT INTO `lang_definitions` VALUES (128564, 8917, 24, 'प्रणाली की समीक्षा');
INSERT INTO `lang_definitions` VALUES (128565, 8918, 24, 'सिस्टम जांच की समीक्षा');
INSERT INTO `lang_definitions` VALUES (128566, 8921, 24, 'समीक्षित');
INSERT INTO `lang_definitions` VALUES (128567, 8924, 24, 'संशोधन');
INSERT INTO `lang_definitions` VALUES (128568, 8925, 24, 'Rheumotoid गठिया');
INSERT INTO `lang_definitions` VALUES (128569, 8926, 24, 'Rheumotoid गठिया');
INSERT INTO `lang_definitions` VALUES (128570, 8928, 24, 'दाएँ');
INSERT INTO `lang_definitions` VALUES (128571, 8931, 24, 'दाएँ कान');
INSERT INTO `lang_definitions` VALUES (128572, 8932, 24, 'दाएँ कान');
INSERT INTO `lang_definitions` VALUES (128573, 8940, 24, 'दाएँ');
INSERT INTO `lang_definitions` VALUES (128574, 8941, 24, 'कानों में बज रहा');
INSERT INTO `lang_definitions` VALUES (128575, 8942, 24, 'कानों में बज रहा');
INSERT INTO `lang_definitions` VALUES (128576, 8944, 24, 'जोखिम कारक');
INSERT INTO `lang_definitions` VALUES (128577, 8945, 24, 'जोखिम का स्तर');
INSERT INTO `lang_definitions` VALUES (128578, 8949, 24, 'RLL:');
INSERT INTO `lang_definitions` VALUES (128579, 8955, 24, 'ROM');
INSERT INTO `lang_definitions` VALUES (128580, 8956, 24, 'रोमानियाई देश');
INSERT INTO `lang_definitions` VALUES (128581, 8963, 24, 'रोस्टर');
INSERT INTO `lang_definitions` VALUES (128582, 8966, 24, 'मार्ग');
INSERT INTO `lang_definitions` VALUES (128583, 8967, 24, 'प्रशासन का मार्ग, यदि लागू हो');
INSERT INTO `lang_definitions` VALUES (128584, 8968, 24, 'मार्ग किया');
INSERT INTO `lang_definitions` VALUES (128585, 8969, 24, 'पंक्तियाँ');
INSERT INTO `lang_definitions` VALUES (128586, 8971, 24, 'MOR बिना RRR');
INSERT INTO `lang_definitions` VALUES (128587, 8972, 24, 'रगड़ो:');
INSERT INTO `lang_definitions` VALUES (128588, 8973, 24, 'रगड़ो:');
INSERT INTO `lang_definitions` VALUES (128589, 8974, 24, 'नियम');
INSERT INTO `lang_definitions` VALUES (128590, 8975, 24, 'नियम जोड़ें');
INSERT INTO `lang_definitions` VALUES (128591, 8976, 24, 'नियम विस्तार');
INSERT INTO `lang_definitions` VALUES (128592, 8978, 24, 'नियम संपादित करें');
INSERT INTO `lang_definitions` VALUES (128593, 8981, 24, 'नियम सेट करें');
INSERT INTO `lang_definitions` VALUES (128594, 8984, 24, 'नियम');
INSERT INTO `lang_definitions` VALUES (128595, 8986, 24, 'नियम विन्यास');
INSERT INTO `lang_definitions` VALUES (128596, 8989, 24, 'कमांड चलाने:');
INSERT INTO `lang_definitions` VALUES (128597, 8990, 24, 'टूटना');
INSERT INTO `lang_definitions` VALUES (128598, 8992, 24, 'रूसी देश');
INSERT INTO `lang_definitions` VALUES (128599, 8995, 24, 'RX');
INSERT INTO `lang_definitions` VALUES (128600, 8996, 24, 'RX');
INSERT INTO `lang_definitions` VALUES (128601, 8997, 24, 'Rx नीचे मार्जिन (px)');
INSERT INTO `lang_definitions` VALUES (128602, 9001, 24, 'Rx DEA # सक्षम करें');
INSERT INTO `lang_definitions` VALUES (128603, 9002, 24, 'Rx NPI सक्षम करें');
INSERT INTO `lang_definitions` VALUES (128604, 9003, 24, 'Rx राज्य Lic सक्षम करें. #');
INSERT INTO `lang_definitions` VALUES (128605, 9007, 24, 'Rx वाम मार्जिन (px)');
INSERT INTO `lang_definitions` VALUES (128606, 9010, 24, 'Rx पेपर आकार');
INSERT INTO `lang_definitions` VALUES (128607, 9013, 24, 'Rx दाएँ मार्जिन (px)');
INSERT INTO `lang_definitions` VALUES (128608, 9014, 24, 'Rx दिखाएँ DEA #');
INSERT INTO `lang_definitions` VALUES (128609, 9015, 24, 'Rx दिखाएँ NPI');
INSERT INTO `lang_definitions` VALUES (128610, 9016, 24, 'Rx दिखाएँ राज्य Lic. #');
INSERT INTO `lang_definitions` VALUES (128611, 9017, 24, 'Rx शीर्ष मार्जिन (px)');
INSERT INTO `lang_definitions` VALUES (128612, 9023, 24, 'RxNorm');
INSERT INTO `lang_definitions` VALUES (128613, 9024, 24, 'RxNorm डाटाबेस');
INSERT INTO `lang_definitions` VALUES (128614, 9028, 24, 'S');
INSERT INTO `lang_definitions` VALUES (128615, 9029, 24, 's.s.');
INSERT INTO `lang_definitions` VALUES (128616, 9030, 24, 'S3:');
INSERT INTO `lang_definitions` VALUES (128617, 9031, 24, 'S4:');
INSERT INTO `lang_definitions` VALUES (128618, 9032, 24, 'SA ** लाइसेंस पढ़ने के लिए पढ़ें Docs / license.txt या कृपया जाओ * http://www.gnu.org/copyleft/gpl.html ** / / / ============ ================================================== =========== / /');
INSERT INTO `lang_definitions` VALUES (128619, 9034, 24, 'बिक्री');
INSERT INTO `lang_definitions` VALUES (128620, 9035, 24, 'बिक्री');
INSERT INTO `lang_definitions` VALUES (128621, 9036, 24, 'आइटम द्वारा बिक्री');
INSERT INTO `lang_definitions` VALUES (128622, 9037, 24, 'उत्पाद की रिपोर्ट द्वारा बिक्री');
INSERT INTO `lang_definitions` VALUES (128623, 9038, 24, 'लार');
INSERT INTO `lang_definitions` VALUES (128624, 9039, 24, 'उसी दिन');
INSERT INTO `lang_definitions` VALUES (128625, 9040, 24, 'सैमो का (निवासी) या सैमोई (भाषा)');
INSERT INTO `lang_definitions` VALUES (128626, 9041, 24, 'नमूना');
INSERT INTO `lang_definitions` VALUES (128627, 9042, 24, 'स्वीकृति के प्रकार');
INSERT INTO `lang_definitions` VALUES (128628, 9047, 24, 'शनि');
INSERT INTO `lang_definitions` VALUES (128629, 9048, 24, 'शनि औरamp रवि');
INSERT INTO `lang_definitions` VALUES (128630, 9049, 24, 'शनिवार');
INSERT INTO `lang_definitions` VALUES (128631, 9050, 24, 'सहेजें');
INSERT INTO `lang_definitions` VALUES (128632, 9051, 24, 'सहेजें');
INSERT INTO `lang_definitions` VALUES (128633, 9055, 24, 'सहेजें और बंद करें');
INSERT INTO `lang_definitions` VALUES (128634, 9058, 24, 'सहेजें और बांटना');
INSERT INTO `lang_definitions` VALUES (128635, 9060, 24, 'सहेजें और संचारित करें');
INSERT INTO `lang_definitions` VALUES (128636, 9061, 24, 'नए रूप में सहेजें');
INSERT INTO `lang_definitions` VALUES (128637, 9063, 24, 'नए नोट के रूप में सहेजें');
INSERT INTO `lang_definitions` VALUES (128638, 9066, 24, 'प्रमाणपत्र जमावट सहेजें');
INSERT INTO `lang_definitions` VALUES (128639, 9067, 24, 'परिवर्तन सहेजें');
INSERT INTO `lang_definitions` VALUES (128640, 9075, 24, 'प्रपत्र सहेजें');
INSERT INTO `lang_definitions` VALUES (128641, 9076, 24, 'टीकाकरण सहेजें');
INSERT INTO `lang_definitions` VALUES (128642, 9078, 24, 'नई फील्ड सहेजें');
INSERT INTO `lang_definitions` VALUES (128643, 9079, 24, 'नया समूह सहेजें');
INSERT INTO `lang_definitions` VALUES (128644, 9080, 24, 'नई सूची सहेजें');
INSERT INTO `lang_definitions` VALUES (128645, 9081, 24, 'नई टेम्पलेट सहेजें');
INSERT INTO `lang_definitions` VALUES (128646, 9082, 24, 'चयन चूक को सहेजें');
INSERT INTO `lang_definitions` VALUES (128647, 9083, 24, 'रोगी जनसांख्यिकी सहेजें');
INSERT INTO `lang_definitions` VALUES (128648, 9087, 24, 'चार्ट ID के लिए सहेजें सफल');
INSERT INTO `lang_definitions` VALUES (128649, 9089, 24, 'लेनदेन सहेजें');
INSERT INTO `lang_definitions` VALUES (128650, 9098, 24, 'स्कैन किए गए');
INSERT INTO `lang_definitions` VALUES (128651, 9099, 24, 'मुठभेड़ नोट स्कैन किए');
INSERT INTO `lang_definitions` VALUES (128652, 9100, 24, 'स्कैनर निर्देशिका');
INSERT INTO `lang_definitions` VALUES (128653, 9101, 24, 'स्कैनर');
INSERT INTO `lang_definitions` VALUES (128654, 9104, 24, 'अनुसूची');
INSERT INTO `lang_definitions` VALUES (128655, 9106, 24, 'अनुसूची सुविधाएं:');
INSERT INTO `lang_definitions` VALUES (128656, 9117, 24, 'स्कूल नोट');
INSERT INTO `lang_definitions` VALUES (128657, 9122, 24, 'पार्श्वकुब्जता');
INSERT INTO `lang_definitions` VALUES (128658, 9133, 24, 'SE');
INSERT INTO `lang_definitions` VALUES (128659, 9134, 24, 'SE पता');
INSERT INTO `lang_definitions` VALUES (128660, 9135, 24, 'SE सिटी');
INSERT INTO `lang_definitions` VALUES (128661, 9136, 24, 'SE देश');
INSERT INTO `lang_definitions` VALUES (128662, 9137, 24, 'SE लोकैलिटी');
INSERT INTO `lang_definitions` VALUES (128663, 9138, 24, 'SE कोड');
INSERT INTO `lang_definitions` VALUES (128664, 9139, 24, 'SE राज्य');
INSERT INTO `lang_definitions` VALUES (128665, 9140, 24, 'SE ज़िप कोड');
INSERT INTO `lang_definitions` VALUES (128666, 9141, 24, 'खोजें');
INSERT INTO `lang_definitions` VALUES (128667, 9143, 24, 'खोजें');
INSERT INTO `lang_definitions` VALUES (128668, 9144, 24, 'फिर से खोजें');
INSERT INTO `lang_definitions` VALUES (128669, 9145, 24, 'सभी कॉलम खोजें');
INSERT INTO `lang_definitions` VALUES (128670, 9150, 24, 'के द्वारा खोजें:');
INSERT INTO `lang_definitions` VALUES (128671, 9152, 24, 'के लिए खोजें');
INSERT INTO `lang_definitions` VALUES (128672, 9156, 24, 'के लिए खोजें:');
INSERT INTO `lang_definitions` VALUES (128673, 9158, 24, 'में खोजें');
INSERT INTO `lang_definitions` VALUES (128674, 9159, 24, 'में खोजें');
INSERT INTO `lang_definitions` VALUES (128675, 9161, 24, 'खोजें या जोड़ें रोगी');
INSERT INTO `lang_definitions` VALUES (128676, 9164, 24, 'भुगतान खोजें');
INSERT INTO `lang_definitions` VALUES (128677, 9167, 24, 'परिणाम खोजें');
INSERT INTO `lang_definitions` VALUES (128678, 9168, 24, 'परिणाम खोजें:');
INSERT INTO `lang_definitions` VALUES (128679, 9169, 24, 'चुनी गई खोजें');
INSERT INTO `lang_definitions` VALUES (128680, 9171, 24, 'खोज स्ट्रिंग डेटाबेस में सूची के साथ मेल नहीं खाता');
INSERT INTO `lang_definitions` VALUES (128681, 9172, 24, 'खोज स्ट्रिंग कम से कम तीन अक्षर होना चाहिए');
INSERT INTO `lang_definitions` VALUES (128682, 9174, 24, 'खोजें पाठ');
INSERT INTO `lang_definitions` VALUES (128683, 9175, 24, 'घटनाक्रम खोजें');
INSERT INTO `lang_definitions` VALUES (128684, 9178, 24, 'खोजें / जोड़ें');
INSERT INTO `lang_definitions` VALUES (128685, 9179, 24, 'खोजें / बीमाकर्ता जोड़ें');
INSERT INTO `lang_definitions` VALUES (128686, 9181, 24, 'नियुक्तियों के लिए खोजें');
INSERT INTO `lang_definitions` VALUES (128687, 9182, 24, 'खोज रहा है ...');
INSERT INTO `lang_definitions` VALUES (128688, 9184, 24, 'सीट बेल्ट का उपयोग करें');
INSERT INTO `lang_definitions` VALUES (128689, 9185, 24, 'सीट बेल्ट का प्रयोग करें');
INSERT INTO `lang_definitions` VALUES (128690, 9186, 24, 'द्वितीय');
INSERT INTO `lang_definitions` VALUES (128691, 9189, 24, 'द्वितीयक');
INSERT INTO `lang_definitions` VALUES (128692, 9191, 24, 'द्वितीयक बीमा');
INSERT INTO `lang_definitions` VALUES (128693, 9192, 24, 'द्वितीयक बीमा डाटा');
INSERT INTO `lang_definitions` VALUES (128694, 9193, 24, 'द्वितीयक बीमा प्रदाता');
INSERT INTO `lang_definitions` VALUES (128695, 9194, 24, 'द्वितीयक चिकित्सा प्रकार');
INSERT INTO `lang_definitions` VALUES (128696, 9207, 24, 'सुरक्षा');
INSERT INTO `lang_definitions` VALUES (128697, 9208, 24, 'सभी देखें');
INSERT INTO `lang_definitions` VALUES (128698, 9210, 24, 'प्राधिकरण देखें');
INSERT INTO `lang_definitions` VALUES (128699, 9213, 24, 'ग्रोथ चार्ट देखें');
INSERT INTO `lang_definitions` VALUES (128700, 9214, 24, 'उत्पन्न दावों के अंतिम सेट से संदेश देखें');
INSERT INTO `lang_definitions` VALUES (128701, 9218, 24, 'के बाद से देखा');
INSERT INTO `lang_definitions` VALUES (128702, 9220, 24, 'अनुभाग का नाम');
INSERT INTO `lang_definitions` VALUES (128703, 9221, 24, 'अनुभाग बैच दावा');
INSERT INTO `lang_definitions` VALUES (128704, 9222, 24, 'बरामदगी');
INSERT INTO `lang_definitions` VALUES (128705, 9223, 24, 'Sel');
INSERT INTO `lang_definitions` VALUES (128706, 9224, 24, 'चयन');
INSERT INTO `lang_definitions` VALUES (128707, 9225, 24, 'चयन');
INSERT INTO `lang_definitions` VALUES (128708, 9228, 24, 'एक संदर्भ का चयन करें');
INSERT INTO `lang_definitions` VALUES (128709, 9232, 24, 'एक प्रतिशत पंक्तियों चुनें या या तिथियाँ का चयन करें');
INSERT INTO `lang_definitions` VALUES (128710, 9235, 24, 'एक समय अवधि का चयन करें');
INSERT INTO `lang_definitions` VALUES (128711, 9236, 24, 'एक उपयोगकर्ता का चयन करें');
INSERT INTO `lang_definitions` VALUES (128712, 9239, 24, 'सभी चुनें');
INSERT INTO `lang_definitions` VALUES (128713, 9248, 24, 'छपाई के लिए CAMOS प्रविष्टियों का चयन करें');
INSERT INTO `lang_definitions` VALUES (128714, 9250, 24, 'श्रेणी का चयन करें');
INSERT INTO `lang_definitions` VALUES (128715, 9254, 24, 'हटाने के लिए संगत चेकबॉक्स चुनें');
INSERT INTO `lang_definitions` VALUES (128716, 9256, 24, 'हटाने के लिए मापदंडों का चयन करें');
INSERT INTO `lang_definitions` VALUES (128717, 9257, 24, 'CSV तालिका का चयन करें');
INSERT INTO `lang_definitions` VALUES (128718, 9260, 24, 'De Identification के लिए आवश्यक डाटा चयन करें');
INSERT INTO `lang_definitions` VALUES (128719, 9261, 24, 'De Identified डेटा में शामिल करने के लिए डेटा चयन करें');
INSERT INTO `lang_definitions` VALUES (128720, 9262, 24, 'तिथि का चयन करें');
INSERT INTO `lang_definitions` VALUES (128721, 9264, 24, 'इच्छित दस्ते का चयन करें');
INSERT INTO `lang_definitions` VALUES (128722, 9265, 24, 'निदान का चयन करें');
INSERT INTO `lang_definitions` VALUES (128723, 9267, 24, 'डी पहचान अनुरोध के लिए निदान का चयन करें');
INSERT INTO `lang_definitions` VALUES (128724, 9271, 24, 'दवाओं का चयन करें');
INSERT INTO `lang_definitions` VALUES (128725, 9272, 24, 'दवाओं का चयन करें');
INSERT INTO `lang_definitions` VALUES (128726, 9273, 24, 'डी पहचान अनुरोध के लिए ड्रग्स का चयन करें');
INSERT INTO `lang_definitions` VALUES (128727, 9274, 24, 'ईडीआई-271 फ़ाइल चुनें');
INSERT INTO `lang_definitions` VALUES (128728, 9276, 24, 'क्षेत्र चुनें');
INSERT INTO `lang_definitions` VALUES (128729, 9278, 24, 'क्षेत्र चुनें');
INSERT INTO `lang_definitions` VALUES (128730, 9279, 24, 'छपाई के लिए चयन करें');
INSERT INTO `lang_definitions` VALUES (128731, 9285, 24, 'टीकाकरण का चयन करें');
INSERT INTO `lang_definitions` VALUES (128732, 9286, 24, 'डी पहचान अनुरोध के लिए टीकाकरण का चयन करें');
INSERT INTO `lang_definitions` VALUES (128733, 9287, 24, 'टाइप करके, बीमा का चयन करें');
INSERT INTO `lang_definitions` VALUES (128734, 9288, 24, 'समस्या चुनें');
INSERT INTO `lang_definitions` VALUES (128735, 9291, 24, 'भाषा चुने');
INSERT INTO `lang_definitions` VALUES (128736, 9297, 24, 'एक का चयन करें');
INSERT INTO `lang_definitions` VALUES (128737, 9298, 24, 'सेवा का औचित्य साबित करने के लिए एक या एक से अधिक निदान कोड का चयन करें');
INSERT INTO `lang_definitions` VALUES (128738, 9299, 24, 'अपलोड करने के लिए एक या एक से अधिक फाइलों का चयन करें');
INSERT INTO `lang_definitions` VALUES (128739, 9321, 24, 'निर्यात करने के लिए विन्यास आइटम्स का चयन करें');
INSERT INTO `lang_definitions` VALUES (128740, 9328, 24, 'इस दिन,चूक गए घटनाओं के लिए मुख्य रूप से जिम्मेदार, मुद्दे का चयन करें');
INSERT INTO `lang_definitions` VALUES (128741, 9338, 24, 'चुनें प्रयोक्ता');
INSERT INTO `lang_definitions` VALUES (128742, 9340, 24, 'ड्रॉपडाउन सूची से उपयोगकर्ता चुनें');
INSERT INTO `lang_definitions` VALUES (128743, 9341, 24, 'कोई भाषा का चयन करें, यदि कोई हो, लॉग इन पर चुना जा सकता है. (केवल उचित अगर ऊपर सभी भाषाएँ बंद कर दिया है तो)');
INSERT INTO `lang_definitions` VALUES (128744, 9343, 24, 'समूह हटाने की पुष्टि करने के लिए हाँ का चयन करें');
INSERT INTO `lang_definitions` VALUES (128745, 9349, 24, 'चयनित');
INSERT INTO `lang_definitions` VALUES (128746, 9350, 24, 'चयनित मुठभेड़');
INSERT INTO `lang_definitions` VALUES (128747, 9355, 24, 'इसका चयन करना एक संदेश पैदा करेगा, लिए जिसे व्यक्तिगत रूप से प्रत्येक प्राप्तकर्ता के द्वारा संसाधित करने की आवश्यकता है. (यह एक समूह काम नहीं है).');
INSERT INTO `lang_definitions` VALUES (128748, 9357, 24, 'स्वयं');
INSERT INTO `lang_definitions` VALUES (128749, 9358, 24, 'स्वयं को अदा करें');
INSERT INTO `lang_definitions` VALUES (128750, 9360, 24, 'भेजें');
INSERT INTO `lang_definitions` VALUES (128751, 9361, 24, 'एक दिनांकित अनुस्मारक भेजें');
INSERT INTO `lang_definitions` VALUES (128752, 9362, 24, 'एक अनुस्मारक भेजें');
INSERT INTO `lang_definitions` VALUES (128753, 9369, 24, 'भेजें प्रगति पर');
INSERT INTO `lang_definitions` VALUES (128754, 9372, 24, 'संदेश भेजें');
INSERT INTO `lang_definitions` VALUES (128755, 9378, 24, 'अनुस्मारक बैच भेजें');
INSERT INTO `lang_definitions` VALUES (128756, 9379, 24, 'निवारक / अनुवर्ती कार्रवाई की देखभाल के लिए रोगी वरीयता प्रति रोगियों को अनुस्मारक भेजें.');
INSERT INTO `lang_definitions` VALUES (128757, 9383, 24, 'सिफ़ारिशों के साथ सारांश भेजें');
INSERT INTO `lang_definitions` VALUES (128758, 9384, 24, 'इस फाइल को भेजें');
INSERT INTO `lang_definitions` VALUES (128759, 9385, 24, 'यह संदेश भेजें');
INSERT INTO `lang_definitions` VALUES (128760, 9386, 24, 'को भेजें');
INSERT INTO `lang_definitions` VALUES (128761, 9389, 24, 'सभी को भेजें');
INSERT INTO `lang_definitions` VALUES (128762, 9395, 24, 'प्रेषक');
INSERT INTO `lang_definitions` VALUES (128763, 9396, 24, 'प्रेषक ID');
INSERT INTO `lang_definitions` VALUES (128764, 9397, 24, 'प्रेषक ID (ISA06)');
INSERT INTO `lang_definitions` VALUES (128765, 9398, 24, 'प्रेषक ID क्वालीफायर (ISA05)');
INSERT INTO `lang_definitions` VALUES (128766, 9399, 24, 'प्रेषक IDs के');
INSERT INTO `lang_definitions` VALUES (128767, 9406, 24, 'के लिए भेजा जा रहा है');
INSERT INTO `lang_definitions` VALUES (128768, 9407, 24, 'संवेदनशीलता');
INSERT INTO `lang_definitions` VALUES (128769, 9411, 24, 'संवेदनशीलता:');
INSERT INTO `lang_definitions` VALUES (128770, 9412, 24, 'संवेदी परीक्षा सामान्य');
INSERT INTO `lang_definitions` VALUES (128771, 9413, 24, 'भेजे गए');
INSERT INTO `lang_definitions` VALUES (128772, 9415, 24, 'द्वारा भेजे गए, सभी के लिए खाली छोड़ें');
INSERT INTO `lang_definitions` VALUES (128773, 9417, 24, 'तिथि भेजी गई');
INSERT INTO `lang_definitions` VALUES (128774, 9418, 24, 'आइटम भेजे गए');
INSERT INTO `lang_definitions` VALUES (128775, 9419, 24, 'मेडिकल रिकॉर्ड्स भेजा है?');
INSERT INTO `lang_definitions` VALUES (128776, 9420, 24, 'सफलतापूर्वक भेजा');
INSERT INTO `lang_definitions` VALUES (128777, 9423, 24, 'प्रिंटर के लिए भेजा.');
INSERT INTO `lang_definitions` VALUES (128778, 9424, 24, 'सभी के लिए खाली छोड़ दें, के लिए भेजा');
INSERT INTO `lang_definitions` VALUES (128779, 9426, 24, 'भेजा है, लेकिन अभी तक पुष्टि नहीं की.');
INSERT INTO `lang_definitions` VALUES (128780, 9427, 24, 'भेजा गया, प्राप्त नहीं');
INSERT INTO `lang_definitions` VALUES (128781, 9429, 24, 'सितंबर');
INSERT INTO `lang_definitions` VALUES (128782, 9430, 24, 'अलग किए गए');
INSERT INTO `lang_definitions` VALUES (128783, 9431, 24, 'सितंबर');
INSERT INTO `lang_definitions` VALUES (128784, 9432, 24, 'seq');
INSERT INTO `lang_definitions` VALUES (128785, 9433, 24, 'अनुक्रम');
INSERT INTO `lang_definitions` VALUES (128786, 9435, 24, 'Serv Rep');
INSERT INTO `lang_definitions` VALUES (128787, 9442, 24, 'सेवा');
INSERT INTO `lang_definitions` VALUES (128788, 9444, 24, 'सेवा श्रेणी');
INSERT INTO `lang_definitions` VALUES (128789, 9445, 24, 'सेवा संहिता');
INSERT INTO `lang_definitions` VALUES (128790, 9446, 24, 'सेवा संहिता वित्त रिपोर्टिंग');
INSERT INTO `lang_definitions` VALUES (128791, 9447, 24, 'सेवा संहिताएं');
INSERT INTO `lang_definitions` VALUES (128792, 9448, 24, 'सेवा दिनांक');
INSERT INTO `lang_definitions` VALUES (128793, 9451, 24, 'सेवा दिनांक:');
INSERT INTO `lang_definitions` VALUES (128794, 9455, 24, 'सेवा स्थान');
INSERT INTO `lang_definitions` VALUES (128795, 9456, 24, 'सेवा का नाम');
INSERT INTO `lang_definitions` VALUES (128796, 9457, 24, 'विशेषज्ञ द्वारा प्रदान की सेवा');
INSERT INTO `lang_definitions` VALUES (128797, 9459, 24, 'सेवा रिपोर्टिंग');
INSERT INTO `lang_definitions` VALUES (128798, 9460, 24, 'केवल रिपोर्टिंग सेवा');
INSERT INTO `lang_definitions` VALUES (128799, 9461, 24, 'सेवाएं');
INSERT INTO `lang_definitions` VALUES (128800, 9462, 24, 'श्रेणी द्वारा सेवाएं');
INSERT INTO `lang_definitions` VALUES (128801, 9463, 24, 'प्रदान की सेवाएं');
INSERT INTO `lang_definitions` VALUES (128802, 9464, 24, 'प्रदान की सेवाएं');
INSERT INTO `lang_definitions` VALUES (128803, 9465, 24, 'सेवाएं /उत्पादों के');
INSERT INTO `lang_definitions` VALUES (128804, 9466, 24, 'सत्र प्रकार');
INSERT INTO `lang_definitions` VALUES (128805, 9467, 24, 'समूह');
INSERT INTO `lang_definitions` VALUES (128806, 9468, 24, 'लॉगिन के बीच चयनित सुविधा याद करने के लिए एक सुविधा कुकी सेट करें.');
INSERT INTO `lang_definitions` VALUES (128807, 9469, 24, 'पूर्ण के रूप में सेट करें');
INSERT INTO `lang_definitions` VALUES (128808, 9475, 24, 'CDR इंजन आधारित रिपोर्ट के लिए प्रसंस्करण प्राथमिकता सेट करें.');
INSERT INTO `lang_definitions` VALUES (128809, 9476, 24, '(पूर्ण क्लिनिक मोड में) रोगी अनुस्मारक के निर्माण के लिए प्रसंस्करण प्राथमिकता सेट करें.');
INSERT INTO `lang_definitions` VALUES (128810, 9478, 24, 'पूर्ण निरपेक्ष पथ पर सेट करें. HTTPS के लिए ग्राहक SSL प्रमाणपत्र बनाने के लिए.');
INSERT INTO `lang_definitions` VALUES (128811, 9479, 24, 'के लिए सेट');
INSERT INTO `lang_definitions` VALUES (128812, 9480, 24, 'डिफ़ॉल्ट सेट');
INSERT INTO `lang_definitions` VALUES (128813, 9486, 24, 'डेटाबेस में संस्करण संख्या सेट कर रहा है ...');
INSERT INTO `lang_definitions` VALUES (128814, 9488, 24, 'सेटिंग्स');
INSERT INTO `lang_definitions` VALUES (128815, 9493, 24, 'गंभीर माइग्रेन');
INSERT INTO `lang_definitions` VALUES (128816, 9496, 24, 'दर्द की तीव्रता');
INSERT INTO `lang_definitions` VALUES (128817, 9497, 24, 'दर्द की तीव्रता:');
INSERT INTO `lang_definitions` VALUES (128818, 9498, 24, 'लिंग');
INSERT INTO `lang_definitions` VALUES (128819, 9499, 24, 'यौन संचारित रोग');
INSERT INTO `lang_definitions` VALUES (128820, 9500, 24, 'SFTP');
INSERT INTO `lang_definitions` VALUES (128821, 9502, 24, 'शा -1 हैश');
INSERT INTO `lang_definitions` VALUES (128822, 9503, 24, 'सहभाजन');
INSERT INTO `lang_definitions` VALUES (128823, 9504, 24, 'सर्वर से छपाई के लिए शैल कमांड.');
INSERT INTO `lang_definitions` VALUES (128824, 9507, 24, 'लघु विवरण');
INSERT INTO `lang_definitions` VALUES (128825, 9510, 24, 'सांस की तकलीफ');
INSERT INTO `lang_definitions` VALUES (128826, 9511, 24, 'सांस की तकलीफ');
INSERT INTO `lang_definitions` VALUES (128827, 9512, 24, 'सांस की तकलीफ 2');
INSERT INTO `lang_definitions` VALUES (128828, 9513, 24, 'लघु रिकॉर्ड');
INSERT INTO `lang_definitions` VALUES (128829, 9514, 24, 'तक लघु रिकॉर्ड');
INSERT INTO `lang_definitions` VALUES (128830, 9516, 24, 'nnnnn-nnnn-nn तरह होना चाहिए');
INSERT INTO `lang_definitions` VALUES (128831, 9517, 24, 'दो पत्र होने चाहिए');
INSERT INTO `lang_definitions` VALUES (128832, 9518, 24, '10 अंक होने चाहिए');
INSERT INTO `lang_definitions` VALUES (128833, 9519, 24, 'केवल 10 अंक होने चाहिए');
INSERT INTO `lang_definitions` VALUES (128834, 9520, 24, 'कंधा');
INSERT INTO `lang_definitions` VALUES (128835, 9521, 24, 'कंधा + हंसली');
INSERT INTO `lang_definitions` VALUES (128836, 9522, 24, 'कंधे की समस्या');
INSERT INTO `lang_definitions` VALUES (128837, 9523, 24, 'प्रदर्शन');
INSERT INTO `lang_definitions` VALUES (128838, 9524, 24, 'सक्रिय दिखाएँ');
INSERT INTO `lang_definitions` VALUES (128839, 9527, 24, 'सभी दिखाएँ');
INSERT INTO `lang_definitions` VALUES (128840, 9529, 24, 'सभी प्रक्रियाओं को दिखाएँ');
INSERT INTO `lang_definitions` VALUES (128841, 9531, 24, 'सभी लेनदेन दिखाएँ');
INSERT INTO `lang_definitions` VALUES (128842, 9532, 24, 'व्यस्त दिखाएँ');
INSERT INTO `lang_definitions` VALUES (128843, 9533, 24, 'केवल अधिकृत दिखाएँ');
INSERT INTO `lang_definitions` VALUES (128844, 9534, 24, 'उपलब्ध समय दिखाएँ');
INSERT INTO `lang_definitions` VALUES (128845, 9535, 24, 'अमेरिका और मीट्रिक दोनों दिखाएँ (मुख्य इकाई मीट्रिक है)');
INSERT INTO `lang_definitions` VALUES (128846, 9536, 24, 'अमेरिका और मीट्रिक दोनों दिखाएँ (मुख्य इकाई अमेरिका है)');
INSERT INTO `lang_definitions` VALUES (128847, 9540, 24, 'विवरण दिखाएँ');
INSERT INTO `lang_definitions` VALUES (128848, 9542, 24, 'केवल त्रुटियों को दिखाएँ?');
INSERT INTO `lang_definitions` VALUES (128849, 9544, 24, 'ग्राफ़ दिखाएं');
INSERT INTO `lang_definitions` VALUES (128850, 9546, 24, 'Mouseover पर मँडरा घटना पाठ दिखाएं?');
INSERT INTO `lang_definitions` VALUES (128851, 9547, 24, 'व्यवस्थापक पृष्ठों पर कितने घटनाओं को दिखाएं?');
INSERT INTO `lang_definitions` VALUES (128852, 9548, 24, 'निष्क्रिय दिखाएँ');
INSERT INTO `lang_definitions` VALUES (128853, 9552, 24, 'मेनू दिखाएं');
INSERT INTO `lang_definitions` VALUES (128854, 9553, 24, 'मीट्रिक ही दिखाएँ');
INSERT INTO `lang_definitions` VALUES (128855, 9556, 24, 'टिप्पणी दिखाएँ');
INSERT INTO `lang_definitions` VALUES (128856, 9558, 24, 'केवल न छोड़े गए प्रक्रियाओं को दिखाएँ');
INSERT INTO `lang_definitions` VALUES (128857, 9561, 24, 'रोगी टिप्पणी दिखाएँ');
INSERT INTO `lang_definitions` VALUES (128858, 9562, 24, 'पाउंड और औंस दिखाएँ');
INSERT INTO `lang_definitions` VALUES (128859, 9563, 24, 'दशमलव मान के रूप में पाउंड दिखाएँ');
INSERT INTO `lang_definitions` VALUES (128860, 9564, 24, 'प्राथमिक पूरा दिखाएँ');
INSERT INTO `lang_definitions` VALUES (128861, 9568, 24, 'अनुस्मारक दिखाएँ');
INSERT INTO `lang_definitions` VALUES (128862, 9569, 24, 'रिपोर्ट दिखाएँ');
INSERT INTO `lang_definitions` VALUES (128863, 9570, 24, 'खोज / पेश लिंक ब्लॉक में दिखाएँ?');
INSERT INTO `lang_definitions` VALUES (128864, 9574, 24, 'सूची जोड़ें विजेट के लिए कस्टम राज्य प्रपत्र (शीर्षक और संक्षिप्त के लिए पूछेंगे) दिखाएँ.');
INSERT INTO `lang_definitions` VALUES (128865, 9577, 24, 'मरीज ​​सारांश स्क्रीन पर यह श्रेणी दिखाये, भले ही इस श्रेणी के लिए कोई समस्या नहीं दर्ज किया गया है.');
INSERT INTO `lang_definitions` VALUES (128866, 9580, 24, 'केवल unbilled दिखाएँ');
INSERT INTO `lang_definitions` VALUES (128867, 9581, 24, 'अमेरिका ही दिखाएँ');
INSERT INTO `lang_definitions` VALUES (128868, 9585, 24, 'दिखा रहा है');
INSERT INTO `lang_definitions` VALUES (128869, 9589, 24, 'परिणाम दिखा रहा है');
INSERT INTO `lang_definitions` VALUES (128870, 9595, 24, 'सहोदर');
INSERT INTO `lang_definitions` VALUES (128871, 9596, 24, 'सिकल सेल');
INSERT INTO `lang_definitions` VALUES (128872, 9597, 24, 'हस्ताक्षर');
INSERT INTO `lang_definitions` VALUES (128873, 9598, 24, 'Sigmoid/Colonoscopy');
INSERT INTO `lang_definitions` VALUES (128874, 9601, 24, 'प्रयोगशाला के परिणाम पर हस्ताक्षर (addonly वैकल्पिक, लिखने)');
INSERT INTO `lang_definitions` VALUES (128875, 9603, 24, 'परिणाम पर हस्ताक्षर');
INSERT INTO `lang_definitions` VALUES (128876, 9606, 24, 'हस्ताक्षर');
INSERT INTO `lang_definitions` VALUES (128877, 9609, 24, 'हस्ताक्षर:');
INSERT INTO `lang_definitions` VALUES (128878, 9612, 24, 'Rx पर हस्ताक्षर किए');
INSERT INTO `lang_definitions` VALUES (128879, 9614, 24, 'उल्लेखनीय सूजन:');
INSERT INTO `lang_definitions` VALUES (128880, 9615, 24, 'सरलीकृत');
INSERT INTO `lang_definitions` VALUES (128881, 9616, 24, 'सरलीकृत सह भुगतान');
INSERT INTO `lang_definitions` VALUES (128882, 9617, 24, 'सरलीकृत जनसांख्यिकी');
INSERT INTO `lang_definitions` VALUES (128883, 9618, 24, 'सरलीकृत नुस्खे');
INSERT INTO `lang_definitions` VALUES (128884, 9619, 24, 'तब से');
INSERT INTO `lang_definitions` VALUES (128885, 9620, 24, 'निष्ठा से,');
INSERT INTO `lang_definitions` VALUES (128886, 9622, 24, 'एक');
INSERT INTO `lang_definitions` VALUES (128887, 9624, 24, 'एकल चयन सूची');
INSERT INTO `lang_definitions` VALUES (128888, 9625, 24, 'सूची में जोड़ने के क्षमता के साथ एकल चयन सूची');
INSERT INTO `lang_definitions` VALUES (128889, 9626, 24, 'एकमात्र');
INSERT INTO `lang_definitions` VALUES (128890, 9629, 24, 'साइनस की समस्या');
INSERT INTO `lang_definitions` VALUES (128891, 9630, 24, 'साइनस सर्जरी');
INSERT INTO `lang_definitions` VALUES (128892, 9631, 24, 'साइनस Tenderness:');
INSERT INTO `lang_definitions` VALUES (128893, 9632, 24, 'शिरानालशोथ');
INSERT INTO `lang_definitions` VALUES (128894, 9634, 24, 'स्थल');
INSERT INTO `lang_definitions` VALUES (128895, 9637, 24, 'स्थल ID');
INSERT INTO `lang_definitions` VALUES (128896, 9638, 24, 'मैडिकल इन्फोर्मेशन इंटीग्रेशन, LLC लैब विनिमय सेवा के लिए साइट ID.');
INSERT INTO `lang_definitions` VALUES (128897, 9639, 24, 'OpenEMR समर्थन LLC लैब विनिमय सेवा के लिए साइट ID.');
INSERT INTO `lang_definitions` VALUES (128898, 9643, 24, 'आकार');
INSERT INTO `lang_definitions` VALUES (128899, 9646, 24, 'आकार 1 और 999 के बीच में होनी चाहिए');
INSERT INTO `lang_definitions` VALUES (128900, 9648, 24, 'आकार / सूची');
INSERT INTO `lang_definitions` VALUES (128901, 9650, 24, 'त्वचा');
INSERT INTO `lang_definitions` VALUES (128902, 9651, 24, 'त्वचा कैंसर');
INSERT INTO `lang_definitions` VALUES (128903, 9652, 24, 'त्वचा रोग');
INSERT INTO `lang_definitions` VALUES (128904, 9653, 24, 'त्वचा अन्य');
INSERT INTO `lang_definitions` VALUES (128905, 9654, 24, 'रोगी टिप्पणी का प्राधिकरण छोड़ें');
INSERT INTO `lang_definitions` VALUES (128906, 9659, 24, 'अनुभाग छोड़ा जा रहा');
INSERT INTO `lang_definitions` VALUES (128907, 9660, 24, 'SQL लेजर डंप छोड़ा जा रहा - विंडोज सर्वर के लिए लागू नहीं');
INSERT INTO `lang_definitions` VALUES (128908, 9664, 24, 'सोने की प्रवृत्ति');
INSERT INTO `lang_definitions` VALUES (128909, 9665, 24, 'सोने की प्रवृत्ति');
INSERT INTO `lang_definitions` VALUES (128910, 9666, 24, 'शयन');
INSERT INTO `lang_definitions` VALUES (128911, 9668, 24, 'स्लोवाक देश');
INSERT INTO `lang_definitions` VALUES (128912, 9670, 24, 'SM ऋण w / o');
INSERT INTO `lang_definitions` VALUES (128913, 9675, 24, 'समझदार कैश साफ कर दिया गया है');
INSERT INTO `lang_definitions` VALUES (128914, 9676, 24, 'धूम्रपान करनेवाला, वर्तमान स्थिति अज्ञात');
INSERT INTO `lang_definitions` VALUES (128915, 9678, 24, 'धूम्रपान की स्थिति');
INSERT INTO `lang_definitions` VALUES (128916, 9680, 24, 'SMS Auth');
INSERT INTO `lang_definitions` VALUES (128917, 9683, 24, 'SMS गेटवे');
INSERT INTO `lang_definitions` VALUES (128918, 9684, 24, 'SMS गेटवे API कुंजी');
INSERT INTO `lang_definitions` VALUES (128919, 9685, 24, 'SMS गेटवे API कुंजी');
INSERT INTO `lang_definitions` VALUES (128920, 9686, 24, 'SMS गेटवे पारण');
INSERT INTO `lang_definitions` VALUES (128921, 9687, 24, 'SMS गेटवे उपयोगकर्ता नाम');
INSERT INTO `lang_definitions` VALUES (128922, 9689, 24, 'SMS अधिसूचना');
INSERT INTO `lang_definitions` VALUES (128923, 9690, 24, 'SMS अधिसूचना घंटे');
INSERT INTO `lang_definitions` VALUES (128924, 9693, 24, 'से पहले SMS भेजा');
INSERT INTO `lang_definitions` VALUES (128925, 9694, 24, 'SMS भेजा');
INSERT INTO `lang_definitions` VALUES (128926, 9697, 24, 'SMS पाठ, उपयोगी टैग: ***NAME***, ***PROVIDER***, ***DATE***, ***STARTTIME***, ***ENDTIME***<br> i.e. Dear ***NAME***');
INSERT INTO `lang_definitions` VALUES (128927, 9701, 24, 'SMS के / ईमेल अलर्ट सेटिंग');
INSERT INTO `lang_definitions` VALUES (128928, 9703, 24, 'प्रमाणीकरण के लिए SMTP पारण');
INSERT INTO `lang_definitions` VALUES (128929, 9706, 24, 'SMTP सर्वर होस्ट नाम');
INSERT INTO `lang_definitions` VALUES (128930, 9707, 24, 'SMTP सर्वर पोर्ट नंबर');
INSERT INTO `lang_definitions` VALUES (128931, 9708, 24, 'प्रमाणीकरण के लिए SMTP उपयोगकर्ता');
INSERT INTO `lang_definitions` VALUES (128932, 9709, 24, 'SNOMED');
INSERT INTO `lang_definitions` VALUES (128933, 9710, 24, 'SNOMED (RF1) नैदानिक ​​शब्द');
INSERT INTO `lang_definitions` VALUES (128934, 9711, 24, 'SNOMED (RF1) निदान');
INSERT INTO `lang_definitions` VALUES (128935, 9712, 24, 'SNOMED (RF1) प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (128936, 9714, 24, 'SNOMED (RF2) निदान');
INSERT INTO `lang_definitions` VALUES (128937, 9716, 24, 'SNOMED नैदानिक ​​शब्द');
INSERT INTO `lang_definitions` VALUES (128938, 9717, 24, 'SNOMED डाटाबेस');
INSERT INTO `lang_definitions` VALUES (128939, 9718, 24, 'SNOMED निदान');
INSERT INTO `lang_definitions` VALUES (128940, 9719, 24, 'SNOMED प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (128941, 9721, 24, 'खर्राटे');
INSERT INTO `lang_definitions` VALUES (128942, 9722, 24, 'SOAP');
INSERT INTO `lang_definitions` VALUES (128943, 9726, 24, 'सामाजिक कठिनाइयों');
INSERT INTO `lang_definitions` VALUES (128944, 9729, 24, 'सामाजिक इतिहास:');
INSERT INTO `lang_definitions` VALUES (128945, 9730, 24, 'सामाजिक सुरक्षा नंबर');
INSERT INTO `lang_definitions` VALUES (128946, 9732, 24, 'समाधान');
INSERT INTO `lang_definitions` VALUES (128947, 9734, 24, 'सोमेटिक संदर्भ');
INSERT INTO `lang_definitions` VALUES (128948, 9735, 24, 'कुछ प्राधिकरण प्रदर्शित नहीं. सभी को देखने के लिए यहां क्लिक करें');
INSERT INTO `lang_definitions` VALUES (128949, 9736, 24, 'कुछ कोड प्रदर्शित नहीं.');
INSERT INTO `lang_definitions` VALUES (128950, 9737, 24, 'कुछ मुठभेड़ प्रदर्शित नहीं. सभी को देखने के लिए यहां क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (128951, 9738, 24, 'कुछ त्रुटि De Identification की प्रक्रिया के दौरान उत्पन्न हुई');
INSERT INTO `lang_definitions` VALUES (128952, 9740, 24, 'कुछ नोट्स प्रदर्शित नहीं.');
INSERT INTO `lang_definitions` VALUES (128953, 9741, 24, 'कुछ कार्यालय नोट्स प्रदर्शित नहीं. सभी को देखने के लिए यहां क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (128954, 9743, 24, 'कुछ शब्द');
INSERT INTO `lang_definitions` VALUES (128955, 9747, 24, 'कुछ गलत हो गया. पुन: प्रयास करें.');
INSERT INTO `lang_definitions` VALUES (128956, 9748, 24, 'जल्द ही लंबित अंतराल (क्लीनिकल अनुस्मारक)');
INSERT INTO `lang_definitions` VALUES (128957, 9749, 24, 'जल्द ही लंबित अंतराल (रोगी अनुस्मारक)');
INSERT INTO `lang_definitions` VALUES (128958, 9750, 24, 'गले में ख़राश');
INSERT INTO `lang_definitions` VALUES (128959, 9751, 24, 'क्षमा कोई नियुक्ति तय नहीं हो गई है');
INSERT INTO `lang_definitions` VALUES (128960, 9754, 24, 'क्षमा करें, आपकी फ़ाइल अपलोड करने में कोई समस्या थी');
INSERT INTO `lang_definitions` VALUES (128961, 9758, 24, 'क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (128962, 9759, 24, 'क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (128963, 9761, 24, 'क्रमबद्ध Checksum द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (128964, 9762, 24, 'टिप्पणियाँ द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (128965, 9763, 24, 'Crt प्रयोक्ता द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (128966, 9764, 24, 'तिथि द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (128967, 9765, 24, 'तिथि / समय द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (128968, 9766, 24, 'घटना द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (128969, 9767, 24, 'समूह द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (128970, 9770, 24, 'PatientID द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (128971, 9772, 24, 'क्रमबद्ध सफलता से');
INSERT INTO `lang_definitions` VALUES (128972, 9774, 24, 'उपयोगकर्ता द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (128973, 9775, 24, 'टीकाकरण द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (128974, 9776, 24, 'नीचे क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (128975, 9777, 24, 'परिणाम द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (128976, 9778, 24, 'ऊपर क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (128977, 9779, 24, 'स्रोत');
INSERT INTO `lang_definitions` VALUES (128978, 9781, 24, 'स्रोत फ़ाइल');
INSERT INTO `lang_definitions` VALUES (128979, 9782, 24, 'स्रोत फ़ाइल पथ');
INSERT INTO `lang_definitions` VALUES (128980, 9783, 24, 'स्रोत कोड के लिए लापता है');
INSERT INTO `lang_definitions` VALUES (128981, 9784, 24, 'स्रोत लॉट');
INSERT INTO `lang_definitions` VALUES (128982, 9786, 24, 'स्रोत रोगी');
INSERT INTO `lang_definitions` VALUES (128983, 9787, 24, 'स्रोत रोगी को जन्म तिथि नहीं है');
INSERT INTO `lang_definitions` VALUES (128984, 9788, 24, 'स्रोत रोगी नहीं मिला');
INSERT INTO `lang_definitions` VALUES (128985, 9789, 24, 'स्रोत:');
INSERT INTO `lang_definitions` VALUES (128986, 9792, 24, 'अंतरिक्ष');
INSERT INTO `lang_definitions` VALUES (128987, 9793, 24, 'अंतरिक्ष');
INSERT INTO `lang_definitions` VALUES (128988, 9795, 24, 'स्पेनिश देश');
INSERT INTO `lang_definitions` VALUES (128989, 9796, 24, 'स्पेनिश (लैटिन अमेरिकी)');
INSERT INTO `lang_definitions` VALUES (128990, 9797, 24, 'स्पेनिश (स्पेन)');
INSERT INTO `lang_definitions` VALUES (128991, 9799, 24, 'विशेष वर्ण की अनुमति नहीं है');
INSERT INTO `lang_definitions` VALUES (128992, 9800, 24, 'नब्ज प्रपत्र के लिए विशेष उपचार');
INSERT INTO `lang_definitions` VALUES (128993, 9801, 24, 'विशेषज्ञ');
INSERT INTO `lang_definitions` VALUES (128994, 9802, 24, 'विशेषज्ञ का नाम और हस्ताक्षर');
INSERT INTO `lang_definitions` VALUES (128995, 9804, 24, 'विशेषता');
INSERT INTO `lang_definitions` VALUES (128996, 9805, 24, 'विशेषता प्रणाली');
INSERT INTO `lang_definitions` VALUES (128997, 9806, 24, 'विशेषता:');
INSERT INTO `lang_definitions` VALUES (128998, 9807, 24, 'विशिष्ट');
INSERT INTO `lang_definitions` VALUES (128999, 9808, 24, 'विशिष्ट अनुप्रयोग');
INSERT INTO `lang_definitions` VALUES (129000, 9809, 24, 'विशिष्ट गर्भनिरोधक सेवा');
INSERT INTO `lang_definitions` VALUES (129001, 9810, 24, 'विशिष्ट परिणाम');
INSERT INTO `lang_definitions` VALUES (129002, 9811, 24, 'विशिष्ट सेवा');
INSERT INTO `lang_definitions` VALUES (129003, 9812, 24, 'निर्दिष्ट');
INSERT INTO `lang_definitions` VALUES (129004, 9813, 24, 'Specifies formatting for codes. # = digit, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (129005, 9814, 24, 'Specifies formatting for codes. # = digit, @ = alpha, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (129006, 9815, 24, 'Specifies formatting for invoice reference numbers. # = digit, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (129007, 9816, 24, 'Specifies formatting for invoice reference numbers. # = digit, @ = alpha, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (129008, 9817, 24, 'Specifies formatting for product NDC fields. # = digit, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (129009, 9818, 24, 'Specifies formatting for product NDC fields. # = digit, @ = alpha, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (129010, 9819, 24, 'Specifies formatting for the external patient ID. # = digit, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (129011, 9820, 24, 'Specifies formatting for the external patient ID. # = digit, @ = alpha, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (129012, 9823, 24, 'नमूना');
INSERT INTO `lang_definitions` VALUES (129013, 9824, 24, 'नमूना संख्या / पहचानकर्ता');
INSERT INTO `lang_definitions` VALUES (129014, 9825, 24, 'नमूना प्रकार');
INSERT INTO `lang_definitions` VALUES (129015, 9827, 24, 'भाषण श्रुतलेख');
INSERT INTO `lang_definitions` VALUES (129016, 9828, 24, 'शुक्राणुनाशक');
INSERT INTO `lang_definitions` VALUES (129017, 9831, 24, 'स्प्लेनेक्टोमी');
INSERT INTO `lang_definitions` VALUES (129018, 9832, 24, 'पति');
INSERT INTO `lang_definitions` VALUES (129019, 9834, 24, 'थूक');
INSERT INTO `lang_definitions` VALUES (129020, 9835, 24, 'थूक:');
INSERT INTO `lang_definitions` VALUES (129021, 9836, 24, 'SQ');
INSERT INTO `lang_definitions` VALUES (129022, 9839, 24, 'दस्ता');
INSERT INTO `lang_definitions` VALUES (129023, 9840, 24, 'दस्ते सदस्यता');
INSERT INTO `lang_definitions` VALUES (129024, 9841, 24, 'दस्ते');
INSERT INTO `lang_definitions` VALUES (129025, 9843, 24, 'SRH');
INSERT INTO `lang_definitions` VALUES (129026, 9844, 24, 'SRH - परिवार नियोजन');
INSERT INTO `lang_definitions` VALUES (129027, 9845, 24, 'SRH गैर परिवार नियोजन');
INSERT INTO `lang_definitions` VALUES (129028, 9846, 24, 'SRH सिफ़ारिशें');
INSERT INTO `lang_definitions` VALUES (129029, 9847, 24, 'SRH भेंट प्रपत्र');
INSERT INTO `lang_definitions` VALUES (129030, 9848, 24, 'SRV तिथि');
INSERT INTO `lang_definitions` VALUES (129031, 9849, 24, 'SS');
INSERT INTO `lang_definitions` VALUES (129032, 9850, 24, 'SSL प्रमाणपत्र प्रशासन');
INSERT INTO `lang_definitions` VALUES (129033, 9851, 24, 'SSN');
INSERT INTO `lang_definitions` VALUES (129034, 9852, 24, 'स्थिरता');
INSERT INTO `lang_definitions` VALUES (129035, 9854, 24, 'रिलीज स्टेज्ड');
INSERT INTO `lang_definitions` VALUES (129036, 9855, 24, 'मानक');
INSERT INTO `lang_definitions` VALUES (129037, 9857, 24, 'मानक कोड');
INSERT INTO `lang_definitions` VALUES (129038, 9860, 24, 'मानक उपाय');
INSERT INTO `lang_definitions` VALUES (129039, 9861, 24, 'मानक उपाय (सक्रिय अलर्ट)');
INSERT INTO `lang_definitions` VALUES (129040, 9862, 24, 'मानक उपाय (निष्क्रिय अलर्ट)');
INSERT INTO `lang_definitions` VALUES (129041, 9863, 24, 'मानक उपाय (रोगी अनुस्मारक)');
INSERT INTO `lang_definitions` VALUES (129042, 9864, 24, 'मानक नाम');
INSERT INTO `lang_definitions` VALUES (129043, 9865, 24, 'Standard; Simplified: only title, start date, comments and an Active checkbox;no diagnosis, occurrence, end date, referred-by or sports fields. ; Football Injury');
INSERT INTO `lang_definitions` VALUES (129044, 9866, 24, 'प्रारंभ');
INSERT INTO `lang_definitions` VALUES (129045, 9867, 24, 'प्रारंभ (YYYY-MM-DD) :');
INSERT INTO `lang_definitions` VALUES (129046, 9868, 24, 'एक अन्य रिपोर्ट प्रारंभ');
INSERT INTO `lang_definitions` VALUES (129047, 9874, 24, 'प्रारंभ तिथि');
INSERT INTO `lang_definitions` VALUES (129048, 9876, 24, 'इस क्लिनिक में प्रारंभ तिथि');
INSERT INTO `lang_definitions` VALUES (129049, 9877, 24, 'प्रारंभ तिथि समाप्ति तिथि से बड़ा नहीं होना चाहिए');
INSERT INTO `lang_definitions` VALUES (129050, 9878, 24, 'प्रारंभ तिथि:');
INSERT INTO `lang_definitions` VALUES (129051, 9879, 24, 'प्रारंभ तिथि:');
INSERT INTO `lang_definitions` VALUES (129052, 9881, 24, 'प्रारंभ समय');
INSERT INTO `lang_definitions` VALUES (129053, 9884, 24, 'तिथि शुरू');
INSERT INTO `lang_definitions` VALUES (129054, 9888, 24, 'stat');
INSERT INTO `lang_definitions` VALUES (129055, 9889, 24, 'राज्य');
INSERT INTO `lang_definitions` VALUES (129056, 9890, 24, 'राज्य डेटा प्रकार');
INSERT INTO `lang_definitions` VALUES (129057, 9891, 24, 'राज्य एलआईसी. #');
INSERT INTO `lang_definitions` VALUES (129058, 9892, 24, 'राज्य लाइसेंस संख्या');
INSERT INTO `lang_definitions` VALUES (129059, 9893, 24, 'राज्य सूची');
INSERT INTO `lang_definitions` VALUES (129060, 9894, 24, 'राज्य सूची (addonly वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (129061, 9896, 24, 'राज्य सूची विजेट कस्टम फील्ड्स');
INSERT INTO `lang_definitions` VALUES (129062, 9897, 24, 'राज्य या प्रांत');
INSERT INTO `lang_definitions` VALUES (129063, 9898, 24, 'राज्य / इलाका');
INSERT INTO `lang_definitions` VALUES (129064, 9899, 24, 'राज्य / पैरिश');
INSERT INTO `lang_definitions` VALUES (129065, 9903, 24, 'बयान सारांश');
INSERT INTO `lang_definitions` VALUES (129066, 9904, 24, 'बयान और अद्यतन चालान.');
INSERT INTO `lang_definitions` VALUES (129067, 9906, 24, 'भेजे गए बयान:');
INSERT INTO `lang_definitions` VALUES (129068, 9907, 24, 'बयान; चालान अद्यतन नहीं किया जाएगा.');
INSERT INTO `lang_definitions` VALUES (129069, 9908, 24, 'स्टेटिक पाठ');
INSERT INTO `lang_definitions` VALUES (129070, 9909, 24, 'आंकड़े');
INSERT INTO `lang_definitions` VALUES (129071, 9910, 24, 'आँकड़े');
INSERT INTO `lang_definitions` VALUES (129072, 9911, 24, 'स्थिति');
INSERT INTO `lang_definitions` VALUES (129073, 9914, 24, 'प्रवेश की स्थिति');
INSERT INTO `lang_definitions` VALUES (129074, 9915, 24, 'दावे की स्थिति');
INSERT INTO `lang_definitions` VALUES (129075, 9916, 24, 'यथास्थिति');
INSERT INTO `lang_definitions` VALUES (129076, 9918, 24, 'STD / AIDS Couns');
INSERT INTO `lang_definitions` VALUES (129077, 9919, 24, 'Stength और कंडीशनिंग');
INSERT INTO `lang_definitions` VALUES (129078, 9925, 24, 'DSM IV डेटाबेस को स्थापित करने के लिए कदम');
INSERT INTO `lang_definitions` VALUES (129079, 9926, 24, 'आईसीडी 10 डेटाबेस को स्थापित करने के लिए कदम');
INSERT INTO `lang_definitions` VALUES (129080, 9927, 24, 'आईसीडी 9 डेटाबेस को स्थापित करने के लिए कदम');
INSERT INTO `lang_definitions` VALUES (129081, 9928, 24, 'RxNorm डेटाबेस को स्थापित करने के लिए कदम');
INSERT INTO `lang_definitions` VALUES (129082, 9929, 24, 'Snomed डेटाबेस को स्थापित करने के लिए कदम');
INSERT INTO `lang_definitions` VALUES (129083, 9932, 24, 'कड़े जोड़');
INSERT INTO `lang_definitions` VALUES (129084, 9933, 24, 'कठोरता');
INSERT INTO `lang_definitions` VALUES (129085, 9935, 24, 'स्टॉक महीने');
INSERT INTO `lang_definitions` VALUES (129086, 9936, 24, 'पेट में दर्द');
INSERT INTO `lang_definitions` VALUES (129087, 9942, 24, 'संग्रहित हैश');
INSERT INTO `lang_definitions` VALUES (129088, 9944, 24, 'मांसपेशियों का तनाव');
INSERT INTO `lang_definitions` VALUES (129089, 9946, 24, 'धारा');
INSERT INTO `lang_definitions` VALUES (129090, 9947, 24, 'सड़क');
INSERT INTO `lang_definitions` VALUES (129091, 9948, 24, 'सड़क पता');
INSERT INTO `lang_definitions` VALUES (129092, 9949, 24, 'सड़क और संख्या');
INSERT INTO `lang_definitions` VALUES (129093, 9950, 24, 'शक्ति');
INSERT INTO `lang_definitions` VALUES (129094, 9952, 24, 'strep गले का');
INSERT INTO `lang_definitions` VALUES (129095, 9953, 24, 'तनाव अस्थिभंग');
INSERT INTO `lang_definitions` VALUES (129096, 9954, 24, 'तनाव टेस्ट');
INSERT INTO `lang_definitions` VALUES (129097, 9956, 24, 'स्ट्रोक');
INSERT INTO `lang_definitions` VALUES (129098, 9958, 24, 'मजबूत पासवर्ड का मतलब है कम से कम 8 वर्ण, और निम्न में से कम से कम तीन: एक नंबर, एक छोटा अक्षर, एक अपरकेस पत्र, एक विशेष चरित्र.');
INSERT INTO `lang_definitions` VALUES (129099, 9960, 24, 'शैली');
INSERT INTO `lang_definitions` VALUES (129100, 9961, 24, 'नए रोगियों को जोड़ने के लिए इस्तेमाल की प्रपत्र की शैली');
INSERT INTO `lang_definitions` VALUES (129101, 9965, 24, 'उप-श्रेणी');
INSERT INTO `lang_definitions` VALUES (129102, 9966, 24, 'उप - कुल');
INSERT INTO `lang_definitions` VALUES (129103, 9967, 24, 'उपश्रेणी');
INSERT INTO `lang_definitions` VALUES (129104, 9968, 24, 'उपश्रेणी');
INSERT INTO `lang_definitions` VALUES (129105, 9969, 24, 'subcutaneously');
INSERT INTO `lang_definitions` VALUES (129106, 9970, 24, 'विषय');
INSERT INTO `lang_definitions` VALUES (129107, 9971, 24, 'आत्मनिष्ठ');
INSERT INTO `lang_definitions` VALUES (129108, 9972, 24, 'sublingual');
INSERT INTO `lang_definitions` VALUES (129109, 9973, 24, 'sublingual');
INSERT INTO `lang_definitions` VALUES (129110, 9974, 24, 'जमा करना');
INSERT INTO `lang_definitions` VALUES (129111, 9975, 24, 'जमा करना');
INSERT INTO `lang_definitions` VALUES (129112, 9976, 24, 'सभी सामग्री जमा करें');
INSERT INTO `lang_definitions` VALUES (129113, 9979, 24, 'घटना जमा करें');
INSERT INTO `lang_definitions` VALUES (129114, 9980, 24, 'प्रपत्र जमा करें');
INSERT INTO `lang_definitions` VALUES (129115, 9982, 24, 'चुना गया कंटेन्ट जमा करें');
INSERT INTO `lang_definitions` VALUES (129116, 9984, 24, 'जमा किया');
INSERT INTO `lang_definitions` VALUES (129117, 9985, 24, 'द्वारा जमा किया');
INSERT INTO `lang_definitions` VALUES (129118, 9986, 24, 'जमाकर्ता ईडीआई पहुंच नंबर (PER06)');
INSERT INTO `lang_definitions` VALUES (129119, 9987, 24, 'अभिदाता');
INSERT INTO `lang_definitions` VALUES (129120, 9988, 24, 'अभिदाता पता');
INSERT INTO `lang_definitions` VALUES (129121, 9992, 24, 'अभिदाता नियोक्ता');
INSERT INTO `lang_definitions` VALUES (129122, 9993, 24, 'अभिदाता नियोक्ता (एसई)');
INSERT INTO `lang_definitions` VALUES (129123, 9994, 24, 'अभिदाता नियोक्ता पता');
INSERT INTO `lang_definitions` VALUES (129124, 9995, 24, 'अभिदाता नियोक्ता सिटी');
INSERT INTO `lang_definitions` VALUES (129125, 9996, 24, 'अभिदाता नियोक्ता देश');
INSERT INTO `lang_definitions` VALUES (129126, 9997, 24, 'अभिदाता नियोक्ता राज्य');
INSERT INTO `lang_definitions` VALUES (129127, 10000, 24, 'अभिदाता नियोक्ता पिन कोड');
INSERT INTO `lang_definitions` VALUES (129128, 10005, 24, 'अभिदाता फोन');
INSERT INTO `lang_definitions` VALUES (129129, 10006, 24, 'अभिदाता रिश्ता');
INSERT INTO `lang_definitions` VALUES (129130, 10007, 24, 'अभिदाता संबंध स्वयं नहीं है लेकिन नाम एक ही है! यह वास्तव में ठीक है?');
INSERT INTO `lang_definitions` VALUES (129131, 10008, 24, 'अभिदाता संबंध स्वयं नहीं है लेकिन SS संख्या एक ही है!');
INSERT INTO `lang_definitions` VALUES (129132, 10009, 24, 'अभिदाता संबंध स्वयं है लेकिन नाम अलग है! यह वास्तव में ठीक है?');
INSERT INTO `lang_definitions` VALUES (129133, 10010, 24, 'अभिदाता संबंध स्वयं है लेकिन SS संख्या अलग है!');
INSERT INTO `lang_definitions` VALUES (129134, 10011, 24, 'अभिदाता लिंग');
INSERT INTO `lang_definitions` VALUES (129135, 10020, 24, 'प्रतिस्थापन');
INSERT INTO `lang_definitions` VALUES (129136, 10021, 24, 'अनुमति दी प्रतिस्थापन की');
INSERT INTO `lang_definitions` VALUES (129137, 10024, 24, 'सफलता');
INSERT INTO `lang_definitions` VALUES (129138, 10025, 24, 'सफलता');
INSERT INTO `lang_definitions` VALUES (129139, 10026, 24, 'प्रयोगशाला परिणाम की सफलता की पुष्टि रसीद');
INSERT INTO `lang_definitions` VALUES (129140, 10027, 24, 'प्रयोगशाला के परिणाम प्राप्ति में सफलता');
INSERT INTO `lang_definitions` VALUES (129141, 10028, 24, 'लैब एक्सचेंज नेटवर्क से परिणाम प्राप्ति में सफलता');
INSERT INTO `lang_definitions` VALUES (129142, 10030, 24, 'सफलतापूर्वक श्रेणी जोड़ा');
INSERT INTO `lang_definitions` VALUES (129143, 10031, 24, 'सफलतापूर्वक, श्रेणी में जोड़ा');
INSERT INTO `lang_definitions` VALUES (129144, 10033, 24, 'सफलतापूर्वक नष्ट कर दिया');
INSERT INTO `lang_definitions` VALUES (129145, 10035, 24, 'सफलतापूर्वक डेटाबेस स्थापित.');
INSERT INTO `lang_definitions` VALUES (129146, 10036, 24, 'सफलतापूर्वक निम्न डेटाबेस स्थापित');
INSERT INTO `lang_definitions` VALUES (129147, 10037, 24, 'सफलतापूर्वक संशोधित');
INSERT INTO `lang_definitions` VALUES (129148, 10039, 24, 'सफलतापूर्वक सहेजा गया. आप आवंटित करना चाहेंगे?');
INSERT INTO `lang_definitions` VALUES (129149, 10040, 24, 'सफलतापूर्वक सहेजा गया. आप वितरित करना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (129150, 10042, 24, 'सफलतापूर्वक संग्रहीत.');
INSERT INTO `lang_definitions` VALUES (129151, 10044, 24, 'सफलतापूर्वक डेटाबेस का उन्नयन.');
INSERT INTO `lang_definitions` VALUES (129152, 10045, 24, 'सफलतापूर्वक निम्न डेटाबेस उन्नत बनाया');
INSERT INTO `lang_definitions` VALUES (129153, 10046, 24, 'सफलतापूर्वक.');
INSERT INTO `lang_definitions` VALUES (129154, 10049, 24, 'आत्महत्या');
INSERT INTO `lang_definitions` VALUES (129155, 10051, 24, 'सारांश');
INSERT INTO `lang_definitions` VALUES (129156, 10052, 24, 'का सारांश');
INSERT INTO `lang_definitions` VALUES (129157, 10058, 24, 'Sun');
INSERT INTO `lang_definitions` VALUES (129158, 10060, 24, 'रविवार');
INSERT INTO `lang_definitions` VALUES (129159, 10061, 24, 'Superbill');
INSERT INTO `lang_definitions` VALUES (129160, 10062, 24, 'Superbill संहिताएं');
INSERT INTO `lang_definitions` VALUES (129161, 10063, 24, 'Superbill संहिताएं प्रशासन');
INSERT INTO `lang_definitions` VALUES (129162, 10065, 24, 'Superbill रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (129163, 10066, 24, 'Superbill / शुल्क शीट');
INSERT INTO `lang_definitions` VALUES (129164, 10067, 24, 'Superbills');
INSERT INTO `lang_definitions` VALUES (129165, 10068, 24, 'Superbills कभी कभी मुठभेड़ प्रपत्र या रूटिंग स्लिप्स के रूप में संदर्भित किया जाता है, अधिकांश चिकित्सा पद्धतियों का एक आवश्यक हिस्सा हैं.');
INSERT INTO `lang_definitions` VALUES (129166, 10069, 24, 'उत्कृष्ट उपयोगकर्ता');
INSERT INTO `lang_definitions` VALUES (129167, 10071, 24, 'पर्यवेक्षण');
INSERT INTO `lang_definitions` VALUES (129168, 10073, 24, 'पर्यवेक्षण डॉक्टर डीईए');
INSERT INTO `lang_definitions` VALUES (129169, 10074, 24, 'पर्यवेक्षण डॉक्टर पहले नाम');
INSERT INTO `lang_definitions` VALUES (129170, 10075, 24, 'पर्यवेक्षण डॉक्टर अंतिम नाम');
INSERT INTO `lang_definitions` VALUES (129171, 10076, 24, 'पर्यवेक्षण डॉक्टर NPI');
INSERT INTO `lang_definitions` VALUES (129172, 10077, 24, 'पर्यवेक्षण डॉक्टर UPIN');
INSERT INTO `lang_definitions` VALUES (129173, 10081, 24, 'प्रदायक सुविधा नाम');
INSERT INTO `lang_definitions` VALUES (129174, 10082, 24, 'कई प्रदाताओं पर लागू होने वाली कैलेंडर घटनाओं का समर्थन करें');
INSERT INTO `lang_definitions` VALUES (129175, 10083, 24, 'बैकअप पृष्ठ के माध्यम से विन्यास डेटा का आयात /निर्यात समर्थन करें.');
INSERT INTO `lang_definitions` VALUES (129176, 10084, 24, 'मल्टी प्रदाता घटनाक्रम का समर्थन करें');
INSERT INTO `lang_definitions` VALUES (129177, 10088, 24, 'TripleDES एन्क्रिप्शन / डिक्रिप्शन ही समर्थन करता है.');
INSERT INTO `lang_definitions` VALUES (129178, 10090, 24, 'भूतल के प्रकार');
INSERT INTO `lang_definitions` VALUES (129179, 10092, 24, 'सर्जरी');
INSERT INTO `lang_definitions` VALUES (129180, 10093, 24, 'सर्जरी');
INSERT INTO `lang_definitions` VALUES (129181, 10094, 24, 'सर्जरी समस्या सूची');
INSERT INTO `lang_definitions` VALUES (129182, 10095, 24, 'निलंबित');
INSERT INTO `lang_definitions` VALUES (129183, 10096, 24, 'निलंबन');
INSERT INTO `lang_definitions` VALUES (129184, 10098, 24, 'Svc तिथि');
INSERT INTO `lang_definitions` VALUES (129185, 10099, 24, 'Svc तिथि:');
INSERT INTO `lang_definitions` VALUES (129186, 10102, 24, 'पसीना:');
INSERT INTO `lang_definitions` VALUES (129187, 10103, 24, 'स्वीडिश देश');
INSERT INTO `lang_definitions` VALUES (129188, 10104, 24, 'सूजन');
INSERT INTO `lang_definitions` VALUES (129189, 10105, 24, 'सूजन अधिकार');
INSERT INTO `lang_definitions` VALUES (129190, 10106, 24, 'जोड़ों में सूजन');
INSERT INTO `lang_definitions` VALUES (129191, 10107, 24, 'सूजी हुई लिम्फ नोड्स');
INSERT INTO `lang_definitions` VALUES (129192, 10108, 24, 'मुद्रा के लिए दशमलव बिंदु के रूप में इस्तेमाल किया प्रतीक. दशमलव स्थान 0 है, तो उपयोग नहीं किया जाता.');
INSERT INTO `lang_definitions` VALUES (129193, 10109, 24, 'मुद्रा के लिए हजार अलग करने के लिए इस्तेमाल किया प्रतीक.');
INSERT INTO `lang_definitions` VALUES (129194, 10110, 24, 'लक्षण');
INSERT INTO `lang_definitions` VALUES (129195, 10111, 24, 'समकालित करें');
INSERT INTO `lang_definitions` VALUES (129196, 10112, 24, 'कस्टम भाषा तालिका के साथ अनुवाद समकालित करें.');
INSERT INTO `lang_definitions` VALUES (129197, 10113, 24, 'नए कस्टम निरंतर समकालित करें:');
INSERT INTO `lang_definitions` VALUES (129198, 10114, 24, 'नए कस्टम भाषा समकालित करें:');
INSERT INTO `lang_definitions` VALUES (129199, 10115, 24, 'नई परिभाषा (भाषा, स्थिर, परिभाषा) समकालित करें:');
INSERT INTO `lang_definitions` VALUES (129200, 10116, 24, 'बेहोशी');
INSERT INTO `lang_definitions` VALUES (129201, 10117, 24, 'संलक्षण निगरानी');
INSERT INTO `lang_definitions` VALUES (129202, 10118, 24, 'संलक्षण निगरानी - गैर मुद्दों की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (129203, 10119, 24, 'संलक्षण निगरानी रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (129204, 10120, 24, 'श्लेषक कलाशोथ, चोट, स्नेहपुटीशोथ');
INSERT INTO `lang_definitions` VALUES (129205, 10121, 24, 'प्रणाली');
INSERT INTO `lang_definitions` VALUES (129206, 10128, 24, 'T');
INSERT INTO `lang_definitions` VALUES (129207, 10130, 24, 't.i.d.');
INSERT INTO `lang_definitions` VALUES (129208, 10131, 24, 'दूरदर्शन');
INSERT INTO `lang_definitions` VALUES (129209, 10133, 24, 'तालिका');
INSERT INTO `lang_definitions` VALUES (129210, 10137, 24, 'तालिका निर्माण विफल');
INSERT INTO `lang_definitions` VALUES (129211, 10138, 24, 'तालिका अद्यतन विफल');
INSERT INTO `lang_definitions` VALUES (129212, 10140, 24, 'गोली');
INSERT INTO `lang_definitions` VALUES (129213, 10146, 24, 'टेगलॉग');
INSERT INTO `lang_definitions` VALUES (129214, 10149, 24, 'लेना');
INSERT INTO `lang_definitions` VALUES (129215, 10151, 24, 'ड्रॉप डाउन से, बीमा ले');
INSERT INTO `lang_definitions` VALUES (129216, 10152, 24, 'ड्रॉप डाउन से, से भुगतान ले');
INSERT INTO `lang_definitions` VALUES (129217, 10153, 24, 'Takeback');
INSERT INTO `lang_definitions` VALUES (129218, 10154, 24, 'समय लेता है');
INSERT INTO `lang_definitions` VALUES (129219, 10157, 24, 'लंबा नेविगेशन क्षेत्र');
INSERT INTO `lang_definitions` VALUES (129220, 10161, 24, 'लक्ष्य और स्रोत जन्म तिथि से मेल नहीं खाते');
INSERT INTO `lang_definitions` VALUES (129221, 10162, 24, 'लक्ष्य और स्रोत pid ​​मेल नहीं खा सकता!');
INSERT INTO `lang_definitions` VALUES (129222, 10163, 24, 'लक्ष्य और स्रोत SSN मेल नहीं खाते');
INSERT INTO `lang_definitions` VALUES (129223, 10164, 24, 'लक्ष्य तिथि');
INSERT INTO `lang_definitions` VALUES (129224, 10165, 24, 'लक्ष्य रोगी');
INSERT INTO `lang_definitions` VALUES (129225, 10166, 24, 'लक्ष्य रोगी की कोई जन्म तिथि नहीं है');
INSERT INTO `lang_definitions` VALUES (129226, 10167, 24, 'लक्ष्य रोगी नहीं मिला');
INSERT INTO `lang_definitions` VALUES (129227, 10168, 24, 'टारगेट / कार्रवाई समूह');
INSERT INTO `lang_definitions` VALUES (129228, 10173, 24, 'कर आईडी');
INSERT INTO `lang_definitions` VALUES (129229, 10174, 24, 'कर की दर');
INSERT INTO `lang_definitions` VALUES (129230, 10175, 24, 'करों');
INSERT INTO `lang_definitions` VALUES (129231, 10176, 24, 'वर्गीकरण');
INSERT INTO `lang_definitions` VALUES (129232, 10181, 24, 'td');
INSERT INTO `lang_definitions` VALUES (129233, 10182, 24, 'टीम चोट अवलोकन');
INSERT INTO `lang_definitions` VALUES (129234, 10183, 24, 'टीम रोस्टर');
INSERT INTO `lang_definitions` VALUES (129235, 10184, 24, 'टीम रोस्टर देखें');
INSERT INTO `lang_definitions` VALUES (129236, 10185, 24, 'टीम / दस्ते');
INSERT INTO `lang_definitions` VALUES (129237, 10187, 24, 'Tel');
INSERT INTO `lang_definitions` VALUES (129238, 10189, 24, 'देश का टेलीफोन कोड');
INSERT INTO `lang_definitions` VALUES (129239, 10192, 24, 'अस्थायी');
INSERT INTO `lang_definitions` VALUES (129240, 10193, 24, 'अस्थायी स्थान');
INSERT INTO `lang_definitions` VALUES (129241, 10194, 24, 'अस्थायी विधि');
INSERT INTO `lang_definitions` VALUES (129242, 10196, 24, 'तापमान');
INSERT INTO `lang_definitions` VALUES (129243, 10197, 24, 'साँचा');
INSERT INTO `lang_definitions` VALUES (129244, 10198, 24, 'साँचा नाम');
INSERT INTO `lang_definitions` VALUES (129245, 10199, 24, 'साँचा नामों की संख्या के साथ शुरू नहीं कर सकते.');
INSERT INTO `lang_definitions` VALUES (129246, 10201, 24, 'साँचा:');
INSERT INTO `lang_definitions` VALUES (129247, 10202, 24, 'साँचा');
INSERT INTO `lang_definitions` VALUES (129248, 10205, 24, 'लौकिक धमनी');
INSERT INTO `lang_definitions` VALUES (129249, 10208, 24, 'पट्टा चोट');
INSERT INTO `lang_definitions` VALUES (129250, 10209, 24, 'Tendonitis / Osis / स्नेहपुटीशोथ');
INSERT INTO `lang_definitions` VALUES (129251, 10211, 24, 'अंतरिम चालान रेफरी No');
INSERT INTO `lang_definitions` VALUES (129252, 10213, 24, 'तृतीयक');
INSERT INTO `lang_definitions` VALUES (129253, 10214, 24, 'तृतीयक बीमा');
INSERT INTO `lang_definitions` VALUES (129254, 10215, 24, 'तृतीयक बीमा डाटा');
INSERT INTO `lang_definitions` VALUES (129255, 10216, 24, 'तृतीयक बीमा प्रदाता');
INSERT INTO `lang_definitions` VALUES (129256, 10219, 24, 'निर्धारण की परीक्षा');
INSERT INTO `lang_definitions` VALUES (129257, 10220, 24, 'प्रणाली की परीक्षा');
INSERT INTO `lang_definitions` VALUES (129258, 10223, 24, 'पाठ');
INSERT INTO `lang_definitions` VALUES (129259, 10224, 24, 'पाठ निदान');
INSERT INTO `lang_definitions` VALUES (129260, 10225, 24, 'पाठ क्षेत्र');
INSERT INTO `lang_definitions` VALUES (129261, 10233, 24, 'पाठ तारीख');
INSERT INTO `lang_definitions` VALUES (129262, 10234, 24, 'पाठ तारीख');
INSERT INTO `lang_definitions` VALUES (129263, 10235, 24, 'पाठ क्षेत्र');
INSERT INTO `lang_definitions` VALUES (129264, 10236, 24, 'पाठ क्षेत्र');
INSERT INTO `lang_definitions` VALUES (129265, 10237, 24, 'पाठ बॉक्स');
INSERT INTO `lang_definitions` VALUES (129266, 10238, 24, 'पाठ बॉक्स');
INSERT INTO `lang_definitions` VALUES (129267, 10239, 24, 'पाठ बॉक्स सूची');
INSERT INTO `lang_definitions` VALUES (129268, 10240, 24, 'पाठ बॉक्स सूची');
INSERT INTO `lang_definitions` VALUES (129269, 10241, 24, 'Thai');
INSERT INTO `lang_definitions` VALUES (129270, 10242, 24, 'शुक्रिया');
INSERT INTO `lang_definitions` VALUES (129271, 10245, 24, 'चुनने के लिए धन्यवाद');
INSERT INTO `lang_definitions` VALUES (129272, 10247, 24, 'साफ\' बटन सभी एनोटेशन हटा देगा.');
INSERT INTO `lang_definitions` VALUES (129273, 10254, 24, 'उपरोक्त बयान विफल रहा है');
INSERT INTO `lang_definitions` VALUES (129274, 10264, 24, 'अपाचे SSL सर्वर प्रमाणपत्र और सार्वजनिक कुंजी');
INSERT INTO `lang_definitions` VALUES (129275, 10281, 24, 'प्रमाणपत्र प्राधिकारी प्रमाणपत्र');
INSERT INTO `lang_definitions` VALUES (129276, 10284, 24, 'दावा फाइल:');
INSERT INTO `lang_definitions` VALUES (129277, 10290, 24, 'अमेरिका एक्सटेंशन की संगत अवस्था SNOMED पैकेज पहले से ही स्थापित किया गया है.');
INSERT INTO `lang_definitions` VALUES (129278, 10296, 24, 'समतुल्य निजी कुंजी');
INSERT INTO `lang_definitions` VALUES (129279, 10322, 24, 'इनकार कोड है');
INSERT INTO `lang_definitions` VALUES (129280, 10323, 24, 'इनकार समूह कोड है');
INSERT INTO `lang_definitions` VALUES (129281, 10328, 24, 'गंतव्य प्रपत्र बंद कर दिया था');
INSERT INTO `lang_definitions` VALUES (129282, 10330, 24, 'गंतव्य प्रपत्र बंद था, मैं आपके चयन पर कार्य नहीं कर सकता.');
INSERT INTO `lang_definitions` VALUES (129283, 10343, 24, 'इस प्रक्रिया का प्रदर्शन करनेवाली संस्था');
INSERT INTO `lang_definitions` VALUES (129284, 10346, 24, 'ईपी, पात्र अस्पताल या CAH, जो मरीज को प्राप्त करता है, एक सेवा सेटिंग से या सेवा प्रदाता से या मुठभेड़ प्रासंगिक है, ऐसा मानता ​​है, उसने Medical Reconciliation करना चाहिए.');
INSERT INTO `lang_definitions` VALUES (129285, 10349, 24, 'ईपी, पात्र अस्पताल या CAH जो अपने रोगी को किसी अन्य सेवा केन्द्र या सेवा प्रदाता के पास स्थानांतरण करता है, या अपने रोगी को किसी अन्य सेवा केन्द्र या सेवा प्रदाता के पास संदर्भित करता है, उनको प्रत्येक स्थानांतरण या संदर्भ के लिए देखभाल रिकॉर्ड का सारांश प्रदान करना चाहिए.');
INSERT INTO `lang_definitions` VALUES (129286, 10350, 24, 'घटना को मंजूरी दे दी गई है.');
INSERT INTO `lang_definitions` VALUES (129287, 10351, 24, 'घटना छिपे हुए हैं.');
INSERT INTO `lang_definitions` VALUES (129288, 10352, 24, 'निर्यात डेटा नीचे पाठ क्षेत्र में दिखाई देता है. आप एक ईमेल में या किसी भी अन्य इच्छित गंतव्य में यह कॉपी और पेस्ट कर सकते हैं.');
INSERT INTO `lang_definitions` VALUES (129289, 10354, 24, 'निर्यात डेटा नीचे पाठ क्षेत्र में दिखाई देता है. आप एक ईमेल में या किसी भी अन्य इच्छित गंतव्य में यह कॉपी और पेस्ट कर सकते हैं.');
INSERT INTO `lang_definitions` VALUES (129290, 10355, 24, 'निर्यात डेटा नीचे पाठ क्षेत्र में दिखाई देता है. आप एक ईमेल में या किसी भी अन्य इच्छित गंतव्य में यह कॉपी और पेस्ट कर सकते हैं.');
INSERT INTO `lang_definitions` VALUES (129291, 10358, 24, 'फ़ाइल CouchDB में सहेजा नहीं जा सका.');
INSERT INTO `lang_definitions` VALUES (129292, 10359, 24, 'फ़ाइल का सफलतापूर्वक नाम बदला नहीं जा सकता है, यह त्रुटि आमतौर पर संग्रहण प्रणाली पर अनुमति की समस्या से संबंधित है.');
INSERT INTO `lang_definitions` VALUES (129293, 10360, 24, 'फ़ाइल का सफलतापूर्वक संग्रहीत नहीं किया जा सकता है, यह त्रुटि आमतौर पर संग्रहण प्रणाली पर अनुमति की समस्या से संबंधित है.');
INSERT INTO `lang_definitions` VALUES (129294, 10364, 24, 'प्रथम (\"लक्ष्य\") चार्ट सबसे पूर्ण और सही माना जाता है. जनसांख्यिकी, इतिहास और बीमा वर्ग बनाए रखा जाएगा.');
INSERT INTO `lang_definitions` VALUES (129295, 10374, 24, 'पहला कदम एकीकृत मेडिकल भाषा प्रणाली वेब साइट में खाता खोलने का है.');
INSERT INTO `lang_definitions` VALUES (129296, 10380, 24, 'निम्नलिखित कैलेंडर घटना जोड़ा गया है:');
INSERT INTO `lang_definitions` VALUES (129297, 10381, 24, 'निम्नलिखित कैलेंडर घटना modifed किया गया है:');
INSERT INTO `lang_definitions` VALUES (129298, 10382, 24, 'निम्नलिखित श्रेणियां अपने श्रेणी सूची में से हटा दिया जाएगा');
INSERT INTO `lang_definitions` VALUES (129299, 10383, 24, 'निम्नलिखित डेटाबेस रिहाई वर्तमान में स्थापित है');
INSERT INTO `lang_definitions` VALUES (129300, 10384, 24, 'निम्नलिखित दस्तावेज इस सीधे संदेश से जुड़े थे:');
INSERT INTO `lang_definitions` VALUES (129301, 10386, 24, 'निम्नलिखित EDI फ़ाइल का अपलोड कर दिया गया है');
INSERT INTO `lang_definitions` VALUES (129302, 10388, 24, 'The following Emergency Login User is activated:');
INSERT INTO `lang_definitions` VALUES (129303, 10389, 24, 'निम्न त्रुटियाँ उत्पन्न हुई');
INSERT INTO `lang_definitions` VALUES (129304, 10392, 24, 'निम्नलिखित क्षेत्र आवश्यक हैं');
INSERT INTO `lang_definitions` VALUES (129305, 10394, 24, 'निम्नलिखित क्षेत्र अनुरोध भेजने के लिए भरे जाने है.');
INSERT INTO `lang_definitions` VALUES (129306, 10395, 24, 'निम्नलिखित अंतर्राष्ट्रीय Snomed रिलीज भाषाएँ समर्थित हैं');
INSERT INTO `lang_definitions` VALUES (129307, 10397, 24, 'निम्न समस्याओं के लिए मेल खाते निदान कोड है. मुठभेड़ मुद्दों को अद्यतन नहीं किया जाएगा. बजाय मुठभेड़ इंटरफ़ेस का उपयोग करें.');
INSERT INTO `lang_definitions` VALUES (129308, 10406, 24, 'ATNA ऑडिट रिपोजिटरी मशीन का मेजबाननाम.');
INSERT INTO `lang_definitions` VALUES (129309, 10418, 24, 'प्रारंभिक खिड़की चालान खोज पृष्ठ है. शीर्ष पर आप एक स्रोत (जैसे चेक नंबर) , भुगतान तारीख और चेक राशि दर्ज कर सकते हैं. स्रोत और भुगतान की तारीख का कारण, आपको प्रत्येक दावे के लिए, फिर से उन्हें प्रवेश करने की जरूरत नहीं है. आपके द्वारा दर्ज की राशि भुगतान का हिस्सा है और प्रत्येक चालान के लिए कम हो जाएगा और शून्य पर खत्म हो जाएगा.');
INSERT INTO `lang_definitions` VALUES (129310, 10420, 24, 'स्थापना निर्देशिका पैदा किए जाने की जरूरत है.');
INSERT INTO `lang_definitions` VALUES (129311, 10421, 24, 'स्थापित अंतरराष्ट्रीय SNOMED संस्करण staged अमेरिका एक्सटेंशन SNOMED पैकेज के साथ संगत नहीं है.');
INSERT INTO `lang_definitions` VALUES (129312, 10422, 24, 'स्थापित अंतरराष्ट्रीय SNOMED संस्करण पुराना है और staged अमेरिका एक्सटेंशन SNOMED फ़ाइल के साथ संगत नहीं है.');
INSERT INTO `lang_definitions` VALUES (129313, 10423, 24, 'स्थापित संस्करण और staged फ़ाइलें समान हैं.');
INSERT INTO `lang_definitions` VALUES (129314, 10424, 24, 'स्थापित संस्करण staged फ़ाइलों की तुलना में एक अधिक नवीन संस्करण है.');
INSERT INTO `lang_definitions` VALUES (129315, 10431, 24, 'लेबल जो प्रपत्र पर उपयोगकर्ता के लिए प्रकट होता है');
INSERT INTO `lang_definitions` VALUES (129316, 10438, 24, 'अक्षरों की लंबाई संख्या निम्नलिखित से अधिक न हो');
INSERT INTO `lang_definitions` VALUES (129317, 10442, 24, 'मर्ज नहीं चलेंगे, जब तक दो चार्ट्स के लिए SSN और जन्म तिथि समान हो. जन्म तिथि खाली नहीं हो सकता.');
INSERT INTO `lang_definitions` VALUES (129318, 10443, 24, 'संदेश इस समय नहीं भेजा जा सका.');
INSERT INTO `lang_definitions` VALUES (129319, 10458, 24, 'नई श्रेणी इसकि एक उप श्रेणी हो जाएगा');
INSERT INTO `lang_definitions` VALUES (129320, 10460, 24, 'नया पासवर्ड वर्तमान पासवर्ड के समान नहीं हो सकता.');
INSERT INTO `lang_definitions` VALUES (129321, 10461, 24, 'नया पासवर्ड क्षेत्र समान नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (129322, 10471, 24, 'staged फ़ाइलों की संख्या गलत है. केवल वे फ़ाइल रखना जो आप उन्नयन / स्थापित करना चाहते हैं .');
INSERT INTO `lang_definitions` VALUES (129323, 10472, 24, 'staged फ़ाइलों की संख्या गलत है. केवल वे फ़ाइल रखना जो आप उन्नयन / स्थापित करना चाहते हैं .');
INSERT INTO `lang_definitions` VALUES (129324, 10479, 24, 'पेज जनसांख्यिकी पर पुनः निर्देशित किया जाएगा. आप देश के क्षेत्र को संपादित करें और फिर NewCrop के लिए क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (129325, 10482, 24, 'पासवर्ड कम से कम आठ अक्षरों का होना चाहिए, और');
INSERT INTO `lang_definitions` VALUES (129326, 10486, 24, 'रोगी रिकॉर्ड अनुरोध दर्ज किया गया है');
INSERT INTO `lang_definitions` VALUES (129327, 10487, 24, 'रोगी अनुस्मारक भेज दिया गया है');
INSERT INTO `lang_definitions` VALUES (129328, 10488, 24, 'रोगी अनुस्मारक अद्यतन किया गया है');
INSERT INTO `lang_definitions` VALUES (129329, 10493, 24, 'पोस्ट किया भुगतान इस तिथि से पहले नहीं हो सकता है, अंतिम रिपोर्ट लेने के बाद, पिछले तिथियों के रिपोर्ट पोस्ट नहीं करें.');
INSERT INTO `lang_definitions` VALUES (129330, 10505, 24, 'से कच्चे डेटा फीड रिलीज प्राप्त किया जा सकता है');
INSERT INTO `lang_definitions` VALUES (129331, 10509, 24, 'नीचे दिए गए शेष जानकारी, आप मैन्युअल पोस्ट कर रहे हैं, या आप मैन्युअल सुधार कर रहे हैं केवल तभी लागू होता है.');
INSERT INTO `lang_definitions` VALUES (129332, 10513, 24, 'अनुरोध किया गया दस्तावेज़ फाइल सिस्टम पर उम्मीद स्थान पर मौजूद नहीं है या इसे उपयोग करने के लिए पर्याप्त अनुमतियाँ नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (129333, 10524, 24, 'दूसरा (\"स्रोत\") चार्ट जनसांख्यिकी, इतिहास और बीमा वर्गों को बंद कर देगा. उसके अन्य डेटा लक्षित चार्ट में विलय हो जाएगा.');
INSERT INTO `lang_definitions` VALUES (129334, 10537, 24, 'The Source and Date columns are copied from the first page, so normally you will not need to touch those. You can put a payment amount in the Pay column, an adjustment amount in the Adjust column, or both. You can also click the \"W\" on the right to automatically compute an adjustment value that writes off the remainder of the charge for that line item.');
INSERT INTO `lang_definitions` VALUES (129335, 10540, 24, 'मंचन फ़ाइलों की सब रिहाई तिथियाँ वही रिहाई से नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (129336, 10541, 24, 'मंचन फ़ाइलों का सब संशोधन, वही रिलीज से नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (129337, 10542, 24, 'मंचन किया अमेरिका एक्सटेंशन SNOMED पैकेज स्थापित नहीं किया जा सकता जब तक, अंतर्राष्ट्रीय SNOMED पैकेज स्थापित किया जाय!');
INSERT INTO `lang_definitions` VALUES (129338, 10557, 24, 'कैलेंडर का समय विघटन और नियुक्ति स्लॉट के लिए मिनटों में सबसे छोटा अंतराल.');
INSERT INTO `lang_definitions` VALUES (129339, 10562, 24, 'अनुवादित लेबल वर्तमान भाषा में फार्म पर प्रदर्शित होगा');
INSERT INTO `lang_definitions` VALUES (129340, 10563, 24, 'अनुवादित शीर्षक जो वर्तमान भाषा में प्रदर्शित होगा');
INSERT INTO `lang_definitions` VALUES (129341, 10564, 24, 'वर्तमान भाषा में विवरण का अनुवाद');
INSERT INTO `lang_definitions` VALUES (129342, 10565, 24, 'अनुवाद तालिकाएँ सिंक्रनाइज़ हैं.');
INSERT INTO `lang_definitions` VALUES (129343, 10566, 24, 'इस इकाई के प्रकार');
INSERT INTO `lang_definitions` VALUES (129344, 10586, 24, 'इस प्रक्रिया या परिणाम की पहचान करनेवाला विक्रेता विशेष कोड');
INSERT INTO `lang_definitions` VALUES (129345, 10591, 24, 'X 12 फाइलें और परिणामस्वरूप HTML उत्पादन रिपोर्ट्स मुख्य OpenEMR स्थापना निर्देशिका के \"युग\" उपनिर्देशिका में संग्रहीत हैं. आप समय समय पर इन अभिलेखागार का उल्लेख करना चाहते होगे. यूआरएल है');
INSERT INTO `lang_definitions` VALUES (129346, 10593, 24, 'ज़िप फ़ाइल में निम्न आइटम्स शामिल होंगे');
INSERT INTO `lang_definitions` VALUES (129347, 10594, 24, 'थीम');
INSERT INTO `lang_definitions` VALUES (129348, 10600, 24, 'फिर कच्चा डेटा फीड रिलीज से प्राप्त किया जा सकता है');
INSERT INTO `lang_definitions` VALUES (129349, 10601, 24, 'चिकित्सीय इंजेक्शन');
INSERT INTO `lang_definitions` VALUES (129350, 10607, 24, 'वहाँ हैं');
INSERT INTO `lang_definitions` VALUES (129351, 10610, 24, 'वर्तमान में कोई नुस्खे नहीं');
INSERT INTO `lang_definitions` VALUES (129352, 10611, 24, 'आपके सबमिशन में त्रुटियाँ हैं. ये नीचे उल्लिखित हैं.');
INSERT INTO `lang_definitions` VALUES (129353, 10616, 24, 'चेक आउट किया कोई चार्ट नहीं हैं');
INSERT INTO `lang_definitions` VALUES (129354, 10618, 24, 'इस रोगी के लिए कोई खुलासे दर्ज नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (129355, 10621, 24, 'कोई नई प्रस्तुतियाँ नहीं हैं');
INSERT INTO `lang_definitions` VALUES (129356, 10622, 24, 'इस रोगी के लिए फाइल पर कोई टिप्पणी नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (129357, 10624, 24, 'इस रोगी के लिए फाइल पर कोई लेनदेन नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (129358, 10639, 24, 'के लिए भेजने के लिए एक मेल त्रुटि हैं.');
INSERT INTO `lang_definitions` VALUES (129359, 10642, 24, 'पहले से ही एक श्रेणी नामित है');
INSERT INTO `lang_definitions` VALUES (129360, 10643, 24, 'पहले से ही एक उपश्रेणी नामित है');
INSERT INTO `lang_definitions` VALUES (129361, 10644, 24, 'पहले से ही एक आइटम नामित है');
INSERT INTO `lang_definitions` VALUES (129362, 10645, 24, 'एक रोगी रिकॉर्ड अनुरोध वहां पहले से ही खुला है.');
INSERT INTO `lang_definitions` VALUES (129363, 10646, 24, 'AR खाते के लिए कोई COA प्रविष्टि नहीं है');
INSERT INTO `lang_definitions` VALUES (129364, 10647, 24, 'नकदी खाते के लिए कोई COA प्रविष्टि नहीं है');
INSERT INTO `lang_definitions` VALUES (129365, 10648, 24, 'आय खाते के लिए कोई COA प्रविष्टि नहीं है');
INSERT INTO `lang_definitions` VALUES (129366, 10649, 24, 'वर्तमान रोगी नहीं है');
INSERT INTO `lang_definitions` VALUES (129367, 10651, 24, 'चालान आईडी के लिए कोई मेल नहीं है');
INSERT INTO `lang_definitions` VALUES (129368, 10652, 24, 'चालान आईडी के लिए कोई मेल नहीं है=');
INSERT INTO `lang_definitions` VALUES (129369, 10653, 24, 'सेवाएँ ID के लिए कोई हिस्से प्रविष्टि नहीं है');
INSERT INTO `lang_definitions` VALUES (129370, 10655, 24, 'संदेश भेजने में कोई समस्या थी.');
INSERT INTO `lang_definitions` VALUES (129371, 10656, 24, 'आपका अनुरोध संसाधित करते समय एक त्रुटि हुई थी.');
INSERT INTO `lang_definitions` VALUES (129372, 10657, 24, 'निम्न स्ट्रिंग के एक OpenEMR एसक्यूएल भागने की त्रुटि थी');
INSERT INTO `lang_definitions` VALUES (129373, 10661, 24, 'ये 2012 लिंक हैं');
INSERT INTO `lang_definitions` VALUES (129374, 10682, 24, 'दाएँ गाढ़ा:');
INSERT INTO `lang_definitions` VALUES (129375, 10683, 24, 'जांघ');
INSERT INTO `lang_definitions` VALUES (129376, 10684, 24, 'जांघ + हैमस्ट्रिंग');
INSERT INTO `lang_definitions` VALUES (129377, 10685, 24, 'चीजें जो बैक कार्यालय केवल पढ़ सकते हैं');
INSERT INTO `lang_definitions` VALUES (129378, 10686, 24, 'चीजें जो बैक कार्यालय केवल पढ़ और प्रविष्टि कर सकते हैं लेकिन संशोधित नहीं कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (129379, 10687, 24, 'चीजें जो बैक कार्यालय पढ़ सकते हैं और संशोधित कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (129380, 10688, 24, 'चीजें जो बैक कार्यालय पढ़ सकते हैं और अंशत: संशोधित कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (129381, 10689, 24, 'चीजें जो चिकित्सक केवल पढ़ सकते हैं');
INSERT INTO `lang_definitions` VALUES (129382, 10690, 24, 'चीजें जो चिकित्सक केवल पढ़ और प्रविष्टि कर सकते हैं लेकिन संशोधित नहीं कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (129383, 10691, 24, 'चीजें जो चिकित्सक पढ़ सकते हैं और संशोधित कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (129384, 10692, 24, 'चीजें जो चिकित्सक पढ़ सकते हैं और अंशत: संशोधित कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (129385, 10693, 24, 'चीजें जो प्रमुख कार्यालय केवल पढ़ सकते हैं');
INSERT INTO `lang_definitions` VALUES (129386, 10694, 24, 'चीजें जो प्रमुख कार्यालय केवल पढ़ और प्रविष्टि कर सकते हैं लेकिन संशोधित नहीं कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (129387, 10695, 24, 'चीजें जो प्रमुख कार्यालय पढ़ सकते हैं और संशोधित कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (129388, 10696, 24, 'चीजें जो प्रमुख कार्यालय पढ़ सकते हैं और अंशत: संशोधित कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (129389, 10697, 24, 'चीजें जो वैद्य केवल पढ़ सकते हैं');
INSERT INTO `lang_definitions` VALUES (129390, 10698, 24, 'चीजें जो वैद्य केवल पढ़ और प्रविष्टि कर सकते हैं लेकिन संशोधित नहीं कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (129391, 10699, 24, 'चीजें जो वैद्य पढ़ सकते हैं और संशोधित कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (129392, 10700, 24, 'चीजें जो वैद्य पढ़ सकते हैं और अंशत: संशोधित कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (129393, 10701, 24, 'तृतीय');
INSERT INTO `lang_definitions` VALUES (129394, 10704, 24, 'यह क्रिया पीछे लौट नहीं सकती.');
INSERT INTO `lang_definitions` VALUES (129395, 10705, 24, 'यह क्रिया पीछे लौट नहीं सकती.');
INSERT INTO `lang_definitions` VALUES (129396, 10707, 24, 'यह क्रिया लॉग करेंगे');
INSERT INTO `lang_definitions` VALUES (129397, 10712, 24, 'यह नियुक्ति स्लॉट पहले से ही उपयोग में हैं, फिर भी उपयोग करें');
INSERT INTO `lang_definitions` VALUES (129398, 10713, 24, 'यह नियुक्ति स्लॉट उपलब्ध नहीं है, किसी अन्य का चयन करें.');
INSERT INTO `lang_definitions` VALUES (129399, 10714, 24, 'इस कैलेंडर वर्ष में');
INSERT INTO `lang_definitions` VALUES (129400, 10715, 24, 'यह दावा रद्द कर दिया गया है.');
INSERT INTO `lang_definitions` VALUES (129401, 10716, 24, 'यह दावा बंद कर दिया गया है.');
INSERT INTO `lang_definitions` VALUES (129402, 10717, 24, 'यह दावा इनकार कर दिया गया है. कारण: -');
INSERT INTO `lang_definitions` VALUES (129403, 10718, 24, 'यह दावा अगले स्तर के लिए भेज दिया गया है.');
INSERT INTO `lang_definitions` VALUES (129404, 10725, 24, 'यह कोड टाइप संबंधों को स्वीकार नहीं करता.');
INSERT INTO `lang_definitions` VALUES (129405, 10727, 24, 'इस संदर्भ में वर्ग शामिल हैं जो हटा दिया जाएगा. आप अभी भी जारी रखना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (129406, 10730, 24, 'नियुक्तियों कैलेंडर में कैसे प्रदर्शित हो, यह निर्धारित करता है.');
INSERT INTO `lang_definitions` VALUES (129407, 10731, 24, 'यह नियुक्ति के लिए कौन सा रंग स्कीमा प्रयोग हो, यह निर्धारित करता है.');
INSERT INTO `lang_definitions` VALUES (129408, 10734, 24, 'यह मुठभेड़');
INSERT INTO `lang_definitions` VALUES (129409, 10735, 24, 'इस मुठभेड़ का बिल भेजा गया है. इसे बदलने के लिए, इसे फिर से खोला जाना चाहिए.');
INSERT INTO `lang_definitions` VALUES (129410, 10740, 24, 'यह सुविधा अभी तक उपलब्ध नहीं है');
INSERT INTO `lang_definitions` VALUES (129411, 10742, 24, 'यह सुविधा बहुत प्रयोगात्मक है और पूरी तरह से परीक्षण नहीं किया है. अपने जोखिम पर प्रयोग करें!');
INSERT INTO `lang_definitions` VALUES (129412, 10753, 24, 'चालान संख्या को इस में बदल दिया गया है');
INSERT INTO `lang_definitions` VALUES (129413, 10763, 24, 'यह चार्ट मुख्य चार्ट में विलय कर दिया जायगा और फिर हटा दिया जायगा.');
INSERT INTO `lang_definitions` VALUES (129414, 10772, 24, 'यह मर्ज किए गए डेटा प्राप्त करने के लिए मुख्य चार्ट है.');
INSERT INTO `lang_definitions` VALUES (129415, 10784, 24, 'इस स्थान');
INSERT INTO `lang_definitions` VALUES (129416, 10789, 24, 'यह मॉड्यूल परीक्षण मोड में है. डेटाबेस बदला नहीं जाएगा.');
INSERT INTO `lang_definitions` VALUES (129417, 10792, 24, 'यह मॉड्यूल EOB डेटा के प्रभावी प्रविष्टि को बढ़ावा देता है.');
INSERT INTO `lang_definitions` VALUES (129418, 10793, 24, 'इस महीने से तिथि तक');
INSERT INTO `lang_definitions` VALUES (129419, 10798, 24, 'यह पृष्ठ आपको, समर्थित बाहरी dataloads की समीक्षा करने की अनुमति देता है जो आप स्थापित और उन्नयन कर सकते हैं.नीचे प्रत्येक खंड का खंड शीर्षक पर क्लिक करके विस्तार किया जा सकता है, विशेष डेटाबेस की स्थिति की समीक्षा करने के लिए.');
INSERT INTO `lang_definitions` VALUES (129420, 10799, 24, 'इस पृष्ठ को सुरक्षा कारणों के लिए निष्क्रिय कर दिया.');
INSERT INTO `lang_definitions` VALUES (129421, 10801, 24, 'यह पृष्ठ इनलाइन प्रवेश पृष्ठ शामिल करेगा, हमे हर बार दोबारा लॉगिन क्लिक करने की जरूरत नहीं है.');
INSERT INTO `lang_definitions` VALUES (129422, 10804, 24, 'इस रोगी की कोई गतिविधि नहीं है.');
INSERT INTO `lang_definitions` VALUES (129423, 10805, 24, 'यह रोगी आईडी पहले से ही उपयोग में है!');
INSERT INTO `lang_definitions` VALUES (129424, 10807, 24, 'यह उत्पाद हर गोदाम में केवल एक लॉट की अनुमति देता है.');
INSERT INTO `lang_definitions` VALUES (129425, 10808, 24, 'यह प्रोटोकॉल लागू नहीं है');
INSERT INTO `lang_definitions` VALUES (129426, 10809, 24, 'यह रिपोर्ट वर्तमान में केवल ICD9 कोड के लिए काम करता है.');
INSERT INTO `lang_definitions` VALUES (129427, 10821, 24, 'यह कदम एक फाइल उत्पन्न करेगा जो आप भविष्य में उपयोग के लिए सहेजें. फाइल फिर से उत्पन्न नहीं हो सकती. क्या आप आगे बढ़ना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (129428, 10822, 24, 'यह उपयोगकर्ता किसी भी समूह का सदस्य नहीं है');
INSERT INTO `lang_definitions` VALUES (129429, 10823, 24, 'यह उपयोगकर्ता नए आने वाले सीधे संदेश की सूचना प्राप्त करेंगे');
INSERT INTO `lang_definitions` VALUES (129430, 10824, 24, 'यह सुविधा प्रायोगिक है. यह प्रयोग करने से पहले अपने डेटाबेस और दस्तावेजों का बैकअप लें!');
INSERT INTO `lang_definitions` VALUES (129431, 10826, 24, 'यह दौरे में नए गर्भनिरोधक का उपयोग शुरू होता है');
INSERT INTO `lang_definitions` VALUES (129432, 10827, 24, 'यह दौरे को एक GCAC फार्म, रेफरल या प्रक्रिया सेवा की जरूरत होगी.');
INSERT INTO `lang_definitions` VALUES (129433, 10828, 24, 'यह पुराना केवल मीट्रिक नब्ज फार्म था, अब पदावनत है.');
INSERT INTO `lang_definitions` VALUES (129434, 10829, 24, 'इस सप्ताह से तिथि तक');
INSERT INTO `lang_definitions` VALUES (129435, 10831, 24, 'यह सीसीआर (केयर रिकॉर्ड की निरंतरता) और सीसीडी (केयर दस्तावेज़ की निरंतरता) रिपोर्टिंग को चालू कर पायेगा.');
INSERT INTO `lang_definitions` VALUES (129436, 10834, 24, 'यह डिबगिंग ( \'डमी \') भाषा का चयन करने की अनुमति देगा.');
INSERT INTO `lang_definitions` VALUES (129437, 10838, 24, 'यह भौतिक डेटा अद्यतन के बिना \"चलाना\" हो जाएगा.');
INSERT INTO `lang_definitions` VALUES (129438, 10843, 24, 'यह टार प्रारूप में एक बैकअप बनाएगा और अपने वेब ब्राउज़र को भेज देगा तब आप इसे सहेज सकते हैं');
INSERT INTO `lang_definitions` VALUES (129439, 10844, 24, 'यह दस्तावेज़ एन्क्रिप्शन और डिक्रिप्शन सुविधाओं को निष्क्रिय करेगा, और यूआई में उन्हें छुपा देगा.');
INSERT INTO `lang_definitions` VALUES (129440, 10854, 24, 'यह बिलिंग विजेट रोगी को सारांश स्क्रीन में हमेशा खुला होने के लिए मजबूर करेगा.');
INSERT INTO `lang_definitions` VALUES (129441, 10859, 24, 'यह एक में दो रोगी चार्ट विलय करेगा. यह उपयोगी है जब एक मरीज को गलती से दोहराया गया है. अगर यह अक्सर होता है, तो अपने कार्यालय प्रक्रियाओं को ठीक करें - नियमित रूप से यह चलना नहीं है!');
INSERT INTO `lang_definitions` VALUES (129442, 10860, 24, 'यह e-Prescriptions साइट पर जाने से नहीं रोकेगा.');
INSERT INTO `lang_definitions` VALUES (129443, 10867, 24, 'यह कस्टम टीकाकरण सूची के बजाय मानक CVX टीकाकरण सूची का उपयोग करेगा.');
INSERT INTO `lang_definitions` VALUES (129444, 10871, 24, 'थोरैसिक रीढ़');
INSERT INTO `lang_definitions` VALUES (129445, 10873, 24, 'Thous / CU.MM');
INSERT INTO `lang_definitions` VALUES (129446, 10878, 24, 'गला');
INSERT INTO `lang_definitions` VALUES (129447, 10879, 24, 'गले के कैंसर');
INSERT INTO `lang_definitions` VALUES (129448, 10880, 24, 'गले के कैंसर सर्जरी');
INSERT INTO `lang_definitions` VALUES (129449, 10881, 24, 'घनास्त्रता / स्ट्रोक');
INSERT INTO `lang_definitions` VALUES (129450, 10882, 24, 'गुरु');
INSERT INTO `lang_definitions` VALUES (129451, 10884, 24, 'बृहस्पतिवार');
INSERT INTO `lang_definitions` VALUES (129452, 10885, 24, 'बृहस्पतिवार');
INSERT INTO `lang_definitions` VALUES (129453, 10887, 24, 'थायराइड सामान्य');
INSERT INTO `lang_definitions` VALUES (129454, 10888, 24, 'थायराइड समस्याएं');
INSERT INTO `lang_definitions` VALUES (129455, 10890, 24, 'TIA');
INSERT INTO `lang_definitions` VALUES (129456, 10892, 24, 'TID');
INSERT INTO `lang_definitions` VALUES (129457, 10902, 24, 'समय');
INSERT INTO `lang_definitions` VALUES (129458, 10903, 24, 'समय प्रदर्शन स्वरूप');
INSERT INTO `lang_definitions` VALUES (129459, 10904, 24, 'समय वृद्धि जोड़ने के लिए (मिनट 1-60)');
INSERT INTO `lang_definitions` VALUES (129460, 10905, 24, 'समय चयन');
INSERT INTO `lang_definitions` VALUES (129461, 10907, 24, 'समय स्लॉट खुला है, सहेजें.');
INSERT INTO `lang_definitions` VALUES (129462, 10913, 24, 'समयबद्ध घटना');
INSERT INTO `lang_definitions` VALUES (129463, 10914, 24, 'समय सरणी (N / A)');
INSERT INTO `lang_definitions` VALUES (129464, 10915, 24, 'टाइमस्टैम्प और पाठ');
INSERT INTO `lang_definitions` VALUES (129465, 10917, 24, 'TIN');
INSERT INTO `lang_definitions` VALUES (129466, 10918, 24, 'टिनिटस');
INSERT INTO `lang_definitions` VALUES (129467, 10920, 24, 'शीर्षक');
INSERT INTO `lang_definitions` VALUES (129468, 10923, 24, 'शीर्षक V');
INSERT INTO `lang_definitions` VALUES (129469, 10924, 24, 'TitleCols 1 और 999 के बीच में होनी चाहिए');
INSERT INTO `lang_definitions` VALUES (129470, 10925, 24, 'शीर्षक');
INSERT INTO `lang_definitions` VALUES (129471, 10926, 24, 'TM  \'S:');
INSERT INTO `lang_definitions` VALUES (129472, 10927, 24, 'TMs / EAMs / EE, ext नाक');
INSERT INTO `lang_definitions` VALUES (129473, 10928, 24, 'तक');
INSERT INTO `lang_definitions` VALUES (129474, 10929, 24, 'तक');
INSERT INTO `lang_definitions` VALUES (129475, 10930, 24, 'तक');
INSERT INTO `lang_definitions` VALUES (129476, 10931, 24, 'फ़ाइल का पूर्ण पथ के लिए');
INSERT INTO `lang_definitions` VALUES (129477, 10936, 24, 'नोट जोड़ने के लिए, कृपया क्लिक करें');
INSERT INTO `lang_definitions` VALUES (129478, 10937, 24, 'नोट जोड़ने के लिए यहां क्लिक करें');
INSERT INTO `lang_definitions` VALUES (129479, 10938, 24, 'प्रभावित क्षेत्र के लिए');
INSERT INTO `lang_definitions` VALUES (129480, 10939, 24, 'प्रभावित क्षेत्र के लिए');
INSERT INTO `lang_definitions` VALUES (129481, 10942, 24, 'स्वचालित रूप से निर्दिष्ट प्रपत्र खोलने के लिए. कुछ खेल की टीमें यहाँ football_injury_audit का उपयोग करती है.');
INSERT INTO `lang_definitions` VALUES (129482, 10944, 24, 'बिलिंग देखने के लिए');
INSERT INTO `lang_definitions` VALUES (129483, 10945, 24, 'श्रेणी के लिए');
INSERT INTO `lang_definitions` VALUES (129484, 10947, 24, 'क्लीनिकल देखने के लिए');
INSERT INTO `lang_definitions` VALUES (129485, 10949, 24, 'copay के लिए');
INSERT INTO `lang_definitions` VALUES (129486, 10953, 24, 'ded\'ble के लिए');
INSERT INTO `lang_definitions` VALUES (129487, 10956, 24, 'Dems के लिए');
INSERT INTO `lang_definitions` VALUES (129488, 10958, 24, 'ग्राहक पक्ष SSL प्रमाणपत्र निष्क्रिय करने के लिए अपाचे विन्यास फाइल और सेट में उपरोक्त पंक्तियों की टिप्पणी करें');
INSERT INTO `lang_definitions` VALUES (129489, 10960, 24, 'HTTPS निष्क्रिय करने के लिए, अपाचे विन्यास फाइल में उपरोक्त पंक्तियों की टिप्पणी करें और अपाचे सर्वर को पुनः आरंभ करें');
INSERT INTO `lang_definitions` VALUES (129490, 10965, 24, 'क्लाइंट पक्ष SSL प्रमाणपत्र सक्रिय करने के लिए');
INSERT INTO `lang_definitions` VALUES (129491, 10966, 24, 'क्लाइंट पक्ष SSL प्रमाणपत्र प्रमाणीकरण सक्रिय करने के लिए, HTTPS सक्रिय होना चाहिए.');
INSERT INTO `lang_definitions` VALUES (129492, 10970, 24, 'केवल HTTPS सक्रिय करने के लिए उपरोक्त परिवर्तन करें और अपाचे सर्वर को पुनः आरंभ करें. यदि आप ग्राहक पक्ष प्रमाण पत्र विन्यस्त करना चाहते हैं, तो अगले भाग में उन्हें विन्यस्त करें.');
INSERT INTO `lang_definitions` VALUES (129493, 10972, 24, 'Enctr करें');
INSERT INTO `lang_definitions` VALUES (129494, 10973, 24, 'सेक्स के द्वारा फिल्टर करने के लिए');
INSERT INTO `lang_definitions` VALUES (129495, 10980, 24, 'इतिहास');
INSERT INTO `lang_definitions` VALUES (129496, 10982, 24, 'मुद्दों के लिए');
INSERT INTO `lang_definitions` VALUES (129497, 10984, 24, 'मुठभेड़ / परामर्श मौजूदा मुद्दे को लिंक करने के लिए, क्लिक करें');
INSERT INTO `lang_definitions` VALUES (129498, 10985, 24, 'मुठभेड़ / परामर्श मौजूदा मुद्दे को लिंक करने के लिए, उपरोक्त इच्छित मुद्दे पर क्लिक करके हाइलाइट करें और [सेव] क्लिक करें.कई मुद्दों पर चयन करने के लिए [Ctrl] बटन दबाए रखें.');
INSERT INTO `lang_definitions` VALUES (129499, 10987, 24, 'फिर से प्रवेश करने के लिए');
INSERT INTO `lang_definitions` VALUES (129500, 10992, 24, 'खुलासे रिकॉर्ड करने के लिए, कृपया क्लिक करें');
INSERT INTO `lang_definitions` VALUES (129501, 10997, 24, 'चलाने के लिए');
INSERT INTO `lang_definitions` VALUES (129502, 11001, 24, 'क्लाइंट प्रमाण पत्र प्रमाणीकरण के साथ HTTPS पहुँच सेटअप के लिए, निम्न कार्य करें');
INSERT INTO `lang_definitions` VALUES (129503, 11002, 24, 'त्वचा के लिए');
INSERT INTO `lang_definitions` VALUES (129504, 11003, 24, 'त्वचा के लिए');
INSERT INTO `lang_definitions` VALUES (129505, 11005, 24, 'इस दौरे के लिए?');
INSERT INTO `lang_definitions` VALUES (129506, 11010, 24, 'करने के लिए:');
INSERT INTO `lang_definitions` VALUES (129507, 11011, 24, 'करने के लिए:');
INSERT INTO `lang_definitions` VALUES (129508, 11012, 24, 'TO_CITY');
INSERT INTO `lang_definitions` VALUES (129509, 11013, 24, 'TO_FAX');
INSERT INTO `lang_definitions` VALUES (129510, 11014, 24, 'TO_FNAME');
INSERT INTO `lang_definitions` VALUES (129511, 11015, 24, 'TO_LNAME');
INSERT INTO `lang_definitions` VALUES (129512, 11016, 24, 'TO_MNAME');
INSERT INTO `lang_definitions` VALUES (129513, 11017, 24, 'TO_ORGANIZATION');
INSERT INTO `lang_definitions` VALUES (129514, 11020, 24, 'TO_POSTAL');
INSERT INTO `lang_definitions` VALUES (129515, 11021, 24, 'TO_STATE');
INSERT INTO `lang_definitions` VALUES (129516, 11022, 24, 'TO_STREET');
INSERT INTO `lang_definitions` VALUES (129517, 11023, 24, 'TO_TITLE');
INSERT INTO `lang_definitions` VALUES (129518, 11024, 24, 'TO_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (129519, 11025, 24, 'तम्बाकू');
INSERT INTO `lang_definitions` VALUES (129520, 11026, 24, 'तम्बाकू बंद हस्तक्षेप');
INSERT INTO `lang_definitions` VALUES (129521, 11027, 24, 'तम्बाकू बंद हस्तक्षेप (CQM)');
INSERT INTO `lang_definitions` VALUES (129522, 11028, 24, 'तम्बाकू का उपयोग');
INSERT INTO `lang_definitions` VALUES (129523, 11030, 24, 'तंबाकू का उपयोग आकलन');
INSERT INTO `lang_definitions` VALUES (129524, 11031, 24, 'तंबाकू का उपयोग आकलन (CQM)');
INSERT INTO `lang_definitions` VALUES (129525, 11032, 24, 'आज');
INSERT INTO `lang_definitions` VALUES (129526, 11033, 24, 'आज');
INSERT INTO `lang_definitions` VALUES (129527, 11034, 24, 'आज');
INSERT INTO `lang_definitions` VALUES (129528, 11035, 24, 'आज की शेष राशि');
INSERT INTO `lang_definitions` VALUES (129529, 11036, 24, 'आज का शुल्क');
INSERT INTO `lang_definitions` VALUES (129530, 11037, 24, 'आज की तिथि');
INSERT INTO `lang_definitions` VALUES (129531, 11038, 24, 'आज का घटनाक्रम');
INSERT INTO `lang_definitions` VALUES (129532, 11044, 24, 'मैडिकल इन्फोर्मेशन एकता, LLC लैब विनिमय सेवा के लिए टोकन ID.');
INSERT INTO `lang_definitions` VALUES (129533, 11045, 24, 'OpenEMR समर्थन LLC लैब विनिमय सेवा के लिए टोकन ID.');
INSERT INTO `lang_definitions` VALUES (129534, 11047, 24, 'गलतुण्डिका उच्छेदन');
INSERT INTO `lang_definitions` VALUES (129535, 11050, 24, 'शीर्ष');
INSERT INTO `lang_definitions` VALUES (129536, 11053, 24, 'विषय');
INSERT INTO `lang_definitions` VALUES (129537, 11054, 24, 'संपूर्ण');
INSERT INTO `lang_definitions` VALUES (129538, 11055, 24, 'संपूर्ण');
INSERT INTO `lang_definitions` VALUES (129539, 11056, 24, 'कुल सक्रिय कार्रवाई');
INSERT INTO `lang_definitions` VALUES (129540, 11057, 24, 'अद्यतन करने के बाद कुल सक्रिय अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (129541, 11058, 24, 'अद्यतन करने से पहले कुल सक्रिय अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (129542, 11060, 24, 'देय कुल राशि');
INSERT INTO `lang_definitions` VALUES (129543, 11061, 24, 'कुल राशि भुगतान');
INSERT INTO `lang_definitions` VALUES (129544, 11062, 24, 'देय कुल शेष राशि');
INSERT INTO `lang_definitions` VALUES (129545, 11063, 24, 'कुल शुल्क');
INSERT INTO `lang_definitions` VALUES (129546, 11064, 24, 'कुल शुल्क');
INSERT INTO `lang_definitions` VALUES (129547, 11065, 24, 'कुल ग्राहक');
INSERT INTO `lang_definitions` VALUES (129548, 11067, 24, 'कुल मूल्य');
INSERT INTO `lang_definitions` VALUES (129549, 11068, 24, 'निम्नलिखित चेक संख्या के लिए कुल वितरण पूर्ण नहीं है');
INSERT INTO `lang_definitions` VALUES (129550, 11069, 24, 'कुल प्रविष्टियां');
INSERT INTO `lang_definitions` VALUES (129551, 11070, 24, 'ईमेल के माध्यम से भेजा कुल विफल अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (129552, 11071, 24, 'फोन के माध्यम से भेजा कुल विफल अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (129553, 11072, 24, 'के लिए कुल');
INSERT INTO `lang_definitions` VALUES (129554, 11073, 24, 'के लिए कुल');
INSERT INTO `lang_definitions` VALUES (129555, 11074, 24, 'श्रेणी के लिए कुल');
INSERT INTO `lang_definitions` VALUES (129556, 11075, 24, 'कुल निष्क्रिय अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (129557, 11078, 24, 'कुल नई अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (129558, 11079, 24, 'नियुक्तियों की कुल संख्या');
INSERT INTO `lang_definitions` VALUES (129559, 11081, 24, 'टीकाकरण की कुल संख्या');
INSERT INTO `lang_definitions` VALUES (129560, 11082, 24, 'मामलों की कुल संख्या');
INSERT INTO `lang_definitions` VALUES (129561, 11084, 24, 'रोगियों की कुल संख्या');
INSERT INTO `lang_definitions` VALUES (129562, 11087, 24, 'कुल रोगी शेष राशि');
INSERT INTO `lang_definitions` VALUES (129563, 11089, 24, 'कुल रोगी');
INSERT INTO `lang_definitions` VALUES (129564, 11093, 24, 'कुल रिकॉर्ड');
INSERT INTO `lang_definitions` VALUES (129565, 11095, 24, 'कुल SRH और परिवार नियोजन');
INSERT INTO `lang_definitions` VALUES (129566, 11096, 24, 'ईमेल के माध्यम से भेजा कुल सफल अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (129567, 11097, 24, 'फोन के माध्यम से भेजा कुल सफल अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (129568, 11100, 24, 'कुल अपरिवर्तित अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (129569, 11101, 24, 'प्रक्रिया भेजने के बाद नहीं भेजे गए कुल अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (129570, 11102, 24, 'अद्यतन करने के बाद नहीं भेजे गए कुल अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (129571, 11103, 24, 'प्रक्रिया भेजने से पहले नहीं भेजे गए कुल अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (129572, 11104, 24, 'अद्यतन करने से पहले नहीं भेजे गए कुल अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (129573, 11105, 24, 'कुल अद्यतन अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (129574, 11106, 24, 'कुलयोग');
INSERT INTO `lang_definitions` VALUES (129575, 11107, 24, 'के लिए कुलयोग');
INSERT INTO `lang_definitions` VALUES (129576, 11108, 24, 'के लिए कुलयोग');
INSERT INTO `lang_definitions` VALUES (129577, 11123, 24, 'को {{रेंज}}');
INSERT INTO `lang_definitions` VALUES (129578, 11135, 24, 'प्रशिक्षण के प्रकार');
INSERT INTO `lang_definitions` VALUES (129579, 11136, 24, 'लेन - देन');
INSERT INTO `lang_definitions` VALUES (129580, 11137, 24, 'लेन - देन');
INSERT INTO `lang_definitions` VALUES (129581, 11138, 24, 'लेन - देन');
INSERT INTO `lang_definitions` VALUES (129582, 11139, 24, 'लेन - देन विफल रहा है गंतव्य स्थल में अपर्याप्त मात्रा.');
INSERT INTO `lang_definitions` VALUES (129583, 11140, 24, 'लेन - देन विफल रहा है, मात्रा शून्य से भी कम है');
INSERT INTO `lang_definitions` VALUES (129584, 11142, 24, 'लेन - देन के प्रकार');
INSERT INTO `lang_definitions` VALUES (129585, 11143, 24, 'लेनदेन');
INSERT INTO `lang_definitions` VALUES (129586, 11144, 24, 'लेनदेन');
INSERT INTO `lang_definitions` VALUES (129587, 11145, 24, 'लेनदेन (वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (129588, 11151, 24, 'लेनदेन / सिफ़ारिश');
INSERT INTO `lang_definitions` VALUES (129589, 11153, 24, 'स्थानांतरण');
INSERT INTO `lang_definitions` VALUES (129590, 11154, 24, 'स्थानांतरण की तारीख');
INSERT INTO `lang_definitions` VALUES (129591, 11155, 24, 'स्थानांतरण स्रोत बहुत में, अपर्याप्त मात्रा में विफल रहा है');
INSERT INTO `lang_definitions` VALUES (129592, 11156, 24, 'स्थानांतरण सारांश');
INSERT INTO `lang_definitions` VALUES (129593, 11157, 24, 'पर स्थानांतरण');
INSERT INTO `lang_definitions` VALUES (129594, 11160, 24, 'स्थानांतरण');
INSERT INTO `lang_definitions` VALUES (129595, 11162, 24, 'देखभाल के स्थानांतरण / स्थानांतरण?');
INSERT INTO `lang_definitions` VALUES (129596, 11163, 24, 'प्रवेश नियंत्रण समूह अनुवाद');
INSERT INTO `lang_definitions` VALUES (129597, 11164, 24, 'नियुक्ति श्रेणियाँ अनुवाद');
INSERT INTO `lang_definitions` VALUES (129598, 11165, 24, 'दस्तावेज़ श्रेणियाँ अनुवाद');
INSERT INTO `lang_definitions` VALUES (129599, 11166, 24, 'लेआउट अनुवाद करें');
INSERT INTO `lang_definitions` VALUES (129600, 11167, 24, 'सूचियां अनुवाद करें');
INSERT INTO `lang_definitions` VALUES (129601, 11168, 24, 'रोगी नोट टाइटल अनुवाद करें');
INSERT INTO `lang_definitions` VALUES (129602, 11169, 24, 'यह अनुवाद करें');
INSERT INTO `lang_definitions` VALUES (129603, 11170, 24, 'अनुवाद');
INSERT INTO `lang_definitions` VALUES (129604, 11171, 24, 'अनुवाद');
INSERT INTO `lang_definitions` VALUES (129605, 11172, 24, 'संचारित करें');
INSERT INTO `lang_definitions` VALUES (129606, 11175, 24, 'संचारित विफल रहा');
INSERT INTO `lang_definitions` VALUES (129607, 11177, 24, 'चयनित आदेश संचारित करें');
INSERT INTO `lang_definitions` VALUES (129608, 11179, 24, 'आघात');
INSERT INTO `lang_definitions` VALUES (129609, 11180, 24, 'उपचार');
INSERT INTO `lang_definitions` VALUES (129610, 11182, 24, 'उपचार लक्ष्य');
INSERT INTO `lang_definitions` VALUES (129611, 11183, 24, 'उपचार योजना');
INSERT INTO `lang_definitions` VALUES (129612, 11184, 24, 'उपचार योजना');
INSERT INTO `lang_definitions` VALUES (129613, 11185, 24, 'प्राप्त उपचार');
INSERT INTO `lang_definitions` VALUES (129614, 11186, 24, 'उपचार:');
INSERT INTO `lang_definitions` VALUES (129615, 11187, 24, 'उपचार:');
INSERT INTO `lang_definitions` VALUES (129616, 11189, 24, 'रुझान');
INSERT INTO `lang_definitions` VALUES (129617, 11190, 24, 'trftime ($ month_format, mktime (0, 0, 0, $ , 1, 2000))); $ month_value');
INSERT INTO `lang_definitions` VALUES (129618, 11195, 24, 'ट्रिगर बिंदु / कम्पार्टमेंट सिंड्रोम / DOMS / ऐंठन');
INSERT INTO `lang_definitions` VALUES (129619, 11196, 24, 'Trimalleolar');
INSERT INTO `lang_definitions` VALUES (129620, 11199, 24, 'ट्रंक और उदर');
INSERT INTO `lang_definitions` VALUES (129621, 11203, 24, 'मौजूदा उपयोगकर्ता नाम के साथ उपयोगकर्ता बनाने की कोशिश कर रहा है!');
INSERT INTO `lang_definitions` VALUES (129622, 11205, 24, 'चम्मच');
INSERT INTO `lang_definitions` VALUES (129623, 11207, 24, 'TTS');
INSERT INTO `lang_definitions` VALUES (129624, 11208, 24, 'क्षय रोग');
INSERT INTO `lang_definitions` VALUES (129625, 11209, 24, 'मंगल');
INSERT INTO `lang_definitions` VALUES (129626, 11210, 24, 'मंगल और amp');
INSERT INTO `lang_definitions` VALUES (129627, 11211, 24, 'मंगलवार');
INSERT INTO `lang_definitions` VALUES (129628, 11212, 24, 'अर्बुद');
INSERT INTO `lang_definitions` VALUES (129629, 11213, 24, 'तुर्की');
INSERT INTO `lang_definitions` VALUES (129630, 11222, 24, 'प्रतिदिन दो बार');
INSERT INTO `lang_definitions` VALUES (129631, 11226, 24, 'कान की झिल्ली');
INSERT INTO `lang_definitions` VALUES (129632, 11227, 24, 'टाइप');
INSERT INTO `lang_definitions` VALUES (129633, 11231, 24, '(रिक्त स्थानों सहित) टाइप ID या नाम. 3 अक्षर न्यूनतम.');
INSERT INTO `lang_definitions` VALUES (129634, 11238, 24, 'रोगी खोज परिणामों के लिए प्रदर्शित स्तंभों के प्रकार');
INSERT INTO `lang_definitions` VALUES (129635, 11239, 24, 'प्रकटीकरण के प्रकार');
INSERT INTO `lang_definitions` VALUES (129636, 11240, 24, 'घटना के प्रकार');
INSERT INTO `lang_definitions` VALUES (129637, 11242, 24, 'स्क्रीन लेआउट के प्रकार');
INSERT INTO `lang_definitions` VALUES (129638, 11243, 24, 'यहाँ रोगी पहचानकर्ता टाइप या स्कैन करें');
INSERT INTO `lang_definitions` VALUES (129639, 11248, 24, 'यहाँ अपना संदेश टाइप करें');
INSERT INTO `lang_definitions` VALUES (129640, 11249, 24, 'आदेश और परिणाम के प्रकार');
INSERT INTO `lang_definitions` VALUES (129641, 11270, 24, 'कैलगरी विश्वविद्यालय खेल चिकित्सा केन्द्र द्वारा प्रदान की UCSMC कोड');
INSERT INTO `lang_definitions` VALUES (129642, 11271, 24, 'यूक्रेनी देश');
INSERT INTO `lang_definitions` VALUES (129643, 11272, 24, 'ulcerations');
INSERT INTO `lang_definitions` VALUES (129644, 11273, 24, 'सव्रण बृहदांत्रशोथ');
INSERT INTO `lang_definitions` VALUES (129645, 11274, 24, 'अल्सर:');
INSERT INTO `lang_definitions` VALUES (129646, 11278, 24, 'बनाने में असमर्थ');
INSERT INTO `lang_definitions` VALUES (129647, 11288, 24, 'Ar_activity में यह भुगतान का मिलान करने में असमर्थ');
INSERT INTO `lang_definitions` VALUES (129648, 11291, 24, 'अप्रयोजित');
INSERT INTO `lang_definitions` VALUES (129649, 11292, 24, 'सौंपा नहीं');
INSERT INTO `lang_definitions` VALUES (129650, 11293, 24, 'अनाधिकृत');
INSERT INTO `lang_definitions` VALUES (129651, 11294, 24, 'EPrescription को अनाधिकृत पहुँच');
INSERT INTO `lang_definitions` VALUES (129652, 11295, 24, 'अनाधिकृत उपयोग.');
INSERT INTO `lang_definitions` VALUES (129653, 11296, 24, 'unbilled');
INSERT INTO `lang_definitions` VALUES (129654, 11297, 24, 'केवल unbilled');
INSERT INTO `lang_definitions` VALUES (129655, 11300, 24, 'जीभ के नीचे');
INSERT INTO `lang_definitions` VALUES (129656, 11303, 24, 'वजन');
INSERT INTO `lang_definitions` VALUES (129657, 11304, 24, 'undiagnosed');
INSERT INTO `lang_definitions` VALUES (129658, 11305, 24, 'अवितरित');
INSERT INTO `lang_definitions` VALUES (129659, 11306, 24, 'अवितरित');
INSERT INTO `lang_definitions` VALUES (129660, 11307, 24, 'अवितरित है');
INSERT INTO `lang_definitions` VALUES (129661, 11309, 24, 'चेकआउट पूर्ववत्');
INSERT INTO `lang_definitions` VALUES (129662, 11311, 24, 'अद्वितीय ग्राहक');
INSERT INTO `lang_definitions` VALUES (129663, 11312, 24, 'इस प्रकार के लिए अद्वितीय मानव पठनीय पहचानकर्ता');
INSERT INTO `lang_definitions` VALUES (129664, 11315, 24, 'अद्वितीय नए ग्राहक');
INSERT INTO `lang_definitions` VALUES (129665, 11316, 24, 'इस प्रकार के लिए अद्वितीय संख्यात्मक पहचानकर्ता');
INSERT INTO `lang_definitions` VALUES (129666, 11317, 24, 'अद्वितीय देखे मरीज');
INSERT INTO `lang_definitions` VALUES (129667, 11318, 24, 'अद्वितीय देखे मरीजों की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (129668, 11319, 24, 'अद्वितीय सपा');
INSERT INTO `lang_definitions` VALUES (129669, 11320, 24, 'इकाई');
INSERT INTO `lang_definitions` VALUES (129670, 11321, 24, 'इकाइयां');
INSERT INTO `lang_definitions` VALUES (129671, 11322, 24, 'इकाइयां');
INSERT INTO `lang_definitions` VALUES (129672, 11323, 24, 'परिणाम मूल्य को लागू इकाइयां');
INSERT INTO `lang_definitions` VALUES (129673, 11324, 24, 'दौरा प्रपत्र के लिए इकाइयां');
INSERT INTO `lang_definitions` VALUES (129674, 11325, 24, 'इकाइयां एक संख्या होनी चाहिए');
INSERT INTO `lang_definitions` VALUES (129675, 11326, 24, 'इकाइयां परिभाषित नहीं');
INSERT INTO `lang_definitions` VALUES (129676, 11327, 24, 'इकाइयां / L');
INSERT INTO `lang_definitions` VALUES (129677, 11328, 24, 'अज्ञात');
INSERT INTO `lang_definitions` VALUES (129678, 11331, 24, 'अज्ञात अगर कभी धूम्रपान किया है');
INSERT INTO `lang_definitions` VALUES (129679, 11332, 24, 'अज्ञात या N / A');
INSERT INTO `lang_definitions` VALUES (129680, 11335, 24, 'अज्ञात उपयोगकर्ता ID:');
INSERT INTO `lang_definitions` VALUES (129681, 11344, 24, 'रोगी की लिंक रद्द');
INSERT INTO `lang_definitions` VALUES (129682, 11345, 24, 'बेनाम बीमा कंपनी');
INSERT INTO `lang_definitions` VALUES (129683, 11346, 24, 'अपंजीकृत');
INSERT INTO `lang_definitions` VALUES (129684, 11349, 24, 'सभी का चयन रद्द');
INSERT INTO `lang_definitions` VALUES (129685, 11350, 24, 'अचयनित');
INSERT INTO `lang_definitions` VALUES (129686, 11351, 24, 'अनिर्दिष्ट');
INSERT INTO `lang_definitions` VALUES (129687, 11352, 24, 'असंरचित');
INSERT INTO `lang_definitions` VALUES (129688, 11354, 24, 'असमर्थित डेटाबेस लोड फ़ाइल');
INSERT INTO `lang_definitions` VALUES (129689, 11356, 24, 'जब तक');
INSERT INTO `lang_definitions` VALUES (129690, 11359, 24, 'अकाल दाखिल');
INSERT INTO `lang_definitions` VALUES (129691, 11360, 24, 'अप्रयुक्त');
INSERT INTO `lang_definitions` VALUES (129692, 11361, 24, 'uor');
INSERT INTO `lang_definitions` VALUES (129693, 11362, 24, 'तक है');
INSERT INTO `lang_definitions` VALUES (129694, 11364, 24, 'आगामी नियुक्तियां');
INSERT INTO `lang_definitions` VALUES (129695, 11365, 24, 'आगामी घटनाएँ');
INSERT INTO `lang_definitions` VALUES (129696, 11366, 24, 'अद्यतन');
INSERT INTO `lang_definitions` VALUES (129697, 11367, 24, 'अद्यतन');
INSERT INTO `lang_definitions` VALUES (129698, 11368, 24, 'अद्यतन सक्रिय');
INSERT INTO `lang_definitions` VALUES (129699, 11371, 24, 'अद्यतन फ़ाइलें');
INSERT INTO `lang_definitions` VALUES (129700, 11372, 24, 'अद्यतन जानकारी');
INSERT INTO `lang_definitions` VALUES (129701, 11374, 24, 'अद्यतन सूची');
INSERT INTO `lang_definitions` VALUES (129702, 11377, 24, 'अद्यतन प्रदाता संख्या');
INSERT INTO `lang_definitions` VALUES (129703, 11378, 24, 'अद्यतन आइटम चयनित');
INSERT INTO `lang_definitions` VALUES (129704, 11383, 24, 'फ़ाइल में निम्न चर अद्यतन करें');
INSERT INTO `lang_definitions` VALUES (129705, 11384, 24, 'अद्यतन उपयोगकर्ता जानकारी');
INSERT INTO `lang_definitions` VALUES (129706, 11390, 24, 'अद्यतन हो रहा जनसांख्यिकी अधिकृत नहीं है.');
INSERT INTO `lang_definitions` VALUES (129707, 11391, 24, 'वैश्विक विन्यास डिफ़ॉल्ट्स अद्यतन हो रहा है');
INSERT INTO `lang_definitions` VALUES (129708, 11392, 24, 'संस्करण संकेतक अद्यतन हो रहा है');
INSERT INTO `lang_definitions` VALUES (129709, 11393, 24, 'उन्नयन');
INSERT INTO `lang_definitions` VALUES (129710, 11394, 24, 'उन्नयन करें');
INSERT INTO `lang_definitions` VALUES (129711, 11396, 24, 'डेटाबेस उन्नयन');
INSERT INTO `lang_definitions` VALUES (129712, 11398, 24, 'प्रक्रिया, कार्य और तालिकाएँ शामिल करने के लिए OpenEMR डेटाबेस उन्नयन करें. de-identification की प्रक्रिया के लिए आवश्यक है.');
INSERT INTO `lang_definitions` VALUES (129713, 11399, 24, 'उन्नयन जारी रहेगा');
INSERT INTO `lang_definitions` VALUES (129714, 11400, 24, 'UPIN');
INSERT INTO `lang_definitions` VALUES (129715, 11401, 24, 'अपलोड');
INSERT INTO `lang_definitions` VALUES (129716, 11406, 24, 'विन्यास डाटा अपलोड');
INSERT INTO `lang_definitions` VALUES (129717, 11407, 24, 'दस्तावेज़ अपलोड करें');
INSERT INTO `lang_definitions` VALUES (129718, 11408, 24, 'अपलोड असफल!');
INSERT INTO `lang_definitions` VALUES (129719, 11410, 24, 'के लिए तस्वीर अपलोड करें');
INSERT INTO `lang_definitions` VALUES (129720, 11411, 24, 'आयात फ़ाइल अपलोड करें:');
INSERT INTO `lang_definitions` VALUES (129721, 11414, 24, 'अपलोड सफलतापूर्वक संसाधित');
INSERT INTO `lang_definitions` VALUES (129722, 11415, 24, 'अपलोड की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (129723, 11418, 24, 'इस फाइल को अपलोड करें:');
INSERT INTO `lang_definitions` VALUES (129724, 11421, 24, 'Upon clicking an invoice number the \"manual posting window\" appears. Here you can change the due date and notes for the invoice, select the party for whom you are posting, and select the insurances for which all expected paymants have been received. Most importantly, for each billing code for which an amount was charged, you can enter payment and adjustment information.');
INSERT INTO `lang_definitions` VALUES (129725, 11426, 24, 'Upon searching you are presented with a list of invoices. You may click on one of the invoice numbers to open a second window, which is the data entry page for manual posting. You may also click on a patient name if you want to enter a note that the front office staff will see when the patient checks in, and you may select invoices to appear on patient statements and print those statements.');
INSERT INTO `lang_definitions` VALUES (129726, 11429, 24, 'ऊपरी बांह');
INSERT INTO `lang_definitions` VALUES (129727, 11432, 24, 'अत्यावश्यकता');
INSERT INTO `lang_definitions` VALUES (129728, 11436, 24, 'मूत्र');
INSERT INTO `lang_definitions` VALUES (129729, 11437, 24, 'मूत्र ड्रिब्लिंग');
INSERT INTO `lang_definitions` VALUES (129730, 11438, 24, 'मूत्र फ्रीक्वेंसी');
INSERT INTO `lang_definitions` VALUES (129731, 11439, 24, 'मूत्र संदेह');
INSERT INTO `lang_definitions` VALUES (129732, 11440, 24, 'मूत्र Microalbumin');
INSERT INTO `lang_definitions` VALUES (129733, 11441, 24, 'मूत्र धारा');
INSERT INTO `lang_definitions` VALUES (129734, 11442, 24, 'मूत्र तात्कालिकता');
INSERT INTO `lang_definitions` VALUES (129735, 11443, 24, 'URL');
INSERT INTO `lang_definitions` VALUES (129736, 11445, 24, 'OpenEMR समर्थन के लिए URL.');
INSERT INTO `lang_definitions` VALUES (129737, 11447, 24, 'फोन प्रवेश द्वार के लिए URL. Maviq द्वारा प्रदान की स्वचालित VOIP सेवा. अधिक जानकारी के लिए http://signup.maviq.com जाएँ.');
INSERT INTO `lang_definitions` VALUES (129738, 11451, 24, 'प्रयोग');
INSERT INTO `lang_definitions` VALUES (129739, 11453, 24, 'उपयोग संकेतक (ISA15)');
INSERT INTO `lang_definitions` VALUES (129740, 11456, 24, 'बस उस स्तंभ पर सॉर्ट करने के लिए एक क्षेत्र में अकेले% का प्रयोग करें');
INSERT INTO `lang_definitions` VALUES (129741, 11457, 24, '24 घंटे समय स्वरूप का उपयोग करें?');
INSERT INTO `lang_definitions` VALUES (129742, 11465, 24, 'Use certified EHR technology to identify patient-specific education resources and provide those resources to the patient if appropriate.');
INSERT INTO `lang_definitions` VALUES (129743, 11466, 24, 'शुल्क पैनल का प्रयोग करें');
INSERT INTO `lang_definitions` VALUES (129744, 11467, 24, 'Use CPOE for medication orders directly entered by any licensed healthcare professional who can enter orders into the medical record per state, local and professional guidelines.');
INSERT INTO `lang_definitions` VALUES (129745, 11474, 24, 'पसंदीदा टीकाकरण सूची का प्रयोग करें');
INSERT INTO `lang_definitions` VALUES (129746, 11476, 24, 'तिथि श्रेणी का उपयोग करें');
INSERT INTO `lang_definitions` VALUES (129747, 11477, 24, 'डिफ़ॉल्ट का उपयोग करें');
INSERT INTO `lang_definitions` VALUES (129748, 11478, 24, 'निकालने के लिए हटाएँ विकल्प का प्रयोग करें.');
INSERT INTO `lang_definitions` VALUES (129749, 11479, 24, 'अंतरराष्ट्रीय तिथि शैली का उपयोग करें?');
INSERT INTO `lang_definitions` VALUES (129750, 11483, 24, 'स्रोत फ़ाइल नाम का उपयोग करें');
INSERT INTO `lang_definitions` VALUES (129751, 11486, 24, 'एक खरीद या हस्तांतरण के लिए नीचे दिए गए फ़ील्ड का उपयोग करें.');
INSERT INTO `lang_definitions` VALUES (129752, 11490, 24, 'केवल नव स्थापित साइटों के साथ इस सुविधा का उपयोग करें,');
INSERT INTO `lang_definitions` VALUES (129753, 11493, 24, 'विषयों का प्रयोग करें?');
INSERT INTO `lang_definitions` VALUES (129754, 11496, 24, 'उपयोगकर्ता');
INSERT INTO `lang_definitions` VALUES (129755, 11498, 24, 'उपयोगकर्ता / समूह');
INSERT INTO `lang_definitions` VALUES (129756, 11499, 24, 'उपयोगकर्ता का प्रशासन');
INSERT INTO `lang_definitions` VALUES (129757, 11500, 24, 'उपयोगकर्ता और सुविधा प्रशासन');
INSERT INTO `lang_definitions` VALUES (129758, 11501, 24, 'उपयोगकर्ता और समूह प्रशासन');
INSERT INTO `lang_definitions` VALUES (129759, 11503, 24, 'उपयोगकर्ता प्रमाणपत्र प्रमाणीकरण निष्क्रिय किया जाता है');
INSERT INTO `lang_definitions` VALUES (129760, 11507, 24, 'उपयोगकर्ता परिभाषित');
INSERT INTO `lang_definitions` VALUES (129761, 11508, 24, 'उपयोगकर्ता निर्धारित क्षेत्र 11');
INSERT INTO `lang_definitions` VALUES (129762, 11509, 24, 'उपयोगकर्ता निर्धारित क्षेत्र 12');
INSERT INTO `lang_definitions` VALUES (129763, 11510, 24, 'उपयोगकर्ता निर्धारित फील्ड');
INSERT INTO `lang_definitions` VALUES (129764, 11511, 24, 'उपयोगकर्ता निर्धारित सूची 1');
INSERT INTO `lang_definitions` VALUES (129765, 11512, 24, 'उपयोगकर्ता निर्धारित सूची 2');
INSERT INTO `lang_definitions` VALUES (129766, 11513, 24, 'उपयोगकर्ता निर्धारित सूची 3');
INSERT INTO `lang_definitions` VALUES (129767, 11514, 24, 'उपयोगकर्ता निर्धारित सूची 4');
INSERT INTO `lang_definitions` VALUES (129768, 11515, 24, 'उपयोगकर्ता निर्धारित सूची 5');
INSERT INTO `lang_definitions` VALUES (129769, 11516, 24, 'उपयोगकर्ता निर्धारित सूची 6');
INSERT INTO `lang_definitions` VALUES (129770, 11517, 24, 'उपयोगकर्ता परिभाषित सूची 7');
INSERT INTO `lang_definitions` VALUES (129771, 11518, 24, 'उपयोगकर्ता परिभाषित पाठ 1');
INSERT INTO `lang_definitions` VALUES (129772, 11519, 24, 'उपयोगकर्ता परिभाषित पाठ 2');
INSERT INTO `lang_definitions` VALUES (129773, 11520, 24, 'उपयोगकर्ता परिभाषित पाठ 3');
INSERT INTO `lang_definitions` VALUES (129774, 11521, 24, 'उपयोगकर्ता परिभाषित पाठ 4');
INSERT INTO `lang_definitions` VALUES (129775, 11522, 24, 'उपयोगकर्ता परिभाषित पाठ 5');
INSERT INTO `lang_definitions` VALUES (129776, 11523, 24, 'उपयोगकर्ता परिभाषित पाठ 6');
INSERT INTO `lang_definitions` VALUES (129777, 11524, 24, 'उपयोगकर्ता परिभाषित पाठ 7');
INSERT INTO `lang_definitions` VALUES (129778, 11525, 24, 'उपयोगकर्ता परिभाषित पाठ 8');
INSERT INTO `lang_definitions` VALUES (129779, 11526, 24, 'उपयोगकर्ता का प्रथम नाम');
INSERT INTO `lang_definitions` VALUES (129780, 11530, 24, 'उपयोगकर्ता लॉगऑन (अगर 03 से ऊपर है, बाकी रिक्त स्थान छोड़ दे) (ISA02)');
INSERT INTO `lang_definitions` VALUES (129781, 11531, 24, 'उपयोगकर्ता लॉगऑन आवश्यक संकेतक (ISA01 ~ 00 या 03 का उपयोग करें)');
INSERT INTO `lang_definitions` VALUES (129782, 11532, 24, 'उपयोगकर्ता पुस्तिका');
INSERT INTO `lang_definitions` VALUES (129783, 11533, 24, 'उपयोगकर्ता सदस्यता');
INSERT INTO `lang_definitions` VALUES (129784, 11534, 24, 'उपयोगकर्ता नाम');
INSERT INTO `lang_definitions` VALUES (129785, 11536, 24, 'उपयोगकर्ता नाम या होस्ट नाम खाली नहीं हो सकता');
INSERT INTO `lang_definitions` VALUES (129786, 11537, 24, 'उपयोगकर्ता या होस्ट नाम');
INSERT INTO `lang_definitions` VALUES (129787, 11539, 24, 'उपयोगकर्ता का पासवर्ड (ISA04 ~ अगर 01 से ऊपर है, बाकी रिक्त स्थान दें)');
INSERT INTO `lang_definitions` VALUES (129788, 11540, 24, 'उपयोगकर्ता पासवर्ड संकेतक आवश्यक (ISA03 ~ 00 या 01 का उपयोग करें)');
INSERT INTO `lang_definitions` VALUES (129789, 11541, 24, 'उपयोगकर्ता सेटिंग्स');
INSERT INTO `lang_definitions` VALUES (129790, 11543, 24, 'उपयोगकर्ता विशिष्ट सेटिंग');
INSERT INTO `lang_definitions` VALUES (129791, 11544, 24, 'उपयोगकर्ता  \'नया पासवर्ड');
INSERT INTO `lang_definitions` VALUES (129792, 11553, 24, 'उपयोगकर्ता नाम');
INSERT INTO `lang_definitions` VALUES (129793, 11555, 24, 'फोन प्रवेश द्वार के लिए उपयोगकर्ता नाम. Maviq द्वारा प्रदान की स्वचालित VOIP सेवा. अधिक जानकारी के लिए http://signup.maviq.com जाएँ.');
INSERT INTO `lang_definitions` VALUES (129794, 11556, 24, 'SMS गेटवे के लिए उपयोगकर्ता नाम');
INSERT INTO `lang_definitions` VALUES (129795, 11557, 24, 'SMS गेटवे के लिए उपयोगकर्ता नाम.');
INSERT INTO `lang_definitions` VALUES (129796, 11558, 24, 'CouchDB से कनेक्ट करने के लिए उपयोगकर्ता नाम');
INSERT INTO `lang_definitions` VALUES (129797, 11559, 24, 'उपयोगकर्ता नाम:');
INSERT INTO `lang_definitions` VALUES (129798, 11560, 24, 'उपयोगकर्ता');
INSERT INTO `lang_definitions` VALUES (129799, 11564, 24, 'उपयोगकर्ता / समूह / लॉग्स प्रशासन');
INSERT INTO `lang_definitions` VALUES (129800, 11574, 24, 'PHP <a href=\"http://php.net/strftime\"> strftime </ a> प्रारूप का उपयोग करता है');
INSERT INTO `lang_definitions` VALUES (129801, 11583, 24, 'UTIs');
INSERT INTO `lang_definitions` VALUES (129802, 11588, 24, 'छुट्टी');
INSERT INTO `lang_definitions` VALUES (129803, 11589, 24, 'छुट्टी');
INSERT INTO `lang_definitions` VALUES (129804, 11590, 24, 'टीका');
INSERT INTO `lang_definitions` VALUES (129805, 11593, 24, 'योनि अंगूठी');
INSERT INTO `lang_definitions` VALUES (129806, 11594, 24, 'बिदाई का');
INSERT INTO `lang_definitions` VALUES (129807, 11596, 24, 'वैधीकृत करें');
INSERT INTO `lang_definitions` VALUES (129808, 11609, 24, 'मूल्य');
INSERT INTO `lang_definitions` VALUES (129809, 11610, 24, 'मूल्य 1');
INSERT INTO `lang_definitions` VALUES (129810, 11611, 24, 'मूल्य 2');
INSERT INTO `lang_definitions` VALUES (129811, 11613, 24, 'मूल्य एक संख्या होना चाहिए');
INSERT INTO `lang_definitions` VALUES (129812, 11614, 24, 'चर1');
INSERT INTO `lang_definitions` VALUES (129813, 11615, 24, 'चर2');
INSERT INTO `lang_definitions` VALUES (129814, 11616, 24, 'de-identification उन्नयन स्क्रिप्ट को चलाने के लिए एक चर');
INSERT INTO `lang_definitions` VALUES (129815, 11619, 24, 'वेरिसेला 1');
INSERT INTO `lang_definitions` VALUES (129816, 11620, 24, 'वेरिसेला 2');
INSERT INTO `lang_definitions` VALUES (129817, 11621, 24, 'वैरिकाज़ नसों के');
INSERT INTO `lang_definitions` VALUES (129818, 11623, 24, 'संवहनी हालत');
INSERT INTO `lang_definitions` VALUES (129819, 11624, 24, 'संवहनी चोट');
INSERT INTO `lang_definitions` VALUES (129820, 11625, 24, 'संवहनी सर्जरी');
INSERT INTO `lang_definitions` VALUES (129821, 11630, 24, 'विक्रेता');
INSERT INTO `lang_definitions` VALUES (129822, 11634, 24, 'संस्करण');
INSERT INTO `lang_definitions` VALUES (129823, 11653, 24, 'सिर का चक्कर');
INSERT INTO `lang_definitions` VALUES (129824, 11656, 24, 'दिग्गजों का प्रशासन');
INSERT INTO `lang_definitions` VALUES (129825, 11657, 24, 'दिग्गजों का प्रशासन की योजना');
INSERT INTO `lang_definitions` VALUES (129826, 11659, 24, 'VFC');
INSERT INTO `lang_definitions` VALUES (129827, 11666, 24, 'Vietnamese');
INSERT INTO `lang_definitions` VALUES (129828, 11667, 24, 'देखें');
INSERT INTO `lang_definitions` VALUES (129829, 11668, 24, 'देखें');
INSERT INTO `lang_definitions` VALUES (129830, 11670, 24, 'देखें एलर्जी');
INSERT INTO `lang_definitions` VALUES (129831, 11671, 24, 'एक x12-835 काल फ़ाइल देखें');
INSERT INTO `lang_definitions` VALUES (129832, 11672, 24, 'देखें बैच दावा x12 पाठ');
INSERT INTO `lang_definitions` VALUES (129833, 11676, 24, 'व्यापक रोगी की रिपोर्ट देखें');
INSERT INTO `lang_definitions` VALUES (129834, 11677, 24, 'CSV टेबल देखें');
INSERT INTO `lang_definitions` VALUES (129835, 11679, 24, 'देखें दस्तावेज');
INSERT INTO `lang_definitions` VALUES (129836, 11681, 24, 'देखें मुठभेड़');
INSERT INTO `lang_definitions` VALUES (129837, 11682, 24, 'देखें युग x12 पाठ');
INSERT INTO `lang_definitions` VALUES (129838, 11683, 24, 'एक पॉप अप विंडो में घटनाएँ देखें?');
INSERT INTO `lang_definitions` VALUES (129839, 11684, 24, 'सुविधा उपयोगकर्ता विशिष्ट जानकारी देखें');
INSERT INTO `lang_definitions` VALUES (129840, 11686, 24, 'स्थानीय x12 फ़ाइल देखें');
INSERT INTO `lang_definitions` VALUES (129841, 11687, 24, 'देखें लॉग');
INSERT INTO `lang_definitions` VALUES (129842, 11690, 24, 'देखें पृष्ठ 1');
INSERT INTO `lang_definitions` VALUES (129843, 11691, 24, 'देखें पृष्ठ 2');
INSERT INTO `lang_definitions` VALUES (129844, 11692, 24, 'अतीत और भविष्य अनुस्मारक देखें');
INSERT INTO `lang_definitions` VALUES (129845, 11695, 24, 'रोगी देखें');
INSERT INTO `lang_definitions` VALUES (129846, 11700, 24, 'संबंधित मुठभेड़ देखें');
INSERT INTO `lang_definitions` VALUES (129847, 11701, 24, 'रिपोर्ट देखें');
INSERT INTO `lang_definitions` VALUES (129848, 11702, 24, 'README फाइल देखें');
INSERT INTO `lang_definitions` VALUES (129849, 11712, 24, 'देखें / संपादन करें एलर्जी');
INSERT INTO `lang_definitions` VALUES (129850, 11713, 24, 'देखें / संपादन करें समस्या');
INSERT INTO `lang_definitions` VALUES (129851, 11714, 24, 'देखें / छापें');
INSERT INTO `lang_definitions` VALUES (129852, 11717, 24, 'देखें:');
INSERT INTO `lang_definitions` VALUES (129853, 11718, 24, 'VISA');
INSERT INTO `lang_definitions` VALUES (129854, 11719, 24, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (129855, 11721, 24, 'आंत का नुकसान / आघात / सर्जरी');
INSERT INTO `lang_definitions` VALUES (129856, 11728, 24, 'श्रेणी पर जाएँ:');
INSERT INTO `lang_definitions` VALUES (129857, 11729, 24, 'तिथि पर जाएँ');
INSERT INTO `lang_definitions` VALUES (129858, 11730, 24, 'तिथि पर जाएँ');
INSERT INTO `lang_definitions` VALUES (129859, 11734, 24, 'प्रपत्र पर जाएँ');
INSERT INTO `lang_definitions` VALUES (129860, 11736, 24, 'इतिहास पर जाएँ');
INSERT INTO `lang_definitions` VALUES (129861, 11745, 24, 'दौरा');
INSERT INTO `lang_definitions` VALUES (129862, 11746, 24, 'से दौरा');
INSERT INTO `lang_definitions` VALUES (129863, 11751, 24, 'महत्वपूर्ण लक्षण');
INSERT INTO `lang_definitions` VALUES (129864, 11752, 24, 'नब्ज');
INSERT INTO `lang_definitions` VALUES (129865, 11753, 24, 'नब्ज (मैट्रिक)');
INSERT INTO `lang_definitions` VALUES (129866, 11754, 24, 'नब्ज विकल्प प्रपत्र');
INSERT INTO `lang_definitions` VALUES (129867, 11756, 24, 'आवाज़');
INSERT INTO `lang_definitions` VALUES (129868, 11758, 24, 'आवाज भेजा गया');
INSERT INTO `lang_definitions` VALUES (129869, 11763, 24, 'उल्टी');
INSERT INTO `lang_definitions` VALUES (129870, 11767, 24, 'W');
INSERT INTO `lang_definitions` VALUES (129871, 11770, 24, 'कमर परिधि');
INSERT INTO `lang_definitions` VALUES (129872, 11771, 24, 'कमर परिधि');
INSERT INTO `lang_definitions` VALUES (129873, 11772, 24, 'प्रतीक्षा');
INSERT INTO `lang_definitions` VALUES (129874, 11773, 24, 'चल आना');
INSERT INTO `lang_definitions` VALUES (129875, 11776, 24, 'वॉल्ट Pennington');
INSERT INTO `lang_definitions` VALUES (129876, 11778, 24, 'गोदाम');
INSERT INTO `lang_definitions` VALUES (129877, 11780, 24, 'गोदाम अधिकतम, अगर लागू नहीं तो 0');
INSERT INTO `lang_definitions` VALUES (129878, 11781, 24, 'गोदाम न्यूनतम, अगर लागू नहीं तो 0');
INSERT INTO `lang_definitions` VALUES (129879, 11782, 24, 'गोदामों के');
INSERT INTO `lang_definitions` VALUES (129880, 11783, 24, 'गर्म');
INSERT INTO `lang_definitions` VALUES (129881, 11786, 24, 'चेतावनी');
INSERT INTO `lang_definitions` VALUES (129882, 11787, 24, 'चेतावनी');
INSERT INTO `lang_definitions` VALUES (129883, 11789, 24, 'चेतावनी, चेक नंबर पहले से ही डेटाबेस में मौजूद');
INSERT INTO `lang_definitions` VALUES (129884, 11790, 24, 'चेतावनी, रोगी की समस्याओं की सूची में अस्पष्ट कोड है!');
INSERT INTO `lang_definitions` VALUES (129885, 11791, 24, 'चेतावनी: एक दौरा पहले से ही आज इस रोगी के लिए बनाया गया था!');
INSERT INTO `lang_definitions` VALUES (129886, 11794, 24, 'चेतावनी: यदि आप 2012/10/31 स्पेनिश संस्करण का उपयोग कर रहे हैं, तो आप contrib / snomed में रखने से पहले एक बार इसे खोल दे (क्योंकि यह जारी की फाइल  \"डबल ज़िपित \" , है).');
INSERT INTO `lang_definitions` VALUES (129887, 11796, 24, 'चेतावनी: रोगी ID अनन्य नहीं है!');
INSERT INTO `lang_definitions` VALUES (129888, 11799, 24, 'चेतावनी: यह अपलोड की गई फ़ाइल के डेटा से, विन्यास जानकारी को अधिलेखित कर देगा!');
INSERT INTO `lang_definitions` VALUES (129889, 11801, 24, 'चेतावनी');
INSERT INTO `lang_definitions` VALUES (129890, 11803, 24, 'पहले से ही अपलोड किया गया था');
INSERT INTO `lang_definitions` VALUES (129891, 11804, 24, 'नहीं मिला');
INSERT INTO `lang_definitions` VALUES (129892, 11805, 24, 'हम शेष राशि के शीघ्र भुगतान की सराहना करते हैं');
INSERT INTO `lang_definitions` VALUES (129893, 11809, 24, 'हमने हमारे आउट पेशेंट मनोरोग क्लिनिक में मूल्यांकन और उपचार के लिए आपके उपरोक्त रोगी को देखा है. इस सिफ़ारिश के लिए धन्यवाद.');
INSERT INTO `lang_definitions` VALUES (129894, 11821, 24, 'कमजोरी');
INSERT INTO `lang_definitions` VALUES (129895, 11826, 24, 'वेब खोज');
INSERT INTO `lang_definitions` VALUES (129896, 11827, 24, 'वेबसाइट');
INSERT INTO `lang_definitions` VALUES (129897, 11828, 24, 'ऑनसाइट रोगी पोर्टल के लिए वेबसाइट लिंक.');
INSERT INTO `lang_definitions` VALUES (129898, 11832, 24, 'बुधवार');
INSERT INTO `lang_definitions` VALUES (129899, 11833, 24, 'बुधवार');
INSERT INTO `lang_definitions` VALUES (129900, 11834, 24, 'सप्ताह');
INSERT INTO `lang_definitions` VALUES (129901, 11835, 24, 'सप्ताह');
INSERT INTO `lang_definitions` VALUES (129902, 11836, 24, 'सप्ताह दृश्य');
INSERT INTO `lang_definitions` VALUES (129903, 11837, 24, 'सप्ताह (s)');
INSERT INTO `lang_definitions` VALUES (129904, 11838, 24, 'साप्ताहिक एक्सपोज़र');
INSERT INTO `lang_definitions` VALUES (129905, 11839, 24, 'सप्ताह');
INSERT INTO `lang_definitions` VALUES (129906, 11840, 24, 'सप्ताह');
INSERT INTO `lang_definitions` VALUES (129907, 11841, 24, 'वज़न');
INSERT INTO `lang_definitions` VALUES (129908, 11842, 24, 'बच्चों और किशोरों के लिए वजन आकलन और परामर्श');
INSERT INTO `lang_definitions` VALUES (129909, 11843, 24, 'बच्चों और किशोरों के लिए वजन आकलन और परामर्श (CQM)');
INSERT INTO `lang_definitions` VALUES (129910, 11844, 24, 'वजन में परिवर्तन');
INSERT INTO `lang_definitions` VALUES (129911, 11845, 24, 'वजन घटाने के');
INSERT INTO `lang_definitions` VALUES (129912, 11846, 24, 'वजन घटाने के क्लिनिक');
INSERT INTO `lang_definitions` VALUES (129913, 11847, 24, 'आपका स्वागत है');
INSERT INTO `lang_definitions` VALUES (129914, 11862, 24, 'क्या गिना जा रहा है?');
INSERT INTO `lang_definitions` VALUES (129915, 11864, 24, 'घरघराहट');
INSERT INTO `lang_definitions` VALUES (129916, 11865, 24, 'घरघराहट');
INSERT INTO `lang_definitions` VALUES (129917, 11866, 24, 'घरघराहट:');
INSERT INTO `lang_definitions` VALUES (129918, 11882, 24, 'कहां संबंधित, स्कैन किया हुआ या कागज दस्तावेज़ पाया जा सकता है?');
INSERT INTO `lang_definitions` VALUES (129919, 11884, 24, 'क्या बीमित है');
INSERT INTO `lang_definitions` VALUES (129920, 11890, 24, 'चोट');
INSERT INTO `lang_definitions` VALUES (129921, 11891, 24, 'सफ़ेद');
INSERT INTO `lang_definitions` VALUES (129922, 11894, 24, 'कौन');
INSERT INTO `lang_definitions` VALUES (129923, 11895, 24, 'किसने जवाब दिया?');
INSERT INTO `lang_definitions` VALUES (129924, 11897, 24, 'विधवा');
INSERT INTO `lang_definitions` VALUES (129925, 11898, 24, 'चौडाई');
INSERT INTO `lang_definitions` VALUES (129926, 11900, 24, 'बाएं नेविगेशन फ्रेम की पिक्सल में चौड़ाई.');
INSERT INTO `lang_definitions` VALUES (129927, 11907, 24, 'चयनित के साथ:');
INSERT INTO `lang_definitions` VALUES (129928, 11908, 24, 'पुराने नाम के साथ');
INSERT INTO `lang_definitions` VALUES (129929, 11911, 24, 'किसके साथ हम संदेश छोड़ सकते हैं?');
INSERT INTO `lang_definitions` VALUES (129930, 11912, 24, 'पर रोक लगाई');
INSERT INTO `lang_definitions` VALUES (129931, 11913, 24, 'घंटे के भीतर');
INSERT INTO `lang_definitions` VALUES (129932, 11914, 24, 'घंटे के भीतर:');
INSERT INTO `lang_definitions` VALUES (129933, 11915, 24, 'मिनट के भीतर');
INSERT INTO `lang_definitions` VALUES (129934, 11916, 24, 'मिनट के भीतर:');
INSERT INTO `lang_definitions` VALUES (129935, 11917, 24, 'सुविधा के बिना');
INSERT INTO `lang_definitions` VALUES (129936, 11918, 24, 'प्रदाता के बिना');
INSERT INTO `lang_definitions` VALUES (129937, 11919, 24, 'अद्यतन के बिना');
INSERT INTO `lang_definitions` VALUES (129938, 11920, 24, 'गवाह');
INSERT INTO `lang_definitions` VALUES (129939, 11921, 24, 'सप्ताह');
INSERT INTO `lang_definitions` VALUES (129940, 11922, 24, 'WNL');
INSERT INTO `lang_definitions` VALUES (129941, 11924, 24, 'महिला');
INSERT INTO `lang_definitions` VALUES (129942, 11925, 24, 'केवल महिलाएं');
INSERT INTO `lang_definitions` VALUES (129943, 11927, 24, 'काम');
INSERT INTO `lang_definitions` VALUES (129944, 11928, 24, 'काम टिप्पणी');
INSERT INTO `lang_definitions` VALUES (129945, 11929, 24, 'कार्यालय का फोन');
INSERT INTO `lang_definitions` VALUES (129946, 11930, 24, 'कार्यालय का फ़ोन नंबर');
INSERT INTO `lang_definitions` VALUES (129947, 11931, 24, 'संबंधित काम?');
INSERT INTO `lang_definitions` VALUES (129948, 11932, 24, 'कार्य / शिक्षा / शौक');
INSERT INTO `lang_definitions` VALUES (129949, 11933, 24, 'काम / स्कूल टिप्पणी');
INSERT INTO `lang_definitions` VALUES (129950, 11934, 24, 'कार्यदिवस');
INSERT INTO `lang_definitions` VALUES (129951, 11935, 24, 'कार्यकर्ता मुआवजा');
INSERT INTO `lang_definitions` VALUES (129952, 11936, 24, 'श्रमिक मुआवजा स्वास्थ्य योजना');
INSERT INTO `lang_definitions` VALUES (129953, 11937, 24, 'नियोक्ता समूह स्वास्थ्य योजना के साथ कार्य वृद्ध लाभार्थी या पति');
INSERT INTO `lang_definitions` VALUES (129954, 11940, 24, 'काम चल रहा... इसमें एक मिनट लग सकता हैं.');
INSERT INTO `lang_definitions` VALUES (129955, 11941, 24, 'बदतर');
INSERT INTO `lang_definitions` VALUES (129956, 11942, 24, 'आप ग्लोबल खाते पर शेष राशि लागू करना चाहेंगे?');
INSERT INTO `lang_definitions` VALUES (129957, 11943, 24, 'आप मंजूर के रूप में उन्हें चिह्नित करना चाहते हैं.');
INSERT INTO `lang_definitions` VALUES (129958, 11944, 24, 'आप आवंटित करना चाहेंगे?');
INSERT INTO `lang_definitions` VALUES (129959, 11945, 24, 'आप इस मरीज के लिए वितरण रद्द करना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (129960, 11946, 24, 'आप भुगतान वितरण हटाना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (129961, 11947, 24, 'आप भुगतान हटाना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (129962, 11948, 24, 'आप भुगतान संशोधित और समाप्त करना चाहेंगे?');
INSERT INTO `lang_definitions` VALUES (129963, 11949, 24, 'आप भुगतान रूपांतरित करना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (129964, 11950, 24, 'आप भुगतान पोस्ट और समाप्त करना चाहेंगे?');
INSERT INTO `lang_definitions` VALUES (129965, 11951, 24, 'आप भुगतान पोस्ट करना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (129966, 11952, 24, 'आप सहेजना चाहेंगे?');
INSERT INTO `lang_definitions` VALUES (129967, 11953, 24, 'कलाई');
INSERT INTO `lang_definitions` VALUES (129968, 11954, 24, 'कलाई और हाथ');
INSERT INTO `lang_definitions` VALUES (129969, 11955, 24, 'कलाई की समस्याएं');
INSERT INTO `lang_definitions` VALUES (129970, 11956, 24, 'लिखना');
INSERT INTO `lang_definitions` VALUES (129971, 11958, 24, 'लिख डालना');
INSERT INTO `lang_definitions` VALUES (129972, 11960, 24, 'wsome');
INSERT INTO `lang_definitions` VALUES (129973, 11963, 24, 'WT');
INSERT INTO `lang_definitions` VALUES (129974, 11966, 24, 'X रद्द');
INSERT INTO `lang_definitions` VALUES (129975, 11967, 24, 'X रद्द');
INSERT INTO `lang_definitions` VALUES (129976, 11969, 24, 'एक्स - रे');
INSERT INTO `lang_definitions` VALUES (129977, 11970, 24, 'एक्सरे व्याख्या:');
INSERT INTO `lang_definitions` VALUES (129978, 11971, 24, 'एक्स रे व्याख्या:');
INSERT INTO `lang_definitions` VALUES (129979, 11975, 24, 'X12 केवल: रिप्लेसमेंट दावा');
INSERT INTO `lang_definitions` VALUES (129980, 11978, 24, 'X 12 साथी');
INSERT INTO `lang_definitions` VALUES (129981, 11979, 24, 'X12 पार्टनर्स');
INSERT INTO `lang_definitions` VALUES (129982, 11981, 24, 'x12 पाठ');
INSERT INTO `lang_definitions` VALUES (129983, 11987, 24, 'Y');
INSERT INTO `lang_definitions` VALUES (129984, 11988, 24, 'साल');
INSERT INTO `lang_definitions` VALUES (129985, 11989, 24, 'साल');
INSERT INTO `lang_definitions` VALUES (129986, 11990, 24, 'साल दृश्य');
INSERT INTO `lang_definitions` VALUES (129987, 11991, 24, 'साल');
INSERT INTO `lang_definitions` VALUES (129988, 11992, 24, 'साल');
INSERT INTO `lang_definitions` VALUES (129989, 11994, 24, 'साल या महीने');
INSERT INTO `lang_definitions` VALUES (129990, 11995, 24, 'साल, महीने और दिन');
INSERT INTO `lang_definitions` VALUES (129991, 11996, 24, 'हां');
INSERT INTO `lang_definitions` VALUES (129992, 11997, 24, 'हाँ');
INSERT INTO `lang_definitions` VALUES (129993, 11998, 24, 'हां');
INSERT INTO `lang_definitions` VALUES (129994, 11999, 24, 'हाँ!');
INSERT INTO `lang_definitions` VALUES (129995, 12000, 24, 'हाँ, हटाएँ और प्रवेश');
INSERT INTO `lang_definitions` VALUES (129996, 12002, 24, 'हां / नहीं');
INSERT INTO `lang_definitions` VALUES (129997, 12003, 24, 'हाँ:');
INSERT INTO `lang_definitions` VALUES (129998, 12004, 24, 'Yiddish');
INSERT INTO `lang_definitions` VALUES (129999, 12008, 24, 'आप स्थायी रूप से मौजूदा टेम्पलेट को बदलने वाले हैं. क्या आप जारी रखना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (130000, 12011, 24, 'आप ग्रेस लॉगइन अवधि में हैं. पहले अपने पासवर्ड बदलें');
INSERT INTO `lang_definitions` VALUES (130001, 12012, 24, 'आपको इस घटना को हटाने की अनुमति नहीं है');
INSERT INTO `lang_definitions` VALUES (130002, 12013, 24, 'आपको इस घटना को संपादित करने की अनुमति नहीं है');
INSERT INTO `lang_definitions` VALUES (130003, 12014, 24, 'आप इस बात के लिए अधिकृत नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (130004, 12016, 24, 'आप इस दस्ते का उपयोग करने के लिए अधिकृत नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (130005, 12017, 24, 'आप मुद्दों को जोड़ने/संपादन करने के लिए अधिकृत नहीं हैं');
INSERT INTO `lang_definitions` VALUES (130006, 12018, 24, 'आप अपॉइंटमेंट शेड्यूल करने के लिए अधिकृत नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (130007, 12019, 24, 'आप इस मुठभेड़ को देखने के लिए अधिकृत नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (130008, 12021, 24, 'आप एक पुराने मुठभेड़ के खिलाफ पोस्ट कर रहे हैं?');
INSERT INTO `lang_definitions` VALUES (130009, 12038, 24, 'आप सीधे इस फ़ंक्शन का उपयोग नहीं कर सकते हैं.');
INSERT INTO `lang_definitions` VALUES (130010, 12050, 24, 'आप सीधे इस पेज का उपयोग नहीं कर सकते हैं.');
INSERT INTO `lang_definitions` VALUES (130011, 12051, 24, 'आप एक श्रेणी के लिए एक खाली मूल्य नहीं जोड़ सकते हैं!');
INSERT INTO `lang_definitions` VALUES (130012, 12052, 24, 'आप एक उपश्रेणी के लिए एक खाली मूल्य नहीं जोड़ सकते हैं!');
INSERT INTO `lang_definitions` VALUES (130013, 12053, 24, 'आप एक आइटम के लिए एक खाली मूल्य नहीं जोड़ सकते हैं!');
INSERT INTO `lang_definitions` VALUES (130014, 12055, 24, 'आप पूरा मूल्य YES के साथ एक भविष्य की तिथि प्रवेश नहीं कर सकते हैं.');
INSERT INTO `lang_definitions` VALUES (130015, 12057, 24, 'आपने किसी भी कार्रवाई का चयन नहीं किया हैं.');
INSERT INTO `lang_definitions` VALUES (130016, 12058, 24, 'आपको यह नोट देखने/संपादन करने के लिए अनुमति नहीं है');
INSERT INTO `lang_definitions` VALUES (130017, 12061, 24, 'आपने अवरोधित सामग्री में परिवर्तन करने का प्रयास किया है. आप ऐसा करना चाहते हैं, तो ताला निकालें. , अनलॉक लाइन निकालने के लिए, \'/ * ताला :: * /\'');
INSERT INTO `lang_definitions` VALUES (130018, 12063, 24, 'आप सफलतापूर्वक लॉग आउट कर चुके.');
INSERT INTO `lang_definitions` VALUES (130019, 12074, 24, 'आप Txt फ़ाइलें अपलोड कर सकते हैं.');
INSERT INTO `lang_definitions` VALUES (130020, 12075, 24, 'आप वैकल्पिक रूप से एक फ़ाइल से HL7 परिणाम अपलोड कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (130021, 12076, 24, 'आप नया रोगी मुठभेड़ फार्म में डिफ़ॉल्ट शिकायत के रूप में यहाँ पाठ डाल सकता है.');
INSERT INTO `lang_definitions` VALUES (130022, 12085, 24, 'आपको दस्तावेज़ एन्क्रिप्ट करने के लिए एक पास वाक्यांश दर्ज करना आवश्यक है');
INSERT INTO `lang_definitions` VALUES (130023, 12087, 24, 'आप उपयोगकर्ता की पासवर्ड को बदलने के लिए अपनी खुद की पासवर्ड दर्ज करें. पासवर्ड अपरिवर्तित रखने के लिए खाली छोड़ दें.');
INSERT INTO `lang_definitions` VALUES (130024, 12090, 24, 'आपको पहले एक रोगी को जोड़ना होगा या चयन करना होगा');
INSERT INTO `lang_definitions` VALUES (130025, 12091, 24, 'आपको पहले एक मुठभेड़ बनाना होगा या चयन करना होगा');
INSERT INTO `lang_definitions` VALUES (130026, 12092, 24, 'आपको एक यात्रा श्रेणी का चयन करना होगा');
INSERT INTO `lang_definitions` VALUES (130027, 12093, 24, 'आपको एक यात्रा श्रेणी का चयन करना होगा.');
INSERT INTO `lang_definitions` VALUES (130028, 12094, 24, 'आपको जारी रखने के लिए कुछ क्षेत्रों का चयन करना होगा.');
INSERT INTO `lang_definitions` VALUES (130029, 12104, 24, 'You should be running this test if this claim appeared to generate successfully but the actual claim file does not contain any data or only an unfinished portion of the amount of data it is supposed to contain. It is obvious with HCFA claims because they are human readable, with X12 claims it is a more difficult process to determine if the claim is properly complete.');
INSERT INTO `lang_definitions` VALUES (130030, 12106, 24, 'आपको कम से कम एक संदर्भ का चयन करना चाहिए');
INSERT INTO `lang_definitions` VALUES (130031, 12107, 24, 'आपको कम से कम एक प्रदाता का चयन करना चाहिए');
INSERT INTO `lang_definitions` VALUES (130032, 12122, 24, 'आपकी समाप्ति तिथि अमान्य है');
INSERT INTO `lang_definitions` VALUES (130033, 12123, 24, 'आपकी घटना हटा दी गई है.');
INSERT INTO `lang_definitions` VALUES (130034, 12124, 24, 'आपकी घटना को संशोधित किया गया है.');
INSERT INTO `lang_definitions` VALUES (130035, 12125, 24, 'आपकी घटना प्रस्तुत कि गई है.');
INSERT INTO `lang_definitions` VALUES (130036, 12127, 24, 'आपकी फ़ाइल बहुत बड़ी है');
INSERT INTO `lang_definitions` VALUES (130037, 12132, 24, 'आपकी सूची का नाम नामकरण आवश्यकताओं को पूरा करने के लिए बदल दिया गया है.');
INSERT INTO `lang_definitions` VALUES (130038, 12133, 24, 'आपका संदेश प्रति वितरण के लिए प्रस्तुत किया गया था');
INSERT INTO `lang_definitions` VALUES (130039, 12134, 24, 'इस श्रेणी, प्रक्रिया या परिणाम के लिए आपका नाम');
INSERT INTO `lang_definitions` VALUES (130040, 12139, 24, 'आपका पासवर्ड');
INSERT INTO `lang_definitions` VALUES (130041, 12140, 24, 'आपका पासवर्ड समाप्त हो गया है. अपना पासवर्ड बदल दें.');
INSERT INTO `lang_definitions` VALUES (130042, 12141, 24, 'आपका पासवर्ड को समाप्त हो रहा है');
INSERT INTO `lang_definitions` VALUES (130043, 12143, 24, 'आपका पासवर्ड आज समाप्त हो रहा है. अपना पासवर्ड बदल दें.');
INSERT INTO `lang_definitions` VALUES (130044, 12146, 24, 'आपका PostCalendar विन्यास, डिफ़ॉल्ट का उपयोग करने के लिए रीसेट किया गया है.');
INSERT INTO `lang_definitions` VALUES (130045, 12147, 24, 'आपका PostCalendar विन्यास अद्यतन किया गया है.');
INSERT INTO `lang_definitions` VALUES (130046, 12148, 24, 'आपकी दोहराई जाने वाली आवृत्ति एक पूर्णांक होनी चाहिए.');
INSERT INTO `lang_definitions` VALUES (130047, 12149, 24, 'आपकी दोहराई जाने वाली आवृत्ति कम से कम 1 होनी चाहिए.');
INSERT INTO `lang_definitions` VALUES (130048, 12151, 24, 'आपकी आरंभ तिथि अपने अंत तिथि से अधिक है');
INSERT INTO `lang_definitions` VALUES (130049, 12152, 24, 'आपकी आरंभ तिथि अमान्य है');
INSERT INTO `lang_definitions` VALUES (130050, 12153, 24, 'आपका सबमिशन असफल रहा.');
INSERT INTO `lang_definitions` VALUES (130051, 12156, 24, 'yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (130052, 12157, 24, 'YYYY-MM-DD');
INSERT INTO `lang_definitions` VALUES (130053, 12158, 24, 'इस दस्तावेज़ के साथ जुड़े YYYY-MM-DD तिथि');
INSERT INTO `lang_definitions` VALUES (130054, 12159, 24, 'yyyy-mm-dd तिथि नष्ट');
INSERT INTO `lang_definitions` VALUES (130055, 12160, 24, 'yyyy-mm-dd जन्म तिथि');
INSERT INTO `lang_definitions` VALUES (130056, 12161, 24, 'yyyy-mm-dd जन्म तिथि');
INSERT INTO `lang_definitions` VALUES (130057, 12162, 24, 'yyyy-mm-dd समय समाप्ति की तिथि');
INSERT INTO `lang_definitions` VALUES (130058, 12163, 24, 'yyyy-mm-dd शुरुआत या अस्पताल में भर्ती की तिथि');
INSERT INTO `lang_definitions` VALUES (130059, 12164, 24, 'yyyy-mm-dd शुरुआत, सर्जरी या दवा की शुरुआत की तिथि');
INSERT INTO `lang_definitions` VALUES (130060, 12165, 24, 'yyyy-mm-dd खरीद या स्थानांतरण की तिथि');
INSERT INTO `lang_definitions` VALUES (130061, 12166, 24, 'yyyy-mm-dd वसूली या दवा की समाप्ति की तिथि');
INSERT INTO `lang_definitions` VALUES (130062, 12167, 24, 'yyyy-mm-dd खेलने के लिए वापसी की तिथि');
INSERT INTO `lang_definitions` VALUES (130063, 12168, 24, 'yyyy-mm-dd सेवा की तिथि');
INSERT INTO `lang_definitions` VALUES (130064, 12169, 24, 'yyyy-mm-dd इस पत्र की तिथि');
INSERT INTO `lang_definitions` VALUES (130065, 12170, 24, 'yyyy-mm-dd खेलने के लिए लौट आए तिथि');
INSERT INTO `lang_definitions` VALUES (130066, 12171, 24, 'yyyy-mm-dd दस्तावेज़ तिथि');
INSERT INTO `lang_definitions` VALUES (130067, 12173, 24, 'yyyy-mm-dd घटना तिथि या शुरू होने की तिथि');
INSERT INTO `lang_definitions` VALUES (130068, 12178, 24, 'yyyy-mm-dd hh:mm:ss');
INSERT INTO `lang_definitions` VALUES (130069, 12179, 24, 'yyyy-mm-dd घंटे (24): मिनट');
INSERT INTO `lang_definitions` VALUES (130070, 12180, 24, 'yyyy-mm-dd इस घटना की अंतिम तिथि');
INSERT INTO `lang_definitions` VALUES (130071, 12186, 24, 'शून्य');
INSERT INTO `lang_definitions` VALUES (130072, 12188, 24, 'पिन');
INSERT INTO `lang_definitions` VALUES (130073, 12189, 24, 'पिन कोड');
INSERT INTO `lang_definitions` VALUES (130074, 12191, 24, 'ज़िप / देश:');
INSERT INTO `lang_definitions` VALUES (130075, 12196, 24, 'पिन');
INSERT INTO `lang_definitions` VALUES (130076, 12197, 24, 'लेकिन था');
INSERT INTO `lang_definitions` VALUES (130077, 12198, 24, 'नहीं पहुंचा जा सका.');
INSERT INTO `lang_definitions` VALUES (130078, 12199, 24, 'आप वास्तव में मिटाना चाहते हैं');
INSERT INTO `lang_definitions` VALUES (130079, 12200, 24, 'दवा');
INSERT INTO `lang_definitions` VALUES (130080, 12201, 24, 'नहीं भेजा ईमेल');
INSERT INTO `lang_definitions` VALUES (130081, 12202, 24, 'से');
INSERT INTO `lang_definitions` VALUES (130082, 12203, 24, 'बनाया गया है.');
INSERT INTO `lang_definitions` VALUES (130083, 12204, 24, 'फिर से खोल दिया गया है.');
INSERT INTO `lang_definitions` VALUES (130084, 12205, 24, 'इतिहास');
INSERT INTO `lang_definitions` VALUES (130085, 12206, 24, 'एक नंबर नहीं है');
INSERT INTO `lang_definitions` VALUES (130086, 12207, 24, 'फिर से बिलिंग के लिए तैयार है.');
INSERT INTO `lang_definitions` VALUES (130087, 12208, 24, 'LLL:');
INSERT INTO `lang_definitions` VALUES (130088, 12209, 24, 'Lot');
INSERT INTO `lang_definitions` VALUES (130089, 12210, 24, 'Medicaid मूल संदर्भ संख्या');
INSERT INTO `lang_definitions` VALUES (130090, 12211, 24, 'मिनट');
INSERT INTO `lang_definitions` VALUES (130091, 12212, 24, 'नहीं मिला!');
INSERT INTO `lang_definitions` VALUES (130092, 12213, 24, 'Pecularities in many browsers may mean that the output below enters your screen in sudden jerks and that there are long pauses of several seconds where it appears as though things may have crashed. That is not the case, you will eventually see output coming out line by line. There may be sequential numbers appearing below, this is to indicate that even though nothing else may be displaying there is activity going on. These numbers will be interspersed with the content of the billing and that is normal.');
INSERT INTO `lang_definitions` VALUES (130093, 12214, 24, 'पर्चे की अपनी सीमा तक पहुँच गया है');
INSERT INTO `lang_definitions` VALUES (130094, 12215, 24, 'जब तक');
INSERT INTO `lang_definitions` VALUES (130095, 12216, 24, 'अद्यतन विफल रहा है, डेटाबेस में नहीं ?');
INSERT INTO `lang_definitions` VALUES (130096, 12217, 24, 'केवल बिल भेजा के रूप में चिह्नित किया गया था.');
INSERT INTO `lang_definitions` VALUES (130097, 12218, 24, 'सफलतापूर्वक पंक्तिबद्ध किया गया था.');
INSERT INTO `lang_definitions` VALUES (130098, 12219, 24, '! चला गया w / o दौरा');
INSERT INTO `lang_definitions` VALUES (130099, 12220, 24, 'कोड के लिए');
INSERT INTO `lang_definitions` VALUES (130100, 12221, 24, 'PostCalendar सेटिंग्स में जाँच की है!');
INSERT INTO `lang_definitions` VALUES (130101, 12222, 24, '# Ins / Fin मुद्दा');
INSERT INTO `lang_definitions` VALUES (130102, 12223, 24, '# गोलियों की');
INSERT INTO `lang_definitions` VALUES (130103, 12224, 24, '$');
INSERT INTO `lang_definitions` VALUES (130104, 12225, 24, '$ कोडिंग किया');
INSERT INTO `lang_definitions` VALUES (130105, 12226, 24, '$ लेबल (YYYY-MM-DD):');
INSERT INTO `lang_definitions` VALUES (130106, 12227, 24, '%');
INSERT INTO `lang_definitions` VALUES (130107, 12228, 24, '% रद्द <24');
INSERT INTO `lang_definitions` VALUES (130108, 12229, 24, '% रद्द <24');
INSERT INTO `lang_definitions` VALUES (130109, 12230, 24, 'मौजूद होना चाहिए, लेकिन नहीं .');
INSERT INTO `lang_definitions` VALUES (130110, 12231, 24, '(% किसी स्ट्रिंग से मेल खाता है, _ कोई भी वर्ण से मेल खाता है)');
INSERT INTO `lang_definitions` VALUES (130111, 12232, 24, '([Ctrl] + एकाधिक प्राप्तकर्ताओं को चुनने के लिए क्लिक करें)');
INSERT INTO `lang_definitions` VALUES (130112, 12233, 24, '(वापस)');
INSERT INTO `lang_definitions` VALUES (130113, 12234, 24, '(संपादित करने के लिए क्लिक करें)');
INSERT INTO `lang_definitions` VALUES (130114, 12235, 24, '(ईमेल वितरण तत्काल है, जबकि ऑटोमेटेड VOIP आगे की प्रक्रिया के लिए सेवा प्रदाता को भेजा है)');
INSERT INTO `lang_definitions` VALUES (130115, 12236, 24, '(अधिक)');
INSERT INTO `lang_definitions` VALUES (130116, 12237, 24, '(नए रोगी)');
INSERT INTO `lang_definitions` VALUES (130117, 12238, 24, '(नोट्स और प्राधिकरण)');
INSERT INTO `lang_definitions` VALUES (130118, 12239, 24, '(रोगी नोट्स)');
INSERT INTO `lang_definitions` VALUES (130119, 12240, 24, '(इनमें से किसी एक का चयन करें, या अपना खुद का शीर्षक लिखें)');
INSERT INTO `lang_definitions` VALUES (130120, 12241, 24, '(शिफ्ट)क्लिक करें या खींचें, मान बदलने के लिए');
INSERT INTO `lang_definitions` VALUES (130121, 12242, 24, '* अनुस्मारक किया');
INSERT INTO `lang_definitions` VALUES (130122, 12243, 24, '** कृपया सर्जरी को समस्याएँ में स्थानांतरित करना!');
INSERT INTO `lang_definitions` VALUES (130123, 12244, 24, '* आवश्यक');
INSERT INTO `lang_definitions` VALUES (130124, 12245, 24, '+ चार्ट निकाला');
INSERT INTO `lang_definitions` VALUES (130125, 12249, 24, '- कोई नहीं');
INSERT INTO `lang_definitions` VALUES (130126, 12251, 24, '- सभी -');
INSERT INTO `lang_definitions` VALUES (130127, 12252, 24, '- रोल का चयन करें -');
INSERT INTO `lang_definitions` VALUES (130128, 12253, 24, '.');
INSERT INTO `lang_definitions` VALUES (130129, 12254, 24, '0');
INSERT INTO `lang_definitions` VALUES (130130, 12255, 24, '0-10');
INSERT INTO `lang_definitions` VALUES (130131, 12256, 24, '0-24');
INSERT INTO `lang_definitions` VALUES (130132, 12259, 24, '1');
INSERT INTO `lang_definitions` VALUES (130133, 12260, 24, '1 = उत्तर अमेरिका. अन्य देश कोड की सूची के लिए http://www.wtng.info/ देखें.');
INSERT INTO `lang_definitions` VALUES (130134, 12261, 24, 'अब से 1 दिन');
INSERT INTO `lang_definitions` VALUES (130135, 12262, 24, 'अब से 1 महीने');
INSERT INTO `lang_definitions` VALUES (130136, 12263, 24, 'अब से 1 सप्ताह');
INSERT INTO `lang_definitions` VALUES (130137, 12264, 24, 'अब से 1 वर्ष');
INSERT INTO `lang_definitions` VALUES (130138, 12265, 24, '1.आराम करें. 2. दो दिनों के लिए बर्फ. 3 संपीड़न, जगह में ड्रेसिंग छोड़ दें. जब तक पैर सुन्न या पीला रंग विकसित नहीं हो 4 पैर उठाओ');
INSERT INTO `lang_definitions` VALUES (130139, 12266, 24, '11-14');
INSERT INTO `lang_definitions` VALUES (130140, 12267, 24, '12 घंटे');
INSERT INTO `lang_definitions` VALUES (130141, 12268, 24, '15-19');
INSERT INTO `lang_definitions` VALUES (130142, 12272, 24, '2');
INSERT INTO `lang_definitions` VALUES (130143, 12273, 24, 'अब से 2 दिन');
INSERT INTO `lang_definitions` VALUES (130144, 12274, 24, 'अब से 2 महीने');
INSERT INTO `lang_definitions` VALUES (130145, 12275, 24, 'अब से 2 सप्ताह');
INSERT INTO `lang_definitions` VALUES (130146, 12276, 24, 'अब से 2 साल');
INSERT INTO `lang_definitions` VALUES (130147, 12277, 24, '2-20 साल');
INSERT INTO `lang_definitions` VALUES (130148, 12278, 24, '20-24');
INSERT INTO `lang_definitions` VALUES (130149, 12287, 24, '2111-13');
INSERT INTO `lang_definitions` VALUES (130150, 12288, 24, '24 घंटा');
INSERT INTO `lang_definitions` VALUES (130151, 12289, 24, '25 +');
INSERT INTO `lang_definitions` VALUES (130152, 12290, 24, '25-29');
INSERT INTO `lang_definitions` VALUES (130153, 12293, 24, '2');
INSERT INTO `lang_definitions` VALUES (130154, 12296, 24, 'अब से 3 दिन');
INSERT INTO `lang_definitions` VALUES (130155, 12297, 24, '3 महीने');
INSERT INTO `lang_definitions` VALUES (130156, 12298, 24, 'अब से 3 महीने');
INSERT INTO `lang_definitions` VALUES (130157, 12299, 24, 'प्रतिदिन 3 बार');
INSERT INTO `lang_definitions` VALUES (130158, 12300, 24, 'अब से 3 सप्ताह');
INSERT INTO `lang_definitions` VALUES (130159, 12301, 24, '30-34');
INSERT INTO `lang_definitions` VALUES (130160, 12302, 24, '35-39');
INSERT INTO `lang_definitions` VALUES (130161, 12304, 24, '3 री');
INSERT INTO `lang_definitions` VALUES (130162, 12307, 24, 'अब से 4 दिन');
INSERT INTO `lang_definitions` VALUES (130163, 12308, 24, '4 महीने');
INSERT INTO `lang_definitions` VALUES (130164, 12309, 24, 'अब से 4 महीने');
INSERT INTO `lang_definitions` VALUES (130165, 12310, 24, 'प्रतिदिन 4 बार');
INSERT INTO `lang_definitions` VALUES (130166, 12311, 24, 'अब से 4 सप्ताह');
INSERT INTO `lang_definitions` VALUES (130167, 12312, 24, '40-44');
INSERT INTO `lang_definitions` VALUES (130168, 12313, 24, '45 +');
INSERT INTO `lang_definitions` VALUES (130169, 12314, 24, '465.9, URI');
INSERT INTO `lang_definitions` VALUES (130170, 12315, 24, '466.0, ब्रोंकाइटिस, तीव्र NOS');
INSERT INTO `lang_definitions` VALUES (130171, 12316, 24, '486.0, निमोनिया, तीव्र');
INSERT INTO `lang_definitions` VALUES (130172, 12317, 24, '491.21, COPD तेज़ हो जाना');
INSERT INTO `lang_definitions` VALUES (130173, 12318, 24, '491.8, ब्रोंकाइटिस, जीर्ण');
INSERT INTO `lang_definitions` VALUES (130174, 12319, 24, '493.92, अस्थमा, तीव्र exac.');
INSERT INTO `lang_definitions` VALUES (130175, 12320, 24, '496.0, COPD');
INSERT INTO `lang_definitions` VALUES (130176, 12323, 24, '4');
INSERT INTO `lang_definitions` VALUES (130177, 12326, 24, 'अब से 5 दिन');
INSERT INTO `lang_definitions` VALUES (130178, 12327, 24, 'अब से 5 महीने');
INSERT INTO `lang_definitions` VALUES (130179, 12328, 24, 'अब से 5 सप्ताह');
INSERT INTO `lang_definitions` VALUES (130180, 12329, 24, '519.7, श्वसनी - आकर्ष');
INSERT INTO `lang_definitions` VALUES (130181, 12331, 24, '5');
INSERT INTO `lang_definitions` VALUES (130182, 12333, 24, 'अब से 6 दिन');
INSERT INTO `lang_definitions` VALUES (130183, 12334, 24, '6 महीने');
INSERT INTO `lang_definitions` VALUES (130184, 12335, 24, 'अब से 6 महीने');
INSERT INTO `lang_definitions` VALUES (130185, 12336, 24, 'अब से 6 सप्ताह');
INSERT INTO `lang_definitions` VALUES (130186, 12337, 24, '6');
INSERT INTO `lang_definitions` VALUES (130187, 12339, 24, 'अब से 7 महीने');
INSERT INTO `lang_definitions` VALUES (130188, 12340, 24, 'अब से 8 महीने');
INSERT INTO `lang_definitions` VALUES (130189, 12342, 24, '824.0 फ्रैक्चर, औसत दर्जे का malleolus, बंद हुआ');
INSERT INTO `lang_definitions` VALUES (130190, 12343, 24, '824.2 फ्रैक्चर, पार्श्व malleolus, बंद');
INSERT INTO `lang_definitions` VALUES (130191, 12344, 24, '824.6 फ्रैक्चर, Trimalleolar, बंद');
INSERT INTO `lang_definitions` VALUES (130192, 12345, 24, '825.32 फ्रैक्चर, Navicular की (टखने)');
INSERT INTO `lang_definitions` VALUES (130193, 12346, 24, '825.35 फ्रैक्चर, पांचवें (5) metatarsal के आधार');
INSERT INTO `lang_definitions` VALUES (130194, 12347, 24, '845.00 टखने की मोच NOS');
INSERT INTO `lang_definitions` VALUES (130195, 12348, 24, '845.01 मोच औसत दर्जे (तिकोना) Lig.');
INSERT INTO `lang_definitions` VALUES (130196, 12349, 24, '845.02 मोच, केलकेनीयल अनुजंघास्थिक');
INSERT INTO `lang_definitions` VALUES (130197, 12350, 24, 'अब से 9 माह');
INSERT INTO `lang_definitions` VALUES (130198, 12351, 24, '99212 स्थापित - सीधी');
INSERT INTO `lang_definitions` VALUES (130199, 12352, 24, '99,213 स्थापित - कम जटिलता');
INSERT INTO `lang_definitions` VALUES (130200, 12353, 24, '<चिकित्सक कक्ष में');
INSERT INTO `lang_definitions` VALUES (130201, 12357, 24, '> बाहर गए');
INSERT INTO `lang_definitions` VALUES (130202, 12359, 24, '?');
INSERT INTO `lang_definitions` VALUES (130203, 12361, 24, '? नहीं आया');
INSERT INTO `lang_definitions` VALUES (130204, 12362, 24, '@ पहुंचे');
INSERT INTO `lang_definitions` VALUES (130205, 12364, 24, '[दृश्य बदलें]');
INSERT INTO `lang_definitions` VALUES (130206, 12365, 24, '[पिछले मुठभेड़ की तिथि]');
INSERT INTO `lang_definitions` VALUES (130207, 12366, 24, '[अंतिम मुठभेड़ के बाद से दिन]');
INSERT INTO `lang_definitions` VALUES (130208, 12367, 24, '[EOBs]');
INSERT INTO `lang_definitions` VALUES (130209, 12368, 24, '[निर्यात OFX]');
INSERT INTO `lang_definitions` VALUES (130210, 12369, 24, '[सिफारिश नहीं]');
INSERT INTO `lang_definitions` VALUES (130211, 12370, 24, '[मुठभेड़ों की संख्या]');
INSERT INTO `lang_definitions` VALUES (130212, 12371, 24, '[रिपोर्टें]');
INSERT INTO `lang_definitions` VALUES (130213, 12372, 24, '[सभी का चयन]');
INSERT INTO `lang_definitions` VALUES (130214, 12373, 24, '[SQL लेजर]');
INSERT INTO `lang_definitions` VALUES (130215, 12374, 24, '[बैच प्रोसेसिंग प्रारंभ]');
INSERT INTO `lang_definitions` VALUES (130216, 12375, 24, '[देखें log]');
INSERT INTO `lang_definitions` VALUES (130217, 12376, 24, '[मुद्रण योग्य रिपोर्ट देखें]');
INSERT INTO `lang_definitions` VALUES (130218, 12378, 24, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (130219, 12379, 24, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (130220, 12380, 24, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (130221, 12381, 24, '~ देर से पहुंचे');
INSERT INTO `lang_definitions` VALUES (130222, 1, 25, 'A');
INSERT INTO `lang_definitions` VALUES (130223, 2, 25, 'Un numar de control sau un numar de identificare a platii');
INSERT INTO `lang_definitions` VALUES (130224, 3, 25, 'Trebui selectat un drept pentru a permite acest meniu ');
INSERT INTO `lang_definitions` VALUES (130225, 4, 25, 'Un certificat de autentificare pentru administrator');
INSERT INTO `lang_definitions` VALUES (130226, 6, 25, 'Un document clinic este atasat.');
INSERT INTO `lang_definitions` VALUES (130227, 7, 25, 'Un document clinic este atasat');
INSERT INTO `lang_definitions` VALUES (130228, 8, 25, 'Un cod al acestui tip este deja selectat. Stergeti campul daca doriti sa-l inlocuiti.');
INSERT INTO `lang_definitions` VALUES (130229, 13, 25, 'Este necesar un distributor');
INSERT INTO `lang_definitions` VALUES (130230, 17, 25, 'Un formular GCAC trebuie adaugat la aceasta vizita.');
INSERT INTO `lang_definitions` VALUES (130231, 19, 25, 'O aplicatie complexa precum openEMR este utilizata de o multitudine de utilizatori cu diferite roluri si grade de responsabilitate. Este imperativ necesar ca accesul la diferite parti ale programului sa fie acordat conform nevoilor. Pentru a realiza aceasta se utilizeaza Liste de Contol al Accesului (ACL- Access Control Lists)');
INSERT INTO `lang_definitions` VALUES (130232, 20, 25, 'Este necesar un numar de lot');
INSERT INTO `lang_definitions` VALUES (130233, 21, 25, 'Este necesar un numar de lot!');
INSERT INTO `lang_definitions` VALUES (130234, 22, 25, 'O litera mica');
INSERT INTO `lang_definitions` VALUES (130235, 28, 25, 'Un numar');
INSERT INTO `lang_definitions` VALUES (130236, 29, 25, 'Selectati un pacient pentru generarea raportului.');
INSERT INTO `lang_definitions` VALUES (130237, 30, 25, 'Exista deja un pacient cu acest ID.');
INSERT INTO `lang_definitions` VALUES (130238, 31, 25, 'Exista deja un pacient cu acest nume.');
INSERT INTO `lang_definitions` VALUES (130239, 32, 25, 'Exista deja un pacient cu acest SS.');
INSERT INTO `lang_definitions` VALUES (130240, 33, 25, 'O plata este obligatorie! Introduceti o intrare a platii.');
INSERT INTO `lang_definitions` VALUES (130241, 36, 25, 'Numerele pozitive vor afisa numarul de programari in sumarul pacientului, iar cele negative le vor afisa in ordine descrescatoare.');
INSERT INTO `lang_definitions` VALUES (130242, 37, 25, 'Un numar pozitiv va arata numarul de programari in sumarul pacientului.');
INSERT INTO `lang_definitions` VALUES (130243, 38, 25, 'A fost selectat un produs, dar nu exista o sectiune produs in acest formular.');
INSERT INTO `lang_definitions` VALUES (130244, 43, 25, 'O sursa de referinta poate fi specificata pentru fiecare vizita.');
INSERT INTO `lang_definitions` VALUES (130245, 44, 25, 'Este necesar un cod IPPF!');
INSERT INTO `lang_definitions` VALUES (130246, 46, 25, 'O scurta descriere a grupului va aparea cand veti trece peste grup nou creat');
INSERT INTO `lang_definitions` VALUES (130247, 49, 25, 'Un caracter special');
INSERT INTO `lang_definitions` VALUES (130248, 53, 25, 'O valoare unica pentru identificarea acestui camp, invizibila pentru user.');
INSERT INTO `lang_definitions` VALUES (130249, 55, 25, 'Exista deja o vizita pentru acest grup. Executati CANCELpentru a o deschide sau OK pentru a crea una noua');
INSERT INTO `lang_definitions` VALUES (130250, 56, 25, 'Exista deja o vizita inregistrata pentru acest pacient. Apasa Cancel pentru a o deschide pe cea deja creata sau Ok pentru a crea una noua.');
INSERT INTO `lang_definitions` VALUES (130251, 57, 25, 'a.c.');
INSERT INTO `lang_definitions` VALUES (130252, 58, 25, 'a.m.');
INSERT INTO `lang_definitions` VALUES (130253, 59, 25, 'A/C{{anterior chamber}}');
INSERT INTO `lang_definitions` VALUES (130254, 60, 25, 'A/F Nivel dreapta:');
INSERT INTO `lang_definitions` VALUES (130255, 62, 25, 'AB');
INSERT INTO `lang_definitions` VALUES (130256, 63, 25, 'Abreviere');
INSERT INTO `lang_definitions` VALUES (130257, 64, 25, 'Abces:');
INSERT INTO `lang_definitions` VALUES (130258, 65, 25, 'Abdominal');
INSERT INTO `lang_definitions` VALUES (130259, 66, 25, 'Capabil sa suporte greutatea patru (4) etape');
INSERT INTO `lang_definitions` VALUES (130260, 67, 25, 'Abn');
INSERT INTO `lang_definitions` VALUES (130261, 68, 25, 'ABN1');
INSERT INTO `lang_definitions` VALUES (130262, 70, 25, 'Anormal');
INSERT INTO `lang_definitions` VALUES (130263, 71, 25, 'Test de sange anormal');
INSERT INTO `lang_definitions` VALUES (130264, 72, 25, 'Cresterea anormala a parului');
INSERT INTO `lang_definitions` VALUES (130265, 73, 25, 'Manmografie anormala');
INSERT INTO `lang_definitions` VALUES (130266, 74, 25, 'A avorta');
INSERT INTO `lang_definitions` VALUES (130267, 75, 25, 'Avort');
INSERT INTO `lang_definitions` VALUES (130268, 76, 25, 'Probleme avort');
INSERT INTO `lang_definitions` VALUES (130269, 77, 25, 'Metoda de avortare');
INSERT INTO `lang_definitions` VALUES (130270, 78, 25, 'Categorii legate de avort');
INSERT INTO `lang_definitions` VALUES (130271, 79, 25, 'Avorturi');
INSERT INTO `lang_definitions` VALUES (130272, 80, 25, 'Despre');
INSERT INTO `lang_definitions` VALUES (130273, 81, 25, 'Despre Dashboard-ul portalului');
INSERT INTO `lang_definitions` VALUES (130274, 82, 25, 'Despre calendar');
INSERT INTO `lang_definitions` VALUES (130275, 83, 25, 'Despre prtalul dvs');
INSERT INTO `lang_definitions` VALUES (130276, 84, 25, 'Deasupra limitelor superioare ale panicii');
INSERT INTO `lang_definitions` VALUES (130277, 85, 25, 'Absentele de diagnostic');
INSERT INTO `lang_definitions` VALUES (130278, 86, 25, 'Accept');
INSERT INTO `lang_definitions` VALUES (130279, 87, 25, 'Acceptare asignare');
INSERT INTO `lang_definitions` VALUES (130280, 89, 25, 'Acceptare plata pentru');
INSERT INTO `lang_definitions` VALUES (130281, 90, 25, 'Acceptare plata pentru');
INSERT INTO `lang_definitions` VALUES (130282, 91, 25, 'Accepta asignarea');
INSERT INTO `lang_definitions` VALUES (130283, 93, 25, 'Controlul accesului');
INSERT INTO `lang_definitions` VALUES (130284, 94, 25, 'Administrarea listei de control al accesului');
INSERT INTO `lang_definitions` VALUES (130285, 95, 25, 'Ajutor Lista de Control Acces');
INSERT INTO `lang_definitions` VALUES (130286, 96, 25, 'Liste de Control Acces');
INSERT INTO `lang_definitions` VALUES (130287, 98, 25, 'Date de acces');
INSERT INTO `lang_definitions` VALUES (130288, 99, 25, 'Acces interzis');
INSERT INTO `lang_definitions` VALUES (130289, 100, 25, 'Accesul se acorda selectiv in functie de nevoi');
INSERT INTO `lang_definitions` VALUES (130290, 101, 25, 'acces nepermis');
INSERT INTO `lang_definitions` VALUES (130291, 102, 25, 'Accesul nu este permis');
INSERT INTO `lang_definitions` VALUES (130292, 103, 25, 'Acces neautorizat');
INSERT INTO `lang_definitions` VALUES (130293, 104, 25, 'Accesati inregistrarile dvs medicale');
INSERT INTO `lang_definitions` VALUES (130294, 105, 25, 'Acces in portalul pacientului');
INSERT INTO `lang_definitions` VALUES (130295, 106, 25, 'Accident');
INSERT INTO `lang_definitions` VALUES (130296, 107, 25, 'Cont');
INSERT INTO `lang_definitions` VALUES (130297, 109, 25, 'Cont asociat cu o entitate straina, utilizat pentru separarea conturilor cu roluri multiple.');
INSERT INTO `lang_definitions` VALUES (130298, 110, 25, 'Id-ul contului emis pentru serviciul WEN eRx.');
INSERT INTO `lang_definitions` VALUES (130299, 111, 25, 'Id-ul contului emis pentru serviciul WEN eRx pentru clinici.');
INSERT INTO `lang_definitions` VALUES (130300, 112, 25, 'Contul este validat. Trimiteti credentiale noi?');
INSERT INTO `lang_definitions` VALUES (130301, 113, 25, 'Numele contului');
INSERT INTO `lang_definitions` VALUES (130302, 114, 25, 'Nume cont initiat pentru serviciu NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (130303, 115, 25, 'Parola cont entitate straina');
INSERT INTO `lang_definitions` VALUES (130304, 120, 25, 'Acct');
INSERT INTO `lang_definitions` VALUES (130305, 121, 25, 'ACD{{anterior chamber depth}}');
INSERT INTO `lang_definitions` VALUES (130306, 122, 25, 'Dureri');
INSERT INTO `lang_definitions` VALUES (130307, 123, 25, 'Recunoastere ca semnatura mea electronica');
INSERT INTO `lang_definitions` VALUES (130308, 124, 25, 'Confirmare solicitant (ISA 14)');
INSERT INTO `lang_definitions` VALUES (130309, 125, 25, 'Confirmare,licentiere si certificare');
INSERT INTO `lang_definitions` VALUES (130310, 126, 25, 'ACL');
INSERT INTO `lang_definitions` VALUES (130311, 127, 25, 'ACL Administrare');
INSERT INTO `lang_definitions` VALUES (130312, 128, 25, 'ACL Administrare (acl)');
INSERT INTO `lang_definitions` VALUES (130313, 129, 25, 'ACL Administrare neautorizata');
INSERT INTO `lang_definitions` VALUES (130314, 131, 25, 'Control ACL');
INSERT INTO `lang_definitions` VALUES (130315, 132, 25, 'ACL actualizat cu succes');
INSERT INTO `lang_definitions` VALUES (130316, 133, 25, 'Acnee');
INSERT INTO `lang_definitions` VALUES (130317, 134, 25, 'ACO');
INSERT INTO `lang_definitions` VALUES (130318, 135, 25, 'ACOM{{Anterior Segment}}');
INSERT INTO `lang_definitions` VALUES (130319, 136, 25, 'Act');
INSERT INTO `lang_definitions` VALUES (130320, 137, 25, 'Actul de date');
INSERT INTO `lang_definitions` VALUES (130321, 138, 25, 'Actiune');
INSERT INTO `lang_definitions` VALUES (130322, 139, 25, 'Actiune intreprinsa');
INSERT INTO `lang_definitions` VALUES (130323, 140, 25, 'Timp de actiune');
INSERT INTO `lang_definitions` VALUES (130324, 141, 25, 'Actiune utilizator');
INSERT INTO `lang_definitions` VALUES (130325, 142, 25, 'Actiuni');
INSERT INTO `lang_definitions` VALUES (130326, 143, 25, 'Activare');
INSERT INTO `lang_definitions` VALUES (130327, 144, 25, 'Activare CCR/CCD de raportare');
INSERT INTO `lang_definitions` VALUES (130328, 145, 25, 'activare pentru a sorta ascendent o coloana');
INSERT INTO `lang_definitions` VALUES (130329, 146, 25, 'activare pentru a sorta descendent o coloana');
INSERT INTO `lang_definitions` VALUES (130330, 147, 25, 'Activare Suport UB04/837l');
INSERT INTO `lang_definitions` VALUES (130331, 148, 25, 'Activa');
INSERT INTO `lang_definitions` VALUES (130332, 150, 25, 'Alerta activa');
INSERT INTO `lang_definitions` VALUES (130333, 152, 25, 'Reguli alerta activa');
INSERT INTO `lang_definitions` VALUES (130334, 153, 25, 'Alerte/Mementouri active');
INSERT INTO `lang_definitions` VALUES (130335, 154, 25, 'Grafic activ');
INSERT INTO `lang_definitions` VALUES (130336, 155, 25, 'Active Directory - Domains Base');
INSERT INTO `lang_definitions` VALUES (130337, 156, 25, 'Active Directory - Domains Controllers');
INSERT INTO `lang_definitions` VALUES (130338, 157, 25, 'Active Directory - Suffix Of Account');
INSERT INTO `lang_definitions` VALUES (130339, 158, 25, 'Consultatii active');
INSERT INTO `lang_definitions` VALUES (130340, 159, 25, 'Coduri probleme active');
INSERT INTO `lang_definitions` VALUES (130341, 160, 25, 'Liste active');
INSERT INTO `lang_definitions` VALUES (130342, 161, 25, 'Mesaje Active');
INSERT INTO `lang_definitions` VALUES (130343, 162, 25, 'Pacienti activi');
INSERT INTO `lang_definitions` VALUES (130344, 163, 25, 'Planuri active');
INSERT INTO `lang_definitions` VALUES (130345, 164, 25, 'Modele Active');
INSERT INTO `lang_definitions` VALUES (130346, 173, 25, 'Activitate');
INSERT INTO `lang_definitions` VALUES (130347, 174, 25, 'Tip activitate');
INSERT INTO `lang_definitions` VALUES (130348, 175, 25, 'Chitante actuale');
INSERT INTO `lang_definitions` VALUES (130349, 176, 25, 'Acuitate');
INSERT INTO `lang_definitions` VALUES (130350, 177, 25, 'ACUITATE');
INSERT INTO `lang_definitions` VALUES (130351, 178, 25, 'Acuitatea cu autorefracție');
INSERT INTO `lang_definitions` VALUES (130352, 179, 25, 'Acuitatea cu lentile de contact');
INSERT INTO `lang_definitions` VALUES (130353, 180, 25, 'Acuitate cu corecție');
INSERT INTO `lang_definitions` VALUES (130354, 181, 25, 'Acuitatea cu refracție ciclopedică');
INSERT INTO `lang_definitions` VALUES (130355, 182, 25, 'Acuitate cu refracție manifest');
INSERT INTO `lang_definitions` VALUES (130356, 183, 25, 'Acuitatea cu orificiu');
INSERT INTO `lang_definitions` VALUES (130357, 184, 25, 'Acuitatea fără corecție');
INSERT INTO `lang_definitions` VALUES (130358, 185, 25, 'Intoxicatie acuta/ retragere');
INSERT INTO `lang_definitions` VALUES (130359, 186, 25, 'Manifestare acuta a unei probleme cronice');
INSERT INTO `lang_definitions` VALUES (130360, 187, 25, 'Cronica acuta');
INSERT INTO `lang_definitions` VALUES (130361, 188, 25, 'Adaugare Revizuit');
INSERT INTO `lang_definitions` VALUES (130362, 189, 25, 'Adauga');
INSERT INTO `lang_definitions` VALUES (130363, 190, 25, 'adauga');
INSERT INTO `lang_definitions` VALUES (130364, 191, 25, 'ADAUGA');
INSERT INTO `lang_definitions` VALUES (130365, 192, 25, 'Adauga o companie');
INSERT INTO `lang_definitions` VALUES (130366, 193, 25, 'Adauga o conditie');
INSERT INTO `lang_definitions` VALUES (130367, 195, 25, 'Adauga un apel nou');
INSERT INTO `lang_definitions` VALUES (130368, 197, 25, 'Adauga o farmacie');
INSERT INTO `lang_definitions` VALUES (130369, 199, 25, 'Adauga toate regulile la plan');
INSERT INTO `lang_definitions` VALUES (130370, 200, 25, 'Adauga un eveniment pentru');
INSERT INTO `lang_definitions` VALUES (130371, 202, 25, 'Adauga ca o noua nota');
INSERT INTO `lang_definitions` VALUES (130372, 203, 25, 'Adauga ca nou');
INSERT INTO `lang_definitions` VALUES (130373, 204, 25, 'Adauga ca un pacient nou');
INSERT INTO `lang_definitions` VALUES (130374, 205, 25, 'Adauga rand pentru marginea inferioara');
INSERT INTO `lang_definitions` VALUES (130375, 206, 25, 'Adaugati butoane');
INSERT INTO `lang_definitions` VALUES (130376, 207, 25, 'Adaugati butoane pentru caractere speciale, textele sa fie afisate in partea de sus a Editorului pentru includerea in text cu un Click');
INSERT INTO `lang_definitions` VALUES (130377, 208, 25, 'Adauga categorie');
INSERT INTO `lang_definitions` VALUES (130378, 209, 25, 'Adauga constanta');
INSERT INTO `lang_definitions` VALUES (130379, 210, 25, 'Adauga context');
INSERT INTO `lang_definitions` VALUES (130380, 211, 25, 'Adauga coplatitor');
INSERT INTO `lang_definitions` VALUES (130381, 212, 25, 'Adauga criteriu');
INSERT INTO `lang_definitions` VALUES (130382, 213, 25, 'Adauga buton personalizat');
INSERT INTO `lang_definitions` VALUES (130383, 216, 25, 'Adauga diagnostic');
INSERT INTO `lang_definitions` VALUES (130384, 217, 25, 'Adauga medicament');
INSERT INTO `lang_definitions` VALUES (130385, 220, 25, 'Adauga consultaite');
INSERT INTO `lang_definitions` VALUES (130386, 221, 25, 'Adauga consultatie/ note');
INSERT INTO `lang_definitions` VALUES (130387, 222, 25, 'Adauga facilitate');
INSERT INTO `lang_definitions` VALUES (130388, 223, 25, 'Adauga camp');
INSERT INTO `lang_definitions` VALUES (130389, 224, 25, 'Adăugați următoarele linii în fișierul de configurare Apache');
INSERT INTO `lang_definitions` VALUES (130390, 225, 25, 'Adauga grup');
INSERT INTO `lang_definitions` VALUES (130391, 227, 25, 'Adauga codul ICD');
INSERT INTO `lang_definitions` VALUES (130392, 228, 25, 'Adauga imunizare');
INSERT INTO `lang_definitions` VALUES (130393, 229, 25, 'Adaugare nepermisa');
INSERT INTO `lang_definitions` VALUES (130394, 230, 25, 'Adauga problema');
INSERT INTO `lang_definitions` VALUES (130395, 231, 25, 'Adauga subiect de monitorizare');
INSERT INTO `lang_definitions` VALUES (130396, 232, 25, 'Adauga limba');
INSERT INTO `lang_definitions` VALUES (130397, 237, 25, 'Adauga mai multe articole');
INSERT INTO `lang_definitions` VALUES (130398, 238, 25, 'Adauga nou');
INSERT INTO `lang_definitions` VALUES (130399, 239, 25, 'Adauga nou');
INSERT INTO `lang_definitions` VALUES (130400, 240, 25, 'Adauga categorie noua');
INSERT INTO `lang_definitions` VALUES (130401, 241, 25, 'Adauga certificat nou in fisierul de configurare Apache');
INSERT INTO `lang_definitions` VALUES (130402, 242, 25, 'Adauga component nou');
INSERT INTO `lang_definitions` VALUES (130403, 243, 25, 'Adauga componente noi');
INSERT INTO `lang_definitions` VALUES (130404, 249, 25, 'Adauga grup nou');
INSERT INTO `lang_definitions` VALUES (130405, 250, 25, 'Adauga noua problema');
INSERT INTO `lang_definitions` VALUES (130406, 251, 25, 'Adauga lot nou si tanzactii');
INSERT INTO `lang_definitions` VALUES (130407, 253, 25, 'Adauga Nota Noua');
INSERT INTO `lang_definitions` VALUES (130408, 254, 25, 'Adauga nota noua');
INSERT INTO `lang_definitions` VALUES (130409, 255, 25, 'Adauga partener nou');
INSERT INTO `lang_definitions` VALUES (130410, 256, 25, 'Adauga Pacient Nou');
INSERT INTO `lang_definitions` VALUES (130411, 257, 25, 'ADAUGA PLAN NOU');
INSERT INTO `lang_definitions` VALUES (130412, 264, 25, 'Adauga nota');
INSERT INTO `lang_definitions` VALUES (130413, 268, 25, 'Adauga inregistrarea pacientului');
INSERT INTO `lang_definitions` VALUES (130414, 269, 25, 'Adauga reteta');
INSERT INTO `lang_definitions` VALUES (130415, 270, 25, 'Adauga procedura');
INSERT INTO `lang_definitions` VALUES (130416, 271, 25, 'Adauga numarul furnizorului');
INSERT INTO `lang_definitions` VALUES (130417, 273, 25, 'Adauga dezintoxicare');
INSERT INTO `lang_definitions` VALUES (130418, 274, 25, 'Adauga regula');
INSERT INTO `lang_definitions` VALUES (130419, 277, 25, 'Adauga la');
INSERT INTO `lang_definitions` VALUES (130420, 281, 25, 'Adauga la lista de medicamente');
INSERT INTO `lang_definitions` VALUES (130421, 282, 25, 'Adauga nivel de top');
INSERT INTO `lang_definitions` VALUES (130422, 283, 25, 'Adauga tranzactie');
INSERT INTO `lang_definitions` VALUES (130423, 284, 25, 'Adauga utilizator');
INSERT INTO `lang_definitions` VALUES (130424, 285, 25, 'Adauga utilizator la grup');
INSERT INTO `lang_definitions` VALUES (130425, 286, 25, 'Add.{{Additional Measurements}}');
INSERT INTO `lang_definitions` VALUES (130426, 287, 25, 'Adaugare/editare eRX');
INSERT INTO `lang_definitions` VALUES (130427, 289, 25, 'Adaugare/editare tranzactia pacientului');
INSERT INTO `lang_definitions` VALUES (130428, 290, 25, 'Adaugat');
INSERT INTO `lang_definitions` VALUES (130429, 293, 25, 'Adaugarea date demografice nu este autorizata');
INSERT INTO `lang_definitions` VALUES (130430, 294, 25, 'Adaugare nereusita a articoluluia');
INSERT INTO `lang_definitions` VALUES (130431, 295, 25, 'Sindrom Addison');
INSERT INTO `lang_definitions` VALUES (130432, 296, 25, 'Sindromul Addison');
INSERT INTO `lang_definitions` VALUES (130433, 297, 25, 'Atribute suplimentare');
INSERT INTO `lang_definitions` VALUES (130434, 298, 25, 'Puncte suplimentare de date');
INSERT INTO `lang_definitions` VALUES (130435, 300, 25, 'Diagnostic suplimentar:');
INSERT INTO `lang_definitions` VALUES (130436, 301, 25, 'Constatări suplimentare');
INSERT INTO `lang_definitions` VALUES (130437, 305, 25, 'Istoric suplimentar');
INSERT INTO `lang_definitions` VALUES (130438, 306, 25, 'Note suplimentara');
INSERT INTO `lang_definitions` VALUES (130439, 307, 25, 'Informatii suplimentare');
INSERT INTO `lang_definitions` VALUES (130440, 310, 25, 'Laboratoare suplimentare');
INSERT INTO `lang_definitions` VALUES (130441, 311, 25, 'Note suplimentare');
INSERT INTO `lang_definitions` VALUES (130442, 313, 25, 'Note suplimentare pentru acest rezultat sau recomandari');
INSERT INTO `lang_definitions` VALUES (130443, 314, 25, 'Note suplimentare:');
INSERT INTO `lang_definitions` VALUES (130444, 315, 25, 'Note suplimentare:');
INSERT INTO `lang_definitions` VALUES (130445, 317, 25, 'Note suplimentare X-RAY:');
INSERT INTO `lang_definitions` VALUES (130446, 318, 25, 'Additionally, the corresponding US Snomed Extension Package can be imported separately after installing the International (English version) Snomed Release');
INSERT INTO `lang_definitions` VALUES (130447, 319, 25, 'Additonal Rx{{Additional glasses}}');
INSERT INTO `lang_definitions` VALUES (130448, 320, 25, 'Doar adaugare');
INSERT INTO `lang_definitions` VALUES (130449, 322, 25, 'Carte de adrese');
INSERT INTO `lang_definitions` VALUES (130450, 323, 25, 'Carte de adrese');
INSERT INTO `lang_definitions` VALUES (130451, 324, 25, 'Adresa');
INSERT INTO `lang_definitions` VALUES (130452, 325, 25, 'Adresa si codul postal');
INSERT INTO `lang_definitions` VALUES (130453, 326, 25, 'Adresa si tara');
INSERT INTO `lang_definitions` VALUES (130454, 327, 25, 'Adresa carte');
INSERT INTO `lang_definitions` VALUES (130455, 328, 25, 'Intrare agenda pentru compania care efectueaza aceasta procedura');
INSERT INTO `lang_definitions` VALUES (130456, 329, 25, 'Intrare agenda pentru distribuitor');
INSERT INTO `lang_definitions` VALUES (130457, 330, 25, 'Intrare agenda pentru furnizor');
INSERT INTO `lang_definitions` VALUES (130458, 331, 25, 'Tipuri intrare agenda');
INSERT INTO `lang_definitions` VALUES (130459, 332, 25, 'Eticheta adresa');
INSERT INTO `lang_definitions` VALUES (130460, 333, 25, 'Etichete adrese');
INSERT INTO `lang_definitions` VALUES (130461, 336, 25, 'Doar adresa');
INSERT INTO `lang_definitions` VALUES (130462, 338, 25, 'Adresa, tara si codul postal');
INSERT INTO `lang_definitions` VALUES (130463, 339, 25, 'Adresa 1');
INSERT INTO `lang_definitions` VALUES (130464, 340, 25, 'Adresa 2');
INSERT INTO `lang_definitions` VALUES (130465, 342, 25, 'DESTINATAR');
INSERT INTO `lang_definitions` VALUES (130466, 343, 25, 'ADD{{Bifocal Add}}');
INSERT INTO `lang_definitions` VALUES (130467, 344, 25, 'ADD{{Near Add}}');
INSERT INTO `lang_definitions` VALUES (130468, 345, 25, 'Adj');
INSERT INTO `lang_definitions` VALUES (130469, 346, 25, 'Adj suma');
INSERT INTO `lang_definitions` VALUES (130470, 347, 25, 'Ajusta');
INSERT INTO `lang_definitions` VALUES (130471, 348, 25, 'Ajustare');
INSERT INTO `lang_definitions` VALUES (130472, 349, 25, 'Ajustare Amt');
INSERT INTO `lang_definitions` VALUES (130473, 350, 25, 'Motiv de ajustare');
INSERT INTO `lang_definitions` VALUES (130474, 352, 25, 'Ajustare valoare pentru cod');
INSERT INTO `lang_definitions` VALUES (130475, 353, 25, 'Ajustari');
INSERT INTO `lang_definitions` VALUES (130476, 354, 25, 'Ajustare Adm');
INSERT INTO `lang_definitions` VALUES (130477, 355, 25, 'Admin');
INSERT INTO `lang_definitions` VALUES (130478, 356, 25, 'Admin adresa email');
INSERT INTO `lang_definitions` VALUES (130479, 357, 25, 'Administra prin');
INSERT INTO `lang_definitions` VALUES (130480, 359, 25, 'Administrat');
INSERT INTO `lang_definitions` VALUES (130481, 360, 25, 'Administrat de');
INSERT INTO `lang_definitions` VALUES (130482, 361, 25, 'Data administrare');
INSERT INTO `lang_definitions` VALUES (130483, 362, 25, 'Site-ul administrat');
INSERT INTO `lang_definitions` VALUES (130484, 363, 25, 'Administrare');
INSERT INTO `lang_definitions` VALUES (130485, 365, 25, 'Administrare site');
INSERT INTO `lang_definitions` VALUES (130486, 366, 25, 'Administratori');
INSERT INTO `lang_definitions` VALUES (130487, 367, 25, 'Administratorii pot face orice');
INSERT INTO `lang_definitions` VALUES (130488, 368, 25, 'Data admiterii');
INSERT INTO `lang_definitions` VALUES (130489, 369, 25, 'Adnexa');
INSERT INTO `lang_definitions` VALUES (130490, 370, 25, 'Copil adoptat');
INSERT INTO `lang_definitions` VALUES (130491, 371, 25, 'Greutate adulti verificare si urmarire');
INSERT INTO `lang_definitions` VALUES (130492, 372, 25, 'Greutate adulti verificare si urmarire (CQM)');
INSERT INTO `lang_definitions` VALUES (130493, 373, 25, 'Directiva in avans');
INSERT INTO `lang_definitions` VALUES (130494, 374, 25, 'Directive in avans');
INSERT INTO `lang_definitions` VALUES (130495, 375, 25, 'Avertizari directive in avans');
INSERT INTO `lang_definitions` VALUES (130496, 376, 25, 'Optiuni avansate');
INSERT INTO `lang_definitions` VALUES (130497, 377, 25, 'Avansat');
INSERT INTO `lang_definitions` VALUES (130498, 380, 25, 'Sfat');
INSERT INTO `lang_definitions` VALUES (130499, 381, 25, 'Departe');
INSERT INTO `lang_definitions` VALUES (130500, 382, 25, 'Afecteaza normal');
INSERT INTO `lang_definitions` VALUES (130501, 383, 25, 'Africani');
INSERT INTO `lang_definitions` VALUES (130502, 386, 25, 'Apeluri dupa program');
INSERT INTO `lang_definitions` VALUES (130503, 387, 25, 'After migration from the old password mechanisms where passwords are stored in the users table without salt is complete, this flag should be set to false so that only authentication by the new method is possible');
INSERT INTO `lang_definitions` VALUES (130504, 388, 25, 'After performing above configurations, import the admin client certificate to the browser and restart Apache server (empty password).');
INSERT INTO `lang_definitions` VALUES (130505, 390, 25, 'Dupa salvarea PDF-ului,apasa [vezi log] pentru verificare erori');
INSERT INTO `lang_definitions` VALUES (130506, 393, 25, 'Dupa salvarea fisierului TEXT,apasa [vezi log] pentru verificare erori');
INSERT INTO `lang_definitions` VALUES (130507, 396, 25, 'Dupa salvarea grupului,apasa [vezi log] pentru verificare erori');
INSERT INTO `lang_definitions` VALUES (130508, 398, 25, 'Pe coloana va aparea ID pacientului selectat sau 0 pentru creare.');
INSERT INTO `lang_definitions` VALUES (130509, 399, 25, 'Dupa ce informatia este corect introdusa,apasa butonul Save.');
INSERT INTO `lang_definitions` VALUES (130510, 400, 25, 'Dupa upload, apasa butonul \"Import\"');
INSERT INTO `lang_definitions` VALUES (130511, 404, 25, 'Plan de ingrijire');
INSERT INTO `lang_definitions` VALUES (130512, 406, 25, 'Din nou');
INSERT INTO `lang_definitions` VALUES (130513, 407, 25, 'Varsta');
INSERT INTO `lang_definitions` VALUES (130514, 409, 25, 'Varsta de');
INSERT INTO `lang_definitions` VALUES (130515, 410, 25, 'Categorie de varsta');
INSERT INTO `lang_definitions` VALUES (130516, 411, 25, 'Datele de varsta sunt in afara intervalului');
INSERT INTO `lang_definitions` VALUES (130517, 412, 25, 'Afisare format varsta');
INSERT INTO `lang_definitions` VALUES (130518, 413, 25, 'Format varsta pentru \"varsta de la\" nu este valid');
INSERT INTO `lang_definitions` VALUES (130519, 414, 25, 'Format varsta pentru \"varsta pana la\" nu este valid');
INSERT INTO `lang_definitions` VALUES (130520, 415, 25, 'Varsta de la');
INSERT INTO `lang_definitions` VALUES (130521, 416, 25, 'Varsta in ani pentru afisare format schimbat');
INSERT INTO `lang_definitions` VALUES (130522, 417, 25, 'Varsta maxima');
INSERT INTO `lang_definitions` VALUES (130523, 418, 25, 'Varsta minima');
INSERT INTO `lang_definitions` VALUES (130524, 419, 25, 'Interval de varsta');
INSERT INTO `lang_definitions` VALUES (130525, 420, 25, 'Coloana Aging');
INSERT INTO `lang_definitions` VALUES (130526, 421, 25, 'Coloane Aging:');
INSERT INTO `lang_definitions` VALUES (130527, 422, 25, 'Akan');
INSERT INTO `lang_definitions` VALUES (130528, 423, 25, 'Albanez');
INSERT INTO `lang_definitions` VALUES (130529, 424, 25, 'Alcool');
INSERT INTO `lang_definitions` VALUES (130530, 425, 25, 'Consum de alcool');
INSERT INTO `lang_definitions` VALUES (130531, 426, 25, 'Abuz alcool');
INSERT INTO `lang_definitions` VALUES (130532, 427, 25, 'Alerta');
INSERT INTO `lang_definitions` VALUES (130533, 428, 25, 'Numarul alerta');
INSERT INTO `lang_definitions` VALUES (130534, 434, 25, 'Data alertei');
INSERT INTO `lang_definitions` VALUES (130535, 435, 25, 'Alerte');
INSERT INTO `lang_definitions` VALUES (130536, 436, 25, 'Istoric alerte');
INSERT INTO `lang_definitions` VALUES (130537, 437, 25, 'Alerte/Mementouri');
INSERT INTO `lang_definitions` VALUES (130538, 439, 25, 'ALEUT');
INSERT INTO `lang_definitions` VALUES (130539, 440, 25, 'Toate');
INSERT INTO `lang_definitions` VALUES (130540, 441, 25, 'TOATE');
INSERT INTO `lang_definitions` VALUES (130541, 443, 25, 'Toate (Colationate format A)');
INSERT INTO `lang_definitions` VALUES (130542, 444, 25, 'Toate (Colationate format B)');
INSERT INTO `lang_definitions` VALUES (130543, 445, 25, 'Toate (cumulativ)');
INSERT INTO `lang_definitions` VALUES (130544, 446, 25, 'Toate alertele');
INSERT INTO `lang_definitions` VALUES (130545, 447, 25, 'Toate calculele efectuate automat (AMC)');
INSERT INTO `lang_definitions` VALUES (130546, 448, 25, 'Toate categoriile');
INSERT INTO `lang_definitions` VALUES (130547, 449, 25, 'Toate masurile de siguranta clinice');
INSERT INTO `lang_definitions` VALUES (130548, 450, 25, 'Toate codurile');
INSERT INTO `lang_definitions` VALUES (130549, 452, 25, 'Toate datele');
INSERT INTO `lang_definitions` VALUES (130550, 453, 25, 'Toate zilele');
INSERT INTO `lang_definitions` VALUES (130551, 454, 25, 'Evenimentele zilnice');
INSERT INTO `lang_definitions` VALUES (130552, 455, 25, 'Toate campurile demografice, cu cautare si dubla verificare');
INSERT INTO `lang_definitions` VALUES (130553, 457, 25, 'Toate facilitatile');
INSERT INTO `lang_definitions` VALUES (130554, 458, 25, 'Toate problemele');
INSERT INTO `lang_definitions` VALUES (130555, 459, 25, 'Toate limbile permise');
INSERT INTO `lang_definitions` VALUES (130556, 461, 25, 'Toate masurile de calitate clinica oficiale');
INSERT INTO `lang_definitions` VALUES (130557, 462, 25, 'Toate sau o parte din prenume');
INSERT INTO `lang_definitions` VALUES (130558, 463, 25, 'Toate sau o parte din numele de familie');
INSERT INTO `lang_definitions` VALUES (130559, 464, 25, 'Totul sau o parte din oragnizatie');
INSERT INTO `lang_definitions` VALUES (130560, 466, 25, 'Toti Pacientii');
INSERT INTO `lang_definitions` VALUES (130561, 468, 25, 'Toate produsele');
INSERT INTO `lang_definitions` VALUES (130562, 469, 25, 'Toti furnizorii');
INSERT INTO `lang_definitions` VALUES (130563, 470, 25, 'Verificate si negative');
INSERT INTO `lang_definitions` VALUES (130564, 475, 25, 'Toate subiectele');
INSERT INTO `lang_definitions` VALUES (130565, 478, 25, 'Toti utilizatorii');
INSERT INTO `lang_definitions` VALUES (130566, 479, 25, 'Alergic');
INSERT INTO `lang_definitions` VALUES (130567, 480, 25, 'Alergic la');
INSERT INTO `lang_definitions` VALUES (130568, 481, 25, 'Alergii');
INSERT INTO `lang_definitions` VALUES (130569, 484, 25, 'Alergii:');
INSERT INTO `lang_definitions` VALUES (130570, 485, 25, 'Alergie');
INSERT INTO `lang_definitions` VALUES (130571, 486, 25, 'Import alergie finalizat cu succes');
INSERT INTO `lang_definitions` VALUES (130572, 487, 25, 'Lista probleme alergice');
INSERT INTO `lang_definitions` VALUES (130573, 488, 25, 'Reactii alergice');
INSERT INTO `lang_definitions` VALUES (130574, 489, 25, 'ALERTA ALERGIE');
INSERT INTO `lang_definitions` VALUES (130575, 490, 25, 'Alerta alergie');
INSERT INTO `lang_definitions` VALUES (130576, 491, 25, 'Alocat');
INSERT INTO `lang_definitions` VALUES (130577, 492, 25, 'Permite');
INSERT INTO `lang_definitions` VALUES (130578, 493, 25, 'Permite administratorilor sa stearga pacienti');
INSERT INTO `lang_definitions` VALUES (130579, 494, 25, 'Permiteți toate limbile disponibile ca optiuni în meniul de autentificare.');
INSERT INTO `lang_definitions` VALUES (130580, 496, 25, 'Permite crearea de afirmatii conținand diagnostice, dar nu proceduri sau taxe. Majoritatea clinicilor nu doresc acest lucru.');
INSERT INTO `lang_definitions` VALUES (130581, 497, 25, 'Debugging');
INSERT INTO `lang_definitions` VALUES (130582, 500, 25, 'Permiteti email');
INSERT INTO `lang_definitions` VALUES (130583, 501, 25, 'Permiteti mesaje email?');
INSERT INTO `lang_definitions` VALUES (130584, 502, 25, 'Permiteti email?');
INSERT INTO `lang_definitions` VALUES (130585, 503, 25, 'Permite afirmatii ref la consultatii');
INSERT INTO `lang_definitions` VALUES (130586, 506, 25, 'Permite schimb de informatii despre sanatate');
INSERT INTO `lang_definitions` VALUES (130587, 508, 25, 'Permite difuzare date ref la imunizare');
INSERT INTO `lang_definitions` VALUES (130588, 509, 25, 'Permiteutilizare registrul imunizarilor');
INSERT INTO `lang_definitions` VALUES (130589, 512, 25, 'Permite mesaje email');
INSERT INTO `lang_definitions` VALUES (130590, 531, 25, 'Permite board Flux Pacient pentru selectare pacienti testare droguri');
INSERT INTO `lang_definitions` VALUES (130591, 533, 25, 'Permite portal Pacient');
INSERT INTO `lang_definitions` VALUES (130592, 541, 25, 'Permite SMS');
INSERT INTO `lang_definitions` VALUES (130593, 542, 25, 'Permiteti SMS ( mesaj text)?');
INSERT INTO `lang_definitions` VALUES (130594, 543, 25, 'Permite excluderea unor date la tiparire');
INSERT INTO `lang_definitions` VALUES (130595, 544, 25, 'Permiteti evenimentele prezentate sa fie active instant?');
INSERT INTO `lang_definitions` VALUES (130596, 545, 25, 'Permiteti mesaj pe telefon?');
INSERT INTO `lang_definitions` VALUES (130597, 547, 25, 'Permite utilizatorilor să publice Evenimente globale');
INSERT INTO `lang_definitions` VALUES (130598, 548, 25, 'Permite utilizatorilor să publice Calendare personale');
INSERT INTO `lang_definitions` VALUES (130599, 554, 25, 'Permite mesaj voce');
INSERT INTO `lang_definitions` VALUES (130600, 555, 25, 'Permis');
INSERT INTO `lang_definitions` VALUES (130601, 556, 25, 'Limbi permise');
INSERT INTO `lang_definitions` VALUES (130602, 558, 25, 'Permis( c)');
INSERT INTO `lang_definitions` VALUES (130603, 559, 25, 'Permite \"E-sign\"');
INSERT INTO `lang_definitions` VALUES (130604, 560, 25, 'Permite \"E-sign\" pentru formulare individuale');
INSERT INTO `lang_definitions` VALUES (130605, 561, 25, 'Permite mail');
INSERT INTO `lang_definitions` VALUES (130606, 562, 25, 'Permite mesaje vocale');
INSERT INTO `lang_definitions` VALUES (130607, 566, 25, 'deja exista');
INSERT INTO `lang_definitions` VALUES (130608, 568, 25, 'deja exista.');
INSERT INTO `lang_definitions` VALUES (130609, 569, 25, 'Deja inregistrat');
INSERT INTO `lang_definitions` VALUES (130610, 570, 25, 'Deja folosit,alege alt identificator');
INSERT INTO `lang_definitions` VALUES (130611, 571, 25, 'Deja folosit,alege alt titlu');
INSERT INTO `lang_definitions` VALUES (130612, 573, 25, 'Adresa alternativa');
INSERT INTO `lang_definitions` VALUES (130613, 577, 25, 'modifica');
INSERT INTO `lang_definitions` VALUES (130614, 578, 25, 'Alterneaza Cover Test');
INSERT INTO `lang_definitions` VALUES (130615, 584, 25, 'Alternativ, puteti utiliza pagina de cautare pentru a incarca o trimitere pe care ati obtinut-o de la pacient. Puteti face asta facand click pe butonul \"Browser\" si selectand fisierul pe care doriti sa il incarcati, apoi folositi \"Search\" pentru a efectua incarcare si a afisa factura corespunzatoare. Incarcarea salveaza datele continute insa nu va procesa si continutul. Procesarea se va efectua urmand pasii urmatori.');
INSERT INTO `lang_definitions` VALUES (130616, 586, 25, 'AM');
INSERT INTO `lang_definitions` VALUES (130617, 587, 25, 'AM Program');
INSERT INTO `lang_definitions` VALUES (130618, 588, 25, 'Amblyopia');
INSERT INTO `lang_definitions` VALUES (130619, 589, 25, 'Ambulanta - Apa sau Aer');
INSERT INTO `lang_definitions` VALUES (130620, 590, 25, 'Ambulanta');
INSERT INTO `lang_definitions` VALUES (130621, 591, 25, 'Centrul ambulatoriu chirurgical');
INSERT INTO `lang_definitions` VALUES (130622, 592, 25, 'AMC');
INSERT INTO `lang_definitions` VALUES (130623, 593, 25, 'Urmarire AMC');
INSERT INTO `lang_definitions` VALUES (130624, 594, 25, 'AMC-2011');
INSERT INTO `lang_definitions` VALUES (130625, 595, 25, 'AMC-2014');
INSERT INTO `lang_definitions` VALUES (130626, 596, 25, 'AMC-2014 Stage I');
INSERT INTO `lang_definitions` VALUES (130627, 597, 25, 'AMC-2014 Stage II');
INSERT INTO `lang_definitions` VALUES (130628, 598, 25, 'AMD{{age related macular degeneration}}');
INSERT INTO `lang_definitions` VALUES (130629, 600, 25, 'Se modifica nota existenta');
INSERT INTO `lang_definitions` VALUES (130630, 602, 25, 'Amendament de la');
INSERT INTO `lang_definitions` VALUES (130631, 604, 25, 'Stare amendament');
INSERT INTO `lang_definitions` VALUES (130632, 605, 25, 'Amendamente');
INSERT INTO `lang_definitions` VALUES (130633, 609, 25, 'Amendamente pentru');
INSERT INTO `lang_definitions` VALUES (130634, 610, 25, 'American Indian');
INSERT INTO `lang_definitions` VALUES (130635, 611, 25, 'American Indian sau Alaska nascut');
INSERT INTO `lang_definitions` VALUES (130636, 612, 25, 'AMEX');
INSERT INTO `lang_definitions` VALUES (130637, 613, 25, 'Amharic');
INSERT INTO `lang_definitions` VALUES (130638, 614, 25, 'Suma');
INSERT INTO `lang_definitions` VALUES (130639, 615, 25, 'Cantitatea administrata');
INSERT INTO `lang_definitions` VALUES (130640, 617, 25, 'Suma taxe');
INSERT INTO `lang_definitions` VALUES (130641, 619, 25, 'Suma datorata');
INSERT INTO `lang_definitions` VALUES (130642, 620, 25, 'Suma pentru soldul anterior');
INSERT INTO `lang_definitions` VALUES (130643, 621, 25, 'Suma pentru aceasta vizita');
INSERT INTO `lang_definitions` VALUES (130644, 622, 25, 'Suma platita');
INSERT INTO `lang_definitions` VALUES (130645, 623, 25, 'Suma');
INSERT INTO `lang_definitions` VALUES (130646, 624, 25, 'Amplitudine');
INSERT INTO `lang_definitions` VALUES (130647, 625, 25, 'Amsler');
INSERT INTO `lang_definitions` VALUES (130648, 626, 25, 'Suma facturata');
INSERT INTO `lang_definitions` VALUES (130649, 630, 25, 'O data de incheiere ulterioara datei de inceput este necesara pentru evenimente repetate!');
INSERT INTO `lang_definitions` VALUES (130650, 631, 25, 'A aparut o eroare la semnarea formularului');
INSERT INTO `lang_definitions` VALUES (130651, 632, 25, 'Eroare interna OpenEMR');
INSERT INTO `lang_definitions` VALUES (130652, 633, 25, 'Eroare interna phpGACL');
INSERT INTO `lang_definitions` VALUES (130653, 634, 25, 'Eroare interna SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (130654, 638, 25, 'O instanta GCAC a fost create. Trebuie completata ulterior.');
INSERT INTO `lang_definitions` VALUES (130655, 643, 25, 'A aparut o eroare interna in program, contactati furnizorul.');
INSERT INTO `lang_definitions` VALUES (130656, 644, 25, 'A aparut o eroare neasteptata');
INSERT INTO `lang_definitions` VALUES (130657, 646, 25, 'O litera mare');
INSERT INTO `lang_definitions` VALUES (130658, 647, 25, 'Analizat');
INSERT INTO `lang_definitions` VALUES (130659, 648, 25, 'si');
INSERT INTO `lang_definitions` VALUES (130660, 649, 25, 'Si');
INSERT INTO `lang_definitions` VALUES (130661, 650, 25, 'SI');
INSERT INTO `lang_definitions` VALUES (130662, 651, 25, 'si');
INSERT INTO `lang_definitions` VALUES (130663, 652, 25, 'si toate datele subordonate? Aceasta actiune va fi inregistrata');
INSERT INTO `lang_definitions` VALUES (130664, 653, 25, 'si modificator');
INSERT INTO `lang_definitions` VALUES (130665, 654, 25, 'si prelucrate');
INSERT INTO `lang_definitions` VALUES (130666, 656, 25, 'si reporneste serverul Apache');
INSERT INTO `lang_definitions` VALUES (130667, 657, 25, 'si motivul este');
INSERT INTO `lang_definitions` VALUES (130668, 659, 25, 'Anemie');
INSERT INTO `lang_definitions` VALUES (130669, 660, 25, 'Glezna');
INSERT INTO `lang_definitions` VALUES (130670, 661, 25, 'Glezna+calcai');
INSERT INTO `lang_definitions` VALUES (130671, 662, 25, 'Formular de evaluarea gleznei');
INSERT INTO `lang_definitions` VALUES (130672, 663, 25, 'Problemele gleznei');
INSERT INTO `lang_definitions` VALUES (130673, 664, 25, 'Spondilita anchilozanta');
INSERT INTO `lang_definitions` VALUES (130674, 665, 25, 'Spondilita anchilozanta');
INSERT INTO `lang_definitions` VALUES (130675, 666, 25, 'Anorexie');
INSERT INTO `lang_definitions` VALUES (130676, 667, 25, 'Un alt lucru care se poate face in fereastra de inregistrare este cererea de o a doua facturare. Daca selectati acest checkbox  inainte de salvare, cererea iniţială va fi redeschisa si trimisa catre pagina de facturare, aceasta va fi procesata in timpul urmatoarei facturari.');
INSERT INTO `lang_definitions` VALUES (130677, 671, 25, 'ante');
INSERT INTO `lang_definitions` VALUES (130678, 672, 25, 'Adancimea camerei anterioare');
INSERT INTO `lang_definitions` VALUES (130679, 673, 25, 'Segment anterior');
INSERT INTO `lang_definitions` VALUES (130680, 674, 25, 'Valori implicite ale segmentului anterior');
INSERT INTO `lang_definitions` VALUES (130681, 675, 25, 'ant{{anterior}}');
INSERT INTO `lang_definitions` VALUES (130682, 676, 25, 'Anus nl, nicio sensibilitate rectala/ masa');
INSERT INTO `lang_definitions` VALUES (130683, 677, 25, 'Anxietate');
INSERT INTO `lang_definitions` VALUES (130684, 679, 25, 'Orice');
INSERT INTO `lang_definitions` VALUES (130685, 682, 25, 'Orice categorie');
INSERT INTO `lang_definitions` VALUES (130686, 688, 25, 'Orice parte din codul dorit sau descrierea lui');
INSERT INTO `lang_definitions` VALUES (130687, 689, 25, 'Orice parte din specialitatea dorita');
INSERT INTO `lang_definitions` VALUES (130688, 690, 25, 'Orice parte din ID medicamentului sau numele medicamentului');
INSERT INTO `lang_definitions` VALUES (130689, 691, 25, 'Orice parte din ID imunizarii sau numele imunizarii');
INSERT INTO `lang_definitions` VALUES (130690, 692, 25, 'Orice parte din numele pacientului, sau \'nume,prenume\',sau \"X-Y\"');
INSERT INTO `lang_definitions` VALUES (130691, 693, 25, 'Alte informatii relevante');
INSERT INTO `lang_definitions` VALUES (130692, 694, 25, 'Altceva s-a intamplat in acelasi timp?');
INSERT INTO `lang_definitions` VALUES (130693, 697, 25, 'APD{{afferent pupillary defect}}');
INSERT INTO `lang_definitions` VALUES (130694, 699, 25, 'API key for SMS Gateway.');
INSERT INTO `lang_definitions` VALUES (130695, 703, 25, 'Apnee');
INSERT INTO `lang_definitions` VALUES (130696, 710, 25, 'Aspect');
INSERT INTO `lang_definitions` VALUES (130697, 711, 25, 'Aspect:');
INSERT INTO `lang_definitions` VALUES (130698, 714, 25, 'Adauga aceasta nota');
INSERT INTO `lang_definitions` VALUES (130699, 716, 25, 'Adauga la nota existenta');
INSERT INTO `lang_definitions` VALUES (130700, 717, 25, 'Adauga la aceasta nota');
INSERT INTO `lang_definitions` VALUES (130701, 718, 25, 'Adauga la aceasta Nota');
INSERT INTO `lang_definitions` VALUES (130702, 719, 25, 'Apendicectomie');
INSERT INTO `lang_definitions` VALUES (130703, 720, 25, 'apendicectomie');
INSERT INTO `lang_definitions` VALUES (130704, 721, 25, 'Pacienti aplicabili');
INSERT INTO `lang_definitions` VALUES (130705, 722, 25, 'Aplicatie');
INSERT INTO `lang_definitions` VALUES (130706, 723, 25, 'Numele aplicatiei pentru pagina de autentificare si titlu ferestrei principale');
INSERT INTO `lang_definitions` VALUES (130707, 724, 25, 'Application Receiver Code (GS03 - If blank ISA08 will be used)');
INSERT INTO `lang_definitions` VALUES (130708, 725, 25, 'Application Sender Code (GS02)');
INSERT INTO `lang_definitions` VALUES (130709, 726, 25, 'Titlul aplicatiei');
INSERT INTO `lang_definitions` VALUES (130710, 727, 25, 'Se aplica formularului ref la semnele vitale si la graficul de crestere');
INSERT INTO `lang_definitions` VALUES (130711, 728, 25, 'Se aplica formularului ref la semnele vitale');
INSERT INTO `lang_definitions` VALUES (130712, 729, 25, 'Doriti aplicarea modificarilor efectuate pentru evenimentul actual, pentru evenimentul actual si cele ce vor urma sau pentru absolut toate evenimentele?');
INSERT INTO `lang_definitions` VALUES (130713, 730, 25, 'Aplica pe zona afectata');
INSERT INTO `lang_definitions` VALUES (130714, 731, 25, 'Aplica pe piele');
INSERT INTO `lang_definitions` VALUES (130715, 732, 25, 'Aplicand');
INSERT INTO `lang_definitions` VALUES (130716, 733, 25, 'Aplicarea plasturelui pe zona afectata');
INSERT INTO `lang_definitions` VALUES (130717, 734, 25, 'Programare');
INSERT INTO `lang_definitions` VALUES (130718, 735, 25, 'Categorie programare');
INSERT INTO `lang_definitions` VALUES (130719, 736, 25, 'Data progamare');
INSERT INTO `lang_definitions` VALUES (130720, 737, 25, 'Appointment Display Sets - Color 1');
INSERT INTO `lang_definitions` VALUES (130721, 738, 25, 'Appointment Display Sets - Color 2');
INSERT INTO `lang_definitions` VALUES (130722, 739, 25, 'Appointment Display Sets - Color 3');
INSERT INTO `lang_definitions` VALUES (130723, 740, 25, 'Appointment Display Sets - Color 4');
INSERT INTO `lang_definitions` VALUES (130724, 741, 25, 'Appointment Display Sets - Ignore Display Limit (Last Set)');
INSERT INTO `lang_definitions` VALUES (130725, 742, 25, 'Mod de afisare a programarii');
INSERT INTO `lang_definitions` VALUES (130726, 744, 25, 'Regula de reamintire a programarii');
INSERT INTO `lang_definitions` VALUES (130727, 746, 25, 'Starea programarii');
INSERT INTO `lang_definitions` VALUES (130728, 747, 25, 'Starile programarilor');
INSERT INTO `lang_definitions` VALUES (130729, 748, 25, 'Programare in');
INSERT INTO `lang_definitions` VALUES (130730, 749, 25, 'Culoarea programarii/ evenimentului');
INSERT INTO `lang_definitions` VALUES (130731, 750, 25, 'Programari');
INSERT INTO `lang_definitions` VALUES (130732, 751, 25, 'Programari (scrie optional)');
INSERT INTO `lang_definitions` VALUES (130733, 752, 25, 'Programari (scrieri optionale)');
INSERT INTO `lang_definitions` VALUES (130734, 755, 25, 'Programari - Portal Pacient Onsite - Numarul de afisat');
INSERT INTO `lang_definitions` VALUES (130735, 756, 25, 'Programari - Rezumat pacient - Numar de afisare');
INSERT INTO `lang_definitions` VALUES (130736, 758, 25, 'Programari si consultatii');
INSERT INTO `lang_definitions` VALUES (130737, 759, 25, 'Programari pentru');
INSERT INTO `lang_definitions` VALUES (130738, 760, 25, 'Raport programari');
INSERT INTO `lang_definitions` VALUES (130739, 761, 25, 'Raport programari - consultatii');
INSERT INTO `lang_definitions` VALUES (130740, 763, 25, 'Teste adecvate pentru copiii cu faringită (CQM)');
INSERT INTO `lang_definitions` VALUES (130741, 764, 25, 'Aproba');
INSERT INTO `lang_definitions` VALUES (130742, 766, 25, 'Aproba pacientul de la: Pacient/Client->Importare->Aprobare in asteptare');
INSERT INTO `lang_definitions` VALUES (130743, 767, 25, 'Aprobat');
INSERT INTO `lang_definitions` VALUES (130744, 768, 25, 'Administrare evenimentelor aprobate');
INSERT INTO `lang_definitions` VALUES (130745, 769, 25, 'Aprobare cu succes');
INSERT INTO `lang_definitions` VALUES (130746, 773, 25, 'Durata vizita medicala');
INSERT INTO `lang_definitions` VALUES (130747, 774, 25, 'Vizite-Intalniri');
INSERT INTO `lang_definitions` VALUES (130748, 776, 25, 'Vizite');
INSERT INTO `lang_definitions` VALUES (130749, 778, 25, 'App{{Applanation abbreviation}}');
INSERT INTO `lang_definitions` VALUES (130750, 779, 25, 'Apr');
INSERT INTO `lang_definitions` VALUES (130751, 780, 25, 'Aprilie');
INSERT INTO `lang_definitions` VALUES (130752, 781, 25, 'AP{{applanation}}');
INSERT INTO `lang_definitions` VALUES (130753, 782, 25, 'Arabic');
INSERT INTO `lang_definitions` VALUES (130754, 783, 25, 'Aragonese');
INSERT INTO `lang_definitions` VALUES (130755, 784, 25, 'Arhiva');
INSERT INTO `lang_definitions` VALUES (130756, 785, 25, 'Archive Log Files');
INSERT INTO `lang_definitions` VALUES (130757, 786, 25, 'Archive old files');
INSERT INTO `lang_definitions` VALUES (130758, 787, 25, 'Are access control group names to be translated?');
INSERT INTO `lang_definitions` VALUES (130759, 788, 25, 'Este necesar ca numele categoriilor de vizite sa fie traduse?');
INSERT INTO `lang_definitions` VALUES (130760, 789, 25, 'Este necesara traducerea numelor categoriilor de documente?');
INSERT INTO `lang_definitions` VALUES (130761, 790, 25, 'Sunt taxele percepute pentru acest tip?');
INSERT INTO `lang_definitions` VALUES (130762, 791, 25, 'sunt inchise');
INSERT INTO `lang_definitions` VALUES (130763, 792, 25, 'sunt deschise');
INSERT INTO `lang_definitions` VALUES (130764, 793, 25, 'Sunt titluri nota de pacienti pentru a fi traduse?');
INSERT INTO `lang_definitions` VALUES (130765, 794, 25, 'Are the codes stored in external sql tables (0-No, 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2)) ?');
INSERT INTO `lang_definitions` VALUES (130766, 795, 25, 'Esti pregatit sa completezi recenzia  pentru aceasta vizita?');
INSERT INTO `lang_definitions` VALUES (130767, 797, 25, 'Esti sigur ca ai postat pentru azi?');
INSERT INTO `lang_definitions` VALUES (130768, 798, 25, 'Esti sigur ca vrei sa aprobi acest eveniment?');
INSERT INTO `lang_definitions` VALUES (130769, 799, 25, 'Esti sigur ca doresti anularea modificarilor efectuate?');
INSERT INTO `lang_definitions` VALUES (130770, 801, 25, 'Sigur doriti sa eliminati complet acest formular?');
INSERT INTO `lang_definitions` VALUES (130771, 803, 25, 'Sigur doriti stergerea');
INSERT INTO `lang_definitions` VALUES (130772, 804, 25, 'Sigur doriti sa stergeti aceasta dezvaluire?');
INSERT INTO `lang_definitions` VALUES (130773, 805, 25, 'Sunteti sigur ca doriti sa stergeti acest eveniment?');
INSERT INTO `lang_definitions` VALUES (130774, 806, 25, 'Sunteti sigur ca doriti sa stergeti acest item din baza de date?');
INSERT INTO `lang_definitions` VALUES (130775, 808, 25, 'Sunteti sigur ca doriti sa stergeti aceasta nota?');
INSERT INTO `lang_definitions` VALUES (130776, 809, 25, 'Sunteti sigur ca doriti sa stergeti acest plan?');
INSERT INTO `lang_definitions` VALUES (130777, 810, 25, 'Sunteti sigur ca doriti sa stergeti aceste evenimente?');
INSERT INTO `lang_definitions` VALUES (130778, 811, 25, 'Sunteti sigur ca doriti sa ascundeti aceste evenimente?');
INSERT INTO `lang_definitions` VALUES (130779, 813, 25, 'Sunteti sigur ca doriti sa transmiteti din nou?');
INSERT INTO `lang_definitions` VALUES (130780, 814, 25, 'Sunteti sigur ca doriti sa vedeti aceste evenimente?');
INSERT INTO `lang_definitions` VALUES (130781, 815, 25, 'Sunteti sigur ca doriti sa stergeti grupul numit');
INSERT INTO `lang_definitions` VALUES (130782, 816, 25, 'Sunteti sigur ca doriti sa stergeti intreaga lista');
INSERT INTO `lang_definitions` VALUES (130783, 817, 25, 'Sunteți sigur ca doriti sa stergeti campul din');
INSERT INTO `lang_definitions` VALUES (130784, 818, 25, 'Sunteti sigur ca doriti sa stergeti campurile selectate?');
INSERT INTO `lang_definitions` VALUES (130785, 819, 25, 'Sunteti sigur ca doriti sa continuati aceasta actiune?');
INSERT INTO `lang_definitions` VALUES (130786, 820, 25, 'Zona nespecificata');
INSERT INTO `lang_definitions` VALUES (130787, 821, 25, 'Brat');
INSERT INTO `lang_definitions` VALUES (130788, 822, 25, 'Armean');
INSERT INTO `lang_definitions` VALUES (130789, 823, 25, 'ARNear{{Auto-refraction near acuity}}');
INSERT INTO `lang_definitions` VALUES (130790, 824, 25, 'ARNear{{autorefraction near}}');
INSERT INTO `lang_definitions` VALUES (130791, 826, 25, 'Timpul sosirii');
INSERT INTO `lang_definitions` VALUES (130792, 827, 25, 'Sosit');
INSERT INTO `lang_definitions` VALUES (130793, 828, 25, 'Sosit tarziu');
INSERT INTO `lang_definitions` VALUES (130794, 829, 25, 'Aritmie');
INSERT INTO `lang_definitions` VALUES (130795, 830, 25, 'Artrita');
INSERT INTO `lang_definitions` VALUES (130796, 831, 25, 'Artrita / degenerarea incheieturilor');
INSERT INTO `lang_definitions` VALUES (130797, 832, 25, 'Artrita / degenerarea incheieturilor');
INSERT INTO `lang_definitions` VALUES (130798, 834, 25, 'AR{{Autorefraction Acuity}}');
INSERT INTO `lang_definitions` VALUES (130799, 835, 25, 'AR{{autorefraction}}');
INSERT INTO `lang_definitions` VALUES (130800, 836, 25, 'ca');
INSERT INTO `lang_definitions` VALUES (130801, 838, 25, 'Ca de');
INSERT INTO `lang_definitions` VALUES (130802, 844, 25, 'ASC');
INSERT INTO `lang_definitions` VALUES (130803, 845, 25, 'Asiatic');
INSERT INTO `lang_definitions` VALUES (130804, 846, 25, 'Asameza');
INSERT INTO `lang_definitions` VALUES (130805, 847, 25, 'Evalueaza alergie Penicilina');
INSERT INTO `lang_definitions` VALUES (130806, 848, 25, 'Evaluare');
INSERT INTO `lang_definitions` VALUES (130807, 849, 25, 'Asignati la aceasta?');
INSERT INTO `lang_definitions` VALUES (130808, 853, 25, 'Asignat pentru');
INSERT INTO `lang_definitions` VALUES (130809, 854, 25, 'Asistent');
INSERT INTO `lang_definitions` VALUES (130810, 855, 25, 'Azil cu trai asistat');
INSERT INTO `lang_definitions` VALUES (130811, 856, 25, 'Asociaza');
INSERT INTO `lang_definitions` VALUES (130812, 857, 25, 'Asociat');
INSERT INTO `lang_definitions` VALUES (130813, 861, 25, 'Astm');
INSERT INTO `lang_definitions` VALUES (130814, 862, 25, 'la');
INSERT INTO `lang_definitions` VALUES (130815, 863, 25, 'Este necesara selectarea a cel putin unui parametru de cautare la selectarea \"toate\"');
INSERT INTO `lang_definitions` VALUES (130816, 866, 25, 'La osul navicular');
INSERT INTO `lang_definitions` VALUES (130817, 867, 25, 'La osul navicular:');
INSERT INTO `lang_definitions` VALUES (130818, 868, 25, 'Echipa atletica');
INSERT INTO `lang_definitions` VALUES (130819, 869, 25, 'Echipa atletica');
INSERT INTO `lang_definitions` VALUES (130820, 870, 25, 'Atletic/Accidentare');
INSERT INTO `lang_definitions` VALUES (130821, 871, 25, 'ATNA audit CA certificate');
INSERT INTO `lang_definitions` VALUES (130822, 872, 25, 'ATNA audit host');
INSERT INTO `lang_definitions` VALUES (130823, 873, 25, 'ATNA certificat local audit');
INSERT INTO `lang_definitions` VALUES (130824, 874, 25, 'ATNA audit port');
INSERT INTO `lang_definitions` VALUES (130825, 875, 25, 'Atropine 1%');
INSERT INTO `lang_definitions` VALUES (130826, 876, 25, 'Medicul principal');
INSERT INTO `lang_definitions` VALUES (130827, 877, 25, 'Atentie');
INSERT INTO `lang_definitions` VALUES (130828, 879, 25, 'Attn');
INSERT INTO `lang_definitions` VALUES (130829, 881, 25, 'Medic probleme auditive');
INSERT INTO `lang_definitions` VALUES (130830, 883, 25, 'Audit CDR Engine Queries');
INSERT INTO `lang_definitions` VALUES (130831, 885, 25, 'Audit Log Tamper');
INSERT INTO `lang_definitions` VALUES (130832, 886, 25, 'Audit Log Tamper Report');
INSERT INTO `lang_definitions` VALUES (130833, 887, 25, 'Audit log tampering evident at entry number');
INSERT INTO `lang_definitions` VALUES (130834, 888, 25, 'Audit Log Validated Successfully');
INSERT INTO `lang_definitions` VALUES (130835, 889, 25, 'Audit Log Validation Failed');
INSERT INTO `lang_definitions` VALUES (130836, 890, 25, 'Audit Logging Backups');
INSERT INTO `lang_definitions` VALUES (130837, 891, 25, 'Audit Logging Miscellaneous');
INSERT INTO `lang_definitions` VALUES (130838, 892, 25, 'Audit Logging Order');
INSERT INTO `lang_definitions` VALUES (130839, 893, 25, 'Audit Logging Patient Record');
INSERT INTO `lang_definitions` VALUES (130840, 894, 25, 'Audit Logging Scheduling');
INSERT INTO `lang_definitions` VALUES (130841, 895, 25, 'Audit Logging Security Administration');
INSERT INTO `lang_definitions` VALUES (130842, 896, 25, 'Audit Logging SELECT Query');
INSERT INTO `lang_definitions` VALUES (130843, 898, 25, 'Aug');
INSERT INTO `lang_definitions` VALUES (130844, 899, 25, 'August');
INSERT INTO `lang_definitions` VALUES (130845, 900, 25, 'Matusa');
INSERT INTO `lang_definitions` VALUES (130846, 901, 25, 'Autor');
INSERT INTO `lang_definitions` VALUES (130847, 902, 25, 'Autor/note');
INSERT INTO `lang_definitions` VALUES (130848, 918, 25, 'Autentificator');
INSERT INTO `lang_definitions` VALUES (130849, 920, 25, 'Autor');
INSERT INTO `lang_definitions` VALUES (130850, 922, 25, 'Grup cu autorizatie');
INSERT INTO `lang_definitions` VALUES (130851, 923, 25, 'Starea autorizatiei');
INSERT INTO `lang_definitions` VALUES (130852, 924, 25, 'Autorizatii');
INSERT INTO `lang_definitions` VALUES (130853, 925, 25, 'Autoriza');
INSERT INTO `lang_definitions` VALUES (130854, 926, 25, 'Autorizeaza-orice consultatie');
INSERT INTO `lang_definitions` VALUES (130855, 928, 25, 'Autorizeaza consultatia mea');
INSERT INTO `lang_definitions` VALUES (130856, 933, 25, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (130857, 934, 25, 'Autorizat');
INSERT INTO `lang_definitions` VALUES (130858, 936, 25, 'Numai cei autorizati');
INSERT INTO `lang_definitions` VALUES (130859, 940, 25, 'Autorefractar');
INSERT INTO `lang_definitions` VALUES (130860, 941, 25, 'Autotrimitere');
INSERT INTO `lang_definitions` VALUES (130861, 942, 25, 'Iesire cont automata [nr. zile]');
INSERT INTO `lang_definitions` VALUES (130862, 943, 25, 'Transfer automat');
INSERT INTO `lang_definitions` VALUES (130863, 944, 25, 'Creare automata de consultatii noi');
INSERT INTO `lang_definitions` VALUES (130864, 945, 25, 'Generare automata');
INSERT INTO `lang_definitions` VALUES (130865, 947, 25, 'Calcule automate de masuri AMC');
INSERT INTO `lang_definitions` VALUES (130866, 948, 25, 'Automated Measure Calculations (AMC) - 2011');
INSERT INTO `lang_definitions` VALUES (130867, 949, 25, 'Automated Measure Calculations (AMC) - 2014');
INSERT INTO `lang_definitions` VALUES (130868, 950, 25, 'Automated Measure Calculations (AMC) - 2014 Stage I');
INSERT INTO `lang_definitions` VALUES (130869, 951, 25, 'Automated Measure Calculations (AMC) - 2014 Stage II');
INSERT INTO `lang_definitions` VALUES (130870, 952, 25, 'Urmarire calcule automate de masura AMC');
INSERT INTO `lang_definitions` VALUES (130871, 953, 25, 'Masuri automate AMC');
INSERT INTO `lang_definitions` VALUES (130872, 955, 25, 'Automat');
INSERT INTO `lang_definitions` VALUES (130873, 956, 25, 'Automat din vanzare');
INSERT INTO `lang_definitions` VALUES (130874, 958, 25, 'Creare automata a unei consultatii noi cand este selectata caseta');
INSERT INTO `lang_definitions` VALUES (130875, 959, 25, 'Creare automata a unei consultatii noi cand statusul programarii actuale este setat la \"@\" - (sosit)');
INSERT INTO `lang_definitions` VALUES (130876, 960, 25, 'Duplicare automata a codurilor in fisa de costuri');
INSERT INTO `lang_definitions` VALUES (130877, 961, 25, 'Duplicare automata a codurilor in fisa de costuri (completeaza automata codurile, fara a mai fi nevoia de introducere manuala)');
INSERT INTO `lang_definitions` VALUES (130878, 962, 25, 'Automobil medical');
INSERT INTO `lang_definitions` VALUES (130879, 964, 25, 'autosalvare');
INSERT INTO `lang_definitions` VALUES (130880, 965, 25, 'Auto{{autorefraction}}');
INSERT INTO `lang_definitions` VALUES (130881, 967, 25, 'Categorii disponibile');
INSERT INTO `lang_definitions` VALUES (130882, 971, 25, 'Timp disponibil');
INSERT INTO `lang_definitions` VALUES (130883, 972, 25, 'Ferestre libere');
INSERT INTO `lang_definitions` VALUES (130884, 973, 25, 'Scump');
INSERT INTO `lang_definitions` VALUES (130885, 974, 25, 'Eticheta pentru printare date pacient din ecran navigare');
INSERT INTO `lang_definitions` VALUES (130886, 975, 25, 'Avestica');
INSERT INTO `lang_definitions` VALUES (130887, 976, 25, 'Medie lunara');
INSERT INTO `lang_definitions` VALUES (130888, 980, 25, 'Smulgere/ smulgere fractura');
INSERT INTO `lang_definitions` VALUES (130889, 981, 25, 'Smulgerea maleolei laterale');
INSERT INTO `lang_definitions` VALUES (130890, 982, 25, 'Smulgerea maleolei mediene');
INSERT INTO `lang_definitions` VALUES (130891, 983, 25, 'Bazate pe gradul de conştientizare');
INSERT INTO `lang_definitions` VALUES (130892, 984, 25, 'Lungime Axiala');
INSERT INTO `lang_definitions` VALUES (130893, 985, 25, 'Axilar');
INSERT INTO `lang_definitions` VALUES (130894, 987, 25, 'Axis{{Axis of a glasses prescription}}');
INSERT INTO `lang_definitions` VALUES (130895, 988, 25, 'AXIS{{Axis of a glasses prescription}}');
INSERT INTO `lang_definitions` VALUES (130896, 989, 25, 'AxLength{{axial Length}}');
INSERT INTO `lang_definitions` VALUES (130897, 990, 25, 'Aymara');
INSERT INTO `lang_definitions` VALUES (130898, 991, 25, 'Azera');
INSERT INTO `lang_definitions` VALUES (130899, 992, 25, 'b.i.d.');
INSERT INTO `lang_definitions` VALUES (130900, 993, 25, 'Inapoi');
INSERT INTO `lang_definitions` VALUES (130901, 994, 25, 'inapoi');
INSERT INTO `lang_definitions` VALUES (130902, 995, 25, 'Opt vizite in urma');
INSERT INTO `lang_definitions` VALUES (130903, 996, 25, 'Unsprezece vizite in urma');
INSERT INTO `lang_definitions` VALUES (130904, 997, 25, 'Cinci vizite in urma');
INSERT INTO `lang_definitions` VALUES (130905, 998, 25, 'Patru vizite in urma');
INSERT INTO `lang_definitions` VALUES (130906, 999, 25, 'Noua vizite in urma');
INSERT INTO `lang_definitions` VALUES (130907, 1000, 25, 'O vizita in urma');
INSERT INTO `lang_definitions` VALUES (130908, 1001, 25, 'Durere de spate');
INSERT INTO `lang_definitions` VALUES (130909, 1002, 25, 'Probleme cu spatele');
INSERT INTO `lang_definitions` VALUES (130910, 1003, 25, 'Sapte vizite in urma');
INSERT INTO `lang_definitions` VALUES (130911, 1004, 25, 'Sase vizite in urma');
INSERT INTO `lang_definitions` VALUES (130912, 1005, 25, 'Interventie chirurgicala spate');
INSERT INTO `lang_definitions` VALUES (130913, 1006, 25, 'Zece vizite in urma');
INSERT INTO `lang_definitions` VALUES (130914, 1007, 25, 'Trei vizite in urma');
INSERT INTO `lang_definitions` VALUES (130915, 1008, 25, 'Inapoi la pagina de Admin');
INSERT INTO `lang_definitions` VALUES (130916, 1011, 25, 'Inapoi la consultatie');
INSERT INTO `lang_definitions` VALUES (130917, 1012, 25, 'Inapoi la Pacient');
INSERT INTO `lang_definitions` VALUES (130918, 1013, 25, 'Inapoi la Pacient');
INSERT INTO `lang_definitions` VALUES (130919, 1015, 25, 'Inapoi la Utilizator');
INSERT INTO `lang_definitions` VALUES (130920, 1016, 25, 'Inapoi la Vizualizare');
INSERT INTO `lang_definitions` VALUES (130921, 1017, 25, 'Douasprezece vizite in urma');
INSERT INTO `lang_definitions` VALUES (130922, 1018, 25, 'Doua vizite in urma');
INSERT INTO `lang_definitions` VALUES (130923, 1019, 25, 'Serviciile de fundal');
INSERT INTO `lang_definitions` VALUES (130924, 1020, 25, 'Backup');
INSERT INTO `lang_definitions` VALUES (130925, 1022, 25, 'Backup file has been created. Will now send download.');
INSERT INTO `lang_definitions` VALUES (130926, 1023, 25, 'Backup List');
INSERT INTO `lang_definitions` VALUES (130927, 1024, 25, 'Backup Successfully taken in');
INSERT INTO `lang_definitions` VALUES (130928, 1025, 25, 'Bad check');
INSERT INTO `lang_definitions` VALUES (130929, 1026, 25, 'Debit/ datorie eronata');
INSERT INTO `lang_definitions` VALUES (130930, 1027, 25, 'Indonezia');
INSERT INTO `lang_definitions` VALUES (130931, 1028, 25, 'Bal');
INSERT INTO `lang_definitions` VALUES (130932, 1031, 25, 'Balanta');
INSERT INTO `lang_definitions` VALUES (130933, 1032, 25, 'balanta');
INSERT INTO `lang_definitions` VALUES (130934, 1033, 25, 'Suma din sold');
INSERT INTO `lang_definitions` VALUES (130935, 1034, 25, 'Sold debitor');
INSERT INTO `lang_definitions` VALUES (130936, 1035, 25, 'Sold Plata');
INSERT INTO `lang_definitions` VALUES (130937, 1036, 25, 'Echilibrat');
INSERT INTO `lang_definitions` VALUES (130938, 1037, 25, 'Bambara');
INSERT INTO `lang_definitions` VALUES (130939, 1038, 25, 'Proiectul de banca');
INSERT INTO `lang_definitions` VALUES (130940, 1039, 25, 'Barcode Label');
INSERT INTO `lang_definitions` VALUES (130941, 1040, 25, 'Barcode Label Type');
INSERT INTO `lang_definitions` VALUES (130942, 1041, 25, 'Barcode type for printing barcode labels from popups in left nav screen.');
INSERT INTO `lang_definitions` VALUES (130943, 1042, 25, 'Baza celui de-al cincilea metatarsian');
INSERT INTO `lang_definitions` VALUES (130944, 1043, 25, 'Baza celui de-al cincilea metatarsian:');
INSERT INTO `lang_definitions` VALUES (130945, 1047, 25, 'Baschira');
INSERT INTO `lang_definitions` VALUES (130946, 1049, 25, 'Basca');
INSERT INTO `lang_definitions` VALUES (130947, 1050, 25, 'Cerere lot');
INSERT INTO `lang_definitions` VALUES (130948, 1051, 25, 'Instrument de comunicare lot');
INSERT INTO `lang_definitions` VALUES (130949, 1053, 25, 'Intrare plata lot');
INSERT INTO `lang_definitions` VALUES (130950, 1054, 25, 'Platile lotului');
INSERT INTO `lang_definitions` VALUES (130951, 1055, 25, 'Procesarea lotului initiata, dureaza un timp');
INSERT INTO `lang_definitions` VALUES (130952, 1056, 25, 'Rezultatele lotului');
INSERT INTO `lang_definitions` VALUES (130953, 1057, 25, 'Comunicare');
INSERT INTO `lang_definitions` VALUES (130954, 1058, 25, 'BAT{{Brightness Acuity Testing}}');
INSERT INTO `lang_definitions` VALUES (130955, 1059, 25, 'BC{{Base Curve}}');
INSERT INTO `lang_definitions` VALUES (130956, 1060, 25, 'Be patient, some files can take several minutes to process!');
INSERT INTO `lang_definitions` VALUES (130957, 1063, 25, 'pentru ca acest id nu exista');
INSERT INTO `lang_definitions` VALUES (130958, 1072, 25, 'Incepe');
INSERT INTO `lang_definitions` VALUES (130959, 1074, 25, 'Data de inceput');
INSERT INTO `lang_definitions` VALUES (130960, 1076, 25, 'Data de inceput pentru raportul de Carte Mare');
INSERT INTO `lang_definitions` VALUES (130961, 1077, 25, 'Data de inceput a serviciului yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (130962, 1078, 25, 'Ora de inceput din zi pentru calendarul evenimentelor.');
INSERT INTO `lang_definitions` VALUES (130963, 1081, 25, 'Belarus');
INSERT INTO `lang_definitions` VALUES (130964, 1082, 25, 'Ragait');
INSERT INTO `lang_definitions` VALUES (130965, 1083, 25, 'Sub limitele inferioare de panica');
INSERT INTO `lang_definitions` VALUES (130966, 1086, 25, 'Bengal');
INSERT INTO `lang_definitions` VALUES (130967, 1087, 25, 'Bengali');
INSERT INTO `lang_definitions` VALUES (130968, 1089, 25, 'intre');
INSERT INTO `lang_definitions` VALUES (130969, 1090, 25, 'bg{{image canvas label}}');
INSERT INTO `lang_definitions` VALUES (130970, 1091, 25, 'Bidirectional');
INSERT INTO `lang_definitions` VALUES (130971, 1092, 25, 'Bifocal');
INSERT INTO `lang_definitions` VALUES (130972, 1093, 25, 'Bifocals');
INSERT INTO `lang_definitions` VALUES (130973, 1094, 25, 'Bihari');
INSERT INTO `lang_definitions` VALUES (130974, 1095, 25, 'bilateral');
INSERT INTO `lang_definitions` VALUES (130975, 1096, 25, 'Bilateral:');
INSERT INTO `lang_definitions` VALUES (130976, 1098, 25, 'Data facturare');
INSERT INTO `lang_definitions` VALUES (130977, 1099, 25, 'Data facturii');
INSERT INTO `lang_definitions` VALUES (130978, 1101, 25, 'Factura/Incasare');
INSERT INTO `lang_definitions` VALUES (130979, 1102, 25, 'Facturat');
INSERT INTO `lang_definitions` VALUES (130980, 1103, 25, 'Data facturare');
INSERT INTO `lang_definitions` VALUES (130981, 1104, 25, 'Facturare');
INSERT INTO `lang_definitions` VALUES (130982, 1105, 25, 'Facturare (scriere optionala)');
INSERT INTO `lang_definitions` VALUES (130983, 1109, 25, 'Facturare');
INSERT INTO `lang_definitions` VALUES (130984, 1110, 25, 'Descrieri coduri facturare');
INSERT INTO `lang_definitions` VALUES (130985, 1111, 25, 'Coduri facturare pentru serviciile cerute');
INSERT INTO `lang_definitions` VALUES (130986, 1112, 25, 'Coduri facturare');
INSERT INTO `lang_definitions` VALUES (130987, 1113, 25, 'Date facturare');
INSERT INTO `lang_definitions` VALUES (130988, 1114, 25, 'Departament facturare');
INSERT INTO `lang_definitions` VALUES (130989, 1115, 25, 'Unitatea de facturare');
INSERT INTO `lang_definitions` VALUES (130990, 1117, 25, 'Informatii facturare');
INSERT INTO `lang_definitions` VALUES (130991, 1118, 25, 'Locul facturarii');
INSERT INTO `lang_definitions` VALUES (130992, 1120, 25, 'Istoric facturari');
INSERT INTO `lang_definitions` VALUES (130993, 1122, 25, 'Optiuni istoric facturari');
INSERT INTO `lang_definitions` VALUES (130994, 1123, 25, 'Suprascriere istoric facturari');
INSERT INTO `lang_definitions` VALUES (130995, 1124, 25, 'Setari istoric facturari pentru adaugare sau suprascriere');
INSERT INTO `lang_definitions` VALUES (130996, 1125, 25, 'Manager facturari');
INSERT INTO `lang_definitions` VALUES (130997, 1126, 25, 'Note facturari');
INSERT INTO `lang_definitions` VALUES (130998, 1127, 25, 'Nota facturare pentru');
INSERT INTO `lang_definitions` VALUES (130999, 1128, 25, 'Nota facturare:');
INSERT INTO `lang_definitions` VALUES (131000, 1129, 25, 'Rezultatele ordinelor de facturare');
INSERT INTO `lang_definitions` VALUES (131001, 1130, 25, 'Rezultatele ordinelor de facturare:');
INSERT INTO `lang_definitions` VALUES (131002, 1131, 25, 'Raport facturare');
INSERT INTO `lang_definitions` VALUES (131003, 1132, 25, 'Stare facturare');
INSERT INTO `lang_definitions` VALUES (131004, 1133, 25, 'Stare facturare = Nefacturat');
INSERT INTO `lang_definitions` VALUES (131005, 1134, 25, 'facturare catre');
INSERT INTO `lang_definitions` VALUES (131006, 1135, 25, 'Vizionare facturare');
INSERT INTO `lang_definitions` VALUES (131007, 1136, 25, 'Binocular Pupillary Diameter - Distance');
INSERT INTO `lang_definitions` VALUES (131008, 1137, 25, 'Binocular Pupillary Diameter - Near');
INSERT INTO `lang_definitions` VALUES (131009, 1138, 25, 'Biopsie');
INSERT INTO `lang_definitions` VALUES (131010, 1139, 25, 'Certificat de Nastere');
INSERT INTO `lang_definitions` VALUES (131011, 1140, 25, 'Data nasterii');
INSERT INTO `lang_definitions` VALUES (131012, 1141, 25, 'Nastere-24 luni');
INSERT INTO `lang_definitions` VALUES (131013, 1142, 25, 'Maternitate');
INSERT INTO `lang_definitions` VALUES (131014, 1143, 25, 'Bislama');
INSERT INTO `lang_definitions` VALUES (131015, 1144, 25, 'Negru');
INSERT INTO `lang_definitions` VALUES (131016, 1147, 25, 'Plaman negru - sangerare');
INSERT INTO `lang_definitions` VALUES (131017, 1148, 25, 'Negru sau african american');
INSERT INTO `lang_definitions` VALUES (131018, 1149, 25, 'Cancer de vezica urinara');
INSERT INTO `lang_definitions` VALUES (131019, 1150, 25, 'Infectii ale vezicii urinare');
INSERT INTO `lang_definitions` VALUES (131020, 1151, 25, 'Gol');
INSERT INTO `lang_definitions` VALUES (131021, 1152, 25, 'Formulare goale');
INSERT INTO `lang_definitions` VALUES (131022, 1153, 25, 'Probleme sangerare');
INSERT INTO `lang_definitions` VALUES (131023, 1154, 25, 'Unghiuri moarte');
INSERT INTO `lang_definitions` VALUES (131024, 1155, 25, 'Orbire');
INSERT INTO `lang_definitions` VALUES (131025, 1156, 25, 'Balonare');
INSERT INTO `lang_definitions` VALUES (131026, 1158, 25, 'Blocat');
INSERT INTO `lang_definitions` VALUES (131027, 1159, 25, 'Sange');
INSERT INTO `lang_definitions` VALUES (131028, 1160, 25, 'Tensiune Arteriala');
INSERT INTO `lang_definitions` VALUES (131029, 1161, 25, 'Tensiune arteriala');
INSERT INTO `lang_definitions` VALUES (131030, 1162, 25, 'Sangerare nazala');
INSERT INTO `lang_definitions` VALUES (131031, 1163, 25, 'Crucea albastra Scutul Albastru');
INSERT INTO `lang_definitions` VALUES (131032, 1165, 25, 'Liniile de culoare albastra au doar scop informational. Cele negre semnalizeaza informatii care existau deja in  raport. Cele verzi arata schimbarile care au fost aplicate cu succes. Cele rosii arata schimbari care nu au fost salvate sau erori - acestea trebuiesc prelucrate manual. Cererile sau facturarile care au fost anulate nu sunt procesate automat si vor fi afisate in rosu.');
INSERT INTO `lang_definitions` VALUES (131033, 1166, 25, 'Vedere incetosata');
INSERT INTO `lang_definitions` VALUES (131034, 1167, 25, 'Index BMI');
INSERT INTO `lang_definitions` VALUES (131035, 1168, 25, 'Situatia BMI');
INSERT INTO `lang_definitions` VALUES (131036, 1169, 25, 'Corp');
INSERT INTO `lang_definitions` VALUES (131037, 1170, 25, 'Regiunea corpului');
INSERT INTO `lang_definitions` VALUES (131038, 1171, 25, 'Zona corpului');
INSERT INTO `lang_definitions` VALUES (131039, 1172, 25, 'Zona corpului, daca este cazul');
INSERT INTO `lang_definitions` VALUES (131040, 1173, 25, 'Structura osoasa slabita');
INSERT INTO `lang_definitions` VALUES (131041, 1174, 25, 'Structura osoasa slabita: Maleola Mediala');
INSERT INTO `lang_definitions` VALUES (131042, 1175, 25, 'Boolean');
INSERT INTO `lang_definitions` VALUES (131043, 1176, 25, 'Bosnia');
INSERT INTO `lang_definitions` VALUES (131044, 1177, 25, 'Paraziti');
INSERT INTO `lang_definitions` VALUES (131045, 1179, 25, 'Ambele urechi');
INSERT INTO `lang_definitions` VALUES (131046, 1180, 25, 'ambele urechi');
INSERT INTO `lang_definitions` VALUES (131047, 1183, 25, 'Baza');
INSERT INTO `lang_definitions` VALUES (131048, 1184, 25, 'Marginea de jos');
INSERT INTO `lang_definitions` VALUES (131049, 1187, 25, 'BOX10 A. Accidente de munca');
INSERT INTO `lang_definitions` VALUES (131050, 1189, 25, 'BOX10 B. Accident auto');
INSERT INTO `lang_definitions` VALUES (131051, 1191, 25, 'BOX10 C. Alte accidente');
INSERT INTO `lang_definitions` VALUES (131052, 1194, 25, 'BOX 10 D. EPSDT Referral Code');
INSERT INTO `lang_definitions` VALUES (131053, 1200, 25, 'BOX14  Date de calificare');
INSERT INTO `lang_definitions` VALUES (131054, 1201, 25, 'BOX 14. Is Populated from the Encounter Screen as the Onset Date');
INSERT INTO `lang_definitions` VALUES (131055, 1204, 25, 'BOX15 Alte date de calificare');
INSERT INTO `lang_definitions` VALUES (131056, 1205, 25, 'BOX 15.Data aceleiasi boli sau similare (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (131057, 1206, 25, 'BOX15 Data aceleiasi boli sau similare/ alta date (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (131058, 1210, 25, 'BOX 16. Data de lucru indisponibila');
INSERT INTO `lang_definitions` VALUES (131059, 1211, 25, 'BOX16. Data de cand nu a mai putut lucra (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (131060, 1214, 25, 'BOX 16 Data  pana cand nu a putut lucra');
INSERT INTO `lang_definitions` VALUES (131061, 1215, 25, 'BOX 16 Data  pana cand nu a putut lucra (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (131062, 1219, 25, 'BOX 17. Provider');
INSERT INTO `lang_definitions` VALUES (131063, 1221, 25, 'BOX 17. Provider Qualifier');
INSERT INTO `lang_definitions` VALUES (131064, 1226, 25, 'BOX 18. Data spitalizarii de la');
INSERT INTO `lang_definitions` VALUES (131065, 1227, 25, 'BOX18.Data spitalizarii de la (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (131066, 1230, 25, 'BOX 18. Data spitalizarii pana la');
INSERT INTO `lang_definitions` VALUES (131067, 1231, 25, 'BOX 18. Data spitalizarii pana la (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (131068, 1235, 25, 'BOX 20. Laboratorul folosit este unul extern?');
INSERT INTO `lang_definitions` VALUES (131069, 1239, 25, 'BOX 22. Medicaid Resubmission Code (ICD-9)');
INSERT INTO `lang_definitions` VALUES (131070, 1243, 25, 'BOX 23. Prior Authorization No.');
INSERT INTO `lang_definitions` VALUES (131071, 1244, 25, 'Presiune arteriala');
INSERT INTO `lang_definitions` VALUES (131072, 1245, 25, 'Diastolica');
INSERT INTO `lang_definitions` VALUES (131073, 1246, 25, 'Sistolica');
INSERT INTO `lang_definitions` VALUES (131074, 1247, 25, 'Displazie bronhopulmonara');
INSERT INTO `lang_definitions` VALUES (131075, 1248, 25, 'Bpd');
INSERT INTO `lang_definitions` VALUES (131076, 1249, 25, 'BPD-D{{abbreviation for Binocular Pupillary Diameter - Distance}}');
INSERT INTO `lang_definitions` VALUES (131077, 1250, 25, 'BPD-N{{abbreviation for Binocular Pupillary Diameter - Near}}');
INSERT INTO `lang_definitions` VALUES (131078, 1251, 25, 'Batai pe secunda');
INSERT INTO `lang_definitions` VALUES (131079, 1252, 25, 'Bps');
INSERT INTO `lang_definitions` VALUES (131080, 1253, 25, 'Brand');
INSERT INTO `lang_definitions` VALUES (131081, 1254, 25, 'Portughez Brazilian');
INSERT INTO `lang_definitions` VALUES (131082, 1255, 25, 'San');
INSERT INTO `lang_definitions` VALUES (131083, 1256, 25, 'Biopsie de san');
INSERT INTO `lang_definitions` VALUES (131084, 1257, 25, 'Secretii mamare');
INSERT INTO `lang_definitions` VALUES (131085, 1258, 25, 'Boli ale sanilor');
INSERT INTO `lang_definitions` VALUES (131086, 1259, 25, 'Examen la san');
INSERT INTO `lang_definitions` VALUES (131087, 1260, 25, 'Formatiune tumorala a sanului');
INSERT INTO `lang_definitions` VALUES (131088, 1261, 25, 'Respiratie');
INSERT INTO `lang_definitions` VALUES (131089, 1262, 25, 'Sunetul respiratiei:');
INSERT INTO `lang_definitions` VALUES (131090, 1263, 25, 'Breton');
INSERT INTO `lang_definitions` VALUES (131091, 1264, 25, 'Testare acuratețea luminozității');
INSERT INTO `lang_definitions` VALUES (131092, 1265, 25, 'Oase rupte');
INSERT INTO `lang_definitions` VALUES (131093, 1266, 25, 'broken form');
INSERT INTO `lang_definitions` VALUES (131094, 1267, 25, 'Bronsita de la');
INSERT INTO `lang_definitions` VALUES (131095, 1268, 25, 'Frate');
INSERT INTO `lang_definitions` VALUES (131096, 1269, 25, 'Frunte');
INSERT INTO `lang_definitions` VALUES (131097, 1270, 25, 'Browse');
INSERT INTO `lang_definitions` VALUES (131098, 1271, 25, 'Browse for Record');
INSERT INTO `lang_definitions` VALUES (131099, 1272, 25, 'Invinetire / hematom');
INSERT INTO `lang_definitions` VALUES (131100, 1274, 25, 'Construieste planul');
INSERT INTO `lang_definitions` VALUES (131101, 1275, 25, 'Bulgaria');
INSERT INTO `lang_definitions` VALUES (131102, 1276, 25, 'Umflare partea dreapta');
INSERT INTO `lang_definitions` VALUES (131103, 1277, 25, 'Birmanez');
INSERT INTO `lang_definitions` VALUES (131104, 1278, 25, 'Arsura la urinare');
INSERT INTO `lang_definitions` VALUES (131105, 1279, 25, 'Arsura la urinare');
INSERT INTO `lang_definitions` VALUES (131106, 1281, 25, 'Telefon servici');
INSERT INTO `lang_definitions` VALUES (131107, 1282, 25, 'Ocupat');
INSERT INTO `lang_definitions` VALUES (131108, 1283, 25, 'dar inca nu e procesat');
INSERT INTO `lang_definitions` VALUES (131109, 1284, 25, 'Fesa');
INSERT INTO `lang_definitions` VALUES (131110, 1285, 25, 'fesa +S.I.');
INSERT INTO `lang_definitions` VALUES (131111, 1286, 25, 'de');
INSERT INTO `lang_definitions` VALUES (131112, 1287, 25, 'de');
INSERT INTO `lang_definitions` VALUES (131113, 1293, 25, 'de gura');
INSERT INTO `lang_definitions` VALUES (131114, 1295, 25, 'de/sursa');
INSERT INTO `lang_definitions` VALUES (131115, 1296, 25, 'de:');
INSERT INTO `lang_definitions` VALUES (131116, 1297, 25, 'by{{made by/manufacturer}}');
INSERT INTO `lang_definitions` VALUES (131117, 1298, 25, 'B{{both sides}}');
INSERT INTO `lang_definitions` VALUES (131118, 1299, 25, 'C');
INSERT INTO `lang_definitions` VALUES (131119, 1301, 25, 'CA Certificate for verifying the RFC 5425 TLS syslog server.');
INSERT INTO `lang_definitions` VALUES (131120, 1302, 25, 'Cache Lifetime (in seconds)');
INSERT INTO `lang_definitions` VALUES (131121, 1303, 25, 'Cache template output?');
INSERT INTO `lang_definitions` VALUES (131122, 1304, 25, 'Cofeina');
INSERT INTO `lang_definitions` VALUES (131123, 1305, 25, 'Consum cofeina');
INSERT INTO `lang_definitions` VALUES (131124, 1306, 25, 'Calendar');
INSERT INTO `lang_definitions` VALUES (131125, 1307, 25, 'Calendar ora sfarsit');
INSERT INTO `lang_definitions` VALUES (131126, 1308, 25, 'Interval calendaristic');
INSERT INTO `lang_definitions` VALUES (131127, 1309, 25, 'Ecranul calendarului');
INSERT INTO `lang_definitions` VALUES (131128, 1310, 25, 'Setarile calendarului');
INSERT INTO `lang_definitions` VALUES (131129, 1312, 25, 'Calendar ora de inceput');
INSERT INTO `lang_definitions` VALUES (131130, 1313, 25, 'Calendar UI');
INSERT INTO `lang_definitions` VALUES (131131, 1314, 25, 'Vedere Calendar');
INSERT INTO `lang_definitions` VALUES (131132, 1315, 25, 'calendar_external to events');
INSERT INTO `lang_definitions` VALUES (131133, 1317, 25, 'Apelul la addForm () merge aici <br>');
INSERT INTO `lang_definitions` VALUES (131134, 1321, 25, 'Calorii');
INSERT INTO `lang_definitions` VALUES (131135, 1322, 25, 'Cambodgian');
INSERT INTO `lang_definitions` VALUES (131136, 1323, 25, 'CAMOS');
INSERT INTO `lang_definitions` VALUES (131137, 1325, 25, 'Nu puteti realiza aceasta setare decat daca este setata optiunea \"rezumat ingrijire\"');
INSERT INTO `lang_definitions` VALUES (131138, 1326, 25, 'Can\'t find file!');
INSERT INTO `lang_definitions` VALUES (131139, 1327, 25, 'Can\'t upload');
INSERT INTO `lang_definitions` VALUES (131140, 1328, 25, 'Canada');
INSERT INTO `lang_definitions` VALUES (131141, 1329, 25, 'Cancel');
INSERT INTO `lang_definitions` VALUES (131142, 1332, 25, 'Anularea schimbarilor');
INSERT INTO `lang_definitions` VALUES (131143, 1333, 25, 'Canceled');
INSERT INTO `lang_definitions` VALUES (131144, 1334, 25, 'Canceled < 24h');
INSERT INTO `lang_definitions` VALUES (131145, 1335, 25, 'Cancer');
INSERT INTO `lang_definitions` VALUES (131146, 1336, 25, 'Depistarea cancerului - Colon');
INSERT INTO `lang_definitions` VALUES (131147, 1337, 25, 'Depistarea cancerului - Mamografie');
INSERT INTO `lang_definitions` VALUES (131148, 1338, 25, 'Depistarea cancerului - Test Papanicolau');
INSERT INTO `lang_definitions` VALUES (131149, 1339, 25, 'Depistarea cancerului - Cancer de prostata');
INSERT INTO `lang_definitions` VALUES (131150, 1340, 25, 'Acesta nu se poate adauga deoarece exista deja!');
INSERT INTO `lang_definitions` VALUES (131151, 1341, 25, 'Aceasta nu se poate adauga sau actualiza deoarece exista deja o copie!');
INSERT INTO `lang_definitions` VALUES (131152, 1342, 25, 'nu se poate arhiva, ignorat');
INSERT INTO `lang_definitions` VALUES (131153, 1343, 25, 'nu se poate converti in formatul JPEG. Probabil ImageMagick nu este instalat?');
INSERT INTO `lang_definitions` VALUES (131154, 1344, 25, 'nu se poate sterge, ignorat');
INSERT INTO `lang_definitions` VALUES (131155, 1345, 25, 'nu se poate afisa deoarece formatul nu este suportat de browser');
INSERT INTO `lang_definitions` VALUES (131156, 1346, 25, 'nu se poate afisa deoarece formatul nu este suportat de browser');
INSERT INTO `lang_definitions` VALUES (131157, 1347, 25, 'nu se poate afisa deoarece formatul nu este suportat de browser');
INSERT INTO `lang_definitions` VALUES (131158, 1349, 25, 'Nu se poate crea');
INSERT INTO `lang_definitions` VALUES (131159, 1350, 25, 'Nu se poate crea fisier');
INSERT INTO `lang_definitions` VALUES (131160, 1351, 25, 'Cannot delete (from SFTP server) file');
INSERT INTO `lang_definitions` VALUES (131161, 1352, 25, 'Nu se poate sterge fisier');
INSERT INTO `lang_definitions` VALUES (131162, 1353, 25, 'Cannot determine a destination filename');
INSERT INTO `lang_definitions` VALUES (131163, 1354, 25, 'Cannot find');
INSERT INTO `lang_definitions` VALUES (131164, 1355, 25, 'Cannot find a destination filename');
INSERT INTO `lang_definitions` VALUES (131165, 1356, 25, 'Cannot find a skip source field for');
INSERT INTO `lang_definitions` VALUES (131166, 1357, 25, 'Cannot find a skip target field for');
INSERT INTO `lang_definitions` VALUES (131167, 1358, 25, 'Cannot find patient from SQL-Ledger customer id');
INSERT INTO `lang_definitions` VALUES (131168, 1359, 25, 'Cannot find postscript document reference in');
INSERT INTO `lang_definitions` VALUES (131169, 1360, 25, 'Cannot find provider from SQL-Ledger employee =');
INSERT INTO `lang_definitions` VALUES (131170, 1361, 25, 'Cannot Modify Payments.Undistributed is Negative.');
INSERT INTO `lang_definitions` VALUES (131171, 1363, 25, 'Cannot open');
INSERT INTO `lang_definitions` VALUES (131172, 1364, 25, 'Cannot Post for Insurance. Entitatea platitoare este pacientul.');
INSERT INTO `lang_definitions` VALUES (131173, 1365, 25, 'Cannot Post for Patient. Enititatea platitoare este Asigurarea de Sanatate.');
INSERT INTO `lang_definitions` VALUES (131174, 1366, 25, 'Cannot Post Payments.Undistributed is Negative.');
INSERT INTO `lang_definitions` VALUES (131175, 1367, 25, 'Cannot read');
INSERT INTO `lang_definitions` VALUES (131176, 1368, 25, 'Cannot read directory');
INSERT INTO `lang_definitions` VALUES (131177, 1369, 25, 'Cannot update because you are not editing an existing entry!');
INSERT INTO `lang_definitions` VALUES (131178, 1370, 25, 'Scrie cu majuscula');
INSERT INTO `lang_definitions` VALUES (131179, 1371, 25, 'Scrie tot cu majuscule');
INSERT INTO `lang_definitions` VALUES (131180, 1372, 25, 'capsula');
INSERT INTO `lang_definitions` VALUES (131181, 1373, 25, 'Card');
INSERT INTO `lang_definitions` VALUES (131182, 1381, 25, 'Cardiac');
INSERT INTO `lang_definitions` VALUES (131183, 1382, 25, 'Cardiac Catheterization');
INSERT INTO `lang_definitions` VALUES (131184, 1383, 25, 'Electrocardiograma cardiaca');
INSERT INTO `lang_definitions` VALUES (131185, 1384, 25, 'Cardiovascular');
INSERT INTO `lang_definitions` VALUES (131186, 1385, 25, 'Coordonare ingirjire');
INSERT INTO `lang_definitions` VALUES (131187, 1388, 25, 'Ingrijitor/Infirmier');
INSERT INTO `lang_definitions` VALUES (131188, 1389, 25, 'Planul de ingrijire');
INSERT INTO `lang_definitions` VALUES (131189, 1390, 25, 'Format plan ingrijire');
INSERT INTO `lang_definitions` VALUES (131190, 1392, 25, 'Echipa de ingrijire');
INSERT INTO `lang_definitions` VALUES (131191, 1394, 25, 'Carotid Bruit');
INSERT INTO `lang_definitions` VALUES (131192, 1395, 25, 'Carotid{{carotid arteries}}');
INSERT INTO `lang_definitions` VALUES (131193, 1396, 25, 'Cartilaj/ condrale /leziuni la disc');
INSERT INTO `lang_definitions` VALUES (131194, 1397, 25, 'Leziune a cartilajului');
INSERT INTO `lang_definitions` VALUES (131195, 1398, 25, 'Pulsatii carotide');
INSERT INTO `lang_definitions` VALUES (131196, 1399, 25, 'CAR{{carotid arteries}}');
INSERT INTO `lang_definitions` VALUES (131197, 1400, 25, 'Numerar');
INSERT INTO `lang_definitions` VALUES (131198, 1401, 25, 'Numerar');
INSERT INTO `lang_definitions` VALUES (131199, 1402, 25, 'Casa de marcat');
INSERT INTO `lang_definitions` VALUES (131200, 1403, 25, 'Incasari in numerar de catre furnizor');
INSERT INTO `lang_definitions` VALUES (131201, 1404, 25, 'Catalan');
INSERT INTO `lang_definitions` VALUES (131202, 1405, 25, 'Cataracta');
INSERT INTO `lang_definitions` VALUES (131203, 1406, 25, 'Operatie cataracta');
INSERT INTO `lang_definitions` VALUES (131204, 1407, 25, 'Cataracte');
INSERT INTO `lang_definitions` VALUES (131205, 1408, 25, 'Categorii');
INSERT INTO `lang_definitions` VALUES (131206, 1409, 25, 'Categorii pentru');
INSERT INTO `lang_definitions` VALUES (131207, 1410, 25, 'Categorie');
INSERT INTO `lang_definitions` VALUES (131208, 1411, 25, 'categorie');
INSERT INTO `lang_definitions` VALUES (131209, 1412, 25, 'Categorie');
INSERT INTO `lang_definitions` VALUES (131210, 1416, 25, 'Detalii categorie');
INSERT INTO `lang_definitions` VALUES (131211, 1417, 25, 'Limite categorie');
INSERT INTO `lang_definitions` VALUES (131212, 1418, 25, 'Numele categoriei');
INSERT INTO `lang_definitions` VALUES (131213, 1419, 25, 'Numele categoriei este gol');
INSERT INTO `lang_definitions` VALUES (131214, 1420, 25, 'Categorie/ titlu');
INSERT INTO `lang_definitions` VALUES (131215, 1421, 25, 'Caucazian');
INSERT INTO `lang_definitions` VALUES (131216, 1422, 25, 'Causes Receipts to Print Encounter/Primary Provider Info');
INSERT INTO `lang_definitions` VALUES (131217, 1423, 25, 'cc Distance{{with correction at distance}}');
INSERT INTO `lang_definitions` VALUES (131218, 1424, 25, 'cc Near{{with correction at Near}}');
INSERT INTO `lang_definitions` VALUES (131219, 1425, 25, 'CCD');
INSERT INTO `lang_definitions` VALUES (131220, 1426, 25, 'CCDA');
INSERT INTO `lang_definitions` VALUES (131221, 1427, 25, 'ccDist{{ACT with Correction Distance}}');
INSERT INTO `lang_definitions` VALUES (131222, 1428, 25, 'ccDist{{with correction distance}}');
INSERT INTO `lang_definitions` VALUES (131223, 1429, 25, 'ccNear{{ACT with Correction Near}}');
INSERT INTO `lang_definitions` VALUES (131224, 1430, 25, 'ccNear{{with correction at near}}');
INSERT INTO `lang_definitions` VALUES (131225, 1431, 25, 'CCR');
INSERT INTO `lang_definitions` VALUES (131226, 1432, 25, 'CCR Approve');
INSERT INTO `lang_definitions` VALUES (131227, 1433, 25, 'CCR Patient Review');
INSERT INTO `lang_definitions` VALUES (131228, 1434, 25, 'CCR Review and Approve');
INSERT INTO `lang_definitions` VALUES (131229, 1435, 25, 'CC{{Chief Complaint}}');
INSERT INTO `lang_definitions` VALUES (131230, 1436, 25, 'cc{{with correction}}');
INSERT INTO `lang_definitions` VALUES (131231, 1437, 25, 'CC{{with correction}}');
INSERT INTO `lang_definitions` VALUES (131232, 1440, 25, 'CDC Code');
INSERT INTO `lang_definitions` VALUES (131233, 1441, 25, 'CDC-NIP Code');
INSERT INTO `lang_definitions` VALUES (131234, 1442, 25, 'CDR');
INSERT INTO `lang_definitions` VALUES (131235, 1443, 25, 'CDR Reports Processing Priority');
INSERT INTO `lang_definitions` VALUES (131236, 1444, 25, 'Celula');
INSERT INTO `lang_definitions` VALUES (131237, 1445, 25, 'Telefon celular');
INSERT INTO `lang_definitions` VALUES (131238, 1446, 25, 'Numar mobil');
INSERT INTO `lang_definitions` VALUES (131239, 1447, 25, 'Numar telefon mobil');
INSERT INTO `lang_definitions` VALUES (131240, 1449, 25, 'Centrul de certificare');
INSERT INTO `lang_definitions` VALUES (131241, 1450, 25, 'Central Macular Thickness');
INSERT INTO `lang_definitions` VALUES (131242, 1451, 25, 'Central/ America de Sud');
INSERT INTO `lang_definitions` VALUES (131243, 1452, 25, 'Certificate Authority crt file location cannot be empty');
INSERT INTO `lang_definitions` VALUES (131244, 1453, 25, 'Certificate Authority key file location cannot be empty');
INSERT INTO `lang_definitions` VALUES (131245, 1454, 25, 'Certificate to send to RFC 5425 TLS syslog server.');
INSERT INTO `lang_definitions` VALUES (131246, 1455, 25, 'Certificate User');
INSERT INTO `lang_definitions` VALUES (131247, 1456, 25, 'Certificates');
INSERT INTO `lang_definitions` VALUES (131248, 1457, 25, 'Chamorro');
INSERT INTO `lang_definitions` VALUES (131249, 1458, 25, 'CampUS');
INSERT INTO `lang_definitions` VALUES (131250, 1459, 25, 'CampUSVA');
INSERT INTO `lang_definitions` VALUES (131251, 1460, 25, 'modifica');
INSERT INTO `lang_definitions` VALUES (131252, 1461, 25, 'Modifica');
INSERT INTO `lang_definitions` VALUES (131253, 1462, 25, 'Modifica activitatea');
INSERT INTO `lang_definitions` VALUES (131254, 1466, 25, 'Modificare esuata ! eroare de conectare couchDB');
INSERT INTO `lang_definitions` VALUES (131255, 1467, 25, 'Modifica in Vision');
INSERT INTO `lang_definitions` VALUES (131256, 1468, 25, 'Modifica in Vision');
INSERT INTO `lang_definitions` VALUES (131257, 1470, 25, 'Modifica parola');
INSERT INTO `lang_definitions` VALUES (131258, 1473, 25, 'Schimba stare pentru');
INSERT INTO `lang_definitions` VALUES (131259, 1475, 25, 'Modificat');
INSERT INTO `lang_definitions` VALUES (131260, 1476, 25, 'Modificarea intestinului');
INSERT INTO `lang_definitions` VALUES (131261, 1479, 25, 'Modifica identitatea pacientului pentru document');
INSERT INTO `lang_definitions` VALUES (131262, 1484, 25, 'Caracteristici');
INSERT INTO `lang_definitions` VALUES (131263, 1485, 25, 'Caractere ramase');
INSERT INTO `lang_definitions` VALUES (131264, 1486, 25, 'Incaseaza');
INSERT INTO `lang_definitions` VALUES (131265, 1487, 25, 'Incarca ajustarea');
INSERT INTO `lang_definitions` VALUES (131266, 1488, 25, 'Incarca codul');
INSERT INTO `lang_definitions` VALUES (131267, 1490, 25, 'Incarcari');
INSERT INTO `lang_definitions` VALUES (131268, 1491, 25, 'Diagrama');
INSERT INTO `lang_definitions` VALUES (131269, 1492, 25, 'Activitate diagrama');
INSERT INTO `lang_definitions` VALUES (131270, 1493, 25, 'Raport de activitate diagrama verificare intrari/iesiri');
INSERT INTO `lang_definitions` VALUES (131271, 1495, 25, 'ID Diagrama');
INSERT INTO `lang_definitions` VALUES (131272, 1496, 25, 'ID Diagrama');
INSERT INTO `lang_definitions` VALUES (131273, 1497, 25, 'Eticheta Diagrama');
INSERT INTO `lang_definitions` VALUES (131274, 1498, 25, 'Chart Location Activity');
INSERT INTO `lang_definitions` VALUES (131275, 1499, 25, 'Nota diagrama');
INSERT INTO `lang_definitions` VALUES (131276, 1500, 25, 'Numar diagrama');
INSERT INTO `lang_definitions` VALUES (131277, 1501, 25, 'Diagrama extrasa');
INSERT INTO `lang_definitions` VALUES (131278, 1502, 25, 'Chart Storage Locations');
INSERT INTO `lang_definitions` VALUES (131279, 1504, 25, 'Chart Tracker');
INSERT INTO `lang_definitions` VALUES (131280, 1505, 25, 'Diagrama Trk');
INSERT INTO `lang_definitions` VALUES (131281, 1508, 25, 'Charts Checked Out');
INSERT INTO `lang_definitions` VALUES (131282, 1509, 25, 'Charts Out');
INSERT INTO `lang_definitions` VALUES (131283, 1512, 25, 'Cecena');
INSERT INTO `lang_definitions` VALUES (131284, 1513, 25, 'Check');
INSERT INTO `lang_definitions` VALUES (131285, 1514, 25, 'check');
INSERT INTO `lang_definitions` VALUES (131286, 1515, 25, 'Check All');
INSERT INTO `lang_definitions` VALUES (131287, 1516, 25, 'Verifica tot - Componentele');
INSERT INTO `lang_definitions` VALUES (131288, 1517, 25, 'Verifica suma');
INSERT INTO `lang_definitions` VALUES (131289, 1519, 25, 'Verifica datele');
INSERT INTO `lang_definitions` VALUES (131290, 1520, 25, 'Check expiration dates.');
INSERT INTO `lang_definitions` VALUES (131291, 1521, 25, 'Verificaţi pentru diferenţele de traduceri cu limba personalizate tabelul.');
INSERT INTO `lang_definitions` VALUES (131292, 1526, 25, 'Check In');
INSERT INTO `lang_definitions` VALUES (131293, 1527, 25, 'Check In To');
INSERT INTO `lang_definitions` VALUES (131294, 1528, 25, 'Verifica data de intrare');
INSERT INTO `lang_definitions` VALUES (131295, 1529, 25, 'Verificati articolele pentru realizarea graficului.');
INSERT INTO `lang_definitions` VALUES (131296, 1530, 25, 'Verifica rezultatele de laborator');
INSERT INTO `lang_definitions` VALUES (131297, 1531, 25, 'Check mark indica revizuit');
INSERT INTO `lang_definitions` VALUES (131298, 1532, 25, 'Verifica nr');
INSERT INTO `lang_definitions` VALUES (131299, 1533, 25, 'Verifica numarul');
INSERT INTO `lang_definitions` VALUES (131300, 1534, 25, 'Check Out');
INSERT INTO `lang_definitions` VALUES (131301, 1535, 25, 'Check Out Time');
INSERT INTO `lang_definitions` VALUES (131302, 1536, 25, 'Verifica plata');
INSERT INTO `lang_definitions` VALUES (131303, 1537, 25, 'Check the box if this is an encrypted file');
INSERT INTO `lang_definitions` VALUES (131304, 1541, 25, 'Bifeaza daca doriti vizualizarea tuturor intalnirilor.');
INSERT INTO `lang_definitions` VALUES (131305, 1543, 25, 'Bifeaza pentru a crea probleme la acest diagnostic.');
INSERT INTO `lang_definitions` VALUES (131306, 1545, 25, 'Check/EOB Date:');
INSERT INTO `lang_definitions` VALUES (131307, 1547, 25, 'Check/EOB No.:');
INSERT INTO `lang_definitions` VALUES (131308, 1548, 25, 'Check/Ref Number');
INSERT INTO `lang_definitions` VALUES (131309, 1549, 25, 'Check/Reference Number');
INSERT INTO `lang_definitions` VALUES (131310, 1550, 25, 'Checkbox list');
INSERT INTO `lang_definitions` VALUES (131311, 1551, 25, 'checkbox list');
INSERT INTO `lang_definitions` VALUES (131312, 1552, 25, 'checkbox w/ text');
INSERT INTO `lang_definitions` VALUES (131313, 1553, 25, 'Checkbox w/text');
INSERT INTO `lang_definitions` VALUES (131314, 1555, 25, 'Checkboxes above indicate if you want to reject and delete the HL7 file.');
INSERT INTO `lang_definitions` VALUES (131315, 1557, 25, 'Checked');
INSERT INTO `lang_definitions` VALUES (131316, 1559, 25, 'Checked box = yes ,  empty = no');
INSERT INTO `lang_definitions` VALUES (131317, 1561, 25, 'Ai verificat si prescriptia medicala?');
INSERT INTO `lang_definitions` VALUES (131318, 1563, 25, 'Checked out');
INSERT INTO `lang_definitions` VALUES (131319, 1566, 25, 'Bifarea lacatului va bloca orice modificare ulterioara a oricaror formulare din aceasta vizita.');
INSERT INTO `lang_definitions` VALUES (131320, 1568, 25, 'Checkout');
INSERT INTO `lang_definitions` VALUES (131321, 1569, 25, 'Checksum');
INSERT INTO `lang_definitions` VALUES (131322, 1570, 25, 'Piept');
INSERT INTO `lang_definitions` VALUES (131323, 1571, 25, 'CATB piept');
INSERT INTO `lang_definitions` VALUES (131324, 1572, 25, 'Durere in piept');
INSERT INTO `lang_definitions` VALUES (131325, 1573, 25, 'Durere in piept:');
INSERT INTO `lang_definitions` VALUES (131326, 1574, 25, 'Dureri in piept');
INSERT INTO `lang_definitions` VALUES (131327, 1575, 25, 'Medic chest');
INSERT INTO `lang_definitions` VALUES (131328, 1576, 25, 'Chg');
INSERT INTO `lang_definitions` VALUES (131329, 1577, 25, 'Chichewa- Chewa- Nyanja');
INSERT INTO `lang_definitions` VALUES (131330, 1578, 25, 'Reclamatie 1');
INSERT INTO `lang_definitions` VALUES (131331, 1579, 25, 'Reclamatie 2');
INSERT INTO `lang_definitions` VALUES (131332, 1580, 25, 'Reclamatie 3');
INSERT INTO `lang_definitions` VALUES (131333, 1581, 25, 'Copil');
INSERT INTO `lang_definitions` VALUES (131334, 1582, 25, 'Copil  in-law');
INSERT INTO `lang_definitions` VALUES (131335, 1583, 25, 'Stare de imunizare din copilarie (CQM)');
INSERT INTO `lang_definitions` VALUES (131336, 1584, 25, 'Frisoane');
INSERT INTO `lang_definitions` VALUES (131337, 1585, 25, 'Chineza');
INSERT INTO `lang_definitions` VALUES (131338, 1586, 25, 'Chineza ( simplificat)');
INSERT INTO `lang_definitions` VALUES (131339, 1587, 25, 'Chineza (traditional)');
INSERT INTO `lang_definitions` VALUES (131340, 1588, 25, 'Chiropractor');
INSERT INTO `lang_definitions` VALUES (131341, 1589, 25, 'Optiuni');
INSERT INTO `lang_definitions` VALUES (131342, 1590, 25, 'Colecistectomia');
INSERT INTO `lang_definitions` VALUES (131343, 1591, 25, 'colecistectomia');
INSERT INTO `lang_definitions` VALUES (131344, 1592, 25, 'Colecistectomia');
INSERT INTO `lang_definitions` VALUES (131345, 1593, 25, 'Alege');
INSERT INTO `lang_definitions` VALUES (131346, 1595, 25, 'Alege o perioada sau data (YYYY-MM-DD)');
INSERT INTO `lang_definitions` VALUES (131347, 1596, 25, 'Alege o sectiune si selecteaza un item din ea; in cealalta sectiune vei observa evidentiatia itemii care au legatura cu cel selectat, poti adauga sau sterge leagaturi intre itemi.');
INSERT INTO `lang_definitions` VALUES (131348, 1597, 25, 'Alege criteriu');
INSERT INTO `lang_definitions` VALUES (131349, 1598, 25, 'Choose CSV table');
INSERT INTO `lang_definitions` VALUES (131350, 1599, 25, 'Alege descarcare sau afisare in linie');
INSERT INTO `lang_definitions` VALUES (131351, 1602, 25, 'Alege fisier');
INSERT INTO `lang_definitions` VALUES (131352, 1603, 25, 'Alege din lista');
INSERT INTO `lang_definitions` VALUES (131353, 1604, 25, 'Alege Layout Direction');
INSERT INTO `lang_definitions` VALUES (131354, 1605, 25, 'Alege o lista');
INSERT INTO `lang_definitions` VALUES (131355, 1608, 25, 'Alege dimensiunea paginii');
INSERT INTO `lang_definitions` VALUES (131356, 1610, 25, 'Alege limba preferata a documentului PDF');
INSERT INTO `lang_definitions` VALUES (131357, 1611, 25, 'Alege formatul de printare pentru acest raport');
INSERT INTO `lang_definitions` VALUES (131358, 1612, 25, 'Choose the layout (need to logout and then login to see this new setting).');
INSERT INTO `lang_definitions` VALUES (131359, 1613, 25, 'Alege modul de vizualizare prestabilit');
INSERT INTO `lang_definitions` VALUES (131360, 1615, 25, 'Bronsita cronica');
INSERT INTO `lang_definitions` VALUES (131361, 1616, 25, 'Dureri articulare cronice');
INSERT INTO `lang_definitions` VALUES (131362, 1617, 25, 'Boala cronica rinichi');
INSERT INTO `lang_definitions` VALUES (131363, 1618, 25, 'Probleme cronice sau inactive');
INSERT INTO `lang_definitions` VALUES (131364, 1619, 25, 'Probleme cronice');
INSERT INTO `lang_definitions` VALUES (131365, 1620, 25, 'Sinovita cronica / hidrantoza/ dureri articulare / guta');
INSERT INTO `lang_definitions` VALUES (131366, 1621, 25, 'Probleme cronice/inactive');
INSERT INTO `lang_definitions` VALUES (131367, 1622, 25, 'Cronic / Recurent');
INSERT INTO `lang_definitions` VALUES (131368, 1623, 25, 'Ciuvas');
INSERT INTO `lang_definitions` VALUES (131369, 1624, 25, 'Cigs');
INSERT INTO `lang_definitions` VALUES (131370, 1625, 25, 'Ciroza hepatica');
INSERT INTO `lang_definitions` VALUES (131371, 1626, 25, 'Ciroza Hepatica');
INSERT INTO `lang_definitions` VALUES (131372, 1627, 25, 'Oras');
INSERT INTO `lang_definitions` VALUES (131373, 1629, 25, 'Nume Oras');
INSERT INTO `lang_definitions` VALUES (131374, 1630, 25, 'Oras, Judet');
INSERT INTO `lang_definitions` VALUES (131375, 1631, 25, 'Oras, Cod Postal');
INSERT INTO `lang_definitions` VALUES (131376, 1633, 25, 'Oras/Judet');
INSERT INTO `lang_definitions` VALUES (131377, 1634, 25, 'Cerere');
INSERT INTO `lang_definitions` VALUES (131378, 1635, 25, 'Cerere');
INSERT INTO `lang_definitions` VALUES (131379, 1637, 25, 'Stare Cerere');
INSERT INTO `lang_definitions` VALUES (131380, 1638, 25, 'Testare cererii s-a incheiat');
INSERT INTO `lang_definitions` VALUES (131381, 1639, 25, 'Tipul cererii');
INSERT INTO `lang_definitions` VALUES (131382, 1640, 25, 'Cererea a fost generata in fisier');
INSERT INTO `lang_definitions` VALUES (131383, 1641, 25, 'Cererea a fost generata in fisier');
INSERT INTO `lang_definitions` VALUES (131384, 1642, 25, 'Cereri');
INSERT INTO `lang_definitions` VALUES (131385, 1645, 25, 'Clasificare');
INSERT INTO `lang_definitions` VALUES (131386, 1646, 25, 'Clear');
INSERT INTO `lang_definitions` VALUES (131387, 1647, 25, 'clear');
INSERT INTO `lang_definitions` VALUES (131388, 1649, 25, 'CLEAR ACTIVE PATIENT');
INSERT INTO `lang_definitions` VALUES (131389, 1651, 25, 'Sterge tot');
INSERT INTO `lang_definitions` VALUES (131390, 1654, 25, 'Sterge datele de tip HL7');
INSERT INTO `lang_definitions` VALUES (131391, 1655, 25, 'Sterge motiv');
INSERT INTO `lang_definitions` VALUES (131392, 1659, 25, 'Clear Smarty Cache');
INSERT INTO `lang_definitions` VALUES (131393, 1661, 25, 'Clearing house info required for EDI 270 batch creation.');
INSERT INTO `lang_definitions` VALUES (131394, 1662, 25, 'CLIA Number');
INSERT INTO `lang_definitions` VALUES (131395, 1663, 25, 'Click');
INSERT INTO `lang_definitions` VALUES (131396, 1664, 25, 'Click \'export\' to export your Category, Subcategory, Item, Content data to a text file. Any resemblance of this file to an XML file is purely coincidental. The opening and closing tags must be on the same line, they must be lowercase with no spaces. To import, browse for a file and click \'import\'. If the data is completely different, it will merge with your existing data. If there are similar item names, The old one will be kept and the new one saved with a number added to the end.');
INSERT INTO `lang_definitions` VALUES (131397, 1667, 25, 'Click intr-un punct al graficului pentru a adauga un comentariu nou. Click din nou pentru a-l sterge.');
INSERT INTO `lang_definitions` VALUES (131398, 1671, 25, 'Click Download Certificate to download the certificates in the file ssl.zip');
INSERT INTO `lang_definitions` VALUES (131399, 1672, 25, 'click pentru mai multe');
INSERT INTO `lang_definitions` VALUES (131400, 1673, 25, 'Cick pentru mai multe detalii');
INSERT INTO `lang_definitions` VALUES (131401, 1674, 25, 'Click pentru rezumatul comenzii');
INSERT INTO `lang_definitions` VALUES (131402, 1675, 25, 'Click pentru rezultat');
INSERT INTO `lang_definitions` VALUES (131403, 1676, 25, 'Click for Shorthand Help.');
INSERT INTO `lang_definitions` VALUES (131404, 1678, 25, 'Click aici');
INSERT INTO `lang_definitions` VALUES (131405, 1679, 25, 'Click aici pentru adaugarea unui pacient nou');
INSERT INTO `lang_definitions` VALUES (131406, 1680, 25, 'Click aici pentru a adauga modificari ale starii pacientului sau modificari ale activitatii zilnice');
INSERT INTO `lang_definitions` VALUES (131407, 1681, 25, 'Click aici pentru rand nou');
INSERT INTO `lang_definitions` VALUES (131408, 1682, 25, 'Click aici pentru a alege o data');
INSERT INTO `lang_definitions` VALUES (131409, 1683, 25, 'Click aici pentru a alege data si ora');
INSERT INTO `lang_definitions` VALUES (131410, 1684, 25, 'Click aici pentru a alege data de inceput');
INSERT INTO `lang_definitions` VALUES (131411, 1685, 25, 'Click aici pentru a alege ora datei de inceput');
INSERT INTO `lang_definitions` VALUES (131412, 1686, 25, 'Click aici pentru a alege data si timpul de la');
INSERT INTO `lang_definitions` VALUES (131413, 1687, 25, 'Click aici pentru a alege data si timpul pentru');
INSERT INTO `lang_definitions` VALUES (131414, 1688, 25, 'Click aici pentru configurarea acestui modul');
INSERT INTO `lang_definitions` VALUES (131415, 1690, 25, 'Click aici pentru a sterge un rand');
INSERT INTO `lang_definitions` VALUES (131416, 1692, 25, 'Click aici pentru dezactivarea acestui modul');
INSERT INTO `lang_definitions` VALUES (131417, 1693, 25, 'Click aici petru duplicarea randului');
INSERT INTO `lang_definitions` VALUES (131418, 1694, 25, 'Click aici pentru a edita lista cu materiale pentru lentile');
INSERT INTO `lang_definitions` VALUES (131419, 1695, 25, 'Click aici pentru a edita lista cu optiuni pentru tratarea lentilelor');
INSERT INTO `lang_definitions` VALUES (131420, 1696, 25, 'Click aici pentru a edita lista cu marci lentile de contact');
INSERT INTO `lang_definitions` VALUES (131421, 1697, 25, 'Click aici  pentru a edita lista de evenimente');
INSERT INTO `lang_definitions` VALUES (131422, 1698, 25, 'Click aici pentru a edita lista de producatori');
INSERT INTO `lang_definitions` VALUES (131423, 1699, 25, 'Click aici pentru a edita lista de furnizori');
INSERT INTO `lang_definitions` VALUES (131424, 1700, 25, 'Click aici pentru a edita optiuni plan doctor');
INSERT INTO `lang_definitions` VALUES (131425, 1701, 25, 'Click aici pentru a edita lista de alegeri rapide');
INSERT INTO `lang_definitions` VALUES (131426, 1702, 25, 'Click aici pentru a edita valorile implicite ale examenului provederului');
INSERT INTO `lang_definitions` VALUES (131427, 1703, 25, 'Click aici pentru activarea acestui modul');
INSERT INTO `lang_definitions` VALUES (131428, 1706, 25, 'Click aici pentru instalarea acestui modul');
INSERT INTO `lang_definitions` VALUES (131429, 1707, 25, 'click aici pentru a cauta');
INSERT INTO `lang_definitions` VALUES (131430, 1708, 25, 'Click aici pentru a vedea rezultatele observatiei');
INSERT INTO `lang_definitions` VALUES (131431, 1710, 25, 'click aici pentru a actualiza setarile prioritatii,categoriei si nickname');
INSERT INTO `lang_definitions` VALUES (131432, 1714, 25, 'Click aici pentru a vedea tot.');
INSERT INTO `lang_definitions` VALUES (131433, 1715, 25, 'Click aici pentru view si graf');
INSERT INTO `lang_definitions` VALUES (131434, 1716, 25, 'Click aici pentru vizualizare si grafic date de laborator');
INSERT INTO `lang_definitions` VALUES (131435, 1717, 25, 'Click aici pentru vizualizare si grafic semne vitale pacient');
INSERT INTO `lang_definitions` VALUES (131436, 1718, 25, 'Click aici pentru a vizualiza detaliile pacientului');
INSERT INTO `lang_definitions` VALUES (131437, 1719, 25, 'Click aici pentru a le vizualiza pe toate');
INSERT INTO `lang_definitions` VALUES (131438, 1720, 25, 'Click aici pentru a vizualiza/edita mai multe detalii');
INSERT INTO `lang_definitions` VALUES (131439, 1723, 25, 'Apasa butonul de instalare pentru a incarca baza de date din urmatoarea zi');
INSERT INTO `lang_definitions` VALUES (131440, 1730, 25, 'Apasati pe oricare dintre segmentele de timp pentru a-l mari');
INSERT INTO `lang_definitions` VALUES (131441, 1751, 25, 'Click pe numele pacientului pentru a deschide dosarul pacientului');
INSERT INTO `lang_definitions` VALUES (131442, 1753, 25, 'Click Refresh pentru toate rezultatele sau introdu criterii de cautare.');
INSERT INTO `lang_definitions` VALUES (131443, 1775, 25, 'Click aici pentru afisare/ascundere teste aditionale');
INSERT INTO `lang_definitions` VALUES (131444, 1777, 25, 'Apasa pentru a adauga diagnostic');
INSERT INTO `lang_definitions` VALUES (131445, 1779, 25, 'Apasa pentru a adauga noi componente');
INSERT INTO `lang_definitions` VALUES (131446, 1780, 25, 'Apasa pentru a adauga o noua consultatie');
INSERT INTO `lang_definitions` VALUES (131447, 1782, 25, 'Click pentru alegere diagnostice.');
INSERT INTO `lang_definitions` VALUES (131448, 1784, 25, 'Click pentru afisare nume de camp prescurtate.');
INSERT INTO `lang_definitions` VALUES (131449, 1785, 25, 'Click pentru a descarca');
INSERT INTO `lang_definitions` VALUES (131450, 1786, 25, 'Click pentru a edita');
INSERT INTO `lang_definitions` VALUES (131451, 1787, 25, 'Click pentru a edita o descriere');
INSERT INTO `lang_definitions` VALUES (131452, 1788, 25, 'Click pentru a edita acest eveniment');
INSERT INTO `lang_definitions` VALUES (131453, 1790, 25, 'Click pentru a genera raportul');
INSERT INTO `lang_definitions` VALUES (131454, 1799, 25, 'Click pentru a asocia pacient');
INSERT INTO `lang_definitions` VALUES (131455, 1800, 25, 'Click pentru a printa');
INSERT INTO `lang_definitions` VALUES (131456, 1801, 25, 'Click pentru a primi (adauga) lot nou');
INSERT INTO `lang_definitions` VALUES (131457, 1805, 25, 'Click pentru a selecta');
INSERT INTO `lang_definitions` VALUES (131458, 1806, 25, 'Click pentru a Selecta');
INSERT INTO `lang_definitions` VALUES (131459, 1808, 25, 'Click pentru a selecta unul din codurile oficiale pentru aceasta procedura');
INSERT INTO `lang_definitions` VALUES (131460, 1811, 25, 'Click pentru a selecta codul pentru procedura opionala');
INSERT INTO `lang_definitions` VALUES (131461, 1812, 25, 'Click pentru a selecta sau schimba codificarea');
INSERT INTO `lang_definitions` VALUES (131462, 1813, 25, 'Click pentru a selecta sau schimba codul CVX');
INSERT INTO `lang_definitions` VALUES (131463, 1814, 25, 'Click pentru a selecta sau schimba diagnosticul');
INSERT INTO `lang_definitions` VALUES (131464, 1815, 25, 'Click pentru a selecta sau schimba codurile serviciilor');
INSERT INTO `lang_definitions` VALUES (131465, 1816, 25, 'Click pentru a selecta pacientul');
INSERT INTO `lang_definitions` VALUES (131466, 1817, 25, 'Click pentru a selecta codurile');
INSERT INTO `lang_definitions` VALUES (131467, 1819, 25, 'Click pentru a selecta serviciile ce se vor presta in cazul in care rezultatul nu este unul normal');
INSERT INTO `lang_definitions` VALUES (131468, 1822, 25, 'Click pentru a selecta procedura dorita');
INSERT INTO `lang_definitions` VALUES (131469, 1829, 25, 'Click pentru sortare');
INSERT INTO `lang_definitions` VALUES (131470, 1831, 25, 'Click pentru vizualizare');
INSERT INTO `lang_definitions` VALUES (131471, 1833, 25, 'Click pentru vizualizare sau editare');
INSERT INTO `lang_definitions` VALUES (131472, 1834, 25, 'Faceti click pentru vizualizare/ editare');
INSERT INTO `lang_definitions` VALUES (131473, 1836, 25, 'Click butonul de \"Upgrade\" pentru a actualiza continutul bazei de date de la urmatoare data');
INSERT INTO `lang_definitions` VALUES (131474, 1838, 25, 'Click unde este indicat mai sus pentru a corela cu datele pacientului');
INSERT INTO `lang_definitions` VALUES (131475, 1839, 25, 'Click');
INSERT INTO `lang_definitions` VALUES (131476, 1862, 25, 'Client Certificate Expiration Days');
INSERT INTO `lang_definitions` VALUES (131477, 1864, 25, 'Client certificate validation period');
INSERT INTO `lang_definitions` VALUES (131478, 1865, 25, 'Client certificate validity should be a valid number.');
INSERT INTO `lang_definitions` VALUES (131479, 1866, 25, 'Client Copy');
INSERT INTO `lang_definitions` VALUES (131480, 1868, 25, 'ID client');
INSERT INTO `lang_definitions` VALUES (131481, 1869, 25, 'Rezumatul istoricului medical al clientului');
INSERT INTO `lang_definitions` VALUES (131482, 1870, 25, 'Numele clientului');
INSERT INTO `lang_definitions` VALUES (131483, 1872, 25, 'Numarul clientului');
INSERT INTO `lang_definitions` VALUES (131484, 1873, 25, 'Profil client - Clienti noi');
INSERT INTO `lang_definitions` VALUES (131485, 1874, 25, 'Profil clienti - Clienti unici');
INSERT INTO `lang_definitions` VALUES (131486, 1878, 25, 'Clienti');
INSERT INTO `lang_definitions` VALUES (131487, 1879, 25, 'Clinica');
INSERT INTO `lang_definitions` VALUES (131488, 1880, 25, 'Copia clinicii');
INSERT INTO `lang_definitions` VALUES (131489, 1881, 25, 'Inregistrari zilnice clinica');
INSERT INTO `lang_definitions` VALUES (131490, 1882, 25, 'ID clinica');
INSERT INTO `lang_definitions` VALUES (131491, 1883, 25, 'Clinic');
INSERT INTO `lang_definitions` VALUES (131492, 1884, 25, 'Manager alerte si reguli de decizii clinice');
INSERT INTO `lang_definitions` VALUES (131493, 1886, 25, 'Istoric Clinic');
INSERT INTO `lang_definitions` VALUES (131494, 1888, 25, 'Formular de instructiuni clinice');
INSERT INTO `lang_definitions` VALUES (131495, 1889, 25, 'Planuri Clinice');
INSERT INTO `lang_definitions` VALUES (131496, 1890, 25, 'Clinical Quality Measures (CQM)');
INSERT INTO `lang_definitions` VALUES (131497, 1891, 25, 'Clinical Quality Measures (CQM) - 2011');
INSERT INTO `lang_definitions` VALUES (131498, 1892, 25, 'Clinical Quality Measures (CQM) - 2014');
INSERT INTO `lang_definitions` VALUES (131499, 1893, 25, 'Mementouri clinice');
INSERT INTO `lang_definitions` VALUES (131500, 1897, 25, 'Rapoarte clinice');
INSERT INTO `lang_definitions` VALUES (131501, 1898, 25, 'Categorie de reguli clinice');
INSERT INTO `lang_definitions` VALUES (131502, 1899, 25, 'Item de reguli clinice');
INSERT INTO `lang_definitions` VALUES (131503, 1900, 25, 'Metode de filtrare reguli clinice');
INSERT INTO `lang_definitions` VALUES (131504, 1901, 25, 'Metode de selectare reguli clinicie');
INSERT INTO `lang_definitions` VALUES (131505, 1902, 25, 'Reguli clinice');
INSERT INTO `lang_definitions` VALUES (131506, 1903, 25, 'Intervale de varsta reguli clinice');
INSERT INTO `lang_definitions` VALUES (131507, 1904, 25, 'Comparatii reguli clinice');
INSERT INTO `lang_definitions` VALUES (131508, 1905, 25, 'Tipuri consultatii reguli clinice');
INSERT INTO `lang_definitions` VALUES (131509, 1906, 25, 'Optiuni memento reguli clinice');
INSERT INTO `lang_definitions` VALUES (131510, 1907, 25, 'Optiuni dezactivare memento reguli clinice');
INSERT INTO `lang_definitions` VALUES (131511, 1908, 25, 'Intervale memento reguli clinice');
INSERT INTO `lang_definitions` VALUES (131512, 1909, 25, 'Metode memento reguli clinice');
INSERT INTO `lang_definitions` VALUES (131513, 1910, 25, 'Intervale tinta reguli clinice');
INSERT INTO `lang_definitions` VALUES (131514, 1911, 25, 'Scopuri / motive clinice');
INSERT INTO `lang_definitions` VALUES (131515, 1912, 25, 'Perioade clinice');
INSERT INTO `lang_definitions` VALUES (131516, 1913, 25, 'Coduri perioade clinice');
INSERT INTO `lang_definitions` VALUES (131517, 1914, 25, 'Clinical View');
INSERT INTO `lang_definitions` VALUES (131518, 1915, 25, 'Clinicians');
INSERT INTO `lang_definitions` VALUES (131519, 1916, 25, 'Clona');
INSERT INTO `lang_definitions` VALUES (131520, 1917, 25, 'Cloneaza ultima vizita');
INSERT INTO `lang_definitions` VALUES (131521, 1918, 25, 'Close');
INSERT INTO `lang_definitions` VALUES (131522, 1920, 25, 'Close All Current Rx Panels and make this a Preference to stay closed');
INSERT INTO `lang_definitions` VALUES (131523, 1921, 25, 'Close and make this a Preference to stay closed');
INSERT INTO `lang_definitions` VALUES (131524, 1922, 25, 'Close this panel and delete this Rx');
INSERT INTO `lang_definitions` VALUES (131525, 1923, 25, 'Close this panel and make this a Preference to stay closed');
INSERT INTO `lang_definitions` VALUES (131526, 1924, 25, 'Close Window');
INSERT INTO `lang_definitions` VALUES (131527, 1925, 25, 'close window');
INSERT INTO `lang_definitions` VALUES (131528, 1927, 25, 'Closed');
INSERT INTO `lang_definitions` VALUES (131529, 1928, 25, 'cm');
INSERT INTO `lang_definitions` VALUES (131530, 1931, 25, 'CMS 1500 Margini');
INSERT INTO `lang_definitions` VALUES (131531, 1933, 25, 'CMS 1500 Formatul foii');
INSERT INTO `lang_definitions` VALUES (131532, 1934, 25, 'CMS 1500 PDF');
INSERT INTO `lang_definitions` VALUES (131533, 1935, 25, 'CMS 1500 PREPRINTED FORM');
INSERT INTO `lang_definitions` VALUES (131534, 1936, 25, 'CMS 1500 TEXT');
INSERT INTO `lang_definitions` VALUES (131535, 1938, 25, 'CMS 1500: Box 31 Format');
INSERT INTO `lang_definitions` VALUES (131536, 1939, 25, 'CMS 1500: Date in Box 31 (Signature)');
INSERT INTO `lang_definitions` VALUES (131537, 1940, 25, 'CMS ID');
INSERT INTO `lang_definitions` VALUES (131538, 1943, 25, 'CMS Portal');
INSERT INTO `lang_definitions` VALUES (131539, 1944, 25, 'CMS Portal Login');
INSERT INTO `lang_definitions` VALUES (131540, 1945, 25, 'CMS Portal Login ID');
INSERT INTO `lang_definitions` VALUES (131541, 1946, 25, 'CMS Portal not enabled!');
INSERT INTO `lang_definitions` VALUES (131542, 1947, 25, 'CMS Portal Password');
INSERT INTO `lang_definitions` VALUES (131543, 1948, 25, 'CMS Portal Request');
INSERT INTO `lang_definitions` VALUES (131544, 1949, 25, 'CMS Portal Site Address');
INSERT INTO `lang_definitions` VALUES (131545, 1950, 25, 'CMS Portal Username');
INSERT INTO `lang_definitions` VALUES (131546, 1952, 25, 'CMT{{Central Macular Thickness}}');
INSERT INTO `lang_definitions` VALUES (131547, 1953, 25, 'CN VII{{cranial nerve seven}}');
INSERT INTO `lang_definitions` VALUES (131548, 1954, 25, 'CN V{{cranial nerve five}}');
INSERT INTO `lang_definitions` VALUES (131549, 1955, 25, 'CN2-12 intact');
INSERT INTO `lang_definitions` VALUES (131550, 1956, 25, 'CN5{{cranial nerve five}}');
INSERT INTO `lang_definitions` VALUES (131551, 1957, 25, 'CN7{{cranial nerve seven}}');
INSERT INTO `lang_definitions` VALUES (131552, 1958, 25, 'Coplata');
INSERT INTO `lang_definitions` VALUES (131553, 1959, 25, 'Coplata achitata');
INSERT INTO `lang_definitions` VALUES (131554, 1960, 25, 'Co-managing/referring provider');
INSERT INTO `lang_definitions` VALUES (131555, 1962, 25, 'COPLATA');
INSERT INTO `lang_definitions` VALUES (131556, 1964, 25, 'Cod');
INSERT INTO `lang_definitions` VALUES (131557, 1965, 25, 'cod');
INSERT INTO `lang_definitions` VALUES (131558, 1967, 25, 'Gasire cod');
INSERT INTO `lang_definitions` VALUES (131559, 1968, 25, 'Codul trebuie sa contina doua litere mici');
INSERT INTO `lang_definitions` VALUES (131560, 1969, 25, 'Cod sau simbol pentru indicarea monezii folosite');
INSERT INTO `lang_definitions` VALUES (131561, 1971, 25, 'Text cod');
INSERT INTO `lang_definitions` VALUES (131562, 1972, 25, 'Tip cod');
INSERT INTO `lang_definitions` VALUES (131563, 1973, 25, 'tip cod');
INSERT INTO `lang_definitions` VALUES (131564, 1974, 25, 'Tipul codului nu este recunoscut');
INSERT INTO `lang_definitions` VALUES (131565, 1975, 25, 'Tipul codului nu este definit inca');
INSERT INTO `lang_definitions` VALUES (131566, 1976, 25, 'Tipuri cod');
INSERT INTO `lang_definitions` VALUES (131567, 1977, 25, 'Coduri');
INSERT INTO `lang_definitions` VALUES (131568, 1978, 25, 'Codificat');
INSERT INTO `lang_definitions` VALUES (131569, 1979, 25, 'Coduri');
INSERT INTO `lang_definitions` VALUES (131570, 1981, 25, 'Codificand');
INSERT INTO `lang_definitions` VALUES (131571, 1982, 25, 'Coduri');
INSERT INTO `lang_definitions` VALUES (131572, 1983, 25, 'Codificare- orice consultatie (write,wsome optional)');
INSERT INTO `lang_definitions` VALUES (131573, 1985, 25, 'Codificare- consultatiile mele (write,wsome optional)');
INSERT INTO `lang_definitions` VALUES (131574, 1988, 25, 'Codificare finalizata');
INSERT INTO `lang_definitions` VALUES (131575, 1989, 25, 'Coding Engine');
INSERT INTO `lang_definitions` VALUES (131576, 1990, 25, 'Codificare neautorizata');
INSERT INTO `lang_definitions` VALUES (131577, 1991, 25, 'Cafea');
INSERT INTO `lang_definitions` VALUES (131578, 1992, 25, 'Consum de cafea');
INSERT INTO `lang_definitions` VALUES (131579, 1993, 25, 'Monede');
INSERT INTO `lang_definitions` VALUES (131580, 1994, 25, 'Co-asigurare');
INSERT INTO `lang_definitions` VALUES (131581, 1995, 25, 'Coloana');
INSERT INTO `lang_definitions` VALUES (131582, 1996, 25, 'Colaborator');
INSERT INTO `lang_definitions` VALUES (131583, 1997, 25, 'Collapse');
INSERT INTO `lang_definitions` VALUES (131584, 1998, 25, 'collapse');
INSERT INTO `lang_definitions` VALUES (131585, 1999, 25, 'Collapse All');
INSERT INTO `lang_definitions` VALUES (131586, 2000, 25, 'Collapse all');
INSERT INTO `lang_definitions` VALUES (131587, 2001, 25, 'collapse all');
INSERT INTO `lang_definitions` VALUES (131588, 2004, 25, 'Colectat');
INSERT INTO `lang_definitions` VALUES (131589, 2005, 25, 'Data colectare');
INSERT INTO `lang_definitions` VALUES (131590, 2007, 25, 'Colectari');
INSERT INTO `lang_definitions` VALUES (131591, 2008, 25, 'Raport colectari');
INSERT INTO `lang_definitions` VALUES (131592, 2009, 25, 'Cancer de colon');
INSERT INTO `lang_definitions` VALUES (131593, 2010, 25, 'Imagine cancer de colon');
INSERT INTO `lang_definitions` VALUES (131594, 2011, 25, 'Operatie cancer de colon');
INSERT INTO `lang_definitions` VALUES (131595, 2012, 25, 'Colonoscopie');
INSERT INTO `lang_definitions` VALUES (131596, 2013, 25, 'colonoscopie');
INSERT INTO `lang_definitions` VALUES (131597, 2014, 25, 'Culoare');
INSERT INTO `lang_definitions` VALUES (131598, 2015, 25, 'Color for even sets (except when last set is even and all member appointments are displayed and at least one subsequent scheduled appointment exists (not displayed) or not all member appointments are displayed).');
INSERT INTO `lang_definitions` VALUES (131599, 2016, 25, 'Color for odd sets (except when last set is odd and all member appointments are displayed and at least one subsequent scheduled appointment exists (not displayed) or not all member appointments are displayed).');
INSERT INTO `lang_definitions` VALUES (131600, 2017, 25, 'Color for the last set when all member appointments are displayed and at least one subsequent scheduled appointment exists (not displayed).');
INSERT INTO `lang_definitions` VALUES (131601, 2018, 25, 'Color for the last set when not all member appointments are displayed.');
INSERT INTO `lang_definitions` VALUES (131602, 2019, 25, 'Vedere color');
INSERT INTO `lang_definitions` VALUES (131603, 2020, 25, 'Culoare: Abbr');
INSERT INTO `lang_definitions` VALUES (131604, 2021, 25, 'Coloana');
INSERT INTO `lang_definitions` VALUES (131605, 2022, 25, 'Coloane');
INSERT INTO `lang_definitions` VALUES (131606, 2024, 25, 'Combinare loturi');
INSERT INTO `lang_definitions` VALUES (131607, 2025, 25, 'Virgula');
INSERT INTO `lang_definitions` VALUES (131608, 2027, 25, 'Comentariu');
INSERT INTO `lang_definitions` VALUES (131609, 2028, 25, 'Comentarii');
INSERT INTO `lang_definitions` VALUES (131610, 2030, 25, 'Comentarii pentru acest rezultat sau recomandare');
INSERT INTO `lang_definitions` VALUES (131611, 2031, 25, 'Firma asigurare');
INSERT INTO `lang_definitions` VALUES (131612, 2032, 25, 'Salveaza modificarile');
INSERT INTO `lang_definitions` VALUES (131613, 2034, 25, 'Comunicare');
INSERT INTO `lang_definitions` VALUES (131614, 2035, 25, 'Communication Engine');
INSERT INTO `lang_definitions` VALUES (131615, 2036, 25, 'Comunicatii');
INSERT INTO `lang_definitions` VALUES (131616, 2037, 25, 'Medic de familie generalist');
INSERT INTO `lang_definitions` VALUES (131617, 2038, 25, 'Community Mental Health Center');
INSERT INTO `lang_definitions` VALUES (131618, 2039, 25, 'Companie');
INSERT INTO `lang_definitions` VALUES (131619, 2040, 25, 'Nume companie');
INSERT INTO `lang_definitions` VALUES (131620, 2041, 25, 'Complet');
INSERT INTO `lang_definitions` VALUES (131621, 2042, 25, 'Timpul total al vizitei');
INSERT INTO `lang_definitions` VALUES (131622, 2043, 25, 'Finalizat');
INSERT INTO `lang_definitions` VALUES (131623, 2044, 25, 'finalizat');
INSERT INTO `lang_definitions` VALUES (131624, 2046, 25, 'Finalizat?');
INSERT INTO `lang_definitions` VALUES (131625, 2048, 25, 'Stare finalizare');
INSERT INTO `lang_definitions` VALUES (131626, 2049, 25, 'Complicatiile de la furnizorul de servicii');
INSERT INTO `lang_definitions` VALUES (131627, 2050, 25, 'Complicatii avort');
INSERT INTO `lang_definitions` VALUES (131628, 2051, 25, 'Componente');
INSERT INTO `lang_definitions` VALUES (131629, 2055, 25, 'Comprehensive Inpatient Rehabilitation Facility');
INSERT INTO `lang_definitions` VALUES (131630, 2056, 25, 'Comprehensive Outpatient Rehabilitation Facility');
INSERT INTO `lang_definitions` VALUES (131631, 2057, 25, 'Sistem management medical computerizat');
INSERT INTO `lang_definitions` VALUES (131632, 2058, 25, 'Concluzii');
INSERT INTO `lang_definitions` VALUES (131633, 2059, 25, 'Conditii');
INSERT INTO `lang_definitions` VALUES (131634, 2060, 25, 'Nu s-a gasit campul de conditii');
INSERT INTO `lang_definitions` VALUES (131635, 2061, 25, 'Stare conditie');
INSERT INTO `lang_definitions` VALUES (131636, 2063, 25, 'Config');
INSERT INTO `lang_definitions` VALUES (131637, 2064, 25, 'Configurare');
INSERT INTO `lang_definitions` VALUES (131638, 2065, 25, 'Configurare Export/Import');
INSERT INTO `lang_definitions` VALUES (131639, 2066, 25, 'Configurare salvata cu success');
INSERT INTO `lang_definitions` VALUES (131640, 2067, 25, 'Configure Apache and OpenEMR to use Client side SSL certificates.');
INSERT INTO `lang_definitions` VALUES (131641, 2068, 25, 'Configure Apache to use Client side SSL certificates');
INSERT INTO `lang_definitions` VALUES (131642, 2069, 25, 'Configure Apache to use HTTPS.');
INSERT INTO `lang_definitions` VALUES (131643, 2070, 25, 'Configure Openemr to use Client side SSL certificates');
INSERT INTO `lang_definitions` VALUES (131644, 2074, 25, 'Configurare piste de urmarire');
INSERT INTO `lang_definitions` VALUES (131645, 2075, 25, 'Configurare piste de urmarire');
INSERT INTO `lang_definitions` VALUES (131646, 2079, 25, 'Confirma creare Pacient nou');
INSERT INTO `lang_definitions` VALUES (131647, 2081, 25, 'Confirma parola noua');
INSERT INTO `lang_definitions` VALUES (131648, 2083, 25, 'Confirma plata');
INSERT INTO `lang_definitions` VALUES (131649, 2089, 25, 'Alergii conflictuale');
INSERT INTO `lang_definitions` VALUES (131650, 2090, 25, 'Medicamente conflictuale');
INSERT INTO `lang_definitions` VALUES (131651, 2091, 25, 'Probleme conflictuale');
INSERT INTO `lang_definitions` VALUES (131652, 2092, 25, 'Congenital');
INSERT INTO `lang_definitions` VALUES (131653, 2094, 25, 'Conjunctiva, pupile');
INSERT INTO `lang_definitions` VALUES (131654, 2095, 25, 'Conj{{Conjunctiva}}');
INSERT INTO `lang_definitions` VALUES (131655, 2096, 25, 'Connection error');
INSERT INTO `lang_definitions` VALUES (131656, 2097, 25, 'Connectors');
INSERT INTO `lang_definitions` VALUES (131657, 2098, 25, 'Constant');
INSERT INTO `lang_definitions` VALUES (131658, 2100, 25, 'constant name');
INSERT INTO `lang_definitions` VALUES (131659, 2101, 25, 'Nume constanta este gol');
INSERT INTO `lang_definitions` VALUES (131660, 2102, 25, 'constante');
INSERT INTO `lang_definitions` VALUES (131661, 2103, 25, 'Constipare');
INSERT INTO `lang_definitions` VALUES (131662, 2104, 25, 'Constitutional');
INSERT INTO `lang_definitions` VALUES (131663, 2105, 25, 'Firma de constructii');
INSERT INTO `lang_definitions` VALUES (131664, 2106, 25, 'Medic consultant');
INSERT INTO `lang_definitions` VALUES (131665, 2107, 25, 'Scurta Descriere a Consultatiei');
INSERT INTO `lang_definitions` VALUES (131666, 2109, 25, 'Contact');
INSERT INTO `lang_definitions` VALUES (131667, 2110, 25, 'Email de contact');
INSERT INTO `lang_definitions` VALUES (131668, 2111, 25, 'Adresa de email de contact');
INSERT INTO `lang_definitions` VALUES (131669, 2112, 25, 'Contact EMR Direct to subscribe to the phiMail Direct messaging service');
INSERT INTO `lang_definitions` VALUES (131670, 2113, 25, 'contact info');
INSERT INTO `lang_definitions` VALUES (131671, 2115, 25, 'Lentile de contact');
INSERT INTO `lang_definitions` VALUES (131672, 2116, 25, 'Refractie lentile de contact');
INSERT INTO `lang_definitions` VALUES (131673, 2117, 25, 'Lentile de contact');
INSERT INTO `lang_definitions` VALUES (131674, 2118, 25, 'Contact Medical Information Integration, LLC at http://mi-squared.com for Lab Exchange Service.');
INSERT INTO `lang_definitions` VALUES (131675, 2119, 25, 'Contact Medical Information Integration, LLC at http://mi-squared.com or ZH Healthcare at http://zhservices.com for subscribing the eRx service');
INSERT INTO `lang_definitions` VALUES (131676, 2120, 25, 'Contact Medical Information Integration, LLC at http://mi-squared.com or ZH Healthcare at http://zhservices.com for subscribing to the NewCrop eRx service.');
INSERT INTO `lang_definitions` VALUES (131677, 2122, 25, 'Nume Contact');
INSERT INTO `lang_definitions` VALUES (131678, 2125, 25, 'Persoana de contact');
INSERT INTO `lang_definitions` VALUES (131679, 2126, 25, 'Numar de telefon contact');
INSERT INTO `lang_definitions` VALUES (131680, 2127, 25, 'Numar de telefon contact');
INSERT INTO `lang_definitions` VALUES (131681, 2129, 25, 'Contact ZMG, LLC (zmghealth@gmail.com) for subscribing the eRx service');
INSERT INTO `lang_definitions` VALUES (131682, 2131, 25, 'contine cel putin 3 din cele patru iteme:');
INSERT INTO `lang_definitions` VALUES (131683, 2132, 25, 'Numele grupului containter');
INSERT INTO `lang_definitions` VALUES (131684, 2133, 25, 'Continut');
INSERT INTO `lang_definitions` VALUES (131685, 2134, 25, 'continut');
INSERT INTO `lang_definitions` VALUES (131686, 2136, 25, 'Context');
INSERT INTO `lang_definitions` VALUES (131687, 2137, 25, 'Trebuie completat nume context');
INSERT INTO `lang_definitions` VALUES (131688, 2138, 25, 'Continua');
INSERT INTO `lang_definitions` VALUES (131689, 2142, 25, 'Continuity of Care Document (CCD)');
INSERT INTO `lang_definitions` VALUES (131690, 2145, 25, 'Continuity of Care Record (CCR)');
INSERT INTO `lang_definitions` VALUES (131691, 2146, 25, 'Contra Clients');
INSERT INTO `lang_definitions` VALUES (131692, 2147, 25, 'Contraceptie');
INSERT INTO `lang_definitions` VALUES (131693, 2148, 25, 'Probleme contraceptie');
INSERT INTO `lang_definitions` VALUES (131694, 2149, 25, 'Complicatii contraceptie');
INSERT INTO `lang_definitions` VALUES (131695, 2150, 25, 'Metode contraceptive');
INSERT INTO `lang_definitions` VALUES (131696, 2151, 25, 'Produse contraceptive');
INSERT INTO `lang_definitions` VALUES (131697, 2152, 25, 'Servicii contraceptive incepute anterior');
INSERT INTO `lang_definitions` VALUES (131698, 2153, 25, 'Inceputul metodelor contraceptive');
INSERT INTO `lang_definitions` VALUES (131699, 2154, 25, 'Acuratete contrast');
INSERT INTO `lang_definitions` VALUES (131700, 2155, 25, 'Testare acuratete contrast');
INSERT INTO `lang_definitions` VALUES (131701, 2157, 25, 'Contrast{{Constrast Visual Acuity}}');
INSERT INTO `lang_definitions` VALUES (131702, 2158, 25, 'ID Control');
INSERT INTO `lang_definitions` VALUES (131703, 2159, 25, 'Control Nr.');
INSERT INTO `lang_definitions` VALUES (131704, 2160, 25, 'Substanta regulata?');
INSERT INTO `lang_definitions` VALUES (131705, 2161, 25, 'Convergenta');
INSERT INTO `lang_definitions` VALUES (131706, 2162, 25, 'Convergenta Amps');
INSERT INTO `lang_definitions` VALUES (131707, 2166, 25, 'Converteste intre cilindrul plus si minus');
INSERT INTO `lang_definitions` VALUES (131708, 2168, 25, 'COPLATA');
INSERT INTO `lang_definitions` VALUES (131709, 2169, 25, 'Coplata');
INSERT INTO `lang_definitions` VALUES (131710, 2170, 25, 'CoPlata');
INSERT INTO `lang_definitions` VALUES (131711, 2171, 25, 'Coplata nu  este pozitiva');
INSERT INTO `lang_definitions` VALUES (131712, 2172, 25, 'Coplata este achitata');
INSERT INTO `lang_definitions` VALUES (131713, 2173, 25, 'Coplati');
INSERT INTO `lang_definitions` VALUES (131714, 2174, 25, 'Boala pulmonara obstructive cronica');
INSERT INTO `lang_definitions` VALUES (131715, 2175, 25, 'Copiaza paginile in diagrama pacientului');
INSERT INTO `lang_definitions` VALUES (131716, 2176, 25, 'Copiaza aceste valori in vizita curenta.');
INSERT INTO `lang_definitions` VALUES (131717, 2177, 25, 'Copiaza valorile');
INSERT INTO `lang_definitions` VALUES (131718, 2178, 25, 'Copying the database file. This will take some time...');
INSERT INTO `lang_definitions` VALUES (131719, 2179, 25, 'Copyright Notice');
INSERT INTO `lang_definitions` VALUES (131720, 2180, 25, 'Cor Disease');
INSERT INTO `lang_definitions` VALUES (131721, 2182, 25, 'Cornee');
INSERT INTO `lang_definitions` VALUES (131722, 2183, 25, 'din Cornwall');
INSERT INTO `lang_definitions` VALUES (131723, 2184, 25, 'By-Pass coronarian');
INSERT INTO `lang_definitions` VALUES (131724, 2185, 25, 'Grefa de by-pass a arterelor coronariene');
INSERT INTO `lang_definitions` VALUES (131725, 2186, 25, 'Corectat');
INSERT INTO `lang_definitions` VALUES (131726, 2187, 25, 'Corsica');
INSERT INTO `lang_definitions` VALUES (131727, 2188, 25, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (131728, 2189, 25, 'CouchDB Connection Failed.');
INSERT INTO `lang_definitions` VALUES (131729, 2191, 25, 'CouchDB Database');
INSERT INTO `lang_definitions` VALUES (131730, 2192, 25, 'CouchDB database name');
INSERT INTO `lang_definitions` VALUES (131731, 2195, 25, 'CouchDB host');
INSERT INTO `lang_definitions` VALUES (131732, 2196, 25, 'CouchDB HostName');
INSERT INTO `lang_definitions` VALUES (131733, 2197, 25, 'CouchDB Log Enable');
INSERT INTO `lang_definitions` VALUES (131734, 2198, 25, 'CouchDB Password');
INSERT INTO `lang_definitions` VALUES (131735, 2199, 25, 'CouchDB Port');
INSERT INTO `lang_definitions` VALUES (131736, 2200, 25, 'CouchDB port');
INSERT INTO `lang_definitions` VALUES (131737, 2201, 25, 'CouchDB save failed');
INSERT INTO `lang_definitions` VALUES (131738, 2203, 25, 'CouchDB UserName');
INSERT INTO `lang_definitions` VALUES (131739, 2204, 25, 'Tuse');
INSERT INTO `lang_definitions` VALUES (131740, 2205, 25, 'Tuse:');
INSERT INTO `lang_definitions` VALUES (131741, 2206, 25, 'could not connect to server');
INSERT INTO `lang_definitions` VALUES (131742, 2207, 25, 'Could not find RxNorm Table! Please install.');
INSERT INTO `lang_definitions` VALUES (131743, 2208, 25, 'Could not import the document. Please contact the EMR vendor.');
INSERT INTO `lang_definitions` VALUES (131744, 2210, 25, 'could not open table');
INSERT INTO `lang_definitions` VALUES (131745, 2211, 25, 'Could not read file');
INSERT INTO `lang_definitions` VALUES (131746, 2212, 25, 'Could not read the file');
INSERT INTO `lang_definitions` VALUES (131747, 2214, 25, 'Could not send email due to a server problem,');
INSERT INTO `lang_definitions` VALUES (131748, 2216, 25, 'Could not send email due to a server problem.');
INSERT INTO `lang_definitions` VALUES (131749, 2217, 25, 'Couldn\'t create backup dir:');
INSERT INTO `lang_definitions` VALUES (131750, 2218, 25, 'Couldn\'t remove dir:');
INSERT INTO `lang_definitions` VALUES (131751, 2219, 25, 'Couldn\'t remove old backup file:');
INSERT INTO `lang_definitions` VALUES (131752, 2220, 25, 'Couldn\'t remove old export file:');
INSERT INTO `lang_definitions` VALUES (131753, 2221, 25, 'Coumadin Management - INR Monitoring');
INSERT INTO `lang_definitions` VALUES (131754, 2222, 25, 'Couns by Method');
INSERT INTO `lang_definitions` VALUES (131755, 2223, 25, 'Consultanta');
INSERT INTO `lang_definitions` VALUES (131756, 2224, 25, 'Activitati consultanta');
INSERT INTO `lang_definitions` VALUES (131757, 2227, 25, 'COUNTER REFERRAL FORM');
INSERT INTO `lang_definitions` VALUES (131758, 2228, 25, 'Counter-Referral');
INSERT INTO `lang_definitions` VALUES (131759, 2229, 25, 'Tara');
INSERT INTO `lang_definitions` VALUES (131760, 2231, 25, 'Tipul informatiilor tara');
INSERT INTO `lang_definitions` VALUES (131761, 2232, 25, 'Lista tari');
INSERT INTO `lang_definitions` VALUES (131762, 2233, 25, 'Lista Tari (write,addonly optional)');
INSERT INTO `lang_definitions` VALUES (131763, 2235, 25, 'Numele tarii din doua litere.  (Example: United States is US)');
INSERT INTO `lang_definitions` VALUES (131764, 2236, 25, 'regiune');
INSERT INTO `lang_definitions` VALUES (131765, 2237, 25, 'Regiune');
INSERT INTO `lang_definitions` VALUES (131766, 2238, 25, 'Cupon');
INSERT INTO `lang_definitions` VALUES (131767, 2239, 25, 'Course');
INSERT INTO `lang_definitions` VALUES (131768, 2240, 25, 'Var');
INSERT INTO `lang_definitions` VALUES (131769, 2244, 25, 'Sistem informatic de inregistrari medicale');
INSERT INTO `lang_definitions` VALUES (131770, 2245, 25, 'CPT');
INSERT INTO `lang_definitions` VALUES (131771, 2246, 25, 'CPT Code');
INSERT INTO `lang_definitions` VALUES (131772, 2247, 25, 'CPT Codes');
INSERT INTO `lang_definitions` VALUES (131773, 2248, 25, 'CPT4 Procedure/Service');
INSERT INTO `lang_definitions` VALUES (131774, 2249, 25, 'CPTII Performance Measures');
INSERT INTO `lang_definitions` VALUES (131775, 2250, 25, 'CQM');
INSERT INTO `lang_definitions` VALUES (131776, 2252, 25, 'Crackles:');
INSERT INTO `lang_definitions` VALUES (131777, 2253, 25, 'Cranial Nerve 5: Trigeminal Nerve');
INSERT INTO `lang_definitions` VALUES (131778, 2254, 25, 'Cranial Nerve 7: Facial Nerve');
INSERT INTO `lang_definitions` VALUES (131779, 2255, 25, 'crema');
INSERT INTO `lang_definitions` VALUES (131780, 2256, 25, 'Create a Client side SSL certificate for each user or client machine.');
INSERT INTO `lang_definitions` VALUES (131781, 2257, 25, 'Create a client side SSL certificate for either a user or a client hostname.');
INSERT INTO `lang_definitions` VALUES (131782, 2261, 25, 'Creaza un track');
INSERT INTO `lang_definitions` VALUES (131783, 2269, 25, 'Creaza un eveniment');
INSERT INTO `lang_definitions` VALUES (131784, 2273, 25, 'Create and download a full backup');
INSERT INTO `lang_definitions` VALUES (131785, 2274, 25, 'Creaza si modifica un track');
INSERT INTO `lang_definitions` VALUES (131786, 2275, 25, 'Create Backup');
INSERT INTO `lang_definitions` VALUES (131787, 2276, 25, 'Create batch');
INSERT INTO `lang_definitions` VALUES (131788, 2277, 25, 'Create Client Certificate');
INSERT INTO `lang_definitions` VALUES (131789, 2278, 25, 'Create Client side SSL certificates');
INSERT INTO `lang_definitions` VALUES (131790, 2281, 25, 'Create Duplicate');
INSERT INTO `lang_definitions` VALUES (131791, 2282, 25, 'Creare consultatie');
INSERT INTO `lang_definitions` VALUES (131792, 2283, 25, 'Create Eventlog Backup');
INSERT INTO `lang_definitions` VALUES (131793, 2285, 25, 'Creare o noua instanta');
INSERT INTO `lang_definitions` VALUES (131794, 2287, 25, 'Creaza pacient nou');
INSERT INTO `lang_definitions` VALUES (131795, 2288, 25, 'Creaza un Track');
INSERT INTO `lang_definitions` VALUES (131796, 2290, 25, 'Create Offsite Portal Credentials');
INSERT INTO `lang_definitions` VALUES (131797, 2292, 25, 'Create Onsite Portal Credentials');
INSERT INTO `lang_definitions` VALUES (131798, 2294, 25, 'Creare nota pacient');
INSERT INTO `lang_definitions` VALUES (131799, 2296, 25, 'Create the SSL Certificate Authority and Server certificates.');
INSERT INTO `lang_definitions` VALUES (131800, 2297, 25, 'Creaza vizita');
INSERT INTO `lang_definitions` VALUES (131801, 2298, 25, 'Creat');
INSERT INTO `lang_definitions` VALUES (131802, 2306, 25, 'Creating export file');
INSERT INTO `lang_definitions` VALUES (131803, 2307, 25, 'Creating new track failed');
INSERT INTO `lang_definitions` VALUES (131804, 2308, 25, 'Creating this file on remote host failed');
INSERT INTO `lang_definitions` VALUES (131805, 2309, 25, 'Creator');
INSERT INTO `lang_definitions` VALUES (131806, 2311, 25, 'credit');
INSERT INTO `lang_definitions` VALUES (131807, 2312, 25, 'Card de credit');
INSERT INTO `lang_definitions` VALUES (131808, 2314, 25, 'Credite');
INSERT INTO `lang_definitions` VALUES (131809, 2315, 25, 'Cree');
INSERT INTO `lang_definitions` VALUES (131810, 2316, 25, 'Criteriu');
INSERT INTO `lang_definitions` VALUES (131811, 2318, 25, 'Croatian');
INSERT INTO `lang_definitions` VALUES (131812, 2319, 25, 'Boala Chron');
INSERT INTO `lang_definitions` VALUES (131813, 2320, 25, 'Boala Chron');
INSERT INTO `lang_definitions` VALUES (131814, 2321, 25, 'CR{{Cycloplegic Refraction}}');
INSERT INTO `lang_definitions` VALUES (131815, 2322, 25, 'CSV');
INSERT INTO `lang_definitions` VALUES (131816, 2323, 25, 'CSV Export');
INSERT INTO `lang_definitions` VALUES (131817, 2324, 25, 'CSV File');
INSERT INTO `lang_definitions` VALUES (131818, 2325, 25, 'CSV Tables');
INSERT INTO `lang_definitions` VALUES (131819, 2326, 25, 'CSV to calendar_external table');
INSERT INTO `lang_definitions` VALUES (131820, 2328, 25, 'CTL{{Contact Lens Vision}}');
INSERT INTO `lang_definitions` VALUES (131821, 2329, 25, 'CTL{{Contact Lens}}');
INSERT INTO `lang_definitions` VALUES (131822, 2330, 25, 'CU.MM');
INSERT INTO `lang_definitions` VALUES (131823, 2331, 25, 'Cuban');
INSERT INTO `lang_definitions` VALUES (131824, 2332, 25, 'Cup');
INSERT INTO `lang_definitions` VALUES (131825, 2333, 25, 'Unitate monetara - zecimale');
INSERT INTO `lang_definitions` VALUES (131826, 2334, 25, 'Unitate monetara - punct separare zecimale');
INSERT INTO `lang_definitions` VALUES (131827, 2335, 25, 'Unitate monetara - identificator');
INSERT INTO `lang_definitions` VALUES (131828, 2336, 25, 'Unitate monetara - separator mii');
INSERT INTO `lang_definitions` VALUES (131829, 2337, 25, 'Curent');
INSERT INTO `lang_definitions` VALUES (131830, 2338, 25, 'Consum alcohool curent');
INSERT INTO `lang_definitions` VALUES (131831, 2341, 25, 'Consultatie Curenta');
INSERT INTO `lang_definitions` VALUES (131832, 2342, 25, 'Criteriu Curent');
INSERT INTO `lang_definitions` VALUES (131833, 2344, 25, 'Culoarea de evidentiaere a zilei curente');
INSERT INTO `lang_definitions` VALUES (131834, 2345, 25, 'Fumator regulat curent');
INSERT INTO `lang_definitions` VALUES (131835, 2346, 25, 'Current Eye Meds');
INSERT INTO `lang_definitions` VALUES (131836, 2347, 25, 'Current file name was changed to');
INSERT INTO `lang_definitions` VALUES (131837, 2348, 25, 'Ochelari de vedere actuali');
INSERT INTO `lang_definitions` VALUES (131838, 2349, 25, 'Current Hash');
INSERT INTO `lang_definitions` VALUES (131839, 2350, 25, 'Locatie Curenta');
INSERT INTO `lang_definitions` VALUES (131840, 2352, 25, 'Medicatie curenta');
INSERT INTO `lang_definitions` VALUES (131841, 2354, 25, 'Parola Curenta');
INSERT INTO `lang_definitions` VALUES (131842, 2356, 25, 'Pacient Curent');
INSERT INTO `lang_definitions` VALUES (131843, 2359, 25, 'Doar Pacientul Curent');
INSERT INTO `lang_definitions` VALUES (131844, 2361, 25, 'Consum de droguri recreationale curent');
INSERT INTO `lang_definitions` VALUES (131845, 2362, 25, 'Current RX');
INSERT INTO `lang_definitions` VALUES (131846, 2363, 25, 'Fumator ocazional curent');
INSERT INTO `lang_definitions` VALUES (131847, 2365, 25, 'TImp stare actual');
INSERT INTO `lang_definitions` VALUES (131848, 2366, 25, 'Obiectiv curent');
INSERT INTO `lang_definitions` VALUES (131849, 2368, 25, 'Utilizator curent');
INSERT INTO `lang_definitions` VALUES (131850, 2369, 25, 'Valoare curenta');
INSERT INTO `lang_definitions` VALUES (131851, 2371, 25, 'Active curente');
INSERT INTO `lang_definitions` VALUES (131852, 2375, 25, 'Currently Running');
INSERT INTO `lang_definitions` VALUES (131853, 2377, 25, 'Currently there are no facilities.');
INSERT INTO `lang_definitions` VALUES (131854, 2378, 25, 'Currently working on making this document');
INSERT INTO `lang_definitions` VALUES (131855, 2379, 25, 'Sindromul Cushing');
INSERT INTO `lang_definitions` VALUES (131856, 2380, 25, 'Sindromul Cushing');
INSERT INTO `lang_definitions` VALUES (131857, 2381, 25, 'Custodial Care Facility');
INSERT INTO `lang_definitions` VALUES (131858, 2382, 25, 'Custode');
INSERT INTO `lang_definitions` VALUES (131859, 2383, 25, 'Personalizat');
INSERT INTO `lang_definitions` VALUES (131860, 2384, 25, 'Custom Billing Phone Number');
INSERT INTO `lang_definitions` VALUES (131861, 2390, 25, 'Intrare personalizata?');
INSERT INTO `lang_definitions` VALUES (131862, 2393, 25, 'Mesaj personalizat');
INSERT INTO `lang_definitions` VALUES (131863, 2395, 25, 'Tabel personalizat');
INSERT INTO `lang_definitions` VALUES (131864, 2401, 25, 'CVX Cod');
INSERT INTO `lang_definitions` VALUES (131865, 2402, 25, 'CVX Cod');
INSERT INTO `lang_definitions` VALUES (131866, 2403, 25, 'CVX mapare cod');
INSERT INTO `lang_definitions` VALUES (131867, 2404, 25, 'CVX imunizare');
INSERT INTO `lang_definitions` VALUES (131868, 2405, 25, 'CV{{Cardiovascular}}');
INSERT INTO `lang_definitions` VALUES (131869, 2406, 25, 'Ciclu');
INSERT INTO `lang_definitions` VALUES (131870, 2407, 25, 'Cyclo 1%');
INSERT INTO `lang_definitions` VALUES (131871, 2408, 25, 'CycloMydril');
INSERT INTO `lang_definitions` VALUES (131872, 2409, 25, 'Cycloplegic (Wet) Refraction');
INSERT INTO `lang_definitions` VALUES (131873, 2410, 25, 'Cyl{{Cylinder}}');
INSERT INTO `lang_definitions` VALUES (131874, 2411, 25, 'CYL{{Cylinder}}');
INSERT INTO `lang_definitions` VALUES (131875, 2412, 25, 'CYP');
INSERT INTO `lang_definitions` VALUES (131876, 2413, 25, 'CYP Factor');
INSERT INTO `lang_definitions` VALUES (131877, 2414, 25, 'CYP Report');
INSERT INTO `lang_definitions` VALUES (131878, 2415, 25, 'Czech');
INSERT INTO `lang_definitions` VALUES (131879, 2416, 25, 'D');
INSERT INTO `lang_definitions` VALUES (131880, 2417, 25, 'D&C');
INSERT INTO `lang_definitions` VALUES (131881, 2418, 25, 'D&E');
INSERT INTO `lang_definitions` VALUES (131882, 2419, 25, 'D&V Full OU{{Ductions and Versions full both eyes}}');
INSERT INTO `lang_definitions` VALUES (131883, 2420, 25, 'Data Nasterii');
INSERT INTO `lang_definitions` VALUES (131884, 2421, 25, 'zilnic');
INSERT INTO `lang_definitions` VALUES (131885, 2422, 25, 'Inregistrare zilnica');
INSERT INTO `lang_definitions` VALUES (131886, 2423, 25, 'Raport zilnic');
INSERT INTO `lang_definitions` VALUES (131887, 2424, 25, 'Raport rezumat zilnic');
INSERT INTO `lang_definitions` VALUES (131888, 2425, 25, 'Danez');
INSERT INTO `lang_definitions` VALUES (131889, 2429, 25, 'Exista deja aceste date in baza de data, schimba te rog codul sau descrierea');
INSERT INTO `lang_definitions` VALUES (131890, 2430, 25, 'Exista deja aceste date in baza de data, schimba te rog condul sau numele constantei');
INSERT INTO `lang_definitions` VALUES (131891, 2431, 25, 'Coloane date');
INSERT INTO `lang_definitions` VALUES (131892, 2432, 25, 'Utilizator care a introdus datele');
INSERT INTO `lang_definitions` VALUES (131893, 2433, 25, 'Intrare date - Numarul de asigurare sociala');
INSERT INTO `lang_definitions` VALUES (131894, 2434, 25, 'Eroare data');
INSERT INTO `lang_definitions` VALUES (131895, 2435, 25, 'Data de la');
INSERT INTO `lang_definitions` VALUES (131896, 2436, 25, 'Integritatea datelor a fost compromisa');
INSERT INTO `lang_definitions` VALUES (131897, 2437, 25, 'informatii existente despre toate consultatiile de pana acum');
INSERT INTO `lang_definitions` VALUES (131898, 2439, 25, 'Tip date');
INSERT INTO `lang_definitions` VALUES (131899, 2440, 25, 'Database');
INSERT INTO `lang_definitions` VALUES (131900, 2442, 25, 'Database is not installed.');
INSERT INTO `lang_definitions` VALUES (131901, 2444, 25, 'Database Patch');
INSERT INTO `lang_definitions` VALUES (131902, 2445, 25, 'Database Reporting');
INSERT INTO `lang_definitions` VALUES (131903, 2447, 25, 'Database upgrade finished.');
INSERT INTO `lang_definitions` VALUES (131904, 2448, 25, 'Coloanele trebuiesc sa aiba valori intre 1 si 999');
INSERT INTO `lang_definitions` VALUES (131905, 2449, 25, 'Data');
INSERT INTO `lang_definitions` VALUES (131906, 2450, 25, 'DATA');
INSERT INTO `lang_definitions` VALUES (131907, 2451, 25, 'Data si timpul administrate');
INSERT INTO `lang_definitions` VALUES (131908, 2452, 25, 'Data / Timp');
INSERT INTO `lang_definitions` VALUES (131909, 2453, 25, 'Data administrata');
INSERT INTO `lang_definitions` VALUES (131910, 2454, 25, 'Data si timpul la care au fost colectate probele');
INSERT INTO `lang_definitions` VALUES (131911, 2455, 25, 'Data si timpul observatiei');
INSERT INTO `lang_definitions` VALUES (131912, 2456, 25, 'Data si timpul raportului');
INSERT INTO `lang_definitions` VALUES (131913, 2457, 25, 'Data si timpul la care au fost colectate probele');
INSERT INTO `lang_definitions` VALUES (131914, 2458, 25, 'Data nu poate avea o valoare mai mare decat ziua de astazi');
INSERT INTO `lang_definitions` VALUES (131915, 2459, 25, 'Data la care s-a inceput luarea contraceptivelor');
INSERT INTO `lang_definitions` VALUES (131916, 2460, 25, 'Data crearii');
INSERT INTO `lang_definitions` VALUES (131917, 2461, 25, 'Data mortii');
INSERT INTO `lang_definitions` VALUES (131918, 2462, 25, 'Data distrugerii');
INSERT INTO `lang_definitions` VALUES (131919, 2463, 25, 'Formatul de afisare al datei');
INSERT INTO `lang_definitions` VALUES (131920, 2464, 25, 'Formatul datei pentru \"finalul intalnirii\" nu este valid');
INSERT INTO `lang_definitions` VALUES (131921, 2465, 25, 'Formatul datei pentru \"inceputul inatlnirii\" nu este valid');
INSERT INTO `lang_definitions` VALUES (131922, 2466, 25, 'Formatul datei pentru \"Intalnire noua\" nu este valid');
INSERT INTO `lang_definitions` VALUES (131923, 2467, 25, 'Formatul datei pentru \"nu a mai trecut pe la medic de la\" nu este valid');
INSERT INTO `lang_definitions` VALUES (131924, 2469, 25, 'Formatul datei pentru \"ultima data cand a trecut pe la medic\" nu este valid');
INSERT INTO `lang_definitions` VALUES (131925, 2470, 25, 'Declaratiile facute despre vaccinari');
INSERT INTO `lang_definitions` VALUES (131926, 2471, 25, 'Data lipseste pentru cod');
INSERT INTO `lang_definitions` VALUES (131927, 2472, 25, 'Criteriu date');
INSERT INTO `lang_definitions` VALUES (131928, 2474, 25, 'Data inatlnirii mm/dd/yyyy');
INSERT INTO `lang_definitions` VALUES (131929, 2475, 25, 'Data la care s-a facut depozitul bancar an-luna-zi');
INSERT INTO `lang_definitions` VALUES (131930, 2476, 25, 'Data Facturarii');
INSERT INTO `lang_definitions` VALUES (131931, 2477, 25, 'Data nasterii');
INSERT INTO `lang_definitions` VALUES (131932, 2478, 25, 'Data nasterii');
INSERT INTO `lang_definitions` VALUES (131933, 2479, 25, 'Data Nasterii');
INSERT INTO `lang_definitions` VALUES (131934, 2481, 25, 'Data Introducerii');
INSERT INTO `lang_definitions` VALUES (131935, 2483, 25, 'Data Leziunii');
INSERT INTO `lang_definitions` VALUES (131936, 2484, 25, 'Data aparitiei');
INSERT INTO `lang_definitions` VALUES (131937, 2487, 25, 'Data la care s-a efectuat plata (yyyy-mm-dd)');
INSERT INTO `lang_definitions` VALUES (131938, 2489, 25, 'Data trimiterii');
INSERT INTO `lang_definitions` VALUES (131939, 2491, 25, 'Data raspunsului');
INSERT INTO `lang_definitions` VALUES (131940, 2492, 25, 'Data Raportului');
INSERT INTO `lang_definitions` VALUES (131941, 2493, 25, 'Data Serviciului');
INSERT INTO `lang_definitions` VALUES (131942, 2495, 25, 'Data Serviciului');
INSERT INTO `lang_definitions` VALUES (131943, 2496, 25, 'Data Serviciului = Azi');
INSERT INTO `lang_definitions` VALUES (131944, 2498, 25, 'Data serviciului mm/dd/yyyy');
INSERT INTO `lang_definitions` VALUES (131945, 2499, 25, 'Data serviciului:');
INSERT INTO `lang_definitions` VALUES (131946, 2500, 25, 'Data semnaturii');
INSERT INTO `lang_definitions` VALUES (131947, 2501, 25, 'Data la care s-a schimbat starea');
INSERT INTO `lang_definitions` VALUES (131948, 2503, 25, 'Data acestei comenzii');
INSERT INTO `lang_definitions` VALUES (131949, 2504, 25, 'Data acestui raport');
INSERT INTO `lang_definitions` VALUES (131950, 2505, 25, 'Data declaratiei VIS');
INSERT INTO `lang_definitions` VALUES (131951, 2506, 25, 'Data la care s-a comandat');
INSERT INTO `lang_definitions` VALUES (131952, 2507, 25, 'Interval de date');
INSERT INTO `lang_definitions` VALUES (131953, 2508, 25, 'Selector date');
INSERT INTO `lang_definitions` VALUES (131954, 2509, 25, 'Selector date');
INSERT INTO `lang_definitions` VALUES (131955, 2510, 25, 'Date trimisa');
INSERT INTO `lang_definitions` VALUES (131956, 2511, 25, 'Data la care a fost trimis mesajul');
INSERT INTO `lang_definitions` VALUES (131957, 2512, 25, 'Date Time');
INSERT INTO `lang_definitions` VALUES (131958, 2513, 25, 'Valorile datelor nu pot fi lasate goale');
INSERT INTO `lang_definitions` VALUES (131959, 2514, 25, 'Date VIS Presented');
INSERT INTO `lang_definitions` VALUES (131960, 2515, 25, 'Date VIS Published');
INSERT INTO `lang_definitions` VALUES (131961, 2516, 25, 'Data/Intalnire');
INSERT INTO `lang_definitions` VALUES (131962, 2517, 25, 'Date/ note');
INSERT INTO `lang_definitions` VALUES (131963, 2518, 25, 'Data/ note despre ultima');
INSERT INTO `lang_definitions` VALUES (131964, 2519, 25, 'Data/ Timp');
INSERT INTO `lang_definitions` VALUES (131965, 2520, 25, 'Data:');
INSERT INTO `lang_definitions` VALUES (131966, 2522, 25, 'datat');
INSERT INTO `lang_definitions` VALUES (131967, 2523, 25, 'Istoricul mesajelor');
INSERT INTO `lang_definitions` VALUES (131968, 2526, 25, 'Ziua');
INSERT INTO `lang_definitions` VALUES (131969, 2527, 25, 'ziua');
INSERT INTO `lang_definitions` VALUES (131970, 2529, 25, 'Day Sheet Report');
INSERT INTO `lang_definitions` VALUES (131971, 2530, 25, 'Vizualizare zi');
INSERT INTO `lang_definitions` VALUES (131972, 2531, 25, 'Zile');
INSERT INTO `lang_definitions` VALUES (131973, 2532, 25, 'Zile');
INSERT INTO `lang_definitions` VALUES (131974, 2533, 25, 'Zile');
INSERT INTO `lang_definitions` VALUES (131975, 2534, 25, 'Zile');
INSERT INTO `lang_definitions` VALUES (131976, 2535, 25, 'zile in urma');
INSERT INTO `lang_definitions` VALUES (131977, 2536, 25, 'Zile si meciuri pierdute');
INSERT INTO `lang_definitions` VALUES (131978, 2537, 25, 'Zile de la ultima consultatie');
INSERT INTO `lang_definitions` VALUES (131979, 2538, 25, 'Zile pierdute');
INSERT INTO `lang_definitions` VALUES (131980, 2540, 25, 'Zile ale saptamanii');
INSERT INTO `lang_definitions` VALUES (131981, 2541, 25, 'Zile pe coloana:');
INSERT INTO `lang_definitions` VALUES (131982, 2542, 25, 'Zile/Col');
INSERT INTO `lang_definitions` VALUES (131983, 2543, 25, 'Zile/Col:');
INSERT INTO `lang_definitions` VALUES (131984, 2544, 25, 'DB instalata');
INSERT INTO `lang_definitions` VALUES (131985, 2545, 25, 'DD/MM/YYYY');
INSERT INTO `lang_definitions` VALUES (131986, 2546, 25, 'De Identification');
INSERT INTO `lang_definitions` VALUES (131987, 2547, 25, 'De Identification Process is completed');
INSERT INTO `lang_definitions` VALUES (131988, 2548, 25, 'De Identification Process is ongoing');
INSERT INTO `lang_definitions` VALUES (131989, 2549, 25, 'De Identification process is started and running in background');
INSERT INTO `lang_definitions` VALUES (131990, 2550, 25, 'De Identified data may not be complete');
INSERT INTO `lang_definitions` VALUES (131991, 2551, 25, 'De-identification files will be saved in');
INSERT INTO `lang_definitions` VALUES (131992, 2552, 25, 'DEA');
INSERT INTO `lang_definitions` VALUES (131993, 2555, 25, 'Dezactivare');
INSERT INTO `lang_definitions` VALUES (131994, 2556, 25, 'Dezactivat');
INSERT INTO `lang_definitions` VALUES (131995, 2558, 25, 'Surd');
INSERT INTO `lang_definitions` VALUES (131996, 2562, 25, 'Debug Information');
INSERT INTO `lang_definitions` VALUES (131997, 2563, 25, 'DEBUG OUTPUT');
INSERT INTO `lang_definitions` VALUES (131998, 2564, 25, 'Debugging');
INSERT INTO `lang_definitions` VALUES (131999, 2565, 25, 'Dec');
INSERT INTO `lang_definitions` VALUES (132000, 2567, 25, 'DECEDAT');
INSERT INTO `lang_definitions` VALUES (132001, 2568, 25, 'DECEDAT (1 zi in urma)');
INSERT INTO `lang_definitions` VALUES (132002, 2569, 25, 'DECEDAT (astazi)');
INSERT INTO `lang_definitions` VALUES (132003, 2571, 25, 'Data decesului nu poate fi mai mare decat azi');
INSERT INTO `lang_definitions` VALUES (132004, 2574, 25, 'Decembrie');
INSERT INTO `lang_definitions` VALUES (132005, 2578, 25, 'Separare unitati de masura straine cu #');
INSERT INTO `lang_definitions` VALUES (132006, 2579, 25, 'A refuzat sa precizeze');
INSERT INTO `lang_definitions` VALUES (132007, 2580, 25, 'Deductibila');
INSERT INTO `lang_definitions` VALUES (132008, 2581, 25, 'Deductibile Met');
INSERT INTO `lang_definitions` VALUES (132009, 2582, 25, 'adanc');
INSERT INTO `lang_definitions` VALUES (132010, 2583, 25, 'Implicit');
INSERT INTO `lang_definitions` VALUES (132011, 2585, 25, 'Vezi calendar');
INSERT INTO `lang_definitions` VALUES (132012, 2587, 25, 'ID consultatie');
INSERT INTO `lang_definitions` VALUES (132013, 2588, 25, 'Vedere consultatie');
INSERT INTO `lang_definitions` VALUES (132014, 2589, 25, 'Institutia implicita');
INSERT INTO `lang_definitions` VALUES (132015, 2594, 25, 'Setarile de limba implicite');
INSERT INTO `lang_definitions` VALUES (132016, 2595, 25, 'Default language if no other is allowed or chosen.');
INSERT INTO `lang_definitions` VALUES (132017, 2596, 25, 'Default left print margin for CMS 1500');
INSERT INTO `lang_definitions` VALUES (132018, 2598, 25, 'Lista implicita (write,addonly optional)');
INSERT INTO `lang_definitions` VALUES (132019, 2600, 25, 'Metoda implicita');
INSERT INTO `lang_definitions` VALUES (132020, 2601, 25, 'Default Password Expiration Days');
INSERT INTO `lang_definitions` VALUES (132021, 2602, 25, 'Default password expiration period in days. 0 means this feature is disabled.');
INSERT INTO `lang_definitions` VALUES (132022, 2603, 25, 'Tara implicita a pacientului');
INSERT INTO `lang_definitions` VALUES (132023, 2604, 25, 'Tara implicita a pacientului (eRx)');
INSERT INTO `lang_definitions` VALUES (132024, 2605, 25, 'Nivelul implicit al pretului');
INSERT INTO `lang_definitions` VALUES (132025, 2606, 25, 'Prioritatea implicita');
INSERT INTO `lang_definitions` VALUES (132026, 2607, 25, 'Furnizor Implicit');
INSERT INTO `lang_definitions` VALUES (132027, 2608, 25, 'Furnizor implicit modificat');
INSERT INTO `lang_definitions` VALUES (132028, 2609, 25, 'Intervalul Implicit');
INSERT INTO `lang_definitions` VALUES (132029, 2610, 25, 'Motivul Implicit al vizitei');
INSERT INTO `lang_definitions` VALUES (132030, 2612, 25, 'Cautare implicita a tipurilor cod');
INSERT INTO `lang_definitions` VALUES (132031, 2615, 25, 'Setare implicita');
INSERT INTO `lang_definitions` VALUES (132032, 2617, 25, 'Stare implicita a checkbox Fereastra Noua in lista pacienti.');
INSERT INTO `lang_definitions` VALUES (132033, 2618, 25, 'Model Implicit');
INSERT INTO `lang_definitions` VALUES (132034, 2619, 25, 'Furnizorul implicit al itemilor din factura');
INSERT INTO `lang_definitions` VALUES (132035, 2620, 25, 'Furnizorul implicit al itemilor din factura (se plica daca ati selectat suport plati)');
INSERT INTO `lang_definitions` VALUES (132036, 2621, 25, 'Implicit la o valoare anterioara');
INSERT INTO `lang_definitions` VALUES (132037, 2622, 25, 'Default top print margin for CMS 1500');
INSERT INTO `lang_definitions` VALUES (132038, 2624, 25, 'Unitatile implicite');
INSERT INTO `lang_definitions` VALUES (132039, 2626, 25, 'Valorile implicite');
INSERT INTO `lang_definitions` VALUES (132040, 2628, 25, 'Depozit implicit');
INSERT INTO `lang_definitions` VALUES (132041, 2629, 25, 'Parteneri X12 impliciti');
INSERT INTO `lang_definitions` VALUES (132042, 2630, 25, 'Implicit / Global');
INSERT INTO `lang_definitions` VALUES (132043, 2632, 25, 'Implicite');
INSERT INTO `lang_definitions` VALUES (132044, 2635, 25, 'Del');
INSERT INTO `lang_definitions` VALUES (132045, 2636, 25, 'del');
INSERT INTO `lang_definitions` VALUES (132046, 2637, 25, 'Aparitie cu intarziere (> 12 luni)');
INSERT INTO `lang_definitions` VALUES (132047, 2638, 25, 'Delete');
INSERT INTO `lang_definitions` VALUES (132048, 2639, 25, 'delete');
INSERT INTO `lang_definitions` VALUES (132049, 2640, 25, 'Sterge categoriile cu ID:');
INSERT INTO `lang_definitions` VALUES (132050, 2641, 25, 'Sterge categorie');
INSERT INTO `lang_definitions` VALUES (132051, 2643, 25, 'Sterge formular consultatie');
INSERT INTO `lang_definitions` VALUES (132052, 2644, 25, 'Stergerea a esuat!');
INSERT INTO `lang_definitions` VALUES (132053, 2645, 25, 'Sterge grup');
INSERT INTO `lang_definitions` VALUES (132054, 2646, 25, 'Sterge lista');
INSERT INTO `lang_definitions` VALUES (132055, 2648, 25, 'Sterge pagini');
INSERT INTO `lang_definitions` VALUES (132056, 2649, 25, 'Sterge pacient, consultatie, formular, emitere, document, plata, facturare sau tranzactie');
INSERT INTO `lang_definitions` VALUES (132057, 2650, 25, 'Sterge plan');
INSERT INTO `lang_definitions` VALUES (132058, 2651, 25, 'Sterge rand');
INSERT INTO `lang_definitions` VALUES (132059, 2652, 25, 'Sterge itemele selectate');
INSERT INTO `lang_definitions` VALUES (132060, 2653, 25, 'Sterge cererile selectate');
INSERT INTO `lang_definitions` VALUES (132061, 2655, 25, 'S-a sters cu succes');
INSERT INTO `lang_definitions` VALUES (132062, 2656, 25, 'Sterge acest document');
INSERT INTO `lang_definitions` VALUES (132063, 2657, 25, 'Sterge acest formular');
INSERT INTO `lang_definitions` VALUES (132064, 2659, 25, 'Sterge aceasta nota');
INSERT INTO `lang_definitions` VALUES (132065, 2660, 25, 'S-a sters cu succes');
INSERT INTO `lang_definitions` VALUES (132066, 2661, 25, 'S-au sters cu succes urmatoarele:');
INSERT INTO `lang_definitions` VALUES (132067, 2662, 25, 'Se sterge...');
INSERT INTO `lang_definitions` VALUES (132068, 2663, 25, 'Stergerea acestui eveniment nu poate fi anulata. Evenimentul va fi imposibil de recuperat. Sunteti sigur de alegerea facuta?');
INSERT INTO `lang_definitions` VALUES (132069, 2666, 25, 'Livrare confirmata');
INSERT INTO `lang_definitions` VALUES (132070, 2667, 25, 'Lirarea nu este permisa la adresa specificata');
INSERT INTO `lang_definitions` VALUES (132071, 2668, 25, 'Lirarea nu este permisa in acest moment la adresa specificata');
INSERT INTO `lang_definitions` VALUES (132072, 2669, 25, 'Livrarea documentelor clinice a fost ceruta de catre pacient');
INSERT INTO `lang_definitions` VALUES (132073, 2670, 25, 'Livrarea documentelor clinice a fost ceruta de catre pacient.');
INSERT INTO `lang_definitions` VALUES (132074, 2671, 25, 'Dementa');
INSERT INTO `lang_definitions` VALUES (132075, 2673, 25, 'Date demografice');
INSERT INTO `lang_definitions` VALUES (132076, 2674, 25, 'Date demografice');
INSERT INTO `lang_definitions` VALUES (132077, 2677, 25, 'Campuri date geografice');
INSERT INTO `lang_definitions` VALUES (132078, 2678, 25, 'Criterii de filtrare a datelor demografice');
INSERT INTO `lang_definitions` VALUES (132079, 2680, 25, 'Datele demografice nu sunt autorizate');
INSERT INTO `lang_definitions` VALUES (132080, 2681, 25, 'Datele demografice nu sunt autorizate.');
INSERT INTO `lang_definitions` VALUES (132081, 2682, 25, 'Interzis');
INSERT INTO `lang_definitions` VALUES (132082, 2683, 25, 'interzis');
INSERT INTO `lang_definitions` VALUES (132083, 2684, 25, 'Numitor');
INSERT INTO `lang_definitions` VALUES (132084, 2685, 25, 'Exceptie numitor');
INSERT INTO `lang_definitions` VALUES (132085, 2686, 25, 'Excludere numitor');
INSERT INTO `lang_definitions` VALUES (132086, 2687, 25, 'Dentar');
INSERT INTO `lang_definitions` VALUES (132087, 2688, 25, 'Lista de probleme dentare');
INSERT INTO `lang_definitions` VALUES (132088, 2689, 25, 'Probleme dentare');
INSERT INTO `lang_definitions` VALUES (132089, 2691, 25, 'Module dependenta');
INSERT INTO `lang_definitions` VALUES (132090, 2692, 25, 'Probleme dependenta');
INSERT INTO `lang_definitions` VALUES (132091, 2694, 25, 'Eroare format factura.');
INSERT INTO `lang_definitions` VALUES (132092, 2696, 25, 'Data depunere numerar');
INSERT INTO `lang_definitions` VALUES (132093, 2697, 25, 'Data depunere numerar nu poate fi mai mare decat data de azi');
INSERT INTO `lang_definitions` VALUES (132094, 2698, 25, 'Data depunere numerar:');
INSERT INTO `lang_definitions` VALUES (132095, 2699, 25, 'Depresiv');
INSERT INTO `lang_definitions` VALUES (132096, 2700, 25, 'Depresie');
INSERT INTO `lang_definitions` VALUES (132097, 2702, 25, 'Dermatologie');
INSERT INTO `lang_definitions` VALUES (132098, 2703, 25, 'Derm{{dermatologic}}');
INSERT INTO `lang_definitions` VALUES (132099, 2704, 25, 'DERM{{Dermatology}}');
INSERT INTO `lang_definitions` VALUES (132100, 2705, 25, 'DESC');
INSERT INTO `lang_definitions` VALUES (132101, 2706, 25, 'Descriere');
INSERT INTO `lang_definitions` VALUES (132102, 2707, 25, 'descriere');
INSERT INTO `lang_definitions` VALUES (132103, 2708, 25, 'Descriere este text implicit');
INSERT INTO `lang_definitions` VALUES (132104, 2709, 25, 'Descrierea dezvaluirilor');
INSERT INTO `lang_definitions` VALUES (132105, 2710, 25, 'Descrierea acestei proceduri sau a codului rezultat');
INSERT INTO `lang_definitions` VALUES (132106, 2711, 25, 'Traducerea descrierii');
INSERT INTO `lang_definitions` VALUES (132107, 2712, 25, 'Numele dorit al fisierului');
INSERT INTO `lang_definitions` VALUES (132108, 2713, 25, 'Destinatie');
INSERT INTO `lang_definitions` VALUES (132109, 2714, 25, 'Numele fisierului destinatie');
INSERT INTO `lang_definitions` VALUES (132110, 2716, 25, 'Distruge lot');
INSERT INTO `lang_definitions` VALUES (132111, 2717, 25, 'Distruge...');
INSERT INTO `lang_definitions` VALUES (132112, 2718, 25, 'Distrus');
INSERT INTO `lang_definitions` VALUES (132113, 2719, 25, 'Medicamente distruse');
INSERT INTO `lang_definitions` VALUES (132114, 2720, 25, 'Raport medicamente distruse');
INSERT INTO `lang_definitions` VALUES (132115, 2721, 25, 'Detaliu');
INSERT INTO `lang_definitions` VALUES (132116, 2723, 25, 'Examen in detaliu');
INSERT INTO `lang_definitions` VALUES (132117, 2724, 25, 'HPI detaliat');
INSERT INTO `lang_definitions` VALUES (132118, 2726, 25, 'Detalii');
INSERT INTO `lang_definitions` VALUES (132119, 2727, 25, 'Dezvoltator');
INSERT INTO `lang_definitions` VALUES (132120, 2728, 25, 'Anomalie de crestere sau dezvoltare');
INSERT INTO `lang_definitions` VALUES (132121, 2729, 25, 'Devizatie');
INSERT INTO `lang_definitions` VALUES (132122, 2730, 25, 'Diabet');
INSERT INTO `lang_definitions` VALUES (132123, 2731, 25, 'Diabet zaharat');
INSERT INTO `lang_definitions` VALUES (132124, 2732, 25, 'Diabet: Management tensiune arteriala (CQM)');
INSERT INTO `lang_definitions` VALUES (132125, 2733, 25, 'Diabet: Examen ocular');
INSERT INTO `lang_definitions` VALUES (132126, 2734, 25, 'Diabet: Examen ocular (CQM)');
INSERT INTO `lang_definitions` VALUES (132127, 2735, 25, 'Diabet: Examen membre inferioare');
INSERT INTO `lang_definitions` VALUES (132128, 2736, 25, 'Diabet: Examen member inferioare (CQM)');
INSERT INTO `lang_definitions` VALUES (132129, 2737, 25, 'Diabet zaharat: managementul si controlul LDL-colesterolului');
INSERT INTO `lang_definitions` VALUES (132130, 2738, 25, 'Diabet: Hemoglobina A1C');
INSERT INTO `lang_definitions` VALUES (132131, 2739, 25, 'Diabet: Colesterol densitate mica management si control');
INSERT INTO `lang_definitions` VALUES (132132, 2740, 25, 'Diabet:Test urina pentru microalbumina');
INSERT INTO `lang_definitions` VALUES (132133, 2741, 25, 'Diagnostic');
INSERT INTO `lang_definitions` VALUES (132134, 2742, 25, 'Diagnostice');
INSERT INTO `lang_definitions` VALUES (132135, 2743, 25, 'Diagnostic');
INSERT INTO `lang_definitions` VALUES (132136, 2744, 25, 'Cod Diagnostic');
INSERT INTO `lang_definitions` VALUES (132137, 2745, 25, 'Coduri Diagnostic');
INSERT INTO `lang_definitions` VALUES (132138, 2747, 25, 'Data Diagnostic');
INSERT INTO `lang_definitions` VALUES (132139, 2749, 25, 'Diagnosticul trebuie sa fie codificat in formularul consultatiei medicale');
INSERT INTO `lang_definitions` VALUES (132140, 2750, 25, 'Nume Diagnostic');
INSERT INTO `lang_definitions` VALUES (132141, 2751, 25, 'Raport Diagnostic');
INSERT INTO `lang_definitions` VALUES (132142, 2752, 25, 'Raportare Diagnostic');
INSERT INTO `lang_definitions` VALUES (132143, 2753, 25, 'Doar raportare a Diagnosticului');
INSERT INTO `lang_definitions` VALUES (132144, 2754, 25, 'Titlu Diagnostic');
INSERT INTO `lang_definitions` VALUES (132145, 2755, 25, 'Diagnostic:');
INSERT INTO `lang_definitions` VALUES (132146, 2756, 25, 'Diagnostic');
INSERT INTO `lang_definitions` VALUES (132147, 2757, 25, 'Diagnostic');
INSERT INTO `lang_definitions` VALUES (132148, 2758, 25, 'Teste Diagnostic');
INSERT INTO `lang_definitions` VALUES (132149, 2760, 25, 'Apeluri');
INSERT INTO `lang_definitions` VALUES (132150, 2761, 25, 'Diam{{Diameter}}');
INSERT INTO `lang_definitions` VALUES (132151, 2762, 25, 'DIAM{{Diameter}}');
INSERT INTO `lang_definitions` VALUES (132152, 2763, 25, 'Diafragme');
INSERT INTO `lang_definitions` VALUES (132153, 2764, 25, 'Diaree');
INSERT INTO `lang_definitions` VALUES (132154, 2765, 25, 'Diastolic');
INSERT INTO `lang_definitions` VALUES (132155, 2767, 25, 'Dictare');
INSERT INTO `lang_definitions` VALUES (132156, 2768, 25, 'Dictare:');
INSERT INTO `lang_definitions` VALUES (132157, 2769, 25, 'Ati primit o copie a trimiterii?');
INSERT INTO `lang_definitions` VALUES (132158, 2770, 25, 'Difuzare:');
INSERT INTO `lang_definitions` VALUES (132159, 2771, 25, 'Semnat digital');
INSERT INTO `lang_definitions` VALUES (132160, 2772, 25, 'Dilatate cu');
INSERT INTO `lang_definitions` VALUES (132161, 2774, 25, 'Dilation orders/risks reviewed');
INSERT INTO `lang_definitions` VALUES (132162, 2776, 25, 'Dim');
INSERT INTO `lang_definitions` VALUES (132163, 2778, 25, 'ADRESA DIRECTA');
INSERT INTO `lang_definitions` VALUES (132164, 2779, 25, 'Adresa directa');
INSERT INTO `lang_definitions` VALUES (132165, 2781, 25, 'Mail direct');
INSERT INTO `lang_definitions` VALUES (132166, 2782, 25, 'Istoric mesaje directe');
INSERT INTO `lang_definitions` VALUES (132167, 2783, 25, 'Direct Message Received.');
INSERT INTO `lang_definitions` VALUES (132168, 2784, 25, 'Direct messaging is currently unavailable.');
INSERT INTO `lang_definitions` VALUES (132169, 2785, 25, 'Direct Messaging Send Failure.');
INSERT INTO `lang_definitions` VALUES (132170, 2786, 25, 'Directii');
INSERT INTO `lang_definitions` VALUES (132171, 2787, 25, 'Numele directorului');
INSERT INTO `lang_definitions` VALUES (132172, 2788, 25, 'Stergere esuata');
INSERT INTO `lang_definitions` VALUES (132173, 2789, 25, 'Disablilitate');
INSERT INTO `lang_definitions` VALUES (132174, 2790, 25, 'Disable');
INSERT INTO `lang_definitions` VALUES (132175, 2794, 25, 'Disable Calendar');
INSERT INTO `lang_definitions` VALUES (132176, 2795, 25, 'Disable Chart Tracker');
INSERT INTO `lang_definitions` VALUES (132177, 2798, 25, 'Dezactivarea imunizari/vaccinari');
INSERT INTO `lang_definitions` VALUES (132178, 2800, 25, 'Dezactiveaza formulare ce folosesc sistemul metric vechi pentru semnele vitale');
INSERT INTO `lang_definitions` VALUES (132179, 2801, 25, 'Dezactiveaza bord trafic pacient');
INSERT INTO `lang_definitions` VALUES (132180, 2802, 25, 'Disable phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (132181, 2803, 25, 'Dezactiveaza prescriptiile medicale');
INSERT INTO `lang_definitions` VALUES (132182, 2804, 25, 'Dezactiveaza grupuri utilizatori');
INSERT INTO `lang_definitions` VALUES (132183, 2805, 25, 'dezactivat');
INSERT INTO `lang_definitions` VALUES (132184, 2806, 25, 'Disabled');
INSERT INTO `lang_definitions` VALUES (132185, 2807, 25, 'Disabled Beneficiary Under Age 65 with Large Group Health Plan (LGHP)');
INSERT INTO `lang_definitions` VALUES (132186, 2811, 25, 'Disc');
INSERT INTO `lang_definitions` VALUES (132187, 2812, 25, 'DISC');
INSERT INTO `lang_definitions` VALUES (132188, 2813, 25, 'Renunta');
INSERT INTO `lang_definitions` VALUES (132189, 2814, 25, 'Renuntat');
INSERT INTO `lang_definitions` VALUES (132190, 2815, 25, 'Eliberare');
INSERT INTO `lang_definitions` VALUES (132191, 2816, 25, 'Eliminare prin uretra');
INSERT INTO `lang_definitions` VALUES (132192, 2817, 25, 'Eliberare reteta');
INSERT INTO `lang_definitions` VALUES (132193, 2818, 25, 'Discharge Right');
INSERT INTO `lang_definitions` VALUES (132194, 2819, 25, 'Discharge Right:');
INSERT INTO `lang_definitions` VALUES (132195, 2820, 25, 'Eliberare rezumat');
INSERT INTO `lang_definitions` VALUES (132196, 2822, 25, 'Timp eliberare');
INSERT INTO `lang_definitions` VALUES (132197, 2823, 25, 'Eliberat');
INSERT INTO `lang_definitions` VALUES (132198, 2825, 25, 'Informatii dezvaluiri medicale');
INSERT INTO `lang_definitions` VALUES (132199, 2826, 25, 'Tipul dezvaluirii');
INSERT INTO `lang_definitions` VALUES (132200, 2827, 25, 'Tipuri dezvaluire');
INSERT INTO `lang_definitions` VALUES (132201, 2828, 25, 'Dezvaluiri');
INSERT INTO `lang_definitions` VALUES (132202, 2832, 25, 'Discontinuu');
INSERT INTO `lang_definitions` VALUES (132203, 2833, 25, 'Reducere');
INSERT INTO `lang_definitions` VALUES (132204, 2834, 25, 'Procentaj reducere');
INSERT INTO `lang_definitions` VALUES (132205, 2835, 25, 'Nivel reducere');
INSERT INTO `lang_definitions` VALUES (132206, 2836, 25, 'Procentaj reducere');
INSERT INTO `lang_definitions` VALUES (132207, 2837, 25, 'Reduceri in unitatea monetara');
INSERT INTO `lang_definitions` VALUES (132208, 2838, 25, 'Reducerile la efectuarea platii vor fi introduse ca sume si nu ca procente.');
INSERT INTO `lang_definitions` VALUES (132209, 2839, 25, 'Rezultat discret');
INSERT INTO `lang_definitions` VALUES (132210, 2841, 25, 'Boala');
INSERT INTO `lang_definitions` VALUES (132211, 2842, 25, 'Boala cu imunitate presupusă');
INSERT INTO `lang_definitions` VALUES (132212, 2843, 25, 'Dizlocare');
INSERT INTO `lang_definitions` VALUES (132213, 2847, 25, 'Disp #');
INSERT INTO `lang_definitions` VALUES (132214, 2848, 25, 'Trimitere');
INSERT INTO `lang_definitions` VALUES (132215, 2849, 25, 'Trimiterea primita');
INSERT INTO `lang_definitions` VALUES (132216, 2850, 25, 'Dispense Rx');
INSERT INTO `lang_definitions` VALUES (132217, 2851, 25, 'Dispense this Rx');
INSERT INTO `lang_definitions` VALUES (132218, 2852, 25, 'Dispense this RX');
INSERT INTO `lang_definitions` VALUES (132219, 2853, 25, 'Compensate');
INSERT INTO `lang_definitions` VALUES (132220, 2855, 25, 'Display Additional measurements (Ks, IOL cals, etc)');
INSERT INTO `lang_definitions` VALUES (132221, 2856, 25, 'Arata directive suplimentare in pagina datelor demografice');
INSERT INTO `lang_definitions` VALUES (132222, 2858, 25, 'Arata documentele');
INSERT INTO `lang_definitions` VALUES (132223, 2859, 25, 'Doriti afisarea datelor evenimentelor in bloc?');
INSERT INTO `lang_definitions` VALUES (132224, 2860, 25, 'Afiseaza formatul pentru greutate in unitati US');
INSERT INTO `lang_definitions` VALUES (132225, 2861, 25, 'Cate evenimente doriti sa afisez?');
INSERT INTO `lang_definitions` VALUES (132226, 2862, 25, 'Afiseaza Numarul facturii sau numele pacientului in raportul chitantelor cash');
INSERT INTO `lang_definitions` VALUES (132227, 2863, 25, 'Afiseaza numarul facturii / numele pacientului sau ambele in raport vanzari?');
INSERT INTO `lang_definitions` VALUES (132228, 2865, 25, 'Afiseaza locatia in bloc?');
INSERT INTO `lang_definitions` VALUES (132229, 2866, 25, 'Afiseaza nume');
INSERT INTO `lang_definitions` VALUES (132230, 2867, 25, 'Afiseaza panelul Autorefractie');
INSERT INTO `lang_definitions` VALUES (132231, 2868, 25, 'Doriti afisarea calendarului?');
INSERT INTO `lang_definitions` VALUES (132232, 2869, 25, 'Afiseaza panelul lentilelor de contact');
INSERT INTO `lang_definitions` VALUES (132233, 2870, 25, 'Afisati factura pentru vizita curenta / Factura pe numele pacientului sau ambele in fereastra de facturare.');
INSERT INTO `lang_definitions` VALUES (132234, 2871, 25, 'Afiseaza panelul Manifest Refraction');
INSERT INTO `lang_definitions` VALUES (132235, 2872, 25, 'Display the patient\'s current glasses');
INSERT INTO `lang_definitions` VALUES (132236, 2873, 25, 'Afiseaza widget-ul intalnirii recurente in rezumatul pacientului');
INSERT INTO `lang_definitions` VALUES (132237, 2874, 25, 'Afiseaza coloanele unitatilor in fereastra de facturare');
INSERT INTO `lang_definitions` VALUES (132238, 2875, 25, 'Afiseaza evenimentele de azi in bloc?');
INSERT INTO `lang_definitions` VALUES (132239, 2876, 25, 'Afiseaza subiectul in bloc?');
INSERT INTO `lang_definitions` VALUES (132240, 2877, 25, 'Afiseaza evenimentele viitoare in bloc?');
INSERT INTO `lang_definitions` VALUES (132241, 2879, 25, 'Coloane afisate');
INSERT INTO `lang_definitions` VALUES (132242, 2880, 25, 'Afiseaza urmatorul numar pentru dezvaluirile recente ale pacientului:');
INSERT INTO `lang_definitions` VALUES (132243, 2882, 25, 'Afiseaza urmatorul numar pentru notele recente:');
INSERT INTO `lang_definitions` VALUES (132244, 2883, 25, 'Afiseaza urmatorul numar pentru notele recente:');
INSERT INTO `lang_definitions` VALUES (132245, 2884, 25, 'Distanta');
INSERT INTO `lang_definitions` VALUES (132246, 2890, 25, 'Distribuire');
INSERT INTO `lang_definitions` VALUES (132247, 2891, 25, 'Distriburi');
INSERT INTO `lang_definitions` VALUES (132248, 2892, 25, 'DIstribuitor');
INSERT INTO `lang_definitions` VALUES (132249, 2893, 25, 'Dist{{distance}}');
INSERT INTO `lang_definitions` VALUES (132250, 2894, 25, 'Maldive');
INSERT INTO `lang_definitions` VALUES (132251, 2895, 25, 'Divergenta');
INSERT INTO `lang_definitions` VALUES (132252, 2896, 25, 'Divergenta Amps');
INSERT INTO `lang_definitions` VALUES (132253, 2897, 25, 'Diverticulita');
INSERT INTO `lang_definitions` VALUES (132254, 2898, 25, 'Operatie diverticulita');
INSERT INTO `lang_definitions` VALUES (132255, 2899, 25, 'Diverticulita');
INSERT INTO `lang_definitions` VALUES (132256, 2900, 25, 'Operatie diverticulita');
INSERT INTO `lang_definitions` VALUES (132257, 2901, 25, 'Divortat');
INSERT INTO `lang_definitions` VALUES (132258, 2902, 25, 'Ameteala');
INSERT INTO `lang_definitions` VALUES (132259, 2905, 25, 'Nu schimba');
INSERT INTO `lang_definitions` VALUES (132260, 2906, 25, 'Do not display Allergies uploaded after visiting NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (132261, 2907, 25, 'Do not display Allergy uploaded to NewCrop');
INSERT INTO `lang_definitions` VALUES (132262, 2908, 25, 'Do not display Medications uploaded after visiting NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (132263, 2909, 25, 'Do not display Medications uploaded to NewCrop');
INSERT INTO `lang_definitions` VALUES (132264, 2910, 25, 'Do not display NewCrop eRx Allergy uploaded');
INSERT INTO `lang_definitions` VALUES (132265, 2911, 25, 'Do not display NewCrop eRx Medications uploaded');
INSERT INTO `lang_definitions` VALUES (132266, 2912, 25, 'Nu afisa calendarul');
INSERT INTO `lang_definitions` VALUES (132267, 2913, 25, 'Nu afisa fereastra cu activitatile pacientului');
INSERT INTO `lang_definitions` VALUES (132268, 2916, 25, 'Nu stoca sau vinde alte produse');
INSERT INTO `lang_definitions` VALUES (132269, 2919, 25, 'Nu cere ca notele pacientilor sa fie autorizate');
INSERT INTO `lang_definitions` VALUES (132270, 2920, 25, 'Nu cere din nou ordinul');
INSERT INTO `lang_definitions` VALUES (132271, 2921, 25, 'nu salva');
INSERT INTO `lang_definitions` VALUES (132272, 2922, 25, 'nu substitui');
INSERT INTO `lang_definitions` VALUES (132273, 2925, 25, 'nu face nimic');
INSERT INTO `lang_definitions` VALUES (132274, 2926, 25, 'Vreti sa schimbati Wrehouse?');
INSERT INTO `lang_definitions` VALUES (132275, 2928, 25, 'Esti sigur ca vrei sa continui');
INSERT INTO `lang_definitions` VALUES (132276, 2929, 25, 'Esti sigur ca vrei sa stergi');
INSERT INTO `lang_definitions` VALUES (132277, 2930, 25, 'Esti sigur ca vrei sa stergi selectia?');
INSERT INTO `lang_definitions` VALUES (132278, 2931, 25, 'Esti sigur ca vrei sa stergi acest grup');
INSERT INTO `lang_definitions` VALUES (132279, 2932, 25, 'Esti sigur ca vrei sa stergi?');
INSERT INTO `lang_definitions` VALUES (132280, 2934, 25, 'Esti sigur ca vrei sa continui?');
INSERT INTO `lang_definitions` VALUES (132281, 2935, 25, 'Esti sigur ca vrei sa stergi?');
INSERT INTO `lang_definitions` VALUES (132282, 2936, 25, 'Esti sigur ca vrei sa stergi?');
INSERT INTO `lang_definitions` VALUES (132283, 2937, 25, 'Esti sigur ca vrei sa muti aceasta inregistrare?');
INSERT INTO `lang_definitions` VALUES (132284, 2938, 25, 'Doresti sa continui cu adaugarea acestui pacient?');
INSERT INTO `lang_definitions` VALUES (132285, 2939, 25, 'Doresti sa continui cu un nou nume?');
INSERT INTO `lang_definitions` VALUES (132286, 2940, 25, 'Doresti sa stergi PERMANENT aceasta data privind vaccinarea?');
INSERT INTO `lang_definitions` VALUES (132287, 2941, 25, 'Data Nasterii');
INSERT INTO `lang_definitions` VALUES (132288, 2942, 25, 'Va rugam introduceti data nasterii');
INSERT INTO `lang_definitions` VALUES (132289, 2944, 25, 'Documente');
INSERT INTO `lang_definitions` VALUES (132290, 2945, 25, 'Doctor');
INSERT INTO `lang_definitions` VALUES (132291, 2946, 25, 'Doctor.');
INSERT INTO `lang_definitions` VALUES (132292, 2947, 25, 'Numele doctorului si semnatura sa');
INSERT INTO `lang_definitions` VALUES (132293, 2948, 25, 'Document');
INSERT INTO `lang_definitions` VALUES (132294, 2949, 25, 'document');
INSERT INTO `lang_definitions` VALUES (132295, 2950, 25, 'document 3 and their status to reach the detailed HPI level');
INSERT INTO `lang_definitions` VALUES (132296, 2951, 25, 'Categorii documente');
INSERT INTO `lang_definitions` VALUES (132297, 2952, 25, 'Categoria de documente pentru rezultatele de laborator nu exista');
INSERT INTO `lang_definitions` VALUES (132298, 2953, 25, 'Numele categoriei de documente pentru stocarea rezultatelor analizelor de laborator.');
INSERT INTO `lang_definitions` VALUES (132299, 2954, 25, 'Numele categoriei de documente pentru stocarea documentelor MDM primite');
INSERT INTO `lang_definitions` VALUES (132300, 2955, 25, 'Categoria de documente sau anulare');
INSERT INTO `lang_definitions` VALUES (132301, 2958, 25, 'Documentul nu s-a putut transfera catre pacient');
INSERT INTO `lang_definitions` VALUES (132302, 2959, 25, 'Document creat');
INSERT INTO `lang_definitions` VALUES (132303, 2960, 25, 'Data documentului');
INSERT INTO `lang_definitions` VALUES (132304, 2961, 25, 'Data documentului si cerintele au fost actualizate cu succes');
INSERT INTO `lang_definitions` VALUES (132305, 2962, 25, 'Document ID');
INSERT INTO `lang_definitions` VALUES (132306, 2964, 25, 'Biblioteca documente');
INSERT INTO `lang_definitions` VALUES (132307, 2965, 25, 'Documentul a fost mutat in alta categorie');
INSERT INTO `lang_definitions` VALUES (132308, 2966, 25, 'Documentul a fost mutat la pacient ID');
INSERT INTO `lang_definitions` VALUES (132309, 2967, 25, 'Documentul a trecut testul de integritate cu succes');
INSERT INTO `lang_definitions` VALUES (132310, 2968, 25, 'Documentul a trecut testul de integritate cu succes.');
INSERT INTO `lang_definitions` VALUES (132311, 2969, 25, 'Metoda de stocare a documentului');
INSERT INTO `lang_definitions` VALUES (132312, 2970, 25, 'Documentul a fost redenumit cu succes');
INSERT INTO `lang_definitions` VALUES (132313, 2971, 25, 'Documentul a fost etichetat cu consultatia medicala.');
INSERT INTO `lang_definitions` VALUES (132314, 2972, 25, 'Management sabloane documente');
INSERT INTO `lang_definitions` VALUES (132315, 2973, 25, 'Modele documente');
INSERT INTO `lang_definitions` VALUES (132316, 2975, 25, 'Documente');
INSERT INTO `lang_definitions` VALUES (132317, 2976, 25, 'Document / Stocare date imagistica');
INSERT INTO `lang_definitions` VALUES (132318, 2977, 25, 'Se cere documentare pentru un HPI detaliat');
INSERT INTO `lang_definitions` VALUES (132319, 2978, 25, 'Documente');
INSERT INTO `lang_definitions` VALUES (132320, 2980, 25, 'Documente (write,addonly optional)');
INSERT INTO `lang_definitions` VALUES (132321, 2988, 25, 'Doc{{format document}}');
INSERT INTO `lang_definitions` VALUES (132322, 2989, 25, 'DOE');
INSERT INTO `lang_definitions` VALUES (132323, 2990, 25, 'Exista ceva care imbunatateste? Mai rau?');
INSERT INTO `lang_definitions` VALUES (132324, 2991, 25, 'Aceasta apare in anumite situatii?');
INSERT INTO `lang_definitions` VALUES (132325, 2992, 25, 'Nu este egal');
INSERT INTO `lang_definitions` VALUES (132326, 2994, 25, 'nu se potriveste cu numarul consultatiei PV1');
INSERT INTO `lang_definitions` VALUES (132327, 2995, 25, 'nu este valid');
INSERT INTO `lang_definitions` VALUES (132328, 2996, 25, 'Acest tip permite coduri asemanatoare?');
INSERT INTO `lang_definitions` VALUES (132329, 2997, 25, 'Partener');
INSERT INTO `lang_definitions` VALUES (132330, 2998, 25, 'Nu salva');
INSERT INTO `lang_definitions` VALUES (132331, 2999, 25, 'Nu salva');
INSERT INTO `lang_definitions` VALUES (132332, 3000, 25, 'Nu salva modificarile');
INSERT INTO `lang_definitions` VALUES (132333, 3001, 25, 'DONATE NOW!');
INSERT INTO `lang_definitions` VALUES (132334, 3002, 25, 'Terminat');
INSERT INTO `lang_definitions` VALUES (132335, 3004, 25, 'Terminat cu:');
INSERT INTO `lang_definitions` VALUES (132336, 3005, 25, 'Terminat. Acum trimit ceea ce am descarcat.');
INSERT INTO `lang_definitions` VALUES (132337, 3006, 25, 'DOS');
INSERT INTO `lang_definitions` VALUES (132338, 3007, 25, 'Dozaj');
INSERT INTO `lang_definitions` VALUES (132339, 3008, 25, 'Dozaj');
INSERT INTO `lang_definitions` VALUES (132340, 3009, 25, 'Double click on a DX\'s handle');
INSERT INTO `lang_definitions` VALUES (132341, 3011, 25, 'dublu click pentru editare');
INSERT INTO `lang_definitions` VALUES (132342, 3013, 25, 'Vedere dubla');
INSERT INTO `lang_definitions` VALUES (132343, 3014, 25, 'Download');
INSERT INTO `lang_definitions` VALUES (132344, 3015, 25, 'DOWNLOAD');
INSERT INTO `lang_definitions` VALUES (132345, 3018, 25, 'Descarca toate documentele pacientilor');
INSERT INTO `lang_definitions` VALUES (132346, 3019, 25, 'Descarca oricum');
INSERT INTO `lang_definitions` VALUES (132347, 3020, 25, 'Descarca factura, contabilizeaza si marcheaza ca incasat');
INSERT INTO `lang_definitions` VALUES (132348, 3021, 25, 'Descarca fisierul CCDA');
INSERT INTO `lang_definitions` VALUES (132349, 3022, 25, 'Descarca Certificate');
INSERT INTO `lang_definitions` VALUES (132350, 3023, 25, 'Descarca date configurare');
INSERT INTO `lang_definitions` VALUES (132351, 3025, 25, 'Descarca sabloane documente pentru acest pacient si vizita');
INSERT INTO `lang_definitions` VALUES (132352, 3027, 25, 'download encrypted file');
INSERT INTO `lang_definitions` VALUES (132353, 3028, 25, 'Download Fax');
INSERT INTO `lang_definitions` VALUES (132354, 3029, 25, 'Download HL7 file');
INSERT INTO `lang_definitions` VALUES (132355, 3031, 25, 'Download Offsite Portal Connection Files');
INSERT INTO `lang_definitions` VALUES (132356, 3032, 25, 'Download or Delete a Template');
INSERT INTO `lang_definitions` VALUES (132357, 3033, 25, 'Download PDF');
INSERT INTO `lang_definitions` VALUES (132358, 3034, 25, 'Download QRDA Category III File');
INSERT INTO `lang_definitions` VALUES (132359, 3037, 25, 'Descarca afirmatiile selectate');
INSERT INTO `lang_definitions` VALUES (132360, 3039, 25, 'Dr Check');
INSERT INTO `lang_definitions` VALUES (132361, 3040, 25, 'Dr Visit');
INSERT INTO `lang_definitions` VALUES (132362, 3041, 25, 'Dr.');
INSERT INTO `lang_definitions` VALUES (132363, 3043, 25, 'Drag a DX over by its handle');
INSERT INTO `lang_definitions` VALUES (132364, 3044, 25, 'Drag the arrow for each diagnosis to sort the list.');
INSERT INTO `lang_definitions` VALUES (132365, 3045, 25, 'Trage pentru a muta');
INSERT INTO `lang_definitions` VALUES (132366, 3046, 25, 'A desena');
INSERT INTO `lang_definitions` VALUES (132367, 3047, 25, 'Driblare');
INSERT INTO `lang_definitions` VALUES (132368, 3048, 25, 'Carnet sofer sau buletin');
INSERT INTO `lang_definitions` VALUES (132369, 3050, 25, 'Medicament');
INSERT INTO `lang_definitions` VALUES (132370, 3051, 25, 'Medicament - Interactiune medicament');
INSERT INTO `lang_definitions` VALUES (132371, 3052, 25, 'Cod medicament');
INSERT INTO `lang_definitions` VALUES (132372, 3053, 25, 'Gasire medicament');
INSERT INTO `lang_definitions` VALUES (132373, 3054, 25, 'Formular medicamente');
INSERT INTO `lang_definitions` VALUES (132374, 3055, 25, 'Codul medicamentelor lipseste!');
INSERT INTO `lang_definitions` VALUES (132375, 3056, 25, 'Intervale medicamente');
INSERT INTO `lang_definitions` VALUES (132376, 3057, 25, 'Stoc medicamente');
INSERT INTO `lang_definitions` VALUES (132377, 3059, 25, 'Denumire medicament');
INSERT INTO `lang_definitions` VALUES (132378, 3061, 25, 'Traseu medicamente');
INSERT INTO `lang_definitions` VALUES (132379, 3062, 25, 'Fereastra medicamente');
INSERT INTO `lang_definitions` VALUES (132380, 3063, 25, 'Ecran medicamente complet');
INSERT INTO `lang_definitions` VALUES (132381, 3064, 25, 'Raport medicamente');
INSERT INTO `lang_definitions` VALUES (132382, 3066, 25, 'Unitati medicamente');
INSERT INTO `lang_definitions` VALUES (132383, 3067, 25, 'Utilizare medicamente');
INSERT INTO `lang_definitions` VALUES (132384, 3068, 25, 'Drug-Drug');
INSERT INTO `lang_definitions` VALUES (132385, 3070, 25, 'Drug1 Name{{Drug1 Interaction}}');
INSERT INTO `lang_definitions` VALUES (132386, 3071, 25, 'Drug2 Name{{Drug2 Interaction}}');
INSERT INTO `lang_definitions` VALUES (132387, 3072, 25, 'Medicamente');
INSERT INTO `lang_definitions` VALUES (132388, 3073, 25, 'Medicamente si alte produse');
INSERT INTO `lang_definitions` VALUES (132389, 3074, 25, 'Gura uscata');
INSERT INTO `lang_definitions` VALUES (132390, 3075, 25, 'Diagnostic DSMV');
INSERT INTO `lang_definitions` VALUES (132391, 3076, 25, 'DT 1');
INSERT INTO `lang_definitions` VALUES (132392, 3077, 25, 'DT 2');
INSERT INTO `lang_definitions` VALUES (132393, 3078, 25, 'DT 3');
INSERT INTO `lang_definitions` VALUES (132394, 3079, 25, 'DT 4');
INSERT INTO `lang_definitions` VALUES (132395, 3080, 25, 'DT 5');
INSERT INTO `lang_definitions` VALUES (132396, 3081, 25, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (132397, 3082, 25, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (132398, 3083, 25, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (132399, 3084, 25, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (132400, 3085, 25, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (132401, 3087, 25, 'Datorat');
INSERT INTO `lang_definitions` VALUES (132402, 3088, 25, 'Data scadentei');
INSERT INTO `lang_definitions` VALUES (132403, 3090, 25, 'Data scadentei mm/dd/yyyy or yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (132404, 3091, 25, 'Data scadentei:');
INSERT INTO `lang_definitions` VALUES (132405, 3092, 25, 'Due Ins');
INSERT INTO `lang_definitions` VALUES (132406, 3093, 25, 'Due Pt');
INSERT INTO `lang_definitions` VALUES (132407, 3094, 25, 'Due Soon');
INSERT INTO `lang_definitions` VALUES (132408, 3095, 25, 'Stare datorie');
INSERT INTO `lang_definitions` VALUES (132409, 3096, 25, 'Actualizare stare datorie');
INSERT INTO `lang_definitions` VALUES (132410, 3097, 25, 'Dumping OpenEMR database');
INSERT INTO `lang_definitions` VALUES (132411, 3098, 25, 'Dumping OpenEMR web directory tree');
INSERT INTO `lang_definitions` VALUES (132412, 3099, 25, 'Dumping phpGACL database');
INSERT INTO `lang_definitions` VALUES (132413, 3100, 25, 'Dumping phpGACL web directory tree');
INSERT INTO `lang_definitions` VALUES (132414, 3101, 25, 'Dumping SQL-Ledger database');
INSERT INTO `lang_definitions` VALUES (132415, 3102, 25, 'Dumping SQL-Ledger web directory tree');
INSERT INTO `lang_definitions` VALUES (132416, 3103, 25, 'Dup Check');
INSERT INTO `lang_definitions` VALUES (132417, 3107, 25, 'Duplicate Rx -- unchanged from current Rx{{The refraction did not change, New Rx=old Rx}}');
INSERT INTO `lang_definitions` VALUES (132418, 3108, 25, 'ID duplicat in linie');
INSERT INTO `lang_definitions` VALUES (132419, 3109, 25, 'Nume duplicat in linie');
INSERT INTO `lang_definitions` VALUES (132420, 3110, 25, 'DUPLICATION WARNING');
INSERT INTO `lang_definitions` VALUES (132421, 3111, 25, 'Document imputernicire');
INSERT INTO `lang_definitions` VALUES (132422, 3112, 25, 'Durata');
INSERT INTO `lang_definitions` VALUES (132423, 3113, 25, 'durata');
INSERT INTO `lang_definitions` VALUES (132424, 3114, 25, 'Olandez');
INSERT INTO `lang_definitions` VALUES (132425, 3116, 25, 'Dx Rep');
INSERT INTO `lang_definitions` VALUES (132426, 3117, 25, 'Disfagie');
INSERT INTO `lang_definitions` VALUES (132427, 3118, 25, 'Dispnee');
INSERT INTO `lang_definitions` VALUES (132428, 3119, 25, 'Disurie');
INSERT INTO `lang_definitions` VALUES (132429, 3120, 25, 'Dzongkha');
INSERT INTO `lang_definitions` VALUES (132430, 3121, 25, 'E(T){{intermittent esotropia}}');
INSERT INTO `lang_definitions` VALUES (132431, 3122, 25, 'E-Mail');
INSERT INTO `lang_definitions` VALUES (132432, 3128, 25, 'E-Prescription?');
INSERT INTO `lang_definitions` VALUES (132433, 3129, 25, 'E-Reports');
INSERT INTO `lang_definitions` VALUES (132434, 3130, 25, 'e-Rx');
INSERT INTO `lang_definitions` VALUES (132435, 3131, 25, 'e-Rx EPCS');
INSERT INTO `lang_definitions` VALUES (132436, 3132, 25, 'e-Rx Renewal');
INSERT INTO `lang_definitions` VALUES (132437, 3133, 25, 'e-signed');
INSERT INTO `lang_definitions` VALUES (132438, 3135, 25, 'Each recipient must set their own messages as completed.');
INSERT INTO `lang_definitions` VALUES (132439, 3140, 25, 'Recidiva recenta (<2 luni)');
INSERT INTO `lang_definitions` VALUES (132440, 3141, 25, 'Urechi');
INSERT INTO `lang_definitions` VALUES (132441, 3148, 25, 'ECG');
INSERT INTO `lang_definitions` VALUES (132442, 3149, 25, 'eClaims');
INSERT INTO `lang_definitions` VALUES (132443, 3150, 25, 'ECL{{equivalent contact lens power at the corneal level}}');
INSERT INTO `lang_definitions` VALUES (132444, 3151, 25, 'ECOM{{external comments abbreviation}}');
INSERT INTO `lang_definitions` VALUES (132445, 3152, 25, 'Edem');
INSERT INTO `lang_definitions` VALUES (132446, 3153, 25, 'EDI File');
INSERT INTO `lang_definitions` VALUES (132447, 3154, 25, 'EDI History');
INSERT INTO `lang_definitions` VALUES (132448, 3155, 25, 'edi history');
INSERT INTO `lang_definitions` VALUES (132449, 3156, 25, 'EDI History (under Fees) for storing and interpreting EDI claim response files');
INSERT INTO `lang_definitions` VALUES (132450, 3157, 25, 'EDI-271 File Upload');
INSERT INTO `lang_definitions` VALUES (132451, 3158, 25, 'EDI-271 Response File Upload');
INSERT INTO `lang_definitions` VALUES (132452, 3159, 25, 'Edit');
INSERT INTO `lang_definitions` VALUES (132453, 3160, 25, 'edit');
INSERT INTO `lang_definitions` VALUES (132454, 3161, 25, 'Edit Alergiile');
INSERT INTO `lang_definitions` VALUES (132455, 3163, 25, 'Edit Categoriile');
INSERT INTO `lang_definitions` VALUES (132456, 3165, 25, 'Edit Definitiile');
INSERT INTO `lang_definitions` VALUES (132457, 3166, 25, 'Edit definitii');
INSERT INTO `lang_definitions` VALUES (132458, 3167, 25, 'Edit diagnostic pentru');
INSERT INTO `lang_definitions` VALUES (132459, 3168, 25, 'Edit dezvaluire');
INSERT INTO `lang_definitions` VALUES (132460, 3173, 25, 'Edit facilitati / entitate');
INSERT INTO `lang_definitions` VALUES (132461, 3174, 25, 'Editare centru medical');
INSERT INTO `lang_definitions` VALUES (132462, 3175, 25, 'Edit informatii entitate');
INSERT INTO `lang_definitions` VALUES (132463, 3176, 25, 'Modifica informatie specifica a utilizatorilor entitatii');
INSERT INTO `lang_definitions` VALUES (132464, 3177, 25, 'Modifica fisier in');
INSERT INTO `lang_definitions` VALUES (132465, 3178, 25, 'Modifica formilar');
INSERT INTO `lang_definitions` VALUES (132466, 3179, 25, 'Modifica setarile globale');
INSERT INTO `lang_definitions` VALUES (132467, 3180, 25, 'Editar Histórico e Estilo de Vida');
INSERT INTO `lang_definitions` VALUES (132468, 3181, 25, 'Edit is not authorized!');
INSERT INTO `lang_definitions` VALUES (132469, 3183, 25, 'Edit layout');
INSERT INTO `lang_definitions` VALUES (132470, 3185, 25, 'Modifica lista');
INSERT INTO `lang_definitions` VALUES (132471, 3188, 25, 'Modifica plata');
INSERT INTO `lang_definitions` VALUES (132472, 3189, 25, 'Modifica structura');
INSERT INTO `lang_definitions` VALUES (132473, 3192, 25, 'Modifica utlizator');
INSERT INTO `lang_definitions` VALUES (132474, 3193, 25, 'Modifica setari utlizator');
INSERT INTO `lang_definitions` VALUES (132475, 3194, 25, 'Modifica datele introduse');
INSERT INTO `lang_definitions` VALUES (132476, 3195, 25, 'Modificare esuata');
INSERT INTO `lang_definitions` VALUES (132477, 3196, 25, 'Educatie');
INSERT INTO `lang_definitions` VALUES (132478, 3197, 25, 'Data educatie');
INSERT INTO `lang_definitions` VALUES (132479, 3198, 25, 'Materiale educative pentru');
INSERT INTO `lang_definitions` VALUES (132480, 3199, 25, 'ee the  * GNU General Public License for more details.  *   * You should have received a copy of the GNU General Public License  * along with this program; if not, write to the Free');
INSERT INTO `lang_definitions` VALUES (132481, 3200, 25, 'Data intrare in vigoare');
INSERT INTO `lang_definitions` VALUES (132482, 3201, 25, 'Data intrare in vigoare');
INSERT INTO `lang_definitions` VALUES (132483, 3202, 25, 'Eficacitate');
INSERT INTO `lang_definitions` VALUES (132484, 3203, 25, 'de ex. durere, arsura');
INSERT INTO `lang_definitions` VALUES (132485, 3204, 25, 'EIN');
INSERT INTO `lang_definitions` VALUES (132486, 3207, 25, 'Ejaculari');
INSERT INTO `lang_definitions` VALUES (132487, 3208, 25, 'Cot');
INSERT INTO `lang_definitions` VALUES (132488, 3209, 25, 'Probleme cot');
INSERT INTO `lang_definitions` VALUES (132489, 3210, 25, 'Electronic');
INSERT INTO `lang_definitions` VALUES (132490, 3211, 25, 'Document electronic receptionat');
INSERT INTO `lang_definitions` VALUES (132491, 3212, 25, 'Note electronice');
INSERT INTO `lang_definitions` VALUES (132492, 3214, 25, 'Remiteri electronice');
INSERT INTO `lang_definitions` VALUES (132493, 3215, 25, 'Rapoarte electronice');
INSERT INTO `lang_definitions` VALUES (132494, 3217, 25, 'electronically signed on');
INSERT INTO `lang_definitions` VALUES (132495, 3218, 25, 'Eligibilitate');
INSERT INTO `lang_definitions` VALUES (132496, 3219, 25, 'Eligibilitate');
INSERT INTO `lang_definitions` VALUES (132497, 3220, 25, 'Raspuns eligibilitate');
INSERT INTO `lang_definitions` VALUES (132498, 3222, 25, 'Status elibilitate pentru vaccinari copii');
INSERT INTO `lang_definitions` VALUES (132499, 3223, 25, 'Eligibil');
INSERT INTO `lang_definitions` VALUES (132500, 3224, 25, 'Elipsa');
INSERT INTO `lang_definitions` VALUES (132501, 3225, 25, 'Email');
INSERT INTO `lang_definitions` VALUES (132502, 3226, 25, 'email');
INSERT INTO `lang_definitions` VALUES (132503, 3228, 25, 'Adresa email');
INSERT INTO `lang_definitions` VALUES (132504, 3229, 25, 'Adresa de email lipseste');
INSERT INTO `lang_definitions` VALUES (132505, 3230, 25, 'Adresa de email pentru mementouri pacienti.');
INSERT INTO `lang_definitions` VALUES (132506, 3231, 25, 'Adresa de mail pentru primirea notificarilor administrative');
INSERT INTO `lang_definitions` VALUES (132507, 3232, 25, 'Email address, if any, to receive emergency login user activation messages.');
INSERT INTO `lang_definitions` VALUES (132508, 3233, 25, 'Autentificare email');
INSERT INTO `lang_definitions` VALUES (132509, 3236, 25, 'Email Batchcom');
INSERT INTO `lang_definitions` VALUES (132510, 3238, 25, 'Notificare email');
INSERT INTO `lang_definitions` VALUES (132511, 3239, 25, 'Ore notificare email');
INSERT INTO `lang_definitions` VALUES (132512, 3240, 25, 'Raport notificare email');
INSERT INTO `lang_definitions` VALUES (132513, 3244, 25, 'Email trimis inainte');
INSERT INTO `lang_definitions` VALUES (132514, 3245, 25, 'Expeditor email');
INSERT INTO `lang_definitions` VALUES (132515, 3246, 25, 'Email trimis');
INSERT INTO `lang_definitions` VALUES (132516, 3247, 25, 'Email trimis catre');
INSERT INTO `lang_definitions` VALUES (132517, 3248, 25, 'Subiect mail');
INSERT INTO `lang_definitions` VALUES (132518, 3251, 25, 'Email Text, Usable Tag: ***NAME*** , i.e. Dear ***NAME***');
INSERT INTO `lang_definitions` VALUES (132519, 3252, 25, 'Email Text, Usable Tag: ***NAME*** , i.e. Dear ***NAME***{{Do Not translate the ***NAME*** elements of this constant.}}');
INSERT INTO `lang_definitions` VALUES (132520, 3253, 25, 'Metoda transmitere a emailului');
INSERT INTO `lang_definitions` VALUES (132521, 3254, 25, 'Emailul a fost trimis catre urmatoarea adresa');
INSERT INTO `lang_definitions` VALUES (132522, 3257, 25, 'Ingrijire de urgenta');
INSERT INTO `lang_definitions` VALUES (132523, 3258, 25, 'Contact in caz de urgenta');
INSERT INTO `lang_definitions` VALUES (132524, 3259, 25, 'Contact in caz de urgenta');
INSERT INTO `lang_definitions` VALUES (132525, 3260, 25, 'Persoana de contact in caz de urgenta');
INSERT INTO `lang_definitions` VALUES (132526, 3261, 25, 'Telefon in caz de urgenta');
INSERT INTO `lang_definitions` VALUES (132527, 3262, 25, 'Contraceptie in caz de urgenta');
INSERT INTO `lang_definitions` VALUES (132528, 3263, 25, 'Login Urgenta');
INSERT INTO `lang_definitions` VALUES (132529, 3264, 25, 'Emergency Login ACL is chosen. The user is still in active state, please de-activate the user and activate the same when required during emergency situations. Visit Administration->Users for activation or de-activation.');
INSERT INTO `lang_definitions` VALUES (132530, 3265, 25, 'Emergency Login activation email will be circulated only if following settings in the interface/globals.php file are configured:');
INSERT INTO `lang_definitions` VALUES (132531, 3266, 25, 'Adresa mail logare in caz de urgenta');
INSERT INTO `lang_definitions` VALUES (132532, 3267, 25, 'Emergency Login user can do anything');
INSERT INTO `lang_definitions` VALUES (132533, 3268, 25, 'Telefon in caz de urgenta');
INSERT INTO `lang_definitions` VALUES (132534, 3269, 25, 'Emergency Room - Hospital');
INSERT INTO `lang_definitions` VALUES (132535, 3270, 25, 'Probleme comportamentale si emotionale');
INSERT INTO `lang_definitions` VALUES (132536, 3271, 25, 'Emfizem');
INSERT INTO `lang_definitions` VALUES (132537, 3272, 25, 'Angajat');
INSERT INTO `lang_definitions` VALUES (132538, 3273, 25, 'Angajator');
INSERT INTO `lang_definitions` VALUES (132539, 3274, 25, 'Adresa angajator');
INSERT INTO `lang_definitions` VALUES (132540, 3275, 25, 'Date angajator');
INSERT INTO `lang_definitions` VALUES (132541, 3276, 25, 'Nume angajator');
INSERT INTO `lang_definitions` VALUES (132542, 3277, 25, 'GOL');
INSERT INTO `lang_definitions` VALUES (132543, 3278, 25, 'Gol');
INSERT INTO `lang_definitions` VALUES (132544, 3279, 25, 'Nu este permisa parola goala.');
INSERT INTO `lang_definitions` VALUES (132545, 3281, 25, 'Valoare lipsa in \"Ore email\"');
INSERT INTO `lang_definitions` VALUES (132546, 3282, 25, 'Valoare lipsa in \"Expeditor email\"');
INSERT INTO `lang_definitions` VALUES (132547, 3283, 25, 'Valoare lipsa in \"Subiect email\"');
INSERT INTO `lang_definitions` VALUES (132548, 3284, 25, 'Valoare lipsa in \"Text email\"');
INSERT INTO `lang_definitions` VALUES (132549, 3285, 25, 'Valoare lipsa in \"Nume furnizor\"');
INSERT INTO `lang_definitions` VALUES (132550, 3286, 25, 'Valoare lipsa in \"Parola\"');
INSERT INTO `lang_definitions` VALUES (132551, 3287, 25, 'Valoare lipsa in \"Ore SMS\"');
INSERT INTO `lang_definitions` VALUES (132552, 3288, 25, 'Valoare lipsa in \"Text SMS\"');
INSERT INTO `lang_definitions` VALUES (132553, 3289, 25, 'Valoare lipsa in \"Nume utilizator\"');
INSERT INTO `lang_definitions` VALUES (132554, 3290, 25, 'EMR Direct');
INSERT INTO `lang_definitions` VALUES (132555, 3292, 25, 'Permite');
INSERT INTO `lang_definitions` VALUES (132556, 3294, 25, 'Permite istoric alerte');
INSERT INTO `lang_definitions` VALUES (132557, 3295, 25, 'Permite inregistrare istoric alerte');
INSERT INTO `lang_definitions` VALUES (132558, 3296, 25, 'Permite verificare alergii');
INSERT INTO `lang_definitions` VALUES (132559, 3297, 25, 'Permite verificare alergii medicamentatie');
INSERT INTO `lang_definitions` VALUES (132560, 3298, 25, 'Permite AMC determinare');
INSERT INTO `lang_definitions` VALUES (132561, 3299, 25, 'Permite articole AMC raportare');
INSERT INTO `lang_definitions` VALUES (132562, 3300, 25, 'Permite AMC raport');
INSERT INTO `lang_definitions` VALUES (132563, 3301, 25, 'Permite urmarire AMC');
INSERT INTO `lang_definitions` VALUES (132564, 3302, 25, 'Permite functie amendamente');
INSERT INTO `lang_definitions` VALUES (132565, 3303, 25, 'Permite audit ATNA');
INSERT INTO `lang_definitions` VALUES (132566, 3304, 25, 'Enable Audit Log Encryption');
INSERT INTO `lang_definitions` VALUES (132567, 3305, 25, 'Enable Audit Logging');
INSERT INTO `lang_definitions` VALUES (132568, 3306, 25, 'Enable Audit Trail and Node Authentication (ATNA).');
INSERT INTO `lang_definitions` VALUES (132569, 3307, 25, 'Permite Raportare Automated Measure Calculations (AMC)');
INSERT INTO `lang_definitions` VALUES (132570, 3312, 25, 'Enable Client SSL');
INSERT INTO `lang_definitions` VALUES (132571, 3313, 25, 'Enable client SSL certificate authentication.');
INSERT INTO `lang_definitions` VALUES (132572, 3314, 25, 'Enable Clinical Active Reminder Popup');
INSERT INTO `lang_definitions` VALUES (132573, 3315, 25, 'Activeaza reguli clinica');
INSERT INTO `lang_definitions` VALUES (132574, 3316, 25, 'Activeaza fereastra reamintire pasiva');
INSERT INTO `lang_definitions` VALUES (132575, 3317, 25, 'Activeaza widget pasiv reamintire');
INSERT INTO `lang_definitions` VALUES (132576, 3318, 25, 'Activeaza raport calitate clinica');
INSERT INTO `lang_definitions` VALUES (132577, 3319, 25, 'Activeaza fereastra reamintire');
INSERT INTO `lang_definitions` VALUES (132578, 3320, 25, 'Activeaza widget pasiv reamintire');
INSERT INTO `lang_definitions` VALUES (132579, 3321, 25, 'Activeaza portal CMS');
INSERT INTO `lang_definitions` VALUES (132580, 3323, 25, 'Activeaza raportare CQM');
INSERT INTO `lang_definitions` VALUES (132581, 3324, 25, 'Activeaza raport CQM');
INSERT INTO `lang_definitions` VALUES (132582, 3329, 25, 'Activeaza istoric EDI in fereastra stanga');
INSERT INTO `lang_definitions` VALUES (132583, 3332, 25, 'Activeaza extensie');
INSERT INTO `lang_definitions` VALUES (132584, 3334, 25, 'Activeaza plati in meniu stanga');
INSERT INTO `lang_definitions` VALUES (132585, 3341, 25, 'Activeaza suport Hylafax');
INSERT INTO `lang_definitions` VALUES (132586, 3342, 25, 'Activeaza status import eRx');
INSERT INTO `lang_definitions` VALUES (132587, 3343, 25, 'Activeaza status import eRx');
INSERT INTO `lang_definitions` VALUES (132588, 3344, 25, 'Activeaza specificarea rapoartelor AMC');
INSERT INTO `lang_definitions` VALUES (132589, 3345, 25, 'Activeaza specificarea rapoartelor CQM');
INSERT INTO `lang_definitions` VALUES (132590, 3346, 25, 'Activeaza specificarea rapoartelor reguli clinice standard');
INSERT INTO `lang_definitions` VALUES (132591, 3347, 25, 'Activeaza schimb info laboratoare');
INSERT INTO `lang_definitions` VALUES (132592, 3348, 25, 'Activeaza comutare blocare');
INSERT INTO `lang_definitions` VALUES (132593, 3349, 25, 'Enable log for document uploads/downloads to CouchDB');
INSERT INTO `lang_definitions` VALUES (132594, 3350, 25, 'Enable logging of all SQL SELECT queries.');
INSERT INTO `lang_definitions` VALUES (132595, 3351, 25, 'Enable logging of backup related activities.');
INSERT INTO `lang_definitions` VALUES (132596, 3352, 25, 'Enable logging of CDR Engine Queries.');
INSERT INTO `lang_definitions` VALUES (132597, 3353, 25, 'Enable logging of miscellaneous activities.');
INSERT INTO `lang_definitions` VALUES (132598, 3354, 25, 'Enable logging of ordering activities.');
INSERT INTO `lang_definitions` VALUES (132599, 3355, 25, 'Enable logging of patient record modifications.');
INSERT INTO `lang_definitions` VALUES (132600, 3356, 25, 'Enable logging of scheduling activities.');
INSERT INTO `lang_definitions` VALUES (132601, 3357, 25, 'Enable logging of security and administration activities.');
INSERT INTO `lang_definitions` VALUES (132602, 3359, 25, 'Enable NewCrop eRx import status message');
INSERT INTO `lang_definitions` VALUES (132603, 3360, 25, 'Enable NewCrop eRx Service');
INSERT INTO `lang_definitions` VALUES (132604, 3361, 25, 'Enable NewCrop eRx Service.');
INSERT INTO `lang_definitions` VALUES (132605, 3365, 25, 'Activeaza portal offline');
INSERT INTO `lang_definitions` VALUES (132606, 3366, 25, 'Activeaza portal offline.');
INSERT INTO `lang_definitions` VALUES (132607, 3368, 25, 'Activeaza portal pacienti clinica');
INSERT INTO `lang_definitions` VALUES (132608, 3369, 25, 'Activeaza download documente pacienti');
INSERT INTO `lang_definitions` VALUES (132609, 3371, 25, 'Activeaza portal pacienti clinica');
INSERT INTO `lang_definitions` VALUES (132610, 3385, 25, 'Activeaza widget reamintire pacient');
INSERT INTO `lang_definitions` VALUES (132611, 3387, 25, 'Enable phiMail Direct Messaging Service');
INSERT INTO `lang_definitions` VALUES (132612, 3389, 25, 'Activeaza AMC-Automated Measure Calculations Required Data');
INSERT INTO `lang_definitions` VALUES (132613, 3390, 25, 'Activeaza testare aleatorie droguri');
INSERT INTO `lang_definitions` VALUES (132614, 3391, 25, 'Activeaza raport AMC');
INSERT INTO `lang_definitions` VALUES (132615, 3392, 25, 'Activeaza suport scanner');
INSERT INTO `lang_definitions` VALUES (132616, 3393, 25, 'Activeaza specificare raport standard');
INSERT INTO `lang_definitions` VALUES (132617, 3394, 25, 'Enable support for the open source WordPress Portal by Sunset Systems');
INSERT INTO `lang_definitions` VALUES (132618, 3396, 25, 'Enable the Medical Information Integration, LLC Lab Exchange Service.');
INSERT INTO `lang_definitions` VALUES (132619, 3397, 25, 'Enable the OpenEMR Support LLC Lab Exchange Service.');
INSERT INTO `lang_definitions` VALUES (132620, 3398, 25, 'Enable User Certificate Authentication');
INSERT INTO `lang_definitions` VALUES (132621, 3403, 25, 'Enable ZMG, LLC eRx service');
INSERT INTO `lang_definitions` VALUES (132622, 3404, 25, 'activat');
INSERT INTO `lang_definitions` VALUES (132623, 3410, 25, 'Activeaza abilitatea de a descarca documente in portalul pacientului');
INSERT INTO `lang_definitions` VALUES (132624, 3412, 25, 'Enables the old Charges panel for entering billing codes and payments. Not recommended, use the Fee Sheet instead.');
INSERT INTO `lang_definitions` VALUES (132625, 3415, 25, 'Consultatie');
INSERT INTO `lang_definitions` VALUES (132626, 3417, 25, 'Consultatie');
INSERT INTO `lang_definitions` VALUES (132627, 3418, 25, 'Consultatie');
INSERT INTO `lang_definitions` VALUES (132628, 3419, 25, 'Consultatie');
INSERT INTO `lang_definitions` VALUES (132629, 3420, 25, 'Consultatie');
INSERT INTO `lang_definitions` VALUES (132630, 3421, 25, 'consultatie de urgenta pacient stare critica');
INSERT INTO `lang_definitions` VALUES (132631, 3422, 25, 'Sold consultatie medicala');
INSERT INTO `lang_definitions` VALUES (132632, 3423, 25, 'Factura consultatie medicala');
INSERT INTO `lang_definitions` VALUES (132633, 3424, 25, 'Procedura verificare consultatie');
INSERT INTO `lang_definitions` VALUES (132634, 3425, 25, 'Calcul consultatie medicala');
INSERT INTO `lang_definitions` VALUES (132635, 3426, 25, 'date consultatie');
INSERT INTO `lang_definitions` VALUES (132636, 3427, 25, 'Data consultatiei');
INSERT INTO `lang_definitions` VALUES (132637, 3428, 25, 'Diagnostic consultatie');
INSERT INTO `lang_definitions` VALUES (132638, 3429, 25, 'Consultatie Dt/Rsn');
INSERT INTO `lang_definitions` VALUES (132639, 3430, 25, 'Inregistrare EDI consultatie');
INSERT INTO `lang_definitions` VALUES (132640, 3431, 25, 'Consultatie semnata electronic');
INSERT INTO `lang_definitions` VALUES (132641, 3432, 25, 'Formulare consultatie');
INSERT INTO `lang_definitions` VALUES (132642, 3433, 25, 'rezumat stare pacient');
INSERT INTO `lang_definitions` VALUES (132643, 3434, 25, 'Istoric consultatii');
INSERT INTO `lang_definitions` VALUES (132644, 3435, 25, 'ID consultatie');
INSERT INTO `lang_definitions` VALUES (132645, 3436, 25, 'gripa');
INSERT INTO `lang_definitions` VALUES (132646, 3439, 25, 'Numar consultatie');
INSERT INTO `lang_definitions` VALUES (132647, 3440, 25, 'Numar consultatie');
INSERT INTO `lang_definitions` VALUES (132648, 3441, 25, 'encounter nursing discharge');
INSERT INTO `lang_definitions` VALUES (132649, 3442, 25, 'encounter nursing facility');
INSERT INTO `lang_definitions` VALUES (132650, 3443, 25, 'encounter occupational therapy');
INSERT INTO `lang_definitions` VALUES (132651, 3444, 25, 'encounter office visit');
INSERT INTO `lang_definitions` VALUES (132652, 3445, 25, 'encounter outpatient');
INSERT INTO `lang_definitions` VALUES (132653, 3446, 25, 'encounter outpatient w/PCP & obgyn');
INSERT INTO `lang_definitions` VALUES (132654, 3447, 25, 'Encounter Page Size');
INSERT INTO `lang_definitions` VALUES (132655, 3448, 25, 'Encounter Payment');
INSERT INTO `lang_definitions` VALUES (132656, 3449, 25, 'encounter pregnancy');
INSERT INTO `lang_definitions` VALUES (132657, 3450, 25, 'encounter preventive medicine - individual counseling');
INSERT INTO `lang_definitions` VALUES (132658, 3451, 25, 'encounter preventive medicine 40 and older');
INSERT INTO `lang_definitions` VALUES (132659, 3452, 25, 'encounter preventive medicine group counseling');
INSERT INTO `lang_definitions` VALUES (132660, 3453, 25, 'encounter preventive medicine other services');
INSERT INTO `lang_definitions` VALUES (132661, 3454, 25, 'encounter preventive medicine services 18 and older');
INSERT INTO `lang_definitions` VALUES (132662, 3457, 25, 'encounter psychiatric & psychologic');
INSERT INTO `lang_definitions` VALUES (132663, 3458, 25, 'Statistici consultatie');
INSERT INTO `lang_definitions` VALUES (132664, 3459, 25, 'Rezumat consultatie');
INSERT INTO `lang_definitions` VALUES (132665, 3461, 25, 'Consultatia a fos codificata');
INSERT INTO `lang_definitions` VALUES (132666, 3462, 25, 'Consultatie:');
INSERT INTO `lang_definitions` VALUES (132667, 3463, 25, 'Consultatie: encounter non-acute inpt, outpatient, or ophthalmology');
INSERT INTO `lang_definitions` VALUES (132668, 3464, 25, 'Consultatii');
INSERT INTO `lang_definitions` VALUES (132669, 3465, 25, 'Consultatii si Formulare');
INSERT INTO `lang_definitions` VALUES (132670, 3466, 25, 'Consultatii &amp; Formulare');
INSERT INTO `lang_definitions` VALUES (132671, 3467, 25, 'Consultatii neautorizate');
INSERT INTO `lang_definitions` VALUES (132672, 3468, 25, 'Raport consultatii');
INSERT INTO `lang_definitions` VALUES (132673, 3469, 25, 'Sectiune consultatii');
INSERT INTO `lang_definitions` VALUES (132674, 3470, 25, 'Encrypted File');
INSERT INTO `lang_definitions` VALUES (132675, 3471, 25, 'Encryption');
INSERT INTO `lang_definitions` VALUES (132676, 3472, 25, 'End');
INSERT INTO `lang_definitions` VALUES (132677, 3473, 25, 'End (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (132678, 3474, 25, 'Data de Sfarsit');
INSERT INTO `lang_definitions` VALUES (132679, 3475, 25, 'Data de sfarsit');
INSERT INTO `lang_definitions` VALUES (132680, 3479, 25, 'Data de sfarsit trebuie sa fie mai mare decat cea de inceput!');
INSERT INTO `lang_definitions` VALUES (132681, 3480, 25, 'Data de sfarsit trebuie sa fie mai mare decat cea de inceput!');
INSERT INTO `lang_definitions` VALUES (132682, 3482, 25, 'End Date:');
INSERT INTO `lang_definitions` VALUES (132683, 3483, 25, 'End of Day by Provider or allow Totals Only');
INSERT INTO `lang_definitions` VALUES (132684, 3484, 25, 'Raport final zi');
INSERT INTO `lang_definitions` VALUES (132685, 3485, 25, 'Final raport');
INSERT INTO `lang_definitions` VALUES (132686, 3487, 25, 'End Time');
INSERT INTO `lang_definitions` VALUES (132687, 3489, 25, 'End-Stage Renal Disease Beneficiary in MCP with Employer`s Group Plan');
INSERT INTO `lang_definitions` VALUES (132688, 3490, 25, 'End-Stage Renal Disease Treatment Facility');
INSERT INTO `lang_definitions` VALUES (132689, 3492, 25, 'Data final servicii  yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (132690, 3493, 25, 'Ending DOS mm/dd/yyyy if you wish to enter a range');
INSERT INTO `lang_definitions` VALUES (132691, 3494, 25, 'Oră sfârşit de zi pentru evenimente din calendar');
INSERT INTO `lang_definitions` VALUES (132692, 3495, 25, 'Endo Abnormal Blood');
INSERT INTO `lang_definitions` VALUES (132693, 3496, 25, 'Endocrin');
INSERT INTO `lang_definitions` VALUES (132694, 3497, 25, 'Endoscopie');
INSERT INTO `lang_definitions` VALUES (132695, 3498, 25, 'ENDO{{Endocrine}}');
INSERT INTO `lang_definitions` VALUES (132696, 3500, 25, 'Inginer');
INSERT INTO `lang_definitions` VALUES (132697, 3501, 25, 'Formula inginer');
INSERT INTO `lang_definitions` VALUES (132698, 3502, 25, 'Engleza');
INSERT INTO `lang_definitions` VALUES (132699, 3503, 25, 'Engleza');
INSERT INTO `lang_definitions` VALUES (132700, 3504, 25, 'Engleza (Indian)');
INSERT INTO `lang_definitions` VALUES (132701, 3505, 25, 'Engleza standard');
INSERT INTO `lang_definitions` VALUES (132702, 3506, 25, 'Enscript command used by Hylafax.');
INSERT INTO `lang_definitions` VALUES (132703, 3507, 25, 'Ensure OpenEMR has write privileges to directory');
INSERT INTO `lang_definitions` VALUES (132704, 3509, 25, 'ENT Discharge');
INSERT INTO `lang_definitions` VALUES (132705, 3510, 25, 'ENT Pain');
INSERT INTO `lang_definitions` VALUES (132706, 3513, 25, 'Introdu un cod de diagnoza pentru a exclude continerea lui in facturi');
INSERT INTO `lang_definitions` VALUES (132707, 3515, 25, 'Introduceti amendament...');
INSERT INTO `lang_definitions` VALUES (132708, 3518, 25, 'Enter body of letter here');
INSERT INTO `lang_definitions` VALUES (132709, 3520, 25, 'Enter Database root Password');
INSERT INTO `lang_definitions` VALUES (132710, 3521, 25, 'Enter Database root Username');
INSERT INTO `lang_definitions` VALUES (132711, 3529, 25, 'Introduceti diagnostic');
INSERT INTO `lang_definitions` VALUES (132712, 3530, 25, 'Introduceti medicamente');
INSERT INTO `lang_definitions` VALUES (132713, 3533, 25, 'Introduceti consultatie');
INSERT INTO `lang_definitions` VALUES (132714, 3534, 25, 'Introduceti numar consultatie');
INSERT INTO `lang_definitions` VALUES (132715, 3537, 25, 'Introduceti imunizari');
INSERT INTO `lang_definitions` VALUES (132716, 3538, 25, 'Introduceti cheia');
INSERT INTO `lang_definitions` VALUES (132717, 3542, 25, 'Introduceti date noi');
INSERT INTO `lang_definitions` VALUES (132718, 3544, 25, 'Introduceti statut nou');
INSERT INTO `lang_definitions` VALUES (132719, 3549, 25, 'Introduceti adresa de email a destinatarului');
INSERT INTO `lang_definitions` VALUES (132720, 3567, 25, 'Enter the LOINC code for this procedure');
INSERT INTO `lang_definitions` VALUES (132721, 3569, 25, 'Enter the Re Identification code');
INSERT INTO `lang_definitions` VALUES (132722, 3581, 25, 'Introduceti criteriile de cautare in casuta de sus');
INSERT INTO `lang_definitions` VALUES (132723, 3583, 25, 'Introdus de');
INSERT INTO `lang_definitions` VALUES (132724, 3584, 25, 'Entered in Error');
INSERT INTO `lang_definitions` VALUES (132725, 3586, 25, 'intrari');
INSERT INTO `lang_definitions` VALUES (132726, 3591, 25, 'Mediu');
INSERT INTO `lang_definitions` VALUES (132727, 3592, 25, 'EOB Data Entry');
INSERT INTO `lang_definitions` VALUES (132728, 3596, 25, 'EOB Posting - Electronic Remittances');
INSERT INTO `lang_definitions` VALUES (132729, 3597, 25, 'EOB Posting - Instructions');
INSERT INTO `lang_definitions` VALUES (132730, 3598, 25, 'EOB Posting - Invoice');
INSERT INTO `lang_definitions` VALUES (132731, 3599, 25, 'EOB Posting - Patient Note');
INSERT INTO `lang_definitions` VALUES (132732, 3600, 25, 'EOB Posting - Search');
INSERT INTO `lang_definitions` VALUES (132733, 3601, 25, 'EOBs');
INSERT INTO `lang_definitions` VALUES (132734, 3602, 25, 'Epilepsie');
INSERT INTO `lang_definitions` VALUES (132735, 3604, 25, 'EPSDT');
INSERT INTO `lang_definitions` VALUES (132736, 3606, 25, 'Este egala');
INSERT INTO `lang_definitions` VALUES (132737, 3607, 25, 'Puterea echivalentă a lentilelor de contact la nivelul corneei');
INSERT INTO `lang_definitions` VALUES (132738, 3608, 25, 'ERA');
INSERT INTO `lang_definitions` VALUES (132739, 3609, 25, 'ERA Files');
INSERT INTO `lang_definitions` VALUES (132740, 3610, 25, 'ERA Posting');
INSERT INTO `lang_definitions` VALUES (132741, 3612, 25, 'Sterge');
INSERT INTO `lang_definitions` VALUES (132742, 3613, 25, 'Cel ce a sters');
INSERT INTO `lang_definitions` VALUES (132743, 3614, 25, 'Erectii');
INSERT INTO `lang_definitions` VALUES (132744, 3615, 25, 'Eroare');
INSERT INTO `lang_definitions` VALUES (132745, 3616, 25, 'EROARE');
INSERT INTO `lang_definitions` VALUES (132746, 3617, 25, 'Eroare la confirmarea primirii rezultatelor de laborator');
INSERT INTO `lang_definitions` VALUES (132747, 3618, 25, 'Eroare creare director');
INSERT INTO `lang_definitions` VALUES (132748, 3620, 25, 'Eroare obtinere date laborator din retea');
INSERT INTO `lang_definitions` VALUES (132749, 3621, 25, 'Eroare la selectare \"SEX\"');
INSERT INTO `lang_definitions` VALUES (132750, 3622, 25, 'Eroare la selectare \"HIPAA\"');
INSERT INTO `lang_definitions` VALUES (132751, 3623, 25, 'Eroare la selectare \"Proces\"');
INSERT INTO `lang_definitions` VALUES (132752, 3624, 25, 'Error in \"SMS Gateway\" selection');
INSERT INTO `lang_definitions` VALUES (132753, 3625, 25, 'Eroare la \"Sortare dupa\"');
INSERT INTO `lang_definitions` VALUES (132754, 3626, 25, 'Error in gzip compression of file:');
INSERT INTO `lang_definitions` VALUES (132755, 3627, 25, 'Eroare la optiunile DA sau NU');
INSERT INTO `lang_definitions` VALUES (132756, 3630, 25, 'Error deschidere fisier pentru citire');
INSERT INTO `lang_definitions` VALUES (132757, 3631, 25, 'Eroare procesare fisier');
INSERT INTO `lang_definitions` VALUES (132758, 3632, 25, 'Error processing upload');
INSERT INTO `lang_definitions` VALUES (132759, 3633, 25, 'Error Removing Message');
INSERT INTO `lang_definitions` VALUES (132760, 3634, 25, 'Eroare gasire rezultate din retea');
INSERT INTO `lang_definitions` VALUES (132761, 3635, 25, 'Eroare gasire valori');
INSERT INTO `lang_definitions` VALUES (132762, 3636, 25, 'Error saving document');
INSERT INTO `lang_definitions` VALUES (132763, 3637, 25, 'Error when granting file privilege to the OpenEMR user.');
INSERT INTO `lang_definitions` VALUES (132764, 3638, 25, 'Eroare la adaugarea unui plan nou');
INSERT INTO `lang_definitions` VALUES (132765, 3639, 25, 'Eroare la stergerea planului');
INSERT INTO `lang_definitions` VALUES (132766, 3640, 25, 'eroare la inregistrarea formularului!');
INSERT INTO `lang_definitions` VALUES (132767, 3641, 25, 'Eroare la salvarea in fisier');
INSERT INTO `lang_definitions` VALUES (132768, 3642, 25, 'Eroare la actualizarea planului');
INSERT INTO `lang_definitions` VALUES (132769, 3643, 25, 'Eroare la scrierea fisierului');
INSERT INTO `lang_definitions` VALUES (132770, 3646, 25, 'eroare intampinata la noile rezultate');
INSERT INTO `lang_definitions` VALUES (132771, 3651, 25, 'Eroare; fisierul nu exista');
INSERT INTO `lang_definitions` VALUES (132772, 3652, 25, 'Eroare - nu s-a putut colecta informatia de la server');
INSERT INTO `lang_definitions` VALUES (132773, 3653, 25, 'Error, unable to create client certificate.');
INSERT INTO `lang_definitions` VALUES (132774, 3654, 25, 'Error, unable to create the admin.p12 certificate.');
INSERT INTO `lang_definitions` VALUES (132775, 3655, 25, 'Error, unable to create the Certificate Authority certificate.');
INSERT INTO `lang_definitions` VALUES (132776, 3656, 25, 'Error, unable to create the Server certificate.');
INSERT INTO `lang_definitions` VALUES (132777, 3658, 25, 'Error, unable to open file');
INSERT INTO `lang_definitions` VALUES (132778, 3659, 25, 'Error, User Certificate Authentication is not enabled in OpenEMR');
INSERT INTO `lang_definitions` VALUES (132779, 3662, 25, 'Error. Try again later');
INSERT INTO `lang_definitions` VALUES (132780, 3663, 25, 'Error. You need to install the Archive/Tar.php php module.');
INSERT INTO `lang_definitions` VALUES (132781, 3664, 25, 'ERROR: could not open table.sql, broken form?');
INSERT INTO `lang_definitions` VALUES (132782, 3667, 25, 'Eroare ID duplicat');
INSERT INTO `lang_definitions` VALUES (132783, 3668, 25, 'Eroare nume duplicat');
INSERT INTO `lang_definitions` VALUES (132784, 3669, 25, 'ERROR: Field');
INSERT INTO `lang_definitions` VALUES (132785, 3670, 25, 'ERROR: Missing ZipArchive PHP Module');
INSERT INTO `lang_definitions` VALUES (132786, 3671, 25, 'ERROR: No ICD import directory.');
INSERT INTO `lang_definitions` VALUES (132787, 3672, 25, 'Error: passwords don\'t match. Please check your typing.');
INSERT INTO `lang_definitions` VALUES (132788, 3673, 25, 'Error: passwords don\'t match. Please check your typing.');
INSERT INTO `lang_definitions` VALUES (132789, 3674, 25, 'Eroare - fisierul nu exista');
INSERT INTO `lang_definitions` VALUES (132790, 3675, 25, 'Eroare - variabila contine caractere invalide');
INSERT INTO `lang_definitions` VALUES (132791, 3676, 25, 'Eroare - nu s-a putut copia fisierul');
INSERT INTO `lang_definitions` VALUES (132792, 3677, 25, 'Error: Unable to create downloadable archive');
INSERT INTO `lang_definitions` VALUES (132793, 3678, 25, 'ERROR: Unable to Create Zip Archive.');
INSERT INTO `lang_definitions` VALUES (132794, 3679, 25, 'Eroare - nu s-a putut extrage fisierul');
INSERT INTO `lang_definitions` VALUES (132795, 3680, 25, 'Eroare - nu s-a putut extrage fisierul');
INSERT INTO `lang_definitions` VALUES (132796, 3681, 25, 'Eroare - nu s-a putut seta numarul versiunii');
INSERT INTO `lang_definitions` VALUES (132797, 3682, 25, 'Erori');
INSERT INTO `lang_definitions` VALUES (132798, 3684, 25, 'eRx Account Status');
INSERT INTO `lang_definitions` VALUES (132799, 3685, 25, 'eRx Logs');
INSERT INTO `lang_definitions` VALUES (132800, 3686, 25, 'ERX Name');
INSERT INTO `lang_definitions` VALUES (132801, 3687, 25, 'ERX Password');
INSERT INTO `lang_definitions` VALUES (132802, 3688, 25, 'ERX Role');
INSERT INTO `lang_definitions` VALUES (132803, 3689, 25, 'ERX User');
INSERT INTO `lang_definitions` VALUES (132804, 3690, 25, 'Eritemul:');
INSERT INTO `lang_definitions` VALUES (132805, 3691, 25, 'eSign');
INSERT INTO `lang_definitions` VALUES (132806, 3692, 25, 'eSign Log');
INSERT INTO `lang_definitions` VALUES (132807, 3693, 25, 'Eskimo');
INSERT INTO `lang_definitions` VALUES (132808, 3694, 25, 'Esophoria');
INSERT INTO `lang_definitions` VALUES (132809, 3695, 25, 'Esotropia');
INSERT INTO `lang_definitions` VALUES (132810, 3696, 25, 'Esperanto');
INSERT INTO `lang_definitions` VALUES (132811, 3699, 25, 'Pacient Existent');
INSERT INTO `lang_definitions` VALUES (132812, 3700, 25, 'Estonian');
INSERT INTO `lang_definitions` VALUES (132813, 3701, 25, 'Etnie');
INSERT INTO `lang_definitions` VALUES (132814, 3702, 25, 'Etnie/Rasa');
INSERT INTO `lang_definitions` VALUES (132815, 3703, 25, 'Lista enie-rasa (write,addonly optional)');
INSERT INTO `lang_definitions` VALUES (132816, 3706, 25, 'ETIN');
INSERT INTO `lang_definitions` VALUES (132817, 3707, 25, 'ETOH');
INSERT INTO `lang_definitions` VALUES (132818, 3708, 25, 'ET{{esotropia}}');
INSERT INTO `lang_definitions` VALUES (132819, 3709, 25, 'Eveniment');
INSERT INTO `lang_definitions` VALUES (132820, 3710, 25, 'Evenimentul incepe');
INSERT INTO `lang_definitions` VALUES (132821, 3711, 25, 'Categorie eveniment');
INSERT INTO `lang_definitions` VALUES (132822, 3712, 25, 'Data eveniment');
INSERT INTO `lang_definitions` VALUES (132823, 3714, 25, 'Descriere eveniment');
INSERT INTO `lang_definitions` VALUES (132824, 3715, 25, 'Detalii eveniment');
INSERT INTO `lang_definitions` VALUES (132825, 3716, 25, 'Evenimentul nu se repeta');
INSERT INTO `lang_definitions` VALUES (132826, 3717, 25, 'Durata eveniment');
INSERT INTO `lang_definitions` VALUES (132827, 3718, 25, 'Durata eveniment in minute');
INSERT INTO `lang_definitions` VALUES (132828, 3719, 25, 'Taxa eveniment');
INSERT INTO `lang_definitions` VALUES (132829, 3720, 25, 'Locatie eveniment');
INSERT INTO `lang_definitions` VALUES (132830, 3721, 25, 'Evenimentul se va repeta la urmatorul interval');
INSERT INTO `lang_definitions` VALUES (132831, 3722, 25, 'Evenimentul se va repeta pe');
INSERT INTO `lang_definitions` VALUES (132832, 3723, 25, 'Evenimentul va incepe la');
INSERT INTO `lang_definitions` VALUES (132833, 3724, 25, 'Titlu eveniment');
INSERT INTO `lang_definitions` VALUES (132834, 3725, 25, 'Titlu Eveniment');
INSERT INTO `lang_definitions` VALUES (132835, 3726, 25, 'Site-ul evenimentului');
INSERT INTO `lang_definitions` VALUES (132836, 3727, 25, 'Evenimente');
INSERT INTO `lang_definitions` VALUES (132837, 3728, 25, 'Evenimente pentru');
INSERT INTO `lang_definitions` VALUES (132838, 3729, 25, 'Evenimentele vor aparea intr-o fereastra noua');
INSERT INTO `lang_definitions` VALUES (132839, 3731, 25, 'fiecare');
INSERT INTO `lang_definitions` VALUES (132840, 3732, 25, 'Fiecare');
INSERT INTO `lang_definitions` VALUES (132841, 3733, 25, 'Fiecare al doilea');
INSERT INTO `lang_definitions` VALUES (132842, 3734, 25, 'la fiecare 3 ore');
INSERT INTO `lang_definitions` VALUES (132843, 3735, 25, 'Fiecare al treilea');
INSERT INTO `lang_definitions` VALUES (132844, 3736, 25, 'la fiecare 4 ore');
INSERT INTO `lang_definitions` VALUES (132845, 3737, 25, 'Fiecare al patrulea');
INSERT INTO `lang_definitions` VALUES (132846, 3738, 25, 'la fiecare 5 ore');
INSERT INTO `lang_definitions` VALUES (132847, 3739, 25, 'Fiecare al cinicilea');
INSERT INTO `lang_definitions` VALUES (132848, 3740, 25, 'la fiecare 6 ore');
INSERT INTO `lang_definitions` VALUES (132849, 3741, 25, 'Fiecare al saselea');
INSERT INTO `lang_definitions` VALUES (132850, 3742, 25, 'la fiecare 8 ore');
INSERT INTO `lang_definitions` VALUES (132851, 3743, 25, 'Fiecare al patrulea');
INSERT INTO `lang_definitions` VALUES (132852, 3744, 25, 'Fiecare nume din agenda telefonică apare aici, nu numai de medici.');
INSERT INTO `lang_definitions` VALUES (132853, 3745, 25, 'Toate celelalte');
INSERT INTO `lang_definitions` VALUES (132854, 3746, 25, 'Fiecare al treilea');
INSERT INTO `lang_definitions` VALUES (132855, 3747, 25, 'Every, every other, every 3rd, etc.');
INSERT INTO `lang_definitions` VALUES (132856, 3748, 25, 'Oaie');
INSERT INTO `lang_definitions` VALUES (132857, 3749, 25, 'Rezultate examinare');
INSERT INTO `lang_definitions` VALUES (132858, 3750, 25, 'Rezultate examinare');
INSERT INTO `lang_definitions` VALUES (132859, 3751, 25, 'Sala examinare');
INSERT INTO `lang_definitions` VALUES (132860, 3752, 25, 'Numar sala examinare');
INSERT INTO `lang_definitions` VALUES (132861, 3753, 25, 'Examinare');
INSERT INTO `lang_definitions` VALUES (132862, 3754, 25, 'Data examinare');
INSERT INTO `lang_definitions` VALUES (132863, 3755, 25, 'Exemplu');
INSERT INTO `lang_definitions` VALUES (132864, 3758, 25, 'Exemple');
INSERT INTO `lang_definitions` VALUES (132865, 3760, 25, 'Examinare / Teste');
INSERT INTO `lang_definitions` VALUES (132866, 3761, 25, 'Exam{{Physical Exam}}');
INSERT INTO `lang_definitions` VALUES (132867, 3762, 25, 'Exceptie');
INSERT INTO `lang_definitions` VALUES (132868, 3763, 25, 'Lacrimare excesiva');
INSERT INTO `lang_definitions` VALUES (132869, 3766, 25, 'Pacienti exclusi');
INSERT INTO `lang_definitions` VALUES (132870, 3767, 25, 'Excludere');
INSERT INTO `lang_definitions` VALUES (132871, 3768, 25, 'Exclusive Provider Organization (EPO)');
INSERT INTO `lang_definitions` VALUES (132872, 3770, 25, 'Executive Paper Size');
INSERT INTO `lang_definitions` VALUES (132873, 3771, 25, 'Exercitiu');
INSERT INTO `lang_definitions` VALUES (132874, 3772, 25, 'Modele Exercitii');
INSERT INTO `lang_definitions` VALUES (132875, 3773, 25, 'Modele Exercitii');
INSERT INTO `lang_definitions` VALUES (132876, 3774, 25, 'Exista');
INSERT INTO `lang_definitions` VALUES (132877, 3778, 25, 'Exit from Administration');
INSERT INTO `lang_definitions` VALUES (132878, 3780, 25, 'Exophoria');
INSERT INTO `lang_definitions` VALUES (132879, 3781, 25, 'Exotropia');
INSERT INTO `lang_definitions` VALUES (132880, 3782, 25, 'Ext');
INSERT INTO `lang_definitions` VALUES (132881, 3784, 25, 'Extindere');
INSERT INTO `lang_definitions` VALUES (132882, 3785, 25, 'extindere');
INSERT INTO `lang_definitions` VALUES (132883, 3787, 25, 'Deschide toate');
INSERT INTO `lang_definitions` VALUES (132884, 3788, 25, 'Extinde toate categoriile de documente');
INSERT INTO `lang_definitions` VALUES (132885, 3789, 25, 'Extinde toate categoriile de documente in mod implicit');
INSERT INTO `lang_definitions` VALUES (132886, 3792, 25, 'Vizualizare extinsa');
INSERT INTO `lang_definitions` VALUES (132887, 3793, 25, 'Expected form_encounter.pid to be');
INSERT INTO `lang_definitions` VALUES (132888, 3794, 25, 'Expira');
INSERT INTO `lang_definitions` VALUES (132889, 3795, 25, 'Data expirare');
INSERT INTO `lang_definitions` VALUES (132890, 3797, 25, 'Expira');
INSERT INTO `lang_definitions` VALUES (132891, 3798, 25, 'Expira la');
INSERT INTO `lang_definitions` VALUES (132892, 3799, 25, 'Exporta');
INSERT INTO `lang_definitions` VALUES (132893, 3800, 25, 'Export as CSV');
INSERT INTO `lang_definitions` VALUES (132894, 3802, 25, 'Export Configuration');
INSERT INTO `lang_definitions` VALUES (132895, 3804, 25, 'Exporta facturi individuale');
INSERT INTO `lang_definitions` VALUES (132896, 3805, 25, 'Exporta OFX');
INSERT INTO `lang_definitions` VALUES (132897, 3806, 25, 'Exporta date demografice pacient');
INSERT INTO `lang_definitions` VALUES (132898, 3808, 25, 'Export PQRI Report');
INSERT INTO `lang_definitions` VALUES (132899, 3809, 25, 'Export QRDA Report');
INSERT INTO `lang_definitions` VALUES (132900, 3810, 25, 'Export Selected as CSV');
INSERT INTO `lang_definitions` VALUES (132901, 3811, 25, 'Export Selected to Collections');
INSERT INTO `lang_definitions` VALUES (132902, 3812, 25, 'Export to CSV');
INSERT INTO `lang_definitions` VALUES (132903, 3813, 25, 'Exporta catre sistemul extern de facturare');
INSERT INTO `lang_definitions` VALUES (132904, 3815, 25, 'Expunere la tari straine');
INSERT INTO `lang_definitions` VALUES (132905, 3816, 25, 'Expunere la tari straine');
INSERT INTO `lang_definitions` VALUES (132906, 3818, 25, 'Ext Time Collected');
INSERT INTO `lang_definitions` VALUES (132907, 3819, 25, 'Familie extinsa');
INSERT INTO `lang_definitions` VALUES (132908, 3820, 25, 'Extern');
INSERT INTO `lang_definitions` VALUES (132909, 3821, 25, 'Date externe');
INSERT INTO `lang_definitions` VALUES (132910, 3823, 25, 'Incarcare date externe');
INSERT INTO `lang_definitions` VALUES (132911, 3824, 25, 'External Database Import Utility');
INSERT INTO `lang_definitions` VALUES (132912, 3826, 25, 'Examen extern');
INSERT INTO `lang_definitions` VALUES (132913, 3827, 25, 'Valori implicite examen extern');
INSERT INTO `lang_definitions` VALUES (132914, 3828, 25, 'CNP');
INSERT INTO `lang_definitions` VALUES (132915, 3829, 25, 'CNP');
INSERT INTO `lang_definitions` VALUES (132916, 3830, 25, 'CNP');
INSERT INTO `lang_definitions` VALUES (132917, 3831, 25, 'Doar Extern');
INSERT INTO `lang_definitions` VALUES (132918, 3832, 25, 'Organizatie Externa');
INSERT INTO `lang_definitions` VALUES (132919, 3833, 25, 'Furnizor Extern');
INSERT INTO `lang_definitions` VALUES (132920, 3834, 25, 'Trimitere Externa');
INSERT INTO `lang_definitions` VALUES (132921, 3835, 25, 'External Referral Followups');
INSERT INTO `lang_definitions` VALUES (132922, 3836, 25, 'Trimitere Externa');
INSERT INTO `lang_definitions` VALUES (132923, 3837, 25, 'External Referrals');
INSERT INTO `lang_definitions` VALUES (132924, 3838, 25, 'Extract the zip file');
INSERT INTO `lang_definitions` VALUES (132925, 3839, 25, 'Extracting the file. This will take some time...');
INSERT INTO `lang_definitions` VALUES (132926, 3840, 25, 'Exudat:');
INSERT INTO `lang_definitions` VALUES (132927, 3841, 25, 'Ochi');
INSERT INTO `lang_definitions` VALUES (132928, 3842, 25, 'Eye Coding Fields');
INSERT INTO `lang_definitions` VALUES (132929, 3843, 25, 'Eye Coding Terms');
INSERT INTO `lang_definitions` VALUES (132930, 3844, 25, 'Eye Contact Lens Brand list');
INSERT INTO `lang_definitions` VALUES (132931, 3845, 25, 'Eye Contact Lens Manufacturer list');
INSERT INTO `lang_definitions` VALUES (132932, 3846, 25, 'Eye Contact Lens Supplier list');
INSERT INTO `lang_definitions` VALUES (132933, 3847, 25, 'Eye Dx{{eye diagnosis}}');
INSERT INTO `lang_definitions` VALUES (132934, 3848, 25, 'Examen ochi');
INSERT INTO `lang_definitions` VALUES (132935, 3849, 25, 'Eye Exam Default Values for New Providers');
INSERT INTO `lang_definitions` VALUES (132936, 3850, 25, 'Iritatie oculara');
INSERT INTO `lang_definitions` VALUES (132937, 3851, 25, 'Material pentru lentile de ochi');
INSERT INTO `lang_definitions` VALUES (132938, 3852, 25, 'Tratamente lentile ochi');
INSERT INTO `lang_definitions` VALUES (132939, 3853, 25, 'Eye Med');
INSERT INTO `lang_definitions` VALUES (132940, 3855, 25, 'Eye Orders Defaults');
INSERT INTO `lang_definitions` VALUES (132941, 3856, 25, 'Durere oculara');
INSERT INTO `lang_definitions` VALUES (132942, 3857, 25, 'Eye QP List ANTSEG for New Providers');
INSERT INTO `lang_definitions` VALUES (132943, 3858, 25, 'Eye QP List EXT for New Providers');
INSERT INTO `lang_definitions` VALUES (132944, 3859, 25, 'Eye QP List RETINA for New Providers');
INSERT INTO `lang_definitions` VALUES (132945, 3860, 25, 'Roseata oculara');
INSERT INTO `lang_definitions` VALUES (132946, 3861, 25, 'Operatie la ochi');
INSERT INTO `lang_definitions` VALUES (132947, 3862, 25, 'Pipeta');
INSERT INTO `lang_definitions` VALUES (132948, 3863, 25, 'Ochi');
INSERT INTO `lang_definitions` VALUES (132949, 3864, 25, 'E{{esophoria}}');
INSERT INTO `lang_definitions` VALUES (132950, 3865, 25, 'F');
INSERT INTO `lang_definitions` VALUES (132951, 3866, 25, 'F/H probleme sange');
INSERT INTO `lang_definitions` VALUES (132952, 3867, 25, 'F/H Female Hirsutism/Striae');
INSERT INTO `lang_definitions` VALUES (132953, 3868, 25, 'Centre medicale');
INSERT INTO `lang_definitions` VALUES (132954, 3869, 25, 'Centru medical');
INSERT INTO `lang_definitions` VALUES (132955, 3870, 25, 'centru medical');
INSERT INTO `lang_definitions` VALUES (132956, 3871, 25, 'Adminitrare Centru Medical');
INSERT INTO `lang_definitions` VALUES (132957, 3872, 25, 'Oras Centru Medical');
INSERT INTO `lang_definitions` VALUES (132958, 3873, 25, 'Cod Centru Medical');
INSERT INTO `lang_definitions` VALUES (132959, 3875, 25, 'Cod tara Centru Medical');
INSERT INTO `lang_definitions` VALUES (132960, 3876, 25, 'Fax Centru Medical');
INSERT INTO `lang_definitions` VALUES (132961, 3877, 25, 'CUI');
INSERT INTO `lang_definitions` VALUES (132962, 3878, 25, 'Nume Centru');
INSERT INTO `lang_definitions` VALUES (132963, 3879, 25, 'NPI Centru');
INSERT INTO `lang_definitions` VALUES (132964, 3880, 25, 'Telefon');
INSERT INTO `lang_definitions` VALUES (132965, 3882, 25, 'Informatii Centre Medicale');
INSERT INTO `lang_definitions` VALUES (132966, 3883, 25, 'Stare Centru Medical');
INSERT INTO `lang_definitions` VALUES (132967, 3884, 25, 'Strada Centru Medical');
INSERT INTO `lang_definitions` VALUES (132968, 3886, 25, 'Cod postal centru');
INSERT INTO `lang_definitions` VALUES (132969, 3887, 25, 'Cod postal centru');
INSERT INTO `lang_definitions` VALUES (132970, 3888, 25, 'Centru Medical:');
INSERT INTO `lang_definitions` VALUES (132971, 3889, 25, 'ESUARE');
INSERT INTO `lang_definitions` VALUES (132972, 3890, 25, 'Esuat');
INSERT INTO `lang_definitions` VALUES (132973, 3891, 25, 'esuat');
INSERT INTO `lang_definitions` VALUES (132974, 3893, 25, 'Pacient esuat');
INSERT INTO `lang_definitions` VALUES (132975, 3896, 25, 'S-a esuat adaugare pacientului la portal');
INSERT INTO `lang_definitions` VALUES (132976, 3897, 25, 'S-a esuat procesarea numele fisierului unic');
INSERT INTO `lang_definitions` VALUES (132977, 3898, 25, 'S-a esuat crearea');
INSERT INTO `lang_definitions` VALUES (132978, 3901, 25, 'Failed to create temporary folder. CouchDB will not work.');
INSERT INTO `lang_definitions` VALUES (132979, 3902, 25, 'Failed to generate');
INSERT INTO `lang_definitions` VALUES (132980, 3904, 25, 'Failed to send');
INSERT INTO `lang_definitions` VALUES (132981, 3907, 25, 'Esuat.');
INSERT INTO `lang_definitions` VALUES (132982, 3908, 25, 'esec');
INSERT INTO `lang_definitions` VALUES (132983, 3909, 25, 'Esec.');
INSERT INTO `lang_definitions` VALUES (132984, 3910, 25, 'FAILURE NOTICE: Direct Message Send Failed.');
INSERT INTO `lang_definitions` VALUES (132985, 3911, 25, 'FAILURE: Couldn\'t create the zip');
INSERT INTO `lang_definitions` VALUES (132986, 3912, 25, 'FAILURE: No patients for measure');
INSERT INTO `lang_definitions` VALUES (132987, 3913, 25, 'Falls: Screening, Risk-Assessment, and Plan of Care to Prevent Future Falls (CQM)');
INSERT INTO `lang_definitions` VALUES (132988, 3915, 25, 'Istoric sanatate familie');
INSERT INTO `lang_definitions` VALUES (132989, 3916, 25, 'Istoric de Familie');
INSERT INTO `lang_definitions` VALUES (132990, 3918, 25, 'Istoric glaucom familie');
INSERT INTO `lang_definitions` VALUES (132991, 3919, 25, 'Istoric de Familie:');
INSERT INTO `lang_definitions` VALUES (132992, 3920, 25, 'Membru familie');
INSERT INTO `lang_definitions` VALUES (132993, 3921, 25, 'Plata familie');
INSERT INTO `lang_definitions` VALUES (132994, 3922, 25, 'Marime familie');
INSERT INTO `lang_definitions` VALUES (132995, 3923, 25, 'Extravagant');
INSERT INTO `lang_definitions` VALUES (132996, 3924, 25, 'Faroese');
INSERT INTO `lang_definitions` VALUES (132997, 3925, 25, 'Farsi');
INSERT INTO `lang_definitions` VALUES (132998, 3927, 25, 'Fatal');
INSERT INTO `lang_definitions` VALUES (132999, 3928, 25, 'Tata');
INSERT INTO `lang_definitions` VALUES (133000, 3929, 25, 'Istoricul Tatalui');
INSERT INTO `lang_definitions` VALUES (133001, 3930, 25, 'Oboseala');
INSERT INTO `lang_definitions` VALUES (133002, 3931, 25, 'Obosit');
INSERT INTO `lang_definitions` VALUES (133003, 3933, 25, 'Fax');
INSERT INTO `lang_definitions` VALUES (133004, 3934, 25, 'Numar fax');
INSERT INTO `lang_definitions` VALUES (133005, 3935, 25, 'Numar fax');
INSERT INTO `lang_definitions` VALUES (133006, 3936, 25, 'Trimitere fax esuata');
INSERT INTO `lang_definitions` VALUES (133007, 3937, 25, 'Fax/Scanare');
INSERT INTO `lang_definitions` VALUES (133008, 3938, 25, 'Faxes In');
INSERT INTO `lang_definitions` VALUES (133009, 3939, 25, 'Faxes Out');
INSERT INTO `lang_definitions` VALUES (133010, 3940, 25, 'Caracteristici');
INSERT INTO `lang_definitions` VALUES (133011, 3941, 25, 'Feb');
INSERT INTO `lang_definitions` VALUES (133012, 3942, 25, 'Februarie');
INSERT INTO `lang_definitions` VALUES (133013, 3943, 25, 'FECA');
INSERT INTO `lang_definitions` VALUES (133014, 3944, 25, 'Cod medicamente');
INSERT INTO `lang_definitions` VALUES (133015, 3945, 25, 'Federal EIN');
INSERT INTO `lang_definitions` VALUES (133016, 3946, 25, 'Federal Tax ID');
INSERT INTO `lang_definitions` VALUES (133017, 3947, 25, 'Federally Qualified Health Center');
INSERT INTO `lang_definitions` VALUES (133018, 3948, 25, 'Taxa');
INSERT INTO `lang_definitions` VALUES (133019, 3949, 25, 'taxa');
INSERT INTO `lang_definitions` VALUES (133020, 3950, 25, 'Plata nu este admisa');
INSERT INTO `lang_definitions` VALUES (133021, 3951, 25, 'Foaie de taxe');
INSERT INTO `lang_definitions` VALUES (133022, 3953, 25, 'Foaie de taxe Optiuni');
INSERT INTO `lang_definitions` VALUES (133023, 3955, 25, 'Taxe');
INSERT INTO `lang_definitions` VALUES (133024, 3956, 25, 'Feminin');
INSERT INTO `lang_definitions` VALUES (133025, 3957, 25, 'Female AP');
INSERT INTO `lang_definitions` VALUES (133026, 3958, 25, 'Female Condoms');
INSERT INTO `lang_definitions` VALUES (133027, 3959, 25, 'Female G');
INSERT INTO `lang_definitions` VALUES (133028, 3960, 25, 'Female LC');
INSERT INTO `lang_definitions` VALUES (133029, 3961, 25, 'Female P');
INSERT INTO `lang_definitions` VALUES (133030, 3962, 25, 'Female Symptoms');
INSERT INTO `lang_definitions` VALUES (133031, 3963, 25, 'Female VSC');
INSERT INTO `lang_definitions` VALUES (133032, 3964, 25, 'Aduce');
INSERT INTO `lang_definitions` VALUES (133033, 3965, 25, 'Fetching following file from portal');
INSERT INTO `lang_definitions` VALUES (133034, 3966, 25, 'Febra');
INSERT INTO `lang_definitions` VALUES (133035, 3967, 25, 'Febra:');
INSERT INTO `lang_definitions` VALUES (133036, 3968, 25, 'Probleme sange FH');
INSERT INTO `lang_definitions` VALUES (133037, 3971, 25, 'FH{{Family History}}');
INSERT INTO `lang_definitions` VALUES (133038, 3972, 25, 'Fibrom');
INSERT INTO `lang_definitions` VALUES (133039, 3974, 25, 'Camp');
INSERT INTO `lang_definitions` VALUES (133040, 3975, 25, 'Campul \"Nume\" nu poate fi gol');
INSERT INTO `lang_definitions` VALUES (133041, 3976, 25, 'ID camp');
INSERT INTO `lang_definitions` VALUES (133042, 3978, 25, 'Tip camp pentru utilizare angajator in zona demografica');
INSERT INTO `lang_definitions` VALUES (133043, 3979, 25, 'Tip camp pentru utilizare angajator in zona demografica');
INSERT INTO `lang_definitions` VALUES (133044, 3980, 25, 'Lipsesc campuri!');
INSERT INTO `lang_definitions` VALUES (133045, 3982, 25, 'Campuri in formular');
INSERT INTO `lang_definitions` VALUES (133046, 3983, 25, 'Fields{{visual fields}}');
INSERT INTO `lang_definitions` VALUES (133047, 3984, 25, 'Fifth account message');
INSERT INTO `lang_definitions` VALUES (133048, 3985, 25, 'Fijian');
INSERT INTO `lang_definitions` VALUES (133049, 3986, 25, 'Fisier');
INSERT INTO `lang_definitions` VALUES (133050, 3989, 25, 'file in the Documentation directory to learn how to automate the process of creating log backups');
INSERT INTO `lang_definitions` VALUES (133051, 3990, 25, 'locatie fisier');
INSERT INTO `lang_definitions` VALUES (133052, 3991, 25, 'Management fisiere');
INSERT INTO `lang_definitions` VALUES (133053, 3992, 25, 'lipsa fisier');
INSERT INTO `lang_definitions` VALUES (133054, 3993, 25, 'Denumire fisier');
INSERT INTO `lang_definitions` VALUES (133055, 3994, 25, 'Fisier negasit');
INSERT INTO `lang_definitions` VALUES (133056, 3996, 25, 'File on server (modification date)');
INSERT INTO `lang_definitions` VALUES (133057, 3997, 25, 'Nu s-a gasit locatia fisierului');
INSERT INTO `lang_definitions` VALUES (133058, 3998, 25, 'File privilege granted to OpenEMR user.');
INSERT INTO `lang_definitions` VALUES (133059, 3999, 25, 'File retrieval from CouchDB failed');
INSERT INTO `lang_definitions` VALUES (133060, 4000, 25, 'File Room');
INSERT INTO `lang_definitions` VALUES (133061, 4001, 25, 'File to upload');
INSERT INTO `lang_definitions` VALUES (133062, 4002, 25, 'File to Upload');
INSERT INTO `lang_definitions` VALUES (133063, 4003, 25, 'File with same name already exists at location:');
INSERT INTO `lang_definitions` VALUES (133064, 4004, 25, 'Filename');
INSERT INTO `lang_definitions` VALUES (133065, 4005, 25, 'Filename must end with \".pdf\"');
INSERT INTO `lang_definitions` VALUES (133066, 4006, 25, 'Files');
INSERT INTO `lang_definitions` VALUES (133067, 4009, 25, 'Files with empty thumbnail');
INSERT INTO `lang_definitions` VALUES (133068, 4011, 25, 'Filipino');
INSERT INTO `lang_definitions` VALUES (133069, 4012, 25, 'completati');
INSERT INTO `lang_definitions` VALUES (133070, 4013, 25, 'Completati in randurile ce urmeaza.');
INSERT INTO `lang_definitions` VALUES (133071, 4014, 25, 'Completeaza aici doar daca se trimit notificari catre pacienti');
INSERT INTO `lang_definitions` VALUES (133072, 4023, 25, 'Completati valori in spatiul de mai jos.');
INSERT INTO `lang_definitions` VALUES (133073, 4024, 25, 'Introduceti instructiunile');
INSERT INTO `lang_definitions` VALUES (133074, 4025, 25, 'Completati randurile');
INSERT INTO `lang_definitions` VALUES (133075, 4028, 25, 'Filtru');
INSERT INTO `lang_definitions` VALUES (133076, 4029, 25, 'Filtru pentru constante');
INSERT INTO `lang_definitions` VALUES (133077, 4030, 25, 'Filtru pentru definitii');
INSERT INTO `lang_definitions` VALUES (133078, 4031, 25, 'filtrat de la');
INSERT INTO `lang_definitions` VALUES (133079, 4032, 25, 'Filtre');
INSERT INTO `lang_definitions` VALUES (133080, 4033, 25, 'filtre');
INSERT INTO `lang_definitions` VALUES (133081, 4034, 25, 'Final');
INSERT INTO `lang_definitions` VALUES (133082, 4035, 25, 'Diagnostic final');
INSERT INTO `lang_definitions` VALUES (133083, 4036, 25, 'Diagnostic final specialist');
INSERT INTO `lang_definitions` VALUES (133084, 4037, 25, 'Status final');
INSERT INTO `lang_definitions` VALUES (133085, 4038, 25, 'Financiar');
INSERT INTO `lang_definitions` VALUES (133086, 4039, 25, 'Data inchidere financiara (yyyy-mm-dd)');
INSERT INTO `lang_definitions` VALUES (133087, 4040, 25, 'Raport financiar - tot');
INSERT INTO `lang_definitions` VALUES (133088, 4042, 25, 'Raport financiar - consultatiile mele');
INSERT INTO `lang_definitions` VALUES (133089, 4045, 25, 'Data de evaluare financiara');
INSERT INTO `lang_definitions` VALUES (133090, 4046, 25, 'Sumar financiar dupa cod serviciu');
INSERT INTO `lang_definitions` VALUES (133091, 4048, 25, 'Cauta');
INSERT INTO `lang_definitions` VALUES (133092, 4049, 25, 'Cauta disponibil');
INSERT INTO `lang_definitions` VALUES (133093, 4050, 25, 'Cautare programare libera');
INSERT INTO `lang_definitions` VALUES (133094, 4053, 25, 'Cautare pacient');
INSERT INTO `lang_definitions` VALUES (133095, 4054, 25, 'Cautare materiale educative pacienti');
INSERT INTO `lang_definitions` VALUES (133096, 4056, 25, 'Elemente gasite');
INSERT INTO `lang_definitions` VALUES (133097, 4057, 25, 'Elemente gasite specialist');
INSERT INTO `lang_definitions` VALUES (133098, 4058, 25, 'Bun');
INSERT INTO `lang_definitions` VALUES (133099, 4059, 25, 'Sfarsit');
INSERT INTO `lang_definitions` VALUES (133100, 4060, 25, 'Finalizare plata');
INSERT INTO `lang_definitions` VALUES (133101, 4062, 25, 'finalizat');
INSERT INTO `lang_definitions` VALUES (133102, 4064, 25, 'Finnish');
INSERT INTO `lang_definitions` VALUES (133103, 4065, 25, 'Primul');
INSERT INTO `lang_definitions` VALUES (133104, 4066, 25, 'Primul mesaj pe cont');
INSERT INTO `lang_definitions` VALUES (133105, 4067, 25, 'Prima zi a saptamanii');
INSERT INTO `lang_definitions` VALUES (133106, 4068, 25, 'Prima zi a saptamanii');
INSERT INTO `lang_definitions` VALUES (133107, 4069, 25, 'First Modern Contraception at this Clinic (with Prior Contraceptive Use)');
INSERT INTO `lang_definitions` VALUES (133108, 4070, 25, 'First Modern Contraceptive Use (Lifetime)');
INSERT INTO `lang_definitions` VALUES (133109, 4071, 25, 'Prenume');
INSERT INTO `lang_definitions` VALUES (133110, 4072, 25, 'Prenume');
INSERT INTO `lang_definitions` VALUES (133111, 4073, 25, 'Prenume:');
INSERT INTO `lang_definitions` VALUES (133112, 4074, 25, 'Prima vizita sau consultatie');
INSERT INTO `lang_definitions` VALUES (133113, 4075, 25, 'Prima vizita:');
INSERT INTO `lang_definitions` VALUES (133114, 4077, 25, 'Prenume Nume');
INSERT INTO `lang_definitions` VALUES (133115, 4079, 25, 'Conditie fizica');
INSERT INTO `lang_definitions` VALUES (133116, 4080, 25, 'Nivel conditie fizica');
INSERT INTO `lang_definitions` VALUES (133117, 4081, 25, 'Nivel conditie fizica jucator in aceasta zi');
INSERT INTO `lang_definitions` VALUES (133118, 4082, 25, 'Testare conditie fizica');
INSERT INTO `lang_definitions` VALUES (133119, 4083, 25, 'Apt de joc');
INSERT INTO `lang_definitions` VALUES (133120, 4084, 25, 'Date fixe deconsultatie');
INSERT INTO `lang_definitions` VALUES (133121, 4086, 25, 'Rezolva asta');
INSERT INTO `lang_definitions` VALUES (133122, 4088, 25, 'FL');
INSERT INTO `lang_definitions` VALUES (133123, 4089, 25, 'Flash');
INSERT INTO `lang_definitions` VALUES (133124, 4090, 25, 'Flatulenta');
INSERT INTO `lang_definitions` VALUES (133125, 4091, 25, 'Flux');
INSERT INTO `lang_definitions` VALUES (133126, 4092, 25, 'Flow Board');
INSERT INTO `lang_definitions` VALUES (133127, 4108, 25, 'Sezon gripa');
INSERT INTO `lang_definitions` VALUES (133128, 4109, 25, 'Sezon gripa');
INSERT INTO `lang_definitions` VALUES (133129, 4110, 25, 'Vaccinare impotriva gripei');
INSERT INTO `lang_definitions` VALUES (133130, 4111, 25, 'Problema lichide si electroliti');
INSERT INTO `lang_definitions` VALUES (133131, 4112, 25, 'FMS');
INSERT INTO `lang_definitions` VALUES (133132, 4113, 25, 'Dimensiune coala hartie');
INSERT INTO `lang_definitions` VALUES (133133, 4114, 25, 'Urmareste manual');
INSERT INTO `lang_definitions` VALUES (133134, 4115, 25, 'Follow these instructions for installing or upgrading the following database');
INSERT INTO `lang_definitions` VALUES (133135, 4116, 25, 'Follow Up');
INSERT INTO `lang_definitions` VALUES (133136, 4118, 25, 'Follow Up Note');
INSERT INTO `lang_definitions` VALUES (133137, 4119, 25, 'Follow Up Reason');
INSERT INTO `lang_definitions` VALUES (133138, 4120, 25, 'Following audit log entry number is missing');
INSERT INTO `lang_definitions` VALUES (133139, 4121, 25, 'Following is a new custom constant:');
INSERT INTO `lang_definitions` VALUES (133140, 4122, 25, 'Following is a new custom language:');
INSERT INTO `lang_definitions` VALUES (133141, 4123, 25, 'Following is a new definition (Language, Constant, Definition):');
INSERT INTO `lang_definitions` VALUES (133142, 4124, 25, 'Following rows in the audit log have been tampered');
INSERT INTO `lang_definitions` VALUES (133143, 4125, 25, 'Followup Services');
INSERT INTO `lang_definitions` VALUES (133144, 4126, 25, 'Followups Indicated');
INSERT INTO `lang_definitions` VALUES (133145, 4129, 25, 'Intoleranta mancare');
INSERT INTO `lang_definitions` VALUES (133146, 4130, 25, 'Picior');
INSERT INTO `lang_definitions` VALUES (133147, 4131, 25, 'Probleme picior');
INSERT INTO `lang_definitions` VALUES (133148, 4132, 25, 'Picior:');
INSERT INTO `lang_definitions` VALUES (133149, 4133, 25, 'Accidente fotbal');
INSERT INTO `lang_definitions` VALUES (133150, 4134, 25, 'Accident fotbal');
INSERT INTO `lang_definitions` VALUES (133151, 4135, 25, 'Raport accident fotbal');
INSERT INTO `lang_definitions` VALUES (133152, 4136, 25, 'Tip incaltaminte');
INSERT INTO `lang_definitions` VALUES (133153, 4137, 25, 'pentru');
INSERT INTO `lang_definitions` VALUES (133154, 4138, 25, 'Pentru');
INSERT INTO `lang_definitions` VALUES (133155, 4144, 25, 'Pentru codul');
INSERT INTO `lang_definitions` VALUES (133156, 4146, 25, 'Pentru datele');
INSERT INTO `lang_definitions` VALUES (133157, 4152, 25, 'Pentru instantele de consultatie');
INSERT INTO `lang_definitions` VALUES (133158, 4154, 25, 'De exemplu:');
INSERT INTO `lang_definitions` VALUES (133159, 4158, 25, 'For HCFA 02/12 Box 15 is Other Date with a qualifier to specify what the date indicates');
INSERT INTO `lang_definitions` VALUES (133160, 4159, 25, 'For HCFA 02/12 Onset date specified on the Encounter Form needs a qualifier');
INSERT INTO `lang_definitions` VALUES (133161, 4161, 25, 'for Invoice');
INSERT INTO `lang_definitions` VALUES (133162, 4163, 25, 'For Medicare only, forces the referring provider to be the same as the rendering provider.');
INSERT INTO `lang_definitions` VALUES (133163, 4165, 25, 'for OBR placer order number');
INSERT INTO `lang_definitions` VALUES (133164, 4166, 25, 'pentru pacient');
INSERT INTO `lang_definitions` VALUES (133165, 4172, 25, 'Pentru furnizor');
INSERT INTO `lang_definitions` VALUES (133166, 4173, 25, 'Pentru clinica sau medicul recomandat');
INSERT INTO `lang_definitions` VALUES (133167, 4176, 25, 'Pentru ultimele');
INSERT INTO `lang_definitions` VALUES (133168, 4180, 25, 'pentru acest pacient nu este asignatat nicio consultatie.');
INSERT INTO `lang_definitions` VALUES (133169, 4188, 25, 'pentru variabila');
INSERT INTO `lang_definitions` VALUES (133170, 4189, 25, 'pentru:');
INSERT INTO `lang_definitions` VALUES (133171, 4190, 25, 'Forteaza deschidere widget de facturare');
INSERT INTO `lang_definitions` VALUES (133172, 4191, 25, 'Forteaza crearea unui pacient nou');
INSERT INTO `lang_definitions` VALUES (133173, 4193, 25, 'Force Show');
INSERT INTO `lang_definitions` VALUES (133174, 4194, 25, 'Antebrat');
INSERT INTO `lang_definitions` VALUES (133175, 4195, 25, 'Formular');
INSERT INTO `lang_definitions` VALUES (133176, 4196, 25, 'formular');
INSERT INTO `lang_definitions` VALUES (133177, 4197, 25, 'Element formular nu a fost gasit');
INSERT INTO `lang_definitions` VALUES (133178, 4198, 25, 'Chei formular');
INSERT INTO `lang_definitions` VALUES (133179, 4199, 25, 'Frmular semnat cu succes');
INSERT INTO `lang_definitions` VALUES (133180, 4201, 25, 'Format');
INSERT INTO `lang_definitions` VALUES (133181, 4202, 25, 'format');
INSERT INTO `lang_definitions` VALUES (133182, 4203, 25, 'Format afisare varsta');
INSERT INTO `lang_definitions` VALUES (133183, 4204, 25, 'Format incorrect for NDC');
INSERT INTO `lang_definitions` VALUES (133184, 4205, 25, 'Formatul utilizat pentru afisarea datelor calendaristice');
INSERT INTO `lang_definitions` VALUES (133185, 4206, 25, 'Formatul utilizat pentru afisarea timpului');
INSERT INTO `lang_definitions` VALUES (133186, 4207, 25, 'Raport formatat');
INSERT INTO `lang_definitions` VALUES (133187, 4208, 25, 'Fost fumator');
INSERT INTO `lang_definitions` VALUES (133188, 4209, 25, 'Formulare');
INSERT INTO `lang_definitions` VALUES (133189, 4210, 25, 'Administrare formulare');
INSERT INTO `lang_definitions` VALUES (133190, 4212, 25, 'Formulare semnate electronic');
INSERT INTO `lang_definitions` VALUES (133191, 4215, 25, 'Inainte');
INSERT INTO `lang_definitions` VALUES (133192, 4219, 25, 'Inaintare pagini prin Fax');
INSERT INTO `lang_definitions` VALUES (133193, 4222, 25, 'Inaintat');
INSERT INTO `lang_definitions` VALUES (133194, 4224, 25, 'Copil adoptat');
INSERT INTO `lang_definitions` VALUES (133195, 4225, 25, 'Al patrulea');
INSERT INTO `lang_definitions` VALUES (133196, 4226, 25, 'Cel de-al patrulea mesaj al contului');
INSERT INTO `lang_definitions` VALUES (133197, 4227, 25, 'Fractura');
INSERT INTO `lang_definitions` VALUES (133198, 4228, 25, 'Fractura navicula');
INSERT INTO `lang_definitions` VALUES (133199, 4229, 25, 'Fractura maleola laterala');
INSERT INTO `lang_definitions` VALUES (133200, 4230, 25, 'Fractura maleola mediala');
INSERT INTO `lang_definitions` VALUES (133201, 4231, 25, 'Fractura,  Base of fifth (5th) Metatarsal');
INSERT INTO `lang_definitions` VALUES (133202, 4232, 25, 'Cadru');
INSERT INTO `lang_definitions` VALUES (133203, 4233, 25, 'Este necesar cadru de sprijin');
INSERT INTO `lang_definitions` VALUES (133204, 4235, 25, 'French');
INSERT INTO `lang_definitions` VALUES (133205, 4236, 25, 'French (Canadian)');
INSERT INTO `lang_definitions` VALUES (133206, 4237, 25, 'French (Standard)');
INSERT INTO `lang_definitions` VALUES (133207, 4238, 25, 'Frecventa');
INSERT INTO `lang_definitions` VALUES (133208, 4239, 25, 'Raceste des');
INSERT INTO `lang_definitions` VALUES (133209, 4240, 25, 'Imbolnaviri dese');
INSERT INTO `lang_definitions` VALUES (133210, 4241, 25, 'Vineri');
INSERT INTO `lang_definitions` VALUES (133211, 4242, 25, 'Vineri');
INSERT INTO `lang_definitions` VALUES (133212, 4243, 25, 'Prieten');
INSERT INTO `lang_definitions` VALUES (133213, 4244, 25, 'De la');
INSERT INTO `lang_definitions` VALUES (133214, 4245, 25, 'DE LA');
INSERT INTO `lang_definitions` VALUES (133215, 4246, 25, 'de la');
INSERT INTO `lang_definitions` VALUES (133216, 4247, 25, 'Data de la nu poate fi mai mare decat Data la');
INSERT INTO `lang_definitions` VALUES (133217, 4248, 25, 'Data de la trebuie sa fie mai mica decat Data la');
INSERT INTO `lang_definitions` VALUES (133218, 4249, 25, 'Din perioada');
INSERT INTO `lang_definitions` VALUES (133219, 4253, 25, 'De la:');
INSERT INTO `lang_definitions` VALUES (133220, 4254, 25, 'De la:');
INSERT INTO `lang_definitions` VALUES (133221, 4255, 25, 'DE LA ORAS');
INSERT INTO `lang_definitions` VALUES (133222, 4256, 25, 'DE LA MAIL');
INSERT INTO `lang_definitions` VALUES (133223, 4257, 25, 'DE LA PRENUME');
INSERT INTO `lang_definitions` VALUES (133224, 4258, 25, 'DE LA NUME');
INSERT INTO `lang_definitions` VALUES (133225, 4259, 25, 'DE LA NUMEMJL');
INSERT INTO `lang_definitions` VALUES (133226, 4260, 25, 'DE LA TEL');
INSERT INTO `lang_definitions` VALUES (133227, 4261, 25, 'DE LA MOBIL');
INSERT INTO `lang_definitions` VALUES (133228, 4262, 25, 'DE LA CODPOSTAL');
INSERT INTO `lang_definitions` VALUES (133229, 4263, 25, 'DE LA CARE TARA');
INSERT INTO `lang_definitions` VALUES (133230, 4264, 25, 'DE LA STRADA');
INSERT INTO `lang_definitions` VALUES (133231, 4265, 25, 'DE LA TITLU');
INSERT INTO `lang_definitions` VALUES (133232, 4266, 25, 'FROM_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (133233, 4267, 25, 'Front office');
INSERT INTO `lang_definitions` VALUES (133234, 4268, 25, 'Chitante front office');
INSERT INTO `lang_definitions` VALUES (133235, 4269, 25, 'Raport front office chitante');
INSERT INTO `lang_definitions` VALUES (133236, 4270, 25, 'Receptie');
INSERT INTO `lang_definitions` VALUES (133237, 4271, 25, 'Frontal dreapta:');
INSERT INTO `lang_definitions` VALUES (133238, 4272, 25, 'Fr{{Friday}}');
INSERT INTO `lang_definitions` VALUES (133239, 4273, 25, 'FTCF{{Full to count fingers}}');
INSERT INTO `lang_definitions` VALUES (133240, 4274, 25, 'FTN{{Finger Tension abbreviation}}');
INSERT INTO `lang_definitions` VALUES (133241, 4275, 25, 'FT{{finger tension}}');
INSERT INTO `lang_definitions` VALUES (133242, 4276, 25, 'Fula- Fulah- Pulaar- Pular');
INSERT INTO `lang_definitions` VALUES (133243, 4278, 25, 'Numele Intreg');
INSERT INTO `lang_definitions` VALUES (133244, 4280, 25, 'Full path to directory containing MySQL executables.');
INSERT INTO `lang_definitions` VALUES (133245, 4281, 25, 'Full path to directory containing Perl executables.');
INSERT INTO `lang_definitions` VALUES (133246, 4282, 25, 'Full path to directory for event log backup.');
INSERT INTO `lang_definitions` VALUES (133247, 4283, 25, 'Full path to directory used for temporary files.');
INSERT INTO `lang_definitions` VALUES (133248, 4284, 25, 'Full Play');
INSERT INTO `lang_definitions` VALUES (133249, 4286, 25, 'Full Training');
INSERT INTO `lang_definitions` VALUES (133250, 4287, 25, 'Fullscreen');
INSERT INTO `lang_definitions` VALUES (133251, 4288, 25, 'Platit integral');
INSERT INTO `lang_definitions` VALUES (133252, 4290, 25, 'Formular stare functionala si cognitiva');
INSERT INTO `lang_definitions` VALUES (133253, 4291, 25, 'Stare cognitiva  functionala');
INSERT INTO `lang_definitions` VALUES (133254, 4292, 25, 'Conditie functionala');
INSERT INTO `lang_definitions` VALUES (133255, 4293, 25, 'Sursa finantare');
INSERT INTO `lang_definitions` VALUES (133256, 4295, 25, 'Viitor');
INSERT INTO `lang_definitions` VALUES (133257, 4296, 25, 'Intalniri viitoare');
INSERT INTO `lang_definitions` VALUES (133258, 4297, 25, 'F{{Friday}}');
INSERT INTO `lang_definitions` VALUES (133259, 4298, 25, 'G');
INSERT INTO `lang_definitions` VALUES (133260, 4299, 25, 'G/DL');
INSERT INTO `lang_definitions` VALUES (133261, 4301, 25, 'Galician');
INSERT INTO `lang_definitions` VALUES (133262, 4302, 25, 'Stare vezica biliara');
INSERT INTO `lang_definitions` VALUES (133263, 4303, 25, 'Pietre vezica biliara');
INSERT INTO `lang_definitions` VALUES (133264, 4304, 25, 'Timp de joc');
INSERT INTO `lang_definitions` VALUES (133265, 4305, 25, 'Jocuri');
INSERT INTO `lang_definitions` VALUES (133266, 4306, 25, 'Jocuri pierdute');
INSERT INTO `lang_definitions` VALUES (133267, 4307, 25, 'jocuri/evenimente');
INSERT INTO `lang_definitions` VALUES (133268, 4308, 25, 'Jocuri/Evenimente lipsa');
INSERT INTO `lang_definitions` VALUES (133269, 4309, 25, 'Ganda');
INSERT INTO `lang_definitions` VALUES (133270, 4310, 25, 'Gastrita');
INSERT INTO `lang_definitions` VALUES (133271, 4311, 25, 'Durere gastro');
INSERT INTO `lang_definitions` VALUES (133272, 4312, 25, 'Gastrointesstinala');
INSERT INTO `lang_definitions` VALUES (133273, 4316, 25, 'Raport statistic GCAC');
INSERT INTO `lang_definitions` VALUES (133274, 4317, 25, 'Stare GCAC');
INSERT INTO `lang_definitions` VALUES (133275, 4318, 25, 'Formular vizita GCAC lipsa');
INSERT INTO `lang_definitions` VALUES (133276, 4319, 25, 'Sex');
INSERT INTO `lang_definitions` VALUES (133277, 4320, 25, 'Sex');
INSERT INTO `lang_definitions` VALUES (133278, 4321, 25, 'General');
INSERT INTO `lang_definitions` VALUES (133279, 4323, 25, 'Lista probleme generale');
INSERT INTO `lang_definitions` VALUES (133280, 4324, 25, 'Medic generalist');
INSERT INTO `lang_definitions` VALUES (133281, 4325, 25, 'Categorie serviciu generala');
INSERT INTO `lang_definitions` VALUES (133282, 4328, 25, 'General Theme (need to logout/login after change this setting)');
INSERT INTO `lang_definitions` VALUES (133283, 4331, 25, 'Genereaza');
INSERT INTO `lang_definitions` VALUES (133284, 4332, 25, 'Generate and download CMS 1500 paper claims');
INSERT INTO `lang_definitions` VALUES (133285, 4333, 25, 'Generate and download CMS 1500 paper claims on Preprinted form');
INSERT INTO `lang_definitions` VALUES (133286, 4334, 25, 'Generate and download HCFA 1500 paper claims');
INSERT INTO `lang_definitions` VALUES (133287, 4337, 25, 'Generate and download X12 batch');
INSERT INTO `lang_definitions` VALUES (133288, 4338, 25, 'Generate and download X12 encounter claim batch');
INSERT INTO `lang_definitions` VALUES (133289, 4339, 25, 'Genereaza si transmite toate prescriptiile');
INSERT INTO `lang_definitions` VALUES (133290, 4340, 25, 'Genereaza si transmite toate prescriptiile (nu sunt incluse substante controlate)');
INSERT INTO `lang_definitions` VALUES (133291, 4341, 25, 'Genereaza si transmite toate prescriptiile admisibile');
INSERT INTO `lang_definitions` VALUES (133292, 4342, 25, 'Generate CMS 1500');
INSERT INTO `lang_definitions` VALUES (133293, 4343, 25, 'Generate CMS 1500 PDF');
INSERT INTO `lang_definitions` VALUES (133294, 4344, 25, 'Generate CMS 1500 TEXT');
INSERT INTO `lang_definitions` VALUES (133295, 4345, 25, 'Generate HCFA');
INSERT INTO `lang_definitions` VALUES (133296, 4347, 25, 'Genereaza Factura');
INSERT INTO `lang_definitions` VALUES (133297, 4348, 25, 'Genereaza Scrisoare');
INSERT INTO `lang_definitions` VALUES (133298, 4349, 25, 'Genereaza Scrisoare prvind');
INSERT INTO `lang_definitions` VALUES (133299, 4351, 25, 'Generate PQRI report (Method A)');
INSERT INTO `lang_definitions` VALUES (133300, 4352, 25, 'Generate PQRI report (Method A) - 2011');
INSERT INTO `lang_definitions` VALUES (133301, 4353, 25, 'Generate PQRI report (Method E)');
INSERT INTO `lang_definitions` VALUES (133302, 4354, 25, 'Generate PQRI report (Method E) - 2011');
INSERT INTO `lang_definitions` VALUES (133303, 4355, 25, 'Generate QRDA I – 2014');
INSERT INTO `lang_definitions` VALUES (133304, 4356, 25, 'Generate QRDA III - 2014');
INSERT INTO `lang_definitions` VALUES (133305, 4357, 25, 'Genereaza raport');
INSERT INTO `lang_definitions` VALUES (133306, 4362, 25, 'Generate thumbnail');
INSERT INTO `lang_definitions` VALUES (133307, 4363, 25, 'Generate thumbnail images');
INSERT INTO `lang_definitions` VALUES (133308, 4364, 25, 'Generate Thumbnails');
INSERT INTO `lang_definitions` VALUES (133309, 4365, 25, 'Generate Username And Password For');
INSERT INTO `lang_definitions` VALUES (133310, 4366, 25, 'Generate X12');
INSERT INTO `lang_definitions` VALUES (133311, 4368, 25, 'Generate X12 Encounter');
INSERT INTO `lang_definitions` VALUES (133312, 4369, 25, 'Generate/Download QRDA I - 2014');
INSERT INTO `lang_definitions` VALUES (133313, 4370, 25, 'Generat pe baza');
INSERT INTO `lang_definitions` VALUES (133314, 4371, 25, 'Generated thumbnail(s)');
INSERT INTO `lang_definitions` VALUES (133315, 4372, 25, 'Genereaza');
INSERT INTO `lang_definitions` VALUES (133316, 4377, 25, 'Genitourinar');
INSERT INTO `lang_definitions` VALUES (133317, 4378, 25, 'Medic probleme genitourinare');
INSERT INTO `lang_definitions` VALUES (133318, 4379, 25, 'GEN{{General}}');
INSERT INTO `lang_definitions` VALUES (133319, 4380, 25, 'Georgian');
INSERT INTO `lang_definitions` VALUES (133320, 4381, 25, 'German');
INSERT INTO `lang_definitions` VALUES (133321, 4382, 25, 'Gest de varsta');
INSERT INTO `lang_definitions` VALUES (133322, 4383, 25, 'Varsta gestationala');
INSERT INTO `lang_definitions` VALUES (133323, 4385, 25, 'GET HL7');
INSERT INTO `lang_definitions` VALUES (133324, 4386, 25, 'Get HL7');
INSERT INTO `lang_definitions` VALUES (133325, 4390, 25, 'GI{{Gastrointestinal}}');
INSERT INTO `lang_definitions` VALUES (133326, 4391, 25, 'Glare{{Acuity under Glare conditions}}');
INSERT INTO `lang_definitions` VALUES (133327, 4392, 25, 'Glaucom');
INSERT INTO `lang_definitions` VALUES (133328, 4393, 25, 'Istoric familial glaucom');
INSERT INTO `lang_definitions` VALUES (133329, 4394, 25, 'Zona glaucom');
INSERT INTO `lang_definitions` VALUES (133330, 4395, 25, 'Global');
INSERT INTO `lang_definitions` VALUES (133331, 4397, 25, 'Tara pacient');
INSERT INTO `lang_definitions` VALUES (133332, 4398, 25, 'ID global');
INSERT INTO `lang_definitions` VALUES (133333, 4399, 25, 'Setari globale');
INSERT INTO `lang_definitions` VALUES (133334, 4400, 25, 'Globale');
INSERT INTO `lang_definitions` VALUES (133335, 4401, 25, 'GM/DL');
INSERT INTO `lang_definitions` VALUES (133336, 4402, 25, 'INAINTE');
INSERT INTO `lang_definitions` VALUES (133337, 4403, 25, 'Inainte');
INSERT INTO `lang_definitions` VALUES (133338, 4404, 25, 'inainte');
INSERT INTO `lang_definitions` VALUES (133339, 4405, 25, 'Inapoi');
INSERT INTO `lang_definitions` VALUES (133340, 4407, 25, 'Du-te la');
INSERT INTO `lang_definitions` VALUES (133341, 4417, 25, 'Du-te la saptamana');
INSERT INTO `lang_definitions` VALUES (133342, 4418, 25, 'Du-te la ziua de azi');
INSERT INTO `lang_definitions` VALUES (133343, 4419, 25, 'Scop A');
INSERT INTO `lang_definitions` VALUES (133344, 4420, 25, 'Scop si metode');
INSERT INTO `lang_definitions` VALUES (133345, 4421, 25, 'Scop B');
INSERT INTO `lang_definitions` VALUES (133346, 4422, 25, 'Scop C');
INSERT INTO `lang_definitions` VALUES (133347, 4423, 25, 'Gonioscopy');
INSERT INTO `lang_definitions` VALUES (133348, 4424, 25, 'Gonio{{Gonioscopy abbreviation}}');
INSERT INTO `lang_definitions` VALUES (133349, 4428, 25, 'Grad accidentare');
INSERT INTO `lang_definitions` VALUES (133350, 4429, 25, 'Grad:');
INSERT INTO `lang_definitions` VALUES (133351, 4430, 25, 'grame');
INSERT INTO `lang_definitions` VALUES (133352, 4431, 25, 'Total general');
INSERT INTO `lang_definitions` VALUES (133353, 4432, 25, 'Totaluri generale');
INSERT INTO `lang_definitions` VALUES (133354, 4433, 25, 'Nepot');
INSERT INTO `lang_definitions` VALUES (133355, 4434, 25, 'Bunic');
INSERT INTO `lang_definitions` VALUES (133356, 4435, 25, 'Graphable');
INSERT INTO `lang_definitions` VALUES (133357, 4436, 25, 'Bunic mare');
INSERT INTO `lang_definitions` VALUES (133358, 4437, 25, 'Mai mare decat');
INSERT INTO `lang_definitions` VALUES (133359, 4438, 25, 'Mai mare sau egal decat');
INSERT INTO `lang_definitions` VALUES (133360, 4439, 25, 'Grec');
INSERT INTO `lang_definitions` VALUES (133361, 4440, 25, 'Grec, Modern');
INSERT INTO `lang_definitions` VALUES (133362, 4442, 25, 'Grup');
INSERT INTO `lang_definitions` VALUES (133363, 4456, 25, 'Grup Home');
INSERT INTO `lang_definitions` VALUES (133364, 4459, 25, 'Numele grupului');
INSERT INTO `lang_definitions` VALUES (133365, 4460, 25, 'Trebuie completate numele grupului');
INSERT INTO `lang_definitions` VALUES (133366, 4461, 25, 'Numele grupurilor nu pot incepe cu numere sau spatii');
INSERT INTO `lang_definitions` VALUES (133367, 4462, 25, 'Numele grupurilor nu pot incepe cu numere');
INSERT INTO `lang_definitions` VALUES (133368, 4463, 25, 'Numarul grupului');
INSERT INTO `lang_definitions` VALUES (133369, 4465, 25, 'Plata grupului');
INSERT INTO `lang_definitions` VALUES (133370, 4471, 25, 'Grup:');
INSERT INTO `lang_definitions` VALUES (133371, 4472, 25, 'Nume-grup:');
INSERT INTO `lang_definitions` VALUES (133372, 4475, 25, 'Controlul grupului si accesului');
INSERT INTO `lang_definitions` VALUES (133373, 4476, 25, 'Grafic de crestere');
INSERT INTO `lang_definitions` VALUES (133374, 4477, 25, 'Crestere-grafic');
INSERT INTO `lang_definitions` VALUES (133375, 4478, 25, 'gtts (guttas-picaturi)');
INSERT INTO `lang_definitions` VALUES (133376, 4479, 25, 'Guamanian');
INSERT INTO `lang_definitions` VALUES (133377, 4481, 25, 'Guaraní');
INSERT INTO `lang_definitions` VALUES (133378, 4482, 25, 'Gardian/Tutore');
INSERT INTO `lang_definitions` VALUES (133379, 4483, 25, 'Adresa tutore');
INSERT INTO `lang_definitions` VALUES (133380, 4484, 25, 'Numele Tutorelui');
INSERT INTO `lang_definitions` VALUES (133381, 4487, 25, 'Gujarati');
INSERT INTO `lang_definitions` VALUES (133382, 4488, 25, 'GU{{Genitourinary}}');
INSERT INTO `lang_definitions` VALUES (133383, 4489, 25, 'Examen ginecologic');
INSERT INTO `lang_definitions` VALUES (133384, 4490, 25, 'h');
INSERT INTO `lang_definitions` VALUES (133385, 4491, 25, 'H(T){{intermittent hypertropia}}');
INSERT INTO `lang_definitions` VALUES (133386, 4492, 25, 'h.s.');
INSERT INTO `lang_definitions` VALUES (133387, 4493, 25, 'H/O Hepatita');
INSERT INTO `lang_definitions` VALUES (133388, 4494, 25, 'a fost sters cu succes. Orice subcategorii, dacă sunt prezente, au fost mutate mai jos');
INSERT INTO `lang_definitions` VALUES (133389, 4495, 25, 'Hematomul / vânătăi');
INSERT INTO `lang_definitions` VALUES (133390, 4496, 25, 'Starea HAI');
INSERT INTO `lang_definitions` VALUES (133391, 4497, 25, 'Haitian- Haitian Creole');
INSERT INTO `lang_definitions` VALUES (133392, 4498, 25, 'Frati vitregi');
INSERT INTO `lang_definitions` VALUES (133393, 4499, 25, 'Mana+degete');
INSERT INTO `lang_definitions` VALUES (133394, 4500, 25, 'Probleme cu mana');
INSERT INTO `lang_definitions` VALUES (133395, 4501, 25, 'Handicapat dependent');
INSERT INTO `lang_definitions` VALUES (133396, 4505, 25, 'Hard Disk');
INSERT INTO `lang_definitions` VALUES (133397, 4506, 25, 'Greutati cu/fara');
INSERT INTO `lang_definitions` VALUES (133398, 4507, 25, 'a fost asociat pentru vizita');
INSERT INTO `lang_definitions` VALUES (133399, 4508, 25, 'a expirat');
INSERT INTO `lang_definitions` VALUES (133400, 4509, 25, 'Hash');
INSERT INTO `lang_definitions` VALUES (133401, 4511, 25, 'Nu exista Hash-ul pentru acest fisier. Un nou Hash a fost generat.');
INSERT INTO `lang_definitions` VALUES (133402, 4512, 25, 'Valoarea Hash nu se potriveste. Integritatea datelor a fost compromisa.');
INSERT INTO `lang_definitions` VALUES (133403, 4514, 25, 'Hausa');
INSERT INTO `lang_definitions` VALUES (133404, 4515, 25, 'Hawaiian');
INSERT INTO `lang_definitions` VALUES (133405, 4516, 25, 'Activitati periculoase');
INSERT INTO `lang_definitions` VALUES (133406, 4517, 25, 'Activitati periculoase');
INSERT INTO `lang_definitions` VALUES (133407, 4518, 25, 'HB{{abbreviation for Horizontal Prism Base}}');
INSERT INTO `lang_definitions` VALUES (133408, 4521, 25, 'HCFA left margin in points');
INSERT INTO `lang_definitions` VALUES (133409, 4522, 25, 'HCFA Margins');
INSERT INTO `lang_definitions` VALUES (133410, 4523, 25, 'HCFA top margin in points');
INSERT INTO `lang_definitions` VALUES (133411, 4524, 25, 'HCPCS Procedure/Service');
INSERT INTO `lang_definitions` VALUES (133412, 4527, 25, 'he PostCalendar');
INSERT INTO `lang_definitions` VALUES (133413, 4528, 25, 'Cap');
INSERT INTO `lang_definitions` VALUES (133414, 4529, 25, 'Circumferinta capului');
INSERT INTO `lang_definitions` VALUES (133415, 4530, 25, 'Circumferinta capului');
INSERT INTO `lang_definitions` VALUES (133416, 4531, 25, 'Durere de cap');
INSERT INTO `lang_definitions` VALUES (133417, 4532, 25, 'Dureri de cap');
INSERT INTO `lang_definitions` VALUES (133418, 4534, 25, 'proceduri de ingrijirea sanatatii');
INSERT INTO `lang_definitions` VALUES (133419, 4535, 25, 'Proceduri de Ingrijirea Sanatatii');
INSERT INTO `lang_definitions` VALUES (133420, 4537, 25, 'Centru de sanatate/clinica');
INSERT INTO `lang_definitions` VALUES (133421, 4540, 25, 'Organizatie de mentenanta sanatatii (HMO)');
INSERT INTO `lang_definitions` VALUES (133422, 4541, 25, 'Organizatie de mentenanta sanatatii (HMO) Medicare Risk');
INSERT INTO `lang_definitions` VALUES (133423, 4542, 25, 'Pierderea auzului');
INSERT INTO `lang_definitions` VALUES (133424, 4543, 25, 'Atac de inima');
INSERT INTO `lang_definitions` VALUES (133425, 4544, 25, 'Boala de inima');
INSERT INTO `lang_definitions` VALUES (133426, 4545, 25, 'Stop cardiac');
INSERT INTO `lang_definitions` VALUES (133427, 4546, 25, 'Problema cu inima');
INSERT INTO `lang_definitions` VALUES (133428, 4547, 25, 'Probleme cu inima');
INSERT INTO `lang_definitions` VALUES (133429, 4548, 25, 'Operatie pe cord');
INSERT INTO `lang_definitions` VALUES (133430, 4549, 25, 'Transplant de cord');
INSERT INTO `lang_definitions` VALUES (133431, 4550, 25, 'INIMA:');
INSERT INTO `lang_definitions` VALUES (133432, 4551, 25, 'Heartburn');
INSERT INTO `lang_definitions` VALUES (133433, 4552, 25, 'Fierbinte sau rece');
INSERT INTO `lang_definitions` VALUES (133434, 4553, 25, 'Fierbinte sau rece');
INSERT INTO `lang_definitions` VALUES (133435, 4554, 25, 'Fumator inrait');
INSERT INTO `lang_definitions` VALUES (133436, 4555, 25, 'Ebraica');
INSERT INTO `lang_definitions` VALUES (133437, 4556, 25, 'Ebraica varianta moderna');
INSERT INTO `lang_definitions` VALUES (133438, 4557, 25, 'HEENT');
INSERT INTO `lang_definitions` VALUES (133439, 4558, 25, 'Inaltime');
INSERT INTO `lang_definitions` VALUES (133440, 4559, 25, 'Inaltime/Lungime');
INSERT INTO `lang_definitions` VALUES (133441, 4560, 25, 'Ajutor');
INSERT INTO `lang_definitions` VALUES (133442, 4561, 25, 'ajutor');
INSERT INTO `lang_definitions` VALUES (133443, 4563, 25, 'Hematemeza');
INSERT INTO `lang_definitions` VALUES (133444, 4564, 25, 'Hematochezia');
INSERT INTO `lang_definitions` VALUES (133445, 4565, 25, 'Hematologic');
INSERT INTO `lang_definitions` VALUES (133446, 4566, 25, 'Hematuria');
INSERT INTO `lang_definitions` VALUES (133447, 4567, 25, 'Hemoglobina');
INSERT INTO `lang_definitions` VALUES (133448, 4568, 25, 'Hemoglobina A1C');
INSERT INTO `lang_definitions` VALUES (133449, 4569, 25, 'hemoptizii');
INSERT INTO `lang_definitions` VALUES (133450, 4570, 25, 'Hepatita');
INSERT INTO `lang_definitions` VALUES (133451, 4571, 25, 'Hepatita A1');
INSERT INTO `lang_definitions` VALUES (133452, 4572, 25, 'Hepatita A2');
INSERT INTO `lang_definitions` VALUES (133453, 4573, 25, 'Hepatita B1');
INSERT INTO `lang_definitions` VALUES (133454, 4574, 25, 'Hepatita B2');
INSERT INTO `lang_definitions` VALUES (133455, 4575, 25, 'Hepatita B3');
INSERT INTO `lang_definitions` VALUES (133456, 4576, 25, 'aici');
INSERT INTO `lang_definitions` VALUES (133457, 4579, 25, 'Herero');
INSERT INTO `lang_definitions` VALUES (133458, 4580, 25, 'Tratarea Herniei');
INSERT INTO `lang_definitions` VALUES (133459, 4581, 25, 'Hernie de disc');
INSERT INTO `lang_definitions` VALUES (133460, 4582, 25, 'Herpes');
INSERT INTO `lang_definitions` VALUES (133461, 4583, 25, 'Hertel Exophthalmometry');
INSERT INTO `lang_definitions` VALUES (133462, 4584, 25, 'HERT{{Hertel exophthalmometry}}');
INSERT INTO `lang_definitions` VALUES (133463, 4585, 25, 'Ezitare');
INSERT INTO `lang_definitions` VALUES (133464, 4586, 25, 'heyyo. you have been here for');
INSERT INTO `lang_definitions` VALUES (133465, 4587, 25, 'Hib 1');
INSERT INTO `lang_definitions` VALUES (133466, 4588, 25, 'Hib 2');
INSERT INTO `lang_definitions` VALUES (133467, 4589, 25, 'Hib 3');
INSERT INTO `lang_definitions` VALUES (133468, 4590, 25, 'Hib 4');
INSERT INTO `lang_definitions` VALUES (133469, 4591, 25, 'Ascuns');
INSERT INTO `lang_definitions` VALUES (133470, 4592, 25, 'Administrarea Evenimentelor Ascunse');
INSERT INTO `lang_definitions` VALUES (133471, 4593, 25, 'Ascunde');
INSERT INTO `lang_definitions` VALUES (133472, 4594, 25, 'Ascundeți widgetul de Facturare');
INSERT INTO `lang_definitions` VALUES (133473, 4595, 25, 'Ascunde detalii');
INSERT INTO `lang_definitions` VALUES (133474, 4596, 25, 'Ascunde Log-urile de E-sign Goale din Raport');
INSERT INTO `lang_definitions` VALUES (133475, 4597, 25, 'Ascunde Optiunile de Criptare/Decriptare in Managerul de Documente');
INSERT INTO `lang_definitions` VALUES (133476, 4599, 25, 'Ascunde meniul');
INSERT INTO `lang_definitions` VALUES (133477, 4600, 25, 'Ascunde optiunea de tiparire');
INSERT INTO `lang_definitions` VALUES (133478, 4601, 25, 'Ascunde Mementouri');
INSERT INTO `lang_definitions` VALUES (133479, 4603, 25, 'Ascunde/Arata Coloanele');
INSERT INTO `lang_definitions` VALUES (133480, 4604, 25, 'Hypoxic Ischemic Encephalopathy (HIE)');
INSERT INTO `lang_definitions` VALUES (133481, 4605, 25, 'Inalt');
INSERT INTO `lang_definitions` VALUES (133482, 4607, 25, 'Presiune Ridicata a Sangelui');
INSERT INTO `lang_definitions` VALUES (133483, 4609, 25, 'Hindi');
INSERT INTO `lang_definitions` VALUES (133484, 4610, 25, 'Sold+inghinale');
INSERT INTO `lang_definitions` VALUES (133485, 4611, 25, 'Sold si inghinale');
INSERT INTO `lang_definitions` VALUES (133486, 4612, 25, 'Probleme la sold');
INSERT INTO `lang_definitions` VALUES (133487, 4613, 25, 'Inlocuirea soldului');
INSERT INTO `lang_definitions` VALUES (133488, 4615, 25, 'Observatie HIPAA Primita');
INSERT INTO `lang_definitions` VALUES (133489, 4616, 25, 'Hiri Motu');
INSERT INTO `lang_definitions` VALUES (133490, 4617, 25, 'Hirsutism/Striae');
INSERT INTO `lang_definitions` VALUES (133491, 4618, 25, 'Hispanic');
INSERT INTO `lang_definitions` VALUES (133492, 4619, 25, 'Hispanic - Altele (Nascut in US)');
INSERT INTO `lang_definitions` VALUES (133493, 4620, 25, 'Hispanic - Altele (Nascut in afara US)');
INSERT INTO `lang_definitions` VALUES (133494, 4621, 25, 'Hispanic sau Latino');
INSERT INTO `lang_definitions` VALUES (133495, 4622, 25, 'Informatii istorice  - sursa nespecificata');
INSERT INTO `lang_definitions` VALUES (133496, 4623, 25, 'Istoric');
INSERT INTO `lang_definitions` VALUES (133497, 4629, 25, 'Date istorice');
INSERT INTO `lang_definitions` VALUES (133498, 4630, 25, 'Date istorice');
INSERT INTO `lang_definitions` VALUES (133499, 4631, 25, 'Campuri istorice');
INSERT INTO `lang_definitions` VALUES (133500, 4632, 25, 'Istoric - Murmur');
INSERT INTO `lang_definitions` VALUES (133501, 4633, 25, 'Istoric neautorizat');
INSERT INTO `lang_definitions` VALUES (133502, 4634, 25, 'Istoric al Heat Murmur');
INSERT INTO `lang_definitions` VALUES (133503, 4635, 25, 'Istoricul bolilor prezente: A detailed HPI (History of Present Illness) may be completed by using either four or more HPI elements OR the status of three chronic or inactive problems.');
INSERT INTO `lang_definitions` VALUES (133504, 4637, 25, 'Numar de ordine');
INSERT INTO `lang_definitions` VALUES (133505, 4638, 25, 'Numar de accesari');
INSERT INTO `lang_definitions` VALUES (133506, 4639, 25, 'HIV');
INSERT INTO `lang_definitions` VALUES (133507, 4640, 25, 'Urticarie');
INSERT INTO `lang_definitions` VALUES (133508, 4641, 25, 'HL7 standard');
INSERT INTO `lang_definitions` VALUES (133509, 4647, 25, 'HL7 cod');
INSERT INTO `lang_definitions` VALUES (133510, 4649, 25, 'HL7 Viewer');
INSERT INTO `lang_definitions` VALUES (133511, 4650, 25, 'HL7-V3 Concept Code');
INSERT INTO `lang_definitions` VALUES (133512, 4651, 25, 'HMOL/L');
INSERT INTO `lang_definitions` VALUES (133513, 4652, 25, 'Hmong');
INSERT INTO `lang_definitions` VALUES (133514, 4653, 25, 'Tineti apasata tasta CTRL pentru selectii multiple sau deselectare');
INSERT INTO `lang_definitions` VALUES (133515, 4655, 25, 'Tineti apasata tasta CTRL pentru selectii multiple');
INSERT INTO `lang_definitions` VALUES (133516, 4656, 25, 'Tineti apasata tasta CTRL pentru selectii multiple');
INSERT INTO `lang_definitions` VALUES (133517, 4657, 25, 'Managementul concediilor');
INSERT INTO `lang_definitions` VALUES (133518, 4658, 25, 'Acasa');
INSERT INTO `lang_definitions` VALUES (133519, 4659, 25, 'Telefon acasa');
INSERT INTO `lang_definitions` VALUES (133520, 4660, 25, 'Numarul de telefon de acasa');
INSERT INTO `lang_definitions` VALUES (133521, 4662, 25, 'Fara casa sau similar?');
INSERT INTO `lang_definitions` VALUES (133522, 4663, 25, 'Adapost');
INSERT INTO `lang_definitions` VALUES (133523, 4664, 25, 'Fara casa, etc');
INSERT INTO `lang_definitions` VALUES (133524, 4665, 25, 'Fara casa, etc.');
INSERT INTO `lang_definitions` VALUES (133525, 4666, 25, 'Hooks');
INSERT INTO `lang_definitions` VALUES (133526, 4667, 25, 'Horiz Base{{abbreviation for Horizontal Prism Base}}');
INSERT INTO `lang_definitions` VALUES (133527, 4668, 25, 'Horiz Prism{{abbreviation for Horizontal Prism Power}}');
INSERT INTO `lang_definitions` VALUES (133528, 4669, 25, 'Horizontal Prism Base');
INSERT INTO `lang_definitions` VALUES (133529, 4670, 25, 'Horizontal Prism Power');
INSERT INTO `lang_definitions` VALUES (133530, 4671, 25, 'Azil');
INSERT INTO `lang_definitions` VALUES (133531, 4674, 25, 'Numele gazdei');
INSERT INTO `lang_definitions` VALUES (133532, 4675, 25, 'Trebuie completat numele gazdei');
INSERT INTO `lang_definitions` VALUES (133533, 4676, 25, 'ora');
INSERT INTO `lang_definitions` VALUES (133534, 4677, 25, 'Ora');
INSERT INTO `lang_definitions` VALUES (133535, 4678, 25, 'Ore');
INSERT INTO `lang_definitions` VALUES (133536, 4679, 25, 'ore');
INSERT INTO `lang_definitions` VALUES (133537, 4680, 25, 'Cat de grav este? 0-10, usor, moderat, sever?');
INSERT INTO `lang_definitions` VALUES (133538, 4681, 25, 'Cum s-a intamplat accidentarea?');
INSERT INTO `lang_definitions` VALUES (133539, 4682, 25, 'Cum s-a intamplat accidentarea?');
INSERT INTO `lang_definitions` VALUES (133540, 4683, 25, 'Cum ati aflat despre noi?');
INSERT INTO `lang_definitions` VALUES (133541, 4684, 25, 'Cat de mult tine?');
INSERT INTO `lang_definitions` VALUES (133542, 4685, 25, 'Cu cate luni inainte sa ma interesez de evenimentele viitoare?');
INSERT INTO `lang_definitions` VALUES (133543, 4687, 25, 'Cum sortez liste de tip drop');
INSERT INTO `lang_definitions` VALUES (133544, 4688, 25, 'Cum construiesc Impresia/ Planul');
INSERT INTO `lang_definitions` VALUES (133545, 4690, 25, 'HPI (History of Present Illness)');
INSERT INTO `lang_definitions` VALUES (133546, 4691, 25, 'Elemente HPI (History of Present Illness)');
INSERT INTO `lang_definitions` VALUES (133547, 4692, 25, 'HPI (History of Present Illness):');
INSERT INTO `lang_definitions` VALUES (133548, 4693, 25, 'HP{{abbreviation for Horizontal Prism Power}}');
INSERT INTO `lang_definitions` VALUES (133549, 4694, 25, 'HT');
INSERT INTO `lang_definitions` VALUES (133550, 4695, 25, 'HTML');
INSERT INTO `lang_definitions` VALUES (133551, 4696, 25, 'Iesire HTML?');
INSERT INTO `lang_definitions` VALUES (133552, 4697, 25, 'HTN{{hypertension}}');
INSERT INTO `lang_definitions` VALUES (133553, 4699, 25, 'Https link for the OpenEMR Support LLC Lab Exchange Service.');
INSERT INTO `lang_definitions` VALUES (133554, 4700, 25, 'HT{{hyperphoria}}');
INSERT INTO `lang_definitions` VALUES (133555, 4701, 25, 'Ungar');
INSERT INTO `lang_definitions` VALUES (133556, 4702, 25, 'Director Hylafax');
INSERT INTO `lang_definitions` VALUES (133557, 4703, 25, 'Comanda Hylafax Enscript');
INSERT INTO `lang_definitions` VALUES (133558, 4704, 25, 'Server Hylafax');
INSERT INTO `lang_definitions` VALUES (133559, 4705, 25, 'Hylafax server hostname.');
INSERT INTO `lang_definitions` VALUES (133560, 4706, 25, 'Hiperactiv');
INSERT INTO `lang_definitions` VALUES (133561, 4707, 25, 'Hyperphoria');
INSERT INTO `lang_definitions` VALUES (133562, 4708, 25, 'Hipertensiune');
INSERT INTO `lang_definitions` VALUES (133563, 4709, 25, 'Hipertensiune: Blood Pressure Measurement');
INSERT INTO `lang_definitions` VALUES (133564, 4710, 25, 'Hipertensiune: Blood Pressure Measurement (CQM)');
INSERT INTO `lang_definitions` VALUES (133565, 4711, 25, 'Hipertiroidism');
INSERT INTO `lang_definitions` VALUES (133566, 4712, 25, 'hypo(T){{intermittent hypotropia}}');
INSERT INTO `lang_definitions` VALUES (133567, 4713, 25, 'Hipotiroidism');
INSERT INTO `lang_definitions` VALUES (133568, 4714, 25, 'Hypotropia');
INSERT INTO `lang_definitions` VALUES (133569, 4715, 25, 'hypoT{{hypotropia}}');
INSERT INTO `lang_definitions` VALUES (133570, 4716, 25, 'Histerectomia');
INSERT INTO `lang_definitions` VALUES (133571, 4717, 25, 'Eu');
INSERT INTO `lang_definitions` VALUES (133572, 4718, 25, 'Sunt ocupat in acest timp.');
INSERT INTO `lang_definitions` VALUES (133573, 4719, 25, 'Nu am permisiunea sa citesc');
INSERT INTO `lang_definitions` VALUES (133574, 4724, 25, 'ICD');
INSERT INTO `lang_definitions` VALUES (133575, 4725, 25, 'ICD10 Diagnosis');
INSERT INTO `lang_definitions` VALUES (133576, 4726, 25, 'ICD10 Procedure/Service');
INSERT INTO `lang_definitions` VALUES (133577, 4727, 25, 'ICD9');
INSERT INTO `lang_definitions` VALUES (133578, 4728, 25, 'ICD9 Diagnosis');
INSERT INTO `lang_definitions` VALUES (133579, 4729, 25, 'ICD9 Procedure/Service');
INSERT INTO `lang_definitions` VALUES (133580, 4730, 25, 'Islandic');
INSERT INTO `lang_definitions` VALUES (133581, 4731, 25, 'pictograma');
INSERT INTO `lang_definitions` VALUES (133582, 4734, 25, 'ID');
INSERT INTO `lang_definitions` VALUES (133583, 4736, 25, 'Id');
INSERT INTO `lang_definitions` VALUES (133584, 4738, 25, 'Trebuie completat ID-ul');
INSERT INTO `lang_definitions` VALUES (133585, 4739, 25, 'ID-ul cardului');
INSERT INTO `lang_definitions` VALUES (133586, 4742, 25, 'IDays');
INSERT INTO `lang_definitions` VALUES (133587, 4743, 25, 'identificat ca');
INSERT INTO `lang_definitions` VALUES (133588, 4745, 25, 'Identificator (un cuvant)');
INSERT INTO `lang_definitions` VALUES (133589, 4746, 25, 'Cod de identificare');
INSERT INTO `lang_definitions` VALUES (133590, 4747, 25, 'Idle Session Timeout Seconds');
INSERT INTO `lang_definitions` VALUES (133591, 4748, 25, 'Ido');
INSERT INTO `lang_definitions` VALUES (133592, 4755, 25, 'Daca toate datele pentru toate coloanele ale acestui formular sunt completate');
INSERT INTO `lang_definitions` VALUES (133593, 4757, 25, 'Dacă se utilizează o justificare a facturării, introduceți numele tipului de cod de diagnoză.');
INSERT INTO `lang_definitions` VALUES (133594, 4763, 25, 'Dacă ați introdus, selectați numai pe cei care au avut acest serviciu');
INSERT INTO `lang_definitions` VALUES (133595, 4765, 25, 'În cazul în care numele, prenumele sau orice parte din nume sau prenume');
INSERT INTO `lang_definitions` VALUES (133596, 4770, 25, 'Daca platiti prin');
INSERT INTO `lang_definitions` VALUES (133597, 4771, 25, 'Dacă persoana este decedată, introduceți data decesului.');
INSERT INTO `lang_definitions` VALUES (133598, 4775, 25, 'Daca se utilizeaza SMTP, hostname-ul serverului sau adresa IP.');
INSERT INTO `lang_definitions` VALUES (133599, 4776, 25, 'Daca se utilizeaza SMTP, numarul portului pentru TCP (de obicei 25).');
INSERT INTO `lang_definitions` VALUES (133600, 4782, 25, 'Daca s-a incarcat fisierul csv, executati click pe butonul \"Importa planificari concedii\". Aceasta actiune va sterge toate randurile existente in tabela calendar_external');
INSERT INTO `lang_definitions` VALUES (133601, 4803, 25, 'if unemployed enter Student');
INSERT INTO `lang_definitions` VALUES (133602, 4805, 25, 'Daca YMD este bifat pentru afisarea varstei, schimba in ANI cand sunt pacienti mai in varsta decat valoarea in ani');
INSERT INTO `lang_definitions` VALUES (133603, 4814, 25, 'Schimbarea e-RX Role pentru ePrescription poate afecta fluxul ePresciprtion. Pentru orice dificultate, contactati furnizorul ePresciption.');
INSERT INTO `lang_definitions` VALUES (133604, 4824, 25, 'Dacă nu selectați o potrivire, pacientul va fi creat.');
INSERT INTO `lang_definitions` VALUES (133605, 4831, 25, 'Dacă ați completat deja tabelul calendar_external, faceți clic pe butonul \"Sincronizare\" pentru a avea concediile în vizualizarea calendar. Rețineți că apăsarea butonului va elimina toate elementele existente din vizualizarea calendaristică legată de concedii.');
INSERT INTO `lang_definitions` VALUES (133606, 4833, 25, 'If you have chosen to upload electronic remittances, then the search window redisplays itself with the matching invoices from the X12 file.  You may click on any of these invoice numbers (as described below) if you wish to make any corrections before the remittance information is applied. To apply the changes, click the Process ERA File button at the bottom of the page.  This will produce a new window with a detailed report.');
INSERT INTO `lang_definitions` VALUES (133607, 4836, 25, 'If you have entered a Pay Date in the search page, this will override the posting date of payments and adjustments that are otherwise taken from the X12 file.  This may be useful for reporting purposes, if you want your receipts reporting to use your posting date rather than the insurance company\'s processing date.  Note that this will also affect dates of prior payments and adjustments that are put into secondary claims.');
INSERT INTO `lang_definitions` VALUES (133608, 4846, 25, 'Dacă ați făcut modificări și doriți să le trimiteți din nou, ștergeți originalul (în Comunicații) și încercați din nou.');
INSERT INTO `lang_definitions` VALUES (133609, 4850, 25, 'Dacă doriți să modificați tipurile de date sau să adăugați rânduri sau coloane');
INSERT INTO `lang_definitions` VALUES (133610, 4851, 25, 'Dacă doriți să faceți upgrade la baza de date, plasați fișierul zip în directorul următor');
INSERT INTO `lang_definitions` VALUES (133611, 4853, 25, 'Igbo');
INSERT INTO `lang_definitions` VALUES (133612, 4854, 25, 'Ignora');
INSERT INTO `lang_definitions` VALUES (133613, 4855, 25, 'Codul IIS');
INSERT INTO `lang_definitions` VALUES (133614, 4856, 25, 'Boala');
INSERT INTO `lang_definitions` VALUES (133615, 4857, 25, 'IM');
INSERT INTO `lang_definitions` VALUES (133616, 4858, 25, 'Image canvas');
INSERT INTO `lang_definitions` VALUES (133617, 4859, 25, 'Rezultate imaginii');
INSERT INTO `lang_definitions` VALUES (133618, 4860, 25, 'Imagini');
INSERT INTO `lang_definitions` VALUES (133619, 4861, 25, 'Imagistica');
INSERT INTO `lang_definitions` VALUES (133620, 4863, 25, 'Serviciul de imagistica');
INSERT INTO `lang_definitions` VALUES (133621, 4864, 25, 'Sistem imunitar');
INSERT INTO `lang_definitions` VALUES (133622, 4865, 25, 'Imunizare');
INSERT INTO `lang_definitions` VALUES (133623, 4866, 25, 'Locatie administrativa pentru imunizare');
INSERT INTO `lang_definitions` VALUES (133624, 4867, 25, 'Cod de imunizare');
INSERT INTO `lang_definitions` VALUES (133625, 4868, 25, 'Stadiul de finalizare a imunizarii');
INSERT INTO `lang_definitions` VALUES (133626, 4869, 25, 'Data imunizarii');
INSERT INTO `lang_definitions` VALUES (133627, 4870, 25, 'Data de expirare a imunizarii');
INSERT INTO `lang_definitions` VALUES (133628, 4871, 25, 'Sursa de informare a imunizarii');
INSERT INTO `lang_definitions` VALUES (133629, 4872, 25, 'Numarul lotului de imunizare');
INSERT INTO `lang_definitions` VALUES (133630, 4873, 25, 'Imunizare producator');
INSERT INTO `lang_definitions` VALUES (133631, 4874, 25, 'Criterii de observare a imunizarii');
INSERT INTO `lang_definitions` VALUES (133632, 4875, 25, 'Rezultatele observarii imunizarii');
INSERT INTO `lang_definitions` VALUES (133633, 4876, 25, 'Furnizor de comenzi pentru imunizare');
INSERT INTO `lang_definitions` VALUES (133634, 4877, 25, 'Motivul refuzarii imunizarii');
INSERT INTO `lang_definitions` VALUES (133635, 4878, 25, 'Registrul de imunizare');
INSERT INTO `lang_definitions` VALUES (133636, 4879, 25, 'Starea registrului de imunizare');
INSERT INTO `lang_definitions` VALUES (133637, 4880, 25, 'Data de intrare în vigoare a Registrului Imunizării');
INSERT INTO `lang_definitions` VALUES (133638, 4881, 25, 'Raport de imunizare');
INSERT INTO `lang_definitions` VALUES (133639, 4882, 25, 'Serviciu de imunizare');
INSERT INTO `lang_definitions` VALUES (133640, 4883, 25, 'Titlul imunizarii');
INSERT INTO `lang_definitions` VALUES (133641, 4884, 25, 'Rezultatele eligibilitatii vaccinului de imunizare');
INSERT INTO `lang_definitions` VALUES (133642, 4885, 25, 'Imunizari');
INSERT INTO `lang_definitions` VALUES (133643, 4887, 25, 'A imuniza');
INSERT INTO `lang_definitions` VALUES (133644, 4888, 25, 'Imunologic');
INSERT INTO `lang_definitions` VALUES (133645, 4889, 25, 'Immuno{{immunologic}}');
INSERT INTO `lang_definitions` VALUES (133646, 4890, 25, 'IMMUNO{{Immunology/Rheumatology}}');
INSERT INTO `lang_definitions` VALUES (133647, 4893, 25, 'Implanturi');
INSERT INTO `lang_definitions` VALUES (133648, 4894, 25, 'Import');
INSERT INTO `lang_definitions` VALUES (133649, 4895, 25, 'Import Tot');
INSERT INTO `lang_definitions` VALUES (133650, 4896, 25, 'Import CCDA');
INSERT INTO `lang_definitions` VALUES (133651, 4897, 25, 'Import CCR');
INSERT INTO `lang_definitions` VALUES (133652, 4898, 25, 'Importa certificatul in browser.');
INSERT INTO `lang_definitions` VALUES (133653, 4899, 25, 'Import configurare');
INSERT INTO `lang_definitions` VALUES (133654, 4900, 25, 'Import amanat pentru time-to-live');
INSERT INTO `lang_definitions` VALUES (133655, 4902, 25, 'Importa planificari concedii');
INSERT INTO `lang_definitions` VALUES (133656, 4903, 25, 'Import sarbatori/concedii');
INSERT INTO `lang_definitions` VALUES (133657, 4904, 25, 'Import pacient');
INSERT INTO `lang_definitions` VALUES (133658, 4905, 25, 'Import date demografice pacient');
INSERT INTO `lang_definitions` VALUES (133659, 4910, 25, 'Coduri importante');
INSERT INTO `lang_definitions` VALUES (133660, 4912, 25, 'IMPORTANT: Aceasta unealta de upload este doar pentru incarcarea documentelor referitoare la pacienti care nu sunt INCA introdusi in sistem. Pentru incarcarea de fisiere pentru pacienti care sunt deja introdusi in sistem, utilizati unealta din ecranul Rezumat Pacient.');
INSERT INTO `lang_definitions` VALUES (133661, 4913, 25, 'Alergii importate');
INSERT INTO `lang_definitions` VALUES (133662, 4914, 25, 'Importat din contabilitate');
INSERT INTO `lang_definitions` VALUES (133663, 4915, 25, 'Medicatie importata');
INSERT INTO `lang_definitions` VALUES (133664, 4916, 25, 'Probleme importate');
INSERT INTO `lang_definitions` VALUES (133665, 4918, 25, 'Impresie/Plan');
INSERT INTO `lang_definitions` VALUES (133666, 4919, 25, 'Constructor Impresie/Plan');
INSERT INTO `lang_definitions` VALUES (133667, 4920, 25, 'Imbunatatit');
INSERT INTO `lang_definitions` VALUES (133668, 4921, 25, 'IMP{{impression}}');
INSERT INTO `lang_definitions` VALUES (133669, 4922, 25, 'in');
INSERT INTO `lang_definitions` VALUES (133670, 4923, 25, 'IN');
INSERT INTO `lang_definitions` VALUES (133671, 4931, 25, 'in fiecare ochi');
INSERT INTO `lang_definitions` VALUES (133672, 4932, 25, 'in camera de examinare');
INSERT INTO `lang_definitions` VALUES (133673, 4934, 25, 'in ochiul stang');
INSERT INTO `lang_definitions` VALUES (133674, 4935, 25, 'in nari');
INSERT INTO `lang_definitions` VALUES (133675, 4936, 25, 'in Birou');
INSERT INTO `lang_definitions` VALUES (133676, 4947, 25, 'in ochiul drept');
INSERT INTO `lang_definitions` VALUES (133677, 4952, 25, 'In cuvintele pacientului');
INSERT INTO `lang_definitions` VALUES (133678, 4958, 25, 'in-casa');
INSERT INTO `lang_definitions` VALUES (133679, 4960, 25, 'Inactiv');
INSERT INTO `lang_definitions` VALUES (133680, 4961, 25, 'Inactiv- Pierdut follow-up');
INSERT INTO `lang_definitions` VALUES (133681, 4962, 25, 'Inactiv - Mutat in alt loc');
INSERT INTO `lang_definitions` VALUES (133682, 4963, 25, 'Inactiv - Inactiv permanent');
INSERT INTO `lang_definitions` VALUES (133683, 4964, 25, 'Inactiv - Nespecfificat');
INSERT INTO `lang_definitions` VALUES (133684, 4965, 25, 'Zile inactive');
INSERT INTO `lang_definitions` VALUES (133685, 4967, 25, 'Inbox');
INSERT INTO `lang_definitions` VALUES (133686, 4968, 25, 'INCITS Code');
INSERT INTO `lang_definitions` VALUES (133687, 4969, 25, 'Include toate valorile raportate pentru fiecare cod rezultat');
INSERT INTO `lang_definitions` VALUES (133688, 4970, 25, 'Include Checksum');
INSERT INTO `lang_definitions` VALUES (133689, 4971, 25, 'Include completat');
INSERT INTO `lang_definitions` VALUES (133690, 4974, 25, 'Include utilizatorii inactivi');
INSERT INTO `lang_definitions` VALUES (133691, 4975, 25, 'Include Uncategorized');
INSERT INTO `lang_definitions` VALUES (133692, 4976, 25, 'Include date nestructurate');
INSERT INTO `lang_definitions` VALUES (133693, 4977, 25, 'Include Vitals');
INSERT INTO `lang_definitions` VALUES (133694, 4978, 25, 'Includeti date vitale?');
INSERT INTO `lang_definitions` VALUES (133695, 4980, 25, 'including CVF{{Confrontational Visual Fields}} and Pupils');
INSERT INTO `lang_definitions` VALUES (133696, 4981, 25, 'Incluziune');
INSERT INTO `lang_definitions` VALUES (133697, 4982, 25, 'Venit');
INSERT INTO `lang_definitions` VALUES (133698, 4983, 25, 'Rezultatele care vin necesita atentie');
INSERT INTO `lang_definitions` VALUES (133699, 4984, 25, 'Incomplet');
INSERT INTO `lang_definitions` VALUES (133700, 4985, 25, 'Tratament de avort imcomplet');
INSERT INTO `lang_definitions` VALUES (133701, 4986, 25, 'Incontinenta');
INSERT INTO `lang_definitions` VALUES (133702, 4987, 25, 'Integreaza rezultatele de laborator in tehnologia EHR ca date structurate');
INSERT INTO `lang_definitions` VALUES (133703, 4988, 25, 'Incorrect password!');
INSERT INTO `lang_definitions` VALUES (133704, 4990, 25, 'scazut:');
INSERT INTO `lang_definitions` VALUES (133705, 4991, 25, 'Indemnizatie de asigurare');
INSERT INTO `lang_definitions` VALUES (133706, 4992, 25, 'Clinica particulara');
INSERT INTO `lang_definitions` VALUES (133707, 4993, 25, 'Laborator independent');
INSERT INTO `lang_definitions` VALUES (133708, 4994, 25, 'Nedeterminat');
INSERT INTO `lang_definitions` VALUES (133709, 4995, 25, 'Indian');
INSERT INTO `lang_definitions` VALUES (133710, 4996, 25, 'Indian Health Service Free-standing Facility');
INSERT INTO `lang_definitions` VALUES (133711, 4997, 25, 'Indian Health Service Provider-based Facility');
INSERT INTO `lang_definitions` VALUES (133712, 4998, 25, 'Indica anormalitate');
INSERT INTO `lang_definitions` VALUES (133713, 4999, 25, 'Indica daca aceasta problema este o medicatie oftalmica specifica');
INSERT INTO `lang_definitions` VALUES (133714, 5000, 25, 'Indica daca aceasta problema este activa');
INSERT INTO `lang_definitions` VALUES (133715, 5001, 25, 'Indicatii');
INSERT INTO `lang_definitions` VALUES (133716, 5002, 25, 'Indicator pentru utilizare specializata');
INSERT INTO `lang_definitions` VALUES (133717, 5003, 25, 'Pacienti nevoiasi');
INSERT INTO `lang_definitions` VALUES (133718, 5004, 25, 'Raport pacienti nevoiasi');
INSERT INTO `lang_definitions` VALUES (133719, 5005, 25, 'Nevoiasi');
INSERT INTO `lang_definitions` VALUES (133720, 5007, 25, 'Individual pages can override 2nd and 3rd options by implementing a log message.');
INSERT INTO `lang_definitions` VALUES (133721, 5009, 25, 'Indonesian');
INSERT INTO `lang_definitions` VALUES (133722, 5010, 25, 'Avort indus');
INSERT INTO `lang_definitions` VALUES (133723, 5011, 25, 'Industrie');
INSERT INTO `lang_definitions` VALUES (133724, 5012, 25, 'Neeligibil');
INSERT INTO `lang_definitions` VALUES (133725, 5013, 25, 'Infectie/Abces');
INSERT INTO `lang_definitions` VALUES (133726, 5014, 25, 'Infectii');
INSERT INTO `lang_definitions` VALUES (133727, 5015, 25, 'Consiliere infertilitate');
INSERT INTO `lang_definitions` VALUES (133728, 5016, 25, 'Infertilitate');
INSERT INTO `lang_definitions` VALUES (133729, 5017, 25, 'Gripa 1');
INSERT INTO `lang_definitions` VALUES (133730, 5018, 25, 'Gripa 2');
INSERT INTO `lang_definitions` VALUES (133731, 5019, 25, 'Imunizarea Gripa pentru pacientii> = 50 Ani');
INSERT INTO `lang_definitions` VALUES (133732, 5020, 25, 'Imunizarea Gripa pentru pacientii> = 50 Ani (CQM)');
INSERT INTO `lang_definitions` VALUES (133733, 5021, 25, 'Imunizare vaccin');
INSERT INTO `lang_definitions` VALUES (133734, 5022, 25, 'Info');
INSERT INTO `lang_definitions` VALUES (133735, 5023, 25, 'Info test 1');
INSERT INTO `lang_definitions` VALUES (133736, 5024, 25, 'Info test 2');
INSERT INTO `lang_definitions` VALUES (133737, 5025, 25, 'Info test 3');
INSERT INTO `lang_definitions` VALUES (133738, 5026, 25, 'Info test 4');
INSERT INTO `lang_definitions` VALUES (133739, 5027, 25, 'Info test 5');
INSERT INTO `lang_definitions` VALUES (133740, 5028, 25, 'Info test 6');
INSERT INTO `lang_definitions` VALUES (133741, 5029, 25, 'Informator');
INSERT INTO `lang_definitions` VALUES (133742, 5032, 25, 'Sursa de informatii');
INSERT INTO `lang_definitions` VALUES (133743, 5033, 25, 'inf{{inferior}}');
INSERT INTO `lang_definitions` VALUES (133744, 5034, 25, 'Inhalatii');
INSERT INTO `lang_definitions` VALUES (133745, 5036, 25, 'inhalari');
INSERT INTO `lang_definitions` VALUES (133746, 5037, 25, 'Populatie initiala de pacienti');
INSERT INTO `lang_definitions` VALUES (133747, 5038, 25, 'Tratamanent initial');
INSERT INTO `lang_definitions` VALUES (133748, 5039, 25, 'Utilizator initial');
INSERT INTO `lang_definitions` VALUES (133749, 5041, 25, 'Inj/Reabilitare');
INSERT INTO `lang_definitions` VALUES (133750, 5042, 25, 'Injectabil');
INSERT INTO `lang_definitions` VALUES (133751, 5043, 25, 'Injectie');
INSERT INTO `lang_definitions` VALUES (133752, 5044, 25, 'Parte a corpului vatamata');
INSERT INTO `lang_definitions` VALUES (133753, 5045, 25, 'Ranit');
INSERT INTO `lang_definitions` VALUES (133754, 5046, 25, 'Rana');
INSERT INTO `lang_definitions` VALUES (133755, 5047, 25, 'Mecanism de ranire');
INSERT INTO `lang_definitions` VALUES (133756, 5048, 25, 'Raport  general de ranire');
INSERT INTO `lang_definitions` VALUES (133757, 5049, 25, 'Supravegherea ranii');
INSERT INTO `lang_definitions` VALUES (133758, 5050, 25, 'Tip rana');
INSERT INTO `lang_definitions` VALUES (133759, 5051, 25, 'Rel la rana/boala');
INSERT INTO `lang_definitions` VALUES (133760, 5052, 25, 'Inline');
INSERT INTO `lang_definitions` VALUES (133761, 5053, 25, 'Spital cu internari');
INSERT INTO `lang_definitions` VALUES (133762, 5054, 25, 'Centru psihiatric cu internari');
INSERT INTO `lang_definitions` VALUES (133763, 5055, 25, 'Input does not begin with a MSH segment');
INSERT INTO `lang_definitions` VALUES (133764, 5056, 25, 'Input Fields');
INSERT INTO `lang_definitions` VALUES (133765, 5057, 25, 'INR');
INSERT INTO `lang_definitions` VALUES (133766, 5058, 25, 'Ins 1');
INSERT INTO `lang_definitions` VALUES (133767, 5059, 25, 'Ins 2 or Ins 3');
INSERT INTO `lang_definitions` VALUES (133768, 5060, 25, 'Ins Address');
INSERT INTO `lang_definitions` VALUES (133769, 5061, 25, 'Ins adjust');
INSERT INTO `lang_definitions` VALUES (133770, 5062, 25, 'Ins bundling');
INSERT INTO `lang_definitions` VALUES (133771, 5063, 25, 'Ins Code');
INSERT INTO `lang_definitions` VALUES (133772, 5064, 25, 'Ins Group');
INSERT INTO `lang_definitions` VALUES (133773, 5065, 25, 'Ins Name');
INSERT INTO `lang_definitions` VALUES (133774, 5066, 25, 'Ins overpaid');
INSERT INTO `lang_definitions` VALUES (133775, 5067, 25, 'Ins Policy');
INSERT INTO `lang_definitions` VALUES (133776, 5068, 25, 'Ins refund');
INSERT INTO `lang_definitions` VALUES (133777, 5069, 25, 'Ins Summary');
INSERT INTO `lang_definitions` VALUES (133778, 5070, 25, 'Ins/fin issue');
INSERT INTO `lang_definitions` VALUES (133779, 5071, 25, 'Ins1');
INSERT INTO `lang_definitions` VALUES (133780, 5072, 25, 'Ins2');
INSERT INTO `lang_definitions` VALUES (133781, 5073, 25, 'Ins3');
INSERT INTO `lang_definitions` VALUES (133782, 5074, 25, 'Insert');
INSERT INTO `lang_definitions` VALUES (133783, 5075, 25, 'Insert failed:');
INSERT INTO `lang_definitions` VALUES (133784, 5076, 25, 'Insert normals');
INSERT INTO `lang_definitions` VALUES (133785, 5077, 25, 'Insert normals - 100/100');
INSERT INTO `lang_definitions` VALUES (133786, 5078, 25, 'Insert normals - 11/11');
INSERT INTO `lang_definitions` VALUES (133787, 5079, 25, 'Insereaza evenimente vechi in tabele');
INSERT INTO `lang_definitions` VALUES (133788, 5080, 25, 'Insereaza camp special');
INSERT INTO `lang_definitions` VALUES (133789, 5085, 25, 'Insomnie');
INSERT INTO `lang_definitions` VALUES (133790, 5086, 25, 'Inspect the log');
INSERT INTO `lang_definitions` VALUES (133791, 5087, 25, 'Inspectare');
INSERT INTO `lang_definitions` VALUES (133792, 5088, 25, 'Instabilitate/ subluxatie');
INSERT INTO `lang_definitions` VALUES (133793, 5089, 25, 'INSTALL');
INSERT INTO `lang_definitions` VALUES (133794, 5090, 25, 'Install');
INSERT INTO `lang_definitions` VALUES (133795, 5092, 25, 'Install Code Set');
INSERT INTO `lang_definitions` VALUES (133796, 5093, 25, 'install DB');
INSERT INTO `lang_definitions` VALUES (133797, 5100, 25, 'Installed Release');
INSERT INTO `lang_definitions` VALUES (133798, 5102, 25, 'Instruit');
INSERT INTO `lang_definitions` VALUES (133799, 5103, 25, 'Intruire');
INSERT INTO `lang_definitions` VALUES (133800, 5104, 25, 'Instruiri');
INSERT INTO `lang_definitions` VALUES (133801, 5105, 25, 'Instruiri:');
INSERT INTO `lang_definitions` VALUES (133802, 5106, 25, 'Stoc insufieicent pentru produs');
INSERT INTO `lang_definitions` VALUES (133803, 5107, 25, 'Stoc insuficient pentru produs ID:');
INSERT INTO `lang_definitions` VALUES (133804, 5108, 25, 'Diabetul dependent de insulina');
INSERT INTO `lang_definitions` VALUES (133805, 5109, 25, 'Asigurare');
INSERT INTO `lang_definitions` VALUES (133806, 5110, 25, 'asigurare');
INSERT INTO `lang_definitions` VALUES (133807, 5112, 25, 'Ajustare asigurare');
INSERT INTO `lang_definitions` VALUES (133808, 5113, 25, 'Ajustare asigurare');
INSERT INTO `lang_definitions` VALUES (133809, 5114, 25, 'Balanta de asigurari');
INSERT INTO `lang_definitions` VALUES (133810, 5115, 25, 'Asigurarea soldului datorat');
INSERT INTO `lang_definitions` VALUES (133811, 5116, 25, 'Companie de asigurari');
INSERT INTO `lang_definitions` VALUES (133812, 5117, 25, 'Companii de asigurari');
INSERT INTO `lang_definitions` VALUES (133813, 5118, 25, 'Companie de asigurari');
INSERT INTO `lang_definitions` VALUES (133814, 5119, 25, 'Cautare/Adauga Companie de Asigurari');
INSERT INTO `lang_definitions` VALUES (133815, 5120, 25, 'Credit de asigurare');
INSERT INTO `lang_definitions` VALUES (133816, 5121, 25, 'Data asigurarii');
INSERT INTO `lang_definitions` VALUES (133817, 5124, 25, 'Informatii de asigurare in fisier');
INSERT INTO `lang_definitions` VALUES (133818, 5126, 25, 'Numere de asigurare');
INSERT INTO `lang_definitions` VALUES (133819, 5127, 25, 'Plata asigurare');
INSERT INTO `lang_definitions` VALUES (133820, 5128, 25, 'Plati asigurare');
INSERT INTO `lang_definitions` VALUES (133821, 5129, 25, 'Furnizor asigurare');
INSERT INTO `lang_definitions` VALUES (133822, 5131, 25, 'Tip asigurare');
INSERT INTO `lang_definitions` VALUES (133823, 5132, 25, 'Asigurari');
INSERT INTO `lang_definitions` VALUES (133824, 5133, 25, 'Asigurat');
INSERT INTO `lang_definitions` VALUES (133825, 5134, 25, 'Concluzie admisa');
INSERT INTO `lang_definitions` VALUES (133826, 5135, 25, 'Data admisiei');
INSERT INTO `lang_definitions` VALUES (133827, 5136, 25, 'Integers1-100');
INSERT INTO `lang_definitions` VALUES (133828, 5138, 25, 'Declin intelectual');
INSERT INTO `lang_definitions` VALUES (133829, 5139, 25, 'Distanta inter-pupilara');
INSERT INTO `lang_definitions` VALUES (133830, 5141, 25, 'Interlingua');
INSERT INTO `lang_definitions` VALUES (133831, 5142, 25, 'Interlingue');
INSERT INTO `lang_definitions` VALUES (133832, 5143, 25, 'Retardat mental/Centru de ingrijire intermediara');
INSERT INTO `lang_definitions` VALUES (133833, 5144, 25, 'Esotropie intermitenta');
INSERT INTO `lang_definitions` VALUES (133834, 5145, 25, 'Exotropie intermitenta');
INSERT INTO `lang_definitions` VALUES (133835, 5146, 25, 'hiperforie intermitenta');
INSERT INTO `lang_definitions` VALUES (133836, 5147, 25, 'hipotropie intermitenta');
INSERT INTO `lang_definitions` VALUES (133837, 5148, 25, 'Alergii interne');
INSERT INTO `lang_definitions` VALUES (133838, 5149, 25, 'Internal error - no pages were selected!');
INSERT INTO `lang_definitions` VALUES (133839, 5150, 25, 'Internal error - patient ID was not provided!');
INSERT INTO `lang_definitions` VALUES (133840, 5151, 25, 'Internal error accessing uploaded file!');
INSERT INTO `lang_definitions` VALUES (133841, 5153, 25, 'Internal error!');
INSERT INTO `lang_definitions` VALUES (133842, 5154, 25, 'Internal error, no drug ID specified!');
INSERT INTO `lang_definitions` VALUES (133843, 5155, 25, 'Internal error: Cannot find MSH-10');
INSERT INTO `lang_definitions` VALUES (133844, 5156, 25, 'Internal error: claim');
INSERT INTO `lang_definitions` VALUES (133845, 5157, 25, 'Internal error: encounter \'');
INSERT INTO `lang_definitions` VALUES (133846, 5158, 25, 'Internal error: pid or encounter is missing.');
INSERT INTO `lang_definitions` VALUES (133847, 5159, 25, 'Internal error: we do not seem to be in an encounter!');
INSERT INTO `lang_definitions` VALUES (133848, 5160, 25, 'Identificator intern (pid)');
INSERT INTO `lang_definitions` VALUES (133849, 5161, 25, 'Medicatie interna');
INSERT INTO `lang_definitions` VALUES (133850, 5162, 25, 'Probleme interne');
INSERT INTO `lang_definitions` VALUES (133851, 5163, 25, 'Referiri interne');
INSERT INTO `lang_definitions` VALUES (133852, 5164, 25, 'Internal Time Collected');
INSERT INTO `lang_definitions` VALUES (133853, 5165, 25, 'Datorie internationala');
INSERT INTO `lang_definitions` VALUES (133854, 5167, 25, 'Interpret');
INSERT INTO `lang_definitions` VALUES (133855, 5168, 25, 'Este necesar interpret?');
INSERT INTO `lang_definitions` VALUES (133856, 5169, 25, 'Boala de plaman interstitial');
INSERT INTO `lang_definitions` VALUES (133857, 5170, 25, 'Interval');
INSERT INTO `lang_definitions` VALUES (133858, 5171, 25, 'Interval (minute)');
INSERT INTO `lang_definitions` VALUES (133859, 5172, 25, 'Interval between message checks (set to zero for manual checks only)');
INSERT INTO `lang_definitions` VALUES (133860, 5173, 25, 'Interventie');
INSERT INTO `lang_definitions` VALUES (133861, 5174, 25, 'Interventie furnizata');
INSERT INTO `lang_definitions` VALUES (133862, 5175, 25, 'Intoleranta');
INSERT INTO `lang_definitions` VALUES (133863, 5176, 25, 'Intradermal');
INSERT INTO `lang_definitions` VALUES (133864, 5177, 25, 'Intramuscular');
INSERT INTO `lang_definitions` VALUES (133865, 5178, 25, 'intramuscular');
INSERT INTO `lang_definitions` VALUES (133866, 5179, 25, 'Presiune intraoculara');
INSERT INTO `lang_definitions` VALUES (133867, 5180, 25, 'Presiune intraoculara (mmHg) la data');
INSERT INTO `lang_definitions` VALUES (133868, 5181, 25, 'intravenos');
INSERT INTO `lang_definitions` VALUES (133869, 5182, 25, 'Introducere');
INSERT INTO `lang_definitions` VALUES (133870, 5183, 25, 'Inuktitut');
INSERT INTO `lang_definitions` VALUES (133871, 5184, 25, 'Inupiaq');
INSERT INTO `lang_definitions` VALUES (133872, 5185, 25, 'Invalid character in');
INSERT INTO `lang_definitions` VALUES (133873, 5191, 25, 'Invalid date range');
INSERT INTO `lang_definitions` VALUES (133874, 5192, 25, 'Invalid encapsulated data encoding type');
INSERT INTO `lang_definitions` VALUES (133875, 5195, 25, 'Invalid length for');
INSERT INTO `lang_definitions` VALUES (133876, 5196, 25, 'Invalid non-numeric character in');
INSERT INTO `lang_definitions` VALUES (133877, 5197, 25, 'Invalid or missing payer in source for code');
INSERT INTO `lang_definitions` VALUES (133878, 5199, 25, 'Invalid recipient address. Please try again.');
INSERT INTO `lang_definitions` VALUES (133879, 5200, 25, 'Coduri nevalide');
INSERT INTO `lang_definitions` VALUES (133880, 5201, 25, 'Indicarea invalida a sursei \"');
INSERT INTO `lang_definitions` VALUES (133881, 5203, 25, 'Invalid username or password');
INSERT INTO `lang_definitions` VALUES (133882, 5204, 25, 'InvAmt');
INSERT INTO `lang_definitions` VALUES (133883, 5205, 25, 'Inventar');
INSERT INTO `lang_definitions` VALUES (133884, 5206, 25, 'Activitate inventar');
INSERT INTO `lang_definitions` VALUES (133885, 5207, 25, 'Inventar si vanzare produse medicamente si ne-medicamente');
INSERT INTO `lang_definitions` VALUES (133886, 5208, 25, 'Numai inventar si vanzare medicamente');
INSERT INTO `lang_definitions` VALUES (133887, 5209, 25, 'Inventarul nu este disponibil pentru aceasta comanda');
INSERT INTO `lang_definitions` VALUES (133888, 5210, 25, 'Lista inventar');
INSERT INTO `lang_definitions` VALUES (133889, 5211, 25, 'Tranzactii inventar');
INSERT INTO `lang_definitions` VALUES (133890, 5212, 25, 'Factura');
INSERT INTO `lang_definitions` VALUES (133891, 5213, 25, 'Factura');
INSERT INTO `lang_definitions` VALUES (133892, 5215, 25, 'Balanta factura');
INSERT INTO `lang_definitions` VALUES (133893, 5216, 25, 'Invoice Balance cannot be posted. No Encounter is created.');
INSERT INTO `lang_definitions` VALUES (133894, 5217, 25, 'Data facturii');
INSERT INTO `lang_definitions` VALUES (133895, 5219, 25, 'Factura nu are data!');
INSERT INTO `lang_definitions` VALUES (133896, 5220, 25, 'Numar factura');
INSERT INTO `lang_definitions` VALUES (133897, 5221, 25, 'Numar de referinta factura');
INSERT INTO `lang_definitions` VALUES (133898, 5222, 25, 'Numere de referinte facturi');
INSERT INTO `lang_definitions` VALUES (133899, 5223, 25, 'Numere de referinte facturi');
INSERT INTO `lang_definitions` VALUES (133900, 5224, 25, 'Invoice Refno Pool');
INSERT INTO `lang_definitions` VALUES (133901, 5226, 25, 'Factura:');
INSERT INTO `lang_definitions` VALUES (133902, 5227, 25, 'IOP Chart');
INSERT INTO `lang_definitions` VALUES (133903, 5228, 25, 'IOP Dilated{{Dilated Intraocular Pressure}}');
INSERT INTO `lang_definitions` VALUES (133904, 5229, 25, 'IOP Graph');
INSERT INTO `lang_definitions` VALUES (133905, 5237, 25, 'IPPF');
INSERT INTO `lang_definitions` VALUES (133906, 5238, 25, 'IPPF Abortion');
INSERT INTO `lang_definitions` VALUES (133907, 5239, 25, 'IPPF Contraception');
INSERT INTO `lang_definitions` VALUES (133908, 5240, 25, 'IPPF SRH Data for');
INSERT INTO `lang_definitions` VALUES (133909, 5241, 25, 'IPPF Statistics Report');
INSERT INTO `lang_definitions` VALUES (133910, 5242, 25, 'IPPF Stats');
INSERT INTO `lang_definitions` VALUES (133911, 5243, 25, 'IPV 1');
INSERT INTO `lang_definitions` VALUES (133912, 5244, 25, 'IPV 2');
INSERT INTO `lang_definitions` VALUES (133913, 5245, 25, 'IPV 3');
INSERT INTO `lang_definitions` VALUES (133914, 5246, 25, 'IPV 4');
INSERT INTO `lang_definitions` VALUES (133915, 5247, 25, 'Iris');
INSERT INTO `lang_definitions` VALUES (133916, 5248, 25, 'Irish');
INSERT INTO `lang_definitions` VALUES (133917, 5249, 25, 'Batai neregulate ale inimii');
INSERT INTO `lang_definitions` VALUES (133918, 5250, 25, 'Iritabilitate');
INSERT INTO `lang_definitions` VALUES (133919, 5251, 25, 'Iritare');
INSERT INTO `lang_definitions` VALUES (133920, 5252, 25, 'is a different language version of the following database');
INSERT INTO `lang_definitions` VALUES (133921, 5253, 25, 'is a different version of the following database');
INSERT INTO `lang_definitions` VALUES (133922, 5254, 25, 'is a more recent version of the following database');
INSERT INTO `lang_definitions` VALUES (133923, 5256, 25, 'is a required field.');
INSERT INTO `lang_definitions` VALUES (133924, 5257, 25, 'is a root node and can not be deleted.');
INSERT INTO `lang_definitions` VALUES (133925, 5258, 25, 'is an extension of the following database');
INSERT INTO `lang_definitions` VALUES (133926, 5262, 25, 'Is it ok to map these CVX codes to already existent immunizations?');
INSERT INTO `lang_definitions` VALUES (133927, 5263, 25, 'is misplaced or unknown');
INSERT INTO `lang_definitions` VALUES (133928, 5265, 25, 'is not a valid email address');
INSERT INTO `lang_definitions` VALUES (133929, 5266, 25, 'Is not selected');
INSERT INTO `lang_definitions` VALUES (133930, 5267, 25, 'is not valid');
INSERT INTO `lang_definitions` VALUES (133931, 5268, 25, 'is not valid (decimal fractions are OK).');
INSERT INTO `lang_definitions` VALUES (133932, 5269, 25, 'Is PHP using Safe Mode?');
INSERT INTO `lang_definitions` VALUES (133933, 5272, 25, 'Is selected');
INSERT INTO `lang_definitions` VALUES (133934, 5273, 25, 'Is text from form layouts to be translated?');
INSERT INTO `lang_definitions` VALUES (133935, 5274, 25, 'Is text from lists to be translated?');
INSERT INTO `lang_definitions` VALUES (133936, 5275, 25, 'Is The File Encrypted?');
INSERT INTO `lang_definitions` VALUES (133937, 5276, 25, 'Is this a Clinical Term code type?');
INSERT INTO `lang_definitions` VALUES (133938, 5277, 25, 'Is this a diagnosis type?');
INSERT INTO `lang_definitions` VALUES (133939, 5278, 25, 'Is this a Medical Problem code type?');
INSERT INTO `lang_definitions` VALUES (133940, 5279, 25, 'Is this a Medication type?');
INSERT INTO `lang_definitions` VALUES (133941, 5280, 25, 'Is this a procedure/service type?');
INSERT INTO `lang_definitions` VALUES (133942, 5281, 25, 'Is this active?');
INSERT INTO `lang_definitions` VALUES (133943, 5282, 25, 'Is this code type active?');
INSERT INTO `lang_definitions` VALUES (133944, 5283, 25, 'Is this code type used in claims?');
INSERT INTO `lang_definitions` VALUES (133945, 5285, 25, 'Is this really OK?');
INSERT INTO `lang_definitions` VALUES (133946, 5286, 25, 'Is this type hidden in the fee sheet?');
INSERT INTO `lang_definitions` VALUES (133947, 5287, 25, 'Is this using external sql tables? If it is, then choose the format.');
INSERT INTO `lang_definitions` VALUES (133948, 5288, 25, 'este prea lung');
INSERT INTO `lang_definitions` VALUES (133949, 5290, 25, 'Problema');
INSERT INTO `lang_definitions` VALUES (133950, 5291, 25, 'problema');
INSERT INTO `lang_definitions` VALUES (133951, 5292, 25, 'Data Problemei');
INSERT INTO `lang_definitions` VALUES (133952, 5293, 25, 'ID Problema');
INSERT INTO `lang_definitions` VALUES (133953, 5294, 25, 'Subtip problema');
INSERT INTO `lang_definitions` VALUES (133954, 5295, 25, 'Titlul Problemei');
INSERT INTO `lang_definitions` VALUES (133955, 5296, 25, 'Tipul Problemei');
INSERT INTO `lang_definitions` VALUES (133956, 5297, 25, 'Tipuri de Probleme');
INSERT INTO `lang_definitions` VALUES (133957, 5298, 25, 'Probleme');
INSERT INTO `lang_definitions` VALUES (133958, 5299, 25, 'Probleme (Raniri/Medicale/Alergii)');
INSERT INTO `lang_definitions` VALUES (133959, 5300, 25, 'Probleme (Raniri/Medicale/Alergii):');
INSERT INTO `lang_definitions` VALUES (133960, 5302, 25, 'Probleme si Intalniri');
INSERT INTO `lang_definitions` VALUES (133961, 5303, 25, 'Probleme si Intalniri pentru');
INSERT INTO `lang_definitions` VALUES (133962, 5308, 25, 'Neautorizat pentru probleme');
INSERT INTO `lang_definitions` VALUES (133963, 5309, 25, 'Sectiunea Probleme');
INSERT INTO `lang_definitions` VALUES (133964, 5364, 25, 'Italian');
INSERT INTO `lang_definitions` VALUES (133965, 5365, 25, 'Item');
INSERT INTO `lang_definitions` VALUES (133966, 5366, 25, 'item');
INSERT INTO `lang_definitions` VALUES (133967, 5368, 25, 'itemi');
INSERT INTO `lang_definitions` VALUES (133968, 5369, 25, 'incarcare itemi esuata');
INSERT INTO `lang_definitions` VALUES (133969, 5370, 25, 'IU/L');
INSERT INTO `lang_definitions` VALUES (133970, 5371, 25, 'IUD');
INSERT INTO `lang_definitions` VALUES (133971, 5372, 25, 'IV');
INSERT INTO `lang_definitions` VALUES (133972, 5373, 25, 'Jaeger');
INSERT INTO `lang_definitions` VALUES (133973, 5374, 25, 'Jaeger{{Near Acuity Type Jaeger}}');
INSERT INTO `lang_definitions` VALUES (133974, 5375, 25, 'Ian');
INSERT INTO `lang_definitions` VALUES (133975, 5376, 25, 'Ianuarie');
INSERT INTO `lang_definitions` VALUES (133976, 5377, 25, 'Japanese');
INSERT INTO `lang_definitions` VALUES (133977, 5378, 25, 'Jaundice');
INSERT INTO `lang_definitions` VALUES (133978, 5379, 25, 'Javanese');
INSERT INTO `lang_definitions` VALUES (133979, 5380, 25, 'Descriere job');
INSERT INTO `lang_definitions` VALUES (133980, 5381, 25, 'ID job');
INSERT INTO `lang_definitions` VALUES (133981, 5382, 25, 'Luxatii');
INSERT INTO `lang_definitions` VALUES (133982, 5383, 25, 'Durere articulara');
INSERT INTO `lang_definitions` VALUES (133983, 5384, 25, 'Luxatii');
INSERT INTO `lang_definitions` VALUES (133984, 5385, 25, 'Iul');
INSERT INTO `lang_definitions` VALUES (133985, 5386, 25, 'Iulie');
INSERT INTO `lang_definitions` VALUES (133986, 5388, 25, 'Iun');
INSERT INTO `lang_definitions` VALUES (133987, 5389, 25, 'Iunie');
INSERT INTO `lang_definitions` VALUES (133988, 5390, 25, 'Just below the check information is a blue area where you put in your search parameters.  You can search by patient name, chart number, encounter number or date of service, or any combination of these.  You may also select whether you want to see all invoices, open invoices, or only invoices that are due (by the patient).  Click the Search button to perform the search.');
INSERT INTO `lang_definitions` VALUES (133989, 5391, 25, 'Doar a mea');
INSERT INTO `lang_definitions` VALUES (133990, 5392, 25, 'Justificare intrari');
INSERT INTO `lang_definitions` VALUES (133991, 5393, 25, 'Justifica');
INSERT INTO `lang_definitions` VALUES (133992, 5396, 25, 'Justifica/Salveaza');
INSERT INTO `lang_definitions` VALUES (133993, 5397, 25, 'J{{Justify Header}}');
INSERT INTO `lang_definitions` VALUES (133994, 5398, 25, 'k, here\'s the rest');
INSERT INTO `lang_definitions` VALUES (133995, 5399, 25, 'K1{{Keratometry 1}}');
INSERT INTO `lang_definitions` VALUES (133996, 5400, 25, 'K2{{Keratometry 2}}');
INSERT INTO `lang_definitions` VALUES (133997, 5401, 25, 'Kalaallisut, Greenlandic');
INSERT INTO `lang_definitions` VALUES (133998, 5402, 25, 'Kannada');
INSERT INTO `lang_definitions` VALUES (133999, 5403, 25, 'Kanuri');
INSERT INTO `lang_definitions` VALUES (134000, 5404, 25, 'Kashmiri');
INSERT INTO `lang_definitions` VALUES (134001, 5405, 25, 'Kazakh');
INSERT INTO `lang_definitions` VALUES (134002, 5407, 25, 'Key');
INSERT INTO `lang_definitions` VALUES (134003, 5411, 25, 'Keywords');
INSERT INTO `lang_definitions` VALUES (134004, 5412, 25, 'kg');
INSERT INTO `lang_definitions` VALUES (134005, 5413, 25, 'kg/m^2');
INSERT INTO `lang_definitions` VALUES (134006, 5414, 25, 'Khmer');
INSERT INTO `lang_definitions` VALUES (134007, 5415, 25, 'Cancer rinichi');
INSERT INTO `lang_definitions` VALUES (134008, 5416, 25, 'Insuficienta renala');
INSERT INTO `lang_definitions` VALUES (134009, 5417, 25, 'Infectii renale');
INSERT INTO `lang_definitions` VALUES (134010, 5418, 25, 'Pietre la rinichi');
INSERT INTO `lang_definitions` VALUES (134011, 5419, 25, 'Transplant rinichi');
INSERT INTO `lang_definitions` VALUES (134012, 5420, 25, 'Kikuyu, Gikuyu');
INSERT INTO `lang_definitions` VALUES (134013, 5422, 25, 'Kinyarwanda');
INSERT INTO `lang_definitions` VALUES (134014, 5424, 25, 'Kirundi');
INSERT INTO `lang_definitions` VALUES (134015, 5425, 25, 'Genunchi');
INSERT INTO `lang_definitions` VALUES (134016, 5426, 25, 'Probleme genunchi');
INSERT INTO `lang_definitions` VALUES (134017, 5427, 25, 'Inlocuirea genunchiului');
INSERT INTO `lang_definitions` VALUES (134018, 5428, 25, 'Komi');
INSERT INTO `lang_definitions` VALUES (134019, 5429, 25, 'Kongo');
INSERT INTO `lang_definitions` VALUES (134020, 5430, 25, 'Korean');
INSERT INTO `lang_definitions` VALUES (134021, 5431, 25, 'Kurdish');
INSERT INTO `lang_definitions` VALUES (134022, 5432, 25, 'Kwanyama, Kuanyama');
INSERT INTO `lang_definitions` VALUES (134023, 5433, 25, 'Kyrgyz');
INSERT INTO `lang_definitions` VALUES (134024, 5434, 25, 'Lab');
INSERT INTO `lang_definitions` VALUES (134025, 5435, 25, 'Documente Lab');
INSERT INTO `lang_definitions` VALUES (134026, 5436, 25, 'Adresa de site Lab Exchange');
INSERT INTO `lang_definitions` VALUES (134027, 5437, 25, 'ID site Lab Exchange');
INSERT INTO `lang_definitions` VALUES (134028, 5438, 25, 'ID Token Lab Exchange');
INSERT INTO `lang_definitions` VALUES (134029, 5439, 25, 'Comanda Lab');
INSERT INTO `lang_definitions` VALUES (134030, 5440, 25, 'Lab overview');
INSERT INTO `lang_definitions` VALUES (134031, 5441, 25, 'Lab Overview');
INSERT INTO `lang_definitions` VALUES (134032, 5442, 25, 'Starea interogarii Lab');
INSERT INTO `lang_definitions` VALUES (134033, 5444, 25, 'Raport Lab');
INSERT INTO `lang_definitions` VALUES (134034, 5445, 25, 'Rezultat Lab');
INSERT INTO `lang_definitions` VALUES (134035, 5446, 25, 'Rezultate Lab');
INSERT INTO `lang_definitions` VALUES (134036, 5448, 25, 'Nume categorie rezultate Lab');
INSERT INTO `lang_definitions` VALUES (134037, 5449, 25, 'Raport Rezultate Lab');
INSERT INTO `lang_definitions` VALUES (134038, 5450, 25, 'Serviciu Lab');
INSERT INTO `lang_definitions` VALUES (134039, 5451, 25, 'Rezultate Test Lab');
INSERT INTO `lang_definitions` VALUES (134040, 5452, 25, 'Lab/Fisier');
INSERT INTO `lang_definitions` VALUES (134041, 5453, 25, 'Eticheta');
INSERT INTO `lang_definitions` VALUES (134042, 5454, 25, 'Eticheta nu poate fi goala');
INSERT INTO `lang_definitions` VALUES (134043, 5455, 25, 'Label Cols');
INSERT INTO `lang_definitions` VALUES (134044, 5456, 25, 'Eticheta pentru acest tip');
INSERT INTO `lang_definitions` VALUES (134045, 5458, 25, 'LabelCols must be a number between 1 and 999');
INSERT INTO `lang_definitions` VALUES (134046, 5459, 25, 'Etichete');
INSERT INTO `lang_definitions` VALUES (134047, 5461, 25, 'Informatii Laborator');
INSERT INTO `lang_definitions` VALUES (134048, 5462, 25, 'Test Laborator');
INSERT INTO `lang_definitions` VALUES (134049, 5463, 25, 'Labs');
INSERT INTO `lang_definitions` VALUES (134050, 5464, 25, 'Lacerare / stare a pielii');
INSERT INTO `lang_definitions` VALUES (134051, 5465, 25, 'Laceration/abrasion');
INSERT INTO `lang_definitions` VALUES (134052, 5466, 25, 'LAC{{left anterior chamber}}');
INSERT INTO `lang_definitions` VALUES (134053, 5467, 25, 'LADate');
INSERT INTO `lang_definitions` VALUES (134054, 5468, 25, 'LAD{{left adnexa}}');
INSERT INTO `lang_definitions` VALUES (134055, 5470, 25, 'Landscape');
INSERT INTO `lang_definitions` VALUES (134056, 5471, 25, 'Limba');
INSERT INTO `lang_definitions` VALUES (134057, 5472, 25, 'Cod limba');
INSERT INTO `lang_definitions` VALUES (134058, 5473, 25, 'Definitie limba adaugata');
INSERT INTO `lang_definitions` VALUES (134059, 5474, 25, 'Language Interface Tool');
INSERT INTO `lang_definitions` VALUES (134060, 5476, 25, 'Language List (write,addonly optional)');
INSERT INTO `lang_definitions` VALUES (134061, 5478, 25, 'Language Name');
INSERT INTO `lang_definitions` VALUES (134062, 5479, 25, 'Limba:');
INSERT INTO `lang_definitions` VALUES (134063, 5480, 25, 'Lao');
INSERT INTO `lang_definitions` VALUES (134064, 5481, 25, 'Laotian');
INSERT INTO `lang_definitions` VALUES (134065, 5483, 25, 'Interferometrie cu laser');
INSERT INTO `lang_definitions` VALUES (134066, 5484, 25, 'Acuitate interferometrie cu laser');
INSERT INTO `lang_definitions` VALUES (134067, 5485, 25, 'Ultima');
INSERT INTO `lang_definitions` VALUES (134068, 5486, 25, 'Data ultimei activitati');
INSERT INTO `lang_definitions` VALUES (134069, 5487, 25, 'Ultima Appendectomy');
INSERT INTO `lang_definitions` VALUES (134070, 5489, 25, 'Data ultimei chitante:');
INSERT INTO `lang_definitions` VALUES (134071, 5490, 25, 'Ultimul examen la sani');
INSERT INTO `lang_definitions` VALUES (134072, 5491, 25, 'Ultimul an calendaristic');
INSERT INTO `lang_definitions` VALUES (134073, 5492, 25, 'Ultima operatie cataracta');
INSERT INTO `lang_definitions` VALUES (134074, 5493, 25, 'Ultima Cholecystestomy');
INSERT INTO `lang_definitions` VALUES (134075, 5495, 25, 'Utima consultatie');
INSERT INTO `lang_definitions` VALUES (134076, 5496, 25, 'Ultimul examen ginecologic');
INSERT INTO `lang_definitions` VALUES (134077, 5497, 25, 'Ultima operatie inima');
INSERT INTO `lang_definitions` VALUES (134078, 5498, 25, 'Ultima reparatie hernie');
INSERT INTO `lang_definitions` VALUES (134079, 5499, 25, 'Ultima inlocuire a soldului');
INSERT INTO `lang_definitions` VALUES (134080, 5500, 25, 'Ultima Hysterectomy');
INSERT INTO `lang_definitions` VALUES (134081, 5501, 25, 'Ultima inlocuire a genunchiului');
INSERT INTO `lang_definitions` VALUES (134082, 5502, 25, 'Ultimul nivel facturat');
INSERT INTO `lang_definitions` VALUES (134083, 5503, 25, 'Ultima mamografie');
INSERT INTO `lang_definitions` VALUES (134084, 5504, 25, 'Ultima perioada menstruaka');
INSERT INTO `lang_definitions` VALUES (134085, 5506, 25, 'Ultima Luna');
INSERT INTO `lang_definitions` VALUES (134086, 5507, 25, 'Nume Familie');
INSERT INTO `lang_definitions` VALUES (134087, 5508, 25, 'Nume Familie');
INSERT INTO `lang_definitions` VALUES (134088, 5513, 25, 'Nume Familie');
INSERT INTO `lang_definitions` VALUES (134089, 5514, 25, 'Ultimul examen fizic');
INSERT INTO `lang_definitions` VALUES (134090, 5515, 25, 'Ultmul examen de prostata');
INSERT INTO `lang_definitions` VALUES (134091, 5516, 25, 'Ultimul examen rectak');
INSERT INTO `lang_definitions` VALUES (134092, 5517, 25, 'Ultima data revizuit');
INSERT INTO `lang_definitions` VALUES (134093, 5518, 25, 'Ultimul a inceput la data:');
INSERT INTO `lang_definitions` VALUES (134094, 5519, 25, 'Ultima salvare');
INSERT INTO `lang_definitions` VALUES (134095, 5520, 25, 'Ultima Sigmoid/Colonoscopie');
INSERT INTO `lang_definitions` VALUES (134096, 5521, 25, 'Ultima Stmt');
INSERT INTO `lang_definitions` VALUES (134097, 5522, 25, 'Ultima Tonsillectomy');
INSERT INTO `lang_definitions` VALUES (134098, 5525, 25, 'Ultima actualizare facuta de');
INSERT INTO `lang_definitions` VALUES (134099, 5526, 25, 'Ultima data verificat pe');
INSERT INTO `lang_definitions` VALUES (134100, 5527, 25, 'Ultima vizita');
INSERT INTO `lang_definitions` VALUES (134101, 5528, 25, 'Last X-ray');
INSERT INTO `lang_definitions` VALUES (134102, 5530, 25, 'Recurenta tarzie (2-12 luni)');
INSERT INTO `lang_definitions` VALUES (134103, 5531, 25, 'Lateral Malleolus');
INSERT INTO `lang_definitions` VALUES (134104, 5532, 25, 'Lateral malleolus:');
INSERT INTO `lang_definitions` VALUES (134105, 5533, 25, 'Laterality');
INSERT INTO `lang_definitions` VALUES (134106, 5534, 25, 'Lateralitatea acestei proceduri, daca este aplicabil');
INSERT INTO `lang_definitions` VALUES (134107, 5535, 25, 'laterally displaced PMI:');
INSERT INTO `lang_definitions` VALUES (134108, 5538, 25, 'Numai ultimele rezultate');
INSERT INTO `lang_definitions` VALUES (134109, 5539, 25, 'Ultima vizita sau consultatie');
INSERT INTO `lang_definitions` VALUES (134110, 5540, 25, 'Latin');
INSERT INTO `lang_definitions` VALUES (134111, 5541, 25, 'Latvian');
INSERT INTO `lang_definitions` VALUES (134112, 5542, 25, 'lat{{lateral}}');
INSERT INTO `lang_definitions` VALUES (134113, 5545, 25, 'Firma de avocatura');
INSERT INTO `lang_definitions` VALUES (134114, 5546, 25, 'Avocat');
INSERT INTO `lang_definitions` VALUES (134115, 5547, 25, 'Layout');
INSERT INTO `lang_definitions` VALUES (134116, 5548, 25, 'Layout (need to logout/login after change this setting)');
INSERT INTO `lang_definitions` VALUES (134117, 5549, 25, 'Layout Based');
INSERT INTO `lang_definitions` VALUES (134118, 5551, 25, 'Layout Editor');
INSERT INTO `lang_definitions` VALUES (134119, 5552, 25, 'Layout groups');
INSERT INTO `lang_definitions` VALUES (134120, 5556, 25, 'Layout Style');
INSERT INTO `lang_definitions` VALUES (134121, 5557, 25, 'Layout-Based Transaction Forms');
INSERT INTO `lang_definitions` VALUES (134122, 5558, 25, 'Layout-Based Visit Forms');
INSERT INTO `lang_definitions` VALUES (134123, 5559, 25, 'Layouts');
INSERT INTO `lang_definitions` VALUES (134124, 5560, 25, 'lb');
INSERT INTO `lang_definitions` VALUES (134125, 5562, 25, 'LBF_Validations');
INSERT INTO `lang_definitions` VALUES (134126, 5563, 25, 'lbs');
INSERT INTO `lang_definitions` VALUES (134127, 5564, 25, 'LB{{left brow}}');
INSERT INTO `lang_definitions` VALUES (134128, 5565, 25, 'LCMT{{left Central Macular Thickness}}');
INSERT INTO `lang_definitions` VALUES (134129, 5566, 25, 'LCUP{{left cup}}');
INSERT INTO `lang_definitions` VALUES (134130, 5567, 25, 'LC{{left conjunctiva}}');
INSERT INTO `lang_definitions` VALUES (134131, 5571, 25, 'LDL');
INSERT INTO `lang_definitions` VALUES (134132, 5572, 25, 'LD{{left disc}}');
INSERT INTO `lang_definitions` VALUES (134133, 5573, 25, 'leave blank if still active');
INSERT INTO `lang_definitions` VALUES (134134, 5574, 25, 'Leave Blank To Keep Original Filename');
INSERT INTO `lang_definitions` VALUES (134135, 5575, 25, 'Leave blank to keep password unchanged.');
INSERT INTO `lang_definitions` VALUES (134136, 5580, 25, 'Leave Message With');
INSERT INTO `lang_definitions` VALUES (134137, 5582, 25, 'Leave The Form');
INSERT INTO `lang_definitions` VALUES (134138, 5583, 25, 'Leaving the pass phrase blank will not encrypt the document');
INSERT INTO `lang_definitions` VALUES (134139, 5584, 25, 'Carte mare');
INSERT INTO `lang_definitions` VALUES (134140, 5586, 25, 'Stanga');
INSERT INTO `lang_definitions` VALUES (134141, 5587, 25, 'Bratul stang');
INSERT INTO `lang_definitions` VALUES (134142, 5588, 25, 'Deltoid stanga');
INSERT INTO `lang_definitions` VALUES (134143, 5589, 25, 'Urechea stanga');
INSERT INTO `lang_definitions` VALUES (134144, 5590, 25, 'urechea stanga');
INSERT INTO `lang_definitions` VALUES (134145, 5591, 25, 'Stanga Gluteus Medius');
INSERT INTO `lang_definitions` VALUES (134146, 5592, 25, 'Lentila stanga');
INSERT INTO `lang_definitions` VALUES (134147, 5593, 25, 'Antebratul inferior stang');
INSERT INTO `lang_definitions` VALUES (134148, 5594, 25, 'Left Margin (mm)');
INSERT INTO `lang_definitions` VALUES (134149, 5595, 25, 'Left Thigh');
INSERT INTO `lang_definitions` VALUES (134150, 5596, 25, 'Left Vastus Lateralis');
INSERT INTO `lang_definitions` VALUES (134151, 5597, 25, 'Left w/o visit');
INSERT INTO `lang_definitions` VALUES (134152, 5599, 25, 'Stanga:');
INSERT INTO `lang_definitions` VALUES (134153, 5600, 25, 'Stanga:');
INSERT INTO `lang_definitions` VALUES (134154, 5601, 25, 'Durere picior/crampe');
INSERT INTO `lang_definitions` VALUES (134155, 5602, 25, 'Legal');
INSERT INTO `lang_definitions` VALUES (134156, 5603, 25, 'Legal Authenticator');
INSERT INTO `lang_definitions` VALUES (134157, 5604, 25, 'Legal Paper Size');
INSERT INTO `lang_definitions` VALUES (134158, 5605, 25, 'Legend:');
INSERT INTO `lang_definitions` VALUES (134159, 5606, 25, 'Lungime');
INSERT INTO `lang_definitions` VALUES (134160, 5607, 25, 'Length of modifier, 0 if none');
INSERT INTO `lang_definitions` VALUES (134161, 5608, 25, 'Lentile');
INSERT INTO `lang_definitions` VALUES (134162, 5609, 25, 'Material lentile');
INSERT INTO `lang_definitions` VALUES (134163, 5610, 25, 'Optiuni material lentile');
INSERT INTO `lang_definitions` VALUES (134164, 5611, 25, 'Grosime lentile');
INSERT INTO `lang_definitions` VALUES (134165, 5612, 25, 'Tratament lentile');
INSERT INTO `lang_definitions` VALUES (134166, 5613, 25, 'Mai mic ca');
INSERT INTO `lang_definitions` VALUES (134167, 5614, 25, 'Mai mic sau egal decat');
INSERT INTO `lang_definitions` VALUES (134168, 5615, 25, 'Less-private information (write,addonly optional)');
INSERT INTO `lang_definitions` VALUES (134169, 5620, 25, 'Scrisoare');
INSERT INTO `lang_definitions` VALUES (134170, 5621, 25, 'Generator scrisoare');
INSERT INTO `lang_definitions` VALUES (134171, 5622, 25, 'Letter Paper Size');
INSERT INTO `lang_definitions` VALUES (134172, 5623, 25, 'Antetul scrisorii - semnatura doctor');
INSERT INTO `lang_definitions` VALUES (134173, 5624, 25, 'Antetul scrisorii - semnatura pacient');
INSERT INTO `lang_definitions` VALUES (134174, 5625, 25, 'Lev Fn{{levator function}}');
INSERT INTO `lang_definitions` VALUES (134175, 5626, 25, 'Levator Function');
INSERT INTO `lang_definitions` VALUES (134176, 5627, 25, 'Nivel urgenta');
INSERT INTO `lang_definitions` VALUES (134177, 5628, 25, 'LF{{levator function}}');
INSERT INTO `lang_definitions` VALUES (134178, 5629, 25, 'LH{{left hertel measurement}}');
INSERT INTO `lang_definitions` VALUES (134179, 5630, 25, 'Raspundere');
INSERT INTO `lang_definitions` VALUES (134180, 5631, 25, 'Raspundere medicala');
INSERT INTO `lang_definitions` VALUES (134181, 5632, 25, 'Biblioteca');
INSERT INTO `lang_definitions` VALUES (134182, 5633, 25, 'Serie si nr. CI');
INSERT INTO `lang_definitions` VALUES (134183, 5635, 25, 'Licensed Prescriber First Name');
INSERT INTO `lang_definitions` VALUES (134184, 5636, 25, 'Licensed Prescriber Last Name');
INSERT INTO `lang_definitions` VALUES (134185, 5637, 25, 'Licensed Prescriber NPI');
INSERT INTO `lang_definitions` VALUES (134186, 5638, 25, 'Licensed Prescriber Title (Prefix)');
INSERT INTO `lang_definitions` VALUES (134187, 5639, 25, 'LicensedPrescriber Last name');
INSERT INTO `lang_definitions` VALUES (134188, 5640, 25, 'LicensedPrescriber NPI');
INSERT INTO `lang_definitions` VALUES (134189, 5641, 25, 'LicensedPrescriber UPIN');
INSERT INTO `lang_definitions` VALUES (134190, 5642, 25, 'Partener de viata');
INSERT INTO `lang_definitions` VALUES (134191, 5643, 25, 'Severitate care ameninta viata');
INSERT INTO `lang_definitions` VALUES (134192, 5644, 25, 'Stil de viata');
INSERT INTO `lang_definitions` VALUES (134193, 5646, 25, 'Conditie stil de viata');
INSERT INTO `lang_definitions` VALUES (134194, 5647, 25, 'Ruptura de ligament sau luxatie');
INSERT INTO `lang_definitions` VALUES (134195, 5648, 25, 'Fumator ocazional');
INSERT INTO `lang_definitions` VALUES (134196, 5650, 25, 'Limburgish, Limburgan, Limburger');
INSERT INTO `lang_definitions` VALUES (134197, 5651, 25, 'Limita de evenimente');
INSERT INTO `lang_definitions` VALUES (134198, 5652, 25, 'Examen limitat');
INSERT INTO `lang_definitions` VALUES (134199, 5653, 25, 'HPI limitat');
INSERT INTO `lang_definitions` VALUES (134200, 5654, 25, 'Limite');
INSERT INTO `lang_definitions` VALUES (134201, 5655, 25, 'Linie');
INSERT INTO `lang_definitions` VALUES (134202, 5656, 25, 'Lingala');
INSERT INTO `lang_definitions` VALUES (134203, 5657, 25, 'Link');
INSERT INTO `lang_definitions` VALUES (134204, 5658, 25, 'Link To Patient');
INSERT INTO `lang_definitions` VALUES (134205, 5660, 25, 'Linked');
INSERT INTO `lang_definitions` VALUES (134206, 5661, 25, 'Linked document');
INSERT INTO `lang_definitions` VALUES (134207, 5662, 25, 'Linked procedure order');
INSERT INTO `lang_definitions` VALUES (134208, 5663, 25, 'linked to document');
INSERT INTO `lang_definitions` VALUES (134209, 5664, 25, 'linked to procedure order');
INSERT INTO `lang_definitions` VALUES (134210, 5665, 25, 'Lista');
INSERT INTO `lang_definitions` VALUES (134211, 5666, 25, 'List box');
INSERT INTO `lang_definitions` VALUES (134212, 5667, 25, 'list box');
INSERT INTO `lang_definitions` VALUES (134213, 5668, 25, 'list box w/ add');
INSERT INTO `lang_definitions` VALUES (134214, 5669, 25, 'List box w/add');
INSERT INTO `lang_definitions` VALUES (134215, 5671, 25, 'List Editor');
INSERT INTO `lang_definitions` VALUES (134216, 5672, 25, 'Lista consultatii');
INSERT INTO `lang_definitions` VALUES (134217, 5674, 25, 'Lista grupuri');
INSERT INTO `lang_definitions` VALUES (134218, 5675, 25, 'Lista companii asigurare');
INSERT INTO `lang_definitions` VALUES (134219, 5676, 25, 'ID articol lista');
INSERT INTO `lang_definitions` VALUES (134220, 5677, 25, 'Articole lista nu pot incepe cu un numar');
INSERT INTO `lang_definitions` VALUES (134221, 5678, 25, 'Articole lista contin caractere nelegale');
INSERT INTO `lang_definitions` VALUES (134222, 5679, 25, 'List layout items');
INSERT INTO `lang_definitions` VALUES (134223, 5680, 25, 'Lista de lsita');
INSERT INTO `lang_definitions` VALUES (134224, 5682, 25, 'Lista numa');
INSERT INTO `lang_definitions` VALUES (134225, 5683, 25, 'Numele de lista nu pot incepe cu numere.');
INSERT INTO `lang_definitions` VALUES (134226, 5686, 25, 'Lista refractiilor anterioare');
INSERT INTO `lang_definitions` VALUES (134227, 5687, 25, 'List of previously dispensed Spectacle and Contact Lens Rxs');
INSERT INTO `lang_definitions` VALUES (134228, 5688, 25, 'Lista prescriptii');
INSERT INTO `lang_definitions` VALUES (134229, 5689, 25, 'List used by above Country Data Type option.');
INSERT INTO `lang_definitions` VALUES (134230, 5690, 25, 'List used by above State Data Type option.');
INSERT INTO `lang_definitions` VALUES (134231, 5691, 25, 'Listening port of the RFC 5425 TLS syslog server.');
INSERT INTO `lang_definitions` VALUES (134232, 5693, 25, 'Liste');
INSERT INTO `lang_definitions` VALUES (134233, 5695, 25, 'Lithuanian');
INSERT INTO `lang_definitions` VALUES (134234, 5696, 25, 'Dorinta de a trai');
INSERT INTO `lang_definitions` VALUES (134235, 5697, 25, 'LI{{Laser Interferometry Acuity}}');
INSERT INTO `lang_definitions` VALUES (134236, 5698, 25, 'LI{{Laser Interferometry}}');
INSERT INTO `lang_definitions` VALUES (134237, 5700, 25, 'LK{{left cornea}}');
INSERT INTO `lang_definitions` VALUES (134238, 5701, 25, 'LLL:');
INSERT INTO `lang_definitions` VALUES (134239, 5702, 25, 'LLL{{left lower eyelid}}');
INSERT INTO `lang_definitions` VALUES (134240, 5703, 25, 'LL{{left iris}}');
INSERT INTO `lang_definitions` VALUES (134241, 5704, 25, 'LL{{left lens}}');
INSERT INTO `lang_definitions` VALUES (134242, 5705, 25, 'LMAC{{left macula}}');
INSERT INTO `lang_definitions` VALUES (134243, 5706, 25, 'LMC{{left medial chathus}}');
INSERT INTO `lang_definitions` VALUES (134244, 5707, 25, 'LMP');
INSERT INTO `lang_definitions` VALUES (134245, 5708, 25, 'Load Compendium');
INSERT INTO `lang_definitions` VALUES (134246, 5709, 25, 'Load Definitions');
INSERT INTO `lang_definitions` VALUES (134247, 5711, 25, 'Load Lab Configuration');
INSERT INTO `lang_definitions` VALUES (134248, 5712, 25, 'Load OE Question Options');
INSERT INTO `lang_definitions` VALUES (134249, 5713, 25, 'Load Order Definitions');
INSERT INTO `lang_definitions` VALUES (134250, 5714, 25, 'Load Order Entry Questions');
INSERT INTO `lang_definitions` VALUES (134251, 5715, 25, 'LOAD SUCCESSFUL. Codes inserted');
INSERT INTO `lang_definitions` VALUES (134252, 5717, 25, 'LOADING');
INSERT INTO `lang_definitions` VALUES (134253, 5721, 25, 'Loading the files into the database. This will take some time...');
INSERT INTO `lang_definitions` VALUES (134254, 5723, 25, 'LOC');
INSERT INTO `lang_definitions` VALUES (134255, 5724, 25, 'Local');
INSERT INTO `lang_definitions` VALUES (134256, 5725, 25, 'Local Content');
INSERT INTO `lang_definitions` VALUES (134257, 5726, 25, 'Local Filesystem');
INSERT INTO `lang_definitions` VALUES (134258, 5728, 25, 'Locale');
INSERT INTO `lang_definitions` VALUES (134259, 5729, 25, 'Locality');
INSERT INTO `lang_definitions` VALUES (134260, 5730, 25, 'Location');
INSERT INTO `lang_definitions` VALUES (134261, 5731, 25, 'location of the openemr machine and may contain sensitive data, so it is recommended to manually delete the files after its use');
INSERT INTO `lang_definitions` VALUES (134262, 5732, 25, 'Location of this lot');
INSERT INTO `lang_definitions` VALUES (134263, 5733, 25, 'Location unspecified');
INSERT INTO `lang_definitions` VALUES (134264, 5734, 25, 'Location where Hylafax stores faxes.');
INSERT INTO `lang_definitions` VALUES (134265, 5735, 25, 'Location where scans are stored.');
INSERT INTO `lang_definitions` VALUES (134266, 5736, 25, 'Location:');
INSERT INTO `lang_definitions` VALUES (134267, 5737, 25, 'Lock');
INSERT INTO `lang_definitions` VALUES (134268, 5738, 25, 'Lock an e-signed form individually');
INSERT INTO `lang_definitions` VALUES (134269, 5739, 25, 'Lock e-signed encounters and their forms');
INSERT INTO `lang_definitions` VALUES (134270, 5740, 25, 'Lock?');
INSERT INTO `lang_definitions` VALUES (134271, 5741, 25, 'Locked');
INSERT INTO `lang_definitions` VALUES (134272, 5743, 25, 'Log all NewCrop eRx Requests and / or Responses.');
INSERT INTO `lang_definitions` VALUES (134273, 5744, 25, 'Log entire document');
INSERT INTO `lang_definitions` VALUES (134274, 5745, 25, 'Log In');
INSERT INTO `lang_definitions` VALUES (134275, 5746, 25, 'Log in');
INSERT INTO `lang_definitions` VALUES (134276, 5749, 25, 'Log Out');
INSERT INTO `lang_definitions` VALUES (134277, 5752, 25, 'Logged in');
INSERT INTO `lang_definitions` VALUES (134278, 5753, 25, 'Logged in as');
INSERT INTO `lang_definitions` VALUES (134279, 5754, 25, 'Logged in as:');
INSERT INTO `lang_definitions` VALUES (134280, 5755, 25, 'Logged out.');
INSERT INTO `lang_definitions` VALUES (134281, 5756, 25, 'Logging');
INSERT INTO `lang_definitions` VALUES (134282, 5757, 25, 'Login');
INSERT INTO `lang_definitions` VALUES (134283, 5758, 25, 'login');
INSERT INTO `lang_definitions` VALUES (134284, 5761, 25, 'Login name of WordPress user for portal access');
INSERT INTO `lang_definitions` VALUES (134285, 5763, 25, 'Login to remote host');
INSERT INTO `lang_definitions` VALUES (134286, 5764, 25, 'Login to this remote host failed');
INSERT INTO `lang_definitions` VALUES (134287, 5768, 25, 'Logout');
INSERT INTO `lang_definitions` VALUES (134288, 5769, 25, 'logout');
INSERT INTO `lang_definitions` VALUES (134289, 5770, 25, 'Logs');
INSERT INTO `lang_definitions` VALUES (134290, 5771, 25, 'Logs Viewer');
INSERT INTO `lang_definitions` VALUES (134291, 5772, 25, 'LOINC');
INSERT INTO `lang_definitions` VALUES (134292, 5773, 25, 'LOINC Code');
INSERT INTO `lang_definitions` VALUES (134293, 5776, 25, 'Look Up');
INSERT INTO `lang_definitions` VALUES (134294, 5777, 25, 'Lot');
INSERT INTO `lang_definitions` VALUES (134295, 5778, 25, 'ID lot lipsa');
INSERT INTO `lang_definitions` VALUES (134296, 5779, 25, 'Numar lot');
INSERT INTO `lang_definitions` VALUES (134297, 5780, 25, 'Jos');
INSERT INTO `lang_definitions` VALUES (134298, 5781, 25, 'Prioritate joasa');
INSERT INTO `lang_definitions` VALUES (134299, 5782, 25, 'Membrul inferior');
INSERT INTO `lang_definitions` VALUES (134300, 5783, 25, 'Capacele inferioare');
INSERT INTO `lang_definitions` VALUES (134301, 5784, 25, 'Prioritatea cea mai mica');
INSERT INTO `lang_definitions` VALUES (134302, 5786, 25, 'LP{{left peripheral retina}}');
INSERT INTO `lang_definitions` VALUES (134303, 5787, 25, 'LT{{lens thickness}}');
INSERT INTO `lang_definitions` VALUES (134304, 5788, 25, 'Luba-Katanga');
INSERT INTO `lang_definitions` VALUES (134305, 5789, 25, 'Luhn');
INSERT INTO `lang_definitions` VALUES (134306, 5790, 25, 'LUL{{left upper eyelid}}');
INSERT INTO `lang_definitions` VALUES (134307, 5791, 25, 'Coloana vertrebrala lombara');
INSERT INTO `lang_definitions` VALUES (134308, 5792, 25, 'PRANZ');
INSERT INTO `lang_definitions` VALUES (134309, 5793, 25, 'Pranz');
INSERT INTO `lang_definitions` VALUES (134310, 5794, 25, 'Cancer pulmonar');
INSERT INTO `lang_definitions` VALUES (134311, 5795, 25, 'Chirurgie cancer pulmonar');
INSERT INTO `lang_definitions` VALUES (134312, 5796, 25, 'PLAMANI:');
INSERT INTO `lang_definitions` VALUES (134313, 5797, 25, 'Pamani:');
INSERT INTO `lang_definitions` VALUES (134314, 5798, 25, 'Lupus');
INSERT INTO `lang_definitions` VALUES (134315, 5799, 25, 'Luxembourgish, Letzeburgesch');
INSERT INTO `lang_definitions` VALUES (134316, 5801, 25, 'LV{{left vessels}}');
INSERT INTO `lang_definitions` VALUES (134317, 5802, 25, 'L{{left side}}');
INSERT INTO `lang_definitions` VALUES (134318, 5803, 25, 'L{{left}}');
INSERT INTO `lang_definitions` VALUES (134319, 5804, 25, 'M');
INSERT INTO `lang_definitions` VALUES (134320, 5805, 25, 'MA Category');
INSERT INTO `lang_definitions` VALUES (134321, 5806, 25, 'MA Client Accepting Abortion');
INSERT INTO `lang_definitions` VALUES (134322, 5807, 25, 'MA Stats');
INSERT INTO `lang_definitions` VALUES (134323, 5808, 25, 'Macedonian');
INSERT INTO `lang_definitions` VALUES (134324, 5809, 25, 'Macula');
INSERT INTO `lang_definitions` VALUES (134325, 5812, 25, 'Mail Sent');
INSERT INTO `lang_definitions` VALUES (134326, 5814, 25, 'Principal');
INSERT INTO `lang_definitions` VALUES (134327, 5815, 25, 'Adresa principala');
INSERT INTO `lang_definitions` VALUES (134328, 5821, 25, 'Main Top Pane Screen');
INSERT INTO `lang_definitions` VALUES (134329, 5824, 25, 'Mentineti lista activa de alergie la medicamente');
INSERT INTO `lang_definitions` VALUES (134330, 5825, 25, 'Mentineti lista activa de medicamente');
INSERT INTO `lang_definitions` VALUES (134331, 5826, 25, 'Mentineti o lista de probleme ale diagnisticelor curente si active');
INSERT INTO `lang_definitions` VALUES (134332, 5827, 25, 'Faceti modificari la categoriile curente');
INSERT INTO `lang_definitions` VALUES (134333, 5828, 25, 'Faceti o noua programare pentru');
INSERT INTO `lang_definitions` VALUES (134334, 5831, 25, 'Fii sigur \"');
INSERT INTO `lang_definitions` VALUES (134335, 5832, 25, 'Making batch text files for uploading to Clearing House and will mark as billed');
INSERT INTO `lang_definitions` VALUES (134336, 5833, 25, 'Malagasy');
INSERT INTO `lang_definitions` VALUES (134337, 5834, 25, 'Stare de rau:');
INSERT INTO `lang_definitions` VALUES (134338, 5835, 25, 'Malay');
INSERT INTO `lang_definitions` VALUES (134339, 5836, 25, 'Malayalam');
INSERT INTO `lang_definitions` VALUES (134340, 5837, 25, 'Masculin');
INSERT INTO `lang_definitions` VALUES (134341, 5838, 25, 'Male Condoms');
INSERT INTO `lang_definitions` VALUES (134342, 5839, 25, 'VSC masculin');
INSERT INTO `lang_definitions` VALUES (134343, 5840, 25, 'Maltese');
INSERT INTO `lang_definitions` VALUES (134344, 5841, 25, 'Mamograma');
INSERT INTO `lang_definitions` VALUES (134345, 5842, 25, 'Administreaza');
INSERT INTO `lang_definitions` VALUES (134346, 5843, 25, 'Manage Hooks');
INSERT INTO `lang_definitions` VALUES (134347, 5845, 25, 'Manage Modules');
INSERT INTO `lang_definitions` VALUES (134348, 5850, 25, 'Manage Translations');
INSERT INTO `lang_definitions` VALUES (134349, 5851, 25, 'Management');
INSERT INTO `lang_definitions` VALUES (134350, 5852, 25, 'Manager');
INSERT INTO `lang_definitions` VALUES (134351, 5854, 25, 'Mandatory and specified fields');
INSERT INTO `lang_definitions` VALUES (134352, 5855, 25, 'Mandatory or specified fields only, dup check, no search');
INSERT INTO `lang_definitions` VALUES (134353, 5856, 25, 'Mandatory or specified fields only, search and dup check');
INSERT INTO `lang_definitions` VALUES (134354, 5857, 25, 'Mandatory or specified fields only, use patient validation Zend module');
INSERT INTO `lang_definitions` VALUES (134355, 5858, 25, 'Manifest (Dry) Refraction');
INSERT INTO `lang_definitions` VALUES (134356, 5859, 25, 'Manual');
INSERT INTO `lang_definitions` VALUES (134357, 5860, 25, 'Manual Posting');
INSERT INTO `lang_definitions` VALUES (134358, 5862, 25, 'Manually retrieve description on Fee Sheet');
INSERT INTO `lang_definitions` VALUES (134359, 5863, 25, 'Manually type into the New DX box above.');
INSERT INTO `lang_definitions` VALUES (134360, 5864, 25, 'Manufacturer');
INSERT INTO `lang_definitions` VALUES (134361, 5865, 25, 'Manx');
INSERT INTO `lang_definitions` VALUES (134362, 5870, 25, 'Mar');
INSERT INTO `lang_definitions` VALUES (134363, 5871, 25, 'Marathi');
INSERT INTO `lang_definitions` VALUES (134364, 5873, 25, 'Marathi (Marāṭhī)');
INSERT INTO `lang_definitions` VALUES (134365, 5874, 25, 'Martie');
INSERT INTO `lang_definitions` VALUES (134366, 5875, 25, 'Distanta reflexa marginala');
INSERT INTO `lang_definitions` VALUES (134367, 5876, 25, 'Marital');
INSERT INTO `lang_definitions` VALUES (134368, 5877, 25, 'Stare Civila');
INSERT INTO `lang_definitions` VALUES (134369, 5879, 25, 'Marcheaza ca facturat');
INSERT INTO `lang_definitions` VALUES (134370, 5880, 25, 'Marcheaza ca facturat dar sari peste facturare');
INSERT INTO `lang_definitions` VALUES (134371, 5881, 25, 'Marcheaza ca sters');
INSERT INTO `lang_definitions` VALUES (134372, 5882, 25, 'Marcheaza ca nefacturat');
INSERT INTO `lang_definitions` VALUES (134373, 5885, 25, 'Marcheaza acest raport ca revizuit');
INSERT INTO `lang_definitions` VALUES (134374, 5886, 25, 'Marcat ca sters');
INSERT INTO `lang_definitions` VALUES (134375, 5887, 25, 'Casatorit');
INSERT INTO `lang_definitions` VALUES (134376, 5888, 25, 'Marshallese');
INSERT INTO `lang_definitions` VALUES (134377, 5889, 25, 'Masca');
INSERT INTO `lang_definitions` VALUES (134378, 5890, 25, 'Masca pentru numere factura');
INSERT INTO `lang_definitions` VALUES (134379, 5891, 25, 'Masca pentru ID pacienti');
INSERT INTO `lang_definitions` VALUES (134380, 5892, 25, 'Masca pentru ID produse');
INSERT INTO `lang_definitions` VALUES (134381, 5893, 25, 'Centru de vaccinare');
INSERT INTO `lang_definitions` VALUES (134382, 5894, 25, 'Match');
INSERT INTO `lang_definitions` VALUES (134383, 5895, 25, 'Match case');
INSERT INTO `lang_definitions` VALUES (134384, 5896, 25, 'Match Found');
INSERT INTO `lang_definitions` VALUES (134385, 5898, 25, 'Matched Patient');
INSERT INTO `lang_definitions` VALUES (134386, 5900, 25, 'Matusa pe linie materna');
INSERT INTO `lang_definitions` VALUES (134387, 5901, 25, 'Var pe linie materna');
INSERT INTO `lang_definitions` VALUES (134388, 5902, 25, 'Bunici materni');
INSERT INTO `lang_definitions` VALUES (134389, 5903, 25, 'Strabunici materni');
INSERT INTO `lang_definitions` VALUES (134390, 5904, 25, 'Unchi matern');
INSERT INTO `lang_definitions` VALUES (134391, 5905, 25, 'Matrice');
INSERT INTO `lang_definitions` VALUES (134392, 5906, 25, 'max');
INSERT INTO `lang_definitions` VALUES (134393, 5907, 25, 'Max');
INSERT INTO `lang_definitions` VALUES (134394, 5909, 25, 'max file count reached');
INSERT INTO `lang_definitions` VALUES (134395, 5910, 25, 'max file count reached - reload names below');
INSERT INTO `lang_definitions` VALUES (134396, 5911, 25, 'Max Size');
INSERT INTO `lang_definitions` VALUES (134397, 5912, 25, 'Dreapta maxilara:');
INSERT INTO `lang_definitions` VALUES (134398, 5913, 25, 'Varsta maxima');
INSERT INTO `lang_definitions` VALUES (134399, 5914, 25, 'Maximum characters');
INSERT INTO `lang_definitions` VALUES (134400, 5917, 25, 'Maximum idle time in seconds before logout. Default is 7200 (2 hours).');
INSERT INTO `lang_definitions` VALUES (134401, 5918, 25, 'Maximum number of times a Patient can be tested in a year');
INSERT INTO `lang_definitions` VALUES (134402, 5919, 25, 'Maximum number of times a Patient can be tested in a year. Zero is no limit.');
INSERT INTO `lang_definitions` VALUES (134403, 5920, 25, 'Maximum reasonable inventory, 0 if not applicable');
INSERT INTO `lang_definitions` VALUES (134404, 5921, 25, 'Dimensiune maxima');
INSERT INTO `lang_definitions` VALUES (134405, 5922, 25, 'Maximum Size (entering 0 will allow any size)');
INSERT INTO `lang_definitions` VALUES (134406, 5923, 25, 'Maximum size of thumbnail file');
INSERT INTO `lang_definitions` VALUES (134407, 5924, 25, 'Mai');
INSERT INTO `lang_definitions` VALUES (134408, 5926, 25, 'MC');
INSERT INTO `lang_definitions` VALUES (134409, 5927, 25, 'mcg');
INSERT INTO `lang_definitions` VALUES (134410, 5928, 25, 'Nume categorie document MDM');
INSERT INTO `lang_definitions` VALUES (134411, 5929, 25, 'Means none of last three passwords are allowed when changing a password.');
INSERT INTO `lang_definitions` VALUES (134412, 5930, 25, 'Masoara presiunea arteriala');
INSERT INTO `lang_definitions` VALUES (134413, 5931, 25, 'Masoara cod grup');
INSERT INTO `lang_definitions` VALUES (134414, 5932, 25, 'Masoara INR');
INSERT INTO `lang_definitions` VALUES (134415, 5933, 25, 'Masurare');
INSERT INTO `lang_definitions` VALUES (134416, 5938, 25, 'Medial Canthi');
INSERT INTO `lang_definitions` VALUES (134417, 5939, 25, 'Medial malleolus:');
INSERT INTO `lang_definitions` VALUES (134418, 5940, 25, 'Asistenta medicala');
INSERT INTO `lang_definitions` VALUES (134419, 5942, 25, 'Medical');
INSERT INTO `lang_definitions` VALUES (134420, 5943, 25, 'Avort medical');
INSERT INTO `lang_definitions` VALUES (134421, 5944, 25, 'Administrare medicala');
INSERT INTO `lang_definitions` VALUES (134422, 5946, 25, 'Istoric Medical');
INSERT INTO `lang_definitions` VALUES (134423, 5947, 25, 'Problema medicala');
INSERT INTO `lang_definitions` VALUES (134424, 5948, 25, 'Problema medicala');
INSERT INTO `lang_definitions` VALUES (134425, 5951, 25, 'Problema Medicala');
INSERT INTO `lang_definitions` VALUES (134426, 5952, 25, 'Problema medicala');
INSERT INTO `lang_definitions` VALUES (134427, 5953, 25, 'Lista de Probleme medicale');
INSERT INTO `lang_definitions` VALUES (134428, 5954, 25, 'Probleme Medicale');
INSERT INTO `lang_definitions` VALUES (134429, 5956, 25, 'Dosar Medical');
INSERT INTO `lang_definitions` VALUES (134430, 5957, 25, 'Dosar Medical #');
INSERT INTO `lang_definitions` VALUES (134431, 5959, 25, 'Inregistrari medicale');
INSERT INTO `lang_definitions` VALUES (134432, 5961, 25, 'Dosar medical trimis');
INSERT INTO `lang_definitions` VALUES (134433, 5962, 25, 'Specialitate medicala');
INSERT INTO `lang_definitions` VALUES (134434, 5963, 25, 'Rezumat medical dat');
INSERT INTO `lang_definitions` VALUES (134435, 5964, 25, 'Sistem medical');
INSERT INTO `lang_definitions` VALUES (134436, 5965, 25, 'Tip medical');
INSERT INTO `lang_definitions` VALUES (134437, 5966, 25, 'Medical/History (write,addonly optional)');
INSERT INTO `lang_definitions` VALUES (134438, 5968, 25, 'Medicare Part B');
INSERT INTO `lang_definitions` VALUES (134439, 5969, 25, 'Medicare Referrer Is Renderer');
INSERT INTO `lang_definitions` VALUES (134440, 5970, 25, 'Medicatie');
INSERT INTO `lang_definitions` VALUES (134441, 5971, 25, 'Lista de alergii la medicamente');
INSERT INTO `lang_definitions` VALUES (134442, 5972, 25, 'Lista de probleme medicatie');
INSERT INTO `lang_definitions` VALUES (134443, 5973, 25, 'Lsita medicatie');
INSERT INTO `lang_definitions` VALUES (134444, 5974, 25, 'Reconciliere medicatie executata?');
INSERT INTO `lang_definitions` VALUES (134445, 5975, 25, 'Medicatii:');
INSERT INTO `lang_definitions` VALUES (134446, 5978, 25, 'Medicatii:');
INSERT INTO `lang_definitions` VALUES (134447, 5979, 25, 'Unitati de medicina');
INSERT INTO `lang_definitions` VALUES (134448, 5980, 25, 'Mediu');
INSERT INTO `lang_definitions` VALUES (134449, 5982, 25, 'MedlinePlus Connect');
INSERT INTO `lang_definitions` VALUES (134450, 5983, 25, 'med{{medial}}');
INSERT INTO `lang_definitions` VALUES (134451, 5984, 25, 'Member Association Statistics Report');
INSERT INTO `lang_definitions` VALUES (134452, 5986, 25, 'Probleme de memorie');
INSERT INTO `lang_definitions` VALUES (134453, 5987, 25, 'Barbati');
INSERT INTO `lang_definitions` VALUES (134454, 5988, 25, 'Barbati si femei');
INSERT INTO `lang_definitions` VALUES (134455, 5989, 25, 'Numai barbati');
INSERT INTO `lang_definitions` VALUES (134456, 5990, 25, 'Menarche');
INSERT INTO `lang_definitions` VALUES (134457, 5991, 25, 'Menopauza');
INSERT INTO `lang_definitions` VALUES (134458, 5992, 25, 'Flux menstrual');
INSERT INTO `lang_definitions` VALUES (134459, 5993, 25, 'Frecventa menstruala');
INSERT INTO `lang_definitions` VALUES (134460, 5994, 25, 'Bolnav mintal');
INSERT INTO `lang_definitions` VALUES (134461, 5995, 25, 'Stare mentala');
INSERT INTO `lang_definitions` VALUES (134462, 5998, 25, 'Menu Text');
INSERT INTO `lang_definitions` VALUES (134463, 5999, 25, 'Meniuri');
INSERT INTO `lang_definitions` VALUES (134464, 6001, 25, 'Merge');
INSERT INTO `lang_definitions` VALUES (134465, 6002, 25, 'Merge complete.');
INSERT INTO `lang_definitions` VALUES (134466, 6003, 25, 'Lipire pacienti');
INSERT INTO `lang_definitions` VALUES (134467, 6004, 25, 'Lipire la orice pacient');
INSERT INTO `lang_definitions` VALUES (134468, 6005, 25, 'Mesaj');
INSERT INTO `lang_definitions` VALUES (134469, 6006, 25, 'Message and Reminder Center');
INSERT INTO `lang_definitions` VALUES (134470, 6009, 25, 'Message content is not plain text so it has been stored as a document.');
INSERT INTO `lang_definitions` VALUES (134471, 6010, 25, 'Mesaj de la pacient');
INSERT INTO `lang_definitions` VALUES (134472, 6012, 25, 'Message Sent');
INSERT INTO `lang_definitions` VALUES (134473, 6013, 25, 'Message Status');
INSERT INTO `lang_definitions` VALUES (134474, 6014, 25, 'Titlu mesaj');
INSERT INTO `lang_definitions` VALUES (134475, 6015, 25, 'Mesaj catre pacient');
INSERT INTO `lang_definitions` VALUES (134476, 6017, 25, 'Tip mesaj');
INSERT INTO `lang_definitions` VALUES (134477, 6018, 25, 'MESAJ:');
INSERT INTO `lang_definitions` VALUES (134478, 6019, 25, 'Mesaje');
INSERT INTO `lang_definitions` VALUES (134479, 6022, 25, 'Mesaje trimise azi');
INSERT INTO `lang_definitions` VALUES (134480, 6026, 25, 'Metoda');
INSERT INTO `lang_definitions` VALUES (134481, 6027, 25, 'Metoda si produs specific');
INSERT INTO `lang_definitions` VALUES (134482, 6028, 25, 'Modificare metoda la aceasta clinica');
INSERT INTO `lang_definitions` VALUES (134483, 6029, 25, 'Method for sending outgoing email.');
INSERT INTO `lang_definitions` VALUES (134484, 6030, 25, 'Metoda distrugere');
INSERT INTO `lang_definitions` VALUES (134485, 6031, 25, 'Mexican/MexAmer/Chicano');
INSERT INTO `lang_definitions` VALUES (134486, 6032, 25, 'Mexico');
INSERT INTO `lang_definitions` VALUES (134487, 6038, 25, 'mg');
INSERT INTO `lang_definitions` VALUES (134488, 6039, 25, 'mg/1cc');
INSERT INTO `lang_definitions` VALUES (134489, 6040, 25, 'mg/2cc');
INSERT INTO `lang_definitions` VALUES (134490, 6041, 25, 'mg/3cc');
INSERT INTO `lang_definitions` VALUES (134491, 6042, 25, 'mg/4cc');
INSERT INTO `lang_definitions` VALUES (134492, 6043, 25, 'mg/5cc');
INSERT INTO `lang_definitions` VALUES (134493, 6044, 25, 'MG/DL');
INSERT INTO `lang_definitions` VALUES (134494, 6045, 25, 'mid{{middle}}');
INSERT INTO `lang_definitions` VALUES (134495, 6046, 25, 'Mijloc');
INSERT INTO `lang_definitions` VALUES (134496, 6047, 25, 'Al doilea prenume');
INSERT INTO `lang_definitions` VALUES (134497, 6048, 25, 'Al doilea prenume');
INSERT INTO `lang_definitions` VALUES (134498, 6050, 25, 'Prescriptor nivel mediu');
INSERT INTO `lang_definitions` VALUES (134499, 6051, 25, 'Prescriptor nivel mediu DEA');
INSERT INTO `lang_definitions` VALUES (134500, 6052, 25, 'Nume presciptor nivel mediu');
INSERT INTO `lang_definitions` VALUES (134501, 6053, 25, 'Prenume prescriptor nivel mediu');
INSERT INTO `lang_definitions` VALUES (134502, 6055, 25, 'Prefix prescriptor nivel mediu');
INSERT INTO `lang_definitions` VALUES (134503, 6056, 25, 'UPIN presciptor  nivel mediu');
INSERT INTO `lang_definitions` VALUES (134504, 6057, 25, 'Mid{{Middle Distance Add}}');
INSERT INTO `lang_definitions` VALUES (134505, 6058, 25, 'Mid{{middle Rx strength}}');
INSERT INTO `lang_definitions` VALUES (134506, 6059, 25, 'Mid{{Middle segment in a trifocal glasses prescription}}');
INSERT INTO `lang_definitions` VALUES (134507, 6060, 25, 'mid{{middle}}');
INSERT INTO `lang_definitions` VALUES (134508, 6061, 25, 'Infatisare');
INSERT INTO `lang_definitions` VALUES (134509, 6062, 25, 'Migrant sau lucrator sezonier?');
INSERT INTO `lang_definitions` VALUES (134510, 6064, 25, 'Migrant/sezoier');
INSERT INTO `lang_definitions` VALUES (134511, 6065, 25, 'Mil/CU.MM');
INSERT INTO `lang_definitions` VALUES (134512, 6066, 25, 'Slab');
INSERT INTO `lang_definitions` VALUES (134513, 6067, 25, 'Slab la moderat');
INSERT INTO `lang_definitions` VALUES (134514, 6068, 25, 'Unitate de tratament militar');
INSERT INTO `lang_definitions` VALUES (134515, 6069, 25, 'MIME Type');
INSERT INTO `lang_definitions` VALUES (134516, 6070, 25, 'MimeType');
INSERT INTO `lang_definitions` VALUES (134517, 6071, 25, 'Min');
INSERT INTO `lang_definitions` VALUES (134518, 6072, 25, 'min');
INSERT INTO `lang_definitions` VALUES (134519, 6077, 25, 'Varsta minima');
INSERT INTO `lang_definitions` VALUES (134520, 6080, 25, 'Minor joint strain +/- synovitis');
INSERT INTO `lang_definitions` VALUES (134521, 6081, 25, 'minut');
INSERT INTO `lang_definitions` VALUES (134522, 6082, 25, 'Minut');
INSERT INTO `lang_definitions` VALUES (134523, 6083, 25, 'Minute');
INSERT INTO `lang_definitions` VALUES (134524, 6084, 25, 'minute');
INSERT INTO `lang_definitions` VALUES (134525, 6085, 25, 'Mirth IP');
INSERT INTO `lang_definitions` VALUES (134526, 6086, 25, 'Misc');
INSERT INTO `lang_definitions` VALUES (134527, 6087, 25, 'Optiuni diferite de plata');
INSERT INTO `lang_definitions` VALUES (134528, 6088, 25, 'Optiuni diferite de plata pentru HCFA-1500');
INSERT INTO `lang_definitions` VALUES (134529, 6089, 25, 'Optiuni diferite de plata HCFA-1500');
INSERT INTO `lang_definitions` VALUES (134530, 6090, 25, 'Diferite');
INSERT INTO `lang_definitions` VALUES (134531, 6092, 25, 'Lipsa');
INSERT INTO `lang_definitions` VALUES (134532, 6093, 25, 'disparut');
INSERT INTO `lang_definitions` VALUES (134533, 6094, 25, 'Missing a required field');
INSERT INTO `lang_definitions` VALUES (134534, 6097, 25, 'Taxa lipsa');
INSERT INTO `lang_definitions` VALUES (134535, 6100, 25, 'Missing Mods Only');
INSERT INTO `lang_definitions` VALUES (134536, 6101, 25, 'Missing or Invalid');
INSERT INTO `lang_definitions` VALUES (134537, 6103, 25, 'Missing PID.');
INSERT INTO `lang_definitions` VALUES (134538, 6104, 25, 'Lipsa data raport');
INSERT INTO `lang_definitions` VALUES (134539, 6105, 25, 'Missing slash after payer in source for code');
INSERT INTO `lang_definitions` VALUES (134540, 6108, 25, 'Tilu lipsa');
INSERT INTO `lang_definitions` VALUES (134541, 6111, 25, 'Mixat');
INSERT INTO `lang_definitions` VALUES (134542, 6112, 25, 'mL');
INSERT INTO `lang_definitions` VALUES (134543, 6113, 25, 'ml');
INSERT INTO `lang_definitions` VALUES (134544, 6114, 25, 'MM/DD/YYYY');
INSERT INTO `lang_definitions` VALUES (134545, 6115, 25, 'mm/hg');
INSERT INTO `lang_definitions` VALUES (134546, 6116, 25, 'mmHg');
INSERT INTO `lang_definitions` VALUES (134547, 6117, 25, 'MMR 1');
INSERT INTO `lang_definitions` VALUES (134548, 6118, 25, 'MMR 2');
INSERT INTO `lang_definitions` VALUES (134549, 6119, 25, 'mm{{millimeters}}');
INSERT INTO `lang_definitions` VALUES (134550, 6120, 25, 'Mobil');
INSERT INTO `lang_definitions` VALUES (134551, 6121, 25, 'Tel mobil');
INSERT INTO `lang_definitions` VALUES (134552, 6124, 25, 'Unitate mobila');
INSERT INTO `lang_definitions` VALUES (134553, 6125, 25, 'Mod');
INSERT INTO `lang_definitions` VALUES (134554, 6126, 25, 'Data Mod');
INSERT INTO `lang_definitions` VALUES (134555, 6128, 25, 'Moderat');
INSERT INTO `lang_definitions` VALUES (134556, 6129, 25, 'Proritate moderata');
INSERT INTO `lang_definitions` VALUES (134557, 6130, 25, 'Moderat la sever');
INSERT INTO `lang_definitions` VALUES (134558, 6131, 25, 'Proritate scazuta/moderata');
INSERT INTO `lang_definitions` VALUES (134559, 6132, 25, 'Modern/imagini');
INSERT INTO `lang_definitions` VALUES (134560, 6133, 25, 'Modificator');
INSERT INTO `lang_definitions` VALUES (134561, 6134, 25, 'Modifier 22: Increased Procedural Services: When the work required to provide a service is substantially greater than typically required, it may be identified by adding modifier 22 to the usual procedure code.');
INSERT INTO `lang_definitions` VALUES (134562, 6135, 25, 'Modifier 24: Unrelated Evaluation and Management Service by the Same Physician During a Postoperative Period');
INSERT INTO `lang_definitions` VALUES (134563, 6136, 25, 'Modifier 25: Significant, separately identifiable evaluation and management (E/M) service by the same physician on the day of a procedure or other service');
INSERT INTO `lang_definitions` VALUES (134564, 6137, 25, 'Modifier 57: Indicates an Evaluation and Management (E/M) service resulted in the initial decision to perform surgery either the day before a major surgery (90 day global) or the day of a major surgery.');
INSERT INTO `lang_definitions` VALUES (134565, 6139, 25, 'Modificatori');
INSERT INTO `lang_definitions` VALUES (134566, 6140, 25, 'Modifica');
INSERT INTO `lang_definitions` VALUES (134567, 6141, 25, 'Modifica data');
INSERT INTO `lang_definitions` VALUES (134568, 6142, 25, 'Modifica formular pacient');
INSERT INTO `lang_definitions` VALUES (134569, 6143, 25, 'Modifica plati');
INSERT INTO `lang_definitions` VALUES (134570, 6144, 25, 'Modificand');
INSERT INTO `lang_definitions` VALUES (134571, 6145, 25, 'ModLength');
INSERT INTO `lang_definitions` VALUES (134572, 6146, 25, 'Modul');
INSERT INTO `lang_definitions` VALUES (134573, 6147, 25, 'Module Directory not found');
INSERT INTO `lang_definitions` VALUES (134574, 6148, 25, 'Module Installer');
INSERT INTO `lang_definitions` VALUES (134575, 6149, 25, 'Nume modul');
INSERT INTO `lang_definitions` VALUES (134576, 6150, 25, 'Nume modul existent');
INSERT INTO `lang_definitions` VALUES (134577, 6151, 25, 'Modele');
INSERT INTO `lang_definitions` VALUES (134578, 6153, 25, 'Luni');
INSERT INTO `lang_definitions` VALUES (134579, 6154, 25, 'Lu-Vi');
INSERT INTO `lang_definitions` VALUES (134580, 6155, 25, 'Lu, Mi &amp; Vi');
INSERT INTO `lang_definitions` VALUES (134581, 6156, 25, 'Luni');
INSERT INTO `lang_definitions` VALUES (134582, 6157, 25, 'Mongolian');
INSERT INTO `lang_definitions` VALUES (134583, 6158, 25, 'Monocular Pupillary Diameter - Distance');
INSERT INTO `lang_definitions` VALUES (134584, 6159, 25, 'Monocular Pupillary Diameter - Near');
INSERT INTO `lang_definitions` VALUES (134585, 6160, 25, 'luna');
INSERT INTO `lang_definitions` VALUES (134586, 6161, 25, 'Luna');
INSERT INTO `lang_definitions` VALUES (134587, 6162, 25, 'Vedere luna');
INSERT INTO `lang_definitions` VALUES (134588, 6163, 25, 'Luna(i)');
INSERT INTO `lang_definitions` VALUES (134589, 6164, 25, 'Intrari lunare');
INSERT INTO `lang_definitions` VALUES (134590, 6165, 25, 'luni');
INSERT INTO `lang_definitions` VALUES (134591, 6166, 25, 'Luni');
INSERT INTO `lang_definitions` VALUES (134592, 6168, 25, 'Mood/Affect Nml{{Mood and affect normal}}');
INSERT INTO `lang_definitions` VALUES (134593, 6179, 25, 'More than 100 records found. Please narrow your search criteria.');
INSERT INTO `lang_definitions` VALUES (134594, 6180, 25, 'More than 50 results, please make your search more specific.');
INSERT INTO `lang_definitions` VALUES (134595, 6184, 25, 'Most column headers can be clicked to change sort order');
INSERT INTO `lang_definitions` VALUES (134596, 6186, 25, 'Cel mai recent de la');
INSERT INTO `lang_definitions` VALUES (134597, 6187, 25, 'Cele mai recente date laborator:');
INSERT INTO `lang_definitions` VALUES (134598, 6189, 25, 'Cele mai recente vitale de la:');
INSERT INTO `lang_definitions` VALUES (134599, 6190, 25, 'Mama');
INSERT INTO `lang_definitions` VALUES (134600, 6191, 25, 'Numele Mamei');
INSERT INTO `lang_definitions` VALUES (134601, 6192, 25, 'Istoricul Mamei');
INSERT INTO `lang_definitions` VALUES (134602, 6194, 25, 'Motilitatii');
INSERT INTO `lang_definitions` VALUES (134603, 6195, 25, 'Gura');
INSERT INTO `lang_definitions` VALUES (134604, 6196, 25, 'Move');
INSERT INTO `lang_definitions` VALUES (134605, 6197, 25, 'Move Document to Category:');
INSERT INTO `lang_definitions` VALUES (134606, 6198, 25, 'Move Down');
INSERT INTO `lang_definitions` VALUES (134607, 6199, 25, 'Move failed!');
INSERT INTO `lang_definitions` VALUES (134608, 6201, 25, 'Move to Patient');
INSERT INTO `lang_definitions` VALUES (134609, 6202, 25, 'Move to...');
INSERT INTO `lang_definitions` VALUES (134610, 6203, 25, 'Move Up');
INSERT INTO `lang_definitions` VALUES (134611, 6204, 25, 'Moving');
INSERT INTO `lang_definitions` VALUES (134612, 6205, 25, 'Lu{{Luni}}');
INSERT INTO `lang_definitions` VALUES (134613, 6206, 25, 'MPD-D{{abbreviation for Monocular Pupillary Diameter - Distance}}');
INSERT INTO `lang_definitions` VALUES (134614, 6207, 25, 'MPD-N{{abbreviation for Monocular Pupillary Diameter - Near}}');
INSERT INTO `lang_definitions` VALUES (134615, 6209, 25, 'Dl.');
INSERT INTO `lang_definitions` VALUES (134616, 6210, 25, 'MRD{{marginal reflex distance}}');
INSERT INTO `lang_definitions` VALUES (134617, 6211, 25, 'MRN (pid)');
INSERT INTO `lang_definitions` VALUES (134618, 6213, 25, 'MRNear{{Manifest Near Acuity}}');
INSERT INTO `lang_definitions` VALUES (134619, 6214, 25, 'MRNear{{manifest refraction near}}');
INSERT INTO `lang_definitions` VALUES (134620, 6215, 25, 'Dna.');
INSERT INTO `lang_definitions` VALUES (134621, 6216, 25, 'MR{{Manifest Refraction}}');
INSERT INTO `lang_definitions` VALUES (134622, 6217, 25, 'Dsoara.');
INSERT INTO `lang_definitions` VALUES (134623, 6218, 25, 'MSH-11');
INSERT INTO `lang_definitions` VALUES (134624, 6219, 25, 'MSH-3.1');
INSERT INTO `lang_definitions` VALUES (134625, 6220, 25, 'MSH-4.1');
INSERT INTO `lang_definitions` VALUES (134626, 6221, 25, 'MSH-5.1');
INSERT INTO `lang_definitions` VALUES (134627, 6222, 25, 'MSH-6.1');
INSERT INTO `lang_definitions` VALUES (134628, 6223, 25, 'MSH.8 message type is not supported');
INSERT INTO `lang_definitions` VALUES (134629, 6224, 25, 'MSH.8 message type is not valid');
INSERT INTO `lang_definitions` VALUES (134630, 6226, 25, 'MSP Code');
INSERT INTO `lang_definitions` VALUES (134631, 6227, 25, 'MSP Remit Codes');
INSERT INTO `lang_definitions` VALUES (134632, 6230, 25, 'Multi Language Tool');
INSERT INTO `lang_definitions` VALUES (134633, 6231, 25, 'Multi-select desired DX(s) and click the');
INSERT INTO `lang_definitions` VALUES (134634, 6234, 25, 'Multiple areas');
INSERT INTO `lang_definitions` VALUES (134635, 6236, 25, 'Multiple files can be uploaded at one time by selecting them using CTRL+Click or SHIFT+Click.');
INSERT INTO `lang_definitions` VALUES (134636, 6237, 25, 'Multiple Lots');
INSERT INTO `lang_definitions` VALUES (134637, 6238, 25, 'Multiple modifiers can be separated by colons or spaces, maximum of 4 (M1:M2:M3:M4)');
INSERT INTO `lang_definitions` VALUES (134638, 6239, 25, 'Multiple Select List');
INSERT INTO `lang_definitions` VALUES (134639, 6242, 25, 'Multirasial');
INSERT INTO `lang_definitions` VALUES (134640, 6243, 25, 'Murmur:');
INSERT INTO `lang_definitions` VALUES (134641, 6244, 25, 'Durere musculara');
INSERT INTO `lang_definitions` VALUES (134642, 6245, 25, 'Dureri musculare');
INSERT INTO `lang_definitions` VALUES (134643, 6246, 25, 'Roseata musculara');
INSERT INTO `lang_definitions` VALUES (134644, 6247, 25, 'Rigiditate musculara');
INSERT INTO `lang_definitions` VALUES (134645, 6248, 25, 'Umflatura musculara');
INSERT INTO `lang_definitions` VALUES (134646, 6249, 25, 'Cald muscular');
INSERT INTO `lang_definitions` VALUES (134647, 6250, 25, 'Muschi');
INSERT INTO `lang_definitions` VALUES (134648, 6251, 25, 'Ranire musculara');
INSERT INTO `lang_definitions` VALUES (134649, 6252, 25, 'Musculoskeletal');
INSERT INTO `lang_definitions` VALUES (134650, 6253, 25, 'Musculo{{musculoskeletal}}');
INSERT INTO `lang_definitions` VALUES (134651, 6256, 25, 'Must be empty if SMTP authentication is not used.');
INSERT INTO `lang_definitions` VALUES (134652, 6258, 25, 'Trebuie selectata cel putin o zi!');
INSERT INTO `lang_definitions` VALUES (134653, 6259, 25, 'Mutually Defined');
INSERT INTO `lang_definitions` VALUES (134654, 6260, 25, 'MVA');
INSERT INTO `lang_definitions` VALUES (134655, 6261, 25, 'MVX Code');
INSERT INTO `lang_definitions` VALUES (134656, 6263, 25, 'Valorile mele implicite');
INSERT INTO `lang_definitions` VALUES (134657, 6264, 25, 'Sanatatea mea');
INSERT INTO `lang_definitions` VALUES (134658, 6266, 25, 'Termenul meu');
INSERT INTO `lang_definitions` VALUES (134659, 6267, 25, 'Pe mine');
INSERT INTO `lang_definitions` VALUES (134660, 6268, 25, 'L{{Luni}}');
INSERT INTO `lang_definitions` VALUES (134661, 6269, 25, 'Māori');
INSERT INTO `lang_definitions` VALUES (134662, 6271, 25, 'N/A');
INSERT INTO `lang_definitions` VALUES (134663, 6272, 25, 'n/a');
INSERT INTO `lang_definitions` VALUES (134664, 6273, 25, 'N/A{{not applicable}}');
INSERT INTO `lang_definitions` VALUES (134665, 6274, 25, 'Nume');
INSERT INTO `lang_definitions` VALUES (134666, 6275, 25, 'NUME');
INSERT INTO `lang_definitions` VALUES (134667, 6276, 25, 'Nume (click pentru mai mult)');
INSERT INTO `lang_definitions` VALUES (134668, 6278, 25, 'Nume 1');
INSERT INTO `lang_definitions` VALUES (134669, 6279, 25, 'Nume 2');
INSERT INTO `lang_definitions` VALUES (134670, 6280, 25, 'Numele si tiltul administratorului imunizarii');
INSERT INTO `lang_definitions` VALUES (134671, 6282, 25, 'Numein EMR');
INSERT INTO `lang_definitions` VALUES (134672, 6283, 25, 'Name must be like codetype_code_language.pdf, for example icd9_274.11_en.pdf');
INSERT INTO `lang_definitions` VALUES (134673, 6284, 25, 'Nume al evenimentului');
INSERT INTO `lang_definitions` VALUES (134674, 6285, 25, 'Numele firmei de asigurare');
INSERT INTO `lang_definitions` VALUES (134675, 6286, 25, 'Numele furnizorului');
INSERT INTO `lang_definitions` VALUES (134676, 6287, 25, 'Numele celui care a trimis notificare pacient');
INSERT INTO `lang_definitions` VALUES (134677, 6288, 25, 'Numele chirurgului');
INSERT INTO `lang_definitions` VALUES (134678, 6294, 25, 'Translatare nume');
INSERT INTO `lang_definitions` VALUES (134679, 6295, 25, 'Nume/Valoare');
INSERT INTO `lang_definitions` VALUES (134680, 6296, 25, 'Nume:');
INSERT INTO `lang_definitions` VALUES (134681, 6297, 25, 'Nume');
INSERT INTO `lang_definitions` VALUES (134682, 6300, 25, 'Narilor:');
INSERT INTO `lang_definitions` VALUES (134683, 6301, 25, 'Narilor: Dreapta normal');
INSERT INTO `lang_definitions` VALUES (134684, 6303, 25, 'nazal');
INSERT INTO `lang_definitions` VALUES (134685, 6304, 25, 'Mucoasa nazala roz, linia mediana a septului');
INSERT INTO `lang_definitions` VALUES (134686, 6305, 25, 'Nation Notes');
INSERT INTO `lang_definitions` VALUES (134687, 6308, 25, 'Nation Notes Configure');
INSERT INTO `lang_definitions` VALUES (134688, 6309, 25, 'Nation Notes Replace Buttons');
INSERT INTO `lang_definitions` VALUES (134689, 6310, 25, 'Nationalitate');
INSERT INTO `lang_definitions` VALUES (134690, 6311, 25, 'NationNotes');
INSERT INTO `lang_definitions` VALUES (134691, 6312, 25, 'Incarcare date native');
INSERT INTO `lang_definitions` VALUES (134692, 6313, 25, 'Native Hawaiian or Other Pacific Islander');
INSERT INTO `lang_definitions` VALUES (134693, 6314, 25, 'Copil natural');
INSERT INTO `lang_definitions` VALUES (134694, 6315, 25, 'Copil natural');
INSERT INTO `lang_definitions` VALUES (134695, 6316, 25, 'Parinte natural');
INSERT INTO `lang_definitions` VALUES (134696, 6317, 25, 'Frate/sora natural');
INSERT INTO `lang_definitions` VALUES (134697, 6318, 25, 'Nauru');
INSERT INTO `lang_definitions` VALUES (134698, 6319, 25, 'Nausea');
INSERT INTO `lang_definitions` VALUES (134699, 6321, 25, 'Navajo, Navaho');
INSERT INTO `lang_definitions` VALUES (134700, 6322, 25, 'Navigation');
INSERT INTO `lang_definitions` VALUES (134701, 6323, 25, 'Navigation area includes encounter forms');
INSERT INTO `lang_definitions` VALUES (134702, 6324, 25, 'Navigation area uses full height of frameset');
INSERT INTO `lang_definitions` VALUES (134703, 6325, 25, 'Navigation Area Visit Forms');
INSERT INTO `lang_definitions` VALUES (134704, 6326, 25, 'Navigation Area Width');
INSERT INTO `lang_definitions` VALUES (134705, 6328, 25, 'Navigation menu consists of pairs of radio buttons');
INSERT INTO `lang_definitions` VALUES (134706, 6329, 25, 'Navigation menu is a tree view');
INSERT INTO `lang_definitions` VALUES (134707, 6330, 25, 'Navigation uses a sliding menu');
INSERT INTO `lang_definitions` VALUES (134708, 6331, 25, 'NCI CONCEPT ID');
INSERT INTO `lang_definitions` VALUES (134709, 6332, 25, 'NCOM{{Neuro comments}}');
INSERT INTO `lang_definitions` VALUES (134710, 6334, 25, 'NDC');
INSERT INTO `lang_definitions` VALUES (134711, 6335, 25, 'NDC Data');
INSERT INTO `lang_definitions` VALUES (134712, 6336, 25, 'NDC Number');
INSERT INTO `lang_definitions` VALUES (134713, 6337, 25, 'Ndonga');
INSERT INTO `lang_definitions` VALUES (134714, 6338, 25, 'Aproape');
INSERT INTO `lang_definitions` VALUES (134715, 6339, 25, 'Near Acuity AutoRefraction');
INSERT INTO `lang_definitions` VALUES (134716, 6340, 25, 'Near Acuity Manifest Refraction');
INSERT INTO `lang_definitions` VALUES (134717, 6341, 25, 'Near Acuity with Autorefraction');
INSERT INTO `lang_definitions` VALUES (134718, 6342, 25, 'Near Acuity with Correction');
INSERT INTO `lang_definitions` VALUES (134719, 6343, 25, 'Near Acuity with Manifest (Dry) refraction');
INSERT INTO `lang_definitions` VALUES (134720, 6344, 25, 'Near Acuity without Correction');
INSERT INTO `lang_definitions` VALUES (134721, 6345, 25, 'Near Point of Accomodation');
INSERT INTO `lang_definitions` VALUES (134722, 6346, 25, 'Near Point of Convergence');
INSERT INTO `lang_definitions` VALUES (134723, 6348, 25, 'Gat');
INSERT INTO `lang_definitions` VALUES (134724, 6349, 25, 'Probleme gat');
INSERT INTO `lang_definitions` VALUES (134725, 6350, 25, 'Gat suplu');
INSERT INTO `lang_definitions` VALUES (134726, 6351, 25, 'Aveti nevoie de mai mult de un medicament.');
INSERT INTO `lang_definitions` VALUES (134727, 6352, 25, 'Introdu o descriere');
INSERT INTO `lang_definitions` VALUES (134728, 6353, 25, 'Introdu o valoare retrunata');
INSERT INTO `lang_definitions` VALUES (134729, 6354, 25, 'Introdu un identificator');
INSERT INTO `lang_definitions` VALUES (134730, 6355, 25, 'Introdu un titlu');
INSERT INTO `lang_definitions` VALUES (134731, 6358, 25, 'Needs Auth');
INSERT INTO `lang_definitions` VALUES (134732, 6359, 25, 'Needs Justify');
INSERT INTO `lang_definitions` VALUES (134733, 6360, 25, 'Necesita o facturare secundara');
INSERT INTO `lang_definitions` VALUES (134734, 6361, 25, 'Negativ');
INSERT INTO `lang_definitions` VALUES (134735, 6363, 25, 'Negative');
INSERT INTO `lang_definitions` VALUES (134736, 6364, 25, 'Neg{{negative}}');
INSERT INTO `lang_definitions` VALUES (134737, 6365, 25, 'Vecin');
INSERT INTO `lang_definitions` VALUES (134738, 6366, 25, 'Neo 10%');
INSERT INTO `lang_definitions` VALUES (134739, 6367, 25, 'Neo 2.5%');
INSERT INTO `lang_definitions` VALUES (134740, 6368, 25, 'Nepali');
INSERT INTO `lang_definitions` VALUES (134741, 6369, 25, 'Leziuni ale nervilor');
INSERT INTO `lang_definitions` VALUES (134742, 6371, 25, 'Conditie neurala / Leziunie ale nerviloe');
INSERT INTO `lang_definitions` VALUES (134743, 6372, 25, 'Neuro');
INSERT INTO `lang_definitions` VALUES (134744, 6373, 25, 'Neuro amorteala');
INSERT INTO `lang_definitions` VALUES (134745, 6374, 25, 'Neuro slabiciune');
INSERT INTO `lang_definitions` VALUES (134746, 6375, 25, 'Neuro-psihologie');
INSERT INTO `lang_definitions` VALUES (134747, 6376, 25, 'Valori implicite ale examenului Neuro/Phys');
INSERT INTO `lang_definitions` VALUES (134748, 6377, 25, 'Neurologic');
INSERT INTO `lang_definitions` VALUES (134749, 6378, 25, 'Neurologie');
INSERT INTO `lang_definitions` VALUES (134750, 6379, 25, 'Neuro{{neurologic}}');
INSERT INTO `lang_definitions` VALUES (134751, 6380, 25, 'NEURO{{Neurology}}');
INSERT INTO `lang_definitions` VALUES (134752, 6381, 25, 'Niciodata');
INSERT INTO `lang_definitions` VALUES (134753, 6382, 25, 'Niciodata alcool');
INSERT INTO `lang_definitions` VALUES (134754, 6383, 25, 'Niciodata tutun');
INSERT INTO `lang_definitions` VALUES (134755, 6384, 25, 'Nou');
INSERT INTO `lang_definitions` VALUES (134756, 6385, 25, 'Nou =>');
INSERT INTO `lang_definitions` VALUES (134757, 6386, 25, 'Acceptori noi');
INSERT INTO `lang_definitions` VALUES (134758, 6387, 25, 'Alerte noi');
INSERT INTO `lang_definitions` VALUES (134759, 6388, 25, 'Alergie noua');
INSERT INTO `lang_definitions` VALUES (134760, 6389, 25, 'Noua cerere de modificare');
INSERT INTO `lang_definitions` VALUES (134761, 6390, 25, 'Programare noua');
INSERT INTO `lang_definitions` VALUES (134762, 6391, 25, 'Categorii noi');
INSERT INTO `lang_definitions` VALUES (134763, 6392, 25, 'Categorie noua');
INSERT INTO `lang_definitions` VALUES (134764, 6393, 25, 'Clienti noi');
INSERT INTO `lang_definitions` VALUES (134765, 6394, 25, 'Consultatie noua');
INSERT INTO `lang_definitions` VALUES (134766, 6395, 25, 'New Crop');
INSERT INTO `lang_definitions` VALUES (134767, 6396, 25, 'Adaugat set nou de definitie');
INSERT INTO `lang_definitions` VALUES (134768, 6397, 25, 'Document nou');
INSERT INTO `lang_definitions` VALUES (134769, 6398, 25, 'Documente noi');
INSERT INTO `lang_definitions` VALUES (134770, 6399, 25, 'Mementouri noi');
INSERT INTO `lang_definitions` VALUES (134771, 6400, 25, 'New Dx{{new diagnosis}}');
INSERT INTO `lang_definitions` VALUES (134772, 6401, 25, 'Consultatie noua');
INSERT INTO `lang_definitions` VALUES (134773, 6402, 25, 'Consultatie noua creata cu id');
INSERT INTO `lang_definitions` VALUES (134774, 6403, 25, 'Formular consultatie noua');
INSERT INTO `lang_definitions` VALUES (134775, 6404, 25, 'Consultatii noi neautorizate');
INSERT INTO `lang_definitions` VALUES (134776, 6405, 25, 'Consult nou');
INSERT INTO `lang_definitions` VALUES (134777, 6406, 25, 'Informatii noi centru');
INSERT INTO `lang_definitions` VALUES (134778, 6407, 25, 'Fisier nou');
INSERT INTO `lang_definitions` VALUES (134779, 6408, 25, 'Fisiere noi');
INSERT INTO `lang_definitions` VALUES (134780, 6409, 25, 'Validare formular nou');
INSERT INTO `lang_definitions` VALUES (134781, 6410, 25, 'Grup nou');
INSERT INTO `lang_definitions` VALUES (134782, 6413, 25, 'Informatii grup nou');
INSERT INTO `lang_definitions` VALUES (134783, 6415, 25, 'Inregistrare imunizare noua');
INSERT INTO `lang_definitions` VALUES (134784, 6422, 25, 'New Inj/Status');
INSERT INTO `lang_definitions` VALUES (134785, 6423, 25, 'Itemi noi');
INSERT INTO `lang_definitions` VALUES (134786, 6425, 25, 'Limita noua de evenimente');
INSERT INTO `lang_definitions` VALUES (134787, 6426, 25, 'Lista noua');
INSERT INTO `lang_definitions` VALUES (134788, 6432, 25, 'Comenzi noi');
INSERT INTO `lang_definitions` VALUES (134789, 6433, 25, 'Paragraf nou');
INSERT INTO `lang_definitions` VALUES (134790, 6434, 25, 'Parola noua');
INSERT INTO `lang_definitions` VALUES (134791, 6435, 25, 'Pacient nou');
INSERT INTO `lang_definitions` VALUES (134792, 6436, 25, 'PACIENT NOU');
INSERT INTO `lang_definitions` VALUES (134793, 6437, 25, 'Consultatie pacient nou');
INSERT INTO `lang_definitions` VALUES (134794, 6438, 25, 'Formular pacient nou');
INSERT INTO `lang_definitions` VALUES (134795, 6439, 25, 'IDul pacientului nou');
INSERT INTO `lang_definitions` VALUES (134796, 6441, 25, 'Pacienti noi');
INSERT INTO `lang_definitions` VALUES (134797, 6442, 25, 'Plata noua');
INSERT INTO `lang_definitions` VALUES (134798, 6443, 25, 'New Portal Login');
INSERT INTO `lang_definitions` VALUES (134799, 6445, 25, 'PT nou');
INSERT INTO `lang_definitions` VALUES (134800, 6447, 25, 'Rezultate noi de la Lab Exchange');
INSERT INTO `lang_definitions` VALUES (134801, 6448, 25, 'Cautare noua');
INSERT INTO `lang_definitions` VALUES (134802, 6449, 25, 'Trimiteri noi');
INSERT INTO `lang_definitions` VALUES (134803, 6451, 25, 'User nou');
INSERT INTO `lang_definitions` VALUES (134804, 6452, 25, 'Valoare noua');
INSERT INTO `lang_definitions` VALUES (134805, 6453, 25, 'Vizita noua');
INSERT INTO `lang_definitions` VALUES (134806, 6454, 25, 'Cautare noua');
INSERT INTO `lang_definitions` VALUES (134807, 6455, 25, 'NewCrop Account Status');
INSERT INTO `lang_definitions` VALUES (134808, 6456, 25, 'NewCrop Admin');
INSERT INTO `lang_definitions` VALUES (134809, 6457, 25, 'NewCrop call failed');
INSERT INTO `lang_definitions` VALUES (134810, 6458, 25, 'NewCrop Doctor');
INSERT INTO `lang_definitions` VALUES (134811, 6459, 25, 'NewCrop eRx Account Id');
INSERT INTO `lang_definitions` VALUES (134812, 6460, 25, 'NewCrop eRx Account Name');
INSERT INTO `lang_definitions` VALUES (134813, 6461, 25, 'NewCrop eRx Debug Setting');
INSERT INTO `lang_definitions` VALUES (134814, 6462, 25, 'NewCrop eRx Default Patient Country');
INSERT INTO `lang_definitions` VALUES (134815, 6463, 25, 'NewCrop eRx Name');
INSERT INTO `lang_definitions` VALUES (134816, 6464, 25, 'NewCrop eRx Partner Name');
INSERT INTO `lang_definitions` VALUES (134817, 6465, 25, 'NewCrop eRx Password');
INSERT INTO `lang_definitions` VALUES (134818, 6466, 25, 'NewCrop eRX Role');
INSERT INTO `lang_definitions` VALUES (134819, 6467, 25, 'NewCrop eRx Role');
INSERT INTO `lang_definitions` VALUES (134820, 6468, 25, 'NewCrop eRx Site Address');
INSERT INTO `lang_definitions` VALUES (134821, 6469, 25, 'NewCrop eRx SOAP Request Time-To-Live for Allergies');
INSERT INTO `lang_definitions` VALUES (134822, 6470, 25, 'NewCrop eRx SOAP Request Time-To-Live for Medications');
INSERT INTO `lang_definitions` VALUES (134823, 6471, 25, 'NewCrop eRx User Role');
INSERT INTO `lang_definitions` VALUES (134824, 6472, 25, 'NewCrop eRx User Role * invalid selection *');
INSERT INTO `lang_definitions` VALUES (134825, 6473, 25, 'NewCrop eRx Web Service Address');
INSERT INTO `lang_definitions` VALUES (134826, 6474, 25, 'NewCrop Manager');
INSERT INTO `lang_definitions` VALUES (134827, 6475, 25, 'NewCrop MedEntry');
INSERT INTO `lang_definitions` VALUES (134828, 6476, 25, 'NewCrop Midlevel Prescriber');
INSERT INTO `lang_definitions` VALUES (134829, 6477, 25, 'NewCrop Nurse');
INSERT INTO `lang_definitions` VALUES (134830, 6478, 25, 'NewCrop Supervising Doctor');
INSERT INTO `lang_definitions` VALUES (134831, 6479, 25, 'Mai nou');
INSERT INTO `lang_definitions` VALUES (134832, 6481, 25, 'Ziar');
INSERT INTO `lang_definitions` VALUES (134833, 6482, 25, 'Urmatorul');
INSERT INTO `lang_definitions` VALUES (134834, 6483, 25, 'Urmatoarea data de intalnire');
INSERT INTO `lang_definitions` VALUES (134835, 6484, 25, 'Ziua urmatoare');
INSERT INTO `lang_definitions` VALUES (134836, 6485, 25, 'Luna urmatoare');
INSERT INTO `lang_definitions` VALUES (134837, 6486, 25, 'Luna urmatoare (hold for menu)');
INSERT INTO `lang_definitions` VALUES (134838, 6487, 25, 'Inrudit de aproape');
INSERT INTO `lang_definitions` VALUES (134839, 6488, 25, 'Next Scheduled Run');
INSERT INTO `lang_definitions` VALUES (134840, 6489, 25, 'Urmatoarea vizita');
INSERT INTO `lang_definitions` VALUES (134841, 6490, 25, 'Comenzi vizita urmatoare');
INSERT INTO `lang_definitions` VALUES (134842, 6491, 25, 'Saptamana urmatoare');
INSERT INTO `lang_definitions` VALUES (134843, 6492, 25, 'Anul urmator (hold for menu)');
INSERT INTO `lang_definitions` VALUES (134844, 6493, 25, 'Nick Name');
INSERT INTO `lang_definitions` VALUES (134845, 6494, 25, 'Nickname');
INSERT INTO `lang_definitions` VALUES (134846, 6495, 25, 'Nepot/nepoata');
INSERT INTO `lang_definitions` VALUES (134847, 6496, 25, 'Transpiratii nocturna');
INSERT INTO `lang_definitions` VALUES (134848, 6497, 25, 'NKDA{{No known drug allergies}}');
INSERT INTO `lang_definitions` VALUES (134849, 6498, 25, 'Nl ext genitalia, vag mucosa, cervix');
INSERT INTO `lang_definitions` VALUES (134850, 6499, 25, 'Nu');
INSERT INTO `lang_definitions` VALUES (134851, 6500, 25, 'NU');
INSERT INTO `lang_definitions` VALUES (134852, 6501, 25, 'nu');
INSERT INTO `lang_definitions` VALUES (134853, 6502, 25, 'No access');
INSERT INTO `lang_definitions` VALUES (134854, 6503, 25, 'Niciun memento activ');
INSERT INTO `lang_definitions` VALUES (134855, 6504, 25, 'No adenopathy (2 areas required)');
INSERT INTO `lang_definitions` VALUES (134856, 6505, 25, 'Niciun motiv de ajustare pentur');
INSERT INTO `lang_definitions` VALUES (134857, 6506, 25, 'Nicio slabiciune/mase adnexale');
INSERT INTO `lang_definitions` VALUES (134858, 6508, 25, 'Nicio cerere amendament disponibila');
INSERT INTO `lang_definitions` VALUES (134859, 6509, 25, 'Nico programare');
INSERT INTO `lang_definitions` VALUES (134860, 6510, 25, 'Nu sunt fisiere arhiva');
INSERT INTO `lang_definitions` VALUES (134861, 6511, 25, 'Nicio arhiva');
INSERT INTO `lang_definitions` VALUES (134862, 6513, 25, 'No audit log tampering detected in the selected date range.');
INSERT INTO `lang_definitions` VALUES (134863, 6515, 25, 'Niciun sistem de facturare activ');
INSERT INTO `lang_definitions` VALUES (134864, 6516, 25, 'Nicio factura gasita pentru a fi inclusa in Export OFX');
INSERT INTO `lang_definitions` VALUES (134865, 6517, 25, 'Nicio factura gasita pentru a fi inclusa in Export OFX<br>');
INSERT INTO `lang_definitions` VALUES (134866, 6518, 25, 'Nico modificare detecatat');
INSERT INTO `lang_definitions` VALUES (134867, 6519, 25, 'Nu a fost specificat niciun cod!');
INSERT INTO `lang_definitions` VALUES (134868, 6520, 25, 'Nicio configurare definita pentru acest modul');
INSERT INTO `lang_definitions` VALUES (134869, 6522, 25, 'Nicico data de procesat');
INSERT INTO `lang_definitions` VALUES (134870, 6523, 25, 'Niciun diagnostic');
INSERT INTO `lang_definitions` VALUES (134871, 6524, 25, 'nu a fost generat niciun diagnostic');
INSERT INTO `lang_definitions` VALUES (134872, 6525, 25, 'Niciun document');
INSERT INTO `lang_definitions` VALUES (134873, 6526, 25, 'Nu au fost gasite documente');
INSERT INTO `lang_definitions` VALUES (134874, 6527, 25, 'Nu a fost creata nicio consultatie');
INSERT INTO `lang_definitions` VALUES (134875, 6528, 25, 'No consultatie ...');
INSERT INTO `lang_definitions` VALUES (134876, 6529, 25, 'Nicio data de sfarsit');
INSERT INTO `lang_definitions` VALUES (134877, 6530, 25, 'Nicio intrare gasita, utilizati formularul de mai jos pentru adaugare intrare');
INSERT INTO `lang_definitions` VALUES (134878, 6531, 25, 'Nicio eroare');
INSERT INTO `lang_definitions` VALUES (134879, 6532, 25, 'Niciu eveniment,');
INSERT INTO `lang_definitions` VALUES (134880, 6533, 25, 'Niciun numar de fac salavt pentru organizatia selectata');
INSERT INTO `lang_definitions` VALUES (134881, 6534, 25, 'No files staged for installation');
INSERT INTO `lang_definitions` VALUES (134882, 6536, 25, 'Nu a fost selectat niciun grup');
INSERT INTO `lang_definitions` VALUES (134883, 6537, 25, 'Fara hernie');
INSERT INTO `lang_definitions` VALUES (134884, 6538, 25, 'Fara Hooks disponibile pentru acest modul');
INSERT INTO `lang_definitions` VALUES (134885, 6539, 25, 'Fara Hooks disponibile pentru acest modul');
INSERT INTO `lang_definitions` VALUES (134886, 6540, 25, 'Fara ranire/boala');
INSERT INTO `lang_definitions` VALUES (134887, 6541, 25, 'Fara firme de asigurari gasite');
INSERT INTO `lang_definitions` VALUES (134888, 6542, 25, 'Fara interactiuni gasite');
INSERT INTO `lang_definitions` VALUES (134889, 6544, 25, 'Nicio problema');
INSERT INTO `lang_definitions` VALUES (134890, 6545, 25, 'Fara probleme in aceasta consultatie.');
INSERT INTO `lang_definitions` VALUES (134891, 6546, 25, 'Fara articole in categoria selectata');
INSERT INTO `lang_definitions` VALUES (134892, 6547, 25, 'Fara articole selectaet!');
INSERT INTO `lang_definitions` VALUES (134893, 6548, 25, 'Fara alergii cunoscute');
INSERT INTO `lang_definitions` VALUES (134894, 6549, 25, 'Fara instructiuni clinice cunoscute');
INSERT INTO `lang_definitions` VALUES (134895, 6550, 25, 'Fara consultatii cunoscute');
INSERT INTO `lang_definitions` VALUES (134896, 6551, 25, 'Fara imunizari cunoscute');
INSERT INTO `lang_definitions` VALUES (134897, 6552, 25, 'Fara rezultate de laborator cunoscute');
INSERT INTO `lang_definitions` VALUES (134898, 6553, 25, 'Fara medicatie cunoscuta');
INSERT INTO `lang_definitions` VALUES (134899, 6554, 25, 'Fara un plan de ingrijire');
INSERT INTO `lang_definitions` VALUES (134900, 6555, 25, 'Fara probleme cunoscute');
INSERT INTO `lang_definitions` VALUES (134901, 6556, 25, 'Fara proceduri cunoscute');
INSERT INTO `lang_definitions` VALUES (134902, 6557, 25, 'Fara referiri cunoscute');
INSERT INTO `lang_definitions` VALUES (134903, 6558, 25, 'Niciun statut social functional cunoscut');
INSERT INTO `lang_definitions` VALUES (134904, 6559, 25, 'Niciun istoric social cunsocut');
INSERT INTO `lang_definitions` VALUES (134905, 6560, 25, 'Fara vitale cunoscute');
INSERT INTO `lang_definitions` VALUES (134906, 6561, 25, 'Nu au fost documentate date laborator.');
INSERT INTO `lang_definitions` VALUES (134907, 6562, 25, 'No log file exist for the selected date');
INSERT INTO `lang_definitions` VALUES (134908, 6563, 25, 'No logging');
INSERT INTO `lang_definitions` VALUES (134909, 6564, 25, 'No logs older than 7 days');
INSERT INTO `lang_definitions` VALUES (134910, 6565, 25, 'Fara masa, sensibilitate');
INSERT INTO `lang_definitions` VALUES (134911, 6566, 25, 'No match Patient record found for the given Re Idenitification code');
INSERT INTO `lang_definitions` VALUES (134912, 6568, 25, 'Nu am gasit nimic. Incerca o noua cautare');
INSERT INTO `lang_definitions` VALUES (134913, 6569, 25, 'Nu am gasit nimic.');
INSERT INTO `lang_definitions` VALUES (134914, 6570, 25, 'Nu am gasit nimic. Creaza pacient nou?');
INSERT INTO `lang_definitions` VALUES (134915, 6571, 25, 'Nu am gasit inregistrari');
INSERT INTO `lang_definitions` VALUES (134916, 6577, 25, 'Nu am gasit rezultate noi');
INSERT INTO `lang_definitions` VALUES (134917, 6578, 25, 'Fara note');
INSERT INTO `lang_definitions` VALUES (134918, 6579, 25, 'No ogrganomegoly');
INSERT INTO `lang_definitions` VALUES (134919, 6580, 25, 'Nu a fost gasita nicio deschidere pentru aceasta perioada');
INSERT INTO `lang_definitions` VALUES (134920, 6583, 25, 'Niciun alt numar de telefon listat');
INSERT INTO `lang_definitions` VALUES (134921, 6584, 25, 'Nu au fost selectati parametrii');
INSERT INTO `lang_definitions` VALUES (134922, 6585, 25, 'Nu au fost gasiti parteneri');
INSERT INTO `lang_definitions` VALUES (134923, 6586, 25, 'Nicio inregistrare Pacient gasita pentru criteriile date');
INSERT INTO `lang_definitions` VALUES (134924, 6587, 25, 'Nicio inregistrare Pacient gasita pentru codul dat');
INSERT INTO `lang_definitions` VALUES (134925, 6588, 25, 'Fara edem periferic');
INSERT INTO `lang_definitions` VALUES (134926, 6589, 25, 'Fara farmacii gasite');
INSERT INTO `lang_definitions` VALUES (134927, 6590, 25, 'Fara prescriptii gasite');
INSERT INTO `lang_definitions` VALUES (134928, 6592, 25, 'Nu prezinta boala/vatamare');
INSERT INTO `lang_definitions` VALUES (134929, 6593, 25, 'Fara intrari anterioare');
INSERT INTO `lang_definitions` VALUES (134930, 6594, 25, 'Nicio entitate de afaceri selectata in lista de centre');
INSERT INTO `lang_definitions` VALUES (134931, 6595, 25, 'Nu exista intalniri anterioare.');
INSERT INTO `lang_definitions` VALUES (134932, 6596, 25, 'Fara proceduri in aceasta consultatie');
INSERT INTO `lang_definitions` VALUES (134933, 6597, 25, 'Niciun furnizor nu a fost potrivit');
INSERT INTO `lang_definitions` VALUES (134934, 6598, 25, 'Niciun furnizor gasit');
INSERT INTO `lang_definitions` VALUES (134935, 6599, 25, 'Nicio eruptie cutanata sau leziuni anormale');
INSERT INTO `lang_definitions` VALUES (134936, 6602, 25, 'Nu au fost gasite inregistrari');
INSERT INTO `lang_definitions` VALUES (134937, 6603, 25, 'Nu au fost gasite inregistrari.');
INSERT INTO `lang_definitions` VALUES (134938, 6604, 25, 'Nu au fost gasite inregistrari. Expandati criteriile de cautare.');
INSERT INTO `lang_definitions` VALUES (134939, 6606, 25, 'Nu exista memento');
INSERT INTO `lang_definitions` VALUES (134940, 6607, 25, 'Niciun memento');
INSERT INTO `lang_definitions` VALUES (134941, 6608, 25, 'Nu exista rezultate pentru criteriile de cautare');
INSERT INTO `lang_definitions` VALUES (134942, 6609, 25, 'Fara rezultate');
INSERT INTO `lang_definitions` VALUES (134943, 6610, 25, 'Fara rezultate gasite');
INSERT INTO `lang_definitions` VALUES (134944, 6612, 25, 'Niciun rezultat gasit pentru cautarea');
INSERT INTO `lang_definitions` VALUES (134945, 6613, 25, 'Niciun rezultat gasit, incercati din nou.');
INSERT INTO `lang_definitions` VALUES (134946, 6614, 25, 'Fara rezultate, incercati din nou.');
INSERT INTO `lang_definitions` VALUES (134947, 6615, 25, 'Fara rezultate, incercati din nou.');
INSERT INTO `lang_definitions` VALUES (134948, 6617, 25, 'Fara setari disponibile in acest modul');
INSERT INTO `lang_definitions` VALUES (134949, 6618, 25, 'Nu arata');
INSERT INTO `lang_definitions` VALUES (134950, 6619, 25, 'Nu arata');
INSERT INTO `lang_definitions` VALUES (134951, 6621, 25, 'Nu exista semnaturi pe dosar');
INSERT INTO `lang_definitions` VALUES (134952, 6622, 25, 'Fara sensibilitati ale sinusurilor:');
INSERT INTO `lang_definitions` VALUES (134953, 6623, 25, 'Fara skin dimplig sau noduli de san');
INSERT INTO `lang_definitions` VALUES (134954, 6624, 25, 'NO SUCH CONTEXT NAME');
INSERT INTO `lang_definitions` VALUES (134955, 6625, 25, 'No table selected! Select a table.');
INSERT INTO `lang_definitions` VALUES (134956, 6626, 25, 'Fara sensibilitate testiculara, mase');
INSERT INTO `lang_definitions` VALUES (134957, 6627, 25, 'Nu multumesc');
INSERT INTO `lang_definitions` VALUES (134958, 6628, 25, 'Fara emotii sau tresariri');
INSERT INTO `lang_definitions` VALUES (134959, 6629, 25, 'No track selected');
INSERT INTO `lang_definitions` VALUES (134960, 6630, 25, 'No tracks have been documented.');
INSERT INTO `lang_definitions` VALUES (134961, 6632, 25, 'Nicio vizita');
INSERT INTO `lang_definitions` VALUES (134962, 6633, 25, 'Nu au fost documentate vitale.');
INSERT INTO `lang_definitions` VALUES (134963, 6634, 25, 'Nu, renunta');
INSERT INTO `lang_definitions` VALUES (134964, 6635, 25, 'No-fault Insurance including Auto is Primary');
INSERT INTO `lang_definitions` VALUES (134965, 6636, 25, 'No:');
INSERT INTO `lang_definitions` VALUES (134966, 6637, 25, 'Nocturia');
INSERT INTO `lang_definitions` VALUES (134967, 6638, 25, 'Neplatit');
INSERT INTO `lang_definitions` VALUES (134968, 6640, 25, 'Niciun raport neraportat');
INSERT INTO `lang_definitions` VALUES (134969, 6641, 25, 'Nicio vatamare specifica');
INSERT INTO `lang_definitions` VALUES (134970, 6642, 25, 'Non-electronic');
INSERT INTO `lang_definitions` VALUES (134971, 6643, 25, 'Non-Insulin Dependent Diabetes');
INSERT INTO `lang_definitions` VALUES (134972, 6644, 25, 'Neasigurat');
INSERT INTO `lang_definitions` VALUES (134973, 6645, 25, 'Non-residential Substance Abuse Treatment Facility');
INSERT INTO `lang_definitions` VALUES (134974, 6646, 25, 'Non-SRH Medical');
INSERT INTO `lang_definitions` VALUES (134975, 6647, 25, 'Non-SRH Non-Medical');
INSERT INTO `lang_definitions` VALUES (134976, 6648, 25, 'None');
INSERT INTO `lang_definitions` VALUES (134977, 6649, 25, 'none');
INSERT INTO `lang_definitions` VALUES (134978, 6650, 25, 'Nu sunt definite');
INSERT INTO `lang_definitions` VALUES (134979, 6651, 25, 'Nu sunt documentate');
INSERT INTO `lang_definitions` VALUES (134980, 6652, 25, 'Niciunul nu a fost documentat');
INSERT INTO `lang_definitions` VALUES (134981, 6653, 25, 'Niciunul de mai sus');
INSERT INTO `lang_definitions` VALUES (134982, 6654, 25, 'None of the Top Distribution Row Can be Completly Blank.');
INSERT INTO `lang_definitions` VALUES (134983, 6683, 25, 'Noninsulin Dependent Diabetes');
INSERT INTO `lang_definitions` VALUES (134984, 6684, 25, 'Nor');
INSERT INTO `lang_definitions` VALUES (134985, 6685, 25, 'Normal');
INSERT INTO `lang_definitions` VALUES (134986, 6687, 25, 'Normal BL');
INSERT INTO `lang_definitions` VALUES (134987, 6688, 25, 'Normal Exam Cardiac:');
INSERT INTO `lang_definitions` VALUES (134988, 6689, 25, 'Normal Exam Cardiac:');
INSERT INTO `lang_definitions` VALUES (134989, 6690, 25, 'Normal Exam Plaman:');
INSERT INTO `lang_definitions` VALUES (134990, 6691, 25, 'Normal Exam Plaman:');
INSERT INTO `lang_definitions` VALUES (134991, 6692, 25, 'Vizita normala la birou');
INSERT INTO `lang_definitions` VALUES (134992, 6693, 25, 'Normal Oropharynx:');
INSERT INTO `lang_definitions` VALUES (134993, 6694, 25, 'Dreapta normal');
INSERT INTO `lang_definitions` VALUES (134994, 6695, 25, 'Dreapta normal:');
INSERT INTO `lang_definitions` VALUES (134995, 6696, 25, 'Vedere normala');
INSERT INTO `lang_definitions` VALUES (134996, 6697, 25, 'normal:');
INSERT INTO `lang_definitions` VALUES (134997, 6698, 25, 'Normally this should be checked. Not related to access control.');
INSERT INTO `lang_definitions` VALUES (134998, 6699, 25, 'North Ndebele');
INSERT INTO `lang_definitions` VALUES (134999, 6700, 25, 'Northern Sami');
INSERT INTO `lang_definitions` VALUES (135000, 6701, 25, 'Norwegian');
INSERT INTO `lang_definitions` VALUES (135001, 6703, 25, 'Norwegian Bokmål');
INSERT INTO `lang_definitions` VALUES (135002, 6704, 25, 'Norwegian Nynorsk');
INSERT INTO `lang_definitions` VALUES (135003, 6705, 25, 'Nas');
INSERT INTO `lang_definitions` VALUES (135004, 6706, 25, 'Nosebleed');
INSERT INTO `lang_definitions` VALUES (135005, 6707, 25, 'nu este o litera sau un numar');
INSERT INTO `lang_definitions` VALUES (135006, 6709, 25, 'Not Administered');
INSERT INTO `lang_definitions` VALUES (135007, 6710, 25, 'Not all fields are required for all codes or code types.');
INSERT INTO `lang_definitions` VALUES (135008, 6712, 25, 'Not Allowed');
INSERT INTO `lang_definitions` VALUES (135009, 6713, 25, 'Not allowed to delete the Administrators group');
INSERT INTO `lang_definitions` VALUES (135010, 6714, 25, 'Nu este permisa editarea');
INSERT INTO `lang_definitions` VALUES (135011, 6715, 25, 'Not allowed to inactivate all security objects');
INSERT INTO `lang_definitions` VALUES (135012, 6716, 25, 'Not allowed to inactivate anything from the Administrators ACL');
INSERT INTO `lang_definitions` VALUES (135013, 6717, 25, 'Not allowed to remove the admin user from the Administrators group');
INSERT INTO `lang_definitions` VALUES (135014, 6718, 25, 'Not allowed to remove this user from the Administrators group');
INSERT INTO `lang_definitions` VALUES (135015, 6719, 25, 'Nu se aplica');
INSERT INTO `lang_definitions` VALUES (135016, 6720, 25, 'Not authorised to access PostCalendar module');
INSERT INTO `lang_definitions` VALUES (135017, 6721, 25, 'Neautorizat');
INSERT INTO `lang_definitions` VALUES (135018, 6722, 25, 'Neautorizat');
INSERT INTO `lang_definitions` VALUES (135019, 6723, 25, 'Not authorized for this squad!');
INSERT INTO `lang_definitions` VALUES (135020, 6724, 25, 'Not authorized for this squad.');
INSERT INTO `lang_definitions` VALUES (135021, 6725, 25, 'Neautorizat pentru administrare utilizatori!');
INSERT INTO `lang_definitions` VALUES (135022, 6726, 25, 'Neutorizat pentru semnare rezultate');
INSERT INTO `lang_definitions` VALUES (135023, 6729, 25, 'Nedisponibil');
INSERT INTO `lang_definitions` VALUES (135024, 6730, 25, 'Nu este facturat');
INSERT INTO `lang_definitions` VALUES (135025, 6731, 25, 'Nu este facturat');
INSERT INTO `lang_definitions` VALUES (135026, 6732, 25, 'Not Checked');
INSERT INTO `lang_definitions` VALUES (135027, 6733, 25, 'Not checked out');
INSERT INTO `lang_definitions` VALUES (135028, 6734, 25, 'Nu este codificat');
INSERT INTO `lang_definitions` VALUES (135029, 6735, 25, 'Nu este documentat');
INSERT INTO `lang_definitions` VALUES (135030, 6736, 25, 'Nu se datoreaza');
INSERT INTO `lang_definitions` VALUES (135031, 6737, 25, 'Nu a fost semnat electronic');
INSERT INTO `lang_definitions` VALUES (135032, 6738, 25, 'Nu a fost examinat');
INSERT INTO `lang_definitions` VALUES (135033, 6739, 25, 'Nu a fost examinat:');
INSERT INTO `lang_definitions` VALUES (135034, 6740, 25, 'Nu a fost examinat:');
INSERT INTO `lang_definitions` VALUES (135035, 6742, 25, 'negasit');
INSERT INTO `lang_definitions` VALUES (135036, 6743, 25, 'Negasit');
INSERT INTO `lang_definitions` VALUES (135037, 6744, 25, 'negasit!');
INSERT INTO `lang_definitions` VALUES (135038, 6745, 25, 'Not Hispanic or Latino');
INSERT INTO `lang_definitions` VALUES (135039, 6746, 25, 'Not installed');
INSERT INTO `lang_definitions` VALUES (135040, 6747, 25, 'Not Installed');
INSERT INTO `lang_definitions` VALUES (135041, 6751, 25, 'Nu este vazut de');
INSERT INTO `lang_definitions` VALUES (135042, 6752, 25, 'Netrimis');
INSERT INTO `lang_definitions` VALUES (135043, 6753, 25, 'Netrimis inca');
INSERT INTO `lang_definitions` VALUES (135044, 6754, 25, 'Nu este specificat');
INSERT INTO `lang_definitions` VALUES (135045, 6755, 25, 'Nu este specificat');
INSERT INTO `lang_definitions` VALUES (135046, 6756, 25, 'Nu este eligibil VFC');
INSERT INTO `lang_definitions` VALUES (135047, 6758, 25, 'Nota');
INSERT INTO `lang_definitions` VALUES (135048, 6760, 25, 'Coduri nota');
INSERT INTO `lang_definitions` VALUES (135049, 6762, 25, 'Note it will take 5-10 minutes to fully process after you click Install');
INSERT INTO `lang_definitions` VALUES (135050, 6763, 25, 'Note it will take 5-10 minutes to fully process after you click Upgrade');
INSERT INTO `lang_definitions` VALUES (135051, 6764, 25, 'Note that Audit Logging needs to be enabled above');
INSERT INTO `lang_definitions` VALUES (135052, 6771, 25, 'Tip nota');
INSERT INTO `lang_definitions` VALUES (135053, 6772, 25, 'Note: 12:00 noon is PM, not AM');
INSERT INTO `lang_definitions` VALUES (135054, 6773, 25, 'NOTE: Importing external data can take more than an hour depending on your hardware configuration. For example, one of the RxNorm data tables contain in excess of 6 million rows.');
INSERT INTO `lang_definitions` VALUES (135055, 6774, 25, 'NOTE: Only the Biannual International Snomed Release is currently supported');
INSERT INTO `lang_definitions` VALUES (135056, 6776, 25, 'NOTE: Only the full monthly RxNorm release is currently supported');
INSERT INTO `lang_definitions` VALUES (135057, 6777, 25, 'NOTE: Only the XML formats and Eligible Professionals valuesets supported');
INSERT INTO `lang_definitions` VALUES (135058, 6778, 25, 'NOTE: The import can take up to several hours');
INSERT INTO `lang_definitions` VALUES (135059, 6779, 25, 'Note: This code has not been authorized.');
INSERT INTO `lang_definitions` VALUES (135060, 6780, 25, 'Note: This code was not entered by an authorized user. Only authorized codes may be uploaded to the Open Medical Billing Network for processing. If you wish to upload these codes, please select an authorized user here.');
INSERT INTO `lang_definitions` VALUES (135061, 6781, 25, 'Note: This copay was entered against billing that has not been authorized. Please review status.');
INSERT INTO `lang_definitions` VALUES (135062, 6783, 25, 'NOTE: Uploading files with duplicate names will cause the files to be automatically renamed (for example, file.jpg will become file.1.jpg). Filenames are considered unique per patient, not per category.');
INSERT INTO `lang_definitions` VALUES (135063, 6784, 25, 'NOTE: Uploading files with duplicate names will cause the files to be automatically renamed. For example \'<i>file.jpg</i>\' will become \'<i>file.jpg.1</i>\'. Filenames are considered unique per patient, not per category.');
INSERT INTO `lang_definitions` VALUES (135064, 6785, 25, 'Note');
INSERT INTO `lang_definitions` VALUES (135065, 6788, 25, 'Note - orice consultatie (write,addonly optional)');
INSERT INTO `lang_definitions` VALUES (135066, 6790, 25, 'Note - consultatiile mele (write,addonly optional)');
INSERT INTO `lang_definitions` VALUES (135067, 6793, 25, 'Neautorizat pentru notite');
INSERT INTO `lang_definitions` VALUES (135068, 6795, 25, 'Nu este nimic spre aprobare');
INSERT INTO `lang_definitions` VALUES (135069, 6796, 25, 'Nu s-a inregistrat nimic');
INSERT INTO `lang_definitions` VALUES (135070, 6798, 25, 'Nimic de afisat');
INSERT INTO `lang_definitions` VALUES (135071, 6799, 25, 'Nimic de importat pentru Alergie');
INSERT INTO `lang_definitions` VALUES (135072, 6800, 25, 'Nimic de vizualizat');
INSERT INTO `lang_definitions` VALUES (135073, 6803, 25, 'Nimic de afisat');
INSERT INTO `lang_definitions` VALUES (135074, 6804, 25, 'Nu a fost selectat nimic');
INSERT INTO `lang_definitions` VALUES (135075, 6807, 25, 'Notificare primita');
INSERT INTO `lang_definitions` VALUES (135076, 6808, 25, 'NOTIFICARE: Post calendar prezentarea /modificarea');
INSERT INTO `lang_definitions` VALUES (135077, 6809, 25, 'Notificare');
INSERT INTO `lang_definitions` VALUES (135078, 6810, 25, 'Notificare adresa email');
INSERT INTO `lang_definitions` VALUES (135079, 6813, 25, 'Notificare trimisa la');
INSERT INTO `lang_definitions` VALUES (135080, 6815, 25, 'Notificari');
INSERT INTO `lang_definitions` VALUES (135081, 6816, 25, 'Notify Admin About Event Submission/Modification?');
INSERT INTO `lang_definitions` VALUES (135082, 6820, 25, 'Noiembrie');
INSERT INTO `lang_definitions` VALUES (135083, 6821, 25, 'Noiembrie');
INSERT INTO `lang_definitions` VALUES (135084, 6824, 25, 'Acum postarea pentru:');
INSERT INTO `lang_definitions` VALUES (135085, 6825, 25, 'In tiparire');
INSERT INTO `lang_definitions` VALUES (135086, 6826, 25, 'Now printing $stmt_count statements and updating encounters.');
INSERT INTO `lang_definitions` VALUES (135087, 6827, 25, 'Now printing $stmt_count statements and updating invoices.');
INSERT INTO `lang_definitions` VALUES (135088, 6828, 25, 'Now printing $stmt_count statements; encounters will not be updated.');
INSERT INTO `lang_definitions` VALUES (135089, 6829, 25, 'Now printing $stmt_count statements; invoices will not be updated.');
INSERT INTO `lang_definitions` VALUES (135090, 6832, 25, 'NPA{{near point of accomodation}}');
INSERT INTO `lang_definitions` VALUES (135091, 6833, 25, 'NPC{{near point of convergence}}');
INSERT INTO `lang_definitions` VALUES (135092, 6834, 25, 'NPI');
INSERT INTO `lang_definitions` VALUES (135093, 6836, 25, 'NQF');
INSERT INTO `lang_definitions` VALUES (135094, 6837, 25, 'Numar');
INSERT INTO `lang_definitions` VALUES (135095, 6838, 25, 'Numar labs');
INSERT INTO `lang_definitions` VALUES (135096, 6839, 25, 'Numar de programari');
INSERT INTO `lang_definitions` VALUES (135097, 6841, 25, 'Numar de programari de afisat in portalul pacientului');
INSERT INTO `lang_definitions` VALUES (135098, 6842, 25, 'Numar de programari de afisat in rezumatul pacientului');
INSERT INTO `lang_definitions` VALUES (135099, 6843, 25, 'Numar de coloane de vederea an.');
INSERT INTO `lang_definitions` VALUES (135100, 6844, 25, 'Number of days before showing fifth account message');
INSERT INTO `lang_definitions` VALUES (135101, 6845, 25, 'Number of days before showing first account message');
INSERT INTO `lang_definitions` VALUES (135102, 6846, 25, 'Number of days before showing first account message.');
INSERT INTO `lang_definitions` VALUES (135103, 6847, 25, 'Number of days before showing fourth account message');
INSERT INTO `lang_definitions` VALUES (135104, 6848, 25, 'Number of days before showing second account message');
INSERT INTO `lang_definitions` VALUES (135105, 6849, 25, 'Number of days before showing third account message');
INSERT INTO `lang_definitions` VALUES (135106, 6850, 25, 'Number of days that the client certificate is valid.');
INSERT INTO `lang_definitions` VALUES (135107, 6851, 25, 'Number of days to search from the start date');
INSERT INTO `lang_definitions` VALUES (135108, 6852, 25, 'Number of digits after decimal point for currency, usually 0 or 2.');
INSERT INTO `lang_definitions` VALUES (135109, 6853, 25, 'Number of encounters to display per page.');
INSERT INTO `lang_definitions` VALUES (135110, 6855, 25, 'Number of games or events missed, if any');
INSERT INTO `lang_definitions` VALUES (135111, 6856, 25, 'Number of hours in advance to send email notifications.');
INSERT INTO `lang_definitions` VALUES (135112, 6857, 25, 'Number of hours in advance to send Phone notification.');
INSERT INTO `lang_definitions` VALUES (135113, 6858, 25, 'Number of hours in advance to send SMS notifications.');
INSERT INTO `lang_definitions` VALUES (135114, 6860, 25, 'Number of Minutes to display completed checkouts');
INSERT INTO `lang_definitions` VALUES (135115, 6861, 25, 'Number of Minutes to display completed checkouts. Zero is continuous display');
INSERT INTO `lang_definitions` VALUES (135116, 6862, 25, 'Number of past history columns');
INSERT INTO `lang_definitions` VALUES (135117, 6863, 25, 'Numar de pacienti de afisat pe pagina in lista pacienti');
INSERT INTO `lang_definitions` VALUES (135118, 6864, 25, 'Amorteala');
INSERT INTO `lang_definitions` VALUES (135119, 6865, 25, 'Numarator');
INSERT INTO `lang_definitions` VALUES (135120, 6866, 25, 'Ordine afisare numerica');
INSERT INTO `lang_definitions` VALUES (135121, 6867, 25, 'Nuosu');
INSERT INTO `lang_definitions` VALUES (135122, 6868, 25, 'Centru de ingrijire medicala');
INSERT INTO `lang_definitions` VALUES (135123, 6869, 25, 'Nutritie');
INSERT INTO `lang_definitions` VALUES (135124, 6870, 25, 'Nutritional');
INSERT INTO `lang_definitions` VALUES (135125, 6871, 25, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (135126, 6872, 25, 'O2 Sat');
INSERT INTO `lang_definitions` VALUES (135127, 6874, 25, 'Obezitate I');
INSERT INTO `lang_definitions` VALUES (135128, 6875, 25, 'Obezitate II');
INSERT INTO `lang_definitions` VALUES (135129, 6876, 25, 'Obezitate III');
INSERT INTO `lang_definitions` VALUES (135130, 6877, 25, 'Obiectiv');
INSERT INTO `lang_definitions` VALUES (135131, 6880, 25, 'Criterii de observatie');
INSERT INTO `lang_definitions` VALUES (135132, 6881, 25, 'Valoare creiteriilor de observare');
INSERT INTO `lang_definitions` VALUES (135133, 6882, 25, 'Fromular de observatie');
INSERT INTO `lang_definitions` VALUES (135134, 6883, 25, 'Rezultate observatie');
INSERT INTO `lang_definitions` VALUES (135135, 6884, 25, 'Rezultate observatie in imunizare');
INSERT INTO `lang_definitions` VALUES (135136, 6885, 25, 'Occitan');
INSERT INTO `lang_definitions` VALUES (135137, 6886, 25, 'Ocupatie');
INSERT INTO `lang_definitions` VALUES (135138, 6887, 25, 'Medic de medicina muncii');
INSERT INTO `lang_definitions` VALUES (135139, 6889, 25, 'Aparitie');
INSERT INTO `lang_definitions` VALUES (135140, 6890, 25, 'Oct');
INSERT INTO `lang_definitions` VALUES (135141, 6891, 25, 'Octombrie');
INSERT INTO `lang_definitions` VALUES (135142, 6892, 25, 'OD');
INSERT INTO `lang_definitions` VALUES (135143, 6893, 25, 'OD{{right eye}}');
INSERT INTO `lang_definitions` VALUES (135144, 6895, 25, 'de');
INSERT INTO `lang_definitions` VALUES (135145, 6896, 25, 'de cantitate');
INSERT INTO `lang_definitions` VALUES (135146, 6897, 25, 'de tablete');
INSERT INTO `lang_definitions` VALUES (135147, 6898, 25, 'din fiecare luna');
INSERT INTO `lang_definitions` VALUES (135148, 6899, 25, 'Ofc Notes');
INSERT INTO `lang_definitions` VALUES (135149, 6900, 25, 'Off');
INSERT INTO `lang_definitions` VALUES (135150, 6902, 25, 'Off Campus-Outpatient Hospital');
INSERT INTO `lang_definitions` VALUES (135151, 6904, 25, 'Birou');
INSERT INTO `lang_definitions` VALUES (135152, 6907, 25, 'Note birou');
INSERT INTO `lang_definitions` VALUES (135153, 6908, 25, 'Vizita la birou');
INSERT INTO `lang_definitions` VALUES (135154, 6909, 25, 'Official Clinical Quality Measures (CQM) Measure Groups');
INSERT INTO `lang_definitions` VALUES (135155, 6910, 25, 'Offsite Https link for the Patient Portal.');
INSERT INTO `lang_definitions` VALUES (135156, 6911, 25, 'Offsite Https link for the Patient Portal.(Patient Link)');
INSERT INTO `lang_definitions` VALUES (135157, 6912, 25, 'Offsite Patient Portal Password');
INSERT INTO `lang_definitions` VALUES (135158, 6913, 25, 'Offsite Patient Portal Password(Put Blank If not Registered).');
INSERT INTO `lang_definitions` VALUES (135159, 6914, 25, 'Offsite Patient Portal Provider ID');
INSERT INTO `lang_definitions` VALUES (135160, 6915, 25, 'Offsite Patient Portal Provider ID(Put Blank If not Registered).');
INSERT INTO `lang_definitions` VALUES (135161, 6916, 25, 'Offsite Patient Portal Site Address');
INSERT INTO `lang_definitions` VALUES (135162, 6917, 25, 'Offsite Patient Portal Site Address (Patient Link)');
INSERT INTO `lang_definitions` VALUES (135163, 6918, 25, 'Offsite Patient Portal Username');
INSERT INTO `lang_definitions` VALUES (135164, 6919, 25, 'Offsite Patient Portal Username(Put Blank If not Registered).');
INSERT INTO `lang_definitions` VALUES (135165, 6920, 25, 'Offsite Portal web Service Failed');
INSERT INTO `lang_definitions` VALUES (135166, 6921, 25, 'Descendent');
INSERT INTO `lang_definitions` VALUES (135167, 6922, 25, 'Istoric descendent');
INSERT INTO `lang_definitions` VALUES (135168, 6925, 25, 'unguent');
INSERT INTO `lang_definitions` VALUES (135169, 6926, 25, 'Ojibwe, Ojibwa');
INSERT INTO `lang_definitions` VALUES (135170, 6927, 25, 'OK');
INSERT INTO `lang_definitions` VALUES (135171, 6929, 25, 'OK to close this other popup window?');
INSERT INTO `lang_definitions` VALUES (135172, 6930, 25, 'OK to link the GCAC issue dated');
INSERT INTO `lang_definitions` VALUES (135173, 6931, 25, 'Old');
INSERT INTO `lang_definitions` VALUES (135174, 6932, 25, 'Old Church Slavonic, Church Slavonic, Old Bulgarian');
INSERT INTO `lang_definitions` VALUES (135175, 6933, 25, 'Clienti vechi');
INSERT INTO `lang_definitions` VALUES (135176, 6934, 25, 'Fractura veche');
INSERT INTO `lang_definitions` VALUES (135177, 6935, 25, 'Old style layout with no left menu');
INSERT INTO `lang_definitions` VALUES (135178, 6936, 25, 'Old-style static form without search or duplication check');
INSERT INTO `lang_definitions` VALUES (135179, 6937, 25, 'Mai batran');
INSERT INTO `lang_definitions` VALUES (135180, 6938, 25, 'Mai batran ca');
INSERT INTO `lang_definitions` VALUES (135181, 6940, 25, 'Omite');
INSERT INTO `lang_definitions` VALUES (135182, 6941, 25, 'Omite circumferintele');
INSERT INTO `lang_definitions` VALUES (135183, 6942, 25, 'Omite informatii loc de munca pacient');
INSERT INTO `lang_definitions` VALUES (135184, 6943, 25, 'Omite Angajatorii');
INSERT INTO `lang_definitions` VALUES (135185, 6944, 25, 'Omit form, route and interval which then become part of dosage');
INSERT INTO `lang_definitions` VALUES (135186, 6945, 25, 'Omite asigurarea si alte date demografice');
INSERT INTO `lang_definitions` VALUES (135187, 6946, 25, 'Omite utilizatorii interni?');
INSERT INTO `lang_definitions` VALUES (135188, 6947, 25, 'Omite metoda de plata din panelul co-plata?');
INSERT INTO `lang_definitions` VALUES (135189, 6948, 25, 'Omite asignare automata');
INSERT INTO `lang_definitions` VALUES (135190, 6949, 25, 'Pe');
INSERT INTO `lang_definitions` VALUES (135191, 6950, 25, 'pe');
INSERT INTO `lang_definitions` VALUES (135192, 6956, 25, 'In mana');
INSERT INTO `lang_definitions` VALUES (135193, 6959, 25, 'La comanda');
INSERT INTO `lang_definitions` VALUES (135194, 6960, 25, 'On site');
INSERT INTO `lang_definitions` VALUES (135195, 6963, 25, 'La aceasta data este vacanta, o folositi oricum?');
INSERT INTO `lang_definitions` VALUES (135196, 6970, 25, 'Once completed, view and store this encounter as a PDF file');
INSERT INTO `lang_definitions` VALUES (135197, 6975, 25, 'Once the Primary Business Facility is set, it should not be changed. Changing the facility will affect the working in NewCrop ePrescription.');
INSERT INTO `lang_definitions` VALUES (135198, 6979, 25, 'Once you change your password, you will have to re-login.');
INSERT INTO `lang_definitions` VALUES (135199, 6981, 25, 'Oncology: Medical and Radiation – Pain Intensity Quantified (CQM)');
INSERT INTO `lang_definitions` VALUES (135200, 6982, 25, 'O zi in urma');
INSERT INTO `lang_definitions` VALUES (135201, 6985, 25, 'O luna in urma');
INSERT INTO `lang_definitions` VALUES (135202, 6992, 25, 'Un an in urma');
INSERT INTO `lang_definitions` VALUES (135203, 6996, 25, 'Online Support');
INSERT INTO `lang_definitions` VALUES (135204, 6997, 25, 'Online Support Link');
INSERT INTO `lang_definitions` VALUES (135205, 6999, 25, 'Numai activ');
INSERT INTO `lang_definitions` VALUES (135206, 7000, 25, 'Only applicable if a provider or collated list was chosen above. PRIMARY only selects patients that the provider is the primary provider. ENCOUNTER selects all patients that the provider has seen.');
INSERT INTO `lang_definitions` VALUES (135207, 7001, 25, 'Numai intrarile cu cod sunt facturabile');
INSERT INTO `lang_definitions` VALUES (135208, 7002, 25, 'Numai pentru comparatii');
INSERT INTO `lang_definitions` VALUES (135209, 7004, 25, 'numai daca este locatia de facturare');
INSERT INTO `lang_definitions` VALUES (135210, 7006, 25, 'Numai inactive');
INSERT INTO `lang_definitions` VALUES (135211, 7007, 25, 'Doar al meu');
INSERT INTO `lang_definitions` VALUES (135212, 7009, 25, 'Only recall to provider, no reminder');
INSERT INTO `lang_definitions` VALUES (135213, 7010, 25, 'Only reminder to provider, no recall');
INSERT INTO `lang_definitions` VALUES (135214, 7011, 25, 'Only Show Diagnosis Reporting Codes');
INSERT INTO `lang_definitions` VALUES (135215, 7012, 25, 'Only Show Service Code Finance Reporting Codes');
INSERT INTO `lang_definitions` VALUES (135216, 7013, 25, 'Only upload active prescriptions');
INSERT INTO `lang_definitions` VALUES (135217, 7014, 25, 'Only upload active prescriptions to NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (135218, 7015, 25, 'Onset');
INSERT INTO `lang_definitions` VALUES (135219, 7016, 25, 'Onset of Current Symptoms or Illness');
INSERT INTO `lang_definitions` VALUES (135220, 7017, 25, 'Onset of Illness:');
INSERT INTO `lang_definitions` VALUES (135221, 7018, 25, 'Onset of Ilness:');
INSERT INTO `lang_definitions` VALUES (135222, 7019, 25, 'Onset of Swelling:');
INSERT INTO `lang_definitions` VALUES (135223, 7022, 25, 'Onset/hosp. date:');
INSERT INTO `lang_definitions` VALUES (135224, 7026, 25, 'Onsite Patient Portal Site Address');
INSERT INTO `lang_definitions` VALUES (135225, 7030, 25, 'Oops!');
INSERT INTO `lang_definitions` VALUES (135226, 7031, 25, 'Deschis');
INSERT INTO `lang_definitions` VALUES (135227, 7036, 25, 'Deschide Demografice in fereastra noua din board-ul Flux Pacient');
INSERT INTO `lang_definitions` VALUES (135228, 7037, 25, 'Deschide Consultatie');
INSERT INTO `lang_definitions` VALUES (135229, 7038, 25, 'Deschide Fila Taxe');
INSERT INTO `lang_definitions` VALUES (135230, 7040, 25, 'Deschide intr-o fereastra noua');
INSERT INTO `lang_definitions` VALUES (135231, 7042, 25, 'Deschide Pacient');
INSERT INTO `lang_definitions` VALUES (135232, 7043, 25, 'Deschide Pacient in fereastra noua');
INSERT INTO `lang_definitions` VALUES (135233, 7044, 25, 'Deschide paneluri Quick Pick');
INSERT INTO `lang_definitions` VALUES (135234, 7045, 25, 'Deschide Fereastra Stenografie si afiseaza coduri stenografie');
INSERT INTO `lang_definitions` VALUES (135235, 7046, 25, 'Deschide vizitele de azi');
INSERT INTO `lang_definitions` VALUES (135236, 7052, 25, 'Deschide/Inchide panelul de desenare Anterior Segment');
INSERT INTO `lang_definitions` VALUES (135237, 7053, 25, 'Deschide/Inchide panelul Anterior Segment Exam Quick Picks');
INSERT INTO `lang_definitions` VALUES (135238, 7054, 25, 'Deschide/Inchide panelul HPI detaliat');
INSERT INTO `lang_definitions` VALUES (135239, 7055, 25, 'Deschide/Inchide panelul de desenare Extern');
INSERT INTO `lang_definitions` VALUES (135240, 7056, 25, 'Deschide/Inchide panelul External Exam Quick Pcks');
INSERT INTO `lang_definitions` VALUES (135241, 7057, 25, 'Deschide/Inchide the HPI Canvas');
INSERT INTO `lang_definitions` VALUES (135242, 7058, 25, 'Deschide/Inchide the Imp/Plan drawing panel');
INSERT INTO `lang_definitions` VALUES (135243, 7059, 25, 'Deschide/Inchide the Impression/Plan Builder panel');
INSERT INTO `lang_definitions` VALUES (135244, 7060, 25, 'Deschide/Inchide the Neuro drawing panel');
INSERT INTO `lang_definitions` VALUES (135245, 7061, 25, 'Deschide/Inchide the Neuro Exam Quick Picks panel');
INSERT INTO `lang_definitions` VALUES (135246, 7062, 25, 'Deschide/Inchide the PMH draw panel');
INSERT INTO `lang_definitions` VALUES (135247, 7063, 25, 'Deschide/Inchide the PMSFH summary panel');
INSERT INTO `lang_definitions` VALUES (135248, 7064, 25, 'Deschide/Inchide the Retina drawing panel');
INSERT INTO `lang_definitions` VALUES (135249, 7065, 25, 'Deschide/Inchide the Retinal Exam Quick Picks panel');
INSERT INTO `lang_definitions` VALUES (135250, 7067, 25, 'Deschide/Inchide the Shorthand Window and display Shorthand Codes');
INSERT INTO `lang_definitions` VALUES (135251, 7071, 25, 'OpenEMR already has a Certificate Authority configured.');
INSERT INTO `lang_definitions` VALUES (135252, 7074, 25, 'OpenEMR Application Category');
INSERT INTO `lang_definitions` VALUES (135253, 7076, 25, 'OpenEMR Database Upgrade');
INSERT INTO `lang_definitions` VALUES (135254, 7077, 25, 'OpenEMR Database Upgrade for De-identification');
INSERT INTO `lang_definitions` VALUES (135255, 7078, 25, 'OpenEMR does not recognize the incoming file in the contrib directory. This is most likely because you need to configure the release in the supported_external_dataloads table in the MySQL database.');
INSERT INTO `lang_definitions` VALUES (135256, 7080, 25, 'OpenEMR must be configured to use certificates before it can create client certificates.');
INSERT INTO `lang_definitions` VALUES (135257, 7083, 25, 'OpenEMR Product Registration');
INSERT INTO `lang_definitions` VALUES (135258, 7084, 25, 'OpenEMR requires Javascript to perform user authentication.');
INSERT INTO `lang_definitions` VALUES (135259, 7085, 25, 'OpenEMR Users');
INSERT INTO `lang_definitions` VALUES (135260, 7086, 25, 'Deschideri');
INSERT INTO `lang_definitions` VALUES (135261, 7087, 25, 'Deschide in frame-ul Jos');
INSERT INTO `lang_definitions` VALUES (135262, 7088, 25, 'Deschide in frame-ul Sus');
INSERT INTO `lang_definitions` VALUES (135263, 7089, 25, 'Operatiune esauta');
INSERT INTO `lang_definitions` VALUES (135264, 7091, 25, 'Operator');
INSERT INTO `lang_definitions` VALUES (135265, 7092, 25, 'Oftalmologic');
INSERT INTO `lang_definitions` VALUES (135266, 7093, 25, 'Discuri optice');
INSERT INTO `lang_definitions` VALUES (135267, 7094, 25, 'Analiza nervului optic');
INSERT INTO `lang_definitions` VALUES (135268, 7095, 25, 'Optiune');
INSERT INTO `lang_definitions` VALUES (135269, 7097, 25, 'Option to save method of document storage.');
INSERT INTO `lang_definitions` VALUES (135270, 7098, 25, 'Optiune pentru suportul inventarului si vanzarilor de produse');
INSERT INTO `lang_definitions` VALUES (135271, 7099, 25, 'Optional');
INSERT INTO `lang_definitions` VALUES (135272, 7100, 25, 'Optional category name for an ID Card image that can be viewed from the patient summary page.');
INSERT INTO `lang_definitions` VALUES (135273, 7101, 25, 'Optional category name for photo images that can be viewed from the patient summary page.');
INSERT INTO `lang_definitions` VALUES (135274, 7102, 25, 'Optional category name of a document to link to from the patient summary page. Lets you click on a patient name to see their ID card.');
INSERT INTO `lang_definitions` VALUES (135275, 7103, 25, 'Optional default range for manual entry of results');
INSERT INTO `lang_definitions` VALUES (135276, 7104, 25, 'Optional default units for manual entry of results');
INSERT INTO `lang_definitions` VALUES (135277, 7105, 25, 'Nume destinatie optional');
INSERT INTO `lang_definitions` VALUES (135278, 7107, 25, 'Nume medicament optional, utilizati % ca wildcard');
INSERT INTO `lang_definitions` VALUES (135279, 7109, 25, 'Data de sfarsit optionala mm/dd/yyyy');
INSERT INTO `lang_definitions` VALUES (135280, 7110, 25, 'Nume sau cod imunizare optional, utilizati % ca wildcard');
INSERT INTO `lang_definitions` VALUES (135281, 7111, 25, 'Informatii optionale despre eveniment');
INSERT INTO `lang_definitions` VALUES (135282, 7112, 25, 'Numar lot optional, utilizati % ca wildcard');
INSERT INTO `lang_definitions` VALUES (135283, 7113, 25, 'ID pacient numeric optional');
INSERT INTO `lang_definitions` VALUES (135284, 7114, 25, 'Cod optional procedura');
INSERT INTO `lang_definitions` VALUES (135285, 7115, 25, 'Cod optional procedura/serviciu');
INSERT INTO `lang_definitions` VALUES (135286, 7116, 25, 'Optiuni');
INSERT INTO `lang_definitions` VALUES (135287, 7117, 25, 'SAU');
INSERT INTO `lang_definitions` VALUES (135288, 7118, 25, 'Sau');
INSERT INTO `lang_definitions` VALUES (135289, 7119, 25, 'sau alege');
INSERT INTO `lang_definitions` VALUES (135290, 7120, 25, 'sau click and drag pentru selectie rapida');
INSERT INTO `lang_definitions` VALUES (135291, 7121, 25, 'Sau creaza acest ID nou camp');
INSERT INTO `lang_definitions` VALUES (135292, 7122, 25, 'Sau Out To');
INSERT INTO `lang_definitions` VALUES (135293, 7123, 25, 'sau selecteaza din inventar');
INSERT INTO `lang_definitions` VALUES (135294, 7124, 25, 'sau Shift-click pentru a descreste');
INSERT INTO `lang_definitions` VALUES (135295, 7125, 25, 'Sau upload fisier ERA:');
INSERT INTO `lang_definitions` VALUES (135296, 7126, 25, 'sau utilizeaza constructor Plan/Impresie');
INSERT INTO `lang_definitions` VALUES (135297, 7127, 25, 'Oral');
INSERT INTO `lang_definitions` VALUES (135298, 7128, 25, 'Mucoasa orala roz, gat clar');
INSERT INTO `lang_definitions` VALUES (135299, 7129, 25, 'Comanda');
INSERT INTO `lang_definitions` VALUES (135300, 7131, 25, 'Tipuri rezultate');
INSERT INTO `lang_definitions` VALUES (135301, 7132, 25, 'Catalog comenzi');
INSERT INTO `lang_definitions` VALUES (135302, 7133, 25, 'Data comanda');
INSERT INTO `lang_definitions` VALUES (135303, 7134, 25, 'Descieri comanda');
INSERT INTO `lang_definitions` VALUES (135304, 7136, 25, 'Comanda de la');
INSERT INTO `lang_definitions` VALUES (135305, 7137, 25, 'ID comanda');
INSERT INTO `lang_definitions` VALUES (135306, 7138, 25, 'Comanda trebuie sa fie un numar intre 1 si 999');
INSERT INTO `lang_definitions` VALUES (135307, 7140, 25, 'Nume comanda');
INSERT INTO `lang_definitions` VALUES (135308, 7142, 25, 'Ordonati prioritati');
INSERT INTO `lang_definitions` VALUES (135309, 7143, 25, 'Procesor comanda');
INSERT INTO `lang_definitions` VALUES (135310, 7145, 25, 'Rezultate comanda');
INSERT INTO `lang_definitions` VALUES (135311, 7146, 25, 'Stare comanda');
INSERT INTO `lang_definitions` VALUES (135312, 7147, 25, 'Stari comanda');
INSERT INTO `lang_definitions` VALUES (135313, 7148, 25, 'Rezumat comanda');
INSERT INTO `lang_definitions` VALUES (135314, 7149, 25, 'Order Tracks');
INSERT INTO `lang_definitions` VALUES (135315, 7150, 25, 'Tip comanda');
INSERT INTO `lang_definitions` VALUES (135316, 7151, 25, 'Tipuri comanda');
INSERT INTO `lang_definitions` VALUES (135317, 7152, 25, 'Tip rezultat/comanda');
INSERT INTO `lang_definitions` VALUES (135318, 7153, 25, 'Ordonat');
INSERT INTO `lang_definitions` VALUES (135319, 7154, 25, 'Ordonat dupa');
INSERT INTO `lang_definitions` VALUES (135320, 7155, 25, 'Procedura comandata');
INSERT INTO `lang_definitions` VALUES (135321, 7159, 25, 'Furnizor comenzi');
INSERT INTO `lang_definitions` VALUES (135322, 7161, 25, 'Comenzi');
INSERT INTO `lang_definitions` VALUES (135323, 7163, 25, 'Comanda calea');
INSERT INTO `lang_definitions` VALUES (135324, 7166, 25, 'Leziune organ');
INSERT INTO `lang_definitions` VALUES (135325, 7167, 25, 'Organizatie');
INSERT INTO `lang_definitions` VALUES (135326, 7168, 25, 'Nume organizatie');
INSERT INTO `lang_definitions` VALUES (135327, 7169, 25, 'Nume unitate organizatie');
INSERT INTO `lang_definitions` VALUES (135328, 7170, 25, 'Organizatii');
INSERT INTO `lang_definitions` VALUES (135329, 7171, 25, 'Orientat x3');
INSERT INTO `lang_definitions` VALUES (135330, 7172, 25, 'Oriented TPP{{oriented to person and place}}');
INSERT INTO `lang_definitions` VALUES (135331, 7175, 25, 'Original');
INSERT INTO `lang_definitions` VALUES (135332, 7176, 25, 'Suma de control originala');
INSERT INTO `lang_definitions` VALUES (135333, 7177, 25, 'Fisier original');
INSERT INTO `lang_definitions` VALUES (135334, 7179, 25, 'Oriya');
INSERT INTO `lang_definitions` VALUES (135335, 7180, 25, 'Oromo');
INSERT INTO `lang_definitions` VALUES (135336, 7181, 25, 'OROFARINGE:');
INSERT INTO `lang_definitions` VALUES (135337, 7182, 25, 'Orto');
INSERT INTO `lang_definitions` VALUES (135338, 7183, 25, 'Orthophoric');
INSERT INTO `lang_definitions` VALUES (135339, 7184, 25, 'Orthopnea');
INSERT INTO `lang_definitions` VALUES (135340, 7185, 25, 'ORTHO{{Orthopedics}}');
INSERT INTO `lang_definitions` VALUES (135341, 7186, 25, 'Ortho{{orthophoric}}');
INSERT INTO `lang_definitions` VALUES (135342, 7187, 25, 'OR{{as in AND/OR, ie. not an abbreviation}}');
INSERT INTO `lang_definitions` VALUES (135343, 7188, 25, 'OS');
INSERT INTO `lang_definitions` VALUES (135344, 7189, 25, 'Osteoartrita');
INSERT INTO `lang_definitions` VALUES (135345, 7190, 25, 'Ossetian, Ossetic');
INSERT INTO `lang_definitions` VALUES (135346, 7191, 25, 'Osteopatie');
INSERT INTO `lang_definitions` VALUES (135347, 7192, 25, 'OS{{left eye}}');
INSERT INTO `lang_definitions` VALUES (135348, 7193, 25, 'Altele');
INSERT INTO `lang_definitions` VALUES (135349, 7194, 25, 'altele');
INSERT INTO `lang_definitions` VALUES (135350, 7195, 25, 'ALTELE');
INSERT INTO `lang_definitions` VALUES (135351, 7196, 25, 'Altele (specifica)');
INSERT INTO `lang_definitions` VALUES (135352, 7198, 25, 'Altele - Specificat');
INSERT INTO `lang_definitions` VALUES (135353, 7199, 25, 'Alt adult');
INSERT INTO `lang_definitions` VALUES (135354, 7200, 25, 'Alte documente');
INSERT INTO `lang_definitions` VALUES (135355, 7201, 25, 'Alt Program Federal');
INSERT INTO `lang_definitions` VALUES (135356, 7202, 25, 'Alt HCFA');
INSERT INTO `lang_definitions` VALUES (135357, 7203, 25, 'Alte rani car nu sunt mentionate in alta parte');
INSERT INTO `lang_definitions` VALUES (135358, 7204, 25, 'Alta asigurare de raspundere este primara');
INSERT INTO `lang_definitions` VALUES (135359, 7206, 25, 'alta luna');
INSERT INTO `lang_definitions` VALUES (135360, 7207, 25, 'Alte Programe Non-Federale');
INSERT INTO `lang_definitions` VALUES (135361, 7208, 25, 'Alte note');
INSERT INTO `lang_definitions` VALUES (135362, 7209, 25, 'Alte simptome pertinente');
INSERT INTO `lang_definitions` VALUES (135363, 7210, 25, 'Alte simptome pertinente:');
INSERT INTO `lang_definitions` VALUES (135364, 7211, 25, 'Alta locatie a serviciului');
INSERT INTO `lang_definitions` VALUES (135365, 7212, 25, 'Alt furnizor');
INSERT INTO `lang_definitions` VALUES (135366, 7213, 25, 'Other pt resp');
INSERT INTO `lang_definitions` VALUES (135367, 7214, 25, 'Alt registru');
INSERT INTO `lang_definitions` VALUES (135368, 7215, 25, 'Alt stres');
INSERT INTO `lang_definitions` VALUES (135369, 7216, 25, 'Alt chirigical');
INSERT INTO `lang_definitions` VALUES (135370, 7217, 25, 'Alt/ Legat de avort');
INSERT INTO `lang_definitions` VALUES (135371, 7218, 25, 'Alt/Diverse');
INSERT INTO `lang_definitions` VALUES (135372, 7219, 25, 'Altele');
INSERT INTO `lang_definitions` VALUES (135373, 7221, 25, 'altfel veti distruge referintele de la/la datele existente.');
INSERT INTO `lang_definitions` VALUES (135374, 7224, 25, 'Regulile gleznei Ottawa');
INSERT INTO `lang_definitions` VALUES (135375, 7225, 25, 'OU');
INSERT INTO `lang_definitions` VALUES (135376, 7227, 25, 'OUT');
INSERT INTO `lang_definitions` VALUES (135377, 7228, 25, 'Out Of Office');
INSERT INTO `lang_definitions` VALUES (135378, 7230, 25, 'Outbound Referral');
INSERT INTO `lang_definitions` VALUES (135379, 7231, 25, 'Rezultat');
INSERT INTO `lang_definitions` VALUES (135380, 7234, 25, 'Outlook');
INSERT INTO `lang_definitions` VALUES (135381, 7235, 25, 'Spital ambulatoriu');
INSERT INTO `lang_definitions` VALUES (135382, 7236, 25, 'Tip iesire');
INSERT INTO `lang_definitions` VALUES (135383, 7237, 25, 'OU{{both eyes}}');
INSERT INTO `lang_definitions` VALUES (135384, 7238, 25, 'Peste');
INSERT INTO `lang_definitions` VALUES (135385, 7239, 25, 'Overall Status Of Discharge');
INSERT INTO `lang_definitions` VALUES (135386, 7240, 25, 'OVERDUE');
INSERT INTO `lang_definitions` VALUES (135387, 7242, 25, 'Override (if necessary) the appointment display limit to allow all appointments to be displayed for the last set');
INSERT INTO `lang_definitions` VALUES (135388, 7244, 25, 'Overuse');
INSERT INTO `lang_definitions` VALUES (135389, 7245, 25, 'General');
INSERT INTO `lang_definitions` VALUES (135390, 7246, 25, 'Exces de greutate');
INSERT INTO `lang_definitions` VALUES (135391, 7247, 25, 'Suprascrieti alegerea HIPPA');
INSERT INTO `lang_definitions` VALUES (135392, 7248, 25, 'Proprietar');
INSERT INTO `lang_definitions` VALUES (135393, 7249, 25, 'Saturatie oxigen');
INSERT INTO `lang_definitions` VALUES (135394, 7250, 25, 'oz');
INSERT INTO `lang_definitions` VALUES (135395, 7251, 25, 'P');
INSERT INTO `lang_definitions` VALUES (135396, 7252, 25, 'p.c.');
INSERT INTO `lang_definitions` VALUES (135397, 7253, 25, 'p.m.');
INSERT INTO `lang_definitions` VALUES (135398, 7254, 25, 'p.r.n.');
INSERT INTO `lang_definitions` VALUES (135399, 7255, 25, 'Pachymetry');
INSERT INTO `lang_definitions` VALUES (135400, 7256, 25, 'Pachymetry: Central Corneal Thickness');
INSERT INTO `lang_definitions` VALUES (135401, 7257, 25, 'Pachy{{Pachymetry}}');
INSERT INTO `lang_definitions` VALUES (135402, 7258, 25, 'Pacific Islander');
INSERT INTO `lang_definitions` VALUES (135403, 7259, 25, 'Pediatric');
INSERT INTO `lang_definitions` VALUES (135404, 7260, 25, 'Pagina');
INSERT INTO `lang_definitions` VALUES (135405, 7262, 25, 'Validare pagina');
INSERT INTO `lang_definitions` VALUES (135406, 7263, 25, 'Pagini');
INSERT INTO `lang_definitions` VALUES (135407, 7264, 25, 'Platit');
INSERT INTO `lang_definitions` VALUES (135408, 7265, 25, 'Cantitate platita pe care o alocati');
INSERT INTO `lang_definitions` VALUES (135409, 7266, 25, 'Cant. platita');
INSERT INTO `lang_definitions` VALUES (135410, 7267, 25, 'Platit Via');
INSERT INTO `lang_definitions` VALUES (135411, 7268, 25, 'Durere');
INSERT INTO `lang_definitions` VALUES (135412, 7270, 25, 'Medic de ingrijire paliativa');
INSERT INTO `lang_definitions` VALUES (135413, 7271, 25, 'Palpitatie');
INSERT INTO `lang_definitions` VALUES (135414, 7272, 25, 'PAM{{Potential Acuity Meter}}');
INSERT INTO `lang_definitions` VALUES (135415, 7273, 25, 'Pan');
INSERT INTO `lang_definitions` VALUES (135416, 7274, 25, 'Panjabi, Punjabi');
INSERT INTO `lang_definitions` VALUES (135417, 7275, 25, 'Pap Smear');
INSERT INTO `lang_definitions` VALUES (135418, 7276, 25, 'Hartie');
INSERT INTO `lang_definitions` VALUES (135419, 7277, 25, 'Dimensiune hartie');
INSERT INTO `lang_definitions` VALUES (135420, 7278, 25, 'Paralizie');
INSERT INTO `lang_definitions` VALUES (135421, 7279, 25, 'Parinte');
INSERT INTO `lang_definitions` VALUES (135422, 7280, 25, 'parinte adoptiv');
INSERT INTO `lang_definitions` VALUES (135423, 7281, 25, 'Recunoastere parinteasca');
INSERT INTO `lang_definitions` VALUES (135424, 7282, 25, 'Inregistrare scrisa parinte');
INSERT INTO `lang_definitions` VALUES (135425, 7283, 25, 'Decizie parentala');
INSERT INTO `lang_definitions` VALUES (135426, 7284, 25, 'Parse HL7');
INSERT INTO `lang_definitions` VALUES (135427, 7285, 25, 'Administrat partial');
INSERT INTO `lang_definitions` VALUES (135428, 7289, 25, 'Partener');
INSERT INTO `lang_definitions` VALUES (135429, 7290, 25, 'Nume partener');
INSERT INTO `lang_definitions` VALUES (135430, 7291, 25, 'Nume partener initiat pentru serviciu NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (135431, 7293, 25, 'Pashto, Pushto');
INSERT INTO `lang_definitions` VALUES (135432, 7294, 25, 'Expresie parola');
INSERT INTO `lang_definitions` VALUES (135433, 7295, 25, 'Expresie parola pentru decriptare document');
INSERT INTO `lang_definitions` VALUES (135434, 7296, 25, 'Pacienti admisi');
INSERT INTO `lang_definitions` VALUES (135435, 7297, 25, 'Alerta pasiva');
INSERT INTO `lang_definitions` VALUES (135436, 7299, 25, 'Reguli alerta pasiva');
INSERT INTO `lang_definitions` VALUES (135437, 7301, 25, 'Parola');
INSERT INTO `lang_definitions` VALUES (135438, 7302, 25, 'Schimbare parola');
INSERT INTO `lang_definitions` VALUES (135439, 7303, 25, 'Schimbarea parolei a reusit');
INSERT INTO `lang_definitions` VALUES (135440, 7304, 25, 'Schimbarea parolei a reusit.');
INSERT INTO `lang_definitions` VALUES (135441, 7306, 25, 'Parola nu contine cel putin trei din urmatoarele: un numar, o litera mica, o litera mare, un caracter special');
INSERT INTO `lang_definitions` VALUES (135442, 7308, 25, 'Perioada de gratie expirare parola');
INSERT INTO `lang_definitions` VALUES (135443, 7309, 25, 'Password for Phone Gateway.');
INSERT INTO `lang_definitions` VALUES (135444, 7310, 25, 'Password for Phone Gateway. Automated VOIP service provided by Maviq. Please visit http://signup.maviq.com for more information.');
INSERT INTO `lang_definitions` VALUES (135445, 7311, 25, 'Password for SMS Gateway');
INSERT INTO `lang_definitions` VALUES (135446, 7312, 25, 'Password for SMS Gateway.');
INSERT INTO `lang_definitions` VALUES (135447, 7313, 25, 'Parola pentru utilizatorul de mai sus');
INSERT INTO `lang_definitions` VALUES (135448, 7314, 25, 'Securitatea parolelor a fost recent actualizata..');
INSERT INTO `lang_definitions` VALUES (135449, 7315, 25, 'Password to connect to CouchDB');
INSERT INTO `lang_definitions` VALUES (135450, 7316, 25, 'Parola prea scurta. Minim 8 caractere.');
INSERT INTO `lang_definitions` VALUES (135451, 7319, 25, 'Parola:');
INSERT INTO `lang_definitions` VALUES (135452, 7322, 25, 'Parolele nu se potrivesc!');
INSERT INTO `lang_definitions` VALUES (135453, 7324, 25, 'Programari anterioare');
INSERT INTO `lang_definitions` VALUES (135454, 7325, 25, 'Widget Afisare Programari anterioare');
INSERT INTO `lang_definitions` VALUES (135455, 7326, 25, 'Programari anterioare');
INSERT INTO `lang_definitions` VALUES (135456, 7328, 25, 'Data trecuta');
INSERT INTO `lang_definitions` VALUES (135457, 7329, 25, 'Trecut');
INSERT INTO `lang_definitions` VALUES (135458, 7330, 25, 'Trecut');
INSERT INTO `lang_definitions` VALUES (135459, 7331, 25, 'Interval scadent (mementouri clinice)');
INSERT INTO `lang_definitions` VALUES (135460, 7332, 25, 'Interval scadent (mementouri pacienti)');
INSERT INTO `lang_definitions` VALUES (135461, 7333, 25, 'Lista consultatiilor trecute');
INSERT INTO `lang_definitions` VALUES (135462, 7334, 25, 'Lista consultatiilor');
INSERT INTO `lang_definitions` VALUES (135463, 7335, 25, 'Consultatii trecute si documente');
INSERT INTO `lang_definitions` VALUES (135464, 7336, 25, 'Consultatii trecute pentru');
INSERT INTO `lang_definitions` VALUES (135465, 7337, 25, 'Istoric medical');
INSERT INTO `lang_definitions` VALUES (135466, 7339, 25, 'Istoric ocular');
INSERT INTO `lang_definitions` VALUES (135467, 7340, 25, 'Chirurgie oculara trecuta');
INSERT INTO `lang_definitions` VALUES (135468, 7341, 25, 'Istoric chirurgical');
INSERT INTO `lang_definitions` VALUES (135469, 7343, 25, 'Anul trecut');
INSERT INTO `lang_definitions` VALUES (135470, 7344, 25, 'Paste HL7 Data');
INSERT INTO `lang_definitions` VALUES (135471, 7345, 25, 'Paste the data to import into the text area below:');
INSERT INTO `lang_definitions` VALUES (135472, 7346, 25, 'Pat');
INSERT INTO `lang_definitions` VALUES (135473, 7347, 25, 'Pat Ledger');
INSERT INTO `lang_definitions` VALUES (135474, 7348, 25, 'Patch');
INSERT INTO `lang_definitions` VALUES (135475, 7350, 25, 'Matusa paterna');
INSERT INTO `lang_definitions` VALUES (135476, 7351, 25, 'Var patern');
INSERT INTO `lang_definitions` VALUES (135477, 7352, 25, 'Bunic patern');
INSERT INTO `lang_definitions` VALUES (135478, 7353, 25, 'Strabunic patern');
INSERT INTO `lang_definitions` VALUES (135479, 7354, 25, 'Unchi patern');
INSERT INTO `lang_definitions` VALUES (135480, 7355, 25, 'Path for Event Log Backup');
INSERT INTO `lang_definitions` VALUES (135481, 7356, 25, 'Path to CA Certificate File');
INSERT INTO `lang_definitions` VALUES (135482, 7357, 25, 'Path to CA Key File');
INSERT INTO `lang_definitions` VALUES (135483, 7358, 25, 'Path to MySQL Binaries');
INSERT INTO `lang_definitions` VALUES (135484, 7359, 25, 'Path to Perl Binaries');
INSERT INTO `lang_definitions` VALUES (135485, 7361, 25, 'Pacient');
INSERT INTO `lang_definitions` VALUES (135486, 7362, 25, 'PACIENT');
INSERT INTO `lang_definitions` VALUES (135487, 7363, 25, 'pacient');
INSERT INTO `lang_definitions` VALUES (135488, 7365, 25, 'Adresa pacientului');
INSERT INTO `lang_definitions` VALUES (135489, 7366, 25, 'Lipseste adresa pacientului');
INSERT INTO `lang_definitions` VALUES (135490, 7367, 25, 'Ajustare pacient');
INSERT INTO `lang_definitions` VALUES (135491, 7368, 25, 'Ajustare pacient');
INSERT INTO `lang_definitions` VALUES (135492, 7369, 25, 'Alergiile pacientului');
INSERT INTO `lang_definitions` VALUES (135493, 7370, 25, 'Alergiile Pacientului');
INSERT INTO `lang_definitions` VALUES (135494, 7373, 25, 'Programare pacient');
INSERT INTO `lang_definitions` VALUES (135495, 7374, 25, 'Balanta pacient');
INSERT INTO `lang_definitions` VALUES (135496, 7375, 25, 'Sold pacient');
INSERT INTO `lang_definitions` VALUES (135497, 7376, 25, 'Nota facturare pacient');
INSERT INTO `lang_definitions` VALUES (135498, 7378, 25, 'Caracterisitici pacient');
INSERT INTO `lang_definitions` VALUES (135499, 7379, 25, 'ID grafic pacient');
INSERT INTO `lang_definitions` VALUES (135500, 7381, 25, 'Ckeckout pacient');
INSERT INTO `lang_definitions` VALUES (135501, 7382, 25, 'Checkout pacient pentru');
INSERT INTO `lang_definitions` VALUES (135502, 7383, 25, 'Oras pacient');
INSERT INTO `lang_definitions` VALUES (135503, 7384, 25, 'Oras pacient lipseste');
INSERT INTO `lang_definitions` VALUES (135504, 7386, 25, 'Comunicare pacient trimisa');
INSERT INTO `lang_definitions` VALUES (135505, 7387, 25, 'Comunicare pacient trimisa');
INSERT INTO `lang_definitions` VALUES (135506, 7388, 25, 'Tara pacient');
INSERT INTO `lang_definitions` VALUES (135507, 7389, 25, 'Tara pacient lipseste');
INSERT INTO `lang_definitions` VALUES (135508, 7390, 25, 'Acoperire pacient');
INSERT INTO `lang_definitions` VALUES (135509, 7392, 25, 'Credit pacient');
INSERT INTO `lang_definitions` VALUES (135510, 7394, 25, 'Data pacient');
INSERT INTO `lang_definitions` VALUES (135511, 7395, 25, 'Data nasterii pacient');
INSERT INTO `lang_definitions` VALUES (135512, 7396, 25, 'Data nasterii pacient lipseste');
INSERT INTO `lang_definitions` VALUES (135513, 7397, 25, 'Decizie pacient');
INSERT INTO `lang_definitions` VALUES (135514, 7401, 25, 'Detalii pacient');
INSERT INTO `lang_definitions` VALUES (135515, 7402, 25, 'Data nasterii a pacientului');
INSERT INTO `lang_definitions` VALUES (135516, 7404, 25, 'Document pacient');
INSERT INTO `lang_definitions` VALUES (135517, 7410, 25, 'Educatie pacient');
INSERT INTO `lang_definitions` VALUES (135518, 7411, 25, 'Materiale educative pacient');
INSERT INTO `lang_definitions` VALUES (135519, 7412, 25, 'Consultatie pacient');
INSERT INTO `lang_definitions` VALUES (135520, 7413, 25, 'Formular consultatie pacient');
INSERT INTO `lang_definitions` VALUES (135521, 7414, 25, 'Consultatii pacient');
INSERT INTO `lang_definitions` VALUES (135522, 7415, 25, 'Cauta Pacient');
INSERT INTO `lang_definitions` VALUES (135523, 7416, 25, 'Ecran Cautare pacient');
INSERT INTO `lang_definitions` VALUES (135524, 7417, 25, 'Prenume pacient');
INSERT INTO `lang_definitions` VALUES (135525, 7418, 25, 'Prenume pacient');
INSERT INTO `lang_definitions` VALUES (135526, 7419, 25, 'Prenume pacient lipseste');
INSERT INTO `lang_definitions` VALUES (135527, 7420, 25, 'Board flux pacient');
INSERT INTO `lang_definitions` VALUES (135528, 7421, 25, 'Raport board flux pacient');
INSERT INTO `lang_definitions` VALUES (135529, 7422, 25, 'Locatie board flux pacient');
INSERT INTO `lang_definitions` VALUES (135530, 7423, 25, 'Interval temporizator board flux pacient');
INSERT INTO `lang_definitions` VALUES (135531, 7424, 25, 'Sex pacient');
INSERT INTO `lang_definitions` VALUES (135532, 7425, 25, 'Sex pacient lipseste');
INSERT INTO `lang_definitions` VALUES (135533, 7426, 25, 'Pacient neautorizat pentru Portal Pacient');
INSERT INTO `lang_definitions` VALUES (135534, 7428, 25, 'Istoric Pacient');
INSERT INTO `lang_definitions` VALUES (135535, 7429, 25, 'Istoric Pacient / Stil de Viata');
INSERT INTO `lang_definitions` VALUES (135536, 7430, 25, 'Tel pacient');
INSERT INTO `lang_definitions` VALUES (135537, 7431, 25, 'ID pacient');
INSERT INTO `lang_definitions` VALUES (135538, 7432, 25, 'ID pacient');
INSERT INTO `lang_definitions` VALUES (135539, 7433, 25, 'Card ID pacient');
INSERT INTO `lang_definitions` VALUES (135540, 7434, 25, 'Nume categorie ID pacient');
INSERT INTO `lang_definitions` VALUES (135541, 7437, 25, 'Imunizare pacient');
INSERT INTO `lang_definitions` VALUES (135542, 7438, 25, 'Informatii pacient');
INSERT INTO `lang_definitions` VALUES (135543, 7440, 25, 'Instrutiuni pacient');
INSERT INTO `lang_definitions` VALUES (135544, 7441, 25, 'Distriburie asigurare pacient');
INSERT INTO `lang_definitions` VALUES (135545, 7442, 25, 'Raport distribuire asigurare pacient');
INSERT INTO `lang_definitions` VALUES (135546, 7445, 25, 'Probleme pacient');
INSERT INTO `lang_definitions` VALUES (135547, 7446, 25, 'Tip eticheta pacient');
INSERT INTO `lang_definitions` VALUES (135548, 7447, 25, 'Nume pacient');
INSERT INTO `lang_definitions` VALUES (135549, 7448, 25, 'Nume pacient');
INSERT INTO `lang_definitions` VALUES (135550, 7449, 25, 'Nume pacient lipsa');
INSERT INTO `lang_definitions` VALUES (135551, 7450, 25, 'Carte mare pacient');
INSERT INTO `lang_definitions` VALUES (135552, 7451, 25, 'Carte mare pacient dupa data');
INSERT INTO `lang_definitions` VALUES (135553, 7453, 25, 'Nota de factuare nivel pacient');
INSERT INTO `lang_definitions` VALUES (135554, 7454, 25, 'Lista pacient');
INSERT INTO `lang_definitions` VALUES (135555, 7455, 25, 'Coloane lista pacient');
INSERT INTO `lang_definitions` VALUES (135556, 7456, 25, 'Creare lista pacienti');
INSERT INTO `lang_definitions` VALUES (135557, 7457, 25, 'Lista pacient fereastra noua');
INSERT INTO `lang_definitions` VALUES (135558, 7458, 25, 'Dimensiune pagina lista pacient');
INSERT INTO `lang_definitions` VALUES (135559, 7460, 25, 'Erori de cautare pacient');
INSERT INTO `lang_definitions` VALUES (135560, 7463, 25, 'Probleme medicale pacient');
INSERT INTO `lang_definitions` VALUES (135561, 7464, 25, 'Medicatie pacient');
INSERT INTO `lang_definitions` VALUES (135562, 7470, 25, 'Nume pacient');
INSERT INTO `lang_definitions` VALUES (135563, 7472, 25, 'Nume si adresa pacient');
INSERT INTO `lang_definitions` VALUES (135564, 7473, 25, 'Nume si ID pacient');
INSERT INTO `lang_definitions` VALUES (135565, 7474, 25, 'Nume si factura pacient');
INSERT INTO `lang_definitions` VALUES (135566, 7475, 25, 'Nume pacient cerut');
INSERT INTO `lang_definitions` VALUES (135567, 7476, 25, 'Nume/ID pacient');
INSERT INTO `lang_definitions` VALUES (135568, 7477, 25, 'Nota pacient');
INSERT INTO `lang_definitions` VALUES (135569, 7478, 25, 'Tipuri note pacient');
INSERT INTO `lang_definitions` VALUES (135570, 7479, 25, 'Note pacient');
INSERT INTO `lang_definitions` VALUES (135571, 7480, 25, 'Note pacient (write,addonly optional)');
INSERT INTO `lang_definitions` VALUES (135572, 7482, 25, 'Numar pacient');
INSERT INTO `lang_definitions` VALUES (135573, 7483, 25, 'Plata pacient');
INSERT INTO `lang_definitions` VALUES (135574, 7484, 25, 'Plati pacient');
INSERT INTO `lang_definitions` VALUES (135575, 7485, 25, 'Nume categorie foto pacient');
INSERT INTO `lang_definitions` VALUES (135576, 7487, 25, 'Portal pacient');
INSERT INTO `lang_definitions` VALUES (135577, 7490, 25, 'Problema conectare Portal pacient');
INSERT INTO `lang_definitions` VALUES (135578, 7492, 25, 'Portal pacient este inchsi');
INSERT INTO `lang_definitions` VALUES (135579, 7493, 25, 'Patient Portal Login');
INSERT INTO `lang_definitions` VALUES (135580, 7496, 25, 'Adresa Web Portal pacient');
INSERT INTO `lang_definitions` VALUES (135581, 7497, 25, 'Raport tiparit pacient');
INSERT INTO `lang_definitions` VALUES (135582, 7499, 25, 'Raport inregistrare pacient');
INSERT INTO `lang_definitions` VALUES (135583, 7500, 25, 'Cerere inregistrare pacient');
INSERT INTO `lang_definitions` VALUES (135584, 7501, 25, 'Cerere inregistrari pacient');
INSERT INTO `lang_definitions` VALUES (135585, 7502, 25, 'Religie pacient');
INSERT INTO `lang_definitions` VALUES (135586, 7503, 25, 'Memento pacient');
INSERT INTO `lang_definitions` VALUES (135587, 7505, 25, 'Memento pacient Batch Job');
INSERT INTO `lang_definitions` VALUES (135588, 7506, 25, 'Proritate de procesare creare memento pacient');
INSERT INTO `lang_definitions` VALUES (135589, 7507, 25, 'Reguli memente pacient');
INSERT INTO `lang_definitions` VALUES (135590, 7508, 25, 'Email expeditor memento pacient');
INSERT INTO `lang_definitions` VALUES (135591, 7509, 25, 'Numele expeditor memento pacient');
INSERT INTO `lang_definitions` VALUES (135592, 7510, 25, 'Mementouri Pacient');
INSERT INTO `lang_definitions` VALUES (135593, 7514, 25, 'Raport pacient');
INSERT INTO `lang_definitions` VALUES (135594, 7516, 25, 'Rapoarte pacient');
INSERT INTO `lang_definitions` VALUES (135595, 7518, 25, 'Cerere pacient');
INSERT INTO `lang_definitions` VALUES (135596, 7519, 25, 'Dosare medicale solicitate de pacient');
INSERT INTO `lang_definitions` VALUES (135597, 7521, 25, 'Rezultate pacient');
INSERT INTO `lang_definitions` VALUES (135598, 7525, 25, 'Stil rezultate cautare pacient');
INSERT INTO `lang_definitions` VALUES (135599, 7526, 25, 'Ecran Cautare pacient/Adaugare');
INSERT INTO `lang_definitions` VALUES (135600, 7528, 25, 'Setare pacient');
INSERT INTO `lang_definitions` VALUES (135601, 7533, 25, 'Stare pacient');
INSERT INTO `lang_definitions` VALUES (135602, 7536, 25, 'Afirmatiile pacientului pot fi generate ca text sau cu un aspect grafic modern.');
INSERT INTO `lang_definitions` VALUES (135603, 7537, 25, 'Adresa Pacient');
INSERT INTO `lang_definitions` VALUES (135604, 7539, 25, 'Rezumat Pacient');
INSERT INTO `lang_definitions` VALUES (135605, 7542, 25, 'Tranzactii Pacient');
INSERT INTO `lang_definitions` VALUES (135606, 7544, 25, 'Validare Pacient');
INSERT INTO `lang_definitions` VALUES (135607, 7546, 25, 'Zip Pacient');
INSERT INTO `lang_definitions` VALUES (135608, 7549, 25, 'pacient (pacienti) in baza de date care se potriveste cu informatiile demografice introduse.');
INSERT INTO `lang_definitions` VALUES (135609, 7550, 25, 'Pacient/Client');
INSERT INTO `lang_definitions` VALUES (135610, 7551, 25, 'Pacient:');
INSERT INTO `lang_definitions` VALUES (135611, 7552, 25, 'ID pacient');
INSERT INTO `lang_definitions` VALUES (135612, 7553, 25, 'Pacienti');
INSERT INTO `lang_definitions` VALUES (135613, 7555, 25, 'Pacienti procesati');
INSERT INTO `lang_definitions` VALUES (135614, 7559, 25, 'Plata');
INSERT INTO `lang_definitions` VALUES (135615, 7560, 25, 'Atentie la casetele Terminat cu. După ce asigurările sunt marcate ca fiind complete, vom începe să cerem pacientului să plătească soldul rămas. Dacă nu reușiți să marcați toate asigurările complete, suma rămasă nu va fi colectată! De asemenea, dacă există un rest pe care pacientul ar trebui să-l plătească, atunci setați data scadenței în mod corespunzător.');
INSERT INTO `lang_definitions` VALUES (135616, 7563, 25, 'Data salariului:');
INSERT INTO `lang_definitions` VALUES (135617, 7566, 25, 'Starea salariului:');
INSERT INTO `lang_definitions` VALUES (135618, 7567, 25, 'Numele platitorului');
INSERT INTO `lang_definitions` VALUES (135619, 7568, 25, 'Platitor');
INSERT INTO `lang_definitions` VALUES (135620, 7572, 25, 'Tipul platitorului');
INSERT INTO `lang_definitions` VALUES (135621, 7573, 25, 'De plata');
INSERT INTO `lang_definitions` VALUES (135622, 7574, 25, 'Entitate platitoare');
INSERT INTO `lang_definitions` VALUES (135623, 7575, 25, 'Plata');
INSERT INTO `lang_definitions` VALUES (135624, 7576, 25, 'plata');
INSERT INTO `lang_definitions` VALUES (135625, 7577, 25, 'Codul de ajustare a platii');
INSERT INTO `lang_definitions` VALUES (135626, 7578, 25, 'Contra plata');
INSERT INTO `lang_definitions` VALUES (135627, 7579, 25, 'Total de plata');
INSERT INTO `lang_definitions` VALUES (135628, 7580, 25, 'Plata se face numerar');
INSERT INTO `lang_definitions` VALUES (135629, 7581, 25, 'Categoria platii');
INSERT INTO `lang_definitions` VALUES (135630, 7583, 25, 'Data platii');
INSERT INTO `lang_definitions` VALUES (135631, 7584, 25, 'plata introdusa la data de');
INSERT INTO `lang_definitions` VALUES (135632, 7585, 25, 'Plata de la');
INSERT INTO `lang_definitions` VALUES (135633, 7586, 25, 'Gateways plata');
INSERT INTO `lang_definitions` VALUES (135634, 7588, 25, 'Ins plata');
INSERT INTO `lang_definitions` VALUES (135635, 7589, 25, 'Lista de plati');
INSERT INTO `lang_definitions` VALUES (135636, 7590, 25, 'Metoda de plata');
INSERT INTO `lang_definitions` VALUES (135637, 7592, 25, 'Plati sortate dupa');
INSERT INTO `lang_definitions` VALUES (135638, 7593, 25, 'Starea platii');
INSERT INTO `lang_definitions` VALUES (135639, 7597, 25, 'Tipul platii');
INSERT INTO `lang_definitions` VALUES (135640, 7600, 25, 'Valoarea platii pentru cod');
INSERT INTO `lang_definitions` VALUES (135641, 7602, 25, 'Plati');
INSERT INTO `lang_definitions` VALUES (135642, 7603, 25, 'Payor');
INSERT INTO `lang_definitions` VALUES (135643, 7606, 25, 'PCP');
INSERT INTO `lang_definitions` VALUES (135644, 7607, 25, 'Procent (%) din randuri');
INSERT INTO `lang_definitions` VALUES (135645, 7608, 25, 'PD-D{{abbreviation for Binocular Pupillary Diameter - Distance}}');
INSERT INTO `lang_definitions` VALUES (135646, 7609, 25, 'PD-N{{abbreviation for Binocular Pupillary Diameter - Near}}');
INSERT INTO `lang_definitions` VALUES (135647, 7610, 25, 'PDF');
INSERT INTO `lang_definitions` VALUES (135648, 7614, 25, 'PDF Download Selected Statements');
INSERT INTO `lang_definitions` VALUES (135649, 7615, 25, 'PDF Language');
INSERT INTO `lang_definitions` VALUES (135650, 7618, 25, 'PD{{Inter-pupillary distance}}');
INSERT INTO `lang_definitions` VALUES (135651, 7619, 25, 'PD{{pupillary distance}}');
INSERT INTO `lang_definitions` VALUES (135652, 7620, 25, 'Pelvis si fese');
INSERT INTO `lang_definitions` VALUES (135653, 7621, 25, 'Pemfigus');
INSERT INTO `lang_definitions` VALUES (135654, 7622, 25, 'Creion');
INSERT INTO `lang_definitions` VALUES (135655, 7623, 25, 'asteapta o decizie');
INSERT INTO `lang_definitions` VALUES (135656, 7624, 25, 'In asteptare');
INSERT INTO `lang_definitions` VALUES (135657, 7626, 25, 'Aprobare in asteptare');
INSERT INTO `lang_definitions` VALUES (135658, 7629, 25, 'In asteptare F/U');
INSERT INTO `lang_definitions` VALUES (135659, 7630, 25, 'In asteptare urmatorul');
INSERT INTO `lang_definitions` VALUES (135660, 7631, 25, 'In asteptare urmatorul din rezultate');
INSERT INTO `lang_definitions` VALUES (135661, 7632, 25, 'Comenzi in asteptare');
INSERT INTO `lang_definitions` VALUES (135662, 7633, 25, 'Rezultate in asteptare');
INSERT INTO `lang_definitions` VALUES (135663, 7634, 25, 'Revizuire in asteptare');
INSERT INTO `lang_definitions` VALUES (135664, 7635, 25, 'Rx Count in asteptare');
INSERT INTO `lang_definitions` VALUES (135665, 7637, 25, 'Alergie la penicilina');
INSERT INTO `lang_definitions` VALUES (135666, 7638, 25, 'Pennington Firm OpenEMR  v');
INSERT INTO `lang_definitions` VALUES (135667, 7639, 25, 'Ulcer peptic');
INSERT INTO `lang_definitions` VALUES (135668, 7640, 25, 'pe intalnire');
INSERT INTO `lang_definitions` VALUES (135669, 7641, 25, 'pe minut');
INSERT INTO `lang_definitions` VALUES (135670, 7642, 25, 'Pe nara');
INSERT INTO `lang_definitions` VALUES (135671, 7643, 25, 'pe nara');
INSERT INTO `lang_definitions` VALUES (135672, 7644, 25, 'Per Oris');
INSERT INTO `lang_definitions` VALUES (135673, 7645, 25, 'per oris');
INSERT INTO `lang_definitions` VALUES (135674, 7646, 25, 'Per Rectum');
INSERT INTO `lang_definitions` VALUES (135675, 7647, 25, 'per rectum');
INSERT INTO `lang_definitions` VALUES (135676, 7648, 25, 'Procent');
INSERT INTO `lang_definitions` VALUES (135677, 7650, 25, 'Procentul de pacienti la testul de droguri');
INSERT INTO `lang_definitions` VALUES (135678, 7651, 25, 'Procentul de pacienti pentru testare aleatorie de droguri.');
INSERT INTO `lang_definitions` VALUES (135679, 7652, 25, 'Percentila');
INSERT INTO `lang_definitions` VALUES (135680, 7653, 25, 'Perforat dreapta:');
INSERT INTO `lang_definitions` VALUES (135681, 7654, 25, 'Executa cautare');
INSERT INTO `lang_definitions` VALUES (135682, 7655, 25, 'Executa aceasta actiune');
INSERT INTO `lang_definitions` VALUES (135683, 7656, 25, 'Procentaj performanta');
INSERT INTO `lang_definitions` VALUES (135684, 7657, 25, 'efectuat');
INSERT INTO `lang_definitions` VALUES (135685, 7658, 25, 'Executant');
INSERT INTO `lang_definitions` VALUES (135686, 7659, 25, 'Facilitarea laboratorului');
INSERT INTO `lang_definitions` VALUES (135687, 7660, 25, 'Organizatie de executie');
INSERT INTO `lang_definitions` VALUES (135688, 7661, 25, 'Perioada');
INSERT INTO `lang_definitions` VALUES (135689, 7662, 25, 'Perioada in zile in care un utilizator se poate conecta cu o parola expirata');
INSERT INTO `lang_definitions` VALUES (135690, 7663, 25, 'Monitorizare perioperatorie');
INSERT INTO `lang_definitions` VALUES (135691, 7665, 25, 'Periferic');
INSERT INTO `lang_definitions` VALUES (135692, 7666, 25, 'Periph{{peripheral retina}}');
INSERT INTO `lang_definitions` VALUES (135693, 7667, 25, 'Periph{{periphery}}');
INSERT INTO `lang_definitions` VALUES (135694, 7668, 25, 'Permit unsalted passwords');
INSERT INTO `lang_definitions` VALUES (135695, 7669, 25, 'Persian');
INSERT INTO `lang_definitions` VALUES (135696, 7670, 25, 'Persian (Farsi)');
INSERT INTO `lang_definitions` VALUES (135697, 7671, 25, 'Persoana');
INSERT INTO `lang_definitions` VALUES (135698, 7672, 25, 'Personalizare');
INSERT INTO `lang_definitions` VALUES (135699, 7675, 25, 'PG');
INSERT INTO `lang_definitions` VALUES (135700, 7676, 25, 'Pharm');
INSERT INTO `lang_definitions` VALUES (135701, 7677, 25, 'Pharm Com Count');
INSERT INTO `lang_definitions` VALUES (135702, 7678, 25, 'Farmacii');
INSERT INTO `lang_definitions` VALUES (135703, 7680, 25, 'Farmacie');
INSERT INTO `lang_definitions` VALUES (135704, 7681, 25, 'Dispensar farmaceutic');
INSERT INTO `lang_definitions` VALUES (135705, 7688, 25, 'Pheumothorax');
INSERT INTO `lang_definitions` VALUES (135706, 7689, 25, 'phiMail Allow CCD Send');
INSERT INTO `lang_definitions` VALUES (135707, 7690, 25, 'phiMail Allow CCR Send');
INSERT INTO `lang_definitions` VALUES (135708, 7691, 25, 'phiMail Message Check Interval (minutes)');
INSERT INTO `lang_definitions` VALUES (135709, 7692, 25, 'phiMail notification user');
INSERT INTO `lang_definitions` VALUES (135710, 7693, 25, 'Parola phiMail');
INSERT INTO `lang_definitions` VALUES (135711, 7694, 25, 'Adresa Server phiMail');
INSERT INTO `lang_definitions` VALUES (135712, 7695, 25, 'Username phiMail');
INSERT INTO `lang_definitions` VALUES (135713, 7696, 25, 'Intrebari PHIN');
INSERT INTO `lang_definitions` VALUES (135714, 7697, 25, 'Telefon');
INSERT INTO `lang_definitions` VALUES (135715, 7699, 25, 'Lista apeluri telefonice');
INSERT INTO `lang_definitions` VALUES (135716, 7701, 25, 'Raport lista apeluri telefonice');
INSERT INTO `lang_definitions` VALUES (135717, 7703, 25, 'Telefon mobil');
INSERT INTO `lang_definitions` VALUES (135718, 7705, 25, 'Parola Phone Gateway');
INSERT INTO `lang_definitions` VALUES (135719, 7706, 25, 'Phone Gateway URL');
INSERT INTO `lang_definitions` VALUES (135720, 7707, 25, 'Phone Gateway Username');
INSERT INTO `lang_definitions` VALUES (135721, 7708, 25, 'Telefon acasa');
INSERT INTO `lang_definitions` VALUES (135722, 7709, 25, 'Ore de notificari telefonice');
INSERT INTO `lang_definitions` VALUES (135723, 7710, 25, 'Numar telefon');
INSERT INTO `lang_definitions` VALUES (135724, 7711, 25, 'Numar telefon');
INSERT INTO `lang_definitions` VALUES (135725, 7712, 25, 'Numarul de telefon pentru solicitarile de facturare');
INSERT INTO `lang_definitions` VALUES (135726, 7713, 25, 'Numărul de telefon pentru asistență furnizor care apare pe pagina Despre.');
INSERT INTO `lang_definitions` VALUES (135727, 7716, 25, 'Fotografii');
INSERT INTO `lang_definitions` VALUES (135728, 7717, 25, 'PHP comprimat');
INSERT INTO `lang_definitions` VALUES (135729, 7718, 25, 'Modulul PHP CURL ar trebui să fie activat pe serverul dvs.');
INSERT INTO `lang_definitions` VALUES (135730, 7720, 25, 'PHP extras');
INSERT INTO `lang_definitions` VALUES (135731, 7721, 25, 'Controlul accesului php-GACL este dezactivat');
INSERT INTO `lang_definitions` VALUES (135732, 7722, 25, 'PHP-gacl nu este iunstalat');
INSERT INTO `lang_definitions` VALUES (135733, 7723, 25, 'Examen fizic');
INSERT INTO `lang_definitions` VALUES (135734, 7724, 25, 'Medic');
INSERT INTO `lang_definitions` VALUES (135735, 7725, 25, 'Cerere medic');
INSERT INTO `lang_definitions` VALUES (135736, 7726, 25, 'Semnatura medic');
INSERT INTO `lang_definitions` VALUES (135737, 7727, 25, 'Tip medic');
INSERT INTO `lang_definitions` VALUES (135738, 7729, 25, 'Medici');
INSERT INTO `lang_definitions` VALUES (135739, 7730, 25, 'PH{{pinhole acuity}}');
INSERT INTO `lang_definitions` VALUES (135740, 7731, 25, 'PH{{Pinhole Vision}}');
INSERT INTO `lang_definitions` VALUES (135741, 7732, 25, 'PH{{Pinhole}}');
INSERT INTO `lang_definitions` VALUES (135742, 7733, 25, 'alege');
INSERT INTO `lang_definitions` VALUES (135743, 7734, 25, 'Alege');
INSERT INTO `lang_definitions` VALUES (135744, 7735, 25, 'Alege o tema CSS');
INSERT INTO `lang_definitions` VALUES (135745, 7736, 25, 'Alege o tema generala (este necesara relogare dupa aceasta modificare).');
INSERT INTO `lang_definitions` VALUES (135746, 7738, 25, 'PID (Pelvic Inflammatory Disease)');
INSERT INTO `lang_definitions` VALUES (135747, 7740, 25, 'PID (Pelvic Inflammatory Disease)');
INSERT INTO `lang_definitions` VALUES (135748, 7741, 25, 'Dimensiune pilula');
INSERT INTO `lang_definitions` VALUES (135749, 7742, 25, 'Pilule');
INSERT INTO `lang_definitions` VALUES (135750, 7743, 25, 'Pinhole Vision');
INSERT INTO `lang_definitions` VALUES (135751, 7744, 25, 'Locul de munca');
INSERT INTO `lang_definitions` VALUES (135752, 7745, 25, 'Plasati fisierul zip in urmatorul director daca doriti sa instalati optiunea');
INSERT INTO `lang_definitions` VALUES (135753, 7746, 25, 'Plasati fisierul zip ICD 10 in directorul urmator');
INSERT INTO `lang_definitions` VALUES (135754, 7747, 25, 'Plasati fisierul zip ICD 9 in directorul urmator');
INSERT INTO `lang_definitions` VALUES (135755, 7748, 25, 'Plasati fisierul RxNorm in directorul urmator');
INSERT INTO `lang_definitions` VALUES (135756, 7749, 25, 'Plasati fisierul Snomed in directorul urmator');
INSERT INTO `lang_definitions` VALUES (135757, 7750, 25, 'Plasati fisierul VALUESET in directorul urmator');
INSERT INTO `lang_definitions` VALUES (135758, 7752, 25, 'Placeholder');
INSERT INTO `lang_definitions` VALUES (135759, 7753, 25, 'Placeholder (Maintains empty ACLs)');
INSERT INTO `lang_definitions` VALUES (135760, 7756, 25, 'Plain Text');
INSERT INTO `lang_definitions` VALUES (135761, 7757, 25, 'Plan');
INSERT INTO `lang_definitions` VALUES (135762, 7758, 25, 'Plan adaugat cu succes');
INSERT INTO `lang_definitions` VALUES (135763, 7759, 25, 'Plan deja in lista_optiuni');
INSERT INTO `lang_definitions` VALUES (135764, 7762, 25, 'Nume plan');
INSERT INTO `lang_definitions` VALUES (135765, 7763, 25, 'Numa plan exista deja');
INSERT INTO `lang_definitions` VALUES (135766, 7764, 25, 'Nume plan deja luat');
INSERT INTO `lang_definitions` VALUES (135767, 7765, 25, 'Nume plan lipsa');
INSERT INTO `lang_definitions` VALUES (135768, 7768, 25, 'Set plan');
INSERT INTO `lang_definitions` VALUES (135769, 7769, 25, 'Stare plan modificata');
INSERT INTO `lang_definitions` VALUES (135770, 7770, 25, 'Esec la modificare stare plan');
INSERT INTO `lang_definitions` VALUES (135771, 7772, 25, 'Plan actualizat cu succes');
INSERT INTO `lang_definitions` VALUES (135772, 7773, 25, 'Plan:');
INSERT INTO `lang_definitions` VALUES (135773, 7774, 25, 'Activitate planificata');
INSERT INTO `lang_definitions` VALUES (135774, 7775, 25, 'Data planificata');
INSERT INTO `lang_definitions` VALUES (135775, 7776, 25, 'Planuri');
INSERT INTO `lang_definitions` VALUES (135776, 7777, 25, 'Configurare plan');
INSERT INTO `lang_definitions` VALUES (135777, 7778, 25, 'Jucator');
INSERT INTO `lang_definitions` VALUES (135778, 7779, 25, 'Pozitie jucator');
INSERT INTO `lang_definitions` VALUES (135779, 7780, 25, 'Apelati daca informatiile de mai sus nu sunt corecte');
INSERT INTO `lang_definitions` VALUES (135780, 7781, 25, 'Apelati daca informatiile de mai sus nu sunt corecte');
INSERT INTO `lang_definitions` VALUES (135781, 7784, 25, 'Schimbati parola.');
INSERT INTO `lang_definitions` VALUES (135782, 7785, 25, 'Alegeti un fisier');
INSERT INTO `lang_definitions` VALUES (135783, 7786, 25, 'Alegeti un pacient');
INSERT INTO `lang_definitions` VALUES (135784, 7787, 25, 'Alegeti o sectiune valida din lista.');
INSERT INTO `lang_definitions` VALUES (135785, 7788, 25, 'Alegeti o sectiune valida.');
INSERT INTO `lang_definitions` VALUES (135786, 7789, 25, 'Alegeti o valoare pentru');
INSERT INTO `lang_definitions` VALUES (135787, 7790, 25, 'Please choose date range criteria above, and click Refresh to view results.');
INSERT INTO `lang_definitions` VALUES (135788, 7791, 25, 'Please choose the proper formatted EDI-271 file');
INSERT INTO `lang_definitions` VALUES (135789, 7792, 25, 'Please Click download button to download the De Identified data');
INSERT INTO `lang_definitions` VALUES (135790, 7793, 25, 'Please Click download button to download the Re Identified data');
INSERT INTO `lang_definitions` VALUES (135791, 7795, 25, 'Please close this window.');
INSERT INTO `lang_definitions` VALUES (135792, 7796, 25, 'Please compare the new name');
INSERT INTO `lang_definitions` VALUES (135793, 7798, 25, 'Please consider sending in a donation to');
INSERT INTO `lang_definitions` VALUES (135794, 7801, 25, 'Please contact your systems administrator, the following component(s) are required but are missing.');
INSERT INTO `lang_definitions` VALUES (135795, 7802, 25, 'Please correct the value(s) before proceeding!');
INSERT INTO `lang_definitions` VALUES (135796, 7803, 25, 'Please create the following directory before proceeding');
INSERT INTO `lang_definitions` VALUES (135797, 7805, 25, 'Please do not accept this prescription unless it was received via facimile.');
INSERT INTO `lang_definitions` VALUES (135798, 7806, 25, 'Please do not accept this prescription unless it was received via facsimile.');
INSERT INTO `lang_definitions` VALUES (135799, 7807, 25, 'Please do NOT use your browsers stop or reload button while this page is running unless more than 10 minutes have elapsed, this will not cause the process to  stop on the server and will consume uneccesary resources.');
INSERT INTO `lang_definitions` VALUES (135800, 7808, 25, 'PLEASE ENABLE CURL EXTENSION');
INSERT INTO `lang_definitions` VALUES (135801, 7809, 25, 'PLEASE ENABLE OPENSSL EXTENSION');
INSERT INTO `lang_definitions` VALUES (135802, 7810, 25, 'PLEASE ENABLE SOAP EXTENSION');
INSERT INTO `lang_definitions` VALUES (135803, 7811, 25, 'PLEASE ENABLE XML EXTENSION');
INSERT INTO `lang_definitions` VALUES (135804, 7813, 25, 'Introduceti o data pentru ultima revizie.');
INSERT INTO `lang_definitions` VALUES (135805, 7814, 25, 'Introducei o data.');
INSERT INTO `lang_definitions` VALUES (135806, 7816, 25, 'Introduceti o data scadenta');
INSERT INTO `lang_definitions` VALUES (135807, 7818, 25, 'Introduceti un mesaj');
INSERT INTO `lang_definitions` VALUES (135808, 7819, 25, 'Introduceti o suma de bani utilizand numai numere si punct zecimal.');
INSERT INTO `lang_definitions` VALUES (135809, 7821, 25, 'Introduceti o parola noua');
INSERT INTO `lang_definitions` VALUES (135810, 7822, 25, 'Introduceti un titlu!');
INSERT INTO `lang_definitions` VALUES (135811, 7824, 25, 'Introduceti o adresa valida.');
INSERT INTO `lang_definitions` VALUES (135812, 7825, 25, 'Introduceti cel putin numele articolului');
INSERT INTO `lang_definitions` VALUES (135813, 7826, 25, 'Introduceti cel putin numele track\'s');
INSERT INTO `lang_definitions` VALUES (135814, 7828, 25, 'Introduceti codul corect Re Id');
INSERT INTO `lang_definitions` VALUES (135815, 7829, 25, 'Introduceti data de sfarsit mai mare decat data de inceput!');
INSERT INTO `lang_definitions` VALUES (135816, 7832, 25, 'Introduceti un sir nou de cautare');
INSERT INTO `lang_definitions` VALUES (135817, 7833, 25, 'Introduceti codul corect Re Id');
INSERT INTO `lang_definitions` VALUES (135818, 7834, 25, 'Va rugam introduceti parola');
INSERT INTO `lang_definitions` VALUES (135819, 7843, 25, 'Umpleti numarul de verificare');
INSERT INTO `lang_definitions` VALUES (135820, 7844, 25, 'Umpleti numarul de verificare/ref');
INSERT INTO `lang_definitions` VALUES (135821, 7845, 25, 'Umpleti data');
INSERT INTO `lang_definitions` VALUES (135822, 7846, 25, 'Umpleti suma de plata');
INSERT INTO `lang_definitions` VALUES (135823, 7847, 25, 'Umpleti categoria de plata');
INSERT INTO `lang_definitions` VALUES (135824, 7848, 25, 'Umpleti plata de la');
INSERT INTO `lang_definitions` VALUES (135825, 7849, 25, 'Please Fill the Post To Date');
INSERT INTO `lang_definitions` VALUES (135826, 7850, 25, 'Umpleti inainte de a continua');
INSERT INTO `lang_definitions` VALUES (135827, 7854, 25, 'Specifica motivul vizitei');
INSERT INTO `lang_definitions` VALUES (135828, 7855, 25, 'Introduceti criteriile de cautare si click pe Submit pentru raport');
INSERT INTO `lang_definitions` VALUES (135829, 7856, 25, 'Introduceti criteriile de cautare si click pe Submit pentru vedere rezultate.');
INSERT INTO `lang_definitions` VALUES (135830, 7857, 25, 'Introduceti criteriile de cautare si click pe Submit pentru vedere rezultate. (Results will be displayed in a pop up window)');
INSERT INTO `lang_definitions` VALUES (135831, 7858, 25, 'Please login again.');
INSERT INTO `lang_definitions` VALUES (135832, 7859, 25, 'Please note that this can take a very long time, up to several minutes, your web browser may not appear very active during this time but generating a bill is a  complicated process and your web browser is merely waiting for more information.');
INSERT INTO `lang_definitions` VALUES (135833, 7860, 25, 'Please Note: constants are case sensitive and any string is allowed.');
INSERT INTO `lang_definitions` VALUES (135834, 7861, 25, 'Utilizati numai caractere alfabetice');
INSERT INTO `lang_definitions` VALUES (135835, 7862, 25, 'Utilizati numai carcater alfabetice fara spatii');
INSERT INTO `lang_definitions` VALUES (135836, 7863, 25, 'Platiti aceasta suma');
INSERT INTO `lang_definitions` VALUES (135837, 7864, 25, 'Please place your install files in following directory');
INSERT INTO `lang_definitions` VALUES (135838, 7866, 25, 'Scrieti o adresa de email valida');
INSERT INTO `lang_definitions` VALUES (135839, 7867, 25, 'Refereste la');
INSERT INTO `lang_definitions` VALUES (135840, 7868, 25, 'Va rugam sa va resetati parola.');
INSERT INTO `lang_definitions` VALUES (135841, 7869, 25, 'Please restart the apache server before playing with de-identification');
INSERT INTO `lang_definitions` VALUES (135842, 7870, 25, 'Returnati aceasta parte de jos cu plata');
INSERT INTO `lang_definitions` VALUES (135843, 7874, 25, 'Please see the attached PDF.');
INSERT INTO `lang_definitions` VALUES (135844, 7875, 25, 'Selectati');
INSERT INTO `lang_definitions` VALUES (135845, 7876, 25, 'Selectati un format');
INSERT INTO `lang_definitions` VALUES (135846, 7877, 25, 'Selectati limba');
INSERT INTO `lang_definitions` VALUES (135847, 7878, 25, 'Selectati un pacient');
INSERT INTO `lang_definitions` VALUES (135848, 7879, 25, 'Please select a Primary Business Entity facility with \'Tax ID\' as your facility Tax ID. If you are an individual practitioner, use your tax id. This is used for identifying you in the NewCrop system.');
INSERT INTO `lang_definitions` VALUES (135849, 7880, 25, 'Please select a Primary Business Entity facility with \'Tax ID\' as your facility Tax ID. If you are an individual practitioner, use your tax id. This is used for identifying you in the NewCrop system.');
INSERT INTO `lang_definitions` VALUES (135850, 7881, 25, 'Selectati un furnizor procedura');
INSERT INTO `lang_definitions` VALUES (135851, 7882, 25, 'Selectati un destinatar');
INSERT INTO `lang_definitions` VALUES (135852, 7884, 25, 'Selectati o data de inceput si o data de sfarsit');
INSERT INTO `lang_definitions` VALUES (135853, 7885, 25, 'Selectati un destinatar valid');
INSERT INTO `lang_definitions` VALUES (135854, 7886, 25, 'Selectati un grup activ');
INSERT INTO `lang_definitions` VALUES (135855, 7888, 25, 'Selectati un motiv de ajustare pentru codul');
INSERT INTO `lang_definitions` VALUES (135856, 7889, 25, 'Selectati un eveniment');
INSERT INTO `lang_definitions` VALUES (135857, 7891, 25, 'Selectati orice optiune de cautare');
INSERT INTO `lang_definitions` VALUES (135858, 7892, 25, 'Selectati cel putin un criteriu pentru download');
INSERT INTO `lang_definitions` VALUES (135859, 7893, 25, 'Selectati cel putin un pacient.');
INSERT INTO `lang_definitions` VALUES (135860, 7894, 25, 'Selectati cel putin prescriere!');
INSERT INTO `lang_definitions` VALUES (135861, 7895, 25, 'Selectati o consultatie');
INSERT INTO `lang_definitions` VALUES (135862, 7896, 25, 'Selectati data de la');
INSERT INTO `lang_definitions` VALUES (135863, 7897, 25, 'Selectati procedura imagine');
INSERT INTO `lang_definitions` VALUES (135864, 7899, 25, 'Selectati paginile dorite pentru copiere sau forward:');
INSERT INTO `lang_definitions` VALUES (135865, 7900, 25, 'Selectati metoda de plata');
INSERT INTO `lang_definitions` VALUES (135866, 7902, 25, 'Selectati data pana la');
INSERT INTO `lang_definitions` VALUES (135867, 7903, 25, 'Selectati tipul de plata');
INSERT INTO `lang_definitions` VALUES (135868, 7904, 25, 'Selectati categorie vizita');
INSERT INTO `lang_definitions` VALUES (135869, 7905, 25, 'Please select X12 partner, required to create the 270 batch');
INSERT INTO `lang_definitions` VALUES (135870, 7906, 25, 'Please set');
INSERT INTO `lang_definitions` VALUES (135871, 7907, 25, 'Please set de_identification_config variable back to zero');
INSERT INTO `lang_definitions` VALUES (135872, 7909, 25, 'Specificati cel putin o adresa directa');
INSERT INTO `lang_definitions` VALUES (135873, 7910, 25, 'Start proces noua De identificare');
INSERT INTO `lang_definitions` VALUES (135874, 7913, 25, 'Please upgrade OpenEMR Database to include De Identification procedures, function, tables');
INSERT INTO `lang_definitions` VALUES (135875, 7915, 25, 'Please view De Identification error log table for more details');
INSERT INTO `lang_definitions` VALUES (135876, 7916, 25, 'Please visit De Identification screen after some time');
INSERT INTO `lang_definitions` VALUES (135877, 7917, 25, 'Vizitati ecranul Re identificare dupa un timp');
INSERT INTO `lang_definitions` VALUES (135878, 7918, 25, 'Vizitati ecranul dupa un timp');
INSERT INTO `lang_definitions` VALUES (135879, 7920, 25, 'Plot item');
INSERT INTO `lang_definitions` VALUES (135880, 7921, 25, 'Plot selected Items');
INSERT INTO `lang_definitions` VALUES (135881, 7922, 25, 'Plural');
INSERT INTO `lang_definitions` VALUES (135882, 7926, 25, 'PM');
INSERT INTO `lang_definitions` VALUES (135883, 7927, 25, 'Program PM');
INSERT INTO `lang_definitions` VALUES (135884, 7928, 25, 'PMH');
INSERT INTO `lang_definitions` VALUES (135885, 7929, 25, 'PMH Dx');
INSERT INTO `lang_definitions` VALUES (135886, 7930, 25, 'PMH{{Past Medical History}}');
INSERT INTO `lang_definitions` VALUES (135887, 7931, 25, 'PMSFH Panel');
INSERT INTO `lang_definitions` VALUES (135888, 7932, 25, 'PMSFH{{Abbreviation for Past medical Surgical Family and Social History}}');
INSERT INTO `lang_definitions` VALUES (135889, 7933, 25, 'Metoda plata');
INSERT INTO `lang_definitions` VALUES (135890, 7934, 25, 'PND');
INSERT INTO `lang_definitions` VALUES (135891, 7935, 25, 'Conjugat pneumococic 1');
INSERT INTO `lang_definitions` VALUES (135892, 7936, 25, 'Conjugat pneumococic 2');
INSERT INTO `lang_definitions` VALUES (135893, 7937, 25, 'Conjugat pneumococic 3');
INSERT INTO `lang_definitions` VALUES (135894, 7938, 25, 'Conjugat pneumococic 4');
INSERT INTO `lang_definitions` VALUES (135895, 7939, 25, 'Vaccin pneumococic');
INSERT INTO `lang_definitions` VALUES (135896, 7940, 25, 'Vaccinare pneumocicia');
INSERT INTO `lang_definitions` VALUES (135897, 7941, 25, 'Stare vaccinare pneumonia pentru adulti batrani');
INSERT INTO `lang_definitions` VALUES (135898, 7942, 25, 'Stare vaccinare pneumonia pentru adulti batrani (CQM)');
INSERT INTO `lang_definitions` VALUES (135899, 7943, 25, 'Podiatric');
INSERT INTO `lang_definitions` VALUES (135900, 7944, 25, 'Podiatrie');
INSERT INTO `lang_definitions` VALUES (135901, 7945, 25, 'POH{{Past Ocular History}}');
INSERT INTO `lang_definitions` VALUES (135902, 7946, 25, 'Punct de serviciu');
INSERT INTO `lang_definitions` VALUES (135903, 7947, 25, 'Polita');
INSERT INTO `lang_definitions` VALUES (135904, 7950, 25, 'Polita nr');
INSERT INTO `lang_definitions` VALUES (135905, 7951, 25, 'Numar polita');
INSERT INTO `lang_definitions` VALUES (135906, 7952, 25, 'Polish');
INSERT INTO `lang_definitions` VALUES (135907, 7953, 25, 'Polydypsia');
INSERT INTO `lang_definitions` VALUES (135908, 7954, 25, 'Poligon');
INSERT INTO `lang_definitions` VALUES (135909, 7955, 25, 'Polipi');
INSERT INTO `lang_definitions` VALUES (135910, 7956, 25, 'Poliurie');
INSERT INTO `lang_definitions` VALUES (135911, 7957, 25, 'Apetit scazut');
INSERT INTO `lang_definitions` VALUES (135912, 7958, 25, 'Criculatie slaba');
INSERT INTO `lang_definitions` VALUES (135913, 7959, 25, 'Auz slab');
INSERT INTO `lang_definitions` VALUES (135914, 7962, 25, 'Pop ups need to be enabled to see these reports');
INSERT INTO `lang_definitions` VALUES (135915, 7963, 25, 'Populati foaia taxe');
INSERT INTO `lang_definitions` VALUES (135916, 7964, 25, 'Populati vederea an cu evenimente?');
INSERT INTO `lang_definitions` VALUES (135917, 7965, 25, 'Popups');
INSERT INTO `lang_definitions` VALUES (135918, 7967, 25, 'Portal');
INSERT INTO `lang_definitions` VALUES (135919, 7969, 25, 'Activitate portal');
INSERT INTO `lang_definitions` VALUES (135920, 7976, 25, 'ID portal');
INSERT INTO `lang_definitions` VALUES (135921, 7977, 25, 'Portal ID does not match request from portal!');
INSERT INTO `lang_definitions` VALUES (135922, 7980, 25, 'Lipseste parola portal');
INSERT INTO `lang_definitions` VALUES (135923, 7982, 25, 'Cereri portal');
INSERT INTO `lang_definitions` VALUES (135924, 7984, 25, 'Portrait');
INSERT INTO `lang_definitions` VALUES (135925, 7985, 25, 'Portuguese');
INSERT INTO `lang_definitions` VALUES (135926, 7987, 25, 'Portuguese (Brazilian)');
INSERT INTO `lang_definitions` VALUES (135927, 7988, 25, 'Portuguese (European)');
INSERT INTO `lang_definitions` VALUES (135928, 7989, 25, 'Cod POS');
INSERT INTO `lang_definitions` VALUES (135929, 7990, 25, 'Pozitie');
INSERT INTO `lang_definitions` VALUES (135930, 7991, 25, 'Pozitia viziunii');
INSERT INTO `lang_definitions` VALUES (135931, 7992, 25, 'Pozitiv');
INSERT INTO `lang_definitions` VALUES (135932, 7993, 25, 'Pozitive');
INSERT INTO `lang_definitions` VALUES (135933, 7995, 25, 'Post Date');
INSERT INTO `lang_definitions` VALUES (135934, 7996, 25, 'Post For');
INSERT INTO `lang_definitions` VALUES (135935, 7998, 25, 'Dupa picurare nazala');
INSERT INTO `lang_definitions` VALUES (135936, 8000, 25, 'Post Payments');
INSERT INTO `lang_definitions` VALUES (135937, 8001, 25, 'Post chirurgie');
INSERT INTO `lang_definitions` VALUES (135938, 8002, 25, 'Post pentru contabilitate si marcheaza ca platit');
INSERT INTO `lang_definitions` VALUES (135939, 8003, 25, 'Post To Date');
INSERT INTO `lang_definitions` VALUES (135940, 8004, 25, 'Post To Date Cannot be greater than Today');
INSERT INTO `lang_definitions` VALUES (135941, 8006, 25, 'Post To Date Must be greater than the Financial Close Date.');
INSERT INTO `lang_definitions` VALUES (135942, 8007, 25, 'Ingrijire post-avort');
INSERT INTO `lang_definitions` VALUES (135943, 8008, 25, 'Contraceptie post-avort');
INSERT INTO `lang_definitions` VALUES (135944, 8009, 25, 'Consiliere post-avort');
INSERT INTO `lang_definitions` VALUES (135945, 8010, 25, 'Monitorizare post-avort');
INSERT INTO `lang_definitions` VALUES (135946, 8011, 25, 'Postal');
INSERT INTO `lang_definitions` VALUES (135947, 8012, 25, 'Cod postal');
INSERT INTO `lang_definitions` VALUES (135948, 8013, 25, 'Cod postal');
INSERT INTO `lang_definitions` VALUES (135949, 8014, 25, 'Cod postal si numar Box');
INSERT INTO `lang_definitions` VALUES (135950, 8015, 25, 'Post calendar');
INSERT INTO `lang_definitions` VALUES (135951, 8016, 25, 'Administrare post calendar');
INSERT INTO `lang_definitions` VALUES (135952, 8017, 25, 'Post calendar setari categorie');
INSERT INTO `lang_definitions` VALUES (135953, 8018, 25, 'Post calendar setari globale');
INSERT INTO `lang_definitions` VALUES (135954, 8023, 25, 'Postat la');
INSERT INTO `lang_definitions` VALUES (135955, 8024, 25, 'Segment posterior');
INSERT INTO `lang_definitions` VALUES (135956, 8025, 25, 'Postare');
INSERT INTO `lang_definitions` VALUES (135957, 8026, 25, 'Data postare');
INSERT INTO `lang_definitions` VALUES (135958, 8027, 25, 'post{{posterior}}');
INSERT INTO `lang_definitions` VALUES (135959, 8028, 25, 'Pos{{Abbreviation for Position}}');
INSERT INTO `lang_definitions` VALUES (135960, 8029, 25, 'POS{{Past Ocular Surgery}}');
INSERT INTO `lang_definitions` VALUES (135961, 8030, 25, 'Acuitate potentiala');
INSERT INTO `lang_definitions` VALUES (135962, 8031, 25, 'Potential Acuity Meter');
INSERT INTO `lang_definitions` VALUES (135963, 8032, 25, 'Powered by');
INSERT INTO `lang_definitions` VALUES (135964, 8033, 25, 'PPE + Prev Med/Surg Hx');
INSERT INTO `lang_definitions` VALUES (135965, 8034, 25, 'PQRI');
INSERT INTO `lang_definitions` VALUES (135966, 8035, 25, 'PQRI Registry ID');
INSERT INTO `lang_definitions` VALUES (135967, 8036, 25, 'PQRI Registry Name');
INSERT INTO `lang_definitions` VALUES (135968, 8037, 25, 'Practica');
INSERT INTO `lang_definitions` VALUES (135969, 8038, 25, 'Setare implictat practica');
INSERT INTO `lang_definitions` VALUES (135970, 8039, 25, 'Setari practica');
INSERT INTO `lang_definitions` VALUES (135971, 8041, 25, 'Practicant');
INSERT INTO `lang_definitions` VALUES (135972, 8042, 25, 'Evaluare pre participare');
INSERT INTO `lang_definitions` VALUES (135973, 8043, 25, 'Plata inainte');
INSERT INTO `lang_definitions` VALUES (135974, 8044, 25, 'Plata inainte');
INSERT INTO `lang_definitions` VALUES (135975, 8045, 25, 'Consult pre-avort');
INSERT INTO `lang_definitions` VALUES (135976, 8046, 25, 'Consiliere pre-avort');
INSERT INTO `lang_definitions` VALUES (135977, 8048, 25, 'Pref Cat');
INSERT INTO `lang_definitions` VALUES (135978, 8049, 25, 'Preferinta');
INSERT INTO `lang_definitions` VALUES (135979, 8050, 25, 'Preferinte');
INSERT INTO `lang_definitions` VALUES (135980, 8052, 25, 'Categorie eveniment preferat');
INSERT INTO `lang_definitions` VALUES (135981, 8053, 25, 'Limba preferata');
INSERT INTO `lang_definitions` VALUES (135982, 8054, 25, 'Farmacia preferata');
INSERT INTO `lang_definitions` VALUES (135983, 8055, 25, 'Preferred Provider Organization (PPO)');
INSERT INTO `lang_definitions` VALUES (135984, 8056, 25, 'Test sarcina');
INSERT INTO `lang_definitions` VALUES (135985, 8057, 25, 'Preliminar');
INSERT INTO `lang_definitions` VALUES (135986, 8058, 25, 'Pregatire pentru executie raport');
INSERT INTO `lang_definitions` VALUES (135987, 8059, 25, 'Plata anticipata');
INSERT INTO `lang_definitions` VALUES (135988, 8061, 25, 'Reteta medicala');
INSERT INTO `lang_definitions` VALUES (135989, 8063, 25, 'reteta si-a atins limita de');
INSERT INTO `lang_definitions` VALUES (135990, 8064, 25, 'Istoric retete');
INSERT INTO `lang_definitions` VALUES (135991, 8065, 25, 'Import cu succes istoric retete medicale');
INSERT INTO `lang_definitions` VALUES (135992, 8066, 25, 'Eticheta reteta medicala');
INSERT INTO `lang_definitions` VALUES (135993, 8067, 25, 'Raport reteta medicala');
INSERT INTO `lang_definitions` VALUES (135994, 8068, 25, 'Reteta medicala inlaturata cu succes.');
INSERT INTO `lang_definitions` VALUES (135995, 8070, 25, 'Retete medicale');
INSERT INTO `lang_definitions` VALUES (135996, 8073, 25, 'Retete medicale si dispense');
INSERT INTO `lang_definitions` VALUES (135997, 8074, 25, 'Retete medicale si alte trimiteri');
INSERT INTO `lang_definitions` VALUES (135998, 8075, 25, 'Retete medicale si/sau trimiteri de specialist');
INSERT INTO `lang_definitions` VALUES (135999, 8076, 25, 'Raport retete medicale');
INSERT INTO `lang_definitions` VALUES (136000, 8077, 25, 'Retete medicale/Trimiteri');
INSERT INTO `lang_definitions` VALUES (136001, 8078, 25, 'Prezent');
INSERT INTO `lang_definitions` VALUES (136002, 8079, 25, 'Prezentare plangere');
INSERT INTO `lang_definitions` VALUES (136003, 8080, 25, 'Prezentarea problemelor');
INSERT INTO `lang_definitions` VALUES (136004, 8081, 25, 'Apasa Continua pentru executie');
INSERT INTO `lang_definitions` VALUES (136005, 8083, 25, 'Apasa acest icon pentru constructie Impresie/Plan.');
INSERT INTO `lang_definitions` VALUES (136006, 8084, 25, 'Diagnostic presupus');
INSERT INTO `lang_definitions` VALUES (136007, 8085, 25, 'Diagnostic presupus de specialist');
INSERT INTO `lang_definitions` VALUES (136008, 8086, 25, 'Previzualizare');
INSERT INTO `lang_definitions` VALUES (136009, 8087, 25, 'Prev Med/Operatie Hx');
INSERT INTO `lang_definitions` VALUES (136010, 8088, 25, 'Prev luna (tine apasat pentru meniu)');
INSERT INTO `lang_definitions` VALUES (136011, 8089, 25, 'Prev an (tine apasat pentru meniu)');
INSERT INTO `lang_definitions` VALUES (136012, 8091, 25, 'Ingrijire preventiva');
INSERT INTO `lang_definitions` VALUES (136013, 8092, 25, 'Reabilitare preventiva');
INSERT INTO `lang_definitions` VALUES (136014, 8093, 25, 'Ingrijire preventiva si screening: Tobacco Use: Screening and Cessation Intervention (CQM)');
INSERT INTO `lang_definitions` VALUES (136015, 8094, 25, 'Previzualizare eveniment');
INSERT INTO `lang_definitions` VALUES (136016, 8095, 25, 'Previzualizare fisier');
INSERT INTO `lang_definitions` VALUES (136017, 8096, 25, 'Previzualizare nedisponibila pentru acest tip de dcument');
INSERT INTO `lang_definitions` VALUES (136018, 8097, 25, 'Previzualizare a');
INSERT INTO `lang_definitions` VALUES (136019, 8098, 25, 'Precedent');
INSERT INTO `lang_definitions` VALUES (136020, 8099, 25, 'Consultatii precedente');
INSERT INTO `lang_definitions` VALUES (136021, 8100, 25, 'Ziua precedenta');
INSERT INTO `lang_definitions` VALUES (136022, 8102, 25, 'Istoric/Screening precedent');
INSERT INTO `lang_definitions` VALUES (136023, 8103, 25, 'Luna precedenta');
INSERT INTO `lang_definitions` VALUES (136024, 8104, 25, 'Saptamana precedenta');
INSERT INTO `lang_definitions` VALUES (136025, 8105, 25, 'Pret');
INSERT INTO `lang_definitions` VALUES (136026, 8107, 25, 'Pret modificat');
INSERT INTO `lang_definitions` VALUES (136027, 8108, 25, 'Discounting pret');
INSERT INTO `lang_definitions` VALUES (136028, 8109, 25, 'Nivel pret');
INSERT INTO `lang_definitions` VALUES (136029, 8110, 25, 'Nivel pret modificat');
INSERT INTO `lang_definitions` VALUES (136030, 8111, 25, 'Nivel pret:');
INSERT INTO `lang_definitions` VALUES (136031, 8113, 25, 'Preturi');
INSERT INTO `lang_definitions` VALUES (136032, 8114, 25, 'Primar');
INSERT INTO `lang_definitions` VALUES (136033, 8115, 25, 'Entitate afaceri primara');
INSERT INTO `lang_definitions` VALUES (136034, 8116, 25, 'Primary Business Entity tax id is used as account id for NewCrop ePrescription. Changing the facility will affect the working in NewCrop.');
INSERT INTO `lang_definitions` VALUES (136035, 8118, 25, 'Ingrijire primara');
INSERT INTO `lang_definitions` VALUES (136036, 8119, 25, 'Furnizor ingrijire primara');
INSERT INTO `lang_definitions` VALUES (136037, 8120, 25, 'Oras centru primar');
INSERT INTO `lang_definitions` VALUES (136038, 8121, 25, 'Cod tara centru primar');
INSERT INTO `lang_definitions` VALUES (136039, 8122, 25, 'Judet centru primar');
INSERT INTO `lang_definitions` VALUES (136040, 8123, 25, 'Adresa strada centru primar');
INSERT INTO `lang_definitions` VALUES (136041, 8124, 25, 'Cod Zip centru primar');
INSERT INTO `lang_definitions` VALUES (136042, 8125, 25, 'Asig primara');
INSERT INTO `lang_definitions` VALUES (136043, 8126, 25, 'Asigurare primara');
INSERT INTO `lang_definitions` VALUES (136044, 8127, 25, 'Data asigurare primara');
INSERT INTO `lang_definitions` VALUES (136045, 8128, 25, 'Furnizor asigurare primara');
INSERT INTO `lang_definitions` VALUES (136046, 8129, 25, 'Furnizor primar');
INSERT INTO `lang_definitions` VALUES (136047, 8130, 25, 'Tipareste');
INSERT INTO `lang_definitions` VALUES (136048, 8131, 25, 'Tipareste (HTML)');
INSERT INTO `lang_definitions` VALUES (136049, 8132, 25, 'Tipareste (PDF)');
INSERT INTO `lang_definitions` VALUES (136050, 8133, 25, 'Tipareste amendamente');
INSERT INTO `lang_definitions` VALUES (136051, 8134, 25, 'Tipareste orice consultatie');
INSERT INTO `lang_definitions` VALUES (136052, 8135, 25, 'Tipareste formular trimitere gol');
INSERT INTO `lang_definitions` VALUES (136053, 8136, 25, 'Comanda Tiparire');
INSERT INTO `lang_definitions` VALUES (136054, 8137, 25, 'Mesaj Tiparire personalizata');
INSERT INTO `lang_definitions` VALUES (136055, 8138, 25, 'Data listarii');
INSERT INTO `lang_definitions` VALUES (136056, 8139, 25, 'Print End of Day Report 1');
INSERT INTO `lang_definitions` VALUES (136057, 8140, 25, 'Print End of Day Report 2');
INSERT INTO `lang_definitions` VALUES (136058, 8141, 25, 'Print End of Day Report 3');
INSERT INTO `lang_definitions` VALUES (136059, 8142, 25, 'Tipareste intregul listing');
INSERT INTO `lang_definitions` VALUES (136060, 8143, 25, 'Format tiparire');
INSERT INTO `lang_definitions` VALUES (136061, 8144, 25, 'Tipareste panel 4');
INSERT INTO `lang_definitions` VALUES (136062, 8145, 25, 'Tipareste cartea mare');
INSERT INTO `lang_definitions` VALUES (136063, 8147, 25, 'Tipareste mesaj');
INSERT INTO `lang_definitions` VALUES (136064, 8148, 25, 'Imprimare multipla');
INSERT INTO `lang_definitions` VALUES (136065, 8149, 25, 'Tiparie multipla la Fax');
INSERT INTO `lang_definitions` VALUES (136066, 8150, 25, 'Tipareste nume, semnatura si data.');
INSERT INTO `lang_definitions` VALUES (136067, 8151, 25, 'Tipareste note');
INSERT INTO `lang_definitions` VALUES (136068, 8152, 25, 'Tiparest Pagina 1');
INSERT INTO `lang_definitions` VALUES (136069, 8153, 25, 'Tipareste Pagina 2');
INSERT INTO `lang_definitions` VALUES (136070, 8154, 25, 'Tipareste eticheta adresa pacient');
INSERT INTO `lang_definitions` VALUES (136071, 8155, 25, 'Tpareste note facturare pacient');
INSERT INTO `lang_definitions` VALUES (136072, 8156, 25, 'Tipareste chitanta');
INSERT INTO `lang_definitions` VALUES (136073, 8157, 25, 'Tipareste inregistrare');
INSERT INTO `lang_definitions` VALUES (136074, 8161, 25, 'Tipareste raport');
INSERT INTO `lang_definitions` VALUES (136075, 8163, 25, 'Tipareste declaratie selectata');
INSERT INTO `lang_definitions` VALUES (136076, 8164, 25, 'Tipareste inregistrare Shot');
INSERT INTO `lang_definitions` VALUES (136077, 8165, 25, 'Pregateste programarea urmatoarea la safrsitul cartii mari');
INSERT INTO `lang_definitions` VALUES (136078, 8166, 25, 'Tipareste aceasta consultatie');
INSERT INTO `lang_definitions` VALUES (136079, 8168, 25, 'Tipareste aceasta nota');
INSERT INTO `lang_definitions` VALUES (136080, 8169, 25, 'Tipareste aceasta nota');
INSERT INTO `lang_definitions` VALUES (136081, 8170, 25, 'Tipareste la');
INSERT INTO `lang_definitions` VALUES (136082, 8171, 25, 'Tipareste la Fax');
INSERT INTO `lang_definitions` VALUES (136083, 8172, 25, 'Vizualizare Imprimante');
INSERT INTO `lang_definitions` VALUES (136084, 8173, 25, 'tiparibil');
INSERT INTO `lang_definitions` VALUES (136085, 8174, 25, 'Versiune printabila');
INSERT INTO `lang_definitions` VALUES (136086, 8175, 25, 'Tiparit');
INSERT INTO `lang_definitions` VALUES (136087, 8177, 25, 'Optiune Printing Log');
INSERT INTO `lang_definitions` VALUES (136088, 8178, 25, 'Tiparind rezultate:');
INSERT INTO `lang_definitions` VALUES (136089, 8179, 25, 'Tiparire sarita, vezi iesirea test in');
INSERT INTO `lang_definitions` VALUES (136090, 8180, 25, 'Tiparire sarita, vezi iesirea test in');
INSERT INTO `lang_definitions` VALUES (136091, 8181, 25, 'Prints the CMS 1500 on the Preprinted form');
INSERT INTO `lang_definitions` VALUES (136092, 8182, 25, 'Prior Autorizare');
INSERT INTO `lang_definitions` VALUES (136093, 8184, 25, 'Formular autorizare anterior');
INSERT INTO `lang_definitions` VALUES (136094, 8185, 25, 'Examen anterior');
INSERT INTO `lang_definitions` VALUES (136095, 8186, 25, 'Prior Eye Meds');
INSERT INTO `lang_definitions` VALUES (136096, 8187, 25, 'IMP/PLAN anterior');
INSERT INTO `lang_definitions` VALUES (136097, 8189, 25, 'Vizita anterioara');
INSERT INTO `lang_definitions` VALUES (136098, 8190, 25, 'Vizite anterioare');
INSERT INTO `lang_definitions` VALUES (136099, 8191, 25, 'Prioritate');
INSERT INTO `lang_definitions` VALUES (136100, 8192, 25, 'Prioritate');
INSERT INTO `lang_definitions` VALUES (136101, 8193, 25, 'Prisma');
INSERT INTO `lang_definitions` VALUES (136102, 8194, 25, 'Dioptrie prisma');
INSERT INTO `lang_definitions` VALUES (136103, 8195, 25, 'Inchisoare de recuperare');
INSERT INTO `lang_definitions` VALUES (136104, 8196, 25, 'Privat');
INSERT INTO `lang_definitions` VALUES (136105, 8197, 25, 'Problema');
INSERT INTO `lang_definitions` VALUES (136106, 8198, 25, 'Problema DX');
INSERT INTO `lang_definitions` VALUES (136107, 8199, 25, 'Lista probleme');
INSERT INTO `lang_definitions` VALUES (136108, 8200, 25, 'Probleme');
INSERT INTO `lang_definitions` VALUES (136109, 8202, 25, 'Probleme');
INSERT INTO `lang_definitions` VALUES (136110, 8203, 25, 'Proc Bat');
INSERT INTO `lang_definitions` VALUES (136111, 8204, 25, 'Proc Cat');
INSERT INTO `lang_definitions` VALUES (136112, 8205, 25, 'Proc Load');
INSERT INTO `lang_definitions` VALUES (136113, 8206, 25, 'Proc Pending Rev');
INSERT INTO `lang_definitions` VALUES (136114, 8207, 25, 'Proc Prov');
INSERT INTO `lang_definitions` VALUES (136115, 8208, 25, 'Proc Res');
INSERT INTO `lang_definitions` VALUES (136116, 8209, 25, 'Procedura');
INSERT INTO `lang_definitions` VALUES (136117, 8210, 25, 'Procedure Body Sites');
INSERT INTO `lang_definitions` VALUES (136118, 8212, 25, 'Procedure Boolean Results');
INSERT INTO `lang_definitions` VALUES (136119, 8214, 25, 'Cod procedura');
INSERT INTO `lang_definitions` VALUES (136120, 8215, 25, 'Coduri proceduri');
INSERT INTO `lang_definitions` VALUES (136121, 8216, 25, 'Procedure Lateralities');
INSERT INTO `lang_definitions` VALUES (136122, 8218, 25, 'Nume procedura');
INSERT INTO `lang_definitions` VALUES (136123, 8220, 25, 'Ordinea procedurii');
INSERT INTO `lang_definitions` VALUES (136124, 8221, 25, 'Ordinea procedurii');
INSERT INTO `lang_definitions` VALUES (136125, 8223, 25, 'Ordinea procedurii pentru');
INSERT INTO `lang_definitions` VALUES (136126, 8224, 25, 'Ordinea procedurii negasita');
INSERT INTO `lang_definitions` VALUES (136127, 8226, 25, 'Comenzi si rapoarte de procedura');
INSERT INTO `lang_definitions` VALUES (136128, 8227, 25, 'Selector procedura');
INSERT INTO `lang_definitions` VALUES (136129, 8228, 25, 'Furnizor procedura');
INSERT INTO `lang_definitions` VALUES (136130, 8229, 25, 'Furnizor procedura');
INSERT INTO `lang_definitions` VALUES (136131, 8231, 25, 'Furnizori procedura');
INSERT INTO `lang_definitions` VALUES (136132, 8232, 25, 'Raport procedura');
INSERT INTO `lang_definitions` VALUES (136133, 8235, 25, 'Starea raprtului de procedrua');
INSERT INTO `lang_definitions` VALUES (136134, 8237, 25, 'Procedura rezultat anorma');
INSERT INTO `lang_definitions` VALUES (136135, 8238, 25, 'Procedura stare rezultat');
INSERT INTO `lang_definitions` VALUES (136136, 8240, 25, 'Procedura rezultate');
INSERT INTO `lang_definitions` VALUES (136137, 8241, 25, 'Rute de procedura');
INSERT INTO `lang_definitions` VALUES (136138, 8243, 25, 'Tipuri specimen procedura');
INSERT INTO `lang_definitions` VALUES (136139, 8245, 25, 'Raport statistici procedura');
INSERT INTO `lang_definitions` VALUES (136140, 8248, 25, 'Tip procedura');
INSERT INTO `lang_definitions` VALUES (136141, 8249, 25, 'Tipuri proceduri');
INSERT INTO `lang_definitions` VALUES (136142, 8251, 25, 'Unitati procedura');
INSERT INTO `lang_definitions` VALUES (136143, 8253, 25, 'Procedura/Serviciu');
INSERT INTO `lang_definitions` VALUES (136144, 8254, 25, 'Proceduri');
INSERT INTO `lang_definitions` VALUES (136145, 8256, 25, 'Proces');
INSERT INTO `lang_definitions` VALUES (136146, 8257, 25, 'Proceseaza si trimite mementouri');
INSERT INTO `lang_definitions` VALUES (136147, 8258, 25, 'Process ERA File');
INSERT INTO `lang_definitions` VALUES (136148, 8259, 25, 'Process New Files');
INSERT INTO `lang_definitions` VALUES (136149, 8260, 25, 'Process new files for CSV records');
INSERT INTO `lang_definitions` VALUES (136150, 8261, 25, 'Proceseaza mementouri');
INSERT INTO `lang_definitions` VALUES (136151, 8262, 25, 'Procesul dureaza un timp');
INSERT INTO `lang_definitions` VALUES (136152, 8263, 25, 'Procesat');
INSERT INTO `lang_definitions` VALUES (136153, 8264, 25, 'Procesat de');
INSERT INTO `lang_definitions` VALUES (136154, 8265, 25, 'Data procesarii');
INSERT INTO `lang_definitions` VALUES (136155, 8266, 25, 'procesat cu succes');
INSERT INTO `lang_definitions` VALUES (136156, 8267, 25, 'Procesare');
INSERT INTO `lang_definitions` VALUES (136157, 8268, 25, 'Procesare si trimitere mementouri pacient');
INSERT INTO `lang_definitions` VALUES (136158, 8271, 25, 'Procesare memento-uri pacient');
INSERT INTO `lang_definitions` VALUES (136159, 8272, 25, 'Timp de procesare');
INSERT INTO `lang_definitions` VALUES (136160, 8274, 25, 'Produs');
INSERT INTO `lang_definitions` VALUES (136161, 8275, 25, 'Produs adaugat');
INSERT INTO `lang_definitions` VALUES (136162, 8276, 25, 'Produs metoda contraceptiva');
INSERT INTO `lang_definitions` VALUES (136163, 8277, 25, 'Produs sters');
INSERT INTO `lang_definitions` VALUES (136164, 8278, 25, 'Productie');
INSERT INTO `lang_definitions` VALUES (136165, 8279, 25, 'Produse');
INSERT INTO `lang_definitions` VALUES (136166, 8280, 25, 'Produse dar nu prescriptii medicamente si nu modele');
INSERT INTO `lang_definitions` VALUES (136167, 8282, 25, 'Prof.');
INSERT INTO `lang_definitions` VALUES (136168, 8287, 25, 'Prog.{{Progressive lenses}}');
INSERT INTO `lang_definitions` VALUES (136169, 8290, 25, 'Note progres');
INSERT INTO `lang_definitions` VALUES (136170, 8291, 25, 'Progresiv');
INSERT INTO `lang_definitions` VALUES (136171, 8295, 25, 'Cancer prostata');
INSERT INTO `lang_definitions` VALUES (136172, 8296, 25, 'Screening cancer prostata');
INSERT INTO `lang_definitions` VALUES (136173, 8297, 25, 'Examen prostata');
INSERT INTO `lang_definitions` VALUES (136174, 8298, 25, 'Probleme prostata');
INSERT INTO `lang_definitions` VALUES (136175, 8299, 25, 'Prostate w/o enlrgmt, nodules, tender');
INSERT INTO `lang_definitions` VALUES (136176, 8300, 25, 'Indicator protectie');
INSERT INTO `lang_definitions` VALUES (136177, 8301, 25, 'Data efectiva indicator protectie');
INSERT INTO `lang_definitions` VALUES (136178, 8302, 25, 'Protocol');
INSERT INTO `lang_definitions` VALUES (136179, 8304, 25, 'Furnizeaza calea absoluta');
INSERT INTO `lang_definitions` VALUES (136180, 8305, 25, 'Furnizeaza calea absoluta pentru fisier');
INSERT INTO `lang_definitions` VALUES (136181, 8308, 25, 'OFera rezumat clinic pentru pacienti pentru fiecare vizita (Noua).');
INSERT INTO `lang_definitions` VALUES (136182, 8309, 25, 'Ofera rezumat clinic pentru pacienti pentru fiecare vizita.');
INSERT INTO `lang_definitions` VALUES (136183, 8311, 25, 'Ofera pacientilor o copie electronica a informatiilor de sanatate');
INSERT INTO `lang_definitions` VALUES (136184, 8312, 25, 'Provide patients with timely electronic access to their health information (including lab results, problem list, medication lists, medication allergies) within four business days of the information being available to the EP.');
INSERT INTO `lang_definitions` VALUES (136185, 8313, 25, 'Ofera inregistrari pacientilor pentru vizita');
INSERT INTO `lang_definitions` VALUES (136186, 8315, 25, 'Furnizeaza adresa de email valida');
INSERT INTO `lang_definitions` VALUES (136187, 8316, 25, 'Rezumat clinic oferit?');
INSERT INTO `lang_definitions` VALUES (136188, 8317, 25, 'Resurse educationale oferite?');
INSERT INTO `lang_definitions` VALUES (136189, 8318, 25, 'Furnizor');
INSERT INTO `lang_definitions` VALUES (136190, 8322, 25, 'Id furnizor');
INSERT INTO `lang_definitions` VALUES (136191, 8323, 25, 'Id furnizor');
INSERT INTO `lang_definitions` VALUES (136192, 8324, 25, 'ID furnizor la centru specificat');
INSERT INTO `lang_definitions` VALUES (136193, 8325, 25, 'Erori potrivire furnizor');
INSERT INTO `lang_definitions` VALUES (136194, 8328, 25, 'Furnizor nedisponibil, alegeti altul.');
INSERT INTO `lang_definitions` VALUES (136195, 8329, 25, 'Furnizor nedisponibil, utilizati oricum?');
INSERT INTO `lang_definitions` VALUES (136196, 8330, 25, 'Numar furnizor');
INSERT INTO `lang_definitions` VALUES (136197, 8332, 25, 'Codul calificarii furnizorului');
INSERT INTO `lang_definitions` VALUES (136198, 8333, 25, 'Legatura furnizori');
INSERT INTO `lang_definitions` VALUES (136199, 8334, 25, 'Tip furnizor');
INSERT INTO `lang_definitions` VALUES (136200, 8335, 25, 'Furnizor/Depozit');
INSERT INTO `lang_definitions` VALUES (136201, 8336, 25, 'Furnizor:');
INSERT INTO `lang_definitions` VALUES (136202, 8337, 25, 'Furnizori procedura');
INSERT INTO `lang_definitions` VALUES (136203, 8338, 25, 'Furnizor NPI');
INSERT INTO `lang_definitions` VALUES (136204, 8339, 25, 'Furnizorii vad intregul calendar');
INSERT INTO `lang_definitions` VALUES (136205, 8341, 25, 'Prv');
INSERT INTO `lang_definitions` VALUES (136206, 8342, 25, 'PSA');
INSERT INTO `lang_definitions` VALUES (136207, 8343, 25, 'Psoriazis');
INSERT INTO `lang_definitions` VALUES (136208, 8344, 25, 'Psihiat');
INSERT INTO `lang_definitions` VALUES (136209, 8345, 25, 'Diagnostic pshiatric');
INSERT INTO `lang_definitions` VALUES (136210, 8346, 25, 'Medicatie psihiatrica');
INSERT INTO `lang_definitions` VALUES (136211, 8347, 25, 'Psihatric');
INSERT INTO `lang_definitions` VALUES (136212, 8348, 25, 'Scrisoare scurta psihiatrica');
INSERT INTO `lang_definitions` VALUES (136213, 8349, 25, 'Diagnsotic psihatric');
INSERT INTO `lang_definitions` VALUES (136214, 8350, 25, 'Examinare psihatrica');
INSERT INTO `lang_definitions` VALUES (136215, 8351, 25, 'Centru psihatric - spitalizare partiala');
INSERT INTO `lang_definitions` VALUES (136216, 8352, 25, 'Istoric psihiatric');
INSERT INTO `lang_definitions` VALUES (136217, 8353, 25, 'Intrare psihiatrica');
INSERT INTO `lang_definitions` VALUES (136218, 8354, 25, 'Medicatie psihiatrica');
INSERT INTO `lang_definitions` VALUES (136219, 8355, 25, 'Centru de tratament rezidential psihiatric');
INSERT INTO `lang_definitions` VALUES (136220, 8356, 25, 'Psych{{psychiatric}}');
INSERT INTO `lang_definitions` VALUES (136221, 8357, 25, 'PSYCH{{Psychiatry}}');
INSERT INTO `lang_definitions` VALUES (136222, 8358, 25, 'Pt %');
INSERT INTO `lang_definitions` VALUES (136223, 8360, 25, 'Pt Notes');
INSERT INTO `lang_definitions` VALUES (136224, 8361, 25, 'Pt Notes/Auth');
INSERT INTO `lang_definitions` VALUES (136225, 8362, 25, 'Pt overpaid');
INSERT INTO `lang_definitions` VALUES (136226, 8364, 25, 'Pt Paid');
INSERT INTO `lang_definitions` VALUES (136227, 8365, 25, 'Pt Rec Request');
INSERT INTO `lang_definitions` VALUES (136228, 8366, 25, 'Pt refund');
INSERT INTO `lang_definitions` VALUES (136229, 8367, 25, 'Pt released');
INSERT INTO `lang_definitions` VALUES (136230, 8368, 25, 'Pt Report');
INSERT INTO `lang_definitions` VALUES (136231, 8369, 25, 'PT Student, or leave blank');
INSERT INTO `lang_definitions` VALUES (136232, 8370, 25, 'PT_CITY');
INSERT INTO `lang_definitions` VALUES (136233, 8371, 25, 'PT_DOB');
INSERT INTO `lang_definitions` VALUES (136234, 8372, 25, 'PT_EMAIL');
INSERT INTO `lang_definitions` VALUES (136235, 8373, 25, 'PT_FNAME');
INSERT INTO `lang_definitions` VALUES (136236, 8374, 25, 'PT_LNAME');
INSERT INTO `lang_definitions` VALUES (136237, 8375, 25, 'PT_MNAME');
INSERT INTO `lang_definitions` VALUES (136238, 8376, 25, 'PT_PHONE_CELL');
INSERT INTO `lang_definitions` VALUES (136239, 8377, 25, 'PT_PHONE_HOME');
INSERT INTO `lang_definitions` VALUES (136240, 8378, 25, 'PT_POSTAL');
INSERT INTO `lang_definitions` VALUES (136241, 8379, 25, 'PT_SSN');
INSERT INTO `lang_definitions` VALUES (136242, 8380, 25, 'PT_STATE');
INSERT INTO `lang_definitions` VALUES (136243, 8381, 25, 'PT_STREET');
INSERT INTO `lang_definitions` VALUES (136244, 8382, 25, 'Pubid');
INSERT INTO `lang_definitions` VALUES (136245, 8383, 25, 'Public');
INSERT INTO `lang_definitions` VALUES (136246, 8384, 25, 'Agentie publica');
INSERT INTO `lang_definitions` VALUES (136247, 8385, 25, 'Clinica de sanatate publica');
INSERT INTO `lang_definitions` VALUES (136248, 8386, 25, 'Medic de sanatate publica');
INSERT INTO `lang_definitions` VALUES (136249, 8387, 25, 'Serviciu de sanatate publica (PHS) sau alta agentie federala');
INSERT INTO `lang_definitions` VALUES (136250, 8389, 25, 'Cod publicitar');
INSERT INTO `lang_definitions` VALUES (136251, 8390, 25, 'Data efectiva cod publicitar');
INSERT INTO `lang_definitions` VALUES (136252, 8394, 25, 'Puerto Rican');
INSERT INTO `lang_definitions` VALUES (136253, 8395, 25, 'sufla');
INSERT INTO `lang_definitions` VALUES (136254, 8396, 25, 'Pulmonar');
INSERT INTO `lang_definitions` VALUES (136255, 8397, 25, 'PULM{{Pulmonary}}');
INSERT INTO `lang_definitions` VALUES (136256, 8398, 25, 'Puls');
INSERT INTO `lang_definitions` VALUES (136257, 8399, 25, 'Punjabi');
INSERT INTO `lang_definitions` VALUES (136258, 8400, 25, 'Elevi');
INSERT INTO `lang_definitions` VALUES (136259, 8401, 25, 'Cumparare');
INSERT INTO `lang_definitions` VALUES (136260, 8402, 25, 'Cumparare/Returnare');
INSERT INTO `lang_definitions` VALUES (136261, 8403, 25, 'Achizitii');
INSERT INTO `lang_definitions` VALUES (136262, 8405, 25, 'Psihiatrie');
INSERT INTO `lang_definitions` VALUES (136263, 8406, 25, 'P{{Justify Header}}');
INSERT INTO `lang_definitions` VALUES (136264, 8407, 25, 'Pāli');
INSERT INTO `lang_definitions` VALUES (136265, 8408, 25, 'q.3h');
INSERT INTO `lang_definitions` VALUES (136266, 8409, 25, 'q.4h');
INSERT INTO `lang_definitions` VALUES (136267, 8410, 25, 'q.5h');
INSERT INTO `lang_definitions` VALUES (136268, 8411, 25, 'q.6h');
INSERT INTO `lang_definitions` VALUES (136269, 8412, 25, 'q.8h');
INSERT INTO `lang_definitions` VALUES (136270, 8413, 25, 'q.d.');
INSERT INTO `lang_definitions` VALUES (136271, 8414, 25, 'q.i.d.');
INSERT INTO `lang_definitions` VALUES (136272, 8417, 25, 'QOH');
INSERT INTO `lang_definitions` VALUES (136273, 8418, 25, 'QOH is less than monthly usage');
INSERT INTO `lang_definitions` VALUES (136274, 8419, 25, 'Qty');
INSERT INTO `lang_definitions` VALUES (136275, 8420, 25, 'QTY');
INSERT INTO `lang_definitions` VALUES (136276, 8421, 25, 'Calitate');
INSERT INTO `lang_definitions` VALUES (136277, 8422, 25, 'Masuratori de calitate (CQM)');
INSERT INTO `lang_definitions` VALUES (136278, 8423, 25, 'Cantitate');
INSERT INTO `lang_definitions` VALUES (136279, 8424, 25, 'Cantitate modificata');
INSERT INTO `lang_definitions` VALUES (136280, 8425, 25, 'Cantitate pentru NDC');
INSERT INTO `lang_definitions` VALUES (136281, 8426, 25, 'Cantitate la indemana');
INSERT INTO `lang_definitions` VALUES (136282, 8427, 25, 'cantitate pare neutilizabila');
INSERT INTO `lang_definitions` VALUES (136283, 8429, 25, 'Quechua');
INSERT INTO `lang_definitions` VALUES (136284, 8431, 25, 'Semn de intrebare');
INSERT INTO `lang_definitions` VALUES (136285, 8432, 25, 'Queue for HCFA batch processing');
INSERT INTO `lang_definitions` VALUES (136286, 8433, 25, 'Queue for HCFA batch processing and printing');
INSERT INTO `lang_definitions` VALUES (136287, 8434, 25, 'Queue for UB-92 batch processing');
INSERT INTO `lang_definitions` VALUES (136288, 8435, 25, 'Queue for UB-92 batch processing and printing');
INSERT INTO `lang_definitions` VALUES (136289, 8436, 25, 'Queued');
INSERT INTO `lang_definitions` VALUES (136290, 8437, 25, 'Queued Events Administration');
INSERT INTO `lang_definitions` VALUES (136291, 8438, 25, 'Queued for');
INSERT INTO `lang_definitions` VALUES (136292, 8439, 25, 'Queued for Transfer');
INSERT INTO `lang_definitions` VALUES (136293, 8440, 25, 'Queued Submissions Administration');
INSERT INTO `lang_definitions` VALUES (136294, 8441, 25, 'Quick Picks');
INSERT INTO `lang_definitions` VALUES (136295, 8442, 25, 'Paraseste');
INSERT INTO `lang_definitions` VALUES (136296, 8443, 25, 'Renunta la alcool');
INSERT INTO `lang_definitions` VALUES (136297, 8445, 25, 'R');
INSERT INTO `lang_definitions` VALUES (136298, 8446, 25, 'R/LG{{right/left gonioscopy}}');
INSERT INTO `lang_definitions` VALUES (136299, 8447, 25, 'R/LPACH{{right/left pachymetry}}');
INSERT INTO `lang_definitions` VALUES (136300, 8448, 25, 'R/LSCH1{{right/left Schirmers I (w/o anesthesia)}}');
INSERT INTO `lang_definitions` VALUES (136301, 8449, 25, 'R/LSCH2{{right/left Schirmers II (w/ anesthesia)}}');
INSERT INTO `lang_definitions` VALUES (136302, 8450, 25, 'R/LTBUT{{right/left Tear Break Up Time}}');
INSERT INTO `lang_definitions` VALUES (136303, 8451, 25, 'RA pentru pacient, consultatie sau monitoizare');
INSERT INTO `lang_definitions` VALUES (136304, 8452, 25, 'Rasa');
INSERT INTO `lang_definitions` VALUES (136305, 8453, 25, 'Rasa sau etnie');
INSERT INTO `lang_definitions` VALUES (136306, 8454, 25, 'Rasa/Etnie');
INSERT INTO `lang_definitions` VALUES (136307, 8455, 25, 'RAC{{right anterior chamber}}');
INSERT INTO `lang_definitions` VALUES (136308, 8456, 25, 'Radio');
INSERT INTO `lang_definitions` VALUES (136309, 8457, 25, 'Butoane Radio');
INSERT INTO `lang_definitions` VALUES (136310, 8460, 25, 'RAD{{right adnexa}}');
INSERT INTO `lang_definitions` VALUES (136311, 8461, 25, 'Ecran Random Drug');
INSERT INTO `lang_definitions` VALUES (136312, 8462, 25, 'Interval');
INSERT INTO `lang_definitions` VALUES (136313, 8463, 25, 'Eruptii cutanate');
INSERT INTO `lang_definitions` VALUES (136314, 8464, 25, 'Rate');
INSERT INTO `lang_definitions` VALUES (136315, 8466, 25, 'Raport');
INSERT INTO `lang_definitions` VALUES (136316, 8467, 25, 'Rand Raport');
INSERT INTO `lang_definitions` VALUES (136317, 8468, 25, 'RB{{right brow}}');
INSERT INTO `lang_definitions` VALUES (136318, 8469, 25, 'RCMT{{right Central Macular Thickness}}');
INSERT INTO `lang_definitions` VALUES (136319, 8470, 25, 'RCOM{{right comments}}');
INSERT INTO `lang_definitions` VALUES (136320, 8471, 25, 'RCUP{{right cup}}');
INSERT INTO `lang_definitions` VALUES (136321, 8472, 25, 'RC{{right conjunctiva}}');
INSERT INTO `lang_definitions` VALUES (136322, 8473, 25, 'RD{{retinal detachment}}');
INSERT INTO `lang_definitions` VALUES (136323, 8474, 25, 'RD{{right disc}}');
INSERT INTO `lang_definitions` VALUES (136324, 8475, 25, 'Identificare Re');
INSERT INTO `lang_definitions` VALUES (136325, 8476, 25, 'Proces identificare Re complet');
INSERT INTO `lang_definitions` VALUES (136326, 8477, 25, 'Proces identificare Re in desfasurare');
INSERT INTO `lang_definitions` VALUES (136327, 8478, 25, 'Fisierele identificare Re vor fi salvate in');
INSERT INTO `lang_definitions` VALUES (136328, 8479, 25, 'Reimbolnavire?');
INSERT INTO `lang_definitions` VALUES (136329, 8480, 25, 'Redeschide');
INSERT INTO `lang_definitions` VALUES (136330, 8481, 25, 'Redeschide vizita');
INSERT INTO `lang_definitions` VALUES (136331, 8482, 25, 'Redeschis');
INSERT INTO `lang_definitions` VALUES (136332, 8483, 25, 'Redeschiderea acesti vizite va determina un gol. Este necesare reintroducerea informatiilor de plata. Doriti sa continuati?');
INSERT INTO `lang_definitions` VALUES (136333, 8484, 25, 'Reactie');
INSERT INTO `lang_definitions` VALUES (136334, 8486, 25, 'Reactii');
INSERT INTO `lang_definitions` VALUES (136335, 8487, 25, 'Reactiva');
INSERT INTO `lang_definitions` VALUES (136336, 8488, 25, 'react{{reactivity}}');
INSERT INTO `lang_definitions` VALUES (136337, 8489, 25, 'Citeste');
INSERT INTO `lang_definitions` VALUES (136338, 8490, 25, 'Numai citeste');
INSERT INTO `lang_definitions` VALUES (136339, 8495, 25, 'Numai citeste din istoric');
INSERT INTO `lang_definitions` VALUES (136340, 8496, 25, 'Nume real');
INSERT INTO `lang_definitions` VALUES (136341, 8497, 25, 'Sterge cu adevarat');
INSERT INTO `lang_definitions` VALUES (136342, 8498, 25, 'Motiv');
INSERT INTO `lang_definitions` VALUES (136343, 8499, 25, 'Motive deces');
INSERT INTO `lang_definitions` VALUES (136344, 8500, 25, 'Motivul decesului');
INSERT INTO `lang_definitions` VALUES (136345, 8501, 25, 'Motivul trimiterii');
INSERT INTO `lang_definitions` VALUES (136346, 8502, 25, 'Motivul trimiterii');
INSERT INTO `lang_definitions` VALUES (136347, 8504, 25, 'Motivul vizitei');
INSERT INTO `lang_definitions` VALUES (136348, 8506, 25, 'Motiv/Formular');
INSERT INTO `lang_definitions` VALUES (136349, 8507, 25, 'Motiv/Plan');
INSERT INTO `lang_definitions` VALUES (136350, 8514, 25, 'Numai rechemare - orice metoda');
INSERT INTO `lang_definitions` VALUES (136351, 8515, 25, 'Numai rechemare - niciun apel');
INSERT INTO `lang_definitions` VALUES (136352, 8518, 25, 'Rechemare la furnizor');
INSERT INTO `lang_definitions` VALUES (136353, 8521, 25, 'Chitanta');
INSERT INTO `lang_definitions` VALUES (136354, 8522, 25, 'Chitanta de plata');
INSERT INTO `lang_definitions` VALUES (136355, 8523, 25, 'Chitanta generata');
INSERT INTO `lang_definitions` VALUES (136356, 8524, 25, 'Incasari prin raposrtul metoda de plata');
INSERT INTO `lang_definitions` VALUES (136357, 8525, 25, 'Rezumat incasari');
INSERT INTO `lang_definitions` VALUES (136358, 8526, 25, 'Receptionat');
INSERT INTO `lang_definitions` VALUES (136359, 8527, 25, 'Receptionat de');
INSERT INTO `lang_definitions` VALUES (136360, 8528, 25, 'Faxurile primite');
INSERT INTO `lang_definitions` VALUES (136361, 8530, 25, 'Primit, nu revizuit');
INSERT INTO `lang_definitions` VALUES (136362, 8531, 25, 'primit, nerevizuit');
INSERT INTO `lang_definitions` VALUES (136363, 8532, 25, 'Primitor');
INSERT INTO `lang_definitions` VALUES (136364, 8533, 25, 'ID destinatar');
INSERT INTO `lang_definitions` VALUES (136365, 8534, 25, 'ID destinatar (ISA08)');
INSERT INTO `lang_definitions` VALUES (136366, 8535, 25, 'Calificativ ID destinatar (ISA07)');
INSERT INTO `lang_definitions` VALUES (136367, 8536, 25, 'ID-uri destinatar');
INSERT INTO `lang_definitions` VALUES (136368, 8540, 25, 'Ultimele 3 parole nu sunt permise');
INSERT INTO `lang_definitions` VALUES (136369, 8542, 25, 'Destinatar');
INSERT INTO `lang_definitions` VALUES (136370, 8543, 25, 'Lista destinatar goala');
INSERT INTO `lang_definitions` VALUES (136371, 8544, 25, 'Nume destinatar');
INSERT INTO `lang_definitions` VALUES (136372, 8545, 25, 'Destinatarul dezvaluirii');
INSERT INTO `lang_definitions` VALUES (136373, 8546, 25, 'Destinanatrul este necesar cu exceptia cand starea este Terminat');
INSERT INTO `lang_definitions` VALUES (136374, 8549, 25, 'Recomandare');
INSERT INTO `lang_definitions` VALUES (136375, 8551, 25, 'Recomandare pentru monitorizare');
INSERT INTO `lang_definitions` VALUES (136376, 8552, 25, 'Recomandari');
INSERT INTO `lang_definitions` VALUES (136377, 8553, 25, 'Recomandari si tratament');
INSERT INTO `lang_definitions` VALUES (136378, 8554, 25, 'Recomandari ale specialistului');
INSERT INTO `lang_definitions` VALUES (136379, 8556, 25, 'INREGISTRARE');
INSERT INTO `lang_definitions` VALUES (136380, 8557, 25, 'Inregistrare');
INSERT INTO `lang_definitions` VALUES (136381, 8558, 25, 'Inregistrare existenta');
INSERT INTO `lang_definitions` VALUES (136382, 8559, 25, 'Inregistreaza si schiteaza schimbari in semnele vitale ( Height / Weight / BP with in scope ).');
INSERT INTO `lang_definitions` VALUES (136383, 8560, 25, 'Inregistreaza si schiteaza schimbari in semnele vitale (BP out of scope).');
INSERT INTO `lang_definitions` VALUES (136384, 8561, 25, 'Inregistreaza si schiteaza schimbari in semnele vitale  (Height / Weight out of scope).');
INSERT INTO `lang_definitions` VALUES (136385, 8562, 25, 'Inregistreaza si schiteaza schimbari in semnele vitale (Nou).');
INSERT INTO `lang_definitions` VALUES (136386, 8563, 25, 'Inregistreaza si schiteaza schimbari in semnele vitale (SET 1).');
INSERT INTO `lang_definitions` VALUES (136387, 8564, 25, 'Inregistreaza si schiteaza schimbari in semnele vitale.');
INSERT INTO `lang_definitions` VALUES (136388, 8565, 25, 'Inregistreaza date demografice');
INSERT INTO `lang_definitions` VALUES (136389, 8566, 25, 'Inregistreaza dezvaluire');
INSERT INTO `lang_definitions` VALUES (136390, 8567, 25, 'Inregistrare a conditiei fizice');
INSERT INTO `lang_definitions` VALUES (136391, 8568, 25, 'Inregistrati plata');
INSERT INTO `lang_definitions` VALUES (136392, 8569, 25, 'Inregistrati cererea');
INSERT INTO `lang_definitions` VALUES (136393, 8570, 25, 'Data solicitarii inregistrarii');
INSERT INTO `lang_definitions` VALUES (136394, 8571, 25, 'Inregistrati statutul de fumator pentru pacienti peste 13 ani.');
INSERT INTO `lang_definitions` VALUES (136395, 8572, 25, 'Inregistrari');
INSERT INTO `lang_definitions` VALUES (136396, 8573, 25, 'inregistrari gasite');
INSERT INTO `lang_definitions` VALUES (136397, 8574, 25, 'inregistrari gasite.');
INSERT INTO `lang_definitions` VALUES (136398, 8576, 25, 'Utilizare recreational de droguri');
INSERT INTO `lang_definitions` VALUES (136399, 8577, 25, 'Droguri recreationale');
INSERT INTO `lang_definitions` VALUES (136400, 8578, 25, 'Rectal');
INSERT INTO `lang_definitions` VALUES (136401, 8579, 25, 'Examen rectal');
INSERT INTO `lang_definitions` VALUES (136402, 8580, 25, 'care tine de rect');
INSERT INTO `lang_definitions` VALUES (136403, 8581, 25, 'Dreptunghi');
INSERT INTO `lang_definitions` VALUES (136404, 8582, 25, 'Recurenta');
INSERT INTO `lang_definitions` VALUES (136405, 8583, 25, 'Ecranul de afisare pentru intalniri recurente');
INSERT INTO `lang_definitions` VALUES (136406, 8584, 25, 'Programari recurente');
INSERT INTO `lang_definitions` VALUES (136407, 8587, 25, 'Desaturare rosie');
INSERT INTO `lang_definitions` VALUES (136408, 8588, 25, 'Red Desat{{red desaturation}}');
INSERT INTO `lang_definitions` VALUES (136409, 8592, 25, 'Redirectionare');
INSERT INTO `lang_definitions` VALUES (136410, 8593, 25, 'Roseata');
INSERT INTO `lang_definitions` VALUES (136411, 8594, 25, 'Refa');
INSERT INTO `lang_definitions` VALUES (136412, 8595, 25, 'redus:');
INSERT INTO `lang_definitions` VALUES (136413, 8597, 25, 'Trimite');
INSERT INTO `lang_definitions` VALUES (136414, 8598, 25, 'Refera de');
INSERT INTO `lang_definitions` VALUES (136415, 8599, 25, 'Data referire');
INSERT INTO `lang_definitions` VALUES (136416, 8600, 25, 'Refera la');
INSERT INTO `lang_definitions` VALUES (136417, 8603, 25, 'Clasificare de referinta (nivel risc)');
INSERT INTO `lang_definitions` VALUES (136418, 8604, 25, 'Interval de referinta al rezultatelor');
INSERT INTO `lang_definitions` VALUES (136419, 8605, 25, 'Motiv de referinta');
INSERT INTO `lang_definitions` VALUES (136420, 8608, 25, 'Cel care face o referire');
INSERT INTO `lang_definitions` VALUES (136421, 8609, 25, 'Nume si semnatura celui care face o referie');
INSERT INTO `lang_definitions` VALUES (136422, 8610, 25, 'Trimitere');
INSERT INTO `lang_definitions` VALUES (136423, 8611, 25, 'Trimitere de');
INSERT INTO `lang_definitions` VALUES (136424, 8612, 25, 'Card trimitere');
INSERT INTO `lang_definitions` VALUES (136425, 8613, 25, 'Data trimitere');
INSERT INTO `lang_definitions` VALUES (136426, 8614, 25, 'Formular trimitere');
INSERT INTO `lang_definitions` VALUES (136427, 8615, 25, 'FORMULAR TRIMITERE');
INSERT INTO `lang_definitions` VALUES (136428, 8616, 25, 'ID itrmitere');
INSERT INTO `lang_definitions` VALUES (136429, 8618, 25, 'Motiv trimitere');
INSERT INTO `lang_definitions` VALUES (136430, 8619, 25, 'Sursa trimitere');
INSERT INTO `lang_definitions` VALUES (136431, 8620, 25, 'Sursa trimiterii pentru consultatie');
INSERT INTO `lang_definitions` VALUES (136432, 8621, 25, 'Trimitere la');
INSERT INTO `lang_definitions` VALUES (136433, 8622, 25, 'Trimiteri');
INSERT INTO `lang_definitions` VALUES (136434, 8623, 25, 'Raport trimiteri');
INSERT INTO `lang_definitions` VALUES (136435, 8624, 25, 'Trimis de');
INSERT INTO `lang_definitions` VALUES (136436, 8625, 25, 'Trimis de');
INSERT INTO `lang_definitions` VALUES (136437, 8627, 25, 'Trimis la');
INSERT INTO `lang_definitions` VALUES (136438, 8628, 25, 'Cel care face trimitere');
INSERT INTO `lang_definitions` VALUES (136439, 8629, 25, 'Adresa celui care a facut trimitere');
INSERT INTO `lang_definitions` VALUES (136440, 8630, 25, 'Diagnosticcul celui care a facut trimitere');
INSERT INTO `lang_definitions` VALUES (136441, 8631, 25, 'Diagnosticcul celui care a facut trimitere');
INSERT INTO `lang_definitions` VALUES (136442, 8633, 25, 'Medicul de referinta');
INSERT INTO `lang_definitions` VALUES (136443, 8634, 25, 'Se refera furnizorul');
INSERT INTO `lang_definitions` VALUES (136444, 8635, 25, 'Se refera furnizorul');
INSERT INTO `lang_definitions` VALUES (136445, 8636, 25, 'Reumplere');
INSERT INTO `lang_definitions` VALUES (136446, 8639, 25, 'Reumpleri');
INSERT INTO `lang_definitions` VALUES (136447, 8640, 25, 'reumpleri');
INSERT INTO `lang_definitions` VALUES (136448, 8641, 25, 'Reflexe normale');
INSERT INTO `lang_definitions` VALUES (136449, 8642, 25, 'Comentarii refractie');
INSERT INTO `lang_definitions` VALUES (136450, 8643, 25, 'Metoda refractie');
INSERT INTO `lang_definitions` VALUES (136451, 8644, 25, 'Stari refractive');
INSERT INTO `lang_definitions` VALUES (136452, 8645, 25, 'Refreseaza');
INSERT INTO `lang_definitions` VALUES (136453, 8646, 25, 'Refreseaza ecran');
INSERT INTO `lang_definitions` VALUES (136454, 8648, 25, 'Refacere Mementouri');
INSERT INTO `lang_definitions` VALUES (136455, 8649, 25, 'Restiturie');
INSERT INTO `lang_definitions` VALUES (136456, 8650, 25, 'Refuzat');
INSERT INTO `lang_definitions` VALUES (136457, 8651, 25, 'Refuzat la stare');
INSERT INTO `lang_definitions` VALUES (136458, 8652, 25, 'reg_re');
INSERT INTO `lang_definitions` VALUES (136459, 8655, 25, 'Inregistreaza-te');
INSERT INTO `lang_definitions` VALUES (136460, 8656, 25, 'inregistreaza-te');
INSERT INTO `lang_definitions` VALUES (136461, 8661, 25, 'Register your installation with OEMR to receive important notifications, such as security fixes and new release announcements.');
INSERT INTO `lang_definitions` VALUES (136462, 8662, 25, 'Inregistrat');
INSERT INTO `lang_definitions` VALUES (136463, 8663, 25, 'inregistrat');
INSERT INTO `lang_definitions` VALUES (136464, 8664, 25, 'Email inregistrat');
INSERT INTO `lang_definitions` VALUES (136465, 8665, 25, 'ID inregistrat');
INSERT INTO `lang_definitions` VALUES (136466, 8666, 25, 'Module inregistrate');
INSERT INTO `lang_definitions` VALUES (136467, 8668, 25, 'Data inregistrarii');
INSERT INTO `lang_definitions` VALUES (136468, 8671, 25, 'Formular de inregistrare');
INSERT INTO `lang_definitions` VALUES (136469, 8672, 25, 'Reabilitare');
INSERT INTO `lang_definitions` VALUES (136470, 8673, 25, 'Medic reabilitare');
INSERT INTO `lang_definitions` VALUES (136471, 8674, 25, 'Respins');
INSERT INTO `lang_definitions` VALUES (136472, 8675, 25, 'Potential recidiva');
INSERT INTO `lang_definitions` VALUES (136473, 8676, 25, 'Se refera la');
INSERT INTO `lang_definitions` VALUES (136474, 8677, 25, 'Referit');
INSERT INTO `lang_definitions` VALUES (136475, 8678, 25, 'Problema referita');
INSERT INTO `lang_definitions` VALUES (136476, 8679, 25, 'Asociate de note pacient');
INSERT INTO `lang_definitions` VALUES (136477, 8680, 25, 'Relatie(i)/Copii');
INSERT INTO `lang_definitions` VALUES (136478, 8681, 25, 'Relatii');
INSERT INTO `lang_definitions` VALUES (136479, 8682, 25, 'Legatura');
INSERT INTO `lang_definitions` VALUES (136480, 8683, 25, 'Ordonarea relativa a acestei entitati');
INSERT INTO `lang_definitions` VALUES (136481, 8684, 25, 'Rude');
INSERT INTO `lang_definitions` VALUES (136482, 8686, 25, 'Tensiunea arteriala rude');
INSERT INTO `lang_definitions` VALUES (136483, 8687, 25, 'Cancer rude');
INSERT INTO `lang_definitions` VALUES (136484, 8688, 25, 'Diabet rude');
INSERT INTO `lang_definitions` VALUES (136485, 8689, 25, 'Epilepsie rude');
INSERT INTO `lang_definitions` VALUES (136486, 8690, 25, 'Problema de inima rude');
INSERT INTO `lang_definitions` VALUES (136487, 8691, 25, 'Probleme mentale rude');
INSERT INTO `lang_definitions` VALUES (136488, 8692, 25, 'Accident vascular cerebral rude');
INSERT INTO `lang_definitions` VALUES (136489, 8693, 25, 'Sinucidere rude');
INSERT INTO `lang_definitions` VALUES (136490, 8694, 25, 'Tuberculoza rude');
INSERT INTO `lang_definitions` VALUES (136491, 8695, 25, 'In acest cont de utilizator lispesc acreditarile de asistenta medicala');
INSERT INTO `lang_definitions` VALUES (136492, 8696, 25, 'ID Relay de sanatate');
INSERT INTO `lang_definitions` VALUES (136493, 8697, 25, 'Elibereaza');
INSERT INTO `lang_definitions` VALUES (136494, 8698, 25, 'Data eliberarii');
INSERT INTO `lang_definitions` VALUES (136495, 8700, 25, 'Religie');
INSERT INTO `lang_definitions` VALUES (136496, 8701, 25, 'Afiliere religioasa');
INSERT INTO `lang_definitions` VALUES (136497, 8702, 25, 'Exceptare religioasa');
INSERT INTO `lang_definitions` VALUES (136498, 8703, 25, 'Reincarca');
INSERT INTO `lang_definitions` VALUES (136499, 8704, 25, 'reincarca nume mai jos');
INSERT INTO `lang_definitions` VALUES (136500, 8705, 25, 'Relogare');
INSERT INTO `lang_definitions` VALUES (136501, 8706, 25, 'Remdr');
INSERT INTO `lang_definitions` VALUES (136502, 8709, 25, 'Aminti-va centru selectat');
INSERT INTO `lang_definitions` VALUES (136503, 8712, 25, 'Memento');
INSERT INTO `lang_definitions` VALUES (136504, 8714, 25, 'Memento executat');
INSERT INTO `lang_definitions` VALUES (136505, 8715, 25, 'Intervale memento');
INSERT INTO `lang_definitions` VALUES (136506, 8716, 25, 'Memento netrimis inca');
INSERT INTO `lang_definitions` VALUES (136507, 8717, 25, 'Numai memento - orice metoda');
INSERT INTO `lang_definitions` VALUES (136508, 8718, 25, 'Numai memento - fara apeluri');
INSERT INTO `lang_definitions` VALUES (136509, 8720, 25, 'Memento trimis pe');
INSERT INTO `lang_definitions` VALUES (136510, 8721, 25, 'Memento catre furnizor');
INSERT INTO `lang_definitions` VALUES (136511, 8722, 25, 'Memento/rechemare - orice metoda');
INSERT INTO `lang_definitions` VALUES (136512, 8723, 25, 'Memento/rechemare - fara apeluri');
INSERT INTO `lang_definitions` VALUES (136513, 8724, 25, 'Memento/rechemare - la furnizor');
INSERT INTO `lang_definitions` VALUES (136514, 8725, 25, 'Mementouri');
INSERT INTO `lang_definitions` VALUES (136515, 8726, 25, 'REMITE CATRE');
INSERT INTO `lang_definitions` VALUES (136516, 8727, 25, 'Remote Host');
INSERT INTO `lang_definitions` VALUES (136517, 8729, 25, 'Elimina');
INSERT INTO `lang_definitions` VALUES (136518, 8730, 25, 'Elimina toate regulile din plan');
INSERT INTO `lang_definitions` VALUES (136519, 8731, 25, 'Elimina panelul Jos');
INSERT INTO `lang_definitions` VALUES (136520, 8733, 25, 'Elimina grup');
INSERT INTO `lang_definitions` VALUES (136521, 8734, 25, 'Elimina formularul Grup');
INSERT INTO `lang_definitions` VALUES (136522, 8737, 25, 'Elimina aceasta prescriptie din lista RXs');
INSERT INTO `lang_definitions` VALUES (136523, 8738, 25, 'Elimina suportul pentru imunizari');
INSERT INTO `lang_definitions` VALUES (136524, 8739, 25, 'Removes support for phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (136525, 8740, 25, 'Elimina suportul pentru prescriptii');
INSERT INTO `lang_definitions` VALUES (136526, 8741, 25, 'Elimina panelul Jos implicit la pronire');
INSERT INTO `lang_definitions` VALUES (136527, 8742, 25, 'Elimina caracteristica Urmarire Grafice');
INSERT INTO `lang_definitions` VALUES (136528, 8743, 25, 'Pietre renale');
INSERT INTO `lang_definitions` VALUES (136529, 8744, 25, 'Redenumeste');
INSERT INTO `lang_definitions` VALUES (136530, 8745, 25, 'Redenumeste grup');
INSERT INTO `lang_definitions` VALUES (136531, 8746, 25, 'Prestare');
INSERT INTO `lang_definitions` VALUES (136532, 8747, 25, 'Furnizor prestare');
INSERT INTO `lang_definitions` VALUES (136533, 8748, 25, 'Numar furnizor prestare');
INSERT INTO `lang_definitions` VALUES (136534, 8750, 25, 'Reordona');
INSERT INTO `lang_definitions` VALUES (136535, 8751, 25, 'Reordona la');
INSERT INTO `lang_definitions` VALUES (136536, 8752, 25, 'Punctul reordonare a fost atins');
INSERT INTO `lang_definitions` VALUES (136537, 8753, 25, 'Punct reordonare, 0 daca nu se aplica');
INSERT INTO `lang_definitions` VALUES (136538, 8754, 25, 'Repeta');
INSERT INTO `lang_definitions` VALUES (136539, 8756, 25, 'Repeta parola noua');
INSERT INTO `lang_definitions` VALUES (136540, 8758, 25, 'Repetare eveniment');
INSERT INTO `lang_definitions` VALUES (136541, 8759, 25, 'Informatii repetare:');
INSERT INTO `lang_definitions` VALUES (136542, 8760, 25, 'Repeta');
INSERT INTO `lang_definitions` VALUES (136543, 8761, 25, 'INLOCUIESTE');
INSERT INTO `lang_definitions` VALUES (136544, 8763, 25, 'Inlocuieste intregul set de coduri');
INSERT INTO `lang_definitions` VALUES (136545, 8766, 25, 'inlocuit');
INSERT INTO `lang_definitions` VALUES (136546, 8771, 25, 'Data raspuns');
INSERT INTO `lang_definitions` VALUES (136547, 8772, 25, 'Raspuns de la');
INSERT INTO `lang_definitions` VALUES (136548, 8774, 25, 'Raport');
INSERT INTO `lang_definitions` VALUES (136549, 8776, 25, 'Raport - Clinic');
INSERT INTO `lang_definitions` VALUES (136550, 8778, 25, 'Raport - Creare lista pacienti');
INSERT INTO `lang_definitions` VALUES (136551, 8779, 25, 'Raport intocmit de');
INSERT INTO `lang_definitions` VALUES (136552, 8781, 25, 'Data raport');
INSERT INTO `lang_definitions` VALUES (136553, 8782, 25, 'Sfarsit raport (data de ingrijire finalizata)');
INSERT INTO `lang_definitions` VALUES (136554, 8783, 25, 'Raportul a fost trimis la pacient');
INSERT INTO `lang_definitions` VALUES (136555, 8784, 25, 'Istoric Rapoarte / Rezultate');
INSERT INTO `lang_definitions` VALUES (136556, 8785, 25, 'Raport al vizitei');
INSERT INTO `lang_definitions` VALUES (136557, 8786, 25, 'Rezultate raport');
INSERT INTO `lang_definitions` VALUES (136558, 8787, 25, 'Rezultate/Istoric raport');
INSERT INTO `lang_definitions` VALUES (136559, 8788, 25, 'Start raport (data de ingrijire asumata)');
INSERT INTO `lang_definitions` VALUES (136560, 8789, 25, 'Stare raport');
INSERT INTO `lang_definitions` VALUES (136561, 8790, 25, 'Total raport');
INSERT INTO `lang_definitions` VALUES (136562, 8791, 25, 'Raportul a fost trimis prin Fax. Click pentru vizualizare.');
INSERT INTO `lang_definitions` VALUES (136563, 8792, 25, 'Raport/Formular');
INSERT INTO `lang_definitions` VALUES (136564, 8793, 25, 'Raport?');
INSERT INTO `lang_definitions` VALUES (136565, 8794, 25, 'Reportabil');
INSERT INTO `lang_definitions` VALUES (136566, 8795, 25, 'Raportat');
INSERT INTO `lang_definitions` VALUES (136567, 8796, 25, 'Rpoarte');
INSERT INTO `lang_definitions` VALUES (136568, 8797, 25, 'Rapoarte');
INSERT INTO `lang_definitions` VALUES (136569, 8799, 25, 'Cerere&Raspuns');
INSERT INTO `lang_definitions` VALUES (136570, 8801, 25, 'Cerere descriere');
INSERT INTO `lang_definitions` VALUES (136571, 8803, 25, 'ID cerere lipsa!');
INSERT INTO `lang_definitions` VALUES (136572, 8804, 25, 'Cerere ignorata - procesarea revendicarii este deja in executie!');
INSERT INTO `lang_definitions` VALUES (136573, 8808, 25, 'Numai cerere');
INSERT INTO `lang_definitions` VALUES (136574, 8809, 25, 'Stare cerere');
INSERT INTO `lang_definitions` VALUES (136575, 8810, 25, 'Tip cerere');
INSERT INTO `lang_definitions` VALUES (136576, 8811, 25, 'Tip cerere neimplementat');
INSERT INTO `lang_definitions` VALUES (136577, 8813, 25, 'Cerut de');
INSERT INTO `lang_definitions` VALUES (136578, 8814, 25, 'Data ceruta');
INSERT INTO `lang_definitions` VALUES (136579, 8815, 25, 'Serviciu cerut');
INSERT INTO `lang_definitions` VALUES (136580, 8819, 25, 'Necesita o parola puternica');
INSERT INTO `lang_definitions` VALUES (136581, 8820, 25, 'Necesita parole unice');
INSERT INTO `lang_definitions` VALUES (136582, 8821, 25, 'Necesar');
INSERT INTO `lang_definitions` VALUES (136583, 8823, 25, 'Necesar co-platitor');
INSERT INTO `lang_definitions` VALUES (136584, 8824, 25, 'Camp necesar lipsa. Alegeti fisierul EDI-271 pentru upload');
INSERT INTO `lang_definitions` VALUES (136585, 8825, 25, 'Camp necesar lipsa. Introduceti prenume');
INSERT INTO `lang_definitions` VALUES (136586, 8826, 25, 'Camp necesar lipsa. Introduceti nume');
INSERT INTO `lang_definitions` VALUES (136587, 8827, 25, 'Camp necesar lipsa. Introduceti nume utilizator');
INSERT INTO `lang_definitions` VALUES (136588, 8828, 25, 'Campuri necesare');
INSERT INTO `lang_definitions` VALUES (136589, 8829, 25, 'Cerinte');
INSERT INTO `lang_definitions` VALUES (136590, 8832, 25, 'REZERVAT');
INSERT INTO `lang_definitions` VALUES (136591, 8833, 25, 'Rezervat');
INSERT INTO `lang_definitions` VALUES (136592, 8834, 25, 'Rezervat pentru definire Planificari vacanta');
INSERT INTO `lang_definitions` VALUES (136593, 8835, 25, 'Rezervat definire cand un furnizor nu are o intalnire disponibila dupa.');
INSERT INTO `lang_definitions` VALUES (136594, 8836, 25, 'Rezervat definire cand un eveniment nu apare ca specificat.');
INSERT INTO `lang_definitions` VALUES (136595, 8837, 25, 'Rezervat definire cand un furnizor nu are o intalnire disponibila dupa.');
INSERT INTO `lang_definitions` VALUES (136596, 8838, 25, 'Resetare');
INSERT INTO `lang_definitions` VALUES (136597, 8842, 25, 'Reset Offsite Portal Credentials');
INSERT INTO `lang_definitions` VALUES (136598, 8844, 25, 'Reset Onsite Portal Credentials');
INSERT INTO `lang_definitions` VALUES (136599, 8847, 25, 'Medic rezident');
INSERT INTO `lang_definitions` VALUES (136600, 8848, 25, 'Centru de tratament abuz substante rezidentiale');
INSERT INTO `lang_definitions` VALUES (136601, 8850, 25, 'Resn');
INSERT INTO `lang_definitions` VALUES (136602, 8852, 25, 'Rezolvat');
INSERT INTO `lang_definitions` VALUES (136603, 8855, 25, 'Respiratie');
INSERT INTO `lang_definitions` VALUES (136604, 8856, 25, 'Efort respirator unlabored');
INSERT INTO `lang_definitions` VALUES (136605, 8857, 25, 'Sistem respirator');
INSERT INTO `lang_definitions` VALUES (136606, 8858, 25, 'Raspuns');
INSERT INTO `lang_definitions` VALUES (136607, 8859, 25, 'Numai raspuns');
INSERT INTO `lang_definitions` VALUES (136608, 8862, 25, 'Reface');
INSERT INTO `lang_definitions` VALUES (136609, 8863, 25, 'Reface arhiva');
INSERT INTO `lang_definitions` VALUES (136610, 8864, 25, 'Restrict non-authorized users to the Schedule Facilities set in User admin.');
INSERT INTO `lang_definitions` VALUES (136611, 8865, 25, 'Restricioneaza utilizatorii la Centre');
INSERT INTO `lang_definitions` VALUES (136612, 8866, 25, 'Formare limitata');
INSERT INTO `lang_definitions` VALUES (136613, 8867, 25, 'Rezultat');
INSERT INTO `lang_definitions` VALUES (136614, 8868, 25, 'Nume rezultat');
INSERT INTO `lang_definitions` VALUES (136615, 8869, 25, 'Stare rezultat');
INSERT INTO `lang_definitions` VALUES (136616, 8870, 25, 'Stari rezultat sau anomalie lipsa');
INSERT INTO `lang_definitions` VALUES (136617, 8871, 25, 'Rezultat, utilizati % ca wildcard');
INSERT INTO `lang_definitions` VALUES (136618, 8872, 25, 'Rezultate');
INSERT INTO `lang_definitions` VALUES (136619, 8873, 25, 'Rezultate si');
INSERT INTO `lang_definitions` VALUES (136620, 8874, 25, 'Rezultate gasite pentru cautarea');
INSERT INTO `lang_definitions` VALUES (136621, 8875, 25, 'Grup rezultate');
INSERT INTO `lang_definitions` VALUES (136622, 8876, 25, 'Numai rezultate');
INSERT INTO `lang_definitions` VALUES (136623, 8877, 25, 'Cale rezultate');
INSERT INTO `lang_definitions` VALUES (136624, 8879, 25, 'Rezultate pe pagina');
INSERT INTO `lang_definitions` VALUES (136625, 8880, 25, 'Rezultate/Detalii');
INSERT INTO `lang_definitions` VALUES (136626, 8882, 25, 'Retina');
INSERT INTO `lang_definitions` VALUES (136627, 8883, 25, 'Valori implicite retina');
INSERT INTO `lang_definitions` VALUES (136628, 8884, 25, 'Examen retina');
INSERT INTO `lang_definitions` VALUES (136629, 8885, 25, 'Drept rectratat:');
INSERT INTO `lang_definitions` VALUES (136630, 8886, 25, 'Intoarcere');
INSERT INTO `lang_definitions` VALUES (136631, 8887, 25, 'Intoarce partea de sus cu plata dvs.');
INSERT INTO `lang_definitions` VALUES (136632, 8890, 25, 'Intoarce la calendar');
INSERT INTO `lang_definitions` VALUES (136633, 8891, 25, 'Intoarce la rezultate raport');
INSERT INTO `lang_definitions` VALUES (136634, 8892, 25, 'Intoarce la aceasta pagina si veti pute completa procesul de instalare ICD10 cu un click pe anteetul sectiunii ICD10');
INSERT INTO `lang_definitions` VALUES (136635, 8893, 25, 'Intoarce la aceasta pagina si veti pute completa procesul de instalare ICD9 cu un click pe anteetul sectiunii ICD9');
INSERT INTO `lang_definitions` VALUES (136636, 8894, 25, 'Intoarce la aceasta pagina si veti pute completa procesul de instalare RXNORM cu un click pe anteetul sectiunii RXNORM');
INSERT INTO `lang_definitions` VALUES (136637, 8895, 25, 'Intoarce la aceasta pagina si veti pute completa procesul de instalare SNOMED cu un click pe anteetul sectiunii SNOMED');
INSERT INTO `lang_definitions` VALUES (136638, 8896, 25, 'Intoarce la aceasta pagina si veti pute completa procesul de instalare VALUESET cu un click pe anteetul sectiunii VALUESET');
INSERT INTO `lang_definitions` VALUES (136639, 8897, 25, 'Intoarce valoare');
INSERT INTO `lang_definitions` VALUES (136640, 8898, 25, 'Intoarce vizita');
INSERT INTO `lang_definitions` VALUES (136641, 8899, 25, 'Intors la Plata');
INSERT INTO `lang_definitions` VALUES (136642, 8901, 25, 'Reutilizarea a ultimelor 3 parole nu este permisa!');
INSERT INTO `lang_definitions` VALUES (136643, 8907, 25, 'Revine');
INSERT INTO `lang_definitions` VALUES (136644, 8909, 25, 'Revizuire');
INSERT INTO `lang_definitions` VALUES (136645, 8910, 25, 'Revizuire&Aprobare');
INSERT INTO `lang_definitions` VALUES (136646, 8912, 25, 'Revizuire&Aprobare');
INSERT INTO `lang_definitions` VALUES (136647, 8914, 25, 'Revizuire PMH:');
INSERT INTO `lang_definitions` VALUES (136648, 8915, 25, 'Revizuire sistem');
INSERT INTO `lang_definitions` VALUES (136649, 8917, 25, 'Revizuire sisteme');
INSERT INTO `lang_definitions` VALUES (136650, 8918, 25, 'Revizuire Verificari Sisteme');
INSERT INTO `lang_definitions` VALUES (136651, 8921, 25, 'Revizuit');
INSERT INTO `lang_definitions` VALUES (136652, 8924, 25, 'Revizie');
INSERT INTO `lang_definitions` VALUES (136653, 8925, 25, 'Rheumatoid Arthritis');
INSERT INTO `lang_definitions` VALUES (136654, 8926, 25, 'Rheumotoid Arthritis');
INSERT INTO `lang_definitions` VALUES (136655, 8927, 25, 'RH{{right hertel measurement}}');
INSERT INTO `lang_definitions` VALUES (136656, 8928, 25, 'Drept rectratat:');
INSERT INTO `lang_definitions` VALUES (136657, 8929, 25, 'Bratul drept');
INSERT INTO `lang_definitions` VALUES (136658, 8930, 25, 'Deltoid drept');
INSERT INTO `lang_definitions` VALUES (136659, 8931, 25, 'Ureche dreapta');
INSERT INTO `lang_definitions` VALUES (136660, 8932, 25, 'ureche dreapta');
INSERT INTO `lang_definitions` VALUES (136661, 8933, 25, 'Right Gluteus Medius');
INSERT INTO `lang_definitions` VALUES (136662, 8934, 25, 'Picior drept');
INSERT INTO `lang_definitions` VALUES (136663, 8935, 25, 'Antebratul inferior drept');
INSERT INTO `lang_definitions` VALUES (136664, 8936, 25, 'Right Margin (mm)');
INSERT INTO `lang_definitions` VALUES (136665, 8937, 25, 'Right Thigh');
INSERT INTO `lang_definitions` VALUES (136666, 8938, 25, 'Right Vastus Lateralis');
INSERT INTO `lang_definitions` VALUES (136667, 8940, 25, 'Drept:');
INSERT INTO `lang_definitions` VALUES (136668, 8941, 25, 'Suna in urechi');
INSERT INTO `lang_definitions` VALUES (136669, 8942, 25, 'Suna in urechi');
INSERT INTO `lang_definitions` VALUES (136670, 8943, 25, 'Evaluare categorie risc');
INSERT INTO `lang_definitions` VALUES (136671, 8944, 25, 'Factori de risc');
INSERT INTO `lang_definitions` VALUES (136672, 8945, 25, 'Nivel de risc');
INSERT INTO `lang_definitions` VALUES (136673, 8947, 25, 'RI{{right iris}}');
INSERT INTO `lang_definitions` VALUES (136674, 8948, 25, 'RK{{right cornea}}');
INSERT INTO `lang_definitions` VALUES (136675, 8949, 25, 'RLL:');
INSERT INTO `lang_definitions` VALUES (136676, 8950, 25, 'RLL{{right lower eyelid}}');
INSERT INTO `lang_definitions` VALUES (136677, 8951, 25, 'RL{{right lens}}');
INSERT INTO `lang_definitions` VALUES (136678, 8952, 25, 'RMAC{{right macula}}');
INSERT INTO `lang_definitions` VALUES (136679, 8953, 25, 'RMC{{right medial canthus}}');
INSERT INTO `lang_definitions` VALUES (136680, 8955, 25, 'ROM');
INSERT INTO `lang_definitions` VALUES (136681, 8956, 25, 'Romanian');
INSERT INTO `lang_definitions` VALUES (136682, 8957, 25, 'Romansh');
INSERT INTO `lang_definitions` VALUES (136683, 8958, 25, 'Camera 1');
INSERT INTO `lang_definitions` VALUES (136684, 8959, 25, 'Camera 2');
INSERT INTO `lang_definitions` VALUES (136685, 8960, 25, 'Camera 3');
INSERT INTO `lang_definitions` VALUES (136686, 8961, 25, 'Numar camera');
INSERT INTO `lang_definitions` VALUES (136687, 8962, 25, 'Coleg de camera');
INSERT INTO `lang_definitions` VALUES (136688, 8963, 25, 'Lista de lucru');
INSERT INTO `lang_definitions` VALUES (136689, 8964, 25, 'ROS{{Review of Systems}}');
INSERT INTO `lang_definitions` VALUES (136690, 8965, 25, 'Rotunda si reactiva');
INSERT INTO `lang_definitions` VALUES (136691, 8966, 25, 'Ruta');
INSERT INTO `lang_definitions` VALUES (136692, 8967, 25, 'Ruta de administrare, daca se aplica');
INSERT INTO `lang_definitions` VALUES (136693, 8968, 25, 'Redirectionat');
INSERT INTO `lang_definitions` VALUES (136694, 8969, 25, 'Randuri');
INSERT INTO `lang_definitions` VALUES (136695, 8970, 25, 'RP{{right peripheral retina}}');
INSERT INTO `lang_definitions` VALUES (136696, 8971, 25, 'RRR without MOR');
INSERT INTO `lang_definitions` VALUES (136697, 8972, 25, 'Frecare:');
INSERT INTO `lang_definitions` VALUES (136698, 8973, 25, 'Frecari:');
INSERT INTO `lang_definitions` VALUES (136699, 8974, 25, 'Regula');
INSERT INTO `lang_definitions` VALUES (136700, 8975, 25, 'Adauga regula');
INSERT INTO `lang_definitions` VALUES (136701, 8976, 25, 'Detaliu regula');
INSERT INTO `lang_definitions` VALUES (136702, 8977, 25, 'Dezvoltator regula');
INSERT INTO `lang_definitions` VALUES (136703, 8978, 25, 'Editeaza regula');
INSERT INTO `lang_definitions` VALUES (136704, 8979, 25, 'Sursa gasire regula');
INSERT INTO `lang_definitions` VALUES (136705, 8980, 25, 'Lansare regula');
INSERT INTO `lang_definitions` VALUES (136706, 8981, 25, 'Set reguli');
INSERT INTO `lang_definitions` VALUES (136707, 8982, 25, 'Selectiile Set reguli si Set plan nu sunt consistente. Corectati si Submit din nou.');
INSERT INTO `lang_definitions` VALUES (136708, 8983, 25, 'Titlu regula');
INSERT INTO `lang_definitions` VALUES (136709, 8984, 25, 'Reguli');
INSERT INTO `lang_definitions` VALUES (136710, 8985, 25, 'reguli deja in plan');
INSERT INTO `lang_definitions` VALUES (136711, 8986, 25, 'Configurare Reguli');
INSERT INTO `lang_definitions` VALUES (136712, 8987, 25, 'RUL{{right upper eyelid}}');
INSERT INTO `lang_definitions` VALUES (136713, 8989, 25, 'Excutie comanda:');
INSERT INTO `lang_definitions` VALUES (136714, 8990, 25, 'Ruptura');
INSERT INTO `lang_definitions` VALUES (136715, 8991, 25, 'Clinica de sanatate rurala');
INSERT INTO `lang_definitions` VALUES (136716, 8992, 25, 'Russian');
INSERT INTO `lang_definitions` VALUES (136717, 8994, 25, 'RV{{right vessels}}');
INSERT INTO `lang_definitions` VALUES (136718, 8995, 25, 'Rx');
INSERT INTO `lang_definitions` VALUES (136719, 8996, 25, 'RX');
INSERT INTO `lang_definitions` VALUES (136720, 8997, 25, 'Rx Bottom Margin (px)');
INSERT INTO `lang_definitions` VALUES (136721, 8998, 25, 'RX Date');
INSERT INTO `lang_definitions` VALUES (136722, 8999, 25, 'Rx Details');
INSERT INTO `lang_definitions` VALUES (136723, 9000, 25, 'Rx Dispensed History');
INSERT INTO `lang_definitions` VALUES (136724, 9001, 25, 'Rx Enable DEA #');
INSERT INTO `lang_definitions` VALUES (136725, 9002, 25, 'Rx Enable NPI');
INSERT INTO `lang_definitions` VALUES (136726, 9003, 25, 'Rx Enable State Lic. #');
INSERT INTO `lang_definitions` VALUES (136727, 9004, 25, 'Rx History');
INSERT INTO `lang_definitions` VALUES (136728, 9007, 25, 'Rx Left Margin (px)');
INSERT INTO `lang_definitions` VALUES (136729, 9009, 25, 'Rx NLM Drug-Drug');
INSERT INTO `lang_definitions` VALUES (136730, 9010, 25, 'Rx Paper Size');
INSERT INTO `lang_definitions` VALUES (136731, 9013, 25, 'Rx Right Margin (px)');
INSERT INTO `lang_definitions` VALUES (136732, 9014, 25, 'Rx Show DEA #');
INSERT INTO `lang_definitions` VALUES (136733, 9015, 25, 'Rx Show NPI');
INSERT INTO `lang_definitions` VALUES (136734, 9016, 25, 'Rx Show State Lic. #');
INSERT INTO `lang_definitions` VALUES (136735, 9017, 25, 'Rx Top Margin (px)');
INSERT INTO `lang_definitions` VALUES (136736, 9018, 25, 'Rx Type');
INSERT INTO `lang_definitions` VALUES (136737, 9019, 25, 'Rx Type{{Type of glasses prescription}}');
INSERT INTO `lang_definitions` VALUES (136738, 9020, 25, 'Rx/Distance');
INSERT INTO `lang_definitions` VALUES (136739, 9022, 25, 'RXCUI Medication');
INSERT INTO `lang_definitions` VALUES (136740, 9023, 25, 'RxNorm');
INSERT INTO `lang_definitions` VALUES (136741, 9024, 25, 'RxNorm Database');
INSERT INTO `lang_definitions` VALUES (136742, 9026, 25, 'R{{right side}}');
INSERT INTO `lang_definitions` VALUES (136743, 9027, 25, 'R{{right}}');
INSERT INTO `lang_definitions` VALUES (136744, 9028, 25, 'S');
INSERT INTO `lang_definitions` VALUES (136745, 9029, 25, 'S.S.');
INSERT INTO `lang_definitions` VALUES (136746, 9030, 25, 'S3:');
INSERT INTO `lang_definitions` VALUES (136747, 9031, 25, 'S4:');
INSERT INTO `lang_definitions` VALUES (136748, 9032, 25, 'SA  *  * To read the license please read the docs/license.txt or visit  * http://www.gnu.org/copyleft/gpl.html  *  */  //========================================================================= //');
INSERT INTO `lang_definitions` VALUES (136749, 9034, 25, 'Vazare');
INSERT INTO `lang_definitions` VALUES (136750, 9035, 25, 'Vanzari');
INSERT INTO `lang_definitions` VALUES (136751, 9036, 25, 'Vanzari pe articol');
INSERT INTO `lang_definitions` VALUES (136752, 9037, 25, 'Vanzari dupa raportul de produs');
INSERT INTO `lang_definitions` VALUES (136753, 9038, 25, 'Saliva');
INSERT INTO `lang_definitions` VALUES (136754, 9039, 25, 'Aceeasi data');
INSERT INTO `lang_definitions` VALUES (136755, 9040, 25, 'Samoan');
INSERT INTO `lang_definitions` VALUES (136756, 9041, 25, 'Proba');
INSERT INTO `lang_definitions` VALUES (136757, 9042, 25, 'Tip sanctiune');
INSERT INTO `lang_definitions` VALUES (136758, 9043, 25, 'Sango');
INSERT INTO `lang_definitions` VALUES (136759, 9045, 25, 'Sanskrit (Saṁskṛta)');
INSERT INTO `lang_definitions` VALUES (136760, 9046, 25, 'Sardinian');
INSERT INTO `lang_definitions` VALUES (136761, 9047, 25, 'Sam');
INSERT INTO `lang_definitions` VALUES (136762, 9048, 25, 'Sam &amp; Dum');
INSERT INTO `lang_definitions` VALUES (136763, 9049, 25, 'Sambata');
INSERT INTO `lang_definitions` VALUES (136764, 9050, 25, 'Salveaza');
INSERT INTO `lang_definitions` VALUES (136765, 9051, 25, 'SALVEAZA');
INSERT INTO `lang_definitions` VALUES (136766, 9054, 25, 'Salveaza si verficia');
INSERT INTO `lang_definitions` VALUES (136767, 9055, 25, 'Salveaza si inchide');
INSERT INTO `lang_definitions` VALUES (136768, 9057, 25, 'Salveaza si sterge cererea');
INSERT INTO `lang_definitions` VALUES (136769, 9058, 25, 'Salveaza si distribuie');
INSERT INTO `lang_definitions` VALUES (136770, 9060, 25, 'Salveaza si transmite');
INSERT INTO `lang_definitions` VALUES (136771, 9061, 25, 'Salveaza ca nou');
INSERT INTO `lang_definitions` VALUES (136772, 9063, 25, 'Salveaza ca notita noua');
INSERT INTO `lang_definitions` VALUES (136773, 9066, 25, 'Salveaza setarile certificatului');
INSERT INTO `lang_definitions` VALUES (136774, 9067, 25, 'Salveaza schimbarile');
INSERT INTO `lang_definitions` VALUES (136775, 9070, 25, 'Salveaza istoric coduri');
INSERT INTO `lang_definitions` VALUES (136776, 9075, 25, 'Salveaza formularul');
INSERT INTO `lang_definitions` VALUES (136777, 9076, 25, 'Salveaza vaccinarea');
INSERT INTO `lang_definitions` VALUES (136778, 9078, 25, 'Salveaza camp nou');
INSERT INTO `lang_definitions` VALUES (136779, 9079, 25, 'Salveaza grup nou');
INSERT INTO `lang_definitions` VALUES (136780, 9080, 25, 'Salveaza lista noua');
INSERT INTO `lang_definitions` VALUES (136781, 9081, 25, 'Salveaza sablon nou');
INSERT INTO `lang_definitions` VALUES (136782, 9082, 25, 'Salveaza selectia de omisiuni');
INSERT INTO `lang_definitions` VALUES (136783, 9083, 25, 'Salveaza date demografice pacient');
INSERT INTO `lang_definitions` VALUES (136784, 9085, 25, 'Salveaza raport ca PDF');
INSERT INTO `lang_definitions` VALUES (136785, 9087, 25, 'Salveaza pentru grafic ID');
INSERT INTO `lang_definitions` VALUES (136786, 9089, 25, 'Salveaza tranzactie');
INSERT INTO `lang_definitions` VALUES (136787, 9090, 25, 'Salvat cu succes');
INSERT INTO `lang_definitions` VALUES (136788, 9094, 25, 'Sa{{Saturday}}');
INSERT INTO `lang_definitions` VALUES (136789, 9095, 25, 'sc Distance{{without correction distance}}');
INSERT INTO `lang_definitions` VALUES (136790, 9096, 25, 'sc Near{{without correction near}}');
INSERT INTO `lang_definitions` VALUES (136791, 9098, 25, 'Scanat');
INSERT INTO `lang_definitions` VALUES (136792, 9099, 25, 'Scanat note consultatie');
INSERT INTO `lang_definitions` VALUES (136793, 9100, 25, 'Scanner Directory');
INSERT INTO `lang_definitions` VALUES (136794, 9101, 25, 'Scanner In');
INSERT INTO `lang_definitions` VALUES (136795, 9102, 25, 'scDist{{ACT without Correction Distance}}');
INSERT INTO `lang_definitions` VALUES (136796, 9103, 25, 'scDist{{without correction distance}}');
INSERT INTO `lang_definitions` VALUES (136797, 9104, 25, 'Program');
INSERT INTO `lang_definitions` VALUES (136798, 9106, 25, 'Program centre:');
INSERT INTO `lang_definitions` VALUES (136799, 9110, 25, 'Schirmer I');
INSERT INTO `lang_definitions` VALUES (136800, 9111, 25, 'Schirmer II');
INSERT INTO `lang_definitions` VALUES (136801, 9112, 25, 'Schirmers I');
INSERT INTO `lang_definitions` VALUES (136802, 9113, 25, 'Schirmers I (w/o anesthesia)');
INSERT INTO `lang_definitions` VALUES (136803, 9114, 25, 'Schirmers II');
INSERT INTO `lang_definitions` VALUES (136804, 9115, 25, 'Schirmers II (w/ anesthesia)');
INSERT INTO `lang_definitions` VALUES (136805, 9116, 25, 'Scoala');
INSERT INTO `lang_definitions` VALUES (136806, 9117, 25, 'NOTE SCOALA');
INSERT INTO `lang_definitions` VALUES (136807, 9118, 25, 'Inregistrare scoala');
INSERT INTO `lang_definitions` VALUES (136808, 9119, 25, 'Sclera');
INSERT INTO `lang_definitions` VALUES (136809, 9120, 25, 'scNear{{ACT without Correction Near}}');
INSERT INTO `lang_definitions` VALUES (136810, 9121, 25, 'scNear{{without correction near}}');
INSERT INTO `lang_definitions` VALUES (136811, 9122, 25, 'Scoliosis');
INSERT INTO `lang_definitions` VALUES (136812, 9125, 25, 'Scottish Gaelic- Gaelic');
INSERT INTO `lang_definitions` VALUES (136813, 9127, 25, 'Screening / Testing');
INSERT INTO `lang_definitions` VALUES (136814, 9130, 25, 'SC{{Acuity without correction}}');
INSERT INTO `lang_definitions` VALUES (136815, 9131, 25, 'sc{{without correction}}');
INSERT INTO `lang_definitions` VALUES (136816, 9132, 25, 'SC{{without correction}}');
INSERT INTO `lang_definitions` VALUES (136817, 9133, 25, 'SE');
INSERT INTO `lang_definitions` VALUES (136818, 9134, 25, 'Adresa SE');
INSERT INTO `lang_definitions` VALUES (136819, 9135, 25, 'Oras SE');
INSERT INTO `lang_definitions` VALUES (136820, 9136, 25, 'Tara SE');
INSERT INTO `lang_definitions` VALUES (136821, 9137, 25, 'Localitate SE');
INSERT INTO `lang_definitions` VALUES (136822, 9138, 25, 'Cod postal SE');
INSERT INTO `lang_definitions` VALUES (136823, 9139, 25, 'Judet SE');
INSERT INTO `lang_definitions` VALUES (136824, 9140, 25, 'Zip Code SE');
INSERT INTO `lang_definitions` VALUES (136825, 9141, 25, 'Cautare');
INSERT INTO `lang_definitions` VALUES (136826, 9142, 25, 'CAUTARE');
INSERT INTO `lang_definitions` VALUES (136827, 9143, 25, 'cautare');
INSERT INTO `lang_definitions` VALUES (136828, 9144, 25, 'cauta din nou');
INSERT INTO `lang_definitions` VALUES (136829, 9145, 25, 'Cauta in toate coloanele');
INSERT INTO `lang_definitions` VALUES (136830, 9147, 25, 'Cauta intalnire');
INSERT INTO `lang_definitions` VALUES (136831, 9150, 25, 'Cauta dupa:');
INSERT INTO `lang_definitions` VALUES (136832, 9152, 25, 'Cauta pentru');
INSERT INTO `lang_definitions` VALUES (136833, 9156, 25, 'Cauta pentru:');
INSERT INTO `lang_definitions` VALUES (136834, 9158, 25, 'Cauta In');
INSERT INTO `lang_definitions` VALUES (136835, 9159, 25, 'Cauta in');
INSERT INTO `lang_definitions` VALUES (136836, 9161, 25, 'Cauta sau adauga pacient');
INSERT INTO `lang_definitions` VALUES (136837, 9164, 25, 'Cauta plata');
INSERT INTO `lang_definitions` VALUES (136838, 9167, 25, 'Cauta rezultate');
INSERT INTO `lang_definitions` VALUES (136839, 9168, 25, 'Cauta rezultate:');
INSERT INTO `lang_definitions` VALUES (136840, 9169, 25, 'Cautare selectata');
INSERT INTO `lang_definitions` VALUES (136841, 9171, 25, 'Sirul de cautare nu se potriveste cu lista din baza de date');
INSERT INTO `lang_definitions` VALUES (136842, 9172, 25, 'Sirul de cautare trebuie sa aiba cel putin 3 caractere');
INSERT INTO `lang_definitions` VALUES (136843, 9174, 25, 'Cauta text');
INSERT INTO `lang_definitions` VALUES (136844, 9175, 25, 'Cauta eveniment');
INSERT INTO `lang_definitions` VALUES (136845, 9178, 25, 'Cauta/Adauga');
INSERT INTO `lang_definitions` VALUES (136846, 9179, 25, 'Cauta/Adauga asigurator');
INSERT INTO `lang_definitions` VALUES (136847, 9181, 25, 'Cauta pentru intalnire');
INSERT INTO `lang_definitions` VALUES (136848, 9182, 25, 'Cautare');
INSERT INTO `lang_definitions` VALUES (136849, 9183, 25, 'Centura de siguranta');
INSERT INTO `lang_definitions` VALUES (136850, 9184, 25, 'Utilizare centura de siguranta');
INSERT INTO `lang_definitions` VALUES (136851, 9185, 25, 'Utilizare centura de siguranta');
INSERT INTO `lang_definitions` VALUES (136852, 9186, 25, 'Al doilea');
INSERT INTO `lang_definitions` VALUES (136853, 9187, 25, 'al doilea');
INSERT INTO `lang_definitions` VALUES (136854, 9188, 25, 'Al doilea mesaj de cont');
INSERT INTO `lang_definitions` VALUES (136855, 9189, 25, 'Secundar');
INSERT INTO `lang_definitions` VALUES (136856, 9191, 25, 'Asigurare secundara');
INSERT INTO `lang_definitions` VALUES (136857, 9192, 25, 'Data asigurare secundara');
INSERT INTO `lang_definitions` VALUES (136858, 9193, 25, 'Furnizor asigurare secundara');
INSERT INTO `lang_definitions` VALUES (136859, 9194, 25, 'Tip de ingrijire medicala secundara');
INSERT INTO `lang_definitions` VALUES (136860, 9195, 25, 'secunde');
INSERT INTO `lang_definitions` VALUES (136861, 9196, 25, 'ID sectiune');
INSERT INTO `lang_definitions` VALUES (136862, 9197, 25, 'ID sectiune si nume nu pot fi goale');
INSERT INTO `lang_definitions` VALUES (136863, 9198, 25, 'Nume sectiune');
INSERT INTO `lang_definitions` VALUES (136864, 9199, 25, 'Sectiune salvata cu succes');
INSERT INTO `lang_definitions` VALUES (136865, 9201, 25, 'Secure Electronic Messaging');
INSERT INTO `lang_definitions` VALUES (136866, 9207, 25, 'Securitate');
INSERT INTO `lang_definitions` VALUES (136867, 9208, 25, 'Vezi tot');
INSERT INTO `lang_definitions` VALUES (136868, 9210, 25, 'Vezi autorizari');
INSERT INTO `lang_definitions` VALUES (136869, 9213, 25, 'Vezi Grafic de crestere');
INSERT INTO `lang_definitions` VALUES (136870, 9214, 25, 'Vezi mesaje de la ultimul set de plangeri generate');
INSERT INTO `lang_definitions` VALUES (136871, 9217, 25, 'Vezi ecranul Mementouri Clinice pentru mai multe detalii');
INSERT INTO `lang_definitions` VALUES (136872, 9218, 25, 'Vazut din');
INSERT INTO `lang_definitions` VALUES (136873, 9220, 25, 'Nume segment');
INSERT INTO `lang_definitions` VALUES (136874, 9221, 25, 'Segments Batch Claim');
INSERT INTO `lang_definitions` VALUES (136875, 9222, 25, 'Convulsii');
INSERT INTO `lang_definitions` VALUES (136876, 9223, 25, 'Sel');
INSERT INTO `lang_definitions` VALUES (136877, 9224, 25, 'selecteaza');
INSERT INTO `lang_definitions` VALUES (136878, 9225, 25, 'Selecteaza');
INSERT INTO `lang_definitions` VALUES (136879, 9227, 25, 'Selecteaza o componenta');
INSERT INTO `lang_definitions` VALUES (136880, 9228, 25, 'Selecteaza un context');
INSERT INTO `lang_definitions` VALUES (136881, 9232, 25, 'Selecteaza un procent din randuri sau selecetaza date');
INSERT INTO `lang_definitions` VALUES (136882, 9235, 25, 'Selecteaza un interva;l de timp');
INSERT INTO `lang_definitions` VALUES (136883, 9236, 25, 'Selecteaza un utilizator');
INSERT INTO `lang_definitions` VALUES (136884, 9237, 25, 'Selecteaza o regula de validare');
INSERT INTO `lang_definitions` VALUES (136885, 9239, 25, 'Selecteaza tot');
INSERT INTO `lang_definitions` VALUES (136886, 9241, 25, 'Selecteaza data amendament');
INSERT INTO `lang_definitions` VALUES (136887, 9242, 25, 'Selecteaza amendamente de tiparit');
INSERT INTO `lang_definitions` VALUES (136888, 9248, 25, 'Selecteaza intrari CAMOS pentru tiparire');
INSERT INTO `lang_definitions` VALUES (136889, 9250, 25, 'Selecteaza categorie');
INSERT INTO `lang_definitions` VALUES (136890, 9253, 25, 'Selecteaza preferinte de comunicare');
INSERT INTO `lang_definitions` VALUES (136891, 9254, 25, 'Selecteaza checkbox-urile corespondente pentru stergere');
INSERT INTO `lang_definitions` VALUES (136892, 9256, 25, 'Selecteaza criterii pentru eliminare');
INSERT INTO `lang_definitions` VALUES (136893, 9257, 25, 'Selecteaza tabel CSV');
INSERT INTO `lang_definitions` VALUES (136894, 9260, 25, 'Selecteaza datele necesare pentru identificare De');
INSERT INTO `lang_definitions` VALUES (136895, 9261, 25, 'Selecteaza date ce vor fi incluse in data De identificate');
INSERT INTO `lang_definitions` VALUES (136896, 9262, 25, 'Selecteaza data');
INSERT INTO `lang_definitions` VALUES (136897, 9264, 25, 'Selecteaza echipa dorita');
INSERT INTO `lang_definitions` VALUES (136898, 9265, 25, 'Selecteaza diagnostic');
INSERT INTO `lang_definitions` VALUES (136899, 9267, 25, 'Selecteaza diagnostic penrue cerere identificare De');
INSERT INTO `lang_definitions` VALUES (136900, 9271, 25, 'Selecteaza medicament');
INSERT INTO `lang_definitions` VALUES (136901, 9272, 25, 'Selecteaza medicamente');
INSERT INTO `lang_definitions` VALUES (136902, 9273, 25, 'Selecteaza medicamente pentru cerere De identificare');
INSERT INTO `lang_definitions` VALUES (136903, 9274, 25, 'Selecteaza fisier EDI-271');
INSERT INTO `lang_definitions` VALUES (136904, 9275, 25, 'Selecteaza consultatie');
INSERT INTO `lang_definitions` VALUES (136905, 9276, 25, 'Selecteaza camp');
INSERT INTO `lang_definitions` VALUES (136906, 9278, 25, 'Selecteaza campuri');
INSERT INTO `lang_definitions` VALUES (136907, 9279, 25, 'Selecteaza pentru tiparire');
INSERT INTO `lang_definitions` VALUES (136908, 9284, 25, 'Selecteaza procedura imagine');
INSERT INTO `lang_definitions` VALUES (136909, 9285, 25, 'Selecteaza imunizari');
INSERT INTO `lang_definitions` VALUES (136910, 9286, 25, 'Selecteaza imunizari pentru cerere identificare De');
INSERT INTO `lang_definitions` VALUES (136911, 9287, 25, 'Selecteaza asigurator, prin tastare');
INSERT INTO `lang_definitions` VALUES (136912, 9288, 25, 'Selecteaza problema');
INSERT INTO `lang_definitions` VALUES (136913, 9289, 25, 'Selecteaza articole');
INSERT INTO `lang_definitions` VALUES (136914, 9291, 25, 'Selecteaza limbaj');
INSERT INTO `lang_definitions` VALUES (136915, 9297, 25, 'Selecteaza un');
INSERT INTO `lang_definitions` VALUES (136916, 9298, 25, 'Selecteaza unul sau mai multe coduri diagnostice pentru justificare serviciu');
INSERT INTO `lang_definitions` VALUES (136917, 9299, 25, 'Selecteaza unul sau mai multe fisiere pentru upload');
INSERT INTO `lang_definitions` VALUES (136918, 9303, 25, 'Selecteaza iesire');
INSERT INTO `lang_definitions` VALUES (136919, 9305, 25, 'SELECTEAZA PLAN');
INSERT INTO `lang_definitions` VALUES (136920, 9311, 25, 'Selecteaza cerut de');
INSERT INTO `lang_definitions` VALUES (136921, 9312, 25, 'Selecteaza rol');
INSERT INTO `lang_definitions` VALUES (136922, 9314, 25, 'Selecteaza sursa');
INSERT INTO `lang_definitions` VALUES (136923, 9317, 25, 'Selecteaza model');
INSERT INTO `lang_definitions` VALUES (136924, 9321, 25, 'Selecteaza articole configurare pentru export');
INSERT INTO `lang_definitions` VALUES (136925, 9326, 25, 'Selecteaza diagnostice pentru a incldue in Impresie/Plan');
INSERT INTO `lang_definitions` VALUES (136926, 9328, 25, 'Selecteaza problema principala responsabila pentru orice eveniment lipsa din aceasta zi');
INSERT INTO `lang_definitions` VALUES (136927, 9333, 25, 'Selecteaza tiparie etichete adresa pacient din popup-ul ecranul stang');
INSERT INTO `lang_definitions` VALUES (136928, 9335, 25, 'Selecteaza monitorizare');
INSERT INTO `lang_definitions` VALUES (136929, 9337, 25, 'Selecteaza tip');
INSERT INTO `lang_definitions` VALUES (136930, 9338, 25, 'Selecteaza utilizator');
INSERT INTO `lang_definitions` VALUES (136931, 9340, 25, 'Selecteaza utilizator din lista');
INSERT INTO `lang_definitions` VALUES (136932, 9341, 25, 'Select which languages, if any, may be chosen at login. (only pertinent if above All Languages Allowed is turned off)');
INSERT INTO `lang_definitions` VALUES (136933, 9343, 25, 'Selecteaza Da pentru confirmare stergere grup');
INSERT INTO `lang_definitions` VALUES (136934, 9347, 25, 'Selecteaza1');
INSERT INTO `lang_definitions` VALUES (136935, 9348, 25, 'Selecteaza2');
INSERT INTO `lang_definitions` VALUES (136936, 9349, 25, 'Selectat');
INSERT INTO `lang_definitions` VALUES (136937, 9350, 25, 'Consultatie selectata');
INSERT INTO `lang_definitions` VALUES (136938, 9352, 25, 'Fisiere selectate');
INSERT INTO `lang_definitions` VALUES (136939, 9353, 25, 'Fisierele si datele selectate vor fi eliminate din foldere si tabele');
INSERT INTO `lang_definitions` VALUES (136940, 9355, 25, 'Selecting this will create a message that needs to be processed by each recipient individually (this is not a group task).');
INSERT INTO `lang_definitions` VALUES (136941, 9357, 25, 'De sine');
INSERT INTO `lang_definitions` VALUES (136942, 9358, 25, 'Plata de sine');
INSERT INTO `lang_definitions` VALUES (136943, 9359, 25, 'TRIMITE');
INSERT INTO `lang_definitions` VALUES (136944, 9360, 25, 'Trimite');
INSERT INTO `lang_definitions` VALUES (136945, 9361, 25, 'Trimite un memento datat');
INSERT INTO `lang_definitions` VALUES (136946, 9362, 25, 'Trimite un memento');
INSERT INTO `lang_definitions` VALUES (136947, 9369, 25, 'Trimitere in lucru');
INSERT INTO `lang_definitions` VALUES (136948, 9372, 25, 'Trimite mesaj');
INSERT INTO `lang_definitions` VALUES (136949, 9378, 25, 'Trimite batch mementouri');
INSERT INTO `lang_definitions` VALUES (136950, 9379, 25, 'Trimite mementouri catre pacienti in funcite de preferinte pentru ingrijire preventiva/monitorizare');
INSERT INTO `lang_definitions` VALUES (136951, 9383, 25, 'Trimite rezumate cu trimiteti');
INSERT INTO `lang_definitions` VALUES (136952, 9384, 25, 'Trimite acest fisier');
INSERT INTO `lang_definitions` VALUES (136953, 9385, 25, 'Trimite Mesajul');
INSERT INTO `lang_definitions` VALUES (136954, 9386, 25, 'Trimite la');
INSERT INTO `lang_definitions` VALUES (136955, 9387, 25, 'Trimite La');
INSERT INTO `lang_definitions` VALUES (136956, 9388, 25, 'TRIMITE LA');
INSERT INTO `lang_definitions` VALUES (136957, 9389, 25, 'Trimite tuturor');
INSERT INTO `lang_definitions` VALUES (136958, 9391, 25, 'Trimite la HIE a esuat');
INSERT INTO `lang_definitions` VALUES (136959, 9392, 25, 'Trimite la portal');
INSERT INTO `lang_definitions` VALUES (136960, 9393, 25, 'Trimite la Portal');
INSERT INTO `lang_definitions` VALUES (136961, 9395, 25, 'Expeditor');
INSERT INTO `lang_definitions` VALUES (136962, 9396, 25, 'ID expeditor');
INSERT INTO `lang_definitions` VALUES (136963, 9397, 25, 'ID expeditor (ISA06)');
INSERT INTO `lang_definitions` VALUES (136964, 9398, 25, 'ID expeditor Qualifier (ISA05)');
INSERT INTO `lang_definitions` VALUES (136965, 9399, 25, 'ID-uri expeditor');
INSERT INTO `lang_definitions` VALUES (136966, 9406, 25, 'Trimite la');
INSERT INTO `lang_definitions` VALUES (136967, 9407, 25, 'Sensibilitati');
INSERT INTO `lang_definitions` VALUES (136968, 9411, 25, 'Sensibilitate:');
INSERT INTO `lang_definitions` VALUES (136969, 9412, 25, 'Test senzorial normal');
INSERT INTO `lang_definitions` VALUES (136970, 9413, 25, 'Trimis');
INSERT INTO `lang_definitions` VALUES (136971, 9414, 25, 'Trimis - confirmat');
INSERT INTO `lang_definitions` VALUES (136972, 9415, 25, 'Trimis de, lasa gol pentru Toti');
INSERT INTO `lang_definitions` VALUES (136973, 9416, 25, 'Trimis de:');
INSERT INTO `lang_definitions` VALUES (136974, 9417, 25, 'Data trimiterii');
INSERT INTO `lang_definitions` VALUES (136975, 9418, 25, 'Trimite articole');
INSERT INTO `lang_definitions` VALUES (136976, 9419, 25, 'Trimite inregistrari medicale?');
INSERT INTO `lang_definitions` VALUES (136977, 9420, 25, 'Trimis cu succes');
INSERT INTO `lang_definitions` VALUES (136978, 9421, 25, 'Trimite electronic rezumat de ingrijire?');
INSERT INTO `lang_definitions` VALUES (136979, 9422, 25, 'Trimite rezumat de ingrijire?');
INSERT INTO `lang_definitions` VALUES (136980, 9423, 25, 'trimis la imprimanta');
INSERT INTO `lang_definitions` VALUES (136981, 9424, 25, 'Trimis catre, lasa gol pentru Toti');
INSERT INTO `lang_definitions` VALUES (136982, 9425, 25, 'Trimis la:');
INSERT INTO `lang_definitions` VALUES (136983, 9426, 25, 'Trimis, dar livrarea neconfirmata');
INSERT INTO `lang_definitions` VALUES (136984, 9427, 25, 'Trimis, nereceptionat');
INSERT INTO `lang_definitions` VALUES (136985, 9429, 25, 'Sep');
INSERT INTO `lang_definitions` VALUES (136986, 9430, 25, 'Separat');
INSERT INTO `lang_definitions` VALUES (136987, 9431, 25, 'Sepembrie');
INSERT INTO `lang_definitions` VALUES (136988, 9432, 25, 'Seq');
INSERT INTO `lang_definitions` VALUES (136989, 9433, 25, 'Secventa');
INSERT INTO `lang_definitions` VALUES (136990, 9434, 25, 'Serbian');
INSERT INTO `lang_definitions` VALUES (136991, 9435, 25, 'Serv Rep');
INSERT INTO `lang_definitions` VALUES (136992, 9436, 25, 'Eroare server: incercati din nou');
INSERT INTO `lang_definitions` VALUES (136993, 9438, 25, 'Serverul poate fi offline');
INSERT INTO `lang_definitions` VALUES (136994, 9439, 25, 'Mesaj server:');
INSERT INTO `lang_definitions` VALUES (136995, 9442, 25, 'Serviciu');
INSERT INTO `lang_definitions` VALUES (136996, 9443, 25, 'Serviciu adaugat');
INSERT INTO `lang_definitions` VALUES (136997, 9444, 25, 'Categorie serviciu');
INSERT INTO `lang_definitions` VALUES (136998, 9445, 25, 'Cod serviciu');
INSERT INTO `lang_definitions` VALUES (136999, 9446, 25, 'Cod serviciu raportare financiara');
INSERT INTO `lang_definitions` VALUES (137000, 9447, 25, 'Coduri serviciu');
INSERT INTO `lang_definitions` VALUES (137001, 9448, 25, 'Data serviciu');
INSERT INTO `lang_definitions` VALUES (137002, 9451, 25, 'Data serviciu:');
INSERT INTO `lang_definitions` VALUES (137003, 9452, 25, 'Serviciu sters');
INSERT INTO `lang_definitions` VALUES (137004, 9453, 25, 'Centru serviciu');
INSERT INTO `lang_definitions` VALUES (137005, 9454, 25, 'Serviciul nu este compatibil cu sexul clientului');
INSERT INTO `lang_definitions` VALUES (137006, 9455, 25, 'Locatie serviciu');
INSERT INTO `lang_definitions` VALUES (137007, 9456, 25, 'Nume serviciu');
INSERT INTO `lang_definitions` VALUES (137008, 9457, 25, 'Serviciu furnizat de specialist');
INSERT INTO `lang_definitions` VALUES (137009, 9458, 25, 'Furnizor serviciu modificat');
INSERT INTO `lang_definitions` VALUES (137010, 9459, 25, 'Raportare serviciu');
INSERT INTO `lang_definitions` VALUES (137011, 9460, 25, 'Numai raportare serviciu');
INSERT INTO `lang_definitions` VALUES (137012, 9461, 25, 'Servicii');
INSERT INTO `lang_definitions` VALUES (137013, 9462, 25, 'Servicii dupa categorie');
INSERT INTO `lang_definitions` VALUES (137014, 9463, 25, 'Servicii furnizate');
INSERT INTO `lang_definitions` VALUES (137015, 9464, 25, 'Servicii furnizate');
INSERT INTO `lang_definitions` VALUES (137016, 9465, 25, 'Servicii/Produse');
INSERT INTO `lang_definitions` VALUES (137017, 9466, 25, 'Tip sesiune');
INSERT INTO `lang_definitions` VALUES (137018, 9467, 25, 'Set');
INSERT INTO `lang_definitions` VALUES (137019, 9468, 25, 'Set a facility cookie to remember the selected facility between logins.');
INSERT INTO `lang_definitions` VALUES (137020, 9469, 25, 'Seteaza ca Finalizat');
INSERT INTO `lang_definitions` VALUES (137021, 9473, 25, 'Seteaza cod POS in consultatie');
INSERT INTO `lang_definitions` VALUES (137022, 9475, 25, 'Set processing priority for CDR engine based reports.');
INSERT INTO `lang_definitions` VALUES (137023, 9476, 25, 'Seteaza prioritate de procesare pentru creare mementouri pacient.');
INSERT INTO `lang_definitions` VALUES (137024, 9478, 25, 'Set this to the full absolute path. For creating client SSL certificates for HTTPS.');
INSERT INTO `lang_definitions` VALUES (137025, 9479, 25, 'Seteaza la');
INSERT INTO `lang_definitions` VALUES (137026, 9480, 25, 'Seteaza la Implicit');
INSERT INTO `lang_definitions` VALUES (137027, 9486, 25, 'Setting the version number in the database...');
INSERT INTO `lang_definitions` VALUES (137028, 9488, 25, 'Setari');
INSERT INTO `lang_definitions` VALUES (137029, 9492, 25, 'Sever');
INSERT INTO `lang_definitions` VALUES (137030, 9493, 25, 'Migrena severa');
INSERT INTO `lang_definitions` VALUES (137031, 9494, 25, 'Severitate');
INSERT INTO `lang_definitions` VALUES (137032, 9496, 25, 'Severitatea durerii');
INSERT INTO `lang_definitions` VALUES (137033, 9497, 25, 'Severitatea durerii:');
INSERT INTO `lang_definitions` VALUES (137034, 9498, 25, 'Sex');
INSERT INTO `lang_definitions` VALUES (137035, 9499, 25, 'Boala cu transmitere sexuala');
INSERT INTO `lang_definitions` VALUES (137036, 9500, 25, 'SFTP');
INSERT INTO `lang_definitions` VALUES (137037, 9502, 25, 'Sha-1 Hash');
INSERT INTO `lang_definitions` VALUES (137038, 9503, 25, 'Partajare');
INSERT INTO `lang_definitions` VALUES (137039, 9504, 25, 'Shell command for printing from the server.');
INSERT INTO `lang_definitions` VALUES (137040, 9505, 25, 'Shift');
INSERT INTO `lang_definitions` VALUES (137041, 9506, 25, 'Shona');
INSERT INTO `lang_definitions` VALUES (137042, 9507, 25, 'Scurta descriere');
INSERT INTO `lang_definitions` VALUES (137043, 9508, 25, 'Shorthand');
INSERT INTO `lang_definitions` VALUES (137044, 9509, 25, 'Shorthand Help');
INSERT INTO `lang_definitions` VALUES (137045, 9510, 25, 'Dificultati in respiratie');
INSERT INTO `lang_definitions` VALUES (137046, 9511, 25, 'Dificultati in respiratie');
INSERT INTO `lang_definitions` VALUES (137047, 9512, 25, 'Dificultati in respiratie 2');
INSERT INTO `lang_definitions` VALUES (137048, 9513, 25, 'Shot Record');
INSERT INTO `lang_definitions` VALUES (137049, 9514, 25, 'Shot Record as of:');
INSERT INTO `lang_definitions` VALUES (137050, 9515, 25, 'Ar trebui sa fie activata');
INSERT INTO `lang_definitions` VALUES (137051, 9516, 25, 'ar trebui sa fie de forma nnnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (137052, 9517, 25, 'Ar trebui sa fie doua litere');
INSERT INTO `lang_definitions` VALUES (137053, 9518, 25, 'ar trebui sa contina 10 digits');
INSERT INTO `lang_definitions` VALUES (137054, 9519, 25, 'ar trebui sa contina numai 10 digits');
INSERT INTO `lang_definitions` VALUES (137055, 9520, 25, 'Umar');
INSERT INTO `lang_definitions` VALUES (137056, 9521, 25, 'Umar+clavicula');
INSERT INTO `lang_definitions` VALUES (137057, 9522, 25, 'Probleme umar');
INSERT INTO `lang_definitions` VALUES (137058, 9523, 25, 'Arata');
INSERT INTO `lang_definitions` VALUES (137059, 9524, 25, 'Arata activ');
INSERT INTO `lang_definitions` VALUES (137060, 9525, 25, 'Arata informatii suplimentare asigurare');
INSERT INTO `lang_definitions` VALUES (137061, 9526, 25, 'Show Aging on Custom Statement');
INSERT INTO `lang_definitions` VALUES (137062, 9527, 25, 'Arata tot');
INSERT INTO `lang_definitions` VALUES (137063, 9529, 25, 'Arata toate procedurile');
INSERT INTO `lang_definitions` VALUES (137064, 9530, 25, 'Arata toate rezultatele');
INSERT INTO `lang_definitions` VALUES (137065, 9531, 25, 'Arata toate tranzactiile');
INSERT INTO `lang_definitions` VALUES (137066, 9532, 25, 'Arasta ca Ocupat');
INSERT INTO `lang_definitions` VALUES (137067, 9533, 25, 'Arata numai celor autorizati');
INSERT INTO `lang_definitions` VALUES (137068, 9534, 25, 'Arata orele disponibile');
INSERT INTO `lang_definitions` VALUES (137069, 9535, 25, 'Show both US and metric (main unit is metric)');
INSERT INTO `lang_definitions` VALUES (137070, 9536, 25, 'Show both US and metric (main unit is US)');
INSERT INTO `lang_definitions` VALUES (137071, 9540, 25, 'Arata detalii');
INSERT INTO `lang_definitions` VALUES (137072, 9542, 25, 'Arata numai erori?');
INSERT INTO `lang_definitions` VALUES (137073, 9543, 25, 'Arata Extra Logo la Login');
INSERT INTO `lang_definitions` VALUES (137074, 9544, 25, 'Arata graf');
INSERT INTO `lang_definitions` VALUES (137075, 9546, 25, 'Show hovering event text on mouseover?');
INSERT INTO `lang_definitions` VALUES (137076, 9547, 25, 'Show how many events on admin pages?');
INSERT INTO `lang_definitions` VALUES (137077, 9548, 25, 'Arata Inactiv');
INSERT INTO `lang_definitions` VALUES (137078, 9549, 25, 'Arata informatii adresa asigurare in panelul Asigurare');
INSERT INTO `lang_definitions` VALUES (137079, 9550, 25, 'Show IOP by Date');
INSERT INTO `lang_definitions` VALUES (137080, 9551, 25, 'Show IOP by Time');
INSERT INTO `lang_definitions` VALUES (137081, 9552, 25, 'Arata meniul');
INSERT INTO `lang_definitions` VALUES (137082, 9553, 25, 'Arata numai valoarea');
INSERT INTO `lang_definitions` VALUES (137083, 9554, 25, 'Show Mini Logo 1');
INSERT INTO `lang_definitions` VALUES (137084, 9555, 25, 'Show Mini Logo 2');
INSERT INTO `lang_definitions` VALUES (137085, 9556, 25, 'Arata note');
INSERT INTO `lang_definitions` VALUES (137086, 9557, 25, 'Arata numai ultimele valori raportate pentru fiecare cod rezultat');
INSERT INTO `lang_definitions` VALUES (137087, 9558, 25, 'Arata numai procedurile neomise');
INSERT INTO `lang_definitions` VALUES (137088, 9559, 25, 'Arata numar consultatie pacient in board-ul Flux Pacient');
INSERT INTO `lang_definitions` VALUES (137089, 9560, 25, 'Arata ID pacient in board-ul Flux Pacient');
INSERT INTO `lang_definitions` VALUES (137090, 9561, 25, 'Arata note pacient');
INSERT INTO `lang_definitions` VALUES (137091, 9562, 25, 'Arata livre si uncie');
INSERT INTO `lang_definitions` VALUES (137092, 9563, 25, 'Arata livre ca valoare zecimala');
INSERT INTO `lang_definitions` VALUES (137093, 9564, 25, 'Arata finalizat primar');
INSERT INTO `lang_definitions` VALUES (137094, 9566, 25, 'Arata chitanta');
INSERT INTO `lang_definitions` VALUES (137095, 9568, 25, 'Arata mementouri');
INSERT INTO `lang_definitions` VALUES (137096, 9569, 25, 'Arata raport');
INSERT INTO `lang_definitions` VALUES (137097, 9570, 25, 'Arata legaturi cautare/trimitere in bloc?');
INSERT INTO `lang_definitions` VALUES (137098, 9571, 25, 'Show Selected for Drug Screens');
INSERT INTO `lang_definitions` VALUES (137099, 9573, 25, 'Show Status of Drug Screens');
INSERT INTO `lang_definitions` VALUES (137100, 9574, 25, 'Show the custom state form for the add list widget (will ask for title and abbreviation).');
INSERT INTO `lang_definitions` VALUES (137101, 9577, 25, 'Arata aceasta categorie in ecranul rezumat pacient chiar daca nu a fost introdusa nicio problema pentru aceasta categorie');
INSERT INTO `lang_definitions` VALUES (137102, 9578, 25, 'Arata titlul la Login');
INSERT INTO `lang_definitions` VALUES (137103, 9579, 25, 'Arata istoric monitorizare');
INSERT INTO `lang_definitions` VALUES (137104, 9580, 25, 'Arata numai nefacturate');
INSERT INTO `lang_definitions` VALUES (137105, 9581, 25, 'Arata numai US');
INSERT INTO `lang_definitions` VALUES (137106, 9582, 25, 'Arata motiv vizita in boarda Flux Pacient');
INSERT INTO `lang_definitions` VALUES (137107, 9585, 25, 'Afiseaza');
INSERT INTO `lang_definitions` VALUES (137108, 9589, 25, 'Afiseaza rezultatul');
INSERT INTO `lang_definitions` VALUES (137109, 9592, 25, 'Frate');
INSERT INTO `lang_definitions` VALUES (137110, 9593, 25, 'Istoric frate');
INSERT INTO `lang_definitions` VALUES (137111, 9594, 25, 'FRate vitreg');
INSERT INTO `lang_definitions` VALUES (137112, 9595, 25, 'Frati');
INSERT INTO `lang_definitions` VALUES (137113, 9596, 25, 'Sickle Cell');
INSERT INTO `lang_definitions` VALUES (137114, 9597, 25, 'Sig');
INSERT INTO `lang_definitions` VALUES (137115, 9598, 25, 'Sigmoid/Colonoscopy');
INSERT INTO `lang_definitions` VALUES (137116, 9599, 25, 'Semneaza');
INSERT INTO `lang_definitions` VALUES (137117, 9601, 25, 'Semneaza rezultate laborator (write,addonly optional)');
INSERT INTO `lang_definitions` VALUES (137118, 9603, 25, 'Semneaza rezultatele');
INSERT INTO `lang_definitions` VALUES (137119, 9606, 25, 'Semnatura');
INSERT INTO `lang_definitions` VALUES (137120, 9607, 25, 'Semnatura pe dosar');
INSERT INTO `lang_definitions` VALUES (137121, 9609, 25, 'Semnatura:');
INSERT INTO `lang_definitions` VALUES (137122, 9612, 25, 'Semnat Rx');
INSERT INTO `lang_definitions` VALUES (137123, 9613, 25, 'Partener de viata');
INSERT INTO `lang_definitions` VALUES (137124, 9614, 25, 'Umflatura semnificativa');
INSERT INTO `lang_definitions` VALUES (137125, 9615, 25, 'Simplificat');
INSERT INTO `lang_definitions` VALUES (137126, 9616, 25, 'Co-plata simplificata');
INSERT INTO `lang_definitions` VALUES (137127, 9617, 25, 'Demografice simplificate');
INSERT INTO `lang_definitions` VALUES (137128, 9618, 25, 'Prescriptii simplificate');
INSERT INTO `lang_definitions` VALUES (137129, 9619, 25, 'De la');
INSERT INTO `lang_definitions` VALUES (137130, 9620, 25, 'Cu sinceritate,');
INSERT INTO `lang_definitions` VALUES (137131, 9621, 25, 'Sindhi');
INSERT INTO `lang_definitions` VALUES (137132, 9622, 25, 'Necasatorit');
INSERT INTO `lang_definitions` VALUES (137133, 9624, 25, 'Lista selectie unica');
INSERT INTO `lang_definitions` VALUES (137134, 9625, 25, 'Lista selectie unica cu abilitate de adaugare la lista');
INSERT INTO `lang_definitions` VALUES (137135, 9626, 25, 'Singular');
INSERT INTO `lang_definitions` VALUES (137136, 9627, 25, 'Sinhala');
INSERT INTO `lang_definitions` VALUES (137137, 9628, 25, 'Sinhala, Sinhalese');
INSERT INTO `lang_definitions` VALUES (137138, 9629, 25, 'Rpbleme sinus');
INSERT INTO `lang_definitions` VALUES (137139, 9630, 25, 'Chirurgie sinus');
INSERT INTO `lang_definitions` VALUES (137140, 9631, 25, 'SENSIBILITATE SINUS:');
INSERT INTO `lang_definitions` VALUES (137141, 9632, 25, 'Sinuzita');
INSERT INTO `lang_definitions` VALUES (137142, 9633, 25, 'Sora');
INSERT INTO `lang_definitions` VALUES (137143, 9634, 25, 'Site');
INSERT INTO `lang_definitions` VALUES (137144, 9637, 25, 'ID site');
INSERT INTO `lang_definitions` VALUES (137145, 9638, 25, 'ID site pentru integrare informatii medicale, LLC Lab Exchange Service');
INSERT INTO `lang_definitions` VALUES (137146, 9639, 25, 'Site ID for the OpenEMR Support LLC Lab Exchange Service.');
INSERT INTO `lang_definitions` VALUES (137147, 9640, 25, 'Site Worker');
INSERT INTO `lang_definitions` VALUES (137148, 9641, 25, 'Sase luni in urma');
INSERT INTO `lang_definitions` VALUES (137149, 9643, 25, 'Dimensiune');
INSERT INTO `lang_definitions` VALUES (137150, 9644, 25, 'Dimensiune');
INSERT INTO `lang_definitions` VALUES (137151, 9646, 25, 'Dimensiunea - un numar intre 1 si 999');
INSERT INTO `lang_definitions` VALUES (137152, 9648, 25, 'Dimensiune/Lista');
INSERT INTO `lang_definitions` VALUES (137153, 9649, 25, 'Centru ingrijire medicala calificata');
INSERT INTO `lang_definitions` VALUES (137154, 9650, 25, 'Piele');
INSERT INTO `lang_definitions` VALUES (137155, 9651, 25, 'Cancer piele');
INSERT INTO `lang_definitions` VALUES (137156, 9652, 25, 'Boala piele');
INSERT INTO `lang_definitions` VALUES (137157, 9653, 25, 'Alte piele');
INSERT INTO `lang_definitions` VALUES (137158, 9654, 25, 'Sari autorizare note pacient');
INSERT INTO `lang_definitions` VALUES (137159, 9659, 25, 'Omitere sectiune');
INSERT INTO `lang_definitions` VALUES (137160, 9660, 25, 'Skipping SQL-Ledger dump - not implemented for Windows server');
INSERT INTO `lang_definitions` VALUES (137161, 9661, 25, 'Sl.No');
INSERT INTO `lang_definitions` VALUES (137162, 9662, 25, 'Slab Off');
INSERT INTO `lang_definitions` VALUES (137163, 9663, 25, 'Somn');
INSERT INTO `lang_definitions` VALUES (137164, 9664, 25, 'Modele somn');
INSERT INTO `lang_definitions` VALUES (137165, 9665, 25, 'Modele somn');
INSERT INTO `lang_definitions` VALUES (137166, 9666, 25, 'Dormit');
INSERT INTO `lang_definitions` VALUES (137167, 9667, 25, 'Alunecare');
INSERT INTO `lang_definitions` VALUES (137168, 9668, 25, 'Slovak');
INSERT INTO `lang_definitions` VALUES (137169, 9669, 25, 'Slovene');
INSERT INTO `lang_definitions` VALUES (137170, 9670, 25, 'Sm debt w/o');
INSERT INTO `lang_definitions` VALUES (137171, 9675, 25, 'Smarty Cache has been cleared');
INSERT INTO `lang_definitions` VALUES (137172, 9676, 25, 'Fumator, stare curenta necunoscuta');
INSERT INTO `lang_definitions` VALUES (137173, 9677, 25, 'Fumat');
INSERT INTO `lang_definitions` VALUES (137174, 9678, 25, 'Stare fumat');
INSERT INTO `lang_definitions` VALUES (137175, 9680, 25, 'SMS Auth');
INSERT INTO `lang_definitions` VALUES (137176, 9683, 25, 'SMS Gateway');
INSERT INTO `lang_definitions` VALUES (137177, 9684, 25, 'SMS Gateway API key');
INSERT INTO `lang_definitions` VALUES (137178, 9685, 25, 'SMS Gateway API Key');
INSERT INTO `lang_definitions` VALUES (137179, 9686, 25, 'SMS Gateway Password');
INSERT INTO `lang_definitions` VALUES (137180, 9687, 25, 'SMS Gateway Username');
INSERT INTO `lang_definitions` VALUES (137181, 9689, 25, 'SMS Notification');
INSERT INTO `lang_definitions` VALUES (137182, 9690, 25, 'SMS Notification Hours');
INSERT INTO `lang_definitions` VALUES (137183, 9693, 25, 'SMS send before');
INSERT INTO `lang_definitions` VALUES (137184, 9694, 25, 'SMS Sent');
INSERT INTO `lang_definitions` VALUES (137185, 9697, 25, 'SMS Text, Usable Tag: ***NAME***, ***PROVIDER***, ***DATE***, ***STARTTIME***, ***ENDTIME***<br> i.e. Dear ***NAME***');
INSERT INTO `lang_definitions` VALUES (137186, 9701, 25, 'SMS/Email Alert Settings');
INSERT INTO `lang_definitions` VALUES (137187, 9703, 25, 'SMTP Password for Authentication');
INSERT INTO `lang_definitions` VALUES (137188, 9704, 25, 'SMTP Security Protocol');
INSERT INTO `lang_definitions` VALUES (137189, 9705, 25, 'SMTP security protocol to connect with. Required by some servers such as gmail.');
INSERT INTO `lang_definitions` VALUES (137190, 9706, 25, 'SMTP Server Hostname');
INSERT INTO `lang_definitions` VALUES (137191, 9707, 25, 'SMTP Server Port Number');
INSERT INTO `lang_definitions` VALUES (137192, 9708, 25, 'SMTP User for Authentication');
INSERT INTO `lang_definitions` VALUES (137193, 9709, 25, 'SNOMED');
INSERT INTO `lang_definitions` VALUES (137194, 9710, 25, 'SNOMED (RF1) Clinical Term');
INSERT INTO `lang_definitions` VALUES (137195, 9711, 25, 'SNOMED (RF1) Diagnosis');
INSERT INTO `lang_definitions` VALUES (137196, 9712, 25, 'SNOMED (RF1) Procedure');
INSERT INTO `lang_definitions` VALUES (137197, 9714, 25, 'SNOMED (RF2) Diagnosis');
INSERT INTO `lang_definitions` VALUES (137198, 9716, 25, 'SNOMED Clinical Term');
INSERT INTO `lang_definitions` VALUES (137199, 9717, 25, 'SNOMED Database');
INSERT INTO `lang_definitions` VALUES (137200, 9718, 25, 'SNOMED Diagnosis');
INSERT INTO `lang_definitions` VALUES (137201, 9719, 25, 'SNOMED Procedure');
INSERT INTO `lang_definitions` VALUES (137202, 9720, 25, 'SNOMED-CT Code');
INSERT INTO `lang_definitions` VALUES (137203, 9721, 25, 'Sforait');
INSERT INTO `lang_definitions` VALUES (137204, 9722, 25, 'SOAP');
INSERT INTO `lang_definitions` VALUES (137205, 9724, 25, 'Soc Hx{{Social History}}');
INSERT INTO `lang_definitions` VALUES (137206, 9725, 25, 'Social');
INSERT INTO `lang_definitions` VALUES (137207, 9726, 25, 'Dificultati sociale');
INSERT INTO `lang_definitions` VALUES (137208, 9727, 25, 'Istoric social');
INSERT INTO `lang_definitions` VALUES (137209, 9728, 25, 'Element istoric social');
INSERT INTO `lang_definitions` VALUES (137210, 9729, 25, 'Istoric social:');
INSERT INTO `lang_definitions` VALUES (137211, 9730, 25, 'Numar securitate sociala');
INSERT INTO `lang_definitions` VALUES (137212, 9732, 25, 'solutie');
INSERT INTO `lang_definitions` VALUES (137213, 9733, 25, 'Somali');
INSERT INTO `lang_definitions` VALUES (137214, 9734, 25, 'Context somatic');
INSERT INTO `lang_definitions` VALUES (137215, 9735, 25, 'Unele autorizari nu au fost afisate. Click aici pentru a vedea tot');
INSERT INTO `lang_definitions` VALUES (137216, 9736, 25, 'Unele coduri nu au fost afisate.');
INSERT INTO `lang_definitions` VALUES (137217, 9737, 25, 'Unele consultatii nu au fost afistae. Click aici pentru a vedea tot.');
INSERT INTO `lang_definitions` VALUES (137218, 9738, 25, 'Au aparut unele erori in timpul procesului De identificare');
INSERT INTO `lang_definitions` VALUES (137219, 9740, 25, 'Unele note nu au fost afisate.');
INSERT INTO `lang_definitions` VALUES (137220, 9741, 25, 'Unele note de birou nu au fost afisate, Click aici pentru a vedea tot.');
INSERT INTO `lang_definitions` VALUES (137221, 9743, 25, 'unele cuvinte');
INSERT INTO `lang_definitions` VALUES (137222, 9744, 25, 'Altcineva tocmai a schimbat aceasta vizita. Anuleaza aceasta pagina si incearca din nou.');
INSERT INTO `lang_definitions` VALUES (137223, 9745, 25, 'Ceva a fost gresit');
INSERT INTO `lang_definitions` VALUES (137224, 9747, 25, 'Ceva a fost gresit. Incearca din nou.');
INSERT INTO `lang_definitions` VALUES (137225, 9748, 25, 'În curând interval de timp (mementouri clinice)');
INSERT INTO `lang_definitions` VALUES (137226, 9749, 25, 'În curând interval de timp (mementouri pacient)');
INSERT INTO `lang_definitions` VALUES (137227, 9750, 25, 'Durere gat');
INSERT INTO `lang_definitions` VALUES (137228, 9751, 25, 'Imi pare rau, nicio intalnire nu este fixata');
INSERT INTO `lang_definitions` VALUES (137229, 9754, 25, 'Imi pare rau, a fost o problema la upload fisier');
INSERT INTO `lang_definitions` VALUES (137230, 9755, 25, 'Imi pare rau, a fost o problema!');
INSERT INTO `lang_definitions` VALUES (137231, 9758, 25, 'Sorteaza dupa');
INSERT INTO `lang_definitions` VALUES (137232, 9759, 25, 'Sorteaza dupa');
INSERT INTO `lang_definitions` VALUES (137233, 9760, 25, 'Sorteaza dupa categorie');
INSERT INTO `lang_definitions` VALUES (137234, 9761, 25, 'Sorteaza dupa suma de control');
INSERT INTO `lang_definitions` VALUES (137235, 9762, 25, 'Sorteaza dupa comentarii');
INSERT INTO `lang_definitions` VALUES (137236, 9763, 25, 'Sorteaza dupa Crt utilizator');
INSERT INTO `lang_definitions` VALUES (137237, 9764, 25, 'Sorteaza dupa data');
INSERT INTO `lang_definitions` VALUES (137238, 9765, 25, 'Sorteaza dupa data/timp');
INSERT INTO `lang_definitions` VALUES (137239, 9766, 25, 'Sorteaza dupa eveniment');
INSERT INTO `lang_definitions` VALUES (137240, 9767, 25, 'Sorteaza dupa grup');
INSERT INTO `lang_definitions` VALUES (137241, 9768, 25, 'Sorteaza dupa noua suma de control');
INSERT INTO `lang_definitions` VALUES (137242, 9769, 25, 'Sorteaza dupa vechea suma de control');
INSERT INTO `lang_definitions` VALUES (137243, 9770, 25, 'Sorteaza dupa ID pacient');
INSERT INTO `lang_definitions` VALUES (137244, 9772, 25, 'Sorteaza supa Succes');
INSERT INTO `lang_definitions` VALUES (137245, 9773, 25, 'Sorteaza dupa timp/data tamper');
INSERT INTO `lang_definitions` VALUES (137246, 9774, 25, 'Sorteaza dupa utilizator');
INSERT INTO `lang_definitions` VALUES (137247, 9775, 25, 'Sorteaza dupa vaccin');
INSERT INTO `lang_definitions` VALUES (137248, 9776, 25, 'Sorteaza descrescator');
INSERT INTO `lang_definitions` VALUES (137249, 9777, 25, 'Sorteaza rezultat dupa');
INSERT INTO `lang_definitions` VALUES (137250, 9778, 25, 'Sorteaza crescator');
INSERT INTO `lang_definitions` VALUES (137251, 9779, 25, 'Sursa');
INSERT INTO `lang_definitions` VALUES (137252, 9781, 25, 'Fisier sursa');
INSERT INTO `lang_definitions` VALUES (137253, 9782, 25, 'Cale fisier sursa');
INSERT INTO `lang_definitions` VALUES (137254, 9783, 25, 'Sursa lipsa petru cod');
INSERT INTO `lang_definitions` VALUES (137255, 9784, 25, 'Lot sursa');
INSERT INTO `lang_definitions` VALUES (137256, 9785, 25, 'Sursa documentului');
INSERT INTO `lang_definitions` VALUES (137257, 9786, 25, 'Pacient sursa');
INSERT INTO `lang_definitions` VALUES (137258, 9787, 25, 'Pacientul sursa nu are data de nastere');
INSERT INTO `lang_definitions` VALUES (137259, 9788, 25, 'Pacient sursa negasit');
INSERT INTO `lang_definitions` VALUES (137260, 9789, 25, 'Sursa:');
INSERT INTO `lang_definitions` VALUES (137261, 9790, 25, 'South Ndebele');
INSERT INTO `lang_definitions` VALUES (137262, 9791, 25, 'Southern Sotho');
INSERT INTO `lang_definitions` VALUES (137263, 9792, 25, 'Spatiu');
INSERT INTO `lang_definitions` VALUES (137264, 9793, 25, 'SPATIU');
INSERT INTO `lang_definitions` VALUES (137265, 9795, 25, 'Spanish');
INSERT INTO `lang_definitions` VALUES (137266, 9796, 25, 'Spanish (Latin American)');
INSERT INTO `lang_definitions` VALUES (137267, 9797, 25, 'Spanish (Spain)');
INSERT INTO `lang_definitions` VALUES (137268, 9798, 25, 'Spanish- Castilian');
INSERT INTO `lang_definitions` VALUES (137269, 9799, 25, 'Nu sunt permise caractere speciale');
INSERT INTO `lang_definitions` VALUES (137270, 9800, 25, 'Special treatment for the Vitals form');
INSERT INTO `lang_definitions` VALUES (137271, 9801, 25, 'Specialist');
INSERT INTO `lang_definitions` VALUES (137272, 9802, 25, 'Nume specialist si semnatura');
INSERT INTO `lang_definitions` VALUES (137273, 9803, 25, 'Medic specialist');
INSERT INTO `lang_definitions` VALUES (137274, 9804, 25, 'Specialitate');
INSERT INTO `lang_definitions` VALUES (137275, 9805, 25, 'Sistem de specialitate');
INSERT INTO `lang_definitions` VALUES (137276, 9806, 25, 'Specialitate:');
INSERT INTO `lang_definitions` VALUES (137277, 9807, 25, 'Specific');
INSERT INTO `lang_definitions` VALUES (137278, 9808, 25, 'Aplicatie specifica');
INSERT INTO `lang_definitions` VALUES (137279, 9809, 25, 'Serviciu contraceptie specifica');
INSERT INTO `lang_definitions` VALUES (137280, 9810, 25, 'Rezultat specifica');
INSERT INTO `lang_definitions` VALUES (137281, 9811, 25, 'Serviciu specific');
INSERT INTO `lang_definitions` VALUES (137282, 9812, 25, 'Specificat');
INSERT INTO `lang_definitions` VALUES (137283, 9813, 25, 'Specifies formatting for codes. # = digit, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (137284, 9814, 25, 'Specifies formatting for codes. # = digit, @ = alpha, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (137285, 9815, 25, 'Specifies formatting for invoice reference numbers.  # = digit, * = any character.  Empty if not used.');
INSERT INTO `lang_definitions` VALUES (137286, 9816, 25, 'Specifies formatting for invoice reference numbers.  # = digit, @ = alpha, * = any character.  Empty if not used.');
INSERT INTO `lang_definitions` VALUES (137287, 9817, 25, 'Specifies formatting for product NDC fields.  # = digit, * = any character.  Empty if not used.');
INSERT INTO `lang_definitions` VALUES (137288, 9818, 25, 'Specifies formatting for product NDC fields.  # = digit, @ = alpha, * = any character.  Empty if not used.');
INSERT INTO `lang_definitions` VALUES (137289, 9819, 25, 'Specifies formatting for the external patient ID.  # = digit, * = any character.  Empty if not used.');
INSERT INTO `lang_definitions` VALUES (137290, 9820, 25, 'Specifies formatting for the external patient ID.  # = digit, @ = alpha, * = any character.  Empty if not used.');
INSERT INTO `lang_definitions` VALUES (137291, 9823, 25, 'Specimen');
INSERT INTO `lang_definitions` VALUES (137292, 9824, 25, 'Numar/idenitifcator specimen');
INSERT INTO `lang_definitions` VALUES (137293, 9825, 25, 'Tip specimen');
INSERT INTO `lang_definitions` VALUES (137294, 9826, 25, 'Tip specimen');
INSERT INTO `lang_definitions` VALUES (137295, 9827, 25, 'Dictare discurs');
INSERT INTO `lang_definitions` VALUES (137296, 9828, 25, 'Spermicide');
INSERT INTO `lang_definitions` VALUES (137297, 9829, 25, 'Sph{{Sphere}}');
INSERT INTO `lang_definitions` VALUES (137298, 9830, 25, 'SPH{{Sphere}}');
INSERT INTO `lang_definitions` VALUES (137299, 9831, 25, 'Splenectomie');
INSERT INTO `lang_definitions` VALUES (137300, 9832, 25, 'Sot/sotie');
INSERT INTO `lang_definitions` VALUES (137301, 9833, 25, 'Istoric sot/sotie');
INSERT INTO `lang_definitions` VALUES (137302, 9834, 25, 'Sputum');
INSERT INTO `lang_definitions` VALUES (137303, 9835, 25, 'Sputum:');
INSERT INTO `lang_definitions` VALUES (137304, 9836, 25, 'SQ');
INSERT INTO `lang_definitions` VALUES (137305, 9837, 25, 'sql');
INSERT INTO `lang_definitions` VALUES (137306, 9838, 25, 'SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (137307, 9839, 25, 'Echipa');
INSERT INTO `lang_definitions` VALUES (137308, 9840, 25, 'Membru echipa');
INSERT INTO `lang_definitions` VALUES (137309, 9841, 25, 'Echipe');
INSERT INTO `lang_definitions` VALUES (137310, 9843, 25, 'SRH');
INSERT INTO `lang_definitions` VALUES (137311, 9844, 25, 'SRH - planificare familiala');
INSERT INTO `lang_definitions` VALUES (137312, 9845, 25, 'SRH Non Family Planning');
INSERT INTO `lang_definitions` VALUES (137313, 9846, 25, 'SRH Trimiteri');
INSERT INTO `lang_definitions` VALUES (137314, 9847, 25, 'Formular vizita SRH');
INSERT INTO `lang_definitions` VALUES (137315, 9848, 25, 'Srv Date');
INSERT INTO `lang_definitions` VALUES (137316, 9849, 25, 'SS');
INSERT INTO `lang_definitions` VALUES (137317, 9850, 25, 'SSL Certificate Administration');
INSERT INTO `lang_definitions` VALUES (137318, 9851, 25, 'SSN');
INSERT INTO `lang_definitions` VALUES (137319, 9852, 25, 'Stabilitate');
INSERT INTO `lang_definitions` VALUES (137320, 9854, 25, 'Staged Releases');
INSERT INTO `lang_definitions` VALUES (137321, 9855, 25, 'Standard');
INSERT INTO `lang_definitions` VALUES (137322, 9856, 25, 'Verificare standard');
INSERT INTO `lang_definitions` VALUES (137323, 9857, 25, 'Cod standard');
INSERT INTO `lang_definitions` VALUES (137324, 9860, 25, 'Masuratori standard');
INSERT INTO `lang_definitions` VALUES (137325, 9861, 25, 'Masuratori standard (Alerte active)');
INSERT INTO `lang_definitions` VALUES (137326, 9862, 25, 'Masuratori standard (Alerte pasive)');
INSERT INTO `lang_definitions` VALUES (137327, 9863, 25, 'Masuratori standard (Mementouri pacienti)');
INSERT INTO `lang_definitions` VALUES (137328, 9864, 25, 'Nume standard');
INSERT INTO `lang_definitions` VALUES (137329, 9865, 25, 'Standard; Simplified: only title, start date, comments and an Active checkbox;no diagnosis, occurrence, end date, referred-by or sports fields. ; Football Injury');
INSERT INTO `lang_definitions` VALUES (137330, 9866, 25, 'Start');
INSERT INTO `lang_definitions` VALUES (137331, 9867, 25, 'Start (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (137332, 9868, 25, 'Start alt raport');
INSERT INTO `lang_definitions` VALUES (137333, 9870, 25, 'Start Batch Processing');
INSERT INTO `lang_definitions` VALUES (137334, 9874, 25, 'Data de Start');
INSERT INTO `lang_definitions` VALUES (137335, 9875, 25, 'Data de start');
INSERT INTO `lang_definitions` VALUES (137336, 9876, 25, 'Data de start la aceasta clinica');
INSERT INTO `lang_definitions` VALUES (137337, 9877, 25, 'Data de start trebuie sa fie mai mica decat data de sfarsit');
INSERT INTO `lang_definitions` VALUES (137338, 9878, 25, 'Data de start:');
INSERT INTO `lang_definitions` VALUES (137339, 9879, 25, 'Data de start:');
INSERT INTO `lang_definitions` VALUES (137340, 9881, 25, 'Timpul de start');
INSERT INTO `lang_definitions` VALUES (137341, 9884, 25, 'Data de plecare');
INSERT INTO `lang_definitions` VALUES (137342, 9888, 25, 'stat');
INSERT INTO `lang_definitions` VALUES (137343, 9889, 25, 'Judet');
INSERT INTO `lang_definitions` VALUES (137344, 9890, 25, 'Tip date stare');
INSERT INTO `lang_definitions` VALUES (137345, 9891, 25, 'Stare Lic#');
INSERT INTO `lang_definitions` VALUES (137346, 9892, 25, 'Licenta');
INSERT INTO `lang_definitions` VALUES (137347, 9893, 25, 'State list');
INSERT INTO `lang_definitions` VALUES (137348, 9894, 25, 'State List (write,addonly optional)');
INSERT INTO `lang_definitions` VALUES (137349, 9896, 25, 'State List Widget Custom Fields');
INSERT INTO `lang_definitions` VALUES (137350, 9897, 25, 'Stat sau provincie');
INSERT INTO `lang_definitions` VALUES (137351, 9898, 25, 'Stat/localitate');
INSERT INTO `lang_definitions` VALUES (137352, 9899, 25, 'State/Parish');
INSERT INTO `lang_definitions` VALUES (137353, 9901, 25, 'Afisare aspect');
INSERT INTO `lang_definitions` VALUES (137354, 9903, 25, 'REZUMAT');
INSERT INTO `lang_definitions` VALUES (137355, 9904, 25, 'declaratii si actualizarea facturilor.');
INSERT INTO `lang_definitions` VALUES (137356, 9906, 25, 'Declaratii trimise:');
INSERT INTO `lang_definitions` VALUES (137357, 9907, 25, 'declaratii, facturile nu vor fi actualizate.');
INSERT INTO `lang_definitions` VALUES (137358, 9908, 25, 'Text static');
INSERT INTO `lang_definitions` VALUES (137359, 9909, 25, 'Statistici');
INSERT INTO `lang_definitions` VALUES (137360, 9910, 25, 'Stats');
INSERT INTO `lang_definitions` VALUES (137361, 9911, 25, 'Stare');
INSERT INTO `lang_definitions` VALUES (137362, 9914, 25, 'Stare admitere');
INSERT INTO `lang_definitions` VALUES (137363, 9915, 25, 'Stare plangere');
INSERT INTO `lang_definitions` VALUES (137364, 9916, 25, 'Status quo');
INSERT INTO `lang_definitions` VALUES (137365, 9917, 25, 'Tip stare');
INSERT INTO `lang_definitions` VALUES (137366, 9918, 25, 'STD/AIDS Couns');
INSERT INTO `lang_definitions` VALUES (137367, 9919, 25, 'Strength and Conditioning');
INSERT INTO `lang_definitions` VALUES (137368, 9920, 25, 'Copil vitreg');
INSERT INTO `lang_definitions` VALUES (137369, 9921, 25, 'Parinte vitreg');
INSERT INTO `lang_definitions` VALUES (137370, 9922, 25, 'Frate vitreg');
INSERT INTO `lang_definitions` VALUES (137371, 9923, 25, 'Copil vitreg');
INSERT INTO `lang_definitions` VALUES (137372, 9924, 25, 'Steps for uploading CCR XML');
INSERT INTO `lang_definitions` VALUES (137373, 9925, 25, 'Steps to install the DSM IV database');
INSERT INTO `lang_definitions` VALUES (137374, 9926, 25, 'Steps to install the ICD 10 database');
INSERT INTO `lang_definitions` VALUES (137375, 9927, 25, 'Steps to install the ICD 9 database');
INSERT INTO `lang_definitions` VALUES (137376, 9928, 25, 'Steps to install the RxNorm database');
INSERT INTO `lang_definitions` VALUES (137377, 9929, 25, 'Steps to install the Snomed database');
INSERT INTO `lang_definitions` VALUES (137378, 9930, 25, 'Steps to install the VALUSET database');
INSERT INTO `lang_definitions` VALUES (137379, 9931, 25, 'Stereopsis');
INSERT INTO `lang_definitions` VALUES (137380, 9932, 25, 'Articulatii rigide');
INSERT INTO `lang_definitions` VALUES (137381, 9933, 25, 'Rigiditate');
INSERT INTO `lang_definitions` VALUES (137382, 9935, 25, 'Lunile de stoc');
INSERT INTO `lang_definitions` VALUES (137383, 9936, 25, 'Dureri stomacale');
INSERT INTO `lang_definitions` VALUES (137384, 9937, 25, 'Stop');
INSERT INTO `lang_definitions` VALUES (137385, 9942, 25, 'Stored Hash');
INSERT INTO `lang_definitions` VALUES (137386, 9943, 25, 'Strabism');
INSERT INTO `lang_definitions` VALUES (137387, 9944, 25, 'Tulpina musculara');
INSERT INTO `lang_definitions` VALUES (137388, 9946, 25, 'Curent');
INSERT INTO `lang_definitions` VALUES (137389, 9947, 25, 'Strada');
INSERT INTO `lang_definitions` VALUES (137390, 9948, 25, 'Adresa strada');
INSERT INTO `lang_definitions` VALUES (137391, 9949, 25, 'Strada si numar');
INSERT INTO `lang_definitions` VALUES (137392, 9950, 25, 'Putere');
INSERT INTO `lang_definitions` VALUES (137393, 9951, 25, 'Putere si conditie');
INSERT INTO `lang_definitions` VALUES (137394, 9952, 25, 'Streotococ gat');
INSERT INTO `lang_definitions` VALUES (137395, 9953, 25, 'Fractura de stres');
INSERT INTO `lang_definitions` VALUES (137396, 9954, 25, 'Test stres');
INSERT INTO `lang_definitions` VALUES (137397, 9956, 25, 'Accident vascular cerebral');
INSERT INTO `lang_definitions` VALUES (137398, 9957, 25, 'accident vascular cerebral');
INSERT INTO `lang_definitions` VALUES (137399, 9958, 25, 'Parola puternica inseamna cel putin 8 caractere cu cel putin 3 dintre: un numar, o litera mica, o litera mare, un caracter special');
INSERT INTO `lang_definitions` VALUES (137400, 9960, 25, 'Stilul de formular folosit la adaugarea de pacienti noi');
INSERT INTO `lang_definitions` VALUES (137401, 9961, 25, 'Stilul de formular folosit la adaugarea de pacienti noi');
INSERT INTO `lang_definitions` VALUES (137402, 9965, 25, 'Sub categorie');
INSERT INTO `lang_definitions` VALUES (137403, 9966, 25, 'Sub-total');
INSERT INTO `lang_definitions` VALUES (137404, 9967, 25, 'Subcategorie');
INSERT INTO `lang_definitions` VALUES (137405, 9968, 25, 'subcategorie');
INSERT INTO `lang_definitions` VALUES (137406, 9969, 25, 'subcutanat');
INSERT INTO `lang_definitions` VALUES (137407, 9970, 25, 'Subiect');
INSERT INTO `lang_definitions` VALUES (137408, 9971, 25, 'Subiectiv');
INSERT INTO `lang_definitions` VALUES (137409, 9972, 25, 'Sublingual');
INSERT INTO `lang_definitions` VALUES (137410, 9973, 25, 'sublingual');
INSERT INTO `lang_definitions` VALUES (137411, 9974, 25, 'Submit');
INSERT INTO `lang_definitions` VALUES (137412, 9975, 25, 'submit');
INSERT INTO `lang_definitions` VALUES (137413, 9976, 25, 'Submit tot continutul');
INSERT INTO `lang_definitions` VALUES (137414, 9977, 25, 'Submit si sterge cerere');
INSERT INTO `lang_definitions` VALUES (137415, 9979, 25, 'Submit eveniment');
INSERT INTO `lang_definitions` VALUES (137416, 9980, 25, 'submit formular');
INSERT INTO `lang_definitions` VALUES (137417, 9982, 25, 'Submit continut selectat');
INSERT INTO `lang_definitions` VALUES (137418, 9983, 25, 'Submis');
INSERT INTO `lang_definitions` VALUES (137419, 9984, 25, 'submis');
INSERT INTO `lang_definitions` VALUES (137420, 9985, 25, 'Submis de');
INSERT INTO `lang_definitions` VALUES (137421, 9986, 25, 'Furnizor Numar acces EDI (PER06)');
INSERT INTO `lang_definitions` VALUES (137422, 9987, 25, 'Abonat');
INSERT INTO `lang_definitions` VALUES (137423, 9988, 25, 'Adresa abonat');
INSERT INTO `lang_definitions` VALUES (137424, 9989, 25, 'Oras abonat');
INSERT INTO `lang_definitions` VALUES (137425, 9990, 25, 'Tara aboant');
INSERT INTO `lang_definitions` VALUES (137426, 9991, 25, 'Data nasterii abonat');
INSERT INTO `lang_definitions` VALUES (137427, 9992, 25, 'Abonat angajator');
INSERT INTO `lang_definitions` VALUES (137428, 9993, 25, 'Abonat angajator (SE)');
INSERT INTO `lang_definitions` VALUES (137429, 9994, 25, 'Adresa abonat angajator');
INSERT INTO `lang_definitions` VALUES (137430, 9995, 25, 'Oras abonat angajator');
INSERT INTO `lang_definitions` VALUES (137431, 9996, 25, 'Tara abonat angajator');
INSERT INTO `lang_definitions` VALUES (137432, 9997, 25, 'Judet abonat angajator');
INSERT INTO `lang_definitions` VALUES (137433, 9998, 25, 'Strada abonat angajator');
INSERT INTO `lang_definitions` VALUES (137434, 9999, 25, 'Zip abonat angajator');
INSERT INTO `lang_definitions` VALUES (137435, 10000, 25, 'Zip code abonat angajator');
INSERT INTO `lang_definitions` VALUES (137436, 10001, 25, 'Prenume abonat angajator');
INSERT INTO `lang_definitions` VALUES (137437, 10002, 25, 'Nume abonat angajator');
INSERT INTO `lang_definitions` VALUES (137438, 10004, 25, 'Alte prenume abonat angajator');
INSERT INTO `lang_definitions` VALUES (137439, 10005, 25, 'Telefon abonat');
INSERT INTO `lang_definitions` VALUES (137440, 10006, 25, 'Subscriber Relationship');
INSERT INTO `lang_definitions` VALUES (137441, 10007, 25, 'Subscriber relationship is not self but name is the same! Is this really OK?');
INSERT INTO `lang_definitions` VALUES (137442, 10008, 25, 'Subscriber relationship is not self but SS number is the same!');
INSERT INTO `lang_definitions` VALUES (137443, 10009, 25, 'Subscriber relationship is self but name is different! Is this really OK?');
INSERT INTO `lang_definitions` VALUES (137444, 10010, 25, 'Subscriber relationship is self but SS number is different!');
INSERT INTO `lang_definitions` VALUES (137445, 10011, 25, 'Sex abonat');
INSERT INTO `lang_definitions` VALUES (137446, 10012, 25, 'SS abonat');
INSERT INTO `lang_definitions` VALUES (137447, 10013, 25, 'Judet abonat');
INSERT INTO `lang_definitions` VALUES (137448, 10014, 25, 'Zip abonat');
INSERT INTO `lang_definitions` VALUES (137449, 10017, 25, 'Telefon abonat');
INSERT INTO `lang_definitions` VALUES (137450, 10018, 25, 'Substanta');
INSERT INTO `lang_definitions` VALUES (137451, 10019, 25, 'Motivul refuzului substantei');
INSERT INTO `lang_definitions` VALUES (137452, 10020, 25, 'Substituire');
INSERT INTO `lang_definitions` VALUES (137453, 10021, 25, 'substituire permisa');
INSERT INTO `lang_definitions` VALUES (137454, 10023, 25, 'Subtip');
INSERT INTO `lang_definitions` VALUES (137455, 10024, 25, 'Succes');
INSERT INTO `lang_definitions` VALUES (137456, 10025, 25, 'succes');
INSERT INTO `lang_definitions` VALUES (137457, 10026, 25, 'Succes confirmare primire rezultate lab');
INSERT INTO `lang_definitions` VALUES (137458, 10027, 25, 'Succes obtinere rezultate lab');
INSERT INTO `lang_definitions` VALUES (137459, 10028, 25, 'Succes gasire rezultare in Lab Exchange Network');
INSERT INTO `lang_definitions` VALUES (137460, 10029, 25, 'Transfer cu succes');
INSERT INTO `lang_definitions` VALUES (137461, 10030, 25, 'Categoria adaugat cu succes');
INSERT INTO `lang_definitions` VALUES (137462, 10031, 25, 'adaugat cu succes la categorie');
INSERT INTO `lang_definitions` VALUES (137463, 10032, 25, 'Terminat cu succes');
INSERT INTO `lang_definitions` VALUES (137464, 10033, 25, 'Sters cu succes');
INSERT INTO `lang_definitions` VALUES (137465, 10034, 25, 'Importat cu succes. Aprobati pacient din ecranul Aprobare in asteptare');
INSERT INTO `lang_definitions` VALUES (137466, 10035, 25, 'Baze de date instalate cu succes');
INSERT INTO `lang_definitions` VALUES (137467, 10036, 25, 'Instalate cu succes urmatoarele baze de date');
INSERT INTO `lang_definitions` VALUES (137468, 10037, 25, 'Modificat cu succes');
INSERT INTO `lang_definitions` VALUES (137469, 10039, 25, 'Successfully Saved.Would you like to Allocate?');
INSERT INTO `lang_definitions` VALUES (137470, 10040, 25, 'Successfully Saved.Would you like to Distribute?');
INSERT INTO `lang_definitions` VALUES (137471, 10041, 25, 'Trimis cu succes');
INSERT INTO `lang_definitions` VALUES (137472, 10042, 25, 'stocat cu succes');
INSERT INTO `lang_definitions` VALUES (137473, 10044, 25, 'Baza de date actualizata cu succes');
INSERT INTO `lang_definitions` VALUES (137474, 10045, 25, 'Urmatoarea baza de date a fost actualizata cu succes');
INSERT INTO `lang_definitions` VALUES (137475, 10046, 25, 'cu succes.');
INSERT INTO `lang_definitions` VALUES (137476, 10047, 25, 'Sufix');
INSERT INTO `lang_definitions` VALUES (137477, 10048, 25, 'Sugestii pentru Imp/Plan sunt construite din Exam, Past Ocular History (POH and POS) and the Past Medical History (PMH)');
INSERT INTO `lang_definitions` VALUES (137478, 10049, 25, 'Sinucidere');
INSERT INTO `lang_definitions` VALUES (137479, 10051, 25, 'Rezumat');
INSERT INTO `lang_definitions` VALUES (137480, 10052, 25, 'Rezumat al');
INSERT INTO `lang_definitions` VALUES (137481, 10053, 25, 'Rezumat al acuitatii pentru acest pacient');
INSERT INTO `lang_definitions` VALUES (137482, 10054, 25, 'Rezumat al ingrijirii furnizat?');
INSERT INTO `lang_definitions` VALUES (137483, 10055, 25, 'Rezumat al ingrijirii furnizat?');
INSERT INTO `lang_definitions` VALUES (137484, 10056, 25, 'Rezumat al ingrijirii trimis');
INSERT INTO `lang_definitions` VALUES (137485, 10057, 25, 'Rezumat al ingrijirii trimis electronic');
INSERT INTO `lang_definitions` VALUES (137486, 10058, 25, 'Soare');
INSERT INTO `lang_definitions` VALUES (137487, 10059, 25, 'Sundanese');
INSERT INTO `lang_definitions` VALUES (137488, 10060, 25, 'Duminica');
INSERT INTO `lang_definitions` VALUES (137489, 10061, 25, 'Superfactura');
INSERT INTO `lang_definitions` VALUES (137490, 10062, 25, 'Coduri Superfactura');
INSERT INTO `lang_definitions` VALUES (137491, 10063, 25, 'Administrare coduri Superfactura');
INSERT INTO `lang_definitions` VALUES (137492, 10065, 25, 'Raport Superfactura');
INSERT INTO `lang_definitions` VALUES (137493, 10066, 25, 'Foaie taxa/Superfactura');
INSERT INTO `lang_definitions` VALUES (137494, 10067, 25, 'Superfacturi');
INSERT INTO `lang_definitions` VALUES (137495, 10068, 25, 'Superbills, sometimes referred to as Encounter Forms or Routing Slips, are an essential part of most medical practices.');
INSERT INTO `lang_definitions` VALUES (137496, 10069, 25, 'Superuser');
INSERT INTO `lang_definitions` VALUES (137497, 10071, 25, 'Superviser');
INSERT INTO `lang_definitions` VALUES (137498, 10072, 25, 'Doctor superviser');
INSERT INTO `lang_definitions` VALUES (137499, 10073, 25, 'Doctor superviser DEA');
INSERT INTO `lang_definitions` VALUES (137500, 10074, 25, 'Prenume doctor superviser');
INSERT INTO `lang_definitions` VALUES (137501, 10075, 25, 'Nume doctor superviser');
INSERT INTO `lang_definitions` VALUES (137502, 10076, 25, 'Doctor superviser NPI');
INSERT INTO `lang_definitions` VALUES (137503, 10077, 25, 'Doctor superviser UPIN');
INSERT INTO `lang_definitions` VALUES (137504, 10080, 25, 'Furnizor');
INSERT INTO `lang_definitions` VALUES (137505, 10081, 25, 'Nume centru furnizor');
INSERT INTO `lang_definitions` VALUES (137506, 10082, 25, 'Suport evenimente din calendar care se aplica mai multor funrizori');
INSERT INTO `lang_definitions` VALUES (137507, 10083, 25, 'Support export/import of configuration data via the Backup page.');
INSERT INTO `lang_definitions` VALUES (137508, 10084, 25, 'Suport evenimente multi-funrizori');
INSERT INTO `lang_definitions` VALUES (137509, 10085, 25, 'Suport numar telefon');
INSERT INTO `lang_definitions` VALUES (137510, 10086, 25, 'Support provider in line item in fee sheet');
INSERT INTO `lang_definitions` VALUES (137511, 10088, 25, 'Supports TripleDES encryption/decryption only.');
INSERT INTO `lang_definitions` VALUES (137512, 10089, 25, 'sup{{superior}}');
INSERT INTO `lang_definitions` VALUES (137513, 10090, 25, 'Tip suprafata');
INSERT INTO `lang_definitions` VALUES (137514, 10091, 25, 'Chirurg');
INSERT INTO `lang_definitions` VALUES (137515, 10092, 25, 'Cabinete medicale');
INSERT INTO `lang_definitions` VALUES (137516, 10093, 25, 'Chirurgie');
INSERT INTO `lang_definitions` VALUES (137517, 10094, 25, 'Lista probleme chirurgie');
INSERT INTO `lang_definitions` VALUES (137518, 10095, 25, 'Suspendat');
INSERT INTO `lang_definitions` VALUES (137519, 10096, 25, 'suspensie');
INSERT INTO `lang_definitions` VALUES (137520, 10097, 25, 'Du{{Duminica}}');
INSERT INTO `lang_definitions` VALUES (137521, 10098, 25, 'Svc Date');
INSERT INTO `lang_definitions` VALUES (137522, 10099, 25, 'Svc Date:');
INSERT INTO `lang_definitions` VALUES (137523, 10100, 25, 'Swahili');
INSERT INTO `lang_definitions` VALUES (137524, 10101, 25, 'Swati');
INSERT INTO `lang_definitions` VALUES (137525, 10102, 25, 'Transpiratie:');
INSERT INTO `lang_definitions` VALUES (137526, 10103, 25, 'Swedish');
INSERT INTO `lang_definitions` VALUES (137527, 10104, 25, 'Umflatura');
INSERT INTO `lang_definitions` VALUES (137528, 10105, 25, 'Umflatura dreapta');
INSERT INTO `lang_definitions` VALUES (137529, 10106, 25, 'Umflarea articulatiilor');
INSERT INTO `lang_definitions` VALUES (137530, 10107, 25, 'Umflarea nodurilor limfatici');
INSERT INTO `lang_definitions` VALUES (137531, 10108, 25, 'Symbol used as the decimal point for currency. Not used if Decimal Places is 0.');
INSERT INTO `lang_definitions` VALUES (137532, 10109, 25, 'Symbol used to separate thousands for currency.');
INSERT INTO `lang_definitions` VALUES (137533, 10110, 25, 'Simptome');
INSERT INTO `lang_definitions` VALUES (137534, 10111, 25, 'Sincronizare');
INSERT INTO `lang_definitions` VALUES (137535, 10112, 25, 'Sincronizare traduceri cu tabela custom langauge');
INSERT INTO `lang_definitions` VALUES (137536, 10113, 25, 'Constanta noua sincronizata:');
INSERT INTO `lang_definitions` VALUES (137537, 10114, 25, 'Limbaj nou sincronizat:');
INSERT INTO `lang_definitions` VALUES (137538, 10115, 25, 'Definitii noi sincronizate (Limba, Constanta, Definitii)');
INSERT INTO `lang_definitions` VALUES (137539, 10116, 25, 'Sincopa');
INSERT INTO `lang_definitions` VALUES (137540, 10117, 25, 'Control sindromic');
INSERT INTO `lang_definitions` VALUES (137541, 10118, 25, 'Control sindromic - nicio problema raportata');
INSERT INTO `lang_definitions` VALUES (137542, 10119, 25, 'Raport control sindromic');
INSERT INTO `lang_definitions` VALUES (137543, 10120, 25, 'Synovitis, impingement, bursitis');
INSERT INTO `lang_definitions` VALUES (137544, 10121, 25, 'Sistem');
INSERT INTO `lang_definitions` VALUES (137545, 10124, 25, 'Sistolic');
INSERT INTO `lang_definitions` VALUES (137546, 10125, 25, 'S{{Sambata}}');
INSERT INTO `lang_definitions` VALUES (137547, 10126, 25, 's{{suffix to make Document plural, ie. Documents}}');
INSERT INTO `lang_definitions` VALUES (137548, 10127, 25, 'D{{Duminica}}');
INSERT INTO `lang_definitions` VALUES (137549, 10128, 25, 'T');
INSERT INTO `lang_definitions` VALUES (137550, 10130, 25, 't.i.d.');
INSERT INTO `lang_definitions` VALUES (137551, 10131, 25, 'T.V.');
INSERT INTO `lang_definitions` VALUES (137552, 10133, 25, 'Tabela');
INSERT INTO `lang_definitions` VALUES (137553, 10136, 25, 'Cod tabela');
INSERT INTO `lang_definitions` VALUES (137554, 10137, 25, 'Esec creare tabela');
INSERT INTO `lang_definitions` VALUES (137555, 10138, 25, 'Esec actualizare tabela');
INSERT INTO `lang_definitions` VALUES (137556, 10139, 25, 'Tabele');
INSERT INTO `lang_definitions` VALUES (137557, 10140, 25, 'tableta');
INSERT INTO `lang_definitions` VALUES (137558, 10141, 25, 'Tab-uri');
INSERT INTO `lang_definitions` VALUES (137559, 10143, 25, 'Tabs Layout Theme (need to logout/login after change this setting)');
INSERT INTO `lang_definitions` VALUES (137560, 10144, 25, 'Tag la consultatie');
INSERT INTO `lang_definitions` VALUES (137561, 10145, 25, 'Tag la procedura imagine');
INSERT INTO `lang_definitions` VALUES (137562, 10146, 25, 'Tagalog');
INSERT INTO `lang_definitions` VALUES (137563, 10147, 25, 'Tahitian');
INSERT INTO `lang_definitions` VALUES (137564, 10148, 25, 'Tajik');
INSERT INTO `lang_definitions` VALUES (137565, 10149, 25, 'Ia');
INSERT INTO `lang_definitions` VALUES (137566, 10151, 25, 'Ia asigurare, din Drop Down');
INSERT INTO `lang_definitions` VALUES (137567, 10152, 25, 'Ia plata, din Drop Down');
INSERT INTO `lang_definitions` VALUES (137568, 10153, 25, 'Ia inapoi');
INSERT INTO `lang_definitions` VALUES (137569, 10154, 25, 'Ia mult timp');
INSERT INTO `lang_definitions` VALUES (137570, 10157, 25, 'Suprafata de navigare');
INSERT INTO `lang_definitions` VALUES (137571, 10158, 25, 'Tamil');
INSERT INTO `lang_definitions` VALUES (137572, 10159, 25, 'Tamper Date');
INSERT INTO `lang_definitions` VALUES (137573, 10160, 25, 'Suma de control corupta');
INSERT INTO `lang_definitions` VALUES (137574, 10161, 25, 'Data nasterii tinta si sursa nu se potrivesc');
INSERT INTO `lang_definitions` VALUES (137575, 10162, 25, 'Tinta si sursa nu pot fi aceleasi!');
INSERT INTO `lang_definitions` VALUES (137576, 10163, 25, 'Tinta si sursa SSN nu se potrivesc');
INSERT INTO `lang_definitions` VALUES (137577, 10164, 25, 'Data tinta');
INSERT INTO `lang_definitions` VALUES (137578, 10165, 25, 'Pacient tinta');
INSERT INTO `lang_definitions` VALUES (137579, 10166, 25, 'Pacient tinta nu are data nasterii');
INSERT INTO `lang_definitions` VALUES (137580, 10167, 25, 'Pacient tinta negasit');
INSERT INTO `lang_definitions` VALUES (137581, 10168, 25, 'Grupuri tinta/actiuni');
INSERT INTO `lang_definitions` VALUES (137582, 10170, 25, 'Taskman: Documents in openEMR');
INSERT INTO `lang_definitions` VALUES (137583, 10171, 25, 'Tatar');
INSERT INTO `lang_definitions` VALUES (137584, 10172, 25, 'CUI');
INSERT INTO `lang_definitions` VALUES (137585, 10173, 25, 'CUI');
INSERT INTO `lang_definitions` VALUES (137586, 10174, 25, 'Tax Rate');
INSERT INTO `lang_definitions` VALUES (137587, 10175, 25, 'Taxes');
INSERT INTO `lang_definitions` VALUES (137588, 10176, 25, 'Taxonomy');
INSERT INTO `lang_definitions` VALUES (137589, 10177, 25, 'TA{{temporal arteries}}');
INSERT INTO `lang_definitions` VALUES (137590, 10178, 25, 'TB');
INSERT INTO `lang_definitions` VALUES (137591, 10179, 25, 'TBUT');
INSERT INTO `lang_definitions` VALUES (137592, 10180, 25, 'TBUT{{tear breakup time}}');
INSERT INTO `lang_definitions` VALUES (137593, 10181, 25, 'Td');
INSERT INTO `lang_definitions` VALUES (137594, 10182, 25, 'Team Injury Overview');
INSERT INTO `lang_definitions` VALUES (137595, 10183, 25, 'Lista echipa');
INSERT INTO `lang_definitions` VALUES (137596, 10184, 25, 'Vedere lista echipa');
INSERT INTO `lang_definitions` VALUES (137597, 10185, 25, 'Echipa');
INSERT INTO `lang_definitions` VALUES (137598, 10186, 25, 'Tear Break Up Time');
INSERT INTO `lang_definitions` VALUES (137599, 10187, 25, 'Tel');
INSERT INTO `lang_definitions` VALUES (137600, 10189, 25, 'Cod tara telefon');
INSERT INTO `lang_definitions` VALUES (137601, 10191, 25, 'Telugu');
INSERT INTO `lang_definitions` VALUES (137602, 10192, 25, 'Temp');
INSERT INTO `lang_definitions` VALUES (137603, 10193, 25, 'Locatie temporara');
INSERT INTO `lang_definitions` VALUES (137604, 10194, 25, 'Metoda temporara');
INSERT INTO `lang_definitions` VALUES (137605, 10195, 25, 'Temp. Art.{{temporal arteries}}');
INSERT INTO `lang_definitions` VALUES (137606, 10196, 25, 'Temperatura');
INSERT INTO `lang_definitions` VALUES (137607, 10197, 25, 'Model');
INSERT INTO `lang_definitions` VALUES (137608, 10198, 25, 'Nume model');
INSERT INTO `lang_definitions` VALUES (137609, 10199, 25, 'Numele modelului nu poate incepe cu numere');
INSERT INTO `lang_definitions` VALUES (137610, 10200, 25, 'Selector-ul modelului schimbat');
INSERT INTO `lang_definitions` VALUES (137611, 10201, 25, 'Model:');
INSERT INTO `lang_definitions` VALUES (137612, 10202, 25, 'Modele');
INSERT INTO `lang_definitions` VALUES (137613, 10203, 25, 'Temporal Art.{{Temporal Artery}}');
INSERT INTO `lang_definitions` VALUES (137614, 10204, 25, 'Temporal Arteries');
INSERT INTO `lang_definitions` VALUES (137615, 10205, 25, 'Temporal Artery');
INSERT INTO `lang_definitions` VALUES (137616, 10206, 25, 'Temporary Lodging');
INSERT INTO `lang_definitions` VALUES (137617, 10207, 25, 'temp{{temporal}}');
INSERT INTO `lang_definitions` VALUES (137618, 10208, 25, 'Leziuni la tendon');
INSERT INTO `lang_definitions` VALUES (137619, 10209, 25, 'Tendonita');
INSERT INTO `lang_definitions` VALUES (137620, 10210, 25, 'Tensiune');
INSERT INTO `lang_definitions` VALUES (137621, 10211, 25, 'Tentantiva de facturare nr');
INSERT INTO `lang_definitions` VALUES (137622, 10213, 25, 'Tertiar');
INSERT INTO `lang_definitions` VALUES (137623, 10214, 25, 'Asiurare tertiar');
INSERT INTO `lang_definitions` VALUES (137624, 10215, 25, 'Data asigurare tertiar');
INSERT INTO `lang_definitions` VALUES (137625, 10216, 25, 'Furnizor asigurare tertiar');
INSERT INTO `lang_definitions` VALUES (137626, 10219, 25, 'Programare test');
INSERT INTO `lang_definitions` VALUES (137627, 10220, 25, 'Test sistem');
INSERT INTO `lang_definitions` VALUES (137628, 10222, 25, 'Teste executate');
INSERT INTO `lang_definitions` VALUES (137629, 10223, 25, 'Text');
INSERT INTO `lang_definitions` VALUES (137630, 10224, 25, 'Text diagnostic');
INSERT INTO `lang_definitions` VALUES (137631, 10225, 25, 'Text field');
INSERT INTO `lang_definitions` VALUES (137632, 10226, 25, 'Text pentru mesaj personalizat');
INSERT INTO `lang_definitions` VALUES (137633, 10227, 25, 'Text pentru mesaj.');
INSERT INTO `lang_definitions` VALUES (137634, 10228, 25, 'Text pentru mesaj.');
INSERT INTO `lang_definitions` VALUES (137635, 10229, 25, 'Text pentru mesaj.');
INSERT INTO `lang_definitions` VALUES (137636, 10230, 25, 'Text pentru mesaj.');
INSERT INTO `lang_definitions` VALUES (137637, 10231, 25, 'Text pentru mesaj.');
INSERT INTO `lang_definitions` VALUES (137638, 10233, 25, 'Text-date');
INSERT INTO `lang_definitions` VALUES (137639, 10234, 25, 'text-date');
INSERT INTO `lang_definitions` VALUES (137640, 10235, 25, 'Textarea');
INSERT INTO `lang_definitions` VALUES (137641, 10236, 25, 'textarea');
INSERT INTO `lang_definitions` VALUES (137642, 10237, 25, 'Textbox');
INSERT INTO `lang_definitions` VALUES (137643, 10238, 25, 'textbox');
INSERT INTO `lang_definitions` VALUES (137644, 10239, 25, 'Textbox list');
INSERT INTO `lang_definitions` VALUES (137645, 10240, 25, 'textbox list');
INSERT INTO `lang_definitions` VALUES (137646, 10241, 25, 'Thai');
INSERT INTO `lang_definitions` VALUES (137647, 10242, 25, 'Multumesc');
INSERT INTO `lang_definitions` VALUES (137648, 10245, 25, 'Multumesc pentru alegere');
INSERT INTO `lang_definitions` VALUES (137649, 10247, 25, 'Butonul Clear va elimina toate adnotarile');
INSERT INTO `lang_definitions` VALUES (137650, 10250, 25, 'Tasta Tab creaza intrare');
INSERT INTO `lang_definitions` VALUES (137651, 10254, 25, 'Instructiunea de mai sus a esuat');
INSERT INTO `lang_definitions` VALUES (137652, 10264, 25, 'The Apache SSL server certificate and public key');
INSERT INTO `lang_definitions` VALUES (137653, 10281, 25, 'The Certificate Authority certificate');
INSERT INTO `lang_definitions` VALUES (137654, 10284, 25, 'The claim file:');
INSERT INTO `lang_definitions` VALUES (137655, 10290, 25, 'The compatible staged US Extension SNOMED package has already been installed.');
INSERT INTO `lang_definitions` VALUES (137656, 10296, 25, 'The corresponding private key');
INSERT INTO `lang_definitions` VALUES (137657, 10305, 25, 'The data integrity test failed for this form');
INSERT INTO `lang_definitions` VALUES (137658, 10308, 25, 'The default code type to search for in the Fee Sheet.');
INSERT INTO `lang_definitions` VALUES (137659, 10322, 25, 'the Denial code is');
INSERT INTO `lang_definitions` VALUES (137660, 10323, 25, 'the Denial Group code is');
INSERT INTO `lang_definitions` VALUES (137661, 10328, 25, 'The destination form was closed');
INSERT INTO `lang_definitions` VALUES (137662, 10330, 25, 'The destination form was closed; I cannot act on your selection.');
INSERT INTO `lang_definitions` VALUES (137663, 10343, 25, 'The entity performing this procedure');
INSERT INTO `lang_definitions` VALUES (137664, 10346, 25, 'The EP, eligible hospital or CAH who receives a patient from another setting of care or provider of care or believes an encounter is relevant should perform medication reconciliation.');
INSERT INTO `lang_definitions` VALUES (137665, 10347, 25, 'The EP, eligible hospital or CAH who transitions their patient to another setting of care or provider of care or refers their patient to another provider of care should provide summary of care record for each transition of care or referral (Measure A).');
INSERT INTO `lang_definitions` VALUES (137666, 10348, 25, 'The EP, eligible hospital or CAH who transitions their patient to another setting of care or provider of care or refers their patient to another provider of care should provide summary of care record for each transition of care or referral (Measure B).');
INSERT INTO `lang_definitions` VALUES (137667, 10349, 25, 'The EP, eligible hospital or CAH who transitions their patient to another setting of care or provider of care or refers their patient to another provider of care should provide summary of care record for each transition of care or referral.');
INSERT INTO `lang_definitions` VALUES (137668, 10350, 25, 'Evenimentele au fost aprobate.');
INSERT INTO `lang_definitions` VALUES (137669, 10351, 25, 'Evenimentele au fost ascunse.');
INSERT INTO `lang_definitions` VALUES (137670, 10352, 25, 'The exported data appears in the text area below.  You can copy and paste this into an email or to any other desired destination.');
INSERT INTO `lang_definitions` VALUES (137671, 10353, 25, 'The exported data appears in the text area below. You can copy and paste this into an email or to any other desired destination (or) download the below link.');
INSERT INTO `lang_definitions` VALUES (137672, 10354, 25, 'The exported data appears in the text area below. You can copy and paste this into an email or to any other desired destination.');
INSERT INTO `lang_definitions` VALUES (137673, 10355, 25, 'The exported data appears in the text area below. You can copy and paste this into an email or to any other desired destination.{{MARK FOR DELETION DURING NEXT TRANSLATION BUILD}}');
INSERT INTO `lang_definitions` VALUES (137674, 10358, 25, 'The file could not be saved to CouchDB.');
INSERT INTO `lang_definitions` VALUES (137675, 10359, 25, 'The file could not be succesfully renamed, this error is usually related to permissions problems on the storage system.');
INSERT INTO `lang_definitions` VALUES (137676, 10360, 25, 'The file could not be succesfully stored, this error is usually related to permissions problems on the storage system');
INSERT INTO `lang_definitions` VALUES (137677, 10364, 25, 'The first (\"target\") chart is the one that is considered the most complete and accurate. Demographics, history and insurance sections for this one will be retained.');
INSERT INTO `lang_definitions` VALUES (137678, 10372, 25, 'The first step is to download the SNOMED CT release. Access to SNOMED CT is provided by IHTSDO and their member countries. For more information see');
INSERT INTO `lang_definitions` VALUES (137679, 10373, 25, 'The first step is to download the VALUESET release. Access to VALUESET is provided by NLM. Only valueset for Eligible Professionals need to be downloaded and it should be downloaded in XML format from Sorted By CMS ID column. For more details see the below link');
INSERT INTO `lang_definitions` VALUES (137680, 10374, 25, 'The first step is to open an account with the Unified Medical Language System web site');
INSERT INTO `lang_definitions` VALUES (137681, 10380, 25, 'Urmatorul calendar a fost adaugat:');
INSERT INTO `lang_definitions` VALUES (137682, 10381, 25, 'Urmatorul calendar a fost modificat:');
INSERT INTO `lang_definitions` VALUES (137683, 10382, 25, 'Urmatoarele categorii au fost eliminate din lista');
INSERT INTO `lang_definitions` VALUES (137684, 10383, 25, 'The following database release is currently installed');
INSERT INTO `lang_definitions` VALUES (137685, 10384, 25, 'The following documents were attached to this Direct message:');
INSERT INTO `lang_definitions` VALUES (137686, 10386, 25, 'The following EDI file has been uploaded');
INSERT INTO `lang_definitions` VALUES (137687, 10388, 25, 'The following Emergency Login User is activated:');
INSERT INTO `lang_definitions` VALUES (137688, 10389, 25, 'Au aparut urmatoarele erori');
INSERT INTO `lang_definitions` VALUES (137689, 10390, 25, 'Urmatorul camp are o valoare nevalida');
INSERT INTO `lang_definitions` VALUES (137690, 10391, 25, 'Urmatoarele campuri sunt goale.');
INSERT INTO `lang_definitions` VALUES (137691, 10392, 25, 'Sunt necesare urmatoarele campuri');
INSERT INTO `lang_definitions` VALUES (137692, 10393, 25, 'Urmatoarele campuri trebuie completate pentru a trimite o cerere');
INSERT INTO `lang_definitions` VALUES (137693, 10394, 25, 'Urmatoarele campuri trebuie completate pentru a trimite o cerere');
INSERT INTO `lang_definitions` VALUES (137694, 10395, 25, 'The following International Snomed Release languages are supported');
INSERT INTO `lang_definitions` VALUES (137695, 10397, 25, 'Urmatoarele probleme au aceleasi coduri de diagnostice. Consultatia nu va fi actualizata. Utilizati interfata consultatie.');
INSERT INTO `lang_definitions` VALUES (137696, 10406, 25, 'The hostname of the ATNA audit repository machine.');
INSERT INTO `lang_definitions` VALUES (137697, 10418, 25, 'The initial window is the invoice search page.  At the top you may enter a source (e.g. check number), pay date and check amount.  The reason for the source and pay date is so that you don\'t have to enter them over and over again for each claim.  The amount that you enter will be decreased for each invoice that is given part of the payment, and hopefully will end at zero when you are done.');
INSERT INTO `lang_definitions` VALUES (137698, 10420, 25, 'The installation directory needs to be created.');
INSERT INTO `lang_definitions` VALUES (137699, 10421, 25, 'The installed International SNOMED version is not compatible with the staged US Extension SNOMED package.');
INSERT INTO `lang_definitions` VALUES (137700, 10422, 25, 'The installed International SNOMED version is out of date and not compatible with the staged US Extension SNOMED file.');
INSERT INTO `lang_definitions` VALUES (137701, 10423, 25, 'The installed version and the staged files are the same.');
INSERT INTO `lang_definitions` VALUES (137702, 10424, 25, 'The installed version is a more recent version than the staged files.');
INSERT INTO `lang_definitions` VALUES (137703, 10431, 25, 'Eticheta care apare utilizatorului in formular');
INSERT INTO `lang_definitions` VALUES (137704, 10438, 25, 'Lungime nu trebuie sa depaseasca urmatorul nr de caractere');
INSERT INTO `lang_definitions` VALUES (137705, 10442, 25, 'The merge will not run unless SSN and DOB for the two charts are identical. DOBs cannot be empty.');
INSERT INTO `lang_definitions` VALUES (137706, 10443, 25, 'Mesajul nu poate fi trimis acum');
INSERT INTO `lang_definitions` VALUES (137707, 10458, 25, 'O categorie noua va fi subcategorie a');
INSERT INTO `lang_definitions` VALUES (137708, 10460, 25, 'Parola noua nu poate fi aceeasi ca parola curenta.');
INSERT INTO `lang_definitions` VALUES (137709, 10461, 25, 'Campurile parole noi nu sunt aceleasi.');
INSERT INTO `lang_definitions` VALUES (137710, 10470, 25, 'The Number of Future Appointments to Display on the Statement.');
INSERT INTO `lang_definitions` VALUES (137711, 10471, 25, 'The number of staged files is incorrect. Only place the file that you wish to install/upgrade to.');
INSERT INTO `lang_definitions` VALUES (137712, 10472, 25, 'The number of staged files is incorrect. Only place the files that you wish to install/upgrade to.');
INSERT INTO `lang_definitions` VALUES (137713, 10479, 25, 'Aceasta pagina va va directiona la date demografice. Puteti edita campul tara si executati click pe NewCrop');
INSERT INTO `lang_definitions` VALUES (137714, 10482, 25, 'Parola trebuie sa aiba cel putin 8 caractere si ar trebui');
INSERT INTO `lang_definitions` VALUES (137715, 10483, 25, 'Parola introdusa nu este valida');
INSERT INTO `lang_definitions` VALUES (137716, 10484, 25, 'Istoricul PAST Ocular History si Past Medical History sunt negative.');
INSERT INTO `lang_definitions` VALUES (137717, 10486, 25, 'Solicitarea pacientului a fost inregistrata.');
INSERT INTO `lang_definitions` VALUES (137718, 10487, 25, 'Mementourile pacientului au fost trimise');
INSERT INTO `lang_definitions` VALUES (137719, 10488, 25, 'Mementourile pacientilor au fost actualizate');
INSERT INTO `lang_definitions` VALUES (137720, 10489, 25, 'The patient was not logged in when submitting this form');
INSERT INTO `lang_definitions` VALUES (137721, 10493, 25, 'The payments posted cannot go below this date.This ensures that after taking the final report nobody post for previous dates.');
INSERT INTO `lang_definitions` VALUES (137722, 10495, 25, 'The portal has data for this patient and form. Load it now?');
INSERT INTO `lang_definitions` VALUES (137723, 10505, 25, 'The raw data feed release can be obtained from');
INSERT INTO `lang_definitions` VALUES (137724, 10509, 25, 'Informatia ramasa de mai jos se aplica numai daca este postata manula sau daca faceti corectiile manual');
INSERT INTO `lang_definitions` VALUES (137725, 10512, 25, 'Documentul cerut nu poate fi gasit sau nu aveti suficiente drepturi pentru a-l accesa');
INSERT INTO `lang_definitions` VALUES (137726, 10513, 25, 'Documentul cerut nu poate fi gasit sau nu aveti suficiente drepturi pentru a-l accesa');
INSERT INTO `lang_definitions` VALUES (137727, 10521, 25, 'Timpul de refresh al ecranului este exprimat in secunde');
INSERT INTO `lang_definitions` VALUES (137728, 10524, 25, 'Cel de al doilea grafica va avea propriile date demografice');
INSERT INTO `lang_definitions` VALUES (137729, 10537, 25, 'Coloanele sursa si date sunt copiate din prima pagina. In coloana Plata scrieti totalul de plata, suma de ajustare in coloana Ajustare.');
INSERT INTO `lang_definitions` VALUES (137730, 10540, 25, 'The staged files release dates are not all from the same release.');
INSERT INTO `lang_definitions` VALUES (137731, 10541, 25, 'The staged files revisions are not all from the same release.');
INSERT INTO `lang_definitions` VALUES (137732, 10542, 25, 'The staged US Extension SNOMED package can not be installed until after the International SNOMED package has been installed.');
INSERT INTO `lang_definitions` VALUES (137733, 10545, 25, 'starea trei probleme cronice/inactive');
INSERT INTO `lang_definitions` VALUES (137734, 10557, 25, 'The time granularity of the calendar and the smallest interval in minutes for an appointment slot.');
INSERT INTO `lang_definitions` VALUES (137735, 10562, 25, 'The translated label that will appear on the form in current language');
INSERT INTO `lang_definitions` VALUES (137736, 10563, 25, 'The translated Title that will appear in current language');
INSERT INTO `lang_definitions` VALUES (137737, 10564, 25, 'The translation of description in current language');
INSERT INTO `lang_definitions` VALUES (137738, 10565, 25, 'The translation tables are synchronized.');
INSERT INTO `lang_definitions` VALUES (137739, 10566, 25, 'Tipul acestei entitati');
INSERT INTO `lang_definitions` VALUES (137740, 10586, 25, 'The vendor-specific code identifying this procedure or result');
INSERT INTO `lang_definitions` VALUES (137741, 10591, 25, 'The X12 files as well as the resulting HTML output reports are archived in the \"era\" subdirectory of the main OpenEMR installation directory.  You will want to refer to these archives from time to time.  The URL is');
INSERT INTO `lang_definitions` VALUES (137742, 10593, 25, 'Fisierul zip contine urmatoarele articole');
INSERT INTO `lang_definitions` VALUES (137743, 10594, 25, 'Teme');
INSERT INTO `lang_definitions` VALUES (137744, 10595, 25, 'Theme of the tabs layout (need to logout and then login to see this new setting).');
INSERT INTO `lang_definitions` VALUES (137745, 10600, 25, 'Then the raw data feed release can be obtained from');
INSERT INTO `lang_definitions` VALUES (137746, 10601, 25, 'Injectii terapeutice');
INSERT INTO `lang_definitions` VALUES (137747, 10602, 25, 'Terapie');
INSERT INTO `lang_definitions` VALUES (137748, 10607, 25, 'Exista');
INSERT INTO `lang_definitions` VALUES (137749, 10610, 25, 'Nu exist curent nicio prescriptie');
INSERT INTO `lang_definitions` VALUES (137750, 10611, 25, 'Exista erori la submitere. Ele sunt schitate mai jos.');
INSERT INTO `lang_definitions` VALUES (137751, 10614, 25, 'Exista mai multi pacienti cu portal login');
INSERT INTO `lang_definitions` VALUES (137752, 10616, 25, 'Nu exista grafice verificate');
INSERT INTO `lang_definitions` VALUES (137753, 10618, 25, 'Nu exista inregistrari pentru acest pacient.');
INSERT INTO `lang_definitions` VALUES (137754, 10619, 25, 'Nu exista prescriptie de ochelari sau lentile de contact in fisierul acestui pacient');
INSERT INTO `lang_definitions` VALUES (137755, 10621, 25, 'Nu exista o noua submisie');
INSERT INTO `lang_definitions` VALUES (137756, 10622, 25, 'Nu exista note in dosar pentru acest pacient');
INSERT INTO `lang_definitions` VALUES (137757, 10623, 25, 'Nu am gasit inregistrari');
INSERT INTO `lang_definitions` VALUES (137758, 10624, 25, 'Nu exista tranzactii in dosar pentru acest pacient');
INSERT INTO `lang_definitions` VALUES (137759, 10639, 25, 'Exista o eroare la trimiterea emailului');
INSERT INTO `lang_definitions` VALUES (137760, 10640, 25, 'Exista o comanda de laborator');
INSERT INTO `lang_definitions` VALUES (137761, 10642, 25, 'Deja exista o categorie numita');
INSERT INTO `lang_definitions` VALUES (137762, 10643, 25, 'Deja exista o subcategorie numita');
INSERT INTO `lang_definitions` VALUES (137763, 10644, 25, 'Deja exista un articol numit');
INSERT INTO `lang_definitions` VALUES (137764, 10645, 25, 'Deja exista o cerere de inregistrare a cestui pacient');
INSERT INTO `lang_definitions` VALUES (137765, 10646, 25, 'There is no COA entry for AR account');
INSERT INTO `lang_definitions` VALUES (137766, 10647, 25, 'There is no COA entry for cash account');
INSERT INTO `lang_definitions` VALUES (137767, 10648, 25, 'There is no COA entry for income account');
INSERT INTO `lang_definitions` VALUES (137768, 10649, 25, 'Nu exista niciun pacient curent');
INSERT INTO `lang_definitions` VALUES (137769, 10650, 25, 'Nu exista un continut local pentru aceasta topica');
INSERT INTO `lang_definitions` VALUES (137770, 10651, 25, 'Nu exista potrivire pentru factura id');
INSERT INTO `lang_definitions` VALUES (137771, 10652, 25, 'Nu exista potrivire pentru factura id=');
INSERT INTO `lang_definitions` VALUES (137772, 10653, 25, 'Nu exista intrare pentru seviciul ID');
INSERT INTO `lang_definitions` VALUES (137773, 10654, 25, 'Nu exista pacient cu portal login');
INSERT INTO `lang_definitions` VALUES (137774, 10655, 25, 'A fost o problema la trimiterea mesajului');
INSERT INTO `lang_definitions` VALUES (137775, 10656, 25, 'A fost o eroare la procesarea cererii');
INSERT INTO `lang_definitions` VALUES (137776, 10657, 25, 'There was an OpenEMR SQL Escaping ERROR of the following string');
INSERT INTO `lang_definitions` VALUES (137777, 10661, 25, 'These are the 2012 links');
INSERT INTO `lang_definitions` VALUES (137778, 10682, 25, 'Thickened Right:');
INSERT INTO `lang_definitions` VALUES (137779, 10683, 25, 'Coapsa');
INSERT INTO `lang_definitions` VALUES (137780, 10684, 25, 'Coapsa+tendon de denunchi');
INSERT INTO `lang_definitions` VALUES (137781, 10685, 25, 'Things that back office can only read');
INSERT INTO `lang_definitions` VALUES (137782, 10686, 25, 'Things that back office can read and enter but not modify');
INSERT INTO `lang_definitions` VALUES (137783, 10687, 25, 'Things that back office can read and modify');
INSERT INTO `lang_definitions` VALUES (137784, 10688, 25, 'Things that back office can read and partly modify');
INSERT INTO `lang_definitions` VALUES (137785, 10689, 25, 'Lucruri pe care clinicienii le pot numai citi');
INSERT INTO `lang_definitions` VALUES (137786, 10690, 25, 'Lucruri pe care clinicienii le pot numai citi, introduce, dar nu modifica');
INSERT INTO `lang_definitions` VALUES (137787, 10691, 25, 'Lucruri pe care clinicienii le pot citi si modifca');
INSERT INTO `lang_definitions` VALUES (137788, 10692, 25, 'Lucruri pe care clinicienii le pot citi si modifca partial');
INSERT INTO `lang_definitions` VALUES (137789, 10693, 25, 'Things that front office can only read');
INSERT INTO `lang_definitions` VALUES (137790, 10694, 25, 'Things that front office can read and enter but not modify');
INSERT INTO `lang_definitions` VALUES (137791, 10695, 25, 'Things that front office can read and modify');
INSERT INTO `lang_definitions` VALUES (137792, 10696, 25, 'Things that front office can read and partly modify');
INSERT INTO `lang_definitions` VALUES (137793, 10697, 25, 'Lucruri pe care medicii numai le pot citi');
INSERT INTO `lang_definitions` VALUES (137794, 10698, 25, 'Lucruri pe care medicii numai le pot citi, introduce, dar nu modifica');
INSERT INTO `lang_definitions` VALUES (137795, 10699, 25, 'Lucruri pe care medicii le pot citi si modifica');
INSERT INTO `lang_definitions` VALUES (137796, 10700, 25, 'Lucruri pe care medicii le pot citi si modifica partial');
INSERT INTO `lang_definitions` VALUES (137797, 10701, 25, 'Al treilea');
INSERT INTO `lang_definitions` VALUES (137798, 10702, 25, 'Al treilea mesaj de cont');
INSERT INTO `lang_definitions` VALUES (137799, 10704, 25, 'Actiunea nu poate fi anulata');
INSERT INTO `lang_definitions` VALUES (137800, 10705, 25, 'Actiunea nu poate fi anulata');
INSERT INTO `lang_definitions` VALUES (137801, 10706, 25, 'Actiunea nu poate fi anulata. Sunteti sigur ca doriti stergerea acestui formular?');
INSERT INTO `lang_definitions` VALUES (137802, 10707, 25, 'Aceasta actiune va fi inregistrata');
INSERT INTO `lang_definitions` VALUES (137803, 10711, 25, 'Acest slot de programari este deja in utilizare, alegeti altul.');
INSERT INTO `lang_definitions` VALUES (137804, 10712, 25, 'Acest slot de programari este deja in utilizare, il utilizati oricum?');
INSERT INTO `lang_definitions` VALUES (137805, 10713, 25, 'Acest slot de programari nu este disponibil, alegeti altul.');
INSERT INTO `lang_definitions` VALUES (137806, 10714, 25, 'Acest an calendaristic');
INSERT INTO `lang_definitions` VALUES (137807, 10715, 25, 'Aceasta revendicare a fost anulata');
INSERT INTO `lang_definitions` VALUES (137808, 10716, 25, 'Aceasta revendicare a fost inchisa.');
INSERT INTO `lang_definitions` VALUES (137809, 10717, 25, 'Aceasta revendicare a fost respinsa. Motivul -');
INSERT INTO `lang_definitions` VALUES (137810, 10718, 25, 'Aceasta revendicare a fost trimisa nivelului superior.');
INSERT INTO `lang_definitions` VALUES (137811, 10725, 25, 'Acest tip cod nu accepta relatii');
INSERT INTO `lang_definitions` VALUES (137812, 10727, 25, 'Acest context contine categorii, care vor fi sterse. Doriti sa continuati?');
INSERT INTO `lang_definitions` VALUES (137813, 10730, 25, 'Aceasta determina cum se vor afisa programarile in calendar.');
INSERT INTO `lang_definitions` VALUES (137814, 10731, 25, 'Aceasta determina ce schema de culor sa va utiliza pentru programari.');
INSERT INTO `lang_definitions` VALUES (137815, 10733, 25, 'This Enables provider in line item in the fee sheet');
INSERT INTO `lang_definitions` VALUES (137816, 10734, 25, 'Aceasta consultatie');
INSERT INTO `lang_definitions` VALUES (137817, 10735, 25, 'Acesta consultatie a fost facturata. Daca doriti modificarea ei, trebuie redeschisa.');
INSERT INTO `lang_definitions` VALUES (137818, 10736, 25, 'Aceasta consultatie a fost facturata. Pentru modificari, redeschideti si selectati Adaugare mai multe articole');
INSERT INTO `lang_definitions` VALUES (137819, 10737, 25, 'Aceasta vizita este blocata. Nu se mai pot adauga formulare.');
INSERT INTO `lang_definitions` VALUES (137820, 10739, 25, 'Faxul a fost deja trimis.');
INSERT INTO `lang_definitions` VALUES (137821, 10740, 25, 'Aceasta caracteristica nu este inca disponibila');
INSERT INTO `lang_definitions` VALUES (137822, 10742, 25, 'Aceasta caracteristica este experimentala si nu pe depin testata. Utilizati pe propriul risc!');
INSERT INTO `lang_definitions` VALUES (137823, 10744, 25, 'Aceasta caracteristica va permite  rescrierea codului centru POS din consultatie.');
INSERT INTO `lang_definitions` VALUES (137824, 10753, 25, 'Numarul facturii a fost schimbat in');
INSERT INTO `lang_definitions` VALUES (137825, 10754, 25, 'Aceste este un copil al rezultatului');
INSERT INTO `lang_definitions` VALUES (137826, 10762, 25, 'Aceasta este data de inceput pentru raportul Carte mare');
INSERT INTO `lang_definitions` VALUES (137827, 10763, 25, 'Acesta este graficul care a fost lipit in graficul principal si apoi sters');
INSERT INTO `lang_definitions` VALUES (137828, 10766, 25, 'This is the default left print margin for CMS 1500. It will adjust the final printed output left or right.');
INSERT INTO `lang_definitions` VALUES (137829, 10768, 25, 'This is the default top print margin for CMS 1500. It will adjust the final printed output up or down.');
INSERT INTO `lang_definitions` VALUES (137830, 10771, 25, 'Aceasta este cea mai recenta dintre valorile rezultatelor multiple');
INSERT INTO `lang_definitions` VALUES (137831, 10772, 25, 'Acesta este graficul principal care trebuie sa primeasca datele imbinate');
INSERT INTO `lang_definitions` VALUES (137832, 10784, 25, 'aceasta locatie');
INSERT INTO `lang_definitions` VALUES (137833, 10786, 25, 'Acest mesaj text nu este salvat automat. Copiati si salvati corespunzator.');
INSERT INTO `lang_definitions` VALUES (137834, 10788, 25, 'Acest modul este utilizat de');
INSERT INTO `lang_definitions` VALUES (137835, 10789, 25, 'Acest modul este in modul test. Baza de date nu se va modifica.');
INSERT INTO `lang_definitions` VALUES (137836, 10792, 25, 'This module promotes efficient entry of EOB data.');
INSERT INTO `lang_definitions` VALUES (137837, 10793, 25, 'Aceasta luna pana la data');
INSERT INTO `lang_definitions` VALUES (137838, 10797, 25, 'Aceasta comanda a fost transmisa deja');
INSERT INTO `lang_definitions` VALUES (137839, 10798, 25, 'This page allows you to review each of the supported external dataloads that you can install and upgrade. Each section below can be expanded by clicking on the section header to review the status of the particular database of interest.');
INSERT INTO `lang_definitions` VALUES (137840, 10799, 25, 'Aceasta pagina este dezactivata din motive de siguranta.');
INSERT INTO `lang_definitions` VALUES (137841, 10801, 25, 'Aceasta pagina va include pagina login, nu trebuie sa executati relogare de fiecare data.');
INSERT INTO `lang_definitions` VALUES (137842, 10804, 25, 'Acest pacient nu are activitate.');
INSERT INTO `lang_definitions` VALUES (137843, 10805, 25, 'Acest ID pacient este deja folosit!');
INSERT INTO `lang_definitions` VALUES (137844, 10807, 25, 'Acest produs permite numai un lot pe depozit.');
INSERT INTO `lang_definitions` VALUES (137845, 10808, 25, 'Acest protocol nu este implementat');
INSERT INTO `lang_definitions` VALUES (137846, 10809, 25, 'Acest raport lucreaza curent numai pentru coduri ICD9.');
INSERT INTO `lang_definitions` VALUES (137847, 10816, 25, 'Aceasta seteaza Vedere Implicita Calendar, implicit este Ziua.');
INSERT INTO `lang_definitions` VALUES (137848, 10817, 25, 'This specifies the Printing of the Custom End of Day Report grouped Provider or allow the Printing of Totals Only');
INSERT INTO `lang_definitions` VALUES (137849, 10818, 25, 'Aceasta specifică dacă să includeți data în caseta 31.');
INSERT INTO `lang_definitions` VALUES (137850, 10819, 25, 'Aceasta specifică ce revizie a formularului ar trebui să genereze modulul de facturare');
INSERT INTO `lang_definitions` VALUES (137851, 10821, 25, 'Acest pas va genera un fisier pe care trebuie sa-l salvati. Fisierul nu poate fi regenerat. Doriti executia?');
INSERT INTO `lang_definitions` VALUES (137852, 10822, 25, 'Acest utilizator nu este membru al niciunui grup');
INSERT INTO `lang_definitions` VALUES (137853, 10823, 25, 'Acest user va primi notificari noi din \"Mesagerie directa\"');
INSERT INTO `lang_definitions` VALUES (137854, 10824, 25, 'Această utilitate este experimentală. Faceți o copie de siguranță a bazei de date și a documentelor înainte de a-l utiliza!');
INSERT INTO `lang_definitions` VALUES (137855, 10826, 25, 'Această vizită începe cu utilizarea noilor contraceptive');
INSERT INTO `lang_definitions` VALUES (137856, 10827, 25, 'Această vizită va necesita un formular GCAC, un serviciu de trimitere sau de procedură.');
INSERT INTO `lang_definitions` VALUES (137857, 10828, 25, 'Acesta a fost vechea forma metrică Vitals, acum depreciată.');
INSERT INTO `lang_definitions` VALUES (137858, 10829, 25, 'Aceasta saptamana la data');
INSERT INTO `lang_definitions` VALUES (137859, 10830, 25, 'Aceasta actiune va abandona modificarile nesalvate. Sunteti sigur?');
INSERT INTO `lang_definitions` VALUES (137860, 10831, 25, 'Aceasta va activa raportarea CCR(Continuity of Care Record) si CCD(Continuity of Care Document).');
INSERT INTO `lang_definitions` VALUES (137861, 10832, 25, 'Aceasta permite tiparirea unui mesaj personalizat.');
INSERT INTO `lang_definitions` VALUES (137862, 10833, 25, 'Aceasta va permite tiparirea Note de plata pacient in declaratie.');
INSERT INTO `lang_definitions` VALUES (137863, 10834, 25, 'This will allow selection of the debugging (\'dummy\') language.');
INSERT INTO `lang_definitions` VALUES (137864, 10836, 25, 'Acest lucru va permite utilizarea raportului final al zilei și indicarea raportului care va fi utilizat.');
INSERT INTO `lang_definitions` VALUES (137865, 10837, 25, 'Acest lucru va permite utilizarea mesajelor personalizate de avertizare în declarații.');
INSERT INTO `lang_definitions` VALUES (137866, 10838, 25, 'This will be a \"dry run\" with no physical data updates.');
INSERT INTO `lang_definitions` VALUES (137867, 10839, 25, 'Astfel se vor șterge datele din toate câmpurile pentru examenele anterioare');
INSERT INTO `lang_definitions` VALUES (137868, 10840, 25, 'Astfel veți șterge datele din toate câmpurile Examen extern');
INSERT INTO `lang_definitions` VALUES (137869, 10841, 25, 'Aceasta va șterge datele din toate câmpurile pentru examenul Retina');
INSERT INTO `lang_definitions` VALUES (137870, 10843, 25, 'This will create a backup in tar format and then send it to your web browser so you can save it');
INSERT INTO `lang_definitions` VALUES (137871, 10844, 25, 'This will deactivate document the encryption and decryption features, and hide them in the UI.');
INSERT INTO `lang_definitions` VALUES (137872, 10845, 25, 'This will disable the Edit button on all forms whose parent encounter is e-signed');
INSERT INTO `lang_definitions` VALUES (137873, 10846, 25, 'Acest lucru va dezactiva butonul Editare pe orice formular care este semnat electronic');
INSERT INTO `lang_definitions` VALUES (137874, 10847, 25, 'Aceasta va afișa numărul facturii din raportul de vânzări sau numele pacientului și codul sau numele pacientului și numărul facturii.');
INSERT INTO `lang_definitions` VALUES (137875, 10850, 25, 'Acest lucru va permite semnarea consultatiei, mai degrabă decât a unor formulare individuale');
INSERT INTO `lang_definitions` VALUES (137876, 10851, 25, 'Acest lucru va permite semnarea separata a formularelor');
INSERT INTO `lang_definitions` VALUES (137877, 10852, 25, 'Acest lucru va permite abilitatea de a exclude declaratii pacient selectate de la tiparire.');
INSERT INTO `lang_definitions` VALUES (137878, 10854, 25, 'Aceasta va obliga Widgetul de facturare din ecranul Rezumatul pacientului să fie întotdeauna deschis.');
INSERT INTO `lang_definitions` VALUES (137879, 10855, 25, 'Acest lucru va permite utilizatorului optiunea de blocare (separat blocare si semnare)');
INSERT INTO `lang_definitions` VALUES (137880, 10857, 25, 'Acest lucru va ascunde e-sign log-uri in raportul pacientului');
INSERT INTO `lang_definitions` VALUES (137881, 10858, 25, 'Aceasta va ascunde Widgetul de facturare în ecranul Rezumatul pacientului');
INSERT INTO `lang_definitions` VALUES (137882, 10859, 25, 'Aceasta va combina două diagrame pacient într-una. Este util când un pacient a fost duplicat din greșeală. Dacă se întâmplă acest lucru frecvent, reparați procedurile de la birou - nu derulați acest lucru în mod obișnuit!');
INSERT INTO `lang_definitions` VALUES (137883, 10860, 25, 'Acest lucru nu vă va împiedica să mergeți la site-ul de e-Prescripții.');
INSERT INTO `lang_definitions` VALUES (137884, 10861, 25, 'Aceasta va imprima următoarea întâlnire din partea inferioară a cărții pacientului');
INSERT INTO `lang_definitions` VALUES (137885, 10865, 25, 'Aceasta va afișa îmbătrânirea pe declarația personalizată.');
INSERT INTO `lang_definitions` VALUES (137886, 10867, 25, 'Aceasta va folosi lista de imunizări personalizate mai degrabă decât lista standard de imunizare CVX.');
INSERT INTO `lang_definitions` VALUES (137887, 10869, 25, 'Aceasta va folosi declarația personalizată care arată descrierea în locul codurilor.');
INSERT INTO `lang_definitions` VALUES (137888, 10870, 25, 'Medicul toracic');
INSERT INTO `lang_definitions` VALUES (137889, 10871, 25, 'Thoracic spine');
INSERT INTO `lang_definitions` VALUES (137890, 10873, 25, 'Mii / CU.MM');
INSERT INTO `lang_definitions` VALUES (137891, 10874, 25, 'Trei luni in urma');
INSERT INTO `lang_definitions` VALUES (137892, 10877, 25, 'Palpitatii usoare');
INSERT INTO `lang_definitions` VALUES (137893, 10878, 25, 'Gat');
INSERT INTO `lang_definitions` VALUES (137894, 10879, 25, 'Cancer la gat');
INSERT INTO `lang_definitions` VALUES (137895, 10880, 25, 'Chirurgia cancerului la gat');
INSERT INTO `lang_definitions` VALUES (137896, 10881, 25, 'Tromboza / Accident vascular cerebral');
INSERT INTO `lang_definitions` VALUES (137897, 10882, 25, 'Joi');
INSERT INTO `lang_definitions` VALUES (137898, 10883, 25, 'Thumbnail size');
INSERT INTO `lang_definitions` VALUES (137899, 10884, 25, 'Joi');
INSERT INTO `lang_definitions` VALUES (137900, 10885, 25, 'Joi');
INSERT INTO `lang_definitions` VALUES (137901, 10887, 25, 'Tiroida normala');
INSERT INTO `lang_definitions` VALUES (137902, 10888, 25, 'Probleme cu tiroida');
INSERT INTO `lang_definitions` VALUES (137903, 10889, 25, 'Jo{{Joi');
INSERT INTO `lang_definitions` VALUES (137904, 10890, 25, 'TIA');
INSERT INTO `lang_definitions` VALUES (137905, 10891, 25, 'Tibetan Standard, Tibetan, Central');
INSERT INTO `lang_definitions` VALUES (137906, 10892, 25, 'TID');
INSERT INTO `lang_definitions` VALUES (137907, 10901, 25, 'Tigrinya');
INSERT INTO `lang_definitions` VALUES (137908, 10902, 25, 'Timp');
INSERT INTO `lang_definitions` VALUES (137909, 10903, 25, 'Formatul de afisare a timpului');
INSERT INTO `lang_definitions` VALUES (137910, 10904, 25, 'Creștere timp pentru adăugare (minute 1-60)');
INSERT INTO `lang_definitions` VALUES (137911, 10905, 25, 'Selectie timp');
INSERT INTO `lang_definitions` VALUES (137912, 10907, 25, 'Slot-ul timp este deschis, salvare eveniment');
INSERT INTO `lang_definitions` VALUES (137913, 10909, 25, 'Time-To-Live for Allergies SOAP Request in seconds');
INSERT INTO `lang_definitions` VALUES (137914, 10910, 25, 'Time-To-Live for Medications SOAP Request in seconds');
INSERT INTO `lang_definitions` VALUES (137915, 10911, 25, 'Time-To-Live for NewCrop eRx Allergies SOAP Request in seconds.');
INSERT INTO `lang_definitions` VALUES (137916, 10912, 25, 'Time-To-Live for NewCrop eRx Medications SOAP Request in seconds.');
INSERT INTO `lang_definitions` VALUES (137917, 10913, 25, 'Eveniment fixat');
INSERT INTO `lang_definitions` VALUES (137918, 10914, 25, 'Times array (N/A)');
INSERT INTO `lang_definitions` VALUES (137919, 10915, 25, 'Timestamp and Text');
INSERT INTO `lang_definitions` VALUES (137920, 10916, 25, 'Timing');
INSERT INTO `lang_definitions` VALUES (137921, 10917, 25, 'TIN');
INSERT INTO `lang_definitions` VALUES (137922, 10918, 25, 'Tinnitus');
INSERT INTO `lang_definitions` VALUES (137923, 10920, 25, 'Titlu');
INSERT INTO `lang_definitions` VALUES (137924, 10923, 25, 'Titlu V');
INSERT INTO `lang_definitions` VALUES (137925, 10924, 25, 'Titlul coloanelor trebuie sa fie un nr intre 1 si 999');
INSERT INTO `lang_definitions` VALUES (137926, 10925, 25, 'Titluri');
INSERT INTO `lang_definitions` VALUES (137927, 10926, 25, 'TM\'S:');
INSERT INTO `lang_definitions` VALUES (137928, 10927, 25, 'TMs/EAMs/EE, ext nose');
INSERT INTO `lang_definitions` VALUES (137929, 10928, 25, 'La');
INSERT INTO `lang_definitions` VALUES (137930, 10929, 25, 'la');
INSERT INTO `lang_definitions` VALUES (137931, 10930, 25, 'LA');
INSERT INTO `lang_definitions` VALUES (137932, 10931, 25, 'la calea absoluta a fisierului');
INSERT INTO `lang_definitions` VALUES (137933, 10936, 25, 'Pentru a adauga note, executati click');
INSERT INTO `lang_definitions` VALUES (137934, 10937, 25, 'Pentru a adauga note, executati click aici');
INSERT INTO `lang_definitions` VALUES (137935, 10938, 25, 'La zonele afectate');
INSERT INTO `lang_definitions` VALUES (137936, 10939, 25, 'la zonele afectate');
INSERT INTO `lang_definitions` VALUES (137937, 10944, 25, 'La vederea facturarii');
INSERT INTO `lang_definitions` VALUES (137938, 10945, 25, 'la categorie');
INSERT INTO `lang_definitions` VALUES (137939, 10947, 25, 'La vedere clinica');
INSERT INTO `lang_definitions` VALUES (137940, 10949, 25, 'La coplatitor');
INSERT INTO `lang_definitions` VALUES (137941, 10952, 25, 'Data la trebuie sa fie mai mare decat data de la');
INSERT INTO `lang_definitions` VALUES (137942, 10953, 25, 'To ded\'ble');
INSERT INTO `lang_definitions` VALUES (137943, 10956, 25, 'To Dems');
INSERT INTO `lang_definitions` VALUES (137944, 10958, 25, 'To Disable client side SSL certificates, comment above lines in Apache configuration file and set');
INSERT INTO `lang_definitions` VALUES (137945, 10960, 25, 'To Disable HTTPS, comment the above lines in Apache configuration file and restart Apache server.');
INSERT INTO `lang_definitions` VALUES (137946, 10965, 25, 'To enable Client side ssl certificates');
INSERT INTO `lang_definitions` VALUES (137947, 10966, 25, 'To Enable Client side SSL certificates authentication, HTTPS should be enabled.');
INSERT INTO `lang_definitions` VALUES (137948, 10970, 25, 'To Enable only HTTPS, perform the above changes and restart Apache server. If you want to configure client side certificates also, please configure them in the next section.');
INSERT INTO `lang_definitions` VALUES (137949, 10972, 25, 'La consultatie');
INSERT INTO `lang_definitions` VALUES (137950, 10973, 25, 'La filtrare dupa sex');
INSERT INTO `lang_definitions` VALUES (137951, 10980, 25, 'La istoric');
INSERT INTO `lang_definitions` VALUES (137952, 10982, 25, 'La probleme');
INSERT INTO `lang_definitions` VALUES (137953, 10984, 25, 'Pentru a lega aceasta vizita/consultatie cu o problema existenta, dati click pe');
INSERT INTO `lang_definitions` VALUES (137954, 10985, 25, 'Pentru a lega aceasta vizita/consultatie cu o problema existenta, dati click pe problema dorita in casuta de mai sus pentru a o selecta si apoi apasati [Salveaza]. Tineti tasta [Ctrl] pentru a selecta mai multe probleme.');
INSERT INTO `lang_definitions` VALUES (137955, 10987, 25, 'pentru relogare');
INSERT INTO `lang_definitions` VALUES (137956, 10992, 25, 'Pentru a înregistra informații, vă rugăm să faceți clic pe');
INSERT INTO `lang_definitions` VALUES (137957, 10994, 25, 'Pentru a retrimite, ștergeți fișierul din Comunicații și încercați din nou.');
INSERT INTO `lang_definitions` VALUES (137958, 10997, 25, 'pentru executie');
INSERT INTO `lang_definitions` VALUES (137959, 11001, 25, 'To setup https access with client certificate authentication, do the following');
INSERT INTO `lang_definitions` VALUES (137960, 11002, 25, 'Pentru piele');
INSERT INTO `lang_definitions` VALUES (137961, 11003, 25, 'pentru piele');
INSERT INTO `lang_definitions` VALUES (137962, 11005, 25, 'la aceasta vizita?');
INSERT INTO `lang_definitions` VALUES (137963, 11006, 25, 'To upload CCR document of already existing patient use Patient Summary Screen->Documents. For CCR document of a new patient use Miscellanous->New Documents screen');
INSERT INTO `lang_definitions` VALUES (137964, 11010, 25, 'La:');
INSERT INTO `lang_definitions` VALUES (137965, 11011, 25, 'La:');
INSERT INTO `lang_definitions` VALUES (137966, 11012, 25, 'LA_ORAS');
INSERT INTO `lang_definitions` VALUES (137967, 11013, 25, 'LA_FAX');
INSERT INTO `lang_definitions` VALUES (137968, 11014, 25, 'LA_PreNUME');
INSERT INTO `lang_definitions` VALUES (137969, 11015, 25, 'LA_NUME');
INSERT INTO `lang_definitions` VALUES (137970, 11016, 25, 'LA_PreNUME');
INSERT INTO `lang_definitions` VALUES (137971, 11017, 25, 'LA_ORGANIZATIE');
INSERT INTO `lang_definitions` VALUES (137972, 11018, 25, 'LA_TELEFON');
INSERT INTO `lang_definitions` VALUES (137973, 11019, 25, 'LA_MOBIL');
INSERT INTO `lang_definitions` VALUES (137974, 11020, 25, 'LA_COD_POSTAL');
INSERT INTO `lang_definitions` VALUES (137975, 11021, 25, 'LA_JUDET');
INSERT INTO `lang_definitions` VALUES (137976, 11022, 25, 'LA_STRADA');
INSERT INTO `lang_definitions` VALUES (137977, 11023, 25, 'LA_TITLU');
INSERT INTO `lang_definitions` VALUES (137978, 11024, 25, 'TO_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (137979, 11025, 25, 'Tutun');
INSERT INTO `lang_definitions` VALUES (137980, 11026, 25, 'Interventie de intrerupere a tutunului');
INSERT INTO `lang_definitions` VALUES (137981, 11027, 25, 'Interventie de intrerupere a tutunului (CQM)');
INSERT INTO `lang_definitions` VALUES (137982, 11028, 25, 'Utilizare tutun');
INSERT INTO `lang_definitions` VALUES (137983, 11029, 25, 'Utilizare tutun');
INSERT INTO `lang_definitions` VALUES (137984, 11030, 25, 'Evaluare utilizare tutun');
INSERT INTO `lang_definitions` VALUES (137985, 11031, 25, 'Evaluare utilizare tutun (CQM)');
INSERT INTO `lang_definitions` VALUES (137986, 11032, 25, 'Azi');
INSERT INTO `lang_definitions` VALUES (137987, 11033, 25, 'AZI');
INSERT INTO `lang_definitions` VALUES (137988, 11034, 25, 'azi');
INSERT INTO `lang_definitions` VALUES (137989, 11035, 25, 'Today\'s Balance');
INSERT INTO `lang_definitions` VALUES (137990, 11036, 25, 'Today\'s Charges');
INSERT INTO `lang_definitions` VALUES (137991, 11037, 25, 'Today\'s Date');
INSERT INTO `lang_definitions` VALUES (137992, 11038, 25, 'Today\'s Events');
INSERT INTO `lang_definitions` VALUES (137993, 11040, 25, 'Toggle All');
INSERT INTO `lang_definitions` VALUES (137994, 11041, 25, 'Toggle navigation');
INSERT INTO `lang_definitions` VALUES (137995, 11042, 25, 'Toggle the Patient Panel');
INSERT INTO `lang_definitions` VALUES (137996, 11043, 25, 'Toggle the right-sided PMSFH panel');
INSERT INTO `lang_definitions` VALUES (137997, 11044, 25, 'Token ID for the Medical Information Integration, LLC Lab Exchange Service.');
INSERT INTO `lang_definitions` VALUES (137998, 11045, 25, 'Token ID for the OpenEMR Support LLC Lab Exchange Service.');
INSERT INTO `lang_definitions` VALUES (137999, 11046, 25, 'Tonga (Tonga Islands)');
INSERT INTO `lang_definitions` VALUES (138000, 11047, 25, 'Tonsillectomy');
INSERT INTO `lang_definitions` VALUES (138001, 11048, 25, 'tonsillectomy');
INSERT INTO `lang_definitions` VALUES (138002, 11049, 25, 'Tooltips');
INSERT INTO `lang_definitions` VALUES (138003, 11050, 25, 'Sus');
INSERT INTO `lang_definitions` VALUES (138004, 11052, 25, 'Marginea de sus (mm)');
INSERT INTO `lang_definitions` VALUES (138005, 11053, 25, 'Topica');
INSERT INTO `lang_definitions` VALUES (138006, 11054, 25, 'Total');
INSERT INTO `lang_definitions` VALUES (138007, 11055, 25, 'total');
INSERT INTO `lang_definitions` VALUES (138008, 11056, 25, 'Total actiuni active');
INSERT INTO `lang_definitions` VALUES (138009, 11057, 25, 'Total mementouri active dupa actualizare');
INSERT INTO `lang_definitions` VALUES (138010, 11058, 25, 'Total mementouri active inainte de actualizare');
INSERT INTO `lang_definitions` VALUES (138011, 11059, 25, 'Total Adj');
INSERT INTO `lang_definitions` VALUES (138012, 11060, 25, 'Suma totala datorata');
INSERT INTO `lang_definitions` VALUES (138013, 11061, 25, 'Suma totala platita');
INSERT INTO `lang_definitions` VALUES (138014, 11062, 25, 'Total sold datorat');
INSERT INTO `lang_definitions` VALUES (138015, 11063, 25, 'Taxa totala');
INSERT INTO `lang_definitions` VALUES (138016, 11064, 25, 'Total taxe');
INSERT INTO `lang_definitions` VALUES (138017, 11065, 25, 'Total clienti');
INSERT INTO `lang_definitions` VALUES (138018, 11066, 25, 'Total coplatitor');
INSERT INTO `lang_definitions` VALUES (138019, 11067, 25, 'Total cost');
INSERT INTO `lang_definitions` VALUES (138020, 11068, 25, 'Total distributie pentru urmatorul numar de verificare nu este plin');
INSERT INTO `lang_definitions` VALUES (138021, 11069, 25, 'total intrari');
INSERT INTO `lang_definitions` VALUES (138022, 11070, 25, 'Total mementouri esuate la trimitere prin email');
INSERT INTO `lang_definitions` VALUES (138023, 11071, 25, 'Total memento esuate trimise prin telefon');
INSERT INTO `lang_definitions` VALUES (138024, 11072, 25, 'Total pentru');
INSERT INTO `lang_definitions` VALUES (138025, 11073, 25, 'Total pentru');
INSERT INTO `lang_definitions` VALUES (138026, 11074, 25, 'Total pentru categorie');
INSERT INTO `lang_definitions` VALUES (138027, 11075, 25, 'Total mementouri neactivate');
INSERT INTO `lang_definitions` VALUES (138028, 11076, 25, 'Total Minimum Amount of Statement to Allow Printing');
INSERT INTO `lang_definitions` VALUES (138029, 11077, 25, 'Total Minimum Dollar Amount of Statement to Allow Printing.(only applicable if Allow Statement Exclusions from Printing is enabled)');
INSERT INTO `lang_definitions` VALUES (138030, 11078, 25, 'Total mementouri noi');
INSERT INTO `lang_definitions` VALUES (138031, 11079, 25, 'Total numari de programari');
INSERT INTO `lang_definitions` VALUES (138032, 11080, 25, 'Total numar intrari ecranul medicamente');
INSERT INTO `lang_definitions` VALUES (138033, 11081, 25, 'Total numar de imunizari');
INSERT INTO `lang_definitions` VALUES (138034, 11082, 25, 'Total numar de probleme');
INSERT INTO `lang_definitions` VALUES (138035, 11083, 25, 'Total numar de intrari in Board Flux Pacienti');
INSERT INTO `lang_definitions` VALUES (138036, 11084, 25, 'Total numar de pacienti');
INSERT INTO `lang_definitions` VALUES (138037, 11086, 25, 'Total pagini');
INSERT INTO `lang_definitions` VALUES (138038, 11087, 25, 'Total balanta pacient');
INSERT INTO `lang_definitions` VALUES (138039, 11088, 25, 'Total pacienti');
INSERT INTO `lang_definitions` VALUES (138040, 11089, 25, 'Total Pacienti');
INSERT INTO `lang_definitions` VALUES (138041, 11090, 25, 'Total Plati');
INSERT INTO `lang_definitions` VALUES (138042, 11091, 25, 'Total inregistrari');
INSERT INTO `lang_definitions` VALUES (138043, 11093, 25, 'Total inregistrari gasite');
INSERT INTO `lang_definitions` VALUES (138044, 11094, 25, 'Dimensiune totala');
INSERT INTO `lang_definitions` VALUES (138045, 11095, 25, 'Total SRH & Family Planning');
INSERT INTO `lang_definitions` VALUES (138046, 11096, 25, 'Total mementouri trimise cu succes prin email');
INSERT INTO `lang_definitions` VALUES (138047, 11097, 25, 'Total mementouri cu succes trimise prin telefon');
INSERT INTO `lang_definitions` VALUES (138048, 11098, 25, 'Timp total');
INSERT INTO `lang_definitions` VALUES (138049, 11099, 25, 'Transfer total');
INSERT INTO `lang_definitions` VALUES (138050, 11100, 25, 'Total mementouri nemodificate');
INSERT INTO `lang_definitions` VALUES (138051, 11101, 25, 'Total memento netrimise dupa procesul de trimitere');
INSERT INTO `lang_definitions` VALUES (138052, 11102, 25, 'Total mementouri netrimise dupa actualizare');
INSERT INTO `lang_definitions` VALUES (138053, 11103, 25, 'Total mementouri netrimise inainte de procesul de trimitere');
INSERT INTO `lang_definitions` VALUES (138054, 11104, 25, 'Total mementouri netrimise inainte de actualizare');
INSERT INTO `lang_definitions` VALUES (138055, 11105, 25, 'Total mementouri actualizate');
INSERT INTO `lang_definitions` VALUES (138056, 11106, 25, 'Totaluri');
INSERT INTO `lang_definitions` VALUES (138057, 11107, 25, 'Totaluri pentru');
INSERT INTO `lang_definitions` VALUES (138058, 11108, 25, 'Totaluri pentru');
INSERT INTO `lang_definitions` VALUES (138059, 11109, 25, 'Numai totaluri');
INSERT INTO `lang_definitions` VALUES (138060, 11123, 25, 'to{{range}}');
INSERT INTO `lang_definitions` VALUES (138061, 11124, 25, 'To{{range}}');
INSERT INTO `lang_definitions` VALUES (138062, 11125, 25, 'Tpn{{Tonopen abbreviation}}');
INSERT INTO `lang_definitions` VALUES (138063, 11126, 25, 'TP{{tonopen}}');
INSERT INTO `lang_definitions` VALUES (138064, 11127, 25, 'tr');
INSERT INTO `lang_definitions` VALUES (138065, 11128, 25, 'Track');
INSERT INTO `lang_definitions` VALUES (138066, 11129, 25, 'Track Report');
INSERT INTO `lang_definitions` VALUES (138067, 11130, 25, 'Tracks');
INSERT INTO `lang_definitions` VALUES (138068, 11133, 25, 'Trainer');
INSERT INTO `lang_definitions` VALUES (138069, 11135, 25, 'Tip instruire');
INSERT INTO `lang_definitions` VALUES (138070, 11136, 25, 'Transact');
INSERT INTO `lang_definitions` VALUES (138071, 11137, 25, 'Tranzactie');
INSERT INTO `lang_definitions` VALUES (138072, 11138, 25, 'tranzactie');
INSERT INTO `lang_definitions` VALUES (138073, 11139, 25, 'Tranzactie esuata, cantitate insuficienta in lotul destinatie');
INSERT INTO `lang_definitions` VALUES (138074, 11140, 25, 'Tranzactie esuata, cantitatea este mai mica ca zero');
INSERT INTO `lang_definitions` VALUES (138075, 11142, 25, 'Tip tranzactie');
INSERT INTO `lang_definitions` VALUES (138076, 11143, 25, 'tranzactii');
INSERT INTO `lang_definitions` VALUES (138077, 11144, 25, 'tranzactii');
INSERT INTO `lang_definitions` VALUES (138078, 11145, 25, 'Tranzactii (write optional)');
INSERT INTO `lang_definitions` VALUES (138079, 11151, 25, 'Tranzactii/Trimiteri');
INSERT INTO `lang_definitions` VALUES (138080, 11152, 25, 'Transdermic');
INSERT INTO `lang_definitions` VALUES (138081, 11153, 25, 'Transfer');
INSERT INTO `lang_definitions` VALUES (138082, 11154, 25, 'Data transfer');
INSERT INTO `lang_definitions` VALUES (138083, 11155, 25, 'Transfer esuat, cantitate insuficienta in lotul sursa');
INSERT INTO `lang_definitions` VALUES (138084, 11156, 25, 'Transfer rezumat');
INSERT INTO `lang_definitions` VALUES (138085, 11157, 25, 'Transfer la');
INSERT INTO `lang_definitions` VALUES (138086, 11158, 25, 'Transferat de');
INSERT INTO `lang_definitions` VALUES (138087, 11159, 25, 'Data transferului');
INSERT INTO `lang_definitions` VALUES (138088, 11160, 25, 'Transferuri');
INSERT INTO `lang_definitions` VALUES (138089, 11161, 25, 'Tranzitia ingrijirii');
INSERT INTO `lang_definitions` VALUES (138090, 11162, 25, 'Tranzitie/Transferul ingrijirii?');
INSERT INTO `lang_definitions` VALUES (138091, 11163, 25, 'Translate Access Control Groups');
INSERT INTO `lang_definitions` VALUES (138092, 11164, 25, 'Translate Appointment Categories');
INSERT INTO `lang_definitions` VALUES (138093, 11165, 25, 'Translate Document Categories');
INSERT INTO `lang_definitions` VALUES (138094, 11166, 25, 'Translate Layouts');
INSERT INTO `lang_definitions` VALUES (138095, 11167, 25, 'Translate Lists');
INSERT INTO `lang_definitions` VALUES (138096, 11168, 25, 'Translate Patient Note Titles');
INSERT INTO `lang_definitions` VALUES (138097, 11169, 25, 'translate this');
INSERT INTO `lang_definitions` VALUES (138098, 11170, 25, 'Translation');
INSERT INTO `lang_definitions` VALUES (138099, 11171, 25, 'Translations');
INSERT INTO `lang_definitions` VALUES (138100, 11172, 25, 'Transmit');
INSERT INTO `lang_definitions` VALUES (138101, 11175, 25, 'Transmitere esuata');
INSERT INTO `lang_definitions` VALUES (138102, 11177, 25, 'Transmitere comenzi esuate');
INSERT INTO `lang_definitions` VALUES (138103, 11179, 25, 'Trauma');
INSERT INTO `lang_definitions` VALUES (138104, 11180, 25, 'Tratament');
INSERT INTO `lang_definitions` VALUES (138105, 11181, 25, 'Starea finalizarii tratamentului');
INSERT INTO `lang_definitions` VALUES (138106, 11182, 25, 'Scopuri tratament');
INSERT INTO `lang_definitions` VALUES (138107, 11183, 25, 'Plan tratament');
INSERT INTO `lang_definitions` VALUES (138108, 11184, 25, 'Planificare tratament');
INSERT INTO `lang_definitions` VALUES (138109, 11185, 25, 'Tratament primit');
INSERT INTO `lang_definitions` VALUES (138110, 11186, 25, 'Tratament:');
INSERT INTO `lang_definitions` VALUES (138111, 11187, 25, 'Tratament:');
INSERT INTO `lang_definitions` VALUES (138112, 11188, 25, 'Arbore');
INSERT INTO `lang_definitions` VALUES (138113, 11189, 25, 'Tendinta');
INSERT INTO `lang_definitions` VALUES (138114, 11190, 25, 'trftime($month_format, mktime(0, 0, 0, $i, 1, 2000)) );             $month_value');
INSERT INTO `lang_definitions` VALUES (138115, 11191, 25, 'Tribal 638 Free-standing Facility');
INSERT INTO `lang_definitions` VALUES (138116, 11192, 25, 'Tribal 638 Provider-based Facility');
INSERT INTO `lang_definitions` VALUES (138117, 11193, 25, 'Trifocal');
INSERT INTO `lang_definitions` VALUES (138118, 11194, 25, 'Trifocale');
INSERT INTO `lang_definitions` VALUES (138119, 11195, 25, 'Trigger point / compartment syndrome / DOMS / cramp');
INSERT INTO `lang_definitions` VALUES (138120, 11196, 25, 'Trimalleolar');
INSERT INTO `lang_definitions` VALUES (138121, 11197, 25, 'Tropic 2.5%');
INSERT INTO `lang_definitions` VALUES (138122, 11199, 25, 'Trunchi si abdomen');
INSERT INTO `lang_definitions` VALUES (138123, 11200, 25, 'Adresa email directa si de incredere');
INSERT INTO `lang_definitions` VALUES (138124, 11201, 25, 'Email de incredere');
INSERT INTO `lang_definitions` VALUES (138125, 11203, 25, 'Se incearca crearea unui utilizator cu un nume existent!');
INSERT INTO `lang_definitions` VALUES (138126, 11204, 25, 'Tsonga');
INSERT INTO `lang_definitions` VALUES (138127, 11205, 25, 'tsp');
INSERT INTO `lang_definitions` VALUES (138128, 11206, 25, 'Tswana');
INSERT INTO `lang_definitions` VALUES (138129, 11207, 25, 'TTS');
INSERT INTO `lang_definitions` VALUES (138130, 11208, 25, 'Tuberculoză');
INSERT INTO `lang_definitions` VALUES (138131, 11209, 25, 'Mar');
INSERT INTO `lang_definitions` VALUES (138132, 11210, 25, 'Marti &amp; Joi');
INSERT INTO `lang_definitions` VALUES (138133, 11211, 25, 'MArti');
INSERT INTO `lang_definitions` VALUES (138134, 11212, 25, 'Tumoare');
INSERT INTO `lang_definitions` VALUES (138135, 11213, 25, 'Turkish');
INSERT INTO `lang_definitions` VALUES (138136, 11214, 25, 'Turkmen');
INSERT INTO `lang_definitions` VALUES (138137, 11219, 25, 'Turn the Tooltips on/off');
INSERT INTO `lang_definitions` VALUES (138138, 11220, 25, 'Ma{{Marti}}');
INSERT INTO `lang_definitions` VALUES (138139, 11221, 25, 'De doua ori');
INSERT INTO `lang_definitions` VALUES (138140, 11222, 25, 'De doua ori pe zi');
INSERT INTO `lang_definitions` VALUES (138141, 11223, 25, 'Doi ani in urma');
INSERT INTO `lang_definitions` VALUES (138142, 11226, 25, 'Membrana timpan');
INSERT INTO `lang_definitions` VALUES (138143, 11227, 25, 'Tip');
INSERT INTO `lang_definitions` VALUES (138144, 11231, 25, 'Id tip sau nume minim trei caractere');
INSERT INTO `lang_definitions` VALUES (138145, 11238, 25, 'Tipul coloanelor afisate pentru rezultate pacienti');
INSERT INTO `lang_definitions` VALUES (138146, 11239, 25, 'Tip dezvaluire');
INSERT INTO `lang_definitions` VALUES (138147, 11240, 25, 'Tip evenimente');
INSERT INTO `lang_definitions` VALUES (138148, 11242, 25, 'Type of screen layout');
INSERT INTO `lang_definitions` VALUES (138149, 11243, 25, 'Tipariti sau scanati ID pacient');
INSERT INTO `lang_definitions` VALUES (138150, 11248, 25, 'Tiparati mesajul dvs');
INSERT INTO `lang_definitions` VALUES (138151, 11249, 25, 'Tipariri comanda si rezulatele');
INSERT INTO `lang_definitions` VALUES (138152, 11250, 25, 'T{{one letter abbreviation for Tension/Pressure}}');
INSERT INTO `lang_definitions` VALUES (138153, 11251, 25, 'M{{Miercuri}}');
INSERT INTO `lang_definitions` VALUES (138154, 11252, 25, 'M{{Marti}}');
INSERT INTO `lang_definitions` VALUES (138155, 11261, 25, 'UAC Appl');
INSERT INTO `lang_definitions` VALUES (138156, 11262, 25, 'UAC Tot');
INSERT INTO `lang_definitions` VALUES (138157, 11270, 25, 'UCSMC codes provided by the University of Calgary Sports Medicine Centre');
INSERT INTO `lang_definitions` VALUES (138158, 11271, 25, 'Ukrainian');
INSERT INTO `lang_definitions` VALUES (138159, 11272, 25, 'Ulceratii');
INSERT INTO `lang_definitions` VALUES (138160, 11273, 25, 'Colita ulcerativa');
INSERT INTO `lang_definitions` VALUES (138161, 11274, 25, 'Ulcere:');
INSERT INTO `lang_definitions` VALUES (138162, 11276, 25, 'Nu s-a putut accesa directorul');
INSERT INTO `lang_definitions` VALUES (138163, 11277, 25, 'Nu s-a putut accesa URL');
INSERT INTO `lang_definitions` VALUES (138164, 11278, 25, 'Nu se poate crea');
INSERT INTO `lang_definitions` VALUES (138165, 11279, 25, 'Nu se poate crea subdirectorul dosar pacient');
INSERT INTO `lang_definitions` VALUES (138166, 11287, 25, 'Nu se pot localiza datele in acest fisier');
INSERT INTO `lang_definitions` VALUES (138167, 11288, 25, 'Nu se poate potrivi aceasta plata in ar_activity');
INSERT INTO `lang_definitions` VALUES (138168, 11289, 25, 'Unable to modify application config Please give write permission to');
INSERT INTO `lang_definitions` VALUES (138169, 11291, 25, 'Neaplicat');
INSERT INTO `lang_definitions` VALUES (138170, 11292, 25, 'Nespecificat');
INSERT INTO `lang_definitions` VALUES (138171, 11293, 25, 'Neautorizat');
INSERT INTO `lang_definitions` VALUES (138172, 11294, 25, 'Acces neautorizat la ePrescriptii');
INSERT INTO `lang_definitions` VALUES (138173, 11295, 25, 'Acces neautorizat');
INSERT INTO `lang_definitions` VALUES (138174, 11296, 25, 'Nefacturat');
INSERT INTO `lang_definitions` VALUES (138175, 11297, 25, 'Numai nefacturat');
INSERT INTO `lang_definitions` VALUES (138176, 11299, 25, 'Unchi');
INSERT INTO `lang_definitions` VALUES (138177, 11300, 25, 'sub limba');
INSERT INTO `lang_definitions` VALUES (138178, 11303, 25, 'sub greutate');
INSERT INTO `lang_definitions` VALUES (138179, 11304, 25, 'nediagnosticat');
INSERT INTO `lang_definitions` VALUES (138180, 11305, 25, 'nedistribuit');
INSERT INTO `lang_definitions` VALUES (138181, 11306, 25, 'nedistribuit');
INSERT INTO `lang_definitions` VALUES (138182, 11307, 25, 'Nedistribuit este');
INSERT INTO `lang_definitions` VALUES (138183, 11308, 25, 'Anuleaza');
INSERT INTO `lang_definitions` VALUES (138184, 11309, 25, 'Anuleaza verificarea');
INSERT INTO `lang_definitions` VALUES (138185, 11310, 25, 'Nepotrivire neasteptata, creare un pacient nou pentru segment');
INSERT INTO `lang_definitions` VALUES (138186, 11311, 25, 'Clienti unici');
INSERT INTO `lang_definitions` VALUES (138187, 11312, 25, 'Unic identificator de citire umană pentru acest tip');
INSERT INTO `lang_definitions` VALUES (138188, 11315, 25, 'Clienti noi unici');
INSERT INTO `lang_definitions` VALUES (138189, 11316, 25, 'Identificator numeric unic pentru acest tip');
INSERT INTO `lang_definitions` VALUES (138190, 11317, 25, 'Unique Seen Patients');
INSERT INTO `lang_definitions` VALUES (138191, 11318, 25, 'Unique Seen Patients Report');
INSERT INTO `lang_definitions` VALUES (138192, 11319, 25, 'Unique SP');
INSERT INTO `lang_definitions` VALUES (138193, 11320, 25, 'Unitate');
INSERT INTO `lang_definitions` VALUES (138194, 11321, 25, 'Unitati');
INSERT INTO `lang_definitions` VALUES (138195, 11322, 25, 'unitati');
INSERT INTO `lang_definitions` VALUES (138196, 11323, 25, 'unitati aplicabile pentru valoari rezultate');
INSERT INTO `lang_definitions` VALUES (138197, 11324, 25, 'Unitati pentru formulare vizite');
INSERT INTO `lang_definitions` VALUES (138198, 11325, 25, 'Unitatile trebuie sa fie numere');
INSERT INTO `lang_definitions` VALUES (138199, 11326, 25, 'Unitati nedefinite');
INSERT INTO `lang_definitions` VALUES (138200, 11327, 25, 'Unitati/L');
INSERT INTO `lang_definitions` VALUES (138201, 11328, 25, 'Necunsocut');
INSERT INTO `lang_definitions` VALUES (138202, 11329, 25, 'necunoscut (vezi log_');
INSERT INTO `lang_definitions` VALUES (138203, 11330, 25, 'Eroare necunoscuta');
INSERT INTO `lang_definitions` VALUES (138204, 11331, 25, 'Necunsocut daca a fumat vreodata');
INSERT INTO `lang_definitions` VALUES (138205, 11332, 25, 'Necunoscut sau nedisponibil');
INSERT INTO `lang_definitions` VALUES (138206, 11335, 25, 'ID utilizator necunoscut:');
INSERT INTO `lang_definitions` VALUES (138207, 11344, 25, 'unlink patient');
INSERT INTO `lang_definitions` VALUES (138208, 11345, 25, 'Companie de asigurari nenumita');
INSERT INTO `lang_definitions` VALUES (138209, 11346, 25, 'Neinregistrat');
INSERT INTO `lang_definitions` VALUES (138210, 11347, 25, 'Module neinregistrate');
INSERT INTO `lang_definitions` VALUES (138211, 11348, 25, 'Prieten fara legatura');
INSERT INTO `lang_definitions` VALUES (138212, 11349, 25, 'Deslectati tot');
INSERT INTO `lang_definitions` VALUES (138213, 11350, 25, 'Neselectat');
INSERT INTO `lang_definitions` VALUES (138214, 11351, 25, 'Nespecificat');
INSERT INTO `lang_definitions` VALUES (138215, 11352, 25, 'nestructurat');
INSERT INTO `lang_definitions` VALUES (138216, 11354, 25, 'UNSUPPORTED database load file');
INSERT INTO `lang_definitions` VALUES (138217, 11355, 25, 'Unsupported MDM OBX result type');
INSERT INTO `lang_definitions` VALUES (138218, 11356, 25, 'until');
INSERT INTO `lang_definitions` VALUES (138219, 11359, 25, 'Untimely filing');
INSERT INTO `lang_definitions` VALUES (138220, 11360, 25, 'Neutilizat');
INSERT INTO `lang_definitions` VALUES (138221, 11361, 25, 'UOR');
INSERT INTO `lang_definitions` VALUES (138222, 11362, 25, 'Pana la');
INSERT INTO `lang_definitions` VALUES (138223, 11364, 25, 'Programari viitoare');
INSERT INTO `lang_definitions` VALUES (138224, 11365, 25, 'Evenimente viitoare');
INSERT INTO `lang_definitions` VALUES (138225, 11366, 25, 'Actualizare');
INSERT INTO `lang_definitions` VALUES (138226, 11367, 25, 'actualizare');
INSERT INTO `lang_definitions` VALUES (138227, 11368, 25, 'Actualizare activa');
INSERT INTO `lang_definitions` VALUES (138228, 11371, 25, 'Actualizare fisiere');
INSERT INTO `lang_definitions` VALUES (138229, 11372, 25, 'Actualizare Info');
INSERT INTO `lang_definitions` VALUES (138230, 11374, 25, 'Lista actualizari');
INSERT INTO `lang_definitions` VALUES (138231, 11377, 25, 'Actualizare numar furnizor');
INSERT INTO `lang_definitions` VALUES (138232, 11378, 25, 'Actualizare articole selectate');
INSERT INTO `lang_definitions` VALUES (138233, 11380, 25, 'Update the chart to activate the Builder.');
INSERT INTO `lang_definitions` VALUES (138234, 11381, 25, 'Update the chart to build this list');
INSERT INTO `lang_definitions` VALUES (138235, 11383, 25, 'Actualizeaza variabilele urmatoare in fisier');
INSERT INTO `lang_definitions` VALUES (138236, 11384, 25, 'Actualizeaza informatii utilizator');
INSERT INTO `lang_definitions` VALUES (138237, 11385, 25, 'Actualizat de');
INSERT INTO `lang_definitions` VALUES (138238, 11386, 25, 'Campurile actualizate vor fi colorate rosu');
INSERT INTO `lang_definitions` VALUES (138239, 11390, 25, 'Actualizare datelor demografice nu este autorizata.');
INSERT INTO `lang_definitions` VALUES (138240, 11391, 25, 'Updating global configuration defaults');
INSERT INTO `lang_definitions` VALUES (138241, 11392, 25, 'Updating version indicators');
INSERT INTO `lang_definitions` VALUES (138242, 11393, 25, 'UPGRADE');
INSERT INTO `lang_definitions` VALUES (138243, 11394, 25, 'Upgrade');
INSERT INTO `lang_definitions` VALUES (138244, 11396, 25, 'Upgrade Database');
INSERT INTO `lang_definitions` VALUES (138245, 11398, 25, 'Upgrades the OpenEMR database to include Procedures, Functions and tables needed for De-identification process');
INSERT INTO `lang_definitions` VALUES (138246, 11399, 25, 'Upgrading will continue');
INSERT INTO `lang_definitions` VALUES (138247, 11400, 25, 'UPIN');
INSERT INTO `lang_definitions` VALUES (138248, 11401, 25, 'Upload');
INSERT INTO `lang_definitions` VALUES (138249, 11402, 25, 'Upload / Save');
INSERT INTO `lang_definitions` VALUES (138250, 11403, 25, 'Upload a Template');
INSERT INTO `lang_definitions` VALUES (138251, 11405, 25, 'Upload and Install');
INSERT INTO `lang_definitions` VALUES (138252, 11406, 25, 'Upload configuration data');
INSERT INTO `lang_definitions` VALUES (138253, 11407, 25, 'Upload Document');
INSERT INTO `lang_definitions` VALUES (138254, 11408, 25, 'Upload failed!');
INSERT INTO `lang_definitions` VALUES (138255, 11410, 25, 'Upload Image to');
INSERT INTO `lang_definitions` VALUES (138256, 11411, 25, 'Upload import file:');
INSERT INTO `lang_definitions` VALUES (138257, 11412, 25, 'Upload Item');
INSERT INTO `lang_definitions` VALUES (138258, 11413, 25, 'Upload Patient Education PDF to');
INSERT INTO `lang_definitions` VALUES (138259, 11414, 25, 'Upload processed successfully');
INSERT INTO `lang_definitions` VALUES (138260, 11415, 25, 'Upload Report');
INSERT INTO `lang_definitions` VALUES (138261, 11417, 25, 'Upload the xml file under the category CCR');
INSERT INTO `lang_definitions` VALUES (138262, 11418, 25, 'Incarca acest fisier:');
INSERT INTO `lang_definitions` VALUES (138263, 11421, 25, 'Upon clicking an invoice number the \"manual posting window\" appears. Here you can change the due date and notes for the invoice, select the party for whom you are posting, and select the insurances for which all expected paymants have been received.  Most importantly, for each billing code for which an amount was charged, you can enter payment and adjustment information.');
INSERT INTO `lang_definitions` VALUES (138264, 11426, 25, 'Upon searching you are presented with a list of invoices.  You may click on one of the invoice numbers to open a second window, which is the data entry page for manual posting.  You may also click on a patient name if you want to enter a note that the front office staff will see when the patient checks in, and you may select invoices to appear on patient statements and print those statements.');
INSERT INTO `lang_definitions` VALUES (138265, 11429, 25, 'Partea superioara a bratului');
INSERT INTO `lang_definitions` VALUES (138266, 11430, 25, 'Upper Lids');
INSERT INTO `lang_definitions` VALUES (138267, 11431, 25, 'Urdu');
INSERT INTO `lang_definitions` VALUES (138268, 11432, 25, 'Urgenta');
INSERT INTO `lang_definitions` VALUES (138269, 11433, 25, 'Ingrijire urgenta');
INSERT INTO `lang_definitions` VALUES (138270, 11434, 25, 'Centru ingrijire urgenta');
INSERT INTO `lang_definitions` VALUES (138271, 11436, 25, 'Urina');
INSERT INTO `lang_definitions` VALUES (138272, 11437, 25, 'Urine Dribbling');
INSERT INTO `lang_definitions` VALUES (138273, 11438, 25, 'Urine Frequency');
INSERT INTO `lang_definitions` VALUES (138274, 11439, 25, 'Urine Hesitancy');
INSERT INTO `lang_definitions` VALUES (138275, 11440, 25, 'Urine Microalbumin');
INSERT INTO `lang_definitions` VALUES (138276, 11441, 25, 'Urine Stream');
INSERT INTO `lang_definitions` VALUES (138277, 11442, 25, 'Urine Urgency');
INSERT INTO `lang_definitions` VALUES (138278, 11443, 25, 'URL');
INSERT INTO `lang_definitions` VALUES (138279, 11444, 25, 'URL for NewCrop eRx Site Address.');
INSERT INTO `lang_definitions` VALUES (138280, 11445, 25, 'URL for OpenEMR support.');
INSERT INTO `lang_definitions` VALUES (138281, 11446, 25, 'URL for Phone Gateway.');
INSERT INTO `lang_definitions` VALUES (138282, 11447, 25, 'URL for Phone Gateway. Automated VOIP service provided by Maviq. Please visit http://signup.maviq.com for more information.');
INSERT INTO `lang_definitions` VALUES (138283, 11448, 25, 'URL for the WordPress site that supports the portal');
INSERT INTO `lang_definitions` VALUES (138284, 11449, 25, 'URLs for NewCrop eRx Service Address, separated by a semi-colon.');
INSERT INTO `lang_definitions` VALUES (138285, 11450, 25, 'USA');
INSERT INTO `lang_definitions` VALUES (138286, 11451, 25, 'Folosire');
INSERT INTO `lang_definitions` VALUES (138287, 11453, 25, 'Indicator folosire (ISA15)');
INSERT INTO `lang_definitions` VALUES (138288, 11456, 25, 'Utilizatti %  in camp pentru sortare');
INSERT INTO `lang_definitions` VALUES (138289, 11457, 25, 'Utilizati formatul 24 ore?');
INSERT INTO `lang_definitions` VALUES (138290, 11464, 25, 'Use certified EHR technology to identify patient-specific education resources and provide those resources to the patient if appropriate(New).');
INSERT INTO `lang_definitions` VALUES (138291, 11465, 25, 'Use certified EHR technology to identify patient-specific education resources and provide those resources to the patient if appropriate.');
INSERT INTO `lang_definitions` VALUES (138292, 11466, 25, 'Utilizati panelul de taxe');
INSERT INTO `lang_definitions` VALUES (138293, 11467, 25, 'Use CPOE for medication orders directly entered by any licensed healthcare professional who can enter orders into the medical record per state, local and professional guidelines.');
INSERT INTO `lang_definitions` VALUES (138294, 11468, 25, 'Use CPOE for medication orders.');
INSERT INTO `lang_definitions` VALUES (138295, 11469, 25, 'Use CPOE for medication orders.(Alternative)');
INSERT INTO `lang_definitions` VALUES (138296, 11470, 25, 'Use CPOE for procedure orders.');
INSERT INTO `lang_definitions` VALUES (138297, 11471, 25, 'Use CPOE for radiology orders.');
INSERT INTO `lang_definitions` VALUES (138298, 11472, 25, 'Utilizati mesaje de avertizare personalizate');
INSERT INTO `lang_definitions` VALUES (138299, 11473, 25, 'Uitlizati raport de sfarsit zi personalizat');
INSERT INTO `lang_definitions` VALUES (138300, 11474, 25, 'Utilizati lista de imunizare personalizata');
INSERT INTO `lang_definitions` VALUES (138301, 11475, 25, 'Utilizati declaratie personalizata');
INSERT INTO `lang_definitions` VALUES (138302, 11476, 25, 'Utilizati interval date');
INSERT INTO `lang_definitions` VALUES (138303, 11477, 25, 'Utilizati implcitie');
INSERT INTO `lang_definitions` VALUES (138304, 11478, 25, 'Utilizati optiuena sterge pentru eliminare.');
INSERT INTO `lang_definitions` VALUES (138305, 11479, 25, 'Utilizati stil international de date?');
INSERT INTO `lang_definitions` VALUES (138306, 11483, 25, 'Utilizati nume fisier sursa');
INSERT INTO `lang_definitions` VALUES (138307, 11486, 25, 'Utilizati campurile de mai jos pentru transfer.');
INSERT INTO `lang_definitions` VALUES (138308, 11490, 25, 'Utilizati aceasta caractersitica numai cu site-uri noi instalate');
INSERT INTO `lang_definitions` VALUES (138309, 11493, 25, 'Utilizati topica?');
INSERT INTO `lang_definitions` VALUES (138310, 11496, 25, 'Utilizator');
INSERT INTO `lang_definitions` VALUES (138311, 11497, 25, 'Utilizator');
INSERT INTO `lang_definitions` VALUES (138312, 11498, 25, 'Utilizatori/Grupuri');
INSERT INTO `lang_definitions` VALUES (138313, 11499, 25, 'Adminsitrare utilizatori');
INSERT INTO `lang_definitions` VALUES (138314, 11500, 25, 'Adminsitrare utilizatori si centre');
INSERT INTO `lang_definitions` VALUES (138315, 11501, 25, 'Administrare utilizatori si grupuri');
INSERT INTO `lang_definitions` VALUES (138316, 11502, 25, 'Utilizator nu poate fi sters');
INSERT INTO `lang_definitions` VALUES (138317, 11503, 25, 'Utilizarea certificat de autentificare nu este desiponibil');
INSERT INTO `lang_definitions` VALUES (138318, 11507, 25, 'Definite de utilizator');
INSERT INTO `lang_definitions` VALUES (138319, 11508, 25, 'User Defined Area 11');
INSERT INTO `lang_definitions` VALUES (138320, 11509, 25, 'User Defined Area 12');
INSERT INTO `lang_definitions` VALUES (138321, 11510, 25, 'User Defined Field');
INSERT INTO `lang_definitions` VALUES (138322, 11511, 25, 'User Defined List 1');
INSERT INTO `lang_definitions` VALUES (138323, 11512, 25, 'User Defined List 2');
INSERT INTO `lang_definitions` VALUES (138324, 11513, 25, 'User Defined List 3');
INSERT INTO `lang_definitions` VALUES (138325, 11514, 25, 'User Defined List 4');
INSERT INTO `lang_definitions` VALUES (138326, 11515, 25, 'User Defined List 5');
INSERT INTO `lang_definitions` VALUES (138327, 11516, 25, 'User Defined List 6');
INSERT INTO `lang_definitions` VALUES (138328, 11517, 25, 'User Defined List 7');
INSERT INTO `lang_definitions` VALUES (138329, 11518, 25, 'User Defined Text 1');
INSERT INTO `lang_definitions` VALUES (138330, 11519, 25, 'User Defined Text 2');
INSERT INTO `lang_definitions` VALUES (138331, 11520, 25, 'User Defined Text 3');
INSERT INTO `lang_definitions` VALUES (138332, 11521, 25, 'User Defined Text 4');
INSERT INTO `lang_definitions` VALUES (138333, 11522, 25, 'User Defined Text 5');
INSERT INTO `lang_definitions` VALUES (138334, 11523, 25, 'User Defined Text 6');
INSERT INTO `lang_definitions` VALUES (138335, 11524, 25, 'User Defined Text 7');
INSERT INTO `lang_definitions` VALUES (138336, 11525, 25, 'User Defined Text 8');
INSERT INTO `lang_definitions` VALUES (138337, 11526, 25, 'Prenume utilizator');
INSERT INTO `lang_definitions` VALUES (138338, 11528, 25, 'ID utilizator');
INSERT INTO `lang_definitions` VALUES (138339, 11529, 25, 'Este necesar un utilizator cu acces la alerte active si alerte pasive');
INSERT INTO `lang_definitions` VALUES (138340, 11530, 25, 'User Logon (If 03 above, else leave spaces) (ISA02)');
INSERT INTO `lang_definitions` VALUES (138341, 11531, 25, 'User logon Required Indicator (ISA01~ use 00 or 03)');
INSERT INTO `lang_definitions` VALUES (138342, 11532, 25, 'User Manual');
INSERT INTO `lang_definitions` VALUES (138343, 11533, 25, 'User Memberships');
INSERT INTO `lang_definitions` VALUES (138344, 11534, 25, 'Nume utilizator');
INSERT INTO `lang_definitions` VALUES (138345, 11536, 25, 'Nume utilizator sau nume gazda nu pot fi goale');
INSERT INTO `lang_definitions` VALUES (138346, 11537, 25, 'Nume utilizator sau gazda');
INSERT INTO `lang_definitions` VALUES (138347, 11539, 25, 'User Password (ISA04~ if 01 above, else leave spaces)');
INSERT INTO `lang_definitions` VALUES (138348, 11540, 25, 'User password required Indicator (ISA03~ use 00 or 01)');
INSERT INTO `lang_definitions` VALUES (138349, 11541, 25, 'User Settings');
INSERT INTO `lang_definitions` VALUES (138350, 11543, 25, 'User Specific Setting');
INSERT INTO `lang_definitions` VALUES (138351, 11544, 25, 'User\'s New Password');
INSERT INTO `lang_definitions` VALUES (138352, 11553, 25, 'Nume utilizator');
INSERT INTO `lang_definitions` VALUES (138353, 11554, 25, 'Username for Phone Gateway.');
INSERT INTO `lang_definitions` VALUES (138354, 11555, 25, 'Username for Phone Gateway. Automated VOIP service provided by Maviq. Please visit http://signup.maviq.com for more information.');
INSERT INTO `lang_definitions` VALUES (138355, 11556, 25, 'Username for SMS Gateway');
INSERT INTO `lang_definitions` VALUES (138356, 11557, 25, 'Username for SMS Gateway.');
INSERT INTO `lang_definitions` VALUES (138357, 11558, 25, 'Username to connect to CouchDB');
INSERT INTO `lang_definitions` VALUES (138358, 11559, 25, 'Nume utilizator:');
INSERT INTO `lang_definitions` VALUES (138359, 11560, 25, 'Utilizatori');
INSERT INTO `lang_definitions` VALUES (138360, 11564, 25, 'Users/Groups/Logs Administration');
INSERT INTO `lang_definitions` VALUES (138361, 11574, 25, 'uses php <a href=\"http://php.net/strftime\">strftime</a> format');
INSERT INTO `lang_definitions` VALUES (138362, 11583, 25, 'UTIs');
INSERT INTO `lang_definitions` VALUES (138363, 11584, 25, 'Uyghur, Uighur');
INSERT INTO `lang_definitions` VALUES (138364, 11585, 25, 'Uzbek');
INSERT INTO `lang_definitions` VALUES (138365, 11588, 25, 'VACANTA');
INSERT INTO `lang_definitions` VALUES (138366, 11589, 25, 'Vacanta');
INSERT INTO `lang_definitions` VALUES (138367, 11590, 25, 'Vaccin');
INSERT INTO `lang_definitions` VALUES (138368, 11591, 25, 'Vaccine funding program eligibility category');
INSERT INTO `lang_definitions` VALUES (138369, 11592, 25, 'Tip vaccin');
INSERT INTO `lang_definitions` VALUES (138370, 11593, 25, 'Inel vaginal');
INSERT INTO `lang_definitions` VALUES (138371, 11594, 25, 'Ramas bun');
INSERT INTO `lang_definitions` VALUES (138372, 11596, 25, 'valideaza');
INSERT INTO `lang_definitions` VALUES (138373, 11599, 25, 'Valideaza log');
INSERT INTO `lang_definitions` VALUES (138374, 11607, 25, 'Mecanism de validare pentru modificare date demografice pacient');
INSERT INTO `lang_definitions` VALUES (138375, 11608, 25, 'Regula de validare');
INSERT INTO `lang_definitions` VALUES (138376, 11609, 25, 'Valoare');
INSERT INTO `lang_definitions` VALUES (138377, 11610, 25, 'Valoare 1');
INSERT INTO `lang_definitions` VALUES (138378, 11611, 25, 'Valoare 2');
INSERT INTO `lang_definitions` VALUES (138379, 11612, 25, 'Valoare daca se compara');
INSERT INTO `lang_definitions` VALUES (138380, 11613, 25, 'Valoarea trebuie sa fie numerica');
INSERT INTO `lang_definitions` VALUES (138381, 11614, 25, 'Var1');
INSERT INTO `lang_definitions` VALUES (138382, 11615, 25, 'Var2');
INSERT INTO `lang_definitions` VALUES (138383, 11616, 25, 'variable to one to run de-identification upgrade script');
INSERT INTO `lang_definitions` VALUES (138384, 11617, 25, 'Variation in red color discrimination between the eyes (eg. OD=100, OS=75)');
INSERT INTO `lang_definitions` VALUES (138385, 11618, 25, 'Variation in white (muscle) light brightness discrimination between the eyes (eg. OD=$1.00, OS=$0.75)');
INSERT INTO `lang_definitions` VALUES (138386, 11619, 25, 'Varicela 1');
INSERT INTO `lang_definitions` VALUES (138387, 11620, 25, 'Varicela 2');
INSERT INTO `lang_definitions` VALUES (138388, 11621, 25, 'Varice');
INSERT INTO `lang_definitions` VALUES (138389, 11623, 25, 'Conditie vasculara');
INSERT INTO `lang_definitions` VALUES (138390, 11624, 25, 'Boala vasculara');
INSERT INTO `lang_definitions` VALUES (138391, 11625, 25, 'Chirurgie vasculara');
INSERT INTO `lang_definitions` VALUES (138392, 11626, 25, 'Va{{Visual Acuities}}');
INSERT INTO `lang_definitions` VALUES (138393, 11627, 25, 'VB{{abbreviation for Vertical Prism Base}}');
INSERT INTO `lang_definitions` VALUES (138394, 11628, 25, 'VD{{abbreviation for Vertex Distance}}');
INSERT INTO `lang_definitions` VALUES (138395, 11629, 25, 'Venda');
INSERT INTO `lang_definitions` VALUES (138396, 11630, 25, 'Furnizor');
INSERT INTO `lang_definitions` VALUES (138397, 11634, 25, 'Versiune');
INSERT INTO `lang_definitions` VALUES (138398, 11638, 25, 'Numar versiune');
INSERT INTO `lang_definitions` VALUES (138399, 11639, 25, 'Vert Base{{abbreviation for Vertical Prism Base}}');
INSERT INTO `lang_definitions` VALUES (138400, 11640, 25, 'Vert Distance{{abbreviation for Vertex Distance}}');
INSERT INTO `lang_definitions` VALUES (138401, 11641, 25, 'Vert Fissure{{vertical fissure height}}');
INSERT INTO `lang_definitions` VALUES (138402, 11642, 25, 'Vert Fissure{{vertical fissure}}');
INSERT INTO `lang_definitions` VALUES (138403, 11643, 25, 'Vert Fusional Amps');
INSERT INTO `lang_definitions` VALUES (138404, 11644, 25, 'Vert Prism{{abbreviation for Vertical Prism Power}}');
INSERT INTO `lang_definitions` VALUES (138405, 11645, 25, 'Distanta varf');
INSERT INTO `lang_definitions` VALUES (138406, 11646, 25, 'Vertical Fissure: central height between lid margins');
INSERT INTO `lang_definitions` VALUES (138407, 11647, 25, 'Vertical Fusional');
INSERT INTO `lang_definitions` VALUES (138408, 11648, 25, 'Vertical Menu Style');
INSERT INTO `lang_definitions` VALUES (138409, 11651, 25, 'Vertical Prism Base');
INSERT INTO `lang_definitions` VALUES (138410, 11652, 25, 'Vertical Prism Power');
INSERT INTO `lang_definitions` VALUES (138411, 11653, 25, 'Ameteala');
INSERT INTO `lang_definitions` VALUES (138412, 11655, 25, 'Vessels');
INSERT INTO `lang_definitions` VALUES (138413, 11656, 25, 'Veteran`s Administration');
INSERT INTO `lang_definitions` VALUES (138414, 11657, 25, 'Veterans Administration Plan');
INSERT INTO `lang_definitions` VALUES (138415, 11659, 25, 'VFC');
INSERT INTO `lang_definitions` VALUES (138416, 11660, 25, 'VFC eligible- American Indian/Alaskan Native');
INSERT INTO `lang_definitions` VALUES (138417, 11661, 25, 'VFC eligible- Uninsured');
INSERT INTO `lang_definitions` VALUES (138418, 11662, 25, 'VFC eligible-Federally Qualified Health Center Patient (under-insured)');
INSERT INTO `lang_definitions` VALUES (138419, 11663, 25, 'VFC eligible-Medicaid/Medicaid Managed Care');
INSERT INTO `lang_definitions` VALUES (138420, 11664, 25, 'VF{{vertical fissure}}');
INSERT INTO `lang_definitions` VALUES (138421, 11665, 25, 'via{{shipped by/supplier}}');
INSERT INTO `lang_definitions` VALUES (138422, 11666, 25, 'Vietnamese');
INSERT INTO `lang_definitions` VALUES (138423, 11667, 25, 'Vizualizare');
INSERT INTO `lang_definitions` VALUES (138424, 11668, 25, 'vizualizeaza');
INSERT INTO `lang_definitions` VALUES (138425, 11670, 25, 'Vezi Alergii');
INSERT INTO `lang_definitions` VALUES (138426, 11671, 25, 'View an x12-835 ERA file');
INSERT INTO `lang_definitions` VALUES (138427, 11672, 25, 'View Batch Claim x12 text');
INSERT INTO `lang_definitions` VALUES (138428, 11673, 25, 'View Blank Referral Form');
INSERT INTO `lang_definitions` VALUES (138429, 11675, 25, 'View CCDA');
INSERT INTO `lang_definitions` VALUES (138430, 11676, 25, 'View Comprehensive Patient Report');
INSERT INTO `lang_definitions` VALUES (138431, 11677, 25, 'View CSV tables');
INSERT INTO `lang_definitions` VALUES (138432, 11678, 25, 'Vezi detalii');
INSERT INTO `lang_definitions` VALUES (138433, 11679, 25, 'Vezi documentul');
INSERT INTO `lang_definitions` VALUES (138434, 11680, 25, 'View EDI x12 file');
INSERT INTO `lang_definitions` VALUES (138435, 11681, 25, 'Vezi intalnirea');
INSERT INTO `lang_definitions` VALUES (138436, 11682, 25, 'View ERA x12 text');
INSERT INTO `lang_definitions` VALUES (138437, 11683, 25, 'View events in a popup window?');
INSERT INTO `lang_definitions` VALUES (138438, 11684, 25, 'Vezi Informatii Centre Medicale');
INSERT INTO `lang_definitions` VALUES (138439, 11685, 25, 'Vezi 4 paneluri');
INSERT INTO `lang_definitions` VALUES (138440, 11686, 25, 'View local x12 file');
INSERT INTO `lang_definitions` VALUES (138441, 11687, 25, 'Vezi jurnalul');
INSERT INTO `lang_definitions` VALUES (138442, 11690, 25, 'Vezi pagina 1');
INSERT INTO `lang_definitions` VALUES (138443, 11691, 25, 'Vezi pagina 2');
INSERT INTO `lang_definitions` VALUES (138444, 11692, 25, 'Vezi mementouri trecute si viitoare');
INSERT INTO `lang_definitions` VALUES (138445, 11693, 25, 'Vezi consultatia trecuta');
INSERT INTO `lang_definitions` VALUES (138446, 11694, 25, 'Vezi consultatii trecute');
INSERT INTO `lang_definitions` VALUES (138447, 11695, 25, 'Vezi pacientul');
INSERT INTO `lang_definitions` VALUES (138448, 11696, 25, 'Vezi reguli plan');
INSERT INTO `lang_definitions` VALUES (138449, 11697, 25, 'View Printable');
INSERT INTO `lang_definitions` VALUES (138450, 11698, 25, 'View Printable Report');
INSERT INTO `lang_definitions` VALUES (138451, 11699, 25, 'View Printable Version');
INSERT INTO `lang_definitions` VALUES (138452, 11700, 25, 'Vezi consultatiile aferente');
INSERT INTO `lang_definitions` VALUES (138453, 11701, 25, 'Vezi raportul');
INSERT INTO `lang_definitions` VALUES (138454, 11702, 25, 'View the README file');
INSERT INTO `lang_definitions` VALUES (138455, 11703, 25, 'View the Summary Report sent to Fax Server.');
INSERT INTO `lang_definitions` VALUES (138456, 11705, 25, 'View, Download, Transmit (VDT)  (Measure B)');
INSERT INTO `lang_definitions` VALUES (138457, 11706, 25, 'View, Download, Transmit (VDT) (Measure A)');
INSERT INTO `lang_definitions` VALUES (138458, 11712, 25, 'Vizualizare/Modificare Alergii');
INSERT INTO `lang_definitions` VALUES (138459, 11713, 25, 'Vizualizare/Modificare problema');
INSERT INTO `lang_definitions` VALUES (138460, 11714, 25, 'Vizualizare/Tiparire');
INSERT INTO `lang_definitions` VALUES (138461, 11717, 25, 'Vizualizare:');
INSERT INTO `lang_definitions` VALUES (138462, 11718, 25, 'VISA');
INSERT INTO `lang_definitions` VALUES (138463, 11719, 25, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (138464, 11720, 25, 'VISA/MC/Discovery/HSA');
INSERT INTO `lang_definitions` VALUES (138465, 11721, 25, 'Visceral damage/trauma/surgery');
INSERT INTO `lang_definitions` VALUES (138466, 11722, 25, 'VisForm');
INSERT INTO `lang_definitions` VALUES (138467, 11723, 25, 'Vision');
INSERT INTO `lang_definitions` VALUES (138468, 11724, 25, 'Vizita');
INSERT INTO `lang_definitions` VALUES (138469, 11725, 25, 'Atribute vizita');
INSERT INTO `lang_definitions` VALUES (138470, 11726, 25, 'Categorii vizita');
INSERT INTO `lang_definitions` VALUES (138471, 11727, 25, 'Categoria vizitei');
INSERT INTO `lang_definitions` VALUES (138472, 11728, 25, 'Categoria vizite:');
INSERT INTO `lang_definitions` VALUES (138473, 11729, 25, 'Data Vizitei');
INSERT INTO `lang_definitions` VALUES (138474, 11730, 25, 'Data vizitei');
INSERT INTO `lang_definitions` VALUES (138475, 11732, 25, 'Atribute formular vizita');
INSERT INTO `lang_definitions` VALUES (138476, 11734, 25, 'Formulare vizita');
INSERT INTO `lang_definitions` VALUES (138477, 11736, 25, 'Istoric vizite');
INSERT INTO `lang_definitions` VALUES (138478, 11743, 25, 'Tip vizita');
INSERT INTO `lang_definitions` VALUES (138479, 11745, 25, 'Vizite');
INSERT INTO `lang_definitions` VALUES (138480, 11746, 25, 'Formular vizite');
INSERT INTO `lang_definitions` VALUES (138481, 11747, 25, 'Acuitati vizita');
INSERT INTO `lang_definitions` VALUES (138482, 11748, 25, 'Acuitate vizita');
INSERT INTO `lang_definitions` VALUES (138483, 11749, 25, 'Campuri vizuale');
INSERT INTO `lang_definitions` VALUES (138484, 11751, 25, 'Semne Vitale');
INSERT INTO `lang_definitions` VALUES (138485, 11752, 25, 'Vitale');
INSERT INTO `lang_definitions` VALUES (138486, 11753, 25, 'Vitale (Metric)');
INSERT INTO `lang_definitions` VALUES (138487, 11754, 25, 'Optiuni formular vitale');
INSERT INTO `lang_definitions` VALUES (138488, 11756, 25, 'Voce');
INSERT INTO `lang_definitions` VALUES (138489, 11758, 25, 'Voce Trimis');
INSERT INTO `lang_definitions` VALUES (138490, 11760, 25, 'Evita verificarea si redeschiderea');
INSERT INTO `lang_definitions` VALUES (138491, 11762, 25, 'Volapük');
INSERT INTO `lang_definitions` VALUES (138492, 11763, 25, 'Vomiting');
INSERT INTO `lang_definitions` VALUES (138493, 11764, 25, 'Voucher Number');
INSERT INTO `lang_definitions` VALUES (138494, 11765, 25, 'VP{{abbreviation for Vertical Prism Power}}');
INSERT INTO `lang_definitions` VALUES (138495, 11766, 25, 'V{{One letter abbrevation for Vision}}');
INSERT INTO `lang_definitions` VALUES (138496, 11767, 25, 'W');
INSERT INTO `lang_definitions` VALUES (138497, 11768, 25, 'W Rx{{Acuity with correction}}');
INSERT INTO `lang_definitions` VALUES (138498, 11769, 25, 'W2W{{white-to-white}}');
INSERT INTO `lang_definitions` VALUES (138499, 11770, 25, 'Waist Circ');
INSERT INTO `lang_definitions` VALUES (138500, 11771, 25, 'Waist Circumference');
INSERT INTO `lang_definitions` VALUES (138501, 11772, 25, 'Asteptand');
INSERT INTO `lang_definitions` VALUES (138502, 11773, 25, 'Walk-In');
INSERT INTO `lang_definitions` VALUES (138503, 11774, 25, 'Walk-in Retail Health Clinic');
INSERT INTO `lang_definitions` VALUES (138504, 11775, 25, 'Walloon');
INSERT INTO `lang_definitions` VALUES (138505, 11776, 25, 'Walt Pennington');
INSERT INTO `lang_definitions` VALUES (138506, 11777, 25, 'Tribunal');
INSERT INTO `lang_definitions` VALUES (138507, 11778, 25, 'Depozit');
INSERT INTO `lang_definitions` VALUES (138508, 11779, 25, 'Depozit schimbat');
INSERT INTO `lang_definitions` VALUES (138509, 11780, 25, 'Warehouse maximum, 0 if not applicable');
INSERT INTO `lang_definitions` VALUES (138510, 11781, 25, 'Warehouse minimum, 0 if not applicable');
INSERT INTO `lang_definitions` VALUES (138511, 11782, 25, 'Depozite');
INSERT INTO `lang_definitions` VALUES (138512, 11783, 25, 'Cald');
INSERT INTO `lang_definitions` VALUES (138513, 11786, 25, 'Avertizare');
INSERT INTO `lang_definitions` VALUES (138514, 11787, 25, 'WARNING');
INSERT INTO `lang_definitions` VALUES (138515, 11788, 25, 'WARNING - FOLLOWING ACTIVE MEDICATIONS ARE ALLERGIES');
INSERT INTO `lang_definitions` VALUES (138516, 11789, 25, 'Warning, Check Number already exist in the database');
INSERT INTO `lang_definitions` VALUES (138517, 11790, 25, 'Warning, patient has ambiguous codes in the problems list!');
INSERT INTO `lang_definitions` VALUES (138518, 11791, 25, 'Warning: A visit was already created for this patient today!');
INSERT INTO `lang_definitions` VALUES (138519, 11792, 25, 'Warning: Contraception for a patient under 10 or over 50.');
INSERT INTO `lang_definitions` VALUES (138520, 11793, 25, 'Warning: Contraceptive method is not compatible with a male patient.');
INSERT INTO `lang_definitions` VALUES (138521, 11794, 25, 'WARNING: If you are using the 2012-10-31 Spanish version, then note you need to unzip it once before placing it in the contrib/snomed (this is because the released file was \"double-zipped\").');
INSERT INTO `lang_definitions` VALUES (138522, 11796, 25, 'Warning: Patient ID is not unique!');
INSERT INTO `lang_definitions` VALUES (138523, 11797, 25, 'Warning: There is no product matching the contraceptive service.');
INSERT INTO `lang_definitions` VALUES (138524, 11798, 25, 'Warning: There is no service matching the contraceptive product.');
INSERT INTO `lang_definitions` VALUES (138525, 11799, 25, 'WARNING: This will overwrite configuration information with data from the uploaded file!');
INSERT INTO `lang_definitions` VALUES (138526, 11800, 25, 'WARNINGS');
INSERT INTO `lang_definitions` VALUES (138527, 11801, 25, 'Warnings');
INSERT INTO `lang_definitions` VALUES (138528, 11802, 25, 'Avertizari si Alerte/Mementouri');
INSERT INTO `lang_definitions` VALUES (138529, 11803, 25, 'was already uploaded');
INSERT INTO `lang_definitions` VALUES (138530, 11804, 25, 'was not found');
INSERT INTO `lang_definitions` VALUES (138531, 11805, 25, 'We appreciate prompt payment of balances due');
INSERT INTO `lang_definitions` VALUES (138532, 11806, 25, 'We appreciate prompt payment of balances due.');
INSERT INTO `lang_definitions` VALUES (138533, 11809, 25, 'we have seen your above patient for evaluation and treatment at our outpatient psychiatry clinic. Thank you for this referral.');
INSERT INTO `lang_definitions` VALUES (138534, 11821, 25, 'Weakness');
INSERT INTO `lang_definitions` VALUES (138535, 11825, 25, 'Web Reference');
INSERT INTO `lang_definitions` VALUES (138536, 11826, 25, 'Web Search');
INSERT INTO `lang_definitions` VALUES (138537, 11827, 25, 'Website');
INSERT INTO `lang_definitions` VALUES (138538, 11828, 25, 'Website link for the Onsite Patient Portal.');
INSERT INTO `lang_definitions` VALUES (138539, 11832, 25, 'Wed');
INSERT INTO `lang_definitions` VALUES (138540, 11833, 25, 'Wednesday');
INSERT INTO `lang_definitions` VALUES (138541, 11834, 25, 'Week');
INSERT INTO `lang_definitions` VALUES (138542, 11835, 25, 'week');
INSERT INTO `lang_definitions` VALUES (138543, 11836, 25, 'Week View');
INSERT INTO `lang_definitions` VALUES (138544, 11837, 25, 'Week(s)');
INSERT INTO `lang_definitions` VALUES (138545, 11838, 25, 'Weekly Exposures');
INSERT INTO `lang_definitions` VALUES (138546, 11839, 25, 'weeks');
INSERT INTO `lang_definitions` VALUES (138547, 11840, 25, 'Weeks');
INSERT INTO `lang_definitions` VALUES (138548, 11841, 25, 'Weight');
INSERT INTO `lang_definitions` VALUES (138549, 11842, 25, 'Weight Assessment and Counseling for Children and Adolescents');
INSERT INTO `lang_definitions` VALUES (138550, 11843, 25, 'Weight Assessment and Counseling for Children and Adolescents (CQM)');
INSERT INTO `lang_definitions` VALUES (138551, 11844, 25, 'Weight Change');
INSERT INTO `lang_definitions` VALUES (138552, 11845, 25, 'Weight Loss');
INSERT INTO `lang_definitions` VALUES (138553, 11846, 25, 'Weight loss clinic');
INSERT INTO `lang_definitions` VALUES (138554, 11847, 25, 'Bine ati venit');
INSERT INTO `lang_definitions` VALUES (138555, 11849, 25, 'Welsh');
INSERT INTO `lang_definitions` VALUES (138556, 11859, 25, 'Western Frisian');
INSERT INTO `lang_definitions` VALUES (138557, 11860, 25, 'We{{Wednesday}}');
INSERT INTO `lang_definitions` VALUES (138558, 11862, 25, 'What is to be counted?');
INSERT INTO `lang_definitions` VALUES (138559, 11863, 25, 'What kind of sorting will be in the drop lists.');
INSERT INTO `lang_definitions` VALUES (138560, 11864, 25, 'Wheezes:');
INSERT INTO `lang_definitions` VALUES (138561, 11865, 25, 'Wheezing');
INSERT INTO `lang_definitions` VALUES (138562, 11866, 25, 'Wheezing:');
INSERT INTO `lang_definitions` VALUES (138563, 11868, 25, 'When and how often?');
INSERT INTO `lang_definitions` VALUES (138564, 11869, 25, 'When Checked, Demographics Will Open in New Window from Patient Flow Board.');
INSERT INTO `lang_definitions` VALUES (138565, 11872, 25, 'When Checked, Patient Encounter Number Will Show in Patient Flow Board.');
INSERT INTO `lang_definitions` VALUES (138566, 11873, 25, 'When Checked, Patient ID Will Show in Patient Flow Board.');
INSERT INTO `lang_definitions` VALUES (138567, 11874, 25, 'When Checked, Visit Reason Will Show in Patient Flow Board.');
INSERT INTO `lang_definitions` VALUES (138568, 11876, 25, 'When done, click Submit (below) to apply your choices.');
INSERT INTO `lang_definitions` VALUES (138569, 11882, 25, 'Where may related scanned or paper documents be found?');
INSERT INTO `lang_definitions` VALUES (138570, 11883, 25, 'Where on your body does it occur?');
INSERT INTO `lang_definitions` VALUES (138571, 11884, 25, 'Whether Insured');
INSERT INTO `lang_definitions` VALUES (138572, 11885, 25, 'which days are your weekend days?');
INSERT INTO `lang_definitions` VALUES (138573, 11886, 25, 'Which notes are to be displayed in the Billing Screen');
INSERT INTO `lang_definitions` VALUES (138574, 11890, 25, 'Whiplash');
INSERT INTO `lang_definitions` VALUES (138575, 11891, 25, 'Alb');
INSERT INTO `lang_definitions` VALUES (138576, 11893, 25, 'Alb-la-alb');
INSERT INTO `lang_definitions` VALUES (138577, 11894, 25, 'Cine');
INSERT INTO `lang_definitions` VALUES (138578, 11895, 25, 'Cine a raspuns?');
INSERT INTO `lang_definitions` VALUES (138579, 11897, 25, 'Vaduvit');
INSERT INTO `lang_definitions` VALUES (138580, 11898, 25, 'Latime');
INSERT INTO `lang_definitions` VALUES (138581, 11900, 25, 'Width in pixels of the left navigation frame.');
INSERT INTO `lang_definitions` VALUES (138582, 11902, 25, 'will be hidden if');
INSERT INTO `lang_definitions` VALUES (138583, 11903, 25, 'will have the following validation rules');
INSERT INTO `lang_definitions` VALUES (138584, 11904, 25, 'With checked items plot');
INSERT INTO `lang_definitions` VALUES (138585, 11906, 25, 'with preferred language');
INSERT INTO `lang_definitions` VALUES (138586, 11907, 25, 'With selected:');
INSERT INTO `lang_definitions` VALUES (138587, 11908, 25, 'with the old name');
INSERT INTO `lang_definitions` VALUES (138588, 11910, 25, 'with value');
INSERT INTO `lang_definitions` VALUES (138589, 11911, 25, 'With whom may we leave a message?');
INSERT INTO `lang_definitions` VALUES (138590, 11912, 25, 'Withheld');
INSERT INTO `lang_definitions` VALUES (138591, 11913, 25, 'within hours');
INSERT INTO `lang_definitions` VALUES (138592, 11914, 25, 'within hours:');
INSERT INTO `lang_definitions` VALUES (138593, 11915, 25, 'within minutes');
INSERT INTO `lang_definitions` VALUES (138594, 11916, 25, 'within minutes:');
INSERT INTO `lang_definitions` VALUES (138595, 11917, 25, 'Without Facility');
INSERT INTO `lang_definitions` VALUES (138596, 11918, 25, 'Without Provider');
INSERT INTO `lang_definitions` VALUES (138597, 11919, 25, 'Without Update');
INSERT INTO `lang_definitions` VALUES (138598, 11920, 25, 'Witness');
INSERT INTO `lang_definitions` VALUES (138599, 11921, 25, 'wk');
INSERT INTO `lang_definitions` VALUES (138600, 11922, 25, 'WNL');
INSERT INTO `lang_definitions` VALUES (138601, 11923, 25, 'Wolof');
INSERT INTO `lang_definitions` VALUES (138602, 11924, 25, 'Femei');
INSERT INTO `lang_definitions` VALUES (138603, 11925, 25, 'Numai femei');
INSERT INTO `lang_definitions` VALUES (138604, 11926, 25, 'WordPress Portal');
INSERT INTO `lang_definitions` VALUES (138605, 11927, 25, 'Work');
INSERT INTO `lang_definitions` VALUES (138606, 11928, 25, 'WORK NOTE');
INSERT INTO `lang_definitions` VALUES (138607, 11929, 25, 'Telefon de serviciu');
INSERT INTO `lang_definitions` VALUES (138608, 11930, 25, 'Work Phone Number');
INSERT INTO `lang_definitions` VALUES (138609, 11931, 25, 'Work related?');
INSERT INTO `lang_definitions` VALUES (138610, 11932, 25, 'Work/ Education/ Hobbies');
INSERT INTO `lang_definitions` VALUES (138611, 11933, 25, 'Work/School Note');
INSERT INTO `lang_definitions` VALUES (138612, 11934, 25, 'zi lucratoare');
INSERT INTO `lang_definitions` VALUES (138613, 11935, 25, 'Worker`s Compensation');
INSERT INTO `lang_definitions` VALUES (138614, 11936, 25, 'Workers Compensation Health Plan');
INSERT INTO `lang_definitions` VALUES (138615, 11937, 25, 'Working Aged Beneficiary or Spouse with Employer Group Health Plan');
INSERT INTO `lang_definitions` VALUES (138616, 11940, 25, 'Working... this may take a minute.');
INSERT INTO `lang_definitions` VALUES (138617, 11941, 25, 'Worse');
INSERT INTO `lang_definitions` VALUES (138618, 11942, 25, 'Would you like the balance amount to apply to Global Account?');
INSERT INTO `lang_definitions` VALUES (138619, 11943, 25, 'Would You Like them to be Marked as Cleared.');
INSERT INTO `lang_definitions` VALUES (138620, 11944, 25, 'Would you like to Allocate?');
INSERT INTO `lang_definitions` VALUES (138621, 11945, 25, 'Would you like to Cancel Distribution for this Patient?');
INSERT INTO `lang_definitions` VALUES (138622, 11946, 25, 'Would you like to Delete Payment Distribution?');
INSERT INTO `lang_definitions` VALUES (138623, 11947, 25, 'Would you like to Delete Payments?');
INSERT INTO `lang_definitions` VALUES (138624, 11948, 25, 'Would you like to Modify and Finish Payments?');
INSERT INTO `lang_definitions` VALUES (138625, 11949, 25, 'Would you like to Modify Payments?');
INSERT INTO `lang_definitions` VALUES (138626, 11950, 25, 'Would you like to Post and Finish Payments?');
INSERT INTO `lang_definitions` VALUES (138627, 11951, 25, 'Would you like to Post Payments?');
INSERT INTO `lang_definitions` VALUES (138628, 11952, 25, 'Doriti sa salvati?');
INSERT INTO `lang_definitions` VALUES (138629, 11953, 25, 'Wrist');
INSERT INTO `lang_definitions` VALUES (138630, 11954, 25, 'Wrist and hand');
INSERT INTO `lang_definitions` VALUES (138631, 11955, 25, 'Wrist Problems');
INSERT INTO `lang_definitions` VALUES (138632, 11956, 25, 'write');
INSERT INTO `lang_definitions` VALUES (138633, 11958, 25, 'write off');
INSERT INTO `lang_definitions` VALUES (138634, 11959, 25, 'Write Once');
INSERT INTO `lang_definitions` VALUES (138635, 11960, 25, 'wsome');
INSERT INTO `lang_definitions` VALUES (138636, 11963, 25, 'WT');
INSERT INTO `lang_definitions` VALUES (138637, 11964, 25, 'W{{Current Rx - wearing}}');
INSERT INTO `lang_definitions` VALUES (138638, 11965, 25, 'W{{Wednesday}}');
INSERT INTO `lang_definitions` VALUES (138639, 11966, 25, 'x Canceled');
INSERT INTO `lang_definitions` VALUES (138640, 11967, 25, 'x Cancelled');
INSERT INTO `lang_definitions` VALUES (138641, 11968, 25, 'X(T){{intermittent exophoria}}');
INSERT INTO `lang_definitions` VALUES (138642, 11969, 25, 'X-ray');
INSERT INTO `lang_definitions` VALUES (138643, 11970, 25, 'X-RAY Interpretation:');
INSERT INTO `lang_definitions` VALUES (138644, 11971, 25, 'X-Ray Interpretation:');
INSERT INTO `lang_definitions` VALUES (138645, 11972, 25, 'X12 only ICN resubmission No.');
INSERT INTO `lang_definitions` VALUES (138646, 11975, 25, 'X12 only: Replacement Claim');
INSERT INTO `lang_definitions` VALUES (138647, 11978, 25, 'X12 Partner');
INSERT INTO `lang_definitions` VALUES (138648, 11979, 25, 'X12 Partners');
INSERT INTO `lang_definitions` VALUES (138649, 11980, 25, 'x12 Segments');
INSERT INTO `lang_definitions` VALUES (138650, 11981, 25, 'x12 Text');
INSERT INTO `lang_definitions` VALUES (138651, 11982, 25, 'Xhosa');
INSERT INTO `lang_definitions` VALUES (138652, 11984, 25, 'XML');
INSERT INTO `lang_definitions` VALUES (138653, 11985, 25, 'XT{{exotropia}}');
INSERT INTO `lang_definitions` VALUES (138654, 11986, 25, 'X{{exophoria}}');
INSERT INTO `lang_definitions` VALUES (138655, 11987, 25, 'Y');
INSERT INTO `lang_definitions` VALUES (138656, 11988, 25, 'an');
INSERT INTO `lang_definitions` VALUES (138657, 11989, 25, 'An');
INSERT INTO `lang_definitions` VALUES (138658, 11990, 25, 'Vedere an');
INSERT INTO `lang_definitions` VALUES (138659, 11991, 25, 'An(i)');
INSERT INTO `lang_definitions` VALUES (138660, 11992, 25, 'Ani');
INSERT INTO `lang_definitions` VALUES (138661, 11994, 25, 'Ani sau luni');
INSERT INTO `lang_definitions` VALUES (138662, 11995, 25, 'Ani, luni si zile');
INSERT INTO `lang_definitions` VALUES (138663, 11996, 25, 'Da');
INSERT INTO `lang_definitions` VALUES (138664, 11997, 25, 'DA');
INSERT INTO `lang_definitions` VALUES (138665, 11998, 25, 'da');
INSERT INTO `lang_definitions` VALUES (138666, 11999, 25, 'DA!');
INSERT INTO `lang_definitions` VALUES (138667, 12000, 25, 'Da, sterge si logheaza');
INSERT INTO `lang_definitions` VALUES (138668, 12001, 25, 'Da, sterge acest formular');
INSERT INTO `lang_definitions` VALUES (138669, 12002, 25, 'Da/Nu');
INSERT INTO `lang_definitions` VALUES (138670, 12003, 25, 'Da:');
INSERT INTO `lang_definitions` VALUES (138671, 12004, 25, 'Yiddish');
INSERT INTO `lang_definitions` VALUES (138672, 12005, 25, 'Yoruba');
INSERT INTO `lang_definitions` VALUES (138673, 12007, 25, 'You are about to delete the following form from this encounter');
INSERT INTO `lang_definitions` VALUES (138674, 12008, 25, 'You are about to permanently replace the existing template. Are you sure you wish to continue?');
INSERT INTO `lang_definitions` VALUES (138675, 12011, 25, 'You are in Grace Login period. Change your password before');
INSERT INTO `lang_definitions` VALUES (138676, 12012, 25, 'Nu aveti permisiunea de a sterge acest eveniment');
INSERT INTO `lang_definitions` VALUES (138677, 12013, 25, 'Nu aveti permisiunea de a edita acest eveniment');
INSERT INTO `lang_definitions` VALUES (138678, 12014, 25, 'Nu sunteti autorizat pentru aceasta.');
INSERT INTO `lang_definitions` VALUES (138679, 12016, 25, 'Nu sunteti autorizat sa accesati aceasta echipa.');
INSERT INTO `lang_definitions` VALUES (138680, 12017, 25, 'Nu sunteti autorizat sa adaugati/editati probleme');
INSERT INTO `lang_definitions` VALUES (138681, 12018, 25, 'Nu sunteti autorizat sa faceti programari.');
INSERT INTO `lang_definitions` VALUES (138682, 12019, 25, 'Nu sunteti autorizat sa vedeti consultatii.');
INSERT INTO `lang_definitions` VALUES (138683, 12021, 25, 'You are posting against an old encounter?');
INSERT INTO `lang_definitions` VALUES (138684, 12023, 25, 'Utilizati un modul de validare pacient');
INSERT INTO `lang_definitions` VALUES (138685, 12038, 25, 'Nu puteti accesa direct aceasta functie.');
INSERT INTO `lang_definitions` VALUES (138686, 12050, 25, 'Nu puteti accesa direct aceasta pagina.');
INSERT INTO `lang_definitions` VALUES (138687, 12051, 25, 'Nu puteti adauga o valoare goala pentru o categorie!');
INSERT INTO `lang_definitions` VALUES (138688, 12052, 25, 'Nu puteti adauga o valoare goala pentru o subcategorie!');
INSERT INTO `lang_definitions` VALUES (138689, 12053, 25, 'Nu puteti adauga o valoare goala pentru un articol!');
INSERT INTO `lang_definitions` VALUES (138690, 12055, 25, 'Nu puteti introduce o data viitoare cu o valoare completa DA');
INSERT INTO `lang_definitions` VALUES (138691, 12057, 25, 'Nu ati ales nicio actiune.');
INSERT INTO `lang_definitions` VALUES (138692, 12058, 25, 'Nu aveti acces sa vedeti/editati aceasta nota');
INSERT INTO `lang_definitions` VALUES (138693, 12061, 25, 'Ati incercat sa modificati continut care este blocat.');
INSERT INTO `lang_definitions` VALUES (138694, 12063, 25, 'Ati fost logged out cu succes.');
INSERT INTO `lang_definitions` VALUES (138695, 12066, 25, 'Nu ati introdus servicii clinice sau produse. Click Anulare pentru a le adauga. Sau click Ok daca doriti sa le salvati asa cum sunt');
INSERT INTO `lang_definitions` VALUES (138696, 12070, 25, 'Aveti modificari nesalvate');
INSERT INTO `lang_definitions` VALUES (138697, 12071, 25, 'Aveti modificare nesalvate. Renuntati la ele?');
INSERT INTO `lang_definitions` VALUES (138698, 12074, 25, 'Puteti sa faceti sa incarcati fisiere .txt');
INSERT INTO `lang_definitions` VALUES (138699, 12075, 25, 'You may optionally upload HL7 results from a file');
INSERT INTO `lang_definitions` VALUES (138700, 12076, 25, 'Poti pune aici textul implicit de plangere in Nou Pacient');
INSERT INTO `lang_definitions` VALUES (138701, 12085, 25, 'You must enter a pass phrase to encrypt the document');
INSERT INTO `lang_definitions` VALUES (138702, 12087, 25, 'You must enter your own password to change user passwords. Leave blank to keep password unchanged.');
INSERT INTO `lang_definitions` VALUES (138703, 12088, 25, 'Trebuie sa alegeti un articol in aceasta sectiune al carui buton radio este bifat');
INSERT INTO `lang_definitions` VALUES (138704, 12090, 25, 'Trebuie sa selectati sau sa adaugati un pacient');
INSERT INTO `lang_definitions` VALUES (138705, 12091, 25, 'Trebuie sa slectati sau sa creati o consultatie.');
INSERT INTO `lang_definitions` VALUES (138706, 12092, 25, 'Trebuie sa alegeti o categorie de vizita');
INSERT INTO `lang_definitions` VALUES (138707, 12093, 25, 'Trebuie sa alegeti o categorie de vizita.');
INSERT INTO `lang_definitions` VALUES (138708, 12094, 25, 'Trebuie sa slectati unele campuri pentru a continua.');
INSERT INTO `lang_definitions` VALUES (138709, 12104, 25, 'You should be running this test if this claim appeared to generate successfully but the actual claim file does not contain any data or only an unfinished portion of the amount of data it is supposed to contain. It is obvious with HCFA claims because they are human readable, with X12 claims it is a more difficult process to determine if the claim is properly complete.');
INSERT INTO `lang_definitions` VALUES (138710, 12106, 25, 'Trebuie sa slectati cel putin un context');
INSERT INTO `lang_definitions` VALUES (138711, 12107, 25, 'Trebuie sa slectati cel putin un furnizor');
INSERT INTO `lang_definitions` VALUES (138712, 12108, 25, 'Veti fi redirectionat automat la Date demografice.');
INSERT INTO `lang_definitions` VALUES (138713, 12118, 25, 'Raportul dvs clinic');
INSERT INTO `lang_definitions` VALUES (138714, 12122, 25, 'Data de sfarsit nevalida');
INSERT INTO `lang_definitions` VALUES (138715, 12123, 25, 'Evenimentul a fost sters');
INSERT INTO `lang_definitions` VALUES (138716, 12124, 25, 'Evenimentul a fost modificat');
INSERT INTO `lang_definitions` VALUES (138717, 12125, 25, 'Evenimentul a fost submis');
INSERT INTO `lang_definitions` VALUES (138718, 12127, 25, 'Fisierul este prea mare');
INSERT INTO `lang_definitions` VALUES (138719, 12128, 25, 'Prima zi a saptamanii');
INSERT INTO `lang_definitions` VALUES (138720, 12130, 25, 'Your installation of OpenEMR has been registered');
INSERT INTO `lang_definitions` VALUES (138721, 12131, 25, 'Rezultatele de laborator');
INSERT INTO `lang_definitions` VALUES (138722, 12132, 25, 'Your list name has been changed to meet naming requirements.');
INSERT INTO `lang_definitions` VALUES (138723, 12133, 25, 'Mesajul dvs a fost livrat la');
INSERT INTO `lang_definitions` VALUES (138724, 12134, 25, 'Numele dvs pentru aceasta categorie say rezultat');
INSERT INTO `lang_definitions` VALUES (138725, 12139, 25, 'Parola dvs');
INSERT INTO `lang_definitions` VALUES (138726, 12140, 25, 'Parola dvs a expirat. Va rugam sa va schimbati parola.');
INSERT INTO `lang_definitions` VALUES (138727, 12141, 25, 'Parola dvs expira pe');
INSERT INTO `lang_definitions` VALUES (138728, 12143, 25, 'Parola dvs expira astazi. Va rugam sa va schimbati parola.');
INSERT INTO `lang_definitions` VALUES (138729, 12144, 25, 'Parola dvs este semnatura');
INSERT INTO `lang_definitions` VALUES (138730, 12146, 25, 'Your PostCalendar configuration has been reset to use defaults.');
INSERT INTO `lang_definitions` VALUES (138731, 12147, 25, 'Your PostCalendar configuration has been updated.');
INSERT INTO `lang_definitions` VALUES (138732, 12148, 25, 'Your repeating frequency must be an integer.');
INSERT INTO `lang_definitions` VALUES (138733, 12149, 25, 'Your repeating frequency must be at least 1.');
INSERT INTO `lang_definitions` VALUES (138734, 12151, 25, 'Your start date is greater than your end date');
INSERT INTO `lang_definitions` VALUES (138735, 12152, 25, 'Your start date is invalid');
INSERT INTO `lang_definitions` VALUES (138736, 12153, 25, 'Submitere esuata');
INSERT INTO `lang_definitions` VALUES (138737, 12154, 25, 'Zilele saptamanii');
INSERT INTO `lang_definitions` VALUES (138738, 12156, 25, 'yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (138739, 12157, 25, 'YYYY-MM-DD');
INSERT INTO `lang_definitions` VALUES (138740, 12158, 25, 'yyyy-mm-dd date associated with this document');
INSERT INTO `lang_definitions` VALUES (138741, 12159, 25, 'yyyy-mm-dd date destroyed');
INSERT INTO `lang_definitions` VALUES (138742, 12160, 25, 'yyyy-mm-dd date of birth');
INSERT INTO `lang_definitions` VALUES (138743, 12161, 25, 'yyyy-mm-dd Date of Birth');
INSERT INTO `lang_definitions` VALUES (138744, 12162, 25, 'yyyy-mm-dd date of expiration');
INSERT INTO `lang_definitions` VALUES (138745, 12163, 25, 'yyyy-mm-dd Date of onset or hospitalization');
INSERT INTO `lang_definitions` VALUES (138746, 12164, 25, 'yyyy-mm-dd date of onset, surgery or start of medication');
INSERT INTO `lang_definitions` VALUES (138747, 12165, 25, 'yyyy-mm-dd date of purchase or transfer');
INSERT INTO `lang_definitions` VALUES (138748, 12166, 25, 'yyyy-mm-dd date of recovery or end of medication');
INSERT INTO `lang_definitions` VALUES (138749, 12167, 25, 'yyyy-mm-dd Date of return to play');
INSERT INTO `lang_definitions` VALUES (138750, 12168, 25, 'yyyy-mm-dd Date of service');
INSERT INTO `lang_definitions` VALUES (138751, 12169, 25, 'yyyy-mm-dd date of this letter');
INSERT INTO `lang_definitions` VALUES (138752, 12170, 25, 'yyyy-mm-dd date returned to play');
INSERT INTO `lang_definitions` VALUES (138753, 12171, 25, 'yyyy-mm-dd document date');
INSERT INTO `lang_definitions` VALUES (138754, 12172, 25, 'yyyy-mm-dd End Date');
INSERT INTO `lang_definitions` VALUES (138755, 12173, 25, 'yyyy-mm-dd event date or starting date');
INSERT INTO `lang_definitions` VALUES (138756, 12174, 25, 'yyyy-mm-dd H:m End Date');
INSERT INTO `lang_definitions` VALUES (138757, 12175, 25, 'yyyy-mm-dd H:m End date');
INSERT INTO `lang_definitions` VALUES (138758, 12176, 25, 'yyyy-mm-dd H:m Start Date');
INSERT INTO `lang_definitions` VALUES (138759, 12177, 25, 'yyyy-mm-dd H:m Start date');
INSERT INTO `lang_definitions` VALUES (138760, 12178, 25, 'yyyy-mm-dd hh:mm:ss');
INSERT INTO `lang_definitions` VALUES (138761, 12179, 25, 'yyyy-mm-dd Hours(24):minutes');
INSERT INTO `lang_definitions` VALUES (138762, 12180, 25, 'yyyy-mm-dd last date of this event');
INSERT INTO `lang_definitions` VALUES (138763, 12181, 25, 'yyyy-mm-dd Start Date');
INSERT INTO `lang_definitions` VALUES (138764, 12182, 25, 'yyyy-mm-dd starting date for search');
INSERT INTO `lang_definitions` VALUES (138765, 12183, 25, 'ZEF segment internal error');
INSERT INTO `lang_definitions` VALUES (138766, 12184, 25, 'Zend Module');
INSERT INTO `lang_definitions` VALUES (138767, 12185, 25, 'Zend Module check in addition to standard check');
INSERT INTO `lang_definitions` VALUES (138768, 12186, 25, 'Zero');
INSERT INTO `lang_definitions` VALUES (138769, 12187, 25, 'Zhuang, Chuang');
INSERT INTO `lang_definitions` VALUES (138770, 12188, 25, 'Zip');
INSERT INTO `lang_definitions` VALUES (138771, 12189, 25, 'Zip Code');
INSERT INTO `lang_definitions` VALUES (138772, 12191, 25, 'Zip/Country:');
INSERT INTO `lang_definitions` VALUES (138773, 12193, 25, 'Zoom in');
INSERT INTO `lang_definitions` VALUES (138774, 12194, 25, 'Zoom out');
INSERT INTO `lang_definitions` VALUES (138775, 12196, 25, 'Zulu');
INSERT INTO `lang_definitions` VALUES (138776, 12197, 25, 'dar a fost');
INSERT INTO `lang_definitions` VALUES (138777, 12198, 25, 'nu poate fi accesat');
INSERT INTO `lang_definitions` VALUES (138778, 12199, 25, 'Doriti sa stergeti');
INSERT INTO `lang_definitions` VALUES (138779, 12200, 25, 'Mediament');
INSERT INTO `lang_definitions` VALUES (138780, 12201, 25, 'emailuri netrimise');
INSERT INTO `lang_definitions` VALUES (138781, 12202, 25, 'de la');
INSERT INTO `lang_definitions` VALUES (138782, 12203, 25, 'a fost creat.');
INSERT INTO `lang_definitions` VALUES (138783, 12204, 25, 'a fost redeschis.');
INSERT INTO `lang_definitions` VALUES (138784, 12205, 25, 'Istoric');
INSERT INTO `lang_definitions` VALUES (138785, 12206, 25, 'nu este un numar');
INSERT INTO `lang_definitions` VALUES (138786, 12207, 25, 'este gata de refacturare');
INSERT INTO `lang_definitions` VALUES (138787, 12208, 25, 'LLL:');
INSERT INTO `lang_definitions` VALUES (138788, 12209, 25, 'Lot');
INSERT INTO `lang_definitions` VALUES (138789, 12210, 25, 'Medicaid Original Reference No.');
INSERT INTO `lang_definitions` VALUES (138790, 12211, 25, 'min');
INSERT INTO `lang_definitions` VALUES (138791, 12212, 25, 'negasit!');
INSERT INTO `lang_definitions` VALUES (138792, 12213, 25, 'Pecularities in many browsers may mean that the output below enters your screen in sudden jerks and that there are long pauses of several seconds where it  appears as though things may have crashed. That is not the case, you will eventually see output coming out line by line. There may be sequential numbers appearing  below, this is to indicate that even though nothing else may be displaying there is activity going on. These numbers will be interspersed with the content of the  billing and that is normal.');
INSERT INTO `lang_definitions` VALUES (138793, 12214, 25, 'presciptia a atins limita de');
INSERT INTO `lang_definitions` VALUES (138794, 12215, 25, 'pana cand');
INSERT INTO `lang_definitions` VALUES (138795, 12216, 25, 'actualizare esuata, nu este in baza de date?');
INSERT INTO `lang_definitions` VALUES (138796, 12217, 25, 'a fost marcat numai ca facturat.');
INSERT INTO `lang_definitions` VALUES (138797, 12218, 25, 'a fost în așteptare cu succes.');
INSERT INTO `lang_definitions` VALUES (138798, 12219, 25, '! Left w/o visit');
INSERT INTO `lang_definitions` VALUES (138799, 12220, 25, '\" for code');
INSERT INTO `lang_definitions` VALUES (138800, 12221, 25, '\" is CHECKED in PostCalendar Settings!');
INSERT INTO `lang_definitions` VALUES (138801, 12222, 25, '# Ins/fin issue');
INSERT INTO `lang_definitions` VALUES (138802, 12223, 25, '# of tablets:');
INSERT INTO `lang_definitions` VALUES (138803, 12224, 25, '$');
INSERT INTO `lang_definitions` VALUES (138804, 12225, 25, '$ Coding done');
INSERT INTO `lang_definitions` VALUES (138805, 12226, 25, '$label (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (138806, 12227, 25, '%');
INSERT INTO `lang_definitions` VALUES (138807, 12228, 25, '% Canceled < 24h');
INSERT INTO `lang_definitions` VALUES (138808, 12229, 25, '% Cancelled <  24h');
INSERT INTO `lang_definitions` VALUES (138809, 12230, 25, '\' should exist but does not.');
INSERT INTO `lang_definitions` VALUES (138810, 12231, 25, '(% matches any string, _ matches any character)');
INSERT INTO `lang_definitions` VALUES (138811, 12232, 25, '([ctrl] + click to select multiple recipients)');
INSERT INTO `lang_definitions` VALUES (138812, 12233, 25, '(Back)');
INSERT INTO `lang_definitions` VALUES (138813, 12234, 25, '(Click pentru modificare)');
INSERT INTO `lang_definitions` VALUES (138814, 12235, 25, '(Email delivery is immediate, while automated VOIP is sent to the service provider for further processing.)');
INSERT INTO `lang_definitions` VALUES (138815, 12236, 25, '(Mai mult)');
INSERT INTO `lang_definitions` VALUES (138816, 12237, 25, '(Pacient nou)');
INSERT INTO `lang_definitions` VALUES (138817, 12238, 25, '(Notes and Authorizations)');
INSERT INTO `lang_definitions` VALUES (138818, 12239, 25, '(Pacient Note)');
INSERT INTO `lang_definitions` VALUES (138819, 12240, 25, '(Select one of these, or type your own title)');
INSERT INTO `lang_definitions` VALUES (138820, 12241, 25, '(Shift-)Click or drag to change value');
INSERT INTO `lang_definitions` VALUES (138821, 12242, 25, '* Reminder done');
INSERT INTO `lang_definitions` VALUES (138822, 12243, 25, '** Please move surgeries to Issues!');
INSERT INTO `lang_definitions` VALUES (138823, 12244, 25, '*Required');
INSERT INTO `lang_definitions` VALUES (138824, 12245, 25, '+ Chart pulled');
INSERT INTO `lang_definitions` VALUES (138825, 12246, 25, '+1');
INSERT INTO `lang_definitions` VALUES (138826, 12247, 25, '+2');
INSERT INTO `lang_definitions` VALUES (138827, 12248, 25, '+3');
INSERT INTO `lang_definitions` VALUES (138828, 12249, 25, '- None');
INSERT INTO `lang_definitions` VALUES (138829, 12251, 25, '-- All --');
INSERT INTO `lang_definitions` VALUES (138830, 12252, 25, '--Select Role--');
INSERT INTO `lang_definitions` VALUES (138831, 12253, 25, '.');
INSERT INTO `lang_definitions` VALUES (138832, 12254, 25, '0');
INSERT INTO `lang_definitions` VALUES (138833, 12255, 25, '0-10');
INSERT INTO `lang_definitions` VALUES (138834, 12256, 25, '0-24');
INSERT INTO `lang_definitions` VALUES (138835, 12257, 25, '02/12{{CMS 1500 format date revision setting in globals}}');
INSERT INTO `lang_definitions` VALUES (138836, 12258, 25, '08/05{{CMS 1500 format date revision setting in globals}}');
INSERT INTO `lang_definitions` VALUES (138837, 12259, 25, '1');
INSERT INTO `lang_definitions` VALUES (138838, 12260, 25, '1 = North America. See http://www.wtng.info/ for a list of other country codes.');
INSERT INTO `lang_definitions` VALUES (138839, 12261, 25, '1 zi de acum');
INSERT INTO `lang_definitions` VALUES (138840, 12262, 25, '1 luna de acum');
INSERT INTO `lang_definitions` VALUES (138841, 12263, 25, '1 saptamana de acum');
INSERT INTO `lang_definitions` VALUES (138842, 12264, 25, '1 an de acum');
INSERT INTO `lang_definitions` VALUES (138843, 12265, 25, '1.Rest 2. Gheata 2 zile 3. Compression, leave the dressing in place unless the foot develops numbness or pale color 4. Elevate the foot and leg');
INSERT INTO `lang_definitions` VALUES (138844, 12266, 25, '11-14');
INSERT INTO `lang_definitions` VALUES (138845, 12267, 25, '12 hr');
INSERT INTO `lang_definitions` VALUES (138846, 12268, 25, '15-19');
INSERT INTO `lang_definitions` VALUES (138847, 12269, 25, '1mm');
INSERT INTO `lang_definitions` VALUES (138848, 12270, 25, 'primul');
INSERT INTO `lang_definitions` VALUES (138849, 12272, 25, '2');
INSERT INTO `lang_definitions` VALUES (138850, 12273, 25, '2 zile de acum');
INSERT INTO `lang_definitions` VALUES (138851, 12274, 25, '2 luni de acum');
INSERT INTO `lang_definitions` VALUES (138852, 12275, 25, '2 saptamani de acum');
INSERT INTO `lang_definitions` VALUES (138853, 12276, 25, '2 ani de acum incolo');
INSERT INTO `lang_definitions` VALUES (138854, 12277, 25, '2-20 ani');
INSERT INTO `lang_definitions` VALUES (138855, 12278, 25, '20-24');
INSERT INTO `lang_definitions` VALUES (138856, 12279, 25, '2011 Automated Measure Calculations (AMC)');
INSERT INTO `lang_definitions` VALUES (138857, 12280, 25, '2011 Clinical Quality Measures (CQM)');
INSERT INTO `lang_definitions` VALUES (138858, 12281, 25, '2011 Official Clinical Quality Measures (CQM) Measure Groups');
INSERT INTO `lang_definitions` VALUES (138859, 12282, 25, '2014 Automated Measure Calculations (AMC)');
INSERT INTO `lang_definitions` VALUES (138860, 12283, 25, '2014 Automated Measure Calculations (AMC) - Stage I');
INSERT INTO `lang_definitions` VALUES (138861, 12284, 25, '2014 Automated Measure Calculations (AMC) - Stage II');
INSERT INTO `lang_definitions` VALUES (138862, 12285, 25, '2014 Clinical Quality Measures (CQM)');
INSERT INTO `lang_definitions` VALUES (138863, 12286, 25, '2014 Official Clinical Quality Measures (CQM) Measure Groups');
INSERT INTO `lang_definitions` VALUES (138864, 12287, 25, '2111-13');
INSERT INTO `lang_definitions` VALUES (138865, 12288, 25, '24 hr');
INSERT INTO `lang_definitions` VALUES (138866, 12289, 25, '25+');
INSERT INTO `lang_definitions` VALUES (138867, 12290, 25, '25-29');
INSERT INTO `lang_definitions` VALUES (138868, 12292, 25, '2mm');
INSERT INTO `lang_definitions` VALUES (138869, 12293, 25, 'al doilea');
INSERT INTO `lang_definitions` VALUES (138870, 12296, 25, '3 zile de acum incolo');
INSERT INTO `lang_definitions` VALUES (138871, 12297, 25, '3 Luni');
INSERT INTO `lang_definitions` VALUES (138872, 12298, 25, '3 Luni de-acum incolo');
INSERT INTO `lang_definitions` VALUES (138873, 12299, 25, 'De 3 ori pe zi');
INSERT INTO `lang_definitions` VALUES (138874, 12300, 25, '3 Saptamani de-acum incolo');
INSERT INTO `lang_definitions` VALUES (138875, 12301, 25, '30-34');
INSERT INTO `lang_definitions` VALUES (138876, 12302, 25, '35-39');
INSERT INTO `lang_definitions` VALUES (138877, 12303, 25, '3mm');
INSERT INTO `lang_definitions` VALUES (138878, 12304, 25, 'Al 3-lea');
INSERT INTO `lang_definitions` VALUES (138879, 12307, 25, '4 Zile de-acum incolo');
INSERT INTO `lang_definitions` VALUES (138880, 12308, 25, '4 Luni');
INSERT INTO `lang_definitions` VALUES (138881, 12309, 25, '4 Luni de-acum incolo');
INSERT INTO `lang_definitions` VALUES (138882, 12310, 25, 'De 4 ori pe zi');
INSERT INTO `lang_definitions` VALUES (138883, 12311, 25, '4 Saptamani de-acum incolo');
INSERT INTO `lang_definitions` VALUES (138884, 12312, 25, '40-44');
INSERT INTO `lang_definitions` VALUES (138885, 12313, 25, '45+');
INSERT INTO `lang_definitions` VALUES (138886, 12314, 25, '465.9, URI');
INSERT INTO `lang_definitions` VALUES (138887, 12315, 25, '466.0, Bronchitis, Acute NOS');
INSERT INTO `lang_definitions` VALUES (138888, 12316, 25, '486.0, Pneumonia, Acute');
INSERT INTO `lang_definitions` VALUES (138889, 12317, 25, '491.21, COPD Exacerbation');
INSERT INTO `lang_definitions` VALUES (138890, 12318, 25, '491.8, Bronchitis, Chronic');
INSERT INTO `lang_definitions` VALUES (138891, 12319, 25, '493.92, Asthma, Acute Exac.');
INSERT INTO `lang_definitions` VALUES (138892, 12320, 25, '496.0, COPD');
INSERT INTO `lang_definitions` VALUES (138893, 12322, 25, '4mm');
INSERT INTO `lang_definitions` VALUES (138894, 12323, 25, 'Al 4-lea');
INSERT INTO `lang_definitions` VALUES (138895, 12326, 25, '5 zile de-acum incolo');
INSERT INTO `lang_definitions` VALUES (138896, 12327, 25, '5 luni de-acum incolo');
INSERT INTO `lang_definitions` VALUES (138897, 12328, 25, '5 saptamani de-acum in colo');
INSERT INTO `lang_definitions` VALUES (138898, 12329, 25, '519.7, Bronchospasm');
INSERT INTO `lang_definitions` VALUES (138899, 12330, 25, '5mm');
INSERT INTO `lang_definitions` VALUES (138900, 12331, 25, 'Al 5-lea');
INSERT INTO `lang_definitions` VALUES (138901, 12333, 25, '6 zile de-acum incolo');
INSERT INTO `lang_definitions` VALUES (138902, 12334, 25, '6 Luni');
INSERT INTO `lang_definitions` VALUES (138903, 12335, 25, '6 Luni de-acum incolo');
INSERT INTO `lang_definitions` VALUES (138904, 12336, 25, '6 saptamani de-acum in colo');
INSERT INTO `lang_definitions` VALUES (138905, 12337, 25, 'Al 6-lea');
INSERT INTO `lang_definitions` VALUES (138906, 12339, 25, '7 Luni de-acum incolo');
INSERT INTO `lang_definitions` VALUES (138907, 12340, 25, '8 Luni de-acum incolo');
INSERT INTO `lang_definitions` VALUES (138908, 12342, 25, '824.0 Fracture, medial malleolus, closed');
INSERT INTO `lang_definitions` VALUES (138909, 12343, 25, '824.2 Fracture, lateral malleolus, closed');
INSERT INTO `lang_definitions` VALUES (138910, 12344, 25, '824.6 Fracture, Trimalleolar, closed');
INSERT INTO `lang_definitions` VALUES (138911, 12345, 25, '825.32 Fracture, of Navicular (ankle)');
INSERT INTO `lang_definitions` VALUES (138912, 12346, 25, '825.35 Fracture, Base of fifth (5th) Metatarsal');
INSERT INTO `lang_definitions` VALUES (138913, 12347, 25, '845.00 ankle sprain NOS');
INSERT INTO `lang_definitions` VALUES (138914, 12348, 25, '845.01 Sprain Medial (Deltoid) Lig.');
INSERT INTO `lang_definitions` VALUES (138915, 12349, 25, '845.02 Sprain, Calcaneal fibular');
INSERT INTO `lang_definitions` VALUES (138916, 12350, 25, '9 luni de-acum incolo');
INSERT INTO `lang_definitions` VALUES (138917, 12351, 25, '99212 Established - Uncomplicated');
INSERT INTO `lang_definitions` VALUES (138918, 12352, 25, '99213 Established - Low Complexity');
INSERT INTO `lang_definitions` VALUES (138919, 12353, 25, '< In camera de examinare');
INSERT INTO `lang_definitions` VALUES (138920, 12356, 25, '> 3 HPI elements');
INSERT INTO `lang_definitions` VALUES (138921, 12357, 25, '> Verificat');
INSERT INTO `lang_definitions` VALUES (138922, 12359, 25, '?');
INSERT INTO `lang_definitions` VALUES (138923, 12361, 25, '? Nu afisa');
INSERT INTO `lang_definitions` VALUES (138924, 12362, 25, '@ Arrived');
INSERT INTO `lang_definitions` VALUES (138925, 12364, 25, '[Change View]');
INSERT INTO `lang_definitions` VALUES (138926, 12365, 25, '[Date of Last Encounter]');
INSERT INTO `lang_definitions` VALUES (138927, 12366, 25, '[Days Since Last Encounter]');
INSERT INTO `lang_definitions` VALUES (138928, 12367, 25, '[EOBs]');
INSERT INTO `lang_definitions` VALUES (138929, 12368, 25, '[Export OFX]');
INSERT INTO `lang_definitions` VALUES (138930, 12369, 25, '[not recommended]');
INSERT INTO `lang_definitions` VALUES (138931, 12370, 25, '[Number Of Encounters]');
INSERT INTO `lang_definitions` VALUES (138932, 12371, 25, '[Reports]');
INSERT INTO `lang_definitions` VALUES (138933, 12372, 25, '[Select All]');
INSERT INTO `lang_definitions` VALUES (138934, 12373, 25, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (138935, 12374, 25, '[Start Batch Processing]');
INSERT INTO `lang_definitions` VALUES (138936, 12375, 25, '[View Log]');
INSERT INTO `lang_definitions` VALUES (138937, 12376, 25, '[View Printable Report]');
INSERT INTO `lang_definitions` VALUES (138938, 12378, 25, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (138939, 12379, 25, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (138940, 12380, 25, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (138941, 12381, 25, '~ Arrived late');
INSERT INTO `lang_definitions` VALUES (138942, 1, 26, 'Một');
INSERT INTO `lang_definitions` VALUES (138943, 2, 26, 'Số séc hoặc số yêu cầu để nhận biết việc thanh toán');
INSERT INTO `lang_definitions` VALUES (138944, 3, 26, 'Phải chọn một yêu cầu để kích hoạt trình đơn này');
INSERT INTO `lang_definitions` VALUES (138945, 4, 26, 'Một giấy chứng nhận của máy khách cho người quản trị');
INSERT INTO `lang_definitions` VALUES (138946, 5, 26, 'Một Quy tắc Quyết định Lâm sàng là thông tin đặc trưng của bệnh nhân được lọc và trình bày tại những thời điểm thích hợp để nâng cao sức khỏe và sự chăm sóc sức khỏe ');
INSERT INTO `lang_definitions` VALUES (138947, 6, 26, 'Một tài liệu lâm sàng được đính kèm');
INSERT INTO `lang_definitions` VALUES (138948, 7, 26, 'Một tài liệu lâm sàng được đính kèm.');
INSERT INTO `lang_definitions` VALUES (138949, 8, 26, 'Đã chọn một mã cho kiểu này. Hãy xóa trường này trước nếu bạn cần thay thế nó.');
INSERT INTO `lang_definitions` VALUES (138950, 9, 26, 'Một thông điệp nhắc nhở theo ngày có thể được chuyển tiếp bằng cách bấm vào nút Chuyển tiếp hoặc được bỏ khỏi danh sách nhắc nhở theo ngày bằng cách bấm vào nút Đánh dấu Đã Hoàn thành');
INSERT INTO `lang_definitions` VALUES (138951, 10, 26, 'Cần phải mua một khóa bảo mật dành riêng');
INSERT INTO `lang_definitions` VALUES (138952, 11, 26, 'Mã mặc định là tùy chọn do có thể nhập mã cần thiết vào thời điểm đặt hàng thực tế ');
INSERT INTO `lang_definitions` VALUES (138953, 12, 26, 'Có thể tìm ở đây hướng dẫn chi tiết cách kích hoạt và thiết lập Quy tắc Quyết định Lâm sàng');
INSERT INTO `lang_definitions` VALUES (138954, 13, 26, 'Phải có nhà phân phối');
INSERT INTO `lang_definitions` VALUES (138955, 14, 26, 'Có thể chỉ định một ngày cuối hoặc chọn khoảng thời gian cụ thể để hiện nhắc nhở theo ngày ');
INSERT INTO `lang_definitions` VALUES (138956, 15, 26, 'Một vài từ để chỉ ra lý do lần đến khám');
INSERT INTO `lang_definitions` VALUES (138957, 16, 26, 'Có thể lên kế hoạch cho một cuộc hẹn tiếp theo ngay tại bảng tính phí.');
INSERT INTO `lang_definitions` VALUES (138958, 17, 26, 'Phải thêm vào lần đến khám này một biểu mẫu đến khám GCAC.');
INSERT INTO `lang_definitions` VALUES (138959, 19, 26, 'Một ứng dụng lớn như OpenEMR được nhiều người dùng với những vai trò khác nhau và nhiều mức độ trách nhiệm. Cần thiết phải gán quyền truy nhập vào các thành phần khác nhau của chương trình cho người dùng tùy theo sự cần biết. Để làm điều đó, Danh sách Điều khiển Truy nhập (ACL) được dùng.');
INSERT INTO `lang_definitions` VALUES (138960, 20, 26, 'Phải có số lô sản xuất');
INSERT INTO `lang_definitions` VALUES (138961, 21, 26, 'Phải có số lô sản xuất!');
INSERT INTO `lang_definitions` VALUES (138962, 22, 26, 'Dùng chữ thường');
INSERT INTO `lang_definitions` VALUES (138963, 23, 26, 'Một Cuộc hẹn Mới');
INSERT INTO `lang_definitions` VALUES (138964, 24, 26, 'Một tính năng mới giúp nhóm các xét nghiệm thường được chỉ định để chúng được chỉ định cùng nhau');
INSERT INTO `lang_definitions` VALUES (138965, 25, 26, 'Như thế có thể gửi một thông điệp mới đến một hay nhiều người dùng và/hoặc về một hay nhiều bệnh nhân ');
INSERT INTO `lang_definitions` VALUES (138966, 27, 26, 'Một trình đơn con mới sẽ xuất hiện ở trên đầu giữa trang Thông diệp');
INSERT INTO `lang_definitions` VALUES (138967, 28, 26, 'Chữ số');
INSERT INTO `lang_definitions` VALUES (138968, 29, 26, 'Phải chọn một bệnh nhân để tạo báo cáo này');
INSERT INTO `lang_definitions` VALUES (138969, 30, 26, 'Đã có bệnh nhân với số chứng minh thư này.');
INSERT INTO `lang_definitions` VALUES (138970, 31, 26, 'Đã có bệnh nhân với tên này.');
INSERT INTO `lang_definitions` VALUES (138971, 32, 26, 'Đã có bệnh nhân với số ASXH này.');
INSERT INTO `lang_definitions` VALUES (138972, 33, 26, 'Phải có Một Thanh toán! Vui lòng nhập một mục thanh toán.');
INSERT INTO `lang_definitions` VALUES (138973, 34, 26, 'Một nơi để ghi thông tin và hiển thị lịch sử thuốc men, lịch sử gia đình, lịch sử cá nhân của bệnh nhân');
INSERT INTO `lang_definitions` VALUES (138974, 35, 26, 'Một hộp thoại bật lên sẽ báo cho bạn biết thành công hay thất bại');
INSERT INTO `lang_definitions` VALUES (138975, 36, 26, 'Một số dương thể hiện bao nhiêu lần hẹn trước đây tại một Tiện ích trong màn hình Tóm lược Bệnh nhân (một số âm thể hiện các lần hẹn trước đây theo thứ tự giảm dần)');
INSERT INTO `lang_definitions` VALUES (138976, 37, 26, 'Một số dương thể hiện bao nhiêu lần hẹn trước đây tại một Tiện ích trong màn hình Tóm lược Bệnh nhân.');
INSERT INTO `lang_definitions` VALUES (138977, 38, 26, 'Đã chọn một sản phẩm nhưng không có phần dành cho sản phẩm trong biểu mẫu này.');
INSERT INTO `lang_definitions` VALUES (138978, 39, 26, 'Có thể chọn một nhà cung cấp hay kho hàng trong hộp chọn xổ xuống. Để hiện tùy chọn này, phải đánh dấu \"Hỗ trợ nhà cung cấp trong dòng trong bảng tính phí\' tại trang Quản trị > Toàn thể > Hóa đơn ');
INSERT INTO `lang_definitions` VALUES (138979, 41, 26, 'Một Giới thiệu có hành động thêm - để in một giới thiệu hay lưu thành tập tin pdf');
INSERT INTO `lang_definitions` VALUES (138980, 42, 26, 'Một Giới thiệu là loại giao dịch thường gặp nhất');
INSERT INTO `lang_definitions` VALUES (138981, 43, 26, 'Có thể chỉ ra nguồn giới thiệu cho mỗi lần đến khám.');
INSERT INTO `lang_definitions` VALUES (138982, 44, 26, 'Phải có mã IPPF liên quan!');
INSERT INTO `lang_definitions` VALUES (138983, 45, 26, 'Phải có kết nối web bảo mật (HTTPS) cho U2F');
INSERT INTO `lang_definitions` VALUES (138984, 46, 26, 'Diễn tả ngắn về nhóm này sẽ được hiện khi bạn để con trỏ chuột trên nhóm mới được tạo (ARO). ');
INSERT INTO `lang_definitions` VALUES (138985, 47, 26, 'Diễn tả ngắn về nhóm này, các xét nghiệm hóa chất Huyết tương');
INSERT INTO `lang_definitions` VALUES (138986, 48, 26, 'Diễn tả ngắn về thủ tục này hoặc mã kết quả');
INSERT INTO `lang_definitions` VALUES (138987, 49, 26, 'Ký tự đặc biệt');
INSERT INTO `lang_definitions` VALUES (138988, 50, 26, 'Dùng biểu mẫu chuẩn tên Biểu mẫu Yêu cầu Bảo hiểm Sức khỏe để gửi yêu cầu ');
INSERT INTO `lang_definitions` VALUES (138989, 51, 26, 'Lựa chọn thứ ba là quét kết quả và lưu thành tại liệu - TIFF, JPEG hay PDF trong biểu đồ của bệnh nhân phần các tài liệu');
INSERT INTO `lang_definitions` VALUES (138990, 52, 26, 'Sẽ hiện biểu mẫu có hai phiếu');
INSERT INTO `lang_definitions` VALUES (138991, 53, 26, 'Một giá trị duy nhất để xác định trường này, không hiển thị cho người sử dụng');
INSERT INTO `lang_definitions` VALUES (138992, 54, 26, 'Cách bắt đầu có lợi là lấy một tờ kết quả từ phòng thí nghiệm và xem cách tổ chức các xét nghiệm trên đó');
INSERT INTO `lang_definitions` VALUES (138993, 55, 26, 'Đã có một lần khám trong này hôm nay cho nhóm này. Bấm \"Hủy bỏ\" để mở nó, hay OK để thực hiện việc tạo lần khám mới.');
INSERT INTO `lang_definitions` VALUES (138994, 56, 26, 'Đã có một lần khám trong này hôm nay cho bệnh nhân này. Bấm \"Hủy bỏ\" để mở nó, hay OK để thực hiện việc tạo lần khám mới.');
INSERT INTO `lang_definitions` VALUES (138995, 57, 26, 'trước khi ăn');
INSERT INTO `lang_definitions` VALUES (138996, 58, 26, 'buổi sáng');
INSERT INTO `lang_definitions` VALUES (138997, 59, 26, 'A/C{{tiền phòng}}');
INSERT INTO `lang_definitions` VALUES (138998, 60, 26, 'A/F Quyền lợi Pháp lý:');
INSERT INTO `lang_definitions` VALUES (138999, 61, 26, 'Phân đoạn AAA');
INSERT INTO `lang_definitions` VALUES (139000, 62, 26, 'AB');
INSERT INTO `lang_definitions` VALUES (139001, 63, 26, 'Viết tắt');
INSERT INTO `lang_definitions` VALUES (139002, 64, 26, 'Abcess:');
INSERT INTO `lang_definitions` VALUES (139003, 65, 26, 'Bụng');
INSERT INTO `lang_definitions` VALUES (139004, 66, 26, 'Có khả năng Mang Nặng bốn (4) bước:');
INSERT INTO `lang_definitions` VALUES (139005, 67, 26, 'Abn');
INSERT INTO `lang_definitions` VALUES (139006, 68, 26, 'ABN1');
INSERT INTO `lang_definitions` VALUES (139007, 69, 26, 'BThg');
INSERT INTO `lang_definitions` VALUES (139008, 70, 26, 'Bất bình thường');
INSERT INTO `lang_definitions` VALUES (139009, 71, 26, 'Xét nghiệm máu bất thường');
INSERT INTO `lang_definitions` VALUES (139010, 72, 26, 'Tăng trưởng Tóc Bất thường');
INSERT INTO `lang_definitions` VALUES (139011, 73, 26, 'Tuyến vú Bất thường');
INSERT INTO `lang_definitions` VALUES (139012, 74, 26, 'Hủy bỏ');
INSERT INTO `lang_definitions` VALUES (139013, 75, 26, 'Phá thai');
INSERT INTO `lang_definitions` VALUES (139014, 76, 26, 'Vấn đề Nạo phá thai');
INSERT INTO `lang_definitions` VALUES (139015, 77, 26, 'Phương pháp Phá thai');
INSERT INTO `lang_definitions` VALUES (139016, 78, 26, 'Thể loại Phá thai-Liên quan');
INSERT INTO `lang_definitions` VALUES (139017, 79, 26, 'Phá thai');
INSERT INTO `lang_definitions` VALUES (139018, 80, 26, 'Giới thiệu');
INSERT INTO `lang_definitions` VALUES (139019, 81, 26, 'Giới thiệu Bảng chỉ số Cổng thông tin');
INSERT INTO `lang_definitions` VALUES (139020, 82, 26, 'Giới thiệu về lịch');
INSERT INTO `lang_definitions` VALUES (139021, 83, 26, 'Giới thiệu Cổng thông tin Của bạn');
INSERT INTO `lang_definitions` VALUES (139022, 84, 26, 'Vượt trên các giới hạn sợ hãi cao');
INSERT INTO `lang_definitions` VALUES (139023, 85, 26, 'Chẩn đoán vắng mặt');
INSERT INTO `lang_definitions` VALUES (139024, 86, 26, 'Chấp nhận');
INSERT INTO `lang_definitions` VALUES (139025, 87, 26, 'Chấp nhận Chuyển nhượng');
INSERT INTO `lang_definitions` VALUES (139026, 88, 26, 'Chấp nhận Thanh toán');
INSERT INTO `lang_definitions` VALUES (139027, 89, 26, 'Chấp nhận Thanh toán cho');
INSERT INTO `lang_definitions` VALUES (139028, 90, 26, 'Chấp nhận Thanh toán cho');
INSERT INTO `lang_definitions` VALUES (139029, 91, 26, 'Chấp nhận Phần được giao');
INSERT INTO `lang_definitions` VALUES (139030, 92, 26, 'Có thể cấp quyền try nhập cho các nhóm khác bằng cách sửa Các thành viên Người dùng hay Các nhóm và Kiểm soát Truy nhập tại Quản trị > ACL ');
INSERT INTO `lang_definitions` VALUES (139031, 93, 26, 'Kiểm soát Truy nhập');
INSERT INTO `lang_definitions` VALUES (139032, 94, 26, 'Quản trị Danh sách Kiểm soát Truy nhập');
INSERT INTO `lang_definitions` VALUES (139033, 95, 26, 'Hỗ trợ Danh sách Kiểm soát Truy nhập');
INSERT INTO `lang_definitions` VALUES (139034, 96, 26, 'Danh sách Kiểm soát Truy nhập');
INSERT INTO `lang_definitions` VALUES (139035, 97, 26, 'Truy nhập bộ dữ liệu cốt lõi của người bệnh vào lúc bắt đầu một lần khám');
INSERT INTO `lang_definitions` VALUES (139036, 98, 26, 'Ngày truy nhập');
INSERT INTO `lang_definitions` VALUES (139037, 99, 26, 'Từ chối truy nhập');
INSERT INTO `lang_definitions` VALUES (139038, 100, 26, 'Sau đó gán quyền truy nhập một cách chọn lọc vào các phần của chương trình tùy theo sự cần biết.');
INSERT INTO `lang_definitions` VALUES (139039, 101, 26, 'không được phép truy nhập');
INSERT INTO `lang_definitions` VALUES (139040, 102, 26, 'Không được phép truy nhập');
INSERT INTO `lang_definitions` VALUES (139041, 103, 26, 'Không được Cấp phép Truy nhập');
INSERT INTO `lang_definitions` VALUES (139042, 104, 26, 'Truy nhập Các bản ghi Y khoa Của bạn');
INSERT INTO `lang_definitions` VALUES (139043, 105, 26, 'Truy nhập Cổng thông tin Bệnh nhân Của bạn');
INSERT INTO `lang_definitions` VALUES (139044, 106, 26, 'Tai nạn');
INSERT INTO `lang_definitions` VALUES (139045, 107, 26, 'Tài khoản');
INSERT INTO `lang_definitions` VALUES (139046, 109, 26, 'Đã cấp mã tài khoản cho dịch vụ NewCrop eRx, dùng để phân tách các tài khoản của nhiều cơ sở.');
INSERT INTO `lang_definitions` VALUES (139047, 110, 26, 'Đã cấp mã tài khoản cho dịch vụ Weno eRx.');
INSERT INTO `lang_definitions` VALUES (139048, 111, 26, 'Đã cấp mã tài khoản cho dịch vụ eRx Y tế của bạn. ');
INSERT INTO `lang_definitions` VALUES (139049, 112, 26, 'Đã xác nhận tài khoản. Có gửi thông tin xác thực?');
INSERT INTO `lang_definitions` VALUES (139050, 113, 26, 'Tên Tài khoản');
INSERT INTO `lang_definitions` VALUES (139051, 114, 26, 'Đã cấp tên cho dịch vụ NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (139052, 115, 26, 'Đã cấp mật khẩu cho dịch vụ NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (139053, 117, 26, 'Kế toán');
INSERT INTO `lang_definitions` VALUES (139054, 118, 26, 'Kế toán (kt)');
INSERT INTO `lang_definitions` VALUES (139055, 119, 26, 'Kế toán');
INSERT INTO `lang_definitions` VALUES (139056, 120, 26, 'Kt');
INSERT INTO `lang_definitions` VALUES (139057, 122, 26, 'Đau nhức');
INSERT INTO `lang_definitions` VALUES (139058, 123, 26, 'Xác nhận là Chữ ký Điện tử của tôi');
INSERT INTO `lang_definitions` VALUES (139059, 124, 26, 'Đã yêu cầu Xác nhận (ISA14)');
INSERT INTO `lang_definitions` VALUES (139060, 125, 26, 'Lời cảm ơn, Cấp phép và Chứng chỉ');
INSERT INTO `lang_definitions` VALUES (139061, 126, 26, 'ACL');
INSERT INTO `lang_definitions` VALUES (139062, 127, 26, 'Quản trị ACL');
INSERT INTO `lang_definitions` VALUES (139063, 128, 26, 'Quản trị ACL (acl)');
INSERT INTO `lang_definitions` VALUES (139064, 129, 26, 'Không được quyền Quản trị ACL');
INSERT INTO `lang_definitions` VALUES (139065, 131, 26, 'Kiểm soát Chi ly ACL');
INSERT INTO `lang_definitions` VALUES (139066, 132, 26, 'Cập nhật Thành công ACL');
INSERT INTO `lang_definitions` VALUES (139067, 133, 26, 'Mụn trứng cá');
INSERT INTO `lang_definitions` VALUES (139068, 136, 26, 'Được dùng');
INSERT INTO `lang_definitions` VALUES (139069, 137, 26, 'Ngày Được dùng');
INSERT INTO `lang_definitions` VALUES (139070, 138, 26, 'Hành động');
INSERT INTO `lang_definitions` VALUES (139071, 139, 26, 'Đã làm Hành động');
INSERT INTO `lang_definitions` VALUES (139072, 140, 26, 'Thời gian Đã làm Hành động');
INSERT INTO `lang_definitions` VALUES (139073, 141, 26, 'Người Hành động');
INSERT INTO `lang_definitions` VALUES (139074, 142, 26, 'Những Hoạt động');
INSERT INTO `lang_definitions` VALUES (139075, 143, 26, 'Kích hoạt');
INSERT INTO `lang_definitions` VALUES (139076, 144, 26, 'Kích hoạt việc Báo cáo CCR / CCD');
INSERT INTO `lang_definitions` VALUES (139077, 145, 26, 'kích hoạt để sắp xếp cột tăng dần');
INSERT INTO `lang_definitions` VALUES (139078, 146, 26, 'kích hoạt để sắp xếp cột giảm dần');
INSERT INTO `lang_definitions` VALUES (139079, 147, 26, 'Kích hoạt Hỗ trợ Yêu cầu UB04/837I');
INSERT INTO `lang_definitions` VALUES (139080, 148, 26, 'Có hiệu lực');
INSERT INTO `lang_definitions` VALUES (139081, 149, 26, 'Có hiệu lực - Mặc định bất kỳ giá trị nào được thêm vào đây cũng sẽ được đặt là Có hiệu lực, chỉ cần bỏ chọn để tránh mục dữ liệu xuất hiện trong danh sách xổ xuống ');
INSERT INTO `lang_definitions` VALUES (139082, 150, 26, 'Cảnh báo Có hiệu lực');
INSERT INTO `lang_definitions` VALUES (139083, 151, 26, 'Cảnh báo Có hiệu lực - thể hiện như một thông báo hiện lên khi nhập vào một biểu đồ của bệnh nhân ');
INSERT INTO `lang_definitions` VALUES (139084, 152, 26, 'Các luật Cảnh báo Có hiệu lực');
INSERT INTO `lang_definitions` VALUES (139085, 153, 26, 'Cảnh báo / Nhắc nhở Có hiệu lực');
INSERT INTO `lang_definitions` VALUES (139086, 154, 26, 'Biểu đồ Có hiệu lực');
INSERT INTO `lang_definitions` VALUES (139087, 155, 26, 'Active Directory - Cơ sở Các Miền');
INSERT INTO `lang_definitions` VALUES (139088, 156, 26, 'Active Directory - Các Máy điều khiển Các miền');
INSERT INTO `lang_definitions` VALUES (139089, 157, 26, 'Active Directory - Hậu tố Của Tài khoản');
INSERT INTO `lang_definitions` VALUES (139090, 158, 26, 'Lần khám Có hiệu lực');
INSERT INTO `lang_definitions` VALUES (139091, 159, 26, 'Mã Rắc rối Có hiệu lực');
INSERT INTO `lang_definitions` VALUES (139092, 160, 26, 'Danh sách có hiệu lực');
INSERT INTO `lang_definitions` VALUES (139093, 161, 26, 'Thông điệp Có hiệu lực');
INSERT INTO `lang_definitions` VALUES (139094, 162, 26, 'Bệnh nhân Có hiệu lực');
INSERT INTO `lang_definitions` VALUES (139095, 163, 26, 'Kế hoạch Có hiệu lực');
INSERT INTO `lang_definitions` VALUES (139096, 164, 26, 'Khuôn mẫu Có hiệu lực');
INSERT INTO `lang_definitions` VALUES (139097, 173, 26, 'Hoạt động');
INSERT INTO `lang_definitions` VALUES (139098, 174, 26, 'Loại Hoạt động');
INSERT INTO `lang_definitions` VALUES (139099, 175, 26, 'Các phiếu thu Thực tế');
INSERT INTO `lang_definitions` VALUES (139100, 176, 26, 'Độ kịch liệt');
INSERT INTO `lang_definitions` VALUES (139101, 177, 26, 'ĐỘ KỊCH LIỆT');
INSERT INTO `lang_definitions` VALUES (139102, 179, 26, 'Độ kịch liệt với Kính Sát tròng');
INSERT INTO `lang_definitions` VALUES (139103, 180, 26, 'Độ kịch liệt với sự chỉnh sửa');
INSERT INTO `lang_definitions` VALUES (139104, 184, 26, 'Độ kịch liệt không có sự chỉnh sửa');
INSERT INTO `lang_definitions` VALUES (139105, 185, 26, 'Sự nhiễm độc/Giải độc Cấp tính');
INSERT INTO `lang_definitions` VALUES (139106, 186, 26, 'Sự biểu hiện Cấp tính của Tình trạng Kinh niên');
INSERT INTO `lang_definitions` VALUES (139107, 187, 26, 'Cấp tính / mãn tính');
INSERT INTO `lang_definitions` VALUES (139108, 188, 26, 'Đã xem xét Ad');
INSERT INTO `lang_definitions` VALUES (139109, 189, 26, 'Thêm');
INSERT INTO `lang_definitions` VALUES (139110, 190, 26, 'thêm');
INSERT INTO `lang_definitions` VALUES (139111, 191, 26, 'THÊM');
INSERT INTO `lang_definitions` VALUES (139112, 192, 26, 'Thêm Công ty');
INSERT INTO `lang_definitions` VALUES (139113, 193, 26, 'Thêm một điều kiện');
INSERT INTO `lang_definitions` VALUES (139114, 194, 26, 'THÊM MỘT LẦN THU HỒI');
INSERT INTO `lang_definitions` VALUES (139115, 195, 26, 'Thêm Một lần Thu hồi');
INSERT INTO `lang_definitions` VALUES (139116, 196, 26, 'Thêm một ghi chú cho người xuất hóa đơn');
INSERT INTO `lang_definitions` VALUES (139117, 197, 26, 'Thêm Nhà thuốc');
INSERT INTO `lang_definitions` VALUES (139118, 198, 26, 'Thêm tất cả nhà cung cấp cần thiết theo cách tương tự');
INSERT INTO `lang_definitions` VALUES (139119, 199, 26, 'Thêm tất cả quy tắc vào kế hoạch');
INSERT INTO `lang_definitions` VALUES (139120, 200, 26, 'thêm một sự kiện cho');
INSERT INTO `lang_definitions` VALUES (139121, 201, 26, 'Thêm như một thông điệp mới');
INSERT INTO `lang_definitions` VALUES (139122, 202, 26, 'Thêm như ghi chú mới');
INSERT INTO `lang_definitions` VALUES (139123, 203, 26, 'Tạo Mới');
INSERT INTO `lang_definitions` VALUES (139124, 204, 26, 'Thêm như bệnh nhân mới');
INSERT INTO `lang_definitions` VALUES (139125, 205, 26, 'Thêm Dòng Có khung Dưới cùng');
INSERT INTO `lang_definitions` VALUES (139126, 206, 26, 'Thêm Các nút');
INSERT INTO `lang_definitions` VALUES (139127, 207, 26, 'Hiển thị phía trên của trình soạn thảo các nút cho các ký tự, văn bản đặc biệt để đưa vào văn bản khi được nhấn');
INSERT INTO `lang_definitions` VALUES (139128, 208, 26, 'Thêm Thể loại');
INSERT INTO `lang_definitions` VALUES (139129, 209, 26, 'Thêm Hằng số');
INSERT INTO `lang_definitions` VALUES (139130, 210, 26, 'Thêm Bối cảnh');
INSERT INTO `lang_definitions` VALUES (139131, 211, 26, 'Thêm Tiền phụ phí');
INSERT INTO `lang_definitions` VALUES (139132, 212, 26, 'Thêm tiêu chí');
INSERT INTO `lang_definitions` VALUES (139133, 213, 26, 'Thêm Nút Tùy chỉnh');
INSERT INTO `lang_definitions` VALUES (139134, 214, 26, 'Thêm Khung Dưới cùng của Dữ liệu');
INSERT INTO `lang_definitions` VALUES (139135, 215, 26, 'Thêm các quyền mong muốn bằng cách chuyển các mục dữ liệu (ACO) từ cột \'Không hoạt động\' qua cột \'Có hiệu lực\'');
INSERT INTO `lang_definitions` VALUES (139136, 216, 26, 'Thêm Chẩn đoán');
INSERT INTO `lang_definitions` VALUES (139137, 217, 26, 'Thêm Thuốc');
INSERT INTO `lang_definitions` VALUES (139138, 218, 26, 'Giúp đỡ Thêm Sửa Các giao dịch');
INSERT INTO `lang_definitions` VALUES (139139, 219, 26, 'Thêm lần khám');
INSERT INTO `lang_definitions` VALUES (139140, 220, 26, 'Thêm Lần khám');
INSERT INTO `lang_definitions` VALUES (139141, 221, 26, 'Thêm lần khám / ghi chú');
INSERT INTO `lang_definitions` VALUES (139142, 222, 26, 'Thêm Cơ sở');
INSERT INTO `lang_definitions` VALUES (139143, 223, 26, 'Thêm Trường');
INSERT INTO `lang_definitions` VALUES (139144, 224, 26, 'Thêm những dòng sau vào tập tin cấu hình Apache');
INSERT INTO `lang_definitions` VALUES (139145, 225, 26, 'Thêm Nhóm');
INSERT INTO `lang_definitions` VALUES (139146, 226, 26, 'Thêm nhóm');
INSERT INTO `lang_definitions` VALUES (139147, 227, 26, 'Thêm Mã ICD');
INSERT INTO `lang_definitions` VALUES (139148, 228, 26, 'Thêm Tiêm chủng');
INSERT INTO `lang_definitions` VALUES (139149, 229, 26, 'Không được quyền thêm!');
INSERT INTO `lang_definitions` VALUES (139150, 230, 26, 'Thêm Vấn đề');
INSERT INTO `lang_definitions` VALUES (139151, 231, 26, 'Thêm mục để theo dõi');
INSERT INTO `lang_definitions` VALUES (139152, 232, 26, 'Thêm Ngôn ngữ');
INSERT INTO `lang_definitions` VALUES (139153, 234, 26, 'Thêm thủ công');
INSERT INTO `lang_definitions` VALUES (139154, 235, 26, 'Thêm Cách thức');
INSERT INTO `lang_definitions` VALUES (139155, 236, 26, 'Thêm sự biến đổi cho loại trường dữ liệu này. Bạn có thể chọn nhiều hơn một.');
INSERT INTO `lang_definitions` VALUES (139156, 237, 26, 'Thêm Nhiều Mục nữa');
INSERT INTO `lang_definitions` VALUES (139157, 238, 26, 'Thêm Mới');
INSERT INTO `lang_definitions` VALUES (139158, 239, 26, 'Thêm mới');
INSERT INTO `lang_definitions` VALUES (139159, 240, 26, 'Thêm thể loại mới:');
INSERT INTO `lang_definitions` VALUES (139160, 241, 26, 'Thêm chứng nhận mới vào tập tin cấu hình Apache');
INSERT INTO `lang_definitions` VALUES (139161, 242, 26, 'Thêm Thành phần Mới');
INSERT INTO `lang_definitions` VALUES (139162, 243, 26, 'Thêm Các Thành phần Mới');
INSERT INTO `lang_definitions` VALUES (139163, 244, 26, 'Thêm cơ sở dữ liệu mới');
INSERT INTO `lang_definitions` VALUES (139164, 245, 26, 'Thêm Đầu mục Mới');
INSERT INTO `lang_definitions` VALUES (139165, 246, 26, 'Thêm Sự kiện Mới');
INSERT INTO `lang_definitions` VALUES (139166, 248, 26, 'THÊM NHÓM MỚI');
INSERT INTO `lang_definitions` VALUES (139167, 249, 26, 'Thêm Nhóm Mới');
INSERT INTO `lang_definitions` VALUES (139168, 250, 26, 'Thêm Vấn đề Mới');
INSERT INTO `lang_definitions` VALUES (139169, 251, 26, 'Thêm lô hàng và giao dịch mới');
INSERT INTO `lang_definitions` VALUES (139170, 252, 26, 'Thêm Thông điệp Mới');
INSERT INTO `lang_definitions` VALUES (139171, 253, 26, 'Thêm Ghi chú Mới');
INSERT INTO `lang_definitions` VALUES (139172, 254, 26, 'Thêm ghi chú mới');
INSERT INTO `lang_definitions` VALUES (139173, 255, 26, 'Thêm Đối tác Mới');
INSERT INTO `lang_definitions` VALUES (139174, 256, 26, 'Thêm Bệnh nhân Mới');
INSERT INTO `lang_definitions` VALUES (139175, 257, 26, 'THÊM KẾ HOẠCH MỚI');
INSERT INTO `lang_definitions` VALUES (139176, 258, 26, 'Thêm Mới...');
INSERT INTO `lang_definitions` VALUES (139177, 264, 26, 'Thêm Ghi chú');
INSERT INTO `lang_definitions` VALUES (139178, 265, 26, 'Thêm Hoạt động Cổng thông tin Tại cơ sở');
INSERT INTO `lang_definitions` VALUES (139179, 266, 26, 'Thêm Gói');
INSERT INTO `lang_definitions` VALUES (139180, 267, 26, 'Thêm Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (139181, 268, 26, 'Thêm Hồ sơ Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (139182, 269, 26, 'Thêm Đơn thuốc');
INSERT INTO `lang_definitions` VALUES (139183, 270, 26, 'Thêm Thủ tục');
INSERT INTO `lang_definitions` VALUES (139184, 271, 26, 'Thêm Số của Nhà cung cấp');
INSERT INTO `lang_definitions` VALUES (139185, 272, 26, 'Thêm Thu hồi');
INSERT INTO `lang_definitions` VALUES (139186, 273, 26, 'Thêm phục hồi chức năng');
INSERT INTO `lang_definitions` VALUES (139187, 274, 26, 'Thêm Quy tắc');
INSERT INTO `lang_definitions` VALUES (139188, 275, 26, 'Thêm các mã còn lại, để làm được việc đó mã CPT phải tồn tại trong cơ sở dữ liệu ');
INSERT INTO `lang_definitions` VALUES (139189, 276, 26, 'Thêm Giờ vào Ngày');
INSERT INTO `lang_definitions` VALUES (139190, 277, 26, 'Thêm vào');
INSERT INTO `lang_definitions` VALUES (139191, 278, 26, 'THÊM VÀO THÔNG ĐIỆP ĐANG CÓ');
INSERT INTO `lang_definitions` VALUES (139192, 279, 26, 'Thêm Vào Thông điệp Đang có');
INSERT INTO `lang_definitions` VALUES (139193, 280, 26, 'Thêm vào danh sách');
INSERT INTO `lang_definitions` VALUES (139194, 281, 26, 'Thêm vào Danh sách Điều trị');
INSERT INTO `lang_definitions` VALUES (139195, 282, 26, 'Thêm Mức đỉnh');
INSERT INTO `lang_definitions` VALUES (139196, 283, 26, 'Thêm giao dịch');
INSERT INTO `lang_definitions` VALUES (139197, 284, 26, 'Thêm Người dùng');
INSERT INTO `lang_definitions` VALUES (139198, 285, 26, 'Thêm Người dùng vào Nhóm');
INSERT INTO `lang_definitions` VALUES (139199, 287, 26, 'Thêm/Chỉnh sửa eRx');
INSERT INTO `lang_definitions` VALUES (139200, 288, 26, 'Thêm/Chỉnh sửa Rắc rối');
INSERT INTO `lang_definitions` VALUES (139201, 289, 26, 'Thêm/Chỉnh sửa Giao dịch của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (139202, 290, 26, 'đã thêm');
INSERT INTO `lang_definitions` VALUES (139203, 291, 26, 'Đang thêm');
INSERT INTO `lang_definitions` VALUES (139204, 292, 26, 'Đang thêm một người tham gia');
INSERT INTO `lang_definitions` VALUES (139205, 293, 26, 'Không được phép thêm thông tin cá nhân.');
INSERT INTO `lang_definitions` VALUES (139206, 294, 26, 'Gặp lỗi khi thêm mục để theo dõi');
INSERT INTO `lang_definitions` VALUES (139207, 295, 26, 'Hội chứng Addison');
INSERT INTO `lang_definitions` VALUES (139208, 296, 26, 'Hội chứng Addison');
INSERT INTO `lang_definitions` VALUES (139209, 297, 26, 'Các thuộc tính Bổ sung');
INSERT INTO `lang_definitions` VALUES (139210, 298, 26, 'Các điểm Dữ liệu Bổ sung');
INSERT INTO `lang_definitions` VALUES (139211, 299, 26, 'Ngày Bổ sung:');
INSERT INTO `lang_definitions` VALUES (139212, 300, 26, 'Các chẩn đoán Bổ sung:');
INSERT INTO `lang_definitions` VALUES (139213, 301, 26, 'Các phát hiện Bổ sung');
INSERT INTO `lang_definitions` VALUES (139214, 302, 26, 'Có thể truy cập chức năng bổ sung bao gồm gửi thông điệp văn bản SMS, quay số điện thoại tự động, thư điện tử, v.v bằng cách kích hoạt Dịch vụ Truyền thông MedEx tùy chọn ');
INSERT INTO `lang_definitions` VALUES (139215, 303, 26, 'Có trợ giúp bổ sung để điền biểu mẫu này bằng việc để con trỏ chuột trên các nhãn của mỗi hộp để hình tượng trợ giúp ? màu xanh xuất hiện và nhấn vào đó ');
INSERT INTO `lang_definitions` VALUES (139216, 305, 26, 'Lịch sử Bổ sung');
INSERT INTO `lang_definitions` VALUES (139217, 306, 26, 'Ghi chú lịch sử bổ sung');
INSERT INTO `lang_definitions` VALUES (139218, 307, 26, 'Thông tin Bổ sung');
INSERT INTO `lang_definitions` VALUES (139219, 308, 26, 'Có thể tìm thấy thông tin bổ sung về những trang riêng biệt trong các tập tin trợ giúp tương ứng của chúng');
INSERT INTO `lang_definitions` VALUES (139220, 309, 26, 'Thông tin bổ sung để xử lý các yêu cầu bằng giấy');
INSERT INTO `lang_definitions` VALUES (139221, 310, 26, 'Phòng thí nghiệm Bổ sung');
INSERT INTO `lang_definitions` VALUES (139222, 311, 26, 'Ghi chú Bổ sung');
INSERT INTO `lang_definitions` VALUES (139223, 312, 26, 'Trường Ghi chú Bổ sung để dùng nội bộ trong openEMR');
INSERT INTO `lang_definitions` VALUES (139224, 313, 26, 'Ghi chú bổ sung cho kết quả hay khuyến nghị này');
INSERT INTO `lang_definitions` VALUES (139225, 314, 26, 'Ghi chú Bổ sung:');
INSERT INTO `lang_definitions` VALUES (139226, 315, 26, 'Ghi chú Bổ sung:');
INSERT INTO `lang_definitions` VALUES (139227, 317, 26, 'Ghi chú X-Quang bổ sung:');
INSERT INTO `lang_definitions` VALUES (139228, 318, 26, 'Thêm vào đó, có thể nhập Gói Mở rộng Snomed của Hoa Kỳ tương ứng sau khi cài đặt Bản phát hành Snomed Quốc tế (phiên bản Tiếng Anh).');
INSERT INTO `lang_definitions` VALUES (139229, 320, 26, 'chỉ được thêm');
INSERT INTO `lang_definitions` VALUES (139230, 321, 26, 'chỉ được thêm - có thể đọc và thêm nhưng không sửa được ');
INSERT INTO `lang_definitions` VALUES (139231, 322, 26, 'Sổ Địa chỉ');
INSERT INTO `lang_definitions` VALUES (139232, 323, 26, 'Sổ Địa chỉ');
INSERT INTO `lang_definitions` VALUES (139233, 324, 26, 'Địa chỉ');
INSERT INTO `lang_definitions` VALUES (139234, 325, 26, 'Địa chỉ và Mã Thư tín');
INSERT INTO `lang_definitions` VALUES (139235, 326, 26, 'Địa chỉ và Bang');
INSERT INTO `lang_definitions` VALUES (139236, 327, 26, 'Sổ Địa chỉ');
INSERT INTO `lang_definitions` VALUES (139237, 328, 26, 'Đầu mục trong sổ địa chỉ cho công ty đang thực hiện thủ tục này');
INSERT INTO `lang_definitions` VALUES (139238, 329, 26, 'Đầu mục trong sổ địa chỉ cho nhà phân phối');
INSERT INTO `lang_definitions` VALUES (139239, 330, 26, 'Đầu mục trong sổ địa chỉ cho người bán');
INSERT INTO `lang_definitions` VALUES (139240, 331, 26, 'Các loại Sổ Địa chỉ');
INSERT INTO `lang_definitions` VALUES (139241, 332, 26, 'Nhãn Địa chỉ');
INSERT INTO `lang_definitions` VALUES (139242, 333, 26, 'Các nhãn Địa chỉ');
INSERT INTO `lang_definitions` VALUES (139243, 336, 26, 'Chỉ có Địa chỉ');
INSERT INTO `lang_definitions` VALUES (139244, 337, 26, 'Địa chỉ, Thành phố, Bang và Mã Thư tín');
INSERT INTO `lang_definitions` VALUES (139245, 338, 26, 'Địa chỉ, Bang và Mã Thư tín');
INSERT INTO `lang_definitions` VALUES (139246, 339, 26, 'Địa chỉ 1');
INSERT INTO `lang_definitions` VALUES (139247, 340, 26, 'Địa chỉ 2');
INSERT INTO `lang_definitions` VALUES (139248, 341, 26, 'ĐỊA CHỈ NHẬN');
INSERT INTO `lang_definitions` VALUES (139249, 342, 26, 'NGƯỜI NHẬN');
INSERT INTO `lang_definitions` VALUES (139250, 345, 26, 'Điều chỉnh');
INSERT INTO `lang_definitions` VALUES (139251, 346, 26, 'Số tiền điều chỉnh');
INSERT INTO `lang_definitions` VALUES (139252, 347, 26, 'Điều chỉnh');
INSERT INTO `lang_definitions` VALUES (139253, 348, 26, 'Điều chỉnh');
INSERT INTO `lang_definitions` VALUES (139254, 349, 26, 'Số tiền điều chỉnh');
INSERT INTO `lang_definitions` VALUES (139255, 350, 26, 'Các lý do Điều chỉnh');
INSERT INTO `lang_definitions` VALUES (139256, 352, 26, 'Điều chỉnh giá trị cho mã');
INSERT INTO `lang_definitions` VALUES (139257, 353, 26, 'Điều chỉnh');
INSERT INTO `lang_definitions` VALUES (139258, 354, 26, 'Quản trị điều chỉnh');
INSERT INTO `lang_definitions` VALUES (139259, 355, 26, 'Quản trị');
INSERT INTO `lang_definitions` VALUES (139260, 356, 26, 'Địa chỉ email Quản trị viên');
INSERT INTO `lang_definitions` VALUES (139261, 357, 26, 'Quản lý Bằng');
INSERT INTO `lang_definitions` VALUES (139262, 358, 26, 'Quản lý Bằng không liên quan trong ngữ cảnh này và có thể để là Chưa chọn');
INSERT INTO `lang_definitions` VALUES (139263, 359, 26, 'Được quản trị');
INSERT INTO `lang_definitions` VALUES (139264, 360, 26, 'Được quản trị Bởi');
INSERT INTO `lang_definitions` VALUES (139265, 361, 26, 'Ngày Được quản trị');
INSERT INTO `lang_definitions` VALUES (139266, 362, 26, 'Địa điểm được Quản trị');
INSERT INTO `lang_definitions` VALUES (139267, 363, 26, 'Quản trị');
INSERT INTO `lang_definitions` VALUES (139268, 364, 26, 'Quản trị (admin)');
INSERT INTO `lang_definitions` VALUES (139269, 365, 26, 'Địa điểm Quản trị');
INSERT INTO `lang_definitions` VALUES (139270, 366, 26, 'Quản trị viên');
INSERT INTO `lang_definitions` VALUES (139271, 367, 26, 'Quản trị viên có thể làm bất cứ điều gì');
INSERT INTO `lang_definitions` VALUES (139272, 368, 26, 'Ngày Nhập viện');
INSERT INTO `lang_definitions` VALUES (139273, 369, 26, 'Bộ phận phụ');
INSERT INTO `lang_definitions` VALUES (139274, 370, 26, 'Con Nuôi');
INSERT INTO `lang_definitions` VALUES (139275, 371, 26, 'Sàng lọc và Theo dõi Trọng lượng Người lớn');
INSERT INTO `lang_definitions` VALUES (139276, 372, 26, 'Sàng lọc và Theo dõi Trọng lượng Người lớn (CQM)');
INSERT INTO `lang_definitions` VALUES (139277, 373, 26, 'Chỉ thị Nâng cao');
INSERT INTO `lang_definitions` VALUES (139278, 374, 26, 'Chỉ thị Nâng cao');
INSERT INTO `lang_definitions` VALUES (139279, 375, 26, 'Cảnh báo Chỉ thị Nâng cao');
INSERT INTO `lang_definitions` VALUES (139280, 376, 26, 'Các tùy chọn Nâng cao');
INSERT INTO `lang_definitions` VALUES (139281, 377, 26, 'Nâng cao');
INSERT INTO `lang_definitions` VALUES (139282, 378, 26, 'Nâng cao - Điều khiển Truy cập Kỹ hơn ');
INSERT INTO `lang_definitions` VALUES (139283, 379, 26, 'Ưu điểm và Nhược điểm của TOTP và U2F');
INSERT INTO `lang_definitions` VALUES (139284, 380, 26, 'Lời khuyên');
INSERT INTO `lang_definitions` VALUES (139285, 381, 26, 'Afar');
INSERT INTO `lang_definitions` VALUES (139286, 382, 26, 'Ảnh hưởng đến bình thường');
INSERT INTO `lang_definitions` VALUES (139287, 383, 26, 'Tiếng/Người Nam Phi');
INSERT INTO `lang_definitions` VALUES (139288, 384, 26, 'sau');
INSERT INTO `lang_definitions` VALUES (139289, 385, 26, 'sau (PM)');
INSERT INTO `lang_definitions` VALUES (139290, 386, 26, 'Cuộc gọi sau giờ làm việc');
INSERT INTO `lang_definitions` VALUES (139291, 387, 26, 'Sau khi hoàn thành việc di chuyển từ các cơ chế mật khẩu cũ, nơi lưu mật khẩu không có salt trong bảng người dùng, cờ này cần được đặt thành false (sai) để chỉ cho phép xác thực bằng phương pháp mới.');
INSERT INTO `lang_definitions` VALUES (139292, 388, 26, 'Sau khi thực hiện các cấu hình trên, kết nhập chứng chỉ máy khách quản trị vào trình duyệt và khởi động lại máy chủ Apache (mật khẩu rỗng).');
INSERT INTO `lang_definitions` VALUES (139293, 390, 26, 'Sau khi lưu các file PDF, nhấp vào [Xem Bản ghi] để kiểm tra lỗi.');
INSERT INTO `lang_definitions` VALUES (139294, 391, 26, 'Sau khi lưu các file PDF, nhấp vào [Xem Bản ghi] để kiểm tra lỗi.');
INSERT INTO `lang_definitions` VALUES (139295, 393, 26, 'Sau khi lưu các tập tin văn bản, nhấp vào [Xem Bản ghi] để kiểm tra lỗi.');
INSERT INTO `lang_definitions` VALUES (139296, 394, 26, 'Sau khi lưu các tập tin văn bản, nhấp vào [Xem Bản ghi] để kiểm tra lỗi.');
INSERT INTO `lang_definitions` VALUES (139297, 396, 26, 'Sau khi lưu loạt của bạn, hãy nhấp vào [Xem Bản ghi] để kiểm tra lỗi.');
INSERT INTO `lang_definitions` VALUES (139298, 397, 26, 'Sau khi lưu loạt của bạn, hãy nhấp vào [Xem Bản ghi] để kiểm tra lỗi.');
INSERT INTO `lang_definitions` VALUES (139299, 398, 26, 'Sau đó cột \"Phù hợp với\" sẽ hiện mã bệnh nhân được chọn, hay 0 để tạo.');
INSERT INTO `lang_definitions` VALUES (139300, 399, 26, 'Sau khi đã nhập đúng thông tin, hãy nhấp vào nút Lưu.');
INSERT INTO `lang_definitions` VALUES (139301, 400, 26, 'Sau khi Tải lên, bấm nút \"Kết nhập\"');
INSERT INTO `lang_definitions` VALUES (139302, 401, 26, 'Sau khi Tải lên, bấm nút \"Kết nhập\"');
INSERT INTO `lang_definitions` VALUES (139303, 402, 26, 'Sau khi bạn điền vào bảng tình với các thể loại ICD và mã ICD liên quan, hãy đến Quản trị > Các danh sách. Chọn \'Thể loại Dịch vụ\' từ hộp thả xuống ');
INSERT INTO `lang_definitions` VALUES (139304, 403, 26, 'Sau khi bạn nhập xong tất cả mã ICD 10, hãy đến Quản trị > Các danh sách và chọn \'Loại Mã\' từ hộp thả xuống. Chọn \'Chẩn đoán ICD10\' từ hộp chọn thả xuống cuối cùng bên dưới ICD 10 ');
INSERT INTO `lang_definitions` VALUES (139305, 404, 26, 'Kế hoạch Chăm sóc');
INSERT INTO `lang_definitions` VALUES (139306, 406, 26, 'Lần nữa');
INSERT INTO `lang_definitions` VALUES (139307, 407, 26, 'Tuổi');
INSERT INTO `lang_definitions` VALUES (139308, 408, 26, 'Tuổi khi chết');
INSERT INTO `lang_definitions` VALUES (139309, 409, 26, 'Tuổi Khi');
INSERT INTO `lang_definitions` VALUES (139310, 410, 26, 'Thể loại Tuổi');
INSERT INTO `lang_definitions` VALUES (139311, 411, 26, 'Dữ liệu tuổi vượt khỏi phạm vi.');
INSERT INTO `lang_definitions` VALUES (139312, 412, 26, 'Định dạng Hiển thị Tuổi');
INSERT INTO `lang_definitions` VALUES (139313, 413, 26, 'Định dạng tuổi cho \"tuổi từ bao nhiêu\" là không hợp lệ');
INSERT INTO `lang_definitions` VALUES (139314, 414, 26, 'Định dạng tuổi cho \"tuổi lên đến\" là không hợp lệ');
INSERT INTO `lang_definitions` VALUES (139315, 415, 26, 'Tuổi Từ');
INSERT INTO `lang_definitions` VALUES (139316, 416, 26, 'Tuổi theo Năm để Thay đổi Định dạng Hiển thị');
INSERT INTO `lang_definitions` VALUES (139317, 417, 26, 'Tuổi lớn nhất');
INSERT INTO `lang_definitions` VALUES (139318, 418, 26, 'Tuổi nhỏ nhất');
INSERT INTO `lang_definitions` VALUES (139319, 419, 26, 'Phạm vi Tuổi');
INSERT INTO `lang_definitions` VALUES (139320, 420, 26, 'Các cột Tuổi');
INSERT INTO `lang_definitions` VALUES (139321, 421, 26, 'Cột Tuổi:');
INSERT INTO `lang_definitions` VALUES (139322, 422, 26, 'Akan');
INSERT INTO `lang_definitions` VALUES (139323, 423, 26, 'Albanian');
INSERT INTO `lang_definitions` VALUES (139324, 424, 26, 'Rượu');
INSERT INTO `lang_definitions` VALUES (139325, 425, 26, 'Lượng cồn hấp thu');
INSERT INTO `lang_definitions` VALUES (139326, 426, 26, 'Sử dụng Rượu');
INSERT INTO `lang_definitions` VALUES (139327, 427, 26, 'Cảnh báo');
INSERT INTO `lang_definitions` VALUES (139328, 428, 26, 'Số lần Cảnh báo');
INSERT INTO `lang_definitions` VALUES (139329, 430, 26, 'Cảnh báo vào ngày sinh và sau đó');
INSERT INTO `lang_definitions` VALUES (139330, 431, 26, 'Cảnh báo vào ngày sinh và sau đó tối đa 28 ngày ');
INSERT INTO `lang_definitions` VALUES (139331, 432, 26, 'Cảnh báo vào ngày sinh của bệnh nhân');
INSERT INTO `lang_definitions` VALUES (139332, 433, 26, 'Chỉ cảnh báo vào ngày sinh');
INSERT INTO `lang_definitions` VALUES (139333, 434, 26, 'Thời gian Cảnh báo');
INSERT INTO `lang_definitions` VALUES (139334, 435, 26, 'Cảnh báo');
INSERT INTO `lang_definitions` VALUES (139335, 436, 26, 'Ghi nhận Cảnh bảo');
INSERT INTO `lang_definitions` VALUES (139336, 437, 26, 'Cảnh báo/Nhắc nhở');
INSERT INTO `lang_definitions` VALUES (139337, 439, 26, 'ALEUT');
INSERT INTO `lang_definitions` VALUES (139338, 440, 26, 'Tất cả');
INSERT INTO `lang_definitions` VALUES (139339, 441, 26, 'TẤT CẢ');
INSERT INTO `lang_definitions` VALUES (139340, 442, 26, 'tất cả');
INSERT INTO `lang_definitions` VALUES (139341, 443, 26, 'Tất cả (đối chiếu Định dạng A)');
INSERT INTO `lang_definitions` VALUES (139342, 444, 26, 'Tất cả (đối chiếu Định dạng B)');
INSERT INTO `lang_definitions` VALUES (139343, 445, 26, 'Tất cả (Tích lũy)');
INSERT INTO `lang_definitions` VALUES (139344, 446, 26, 'Tất cả Cảnh báo');
INSERT INTO `lang_definitions` VALUES (139345, 447, 26, 'Tất cả Tính toán Đo lường Tự động (AMC)');
INSERT INTO `lang_definitions` VALUES (139346, 448, 26, 'Tất cả Thể loại');
INSERT INTO `lang_definitions` VALUES (139347, 449, 26, 'Tất cả Đo lường Chất lượng Lâm sàng (CQM)');
INSERT INTO `lang_definitions` VALUES (139348, 450, 26, 'Tất cả Mã');
INSERT INTO `lang_definitions` VALUES (139349, 452, 26, 'Tất cả Ngày');
INSERT INTO `lang_definitions` VALUES (139350, 453, 26, 'Cả Ngày');
INSERT INTO `lang_definitions` VALUES (139351, 454, 26, 'Sự kiện trong Cả Ngày');
INSERT INTO `lang_definitions` VALUES (139352, 455, 26, 'Tất cả các trường thông tin cá nhân, tìm kiếm và kiểm tra trùng lặp');
INSERT INTO `lang_definitions` VALUES (139353, 456, 26, 'Tất cả Lần đến khám');
INSERT INTO `lang_definitions` VALUES (139354, 457, 26, 'Tất cả các Cơ sở');
INSERT INTO `lang_definitions` VALUES (139355, 458, 26, 'Tất cả các Chấn thương / Vấn đề / Vấn đề');
INSERT INTO `lang_definitions` VALUES (139356, 459, 26, 'Cho phép Mọi Ngôn ngữ');
INSERT INTO `lang_definitions` VALUES (139357, 460, 26, 'Tất cả Thông điệp');
INSERT INTO `lang_definitions` VALUES (139358, 461, 26, 'Tất cả Nhóm Đo lường CQM (Đo lường Chất lượng Lâm sàng) Chính thức');
INSERT INTO `lang_definitions` VALUES (139359, 462, 26, 'Tất cả hoặc một phần của tên');
INSERT INTO `lang_definitions` VALUES (139360, 463, 26, 'Tất cả hoặc một phần của họ');
INSERT INTO `lang_definitions` VALUES (139361, 464, 26, 'Tất cả hoặc một phần của tổ chức');
INSERT INTO `lang_definitions` VALUES (139362, 465, 26, 'Tất cả các tương tác của bệnh nhân trong OpenEMR đều được liên kết đến lần khám');
INSERT INTO `lang_definitions` VALUES (139363, 466, 26, 'Tất cả Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (139364, 467, 26, 'Tất cả các thông điệp đang chờ đều được thể hiện trong bảng THÔNG ĐIỆP CỦA TÔI');
INSERT INTO `lang_definitions` VALUES (139365, 468, 26, 'Tất cả Sản phẩm');
INSERT INTO `lang_definitions` VALUES (139366, 469, 26, 'Tất cả các Nhà cung cấp');
INSERT INTO `lang_definitions` VALUES (139367, 470, 26, 'Tất cả Đánh giá và Âm tính:');
INSERT INTO `lang_definitions` VALUES (139368, 472, 26, 'Mọi phân đoạn đều không cần thiết, đúng hơn, chúng có thể dùng được dựa trên thông tin mà bác sĩ tin là quan trọng cho từng bệnh nhân vào từng thời điểm');
INSERT INTO `lang_definitions` VALUES (139369, 473, 26, 'Tất cả đã thiết lập. Bấm Gửi Yêu cầu dưới đây để hoàn thành việc đăng ký.');
INSERT INTO `lang_definitions` VALUES (139370, 475, 26, 'Tất cả Chủ đề');
INSERT INTO `lang_definitions` VALUES (139371, 476, 26, 'Tất cả ứng dụng sử dụng trình xác thực TOTP đều dùng chung giải thuật và hàm băm bảo mật - HMAC-SHA1 để tạo ra khóa duy nhất');
INSERT INTO `lang_definitions` VALUES (139372, 477, 26, 'Tất cả giao tác của bệnh nhân sẽ xuất hiện trên trang Giao tác theo thứ tự ngày tạo giảm dần');
INSERT INTO `lang_definitions` VALUES (139373, 478, 26, 'Tất cả Người dùng');
INSERT INTO `lang_definitions` VALUES (139374, 479, 26, 'Dị ứng');
INSERT INTO `lang_definitions` VALUES (139375, 480, 26, 'Dị ứng với');
INSERT INTO `lang_definitions` VALUES (139376, 481, 26, 'Các dị ứng');
INSERT INTO `lang_definitions` VALUES (139377, 482, 26, 'Các dị ứng - sẽ hiện tất cả danh sách dị ứng tại Các rắc rối > Các dị ứng. Nếu có kích hoạt eRx danh sách dị ứng phải được nhập vào trang eRx ');
INSERT INTO `lang_definitions` VALUES (139378, 483, 26, 'Dữ liệu Dị ứng/Cảnh báo');
INSERT INTO `lang_definitions` VALUES (139379, 484, 26, 'Các dị ứng:');
INSERT INTO `lang_definitions` VALUES (139380, 485, 26, 'Dị ứng');
INSERT INTO `lang_definitions` VALUES (139381, 486, 26, 'Đã hoàn thành kết nhập dị ứng');
INSERT INTO `lang_definitions` VALUES (139382, 487, 26, 'Danh sách Vấn đề Dị ứng');
INSERT INTO `lang_definitions` VALUES (139383, 488, 26, 'Phản ứng Dị ứng');
INSERT INTO `lang_definitions` VALUES (139384, 489, 26, 'CẢNH BÁO DỊ ỨNG');
INSERT INTO `lang_definitions` VALUES (139385, 490, 26, 'Cảnh báo Dị ứng');
INSERT INTO `lang_definitions` VALUES (139386, 491, 26, 'Phân phối');
INSERT INTO `lang_definitions` VALUES (139387, 492, 26, 'Cho Phép');
INSERT INTO `lang_definitions` VALUES (139388, 493, 26, 'Cho phép Những người Quản trị Xóa Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (139389, 494, 26, 'Cho phép tất cả các ngôn ngữ có sẵn trong phần lựa chọn lúc đăng nhập.');
INSERT INTO `lang_definitions` VALUES (139390, 495, 26, 'Cho phép Ghi Hiện diện trước thời gian hẹn');
INSERT INTO `lang_definitions` VALUES (139391, 496, 26, 'Cho phép tạo ra các yêu cầu có chứa chẩn đoán nhưng không có thủ tục hoặc phí. Hầu hết các phòng khám không muốn điều này.');
INSERT INTO `lang_definitions` VALUES (139392, 497, 26, 'Cho phép Gỡ lỗi Ngôn ngữ');
INSERT INTO `lang_definitions` VALUES (139393, 499, 26, 'Cho phép Ghi Hiện diện sớm');
INSERT INTO `lang_definitions` VALUES (139394, 500, 26, 'Cho phép Email');
INSERT INTO `lang_definitions` VALUES (139395, 501, 26, 'Cho phép các tin nhắn email?');
INSERT INTO `lang_definitions` VALUES (139396, 502, 26, 'Cho phép Email?');
INSERT INTO `lang_definitions` VALUES (139397, 503, 26, 'Cho phép Yêu cầu Lần khám');
INSERT INTO `lang_definitions` VALUES (139398, 504, 26, 'Cho phép Lần khám Cho mỗi Lần hẹn');
INSERT INTO `lang_definitions` VALUES (139399, 505, 26, 'Cho phép Trao đổi Thông tin Y tế');
INSERT INTO `lang_definitions` VALUES (139400, 506, 26, 'Cho phép Trao đổi Thông tin Y tế');
INSERT INTO `lang_definitions` VALUES (139401, 507, 26, 'Cho phép Chia sẻ Thông tin Tiêm chủng');
INSERT INTO `lang_definitions` VALUES (139402, 508, 26, 'Cho phép Chia sẻ Thông tin Tiêm chủng');
INSERT INTO `lang_definitions` VALUES (139403, 509, 26, 'Cho phép Đăng ký Sử dụng Tiêm chủng');
INSERT INTO `lang_definitions` VALUES (139404, 510, 26, 'Cho phép hỗ trợ yêu cầu viện nghiên cứu');
INSERT INTO `lang_definitions` VALUES (139405, 511, 26, 'Cho phép kiểm tra phù hợp bảo hiểm bằng Liên minh Văn phòng');
INSERT INTO `lang_definitions` VALUES (139406, 512, 26, 'Cho phép Gửi Thư');
INSERT INTO `lang_definitions` VALUES (139407, 514, 26, 'Cho phép nhiều cơ sở dữ liệu');
INSERT INTO `lang_definitions` VALUES (139408, 516, 26, 'Cho phép Thông báo');
INSERT INTO `lang_definitions` VALUES (139409, 521, 26, 'Cho phép Công cụ Đăng ký Bệnh nhân Mới Tại cơ sở');
INSERT INTO `lang_definitions` VALUES (139410, 522, 26, 'Cho phép Đặt hẹn Trực tuyến Tại cơ sở');
INSERT INTO `lang_definitions` VALUES (139411, 523, 26, 'Cho phép Thanh toán Trực tuyến Tại cơ sở');
INSERT INTO `lang_definitions` VALUES (139412, 524, 26, 'Cho phép Tán gẫu An toàn Trực tuyến Tại cơ sở');
INSERT INTO `lang_definitions` VALUES (139413, 525, 26, 'Cho phép Sổ cái Bệnh nhân Tại cơ sở');
INSERT INTO `lang_definitions` VALUES (139414, 526, 26, 'Cho phép Bệnh nhân Tại cơ sở tạo và xem trực tuyến các lần hẹn.');
INSERT INTO `lang_definitions` VALUES (139415, 527, 26, 'Cho phép Bệnh nhân Tại cơ sở thanh toán trực tuyến.');
INSERT INTO `lang_definitions` VALUES (139416, 528, 26, 'Cho phép Bệnh nhân Tại cơ sở sử dụng Ứng dụng Tán gẫu An toàn.');
INSERT INTO `lang_definitions` VALUES (139417, 529, 26, 'Cho phép Bệnh nhân Tại cơ sở xem trực tuyến sổ cái kế toán của họ.');
INSERT INTO `lang_definitions` VALUES (139418, 530, 26, 'Cho phép Bệnh nhân Tại cơ sở Tạo lại các Thông tin xác thực');
INSERT INTO `lang_definitions` VALUES (139419, 531, 26, 'Cho phép Bảng Lưu chuyển Bệnh nhân chọn bệnh nhân để kiểm tra thuốc.');
INSERT INTO `lang_definitions` VALUES (139420, 533, 26, 'Cho phép Cổng thông tin Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (139421, 539, 26, 'Cho phép Thư Bưu điện');
INSERT INTO `lang_definitions` VALUES (139422, 541, 26, 'Cho phép tin nhắn SMS');
INSERT INTO `lang_definitions` VALUES (139423, 542, 26, 'Cho phép tin nhắn SMS (tin nhắn văn bản)?');
INSERT INTO `lang_definitions` VALUES (139424, 543, 26, 'Cho phép Loại trừ Bản kê khỏi Bản in');
INSERT INTO `lang_definitions` VALUES (139425, 544, 26, 'Cho phép các sự kiện trình được thực hiện hoạt động ngay lập tức?');
INSERT INTO `lang_definitions` VALUES (139426, 545, 26, 'Cho phép tin nhắn điện thoại?');
INSERT INTO `lang_definitions` VALUES (139427, 546, 26, 'Cho phép sử dụng với nhiều cơ sở dữ liệu');
INSERT INTO `lang_definitions` VALUES (139428, 547, 26, 'Cho phép người dùng xuất bản các Sự kiện Tổng thể');
INSERT INTO `lang_definitions` VALUES (139429, 548, 26, 'Cho phép người dùng xuất bản Lịch Cá nhân');
INSERT INTO `lang_definitions` VALUES (139430, 549, 26, 'Cho phép Công cụ Đăng ký Bệnh nhân Mới Tại cơ sở Phiên bản 2');
INSERT INTO `lang_definitions` VALUES (139431, 550, 26, 'Cho phép Thanh toán Trực tuyến Tại cơ sở Phiên bản 2');
INSERT INTO `lang_definitions` VALUES (139432, 551, 26, 'Cho phép Bệnh nhân Tại cơ sở Phiên bản 2 thanh toán trực tuyến.');
INSERT INTO `lang_definitions` VALUES (139433, 552, 26, 'Cho phép Bệnh nhân Tại cơ sở Phiên bản 2 Tạo lại Các Thông tin xác thực');
INSERT INTO `lang_definitions` VALUES (139434, 553, 26, 'Cho phép Gọi Nói chuyện');
INSERT INTO `lang_definitions` VALUES (139435, 554, 26, 'Cho phép tin nhắn bằng giọng nói');
INSERT INTO `lang_definitions` VALUES (139436, 555, 26, 'Được cho phép');
INSERT INTO `lang_definitions` VALUES (139437, 556, 26, 'Ngôn ngữ Được phép');
INSERT INTO `lang_definitions` VALUES (139438, 557, 26, 'Cho phép giảm giá (trong Tờ Tính phí hoặc phiếu Xuất viện) (giảm)');
INSERT INTO `lang_definitions` VALUES (139439, 558, 26, 'Cho phép (c)');
INSERT INTO `lang_definitions` VALUES (139440, 559, 26, 'Cho phép Chữ ký Điện tử trên toàn bộ lần khám');
INSERT INTO `lang_definitions` VALUES (139441, 560, 26, 'Cho phép Các biểu mẫu Cá nhân Ký điện tử');
INSERT INTO `lang_definitions` VALUES (139442, 561, 26, 'Cho phép Thư');
INSERT INTO `lang_definitions` VALUES (139443, 562, 26, 'Cho phép Hộp thư thoại');
INSERT INTO `lang_definitions` VALUES (139444, 565, 26, 'Đã ở trên đầu trang');
INSERT INTO `lang_definitions` VALUES (139445, 566, 26, 'đã tồn tại');
INSERT INTO `lang_definitions` VALUES (139446, 568, 26, 'đã tồn tại.');
INSERT INTO `lang_definitions` VALUES (139447, 569, 26, 'Đã đăng ký');
INSERT INTO `lang_definitions` VALUES (139448, 570, 26, 'Đã được dùng, hãy chọn số định danh khác');
INSERT INTO `lang_definitions` VALUES (139449, 571, 26, 'Đã được dùng, hãy chọn tiêu đề khác');
INSERT INTO `lang_definitions` VALUES (139450, 572, 26, 'Cũng cung cấp mô tả ngắn gọn cho lần gặp trong Các báo cáo Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (139451, 573, 26, 'Địa chỉ khác');
INSERT INTO `lang_definitions` VALUES (139452, 577, 26, 'thay đổi');
INSERT INTO `lang_definitions` VALUES (139453, 579, 26, 'Ngoài ra, có thể dùng một mã CPT. Đó là 84550 cho Dịch truyền Axít Uric ');
INSERT INTO `lang_definitions` VALUES (139454, 580, 26, 'Ngoài ra, tải xuống một bản tính ví dụ bằng cách bấm vào nút Tải xuống');
INSERT INTO `lang_definitions` VALUES (139455, 581, 26, 'Ngoài ra, có thể truy cập nó bằng cách bấm vào mục trình đơn Thông điệp trong thanh điều hướng trên đầu');
INSERT INTO `lang_definitions` VALUES (139456, 582, 26, 'Ngoài ra, bạn có thể bỏ chọn tất cả và chọn chỉ những mục bạn muốn có trong báo cáo');
INSERT INTO `lang_definitions` VALUES (139457, 583, 26, 'Ngoài ra, bạn có thể chọn tải lên một tập tin chuyển tiền điện tử (X12 835) mà bạn nhận được từ người trả cho bạn hoặc ngân hàng. Đầu tiên bạn chọn \'tải lên ERE\' trong phân đoạn \'Chọn Phương thức\' sơ khởi. Việc đó đưa ra Phân doạn \'Tải lên ERA\'. ');
INSERT INTO `lang_definitions` VALUES (139458, 584, 26, 'Ngoài ra, bạn có thể sử dụng trang tìm kiếm để tải lên một tập tin chuyển tiền điện tử (X12 835) mà bạn đã thu được từ người trả tiền hoặc ngân hàng của bạn. Bạn có thể làm điều này bằng cách nhấp vào nút Browse và chọn tập tin để tải lên, và sau đó nhấp vào Tìm kiếm để thực hiện việc tải lên và hiển thị hóa đơn tương ứng. Trong trường hợp này các thông số khác được đề cập ở trên không áp dụng và sẽ bị bỏ qua. Việc tải lên lưu các tập tin nhưng không xử lý nội dung của nó -- việc xử lý được thực hiện một cách riêng biệt như mô tả dưới đây.');
INSERT INTO `lang_definitions` VALUES (139459, 585, 26, 'Mặc dù ban đầu HCFA-1500 được dùng để gửi đi các yêu cầu Medicare, cuối cùng nó được tất cả hãng bảo hiểm thương mại/tư nhận chấp nhận để tạo điều kiện thuận lợi cho việc chuẩn hóa quy trình yêu cầu');
INSERT INTO `lang_definitions` VALUES (139460, 586, 26, 'Sáng');
INSERT INTO `lang_definitions` VALUES (139461, 587, 26, 'Chương trình AM');
INSERT INTO `lang_definitions` VALUES (139462, 589, 26, 'Cấp cứu - Đường Không hoặc Thủy');
INSERT INTO `lang_definitions` VALUES (139463, 590, 26, 'Cấp cứu - Đường Bộ');
INSERT INTO `lang_definitions` VALUES (139464, 591, 26, 'Trung tâm Phẩu thuật Cấp cứu');
INSERT INTO `lang_definitions` VALUES (139465, 592, 26, 'AMC');
INSERT INTO `lang_definitions` VALUES (139466, 593, 26, 'Theo dõi AMC');
INSERT INTO `lang_definitions` VALUES (139467, 594, 26, 'AMC-2011');
INSERT INTO `lang_definitions` VALUES (139468, 595, 26, 'AMC-2014');
INSERT INTO `lang_definitions` VALUES (139469, 596, 26, 'AMC-2014 Tầng I');
INSERT INTO `lang_definitions` VALUES (139470, 597, 26, 'AMC-2014 Tầng II');
INSERT INTO `lang_definitions` VALUES (139471, 599, 26, 'Sửa đổi Thông điệp Đang có');
INSERT INTO `lang_definitions` VALUES (139472, 600, 26, 'Sửa đổi Lưu ý Đang có');
INSERT INTO `lang_definitions` VALUES (139473, 602, 26, 'Sửa đổi Từ');
INSERT INTO `lang_definitions` VALUES (139474, 603, 26, 'Danh sách Sửa đổi');
INSERT INTO `lang_definitions` VALUES (139475, 604, 26, 'Trạng thái Sửa đổi');
INSERT INTO `lang_definitions` VALUES (139476, 605, 26, 'Các sửa đổi');
INSERT INTO `lang_definitions` VALUES (139477, 606, 26, 'Các sửa đổi (tùy chọn ghi,chỉ thêm)');
INSERT INTO `lang_definitions` VALUES (139478, 607, 26, 'Các sửa đổi (tùy chọn ghi,chỉ thêm) (sự sửa đổi)');
INSERT INTO `lang_definitions` VALUES (139479, 608, 26, 'chỉ ra chỗ của sự sửa đổi');
INSERT INTO `lang_definitions` VALUES (139480, 609, 26, 'Các sửa đổi cho');
INSERT INTO `lang_definitions` VALUES (139481, 610, 26, 'Mỹ Da Đỏ');
INSERT INTO `lang_definitions` VALUES (139482, 611, 26, 'Mỹ Da Đỏ hoặc người Alaska');
INSERT INTO `lang_definitions` VALUES (139483, 612, 26, 'AMEX');
INSERT INTO `lang_definitions` VALUES (139484, 613, 26, 'Amharic');
INSERT INTO `lang_definitions` VALUES (139485, 614, 26, 'Số tiền');
INSERT INTO `lang_definitions` VALUES (139486, 615, 26, 'Số tiền đã Quản trị');
INSERT INTO `lang_definitions` VALUES (139487, 616, 26, 'Số tiền Đã tính');
INSERT INTO `lang_definitions` VALUES (139488, 617, 26, 'Số tiền Phí');
INSERT INTO `lang_definitions` VALUES (139489, 618, 26, 'Số tiền Phí:');
INSERT INTO `lang_definitions` VALUES (139490, 619, 26, 'Số tiền Phải trả');
INSERT INTO `lang_definitions` VALUES (139491, 620, 26, 'Số tiền cho Số dư Còn lại');
INSERT INTO `lang_definitions` VALUES (139492, 621, 26, 'Số tiền cho Lần đến Này');
INSERT INTO `lang_definitions` VALUES (139493, 622, 26, 'Số tiền đã Trả');
INSERT INTO `lang_definitions` VALUES (139494, 623, 26, 'Số tiền:');
INSERT INTO `lang_definitions` VALUES (139495, 624, 26, 'Biên độ');
INSERT INTO `lang_definitions` VALUES (139496, 626, 26, 'Số tiền đã lập Hóa đơn');
INSERT INTO `lang_definitions` VALUES (139497, 627, 26, 'Có thể lên lịch một cuộc hẹn bằng cách nhấn vào biểu tượng lịch trong ô đó');
INSERT INTO `lang_definitions` VALUES (139498, 628, 26, 'Một thư điện tử với thông tin xác thực tài khoản mới của bạn sẽ được gửi đến địa chỉ đã cung cấp trước đây. Bạn có thễ tiếp tục xem xét hay sửa chữa bất kỳ thông tin nào của bạn bằng cách dùng các nút ở trên cùng để đến bảng phù hợp. Hãy chắc rằng bạn đã cung cấp địa chỉ e-mail chính xác. Nếu sau khi nhận được thông tin xác thực và bạn có vấn đề khi truy cập vào cổng thông tin, vui lòng liên hệ người quản trị.');
INSERT INTO `lang_definitions` VALUES (139499, 629, 26, 'Một chỉ dẫn điện tử và kết quả trả về sẽ theo dạng một thông điệp gọi là thông điệp HL7. HL7 là Health Level (Mức Sức khỏe - Lớp Ứng dụng) 7. Mục đích chính của HL7 là đơn giản hóa việc thể hiện các giao diện giữa các ứng dụng phần mềm chăm sóc sức khỏe và các nhà cung cấp khác nhau để giảm bớt khó khăn và chi phí liên quan đến việc lập trình giao diện tùy biến');
INSERT INTO `lang_definitions` VALUES (139500, 630, 26, 'Các sự kiện lặp lại phải có ngày kết thúc sau ngày bắt đầu!');
INSERT INTO `lang_definitions` VALUES (139501, 631, 26, 'Lỗi xảy ra khi đang ký biểu mẫu đó');
INSERT INTO `lang_definitions` VALUES (139502, 632, 26, 'Một lỗi xảy ra trong khi chép toàn bộ cây thư mục web OpenEMR');
INSERT INTO `lang_definitions` VALUES (139503, 633, 26, 'Một lỗi xảy ra trong khi chép toàn bộ cây thư mục web phpGACL');
INSERT INTO `lang_definitions` VALUES (139504, 634, 26, 'Một lỗi xảy ra trong khi chép toàn bộ cây thư mục web SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (139505, 635, 26, 'Một lỗi xảy ra: Thiếu tập tin để tải lên: Dùng nút quay lại!');
INSERT INTO `lang_definitions` VALUES (139506, 636, 26, 'Cần nắm vững một khái niệm quan trọng là một khi ứng dụng xác thực thu nạp khóa bí mật được chuyển giao qua mã QR, sẽ không có sự truyền thông nào nữa giữa ứng dụng đó và OpenEMR, mỗi ứng dụng sẽ dùng giờ UNIX hiện tại và bản sao khóa bí mật riêng của người dùng để tạo ra cùng số 6 chữ số duy nhất ');
INSERT INTO `lang_definitions` VALUES (139507, 637, 26, 'Cần nhớ một điểm quan trọng là các xét nghiệm riêng lẽ trong mỗi bảng sẽ được liệt kê như là các Kết quả, do đó, bạn không thể trực tiếp yêu cầu các xét nghiệm riêng lẽ này');
INSERT INTO `lang_definitions` VALUES (139508, 638, 26, 'Đã tạo ra và liên kết một vấn đề GCAC không đầy đủ. Một người nào đó sẽ phải hoàn thành nó sau này.');
INSERT INTO `lang_definitions` VALUES (139509, 639, 26, 'Một Rắc rối lo về các vấn đề liên quan tới sức khỏe của bệnh nhân');
INSERT INTO `lang_definitions` VALUES (139510, 640, 26, 'Một rắc rối là một vấn đề y học, dị ứng, cho thuốc, giải phẫu hay rắc rối về răng');
INSERT INTO `lang_definitions` VALUES (139511, 641, 26, 'Đã tạo một chỉ dẫn thành công, tuy nhiên chưa tồn tại nơi để nhận và lưu giữ kết quả trả về và cần tạo nơi đó ');
INSERT INTO `lang_definitions` VALUES (139512, 642, 26, 'Một Kết quả cho vấn đề này - Đã giải quyết, Có tiến triển, Vẫn vậy, Tệ hơn, Chờ Theo dõi hay để nguyên là Chưa xác định');
INSERT INTO `lang_definitions` VALUES (139513, 643, 26, 'Đã xảy ra một lỗi bất ngờ, hãy liên hệ người quản trị hệ thống của bạn.');
INSERT INTO `lang_definitions` VALUES (139514, 644, 26, 'Đã xảy ra một lỗi bất ngờ.');
INSERT INTO `lang_definitions` VALUES (139515, 645, 26, 'Một Lần hẹn Đã cập nhật');
INSERT INTO `lang_definitions` VALUES (139516, 646, 26, 'Một ký tự hoa');
INSERT INTO `lang_definitions` VALUES (139517, 647, 26, 'Đã phân tích');
INSERT INTO `lang_definitions` VALUES (139518, 648, 26, 'và');
INSERT INTO `lang_definitions` VALUES (139519, 649, 26, 'Và');
INSERT INTO `lang_definitions` VALUES (139520, 650, 26, 'VÀ');
INSERT INTO `lang_definitions` VALUES (139521, 651, 26, 'và');
INSERT INTO `lang_definitions` VALUES (139522, 652, 26, 'và tất cả các dữ liệu cấp dưới? Hành động này sẽ được ghi nhận');
INSERT INTO `lang_definitions` VALUES (139523, 653, 26, 'và sửa đổi lần');
INSERT INTO `lang_definitions` VALUES (139524, 654, 26, 'và xử lý.');
INSERT INTO `lang_definitions` VALUES (139525, 656, 26, 'và khởi động lại máy chủ Apache.');
INSERT INTO `lang_definitions` VALUES (139526, 657, 26, 'và lý do là');
INSERT INTO `lang_definitions` VALUES (139527, 658, 26, 'android');
INSERT INTO `lang_definitions` VALUES (139528, 659, 26, 'Thiếu máu');
INSERT INTO `lang_definitions` VALUES (139529, 660, 26, 'Mắt cá chân');
INSERT INTO `lang_definitions` VALUES (139530, 661, 26, 'Mắt cá chân + gót chân');
INSERT INTO `lang_definitions` VALUES (139531, 662, 26, 'Mẫu Đánh giá Mắt cá chân');
INSERT INTO `lang_definitions` VALUES (139532, 663, 26, 'Vấn đề với Mắt cá chân');
INSERT INTO `lang_definitions` VALUES (139533, 664, 26, 'Cứng khớp Sondlilitis');
INSERT INTO `lang_definitions` VALUES (139534, 665, 26, 'Cứng khớp Spondlilitis');
INSERT INTO `lang_definitions` VALUES (139535, 666, 26, 'Biếng ăn');
INSERT INTO `lang_definitions` VALUES (139536, 667, 26, 'Một việc khác bạn có thể làm trong cửa sổ vào sổ cái là yêu cầu lập hóa đơn thứ cấp. Nếu bạn chọn hộp đánh dấu này trước khi lưu, phiếu yêu cầu gốc sẽ được mở ra lại và xếp hàng vào trang Lập hóa đơn, và sẽ được xử lý vào lần lập hóa đơn kế tiếp.');
INSERT INTO `lang_definitions` VALUES (139537, 668, 26, 'Cách khác để chọn một mã ICD để chứng minh mã CPT4 là nhấn vào nhãn CPT4 ở đầu dòng dữ liệu');
INSERT INTO `lang_definitions` VALUES (139538, 669, 26, 'Dịch vụ Trả lời');
INSERT INTO `lang_definitions` VALUES (139539, 671, 26, 'trước');
INSERT INTO `lang_definitions` VALUES (139540, 676, 26, 'Nl hậu môn, trực tràng không đau / khối lượng');
INSERT INTO `lang_definitions` VALUES (139541, 677, 26, 'Lo âu');
INSERT INTO `lang_definitions` VALUES (139542, 678, 26, 'bất kỳ');
INSERT INTO `lang_definitions` VALUES (139543, 679, 26, 'Bất kỳ');
INSERT INTO `lang_definitions` VALUES (139544, 680, 26, 'Bất kỳ thông tin thêm nào đi đôi với nhà cung cấp này');
INSERT INTO `lang_definitions` VALUES (139545, 682, 26, 'Bất kỳ Loại');
INSERT INTO `lang_definitions` VALUES (139546, 688, 26, 'Bất kỳ phần nào của mã bạn cần hoặc mô tả của nó');
INSERT INTO `lang_definitions` VALUES (139547, 689, 26, 'Bất kỳ phần nào của dấu viết đặc biệt bạn cần');
INSERT INTO `lang_definitions` VALUES (139548, 690, 26, 'Bất kỳ phần nào của mã hoặc tên thuốc');
INSERT INTO `lang_definitions` VALUES (139549, 691, 26, 'Bất kỳ phần nào của mã hoặc tên của tiêm chủng');
INSERT INTO `lang_definitions` VALUES (139550, 692, 26, 'Bất kỳ phần nào của tên bệnh nhân, hoặc \"họ, tên\", hoặc \"X-Y\"');
INSERT INTO `lang_definitions` VALUES (139551, 693, 26, 'Thông tin nào khác có liên quan');
INSERT INTO `lang_definitions` VALUES (139552, 699, 26, 'Khóa API cho Cổng SMS.');
INSERT INTO `lang_definitions` VALUES (139553, 703, 26, 'Ngưng thở');
INSERT INTO `lang_definitions` VALUES (139554, 710, 26, 'Bề ngoài');
INSERT INTO `lang_definitions` VALUES (139555, 711, 26, 'Bề ngoài:');
INSERT INTO `lang_definitions` VALUES (139556, 714, 26, 'Thêm lưu ý này');
INSERT INTO `lang_definitions` VALUES (139557, 716, 26, 'Thêm vào các lưu ý đang có');
INSERT INTO `lang_definitions` VALUES (139558, 717, 26, 'Thêm vào lưu ý này');
INSERT INTO `lang_definitions` VALUES (139559, 718, 26, 'Thêm vào Lưu ý này');
INSERT INTO `lang_definitions` VALUES (139560, 719, 26, 'Ruột thừa');
INSERT INTO `lang_definitions` VALUES (139561, 720, 26, 'ruột thừa');
INSERT INTO `lang_definitions` VALUES (139562, 721, 26, 'Bệnh nhân Phù hợp');
INSERT INTO `lang_definitions` VALUES (139563, 722, 26, 'Ứng dụng');
INSERT INTO `lang_definitions` VALUES (139564, 723, 26, 'Tên ứng dụng cho trang đăng nhập và tiêu đề cửa sổ chính.');
INSERT INTO `lang_definitions` VALUES (139565, 724, 26, 'Mã Người nhận Đơn xin (GS03 - Nếu để trống thì dùng ISA08)');
INSERT INTO `lang_definitions` VALUES (139566, 725, 26, 'Mã Người gửi Đơn xin (GS02)');
INSERT INTO `lang_definitions` VALUES (139567, 726, 26, 'Tiêu đề Ứng dụng');
INSERT INTO `lang_definitions` VALUES (139568, 727, 26, 'Áp dụng cho các biểu mẫu Thể trạng và Biểu đồ Tăng trưởng');
INSERT INTO `lang_definitions` VALUES (139569, 728, 26, 'Áp dụng cho biểu mẫu Thể trạng');
INSERT INTO `lang_definitions` VALUES (139570, 729, 26, 'Áp dụng thay đổi chỉ cho sự kiện hiện tại, cho lần này và các lần xuất hiện trong tương lai, hoặc cho tất cả các lần xuất hiện?');
INSERT INTO `lang_definitions` VALUES (139571, 730, 26, 'áp dụng đối với khu vực bị ảnh hưởng');
INSERT INTO `lang_definitions` VALUES (139572, 731, 26, 'áp dụng cho da');
INSERT INTO `lang_definitions` VALUES (139573, 732, 26, 'Đang áp dụng');
INSERT INTO `lang_definitions` VALUES (139574, 733, 26, 'Đang áp dụng bản vá cho trang web');
INSERT INTO `lang_definitions` VALUES (139575, 734, 26, 'Cuộc hẹn');
INSERT INTO `lang_definitions` VALUES (139576, 736, 26, 'Cuộc Hẹn ngày');
INSERT INTO `lang_definitions` VALUES (139577, 742, 26, 'Kiểu hiển thị Cuộc Hẹn');
INSERT INTO `lang_definitions` VALUES (139578, 744, 26, 'Nhắc nhở Cuộc Hẹn');
INSERT INTO `lang_definitions` VALUES (139579, 746, 26, 'Tình trạng cuộc hẹn');
INSERT INTO `lang_definitions` VALUES (139580, 747, 26, 'Trạng thái cuộc hẹn');
INSERT INTO `lang_definitions` VALUES (139581, 748, 26, 'Trong cuộc hẹn');
INSERT INTO `lang_definitions` VALUES (139582, 749, 26, 'Màu cho Cuộc hẹn / Sự kiện');
INSERT INTO `lang_definitions` VALUES (139583, 750, 26, 'Các cuộc hẹn');
INSERT INTO `lang_definitions` VALUES (139584, 751, 26, 'Các cuộc hẹn (tùy chọn viết)');
INSERT INTO `lang_definitions` VALUES (139585, 752, 26, 'Các cuộc hẹn (tùy chọn viết, viết một phần)');
INSERT INTO `lang_definitions` VALUES (139586, 755, 26, 'Các cuộc hẹn - Cổng Bệnh nhân Đến tận nơi - Số để Hiện');
INSERT INTO `lang_definitions` VALUES (139587, 756, 26, 'Các cuộc hẹn - Tóm lược Bệnh nhân - Số để Hiện');
INSERT INTO `lang_definitions` VALUES (139588, 758, 26, 'Cuộc hẹn và cuộc Gặp');
INSERT INTO `lang_definitions` VALUES (139589, 760, 26, 'Báo cáo Các cuộc hẹn');
INSERT INTO `lang_definitions` VALUES (139590, 761, 26, 'Báo cáo Hẹn - Găp');
INSERT INTO `lang_definitions` VALUES (139591, 763, 26, 'Xét nghiệm Phù hợp cho Bệnh nhân Viêm hầu (CQM)');
INSERT INTO `lang_definitions` VALUES (139592, 764, 26, 'Phê duyệt');
INSERT INTO `lang_definitions` VALUES (139593, 766, 26, 'Phê duyệt bệnh nhân tại Bệnh nhân/Khách hàng -> Nhập -> Đang chờ Phê duyệt');
INSERT INTO `lang_definitions` VALUES (139594, 767, 26, 'Đã Phê duyệt');
INSERT INTO `lang_definitions` VALUES (139595, 768, 26, 'Quản trị Sự kiện Phê duyệt');
INSERT INTO `lang_definitions` VALUES (139596, 769, 26, 'Phê duyệt Thành công');
INSERT INTO `lang_definitions` VALUES (139597, 773, 26, 'Giờ Hẹn');
INSERT INTO `lang_definitions` VALUES (139598, 774, 26, 'Appt-ENC');
INSERT INTO `lang_definitions` VALUES (139599, 776, 26, 'Cuộc hẹn');
INSERT INTO `lang_definitions` VALUES (139600, 779, 26, 'Tháng Tư');
INSERT INTO `lang_definitions` VALUES (139601, 780, 26, 'Tháng Tư');
INSERT INTO `lang_definitions` VALUES (139602, 782, 26, 'Tiếng Ả Rập');
INSERT INTO `lang_definitions` VALUES (139603, 783, 26, 'Aragonese');
INSERT INTO `lang_definitions` VALUES (139604, 784, 26, 'Lưu trữ');
INSERT INTO `lang_definitions` VALUES (139605, 787, 26, 'Có dịch tên nhóm kiểm soát truy cập không?');
INSERT INTO `lang_definitions` VALUES (139606, 788, 26, 'Có dịch tên thể loại cuộc hẹn không?');
INSERT INTO `lang_definitions` VALUES (139607, 789, 26, 'Có dịch tên thể loại tài liệu không?');
INSERT INTO `lang_definitions` VALUES (139608, 790, 26, 'Có tính phí cho loại này không?');
INSERT INTO `lang_definitions` VALUES (139609, 793, 26, 'Có dịch các tiêu đề ghi chú cho bệnh nhân không?');
INSERT INTO `lang_definitions` VALUES (139610, 794, 26, 'Có lưu các mã trong bản SQL bên ngoài không (0-No, 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2)) ?');
INSERT INTO `lang_definitions` VALUES (139611, 795, 26, 'Bạn đã chuẩn bị để hoàn thành một vấn đề mới GCAC cho chuyến thăm này?');
INSERT INTO `lang_definitions` VALUES (139612, 797, 26, 'Bạn có chắc chắn vào sổ cái cho hôm nay?');
INSERT INTO `lang_definitions` VALUES (139613, 798, 26, 'Bạn có chắc chắn muốn chấp nhận những sự kiện này?');
INSERT INTO `lang_definitions` VALUES (139614, 799, 26, 'Bạn có chắc chắn muốn hủy bỏ những thay đổi của bạn?');
INSERT INTO `lang_definitions` VALUES (139615, 801, 26, 'Bạn chắc chắn rằng bạn muốn gỡ bỏ hoàn toàn mẫu này?');
INSERT INTO `lang_definitions` VALUES (139616, 803, 26, 'Bạn có chắc bạn muốn xóa');
INSERT INTO `lang_definitions` VALUES (139617, 804, 26, 'Bạn có chắc bạn muốn xóa Cho Biết này?');
INSERT INTO `lang_definitions` VALUES (139618, 805, 26, 'Bạn có chắc chắn, bạn muốn xoá sự kiện này?');
INSERT INTO `lang_definitions` VALUES (139619, 806, 26, 'Bạn có chắc, bạn muốn xóa mục này từ cơ sở dữ liệu?');
INSERT INTO `lang_definitions` VALUES (139620, 808, 26, 'Bạn có chắc, bạn muốn xóa này lưu ý?');
INSERT INTO `lang_definitions` VALUES (139621, 809, 26, 'Bạn có chắc bạn muốn xóa kế hoạch này?');
INSERT INTO `lang_definitions` VALUES (139622, 810, 26, 'Bạn có chắc chắn, bạn muốn chỉnh sửa các sự kiện này?');
INSERT INTO `lang_definitions` VALUES (139623, 811, 26, 'Bạn chắc chắn rằng bạn muốn ẩn những sự kiện này?');
INSERT INTO `lang_definitions` VALUES (139624, 813, 26, 'Bạn có chắc bạn muốn truyền lại nữa?');
INSERT INTO `lang_definitions` VALUES (139625, 814, 26, 'Có chắc chắn bạn muốn xem các sự kiện này?');
INSERT INTO `lang_definitions` VALUES (139626, 815, 26, 'Có chắc bạn muốn xóa toàn bộ nhóm có tên');
INSERT INTO `lang_definitions` VALUES (139627, 816, 26, 'Có chắc bạn muốn xóa toàn bộ danh sách');
INSERT INTO `lang_definitions` VALUES (139628, 817, 26, 'Bạn có chắc bạn muốn xóa các lĩnh vực');
INSERT INTO `lang_definitions` VALUES (139629, 818, 26, 'Bạn có chắc bạn muốn xóa các lĩnh vực được lựa chọn?');
INSERT INTO `lang_definitions` VALUES (139630, 819, 26, 'Bạn có chắc chắn bạn \'d muốn tiếp tục với những hành động này?');
INSERT INTO `lang_definitions` VALUES (139631, 820, 26, 'Khu vực không có quy định');
INSERT INTO `lang_definitions` VALUES (139632, 821, 26, 'Tay');
INSERT INTO `lang_definitions` VALUES (139633, 822, 26, 'Tiếng Armenia');
INSERT INTO `lang_definitions` VALUES (139634, 826, 26, 'Giờ Đến');
INSERT INTO `lang_definitions` VALUES (139635, 829, 26, 'Arrythmia');
INSERT INTO `lang_definitions` VALUES (139636, 830, 26, 'Viêm khớp');
INSERT INTO `lang_definitions` VALUES (139637, 831, 26, 'Viêm khớp / Degen doanh diseas');
INSERT INTO `lang_definitions` VALUES (139638, 832, 26, 'Viêm khớp / Degen khớp');
INSERT INTO `lang_definitions` VALUES (139639, 836, 26, 'như');
INSERT INTO `lang_definitions` VALUES (139640, 838, 26, 'Vào Lúc');
INSERT INTO `lang_definitions` VALUES (139641, 845, 26, 'Châu Á');
INSERT INTO `lang_definitions` VALUES (139642, 846, 26, 'Assamese');
INSERT INTO `lang_definitions` VALUES (139643, 847, 26, 'Đánh giá Dị ứng Penicillin');
INSERT INTO `lang_definitions` VALUES (139644, 848, 26, 'Đánh giá (Assessment)');
INSERT INTO `lang_definitions` VALUES (139645, 853, 26, 'Giao Để');
INSERT INTO `lang_definitions` VALUES (139646, 854, 26, 'Trợ lý');
INSERT INTO `lang_definitions` VALUES (139647, 861, 26, 'Hen suyễn');
INSERT INTO `lang_definitions` VALUES (139648, 862, 26, 'tại');
INSERT INTO `lang_definitions` VALUES (139649, 863, 26, 'Ít nhất một tham số tìm kiếm được yêu cầu nếu bạn chọn Tất cả.');
INSERT INTO `lang_definitions` VALUES (139650, 866, 26, 'Tại các Navicular');
INSERT INTO `lang_definitions` VALUES (139651, 867, 26, 'Tại các Navicular:');
INSERT INTO `lang_definitions` VALUES (139652, 868, 26, 'Đội thể dục');
INSERT INTO `lang_definitions` VALUES (139653, 869, 26, 'Đội Thể dục');
INSERT INTO `lang_definitions` VALUES (139654, 870, 26, 'Thuộc thể thao / tai nạn thương tích');
INSERT INTO `lang_definitions` VALUES (139655, 871, 26, 'ATNA kiểm toán CA giấy chứng nhận');
INSERT INTO `lang_definitions` VALUES (139656, 872, 26, 'chủ kiểm toán ATNA');
INSERT INTO `lang_definitions` VALUES (139657, 873, 26, 'Giấy chứng nhận kiểm toán khu vực ATNA');
INSERT INTO `lang_definitions` VALUES (139658, 874, 26, 'Cổng kiểm toán ATNA');
INSERT INTO `lang_definitions` VALUES (139659, 876, 26, 'Dược sĩ tham dự');
INSERT INTO `lang_definitions` VALUES (139660, 877, 26, 'Sự chú ý');
INSERT INTO `lang_definitions` VALUES (139661, 879, 26, 'Attn');
INSERT INTO `lang_definitions` VALUES (139662, 881, 26, 'Bác sĩ thính học');
INSERT INTO `lang_definitions` VALUES (139663, 883, 26, 'Kiểm tra Các truy vấn Hệ xử lý CDR');
INSERT INTO `lang_definitions` VALUES (139664, 885, 26, 'Kiểm tra Sự xáo trộn Ghi nhật ký');
INSERT INTO `lang_definitions` VALUES (139665, 886, 26, 'Báo cáo Kiểm tra Sự xáo trộn Ghi nhật ký');
INSERT INTO `lang_definitions` VALUES (139666, 890, 26, 'Kiểm toán Ghi nhận Sao lưu');
INSERT INTO `lang_definitions` VALUES (139667, 891, 26, 'Kiểm toán Ghi nhận Khác');
INSERT INTO `lang_definitions` VALUES (139668, 892, 26, 'Kiểm toán Ghi nhận Chỉ dẫn');
INSERT INTO `lang_definitions` VALUES (139669, 893, 26, 'Kiểm toán Ghi nhận Bản ghi Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (139670, 894, 26, 'Kiểm toán Ghi nhận Lên lịch');
INSERT INTO `lang_definitions` VALUES (139671, 895, 26, 'Kiểm toán Ghi nhận Quản trị An ninh ');
INSERT INTO `lang_definitions` VALUES (139672, 896, 26, 'Kiểm toán Ghi nhận Truy vấn SELECT');
INSERT INTO `lang_definitions` VALUES (139673, 898, 26, 'Tháng Tám');
INSERT INTO `lang_definitions` VALUES (139674, 899, 26, 'Tháng Tám');
INSERT INTO `lang_definitions` VALUES (139675, 900, 26, 'Cô/dì/thím/mợ');
INSERT INTO `lang_definitions` VALUES (139676, 901, 26, 'Quyền');
INSERT INTO `lang_definitions` VALUES (139677, 902, 26, 'Quyền / Ghi chú');
INSERT INTO `lang_definitions` VALUES (139678, 918, 26, 'Người xác nhận');
INSERT INTO `lang_definitions` VALUES (139679, 920, 26, 'Người viết');
INSERT INTO `lang_definitions` VALUES (139680, 922, 26, 'Nhóm Ủy quyền');
INSERT INTO `lang_definitions` VALUES (139681, 923, 26, 'Trạng thái Ủy quyền');
INSERT INTO `lang_definitions` VALUES (139682, 924, 26, 'Ủy quyền');
INSERT INTO `lang_definitions` VALUES (139683, 925, 26, 'Ủy quyền');
INSERT INTO `lang_definitions` VALUES (139684, 926, 26, 'Ủy quyền - bất kỳ cuộc gặp gỡ');
INSERT INTO `lang_definitions` VALUES (139685, 928, 26, 'Ủy quyền - cuộc gặp gỡ của tôi');
INSERT INTO `lang_definitions` VALUES (139686, 933, 26, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (139687, 934, 26, 'Ủy quyền');
INSERT INTO `lang_definitions` VALUES (139688, 936, 26, 'Ủy quyền Chỉ');
INSERT INTO `lang_definitions` VALUES (139689, 941, 26, 'Gửi tự động');
INSERT INTO `lang_definitions` VALUES (139690, 942, 26, 'Tự động Đăng Xuất [ngày]');
INSERT INTO `lang_definitions` VALUES (139691, 943, 26, 'Tự động Chuyển');
INSERT INTO `lang_definitions` VALUES (139692, 944, 26, 'Tự động-Tạo cuộc gặp mới');
INSERT INTO `lang_definitions` VALUES (139693, 945, 26, 'Tự động tạo ra');
INSERT INTO `lang_definitions` VALUES (139694, 947, 26, 'Biện pháp tính toán tự động (AMC)');
INSERT INTO `lang_definitions` VALUES (139695, 948, 26, 'Biện pháp tính toán tự động (AMC) - 2011');
INSERT INTO `lang_definitions` VALUES (139696, 949, 26, 'Biện pháp tính toán tự động (AMC) - 2014');
INSERT INTO `lang_definitions` VALUES (139697, 950, 26, 'Biện pháp tính toán tự động (AMC) - 2014 Tầng I');
INSERT INTO `lang_definitions` VALUES (139698, 951, 26, 'Biện pháp tính toán tự động (AMC) - 2014 Tầng II');
INSERT INTO `lang_definitions` VALUES (139699, 952, 26, 'Biện pháp tính toán tự động (AMC) Theo dõi');
INSERT INTO `lang_definitions` VALUES (139700, 953, 26, 'Các biện pháp tự động (AMC)');
INSERT INTO `lang_definitions` VALUES (139701, 955, 26, 'Tự động');
INSERT INTO `lang_definitions` VALUES (139702, 958, 26, 'Tự động tạo một lần khám mới khi chọn trạng thái ghi hiện diện cuộc hẹn.');
INSERT INTO `lang_definitions` VALUES (139703, 959, 26, 'Tự động tạo ra một cuộc gặp gỡ mới khi tình trạng bổ nhiệm được thiết lập để \"@\" (đến).');
INSERT INTO `lang_definitions` VALUES (139704, 960, 26, 'Tự động sao chép mã biện giải trong Bảng Phí');
INSERT INTO `lang_definitions` VALUES (139705, 961, 26, 'Tự động sao chép mã biện giải trong Bảng Phí (điền mã biện giải lấy ở trên vào chỗ trống).');
INSERT INTO `lang_definitions` VALUES (139706, 962, 26, 'Xe Y Tế Lưu Động');
INSERT INTO `lang_definitions` VALUES (139707, 964, 26, 'tự động lưu');
INSERT INTO `lang_definitions` VALUES (139708, 967, 26, 'Có sẵn loại');
INSERT INTO `lang_definitions` VALUES (139709, 971, 26, 'Thời gian Rảnh');
INSERT INTO `lang_definitions` VALUES (139710, 973, 26, 'Avaric');
INSERT INTO `lang_definitions` VALUES (139711, 974, 26, 'Kiểu Nhãn Avery để in nhãn bệnh nhân từ popups trong màn hình điều hướng bên trái');
INSERT INTO `lang_definitions` VALUES (139712, 975, 26, 'Avestan');
INSERT INTO `lang_definitions` VALUES (139713, 976, 26, 'Trung bình hàng tháng');
INSERT INTO `lang_definitions` VALUES (139714, 980, 26, 'Sự nhổ lên / gãy xương do giật');
INSERT INTO `lang_definitions` VALUES (139715, 981, 26, 'Sự nhổ lên mắt cá bên');
INSERT INTO `lang_definitions` VALUES (139716, 982, 26, 'Sự nhổ lên mắt cá trung gian');
INSERT INTO `lang_definitions` VALUES (139717, 983, 26, 'Dựa vào Nhận thức');
INSERT INTO `lang_definitions` VALUES (139718, 985, 26, 'Nách');
INSERT INTO `lang_definitions` VALUES (139719, 990, 26, 'Aymara');
INSERT INTO `lang_definitions` VALUES (139720, 991, 26, 'Azerbaijani');
INSERT INTO `lang_definitions` VALUES (139721, 992, 26, '2 lần/ngày');
INSERT INTO `lang_definitions` VALUES (139722, 993, 26, 'Quay lại');
INSERT INTO `lang_definitions` VALUES (139723, 994, 26, 'quay lại');
INSERT INTO `lang_definitions` VALUES (139724, 995, 26, '8 lần trở lại thăm khám');
INSERT INTO `lang_definitions` VALUES (139725, 996, 26, '11 lần trở lại thăm khám');
INSERT INTO `lang_definitions` VALUES (139726, 997, 26, '5 lần trở lại thăm khám');
INSERT INTO `lang_definitions` VALUES (139727, 998, 26, '4 lần trở lại thăm khám');
INSERT INTO `lang_definitions` VALUES (139728, 999, 26, '9 lần trở lại thăm khám');
INSERT INTO `lang_definitions` VALUES (139729, 1000, 26, '1 lần trở lại thăm khám');
INSERT INTO `lang_definitions` VALUES (139730, 1001, 26, 'Đau Lưng');
INSERT INTO `lang_definitions` VALUES (139731, 1002, 26, 'Vấn đề về Lưng');
INSERT INTO `lang_definitions` VALUES (139732, 1003, 26, '7 lần trở lại thăm khám');
INSERT INTO `lang_definitions` VALUES (139733, 1004, 26, '6 lần trở lại thăm khám');
INSERT INTO `lang_definitions` VALUES (139734, 1005, 26, 'Giải phẫu Lưng');
INSERT INTO `lang_definitions` VALUES (139735, 1006, 26, '10 lần trở lại thăm khám');
INSERT INTO `lang_definitions` VALUES (139736, 1007, 26, '3 lần trở lại thăm khám');
INSERT INTO `lang_definitions` VALUES (139737, 1008, 26, 'Quay lại Trang Quản trị');
INSERT INTO `lang_definitions` VALUES (139738, 1011, 26, 'Quay lại lần khám');
INSERT INTO `lang_definitions` VALUES (139739, 1012, 26, 'Quay lại trang Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (139740, 1013, 26, 'Quay lại Trang Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (139741, 1015, 26, 'Quay lại Trang Người dùng');
INSERT INTO `lang_definitions` VALUES (139742, 1016, 26, 'Quay lại Trang Xem');
INSERT INTO `lang_definitions` VALUES (139743, 1017, 26, '12 lần trở lại thăm khám');
INSERT INTO `lang_definitions` VALUES (139744, 1018, 26, '2 lần trở lại thăm khám');
INSERT INTO `lang_definitions` VALUES (139745, 1019, 26, 'Các dịch vụ Chạy nền');
INSERT INTO `lang_definitions` VALUES (139746, 1020, 26, 'Sao lưu');
INSERT INTO `lang_definitions` VALUES (139747, 1022, 26, 'Tập tin sao lưu đã được tạo ra. Bây giờ sẽ tải về');
INSERT INTO `lang_definitions` VALUES (139748, 1023, 26, 'Danh sách Sao lưu');
INSERT INTO `lang_definitions` VALUES (139749, 1024, 26, 'Sao lưu thành công thực hiện trong');
INSERT INTO `lang_definitions` VALUES (139750, 1025, 26, 'Chi phiếu không tiền bảo chứng');
INSERT INTO `lang_definitions` VALUES (139751, 1026, 26, 'Nợ xấu');
INSERT INTO `lang_definitions` VALUES (139752, 1027, 26, 'Tiếng Bahasa In-đô-nê-xia');
INSERT INTO `lang_definitions` VALUES (139753, 1028, 26, 'Cân đối');
INSERT INTO `lang_definitions` VALUES (139754, 1031, 26, 'Bảng cân đối');
INSERT INTO `lang_definitions` VALUES (139755, 1032, 26, 'bảng cân đối');
INSERT INTO `lang_definitions` VALUES (139756, 1033, 26, 'Số tiền Thanh toán');
INSERT INTO `lang_definitions` VALUES (139757, 1034, 26, 'Số tiền Còn lại');
INSERT INTO `lang_definitions` VALUES (139758, 1037, 26, 'Bambara');
INSERT INTO `lang_definitions` VALUES (139759, 1038, 26, 'Bản nháp Trống');
INSERT INTO `lang_definitions` VALUES (139760, 1039, 26, 'Nhãn Mã vạch');
INSERT INTO `lang_definitions` VALUES (139761, 1040, 26, 'Kiểu Nhãn Mã vạch');
INSERT INTO `lang_definitions` VALUES (139762, 1041, 26, 'Kiểu mã vạch để in nhãn mã vạch từ popups trong cửa sổ điều hướng bên trái');
INSERT INTO `lang_definitions` VALUES (139763, 1042, 26, 'Cơ sở của Metarsal thứ 5');
INSERT INTO `lang_definitions` VALUES (139764, 1043, 26, 'Cơ sở của Metarsal thứ 5:');
INSERT INTO `lang_definitions` VALUES (139765, 1047, 26, 'Bashkir');
INSERT INTO `lang_definitions` VALUES (139766, 1049, 26, 'Basque');
INSERT INTO `lang_definitions` VALUES (139767, 1050, 26, 'Yêu cầu Hàng loạt');
INSERT INTO `lang_definitions` VALUES (139768, 1051, 26, 'Công cụ Truyền thông Hàng loạt');
INSERT INTO `lang_definitions` VALUES (139769, 1053, 26, 'Khoản mục Thanh toán Hàng loạt');
INSERT INTO `lang_definitions` VALUES (139770, 1054, 26, 'Thanh toán Hàng loạt');
INSERT INTO `lang_definitions` VALUES (139771, 1055, 26, 'Xử lý hàng loạt đã được tiến hành; cần một ít thời gian để làm.');
INSERT INTO `lang_definitions` VALUES (139772, 1056, 26, 'Kết quả Làm Hàng loạt');
INSERT INTO `lang_definitions` VALUES (139773, 1057, 26, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (139774, 1060, 26, 'Hãy kiên nhẫn, một số tập tin cần nhiều phút để xử lý');
INSERT INTO `lang_definitions` VALUES (139775, 1063, 26, 'bởi vì mã đó không tồn tại.');
INSERT INTO `lang_definitions` VALUES (139776, 1072, 26, 'Bắt đầu');
INSERT INTO `lang_definitions` VALUES (139777, 1074, 26, 'Ngày Bắt đầu');
INSERT INTO `lang_definitions` VALUES (139778, 1076, 26, 'Ngày Bắt đầu cho Báo cáo Sổ cái');
INSERT INTO `lang_definitions` VALUES (139779, 1077, 26, 'Ngày bắt đầu dịch vụ năm-tháng-ngày');
INSERT INTO `lang_definitions` VALUES (139780, 1078, 26, 'Bắt đầu từ giờ trong ngày cho các lịch sự kiện.');
INSERT INTO `lang_definitions` VALUES (139781, 1081, 26, 'Belarusian');
INSERT INTO `lang_definitions` VALUES (139782, 1082, 26, 'Ợ hơi');
INSERT INTO `lang_definitions` VALUES (139783, 1083, 26, 'Dưới các giới hạn sợ hãi thấp');
INSERT INTO `lang_definitions` VALUES (139784, 1086, 26, 'Bengali');
INSERT INTO `lang_definitions` VALUES (139785, 1087, 26, 'Bengali- Bangla');
INSERT INTO `lang_definitions` VALUES (139786, 1089, 26, 'giữa');
INSERT INTO `lang_definitions` VALUES (139787, 1091, 26, 'Hai chiều');
INSERT INTO `lang_definitions` VALUES (139788, 1094, 26, 'Bihari');
INSERT INTO `lang_definitions` VALUES (139789, 1095, 26, 'Song phương');
INSERT INTO `lang_definitions` VALUES (139790, 1096, 26, 'Song phương:');
INSERT INTO `lang_definitions` VALUES (139791, 1098, 26, 'Hóa đơn Ngày');
INSERT INTO `lang_definitions` VALUES (139792, 1099, 26, 'Hóa đơn Ngày:');
INSERT INTO `lang_definitions` VALUES (139793, 1101, 26, 'Hóa đơn / Thu tiền');
INSERT INTO `lang_definitions` VALUES (139794, 1102, 26, 'Đã gửi hóa đơn');
INSERT INTO `lang_definitions` VALUES (139795, 1103, 26, 'Ngày ra Hóa đơn');
INSERT INTO `lang_definitions` VALUES (139796, 1104, 26, 'Lập hóa đơn');
INSERT INTO `lang_definitions` VALUES (139797, 1105, 26, 'Lập hóa đơn (tùy chọn cho ghi)');
INSERT INTO `lang_definitions` VALUES (139798, 1109, 26, 'Người nhận Hóa đơn');
INSERT INTO `lang_definitions` VALUES (139799, 1110, 26, 'Diễn giải Mã Hóa đơn');
INSERT INTO `lang_definitions` VALUES (139800, 1111, 26, 'Mã Hóa đơn cho Dịch vụ được Yêu cầu');
INSERT INTO `lang_definitions` VALUES (139801, 1112, 26, 'Mã hóa đơn');
INSERT INTO `lang_definitions` VALUES (139802, 1113, 26, 'Dữ liệu Hóa đơn');
INSERT INTO `lang_definitions` VALUES (139803, 1114, 26, 'Thanh toán cho Bộ phận');
INSERT INTO `lang_definitions` VALUES (139804, 1115, 26, 'Thanh toán cho Cơ sở');
INSERT INTO `lang_definitions` VALUES (139805, 1117, 26, 'Thông tin Hóa đơn');
INSERT INTO `lang_definitions` VALUES (139806, 1118, 26, 'Vị trí nhận Thanh toán');
INSERT INTO `lang_definitions` VALUES (139807, 1120, 26, 'Thêm Nhật ký Hóa đơn');
INSERT INTO `lang_definitions` VALUES (139808, 1122, 26, 'Tùy chọn Nhật ký Hóa đơn');
INSERT INTO `lang_definitions` VALUES (139809, 1123, 26, 'Ghi đè Nhật Ký Hóa đơn');
INSERT INTO `lang_definitions` VALUES (139810, 1124, 26, 'Thiết lập nhật ký hóa đơn để thêm hay ghi đè tập tin nhật ký');
INSERT INTO `lang_definitions` VALUES (139811, 1125, 26, 'Người quản lý Thanh toán');
INSERT INTO `lang_definitions` VALUES (139812, 1126, 26, 'Lưu ý Thanh toán');
INSERT INTO `lang_definitions` VALUES (139813, 1127, 26, 'Lưu ý Thanh toán cho');
INSERT INTO `lang_definitions` VALUES (139814, 1128, 26, 'Lưu ý Thanh toán:');
INSERT INTO `lang_definitions` VALUES (139815, 1130, 26, 'Kết quả hàng đợi thanh toán:');
INSERT INTO `lang_definitions` VALUES (139816, 1131, 26, 'Báo cáo Hóa đơn');
INSERT INTO `lang_definitions` VALUES (139817, 1132, 26, 'Trạng thái Hóa đơn');
INSERT INTO `lang_definitions` VALUES (139818, 1133, 26, 'Tình trạng Hóa đơn = Chưa gửi hóa đơn');
INSERT INTO `lang_definitions` VALUES (139819, 1134, 26, 'thanh toán đến');
INSERT INTO `lang_definitions` VALUES (139820, 1135, 26, 'Xem Hóa đơn');
INSERT INTO `lang_definitions` VALUES (139821, 1138, 26, 'Sinh thiết');
INSERT INTO `lang_definitions` VALUES (139822, 1140, 26, 'Ngày sinh');
INSERT INTO `lang_definitions` VALUES (139823, 1141, 26, 'Sơ sinh-24 tháng');
INSERT INTO `lang_definitions` VALUES (139824, 1143, 26, 'Bislama');
INSERT INTO `lang_definitions` VALUES (139825, 1144, 26, 'Đen');
INSERT INTO `lang_definitions` VALUES (139826, 1147, 26, 'Nám Phổi');
INSERT INTO `lang_definitions` VALUES (139827, 1148, 26, 'Người da đen hoặc người Mỹ gốc Phi');
INSERT INTO `lang_definitions` VALUES (139828, 1149, 26, 'Ung thư Bàng quang');
INSERT INTO `lang_definitions` VALUES (139829, 1150, 26, 'Nhiễm trùng Bàng quang');
INSERT INTO `lang_definitions` VALUES (139830, 1152, 26, 'Biểu mẫu Trống');
INSERT INTO `lang_definitions` VALUES (139831, 1153, 26, 'Vấn đề Chảy máu');
INSERT INTO `lang_definitions` VALUES (139832, 1154, 26, 'Điểm Mù');
INSERT INTO `lang_definitions` VALUES (139833, 1156, 26, 'Đầy hơi');
INSERT INTO `lang_definitions` VALUES (139834, 1158, 26, 'Bị chặn');
INSERT INTO `lang_definitions` VALUES (139835, 1159, 26, 'Máu');
INSERT INTO `lang_definitions` VALUES (139836, 1160, 26, 'Huyết Áp');
INSERT INTO `lang_definitions` VALUES (139837, 1161, 26, 'Huyết áp');
INSERT INTO `lang_definitions` VALUES (139838, 1162, 26, 'Chảy Máu cam');
INSERT INTO `lang_definitions` VALUES (139839, 1163, 26, 'Blue Cross Blue Shield');
INSERT INTO `lang_definitions` VALUES (139840, 1165, 26, 'Đường màu xanh trong báo cáo này để cung cấp thông tin. Đường màu đen hiển thị thông tin có trước đây. Đường màu xanh lá cây cho thấy thay đổi đã được áp dụng thành công. Đường màu đỏ chỉ ra sai sót, hoặc thay đổi đã không được áp dụng, chúng phải được xử lý bằng tay. Tuyên bố hiện đang bị từ chối và đảo ngược thanh toán không được xử lý tự động và như vậy sẽ xuất hiện trong màu đỏ.');
INSERT INTO `lang_definitions` VALUES (139841, 1166, 26, 'Giảm Thị lực');
INSERT INTO `lang_definitions` VALUES (139842, 1167, 26, 'BMI');
INSERT INTO `lang_definitions` VALUES (139843, 1168, 26, 'Trạng thái BMI');
INSERT INTO `lang_definitions` VALUES (139844, 1169, 26, 'Cơ thể');
INSERT INTO `lang_definitions` VALUES (139845, 1170, 26, 'Vùng Cơ thể');
INSERT INTO `lang_definitions` VALUES (139846, 1171, 26, 'Điểm trên Cơ thể');
INSERT INTO `lang_definitions` VALUES (139847, 1172, 26, 'Điểm trên cơ thể, nếu phù hợp');
INSERT INTO `lang_definitions` VALUES (139848, 1173, 26, 'Xương Đau:');
INSERT INTO `lang_definitions` VALUES (139849, 1174, 26, 'Đau xương: mắt cá Medial');
INSERT INTO `lang_definitions` VALUES (139850, 1175, 26, 'Luận lý');
INSERT INTO `lang_definitions` VALUES (139851, 1176, 26, 'Bosnian');
INSERT INTO `lang_definitions` VALUES (139852, 1177, 26, 'Dưới');
INSERT INTO `lang_definitions` VALUES (139853, 1179, 26, 'Cả hai tai');
INSERT INTO `lang_definitions` VALUES (139854, 1180, 26, 'cả hai tai');
INSERT INTO `lang_definitions` VALUES (139855, 1183, 26, 'Dưới');
INSERT INTO `lang_definitions` VALUES (139856, 1184, 26, 'Lề Dưới (điểm ảnh)');
INSERT INTO `lang_definitions` VALUES (139857, 1187, 26, 'BOX 10 A. Liên quan đến công việc');
INSERT INTO `lang_definitions` VALUES (139858, 1189, 26, 'BOX 10 B. Tai nạn Xe cộ');
INSERT INTO `lang_definitions` VALUES (139859, 1191, 26, 'BOX 10 C. Tai nạn khác');
INSERT INTO `lang_definitions` VALUES (139860, 1200, 26, 'BOX 14 Ký hiệu Ngày');
INSERT INTO `lang_definitions` VALUES (139861, 1204, 26, 'BOX 15 Ký hiệu Ngày Khác');
INSERT INTO `lang_definitions` VALUES (139862, 1205, 26, 'BOX 15. Ngày có bệnh đó hay bệnh tương tự (Năm-tháng-ngày):');
INSERT INTO `lang_definitions` VALUES (139863, 1206, 26, 'BOX 15. Ngày có bệnh đó hay bệnh tương tự/Khác (Năm-tháng-ngày):');
INSERT INTO `lang_definitions` VALUES (139864, 1211, 26, 'BOX 16. Không thể làm việc từ ngày (Năm-tháng-ngày):');
INSERT INTO `lang_definitions` VALUES (139865, 1215, 26, 'BOX 16. Không thể làm việc đến ngày (Năm-tháng-ngày):');
INSERT INTO `lang_definitions` VALUES (139866, 1227, 26, 'BOX 18. Nhập viện từ ngày (Năm-tháng-ngày):');
INSERT INTO `lang_definitions` VALUES (139867, 1231, 26, 'BOX 18. Nhập viện đến ngày (Năm-tháng-ngày):');
INSERT INTO `lang_definitions` VALUES (139868, 1235, 26, 'BOX 20. Bên ngoài phòng thí nghiệm được sử dụng?');
INSERT INTO `lang_definitions` VALUES (139869, 1239, 26, 'BOX 22. Nộp lại luật y tế (ICD-9)');
INSERT INTO `lang_definitions` VALUES (139870, 1243, 26, 'BOX 23. Trước khi ủy quyền số');
INSERT INTO `lang_definitions` VALUES (139871, 1244, 26, 'Huyết áp');
INSERT INTO `lang_definitions` VALUES (139872, 1245, 26, 'Huyết áp tâm trương');
INSERT INTO `lang_definitions` VALUES (139873, 1246, 26, 'Huyết áp tâm thu');
INSERT INTO `lang_definitions` VALUES (139874, 1254, 26, 'Brazilian Portuguese');
INSERT INTO `lang_definitions` VALUES (139875, 1255, 26, 'Vú');
INSERT INTO `lang_definitions` VALUES (139876, 1256, 26, 'Sinh thiết Vú');
INSERT INTO `lang_definitions` VALUES (139877, 1257, 26, 'Chảy mủ Vú');
INSERT INTO `lang_definitions` VALUES (139878, 1258, 26, 'Bệnh về Vú');
INSERT INTO `lang_definitions` VALUES (139879, 1259, 26, 'Kiểm tra Vú');
INSERT INTO `lang_definitions` VALUES (139880, 1260, 26, 'U vú');
INSERT INTO `lang_definitions` VALUES (139881, 1261, 26, 'Hơi thở');
INSERT INTO `lang_definitions` VALUES (139882, 1262, 26, 'Âm thanh Hơi thở:');
INSERT INTO `lang_definitions` VALUES (139883, 1263, 26, 'Breton');
INSERT INTO `lang_definitions` VALUES (139884, 1265, 26, 'Gãy Xương');
INSERT INTO `lang_definitions` VALUES (139885, 1266, 26, 'dạng gãy');
INSERT INTO `lang_definitions` VALUES (139886, 1267, 26, 'Viêm phế quản mẫu');
INSERT INTO `lang_definitions` VALUES (139887, 1270, 26, 'Duyệt xem');
INSERT INTO `lang_definitions` VALUES (139888, 1271, 26, 'Duyệt Hồ sơ');
INSERT INTO `lang_definitions` VALUES (139889, 1272, 26, 'Bầm / tụ máu');
INSERT INTO `lang_definitions` VALUES (139890, 1275, 26, 'Bulgarian');
INSERT INTO `lang_definitions` VALUES (139891, 1276, 26, 'Phồng phải:');
INSERT INTO `lang_definitions` VALUES (139892, 1277, 26, 'Burmese');
INSERT INTO `lang_definitions` VALUES (139893, 1278, 26, 'Đốt với Đi tiểu');
INSERT INTO `lang_definitions` VALUES (139894, 1279, 26, 'Đốt Với ​​Đi tiểu');
INSERT INTO `lang_definitions` VALUES (139895, 1281, 26, 'Điện thoại Công việc');
INSERT INTO `lang_definitions` VALUES (139896, 1282, 26, 'Bận rộn');
INSERT INTO `lang_definitions` VALUES (139897, 1283, 26, 'nhưng chưa được xử lý.');
INSERT INTO `lang_definitions` VALUES (139898, 1284, 26, 'Mông');
INSERT INTO `lang_definitions` VALUES (139899, 1285, 26, 'Mông + S.I.');
INSERT INTO `lang_definitions` VALUES (139900, 1286, 26, 'bởi');
INSERT INTO `lang_definitions` VALUES (139901, 1287, 26, 'Bởi');
INSERT INTO `lang_definitions` VALUES (139902, 1293, 26, 'bằng miệng');
INSERT INTO `lang_definitions` VALUES (139903, 1295, 26, 'Bởi / Nguồn');
INSERT INTO `lang_definitions` VALUES (139904, 1296, 26, 'Bởi:');
INSERT INTO `lang_definitions` VALUES (139905, 1299, 26, 'C');
INSERT INTO `lang_definitions` VALUES (139906, 1301, 26, 'Giấy chứng nhận CA để xác minh máy chủ syslog RFC 5425 TLS.');
INSERT INTO `lang_definitions` VALUES (139907, 1302, 26, 'Thời gian lưu trong bộ nhớ đệm (tính bằng giây)');
INSERT INTO `lang_definitions` VALUES (139908, 1303, 26, 'Có nhớ đệm kết quả khuôn mẫu?');
INSERT INTO `lang_definitions` VALUES (139909, 1305, 26, 'Dùng cà phê');
INSERT INTO `lang_definitions` VALUES (139910, 1306, 26, 'Lịch');
INSERT INTO `lang_definitions` VALUES (139911, 1307, 26, 'Giờ Kết thúc trong Lịch');
INSERT INTO `lang_definitions` VALUES (139912, 1308, 26, 'Thời khoảng trong Lịch');
INSERT INTO `lang_definitions` VALUES (139913, 1309, 26, 'Màn hình Lịch');
INSERT INTO `lang_definitions` VALUES (139914, 1310, 26, 'Cài đặt Lịch');
INSERT INTO `lang_definitions` VALUES (139915, 1312, 26, 'Giờ Bắt đầu trong Lịch');
INSERT INTO `lang_definitions` VALUES (139916, 1313, 26, 'Giao diện Lịch');
INSERT INTO `lang_definitions` VALUES (139917, 1314, 26, 'Xem Lịch');
INSERT INTO `lang_definitions` VALUES (139918, 1317, 26, 'Gọi addForm () ở đây. <br>');
INSERT INTO `lang_definitions` VALUES (139919, 1321, 26, 'Năng lượng');
INSERT INTO `lang_definitions` VALUES (139920, 1322, 26, 'Tiếng/Người Campuchia');
INSERT INTO `lang_definitions` VALUES (139921, 1323, 26, 'CAMOS');
INSERT INTO `lang_definitions` VALUES (139922, 1325, 26, 'Không thể thiết lập cái này trừ khi thiết lập Tóm lược Chăm sóc Đã gửi');
INSERT INTO `lang_definitions` VALUES (139923, 1326, 26, 'Không thể tìm thấy tập tin!');
INSERT INTO `lang_definitions` VALUES (139924, 1327, 26, 'Không thể tải lên');
INSERT INTO `lang_definitions` VALUES (139925, 1328, 26, 'Canada');
INSERT INTO `lang_definitions` VALUES (139926, 1329, 26, 'Hủy bỏ');
INSERT INTO `lang_definitions` VALUES (139927, 1332, 26, 'Hủy bỏ Thay đổi');
INSERT INTO `lang_definitions` VALUES (139928, 1333, 26, 'Đã hủy bỏ');
INSERT INTO `lang_definitions` VALUES (139929, 1335, 26, 'Ung thư');
INSERT INTO `lang_definitions` VALUES (139930, 1336, 26, 'Sàng lọc Ung thư: Sàng lọc Ung thư ruột kết');
INSERT INTO `lang_definitions` VALUES (139931, 1337, 26, 'Sàng lọc Ung thư: Chụp nhũ ảnh');
INSERT INTO `lang_definitions` VALUES (139932, 1338, 26, 'Sàng lọc Ung thư: Phết tế bào Cổ tử cung');
INSERT INTO `lang_definitions` VALUES (139933, 1339, 26, 'Sàng lọc Ung thư: Sàng lọc Ung thư Tuyến tiền liệt');
INSERT INTO `lang_definitions` VALUES (139934, 1340, 26, 'Không thể thêm đầu mục này bởi vì đã có nó!');
INSERT INTO `lang_definitions` VALUES (139935, 1341, 26, 'Không thể thêm / cập nhật đầu mục này bởi vì đã có bản sao của nó!');
INSERT INTO `lang_definitions` VALUES (139936, 1342, 26, 'không thể được lưu trữ, đã bỏ qua');
INSERT INTO `lang_definitions` VALUES (139937, 1343, 26, 'không có thể được chuyển đổi sang JPEG. Có lẽ ImageMagick không được cài đặt?');
INSERT INTO `lang_definitions` VALUES (139938, 1344, 26, 'không thể bị xóa, đã bỏ qua');
INSERT INTO `lang_definitions` VALUES (139939, 1345, 26, 'Không thể hiển thị nội tuyến bởi vì loại của nó không được hỗ trợ bởi trình duyệt.');
INSERT INTO `lang_definitions` VALUES (139940, 1346, 26, 'không thể hiển thị nội tuyến bỏi vì loại của nó không được hỗ trợ bởi trình duyệt');
INSERT INTO `lang_definitions` VALUES (139941, 1347, 26, 'không thể hiển thị nội tuyến bởi vì loại của nó không được hỗ trợ bởi trình duyệt.');
INSERT INTO `lang_definitions` VALUES (139942, 1349, 26, 'Không thể tạo');
INSERT INTO `lang_definitions` VALUES (139943, 1350, 26, 'Không thể tạo tập tin');
INSERT INTO `lang_definitions` VALUES (139944, 1351, 26, 'Không thể xóa tập tin (từ máy chủ SFTP)');
INSERT INTO `lang_definitions` VALUES (139945, 1352, 26, 'Không thể xóa tập tin');
INSERT INTO `lang_definitions` VALUES (139946, 1353, 26, 'Không thể xác định một tên tập tin đích');
INSERT INTO `lang_definitions` VALUES (139947, 1354, 26, 'Không thể tìm thấy');
INSERT INTO `lang_definitions` VALUES (139948, 1355, 26, 'Không thể tìm thấy một tên tập tin đích');
INSERT INTO `lang_definitions` VALUES (139949, 1358, 26, 'Không thể tìm thấy bệnh nhân từ khách hàng id SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (139950, 1359, 26, 'Không thể tìm thấy tài liệu tham khảo tài liệu postscript');
INSERT INTO `lang_definitions` VALUES (139951, 1360, 26, 'Không thể tìm thấy nhà cung cấp từ SQL-Ledger nhân viên =');
INSERT INTO `lang_definitions` VALUES (139952, 1361, 26, 'Không thể Sửa đổi cách thanh toán.Không bị phân chia là Tiêu cực.');
INSERT INTO `lang_definitions` VALUES (139953, 1363, 26, 'Không thể mở');
INSERT INTO `lang_definitions` VALUES (139954, 1364, 26, 'Không thể Đăng cho Bảo hiểm.Các thực thể Thanh toán được lựa chọn là bệnh nhân');
INSERT INTO `lang_definitions` VALUES (139955, 1365, 26, 'Không thể Đăng cho bệnh nhân. Thực thể chi trả chọn là Bảo hiểm.');
INSERT INTO `lang_definitions` VALUES (139956, 1366, 26, 'Không thể Đăng Payments.Undistributed là tiêu cực.');
INSERT INTO `lang_definitions` VALUES (139957, 1367, 26, 'Không thể đọc');
INSERT INTO `lang_definitions` VALUES (139958, 1368, 26, 'Không thể đọc thư mục');
INSERT INTO `lang_definitions` VALUES (139959, 1369, 26, 'Không thể cập nhật vì bạn không phải chỉnh sửa một mục nhập hiện tại!');
INSERT INTO `lang_definitions` VALUES (139960, 1370, 26, 'Viết hoa');
INSERT INTO `lang_definitions` VALUES (139961, 1371, 26, 'Viết hoa hết');
INSERT INTO `lang_definitions` VALUES (139962, 1372, 26, 'viên nang');
INSERT INTO `lang_definitions` VALUES (139963, 1373, 26, 'Thẻ');
INSERT INTO `lang_definitions` VALUES (139964, 1382, 26, 'Đặt ống thông tim');
INSERT INTO `lang_definitions` VALUES (139965, 1383, 26, 'Tim Echo');
INSERT INTO `lang_definitions` VALUES (139966, 1384, 26, 'Tim mạch');
INSERT INTO `lang_definitions` VALUES (139967, 1385, 26, 'Sự phối hợp Chăm sóc');
INSERT INTO `lang_definitions` VALUES (139968, 1389, 26, 'Kế hoạch Chăm sóc');
INSERT INTO `lang_definitions` VALUES (139969, 1390, 26, 'Biểu mẫu Kế hoạch Chăm sóc');
INSERT INTO `lang_definitions` VALUES (139970, 1392, 26, 'Nhóm Chăm sóc');
INSERT INTO `lang_definitions` VALUES (139971, 1396, 26, 'Sụn ​​/ chondral / đĩa thiệt hại');
INSERT INTO `lang_definitions` VALUES (139972, 1397, 26, 'Sụn ​​bị thương');
INSERT INTO `lang_definitions` VALUES (139973, 1398, 26, 'Cartoid rung nl, bàn đạp xung nl');
INSERT INTO `lang_definitions` VALUES (139974, 1400, 26, 'tiền mặt');
INSERT INTO `lang_definitions` VALUES (139975, 1401, 26, 'Tiền mặt');
INSERT INTO `lang_definitions` VALUES (139976, 1402, 26, 'Tiền mặt Rec');
INSERT INTO `lang_definitions` VALUES (139977, 1403, 26, 'Giấy biên nhận tiền bởi nhà cung cấp');
INSERT INTO `lang_definitions` VALUES (139978, 1404, 26, 'Catalan- Valencian');
INSERT INTO `lang_definitions` VALUES (139979, 1406, 26, 'Phẫu thuật Đục thủy tinh thể');
INSERT INTO `lang_definitions` VALUES (139980, 1407, 26, 'Đục thủy tinh thể');
INSERT INTO `lang_definitions` VALUES (139981, 1408, 26, 'Thể loại');
INSERT INTO `lang_definitions` VALUES (139982, 1409, 26, 'Thể loại cho');
INSERT INTO `lang_definitions` VALUES (139983, 1410, 26, 'Thể loại');
INSERT INTO `lang_definitions` VALUES (139984, 1411, 26, 'thể loại');
INSERT INTO `lang_definitions` VALUES (139985, 1412, 26, 'Thể loại');
INSERT INTO `lang_definitions` VALUES (139986, 1416, 26, 'Thể loại Thông tin chi tiết');
INSERT INTO `lang_definitions` VALUES (139987, 1417, 26, 'Giới hạn Thể loại');
INSERT INTO `lang_definitions` VALUES (139988, 1418, 26, 'Tên Thể loại');
INSERT INTO `lang_definitions` VALUES (139989, 1419, 26, 'Tên thể loại đang trống');
INSERT INTO `lang_definitions` VALUES (139990, 1420, 26, 'Thể loại / Tiêu đề');
INSERT INTO `lang_definitions` VALUES (139991, 1421, 26, 'Da trắng');
INSERT INTO `lang_definitions` VALUES (139992, 1422, 26, 'Làm cho Giấy biên nhận In Thông tin Nhà cung cấp / Lần khám Chính');
INSERT INTO `lang_definitions` VALUES (139993, 1432, 26, 'CCR Phê duyệt');
INSERT INTO `lang_definitions` VALUES (139994, 1433, 26, 'CCr Xem lại Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (139995, 1434, 26, 'CCR Xem lại và Phê duyệt');
INSERT INTO `lang_definitions` VALUES (139996, 1440, 26, 'Mã CDC');
INSERT INTO `lang_definitions` VALUES (139997, 1442, 26, 'CDR');
INSERT INTO `lang_definitions` VALUES (139998, 1443, 26, 'CDR Ưu tiên Xử lý Báo cáo');
INSERT INTO `lang_definitions` VALUES (139999, 1444, 26, 'Di động');
INSERT INTO `lang_definitions` VALUES (140000, 1445, 26, 'Điện thoại Di động');
INSERT INTO `lang_definitions` VALUES (140001, 1446, 26, 'Số điện thoại di động');
INSERT INTO `lang_definitions` VALUES (140002, 1447, 26, 'Số Điện thoại Di động');
INSERT INTO `lang_definitions` VALUES (140003, 1449, 26, 'Trung ương chứng nhận');
INSERT INTO `lang_definitions` VALUES (140004, 1451, 26, 'Trung / Nam Mỹ');
INSERT INTO `lang_definitions` VALUES (140005, 1452, 26, 'Giấy chứng nhận Cơ quan crt tập tin vị trí không thể để trống');
INSERT INTO `lang_definitions` VALUES (140006, 1453, 26, 'Vị trí Quyền hành giấy chứng nhận tập tin quan trọng không thể để trống');
INSERT INTO `lang_definitions` VALUES (140007, 1454, 26, 'Giấy chứng nhận để gửi RFC 5425 máy chủ syslog TLS.');
INSERT INTO `lang_definitions` VALUES (140008, 1455, 26, 'Giấy chứng nhận người sử dụng');
INSERT INTO `lang_definitions` VALUES (140009, 1456, 26, 'Giấy chứng nhận');
INSERT INTO `lang_definitions` VALUES (140010, 1457, 26, 'Chamorro');
INSERT INTO `lang_definitions` VALUES (140011, 1458, 26, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (140012, 1459, 26, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (140013, 1460, 26, 'thay đổi');
INSERT INTO `lang_definitions` VALUES (140014, 1461, 26, 'Thay đổi');
INSERT INTO `lang_definitions` VALUES (140015, 1462, 26, 'Hoạt động thay đổi');
INSERT INTO `lang_definitions` VALUES (140016, 1466, 26, 'Lỗi khi thay đổi! Có phải kết nối CouchDB bị lỗi?');
INSERT INTO `lang_definitions` VALUES (140017, 1467, 26, 'Thay đổi thị lực');
INSERT INTO `lang_definitions` VALUES (140018, 1468, 26, 'Thay đổi thị lực');
INSERT INTO `lang_definitions` VALUES (140019, 1470, 26, 'Thay đổi Mật khẩu');
INSERT INTO `lang_definitions` VALUES (140020, 1473, 26, 'Đổi Trạng thái cho');
INSERT INTO `lang_definitions` VALUES (140021, 1475, 26, 'Thay đổi');
INSERT INTO `lang_definitions` VALUES (140022, 1476, 26, 'Thay đổi ruột');
INSERT INTO `lang_definitions` VALUES (140023, 1479, 26, 'Đang thay đổi mã bệnh nhân cho tài liệu');
INSERT INTO `lang_definitions` VALUES (140024, 1484, 26, 'Đặc điểm');
INSERT INTO `lang_definitions` VALUES (140025, 1485, 26, 'Số ký tự Còn lại');
INSERT INTO `lang_definitions` VALUES (140026, 1486, 26, 'Phí');
INSERT INTO `lang_definitions` VALUES (140027, 1487, 26, 'Phí điều chỉnh');
INSERT INTO `lang_definitions` VALUES (140028, 1488, 26, 'Mã Phí');
INSERT INTO `lang_definitions` VALUES (140029, 1490, 26, 'Phí');
INSERT INTO `lang_definitions` VALUES (140030, 1491, 26, 'Biểu đồ');
INSERT INTO `lang_definitions` VALUES (140031, 1492, 26, 'Hoạt động biểu đồ');
INSERT INTO `lang_definitions` VALUES (140032, 1493, 26, 'Báo cáo hoạt động biểu đồ check-in/out');
INSERT INTO `lang_definitions` VALUES (140033, 1495, 26, 'Biểu đồ ID');
INSERT INTO `lang_definitions` VALUES (140034, 1496, 26, 'Lập biểu đồ ID:');
INSERT INTO `lang_definitions` VALUES (140035, 1497, 26, 'Nhãn Biểu đồ');
INSERT INTO `lang_definitions` VALUES (140036, 1498, 26, 'Biểu đồ Bài gửi cuối');
INSERT INTO `lang_definitions` VALUES (140037, 1499, 26, 'Lập biểu đồ Lưu ý');
INSERT INTO `lang_definitions` VALUES (140038, 1500, 26, 'Biểu đồ số');
INSERT INTO `lang_definitions` VALUES (140039, 1502, 26, 'Nơi Lưu trữ Biểu đồ');
INSERT INTO `lang_definitions` VALUES (140040, 1504, 26, 'Biểu đồ theo dõi');
INSERT INTO `lang_definitions` VALUES (140041, 1505, 26, 'Biểu đồ TRK');
INSERT INTO `lang_definitions` VALUES (140042, 1508, 26, 'Biểu đồ kiểm tra ra');
INSERT INTO `lang_definitions` VALUES (140043, 1509, 26, 'Bảng xếp hạng Out');
INSERT INTO `lang_definitions` VALUES (140044, 1512, 26, 'Chechen');
INSERT INTO `lang_definitions` VALUES (140045, 1513, 26, 'Kiểm tra');
INSERT INTO `lang_definitions` VALUES (140046, 1514, 26, 'kiểm tra');
INSERT INTO `lang_definitions` VALUES (140047, 1515, 26, 'Chọn tất cả');
INSERT INTO `lang_definitions` VALUES (140048, 1516, 26, 'Chọn tất cả - Thành phần');
INSERT INTO `lang_definitions` VALUES (140049, 1517, 26, 'Kiểm tra Số tiền');
INSERT INTO `lang_definitions` VALUES (140050, 1519, 26, 'Kiểm tra ngày');
INSERT INTO `lang_definitions` VALUES (140051, 1521, 26, 'Kiểm tra sự khác biệt của bản dịch với bảng ngôn ngữ tùy chỉnh.');
INSERT INTO `lang_definitions` VALUES (140052, 1526, 26, 'Ghi hiện diện');
INSERT INTO `lang_definitions` VALUES (140053, 1527, 26, 'Ghi hiện diện Vào');
INSERT INTO `lang_definitions` VALUES (140054, 1528, 26, 'Kiểm tra dữ liệu đầu vào');
INSERT INTO `lang_definitions` VALUES (140055, 1529, 26, 'Kiểm tra các mục để vẽ đồ thị');
INSERT INTO `lang_definitions` VALUES (140056, 1530, 26, 'Kiểm tra kết quả từ phòng thí nghiệm');
INSERT INTO `lang_definitions` VALUES (140057, 1531, 26, 'Dấu kiểm là đã xem lại');
INSERT INTO `lang_definitions` VALUES (140058, 1532, 26, 'Số Chi phiếu');
INSERT INTO `lang_definitions` VALUES (140059, 1533, 26, 'Số Chi phiếu');
INSERT INTO `lang_definitions` VALUES (140060, 1534, 26, 'Thanh toán Khi rời đi');
INSERT INTO `lang_definitions` VALUES (140061, 1535, 26, 'Thời gian Thanh toán Khi rời đi');
INSERT INTO `lang_definitions` VALUES (140062, 1536, 26, 'Thanh toán bằng Chi phiếu');
INSERT INTO `lang_definitions` VALUES (140063, 1537, 26, 'Đánh dấu hộp này nếu đây là một tập tin được mã hóa');
INSERT INTO `lang_definitions` VALUES (140064, 1541, 26, 'Đánh dấu ở đây nếu bạn muốn theo mặc định các nhà cung cấp xem được tất cả các cuộc hẹn không chỉ của riêng mình.');
INSERT INTO `lang_definitions` VALUES (140065, 1543, 26, 'Đánh dấu để tạo vấn đề cho chẩn đoán này');
INSERT INTO `lang_definitions` VALUES (140066, 1545, 26, 'Ngày Chi phiếu / EOB:');
INSERT INTO `lang_definitions` VALUES (140067, 1547, 26, 'Số Chi phiếu / EOB:');
INSERT INTO `lang_definitions` VALUES (140068, 1548, 26, 'Số Chi phiếu / Tham khảo');
INSERT INTO `lang_definitions` VALUES (140069, 1549, 26, 'Số Chi phiếu / Tham khảo');
INSERT INTO `lang_definitions` VALUES (140070, 1550, 26, 'Danh sách hộp kiểm');
INSERT INTO `lang_definitions` VALUES (140071, 1551, 26, 'hộp kiểm trong danh sách');
INSERT INTO `lang_definitions` VALUES (140072, 1552, 26, 'hộp kiểm với văn bản');
INSERT INTO `lang_definitions` VALUES (140073, 1553, 26, 'Hộp kiểm với văn bản');
INSERT INTO `lang_definitions` VALUES (140074, 1555, 26, 'Các hộp kiểm bên trên cho biết bạn có muốn từ chố và xóa tập tin HL7 đó không.');
INSERT INTO `lang_definitions` VALUES (140075, 1557, 26, 'Đã đánh dấu');
INSERT INTO `lang_definitions` VALUES (140076, 1559, 26, 'Ô được đánh dấu = có, trống = không có');
INSERT INTO `lang_definitions` VALUES (140077, 1561, 26, 'Danh bạ Thuốc đã Kiểm tra?');
INSERT INTO `lang_definitions` VALUES (140078, 1566, 26, 'Đánh dấu vào hộp kiểm khóa sẽ ngăn việc sửa đổi sau này trên bắt kỳ biểu mẫu nào trong lần khám này.');
INSERT INTO `lang_definitions` VALUES (140079, 1568, 26, 'Tính tiền');
INSERT INTO `lang_definitions` VALUES (140080, 1569, 26, 'Tổng kiểm');
INSERT INTO `lang_definitions` VALUES (140081, 1570, 26, 'Ngực');
INSERT INTO `lang_definitions` VALUES (140082, 1571, 26, 'CTAB Ngực');
INSERT INTO `lang_definitions` VALUES (140083, 1572, 26, 'Đau ngực');
INSERT INTO `lang_definitions` VALUES (140084, 1573, 26, 'Đau ngực:');
INSERT INTO `lang_definitions` VALUES (140085, 1574, 26, 'Cơn đau thắt ngực');
INSERT INTO `lang_definitions` VALUES (140086, 1575, 26, 'Bác sĩ Khoa ngực');
INSERT INTO `lang_definitions` VALUES (140087, 1576, 26, 'CHG');
INSERT INTO `lang_definitions` VALUES (140088, 1577, 26, 'Chichewa- Chewa- Nyanja');
INSERT INTO `lang_definitions` VALUES (140089, 1578, 26, 'Giám đốc khiếu nại');
INSERT INTO `lang_definitions` VALUES (140090, 1581, 26, 'Con');
INSERT INTO `lang_definitions` VALUES (140091, 1582, 26, 'Con nuôi');
INSERT INTO `lang_definitions` VALUES (140092, 1583, 26, 'Tình trạng tiêm chủng thời thơ ấu (CQM)');
INSERT INTO `lang_definitions` VALUES (140093, 1584, 26, 'Ớn lạnh');
INSERT INTO `lang_definitions` VALUES (140094, 1585, 26, 'Tiếng Trung Quốc');
INSERT INTO `lang_definitions` VALUES (140095, 1586, 26, 'Chữ Trung Quốc (giản thể)');
INSERT INTO `lang_definitions` VALUES (140096, 1587, 26, 'Chữ Trung Quốc (truyền thống)');
INSERT INTO `lang_definitions` VALUES (140097, 1588, 26, 'Thuật nắn bóp cột sống');
INSERT INTO `lang_definitions` VALUES (140098, 1589, 26, 'Lựa chọn');
INSERT INTO `lang_definitions` VALUES (140099, 1590, 26, 'Cắt túi mật');
INSERT INTO `lang_definitions` VALUES (140100, 1591, 26, 'cắt túi mật');
INSERT INTO `lang_definitions` VALUES (140101, 1592, 26, 'Cắt túi mật');
INSERT INTO `lang_definitions` VALUES (140102, 1593, 26, 'Chọn');
INSERT INTO `lang_definitions` VALUES (140103, 1596, 26, 'Chọn một phần và bấm vào một mục bên trong nó, sau đó trong các phần khác, bạn sẽ thấy các mục có liên quan được đánh dấu, và bạn có thể nhấp vào phần đó để thêm và xóa các mối quan hệ.');
INSERT INTO `lang_definitions` VALUES (140104, 1597, 26, 'Chọn tiêu chí');
INSERT INTO `lang_definitions` VALUES (140105, 1599, 26, 'Chọn Tải xuống hay Hiển thị Tại chỗ');
INSERT INTO `lang_definitions` VALUES (140106, 1602, 26, 'Chọn Tập tin');
INSERT INTO `lang_definitions` VALUES (140107, 1603, 26, 'Chọn từ danh sách');
INSERT INTO `lang_definitions` VALUES (140108, 1604, 26, 'Chọn Hướng Bố trí');
INSERT INTO `lang_definitions` VALUES (140109, 1605, 26, 'Chọn danh sách');
INSERT INTO `lang_definitions` VALUES (140110, 1608, 26, 'Chọn Kích cỡ Giấy');
INSERT INTO `lang_definitions` VALUES (140111, 1610, 26, 'Chọn Xác lập ngôn ngữ PDF');
INSERT INTO `lang_definitions` VALUES (140112, 1611, 26, 'Chọn định dạng in cho báo cáo cuộc gặp gỡ này.');
INSERT INTO `lang_definitions` VALUES (140113, 1613, 26, 'Chọn cách xem phiếu khám mặc định của bạn');
INSERT INTO `lang_definitions` VALUES (140114, 1615, 26, 'Viêm phế quản Mãn tính');
INSERT INTO `lang_definitions` VALUES (140115, 1616, 26, 'Đau khớp mãn tính');
INSERT INTO `lang_definitions` VALUES (140116, 1617, 26, 'Bệnh thận mãn tính (CKD)');
INSERT INTO `lang_definitions` VALUES (140117, 1620, 26, 'Viêm màng hoạt dịch mãn tính / tràn dịch / liên đau / bệnh gút');
INSERT INTO `lang_definitions` VALUES (140118, 1622, 26, 'Mãn tính / tái phát');
INSERT INTO `lang_definitions` VALUES (140119, 1623, 26, 'Chuvash');
INSERT INTO `lang_definitions` VALUES (140120, 1625, 26, 'Xơ gan');
INSERT INTO `lang_definitions` VALUES (140121, 1626, 26, 'Xơ gan Of The gan');
INSERT INTO `lang_definitions` VALUES (140122, 1627, 26, 'Thành phố');
INSERT INTO `lang_definitions` VALUES (140123, 1629, 26, 'Tên thành phố');
INSERT INTO `lang_definitions` VALUES (140124, 1630, 26, 'Thành phố, Tỉnh');
INSERT INTO `lang_definitions` VALUES (140125, 1631, 26, 'Thành phố, Mã Tỉnh');
INSERT INTO `lang_definitions` VALUES (140126, 1633, 26, 'Thành phố/ Tỉnh');
INSERT INTO `lang_definitions` VALUES (140127, 1634, 26, 'yêu cầu');
INSERT INTO `lang_definitions` VALUES (140128, 1635, 26, 'Yêu cầu');
INSERT INTO `lang_definitions` VALUES (140129, 1637, 26, 'Tình trạng Yêu cầu');
INSERT INTO `lang_definitions` VALUES (140130, 1638, 26, 'Yêu cầu bồi thường kiểm tra đã hoàn thành');
INSERT INTO `lang_definitions` VALUES (140131, 1639, 26, 'Loại Yêu cầu');
INSERT INTO `lang_definitions` VALUES (140132, 1640, 26, 'Yêu cầu bồi thường được tạo trong tập tin');
INSERT INTO `lang_definitions` VALUES (140133, 1641, 26, 'Yêu cầu bồi thường được tạo trong tập tin');
INSERT INTO `lang_definitions` VALUES (140134, 1642, 26, 'Yêu cầu');
INSERT INTO `lang_definitions` VALUES (140135, 1645, 26, 'Phân loại');
INSERT INTO `lang_definitions` VALUES (140136, 1646, 26, 'Xóa');
INSERT INTO `lang_definitions` VALUES (140137, 1649, 26, 'BỎ CHỌN BỆNH NHÂN ĐANG CHỌN');
INSERT INTO `lang_definitions` VALUES (140138, 1651, 26, 'Bỏ chọn tất cả');
INSERT INTO `lang_definitions` VALUES (140139, 1654, 26, 'Rõ ràng HL7 dữ liệu');
INSERT INTO `lang_definitions` VALUES (140140, 1655, 26, 'Rõ ràng Giải thích rõ');
INSERT INTO `lang_definitions` VALUES (140141, 1659, 26, 'Xoá thông minh Cache');
INSERT INTO `lang_definitions` VALUES (140142, 1661, 26, 'Thanh toán bù trừ nhà thông tin cần thiết để tạo EDI hàng loạt 270.');
INSERT INTO `lang_definitions` VALUES (140143, 1662, 26, 'Số CLIA');
INSERT INTO `lang_definitions` VALUES (140144, 1663, 26, 'Nhấp');
INSERT INTO `lang_definitions` VALUES (140145, 1664, 26, 'Nhấp vào \'xuất khẩu\' để xuất khẩu mục, tiểu thể loại, khoản, dữ liệu nội dung vào một tập tin văn bản. Bất kỳ giống nhau của tập tin này vào một tập tin XML là hoàn toàn trùng hợp ngẫu nhiên. Các thẻ mở và đóng cửa phải là trên cùng một dòng, họ phải là chữ thường không có dấu cách. Để nhập khẩu, trình duyệt cho một tập tin và nhấp vào \'nhập khẩu\'. Nếu dữ liệu là hoàn toàn khác nhau, nó sẽ kết hợp với các dữ liệu hiện có của bạn. Nếu có tên mục tương tự, một tuổi sẽ được lưu giữ và mới được lưu với một số được thêm vào cuối cùng.');
INSERT INTO `lang_definitions` VALUES (140146, 1667, 26, 'Nhấp vào một điểm trên hình ảnh để thêm một chú thích mới, nhấp vào đó lần nữa để loại bỏ nó');
INSERT INTO `lang_definitions` VALUES (140147, 1671, 26, 'Nhấp vào Tải về Giấy chứng nhận để tải về các giấy chứng nhận trong tập tin ssl.zip');
INSERT INTO `lang_definitions` VALUES (140148, 1672, 26, 'nhấp vào để biết thêm');
INSERT INTO `lang_definitions` VALUES (140149, 1673, 26, 'Nhấp vào để có thêm chi tiết');
INSERT INTO `lang_definitions` VALUES (140150, 1674, 26, 'Nhấp vào để có tóm tắt đặt hàng');
INSERT INTO `lang_definitions` VALUES (140151, 1675, 26, 'Nhấp vào để có kết quả');
INSERT INTO `lang_definitions` VALUES (140152, 1678, 26, 'Nhấp vào đây');
INSERT INTO `lang_definitions` VALUES (140153, 1679, 26, 'Nhấp vào đây để thêm một bệnh nhân mới.');
INSERT INTO `lang_definitions` VALUES (140154, 1680, 26, 'Nhấp vào đây để thêm mới chấn thương, thay đổi tình trạng và chỉnh sửa hoạt động hàng ngày');
INSERT INTO `lang_definitions` VALUES (140155, 1682, 26, 'Nhấp vào đây để chọn một ngày');
INSERT INTO `lang_definitions` VALUES (140156, 1683, 26, 'Nhấp vào đây để chọn ngày và giờ');
INSERT INTO `lang_definitions` VALUES (140157, 1684, 26, 'Nhấp vào đây để chọn ngày bắt đầu');
INSERT INTO `lang_definitions` VALUES (140158, 1685, 26, 'Nhấp vào đây để chọn ngày giờ');
INSERT INTO `lang_definitions` VALUES (140159, 1686, 26, 'Nhấp vào đây để chọn ngày giờ bắt đầu');
INSERT INTO `lang_definitions` VALUES (140160, 1687, 26, 'Nhấp vào đây để chọn ngày giờ kết thúc');
INSERT INTO `lang_definitions` VALUES (140161, 1688, 26, 'Nhấp vào Đây để Xác lập Môdun này');
INSERT INTO `lang_definitions` VALUES (140162, 1690, 26, 'Nhấp vào đây để xóa dòng');
INSERT INTO `lang_definitions` VALUES (140163, 1692, 26, 'Nhấp vào Đây để Vô hiệu Môdun này');
INSERT INTO `lang_definitions` VALUES (140164, 1693, 26, 'Nhấp vào đây để nhân đôi dòng');
INSERT INTO `lang_definitions` VALUES (140165, 1703, 26, 'Nhấp vào Đây để Kích hoạt Môdun này');
INSERT INTO `lang_definitions` VALUES (140166, 1706, 26, 'Nhấp vào Đây để Cài đặt Môdun này');
INSERT INTO `lang_definitions` VALUES (140167, 1707, 26, 'nhấp vào đây để tìm kiếm');
INSERT INTO `lang_definitions` VALUES (140168, 1710, 26, 'nhấp vào đây để cập nhật các thiết lập ưu tiên, thể loại và bí danh');
INSERT INTO `lang_definitions` VALUES (140169, 1714, 26, 'Nhấp vào đây để xem tất cả.');
INSERT INTO `lang_definitions` VALUES (140170, 1715, 26, 'Nhấp vào đây để xem và vẽ đồ thị');
INSERT INTO `lang_definitions` VALUES (140171, 1716, 26, 'Nhấp vào đây để xem và vẽ đồ thị tất cả dữ liệu nghiên cứu.');
INSERT INTO `lang_definitions` VALUES (140172, 1717, 26, 'Nhấp vào đây để xem và vẽ đồ thị tất cả các thể trạng.');
INSERT INTO `lang_definitions` VALUES (140173, 1718, 26, 'Nhấp vào đây để xem chi tiết bệnh nhân');
INSERT INTO `lang_definitions` VALUES (140174, 1719, 26, 'Nhấp vào đây để xem tất cả.');
INSERT INTO `lang_definitions` VALUES (140175, 1720, 26, 'Nhấp vào đây để xem/sửa các chi tiết khác');
INSERT INTO `lang_definitions` VALUES (140176, 1723, 26, 'Nhấp nút Cài đặt để cài đặt cơ sở dữ liệu phát hành từ ngày sau đây');
INSERT INTO `lang_definitions` VALUES (140177, 1730, 26, 'Nhấp chuột vào bất kỳ phần nào của thời gian để tăng nó');
INSERT INTO `lang_definitions` VALUES (140178, 1751, 26, 'Nhấp vào Tên Bệnh nhân để Mở Tập tin Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (140179, 1753, 26, 'Nhấp vào Refresh để xem tất cả các kết quả, hay vui lòng nhập vào tiêu chí tìm kiếm ở trên để xem kết quả cụ thể.');
INSERT INTO `lang_definitions` VALUES (140180, 1777, 26, 'Nhấp để thêm chẩn đoán');
INSERT INTO `lang_definitions` VALUES (140181, 1779, 26, 'Nhấp  để thêm các thành phần mới');
INSERT INTO `lang_definitions` VALUES (140182, 1780, 26, 'Nhấp để thêm tham vấn ​​mới');
INSERT INTO `lang_definitions` VALUES (140183, 1782, 26, 'Nhấp để chọn chẩn đoán để khẳng định.');
INSERT INTO `lang_definitions` VALUES (140184, 1785, 26, 'Nhấp để tải về');
INSERT INTO `lang_definitions` VALUES (140185, 1786, 26, 'Nhấp để chỉnh sửa');
INSERT INTO `lang_definitions` VALUES (140186, 1787, 26, 'Nhấp để chỉnh sửa diễn giải');
INSERT INTO `lang_definitions` VALUES (140187, 1788, 26, 'Nhấp vào đây để chỉnh sửa sự kiện này');
INSERT INTO `lang_definitions` VALUES (140188, 1790, 26, 'Nhấp vào đây để tạo ra các báo cáo');
INSERT INTO `lang_definitions` VALUES (140189, 1799, 26, 'Nhấp để tìm bệnh nhân phù hợp');
INSERT INTO `lang_definitions` VALUES (140190, 1800, 26, 'Nhấp vào đây để in');
INSERT INTO `lang_definitions` VALUES (140191, 1801, 26, 'Nhấp vào đây để nhận được (thêm) lô thuốc mới');
INSERT INTO `lang_definitions` VALUES (140192, 1805, 26, 'Nhấp vào đây để chọn');
INSERT INTO `lang_definitions` VALUES (140193, 1806, 26, 'Nhấp vào đây Để Chọn');
INSERT INTO `lang_definitions` VALUES (140194, 1808, 26, 'Nhấp vào đây để chọn một mã số tiêu chuẩn công nghiệp cho thủ tục này');
INSERT INTO `lang_definitions` VALUES (140195, 1811, 26, 'Nhấp vào đây để chọn mã số thủ tục tùy chọn');
INSERT INTO `lang_definitions` VALUES (140196, 1812, 26, 'Nhấp để chọn hay đổi bộ mã');
INSERT INTO `lang_definitions` VALUES (140197, 1813, 26, 'Nhấp vào đây để chọn hoặc thay đổi mã CVX');
INSERT INTO `lang_definitions` VALUES (140198, 1814, 26, 'Nhấp vào đây để lựa chọn hoặc thay đổi chẩn đoán');
INSERT INTO `lang_definitions` VALUES (140199, 1815, 26, 'Nhấp vào đây để lựa chọn hoặc thay đổi mã số dịch vụ');
INSERT INTO `lang_definitions` VALUES (140200, 1816, 26, 'Nhấp vào đây để chọn bệnh nhân');
INSERT INTO `lang_definitions` VALUES (140201, 1817, 26, 'Nhấp vào đây để chọn mã liên quan');
INSERT INTO `lang_definitions` VALUES (140202, 1819, 26, 'Nhấp vào đây để lựa chọn dịch vụ để thực hiện nếu kết quả này là bất thường');
INSERT INTO `lang_definitions` VALUES (140203, 1822, 26, 'Nhấp vào đây để lựa chọn các thủ tục mong muốn');
INSERT INTO `lang_definitions` VALUES (140204, 1829, 26, 'Nhấp để sắp xếp');
INSERT INTO `lang_definitions` VALUES (140205, 1831, 26, 'Nhấp vào đây để xem');
INSERT INTO `lang_definitions` VALUES (140206, 1833, 26, 'Nhấp vào đây để xem hoặc chỉnh sửa');
INSERT INTO `lang_definitions` VALUES (140207, 1834, 26, 'Nhấp vào đây để xem / chỉnh sửa');
INSERT INTO `lang_definitions` VALUES (140208, 1836, 26, 'Nhấp Nâng cấp để nâng cấp cơ sở dữ liệu phát hành từ ngày sau đây');
INSERT INTO `lang_definitions` VALUES (140209, 1838, 26, 'Nhấp chỗ được chỉ ra ở trên để tìm bệnh nhân phù hợp.');
INSERT INTO `lang_definitions` VALUES (140210, 1839, 26, 'Nhấp vào:');
INSERT INTO `lang_definitions` VALUES (140211, 1842, 26, 'Việc bấm vào Đặt Là Hoàn thành sẽ loại bỏ nhắc nhở đó khỏi danh sách có hiệu lực');
INSERT INTO `lang_definitions` VALUES (140212, 1862, 26, 'Ngày hết hạn Chứng chỉ Máy khách');
INSERT INTO `lang_definitions` VALUES (140213, 1864, 26, 'Thời gian hợp lệ của chứng chỉ máy khách');
INSERT INTO `lang_definitions` VALUES (140214, 1865, 26, 'Sự hợp lệ của chứng chỉ máy khách phải là một con số.');
INSERT INTO `lang_definitions` VALUES (140215, 1866, 26, 'Bản sao cho Khách hàng');
INSERT INTO `lang_definitions` VALUES (140216, 1868, 26, 'Mã Khách hàng');
INSERT INTO `lang_definitions` VALUES (140217, 1869, 26, 'Tóm tắt lịch sử điều trị của khách hàng');
INSERT INTO `lang_definitions` VALUES (140218, 1870, 26, 'Tên Khách hàng');
INSERT INTO `lang_definitions` VALUES (140219, 1872, 26, 'Số Khách hàng');
INSERT INTO `lang_definitions` VALUES (140220, 1873, 26, 'Hồ sơ Khách hàng - Khách hàng Mới');
INSERT INTO `lang_definitions` VALUES (140221, 1874, 26, 'Hồ sơ khách hàng - Khách hàng độc đáo');
INSERT INTO `lang_definitions` VALUES (140222, 1878, 26, 'Khách hàng');
INSERT INTO `lang_definitions` VALUES (140223, 1879, 26, 'Phóng khám');
INSERT INTO `lang_definitions` VALUES (140224, 1880, 26, 'Bản sao của Phóng khám');
INSERT INTO `lang_definitions` VALUES (140225, 1881, 26, 'Ghi chép Hàng ngày của Phòng khám');
INSERT INTO `lang_definitions` VALUES (140226, 1882, 26, 'Mã Phòng khám');
INSERT INTO `lang_definitions` VALUES (140227, 1883, 26, 'Lâm sàng');
INSERT INTO `lang_definitions` VALUES (140228, 1884, 26, 'Quyết định Quy định lâm sàng Báo Cáo Quản lý');
INSERT INTO `lang_definitions` VALUES (140229, 1886, 26, 'Lịch sử Lâm sàng');
INSERT INTO `lang_definitions` VALUES (140230, 1888, 26, 'Biểu mẫu Chỉ thị Lâm sàng');
INSERT INTO `lang_definitions` VALUES (140231, 1889, 26, 'Kế hoạch Lâm sàng');
INSERT INTO `lang_definitions` VALUES (140232, 1890, 26, 'Chất lượng các Biện pháp Lâm sàng (CQM)');
INSERT INTO `lang_definitions` VALUES (140233, 1891, 26, 'Chất lượng các Biện pháp Lâm sàng (CQM) - 2011');
INSERT INTO `lang_definitions` VALUES (140234, 1892, 26, 'Chất lượng các Biện pháp Lâm sàng (CQM) - 2014');
INSERT INTO `lang_definitions` VALUES (140235, 1893, 26, 'Nhắc nhở Lâm sàng');
INSERT INTO `lang_definitions` VALUES (140236, 1897, 26, 'Báo cáo Lâm sàng');
INSERT INTO `lang_definitions` VALUES (140237, 1898, 26, 'Thể loại Quy tắc Hành động Lâm sàng');
INSERT INTO `lang_definitions` VALUES (140238, 1899, 26, 'Mục Quy tắc Hành động Lâm sàng');
INSERT INTO `lang_definitions` VALUES (140239, 1900, 26, 'Phương pháp lọc Rule lâm sàng');
INSERT INTO `lang_definitions` VALUES (140240, 1901, 26, 'Mục tiêu Phương pháp lâm sàng Rule');
INSERT INTO `lang_definitions` VALUES (140241, 1902, 26, 'Lâm sàng Rules');
INSERT INTO `lang_definitions` VALUES (140242, 1903, 26, 'Lâm sàng Rules Khoảng Tuổi');
INSERT INTO `lang_definitions` VALUES (140243, 1904, 26, 'Các quy tắc so sánh lâm sàng');
INSERT INTO `lang_definitions` VALUES (140244, 1905, 26, 'Các loại quy tắc khám lâm sàng');
INSERT INTO `lang_definitions` VALUES (140245, 1906, 26, 'Tùy chọn nhắc nhở các quy tắc lâm sàng');
INSERT INTO `lang_definitions` VALUES (140246, 1907, 26, 'Tùy chọn khử hoạt nhắc nhở các quy tắc lâm sàng');
INSERT INTO `lang_definitions` VALUES (140247, 1908, 26, 'Nhắc nhở lâm sàng Khoảng Rules');
INSERT INTO `lang_definitions` VALUES (140248, 1909, 26, 'Nhắc nhở lâm sàng phương pháp quy');
INSERT INTO `lang_definitions` VALUES (140249, 1910, 26, 'Lâm sàng Rules Khoảng mục tiêu');
INSERT INTO `lang_definitions` VALUES (140250, 1911, 26, 'Các mục tiêu Lâm sàng');
INSERT INTO `lang_definitions` VALUES (140251, 1912, 26, 'Thuật ngữ Lâm sàng');
INSERT INTO `lang_definitions` VALUES (140252, 1913, 26, 'Mã Thuật ngữ Lâm sàng');
INSERT INTO `lang_definitions` VALUES (140253, 1914, 26, 'Xem Lâm sàng');
INSERT INTO `lang_definitions` VALUES (140254, 1915, 26, 'Bác sĩ lâm sàng');
INSERT INTO `lang_definitions` VALUES (140255, 1916, 26, 'Nhân bản');
INSERT INTO `lang_definitions` VALUES (140256, 1917, 26, 'Nhân bản Lần gặp Trước đây');
INSERT INTO `lang_definitions` VALUES (140257, 1918, 26, 'Đóng');
INSERT INTO `lang_definitions` VALUES (140258, 1924, 26, 'Đóng Cửa sổ');
INSERT INTO `lang_definitions` VALUES (140259, 1925, 26, 'đóng cửa sổ');
INSERT INTO `lang_definitions` VALUES (140260, 1927, 26, 'Đã đóng');
INSERT INTO `lang_definitions` VALUES (140261, 1928, 26, 'cm');
INSERT INTO `lang_definitions` VALUES (140262, 1931, 26, 'CMS 1500 Lợi nhuận');
INSERT INTO `lang_definitions` VALUES (140263, 1933, 26, 'CMS 1500 Định dạng Biểu mẫu Giaays');
INSERT INTO `lang_definitions` VALUES (140264, 1938, 26, 'CMS 1500: Định dạng Hộp 31');
INSERT INTO `lang_definitions` VALUES (140265, 1939, 26, 'CMS 1500: Ngày trong Hộp 31 (Chữ ký)');
INSERT INTO `lang_definitions` VALUES (140266, 1940, 26, 'Mã CMS');
INSERT INTO `lang_definitions` VALUES (140267, 1943, 26, 'Cổng CMS');
INSERT INTO `lang_definitions` VALUES (140268, 1944, 26, 'Đăng nhập Cổng CMS');
INSERT INTO `lang_definitions` VALUES (140269, 1945, 26, 'Mã Đăng nhập Cổng CMS');
INSERT INTO `lang_definitions` VALUES (140270, 1946, 26, 'Cổng CMS không được kích hoạt');
INSERT INTO `lang_definitions` VALUES (140271, 1947, 26, 'Mật khẩu Cổng CMS');
INSERT INTO `lang_definitions` VALUES (140272, 1948, 26, 'Yêu cầu Cổng CMS');
INSERT INTO `lang_definitions` VALUES (140273, 1949, 26, 'Địa chỉ Gửi thư Cổng CMS');
INSERT INTO `lang_definitions` VALUES (140274, 1950, 26, 'Tên người dùng Cổng CMS');
INSERT INTO `lang_definitions` VALUES (140275, 1955, 26, 'CN2-12 còn nguyên vẹn');
INSERT INTO `lang_definitions` VALUES (140276, 1958, 26, 'Cùng Chi trả');
INSERT INTO `lang_definitions` VALUES (140277, 1959, 26, 'Đã Cùng Chi trả');
INSERT INTO `lang_definitions` VALUES (140278, 1962, 26, 'Cùng Chi trả');
INSERT INTO `lang_definitions` VALUES (140279, 1964, 26, 'Mã số');
INSERT INTO `lang_definitions` VALUES (140280, 1965, 26, 'Mã số');
INSERT INTO `lang_definitions` VALUES (140281, 1967, 26, 'Bộ tìm Mã số');
INSERT INTO `lang_definitions` VALUES (140282, 1968, 26, 'Mã phải là hai chữ cái viết thường');
INSERT INTO `lang_definitions` VALUES (140283, 1969, 26, 'Mã hoặc biểu tượng để chỉ tiền tệ');
INSERT INTO `lang_definitions` VALUES (140284, 1971, 26, 'Văn bản Mã');
INSERT INTO `lang_definitions` VALUES (140285, 1972, 26, 'loại mã');
INSERT INTO `lang_definitions` VALUES (140286, 1973, 26, 'loại mã');
INSERT INTO `lang_definitions` VALUES (140287, 1974, 26, 'Không nhận ra loại mã');
INSERT INTO `lang_definitions` VALUES (140288, 1975, 26, 'Chưa định nghĩa loại mã');
INSERT INTO `lang_definitions` VALUES (140289, 1976, 26, 'Loại Mã');
INSERT INTO `lang_definitions` VALUES (140290, 1977, 26, 'Mã');
INSERT INTO `lang_definitions` VALUES (140291, 1978, 26, 'Đã lập mã');
INSERT INTO `lang_definitions` VALUES (140292, 1979, 26, 'Mã số');
INSERT INTO `lang_definitions` VALUES (140293, 1981, 26, 'Mã hóa');
INSERT INTO `lang_definitions` VALUES (140294, 1982, 26, 'Đang mã (nhấp để học thêm)');
INSERT INTO `lang_definitions` VALUES (140295, 1983, 26, 'Mã hóa - bất kỳ cuộc gặp gỡ (viết, wsome tùy chọn)');
INSERT INTO `lang_definitions` VALUES (140296, 1985, 26, 'Mã hóa - cuộc gặp gỡ của tôi (viết, wsome tùy chọn)');
INSERT INTO `lang_definitions` VALUES (140297, 1990, 26, 'Mã hóa không được uỷ quyền');
INSERT INTO `lang_definitions` VALUES (140298, 1991, 26, 'Cà phê');
INSERT INTO `lang_definitions` VALUES (140299, 1992, 26, 'Dùng Cà phê');
INSERT INTO `lang_definitions` VALUES (140300, 1994, 26, 'Đồng bảo hiểm');
INSERT INTO `lang_definitions` VALUES (140301, 1995, 26, 'Sb w / o');
INSERT INTO `lang_definitions` VALUES (140302, 1997, 26, 'Thu gọn');
INSERT INTO `lang_definitions` VALUES (140303, 1998, 26, 'thu gọn');
INSERT INTO `lang_definitions` VALUES (140304, 1999, 26, 'Thu gọn Tất cả');
INSERT INTO `lang_definitions` VALUES (140305, 2000, 26, 'Thu gọn tất cả');
INSERT INTO `lang_definitions` VALUES (140306, 2001, 26, 'thu gọn tất cả');
INSERT INTO `lang_definitions` VALUES (140307, 2004, 26, 'Đã tập hợp');
INSERT INTO `lang_definitions` VALUES (140308, 2005, 26, 'Ngày tập hợp');
INSERT INTO `lang_definitions` VALUES (140309, 2007, 26, 'Tổng hợp');
INSERT INTO `lang_definitions` VALUES (140310, 2008, 26, 'Tập hợp các Báo cáo');
INSERT INTO `lang_definitions` VALUES (140311, 2009, 26, 'Ung thư đại tràng');
INSERT INTO `lang_definitions` VALUES (140312, 2010, 26, 'Màn ảnh ung thư đại tràng');
INSERT INTO `lang_definitions` VALUES (140313, 2011, 26, 'Phẫu thuật ung thư đại tràng');
INSERT INTO `lang_definitions` VALUES (140314, 2012, 26, 'Nội soi đại tràng');
INSERT INTO `lang_definitions` VALUES (140315, 2013, 26, 'nội soi đại tràng');
INSERT INTO `lang_definitions` VALUES (140316, 2014, 26, 'Màu sắc');
INSERT INTO `lang_definitions` VALUES (140317, 2020, 26, 'Màu: abbr');
INSERT INTO `lang_definitions` VALUES (140318, 2021, 26, 'Cột');
INSERT INTO `lang_definitions` VALUES (140319, 2022, 26, 'Cột');
INSERT INTO `lang_definitions` VALUES (140320, 2024, 26, 'Phối hợp lô');
INSERT INTO `lang_definitions` VALUES (140321, 2025, 26, 'Dấu Phẩy');
INSERT INTO `lang_definitions` VALUES (140322, 2027, 26, 'Ghi chú');
INSERT INTO `lang_definitions` VALUES (140323, 2028, 26, 'Các ghi chú');
INSERT INTO `lang_definitions` VALUES (140324, 2030, 26, 'Ghi chú / Đề nghị cho kết quả này');
INSERT INTO `lang_definitions` VALUES (140325, 2031, 26, 'Công ty Bảo hiểm Thương mại');
INSERT INTO `lang_definitions` VALUES (140326, 2032, 26, 'Cam kết thay đổi');
INSERT INTO `lang_definitions` VALUES (140327, 2034, 26, 'Truyền thông');
INSERT INTO `lang_definitions` VALUES (140328, 2036, 26, 'Truyền thông');
INSERT INTO `lang_definitions` VALUES (140329, 2037, 26, 'Bác sĩ sức khỏe cộng đồng');
INSERT INTO `lang_definitions` VALUES (140330, 2039, 26, 'Công ty');
INSERT INTO `lang_definitions` VALUES (140331, 2040, 26, 'Tên công ty');
INSERT INTO `lang_definitions` VALUES (140332, 2041, 26, 'Hoàn thành');
INSERT INTO `lang_definitions` VALUES (140333, 2042, 26, 'Thời gian Hoàn thành Lần gặp');
INSERT INTO `lang_definitions` VALUES (140334, 2043, 26, 'Đã hoàn thành');
INSERT INTO `lang_definitions` VALUES (140335, 2044, 26, 'đã hoàn thành');
INSERT INTO `lang_definitions` VALUES (140336, 2046, 26, 'Đã hoàn thành?');
INSERT INTO `lang_definitions` VALUES (140337, 2048, 26, 'Trạng thái Hoàn thành');
INSERT INTO `lang_definitions` VALUES (140338, 2049, 26, 'Các biến chứng bằng cách cung cấp dịch vụ');
INSERT INTO `lang_definitions` VALUES (140339, 2050, 26, 'Các biến chứng của phá thai');
INSERT INTO `lang_definitions` VALUES (140340, 2051, 26, 'Thành phần');
INSERT INTO `lang_definitions` VALUES (140341, 2057, 26, 'Hệ thống đặt hàng Máy Tính y tế Trợ Giúp');
INSERT INTO `lang_definitions` VALUES (140342, 2058, 26, 'Kết luận');
INSERT INTO `lang_definitions` VALUES (140343, 2059, 26, 'Điều kiện');
INSERT INTO `lang_definitions` VALUES (140344, 2060, 26, 'Không tìm thấy trường điều kiện');
INSERT INTO `lang_definitions` VALUES (140345, 2061, 26, 'Trạng thái Điều kiện');
INSERT INTO `lang_definitions` VALUES (140346, 2063, 26, 'Cấu hình');
INSERT INTO `lang_definitions` VALUES (140347, 2064, 26, 'Cấu hình');
INSERT INTO `lang_definitions` VALUES (140348, 2065, 26, 'Kết xuất / Kết nhập Cấu hình');
INSERT INTO `lang_definitions` VALUES (140349, 2066, 26, 'Đã lưu cấu hình thành công');
INSERT INTO `lang_definitions` VALUES (140350, 2067, 26, 'Cấu hình Apache và Imed EMR sử dụng giấy chứng nhận phía khách hàng SSL.');
INSERT INTO `lang_definitions` VALUES (140351, 2068, 26, 'Cấu hình Apache để sử dụng Khách hàng bên SSL giấy chứng nhận');
INSERT INTO `lang_definitions` VALUES (140352, 2069, 26, 'Cấu hình Apache để sử dụng HTTPS.');
INSERT INTO `lang_definitions` VALUES (140353, 2070, 26, 'Cấu hình Openemr sử dụng Khách hàng bên SSL giấy chứng nhận');
INSERT INTO `lang_definitions` VALUES (140354, 2079, 26, 'Xác nhận bệnh nhân mới');
INSERT INTO `lang_definitions` VALUES (140355, 2081, 26, 'Xác nhận mật khẩu mới');
INSERT INTO `lang_definitions` VALUES (140356, 2083, 26, 'Xác nhận thanh toán');
INSERT INTO `lang_definitions` VALUES (140357, 2089, 26, 'Các dị ứng Xung đột');
INSERT INTO `lang_definitions` VALUES (140358, 2090, 26, 'Sự cấp thuốc Xung đột');
INSERT INTO `lang_definitions` VALUES (140359, 2091, 26, 'Các vấn đề Xung đột');
INSERT INTO `lang_definitions` VALUES (140360, 2092, 26, 'Bẩm sinh');
INSERT INTO `lang_definitions` VALUES (140361, 2094, 26, 'Conjuntiva, học sinh');
INSERT INTO `lang_definitions` VALUES (140362, 2096, 26, 'Lỗi kết nối');
INSERT INTO `lang_definitions` VALUES (140363, 2097, 26, 'Các kết nối');
INSERT INTO `lang_definitions` VALUES (140364, 2098, 26, 'Không đổi');
INSERT INTO `lang_definitions` VALUES (140365, 2100, 26, 'không đổi tên');
INSERT INTO `lang_definitions` VALUES (140366, 2101, 26, 'Không đổi tên là trống');
INSERT INTO `lang_definitions` VALUES (140367, 2102, 26, 'hằng số');
INSERT INTO `lang_definitions` VALUES (140368, 2103, 26, 'Táo bón');
INSERT INTO `lang_definitions` VALUES (140369, 2104, 26, 'Trạng thái cơ thể');
INSERT INTO `lang_definitions` VALUES (140370, 2105, 26, 'Tổ chức Xây dựng');
INSERT INTO `lang_definitions` VALUES (140371, 2106, 26, 'Bác sĩ tư vấn');
INSERT INTO `lang_definitions` VALUES (140372, 2107, 26, 'Mô tả Tóm tắt Tư vấn');
INSERT INTO `lang_definitions` VALUES (140373, 2109, 26, 'Liên hệ');
INSERT INTO `lang_definitions` VALUES (140374, 2110, 26, 'Email liên lạc');
INSERT INTO `lang_definitions` VALUES (140375, 2111, 26, 'Liên hệ Địa chỉ Email');
INSERT INTO `lang_definitions` VALUES (140376, 2112, 26, 'Liên hệ EMR Direct để đăng ký dịch vụ gửi thông điệp phiMail Direct');
INSERT INTO `lang_definitions` VALUES (140377, 2113, 26, 'thông tin liên hệ');
INSERT INTO `lang_definitions` VALUES (140378, 2117, 26, 'Kính áp tròng');
INSERT INTO `lang_definitions` VALUES (140379, 2118, 26, 'Liên hệ Medical Information Integration, LLC tại http://mi-squared.com về Dịch vụ Trao đổi Thí nghiệm.');
INSERT INTO `lang_definitions` VALUES (140380, 2119, 26, 'Liên hệ Medical Information Integration, LLC tại http://mi-squared.com hay ZH Healthcare tại http://zhservices.com để đăng ký dịch vụ eRx.');
INSERT INTO `lang_definitions` VALUES (140381, 2120, 26, 'Liên hệ Medical Information Integration, LLC tại http://mi-squared.com hay ZH Healthcare tại http://zhservices.com để đăng ký dịch vụ NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (140382, 2122, 26, 'Tên liên hệ');
INSERT INTO `lang_definitions` VALUES (140383, 2125, 26, 'Người Liên hệ');
INSERT INTO `lang_definitions` VALUES (140384, 2126, 26, 'Điện thoại Liên hệ');
INSERT INTO `lang_definitions` VALUES (140385, 2127, 26, 'Số Điện thoại Liên hệ');
INSERT INTO `lang_definitions` VALUES (140386, 2129, 26, 'Liên hệ ZMG, LLC (zmghealth@gmail.com) để đăng ký dịch vụ eRx');
INSERT INTO `lang_definitions` VALUES (140387, 2131, 26, 'có ít nhất ba trong số bốn mục sau đây:');
INSERT INTO `lang_definitions` VALUES (140388, 2132, 26, 'Tên Nhóm Bộ chứa');
INSERT INTO `lang_definitions` VALUES (140389, 2133, 26, 'Nội dung');
INSERT INTO `lang_definitions` VALUES (140390, 2134, 26, 'nội dung');
INSERT INTO `lang_definitions` VALUES (140391, 2136, 26, 'Bối cảnh');
INSERT INTO `lang_definitions` VALUES (140392, 2137, 26, 'Tên ngữ cảnh \'t có thể được sản phẩm nào');
INSERT INTO `lang_definitions` VALUES (140393, 2138, 26, 'Tiếp tục');
INSERT INTO `lang_definitions` VALUES (140394, 2142, 26, 'Tính liên tục của tài liệu chăm sóc (CCD)');
INSERT INTO `lang_definitions` VALUES (140395, 2145, 26, 'Tính liên tục của Ghi Chăm Sóc (CCR)');
INSERT INTO `lang_definitions` VALUES (140396, 2146, 26, 'điều chỉnh Khách hàng');
INSERT INTO `lang_definitions` VALUES (140397, 2147, 26, 'Tránh thai');
INSERT INTO `lang_definitions` VALUES (140398, 2148, 26, 'Vấn đề Tránh thai');
INSERT INTO `lang_definitions` VALUES (140399, 2149, 26, 'Biến chứng thai (ghi rõ)');
INSERT INTO `lang_definitions` VALUES (140400, 2150, 26, 'Phương pháp Tránh thai');
INSERT INTO `lang_definitions` VALUES (140401, 2151, 26, 'Sản phẩm Tránh thai');
INSERT INTO `lang_definitions` VALUES (140402, 2152, 26, 'Dịch vụ ngừa thai trước đó bắt đầu');
INSERT INTO `lang_definitions` VALUES (140403, 2153, 26, 'Bắt đầu Tránh thai');
INSERT INTO `lang_definitions` VALUES (140404, 2158, 26, 'Mã Kiểm soát');
INSERT INTO `lang_definitions` VALUES (140405, 2159, 26, 'Số Kiểm soát');
INSERT INTO `lang_definitions` VALUES (140406, 2160, 26, 'Chất Đã được điều khiển?');
INSERT INTO `lang_definitions` VALUES (140407, 2168, 26, 'CÙNG CHI TRẢ');
INSERT INTO `lang_definitions` VALUES (140408, 2169, 26, 'Cùng chi trả');
INSERT INTO `lang_definitions` VALUES (140409, 2170, 26, 'Cùng chi trả');
INSERT INTO `lang_definitions` VALUES (140410, 2171, 26, 'Tiền phụ phí không tích cực');
INSERT INTO `lang_definitions` VALUES (140411, 2172, 26, 'Đã trả Cùng chi trả');
INSERT INTO `lang_definitions` VALUES (140412, 2173, 26, 'Cùng chi trả');
INSERT INTO `lang_definitions` VALUES (140413, 2174, 26, 'COPD');
INSERT INTO `lang_definitions` VALUES (140414, 2175, 26, 'Sao chép các Trang vào Biểu đồ Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (140415, 2177, 26, 'Sao chép các Giá trị');
INSERT INTO `lang_definitions` VALUES (140416, 2178, 26, 'Đang sao chép tập tin cơ sở dữ liệu. Cần thời gian để làm...');
INSERT INTO `lang_definitions` VALUES (140417, 2179, 26, 'Thông báo Bản quyền');
INSERT INTO `lang_definitions` VALUES (140418, 2183, 26, 'Cornish');
INSERT INTO `lang_definitions` VALUES (140419, 2184, 26, 'Động mạch vành Bypass');
INSERT INTO `lang_definitions` VALUES (140420, 2185, 26, 'Bypass ghép động mạch vành (CABG)');
INSERT INTO `lang_definitions` VALUES (140421, 2186, 26, 'Đã sửa chữa');
INSERT INTO `lang_definitions` VALUES (140422, 2187, 26, 'Corsican');
INSERT INTO `lang_definitions` VALUES (140423, 2188, 26, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (140424, 2189, 26, 'Bị lỗi Kết nối tới CouchDB.');
INSERT INTO `lang_definitions` VALUES (140425, 2191, 26, 'Cơ sở dữ liệu CouchDB');
INSERT INTO `lang_definitions` VALUES (140426, 2192, 26, 'Tên cơ sở dữ liệu CouchDB');
INSERT INTO `lang_definitions` VALUES (140427, 2195, 26, 'Máy chủ CouchDB');
INSERT INTO `lang_definitions` VALUES (140428, 2196, 26, 'Tên máy chủ CouchDB');
INSERT INTO `lang_definitions` VALUES (140429, 2197, 26, 'Cho phép Ghi nhật ký CouchDB');
INSERT INTO `lang_definitions` VALUES (140430, 2198, 26, 'Mật khẩu CouchDB');
INSERT INTO `lang_definitions` VALUES (140431, 2199, 26, 'Cổng CouchDB');
INSERT INTO `lang_definitions` VALUES (140432, 2200, 26, 'Cổng CouchDB');
INSERT INTO `lang_definitions` VALUES (140433, 2201, 26, 'Lỗi lưu CouchDB');
INSERT INTO `lang_definitions` VALUES (140434, 2203, 26, 'Tên Người dùng CouchDB');
INSERT INTO `lang_definitions` VALUES (140435, 2204, 26, 'Ho');
INSERT INTO `lang_definitions` VALUES (140436, 2205, 26, 'Ho:');
INSERT INTO `lang_definitions` VALUES (140437, 2206, 26, 'không thể kết nối đến máy chủ');
INSERT INTO `lang_definitions` VALUES (140438, 2208, 26, 'Không thể kết nhập tài liệu. Hãy liên hệ người cung cấp EMR.');
INSERT INTO `lang_definitions` VALUES (140439, 2210, 26, 'không thể mở bảng');
INSERT INTO `lang_definitions` VALUES (140440, 2211, 26, 'Không thể đọc tập tin');
INSERT INTO `lang_definitions` VALUES (140441, 2212, 26, 'Không thể đọc tập tin');
INSERT INTO `lang_definitions` VALUES (140442, 2214, 26, 'Không thể gửi email do một vấn đề ở máy chủ,');
INSERT INTO `lang_definitions` VALUES (140443, 2216, 26, 'Không thể gửi email do một vấn đề ở máy chủ,');
INSERT INTO `lang_definitions` VALUES (140444, 2217, 26, 'Không thể tạo thư mục sao lưu:');
INSERT INTO `lang_definitions` VALUES (140445, 2218, 26, 'Không thể loại bỏ thư mục:');
INSERT INTO `lang_definitions` VALUES (140446, 2219, 26, 'Không thể loại bỏ tập tin sao lưu cũ:');
INSERT INTO `lang_definitions` VALUES (140447, 2220, 26, 'Không thể loại bỏ tập tin xuất khẩu cũ:');
INSERT INTO `lang_definitions` VALUES (140448, 2221, 26, 'Coumadin Quản lý - Giám sát INR');
INSERT INTO `lang_definitions` VALUES (140449, 2222, 26, 'Couns bằng phương pháp');
INSERT INTO `lang_definitions` VALUES (140450, 2223, 26, 'Tư vấn');
INSERT INTO `lang_definitions` VALUES (140451, 2224, 26, 'Tư vấn hoạt động');
INSERT INTO `lang_definitions` VALUES (140452, 2227, 26, 'MẪU CHỈ ĐỊNH ĐIỀU TRỊ');
INSERT INTO `lang_definitions` VALUES (140453, 2228, 26, 'Counter-Giới Thiệu');
INSERT INTO `lang_definitions` VALUES (140454, 2229, 26, 'Quốc gia');
INSERT INTO `lang_definitions` VALUES (140455, 2231, 26, 'Quốc gia Loại dữ liệu');
INSERT INTO `lang_definitions` VALUES (140456, 2232, 26, 'Quốc gia danh sách');
INSERT INTO `lang_definitions` VALUES (140457, 2233, 26, 'Danh sách quốc gia (viết, thêm tùy chọn)');
INSERT INTO `lang_definitions` VALUES (140458, 2235, 26, 'Quốc gia Tên có đại diện trong hai chữ cái. (Ví dụ: Việt Nam là VN)');
INSERT INTO `lang_definitions` VALUES (140459, 2236, 26, 'tỉnh lỵ');
INSERT INTO `lang_definitions` VALUES (140460, 2237, 26, 'Tỉnh lỵ');
INSERT INTO `lang_definitions` VALUES (140461, 2238, 26, 'Phiếu giảm giá');
INSERT INTO `lang_definitions` VALUES (140462, 2240, 26, 'Anh họ');
INSERT INTO `lang_definitions` VALUES (140463, 2244, 26, 'CPOE');
INSERT INTO `lang_definitions` VALUES (140464, 2245, 26, 'CPT');
INSERT INTO `lang_definitions` VALUES (140465, 2246, 26, 'Mã CPT');
INSERT INTO `lang_definitions` VALUES (140466, 2247, 26, 'Mã CPT');
INSERT INTO `lang_definitions` VALUES (140467, 2248, 26, 'Thủ tục / Dịch vụ CPT4');
INSERT INTO `lang_definitions` VALUES (140468, 2249, 26, 'Đo lường Hiệu năng CPTII');
INSERT INTO `lang_definitions` VALUES (140469, 2250, 26, 'CQM');
INSERT INTO `lang_definitions` VALUES (140470, 2252, 26, 'Crackles:');
INSERT INTO `lang_definitions` VALUES (140471, 2255, 26, 'kem');
INSERT INTO `lang_definitions` VALUES (140472, 2256, 26, 'Tạo ra một giấy chứng nhận Khách hàng bên SSL cho mỗi người dùng hoặc máy khách hàng.');
INSERT INTO `lang_definitions` VALUES (140473, 2257, 26, 'Tạo ra một giấy chứng nhận SSL phía khách hàng cho người sử dụng hoặc một khách hàng tên máy.');
INSERT INTO `lang_definitions` VALUES (140474, 2269, 26, 'Tạo một sự kiện');
INSERT INTO `lang_definitions` VALUES (140475, 2273, 26, 'Tạo và tải về một bản sao lưu đầy đủ');
INSERT INTO `lang_definitions` VALUES (140476, 2275, 26, 'Tạo sao lưu');
INSERT INTO `lang_definitions` VALUES (140477, 2276, 26, 'Tạo hàng loạt');
INSERT INTO `lang_definitions` VALUES (140478, 2277, 26, 'Giấy chứng nhận Khách hàng');
INSERT INTO `lang_definitions` VALUES (140479, 2278, 26, 'Tạo Khách hàng bên SSL giấy chứng nhận');
INSERT INTO `lang_definitions` VALUES (140480, 2281, 26, 'Tạo Bản sao chép');
INSERT INTO `lang_definitions` VALUES (140481, 2282, 26, 'Tạo Cuộc hẹn gặp');
INSERT INTO `lang_definitions` VALUES (140482, 2283, 26, 'Tạo bản Sao lưu Nhật ký sự kiện');
INSERT INTO `lang_definitions` VALUES (140483, 2285, 26, 'Tạo vấn đề mới');
INSERT INTO `lang_definitions` VALUES (140484, 2287, 26, 'Tạo Bệnh nhân Mới');
INSERT INTO `lang_definitions` VALUES (140485, 2290, 26, 'Tạo Giây chứng nhận ngoại vi Portal');
INSERT INTO `lang_definitions` VALUES (140486, 2292, 26, 'Tạo Giây chứng nhận Portal tại chỗ');
INSERT INTO `lang_definitions` VALUES (140487, 2294, 26, 'Lưu ý bệnh nhân');
INSERT INTO `lang_definitions` VALUES (140488, 2296, 26, 'Tạo Cơ quan Giấy chứng nhận SSL và chứng chỉ máy chủ.');
INSERT INTO `lang_definitions` VALUES (140489, 2297, 26, 'Tạo lần Đến khám');
INSERT INTO `lang_definitions` VALUES (140490, 2298, 26, 'Đã tạo');
INSERT INTO `lang_definitions` VALUES (140491, 2306, 26, 'Đang tạo tập tin kết xuất');
INSERT INTO `lang_definitions` VALUES (140492, 2308, 26, 'Gặp lỗi khi tạo tập tin này trên máy trên mạng');
INSERT INTO `lang_definitions` VALUES (140493, 2309, 26, 'Người tạo');
INSERT INTO `lang_definitions` VALUES (140494, 2311, 26, 'tín dụng');
INSERT INTO `lang_definitions` VALUES (140495, 2312, 26, 'Thẻ tín dụng');
INSERT INTO `lang_definitions` VALUES (140496, 2314, 26, 'Các khoản tín dụng');
INSERT INTO `lang_definitions` VALUES (140497, 2315, 26, 'Cree');
INSERT INTO `lang_definitions` VALUES (140498, 2316, 26, 'Tiêu chuẩn');
INSERT INTO `lang_definitions` VALUES (140499, 2318, 26, 'Croatian');
INSERT INTO `lang_definitions` VALUES (140500, 2319, 26, 'Bệnh Crohn \'s');
INSERT INTO `lang_definitions` VALUES (140501, 2320, 26, 'Crohns bệnh');
INSERT INTO `lang_definitions` VALUES (140502, 2323, 26, 'CSV xuất khẩu');
INSERT INTO `lang_definitions` VALUES (140503, 2324, 26, 'Tệp tin CSV');
INSERT INTO `lang_definitions` VALUES (140504, 2325, 26, 'Bảng CSV');
INSERT INTO `lang_definitions` VALUES (140505, 2330, 26, 'CU.MM');
INSERT INTO `lang_definitions` VALUES (140506, 2331, 26, 'Cuban');
INSERT INTO `lang_definitions` VALUES (140507, 2333, 26, 'Số chữ số Thập phân Tiền tệ');
INSERT INTO `lang_definitions` VALUES (140508, 2334, 26, 'Dấu Thập phân Tiền tệ');
INSERT INTO `lang_definitions` VALUES (140509, 2335, 26, 'Biểu tượng Tiền tệ');
INSERT INTO `lang_definitions` VALUES (140510, 2336, 26, 'Dấu tách Hàng ngàn Tiền tệ');
INSERT INTO `lang_definitions` VALUES (140511, 2337, 26, 'Hiện tại');
INSERT INTO `lang_definitions` VALUES (140512, 2338, 26, 'Cồn hiện thời');
INSERT INTO `lang_definitions` VALUES (140513, 2341, 26, 'Tham khảo hiện thời');
INSERT INTO `lang_definitions` VALUES (140514, 2342, 26, 'Tiêu chuẩn hiện thời');
INSERT INTO `lang_definitions` VALUES (140515, 2344, 26, 'Màu đánh dấu ngày hiện thời');
INSERT INTO `lang_definitions` VALUES (140516, 2345, 26, 'Hiện đang còn hút thuốc mỗi ngày');
INSERT INTO `lang_definitions` VALUES (140517, 2347, 26, 'Hiện tại tên tập tin đã được thay đổi thành');
INSERT INTO `lang_definitions` VALUES (140518, 2349, 26, 'Hiện tại Hash');
INSERT INTO `lang_definitions` VALUES (140519, 2350, 26, 'Vị trí Hiện tại');
INSERT INTO `lang_definitions` VALUES (140520, 2352, 26, 'Thuốc Hiện tại');
INSERT INTO `lang_definitions` VALUES (140521, 2354, 26, 'Mật khẩu Hiện tại');
INSERT INTO `lang_definitions` VALUES (140522, 2356, 26, 'Bệnh nhân Hiện tại');
INSERT INTO `lang_definitions` VALUES (140523, 2359, 26, 'Chỉ Bệnh nhân Hiện tại');
INSERT INTO `lang_definitions` VALUES (140524, 2361, 26, 'Hiện tại giải trí Thuốc');
INSERT INTO `lang_definitions` VALUES (140525, 2363, 26, 'Hiện đang còn hút thuốc không thường xuyên');
INSERT INTO `lang_definitions` VALUES (140526, 2365, 26, 'Thời gian Trạng thái Hiện tại');
INSERT INTO `lang_definitions` VALUES (140527, 2369, 26, 'Giá trị Hiện tại');
INSERT INTO `lang_definitions` VALUES (140528, 2371, 26, 'Đang hoạt động');
INSERT INTO `lang_definitions` VALUES (140529, 2375, 26, 'Đang chạy');
INSERT INTO `lang_definitions` VALUES (140530, 2377, 26, 'Hiện đang không có cơ sở.');
INSERT INTO `lang_definitions` VALUES (140531, 2379, 26, 'Hội chứng cushing');
INSERT INTO `lang_definitions` VALUES (140532, 2380, 26, 'Hội chứng Cushing');
INSERT INTO `lang_definitions` VALUES (140533, 2382, 26, 'Người chăm sóc');
INSERT INTO `lang_definitions` VALUES (140534, 2383, 26, 'Tuỳ chỉnh');
INSERT INTO `lang_definitions` VALUES (140535, 2390, 26, 'Tuỳ chỉnh đầu vào?');
INSERT INTO `lang_definitions` VALUES (140536, 2395, 26, 'Tuỳ chỉnh Bảng');
INSERT INTO `lang_definitions` VALUES (140537, 2401, 26, 'Mã Cvx');
INSERT INTO `lang_definitions` VALUES (140538, 2402, 26, 'Mã CVX');
INSERT INTO `lang_definitions` VALUES (140539, 2403, 26, 'Ánh xạ Mã CVX');
INSERT INTO `lang_definitions` VALUES (140540, 2404, 26, 'Chủng ngừa CVX');
INSERT INTO `lang_definitions` VALUES (140541, 2406, 26, 'Chu kỳ');
INSERT INTO `lang_definitions` VALUES (140542, 2412, 26, 'CYP');
INSERT INTO `lang_definitions` VALUES (140543, 2413, 26, 'CYP tố');
INSERT INTO `lang_definitions` VALUES (140544, 2414, 26, 'CYP Báo cáo');
INSERT INTO `lang_definitions` VALUES (140545, 2415, 26, 'Czech');
INSERT INTO `lang_definitions` VALUES (140546, 2416, 26, 'D');
INSERT INTO `lang_definitions` VALUES (140547, 2417, 26, 'D & C');
INSERT INTO `lang_definitions` VALUES (140548, 2418, 26, 'D & E');
INSERT INTO `lang_definitions` VALUES (140549, 2420, 26, 'Ngày Sinh');
INSERT INTO `lang_definitions` VALUES (140550, 2421, 26, 'hàng ngày');
INSERT INTO `lang_definitions` VALUES (140551, 2422, 26, 'Bản ghi Hàng ngày');
INSERT INTO `lang_definitions` VALUES (140552, 2425, 26, 'Tiếng/Người Đan Mạch');
INSERT INTO `lang_definitions` VALUES (140553, 2429, 26, 'Dữ liệu tương tự đã có trong cơ sở dữ liệu, xin vui lòng thay đổi mã số và / hoặc mô tả');
INSERT INTO `lang_definitions` VALUES (140554, 2430, 26, 'Dữ liệu tương tự đã có trong cơ sở dữ liệu, hãy thay đổi tên liên tục');
INSERT INTO `lang_definitions` VALUES (140555, 2431, 26, 'Dữ liệu cột');
INSERT INTO `lang_definitions` VALUES (140556, 2432, 26, 'Người Nhập liệu');
INSERT INTO `lang_definitions` VALUES (140557, 2433, 26, 'Nơi Nhập liệu - Số An sinh Xã hội');
INSERT INTO `lang_definitions` VALUES (140558, 2434, 26, '0');
INSERT INTO `lang_definitions` VALUES (140559, 2435, 26, 'Dữ liệu từ');
INSERT INTO `lang_definitions` VALUES (140560, 2436, 26, 'Tính toàn vẹn dữ liệu bị vi phạm');
INSERT INTO `lang_definitions` VALUES (140561, 2437, 26, 'dữ liệu của tất cả lần khám cho đến nay');
INSERT INTO `lang_definitions` VALUES (140562, 2439, 26, 'Loại Dữ liệu');
INSERT INTO `lang_definitions` VALUES (140563, 2440, 26, 'Cơ sở dữ liệu');
INSERT INTO `lang_definitions` VALUES (140564, 2442, 26, 'Cơ sở dữ liệu không được cài đặt.');
INSERT INTO `lang_definitions` VALUES (140565, 2444, 26, 'Vá lỗi Cơ sở dữ liệu');
INSERT INTO `lang_definitions` VALUES (140566, 2445, 26, 'Việc báo cáo Cơ sở dữ liệu');
INSERT INTO `lang_definitions` VALUES (140567, 2447, 26, 'Đã hoàn thành nâng cấp cơ sở dữ liệu.');
INSERT INTO `lang_definitions` VALUES (140568, 2448, 26, 'DataCols phải là một số giữa 1 và 999');
INSERT INTO `lang_definitions` VALUES (140569, 2449, 26, 'Ngày');
INSERT INTO `lang_definitions` VALUES (140570, 2450, 26, 'NGÀY');
INSERT INTO `lang_definitions` VALUES (140571, 2451, 26, 'Ngày & Giờ được quản lý');
INSERT INTO `lang_definitions` VALUES (140572, 2452, 26, 'Ngày / Giờ');
INSERT INTO `lang_definitions` VALUES (140573, 2453, 26, 'Ngày được quản lý');
INSERT INTO `lang_definitions` VALUES (140574, 2454, 26, 'Ngày và giờ của lần lấy mẫu');
INSERT INTO `lang_definitions` VALUES (140575, 2455, 26, 'Ngày và giờ của lần quan sát này');
INSERT INTO `lang_definitions` VALUES (140576, 2456, 26, 'Ngày và giờ của báo cáo này');
INSERT INTO `lang_definitions` VALUES (140577, 2457, 26, 'Ngày và giờ mà mẫu được lấy');
INSERT INTO `lang_definitions` VALUES (140578, 2458, 26, 'Ngày không được lớn hơn Hôm nay');
INSERT INTO `lang_definitions` VALUES (140579, 2459, 26, 'Ngày các dịch vụ tránh thai được bắt đầu cung cấp.');
INSERT INTO `lang_definitions` VALUES (140580, 2460, 26, 'Ngày Tạo');
INSERT INTO `lang_definitions` VALUES (140581, 2461, 26, 'Ngày Qua đời');
INSERT INTO `lang_definitions` VALUES (140582, 2462, 26, 'Ngày Hủy');
INSERT INTO `lang_definitions` VALUES (140583, 2463, 26, 'Định dạng Hiển thị Ngày');
INSERT INTO `lang_definitions` VALUES (140584, 2464, 26, '\"Kết thúc cuộc hẹn\" có định dạng ngày không hợp lệ');
INSERT INTO `lang_definitions` VALUES (140585, 2465, 26, '\"Bắt đầu cuộc hẹn\" có định dạng ngày không hợp lệ');
INSERT INTO `lang_definitions` VALUES (140586, 2466, 26, '\"Cuộc hẹn Tiếp theo\" có định dạng ngày không hợp lệ');
INSERT INTO `lang_definitions` VALUES (140587, 2467, 26, '\"Chưa từng thấy từ\" có định dạng ngày không hợp lệ');
INSERT INTO `lang_definitions` VALUES (140588, 2469, 26, '\"Đã thấy từ\" có định dạng ngày không hợp lệ');
INSERT INTO `lang_definitions` VALUES (140589, 2470, 26, 'Ngày Chủng Ngừa Thông tin Báo cáo Với');
INSERT INTO `lang_definitions` VALUES (140590, 2471, 26, 'Thiếu ngày cho mã số');
INSERT INTO `lang_definitions` VALUES (140591, 2472, 26, 'Tiêu chuẩn Ngày Chủ đạo');
INSERT INTO `lang_definitions` VALUES (140592, 2475, 26, 'Ngày gửi tiền vào ngân hàng năm-tháng-ngày');
INSERT INTO `lang_definitions` VALUES (140593, 2476, 26, 'Ngày Lập hóa đơn');
INSERT INTO `lang_definitions` VALUES (140594, 2477, 26, 'Ngày Sinh');
INSERT INTO `lang_definitions` VALUES (140595, 2478, 26, 'Ngày sinh');
INSERT INTO `lang_definitions` VALUES (140596, 2479, 26, 'Ngày sinh');
INSERT INTO `lang_definitions` VALUES (140597, 2481, 26, 'Ngày của Đầu mục');
INSERT INTO `lang_definitions` VALUES (140598, 2483, 26, 'Ngày Bị thương tích');
INSERT INTO `lang_definitions` VALUES (140599, 2484, 26, 'Ngày Phát bệnh');
INSERT INTO `lang_definitions` VALUES (140600, 2487, 26, 'Ngày thanh toán năm-tháng-ngày');
INSERT INTO `lang_definitions` VALUES (140601, 2489, 26, 'Ngày giới thiệu');
INSERT INTO `lang_definitions` VALUES (140602, 2491, 26, 'Ngày trả lời');
INSERT INTO `lang_definitions` VALUES (140603, 2492, 26, 'Ngày của Báo cáo');
INSERT INTO `lang_definitions` VALUES (140604, 2493, 26, 'Ngày Dịch vụ');
INSERT INTO `lang_definitions` VALUES (140605, 2495, 26, 'Ngày Dịch vụ');
INSERT INTO `lang_definitions` VALUES (140606, 2496, 26, 'Ngày Dịch vụ = Hôm nay');
INSERT INTO `lang_definitions` VALUES (140607, 2498, 26, 'Ngày dịch vụ tháng/ngày/năm');
INSERT INTO `lang_definitions` VALUES (140608, 2499, 26, 'Ngày Dịch vụ:');
INSERT INTO `lang_definitions` VALUES (140609, 2500, 26, 'Ngày Ký');
INSERT INTO `lang_definitions` VALUES (140610, 2501, 26, 'Ngày Thay đổi Trạng thái');
INSERT INTO `lang_definitions` VALUES (140611, 2503, 26, 'Ngày của đơn hàng này');
INSERT INTO `lang_definitions` VALUES (140612, 2504, 26, 'Ngày của báo cáo này');
INSERT INTO `lang_definitions` VALUES (140613, 2505, 26, 'Ngày Tuyên bố VIS');
INSERT INTO `lang_definitions` VALUES (140614, 2506, 26, 'Ngày yêu cầu');
INSERT INTO `lang_definitions` VALUES (140615, 2507, 26, 'Phạm vi Ngày');
INSERT INTO `lang_definitions` VALUES (140616, 2508, 26, 'Bộ chọn Ngày');
INSERT INTO `lang_definitions` VALUES (140617, 2509, 26, 'Bộ chọn ngày');
INSERT INTO `lang_definitions` VALUES (140618, 2510, 26, 'Ngày Gửi');
INSERT INTO `lang_definitions` VALUES (140619, 2511, 26, 'Ngày đã Gửi TIn nhắn');
INSERT INTO `lang_definitions` VALUES (140620, 2512, 26, 'Ngày Giờ');
INSERT INTO `lang_definitions` VALUES (140621, 2513, 26, 'Không thể để trống giá trị ngày.');
INSERT INTO `lang_definitions` VALUES (140622, 2516, 26, 'Ngày / Hẹn');
INSERT INTO `lang_definitions` VALUES (140623, 2517, 26, 'Ngày / Ghi chú');
INSERT INTO `lang_definitions` VALUES (140624, 2518, 26, 'Ngày / Ghi chú của cuối');
INSERT INTO `lang_definitions` VALUES (140625, 2519, 26, 'Ngày / Giờ');
INSERT INTO `lang_definitions` VALUES (140626, 2520, 26, 'Ngày:');
INSERT INTO `lang_definitions` VALUES (140627, 2523, 26, 'Bản ghi Tin nhắn có Ngày');
INSERT INTO `lang_definitions` VALUES (140628, 2526, 26, 'Ngày');
INSERT INTO `lang_definitions` VALUES (140629, 2527, 26, 'ngày');
INSERT INTO `lang_definitions` VALUES (140630, 2530, 26, 'Xem theo ngày');
INSERT INTO `lang_definitions` VALUES (140631, 2531, 26, 'Ngày');
INSERT INTO `lang_definitions` VALUES (140632, 2532, 26, 'Ngày M-F');
INSERT INTO `lang_definitions` VALUES (140633, 2533, 26, 'ngày');
INSERT INTO `lang_definitions` VALUES (140634, 2534, 26, 'Ngày');
INSERT INTO `lang_definitions` VALUES (140635, 2535, 26, 'ngày trước');
INSERT INTO `lang_definitions` VALUES (140636, 2536, 26, 'Bỏ lỡ Ngày và Trò chơi');
INSERT INTO `lang_definitions` VALUES (140637, 2537, 26, 'Ngày từ lần khám trước');
INSERT INTO `lang_definitions` VALUES (140638, 2538, 26, 'Ngày bị bỏ lỡ');
INSERT INTO `lang_definitions` VALUES (140639, 2541, 26, 'Ngày mỗi cột:');
INSERT INTO `lang_definitions` VALUES (140640, 2542, 26, 'Ngày / Cột');
INSERT INTO `lang_definitions` VALUES (140641, 2543, 26, 'Ngày / Cột:');
INSERT INTO `lang_definitions` VALUES (140642, 2544, 26, 'đã cài CSDL');
INSERT INTO `lang_definitions` VALUES (140643, 2545, 26, 'DD / MM / YYYY');
INSERT INTO `lang_definitions` VALUES (140644, 2546, 26, 'De Xác định');
INSERT INTO `lang_definitions` VALUES (140645, 2547, 26, 'De Quy trình Xác định được hoàn thành');
INSERT INTO `lang_definitions` VALUES (140646, 2548, 26, 'De Xác định quá trình đang diễn ra');
INSERT INTO `lang_definitions` VALUES (140647, 2549, 26, 'De quá trình nhận dạng được bắt đầu và đang chạy trong nền');
INSERT INTO `lang_definitions` VALUES (140648, 2550, 26, 'De dữ liệu đã xác định có thể không đầy đủ');
INSERT INTO `lang_definitions` VALUES (140649, 2551, 26, 'De-nhận dạng các tập tin sẽ được lưu trong');
INSERT INTO `lang_definitions` VALUES (140650, 2552, 26, 'DEA');
INSERT INTO `lang_definitions` VALUES (140651, 2555, 26, 'Tắt');
INSERT INTO `lang_definitions` VALUES (140652, 2558, 26, 'Điếc');
INSERT INTO `lang_definitions` VALUES (140653, 2562, 26, 'Gỡ rối Thông tin');
INSERT INTO `lang_definitions` VALUES (140654, 2563, 26, 'KẾT XUẤT GỠ RỐI');
INSERT INTO `lang_definitions` VALUES (140655, 2564, 26, 'Đang gỡ rối');
INSERT INTO `lang_definitions` VALUES (140656, 2565, 26, 'Tháng Mười hai');
INSERT INTO `lang_definitions` VALUES (140657, 2567, 26, 'CHẾT');
INSERT INTO `lang_definitions` VALUES (140658, 2574, 26, 'Tháng Mười hai');
INSERT INTO `lang_definitions` VALUES (140659, 2578, 26, 'Cân Anh (pound) thập phân hay cân Anh và aoxơ (ounce) được phân cách bằng # (v.d. 5#4)');
INSERT INTO `lang_definitions` VALUES (140660, 2579, 26, 'Đã từ chối Việc Ghi rõ');
INSERT INTO `lang_definitions` VALUES (140661, 2580, 26, 'Được khấu trừ');
INSERT INTO `lang_definitions` VALUES (140662, 2581, 26, 'Được khấu trừ Met');
INSERT INTO `lang_definitions` VALUES (140663, 2583, 26, 'Mặc định');
INSERT INTO `lang_definitions` VALUES (140664, 2585, 26, 'Cách xem Lịch Mặc định');
INSERT INTO `lang_definitions` VALUES (140665, 2587, 26, 'Mã Biểu mẫu Lần khám Mặc định');
INSERT INTO `lang_definitions` VALUES (140666, 2588, 26, 'Khung nhìn Lần khám Mặc định');
INSERT INTO `lang_definitions` VALUES (140667, 2589, 26, 'Cơ sở Mặc định');
INSERT INTO `lang_definitions` VALUES (140668, 2594, 26, 'Ngôn ngữ Mặc định');
INSERT INTO `lang_definitions` VALUES (140669, 2595, 26, 'Ngôn ngữ mặc định nếu không có ngôn ngữ khác được cho phép hoặc lựa chọn.');
INSERT INTO `lang_definitions` VALUES (140670, 2598, 26, 'Danh sách mặc định (tùy chọn cho ghi, chỉ được thêm)');
INSERT INTO `lang_definitions` VALUES (140671, 2600, 26, 'Phương pháp Mặc định');
INSERT INTO `lang_definitions` VALUES (140672, 2601, 26, 'Ngày hết hạn mật khẩu mặc định');
INSERT INTO `lang_definitions` VALUES (140673, 2602, 26, 'Mặc định mật khẩu hết hạn thời gian trong ngày. 0 có nghĩa là tính năng này bị vô hiệu hóa.');
INSERT INTO `lang_definitions` VALUES (140674, 2603, 26, 'Quốc gia Mặc định của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (140675, 2604, 26, 'Quốc gia Mặc định của Bệnh nhân được gửi đến NewCrop eRx, chỉ khi quốc gia của bệnh nhân không được đặt.');
INSERT INTO `lang_definitions` VALUES (140676, 2606, 26, 'Ưu tiên Mặc định');
INSERT INTO `lang_definitions` VALUES (140677, 2607, 26, 'Nhà cung cấp Mặc định');
INSERT INTO `lang_definitions` VALUES (140678, 2609, 26, 'Phạm vi Mặc định');
INSERT INTO `lang_definitions` VALUES (140679, 2610, 26, 'Lý do Mặc định cho Lần khám');
INSERT INTO `lang_definitions` VALUES (140680, 2612, 26, 'Kiểu Mã Tìm kiếm Mặc định');
INSERT INTO `lang_definitions` VALUES (140681, 2615, 26, 'Thiết lập Mặc định');
INSERT INTO `lang_definitions` VALUES (140682, 2617, 26, 'Trạng thái mặc định của hộp chọn Cửa sổ Mới trong danh sách bệnh nhân.');
INSERT INTO `lang_definitions` VALUES (140683, 2618, 26, 'Khuôn mẫu Mặc định');
INSERT INTO `lang_definitions` VALUES (140684, 2619, 26, 'Dùng một nhà cung cấp làm mặc định cho dòng đề mục trong bảng phí');
INSERT INTO `lang_definitions` VALUES (140685, 2621, 26, 'Dùng giá trị trước đó làm mặc định');
INSERT INTO `lang_definitions` VALUES (140686, 2624, 26, 'Đơn vị Mặc định');
INSERT INTO `lang_definitions` VALUES (140687, 2626, 26, 'Giá trị Mặc định');
INSERT INTO `lang_definitions` VALUES (140688, 2628, 26, 'Kho hàng Mặc định');
INSERT INTO `lang_definitions` VALUES (140689, 2629, 26, 'X12 Đối tác Mặc định');
INSERT INTO `lang_definitions` VALUES (140690, 2630, 26, 'Mặc định / Toàn bộ');
INSERT INTO `lang_definitions` VALUES (140691, 2635, 26, 'Xóa');
INSERT INTO `lang_definitions` VALUES (140692, 2636, 26, 'xóa');
INSERT INTO `lang_definitions` VALUES (140693, 2637, 26, 'Tái phát trễ (> 12 Tháng)');
INSERT INTO `lang_definitions` VALUES (140694, 2638, 26, 'Xóa');
INSERT INTO `lang_definitions` VALUES (140695, 2639, 26, 'xóa');
INSERT INTO `lang_definitions` VALUES (140696, 2640, 26, 'Xóa danh mục với ID (s):');
INSERT INTO `lang_definitions` VALUES (140697, 2641, 26, 'Xóa Thể loại');
INSERT INTO `lang_definitions` VALUES (140698, 2643, 26, 'Xóa Biểu mẫu Lần khám');
INSERT INTO `lang_definitions` VALUES (140699, 2644, 26, 'Không xóa được!');
INSERT INTO `lang_definitions` VALUES (140700, 2645, 26, 'Xóa Nhóm');
INSERT INTO `lang_definitions` VALUES (140701, 2646, 26, 'Xóa Danh sách');
INSERT INTO `lang_definitions` VALUES (140702, 2648, 26, 'Xóa trang');
INSERT INTO `lang_definitions` VALUES (140703, 2649, 26, 'Xóa bệnh nhân, Encounter, Mẫu, Số, tài liệu, thanh toán, Thanh toán hoặc giao dịch');
INSERT INTO `lang_definitions` VALUES (140704, 2650, 26, 'Xóa Kế hoạch');
INSERT INTO `lang_definitions` VALUES (140705, 2651, 26, 'Xóa dòng');
INSERT INTO `lang_definitions` VALUES (140706, 2652, 26, 'Xóa mục được chọn');
INSERT INTO `lang_definitions` VALUES (140707, 2653, 26, 'Xóa Các yêu cầu Đang chọn');
INSERT INTO `lang_definitions` VALUES (140708, 2655, 26, 'Xóa thành công.');
INSERT INTO `lang_definitions` VALUES (140709, 2656, 26, 'Xóa tài liệu này');
INSERT INTO `lang_definitions` VALUES (140710, 2657, 26, 'Xóa hình thức này');
INSERT INTO `lang_definitions` VALUES (140711, 2659, 26, 'Xóa ghi chú');
INSERT INTO `lang_definitions` VALUES (140712, 2660, 26, 'Đã xoá Thành công');
INSERT INTO `lang_definitions` VALUES (140713, 2661, 26, 'Đã xoá Thành công.');
INSERT INTO `lang_definitions` VALUES (140714, 2662, 26, 'Đang xóa');
INSERT INTO `lang_definitions` VALUES (140715, 2663, 26, 'Không thể hủy bỏ việc xóa sự kiện này. Nó không thể được khôi phục một khi đã bị xóa. Bạn có chắc chắn muốn xóa sự kiện này không?');
INSERT INTO `lang_definitions` VALUES (140716, 2666, 26, 'Đã xác nhận Giao hàng');
INSERT INTO `lang_definitions` VALUES (140717, 2667, 26, 'Không cho phép giao hàng đến Địa chỉ Trực tiếp được chỉ định.');
INSERT INTO `lang_definitions` VALUES (140718, 2668, 26, 'Hiện tại không cho phép giao hàng đến Địa chỉ Trực tiếp được chỉ định.');
INSERT INTO `lang_definitions` VALUES (140719, 2669, 26, 'Bệnh nhân đã yêu cầu giao tài liệu lâm sàng được đính kèm');
INSERT INTO `lang_definitions` VALUES (140720, 2670, 26, 'Bệnh nhân đã yêu cầu giao tài liệu lâm sàng được đính kèm.');
INSERT INTO `lang_definitions` VALUES (140721, 2671, 26, 'Sa sút trí tuệ');
INSERT INTO `lang_definitions` VALUES (140722, 2673, 26, 'Thông tin cá nhân');
INSERT INTO `lang_definitions` VALUES (140723, 2674, 26, 'Thông tin cá nhân (tùy chọn cho ghi, chỉ được thêm)');
INSERT INTO `lang_definitions` VALUES (140724, 2677, 26, 'Các trường Thông tin cá nhân');
INSERT INTO `lang_definitions` VALUES (140725, 2678, 26, 'Tiêu chí lọc thông tin cá nhân');
INSERT INTO `lang_definitions` VALUES (140726, 2680, 26, 'Không cho thông tin cá nhân.');
INSERT INTO `lang_definitions` VALUES (140727, 2681, 26, 'Không cho thông tin cá nhân.');
INSERT INTO `lang_definitions` VALUES (140728, 2682, 26, 'Từ chối');
INSERT INTO `lang_definitions` VALUES (140729, 2684, 26, 'Mẫu số');
INSERT INTO `lang_definitions` VALUES (140730, 2687, 26, 'Nha khoa');
INSERT INTO `lang_definitions` VALUES (140731, 2688, 26, 'Danh sách Vấn dề Nha khoa');
INSERT INTO `lang_definitions` VALUES (140732, 2689, 26, 'Các vấn đề Nha khoa');
INSERT INTO `lang_definitions` VALUES (140733, 2691, 26, 'Các mô đun Phụ thuộc');
INSERT INTO `lang_definitions` VALUES (140734, 2692, 26, 'Vấn đề Phần phụ thuộc');
INSERT INTO `lang_definitions` VALUES (140735, 2694, 26, 'Tùy thuộc vào loại hóa đơn bạn đang thử nghiệm, bạn sẽ thấy HCFA như sản lượng trên một trang trắng cho các hóa đơn HCFA, bạn sẽ thấy nhiều dòng văn bản và thông tin phần nào bị cắt xén nếu bạn đang thử nghiệm một yêu cầu bồi thường X12. Đó văn bản bị cắt xén các định dạng X12 EDI 4010A. Đôi khi bạn sẽ thấy các nhân vật kỳ lạ trông giống như cờ domino hoặc squiglies, đây là những ký tự điều khiển như nguồn cấp dữ liệu trang và là bình thường.');
INSERT INTO `lang_definitions` VALUES (140736, 2696, 26, 'Tiền gửi ngày');
INSERT INTO `lang_definitions` VALUES (140737, 2697, 26, 'Tiền gửi ngày không được lớn hơn Hôm nay');
INSERT INTO `lang_definitions` VALUES (140738, 2698, 26, 'Gửi ngày:');
INSERT INTO `lang_definitions` VALUES (140739, 2699, 26, 'Chán nản');
INSERT INTO `lang_definitions` VALUES (140740, 2700, 26, 'Trầm cảm');
INSERT INTO `lang_definitions` VALUES (140741, 2705, 26, 'GIẢM');
INSERT INTO `lang_definitions` VALUES (140742, 2706, 26, 'Mô tả');
INSERT INTO `lang_definitions` VALUES (140743, 2707, 26, 'mô tả');
INSERT INTO `lang_definitions` VALUES (140744, 2708, 26, 'Mô tả là văn bản mặc định');
INSERT INTO `lang_definitions` VALUES (140745, 2709, 26, 'Mô tả của các Tiết lộ');
INSERT INTO `lang_definitions` VALUES (140746, 2710, 26, 'Mô tả của mã này thủ tục hoặc kết quả');
INSERT INTO `lang_definitions` VALUES (140747, 2711, 26, 'Bản dịch của Mô tả');
INSERT INTO `lang_definitions` VALUES (140748, 2712, 26, 'Tên tập tin Mong muốn');
INSERT INTO `lang_definitions` VALUES (140749, 2713, 26, 'Điểm đến');
INSERT INTO `lang_definitions` VALUES (140750, 2714, 26, 'Tập tinh Đích');
INSERT INTO `lang_definitions` VALUES (140751, 2716, 26, 'Hủy Lô');
INSERT INTO `lang_definitions` VALUES (140752, 2717, 26, 'Phá hủy ...');
INSERT INTO `lang_definitions` VALUES (140753, 2718, 26, 'Bị tiêu hủy');
INSERT INTO `lang_definitions` VALUES (140754, 2719, 26, 'Thuốc bị tiêu hủy');
INSERT INTO `lang_definitions` VALUES (140755, 2720, 26, 'Báo cáo Thuốc đã bị Tiêu hủy');
INSERT INTO `lang_definitions` VALUES (140756, 2721, 26, 'Xem chi tiết');
INSERT INTO `lang_definitions` VALUES (140757, 2726, 26, 'Thông tin chi tiết');
INSERT INTO `lang_definitions` VALUES (140758, 2727, 26, 'Nhà phát triển');
INSERT INTO `lang_definitions` VALUES (140759, 2728, 26, 'Phát triển bất thường');
INSERT INTO `lang_definitions` VALUES (140760, 2730, 26, 'Bệnh tiểu đường');
INSERT INTO `lang_definitions` VALUES (140761, 2731, 26, 'Đái tháo đường');
INSERT INTO `lang_definitions` VALUES (140762, 2732, 26, 'Bệnh tiểu đường: Quản lý Huyết Áp (CQM)');
INSERT INTO `lang_definitions` VALUES (140763, 2733, 26, 'Bệnh tiểu đường: Kiểm tra Mắt');
INSERT INTO `lang_definitions` VALUES (140764, 2734, 26, 'Bệnh tiểu đường: Kiểm tra Mắt (CQM)');
INSERT INTO `lang_definitions` VALUES (140765, 2735, 26, 'Bệnh tiểu đường: Kiểm tra Chân');
INSERT INTO `lang_definitions` VALUES (140766, 2736, 26, 'Bệnh tiểu đường: Kiểm tra Chân (CQM)');
INSERT INTO `lang_definitions` VALUES (140767, 2737, 26, 'Bệnh tiểu đường: HbA1c Poor Control (CQM)');
INSERT INTO `lang_definitions` VALUES (140768, 2738, 26, 'Bệnh tiểu đường: Hemoglobin A1c');
INSERT INTO `lang_definitions` VALUES (140769, 2739, 26, 'Bệnh tiểu đường: Quản lý và Kiểm soát LDL (CQM)');
INSERT INTO `lang_definitions` VALUES (140770, 2740, 26, 'Bệnh tiểu đường: Urine Microalbumin');
INSERT INTO `lang_definitions` VALUES (140771, 2741, 26, 'Chẩn đoán');
INSERT INTO `lang_definitions` VALUES (140772, 2742, 26, 'Các chẩn đoán');
INSERT INTO `lang_definitions` VALUES (140773, 2743, 26, 'Chẩn đoán');
INSERT INTO `lang_definitions` VALUES (140774, 2744, 26, 'Mã Chẩn đoán');
INSERT INTO `lang_definitions` VALUES (140775, 2745, 26, 'Các mã Chẩn đoán');
INSERT INTO `lang_definitions` VALUES (140776, 2747, 26, 'Ngày Chẩn đoán');
INSERT INTO `lang_definitions` VALUES (140777, 2749, 26, 'Chẩn đoán phải được mã hóa thành một cuộc gặp gỡ liên kết');
INSERT INTO `lang_definitions` VALUES (140778, 2750, 26, 'Tên Chẩn đoán');
INSERT INTO `lang_definitions` VALUES (140779, 2751, 26, 'Báo cáo Chẩn đoán');
INSERT INTO `lang_definitions` VALUES (140780, 2752, 26, 'Việc báo cáo Chẩn đoán');
INSERT INTO `lang_definitions` VALUES (140781, 2753, 26, 'Chỉ Báo cáo Chẩn đoán');
INSERT INTO `lang_definitions` VALUES (140782, 2754, 26, 'Tiêu đề Chẩn đoán');
INSERT INTO `lang_definitions` VALUES (140783, 2755, 26, 'Chẩn đoán:');
INSERT INTO `lang_definitions` VALUES (140784, 2756, 26, 'Chẩn đoán:');
INSERT INTO `lang_definitions` VALUES (140785, 2758, 26, 'Xét nghiệm chẩn đoán:');
INSERT INTO `lang_definitions` VALUES (140786, 2760, 26, 'Quay');
INSERT INTO `lang_definitions` VALUES (140787, 2763, 26, 'Màng ngăn / mũ');
INSERT INTO `lang_definitions` VALUES (140788, 2764, 26, 'Tiêu chảy');
INSERT INTO `lang_definitions` VALUES (140789, 2765, 26, 'Tâm trương');
INSERT INTO `lang_definitions` VALUES (140790, 2767, 26, 'Lời dặn');
INSERT INTO `lang_definitions` VALUES (140791, 2768, 26, 'Lời dặn:');
INSERT INTO `lang_definitions` VALUES (140792, 2769, 26, 'Bạn có nhận được một bản sao của Thông Báo HIPAA?');
INSERT INTO `lang_definitions` VALUES (140793, 2770, 26, 'Diffuse:');
INSERT INTO `lang_definitions` VALUES (140794, 2771, 26, 'Đã ký Chữ ký số');
INSERT INTO `lang_definitions` VALUES (140795, 2778, 26, 'ĐỊA CHỈ TRỰC TIẾP');
INSERT INTO `lang_definitions` VALUES (140796, 2779, 26, 'Địa chỉ Trực tiếp');
INSERT INTO `lang_definitions` VALUES (140797, 2781, 26, 'Thư trực tiếp');
INSERT INTO `lang_definitions` VALUES (140798, 2782, 26, 'Ghi nhận Thông điệp Trực tiếp');
INSERT INTO `lang_definitions` VALUES (140799, 2783, 26, 'Đã nhận Thông điệp Trực tiếp.');
INSERT INTO `lang_definitions` VALUES (140800, 2784, 26, 'Thông điệp trực tiếp hiện không sẵn dùng.');
INSERT INTO `lang_definitions` VALUES (140801, 2785, 26, 'Lỗi Gửi Thông điệp Trực tiếp');
INSERT INTO `lang_definitions` VALUES (140802, 2786, 26, 'Các chỉ dẫn');
INSERT INTO `lang_definitions` VALUES (140803, 2787, 26, 'Tên Giám đốc');
INSERT INTO `lang_definitions` VALUES (140804, 2788, 26, 'Lỗi xóa thư mục; đang tiếp tục.');
INSERT INTO `lang_definitions` VALUES (140805, 2789, 26, 'Người khuyết tật');
INSERT INTO `lang_definitions` VALUES (140806, 2790, 26, 'Vô hiệu hóa');
INSERT INTO `lang_definitions` VALUES (140807, 2794, 26, 'Vô hiệu hoá Lịch');
INSERT INTO `lang_definitions` VALUES (140808, 2795, 26, 'Vô hiệu hoá Tracker Chart');
INSERT INTO `lang_definitions` VALUES (140809, 2798, 26, 'Vô hiệu hoá Chủng ngừa');
INSERT INTO `lang_definitions` VALUES (140810, 2800, 26, 'Vô hiệu hoá Biểu mẫu Thể trạng Hệ mét Cũ');
INSERT INTO `lang_definitions` VALUES (140811, 2802, 26, 'Vô hiệu hoá phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (140812, 2803, 26, 'Vô hiệu hoá Đơn thuốc');
INSERT INTO `lang_definitions` VALUES (140813, 2804, 26, 'Vô hiệu hóa các Nhóm Người dùng');
INSERT INTO `lang_definitions` VALUES (140814, 2805, 26, 'vô hiệu hóa');
INSERT INTO `lang_definitions` VALUES (140815, 2806, 26, 'Vô hiệu hóa');
INSERT INTO `lang_definitions` VALUES (140816, 2812, 26, 'DISC');
INSERT INTO `lang_definitions` VALUES (140817, 2815, 26, 'Mủ');
INSERT INTO `lang_definitions` VALUES (140818, 2816, 26, 'Mủ Từ Niệu đạo');
INSERT INTO `lang_definitions` VALUES (140819, 2818, 26, 'Xả phải');
INSERT INTO `lang_definitions` VALUES (140820, 2819, 26, 'Xả phải:');
INSERT INTO `lang_definitions` VALUES (140821, 2825, 26, 'Công bố thông tin');
INSERT INTO `lang_definitions` VALUES (140822, 2826, 26, 'Tiết lộ Loại');
INSERT INTO `lang_definitions` VALUES (140823, 2827, 26, 'Tiết lộ loại');
INSERT INTO `lang_definitions` VALUES (140824, 2828, 26, 'Tiết Lộ');
INSERT INTO `lang_definitions` VALUES (140825, 2833, 26, 'Giảm giá');
INSERT INTO `lang_definitions` VALUES (140826, 2834, 26, 'Số lượng Giá giảm');
INSERT INTO `lang_definitions` VALUES (140827, 2835, 26, 'Mức Giảm giá');
INSERT INTO `lang_definitions` VALUES (140828, 2836, 26, 'Phần trăm Giảm giá');
INSERT INTO `lang_definitions` VALUES (140829, 2837, 26, 'Giá giảm là Số lượng Tiền tệ');
INSERT INTO `lang_definitions` VALUES (140830, 2838, 26, 'Giá giảm tại thời điểm thanh toán được nhập vào là số tiền, ngược lại với tỷ lệ phần trăm.');
INSERT INTO `lang_definitions` VALUES (140831, 2839, 26, 'Rời rạc Kết quả');
INSERT INTO `lang_definitions` VALUES (140832, 2841, 26, 'Bệnh');
INSERT INTO `lang_definitions` VALUES (140833, 2843, 26, 'Phân chia');
INSERT INTO `lang_definitions` VALUES (140834, 2847, 26, 'Số lượng');
INSERT INTO `lang_definitions` VALUES (140835, 2848, 26, 'Công văn');
INSERT INTO `lang_definitions` VALUES (140836, 2849, 26, 'Công văn tài liệu nhận');
INSERT INTO `lang_definitions` VALUES (140837, 2853, 26, 'Phân phát');
INSERT INTO `lang_definitions` VALUES (140838, 2856, 26, 'Hiển thị các chỉ thị nâng cao trong trang thông tin cá nhân.');
INSERT INTO `lang_definitions` VALUES (140839, 2859, 26, 'Hiển thị ngày sự kiện trong khối?');
INSERT INTO `lang_definitions` VALUES (140840, 2861, 26, 'Hiển thị có bao nhiêu sự kiện?');
INSERT INTO `lang_definitions` VALUES (140841, 2865, 26, 'Hiển thị vị trí trong khối?');
INSERT INTO `lang_definitions` VALUES (140842, 2866, 26, 'Hiển thị Tên');
INSERT INTO `lang_definitions` VALUES (140843, 2868, 26, 'Hiển thị lịch?');
INSERT INTO `lang_definitions` VALUES (140844, 2875, 26, 'Hiển thị ngày hôm nay của các sự kiện trong khối ?');
INSERT INTO `lang_definitions` VALUES (140845, 2876, 26, 'Hiển thị chủ đề trong khối?');
INSERT INTO `lang_definitions` VALUES (140846, 2877, 26, 'Hiển thị các sự kiện sắp tới trong khối?');
INSERT INTO `lang_definitions` VALUES (140847, 2879, 26, 'Hiển thị cột');
INSERT INTO `lang_definitions` VALUES (140848, 2880, 26, 'Hiển thị số lượng của hầu hết các tiết lộ gần đây như sau:');
INSERT INTO `lang_definitions` VALUES (140849, 2882, 26, 'Hiển thị số lượng sau đây của hầu hết các ghi chú gần đây');
INSERT INTO `lang_definitions` VALUES (140850, 2883, 26, 'Hiển thị số lượng của hầu hết các ghi chú gần đây như sau:');
INSERT INTO `lang_definitions` VALUES (140851, 2890, 26, 'Phân phối');
INSERT INTO `lang_definitions` VALUES (140852, 2891, 26, 'Phân phối');
INSERT INTO `lang_definitions` VALUES (140853, 2892, 26, 'Nhà phân phối');
INSERT INTO `lang_definitions` VALUES (140854, 2897, 26, 'Viêm túi thừa');
INSERT INTO `lang_definitions` VALUES (140855, 2898, 26, 'Viêm túi thừa Phẫu thuật');
INSERT INTO `lang_definitions` VALUES (140856, 2899, 26, 'Divirticulitis');
INSERT INTO `lang_definitions` VALUES (140857, 2900, 26, 'Divirticulitis Phẫu thuật');
INSERT INTO `lang_definitions` VALUES (140858, 2901, 26, 'Ly hôn');
INSERT INTO `lang_definitions` VALUES (140859, 2902, 26, 'Chóng mặt:');
INSERT INTO `lang_definitions` VALUES (140860, 2905, 26, 'Không được thay đổi');
INSERT INTO `lang_definitions` VALUES (140861, 2907, 26, 'Không hiển thị Dị ứng đã tải lên NewCorp');
INSERT INTO `lang_definitions` VALUES (140862, 2909, 26, 'Không hiển thị Điều trị đã tải lên NewCorp');
INSERT INTO `lang_definitions` VALUES (140863, 2912, 26, 'Không hiển thị lịch.');
INSERT INTO `lang_definitions` VALUES (140864, 2916, 26, 'Không kiểm kê và bán bất kỳ sản phẩm nào');
INSERT INTO `lang_definitions` VALUES (140865, 2919, 26, 'Không yêu cầu xác thực ghi chú của bệnh nhân');
INSERT INTO `lang_definitions` VALUES (140866, 2920, 26, 'Không Làm tỉnh Order');
INSERT INTO `lang_definitions` VALUES (140867, 2921, 26, 'không lưu');
INSERT INTO `lang_definitions` VALUES (140868, 2922, 26, 'không thay thế');
INSERT INTO `lang_definitions` VALUES (140869, 2925, 26, 'không làm gì cả');
INSERT INTO `lang_definitions` VALUES (140870, 2929, 26, 'Bạn có thực sự muốn xóa');
INSERT INTO `lang_definitions` VALUES (140871, 2930, 26, 'Bạn có thực sự muốn xóa các lựa chọn?');
INSERT INTO `lang_definitions` VALUES (140872, 2931, 26, 'Bạn có thực sự muốn xóa nhóm này');
INSERT INTO `lang_definitions` VALUES (140873, 2934, 26, 'Bạn có muốn tiếp tục không?');
INSERT INTO `lang_definitions` VALUES (140874, 2935, 26, 'Bạn có muốn xóa này?');
INSERT INTO `lang_definitions` VALUES (140875, 2936, 26, 'Bạn có muốn xoá không?');
INSERT INTO `lang_definitions` VALUES (140876, 2937, 26, 'Bạn có muốn loại bỏ hồ sơ này?');
INSERT INTO `lang_definitions` VALUES (140877, 2938, 26, 'Bạn có muốn tiếp tục bổ sung thêm bệnh nhân mới này?');
INSERT INTO `lang_definitions` VALUES (140878, 2939, 26, 'Bạn có muốn tiếp tục với tên mới?');
INSERT INTO `lang_definitions` VALUES (140879, 2940, 26, 'Bạn có muốn vĩnh viễn xóa hồ sơ chủng ngừa này?');
INSERT INTO `lang_definitions` VALUES (140880, 2941, 26, 'Ngày Sinh');
INSERT INTO `lang_definitions` VALUES (140881, 2942, 26, 'Không có Ngày Sinh, vui lòng nhập nếu có thể');
INSERT INTO `lang_definitions` VALUES (140882, 2944, 26, 'Tài liệu');
INSERT INTO `lang_definitions` VALUES (140883, 2945, 26, 'Bác sĩ');
INSERT INTO `lang_definitions` VALUES (140884, 2946, 26, 'Bác sĩ:');
INSERT INTO `lang_definitions` VALUES (140885, 2947, 26, 'Tên và chữ ký của bác sĩ');
INSERT INTO `lang_definitions` VALUES (140886, 2948, 26, 'Tài liệu');
INSERT INTO `lang_definitions` VALUES (140887, 2949, 26, 'tài liệu');
INSERT INTO `lang_definitions` VALUES (140888, 2951, 26, 'Thể loại Tài liệu');
INSERT INTO `lang_definitions` VALUES (140889, 2958, 26, 'Tài liệu không thể chuyển được id bệnh nhân');
INSERT INTO `lang_definitions` VALUES (140890, 2960, 26, 'Ngày giấy tờ');
INSERT INTO `lang_definitions` VALUES (140891, 2961, 26, 'Ngày giấy tờ và vấn đề cập nhật thành công');
INSERT INTO `lang_definitions` VALUES (140892, 2962, 26, 'Tài liệu ID');
INSERT INTO `lang_definitions` VALUES (140893, 2965, 26, 'Tài liệu chuyển thể loại mới');
INSERT INTO `lang_definitions` VALUES (140894, 2966, 26, 'Tài liệu chuyển id bệnh nhân');
INSERT INTO `lang_definitions` VALUES (140895, 2968, 26, 'Tài liệu thông qua kiểm tra tính toàn vẹn.');
INSERT INTO `lang_definitions` VALUES (140896, 2969, 26, 'Phương thức Lưu trữ Tài liệu');
INSERT INTO `lang_definitions` VALUES (140897, 2970, 26, 'Đã đổi tên tài liệu thành công.');
INSERT INTO `lang_definitions` VALUES (140898, 2976, 26, 'Lưu trữ tài liệu / hình ảnh');
INSERT INTO `lang_definitions` VALUES (140899, 2978, 26, 'Tài liệu');
INSERT INTO `lang_definitions` VALUES (140900, 2980, 26, 'Tài liệu (viết, addonly tùy chọn)');
INSERT INTO `lang_definitions` VALUES (140901, 2989, 26, 'DOE');
INSERT INTO `lang_definitions` VALUES (140902, 2996, 26, 'Loại này có cho phép các mã liên quan không?');
INSERT INTO `lang_definitions` VALUES (140903, 2997, 26, 'Trong nước Đối tác');
INSERT INTO `lang_definitions` VALUES (140904, 2998, 26, 'Không lưu lại');
INSERT INTO `lang_definitions` VALUES (140905, 2999, 26, 'Don \'t Save');
INSERT INTO `lang_definitions` VALUES (140906, 3000, 26, 'Don \'t Lưu Thay đổi');
INSERT INTO `lang_definitions` VALUES (140907, 3002, 26, 'Đã xong');
INSERT INTO `lang_definitions` VALUES (140908, 3004, 26, 'Đã xong với:');
INSERT INTO `lang_definitions` VALUES (140909, 3005, 26, 'Đã xong. Bây giờ sẽ gửi bản tải xuống.');
INSERT INTO `lang_definitions` VALUES (140910, 3006, 26, 'DOS');
INSERT INTO `lang_definitions` VALUES (140911, 3007, 26, 'Liều dùng');
INSERT INTO `lang_definitions` VALUES (140912, 3011, 26, 'nhấp đúp chuột vào để chỉnh sửa');
INSERT INTO `lang_definitions` VALUES (140913, 3013, 26, 'Quáng gà');
INSERT INTO `lang_definitions` VALUES (140914, 3014, 26, 'Tải về');
INSERT INTO `lang_definitions` VALUES (140915, 3019, 26, 'Tải về bất cứ lúc nào');
INSERT INTO `lang_definitions` VALUES (140916, 3020, 26, 'Tải tập tin thanh toán, gửi kế toán và nhãn hiệu như lập hoá đơn');
INSERT INTO `lang_definitions` VALUES (140917, 3022, 26, 'Tải về Giấy chứng nhận');
INSERT INTO `lang_definitions` VALUES (140918, 3023, 26, 'Tải dữ liệu cấu hình về');
INSERT INTO `lang_definitions` VALUES (140919, 3027, 26, 'tải tập tin được mã hóa về');
INSERT INTO `lang_definitions` VALUES (140920, 3037, 26, 'Tải Các báo cáo Được lựa chọn về');
INSERT INTO `lang_definitions` VALUES (140921, 3039, 26, 'Tiến sĩ Kiểm tra');
INSERT INTO `lang_definitions` VALUES (140922, 3040, 26, 'Tiến sĩ Chơi');
INSERT INTO `lang_definitions` VALUES (140923, 3041, 26, 'Tiến sĩ');
INSERT INTO `lang_definitions` VALUES (140924, 3045, 26, 'Kéo để di chuyển');
INSERT INTO `lang_definitions` VALUES (140925, 3047, 26, 'Đái láu');
INSERT INTO `lang_definitions` VALUES (140926, 3048, 26, 'Giấy phép Lái xe hoặc Số căn cước Tiểu bang');
INSERT INTO `lang_definitions` VALUES (140927, 3050, 26, 'Thuốc');
INSERT INTO `lang_definitions` VALUES (140928, 3053, 26, 'Thuốc Finder');
INSERT INTO `lang_definitions` VALUES (140929, 3054, 26, 'Thuốc Các hình thức');
INSERT INTO `lang_definitions` VALUES (140930, 3055, 26, 'Thiếu Mã Thuốc!');
INSERT INTO `lang_definitions` VALUES (140931, 3056, 26, 'Thời khoảng dùng Thuốc');
INSERT INTO `lang_definitions` VALUES (140932, 3057, 26, 'Thuốc tồn kho');
INSERT INTO `lang_definitions` VALUES (140933, 3059, 26, 'Tên Thuốc');
INSERT INTO `lang_definitions` VALUES (140934, 3061, 26, 'Thuốc Tuyến đường');
INSERT INTO `lang_definitions` VALUES (140935, 3066, 26, 'Thuốc đơn vị');
INSERT INTO `lang_definitions` VALUES (140936, 3072, 26, 'Thuốc');
INSERT INTO `lang_definitions` VALUES (140937, 3073, 26, 'Thuốc và các sản phẩm');
INSERT INTO `lang_definitions` VALUES (140938, 3074, 26, 'Khô Miệng');
INSERT INTO `lang_definitions` VALUES (140939, 3075, 26, 'Chẩn đoán DSMIV');
INSERT INTO `lang_definitions` VALUES (140940, 3076, 26, 'DT 1');
INSERT INTO `lang_definitions` VALUES (140941, 3077, 26, 'DT 2');
INSERT INTO `lang_definitions` VALUES (140942, 3078, 26, 'DT 3');
INSERT INTO `lang_definitions` VALUES (140943, 3079, 26, 'DT 4');
INSERT INTO `lang_definitions` VALUES (140944, 3080, 26, 'DT 5');
INSERT INTO `lang_definitions` VALUES (140945, 3081, 26, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (140946, 3082, 26, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (140947, 3083, 26, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (140948, 3084, 26, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (140949, 3085, 26, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (140950, 3087, 26, 'Nợ');
INSERT INTO `lang_definitions` VALUES (140951, 3088, 26, 'Ngày Tới hạn:');
INSERT INTO `lang_definitions` VALUES (140952, 3090, 26, 'Ngày tới hạn dạng tháng/ngày/năm hoặc năm-tháng-ngày');
INSERT INTO `lang_definitions` VALUES (140953, 3091, 26, 'Ngày Tới hạn:');
INSERT INTO `lang_definitions` VALUES (140954, 3092, 26, 'Nợ BH');
INSERT INTO `lang_definitions` VALUES (140955, 3093, 26, 'Nợ Pt');
INSERT INTO `lang_definitions` VALUES (140956, 3094, 26, 'Sắp Đến hạn');
INSERT INTO `lang_definitions` VALUES (140957, 3095, 26, 'Tình trạng Nợ');
INSERT INTO `lang_definitions` VALUES (140958, 3096, 26, 'Cập nhật Tình trạng Nợ');
INSERT INTO `lang_definitions` VALUES (140959, 3097, 26, 'Đang chép Cơ sở dữ liệu OpenEMR');
INSERT INTO `lang_definitions` VALUES (140960, 3098, 26, 'Đang chép cây thư mục web OpenEMR');
INSERT INTO `lang_definitions` VALUES (140961, 3099, 26, 'Đang chép cơ sở dữ liệu phpGACL');
INSERT INTO `lang_definitions` VALUES (140962, 3100, 26, 'Đang chép cây thư mục web phpGACL');
INSERT INTO `lang_definitions` VALUES (140963, 3101, 26, 'Đang chép cơ sở dữ liệu SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (140964, 3102, 26, 'Đang chép cây thư mục web SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (140965, 3103, 26, 'Kiểm tra Trùng lặp');
INSERT INTO `lang_definitions` VALUES (140966, 3108, 26, 'Trùng lặp ID trên dòng');
INSERT INTO `lang_definitions` VALUES (140967, 3109, 26, 'Trùng lặp tên trên dòng');
INSERT INTO `lang_definitions` VALUES (140968, 3110, 26, 'CẢNH BÁO TRÙNG LẬP');
INSERT INTO `lang_definitions` VALUES (140969, 3111, 26, 'Durable điện của Luật sư');
INSERT INTO `lang_definitions` VALUES (140970, 3112, 26, 'Thời gian');
INSERT INTO `lang_definitions` VALUES (140971, 3113, 26, 'thời gian');
INSERT INTO `lang_definitions` VALUES (140972, 3114, 26, 'Hà Lan');
INSERT INTO `lang_definitions` VALUES (140973, 3116, 26, 'Dx Rep');
INSERT INTO `lang_definitions` VALUES (140974, 3117, 26, 'Chứng khó nuốt');
INSERT INTO `lang_definitions` VALUES (140975, 3118, 26, 'Khó thở:');
INSERT INTO `lang_definitions` VALUES (140976, 3119, 26, 'Tiểu khó');
INSERT INTO `lang_definitions` VALUES (140977, 3128, 26, 'E-Prescription?');
INSERT INTO `lang_definitions` VALUES (140978, 3130, 26, 'e-Rx');
INSERT INTO `lang_definitions` VALUES (140979, 3132, 26, 'Đổi mới e-Rx');
INSERT INTO `lang_definitions` VALUES (140980, 3135, 26, 'Mỗi người dùng phải đặt tin nhắn của bản thân họ là hoàn thành.');
INSERT INTO `lang_definitions` VALUES (140981, 3140, 26, 'Tái phát nhanh (<2 Tháng)');
INSERT INTO `lang_definitions` VALUES (140982, 3141, 26, 'Tai');
INSERT INTO `lang_definitions` VALUES (140983, 3148, 26, 'ECG');
INSERT INTO `lang_definitions` VALUES (140984, 3149, 26, 'eClaims');
INSERT INTO `lang_definitions` VALUES (140985, 3152, 26, 'Phù');
INSERT INTO `lang_definitions` VALUES (140986, 3157, 26, 'Tải lên Tập tin EDI-271');
INSERT INTO `lang_definitions` VALUES (140987, 3158, 26, 'Tải lên Tập tin Phản hồi EDI-271');
INSERT INTO `lang_definitions` VALUES (140988, 3159, 26, 'Chỉnh sửa');
INSERT INTO `lang_definitions` VALUES (140989, 3160, 26, 'chỉnh sửa');
INSERT INTO `lang_definitions` VALUES (140990, 3161, 26, 'Chỉnh sửa Dị ứng');
INSERT INTO `lang_definitions` VALUES (140991, 3163, 26, 'Chỉnh sửa Thể loại');
INSERT INTO `lang_definitions` VALUES (140992, 3165, 26, 'Chỉnh sửa Định nghĩa');
INSERT INTO `lang_definitions` VALUES (140993, 3166, 26, 'Chỉnh sửa các định nghĩa');
INSERT INTO `lang_definitions` VALUES (140994, 3167, 26, 'Chỉnh sửa Chẩn đoán');
INSERT INTO `lang_definitions` VALUES (140995, 3168, 26, 'Chỉnh sửa Tiết lộ');
INSERT INTO `lang_definitions` VALUES (140996, 3173, 26, 'Chỉnh sửa Cơ sở');
INSERT INTO `lang_definitions` VALUES (140997, 3174, 26, 'Chỉnh sửa Cơ sở');
INSERT INTO `lang_definitions` VALUES (140998, 3175, 26, 'Chỉnh sửa Thông tin Cơ sở');
INSERT INTO `lang_definitions` VALUES (140999, 3176, 26, 'Chỉnh sửa Thông tin Người dùng Riêng cho Cơ sở');
INSERT INTO `lang_definitions` VALUES (141000, 3177, 26, 'Chỉnh sửa Tập tin trong');
INSERT INTO `lang_definitions` VALUES (141001, 3178, 26, 'Chỉnh sửa biểu mẫu');
INSERT INTO `lang_definitions` VALUES (141002, 3179, 26, 'Chỉnh sửa Cài đặt toàn cầu');
INSERT INTO `lang_definitions` VALUES (141003, 3181, 26, 'Không được phép chỉnh sửa!');
INSERT INTO `lang_definitions` VALUES (141004, 3183, 26, 'Chỉnh sửa bố trí');
INSERT INTO `lang_definitions` VALUES (141005, 3185, 26, 'Chỉnh sửa danh sách');
INSERT INTO `lang_definitions` VALUES (141006, 3188, 26, 'Chỉnh sửa Thanh toán');
INSERT INTO `lang_definitions` VALUES (141007, 3189, 26, 'Chỉnh sửa Cấu trúc');
INSERT INTO `lang_definitions` VALUES (141008, 3192, 26, 'Chỉnh sửa Người dùng');
INSERT INTO `lang_definitions` VALUES (141009, 3193, 26, 'Chỉnh sửa Xác lập Người dùng');
INSERT INTO `lang_definitions` VALUES (141010, 3196, 26, 'Giáo dục');
INSERT INTO `lang_definitions` VALUES (141011, 3197, 26, 'Giáo dục ngày');
INSERT INTO `lang_definitions` VALUES (141012, 3199, 26, 'ee * GNU General Public License để biết thêm chi tiết. ** Bạn nên đã nhận được một bản sao của * Giấy phép Công cộng GNU cùng với chương trình này, nếu không, viết thư cho các miễn phí');
INSERT INTO `lang_definitions` VALUES (141013, 3200, 26, 'Ngày có hiệu lực');
INSERT INTO `lang_definitions` VALUES (141014, 3202, 26, 'Hiệu quả');
INSERT INTO `lang_definitions` VALUES (141015, 3204, 26, 'EIN');
INSERT INTO `lang_definitions` VALUES (141016, 3207, 26, 'Xuất tinh');
INSERT INTO `lang_definitions` VALUES (141017, 3208, 26, 'Khuỷu tay');
INSERT INTO `lang_definitions` VALUES (141018, 3209, 26, 'Elbow vấn đề');
INSERT INTO `lang_definitions` VALUES (141019, 3210, 26, 'Điện tử');
INSERT INTO `lang_definitions` VALUES (141020, 3214, 26, 'Điện tử Remits');
INSERT INTO `lang_definitions` VALUES (141021, 3218, 26, 'Đủ điều kiện');
INSERT INTO `lang_definitions` VALUES (141022, 3219, 26, 'Đủ điều kiện 270 Inquiry hàng loạt');
INSERT INTO `lang_definitions` VALUES (141023, 3220, 26, 'Đủ điều kiện đáp ứng');
INSERT INTO `lang_definitions` VALUES (141024, 3222, 26, 'Tình trạng hội đủ điều kiện cho vắc xin cho trẻ em cung cấp vắc-xin');
INSERT INTO `lang_definitions` VALUES (141025, 3223, 26, 'Đủ điều kiện');
INSERT INTO `lang_definitions` VALUES (141026, 3225, 26, 'Email');
INSERT INTO `lang_definitions` VALUES (141027, 3228, 26, 'Địa chỉ Email');
INSERT INTO `lang_definitions` VALUES (141028, 3230, 26, 'Địa chỉ email của người gửi để nhắc nhở bệnh nhân. Trả lời nhắc nhở bệnh nhân sẽ được hướng dẫn đến địa chỉ này. Điều quan trọng là sử dụng một địa chỉ từ phòng khám của bạn \'s miền để tránh giúp ngăn ngừa nhắc nhở bệnh nhân đi đến các thư mục thư rác.');
INSERT INTO `lang_definitions` VALUES (141029, 3231, 26, 'Địa chỉ email, nếu có, để nhận được thông báo hành chính.');
INSERT INTO `lang_definitions` VALUES (141030, 3232, 26, 'Địa chỉ email, nếu có, để nhận được thông báo khẩn cấp người sử dụng đăng nhập kích hoạt.');
INSERT INTO `lang_definitions` VALUES (141031, 3233, 26, 'Cho Email');
INSERT INTO `lang_definitions` VALUES (141032, 3236, 26, 'Email từ Batchcom');
INSERT INTO `lang_definitions` VALUES (141033, 3238, 26, 'Thông báo bằng Email');
INSERT INTO `lang_definitions` VALUES (141034, 3239, 26, 'Giờ Thông báo bằng Email');
INSERT INTO `lang_definitions` VALUES (141035, 3240, 26, 'Báo cáo Thông báo bằng Email');
INSERT INTO `lang_definitions` VALUES (141036, 3244, 26, 'Gửi email trước');
INSERT INTO `lang_definitions` VALUES (141037, 3245, 26, 'Người gửi Email');
INSERT INTO `lang_definitions` VALUES (141038, 3246, 26, 'Đã gửi Email');
INSERT INTO `lang_definitions` VALUES (141039, 3247, 26, 'Đã gửi Email đến');
INSERT INTO `lang_definitions` VALUES (141040, 3248, 26, 'Tiêu đề email');
INSERT INTO `lang_definitions` VALUES (141041, 3251, 26, 'Nội dung email, Có thể dùng Thẻ: ***NAME***, ví dụ Kính gửi ***NAME***');
INSERT INTO `lang_definitions` VALUES (141042, 3252, 26, 'Nội dung email, Có thể dùng Thẻ: ***NAME***, ví dụ Kính gửi ***NAME***{{Không được dịch thành phần ***NAME*** của hằng số này.}}');
INSERT INTO `lang_definitions` VALUES (141043, 3253, 26, 'Phương pháp Chuyển giao Email');
INSERT INTO `lang_definitions` VALUES (141044, 3254, 26, 'Email đã được gửi đến địa chỉ sau đây');
INSERT INTO `lang_definitions` VALUES (141045, 3259, 26, 'Liên lạc khi Khẩn Cấp');
INSERT INTO `lang_definitions` VALUES (141046, 3260, 26, 'Người Liên hệ khi Khẩn cấp');
INSERT INTO `lang_definitions` VALUES (141047, 3261, 26, 'Số Điện thoại Liên hệ khi Khẩn cấp');
INSERT INTO `lang_definitions` VALUES (141048, 3262, 26, 'Ngừa thai Khẩn cấp');
INSERT INTO `lang_definitions` VALUES (141049, 3263, 26, 'Đăng nhập khi Khẩn cấp');
INSERT INTO `lang_definitions` VALUES (141050, 3264, 26, 'Trường hợp khẩn cấp Đăng nhập ACL được chọn. Người sử dụng vẫn còn trong trạng thái hoạt động, xin vui lòng de-kích hoạt người sử dụng và kích hoạt khi cần thiết trong các tình huống khẩn cấp. Thăm chính -> Người dùng để kích hoạt hoặc de-kích hoạt.');
INSERT INTO `lang_definitions` VALUES (141051, 3265, 26, 'Đăng nhập email kích hoạt khẩn cấp sẽ được lưu hành chỉ khi cài đặt sau đây trong tập tin / globals.php giao diện được cấu hình:');
INSERT INTO `lang_definitions` VALUES (141052, 3266, 26, 'Địa chỉ Email Đăng nhập khẩn cấp');
INSERT INTO `lang_definitions` VALUES (141053, 3267, 26, 'Đăng nhập sử dụng khẩn cấp có thể làm bất cứ điều gì');
INSERT INTO `lang_definitions` VALUES (141054, 3268, 26, 'Điện thoại khi Khẩn cấp');
INSERT INTO `lang_definitions` VALUES (141055, 3271, 26, 'Khí phế thũng (Emphysema)');
INSERT INTO `lang_definitions` VALUES (141056, 3272, 26, 'Nhân viên');
INSERT INTO `lang_definitions` VALUES (141057, 3273, 26, 'Công ty');
INSERT INTO `lang_definitions` VALUES (141058, 3274, 26, 'Địa chỉ Công ty');
INSERT INTO `lang_definitions` VALUES (141059, 3275, 26, 'Dữ liệu Công ty');
INSERT INTO `lang_definitions` VALUES (141060, 3276, 26, 'Tên Công ty');
INSERT INTO `lang_definitions` VALUES (141061, 3277, 26, 'EMPTY');
INSERT INTO `lang_definitions` VALUES (141062, 3278, 26, 'Rỗng');
INSERT INTO `lang_definitions` VALUES (141063, 3281, 26, 'Giá trị sản phẩm nào trong \"Giờ Email\"');
INSERT INTO `lang_definitions` VALUES (141064, 3282, 26, 'Giá trị sản phẩm nào trong \"Tên người gửi Email\"');
INSERT INTO `lang_definitions` VALUES (141065, 3283, 26, 'Có sản phẩm nào giá trị trong \"Chủ đề email\"');
INSERT INTO `lang_definitions` VALUES (141066, 3284, 26, 'Có sản phẩm nào giá trị trong \"Văn bản Email\"');
INSERT INTO `lang_definitions` VALUES (141067, 3285, 26, 'Giá trị sản phẩm nào trong \"Tên của nhà cung cấp\"');
INSERT INTO `lang_definitions` VALUES (141068, 3286, 26, 'Giá trị sản phẩm nào trong \"Mật khẩu\"');
INSERT INTO `lang_definitions` VALUES (141069, 3287, 26, 'Giá trị sản phẩm nào trong \"Giờ SMS\"');
INSERT INTO `lang_definitions` VALUES (141070, 3288, 26, 'Giá trị sản phẩm nào trong \"Tin nhắn văn bản\"');
INSERT INTO `lang_definitions` VALUES (141071, 3289, 26, 'Giá trị sản phẩm nào trong \"Tên\"');
INSERT INTO `lang_definitions` VALUES (141072, 3298, 26, 'Kích hoạt tính năng AMC khiến');
INSERT INTO `lang_definitions` VALUES (141073, 3300, 26, 'Kích hoạt tính năng AMC báo cáo');
INSERT INTO `lang_definitions` VALUES (141074, 3301, 26, 'Kích hoạt tính năng AMC Theo dõi');
INSERT INTO `lang_definitions` VALUES (141075, 3303, 26, 'Kích hoạt tính năng ATNA Kiểm toán');
INSERT INTO `lang_definitions` VALUES (141076, 3305, 26, 'Kích hoạt tính năng Logging Kiểm toán');
INSERT INTO `lang_definitions` VALUES (141077, 3306, 26, 'Kích hoạt tính năng Trail kiểm toán và xác thực Node (ATNA).');
INSERT INTO `lang_definitions` VALUES (141078, 3307, 26, 'Kích hoạt tính năng tự động tính toán đo lường (AMC) Báo cáo');
INSERT INTO `lang_definitions` VALUES (141079, 3312, 26, 'Kích hoạt tính năng khách hàng SSL');
INSERT INTO `lang_definitions` VALUES (141080, 3313, 26, 'Kích hoạt tính năng xác thực giấy chứng nhận SSL khách hàng.');
INSERT INTO `lang_definitions` VALUES (141081, 3315, 26, 'Kích hoạt tính năng Rules quyết định lâm sàng (CDR)');
INSERT INTO `lang_definitions` VALUES (141082, 3318, 26, 'Kích hoạt tính năng lâm sàng Đo lường Chất lượng (CQM) Báo cáo');
INSERT INTO `lang_definitions` VALUES (141083, 3319, 26, 'Kích hoạt tính năng Popup Reminder lâm sàng');
INSERT INTO `lang_definitions` VALUES (141084, 3320, 26, 'Kích hoạt tính năng Widget Reminder lâm sàng');
INSERT INTO `lang_definitions` VALUES (141085, 3324, 26, 'Kích hoạt tính năng CQM báo cáo');
INSERT INTO `lang_definitions` VALUES (141086, 3334, 26, 'Kích hoạt mục Phí trong Trình đơn bên Trái');
INSERT INTO `lang_definitions` VALUES (141087, 3341, 26, 'Kích hoạt tính năng Hylafax Hỗ trợ');
INSERT INTO `lang_definitions` VALUES (141088, 3343, 26, 'Kích hoạt kết nhập tin nhắn trạng thái cho NewCrop erx');
INSERT INTO `lang_definitions` VALUES (141089, 3347, 26, 'Kích hoạt tính năng Lab Trao đổi');
INSERT INTO `lang_definitions` VALUES (141090, 3349, 26, 'Cho phép ghi nhật ký đối với việc tải lên / tải xuống tập tin đến / từ CouchDB');
INSERT INTO `lang_definitions` VALUES (141091, 3350, 26, 'Kích hoạt tính năng đăng nhập của tất cả các truy vấn SQL SELECT.');
INSERT INTO `lang_definitions` VALUES (141092, 3351, 26, 'Cho phép đăng nhập các hoạt động sao lưu liên quan.');
INSERT INTO `lang_definitions` VALUES (141093, 3353, 26, 'Cho phép đăng nhập các hoạt động linh tinh.');
INSERT INTO `lang_definitions` VALUES (141094, 3354, 26, 'Kích hoạt tính năng đăng nhập của các hoạt động đặt hàng.');
INSERT INTO `lang_definitions` VALUES (141095, 3355, 26, 'Kích hoạt tính năng đăng nhập sửa đổi hồ sơ bệnh nhân.');
INSERT INTO `lang_definitions` VALUES (141096, 3356, 26, 'Kích hoạt tính năng đăng nhập của hoạt động lập kế hoạch.');
INSERT INTO `lang_definitions` VALUES (141097, 3357, 26, 'Kích hoạt tính năng đăng nhập của hoạt động an ninh và quản trị.');
INSERT INTO `lang_definitions` VALUES (141098, 3360, 26, 'Kích hoạt tính năng NewCrop eRx Dịch vụ');
INSERT INTO `lang_definitions` VALUES (141099, 3365, 26, 'Kích hoạt tính năng Portal Bệnh nhân ngoại vi');
INSERT INTO `lang_definitions` VALUES (141100, 3366, 26, 'Kích hoạt tính năng Portal Bệnh nhân ngoại vi.');
INSERT INTO `lang_definitions` VALUES (141101, 3368, 26, 'Kích hoạt tính năng Cổng thông tin bệnh nhân tại chỗ');
INSERT INTO `lang_definitions` VALUES (141102, 3371, 26, 'Kích hoạt tính năng Cổng thông tin bệnh nhân tại chỗ.');
INSERT INTO `lang_definitions` VALUES (141103, 3385, 26, 'Kích hoạt tính năng Widget Nhắc nhở bệnh nhân');
INSERT INTO `lang_definitions` VALUES (141104, 3389, 26, 'Kích hoạt tính năng khiến cho tính toán đo lường tự động (AMC) dữ liệu yêu cầu');
INSERT INTO `lang_definitions` VALUES (141105, 3391, 26, 'Kích hoạt tính năng báo cáo ngày theo dõi Đối với các tính toán đo lường tự động (AMC)');
INSERT INTO `lang_definitions` VALUES (141106, 3392, 26, 'Kích hoạt tính năng hỗ trợ quét');
INSERT INTO `lang_definitions` VALUES (141107, 3397, 26, 'Kích hoạt tính năng hỗ trợ OpenEMR LLC Lab Trao đổi dịch vụ.');
INSERT INTO `lang_definitions` VALUES (141108, 3398, 26, 'Cho phép người sử dụng Giấy chứng nhận xác thực');
INSERT INTO `lang_definitions` VALUES (141109, 3403, 26, 'Kích hoạt tính năng ZMG, dịch vụ LLC eRx');
INSERT INTO `lang_definitions` VALUES (141110, 3404, 26, 'kích hoạt');
INSERT INTO `lang_definitions` VALUES (141111, 3412, 26, 'Cho phép bảng Biểu phí cũ để nhập mã số hóa đơn và thanh toán. Không nên dùng, thay vì vậy hãy sử dụng Bảng Phí.');
INSERT INTO `lang_definitions` VALUES (141112, 3415, 26, 'Khám');
INSERT INTO `lang_definitions` VALUES (141113, 3417, 26, 'Khám');
INSERT INTO `lang_definitions` VALUES (141114, 3418, 26, 'Lần khám');
INSERT INTO `lang_definitions` VALUES (141115, 3419, 26, 'lần khám');
INSERT INTO `lang_definitions` VALUES (141116, 3420, 26, 'Lần khám');
INSERT INTO `lang_definitions` VALUES (141117, 3421, 26, 'gặp phải điều trị nội trú cấp tính hoặc ED');
INSERT INTO `lang_definitions` VALUES (141118, 3427, 26, 'Ngày Khám');
INSERT INTO `lang_definitions` VALUES (141119, 3432, 26, 'Biểu mẫu Khám');
INSERT INTO `lang_definitions` VALUES (141120, 3433, 26, 'đánh giá sức khỏe và hành vi trong lần khám');
INSERT INTO `lang_definitions` VALUES (141121, 3434, 26, 'Lịch sử Khám');
INSERT INTO `lang_definitions` VALUES (141122, 3435, 26, 'Mã Lần khám');
INSERT INTO `lang_definitions` VALUES (141123, 3436, 26, 'gặp phải cúm');
INSERT INTO `lang_definitions` VALUES (141124, 3439, 26, 'Số lượng lần khám');
INSERT INTO `lang_definitions` VALUES (141125, 3441, 26, 'gặp phải xả điều dưỡng');
INSERT INTO `lang_definitions` VALUES (141126, 3442, 26, 'gặp phải cơ sở điều dưỡng');
INSERT INTO `lang_definitions` VALUES (141127, 3443, 26, 'gặp phải lao động trị liệu');
INSERT INTO `lang_definitions` VALUES (141128, 3444, 26, 'gặp phải chuyến thăm văn phòng');
INSERT INTO `lang_definitions` VALUES (141129, 3445, 26, 'gặp phải bệnh nhân ngoại trú');
INSERT INTO `lang_definitions` VALUES (141130, 3446, 26, 'gặp phải bệnh nhân ngoại trú w / PCP & OBGYN');
INSERT INTO `lang_definitions` VALUES (141131, 3447, 26, 'Kích thước Trang Lần khám');
INSERT INTO `lang_definitions` VALUES (141132, 3448, 26, 'Thanh toán Lần khám');
INSERT INTO `lang_definitions` VALUES (141133, 3449, 26, 'gặp phải khi mang thai');
INSERT INTO `lang_definitions` VALUES (141134, 3450, 26, 'gặp y tế dự phòng - tư vấn cá nhân');
INSERT INTO `lang_definitions` VALUES (141135, 3451, 26, 'gặp phải y tế dự phòng 40 tuổi trở lên');
INSERT INTO `lang_definitions` VALUES (141136, 3452, 26, 'gặp phải tư vấn nhóm thuốc phòng ngừa');
INSERT INTO `lang_definitions` VALUES (141137, 3453, 26, 'gặp phải các dịch vụ y tế dự phòng khác');
INSERT INTO `lang_definitions` VALUES (141138, 3454, 26, 'gặp các dịch vụ y tế dự phòng 18 tuổi trở lên');
INSERT INTO `lang_definitions` VALUES (141139, 3457, 26, 'gặp phải tâm thần - tâm lý');
INSERT INTO `lang_definitions` VALUES (141140, 3458, 26, 'Thống kê lần khám');
INSERT INTO `lang_definitions` VALUES (141141, 3459, 26, 'Tóm tắt Lần khám');
INSERT INTO `lang_definitions` VALUES (141142, 3461, 26, 'Lần khám đã được mã hóa');
INSERT INTO `lang_definitions` VALUES (141143, 3462, 26, 'Lần khám:');
INSERT INTO `lang_definitions` VALUES (141144, 3463, 26, 'Gặp phải: gặp phải không inpt cấp tính, bệnh nhân ngoại trú, hoặc nhãn khoa');
INSERT INTO `lang_definitions` VALUES (141145, 3464, 26, 'Lần khám');
INSERT INTO `lang_definitions` VALUES (141146, 3465, 26, 'Lần khám & Biểu mẫu');
INSERT INTO `lang_definitions` VALUES (141147, 3466, 26, 'Lần khám &amp; Biểu mẫu');
INSERT INTO `lang_definitions` VALUES (141148, 3467, 26, 'Gặp không phép');
INSERT INTO `lang_definitions` VALUES (141149, 3468, 26, 'Cuộc gặp gỡ Báo cáo');
INSERT INTO `lang_definitions` VALUES (141150, 3469, 26, 'Cuộc gặp gỡ Mục');
INSERT INTO `lang_definitions` VALUES (141151, 3471, 26, 'Mã hóa');
INSERT INTO `lang_definitions` VALUES (141152, 3472, 26, 'Kết thúc');
INSERT INTO `lang_definitions` VALUES (141153, 3473, 26, 'Kết thúc (năm-tháng-ngày):');
INSERT INTO `lang_definitions` VALUES (141154, 3474, 26, 'Ngày Kết thúc');
INSERT INTO `lang_definitions` VALUES (141155, 3475, 26, 'Ngày kết thúc');
INSERT INTO `lang_definitions` VALUES (141156, 3480, 26, 'Ngày kết thúc phải sau ngày Bắt đầu');
INSERT INTO `lang_definitions` VALUES (141157, 3482, 26, 'Ngày Kết thúc:');
INSERT INTO `lang_definitions` VALUES (141158, 3487, 26, 'Thời gian Kết thúc');
INSERT INTO `lang_definitions` VALUES (141159, 3492, 26, 'Ngày kết thúc dịch vụ năm-tháng-ngày');
INSERT INTO `lang_definitions` VALUES (141160, 3493, 26, 'Kết thúc DOS mm / dd / yyyy nếu bạn muốn nhập một dải');
INSERT INTO `lang_definitions` VALUES (141161, 3494, 26, 'Kết thúc giờ trong ngày cho các sự kiện lịch.');
INSERT INTO `lang_definitions` VALUES (141162, 3495, 26, 'Endo bất thường máu');
INSERT INTO `lang_definitions` VALUES (141163, 3496, 26, 'Nội tiết');
INSERT INTO `lang_definitions` VALUES (141164, 3497, 26, 'Nội soi');
INSERT INTO `lang_definitions` VALUES (141165, 3502, 26, 'Tiếng/Người Anh');
INSERT INTO `lang_definitions` VALUES (141166, 3503, 26, 'Tiếng/Người Anh');
INSERT INTO `lang_definitions` VALUES (141167, 3504, 26, 'Tiếng/Người Anh (Ấn Độ)');
INSERT INTO `lang_definitions` VALUES (141168, 3505, 26, 'Tiếng/Người Anh (Tiêu chuẩn)');
INSERT INTO `lang_definitions` VALUES (141169, 3506, 26, 'Enscript lệnh được sử dụng bởi Hylafax.');
INSERT INTO `lang_definitions` VALUES (141170, 3507, 26, 'Đảm bảo OpenEMR có quyền ghi vào thư mục');
INSERT INTO `lang_definitions` VALUES (141171, 3509, 26, 'ENT Discharge');
INSERT INTO `lang_definitions` VALUES (141172, 3510, 26, 'ENT Pain');
INSERT INTO `lang_definitions` VALUES (141173, 3513, 26, 'Nhập mã chẩn đoán để loại trừ tất cả các hoá đơn không chứa nó');
INSERT INTO `lang_definitions` VALUES (141174, 3518, 26, 'Nhập vào cơ thể của bức thư ở đây');
INSERT INTO `lang_definitions` VALUES (141175, 3520, 26, 'Nhập mật khẩu gốc cơ sở dữ liệu');
INSERT INTO `lang_definitions` VALUES (141176, 3521, 26, 'Nhập Tên đăng nhập cơ sở dữ liệu gốc');
INSERT INTO `lang_definitions` VALUES (141177, 3529, 26, 'Nhập Chẩn đoán');
INSERT INTO `lang_definitions` VALUES (141178, 3530, 26, 'Nhập Thuốc');
INSERT INTO `lang_definitions` VALUES (141179, 3537, 26, 'Nhập Chủng ngừa');
INSERT INTO `lang_definitions` VALUES (141180, 3538, 26, 'Nhập Khóa');
INSERT INTO `lang_definitions` VALUES (141181, 3544, 26, 'Nhập Tiểu bang mới');
INSERT INTO `lang_definitions` VALUES (141182, 3569, 26, 'Nhập mã nhận dạng Re');
INSERT INTO `lang_definitions` VALUES (141183, 3581, 26, 'Nhập tiêu chí tìm kiếm của bạn ở trên');
INSERT INTO `lang_definitions` VALUES (141184, 3586, 26, 'đầu mục');
INSERT INTO `lang_definitions` VALUES (141185, 3591, 26, 'Môi trường');
INSERT INTO `lang_definitions` VALUES (141186, 3592, 26, 'EOB nhập dữ liệu');
INSERT INTO `lang_definitions` VALUES (141187, 3596, 26, 'EOB viết bài - Chuyển tiền điện tử');
INSERT INTO `lang_definitions` VALUES (141188, 3597, 26, 'EOB viết bài - Hướng dẫn');
INSERT INTO `lang_definitions` VALUES (141189, 3598, 26, 'EOB viết bài - Hóa đơn');
INSERT INTO `lang_definitions` VALUES (141190, 3599, 26, 'EOB viết bài - Lưu ý bệnh nhân');
INSERT INTO `lang_definitions` VALUES (141191, 3600, 26, 'EOB viết bài - Tìm kiếm');
INSERT INTO `lang_definitions` VALUES (141192, 3602, 26, 'Bệnh động kinh');
INSERT INTO `lang_definitions` VALUES (141193, 3608, 26, 'ERA');
INSERT INTO `lang_definitions` VALUES (141194, 3610, 26, 'ERA viết bài');
INSERT INTO `lang_definitions` VALUES (141195, 3612, 26, 'Xoá bỏ');
INSERT INTO `lang_definitions` VALUES (141196, 3614, 26, 'Cương cứng');
INSERT INTO `lang_definitions` VALUES (141197, 3615, 26, 'Lôi');
INSERT INTO `lang_definitions` VALUES (141198, 3617, 26, 'Lỗi xác nhận nhận được kết quả phòng thí nghiệm');
INSERT INTO `lang_definitions` VALUES (141199, 3620, 26, 'Lỗi nhận được kết quả phòng thí nghiệm từ phòng thí nghiệm Exchange mạng');
INSERT INTO `lang_definitions` VALUES (141200, 3621, 26, 'Lỗi trong lựa chọn \"Giới Tính\"');
INSERT INTO `lang_definitions` VALUES (141201, 3622, 26, 'Lỗi trong lựa chọn \"HIPAA\"');
INSERT INTO `lang_definitions` VALUES (141202, 3623, 26, 'Lỗi trong lựa chọn \"Quy trình\"');
INSERT INTO `lang_definitions` VALUES (141203, 3624, 26, 'Lỗi trong lựa chọn \"SMS Gateway\"');
INSERT INTO `lang_definitions` VALUES (141204, 3625, 26, 'Lỗi trong \"Sắp xếp theo\" lựa chọn');
INSERT INTO `lang_definitions` VALUES (141205, 3626, 26, 'Lỗi trong gzip nén tập tin:');
INSERT INTO `lang_definitions` VALUES (141206, 3627, 26, 'Lỗi trong YES hoặc NO tùy chọn');
INSERT INTO `lang_definitions` VALUES (141207, 3630, 26, 'Lỗi mở tải lên tập tin để đọc');
INSERT INTO `lang_definitions` VALUES (141208, 3634, 26, 'Lỗi khi lấy kết quả từ phòng thí nghiệm Exchange Network');
INSERT INTO `lang_definitions` VALUES (141209, 3637, 26, 'Lỗi khi cấp đặc quyền tập tin cho người sử dụng OpenEMR.');
INSERT INTO `lang_definitions` VALUES (141210, 3640, 26, 'lỗi trong khi đăng ký hình thức!');
INSERT INTO `lang_definitions` VALUES (141211, 3641, 26, 'Lỗi trong khi tiết kiệm đến tập tin');
INSERT INTO `lang_definitions` VALUES (141212, 3643, 26, 'Lỗi trong khi ghi vào tập tin');
INSERT INTO `lang_definitions` VALUES (141213, 3651, 26, 'Lỗi, các tập tin không tồn tại');
INSERT INTO `lang_definitions` VALUES (141214, 3652, 26, 'ERROR, không thể để thu thập dữ liệu từ máy chủ');
INSERT INTO `lang_definitions` VALUES (141215, 3653, 26, 'Lỗi, không thể để tạo ra chứng chỉ khách hàng.');
INSERT INTO `lang_definitions` VALUES (141216, 3654, 26, 'Lỗi, không thể tạo ra các giấy chứng nhận admin.p12.');
INSERT INTO `lang_definitions` VALUES (141217, 3655, 26, 'Lỗi, không thể tạo ra các chứng chỉ Certificate Authority.');
INSERT INTO `lang_definitions` VALUES (141218, 3656, 26, 'Lỗi, không thể tạo ra các giấy chứng nhận Server.');
INSERT INTO `lang_definitions` VALUES (141219, 3658, 26, 'Lỗi, không thể mở tập tin');
INSERT INTO `lang_definitions` VALUES (141220, 3659, 26, 'Lỗi, Giấy chứng nhận xác thực người dùng không được kích hoạt trong OpenEMR');
INSERT INTO `lang_definitions` VALUES (141221, 3663, 26, 'Lỗi. Bạn cần phải cài đặt các mô-đun Lưu Trữ / Tar.php php.');
INSERT INTO `lang_definitions` VALUES (141222, 3664, 26, 'LỖI: không thể mở table.sql, hình thức bị hỏng?');
INSERT INTO `lang_definitions` VALUES (141223, 3667, 26, 'Lỗi: ID trùng lặp trên dòng');
INSERT INTO `lang_definitions` VALUES (141224, 3668, 26, 'Lỗi: nhân đôi tên trên đường dây');
INSERT INTO `lang_definitions` VALUES (141225, 3669, 26, 'LỖI: Field');
INSERT INTO `lang_definitions` VALUES (141226, 3670, 26, 'LỖI: Thiếu mô đun ZipArchive PHP');
INSERT INTO `lang_definitions` VALUES (141227, 3671, 26, 'LỖI: Không có thư mục kết nhập ICD.');
INSERT INTO `lang_definitions` VALUES (141228, 3672, 26, 'Lỗi: mật khẩu không trùng. Xin vui lòng kiểm tra việc gõ phím của bạn.');
INSERT INTO `lang_definitions` VALUES (141229, 3673, 26, 'Lỗi: mật khẩu không trùng. Xin vui lòng kiểm tra việc gõ phím của bạn.');
INSERT INTO `lang_definitions` VALUES (141230, 3674, 26, 'Lỗi: tập tin không tồn tại');
INSERT INTO `lang_definitions` VALUES (141231, 3675, 26, 'LỖI: Biến sau đây không chứa ký tự phù hợp');
INSERT INTO `lang_definitions` VALUES (141232, 3676, 26, 'LỖI: Không thể sao chép các tập tin.');
INSERT INTO `lang_definitions` VALUES (141233, 3677, 26, 'Lỗi: Không thể để tạo ra kho lưu trữ tải về');
INSERT INTO `lang_definitions` VALUES (141234, 3678, 26, 'LỖI: Không thể Tạo Lưu trữ Zip.');
INSERT INTO `lang_definitions` VALUES (141235, 3679, 26, 'LỖI: Không thể để trích xuất các tập tin.');
INSERT INTO `lang_definitions` VALUES (141236, 3680, 26, 'LỖI: Không thể tải các tập tin vào cơ sở dữ liệu.');
INSERT INTO `lang_definitions` VALUES (141237, 3681, 26, 'LỖI: Không thể để thiết lập số phiên bản.');
INSERT INTO `lang_definitions` VALUES (141238, 3682, 26, 'Lỗi');
INSERT INTO `lang_definitions` VALUES (141239, 3684, 26, 'Trạng thái Tài khoản eRx');
INSERT INTO `lang_definitions` VALUES (141240, 3685, 26, 'Bản ghi eRx');
INSERT INTO `lang_definitions` VALUES (141241, 3686, 26, 'Tên eRx');
INSERT INTO `lang_definitions` VALUES (141242, 3687, 26, 'Mật khẩu ERX');
INSERT INTO `lang_definitions` VALUES (141243, 3688, 26, 'Vai trò ERX');
INSERT INTO `lang_definitions` VALUES (141244, 3689, 26, 'Người dùng ERX');
INSERT INTO `lang_definitions` VALUES (141245, 3690, 26, 'Ban đỏ:');
INSERT INTO `lang_definitions` VALUES (141246, 3693, 26, 'Vùng bắc cực');
INSERT INTO `lang_definitions` VALUES (141247, 3699, 26, 'Bệnh nhân Cũ');
INSERT INTO `lang_definitions` VALUES (141248, 3701, 26, 'Dân tộc');
INSERT INTO `lang_definitions` VALUES (141249, 3702, 26, 'Dân tộc hay chủng tộc');
INSERT INTO `lang_definitions` VALUES (141250, 3703, 26, 'Danh sách Dân tộc-Chủng tộc (viết, addonly tùy chọn)');
INSERT INTO `lang_definitions` VALUES (141251, 3706, 26, 'ETIN');
INSERT INTO `lang_definitions` VALUES (141252, 3709, 26, 'Sự kiện');
INSERT INTO `lang_definitions` VALUES (141253, 3710, 26, 'Sự kiện Bắt đầu');
INSERT INTO `lang_definitions` VALUES (141254, 3711, 26, 'Thể loại Sự kiện');
INSERT INTO `lang_definitions` VALUES (141255, 3712, 26, 'Ngày Sự kiện');
INSERT INTO `lang_definitions` VALUES (141256, 3714, 26, 'Mô tả Sự kiện');
INSERT INTO `lang_definitions` VALUES (141257, 3715, 26, 'Chi tiết Sự kiện');
INSERT INTO `lang_definitions` VALUES (141258, 3716, 26, 'Không lặp lại sự kiện');
INSERT INTO `lang_definitions` VALUES (141259, 3717, 26, 'Thời gian của Sự kiện');
INSERT INTO `lang_definitions` VALUES (141260, 3718, 26, 'Thời gian của sự kiện theo phút');
INSERT INTO `lang_definitions` VALUES (141261, 3719, 26, 'Phí của Sự kiện');
INSERT INTO `lang_definitions` VALUES (141262, 3720, 26, 'Địa điểm của Sự kiện');
INSERT INTO `lang_definitions` VALUES (141263, 3721, 26, 'Lặp lại sự kiện mỗi');
INSERT INTO `lang_definitions` VALUES (141264, 3722, 26, 'Lặp lại sự kiện vào');
INSERT INTO `lang_definitions` VALUES (141265, 3723, 26, 'Thời gian bắt đầu sự kiện');
INSERT INTO `lang_definitions` VALUES (141266, 3724, 26, 'Tiêu đề sự kiện');
INSERT INTO `lang_definitions` VALUES (141267, 3725, 26, 'Tiêu đề Sự kiện');
INSERT INTO `lang_definitions` VALUES (141268, 3726, 26, 'Trang web Sự kiện');
INSERT INTO `lang_definitions` VALUES (141269, 3727, 26, 'Sự kiện');
INSERT INTO `lang_definitions` VALUES (141270, 3728, 26, 'Sự kiện của');
INSERT INTO `lang_definitions` VALUES (141271, 3729, 26, 'Mở sự kiện trong cửa sổ mới');
INSERT INTO `lang_definitions` VALUES (141272, 3731, 26, 'mỗi');
INSERT INTO `lang_definitions` VALUES (141273, 3732, 26, 'Mỗi');
INSERT INTO `lang_definitions` VALUES (141274, 3734, 26, 'mỗi 3 giờ');
INSERT INTO `lang_definitions` VALUES (141275, 3736, 26, 'mỗi 4 giờ');
INSERT INTO `lang_definitions` VALUES (141276, 3738, 26, 'mỗi 5 giờ');
INSERT INTO `lang_definitions` VALUES (141277, 3740, 26, 'mỗi 6 giờ');
INSERT INTO `lang_definitions` VALUES (141278, 3742, 26, 'mỗi 8 giờ');
INSERT INTO `lang_definitions` VALUES (141279, 3743, 26, 'Mỗi Thứ tư');
INSERT INTO `lang_definitions` VALUES (141280, 3745, 26, 'Mỗi vật');
INSERT INTO `lang_definitions` VALUES (141281, 3746, 26, 'Mỗi Thứ ba');
INSERT INTO `lang_definitions` VALUES (141282, 3747, 26, 'Mỗi, mỗi khác, mỗi thứ 3, vv');
INSERT INTO `lang_definitions` VALUES (141283, 3749, 26, 'Kết quả kiểm tra và thử');
INSERT INTO `lang_definitions` VALUES (141284, 3750, 26, 'Kết quả kiểm tra');
INSERT INTO `lang_definitions` VALUES (141285, 3753, 26, 'Kiểm tra');
INSERT INTO `lang_definitions` VALUES (141286, 3754, 26, 'Ngày Kiểm tra');
INSERT INTO `lang_definitions` VALUES (141287, 3755, 26, 'Ví dụ');
INSERT INTO `lang_definitions` VALUES (141288, 3758, 26, 'Ví dụ');
INSERT INTO `lang_definitions` VALUES (141289, 3760, 26, 'Kiểm tra / Xét nghiệm');
INSERT INTO `lang_definitions` VALUES (141290, 3762, 26, 'Loại trừ');
INSERT INTO `lang_definitions` VALUES (141291, 3763, 26, 'Chảy nước mắt sống');
INSERT INTO `lang_definitions` VALUES (141292, 3766, 26, 'Loại trừ bệnh nhân');
INSERT INTO `lang_definitions` VALUES (141293, 3767, 26, 'Loại trừ');
INSERT INTO `lang_definitions` VALUES (141294, 3768, 26, 'Tổ chức độc quyền cung cấp (EPO)');
INSERT INTO `lang_definitions` VALUES (141295, 3770, 26, 'Cỡ Giấy Điều hành (Executive)');
INSERT INTO `lang_definitions` VALUES (141296, 3771, 26, 'Tập thể dục');
INSERT INTO `lang_definitions` VALUES (141297, 3772, 26, 'Cách tập thể dục');
INSERT INTO `lang_definitions` VALUES (141298, 3773, 26, 'Cách Tập thể dục');
INSERT INTO `lang_definitions` VALUES (141299, 3774, 26, 'Tồn tại');
INSERT INTO `lang_definitions` VALUES (141300, 3778, 26, 'Thoát khỏi Quản lý');
INSERT INTO `lang_definitions` VALUES (141301, 3782, 26, 'Exp');
INSERT INTO `lang_definitions` VALUES (141302, 3784, 26, 'Mở rộng');
INSERT INTO `lang_definitions` VALUES (141303, 3785, 26, 'mở rộng');
INSERT INTO `lang_definitions` VALUES (141304, 3787, 26, 'Mở rộng tất cả');
INSERT INTO `lang_definitions` VALUES (141305, 3792, 26, 'Mở rộng Xem');
INSERT INTO `lang_definitions` VALUES (141306, 3793, 26, 'Dự kiến ​​form_encounter.pid được');
INSERT INTO `lang_definitions` VALUES (141307, 3794, 26, 'Hết hạn');
INSERT INTO `lang_definitions` VALUES (141308, 3795, 26, 'Ngày hết hạn');
INSERT INTO `lang_definitions` VALUES (141309, 3797, 26, 'Ngày hết hạn');
INSERT INTO `lang_definitions` VALUES (141310, 3798, 26, 'hết hiệu lực vào');
INSERT INTO `lang_definitions` VALUES (141311, 3799, 26, 'Kết xuất');
INSERT INTO `lang_definitions` VALUES (141312, 3800, 26, 'Kết xuất như CSV');
INSERT INTO `lang_definitions` VALUES (141313, 3802, 26, 'Kết xuất Cấu hình');
INSERT INTO `lang_definitions` VALUES (141314, 3806, 26, 'Kết xuất Thông tin cá nhân của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (141315, 3808, 26, 'Báo cáo Kết xuất PQRI');
INSERT INTO `lang_definitions` VALUES (141316, 3810, 26, 'Kết xuất các mục được chọn theo dạng CSV');
INSERT INTO `lang_definitions` VALUES (141317, 3811, 26, 'Xuất khẩu được lựa chọn để Bộ sưu tập');
INSERT INTO `lang_definitions` VALUES (141318, 3812, 26, 'Xuất khẩu để CSV');
INSERT INTO `lang_definitions` VALUES (141319, 3813, 26, 'Xuất khẩu sang hệ thống thanh toán bên ngoài');
INSERT INTO `lang_definitions` VALUES (141320, 3815, 26, 'Tiếp xúc với nước ngoài');
INSERT INTO `lang_definitions` VALUES (141321, 3816, 26, 'Tiếp xúc nước ngoài');
INSERT INTO `lang_definitions` VALUES (141322, 3818, 26, 'Ext Thời gian thu thập');
INSERT INTO `lang_definitions` VALUES (141323, 3820, 26, 'Bên ngoài');
INSERT INTO `lang_definitions` VALUES (141324, 3823, 26, 'Tải Dữ liệu Bên ngoài');
INSERT INTO `lang_definitions` VALUES (141325, 3824, 26, 'Công cụ Kết nhập Cơ sở dữ liệu Bên ngoài');
INSERT INTO `lang_definitions` VALUES (141326, 3828, 26, 'Số CMND/Hộ chiếu');
INSERT INTO `lang_definitions` VALUES (141327, 3829, 26, 'Số CMND/Hộ chiếu');
INSERT INTO `lang_definitions` VALUES (141328, 3830, 26, 'Số CMND/Hộ chiếu');
INSERT INTO `lang_definitions` VALUES (141329, 3831, 26, 'Chỉ hiện Bên ngoài');
INSERT INTO `lang_definitions` VALUES (141330, 3834, 26, 'Bên ngoài Giới thiệu');
INSERT INTO `lang_definitions` VALUES (141331, 3835, 26, 'Bên ngoài Giới thiệu Theo dõi');
INSERT INTO `lang_definitions` VALUES (141332, 3836, 26, 'Bên ngoài giới thiệu?');
INSERT INTO `lang_definitions` VALUES (141333, 3837, 26, 'Bên ngoài Giới thiệu');
INSERT INTO `lang_definitions` VALUES (141334, 3838, 26, 'Giải nén tập tin zip');
INSERT INTO `lang_definitions` VALUES (141335, 3839, 26, 'Đang giải nén tập tin đó. Việc này cần một ít thời gian...');
INSERT INTO `lang_definitions` VALUES (141336, 3840, 26, 'Dịch rỉ:');
INSERT INTO `lang_definitions` VALUES (141337, 3850, 26, 'Eye kích thích');
INSERT INTO `lang_definitions` VALUES (141338, 3856, 26, 'Mắt đau');
INSERT INTO `lang_definitions` VALUES (141339, 3860, 26, 'Mắt đỏ');
INSERT INTO `lang_definitions` VALUES (141340, 3863, 26, 'Mắt');
INSERT INTO `lang_definitions` VALUES (141341, 3865, 26, 'F');
INSERT INTO `lang_definitions` VALUES (141342, 3866, 26, 'F / H máu vấn đề');
INSERT INTO `lang_definitions` VALUES (141343, 3867, 26, 'F / H Nữ rậm lông / striae');
INSERT INTO `lang_definitions` VALUES (141344, 3868, 26, 'Các cơ sở');
INSERT INTO `lang_definitions` VALUES (141345, 3869, 26, 'Cơ sở');
INSERT INTO `lang_definitions` VALUES (141346, 3870, 26, 'cơ sở');
INSERT INTO `lang_definitions` VALUES (141347, 3871, 26, 'Quản trị Cơ sở');
INSERT INTO `lang_definitions` VALUES (141348, 3872, 26, 'Thành phố của Cơ sở');
INSERT INTO `lang_definitions` VALUES (141349, 3873, 26, 'Mã của Cơ sở');
INSERT INTO `lang_definitions` VALUES (141350, 3875, 26, 'Mã Quốc gia của Cơ sở');
INSERT INTO `lang_definitions` VALUES (141351, 3876, 26, 'Fax của Cơ sở');
INSERT INTO `lang_definitions` VALUES (141352, 3878, 26, 'Tên Cơ sở');
INSERT INTO `lang_definitions` VALUES (141353, 3879, 26, 'NPI của Cơ sở');
INSERT INTO `lang_definitions` VALUES (141354, 3880, 26, 'Điện thoại Cơ sở');
INSERT INTO `lang_definitions` VALUES (141355, 3882, 26, 'Thông tin Người dùng Riêng cho Cơ sở');
INSERT INTO `lang_definitions` VALUES (141356, 3883, 26, 'Tiểu bang của Cơ sở');
INSERT INTO `lang_definitions` VALUES (141357, 3884, 26, 'Đường của Cơ sở');
INSERT INTO `lang_definitions` VALUES (141358, 3886, 26, 'Mã Zip của Cơ sở');
INSERT INTO `lang_definitions` VALUES (141359, 3888, 26, 'Cơ sở:');
INSERT INTO `lang_definitions` VALUES (141360, 3889, 26, 'HƯ HỎNG');
INSERT INTO `lang_definitions` VALUES (141361, 3890, 26, 'Đã hỏng');
INSERT INTO `lang_definitions` VALUES (141362, 3891, 26, 'đã hỏng');
INSERT INTO `lang_definitions` VALUES (141363, 3901, 26, 'Không thể tạo thư mục tạm. CouchDB sẽ không làm việc được.');
INSERT INTO `lang_definitions` VALUES (141364, 3907, 26, 'Đã hỏng.');
INSERT INTO `lang_definitions` VALUES (141365, 3908, 26, 'thất bại');
INSERT INTO `lang_definitions` VALUES (141366, 3916, 26, 'Lịch sử Gia đình');
INSERT INTO `lang_definitions` VALUES (141367, 3918, 26, 'Lịch sử Gia đình của Bệnh tăng nhãn áp');
INSERT INTO `lang_definitions` VALUES (141368, 3919, 26, 'Lịch sử Gia đình:');
INSERT INTO `lang_definitions` VALUES (141369, 3921, 26, 'Gia đình Thanh toán');
INSERT INTO `lang_definitions` VALUES (141370, 3922, 26, 'Số người trong Gia Đình');
INSERT INTO `lang_definitions` VALUES (141371, 3923, 26, 'Đầy màu sắc');
INSERT INTO `lang_definitions` VALUES (141372, 3925, 26, 'Tiếng Farsi');
INSERT INTO `lang_definitions` VALUES (141373, 3928, 26, 'Cha');
INSERT INTO `lang_definitions` VALUES (141374, 3930, 26, 'Mệt mỏi');
INSERT INTO `lang_definitions` VALUES (141375, 3931, 26, 'mệt mỏi');
INSERT INTO `lang_definitions` VALUES (141376, 3933, 26, 'Fax');
INSERT INTO `lang_definitions` VALUES (141377, 3934, 26, 'Đếm fax');
INSERT INTO `lang_definitions` VALUES (141378, 3935, 26, 'Số fax');
INSERT INTO `lang_definitions` VALUES (141379, 3937, 26, 'Fax / Quét');
INSERT INTO `lang_definitions` VALUES (141380, 3938, 26, 'Fax Đến');
INSERT INTO `lang_definitions` VALUES (141381, 3939, 26, 'Fax Đi');
INSERT INTO `lang_definitions` VALUES (141382, 3940, 26, 'Các tính năng');
INSERT INTO `lang_definitions` VALUES (141383, 3941, 26, 'Tháng Hai');
INSERT INTO `lang_definitions` VALUES (141384, 3942, 26, 'Tháng Hai');
INSERT INTO `lang_definitions` VALUES (141385, 3943, 26, 'FECA');
INSERT INTO `lang_definitions` VALUES (141386, 3944, 26, 'Mã Thuốc Liên bang');
INSERT INTO `lang_definitions` VALUES (141387, 3945, 26, 'EIN Liên bang');
INSERT INTO `lang_definitions` VALUES (141388, 3946, 26, 'Mã Thuế Liên bang');
INSERT INTO `lang_definitions` VALUES (141389, 3948, 26, 'Phí');
INSERT INTO `lang_definitions` VALUES (141390, 3949, 26, 'phí');
INSERT INTO `lang_definitions` VALUES (141391, 3950, 26, 'Không cho phép tính phí');
INSERT INTO `lang_definitions` VALUES (141392, 3951, 26, 'Bảng Phí');
INSERT INTO `lang_definitions` VALUES (141393, 3953, 26, 'Tùy chọn Bảng Phí');
INSERT INTO `lang_definitions` VALUES (141394, 3955, 26, 'Phí');
INSERT INTO `lang_definitions` VALUES (141395, 3956, 26, 'Nữ');
INSERT INTO `lang_definitions` VALUES (141396, 3957, 26, 'Nữ AP');
INSERT INTO `lang_definitions` VALUES (141397, 3958, 26, 'Nữ Bao cao su');
INSERT INTO `lang_definitions` VALUES (141398, 3959, 26, 'Nữ G');
INSERT INTO `lang_definitions` VALUES (141399, 3960, 26, 'Nữ LC');
INSERT INTO `lang_definitions` VALUES (141400, 3961, 26, 'Nữ P');
INSERT INTO `lang_definitions` VALUES (141401, 3962, 26, 'Nữ triệu chứng');
INSERT INTO `lang_definitions` VALUES (141402, 3963, 26, 'Nữ VSC');
INSERT INTO `lang_definitions` VALUES (141403, 3966, 26, 'sốt');
INSERT INTO `lang_definitions` VALUES (141404, 3967, 26, 'sốt:');
INSERT INTO `lang_definitions` VALUES (141405, 3968, 26, 'FH máu vấn đề');
INSERT INTO `lang_definitions` VALUES (141406, 3972, 26, 'u xơ tử cung');
INSERT INTO `lang_definitions` VALUES (141407, 3978, 26, 'Loại thông tin để sử dụng cho quốc gia của người sử dụng lao động hoặc người đăng ký trong phần thông tin cá nhân.');
INSERT INTO `lang_definitions` VALUES (141408, 3979, 26, 'Loại thông tin để sử dụng cho tiểu bang của người sử dụng lao động hoặc người đăng ký trong phần thông tin cá nhân.');
INSERT INTO `lang_definitions` VALUES (141409, 3980, 26, 'Đang thiếu ô nhập!');
INSERT INTO `lang_definitions` VALUES (141410, 3986, 26, 'Tập tin');
INSERT INTO `lang_definitions` VALUES (141411, 3989, 26, 'trong thư mục Tài liệu để tìm hiểu làm thế nào để tự động hoá quá trình tạo bản sao lưu nhật ký');
INSERT INTO `lang_definitions` VALUES (141412, 3990, 26, 'vị trí tập tin');
INSERT INTO `lang_definitions` VALUES (141413, 3991, 26, 'Quản lý tập tin');
INSERT INTO `lang_definitions` VALUES (141414, 3998, 26, 'Đã gán quyền truy cập hồ sơ cho người sử dụng OpenEMR.');
INSERT INTO `lang_definitions` VALUES (141415, 3999, 26, 'Việc lấy tập tin về từ CouchDB đã thất bại');
INSERT INTO `lang_definitions` VALUES (141416, 4000, 26, 'Phòng Hồ sơ');
INSERT INTO `lang_definitions` VALUES (141417, 4001, 26, 'Tập tin để tải lên');
INSERT INTO `lang_definitions` VALUES (141418, 4003, 26, 'Tập tin có cùng tên đã tồn tại tại vị trí:');
INSERT INTO `lang_definitions` VALUES (141419, 4004, 26, 'tên tập tin');
INSERT INTO `lang_definitions` VALUES (141420, 4006, 26, 'các tập tin');
INSERT INTO `lang_definitions` VALUES (141421, 4011, 26, 'Philippines');
INSERT INTO `lang_definitions` VALUES (141422, 4013, 26, 'Điền vào bất kỳ của Row Dưới đây.');
INSERT INTO `lang_definitions` VALUES (141423, 4014, 26, 'Điền ở đây chỉ khi gửi email thông báo cho bệnh nhân');
INSERT INTO `lang_definitions` VALUES (141424, 4023, 26, 'Điền vào các giá trị dưới đây');
INSERT INTO `lang_definitions` VALUES (141425, 4025, 26, 'Điền vào Row.');
INSERT INTO `lang_definitions` VALUES (141426, 4028, 26, 'Lọc');
INSERT INTO `lang_definitions` VALUES (141427, 4029, 26, 'Lọc cho hằng số');
INSERT INTO `lang_definitions` VALUES (141428, 4030, 26, 'Lọc cho các định nghĩa');
INSERT INTO `lang_definitions` VALUES (141429, 4031, 26, 'đã lọc từ');
INSERT INTO `lang_definitions` VALUES (141430, 4032, 26, 'Bộ lọc');
INSERT INTO `lang_definitions` VALUES (141431, 4033, 26, 'bộ lọc');
INSERT INTO `lang_definitions` VALUES (141432, 4034, 26, 'Cuối cùng');
INSERT INTO `lang_definitions` VALUES (141433, 4035, 26, 'Chẩn đoán Cuối cùng');
INSERT INTO `lang_definitions` VALUES (141434, 4036, 26, 'Chẩn đoán cuối cùng của chuyên gia');
INSERT INTO `lang_definitions` VALUES (141435, 4038, 26, 'Tài chính');
INSERT INTO `lang_definitions` VALUES (141436, 4039, 26, 'Ngày Kết sổ Tài chính (năm-tháng-ngày)');
INSERT INTO `lang_definitions` VALUES (141437, 4040, 26, 'Báo cáo Tài chính - bất cứ điều gì');
INSERT INTO `lang_definitions` VALUES (141438, 4042, 26, 'Báo cáo Tài chính - cuộc gặp gỡ của tôi');
INSERT INTO `lang_definitions` VALUES (141439, 4045, 26, 'Ngày Xem xét Tài chính');
INSERT INTO `lang_definitions` VALUES (141440, 4046, 26, 'Tổng kết Tài chính theo Mã Dịch vụ');
INSERT INTO `lang_definitions` VALUES (141441, 4048, 26, 'Tìm');
INSERT INTO `lang_definitions` VALUES (141442, 4049, 26, 'Tìm Giờ trống');
INSERT INTO `lang_definitions` VALUES (141443, 4050, 26, 'Tìm Cuộc hẹn Hiện có');
INSERT INTO `lang_definitions` VALUES (141444, 4053, 26, 'Tìm Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (141445, 4054, 26, 'Tìm Vật liệu Giáo dục Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (141446, 4056, 26, 'Những phát hiện');
INSERT INTO `lang_definitions` VALUES (141447, 4057, 26, 'Những phát hiện bởi chuyên gia');
INSERT INTO `lang_definitions` VALUES (141448, 4058, 26, 'Mỹ');
INSERT INTO `lang_definitions` VALUES (141449, 4060, 26, 'Kết thúc Thanh toán');
INSERT INTO `lang_definitions` VALUES (141450, 4062, 26, 'đã kết thúc');
INSERT INTO `lang_definitions` VALUES (141451, 4065, 26, 'Lần đầu tiên');
INSERT INTO `lang_definitions` VALUES (141452, 4068, 26, 'Ngày đầu tiên trong tuần');
INSERT INTO `lang_definitions` VALUES (141453, 4071, 26, 'Tên');
INSERT INTO `lang_definitions` VALUES (141454, 4072, 26, 'Tên');
INSERT INTO `lang_definitions` VALUES (141455, 4073, 26, 'Tên:');
INSERT INTO `lang_definitions` VALUES (141456, 4079, 26, 'Thể hình');
INSERT INTO `lang_definitions` VALUES (141457, 4080, 26, 'Thể hình Cấp');
INSERT INTO `lang_definitions` VALUES (141458, 4081, 26, 'Phòng tập thể dục cấp cho máy nghe nhạc này vào ngày này');
INSERT INTO `lang_definitions` VALUES (141459, 4083, 26, 'Phòng tập thể dục để chơi');
INSERT INTO `lang_definitions` VALUES (141460, 4084, 26, 'Sửa chữa gặp phải ngày nào gặp');
INSERT INTO `lang_definitions` VALUES (141461, 4086, 26, 'Sửa lỗi này');
INSERT INTO `lang_definitions` VALUES (141462, 4088, 26, 'FL');
INSERT INTO `lang_definitions` VALUES (141463, 4090, 26, 'đầy hơi');
INSERT INTO `lang_definitions` VALUES (141464, 4091, 26, 'dòng chảy');
INSERT INTO `lang_definitions` VALUES (141465, 4108, 26, 'mùa cúm');
INSERT INTO `lang_definitions` VALUES (141466, 4109, 26, 'Mùa Cúm');
INSERT INTO `lang_definitions` VALUES (141467, 4110, 26, 'cúm tiêm phòng vắc xin');
INSERT INTO `lang_definitions` VALUES (141468, 4111, 26, 'Vấn đề chất lỏng và chất điện phân');
INSERT INTO `lang_definitions` VALUES (141469, 4112, 26, 'FMS');
INSERT INTO `lang_definitions` VALUES (141470, 4113, 26, 'Cỡ Giấy Sổ (Folio)');
INSERT INTO `lang_definitions` VALUES (141471, 4114, 26, 'Thực hiện theo cách thủ công');
INSERT INTO `lang_definitions` VALUES (141472, 4115, 26, 'Theo các chỉ dẫn này để cài đặt hay nâng cấp cơ sở dữ liệu sau đây');
INSERT INTO `lang_definitions` VALUES (141473, 4116, 26, 'Theo Sát');
INSERT INTO `lang_definitions` VALUES (141474, 4119, 26, 'Lý do Theo Sát');
INSERT INTO `lang_definitions` VALUES (141475, 4121, 26, 'Sau đây là một tùy chỉnh mới liên tục:');
INSERT INTO `lang_definitions` VALUES (141476, 4122, 26, 'Sau đây là một ngôn ngữ tùy chỉnh mới:');
INSERT INTO `lang_definitions` VALUES (141477, 4123, 26, 'Sau đây là một định nghĩa mới (Ngôn ngữ, Constant, Definition):');
INSERT INTO `lang_definitions` VALUES (141478, 4125, 26, 'Dịch vụ Theo sát');
INSERT INTO `lang_definitions` VALUES (141479, 4126, 26, 'Chỉ định Theo sát');
INSERT INTO `lang_definitions` VALUES (141480, 4129, 26, 'Thực phẩm không chịu được');
INSERT INTO `lang_definitions` VALUES (141481, 4130, 26, 'chân');
INSERT INTO `lang_definitions` VALUES (141482, 4131, 26, 'Các vấn đề về chân');
INSERT INTO `lang_definitions` VALUES (141483, 4132, 26, 'Chân:');
INSERT INTO `lang_definitions` VALUES (141484, 4133, 26, 'Chấn thương do Bóng đá');
INSERT INTO `lang_definitions` VALUES (141485, 4134, 26, 'Chấn thương do Bóng đá');
INSERT INTO `lang_definitions` VALUES (141486, 4135, 26, 'Báo cáo Chấn thương do Bóng đá');
INSERT INTO `lang_definitions` VALUES (141487, 4136, 26, 'Loại Giày dép');
INSERT INTO `lang_definitions` VALUES (141488, 4137, 26, 'cho');
INSERT INTO `lang_definitions` VALUES (141489, 4138, 26, 'Đối với');
INSERT INTO `lang_definitions` VALUES (141490, 4144, 26, 'Đối với các mã');
INSERT INTO `lang_definitions` VALUES (141491, 4152, 26, 'Khiếu nại Encounter');
INSERT INTO `lang_definitions` VALUES (141492, 4154, 26, 'Ví dụ:');
INSERT INTO `lang_definitions` VALUES (141493, 4161, 26, 'cho Hóa đơn');
INSERT INTO `lang_definitions` VALUES (141494, 4163, 26, 'Đối với Medicare chỉ, buộc các nhà cung cấp đề cập đến là tương tự như các nhà cung cấp vẽ.');
INSERT INTO `lang_definitions` VALUES (141495, 4173, 26, 'Đối với Tổ chức Referred / học viên');
INSERT INTO `lang_definitions` VALUES (141496, 4176, 26, 'Đối với quá khứ');
INSERT INTO `lang_definitions` VALUES (141497, 4188, 26, 'cho biến');
INSERT INTO `lang_definitions` VALUES (141498, 4189, 26, 'cho:');
INSERT INTO `lang_definitions` VALUES (141499, 4190, 26, 'Buộc Mở Thành phần Hóa đơn');
INSERT INTO `lang_definitions` VALUES (141500, 4191, 26, 'Buộc Tạo Bệnh nhân mới');
INSERT INTO `lang_definitions` VALUES (141501, 4194, 26, 'cẳng tay');
INSERT INTO `lang_definitions` VALUES (141502, 4195, 26, 'Dạng');
INSERT INTO `lang_definitions` VALUES (141503, 4196, 26, 'dạng');
INSERT INTO `lang_definitions` VALUES (141504, 4201, 26, 'Định dạng');
INSERT INTO `lang_definitions` VALUES (141505, 4202, 26, 'định dạng');
INSERT INTO `lang_definitions` VALUES (141506, 4204, 26, 'Định dạng không chính xác cho NDC');
INSERT INTO `lang_definitions` VALUES (141507, 4205, 26, 'Định dạng được sử dụng để hiển thị hầu hết các ngày.');
INSERT INTO `lang_definitions` VALUES (141508, 4206, 26, 'Định dạng được sử dụng để hiển thị hầu hết các thời gian.');
INSERT INTO `lang_definitions` VALUES (141509, 4207, 26, 'Báo cáo đã Định dạng');
INSERT INTO `lang_definitions` VALUES (141510, 4208, 26, 'Đã từng hút thuốc');
INSERT INTO `lang_definitions` VALUES (141511, 4209, 26, 'Các biểu mẫu');
INSERT INTO `lang_definitions` VALUES (141512, 4210, 26, 'Quản trị Các biểu mẫu');
INSERT INTO `lang_definitions` VALUES (141513, 4215, 26, 'Chuyển tiếp');
INSERT INTO `lang_definitions` VALUES (141514, 4219, 26, 'Chuyển tiếp Các trang bằng Fax');
INSERT INTO `lang_definitions` VALUES (141515, 4222, 26, 'Đã chuyển tiếp');
INSERT INTO `lang_definitions` VALUES (141516, 4225, 26, 'Thứ tư');
INSERT INTO `lang_definitions` VALUES (141517, 4227, 26, 'gay xương');
INSERT INTO `lang_definitions` VALUES (141518, 4228, 26, 'Gãy xương ở các Navicula');
INSERT INTO `lang_definitions` VALUES (141519, 4229, 26, 'Gãy xương mắt cá bên');
INSERT INTO `lang_definitions` VALUES (141520, 4230, 26, 'Gãy xương mắt cá trung gian');
INSERT INTO `lang_definitions` VALUES (141521, 4231, 26, 'Gãy xương, cơ sở thứ năm (5) xương bàn chân');
INSERT INTO `lang_definitions` VALUES (141522, 4235, 26, 'Tiếng Pháp');
INSERT INTO `lang_definitions` VALUES (141523, 4236, 26, 'Tiếng Pháp (Canada)');
INSERT INTO `lang_definitions` VALUES (141524, 4237, 26, 'Tiếng Pháp (Chuẩn)');
INSERT INTO `lang_definitions` VALUES (141525, 4238, 26, 'tần số');
INSERT INTO `lang_definitions` VALUES (141526, 4239, 26, 'thường xuyên cảm lạnh');
INSERT INTO `lang_definitions` VALUES (141527, 4240, 26, 'thường xuyên bệnh tật');
INSERT INTO `lang_definitions` VALUES (141528, 4241, 26, 'Thứ 6');
INSERT INTO `lang_definitions` VALUES (141529, 4242, 26, 'Thứ Sáu');
INSERT INTO `lang_definitions` VALUES (141530, 4244, 26, 'Từ');
INSERT INTO `lang_definitions` VALUES (141531, 4245, 26, 'TỪ');
INSERT INTO `lang_definitions` VALUES (141532, 4246, 26, 'từ');
INSERT INTO `lang_definitions` VALUES (141533, 4247, 26, 'Từ ngày không được lớn hơn Đến ngày.');
INSERT INTO `lang_definitions` VALUES (141534, 4253, 26, 'từ:');
INSERT INTO `lang_definitions` VALUES (141535, 4254, 26, 'từ:');
INSERT INTO `lang_definitions` VALUES (141536, 4255, 26, 'FROM_CITY');
INSERT INTO `lang_definitions` VALUES (141537, 4257, 26, 'FROM_FNAME');
INSERT INTO `lang_definitions` VALUES (141538, 4258, 26, 'FROM_LNAME');
INSERT INTO `lang_definitions` VALUES (141539, 4259, 26, 'FROM_MNAME');
INSERT INTO `lang_definitions` VALUES (141540, 4261, 26, 'FROM_PHONECELL');
INSERT INTO `lang_definitions` VALUES (141541, 4262, 26, 'FROM_POSTAL');
INSERT INTO `lang_definitions` VALUES (141542, 4263, 26, 'FROM_STATE');
INSERT INTO `lang_definitions` VALUES (141543, 4264, 26, 'FROM_STREET');
INSERT INTO `lang_definitions` VALUES (141544, 4265, 26, 'FROM_TITLE');
INSERT INTO `lang_definitions` VALUES (141545, 4266, 26, 'FROM_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (141546, 4267, 26, 'Nhận Bệnh');
INSERT INTO `lang_definitions` VALUES (141547, 4268, 26, 'Giấy biên nhận Nhận Bệnh');
INSERT INTO `lang_definitions` VALUES (141548, 4269, 26, 'Báo cáo Giấy biên nhận Nhận Bệnh');
INSERT INTO `lang_definitions` VALUES (141549, 4270, 26, 'Mặt trận Rec');
INSERT INTO `lang_definitions` VALUES (141550, 4271, 26, 'Trán phải:');
INSERT INTO `lang_definitions` VALUES (141551, 4278, 26, 'Tên đầy đủ');
INSERT INTO `lang_definitions` VALUES (141552, 4280, 26, 'Đường dẫn đầy đủ đến thư mục chứa MySQL thực thi.');
INSERT INTO `lang_definitions` VALUES (141553, 4281, 26, 'Đường dẫn đầy đủ đến thư mục có chứa file thực thi Perl.');
INSERT INTO `lang_definitions` VALUES (141554, 4282, 26, 'Đường dẫn đầy đủ đến thư mục sao lưu bản ghi sự kiện.');
INSERT INTO `lang_definitions` VALUES (141555, 4283, 26, 'Đường dẫn đầy đủ đến thư mục được sử dụng cho các tập tin tạm thời.');
INSERT INTO `lang_definitions` VALUES (141556, 4284, 26, 'Full chơi');
INSERT INTO `lang_definitions` VALUES (141557, 4286, 26, 'Full Đào tạo');
INSERT INTO `lang_definitions` VALUES (141558, 4288, 26, 'Được thanh toán đầy đủ');
INSERT INTO `lang_definitions` VALUES (141559, 4298, 26, 'G');
INSERT INTO `lang_definitions` VALUES (141560, 4299, 26, 'G / DL');
INSERT INTO `lang_definitions` VALUES (141561, 4302, 26, 'Gall Bladder Điều kiện');
INSERT INTO `lang_definitions` VALUES (141562, 4303, 26, 'Gall Stones');
INSERT INTO `lang_definitions` VALUES (141563, 4304, 26, 'Trò chơi Thời gian');
INSERT INTO `lang_definitions` VALUES (141564, 4305, 26, 'Trò chơi');
INSERT INTO `lang_definitions` VALUES (141565, 4306, 26, 'Trò chơi bị bỏ lỡ');
INSERT INTO `lang_definitions` VALUES (141566, 4307, 26, 'trò chơi / sự kiện');
INSERT INTO `lang_definitions` VALUES (141567, 4308, 26, 'Trò chơi / sự kiện bị bỏ lỡ');
INSERT INTO `lang_definitions` VALUES (141568, 4310, 26, 'Vị viêm');
INSERT INTO `lang_definitions` VALUES (141569, 4311, 26, 'Dạ dày Đau');
INSERT INTO `lang_definitions` VALUES (141570, 4312, 26, 'Đường tiêu hóa');
INSERT INTO `lang_definitions` VALUES (141571, 4316, 26, 'GCAC Thống kê Báo cáo');
INSERT INTO `lang_definitions` VALUES (141572, 4317, 26, 'GCAC Thống kê');
INSERT INTO `lang_definitions` VALUES (141573, 4318, 26, 'Hình thức GCAC chuyến thăm được');
INSERT INTO `lang_definitions` VALUES (141574, 4319, 26, 'Giới Tính');
INSERT INTO `lang_definitions` VALUES (141575, 4320, 26, 'Giới Tính');
INSERT INTO `lang_definitions` VALUES (141576, 4321, 26, 'Chung');
INSERT INTO `lang_definitions` VALUES (141577, 4325, 26, 'Dịch vụ Tổng kyø');
INSERT INTO `lang_definitions` VALUES (141578, 4332, 26, 'Tạo ra và tải về các tuyên bố CMS giấy 1500');
INSERT INTO `lang_definitions` VALUES (141579, 4334, 26, 'Tạo ra và tải về các tuyên bố giấy HCFA 1500');
INSERT INTO `lang_definitions` VALUES (141580, 4337, 26, 'Tạo ra và tải về X12 hàng loạt');
INSERT INTO `lang_definitions` VALUES (141581, 4338, 26, 'Tạo ra và tải về X12 hàng loạt cuộc gặp gỡ yêu cầu bồi thường');
INSERT INTO `lang_definitions` VALUES (141582, 4341, 26, 'Tạo ra và truyền tải quy định cho phép điện tử.');
INSERT INTO `lang_definitions` VALUES (141583, 4342, 26, 'Tạo CMS 1500');
INSERT INTO `lang_definitions` VALUES (141584, 4343, 26, 'Tạo CMS 1500 PDF');
INSERT INTO `lang_definitions` VALUES (141585, 4344, 26, 'Tạo ra văn bản 1500 CMS');
INSERT INTO `lang_definitions` VALUES (141586, 4345, 26, 'Tạo HCFA');
INSERT INTO `lang_definitions` VALUES (141587, 4347, 26, 'Tạo Hóa đơn');
INSERT INTO `lang_definitions` VALUES (141588, 4348, 26, 'Tạo thư');
INSERT INTO `lang_definitions` VALUES (141589, 4349, 26, 'Tạo thư về');
INSERT INTO `lang_definitions` VALUES (141590, 4351, 26, 'Tạo PQRI báo cáo (Phương pháp A)');
INSERT INTO `lang_definitions` VALUES (141591, 4353, 26, 'Tạo PQRI báo cáo (Phương pháp E)');
INSERT INTO `lang_definitions` VALUES (141592, 4357, 26, 'Tạo Báo cáo');
INSERT INTO `lang_definitions` VALUES (141593, 4365, 26, 'Tạo Tên đăng nhập và mật khẩu Đối với');
INSERT INTO `lang_definitions` VALUES (141594, 4366, 26, 'Tạo X12');
INSERT INTO `lang_definitions` VALUES (141595, 4368, 26, 'Tạo X12 Encounter');
INSERT INTO `lang_definitions` VALUES (141596, 4370, 26, 'Tạo ra trên');
INSERT INTO `lang_definitions` VALUES (141597, 4372, 26, 'Tạo ra');
INSERT INTO `lang_definitions` VALUES (141598, 4377, 26, 'Sinh dục');
INSERT INTO `lang_definitions` VALUES (141599, 4381, 26, 'Tiếng Đức');
INSERT INTO `lang_definitions` VALUES (141600, 4386, 26, 'Nhận HL7');
INSERT INTO `lang_definitions` VALUES (141601, 4392, 26, 'Bệnh tăng nhãn áp');
INSERT INTO `lang_definitions` VALUES (141602, 4393, 26, 'Bệnh tăng nhãn áp Lịch Sử Gia Đình');
INSERT INTO `lang_definitions` VALUES (141603, 4395, 26, 'Toàn cầu');
INSERT INTO `lang_definitions` VALUES (141604, 4398, 26, 'Toàn cầu ID');
INSERT INTO `lang_definitions` VALUES (141605, 4399, 26, 'Toàn cầu Cài đặt');
INSERT INTO `lang_definitions` VALUES (141606, 4400, 26, 'Toàn bộ');
INSERT INTO `lang_definitions` VALUES (141607, 4401, 26, 'GM / DL');
INSERT INTO `lang_definitions` VALUES (141608, 4403, 26, 'Đi');
INSERT INTO `lang_definitions` VALUES (141609, 4404, 26, 'đi');
INSERT INTO `lang_definitions` VALUES (141610, 4407, 26, 'Tới');
INSERT INTO `lang_definitions` VALUES (141611, 4417, 26, 'Tới tuần');
INSERT INTO `lang_definitions` VALUES (141612, 4418, 26, 'Go Hôm nay');
INSERT INTO `lang_definitions` VALUES (141613, 4428, 26, 'Cấp bậc của thương tích');
INSERT INTO `lang_definitions` VALUES (141614, 4429, 26, 'Lớp:');
INSERT INTO `lang_definitions` VALUES (141615, 4430, 26, 'gram');
INSERT INTO `lang_definitions` VALUES (141616, 4431, 26, 'Tổng cộng');
INSERT INTO `lang_definitions` VALUES (141617, 4432, 26, 'Lớn Tổng số');
INSERT INTO `lang_definitions` VALUES (141618, 4435, 26, 'Lập đồ thị');
INSERT INTO `lang_definitions` VALUES (141619, 4437, 26, 'Lớn hơn');
INSERT INTO `lang_definitions` VALUES (141620, 4438, 26, 'Lớn hơn hoặc bằng');
INSERT INTO `lang_definitions` VALUES (141621, 4439, 26, 'Tiếng Hy Lạp');
INSERT INTO `lang_definitions` VALUES (141622, 4442, 26, 'Nhóm');
INSERT INTO `lang_definitions` VALUES (141623, 4459, 26, 'Tên Nhóm');
INSERT INTO `lang_definitions` VALUES (141624, 4460, 26, 'Tên nhóm không được để trống');
INSERT INTO `lang_definitions` VALUES (141625, 4461, 26, 'Tên nhóm không thể bắt đầu với con số hoặc các khoảng trống');
INSERT INTO `lang_definitions` VALUES (141626, 4462, 26, 'Tên nhóm không thể bắt đầu với những con số.');
INSERT INTO `lang_definitions` VALUES (141627, 4463, 26, 'Số Nhóm');
INSERT INTO `lang_definitions` VALUES (141628, 4465, 26, 'Nhóm Thanh toán');
INSERT INTO `lang_definitions` VALUES (141629, 4471, 26, 'Nhóm:');
INSERT INTO `lang_definitions` VALUES (141630, 4472, 26, 'Tên nhóm');
INSERT INTO `lang_definitions` VALUES (141631, 4475, 26, 'Nhóm và Điều khiển Truy cập');
INSERT INTO `lang_definitions` VALUES (141632, 4476, 26, 'Biểu đồ Tăng trưởng');
INSERT INTO `lang_definitions` VALUES (141633, 4477, 26, 'Biểu đồ Tăng trưởng');
INSERT INTO `lang_definitions` VALUES (141634, 4478, 26, 'gtts (giọt)');
INSERT INTO `lang_definitions` VALUES (141635, 4479, 26, 'Guamanian');
INSERT INTO `lang_definitions` VALUES (141636, 4484, 26, 'Tên người giám hộ');
INSERT INTO `lang_definitions` VALUES (141637, 4489, 26, 'Phụ khoa thi');
INSERT INTO `lang_definitions` VALUES (141638, 4490, 26, 'giờ');
INSERT INTO `lang_definitions` VALUES (141639, 4492, 26, 'trước khi ngủ');
INSERT INTO `lang_definitions` VALUES (141640, 4493, 26, 'H / O Viêm gan');
INSERT INTO `lang_definitions` VALUES (141641, 4494, 26, 'đã được xoá thành công. Bất kỳ loại phụ hiện nay nếu được di chuyển dưới đây');
INSERT INTO `lang_definitions` VALUES (141642, 4495, 26, 'Haematoma / bầm tím');
INSERT INTO `lang_definitions` VALUES (141643, 4496, 26, 'HAI Status');
INSERT INTO `lang_definitions` VALUES (141644, 4499, 26, 'Tay + ngón tay');
INSERT INTO `lang_definitions` VALUES (141645, 4500, 26, 'Vấn đề với Tay');
INSERT INTO `lang_definitions` VALUES (141646, 4505, 26, 'Ổ đĩa Cứng');
INSERT INTO `lang_definitions` VALUES (141647, 4506, 26, 'Khó khăn w / o');
INSERT INTO `lang_definitions` VALUES (141648, 4507, 26, 'đã được liên kết với lần đến khám');
INSERT INTO `lang_definitions` VALUES (141649, 4508, 26, 'đã hết hạn');
INSERT INTO `lang_definitions` VALUES (141650, 4509, 26, 'Mã băm (Hash)');
INSERT INTO `lang_definitions` VALUES (141651, 4511, 26, 'Không tồn tại mã băm (hash) cho tập tin này. Đã tạo mã băm mới.');
INSERT INTO `lang_definitions` VALUES (141652, 4512, 26, 'Mã băm (Hash) không phù hợp. Tính toàn vẹn dữ liệu đã bị vi phạm.');
INSERT INTO `lang_definitions` VALUES (141653, 4515, 26, 'Tiếng Hawai');
INSERT INTO `lang_definitions` VALUES (141654, 4516, 26, 'Hoạt động nguy hại');
INSERT INTO `lang_definitions` VALUES (141655, 4517, 26, 'Hoạt động Nguy hại');
INSERT INTO `lang_definitions` VALUES (141656, 4521, 26, 'HCFA lề trái tại các điểm');
INSERT INTO `lang_definitions` VALUES (141657, 4522, 26, 'HCFA Lợi nhuận');
INSERT INTO `lang_definitions` VALUES (141658, 4523, 26, 'HCFA trên lề trong điểm');
INSERT INTO `lang_definitions` VALUES (141659, 4524, 26, 'Thủ tục / Dịch vụ HCPCS');
INSERT INTO `lang_definitions` VALUES (141660, 4527, 26, 'he PostCalendar');
INSERT INTO `lang_definitions` VALUES (141661, 4528, 26, 'Đầu');
INSERT INTO `lang_definitions` VALUES (141662, 4529, 26, 'CV Đầu');
INSERT INTO `lang_definitions` VALUES (141663, 4530, 26, 'Chu vi Đầu');
INSERT INTO `lang_definitions` VALUES (141664, 4531, 26, 'Nhức đầu');
INSERT INTO `lang_definitions` VALUES (141665, 4532, 26, 'Nhức đầu');
INSERT INTO `lang_definitions` VALUES (141666, 4534, 26, 'chăm sóc sức khỏe');
INSERT INTO `lang_definitions` VALUES (141667, 4535, 26, 'Vận Hành Chăm sóc sức khỏe');
INSERT INTO `lang_definitions` VALUES (141668, 4537, 26, 'Trung tâm y tế / phòng khám');
INSERT INTO `lang_definitions` VALUES (141669, 4540, 26, 'Tổ chức duy trì sức khoẻ');
INSERT INTO `lang_definitions` VALUES (141670, 4541, 26, 'Tổ chức bảo trì sức khỏe (HMO) Medicare rủi ro');
INSERT INTO `lang_definitions` VALUES (141671, 4542, 26, 'Giảm Thính lực');
INSERT INTO `lang_definitions` VALUES (141672, 4543, 26, 'Đau Tim');
INSERT INTO `lang_definitions` VALUES (141673, 4544, 26, 'Bệnh Tim');
INSERT INTO `lang_definitions` VALUES (141674, 4545, 26, 'Suy Tim');
INSERT INTO `lang_definitions` VALUES (141675, 4546, 26, 'Vấn đề về Tim');
INSERT INTO `lang_definitions` VALUES (141676, 4547, 26, 'Vấn đề về Tim');
INSERT INTO `lang_definitions` VALUES (141677, 4548, 26, 'Phẫu thuật Tim');
INSERT INTO `lang_definitions` VALUES (141678, 4549, 26, 'Ghép Tim');
INSERT INTO `lang_definitions` VALUES (141679, 4550, 26, 'TIM:');
INSERT INTO `lang_definitions` VALUES (141680, 4551, 26, 'Ợ nóng');
INSERT INTO `lang_definitions` VALUES (141681, 4552, 26, 'Nóng hoặc lạnh');
INSERT INTO `lang_definitions` VALUES (141682, 4553, 26, 'Nóng Hoặc Lạnh');
INSERT INTO `lang_definitions` VALUES (141683, 4555, 26, 'Tiếng Do Thái,');
INSERT INTO `lang_definitions` VALUES (141684, 4557, 26, 'HEENT');
INSERT INTO `lang_definitions` VALUES (141685, 4558, 26, 'Chiều cao');
INSERT INTO `lang_definitions` VALUES (141686, 4560, 26, 'Trợ giúp');
INSERT INTO `lang_definitions` VALUES (141687, 4561, 26, 'giúp đỡ');
INSERT INTO `lang_definitions` VALUES (141688, 4563, 26, 'Nôn ra máu');
INSERT INTO `lang_definitions` VALUES (141689, 4564, 26, 'Hematochezia');
INSERT INTO `lang_definitions` VALUES (141690, 4565, 26, 'Huyết học');
INSERT INTO `lang_definitions` VALUES (141691, 4566, 26, 'Tiểu máu');
INSERT INTO `lang_definitions` VALUES (141692, 4567, 26, 'Hemoglobin');
INSERT INTO `lang_definitions` VALUES (141693, 4568, 26, 'Hb A1c');
INSERT INTO `lang_definitions` VALUES (141694, 4569, 26, 'Ho ra máu');
INSERT INTO `lang_definitions` VALUES (141695, 4570, 26, 'Viêm gan siêu vi');
INSERT INTO `lang_definitions` VALUES (141696, 4571, 26, 'Viêm gan A 1');
INSERT INTO `lang_definitions` VALUES (141697, 4572, 26, 'Viêm gan A 2');
INSERT INTO `lang_definitions` VALUES (141698, 4573, 26, 'Viêm gan B 1');
INSERT INTO `lang_definitions` VALUES (141699, 4574, 26, 'Viêm gan B 2');
INSERT INTO `lang_definitions` VALUES (141700, 4575, 26, 'Viêm gan B 3');
INSERT INTO `lang_definitions` VALUES (141701, 4576, 26, 'đây');
INSERT INTO `lang_definitions` VALUES (141702, 4580, 26, 'Thoát vị sửa chữa');
INSERT INTO `lang_definitions` VALUES (141703, 4581, 26, 'Thoát vị đĩa');
INSERT INTO `lang_definitions` VALUES (141704, 4582, 26, 'Herpes');
INSERT INTO `lang_definitions` VALUES (141705, 4585, 26, 'Sự do dự');
INSERT INTO `lang_definitions` VALUES (141706, 4586, 26, 'heyyo. bạn đã ở đây trong');
INSERT INTO `lang_definitions` VALUES (141707, 4587, 26, 'Hib 1');
INSERT INTO `lang_definitions` VALUES (141708, 4588, 26, 'Hib 2');
INSERT INTO `lang_definitions` VALUES (141709, 4589, 26, 'Hib 3');
INSERT INTO `lang_definitions` VALUES (141710, 4590, 26, 'Hib 4');
INSERT INTO `lang_definitions` VALUES (141711, 4591, 26, 'Thành viên ẩn danh');
INSERT INTO `lang_definitions` VALUES (141712, 4592, 26, 'Quản Lý Sự kiện Ẩn');
INSERT INTO `lang_definitions` VALUES (141713, 4593, 26, 'Ẩn');
INSERT INTO `lang_definitions` VALUES (141714, 4595, 26, 'Giấu Chi tiết');
INSERT INTO `lang_definitions` VALUES (141715, 4597, 26, 'Ẩn Tùy chọn Mã hóa / Giải mã trong Quản lý Tài liệu');
INSERT INTO `lang_definitions` VALUES (141716, 4599, 26, 'Giấu Trình đơn');
INSERT INTO `lang_definitions` VALUES (141717, 4601, 26, 'Giấu các Nhắc nhở');
INSERT INTO `lang_definitions` VALUES (141718, 4603, 26, 'Giấu/Hiện Các cột');
INSERT INTO `lang_definitions` VALUES (141719, 4605, 26, 'Cao');
INSERT INTO `lang_definitions` VALUES (141720, 4607, 26, 'Cao Huyết áp');
INSERT INTO `lang_definitions` VALUES (141721, 4609, 26, 'Tiếng Hin-ddi');
INSERT INTO `lang_definitions` VALUES (141722, 4610, 26, 'Hông + háng');
INSERT INTO `lang_definitions` VALUES (141723, 4611, 26, 'Hông và háng');
INSERT INTO `lang_definitions` VALUES (141724, 4612, 26, 'Vấn đề Hông');
INSERT INTO `lang_definitions` VALUES (141725, 4613, 26, 'Thay thế Hông');
INSERT INTO `lang_definitions` VALUES (141726, 4615, 26, 'Đã nhận Thông báo HIPAA');
INSERT INTO `lang_definitions` VALUES (141727, 4617, 26, 'Hirsutism/Striae');
INSERT INTO `lang_definitions` VALUES (141728, 4618, 26, 'Tây Ban Nha');
INSERT INTO `lang_definitions` VALUES (141729, 4619, 26, 'Tây Ban Nha - Loại khác (Sinh ra tại Mỹ)');
INSERT INTO `lang_definitions` VALUES (141730, 4620, 26, 'Tây Ban Nha - Loại khác (Sinh ra bên ngoài Mỹ)');
INSERT INTO `lang_definitions` VALUES (141731, 4621, 26, 'Người Tây Ban Nha hoặc La tinh');
INSERT INTO `lang_definitions` VALUES (141732, 4623, 26, 'Lịch sử');
INSERT INTO `lang_definitions` VALUES (141733, 4629, 26, 'Lịch sử Dữ liệu');
INSERT INTO `lang_definitions` VALUES (141734, 4630, 26, 'Lịch sử ngày');
INSERT INTO `lang_definitions` VALUES (141735, 4632, 26, 'Lịch sử Róc Rách');
INSERT INTO `lang_definitions` VALUES (141736, 4633, 26, 'Lịch sử không được uỷ quyền');
INSERT INTO `lang_definitions` VALUES (141737, 4634, 26, 'Lịch sử của Róc Rách tim');
INSERT INTO `lang_definitions` VALUES (141738, 4638, 26, 'Lượt truy cập');
INSERT INTO `lang_definitions` VALUES (141739, 4639, 26, 'HIV');
INSERT INTO `lang_definitions` VALUES (141740, 4649, 26, 'Bộ xem HL7');
INSERT INTO `lang_definitions` VALUES (141741, 4651, 26, 'HMOL / L');
INSERT INTO `lang_definitions` VALUES (141742, 4652, 26, 'Tiếng Hmong');
INSERT INTO `lang_definitions` VALUES (141743, 4653, 26, 'Giữ [Ctrl] để lựa chọn nhiều mục hoặc để bỏ chọn');
INSERT INTO `lang_definitions` VALUES (141744, 4655, 26, 'Giữ phím Ctrl để chọn nhiều mục');
INSERT INTO `lang_definitions` VALUES (141745, 4656, 26, 'Giữ phím Ctrl để chọn nhiều đội');
INSERT INTO `lang_definitions` VALUES (141746, 4658, 26, 'Trang chủ');
INSERT INTO `lang_definitions` VALUES (141747, 4659, 26, 'Điện thoại nhà');
INSERT INTO `lang_definitions` VALUES (141748, 4660, 26, 'Số Điện thoại Nhà');
INSERT INTO `lang_definitions` VALUES (141749, 4662, 26, 'Vô gia cư hoặc tương tự?');
INSERT INTO `lang_definitions` VALUES (141750, 4664, 26, 'Vô gia cư, vv');
INSERT INTO `lang_definitions` VALUES (141751, 4665, 26, 'Vô gia cư, vv');
INSERT INTO `lang_definitions` VALUES (141752, 4674, 26, 'Tên Máy chủ');
INSERT INTO `lang_definitions` VALUES (141753, 4675, 26, 'Không thể để trống Tên Máy chủ');
INSERT INTO `lang_definitions` VALUES (141754, 4677, 26, 'Giờ');
INSERT INTO `lang_definitions` VALUES (141755, 4678, 26, 'Giờ');
INSERT INTO `lang_definitions` VALUES (141756, 4681, 26, 'Làm thế nào chấn thương xảy ra?');
INSERT INTO `lang_definitions` VALUES (141757, 4682, 26, 'Làm thế nào chấn thương xảy ra?:');
INSERT INTO `lang_definitions` VALUES (141758, 4683, 26, 'Làm thế nào họ biết về chúng tôi');
INSERT INTO `lang_definitions` VALUES (141759, 4685, 26, 'Truy vấn các sự kiện sắp tới cho bao nhiêu quý?');
INSERT INTO `lang_definitions` VALUES (141760, 4692, 26, 'HPI:');
INSERT INTO `lang_definitions` VALUES (141761, 4694, 26, 'HT');
INSERT INTO `lang_definitions` VALUES (141762, 4695, 26, 'HTML');
INSERT INTO `lang_definitions` VALUES (141763, 4699, 26, 'Https liên kết cho LLC OpenEMR Hỗ trợ dịch vụ Lab Exchange.');
INSERT INTO `lang_definitions` VALUES (141764, 4701, 26, 'Tiếng/Người Hungary');
INSERT INTO `lang_definitions` VALUES (141765, 4702, 26, 'Hylafax mục');
INSERT INTO `lang_definitions` VALUES (141766, 4703, 26, 'Hylafax Enscript lệnh');
INSERT INTO `lang_definitions` VALUES (141767, 4704, 26, 'Hylafax máy chủ');
INSERT INTO `lang_definitions` VALUES (141768, 4705, 26, 'Hylafax máy chủ tên máy.');
INSERT INTO `lang_definitions` VALUES (141769, 4706, 26, 'Hiếu động');
INSERT INTO `lang_definitions` VALUES (141770, 4708, 26, 'Cao huyết áp');
INSERT INTO `lang_definitions` VALUES (141771, 4709, 26, 'Cao huyết áp: Đo Huyết Áp');
INSERT INTO `lang_definitions` VALUES (141772, 4710, 26, 'Cao huyết áp: Đo Huyết Áp (CQM)');
INSERT INTO `lang_definitions` VALUES (141773, 4711, 26, 'Cường giáp');
INSERT INTO `lang_definitions` VALUES (141774, 4713, 26, 'Suy giáp');
INSERT INTO `lang_definitions` VALUES (141775, 4716, 26, 'Cắt bỏ tử cung');
INSERT INTO `lang_definitions` VALUES (141776, 4717, 26, 'Tôi');
INSERT INTO `lang_definitions` VALUES (141777, 4718, 26, 'Tôi bận rộn trong thời gian này.');
INSERT INTO `lang_definitions` VALUES (141778, 4719, 26, 'Tôi không có sự cho phép đọc');
INSERT INTO `lang_definitions` VALUES (141779, 4724, 26, 'ICD');
INSERT INTO `lang_definitions` VALUES (141780, 4725, 26, 'Chẩn đoán ICD10');
INSERT INTO `lang_definitions` VALUES (141781, 4726, 26, 'Thủ tục / Dịch vụ ICD10');
INSERT INTO `lang_definitions` VALUES (141782, 4727, 26, 'ICD9');
INSERT INTO `lang_definitions` VALUES (141783, 4728, 26, 'Chẩn đoán ICD9');
INSERT INTO `lang_definitions` VALUES (141784, 4729, 26, 'Thủ tục / Dịch vụ ICD9');
INSERT INTO `lang_definitions` VALUES (141785, 4734, 26, 'Mã');
INSERT INTO `lang_definitions` VALUES (141786, 4736, 26, 'Mã');
INSERT INTO `lang_definitions` VALUES (141787, 4738, 26, 'Không thể để trống mã số');
INSERT INTO `lang_definitions` VALUES (141788, 4739, 26, 'CMND');
INSERT INTO `lang_definitions` VALUES (141789, 4742, 26, 'IDays');
INSERT INTO `lang_definitions` VALUES (141790, 4743, 26, 'xác định là');
INSERT INTO `lang_definitions` VALUES (141791, 4745, 26, 'Nhận dạng (một từ)');
INSERT INTO `lang_definitions` VALUES (141792, 4747, 26, 'Giây Timeout phiên nhàn rỗi');
INSERT INTO `lang_definitions` VALUES (141793, 4755, 26, 'Nếu tất cả các dữ liệu cho tất cả các cột được hoàn thành mẫu đơn này');
INSERT INTO `lang_definitions` VALUES (141794, 4757, 26, 'Nếu biện minh thanh toán được sử dụng nhập vào tên của loại mã chẩn đoán.');
INSERT INTO `lang_definitions` VALUES (141795, 4763, 26, 'nếu nhập vào, chỉ chọn những người đã có dịch vụ này');
INSERT INTO `lang_definitions` VALUES (141796, 4765, 26, 'Nếu tên, bất kỳ phần nào của họ hoặc họ, tên');
INSERT INTO `lang_definitions` VALUES (141797, 4770, 26, 'Nếu thanh toán bằng');
INSERT INTO `lang_definitions` VALUES (141798, 4771, 26, 'Nếu đã qua đời, thì nhập vào ngày mất.');
INSERT INTO `lang_definitions` VALUES (141799, 4775, 26, 'Nếu SMTP được dùng, tên máy hoặc địa chỉ IP của máy chủ.');
INSERT INTO `lang_definitions` VALUES (141800, 4776, 26, 'Nếu SMTP được dùng, số cổng TCP của máy chủ (thường là 25).');
INSERT INTO `lang_definitions` VALUES (141801, 4780, 26, 'Nếu đánh dấu vào hộp chọn và thông điệp đó được gửi cho nhiều người thì mỗi người phải xác nhận bằng cách nhấn vào nút Đặt Là Hoàn thành cho thông điệp đó ');
INSERT INTO `lang_definitions` VALUES (141802, 4781, 26, 'Nếu đánh dấu vào hộp chọn thì mỗi thành viên của nhóm nhận thông điệp đó phải xác nhận bằng cách nhấn vào nút Đặt Là Hoàn thành ');
INSERT INTO `lang_definitions` VALUES (141803, 4803, 26, 'nếu thất nghiệp thì nhập là Sinh viên');
INSERT INTO `lang_definitions` VALUES (141804, 4814, 26, 'Nếu bạn thay đổi e-RX Vai trò cho ePrescription, nó có thể ảnh hưởng đến công việc ePrescription. Nếu bạn phải đối mặt với bất kỳ khó khăn, hãy liên hệ với nhà cung cấp ePrescription của bạn.');
INSERT INTO `lang_definitions` VALUES (141805, 4833, 26, 'Nếu bạn đã chọn để tải lên chuyển tiền điện tử, sau đó cửa sổ tìm kiếm sẽ hiển thị lại với hoá đơn phù hợp từ các tập tin X12. Bạn có thể click vào bất kỳ của những con số hóa đơn (như mô tả dưới đây) nếu bạn muốn thực hiện bất kỳ chỉnh sửa trước khi thông tin chuyển tiền được áp dụng. Để áp dụng các thay đổi, hãy nhấp vào nút Process File ERA ở dưới cùng của trang. Điều này sẽ tạo ra một cửa sổ mới với một báo cáo chi tiết.');
INSERT INTO `lang_definitions` VALUES (141806, 4836, 26, 'Nếu bạn đã bước vào một ngày phải trả tiền trong các trang tìm kiếm, điều này sẽ ghi đè lên đăng ngày thanh toán và điều chỉnh nếu không được lấy từ các tập tin X12. Điều này có thể hữu ích cho mục đích báo cáo, nếu bạn muốn biên lai của bạn báo cáo sử dụng ngày đăng chứ không phải là công ty bảo hiểm \'s ngày chế biến. Lưu ý rằng điều này cũng sẽ ảnh hưởng đến ngày thanh toán và điều chỉnh trước khi được đưa vào tuyên bố thứ cấp.');
INSERT INTO `lang_definitions` VALUES (141807, 4850, 26, 'Nếu bạn muốn thay đổi các kiểu dữ liệu, hoặc thêm các hàng hoặc cột');
INSERT INTO `lang_definitions` VALUES (141808, 4851, 26, 'Nếu bạn muốn để nâng cấp cơ sở dữ liệu, sau đó đặt các tập tin zip cơ sở dữ liệu trong các thư mục sau đây');
INSERT INTO `lang_definitions` VALUES (141809, 4854, 26, 'Bỏ qua');
INSERT INTO `lang_definitions` VALUES (141810, 4856, 26, 'Bệnh tật');
INSERT INTO `lang_definitions` VALUES (141811, 4857, 26, 'Tiêm bắp');
INSERT INTO `lang_definitions` VALUES (141812, 4863, 26, 'Dịch vụ Hình ảnh');
INSERT INTO `lang_definitions` VALUES (141813, 4865, 26, 'Thuốc tiêm');
INSERT INTO `lang_definitions` VALUES (141814, 4867, 26, 'Mã Thuốc tiêm');
INSERT INTO `lang_definitions` VALUES (141815, 4869, 26, 'Ngày Thuốc tiêm');
INSERT INTO `lang_definitions` VALUES (141816, 4872, 26, 'Số Lô Thuốc tiêm');
INSERT INTO `lang_definitions` VALUES (141817, 4873, 26, 'Nhà sản xuất Thuốc tiêm');
INSERT INTO `lang_definitions` VALUES (141818, 4878, 26, 'Số đăng ký Thuốc tiêm');
INSERT INTO `lang_definitions` VALUES (141819, 4882, 26, 'Dịch vụ Tiêm chủng');
INSERT INTO `lang_definitions` VALUES (141820, 4883, 26, 'Tiêu đề Thuốc tiêm');
INSERT INTO `lang_definitions` VALUES (141821, 4885, 26, 'Thuốc tiêm');
INSERT INTO `lang_definitions` VALUES (141822, 4887, 26, 'Tiêm chủng');
INSERT INTO `lang_definitions` VALUES (141823, 4888, 26, 'Miễn dịch');
INSERT INTO `lang_definitions` VALUES (141824, 4893, 26, 'Cấy ghép');
INSERT INTO `lang_definitions` VALUES (141825, 4894, 26, 'Kết nhập');
INSERT INTO `lang_definitions` VALUES (141826, 4898, 26, 'Kết nhập giấy chứng nhận vào trình duyệt.');
INSERT INTO `lang_definitions` VALUES (141827, 4899, 26, 'Kết nhập Cấu hình');
INSERT INTO `lang_definitions` VALUES (141828, 4904, 26, 'Kết nhập Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (141829, 4905, 26, 'Kết nhập Thông tin cá nhân của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (141830, 4910, 26, 'Mã Quan trọng');
INSERT INTO `lang_definitions` VALUES (141831, 4914, 26, 'Kết nhập từ Kế toán');
INSERT INTO `lang_definitions` VALUES (141832, 4920, 26, 'Đã cải thiện');
INSERT INTO `lang_definitions` VALUES (141833, 4922, 26, 'in');
INSERT INTO `lang_definitions` VALUES (141834, 4923, 26, 'TRONG');
INSERT INTO `lang_definitions` VALUES (141835, 4931, 26, 'vào mỗi mắt');
INSERT INTO `lang_definitions` VALUES (141836, 4934, 26, 'vào mắt trái');
INSERT INTO `lang_definitions` VALUES (141837, 4935, 26, 'vào lỗ mũi');
INSERT INTO `lang_definitions` VALUES (141838, 4936, 26, 'Trong Văn phòng');
INSERT INTO `lang_definitions` VALUES (141839, 4947, 26, 'vào mắt phải');
INSERT INTO `lang_definitions` VALUES (141840, 4958, 26, 'trong nhà');
INSERT INTO `lang_definitions` VALUES (141841, 4960, 26, 'Không hoạt động');
INSERT INTO `lang_definitions` VALUES (141842, 4965, 26, 'Ngày Không hoạt động');
INSERT INTO `lang_definitions` VALUES (141843, 4967, 26, 'Hộp thư đến');
INSERT INTO `lang_definitions` VALUES (141844, 4970, 26, 'Bao gồm Tổng kiểm');
INSERT INTO `lang_definitions` VALUES (141845, 4971, 26, 'Bao gồm cái đã hoàn thành');
INSERT INTO `lang_definitions` VALUES (141846, 4974, 26, 'Bao gồm các thành viên không dùng được');
INSERT INTO `lang_definitions` VALUES (141847, 4975, 26, 'Bao gồm cái chưa phân loại');
INSERT INTO `lang_definitions` VALUES (141848, 4976, 26, 'Bao gồm các dữ liệu phi cấu trúc');
INSERT INTO `lang_definitions` VALUES (141849, 4977, 26, 'Bao gồm Thể trạng');
INSERT INTO `lang_definitions` VALUES (141850, 4978, 26, 'Bao gồm các dữ liệu thể trạng?');
INSERT INTO `lang_definitions` VALUES (141851, 4981, 26, 'Việc bao gồm');
INSERT INTO `lang_definitions` VALUES (141852, 4982, 26, 'Thu nhập');
INSERT INTO `lang_definitions` VALUES (141853, 4984, 26, 'Không đầy đủ');
INSERT INTO `lang_definitions` VALUES (141854, 4985, 26, 'Điều trị không đầy đủ phá thai');
INSERT INTO `lang_definitions` VALUES (141855, 4986, 26, 'Tiểu không kiểm soát');
INSERT INTO `lang_definitions` VALUES (141856, 4987, 26, 'Kết hợp các kết quả xét nghiệm phòng thí nghiệm lâm sàng vào công nghệ EHR chứng nhận như là dữ liệu có cấu trúc.');
INSERT INTO `lang_definitions` VALUES (141857, 4990, 26, 'tăng:');
INSERT INTO `lang_definitions` VALUES (141858, 4991, 26, 'Bồi thường bảo hiểm');
INSERT INTO `lang_definitions` VALUES (141859, 4994, 26, 'Không xác định');
INSERT INTO `lang_definitions` VALUES (141860, 4995, 26, 'Ấn Độ');
INSERT INTO `lang_definitions` VALUES (141861, 4998, 26, 'Chỉ bất thường');
INSERT INTO `lang_definitions` VALUES (141862, 5000, 26, 'Cho biết nếu vấn đề này hiện đang hoạt động');
INSERT INTO `lang_definitions` VALUES (141863, 5002, 26, 'Chỉ số cho việc sử dụng chuyên ngành');
INSERT INTO `lang_definitions` VALUES (141864, 5003, 26, 'Nghèo khổ bệnh nhân');
INSERT INTO `lang_definitions` VALUES (141865, 5004, 26, 'Nghèo Bệnh nhân Báo cáo');
INSERT INTO `lang_definitions` VALUES (141866, 5005, 26, 'Indigents');
INSERT INTO `lang_definitions` VALUES (141867, 5010, 26, 'Gây ra phá thai');
INSERT INTO `lang_definitions` VALUES (141868, 5012, 26, 'Không đủ điều kiện');
INSERT INTO `lang_definitions` VALUES (141869, 5013, 26, 'Nhiễm trùng / áp xe');
INSERT INTO `lang_definitions` VALUES (141870, 5014, 26, 'Nhiễm trùng');
INSERT INTO `lang_definitions` VALUES (141871, 5015, 26, 'Infert Couns');
INSERT INTO `lang_definitions` VALUES (141872, 5016, 26, 'Vô sinh');
INSERT INTO `lang_definitions` VALUES (141873, 5017, 26, 'Cúm 1');
INSERT INTO `lang_definitions` VALUES (141874, 5018, 26, 'Cúm 2');
INSERT INTO `lang_definitions` VALUES (141875, 5019, 26, 'Chủng ngừa cúm cho bệnh nhân từ 50 tuổi trở lên');
INSERT INTO `lang_definitions` VALUES (141876, 5020, 26, 'Chủng ngừa cúm cho bệnh nhân từ 50 tuổi trở lên (CQM)');
INSERT INTO `lang_definitions` VALUES (141877, 5021, 26, 'Vắc-xin Cúm');
INSERT INTO `lang_definitions` VALUES (141878, 5022, 26, 'Thông tin');
INSERT INTO `lang_definitions` VALUES (141879, 5023, 26, 'Thông tin kiểm tra 1');
INSERT INTO `lang_definitions` VALUES (141880, 5024, 26, 'Thông tin kiểm tra 2');
INSERT INTO `lang_definitions` VALUES (141881, 5025, 26, 'Thông tin kiểm tra 3');
INSERT INTO `lang_definitions` VALUES (141882, 5026, 26, 'Thông tin kiểm tra 4');
INSERT INTO `lang_definitions` VALUES (141883, 5027, 26, 'Thông tin kiểm tra 5');
INSERT INTO `lang_definitions` VALUES (141884, 5028, 26, 'Thông tin kiểm tra 6');
INSERT INTO `lang_definitions` VALUES (141885, 5034, 26, 'hít');
INSERT INTO `lang_definitions` VALUES (141886, 5036, 26, 'inhilations');
INSERT INTO `lang_definitions` VALUES (141887, 5039, 26, 'Ban đầu người sử dụng');
INSERT INTO `lang_definitions` VALUES (141888, 5041, 26, 'Inj / Rehab');
INSERT INTO `lang_definitions` VALUES (141889, 5042, 26, 'Thuốc chích');
INSERT INTO `lang_definitions` VALUES (141890, 5043, 26, 'Tiêm');
INSERT INTO `lang_definitions` VALUES (141891, 5044, 26, 'Bị thương Body Part');
INSERT INTO `lang_definitions` VALUES (141892, 5045, 26, 'Bị thương Out');
INSERT INTO `lang_definitions` VALUES (141893, 5046, 26, 'Chấn thương');
INSERT INTO `lang_definitions` VALUES (141894, 5047, 26, 'Thương tích Cơ chế');
INSERT INTO `lang_definitions` VALUES (141895, 5048, 26, 'Báo cáo tai nạn thương tích Tổng quan');
INSERT INTO `lang_definitions` VALUES (141896, 5049, 26, 'Chấn thương giám sát');
INSERT INTO `lang_definitions` VALUES (141897, 5050, 26, 'Chấn thương Loại');
INSERT INTO `lang_definitions` VALUES (141898, 5051, 26, 'Tai nạn thương tích / bệnh tật liên quan đến');
INSERT INTO `lang_definitions` VALUES (141899, 5056, 26, 'Input Fields');
INSERT INTO `lang_definitions` VALUES (141900, 5057, 26, 'INR');
INSERT INTO `lang_definitions` VALUES (141901, 5058, 26, 'BH 1');
INSERT INTO `lang_definitions` VALUES (141902, 5059, 26, 'BH 2 hay BH 3');
INSERT INTO `lang_definitions` VALUES (141903, 5061, 26, 'Điều chỉnh BH');
INSERT INTO `lang_definitions` VALUES (141904, 5062, 26, 'Bao gộp BH');
INSERT INTO `lang_definitions` VALUES (141905, 5063, 26, 'Mã BH');
INSERT INTO `lang_definitions` VALUES (141906, 5066, 26, 'Trả dư BH');
INSERT INTO `lang_definitions` VALUES (141907, 5068, 26, 'Hoàn trả BH');
INSERT INTO `lang_definitions` VALUES (141908, 5069, 26, 'Tóm tắt BH');
INSERT INTO `lang_definitions` VALUES (141909, 5071, 26, 'BH1');
INSERT INTO `lang_definitions` VALUES (141910, 5072, 26, 'BH2');
INSERT INTO `lang_definitions` VALUES (141911, 5073, 26, 'BH3');
INSERT INTO `lang_definitions` VALUES (141912, 5075, 26, 'Chèn thất bại:');
INSERT INTO `lang_definitions` VALUES (141913, 5079, 26, 'Chèn các sự kiện cũ vào bảng');
INSERT INTO `lang_definitions` VALUES (141914, 5085, 26, 'Mất ngủ');
INSERT INTO `lang_definitions` VALUES (141915, 5087, 26, 'Kiểm tra');
INSERT INTO `lang_definitions` VALUES (141916, 5088, 26, 'Sự bất ổn / subluxation');
INSERT INTO `lang_definitions` VALUES (141917, 5089, 26, 'CÀI ĐẶT');
INSERT INTO `lang_definitions` VALUES (141918, 5090, 26, 'Cài đặt');
INSERT INTO `lang_definitions` VALUES (141919, 5093, 26, 'cài đặt DB');
INSERT INTO `lang_definitions` VALUES (141920, 5100, 26, 'Bản phát hành Được cài đặt');
INSERT INTO `lang_definitions` VALUES (141921, 5102, 26, 'Hướng dẫn');
INSERT INTO `lang_definitions` VALUES (141922, 5103, 26, 'Hướng dẫn');
INSERT INTO `lang_definitions` VALUES (141923, 5105, 26, 'Hướng dẫn:');
INSERT INTO `lang_definitions` VALUES (141924, 5107, 26, 'Không đủ hàng cho mã sản phẩm');
INSERT INTO `lang_definitions` VALUES (141925, 5108, 26, 'Insulin phụ thuộc Bệnh tiểu đường');
INSERT INTO `lang_definitions` VALUES (141926, 5109, 26, 'Bảo hiểm');
INSERT INTO `lang_definitions` VALUES (141927, 5110, 26, 'bảo hiểm');
INSERT INTO `lang_definitions` VALUES (141928, 5114, 26, 'Cân đối Bảo hiểm');
INSERT INTO `lang_definitions` VALUES (141929, 5116, 26, 'Cty Bảo hiểm');
INSERT INTO `lang_definitions` VALUES (141930, 5117, 26, 'Công ty Bảo hiểm');
INSERT INTO `lang_definitions` VALUES (141931, 5118, 26, 'Công ty Bảo hiểm');
INSERT INTO `lang_definitions` VALUES (141932, 5119, 26, 'Tìm kiếm / Thêm Công ty Bảo hiểm');
INSERT INTO `lang_definitions` VALUES (141933, 5121, 26, 'Dữ liệu Bảo hiểm');
INSERT INTO `lang_definitions` VALUES (141934, 5124, 26, 'Thông tin bảo hiểm trong hồ sơ');
INSERT INTO `lang_definitions` VALUES (141935, 5126, 26, 'Số Bảo hiểm');
INSERT INTO `lang_definitions` VALUES (141936, 5127, 26, 'Bảo hiểm Thanh toán');
INSERT INTO `lang_definitions` VALUES (141937, 5129, 26, 'Nhà cung cấp Bảo hiểm');
INSERT INTO `lang_definitions` VALUES (141938, 5133, 26, 'Đã bảo hiểm');
INSERT INTO `lang_definitions` VALUES (141939, 5134, 26, 'Lượng Kết luận');
INSERT INTO `lang_definitions` VALUES (141940, 5135, 26, 'Intake ngày');
INSERT INTO `lang_definitions` VALUES (141941, 5138, 26, 'Trí tuệ Từ chối');
INSERT INTO `lang_definitions` VALUES (141942, 5149, 26, 'Lỗi nội bộ - không có các trang đã được lựa chọn!');
INSERT INTO `lang_definitions` VALUES (141943, 5150, 26, 'Lỗi nội bộ - ID bệnh nhân không được cung cấp!');
INSERT INTO `lang_definitions` VALUES (141944, 5151, 26, 'Lỗi nội bộ truy cập vào tập tin tải lên!');
INSERT INTO `lang_definitions` VALUES (141945, 5153, 26, 'Lỗi nội bộ!');
INSERT INTO `lang_definitions` VALUES (141946, 5154, 26, 'Lỗi nội bộ, không ID thuốc quy định!');
INSERT INTO `lang_definitions` VALUES (141947, 5156, 26, 'Lỗi nội bộ: yêu cầu bồi thường');
INSERT INTO `lang_definitions` VALUES (141948, 5157, 26, 'Lỗi nội bộ: cuộc gặp gỡ \'');
INSERT INTO `lang_definitions` VALUES (141949, 5158, 26, 'Lỗi nội bộ: pid hoặc cuộc gặp gỡ là mất tích.');
INSERT INTO `lang_definitions` VALUES (141950, 5160, 26, 'Nhận dạng nội bộ (pid)');
INSERT INTO `lang_definitions` VALUES (141951, 5163, 26, 'Nội bộ Giới thiệu tham gia');
INSERT INTO `lang_definitions` VALUES (141952, 5164, 26, 'Nội bộ Thời gian thu');
INSERT INTO `lang_definitions` VALUES (141953, 5165, 26, 'Quốc tế Duty');
INSERT INTO `lang_definitions` VALUES (141954, 5167, 26, 'Thông dịch viên');
INSERT INTO `lang_definitions` VALUES (141955, 5168, 26, 'Cần thông dịch viên không?');
INSERT INTO `lang_definitions` VALUES (141956, 5169, 26, 'Bệnh kẽ phổi');
INSERT INTO `lang_definitions` VALUES (141957, 5170, 26, 'Khoảng thời gian');
INSERT INTO `lang_definitions` VALUES (141958, 5173, 26, 'Can thiệp');
INSERT INTO `lang_definitions` VALUES (141959, 5175, 26, 'Không khoan dung');
INSERT INTO `lang_definitions` VALUES (141960, 5178, 26, 'tiêm bắp');
INSERT INTO `lang_definitions` VALUES (141961, 5181, 26, 'tĩnh mạch');
INSERT INTO `lang_definitions` VALUES (141962, 5182, 26, 'Giới thiệu');
INSERT INTO `lang_definitions` VALUES (141963, 5185, 26, 'Không hợp lệ nhân vật trong');
INSERT INTO `lang_definitions` VALUES (141964, 5195, 26, 'Không hợp lệ chiều dài cho');
INSERT INTO `lang_definitions` VALUES (141965, 5196, 26, 'Không hợp lệ nhân vật không phải số');
INSERT INTO `lang_definitions` VALUES (141966, 5197, 26, 'Đối tượng nộp không hợp lệ hoặc thiếu trong mã nguồn cho mã');
INSERT INTO `lang_definitions` VALUES (141967, 5200, 26, 'Không hợp lệ dịch vụ Mã');
INSERT INTO `lang_definitions` VALUES (141968, 5201, 26, 'Chỉ nguồn không hợp lệ \"');
INSERT INTO `lang_definitions` VALUES (141969, 5204, 26, 'InvAmt');
INSERT INTO `lang_definitions` VALUES (141970, 5205, 26, 'Kiểm kê');
INSERT INTO `lang_definitions` VALUES (141971, 5206, 26, 'Hoạt động Kiểm kê');
INSERT INTO `lang_definitions` VALUES (141972, 5207, 26, 'Kiểm kê và bán cả hai loại thuốc và sản phẩm không là thuốc');
INSERT INTO `lang_definitions` VALUES (141973, 5208, 26, 'Chỉ kiểm kê và bán thuốc');
INSERT INTO `lang_definitions` VALUES (141974, 5209, 26, 'Hàng tồn kho là không có sẵn cho lệnh này.');
INSERT INTO `lang_definitions` VALUES (141975, 5210, 26, 'Hàng tồn kho Danh sách');
INSERT INTO `lang_definitions` VALUES (141976, 5211, 26, 'Kiểm kê giao dịch');
INSERT INTO `lang_definitions` VALUES (141977, 5212, 26, 'Hoá đơn');
INSERT INTO `lang_definitions` VALUES (141978, 5213, 26, 'hóa đơn');
INSERT INTO `lang_definitions` VALUES (141979, 5217, 26, 'Hoá đơn ngày');
INSERT INTO `lang_definitions` VALUES (141980, 5219, 26, 'Hoá đơn đã không có ngày!');
INSERT INTO `lang_definitions` VALUES (141981, 5220, 26, 'Hóa đơn số');
INSERT INTO `lang_definitions` VALUES (141982, 5221, 26, 'Số hóa đơn tham khảo');
INSERT INTO `lang_definitions` VALUES (141983, 5222, 26, 'Hoá đơn tài liệu tham khảo số lượng hồ bơi, nếu được sử dụng');
INSERT INTO `lang_definitions` VALUES (141984, 5223, 26, 'Tập hợp Số Tham chiếu Hóa đơn');
INSERT INTO `lang_definitions` VALUES (141985, 5224, 26, 'Tập hợp Số TC Hóa đơn');
INSERT INTO `lang_definitions` VALUES (141986, 5226, 26, 'Hóa đơn:');
INSERT INTO `lang_definitions` VALUES (141987, 5237, 26, 'IPPF');
INSERT INTO `lang_definitions` VALUES (141988, 5240, 26, 'IPPF SRH Data for');
INSERT INTO `lang_definitions` VALUES (141989, 5241, 26, 'IPPF Statistics Report');
INSERT INTO `lang_definitions` VALUES (141990, 5242, 26, 'IPPF Stats');
INSERT INTO `lang_definitions` VALUES (141991, 5243, 26, 'IPV 1');
INSERT INTO `lang_definitions` VALUES (141992, 5244, 26, 'IPV 2');
INSERT INTO `lang_definitions` VALUES (141993, 5245, 26, 'IPV 3');
INSERT INTO `lang_definitions` VALUES (141994, 5246, 26, 'IPV 4');
INSERT INTO `lang_definitions` VALUES (141995, 5249, 26, 'Không thường xuyên Heart Beat');
INSERT INTO `lang_definitions` VALUES (141996, 5250, 26, 'Khó chịu');
INSERT INTO `lang_definitions` VALUES (141997, 5251, 26, 'Kích thích');
INSERT INTO `lang_definitions` VALUES (141998, 5256, 26, 'là một lĩnh vực cần thiết.');
INSERT INTO `lang_definitions` VALUES (141999, 5257, 26, 'là một nút gốc và không thể bị xóa.');
INSERT INTO `lang_definitions` VALUES (142000, 5268, 26, 'là không hợp lệ (phân số thập phân là OK).');
INSERT INTO `lang_definitions` VALUES (142001, 5269, 26, 'PHP bằng cách sử dụng chế độ Safe Mode?');
INSERT INTO `lang_definitions` VALUES (142002, 5273, 26, 'Có dịch văn bản trong các bố trí biểu mẫu không?');
INSERT INTO `lang_definitions` VALUES (142003, 5274, 26, 'Có dịch văn bản trong các danh sách không?');
INSERT INTO `lang_definitions` VALUES (142004, 5275, 26, 'Đến tập tin được mã hóa?');
INSERT INTO `lang_definitions` VALUES (142005, 5277, 26, 'Đây có phải là một loại chẩn đoán không?');
INSERT INTO `lang_definitions` VALUES (142006, 5286, 26, 'Có giấu loại này trong bảng lệ phí không?');
INSERT INTO `lang_definitions` VALUES (142007, 5288, 26, 'quá dài');
INSERT INTO `lang_definitions` VALUES (142008, 5290, 26, 'Rắc rối');
INSERT INTO `lang_definitions` VALUES (142009, 5291, 26, 'rắc rối');
INSERT INTO `lang_definitions` VALUES (142010, 5292, 26, 'Ngày gặp Rắc rối');
INSERT INTO `lang_definitions` VALUES (142011, 5293, 26, 'Mã số Rắc rối');
INSERT INTO `lang_definitions` VALUES (142012, 5295, 26, 'Tựa đề Rắc rối');
INSERT INTO `lang_definitions` VALUES (142013, 5298, 26, 'Rắc rối');
INSERT INTO `lang_definitions` VALUES (142014, 5299, 26, 'Rắc rối (Chấn thương / Nội khoa / Dị ứng)');
INSERT INTO `lang_definitions` VALUES (142015, 5300, 26, 'Rắc rối (Chấn thương / Nội khoa / Dị ứng):');
INSERT INTO `lang_definitions` VALUES (142016, 5302, 26, 'Rắc rối và Lần khám');
INSERT INTO `lang_definitions` VALUES (142017, 5303, 26, 'Rắc rối và Lần khám của');
INSERT INTO `lang_definitions` VALUES (142018, 5308, 26, 'Các vấn đề không được uỷ quyền');
INSERT INTO `lang_definitions` VALUES (142019, 5309, 26, 'Đề mục Rắc rối');
INSERT INTO `lang_definitions` VALUES (142020, 5364, 26, 'Tiếng Ý');
INSERT INTO `lang_definitions` VALUES (142021, 5365, 26, 'Mục');
INSERT INTO `lang_definitions` VALUES (142022, 5366, 26, 'mục');
INSERT INTO `lang_definitions` VALUES (142023, 5369, 26, 'Các mục tải không thành công');
INSERT INTO `lang_definitions` VALUES (142024, 5370, 26, 'IU / L');
INSERT INTO `lang_definitions` VALUES (142025, 5371, 26, 'Vòng tránh thai');
INSERT INTO `lang_definitions` VALUES (142026, 5372, 26, 'Tiêm tĩnh mạch');
INSERT INTO `lang_definitions` VALUES (142027, 5375, 26, 'Tháng Một');
INSERT INTO `lang_definitions` VALUES (142028, 5376, 26, 'Tháng Một');
INSERT INTO `lang_definitions` VALUES (142029, 5377, 26, 'Tiếng Nhật');
INSERT INTO `lang_definitions` VALUES (142030, 5378, 26, 'Vàng da');
INSERT INTO `lang_definitions` VALUES (142031, 5380, 26, 'Mô tả Công việc');
INSERT INTO `lang_definitions` VALUES (142032, 5381, 26, 'Mã Công việc');
INSERT INTO `lang_definitions` VALUES (142033, 5382, 26, 'Phần lệch mạng');
INSERT INTO `lang_definitions` VALUES (142034, 5383, 26, 'Đau khớp');
INSERT INTO `lang_definitions` VALUES (142035, 5384, 26, 'Phần bong gân');
INSERT INTO `lang_definitions` VALUES (142036, 5385, 26, 'Tháng Bảy');
INSERT INTO `lang_definitions` VALUES (142037, 5386, 26, 'Tháng Bảy');
INSERT INTO `lang_definitions` VALUES (142038, 5388, 26, 'Tháng Sáu');
INSERT INTO `lang_definitions` VALUES (142039, 5389, 26, 'Tháng Sáu');
INSERT INTO `lang_definitions` VALUES (142040, 5390, 26, 'Ngay dưới các thông tin kiểm tra là một khu vực màu xanh nơi bạn đặt các thông số tìm kiếm của bạn. Bạn có thể tìm kiếm theo tên bệnh nhân, biểu đồ, gặp phải số hoặc ngày của dịch vụ, hoặc bất kỳ sự kết hợp nào trong số này. Bạn cũng có thể chọn xem bạn có muốn xem tất cả các hoá đơn, hoá đơn mở, hoặc hoá đơn chỉ là do (bệnh nhân). Nhấp vào nút Tìm kiếm để thực hiện tìm kiếm.');
INSERT INTO `lang_definitions` VALUES (142041, 5391, 26, 'Chỉ của Tôi');
INSERT INTO `lang_definitions` VALUES (142042, 5393, 26, 'Biện minh cho');
INSERT INTO `lang_definitions` VALUES (142043, 5396, 26, 'Justify / Lưu');
INSERT INTO `lang_definitions` VALUES (142044, 5398, 26, 'k, đây là phần còn lại');
INSERT INTO `lang_definitions` VALUES (142045, 5407, 26, 'Khóa');
INSERT INTO `lang_definitions` VALUES (142046, 5411, 26, 'Từ khóa');
INSERT INTO `lang_definitions` VALUES (142047, 5412, 26, 'kg');
INSERT INTO `lang_definitions` VALUES (142048, 5413, 26, 'kg/m^2');
INSERT INTO `lang_definitions` VALUES (142049, 5415, 26, 'Ung thư Thận');
INSERT INTO `lang_definitions` VALUES (142050, 5416, 26, 'Suy thận');
INSERT INTO `lang_definitions` VALUES (142051, 5417, 26, 'Nhiễm trùng Thận');
INSERT INTO `lang_definitions` VALUES (142052, 5418, 26, 'Sỏi Thận');
INSERT INTO `lang_definitions` VALUES (142053, 5419, 26, 'Ghép Thận');
INSERT INTO `lang_definitions` VALUES (142054, 5425, 26, 'Đầu gối');
INSERT INTO `lang_definitions` VALUES (142055, 5426, 26, 'Vấn đề với đầu gối');
INSERT INTO `lang_definitions` VALUES (142056, 5427, 26, 'Thay thế đầu gối');
INSERT INTO `lang_definitions` VALUES (142057, 5430, 26, 'Tiếng Hàn Quốc');
INSERT INTO `lang_definitions` VALUES (142058, 5434, 26, 'Phòng thí nghiệm');
INSERT INTO `lang_definitions` VALUES (142059, 5436, 26, 'Địa chỉ trang web phòng thí nghiệm Trao đổi');
INSERT INTO `lang_definitions` VALUES (142060, 5437, 26, 'Site ID Lab Trao đổi');
INSERT INTO `lang_definitions` VALUES (142061, 5438, 26, 'Phòng thí nghiệm Trao đổi Mã Số ID');
INSERT INTO `lang_definitions` VALUES (142062, 5442, 26, 'Trạng thái Hỏi Phòng thí nghiệm');
INSERT INTO `lang_definitions` VALUES (142063, 5444, 26, 'Báo cáo Thí nghiệm');
INSERT INTO `lang_definitions` VALUES (142064, 5445, 26, 'Kết quả Thí nghiệm');
INSERT INTO `lang_definitions` VALUES (142065, 5446, 26, 'Kết quả Thí nghiệm');
INSERT INTO `lang_definitions` VALUES (142066, 5449, 26, 'Báo cáo Kết quả Thí nghiệm');
INSERT INTO `lang_definitions` VALUES (142067, 5450, 26, 'Dịch vụ Thí nghiệm');
INSERT INTO `lang_definitions` VALUES (142068, 5451, 26, 'Kết quả Phòng thí nghiệm Thử nghiệm');
INSERT INTO `lang_definitions` VALUES (142069, 5453, 26, 'Nhãn');
INSERT INTO `lang_definitions` VALUES (142070, 5454, 26, 'Label không có thể được để trống');
INSERT INTO `lang_definitions` VALUES (142071, 5455, 26, 'Nhãn cột');
INSERT INTO `lang_definitions` VALUES (142072, 5458, 26, 'LabelCols phải là một số giữa 1 và 999');
INSERT INTO `lang_definitions` VALUES (142073, 5459, 26, 'Nhãn');
INSERT INTO `lang_definitions` VALUES (142074, 5463, 26, 'Phòng thí nghiệm');
INSERT INTO `lang_definitions` VALUES (142075, 5464, 26, 'Rách / tình trạng da');
INSERT INTO `lang_definitions` VALUES (142076, 5465, 26, 'Rách / mài mòn');
INSERT INTO `lang_definitions` VALUES (142077, 5471, 26, 'Ngôn ngữ');
INSERT INTO `lang_definitions` VALUES (142078, 5472, 26, 'Mã Ngôn ngữ');
INSERT INTO `lang_definitions` VALUES (142079, 5473, 26, 'Đã thêm định nghĩa ngôn ngữ');
INSERT INTO `lang_definitions` VALUES (142080, 5474, 26, 'Công cụ Ngôn ngữ Giao diện');
INSERT INTO `lang_definitions` VALUES (142081, 5476, 26, 'Danh sách ngôn ngữ (viết, addonly tùy chọn)');
INSERT INTO `lang_definitions` VALUES (142082, 5478, 26, 'Tên Ngôn ngữ');
INSERT INTO `lang_definitions` VALUES (142083, 5479, 26, 'Ngôn ngữ:');
INSERT INTO `lang_definitions` VALUES (142084, 5481, 26, 'Tiếng Lào');
INSERT INTO `lang_definitions` VALUES (142085, 5485, 26, 'Họ');
INSERT INTO `lang_definitions` VALUES (142086, 5486, 26, 'Ngày Hoạt động Trước đây');
INSERT INTO `lang_definitions` VALUES (142087, 5489, 26, 'Ngày Hóa đơn Trước đây:');
INSERT INTO `lang_definitions` VALUES (142088, 5491, 26, 'Năm Ngoái');
INSERT INTO `lang_definitions` VALUES (142089, 5495, 26, 'Lần gặp Trước');
INSERT INTO `lang_definitions` VALUES (142090, 5506, 26, 'Tháng trước');
INSERT INTO `lang_definitions` VALUES (142091, 5507, 26, 'Họ');
INSERT INTO `lang_definitions` VALUES (142092, 5508, 26, 'Họ');
INSERT INTO `lang_definitions` VALUES (142093, 5513, 26, 'Họ:');
INSERT INTO `lang_definitions` VALUES (142094, 5517, 26, 'Lần xem xét Trước đây');
INSERT INTO `lang_definitions` VALUES (142095, 5519, 26, 'Lưu Lần cuối');
INSERT INTO `lang_definitions` VALUES (142096, 5525, 26, 'Cập nhật lần cuối bởi');
INSERT INTO `lang_definitions` VALUES (142097, 5526, 26, 'Xác nhận Lần cuối Ngày');
INSERT INTO `lang_definitions` VALUES (142098, 5527, 26, 'Lần Đến khám cuối');
INSERT INTO `lang_definitions` VALUES (142099, 5530, 26, 'Tái phát chậm (2-12 Tháng)');
INSERT INTO `lang_definitions` VALUES (142100, 5531, 26, 'Bên mắt cá');
INSERT INTO `lang_definitions` VALUES (142101, 5532, 26, 'Bên mắt cá:');
INSERT INTO `lang_definitions` VALUES (142102, 5533, 26, 'Tay thuận');
INSERT INTO `lang_definitions` VALUES (142103, 5534, 26, 'Tay thuận của thủ tục này, nếu áp dụng');
INSERT INTO `lang_definitions` VALUES (142104, 5535, 26, 'bên cửa PMI:');
INSERT INTO `lang_definitions` VALUES (142105, 5549, 26, 'Dựa trên Bố trí');
INSERT INTO `lang_definitions` VALUES (142106, 5551, 26, 'Trình sửa Bố trí');
INSERT INTO `lang_definitions` VALUES (142107, 5552, 26, 'Các nhóm bố trí');
INSERT INTO `lang_definitions` VALUES (142108, 5556, 26, 'Kiểu mẫu Bố trí');
INSERT INTO `lang_definitions` VALUES (142109, 5558, 26, 'Biểu mẫu Đến khám Dựa trên Bố trí');
INSERT INTO `lang_definitions` VALUES (142110, 5559, 26, 'Bố trí');
INSERT INTO `lang_definitions` VALUES (142111, 5560, 26, 'lb');
INSERT INTO `lang_definitions` VALUES (142112, 5563, 26, 'lbs');
INSERT INTO `lang_definitions` VALUES (142113, 5571, 26, 'LDL');
INSERT INTO `lang_definitions` VALUES (142114, 5573, 26, 'để trống nếu vẫn còn đang bị');
INSERT INTO `lang_definitions` VALUES (142115, 5574, 26, 'Để trống Để Giữ Tên tập tin gốc');
INSERT INTO `lang_definitions` VALUES (142116, 5575, 26, 'Để trống để giữ nguyên không thay đổi mật khẩu.');
INSERT INTO `lang_definitions` VALUES (142117, 5580, 26, 'Để lại tin nhắn với');
INSERT INTO `lang_definitions` VALUES (142118, 5582, 26, 'Để lại Mẫu');
INSERT INTO `lang_definitions` VALUES (142119, 5583, 26, 'Bỏ trống cụm từ vượt qua sẽ không mã hóa các tài liệu');
INSERT INTO `lang_definitions` VALUES (142120, 5586, 26, 'Còn lại');
INSERT INTO `lang_definitions` VALUES (142121, 5589, 26, 'Tai Trái');
INSERT INTO `lang_definitions` VALUES (142122, 5590, 26, 'tai trái');
INSERT INTO `lang_definitions` VALUES (142123, 5599, 26, 'Còn lại:');
INSERT INTO `lang_definitions` VALUES (142124, 5600, 26, 'Còn lại:');
INSERT INTO `lang_definitions` VALUES (142125, 5601, 26, 'Đau chân / chuột rút');
INSERT INTO `lang_definitions` VALUES (142126, 5602, 26, 'Pháp lý');
INSERT INTO `lang_definitions` VALUES (142127, 5605, 26, 'Chú thích:');
INSERT INTO `lang_definitions` VALUES (142128, 5606, 26, 'Chiều dài');
INSERT INTO `lang_definitions` VALUES (142129, 5607, 26, 'Chiều dài của bộ biến đổi, 0 nếu không có');
INSERT INTO `lang_definitions` VALUES (142130, 5613, 26, 'Ít hơn');
INSERT INTO `lang_definitions` VALUES (142131, 5614, 26, 'Ít hơn hoặc bằng');
INSERT INTO `lang_definitions` VALUES (142132, 5615, 26, 'Ít thông tin cá nhân (viết addonly tùy chọn)');
INSERT INTO `lang_definitions` VALUES (142133, 5620, 26, 'Thư');
INSERT INTO `lang_definitions` VALUES (142134, 5621, 26, 'Thư Generator');
INSERT INTO `lang_definitions` VALUES (142135, 5623, 26, 'Giấy bác sĩ những dấu hiệu');
INSERT INTO `lang_definitions` VALUES (142136, 5624, 26, 'Giấy viết thư mà bệnh nhân có dấu hiệu');
INSERT INTO `lang_definitions` VALUES (142137, 5627, 26, 'Mức độ cấp bách');
INSERT INTO `lang_definitions` VALUES (142138, 5630, 26, 'Trách nhiệm pháp lý');
INSERT INTO `lang_definitions` VALUES (142139, 5631, 26, 'Trách nhiệm pháp lý y tế');
INSERT INTO `lang_definitions` VALUES (142140, 5633, 26, 'Giấy phép/ID');
INSERT INTO `lang_definitions` VALUES (142141, 5639, 26, 'LicensedPrescriber tên cuối cùng');
INSERT INTO `lang_definitions` VALUES (142142, 5640, 26, 'LicensedPrescriber NPI');
INSERT INTO `lang_definitions` VALUES (142143, 5641, 26, 'LicensedPrescriber UPIN');
INSERT INTO `lang_definitions` VALUES (142144, 5644, 26, 'Lối sống');
INSERT INTO `lang_definitions` VALUES (142145, 5646, 26, 'Lối sống tình trạng');
INSERT INTO `lang_definitions` VALUES (142146, 5647, 26, 'Rách hay bong gân dây chằng');
INSERT INTO `lang_definitions` VALUES (142147, 5651, 26, 'Giới hạn của sự kiện');
INSERT INTO `lang_definitions` VALUES (142148, 5657, 26, 'Liên kết');
INSERT INTO `lang_definitions` VALUES (142149, 5660, 26, 'Liên kết');
INSERT INTO `lang_definitions` VALUES (142150, 5663, 26, 'liên kết để tài liệu');
INSERT INTO `lang_definitions` VALUES (142151, 5665, 26, 'Danh sách');
INSERT INTO `lang_definitions` VALUES (142152, 5666, 26, 'Hộp danh sách');
INSERT INTO `lang_definitions` VALUES (142153, 5667, 26, 'hộp danh sách');
INSERT INTO `lang_definitions` VALUES (142154, 5668, 26, 'hộp danh sách w / thêm');
INSERT INTO `lang_definitions` VALUES (142155, 5669, 26, 'Danh sách hộp w / add');
INSERT INTO `lang_definitions` VALUES (142156, 5671, 26, 'Danh sách biên tập');
INSERT INTO `lang_definitions` VALUES (142157, 5672, 26, 'Danh sách gặp');
INSERT INTO `lang_definitions` VALUES (142158, 5674, 26, 'Danh sách các nhóm');
INSERT INTO `lang_definitions` VALUES (142159, 5675, 26, 'Công ty Danh sách Bảo hiểm');
INSERT INTO `lang_definitions` VALUES (142160, 5677, 26, 'Danh sách các mục không thể bắt đầu với một số.');
INSERT INTO `lang_definitions` VALUES (142161, 5678, 26, 'Danh sách các mục có chứa ký tự bất hợp pháp (s).');
INSERT INTO `lang_definitions` VALUES (142162, 5680, 26, 'Danh sách danh sách');
INSERT INTO `lang_definitions` VALUES (142163, 5682, 26, 'Danh sách Name');
INSERT INTO `lang_definitions` VALUES (142164, 5683, 26, 'Tên danh sách không có thể bắt đầu với những con số.');
INSERT INTO `lang_definitions` VALUES (142165, 5688, 26, 'Danh sách Đơn thuốc');
INSERT INTO `lang_definitions` VALUES (142166, 5689, 26, 'Danh sách được sử dụng bởi Quốc gia Loại trên dữ liệu tùy chọn.');
INSERT INTO `lang_definitions` VALUES (142167, 5690, 26, 'Danh sách được sử dụng bởi Nhà nước Loại trên dữ liệu tùy chọn.');
INSERT INTO `lang_definitions` VALUES (142168, 5691, 26, 'Cổng lắng nghe của máy chủ syslog TLS 5425 RFC.');
INSERT INTO `lang_definitions` VALUES (142169, 5693, 26, 'Danh sách');
INSERT INTO `lang_definitions` VALUES (142170, 5696, 26, 'Living Will');
INSERT INTO `lang_definitions` VALUES (142171, 5701, 26, 'LLL:');
INSERT INTO `lang_definitions` VALUES (142172, 5707, 26, 'LMP');
INSERT INTO `lang_definitions` VALUES (142173, 5709, 26, 'Tải định nghĩa');
INSERT INTO `lang_definitions` VALUES (142174, 5717, 26, 'LOADING');
INSERT INTO `lang_definitions` VALUES (142175, 5721, 26, 'Tải tập tin vào cơ sở dữ liệu. Điều này sẽ mất một thời gian ...');
INSERT INTO `lang_definitions` VALUES (142176, 5723, 26, 'LOC');
INSERT INTO `lang_definitions` VALUES (142177, 5724, 26, 'Nội bộ');
INSERT INTO `lang_definitions` VALUES (142178, 5728, 26, 'Địa phương');
INSERT INTO `lang_definitions` VALUES (142179, 5729, 26, 'Nơi');
INSERT INTO `lang_definitions` VALUES (142180, 5730, 26, 'Địa điểm');
INSERT INTO `lang_definitions` VALUES (142181, 5731, 26, 'vị trí của máy openemr và có thể chứa dữ liệu nhạy cảm, vì vậy nó được khuyến khích để tự xóa các tập tin sau khi sử dụng của nó');
INSERT INTO `lang_definitions` VALUES (142182, 5732, 26, 'Vị trí của rất nhiều này');
INSERT INTO `lang_definitions` VALUES (142183, 5733, 26, 'Vị trí không xác định');
INSERT INTO `lang_definitions` VALUES (142184, 5734, 26, 'Vị trí nơi Hylafax cửa hàng fax.');
INSERT INTO `lang_definitions` VALUES (142185, 5735, 26, 'Vị trí nơi được lưu trữ quét.');
INSERT INTO `lang_definitions` VALUES (142186, 5736, 26, 'Đến từ:');
INSERT INTO `lang_definitions` VALUES (142187, 5737, 26, 'Khóa');
INSERT INTO `lang_definitions` VALUES (142188, 5745, 26, 'Đăng nhập');
INSERT INTO `lang_definitions` VALUES (142189, 5749, 26, 'Thoát');
INSERT INTO `lang_definitions` VALUES (142190, 5752, 26, 'Đăng nhập');
INSERT INTO `lang_definitions` VALUES (142191, 5753, 26, 'Đăng nhập như');
INSERT INTO `lang_definitions` VALUES (142192, 5754, 26, 'Đăng nhập như:');
INSERT INTO `lang_definitions` VALUES (142193, 5755, 26, 'Đăng xuất.');
INSERT INTO `lang_definitions` VALUES (142194, 5757, 26, 'Đăng nhập');
INSERT INTO `lang_definitions` VALUES (142195, 5758, 26, 'đăng nhập');
INSERT INTO `lang_definitions` VALUES (142196, 5768, 26, 'Đăng xuất');
INSERT INTO `lang_definitions` VALUES (142197, 5769, 26, 'đăng xuất');
INSERT INTO `lang_definitions` VALUES (142198, 5770, 26, 'Các bản ghi');
INSERT INTO `lang_definitions` VALUES (142199, 5771, 26, 'Các bản ghi Viewer');
INSERT INTO `lang_definitions` VALUES (142200, 5776, 26, 'Look Up');
INSERT INTO `lang_definitions` VALUES (142201, 5777, 26, 'Lô hàng');
INSERT INTO `lang_definitions` VALUES (142202, 5778, 26, 'Thiếu Mã Lô hàng!');
INSERT INTO `lang_definitions` VALUES (142203, 5779, 26, 'Số Lô');
INSERT INTO `lang_definitions` VALUES (142204, 5780, 26, 'Thấp');
INSERT INTO `lang_definitions` VALUES (142205, 5782, 26, 'Hạ chân');
INSERT INTO `lang_definitions` VALUES (142206, 5791, 26, 'Thắt lưng cột sống');
INSERT INTO `lang_definitions` VALUES (142207, 5792, 26, 'TRƯA');
INSERT INTO `lang_definitions` VALUES (142208, 5793, 26, 'Ăn trưa');
INSERT INTO `lang_definitions` VALUES (142209, 5794, 26, 'Ung thư phổi');
INSERT INTO `lang_definitions` VALUES (142210, 5795, 26, 'Ung thư phổi phẫu thuật');
INSERT INTO `lang_definitions` VALUES (142211, 5796, 26, 'Phổi:');
INSERT INTO `lang_definitions` VALUES (142212, 5797, 26, 'Phổi:');
INSERT INTO `lang_definitions` VALUES (142213, 5798, 26, 'Lupus');
INSERT INTO `lang_definitions` VALUES (142214, 5804, 26, 'M');
INSERT INTO `lang_definitions` VALUES (142215, 5805, 26, 'MA Thể loại');
INSERT INTO `lang_definitions` VALUES (142216, 5806, 26, 'MA Khách hàng chấp nhận phá thai');
INSERT INTO `lang_definitions` VALUES (142217, 5807, 26, 'MA Thống kê');
INSERT INTO `lang_definitions` VALUES (142218, 5812, 26, 'Đã gửi Thư');
INSERT INTO `lang_definitions` VALUES (142219, 5814, 26, 'Chính');
INSERT INTO `lang_definitions` VALUES (142220, 5815, 26, 'Địa chỉ Chính');
INSERT INTO `lang_definitions` VALUES (142221, 5821, 26, 'Cửa sổ màn hình chính');
INSERT INTO `lang_definitions` VALUES (142222, 5824, 26, 'Duy trì danh sách hoạt động dị ứng thuốc.');
INSERT INTO `lang_definitions` VALUES (142223, 5825, 26, 'Duy trì danh sách thuốc đang hoạt động.');
INSERT INTO `lang_definitions` VALUES (142224, 5826, 26, 'Duy trì một danh sách vấn đề up-to-ngày của chẩn đoán hiện tại và hoạt động.');
INSERT INTO `lang_definitions` VALUES (142225, 5827, 26, 'Sửa đổi danh mục hiện tại.');
INSERT INTO `lang_definitions` VALUES (142226, 5828, 26, 'Hãy bổ nhiệm mới cho');
INSERT INTO `lang_definitions` VALUES (142227, 5831, 26, 'Hãy chắc chắn rằng \"');
INSERT INTO `lang_definitions` VALUES (142228, 5832, 26, 'Các tập tin văn bản hàng loạt để tải lên Clearing House và sẽ đánh dấu như lập hoá đơn');
INSERT INTO `lang_definitions` VALUES (142229, 5834, 26, 'Tình trạng bất ổn:');
INSERT INTO `lang_definitions` VALUES (142230, 5837, 26, 'Nam');
INSERT INTO `lang_definitions` VALUES (142231, 5838, 26, 'Nam Bao cao su');
INSERT INTO `lang_definitions` VALUES (142232, 5839, 26, 'Nam VSC');
INSERT INTO `lang_definitions` VALUES (142233, 5841, 26, 'Chụp quang tuyến vú');
INSERT INTO `lang_definitions` VALUES (142234, 5842, 26, 'Quản lý');
INSERT INTO `lang_definitions` VALUES (142235, 5850, 26, 'Quản lý dịch');
INSERT INTO `lang_definitions` VALUES (142236, 5851, 26, 'Quản lý');
INSERT INTO `lang_definitions` VALUES (142237, 5854, 26, 'Thông tin bắt buộc hoặc được chọn');
INSERT INTO `lang_definitions` VALUES (142238, 5855, 26, 'Chỉ có thông tin bắt buộc hoặc được chọn, kiểm tra trùng lặp, không tìm kiếm');
INSERT INTO `lang_definitions` VALUES (142239, 5856, 26, 'Chỉ có thông tin bắt buộc hoặc được chọn, có tìm kiếm và kiểm tra trùng lặp');
INSERT INTO `lang_definitions` VALUES (142240, 5859, 26, 'Hướng dẫn sử dụng');
INSERT INTO `lang_definitions` VALUES (142241, 5860, 26, 'Hướng dẫn Viết bài');
INSERT INTO `lang_definitions` VALUES (142242, 5864, 26, 'Nhà sản xuất');
INSERT INTO `lang_definitions` VALUES (142243, 5870, 26, 'Tháng Ba');
INSERT INTO `lang_definitions` VALUES (142244, 5874, 26, 'Tháng Ba');
INSERT INTO `lang_definitions` VALUES (142245, 5877, 26, 'Tình trạng Hôn nhân');
INSERT INTO `lang_definitions` VALUES (142246, 5880, 26, 'Đánh dấu là thanh toán lập hoá đơn nhưng bỏ qua');
INSERT INTO `lang_definitions` VALUES (142247, 5881, 26, 'Đánh dấu đã rà phá');
INSERT INTO `lang_definitions` VALUES (142248, 5882, 26, 'Đánh dấu như không lập hoá đơn');
INSERT INTO `lang_definitions` VALUES (142249, 5886, 26, 'Được đánh dấu như xóa');
INSERT INTO `lang_definitions` VALUES (142250, 5887, 26, 'Đã kết hôn');
INSERT INTO `lang_definitions` VALUES (142251, 5889, 26, 'Mask');
INSERT INTO `lang_definitions` VALUES (142252, 5890, 26, 'Mặt nạ cho Số Hóa đơn');
INSERT INTO `lang_definitions` VALUES (142253, 5891, 26, 'Mặt nạ cho Mã Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142254, 5892, 26, 'Mặt cho Mã Sản phẩm');
INSERT INTO `lang_definitions` VALUES (142255, 5894, 26, 'Phù hợp với');
INSERT INTO `lang_definitions` VALUES (142256, 5907, 26, 'Max');
INSERT INTO `lang_definitions` VALUES (142257, 5912, 26, 'Hàm trên phải:');
INSERT INTO `lang_definitions` VALUES (142258, 5913, 26, 'Tuổi tối đa');
INSERT INTO `lang_definitions` VALUES (142259, 5917, 26, 'Tối đa thời gian nhàn rỗi trong vài giây trước khi đăng xuất. Mặc định là 7.200 (2 giờ).');
INSERT INTO `lang_definitions` VALUES (142260, 5924, 26, 'Tháng Năm');
INSERT INTO `lang_definitions` VALUES (142261, 5926, 26, 'MC');
INSERT INTO `lang_definitions` VALUES (142262, 5927, 26, 'mcg');
INSERT INTO `lang_definitions` VALUES (142263, 5929, 26, 'Phương tiện không có của ba mật khẩu được cho phép khi thay đổi mật khẩu.');
INSERT INTO `lang_definitions` VALUES (142264, 5931, 26, 'Đo Mã Nhóm');
INSERT INTO `lang_definitions` VALUES (142265, 5933, 26, 'Đo lường');
INSERT INTO `lang_definitions` VALUES (142266, 5939, 26, 'Medial mắt cá:');
INSERT INTO `lang_definitions` VALUES (142267, 5940, 26, 'Medicaid');
INSERT INTO `lang_definitions` VALUES (142268, 5942, 26, 'Nội khoa');
INSERT INTO `lang_definitions` VALUES (142269, 5943, 26, 'Phá thai Nội khoa');
INSERT INTO `lang_definitions` VALUES (142270, 5944, 26, 'Quản trị Nội khoa');
INSERT INTO `lang_definitions` VALUES (142271, 5946, 26, 'Lịch sử Nội khoa');
INSERT INTO `lang_definitions` VALUES (142272, 5947, 26, 'Rắc rối Nội khoa');
INSERT INTO `lang_definitions` VALUES (142273, 5948, 26, 'Rắc rối nội khoa');
INSERT INTO `lang_definitions` VALUES (142274, 5952, 26, 'Vấn đề nội khoa');
INSERT INTO `lang_definitions` VALUES (142275, 5954, 26, 'Vấn đề Nội khoa');
INSERT INTO `lang_definitions` VALUES (142276, 5956, 26, 'Hồ sơ Nội khoa');
INSERT INTO `lang_definitions` VALUES (142277, 5957, 26, 'Số Hồ sơ Nội khoa');
INSERT INTO `lang_definitions` VALUES (142278, 5959, 26, 'Hồ sơ Nội khoa');
INSERT INTO `lang_definitions` VALUES (142279, 5961, 26, 'Đã gửi Hồ sơ Nội khoa');
INSERT INTO `lang_definitions` VALUES (142280, 5963, 26, 'Đã đưa Tóm lược Nội khoa');
INSERT INTO `lang_definitions` VALUES (142281, 5964, 26, 'Hệ thống Nội khoa');
INSERT INTO `lang_definitions` VALUES (142282, 5965, 26, 'Loại Nội khoa');
INSERT INTO `lang_definitions` VALUES (142283, 5966, 26, 'Nội khoa / Lịch sử (tùy chọn cho ghi, chỉ được thêm)');
INSERT INTO `lang_definitions` VALUES (142284, 5968, 26, 'Chăm sóc y tế Phần B');
INSERT INTO `lang_definitions` VALUES (142285, 5969, 26, 'Medicare giới thiệu là Renderer');
INSERT INTO `lang_definitions` VALUES (142286, 5970, 26, 'Thuốc men');
INSERT INTO `lang_definitions` VALUES (142287, 5971, 26, 'Danh sách Dị ứng Thuốc');
INSERT INTO `lang_definitions` VALUES (142288, 5973, 26, 'Danh sách Thuốc men');
INSERT INTO `lang_definitions` VALUES (142289, 5974, 26, 'Đã thực hiện Kiểm tra Thuốc men?');
INSERT INTO `lang_definitions` VALUES (142290, 5975, 26, 'Thuốc men');
INSERT INTO `lang_definitions` VALUES (142291, 5978, 26, 'Thuốc men:');
INSERT INTO `lang_definitions` VALUES (142292, 5979, 26, 'Liều Thuốc');
INSERT INTO `lang_definitions` VALUES (142293, 5980, 26, 'Trung bình');
INSERT INTO `lang_definitions` VALUES (142294, 5984, 26, 'Báo cáo Thống kê thành viên Hiệp hội');
INSERT INTO `lang_definitions` VALUES (142295, 5986, 26, 'Bộ nhớ vấn đề');
INSERT INTO `lang_definitions` VALUES (142296, 5987, 26, 'Đàn ông');
INSERT INTO `lang_definitions` VALUES (142297, 5988, 26, 'Đàn ông và phụ nữ');
INSERT INTO `lang_definitions` VALUES (142298, 5989, 26, 'Men Only');
INSERT INTO `lang_definitions` VALUES (142299, 5990, 26, 'Có kinh nguyệt');
INSERT INTO `lang_definitions` VALUES (142300, 5991, 26, 'Thời kỳ mãn kinh');
INSERT INTO `lang_definitions` VALUES (142301, 5992, 26, 'Kinh nguyệt dòng');
INSERT INTO `lang_definitions` VALUES (142302, 5993, 26, 'Kinh nguyệt Tần số');
INSERT INTO `lang_definitions` VALUES (142303, 5994, 26, 'Bệnh tâm thần');
INSERT INTO `lang_definitions` VALUES (142304, 6005, 26, 'Tin nhắn');
INSERT INTO `lang_definitions` VALUES (142305, 6006, 26, 'Trung tâm Tin nhắn và Nhắc nhở');
INSERT INTO `lang_definitions` VALUES (142306, 6012, 26, 'Đã gửi Tin nhắn');
INSERT INTO `lang_definitions` VALUES (142307, 6013, 26, 'Trạng thái Tin nhắn');
INSERT INTO `lang_definitions` VALUES (142308, 6018, 26, 'TIN NHẮN:');
INSERT INTO `lang_definitions` VALUES (142309, 6019, 26, 'Tin nhắn');
INSERT INTO `lang_definitions` VALUES (142310, 6022, 26, 'Tin nhắn bạn đã gửi hôm nay');
INSERT INTO `lang_definitions` VALUES (142311, 6026, 26, 'Phương pháp');
INSERT INTO `lang_definitions` VALUES (142312, 6027, 26, 'Phương pháp và sản phẩm cụ thể');
INSERT INTO `lang_definitions` VALUES (142313, 6029, 26, 'Phương pháp gửi email gửi đi.');
INSERT INTO `lang_definitions` VALUES (142314, 6030, 26, 'Phương pháp hủy diệt');
INSERT INTO `lang_definitions` VALUES (142315, 6031, 26, 'Mexico / MexAmer / Chicano');
INSERT INTO `lang_definitions` VALUES (142316, 6038, 26, 'mg');
INSERT INTO `lang_definitions` VALUES (142317, 6039, 26, 'mg/1cc');
INSERT INTO `lang_definitions` VALUES (142318, 6040, 26, 'mg/2cc');
INSERT INTO `lang_definitions` VALUES (142319, 6041, 26, 'mg/3cc');
INSERT INTO `lang_definitions` VALUES (142320, 6042, 26, 'mg/4cc');
INSERT INTO `lang_definitions` VALUES (142321, 6043, 26, 'mg/5cc');
INSERT INTO `lang_definitions` VALUES (142322, 6044, 26, 'MG / DL');
INSERT INTO `lang_definitions` VALUES (142323, 6046, 26, 'Tên đệm');
INSERT INTO `lang_definitions` VALUES (142324, 6047, 26, 'Tên đệm');
INSERT INTO `lang_definitions` VALUES (142325, 6048, 26, 'Tên đệm');
INSERT INTO `lang_definitions` VALUES (142326, 6051, 26, 'Midlevel Prescriber DEA');
INSERT INTO `lang_definitions` VALUES (142327, 6052, 26, 'Midlevel tên Prescriber đầu tiên');
INSERT INTO `lang_definitions` VALUES (142328, 6053, 26, 'Midlevel tên Prescriber cuối');
INSERT INTO `lang_definitions` VALUES (142329, 6055, 26, 'Midlevel Prescriber Tiền tố');
INSERT INTO `lang_definitions` VALUES (142330, 6056, 26, 'Midlevel Prescriber UPIN');
INSERT INTO `lang_definitions` VALUES (142331, 6061, 26, 'Vẻ người');
INSERT INTO `lang_definitions` VALUES (142332, 6062, 26, 'Người nhập cư hoặc lao động theo mùa?');
INSERT INTO `lang_definitions` VALUES (142333, 6064, 26, 'Nhập cư/Theo mùa');
INSERT INTO `lang_definitions` VALUES (142334, 6065, 26, 'Triệu / CU.MM');
INSERT INTO `lang_definitions` VALUES (142335, 6070, 26, 'Kiểu MIME');
INSERT INTO `lang_definitions` VALUES (142336, 6071, 26, 'Phút');
INSERT INTO `lang_definitions` VALUES (142337, 6072, 26, 'phút');
INSERT INTO `lang_definitions` VALUES (142338, 6077, 26, 'Tuổi Tối thiểu');
INSERT INTO `lang_definitions` VALUES (142339, 6080, 26, 'Chủng doanh nhỏ + / - viêm màng hoạt dịch');
INSERT INTO `lang_definitions` VALUES (142340, 6082, 26, 'Phút');
INSERT INTO `lang_definitions` VALUES (142341, 6083, 26, 'Phút');
INSERT INTO `lang_definitions` VALUES (142342, 6084, 26, 'phút');
INSERT INTO `lang_definitions` VALUES (142343, 6086, 26, 'L.tinh');
INSERT INTO `lang_definitions` VALUES (142344, 6087, 26, 'Misc Thanh toán Tùy chọn');
INSERT INTO `lang_definitions` VALUES (142345, 6088, 26, 'Misc Thanh toán lựa chọn cho HCFA-1500');
INSERT INTO `lang_definitions` VALUES (142346, 6089, 26, 'Tùy chọn Thanh toán Linh tinh HCFA');
INSERT INTO `lang_definitions` VALUES (142347, 6090, 26, 'Linh tinh');
INSERT INTO `lang_definitions` VALUES (142348, 6092, 26, 'Bị thiếu');
INSERT INTO `lang_definitions` VALUES (142349, 6093, 26, 'thiếu');
INSERT INTO `lang_definitions` VALUES (142350, 6094, 26, 'Thiếu một thông tin cần thiết');
INSERT INTO `lang_definitions` VALUES (142351, 6097, 26, 'Thiếu Phí');
INSERT INTO `lang_definitions` VALUES (142352, 6100, 26, 'Thiếu Mods');
INSERT INTO `lang_definitions` VALUES (142353, 6101, 26, 'Thiếu hoặc Không hợp lệ');
INSERT INTO `lang_definitions` VALUES (142354, 6103, 26, 'Thiếu PID.');
INSERT INTO `lang_definitions` VALUES (142355, 6104, 26, 'Thiếu ngày báo cáo');
INSERT INTO `lang_definitions` VALUES (142356, 6105, 26, 'Thiếu dấu gạch chéo sau khi đối tượng nộp trong mã nguồn cho mã');
INSERT INTO `lang_definitions` VALUES (142357, 6111, 26, 'Hỗn hợp');
INSERT INTO `lang_definitions` VALUES (142358, 6113, 26, 'ml');
INSERT INTO `lang_definitions` VALUES (142359, 6114, 26, 'MM / DD / YYYY');
INSERT INTO `lang_definitions` VALUES (142360, 6115, 26, 'mm / hg');
INSERT INTO `lang_definitions` VALUES (142361, 6116, 26, 'mmHg');
INSERT INTO `lang_definitions` VALUES (142362, 6117, 26, 'MMR 1');
INSERT INTO `lang_definitions` VALUES (142363, 6118, 26, 'MMR 2');
INSERT INTO `lang_definitions` VALUES (142364, 6120, 26, 'Điện thoại di động');
INSERT INTO `lang_definitions` VALUES (142365, 6121, 26, 'Điện thoại di động');
INSERT INTO `lang_definitions` VALUES (142366, 6125, 26, 'Mod');
INSERT INTO `lang_definitions` VALUES (142367, 6133, 26, 'Modifier');
INSERT INTO `lang_definitions` VALUES (142368, 6139, 26, 'Bộ biến đổi');
INSERT INTO `lang_definitions` VALUES (142369, 6143, 26, 'Sửa đổi khoản thanh toán');
INSERT INTO `lang_definitions` VALUES (142370, 6145, 26, 'Độ dài BBĐ');
INSERT INTO `lang_definitions` VALUES (142371, 6153, 26, 'Thứ 2');
INSERT INTO `lang_definitions` VALUES (142372, 6154, 26, 'Thứ 2 đến Thứ 6');
INSERT INTO `lang_definitions` VALUES (142373, 6155, 26, 'Thứ 2, Thứ 4 &amp; Thứ 6');
INSERT INTO `lang_definitions` VALUES (142374, 6156, 26, 'Thứ Hai');
INSERT INTO `lang_definitions` VALUES (142375, 6160, 26, 'tháng');
INSERT INTO `lang_definitions` VALUES (142376, 6161, 26, 'Tháng');
INSERT INTO `lang_definitions` VALUES (142377, 6162, 26, 'Xem theo Tháng');
INSERT INTO `lang_definitions` VALUES (142378, 6163, 26, 'Tháng');
INSERT INTO `lang_definitions` VALUES (142379, 6164, 26, 'Thu nhập Hàng tháng');
INSERT INTO `lang_definitions` VALUES (142380, 6166, 26, 'Tháng');
INSERT INTO `lang_definitions` VALUES (142381, 6179, 26, 'Hơn 100 hồ sơ được tìm thấy. Hãy thu hẹp tiêu chí tìm kiếm của bạn.');
INSERT INTO `lang_definitions` VALUES (142382, 6180, 26, 'Hơn 50 kết quả, xin vui lòng tìm kiếm của bạn cụ thể hơn.');
INSERT INTO `lang_definitions` VALUES (142383, 6186, 26, 'Gần đây:');
INSERT INTO `lang_definitions` VALUES (142384, 6189, 26, 'Thể trạng gần đây nhất từ:');
INSERT INTO `lang_definitions` VALUES (142385, 6190, 26, 'Mẹ');
INSERT INTO `lang_definitions` VALUES (142386, 6191, 26, 'Tên của mẹ');
INSERT INTO `lang_definitions` VALUES (142387, 6195, 26, 'Miệng');
INSERT INTO `lang_definitions` VALUES (142388, 6196, 26, 'Di chuyển');
INSERT INTO `lang_definitions` VALUES (142389, 6197, 26, 'Di chuyển tài liệu đến Thể loại:');
INSERT INTO `lang_definitions` VALUES (142390, 6198, 26, 'Dời Xuống');
INSERT INTO `lang_definitions` VALUES (142391, 6201, 26, 'Di chuyển đến Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142392, 6202, 26, 'Di chuyển tới ...');
INSERT INTO `lang_definitions` VALUES (142393, 6203, 26, 'Dời Lên');
INSERT INTO `lang_definitions` VALUES (142394, 6209, 26, 'Ông');
INSERT INTO `lang_definitions` VALUES (142395, 6215, 26, 'Bà');
INSERT INTO `lang_definitions` VALUES (142396, 6217, 26, 'Bà');
INSERT INTO `lang_definitions` VALUES (142397, 6230, 26, 'Multi Language Tool');
INSERT INTO `lang_definitions` VALUES (142398, 6234, 26, 'Nhiều khu vực');
INSERT INTO `lang_definitions` VALUES (142399, 6237, 26, 'Nhiều Rất nhiều');
INSERT INTO `lang_definitions` VALUES (142400, 6242, 26, 'Đa chủng tộc');
INSERT INTO `lang_definitions` VALUES (142401, 6243, 26, 'Thán:');
INSERT INTO `lang_definitions` VALUES (142402, 6244, 26, 'Musc Ache');
INSERT INTO `lang_definitions` VALUES (142403, 6245, 26, 'Musc nhức');
INSERT INTO `lang_definitions` VALUES (142404, 6246, 26, 'Musc Đỏ');
INSERT INTO `lang_definitions` VALUES (142405, 6247, 26, 'Musc độ cứng');
INSERT INTO `lang_definitions` VALUES (142406, 6248, 26, 'Musc sưng');
INSERT INTO `lang_definitions` VALUES (142407, 6249, 26, 'Musc ấm');
INSERT INTO `lang_definitions` VALUES (142408, 6250, 26, 'Cơ bắp');
INSERT INTO `lang_definitions` VALUES (142409, 6251, 26, 'Cơ chấn thương');
INSERT INTO `lang_definitions` VALUES (142410, 6252, 26, 'Cơ xương khớp');
INSERT INTO `lang_definitions` VALUES (142411, 6256, 26, 'Phải có sản phẩm nào nếu không được sử dụng xác thực SMTP.');
INSERT INTO `lang_definitions` VALUES (142412, 6259, 26, 'Lẫn nhau Xác định');
INSERT INTO `lang_definitions` VALUES (142413, 6260, 26, 'MVA');
INSERT INTO `lang_definitions` VALUES (142414, 6267, 26, 'Bản thân tôi');
INSERT INTO `lang_definitions` VALUES (142415, 6271, 26, 'N / A');
INSERT INTO `lang_definitions` VALUES (142416, 6272, 26, 'n / a');
INSERT INTO `lang_definitions` VALUES (142417, 6274, 26, 'Tên');
INSERT INTO `lang_definitions` VALUES (142418, 6276, 26, 'Tên (Nhấn vào đây để biết thêm)');
INSERT INTO `lang_definitions` VALUES (142419, 6278, 26, 'Tên 1');
INSERT INTO `lang_definitions` VALUES (142420, 6279, 26, 'Tên 2');
INSERT INTO `lang_definitions` VALUES (142421, 6280, 26, 'Tên và Chức danh của Người quản trị Tiêm chủng');
INSERT INTO `lang_definitions` VALUES (142422, 6284, 26, 'Tên của Sự kiện');
INSERT INTO `lang_definitions` VALUES (142423, 6285, 26, 'Tên của công ty bảo hiểm');
INSERT INTO `lang_definitions` VALUES (142424, 6286, 26, 'Tên của Nhà cung cấp');
INSERT INTO `lang_definitions` VALUES (142425, 6287, 26, 'Tên của người gửi các nhắc nhở bệnh nhân.');
INSERT INTO `lang_definitions` VALUES (142426, 6294, 26, 'Tên dịch');
INSERT INTO `lang_definitions` VALUES (142427, 6295, 26, 'Tên / Giá trị');
INSERT INTO `lang_definitions` VALUES (142428, 6296, 26, 'Tên:');
INSERT INTO `lang_definitions` VALUES (142429, 6300, 26, 'NARES:');
INSERT INTO `lang_definitions` VALUES (142430, 6301, 26, 'NARES: Bình thường phải');
INSERT INTO `lang_definitions` VALUES (142431, 6304, 26, 'Niêm mạc mũi màu hồng, vách ngăn đường giữa');
INSERT INTO `lang_definitions` VALUES (142432, 6305, 26, 'Đất nước Ghi chú');
INSERT INTO `lang_definitions` VALUES (142433, 6308, 26, 'Ghi chú Nation Cấu hình');
INSERT INTO `lang_definitions` VALUES (142434, 6310, 26, 'Quốc tịch');
INSERT INTO `lang_definitions` VALUES (142435, 6311, 26, 'NationNotes');
INSERT INTO `lang_definitions` VALUES (142436, 6313, 26, 'Thổ Dân Hawaii hoặc Người Đảo Thái Bình Dương');
INSERT INTO `lang_definitions` VALUES (142437, 6319, 26, 'Buồn nôn');
INSERT INTO `lang_definitions` VALUES (142438, 6322, 26, 'Vùng chuyển hướng');
INSERT INTO `lang_definitions` VALUES (142439, 6323, 26, 'Vùng chuyển hướng bao gồm các biểu mẫu khám');
INSERT INTO `lang_definitions` VALUES (142440, 6324, 26, 'Vùng chuyển hướng sử dụng hết chiều cao của bộ khung');
INSERT INTO `lang_definitions` VALUES (142441, 6325, 26, 'Các biểu mẫu Đến khám trong Vùng Chuyển hướng');
INSERT INTO `lang_definitions` VALUES (142442, 6326, 26, 'Độ rộng Vùng Chuyển hướng');
INSERT INTO `lang_definitions` VALUES (142443, 6328, 26, 'Danh mục chuyển hướng có các cặp nút chọn');
INSERT INTO `lang_definitions` VALUES (142444, 6329, 26, 'Danh mục chuyển hướng có dạng cây');
INSERT INTO `lang_definitions` VALUES (142445, 6330, 26, 'Vùng chuyển hướng dùng danh mục dạng trượt');
INSERT INTO `lang_definitions` VALUES (142446, 6334, 26, 'NDC');
INSERT INTO `lang_definitions` VALUES (142447, 6336, 26, 'NDC Số');
INSERT INTO `lang_definitions` VALUES (142448, 6348, 26, 'Cổ');
INSERT INTO `lang_definitions` VALUES (142449, 6349, 26, 'Cổ vấn đề');
INSERT INTO `lang_definitions` VALUES (142450, 6350, 26, 'Cổ dẻo');
INSERT INTO `lang_definitions` VALUES (142451, 6352, 26, 'Cần phải nhập một mô tả');
INSERT INTO `lang_definitions` VALUES (142452, 6353, 26, 'Cần phải nhập một giá trị trở lại');
INSERT INTO `lang_definitions` VALUES (142453, 6354, 26, 'Cần nhập định danh');
INSERT INTO `lang_definitions` VALUES (142454, 6355, 26, 'Cần phải nhập tiêu đề');
INSERT INTO `lang_definitions` VALUES (142455, 6358, 26, 'Cần Auth');
INSERT INTO `lang_definitions` VALUES (142456, 6359, 26, 'Nhu cầu Justify');
INSERT INTO `lang_definitions` VALUES (142457, 6360, 26, 'Nhu cầu thanh toán trung học');
INSERT INTO `lang_definitions` VALUES (142458, 6361, 26, 'Tiêu cực');
INSERT INTO `lang_definitions` VALUES (142459, 6363, 26, 'Phủ định');
INSERT INTO `lang_definitions` VALUES (142460, 6369, 26, 'Dây thần kinh bị thương');
INSERT INTO `lang_definitions` VALUES (142461, 6371, 26, 'Tình trạng thần kinh / tổn thương thần kinh');
INSERT INTO `lang_definitions` VALUES (142462, 6373, 26, 'Thần kinh tê');
INSERT INTO `lang_definitions` VALUES (142463, 6374, 26, 'Điểm yếu Thần kinh');
INSERT INTO `lang_definitions` VALUES (142464, 6377, 26, 'Thần kinh');
INSERT INTO `lang_definitions` VALUES (142465, 6381, 26, 'Không bao giờ');
INSERT INTO `lang_definitions` VALUES (142466, 6382, 26, 'Không bao giờ uống rượu');
INSERT INTO `lang_definitions` VALUES (142467, 6383, 26, 'Không bao giờ hút thuốc');
INSERT INTO `lang_definitions` VALUES (142468, 6384, 26, 'Mới');
INSERT INTO `lang_definitions` VALUES (142469, 6385, 26, 'Mới =>');
INSERT INTO `lang_definitions` VALUES (142470, 6386, 26, 'New chất nhận');
INSERT INTO `lang_definitions` VALUES (142471, 6388, 26, 'Dị ứng Mới');
INSERT INTO `lang_definitions` VALUES (142472, 6390, 26, 'Cuộc hẹn Mới');
INSERT INTO `lang_definitions` VALUES (142473, 6391, 26, 'Các thể loại Mới');
INSERT INTO `lang_definitions` VALUES (142474, 6392, 26, 'Thể loại Mới');
INSERT INTO `lang_definitions` VALUES (142475, 6393, 26, 'Các khách hàng Mới');
INSERT INTO `lang_definitions` VALUES (142476, 6394, 26, 'Tư vấn Mới');
INSERT INTO `lang_definitions` VALUES (142477, 6395, 26, 'New Crop');
INSERT INTO `lang_definitions` VALUES (142478, 6396, 26, 'Đã thêm bộ định nghĩa mới');
INSERT INTO `lang_definitions` VALUES (142479, 6397, 26, 'Tài liệu mới');
INSERT INTO `lang_definitions` VALUES (142480, 6401, 26, 'Lần khám Mới');
INSERT INTO `lang_definitions` VALUES (142481, 6402, 26, 'Đã tạo lần khám mới với mã số');
INSERT INTO `lang_definitions` VALUES (142482, 6403, 26, 'Biểu mẫu Lần khám Mới');
INSERT INTO `lang_definitions` VALUES (142483, 6404, 26, 'Không được quyền tạo lần khám mới');
INSERT INTO `lang_definitions` VALUES (142484, 6405, 26, 'Lần khám Mới');
INSERT INTO `lang_definitions` VALUES (142485, 6406, 26, 'Cơ sở thông tin mới');
INSERT INTO `lang_definitions` VALUES (142486, 6410, 26, 'Nhóm Mới');
INSERT INTO `lang_definitions` VALUES (142487, 6413, 26, 'Thông tin Nhóm Mới');
INSERT INTO `lang_definitions` VALUES (142488, 6422, 26, 'New inj / Trạng thái');
INSERT INTO `lang_definitions` VALUES (142489, 6425, 26, 'Giới hạn các sự kiện mới');
INSERT INTO `lang_definitions` VALUES (142490, 6426, 26, 'Danh sách Mới');
INSERT INTO `lang_definitions` VALUES (142491, 6432, 26, 'Đơn đặt hàng Mới');
INSERT INTO `lang_definitions` VALUES (142492, 6433, 26, 'Đoạn văn Mới');
INSERT INTO `lang_definitions` VALUES (142493, 6434, 26, 'Mật khẩu Mới');
INSERT INTO `lang_definitions` VALUES (142494, 6435, 26, 'Bệnh nhân Mới');
INSERT INTO `lang_definitions` VALUES (142495, 6436, 26, 'BỆNH NHÂN MỚI');
INSERT INTO `lang_definitions` VALUES (142496, 6437, 26, 'Lần khám Bệnh nhân Mới');
INSERT INTO `lang_definitions` VALUES (142497, 6438, 26, 'Biểu mẫu Bệnh nhân Mới');
INSERT INTO `lang_definitions` VALUES (142498, 6439, 26, 'Mã Bệnh nhân Mới');
INSERT INTO `lang_definitions` VALUES (142499, 6442, 26, 'Lần thanh toán Mới');
INSERT INTO `lang_definitions` VALUES (142500, 6445, 26, 'New Pt');
INSERT INTO `lang_definitions` VALUES (142501, 6447, 26, 'Kết quả mới từ phòng thí nghiệm Exchange');
INSERT INTO `lang_definitions` VALUES (142502, 6448, 26, 'Tìm kiếm Mới');
INSERT INTO `lang_definitions` VALUES (142503, 6449, 26, 'New Submissions');
INSERT INTO `lang_definitions` VALUES (142504, 6451, 26, 'Người dùng Mới');
INSERT INTO `lang_definitions` VALUES (142505, 6453, 26, 'Lần đến Mới');
INSERT INTO `lang_definitions` VALUES (142506, 6454, 26, 'Thêm / Tìm kiếm');
INSERT INTO `lang_definitions` VALUES (142507, 6455, 26, 'NewCrop Trạng thái Tài khoản');
INSERT INTO `lang_definitions` VALUES (142508, 6456, 26, 'NewCrop Quản trị');
INSERT INTO `lang_definitions` VALUES (142509, 6457, 26, 'NewCrop không gọi được');
INSERT INTO `lang_definitions` VALUES (142510, 6458, 26, 'NewCrop Bác sĩ');
INSERT INTO `lang_definitions` VALUES (142511, 6463, 26, 'NewCrop eRx Tên');
INSERT INTO `lang_definitions` VALUES (142512, 6464, 26, 'NewCrop eRx Tên Đối tác');
INSERT INTO `lang_definitions` VALUES (142513, 6465, 26, 'NewCrop eRx Mật khẩu');
INSERT INTO `lang_definitions` VALUES (142514, 6466, 26, 'Vai trò NewCrop eRX');
INSERT INTO `lang_definitions` VALUES (142515, 6467, 26, 'Vai trò NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (142516, 6468, 26, 'NewCrop eRx Địa chỉ');
INSERT INTO `lang_definitions` VALUES (142517, 6473, 26, 'NewCrop eRx Địa chỉ Dịch vụ Web');
INSERT INTO `lang_definitions` VALUES (142518, 6474, 26, 'NewCrop Người quản lý');
INSERT INTO `lang_definitions` VALUES (142519, 6475, 26, 'NewCrop Đầu mục thuốc');
INSERT INTO `lang_definitions` VALUES (142520, 6476, 26, 'NewCrop midlevel Prescriber');
INSERT INTO `lang_definitions` VALUES (142521, 6477, 26, 'NewCrop Y tá');
INSERT INTO `lang_definitions` VALUES (142522, 6478, 26, 'NewCrop Bác sĩ Giám sát');
INSERT INTO `lang_definitions` VALUES (142523, 6481, 26, 'Báo');
INSERT INTO `lang_definitions` VALUES (142524, 6482, 26, 'Tiếp theo');
INSERT INTO `lang_definitions` VALUES (142525, 6484, 26, 'Ngày Hôm sau');
INSERT INTO `lang_definitions` VALUES (142526, 6485, 26, 'Tháng Sau');
INSERT INTO `lang_definitions` VALUES (142527, 6486, 26, 'Tháng sau (giữ để hiện trình đơn)');
INSERT INTO `lang_definitions` VALUES (142528, 6491, 26, 'Tuần Sau');
INSERT INTO `lang_definitions` VALUES (142529, 6492, 26, 'Năm sau (giữ để hiện trình đơn)');
INSERT INTO `lang_definitions` VALUES (142530, 6494, 26, 'Biệt danh');
INSERT INTO `lang_definitions` VALUES (142531, 6496, 26, 'Đổ Mồ hôi Trộm');
INSERT INTO `lang_definitions` VALUES (142532, 6498, 26, 'Nl ext cơ quan sinh dục, VAG niêm mạc, cổ tử cung');
INSERT INTO `lang_definitions` VALUES (142533, 6499, 26, 'Không');
INSERT INTO `lang_definitions` VALUES (142534, 6500, 26, 'KHÔNG');
INSERT INTO `lang_definitions` VALUES (142535, 6502, 26, 'Không truy cập');
INSERT INTO `lang_definitions` VALUES (142536, 6503, 26, 'Không có nhắc nhở về bệnh nhân đang làm.');
INSERT INTO `lang_definitions` VALUES (142537, 6504, 26, 'Không có adenopathy (2 khu vực cần thiết)');
INSERT INTO `lang_definitions` VALUES (142538, 6505, 26, 'Không có loại điều chỉnh được tìm thấy lý do cho');
INSERT INTO `lang_definitions` VALUES (142539, 6506, 26, 'Không có sự dịu dàng adnexal / khối lượng');
INSERT INTO `lang_definitions` VALUES (142540, 6509, 26, 'Không có cuộc hẹn');
INSERT INTO `lang_definitions` VALUES (142541, 6515, 26, 'Không có hệ thống thanh toán đang hoạt động');
INSERT INTO `lang_definitions` VALUES (142542, 6517, 26, 'Không có Bills tìm thấy để Bao gồm trong OFX xuất khẩu <br>');
INSERT INTO `lang_definitions` VALUES (142543, 6519, 26, 'Không có mã đã được quy định!');
INSERT INTO `lang_definitions` VALUES (142544, 6523, 26, 'Không có chẩn đoán');
INSERT INTO `lang_definitions` VALUES (142545, 6526, 26, 'Các tài liệu tìm thấy');
INSERT INTO `lang_definitions` VALUES (142546, 6529, 26, 'Không có ngày kết thúc');
INSERT INTO `lang_definitions` VALUES (142547, 6530, 26, 'Không có mục được tìm thấy, sử dụng mẫu dưới đây để thêm một mục nhập.');
INSERT INTO `lang_definitions` VALUES (142548, 6531, 26, 'Không có lỗi được tìm thấy');
INSERT INTO `lang_definitions` VALUES (142549, 6532, 26, 'Không có sự kiện');
INSERT INTO `lang_definitions` VALUES (142550, 6536, 26, 'Không có nhóm được lựa chọn');
INSERT INTO `lang_definitions` VALUES (142551, 6537, 26, 'Không thoát vị');
INSERT INTO `lang_definitions` VALUES (142552, 6540, 26, 'Không có thương tích / bệnh tật');
INSERT INTO `lang_definitions` VALUES (142553, 6541, 26, 'Không tìm thấy công ty bảo hiểm nào');
INSERT INTO `lang_definitions` VALUES (142554, 6544, 26, 'Không có rắc rối');
INSERT INTO `lang_definitions` VALUES (142555, 6546, 26, 'Không có mục nào theo thể loại được chọn');
INSERT INTO `lang_definitions` VALUES (142556, 6547, 26, 'Không có mục nào được lựa chọn!');
INSERT INTO `lang_definitions` VALUES (142557, 6562, 26, 'Không có tập tin nhật ký nào cho ngày được chọn');
INSERT INTO `lang_definitions` VALUES (142558, 6565, 26, 'Không có quần chúng, nhạy cảm');
INSERT INTO `lang_definitions` VALUES (142559, 6566, 26, 'Không tìm thấy hồ sơ Bệnh nhân với mã nhận dạng Re đã cho.');
INSERT INTO `lang_definitions` VALUES (142560, 6569, 26, 'Không tìm thấy thông tin đó.');
INSERT INTO `lang_definitions` VALUES (142561, 6570, 26, 'Không tìm thấy thông tin đó. Tạo bệnh nhân mới không?');
INSERT INTO `lang_definitions` VALUES (142562, 6577, 26, 'Không tìm thấy kết quả mới');
INSERT INTO `lang_definitions` VALUES (142563, 6578, 26, 'Không có ghi chú');
INSERT INTO `lang_definitions` VALUES (142564, 6579, 26, 'Không có ogrganomegoly');
INSERT INTO `lang_definitions` VALUES (142565, 6580, 26, 'Không mở được tìm thấy cho giai đoạn này.');
INSERT INTO `lang_definitions` VALUES (142566, 6583, 26, 'Không có số điện thoại khác được liệt kê');
INSERT INTO `lang_definitions` VALUES (142567, 6585, 26, 'Đối tác tìm thấy');
INSERT INTO `lang_definitions` VALUES (142568, 6586, 26, 'Không có hồ sơ bệnh nhân được tìm thấy cho các tiêu chí lựa chọn cho');
INSERT INTO `lang_definitions` VALUES (142569, 6587, 26, 'Không có hồ sơ bệnh nhân được tìm thấy cho mã nhận dạng cho Re');
INSERT INTO `lang_definitions` VALUES (142570, 6588, 26, 'Không có phù ngoại vi');
INSERT INTO `lang_definitions` VALUES (142571, 6589, 26, 'Không Tìm thấy Nhà thuốc nào');
INSERT INTO `lang_definitions` VALUES (142572, 6590, 26, 'Không Tìm thấy Toa thuốc nào');
INSERT INTO `lang_definitions` VALUES (142573, 6592, 26, 'Hiện không có bệnh / chấn thương');
INSERT INTO `lang_definitions` VALUES (142574, 6593, 26, 'Không có đầu mục trước.');
INSERT INTO `lang_definitions` VALUES (142575, 6594, 26, 'Không có Thực thể Kinh doanh Chính nào được trong trong danh sách cơ sở');
INSERT INTO `lang_definitions` VALUES (142576, 6598, 26, 'Không Tìm thấy Nhà cung cấp nào');
INSERT INTO `lang_definitions` VALUES (142577, 6599, 26, 'Không có phát ban hoặc các tổn thương bất thường');
INSERT INTO `lang_definitions` VALUES (142578, 6602, 26, 'Không tìm thấy hồ sơ');
INSERT INTO `lang_definitions` VALUES (142579, 6604, 26, 'Không tìm thấy hồ sơ. Vui lòng mở rộng tiêu chí tìm kiếm của bạn.');
INSERT INTO `lang_definitions` VALUES (142580, 6607, 26, 'Không có nhắc nhở');
INSERT INTO `lang_definitions` VALUES (142581, 6608, 26, 'Không tìm thấy kết quả nào cho tiêu chí tìm kiếm trên.');
INSERT INTO `lang_definitions` VALUES (142582, 6609, 26, 'Không có Kết quả');
INSERT INTO `lang_definitions` VALUES (142583, 6612, 26, 'Không Tìm thấy Kết quả nào');
INSERT INTO `lang_definitions` VALUES (142584, 6614, 26, 'Không có kết quả, vui lòng thử lại.');
INSERT INTO `lang_definitions` VALUES (142585, 6615, 26, 'Không có kết quả, vui lòng thử lại.');
INSERT INTO `lang_definitions` VALUES (142586, 6618, 26, 'Chưa Đến');
INSERT INTO `lang_definitions` VALUES (142587, 6622, 26, 'Không Đau xoang:');
INSERT INTO `lang_definitions` VALUES (142588, 6623, 26, 'Không có dimpling da hoặc các nốt vú');
INSERT INTO `lang_definitions` VALUES (142589, 6624, 26, 'KHÔNG TÊN BỐI CẢNH ĐÓ');
INSERT INTO `lang_definitions` VALUES (142590, 6626, 26, 'Không có đau tinh hoàn, quần chúng');
INSERT INTO `lang_definitions` VALUES (142591, 6628, 26, 'Không có cảm giác mạnh hoặc cố nhấc');
INSERT INTO `lang_definitions` VALUES (142592, 6632, 26, 'Không có chuyến thăm');
INSERT INTO `lang_definitions` VALUES (142593, 6633, 26, 'Chưa ghi nhận thể trạng nào.');
INSERT INTO `lang_definitions` VALUES (142594, 6634, 26, 'Không, Hủy bỏ');
INSERT INTO `lang_definitions` VALUES (142595, 6636, 26, 'Không:');
INSERT INTO `lang_definitions` VALUES (142596, 6637, 26, 'Nocturia');
INSERT INTO `lang_definitions` VALUES (142597, 6638, 26, 'Không trả tiền');
INSERT INTO `lang_definitions` VALUES (142598, 6640, 26, 'Không báo cáo Báo cáo');
INSERT INTO `lang_definitions` VALUES (142599, 6641, 26, 'Không cụ thể chấn thương');
INSERT INTO `lang_definitions` VALUES (142600, 6642, 26, 'Không điện tử');
INSERT INTO `lang_definitions` VALUES (142601, 6643, 26, 'Bệnh tiểu đường phụ thuộc Insulin');
INSERT INTO `lang_definitions` VALUES (142602, 6646, 26, 'SRH y tế');
INSERT INTO `lang_definitions` VALUES (142603, 6647, 26, 'Không SRH Phi Y Tế');
INSERT INTO `lang_definitions` VALUES (142604, 6648, 26, 'Không có');
INSERT INTO `lang_definitions` VALUES (142605, 6649, 26, 'không có');
INSERT INTO `lang_definitions` VALUES (142606, 6650, 26, 'Không xác định');
INSERT INTO `lang_definitions` VALUES (142607, 6652, 26, 'Không có gì được ghi nhận');
INSERT INTO `lang_definitions` VALUES (142608, 6653, 26, 'Không có trong danh sách trên');
INSERT INTO `lang_definitions` VALUES (142609, 6654, 26, 'Hàng phân phối Top thể là hoàn toàn trống.');
INSERT INTO `lang_definitions` VALUES (142610, 6683, 26, 'Noninsulin phụ thuộc Bệnh tiểu đường');
INSERT INTO `lang_definitions` VALUES (142611, 6684, 26, 'Cũng không');
INSERT INTO `lang_definitions` VALUES (142612, 6685, 26, 'Bình thường');
INSERT INTO `lang_definitions` VALUES (142613, 6687, 26, 'Bình thường BL');
INSERT INTO `lang_definitions` VALUES (142614, 6688, 26, 'Kiểm tra Tim Bình thường:');
INSERT INTO `lang_definitions` VALUES (142615, 6689, 26, 'Kiểm tra Tim Bình thường:');
INSERT INTO `lang_definitions` VALUES (142616, 6690, 26, 'Kiểm tra Phổi Bình thường:');
INSERT INTO `lang_definitions` VALUES (142617, 6691, 26, 'Kiểm tra Phổi Bình thường:');
INSERT INTO `lang_definitions` VALUES (142618, 6692, 26, 'Lần khám ở Văn phòng Bình thường');
INSERT INTO `lang_definitions` VALUES (142619, 6693, 26, 'Hầu họng Bình thường:');
INSERT INTO `lang_definitions` VALUES (142620, 6694, 26, 'Bên phải Bình thường');
INSERT INTO `lang_definitions` VALUES (142621, 6695, 26, 'Bên phải Bình thường:');
INSERT INTO `lang_definitions` VALUES (142622, 6696, 26, 'Xem Bình thường');
INSERT INTO `lang_definitions` VALUES (142623, 6697, 26, 'bình thường:');
INSERT INTO `lang_definitions` VALUES (142624, 6698, 26, 'Thông thường điều này nên được đánh dấu. Không liên quan đến kiểm soát truy nhập.');
INSERT INTO `lang_definitions` VALUES (142625, 6701, 26, 'Tiếng Na Uy');
INSERT INTO `lang_definitions` VALUES (142626, 6705, 26, 'Mũi');
INSERT INTO `lang_definitions` VALUES (142627, 6706, 26, 'Sự chảy máu mũi');
INSERT INTO `lang_definitions` VALUES (142628, 6707, 26, 'không phải là một ký tự hoặc số');
INSERT INTO `lang_definitions` VALUES (142629, 6710, 26, 'Một số mã hay loại mã không yêu cầu tất cả thông tin.');
INSERT INTO `lang_definitions` VALUES (142630, 6712, 26, 'Không được phép');
INSERT INTO `lang_definitions` VALUES (142631, 6713, 26, 'Không được phép xóa nhóm Quản trị viên');
INSERT INTO `lang_definitions` VALUES (142632, 6714, 26, 'Không được phép để chỉnh sửa');
INSERT INTO `lang_definitions` VALUES (142633, 6715, 26, 'Không được phép ngừng hoạt động tất cả các đối tượng bảo mật');
INSERT INTO `lang_definitions` VALUES (142634, 6716, 26, 'Không được phép ngừng hoạt động bất cứ điều gì từ các quản trị viên ACL');
INSERT INTO `lang_definitions` VALUES (142635, 6717, 26, 'Không được phép loại bỏ các người sử dụng quản trị từ các nhóm quản trị viên');
INSERT INTO `lang_definitions` VALUES (142636, 6718, 26, 'Không được phép để loại bỏ người dùng khỏi nhóm quản trị');
INSERT INTO `lang_definitions` VALUES (142637, 6720, 26, 'Không được uỷ quyền truy cập PostCalendar mô-đun');
INSERT INTO `lang_definitions` VALUES (142638, 6721, 26, 'Không được ủy quyền');
INSERT INTO `lang_definitions` VALUES (142639, 6722, 26, 'Không được uỷ quyền');
INSERT INTO `lang_definitions` VALUES (142640, 6724, 26, 'Không được uỷ quyền cho đội này.');
INSERT INTO `lang_definitions` VALUES (142641, 6729, 26, 'Không có');
INSERT INTO `lang_definitions` VALUES (142642, 6731, 26, 'Không lập hoá đơn');
INSERT INTO `lang_definitions` VALUES (142643, 6732, 26, 'Không kiểm tra');
INSERT INTO `lang_definitions` VALUES (142644, 6733, 26, 'Không kiểm tra ra');
INSERT INTO `lang_definitions` VALUES (142645, 6736, 26, 'Không Do');
INSERT INTO `lang_definitions` VALUES (142646, 6738, 26, 'Không được kiểm tra');
INSERT INTO `lang_definitions` VALUES (142647, 6739, 26, 'Không được kiểm tra:');
INSERT INTO `lang_definitions` VALUES (142648, 6740, 26, 'Không được kiểm tra:');
INSERT INTO `lang_definitions` VALUES (142649, 6742, 26, 'không tìm thấy');
INSERT INTO `lang_definitions` VALUES (142650, 6744, 26, 'không tìm thấy!');
INSERT INTO `lang_definitions` VALUES (142651, 6745, 26, 'Không phải gốc Tây Ban Nha hoặc La tinh');
INSERT INTO `lang_definitions` VALUES (142652, 6751, 26, 'Chưa từng thấy từ');
INSERT INTO `lang_definitions` VALUES (142653, 6753, 26, 'Gửi Tuy nhiên,');
INSERT INTO `lang_definitions` VALUES (142654, 6755, 26, 'Không rõ.');
INSERT INTO `lang_definitions` VALUES (142655, 6758, 26, 'Ghi chú');
INSERT INTO `lang_definitions` VALUES (142656, 6760, 26, 'Mã Ghi chú');
INSERT INTO `lang_definitions` VALUES (142657, 6762, 26, 'Lưu ý nó sẽ mất 5-10 phút để hoàn toàn xử lý sau khi bạn nhấp vào Cài đặt');
INSERT INTO `lang_definitions` VALUES (142658, 6763, 26, 'Lưu ý nó sẽ mất 5-10 phút để hoàn toàn xử lý sau khi bạn nhấp vào Nâng cấp');
INSERT INTO `lang_definitions` VALUES (142659, 6764, 26, 'Lưu ý rằng Kiểm toán Đăng nhập cần phải được kích hoạt ở trên');
INSERT INTO `lang_definitions` VALUES (142660, 6771, 26, 'Loại Ghi chú');
INSERT INTO `lang_definitions` VALUES (142661, 6780, 26, 'Lưu ý: Mã này đã không được nhập vào bởi một người dùng có thẩm quyền. Mã số duy nhất được ủy quyền có thể được tải lên Mạng Thanh toán Mở y tế để xử lý. Nếu bạn muốn tải lên các mã số, hãy chọn một người dùng có thẩm quyền ở đây.');
INSERT INTO `lang_definitions` VALUES (142662, 6783, 26, 'Chú ý: Nếu những tập tin đang tải lên có tên trùng với những tập tin đã có sẽ được tự động đổi tên (ví dụ, file.jpg sẽ trở thành file.1.jpg). Việc kiểm tra tên tập tin không trùng lặp được thực hiện cho mỗi bệnh nhân, không phải cho mỗi thể loại.');
INSERT INTO `lang_definitions` VALUES (142663, 6784, 26, 'Chú ý: Nếu những tập tin đang tải lên có tên trùng với những tập tin đã có sẽ được tự động đổi tên (ví dụ, \'<i>file.jpg</i>\' sẽ trở thành \'<i>file.1.jpg</i>\'). Việc kiểm tra tên tập tin không trùng lặp được thực hiện cho mỗi bệnh nhân, không phải cho mỗi thể loại.');
INSERT INTO `lang_definitions` VALUES (142664, 6785, 26, 'Ghi chú');
INSERT INTO `lang_definitions` VALUES (142665, 6788, 26, 'Ghi chú - bất kỳ cuộc gặp gỡ (viết, addonly tùy chọn)');
INSERT INTO `lang_definitions` VALUES (142666, 6790, 26, 'Ghi chú - cuộc gặp gỡ của tôi (viết, addonly tùy chọn)');
INSERT INTO `lang_definitions` VALUES (142667, 6793, 26, 'Ghi chú không được uỷ quyền');
INSERT INTO `lang_definitions` VALUES (142668, 6796, 26, 'Không Ghi nhận gì');
INSERT INTO `lang_definitions` VALUES (142669, 6799, 26, 'Không có Dị ứng để kết nhập');
INSERT INTO `lang_definitions` VALUES (142670, 6800, 26, 'Không có Toa thuốc để kết nhập');
INSERT INTO `lang_definitions` VALUES (142671, 6804, 26, 'Không chọn gì');
INSERT INTO `lang_definitions` VALUES (142672, 6808, 26, 'THÔNG BÁO :: PostCalendar thông tin / Sửa đổi');
INSERT INTO `lang_definitions` VALUES (142673, 6809, 26, 'Thông báo');
INSERT INTO `lang_definitions` VALUES (142674, 6810, 26, 'Địa chỉ khai báo Email');
INSERT INTO `lang_definitions` VALUES (142675, 6815, 26, 'Thông báo');
INSERT INTO `lang_definitions` VALUES (142676, 6816, 26, 'Thông báo cho quản trị Giới thiệu những thông tin sự kiện / Sửa đổi?');
INSERT INTO `lang_definitions` VALUES (142677, 6820, 26, 'Tháng Mười một');
INSERT INTO `lang_definitions` VALUES (142678, 6821, 26, 'Tháng Mười một');
INSERT INTO `lang_definitions` VALUES (142679, 6824, 26, 'Bây giờ gửi bài cho:');
INSERT INTO `lang_definitions` VALUES (142680, 6825, 26, 'Bây giờ in');
INSERT INTO `lang_definitions` VALUES (142681, 6826, 26, 'Bây giờ in báo cáo stmt_count và cập nhật những cuộc gặp gỡ.');
INSERT INTO `lang_definitions` VALUES (142682, 6827, 26, 'Bây giờ in báo cáo stmt_count và cập nhật hoá đơn.');
INSERT INTO `lang_definitions` VALUES (142683, 6828, 26, 'Bây giờ in ấn báo cáo stmt_count, cuộc gặp gỡ sẽ không được cập nhật.');
INSERT INTO `lang_definitions` VALUES (142684, 6829, 26, 'Bây giờ in ấn báo cáo stmt_count, hóa đơn sẽ không được cập nhật.');
INSERT INTO `lang_definitions` VALUES (142685, 6834, 26, 'NPI');
INSERT INTO `lang_definitions` VALUES (142686, 6836, 26, 'NQF');
INSERT INTO `lang_definitions` VALUES (142687, 6837, 26, 'Số');
INSERT INTO `lang_definitions` VALUES (142688, 6838, 26, 'Số phòng thí nghiệm');
INSERT INTO `lang_definitions` VALUES (142689, 6843, 26, 'Số cột trong xem năm.');
INSERT INTO `lang_definitions` VALUES (142690, 6850, 26, 'Số ngày giấy chứng nhận của khách hàng là hợp lệ.');
INSERT INTO `lang_definitions` VALUES (142691, 6852, 26, 'Số chữ số sau dấu thập phân cho tiền tệ, thường là 0 hoặc 2.');
INSERT INTO `lang_definitions` VALUES (142692, 6853, 26, 'Số lần khám sẽ được hiển thị trên mỗi trang.');
INSERT INTO `lang_definitions` VALUES (142693, 6855, 26, 'Số lượng của trò chơi hoặc các sự kiện bị mất, nếu có');
INSERT INTO `lang_definitions` VALUES (142694, 6856, 26, 'Số giờ trước để gửi các thông báo email.');
INSERT INTO `lang_definitions` VALUES (142695, 6857, 26, 'Số giờ trước để gửi thông báo điện thoại.');
INSERT INTO `lang_definitions` VALUES (142696, 6858, 26, 'Số giờ trước để gửi tin nhắn SMS thông báo.');
INSERT INTO `lang_definitions` VALUES (142697, 6862, 26, 'Số các cột lịch sử trong quá khứ');
INSERT INTO `lang_definitions` VALUES (142698, 6864, 26, 'Tê');
INSERT INTO `lang_definitions` VALUES (142699, 6865, 26, 'Tử số');
INSERT INTO `lang_definitions` VALUES (142700, 6866, 26, 'Chữ số rõ ràng Theo');
INSERT INTO `lang_definitions` VALUES (142701, 6869, 26, 'Dinh dưỡng');
INSERT INTO `lang_definitions` VALUES (142702, 6871, 26, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (142703, 6872, 26, 'O2 Sat');
INSERT INTO `lang_definitions` VALUES (142704, 6874, 26, 'Béo phì tôi');
INSERT INTO `lang_definitions` VALUES (142705, 6875, 26, 'Béo phì II');
INSERT INTO `lang_definitions` VALUES (142706, 6876, 26, 'Béo phì III');
INSERT INTO `lang_definitions` VALUES (142707, 6877, 26, 'Mục tiêu (Objective)');
INSERT INTO `lang_definitions` VALUES (142708, 6886, 26, 'Nghề Nghiệp');
INSERT INTO `lang_definitions` VALUES (142709, 6889, 26, 'Lần xuất hiện');
INSERT INTO `lang_definitions` VALUES (142710, 6890, 26, 'Tháng Mười');
INSERT INTO `lang_definitions` VALUES (142711, 6891, 26, 'Tháng Mười');
INSERT INTO `lang_definitions` VALUES (142712, 6892, 26, 'Mỗi ngày một viên');
INSERT INTO `lang_definitions` VALUES (142713, 6895, 26, 'của');
INSERT INTO `lang_definitions` VALUES (142714, 6896, 26, 'với số lượng');
INSERT INTO `lang_definitions` VALUES (142715, 6897, 26, 'thuốc viên');
INSERT INTO `lang_definitions` VALUES (142716, 6898, 26, 'của mỗi tháng');
INSERT INTO `lang_definitions` VALUES (142717, 6899, 26, 'Ghi chú Vp');
INSERT INTO `lang_definitions` VALUES (142718, 6900, 26, 'Tắt');
INSERT INTO `lang_definitions` VALUES (142719, 6907, 26, 'Ghi chú Văn phòng');
INSERT INTO `lang_definitions` VALUES (142720, 6908, 26, 'Lần Đến Văn phòng');
INSERT INTO `lang_definitions` VALUES (142721, 6909, 26, 'Chất lượng các biện pháp chính thức lâm sàng (CQM) Nhóm Đo lường');
INSERT INTO `lang_definitions` VALUES (142722, 6910, 26, 'Liên kết ngoại vi Https cho Portal bệnh nhân.');
INSERT INTO `lang_definitions` VALUES (142723, 6912, 26, 'Cổng thông tin bệnh nhân ngoại vi mật khẩu');
INSERT INTO `lang_definitions` VALUES (142724, 6913, 26, 'Mật khẩu Portal Bệnh nhân ngoại vi (Đặt Trống Nếu không đăng).');
INSERT INTO `lang_definitions` VALUES (142725, 6916, 26, 'Địa chỉ trang web Cổng thông tin bệnh nhân ngoại vi');
INSERT INTO `lang_definitions` VALUES (142726, 6918, 26, 'Tên đăng nhập Portal Bệnh nhân ngoại vi');
INSERT INTO `lang_definitions` VALUES (142727, 6919, 26, 'Tên đăng nhập Portal Bệnh nhân ngoại vi (Đặt Trống Nếu không đăng).');
INSERT INTO `lang_definitions` VALUES (142728, 6921, 26, 'Con cái');
INSERT INTO `lang_definitions` VALUES (142729, 6925, 26, 'thuốc mỡ');
INSERT INTO `lang_definitions` VALUES (142730, 6927, 26, 'OK');
INSERT INTO `lang_definitions` VALUES (142731, 6930, 26, 'OK để liên kết các vấn đề GCAC ngày');
INSERT INTO `lang_definitions` VALUES (142732, 6931, 26, 'Xưa');
INSERT INTO `lang_definitions` VALUES (142733, 6933, 26, 'Old Khách hàng');
INSERT INTO `lang_definitions` VALUES (142734, 6934, 26, 'Old gãy xương không / malunion');
INSERT INTO `lang_definitions` VALUES (142735, 6935, 26, 'Bố trí với phong cách cũ không có danh mục bên trái');
INSERT INTO `lang_definitions` VALUES (142736, 6936, 26, 'Biễu mẫu tĩnh với phong cách cũ không có tìm kiếm hoặc kiểm tra trùng lặp');
INSERT INTO `lang_definitions` VALUES (142737, 6942, 26, 'Bỏ qua thông tin người sử dụng lao động trong thông tin cá nhân bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142738, 6943, 26, 'Bỏ qua Người sử dụng lao động');
INSERT INTO `lang_definitions` VALUES (142739, 6944, 26, 'Bỏ hình thức, cách dùng và khoảng thời gian là một phần của liều lượng');
INSERT INTO `lang_definitions` VALUES (142740, 6945, 26, 'Bỏ bảo hiểm và một số thứ khác khỏi biểu mẫu thông tin cá nhân');
INSERT INTO `lang_definitions` VALUES (142741, 6946, 26, 'Bỏ qua người dùng nội bộ?');
INSERT INTO `lang_definitions` VALUES (142742, 6947, 26, 'Bỏ phương thức thanh toán khỏi bảng đồng chi trả');
INSERT INTO `lang_definitions` VALUES (142743, 6948, 26, 'bỏ qua để autoassign');
INSERT INTO `lang_definitions` VALUES (142744, 6949, 26, 'Bật');
INSERT INTO `lang_definitions` VALUES (142745, 6950, 26, 'trên');
INSERT INTO `lang_definitions` VALUES (142746, 6956, 26, 'Trên Tay');
INSERT INTO `lang_definitions` VALUES (142747, 6959, 26, 'Trong Đơn hàng');
INSERT INTO `lang_definitions` VALUES (142748, 6960, 26, 'Tại Địa điểm');
INSERT INTO `lang_definitions` VALUES (142749, 6975, 26, 'Khi Cơ sở Kinh doanh Chính được chọn, không nên thay đổi nó. Việc thay đổi cơ sở sẽ ảnh hưởng sự hoạt động của NewCrop ePrescription.');
INSERT INTO `lang_definitions` VALUES (142750, 6979, 26, 'Một khi bạn thay đổi mật khẩu của mình, bạn sẽ phải đăng nhập lại.');
INSERT INTO `lang_definitions` VALUES (142751, 6996, 26, 'Hỗ trợ Trực tuyến');
INSERT INTO `lang_definitions` VALUES (142752, 6997, 26, 'Liên kết Hỗ trợ Trực tuyến');
INSERT INTO `lang_definitions` VALUES (142753, 6999, 26, 'Chỉ có cái có hiệu lực');
INSERT INTO `lang_definitions` VALUES (142754, 7004, 26, 'chỉ khi vị trí thanh toán');
INSERT INTO `lang_definitions` VALUES (142755, 7006, 26, 'Chỉ có cái không hiệu lực');
INSERT INTO `lang_definitions` VALUES (142756, 7007, 26, 'Chỉ có Của tôi');
INSERT INTO `lang_definitions` VALUES (142757, 7013, 26, 'Chỉ tải lên các toa thuốc có hiệu lực');
INSERT INTO `lang_definitions` VALUES (142758, 7017, 26, 'Khởi phát bệnh:');
INSERT INTO `lang_definitions` VALUES (142759, 7018, 26, 'Khởi phát bệnh:');
INSERT INTO `lang_definitions` VALUES (142760, 7019, 26, 'Khởi phát Sưng:');
INSERT INTO `lang_definitions` VALUES (142761, 7022, 26, 'Ngày Khởi phát / Nhập viện:');
INSERT INTO `lang_definitions` VALUES (142762, 7026, 26, 'Địa chỉ Cổng thông tin Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142763, 7030, 26, 'Ối!');
INSERT INTO `lang_definitions` VALUES (142764, 7031, 26, 'Mở');
INSERT INTO `lang_definitions` VALUES (142765, 7046, 26, 'Mở Đến khám Hôm nay');
INSERT INTO `lang_definitions` VALUES (142766, 7071, 26, 'OpenEMR đã có một Certificate Authority cấu hình.');
INSERT INTO `lang_definitions` VALUES (142767, 7076, 26, 'OpenEMR Cơ sở dữ liệu Nâng cấp');
INSERT INTO `lang_definitions` VALUES (142768, 7077, 26, 'OpenEMR Nâng cấp cơ sở dữ liệu cho De-nhận dạng');
INSERT INTO `lang_definitions` VALUES (142769, 7080, 26, 'OpenEMR phải được cấu hình để sử dụng giấy chứng nhận trước khi nó có thể tạo các chứng chỉ của khách hàng.');
INSERT INTO `lang_definitions` VALUES (142770, 7084, 26, 'OpenEMR yêu cầu Javascript để thực hiện xác thực người dùng.');
INSERT INTO `lang_definitions` VALUES (142771, 7085, 26, 'OpenEMR Người dùng');
INSERT INTO `lang_definitions` VALUES (142772, 7086, 26, 'Hở');
INSERT INTO `lang_definitions` VALUES (142773, 7092, 26, 'Nhãn khoa');
INSERT INTO `lang_definitions` VALUES (142774, 7095, 26, 'Tùy chọn');
INSERT INTO `lang_definitions` VALUES (142775, 7098, 26, 'Tùy chọn hỗ trợ theo dõi tồn kho và bán hàng của sản phẩm');
INSERT INTO `lang_definitions` VALUES (142776, 7099, 26, 'Tùy chọn');
INSERT INTO `lang_definitions` VALUES (142777, 7100, 26, 'Tùy chọn loại tên cho một hình ảnh thẻ ID có thể được xem từ trang tóm tắt bệnh nhân.');
INSERT INTO `lang_definitions` VALUES (142778, 7101, 26, 'Tùy chọn loại tên cho hình ảnh hình ảnh có thể được xem từ trang tóm tắt bệnh nhân.');
INSERT INTO `lang_definitions` VALUES (142779, 7102, 26, 'Tùy chọn loại tên của một tài liệu liên kết đến từ trang tóm tắt bệnh nhân. Cho phép bạn nhấn chuột vào một tên bệnh nhân để xem thẻ ID của họ.');
INSERT INTO `lang_definitions` VALUES (142780, 7103, 26, 'Tùy chọn mặc định phạm vi cho các mục hướng dẫn sử dụng của kết quả');
INSERT INTO `lang_definitions` VALUES (142781, 7104, 26, 'Tùy chọn mặc định đơn vị cho các mục hướng dẫn sử dụng của kết quả');
INSERT INTO `lang_definitions` VALUES (142782, 7105, 26, 'Tùy chọn Tên Đích đến');
INSERT INTO `lang_definitions` VALUES (142783, 7107, 26, 'Tùy chọn tên thuốc, sử dụng % như là một ký tự đại diện');
INSERT INTO `lang_definitions` VALUES (142784, 7111, 26, 'Thông tin thêm về sự kiện này');
INSERT INTO `lang_definitions` VALUES (142785, 7112, 26, 'Rất nhiều số tùy chọn, sử dụng% như là một ký tự đại diện');
INSERT INTO `lang_definitions` VALUES (142786, 7113, 26, 'Tùy chọn số bệnh nhân ID');
INSERT INTO `lang_definitions` VALUES (142787, 7114, 26, 'Tùy chọn thủ tục mã');
INSERT INTO `lang_definitions` VALUES (142788, 7116, 26, 'Tùy chọn');
INSERT INTO `lang_definitions` VALUES (142789, 7117, 26, 'HOẶC');
INSERT INTO `lang_definitions` VALUES (142790, 7118, 26, 'Hoặc');
INSERT INTO `lang_definitions` VALUES (142791, 7119, 26, 'hoặc chọn');
INSERT INTO `lang_definitions` VALUES (142792, 7120, 26, 'hoặc nhấp chuột và kéo để lựa chọn nhanh hơn.');
INSERT INTO `lang_definitions` VALUES (142793, 7122, 26, 'Hoặc Out To');
INSERT INTO `lang_definitions` VALUES (142794, 7124, 26, 'hoặc Shift-Click để giảm');
INSERT INTO `lang_definitions` VALUES (142795, 7125, 26, 'Hoặc tải lên tập tin ERA:');
INSERT INTO `lang_definitions` VALUES (142796, 7127, 26, 'Uống');
INSERT INTO `lang_definitions` VALUES (142797, 7128, 26, 'Niêm mạc miệng màu hồng, cổ họng rõ ràng');
INSERT INTO `lang_definitions` VALUES (142798, 7129, 26, 'Thứ tự');
INSERT INTO `lang_definitions` VALUES (142799, 7131, 26, 'Trình tự, kết quả loại');
INSERT INTO `lang_definitions` VALUES (142800, 7132, 26, 'Bảng kê Đơn hàng');
INSERT INTO `lang_definitions` VALUES (142801, 7133, 26, 'Ngày Đặt hàng');
INSERT INTO `lang_definitions` VALUES (142802, 7136, 26, 'Đặt hàng Từ');
INSERT INTO `lang_definitions` VALUES (142803, 7138, 26, 'Số thứ tự phải là một con số giữa 1 và 999');
INSERT INTO `lang_definitions` VALUES (142804, 7140, 26, 'Tên Đơn hàng');
INSERT INTO `lang_definitions` VALUES (142805, 7142, 26, 'Thứ tự Ưu tiên');
INSERT INTO `lang_definitions` VALUES (142806, 7143, 26, 'Trình tự Thủ tục');
INSERT INTO `lang_definitions` VALUES (142807, 7147, 26, 'Trạng thái Đơn hàng');
INSERT INTO `lang_definitions` VALUES (142808, 7150, 26, 'Loại Đặt hàng');
INSERT INTO `lang_definitions` VALUES (142809, 7152, 26, 'Đặt hàng / Kết Quả Thể loại');
INSERT INTO `lang_definitions` VALUES (142810, 7153, 26, 'Đã đặt hàng');
INSERT INTO `lang_definitions` VALUES (142811, 7159, 26, 'Thứ tự cung cấp');
INSERT INTO `lang_definitions` VALUES (142812, 7166, 26, 'Cơ quan tổn thương');
INSERT INTO `lang_definitions` VALUES (142813, 7167, 26, 'Tổ chức');
INSERT INTO `lang_definitions` VALUES (142814, 7168, 26, 'Tên Tổ chức');
INSERT INTO `lang_definitions` VALUES (142815, 7169, 26, 'Tên Đơn vị Tổ chức');
INSERT INTO `lang_definitions` VALUES (142816, 7170, 26, 'Tổ chức');
INSERT INTO `lang_definitions` VALUES (142817, 7171, 26, 'Định hướng x 3');
INSERT INTO `lang_definitions` VALUES (142818, 7175, 26, 'Nguyên gốc');
INSERT INTO `lang_definitions` VALUES (142819, 7181, 26, 'Hầu họng:');
INSERT INTO `lang_definitions` VALUES (142820, 7184, 26, 'Khó thở');
INSERT INTO `lang_definitions` VALUES (142821, 7188, 26, 'Dung dịch uống');
INSERT INTO `lang_definitions` VALUES (142822, 7189, 26, 'Osetoarthritis');
INSERT INTO `lang_definitions` VALUES (142823, 7193, 26, 'Khác');
INSERT INTO `lang_definitions` VALUES (142824, 7194, 26, 'khác');
INSERT INTO `lang_definitions` VALUES (142825, 7196, 26, 'Khác (ghi rõ)');
INSERT INTO `lang_definitions` VALUES (142826, 7198, 26, 'Khác - Chỉ định');
INSERT INTO `lang_definitions` VALUES (142827, 7201, 26, 'Chương trình Liên Bang khác');
INSERT INTO `lang_definitions` VALUES (142828, 7202, 26, 'Khác HCFA');
INSERT INTO `lang_definitions` VALUES (142829, 7203, 26, 'Các chấn thương khác chưa được chi tiết');
INSERT INTO `lang_definitions` VALUES (142830, 7206, 26, 'khác tháng');
INSERT INTO `lang_definitions` VALUES (142831, 7207, 26, 'Chương trình Không Liên bang Khác');
INSERT INTO `lang_definitions` VALUES (142832, 7208, 26, 'Ghi chú Khác');
INSERT INTO `lang_definitions` VALUES (142833, 7209, 26, 'Các triệu chứng Phù hợp Khác');
INSERT INTO `lang_definitions` VALUES (142834, 7210, 26, 'Các triệu chứng Phù hợp Khác:');
INSERT INTO `lang_definitions` VALUES (142835, 7213, 26, 'Các pt resp khác');
INSERT INTO `lang_definitions` VALUES (142836, 7215, 26, 'Tổn thương do căn thẳng/quá liều khác');
INSERT INTO `lang_definitions` VALUES (142837, 7216, 26, 'Phẫu thuật Khác');
INSERT INTO `lang_definitions` VALUES (142838, 7217, 26, 'Liên quan đến Phá thai Khác/Chung chung');
INSERT INTO `lang_definitions` VALUES (142839, 7219, 26, 'Ngôn ngữ khác');
INSERT INTO `lang_definitions` VALUES (142840, 7221, 26, 'nếu không bạn sẽ phá hủy các tham chiếu đến/từ dữ liệu hiện có.');
INSERT INTO `lang_definitions` VALUES (142841, 7224, 26, 'Ottawa mắt cá Rules');
INSERT INTO `lang_definitions` VALUES (142842, 7225, 26, 'Đường uống');
INSERT INTO `lang_definitions` VALUES (142843, 7227, 26, 'NGOÀI');
INSERT INTO `lang_definitions` VALUES (142844, 7228, 26, 'Ngoài Văn phòng');
INSERT INTO `lang_definitions` VALUES (142845, 7230, 26, 'Giới thiệu Ra ngoài');
INSERT INTO `lang_definitions` VALUES (142846, 7231, 26, 'Kết quả');
INSERT INTO `lang_definitions` VALUES (142847, 7234, 26, 'Outlook');
INSERT INTO `lang_definitions` VALUES (142848, 7240, 26, 'QUÁ HẠN');
INSERT INTO `lang_definitions` VALUES (142849, 7244, 26, 'Việc sử dụng quá');
INSERT INTO `lang_definitions` VALUES (142850, 7246, 26, 'Thừa cân');
INSERT INTO `lang_definitions` VALUES (142851, 7247, 26, 'Ghi đè lên HIPAA sự lựa chọn');
INSERT INTO `lang_definitions` VALUES (142852, 7249, 26, 'Oxygen Saturation');
INSERT INTO `lang_definitions` VALUES (142853, 7251, 26, 'P');
INSERT INTO `lang_definitions` VALUES (142854, 7252, 26, 'sau khi ăn');
INSERT INTO `lang_definitions` VALUES (142855, 7253, 26, 'chiều tối');
INSERT INTO `lang_definitions` VALUES (142856, 7254, 26, 'khi cần');
INSERT INTO `lang_definitions` VALUES (142857, 7258, 26, 'Đảo Thái Bình Dương');
INSERT INTO `lang_definitions` VALUES (142858, 7259, 26, 'Paedeatric');
INSERT INTO `lang_definitions` VALUES (142859, 7260, 26, 'Trang');
INSERT INTO `lang_definitions` VALUES (142860, 7263, 26, 'Trang');
INSERT INTO `lang_definitions` VALUES (142861, 7264, 26, 'Trả');
INSERT INTO `lang_definitions` VALUES (142862, 7265, 26, 'Trả số tiền mà bạn sẽ phân bổ');
INSERT INTO `lang_definitions` VALUES (142863, 7267, 26, 'Thanh toán qua');
INSERT INTO `lang_definitions` VALUES (142864, 7268, 26, 'Đau');
INSERT INTO `lang_definitions` VALUES (142865, 7271, 26, 'Sự nhảy động');
INSERT INTO `lang_definitions` VALUES (142866, 7275, 26, 'Pap Smear');
INSERT INTO `lang_definitions` VALUES (142867, 7278, 26, 'Tê liệt');
INSERT INTO `lang_definitions` VALUES (142868, 7284, 26, 'Phân tích cú pháp HL7');
INSERT INTO `lang_definitions` VALUES (142869, 7289, 26, 'Đối tác');
INSERT INTO `lang_definitions` VALUES (142870, 7290, 26, 'Đối tác Tên');
INSERT INTO `lang_definitions` VALUES (142871, 7294, 26, 'Mật khẩu');
INSERT INTO `lang_definitions` VALUES (142872, 7295, 26, 'Mật khẩu để giải mã tài liệu');
INSERT INTO `lang_definitions` VALUES (142873, 7296, 26, 'Bệnh nhân Qua đời');
INSERT INTO `lang_definitions` VALUES (142874, 7297, 26, 'Cảnh báo Thụ động');
INSERT INTO `lang_definitions` VALUES (142875, 7299, 26, 'Quy tắc Cảnh báo Thụ động');
INSERT INTO `lang_definitions` VALUES (142876, 7301, 26, 'Mật khẩu');
INSERT INTO `lang_definitions` VALUES (142877, 7302, 26, 'Thay đổi Mật khẩu');
INSERT INTO `lang_definitions` VALUES (142878, 7304, 26, 'Thay đổi mật khẩu thành công.');
INSERT INTO `lang_definitions` VALUES (142879, 7308, 26, 'Giai đoạn mật khẩu sắp hết hạn');
INSERT INTO `lang_definitions` VALUES (142880, 7310, 26, 'Mật khẩu cho cổng điện thoại. Tự động dịch vụ VoIP được cung cấp bởi Maviq. Vui lòng truy cập http://signup.maviq.com để biết thêm thông tin.');
INSERT INTO `lang_definitions` VALUES (142881, 7311, 26, 'Mật khẩu cho SMS Gateway');
INSERT INTO `lang_definitions` VALUES (142882, 7312, 26, 'Mật khẩu cho SMS Gateway.');
INSERT INTO `lang_definitions` VALUES (142883, 7314, 26, 'Bảo mật mật khẩu gần đây đã được nâng cấp.');
INSERT INTO `lang_definitions` VALUES (142884, 7319, 26, 'Mật khẩu:');
INSERT INTO `lang_definitions` VALUES (142885, 7329, 26, 'Quá hạn');
INSERT INTO `lang_definitions` VALUES (142886, 7330, 26, 'Quá Hạn');
INSERT INTO `lang_definitions` VALUES (142887, 7331, 26, 'Thời khoảng Quá Hạn (Nhắc nhở Lâm sàng)');
INSERT INTO `lang_definitions` VALUES (142888, 7332, 26, 'Thời khoảng Quá Hạn (Nhắc nhở Bệnh nhân)');
INSERT INTO `lang_definitions` VALUES (142889, 7333, 26, 'Danh sách Lần khám Trước đây');
INSERT INTO `lang_definitions` VALUES (142890, 7334, 26, 'Lần khám Trước đây');
INSERT INTO `lang_definitions` VALUES (142891, 7335, 26, 'Lần khám và Tài liệu Trước đây');
INSERT INTO `lang_definitions` VALUES (142892, 7336, 26, 'Lần khám Trước đây của');
INSERT INTO `lang_definitions` VALUES (142893, 7344, 26, 'Dán HL7 Data');
INSERT INTO `lang_definitions` VALUES (142894, 7345, 26, 'Dán dữ liệu để nhập khẩu vào khu vực văn bản dưới đây:');
INSERT INTO `lang_definitions` VALUES (142895, 7346, 26, 'Pat');
INSERT INTO `lang_definitions` VALUES (142896, 7348, 26, 'Bản vá');
INSERT INTO `lang_definitions` VALUES (142897, 7355, 26, 'Con đường cho sao lưu Event Log');
INSERT INTO `lang_definitions` VALUES (142898, 7356, 26, 'Đường dẫn File chứng chỉ CA');
INSERT INTO `lang_definitions` VALUES (142899, 7357, 26, 'Đường dẫn đến File Key CA');
INSERT INTO `lang_definitions` VALUES (142900, 7358, 26, 'Đường dẫn đến MySQL Binaries');
INSERT INTO `lang_definitions` VALUES (142901, 7359, 26, 'Đường dẫn đến Perl Binaries');
INSERT INTO `lang_definitions` VALUES (142902, 7360, 26, 'Đường dẫn đến tập tin tạm thời');
INSERT INTO `lang_definitions` VALUES (142903, 7361, 26, 'Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142904, 7362, 26, 'BỆNH NHÂN');
INSERT INTO `lang_definitions` VALUES (142905, 7363, 26, 'bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142906, 7369, 26, 'Bệnh nhân dị ứng');
INSERT INTO `lang_definitions` VALUES (142907, 7370, 26, 'Bệnh nhân dị ứng');
INSERT INTO `lang_definitions` VALUES (142908, 7373, 26, 'Bệnh nhân bổ nhiệm');
INSERT INTO `lang_definitions` VALUES (142909, 7379, 26, 'Bệnh nhân biểu đồ ID');
INSERT INTO `lang_definitions` VALUES (142910, 7381, 26, 'Bệnh nhân Thanh toán');
INSERT INTO `lang_definitions` VALUES (142911, 7382, 26, 'Bệnh nhân Thanh toán cho');
INSERT INTO `lang_definitions` VALUES (142912, 7383, 26, 'Bệnh nhân Thành phố');
INSERT INTO `lang_definitions` VALUES (142913, 7386, 26, 'Bệnh nhân Truyền thông đã gửi');
INSERT INTO `lang_definitions` VALUES (142914, 7387, 26, 'Bệnh nhân Comunication đã gửi');
INSERT INTO `lang_definitions` VALUES (142915, 7388, 26, 'Bệnh nhân Quốc gia');
INSERT INTO `lang_definitions` VALUES (142916, 7394, 26, 'Dữ liệu Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142917, 7396, 26, 'Thiếu Ngày Sinh của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142918, 7401, 26, 'Chi tiết Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142919, 7402, 26, 'Ngày sinh của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142920, 7404, 26, 'Tài liệu của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142921, 7410, 26, 'Nghiên cứu Bệnh lý');
INSERT INTO `lang_definitions` VALUES (142922, 7411, 26, 'Phương tiện Nghiên cứu Bệnh lý');
INSERT INTO `lang_definitions` VALUES (142923, 7412, 26, 'Bệnh nhân gặp');
INSERT INTO `lang_definitions` VALUES (142924, 7413, 26, 'Biểu mẫu Lần khám của Bệnh Nhân');
INSERT INTO `lang_definitions` VALUES (142925, 7414, 26, 'Các lần khám của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142926, 7415, 26, 'Tìm kiếm Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142927, 7417, 26, 'Tên Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142928, 7419, 26, 'Thiếu tên bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142929, 7424, 26, 'Giới tính của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142930, 7425, 26, 'Thiếu Giới tính của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142931, 7426, 26, 'Bệnh nhân đã không được uỷ quyền là Cổng thông tin bệnh nhân.');
INSERT INTO `lang_definitions` VALUES (142932, 7428, 26, 'Lịch sử Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142933, 7429, 26, 'Lịch sử Bệnh nhân / Lối sống');
INSERT INTO `lang_definitions` VALUES (142934, 7430, 26, 'Điện thoại nhà Bệnh Nhân');
INSERT INTO `lang_definitions` VALUES (142935, 7431, 26, 'Bệnh nhân ID');
INSERT INTO `lang_definitions` VALUES (142936, 7433, 26, 'Bệnh nhân ID card');
INSERT INTO `lang_definitions` VALUES (142937, 7434, 26, 'Tên Thể loại ID bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142938, 7437, 26, 'Bệnh nhân Tiêm chủng');
INSERT INTO `lang_definitions` VALUES (142939, 7438, 26, 'Thông tin Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142940, 7440, 26, 'Hướng dẫn Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142941, 7441, 26, 'Bảo hiểm Phân phối Bệnh Nhân');
INSERT INTO `lang_definitions` VALUES (142942, 7442, 26, 'Báo cáo phân phối bảo hiểm bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142943, 7445, 26, 'Bệnh nhân vấn đề');
INSERT INTO `lang_definitions` VALUES (142944, 7447, 26, 'Bệnh nhân cuối tên');
INSERT INTO `lang_definitions` VALUES (142945, 7454, 26, 'Bệnh nhân Danh sách');
INSERT INTO `lang_definitions` VALUES (142946, 7460, 26, 'Bệnh nhân Lookup lỗi');
INSERT INTO `lang_definitions` VALUES (142947, 7463, 26, 'Bệnh nhân y tế vấn đề');
INSERT INTO `lang_definitions` VALUES (142948, 7464, 26, 'Bệnh nhân thuốc');
INSERT INTO `lang_definitions` VALUES (142949, 7470, 26, 'Tên Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142950, 7472, 26, 'Tên và Địa chỉ Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142951, 7475, 26, 'Phải có Tên Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142952, 7477, 26, 'Ghi chú về Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142953, 7478, 26, 'Các loại Ghi chú về Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142954, 7479, 26, 'Ghi chú về Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142955, 7480, 26, 'Ghi chú Bệnh nhân (tùy chọn cho ghi, chỉ thêm)');
INSERT INTO `lang_definitions` VALUES (142956, 7482, 26, 'Số của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142957, 7483, 26, 'Bệnh nhân Thanh toán');
INSERT INTO `lang_definitions` VALUES (142958, 7485, 26, 'Tên Thể loại ảnh bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142959, 7487, 26, 'Bệnh nhân Portal');
INSERT INTO `lang_definitions` VALUES (142960, 7492, 26, 'Cổng thông tin bệnh nhân bị tắt');
INSERT INTO `lang_definitions` VALUES (142961, 7493, 26, 'Bệnh nhân Cổng Thông tin Đăng nhập');
INSERT INTO `lang_definitions` VALUES (142962, 7496, 26, 'Địa chỉ Web Portal bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142963, 7497, 26, 'Bệnh nhân In Báo cáo');
INSERT INTO `lang_definitions` VALUES (142964, 7499, 26, 'Báo cáo bệnh nhân ghi');
INSERT INTO `lang_definitions` VALUES (142965, 7500, 26, 'Yêu cầu Hồ sơ Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142966, 7501, 26, 'Yêu cầu các Hồ sơ Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142967, 7503, 26, 'Nhắc nhở về Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142968, 7505, 26, 'Hàng loạt Việc Nhắc nhở về Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142969, 7507, 26, 'Quy luật Nhắc nhở về Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142970, 7508, 26, 'Email Người gửi Nhắc nhở về Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142971, 7509, 26, 'Tên Người gửi Nhắc nhở về Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142972, 7510, 26, 'Nhắc nhở về Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142973, 7514, 26, 'Báo cáo về Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142974, 7518, 26, 'Yêu cầu của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142975, 7519, 26, 'Hồ sơ Y tế của Bệnh nhân được Yêu cầu');
INSERT INTO `lang_definitions` VALUES (142976, 7521, 26, 'Kết quả về Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142977, 7525, 26, 'Kiểu Kết quả Tìm kiếm về Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142978, 7526, 26, 'Màn hình Tìm kiếm / Thêm Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142979, 7528, 26, 'Thiết lập của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142980, 7533, 26, 'Tiểu bang của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142981, 7539, 26, 'Tóm lượt về Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142982, 7542, 26, 'Giao dịch của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142983, 7546, 26, 'Mã Zip của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142984, 7549, 26, 'bệnh nhân (s) trong cơ sở dữ liệu phù hợp với các thông tin nhân khẩu học mà bạn đã nhập.');
INSERT INTO `lang_definitions` VALUES (142985, 7550, 26, 'Bệnh nhân / Khách hàng');
INSERT INTO `lang_definitions` VALUES (142986, 7551, 26, 'Bệnh nhân:');
INSERT INTO `lang_definitions` VALUES (142987, 7552, 26, 'PatientID');
INSERT INTO `lang_definitions` VALUES (142988, 7553, 26, 'Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (142989, 7559, 26, 'Trả');
INSERT INTO `lang_definitions` VALUES (142990, 7560, 26, 'Hãy chú ý \"Done\" hộp kiểm tra. Sau khi bảo hiểm được đánh dấu đầy đủ thì chúng ta sẽ bắt đầu yêu cầu bệnh nhân phải trả số dư còn lại, nếu bạn không đánh dấu tất cả các loại bảo hiểm hoàn thành thì số tiền còn lại sẽ không được thu thập! Ngoài ra nếu có một sự cân bằng mà bệnh nhân phải trả tiền, sau đó thiết lập ngày hết hạn một cách thích hợp, vì điều này sẽ ảnh hưởng đến ngôn ngữ xuất hiện trên báo cáo bệnh nhân.');
INSERT INTO `lang_definitions` VALUES (142991, 7563, 26, 'Trả ngày:');
INSERT INTO `lang_definitions` VALUES (142992, 7566, 26, 'Trả Status');
INSERT INTO `lang_definitions` VALUES (142993, 7567, 26, 'Người nhận thanh toán Name');
INSERT INTO `lang_definitions` VALUES (142994, 7568, 26, 'Đối tượng nộp');
INSERT INTO `lang_definitions` VALUES (142995, 7572, 26, 'Đối tượng nộp Loại');
INSERT INTO `lang_definitions` VALUES (142996, 7573, 26, 'Thanh toán');
INSERT INTO `lang_definitions` VALUES (142997, 7574, 26, 'Thanh toán Entity');
INSERT INTO `lang_definitions` VALUES (142998, 7575, 26, 'Thanh toán');
INSERT INTO `lang_definitions` VALUES (142999, 7576, 26, 'thanh toán');
INSERT INTO `lang_definitions` VALUES (143000, 7577, 26, 'Mã Điều chỉnh Thanh toán');
INSERT INTO `lang_definitions` VALUES (143001, 7579, 26, 'Khoản tiền thanh toán');
INSERT INTO `lang_definitions` VALUES (143002, 7580, 26, 'Khoản tiền thanh toán phải là Numeric');
INSERT INTO `lang_definitions` VALUES (143003, 7581, 26, 'Thanh toán Thể loại');
INSERT INTO `lang_definitions` VALUES (143004, 7583, 26, 'Thanh toán ngày');
INSERT INTO `lang_definitions` VALUES (143005, 7584, 26, 'thanh toán được nhập vào');
INSERT INTO `lang_definitions` VALUES (143006, 7585, 26, 'Thanh toán Từ');
INSERT INTO `lang_definitions` VALUES (143007, 7588, 26, 'Thanh toán Ins');
INSERT INTO `lang_definitions` VALUES (143008, 7589, 26, 'Thanh toán Danh sách');
INSERT INTO `lang_definitions` VALUES (143009, 7590, 26, 'Phương thức thanh toán');
INSERT INTO `lang_definitions` VALUES (143010, 7592, 26, 'Thanh toán Sắp xếp theo');
INSERT INTO `lang_definitions` VALUES (143011, 7593, 26, 'Thanh toán Tình trạng');
INSERT INTO `lang_definitions` VALUES (143012, 7597, 26, 'Loại thanh toán');
INSERT INTO `lang_definitions` VALUES (143013, 7600, 26, 'Giá trị thanh toán cho mã');
INSERT INTO `lang_definitions` VALUES (143014, 7602, 26, 'Thanh toán');
INSERT INTO `lang_definitions` VALUES (143015, 7606, 26, 'PCP');
INSERT INTO `lang_definitions` VALUES (143016, 7610, 26, 'PDF');
INSERT INTO `lang_definitions` VALUES (143017, 7614, 26, 'PDF Download Báo cáo lựa chọn');
INSERT INTO `lang_definitions` VALUES (143018, 7620, 26, 'Xương chậu và mông');
INSERT INTO `lang_definitions` VALUES (143019, 7621, 26, 'Bịnh có mụt nước trên da');
INSERT INTO `lang_definitions` VALUES (143020, 7624, 26, 'Đang chờ');
INSERT INTO `lang_definitions` VALUES (143021, 7629, 26, 'Đang chờ T / D');
INSERT INTO `lang_definitions` VALUES (143022, 7630, 26, 'Đang chờ Theo dõi');
INSERT INTO `lang_definitions` VALUES (143023, 7631, 26, 'Đang chờ Theo dõi Kết quả');
INSERT INTO `lang_definitions` VALUES (143024, 7632, 26, 'Đơn hàng Đang chờ');
INSERT INTO `lang_definitions` VALUES (143025, 7633, 26, 'Trong khi chờ Res');
INSERT INTO `lang_definitions` VALUES (143026, 7634, 26, 'Đang chờ Xem xét');
INSERT INTO `lang_definitions` VALUES (143027, 7635, 26, 'Trong khi chờ Rx Lượt');
INSERT INTO `lang_definitions` VALUES (143028, 7638, 26, 'Pennington Công ty OpenEMR v');
INSERT INTO `lang_definitions` VALUES (143029, 7639, 26, 'Bệnh loét dạ dày');
INSERT INTO `lang_definitions` VALUES (143030, 7641, 26, 'mỗi phút');
INSERT INTO `lang_definitions` VALUES (143031, 7642, 26, 'Mỗi lỗ mũi');
INSERT INTO `lang_definitions` VALUES (143032, 7643, 26, 'mỗi lỗ mũi');
INSERT INTO `lang_definitions` VALUES (143033, 7644, 26, 'Uống');
INSERT INTO `lang_definitions` VALUES (143034, 7645, 26, 'uống');
INSERT INTO `lang_definitions` VALUES (143035, 7646, 26, 'Nhét hậu môn');
INSERT INTO `lang_definitions` VALUES (143036, 7647, 26, 'mỗi trực tràng');
INSERT INTO `lang_definitions` VALUES (143037, 7648, 26, 'Tỷ lệ phần trăm');
INSERT INTO `lang_definitions` VALUES (143038, 7652, 26, 'Phần Trăm');
INSERT INTO `lang_definitions` VALUES (143039, 7653, 26, 'Đục phải:');
INSERT INTO `lang_definitions` VALUES (143040, 7654, 26, 'Thực hiện Tìm kiếm');
INSERT INTO `lang_definitions` VALUES (143041, 7655, 26, 'Thực hiện hành động này');
INSERT INTO `lang_definitions` VALUES (143042, 7656, 26, 'Hiệu suất Tỷ lệ phần trăm');
INSERT INTO `lang_definitions` VALUES (143043, 7659, 26, 'Thực hiện Cơ sở phòng thí nghiệm');
INSERT INTO `lang_definitions` VALUES (143044, 7661, 26, 'Dấu chấm');
INSERT INTO `lang_definitions` VALUES (143045, 7662, 26, 'Thời gian trong ngày mà người dùng có thể đăng nhập bằng một mật khẩu hết hạn.');
INSERT INTO `lang_definitions` VALUES (143046, 7663, 26, 'Perioperative Chăm sóc');
INSERT INTO `lang_definitions` VALUES (143047, 7665, 26, 'Thiết bị ngoại vi');
INSERT INTO `lang_definitions` VALUES (143048, 7671, 26, 'Người');
INSERT INTO `lang_definitions` VALUES (143049, 7672, 26, 'Cá nhân');
INSERT INTO `lang_definitions` VALUES (143050, 7675, 26, 'PG');
INSERT INTO `lang_definitions` VALUES (143051, 7676, 26, 'Pharm');
INSERT INTO `lang_definitions` VALUES (143052, 7677, 26, 'Pharm Com Lượt');
INSERT INTO `lang_definitions` VALUES (143053, 7678, 26, 'Nhà thuốc');
INSERT INTO `lang_definitions` VALUES (143054, 7680, 26, 'Nhà thuốc');
INSERT INTO `lang_definitions` VALUES (143055, 7681, 26, 'Dược bệnh xá');
INSERT INTO `lang_definitions` VALUES (143056, 7688, 26, 'Pheumothorax');
INSERT INTO `lang_definitions` VALUES (143057, 7697, 26, 'Điện thoại');
INSERT INTO `lang_definitions` VALUES (143058, 7699, 26, 'Danh sách cuộc gọi điện thoại');
INSERT INTO `lang_definitions` VALUES (143059, 7705, 26, 'Điện thoại Cổng Mật khẩu');
INSERT INTO `lang_definitions` VALUES (143060, 7706, 26, 'Cổng URL điện thoại');
INSERT INTO `lang_definitions` VALUES (143061, 7707, 26, 'Cổng Tên đăng nhập điện thoại');
INSERT INTO `lang_definitions` VALUES (143062, 7709, 26, 'Thông báo Giờ điện thoại');
INSERT INTO `lang_definitions` VALUES (143063, 7711, 26, 'Số điện thoại');
INSERT INTO `lang_definitions` VALUES (143064, 7715, 26, 'Chứng sợ ánh sáng');
INSERT INTO `lang_definitions` VALUES (143065, 7716, 26, 'Hình ảnh');
INSERT INTO `lang_definitions` VALUES (143066, 7717, 26, 'PHP nén');
INSERT INTO `lang_definitions` VALUES (143067, 7718, 26, 'PHP cURL mô-đun nên được cho phép trong máy chủ của bạn.');
INSERT INTO `lang_definitions` VALUES (143068, 7720, 26, 'đã trích xuất PHP');
INSERT INTO `lang_definitions` VALUES (143069, 7721, 26, 'kiểm soát truy nhập php-GACL được tắt');
INSERT INTO `lang_definitions` VALUES (143070, 7722, 26, 'PHP-gacl không được cài đặt');
INSERT INTO `lang_definitions` VALUES (143071, 7723, 26, 'Vật lý thi');
INSERT INTO `lang_definitions` VALUES (143072, 7725, 26, 'Bác sĩ yêu cầu');
INSERT INTO `lang_definitions` VALUES (143073, 7726, 26, 'Bác sĩ Chữ ký');
INSERT INTO `lang_definitions` VALUES (143074, 7729, 26, 'Bác sĩ');
INSERT INTO `lang_definitions` VALUES (143075, 7733, 26, 'chọn');
INSERT INTO `lang_definitions` VALUES (143076, 7734, 26, 'Chọn');
INSERT INTO `lang_definitions` VALUES (143077, 7735, 26, 'Chọn một chủ đề CSS.');
INSERT INTO `lang_definitions` VALUES (143078, 7738, 26, 'PID');
INSERT INTO `lang_definitions` VALUES (143079, 7740, 26, 'PID (viêm vùng chậu)');
INSERT INTO `lang_definitions` VALUES (143080, 7741, 26, 'Pill Size');
INSERT INTO `lang_definitions` VALUES (143081, 7742, 26, 'Thuốc');
INSERT INTO `lang_definitions` VALUES (143082, 7745, 26, 'Đặt file zip cơ sở dữ liệu trong thư mục sau đây nếu muốn tùy chọn để cài đặt');
INSERT INTO `lang_definitions` VALUES (143083, 7752, 26, 'Giữ chỗ');
INSERT INTO `lang_definitions` VALUES (143084, 7753, 26, 'Giữ chỗ (duy trì ACL trống)');
INSERT INTO `lang_definitions` VALUES (143085, 7756, 26, 'Hoàn toàn là Chữ');
INSERT INTO `lang_definitions` VALUES (143086, 7757, 26, 'Kế hoạch (Plan)');
INSERT INTO `lang_definitions` VALUES (143087, 7762, 26, 'Tên Kế hoạch');
INSERT INTO `lang_definitions` VALUES (143088, 7768, 26, 'Kế hoạch Set');
INSERT INTO `lang_definitions` VALUES (143089, 7773, 26, 'Kế hoạch:');
INSERT INTO `lang_definitions` VALUES (143090, 7776, 26, 'Kế hoạch');
INSERT INTO `lang_definitions` VALUES (143091, 7778, 26, 'Thủ');
INSERT INTO `lang_definitions` VALUES (143092, 7779, 26, 'Chơi Chức vụ');
INSERT INTO `lang_definitions` VALUES (143093, 7780, 26, 'Xin vui lòng gọi nếu có của các thông tin trên là không chính xác');
INSERT INTO `lang_definitions` VALUES (143094, 7784, 26, 'Xin vui lòng thay đổi mật khẩu của bạn.');
INSERT INTO `lang_definitions` VALUES (143095, 7785, 26, 'Chọn một tập tin');
INSERT INTO `lang_definitions` VALUES (143096, 7786, 26, 'Vui lòng chọn một bệnh nhân');
INSERT INTO `lang_definitions` VALUES (143097, 7787, 26, 'Hãy chọn một lựa chọn hợp lệ từ danh sách.');
INSERT INTO `lang_definitions` VALUES (143098, 7788, 26, 'Hãy chọn một lựa chọn hợp lệ.');
INSERT INTO `lang_definitions` VALUES (143099, 7789, 26, 'Xin vui lòng lựa chọn một giá trị cho');
INSERT INTO `lang_definitions` VALUES (143100, 7790, 26, 'Xin vui lòng lựa chọn tiêu chuẩn phạm vi ngày ở trên, và nhấn Refresh để xem kết quả.');
INSERT INTO `lang_definitions` VALUES (143101, 7791, 26, 'Xin vui lòng lựa chọn đúng định dạng tệp tin EDI-271');
INSERT INTO `lang_definitions` VALUES (143102, 7792, 26, 'Vui lòng Click vào nút download để tải về De dữ liệu Xác định');
INSERT INTO `lang_definitions` VALUES (143103, 7793, 26, 'Vui lòng Click vào nút download để tải về các dữ liệu Re Xác định');
INSERT INTO `lang_definitions` VALUES (143104, 7795, 26, 'Hãy đóng cửa sổ này.');
INSERT INTO `lang_definitions` VALUES (143105, 7796, 26, 'Xin hãy so sánh tên mới');
INSERT INTO `lang_definitions` VALUES (143106, 7805, 26, 'Xin vui lòng không chấp nhận toa thuốc này, trừ khi nó đã được nhận thông qua facimile.');
INSERT INTO `lang_definitions` VALUES (143107, 7806, 26, 'Xin vui lòng không chấp nhận toa thuốc này, trừ khi nó đã được nhận qua fax.');
INSERT INTO `lang_definitions` VALUES (143108, 7807, 26, 'Xin vui lòng sử dụng trình duyệt của bạn ngừng hoặc tải lại nút trong khi trang đang chạy trừ khi hơn 10 phút đã trôi qua, điều này sẽ không gây ra quá trình dừng lại trên máy chủ và sẽ tiêu thụ tài nguyên uneccesary.');
INSERT INTO `lang_definitions` VALUES (143109, 7813, 26, 'Xin vui lòng nhập một ngày để xem lại lần cuối.');
INSERT INTO `lang_definitions` VALUES (143110, 7814, 26, 'Xin vui lòng nhập một ngày.');
INSERT INTO `lang_definitions` VALUES (143111, 7819, 26, 'Xin vui lòng nhập một số lượng tiền tệ bằng cách sử dụng số duy nhất và là một điểm thập phân.');
INSERT INTO `lang_definitions` VALUES (143112, 7821, 26, 'Nhập mật khẩu mới');
INSERT INTO `lang_definitions` VALUES (143113, 7822, 26, 'Xin vui lòng nhập một tiêu đề!');
INSERT INTO `lang_definitions` VALUES (143114, 7828, 26, 'Xin vui lòng nhập chính xác mã nhận dạng Re');
INSERT INTO `lang_definitions` VALUES (143115, 7832, 26, 'Xin vui lòng nhập chuỗi tìm kiếm mới');
INSERT INTO `lang_definitions` VALUES (143116, 7833, 26, 'Xin vui lòng nhập mã Re Xác định chính xác');
INSERT INTO `lang_definitions` VALUES (143117, 7834, 26, 'Hãy nhập mật khẩu');
INSERT INTO `lang_definitions` VALUES (143118, 7843, 26, 'Điền vào các số Kiểm tra');
INSERT INTO `lang_definitions` VALUES (143119, 7845, 26, 'Xin vui lòng Điền vào các ngày');
INSERT INTO `lang_definitions` VALUES (143120, 7846, 26, 'Xin vui lòng Điền Số tiền thanh toán');
INSERT INTO `lang_definitions` VALUES (143121, 7847, 26, 'Điền vào các loại thanh toán');
INSERT INTO `lang_definitions` VALUES (143122, 7848, 26, 'Điền vào các thanh toán Từ');
INSERT INTO `lang_definitions` VALUES (143123, 7849, 26, 'Điền vào các bài viết Đến ngày');
INSERT INTO `lang_definitions` VALUES (143124, 7850, 26, 'Xin vui lòng điền vào trong trước khi tiếp tục.');
INSERT INTO `lang_definitions` VALUES (143125, 7854, 26, 'Xin cho biết lý do ghé thăm');
INSERT INTO `lang_definitions` VALUES (143126, 7856, 26, 'Xin vui lòng nhập vào tiêu chí tìm kiếm ở trên, và nhấp Gửi để xem kết quả.');
INSERT INTO `lang_definitions` VALUES (143127, 7857, 26, 'Xin vui lòng nhập vào tiêu chí tìm kiếm ở trên, và nhấn Gửi để xem kết quả. (Kết quả sẽ được hiển thị trong một cửa sổ bật lên)');
INSERT INTO `lang_definitions` VALUES (143128, 7858, 26, 'Vui lòng đăng nhập lại.');
INSERT INTO `lang_definitions` VALUES (143129, 7859, 26, 'Xin lưu ý rằng điều này có thể mất một thời gian rất dài, lên đến vài phút, trình duyệt web của bạn không có thể xuất hiện rất tích cực trong thời gian này, nhưng tạo ra một dự luật là một quá trình phức tạp và trình duyệt web của bạn chỉ đơn thuần chờ đợi để biết thêm thông tin.');
INSERT INTO `lang_definitions` VALUES (143130, 7860, 26, 'Lưu ý: hằng số có phân biệt chữ hoa hay thường và chuỗi bất kỳ được cho phép.');
INSERT INTO `lang_definitions` VALUES (143131, 7861, 26, 'Xin vui lòng chỉ sử dụng ký tự chữ cái');
INSERT INTO `lang_definitions` VALUES (143132, 7862, 26, 'Xin vui lòng chỉ sử dụng các ký tự chữ cái không có khoảng cách');
INSERT INTO `lang_definitions` VALUES (143133, 7863, 26, 'Xin vui lòng trả số tiền này');
INSERT INTO `lang_definitions` VALUES (143134, 7867, 26, 'Vui lòng tham khảo tập tin');
INSERT INTO `lang_definitions` VALUES (143135, 7868, 26, 'Vui lòng thiết lập lại mật khẩu.');
INSERT INTO `lang_definitions` VALUES (143136, 7869, 26, 'Hãy khởi động lại máy chủ apache trước khi chơi với de-nhận dạng');
INSERT INTO `lang_definitions` VALUES (143137, 7877, 26, 'Hãy chọn một ngôn ngữ');
INSERT INTO `lang_definitions` VALUES (143138, 7878, 26, 'Chọn một bệnh nhân.');
INSERT INTO `lang_definitions` VALUES (143139, 7879, 26, 'Hãy chọn một cơ sở kinh doanh thực thể tiểu học với \'Tax ID\' là ID Thuế cơ sở của bạn. Nếu bạn là một học viên cá nhân, sử dụng id thuế của bạn. Điều này được sử dụng để xác định bạn trong hệ thống NewCrop.');
INSERT INTO `lang_definitions` VALUES (143140, 7884, 26, 'Hãy chọn một ngày bắt đầu và ngày kết thúc');
INSERT INTO `lang_definitions` VALUES (143141, 7888, 26, 'Hãy chọn một lý do điều chỉnh cho mã');
INSERT INTO `lang_definitions` VALUES (143142, 7889, 26, 'Hãy chọn một sự kiện');
INSERT INTO `lang_definitions` VALUES (143143, 7891, 26, 'Hãy chọn bất kỳ tùy chọn tìm kiếm.');
INSERT INTO `lang_definitions` VALUES (143144, 7894, 26, 'Vui lòng chọn ít nhất một đơn thuốc!');
INSERT INTO `lang_definitions` VALUES (143145, 7899, 26, 'Hãy chọn trang bạn muốn sao chép hoặc chuyển tiếp:');
INSERT INTO `lang_definitions` VALUES (143146, 7900, 26, 'Chọn Phương thức thanh toán');
INSERT INTO `lang_definitions` VALUES (143147, 7905, 26, 'Xin vui lòng chọn X12 đối tác, cần thiết để tạo ra hàng loạt 270');
INSERT INTO `lang_definitions` VALUES (143148, 7906, 26, 'Xin vui lòng thiết lập');
INSERT INTO `lang_definitions` VALUES (143149, 7907, 26, 'Xin vui lòng thiết lập lại biến de_identification_config không');
INSERT INTO `lang_definitions` VALUES (143150, 7910, 26, 'Hãy bắt đầu quá trình nhận dạng De');
INSERT INTO `lang_definitions` VALUES (143151, 7913, 26, 'Xin vui lòng nâng cấp OpenEMR Cơ sở dữ liệu bao gồm các thủ tục nhận dạng De, chức năng, bảng');
INSERT INTO `lang_definitions` VALUES (143152, 7915, 26, 'Xin vui lòng xem bảng De Xác định lỗi đăng nhập để biết thêm chi tiết');
INSERT INTO `lang_definitions` VALUES (143153, 7916, 26, 'Vui lòng truy cập vào màn hình nhận dạng De sau một thời gian');
INSERT INTO `lang_definitions` VALUES (143154, 7917, 26, 'Vui lòng truy cập vào màn hình nhận dạng Re sau một thời gian');
INSERT INTO `lang_definitions` VALUES (143155, 7918, 26, 'Vui lòng truy cập vào màn hình sau một thời gian');
INSERT INTO `lang_definitions` VALUES (143156, 7926, 26, 'PM');
INSERT INTO `lang_definitions` VALUES (143157, 7927, 26, 'PM Chương trình');
INSERT INTO `lang_definitions` VALUES (143158, 7933, 26, 'Pmt Phương pháp');
INSERT INTO `lang_definitions` VALUES (143159, 7934, 26, 'PND');
INSERT INTO `lang_definitions` VALUES (143160, 7935, 26, 'Liên cầu khuẩn 1');
INSERT INTO `lang_definitions` VALUES (143161, 7936, 26, 'Liên cầu khuẩn 2');
INSERT INTO `lang_definitions` VALUES (143162, 7937, 26, 'Liên cầu khuẩn 3');
INSERT INTO `lang_definitions` VALUES (143163, 7938, 26, 'Liên cầu khuẩn 4');
INSERT INTO `lang_definitions` VALUES (143164, 7939, 26, 'Phế cầu khuẩn Vắc-xin');
INSERT INTO `lang_definitions` VALUES (143165, 7940, 26, 'Viêm phổi tiêm phòng vắc xin');
INSERT INTO `lang_definitions` VALUES (143166, 7941, 26, 'Tình trạng tiêm phòng vắc xin viêm phổi cho những người có tuổi');
INSERT INTO `lang_definitions` VALUES (143167, 7942, 26, 'Tình trạng tiêm phòng vắc xin viêm phổi cho những người có tuổi (CQM)');
INSERT INTO `lang_definitions` VALUES (143168, 7943, 26, 'Podiatric');
INSERT INTO `lang_definitions` VALUES (143169, 7946, 26, 'Điểm dịch vụ (POS)');
INSERT INTO `lang_definitions` VALUES (143170, 7947, 26, 'Chính sách');
INSERT INTO `lang_definitions` VALUES (143171, 7950, 26, 'Chính sách Không có');
INSERT INTO `lang_definitions` VALUES (143172, 7951, 26, 'Số hợp đồng bảo hiểm');
INSERT INTO `lang_definitions` VALUES (143173, 7952, 26, 'Ba Lan');
INSERT INTO `lang_definitions` VALUES (143174, 7953, 26, 'Polydypsia');
INSERT INTO `lang_definitions` VALUES (143175, 7955, 26, 'Polyp');
INSERT INTO `lang_definitions` VALUES (143176, 7956, 26, 'Polyuria');
INSERT INTO `lang_definitions` VALUES (143177, 7957, 26, 'Ăn không ngon miệng');
INSERT INTO `lang_definitions` VALUES (143178, 7958, 26, 'Người nghèo lưu hành');
INSERT INTO `lang_definitions` VALUES (143179, 7959, 26, 'Nghèo thính');
INSERT INTO `lang_definitions` VALUES (143180, 7962, 26, 'Cần phải kích hoạt cửa sổ mở lên (pop up) để xem các báo cáo này');
INSERT INTO `lang_definitions` VALUES (143181, 7964, 26, 'Tạo ra cách nhìn một năm với các sự kiện không?');
INSERT INTO `lang_definitions` VALUES (143182, 7965, 26, 'Mở lên (popup)');
INSERT INTO `lang_definitions` VALUES (143183, 7969, 26, 'Hoạt động Cổng thông tin');
INSERT INTO `lang_definitions` VALUES (143184, 7985, 26, 'Tiếng Bồ Đào Nha');
INSERT INTO `lang_definitions` VALUES (143185, 7987, 26, 'Tiếng Bồ Đào Nha (Brazil)');
INSERT INTO `lang_definitions` VALUES (143186, 7988, 26, 'Tiếng Bồ Đào Nha (châu Âu)');
INSERT INTO `lang_definitions` VALUES (143187, 7989, 26, 'Mã POS');
INSERT INTO `lang_definitions` VALUES (143188, 7992, 26, 'Tích cực');
INSERT INTO `lang_definitions` VALUES (143189, 7993, 26, 'Tích cực');
INSERT INTO `lang_definitions` VALUES (143190, 7996, 26, 'Đăng Đối với');
INSERT INTO `lang_definitions` VALUES (143191, 7998, 26, 'Đăng mũi nhỏ giọt');
INSERT INTO `lang_definitions` VALUES (143192, 8000, 26, 'Gửi thanh toán');
INSERT INTO `lang_definitions` VALUES (143193, 8001, 26, 'Đăng phẫu thuật');
INSERT INTO `lang_definitions` VALUES (143194, 8002, 26, 'Đăng kế toán và đánh dấu như lập hoá đơn');
INSERT INTO `lang_definitions` VALUES (143195, 8003, 26, 'Đăng Đến ngày');
INSERT INTO `lang_definitions` VALUES (143196, 8004, 26, 'Đăng Đến ngày không được lớn hơn Hôm nay');
INSERT INTO `lang_definitions` VALUES (143197, 8006, 26, 'Đăng Đến ngày Phải lớn hơn Ngày Đóng tài chính.');
INSERT INTO `lang_definitions` VALUES (143198, 8007, 26, 'Post-Chăm Sóc phá thai');
INSERT INTO `lang_definitions` VALUES (143199, 8008, 26, 'Sau phá thai Ngừa thai');
INSERT INTO `lang_definitions` VALUES (143200, 8009, 26, 'Sau phá thai Tư vấn');
INSERT INTO `lang_definitions` VALUES (143201, 8010, 26, 'Sau phá thai tiếp theo');
INSERT INTO `lang_definitions` VALUES (143202, 8011, 26, 'Bưu chính');
INSERT INTO `lang_definitions` VALUES (143203, 8012, 26, 'Mã bưu chính');
INSERT INTO `lang_definitions` VALUES (143204, 8013, 26, 'Mã bưu chính');
INSERT INTO `lang_definitions` VALUES (143205, 8015, 26, 'PostCalendar');
INSERT INTO `lang_definitions` VALUES (143206, 8016, 26, 'PostCalendar Quản trị');
INSERT INTO `lang_definitions` VALUES (143207, 8017, 26, 'Cài đặt PostCalendar Thể loại');
INSERT INTO `lang_definitions` VALUES (143208, 8018, 26, 'PostCalendar Cài đặt toàn cầu');
INSERT INTO `lang_definitions` VALUES (143209, 8023, 26, 'Được đăng trên');
INSERT INTO `lang_definitions` VALUES (143210, 8026, 26, 'Ngày gửi');
INSERT INTO `lang_definitions` VALUES (143211, 8032, 26, 'Powered by:');
INSERT INTO `lang_definitions` VALUES (143212, 8033, 26, 'PPE + Trước Med / Surg HX');
INSERT INTO `lang_definitions` VALUES (143213, 8034, 26, 'PQRI');
INSERT INTO `lang_definitions` VALUES (143214, 8035, 26, 'PQRI Registry ID');
INSERT INTO `lang_definitions` VALUES (143215, 8036, 26, 'PQRI Registry Name');
INSERT INTO `lang_definitions` VALUES (143216, 8037, 26, 'Thực hành');
INSERT INTO `lang_definitions` VALUES (143217, 8038, 26, 'Thiết lập Thực hành Mặc định');
INSERT INTO `lang_definitions` VALUES (143218, 8039, 26, 'Cài đặt Thực hành');
INSERT INTO `lang_definitions` VALUES (143219, 8041, 26, 'Người thực hành');
INSERT INTO `lang_definitions` VALUES (143220, 8044, 26, 'Trước khi thanh toán');
INSERT INTO `lang_definitions` VALUES (143221, 8045, 26, 'Pre-Phá thai Tư vấn');
INSERT INTO `lang_definitions` VALUES (143222, 8046, 26, 'Pre-Phá thai Tư vấn');
INSERT INTO `lang_definitions` VALUES (143223, 8048, 26, 'Loại Ưu tiên');
INSERT INTO `lang_definitions` VALUES (143224, 8050, 26, 'Tùy chọn');
INSERT INTO `lang_definitions` VALUES (143225, 8052, 26, 'Ưu tiên Thể loại Sự kiện');
INSERT INTO `lang_definitions` VALUES (143226, 8053, 26, 'Ưu tiên Ngôn ngữ');
INSERT INTO `lang_definitions` VALUES (143227, 8054, 26, 'Ưu tiên Nhà thuốc');
INSERT INTO `lang_definitions` VALUES (143228, 8055, 26, 'Tổ chức Cung cấp Ưu tiên (PPO)');
INSERT INTO `lang_definitions` VALUES (143229, 8056, 26, 'Preg thử nghiệm');
INSERT INTO `lang_definitions` VALUES (143230, 8057, 26, 'Sơ bộ');
INSERT INTO `lang_definitions` VALUES (143231, 8059, 26, 'Trả trước');
INSERT INTO `lang_definitions` VALUES (143232, 8061, 26, 'Toa thuốc');
INSERT INTO `lang_definitions` VALUES (143233, 8063, 26, 'toa thuốc đã đạt đến giới hạn của nó là');
INSERT INTO `lang_definitions` VALUES (143234, 8064, 26, 'Lịch sử Toa thuốc');
INSERT INTO `lang_definitions` VALUES (143235, 8065, 26, 'Đã nhập Lịch sử Toa thuốc thành công');
INSERT INTO `lang_definitions` VALUES (143236, 8066, 26, 'Nhãn Toa thuốc');
INSERT INTO `lang_definitions` VALUES (143237, 8067, 26, 'Báo cáo Toa thuốc');
INSERT INTO `lang_definitions` VALUES (143238, 8070, 26, 'Toa thuốc');
INSERT INTO `lang_definitions` VALUES (143239, 8073, 26, 'Đơn thuốc và Dispensations');
INSERT INTO `lang_definitions` VALUES (143240, 8074, 26, 'Quy định và giới thiệu khác');
INSERT INTO `lang_definitions` VALUES (143241, 8075, 26, 'Quy định và / hoặc giới thiệu của chuyên gia');
INSERT INTO `lang_definitions` VALUES (143242, 8076, 26, 'Quy định Báo cáo');
INSERT INTO `lang_definitions` VALUES (143243, 8077, 26, 'Quy định / Giới thiệu tham gia');
INSERT INTO `lang_definitions` VALUES (143244, 8078, 26, 'Hiện nay');
INSERT INTO `lang_definitions` VALUES (143245, 8079, 26, 'Trình bày khiếu nại');
INSERT INTO `lang_definitions` VALUES (143246, 8081, 26, 'Nhấn Continue để tiếp tục');
INSERT INTO `lang_definitions` VALUES (143247, 8084, 26, 'Giả định chẩn đoán');
INSERT INTO `lang_definitions` VALUES (143248, 8085, 26, 'Giả định chẩn đoán của chuyên gia');
INSERT INTO `lang_definitions` VALUES (143249, 8086, 26, 'Trước');
INSERT INTO `lang_definitions` VALUES (143250, 8087, 26, 'Trước Med / Surg HX');
INSERT INTO `lang_definitions` VALUES (143251, 8088, 26, 'Trước. tháng (giữ cho thực đơn)');
INSERT INTO `lang_definitions` VALUES (143252, 8089, 26, 'Trước. năm (giữ cho thực đơn)');
INSERT INTO `lang_definitions` VALUES (143253, 8091, 26, 'Chăm sóc Phòng ngừa');
INSERT INTO `lang_definitions` VALUES (143254, 8094, 26, 'Xem trước Sự kiện');
INSERT INTO `lang_definitions` VALUES (143255, 8097, 26, 'Xem trước của');
INSERT INTO `lang_definitions` VALUES (143256, 8098, 26, 'Trang trước');
INSERT INTO `lang_definitions` VALUES (143257, 8099, 26, 'Tư vấn Trước đây');
INSERT INTO `lang_definitions` VALUES (143258, 8100, 26, 'Ngày Trước');
INSERT INTO `lang_definitions` VALUES (143259, 8102, 26, 'Lịch sử / Sàng lọc trước');
INSERT INTO `lang_definitions` VALUES (143260, 8103, 26, 'Tháng Trước');
INSERT INTO `lang_definitions` VALUES (143261, 8104, 26, 'Tuần Trước');
INSERT INTO `lang_definitions` VALUES (143262, 8105, 26, 'Giá');
INSERT INTO `lang_definitions` VALUES (143263, 8108, 26, 'Giảm Giá');
INSERT INTO `lang_definitions` VALUES (143264, 8109, 26, 'Mức Giá');
INSERT INTO `lang_definitions` VALUES (143265, 8111, 26, 'Mức Giá:');
INSERT INTO `lang_definitions` VALUES (143266, 8113, 26, 'Giá');
INSERT INTO `lang_definitions` VALUES (143267, 8114, 26, 'Chính');
INSERT INTO `lang_definitions` VALUES (143268, 8115, 26, 'Thực thể Kinh doanh Chính');
INSERT INTO `lang_definitions` VALUES (143269, 8116, 26, 'Mã số thuế của thực thể kinh doanh chính được dùng như mã tài khoản của ePrescription NewCrop. Thay đổi cơ sở sẽ ảnh hưởng đến cách làm việc trong NewCrop.');
INSERT INTO `lang_definitions` VALUES (143270, 8125, 26, 'BH Chính');
INSERT INTO `lang_definitions` VALUES (143271, 8126, 26, 'Bảo hiểm Chính');
INSERT INTO `lang_definitions` VALUES (143272, 8127, 26, 'Dữ liệu Bảo hiểm Chính');
INSERT INTO `lang_definitions` VALUES (143273, 8128, 26, 'Nhà cung cấp Bảo hiểm Chính');
INSERT INTO `lang_definitions` VALUES (143274, 8129, 26, 'Nhà cung cấp Chính');
INSERT INTO `lang_definitions` VALUES (143275, 8130, 26, 'In ấn');
INSERT INTO `lang_definitions` VALUES (143276, 8131, 26, 'In dạng HTML');
INSERT INTO `lang_definitions` VALUES (143277, 8132, 26, 'In dạng PDF');
INSERT INTO `lang_definitions` VALUES (143278, 8134, 26, 'In Bất kỳ Lần khám');
INSERT INTO `lang_definitions` VALUES (143279, 8135, 26, 'In Biểu mẫu Giới thiệu Trống');
INSERT INTO `lang_definitions` VALUES (143280, 8136, 26, 'In lệnh');
INSERT INTO `lang_definitions` VALUES (143281, 8143, 26, 'In Định dạng');
INSERT INTO `lang_definitions` VALUES (143282, 8144, 26, 'In Bốn Bảng điều chỉnh');
INSERT INTO `lang_definitions` VALUES (143283, 8147, 26, 'In thông báo');
INSERT INTO `lang_definitions` VALUES (143284, 8148, 26, 'In nhiều');
INSERT INTO `lang_definitions` VALUES (143285, 8149, 26, 'In Nhiều Để Fax');
INSERT INTO `lang_definitions` VALUES (143286, 8150, 26, 'In tên, ký hiệu, ngày.');
INSERT INTO `lang_definitions` VALUES (143287, 8151, 26, 'In Ghi chú');
INSERT INTO `lang_definitions` VALUES (143288, 8152, 26, 'In trang 1');
INSERT INTO `lang_definitions` VALUES (143289, 8153, 26, 'In trang 2');
INSERT INTO `lang_definitions` VALUES (143290, 8156, 26, 'In Biên nhận theo Nhà cung cấp');
INSERT INTO `lang_definitions` VALUES (143291, 8157, 26, 'In Hồ sơ');
INSERT INTO `lang_definitions` VALUES (143292, 8163, 26, 'In báo cáo được lựa chọn');
INSERT INTO `lang_definitions` VALUES (143293, 8164, 26, 'In Ghi Shot');
INSERT INTO `lang_definitions` VALUES (143294, 8166, 26, 'In Lần khám Này');
INSERT INTO `lang_definitions` VALUES (143295, 8168, 26, 'In ghi chú này');
INSERT INTO `lang_definitions` VALUES (143296, 8169, 26, 'In Ghi chú Này');
INSERT INTO `lang_definitions` VALUES (143297, 8171, 26, 'In Để Fax');
INSERT INTO `lang_definitions` VALUES (143298, 8172, 26, 'Xem trước khi In');
INSERT INTO `lang_definitions` VALUES (143299, 8173, 26, 'có thể in');
INSERT INTO `lang_definitions` VALUES (143300, 8174, 26, 'Phiên bản Có thể in');
INSERT INTO `lang_definitions` VALUES (143301, 8175, 26, 'Đã in');
INSERT INTO `lang_definitions` VALUES (143302, 8178, 26, 'Kết quả in ấn:');
INSERT INTO `lang_definitions` VALUES (143303, 8179, 26, 'Đã bỏ qua việc in; hãy xem kết quả thử tại');
INSERT INTO `lang_definitions` VALUES (143304, 8180, 26, 'Đã bỏ qua việc in; hãy xem kết quả thử tại');
INSERT INTO `lang_definitions` VALUES (143305, 8182, 26, 'Trước khi Auth');
INSERT INTO `lang_definitions` VALUES (143306, 8184, 26, 'Cho Authorization Mẫu khoá');
INSERT INTO `lang_definitions` VALUES (143307, 8191, 26, 'Ưu tiên');
INSERT INTO `lang_definitions` VALUES (143308, 8192, 26, 'Ưu tiên');
INSERT INTO `lang_definitions` VALUES (143309, 8196, 26, 'Riêng');
INSERT INTO `lang_definitions` VALUES (143310, 8197, 26, 'Vấn đề');
INSERT INTO `lang_definitions` VALUES (143311, 8198, 26, 'Vấn đề DX');
INSERT INTO `lang_definitions` VALUES (143312, 8199, 26, 'Vấn đề Danh sách');
INSERT INTO `lang_definitions` VALUES (143313, 8202, 26, 'Vấn đề / vấn đề');
INSERT INTO `lang_definitions` VALUES (143314, 8203, 26, 'Proc Bát');
INSERT INTO `lang_definitions` VALUES (143315, 8204, 26, 'Proc Cát');
INSERT INTO `lang_definitions` VALUES (143316, 8206, 26, 'Proc Pending Rev');
INSERT INTO `lang_definitions` VALUES (143317, 8208, 26, 'Proc Res');
INSERT INTO `lang_definitions` VALUES (143318, 8209, 26, 'Thủ tục');
INSERT INTO `lang_definitions` VALUES (143319, 8210, 26, 'Thủ tục Body Sites');
INSERT INTO `lang_definitions` VALUES (143320, 8212, 26, 'Kết quả Luận lý của Thủ tục');
INSERT INTO `lang_definitions` VALUES (143321, 8214, 26, 'Mã Thủ tục');
INSERT INTO `lang_definitions` VALUES (143322, 8215, 26, 'Mã Thủ tục');
INSERT INTO `lang_definitions` VALUES (143323, 8216, 26, 'Thủ tục Lateralities');
INSERT INTO `lang_definitions` VALUES (143324, 8220, 26, 'Đặt hàng Thủ tục');
INSERT INTO `lang_definitions` VALUES (143325, 8223, 26, 'Đặt hàng Thủ tục cho');
INSERT INTO `lang_definitions` VALUES (143326, 8232, 26, 'Báo cáo Thủ tục');
INSERT INTO `lang_definitions` VALUES (143327, 8235, 26, 'Trạng thái Báo cáo Thủ tục');
INSERT INTO `lang_definitions` VALUES (143328, 8237, 26, 'Thủ tục Kết quả bất thường');
INSERT INTO `lang_definitions` VALUES (143329, 8238, 26, 'Trạng thái Báo cáo Thủ tục');
INSERT INTO `lang_definitions` VALUES (143330, 8240, 26, 'Kết quả Thủ tục');
INSERT INTO `lang_definitions` VALUES (143331, 8241, 26, 'Các tuyến Thủ tục');
INSERT INTO `lang_definitions` VALUES (143332, 8243, 26, 'Thủ tục Mẫu loại');
INSERT INTO `lang_definitions` VALUES (143333, 8245, 26, 'Thống kê thủ tục Báo cáo');
INSERT INTO `lang_definitions` VALUES (143334, 8248, 26, 'Loại thủ tục');
INSERT INTO `lang_definitions` VALUES (143335, 8249, 26, 'Thủ tục loại');
INSERT INTO `lang_definitions` VALUES (143336, 8251, 26, 'Thủ tục đơn vị');
INSERT INTO `lang_definitions` VALUES (143337, 8254, 26, 'Thủ tục');
INSERT INTO `lang_definitions` VALUES (143338, 8256, 26, 'Quy trình');
INSERT INTO `lang_definitions` VALUES (143339, 8258, 26, 'File quá trình ERA');
INSERT INTO `lang_definitions` VALUES (143340, 8267, 26, 'Chế biến');
INSERT INTO `lang_definitions` VALUES (143341, 8274, 26, 'Sản phẩm');
INSERT INTO `lang_definitions` VALUES (143342, 8276, 26, 'Thai Phương pháp sản phẩm');
INSERT INTO `lang_definitions` VALUES (143343, 8279, 26, 'Sản phẩm');
INSERT INTO `lang_definitions` VALUES (143344, 8280, 26, 'Những sản phẩm không có thuốc theo toa và không có mẫu');
INSERT INTO `lang_definitions` VALUES (143345, 8282, 26, 'Giáo sư');
INSERT INTO `lang_definitions` VALUES (143346, 8290, 26, 'Tiến độ Ghi chú');
INSERT INTO `lang_definitions` VALUES (143347, 8295, 26, 'Ung thư tuyến tiền liệt');
INSERT INTO `lang_definitions` VALUES (143348, 8296, 26, 'Tuyến tiền liệt Ung Thư');
INSERT INTO `lang_definitions` VALUES (143349, 8297, 26, 'Tuyến tiền liệt thi');
INSERT INTO `lang_definitions` VALUES (143350, 8298, 26, 'Tuyến tiền liệt vấn đề');
INSERT INTO `lang_definitions` VALUES (143351, 8299, 26, 'Tuyến tiền liệt w / o enlrgmt, nốt, đấu thầu');
INSERT INTO `lang_definitions` VALUES (143352, 8304, 26, 'Cung cấp đường dẫn tuyệt đối');
INSERT INTO `lang_definitions` VALUES (143353, 8305, 26, 'Cung cấp đường dẫn tuyệt đối của tập tin');
INSERT INTO `lang_definitions` VALUES (143354, 8309, 26, 'Cung cấp bản tóm tắt lâm sàng cho bệnh nhân cho mỗi lần khám văn phòng.');
INSERT INTO `lang_definitions` VALUES (143355, 8311, 26, 'Cung cấp cho bệnh nhân với một bản sao điện tử của thông tin sức khỏe của họ (bao gồm cả kết quả xét nghiệm chẩn đoán, vấn đề danh sách, danh mục thuốc, dị ứng thuốc), theo yêu cầu.');
INSERT INTO `lang_definitions` VALUES (143356, 8312, 26, 'Cung cấp cho bệnh nhân truy cập điện tử kịp thời thông tin sức khỏe của họ (bao gồm cả kết quả phòng thí nghiệm, vấn đề danh sách, danh sách thuốc, dị ứng thuốc) trong vòng bốn ngày làm việc của các thông tin có sẵn để bảo vệ môi trường.');
INSERT INTO `lang_definitions` VALUES (143357, 8313, 26, 'Cung cấp hồ sơ bệnh nhân cho Chơi');
INSERT INTO `lang_definitions` VALUES (143358, 8315, 26, 'Cung cấp địa chỉ email hợp lệ');
INSERT INTO `lang_definitions` VALUES (143359, 8316, 26, 'Cung cấp Tóm tắt thông tin Lâm sàng?');
INSERT INTO `lang_definitions` VALUES (143360, 8317, 26, 'Cung cấp Tài nguyên Giáo dục?');
INSERT INTO `lang_definitions` VALUES (143361, 8318, 26, 'Người Khám');
INSERT INTO `lang_definitions` VALUES (143362, 8325, 26, 'Nhà cung cấp lỗi phù hợp');
INSERT INTO `lang_definitions` VALUES (143363, 8330, 26, 'Nhà cung cấp số');
INSERT INTO `lang_definitions` VALUES (143364, 8336, 26, 'Người Khám:');
INSERT INTO `lang_definitions` VALUES (143365, 8337, 26, 'Các nhà cung cấp');
INSERT INTO `lang_definitions` VALUES (143366, 8338, 26, 'Các nhà cung cấp NPI');
INSERT INTO `lang_definitions` VALUES (143367, 8339, 26, 'Các nhà cung cấp Xem Lịch Toàn bộ');
INSERT INTO `lang_definitions` VALUES (143368, 8341, 26, 'PRV');
INSERT INTO `lang_definitions` VALUES (143369, 8342, 26, 'PSA');
INSERT INTO `lang_definitions` VALUES (143370, 8343, 26, 'Bệnh vẩy nến');
INSERT INTO `lang_definitions` VALUES (143371, 8345, 26, 'Psych Chẩn đoán');
INSERT INTO `lang_definitions` VALUES (143372, 8346, 26, 'Psych thuốc');
INSERT INTO `lang_definitions` VALUES (143373, 8347, 26, 'Tâm thần');
INSERT INTO `lang_definitions` VALUES (143374, 8348, 26, 'Tâm thần học Giới thiệu tóm tắt Thư');
INSERT INTO `lang_definitions` VALUES (143375, 8349, 26, 'Tâm thần chẩn đoán');
INSERT INTO `lang_definitions` VALUES (143376, 8350, 26, 'Tâm thần thi');
INSERT INTO `lang_definitions` VALUES (143377, 8352, 26, 'Tâm thần học Lịch sử');
INSERT INTO `lang_definitions` VALUES (143378, 8353, 26, 'Tâm thần Intake');
INSERT INTO `lang_definitions` VALUES (143379, 8354, 26, 'Tâm thần Thuốc');
INSERT INTO `lang_definitions` VALUES (143380, 8358, 26, 'Pt%');
INSERT INTO `lang_definitions` VALUES (143381, 8360, 26, 'Pt Ghi chú');
INSERT INTO `lang_definitions` VALUES (143382, 8361, 26, 'Pt Ghi chú / Auth');
INSERT INTO `lang_definitions` VALUES (143383, 8362, 26, 'Pt nộp thừa');
INSERT INTO `lang_definitions` VALUES (143384, 8364, 26, 'Pt trả tiền');
INSERT INTO `lang_definitions` VALUES (143385, 8365, 26, 'Pt Rec Request');
INSERT INTO `lang_definitions` VALUES (143386, 8366, 26, 'Pt hoàn');
INSERT INTO `lang_definitions` VALUES (143387, 8367, 26, 'Pt phát hành');
INSERT INTO `lang_definitions` VALUES (143388, 8368, 26, 'Pt Báo cáo');
INSERT INTO `lang_definitions` VALUES (143389, 8369, 26, 'Sinh viên PT, hoặc để trống');
INSERT INTO `lang_definitions` VALUES (143390, 8370, 26, 'PT_CITY');
INSERT INTO `lang_definitions` VALUES (143391, 8371, 26, 'PT_DOB');
INSERT INTO `lang_definitions` VALUES (143392, 8373, 26, 'PT_FNAME');
INSERT INTO `lang_definitions` VALUES (143393, 8374, 26, 'PT_LNAME');
INSERT INTO `lang_definitions` VALUES (143394, 8375, 26, 'PT_MNAME');
INSERT INTO `lang_definitions` VALUES (143395, 8378, 26, 'PT_POSTAL');
INSERT INTO `lang_definitions` VALUES (143396, 8380, 26, 'PT_STATE');
INSERT INTO `lang_definitions` VALUES (143397, 8381, 26, 'PT_STREET');
INSERT INTO `lang_definitions` VALUES (143398, 8383, 26, 'Công khai');
INSERT INTO `lang_definitions` VALUES (143399, 8394, 26, 'Puerto Rico');
INSERT INTO `lang_definitions` VALUES (143400, 8396, 26, 'Phổi');
INSERT INTO `lang_definitions` VALUES (143401, 8398, 26, 'Mạch');
INSERT INTO `lang_definitions` VALUES (143402, 8399, 26, 'Tiếng Punjab');
INSERT INTO `lang_definitions` VALUES (143403, 8401, 26, 'Mua hàng');
INSERT INTO `lang_definitions` VALUES (143404, 8402, 26, 'Mua/Trả hàng');
INSERT INTO `lang_definitions` VALUES (143405, 8403, 26, 'Mua hàng');
INSERT INTO `lang_definitions` VALUES (143406, 8408, 26, 'q.3h');
INSERT INTO `lang_definitions` VALUES (143407, 8409, 26, 'q.4h');
INSERT INTO `lang_definitions` VALUES (143408, 8410, 26, 'q.5h');
INSERT INTO `lang_definitions` VALUES (143409, 8411, 26, 'q.6h');
INSERT INTO `lang_definitions` VALUES (143410, 8412, 26, 'q.8h');
INSERT INTO `lang_definitions` VALUES (143411, 8413, 26, '1 lần/ngày');
INSERT INTO `lang_definitions` VALUES (143412, 8414, 26, '4 lần/ngày');
INSERT INTO `lang_definitions` VALUES (143413, 8417, 26, 'QOH');
INSERT INTO `lang_definitions` VALUES (143414, 8418, 26, 'QOH là ít hơn so với sử dụng hàng tháng');
INSERT INTO `lang_definitions` VALUES (143415, 8419, 26, 'Số lượng');
INSERT INTO `lang_definitions` VALUES (143416, 8420, 26, 'QTY');
INSERT INTO `lang_definitions` VALUES (143417, 8421, 26, 'Chất lượng');
INSERT INTO `lang_definitions` VALUES (143418, 8422, 26, 'Các biện pháp chất lượng (CQM)');
INSERT INTO `lang_definitions` VALUES (143419, 8423, 26, 'Số lượng');
INSERT INTO `lang_definitions` VALUES (143420, 8425, 26, 'Số lượng cho NDC');
INSERT INTO `lang_definitions` VALUES (143421, 8426, 26, 'Số lượng On Hand');
INSERT INTO `lang_definitions` VALUES (143422, 8427, 26, 'số lượng có vẻ như không sử dụng được');
INSERT INTO `lang_definitions` VALUES (143423, 8431, 26, 'Chấm hỏi');
INSERT INTO `lang_definitions` VALUES (143424, 8432, 26, 'Xếp hàng cho HCFA chế biến hàng loạt');
INSERT INTO `lang_definitions` VALUES (143425, 8433, 26, 'Xếp hàng cho HCFA xử lý hàng loạt và in ấn');
INSERT INTO `lang_definitions` VALUES (143426, 8434, 26, 'Xếp hàng cho chế biến hàng loạt UB-92');
INSERT INTO `lang_definitions` VALUES (143427, 8435, 26, 'Xếp hàng cho chế biến hàng loạt UB-92 và in ấn');
INSERT INTO `lang_definitions` VALUES (143428, 8436, 26, 'Xếp hàng đợi');
INSERT INTO `lang_definitions` VALUES (143429, 8437, 26, 'Xếp hàng đợi sự kiện Quản trị');
INSERT INTO `lang_definitions` VALUES (143430, 8438, 26, 'Xếp hàng đợi cho');
INSERT INTO `lang_definitions` VALUES (143431, 8440, 26, 'Xếp hàng đợi phản hồi và những đề nghị, gợi ý Quản trị');
INSERT INTO `lang_definitions` VALUES (143432, 8442, 26, 'Đã bỏ');
INSERT INTO `lang_definitions` VALUES (143433, 8443, 26, 'Bỏ Rượu');
INSERT INTO `lang_definitions` VALUES (143434, 8445, 26, 'R');
INSERT INTO `lang_definitions` VALUES (143435, 8452, 26, 'Chủng tộc');
INSERT INTO `lang_definitions` VALUES (143436, 8453, 26, 'Chủng tộc và Dân tộc');
INSERT INTO `lang_definitions` VALUES (143437, 8454, 26, 'Chủng tộc/Dân tộc');
INSERT INTO `lang_definitions` VALUES (143438, 8456, 26, 'Radio');
INSERT INTO `lang_definitions` VALUES (143439, 8457, 26, 'Nút radio');
INSERT INTO `lang_definitions` VALUES (143440, 8462, 26, 'Phạm vi');
INSERT INTO `lang_definitions` VALUES (143441, 8463, 26, 'Phát ban');
INSERT INTO `lang_definitions` VALUES (143442, 8464, 26, 'Tỷ giá');
INSERT INTO `lang_definitions` VALUES (143443, 8466, 26, 'Tỷ lệ');
INSERT INTO `lang_definitions` VALUES (143444, 8467, 26, 'Nguyên Báo cáo');
INSERT INTO `lang_definitions` VALUES (143445, 8475, 26, 'Re Xác định');
INSERT INTO `lang_definitions` VALUES (143446, 8476, 26, 'Re Quy trình Xác định được hoàn thành');
INSERT INTO `lang_definitions` VALUES (143447, 8477, 26, 'Re Xác định quá trình đang diễn ra');
INSERT INTO `lang_definitions` VALUES (143448, 8478, 26, 'Re-xác định tập tin sẽ được lưu trong');
INSERT INTO `lang_definitions` VALUES (143449, 8479, 26, 'Re-tai nạn thương tích?');
INSERT INTO `lang_definitions` VALUES (143450, 8480, 26, 'Mở cửa lại');
INSERT INTO `lang_definitions` VALUES (143451, 8482, 26, 'Đã mở cửa lại');
INSERT INTO `lang_definitions` VALUES (143452, 8484, 26, 'Phản ứng');
INSERT INTO `lang_definitions` VALUES (143453, 8486, 26, 'Phản ứng');
INSERT INTO `lang_definitions` VALUES (143454, 8489, 26, 'Đã đọc');
INSERT INTO `lang_definitions` VALUES (143455, 8496, 26, 'Tên thật');
INSERT INTO `lang_definitions` VALUES (143456, 8497, 26, 'Thực sự xóa');
INSERT INTO `lang_definitions` VALUES (143457, 8498, 26, 'Lý do');
INSERT INTO `lang_definitions` VALUES (143458, 8499, 26, 'Lý do Qua đời');
INSERT INTO `lang_definitions` VALUES (143459, 8500, 26, 'Lý do qua đời');
INSERT INTO `lang_definitions` VALUES (143460, 8502, 26, 'Lý do giới thiệu');
INSERT INTO `lang_definitions` VALUES (143461, 8504, 26, 'Lý do đến khám');
INSERT INTO `lang_definitions` VALUES (143462, 8506, 26, 'Lý do / Biểu mẫu');
INSERT INTO `lang_definitions` VALUES (143463, 8521, 26, 'Biên lai');
INSERT INTO `lang_definitions` VALUES (143464, 8522, 26, 'Biên lai thanh toán');
INSERT INTO `lang_definitions` VALUES (143465, 8523, 26, 'Tiếp nhận được tạo ra');
INSERT INTO `lang_definitions` VALUES (143466, 8524, 26, 'Giấy biên nhận của Báo cáo Phương thức thanh toán');
INSERT INTO `lang_definitions` VALUES (143467, 8525, 26, 'Biên lai Tóm tắt thông tin');
INSERT INTO `lang_definitions` VALUES (143468, 8526, 26, 'Nhận được');
INSERT INTO `lang_definitions` VALUES (143469, 8527, 26, 'Received By');
INSERT INTO `lang_definitions` VALUES (143470, 8528, 26, 'Nhận được fax');
INSERT INTO `lang_definitions` VALUES (143471, 8532, 26, 'Receiver');
INSERT INTO `lang_definitions` VALUES (143472, 8533, 26, 'Nhận ID');
INSERT INTO `lang_definitions` VALUES (143473, 8534, 26, 'Nhận ID (ISA08)');
INSERT INTO `lang_definitions` VALUES (143474, 8535, 26, 'Nhận ID vòng loại (ISA07)');
INSERT INTO `lang_definitions` VALUES (143475, 8540, 26, 'Gần đây mật khẩu không được cho phép.');
INSERT INTO `lang_definitions` VALUES (143476, 8542, 26, 'Người nhận');
INSERT INTO `lang_definitions` VALUES (143477, 8543, 26, 'Danh sách người nhận là rỗng');
INSERT INTO `lang_definitions` VALUES (143478, 8544, 26, 'Tên người nhận');
INSERT INTO `lang_definitions` VALUES (143479, 8545, 26, 'Người nhận của Công khai các');
INSERT INTO `lang_definitions` VALUES (143480, 8549, 26, 'Khuyến nghị');
INSERT INTO `lang_definitions` VALUES (143481, 8552, 26, 'Khuyến nghị');
INSERT INTO `lang_definitions` VALUES (143482, 8553, 26, 'Các khuyến nghị và điều trị');
INSERT INTO `lang_definitions` VALUES (143483, 8554, 26, 'Khuyến nghị của chuyên gia');
INSERT INTO `lang_definitions` VALUES (143484, 8557, 26, 'Ghi');
INSERT INTO `lang_definitions` VALUES (143485, 8558, 26, 'Bản ghi đã tồn tại');
INSERT INTO `lang_definitions` VALUES (143486, 8564, 26, 'Ghi lại và lập biểu đồ thay đổi thể trạng.');
INSERT INTO `lang_definitions` VALUES (143487, 8565, 26, 'Ghi lại thông tin cá nhân.');
INSERT INTO `lang_definitions` VALUES (143488, 8566, 26, 'Ghi Tiết lộ');
INSERT INTO `lang_definitions` VALUES (143489, 8567, 26, 'Hồ sơ của Fitness');
INSERT INTO `lang_definitions` VALUES (143490, 8568, 26, 'Hồ sơ thanh toán');
INSERT INTO `lang_definitions` VALUES (143491, 8570, 26, 'Ghi lại Yêu cầu ngày');
INSERT INTO `lang_definitions` VALUES (143492, 8571, 26, 'Ghi lại tình trạng hút thuốc cho các bệnh nhân từ 13 tuổi trở lên.');
INSERT INTO `lang_definitions` VALUES (143493, 8572, 26, 'Hồ sơ');
INSERT INTO `lang_definitions` VALUES (143494, 8573, 26, 'hồ sơ được tìm thấy');
INSERT INTO `lang_definitions` VALUES (143495, 8574, 26, 'hồ sơ được tìm thấy.');
INSERT INTO `lang_definitions` VALUES (143496, 8576, 26, 'Việc sử dụng giải trí ma túy');
INSERT INTO `lang_definitions` VALUES (143497, 8577, 26, 'Giải trí Thuốc');
INSERT INTO `lang_definitions` VALUES (143498, 8578, 26, 'Trực tràng');
INSERT INTO `lang_definitions` VALUES (143499, 8579, 26, 'Kiểm tra thực tràng');
INSERT INTO `lang_definitions` VALUES (143500, 8580, 26, 'trực tràng');
INSERT INTO `lang_definitions` VALUES (143501, 8592, 26, 'Chuyển hướng');
INSERT INTO `lang_definitions` VALUES (143502, 8593, 26, 'Đỏ');
INSERT INTO `lang_definitions` VALUES (143503, 8595, 26, 'giảm:');
INSERT INTO `lang_definitions` VALUES (143504, 8597, 26, 'Giới thiệu');
INSERT INTO `lang_definitions` VALUES (143505, 8598, 26, 'Giới thiệu Bởi');
INSERT INTO `lang_definitions` VALUES (143506, 8599, 26, 'Giới thiệu Ngày');
INSERT INTO `lang_definitions` VALUES (143507, 8600, 26, 'Giới thiệu Đến');
INSERT INTO `lang_definitions` VALUES (143508, 8603, 26, 'Phân loại tài liệu tham khảo (mức độ rủi ro)');
INSERT INTO `lang_definitions` VALUES (143509, 8604, 26, 'Phạm vi tham chiếu các kết quả');
INSERT INTO `lang_definitions` VALUES (143510, 8605, 26, 'Tài liệu tham khảo Lý do');
INSERT INTO `lang_definitions` VALUES (143511, 8609, 26, 'Tên và chữ ký người giới thiệu');
INSERT INTO `lang_definitions` VALUES (143512, 8610, 26, 'Giới thiệu');
INSERT INTO `lang_definitions` VALUES (143513, 8611, 26, 'Giới thiệu Bởi');
INSERT INTO `lang_definitions` VALUES (143514, 8612, 26, 'Thẻ Giới thiệu');
INSERT INTO `lang_definitions` VALUES (143515, 8613, 26, 'Ngày Giới thiệu');
INSERT INTO `lang_definitions` VALUES (143516, 8614, 26, 'Biểu mẫu Giới thiệu');
INSERT INTO `lang_definitions` VALUES (143517, 8615, 26, 'BIỂU MẪU GIỚI THIỆU');
INSERT INTO `lang_definitions` VALUES (143518, 8616, 26, 'Mã số Giới thiệu');
INSERT INTO `lang_definitions` VALUES (143519, 8619, 26, 'Nguồn Giới thiệu');
INSERT INTO `lang_definitions` VALUES (143520, 8620, 26, 'Nguồn Giới thiệu cho Lần khám');
INSERT INTO `lang_definitions` VALUES (143521, 8621, 26, 'Giới thiệu Cho');
INSERT INTO `lang_definitions` VALUES (143522, 8622, 26, 'Các giới thiệu');
INSERT INTO `lang_definitions` VALUES (143523, 8623, 26, 'Báo cáo Giới thiệu');
INSERT INTO `lang_definitions` VALUES (143524, 8624, 26, 'Được giới thiệu bởi');
INSERT INTO `lang_definitions` VALUES (143525, 8625, 26, 'Được giới thiệu Bởi');
INSERT INTO `lang_definitions` VALUES (143526, 8627, 26, 'Giới thiệu cho');
INSERT INTO `lang_definitions` VALUES (143527, 8628, 26, 'Giới thiệu');
INSERT INTO `lang_definitions` VALUES (143528, 8630, 26, 'Chẩn đoán của Người giới thiệu');
INSERT INTO `lang_definitions` VALUES (143529, 8631, 26, 'Chẩn đoán của người giới thiệu');
INSERT INTO `lang_definitions` VALUES (143530, 8633, 26, 'Bác sĩ và thực hành giới thiệu');
INSERT INTO `lang_definitions` VALUES (143531, 8635, 26, 'Ưu tiên Nhà cung cấp');
INSERT INTO `lang_definitions` VALUES (143532, 8636, 26, 'Mua lại theo toa này');
INSERT INTO `lang_definitions` VALUES (143533, 8639, 26, 'Mua lại theo toa này');
INSERT INTO `lang_definitions` VALUES (143534, 8640, 26, 'mua lại theo toa này');
INSERT INTO `lang_definitions` VALUES (143535, 8641, 26, 'Bình thường phản xạ');
INSERT INTO `lang_definitions` VALUES (143536, 8645, 26, 'Làm mới');
INSERT INTO `lang_definitions` VALUES (143537, 8651, 26, 'Từ chối Để nhà nước');
INSERT INTO `lang_definitions` VALUES (143538, 8652, 26, 'reg_re');
INSERT INTO `lang_definitions` VALUES (143539, 8656, 26, 'đăng ký');
INSERT INTO `lang_definitions` VALUES (143540, 8662, 26, 'Đã đăng ký');
INSERT INTO `lang_definitions` VALUES (143541, 8663, 26, 'đã đăng ký');
INSERT INTO `lang_definitions` VALUES (143542, 8668, 26, 'Ngày đăng ký');
INSERT INTO `lang_definitions` VALUES (143543, 8671, 26, 'Mẫu đăng ký');
INSERT INTO `lang_definitions` VALUES (143544, 8672, 26, 'Phục hồi chức năng');
INSERT INTO `lang_definitions` VALUES (143545, 8676, 26, 'Liên quan Đến');
INSERT INTO `lang_definitions` VALUES (143546, 8677, 26, 'Liên quan');
INSERT INTO `lang_definitions` VALUES (143547, 8678, 26, 'Vấn đề Liên quan');
INSERT INTO `lang_definitions` VALUES (143548, 8680, 26, 'Mối quan hệ / Trẻ em');
INSERT INTO `lang_definitions` VALUES (143549, 8681, 26, 'Sự liên quan');
INSERT INTO `lang_definitions` VALUES (143550, 8682, 26, 'Mối quan hệ');
INSERT INTO `lang_definitions` VALUES (143551, 8683, 26, 'Trật tự của các thực thể này tương đối');
INSERT INTO `lang_definitions` VALUES (143552, 8684, 26, 'Thân nhân');
INSERT INTO `lang_definitions` VALUES (143553, 8695, 26, 'Các thông tin Y tế chuyển tiếp từ tài khoản người dùng này.');
INSERT INTO `lang_definitions` VALUES (143554, 8696, 26, 'ID relay Y tế');
INSERT INTO `lang_definitions` VALUES (143555, 8700, 26, 'Tôn Giáo');
INSERT INTO `lang_definitions` VALUES (143556, 8705, 26, 'Login lần sau');
INSERT INTO `lang_definitions` VALUES (143557, 8706, 26, 'Remdr');
INSERT INTO `lang_definitions` VALUES (143558, 8709, 26, 'Hãy nhớ Cơ sở Đã chọn');
INSERT INTO `lang_definitions` VALUES (143559, 8712, 26, 'Nhắc nhở');
INSERT INTO `lang_definitions` VALUES (143560, 8715, 26, 'Khoảng thời gian nhắc nhở');
INSERT INTO `lang_definitions` VALUES (143561, 8716, 26, 'Chưa Gửi Nhắc nhở');
INSERT INTO `lang_definitions` VALUES (143562, 8720, 26, 'Đã gửi Nhắc nhở ngày');
INSERT INTO `lang_definitions` VALUES (143563, 8725, 26, 'Nhắc nhở');
INSERT INTO `lang_definitions` VALUES (143564, 8726, 26, 'Nộp vào');
INSERT INTO `lang_definitions` VALUES (143565, 8729, 26, 'Loại bỏ');
INSERT INTO `lang_definitions` VALUES (143566, 8733, 26, 'Loại bỏ Nhóm');
INSERT INTO `lang_definitions` VALUES (143567, 8734, 26, 'Loại bỏ Biểu mẫu Nhóm');
INSERT INTO `lang_definitions` VALUES (143568, 8738, 26, 'Loại bỏ hỗ trợ cho chủng ngừa');
INSERT INTO `lang_definitions` VALUES (143569, 8739, 26, 'Loại bỏ hỗ trợ cho phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (143570, 8740, 26, 'Loại bỏ hỗ trợ cho đơn thuốc');
INSERT INTO `lang_definitions` VALUES (143571, 8742, 26, 'Loại bỏ các tính năng Chart Tracker');
INSERT INTO `lang_definitions` VALUES (143572, 8743, 26, 'Thận Stones');
INSERT INTO `lang_definitions` VALUES (143573, 8744, 26, 'Đổi tên');
INSERT INTO `lang_definitions` VALUES (143574, 8745, 26, 'Đổi tên Nhóm');
INSERT INTO `lang_definitions` VALUES (143575, 8746, 26, 'Người lập');
INSERT INTO `lang_definitions` VALUES (143576, 8747, 26, 'Rendering nhà cung cấp');
INSERT INTO `lang_definitions` VALUES (143577, 8748, 26, 'Rendering Số nhà cung cấp');
INSERT INTO `lang_definitions` VALUES (143578, 8750, 26, 'Sắp xếp lại');
INSERT INTO `lang_definitions` VALUES (143579, 8751, 26, 'Sắp xếp lại Đồng');
INSERT INTO `lang_definitions` VALUES (143580, 8752, 26, 'Sắp xếp lại các điểm đã đạt được');
INSERT INTO `lang_definitions` VALUES (143581, 8754, 26, 'Cấp Độ');
INSERT INTO `lang_definitions` VALUES (143582, 8758, 26, 'Lặp đi lặp lại sự kiện');
INSERT INTO `lang_definitions` VALUES (143583, 8759, 26, 'Lặp đi lặp lại Thông tin:');
INSERT INTO `lang_definitions` VALUES (143584, 8760, 26, 'Lặp đi lặp lại');
INSERT INTO `lang_definitions` VALUES (143585, 8771, 26, 'Trả lời ngày');
INSERT INTO `lang_definitions` VALUES (143586, 8772, 26, 'Trả lời Từ');
INSERT INTO `lang_definitions` VALUES (143587, 8774, 26, 'Báo cáo');
INSERT INTO `lang_definitions` VALUES (143588, 8776, 26, 'Báo cáo - lâm sàng');
INSERT INTO `lang_definitions` VALUES (143589, 8779, 26, 'Báo cáo bằng');
INSERT INTO `lang_definitions` VALUES (143590, 8789, 26, 'Báo cáo tình trạng');
INSERT INTO `lang_definitions` VALUES (143591, 8790, 26, 'Báo cáo Tổng số');
INSERT INTO `lang_definitions` VALUES (143592, 8794, 26, 'Có thể báo cáo');
INSERT INTO `lang_definitions` VALUES (143593, 8795, 26, 'Đã báo cáo');
INSERT INTO `lang_definitions` VALUES (143594, 8796, 26, 'Ngày Báo cáo');
INSERT INTO `lang_definitions` VALUES (143595, 8797, 26, 'Báo cáo');
INSERT INTO `lang_definitions` VALUES (143596, 8804, 26, 'Yêu cầu bỏ qua - tuyên bố xử lý đã được chạy!');
INSERT INTO `lang_definitions` VALUES (143597, 8815, 26, 'Yêu cầu dịch vụ');
INSERT INTO `lang_definitions` VALUES (143598, 8819, 26, 'Yêu cầu các mật khẩu mạnh');
INSERT INTO `lang_definitions` VALUES (143599, 8820, 26, 'Yêu cầu mật khẩu độc đáo');
INSERT INTO `lang_definitions` VALUES (143600, 8821, 26, 'Yêu cầu');
INSERT INTO `lang_definitions` VALUES (143601, 8824, 26, 'Thiếu thông tin phải có: Vui lòng chọn tập tin EDI-271 để tải lên');
INSERT INTO `lang_definitions` VALUES (143602, 8825, 26, 'Thiếu thông tin phải có: Xin vui lòng nhập Tên');
INSERT INTO `lang_definitions` VALUES (143603, 8826, 26, 'Thiếu thông tin phải có: Xin vui lòng nhập Họ');
INSERT INTO `lang_definitions` VALUES (143604, 8827, 26, 'Thiếu thông tin phải có: Xin vui lòng nhập Tên Đăng nhập');
INSERT INTO `lang_definitions` VALUES (143605, 8828, 26, 'Các trường bắt buộc');
INSERT INTO `lang_definitions` VALUES (143606, 8829, 26, 'Yêu cầu');
INSERT INTO `lang_definitions` VALUES (143607, 8832, 26, 'DÀNH RIÊNG');
INSERT INTO `lang_definitions` VALUES (143608, 8833, 26, 'Dành riêng');
INSERT INTO `lang_definitions` VALUES (143609, 8834, 26, 'Dành riêng để định ra Thời gian Nghỉ phép Theo kế hoạch');
INSERT INTO `lang_definitions` VALUES (143610, 8835, 26, 'Dành riêng để định ra thời điểm nhà cung cấp bắt đầu không thể hẹn gặp.');
INSERT INTO `lang_definitions` VALUES (143611, 8836, 26, 'Dành riêng để định ra thời diểm một sự kiện không xảy ra như dự kiến.');
INSERT INTO `lang_definitions` VALUES (143612, 8837, 26, 'Dành riêng để định ra thời điểm nhà cung cấp bắt đầu có thể hẹn gặp.');
INSERT INTO `lang_definitions` VALUES (143613, 8838, 26, 'Thiết lập lại');
INSERT INTO `lang_definitions` VALUES (143614, 8842, 26, 'Thiết lập lại các Giây chứng nhận Portal ngoại vi');
INSERT INTO `lang_definitions` VALUES (143615, 8844, 26, 'Thiết lập lại các Giây chứng nhận Portal tại chỗ');
INSERT INTO `lang_definitions` VALUES (143616, 8850, 26, 'Resn');
INSERT INTO `lang_definitions` VALUES (143617, 8852, 26, 'Đã giải quyết');
INSERT INTO `lang_definitions` VALUES (143618, 8855, 26, 'Hô hấp');
INSERT INTO `lang_definitions` VALUES (143619, 8856, 26, 'Hô hấp nỗ lực unlabored');
INSERT INTO `lang_definitions` VALUES (143620, 8857, 26, 'Hô hấp');
INSERT INTO `lang_definitions` VALUES (143621, 8864, 26, 'Giới hạn người dùng không được ủy quyền vào các cơ sở trong quản trị người dùng.');
INSERT INTO `lang_definitions` VALUES (143622, 8865, 26, 'Hạn chế Người với Cơ sở');
INSERT INTO `lang_definitions` VALUES (143623, 8866, 26, 'Hạn chế đào tạo');
INSERT INTO `lang_definitions` VALUES (143624, 8867, 26, 'Kết quả');
INSERT INTO `lang_definitions` VALUES (143625, 8869, 26, 'Kết quả Status');
INSERT INTO `lang_definitions` VALUES (143626, 8870, 26, 'Kết quả tình trạng hoặc bất thường là mất tích');
INSERT INTO `lang_definitions` VALUES (143627, 8871, 26, 'Kết quả, sử dụng% như là một ký tự đại diện');
INSERT INTO `lang_definitions` VALUES (143628, 8873, 26, 'Kết quả và');
INSERT INTO `lang_definitions` VALUES (143629, 8874, 26, 'Kết quả tìm thấy Đối với Tìm kiếm');
INSERT INTO `lang_definitions` VALUES (143630, 8875, 26, 'Kết quả từ Tập đoàn');
INSERT INTO `lang_definitions` VALUES (143631, 8879, 26, 'Kết quả mỗi trang');
INSERT INTO `lang_definitions` VALUES (143632, 8880, 26, 'Kết quả / chi tiết');
INSERT INTO `lang_definitions` VALUES (143633, 8884, 26, 'Võng mạc thi');
INSERT INTO `lang_definitions` VALUES (143634, 8885, 26, 'Rút lại phải:');
INSERT INTO `lang_definitions` VALUES (143635, 8886, 26, 'Quay trở lại');
INSERT INTO `lang_definitions` VALUES (143636, 8887, 26, 'Quay trở lại ở trên một phần thanh toán của bạn');
INSERT INTO `lang_definitions` VALUES (143637, 8890, 26, 'Trở về lịch');
INSERT INTO `lang_definitions` VALUES (143638, 8897, 26, 'Quay trở lại giá trị gia tăng');
INSERT INTO `lang_definitions` VALUES (143639, 8898, 26, 'Quay trở lại Xem trang');
INSERT INTO `lang_definitions` VALUES (143640, 8899, 26, 'Trả lại để chơi');
INSERT INTO `lang_definitions` VALUES (143641, 8914, 26, 'Đánh giá của PMH:');
INSERT INTO `lang_definitions` VALUES (143642, 8917, 26, 'Đánh giá Các Cơ quan');
INSERT INTO `lang_definitions` VALUES (143643, 8918, 26, 'Đánh giá Việc kiểm tra các Cơ quan');
INSERT INTO `lang_definitions` VALUES (143644, 8921, 26, 'Đánh giá');
INSERT INTO `lang_definitions` VALUES (143645, 8924, 26, 'Sửa đổi');
INSERT INTO `lang_definitions` VALUES (143646, 8925, 26, 'Viêm khớp dạng thấp');
INSERT INTO `lang_definitions` VALUES (143647, 8926, 26, 'Rheumotoid Arthritis');
INSERT INTO `lang_definitions` VALUES (143648, 8928, 26, 'Ngay');
INSERT INTO `lang_definitions` VALUES (143649, 8931, 26, 'Tai Phải');
INSERT INTO `lang_definitions` VALUES (143650, 8932, 26, 'tai phải');
INSERT INTO `lang_definitions` VALUES (143651, 8940, 26, 'Bên phải:');
INSERT INTO `lang_definitions` VALUES (143652, 8941, 26, 'Ù tai');
INSERT INTO `lang_definitions` VALUES (143653, 8942, 26, 'Ù tai');
INSERT INTO `lang_definitions` VALUES (143654, 8944, 26, 'Yếu tố Nguy cơ');
INSERT INTO `lang_definitions` VALUES (143655, 8945, 26, 'Mức Rủi ro');
INSERT INTO `lang_definitions` VALUES (143656, 8949, 26, 'RLL:');
INSERT INTO `lang_definitions` VALUES (143657, 8955, 26, 'ROM');
INSERT INTO `lang_definitions` VALUES (143658, 8963, 26, 'Danh sách');
INSERT INTO `lang_definitions` VALUES (143659, 8966, 26, 'Đường dùng');
INSERT INTO `lang_definitions` VALUES (143660, 8967, 26, 'Đường dùng, nếu áp dụng');
INSERT INTO `lang_definitions` VALUES (143661, 8968, 26, 'Được chỉ định dùng');
INSERT INTO `lang_definitions` VALUES (143662, 8969, 26, 'Hàng');
INSERT INTO `lang_definitions` VALUES (143663, 8971, 26, 'RRR mà không MOR');
INSERT INTO `lang_definitions` VALUES (143664, 8972, 26, 'Chà:');
INSERT INTO `lang_definitions` VALUES (143665, 8973, 26, 'Chất chà:');
INSERT INTO `lang_definitions` VALUES (143666, 8974, 26, 'Quy tắc');
INSERT INTO `lang_definitions` VALUES (143667, 8975, 26, 'Thêm Quy tắc');
INSERT INTO `lang_definitions` VALUES (143668, 8976, 26, 'Chi tiết Quy tắc');
INSERT INTO `lang_definitions` VALUES (143669, 8978, 26, 'Chỉnh sửa Quy tắc');
INSERT INTO `lang_definitions` VALUES (143670, 8981, 26, 'Đặt Quy tắc');
INSERT INTO `lang_definitions` VALUES (143671, 8984, 26, 'Quy tắc');
INSERT INTO `lang_definitions` VALUES (143672, 8986, 26, 'Xác lập Quy tắc');
INSERT INTO `lang_definitions` VALUES (143673, 8989, 26, 'Đang Chạy Lệnh:');
INSERT INTO `lang_definitions` VALUES (143674, 8990, 26, 'Vỡ');
INSERT INTO `lang_definitions` VALUES (143675, 8992, 26, 'Tiếng Nga');
INSERT INTO `lang_definitions` VALUES (143676, 8995, 26, 'Tên thuốc');
INSERT INTO `lang_definitions` VALUES (143677, 8996, 26, 'Tên thuốc');
INSERT INTO `lang_definitions` VALUES (143678, 9023, 26, 'RxNorm');
INSERT INTO `lang_definitions` VALUES (143679, 9024, 26, 'RxNorm Cơ sở dữ liệu');
INSERT INTO `lang_definitions` VALUES (143680, 9028, 26, 'S');
INSERT INTO `lang_definitions` VALUES (143681, 9029, 26, 'S.S.');
INSERT INTO `lang_definitions` VALUES (143682, 9030, 26, 'S3:');
INSERT INTO `lang_definitions` VALUES (143683, 9031, 26, 'S4:');
INSERT INTO `lang_definitions` VALUES (143684, 9032, 26, 'SA ** Để đọc các giấy phép xin vui lòng đọc các tài liệu / license.txt hoặc ghé thăm * http://www.gnu.org/copyleft/gpl.html ** / / / ============ ================================================== =========== / /');
INSERT INTO `lang_definitions` VALUES (143685, 9034, 26, 'Bán');
INSERT INTO `lang_definitions` VALUES (143686, 9035, 26, 'Bán hàng');
INSERT INTO `lang_definitions` VALUES (143687, 9036, 26, 'Doanh số bán Item');
INSERT INTO `lang_definitions` VALUES (143688, 9037, 26, 'Doanh số bán hàng Báo cáo sản phẩm');
INSERT INTO `lang_definitions` VALUES (143689, 9038, 26, 'Nước bọt');
INSERT INTO `lang_definitions` VALUES (143690, 9039, 26, 'Cùng ngày');
INSERT INTO `lang_definitions` VALUES (143691, 9040, 26, 'Samoa');
INSERT INTO `lang_definitions` VALUES (143692, 9041, 26, 'Ví dụ');
INSERT INTO `lang_definitions` VALUES (143693, 9042, 26, 'Xử phạt Loại');
INSERT INTO `lang_definitions` VALUES (143694, 9047, 26, 'Thứ 7');
INSERT INTO `lang_definitions` VALUES (143695, 9048, 26, 'Thứ 7 & CN');
INSERT INTO `lang_definitions` VALUES (143696, 9049, 26, 'Thứ Bảy');
INSERT INTO `lang_definitions` VALUES (143697, 9050, 26, 'Lưu');
INSERT INTO `lang_definitions` VALUES (143698, 9051, 26, 'LƯU');
INSERT INTO `lang_definitions` VALUES (143699, 9055, 26, 'Lưu và Đóng');
INSERT INTO `lang_definitions` VALUES (143700, 9058, 26, 'Lưu và Phát thuốc');
INSERT INTO `lang_definitions` VALUES (143701, 9061, 26, 'Lưu Bản mới');
INSERT INTO `lang_definitions` VALUES (143702, 9063, 26, 'Lưu thành ghi chú mới');
INSERT INTO `lang_definitions` VALUES (143703, 9066, 26, 'Lưu Cài đặt Giấy chứng nhận');
INSERT INTO `lang_definitions` VALUES (143704, 9067, 26, 'Lưu Thay đổi');
INSERT INTO `lang_definitions` VALUES (143705, 9075, 26, 'Lưu Biểu mẫu');
INSERT INTO `lang_definitions` VALUES (143706, 9076, 26, 'Lưu Tiêm chủng');
INSERT INTO `lang_definitions` VALUES (143707, 9078, 26, 'Lưu Trường Mới');
INSERT INTO `lang_definitions` VALUES (143708, 9079, 26, 'Lưu Nhóm mới');
INSERT INTO `lang_definitions` VALUES (143709, 9080, 26, 'Lưu Danh sách mới');
INSERT INTO `lang_definitions` VALUES (143710, 9081, 26, 'Lưu khuôn mẫu mới');
INSERT INTO `lang_definitions` VALUES (143711, 9083, 26, 'Lưu Thông tin cá nhân Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (143712, 9087, 26, 'Lưu thành công cho ID biểu đồ');
INSERT INTO `lang_definitions` VALUES (143713, 9089, 26, 'Lưu giao dịch');
INSERT INTO `lang_definitions` VALUES (143714, 9098, 26, 'Quét');
INSERT INTO `lang_definitions` VALUES (143715, 9099, 26, 'Quét Encounter Lưu ý');
INSERT INTO `lang_definitions` VALUES (143716, 9100, 26, 'Máy quét thư mục');
INSERT INTO `lang_definitions` VALUES (143717, 9101, 26, 'Máy quét Trong');
INSERT INTO `lang_definitions` VALUES (143718, 9104, 26, 'Lịch trình');
INSERT INTO `lang_definitions` VALUES (143719, 9106, 26, 'Lịch trình thiết bị:');
INSERT INTO `lang_definitions` VALUES (143720, 9117, 26, 'TRƯỜNG GHI CHÚ');
INSERT INTO `lang_definitions` VALUES (143721, 9122, 26, 'Chứng vẹo cột sống');
INSERT INTO `lang_definitions` VALUES (143722, 9133, 26, 'SE');
INSERT INTO `lang_definitions` VALUES (143723, 9134, 26, 'Địa chỉ SE');
INSERT INTO `lang_definitions` VALUES (143724, 9135, 26, 'Thành phố của SE');
INSERT INTO `lang_definitions` VALUES (143725, 9136, 26, 'Quốc gia của SE');
INSERT INTO `lang_definitions` VALUES (143726, 9137, 26, 'Địa phương của SE');
INSERT INTO `lang_definitions` VALUES (143727, 9138, 26, 'Mã Bưu chính của SE');
INSERT INTO `lang_definitions` VALUES (143728, 9139, 26, 'Tiểu bang của SE');
INSERT INTO `lang_definitions` VALUES (143729, 9140, 26, 'Mã Zip của SE');
INSERT INTO `lang_definitions` VALUES (143730, 9141, 26, 'Tìm kiếm');
INSERT INTO `lang_definitions` VALUES (143731, 9143, 26, 'tìm');
INSERT INTO `lang_definitions` VALUES (143732, 9144, 26, 'tìm lần nữa');
INSERT INTO `lang_definitions` VALUES (143733, 9150, 26, 'Tìm theo:');
INSERT INTO `lang_definitions` VALUES (143734, 9152, 26, 'Tìm');
INSERT INTO `lang_definitions` VALUES (143735, 9156, 26, 'Tìm:');
INSERT INTO `lang_definitions` VALUES (143736, 9159, 26, 'Tìm trong');
INSERT INTO `lang_definitions` VALUES (143737, 9161, 26, 'Tìm kiếm hay Thêm bệnh nhân');
INSERT INTO `lang_definitions` VALUES (143738, 9164, 26, 'Tìm kiếm thanh toán');
INSERT INTO `lang_definitions` VALUES (143739, 9168, 26, 'Kết quả tìm kiếm:');
INSERT INTO `lang_definitions` VALUES (143740, 9169, 26, 'Tìm kiếm chọn lọc');
INSERT INTO `lang_definitions` VALUES (143741, 9171, 26, 'Chuỗi tìm kiếm không phù hợp với danh sách trong cơ sở dữ liệu');
INSERT INTO `lang_definitions` VALUES (143742, 9172, 26, 'Chuỗi tìm kiếm nên có ít nhất ba ký tự');
INSERT INTO `lang_definitions` VALUES (143743, 9174, 26, 'Tìm kiếm văn bản');
INSERT INTO `lang_definitions` VALUES (143744, 9175, 26, 'Tìm kiếm các sự kiện');
INSERT INTO `lang_definitions` VALUES (143745, 9178, 26, 'Tìm kiếm /');
INSERT INTO `lang_definitions` VALUES (143746, 9179, 26, 'Tìm kiếm / Thêm hãng bảo hiểm');
INSERT INTO `lang_definitions` VALUES (143747, 9181, 26, 'Tìm kiếm cho các cuộc hẹn');
INSERT INTO `lang_definitions` VALUES (143748, 9182, 26, 'Tìm kiếm ...');
INSERT INTO `lang_definitions` VALUES (143749, 9184, 26, 'Sử dụng dây an toàn trên xe');
INSERT INTO `lang_definitions` VALUES (143750, 9185, 26, 'Sử dụng Dây an toàn trên xe');
INSERT INTO `lang_definitions` VALUES (143751, 9186, 26, 'Thứ hai');
INSERT INTO `lang_definitions` VALUES (143752, 9189, 26, 'Thứ hai');
INSERT INTO `lang_definitions` VALUES (143753, 9191, 26, 'Bảo hiểm Thứ hai');
INSERT INTO `lang_definitions` VALUES (143754, 9192, 26, 'Dữ liệu Bảo hiểm Thứ hai');
INSERT INTO `lang_definitions` VALUES (143755, 9193, 26, 'Nhà cung cấp Bảo hiểm Thứ hai');
INSERT INTO `lang_definitions` VALUES (143756, 9194, 26, 'Loại Chăm sóc Thứ hai');
INSERT INTO `lang_definitions` VALUES (143757, 9207, 26, 'An ninh');
INSERT INTO `lang_definitions` VALUES (143758, 9208, 26, 'Xem Tất cả');
INSERT INTO `lang_definitions` VALUES (143759, 9210, 26, 'Quyền Xem');
INSERT INTO `lang_definitions` VALUES (143760, 9213, 26, 'Xem Biểu đồ Tăng trưởng');
INSERT INTO `lang_definitions` VALUES (143761, 9214, 26, 'Xem tin nhắn từ các thiết lập cuối cùng của tuyên bố tạo ra');
INSERT INTO `lang_definitions` VALUES (143762, 9218, 26, 'Từng thấy kể từ');
INSERT INTO `lang_definitions` VALUES (143763, 9222, 26, 'Động kinh');
INSERT INTO `lang_definitions` VALUES (143764, 9223, 26, 'Sel');
INSERT INTO `lang_definitions` VALUES (143765, 9224, 26, 'chọn');
INSERT INTO `lang_definitions` VALUES (143766, 9225, 26, 'Chọn');
INSERT INTO `lang_definitions` VALUES (143767, 9228, 26, 'Chọn một bối cảnh');
INSERT INTO `lang_definitions` VALUES (143768, 9236, 26, 'Chọn một người dùng');
INSERT INTO `lang_definitions` VALUES (143769, 9239, 26, 'Chọn tất cả');
INSERT INTO `lang_definitions` VALUES (143770, 9248, 26, 'Chọn CAMOS Entries in ấn');
INSERT INTO `lang_definitions` VALUES (143771, 9250, 26, 'Chọn thể loại');
INSERT INTO `lang_definitions` VALUES (143772, 9254, 26, 'Chọn hộp kiểm tương ứng để xóa');
INSERT INTO `lang_definitions` VALUES (143773, 9256, 26, 'Chọn tiêu chí để Hủy bỏ');
INSERT INTO `lang_definitions` VALUES (143774, 9260, 26, 'Chọn dữ liệu yêu cầu cho De Xác định');
INSERT INTO `lang_definitions` VALUES (143775, 9261, 26, 'Chọn dữ liệu được bao gồm trong De Xác định dữ liệu');
INSERT INTO `lang_definitions` VALUES (143776, 9262, 26, 'Chọn ngày');
INSERT INTO `lang_definitions` VALUES (143777, 9264, 26, 'Chọn đội hình mong muốn');
INSERT INTO `lang_definitions` VALUES (143778, 9265, 26, 'Chọn Chẩn đoán');
INSERT INTO `lang_definitions` VALUES (143779, 9267, 26, 'Chọn Chẩn đoán cho De Xác định yêu cầu');
INSERT INTO `lang_definitions` VALUES (143780, 9271, 26, 'Chọn thuốc');
INSERT INTO `lang_definitions` VALUES (143781, 9272, 26, 'Chọn thuốc');
INSERT INTO `lang_definitions` VALUES (143782, 9273, 26, 'Chọn Thuốc cho De Xác định yêu cầu');
INSERT INTO `lang_definitions` VALUES (143783, 9274, 26, 'Chọn EDI-271 tập tin');
INSERT INTO `lang_definitions` VALUES (143784, 9276, 26, 'Chọn lĩnh vực');
INSERT INTO `lang_definitions` VALUES (143785, 9278, 26, 'Chọn Fields');
INSERT INTO `lang_definitions` VALUES (143786, 9279, 26, 'Chọn để in');
INSERT INTO `lang_definitions` VALUES (143787, 9285, 26, 'Chọn Chủng ngừa');
INSERT INTO `lang_definitions` VALUES (143788, 9286, 26, 'Chọn Chủng ngừa cho De Xác định yêu cầu');
INSERT INTO `lang_definitions` VALUES (143789, 9287, 26, 'Chọn bảo hiểm, bằng cách gõ');
INSERT INTO `lang_definitions` VALUES (143790, 9288, 26, 'Chọn Bản sao');
INSERT INTO `lang_definitions` VALUES (143791, 9291, 26, 'Chọn Ngôn ngữ');
INSERT INTO `lang_definitions` VALUES (143792, 9298, 26, 'Chọn một hay nhiều mã chẩn đoán để xác nhận dịch vụ');
INSERT INTO `lang_definitions` VALUES (143793, 9321, 26, 'Chọn các mục cấu hình để kết xuất');
INSERT INTO `lang_definitions` VALUES (143794, 9328, 26, 'Chọn vấn đề chủ yếu chịu trách nhiệm về bất kỳ sự kiện bị nhỡ vào ngày này');
INSERT INTO `lang_definitions` VALUES (143795, 9338, 26, 'Chọn Người dùng');
INSERT INTO `lang_definitions` VALUES (143796, 9340, 26, 'Chọn Người dùng Từ Danh sách Thả xuống');
INSERT INTO `lang_definitions` VALUES (143797, 9341, 26, 'Chọn ngôn ngữ, nếu có, có thể được lựa chọn lúc đăng nhập. (Chỉ thích hợp nếu tắt Cho phép Mọi Ngôn ngữ ở trên)');
INSERT INTO `lang_definitions` VALUES (143798, 9343, 26, 'Chọn Yes để xác nhận việc xóa nhóm');
INSERT INTO `lang_definitions` VALUES (143799, 9349, 26, 'Được chọn');
INSERT INTO `lang_definitions` VALUES (143800, 9350, 26, 'Lần khám Được chọn');
INSERT INTO `lang_definitions` VALUES (143801, 9355, 26, 'Chọn cái này để tạo một tin nhắn phải được từng người nhận xử lý (đây không phải là công việc nhóm).');
INSERT INTO `lang_definitions` VALUES (143802, 9357, 26, 'Bản thân');
INSERT INTO `lang_definitions` VALUES (143803, 9358, 26, 'Tự trả');
INSERT INTO `lang_definitions` VALUES (143804, 9360, 26, 'Gửi');
INSERT INTO `lang_definitions` VALUES (143805, 9361, 26, 'Gửi một Lời nhắc có Ngày');
INSERT INTO `lang_definitions` VALUES (143806, 9362, 26, 'Gửi một lời nhắc');
INSERT INTO `lang_definitions` VALUES (143807, 9369, 26, 'Đang gửi');
INSERT INTO `lang_definitions` VALUES (143808, 9372, 26, 'Gửi tin nhắn');
INSERT INTO `lang_definitions` VALUES (143809, 9378, 26, 'Gửi Một loạt Lời nhắc');
INSERT INTO `lang_definitions` VALUES (143810, 9379, 26, 'Gửi lời nhắc cho các bệnh nhân theo sở thích của bệnh nhân để phòng ngừa / theo dõi chăm sóc.');
INSERT INTO `lang_definitions` VALUES (143811, 9383, 26, 'Gửi tóm tắt với Giới thiệu tham gia');
INSERT INTO `lang_definitions` VALUES (143812, 9384, 26, 'Gửi tập tin này');
INSERT INTO `lang_definitions` VALUES (143813, 9395, 26, 'Tên người gửi');
INSERT INTO `lang_definitions` VALUES (143814, 9396, 26, 'Tên người gửi ID');
INSERT INTO `lang_definitions` VALUES (143815, 9397, 26, 'Tên người gửi ID (ISA06)');
INSERT INTO `lang_definitions` VALUES (143816, 9398, 26, 'Tên người gửi ID vòng loại (ISA05)');
INSERT INTO `lang_definitions` VALUES (143817, 9407, 26, 'Sự nhạy cảm');
INSERT INTO `lang_definitions` VALUES (143818, 9411, 26, 'Mức nhạy cảm:');
INSERT INTO `lang_definitions` VALUES (143819, 9412, 26, 'Cảm giác kỳ thi bình thường');
INSERT INTO `lang_definitions` VALUES (143820, 9415, 26, 'Người Gửi, Để Trống Là Tất cả');
INSERT INTO `lang_definitions` VALUES (143821, 9417, 26, 'Ngày Gửi');
INSERT INTO `lang_definitions` VALUES (143822, 9418, 26, 'Thư đã Gửi');
INSERT INTO `lang_definitions` VALUES (143823, 9419, 26, 'Gửi hồ sơ y tế?');
INSERT INTO `lang_definitions` VALUES (143824, 9420, 26, 'Gửi thành công');
INSERT INTO `lang_definitions` VALUES (143825, 9423, 26, 'đã gửi đến máy in.');
INSERT INTO `lang_definitions` VALUES (143826, 9424, 26, 'Người Nhận, Để Trống Là Tất cả');
INSERT INTO `lang_definitions` VALUES (143827, 9429, 26, 'Tháng Chín');
INSERT INTO `lang_definitions` VALUES (143828, 9430, 26, 'Ly thân');
INSERT INTO `lang_definitions` VALUES (143829, 9431, 26, 'Tháng Chín');
INSERT INTO `lang_definitions` VALUES (143830, 9432, 26, 'TT');
INSERT INTO `lang_definitions` VALUES (143831, 9433, 26, 'Trình tự');
INSERT INTO `lang_definitions` VALUES (143832, 9442, 26, 'Dịch vụ');
INSERT INTO `lang_definitions` VALUES (143833, 9444, 26, 'Thể loại Dịch vụ');
INSERT INTO `lang_definitions` VALUES (143834, 9445, 26, 'Mã Dịch vụ');
INSERT INTO `lang_definitions` VALUES (143835, 9447, 26, 'Mã Dịch vụ');
INSERT INTO `lang_definitions` VALUES (143836, 9448, 26, 'Ngày Dịch vụ');
INSERT INTO `lang_definitions` VALUES (143837, 9451, 26, 'Ngày Dịch vụ:');
INSERT INTO `lang_definitions` VALUES (143838, 9455, 26, 'Vị trí Dịch vụ');
INSERT INTO `lang_definitions` VALUES (143839, 9457, 26, 'Dịch vụ cung cấp bởi chuyên gia');
INSERT INTO `lang_definitions` VALUES (143840, 9461, 26, 'Dịch vụ');
INSERT INTO `lang_definitions` VALUES (143841, 9462, 26, 'Dịch vụ theo Thể loại');
INSERT INTO `lang_definitions` VALUES (143842, 9463, 26, 'Dịch vụ cung cấp');
INSERT INTO `lang_definitions` VALUES (143843, 9464, 26, 'Dịch vụ cung cấp');
INSERT INTO `lang_definitions` VALUES (143844, 9465, 26, 'Dịch vụ / sản phẩm');
INSERT INTO `lang_definitions` VALUES (143845, 9466, 26, 'Phiên Loại');
INSERT INTO `lang_definitions` VALUES (143846, 9467, 26, 'Thiết lập');
INSERT INTO `lang_definitions` VALUES (143847, 9468, 26, 'Thiết lập một cookie cơ sở để nhớ cơ sở được chọn giữa các lần đăng nhập.');
INSERT INTO `lang_definitions` VALUES (143848, 9469, 26, 'Đặt Là Hoàn thành');
INSERT INTO `lang_definitions` VALUES (143849, 9470, 26, 'ĐẶT LÀ HOÀN THÀNH');
INSERT INTO `lang_definitions` VALUES (143850, 9478, 26, 'Thiết lập này để đường dẫn tuyệt đối đầy đủ. Đối với việc tạo chứng chỉ máy khách SSL cho HTTPS.');
INSERT INTO `lang_definitions` VALUES (143851, 9479, 26, 'Thiết lập Để');
INSERT INTO `lang_definitions` VALUES (143852, 9480, 26, 'Thiết lập về Mặc định');
INSERT INTO `lang_definitions` VALUES (143853, 9486, 26, 'Thiết lập số phiên bản trong cơ sở dữ liệu ...');
INSERT INTO `lang_definitions` VALUES (143854, 9488, 26, 'Cài đặt');
INSERT INTO `lang_definitions` VALUES (143855, 9493, 26, 'Nghiêm trọng Đau nửa đầu');
INSERT INTO `lang_definitions` VALUES (143856, 9496, 26, 'Mức độ nghiêm trọng of Pain');
INSERT INTO `lang_definitions` VALUES (143857, 9497, 26, 'Mức độ nghiêm trọng of Pain:');
INSERT INTO `lang_definitions` VALUES (143858, 9498, 26, 'Giới tính');
INSERT INTO `lang_definitions` VALUES (143859, 9499, 26, 'Bệnh Truyền qua đường Tình dục');
INSERT INTO `lang_definitions` VALUES (143860, 9502, 26, 'Mã băm (Hash) Sha-1');
INSERT INTO `lang_definitions` VALUES (143861, 9503, 26, 'Chia sẻ');
INSERT INTO `lang_definitions` VALUES (143862, 9504, 26, 'Lệnh hệ thống để in từ máy chủ.');
INSERT INTO `lang_definitions` VALUES (143863, 9510, 26, 'Khó thở');
INSERT INTO `lang_definitions` VALUES (143864, 9511, 26, 'Khó Thở');
INSERT INTO `lang_definitions` VALUES (143865, 9512, 26, 'Khó Thở 2');
INSERT INTO `lang_definitions` VALUES (143866, 9513, 26, 'Shot Ghi');
INSERT INTO `lang_definitions` VALUES (143867, 9514, 26, 'Shot Ghi lại như của:');
INSERT INTO `lang_definitions` VALUES (143868, 9516, 26, 'nên là như nnnnn nnnn-nn');
INSERT INTO `lang_definitions` VALUES (143869, 9517, 26, 'Nên có hai chữ cái');
INSERT INTO `lang_definitions` VALUES (143870, 9518, 26, 'nên chứa 10 chữ số');
INSERT INTO `lang_definitions` VALUES (143871, 9519, 26, 'nên chứa chỉ có 10 chữ số');
INSERT INTO `lang_definitions` VALUES (143872, 9520, 26, 'Vai');
INSERT INTO `lang_definitions` VALUES (143873, 9521, 26, 'Vai + xương đòn');
INSERT INTO `lang_definitions` VALUES (143874, 9522, 26, 'Vai vấn đề');
INSERT INTO `lang_definitions` VALUES (143875, 9523, 26, 'Hiển thị');
INSERT INTO `lang_definitions` VALUES (143876, 9527, 26, 'Hiện tất cả');
INSERT INTO `lang_definitions` VALUES (143877, 9531, 26, 'Tất cả Giao dịch');
INSERT INTO `lang_definitions` VALUES (143878, 9532, 26, 'Hiển thị như Busy');
INSERT INTO `lang_definitions` VALUES (143879, 9533, 26, 'Hiện có thẩm quyền Chỉ');
INSERT INTO `lang_definitions` VALUES (143880, 9534, 26, 'Times có sẵn');
INSERT INTO `lang_definitions` VALUES (143881, 9535, 26, 'Hiện cả hai hệ Mỹ và hệ mét (đơn vị chính là hệ mét)');
INSERT INTO `lang_definitions` VALUES (143882, 9536, 26, 'Hiện cả hai hệ Mỹ và hệ mét (đơn vị chính là hệ Mỹ)');
INSERT INTO `lang_definitions` VALUES (143883, 9540, 26, 'Hiển thị Chi tiết');
INSERT INTO `lang_definitions` VALUES (143884, 9544, 26, 'Hiển thị Đồ thị');
INSERT INTO `lang_definitions` VALUES (143885, 9546, 26, 'Hiện lơ lửng văn bản trên sự kiện mouseover?');
INSERT INTO `lang_definitions` VALUES (143886, 9547, 26, 'Bao nhiêu sự kiện trên trang quản trị?');
INSERT INTO `lang_definitions` VALUES (143887, 9552, 26, 'Hiện Trình đơn');
INSERT INTO `lang_definitions` VALUES (143888, 9553, 26, 'Chỉ hiển thị hệ mét');
INSERT INTO `lang_definitions` VALUES (143889, 9556, 26, 'Hiện Ghi chú');
INSERT INTO `lang_definitions` VALUES (143890, 9561, 26, 'Hiện Ghi chú Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (143891, 9564, 26, 'Hiển thị tiểu học Hoàn thành');
INSERT INTO `lang_definitions` VALUES (143892, 9568, 26, 'Hiện Các nhắc nhở');
INSERT INTO `lang_definitions` VALUES (143893, 9569, 26, 'Hiện Báo cáo');
INSERT INTO `lang_definitions` VALUES (143894, 9570, 26, 'Hiện tìm kiếm / trình liên kết trong khối?');
INSERT INTO `lang_definitions` VALUES (143895, 9574, 26, 'Các hình thức nhà nước tùy chỉnh cho widget danh sách add (sẽ yêu cầu tiêu đề và tên viết tắt).');
INSERT INTO `lang_definitions` VALUES (143896, 9580, 26, 'Hiện Unbilled Chỉ');
INSERT INTO `lang_definitions` VALUES (143897, 9581, 26, 'Hiện chỉ có ở Hoa Kỳ');
INSERT INTO `lang_definitions` VALUES (143898, 9595, 26, 'Anh chị em ruột');
INSERT INTO `lang_definitions` VALUES (143899, 9596, 26, 'Tế bào hình liềm');
INSERT INTO `lang_definitions` VALUES (143900, 9597, 26, 'Sig');
INSERT INTO `lang_definitions` VALUES (143901, 9598, 26, 'Sigma / Soi ruột già');
INSERT INTO `lang_definitions` VALUES (143902, 9601, 26, 'Ký kết quả từ phòng thí nghiệm (ghi, addonly tùy chọn)');
INSERT INTO `lang_definitions` VALUES (143903, 9603, 26, 'Đăng ký Kết quả');
INSERT INTO `lang_definitions` VALUES (143904, 9606, 26, 'Chữ ký');
INSERT INTO `lang_definitions` VALUES (143905, 9609, 26, 'Chữ ký:');
INSERT INTO `lang_definitions` VALUES (143906, 9612, 26, 'Toa thuốc Đã ký');
INSERT INTO `lang_definitions` VALUES (143907, 9614, 26, 'Đáng kể Sưng:');
INSERT INTO `lang_definitions` VALUES (143908, 9616, 26, 'Đơn giản hóa Đồng Chi trả');
INSERT INTO `lang_definitions` VALUES (143909, 9617, 26, 'Đơn giản hóa Thông tin cá nhân');
INSERT INTO `lang_definitions` VALUES (143910, 9618, 26, 'Đơn giản hóa Đơn thuốc');
INSERT INTO `lang_definitions` VALUES (143911, 9619, 26, 'Kể từ khi');
INSERT INTO `lang_definitions` VALUES (143912, 9620, 26, 'Trân trọng,');
INSERT INTO `lang_definitions` VALUES (143913, 9622, 26, 'Độc thân');
INSERT INTO `lang_definitions` VALUES (143914, 9624, 26, 'Single-lựa chọn danh sách');
INSERT INTO `lang_definitions` VALUES (143915, 9625, 26, 'Danh sách lựa chọn duy nhất với khả năng để thêm vào danh sách');
INSERT INTO `lang_definitions` VALUES (143916, 9629, 26, 'Xoang vấn đề');
INSERT INTO `lang_definitions` VALUES (143917, 9630, 26, 'Xoang phẫu thuật');
INSERT INTO `lang_definitions` VALUES (143918, 9631, 26, 'Xoang dịu dàng:');
INSERT INTO `lang_definitions` VALUES (143919, 9632, 26, 'Viêm xoang');
INSERT INTO `lang_definitions` VALUES (143920, 9637, 26, 'Site ID');
INSERT INTO `lang_definitions` VALUES (143921, 9639, 26, 'Site ID LLC OpenEMR Hỗ trợ dịch vụ Lab Exchange.');
INSERT INTO `lang_definitions` VALUES (143922, 9643, 26, 'Kích thước');
INSERT INTO `lang_definitions` VALUES (143923, 9646, 26, 'Kích phải là một số giữa 1 và 999');
INSERT INTO `lang_definitions` VALUES (143924, 9648, 26, 'Kích thước / Danh sách');
INSERT INTO `lang_definitions` VALUES (143925, 9650, 26, 'Da');
INSERT INTO `lang_definitions` VALUES (143926, 9651, 26, 'Ung thư da');
INSERT INTO `lang_definitions` VALUES (143927, 9652, 26, 'Da bệnh');
INSERT INTO `lang_definitions` VALUES (143928, 9653, 26, 'Skin khác');
INSERT INTO `lang_definitions` VALUES (143929, 9654, 26, 'Bỏ qua Việc xác thực cho Ghi chú Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (143930, 9659, 26, 'Bỏ qua phần');
INSERT INTO `lang_definitions` VALUES (143931, 9660, 26, 'Bỏ qua bãi chứa SQL-Ledger - không được thực hiện cho máy chủ Windows');
INSERT INTO `lang_definitions` VALUES (143932, 9664, 26, 'Ngủ mẫu');
INSERT INTO `lang_definitions` VALUES (143933, 9665, 26, 'Giấc ngủ Patterns');
INSERT INTO `lang_definitions` VALUES (143934, 9666, 26, 'Ngủ');
INSERT INTO `lang_definitions` VALUES (143935, 9668, 26, 'Tiếng Slovak');
INSERT INTO `lang_definitions` VALUES (143936, 9670, 26, 'Sm nợ w / o');
INSERT INTO `lang_definitions` VALUES (143937, 9675, 26, 'Cache Smarty đã được giải tỏa');
INSERT INTO `lang_definitions` VALUES (143938, 9676, 26, 'Hút thuốc, hiện không biết tình trạng');
INSERT INTO `lang_definitions` VALUES (143939, 9678, 26, 'Tình trạng Hút thuốc');
INSERT INTO `lang_definitions` VALUES (143940, 9680, 26, 'Cho SMS');
INSERT INTO `lang_definitions` VALUES (143941, 9683, 26, 'Cổng tin nhắn SMS');
INSERT INTO `lang_definitions` VALUES (143942, 9684, 26, 'Khóa API cho Cổng Tin nhắn SMS');
INSERT INTO `lang_definitions` VALUES (143943, 9685, 26, 'Khóa API cho Cổng Tin nhắn SMS');
INSERT INTO `lang_definitions` VALUES (143944, 9686, 26, 'Mật khẩu cho Cổng Tin nhắn SMS');
INSERT INTO `lang_definitions` VALUES (143945, 9687, 26, 'Tên đăng nhập cho Cổng Tin nhắn SMS');
INSERT INTO `lang_definitions` VALUES (143946, 9689, 26, 'Thông báo Tin nhắn SMS');
INSERT INTO `lang_definitions` VALUES (143947, 9690, 26, 'Giờ Thông báo Tin nhắn SMS');
INSERT INTO `lang_definitions` VALUES (143948, 9693, 26, 'Gửi SMS trước');
INSERT INTO `lang_definitions` VALUES (143949, 9694, 26, 'Đã gửi SMS');
INSERT INTO `lang_definitions` VALUES (143950, 9697, 26, 'Nội dung tin nhắn, Có thể dùng thẻ: ***NAME***, ***PROVIDER***, ***DATE***, ***STARTTIME***, ***ENDTIME***<br>Ví dụ Kính gửi ***NAME***');
INSERT INTO `lang_definitions` VALUES (143951, 9701, 26, 'Cài đặt Thông báo Tin nhắn SMS / Email');
INSERT INTO `lang_definitions` VALUES (143952, 9703, 26, 'SMTP mật khẩu cho xác thực');
INSERT INTO `lang_definitions` VALUES (143953, 9706, 26, 'SMTP Server Hostname');
INSERT INTO `lang_definitions` VALUES (143954, 9707, 26, 'SMTP Server Port Number');
INSERT INTO `lang_definitions` VALUES (143955, 9708, 26, 'SMTP tài cho xác thực');
INSERT INTO `lang_definitions` VALUES (143956, 9709, 26, 'SNOMED');
INSERT INTO `lang_definitions` VALUES (143957, 9717, 26, 'SNOMED Cơ sở dữ liệu');
INSERT INTO `lang_definitions` VALUES (143958, 9721, 26, 'Ngáy');
INSERT INTO `lang_definitions` VALUES (143959, 9722, 26, 'SOAP');
INSERT INTO `lang_definitions` VALUES (143960, 9726, 26, 'Xã hội khó khăn');
INSERT INTO `lang_definitions` VALUES (143961, 9729, 26, 'Lịch sử xã hội:');
INSERT INTO `lang_definitions` VALUES (143962, 9730, 26, 'Số An Sinh Xã Hội');
INSERT INTO `lang_definitions` VALUES (143963, 9732, 26, 'dung dịch uống');
INSERT INTO `lang_definitions` VALUES (143964, 9734, 26, 'Soma Context');
INSERT INTO `lang_definitions` VALUES (143965, 9735, 26, 'Một số ủy quyền không được hiển thị. Click vào đây để xem tất cả');
INSERT INTO `lang_definitions` VALUES (143966, 9736, 26, 'Một số mã không được hiển thị.');
INSERT INTO `lang_definitions` VALUES (143967, 9737, 26, 'Một số cuộc gặp gỡ không được hiển thị. Click vào đây để xem tất cả.');
INSERT INTO `lang_definitions` VALUES (143968, 9738, 26, 'Một số lỗi đã xảy ra trong quá trình nhận dạng De');
INSERT INTO `lang_definitions` VALUES (143969, 9740, 26, 'Một số lưu ý không được hiển thị.');
INSERT INTO `lang_definitions` VALUES (143970, 9743, 26, 'một số từ');
INSERT INTO `lang_definitions` VALUES (143971, 9747, 26, 'Một cái gì đó đã đi sai. Vui lòng thử lại.');
INSERT INTO `lang_definitions` VALUES (143972, 9748, 26, 'Thời khoảng Sắp Đến hạn (Nhắc nhở Lâm sàng)');
INSERT INTO `lang_definitions` VALUES (143973, 9749, 26, 'Thời khoảng Sắp Đến hạn (Nhắc nhở bệnh nhân)');
INSERT INTO `lang_definitions` VALUES (143974, 9750, 26, 'Đau họng');
INSERT INTO `lang_definitions` VALUES (143975, 9754, 26, 'Xin lỗi, có một vấn đề tải lên tập tin của bạn');
INSERT INTO `lang_definitions` VALUES (143976, 9758, 26, 'Sắp xếp theo');
INSERT INTO `lang_definitions` VALUES (143977, 9759, 26, 'Sắp xếp theo');
INSERT INTO `lang_definitions` VALUES (143978, 9761, 26, 'Sắp xếp bởi Checksum');
INSERT INTO `lang_definitions` VALUES (143979, 9762, 26, 'Sắp xếp bởi bình luận');
INSERT INTO `lang_definitions` VALUES (143980, 9763, 26, 'Sắp xếp bởi người sử dụng màn hình CRT');
INSERT INTO `lang_definitions` VALUES (143981, 9764, 26, 'Sắp xếp theo ngày');
INSERT INTO `lang_definitions` VALUES (143982, 9765, 26, 'Sắp xếp theo ngày / thời gian');
INSERT INTO `lang_definitions` VALUES (143983, 9766, 26, 'Sắp xếp bởi sự kiện');
INSERT INTO `lang_definitions` VALUES (143984, 9767, 26, 'Sắp xếp của Tập đoàn');
INSERT INTO `lang_definitions` VALUES (143985, 9770, 26, 'Sắp xếp bởi PatientID');
INSERT INTO `lang_definitions` VALUES (143986, 9772, 26, 'Sắp xếp bởi thành công');
INSERT INTO `lang_definitions` VALUES (143987, 9774, 26, 'Sắp xếp bởi người');
INSERT INTO `lang_definitions` VALUES (143988, 9775, 26, 'Sắp xếp bởi vắc-xin');
INSERT INTO `lang_definitions` VALUES (143989, 9776, 26, 'Sắp xếp Giảm');
INSERT INTO `lang_definitions` VALUES (143990, 9777, 26, 'Sắp xếp kết quả theo');
INSERT INTO `lang_definitions` VALUES (143991, 9778, 26, 'Sắp xếp Tăng');
INSERT INTO `lang_definitions` VALUES (143992, 9779, 26, 'Nguồn');
INSERT INTO `lang_definitions` VALUES (143993, 9781, 26, 'Tập tin Nguồn');
INSERT INTO `lang_definitions` VALUES (143994, 9782, 26, 'Đường dẫn Tập tin nguồn');
INSERT INTO `lang_definitions` VALUES (143995, 9783, 26, 'Nguồn được cho mã');
INSERT INTO `lang_definitions` VALUES (143996, 9784, 26, 'Nguồn Lô');
INSERT INTO `lang_definitions` VALUES (143997, 9789, 26, 'Nguồn:');
INSERT INTO `lang_definitions` VALUES (143998, 9792, 26, 'Khoảng trắng');
INSERT INTO `lang_definitions` VALUES (143999, 9793, 26, 'KHOẢNG TRẮNG');
INSERT INTO `lang_definitions` VALUES (144000, 9795, 26, 'Tiếng Tây Ban Nha');
INSERT INTO `lang_definitions` VALUES (144001, 9796, 26, 'Tiếng Tây Ban Nha (Mỹ Latin)');
INSERT INTO `lang_definitions` VALUES (144002, 9797, 26, 'Tiếng Tây Ban Nha (Tây Ban Nha)');
INSERT INTO `lang_definitions` VALUES (144003, 9801, 26, 'Chuyên gia');
INSERT INTO `lang_definitions` VALUES (144004, 9802, 26, 'Tên và chữ ký chuyên gia');
INSERT INTO `lang_definitions` VALUES (144005, 9804, 26, 'Chuyên khoa');
INSERT INTO `lang_definitions` VALUES (144006, 9805, 26, 'Hệ thống Đặc biệt');
INSERT INTO `lang_definitions` VALUES (144007, 9806, 26, 'Chuyên khoa:');
INSERT INTO `lang_definitions` VALUES (144008, 9807, 26, 'Cụ thể');
INSERT INTO `lang_definitions` VALUES (144009, 9808, 26, 'Ứng dụng Cụ thể');
INSERT INTO `lang_definitions` VALUES (144010, 9809, 26, 'Specific Contraceptive Service');
INSERT INTO `lang_definitions` VALUES (144011, 9810, 26, 'Kết quả Cụ thể');
INSERT INTO `lang_definitions` VALUES (144012, 9811, 26, 'Dịch vụ Cụ thể');
INSERT INTO `lang_definitions` VALUES (144013, 9812, 26, 'Quy định');
INSERT INTO `lang_definitions` VALUES (144014, 9813, 26, 'Chỉ định định dạng cho mã số. # = chữ số, * = ký tự bất kỳ. Để trống nếu không dùng.');
INSERT INTO `lang_definitions` VALUES (144015, 9814, 26, 'Chỉ định định dạng cho mã số. # = chữ số, @ = chữ cái, * = ký tự bất kỳ. Để trống nếu không dùng.');
INSERT INTO `lang_definitions` VALUES (144016, 9815, 26, 'Chỉ định định dạng cho các số tham chiếu hoá đơn. # = chữ số, * = ký tự bất kỳ. Để trống nếu không dùng.');
INSERT INTO `lang_definitions` VALUES (144017, 9816, 26, 'Chỉ định định dạng cho các số tham chiếu hoá đơn. # = chữ số, @ = chữ cái, * = ký tự bất kỳ. Để trống nếu không dùng.');
INSERT INTO `lang_definitions` VALUES (144018, 9817, 26, 'Chỉ định định dạng cho sản phẩm lĩnh vực NDC. # = chữ số, * = ký tự bất kỳ. Để trống nếu không dùng.');
INSERT INTO `lang_definitions` VALUES (144019, 9818, 26, 'Chỉ định định dạng cho sản phẩm lĩnh vực NDC. # = chữ số, @ = chữ cái, * = ký tự bất kỳ. Để trống nếu không dùng.');
INSERT INTO `lang_definitions` VALUES (144020, 9819, 26, 'Chỉ định định dạng cho mã số bệnh nhân bên ngoài. # = chữ số, * = ký tự bất kỳ. Để trống nếu không dùng.');
INSERT INTO `lang_definitions` VALUES (144021, 9820, 26, 'Chỉ định định dạng cho mã số bệnh nhân bên ngoài. # = chữ số, @ = chữ cái, * = ký tự bất kỳ. Để trống nếu không dùng.');
INSERT INTO `lang_definitions` VALUES (144022, 9823, 26, 'Mẫu');
INSERT INTO `lang_definitions` VALUES (144023, 9824, 26, 'Mẫu số / định danh');
INSERT INTO `lang_definitions` VALUES (144024, 9825, 26, 'Mẫu Loại');
INSERT INTO `lang_definitions` VALUES (144025, 9827, 26, 'Lời dặn của Bác sĩ');
INSERT INTO `lang_definitions` VALUES (144026, 9828, 26, 'Chất diệt tinh trùng');
INSERT INTO `lang_definitions` VALUES (144027, 9831, 26, 'Cắt lách');
INSERT INTO `lang_definitions` VALUES (144028, 9832, 26, 'Vợ/chồng');
INSERT INTO `lang_definitions` VALUES (144029, 9834, 26, 'Đờm');
INSERT INTO `lang_definitions` VALUES (144030, 9835, 26, 'Đờm:');
INSERT INTO `lang_definitions` VALUES (144031, 9836, 26, 'subcutaneous');
INSERT INTO `lang_definitions` VALUES (144032, 9839, 26, 'Squad');
INSERT INTO `lang_definitions` VALUES (144033, 9840, 26, 'Squad thành viên');
INSERT INTO `lang_definitions` VALUES (144034, 9841, 26, 'Đội');
INSERT INTO `lang_definitions` VALUES (144035, 9843, 26, 'SRH');
INSERT INTO `lang_definitions` VALUES (144036, 9844, 26, 'SRH - Kế hoạch hoá gia đình');
INSERT INTO `lang_definitions` VALUES (144037, 9845, 26, 'SRH không Kế hoạch hoá gia đình');
INSERT INTO `lang_definitions` VALUES (144038, 9846, 26, 'SRH Giới thiệu tham gia');
INSERT INTO `lang_definitions` VALUES (144039, 9847, 26, 'SRH Chơi Mẫu');
INSERT INTO `lang_definitions` VALUES (144040, 9848, 26, 'Srv ngày');
INSERT INTO `lang_definitions` VALUES (144041, 9849, 26, 'SS');
INSERT INTO `lang_definitions` VALUES (144042, 9850, 26, 'Quản Lý SSL Certificate');
INSERT INTO `lang_definitions` VALUES (144043, 9851, 26, 'SSN');
INSERT INTO `lang_definitions` VALUES (144044, 9852, 26, 'Ổn định');
INSERT INTO `lang_definitions` VALUES (144045, 9855, 26, 'Tiêu chuẩn');
INSERT INTO `lang_definitions` VALUES (144046, 9857, 26, 'Tiêu chuẩn Mã');
INSERT INTO `lang_definitions` VALUES (144047, 9860, 26, 'Tiêu chuẩn các biện pháp');
INSERT INTO `lang_definitions` VALUES (144048, 9864, 26, 'Tiêu chuẩn Tên');
INSERT INTO `lang_definitions` VALUES (144049, 9866, 26, 'Bắt đầu');
INSERT INTO `lang_definitions` VALUES (144050, 9867, 26, 'Bắt đầu (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (144051, 9874, 26, 'Ngày bắt đầu');
INSERT INTO `lang_definitions` VALUES (144052, 9876, 26, 'Ngày bắt đầu tại Phòng khám này');
INSERT INTO `lang_definitions` VALUES (144053, 9877, 26, 'Ngày bắt đầu không nên lớn hơn Ngày Kết thúc');
INSERT INTO `lang_definitions` VALUES (144054, 9878, 26, 'Ngày bắt đầu:');
INSERT INTO `lang_definitions` VALUES (144055, 9879, 26, 'Ngày bắt đầu:');
INSERT INTO `lang_definitions` VALUES (144056, 9881, 26, 'Thời gian bắt đầu');
INSERT INTO `lang_definitions` VALUES (144057, 9884, 26, 'Ngày bắt đầu');
INSERT INTO `lang_definitions` VALUES (144058, 9888, 26, 'stat');
INSERT INTO `lang_definitions` VALUES (144059, 9889, 26, 'Tiểu bang');
INSERT INTO `lang_definitions` VALUES (144060, 9890, 26, 'Loại Dữ liệu Tiểu bang');
INSERT INTO `lang_definitions` VALUES (144061, 9891, 26, 'Số g.phép Tiểu bang');
INSERT INTO `lang_definitions` VALUES (144062, 9892, 26, 'Số Giấy phép Tiểu bang');
INSERT INTO `lang_definitions` VALUES (144063, 9893, 26, 'Danh sách tiểu bang');
INSERT INTO `lang_definitions` VALUES (144064, 9894, 26, 'Danh sách nhà nước (viết, addonly tùy chọn)');
INSERT INTO `lang_definitions` VALUES (144065, 9896, 26, 'Danh sách Widget nhà nước Tuỳ chỉnh lĩnh vực');
INSERT INTO `lang_definitions` VALUES (144066, 9897, 26, 'Tiểu bang hoặc Tỉnh');
INSERT INTO `lang_definitions` VALUES (144067, 9898, 26, 'Tiểu bang/Địa phương');
INSERT INTO `lang_definitions` VALUES (144068, 9899, 26, 'Tiểu bang/Giáo xứ');
INSERT INTO `lang_definitions` VALUES (144069, 9903, 26, 'BẢNG TÓM TẮT');
INSERT INTO `lang_definitions` VALUES (144070, 9904, 26, 'báo cáo và cập nhật hoá đơn.');
INSERT INTO `lang_definitions` VALUES (144071, 9906, 26, 'Báo cáo đã gửi:');
INSERT INTO `lang_definitions` VALUES (144072, 9907, 26, 'báo cáo, hóa đơn sẽ không được cập nhật.');
INSERT INTO `lang_definitions` VALUES (144073, 9908, 26, 'Tĩnh văn bản');
INSERT INTO `lang_definitions` VALUES (144074, 9909, 26, 'Thống kê');
INSERT INTO `lang_definitions` VALUES (144075, 9910, 26, 'Thống kê');
INSERT INTO `lang_definitions` VALUES (144076, 9911, 26, 'Tình trạng');
INSERT INTO `lang_definitions` VALUES (144077, 9916, 26, 'Hiện trạng');
INSERT INTO `lang_definitions` VALUES (144078, 9918, 26, 'Các Couns STD / AIDS');
INSERT INTO `lang_definitions` VALUES (144079, 9919, 26, 'Stength và điều');
INSERT INTO `lang_definitions` VALUES (144080, 9932, 26, 'Cứng mối nối');
INSERT INTO `lang_definitions` VALUES (144081, 9933, 26, 'Độ cứng');
INSERT INTO `lang_definitions` VALUES (144082, 9935, 26, 'Chứng khoán tháng');
INSERT INTO `lang_definitions` VALUES (144083, 9936, 26, 'Dạ dày Pains');
INSERT INTO `lang_definitions` VALUES (144084, 9942, 26, 'Lưu trữ Hash');
INSERT INTO `lang_definitions` VALUES (144085, 9944, 26, 'Căng thẳng cơ bắp');
INSERT INTO `lang_definitions` VALUES (144086, 9946, 26, 'Dòng');
INSERT INTO `lang_definitions` VALUES (144087, 9947, 26, 'Đường phố');
INSERT INTO `lang_definitions` VALUES (144088, 9948, 26, 'Địa chỉ');
INSERT INTO `lang_definitions` VALUES (144089, 9949, 26, 'Số nhà và Tên đường');
INSERT INTO `lang_definitions` VALUES (144090, 9950, 26, 'Sức mạnh');
INSERT INTO `lang_definitions` VALUES (144091, 9952, 26, 'Strep Throat');
INSERT INTO `lang_definitions` VALUES (144092, 9953, 26, 'Căng thẳng gãy xương');
INSERT INTO `lang_definitions` VALUES (144093, 9954, 26, 'Stress Test');
INSERT INTO `lang_definitions` VALUES (144094, 9956, 26, 'Tai biến mạch máu não');
INSERT INTO `lang_definitions` VALUES (144095, 9958, 26, 'Mạnh mật khẩu có nghĩa là ít nhất 8 ký tự, và ít nhất ba: một số, chữ viết thường, một ký tự hoa, ký tự đặc biệt.');
INSERT INTO `lang_definitions` VALUES (144096, 9961, 26, 'Kiểu biểu mẫu được sử dụng cho việc thêm bệnh nhân mới');
INSERT INTO `lang_definitions` VALUES (144097, 9965, 26, 'Tiểu thể loại');
INSERT INTO `lang_definitions` VALUES (144098, 9966, 26, 'Tổng phụ');
INSERT INTO `lang_definitions` VALUES (144099, 9967, 26, 'Tiểu thể loại');
INSERT INTO `lang_definitions` VALUES (144100, 9968, 26, 'tiểu thể loại');
INSERT INTO `lang_definitions` VALUES (144101, 9969, 26, 'tiêm dưới da');
INSERT INTO `lang_definitions` VALUES (144102, 9970, 26, 'Tiêu đề');
INSERT INTO `lang_definitions` VALUES (144103, 9971, 26, 'Chủ quan (Subjective)');
INSERT INTO `lang_definitions` VALUES (144104, 9972, 26, 'Ngậm dưới lưỡi');
INSERT INTO `lang_definitions` VALUES (144105, 9973, 26, 'ngậm dưới lưỡi');
INSERT INTO `lang_definitions` VALUES (144106, 9974, 26, 'Gửi');
INSERT INTO `lang_definitions` VALUES (144107, 9975, 26, 'gửi');
INSERT INTO `lang_definitions` VALUES (144108, 9976, 26, 'Gửi Tất cả Nội dung');
INSERT INTO `lang_definitions` VALUES (144109, 9979, 26, 'Gửi Sự kiện');
INSERT INTO `lang_definitions` VALUES (144110, 9980, 26, 'gửi biểu mẫu');
INSERT INTO `lang_definitions` VALUES (144111, 9982, 26, 'Gửi Nội dung Được chọn');
INSERT INTO `lang_definitions` VALUES (144112, 9984, 26, 'Đã gửi');
INSERT INTO `lang_definitions` VALUES (144113, 9985, 26, 'Đã gửi bởi');
INSERT INTO `lang_definitions` VALUES (144114, 9986, 26, 'Số truy cập nộp EDI (PER06)');
INSERT INTO `lang_definitions` VALUES (144115, 9987, 26, 'Người đăng ký');
INSERT INTO `lang_definitions` VALUES (144116, 9988, 26, 'Địa chỉ Người đăng ký');
INSERT INTO `lang_definitions` VALUES (144117, 9992, 26, 'Công ty của Người đăng ký');
INSERT INTO `lang_definitions` VALUES (144118, 9993, 26, 'Công ty của Người đăng ký (SE)');
INSERT INTO `lang_definitions` VALUES (144119, 9994, 26, 'Địa chỉ Công ty của Người đăng ký');
INSERT INTO `lang_definitions` VALUES (144120, 9995, 26, 'Thành phố Công ty của Người đăng ký');
INSERT INTO `lang_definitions` VALUES (144121, 9996, 26, 'Quốc gia của Công ty của Người đăng ký');
INSERT INTO `lang_definitions` VALUES (144122, 9997, 26, 'Tiểu bang của Công ty của Người đăng ký');
INSERT INTO `lang_definitions` VALUES (144123, 10000, 26, 'Mã Zip của Công ty của Người đăng ký');
INSERT INTO `lang_definitions` VALUES (144124, 10005, 26, 'Điện thoại Người đăng ký');
INSERT INTO `lang_definitions` VALUES (144125, 10006, 26, 'Mối quan hệ Với Người đăng ký');
INSERT INTO `lang_definitions` VALUES (144126, 10007, 26, 'Mối quan hệ được chọn không là \"bản thân\" nhưng tên thì giống! Điều này có thực sự ĐÚNG không?');
INSERT INTO `lang_definitions` VALUES (144127, 10008, 26, 'Mối quan hệ được chọn không là \"bản thân\" nhưng số An sinh Xã hội (SS) thì giống!');
INSERT INTO `lang_definitions` VALUES (144128, 10009, 26, 'Mối quan hệ được chọn là \"bản thân\" nhưng tên thì khác! Điều này có thực sự ĐÚNG không?');
INSERT INTO `lang_definitions` VALUES (144129, 10010, 26, 'Mối quan hệ được chọn là \"bản thân\" nhưng số An sinh Xã hội (SS) thì khác!');
INSERT INTO `lang_definitions` VALUES (144130, 10011, 26, 'Giới tính Người đăng ký');
INSERT INTO `lang_definitions` VALUES (144131, 10020, 26, 'Thay thế');
INSERT INTO `lang_definitions` VALUES (144132, 10021, 26, 'cho phép thay thế');
INSERT INTO `lang_definitions` VALUES (144133, 10024, 26, 'Thành công');
INSERT INTO `lang_definitions` VALUES (144134, 10025, 26, 'thành công');
INSERT INTO `lang_definitions` VALUES (144135, 10026, 26, 'Nhận xác nhận thành công của kết quả phòng thí nghiệm');
INSERT INTO `lang_definitions` VALUES (144136, 10027, 26, 'Thành công nhận được kết quả phòng thí nghiệm');
INSERT INTO `lang_definitions` VALUES (144137, 10028, 26, 'Kết quả thành công lấy từ phòng thí nghiệm Exchange Network');
INSERT INTO `lang_definitions` VALUES (144138, 10030, 26, 'Bổ sung thành công thể loại');
INSERT INTO `lang_definitions` VALUES (144139, 10031, 26, 'bổ sung thành công vào loại,');
INSERT INTO `lang_definitions` VALUES (144140, 10033, 26, 'Thành công Đã bị xóa');
INSERT INTO `lang_definitions` VALUES (144141, 10035, 26, 'Cài đặt thành công cơ sở dữ liệu.');
INSERT INTO `lang_definitions` VALUES (144142, 10037, 26, 'Thành công thay đổi');
INSERT INTO `lang_definitions` VALUES (144143, 10039, 26, 'Thành công Saved.Would bạn muốn Phân bổ?');
INSERT INTO `lang_definitions` VALUES (144144, 10040, 26, 'Thành công Saved.Would bạn thích để phân phối?');
INSERT INTO `lang_definitions` VALUES (144145, 10042, 26, 'thành công được lưu trữ.');
INSERT INTO `lang_definitions` VALUES (144146, 10044, 26, 'Nâng cấp thành công cơ sở dữ liệu.');
INSERT INTO `lang_definitions` VALUES (144147, 10046, 26, 'thành công.');
INSERT INTO `lang_definitions` VALUES (144148, 10049, 26, 'Tự tử');
INSERT INTO `lang_definitions` VALUES (144149, 10051, 26, 'Tóm tắt thông tin');
INSERT INTO `lang_definitions` VALUES (144150, 10052, 26, 'Tóm tắt');
INSERT INTO `lang_definitions` VALUES (144151, 10058, 26, 'CN');
INSERT INTO `lang_definitions` VALUES (144152, 10060, 26, 'Chủ Nhật');
INSERT INTO `lang_definitions` VALUES (144153, 10061, 26, 'Superbill');
INSERT INTO `lang_definitions` VALUES (144154, 10062, 26, 'Superbill Codes');
INSERT INTO `lang_definitions` VALUES (144155, 10063, 26, 'Cục Superbill Codes');
INSERT INTO `lang_definitions` VALUES (144156, 10065, 26, 'Superbill Báo cáo');
INSERT INTO `lang_definitions` VALUES (144157, 10068, 26, 'Superbills, đôi khi được gọi là Gặp Các hình thức định tuyến Váy, là một phần thiết yếu của hầu hết các thực hành y tế.');
INSERT INTO `lang_definitions` VALUES (144158, 10069, 26, 'Superuser');
INSERT INTO `lang_definitions` VALUES (144159, 10071, 26, 'Giám sát');
INSERT INTO `lang_definitions` VALUES (144160, 10073, 26, 'Giám sát Doctor DEA');
INSERT INTO `lang_definitions` VALUES (144161, 10074, 26, 'Giám sát tên bác sĩ đầu tiên');
INSERT INTO `lang_definitions` VALUES (144162, 10075, 26, 'Giám sát tên Doctor cuối');
INSERT INTO `lang_definitions` VALUES (144163, 10076, 26, 'Giám sát Doctor NPI');
INSERT INTO `lang_definitions` VALUES (144164, 10077, 26, 'Giám sát Doctor UPIN');
INSERT INTO `lang_definitions` VALUES (144165, 10081, 26, 'Tên nhà cung cấp cơ sở');
INSERT INTO `lang_definitions` VALUES (144166, 10082, 26, 'Hỗ trợ các sự kiện lịch áp dụng cho nhiều nhà cung cấp');
INSERT INTO `lang_definitions` VALUES (144167, 10083, 26, 'Hỗ trợ kết xuất / kết nhập các dữ liệu cấu hình thông qua trang Backup.');
INSERT INTO `lang_definitions` VALUES (144168, 10084, 26, 'Hỗ trợ Sự kiện Nhiều Nhà cung cấp');
INSERT INTO `lang_definitions` VALUES (144169, 10086, 26, 'Hỗ trợ nhà cung cấp trong dòng trong bảng tính phí');
INSERT INTO `lang_definitions` VALUES (144170, 10088, 26, 'Hỗ trợ mã hóa / giải mã TripleDES.');
INSERT INTO `lang_definitions` VALUES (144171, 10090, 26, 'Bề mặt Loại');
INSERT INTO `lang_definitions` VALUES (144172, 10092, 26, 'Phẫu thuật');
INSERT INTO `lang_definitions` VALUES (144173, 10093, 26, 'Phẫu thuật');
INSERT INTO `lang_definitions` VALUES (144174, 10095, 26, 'Đình chỉ');
INSERT INTO `lang_definitions` VALUES (144175, 10096, 26, 'đình chỉ');
INSERT INTO `lang_definitions` VALUES (144176, 10098, 26, 'Svc ngày');
INSERT INTO `lang_definitions` VALUES (144177, 10099, 26, 'Svc ngày:');
INSERT INTO `lang_definitions` VALUES (144178, 10102, 26, 'Đổ mồ hôi:');
INSERT INTO `lang_definitions` VALUES (144179, 10103, 26, 'Thụy Điển');
INSERT INTO `lang_definitions` VALUES (144180, 10104, 26, 'Sưng');
INSERT INTO `lang_definitions` VALUES (144181, 10105, 26, 'Sưng phải');
INSERT INTO `lang_definitions` VALUES (144182, 10106, 26, 'Sưng mối nối');
INSERT INTO `lang_definitions` VALUES (144183, 10107, 26, 'Sưng hạch bạch huyết');
INSERT INTO `lang_definitions` VALUES (144184, 10108, 26, 'Biểu tượng được sử dụng như là điểm thập phân cho tiền tệ. Không được sử dụng nếu số chữ số thập phân là 0.');
INSERT INTO `lang_definitions` VALUES (144185, 10109, 26, 'Dấu hiệu dùng để phân cách hàng ngàn cho tiền tệ.');
INSERT INTO `lang_definitions` VALUES (144186, 10110, 26, 'Các triệu chứng');
INSERT INTO `lang_definitions` VALUES (144187, 10111, 26, 'Đồng bộ hóa');
INSERT INTO `lang_definitions` VALUES (144188, 10112, 26, 'Đồng bộ hóa dịch với bảng ngôn ngữ tùy chỉnh.');
INSERT INTO `lang_definitions` VALUES (144189, 10113, 26, 'Đồng bộ mới tùy chỉnh liên tục:');
INSERT INTO `lang_definitions` VALUES (144190, 10114, 26, 'Đồng bộ mới tùy chỉnh ngôn ngữ:');
INSERT INTO `lang_definitions` VALUES (144191, 10115, 26, 'Đồng bộ mới định nghĩa (Ngôn ngữ, Constant, Definition):');
INSERT INTO `lang_definitions` VALUES (144192, 10116, 26, 'Sự bất tỉnh');
INSERT INTO `lang_definitions` VALUES (144193, 10117, 26, 'Hội chứng giám sát');
INSERT INTO `lang_definitions` VALUES (144194, 10118, 26, 'Hội chứng giám sát không báo cáo vấn đề');
INSERT INTO `lang_definitions` VALUES (144195, 10120, 26, 'Viêm màng hoạt dịch, viêm bao hoạt dịch, va đập');
INSERT INTO `lang_definitions` VALUES (144196, 10121, 26, 'Hệ thống');
INSERT INTO `lang_definitions` VALUES (144197, 10128, 26, 'T');
INSERT INTO `lang_definitions` VALUES (144198, 10130, 26, '3 lần/ngày');
INSERT INTO `lang_definitions` VALUES (144199, 10131, 26, 'T.V.');
INSERT INTO `lang_definitions` VALUES (144200, 10133, 26, 'Bảng');
INSERT INTO `lang_definitions` VALUES (144201, 10137, 26, 'Lỗi khi tạo bảng');
INSERT INTO `lang_definitions` VALUES (144202, 10138, 26, 'Lỗi khi cập nhật bảng');
INSERT INTO `lang_definitions` VALUES (144203, 10140, 26, 'viên');
INSERT INTO `lang_definitions` VALUES (144204, 10146, 26, 'Tiếng Tagal');
INSERT INTO `lang_definitions` VALUES (144205, 10149, 26, 'Hãy');
INSERT INTO `lang_definitions` VALUES (144206, 10151, 26, 'Hãy bảo hiểm, từ trên xuống');
INSERT INTO `lang_definitions` VALUES (144207, 10152, 26, 'Hãy thanh toán Từ, từ trên xuống');
INSERT INTO `lang_definitions` VALUES (144208, 10153, 26, 'Takeback');
INSERT INTO `lang_definitions` VALUES (144209, 10154, 26, 'Đưa dài');
INSERT INTO `lang_definitions` VALUES (144210, 10157, 26, 'Vùng Chuyển hướng Cao');
INSERT INTO `lang_definitions` VALUES (144211, 10164, 26, 'Mục tiêu ngày');
INSERT INTO `lang_definitions` VALUES (144212, 10168, 26, 'Nhóm mục tiêu / Hành động');
INSERT INTO `lang_definitions` VALUES (144213, 10173, 26, 'ID thuế');
INSERT INTO `lang_definitions` VALUES (144214, 10174, 26, 'Thuế suất');
INSERT INTO `lang_definitions` VALUES (144215, 10175, 26, 'Thuế');
INSERT INTO `lang_definitions` VALUES (144216, 10176, 26, 'Phân loại tư duy');
INSERT INTO `lang_definitions` VALUES (144217, 10181, 26, 'Td');
INSERT INTO `lang_definitions` VALUES (144218, 10182, 26, 'Tổng quan về đội ngũ chấn thương');
INSERT INTO `lang_definitions` VALUES (144219, 10183, 26, 'Nhóm Roster');
INSERT INTO `lang_definitions` VALUES (144220, 10184, 26, 'Nhóm Roster Xem');
INSERT INTO `lang_definitions` VALUES (144221, 10185, 26, 'Team / Squad');
INSERT INTO `lang_definitions` VALUES (144222, 10187, 26, 'Điện thoại');
INSERT INTO `lang_definitions` VALUES (144223, 10189, 26, 'Mã điện thoại quốc gia');
INSERT INTO `lang_definitions` VALUES (144224, 10192, 26, 'Nhiệt độ');
INSERT INTO `lang_definitions` VALUES (144225, 10193, 26, 'Vị trí đo Nhiệt độ');
INSERT INTO `lang_definitions` VALUES (144226, 10194, 26, 'Phương pháp đo Nhiệt độ');
INSERT INTO `lang_definitions` VALUES (144227, 10196, 26, 'Nhiệt độ');
INSERT INTO `lang_definitions` VALUES (144228, 10197, 26, 'Khuôn mẫu');
INSERT INTO `lang_definitions` VALUES (144229, 10198, 26, 'Tên Khuôn mẫu');
INSERT INTO `lang_definitions` VALUES (144230, 10199, 26, 'Tên khuôn mẫu không có thể bắt đầu với những con số.');
INSERT INTO `lang_definitions` VALUES (144231, 10201, 26, 'Khuôn mẫu:');
INSERT INTO `lang_definitions` VALUES (144232, 10202, 26, 'Khuôn mẫu');
INSERT INTO `lang_definitions` VALUES (144233, 10205, 26, 'Temporal động mạch');
INSERT INTO `lang_definitions` VALUES (144234, 10208, 26, 'Gân chấn thương');
INSERT INTO `lang_definitions` VALUES (144235, 10209, 26, 'Viêm gân / osis / viêm bao hoạt dịch');
INSERT INTO `lang_definitions` VALUES (144236, 10211, 26, 'Dự kiến ​​Hoá đơn Tài liệu tham khảo');
INSERT INTO `lang_definitions` VALUES (144237, 10213, 26, 'Thứ ba');
INSERT INTO `lang_definitions` VALUES (144238, 10214, 26, 'Bảo hiểm Thứ ba');
INSERT INTO `lang_definitions` VALUES (144239, 10215, 26, 'Dữ liệu Bảo hiểm Thứ ba');
INSERT INTO `lang_definitions` VALUES (144240, 10216, 26, 'Nhà cung cấp Bảo hiểm Thứ ba');
INSERT INTO `lang_definitions` VALUES (144241, 10219, 26, 'Lên kế hoạch Xét nghiệm');
INSERT INTO `lang_definitions` VALUES (144242, 10220, 26, 'Kiểm tra hệ thống');
INSERT INTO `lang_definitions` VALUES (144243, 10223, 26, 'Văn bản');
INSERT INTO `lang_definitions` VALUES (144244, 10224, 26, 'Văn bản Chẩn đoán');
INSERT INTO `lang_definitions` VALUES (144245, 10225, 26, 'Trường văn bản');
INSERT INTO `lang_definitions` VALUES (144246, 10233, 26, 'Text-ngày');
INSERT INTO `lang_definitions` VALUES (144247, 10234, 26, 'văn bản ngày');
INSERT INTO `lang_definitions` VALUES (144248, 10235, 26, 'Textarea');
INSERT INTO `lang_definitions` VALUES (144249, 10236, 26, 'textarea');
INSERT INTO `lang_definitions` VALUES (144250, 10237, 26, 'Textbox');
INSERT INTO `lang_definitions` VALUES (144251, 10238, 26, 'textbox');
INSERT INTO `lang_definitions` VALUES (144252, 10239, 26, 'Hộp danh sách');
INSERT INTO `lang_definitions` VALUES (144253, 10240, 26, 'hộp danh sách');
INSERT INTO `lang_definitions` VALUES (144254, 10241, 26, 'Thái');
INSERT INTO `lang_definitions` VALUES (144255, 10242, 26, 'Cảm ơn');
INSERT INTO `lang_definitions` VALUES (144256, 10245, 26, 'Cảm ơn bạn đã lựa chọn');
INSERT INTO `lang_definitions` VALUES (144257, 10247, 26, 'Các nút \'Clear\' sẽ loại bỏ tất cả các chú thích.');
INSERT INTO `lang_definitions` VALUES (144258, 10254, 26, 'Những tuyên bố trên không thành công');
INSERT INTO `lang_definitions` VALUES (144259, 10264, 26, 'Các máy chủ Apache SSL chứng chỉ và khóa công khai');
INSERT INTO `lang_definitions` VALUES (144260, 10281, 26, 'Giấy chứng nhận Certificate Authority');
INSERT INTO `lang_definitions` VALUES (144261, 10284, 26, 'Các tập tin yêu cầu bồi thường:');
INSERT INTO `lang_definitions` VALUES (144262, 10296, 26, 'Khóa riêng tương ứng');
INSERT INTO `lang_definitions` VALUES (144263, 10322, 26, 'mã tấn công từ chối');
INSERT INTO `lang_definitions` VALUES (144264, 10323, 26, 'mã Nhóm tấn công từ chối');
INSERT INTO `lang_definitions` VALUES (144265, 10328, 26, 'Các hình thức đích đã được đóng lại');
INSERT INTO `lang_definitions` VALUES (144266, 10330, 26, 'Các hình thức đích đã được đóng lại, tôi không thể hành động theo lựa chọn của bạn.');
INSERT INTO `lang_definitions` VALUES (144267, 10346, 26, 'Bảo vệ môi trường, bệnh viện đủ điều kiện hoặc CAH tiếp nhận một bệnh nhân từ một thiết lập khác chăm sóc hoặc nhà cung cấp chăm sóc hoặc tin rằng một cuộc gặp gỡ là có liên quan cần thực hiện hòa giải thuốc.');
INSERT INTO `lang_definitions` VALUES (144268, 10349, 26, 'Bảo vệ môi trường, bệnh viện đủ điều kiện hoặc CAH chuyển tiếp bệnh nhân của họ đến một thiết lập khác chăm sóc hoặc nhà cung cấp chăm sóc hoặc đề cập bệnh nhân của họ đến một nhà cung cấp dịch vụ chăm sóc nên cung cấp bản tóm tắt hồ sơ chăm sóc cho mỗi sự chuyển tiếp chăm sóc hoặc giới thiệu.');
INSERT INTO `lang_definitions` VALUES (144269, 10350, 26, 'Các sự kiện (s) đã được phê duyệt.');
INSERT INTO `lang_definitions` VALUES (144270, 10351, 26, 'Các sự kiện (s) đã được ẩn.');
INSERT INTO `lang_definitions` VALUES (144271, 10352, 26, 'Các dữ liệu xuất khẩu xuất hiện trong vùng văn bản dưới đây. Bạn có thể sao chép và dán nó vào một thư điện tử hoặc bất kỳ điểm đến mong muốn khác.');
INSERT INTO `lang_definitions` VALUES (144272, 10354, 26, 'Các dữ liệu xuất khẩu xuất hiện trong vùng văn bản dưới đây. Bạn có thể sao chép và dán nó vào một thư điện tử hoặc bất kỳ điểm đến mong muốn khác.');
INSERT INTO `lang_definitions` VALUES (144273, 10355, 26, 'Các dữ liệu xuất khẩu xuất hiện trong vùng văn bản dưới đây. Bạn có thể sao chép và dán nó vào một thư điện tử hoặc bất kỳ điểm đến mong muốn khác.');
INSERT INTO `lang_definitions` VALUES (144274, 10359, 26, 'Các tập tin có thể không được thành công đổi tên, lỗi này thường liên quan đến vấn đề quyền truy cập vào hệ thống lưu trữ.');
INSERT INTO `lang_definitions` VALUES (144275, 10380, 26, 'Sự kiện lịch sau đây đã được thêm vào:');
INSERT INTO `lang_definitions` VALUES (144276, 10381, 26, 'Sự kiện lịch sau đây đã được modifed:');
INSERT INTO `lang_definitions` VALUES (144277, 10382, 26, 'Các loại sau đây sẽ được loại bỏ khỏi Danh sách thể loại của bạn');
INSERT INTO `lang_definitions` VALUES (144278, 10383, 26, 'Việc phát hành cơ sở dữ liệu sau đây được cài đặt hiện thời');
INSERT INTO `lang_definitions` VALUES (144279, 10386, 26, 'Các tập tin EDI sau đây đã được tải lên');
INSERT INTO `lang_definitions` VALUES (144280, 10388, 26, 'Thành viên đăng nhập khẩn cấp sau đây được kích hoạt:');
INSERT INTO `lang_definitions` VALUES (144281, 10389, 26, 'Các lỗi sau đây xảy ra');
INSERT INTO `lang_definitions` VALUES (144282, 10392, 26, 'Các lĩnh vực sau đây được yêu cầu');
INSERT INTO `lang_definitions` VALUES (144283, 10394, 26, 'Các lĩnh vực sau đây phải được điền để gửi yêu cầu.');
INSERT INTO `lang_definitions` VALUES (144284, 10406, 26, 'Tên máy của máy ATNA kho kiểm toán.');
INSERT INTO `lang_definitions` VALUES (144285, 10418, 26, 'Cửa sổ ban đầu là trang tìm kiếm hóa đơn. Ở phía trên, bạn có thể nhập vào một nguồn (ví dụ như kiểm tra số), thanh toán ngày và kiểm tra số lượng. Lý do cho các nguồn và ngày trả tiền là để bạn don \'t phải nhập họ và hơn một lần nữa cho mỗi yêu cầu bồi thường. Số tiền mà bạn nhập vào sẽ được giảm cho mỗi hóa đơn được đưa ra một phần thanh toán, và hy vọng sẽ kết thúc tại số không khi bạn đang thực hiện.');
INSERT INTO `lang_definitions` VALUES (144286, 10431, 26, 'Nhãn xuất hiện trên biểu mẫu');
INSERT INTO `lang_definitions` VALUES (144287, 10438, 26, 'Số lượng ký tự không được vượt quá');
INSERT INTO `lang_definitions` VALUES (144288, 10458, 26, 'Thể loại mới sẽ là một thể loại phụ của');
INSERT INTO `lang_definitions` VALUES (144289, 10460, 26, 'Mật khẩu mới không được trùng với mật khẩu hiện tại.');
INSERT INTO `lang_definitions` VALUES (144290, 10461, 26, 'Các ô nhập mật khẩu mới không giống nhau.');
INSERT INTO `lang_definitions` VALUES (144291, 10479, 26, 'Trang làm việc sẽ được chuyển đến Thông tin cá nhân. Bạn có thể sửa ô nhập quốc gia và nhấp chọn NewCorp lại.');
INSERT INTO `lang_definitions` VALUES (144292, 10482, 26, 'Mật khẩu phải có ít nhất tám ký tự, và không nên');
INSERT INTO `lang_definitions` VALUES (144293, 10486, 26, 'Yêu cầu hồ sơ bệnh nhân đã được ghi nhận.');
INSERT INTO `lang_definitions` VALUES (144294, 10487, 26, 'Nhắc nhở bệnh nhân đã được gửi');
INSERT INTO `lang_definitions` VALUES (144295, 10488, 26, 'Nhắc nhở bệnh nhân đã được cập nhật');
INSERT INTO `lang_definitions` VALUES (144296, 10493, 26, 'Các khoản thanh toán được niêm yết không thể đi dưới date.This này đảm bảo rằng sau khi bài báo cáo cuối cùng không ai cho những ngày trước đó.');
INSERT INTO `lang_definitions` VALUES (144297, 10509, 26, 'Các thông tin còn lại dưới đây chỉ áp dụng nếu bạn gửi bài bằng tay, hoặc nếu bạn đang làm điều chỉnh hướng dẫn sử dụng.');
INSERT INTO `lang_definitions` VALUES (144298, 10513, 26, 'Các tài liệu được yêu cầu là không có mặt tại vị trí mong muốn trên hệ thống tập tin hoặc không có đủ quyền để truy cập nó.');
INSERT INTO `lang_definitions` VALUES (144299, 10537, 26, 'Cột Source và ngày được sao chép từ trang đầu tiên, do đó, thông thường bạn sẽ không cần phải chạm vào những người. Bạn có thể đặt một số tiền thanh toán trong cột phải trả tiền, số tiền điều chỉnh trong cột Điều chỉnh, hoặc cả hai. Bạn cũng có thể nhấp vào \"W\" ở bên phải để tự động tính toán một giá trị điều chỉnh mà viết phần còn lại của phí cho khoản mục đó.');
INSERT INTO `lang_definitions` VALUES (144300, 10557, 26, 'Granularity thời gian của lịch và khoảng thời gian nhỏ nhất trong vài phút cho một khe cắm hẹn.');
INSERT INTO `lang_definitions` VALUES (144301, 10562, 26, 'Nhãn dịch sẽ xuất hiện trên hình thức trong ngôn ngữ hiện tại');
INSERT INTO `lang_definitions` VALUES (144302, 10563, 26, 'Tiêu đề dịch sẽ xuất hiện trong ngôn ngữ hiện tại');
INSERT INTO `lang_definitions` VALUES (144303, 10564, 26, 'Bản dịch của mô tả trong ngôn ngữ hiện tại');
INSERT INTO `lang_definitions` VALUES (144304, 10565, 26, 'Các bảng dịch được đồng bộ.');
INSERT INTO `lang_definitions` VALUES (144305, 10566, 26, 'Các loại thực thể này');
INSERT INTO `lang_definitions` VALUES (144306, 10586, 26, 'Mã nhà cung cấp cụ thể xác định thủ tục này hoặc kết quả');
INSERT INTO `lang_definitions` VALUES (144307, 10591, 26, 'Các X12 tập tin cũng như các báo cáo kết quả đầu ra HTML được lưu trữ trong \"kỷ nguyên\" thư mục con của thư mục cài đặt chính OpenEMR. Bạn sẽ muốn tham khảo những lưu trữ theo thời gian. URL là');
INSERT INTO `lang_definitions` VALUES (144308, 10593, 26, 'Các tập tin zip sẽ bao gồm các mục sau đây');
INSERT INTO `lang_definitions` VALUES (144309, 10594, 26, 'Bảng màu');
INSERT INTO `lang_definitions` VALUES (144310, 10601, 26, 'Điều trị tiêm');
INSERT INTO `lang_definitions` VALUES (144311, 10607, 26, 'Có');
INSERT INTO `lang_definitions` VALUES (144312, 10610, 26, 'Hiện tại không có quy định');
INSERT INTO `lang_definitions` VALUES (144313, 10611, 26, 'Có lỗi với trình của bạn. Chúng được nêu dưới đây.');
INSERT INTO `lang_definitions` VALUES (144314, 10616, 26, 'Không có bảng xếp hạng đã kiểm tra ra.');
INSERT INTO `lang_definitions` VALUES (144315, 10618, 26, 'Không có tiết lộ nào được thu âm cho bệnh nhân này.');
INSERT INTO `lang_definitions` VALUES (144316, 10621, 26, 'Không có phản hồi và những đề nghị, gợi ý mới');
INSERT INTO `lang_definitions` VALUES (144317, 10622, 26, 'Không có ghi chú trong hồ sơ của bệnh nhân này.');
INSERT INTO `lang_definitions` VALUES (144318, 10624, 26, 'Không có giao dịch trong hồ sơ của bệnh nhân này.');
INSERT INTO `lang_definitions` VALUES (144319, 10627, 26, 'Có thể có ba hành động - Tạo Nhắc nhở Theo ngày Mới, Chuyển tiếp, và Đặt Là Hoàn thành');
INSERT INTO `lang_definitions` VALUES (144320, 10639, 26, 'Hiện đã có một lỗi khi gửi thư đến');
INSERT INTO `lang_definitions` VALUES (144321, 10642, 26, 'Đã có một thể loại được đặt tên là');
INSERT INTO `lang_definitions` VALUES (144322, 10643, 26, 'Đã là một tiểu thể loại có tên là');
INSERT INTO `lang_definitions` VALUES (144323, 10644, 26, 'Đã có một mục được đặt tên là');
INSERT INTO `lang_definitions` VALUES (144324, 10645, 26, 'Đã có một yêu cầu mở hồ sơ bệnh nhân.');
INSERT INTO `lang_definitions` VALUES (144325, 10646, 26, 'Không có mục COA cho AR tài khoản');
INSERT INTO `lang_definitions` VALUES (144326, 10647, 26, 'Không có mục COA cho tài khoản tiền mặt');
INSERT INTO `lang_definitions` VALUES (144327, 10648, 26, 'Không có mục COA cho tài khoản thu nhập');
INSERT INTO `lang_definitions` VALUES (144328, 10649, 26, 'Không có bệnh nhân hiện tại');
INSERT INTO `lang_definitions` VALUES (144329, 10651, 26, 'Không có trận đấu cho id hóa đơn');
INSERT INTO `lang_definitions` VALUES (144330, 10652, 26, 'Không có trận đấu cho id hóa đơn =');
INSERT INTO `lang_definitions` VALUES (144331, 10653, 26, 'Có bộ phận không có mục nhập cho các dịch vụ ID');
INSERT INTO `lang_definitions` VALUES (144332, 10656, 26, 'Có lỗi trong quá trình xử lý yêu cầu của bạn.');
INSERT INTO `lang_definitions` VALUES (144333, 10682, 26, 'Dày phải:');
INSERT INTO `lang_definitions` VALUES (144334, 10683, 26, 'Đùi');
INSERT INTO `lang_definitions` VALUES (144335, 10684, 26, 'Đùi + chấn thương gân kheo');
INSERT INTO `lang_definitions` VALUES (144336, 10686, 26, 'Những điều đó trở lại văn phòng có thể đọc và nhập nhưng không thay đổi');
INSERT INTO `lang_definitions` VALUES (144337, 10687, 26, 'Những điều mà trở lại văn phòng có thể đọc và sửa đổi');
INSERT INTO `lang_definitions` VALUES (144338, 10690, 26, 'Những điều mà các bác sĩ lâm sàng có thể đọc và nhập nhưng không thay đổi');
INSERT INTO `lang_definitions` VALUES (144339, 10691, 26, 'Những điều mà các bác sĩ lâm sàng có thể đọc và sửa đổi');
INSERT INTO `lang_definitions` VALUES (144340, 10694, 26, 'Những điều mà tân có thể đọc và nhập nhưng không thay đổi');
INSERT INTO `lang_definitions` VALUES (144341, 10695, 26, 'Những điều mà trước văn phòng có thể đọc và sửa đổi');
INSERT INTO `lang_definitions` VALUES (144342, 10698, 26, 'Những điều mà bác sĩ có thể đọc và nhập nhưng không thay đổi');
INSERT INTO `lang_definitions` VALUES (144343, 10699, 26, 'Những điều mà các bác sĩ có thể đọc và sửa đổi');
INSERT INTO `lang_definitions` VALUES (144344, 10701, 26, 'Thứ ba');
INSERT INTO `lang_definitions` VALUES (144345, 10704, 26, 'Hành động này KHÔNG THỂ được hoàn tác.');
INSERT INTO `lang_definitions` VALUES (144346, 10705, 26, 'Hành động này không thể được hoàn tác.');
INSERT INTO `lang_definitions` VALUES (144347, 10707, 26, 'Hành động này sẽ được ghi nhận');
INSERT INTO `lang_definitions` VALUES (144348, 10714, 26, 'Năm Nay');
INSERT INTO `lang_definitions` VALUES (144349, 10717, 26, 'Tuyên bố này đã được denied.Reason:');
INSERT INTO `lang_definitions` VALUES (144350, 10718, 26, 'Tuyên bố này đã được chuyển tiếp đến cấp độ tiếp theo.');
INSERT INTO `lang_definitions` VALUES (144351, 10725, 26, 'Đây là loại mã không chấp nhận mối quan hệ.');
INSERT INTO `lang_definitions` VALUES (144352, 10727, 26, 'Bối cảnh này có chứa các loại, trong đó sẽ bị xóa. Bạn vẫn muốn tiếp tục không?');
INSERT INTO `lang_definitions` VALUES (144353, 10730, 26, 'Điều này xác định các cuộc hẹn hiển thị trên lịch.');
INSERT INTO `lang_definitions` VALUES (144354, 10731, 26, 'Điều này xác định lược đồ màu sắc được sử dụng cho cuộc hẹn');
INSERT INTO `lang_definitions` VALUES (144355, 10734, 26, 'Lần khám Này');
INSERT INTO `lang_definitions` VALUES (144356, 10735, 26, 'Đã lập hóa đơn cho lần khám này. Nếu bạn cần phải thay nó, bạn phải xóa lần tính tiền.');
INSERT INTO `lang_definitions` VALUES (144357, 10740, 26, 'Chưa có tính năng này');
INSERT INTO `lang_definitions` VALUES (144358, 10742, 26, 'Tính năng này là rất thử nghiệm và không kiểm tra đầy đủ. Sử dụng tại rủi ro của riêng bạn!');
INSERT INTO `lang_definitions` VALUES (144359, 10753, 26, 'Số hóa đơn này đã được thay đổi thành');
INSERT INTO `lang_definitions` VALUES (144360, 10784, 26, 'vị trí này');
INSERT INTO `lang_definitions` VALUES (144361, 10789, 26, 'Module này là ở chế độ thử nghiệm. Cơ sở dữ liệu sẽ không được thay đổi.');
INSERT INTO `lang_definitions` VALUES (144362, 10792, 26, 'Module này thúc đẩy mục hiệu quả dữ liệu EOB.');
INSERT INTO `lang_definitions` VALUES (144363, 10793, 26, 'Đầu Tháng đến Nay');
INSERT INTO `lang_definitions` VALUES (144364, 10801, 26, 'Trang này nội tuyến sẽ bao gồm các trang đăng nhập, do đó chúng tôi không phải bấm login lần sau mỗi khi.');
INSERT INTO `lang_definitions` VALUES (144365, 10804, 26, 'Bệnh nhân này không có hoạt động.');
INSERT INTO `lang_definitions` VALUES (144366, 10805, 26, 'ID bệnh nhân đã được sử dụng!');
INSERT INTO `lang_definitions` VALUES (144367, 10807, 26, 'Sản phẩm này chỉ cho phép một trong rất nhiều mỗi kho.');
INSERT INTO `lang_definitions` VALUES (144368, 10821, 26, 'Bước này sẽ tạo ra một tập tin mà bạn có để tiết kiệm để sử dụng trong tương lai. Các tập tin không thể được tạo ra một lần nữa. Bạn có muốn tiếp tục?');
INSERT INTO `lang_definitions` VALUES (144369, 10822, 26, 'Người dùng này không phải là một thành viên của nhóm nào');
INSERT INTO `lang_definitions` VALUES (144370, 10826, 26, 'Chuyến viếng thăm này bắt đầu sử dụng biện pháp tránh thai mới');
INSERT INTO `lang_definitions` VALUES (144371, 10827, 26, 'Chuyến thăm này sẽ cần một dịch vụ, giới thiệu hình thức hoặc thủ tục GCAC.');
INSERT INTO `lang_definitions` VALUES (144372, 10828, 26, 'Đây từng là biểu mẫu Thể trạng cũ chỉ theo hệ mét, giờ không còn phù hợp.');
INSERT INTO `lang_definitions` VALUES (144373, 10829, 26, 'Đầu Tuần đến Nay');
INSERT INTO `lang_definitions` VALUES (144374, 10831, 26, 'Điều này sẽ kích hoạt việc báo cáo CCR (Hồ sơ Sự liên tục Chăm sóc) và CCD (Tài liệu Sự liên tục Chăm sóc).');
INSERT INTO `lang_definitions` VALUES (144375, 10834, 26, 'Điều này sẽ cho phép lựa chọn của việc ngôn ngữ gỡ lỗi (\'giả\').');
INSERT INTO `lang_definitions` VALUES (144376, 10843, 26, 'Điều này sẽ tạo ra một bản sao lưu ở định dạng tar và sau đó gửi nó đến trình duyệt web của bạn để bạn có thể lưu nó');
INSERT INTO `lang_definitions` VALUES (144377, 10844, 26, 'Điều này sẽ tắt các tính năng mã hóa và giải mã tài liệu, và giấu chúng trong giao diện người dùng.');
INSERT INTO `lang_definitions` VALUES (144378, 10854, 26, 'Điều này sẽ buộc các Thành phần Hóa đơn trong màn hình Tóm tắt Bệnh nhân luôn luôn được mở.');
INSERT INTO `lang_definitions` VALUES (144379, 10867, 26, 'Điều này sẽ sử dụng danh sách chủng ngừa tùy chỉnh hơn là danh sách tiêm chủng CVX tiêu chuẩn.');
INSERT INTO `lang_definitions` VALUES (144380, 10871, 26, 'Lồng ngực cột sống');
INSERT INTO `lang_definitions` VALUES (144381, 10873, 26, 'Nghìn / CU.MM');
INSERT INTO `lang_definitions` VALUES (144382, 10878, 26, 'Cổ họng');
INSERT INTO `lang_definitions` VALUES (144383, 10879, 26, 'Cổ họng ung thư');
INSERT INTO `lang_definitions` VALUES (144384, 10880, 26, 'Cổ họng ung thư phẫu thuật');
INSERT INTO `lang_definitions` VALUES (144385, 10881, 26, 'Huyết khối / Tai biến mạch máu não');
INSERT INTO `lang_definitions` VALUES (144386, 10882, 26, 'Thứ 5');
INSERT INTO `lang_definitions` VALUES (144387, 10884, 26, 'Thứ Năm');
INSERT INTO `lang_definitions` VALUES (144388, 10885, 26, 'Thứ Năm');
INSERT INTO `lang_definitions` VALUES (144389, 10887, 26, 'Tuyến giáp bình thường');
INSERT INTO `lang_definitions` VALUES (144390, 10888, 26, 'Tuyến giáp vấn đề');
INSERT INTO `lang_definitions` VALUES (144391, 10890, 26, 'TIA');
INSERT INTO `lang_definitions` VALUES (144392, 10892, 26, 'TID');
INSERT INTO `lang_definitions` VALUES (144393, 10902, 26, 'Thời gian');
INSERT INTO `lang_definitions` VALUES (144394, 10903, 26, 'Định dạng Hiển thị Thời gian');
INSERT INTO `lang_definitions` VALUES (144395, 10904, 26, 'Tăng thời gian cho Add (phút 1-60)');
INSERT INTO `lang_definitions` VALUES (144396, 10905, 26, 'Thời gian lựa chọn');
INSERT INTO `lang_definitions` VALUES (144397, 10913, 26, 'Đặt thời gian sự kiện');
INSERT INTO `lang_definitions` VALUES (144398, 10914, 26, 'Times mảng (N / A)');
INSERT INTO `lang_definitions` VALUES (144399, 10915, 26, 'Dấu thời gian và Tiêu đề');
INSERT INTO `lang_definitions` VALUES (144400, 10917, 26, 'TIN');
INSERT INTO `lang_definitions` VALUES (144401, 10918, 26, 'Ù tai');
INSERT INTO `lang_definitions` VALUES (144402, 10920, 26, 'Danh xưng');
INSERT INTO `lang_definitions` VALUES (144403, 10923, 26, 'Tiêu đề V');
INSERT INTO `lang_definitions` VALUES (144404, 10924, 26, 'TitleCols phải là một số giữa 1 và 999');
INSERT INTO `lang_definitions` VALUES (144405, 10925, 26, 'Danh xưng');
INSERT INTO `lang_definitions` VALUES (144406, 10926, 26, 'TM \'S:');
INSERT INTO `lang_definitions` VALUES (144407, 10927, 26, 'TMS / EAMs / EE, ext mũi');
INSERT INTO `lang_definitions` VALUES (144408, 10928, 26, 'Đến');
INSERT INTO `lang_definitions` VALUES (144409, 10929, 26, 'để');
INSERT INTO `lang_definitions` VALUES (144410, 10930, 26, 'ĐẾN');
INSERT INTO `lang_definitions` VALUES (144411, 10931, 26, 'đường dẫn tuyệt đối của tập tin');
INSERT INTO `lang_definitions` VALUES (144412, 10936, 26, 'Để thêm ghi chú, xin vui lòng bấm vào');
INSERT INTO `lang_definitions` VALUES (144413, 10937, 26, 'Để thêm ghi chú, xin vui lòng nhấn vào đây');
INSERT INTO `lang_definitions` VALUES (144414, 10938, 26, 'Vùng bị ảnh hưởng');
INSERT INTO `lang_definitions` VALUES (144415, 10939, 26, 'khu vực bị ảnh hưởng');
INSERT INTO `lang_definitions` VALUES (144416, 10942, 26, 'Để tự động mở hình thức quy định. Một số đội thể thao sử dụng football_injury_audit ở đây.');
INSERT INTO `lang_definitions` VALUES (144417, 10944, 26, 'Thanh toán Xem');
INSERT INTO `lang_definitions` VALUES (144418, 10945, 26, 'vào thể loại');
INSERT INTO `lang_definitions` VALUES (144419, 10947, 26, 'Xem lâm sàng');
INSERT INTO `lang_definitions` VALUES (144420, 10949, 26, 'Để tiền phụ phí');
INSERT INTO `lang_definitions` VALUES (144421, 10953, 26, 'Để ded\'ble');
INSERT INTO `lang_definitions` VALUES (144422, 10956, 26, 'Để DEMs');
INSERT INTO `lang_definitions` VALUES (144423, 10958, 26, 'Vô hiệu hoá SSL giấy chứng nhận phía khách hàng, nhận xét trên dòng trong tập tin cấu hình Apache và thiết lập');
INSERT INTO `lang_definitions` VALUES (144424, 10960, 26, 'Vô hiệu hóa HTTPS, bình luận những dòng trên trong tập tin cấu hình Apache và khởi động lại máy chủ Apache.');
INSERT INTO `lang_definitions` VALUES (144425, 10965, 26, 'Để kích hoạt tính năng Khách hàng bên ssl giấy chứng nhận');
INSERT INTO `lang_definitions` VALUES (144426, 10966, 26, 'Kích hoạt tính năng Khách hàng bên xác thực giấy chứng nhận SSL, HTTPS được kích hoạt.');
INSERT INTO `lang_definitions` VALUES (144427, 10970, 26, 'Để kích hoạt HTTPS chỉ, thực hiện các thay đổi trên và khởi động lại máy chủ Apache. Nếu bạn muốn cấu hình giấy chứng nhận phía khách hàng, xin vui lòng cấu hình chúng trong phần tiếp theo.');
INSERT INTO `lang_definitions` VALUES (144428, 10972, 26, 'Để Enctr');
INSERT INTO `lang_definitions` VALUES (144429, 10973, 26, 'Để lọc theo giới tính');
INSERT INTO `lang_definitions` VALUES (144430, 10980, 26, 'Lịch Sử');
INSERT INTO `lang_definitions` VALUES (144431, 10982, 26, 'Để vấn đề');
INSERT INTO `lang_definitions` VALUES (144432, 10984, 26, 'Để liên kết lần khám / tư vấn này đến ​​một rắc rối hiện tại, hãy nhấp vào');
INSERT INTO `lang_definitions` VALUES (144433, 10985, 26, 'Để liên kết lần khám / tư vấn này đến ​​một rắc rối hiện tại, hãy nhấp vào rắc rối ở trên để đánh dấu nó rồi nhấn [Lưu]. Giữ [Ctrl] để chọn nhiều rắc rối.');
INSERT INTO `lang_definitions` VALUES (144434, 10987, 26, 'để đăng nhập lại');
INSERT INTO `lang_definitions` VALUES (144435, 10992, 26, 'Để ghi lại sự tiết lộ, xin vui lòng bấm vào');
INSERT INTO `lang_definitions` VALUES (144436, 10997, 26, 'để chạy');
INSERT INTO `lang_definitions` VALUES (144437, 11001, 26, 'Để thiết lập truy cập https với xác thực có chứng chỉ của khách hàng, hãy làm như sau');
INSERT INTO `lang_definitions` VALUES (144438, 11002, 26, 'Lên Da');
INSERT INTO `lang_definitions` VALUES (144439, 11003, 26, 'lên da');
INSERT INTO `lang_definitions` VALUES (144440, 11005, 26, 'lần đến này?');
INSERT INTO `lang_definitions` VALUES (144441, 11010, 26, 'Gửi:');
INSERT INTO `lang_definitions` VALUES (144442, 11011, 26, 'Gửi:');
INSERT INTO `lang_definitions` VALUES (144443, 11012, 26, 'TO_CITY');
INSERT INTO `lang_definitions` VALUES (144444, 11013, 26, 'TO_FAX');
INSERT INTO `lang_definitions` VALUES (144445, 11014, 26, 'TO_FNAME');
INSERT INTO `lang_definitions` VALUES (144446, 11015, 26, 'TO_LNAME');
INSERT INTO `lang_definitions` VALUES (144447, 11016, 26, 'TO_MNAME');
INSERT INTO `lang_definitions` VALUES (144448, 11017, 26, 'TO_ORGANIZATION');
INSERT INTO `lang_definitions` VALUES (144449, 11020, 26, 'TO_POSTAL');
INSERT INTO `lang_definitions` VALUES (144450, 11021, 26, 'TO_STATE');
INSERT INTO `lang_definitions` VALUES (144451, 11022, 26, 'TO_STREET');
INSERT INTO `lang_definitions` VALUES (144452, 11023, 26, 'TO_TITLE');
INSERT INTO `lang_definitions` VALUES (144453, 11024, 26, 'TO_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (144454, 11025, 26, 'Thuốc lá');
INSERT INTO `lang_definitions` VALUES (144455, 11026, 26, 'Can thiệp Ngưng hút Thuốc lá');
INSERT INTO `lang_definitions` VALUES (144456, 11027, 26, 'Can thiệp Ngưng hút Thuốc lá (CQM)');
INSERT INTO `lang_definitions` VALUES (144457, 11028, 26, 'Hút thuốc lá');
INSERT INTO `lang_definitions` VALUES (144458, 11030, 26, 'Đánh giá Việc hút Thuốc lá');
INSERT INTO `lang_definitions` VALUES (144459, 11031, 26, 'Đánh giá Việc hút Thuốc lá (CQM)');
INSERT INTO `lang_definitions` VALUES (144460, 11032, 26, 'Hôm nay');
INSERT INTO `lang_definitions` VALUES (144461, 11033, 26, 'TODAY');
INSERT INTO `lang_definitions` VALUES (144462, 11034, 26, 'hôm nay');
INSERT INTO `lang_definitions` VALUES (144463, 11035, 26, 'Cân đối trong Hôm nay');
INSERT INTO `lang_definitions` VALUES (144464, 11036, 26, 'Tiền công trong Hôm nay');
INSERT INTO `lang_definitions` VALUES (144465, 11037, 26, 'Ngày Hôm nay');
INSERT INTO `lang_definitions` VALUES (144466, 11038, 26, 'Sự kiện trong Hôm nay');
INSERT INTO `lang_definitions` VALUES (144467, 11045, 26, 'Token ID for the OpenEMR Support LLC Lab Exchange Service.');
INSERT INTO `lang_definitions` VALUES (144468, 11047, 26, 'Thuật cắt hạch (Tonsillectomy)');
INSERT INTO `lang_definitions` VALUES (144469, 11050, 26, 'Trên');
INSERT INTO `lang_definitions` VALUES (144470, 11053, 26, 'Chủ đề');
INSERT INTO `lang_definitions` VALUES (144471, 11054, 26, 'Tổng số');
INSERT INTO `lang_definitions` VALUES (144472, 11055, 26, 'tổng số');
INSERT INTO `lang_definitions` VALUES (144473, 11056, 26, 'Tổng số hành động có hiệu lực');
INSERT INTO `lang_definitions` VALUES (144474, 11057, 26, 'Tổng số lời nhắc có hiệu lực sau khi cập nhật');
INSERT INTO `lang_definitions` VALUES (144475, 11058, 26, 'Tổng số lời nhắc có hiệu lực trước khi cập nhật');
INSERT INTO `lang_definitions` VALUES (144476, 11060, 26, 'Tổng số tiền còn thiếu');
INSERT INTO `lang_definitions` VALUES (144477, 11061, 26, 'Tổng số Tiền đã Thanh toán');
INSERT INTO `lang_definitions` VALUES (144478, 11063, 26, 'Tổng số Tiền');
INSERT INTO `lang_definitions` VALUES (144479, 11064, 26, 'Tổng số Tiền');
INSERT INTO `lang_definitions` VALUES (144480, 11065, 26, 'Tổng số Khách hàng');
INSERT INTO `lang_definitions` VALUES (144481, 11067, 26, 'Tổng số Chi phí');
INSERT INTO `lang_definitions` VALUES (144482, 11068, 26, 'Tổng phân phối cho các số kiểm tra sau đây là không đầy đủ');
INSERT INTO `lang_definitions` VALUES (144483, 11070, 26, 'Tổng số nhắc nhở không được gửi qua email');
INSERT INTO `lang_definitions` VALUES (144484, 11071, 26, 'Tổng số nhắc nhở không được gửi qua điện thoại');
INSERT INTO `lang_definitions` VALUES (144485, 11072, 26, 'Tổng số cho');
INSERT INTO `lang_definitions` VALUES (144486, 11073, 26, 'Tổng số cho');
INSERT INTO `lang_definitions` VALUES (144487, 11074, 26, 'Tổng cộng cho thể loại');
INSERT INTO `lang_definitions` VALUES (144488, 11075, 26, 'Tổng bất hoạt nhắc nhở');
INSERT INTO `lang_definitions` VALUES (144489, 11078, 26, 'Tổng mới nhắc nhở');
INSERT INTO `lang_definitions` VALUES (144490, 11081, 26, 'Tổng số của Chích ngừa');
INSERT INTO `lang_definitions` VALUES (144491, 11082, 26, 'Tổng số các vấn đề');
INSERT INTO `lang_definitions` VALUES (144492, 11084, 26, 'Tổng số của bệnh nhân');
INSERT INTO `lang_definitions` VALUES (144493, 11087, 26, 'Tổng số bệnh nhân cân bằng');
INSERT INTO `lang_definitions` VALUES (144494, 11089, 26, 'Tổng số bệnh nhân');
INSERT INTO `lang_definitions` VALUES (144495, 11093, 26, 'Hồ sơ Tổng số được tìm thấy');
INSERT INTO `lang_definitions` VALUES (144496, 11095, 26, 'Tổng số SRH & Kế hoạch hoá gia đình');
INSERT INTO `lang_definitions` VALUES (144497, 11096, 26, 'Tổng số thành công nhắc nhở gửi qua email');
INSERT INTO `lang_definitions` VALUES (144498, 11097, 26, 'Tổng số thành công nhắc nhở gửi qua điện thoại');
INSERT INTO `lang_definitions` VALUES (144499, 11100, 26, 'Tổng không thay đổi nhắc nhở');
INSERT INTO `lang_definitions` VALUES (144500, 11101, 26, 'Tổng số tin nhắn chưa gửi nhắc nhở quá trình sau khi gửi');
INSERT INTO `lang_definitions` VALUES (144501, 11102, 26, 'Tổng số tin nhắn chưa gửi nhắc nhở sau khi cập nhật');
INSERT INTO `lang_definitions` VALUES (144502, 11103, 26, 'Tổng số tin nhắn chưa gửi nhắc nhở quá trình trước khi gửi');
INSERT INTO `lang_definitions` VALUES (144503, 11104, 26, 'Tổng số tin nhắn chưa gửi nhắc nhở trước khi cập nhật');
INSERT INTO `lang_definitions` VALUES (144504, 11105, 26, 'Tổng số cập nhật nhắc nhở');
INSERT INTO `lang_definitions` VALUES (144505, 11106, 26, 'Tổng số');
INSERT INTO `lang_definitions` VALUES (144506, 11107, 26, 'Tổng số của');
INSERT INTO `lang_definitions` VALUES (144507, 11108, 26, 'Tổng số của');
INSERT INTO `lang_definitions` VALUES (144508, 11135, 26, 'Đào tạo Loại');
INSERT INTO `lang_definitions` VALUES (144509, 11136, 26, 'Giao dịch');
INSERT INTO `lang_definitions` VALUES (144510, 11137, 26, 'Giao dịch');
INSERT INTO `lang_definitions` VALUES (144511, 11138, 26, 'giao dịch');
INSERT INTO `lang_definitions` VALUES (144512, 11139, 26, 'Giao dịch không thành công, không đủ số lượng trong rất nhiều điểm đến');
INSERT INTO `lang_definitions` VALUES (144513, 11140, 26, 'Giao dịch không thành công, số lượng ít hơn không');
INSERT INTO `lang_definitions` VALUES (144514, 11142, 26, 'Giao dịch loại');
INSERT INTO `lang_definitions` VALUES (144515, 11143, 26, 'Giao dịch');
INSERT INTO `lang_definitions` VALUES (144516, 11144, 26, 'giao dịch');
INSERT INTO `lang_definitions` VALUES (144517, 11145, 26, 'Giao dịch (viết tùy chọn)');
INSERT INTO `lang_definitions` VALUES (144518, 11151, 26, 'Các giao dịch / Giới thiệu tham gia');
INSERT INTO `lang_definitions` VALUES (144519, 11153, 26, 'Chuyển');
INSERT INTO `lang_definitions` VALUES (144520, 11155, 26, 'Chuyển giao không thành công, không đủ số lượng trong rất nhiều nguồn');
INSERT INTO `lang_definitions` VALUES (144521, 11160, 26, 'Chuyển');
INSERT INTO `lang_definitions` VALUES (144522, 11162, 26, 'Chuyển tiếp / Chuyển hay Chăm sóc?');
INSERT INTO `lang_definitions` VALUES (144523, 11163, 26, 'Dịch Nhóm Điều khiển Truy nhập');
INSERT INTO `lang_definitions` VALUES (144524, 11164, 26, 'Dịch Thể loại Cuộc hẹn');
INSERT INTO `lang_definitions` VALUES (144525, 11165, 26, 'Dịch Thể loại Tài liệu');
INSERT INTO `lang_definitions` VALUES (144526, 11166, 26, 'Dịch các Bố trí');
INSERT INTO `lang_definitions` VALUES (144527, 11167, 26, 'Dịch các Danh sách');
INSERT INTO `lang_definitions` VALUES (144528, 11168, 26, 'Dịch Tựa đề Ghi chú cho Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (144529, 11169, 26, 'dịch cái này');
INSERT INTO `lang_definitions` VALUES (144530, 11170, 26, 'Bản dịch');
INSERT INTO `lang_definitions` VALUES (144531, 11171, 26, 'Bản dịch');
INSERT INTO `lang_definitions` VALUES (144532, 11179, 26, 'Chấn thương');
INSERT INTO `lang_definitions` VALUES (144533, 11180, 26, 'Điều trị');
INSERT INTO `lang_definitions` VALUES (144534, 11182, 26, 'Điều trị Mục tiêu');
INSERT INTO `lang_definitions` VALUES (144535, 11183, 26, 'Điều trị Kế hoạch');
INSERT INTO `lang_definitions` VALUES (144536, 11186, 26, 'Điều trị:');
INSERT INTO `lang_definitions` VALUES (144537, 11187, 26, 'Điều trị:');
INSERT INTO `lang_definitions` VALUES (144538, 11189, 26, 'Mở');
INSERT INTO `lang_definitions` VALUES (144539, 11190, 26, 'trftime (month_format, mktime (0, 0, 0, $ i, 1, 2000))); $ month_value');
INSERT INTO `lang_definitions` VALUES (144540, 11195, 26, 'Điểm kích hoạt / hội chứng ngăn / DOMS / chuột rút');
INSERT INTO `lang_definitions` VALUES (144541, 11196, 26, 'Trimalleolar');
INSERT INTO `lang_definitions` VALUES (144542, 11199, 26, 'Trunk và bụng');
INSERT INTO `lang_definitions` VALUES (144543, 11205, 26, 'muỗng cà phê');
INSERT INTO `lang_definitions` VALUES (144544, 11207, 26, 'TTS');
INSERT INTO `lang_definitions` VALUES (144545, 11208, 26, 'Bệnh lao');
INSERT INTO `lang_definitions` VALUES (144546, 11209, 26, 'Thứ 3');
INSERT INTO `lang_definitions` VALUES (144547, 11210, 26, 'Thứ 3 & Thứ 5');
INSERT INTO `lang_definitions` VALUES (144548, 11211, 26, 'Thứ Ba');
INSERT INTO `lang_definitions` VALUES (144549, 11212, 26, 'Ung bướu');
INSERT INTO `lang_definitions` VALUES (144550, 11213, 26, 'Tiếng Thổ Nhĩ Kỳ');
INSERT INTO `lang_definitions` VALUES (144551, 11222, 26, 'hai lần mỗi ngày');
INSERT INTO `lang_definitions` VALUES (144552, 11226, 26, 'Màng nhi');
INSERT INTO `lang_definitions` VALUES (144553, 11227, 26, 'Loại');
INSERT INTO `lang_definitions` VALUES (144554, 11231, 26, 'Id Loại Name.3 tối thiểu ký tự (bao gồm cả khoảng trắng).');
INSERT INTO `lang_definitions` VALUES (144555, 11238, 26, 'Loại cột hiển thị kết quả tìm kiếm bệnh nhân');
INSERT INTO `lang_definitions` VALUES (144556, 11239, 26, 'Loại của Công bố');
INSERT INTO `lang_definitions` VALUES (144557, 11240, 26, 'Loại sự kiện');
INSERT INTO `lang_definitions` VALUES (144558, 11242, 26, 'Loại bố trí màn hình');
INSERT INTO `lang_definitions` VALUES (144559, 11243, 26, 'Nhập hoặc quét nhận dạng bệnh nhân ở đây');
INSERT INTO `lang_definitions` VALUES (144560, 11249, 26, 'Các loại đơn Đặt hàng và Kết quả');
INSERT INTO `lang_definitions` VALUES (144561, 11270, 26, 'UCSMC mã được cung cấp bởi Đại học Calgary Trung tâm Y học Thể Thao');
INSERT INTO `lang_definitions` VALUES (144562, 11272, 26, 'Loét');
INSERT INTO `lang_definitions` VALUES (144563, 11273, 26, 'Viêm loét đại tràng');
INSERT INTO `lang_definitions` VALUES (144564, 11274, 26, 'Loét:');
INSERT INTO `lang_definitions` VALUES (144565, 11278, 26, 'Không thể để tạo ra');
INSERT INTO `lang_definitions` VALUES (144566, 11291, 26, 'Chưa được áp dụng');
INSERT INTO `lang_definitions` VALUES (144567, 11292, 26, 'Chưa chọn');
INSERT INTO `lang_definitions` VALUES (144568, 11294, 26, 'Truy cập trái phép để ePrescription');
INSERT INTO `lang_definitions` VALUES (144569, 11295, 26, 'Truy cập trái phép.');
INSERT INTO `lang_definitions` VALUES (144570, 11297, 26, 'Unbilled Chỉ');
INSERT INTO `lang_definitions` VALUES (144571, 11300, 26, 'dưới lưỡi');
INSERT INTO `lang_definitions` VALUES (144572, 11303, 26, 'Thiếu cân');
INSERT INTO `lang_definitions` VALUES (144573, 11304, 26, 'Không được chẩn đoán');
INSERT INTO `lang_definitions` VALUES (144574, 11305, 26, 'Chưa phân phối');
INSERT INTO `lang_definitions` VALUES (144575, 11306, 26, 'Chưa phân phối');
INSERT INTO `lang_definitions` VALUES (144576, 11307, 26, 'Chưa phân phối được');
INSERT INTO `lang_definitions` VALUES (144577, 11309, 26, 'Xóa lần Tính tiền này');
INSERT INTO `lang_definitions` VALUES (144578, 11311, 26, 'Độc đáo Khách hàng');
INSERT INTO `lang_definitions` VALUES (144579, 11312, 26, 'Con người có thể đọc được định danh duy nhất cho loại này');
INSERT INTO `lang_definitions` VALUES (144580, 11315, 26, 'Bổ sung - Vui học New Khách hàng');
INSERT INTO `lang_definitions` VALUES (144581, 11316, 26, 'Số định danh duy nhất cho loại này');
INSERT INTO `lang_definitions` VALUES (144582, 11317, 26, 'Độc đáo lên Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (144583, 11318, 26, 'Bệnh nhân lên độc đáo Báo cáo');
INSERT INTO `lang_definitions` VALUES (144584, 11319, 26, 'Độc đáo SP');
INSERT INTO `lang_definitions` VALUES (144585, 11320, 26, 'Đơn vị');
INSERT INTO `lang_definitions` VALUES (144586, 11321, 26, 'Các đơn vị');
INSERT INTO `lang_definitions` VALUES (144587, 11322, 26, 'cái');
INSERT INTO `lang_definitions` VALUES (144588, 11324, 26, 'Đơn vị cho Biểu mẫu Đến khám');
INSERT INTO `lang_definitions` VALUES (144589, 11325, 26, 'Các đơn vị phải là một số');
INSERT INTO `lang_definitions` VALUES (144590, 11326, 26, 'Các đơn vị không được định nghĩa');
INSERT INTO `lang_definitions` VALUES (144591, 11327, 26, 'Các đơn vị / L');
INSERT INTO `lang_definitions` VALUES (144592, 11328, 26, 'Không biết');
INSERT INTO `lang_definitions` VALUES (144593, 11331, 26, 'Không biết đã hút thuốc bao giờ chưa');
INSERT INTO `lang_definitions` VALUES (144594, 11332, 26, 'Không biết hoặc N/A');
INSERT INTO `lang_definitions` VALUES (144595, 11345, 26, 'Công ty chưa được đặt tên bảo hiểm');
INSERT INTO `lang_definitions` VALUES (144596, 11346, 26, 'Chưa đăng ký');
INSERT INTO `lang_definitions` VALUES (144597, 11349, 26, 'Bỏ chọn tất cả');
INSERT INTO `lang_definitions` VALUES (144598, 11350, 26, 'Không được lựa chọn');
INSERT INTO `lang_definitions` VALUES (144599, 11351, 26, 'Không quy định');
INSERT INTO `lang_definitions` VALUES (144600, 11352, 26, 'không có cấu trúc');
INSERT INTO `lang_definitions` VALUES (144601, 11356, 26, 'cho đến');
INSERT INTO `lang_definitions` VALUES (144602, 11359, 26, 'Không kịp thời nộp hồ sơ');
INSERT INTO `lang_definitions` VALUES (144603, 11360, 26, 'Chưa sử dụng');
INSERT INTO `lang_definitions` VALUES (144604, 11361, 26, 'UOR');
INSERT INTO `lang_definitions` VALUES (144605, 11362, 26, 'Lên đến');
INSERT INTO `lang_definitions` VALUES (144606, 11364, 26, 'Cuộc hẹn Sắp tới');
INSERT INTO `lang_definitions` VALUES (144607, 11365, 26, 'Sự kiện Sắp tới');
INSERT INTO `lang_definitions` VALUES (144608, 11366, 26, 'Cập nhật');
INSERT INTO `lang_definitions` VALUES (144609, 11367, 26, 'cập nhật');
INSERT INTO `lang_definitions` VALUES (144610, 11368, 26, 'Cập nhật Hoạt động');
INSERT INTO `lang_definitions` VALUES (144611, 11371, 26, 'Cập nhật tập tin');
INSERT INTO `lang_definitions` VALUES (144612, 11372, 26, 'Cập nhật Thông tin');
INSERT INTO `lang_definitions` VALUES (144613, 11374, 26, 'Cập nhật Danh sách');
INSERT INTO `lang_definitions` VALUES (144614, 11377, 26, 'Cập nhật Số của Nhà cung cấp');
INSERT INTO `lang_definitions` VALUES (144615, 11378, 26, 'Cập nhật Mục được Chọn');
INSERT INTO `lang_definitions` VALUES (144616, 11383, 26, 'Cập nhật các biến sau đây trong tập tin');
INSERT INTO `lang_definitions` VALUES (144617, 11384, 26, 'Cập nhật Thông tin Người dùng');
INSERT INTO `lang_definitions` VALUES (144618, 11390, 26, 'Không được phép cập nhật thông tin cá nhân.');
INSERT INTO `lang_definitions` VALUES (144619, 11394, 26, 'Nâng cấp');
INSERT INTO `lang_definitions` VALUES (144620, 11396, 26, 'Nâng cấp Cơ sở dữ liệu');
INSERT INTO `lang_definitions` VALUES (144621, 11398, 26, 'Việc nâng cấp cơ sở dữ liệu OpenEMR bao gồm các Thủ tục, Chức năng và các bảng cần thiết cho quá trình nhận dạng');
INSERT INTO `lang_definitions` VALUES (144622, 11399, 26, 'Việc nâng cấp sẽ tiếp tục');
INSERT INTO `lang_definitions` VALUES (144623, 11400, 26, 'UPIN');
INSERT INTO `lang_definitions` VALUES (144624, 11401, 26, 'Tải lên');
INSERT INTO `lang_definitions` VALUES (144625, 11406, 26, 'Tải dữ liệu cấu hình lên');
INSERT INTO `lang_definitions` VALUES (144626, 11407, 26, 'Tải Tài liệu lên');
INSERT INTO `lang_definitions` VALUES (144627, 11408, 26, 'Tải lên thất bại!');
INSERT INTO `lang_definitions` VALUES (144628, 11410, 26, 'Tải hình lên');
INSERT INTO `lang_definitions` VALUES (144629, 11411, 26, 'Tải tập tin kết nhập lên:');
INSERT INTO `lang_definitions` VALUES (144630, 11415, 26, 'Báo cáo việc Tải lên');
INSERT INTO `lang_definitions` VALUES (144631, 11418, 26, 'Tải tập tin này lên:');
INSERT INTO `lang_definitions` VALUES (144632, 11421, 26, 'Khi nhấp vào một số hóa đơn \"cửa sổ đăng hướng dẫn sử dụng\" xuất hiện. Ở đây bạn có thể thay đổi vào ngày đáo hạn và ghi chú cho hoá đơn, lựa chọn bên người mà bạn gửi bài, và chọn bảo hiểm cho tất cả paymants dự kiến ​​sẽ nhận được. Quan trọng nhất, cho mỗi mã thanh toán số tiền đã được tính phí, bạn có thể nhập thông tin thanh toán và điều chỉnh.');
INSERT INTO `lang_definitions` VALUES (144633, 11426, 26, 'Khi tìm kiếm bạn đang trình bày với một danh sách các hoá đơn. Bạn có thể click vào một trong các số hoá đơn để mở một cửa sổ thứ hai, đó là nhập dữ liệu trang cho hướng dẫn đăng. Bạn cũng có thể nhấp chuột vào một tên bệnh nhân nếu bạn muốn nhập một lưu ý rằng các nhân viên văn phòng phía trước sẽ nhìn thấy khi bệnh nhân kiểm tra, và bạn có thể chọn các hoá đơn xuất hiện trên báo cáo bệnh nhân và in các báo cáo.');
INSERT INTO `lang_definitions` VALUES (144634, 11429, 26, 'Trên cánh tay');
INSERT INTO `lang_definitions` VALUES (144635, 11432, 26, 'Tình huống khẩn cấp');
INSERT INTO `lang_definitions` VALUES (144636, 11436, 26, 'Nước tiểu');
INSERT INTO `lang_definitions` VALUES (144637, 11437, 26, 'Nước tiểu Dribbling');
INSERT INTO `lang_definitions` VALUES (144638, 11438, 26, 'Nước tiểu Tần số');
INSERT INTO `lang_definitions` VALUES (144639, 11439, 26, 'Nước tiểu do dự');
INSERT INTO `lang_definitions` VALUES (144640, 11440, 26, 'Nước tiểu Microalbumin');
INSERT INTO `lang_definitions` VALUES (144641, 11441, 26, 'Nước tiểu suối');
INSERT INTO `lang_definitions` VALUES (144642, 11442, 26, 'Nước tiểu Tình huống khẩn cấp');
INSERT INTO `lang_definitions` VALUES (144643, 11443, 26, 'URL');
INSERT INTO `lang_definitions` VALUES (144644, 11445, 26, 'URL để tìm hỗ trợ về OpenEMR.');
INSERT INTO `lang_definitions` VALUES (144645, 11447, 26, 'URL cho Gateway điện thoại. Tự động dịch vụ VoIP được cung cấp bởi Maviq. Vui lòng truy cập http://signup.maviq.com để biết thêm thông tin.');
INSERT INTO `lang_definitions` VALUES (144646, 11453, 26, 'Chỉ số sử dụng (ISA15)');
INSERT INTO `lang_definitions` VALUES (144647, 11457, 26, 'Sử dụng 24 giờ định dạng thời gian?');
INSERT INTO `lang_definitions` VALUES (144648, 11465, 26, 'Sử dụng chứng nhận EHR công nghệ để xác định các nguồn tài nguyên giáo dục bệnh nhân cụ thể và cung cấp các nguồn lực cho bệnh nhân nếu thích hợp.');
INSERT INTO `lang_definitions` VALUES (144649, 11466, 26, 'Dùng Bảng Biểu phí');
INSERT INTO `lang_definitions` VALUES (144650, 11467, 26, 'Sử dụng CPOE cho các đơn đặt hàng thuốc trực tiếp vào bất kỳ chuyên viên y tế được cấp phép có thể nhập lệnh vào hồ sơ y tế cho mỗi nhà nước, hướng dẫn địa phương và chuyên nghiệp.');
INSERT INTO `lang_definitions` VALUES (144651, 11474, 26, 'Sử dụng Danh sách Chủng ngừa Tuỳ chỉnh');
INSERT INTO `lang_definitions` VALUES (144652, 11476, 26, 'Sử dụng Phạm vi Ngày');
INSERT INTO `lang_definitions` VALUES (144653, 11477, 26, 'Sử dụng mặc định');
INSERT INTO `lang_definitions` VALUES (144654, 11478, 26, 'Sử dụng Tùy chọn Delete để loại bỏ.');
INSERT INTO `lang_definitions` VALUES (144655, 11479, 26, 'Sử dụng phong cách ngày quốc tế?');
INSERT INTO `lang_definitions` VALUES (144656, 11483, 26, 'Sử dụng tên tập tin nguồn');
INSERT INTO `lang_definitions` VALUES (144657, 11486, 26, 'Sử dụng các trường dưới đây để mua hàng hoặc chuyển giao.');
INSERT INTO `lang_definitions` VALUES (144658, 11490, 26, 'Sử dụng tính năng này chỉ với các trang web mới được cài đặt,');
INSERT INTO `lang_definitions` VALUES (144659, 11493, 26, 'Sử dụng các chủ đề?');
INSERT INTO `lang_definitions` VALUES (144660, 11496, 26, 'Người dùng');
INSERT INTO `lang_definitions` VALUES (144661, 11498, 26, 'Người dùng / Nhóm');
INSERT INTO `lang_definitions` VALUES (144662, 11499, 26, 'Quản trị Người dùng');
INSERT INTO `lang_definitions` VALUES (144663, 11500, 26, 'Quản trị Người dùng và Cơ sở');
INSERT INTO `lang_definitions` VALUES (144664, 11501, 26, 'Quản trị Người dùng và Nhóm');
INSERT INTO `lang_definitions` VALUES (144665, 11503, 26, 'Giấy chứng nhận xác thực người dùng được vô hiệu hóa');
INSERT INTO `lang_definitions` VALUES (144666, 11507, 26, 'Tự Định nghĩa');
INSERT INTO `lang_definitions` VALUES (144667, 11508, 26, 'Vùng Tự Định nghĩa 11');
INSERT INTO `lang_definitions` VALUES (144668, 11509, 26, 'Vùng Tự Định nghĩa 12');
INSERT INTO `lang_definitions` VALUES (144669, 11510, 26, 'Thông tin Tự Định nghĩa');
INSERT INTO `lang_definitions` VALUES (144670, 11511, 26, 'Danh mục Tự Định nghĩa 1');
INSERT INTO `lang_definitions` VALUES (144671, 11512, 26, 'Danh mục Tự Định nghĩa 2');
INSERT INTO `lang_definitions` VALUES (144672, 11513, 26, 'Danh mục Tự Định nghĩa 3');
INSERT INTO `lang_definitions` VALUES (144673, 11514, 26, 'Danh mục Tự Định nghĩa 4');
INSERT INTO `lang_definitions` VALUES (144674, 11515, 26, 'Danh mục Tự Định nghĩa 5');
INSERT INTO `lang_definitions` VALUES (144675, 11516, 26, 'Danh mục Tự Định nghĩa 6');
INSERT INTO `lang_definitions` VALUES (144676, 11517, 26, 'Danh mục Tự Định nghĩa 7');
INSERT INTO `lang_definitions` VALUES (144677, 11518, 26, 'Văn bản Tự Định nghĩa 1');
INSERT INTO `lang_definitions` VALUES (144678, 11519, 26, 'Văn bản Tự Định nghĩa 2');
INSERT INTO `lang_definitions` VALUES (144679, 11520, 26, 'Văn bản Tự Định nghĩa 3');
INSERT INTO `lang_definitions` VALUES (144680, 11521, 26, 'Văn bản Tự Định nghĩa 4');
INSERT INTO `lang_definitions` VALUES (144681, 11522, 26, 'Văn bản Tự Định nghĩa 5');
INSERT INTO `lang_definitions` VALUES (144682, 11523, 26, 'Văn bản Tự Định nghĩa 6');
INSERT INTO `lang_definitions` VALUES (144683, 11524, 26, 'Văn bản Tự Định nghĩa 7');
INSERT INTO `lang_definitions` VALUES (144684, 11525, 26, 'Văn bản Tự Định nghĩa 8');
INSERT INTO `lang_definitions` VALUES (144685, 11526, 26, 'Người sử dụng Tên');
INSERT INTO `lang_definitions` VALUES (144686, 11532, 26, 'Hướng dẫn sử dụng');
INSERT INTO `lang_definitions` VALUES (144687, 11533, 26, 'Người sử dụng những thành viên');
INSERT INTO `lang_definitions` VALUES (144688, 11534, 26, 'User Name');
INSERT INTO `lang_definitions` VALUES (144689, 11536, 26, 'Tên người dùng hoặc tên máy chủ không thể để trống');
INSERT INTO `lang_definitions` VALUES (144690, 11537, 26, 'Tên người dùng hoặc chủ nhà');
INSERT INTO `lang_definitions` VALUES (144691, 11541, 26, 'Người sử dụng Cài đặt');
INSERT INTO `lang_definitions` VALUES (144692, 11543, 26, 'Thiết lập Của Người dùng');
INSERT INTO `lang_definitions` VALUES (144693, 11553, 26, 'Tên đăng nhập');
INSERT INTO `lang_definitions` VALUES (144694, 11555, 26, 'Tên người dùng cho cổng điện thoại. Tự động dịch vụ VoIP được cung cấp bởi Maviq. Vui lòng truy cập http://signup.maviq.com để biết thêm thông tin.');
INSERT INTO `lang_definitions` VALUES (144695, 11556, 26, 'Tên người dùng cho SMS Gateway');
INSERT INTO `lang_definitions` VALUES (144696, 11557, 26, 'Tên người dùng cho SMS Gateway.');
INSERT INTO `lang_definitions` VALUES (144697, 11559, 26, 'Tên đăng nhập:');
INSERT INTO `lang_definitions` VALUES (144698, 11560, 26, 'Người sử dụng');
INSERT INTO `lang_definitions` VALUES (144699, 11564, 26, 'Người dùng / Nhóm / Logs Quản trị');
INSERT INTO `lang_definitions` VALUES (144700, 11574, 26, 'sử dụng php <a href=\"http://php.net/strftime\"> strftime </ a> định dạng');
INSERT INTO `lang_definitions` VALUES (144701, 11583, 26, 'Nhiễm trùng tiểu');
INSERT INTO `lang_definitions` VALUES (144702, 11588, 26, 'VACATION');
INSERT INTO `lang_definitions` VALUES (144703, 11589, 26, 'Kỳ nghỉ');
INSERT INTO `lang_definitions` VALUES (144704, 11590, 26, 'Vắc-xin');
INSERT INTO `lang_definitions` VALUES (144705, 11593, 26, 'Âm đạo nhẫn');
INSERT INTO `lang_definitions` VALUES (144706, 11594, 26, 'Bài diển văn');
INSERT INTO `lang_definitions` VALUES (144707, 11596, 26, 'xác nhận tính hợp lệ');
INSERT INTO `lang_definitions` VALUES (144708, 11609, 26, 'Giá trị');
INSERT INTO `lang_definitions` VALUES (144709, 11610, 26, 'Giá trị 1');
INSERT INTO `lang_definitions` VALUES (144710, 11611, 26, 'Giá trị 2');
INSERT INTO `lang_definitions` VALUES (144711, 11613, 26, 'Giá trị nên là Numeric');
INSERT INTO `lang_definitions` VALUES (144712, 11614, 26, 'Var1');
INSERT INTO `lang_definitions` VALUES (144713, 11615, 26, 'Var2');
INSERT INTO `lang_definitions` VALUES (144714, 11616, 26, 'biến một để chạy kịch bản nâng cấp de-nhận dạng');
INSERT INTO `lang_definitions` VALUES (144715, 11619, 26, 'Varicella 1');
INSERT INTO `lang_definitions` VALUES (144716, 11620, 26, 'Varicella 2');
INSERT INTO `lang_definitions` VALUES (144717, 11621, 26, 'Dây tinh mạch trường');
INSERT INTO `lang_definitions` VALUES (144718, 11623, 26, 'Mạch điều kiện');
INSERT INTO `lang_definitions` VALUES (144719, 11624, 26, 'Mạch máu bị thương');
INSERT INTO `lang_definitions` VALUES (144720, 11625, 26, 'Mạch máu Phẫu thuật');
INSERT INTO `lang_definitions` VALUES (144721, 11630, 26, 'Nhà cung cấp');
INSERT INTO `lang_definitions` VALUES (144722, 11634, 26, 'Phiên bản');
INSERT INTO `lang_definitions` VALUES (144723, 11653, 26, 'Vertigo');
INSERT INTO `lang_definitions` VALUES (144724, 11657, 26, 'Cựu chiến binh Kế hoạch');
INSERT INTO `lang_definitions` VALUES (144725, 11659, 26, 'VFC');
INSERT INTO `lang_definitions` VALUES (144726, 11666, 26, 'Tiếng Việt');
INSERT INTO `lang_definitions` VALUES (144727, 11667, 26, 'Xem');
INSERT INTO `lang_definitions` VALUES (144728, 11668, 26, 'xem');
INSERT INTO `lang_definitions` VALUES (144729, 11670, 26, 'Xem Dị ứng');
INSERT INTO `lang_definitions` VALUES (144730, 11676, 26, 'Xem Báo cáo bệnh nhân toàn diện');
INSERT INTO `lang_definitions` VALUES (144731, 11679, 26, 'Xem tài liệu');
INSERT INTO `lang_definitions` VALUES (144732, 11681, 26, 'Xem gặp phải');
INSERT INTO `lang_definitions` VALUES (144733, 11683, 26, 'Xem các sự kiện trong một cửa sổ popup?');
INSERT INTO `lang_definitions` VALUES (144734, 11690, 26, 'Xem Trang 1');
INSERT INTO `lang_definitions` VALUES (144735, 11691, 26, 'Xem Page 2');
INSERT INTO `lang_definitions` VALUES (144736, 11695, 26, 'Xem Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (144737, 11700, 26, 'Xem cuộc gặp gỡ liên quan');
INSERT INTO `lang_definitions` VALUES (144738, 11712, 26, 'Xem / Chỉnh sửa Dị ứng');
INSERT INTO `lang_definitions` VALUES (144739, 11713, 26, 'Xem / chỉnh sửa vấn đề');
INSERT INTO `lang_definitions` VALUES (144740, 11714, 26, 'Xem / In');
INSERT INTO `lang_definitions` VALUES (144741, 11717, 26, 'Xem:');
INSERT INTO `lang_definitions` VALUES (144742, 11718, 26, 'VISA');
INSERT INTO `lang_definitions` VALUES (144743, 11719, 26, 'VISA / MC / AMEX / Dis');
INSERT INTO `lang_definitions` VALUES (144744, 11721, 26, '/ Chấn thương nội tạng thiệt hại / phẫu thuật');
INSERT INTO `lang_definitions` VALUES (144745, 11728, 26, 'Thể loại Đến khám:');
INSERT INTO `lang_definitions` VALUES (144746, 11729, 26, 'Ngày Đến khám');
INSERT INTO `lang_definitions` VALUES (144747, 11730, 26, 'Ngày đến khám');
INSERT INTO `lang_definitions` VALUES (144748, 11734, 26, 'Biểu mẫu Đến khám');
INSERT INTO `lang_definitions` VALUES (144749, 11736, 26, 'Lịch sử Đến khám');
INSERT INTO `lang_definitions` VALUES (144750, 11745, 26, 'Đến khám');
INSERT INTO `lang_definitions` VALUES (144751, 11746, 26, 'Đến khám Từ');
INSERT INTO `lang_definitions` VALUES (144752, 11751, 26, 'Thể trạng');
INSERT INTO `lang_definitions` VALUES (144753, 11752, 26, 'Thể trạng');
INSERT INTO `lang_definitions` VALUES (144754, 11753, 26, 'Thể trạng (Hệ mét)');
INSERT INTO `lang_definitions` VALUES (144755, 11756, 26, 'Lời nhắn');
INSERT INTO `lang_definitions` VALUES (144756, 11758, 26, 'Đã gửi Lời nhắn');
INSERT INTO `lang_definitions` VALUES (144757, 11763, 26, 'Ói mửa');
INSERT INTO `lang_definitions` VALUES (144758, 11767, 26, 'W');
INSERT INTO `lang_definitions` VALUES (144759, 11770, 26, 'CV Eo');
INSERT INTO `lang_definitions` VALUES (144760, 11771, 26, 'Chu vi Eo');
INSERT INTO `lang_definitions` VALUES (144761, 11772, 26, 'Chờ đợi');
INSERT INTO `lang_definitions` VALUES (144762, 11773, 26, 'Đi ngang');
INSERT INTO `lang_definitions` VALUES (144763, 11776, 26, 'Walt Pennington');
INSERT INTO `lang_definitions` VALUES (144764, 11778, 26, 'Kho hàng');
INSERT INTO `lang_definitions` VALUES (144765, 11782, 26, 'Kho');
INSERT INTO `lang_definitions` VALUES (144766, 11783, 26, 'Ấm áp');
INSERT INTO `lang_definitions` VALUES (144767, 11786, 26, 'Cảnh báo');
INSERT INTO `lang_definitions` VALUES (144768, 11787, 26, 'CẢNH BÁO');
INSERT INTO `lang_definitions` VALUES (144769, 11789, 26, 'Cảnh báo, Số Kiểm tra đã tồn tại trong cơ sở dữ liệu');
INSERT INTO `lang_definitions` VALUES (144770, 11791, 26, 'Cảnh báo: đã tạo ra lần khám cho bệnh nhân này ngày hôm nay!');
INSERT INTO `lang_definitions` VALUES (144771, 11796, 26, 'Cảnh báo: Mã bệnh nhân không phải là duy nhất!');
INSERT INTO `lang_definitions` VALUES (144772, 11799, 26, 'Chú ý: Điều này sẽ ghi đè lên thông tin cấu hình với dữ liệu từ các tập tin được tải lên!');
INSERT INTO `lang_definitions` VALUES (144773, 11801, 26, 'Cảnh báo');
INSERT INTO `lang_definitions` VALUES (144774, 11803, 26, 'đã tải lên');
INSERT INTO `lang_definitions` VALUES (144775, 11805, 26, 'Chúng tôi đánh giá cao thanh toán kịp thời số dư đến hạn');
INSERT INTO `lang_definitions` VALUES (144776, 11809, 26, 'chúng ta đã thấy bệnh nhân trên của bạn để đánh giá và điều trị tại phòng khám ngoại trú tâm thần học của chúng tôi. Cảm ơn bạn đã giới thiệu này.');
INSERT INTO `lang_definitions` VALUES (144777, 11821, 26, 'Điểm yếu');
INSERT INTO `lang_definitions` VALUES (144778, 11826, 26, 'Tìm kiếm Web');
INSERT INTO `lang_definitions` VALUES (144779, 11827, 26, 'Website');
INSERT INTO `lang_definitions` VALUES (144780, 11828, 26, 'Liên kết website Cổng thông tin bệnh nhân tại chỗ.');
INSERT INTO `lang_definitions` VALUES (144781, 11832, 26, 'Thứ 4');
INSERT INTO `lang_definitions` VALUES (144782, 11833, 26, 'Thứ Tư');
INSERT INTO `lang_definitions` VALUES (144783, 11834, 26, 'Tuần');
INSERT INTO `lang_definitions` VALUES (144784, 11835, 26, 'tuần');
INSERT INTO `lang_definitions` VALUES (144785, 11836, 26, 'Xem theo Tuần');
INSERT INTO `lang_definitions` VALUES (144786, 11837, 26, 'Tuần');
INSERT INTO `lang_definitions` VALUES (144787, 11838, 26, 'Hàng tuần Exposures');
INSERT INTO `lang_definitions` VALUES (144788, 11840, 26, 'Tuần');
INSERT INTO `lang_definitions` VALUES (144789, 11841, 26, 'Trọng lượng');
INSERT INTO `lang_definitions` VALUES (144790, 11842, 26, 'Đánh giá Trọng lượng và Tư vấn cho Trẻ em và Thanh thiếu niên');
INSERT INTO `lang_definitions` VALUES (144791, 11843, 26, 'Đánh giá Trọng lượng và Tư vấn cho Trẻ em và Thanh thiếu niên (CQM)');
INSERT INTO `lang_definitions` VALUES (144792, 11844, 26, 'Thay đổi Trọng lượng');
INSERT INTO `lang_definitions` VALUES (144793, 11845, 26, 'Giảm Cân');
INSERT INTO `lang_definitions` VALUES (144794, 11846, 26, 'Phòng khám giảm cân');
INSERT INTO `lang_definitions` VALUES (144795, 11847, 26, 'Chào mừng');
INSERT INTO `lang_definitions` VALUES (144796, 11862, 26, 'Được tính là gì?');
INSERT INTO `lang_definitions` VALUES (144797, 11864, 26, 'Khó thở:');
INSERT INTO `lang_definitions` VALUES (144798, 11865, 26, 'Thở khò khè');
INSERT INTO `lang_definitions` VALUES (144799, 11866, 26, 'Thở khò khè:');
INSERT INTO `lang_definitions` VALUES (144800, 11882, 26, 'Trường hợp có thể có liên quan được quét hoặc tài liệu giấy được tìm thấy?');
INSERT INTO `lang_definitions` VALUES (144801, 11890, 26, 'Cột sống');
INSERT INTO `lang_definitions` VALUES (144802, 11891, 26, 'Da trắng');
INSERT INTO `lang_definitions` VALUES (144803, 11894, 26, 'Ai');
INSERT INTO `lang_definitions` VALUES (144804, 11895, 26, 'Ai trả lời?');
INSERT INTO `lang_definitions` VALUES (144805, 11897, 26, 'Góa chồng/vợ');
INSERT INTO `lang_definitions` VALUES (144806, 11900, 26, 'Độ rộng khung chuyển hướng bên trái, tính theo điểm ảnh');
INSERT INTO `lang_definitions` VALUES (144807, 11907, 26, 'Với lựa chọn:');
INSERT INTO `lang_definitions` VALUES (144808, 11908, 26, 'với tên cũ');
INSERT INTO `lang_definitions` VALUES (144809, 11911, 26, 'Với người mà chúng tôi có thể để lại tin nhắn?');
INSERT INTO `lang_definitions` VALUES (144810, 11912, 26, 'Khấu trừ');
INSERT INTO `lang_definitions` VALUES (144811, 11913, 26, 'trong vòng vài giờ');
INSERT INTO `lang_definitions` VALUES (144812, 11914, 26, 'trong vòng vài giờ:');
INSERT INTO `lang_definitions` VALUES (144813, 11915, 26, 'trong vòng vài phút');
INSERT INTO `lang_definitions` VALUES (144814, 11916, 26, 'trong vòng vài phút:');
INSERT INTO `lang_definitions` VALUES (144815, 11919, 26, 'không Update');
INSERT INTO `lang_definitions` VALUES (144816, 11920, 26, 'Chứng kiến');
INSERT INTO `lang_definitions` VALUES (144817, 11921, 26, 'tuần');
INSERT INTO `lang_definitions` VALUES (144818, 11922, 26, 'WNL');
INSERT INTO `lang_definitions` VALUES (144819, 11924, 26, 'Phụ nữ');
INSERT INTO `lang_definitions` VALUES (144820, 11925, 26, 'Chỉ phụ nữ');
INSERT INTO `lang_definitions` VALUES (144821, 11927, 26, 'Làm việc');
INSERT INTO `lang_definitions` VALUES (144822, 11928, 26, 'Ghi chú công việc');
INSERT INTO `lang_definitions` VALUES (144823, 11929, 26, 'Điện thoại công việc');
INSERT INTO `lang_definitions` VALUES (144824, 11930, 26, 'Số điện thoại Công việc');
INSERT INTO `lang_definitions` VALUES (144825, 11931, 26, 'Liên quan công việc?');
INSERT INTO `lang_definitions` VALUES (144826, 11932, 26, 'Công việc / Giáo dục / Sở thích');
INSERT INTO `lang_definitions` VALUES (144827, 11933, 26, 'Công việc / Trường học Ghi chú');
INSERT INTO `lang_definitions` VALUES (144828, 11934, 26, 'ngày làm việc');
INSERT INTO `lang_definitions` VALUES (144829, 11936, 26, 'Bồi Thường Lao Động Chương Trình Sức Khỏe');
INSERT INTO `lang_definitions` VALUES (144830, 11941, 26, 'Tệ hơn nữa');
INSERT INTO `lang_definitions` VALUES (144831, 11942, 26, 'Bạn có muốn số tiền cân đối để áp dụng cho tài khoản toàn cầu?');
INSERT INTO `lang_definitions` VALUES (144832, 11943, 26, 'Bạn có muốn chúng được đánh dấu như đã xóa.');
INSERT INTO `lang_definitions` VALUES (144833, 11944, 26, 'Bạn có muốn Phân bổ?');
INSERT INTO `lang_definitions` VALUES (144834, 11945, 26, 'Bạn có muốn huỷ bỏ phân phối cho các bệnh nhân này?');
INSERT INTO `lang_definitions` VALUES (144835, 11946, 26, 'Bạn có muốn xóa phân phối thanh toán?');
INSERT INTO `lang_definitions` VALUES (144836, 11947, 26, 'Bạn có muốn xóa thanh toán?');
INSERT INTO `lang_definitions` VALUES (144837, 11948, 26, 'Bạn có muốn Sửa đổi và Kết thúc thanh toán?');
INSERT INTO `lang_definitions` VALUES (144838, 11949, 26, 'Bạn có muốn Sửa đổi khoản thanh toán?');
INSERT INTO `lang_definitions` VALUES (144839, 11950, 26, 'Bạn có muốn đăng bài và Kết thúc thanh toán?');
INSERT INTO `lang_definitions` VALUES (144840, 11951, 26, 'Bạn có muốn Đăng thanh toán?');
INSERT INTO `lang_definitions` VALUES (144841, 11952, 26, 'Bạn có muốn lưu lại không?');
INSERT INTO `lang_definitions` VALUES (144842, 11953, 26, 'Cổ tay');
INSERT INTO `lang_definitions` VALUES (144843, 11954, 26, 'Cổ tay và tay');
INSERT INTO `lang_definitions` VALUES (144844, 11955, 26, 'Cổ tay vấn đề');
INSERT INTO `lang_definitions` VALUES (144845, 11956, 26, 'viết');
INSERT INTO `lang_definitions` VALUES (144846, 11958, 26, 'giảm bớt');
INSERT INTO `lang_definitions` VALUES (144847, 11960, 26, 'wsome');
INSERT INTO `lang_definitions` VALUES (144848, 11963, 26, 'WT');
INSERT INTO `lang_definitions` VALUES (144849, 11966, 26, 'x hủy bỏ');
INSERT INTO `lang_definitions` VALUES (144850, 11967, 26, 'x hủy bỏ');
INSERT INTO `lang_definitions` VALUES (144851, 11969, 26, 'X-quang');
INSERT INTO `lang_definitions` VALUES (144852, 11970, 26, 'Giải thích X-Quang:');
INSERT INTO `lang_definitions` VALUES (144853, 11971, 26, 'Giải thích X-Quang:');
INSERT INTO `lang_definitions` VALUES (144854, 11975, 26, 'Chỉ cho X12: Yêu cầu bồi thường Thay thế');
INSERT INTO `lang_definitions` VALUES (144855, 11978, 26, 'Đối tác X12');
INSERT INTO `lang_definitions` VALUES (144856, 11979, 26, 'Đối tác X12');
INSERT INTO `lang_definitions` VALUES (144857, 11987, 26, 'Y');
INSERT INTO `lang_definitions` VALUES (144858, 11988, 26, 'năm');
INSERT INTO `lang_definitions` VALUES (144859, 11989, 26, 'Năm');
INSERT INTO `lang_definitions` VALUES (144860, 11990, 26, 'Theo năm');
INSERT INTO `lang_definitions` VALUES (144861, 11991, 26, 'Năm');
INSERT INTO `lang_definitions` VALUES (144862, 11992, 26, 'Năm');
INSERT INTO `lang_definitions` VALUES (144863, 11996, 26, 'Có');
INSERT INTO `lang_definitions` VALUES (144864, 11997, 26, 'CÓ');
INSERT INTO `lang_definitions` VALUES (144865, 11998, 26, 'có');
INSERT INTO `lang_definitions` VALUES (144866, 11999, 26, 'CÓ!');
INSERT INTO `lang_definitions` VALUES (144867, 12000, 26, 'Có, Xóa và Ghi nhận');
INSERT INTO `lang_definitions` VALUES (144868, 12002, 26, 'Có / Không');
INSERT INTO `lang_definitions` VALUES (144869, 12003, 26, 'Có:');
INSERT INTO `lang_definitions` VALUES (144870, 12004, 26, 'Tiếng Yiddish');
INSERT INTO `lang_definitions` VALUES (144871, 12008, 26, 'Bạn là vĩnh viễn thay thế mẫu hiện tại. Bạn có chắc bạn muốn tiếp tục?');
INSERT INTO `lang_definitions` VALUES (144872, 12011, 26, 'Bạn đang trong giai đoạn nhập Grace. Thay đổi mật khẩu của bạn trước khi');
INSERT INTO `lang_definitions` VALUES (144873, 12012, 26, 'Bạn không được phép xoá sự kiện này');
INSERT INTO `lang_definitions` VALUES (144874, 12013, 26, 'Bạn không được phép chỉnh sửa sự kiện này');
INSERT INTO `lang_definitions` VALUES (144875, 12014, 26, 'Bạn không được phép cho việc này.');
INSERT INTO `lang_definitions` VALUES (144876, 12016, 26, 'Bạn không được phép truy cập vào đội hình.');
INSERT INTO `lang_definitions` VALUES (144877, 12017, 26, 'Bạn không được phép thêm / chỉnh sửa các vấn đề');
INSERT INTO `lang_definitions` VALUES (144878, 12018, 26, 'Bạn không được phép lên lịch các cuộc hẹn.');
INSERT INTO `lang_definitions` VALUES (144879, 12019, 26, 'Bạn không được phép để xem cuộc gặp gỡ này.');
INSERT INTO `lang_definitions` VALUES (144880, 12038, 26, 'Bạn không thể truy cập chức năng này trực tiếp.');
INSERT INTO `lang_definitions` VALUES (144881, 12050, 26, 'Bạn không thể truy cập vào trang trực tiếp.');
INSERT INTO `lang_definitions` VALUES (144882, 12051, 26, 'Bạn không thể thêm một giá trị trống cho một danh mục cụ thể!');
INSERT INTO `lang_definitions` VALUES (144883, 12052, 26, 'Bạn không thể thêm một giá trị trống cho tiểu thể loại!');
INSERT INTO `lang_definitions` VALUES (144884, 12053, 26, 'Bạn không thể thêm một giá trị trống cho một mục!');
INSERT INTO `lang_definitions` VALUES (144885, 12055, 26, 'Bạn không thể nhập một ngày trong tương lai với một giá trị hoàn thành của YES.');
INSERT INTO `lang_definitions` VALUES (144886, 12057, 26, 'Bạn đã không chọn bất kỳ hành động.');
INSERT INTO `lang_definitions` VALUES (144887, 12058, 26, 'Bạn không có quyền truy cập để xem / chỉnh sửa ghi chú');
INSERT INTO `lang_definitions` VALUES (144888, 12061, 26, 'Bạn đã cố gắng để làm thay đổi nội dung mà bị khoá. Hủy bỏ các khóa, nếu bạn muốn làm điều này. Để mở khóa, loại bỏ các dòng / * lock :: * / \'');
INSERT INTO `lang_definitions` VALUES (144889, 12063, 26, 'Bạn đã đăng xuất thành công.');
INSERT INTO `lang_definitions` VALUES (144890, 12074, 26, 'Bạn chỉ có thể tải lên các file .txt');
INSERT INTO `lang_definitions` VALUES (144891, 12076, 26, 'Bạn có thể đặt văn bản ở đây là đơn khiếu nại mặc định trong các hình thức gặp bệnh nhân mới.');
INSERT INTO `lang_definitions` VALUES (144892, 12085, 26, 'Bạn phải nhập một chuỗi mật khẩu để mã hóa tài liệu');
INSERT INTO `lang_definitions` VALUES (144893, 12090, 26, 'Trước tiên, bạn phải lựa chọn hoặc thêm một bệnh nhân');
INSERT INTO `lang_definitions` VALUES (144894, 12091, 26, 'Trước tiên, bạn phải lựa chọn hoặc tạo ra một cuộc gặp gỡ.');
INSERT INTO `lang_definitions` VALUES (144895, 12092, 26, 'Bạn phải chọn một thể loại ghé thăm');
INSERT INTO `lang_definitions` VALUES (144896, 12093, 26, 'Bạn phải chọn một thể loại chuyến thăm.');
INSERT INTO `lang_definitions` VALUES (144897, 12094, 26, 'Bạn phải chọn một số lĩnh vực để tiếp tục.');
INSERT INTO `lang_definitions` VALUES (144898, 12104, 26, 'Bạn cần được chạy thử nghiệm này nếu yêu cầu bồi thường này xuất hiện để tạo ra thành công, nhưng các tập tin đòi bồi thường thực tế không chứa bất kỳ dữ liệu hoặc chỉ phần chưa hoàn thành số lượng dữ liệu được cho là để chứa. Rõ ràng với tuyên bố HCFA, vì họ là con người có thể đọc được, với X12 tuyên bố nó là một quá trình khó khăn hơn để xác định nếu yêu cầu bồi thường là đúng hoàn toàn.');
INSERT INTO `lang_definitions` VALUES (144899, 12106, 26, 'Bạn nên chọn ít nhất một bối cảnh');
INSERT INTO `lang_definitions` VALUES (144900, 12107, 26, 'Bạn nên chọn ít nhất một nhà cung cấp');
INSERT INTO `lang_definitions` VALUES (144901, 12122, 26, 'Ngày cuối cùng của bạn là không hợp lệ');
INSERT INTO `lang_definitions` VALUES (144902, 12123, 26, 'Sự kiện của bạn đã bị xóa.');
INSERT INTO `lang_definitions` VALUES (144903, 12124, 26, 'Sự kiện của bạn đã được sửa đổi.');
INSERT INTO `lang_definitions` VALUES (144904, 12125, 26, 'Sự kiện của bạn đã được gửi.');
INSERT INTO `lang_definitions` VALUES (144905, 12127, 26, 'Tập tin của bạn quá lớn');
INSERT INTO `lang_definitions` VALUES (144906, 12132, 26, 'Tên danh sách của bạn đã được thay đổi để đáp ứng các yêu cầu đặt tên.');
INSERT INTO `lang_definitions` VALUES (144907, 12134, 26, 'Tên của bạn cho thể loại này, thủ tục hoặc kết quả');
INSERT INTO `lang_definitions` VALUES (144908, 12140, 26, 'Mật khẩu của bạn hết hạn. Xin vui lòng thay đổi mật khẩu của bạn.');
INSERT INTO `lang_definitions` VALUES (144909, 12141, 26, 'Mật khẩu của bạn Ngày hết hạn trên');
INSERT INTO `lang_definitions` VALUES (144910, 12143, 26, 'Mật khẩu của bạn hết hạn ngày hôm nay. Xin vui lòng thay đổi mật khẩu của bạn.');
INSERT INTO `lang_definitions` VALUES (144911, 12146, 26, 'Cấu hình PostCalendar của bạn đã được thiết lập lại để sử dụng mặc định.');
INSERT INTO `lang_definitions` VALUES (144912, 12147, 26, 'Cấu hình PostCalendar của bạn đã được cập nhật.');
INSERT INTO `lang_definitions` VALUES (144913, 12148, 26, 'Tần số của bạn lặp đi lặp lại phải là số nguyên.');
INSERT INTO `lang_definitions` VALUES (144914, 12149, 26, 'Tần số lặp đi lặp lại của bạn phải có ít nhất 1.');
INSERT INTO `lang_definitions` VALUES (144915, 12151, 26, 'Ngày bắt đầu của bạn lớn hơn so với ngày cuối cùng của bạn');
INSERT INTO `lang_definitions` VALUES (144916, 12152, 26, 'Ngày bắt đầu của bạn là không hợp lệ');
INSERT INTO `lang_definitions` VALUES (144917, 12153, 26, 'Trình của bạn không thành công.');
INSERT INTO `lang_definitions` VALUES (144918, 12156, 26, 'năm-tháng-ngày');
INSERT INTO `lang_definitions` VALUES (144919, 12157, 26, 'NĂM-THÁNG-NGÀY');
INSERT INTO `lang_definitions` VALUES (144920, 12158, 26, 'năm-tháng-ngày ngày được gán cho tài liệu này');
INSERT INTO `lang_definitions` VALUES (144921, 12159, 26, 'năm-tháng-ngày ngày hủy');
INSERT INTO `lang_definitions` VALUES (144922, 12160, 26, 'năm-tháng-ngày ngày sinh');
INSERT INTO `lang_definitions` VALUES (144923, 12161, 26, 'năm-tháng-ngày Ngày Sinh');
INSERT INTO `lang_definitions` VALUES (144924, 12162, 26, 'năm-tháng-ngày ngày hết hạn');
INSERT INTO `lang_definitions` VALUES (144925, 12163, 26, 'năm-tháng-ngày ngày khởi phát hoặc nhập viện');
INSERT INTO `lang_definitions` VALUES (144926, 12164, 26, 'năm-tháng-ngày ngày khởi phát, phẫu thuật, hay bắt đầu điều trị');
INSERT INTO `lang_definitions` VALUES (144927, 12165, 26, 'năm-tháng-ngày ngày mua hoặc chuyển nhượng');
INSERT INTO `lang_definitions` VALUES (144928, 12166, 26, 'năm-tháng-ngày ngày hết bệnh hoặc sự điều trị');
INSERT INTO `lang_definitions` VALUES (144929, 12167, 26, 'năm-tháng-ngày Ngày trở lại để chơi');
INSERT INTO `lang_definitions` VALUES (144930, 12168, 26, 'năm-tháng-ngày Ngày làm dịch vụ');
INSERT INTO `lang_definitions` VALUES (144931, 12169, 26, 'năm-tháng-ngày ngày của lá thư này');
INSERT INTO `lang_definitions` VALUES (144932, 12170, 26, 'năm-tháng-ngày ngày trở lại để chơi');
INSERT INTO `lang_definitions` VALUES (144933, 12171, 26, 'năm-tháng-ngày ngày của tài liệu');
INSERT INTO `lang_definitions` VALUES (144934, 12173, 26, 'năm-tháng-ngày ngày của sự kiện hay bắt đầu từ ngày');
INSERT INTO `lang_definitions` VALUES (144935, 12178, 26, 'năm-tháng-ngày  giờ:phút:giây');
INSERT INTO `lang_definitions` VALUES (144936, 12180, 26, 'năm-tháng-ngày ngày cuối của sự kiện này');
INSERT INTO `lang_definitions` VALUES (144937, 12186, 26, 'Không');
INSERT INTO `lang_definitions` VALUES (144938, 12188, 26, 'Zip');
INSERT INTO `lang_definitions` VALUES (144939, 12189, 26, 'Mã Zip');
INSERT INTO `lang_definitions` VALUES (144940, 12191, 26, 'Zip/Quốc gia:');
INSERT INTO `lang_definitions` VALUES (144941, 12196, 26, 'Tiếng Zulu');
INSERT INTO `lang_definitions` VALUES (144942, 12197, 26, 'nhưng đã');
INSERT INTO `lang_definitions` VALUES (144943, 12198, 26, 'không thể truy cập.');
INSERT INTO `lang_definitions` VALUES (144944, 12199, 26, 'Bạn có thực sự muốn xóa');
INSERT INTO `lang_definitions` VALUES (144945, 12200, 26, 'Thuốc');
INSERT INTO `lang_definitions` VALUES (144946, 12201, 26, 'email không được gửi');
INSERT INTO `lang_definitions` VALUES (144947, 12202, 26, 'từ');
INSERT INTO `lang_definitions` VALUES (144948, 12203, 26, 'đã được tạo ra.');
INSERT INTO `lang_definitions` VALUES (144949, 12204, 26, 'đã được mở lại.');
INSERT INTO `lang_definitions` VALUES (144950, 12205, 26, 'Lịch sử');
INSERT INTO `lang_definitions` VALUES (144951, 12206, 26, 'không phải là một số');
INSERT INTO `lang_definitions` VALUES (144952, 12207, 26, 'đã sẵn sàng để thanh toán lại.');
INSERT INTO `lang_definitions` VALUES (144953, 12208, 26, 'LLL:');
INSERT INTO `lang_definitions` VALUES (144954, 12209, 26, 'Rất nhiều');
INSERT INTO `lang_definitions` VALUES (144955, 12210, 26, 'Medicaid gốc tham khảo số');
INSERT INTO `lang_definitions` VALUES (144956, 12211, 26, 'min');
INSERT INTO `lang_definitions` VALUES (144957, 12212, 26, 'không tìm thấy!');
INSERT INTO `lang_definitions` VALUES (144958, 12213, 26, 'Pecularities trong nhiều trình duyệt có thể có nghĩa rằng đầu ra dưới đây vào màn hình của bạn giật đột ngột và lâu dài có được tạm dừng vài giây mà nó xuất hiện như là mặc dù mọi thứ có thể đã bị rơi. Đó không phải là trường hợp, bạn cuối cùng sẽ thấy sản lượng đến từng dòng. Có thể có số thứ tự xuất hiện bên dưới, điều này là để chỉ ra rằng mặc dù không có gì khác có thể được hiển thị có hoạt động xảy ra. Những con số này sẽ được xen kẽ với các nội dung thanh toán và đó là bình thường.');
INSERT INTO `lang_definitions` VALUES (144959, 12214, 26, 'theo toa đã đạt đến giới hạn của nó về');
INSERT INTO `lang_definitions` VALUES (144960, 12215, 26, 'cho đến khi');
INSERT INTO `lang_definitions` VALUES (144961, 12216, 26, 'update không thành công, không phải trong cơ sở dữ liệu?');
INSERT INTO `lang_definitions` VALUES (144962, 12217, 26, 'được đánh dấu như lập hoá đơn chỉ.');
INSERT INTO `lang_definitions` VALUES (144963, 12218, 26, 'đã được xếp hàng đợi thành công.');
INSERT INTO `lang_definitions` VALUES (144964, 12219, 26, '! Còn lại w / o chuyến thăm');
INSERT INTO `lang_definitions` VALUES (144965, 12220, 26, 'Mã số');
INSERT INTO `lang_definitions` VALUES (144966, 12221, 26, '\" đã được kiểm tra trong cài đặt PostCalendar!');
INSERT INTO `lang_definitions` VALUES (144967, 12222, 26, '# Ins / vây vấn đề');
INSERT INTO `lang_definitions` VALUES (144968, 12223, 26, '# của viên nén:');
INSERT INTO `lang_definitions` VALUES (144969, 12224, 26, '$');
INSERT INTO `lang_definitions` VALUES (144970, 12225, 26, '$ Mã thực hiện');
INSERT INTO `lang_definitions` VALUES (144971, 12226, 26, '$label (năm-tháng-ngày):');
INSERT INTO `lang_definitions` VALUES (144972, 12227, 26, '%');
INSERT INTO `lang_definitions` VALUES (144973, 12228, 26, '% Hủy bỏ <24h');
INSERT INTO `lang_definitions` VALUES (144974, 12229, 26, '% Hủy bỏ <24h');
INSERT INTO `lang_definitions` VALUES (144975, 12230, 26, 'phải tồn tại nhưng lại không có.');
INSERT INTO `lang_definitions` VALUES (144976, 12231, 26, '(% để tìm chuỗi bất kỳ, _ để tiềm ký tự bất kỳ)');
INSERT INTO `lang_definitions` VALUES (144977, 12232, 26, '([ctrl] + nhấp để chọn nhiều người nhận)');
INSERT INTO `lang_definitions` VALUES (144978, 12233, 26, '(Quay lại)');
INSERT INTO `lang_definitions` VALUES (144979, 12234, 26, '(Nhấp vào đây để chỉnh sửa)');
INSERT INTO `lang_definitions` VALUES (144980, 12235, 26, '(Việc gửi Email được thực hiện ngay, trong khi VOIP tự động sẽ được gửi đến các nhà cung cấp dịch vụ để xử lý tiếp.)');
INSERT INTO `lang_definitions` VALUES (144981, 12236, 26, '(Nhiều hơn)');
INSERT INTO `lang_definitions` VALUES (144982, 12237, 26, '(Bệnh nhân Mới)');
INSERT INTO `lang_definitions` VALUES (144983, 12238, 26, '(Ghi chú và Ủy quyền)');
INSERT INTO `lang_definitions` VALUES (144984, 12239, 26, '(Ghi chú Bệnh nhân)');
INSERT INTO `lang_definitions` VALUES (144985, 12240, 26, '(Chọn một trong số này, hoặc gõ tiêu đề của riêng bạn)');
INSERT INTO `lang_definitions` VALUES (144986, 12241, 26, '(Giữ Shift) Bấm vào hoặc kéo để thay đổi giá trị');
INSERT INTO `lang_definitions` VALUES (144987, 12242, 26, '* Đã nhắc nhở');
INSERT INTO `lang_definitions` VALUES (144988, 12243, 26, '** Xin di chuyển phẫu thuật đến các Vấn đề!');
INSERT INTO `lang_definitions` VALUES (144989, 12244, 26, '*Yêu cầu');
INSERT INTO `lang_definitions` VALUES (144990, 12245, 26, '+ Đã vẽ biểu đồ');
INSERT INTO `lang_definitions` VALUES (144991, 12249, 26, '- Không có');
INSERT INTO `lang_definitions` VALUES (144992, 12253, 26, '.');
INSERT INTO `lang_definitions` VALUES (144993, 12254, 26, '0');
INSERT INTO `lang_definitions` VALUES (144994, 12255, 26, '0-10');
INSERT INTO `lang_definitions` VALUES (144995, 12256, 26, '0-24');
INSERT INTO `lang_definitions` VALUES (144996, 12259, 26, '1');
INSERT INTO `lang_definitions` VALUES (144997, 12260, 26, '1 = Bắc Mỹ. Xem danh sách các mã quốc gia khác tại http://www.wtng.info/.');
INSERT INTO `lang_definitions` VALUES (144998, 12261, 26, '1 Ngày Sau');
INSERT INTO `lang_definitions` VALUES (144999, 12262, 26, '1 Tháng Sau');
INSERT INTO `lang_definitions` VALUES (145000, 12263, 26, '1 Tuần Sau');
INSERT INTO `lang_definitions` VALUES (145001, 12264, 26, '1 Năm Sau');
INSERT INTO `lang_definitions` VALUES (145002, 12265, 26, '1.Nghỉ ngơi 2. Chườm nước đá trong hai ngày 3. Bó chặt, để nguyên băng, trừ khi bàn chân tê dần hoặc chuyển màu nhợt nhạt 4. Nâng cao bàn chân và cẳng chân');
INSERT INTO `lang_definitions` VALUES (145003, 12266, 26, '11-14');
INSERT INTO `lang_definitions` VALUES (145004, 12267, 26, '12 giờ');
INSERT INTO `lang_definitions` VALUES (145005, 12268, 26, '15-19');
INSERT INTO `lang_definitions` VALUES (145006, 12272, 26, '2');
INSERT INTO `lang_definitions` VALUES (145007, 12273, 26, '2 Ngày Sau');
INSERT INTO `lang_definitions` VALUES (145008, 12274, 26, '2 Tháng Sau');
INSERT INTO `lang_definitions` VALUES (145009, 12275, 26, '2 Tuần Sau');
INSERT INTO `lang_definitions` VALUES (145010, 12276, 26, '2 Năm Sau');
INSERT INTO `lang_definitions` VALUES (145011, 12278, 26, '20-24');
INSERT INTO `lang_definitions` VALUES (145012, 12287, 26, '2111-13');
INSERT INTO `lang_definitions` VALUES (145013, 12288, 26, '24 giờ');
INSERT INTO `lang_definitions` VALUES (145014, 12289, 26, '25 +');
INSERT INTO `lang_definitions` VALUES (145015, 12290, 26, '25-29');
INSERT INTO `lang_definitions` VALUES (145016, 12293, 26, 'lần thứ 2');
INSERT INTO `lang_definitions` VALUES (145017, 12296, 26, '3 Ngày Sau');
INSERT INTO `lang_definitions` VALUES (145018, 12297, 26, '3 tháng');
INSERT INTO `lang_definitions` VALUES (145019, 12298, 26, '3 Tháng Sau');
INSERT INTO `lang_definitions` VALUES (145020, 12299, 26, '3 lần mỗi ngày');
INSERT INTO `lang_definitions` VALUES (145021, 12300, 26, '3 Tuần Sau');
INSERT INTO `lang_definitions` VALUES (145022, 12301, 26, '30-34');
INSERT INTO `lang_definitions` VALUES (145023, 12302, 26, '35-39');
INSERT INTO `lang_definitions` VALUES (145024, 12304, 26, 'lần thứ 3');
INSERT INTO `lang_definitions` VALUES (145025, 12307, 26, '4 Ngày Sau');
INSERT INTO `lang_definitions` VALUES (145026, 12308, 26, '4 tháng');
INSERT INTO `lang_definitions` VALUES (145027, 12309, 26, '4 Tháng Sau');
INSERT INTO `lang_definitions` VALUES (145028, 12310, 26, '4 lần mỗi ngày');
INSERT INTO `lang_definitions` VALUES (145029, 12311, 26, '4 Tuần Sau');
INSERT INTO `lang_definitions` VALUES (145030, 12312, 26, '40-44');
INSERT INTO `lang_definitions` VALUES (145031, 12313, 26, '45 +');
INSERT INTO `lang_definitions` VALUES (145032, 12314, 26, '465,9, URI');
INSERT INTO `lang_definitions` VALUES (145033, 12315, 26, '466,0, viêm phế quản cấp tính NOS');
INSERT INTO `lang_definitions` VALUES (145034, 12316, 26, '486,0, viêm phổi, cấp tính');
INSERT INTO `lang_definitions` VALUES (145035, 12317, 26, '491,21, COPD trầm trọng hơn');
INSERT INTO `lang_definitions` VALUES (145036, 12318, 26, '491,8, viêm phế quản, mãn tính');
INSERT INTO `lang_definitions` VALUES (145037, 12319, 26, '493,92, hen suyễn, Exac cấp tính.');
INSERT INTO `lang_definitions` VALUES (145038, 12320, 26, '496,0, COPD');
INSERT INTO `lang_definitions` VALUES (145039, 12323, 26, 'lần thứ 4');
INSERT INTO `lang_definitions` VALUES (145040, 12326, 26, '5 Ngày Sau');
INSERT INTO `lang_definitions` VALUES (145041, 12327, 26, '5 Tháng Sau');
INSERT INTO `lang_definitions` VALUES (145042, 12328, 26, '5 Tuần Sau');
INSERT INTO `lang_definitions` VALUES (145043, 12329, 26, '519,7, Co thắt phế quản');
INSERT INTO `lang_definitions` VALUES (145044, 12331, 26, 'lần thứ 5');
INSERT INTO `lang_definitions` VALUES (145045, 12333, 26, '6 Ngày Sau');
INSERT INTO `lang_definitions` VALUES (145046, 12334, 26, '6 tháng');
INSERT INTO `lang_definitions` VALUES (145047, 12335, 26, '6 Tháng Sau');
INSERT INTO `lang_definitions` VALUES (145048, 12336, 26, '6 Tuần Sau');
INSERT INTO `lang_definitions` VALUES (145049, 12337, 26, 'lần thứ 6');
INSERT INTO `lang_definitions` VALUES (145050, 12339, 26, '7 Tháng Sau');
INSERT INTO `lang_definitions` VALUES (145051, 12340, 26, '8 Tháng Sau');
INSERT INTO `lang_definitions` VALUES (145052, 12342, 26, '824,0 Gãy xương, mắt cá giữa, kín');
INSERT INTO `lang_definitions` VALUES (145053, 12343, 26, '824,2 Gãy xương, mắt cá bên, kín');
INSERT INTO `lang_definitions` VALUES (145054, 12344, 26, '824,6 Gãy xương,3 Mắt cá , kín');
INSERT INTO `lang_definitions` VALUES (145055, 12345, 26, '825,32 Gãy xương, Xương ghe (mắt cá)');
INSERT INTO `lang_definitions` VALUES (145056, 12346, 26, '825,35 Gãy xương, cơ sở của 5 (thứ 5) xương bàn chân');
INSERT INTO `lang_definitions` VALUES (145057, 12347, 26, '845,00 mắt cá chân bị bong gân NOS');
INSERT INTO `lang_definitions` VALUES (145058, 12348, 26, '845,01 Bong gân giữa ( cơ Delta)');
INSERT INTO `lang_definitions` VALUES (145059, 12349, 26, '845,02 Bong gân, Calcaneal fibular');
INSERT INTO `lang_definitions` VALUES (145060, 12350, 26, '9 Tháng Sau');
INSERT INTO `lang_definitions` VALUES (145061, 12351, 26, '99212 Thành lập - không biến chứng');
INSERT INTO `lang_definitions` VALUES (145062, 12352, 26, '99213 Thành lập - Ít phức tạp');
INSERT INTO `lang_definitions` VALUES (145063, 12353, 26, '< Trong phòng kiểm tra');
INSERT INTO `lang_definitions` VALUES (145064, 12357, 26, '> Kiểm tra ra');
INSERT INTO `lang_definitions` VALUES (145065, 12361, 26, '? Không đến');
INSERT INTO `lang_definitions` VALUES (145066, 12362, 26, '@ Đã đến');
INSERT INTO `lang_definitions` VALUES (145067, 12364, 26, '[Thay đổi xem]');
INSERT INTO `lang_definitions` VALUES (145068, 12365, 26, '[Ngày khám trước]');
INSERT INTO `lang_definitions` VALUES (145069, 12366, 26, '[Số ngày từ lần khám trước]');
INSERT INTO `lang_definitions` VALUES (145070, 12367, 26, '[EOBs]');
INSERT INTO `lang_definitions` VALUES (145071, 12368, 26, '[Xuất OFX]');
INSERT INTO `lang_definitions` VALUES (145072, 12369, 26, '[Không nên]');
INSERT INTO `lang_definitions` VALUES (145073, 12370, 26, '[Số lần gặp]');
INSERT INTO `lang_definitions` VALUES (145074, 12371, 26, '[Báo cáo]');
INSERT INTO `lang_definitions` VALUES (145075, 12372, 26, '[Chọn tất cả]');
INSERT INTO `lang_definitions` VALUES (145076, 12373, 26, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (145077, 12374, 26, '[Bắt đầu xử lý theo khối]');
INSERT INTO `lang_definitions` VALUES (145078, 12375, 26, '[Xem Đăng nhập]');
INSERT INTO `lang_definitions` VALUES (145079, 12376, 26, '[Xem Báo cáo có thể in]');
INSERT INTO `lang_definitions` VALUES (145080, 12378, 26, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (145081, 12379, 26, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (145082, 12380, 26, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (145083, 12381, 26, '~ Đến muộn');
INSERT INTO `lang_definitions` VALUES (145084, 1, 27, 'nje');
INSERT INTO `lang_definitions` VALUES (145085, 2, 27, 'Numer fature');
INSERT INTO `lang_definitions` VALUES (145086, 4, 27, 'Nje certifikate klienti per perdoruesin me te drejta administrimi');
INSERT INTO `lang_definitions` VALUES (145087, 6, 27, 'Dokumenti i klinikës është bashkangjitur');
INSERT INTO `lang_definitions` VALUES (145088, 7, 27, 'Dokumenti i klinikës është bashkangjitur.');
INSERT INTO `lang_definitions` VALUES (145089, 8, 27, 'Nje shifer e ketij lloji eshte zgjedhur. Fshije fushen se pari nese duhet ta ndryshoni.');
INSERT INTO `lang_definitions` VALUES (145090, 13, 27, 'Nevojitet nje distributor');
INSERT INTO `lang_definitions` VALUES (145091, 17, 27, 'Nje formular konsulte tek GCAC duhet shtuar tek kjo vizite');
INSERT INTO `lang_definitions` VALUES (145092, 20, 27, 'Numri i lotit nevojitet');
INSERT INTO `lang_definitions` VALUES (145093, 21, 27, 'Numri i lotit nevojitet!');
INSERT INTO `lang_definitions` VALUES (145094, 22, 27, 'shkronje e vogel');
INSERT INTO `lang_definitions` VALUES (145095, 28, 27, 'numer');
INSERT INTO `lang_definitions` VALUES (145096, 29, 27, 'Një pacient duhet të zgjidhet që të gjeneroj këtë raport');
INSERT INTO `lang_definitions` VALUES (145097, 30, 27, 'Pacienti me kete ID ekziston');
INSERT INTO `lang_definitions` VALUES (145098, 31, 27, 'Ne sistem aktualisht egziston nje pacient me kete emer.');
INSERT INTO `lang_definitions` VALUES (145099, 32, 27, 'Nee pacient me kete SS egziston aktualisht.');
INSERT INTO `lang_definitions` VALUES (145100, 36, 27, 'Numri pozitiv do te tregoj aq vizita te kaluara ne ekranin permbledhes te pacientit (numri negativ do te tregoj vizitat e kaluara ne radhitje lart-poshte)');
INSERT INTO `lang_definitions` VALUES (145101, 37, 27, 'Numri pozitiv do te tregoj aq vizita te kaluara ne ekranin permbledhes te pacientit');
INSERT INTO `lang_definitions` VALUES (145102, 43, 27, 'Per cdo vizite mund te specifikohet personi rekomandues.');
INSERT INTO `lang_definitions` VALUES (145103, 44, 27, 'Numri referues IPPF kerkohet!');
INSERT INTO `lang_definitions` VALUES (145104, 49, 27, 'Nje karakter special');
INSERT INTO `lang_definitions` VALUES (145105, 53, 27, 'Nje vlere unike per te identifikuar kete fushe, e padukshme per perduruesin');
INSERT INTO `lang_definitions` VALUES (145106, 56, 27, 'Vizita ekziston per kete pacient, sot. Kliko Anulo per te hapur ate, ose OK per te vazhduar me krijimin e nje vizite te re.');
INSERT INTO `lang_definitions` VALUES (145107, 57, 27, 'a.c.');
INSERT INTO `lang_definitions` VALUES (145108, 58, 27, 'a.m.');
INSERT INTO `lang_definitions` VALUES (145109, 60, 27, 'A/F Niveli i djathte:');
INSERT INTO `lang_definitions` VALUES (145110, 62, 27, 'AB');
INSERT INTO `lang_definitions` VALUES (145111, 63, 27, 'Shkurtim');
INSERT INTO `lang_definitions` VALUES (145112, 64, 27, 'Abces:');
INSERT INTO `lang_definitions` VALUES (145113, 65, 27, 'Abdominal');
INSERT INTO `lang_definitions` VALUES (145114, 66, 27, 'I Afte te Perballoje Pesha kater (4) hapat:');
INSERT INTO `lang_definitions` VALUES (145115, 67, 27, 'Abn');
INSERT INTO `lang_definitions` VALUES (145116, 68, 27, 'ABN1');
INSERT INTO `lang_definitions` VALUES (145117, 70, 27, 'Anormal');
INSERT INTO `lang_definitions` VALUES (145118, 71, 27, 'Analize gjaku jo normale');
INSERT INTO `lang_definitions` VALUES (145119, 72, 27, 'Rritje flokesh jo normale');
INSERT INTO `lang_definitions` VALUES (145120, 73, 27, 'Mamograme jo normale');
INSERT INTO `lang_definitions` VALUES (145121, 74, 27, 'Abort');
INSERT INTO `lang_definitions` VALUES (145122, 75, 27, 'Abort');
INSERT INTO `lang_definitions` VALUES (145123, 76, 27, 'Probleme aborti');
INSERT INTO `lang_definitions` VALUES (145124, 77, 27, 'Metode aborti');
INSERT INTO `lang_definitions` VALUES (145125, 78, 27, 'Kategori aborti');
INSERT INTO `lang_definitions` VALUES (145126, 79, 27, 'Aborte');
INSERT INTO `lang_definitions` VALUES (145127, 82, 27, 'Rreth kalendarit');
INSERT INTO `lang_definitions` VALUES (145128, 84, 27, 'Mbij kufijt e sipërm të frikës(panikut)');
INSERT INTO `lang_definitions` VALUES (145129, 85, 27, 'Mungesa nga diagnoza');
INSERT INTO `lang_definitions` VALUES (145130, 87, 27, 'Prano detyren');
INSERT INTO `lang_definitions` VALUES (145131, 89, 27, 'Prano pagesen per');
INSERT INTO `lang_definitions` VALUES (145132, 90, 27, 'Pranim pagese per');
INSERT INTO `lang_definitions` VALUES (145133, 91, 27, 'Pranon detyren');
INSERT INTO `lang_definitions` VALUES (145134, 93, 27, 'Kontroll aksesi');
INSERT INTO `lang_definitions` VALUES (145135, 94, 27, 'Lista e administrimit te kontrollit te aksesit');
INSERT INTO `lang_definitions` VALUES (145136, 98, 27, 'Data e qasjes');
INSERT INTO `lang_definitions` VALUES (145137, 102, 27, 'Aksesi nuk lejohet');
INSERT INTO `lang_definitions` VALUES (145138, 103, 27, 'Qasja nuk ështe autorizuar');
INSERT INTO `lang_definitions` VALUES (145139, 105, 27, 'Akseso portalin e pacientit tuaj');
INSERT INTO `lang_definitions` VALUES (145140, 106, 27, 'Fatëkeqësi');
INSERT INTO `lang_definitions` VALUES (145141, 109, 27, 'ID e llogarise eshte dhene per sherbimet NewCrop eRx, shfrytezuar per te ndare llogarite shume objektesh');
INSERT INTO `lang_definitions` VALUES (145142, 113, 27, 'Emer llogarie');
INSERT INTO `lang_definitions` VALUES (145143, 114, 27, 'Emri i llogarise eshte dhene per sherbimet NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (145144, 115, 27, 'Fjalekalimi i llogarise eshte dhene per sherbimet NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (145145, 117, 27, 'Kontabilitet');
INSERT INTO `lang_definitions` VALUES (145146, 120, 27, 'LLog');
INSERT INTO `lang_definitions` VALUES (145147, 122, 27, 'Dhimbje');
INSERT INTO `lang_definitions` VALUES (145148, 124, 27, 'Kerkohet njohje nga ISA14');
INSERT INTO `lang_definitions` VALUES (145149, 125, 27, 'Njohje, licensim dhe certifikim');
INSERT INTO `lang_definitions` VALUES (145150, 126, 27, 'ACL');
INSERT INTO `lang_definitions` VALUES (145151, 127, 27, 'Administrimi i ACL');
INSERT INTO `lang_definitions` VALUES (145152, 129, 27, 'Nuk shte autorizuar administrimi i ACL');
INSERT INTO `lang_definitions` VALUES (145153, 132, 27, 'ACL është rifreskuar me sukses');
INSERT INTO `lang_definitions` VALUES (145154, 133, 27, 'Akne');
INSERT INTO `lang_definitions` VALUES (145155, 136, 27, 'Akt');
INSERT INTO `lang_definitions` VALUES (145156, 137, 27, 'Date akti');
INSERT INTO `lang_definitions` VALUES (145157, 138, 27, 'Veprimi');
INSERT INTO `lang_definitions` VALUES (145158, 142, 27, 'Veprime');
INSERT INTO `lang_definitions` VALUES (145159, 143, 27, 'Aktivizo');
INSERT INTO `lang_definitions` VALUES (145160, 144, 27, 'Aktivizo rapotimet CCR/CCD');
INSERT INTO `lang_definitions` VALUES (145161, 148, 27, 'Aktiv');
INSERT INTO `lang_definitions` VALUES (145162, 150, 27, 'Lajmerim aktiv');
INSERT INTO `lang_definitions` VALUES (145163, 152, 27, 'Rregulla lajmerimi aktiv');
INSERT INTO `lang_definitions` VALUES (145164, 153, 27, 'Lajmerime/kujtese aktive');
INSERT INTO `lang_definitions` VALUES (145165, 158, 27, 'Takim aktiv');
INSERT INTO `lang_definitions` VALUES (145166, 159, 27, 'Shifrat e Problemeve Aktive');
INSERT INTO `lang_definitions` VALUES (145167, 160, 27, 'Liste aktive');
INSERT INTO `lang_definitions` VALUES (145168, 162, 27, 'Pacient aktive');
INSERT INTO `lang_definitions` VALUES (145169, 163, 27, 'Plane aktive');
INSERT INTO `lang_definitions` VALUES (145170, 173, 27, 'Aktivitet');
INSERT INTO `lang_definitions` VALUES (145171, 174, 27, 'Lloj aktiviteti');
INSERT INTO `lang_definitions` VALUES (145172, 175, 27, 'Te Hyrat Aktuale');
INSERT INTO `lang_definitions` VALUES (145173, 185, 27, 'Helmim akut/Tërheqje');
INSERT INTO `lang_definitions` VALUES (145174, 186, 27, 'Manifestim akut i gjendjes kronike');
INSERT INTO `lang_definitions` VALUES (145175, 187, 27, 'Kornike akute');
INSERT INTO `lang_definitions` VALUES (145176, 189, 27, 'Shto');
INSERT INTO `lang_definitions` VALUES (145177, 190, 27, 'shto');
INSERT INTO `lang_definitions` VALUES (145178, 191, 27, 'SHTO');
INSERT INTO `lang_definitions` VALUES (145179, 192, 27, 'Shto nje kompani');
INSERT INTO `lang_definitions` VALUES (145180, 193, 27, 'Shto nje kusht');
INSERT INTO `lang_definitions` VALUES (145181, 197, 27, 'Shto nje farmaci');
INSERT INTO `lang_definitions` VALUES (145182, 199, 27, 'Shto te gjitha rregullate per planifikim');
INSERT INTO `lang_definitions` VALUES (145183, 200, 27, 'shto nje ngjarje per');
INSERT INTO `lang_definitions` VALUES (145184, 202, 27, 'Shto si shenim te ri');
INSERT INTO `lang_definitions` VALUES (145185, 203, 27, 'Shto si \"i Ri\"');
INSERT INTO `lang_definitions` VALUES (145186, 204, 27, 'Shto si pacient i ri');
INSERT INTO `lang_definitions` VALUES (145187, 206, 27, 'Shto buton');
INSERT INTO `lang_definitions` VALUES (145188, 207, 27, 'Shto Butona per Karakteret e Vecanta, Tekst per tu afishuar ne krye te edituesit per t\'ju shtuar tekstit me ane te Klikimit');
INSERT INTO `lang_definitions` VALUES (145189, 208, 27, 'Shto kategori');
INSERT INTO `lang_definitions` VALUES (145190, 209, 27, 'Shto konstante');
INSERT INTO `lang_definitions` VALUES (145191, 210, 27, 'Shto kontext');
INSERT INTO `lang_definitions` VALUES (145192, 211, 27, 'Shto pagese plani sigurimi');
INSERT INTO `lang_definitions` VALUES (145193, 212, 27, 'Shto kriter');
INSERT INTO `lang_definitions` VALUES (145194, 213, 27, 'Shto buton te modifikueshem');
INSERT INTO `lang_definitions` VALUES (145195, 216, 27, 'Shto diagnoze');
INSERT INTO `lang_definitions` VALUES (145196, 217, 27, 'Shto medikament');
INSERT INTO `lang_definitions` VALUES (145197, 220, 27, 'Shto vizite');
INSERT INTO `lang_definitions` VALUES (145198, 221, 27, 'Shto shenime mbi viziten');
INSERT INTO `lang_definitions` VALUES (145199, 222, 27, 'Shto facilitetin');
INSERT INTO `lang_definitions` VALUES (145200, 223, 27, 'Shto fushe');
INSERT INTO `lang_definitions` VALUES (145201, 224, 27, 'Shto linja e meposhteme tek file i konfigurimit te Apache-s');
INSERT INTO `lang_definitions` VALUES (145202, 225, 27, 'Shto Grup');
INSERT INTO `lang_definitions` VALUES (145203, 227, 27, 'Shto kod ICD');
INSERT INTO `lang_definitions` VALUES (145204, 228, 27, 'Shto imunizim');
INSERT INTO `lang_definitions` VALUES (145205, 229, 27, 'Shtimi nuk eshte autorizuar');
INSERT INTO `lang_definitions` VALUES (145206, 230, 27, 'Shto ankese');
INSERT INTO `lang_definitions` VALUES (145207, 231, 27, 'Shto emertimi per te percjellur');
INSERT INTO `lang_definitions` VALUES (145208, 232, 27, 'Shto nje gjuhe');
INSERT INTO `lang_definitions` VALUES (145209, 238, 27, 'Shto te Re');
INSERT INTO `lang_definitions` VALUES (145210, 239, 27, 'Shto te re');
INSERT INTO `lang_definitions` VALUES (145211, 240, 27, 'Shto kategori te re:');
INSERT INTO `lang_definitions` VALUES (145212, 241, 27, 'Shto certifikata te reja tek file i konfigurimit te Apache-s');
INSERT INTO `lang_definitions` VALUES (145213, 242, 27, 'Shto komponent të ri');
INSERT INTO `lang_definitions` VALUES (145214, 243, 27, 'Shto komponente të reja');
INSERT INTO `lang_definitions` VALUES (145215, 249, 27, 'Shto grup te ri');
INSERT INTO `lang_definitions` VALUES (145216, 250, 27, 'Shto problem të ri');
INSERT INTO `lang_definitions` VALUES (145217, 251, 27, 'Shto nje lot te ri dhe transaksion');
INSERT INTO `lang_definitions` VALUES (145218, 253, 27, 'Shto shenim te ri');
INSERT INTO `lang_definitions` VALUES (145219, 254, 27, 'Shto shenim te ri');
INSERT INTO `lang_definitions` VALUES (145220, 255, 27, 'Shto partner te ri');
INSERT INTO `lang_definitions` VALUES (145221, 256, 27, 'Shto Pacient te Ri');
INSERT INTO `lang_definitions` VALUES (145222, 257, 27, 'SHTO PLAN TE RI');
INSERT INTO `lang_definitions` VALUES (145223, 264, 27, 'Shto shenim');
INSERT INTO `lang_definitions` VALUES (145224, 268, 27, 'Shto te dhena pacienti');
INSERT INTO `lang_definitions` VALUES (145225, 269, 27, 'Shto recete');
INSERT INTO `lang_definitions` VALUES (145226, 270, 27, 'Shto Procedure');
INSERT INTO `lang_definitions` VALUES (145227, 271, 27, 'Shto numer provideri');
INSERT INTO `lang_definitions` VALUES (145228, 273, 27, 'Shto rehabilitim');
INSERT INTO `lang_definitions` VALUES (145229, 274, 27, 'Shto rregull');
INSERT INTO `lang_definitions` VALUES (145230, 277, 27, 'Shto');
INSERT INTO `lang_definitions` VALUES (145231, 281, 27, 'Shto ne listen e mjekimeve');
INSERT INTO `lang_definitions` VALUES (145232, 282, 27, 'Shto nivel maksimal');
INSERT INTO `lang_definitions` VALUES (145233, 283, 27, 'Shto transaksion');
INSERT INTO `lang_definitions` VALUES (145234, 284, 27, 'Shto perdorues');
INSERT INTO `lang_definitions` VALUES (145235, 285, 27, 'Shto perdoruesin tek nje grup');
INSERT INTO `lang_definitions` VALUES (145236, 287, 27, 'Shto/Modifiko eRx');
INSERT INTO `lang_definitions` VALUES (145237, 289, 27, 'Shto/Modifik Transaksionin e Pacientit');
INSERT INTO `lang_definitions` VALUES (145238, 290, 27, 'u shtua');
INSERT INTO `lang_definitions` VALUES (145239, 293, 27, 'Nuk lejohet shtimi i te dhenave demografike.');
INSERT INTO `lang_definitions` VALUES (145240, 294, 27, 'Shtimi i emertimit per percjellje deshtoi');
INSERT INTO `lang_definitions` VALUES (145241, 295, 27, 'Sindrom Addison-i');
INSERT INTO `lang_definitions` VALUES (145242, 296, 27, 'Sindroma e Addison-it');
INSERT INTO `lang_definitions` VALUES (145243, 297, 27, 'Atribute shtese');
INSERT INTO `lang_definitions` VALUES (145244, 300, 27, 'Diagnoze shtese:');
INSERT INTO `lang_definitions` VALUES (145245, 305, 27, 'Te dhena historike shtese');
INSERT INTO `lang_definitions` VALUES (145246, 306, 27, 'Shenime historike shtese');
INSERT INTO `lang_definitions` VALUES (145247, 307, 27, 'Informacion i metejshem');
INSERT INTO `lang_definitions` VALUES (145248, 310, 27, 'Laboratore shtese');
INSERT INTO `lang_definitions` VALUES (145249, 311, 27, 'Shenime shtese');
INSERT INTO `lang_definitions` VALUES (145250, 313, 27, 'Shtoni shenimet per kete rezultat ose rekomandimet');
INSERT INTO `lang_definitions` VALUES (145251, 314, 27, 'Shenime shtese:');
INSERT INTO `lang_definitions` VALUES (145252, 315, 27, 'Shenime shtese:');
INSERT INTO `lang_definitions` VALUES (145253, 317, 27, 'Shenime te tjera per examinimin X-RAY:');
INSERT INTO `lang_definitions` VALUES (145254, 318, 27, 'Përveç kësaj, pakoja korrespondon me US Snomed Extension Package mund të importohen veçmas pas instalimit (versioni anglisht) International Snomed Release');
INSERT INTO `lang_definitions` VALUES (145255, 320, 27, 'vetem mund te shtohet');
INSERT INTO `lang_definitions` VALUES (145256, 322, 27, 'Liber adresash');
INSERT INTO `lang_definitions` VALUES (145257, 323, 27, 'Liber adresash');
INSERT INTO `lang_definitions` VALUES (145258, 324, 27, 'Adresa');
INSERT INTO `lang_definitions` VALUES (145259, 325, 27, 'Adresa dhe Kodi Postal');
INSERT INTO `lang_definitions` VALUES (145260, 326, 27, 'Adresa dhe Shteti');
INSERT INTO `lang_definitions` VALUES (145261, 327, 27, 'Liber adresash');
INSERT INTO `lang_definitions` VALUES (145262, 328, 27, 'Te dhena per adresen e komapnise qe kryen proceduren');
INSERT INTO `lang_definitions` VALUES (145263, 329, 27, 'Te dhena per adresen e distributorit');
INSERT INTO `lang_definitions` VALUES (145264, 330, 27, 'Te dhena per adresen e shitesit');
INSERT INTO `lang_definitions` VALUES (145265, 331, 27, 'Llojet e librit te adresave');
INSERT INTO `lang_definitions` VALUES (145266, 332, 27, 'Shenja e Adreses');
INSERT INTO `lang_definitions` VALUES (145267, 333, 27, 'Shenjat e Adreses');
INSERT INTO `lang_definitions` VALUES (145268, 336, 27, 'Vetem Adresa');
INSERT INTO `lang_definitions` VALUES (145269, 338, 27, 'Adresa, Vendi dhe Kodi Postal');
INSERT INTO `lang_definitions` VALUES (145270, 339, 27, 'Adresa 1');
INSERT INTO `lang_definitions` VALUES (145271, 340, 27, 'Adresa 2');
INSERT INTO `lang_definitions` VALUES (145272, 342, 27, 'MARRESI');
INSERT INTO `lang_definitions` VALUES (145273, 345, 27, 'Ndryshim');
INSERT INTO `lang_definitions` VALUES (145274, 346, 27, 'Shuma e ndryshuar');
INSERT INTO `lang_definitions` VALUES (145275, 347, 27, 'Rregullo');
INSERT INTO `lang_definitions` VALUES (145276, 348, 27, 'Rregullim');
INSERT INTO `lang_definitions` VALUES (145277, 349, 27, 'Shuma e rregullimit');
INSERT INTO `lang_definitions` VALUES (145278, 350, 27, 'Arsyeja e rregullimit');
INSERT INTO `lang_definitions` VALUES (145279, 352, 27, 'Vlera e regullimit per kodin');
INSERT INTO `lang_definitions` VALUES (145280, 353, 27, 'Rregullime');
INSERT INTO `lang_definitions` VALUES (145281, 354, 27, 'Administri rregullime');
INSERT INTO `lang_definitions` VALUES (145282, 355, 27, 'Administrator');
INSERT INTO `lang_definitions` VALUES (145283, 356, 27, 'Emaili i Administratorit');
INSERT INTO `lang_definitions` VALUES (145284, 357, 27, 'Administruar nepermjet');
INSERT INTO `lang_definitions` VALUES (145285, 359, 27, 'E administruar');
INSERT INTO `lang_definitions` VALUES (145286, 360, 27, 'Administruat nga');
INSERT INTO `lang_definitions` VALUES (145287, 361, 27, 'Rata e Administruar');
INSERT INTO `lang_definitions` VALUES (145288, 362, 27, 'Faqja e Administruar');
INSERT INTO `lang_definitions` VALUES (145289, 363, 27, 'Administrim');
INSERT INTO `lang_definitions` VALUES (145290, 365, 27, 'Administrimi i Faqes');
INSERT INTO `lang_definitions` VALUES (145291, 366, 27, 'Administratore');
INSERT INTO `lang_definitions` VALUES (145292, 367, 27, 'Administratoret mund te bejne cdo gje');
INSERT INTO `lang_definitions` VALUES (145293, 368, 27, 'Data e Pranuar');
INSERT INTO `lang_definitions` VALUES (145294, 370, 27, 'Femiu i Adoptuar');
INSERT INTO `lang_definitions` VALUES (145295, 371, 27, 'Matje peshe rutine dhe vizite pasuese');
INSERT INTO `lang_definitions` VALUES (145296, 372, 27, 'Matje peshe rutine dhe vizite pasuese (CQM)');
INSERT INTO `lang_definitions` VALUES (145297, 373, 27, 'Direktive e avancuara');
INSERT INTO `lang_definitions` VALUES (145298, 374, 27, 'Direktiva te avancuara');
INSERT INTO `lang_definitions` VALUES (145299, 375, 27, 'Paralajmerim per direktiva te avancuara');
INSERT INTO `lang_definitions` VALUES (145300, 376, 27, 'Opcionet Paraprake');
INSERT INTO `lang_definitions` VALUES (145301, 377, 27, 'E avancuar');
INSERT INTO `lang_definitions` VALUES (145302, 380, 27, 'Keshille');
INSERT INTO `lang_definitions` VALUES (145303, 381, 27, 'Larg');
INSERT INTO `lang_definitions` VALUES (145304, 382, 27, 'Ndikon normalisht');
INSERT INTO `lang_definitions` VALUES (145305, 383, 27, 'Afrikenet');
INSERT INTO `lang_definitions` VALUES (145306, 386, 27, 'Telefonata pas orarit te punes');
INSERT INTO `lang_definitions` VALUES (145307, 387, 27, 'Pas migrimit mekanizmi i vjeter i fjalekalimeve ku ato ruhen ne tabele eshte kompletuar, ky simbol duhet te vendoset ashtuqe vetem autentifikimi me metoden e re eshte i mundshem');
INSERT INTO `lang_definitions` VALUES (145308, 388, 27, 'Pas kryerjes se konfigurimeve te mesiperme, importoni certifikaten e klientit adminstrator ne browserin e internetit dhe ristartoni serverin Apache (passwordi bosh)');
INSERT INTO `lang_definitions` VALUES (145309, 390, 27, 'Pas ruajtjes se PDF-se, klikoni [Shiko Loget] per te pare per gabime');
INSERT INTO `lang_definitions` VALUES (145310, 393, 27, 'Pas ruajtjes se fileve TEKST, klikoni [Shiko Loget] per te pare per gabime');
INSERT INTO `lang_definitions` VALUES (145311, 396, 27, 'Pasi te keni ruajtur batch-in, kliko \"Shiko Logun\" per te parre gabimet.');
INSERT INTO `lang_definitions` VALUES (145312, 398, 27, 'Pas kesaj fusha do te tregoj ID e pacientit te zgjedhur , ose 0 per ta krijuar');
INSERT INTO `lang_definitions` VALUES (145313, 399, 27, 'Pasi te korrigjohen te dhenat, kliko butonin \"Ruaj\".');
INSERT INTO `lang_definitions` VALUES (145314, 400, 27, 'Pas Ngarkimi klikoni butonin \"Import\"');
INSERT INTO `lang_definitions` VALUES (145315, 404, 27, 'Planifikimi Pas Kujdesit');
INSERT INTO `lang_definitions` VALUES (145316, 406, 27, 'Perseri');
INSERT INTO `lang_definitions` VALUES (145317, 407, 27, 'Mosha');
INSERT INTO `lang_definitions` VALUES (145318, 409, 27, 'Moshe nga');
INSERT INTO `lang_definitions` VALUES (145319, 410, 27, 'Kategoria e moshes');
INSERT INTO `lang_definitions` VALUES (145320, 411, 27, 'Te dhenat mbi moshen jane jashte normave.');
INSERT INTO `lang_definitions` VALUES (145321, 412, 27, 'Formati i Paraqitjes se Viteve');
INSERT INTO `lang_definitions` VALUES (145322, 413, 27, 'Formati i moshes per \"forma e moshes\" nuk eshte i vlefshem');
INSERT INTO `lang_definitions` VALUES (145323, 414, 27, 'Formati i moshes per \"mosha deri ne\" nuk eshte i vlefshem');
INSERT INTO `lang_definitions` VALUES (145324, 415, 27, 'Formulari i moshes');
INSERT INTO `lang_definitions` VALUES (145325, 416, 27, 'Mosha në Vite për Paraqitje Ndryshim Formati');
INSERT INTO `lang_definitions` VALUES (145326, 417, 27, 'Mosha maksimale');
INSERT INTO `lang_definitions` VALUES (145327, 418, 27, 'Mosha minimale');
INSERT INTO `lang_definitions` VALUES (145328, 419, 27, 'Intervali i moshes');
INSERT INTO `lang_definitions` VALUES (145329, 420, 27, 'Kolonat e vjetersimit');
INSERT INTO `lang_definitions` VALUES (145330, 421, 27, 'Kollonat e vjetersimit:');
INSERT INTO `lang_definitions` VALUES (145331, 422, 27, 'Gana / Fildishi Akan (përkatësia etnike)');
INSERT INTO `lang_definitions` VALUES (145332, 423, 27, 'Shqip');
INSERT INTO `lang_definitions` VALUES (145333, 424, 27, 'Alkol');
INSERT INTO `lang_definitions` VALUES (145334, 425, 27, 'Konsum alkoli');
INSERT INTO `lang_definitions` VALUES (145335, 426, 27, 'Perdorues alkooli');
INSERT INTO `lang_definitions` VALUES (145336, 428, 27, 'Numerim njoftim');
INSERT INTO `lang_definitions` VALUES (145337, 434, 27, 'Koha Njoftimit');
INSERT INTO `lang_definitions` VALUES (145338, 435, 27, 'Njoftime');
INSERT INTO `lang_definitions` VALUES (145339, 436, 27, 'Lajmerimi Vigjilent');
INSERT INTO `lang_definitions` VALUES (145340, 437, 27, 'Njohtimet/Rikujtimet');
INSERT INTO `lang_definitions` VALUES (145341, 439, 27, 'ALEUT');
INSERT INTO `lang_definitions` VALUES (145342, 440, 27, 'Te gjitha');
INSERT INTO `lang_definitions` VALUES (145343, 441, 27, 'TE GJITHA');
INSERT INTO `lang_definitions` VALUES (145344, 443, 27, 'Te gjitha (Sistemim i Formatit A)');
INSERT INTO `lang_definitions` VALUES (145345, 444, 27, 'Te gjitha (Sistemim i Formatit B)');
INSERT INTO `lang_definitions` VALUES (145346, 445, 27, 'Te gjitha ( te grumbulluara)');
INSERT INTO `lang_definitions` VALUES (145347, 446, 27, 'Te gjitha vigjilencat');
INSERT INTO `lang_definitions` VALUES (145348, 447, 27, 'Te gjitha Kalkulimet e Matjeve Automatike (KMA)');
INSERT INTO `lang_definitions` VALUES (145349, 448, 27, 'Te gjitha kategorite');
INSERT INTO `lang_definitions` VALUES (145350, 449, 27, 'Te gjitha Matjet Klinike Kualitative (MKK)');
INSERT INTO `lang_definitions` VALUES (145351, 450, 27, 'Te gjitha kodet');
INSERT INTO `lang_definitions` VALUES (145352, 453, 27, 'Gjithe diten');
INSERT INTO `lang_definitions` VALUES (145353, 454, 27, 'Ngjarje pergjate tere dites');
INSERT INTO `lang_definitions` VALUES (145354, 455, 27, 'Te gjitha fushat demografikle, me kerkim dhe verifikim te duplikateve');
INSERT INTO `lang_definitions` VALUES (145355, 457, 27, 'Te gjitha zyrat');
INSERT INTO `lang_definitions` VALUES (145356, 458, 27, 'Te gjitha demtimet/problemet/shqetesimet');
INSERT INTO `lang_definitions` VALUES (145357, 459, 27, 'Lejohen te gjitha gjuhet');
INSERT INTO `lang_definitions` VALUES (145358, 461, 27, 'Te gjitha Matjet Klinike Kualitative Zyrtare (MKK) Grupet e Matjeve');
INSERT INTO `lang_definitions` VALUES (145359, 462, 27, 'Emri i plote ose i pjesshem');
INSERT INTO `lang_definitions` VALUES (145360, 463, 27, 'Mbiemri i plote ose i pjesshem');
INSERT INTO `lang_definitions` VALUES (145361, 464, 27, 'Emri i kompanise i plote ose i pjesshem');
INSERT INTO `lang_definitions` VALUES (145362, 466, 27, 'Te gjithe Pacientet');
INSERT INTO `lang_definitions` VALUES (145363, 468, 27, 'Te gjitha Produktet');
INSERT INTO `lang_definitions` VALUES (145364, 469, 27, 'Te gjithe Provajderet');
INSERT INTO `lang_definitions` VALUES (145365, 470, 27, 'Te gjitha te egzaminuara dhe negative:');
INSERT INTO `lang_definitions` VALUES (145366, 475, 27, 'Te gjitha temat');
INSERT INTO `lang_definitions` VALUES (145367, 478, 27, 'Te gjithe perdoruesit');
INSERT INTO `lang_definitions` VALUES (145368, 479, 27, 'Alergjik');
INSERT INTO `lang_definitions` VALUES (145369, 481, 27, 'Alergjite');
INSERT INTO `lang_definitions` VALUES (145370, 484, 27, 'Alergjite:');
INSERT INTO `lang_definitions` VALUES (145371, 485, 27, 'Alergji');
INSERT INTO `lang_definitions` VALUES (145372, 486, 27, 'Importimi i te dhenave te alergjive perfundoi me sukses');
INSERT INTO `lang_definitions` VALUES (145373, 487, 27, 'Lista e qeshtjeve Alergike');
INSERT INTO `lang_definitions` VALUES (145374, 488, 27, 'Reaksion alergjik');
INSERT INTO `lang_definitions` VALUES (145375, 489, 27, 'PARALAJMERIMI I ALERGJIVE');
INSERT INTO `lang_definitions` VALUES (145376, 490, 27, 'Paralajmerimi i Alergjive');
INSERT INTO `lang_definitions` VALUES (145377, 491, 27, 'Aloko');
INSERT INTO `lang_definitions` VALUES (145378, 492, 27, 'Lejo');
INSERT INTO `lang_definitions` VALUES (145379, 494, 27, 'Lejo te gjitha gjuhet te jene te pranishme tek menuja gjate logimit.');
INSERT INTO `lang_definitions` VALUES (145380, 496, 27, 'Lejo krijimin e ankesave qe permbajne diagnozen por jo procedurat apo kostot. Shumica e klinikave nuk e pelqejne kete.');
INSERT INTO `lang_definitions` VALUES (145381, 497, 27, 'Lejo kontrollin per gabime te gjuheve');
INSERT INTO `lang_definitions` VALUES (145382, 500, 27, 'Lejo E-mail');
INSERT INTO `lang_definitions` VALUES (145383, 501, 27, 'Lejohet komunikimi me e-mail?');
INSERT INTO `lang_definitions` VALUES (145384, 502, 27, 'Lejohet e-mail?');
INSERT INTO `lang_definitions` VALUES (145385, 503, 27, 'Lejo Ankesat e Vizitave');
INSERT INTO `lang_definitions` VALUES (145386, 506, 27, 'Lejo shkembimin e te dhenave shendetesore');
INSERT INTO `lang_definitions` VALUES (145387, 508, 27, 'Lejo shkembimin e te dhenave mbi vaksinimin');
INSERT INTO `lang_definitions` VALUES (145388, 509, 27, 'Lejo perdorimin e regjistrit te imunizimit');
INSERT INTO `lang_definitions` VALUES (145389, 512, 27, 'Lejo mesazhet postare');
INSERT INTO `lang_definitions` VALUES (145390, 531, 27, 'Lejo Formen Levizese te Pacientit te Zgjedhur per Testin e Barnave.');
INSERT INTO `lang_definitions` VALUES (145391, 533, 27, 'Lejo portalin e pacientit');
INSERT INTO `lang_definitions` VALUES (145392, 541, 27, 'Lejo SMS');
INSERT INTO `lang_definitions` VALUES (145393, 542, 27, 'Lejo SMS (mesazh tekst)?');
INSERT INTO `lang_definitions` VALUES (145394, 544, 27, 'Lejo qe ngjarjet e shtuara te behen aktive menjehere?');
INSERT INTO `lang_definitions` VALUES (145395, 545, 27, 'Lejohen mesazhet telefonike?');
INSERT INTO `lang_definitions` VALUES (145396, 547, 27, 'Lejo qe perdoruesit te publikojne Ngjarjet Globale?');
INSERT INTO `lang_definitions` VALUES (145397, 548, 27, 'Lejo qe perdoruesit te publikojne Kalendarin Personal');
INSERT INTO `lang_definitions` VALUES (145398, 554, 27, 'Lejo mesazhet zanore');
INSERT INTO `lang_definitions` VALUES (145399, 555, 27, 'Lejuar');
INSERT INTO `lang_definitions` VALUES (145400, 556, 27, 'Gjuhet e lejuara');
INSERT INTO `lang_definitions` VALUES (145401, 558, 27, 'Lejuar(c)');
INSERT INTO `lang_definitions` VALUES (145402, 559, 27, 'Lejo E-Nenshkrimin per te gjitha te dhenat');
INSERT INTO `lang_definitions` VALUES (145403, 560, 27, 'Lejo E-Nenshkrimin per Format Individuale');
INSERT INTO `lang_definitions` VALUES (145404, 561, 27, 'Lejo Mejlin');
INSERT INTO `lang_definitions` VALUES (145405, 562, 27, 'Lejo msgn Zanor');
INSERT INTO `lang_definitions` VALUES (145406, 566, 27, 'Aktualisht ekziston');
INSERT INTO `lang_definitions` VALUES (145407, 568, 27, 'Aktualisht ekziston.');
INSERT INTO `lang_definitions` VALUES (145408, 570, 27, 'Identifikuesi eshte aktualisht ne perdorim, zgjidh nje tjeter');
INSERT INTO `lang_definitions` VALUES (145409, 571, 27, 'Titulli eshte aktualisht ne perdorim, zgjidh nje tjeter');
INSERT INTO `lang_definitions` VALUES (145410, 573, 27, 'Adrese dytesore');
INSERT INTO `lang_definitions` VALUES (145411, 577, 27, 'Alterno');
INSERT INTO `lang_definitions` VALUES (145412, 584, 27, 'Ne menyre alternative,Ju mund te perdorni faqen e kerkimit per te ngarkuar nje cek elektronik (X12 835) qe keni marre nga pale e paguar ose nga zyra e shkembimit te ceqeve. Ju mund ta bene kete duke klikuar tek butoni Shfletoj dhe duke perzgjedhur filen qe doni te ngarkoni, dhe me pas duke kliuar tek Kerko per te bere ngarkimin dhe per te afishuar faturat perkatese. Ne kete rast parametrat e tjere te permendur me siper nuk aplikohen dhe do te injorohen. Procesi i ngarkimit e ruan filen por akoma nuk e proceson permbajtjen e files -- kjo gje kryhet me vehte sic pershkruhet me poshte.');
INSERT INTO `lang_definitions` VALUES (145413, 586, 27, 'AM');
INSERT INTO `lang_definitions` VALUES (145414, 587, 27, 'Programi AM');
INSERT INTO `lang_definitions` VALUES (145415, 592, 27, 'AMC');
INSERT INTO `lang_definitions` VALUES (145416, 593, 27, 'Gjurmimi i AMC');
INSERT INTO `lang_definitions` VALUES (145417, 594, 27, 'Matja Automatike e Llogarise 2011');
INSERT INTO `lang_definitions` VALUES (145418, 595, 27, 'Matja Automatike e Llogarise 2011');
INSERT INTO `lang_definitions` VALUES (145419, 596, 27, 'Matja Automatike e Llogarise 2014 Faza I');
INSERT INTO `lang_definitions` VALUES (145420, 597, 27, 'Matja Automatike e Llogarise 2014 Faza II');
INSERT INTO `lang_definitions` VALUES (145421, 600, 27, 'Permireso Nyjen Egzistuese');
INSERT INTO `lang_definitions` VALUES (145422, 602, 27, 'Amendamenti Nga');
INSERT INTO `lang_definitions` VALUES (145423, 604, 27, 'Statusi i Amendamentit');
INSERT INTO `lang_definitions` VALUES (145424, 605, 27, 'Amendamentet');
INSERT INTO `lang_definitions` VALUES (145425, 609, 27, 'Amendamentet per');
INSERT INTO `lang_definitions` VALUES (145426, 610, 27, 'Indian Amerikan');
INSERT INTO `lang_definitions` VALUES (145427, 611, 27, 'Indian Amerikan ose Autokton nga Alaska');
INSERT INTO `lang_definitions` VALUES (145428, 612, 27, 'AMEX');
INSERT INTO `lang_definitions` VALUES (145429, 613, 27, 'Amharic');
INSERT INTO `lang_definitions` VALUES (145430, 614, 27, 'Shuma');
INSERT INTO `lang_definitions` VALUES (145431, 615, 27, 'Shuma e Administruara');
INSERT INTO `lang_definitions` VALUES (145432, 617, 27, 'Shuma per tu paguar');
INSERT INTO `lang_definitions` VALUES (145433, 620, 27, 'Shuma e prapambetur');
INSERT INTO `lang_definitions` VALUES (145434, 621, 27, 'Shuma per kete vizite');
INSERT INTO `lang_definitions` VALUES (145435, 622, 27, 'Shuma e paguar');
INSERT INTO `lang_definitions` VALUES (145436, 623, 27, 'Shuma:');
INSERT INTO `lang_definitions` VALUES (145437, 626, 27, 'Shuma e faturuar');
INSERT INTO `lang_definitions` VALUES (145438, 630, 27, 'Data e mbarimit duhet me e vone se data e fillimit per ngjarjet e perseritura!');
INSERT INTO `lang_definitions` VALUES (145439, 631, 27, 'Nje gabim gjate nenshkrimit te formes');
INSERT INTO `lang_definitions` VALUES (145440, 632, 27, 'Nje gabim ndodhi gjate marrjes se pemes se struktures se OpenEMR');
INSERT INTO `lang_definitions` VALUES (145441, 633, 27, 'Nje gabim ndodhi gjate marrjes se pemes se struktures se phpGACL');
INSERT INTO `lang_definitions` VALUES (145442, 634, 27, 'Nje gabim ndodhi gjate marrjes se pemes se struktures se SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (145443, 638, 27, 'Nje ceshtjee paplote GCAC eshte krijuar dhe eshte lidhur. Dikush do te duhet ta plotesoje ate me vone.');
INSERT INTO `lang_definitions` VALUES (145444, 643, 27, 'Nje gabim i pa definuar, ju lutem kontaktoni administratorin e sistemit.');
INSERT INTO `lang_definitions` VALUES (145445, 644, 27, 'Nje gabim i papritur ka ndodhur.');
INSERT INTO `lang_definitions` VALUES (145446, 646, 27, 'Shkronje e madhe');
INSERT INTO `lang_definitions` VALUES (145447, 647, 27, 'Analizuar');
INSERT INTO `lang_definitions` VALUES (145448, 648, 27, 'dhe');
INSERT INTO `lang_definitions` VALUES (145449, 649, 27, 'Dhe');
INSERT INTO `lang_definitions` VALUES (145450, 650, 27, 'DHE');
INSERT INTO `lang_definitions` VALUES (145451, 651, 27, 'dhe');
INSERT INTO `lang_definitions` VALUES (145452, 652, 27, 'dhe te gjithe te dhenat vartese? Veprimi do te logohet.');
INSERT INTO `lang_definitions` VALUES (145453, 653, 27, 'dhe modifikuesi');
INSERT INTO `lang_definitions` VALUES (145454, 654, 27, 'dhe procesuar.');
INSERT INTO `lang_definitions` VALUES (145455, 656, 27, 'ristarto serverin Apache.');
INSERT INTO `lang_definitions` VALUES (145456, 657, 27, 'dhe Arsyeja eshte');
INSERT INTO `lang_definitions` VALUES (145457, 659, 27, 'Anemi');
INSERT INTO `lang_definitions` VALUES (145458, 660, 27, 'Artikulacioni i kycit te kembes');
INSERT INTO `lang_definitions` VALUES (145459, 661, 27, 'Kyci i kembes + thembra');
INSERT INTO `lang_definitions` VALUES (145460, 662, 27, 'Formulari i vleresimit te kycit te kembes');
INSERT INTO `lang_definitions` VALUES (145461, 663, 27, 'Probleme te kycit te kembes');
INSERT INTO `lang_definitions` VALUES (145462, 664, 27, 'Ankylosing Sondlilitis');
INSERT INTO `lang_definitions` VALUES (145463, 665, 27, 'Artrit i shtylles (Ankylosing Spondylitis)');
INSERT INTO `lang_definitions` VALUES (145464, 666, 27, 'Anoreksia');
INSERT INTO `lang_definitions` VALUES (145465, 667, 27, 'Nje tjeter gje qe ju mund te bene tek dritarja e postimit eshte, te kerkoni nje fature dytesore. Ne rast se slektoni checkbox-in perpara ruajtjes, atehere ankesa origjinale do te hapet dhe do te vendoset ne rradhe tek faqja e faturimit, dhe do te procesohet gjate faturimit te rradhes.');
INSERT INTO `lang_definitions` VALUES (145466, 671, 27, 'para');
INSERT INTO `lang_definitions` VALUES (145467, 676, 27, 'nl e anusit, asnje mase/dhimbje rektale');
INSERT INTO `lang_definitions` VALUES (145468, 677, 27, 'Ankth');
INSERT INTO `lang_definitions` VALUES (145469, 679, 27, 'Cfaredo');
INSERT INTO `lang_definitions` VALUES (145470, 682, 27, 'Cfaredo kategorie');
INSERT INTO `lang_definitions` VALUES (145471, 688, 27, 'Cdo pjese e kodit te kerkuar ose pershkrimi i tij');
INSERT INTO `lang_definitions` VALUES (145472, 689, 27, 'Cdo pjese e specialitetit te kerkuar');
INSERT INTO `lang_definitions` VALUES (145473, 690, 27, 'Cdo pjese e kodit identifikues te medikamentit ose emrit');
INSERT INTO `lang_definitions` VALUES (145474, 691, 27, 'Cdo pjese e kodit identifikues te imunizuesit ose te emrit te tij');
INSERT INTO `lang_definitions` VALUES (145475, 692, 27, 'Cdo pjese e emrit te pacientit ose \"Mbiemer, Emer\" ose \"X-Y\"');
INSERT INTO `lang_definitions` VALUES (145476, 693, 27, 'Te Gjitha Informatat Tjera Relevante');
INSERT INTO `lang_definitions` VALUES (145477, 699, 27, 'Kodi API per derguesin e SMS-ve.');
INSERT INTO `lang_definitions` VALUES (145478, 703, 27, 'Apnea');
INSERT INTO `lang_definitions` VALUES (145479, 710, 27, 'Paraqitje');
INSERT INTO `lang_definitions` VALUES (145480, 711, 27, 'Paraqitje:');
INSERT INTO `lang_definitions` VALUES (145481, 714, 27, 'Shto kete shenim');
INSERT INTO `lang_definitions` VALUES (145482, 716, 27, 'Shto ne shenimin ekzistues');
INSERT INTO `lang_definitions` VALUES (145483, 717, 27, 'Shto ne kete shenim');
INSERT INTO `lang_definitions` VALUES (145484, 718, 27, 'Shto ne kete shenim');
INSERT INTO `lang_definitions` VALUES (145485, 719, 27, 'Apendoktomi');
INSERT INTO `lang_definitions` VALUES (145486, 720, 27, 'apendektomi');
INSERT INTO `lang_definitions` VALUES (145487, 721, 27, 'Pacientet e aplikueshem');
INSERT INTO `lang_definitions` VALUES (145488, 722, 27, 'Aplikacion');
INSERT INTO `lang_definitions` VALUES (145489, 723, 27, 'Emri i aplikacionit per faqen e logimit dhe titulli i dritares kryesore.');
INSERT INTO `lang_definitions` VALUES (145490, 724, 27, 'Kodi pranimit te aplikimit (GS03 - Ne rast banke, ISA08 do te perdoret)');
INSERT INTO `lang_definitions` VALUES (145491, 725, 27, 'Kodi dergues i aplikimit (GS02)');
INSERT INTO `lang_definitions` VALUES (145492, 726, 27, 'Titulli aplikimit');
INSERT INTO `lang_definitions` VALUES (145493, 727, 27, 'I aplikohet formularit te te dhenave vitale dhe karteles se rritjes');
INSERT INTO `lang_definitions` VALUES (145494, 728, 27, 'Forma Zbatohet te Organet Vitale');
INSERT INTO `lang_definitions` VALUES (145495, 729, 27, 'Beji ndryshimet vetem per kete event, per kete event dhe te gjitha eventet pasuese apo per te gjitha eventet?');
INSERT INTO `lang_definitions` VALUES (145496, 730, 27, 'apliko mbi zonen e afektuar');
INSERT INTO `lang_definitions` VALUES (145497, 731, 27, 'apliko mbi lekure');
INSERT INTO `lang_definitions` VALUES (145498, 732, 27, 'Apliko');
INSERT INTO `lang_definitions` VALUES (145499, 733, 27, 'Aplikimi i permiresimit ne faqe');
INSERT INTO `lang_definitions` VALUES (145500, 734, 27, 'Orar takimi/vizite');
INSERT INTO `lang_definitions` VALUES (145501, 736, 27, 'Data e orarit te vizites/takimit');
INSERT INTO `lang_definitions` VALUES (145502, 742, 27, 'Stili i afishimit te orarit te takimit/vizites');
INSERT INTO `lang_definitions` VALUES (145503, 744, 27, 'Rregull njoftimi per orarin e takimit/vizites');
INSERT INTO `lang_definitions` VALUES (145504, 746, 27, 'Statusi i orarit te takimit/vizites');
INSERT INTO `lang_definitions` VALUES (145505, 747, 27, 'Statuset e orareve te takimit/vizites');
INSERT INTO `lang_definitions` VALUES (145506, 748, 27, 'Takim ndermjet');
INSERT INTO `lang_definitions` VALUES (145507, 749, 27, 'Ngjyra e Takimit/Njgarjes');
INSERT INTO `lang_definitions` VALUES (145508, 750, 27, 'Orare Takimesh');
INSERT INTO `lang_definitions` VALUES (145509, 751, 27, 'Orare Takimesh (write optional)');
INSERT INTO `lang_definitions` VALUES (145510, 752, 27, 'Orare Takimesh (write,wsome optional)');
INSERT INTO `lang_definitions` VALUES (145511, 755, 27, 'Rendez-vous - Portail Patient du Site - Numéro à Afficher');
INSERT INTO `lang_definitions` VALUES (145512, 756, 27, 'Rendez-vous - Résumé du Patient - Numéro à Afficher');
INSERT INTO `lang_definitions` VALUES (145513, 758, 27, 'Orare takimesh dhe Vizitave');
INSERT INTO `lang_definitions` VALUES (145514, 760, 27, 'Raport mbi oraret e takimeve');
INSERT INTO `lang_definitions` VALUES (145515, 761, 27, 'Raport oraresh takimi - takimesh');
INSERT INTO `lang_definitions` VALUES (145516, 763, 27, 'Testimit Adekuat per Femijet me Pharyngitis (CQM)');
INSERT INTO `lang_definitions` VALUES (145517, 764, 27, 'Aprovoj');
INSERT INTO `lang_definitions` VALUES (145518, 766, 27, 'Aprovo pacientin nga Pacienti / Klient> Import> në Pritje të Miratimit');
INSERT INTO `lang_definitions` VALUES (145519, 767, 27, 'Aprovuar');
INSERT INTO `lang_definitions` VALUES (145520, 768, 27, 'Administrimi i ngjarjeve te aprovuara');
INSERT INTO `lang_definitions` VALUES (145521, 769, 27, 'Miratuar me sukses');
INSERT INTO `lang_definitions` VALUES (145522, 773, 27, 'Orar Kohe');
INSERT INTO `lang_definitions` VALUES (145523, 774, 27, 'Orar-Vizita');
INSERT INTO `lang_definitions` VALUES (145524, 776, 27, 'Orare');
INSERT INTO `lang_definitions` VALUES (145525, 779, 27, 'Pri');
INSERT INTO `lang_definitions` VALUES (145526, 780, 27, 'Prill');
INSERT INTO `lang_definitions` VALUES (145527, 782, 27, 'Arabisht');
INSERT INTO `lang_definitions` VALUES (145528, 783, 27, 'Aragonisht');
INSERT INTO `lang_definitions` VALUES (145529, 784, 27, 'Arkivi');
INSERT INTO `lang_definitions` VALUES (145530, 787, 27, 'A duhet te perkthehen emrat e grupit te kontrollit te aksesit?');
INSERT INTO `lang_definitions` VALUES (145531, 788, 27, 'A duhet te perkthehen emrat e kategorive te takimit?');
INSERT INTO `lang_definitions` VALUES (145532, 789, 27, 'A duhet te perkthehen emrat e kategorive te dokmentave?');
INSERT INTO `lang_definitions` VALUES (145533, 790, 27, 'Paguhet per kete lloj?');
INSERT INTO `lang_definitions` VALUES (145534, 793, 27, 'A duhet te perkthehen titujt e shenimeve te pacienteve?');
INSERT INTO `lang_definitions` VALUES (145535, 794, 27, 'A jane ruajtur koded ne tabelat e jashtme sql (0-No, 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2))?');
INSERT INTO `lang_definitions` VALUES (145536, 795, 27, 'A jeni i pregatitur per te plotesuar nje ceshtje te re GCAC per kete vizite?');
INSERT INTO `lang_definitions` VALUES (145537, 797, 27, 'A jeni i sigurte se doni te postoni sot?');
INSERT INTO `lang_definitions` VALUES (145538, 798, 27, 'Jeni te sigurt nese doni te aprovoni keto evente?');
INSERT INTO `lang_definitions` VALUES (145539, 799, 27, 'Jeni te sigurt nese doni ti nderpreni ndryshimet?');
INSERT INTO `lang_definitions` VALUES (145540, 801, 27, 'Jeni te sigurt nese doni ta fshini plotesisht kete formular?');
INSERT INTO `lang_definitions` VALUES (145541, 803, 27, 'Jeni te sigurt nese doni ti fshini?');
INSERT INTO `lang_definitions` VALUES (145542, 804, 27, 'Jeni te sigurt nese doni te fshini kete deklarate?');
INSERT INTO `lang_definitions` VALUES (145543, 805, 27, 'Jeni te sigurt nese doni te fshini kete event?');
INSERT INTO `lang_definitions` VALUES (145544, 806, 27, 'Jeni te sigurt nese doni te fshini kete element nga databaza?');
INSERT INTO `lang_definitions` VALUES (145545, 808, 27, 'Jeni te sigurt nese doni te fshini kete shenim?');
INSERT INTO `lang_definitions` VALUES (145546, 809, 27, 'Jeni te sigurt nese doni te fshini kete plan?');
INSERT INTO `lang_definitions` VALUES (145547, 810, 27, 'Jeni te sigurt nese doni te ndryshoni keto evente?');
INSERT INTO `lang_definitions` VALUES (145548, 811, 27, 'Jeni te sigurt nese doni te fshihni keto evente?');
INSERT INTO `lang_definitions` VALUES (145549, 813, 27, 'Jeni te sigurt qe doni te transmetoni ate perseri?');
INSERT INTO `lang_definitions` VALUES (145550, 814, 27, 'Jeni te sigurt nese doni te shihni keto evente?');
INSERT INTO `lang_definitions` VALUES (145551, 815, 27, 'Jeni te sigurt nese doni te fshini te grupin me emer');
INSERT INTO `lang_definitions` VALUES (145552, 816, 27, 'Jeni te sigurt nese doni te fshini te gjithe listen');
INSERT INTO `lang_definitions` VALUES (145553, 817, 27, 'Jeni te sigurt nese doni te fshini fushen ne');
INSERT INTO `lang_definitions` VALUES (145554, 818, 27, 'Jeni te sigurt nese doni te fshini fushat e zgjedhura?');
INSERT INTO `lang_definitions` VALUES (145555, 819, 27, 'Jeni te sigurt nese doni te vazhdoni me kete veprim?');
INSERT INTO `lang_definitions` VALUES (145556, 820, 27, 'Zone e papercaktuar');
INSERT INTO `lang_definitions` VALUES (145557, 821, 27, 'Krah');
INSERT INTO `lang_definitions` VALUES (145558, 822, 27, 'Armenisht');
INSERT INTO `lang_definitions` VALUES (145559, 826, 27, 'Koha e Arritjes');
INSERT INTO `lang_definitions` VALUES (145560, 829, 27, 'Aritmi');
INSERT INTO `lang_definitions` VALUES (145561, 830, 27, 'Artrit');
INSERT INTO `lang_definitions` VALUES (145562, 831, 27, 'Artrit / semundje e degradimit te nyjeve lidhese');
INSERT INTO `lang_definitions` VALUES (145563, 832, 27, 'Artrit / semundje e degradimit te nyjeve lidhese');
INSERT INTO `lang_definitions` VALUES (145564, 836, 27, 'si');
INSERT INTO `lang_definitions` VALUES (145565, 838, 27, 'sipas');
INSERT INTO `lang_definitions` VALUES (145566, 844, 27, 'ASC');
INSERT INTO `lang_definitions` VALUES (145567, 845, 27, 'aziatik');
INSERT INTO `lang_definitions` VALUES (145568, 846, 27, 'Asamezisht');
INSERT INTO `lang_definitions` VALUES (145569, 847, 27, 'Vleresoni Alergjine ne Penicilin');
INSERT INTO `lang_definitions` VALUES (145570, 848, 27, 'vleresim');
INSERT INTO `lang_definitions` VALUES (145571, 853, 27, 'Caktuar');
INSERT INTO `lang_definitions` VALUES (145572, 854, 27, 'Ndihmes');
INSERT INTO `lang_definitions` VALUES (145573, 861, 27, 'Azme');
INSERT INTO `lang_definitions` VALUES (145574, 862, 27, 'tek');
INSERT INTO `lang_definitions` VALUES (145575, 863, 27, 'Eshte i domosdoshem te pakten nje parameter kerkimi nese zgjidhni \"Te gjitha\".');
INSERT INTO `lang_definitions` VALUES (145576, 866, 27, 'Ne Navikul');
INSERT INTO `lang_definitions` VALUES (145577, 867, 27, 'Ne Navikul:');
INSERT INTO `lang_definitions` VALUES (145578, 868, 27, 'Ekip atletike');
INSERT INTO `lang_definitions` VALUES (145579, 869, 27, 'Ekipi i Atletikes');
INSERT INTO `lang_definitions` VALUES (145580, 870, 27, 'Demtim atletik');
INSERT INTO `lang_definitions` VALUES (145581, 871, 27, 'certificate CA per auditim ATNA');
INSERT INTO `lang_definitions` VALUES (145582, 872, 27, 'prites per auditimin ATNA');
INSERT INTO `lang_definitions` VALUES (145583, 873, 27, 'certificate lokale per auditim ATNA');
INSERT INTO `lang_definitions` VALUES (145584, 874, 27, 'porte per auditimin ATNA');
INSERT INTO `lang_definitions` VALUES (145585, 876, 27, 'Pjesemarrja e mjekut');
INSERT INTO `lang_definitions` VALUES (145586, 877, 27, 'Kujdes');
INSERT INTO `lang_definitions` VALUES (145587, 879, 27, 'Drejtuar');
INSERT INTO `lang_definitions` VALUES (145588, 881, 27, 'Mjeku i ORL');
INSERT INTO `lang_definitions` VALUES (145589, 883, 27, 'Audit CDR Engine Queries');
INSERT INTO `lang_definitions` VALUES (145590, 885, 27, 'Audit Log Tamper');
INSERT INTO `lang_definitions` VALUES (145591, 886, 27, 'Audit Log Tamper Report');
INSERT INTO `lang_definitions` VALUES (145592, 890, 27, 'Backupe te logeve te auditimit');
INSERT INTO `lang_definitions` VALUES (145593, 891, 27, 'Te ndryshme ne lidhje me loget e auditimit');
INSERT INTO `lang_definitions` VALUES (145594, 892, 27, 'Rradha e logimit te auditimit');
INSERT INTO `lang_definitions` VALUES (145595, 893, 27, 'Logimi i auditimit te te dhenave te pacientit');
INSERT INTO `lang_definitions` VALUES (145596, 894, 27, 'Kalendari i logimit te auditimit');
INSERT INTO `lang_definitions` VALUES (145597, 895, 27, 'Administrimi i sigurese i logimit te auditimit');
INSERT INTO `lang_definitions` VALUES (145598, 896, 27, 'SELECT Query i logimit te auditimit');
INSERT INTO `lang_definitions` VALUES (145599, 898, 27, 'Gus');
INSERT INTO `lang_definitions` VALUES (145600, 899, 27, 'Gusht');
INSERT INTO `lang_definitions` VALUES (145601, 900, 27, 'Halla');
INSERT INTO `lang_definitions` VALUES (145602, 901, 27, 'Aut');
INSERT INTO `lang_definitions` VALUES (145603, 902, 27, 'Autorizim/shenime');
INSERT INTO `lang_definitions` VALUES (145604, 918, 27, 'Vertetesi');
INSERT INTO `lang_definitions` VALUES (145605, 920, 27, 'Autori');
INSERT INTO `lang_definitions` VALUES (145606, 922, 27, 'Grup autorizimi');
INSERT INTO `lang_definitions` VALUES (145607, 923, 27, 'Satusi i autorizimit');
INSERT INTO `lang_definitions` VALUES (145608, 924, 27, 'Autorizime');
INSERT INTO `lang_definitions` VALUES (145609, 925, 27, 'Autorizo');
INSERT INTO `lang_definitions` VALUES (145610, 926, 27, 'Autorizo - cdo vizite');
INSERT INTO `lang_definitions` VALUES (145611, 928, 27, 'Autorizo - vizitat personale');
INSERT INTO `lang_definitions` VALUES (145612, 933, 27, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (145613, 934, 27, 'I autorizuar');
INSERT INTO `lang_definitions` VALUES (145614, 936, 27, 'Vetem te autorizuara');
INSERT INTO `lang_definitions` VALUES (145615, 941, 27, 'Dergo automatikisht');
INSERT INTO `lang_definitions` VALUES (145616, 942, 27, 'Konfirmimi automatik [dite]');
INSERT INTO `lang_definitions` VALUES (145617, 943, 27, 'Auto Transfer');
INSERT INTO `lang_definitions` VALUES (145618, 944, 27, 'Krijo automatikisht vizitave te reja.');
INSERT INTO `lang_definitions` VALUES (145619, 945, 27, 'Te gjeneruara automatikisht');
INSERT INTO `lang_definitions` VALUES (145620, 947, 27, 'Llogaritje e Automatizuar e Masave (LAM)');
INSERT INTO `lang_definitions` VALUES (145621, 948, 27, 'Llogaritje e Automatizuar e Masave (LAM) - 2011');
INSERT INTO `lang_definitions` VALUES (145622, 949, 27, 'Llogaritje e Automatizuar e Masave (LAM) - 2014');
INSERT INTO `lang_definitions` VALUES (145623, 950, 27, 'Llogaritje e Automatizuar e Masave (LAM) - 2014 Faza I');
INSERT INTO `lang_definitions` VALUES (145624, 951, 27, 'Llogaritje e Automatizuar e Masave (LAM) - 2014 Faza II');
INSERT INTO `lang_definitions` VALUES (145625, 952, 27, 'Llogaritje e Automatizuar e Masave (LAM) Percjellje');
INSERT INTO `lang_definitions` VALUES (145626, 953, 27, 'Masat e Automatizuara');
INSERT INTO `lang_definitions` VALUES (145627, 955, 27, 'Automatike');
INSERT INTO `lang_definitions` VALUES (145628, 959, 27, 'Automatikisht krijo nje takim te ri kur statusi i caktimit te takimit eshte \"@\" (arrived).');
INSERT INTO `lang_definitions` VALUES (145629, 960, 27, 'Ploteso automatikisht shifrat e arsyeshmerise ne Fleten e Cmimeve');
INSERT INTO `lang_definitions` VALUES (145630, 961, 27, 'Ploteso automatikisht shifrat e arsyeshmerise ne Fleten e Cmimeve (ploteson fushat e zbrazeta me shifren lart).');
INSERT INTO `lang_definitions` VALUES (145631, 962, 27, 'Automjet Mjekesor');
INSERT INTO `lang_definitions` VALUES (145632, 964, 27, 'ruajtur automatikisht');
INSERT INTO `lang_definitions` VALUES (145633, 967, 27, 'Kategori te disponueshme');
INSERT INTO `lang_definitions` VALUES (145634, 971, 27, 'Kohe e disponueshme');
INSERT INTO `lang_definitions` VALUES (145635, 972, 27, 'Gjurmet e disponueshme');
INSERT INTO `lang_definitions` VALUES (145636, 973, 27, 'Avarisht');
INSERT INTO `lang_definitions` VALUES (145637, 974, 27, 'Printimi i etiketave te pacienteve ne ekranin e majte me Avery Label');
INSERT INTO `lang_definitions` VALUES (145638, 975, 27, 'Avestan');
INSERT INTO `lang_definitions` VALUES (145639, 976, 27, 'Mesatarja mujore');
INSERT INTO `lang_definitions` VALUES (145640, 980, 27, 'C\'vendosje / frakture e cvendosur');
INSERT INTO `lang_definitions` VALUES (145641, 981, 27, 'C\'vendosje e maleolit lateral');
INSERT INTO `lang_definitions` VALUES (145642, 982, 27, 'C\'vendosje e maleolit medial');
INSERT INTO `lang_definitions` VALUES (145643, 983, 27, 'E bazuar ne ndergjegjesim');
INSERT INTO `lang_definitions` VALUES (145644, 985, 27, 'Axillary');
INSERT INTO `lang_definitions` VALUES (145645, 990, 27, 'Aymara');
INSERT INTO `lang_definitions` VALUES (145646, 991, 27, 'Azerbejgjanas');
INSERT INTO `lang_definitions` VALUES (145647, 992, 27, 'Dy here ne dite (bis in die)');
INSERT INTO `lang_definitions` VALUES (145648, 993, 27, 'Pas');
INSERT INTO `lang_definitions` VALUES (145649, 994, 27, 'pas');
INSERT INTO `lang_definitions` VALUES (145650, 995, 27, '8 vizita te shkuara');
INSERT INTO `lang_definitions` VALUES (145651, 996, 27, '11 vizita te shkuara');
INSERT INTO `lang_definitions` VALUES (145652, 997, 27, '5 vizita te shkuara');
INSERT INTO `lang_definitions` VALUES (145653, 998, 27, '4 vizita te shkuara');
INSERT INTO `lang_definitions` VALUES (145654, 999, 27, '9 vizita te shkuara');
INSERT INTO `lang_definitions` VALUES (145655, 1000, 27, '1 vizite e shkuar');
INSERT INTO `lang_definitions` VALUES (145656, 1001, 27, 'Dhembje e shpines');
INSERT INTO `lang_definitions` VALUES (145657, 1002, 27, 'Probleme te shpines');
INSERT INTO `lang_definitions` VALUES (145658, 1003, 27, '7 vizita te shkuara');
INSERT INTO `lang_definitions` VALUES (145659, 1004, 27, '6 vizita te shkuara');
INSERT INTO `lang_definitions` VALUES (145660, 1005, 27, 'Nderhyrje kirurgjikale ne shpine');
INSERT INTO `lang_definitions` VALUES (145661, 1006, 27, '10 vizita te shkuara');
INSERT INTO `lang_definitions` VALUES (145662, 1007, 27, '3 vizita te shkuara');
INSERT INTO `lang_definitions` VALUES (145663, 1008, 27, 'Kthehu tek faqja e Aministrimit');
INSERT INTO `lang_definitions` VALUES (145664, 1011, 27, 'Kthimi ne vizite');
INSERT INTO `lang_definitions` VALUES (145665, 1012, 27, 'Kthehu tek Pacienti');
INSERT INTO `lang_definitions` VALUES (145666, 1013, 27, 'Kthehu tek Pacienti');
INSERT INTO `lang_definitions` VALUES (145667, 1015, 27, 'Kthehu tek perdoruesit');
INSERT INTO `lang_definitions` VALUES (145668, 1016, 27, 'Kthehu tek Permbledhja');
INSERT INTO `lang_definitions` VALUES (145669, 1017, 27, '12 vizita te shkuara');
INSERT INTO `lang_definitions` VALUES (145670, 1018, 27, '2 vizita te shkuara');
INSERT INTO `lang_definitions` VALUES (145671, 1019, 27, 'Historiku i Sherbimeve');
INSERT INTO `lang_definitions` VALUES (145672, 1020, 27, 'Backup');
INSERT INTO `lang_definitions` VALUES (145673, 1022, 27, 'File i backupit eshte krijuar. Tani do te filloje shkarkimi.');
INSERT INTO `lang_definitions` VALUES (145674, 1023, 27, 'Lista Rezerve');
INSERT INTO `lang_definitions` VALUES (145675, 1024, 27, 'Backupi u krijua me sukses ne');
INSERT INTO `lang_definitions` VALUES (145676, 1025, 27, 'Cek i pavlefshem');
INSERT INTO `lang_definitions` VALUES (145677, 1026, 27, 'Borxh i pashleyeshem');
INSERT INTO `lang_definitions` VALUES (145678, 1027, 27, 'Bahasa Indonezi');
INSERT INTO `lang_definitions` VALUES (145679, 1028, 27, 'Balance');
INSERT INTO `lang_definitions` VALUES (145680, 1031, 27, 'Balance');
INSERT INTO `lang_definitions` VALUES (145681, 1032, 27, 'balance');
INSERT INTO `lang_definitions` VALUES (145682, 1033, 27, 'Shuma e balances');
INSERT INTO `lang_definitions` VALUES (145683, 1034, 27, 'Shuma e mbetur per t\'u paguar');
INSERT INTO `lang_definitions` VALUES (145684, 1037, 27, 'Bambara');
INSERT INTO `lang_definitions` VALUES (145685, 1038, 27, 'Draft bankar');
INSERT INTO `lang_definitions` VALUES (145686, 1039, 27, 'Etikete Barkodi');
INSERT INTO `lang_definitions` VALUES (145687, 1040, 27, 'Lloji Etiketes se Barkodit');
INSERT INTO `lang_definitions` VALUES (145688, 1041, 27, 'Lloji i barkodit per shtypjen e etikave te barkodeve ne ekranin e majte navigues');
INSERT INTO `lang_definitions` VALUES (145689, 1042, 27, 'Baza e Metarsalit te peste (5-te)');
INSERT INTO `lang_definitions` VALUES (145690, 1043, 27, 'Baza e Metarsalit te peste (5-te):');
INSERT INTO `lang_definitions` VALUES (145691, 1047, 27, 'Bashkir');
INSERT INTO `lang_definitions` VALUES (145692, 1049, 27, 'Baskisht');
INSERT INTO `lang_definitions` VALUES (145693, 1050, 27, 'Kerkesat ne llot');
INSERT INTO `lang_definitions` VALUES (145694, 1051, 27, 'Grup Veglash Komunikimi');
INSERT INTO `lang_definitions` VALUES (145695, 1053, 27, 'Hyrje per pagese ne grup');
INSERT INTO `lang_definitions` VALUES (145696, 1054, 27, 'Pagesa ne grup');
INSERT INTO `lang_definitions` VALUES (145697, 1055, 27, 'Procesimin ne grup filloi; kjo do te kerkoje pak kohe.');
INSERT INTO `lang_definitions` VALUES (145698, 1056, 27, 'Rezultate e grupit');
INSERT INTO `lang_definitions` VALUES (145699, 1057, 27, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (145700, 1060, 27, 'Keni durim, disa dosje mund te marre disa minuta per tu procesuar!');
INSERT INTO `lang_definitions` VALUES (145701, 1063, 27, 'sepse kjo ID nuk ekziston.');
INSERT INTO `lang_definitions` VALUES (145702, 1072, 27, 'Fillim');
INSERT INTO `lang_definitions` VALUES (145703, 1074, 27, 'Data e fillimit');
INSERT INTO `lang_definitions` VALUES (145704, 1076, 27, 'Data Fillestare e Raportit te Librit Kryesor');
INSERT INTO `lang_definitions` VALUES (145705, 1077, 27, 'Data e fillimit te sherbimit');
INSERT INTO `lang_definitions` VALUES (145706, 1078, 27, 'Ora e fillimit te eventeve kalendarike ditore');
INSERT INTO `lang_definitions` VALUES (145707, 1081, 27, 'Bellorusisht');
INSERT INTO `lang_definitions` VALUES (145708, 1082, 27, 'Gromesime');
INSERT INTO `lang_definitions` VALUES (145709, 1083, 27, 'Nen kufirin e poshtem te panikut');
INSERT INTO `lang_definitions` VALUES (145710, 1086, 27, 'Bengali');
INSERT INTO `lang_definitions` VALUES (145711, 1087, 27, 'Bengalisht- Bangla');
INSERT INTO `lang_definitions` VALUES (145712, 1089, 27, 'midis');
INSERT INTO `lang_definitions` VALUES (145713, 1091, 27, 'Dydrejtime');
INSERT INTO `lang_definitions` VALUES (145714, 1094, 27, 'Bihari');
INSERT INTO `lang_definitions` VALUES (145715, 1095, 27, 'Bilaterale');
INSERT INTO `lang_definitions` VALUES (145716, 1096, 27, 'Bilaterale:');
INSERT INTO `lang_definitions` VALUES (145717, 1098, 27, 'Data e faturimit');
INSERT INTO `lang_definitions` VALUES (145718, 1099, 27, 'Data e faturimit:');
INSERT INTO `lang_definitions` VALUES (145719, 1101, 27, 'Faturim/Mbledhje');
INSERT INTO `lang_definitions` VALUES (145720, 1102, 27, 'Faturuar');
INSERT INTO `lang_definitions` VALUES (145721, 1103, 27, 'Data e Faturimit');
INSERT INTO `lang_definitions` VALUES (145722, 1104, 27, 'Faturim');
INSERT INTO `lang_definitions` VALUES (145723, 1105, 27, 'Faturim (write optional)');
INSERT INTO `lang_definitions` VALUES (145724, 1109, 27, 'Ne vemendje te faturimit');
INSERT INTO `lang_definitions` VALUES (145725, 1110, 27, 'Pershkrimi i Kodit te Faturimit');
INSERT INTO `lang_definitions` VALUES (145726, 1111, 27, 'Kodi i Faturimit per Sherbimin e Kerkuar');
INSERT INTO `lang_definitions` VALUES (145727, 1112, 27, 'Kodet e faturimit');
INSERT INTO `lang_definitions` VALUES (145728, 1113, 27, 'Te dhenat e faturimit');
INSERT INTO `lang_definitions` VALUES (145729, 1114, 27, 'Departamenti i faturimit');
INSERT INTO `lang_definitions` VALUES (145730, 1115, 27, 'Ndertesa e faturimit');
INSERT INTO `lang_definitions` VALUES (145731, 1117, 27, 'Informacioni i faturimit');
INSERT INTO `lang_definitions` VALUES (145732, 1118, 27, 'Vendndodhja e faturimit');
INSERT INTO `lang_definitions` VALUES (145733, 1120, 27, 'Shto Ditarin e Faturimit');
INSERT INTO `lang_definitions` VALUES (145734, 1122, 27, 'Opcioni Ditarit Faturimit');
INSERT INTO `lang_definitions` VALUES (145735, 1123, 27, 'Ditari Faturimit Ndrrohet');
INSERT INTO `lang_definitions` VALUES (145736, 1124, 27, 'Rregullimi i logut te faturimit per te shtuar ose mbishkruar log fajllin.');
INSERT INTO `lang_definitions` VALUES (145737, 1125, 27, 'Menaxheri i faturimit');
INSERT INTO `lang_definitions` VALUES (145738, 1126, 27, 'Shenime te Faturimit');
INSERT INTO `lang_definitions` VALUES (145739, 1127, 27, 'Shenime te faturimit per');
INSERT INTO `lang_definitions` VALUES (145740, 1128, 27, 'Shenime te Faturimit:');
INSERT INTO `lang_definitions` VALUES (145741, 1130, 27, 'Rezultatet e kerkimit te faturimit:');
INSERT INTO `lang_definitions` VALUES (145742, 1131, 27, 'Raportet e faturimit');
INSERT INTO `lang_definitions` VALUES (145743, 1132, 27, 'Statusi i faturimit');
INSERT INTO `lang_definitions` VALUES (145744, 1133, 27, 'Statusi i faturimit = i pa faturuar');
INSERT INTO `lang_definitions` VALUES (145745, 1134, 27, 'faturim per');
INSERT INTO `lang_definitions` VALUES (145746, 1135, 27, 'Pamja Faturimit');
INSERT INTO `lang_definitions` VALUES (145747, 1138, 27, 'Biopsi');
INSERT INTO `lang_definitions` VALUES (145748, 1140, 27, 'Datelindja');
INSERT INTO `lang_definitions` VALUES (145749, 1141, 27, 'Nga lindja deri 24 muaj');
INSERT INTO `lang_definitions` VALUES (145750, 1143, 27, 'Bislama');
INSERT INTO `lang_definitions` VALUES (145751, 1144, 27, 'e zeze');
INSERT INTO `lang_definitions` VALUES (145752, 1147, 27, 'Pneumoconiosis \"Mushkeri e zeze\"');
INSERT INTO `lang_definitions` VALUES (145753, 1148, 27, 'I zi ose afro-amerikan');
INSERT INTO `lang_definitions` VALUES (145754, 1149, 27, 'Kancer i fshikezes urinare');
INSERT INTO `lang_definitions` VALUES (145755, 1150, 27, 'Infeksion i fshikezes urinare');
INSERT INTO `lang_definitions` VALUES (145756, 1152, 27, 'Formular bosh');
INSERT INTO `lang_definitions` VALUES (145757, 1153, 27, 'probleme hemoragjike');
INSERT INTO `lang_definitions` VALUES (145758, 1154, 27, 'Pika te padukshme');
INSERT INTO `lang_definitions` VALUES (145759, 1156, 27, 'Fryrje');
INSERT INTO `lang_definitions` VALUES (145760, 1158, 27, 'Bllokuar');
INSERT INTO `lang_definitions` VALUES (145761, 1159, 27, 'Gjak');
INSERT INTO `lang_definitions` VALUES (145762, 1160, 27, 'Tensioni i gjakut');
INSERT INTO `lang_definitions` VALUES (145763, 1161, 27, 'Tensioni i gjakut');
INSERT INTO `lang_definitions` VALUES (145764, 1162, 27, 'Hemoragji nga hunda');
INSERT INTO `lang_definitions` VALUES (145765, 1163, 27, 'Shoqata Blue Cross Blue Shield');
INSERT INTO `lang_definitions` VALUES (145766, 1165, 27, 'Linjat me njyre blu ne kete raport jane te karakterit informues. Lnjat me ngjyre te zeze tregojne per informacione egzistuese. Linjat me ngjyre jeshile tregojne per ndryshime qe jane aplikuar me sukses. Linjat me ngjyre te kuqe tregojne per gabime ose ndryshime qe nuk jane aplikuar; keto duhet te procesohen manualisht. Aktualisht, ankesat e refuzuara ose pagesat qe duhen rimbursuar, nuk trajtohen automatikisht per rrjedhoj do te shfaqen me te kuqe.');
INSERT INTO `lang_definitions` VALUES (145767, 1166, 27, 'Shikim i turbullt');
INSERT INTO `lang_definitions` VALUES (145768, 1167, 27, 'Indeksi i mases trupore');
INSERT INTO `lang_definitions` VALUES (145769, 1168, 27, 'Gjendja e indeksit te mases trupore');
INSERT INTO `lang_definitions` VALUES (145770, 1169, 27, 'Trup');
INSERT INTO `lang_definitions` VALUES (145771, 1170, 27, 'zone e trupit');
INSERT INTO `lang_definitions` VALUES (145772, 1171, 27, 'pjese e trupit');
INSERT INTO `lang_definitions` VALUES (145773, 1172, 27, 'pjese e trupit, nese eshte e pershtatshme');
INSERT INTO `lang_definitions` VALUES (145774, 1173, 27, 'Dhimbje kocke:');
INSERT INTO `lang_definitions` VALUES (145775, 1174, 27, 'Dhimbje kocke: Maleoli Medial');
INSERT INTO `lang_definitions` VALUES (145776, 1175, 27, 'Bolean');
INSERT INTO `lang_definitions` VALUES (145777, 1176, 27, 'Boshnjakisht');
INSERT INTO `lang_definitions` VALUES (145778, 1177, 27, 'Poshte');
INSERT INTO `lang_definitions` VALUES (145779, 1179, 27, 'Te dy veshet');
INSERT INTO `lang_definitions` VALUES (145780, 1180, 27, 'te dy veshet');
INSERT INTO `lang_definitions` VALUES (145781, 1183, 27, 'Poshte');
INSERT INTO `lang_definitions` VALUES (145782, 1184, 27, 'Margjina e Poshtme (px)');
INSERT INTO `lang_definitions` VALUES (145783, 1187, 27, 'Kutia 10 A. Ne lidhje me punen');
INSERT INTO `lang_definitions` VALUES (145784, 1189, 27, 'Kutia 10 B. Aksident automobilistik');
INSERT INTO `lang_definitions` VALUES (145785, 1191, 27, 'Kutia 10 C. Aksident tjeter');
INSERT INTO `lang_definitions` VALUES (145786, 1200, 27, 'KUTIA 14 Data Kualifikuese');
INSERT INTO `lang_definitions` VALUES (145787, 1204, 27, 'KUTIA 15 Data Tjera Kualifikuese');
INSERT INTO `lang_definitions` VALUES (145788, 1205, 27, 'Kutia 15. Data e te njejtes semundje apo semundjeje te ngjashme (vvvv-mm-dd):');
INSERT INTO `lang_definitions` VALUES (145789, 1206, 27, 'KUTIA 15. Data e te njejtes semundje apo semundjeje te ngjashme/Data Tjera (vvvv-mm-dd):');
INSERT INTO `lang_definitions` VALUES (145790, 1211, 27, 'Kutia 16. Data e fillimit te paaftesise per te punuar (vvvv-mm-dd):');
INSERT INTO `lang_definitions` VALUES (145791, 1215, 27, 'Kutia 16. Data e mbarimit te paaftesise per te punuar (vvvv-mm-dd):');
INSERT INTO `lang_definitions` VALUES (145792, 1227, 27, 'Kutia 18. Data e shtrimit ne spital (vvvv-mm-dd):');
INSERT INTO `lang_definitions` VALUES (145793, 1231, 27, 'Kutia 18. Data e daljes nga spitali (vvvv-mm-dd):');
INSERT INTO `lang_definitions` VALUES (145794, 1235, 27, 'Kutia 20. Eshte perdorur laborator i jashtem?');
INSERT INTO `lang_definitions` VALUES (145795, 1239, 27, 'Kutia 22. Kodi (ICD-9) i ri-aplikimi te te ndihmes mjekesore.');
INSERT INTO `lang_definitions` VALUES (145796, 1243, 27, 'Kutia 23. Nr. i autorizimit te mparshem.');
INSERT INTO `lang_definitions` VALUES (145797, 1244, 27, 'Tensioni arterial');
INSERT INTO `lang_definitions` VALUES (145798, 1245, 27, 'Tensioni arterial diastolic');
INSERT INTO `lang_definitions` VALUES (145799, 1246, 27, 'Tensioni arterial sistolic');
INSERT INTO `lang_definitions` VALUES (145800, 1247, 27, 'TAD');
INSERT INTO `lang_definitions` VALUES (145801, 1248, 27, 'Tad');
INSERT INTO `lang_definitions` VALUES (145802, 1251, 27, 'TAS');
INSERT INTO `lang_definitions` VALUES (145803, 1252, 27, 'Tas');
INSERT INTO `lang_definitions` VALUES (145804, 1254, 27, 'Portugalisht');
INSERT INTO `lang_definitions` VALUES (145805, 1255, 27, 'Gjoks');
INSERT INTO `lang_definitions` VALUES (145806, 1256, 27, 'Biopsi gjoksi');
INSERT INTO `lang_definitions` VALUES (145807, 1257, 27, 'Rrjedhje gjoksi');
INSERT INTO `lang_definitions` VALUES (145808, 1258, 27, 'Semundje gjoksi');
INSERT INTO `lang_definitions` VALUES (145809, 1259, 27, 'Ekzaminim gjoksi');
INSERT INTO `lang_definitions` VALUES (145810, 1260, 27, 'Mase gjoksi');
INSERT INTO `lang_definitions` VALUES (145811, 1261, 27, 'Zhurma');
INSERT INTO `lang_definitions` VALUES (145812, 1262, 27, 'Zhurma te frymemarrjes:');
INSERT INTO `lang_definitions` VALUES (145813, 1263, 27, 'Bretonisht');
INSERT INTO `lang_definitions` VALUES (145814, 1265, 27, 'Thyerje e kockave');
INSERT INTO `lang_definitions` VALUES (145815, 1266, 27, 'forma e thyer');
INSERT INTO `lang_definitions` VALUES (145816, 1267, 27, 'Formular per bronkitin');
INSERT INTO `lang_definitions` VALUES (145817, 1270, 27, 'Kerkoj');
INSERT INTO `lang_definitions` VALUES (145818, 1271, 27, 'Shfleto per Shenim');
INSERT INTO `lang_definitions` VALUES (145819, 1272, 27, 'Hematome');
INSERT INTO `lang_definitions` VALUES (145820, 1275, 27, 'Bulgarisht');
INSERT INTO `lang_definitions` VALUES (145821, 1276, 27, 'Fryerje djathtas:');
INSERT INTO `lang_definitions` VALUES (145822, 1277, 27, 'Burmanisht');
INSERT INTO `lang_definitions` VALUES (145823, 1278, 27, 'Urinim me djegie');
INSERT INTO `lang_definitions` VALUES (145824, 1279, 27, 'Urinim Me Djegie');
INSERT INTO `lang_definitions` VALUES (145825, 1281, 27, 'Telefoni Punes');
INSERT INTO `lang_definitions` VALUES (145826, 1282, 27, 'I zene');
INSERT INTO `lang_definitions` VALUES (145827, 1283, 27, 'por akoma i paprocesuar.');
INSERT INTO `lang_definitions` VALUES (145828, 1284, 27, 'Gluteus');
INSERT INTO `lang_definitions` VALUES (145829, 1285, 27, 'Gluteus + Sacro-ileic');
INSERT INTO `lang_definitions` VALUES (145830, 1286, 27, 'nga');
INSERT INTO `lang_definitions` VALUES (145831, 1287, 27, 'Nga');
INSERT INTO `lang_definitions` VALUES (145832, 1293, 27, 'nga goja');
INSERT INTO `lang_definitions` VALUES (145833, 1295, 27, 'Nga/Burimi');
INSERT INTO `lang_definitions` VALUES (145834, 1296, 27, 'Nga:');
INSERT INTO `lang_definitions` VALUES (145835, 1299, 27, 'C');
INSERT INTO `lang_definitions` VALUES (145836, 1301, 27, 'Certifikate CA per verifikiin e serverit RFC 5425 TLS syslog');
INSERT INTO `lang_definitions` VALUES (145837, 1302, 27, 'Jetegjatesia e kashese ne seconda');
INSERT INTO `lang_definitions` VALUES (145838, 1303, 27, 'Ta hedh ne kashe shabllonin e daljes?');
INSERT INTO `lang_definitions` VALUES (145839, 1305, 27, 'Konsum kafeine');
INSERT INTO `lang_definitions` VALUES (145840, 1306, 27, 'Kalendari');
INSERT INTO `lang_definitions` VALUES (145841, 1307, 27, 'Ora kalendarike e mbylljes');
INSERT INTO `lang_definitions` VALUES (145842, 1308, 27, 'Interval kalendarik');
INSERT INTO `lang_definitions` VALUES (145843, 1309, 27, 'Ekrani i kalendarit');
INSERT INTO `lang_definitions` VALUES (145844, 1310, 27, 'Parametrat e kalendarit');
INSERT INTO `lang_definitions` VALUES (145845, 1312, 27, 'Ora kalendarike e hapjes');
INSERT INTO `lang_definitions` VALUES (145846, 1313, 27, 'Kalendar UI');
INSERT INTO `lang_definitions` VALUES (145847, 1314, 27, 'Pamja kalendarike');
INSERT INTO `lang_definitions` VALUES (145848, 1317, 27, 'Thirrja per te addForm() shkon ketu.<br>');
INSERT INTO `lang_definitions` VALUES (145849, 1321, 27, 'Kalori');
INSERT INTO `lang_definitions` VALUES (145850, 1322, 27, 'Kamboxhian');
INSERT INTO `lang_definitions` VALUES (145851, 1323, 27, 'CAMOS');
INSERT INTO `lang_definitions` VALUES (145852, 1325, 27, 'Nuk mund te vendoset kjo derisa Permbledhja e Kujdesit te Dhene nuk vendoset.');
INSERT INTO `lang_definitions` VALUES (145853, 1326, 27, 'Nuk munde te gjej dosjen!');
INSERT INTO `lang_definitions` VALUES (145854, 1327, 27, 'Nuk munde te ngarkoni');
INSERT INTO `lang_definitions` VALUES (145855, 1328, 27, 'Kanada');
INSERT INTO `lang_definitions` VALUES (145856, 1329, 27, 'Anulo');
INSERT INTO `lang_definitions` VALUES (145857, 1332, 27, 'Anulo ndryshimet');
INSERT INTO `lang_definitions` VALUES (145858, 1333, 27, 'Anuluar');
INSERT INTO `lang_definitions` VALUES (145859, 1335, 27, 'Kancer');
INSERT INTO `lang_definitions` VALUES (145860, 1336, 27, 'Egzaminim rutine: Kancer i kolonit');
INSERT INTO `lang_definitions` VALUES (145861, 1337, 27, 'Egzaminim rutine: Mamogram');
INSERT INTO `lang_definitions` VALUES (145862, 1338, 27, 'Egzaminim rutine: Pap test');
INSERT INTO `lang_definitions` VALUES (145863, 1339, 27, 'Egzaminim rutine: Kancer i prostates');
INSERT INTO `lang_definitions` VALUES (145864, 1340, 27, 'Nuk mund te shtohen keto te dhena, sepse ekzistojne ne sistem!');
INSERT INTO `lang_definitions` VALUES (145865, 1341, 27, 'Nuk mund te shtohen keto te dhena, sepse ekzistojne ne sistem!');
INSERT INTO `lang_definitions` VALUES (145866, 1342, 27, 'nuk mund te arkivohet, injorohet');
INSERT INTO `lang_definitions` VALUES (145867, 1343, 27, 'nuk mund te konvertohet ne JPEG. Ndoshta programi ImageMagick nuk eshte instaluar?');
INSERT INTO `lang_definitions` VALUES (145868, 1344, 27, 'nuk munde te fshihet, injorohet');
INSERT INTO `lang_definitions` VALUES (145869, 1345, 27, 'nuk mund te afishohet drejt perse-drejti pasi ky lloj nuk suportohet nga browseri.');
INSERT INTO `lang_definitions` VALUES (145870, 1346, 27, 'nuk mund te afishohet drejt perse-drejti pasi ky lloj nuk suportohet nga browseri.');
INSERT INTO `lang_definitions` VALUES (145871, 1347, 27, 'nuk mund te afishohet drejt perse-drejti pasi ky lloj nuk suportohet nga browseri.');
INSERT INTO `lang_definitions` VALUES (145872, 1349, 27, 'Nuk mund te krijohet');
INSERT INTO `lang_definitions` VALUES (145873, 1350, 27, 'Nuk munde te krijoj dosjen');
INSERT INTO `lang_definitions` VALUES (145874, 1351, 27, 'Nuk munde te fshij (nga SFTP serveri)');
INSERT INTO `lang_definitions` VALUES (145875, 1352, 27, 'Nuk munde te fshij dosjen');
INSERT INTO `lang_definitions` VALUES (145876, 1353, 27, 'Nuk munde te caktohet destinimi i datotekes');
INSERT INTO `lang_definitions` VALUES (145877, 1354, 27, 'Nuk gjendet');
INSERT INTO `lang_definitions` VALUES (145878, 1355, 27, 'Nuk gjendet skedari');
INSERT INTO `lang_definitions` VALUES (145879, 1356, 27, 'Nuk mund te gjej kalo fushen burimore per');
INSERT INTO `lang_definitions` VALUES (145880, 1357, 27, 'Nuk mund te gjej kalo fushen destinuese per');
INSERT INTO `lang_definitions` VALUES (145881, 1358, 27, 'Nuk mund te gjindet klienti nga ID e SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (145882, 1359, 27, 'Nuk mund te gjindet referenca postscript e dokumentit ne');
INSERT INTO `lang_definitions` VALUES (145883, 1360, 27, 'Nuk mund te provideri nga ID e SQL-Ledger pnedhenes=');
INSERT INTO `lang_definitions` VALUES (145884, 1361, 27, 'Nuk mund te ndryshohen pagesat. Shuma e pashperndare eshte negative.');
INSERT INTO `lang_definitions` VALUES (145885, 1363, 27, 'Nuk mund te hapet');
INSERT INTO `lang_definitions` VALUES (145886, 1364, 27, 'Nuk mund te aplikosh per sigurim. Entiteti i zgjedhur per te paguar eshte pacient.');
INSERT INTO `lang_definitions` VALUES (145887, 1365, 27, 'Nuk mund te aplikosh per pacienti. Entiteti i zgjedhur per te paguar eshte sigurimi.');
INSERT INTO `lang_definitions` VALUES (145888, 1366, 27, 'Nuk mund te aplikohen pagesat. Shuma e pashperndare eshte negative.');
INSERT INTO `lang_definitions` VALUES (145889, 1367, 27, 'Nuk mund te lexohet');
INSERT INTO `lang_definitions` VALUES (145890, 1368, 27, 'Nuk mund te lexohet direktoria');
INSERT INTO `lang_definitions` VALUES (145891, 1369, 27, 'Nuk mund te behen ndryshime pasi nuk po modifikohet nje e dhene ekzistuese!');
INSERT INTO `lang_definitions` VALUES (145892, 1370, 27, 'Shkronja te medha');
INSERT INTO `lang_definitions` VALUES (145893, 1371, 27, 'Te gjitha shkronja te medha');
INSERT INTO `lang_definitions` VALUES (145894, 1372, 27, 'kapsule');
INSERT INTO `lang_definitions` VALUES (145895, 1373, 27, 'Karte');
INSERT INTO `lang_definitions` VALUES (145896, 1382, 27, 'Kataterizim Kardiak');
INSERT INTO `lang_definitions` VALUES (145897, 1383, 27, 'Eko kardiake');
INSERT INTO `lang_definitions` VALUES (145898, 1384, 27, 'Kardiovaskulare');
INSERT INTO `lang_definitions` VALUES (145899, 1385, 27, 'Koordinim Kujdesi');
INSERT INTO `lang_definitions` VALUES (145900, 1389, 27, 'Plan Kujdesi');
INSERT INTO `lang_definitions` VALUES (145901, 1390, 27, 'Forma e Planit Kujdesit');
INSERT INTO `lang_definitions` VALUES (145902, 1392, 27, 'Ekipi Kujdesit');
INSERT INTO `lang_definitions` VALUES (145903, 1396, 27, 'Kartilago / kondral / demtim i diskut');
INSERT INTO `lang_definitions` VALUES (145904, 1397, 27, 'Demtim i kartilagjenit');
INSERT INTO `lang_definitions` VALUES (145905, 1398, 27, 'Pulsimet Cartoidale nl, pulsimet pedaluese nl');
INSERT INTO `lang_definitions` VALUES (145906, 1400, 27, 'para ne dore');
INSERT INTO `lang_definitions` VALUES (145907, 1401, 27, 'Para ne dore');
INSERT INTO `lang_definitions` VALUES (145908, 1402, 27, 'Pare ne dore te pranuara');
INSERT INTO `lang_definitions` VALUES (145909, 1403, 27, 'Vertetimi i pranimit te parave nga provideri');
INSERT INTO `lang_definitions` VALUES (145910, 1404, 27, 'Katalanisht- Valenciane');
INSERT INTO `lang_definitions` VALUES (145911, 1406, 27, 'Kirurgji katarakti');
INSERT INTO `lang_definitions` VALUES (145912, 1407, 27, 'Katarkt');
INSERT INTO `lang_definitions` VALUES (145913, 1408, 27, 'Kategori');
INSERT INTO `lang_definitions` VALUES (145914, 1409, 27, 'Kategori per');
INSERT INTO `lang_definitions` VALUES (145915, 1410, 27, 'Kategori');
INSERT INTO `lang_definitions` VALUES (145916, 1411, 27, 'kategori');
INSERT INTO `lang_definitions` VALUES (145917, 1412, 27, 'Kategori');
INSERT INTO `lang_definitions` VALUES (145918, 1416, 27, 'Detaje te kategorise');
INSERT INTO `lang_definitions` VALUES (145919, 1417, 27, 'Limite te kategorise');
INSERT INTO `lang_definitions` VALUES (145920, 1418, 27, 'Emri i kategorise');
INSERT INTO `lang_definitions` VALUES (145921, 1419, 27, 'Emri i kategorise eshte bosh');
INSERT INTO `lang_definitions` VALUES (145922, 1420, 27, 'Kategori/titull');
INSERT INTO `lang_definitions` VALUES (145923, 1421, 27, 'Kaukazianisht');
INSERT INTO `lang_definitions` VALUES (145924, 1422, 27, 'Shkakton printimin ne recete te informacionit te Takimit/Providerit primar');
INSERT INTO `lang_definitions` VALUES (145925, 1425, 27, 'CCD');
INSERT INTO `lang_definitions` VALUES (145926, 1426, 27, 'CCDA');
INSERT INTO `lang_definitions` VALUES (145927, 1431, 27, 'CCR');
INSERT INTO `lang_definitions` VALUES (145928, 1432, 27, 'CCR Aprovo');
INSERT INTO `lang_definitions` VALUES (145929, 1433, 27, 'CCR Kontrolle e Pacientit');
INSERT INTO `lang_definitions` VALUES (145930, 1434, 27, 'CCR Kontrollo dhe Aprovo');
INSERT INTO `lang_definitions` VALUES (145931, 1440, 27, 'CDC Shifra');
INSERT INTO `lang_definitions` VALUES (145932, 1442, 27, 'CDR');
INSERT INTO `lang_definitions` VALUES (145933, 1443, 27, 'CDR Reports Processing Priority');
INSERT INTO `lang_definitions` VALUES (145934, 1444, 27, 'Cel');
INSERT INTO `lang_definitions` VALUES (145935, 1445, 27, 'Celulari');
INSERT INTO `lang_definitions` VALUES (145936, 1446, 27, 'Nr celularit');
INSERT INTO `lang_definitions` VALUES (145937, 1447, 27, 'Nr Celulari');
INSERT INTO `lang_definitions` VALUES (145938, 1449, 27, 'Certifikim qendror');
INSERT INTO `lang_definitions` VALUES (145939, 1451, 27, 'Amerikano Jugor/Qendror');
INSERT INTO `lang_definitions` VALUES (145940, 1452, 27, 'Informacion teknik: Certificate Authority crt file location cannot be empty');
INSERT INTO `lang_definitions` VALUES (145941, 1453, 27, 'Informacion teknik: Certificate Authority key file location cannot be empty');
INSERT INTO `lang_definitions` VALUES (145942, 1454, 27, 'Informacion teknik: Certificate to send to RFC 5425 TLS syslog server.');
INSERT INTO `lang_definitions` VALUES (145943, 1455, 27, 'Perdoreus i certifikuar');
INSERT INTO `lang_definitions` VALUES (145944, 1456, 27, 'Certifikata');
INSERT INTO `lang_definitions` VALUES (145945, 1457, 27, 'Kamoro');
INSERT INTO `lang_definitions` VALUES (145946, 1458, 27, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (145947, 1459, 27, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (145948, 1460, 27, 'ndrysho');
INSERT INTO `lang_definitions` VALUES (145949, 1461, 27, 'Ndrysho');
INSERT INTO `lang_definitions` VALUES (145950, 1462, 27, 'Ndrysho aktivitetin');
INSERT INTO `lang_definitions` VALUES (145951, 1466, 27, 'Ndryshimi deshtoi! CouchDB lidhja gabim?');
INSERT INTO `lang_definitions` VALUES (145952, 1467, 27, 'Ndryshime ne pamje');
INSERT INTO `lang_definitions` VALUES (145953, 1468, 27, 'Ndryshime ne pamje');
INSERT INTO `lang_definitions` VALUES (145954, 1470, 27, 'Ndrysho Fjalekalimin');
INSERT INTO `lang_definitions` VALUES (145955, 1473, 27, 'Ndrysho Statusin per');
INSERT INTO `lang_definitions` VALUES (145956, 1475, 27, 'Ndryshuar');
INSERT INTO `lang_definitions` VALUES (145957, 1476, 27, 'Zorre e ndryshuar');
INSERT INTO `lang_definitions` VALUES (145958, 1479, 27, 'Ndryshimi ID te Pacientit per dokumenta');
INSERT INTO `lang_definitions` VALUES (145959, 1484, 27, 'Karakteristika');
INSERT INTO `lang_definitions` VALUES (145960, 1485, 27, 'Karaktere te mbetura');
INSERT INTO `lang_definitions` VALUES (145961, 1486, 27, 'Komision');
INSERT INTO `lang_definitions` VALUES (145962, 1487, 27, 'Rregullimi i komisionit');
INSERT INTO `lang_definitions` VALUES (145963, 1488, 27, 'Komision i koduar');
INSERT INTO `lang_definitions` VALUES (145964, 1490, 27, 'Komisionet');
INSERT INTO `lang_definitions` VALUES (145965, 1491, 27, 'Kartele');
INSERT INTO `lang_definitions` VALUES (145966, 1492, 27, 'Aktiviteti i karteles');
INSERT INTO `lang_definitions` VALUES (145967, 1493, 27, 'Raport i aktivitetit te karteles');
INSERT INTO `lang_definitions` VALUES (145968, 1495, 27, 'ID Kartele');
INSERT INTO `lang_definitions` VALUES (145969, 1496, 27, 'ID Kartele:');
INSERT INTO `lang_definitions` VALUES (145970, 1497, 27, 'Emertimi Grafikut');
INSERT INTO `lang_definitions` VALUES (145971, 1498, 27, 'Aktivitete i vendndodhjes se grafikut');
INSERT INTO `lang_definitions` VALUES (145972, 1499, 27, 'Shenim ne kartele');
INSERT INTO `lang_definitions` VALUES (145973, 1500, 27, 'Numer Kartele');
INSERT INTO `lang_definitions` VALUES (145974, 1502, 27, 'Vendndodhjet e ruajtjes se grafikut');
INSERT INTO `lang_definitions` VALUES (145975, 1504, 27, 'Ndjekesi i grafikut');
INSERT INTO `lang_definitions` VALUES (145976, 1505, 27, 'Ndjekesi i grafikut');
INSERT INTO `lang_definitions` VALUES (145977, 1508, 27, 'Grafike te perfunduar');
INSERT INTO `lang_definitions` VALUES (145978, 1509, 27, 'Nxirr grafikun');
INSERT INTO `lang_definitions` VALUES (145979, 1512, 27, 'Cecen');
INSERT INTO `lang_definitions` VALUES (145980, 1513, 27, 'Kontroll');
INSERT INTO `lang_definitions` VALUES (145981, 1514, 27, 'kontroll');
INSERT INTO `lang_definitions` VALUES (145982, 1515, 27, 'Kontrollo te Gjitha');
INSERT INTO `lang_definitions` VALUES (145983, 1516, 27, 'Kontrollo te Gjitha');
INSERT INTO `lang_definitions` VALUES (145984, 1517, 27, 'Kontrollo shumen');
INSERT INTO `lang_definitions` VALUES (145985, 1519, 27, 'Kontrollo daten');
INSERT INTO `lang_definitions` VALUES (145986, 1521, 27, 'Kontrollo diferencat ne perkthim bazuar ne tabelen e perkthimit');
INSERT INTO `lang_definitions` VALUES (145987, 1526, 27, 'Regjistrohem');
INSERT INTO `lang_definitions` VALUES (145988, 1527, 27, 'Regjistrohem ne');
INSERT INTO `lang_definitions` VALUES (145989, 1528, 27, 'Kontrollo te dhenat hyrese');
INSERT INTO `lang_definitions` VALUES (145990, 1529, 27, 'Kontrolloni artikujt në grafik');
INSERT INTO `lang_definitions` VALUES (145991, 1530, 27, 'Kontrollo rezultatet e laboratorit');
INSERT INTO `lang_definitions` VALUES (145992, 1531, 27, 'Shenja tregon te kontrolluarit');
INSERT INTO `lang_definitions` VALUES (145993, 1532, 27, 'Kontrollo Nr');
INSERT INTO `lang_definitions` VALUES (145994, 1533, 27, 'Kontrollo numrin');
INSERT INTO `lang_definitions` VALUES (145995, 1534, 27, 'Verifikohet');
INSERT INTO `lang_definitions` VALUES (145996, 1535, 27, 'Koha e Verifikimit');
INSERT INTO `lang_definitions` VALUES (145997, 1536, 27, 'Kontrollo pagesen');
INSERT INTO `lang_definitions` VALUES (145998, 1537, 27, 'Kontrollo kutine nese ky eshte nje file i koduar');
INSERT INTO `lang_definitions` VALUES (145999, 1541, 27, 'Zgjidhe kete nese deshironi qe providert te shikojne te gjitha vizitat dhe jo vetem te tyret.');
INSERT INTO `lang_definitions` VALUES (146000, 1543, 27, 'Verifikoni si te krijoni problem me kete dijagnoze');
INSERT INTO `lang_definitions` VALUES (146001, 1545, 27, 'Kontrollo/Daten EOB:');
INSERT INTO `lang_definitions` VALUES (146002, 1547, 27, 'Kontrollo/Nr. EOB:');
INSERT INTO `lang_definitions` VALUES (146003, 1548, 27, 'Kontrollo/Numer reference');
INSERT INTO `lang_definitions` VALUES (146004, 1549, 27, 'Kontrollo/Numer reference');
INSERT INTO `lang_definitions` VALUES (146005, 1550, 27, 'Lista e checkbox');
INSERT INTO `lang_definitions` VALUES (146006, 1551, 27, 'Lista e checkbox');
INSERT INTO `lang_definitions` VALUES (146007, 1552, 27, 'checkbox me tekst');
INSERT INTO `lang_definitions` VALUES (146008, 1553, 27, 'checkbox me tekst');
INSERT INTO `lang_definitions` VALUES (146009, 1555, 27, 'Kutiat kontrolluese me lart tregojne nese ju deshironi te pranoni ose te fshini skeden HL7.');
INSERT INTO `lang_definitions` VALUES (146010, 1557, 27, 'E selektuar');
INSERT INTO `lang_definitions` VALUES (146011, 1559, 27, 'Kuti e selektuar = Po, bosh = jo');
INSERT INTO `lang_definitions` VALUES (146012, 1561, 27, 'A eshte Verifikuar Formulari i Barerave?');
INSERT INTO `lang_definitions` VALUES (146013, 1566, 27, 'Duke zgjedhur kutine e mbylljes do te parandoloni cfaredo ndryshimi ne cilen do forme ne keto te dhena');
INSERT INTO `lang_definitions` VALUES (146014, 1568, 27, 'Cregjistro');
INSERT INTO `lang_definitions` VALUES (146015, 1569, 27, 'Kontrollo shumen');
INSERT INTO `lang_definitions` VALUES (146016, 1570, 27, 'Kraharori');
INSERT INTO `lang_definitions` VALUES (146017, 1571, 27, 'CTAB kraharori');
INSERT INTO `lang_definitions` VALUES (146018, 1572, 27, 'Dhimbje kraharori');
INSERT INTO `lang_definitions` VALUES (146019, 1573, 27, 'Dhimbje kraharori:');
INSERT INTO `lang_definitions` VALUES (146020, 1574, 27, 'Dhimbje kraharori');
INSERT INTO `lang_definitions` VALUES (146021, 1575, 27, 'Mjeku i gjoksit');
INSERT INTO `lang_definitions` VALUES (146022, 1576, 27, 'Chg');
INSERT INTO `lang_definitions` VALUES (146023, 1577, 27, 'Chichewa- Chewa- Nyanja');
INSERT INTO `lang_definitions` VALUES (146024, 1578, 27, 'Ankesa shefit');
INSERT INTO `lang_definitions` VALUES (146025, 1581, 27, 'Femije');
INSERT INTO `lang_definitions` VALUES (146026, 1583, 27, 'Statusi i vaksinimit pediatrik (CQM)');
INSERT INTO `lang_definitions` VALUES (146027, 1584, 27, 'Ethe');
INSERT INTO `lang_definitions` VALUES (146028, 1585, 27, 'Kinezisht');
INSERT INTO `lang_definitions` VALUES (146029, 1586, 27, 'Kinezisht (Thjeshtezuar)');
INSERT INTO `lang_definitions` VALUES (146030, 1587, 27, 'Kinezisht (Thjeshtezuar)');
INSERT INTO `lang_definitions` VALUES (146031, 1588, 27, 'Kiropraktike');
INSERT INTO `lang_definitions` VALUES (146032, 1589, 27, 'Zgjedhje');
INSERT INTO `lang_definitions` VALUES (146033, 1590, 27, 'Cholecystectomy');
INSERT INTO `lang_definitions` VALUES (146034, 1591, 27, 'Kolecistektomija');
INSERT INTO `lang_definitions` VALUES (146035, 1592, 27, 'Cholecystectomy');
INSERT INTO `lang_definitions` VALUES (146036, 1593, 27, 'Zgjidh');
INSERT INTO `lang_definitions` VALUES (146037, 1596, 27, 'Zgjidhni nje seksion dhe klikoni nje objekt ne te; me pas ne seksionin tjeter ju do te shikoni objektet e lidhur te ngjyrosur, ju mund te klikoni ne kete seksion dhe te fshini lidhjet.');
INSERT INTO `lang_definitions` VALUES (146038, 1597, 27, 'Kritere zgjedhjeje');
INSERT INTO `lang_definitions` VALUES (146039, 1599, 27, 'Zgjedh Shkarko ose Trego');
INSERT INTO `lang_definitions` VALUES (146040, 1602, 27, 'Zgjedh fajlin');
INSERT INTO `lang_definitions` VALUES (146041, 1603, 27, 'Zgjedh nga lista');
INSERT INTO `lang_definitions` VALUES (146042, 1604, 27, 'Zgjedh Renditjen e Drejtimit');
INSERT INTO `lang_definitions` VALUES (146043, 1605, 27, 'Liste zgjedhjeje');
INSERT INTO `lang_definitions` VALUES (146044, 1608, 27, 'Zgjedh Madhesine e Letres');
INSERT INTO `lang_definitions` VALUES (146045, 1610, 27, 'Zgjedh gjuhen PDF te Parapelqyer');
INSERT INTO `lang_definitions` VALUES (146046, 1611, 27, 'Zgjidhni formatin e printimit per kete raport vizite.');
INSERT INTO `lang_definitions` VALUES (146047, 1613, 27, 'Zgjedhni pamjen e nenkuptuar');
INSERT INTO `lang_definitions` VALUES (146048, 1615, 27, 'Bronshit kronik');
INSERT INTO `lang_definitions` VALUES (146049, 1616, 27, 'Dhimbje kronike e nyjeve');
INSERT INTO `lang_definitions` VALUES (146050, 1617, 27, 'Semundje Kronike e Veshkes (SKV)');
INSERT INTO `lang_definitions` VALUES (146051, 1620, 27, 'Chronic synovitis / effusion / joint pain / gout');
INSERT INTO `lang_definitions` VALUES (146052, 1622, 27, 'Kronik/perserites');
INSERT INTO `lang_definitions` VALUES (146053, 1623, 27, 'Kuvas');
INSERT INTO `lang_definitions` VALUES (146054, 1625, 27, 'Cirrhosis i melcise');
INSERT INTO `lang_definitions` VALUES (146055, 1626, 27, 'Cirrhosis i melcise');
INSERT INTO `lang_definitions` VALUES (146056, 1627, 27, 'Qyteti');
INSERT INTO `lang_definitions` VALUES (146057, 1629, 27, 'Emer qyteti');
INSERT INTO `lang_definitions` VALUES (146058, 1630, 27, 'Qyteti, shteti');
INSERT INTO `lang_definitions` VALUES (146059, 1631, 27, 'Qyteti, Kod Postar');
INSERT INTO `lang_definitions` VALUES (146060, 1633, 27, 'Qyteti/Shteti');
INSERT INTO `lang_definitions` VALUES (146061, 1634, 27, 'Kerkese');
INSERT INTO `lang_definitions` VALUES (146062, 1635, 27, 'Kerkese');
INSERT INTO `lang_definitions` VALUES (146063, 1637, 27, 'Statusi Kerkeses');
INSERT INTO `lang_definitions` VALUES (146064, 1638, 27, 'Testi i kerkeses perfundoi se egzekutuari');
INSERT INTO `lang_definitions` VALUES (146065, 1639, 27, 'Lloj kerkese');
INSERT INTO `lang_definitions` VALUES (146066, 1640, 27, 'Kerkesa i gjeneruar tek file');
INSERT INTO `lang_definitions` VALUES (146067, 1641, 27, 'Kerkesa i gjeneruar tek file');
INSERT INTO `lang_definitions` VALUES (146068, 1642, 27, 'Kerkesat');
INSERT INTO `lang_definitions` VALUES (146069, 1645, 27, 'Klasifikim');
INSERT INTO `lang_definitions` VALUES (146070, 1646, 27, 'Qarte');
INSERT INTO `lang_definitions` VALUES (146071, 1649, 27, 'FSHIEJ KETE PACIENT');
INSERT INTO `lang_definitions` VALUES (146072, 1651, 27, 'Parto gjithshka');
INSERT INTO `lang_definitions` VALUES (146073, 1654, 27, 'Pastro te dhenat HL7');
INSERT INTO `lang_definitions` VALUES (146074, 1655, 27, 'Arsyetim i qarte');
INSERT INTO `lang_definitions` VALUES (146075, 1659, 27, 'Informacion teknik: Clear Smarty Cache');
INSERT INTO `lang_definitions` VALUES (146076, 1661, 27, 'Informacion teknik: Clearing house info required for EDI 270 batch creation.');
INSERT INTO `lang_definitions` VALUES (146077, 1662, 27, 'Numer CLIA');
INSERT INTO `lang_definitions` VALUES (146078, 1663, 27, 'Kliko');
INSERT INTO `lang_definitions` VALUES (146079, 1664, 27, 'Kliko \'Eksporto\' per te eksportuar Kategorite, Nen-kategorite, Objektet, Permbajtjen tek nje file tekst. Cdo ngjashmeri e ketij file me nje file XML eshte e rastesishme. Etiketat e hapjes dhe mbylljes duhet te jene ne te njejten linje, duhet te jene me karaktere kapitale dhe pa hapesire. Per te importuar, shfletoni per tek file dhe klikoni tek \'Import\'.Ne rast se te dhenat jane teresisht ndryshe, ato do te inkorporohen me te dhenat egzistuese. Nese ka te emertime objektesh te ngjashme, emrat e vjeter do te mbahen dhe emrat e rinj do te ruhen duke shtuar nje numer ne fundt te tij.');
INSERT INTO `lang_definitions` VALUES (146080, 1667, 27, 'Klikoni mbi nje vend ne grafik per te shtuar nje shenim, klikoni perseri per ta hequr ate.');
INSERT INTO `lang_definitions` VALUES (146081, 1671, 27, 'Informacion teknik:');
INSERT INTO `lang_definitions` VALUES (146082, 1672, 27, 'kliko per me shume');
INSERT INTO `lang_definitions` VALUES (146083, 1673, 27, 'Kliko per me shume detaje');
INSERT INTO `lang_definitions` VALUES (146084, 1674, 27, 'Klikoni per urdheresen permbledhese');
INSERT INTO `lang_definitions` VALUES (146085, 1675, 27, 'Kliko per rezultate');
INSERT INTO `lang_definitions` VALUES (146086, 1678, 27, 'Kliko ketu');
INSERT INTO `lang_definitions` VALUES (146087, 1679, 27, 'Kliko ketu per te shtuar nje pacient te ri.');
INSERT INTO `lang_definitions` VALUES (146088, 1680, 27, 'Kliko pr te shtuar nje status te ri ndryshimi te demtimit dhe modifko aktivitetin ditor');
INSERT INTO `lang_definitions` VALUES (146089, 1682, 27, 'Kliko ketu per te zgjedhur nje date');
INSERT INTO `lang_definitions` VALUES (146090, 1683, 27, 'Kliko ketu per te zgjedhur nje date dhe ore');
INSERT INTO `lang_definitions` VALUES (146091, 1684, 27, 'Kliko ketu per te zgjedhur nje date fillimi');
INSERT INTO `lang_definitions` VALUES (146092, 1685, 27, 'Kliko ketu per te zgjedh daten kohen');
INSERT INTO `lang_definitions` VALUES (146093, 1686, 27, 'Kliko ketu per te zgjedh daten kohen prej');
INSERT INTO `lang_definitions` VALUES (146094, 1687, 27, 'Kliko ketu per te zgjedh daten kohen deri');
INSERT INTO `lang_definitions` VALUES (146095, 1688, 27, 'Kliko Ketu per te Konfiguruar Kete Modul');
INSERT INTO `lang_definitions` VALUES (146096, 1690, 27, 'Kliko ketu per te fshire rendin');
INSERT INTO `lang_definitions` VALUES (146097, 1692, 27, 'Kliko Ketu per te Pamundesuar Kete modul');
INSERT INTO `lang_definitions` VALUES (146098, 1693, 27, 'Kliko ketu per te dyfishuar rendin');
INSERT INTO `lang_definitions` VALUES (146099, 1703, 27, 'Kliko Ketu per te Mundesuar Kete modul');
INSERT INTO `lang_definitions` VALUES (146100, 1706, 27, 'Kliko Ketu per te Instaluar Kete modul');
INSERT INTO `lang_definitions` VALUES (146101, 1707, 27, 'Kliko ketu per te kerkuar');
INSERT INTO `lang_definitions` VALUES (146102, 1710, 27, 'kliko ketu per te perditesuar prioritetin, kategorine dhe detajet e nofkes');
INSERT INTO `lang_definitions` VALUES (146103, 1714, 27, 'Kliko ketu per t\'i pare te gjitha.');
INSERT INTO `lang_definitions` VALUES (146104, 1715, 27, 'Kliko ketu per te pare dhe bere grafik');
INSERT INTO `lang_definitions` VALUES (146105, 1716, 27, 'Klikoni ketu te shihni dhe grafikun e te gjitha te dhenave laboratorike.');
INSERT INTO `lang_definitions` VALUES (146106, 1717, 27, 'Kliko ketu per te pare dhe bere grafik per te gjitha te rendesishmet.');
INSERT INTO `lang_definitions` VALUES (146107, 1718, 27, 'Kliko ketu per te pare te dhenat e pacientit.');
INSERT INTO `lang_definitions` VALUES (146108, 1719, 27, 'Kliko ketu per ti pare te gjitha.');
INSERT INTO `lang_definitions` VALUES (146109, 1720, 27, 'Kliko ketu per te pa/modifiku me teper detaje');
INSERT INTO `lang_definitions` VALUES (146110, 1723, 27, 'Informacion teknik: Click Install button to install database release from the following date');
INSERT INTO `lang_definitions` VALUES (146111, 1730, 27, 'Klikoni ne cdo fashe kohore per ta rritur ate');
INSERT INTO `lang_definitions` VALUES (146112, 1751, 27, 'Klikoni Emri i Pacientit per te hapur filen e pacientit');
INSERT INTO `lang_definitions` VALUES (146113, 1753, 27, 'Klikoni Rifresko pe te pare te gjitha rezultatet, ose ju lutem specifkoni kriteret e kerkimit me siper per te pare rezultatet specifike.');
INSERT INTO `lang_definitions` VALUES (146114, 1777, 27, 'Kliko per te shtuar diagnozat');
INSERT INTO `lang_definitions` VALUES (146115, 1779, 27, 'Kliko per te shtuar komponente te reja');
INSERT INTO `lang_definitions` VALUES (146116, 1780, 27, 'Kliko per te shtuar konsulta te reja');
INSERT INTO `lang_definitions` VALUES (146117, 1782, 27, 'Klikoni daper te zgjedh dijagnozen qe ta arsyetoni.');
INSERT INTO `lang_definitions` VALUES (146118, 1785, 27, 'Kliko per te shkarkuar');
INSERT INTO `lang_definitions` VALUES (146119, 1786, 27, 'Kliko per te modifikuar');
INSERT INTO `lang_definitions` VALUES (146120, 1787, 27, 'Kliko per te rregulluar pershkrimin');
INSERT INTO `lang_definitions` VALUES (146121, 1788, 27, 'Kliko per te modifikuar kete ngjarje');
INSERT INTO `lang_definitions` VALUES (146122, 1790, 27, 'Kliko per te gjeneruar raportin');
INSERT INTO `lang_definitions` VALUES (146123, 1799, 27, 'Kliko per te harmonizuar pacientin');
INSERT INTO `lang_definitions` VALUES (146124, 1800, 27, 'Kliko per te printuar');
INSERT INTO `lang_definitions` VALUES (146125, 1801, 27, 'Kliko per te pranuar (shtuar) nje lot te ri');
INSERT INTO `lang_definitions` VALUES (146126, 1805, 27, 'Klik per te zgjedhur');
INSERT INTO `lang_definitions` VALUES (146127, 1806, 27, 'Kliko Per te Zgjedhur');
INSERT INTO `lang_definitions` VALUES (146128, 1808, 27, 'Informacion teknik: Click to select an industry-standard code for this procedure');
INSERT INTO `lang_definitions` VALUES (146129, 1811, 27, 'Kliko per te zgjedhur nje kod procedure opsional');
INSERT INTO `lang_definitions` VALUES (146130, 1812, 27, 'Kliko per zgjedhje ose ndrrimin e kodimit');
INSERT INTO `lang_definitions` VALUES (146131, 1813, 27, 'Kliko per te zgjedhur apo ndryshuar kodin CVX');
INSERT INTO `lang_definitions` VALUES (146132, 1814, 27, 'Kliko per te zgjedhur apo ndryshura diagnozat');
INSERT INTO `lang_definitions` VALUES (146133, 1815, 27, 'Kliko per te zgjedhur apo ndryshuar kodet e sherbimit');
INSERT INTO `lang_definitions` VALUES (146134, 1816, 27, 'Kliko per te zgjedhur pacient');
INSERT INTO `lang_definitions` VALUES (146135, 1817, 27, 'Kliko per te zgjedhur kodin e lidhur');
INSERT INTO `lang_definitions` VALUES (146136, 1819, 27, 'Kliko per te zgjedhur sherbimet qe do te kryen ne rast se ky rezultat eshte anormal');
INSERT INTO `lang_definitions` VALUES (146137, 1822, 27, 'Kliko per te zgjedhur proceduren e deshiruar');
INSERT INTO `lang_definitions` VALUES (146138, 1829, 27, 'Kliko per te sortuar');
INSERT INTO `lang_definitions` VALUES (146139, 1831, 27, 'Kliko per te pare');
INSERT INTO `lang_definitions` VALUES (146140, 1833, 27, 'Kliko per te pare ose modifikuar');
INSERT INTO `lang_definitions` VALUES (146141, 1834, 27, 'Kliko per te pare/modifikuar');
INSERT INTO `lang_definitions` VALUES (146142, 1836, 27, 'Informacion teknik: Click Upgrade button to upgrade database release from the following date');
INSERT INTO `lang_definitions` VALUES (146143, 1838, 27, 'Kliko ku tregohet më lartë te qiftoj-harmonizoj pacientin.');
INSERT INTO `lang_definitions` VALUES (146144, 1839, 27, 'Kliko:');
INSERT INTO `lang_definitions` VALUES (146145, 1862, 27, 'Informacion teknik: Client Certificate Expiration Days');
INSERT INTO `lang_definitions` VALUES (146146, 1864, 27, 'Informacion teknik: Client certificate validation period');
INSERT INTO `lang_definitions` VALUES (146147, 1865, 27, 'Informacion teknik: Client certificate validity should be a valid number.');
INSERT INTO `lang_definitions` VALUES (146148, 1866, 27, 'Kopjim klienti');
INSERT INTO `lang_definitions` VALUES (146149, 1868, 27, 'ID e Klientit');
INSERT INTO `lang_definitions` VALUES (146150, 1869, 27, 'Permbledhje e historise mjeksore te klientit');
INSERT INTO `lang_definitions` VALUES (146151, 1870, 27, 'Emri i Klientit');
INSERT INTO `lang_definitions` VALUES (146152, 1872, 27, 'Numri i Klientit');
INSERT INTO `lang_definitions` VALUES (146153, 1873, 27, 'Profili i klientit - Klient i ri');
INSERT INTO `lang_definitions` VALUES (146154, 1874, 27, 'Profili i klientit - Klient unik');
INSERT INTO `lang_definitions` VALUES (146155, 1878, 27, 'Kliente');
INSERT INTO `lang_definitions` VALUES (146156, 1879, 27, 'Klinike');
INSERT INTO `lang_definitions` VALUES (146157, 1880, 27, 'Kopjim Klinike');
INSERT INTO `lang_definitions` VALUES (146158, 1881, 27, 'Te dhena ditore te klinikes');
INSERT INTO `lang_definitions` VALUES (146159, 1882, 27, 'ID e klinikes');
INSERT INTO `lang_definitions` VALUES (146160, 1883, 27, 'Klinike');
INSERT INTO `lang_definitions` VALUES (146161, 1884, 27, 'Menaxhuesi i notitifkimit te regullave te vendimarjes klinike');
INSERT INTO `lang_definitions` VALUES (146162, 1886, 27, 'Historia Klinike');
INSERT INTO `lang_definitions` VALUES (146163, 1888, 27, 'Forma Klinike e Instrukcioneve');
INSERT INTO `lang_definitions` VALUES (146164, 1889, 27, 'Planet Klinike');
INSERT INTO `lang_definitions` VALUES (146165, 1890, 27, 'Masat cilesore klinike (CQM)');
INSERT INTO `lang_definitions` VALUES (146166, 1891, 27, 'Masat cilesore klinike (CQM) - 2011');
INSERT INTO `lang_definitions` VALUES (146167, 1892, 27, 'Masat cilesore klinike (CQM) - 2014');
INSERT INTO `lang_definitions` VALUES (146168, 1893, 27, 'Kujtese klinike');
INSERT INTO `lang_definitions` VALUES (146169, 1897, 27, 'Raport klinike');
INSERT INTO `lang_definitions` VALUES (146170, 1898, 27, 'Kategorite e veprimieve te rregullave klinike');
INSERT INTO `lang_definitions` VALUES (146171, 1899, 27, 'Objekt vperimi i rregullave klinike');
INSERT INTO `lang_definitions` VALUES (146172, 1900, 27, 'Metodat e filtrimit te rregullave klinike');
INSERT INTO `lang_definitions` VALUES (146173, 1901, 27, 'Metodat e shenjestres se rregullave klinike');
INSERT INTO `lang_definitions` VALUES (146174, 1902, 27, 'Rregullave klinike');
INSERT INTO `lang_definitions` VALUES (146175, 1903, 27, 'Intervalet e moshes se rregullave klinike');
INSERT INTO `lang_definitions` VALUES (146176, 1904, 27, 'Krahasimet e rregullave klinike');
INSERT INTO `lang_definitions` VALUES (146177, 1905, 27, 'Llojet e vizitave te rregullave klinike');
INSERT INTO `lang_definitions` VALUES (146178, 1906, 27, 'Opsionet e kujtesave te detyrave per tu bere te rregullave klinike');
INSERT INTO `lang_definitions` VALUES (146179, 1907, 27, 'Opsionet e c\'aktivizimit te kujtesave te rregullave klinike');
INSERT INTO `lang_definitions` VALUES (146180, 1908, 27, 'Intervalet e kujtesave te rregullave klinike');
INSERT INTO `lang_definitions` VALUES (146181, 1909, 27, 'Metodat e kujtesave te rregullave klinike');
INSERT INTO `lang_definitions` VALUES (146182, 1910, 27, 'Intervalet e shenjestrave te rregullave klinike');
INSERT INTO `lang_definitions` VALUES (146183, 1911, 27, 'Shenjestrat klinike');
INSERT INTO `lang_definitions` VALUES (146184, 1912, 27, 'Ekipi Klinik');
INSERT INTO `lang_definitions` VALUES (146185, 1913, 27, 'Kode(t) e Ekipit Klinik');
INSERT INTO `lang_definitions` VALUES (146186, 1914, 27, 'Kontrolli Klinil');
INSERT INTO `lang_definitions` VALUES (146187, 1915, 27, 'Klinicistet');
INSERT INTO `lang_definitions` VALUES (146188, 1916, 27, 'Klon');
INSERT INTO `lang_definitions` VALUES (146189, 1917, 27, 'Klono viziten e shkurar');
INSERT INTO `lang_definitions` VALUES (146190, 1918, 27, 'Mbyll');
INSERT INTO `lang_definitions` VALUES (146191, 1924, 27, 'Mbyll Dritare');
INSERT INTO `lang_definitions` VALUES (146192, 1925, 27, 'mbyll dritare');
INSERT INTO `lang_definitions` VALUES (146193, 1927, 27, 'E mbyllur');
INSERT INTO `lang_definitions` VALUES (146194, 1928, 27, 'cm');
INSERT INTO `lang_definitions` VALUES (146195, 1931, 27, 'Margjinat 1500 CMS');
INSERT INTO `lang_definitions` VALUES (146196, 1933, 27, 'Formati Letres 1500 CSM');
INSERT INTO `lang_definitions` VALUES (146197, 1938, 27, 'Formati Kutia 31 1500 CMS');
INSERT INTO `lang_definitions` VALUES (146198, 1939, 27, 'CMS 1500: Data ne kuti 31 (Nenshkrimi)');
INSERT INTO `lang_definitions` VALUES (146199, 1940, 27, 'ID e CMS');
INSERT INTO `lang_definitions` VALUES (146200, 1943, 27, 'CMS Portali');
INSERT INTO `lang_definitions` VALUES (146201, 1944, 27, 'CMS Hyrja ne Portal');
INSERT INTO `lang_definitions` VALUES (146202, 1945, 27, 'CMS Portali ID Hyrja');
INSERT INTO `lang_definitions` VALUES (146203, 1946, 27, 'CMS Portali nuk eshte mundesuar!');
INSERT INTO `lang_definitions` VALUES (146204, 1947, 27, 'CMS Fjalekalimi Portalit');
INSERT INTO `lang_definitions` VALUES (146205, 1948, 27, 'CMS Kerkesa Portalit');
INSERT INTO `lang_definitions` VALUES (146206, 1949, 27, 'CMS Portali Adresa Faqes');
INSERT INTO `lang_definitions` VALUES (146207, 1950, 27, 'CMS Portali Emri perdoruesit');
INSERT INTO `lang_definitions` VALUES (146208, 1955, 27, 'CN2-12 e paprekur');
INSERT INTO `lang_definitions` VALUES (146209, 1958, 27, 'Pagese e perbashket');
INSERT INTO `lang_definitions` VALUES (146210, 1959, 27, 'Pagese e perbashket e paguar');
INSERT INTO `lang_definitions` VALUES (146211, 1962, 27, 'Pagese e perbashket');
INSERT INTO `lang_definitions` VALUES (146212, 1964, 27, 'Kod');
INSERT INTO `lang_definitions` VALUES (146213, 1965, 27, 'kod');
INSERT INTO `lang_definitions` VALUES (146214, 1967, 27, 'Gjetes i kodit');
INSERT INTO `lang_definitions` VALUES (146215, 1968, 27, 'Kodi duhet te jete dy germa jo kapitale');
INSERT INTO `lang_definitions` VALUES (146216, 1969, 27, 'Kod ose simbol qe tregon monedhen');
INSERT INTO `lang_definitions` VALUES (146217, 1971, 27, 'Teksti i kodit');
INSERT INTO `lang_definitions` VALUES (146218, 1972, 27, 'Lloj Kodi');
INSERT INTO `lang_definitions` VALUES (146219, 1973, 27, 'lloj kodi');
INSERT INTO `lang_definitions` VALUES (146220, 1974, 27, 'Lloji Kodit nuk njihet');
INSERT INTO `lang_definitions` VALUES (146221, 1975, 27, 'Lloji Kodit ende i pa definuar');
INSERT INTO `lang_definitions` VALUES (146222, 1976, 27, 'Llojet e kodeve');
INSERT INTO `lang_definitions` VALUES (146223, 1977, 27, 'Kode(t)');
INSERT INTO `lang_definitions` VALUES (146224, 1978, 27, 'I koduar');
INSERT INTO `lang_definitions` VALUES (146225, 1979, 27, 'Kodet');
INSERT INTO `lang_definitions` VALUES (146226, 1981, 27, 'Kodim');
INSERT INTO `lang_definitions` VALUES (146227, 1982, 27, 'Kodim (kliko per arsimim)');
INSERT INTO `lang_definitions` VALUES (146228, 1983, 27, 'Kodim - i cdo takimi (write,wsome optional)');
INSERT INTO `lang_definitions` VALUES (146229, 1985, 27, 'Kodim - i vizites time (write, wsome optional)');
INSERT INTO `lang_definitions` VALUES (146230, 1990, 27, 'Kodimi nuk eshte autorizuar');
INSERT INTO `lang_definitions` VALUES (146231, 1991, 27, 'Kafe');
INSERT INTO `lang_definitions` VALUES (146232, 1992, 27, 'Perdorimi i Kafes');
INSERT INTO `lang_definitions` VALUES (146233, 1994, 27, 'Sigurim i perbashket');
INSERT INTO `lang_definitions` VALUES (146234, 1995, 27, 'Coll w/o');
INSERT INTO `lang_definitions` VALUES (146235, 1997, 27, 'Shkatrrim');
INSERT INTO `lang_definitions` VALUES (146236, 1998, 27, 'shkatrrim');
INSERT INTO `lang_definitions` VALUES (146237, 1999, 27, 'Shkatrro Gjithcka');
INSERT INTO `lang_definitions` VALUES (146238, 2000, 27, 'shkatrro gjithcka');
INSERT INTO `lang_definitions` VALUES (146239, 2001, 27, 'shkatrro gjithcka');
INSERT INTO `lang_definitions` VALUES (146240, 2004, 27, 'Para te mbledhura');
INSERT INTO `lang_definitions` VALUES (146241, 2005, 27, 'Data e parave te mbledhura');
INSERT INTO `lang_definitions` VALUES (146242, 2007, 27, 'Koleksione');
INSERT INTO `lang_definitions` VALUES (146243, 2008, 27, 'Raport koleksionesh');
INSERT INTO `lang_definitions` VALUES (146244, 2009, 27, 'Kancer i zorres');
INSERT INTO `lang_definitions` VALUES (146245, 2010, 27, 'Grafi e kancerit te zorres');
INSERT INTO `lang_definitions` VALUES (146246, 2011, 27, 'Operacion i kancerit te zorres');
INSERT INTO `lang_definitions` VALUES (146247, 2012, 27, 'Colonoscopy');
INSERT INTO `lang_definitions` VALUES (146248, 2013, 27, 'colonoscopy');
INSERT INTO `lang_definitions` VALUES (146249, 2014, 27, 'Ngjyre');
INSERT INTO `lang_definitions` VALUES (146250, 2020, 27, 'Ngjyre:Shkurtim');
INSERT INTO `lang_definitions` VALUES (146251, 2021, 27, 'Kolone');
INSERT INTO `lang_definitions` VALUES (146252, 2022, 27, 'Kolonat');
INSERT INTO `lang_definitions` VALUES (146253, 2024, 27, 'Lote te kombinuara');
INSERT INTO `lang_definitions` VALUES (146254, 2025, 27, 'Presje');
INSERT INTO `lang_definitions` VALUES (146255, 2027, 27, 'Koment');
INSERT INTO `lang_definitions` VALUES (146256, 2028, 27, 'Komente');
INSERT INTO `lang_definitions` VALUES (146257, 2030, 27, 'Komentet e ketij rezultati apo rekomandimi');
INSERT INTO `lang_definitions` VALUES (146258, 2031, 27, 'Commercial Insurance Co.');
INSERT INTO `lang_definitions` VALUES (146259, 2032, 27, 'Bej ndryshimet');
INSERT INTO `lang_definitions` VALUES (146260, 2034, 27, 'Komunikim');
INSERT INTO `lang_definitions` VALUES (146261, 2036, 27, 'Komunikimet');
INSERT INTO `lang_definitions` VALUES (146262, 2037, 27, 'Komuniteti shendetesor i mjekeve');
INSERT INTO `lang_definitions` VALUES (146263, 2039, 27, 'Kompani');
INSERT INTO `lang_definitions` VALUES (146264, 2040, 27, 'Emri i kompanise');
INSERT INTO `lang_definitions` VALUES (146265, 2041, 27, 'I plote');
INSERT INTO `lang_definitions` VALUES (146266, 2042, 27, 'Kompleto Llojin e Vizites');
INSERT INTO `lang_definitions` VALUES (146267, 2043, 27, 'I plotesuar');
INSERT INTO `lang_definitions` VALUES (146268, 2044, 27, 'kompletuar');
INSERT INTO `lang_definitions` VALUES (146269, 2046, 27, 'I plotesuar?');
INSERT INTO `lang_definitions` VALUES (146270, 2048, 27, 'Statusi  Kompletuar');
INSERT INTO `lang_definitions` VALUES (146271, 2049, 27, 'Komplikacione nga ofruesi i sherbimit');
INSERT INTO `lang_definitions` VALUES (146272, 2050, 27, 'Komplikacione aborti');
INSERT INTO `lang_definitions` VALUES (146273, 2051, 27, 'Komponent');
INSERT INTO `lang_definitions` VALUES (146274, 2057, 27, 'Computer Aided Medical Ordering System');
INSERT INTO `lang_definitions` VALUES (146275, 2058, 27, 'Perfundime');
INSERT INTO `lang_definitions` VALUES (146276, 2059, 27, 'Kusht');
INSERT INTO `lang_definitions` VALUES (146277, 2060, 27, 'Fusha e kushteve nuk u gjet');
INSERT INTO `lang_definitions` VALUES (146278, 2061, 27, 'Statusi i Kushtit');
INSERT INTO `lang_definitions` VALUES (146279, 2063, 27, 'Konfig');
INSERT INTO `lang_definitions` VALUES (146280, 2064, 27, 'Konfigurime');
INSERT INTO `lang_definitions` VALUES (146281, 2065, 27, 'Konfigurime Eksport/Import');
INSERT INTO `lang_definitions` VALUES (146282, 2066, 27, 'Konfigurimi ruajtur me sukses');
INSERT INTO `lang_definitions` VALUES (146283, 2067, 27, 'Informacion teknik: Configure Apache and OpenEMR to use Client side SSL certificates.');
INSERT INTO `lang_definitions` VALUES (146284, 2068, 27, 'Informacion teknik: Configure Apache to use Client side SSL certificates');
INSERT INTO `lang_definitions` VALUES (146285, 2069, 27, 'Informacion teknik: Configure Apache to use HTTPS.');
INSERT INTO `lang_definitions` VALUES (146286, 2070, 27, 'Informacion teknik: Configure Openemr to use Client side SSL certificates');
INSERT INTO `lang_definitions` VALUES (146287, 2074, 27, 'Konfiguroni gjurmet');
INSERT INTO `lang_definitions` VALUES (146288, 2075, 27, 'Konfiguroni Gjurmet');
INSERT INTO `lang_definitions` VALUES (146289, 2079, 27, 'Konfirmo krijimin e pacientit te ri');
INSERT INTO `lang_definitions` VALUES (146290, 2081, 27, 'Konfirmo fjalekalimin e ri');
INSERT INTO `lang_definitions` VALUES (146291, 2083, 27, 'Konfirmo pagesen');
INSERT INTO `lang_definitions` VALUES (146292, 2089, 27, 'Alergjite e Konfiguruara');
INSERT INTO `lang_definitions` VALUES (146293, 2090, 27, 'Medikamente e Konfiguruara');
INSERT INTO `lang_definitions` VALUES (146294, 2091, 27, 'Problemet e Konfiguruar');
INSERT INTO `lang_definitions` VALUES (146295, 2092, 27, 'Congenital');
INSERT INTO `lang_definitions` VALUES (146296, 2094, 27, 'Conjuntiva, pupils');
INSERT INTO `lang_definitions` VALUES (146297, 2096, 27, 'Gabimi lidhjes');
INSERT INTO `lang_definitions` VALUES (146298, 2097, 27, 'Lidhesa');
INSERT INTO `lang_definitions` VALUES (146299, 2098, 27, 'Konstante');
INSERT INTO `lang_definitions` VALUES (146300, 2100, 27, 'emer konstante');
INSERT INTO `lang_definitions` VALUES (146301, 2101, 27, 'Emri i konstantes eshte bosh');
INSERT INTO `lang_definitions` VALUES (146302, 2102, 27, 'konstante');
INSERT INTO `lang_definitions` VALUES (146303, 2103, 27, 'Kapsllek');
INSERT INTO `lang_definitions` VALUES (146304, 2104, 27, 'Kushtetuese');
INSERT INTO `lang_definitions` VALUES (146305, 2105, 27, 'Firma e ndertimit');
INSERT INTO `lang_definitions` VALUES (146306, 2106, 27, 'Mjek konsulent');
INSERT INTO `lang_definitions` VALUES (146307, 2107, 27, 'Pershkrim i shkurter kushtetues');
INSERT INTO `lang_definitions` VALUES (146308, 2109, 27, 'Kontakti');
INSERT INTO `lang_definitions` VALUES (146309, 2110, 27, 'Kontakti me email');
INSERT INTO `lang_definitions` VALUES (146310, 2111, 27, 'Kontakt Emajl Adresa');
INSERT INTO `lang_definitions` VALUES (146311, 2113, 27, 'Info rreth kontaktit');
INSERT INTO `lang_definitions` VALUES (146312, 2117, 27, 'Kontakt Lente');
INSERT INTO `lang_definitions` VALUES (146313, 2118, 27, 'Kontakto Medical Information Integration, LLC ne http://mi-squared.com per Lab Exchange Service.');
INSERT INTO `lang_definitions` VALUES (146314, 2119, 27, 'Kontakto Medical Information Integration, LLC at http://mi-squared.com or ZH Healthcare at http://zhservices.com per sherbime eRx');
INSERT INTO `lang_definitions` VALUES (146315, 2120, 27, 'Kontakto Medical Information Integration, LLC at http://mi-squared.com or ZH Healthcare at http://zhservices.comper sherbimet NewCrop eRx.');
INSERT INTO `lang_definitions` VALUES (146316, 2122, 27, 'Kontakt Emri');
INSERT INTO `lang_definitions` VALUES (146317, 2125, 27, 'Kontakt Personi');
INSERT INTO `lang_definitions` VALUES (146318, 2126, 27, 'Kontakt Telefoni');
INSERT INTO `lang_definitions` VALUES (146319, 2127, 27, 'Kontakt Numri Telefonit');
INSERT INTO `lang_definitions` VALUES (146320, 2129, 27, 'Kontakto ZMG, LLC (zmghealth@gmail.com) per nenshkrim tek sherbimi eRx');
INSERT INTO `lang_definitions` VALUES (146321, 2131, 27, 'kontakto se paku tre nga kater objektet :');
INSERT INTO `lang_definitions` VALUES (146322, 2132, 27, 'Emri i Grupit te Eneve');
INSERT INTO `lang_definitions` VALUES (146323, 2133, 27, 'Permbajtje');
INSERT INTO `lang_definitions` VALUES (146324, 2134, 27, 'permbajtje');
INSERT INTO `lang_definitions` VALUES (146325, 2136, 27, 'Kontekst');
INSERT INTO `lang_definitions` VALUES (146326, 2137, 27, 'Emri i kontekstit nuk mund te jete bosh');
INSERT INTO `lang_definitions` VALUES (146327, 2138, 27, 'Vazhdo');
INSERT INTO `lang_definitions` VALUES (146328, 2142, 27, 'Continuity of Care Document (CCD)');
INSERT INTO `lang_definitions` VALUES (146329, 2145, 27, 'Continuity of Care Record (CCR)');
INSERT INTO `lang_definitions` VALUES (146330, 2146, 27, 'Kontra Klientet');
INSERT INTO `lang_definitions` VALUES (146331, 2147, 27, 'Kontraceptim');
INSERT INTO `lang_definitions` VALUES (146332, 2148, 27, 'Ceshtej kontraceptimi');
INSERT INTO `lang_definitions` VALUES (146333, 2149, 27, 'Komplikim kontraceptiv (specifiko)');
INSERT INTO `lang_definitions` VALUES (146334, 2150, 27, 'Metode kontraceptive');
INSERT INTO `lang_definitions` VALUES (146335, 2151, 27, 'Produkte kontraceptive');
INSERT INTO `lang_definitions` VALUES (146336, 2152, 27, 'Sherbime kontraceptive te nisur me pare');
INSERT INTO `lang_definitions` VALUES (146337, 2153, 27, 'Fillim kontracpetivi');
INSERT INTO `lang_definitions` VALUES (146338, 2158, 27, 'ID e kontrollit');
INSERT INTO `lang_definitions` VALUES (146339, 2159, 27, 'Nr. i kontrollit');
INSERT INTO `lang_definitions` VALUES (146340, 2160, 27, 'Substanca Kontrolluar');
INSERT INTO `lang_definitions` VALUES (146341, 2168, 27, 'BASHKE PAGUES');
INSERT INTO `lang_definitions` VALUES (146342, 2169, 27, 'Bashke pagues');
INSERT INTO `lang_definitions` VALUES (146343, 2170, 27, 'BashkePagues');
INSERT INTO `lang_definitions` VALUES (146344, 2171, 27, 'Bashkepagues jo pozitiv');
INSERT INTO `lang_definitions` VALUES (146345, 2172, 27, 'Bashkepaguesi Pagoi');
INSERT INTO `lang_definitions` VALUES (146346, 2173, 27, 'Bashke pagesa');
INSERT INTO `lang_definitions` VALUES (146347, 2174, 27, 'COPD');
INSERT INTO `lang_definitions` VALUES (146348, 2175, 27, 'Kopjoni faqet tek grafiku i pacientit');
INSERT INTO `lang_definitions` VALUES (146349, 2177, 27, 'Kopjoni vlerat');
INSERT INTO `lang_definitions` VALUES (146350, 2178, 27, 'Duke kopjuar filen e databases. Kjo do disa kohe...');
INSERT INTO `lang_definitions` VALUES (146351, 2179, 27, 'Shenim e drejte autori');
INSERT INTO `lang_definitions` VALUES (146352, 2183, 27, 'Kornvalisht');
INSERT INTO `lang_definitions` VALUES (146353, 2184, 27, 'Coronary Artery Bypass');
INSERT INTO `lang_definitions` VALUES (146354, 2185, 27, 'Coronary Artery Bypass Graft (CABG)');
INSERT INTO `lang_definitions` VALUES (146355, 2186, 27, 'I korrigjuar');
INSERT INTO `lang_definitions` VALUES (146356, 2187, 27, 'Korzikanisht');
INSERT INTO `lang_definitions` VALUES (146357, 2188, 27, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (146358, 2189, 27, 'CouchDB Connection Failed.');
INSERT INTO `lang_definitions` VALUES (146359, 2191, 27, 'CouchDB Database');
INSERT INTO `lang_definitions` VALUES (146360, 2192, 27, 'CouchDB database name');
INSERT INTO `lang_definitions` VALUES (146361, 2195, 27, 'CouchDB host');
INSERT INTO `lang_definitions` VALUES (146362, 2196, 27, 'CouchDB HostName');
INSERT INTO `lang_definitions` VALUES (146363, 2197, 27, 'CouchDB Log Enable');
INSERT INTO `lang_definitions` VALUES (146364, 2198, 27, 'CouchDB Password');
INSERT INTO `lang_definitions` VALUES (146365, 2199, 27, 'CouchDB Port');
INSERT INTO `lang_definitions` VALUES (146366, 2200, 27, 'CouchDB port');
INSERT INTO `lang_definitions` VALUES (146367, 2201, 27, 'CouchDB ruajtja deshtoi');
INSERT INTO `lang_definitions` VALUES (146368, 2203, 27, 'CouchDB UserName');
INSERT INTO `lang_definitions` VALUES (146369, 2204, 27, 'Kolle');
INSERT INTO `lang_definitions` VALUES (146370, 2205, 27, 'Kolle:');
INSERT INTO `lang_definitions` VALUES (146371, 2206, 27, 'nuk mund te lidheni me serverin');
INSERT INTO `lang_definitions` VALUES (146372, 2208, 27, 'Nuk mund te importoj dokumentin. Ju lutemi të kontaktoni shitesin e EMR.');
INSERT INTO `lang_definitions` VALUES (146373, 2210, 27, 'nuk mund te hap tabelen');
INSERT INTO `lang_definitions` VALUES (146374, 2211, 27, 'Nuk mund te lexoj filen');
INSERT INTO `lang_definitions` VALUES (146375, 2212, 27, 'Nuk munde te lexoj dosjen');
INSERT INTO `lang_definitions` VALUES (146376, 2214, 27, 'Nuk mund te dergoj email per nje problem ne server,');
INSERT INTO `lang_definitions` VALUES (146377, 2216, 27, 'Nuk mund te dergoj email per nje problem ne server.');
INSERT INTO `lang_definitions` VALUES (146378, 2217, 27, 'Couldn\'t create backup dir:');
INSERT INTO `lang_definitions` VALUES (146379, 2218, 27, 'Couldn\'t remove dir:');
INSERT INTO `lang_definitions` VALUES (146380, 2219, 27, 'Couldn\'t remove old backup file:');
INSERT INTO `lang_definitions` VALUES (146381, 2220, 27, 'Couldn\'t remove old export file:');
INSERT INTO `lang_definitions` VALUES (146382, 2221, 27, 'Coumadin Management - INR Monitoring');
INSERT INTO `lang_definitions` VALUES (146383, 2222, 27, 'Keshillim me metode');
INSERT INTO `lang_definitions` VALUES (146384, 2223, 27, 'Keshillim');
INSERT INTO `lang_definitions` VALUES (146385, 2224, 27, 'aktivitete keshillimi');
INSERT INTO `lang_definitions` VALUES (146386, 2227, 27, 'FORMA E KONDRA-BILETES');
INSERT INTO `lang_definitions` VALUES (146387, 2228, 27, 'Kondra-Bilete');
INSERT INTO `lang_definitions` VALUES (146388, 2229, 27, 'Vendi');
INSERT INTO `lang_definitions` VALUES (146389, 2231, 27, 'Lloji i te dhenave te vendit');
INSERT INTO `lang_definitions` VALUES (146390, 2232, 27, 'Liste vendesh (write,addonly optional)');
INSERT INTO `lang_definitions` VALUES (146391, 2233, 27, 'Liste vendesh (write,addonly optional)');
INSERT INTO `lang_definitions` VALUES (146392, 2235, 27, 'Emri i vendit duhet te perfaqesoht me dy germa. (Psh. United States eshte US)');
INSERT INTO `lang_definitions` VALUES (146393, 2236, 27, 'vendi');
INSERT INTO `lang_definitions` VALUES (146394, 2237, 27, 'Vendi');
INSERT INTO `lang_definitions` VALUES (146395, 2238, 27, 'Kupon');
INSERT INTO `lang_definitions` VALUES (146396, 2240, 27, 'Kusheri');
INSERT INTO `lang_definitions` VALUES (146397, 2244, 27, 'CPOE');
INSERT INTO `lang_definitions` VALUES (146398, 2245, 27, 'CPT');
INSERT INTO `lang_definitions` VALUES (146399, 2246, 27, 'CPT Code');
INSERT INTO `lang_definitions` VALUES (146400, 2247, 27, 'CPT Codes');
INSERT INTO `lang_definitions` VALUES (146401, 2248, 27, 'CPT4 Procedure/Service');
INSERT INTO `lang_definitions` VALUES (146402, 2249, 27, 'CPTII Performance Measures');
INSERT INTO `lang_definitions` VALUES (146403, 2250, 27, 'CQM');
INSERT INTO `lang_definitions` VALUES (146404, 2252, 27, 'Kercitje: Kercas:');
INSERT INTO `lang_definitions` VALUES (146405, 2255, 27, 'krem');
INSERT INTO `lang_definitions` VALUES (146406, 2256, 27, 'Krijo nje certifikate SSL ne ane te Klientit per cdo perdorues ose makineri klienti');
INSERT INTO `lang_definitions` VALUES (146407, 2257, 27, 'Krijo nje SSL certifikate te klienti per shfrytezuesin ose kompjuterin e klientit');
INSERT INTO `lang_definitions` VALUES (146408, 2261, 27, 'Krijo nje udhe te re');
INSERT INTO `lang_definitions` VALUES (146409, 2269, 27, 'Krijo nje Ngjarje');
INSERT INTO `lang_definitions` VALUES (146410, 2273, 27, 'Krijo dhe shkarko nje \"backup\" te plote');
INSERT INTO `lang_definitions` VALUES (146411, 2274, 27, 'Krijo dhe modifiko gjurmet');
INSERT INTO `lang_definitions` VALUES (146412, 2275, 27, 'Krijo Backup');
INSERT INTO `lang_definitions` VALUES (146413, 2276, 27, 'Krijo pakete');
INSERT INTO `lang_definitions` VALUES (146414, 2277, 27, 'Krijo Certifikate Klienti');
INSERT INTO `lang_definitions` VALUES (146415, 2278, 27, 'Krijo certifikate SSL ne ane te klientit');
INSERT INTO `lang_definitions` VALUES (146416, 2281, 27, 'Krijo Duplikim');
INSERT INTO `lang_definitions` VALUES (146417, 2282, 27, 'Krijo Vizite');
INSERT INTO `lang_definitions` VALUES (146418, 2283, 27, 'Krijo nje kopje te Eventlog');
INSERT INTO `lang_definitions` VALUES (146419, 2285, 27, 'Krijo ceshtje te re');
INSERT INTO `lang_definitions` VALUES (146420, 2287, 27, 'Krijo Pacient te Ri');
INSERT INTO `lang_definitions` VALUES (146421, 2288, 27, 'Krijo Rruge te re');
INSERT INTO `lang_definitions` VALUES (146422, 2290, 27, 'Krijo qasje per Portalin Offsite');
INSERT INTO `lang_definitions` VALUES (146423, 2292, 27, 'Krijo qasje per Portalin Onsite');
INSERT INTO `lang_definitions` VALUES (146424, 2294, 27, 'Krijo Shenim Pacienti');
INSERT INTO `lang_definitions` VALUES (146425, 2296, 27, 'Krijo autoritet per SSL certifikate dhe server');
INSERT INTO `lang_definitions` VALUES (146426, 2297, 27, 'Krijo Vizite');
INSERT INTO `lang_definitions` VALUES (146427, 2298, 27, 'E Krijuar');
INSERT INTO `lang_definitions` VALUES (146428, 2306, 27, 'Krijo skedar exporti');
INSERT INTO `lang_definitions` VALUES (146429, 2307, 27, 'Krijimi i rruges se re deshtoi');
INSERT INTO `lang_definitions` VALUES (146430, 2308, 27, 'Krijimin e kesaje dosjeje ne bartesin ne largesi deshtoi');
INSERT INTO `lang_definitions` VALUES (146431, 2309, 27, 'Krijuesi');
INSERT INTO `lang_definitions` VALUES (146432, 2311, 27, 'kredit');
INSERT INTO `lang_definitions` VALUES (146433, 2312, 27, 'Karte Krediti');
INSERT INTO `lang_definitions` VALUES (146434, 2314, 27, 'Kredite');
INSERT INTO `lang_definitions` VALUES (146435, 2315, 27, 'Cree');
INSERT INTO `lang_definitions` VALUES (146436, 2316, 27, 'Kriteri');
INSERT INTO `lang_definitions` VALUES (146437, 2318, 27, 'Kroatisht');
INSERT INTO `lang_definitions` VALUES (146438, 2319, 27, 'Semundja e Crohn-it');
INSERT INTO `lang_definitions` VALUES (146439, 2320, 27, 'Semundja e Crohn-it');
INSERT INTO `lang_definitions` VALUES (146440, 2323, 27, 'CSV Eksport');
INSERT INTO `lang_definitions` VALUES (146441, 2324, 27, 'CSV Dosja');
INSERT INTO `lang_definitions` VALUES (146442, 2325, 27, 'CSV Tabelat');
INSERT INTO `lang_definitions` VALUES (146443, 2330, 27, 'mm3');
INSERT INTO `lang_definitions` VALUES (146444, 2331, 27, 'Kubanisht');
INSERT INTO `lang_definitions` VALUES (146445, 2333, 27, 'Valuta Vendet Decimale');
INSERT INTO `lang_definitions` VALUES (146446, 2334, 27, 'Valuta Simboli i Pikes Decimale');
INSERT INTO `lang_definitions` VALUES (146447, 2335, 27, 'Shenja Valutes');
INSERT INTO `lang_definitions` VALUES (146448, 2336, 27, 'Separatori Mijesh Valutor');
INSERT INTO `lang_definitions` VALUES (146449, 2337, 27, 'Aktual');
INSERT INTO `lang_definitions` VALUES (146450, 2338, 27, 'Alkooli Aktual');
INSERT INTO `lang_definitions` VALUES (146451, 2341, 27, 'Konsultimi Aktual');
INSERT INTO `lang_definitions` VALUES (146452, 2342, 27, 'Kriteret Aktuale');
INSERT INTO `lang_definitions` VALUES (146453, 2344, 27, 'Dita aktule e hijezuar me ngjyre');
INSERT INTO `lang_definitions` VALUES (146454, 2345, 27, 'Aktualisht duhanpires i perditshem');
INSERT INTO `lang_definitions` VALUES (146455, 2347, 27, 'Emri dosjes aktuale eshte ndrruar ne');
INSERT INTO `lang_definitions` VALUES (146456, 2349, 27, 'Hash aktual');
INSERT INTO `lang_definitions` VALUES (146457, 2350, 27, 'Vendndodhja aktuale');
INSERT INTO `lang_definitions` VALUES (146458, 2352, 27, 'Barerat Aktuale');
INSERT INTO `lang_definitions` VALUES (146459, 2354, 27, 'Fjalekalimi Aktual');
INSERT INTO `lang_definitions` VALUES (146460, 2356, 27, 'Pacienti Akrual');
INSERT INTO `lang_definitions` VALUES (146461, 2359, 27, 'Vetem pacienti aktual');
INSERT INTO `lang_definitions` VALUES (146462, 2361, 27, 'Droga e Tanishme Rekreative');
INSERT INTO `lang_definitions` VALUES (146463, 2363, 27, 'Aktualisht duhanpires i ndonje diteshem');
INSERT INTO `lang_definitions` VALUES (146464, 2365, 27, 'Statusi Aktual Koha');
INSERT INTO `lang_definitions` VALUES (146465, 2369, 27, 'Vlera Aktuale');
INSERT INTO `lang_definitions` VALUES (146466, 2371, 27, 'Momentalisht Aktiv');
INSERT INTO `lang_definitions` VALUES (146467, 2375, 27, 'Momentalisht Vrapon');
INSERT INTO `lang_definitions` VALUES (146468, 2377, 27, 'Aktualisht nuk ka objekte.');
INSERT INTO `lang_definitions` VALUES (146469, 2379, 27, 'Sindromi Cushing');
INSERT INTO `lang_definitions` VALUES (146470, 2380, 27, 'Sindromi Cushing');
INSERT INTO `lang_definitions` VALUES (146471, 2382, 27, 'Kujdestar');
INSERT INTO `lang_definitions` VALUES (146472, 2383, 27, 'Pershtatje');
INSERT INTO `lang_definitions` VALUES (146473, 2390, 27, 'Hyrja e Adaptuar?');
INSERT INTO `lang_definitions` VALUES (146474, 2395, 27, 'Tabela e Adaptuar');
INSERT INTO `lang_definitions` VALUES (146475, 2401, 27, 'Cvx Shifra');
INSERT INTO `lang_definitions` VALUES (146476, 2402, 27, 'Cvx Shifra');
INSERT INTO `lang_definitions` VALUES (146477, 2403, 27, 'CVX Code Mapping');
INSERT INTO `lang_definitions` VALUES (146478, 2404, 27, 'CVX Imunizimi');
INSERT INTO `lang_definitions` VALUES (146479, 2406, 27, 'Cikel');
INSERT INTO `lang_definitions` VALUES (146480, 2412, 27, 'CYP');
INSERT INTO `lang_definitions` VALUES (146481, 2413, 27, 'CYP Faktori');
INSERT INTO `lang_definitions` VALUES (146482, 2414, 27, 'CYP Raporti');
INSERT INTO `lang_definitions` VALUES (146483, 2415, 27, 'Çekisht');
INSERT INTO `lang_definitions` VALUES (146484, 2416, 27, 'D');
INSERT INTO `lang_definitions` VALUES (146485, 2417, 27, 'D&C');
INSERT INTO `lang_definitions` VALUES (146486, 2418, 27, 'D&E');
INSERT INTO `lang_definitions` VALUES (146487, 2420, 27, 'D.E.L.');
INSERT INTO `lang_definitions` VALUES (146488, 2421, 27, 'Ditore');
INSERT INTO `lang_definitions` VALUES (146489, 2422, 27, 'Inqizim i Perditshem');
INSERT INTO `lang_definitions` VALUES (146490, 2425, 27, 'Danezisht');
INSERT INTO `lang_definitions` VALUES (146491, 2429, 27, 'Keto te dhena jane ne baze te shenimeve, ju lutem ndryshoni shifren dhe/ose pershkrimin');
INSERT INTO `lang_definitions` VALUES (146492, 2430, 27, 'Keto te dhena jane ne baze te shenimeve, ju lutem ndryshoni emrin e konstantes');
INSERT INTO `lang_definitions` VALUES (146493, 2431, 27, 'Kolonat e te dhenave');
INSERT INTO `lang_definitions` VALUES (146494, 2432, 27, 'Regjistruesi i te dhenave');
INSERT INTO `lang_definitions` VALUES (146495, 2433, 27, 'Regjistrimi i te dhenave - Numri i sigurimit');
INSERT INTO `lang_definitions` VALUES (146496, 2434, 27, 'Te dhena Gabim');
INSERT INTO `lang_definitions` VALUES (146497, 2435, 27, 'Te dhena nga');
INSERT INTO `lang_definitions` VALUES (146498, 2436, 27, 'Integriteti i te dhenave ka qene i kompromituar');
INSERT INTO `lang_definitions` VALUES (146499, 2437, 27, 'te dhenat e te gjitha takomeve deri me tani');
INSERT INTO `lang_definitions` VALUES (146500, 2439, 27, 'Lloji i te dhenave');
INSERT INTO `lang_definitions` VALUES (146501, 2440, 27, 'Databaza');
INSERT INTO `lang_definitions` VALUES (146502, 2442, 27, 'Baza e te dhenave nu eshte instaluar.');
INSERT INTO `lang_definitions` VALUES (146503, 2444, 27, 'Riparimi i bazes se shenimeve');
INSERT INTO `lang_definitions` VALUES (146504, 2445, 27, 'Baza e te dhenave per Raportim');
INSERT INTO `lang_definitions` VALUES (146505, 2447, 27, 'Ngritja e databazes perfundoi.');
INSERT INTO `lang_definitions` VALUES (146506, 2448, 27, 'Kolonat e te dhenave duhet te jene numra ne mes 1 dhe 999');
INSERT INTO `lang_definitions` VALUES (146507, 2449, 27, 'Date');
INSERT INTO `lang_definitions` VALUES (146508, 2450, 27, 'DATE');
INSERT INTO `lang_definitions` VALUES (146509, 2451, 27, 'Data & Koha e Administruar');
INSERT INTO `lang_definitions` VALUES (146510, 2452, 27, 'Data / Koha');
INSERT INTO `lang_definitions` VALUES (146511, 2453, 27, 'Data e Administruar');
INSERT INTO `lang_definitions` VALUES (146512, 2454, 27, 'Data dhe koha e mbledhjes se mostres');
INSERT INTO `lang_definitions` VALUES (146513, 2455, 27, 'Data dhe ora e ketij vezhgimi');
INSERT INTO `lang_definitions` VALUES (146514, 2456, 27, 'Data dhe ora e ketij raporti');
INSERT INTO `lang_definitions` VALUES (146515, 2457, 27, 'Data dhe koha qe mostra eshte mbledhur');
INSERT INTO `lang_definitions` VALUES (146516, 2458, 27, 'Data Nuk Mund te jete me e madhe se sa Sot');
INSERT INTO `lang_definitions` VALUES (146517, 2459, 27, 'Data e sherbimeve kontraceptive fillimisht te siguruara');
INSERT INTO `lang_definitions` VALUES (146518, 2460, 27, 'Data e Krijimit');
INSERT INTO `lang_definitions` VALUES (146519, 2461, 27, 'Data e Vdekjes');
INSERT INTO `lang_definitions` VALUES (146520, 2462, 27, 'Data e Shkatrrimit');
INSERT INTO `lang_definitions` VALUES (146521, 2463, 27, 'Formati i Paraqitjes se Dates');
INSERT INTO `lang_definitions` VALUES (146522, 2464, 27, 'Formati i dates per \"fundin e vizites\" nuk eshte i vlefshem');
INSERT INTO `lang_definitions` VALUES (146523, 2465, 27, 'Formati i dates per \"fillimin e vizites\" nuk eshte i vlefshem');
INSERT INTO `lang_definitions` VALUES (146524, 2466, 27, 'Formati i dates per \"viziten e ardhshem\" nuk eshte i vlefshem');
INSERT INTO `lang_definitions` VALUES (146525, 2467, 27, 'Formati i dates per \"nuk shihet qe nga viti\" nuk eshte i vlefshem');
INSERT INTO `lang_definitions` VALUES (146526, 2469, 27, 'Formati i dates per \"pare qe nga\" nuk eshte i vlefshem');
INSERT INTO `lang_definitions` VALUES (146527, 2470, 27, 'Raporti per Daten e Imunizimit eshte Dhene');
INSERT INTO `lang_definitions` VALUES (146528, 2471, 27, 'Data mungon per kodin');
INSERT INTO `lang_definitions` VALUES (146529, 2472, 27, 'Data e Master Kritereve');
INSERT INTO `lang_definitions` VALUES (146530, 2475, 27, 'Data e depozitave bankare vvvv-mm-dd');
INSERT INTO `lang_definitions` VALUES (146531, 2476, 27, 'Data e Faturimit');
INSERT INTO `lang_definitions` VALUES (146532, 2477, 27, 'Data Lindjes');
INSERT INTO `lang_definitions` VALUES (146533, 2478, 27, 'Data lindjes');
INSERT INTO `lang_definitions` VALUES (146534, 2479, 27, 'Data  e Lindjes');
INSERT INTO `lang_definitions` VALUES (146535, 2481, 27, 'Data e Hyrjes');
INSERT INTO `lang_definitions` VALUES (146536, 2483, 27, 'Data e lendimit');
INSERT INTO `lang_definitions` VALUES (146537, 2484, 27, 'Data e Fillimit');
INSERT INTO `lang_definitions` VALUES (146538, 2487, 27, 'Data e pageses vvvv-mm-dd');
INSERT INTO `lang_definitions` VALUES (146539, 2489, 27, 'Data e referimit');
INSERT INTO `lang_definitions` VALUES (146540, 2491, 27, 'Data e kthimit');
INSERT INTO `lang_definitions` VALUES (146541, 2492, 27, 'Data e Raportit');
INSERT INTO `lang_definitions` VALUES (146542, 2493, 27, 'Data e Sherbimit');
INSERT INTO `lang_definitions` VALUES (146543, 2495, 27, 'Data E Sherbimit');
INSERT INTO `lang_definitions` VALUES (146544, 2496, 27, 'Data e Sherbimit = Sot');
INSERT INTO `lang_definitions` VALUES (146545, 2498, 27, 'Data e Sherbimit mm/dd/vvvv');
INSERT INTO `lang_definitions` VALUES (146546, 2499, 27, 'Data e Sherbimit:');
INSERT INTO `lang_definitions` VALUES (146547, 2500, 27, 'Data E Nenshkrimit');
INSERT INTO `lang_definitions` VALUES (146548, 2501, 27, 'Data e Ndryshimit te Statutit');
INSERT INTO `lang_definitions` VALUES (146549, 2503, 27, 'Data e ketije Urdheri');
INSERT INTO `lang_definitions` VALUES (146550, 2504, 27, 'Data e ketije raporti');
INSERT INTO `lang_definitions` VALUES (146551, 2506, 27, 'Data e Urdhereses');
INSERT INTO `lang_definitions` VALUES (146552, 2507, 27, 'Periudha Kohore');
INSERT INTO `lang_definitions` VALUES (146553, 2508, 27, 'Data Selektori');
INSERT INTO `lang_definitions` VALUES (146554, 2509, 27, 'Data selektori');
INSERT INTO `lang_definitions` VALUES (146555, 2510, 27, 'Data e Dergimit');
INSERT INTO `lang_definitions` VALUES (146556, 2511, 27, 'Data kur Mesazhi Ishte Derguar');
INSERT INTO `lang_definitions` VALUES (146557, 2512, 27, 'Data Koha');
INSERT INTO `lang_definitions` VALUES (146558, 2513, 27, 'Vlerat e Datave nuk munde te jene te Zbrazta');
INSERT INTO `lang_definitions` VALUES (146559, 2516, 27, 'Data/Vizita');
INSERT INTO `lang_definitions` VALUES (146560, 2517, 27, 'Data / Shenime');
INSERT INTO `lang_definitions` VALUES (146561, 2518, 27, 'Data/Shenimet e fundit');
INSERT INTO `lang_definitions` VALUES (146562, 2519, 27, 'Data/Koha');
INSERT INTO `lang_definitions` VALUES (146563, 2520, 27, 'Date:');
INSERT INTO `lang_definitions` VALUES (146564, 2523, 27, 'Data e Mesazheve ne log');
INSERT INTO `lang_definitions` VALUES (146565, 2526, 27, 'Dite');
INSERT INTO `lang_definitions` VALUES (146566, 2527, 27, 'dite');
INSERT INTO `lang_definitions` VALUES (146567, 2529, 27, 'Raporti Ditor');
INSERT INTO `lang_definitions` VALUES (146568, 2530, 27, 'Pamja dites');
INSERT INTO `lang_definitions` VALUES (146569, 2531, 27, 'Dite(t)');
INSERT INTO `lang_definitions` VALUES (146570, 2532, 27, 'Dite(t) M-F');
INSERT INTO `lang_definitions` VALUES (146571, 2533, 27, 'ditet');
INSERT INTO `lang_definitions` VALUES (146572, 2534, 27, 'Ditet');
INSERT INTO `lang_definitions` VALUES (146573, 2535, 27, 'dite me pare');
INSERT INTO `lang_definitions` VALUES (146574, 2536, 27, 'Ditet dhe Lojrat e Humbura');
INSERT INTO `lang_definitions` VALUES (146575, 2537, 27, 'Ditet nga Vizita Fundit');
INSERT INTO `lang_definitions` VALUES (146576, 2538, 27, 'Ditet e Humbura');
INSERT INTO `lang_definitions` VALUES (146577, 2541, 27, 'Ditet per Kolone');
INSERT INTO `lang_definitions` VALUES (146578, 2542, 27, 'Ditet/Kol');
INSERT INTO `lang_definitions` VALUES (146579, 2543, 27, 'Ditet/Kol:');
INSERT INTO `lang_definitions` VALUES (146580, 2544, 27, 'DB e instaluar');
INSERT INTO `lang_definitions` VALUES (146581, 2545, 27, 'DD/MM/VVVV');
INSERT INTO `lang_definitions` VALUES (146582, 2546, 27, 'De Identifikimi');
INSERT INTO `lang_definitions` VALUES (146583, 2547, 27, 'Procesi De Identifikimit është përfunduar');
INSERT INTO `lang_definitions` VALUES (146584, 2548, 27, 'Procesi De Identifikimit është ne vazhdim');
INSERT INTO `lang_definitions` VALUES (146585, 2549, 27, 'Procesi De Identifikimi ka filluar dhe po shkon ne sfond');
INSERT INTO `lang_definitions` VALUES (146586, 2550, 27, 'Te dhenat e De Identifikuara minde te mos kompletohen');
INSERT INTO `lang_definitions` VALUES (146587, 2551, 27, 'Dosjet e De Identifikimit do te ruhen ne');
INSERT INTO `lang_definitions` VALUES (146588, 2555, 27, 'Deaktivizim');
INSERT INTO `lang_definitions` VALUES (146589, 2558, 27, 'Shurdher');
INSERT INTO `lang_definitions` VALUES (146590, 2562, 27, 'Rregulloj Informaten');
INSERT INTO `lang_definitions` VALUES (146591, 2563, 27, 'HJEKJA DALJA');
INSERT INTO `lang_definitions` VALUES (146592, 2564, 27, 'Rregulloj');
INSERT INTO `lang_definitions` VALUES (146593, 2565, 27, 'Dhj');
INSERT INTO `lang_definitions` VALUES (146594, 2567, 27, 'VDEKUR');
INSERT INTO `lang_definitions` VALUES (146595, 2574, 27, 'Dhjetor');
INSERT INTO `lang_definitions` VALUES (146596, 2578, 27, 'Decimalet e kilogrameve ose poundet dhe uncat ndahen me #(psh. 5#4)');
INSERT INTO `lang_definitions` VALUES (146597, 2579, 27, 'Nuk pranoi te specifikoj');
INSERT INTO `lang_definitions` VALUES (146598, 2580, 27, 'Zbritshme');
INSERT INTO `lang_definitions` VALUES (146599, 2581, 27, 'Lejohet lirimi');
INSERT INTO `lang_definitions` VALUES (146600, 2583, 27, 'Standard');
INSERT INTO `lang_definitions` VALUES (146601, 2585, 27, 'Pamja Zakonshme e Kalendarit');
INSERT INTO `lang_definitions` VALUES (146602, 2587, 27, 'ID Forma Zakonshme e Takimit');
INSERT INTO `lang_definitions` VALUES (146603, 2588, 27, 'Pamja Zakonshme e Vizites');
INSERT INTO `lang_definitions` VALUES (146604, 2589, 27, 'Paisja Zakonshme');
INSERT INTO `lang_definitions` VALUES (146605, 2594, 27, 'Gjuha Zakonshme');
INSERT INTO `lang_definitions` VALUES (146606, 2595, 27, 'Gjyha e zakonshme nese asnje tjeter nuk eshte lejuarose zgjedhur.');
INSERT INTO `lang_definitions` VALUES (146607, 2598, 27, 'Lista e Zakonshme (te shkruhet, vetem shto opcionalet)');
INSERT INTO `lang_definitions` VALUES (146608, 2600, 27, 'Metoda Zakonshme');
INSERT INTO `lang_definitions` VALUES (146609, 2601, 27, 'Fjalekalimi Zakonshem Ditet e Skadimit');
INSERT INTO `lang_definitions` VALUES (146610, 2602, 27, 'Default Periudha skadimit fjalëkalimin në ditë. 0 do të thotë ky opcion është pamundesuar.');
INSERT INTO `lang_definitions` VALUES (146611, 2603, 27, 'Vendi Zakonshem i Pacientit');
INSERT INTO `lang_definitions` VALUES (146612, 2606, 27, 'Default Prioriteti');
INSERT INTO `lang_definitions` VALUES (146613, 2607, 27, 'Default Provajderi');
INSERT INTO `lang_definitions` VALUES (146614, 2609, 27, 'Default Fusha');
INSERT INTO `lang_definitions` VALUES (146615, 2610, 27, 'Default Arsyeja per Vizite');
INSERT INTO `lang_definitions` VALUES (146616, 2615, 27, 'Default Vendosja');
INSERT INTO `lang_definitions` VALUES (146617, 2617, 27, 'Default shteti ne Dritaren e Re fusha per vertetim ne listen e pacientit.');
INSERT INTO `lang_definitions` VALUES (146618, 2618, 27, 'Default Shablloni');
INSERT INTO `lang_definitions` VALUES (146619, 2621, 27, 'Default me vleren e meparshme');
INSERT INTO `lang_definitions` VALUES (146620, 2624, 27, 'Default njesite');
INSERT INTO `lang_definitions` VALUES (146621, 2626, 27, 'Default Vlera');
INSERT INTO `lang_definitions` VALUES (146622, 2628, 27, 'Default Depoja');
INSERT INTO `lang_definitions` VALUES (146623, 2629, 27, 'Default X12 Partner');
INSERT INTO `lang_definitions` VALUES (146624, 2630, 27, 'Default/Glogale');
INSERT INTO `lang_definitions` VALUES (146625, 2635, 27, 'Fshij');
INSERT INTO `lang_definitions` VALUES (146626, 2636, 27, 'fshij');
INSERT INTO `lang_definitions` VALUES (146627, 2637, 27, 'Shtyer Perseritjen (>12 Mu)');
INSERT INTO `lang_definitions` VALUES (146628, 2638, 27, 'Fshij');
INSERT INTO `lang_definitions` VALUES (146629, 2639, 27, 'fshij');
INSERT INTO `lang_definitions` VALUES (146630, 2640, 27, 'Fshije Kategorine me ID(t)');
INSERT INTO `lang_definitions` VALUES (146631, 2641, 27, 'Fshije Kategorine');
INSERT INTO `lang_definitions` VALUES (146632, 2643, 27, 'Fshij Formen e Takomit');
INSERT INTO `lang_definitions` VALUES (146633, 2644, 27, 'Fshirja deshtoi!');
INSERT INTO `lang_definitions` VALUES (146634, 2645, 27, 'Fshij Grupin');
INSERT INTO `lang_definitions` VALUES (146635, 2646, 27, 'Fshij Listen');
INSERT INTO `lang_definitions` VALUES (146636, 2648, 27, 'Fshij Faqet');
INSERT INTO `lang_definitions` VALUES (146637, 2650, 27, 'Fshij Planin');
INSERT INTO `lang_definitions` VALUES (146638, 2651, 27, 'Fshij Rendin');
INSERT INTO `lang_definitions` VALUES (146639, 2652, 27, 'Fshij Emertimine Zgjedhur');
INSERT INTO `lang_definitions` VALUES (146640, 2653, 27, 'Fshij Kerkesae e Zgjedhura');
INSERT INTO `lang_definitions` VALUES (146641, 2655, 27, 'Fshij suksesshem');
INSERT INTO `lang_definitions` VALUES (146642, 2656, 27, 'Fshij kete dokument');
INSERT INTO `lang_definitions` VALUES (146643, 2657, 27, 'Fshij kete nga');
INSERT INTO `lang_definitions` VALUES (146644, 2659, 27, 'Fshij kete shenim');
INSERT INTO `lang_definitions` VALUES (146645, 2660, 27, 'Fshije Suksesshem');
INSERT INTO `lang_definitions` VALUES (146646, 2661, 27, 'Fshije Suksesshem.');
INSERT INTO `lang_definitions` VALUES (146647, 2662, 27, 'Fshirja');
INSERT INTO `lang_definitions` VALUES (146648, 2666, 27, 'Dorezimi u Konfirmua');
INSERT INTO `lang_definitions` VALUES (146649, 2667, 27, 'Dorezimit nuk eshte e lejuar ne Adresen e specifikuar Drejtperdrejte.');
INSERT INTO `lang_definitions` VALUES (146650, 2668, 27, 'Dorezimi aktualisht nuk eshte i lejuar ne Adresen e specifikuar Direkt.');
INSERT INTO `lang_definitions` VALUES (146651, 2669, 27, 'Dorezimi i dokumentit bashkangjitur klinike është kërkuar nga pacienti');
INSERT INTO `lang_definitions` VALUES (146652, 2670, 27, 'Dorezimi i dokumentit bashkangjitur klinike është kërkuar nga pacienti.');
INSERT INTO `lang_definitions` VALUES (146653, 2671, 27, 'Çmenduri');
INSERT INTO `lang_definitions` VALUES (146654, 2673, 27, 'Demografia');
INSERT INTO `lang_definitions` VALUES (146655, 2674, 27, 'Demografia (shkruaj, shto vetem opcionale)');
INSERT INTO `lang_definitions` VALUES (146656, 2677, 27, 'Fushat e Demografise');
INSERT INTO `lang_definitions` VALUES (146657, 2678, 27, 'Filter Kriteret e Demografise');
INSERT INTO `lang_definitions` VALUES (146658, 2680, 27, 'Demografia nuk eshte autorizuar');
INSERT INTO `lang_definitions` VALUES (146659, 2681, 27, 'Demografia nuk eshte autorizuar.');
INSERT INTO `lang_definitions` VALUES (146660, 2682, 27, 'Mohuar-refuzuar');
INSERT INTO `lang_definitions` VALUES (146661, 2684, 27, 'Emertues');
INSERT INTO `lang_definitions` VALUES (146662, 2687, 27, 'Dental');
INSERT INTO `lang_definitions` VALUES (146663, 2688, 27, 'Lista e ceshtjeve Dentare');
INSERT INTO `lang_definitions` VALUES (146664, 2689, 27, 'Ceshtje Dentare');
INSERT INTO `lang_definitions` VALUES (146665, 2691, 27, 'Varesia e Moduleve');
INSERT INTO `lang_definitions` VALUES (146666, 2692, 27, 'Varesia e Problemit');
INSERT INTO `lang_definitions` VALUES (146667, 2696, 27, 'Data e Depozitit');
INSERT INTO `lang_definitions` VALUES (146668, 2697, 27, 'Data e Depozitit Nuk mund të jetë më e madhe se sa Sot');
INSERT INTO `lang_definitions` VALUES (146669, 2698, 27, 'Data e Depozitit:');
INSERT INTO `lang_definitions` VALUES (146670, 2699, 27, 'Deshpruar');
INSERT INTO `lang_definitions` VALUES (146671, 2700, 27, 'Depresion');
INSERT INTO `lang_definitions` VALUES (146672, 2705, 27, 'PERSH');
INSERT INTO `lang_definitions` VALUES (146673, 2706, 27, 'Pershkrim');
INSERT INTO `lang_definitions` VALUES (146674, 2707, 27, 'pershkrim');
INSERT INTO `lang_definitions` VALUES (146675, 2708, 27, 'Pershkrimi eshte tekst difollt');
INSERT INTO `lang_definitions` VALUES (146676, 2709, 27, 'Pershkrimi i Deklarimit');
INSERT INTO `lang_definitions` VALUES (146677, 2710, 27, 'Pershkrimi i kesaje procedure ose rezultat kod');
INSERT INTO `lang_definitions` VALUES (146678, 2711, 27, 'Pershkrimi Perkthim');
INSERT INTO `lang_definitions` VALUES (146679, 2712, 27, 'Emri i Deshiruar i dokumentit');
INSERT INTO `lang_definitions` VALUES (146680, 2713, 27, 'Destinimi');
INSERT INTO `lang_definitions` VALUES (146681, 2714, 27, 'Destinimi i Dokumentit');
INSERT INTO `lang_definitions` VALUES (146682, 2716, 27, 'Shkatrroj Lot');
INSERT INTO `lang_definitions` VALUES (146683, 2717, 27, 'Shkatrroj');
INSERT INTO `lang_definitions` VALUES (146684, 2718, 27, 'Shkatrruar');
INSERT INTO `lang_definitions` VALUES (146685, 2719, 27, 'Barerat e Shkatrruara');
INSERT INTO `lang_definitions` VALUES (146686, 2720, 27, 'Raporti Barerave te Shkatrruara');
INSERT INTO `lang_definitions` VALUES (146687, 2721, 27, 'Hollesi');
INSERT INTO `lang_definitions` VALUES (146688, 2726, 27, 'Hollesite');
INSERT INTO `lang_definitions` VALUES (146689, 2727, 27, 'Zhvillues');
INSERT INTO `lang_definitions` VALUES (146690, 2728, 27, 'Anomali Zhvillimore');
INSERT INTO `lang_definitions` VALUES (146691, 2730, 27, 'Diabetesi');
INSERT INTO `lang_definitions` VALUES (146692, 2731, 27, 'Diabetes Mellitus');
INSERT INTO `lang_definitions` VALUES (146693, 2732, 27, 'Diabeti: Menaxhimi Presionit Gjakut (CQM)');
INSERT INTO `lang_definitions` VALUES (146694, 2733, 27, 'Diabeti: Kontrolli Syve');
INSERT INTO `lang_definitions` VALUES (146695, 2734, 27, 'Diabeti: Kontrolli Syve (QSM)');
INSERT INTO `lang_definitions` VALUES (146696, 2735, 27, 'Diabeti: Kontrolli Kembeve');
INSERT INTO `lang_definitions` VALUES (146697, 2736, 27, 'Diabeti: Kontrolli Kembeve (QSM)');
INSERT INTO `lang_definitions` VALUES (146698, 2737, 27, 'Diabeti: HbA1c Kontrolli Keq (CQM)');
INSERT INTO `lang_definitions` VALUES (146699, 2738, 27, 'Diabetes: Hemoglobina A1C');
INSERT INTO `lang_definitions` VALUES (146700, 2739, 27, 'Diabetes: Menaxhimi LDL & Kontrolli (CQM)');
INSERT INTO `lang_definitions` VALUES (146701, 2740, 27, 'Diabeti: Mikroalbumini urines');
INSERT INTO `lang_definitions` VALUES (146702, 2741, 27, 'Diag');
INSERT INTO `lang_definitions` VALUES (146703, 2742, 27, 'Diagnoza');
INSERT INTO `lang_definitions` VALUES (146704, 2743, 27, 'Diagnoze');
INSERT INTO `lang_definitions` VALUES (146705, 2744, 27, 'Kodi Diagnozes');
INSERT INTO `lang_definitions` VALUES (146706, 2745, 27, 'Kodet e Diagnozes');
INSERT INTO `lang_definitions` VALUES (146707, 2747, 27, 'Data Diagnozes');
INSERT INTO `lang_definitions` VALUES (146708, 2749, 27, 'Diagnoza duhet te jet koduar ne nje vizite');
INSERT INTO `lang_definitions` VALUES (146709, 2750, 27, 'Emri Diagnozes');
INSERT INTO `lang_definitions` VALUES (146710, 2751, 27, 'Raporti Diagnozes');
INSERT INTO `lang_definitions` VALUES (146711, 2752, 27, 'Raportimi Diagnozes');
INSERT INTO `lang_definitions` VALUES (146712, 2753, 27, 'Vetem Raportimi Diagnozes');
INSERT INTO `lang_definitions` VALUES (146713, 2754, 27, 'Titulli Diagnozes');
INSERT INTO `lang_definitions` VALUES (146714, 2755, 27, 'Diagnoze:');
INSERT INTO `lang_definitions` VALUES (146715, 2756, 27, 'Diagnoze:');
INSERT INTO `lang_definitions` VALUES (146716, 2758, 27, 'Testet Diagnostike:');
INSERT INTO `lang_definitions` VALUES (146717, 2760, 27, 'Zgjidh');
INSERT INTO `lang_definitions` VALUES (146718, 2763, 27, 'Diafragma/Kapak');
INSERT INTO `lang_definitions` VALUES (146719, 2764, 27, 'Diarea');
INSERT INTO `lang_definitions` VALUES (146720, 2765, 27, 'Diastolik');
INSERT INTO `lang_definitions` VALUES (146721, 2767, 27, 'Diktim');
INSERT INTO `lang_definitions` VALUES (146722, 2768, 27, 'Diktim:');
INSERT INTO `lang_definitions` VALUES (146723, 2769, 27, 'A keni pranuar një kopje të Njoftimit HIPAA?');
INSERT INTO `lang_definitions` VALUES (146724, 2770, 27, 'I Perhapur:');
INSERT INTO `lang_definitions` VALUES (146725, 2771, 27, 'Nenshkruar Digitalisht');
INSERT INTO `lang_definitions` VALUES (146726, 2778, 27, 'ADRESA DIREKTE');
INSERT INTO `lang_definitions` VALUES (146727, 2779, 27, 'Adresa Direkte');
INSERT INTO `lang_definitions` VALUES (146728, 2781, 27, 'Mejl i Drejtperdrejte');
INSERT INTO `lang_definitions` VALUES (146729, 2783, 27, 'Mesazh i Drejteperdrejte i Pranuar');
INSERT INTO `lang_definitions` VALUES (146730, 2784, 27, 'Mesazhet direkte aktualisht eshte e padisponueshme.');
INSERT INTO `lang_definitions` VALUES (146731, 2785, 27, 'Mesazhi i Derguat Direkt Deshtoi.');
INSERT INTO `lang_definitions` VALUES (146732, 2786, 27, 'Drejtimet');
INSERT INTO `lang_definitions` VALUES (146733, 2787, 27, 'Emri Drejtorit');
INSERT INTO `lang_definitions` VALUES (146734, 2788, 27, 'Fshirja e Direktoriumit deshtoi, vazhdon.');
INSERT INTO `lang_definitions` VALUES (146735, 2789, 27, 'Invaliditeti');
INSERT INTO `lang_definitions` VALUES (146736, 2790, 27, 'Paaftesoj');
INSERT INTO `lang_definitions` VALUES (146737, 2794, 27, 'Paafteso Kalendarin');
INSERT INTO `lang_definitions` VALUES (146738, 2798, 27, 'Paafteso Imunizimet');
INSERT INTO `lang_definitions` VALUES (146739, 2803, 27, 'Pamundeso Recetat');
INSERT INTO `lang_definitions` VALUES (146740, 2804, 27, 'Pamundeso Grupet e Shfrytezuesve');
INSERT INTO `lang_definitions` VALUES (146741, 2805, 27, 'pamundesuar');
INSERT INTO `lang_definitions` VALUES (146742, 2806, 27, 'Pamundesuar');
INSERT INTO `lang_definitions` VALUES (146743, 2812, 27, 'DISC');
INSERT INTO `lang_definitions` VALUES (146744, 2813, 27, 'Hedh');
INSERT INTO `lang_definitions` VALUES (146745, 2814, 27, 'Hedhur');
INSERT INTO `lang_definitions` VALUES (146746, 2815, 27, 'Shkarko');
INSERT INTO `lang_definitions` VALUES (146747, 2816, 27, 'Shkarko nga Uretra');
INSERT INTO `lang_definitions` VALUES (146748, 2817, 27, 'Shkarko Barerat');
INSERT INTO `lang_definitions` VALUES (146749, 2818, 27, 'Shkarko Djatht');
INSERT INTO `lang_definitions` VALUES (146750, 2819, 27, 'Shkarko Djatht:');
INSERT INTO `lang_definitions` VALUES (146751, 2820, 27, 'Shkarkomi Permbledhes');
INSERT INTO `lang_definitions` VALUES (146752, 2822, 27, 'Koha Shkarkimit');
INSERT INTO `lang_definitions` VALUES (146753, 2823, 27, 'Shkarkuar');
INSERT INTO `lang_definitions` VALUES (146754, 2825, 27, 'Zbulimi Indormates');
INSERT INTO `lang_definitions` VALUES (146755, 2826, 27, 'Lloji Zbulimit');
INSERT INTO `lang_definitions` VALUES (146756, 2827, 27, 'Llojet e Zbulimit');
INSERT INTO `lang_definitions` VALUES (146757, 2828, 27, 'Zbulimet');
INSERT INTO `lang_definitions` VALUES (146758, 2832, 27, 'Nderpritet');
INSERT INTO `lang_definitions` VALUES (146759, 2833, 27, 'Zbritje');
INSERT INTO `lang_definitions` VALUES (146760, 2834, 27, 'Shuma e Zbritjes');
INSERT INTO `lang_definitions` VALUES (146761, 2835, 27, 'Niveli Zbritjes');
INSERT INTO `lang_definitions` VALUES (146762, 2836, 27, 'Perqindja Zbritjes');
INSERT INTO `lang_definitions` VALUES (146763, 2839, 27, 'Rezultati Diskret');
INSERT INTO `lang_definitions` VALUES (146764, 2841, 27, 'Semundje');
INSERT INTO `lang_definitions` VALUES (146765, 2843, 27, 'Dislokim');
INSERT INTO `lang_definitions` VALUES (146766, 2847, 27, 'Njoft #');
INSERT INTO `lang_definitions` VALUES (146767, 2848, 27, 'Njoftim');
INSERT INTO `lang_definitions` VALUES (146768, 2849, 27, 'Dergimi Dokumentir Pranuar');
INSERT INTO `lang_definitions` VALUES (146769, 2853, 27, 'Shpetuar');
INSERT INTO `lang_definitions` VALUES (146770, 2856, 27, 'Shfaq direktivat e avancuar në faqen demografike.');
INSERT INTO `lang_definitions` VALUES (146771, 2858, 27, 'Trego Dokumentat');
INSERT INTO `lang_definitions` VALUES (146772, 2859, 27, 'Shfaq Ngjarjen e dates ne bllok?');
INSERT INTO `lang_definitions` VALUES (146773, 2860, 27, 'Shfaq Format për Peshat e SHBA');
INSERT INTO `lang_definitions` VALUES (146774, 2861, 27, 'Shfaq sa ngjarje?');
INSERT INTO `lang_definitions` VALUES (146775, 2863, 27, 'Shfaq Numrin e Fatures ose Emrin e Pacientit ose se bashku ne Raportin e Shitjes');
INSERT INTO `lang_definitions` VALUES (146776, 2865, 27, 'Shfaq lokacionin ne bllok?');
INSERT INTO `lang_definitions` VALUES (146777, 2866, 27, 'Trego Emrin');
INSERT INTO `lang_definitions` VALUES (146778, 2868, 27, 'Trego kalendarin?');
INSERT INTO `lang_definitions` VALUES (146779, 2875, 27, 'Shfaq ngjarjet e sotme ne bllok?');
INSERT INTO `lang_definitions` VALUES (146780, 2876, 27, 'Shfaq temat ne bllok?');
INSERT INTO `lang_definitions` VALUES (146781, 2877, 27, 'Shfaq ngjarjet e ardhshme ne bllok?');
INSERT INTO `lang_definitions` VALUES (146782, 2879, 27, 'Kolonat e Treguara');
INSERT INTO `lang_definitions` VALUES (146783, 2880, 27, 'Shfaq numrin e ardhshem ne paraqitjet me te fundit:');
INSERT INTO `lang_definitions` VALUES (146784, 2882, 27, 'Shfaq numrin e ardhshem ne shenimet me te fundit');
INSERT INTO `lang_definitions` VALUES (146785, 2883, 27, 'Shfaq numrin e ardhshem ne shenimet me te fundit:');
INSERT INTO `lang_definitions` VALUES (146786, 2890, 27, 'Distribuim');
INSERT INTO `lang_definitions` VALUES (146787, 2891, 27, 'Distribuimet');
INSERT INTO `lang_definitions` VALUES (146788, 2892, 27, 'Distributor');
INSERT INTO `lang_definitions` VALUES (146789, 2897, 27, 'Diverticulitis');
INSERT INTO `lang_definitions` VALUES (146790, 2898, 27, 'Kirurgjia Diverticulitis');
INSERT INTO `lang_definitions` VALUES (146791, 2899, 27, 'Divertikulitis');
INSERT INTO `lang_definitions` VALUES (146792, 2900, 27, 'Kirurgjia Divertikulitis');
INSERT INTO `lang_definitions` VALUES (146793, 2901, 27, 'Divorcuar');
INSERT INTO `lang_definitions` VALUES (146794, 2902, 27, 'Marramendje:');
INSERT INTO `lang_definitions` VALUES (146795, 2905, 27, 'Mos e ndrro');
INSERT INTO `lang_definitions` VALUES (146796, 2912, 27, 'Mos e shfaq kalendarin.');
INSERT INTO `lang_definitions` VALUES (146797, 2913, 27, 'Mos e shfaq tabelen e rrjedhjes se pacientit.');
INSERT INTO `lang_definitions` VALUES (146798, 2916, 27, 'Mos inventarizo dhe shet ndonje produkt');
INSERT INTO `lang_definitions` VALUES (146799, 2919, 27, 'Mos kerko shenime pacienti qe eshte i autorizuar');
INSERT INTO `lang_definitions` VALUES (146800, 2920, 27, 'Mos me Rigjalleroni Urdherin');
INSERT INTO `lang_definitions` VALUES (146801, 2921, 27, 'mos e ruaj');
INSERT INTO `lang_definitions` VALUES (146802, 2922, 27, 'mos e zevendso');
INSERT INTO `lang_definitions` VALUES (146803, 2925, 27, 'mos beje gje');
INSERT INTO `lang_definitions` VALUES (146804, 2928, 27, 'A Deshironi Vertete te Vazhdoni');
INSERT INTO `lang_definitions` VALUES (146805, 2929, 27, 'A deshironi vertete te fshini');
INSERT INTO `lang_definitions` VALUES (146806, 2930, 27, 'A deshironi vertete te fshini zgjedhjen?');
INSERT INTO `lang_definitions` VALUES (146807, 2931, 27, 'A deshironi vertete te fshini kete grup');
INSERT INTO `lang_definitions` VALUES (146808, 2932, 27, 'A deshironi vertete te fshini?');
INSERT INTO `lang_definitions` VALUES (146809, 2934, 27, 'A deshironi te vazhdoni?');
INSERT INTO `lang_definitions` VALUES (146810, 2935, 27, 'A deshironi te fshini kete?');
INSERT INTO `lang_definitions` VALUES (146811, 2936, 27, 'A deshironi te fshini?');
INSERT INTO `lang_definitions` VALUES (146812, 2937, 27, 'A deshironi te largoni kete shenim?');
INSERT INTO `lang_definitions` VALUES (146813, 2938, 27, 'A dëshironi të vazhdoni duke shtuar këtë pacient të ri?');
INSERT INTO `lang_definitions` VALUES (146814, 2939, 27, 'A dëshironi të vazhdoni me emër të ri?');
INSERT INTO `lang_definitions` VALUES (146815, 2940, 27, 'A dëshironi të fshini përgjithmonë këtë shenim te imunizimit?');
INSERT INTO `lang_definitions` VALUES (146816, 2941, 27, 'DEL');
INSERT INTO `lang_definitions` VALUES (146817, 2942, 27, 'DEL mungon, ju lutem shkruani nëse është e mundur');
INSERT INTO `lang_definitions` VALUES (146818, 2944, 27, 'Doktor');
INSERT INTO `lang_definitions` VALUES (146819, 2945, 27, 'Doktor');
INSERT INTO `lang_definitions` VALUES (146820, 2946, 27, 'Doktor:');
INSERT INTO `lang_definitions` VALUES (146821, 2947, 27, 'Emri dhe nenshkrimi Doktorit');
INSERT INTO `lang_definitions` VALUES (146822, 2948, 27, 'Dokument');
INSERT INTO `lang_definitions` VALUES (146823, 2949, 27, 'dokument');
INSERT INTO `lang_definitions` VALUES (146824, 2951, 27, 'Kategoria Dokumentit');
INSERT INTO `lang_definitions` VALUES (146825, 2952, 27, 'Kategoria Dokumentit per laboratori nuk ekziston');
INSERT INTO `lang_definitions` VALUES (146826, 2953, 27, 'Emri Kategorise Dokumentit per ruajtjen elektronike te rezultateve laboratorike te pranuara');
INSERT INTO `lang_definitions` VALUES (146827, 2954, 27, 'Emri Kategorise Dokumentit per ruajtjen elektronike te dokumentit MDM te pranuar');
INSERT INTO `lang_definitions` VALUES (146828, 2955, 27, 'Kategoria Dokumentit ose gje e hedhur');
INSERT INTO `lang_definitions` VALUES (146829, 2959, 27, 'Dokumenti krijuar');
INSERT INTO `lang_definitions` VALUES (146830, 2960, 27, 'Data e Dokumentit');
INSERT INTO `lang_definitions` VALUES (146831, 2961, 27, 'Data e Dokumentit dhe qeshtja azhuruar suksesshem');
INSERT INTO `lang_definitions` VALUES (146832, 2962, 27, 'ID Dokumentit');
INSERT INTO `lang_definitions` VALUES (146833, 2965, 27, 'Dokumenti zhvendoset te kategotia e re');
INSERT INTO `lang_definitions` VALUES (146834, 2966, 27, 'Dokumenti zhvendoset te id e pacientit');
INSERT INTO `lang_definitions` VALUES (146835, 2967, 27, 'Dokumenti kaloi kontroll integritetin');
INSERT INTO `lang_definitions` VALUES (146836, 2968, 27, 'Dokumenti kaloi kontroll integritetin.');
INSERT INTO `lang_definitions` VALUES (146837, 2969, 27, 'Metoda e Ruajtjes se Dokumentit');
INSERT INTO `lang_definitions` VALUES (146838, 2970, 27, 'Dokumenti suksesshem u riemrua.');
INSERT INTO `lang_definitions` VALUES (146839, 2971, 27, 'Dokument i etiketuar te takohet me sukses');
INSERT INTO `lang_definitions` VALUES (146840, 2972, 27, 'Menaxhimi Shabllonit Dokumentit');
INSERT INTO `lang_definitions` VALUES (146841, 2973, 27, 'Shabllonet e Dokumentit');
INSERT INTO `lang_definitions` VALUES (146842, 2975, 27, 'Dokument(et)');
INSERT INTO `lang_definitions` VALUES (146843, 2976, 27, 'Dokument/Dyqan Imagjinar');
INSERT INTO `lang_definitions` VALUES (146844, 2978, 27, 'Dokumentet');
INSERT INTO `lang_definitions` VALUES (146845, 2980, 27, 'Dokumentet (shkruaj, shto vetem opcionale)');
INSERT INTO `lang_definitions` VALUES (146846, 2988, 27, 'DOK{{formati dokumentit}}');
INSERT INTO `lang_definitions` VALUES (146847, 2992, 27, 'Nuk eshte e barabart');
INSERT INTO `lang_definitions` VALUES (146848, 2994, 27, 'nuk përputhet PV1 me numrin qe hasni');
INSERT INTO `lang_definitions` VALUES (146849, 2995, 27, 'nuk duket e vlefshme');
INSERT INTO `lang_definitions` VALUES (146850, 2996, 27, 'Ky lloj a lejojn kodet lidhura?');
INSERT INTO `lang_definitions` VALUES (146851, 2997, 27, 'Partner Vendor');
INSERT INTO `lang_definitions` VALUES (146852, 2998, 27, 'Mos Ruaj');
INSERT INTO `lang_definitions` VALUES (146853, 2999, 27, 'Mos Ruaj');
INSERT INTO `lang_definitions` VALUES (146854, 3000, 27, 'Mos Ruaj Ndryshimet');
INSERT INTO `lang_definitions` VALUES (146855, 3002, 27, 'E bere');
INSERT INTO `lang_definitions` VALUES (146856, 3004, 27, 'E bere me:');
INSERT INTO `lang_definitions` VALUES (146857, 3005, 27, 'E bere. Tani do te dergoj shkarkimin');
INSERT INTO `lang_definitions` VALUES (146858, 3006, 27, 'DOZ');
INSERT INTO `lang_definitions` VALUES (146859, 3007, 27, 'Dozim');
INSERT INTO `lang_definitions` VALUES (146860, 3008, 27, 'Doze');
INSERT INTO `lang_definitions` VALUES (146861, 3011, 27, 'kliko dy here per te redaktuar');
INSERT INTO `lang_definitions` VALUES (146862, 3013, 27, 'Vizioni Dyfisht');
INSERT INTO `lang_definitions` VALUES (146863, 3014, 27, 'Shkarko');
INSERT INTO `lang_definitions` VALUES (146864, 3015, 27, 'SHKARKO');
INSERT INTO `lang_definitions` VALUES (146865, 3018, 27, 'Shkarko te gjitha dokumentet e pacientit');
INSERT INTO `lang_definitions` VALUES (146866, 3019, 27, 'Shkarko Dosido');
INSERT INTO `lang_definitions` VALUES (146867, 3020, 27, 'Shkarko dosjen e faturimit, pas të kontabilitetit dhe të shënojë si e faturuar');
INSERT INTO `lang_definitions` VALUES (146868, 3021, 27, 'Shkarko CCDA dosjen');
INSERT INTO `lang_definitions` VALUES (146869, 3022, 27, 'Shkarko Certifikatat');
INSERT INTO `lang_definitions` VALUES (146870, 3023, 27, 'Shkarko te dhenat e konfigurimit');
INSERT INTO `lang_definitions` VALUES (146871, 3025, 27, 'Shkarko shabllonin e dokumentit per kete pacient dhe vizitat');
INSERT INTO `lang_definitions` VALUES (146872, 3027, 27, 'shkarko dosjet e enkriptuara');
INSERT INTO `lang_definitions` VALUES (146873, 3028, 27, 'Shkarko Faks');
INSERT INTO `lang_definitions` VALUES (146874, 3029, 27, 'Shkarko HL7 dosjen');
INSERT INTO `lang_definitions` VALUES (146875, 3032, 27, 'Shkarko ose Fshij nje Shabllon');
INSERT INTO `lang_definitions` VALUES (146876, 3033, 27, 'Shkarko PDF');
INSERT INTO `lang_definitions` VALUES (146877, 3037, 27, 'Shkarko Formulimin e Zgjedhur');
INSERT INTO `lang_definitions` VALUES (146878, 3039, 27, 'Dr Kontrolli');
INSERT INTO `lang_definitions` VALUES (146879, 3040, 27, 'Dr Vizita');
INSERT INTO `lang_definitions` VALUES (146880, 3041, 27, 'Dr.');
INSERT INTO `lang_definitions` VALUES (146881, 3045, 27, 'Terhiqe per levizje');
INSERT INTO `lang_definitions` VALUES (146882, 3047, 27, 'Dribloj');
INSERT INTO `lang_definitions` VALUES (146883, 3048, 27, 'Patetnte Shoferi ose ID Shteterore');
INSERT INTO `lang_definitions` VALUES (146884, 3050, 27, 'Bari');
INSERT INTO `lang_definitions` VALUES (146885, 3053, 27, 'Gjetesi Barerave');
INSERT INTO `lang_definitions` VALUES (146886, 3054, 27, 'Format e Barerave');
INSERT INTO `lang_definitions` VALUES (146887, 3055, 27, 'Mungon ID e Barit!');
INSERT INTO `lang_definitions` VALUES (146888, 3056, 27, 'Intervalet e Barerave');
INSERT INTO `lang_definitions` VALUES (146889, 3057, 27, 'Inventarizimi Barerave');
INSERT INTO `lang_definitions` VALUES (146890, 3059, 27, 'Emri Barit');
INSERT INTO `lang_definitions` VALUES (146891, 3061, 27, 'Rruget e Barerave');
INSERT INTO `lang_definitions` VALUES (146892, 3066, 27, 'Njesia e Barerave');
INSERT INTO `lang_definitions` VALUES (146893, 3072, 27, 'Barerat');
INSERT INTO `lang_definitions` VALUES (146894, 3073, 27, 'Barerat dhe Produktet');
INSERT INTO `lang_definitions` VALUES (146895, 3074, 27, 'Goje e Thate');
INSERT INTO `lang_definitions` VALUES (146896, 3075, 27, 'DSMIV Diagnoza');
INSERT INTO `lang_definitions` VALUES (146897, 3076, 27, 'Difteria tetanus 1');
INSERT INTO `lang_definitions` VALUES (146898, 3077, 27, 'Difteria tetanus 2');
INSERT INTO `lang_definitions` VALUES (146899, 3078, 27, 'Difteria tetanus 3');
INSERT INTO `lang_definitions` VALUES (146900, 3079, 27, 'Difteria tetanus 4');
INSERT INTO `lang_definitions` VALUES (146901, 3080, 27, 'Difteria tetanus 5');
INSERT INTO `lang_definitions` VALUES (146902, 3087, 27, 'Deri ');
INSERT INTO `lang_definitions` VALUES (146903, 3088, 27, 'Deri ne Daten');
INSERT INTO `lang_definitions` VALUES (146904, 3090, 27, 'Deri ne daten mm/dd/vvvv ose vvvv-mm-dd');
INSERT INTO `lang_definitions` VALUES (146905, 3091, 27, 'Deri ne Daten:');
INSERT INTO `lang_definitions` VALUES (146906, 3097, 27, 'Zbrazja OpenEMR databazes');
INSERT INTO `lang_definitions` VALUES (146907, 3110, 27, 'DYFISHIM KUJDESI');
INSERT INTO `lang_definitions` VALUES (146908, 3111, 27, 'Autorizimi i Qendrueshem');
INSERT INTO `lang_definitions` VALUES (146909, 3112, 27, 'Kohezgjatje');
INSERT INTO `lang_definitions` VALUES (146910, 3113, 27, 'kohezgjatje');
INSERT INTO `lang_definitions` VALUES (146911, 3114, 27, 'Holandisht');
INSERT INTO `lang_definitions` VALUES (146912, 3117, 27, 'Disfagia');
INSERT INTO `lang_definitions` VALUES (146913, 3118, 27, 'Dyspnea:');
INSERT INTO `lang_definitions` VALUES (146914, 3119, 27, 'Dizuria');
INSERT INTO `lang_definitions` VALUES (146915, 3128, 27, 'E-Reqeta?');
INSERT INTO `lang_definitions` VALUES (146916, 3129, 27, 'E-Raportet');
INSERT INTO `lang_definitions` VALUES (146917, 3135, 27, 'Çdo marrës duhet vendosur mesazhet e tyre si e përfunduar.');
INSERT INTO `lang_definitions` VALUES (146918, 3140, 27, 'Përsëritje e hershme (<2 Mu)');
INSERT INTO `lang_definitions` VALUES (146919, 3141, 27, 'Veshet');
INSERT INTO `lang_definitions` VALUES (146920, 3148, 27, 'EKG');
INSERT INTO `lang_definitions` VALUES (146921, 3152, 27, 'Edema');
INSERT INTO `lang_definitions` VALUES (146922, 3154, 27, 'EDI Historia');
INSERT INTO `lang_definitions` VALUES (146923, 3155, 27, 'edi historia');
INSERT INTO `lang_definitions` VALUES (146924, 3159, 27, 'Redaktoj');
INSERT INTO `lang_definitions` VALUES (146925, 3160, 27, 'redaktoj');
INSERT INTO `lang_definitions` VALUES (146926, 3161, 27, 'Redaktoj Alergjite');
INSERT INTO `lang_definitions` VALUES (146927, 3163, 27, 'Redaktoj Kategorite');
INSERT INTO `lang_definitions` VALUES (146928, 3165, 27, 'Redakto Perkufizimet');
INSERT INTO `lang_definitions` VALUES (146929, 3166, 27, 'Redakto perkufizimet');
INSERT INTO `lang_definitions` VALUES (146930, 3167, 27, 'Redakto Diagnozen per');
INSERT INTO `lang_definitions` VALUES (146931, 3168, 27, 'Redakto Demaskimin');
INSERT INTO `lang_definitions` VALUES (146932, 3173, 27, 'Redakto Paisjet');
INSERT INTO `lang_definitions` VALUES (146933, 3174, 27, 'Redakto Paisjen');
INSERT INTO `lang_definitions` VALUES (146934, 3175, 27, 'Redakto Informaten per Faisjen');
INSERT INTO `lang_definitions` VALUES (146935, 3177, 27, 'Redakto Dosjen ne');
INSERT INTO `lang_definitions` VALUES (146936, 3178, 27, 'Redakto forme');
INSERT INTO `lang_definitions` VALUES (146937, 3179, 27, 'Redakto Cilesimet Globale');
INSERT INTO `lang_definitions` VALUES (146938, 3181, 27, 'Redaktimi nuk eshte i autorizuar!');
INSERT INTO `lang_definitions` VALUES (146939, 3185, 27, 'Redakto listen');
INSERT INTO `lang_definitions` VALUES (146940, 3188, 27, 'Redakto Pagesen');
INSERT INTO `lang_definitions` VALUES (146941, 3189, 27, 'Redakto Strukturen');
INSERT INTO `lang_definitions` VALUES (146942, 3192, 27, 'Redakto Shfrytezuesin');
INSERT INTO `lang_definitions` VALUES (146943, 3193, 27, 'Redakto Cilesimet e Shfrytezuesit');
INSERT INTO `lang_definitions` VALUES (146944, 3194, 27, 'Redakto te dhenat tuaja te futura');
INSERT INTO `lang_definitions` VALUES (146945, 3195, 27, 'Redaktimi deshtoi');
INSERT INTO `lang_definitions` VALUES (146946, 3196, 27, 'Edukimi');
INSERT INTO `lang_definitions` VALUES (146947, 3197, 27, 'Data Edukimit');
INSERT INTO `lang_definitions` VALUES (146948, 3198, 27, 'Materialet e Edukimit per');
INSERT INTO `lang_definitions` VALUES (146949, 3200, 27, 'Hyrja ne Fuqi');
INSERT INTO `lang_definitions` VALUES (146950, 3201, 27, 'Hyjet ne Fuqi');
INSERT INTO `lang_definitions` VALUES (146951, 3202, 27, 'Efikasitet');
INSERT INTO `lang_definitions` VALUES (146952, 3207, 27, 'Ejakulimet');
INSERT INTO `lang_definitions` VALUES (146953, 3208, 27, 'Berryl');
INSERT INTO `lang_definitions` VALUES (146954, 3209, 27, 'Problemet e Berrylit');
INSERT INTO `lang_definitions` VALUES (146955, 3210, 27, 'Elektronik');
INSERT INTO `lang_definitions` VALUES (146956, 3211, 27, 'Dokument elektronik i pranuar');
INSERT INTO `lang_definitions` VALUES (146957, 3212, 27, 'Shenime Elektronike');
INSERT INTO `lang_definitions` VALUES (146958, 3214, 27, 'Ridergim Elektronik');
INSERT INTO `lang_definitions` VALUES (146959, 3215, 27, 'Raporti Elektronik');
INSERT INTO `lang_definitions` VALUES (146960, 3218, 27, 'Pranueshmeri');
INSERT INTO `lang_definitions` VALUES (146961, 3220, 27, 'E Drejta ne Pergjigje');
INSERT INTO `lang_definitions` VALUES (146962, 3223, 27, 'i Pranueshem');
INSERT INTO `lang_definitions` VALUES (146963, 3225, 27, 'Emejli');
INSERT INTO `lang_definitions` VALUES (146964, 3226, 27, 'emejli');
INSERT INTO `lang_definitions` VALUES (146965, 3228, 27, 'Emejl Adresa');
INSERT INTO `lang_definitions` VALUES (146966, 3229, 27, 'Mungon emejl adresa');
INSERT INTO `lang_definitions` VALUES (146967, 3231, 27, 'E-mail adresa, nese ka nevoje, per pranimin e lajmerimeve administrative.');
INSERT INTO `lang_definitions` VALUES (146968, 3232, 27, 'E-mail adresa, nese ka nevoje, per pranojne paraqitjen urgjente per aktivizimin e mesazhit.');
INSERT INTO `lang_definitions` VALUES (146969, 3233, 27, 'Autori Emailit');
INSERT INTO `lang_definitions` VALUES (146970, 3238, 27, 'Email Njoftimi');
INSERT INTO `lang_definitions` VALUES (146971, 3239, 27, 'Ora e Email Njoftimit');
INSERT INTO `lang_definitions` VALUES (146972, 3240, 27, 'Raporti Emeil Njoftimit');
INSERT INTO `lang_definitions` VALUES (146973, 3244, 27, 'Emejli derguar me pare');
INSERT INTO `lang_definitions` VALUES (146974, 3245, 27, 'Derguesi emejlit');
INSERT INTO `lang_definitions` VALUES (146975, 3246, 27, 'Emejli derguar');
INSERT INTO `lang_definitions` VALUES (146976, 3247, 27, 'Emejli derguar te');
INSERT INTO `lang_definitions` VALUES (146977, 3248, 27, 'Subjekti Emejlit');
INSERT INTO `lang_definitions` VALUES (146978, 3251, 27, 'E-mail Teksti, Shenja Shfrytezuese: ***NAME***, o.r. i dashuri ***NAME***');
INSERT INTO `lang_definitions` VALUES (146979, 3252, 27, 'E-mail Teksti, Shenja Shfrytezuese: ***NAME***, o.r. i dashuri ***NAME***{{Mos perkthe ***NAME*** elementet e ketije kontakti.}}');
INSERT INTO `lang_definitions` VALUES (146980, 3253, 27, 'E-mail Metoda e Transportit');
INSERT INTO `lang_definitions` VALUES (146981, 3254, 27, 'Emejli eshte derguar te adresat vijuese');
INSERT INTO `lang_definitions` VALUES (146982, 3257, 27, 'Kujdesi Emergjent');
INSERT INTO `lang_definitions` VALUES (146983, 3259, 27, 'Kontakti Emergjent');
INSERT INTO `lang_definitions` VALUES (146984, 3260, 27, 'Personi Kontaktues Emergjent');
INSERT INTO `lang_definitions` VALUES (146985, 3261, 27, 'Telefoni Kontaktues Emergjent');
INSERT INTO `lang_definitions` VALUES (146986, 3262, 27, 'Kontracepcioni Emergjent');
INSERT INTO `lang_definitions` VALUES (146987, 3263, 27, 'Paraqitja Emergjente');
INSERT INTO `lang_definitions` VALUES (146988, 3268, 27, 'Telefoni Emergjent');
INSERT INTO `lang_definitions` VALUES (146989, 3270, 27, 'Emocionale / Sjelljes Kushteve dhe Komplikimet');
INSERT INTO `lang_definitions` VALUES (146990, 3271, 27, 'Emfizem');
INSERT INTO `lang_definitions` VALUES (146991, 3272, 27, 'Punonjes');
INSERT INTO `lang_definitions` VALUES (146992, 3273, 27, 'Punedhenesi');
INSERT INTO `lang_definitions` VALUES (146993, 3274, 27, 'Adresa e Punedhenesit');
INSERT INTO `lang_definitions` VALUES (146994, 3275, 27, 'Te dhenat e Punedhenesit');
INSERT INTO `lang_definitions` VALUES (146995, 3276, 27, 'Emri i Punedhenesit');
INSERT INTO `lang_definitions` VALUES (146996, 3277, 27, 'ZBRAZET');
INSERT INTO `lang_definitions` VALUES (146997, 3278, 27, 'Zbrazet');
INSERT INTO `lang_definitions` VALUES (146998, 3279, 27, 'Fjalekalimi bosh Nuk Lejohet');
INSERT INTO `lang_definitions` VALUES (146999, 3281, 27, 'Vlera bosh ne \"Oret e Emajlit\"');
INSERT INTO `lang_definitions` VALUES (147000, 3282, 27, 'Vlera bosh ne \"Derguesin e Emajlit\"');
INSERT INTO `lang_definitions` VALUES (147001, 3283, 27, 'Vlera bosh ne \" Subjektin e Emajlit\"');
INSERT INTO `lang_definitions` VALUES (147002, 3284, 27, 'Vlera bosh ne \"Tekstin e Emajlit\"');
INSERT INTO `lang_definitions` VALUES (147003, 3285, 27, 'Vlera bosh ne \"Emrin e Provajderit\"');
INSERT INTO `lang_definitions` VALUES (147004, 3286, 27, 'Vlera bosh ne \"Fjalekalimin\"');
INSERT INTO `lang_definitions` VALUES (147005, 3287, 27, 'Vlera bosh ne \"SMS Oret\"');
INSERT INTO `lang_definitions` VALUES (147006, 3288, 27, 'Vlera bosh ne \"SMS Teksti\"');
INSERT INTO `lang_definitions` VALUES (147007, 3289, 27, 'Vlera bosh ne \"Emrin e Perdoruesit\"');
INSERT INTO `lang_definitions` VALUES (147008, 3290, 27, 'EMR Direkt');
INSERT INTO `lang_definitions` VALUES (147009, 3292, 27, 'Mundesoj');
INSERT INTO `lang_definitions` VALUES (147010, 3332, 27, 'Mundeso Zgjerimin');
INSERT INTO `lang_definitions` VALUES (147011, 3392, 27, 'Aktivizo Mbeshtetjen per Skaner');
INSERT INTO `lang_definitions` VALUES (147012, 3404, 27, 'mundesuar');
INSERT INTO `lang_definitions` VALUES (147013, 3417, 27, 'Vizite');
INSERT INTO `lang_definitions` VALUES (147014, 3418, 27, 'Vizite');
INSERT INTO `lang_definitions` VALUES (147015, 3419, 27, 'vizite');
INSERT INTO `lang_definitions` VALUES (147016, 3420, 27, 'Vizite');
INSERT INTO `lang_definitions` VALUES (147017, 3422, 27, 'Bilanci i Vizitave');
INSERT INTO `lang_definitions` VALUES (147018, 3423, 27, 'Verejtja e Pageses');
INSERT INTO `lang_definitions` VALUES (147019, 3425, 27, 'Numrimi Vizitave');
INSERT INTO `lang_definitions` VALUES (147020, 3426, 27, 'te dhenat e vizitave');
INSERT INTO `lang_definitions` VALUES (147021, 3427, 27, 'Data Vizitave');
INSERT INTO `lang_definitions` VALUES (147022, 3428, 27, 'Diagnozat e Vizitave');
INSERT INTO `lang_definitions` VALUES (147023, 3432, 27, 'Format e Vizitave');
INSERT INTO `lang_definitions` VALUES (147024, 3433, 27, 'vizita shendetesore dhe vleresimi i sjelljes');
INSERT INTO `lang_definitions` VALUES (147025, 3434, 27, 'Historia Vizites');
INSERT INTO `lang_definitions` VALUES (147026, 3435, 27, 'ID Vizites');
INSERT INTO `lang_definitions` VALUES (147027, 3436, 27, 'vizite e gripit');
INSERT INTO `lang_definitions` VALUES (147028, 3439, 27, 'Numri vizites');
INSERT INTO `lang_definitions` VALUES (147029, 3440, 27, 'Numri Vizites');
INSERT INTO `lang_definitions` VALUES (147030, 3462, 27, 'Vizite:');
INSERT INTO `lang_definitions` VALUES (147031, 3464, 27, 'Vizitat');
INSERT INTO `lang_definitions` VALUES (147032, 3465, 27, 'Vizitat & Format');
INSERT INTO `lang_definitions` VALUES (147033, 3470, 27, 'Dosje e Emkriptuar');
INSERT INTO `lang_definitions` VALUES (147034, 3471, 27, 'Enkriptim');
INSERT INTO `lang_definitions` VALUES (147035, 3472, 27, 'Fund');
INSERT INTO `lang_definitions` VALUES (147036, 3473, 27, 'Fund (vvvv-mm-dd)');
INSERT INTO `lang_definitions` VALUES (147037, 3474, 27, 'Data Fundit');
INSERT INTO `lang_definitions` VALUES (147038, 3475, 27, 'data Fundit');
INSERT INTO `lang_definitions` VALUES (147039, 3479, 27, 'Data fundit duhet te jete me vone se data Fillimit!');
INSERT INTO `lang_definitions` VALUES (147040, 3480, 27, 'Data fundit duhet te jete me e madhe se data Fillimit');
INSERT INTO `lang_definitions` VALUES (147041, 3482, 27, 'Data e Fundit:');
INSERT INTO `lang_definitions` VALUES (147042, 3484, 27, 'Fundi i Raportit Ditor');
INSERT INTO `lang_definitions` VALUES (147043, 3485, 27, 'Fundi i Raportit');
INSERT INTO `lang_definitions` VALUES (147044, 3487, 27, 'Fundi i Kohes');
INSERT INTO `lang_definitions` VALUES (147045, 3492, 27, 'Data e fundit e sherbimit vvvv-mm-dd');
INSERT INTO `lang_definitions` VALUES (147046, 3494, 27, 'Oret e fundit te dites per ngjarjet kalendarike.');
INSERT INTO `lang_definitions` VALUES (147047, 3496, 27, 'Endokrin');
INSERT INTO `lang_definitions` VALUES (147048, 3497, 27, 'Endoskopia');
INSERT INTO `lang_definitions` VALUES (147049, 3500, 27, 'Inxhinjer');
INSERT INTO `lang_definitions` VALUES (147050, 3501, 27, 'Firma Inxhinjeringut');
INSERT INTO `lang_definitions` VALUES (147051, 3502, 27, 'Anglisht');
INSERT INTO `lang_definitions` VALUES (147052, 3503, 27, 'Anglisht');
INSERT INTO `lang_definitions` VALUES (147053, 3504, 27, 'Anglisht (Indian)');
INSERT INTO `lang_definitions` VALUES (147054, 3505, 27, 'Anglisht (Standard)');
INSERT INTO `lang_definitions` VALUES (147055, 3513, 27, 'Futni një kod te diagnozës për të përjashtuar të gjitha faturat qe nuk e përmbajnë atë');
INSERT INTO `lang_definitions` VALUES (147056, 3515, 27, 'Shkruani nje Amandament...');
INSERT INTO `lang_definitions` VALUES (147057, 3518, 27, 'Shkruani trupin e letrës këtu');
INSERT INTO `lang_definitions` VALUES (147058, 3520, 27, 'Shkruani rrenjen e Fjalekalimit te Data Bazes');
INSERT INTO `lang_definitions` VALUES (147059, 3521, 27, 'Shkruani rrenjen e Shfrytezuesit te Data Bazes');
INSERT INTO `lang_definitions` VALUES (147060, 3529, 27, 'Shkruaj Diagnozat');
INSERT INTO `lang_definitions` VALUES (147061, 3530, 27, 'Shkruaj Bererat');
INSERT INTO `lang_definitions` VALUES (147062, 3537, 27, 'Shkruani Vaksinat');
INSERT INTO `lang_definitions` VALUES (147063, 3586, 27, 'hyrje');
INSERT INTO `lang_definitions` VALUES (147064, 3602, 27, 'Epilepsia');
INSERT INTO `lang_definitions` VALUES (147065, 3606, 27, 'Barabart');
INSERT INTO `lang_definitions` VALUES (147066, 3612, 27, 'Fshij');
INSERT INTO `lang_definitions` VALUES (147067, 3614, 27, 'Erekcionet');
INSERT INTO `lang_definitions` VALUES (147068, 3615, 27, 'Gabim');
INSERT INTO `lang_definitions` VALUES (147069, 3616, 27, 'GABIM');
INSERT INTO `lang_definitions` VALUES (147070, 3669, 27, 'GABIM: Fusha');
INSERT INTO `lang_definitions` VALUES (147071, 3676, 27, 'GABIM: I paafte te kopjoj dosjen.');
INSERT INTO `lang_definitions` VALUES (147072, 3677, 27, 'GABIM: I paafte te kopjoj arkivin e shkarkueshem');
INSERT INTO `lang_definitions` VALUES (147073, 3679, 27, 'GABIM: I paafte te nxjerre dosjen.');
INSERT INTO `lang_definitions` VALUES (147074, 3682, 27, 'Gabimet');
INSERT INTO `lang_definitions` VALUES (147075, 3696, 27, 'Esperanto');
INSERT INTO `lang_definitions` VALUES (147076, 3699, 27, 'Pacient i vertetuar');
INSERT INTO `lang_definitions` VALUES (147077, 3700, 27, 'Estonisht');
INSERT INTO `lang_definitions` VALUES (147078, 3701, 27, 'Etniciteti');
INSERT INTO `lang_definitions` VALUES (147079, 3702, 27, 'Etniciteti ose Raca');
INSERT INTO `lang_definitions` VALUES (147080, 3703, 27, 'Lista Etnike-Race (shkruaj, shtoni vetëm opsionale)');
INSERT INTO `lang_definitions` VALUES (147081, 3709, 27, 'Ngjarje');
INSERT INTO `lang_definitions` VALUES (147082, 3710, 27, 'Ngjarja Fillon');
INSERT INTO `lang_definitions` VALUES (147083, 3711, 27, 'Kategoria e Ngjarjes');
INSERT INTO `lang_definitions` VALUES (147084, 3712, 27, 'Data Ngjarjes');
INSERT INTO `lang_definitions` VALUES (147085, 3714, 27, 'Pershkrimi Ngjarjes');
INSERT INTO `lang_definitions` VALUES (147086, 3715, 27, 'Detajet e Ngjarjes');
INSERT INTO `lang_definitions` VALUES (147087, 3716, 27, 'Ngjarja nuk e perserite');
INSERT INTO `lang_definitions` VALUES (147088, 3717, 27, 'Kohezgjatja e Ngjarjes');
INSERT INTO `lang_definitions` VALUES (147089, 3718, 27, 'Kohezgjatja e ngjarjes ne minuta');
INSERT INTO `lang_definitions` VALUES (147090, 3719, 27, 'Tarifa e Ngjarjes');
INSERT INTO `lang_definitions` VALUES (147091, 3720, 27, 'Lokacioni Ngjarjes');
INSERT INTO `lang_definitions` VALUES (147092, 3721, 27, 'Ngjarja perseritet cdo');
INSERT INTO `lang_definitions` VALUES (147093, 3722, 27, 'Ngjarja perseritet ne');
INSERT INTO `lang_definitions` VALUES (147094, 3723, 27, 'Koha e fillimit te ngjarjes');
INSERT INTO `lang_definitions` VALUES (147095, 3724, 27, 'Titulli ngjarjes');
INSERT INTO `lang_definitions` VALUES (147096, 3725, 27, 'Titulli Ngjarjes');
INSERT INTO `lang_definitions` VALUES (147097, 3726, 27, 'Ngjarja VebFaqja');
INSERT INTO `lang_definitions` VALUES (147098, 3727, 27, 'Ngjarjet');
INSERT INTO `lang_definitions` VALUES (147099, 3728, 27, 'Ngjarjet per');
INSERT INTO `lang_definitions` VALUES (147100, 3729, 27, 'Ngjarjet hapen ne dritare te re');
INSERT INTO `lang_definitions` VALUES (147101, 3731, 27, 'çdo');
INSERT INTO `lang_definitions` VALUES (147102, 3732, 27, 'Çdo');
INSERT INTO `lang_definitions` VALUES (147103, 3734, 27, 'çdo 3 ore');
INSERT INTO `lang_definitions` VALUES (147104, 3736, 27, 'çdo 4 ore');
INSERT INTO `lang_definitions` VALUES (147105, 3738, 27, 'çdo 5 ore');
INSERT INTO `lang_definitions` VALUES (147106, 3740, 27, 'çdo 6 ore');
INSERT INTO `lang_definitions` VALUES (147107, 3742, 27, 'çdo 8 ore');
INSERT INTO `lang_definitions` VALUES (147108, 3743, 27, 'Çdo i Katerti');
INSERT INTO `lang_definitions` VALUES (147109, 3745, 27, 'Çdo Tjeter');
INSERT INTO `lang_definitions` VALUES (147110, 3746, 27, 'Çdo i Treti');
INSERT INTO `lang_definitions` VALUES (147111, 3747, 27, 'Çdo, çdo tjeter, çdo i 3ti, etj.');
INSERT INTO `lang_definitions` VALUES (147112, 3749, 27, 'Rezultatet e provimit dhe testit');
INSERT INTO `lang_definitions` VALUES (147113, 3750, 27, 'Rezultatet e kontrolles');
INSERT INTO `lang_definitions` VALUES (147114, 3751, 27, 'Ordinanca #');
INSERT INTO `lang_definitions` VALUES (147115, 3752, 27, 'Ordinanca Numer');
INSERT INTO `lang_definitions` VALUES (147116, 3753, 27, 'Kontrolle');
INSERT INTO `lang_definitions` VALUES (147117, 3754, 27, 'Date Kontrolle');
INSERT INTO `lang_definitions` VALUES (147118, 3755, 27, 'Shembull');
INSERT INTO `lang_definitions` VALUES (147119, 3758, 27, 'Shembuj');
INSERT INTO `lang_definitions` VALUES (147120, 3760, 27, 'Provimet/Testet');
INSERT INTO `lang_definitions` VALUES (147121, 3762, 27, 'Perveq');
INSERT INTO `lang_definitions` VALUES (147122, 3763, 27, 'Marramendje e Tepruar');
INSERT INTO `lang_definitions` VALUES (147123, 3766, 27, 'Pacientet e Perjashtuar');
INSERT INTO `lang_definitions` VALUES (147124, 3767, 27, 'Perjashtim');
INSERT INTO `lang_definitions` VALUES (147125, 3770, 27, 'Madhesia Letres Ekzekutive');
INSERT INTO `lang_definitions` VALUES (147126, 3771, 27, 'Ushtrim');
INSERT INTO `lang_definitions` VALUES (147127, 3772, 27, 'Shabllonet e ushtrimit');
INSERT INTO `lang_definitions` VALUES (147128, 3773, 27, 'Shabllonet e Ushtrimit');
INSERT INTO `lang_definitions` VALUES (147129, 3774, 27, 'Ekziston');
INSERT INTO `lang_definitions` VALUES (147130, 3778, 27, 'Dalja nga Administrata');
INSERT INTO `lang_definitions` VALUES (147131, 3794, 27, 'Perfundim');
INSERT INTO `lang_definitions` VALUES (147132, 3795, 27, 'Data e Skadences');
INSERT INTO `lang_definitions` VALUES (147133, 3797, 27, 'Skadon');
INSERT INTO `lang_definitions` VALUES (147134, 3798, 27, 'Skadon ne');
INSERT INTO `lang_definitions` VALUES (147135, 3799, 27, 'Eksport');
INSERT INTO `lang_definitions` VALUES (147136, 3800, 27, 'Sksporto si CSV');
INSERT INTO `lang_definitions` VALUES (147137, 3802, 27, 'Eksporto Konfigurimin');
INSERT INTO `lang_definitions` VALUES (147138, 3804, 27, 'Eksporto Faturat Individuale');
INSERT INTO `lang_definitions` VALUES (147139, 3806, 27, 'Eksporto Demografine e Pacienteve');
INSERT INTO `lang_definitions` VALUES (147140, 3810, 27, 'Eksporto te Zgjedhurat si CSV');
INSERT INTO `lang_definitions` VALUES (147141, 3811, 27, 'Eksporto te Zgjedhurat ne Koleksione');
INSERT INTO `lang_definitions` VALUES (147142, 3812, 27, 'Eksporto ne CSV');
INSERT INTO `lang_definitions` VALUES (147143, 3815, 27, 'Ekspozimi ne Vende te Huaja');
INSERT INTO `lang_definitions` VALUES (147144, 3816, 27, 'Ekspozimi Ne Vende te Huaja');
INSERT INTO `lang_definitions` VALUES (147145, 3820, 27, 'I Jashkem');
INSERT INTO `lang_definitions` VALUES (147146, 3821, 27, 'Te dhenat e Jashtme');
INSERT INTO `lang_definitions` VALUES (147147, 3823, 27, 'Ngarkesa e te Dhenave te Jashtme');
INSERT INTO `lang_definitions` VALUES (147148, 3828, 27, 'ID Eksternale');
INSERT INTO `lang_definitions` VALUES (147149, 3829, 27, 'Id Eksternale');
INSERT INTO `lang_definitions` VALUES (147150, 3831, 27, 'Vetem te Jashtme');
INSERT INTO `lang_definitions` VALUES (147151, 3832, 27, 'Organizata e Jashtme');
INSERT INTO `lang_definitions` VALUES (147152, 3834, 27, 'Udhezim i Jashtem');
INSERT INTO `lang_definitions` VALUES (147153, 3836, 27, 'Udhezim i jashtem?');
INSERT INTO `lang_definitions` VALUES (147154, 3837, 27, 'Udhezimet e Jashtme');
INSERT INTO `lang_definitions` VALUES (147155, 3850, 27, 'Iritim i Syrit');
INSERT INTO `lang_definitions` VALUES (147156, 3856, 27, 'Dhimbje te syrit');
INSERT INTO `lang_definitions` VALUES (147157, 3860, 27, 'Skuqje e Syrit');
INSERT INTO `lang_definitions` VALUES (147158, 3863, 27, 'Syte');
INSERT INTO `lang_definitions` VALUES (147159, 3868, 27, 'Objektet');
INSERT INTO `lang_definitions` VALUES (147160, 3869, 27, 'Objekti');
INSERT INTO `lang_definitions` VALUES (147161, 3870, 27, 'objekti');
INSERT INTO `lang_definitions` VALUES (147162, 3871, 27, 'Objekti Adminnistrata');
INSERT INTO `lang_definitions` VALUES (147163, 3872, 27, 'Objekti Qyteti');
INSERT INTO `lang_definitions` VALUES (147164, 3873, 27, 'Objekti Kodi');
INSERT INTO `lang_definitions` VALUES (147165, 3875, 27, 'Objekti kodi Vendit');
INSERT INTO `lang_definitions` VALUES (147166, 3876, 27, 'Faksi Objektit');
INSERT INTO `lang_definitions` VALUES (147167, 3878, 27, 'Emri Objektit');
INSERT INTO `lang_definitions` VALUES (147168, 3880, 27, 'Telefoni Objektit');
INSERT INTO `lang_definitions` VALUES (147169, 3883, 27, 'Objekti Shteti');
INSERT INTO `lang_definitions` VALUES (147170, 3884, 27, 'Objekti Rruga');
INSERT INTO `lang_definitions` VALUES (147171, 3888, 27, 'Objekti:');
INSERT INTO `lang_definitions` VALUES (147172, 3889, 27, 'Deshtim');
INSERT INTO `lang_definitions` VALUES (147173, 3890, 27, 'Deshtuar');
INSERT INTO `lang_definitions` VALUES (147174, 3891, 27, 'deshtuar');
INSERT INTO `lang_definitions` VALUES (147175, 3893, 27, 'Pacientet e Deshtuar');
INSERT INTO `lang_definitions` VALUES (147176, 3897, 27, 'Deshtoi te llogaris emrin unik te datotekes');
INSERT INTO `lang_definitions` VALUES (147177, 3898, 27, 'Deshtoi Krijimi');
INSERT INTO `lang_definitions` VALUES (147178, 3904, 27, 'Deshtoi te dergoj');
INSERT INTO `lang_definitions` VALUES (147179, 3907, 27, 'deshtoi.');
INSERT INTO `lang_definitions` VALUES (147180, 3916, 27, 'Historia Familjare');
INSERT INTO `lang_definitions` VALUES (147181, 3927, 27, 'Fatal');
INSERT INTO `lang_definitions` VALUES (147182, 3928, 27, 'Baba');
INSERT INTO `lang_definitions` VALUES (147183, 3933, 27, 'Faks');
INSERT INTO `lang_definitions` VALUES (147184, 3935, 27, 'Numri faksit');
INSERT INTO `lang_definitions` VALUES (147185, 3937, 27, 'Faks/Skan');
INSERT INTO `lang_definitions` VALUES (147186, 3941, 27, 'Shk');
INSERT INTO `lang_definitions` VALUES (147187, 3942, 27, 'Shkurt');
INSERT INTO `lang_definitions` VALUES (147188, 3948, 27, 'Tarife');
INSERT INTO `lang_definitions` VALUES (147189, 3949, 27, 'tarife');
INSERT INTO `lang_definitions` VALUES (147190, 3955, 27, 'Tarifa');
INSERT INTO `lang_definitions` VALUES (147191, 3956, 27, 'Femer');
INSERT INTO `lang_definitions` VALUES (147192, 3958, 27, 'Kondomet Femror');
INSERT INTO `lang_definitions` VALUES (147193, 3962, 27, 'Simptomet Femerore');
INSERT INTO `lang_definitions` VALUES (147194, 3974, 27, 'Fushe');
INSERT INTO `lang_definitions` VALUES (147195, 3976, 27, 'ID e Fushes');
INSERT INTO `lang_definitions` VALUES (147196, 3985, 27, 'Fixhianisht');
INSERT INTO `lang_definitions` VALUES (147197, 4002, 27, 'Dosje per Ngarkim');
INSERT INTO `lang_definitions` VALUES (147198, 4037, 27, 'Statusi Final');
INSERT INTO `lang_definitions` VALUES (147199, 4038, 27, 'Financiar');
INSERT INTO `lang_definitions` VALUES (147200, 4045, 27, 'Pasqyra Financiare Date');
INSERT INTO `lang_definitions` VALUES (147201, 4048, 27, 'Gjej');
INSERT INTO `lang_definitions` VALUES (147202, 4054, 27, 'Gjej Materiale Arsimimi per Pacientin');
INSERT INTO `lang_definitions` VALUES (147203, 4071, 27, 'Emri');
INSERT INTO `lang_definitions` VALUES (147204, 4072, 27, 'emri');
INSERT INTO `lang_definitions` VALUES (147205, 4073, 27, 'Emri:');
INSERT INTO `lang_definitions` VALUES (147206, 4086, 27, 'Te rregullohet kjo');
INSERT INTO `lang_definitions` VALUES (147207, 4091, 27, 'Rrjedhja');
INSERT INTO `lang_definitions` VALUES (147208, 4092, 27, 'Tabela Rrjedhjes');
INSERT INTO `lang_definitions` VALUES (147209, 4108, 27, 'Sezoni i gripit');
INSERT INTO `lang_definitions` VALUES (147210, 4109, 27, 'Sezoni i Gripit');
INSERT INTO `lang_definitions` VALUES (147211, 4110, 27, 'Vakcinimi Gripit');
INSERT INTO `lang_definitions` VALUES (147212, 4133, 27, 'Lendimet Futbollistike');
INSERT INTO `lang_definitions` VALUES (147213, 4134, 27, 'Lendim Futbollistik');
INSERT INTO `lang_definitions` VALUES (147214, 4135, 27, 'Raporti i Lendimit Futbollistik');
INSERT INTO `lang_definitions` VALUES (147215, 4195, 27, 'Farma');
INSERT INTO `lang_definitions` VALUES (147216, 4196, 27, 'farma');
INSERT INTO `lang_definitions` VALUES (147217, 4201, 27, 'Format');
INSERT INTO `lang_definitions` VALUES (147218, 4202, 27, 'format');
INSERT INTO `lang_definitions` VALUES (147219, 4209, 27, 'Forma');
INSERT INTO `lang_definitions` VALUES (147220, 4210, 27, 'Forma Administrative');
INSERT INTO `lang_definitions` VALUES (147221, 4235, 27, 'Frengjisht');
INSERT INTO `lang_definitions` VALUES (147222, 4236, 27, 'Frengjisht (Kanadeze)');
INSERT INTO `lang_definitions` VALUES (147223, 4237, 27, 'Frengjisht (Standard)');
INSERT INTO `lang_definitions` VALUES (147224, 4241, 27, 'Pre');
INSERT INTO `lang_definitions` VALUES (147225, 4242, 27, 'e Premte');
INSERT INTO `lang_definitions` VALUES (147226, 4244, 27, 'Nga');
INSERT INTO `lang_definitions` VALUES (147227, 4245, 27, 'NGA');
INSERT INTO `lang_definitions` VALUES (147228, 4246, 27, 'nga');
INSERT INTO `lang_definitions` VALUES (147229, 4253, 27, 'Nga:');
INSERT INTO `lang_definitions` VALUES (147230, 4254, 27, 'Nga:');
INSERT INTO `lang_definitions` VALUES (147231, 4278, 27, 'Emri Plote');
INSERT INTO `lang_definitions` VALUES (147232, 4295, 27, 'I Ardhshem');
INSERT INTO `lang_definitions` VALUES (147233, 4297, 27, 'P{{Premte}}');
INSERT INTO `lang_definitions` VALUES (147234, 4298, 27, 'G');
INSERT INTO `lang_definitions` VALUES (147235, 4305, 27, 'Loje');
INSERT INTO `lang_definitions` VALUES (147236, 4310, 27, 'Gastritis');
INSERT INTO `lang_definitions` VALUES (147237, 4312, 27, 'Gastrointestinal');
INSERT INTO `lang_definitions` VALUES (147238, 4319, 27, 'Gjinia');
INSERT INTO `lang_definitions` VALUES (147239, 4320, 27, 'Gjinia');
INSERT INTO `lang_definitions` VALUES (147240, 4331, 27, 'Gjenero');
INSERT INTO `lang_definitions` VALUES (147241, 4345, 27, 'Gjenero HCFA');
INSERT INTO `lang_definitions` VALUES (147242, 4347, 27, 'Gjenero Fature');
INSERT INTO `lang_definitions` VALUES (147243, 4348, 27, 'Gjenero Leter');
INSERT INTO `lang_definitions` VALUES (147244, 4357, 27, 'Gjenero Raport');
INSERT INTO `lang_definitions` VALUES (147245, 4366, 27, 'Gjenero X12');
INSERT INTO `lang_definitions` VALUES (147246, 4368, 27, 'Gjenero X12 Vizitat');
INSERT INTO `lang_definitions` VALUES (147247, 4370, 27, 'Gjeneruar ne');
INSERT INTO `lang_definitions` VALUES (147248, 4372, 27, 'Gjeneron');
INSERT INTO `lang_definitions` VALUES (147249, 4380, 27, 'Gjeorgjisht');
INSERT INTO `lang_definitions` VALUES (147250, 4381, 27, 'Gjermanisht');
INSERT INTO `lang_definitions` VALUES (147251, 4430, 27, 'gramet');
INSERT INTO `lang_definitions` VALUES (147252, 4431, 27, 'Totali i Madh');
INSERT INTO `lang_definitions` VALUES (147253, 4432, 27, 'Totalet e Medha');
INSERT INTO `lang_definitions` VALUES (147254, 4439, 27, 'Greqisht');
INSERT INTO `lang_definitions` VALUES (147255, 4440, 27, 'Greqishtja, Moderne');
INSERT INTO `lang_definitions` VALUES (147256, 4442, 27, 'Grup');
INSERT INTO `lang_definitions` VALUES (147257, 4459, 27, 'Emri i Grupit');
INSERT INTO `lang_definitions` VALUES (147258, 4463, 27, 'Numri i Grupit');
INSERT INTO `lang_definitions` VALUES (147259, 4465, 27, 'Pagesa e Grupit');
INSERT INTO `lang_definitions` VALUES (147260, 4471, 27, 'Grupi:');
INSERT INTO `lang_definitions` VALUES (147261, 4484, 27, 'Emri Kujdestarit');
INSERT INTO `lang_definitions` VALUES (147262, 4489, 27, 'Ekzaminimi Gjinekologjik');
INSERT INTO `lang_definitions` VALUES (147263, 4490, 27, 'h');
INSERT INTO `lang_definitions` VALUES (147264, 4492, 27, 'h.s.');
INSERT INTO `lang_definitions` VALUES (147265, 4505, 27, 'Hard Didk');
INSERT INTO `lang_definitions` VALUES (147266, 4515, 27, 'Havajanisht');
INSERT INTO `lang_definitions` VALUES (147267, 4531, 27, 'Kokedhimbje');
INSERT INTO `lang_definitions` VALUES (147268, 4532, 27, 'Kokedhimbjet');
INSERT INTO `lang_definitions` VALUES (147269, 4547, 27, 'Problemet e Zemres');
INSERT INTO `lang_definitions` VALUES (147270, 4548, 27, 'Operimi i Zemres');
INSERT INTO `lang_definitions` VALUES (147271, 4549, 27, 'Transplatimi i Zemres');
INSERT INTO `lang_definitions` VALUES (147272, 4550, 27, 'ZEMRA:');
INSERT INTO `lang_definitions` VALUES (147273, 4552, 27, 'Nxeht ose Ftoft');
INSERT INTO `lang_definitions` VALUES (147274, 4553, 27, 'Nxeht Ose Ftoft');
INSERT INTO `lang_definitions` VALUES (147275, 4558, 27, 'Lertesi');
INSERT INTO `lang_definitions` VALUES (147276, 4559, 27, 'Lertesi/Gjatesi');
INSERT INTO `lang_definitions` VALUES (147277, 4560, 27, 'Ndihme');
INSERT INTO `lang_definitions` VALUES (147278, 4561, 27, 'ndihme');
INSERT INTO `lang_definitions` VALUES (147279, 4570, 27, 'Hepatit');
INSERT INTO `lang_definitions` VALUES (147280, 4571, 27, 'Hepatit A 1');
INSERT INTO `lang_definitions` VALUES (147281, 4572, 27, 'Hepatit A 2');
INSERT INTO `lang_definitions` VALUES (147282, 4573, 27, 'Hepatit B 1');
INSERT INTO `lang_definitions` VALUES (147283, 4574, 27, 'Hepatit B 2');
INSERT INTO `lang_definitions` VALUES (147284, 4575, 27, 'Hepatit B 3');
INSERT INTO `lang_definitions` VALUES (147285, 4593, 27, 'Fsheh');
INSERT INTO `lang_definitions` VALUES (147286, 4595, 27, 'Fsheh Detajet');
INSERT INTO `lang_definitions` VALUES (147287, 4599, 27, 'Mshef Menyne');
INSERT INTO `lang_definitions` VALUES (147288, 4605, 27, 'I Larte');
INSERT INTO `lang_definitions` VALUES (147289, 4607, 27, 'Tensioni i Larte i Gjakut');
INSERT INTO `lang_definitions` VALUES (147290, 4615, 27, 'Njoftimi Pranuar nga HIPAA');
INSERT INTO `lang_definitions` VALUES (147291, 4618, 27, 'Hispanik');
INSERT INTO `lang_definitions` VALUES (147292, 4619, 27, 'Hispanik');
INSERT INTO `lang_definitions` VALUES (147293, 4620, 27, 'Hispanik');
INSERT INTO `lang_definitions` VALUES (147294, 4621, 27, 'Hispanik');
INSERT INTO `lang_definitions` VALUES (147295, 4623, 27, 'Anamneza');
INSERT INTO `lang_definitions` VALUES (147296, 4629, 27, 'Anamneza e te dhenave');
INSERT INTO `lang_definitions` VALUES (147297, 4630, 27, 'Data e Anamnezes');
INSERT INTO `lang_definitions` VALUES (147298, 4631, 27, 'Fushat e Anamnezes');
INSERT INTO `lang_definitions` VALUES (147299, 4632, 27, 'Anamneza e shushurimes');
INSERT INTO `lang_definitions` VALUES (147300, 4633, 27, 'Anamneza e pa autorizuar');
INSERT INTO `lang_definitions` VALUES (147301, 4634, 27, 'Anamneza e shushurimes se zemres');
INSERT INTO `lang_definitions` VALUES (147302, 4639, 27, 'HIV');
INSERT INTO `lang_definitions` VALUES (147303, 4640, 27, 'Hevet');
INSERT INTO `lang_definitions` VALUES (147304, 4658, 27, 'Shtepi');
INSERT INTO `lang_definitions` VALUES (147305, 4659, 27, 'Telefoni Shtepise');
INSERT INTO `lang_definitions` VALUES (147306, 4660, 27, 'Numri Telefonit te Shtepise');
INSERT INTO `lang_definitions` VALUES (147307, 4662, 27, 'I Pastrehe ose ngjajshem?');
INSERT INTO `lang_definitions` VALUES (147308, 4664, 27, 'I Pastrehe, etj.');
INSERT INTO `lang_definitions` VALUES (147309, 4665, 27, 'I Pastrehe, etj.');
INSERT INTO `lang_definitions` VALUES (147310, 4676, 27, 'ore');
INSERT INTO `lang_definitions` VALUES (147311, 4677, 27, 'Ore');
INSERT INTO `lang_definitions` VALUES (147312, 4678, 27, 'Oret');
INSERT INTO `lang_definitions` VALUES (147313, 4679, 27, 'oret');
INSERT INTO `lang_definitions` VALUES (147314, 4695, 27, 'HTML');
INSERT INTO `lang_definitions` VALUES (147315, 4696, 27, 'HTML Dalje?');
INSERT INTO `lang_definitions` VALUES (147316, 4701, 27, 'Hungarisht');
INSERT INTO `lang_definitions` VALUES (147317, 4717, 27, 'Une');
INSERT INTO `lang_definitions` VALUES (147318, 4718, 27, 'Une jame i zene gjate kesaje kohe.');
INSERT INTO `lang_definitions` VALUES (147319, 4719, 27, 'Une nuk kam leje qe ta lexoj');
INSERT INTO `lang_definitions` VALUES (147320, 4724, 27, 'ICD');
INSERT INTO `lang_definitions` VALUES (147321, 4725, 27, 'ICD10 Diagnozat');
INSERT INTO `lang_definitions` VALUES (147322, 4726, 27, 'ICD10 Procedurat/Sherbimet');
INSERT INTO `lang_definitions` VALUES (147323, 4727, 27, 'ICD9');
INSERT INTO `lang_definitions` VALUES (147324, 4728, 27, 'ICD9 Diagnozat');
INSERT INTO `lang_definitions` VALUES (147325, 4729, 27, 'ICD9 Procedurat/Sherbimet');
INSERT INTO `lang_definitions` VALUES (147326, 4730, 27, 'Islandisht');
INSERT INTO `lang_definitions` VALUES (147327, 4734, 27, 'ID');
INSERT INTO `lang_definitions` VALUES (147328, 4736, 27, 'Id');
INSERT INTO `lang_definitions` VALUES (147329, 4738, 27, 'ID nuk munde te jet zbrazet');
INSERT INTO `lang_definitions` VALUES (147330, 4739, 27, 'ID Karta');
INSERT INTO `lang_definitions` VALUES (147331, 4854, 27, 'Injoroje');
INSERT INTO `lang_definitions` VALUES (147332, 4856, 27, 'Semundje');
INSERT INTO `lang_definitions` VALUES (147333, 4861, 27, 'Imagjinar');
INSERT INTO `lang_definitions` VALUES (147334, 4863, 27, 'Dyqani Imagjinar');
INSERT INTO `lang_definitions` VALUES (147335, 4865, 27, 'Imunizimi');
INSERT INTO `lang_definitions` VALUES (147336, 4867, 27, 'Kodi i Imunizimit');
INSERT INTO `lang_definitions` VALUES (147337, 4869, 27, 'Data e Imunizimit');
INSERT INTO `lang_definitions` VALUES (147338, 4870, 27, 'Data Skadimit Imunizimit');
INSERT INTO `lang_definitions` VALUES (147339, 4873, 27, 'Prodhuesi Imunizimit');
INSERT INTO `lang_definitions` VALUES (147340, 4878, 27, 'Regjistri Imunizimit');
INSERT INTO `lang_definitions` VALUES (147341, 4881, 27, 'Raporti Imunizimit');
INSERT INTO `lang_definitions` VALUES (147342, 4882, 27, 'Sherbimi Imunizimit');
INSERT INTO `lang_definitions` VALUES (147343, 4883, 27, 'Titulli Imunizimit');
INSERT INTO `lang_definitions` VALUES (147344, 4885, 27, 'Imunizimet');
INSERT INTO `lang_definitions` VALUES (147345, 4887, 27, 'Imunizo');
INSERT INTO `lang_definitions` VALUES (147346, 4888, 27, 'Imunologjik');
INSERT INTO `lang_definitions` VALUES (147347, 4893, 27, 'Implantet');
INSERT INTO `lang_definitions` VALUES (147348, 4894, 27, 'Import');
INSERT INTO `lang_definitions` VALUES (147349, 4895, 27, 'Importo te Gjitha');
INSERT INTO `lang_definitions` VALUES (147350, 4904, 27, 'Importo Pacientin');
INSERT INTO `lang_definitions` VALUES (147351, 4910, 27, 'Kodet e Rendesishme');
INSERT INTO `lang_definitions` VALUES (147352, 4913, 27, 'Alergjite e Importuara');
INSERT INTO `lang_definitions` VALUES (147353, 4914, 27, 'Te Importuara nga Kontabiliteti');
INSERT INTO `lang_definitions` VALUES (147354, 4922, 27, 'ne');
INSERT INTO `lang_definitions` VALUES (147355, 4923, 27, 'NE');
INSERT INTO `lang_definitions` VALUES (147356, 4931, 27, 'ne secilin sy');
INSERT INTO `lang_definitions` VALUES (147357, 4934, 27, 'ne syrin e majt');
INSERT INTO `lang_definitions` VALUES (147358, 4936, 27, 'Ne Zyre');
INSERT INTO `lang_definitions` VALUES (147359, 4947, 27, 'ne syrin e djatht');
INSERT INTO `lang_definitions` VALUES (147360, 4958, 27, 'ne-shtepi');
INSERT INTO `lang_definitions` VALUES (147361, 4960, 27, 'Joaktive');
INSERT INTO `lang_definitions` VALUES (147362, 4965, 27, 'Ditet Joaktive');
INSERT INTO `lang_definitions` VALUES (147363, 4982, 27, 'te Hyra');
INSERT INTO `lang_definitions` VALUES (147364, 4984, 27, 'Jokomplet');
INSERT INTO `lang_definitions` VALUES (147365, 4985, 27, 'Aborti Jokomplet Mjekimi');
INSERT INTO `lang_definitions` VALUES (147366, 4988, 27, 'Fjalekalimi i pasakte');
INSERT INTO `lang_definitions` VALUES (147367, 4990, 27, 'rritur:');
INSERT INTO `lang_definitions` VALUES (147368, 4991, 27, 'Demshperblimi Sigurimit');
INSERT INTO `lang_definitions` VALUES (147369, 4994, 27, 'Paprecaktuar');
INSERT INTO `lang_definitions` VALUES (147370, 4995, 27, 'Indianisht');
INSERT INTO `lang_definitions` VALUES (147371, 5002, 27, 'Treguesi për përdorim të specializuar');
INSERT INTO `lang_definitions` VALUES (147372, 5003, 27, 'Pacient i Varfer');
INSERT INTO `lang_definitions` VALUES (147373, 5004, 27, 'Raporti Pacient te Varfer');
INSERT INTO `lang_definitions` VALUES (147374, 5005, 27, 'i Varfer');
INSERT INTO `lang_definitions` VALUES (147375, 5009, 27, 'Indonezianisht');
INSERT INTO `lang_definitions` VALUES (147376, 5010, 27, 'Aborti Detyruar');
INSERT INTO `lang_definitions` VALUES (147377, 5011, 27, 'Veprimtaria');
INSERT INTO `lang_definitions` VALUES (147378, 5014, 27, 'Infeksionet');
INSERT INTO `lang_definitions` VALUES (147379, 5016, 27, 'Joplleshmeria');
INSERT INTO `lang_definitions` VALUES (147380, 5022, 27, 'Info');
INSERT INTO `lang_definitions` VALUES (147381, 5023, 27, 'Info test 1');
INSERT INTO `lang_definitions` VALUES (147382, 5024, 27, 'Info test 2');
INSERT INTO `lang_definitions` VALUES (147383, 5025, 27, 'Info test 3');
INSERT INTO `lang_definitions` VALUES (147384, 5026, 27, 'Info test 4');
INSERT INTO `lang_definitions` VALUES (147385, 5027, 27, 'Info test 5');
INSERT INTO `lang_definitions` VALUES (147386, 5028, 27, 'Info test 6');
INSERT INTO `lang_definitions` VALUES (147387, 5043, 27, 'Inekcion');
INSERT INTO `lang_definitions` VALUES (147388, 5089, 27, 'INSTALO');
INSERT INTO `lang_definitions` VALUES (147389, 5090, 27, 'Instalo');
INSERT INTO `lang_definitions` VALUES (147390, 5093, 27, 'Instalo DB');
INSERT INTO `lang_definitions` VALUES (147391, 5109, 27, 'Sigurimi');
INSERT INTO `lang_definitions` VALUES (147392, 5110, 27, 'sigurimi');
INSERT INTO `lang_definitions` VALUES (147393, 5114, 27, 'Bilanci i Sigurimit');
INSERT INTO `lang_definitions` VALUES (147394, 5116, 27, 'Komp e Sigurimit');
INSERT INTO `lang_definitions` VALUES (147395, 5117, 27, 'Kompanite e Sigurimit');
INSERT INTO `lang_definitions` VALUES (147396, 5118, 27, 'Kompani e Sigurimit');
INSERT INTO `lang_definitions` VALUES (147397, 5119, 27, 'Kompania e Sigurimit Kerko/Shto');
INSERT INTO `lang_definitions` VALUES (147398, 5120, 27, 'Kredia e Sigurimit');
INSERT INTO `lang_definitions` VALUES (147399, 5121, 27, 'Te dhenat e Sigurimit');
INSERT INTO `lang_definitions` VALUES (147400, 5124, 27, 'Informata e Sigurimit ne dosje');
INSERT INTO `lang_definitions` VALUES (147401, 5126, 27, 'Numrat e Sigurimit');
INSERT INTO `lang_definitions` VALUES (147402, 5127, 27, 'Pagesa e Sigurimit');
INSERT INTO `lang_definitions` VALUES (147403, 5128, 27, 'Pagesat e Sigurimit');
INSERT INTO `lang_definitions` VALUES (147404, 5129, 27, 'Provajderi i Sigurimit');
INSERT INTO `lang_definitions` VALUES (147405, 5131, 27, 'Lloji Sigurimit');
INSERT INTO `lang_definitions` VALUES (147406, 5132, 27, 'Sigurimet');
INSERT INTO `lang_definitions` VALUES (147407, 5133, 27, 'Siguruar');
INSERT INTO `lang_definitions` VALUES (147408, 5170, 27, 'Interval');
INSERT INTO `lang_definitions` VALUES (147409, 5171, 27, 'Interval (minutat)');
INSERT INTO `lang_definitions` VALUES (147410, 5205, 27, 'Inventari');
INSERT INTO `lang_definitions` VALUES (147411, 5212, 27, 'Fatura');
INSERT INTO `lang_definitions` VALUES (147412, 5213, 27, 'fatura');
INSERT INTO `lang_definitions` VALUES (147413, 5215, 27, 'Bilanci i Fatures');
INSERT INTO `lang_definitions` VALUES (147414, 5217, 27, 'Data e Fatures');
INSERT INTO `lang_definitions` VALUES (147415, 5219, 27, 'Fatura nuk ka date!');
INSERT INTO `lang_definitions` VALUES (147416, 5220, 27, 'Numri i Fatures');
INSERT INTO `lang_definitions` VALUES (147417, 5221, 27, 'Numri i References se Fatures');
INSERT INTO `lang_definitions` VALUES (147418, 5226, 27, 'Fatura:');
INSERT INTO `lang_definitions` VALUES (147419, 5248, 27, 'Irlandisht');
INSERT INTO `lang_definitions` VALUES (147420, 5290, 27, 'Qeshtja');
INSERT INTO `lang_definitions` VALUES (147421, 5291, 27, 'qeshtja');
INSERT INTO `lang_definitions` VALUES (147422, 5293, 27, 'ID e Qeshtjes');
INSERT INTO `lang_definitions` VALUES (147423, 5295, 27, 'Titulli Qeshtjes');
INSERT INTO `lang_definitions` VALUES (147424, 5296, 27, 'Lloji Qeshtjes');
INSERT INTO `lang_definitions` VALUES (147425, 5297, 27, 'Llojet e Qeshtjes');
INSERT INTO `lang_definitions` VALUES (147426, 5298, 27, 'Qeshtjet');
INSERT INTO `lang_definitions` VALUES (147427, 5309, 27, 'Selektimi i Qeshtjeve');
INSERT INTO `lang_definitions` VALUES (147428, 5364, 27, 'Italisht');
INSERT INTO `lang_definitions` VALUES (147429, 5365, 27, 'Emertim');
INSERT INTO `lang_definitions` VALUES (147430, 5366, 27, 'emertim');
INSERT INTO `lang_definitions` VALUES (147431, 5368, 27, 'emertime');
INSERT INTO `lang_definitions` VALUES (147432, 5375, 27, 'Jan');
INSERT INTO `lang_definitions` VALUES (147433, 5376, 27, 'Janar');
INSERT INTO `lang_definitions` VALUES (147434, 5377, 27, 'Japonisht');
INSERT INTO `lang_definitions` VALUES (147435, 5380, 27, 'Pershkrimi i Punes');
INSERT INTO `lang_definitions` VALUES (147436, 5381, 27, 'ID e Punes');
INSERT INTO `lang_definitions` VALUES (147437, 5385, 27, 'Kor');
INSERT INTO `lang_definitions` VALUES (147438, 5386, 27, 'Korrik');
INSERT INTO `lang_definitions` VALUES (147439, 5388, 27, 'Qer');
INSERT INTO `lang_definitions` VALUES (147440, 5389, 27, 'Qershor');
INSERT INTO `lang_definitions` VALUES (147441, 5391, 27, 'Vetem te Miat');
INSERT INTO `lang_definitions` VALUES (147442, 5407, 27, 'Qelsi');
INSERT INTO `lang_definitions` VALUES (147443, 5411, 27, 'Fjalet Kyqe');
INSERT INTO `lang_definitions` VALUES (147444, 5412, 27, 'kg');
INSERT INTO `lang_definitions` VALUES (147445, 5413, 27, 'kg/m2');
INSERT INTO `lang_definitions` VALUES (147446, 5429, 27, 'Kongo');
INSERT INTO `lang_definitions` VALUES (147447, 5430, 27, 'Koreanisht');
INSERT INTO `lang_definitions` VALUES (147448, 5431, 27, 'Kurdisht');
INSERT INTO `lang_definitions` VALUES (147449, 5433, 27, 'Kirgizisht');
INSERT INTO `lang_definitions` VALUES (147450, 5444, 27, 'Raporti i Laboratorit');
INSERT INTO `lang_definitions` VALUES (147451, 5445, 27, 'Rezultati i Laboratorit');
INSERT INTO `lang_definitions` VALUES (147452, 5446, 27, 'Rezultatet e Laboratorit');
INSERT INTO `lang_definitions` VALUES (147453, 5449, 27, 'Raporti i Rezultateve te Laboratorit');
INSERT INTO `lang_definitions` VALUES (147454, 5450, 27, 'Sherbimet e Laboratorit');
INSERT INTO `lang_definitions` VALUES (147455, 5461, 27, 'Informata e Laboratorit');
INSERT INTO `lang_definitions` VALUES (147456, 5462, 27, 'Testet Laboratorike');
INSERT INTO `lang_definitions` VALUES (147457, 5463, 27, 'Laborator');
INSERT INTO `lang_definitions` VALUES (147458, 5471, 27, 'Gjuha');
INSERT INTO `lang_definitions` VALUES (147459, 5472, 27, 'Kodi i Gjuhes');
INSERT INTO `lang_definitions` VALUES (147460, 5478, 27, 'Emri i Gjuhes');
INSERT INTO `lang_definitions` VALUES (147461, 5479, 27, 'Gjuha:');
INSERT INTO `lang_definitions` VALUES (147462, 5481, 27, 'Laosisht');
INSERT INTO `lang_definitions` VALUES (147463, 5485, 27, 'i Fundit');
INSERT INTO `lang_definitions` VALUES (147464, 5506, 27, 'Muajin e Fundit');
INSERT INTO `lang_definitions` VALUES (147465, 5507, 27, 'Mbiemri');
INSERT INTO `lang_definitions` VALUES (147466, 5508, 27, 'Mbiemri');
INSERT INTO `lang_definitions` VALUES (147467, 5513, 27, 'Mbiemri:');
INSERT INTO `lang_definitions` VALUES (147468, 5527, 27, 'Vizita e Fundit');
INSERT INTO `lang_definitions` VALUES (147469, 5540, 27, 'Latin');
INSERT INTO `lang_definitions` VALUES (147470, 5541, 27, 'Latvisht');
INSERT INTO `lang_definitions` VALUES (147471, 5545, 27, 'Firme Advokatie');
INSERT INTO `lang_definitions` VALUES (147472, 5546, 27, 'Avokat');
INSERT INTO `lang_definitions` VALUES (147473, 5547, 27, 'Renditja');
INSERT INTO `lang_definitions` VALUES (147474, 5580, 27, 'Dergo mesazh me');
INSERT INTO `lang_definitions` VALUES (147475, 5586, 27, 'Majt');
INSERT INTO `lang_definitions` VALUES (147476, 5599, 27, 'Majt:');
INSERT INTO `lang_definitions` VALUES (147477, 5600, 27, 'Majt:');
INSERT INTO `lang_definitions` VALUES (147478, 5633, 27, 'ID/Licenca');
INSERT INTO `lang_definitions` VALUES (147479, 5635, 27, 'Emri Urdherdhensit te Licencuar');
INSERT INTO `lang_definitions` VALUES (147480, 5636, 27, 'Mbiemri Urdherdhensit te Licencuar');
INSERT INTO `lang_definitions` VALUES (147481, 5637, 27, 'NPI Urdherdhensit te Licencuar');
INSERT INTO `lang_definitions` VALUES (147482, 5638, 27, 'Titulli (Prefiksi) Urdherdhensit te Licencuar');
INSERT INTO `lang_definitions` VALUES (147483, 5639, 27, 'Mbiemri UrdherdhensitLicencuar');
INSERT INTO `lang_definitions` VALUES (147484, 5644, 27, 'Stili Jetesor');
INSERT INTO `lang_definitions` VALUES (147485, 5646, 27, 'Statusi i Stilit Jetesor');
INSERT INTO `lang_definitions` VALUES (147486, 5654, 27, 'Limitet');
INSERT INTO `lang_definitions` VALUES (147487, 5657, 27, 'Lidhja ');
INSERT INTO `lang_definitions` VALUES (147488, 5658, 27, 'Lidhja te Pacienti');
INSERT INTO `lang_definitions` VALUES (147489, 5660, 27, 'Lidhur');
INSERT INTO `lang_definitions` VALUES (147490, 5661, 27, 'Dokumenti i lidhur');
INSERT INTO `lang_definitions` VALUES (147491, 5663, 27, 'lidhur te dokumenti');
INSERT INTO `lang_definitions` VALUES (147492, 5665, 27, 'Lista');
INSERT INTO `lang_definitions` VALUES (147493, 5682, 27, 'Emri i Listes');
INSERT INTO `lang_definitions` VALUES (147494, 5693, 27, 'Listat');
INSERT INTO `lang_definitions` VALUES (147495, 5695, 27, 'Lituanisht');
INSERT INTO `lang_definitions` VALUES (147496, 5724, 27, 'Lokal');
INSERT INTO `lang_definitions` VALUES (147497, 5730, 27, 'Lokacioni');
INSERT INTO `lang_definitions` VALUES (147498, 5736, 27, 'Lokacioni:');
INSERT INTO `lang_definitions` VALUES (147499, 5749, 27, 'Dalje');
INSERT INTO `lang_definitions` VALUES (147500, 5757, 27, 'Hyrje');
INSERT INTO `lang_definitions` VALUES (147501, 5768, 27, 'Çlajmerohem');
INSERT INTO `lang_definitions` VALUES (147502, 5769, 27, 'çlajmerohem');
INSERT INTO `lang_definitions` VALUES (147503, 5776, 27, 'Kerkoj');
INSERT INTO `lang_definitions` VALUES (147504, 5799, 27, 'Luksemburgisht');
INSERT INTO `lang_definitions` VALUES (147505, 5804, 27, 'M');
INSERT INTO `lang_definitions` VALUES (147506, 5837, 27, 'Mashkull');
INSERT INTO `lang_definitions` VALUES (147507, 5838, 27, 'Kondoma Mashkujsh');
INSERT INTO `lang_definitions` VALUES (147508, 5840, 27, 'Maltezisht');
INSERT INTO `lang_definitions` VALUES (147509, 5841, 27, 'Mamogram');
INSERT INTO `lang_definitions` VALUES (147510, 5842, 27, 'Menaxho');
INSERT INTO `lang_definitions` VALUES (147511, 5845, 27, 'Menaxho Modulet');
INSERT INTO `lang_definitions` VALUES (147512, 5850, 27, 'Menaxho Perkthimet');
INSERT INTO `lang_definitions` VALUES (147513, 5851, 27, 'Menaxhmenti');
INSERT INTO `lang_definitions` VALUES (147514, 5859, 27, 'Manual');
INSERT INTO `lang_definitions` VALUES (147515, 5870, 27, 'Mar');
INSERT INTO `lang_definitions` VALUES (147516, 5874, 27, 'Mars');
INSERT INTO `lang_definitions` VALUES (147517, 5877, 27, 'Statusi Martesor');
INSERT INTO `lang_definitions` VALUES (147518, 5887, 27, 'Martuar');
INSERT INTO `lang_definitions` VALUES (147519, 5889, 27, 'Maska');
INSERT INTO `lang_definitions` VALUES (147520, 5890, 27, 'Maska per Numrin e Fatures');
INSERT INTO `lang_definitions` VALUES (147521, 5891, 27, 'Maska per IDn e Pacientit');
INSERT INTO `lang_definitions` VALUES (147522, 5892, 27, 'Maska per IDn e Produktit');
INSERT INTO `lang_definitions` VALUES (147523, 5894, 27, 'Krahaso');
INSERT INTO `lang_definitions` VALUES (147524, 5895, 27, 'Krahaso rastin');
INSERT INTO `lang_definitions` VALUES (147525, 5896, 27, 'Krahaso Gjej');
INSERT INTO `lang_definitions` VALUES (147526, 5898, 27, 'Krahaso Pacientin');
INSERT INTO `lang_definitions` VALUES (147527, 5907, 27, 'Maks');
INSERT INTO `lang_definitions` VALUES (147528, 5911, 27, 'Madhesi Maks');
INSERT INTO `lang_definitions` VALUES (147529, 5921, 27, 'Madhesi Maksimale');
INSERT INTO `lang_definitions` VALUES (147530, 5924, 27, 'Maj');
INSERT INTO `lang_definitions` VALUES (147531, 5987, 27, 'Njeri');
INSERT INTO `lang_definitions` VALUES (147532, 5988, 27, 'Njeri dhe Grua');
INSERT INTO `lang_definitions` VALUES (147533, 5989, 27, 'Njeri Vetem');
INSERT INTO `lang_definitions` VALUES (147534, 5998, 27, 'Teksti i Menyse');
INSERT INTO `lang_definitions` VALUES (147535, 5999, 27, 'Menyte');
INSERT INTO `lang_definitions` VALUES (147536, 6005, 27, 'Mesazh');
INSERT INTO `lang_definitions` VALUES (147537, 6006, 27, 'Qendra e Mesazheve dhe Rikujtimeve');
INSERT INTO `lang_definitions` VALUES (147538, 6010, 27, 'Mesazhi nga pacienti');
INSERT INTO `lang_definitions` VALUES (147539, 6012, 27, 'Mesazhi i Derguar');
INSERT INTO `lang_definitions` VALUES (147540, 6013, 27, 'Statusi i Mesazhit');
INSERT INTO `lang_definitions` VALUES (147541, 6014, 27, 'Titulli i Mesazhit');
INSERT INTO `lang_definitions` VALUES (147542, 6015, 27, 'Mesazh per pacientin');
INSERT INTO `lang_definitions` VALUES (147543, 6017, 27, 'Lloji Mesazhit');
INSERT INTO `lang_definitions` VALUES (147544, 6018, 27, 'MESAZHI:');
INSERT INTO `lang_definitions` VALUES (147545, 6019, 27, 'Mesazhet');
INSERT INTO `lang_definitions` VALUES (147546, 6022, 27, 'Mesazhet qe keni derguar Sot');
INSERT INTO `lang_definitions` VALUES (147547, 6026, 27, 'Metoda');
INSERT INTO `lang_definitions` VALUES (147548, 6027, 27, 'Metoda dhe Produkt Specifik');
INSERT INTO `lang_definitions` VALUES (147549, 6032, 27, 'Meksiko');
INSERT INTO `lang_definitions` VALUES (147550, 6038, 27, 'mg');
INSERT INTO `lang_definitions` VALUES (147551, 6039, 27, 'mg/1cm3');
INSERT INTO `lang_definitions` VALUES (147552, 6040, 27, 'mg/2cm3');
INSERT INTO `lang_definitions` VALUES (147553, 6041, 27, 'mg/3cm3');
INSERT INTO `lang_definitions` VALUES (147554, 6042, 27, 'mg/4cm3');
INSERT INTO `lang_definitions` VALUES (147555, 6043, 27, 'mg/5cm3');
INSERT INTO `lang_definitions` VALUES (147556, 6046, 27, 'Mesem');
INSERT INTO `lang_definitions` VALUES (147557, 6047, 27, 'Emri Dyte');
INSERT INTO `lang_definitions` VALUES (147558, 6048, 27, 'Emri dyte');
INSERT INTO `lang_definitions` VALUES (147559, 6062, 27, 'Migrant apo punetor sezonal?');
INSERT INTO `lang_definitions` VALUES (147560, 6064, 27, 'Migrant/Sezonal');
INSERT INTO `lang_definitions` VALUES (147561, 6071, 27, 'Min');
INSERT INTO `lang_definitions` VALUES (147562, 6072, 27, 'min');
INSERT INTO `lang_definitions` VALUES (147563, 6077, 27, 'Minimum Vite');
INSERT INTO `lang_definitions` VALUES (147564, 6081, 27, 'minut');
INSERT INTO `lang_definitions` VALUES (147565, 6082, 27, 'Minut');
INSERT INTO `lang_definitions` VALUES (147566, 6083, 27, 'Minutet');
INSERT INTO `lang_definitions` VALUES (147567, 6084, 27, 'minutet');
INSERT INTO `lang_definitions` VALUES (147568, 6086, 27, 'Te ndryshme');
INSERT INTO `lang_definitions` VALUES (147569, 6090, 27, 'Te Llojllojshme');
INSERT INTO `lang_definitions` VALUES (147570, 6111, 27, 'Perzier');
INSERT INTO `lang_definitions` VALUES (147571, 6113, 27, 'ml');
INSERT INTO `lang_definitions` VALUES (147572, 6114, 27, 'MM/DD/VVVV');
INSERT INTO `lang_definitions` VALUES (147573, 6115, 27, 'mm/hg');
INSERT INTO `lang_definitions` VALUES (147574, 6116, 27, 'mmHg');
INSERT INTO `lang_definitions` VALUES (147575, 6121, 27, 'Celulari');
INSERT INTO `lang_definitions` VALUES (147576, 6140, 27, 'Modifiko');
INSERT INTO `lang_definitions` VALUES (147577, 6141, 27, 'Modifiko Daten');
INSERT INTO `lang_definitions` VALUES (147578, 6143, 27, 'Modifiko Pagesat');
INSERT INTO `lang_definitions` VALUES (147579, 6146, 27, 'Moduli');
INSERT INTO `lang_definitions` VALUES (147580, 6147, 27, 'Direktoriumi i Modulit nuk gjindet');
INSERT INTO `lang_definitions` VALUES (147581, 6148, 27, 'Modul Instaluesi');
INSERT INTO `lang_definitions` VALUES (147582, 6149, 27, 'Emri i Modulit');
INSERT INTO `lang_definitions` VALUES (147583, 6150, 27, 'Emri i Modulit ekziston');
INSERT INTO `lang_definitions` VALUES (147584, 6151, 27, 'Modulet');
INSERT INTO `lang_definitions` VALUES (147585, 6153, 27, 'Hen');
INSERT INTO `lang_definitions` VALUES (147586, 6154, 27, 'Nga e Hen deri te Pre');
INSERT INTO `lang_definitions` VALUES (147587, 6156, 27, 'e Hene');
INSERT INTO `lang_definitions` VALUES (147588, 6157, 27, 'Mongolisht');
INSERT INTO `lang_definitions` VALUES (147589, 6160, 27, 'muaj');
INSERT INTO `lang_definitions` VALUES (147590, 6161, 27, 'Muaj');
INSERT INTO `lang_definitions` VALUES (147591, 6162, 27, 'Shiko Muajin');
INSERT INTO `lang_definitions` VALUES (147592, 6163, 27, 'Muaj(t)');
INSERT INTO `lang_definitions` VALUES (147593, 6164, 27, 'Te Hyrat Mujore');
INSERT INTO `lang_definitions` VALUES (147594, 6165, 27, 'muajt');
INSERT INTO `lang_definitions` VALUES (147595, 6166, 27, 'Muajt');
INSERT INTO `lang_definitions` VALUES (147596, 6179, 27, 'Gjeti me teper se 100 rende. Ju lutem ngushto kriterin e kerkimit.');
INSERT INTO `lang_definitions` VALUES (147597, 6180, 27, 'Me teper se 50 rezultate, ju lutem beni kriterin me specifik.');
INSERT INTO `lang_definitions` VALUES (147598, 6190, 27, 'Nena');
INSERT INTO `lang_definitions` VALUES (147599, 6191, 27, 'Emri i Nenes');
INSERT INTO `lang_definitions` VALUES (147600, 6192, 27, 'Historia e Nenes');
INSERT INTO `lang_definitions` VALUES (147601, 6195, 27, 'Goja');
INSERT INTO `lang_definitions` VALUES (147602, 6196, 27, 'Zhvendose');
INSERT INTO `lang_definitions` VALUES (147603, 6201, 27, 'Zhvendose te Pacienti');
INSERT INTO `lang_definitions` VALUES (147604, 6202, 27, 'Zhvendose te...');
INSERT INTO `lang_definitions` VALUES (147605, 6204, 27, 'Zhvendosjen');
INSERT INTO `lang_definitions` VALUES (147606, 6209, 27, 'Zt.');
INSERT INTO `lang_definitions` VALUES (147607, 6215, 27, 'Z-nj.');
INSERT INTO `lang_definitions` VALUES (147608, 6217, 27, 'Z-njsh.');
INSERT INTO `lang_definitions` VALUES (147609, 6250, 27, 'Muskuli');
INSERT INTO `lang_definitions` VALUES (147610, 6251, 27, 'Demtimi i Muslukit');
INSERT INTO `lang_definitions` VALUES (147611, 6268, 27, 'H{{Hene}}');
INSERT INTO `lang_definitions` VALUES (147612, 6274, 27, 'Emri');
INSERT INTO `lang_definitions` VALUES (147613, 6275, 27, 'EMRI');
INSERT INTO `lang_definitions` VALUES (147614, 6276, 27, 'Emri (kliko per me shume)');
INSERT INTO `lang_definitions` VALUES (147615, 6278, 27, 'Emri 1');
INSERT INTO `lang_definitions` VALUES (147616, 6279, 27, 'Emri 2');
INSERT INTO `lang_definitions` VALUES (147617, 6295, 27, 'Emri/Vlera');
INSERT INTO `lang_definitions` VALUES (147618, 6296, 27, 'Emri:');
INSERT INTO `lang_definitions` VALUES (147619, 6348, 27, 'Qafe');
INSERT INTO `lang_definitions` VALUES (147620, 6349, 27, 'Problemet e Qafes');
INSERT INTO `lang_definitions` VALUES (147621, 6361, 27, 'Negativ');
INSERT INTO `lang_definitions` VALUES (147622, 6363, 27, 'Negative');
INSERT INTO `lang_definitions` VALUES (147623, 6368, 27, 'Nepalisht');
INSERT INTO `lang_definitions` VALUES (147624, 6381, 27, 'Kurre');
INSERT INTO `lang_definitions` VALUES (147625, 6382, 27, 'Kurre Alkool');
INSERT INTO `lang_definitions` VALUES (147626, 6383, 27, 'Nuk pi duhan');
INSERT INTO `lang_definitions` VALUES (147627, 6384, 27, 'I Ri');
INSERT INTO `lang_definitions` VALUES (147628, 6385, 27, 'I Ri =>');
INSERT INTO `lang_definitions` VALUES (147629, 6388, 27, 'Alergji e Re');
INSERT INTO `lang_definitions` VALUES (147630, 6391, 27, 'Kategori te Reja');
INSERT INTO `lang_definitions` VALUES (147631, 6392, 27, 'Kategori e Re');
INSERT INTO `lang_definitions` VALUES (147632, 6393, 27, 'Klient i Ri');
INSERT INTO `lang_definitions` VALUES (147633, 6394, 27, 'Konsulte e Re');
INSERT INTO `lang_definitions` VALUES (147634, 6397, 27, 'Dokument i Ri');
INSERT INTO `lang_definitions` VALUES (147635, 6398, 27, 'Dokumente te Reja');
INSERT INTO `lang_definitions` VALUES (147636, 6410, 27, 'Grup i Ri');
INSERT INTO `lang_definitions` VALUES (147637, 6413, 27, 'Informacion i Grupit te Ri');
INSERT INTO `lang_definitions` VALUES (147638, 6426, 27, 'Lista e Re');
INSERT INTO `lang_definitions` VALUES (147639, 6432, 27, 'Urdheresat e Reja');
INSERT INTO `lang_definitions` VALUES (147640, 6433, 27, 'Paragrafi i Ri');
INSERT INTO `lang_definitions` VALUES (147641, 6434, 27, 'Fjalekalimi i Ri');
INSERT INTO `lang_definitions` VALUES (147642, 6435, 27, 'Pacient i Ri');
INSERT INTO `lang_definitions` VALUES (147643, 6436, 27, 'PACIENT I RI');
INSERT INTO `lang_definitions` VALUES (147644, 6438, 27, 'Pacient i Ri Nga');
INSERT INTO `lang_definitions` VALUES (147645, 6439, 27, 'ID e Pacientit te Ri');
INSERT INTO `lang_definitions` VALUES (147646, 6442, 27, 'Pagesa e Re');
INSERT INTO `lang_definitions` VALUES (147647, 6448, 27, 'Kerkim i Ri');
INSERT INTO `lang_definitions` VALUES (147648, 6451, 27, 'Shfrytezues i Ri');
INSERT INTO `lang_definitions` VALUES (147649, 6452, 27, 'Vlere e Re');
INSERT INTO `lang_definitions` VALUES (147650, 6453, 27, 'Vizite e Re');
INSERT INTO `lang_definitions` VALUES (147651, 6454, 27, 'Kerkim/i Ri');
INSERT INTO `lang_definitions` VALUES (147652, 6479, 27, 'Kurre');
INSERT INTO `lang_definitions` VALUES (147653, 6481, 27, 'Gazete');
INSERT INTO `lang_definitions` VALUES (147654, 6482, 27, 'Ardhshme');
INSERT INTO `lang_definitions` VALUES (147655, 6484, 27, 'Dita e Ardhshme');
INSERT INTO `lang_definitions` VALUES (147656, 6485, 27, 'Muaji i Ardhshem');
INSERT INTO `lang_definitions` VALUES (147657, 6491, 27, 'Java e Ardhshme');
INSERT INTO `lang_definitions` VALUES (147658, 6492, 27, 'Viti i Ardhshem (mgani menyne)');
INSERT INTO `lang_definitions` VALUES (147659, 6499, 27, 'Jo');
INSERT INTO `lang_definitions` VALUES (147660, 6500, 27, 'JO');
INSERT INTO `lang_definitions` VALUES (147661, 6571, 27, 'Nuk ka te dhena qe perputhen');
INSERT INTO `lang_definitions` VALUES (147662, 6701, 27, 'Norvegjisht');
INSERT INTO `lang_definitions` VALUES (147663, 6795, 27, 'Asgje ne pritje per Aprovim');
INSERT INTO `lang_definitions` VALUES (147664, 6796, 27, 'Asgje Regjistruar');
INSERT INTO `lang_definitions` VALUES (147665, 6798, 27, 'Asgje per te shfaqur');
INSERT INTO `lang_definitions` VALUES (147666, 6803, 27, 'Asgje per te treguar');
INSERT INTO `lang_definitions` VALUES (147667, 6804, 27, 'Asgje nuk eshte zgjedhur');
INSERT INTO `lang_definitions` VALUES (147668, 6807, 27, 'Njoftimin e Pranoi');
INSERT INTO `lang_definitions` VALUES (147669, 6820, 27, 'Nen');
INSERT INTO `lang_definitions` VALUES (147670, 6821, 27, 'Nentor');
INSERT INTO `lang_definitions` VALUES (147671, 6837, 27, 'Numer');
INSERT INTO `lang_definitions` VALUES (147672, 6874, 27, 'Trashje I');
INSERT INTO `lang_definitions` VALUES (147673, 6875, 27, 'Trashje II');
INSERT INTO `lang_definitions` VALUES (147674, 6876, 27, 'Trashje III');
INSERT INTO `lang_definitions` VALUES (147675, 6886, 27, 'Profesioni');
INSERT INTO `lang_definitions` VALUES (147676, 6887, 27, 'Profesioni mjekut');
INSERT INTO `lang_definitions` VALUES (147677, 6890, 27, 'Tet');
INSERT INTO `lang_definitions` VALUES (147678, 6891, 27, 'Tetor');
INSERT INTO `lang_definitions` VALUES (147679, 6895, 27, 'te');
INSERT INTO `lang_definitions` VALUES (147680, 6907, 27, 'Shenime Zurtare');
INSERT INTO `lang_definitions` VALUES (147681, 6982, 27, 'Para Nje Dite');
INSERT INTO `lang_definitions` VALUES (147682, 6985, 27, 'Para Nje Muaji');
INSERT INTO `lang_definitions` VALUES (147683, 6992, 27, 'Para Nje Viti');
INSERT INTO `lang_definitions` VALUES (147684, 7006, 27, 'Vetem Inaktivet');
INSERT INTO `lang_definitions` VALUES (147685, 7007, 27, 'Vetem te Miat');
INSERT INTO `lang_definitions` VALUES (147686, 7013, 27, 'Ngarkoji vetem recetat aktive');
INSERT INTO `lang_definitions` VALUES (147687, 7031, 27, 'Hape');
INSERT INTO `lang_definitions` VALUES (147688, 7040, 27, 'Hape ne Dritare te Re');
INSERT INTO `lang_definitions` VALUES (147689, 7042, 27, 'Hape Pacientin');
INSERT INTO `lang_definitions` VALUES (147690, 7043, 27, 'Hape Pacientin ne Dritare te Re');
INSERT INTO `lang_definitions` VALUES (147691, 7046, 27, 'Hapi Vizitat e Sotshme');
INSERT INTO `lang_definitions` VALUES (147692, 7095, 27, 'Opcion');
INSERT INTO `lang_definitions` VALUES (147693, 7116, 27, 'Opcionet');
INSERT INTO `lang_definitions` VALUES (147694, 7117, 27, 'OSE');
INSERT INTO `lang_definitions` VALUES (147695, 7118, 27, 'Ose');
INSERT INTO `lang_definitions` VALUES (147696, 7125, 27, 'Ose ngarkoni ERA dosje:');
INSERT INTO `lang_definitions` VALUES (147697, 7127, 27, 'Oral');
INSERT INTO `lang_definitions` VALUES (147698, 7129, 27, 'Urdher');
INSERT INTO `lang_definitions` VALUES (147699, 7132, 27, 'Katalogu i Urdhrit');
INSERT INTO `lang_definitions` VALUES (147700, 7133, 27, 'Data Urdhrit');
INSERT INTO `lang_definitions` VALUES (147701, 7134, 27, 'Pershkrimi Urdhrit');
INSERT INTO `lang_definitions` VALUES (147702, 7136, 27, 'Forma Urdhrit');
INSERT INTO `lang_definitions` VALUES (147703, 7137, 27, 'ID Urdhrit');
INSERT INTO `lang_definitions` VALUES (147704, 7138, 27, 'Urdhri duhet te jete nje numer ne mes te 1 dhe 999');
INSERT INTO `lang_definitions` VALUES (147705, 7140, 27, 'Emri Urdhrit');
INSERT INTO `lang_definitions` VALUES (147706, 7142, 27, 'Prioriteti Urdhrit');
INSERT INTO `lang_definitions` VALUES (147707, 7143, 27, 'Procesori Urdhrit');
INSERT INTO `lang_definitions` VALUES (147708, 7145, 27, 'Rezultatet e Urdhrit');
INSERT INTO `lang_definitions` VALUES (147709, 7146, 27, 'Statusi Urdhrit');
INSERT INTO `lang_definitions` VALUES (147710, 7147, 27, 'Statuset e Urdhrit');
INSERT INTO `lang_definitions` VALUES (147711, 7150, 27, 'Lloji Urdhrit');
INSERT INTO `lang_definitions` VALUES (147712, 7151, 27, 'Llojet e Urdhrit');
INSERT INTO `lang_definitions` VALUES (147713, 7153, 27, 'Urdheruar');
INSERT INTO `lang_definitions` VALUES (147714, 7154, 27, 'Urdheruar nga');
INSERT INTO `lang_definitions` VALUES (147715, 7155, 27, 'Procedura e Urdheruar');
INSERT INTO `lang_definitions` VALUES (147716, 7167, 27, 'Organizate');
INSERT INTO `lang_definitions` VALUES (147717, 7168, 27, 'Emri Organizates');
INSERT INTO `lang_definitions` VALUES (147718, 7169, 27, 'Emri Njesise Organizative');
INSERT INTO `lang_definitions` VALUES (147719, 7170, 27, 'Organizatat');
INSERT INTO `lang_definitions` VALUES (147720, 7171, 27, 'Orientuar x 3');
INSERT INTO `lang_definitions` VALUES (147721, 7175, 27, 'Origjinal');
INSERT INTO `lang_definitions` VALUES (147722, 7193, 27, 'Te Tjera');
INSERT INTO `lang_definitions` VALUES (147723, 7194, 27, 'Te tjera');
INSERT INTO `lang_definitions` VALUES (147724, 7196, 27, 'Te Tjera (specifiko)');
INSERT INTO `lang_definitions` VALUES (147725, 7219, 27, 'Te Tjerat');
INSERT INTO `lang_definitions` VALUES (147726, 7248, 27, 'Pronar');
INSERT INTO `lang_definitions` VALUES (147727, 7260, 27, 'Faqe');
INSERT INTO `lang_definitions` VALUES (147728, 7263, 27, 'Faqet');
INSERT INTO `lang_definitions` VALUES (147729, 7264, 27, 'E Paguar');
INSERT INTO `lang_definitions` VALUES (147730, 7276, 27, 'Leter');
INSERT INTO `lang_definitions` VALUES (147731, 7277, 27, 'Madhesia e Letres');
INSERT INTO `lang_definitions` VALUES (147732, 7279, 27, 'Prind');
INSERT INTO `lang_definitions` VALUES (147733, 7301, 27, 'Fjalekalimi');
INSERT INTO `lang_definitions` VALUES (147734, 7302, 27, 'Ndrro Fjalekalimin');
INSERT INTO `lang_definitions` VALUES (147735, 7303, 27, 'Fjalekalimi u ndrrua suksesshem');
INSERT INTO `lang_definitions` VALUES (147736, 7304, 27, 'Fjalekalimi u ndrrua suksesshem.');
INSERT INTO `lang_definitions` VALUES (147737, 7319, 27, 'Fjalekalimi:');
INSERT INTO `lang_definitions` VALUES (147738, 7361, 27, 'Pacienti');
INSERT INTO `lang_definitions` VALUES (147739, 7362, 27, 'PACIENTI');
INSERT INTO `lang_definitions` VALUES (147740, 7363, 27, 'pacienti');
INSERT INTO `lang_definitions` VALUES (147741, 7365, 27, 'Adresa e Pacientit');
INSERT INTO `lang_definitions` VALUES (147742, 7366, 27, 'Adresa e Pacientit mungon');
INSERT INTO `lang_definitions` VALUES (147743, 7367, 27, 'Rreg Pacientit');
INSERT INTO `lang_definitions` VALUES (147744, 7368, 27, 'Rregullimi Pacientit');
INSERT INTO `lang_definitions` VALUES (147745, 7369, 27, 'Alergjite e pacientit');
INSERT INTO `lang_definitions` VALUES (147746, 7370, 27, 'Alergjite e Pacientit');
INSERT INTO `lang_definitions` VALUES (147747, 7373, 27, 'Takimi Pacientit');
INSERT INTO `lang_definitions` VALUES (147748, 7383, 27, 'Qyteti Pacientit');
INSERT INTO `lang_definitions` VALUES (147749, 7384, 27, 'Qyteti Pacientit po mungon');
INSERT INTO `lang_definitions` VALUES (147750, 7388, 27, 'Vendi Pacientit');
INSERT INTO `lang_definitions` VALUES (147751, 7390, 27, 'Mbulueshmeria Pacientit');
INSERT INTO `lang_definitions` VALUES (147752, 7394, 27, 'Te dhenat e Pacientit');
INSERT INTO `lang_definitions` VALUES (147753, 7395, 27, 'Data Lindjes Pacientit');
INSERT INTO `lang_definitions` VALUES (147754, 7396, 27, 'Data Lindjes Pacientit mungon');
INSERT INTO `lang_definitions` VALUES (147755, 7401, 27, 'Detajet e Pacientit');
INSERT INTO `lang_definitions` VALUES (147756, 7402, 27, 'DEL Pacientit');
INSERT INTO `lang_definitions` VALUES (147757, 7404, 27, 'Dokumenti Pacientit');
INSERT INTO `lang_definitions` VALUES (147758, 7410, 27, 'Edukimi Pacientit');
INSERT INTO `lang_definitions` VALUES (147759, 7411, 27, 'Materiale Arsimimi per Pacientin');
INSERT INTO `lang_definitions` VALUES (147760, 7417, 27, 'Emri Pacientit');
INSERT INTO `lang_definitions` VALUES (147761, 7418, 27, 'Emri Pacientit');
INSERT INTO `lang_definitions` VALUES (147762, 7420, 27, 'Tabela Rjedhjes Pacientit');
INSERT INTO `lang_definitions` VALUES (147763, 7421, 27, 'Tabela Rjedhjes Raportit Pacientit');
INSERT INTO `lang_definitions` VALUES (147764, 7422, 27, 'Tabela Rjedhjes Dhomave te Pacientit');
INSERT INTO `lang_definitions` VALUES (147765, 7423, 27, 'Tabela Rjedhjes Intervalit Kohor te Pacientit');
INSERT INTO `lang_definitions` VALUES (147766, 7424, 27, 'Gjinia Pacientit');
INSERT INTO `lang_definitions` VALUES (147767, 7425, 27, 'Gjinia Pacientit mungon');
INSERT INTO `lang_definitions` VALUES (147768, 7428, 27, 'Historia Pacientit');
INSERT INTO `lang_definitions` VALUES (147769, 7430, 27, 'Telefoni shtepise Pacientit');
INSERT INTO `lang_definitions` VALUES (147770, 7431, 27, 'ID Pacientit');
INSERT INTO `lang_definitions` VALUES (147771, 7432, 27, 'Id Pacientit');
INSERT INTO `lang_definitions` VALUES (147772, 7434, 27, 'Emri Kategorise ID Pacientit');
INSERT INTO `lang_definitions` VALUES (147773, 7437, 27, 'Imunizimi Pacientit');
INSERT INTO `lang_definitions` VALUES (147774, 7438, 27, 'Instrukcioni Pacientit');
INSERT INTO `lang_definitions` VALUES (147775, 7440, 27, 'Instrukcionet e Pacientit');
INSERT INTO `lang_definitions` VALUES (147776, 7445, 27, 'Qeshtjet e Pacientit');
INSERT INTO `lang_definitions` VALUES (147777, 7447, 27, 'Mbiemri Pacientit');
INSERT INTO `lang_definitions` VALUES (147778, 7448, 27, 'Mbiemri Pacientit');
INSERT INTO `lang_definitions` VALUES (147779, 7454, 27, 'Lista Pacientit');
INSERT INTO `lang_definitions` VALUES (147780, 7470, 27, 'Emri Pacientit');
INSERT INTO `lang_definitions` VALUES (147781, 7472, 27, 'Emri & Adresa Pacientit');
INSERT INTO `lang_definitions` VALUES (147782, 7482, 27, 'Numri i Pacientit');
INSERT INTO `lang_definitions` VALUES (147783, 7483, 27, 'Pagesa e Pacientit');
INSERT INTO `lang_definitions` VALUES (147784, 7484, 27, 'Pagesat e Pacientit');
INSERT INTO `lang_definitions` VALUES (147785, 7487, 27, 'Portali Pacientit');
INSERT INTO `lang_definitions` VALUES (147786, 7497, 27, 'Raporti i Printuar i Pacientit');
INSERT INTO `lang_definitions` VALUES (147787, 7499, 27, 'Raporti i Regjistrimit te Pacientit');
INSERT INTO `lang_definitions` VALUES (147788, 7500, 27, 'Kerkese per Regjistrim te Pacientit');
INSERT INTO `lang_definitions` VALUES (147789, 7501, 27, 'Kerkese per Regjistrimet e Pacientit');
INSERT INTO `lang_definitions` VALUES (147790, 7502, 27, 'Religjioni i Pacientit');
INSERT INTO `lang_definitions` VALUES (147791, 7514, 27, 'Raporti i Pacientit');
INSERT INTO `lang_definitions` VALUES (147792, 7518, 27, 'Kerkesa e Pacientit');
INSERT INTO `lang_definitions` VALUES (147793, 7521, 27, 'Rezultatet e Pacientit');
INSERT INTO `lang_definitions` VALUES (147794, 7526, 27, 'Ekrani Pacienti Kerko/Shto');
INSERT INTO `lang_definitions` VALUES (147795, 7533, 27, 'Vendi i Pacientit');
INSERT INTO `lang_definitions` VALUES (147796, 7542, 27, 'Transalcionet e Pacientit');
INSERT INTO `lang_definitions` VALUES (147797, 7550, 27, 'Pacienti/Klienti');
INSERT INTO `lang_definitions` VALUES (147798, 7551, 27, 'Pacienti:');
INSERT INTO `lang_definitions` VALUES (147799, 7552, 27, 'IDPacienti');
INSERT INTO `lang_definitions` VALUES (147800, 7553, 27, 'Pacientet');
INSERT INTO `lang_definitions` VALUES (147801, 7555, 27, 'Fjalekalimi i Pacientit');
INSERT INTO `lang_definitions` VALUES (147802, 7559, 27, 'Paguaj');
INSERT INTO `lang_definitions` VALUES (147803, 7563, 27, 'Data e Pageses:');
INSERT INTO `lang_definitions` VALUES (147804, 7566, 27, 'Statusi i Pageses');
INSERT INTO `lang_definitions` VALUES (147805, 7567, 27, 'Emri i Pranuesit te Pageses');
INSERT INTO `lang_definitions` VALUES (147806, 7568, 27, 'Pagues');
INSERT INTO `lang_definitions` VALUES (147807, 7572, 27, 'Lloji Paguesit');
INSERT INTO `lang_definitions` VALUES (147808, 7573, 27, 'Pageses');
INSERT INTO `lang_definitions` VALUES (147809, 7575, 27, 'Pagesa');
INSERT INTO `lang_definitions` VALUES (147810, 7576, 27, 'pagesa');
INSERT INTO `lang_definitions` VALUES (147811, 7579, 27, 'Shuma Pageses');
INSERT INTO `lang_definitions` VALUES (147812, 7581, 27, 'Kategoria Pageses');
INSERT INTO `lang_definitions` VALUES (147813, 7583, 27, 'Data e Pageses');
INSERT INTO `lang_definitions` VALUES (147814, 7585, 27, 'Pagesa Nga');
INSERT INTO `lang_definitions` VALUES (147815, 7589, 27, 'Lista Pageses');
INSERT INTO `lang_definitions` VALUES (147816, 7590, 27, 'Metoda Pageses');
INSERT INTO `lang_definitions` VALUES (147817, 7592, 27, 'Pagesa Sortuar Sipas');
INSERT INTO `lang_definitions` VALUES (147818, 7593, 27, 'Statusi Pageses');
INSERT INTO `lang_definitions` VALUES (147819, 7597, 27, 'Lloji Pageses');
INSERT INTO `lang_definitions` VALUES (147820, 7602, 27, 'Pagesat');
INSERT INTO `lang_definitions` VALUES (147821, 7603, 27, 'Pagues');
INSERT INTO `lang_definitions` VALUES (147822, 7610, 27, 'PDF');
INSERT INTO `lang_definitions` VALUES (147823, 7615, 27, 'PDF Gjuha');
INSERT INTO `lang_definitions` VALUES (147824, 7624, 27, 'Ne pritje te');
INSERT INTO `lang_definitions` VALUES (147825, 7626, 27, 'Miratim ne Pritje');
INSERT INTO `lang_definitions` VALUES (147826, 7629, 27, 'Pe pritje te F/U');
INSERT INTO `lang_definitions` VALUES (147827, 7632, 27, 'Urdheresa ne pritje');
INSERT INTO `lang_definitions` VALUES (147828, 7637, 27, 'Alergjina ne Penicilin');
INSERT INTO `lang_definitions` VALUES (147829, 7641, 27, 'per min');
INSERT INTO `lang_definitions` VALUES (147830, 7648, 27, 'Perqindja');
INSERT INTO `lang_definitions` VALUES (147831, 7652, 27, 'Percentile');
INSERT INTO `lang_definitions` VALUES (147832, 7661, 27, 'Periudha');
INSERT INTO `lang_definitions` VALUES (147833, 7669, 27, 'Persisht');
INSERT INTO `lang_definitions` VALUES (147834, 7670, 27, 'Persisht (Farsi)');
INSERT INTO `lang_definitions` VALUES (147835, 7671, 27, 'Person');
INSERT INTO `lang_definitions` VALUES (147836, 7676, 27, 'Farm');
INSERT INTO `lang_definitions` VALUES (147837, 7678, 27, 'Farmacite');
INSERT INTO `lang_definitions` VALUES (147838, 7680, 27, 'Farmaci');
INSERT INTO `lang_definitions` VALUES (147839, 7697, 27, 'Telefon');
INSERT INTO `lang_definitions` VALUES (147840, 7699, 27, 'Lista e thirrjeve telefonike');
INSERT INTO `lang_definitions` VALUES (147841, 7701, 27, 'Raporti i Listes se thirrjeve telefonike');
INSERT INTO `lang_definitions` VALUES (147842, 7703, 27, 'Thirrje Telefonike');
INSERT INTO `lang_definitions` VALUES (147843, 7708, 27, 'Telefon Shtepie');
INSERT INTO `lang_definitions` VALUES (147844, 7710, 27, 'Numri i telefonit');
INSERT INTO `lang_definitions` VALUES (147845, 7711, 27, 'Numri i Telefonit');
INSERT INTO `lang_definitions` VALUES (147846, 7716, 27, 'Fotografite');
INSERT INTO `lang_definitions` VALUES (147847, 7757, 27, 'Plan');
INSERT INTO `lang_definitions` VALUES (147848, 7762, 27, 'Emri Planit');
INSERT INTO `lang_definitions` VALUES (147849, 7763, 27, 'Emri Planit Ekziston');
INSERT INTO `lang_definitions` VALUES (147850, 7773, 27, 'Plan:');
INSERT INTO `lang_definitions` VALUES (147851, 7776, 27, 'Planet');
INSERT INTO `lang_definitions` VALUES (147852, 7855, 27, 'Ju lutem futeni kriterin e kerkimit larte, dhe klikoni Parashtro per te filluar raporti');
INSERT INTO `lang_definitions` VALUES (147853, 7856, 27, 'Ju lutem futeni kriterin e kerkimit larte, dhe klikoni Parashtro per te pare rezultatet');
INSERT INTO `lang_definitions` VALUES (147854, 7857, 27, 'Ju lutem futeni kriterin e kerkimit larte, dhe klikoni Parashtro per te pare rezultatet. (Rezultatet do te shfaqet ne nje dritare pop up)');
INSERT INTO `lang_definitions` VALUES (147855, 7922, 27, 'Plural');
INSERT INTO `lang_definitions` VALUES (147856, 7943, 27, 'Podiatrik');
INSERT INTO `lang_definitions` VALUES (147857, 7944, 27, 'Podiatri');
INSERT INTO `lang_definitions` VALUES (147858, 7947, 27, 'Politike');
INSERT INTO `lang_definitions` VALUES (147859, 7950, 27, 'Polica No');
INSERT INTO `lang_definitions` VALUES (147860, 7951, 27, 'Polica Numer');
INSERT INTO `lang_definitions` VALUES (147861, 7952, 27, 'Polonisht');
INSERT INTO `lang_definitions` VALUES (147862, 7957, 27, 'Apetiti Dobt');
INSERT INTO `lang_definitions` VALUES (147863, 7958, 27, 'Qarkullimi Dobt');
INSERT INTO `lang_definitions` VALUES (147864, 7959, 27, 'Degjimi Dobt');
INSERT INTO `lang_definitions` VALUES (147865, 7965, 27, 'Pop Ups');
INSERT INTO `lang_definitions` VALUES (147866, 7985, 27, 'Portugalisht');
INSERT INTO `lang_definitions` VALUES (147867, 7987, 27, 'Portugalisht (Brazilian)');
INSERT INTO `lang_definitions` VALUES (147868, 7988, 27, 'Portugalisht (Europian)');
INSERT INTO `lang_definitions` VALUES (147869, 7990, 27, 'Pozicion');
INSERT INTO `lang_definitions` VALUES (147870, 7992, 27, 'Pozitive');
INSERT INTO `lang_definitions` VALUES (147871, 7993, 27, 'Pozitivet');
INSERT INTO `lang_definitions` VALUES (147872, 8011, 27, 'Postal');
INSERT INTO `lang_definitions` VALUES (147873, 8012, 27, 'Kodi Postal');
INSERT INTO `lang_definitions` VALUES (147874, 8013, 27, 'Kodi postal');
INSERT INTO `lang_definitions` VALUES (147875, 8026, 27, 'Data e Postimit');
INSERT INTO `lang_definitions` VALUES (147876, 8028, 27, 'Poz{{Shkurtesa per Pozicion}}');
INSERT INTO `lang_definitions` VALUES (147877, 8037, 27, 'Praktike');
INSERT INTO `lang_definitions` VALUES (147878, 8057, 27, 'Preliminare');
INSERT INTO `lang_definitions` VALUES (147879, 8098, 27, 'Paraprake');
INSERT INTO `lang_definitions` VALUES (147880, 8100, 27, 'Dita Paraprake');
INSERT INTO `lang_definitions` VALUES (147881, 8103, 27, 'Muaji Paraprak');
INSERT INTO `lang_definitions` VALUES (147882, 8104, 27, 'Java Paraprake');
INSERT INTO `lang_definitions` VALUES (147883, 8105, 27, 'Cmimi');
INSERT INTO `lang_definitions` VALUES (147884, 8109, 27, 'Niveli i Cmimeve');
INSERT INTO `lang_definitions` VALUES (147885, 8111, 27, 'Niveli i Cmimeve:');
INSERT INTO `lang_definitions` VALUES (147886, 8113, 27, 'Cmimet');
INSERT INTO `lang_definitions` VALUES (147887, 8114, 27, 'Primare');
INSERT INTO `lang_definitions` VALUES (147888, 8118, 27, 'Kujdesi Primar');
INSERT INTO `lang_definitions` VALUES (147889, 8119, 27, 'Provajderi i Kujdesit Primar');
INSERT INTO `lang_definitions` VALUES (147890, 8125, 27, 'Sig Primar');
INSERT INTO `lang_definitions` VALUES (147891, 8126, 27, 'Sigurimi Primar');
INSERT INTO `lang_definitions` VALUES (147892, 8127, 27, 'Te dhenat Primare per Sigurim');
INSERT INTO `lang_definitions` VALUES (147893, 8128, 27, 'Bartesi Primar i Sigurimit');
INSERT INTO `lang_definitions` VALUES (147894, 8129, 27, 'Ptovajderi Primar');
INSERT INTO `lang_definitions` VALUES (147895, 8130, 27, 'Printo');
INSERT INTO `lang_definitions` VALUES (147896, 8131, 27, 'Printo (HTML)');
INSERT INTO `lang_definitions` VALUES (147897, 8132, 27, 'Printo (PDF)');
INSERT INTO `lang_definitions` VALUES (147898, 8133, 27, 'Printo Ndryshimet');
INSERT INTO `lang_definitions` VALUES (147899, 8134, 27, 'Printo Ndonje Vizite');
INSERT INTO `lang_definitions` VALUES (147900, 8135, 27, 'Printo Formen e Zbrazet  te Udhezimit');
INSERT INTO `lang_definitions` VALUES (147901, 8136, 27, 'Printo Komandat');
INSERT INTO `lang_definitions` VALUES (147902, 8138, 27, 'Data Printimit');
INSERT INTO `lang_definitions` VALUES (147903, 8139, 27, 'Printo ne Fund te Dites Raportin 1');
INSERT INTO `lang_definitions` VALUES (147904, 8140, 27, 'Printo ne Fund te Dites Raportin 2');
INSERT INTO `lang_definitions` VALUES (147905, 8141, 27, 'Printo ne Fund te Dites Raportin 3');
INSERT INTO `lang_definitions` VALUES (147906, 8143, 27, 'Formati Printimit');
INSERT INTO `lang_definitions` VALUES (147907, 8147, 27, 'Printo mesazhin');
INSERT INTO `lang_definitions` VALUES (147908, 8152, 27, 'Printo Faqe 1');
INSERT INTO `lang_definitions` VALUES (147909, 8153, 27, 'Printo Faqe 2');
INSERT INTO `lang_definitions` VALUES (147910, 8170, 27, 'Printo ne');
INSERT INTO `lang_definitions` VALUES (147911, 8171, 27, 'Printo ne Fax');
INSERT INTO `lang_definitions` VALUES (147912, 8173, 27, 'printueshme');
INSERT INTO `lang_definitions` VALUES (147913, 8174, 27, 'Versioni Printueshem');
INSERT INTO `lang_definitions` VALUES (147914, 8175, 27, 'Printuar');
INSERT INTO `lang_definitions` VALUES (147915, 8178, 27, 'Rezultatet e primtimit:');
INSERT INTO `lang_definitions` VALUES (147916, 8191, 27, 'Priotiteti');
INSERT INTO `lang_definitions` VALUES (147917, 8192, 27, 'Priotiteti');
INSERT INTO `lang_definitions` VALUES (147918, 8196, 27, 'Private');
INSERT INTO `lang_definitions` VALUES (147919, 8197, 27, 'Problem');
INSERT INTO `lang_definitions` VALUES (147920, 8199, 27, 'Problem Lista');
INSERT INTO `lang_definitions` VALUES (147921, 8200, 27, 'Problemet');
INSERT INTO `lang_definitions` VALUES (147922, 8202, 27, 'Problemet/Qeshtjet');
INSERT INTO `lang_definitions` VALUES (147923, 8209, 27, 'Procedura');
INSERT INTO `lang_definitions` VALUES (147924, 8214, 27, 'Kodi i Procedures');
INSERT INTO `lang_definitions` VALUES (147925, 8215, 27, 'Kodet e Procedures');
INSERT INTO `lang_definitions` VALUES (147926, 8218, 27, 'Emri Procedures');
INSERT INTO `lang_definitions` VALUES (147927, 8220, 27, 'Urdhri Procedures');
INSERT INTO `lang_definitions` VALUES (147928, 8221, 27, 'Urdhri procedures');
INSERT INTO `lang_definitions` VALUES (147929, 8223, 27, 'Urdhri Procedures per');
INSERT INTO `lang_definitions` VALUES (147930, 8224, 27, 'Urdhri Procedures nuk gjindet');
INSERT INTO `lang_definitions` VALUES (147931, 8226, 27, 'Urdhrat e Procedures dhe Raportet');
INSERT INTO `lang_definitions` VALUES (147932, 8228, 27, 'Procedura provajderit');
INSERT INTO `lang_definitions` VALUES (147933, 8229, 27, 'Procedura Provajderit');
INSERT INTO `lang_definitions` VALUES (147934, 8231, 27, 'Procedura Provajdereve');
INSERT INTO `lang_definitions` VALUES (147935, 8232, 27, 'Raporti Procedures');
INSERT INTO `lang_definitions` VALUES (147936, 8240, 27, 'Rezultatet e Procedures');
INSERT INTO `lang_definitions` VALUES (147937, 8248, 27, 'Lloji Procedures');
INSERT INTO `lang_definitions` VALUES (147938, 8249, 27, 'Llojet e Procedures');
INSERT INTO `lang_definitions` VALUES (147939, 8251, 27, 'Njesit e Procedures');
INSERT INTO `lang_definitions` VALUES (147940, 8254, 27, 'Procedurat');
INSERT INTO `lang_definitions` VALUES (147941, 8256, 27, 'Procesi');
INSERT INTO `lang_definitions` VALUES (147942, 8274, 27, 'Produkti');
INSERT INTO `lang_definitions` VALUES (147943, 8278, 27, 'Produkcion');
INSERT INTO `lang_definitions` VALUES (147944, 8279, 27, 'Produktet');
INSERT INTO `lang_definitions` VALUES (147945, 8282, 27, 'Prof.');
INSERT INTO `lang_definitions` VALUES (147946, 8302, 27, 'Protokol');
INSERT INTO `lang_definitions` VALUES (147947, 8318, 27, 'Provajderi');
INSERT INTO `lang_definitions` VALUES (147948, 8322, 27, 'Id Provajderit');
INSERT INTO `lang_definitions` VALUES (147949, 8323, 27, 'ID Provajderit');
INSERT INTO `lang_definitions` VALUES (147950, 8325, 27, 'Gabimet e Harmonizimit te Provajderit');
INSERT INTO `lang_definitions` VALUES (147951, 8328, 27, 'Provideri nuk është në dispozicion, ju lutem zgjidhni një tjetër.');
INSERT INTO `lang_definitions` VALUES (147952, 8329, 27, 'Provideri nuk është në dispozicion, përdoreni atë sido qe te jet?');
INSERT INTO `lang_definitions` VALUES (147953, 8330, 27, 'Numri Provajderit');
INSERT INTO `lang_definitions` VALUES (147954, 8333, 27, 'Marredhenia Provajderit');
INSERT INTO `lang_definitions` VALUES (147955, 8334, 27, 'Lloji Provajderit');
INSERT INTO `lang_definitions` VALUES (147956, 8336, 27, 'Provajderi:');
INSERT INTO `lang_definitions` VALUES (147957, 8337, 27, 'Provajderet');
INSERT INTO `lang_definitions` VALUES (147958, 8338, 27, 'NPI Provajderet');
INSERT INTO `lang_definitions` VALUES (147959, 8343, 27, 'Psoriaza');
INSERT INTO `lang_definitions` VALUES (147960, 8347, 27, 'Psikiatrik');
INSERT INTO `lang_definitions` VALUES (147961, 8349, 27, 'Diagnoza Psikiatrike');
INSERT INTO `lang_definitions` VALUES (147962, 8350, 27, 'Ekzaminimi Psikiatrik');
INSERT INTO `lang_definitions` VALUES (147963, 8352, 27, 'Historia Psikiatrike');
INSERT INTO `lang_definitions` VALUES (147964, 8353, 27, 'Thithja Psikiatrike');
INSERT INTO `lang_definitions` VALUES (147965, 8354, 27, 'Barera Psikiatrike');
INSERT INTO `lang_definitions` VALUES (147966, 8362, 27, 'Pc tejpaguar');
INSERT INTO `lang_definitions` VALUES (147967, 8364, 27, 'Pc Pagoi');
INSERT INTO `lang_definitions` VALUES (147968, 8368, 27, 'Raporti Pc');
INSERT INTO `lang_definitions` VALUES (147969, 8383, 27, 'Publik');
INSERT INTO `lang_definitions` VALUES (147970, 8386, 27, 'Mjeku i Shendetit Publik');
INSERT INTO `lang_definitions` VALUES (147971, 8394, 27, 'Porto Rikisht');
INSERT INTO `lang_definitions` VALUES (147972, 8398, 27, 'Pulsi');
INSERT INTO `lang_definitions` VALUES (147973, 8401, 27, 'Furnizim');
INSERT INTO `lang_definitions` VALUES (147974, 8402, 27, 'Furnizim/Kthim');
INSERT INTO `lang_definitions` VALUES (147975, 8403, 27, 'Furnizimet');
INSERT INTO `lang_definitions` VALUES (147976, 8406, 27, 'F{{Arsyetoj Kreun}}');
INSERT INTO `lang_definitions` VALUES (147977, 8419, 27, 'Sas');
INSERT INTO `lang_definitions` VALUES (147978, 8420, 27, 'SAS');
INSERT INTO `lang_definitions` VALUES (147979, 8421, 27, 'Kualiteti');
INSERT INTO `lang_definitions` VALUES (147980, 8422, 27, 'Masat Kualitative (CMK)');
INSERT INTO `lang_definitions` VALUES (147981, 8423, 27, 'Sasia');
INSERT INTO `lang_definitions` VALUES (147982, 8426, 27, 'Sasia Ne Dore');
INSERT INTO `lang_definitions` VALUES (147983, 8427, 27, 'sasia duket e paperdorshme');
INSERT INTO `lang_definitions` VALUES (147984, 8431, 27, 'Pikepyetje');
INSERT INTO `lang_definitions` VALUES (147985, 8432, 27, 'Radhë për përpunimin grupor HCFA');
INSERT INTO `lang_definitions` VALUES (147986, 8433, 27, 'Radhë për përpunimin grupor HCFA dhe printimi');
INSERT INTO `lang_definitions` VALUES (147987, 8434, 27, 'Radhë për përpunimin grupor UB-92');
INSERT INTO `lang_definitions` VALUES (147988, 8435, 27, 'Radhë për përpunimin grupor UB-92 dhe printimi');
INSERT INTO `lang_definitions` VALUES (147989, 8436, 27, 'Ne radhe');
INSERT INTO `lang_definitions` VALUES (147990, 8438, 27, 'Ne radhe per');
INSERT INTO `lang_definitions` VALUES (147991, 8439, 27, 'Ne radhe per Transfer');
INSERT INTO `lang_definitions` VALUES (147992, 8442, 27, 'Le');
INSERT INTO `lang_definitions` VALUES (147993, 8443, 27, 'Le Alkoholin');
INSERT INTO `lang_definitions` VALUES (147994, 8452, 27, 'Raca');
INSERT INTO `lang_definitions` VALUES (147995, 8453, 27, 'Raca dhe Etniteti');
INSERT INTO `lang_definitions` VALUES (147996, 8454, 27, 'Raca/Etniteti');
INSERT INTO `lang_definitions` VALUES (147997, 8456, 27, 'Radio');
INSERT INTO `lang_definitions` VALUES (147998, 8457, 27, 'Pullat e Radios');
INSERT INTO `lang_definitions` VALUES (147999, 8461, 27, 'Ekrani Barerave i Rastesishem');
INSERT INTO `lang_definitions` VALUES (148000, 8462, 27, 'Diapazon');
INSERT INTO `lang_definitions` VALUES (148001, 8463, 27, 'Puçrra');
INSERT INTO `lang_definitions` VALUES (148002, 8464, 27, 'Norme');
INSERT INTO `lang_definitions` VALUES (148003, 8466, 27, 'Proporcion');
INSERT INTO `lang_definitions` VALUES (148004, 8467, 27, 'Raport i Paperpunuar');
INSERT INTO `lang_definitions` VALUES (148005, 8475, 27, 'Re Identifikim');
INSERT INTO `lang_definitions` VALUES (148006, 8476, 27, 'Procesi Re Identifikimit eshte kompletuar');
INSERT INTO `lang_definitions` VALUES (148007, 8477, 27, 'Procesi Re Identifikimit eshte ne vazhdim');
INSERT INTO `lang_definitions` VALUES (148008, 8478, 27, 'Dosjet e  Re Identifikimit do te ruhen ne');
INSERT INTO `lang_definitions` VALUES (148009, 8479, 27, 'Ri-Lendim?');
INSERT INTO `lang_definitions` VALUES (148010, 8480, 27, 'Ri-Hap');
INSERT INTO `lang_definitions` VALUES (148011, 8482, 27, 'Ri-Hapur');
INSERT INTO `lang_definitions` VALUES (148012, 8484, 27, 'Reakcion');
INSERT INTO `lang_definitions` VALUES (148013, 8486, 27, 'Reakcionet');
INSERT INTO `lang_definitions` VALUES (148014, 8489, 27, 'Lexo');
INSERT INTO `lang_definitions` VALUES (148015, 8490, 27, 'Vetem Lexo');
INSERT INTO `lang_definitions` VALUES (148016, 8495, 27, 'Vetem-Lexo nga Historia');
INSERT INTO `lang_definitions` VALUES (148017, 8496, 27, 'Emri Vertete');
INSERT INTO `lang_definitions` VALUES (148018, 8497, 27, 'Vertete fshije');
INSERT INTO `lang_definitions` VALUES (148019, 8498, 27, 'Arsyeja');
INSERT INTO `lang_definitions` VALUES (148020, 8499, 27, 'Arsyeja Zvoglimit');
INSERT INTO `lang_definitions` VALUES (148021, 8500, 27, 'Arsyeja e Vdekjes');
INSERT INTO `lang_definitions` VALUES (148022, 8501, 27, 'Arsyeja per Vizite');
INSERT INTO `lang_definitions` VALUES (148023, 8502, 27, 'Arsyeja per Vizite');
INSERT INTO `lang_definitions` VALUES (148024, 8504, 27, 'Arsyeja per Vizite');
INSERT INTO `lang_definitions` VALUES (148025, 8506, 27, 'Forma/Arsyes');
INSERT INTO `lang_definitions` VALUES (148026, 8521, 27, 'Deftese');
INSERT INTO `lang_definitions` VALUES (148027, 8522, 27, 'Deftese per Pagese');
INSERT INTO `lang_definitions` VALUES (148028, 8523, 27, 'Deftesa e Gjeneruar');
INSERT INTO `lang_definitions` VALUES (148029, 8524, 27, 'Pranimet nga Raportet e metodes se pagesës');
INSERT INTO `lang_definitions` VALUES (148030, 8525, 27, 'Permbledhja e Deftesave');
INSERT INTO `lang_definitions` VALUES (148031, 8526, 27, 'Pranuar');
INSERT INTO `lang_definitions` VALUES (148032, 8527, 27, 'Pranuar nga');
INSERT INTO `lang_definitions` VALUES (148033, 8528, 27, 'Fakset e Pranuara');
INSERT INTO `lang_definitions` VALUES (148034, 8530, 27, 'Pranuar, nuk jane shqyrtuar');
INSERT INTO `lang_definitions` VALUES (148035, 8531, 27, 'Pranuar, pashqyrtuara');
INSERT INTO `lang_definitions` VALUES (148036, 8532, 27, 'Risiver');
INSERT INTO `lang_definitions` VALUES (148037, 8533, 27, 'ID Risiverit');
INSERT INTO `lang_definitions` VALUES (148038, 8534, 27, 'ID Risiverit (ISA08)');
INSERT INTO `lang_definitions` VALUES (148039, 8535, 27, 'IDt e Risiverit kualifikimet (ISA07)');
INSERT INTO `lang_definitions` VALUES (148040, 8536, 27, 'IDt e Risiverit');
INSERT INTO `lang_definitions` VALUES (148041, 8540, 27, 'Tri fjalekaimet e fundit nuk jane te lejuara');
INSERT INTO `lang_definitions` VALUES (148042, 8542, 27, 'Marres');
INSERT INTO `lang_definitions` VALUES (148043, 8543, 27, 'Lista e Marresit Eshte e Zbrazet');
INSERT INTO `lang_definitions` VALUES (148044, 8544, 27, 'Emri Marresit');
INSERT INTO `lang_definitions` VALUES (148045, 8545, 27, 'Marresi i Deklarimit');
INSERT INTO `lang_definitions` VALUES (148046, 8546, 27, 'Marresi i nevojshem, vetem nese statusi eshe i Kryer');
INSERT INTO `lang_definitions` VALUES (148047, 8549, 27, 'Rekomandimi');
INSERT INTO `lang_definitions` VALUES (148048, 8551, 27, 'Rekomandimi per Percjellje');
INSERT INTO `lang_definitions` VALUES (148049, 8552, 27, 'Rekomandimet');
INSERT INTO `lang_definitions` VALUES (148050, 8553, 27, 'Rekomandimet dhe trajtimi');
INSERT INTO `lang_definitions` VALUES (148051, 8554, 27, 'Rekomandimet nga specialisti');
INSERT INTO `lang_definitions` VALUES (148052, 8557, 27, 'Regjistrim');
INSERT INTO `lang_definitions` VALUES (148053, 8558, 27, 'Regjistrim tashme ekziston');
INSERT INTO `lang_definitions` VALUES (148054, 8572, 27, 'Regjistrimet');
INSERT INTO `lang_definitions` VALUES (148055, 8624, 27, 'Udhezuar nga');
INSERT INTO `lang_definitions` VALUES (148056, 8625, 27, 'Udhezuar Nga');
INSERT INTO `lang_definitions` VALUES (148057, 8627, 27, 'Udhezuar te');
INSERT INTO `lang_definitions` VALUES (148058, 8628, 27, 'Udhezuesi');
INSERT INTO `lang_definitions` VALUES (148059, 8629, 27, 'Adresa Udhezuesit');
INSERT INTO `lang_definitions` VALUES (148060, 8630, 27, 'Diagnoza Udhezuesit');
INSERT INTO `lang_definitions` VALUES (148061, 8631, 27, 'diagnoza Udhezuesit');
INSERT INTO `lang_definitions` VALUES (148062, 8635, 27, 'Referuar Provajderit');
INSERT INTO `lang_definitions` VALUES (148063, 8645, 27, 'Rifreskoj');
INSERT INTO `lang_definitions` VALUES (148064, 8646, 27, 'Rifreskoj Ekranin');
INSERT INTO `lang_definitions` VALUES (148065, 8650, 27, 'Refuzuar');
INSERT INTO `lang_definitions` VALUES (148066, 8655, 27, 'Regjister');
INSERT INTO `lang_definitions` VALUES (148067, 8656, 27, 'regjister');
INSERT INTO `lang_definitions` VALUES (148068, 8662, 27, 'Regjisteruar');
INSERT INTO `lang_definitions` VALUES (148069, 8663, 27, 'regjisteruar');
INSERT INTO `lang_definitions` VALUES (148070, 8666, 27, 'Modelet e Regjistruara');
INSERT INTO `lang_definitions` VALUES (148071, 8668, 27, 'Data e Regjistrimit');
INSERT INTO `lang_definitions` VALUES (148072, 8671, 27, 'Forma e Regjistrimit');
INSERT INTO `lang_definitions` VALUES (148073, 8672, 27, 'Riaftesim');
INSERT INTO `lang_definitions` VALUES (148074, 8673, 27, 'Mjek Rehabilitimi');
INSERT INTO `lang_definitions` VALUES (148075, 8674, 27, 'Refuzuar');
INSERT INTO `lang_definitions` VALUES (148076, 8682, 27, 'Lidhja familjare');
INSERT INTO `lang_definitions` VALUES (148077, 8684, 27, 'Farefis');
INSERT INTO `lang_definitions` VALUES (148078, 8686, 27, 'Shtypja e Gjakut te Farefisi');
INSERT INTO `lang_definitions` VALUES (148079, 8687, 27, 'Kanceri te Farefisi');
INSERT INTO `lang_definitions` VALUES (148080, 8688, 27, 'Diabetesi te Farefisi');
INSERT INTO `lang_definitions` VALUES (148081, 8689, 27, 'Epilepsia te Farefisi');
INSERT INTO `lang_definitions` VALUES (148082, 8690, 27, 'Zemra te Farefisi');
INSERT INTO `lang_definitions` VALUES (148083, 8691, 27, 'Semundjet Mentale te Farefisi');
INSERT INTO `lang_definitions` VALUES (148084, 8692, 27, 'Sulmi ne Tru te Farefisi');
INSERT INTO `lang_definitions` VALUES (148085, 8693, 27, 'Vetevrasjet te Farefisi');
INSERT INTO `lang_definitions` VALUES (148086, 8694, 27, 'Tuberkulozi te Farefisi');
INSERT INTO `lang_definitions` VALUES (148087, 8697, 27, 'Leshim');
INSERT INTO `lang_definitions` VALUES (148088, 8698, 27, 'Data e Leshimit');
INSERT INTO `lang_definitions` VALUES (148089, 8700, 27, 'Religjioni');
INSERT INTO `lang_definitions` VALUES (148090, 8701, 27, 'Perkatesia Fetare');
INSERT INTO `lang_definitions` VALUES (148091, 8703, 27, 'Ringarko');
INSERT INTO `lang_definitions` VALUES (148092, 8712, 27, 'Rikujtim');
INSERT INTO `lang_definitions` VALUES (148093, 8715, 27, 'Intervalet e Rikujtimit');
INSERT INTO `lang_definitions` VALUES (148094, 8725, 27, 'Rikujtimet');
INSERT INTO `lang_definitions` VALUES (148095, 8756, 27, 'Perserit Fjalekalimin e Ri');
INSERT INTO `lang_definitions` VALUES (148096, 8781, 27, 'Data e Raportit');
INSERT INTO `lang_definitions` VALUES (148097, 8794, 27, 'Raportueshme');
INSERT INTO `lang_definitions` VALUES (148098, 8795, 27, 'Raportuar');
INSERT INTO `lang_definitions` VALUES (148099, 8796, 27, 'Data e Raportimit');
INSERT INTO `lang_definitions` VALUES (148100, 8797, 27, 'Raportet');
INSERT INTO `lang_definitions` VALUES (148101, 8801, 27, 'Pershkrimi i Kerkeses');
INSERT INTO `lang_definitions` VALUES (148102, 8813, 27, 'Kerkohet Nga');
INSERT INTO `lang_definitions` VALUES (148103, 8814, 27, 'Kerkohet Date');
INSERT INTO `lang_definitions` VALUES (148104, 8815, 27, 'Kerkojne Sherbime');
INSERT INTO `lang_definitions` VALUES (148105, 8819, 27, 'Kerkojne Fjalekalim te Forte');
INSERT INTO `lang_definitions` VALUES (148106, 8820, 27, 'Kerkojne Fjalekalim Unik');
INSERT INTO `lang_definitions` VALUES (148107, 8821, 27, 'I Nevojshem');
INSERT INTO `lang_definitions` VALUES (148108, 8886, 27, 'Kthim');
INSERT INTO `lang_definitions` VALUES (148109, 8890, 27, 'Kthimi ne kalendar');
INSERT INTO `lang_definitions` VALUES (148110, 8897, 27, 'Vlera e Kthimit');
INSERT INTO `lang_definitions` VALUES (148111, 8898, 27, 'Vizita e Kthimit');
INSERT INTO `lang_definitions` VALUES (148112, 8909, 27, 'Rishikim');
INSERT INTO `lang_definitions` VALUES (148113, 8910, 27, 'Rishikim & Aprovim');
INSERT INTO `lang_definitions` VALUES (148114, 8912, 27, 'Rishikim dhe Aprovim');
INSERT INTO `lang_definitions` VALUES (148115, 8917, 27, 'Rishikim i Sistemit');
INSERT INTO `lang_definitions` VALUES (148116, 8921, 27, 'Rishikuar');
INSERT INTO `lang_definitions` VALUES (148117, 8924, 27, 'Revizion');
INSERT INTO `lang_definitions` VALUES (148118, 8969, 27, 'Rendet');
INSERT INTO `lang_definitions` VALUES (148119, 8974, 27, 'Rregull');
INSERT INTO `lang_definitions` VALUES (148120, 8975, 27, 'Shto Rregull');
INSERT INTO `lang_definitions` VALUES (148121, 8976, 27, 'Detaji Rregullit');
INSERT INTO `lang_definitions` VALUES (148122, 8977, 27, 'Zhvillues i Rregullit');
INSERT INTO `lang_definitions` VALUES (148123, 8984, 27, 'Rregullat');
INSERT INTO `lang_definitions` VALUES (148124, 9047, 27, 'Sht');
INSERT INTO `lang_definitions` VALUES (148125, 9049, 27, 'e Shtune');
INSERT INTO `lang_definitions` VALUES (148126, 9050, 27, 'Ruaj');
INSERT INTO `lang_definitions` VALUES (148127, 9051, 27, 'RUAJ');
INSERT INTO `lang_definitions` VALUES (148128, 9055, 27, 'Ruaj dhe Mbull');
INSERT INTO `lang_definitions` VALUES (148129, 9057, 27, 'Ruaj dhe Fshij Kerkesen');
INSERT INTO `lang_definitions` VALUES (148130, 9058, 27, 'Ruaj dhe Shperndaj');
INSERT INTO `lang_definitions` VALUES (148131, 9060, 27, 'Ruaj dhe Dergo');
INSERT INTO `lang_definitions` VALUES (148132, 9061, 27, 'Ruaj si te Re');
INSERT INTO `lang_definitions` VALUES (148133, 9067, 27, 'Ruaj Ndryshimet');
INSERT INTO `lang_definitions` VALUES (148134, 9075, 27, 'Ruaj Formen');
INSERT INTO `lang_definitions` VALUES (148135, 9076, 27, 'Ruaj Imunizimin');
INSERT INTO `lang_definitions` VALUES (148136, 9078, 27, 'Ruaj Fushe te Re');
INSERT INTO `lang_definitions` VALUES (148137, 9079, 27, 'Ruaj Grupin e Ri');
INSERT INTO `lang_definitions` VALUES (148138, 9080, 27, 'Ruaj Listen e Re');
INSERT INTO `lang_definitions` VALUES (148139, 9081, 27, 'Ruaj shabllonin e ri');
INSERT INTO `lang_definitions` VALUES (148140, 9089, 27, 'Ruaj Transakcionin');
INSERT INTO `lang_definitions` VALUES (148141, 9090, 27, 'Ruajtur Suksesshem');
INSERT INTO `lang_definitions` VALUES (148142, 9098, 27, 'Skanuar');
INSERT INTO `lang_definitions` VALUES (148143, 9100, 27, 'Direktoriumi i Skanuar');
INSERT INTO `lang_definitions` VALUES (148144, 9122, 27, 'Skoloza');
INSERT INTO `lang_definitions` VALUES (148145, 9141, 27, 'Kerko');
INSERT INTO `lang_definitions` VALUES (148146, 9142, 27, 'KERKO');
INSERT INTO `lang_definitions` VALUES (148147, 9143, 27, 'kerko');
INSERT INTO `lang_definitions` VALUES (148148, 9144, 27, 'kerko perseri');
INSERT INTO `lang_definitions` VALUES (148149, 9145, 27, 'Kerko te gjitha Kolonat');
INSERT INTO `lang_definitions` VALUES (148150, 9150, 27, 'Kerko sipas:');
INSERT INTO `lang_definitions` VALUES (148151, 9152, 27, 'Kerko per');
INSERT INTO `lang_definitions` VALUES (148152, 9156, 27, 'Kerko per:');
INSERT INTO `lang_definitions` VALUES (148153, 9158, 27, 'Kerko ne');
INSERT INTO `lang_definitions` VALUES (148154, 9159, 27, 'Kerko ne');
INSERT INTO `lang_definitions` VALUES (148155, 9161, 27, 'Kerko ose Shto Pacientin');
INSERT INTO `lang_definitions` VALUES (148156, 9164, 27, 'Kerko Pagesen');
INSERT INTO `lang_definitions` VALUES (148157, 9167, 27, 'Kerko Rezultatet');
INSERT INTO `lang_definitions` VALUES (148158, 9168, 27, 'Kerko Rezultatet:');
INSERT INTO `lang_definitions` VALUES (148159, 9169, 27, 'Kerko te Selektuarat');
INSERT INTO `lang_definitions` VALUES (148160, 9174, 27, 'Kerko Tekstin');
INSERT INTO `lang_definitions` VALUES (148161, 9178, 27, 'Kerko/Shto');
INSERT INTO `lang_definitions` VALUES (148162, 9179, 27, 'Kerko/Shto Sigurues');
INSERT INTO `lang_definitions` VALUES (148163, 9182, 27, 'Kerkimi');
INSERT INTO `lang_definitions` VALUES (148164, 9186, 27, 'I Dyti');
INSERT INTO `lang_definitions` VALUES (148165, 9187, 27, 'i dyti');
INSERT INTO `lang_definitions` VALUES (148166, 9189, 27, 'Sekundar');
INSERT INTO `lang_definitions` VALUES (148167, 9191, 27, 'Sigurimi Sekundar');
INSERT INTO `lang_definitions` VALUES (148168, 9192, 27, 'Te dhenat Sekundare te Sigurimit');
INSERT INTO `lang_definitions` VALUES (148169, 9193, 27, 'Provajderi Sekundar i Sigurimit');
INSERT INTO `lang_definitions` VALUES (148170, 9194, 27, 'Lloji Sekundar i Medicines');
INSERT INTO `lang_definitions` VALUES (148171, 9195, 27, 'sekondat');
INSERT INTO `lang_definitions` VALUES (148172, 9196, 27, 'ID e Dyte');
INSERT INTO `lang_definitions` VALUES (148173, 9198, 27, 'Emri i Sekcionit');
INSERT INTO `lang_definitions` VALUES (148174, 9207, 27, 'Sigurimi');
INSERT INTO `lang_definitions` VALUES (148175, 9208, 27, 'Shih te Gjitha');
INSERT INTO `lang_definitions` VALUES (148176, 9224, 27, 'zgjedh');
INSERT INTO `lang_definitions` VALUES (148177, 9225, 27, 'Zgjedh');
INSERT INTO `lang_definitions` VALUES (148178, 9236, 27, 'Zgjidh nje Shfrytezues');
INSERT INTO `lang_definitions` VALUES (148179, 9239, 27, 'Zgjidh te Gjitha');
INSERT INTO `lang_definitions` VALUES (148180, 9383, 27, 'Dergo Permbledhjet me Referimet');
INSERT INTO `lang_definitions` VALUES (148181, 9384, 27, 'Dergo kete dosje');
INSERT INTO `lang_definitions` VALUES (148182, 9385, 27, 'Dergo kete Mesazh');
INSERT INTO `lang_definitions` VALUES (148183, 9386, 27, 'Dergo te');
INSERT INTO `lang_definitions` VALUES (148184, 9387, 27, 'Dergo Te');
INSERT INTO `lang_definitions` VALUES (148185, 9388, 27, 'DERGO TE');
INSERT INTO `lang_definitions` VALUES (148186, 9389, 27, 'Dergo te te gjithe');
INSERT INTO `lang_definitions` VALUES (148187, 9395, 27, 'Derguesi');
INSERT INTO `lang_definitions` VALUES (148188, 9396, 27, 'ID e Derguesit');
INSERT INTO `lang_definitions` VALUES (148189, 9397, 27, 'ID e Derguesit (ISA06)');
INSERT INTO `lang_definitions` VALUES (148190, 9399, 27, 'IDt e Derguesit');
INSERT INTO `lang_definitions` VALUES (148191, 9406, 27, 'Dergim Te');
INSERT INTO `lang_definitions` VALUES (148192, 9407, 27, 'Ndjeshmerite');
INSERT INTO `lang_definitions` VALUES (148193, 9411, 27, 'Ndjeshmeri');
INSERT INTO `lang_definitions` VALUES (148194, 9413, 27, 'E derguar');
INSERT INTO `lang_definitions` VALUES (148195, 9416, 27, 'Derguar nga:');
INSERT INTO `lang_definitions` VALUES (148196, 9417, 27, 'Derguar Date');
INSERT INTO `lang_definitions` VALUES (148197, 9418, 27, 'Artikulli Derguar');
INSERT INTO `lang_definitions` VALUES (148198, 9420, 27, 'Derguar suksesshem');
INSERT INTO `lang_definitions` VALUES (148199, 9423, 27, 'derguar te printeri.');
INSERT INTO `lang_definitions` VALUES (148200, 9425, 27, 'Derguar te:');
INSERT INTO `lang_definitions` VALUES (148201, 9426, 27, 'Dërguar, por dorëzimi nuk është konfirmuar ende.');
INSERT INTO `lang_definitions` VALUES (148202, 9427, 27, 'Derguar, nuk eshte pranuar');
INSERT INTO `lang_definitions` VALUES (148203, 9429, 27, 'Sht');
INSERT INTO `lang_definitions` VALUES (148204, 9430, 27, 'i Ndare');
INSERT INTO `lang_definitions` VALUES (148205, 9431, 27, 'Shtator');
INSERT INTO `lang_definitions` VALUES (148206, 9432, 27, 'Rend');
INSERT INTO `lang_definitions` VALUES (148207, 9433, 27, 'Rend');
INSERT INTO `lang_definitions` VALUES (148208, 9434, 27, 'Serbisht');
INSERT INTO `lang_definitions` VALUES (148209, 9442, 27, 'Sherbim');
INSERT INTO `lang_definitions` VALUES (148210, 9444, 27, 'Kategoria Sherbimit');
INSERT INTO `lang_definitions` VALUES (148211, 9445, 27, 'Kodi Sherbimit');
INSERT INTO `lang_definitions` VALUES (148212, 9447, 27, 'Kodet e Sherbimeve');
INSERT INTO `lang_definitions` VALUES (148213, 9448, 27, 'Data e Sherbimeve');
INSERT INTO `lang_definitions` VALUES (148214, 9451, 27, 'Data e Sherbimeve:');
INSERT INTO `lang_definitions` VALUES (148215, 9453, 27, 'Institucioni Sherbimit');
INSERT INTO `lang_definitions` VALUES (148216, 9455, 27, 'Lokacioni Sherbimit');
INSERT INTO `lang_definitions` VALUES (148217, 9456, 27, 'Emri Sherbimit');
INSERT INTO `lang_definitions` VALUES (148218, 9457, 27, 'Sherbimi i ofruar nga specialisti');
INSERT INTO `lang_definitions` VALUES (148219, 9459, 27, 'Raportimi Sherbimeve');
INSERT INTO `lang_definitions` VALUES (148220, 9460, 27, 'Vetem Raportimi Sherbimeve');
INSERT INTO `lang_definitions` VALUES (148221, 9461, 27, 'Sherbimet');
INSERT INTO `lang_definitions` VALUES (148222, 9462, 27, 'Sherbimet sipas Kategorise');
INSERT INTO `lang_definitions` VALUES (148223, 9479, 27, 'Vendos ne ');
INSERT INTO `lang_definitions` VALUES (148224, 9480, 27, 'Vendos ne default');
INSERT INTO `lang_definitions` VALUES (148225, 9498, 27, 'Gjinia');
INSERT INTO `lang_definitions` VALUES (148226, 9505, 27, 'Shift');
INSERT INTO `lang_definitions` VALUES (148227, 9523, 27, 'Trego');
INSERT INTO `lang_definitions` VALUES (148228, 9524, 27, 'Trego Aktivet');
INSERT INTO `lang_definitions` VALUES (148229, 9527, 27, 'Trego te Gjitha');
INSERT INTO `lang_definitions` VALUES (148230, 9529, 27, 'Trego te Gjitha Procedurat');
INSERT INTO `lang_definitions` VALUES (148231, 9530, 27, 'Trego te Gjitha Rezultatet');
INSERT INTO `lang_definitions` VALUES (148232, 9540, 27, 'Trego Detajet');
INSERT INTO `lang_definitions` VALUES (148233, 9548, 27, 'Trego Joaktivet');
INSERT INTO `lang_definitions` VALUES (148234, 9552, 27, 'Trego Menyne');
INSERT INTO `lang_definitions` VALUES (148235, 9568, 27, 'Trego Rikujtimet');
INSERT INTO `lang_definitions` VALUES (148236, 9569, 27, 'Trego Raportin');
INSERT INTO `lang_definitions` VALUES (148237, 9606, 27, 'Nenshkrim');
INSERT INTO `lang_definitions` VALUES (148238, 9615, 27, 'Thjeshtezuar');
INSERT INTO `lang_definitions` VALUES (148239, 9619, 27, 'Nga');
INSERT INTO `lang_definitions` VALUES (148240, 9620, 27, 'Sinqerisht,');
INSERT INTO `lang_definitions` VALUES (148241, 9622, 27, 'Beqar');
INSERT INTO `lang_definitions` VALUES (148242, 9629, 27, 'Problem me Sinusa');
INSERT INTO `lang_definitions` VALUES (148243, 9630, 27, 'Kirurgji e Sinuseve');
INSERT INTO `lang_definitions` VALUES (148244, 9632, 27, 'Pezmatim i sinuseve');
INSERT INTO `lang_definitions` VALUES (148245, 9643, 27, 'Madhesia');
INSERT INTO `lang_definitions` VALUES (148246, 9648, 27, 'Madhesia/Lista');
INSERT INTO `lang_definitions` VALUES (148247, 9650, 27, 'Lekura');
INSERT INTO `lang_definitions` VALUES (148248, 9651, 27, 'Kancer i Lekures');
INSERT INTO `lang_definitions` VALUES (148249, 9652, 27, 'Semundje e Lekures');
INSERT INTO `lang_definitions` VALUES (148250, 9664, 27, 'Modelet e gjumit');
INSERT INTO `lang_definitions` VALUES (148251, 9665, 27, 'Modelet e Gjumit');
INSERT INTO `lang_definitions` VALUES (148252, 9666, 27, 'Fjetja');
INSERT INTO `lang_definitions` VALUES (148253, 9668, 27, 'Sllovakisht');
INSERT INTO `lang_definitions` VALUES (148254, 9669, 27, 'Sllovenisht');
INSERT INTO `lang_definitions` VALUES (148255, 9677, 27, 'Pirja e duhanit');
INSERT INTO `lang_definitions` VALUES (148256, 9678, 27, 'Statusi i Pirjes Duhanit');
INSERT INTO `lang_definitions` VALUES (148257, 9721, 27, 'Gerhitje');
INSERT INTO `lang_definitions` VALUES (148258, 9722, 27, 'SAPUN');
INSERT INTO `lang_definitions` VALUES (148259, 9727, 27, 'Historia Sociale');
INSERT INTO `lang_definitions` VALUES (148260, 9729, 27, 'Historia Sociale:');
INSERT INTO `lang_definitions` VALUES (148261, 9732, 27, 'zgjidhje');
INSERT INTO `lang_definitions` VALUES (148262, 9733, 27, 'Somalisht');
INSERT INTO `lang_definitions` VALUES (148263, 9758, 27, 'Sorto sipas');
INSERT INTO `lang_definitions` VALUES (148264, 9759, 27, 'Sorto Sipas');
INSERT INTO `lang_definitions` VALUES (148265, 9761, 27, 'Sorto sipas Vleres');
INSERT INTO `lang_definitions` VALUES (148266, 9762, 27, 'Sorto sipas Komenteve');
INSERT INTO `lang_definitions` VALUES (148267, 9764, 27, 'Sorto sipas dates');
INSERT INTO `lang_definitions` VALUES (148268, 9765, 27, 'Sorto sipas dates/kohes');
INSERT INTO `lang_definitions` VALUES (148269, 9766, 27, 'Sorto sipas Eventit');
INSERT INTO `lang_definitions` VALUES (148270, 9767, 27, 'Sorto sipas Grupit');
INSERT INTO `lang_definitions` VALUES (148271, 9774, 27, 'Sorto sipas Shfrytezuesit');
INSERT INTO `lang_definitions` VALUES (148272, 9775, 27, 'Sorto sipas vakcines');
INSERT INTO `lang_definitions` VALUES (148273, 9776, 27, 'Sorto Poshte');
INSERT INTO `lang_definitions` VALUES (148274, 9777, 27, 'Rezultati i Sortimit sipas');
INSERT INTO `lang_definitions` VALUES (148275, 9778, 27, 'Sorto Larte');
INSERT INTO `lang_definitions` VALUES (148276, 9779, 27, 'Burim');
INSERT INTO `lang_definitions` VALUES (148277, 9785, 27, 'Burimi i dokumentit');
INSERT INTO `lang_definitions` VALUES (148278, 9786, 27, 'Pacienti Burimor');
INSERT INTO `lang_definitions` VALUES (148279, 9787, 27, 'Pacienti Burimor nuk ka DEL');
INSERT INTO `lang_definitions` VALUES (148280, 9788, 27, 'Pacienti Burimor nuk gjindet');
INSERT INTO `lang_definitions` VALUES (148281, 9789, 27, 'Burim:');
INSERT INTO `lang_definitions` VALUES (148282, 9792, 27, 'Vend');
INSERT INTO `lang_definitions` VALUES (148283, 9793, 27, 'VEND');
INSERT INTO `lang_definitions` VALUES (148284, 9795, 27, 'Spanjisht');
INSERT INTO `lang_definitions` VALUES (148285, 9796, 27, 'Spanjisht (Amerike Latine)');
INSERT INTO `lang_definitions` VALUES (148286, 9797, 27, 'Spanjisht (Spanje)');
INSERT INTO `lang_definitions` VALUES (148287, 9798, 27, 'Spanjisht- Kastilianisht');
INSERT INTO `lang_definitions` VALUES (148288, 9801, 27, 'Specialist');
INSERT INTO `lang_definitions` VALUES (148289, 9802, 27, 'Emri i Specialistit dhe nenshkrimi');
INSERT INTO `lang_definitions` VALUES (148290, 9803, 27, 'Mjek i specializuar');
INSERT INTO `lang_definitions` VALUES (148291, 9804, 27, 'Specialitet');
INSERT INTO `lang_definitions` VALUES (148292, 9805, 27, 'Sisteme Speciale');
INSERT INTO `lang_definitions` VALUES (148293, 9806, 27, 'Specialitet:');
INSERT INTO `lang_definitions` VALUES (148294, 9807, 27, 'Specifik');
INSERT INTO `lang_definitions` VALUES (148295, 9808, 27, 'Aplikacioni Specifik');
INSERT INTO `lang_definitions` VALUES (148296, 9809, 27, 'Sherbim Kontraceptiv Specifik');
INSERT INTO `lang_definitions` VALUES (148297, 9810, 27, 'Rezultat Specifik');
INSERT INTO `lang_definitions` VALUES (148298, 9811, 27, 'Sherbim Specifik');
INSERT INTO `lang_definitions` VALUES (148299, 9812, 27, 'Specifikuar');
INSERT INTO `lang_definitions` VALUES (148300, 9832, 27, 'Bashkeshort(e)');
INSERT INTO `lang_definitions` VALUES (148301, 9833, 27, 'Historia e Bashkeshortit');
INSERT INTO `lang_definitions` VALUES (148302, 9850, 27, 'Administrata SSL Certifikate');
INSERT INTO `lang_definitions` VALUES (148303, 9852, 27, 'Stabiliteti');
INSERT INTO `lang_definitions` VALUES (148304, 9855, 27, 'Standard');
INSERT INTO `lang_definitions` VALUES (148305, 9857, 27, 'Kodi Standard');
INSERT INTO `lang_definitions` VALUES (148306, 9860, 27, 'Mase Standarde');
INSERT INTO `lang_definitions` VALUES (148307, 9861, 27, 'Mase Standarde (Vigjilence Aktive)');
INSERT INTO `lang_definitions` VALUES (148308, 9862, 27, 'Mase Standarde (Vigjilence Pasive)');
INSERT INTO `lang_definitions` VALUES (148309, 9863, 27, 'Mase Standarde (Rikujtimi Pacientit)');
INSERT INTO `lang_definitions` VALUES (148310, 9864, 27, 'Emri Standard');
INSERT INTO `lang_definitions` VALUES (148311, 9866, 27, 'Fillo ');
INSERT INTO `lang_definitions` VALUES (148312, 9867, 27, 'Fillimi (vvvv-mm-dd)');
INSERT INTO `lang_definitions` VALUES (148313, 9868, 27, 'Fillo Raport Tjeter');
INSERT INTO `lang_definitions` VALUES (148314, 9874, 27, 'Data e Fillimit');
INSERT INTO `lang_definitions` VALUES (148315, 9878, 27, 'Data e fillimit:');
INSERT INTO `lang_definitions` VALUES (148316, 9879, 27, 'Data e Fillimit:');
INSERT INTO `lang_definitions` VALUES (148317, 9881, 27, 'Koha e Fillimit');
INSERT INTO `lang_definitions` VALUES (148318, 9884, 27, 'Data e Fillimit');
INSERT INTO `lang_definitions` VALUES (148319, 9889, 27, 'Shteti');
INSERT INTO `lang_definitions` VALUES (148320, 9897, 27, 'Shteti ose Provinca');
INSERT INTO `lang_definitions` VALUES (148321, 9898, 27, 'Shteti/Lokaliteti');
INSERT INTO `lang_definitions` VALUES (148322, 9908, 27, 'Tekst Statik');
INSERT INTO `lang_definitions` VALUES (148323, 9909, 27, 'Statistikat');
INSERT INTO `lang_definitions` VALUES (148324, 9910, 27, 'Statistikat');
INSERT INTO `lang_definitions` VALUES (148325, 9911, 27, 'Statusi');
INSERT INTO `lang_definitions` VALUES (148326, 9916, 27, 'Status quo');
INSERT INTO `lang_definitions` VALUES (148327, 9917, 27, 'Lloji Statusit');
INSERT INTO `lang_definitions` VALUES (148328, 9924, 27, 'Hapat për ngarkimin CCR XML');
INSERT INTO `lang_definitions` VALUES (148329, 9937, 27, 'Stop');
INSERT INTO `lang_definitions` VALUES (148330, 9947, 27, 'Rruga');
INSERT INTO `lang_definitions` VALUES (148331, 9948, 27, 'Adresa e Rruges');
INSERT INTO `lang_definitions` VALUES (148332, 9949, 27, 'Rruga dhe Numri');
INSERT INTO `lang_definitions` VALUES (148333, 9960, 27, 'Stili');
INSERT INTO `lang_definitions` VALUES (148334, 9965, 27, 'Sub-kategori');
INSERT INTO `lang_definitions` VALUES (148335, 9966, 27, 'Sub-Total');
INSERT INTO `lang_definitions` VALUES (148336, 9974, 27, 'Parashtroj');
INSERT INTO `lang_definitions` VALUES (148337, 9975, 27, 'parashtroj');
INSERT INTO `lang_definitions` VALUES (148338, 9976, 27, 'Parashtroj te Gjithe Permbajtjen');
INSERT INTO `lang_definitions` VALUES (148339, 9977, 27, 'Parashtroj dhe Fshij Kerkesen');
INSERT INTO `lang_definitions` VALUES (148340, 9979, 27, 'Parashtroj ngjarje');
INSERT INTO `lang_definitions` VALUES (148341, 9980, 27, 'Forma e parashtrimit');
INSERT INTO `lang_definitions` VALUES (148342, 9982, 27, 'Dergoni Permbajtjen e Zgjedhur');
INSERT INTO `lang_definitions` VALUES (148343, 9984, 27, 'Parashtruar');
INSERT INTO `lang_definitions` VALUES (148344, 9985, 27, 'Parashtruar nga');
INSERT INTO `lang_definitions` VALUES (148345, 9987, 27, 'Parapaguesi');
INSERT INTO `lang_definitions` VALUES (148346, 9988, 27, 'Adresa Parapaguesit');
INSERT INTO `lang_definitions` VALUES (148347, 9989, 27, 'Qyteti Parapaguesit');
INSERT INTO `lang_definitions` VALUES (148348, 9990, 27, 'Vendi Parapaguesit');
INSERT INTO `lang_definitions` VALUES (148349, 9991, 27, 'Data e Lindjes Parapaguesit');
INSERT INTO `lang_definitions` VALUES (148350, 9992, 27, 'Punedhenesi Parapaguesit');
INSERT INTO `lang_definitions` VALUES (148351, 9993, 27, 'Punedhenesi Parapaguesit (SE)');
INSERT INTO `lang_definitions` VALUES (148352, 9994, 27, 'Adresa e Punedhenesit Parapaguesit');
INSERT INTO `lang_definitions` VALUES (148353, 9995, 27, 'Qyteti Punedhenesit Parapaguesit');
INSERT INTO `lang_definitions` VALUES (148354, 9996, 27, 'Vendi Punedhenesit Parapaguesit');
INSERT INTO `lang_definitions` VALUES (148355, 9997, 27, 'Shteti Punedhenesit Parapaguesit');
INSERT INTO `lang_definitions` VALUES (148356, 9998, 27, 'Rruga Punedhenesit Parapaguesit');
INSERT INTO `lang_definitions` VALUES (148357, 9999, 27, 'Zip Punedhenesit Parapaguesit');
INSERT INTO `lang_definitions` VALUES (148358, 10000, 27, 'Zip Kodi Punedhenesit Parapaguesit');
INSERT INTO `lang_definitions` VALUES (148359, 10001, 27, 'Emri Parapaguesit');
INSERT INTO `lang_definitions` VALUES (148360, 10002, 27, 'Mbiemri Parapaguesit');
INSERT INTO `lang_definitions` VALUES (148361, 10004, 27, 'Emri Mesem i Parapaguesit');
INSERT INTO `lang_definitions` VALUES (148362, 10005, 27, 'Telefoni Parapaguesit');
INSERT INTO `lang_definitions` VALUES (148363, 10006, 27, 'Marredhenja Parapaguesit');
INSERT INTO `lang_definitions` VALUES (148364, 10011, 27, 'Gjinia Parapaguesit');
INSERT INTO `lang_definitions` VALUES (148365, 10013, 27, 'Shteti Parapaguesit');
INSERT INTO `lang_definitions` VALUES (148366, 10017, 27, 'Telefoni Parapaguesit');
INSERT INTO `lang_definitions` VALUES (148367, 10024, 27, 'Sukses');
INSERT INTO `lang_definitions` VALUES (148368, 10025, 27, 'sukses');
INSERT INTO `lang_definitions` VALUES (148369, 10029, 27, 'Transferet e Suksesshme');
INSERT INTO `lang_definitions` VALUES (148370, 10030, 27, 'Suksesshem u shtua kategoria');
INSERT INTO `lang_definitions` VALUES (148371, 10031, 27, 'suksesshem u shtua ne kategori,');
INSERT INTO `lang_definitions` VALUES (148372, 10033, 27, 'Suksesshem eshte Fshi');
INSERT INTO `lang_definitions` VALUES (148373, 10034, 27, 'Importuar me sukses detajet. Ju lutemi miratoni pacientin ne Ekran ne Pritje Miratimi');
INSERT INTO `lang_definitions` VALUES (148374, 10035, 27, 'Suksesshem instaloi bazen e te dhenave.');
INSERT INTO `lang_definitions` VALUES (148375, 10036, 27, 'Suksesshem u instaluan databazat ne vijim');
INSERT INTO `lang_definitions` VALUES (148376, 10037, 27, 'Suksesshem u Modifikua');
INSERT INTO `lang_definitions` VALUES (148377, 10039, 27, 'Suksesshem u Ruajt. A deshironi ta Zhvendosni?');
INSERT INTO `lang_definitions` VALUES (148378, 10040, 27, 'Suksesshem u Ruajt. A deshironi ta Shperndani?');
INSERT INTO `lang_definitions` VALUES (148379, 10041, 27, 'Suksesshem Derguar');
INSERT INTO `lang_definitions` VALUES (148380, 10042, 27, 'suksesshem i ruajtur');
INSERT INTO `lang_definitions` VALUES (148381, 10044, 27, 'Suksesshem u permiresua databaza.');
INSERT INTO `lang_definitions` VALUES (148382, 10045, 27, 'Suksesshem u permiresua databaza ne vijim');
INSERT INTO `lang_definitions` VALUES (148383, 10046, 27, 'suksesshem.');
INSERT INTO `lang_definitions` VALUES (148384, 10049, 27, 'Vetevrasje');
INSERT INTO `lang_definitions` VALUES (148385, 10051, 27, 'Permbledhja');
INSERT INTO `lang_definitions` VALUES (148386, 10052, 27, 'Permbledhja e');
INSERT INTO `lang_definitions` VALUES (148387, 10058, 27, 'Die');
INSERT INTO `lang_definitions` VALUES (148388, 10060, 27, 'e Diele');
INSERT INTO `lang_definitions` VALUES (148389, 10069, 27, 'Supershfrytezues');
INSERT INTO `lang_definitions` VALUES (148390, 10071, 27, 'Mbikqyres');
INSERT INTO `lang_definitions` VALUES (148391, 10072, 27, 'Mjeku Mbikqyres');
INSERT INTO `lang_definitions` VALUES (148392, 10074, 27, 'Emri i Mjekut Mbikqyres');
INSERT INTO `lang_definitions` VALUES (148393, 10075, 27, 'Mbiemri i Mjekut Mbikqyres');
INSERT INTO `lang_definitions` VALUES (148394, 10081, 27, 'Emri i objektit te furnizuesit');
INSERT INTO `lang_definitions` VALUES (148395, 10090, 27, 'Lloji Siperfaqes');
INSERT INTO `lang_definitions` VALUES (148396, 10092, 27, 'Kirurgjite');
INSERT INTO `lang_definitions` VALUES (148397, 10093, 27, 'Kirurgji');
INSERT INTO `lang_definitions` VALUES (148398, 10103, 27, 'Suedisht');
INSERT INTO `lang_definitions` VALUES (148399, 10110, 27, 'Simptomet');
INSERT INTO `lang_definitions` VALUES (148400, 10116, 27, 'Sinkop');
INSERT INTO `lang_definitions` VALUES (148401, 10121, 27, 'Sistem');
INSERT INTO `lang_definitions` VALUES (148402, 10125, 27, 'Sh{{Shtune}}');
INSERT INTO `lang_definitions` VALUES (148403, 10127, 27, 'D{{Diele}}');
INSERT INTO `lang_definitions` VALUES (148404, 10133, 27, 'Tabele');
INSERT INTO `lang_definitions` VALUES (148405, 10136, 27, 'Kodi Tabeles');
INSERT INTO `lang_definitions` VALUES (148406, 10137, 27, 'Krijimi Tabeles Deshtoi');
INSERT INTO `lang_definitions` VALUES (148407, 10138, 27, 'Perditesimi tabeles deshtoi');
INSERT INTO `lang_definitions` VALUES (148408, 10139, 27, 'Tabelat');
INSERT INTO `lang_definitions` VALUES (148409, 10140, 27, 'tablete');
INSERT INTO `lang_definitions` VALUES (148410, 10147, 27, 'Tahitisht');
INSERT INTO `lang_definitions` VALUES (148411, 10148, 27, 'Taxhikisht');
INSERT INTO `lang_definitions` VALUES (148412, 10149, 27, 'Marr');
INSERT INTO `lang_definitions` VALUES (148413, 10158, 27, 'Tamilisht');
INSERT INTO `lang_definitions` VALUES (148414, 10164, 27, 'Data Targetuar');
INSERT INTO `lang_definitions` VALUES (148415, 10165, 27, 'Pacienti Targetuar');
INSERT INTO `lang_definitions` VALUES (148416, 10166, 27, 'Pacienti Targetuar nuk ka DEL');
INSERT INTO `lang_definitions` VALUES (148417, 10167, 27, 'Pacienti Targetuar nuk u gjet');
INSERT INTO `lang_definitions` VALUES (148418, 10171, 27, 'Tatarisht');
INSERT INTO `lang_definitions` VALUES (148419, 10172, 27, 'Id Tatimor');
INSERT INTO `lang_definitions` VALUES (148420, 10173, 27, 'ID Tatimor');
INSERT INTO `lang_definitions` VALUES (148421, 10174, 27, 'Norma e Tatimit');
INSERT INTO `lang_definitions` VALUES (148422, 10175, 27, 'Taksat');
INSERT INTO `lang_definitions` VALUES (148423, 10187, 27, 'Tel');
INSERT INTO `lang_definitions` VALUES (148424, 10189, 27, 'Numti Thirres i Vendit');
INSERT INTO `lang_definitions` VALUES (148425, 10196, 27, 'Temperatura');
INSERT INTO `lang_definitions` VALUES (148426, 10197, 27, 'Shablloni');
INSERT INTO `lang_definitions` VALUES (148427, 10198, 27, 'Emri Shabllonit');
INSERT INTO `lang_definitions` VALUES (148428, 10201, 27, 'Shablloni:');
INSERT INTO `lang_definitions` VALUES (148429, 10202, 27, 'Shabllonet');
INSERT INTO `lang_definitions` VALUES (148430, 10213, 27, 'Terciar');
INSERT INTO `lang_definitions` VALUES (148431, 10214, 27, 'Sigurimi Terciar');
INSERT INTO `lang_definitions` VALUES (148432, 10215, 27, 'Te Dhenat Terciare te Sigurimit');
INSERT INTO `lang_definitions` VALUES (148433, 10216, 27, 'Ofruesi Terciar i Sigurimit');
INSERT INTO `lang_definitions` VALUES (148434, 10223, 27, 'Tekst');
INSERT INTO `lang_definitions` VALUES (148435, 10233, 27, 'Teksti-date');
INSERT INTO `lang_definitions` VALUES (148436, 10234, 27, 'teksti-date');
INSERT INTO `lang_definitions` VALUES (148437, 10241, 27, 'Tajlandisht');
INSERT INTO `lang_definitions` VALUES (148438, 10242, 27, 'Ju Falemnderit');
INSERT INTO `lang_definitions` VALUES (148439, 10245, 27, 'Ju falemnderit per zgjedhjen');
INSERT INTO `lang_definitions` VALUES (148440, 10594, 27, 'Tema');
INSERT INTO `lang_definitions` VALUES (148441, 10601, 27, 'Injeksione Terapeutike');
INSERT INTO `lang_definitions` VALUES (148442, 10607, 27, 'Atje jane');
INSERT INTO `lang_definitions` VALUES (148443, 10683, 27, 'Gje');
INSERT INTO `lang_definitions` VALUES (148444, 10695, 27, 'k');
INSERT INTO `lang_definitions` VALUES (148445, 10701, 27, 'I treti');
INSERT INTO `lang_definitions` VALUES (148446, 10702, 27, 'Llogaria e trete mesazhi');
INSERT INTO `lang_definitions` VALUES (148447, 10704, 27, 'Ky veprim NUK MUNDE të zhbëhet.');
INSERT INTO `lang_definitions` VALUES (148448, 10705, 27, 'Ky veprim nuk munde të zhbëhet.');
INSERT INTO `lang_definitions` VALUES (148449, 10714, 27, 'Kete Vit Kalendarik');
INSERT INTO `lang_definitions` VALUES (148450, 10829, 27, 'Kete Jave deri me Sot');
INSERT INTO `lang_definitions` VALUES (148451, 10874, 27, 'Para Tre Muajve');
INSERT INTO `lang_definitions` VALUES (148452, 10882, 27, 'Enj');
INSERT INTO `lang_definitions` VALUES (148453, 10884, 27, 'e Enjte');
INSERT INTO `lang_definitions` VALUES (148454, 10885, 27, 'e Enjte');
INSERT INTO `lang_definitions` VALUES (148455, 10887, 27, 'Tiroideja normale');
INSERT INTO `lang_definitions` VALUES (148456, 10888, 27, 'Probleme me Tiroiden');
INSERT INTO `lang_definitions` VALUES (148457, 10902, 27, 'Koha');
INSERT INTO `lang_definitions` VALUES (148458, 10903, 27, 'Formati i Paraqitjes Kohes');
INSERT INTO `lang_definitions` VALUES (148459, 10905, 27, 'Zgjedhja e Kohes');
INSERT INTO `lang_definitions` VALUES (148460, 10913, 27, 'Ngjarja kohore');
INSERT INTO `lang_definitions` VALUES (148461, 10920, 27, 'Titull');
INSERT INTO `lang_definitions` VALUES (148462, 10925, 27, 'Titujt');
INSERT INTO `lang_definitions` VALUES (148463, 10980, 27, 'Te Historise');
INSERT INTO `lang_definitions` VALUES (148464, 10982, 27, 'Qeshtjeve');
INSERT INTO `lang_definitions` VALUES (148465, 11010, 27, 'Te:');
INSERT INTO `lang_definitions` VALUES (148466, 11011, 27, 'Te:');
INSERT INTO `lang_definitions` VALUES (148467, 11012, 27, 'NE_QYTETIN');
INSERT INTO `lang_definitions` VALUES (148468, 11013, 27, 'NE_FAKS');
INSERT INTO `lang_definitions` VALUES (148469, 11025, 27, 'Duhani');
INSERT INTO `lang_definitions` VALUES (148470, 11028, 27, 'Perdorimi i duhanit');
INSERT INTO `lang_definitions` VALUES (148471, 11029, 27, 'Perdorimi i Duhanit');
INSERT INTO `lang_definitions` VALUES (148472, 11032, 27, 'Sot');
INSERT INTO `lang_definitions` VALUES (148473, 11033, 27, 'SOT');
INSERT INTO `lang_definitions` VALUES (148474, 11034, 27, 'sot');
INSERT INTO `lang_definitions` VALUES (148475, 11035, 27, 'Bilanci i Sotshem');
INSERT INTO `lang_definitions` VALUES (148476, 11036, 27, 'Ndryshimet e Sotshme');
INSERT INTO `lang_definitions` VALUES (148477, 11037, 27, 'Data e Sotshme');
INSERT INTO `lang_definitions` VALUES (148478, 11050, 27, 'Lart');
INSERT INTO `lang_definitions` VALUES (148479, 11052, 27, 'Margjina e Nalte (mm)');
INSERT INTO `lang_definitions` VALUES (148480, 11054, 27, 'Total');
INSERT INTO `lang_definitions` VALUES (148481, 11055, 27, 'total');
INSERT INTO `lang_definitions` VALUES (148482, 11072, 27, 'Total per');
INSERT INTO `lang_definitions` VALUES (148483, 11073, 27, 'Total per');
INSERT INTO `lang_definitions` VALUES (148484, 11074, 27, 'Total per kategori');
INSERT INTO `lang_definitions` VALUES (148485, 11086, 27, 'Total Faqet');
INSERT INTO `lang_definitions` VALUES (148486, 11087, 27, 'Bilanci i Total Pacienteve');
INSERT INTO `lang_definitions` VALUES (148487, 11089, 27, 'Total Pacient');
INSERT INTO `lang_definitions` VALUES (148488, 11091, 27, 'Total Rende');
INSERT INTO `lang_definitions` VALUES (148489, 11093, 27, 'Total Rende te Gjetura');
INSERT INTO `lang_definitions` VALUES (148490, 11098, 27, 'Total Koha');
INSERT INTO `lang_definitions` VALUES (148491, 11099, 27, 'Total Transferet');
INSERT INTO `lang_definitions` VALUES (148492, 11106, 27, 'Totalet');
INSERT INTO `lang_definitions` VALUES (148493, 11107, 27, 'Totalet per');
INSERT INTO `lang_definitions` VALUES (148494, 11108, 27, 'Totalet per');
INSERT INTO `lang_definitions` VALUES (148495, 11109, 27, 'Vetem Totalet');
INSERT INTO `lang_definitions` VALUES (148496, 11123, 27, 'deri{{vargu}}');
INSERT INTO `lang_definitions` VALUES (148497, 11124, 27, 'Deri{{vargu}}');
INSERT INTO `lang_definitions` VALUES (148498, 11153, 27, 'Transfer');
INSERT INTO `lang_definitions` VALUES (148499, 11154, 27, 'Data e transferit');
INSERT INTO `lang_definitions` VALUES (148500, 11167, 27, 'Perkthe Listat');
INSERT INTO `lang_definitions` VALUES (148501, 11168, 27, 'Perktheja Pacientit Shenimet Titujt');
INSERT INTO `lang_definitions` VALUES (148502, 11169, 27, 'Perkthe kete');
INSERT INTO `lang_definitions` VALUES (148503, 11170, 27, 'Perkthimi');
INSERT INTO `lang_definitions` VALUES (148504, 11171, 27, 'Perkthimet');
INSERT INTO `lang_definitions` VALUES (148505, 11179, 27, 'Trauma');
INSERT INTO `lang_definitions` VALUES (148506, 11180, 27, 'Trajtimi');
INSERT INTO `lang_definitions` VALUES (148507, 11189, 27, 'Trendi');
INSERT INTO `lang_definitions` VALUES (148508, 11201, 27, 'E mail i besueshem');
INSERT INTO `lang_definitions` VALUES (148509, 11208, 27, 'Tuberkulozi');
INSERT INTO `lang_definitions` VALUES (148510, 11209, 27, 'Mar');
INSERT INTO `lang_definitions` VALUES (148511, 11211, 27, 'e Marte');
INSERT INTO `lang_definitions` VALUES (148512, 11212, 27, 'Tumor');
INSERT INTO `lang_definitions` VALUES (148513, 11213, 27, 'Turqisht');
INSERT INTO `lang_definitions` VALUES (148514, 11214, 27, 'Turkmenisht');
INSERT INTO `lang_definitions` VALUES (148515, 11222, 27, 'dy here ne dite');
INSERT INTO `lang_definitions` VALUES (148516, 11223, 27, 'Para Dy Viteve');
INSERT INTO `lang_definitions` VALUES (148517, 11227, 27, 'Lloji');
INSERT INTO `lang_definitions` VALUES (148518, 11249, 27, 'Llojet e Urdhrave dhe Rezultateve');
INSERT INTO `lang_definitions` VALUES (148519, 11251, 27, 'E{{Enjte}}');
INSERT INTO `lang_definitions` VALUES (148520, 11252, 27, 'M{{Marte}}');
INSERT INTO `lang_definitions` VALUES (148521, 11271, 27, 'Ukrainisht');
INSERT INTO `lang_definitions` VALUES (148522, 11274, 27, 'Ulqerat:');
INSERT INTO `lang_definitions` VALUES (148523, 11292, 27, 'Pacaktuar');
INSERT INTO `lang_definitions` VALUES (148524, 11293, 27, 'Paautorizuar');
INSERT INTO `lang_definitions` VALUES (148525, 11296, 27, 'Pafaturuar');
INSERT INTO `lang_definitions` VALUES (148526, 11297, 27, 'Pafaturuar Vetem');
INSERT INTO `lang_definitions` VALUES (148527, 11299, 27, 'Daje');
INSERT INTO `lang_definitions` VALUES (148528, 11300, 27, 'nen gjuhe');
INSERT INTO `lang_definitions` VALUES (148529, 11303, 27, 'Nenpeshe');
INSERT INTO `lang_definitions` VALUES (148530, 11304, 27, 'Padiagnostifikuar');
INSERT INTO `lang_definitions` VALUES (148531, 11305, 27, 'Pashperndar');
INSERT INTO `lang_definitions` VALUES (148532, 11306, 27, 'PASHPERNDAR');
INSERT INTO `lang_definitions` VALUES (148533, 11307, 27, 'Pashperndar eshte');
INSERT INTO `lang_definitions` VALUES (148534, 11320, 27, 'Njesia');
INSERT INTO `lang_definitions` VALUES (148535, 11321, 27, 'Njesite');
INSERT INTO `lang_definitions` VALUES (148536, 11322, 27, 'njesite');
INSERT INTO `lang_definitions` VALUES (148537, 11328, 27, 'i Panjohur');
INSERT INTO `lang_definitions` VALUES (148538, 11330, 27, 'Gabim i Panjohur');
INSERT INTO `lang_definitions` VALUES (148539, 11350, 27, 'i Pazgjedhur');
INSERT INTO `lang_definitions` VALUES (148540, 11351, 27, 'Paspecifikuara');
INSERT INTO `lang_definitions` VALUES (148541, 11352, 27, 'pastrukturuar');
INSERT INTO `lang_definitions` VALUES (148542, 11356, 27, 'deri');
INSERT INTO `lang_definitions` VALUES (148543, 11360, 27, 'i Paperdorur');
INSERT INTO `lang_definitions` VALUES (148544, 11362, 27, 'Deri te');
INSERT INTO `lang_definitions` VALUES (148545, 11364, 27, 'Termini Ardhshem');
INSERT INTO `lang_definitions` VALUES (148546, 11365, 27, 'Ngjarjet e Ardhshme');
INSERT INTO `lang_definitions` VALUES (148547, 11366, 27, 'Azhuro');
INSERT INTO `lang_definitions` VALUES (148548, 11367, 27, 'azhuro');
INSERT INTO `lang_definitions` VALUES (148549, 11368, 27, 'Azhurimi Aktiv');
INSERT INTO `lang_definitions` VALUES (148550, 11371, 27, 'Azhuro dosjet');
INSERT INTO `lang_definitions` VALUES (148551, 11372, 27, 'Azhuro Info');
INSERT INTO `lang_definitions` VALUES (148552, 11374, 27, 'Azhuro Listen');
INSERT INTO `lang_definitions` VALUES (148553, 11377, 27, 'Azhuro Numrin e Furnitorit');
INSERT INTO `lang_definitions` VALUES (148554, 11378, 27, 'Azhuro Emertimet e Zgjedhura');
INSERT INTO `lang_definitions` VALUES (148555, 11383, 27, 'Azhuro variablat percjellese ne dosje');
INSERT INTO `lang_definitions` VALUES (148556, 11384, 27, 'Perditeso Infotmaten per Shfrytezuesin');
INSERT INTO `lang_definitions` VALUES (148557, 11385, 27, 'Azhuruar Nga');
INSERT INTO `lang_definitions` VALUES (148558, 11392, 27, 'Azhurimi verzionit te indikatoreve');
INSERT INTO `lang_definitions` VALUES (148559, 11393, 27, 'PERMIRESIM');
INSERT INTO `lang_definitions` VALUES (148560, 11394, 27, 'Permiresim');
INSERT INTO `lang_definitions` VALUES (148561, 11396, 27, 'Permiresim Databazes');
INSERT INTO `lang_definitions` VALUES (148562, 11401, 27, 'Ngarko');
INSERT INTO `lang_definitions` VALUES (148563, 11403, 27, 'Ngarko nje Shabllon');
INSERT INTO `lang_definitions` VALUES (148564, 11405, 27, 'Ngarko dhe Instalo');
INSERT INTO `lang_definitions` VALUES (148565, 11407, 27, 'Ngarko Dokument');
INSERT INTO `lang_definitions` VALUES (148566, 11408, 27, 'Ngarkimi deshtuar!');
INSERT INTO `lang_definitions` VALUES (148567, 11415, 27, 'Ngarko Raportin');
INSERT INTO `lang_definitions` VALUES (148568, 11417, 27, 'Ngarko dosjen xml në kategorinë CCR');
INSERT INTO `lang_definitions` VALUES (148569, 11431, 27, 'Urdu');
INSERT INTO `lang_definitions` VALUES (148570, 11432, 27, 'Urgjente');
INSERT INTO `lang_definitions` VALUES (148571, 11433, 27, 'Ndihma Shpejte');
INSERT INTO `lang_definitions` VALUES (148572, 11436, 27, 'Urine');
INSERT INTO `lang_definitions` VALUES (148573, 11450, 27, 'SHBA');
INSERT INTO `lang_definitions` VALUES (148574, 11451, 27, 'Perdorim');
INSERT INTO `lang_definitions` VALUES (148575, 11496, 27, 'Perdoruesi');
INSERT INTO `lang_definitions` VALUES (148576, 11497, 27, 'Perdoruesi');
INSERT INTO `lang_definitions` VALUES (148577, 11498, 27, 'Perdoruesi / Grupet');
INSERT INTO `lang_definitions` VALUES (148578, 11507, 27, 'Perdoruesi Definuar');
INSERT INTO `lang_definitions` VALUES (148579, 11508, 27, 'Zona e Percaktuar e Shfrytezuesit 11');
INSERT INTO `lang_definitions` VALUES (148580, 11509, 27, 'Zona e Percaktuar e Shfrytezuesit 12');
INSERT INTO `lang_definitions` VALUES (148581, 11510, 27, 'Fusha e Percaktuar e Shfrytezuesit');
INSERT INTO `lang_definitions` VALUES (148582, 11511, 27, 'Lista e Percaktuar e Shfrytezuesit 1');
INSERT INTO `lang_definitions` VALUES (148583, 11512, 27, 'Lista e Percaktuar e Shfrytezuesit 2');
INSERT INTO `lang_definitions` VALUES (148584, 11513, 27, 'Lista e Percaktuar e Shfrytezuesit 3');
INSERT INTO `lang_definitions` VALUES (148585, 11514, 27, 'Lista e Percaktuar e Shfrytezuesit 4');
INSERT INTO `lang_definitions` VALUES (148586, 11515, 27, 'Lista e Percaktuar e Shfrytezuesit 5');
INSERT INTO `lang_definitions` VALUES (148587, 11516, 27, 'Lista e Percaktuar e Shfrytezuesit 6');
INSERT INTO `lang_definitions` VALUES (148588, 11517, 27, 'Lista e Percaktuar e Shfrytezuesit 7');
INSERT INTO `lang_definitions` VALUES (148589, 11518, 27, 'Teksti i Percaktuar e Shfrytezuesit 1');
INSERT INTO `lang_definitions` VALUES (148590, 11519, 27, 'Teksti i Percaktuar e Shfrytezuesit 2');
INSERT INTO `lang_definitions` VALUES (148591, 11520, 27, 'Teksti i Percaktuar e Shfrytezuesit 3');
INSERT INTO `lang_definitions` VALUES (148592, 11521, 27, 'Teksti i Percaktuar e Shfrytezuesit 4');
INSERT INTO `lang_definitions` VALUES (148593, 11522, 27, 'Teksti i Percaktuar e Shfrytezuesit 5');
INSERT INTO `lang_definitions` VALUES (148594, 11523, 27, 'Teksti i Percaktuar e Shfrytezuesit 6');
INSERT INTO `lang_definitions` VALUES (148595, 11524, 27, 'Teksti i Percaktuar e Shfrytezuesit 7');
INSERT INTO `lang_definitions` VALUES (148596, 11525, 27, 'Teksti i Percaktuar e Shfrytezuesit 8');
INSERT INTO `lang_definitions` VALUES (148597, 11526, 27, 'Emri i Shfrytezuesit');
INSERT INTO `lang_definitions` VALUES (148598, 11528, 27, 'ID e Shfrytezuesit');
INSERT INTO `lang_definitions` VALUES (148599, 11532, 27, 'Manuali Perdoruesit');
INSERT INTO `lang_definitions` VALUES (148600, 11533, 27, 'Anetaresimi Perdoruesit');
INSERT INTO `lang_definitions` VALUES (148601, 11534, 27, 'Emri Perdoruesit');
INSERT INTO `lang_definitions` VALUES (148602, 11553, 27, 'Emri Perdoruesit');
INSERT INTO `lang_definitions` VALUES (148603, 11559, 27, 'Emri Perdoruesit:');
INSERT INTO `lang_definitions` VALUES (148604, 11560, 27, 'Perdoruesit');
INSERT INTO `lang_definitions` VALUES (148605, 11585, 27, 'Uzbekisht');
INSERT INTO `lang_definitions` VALUES (148606, 11588, 27, 'PUSHIME');
INSERT INTO `lang_definitions` VALUES (148607, 11589, 27, 'Pushime');
INSERT INTO `lang_definitions` VALUES (148608, 11590, 27, 'Vakcine');
INSERT INTO `lang_definitions` VALUES (148609, 11593, 27, 'Unaza Vaginale');
INSERT INTO `lang_definitions` VALUES (148610, 11596, 27, 'validoje');
INSERT INTO `lang_definitions` VALUES (148611, 11609, 27, 'Vlera');
INSERT INTO `lang_definitions` VALUES (148612, 11610, 27, 'Vlera 1');
INSERT INTO `lang_definitions` VALUES (148613, 11611, 27, 'Vlera 2');
INSERT INTO `lang_definitions` VALUES (148614, 11619, 27, 'Variqella 1');
INSERT INTO `lang_definitions` VALUES (148615, 11620, 27, 'Variqella 2');
INSERT INTO `lang_definitions` VALUES (148616, 11634, 27, 'Verzioni');
INSERT INTO `lang_definitions` VALUES (148617, 11666, 27, 'Vietnamisht');
INSERT INTO `lang_definitions` VALUES (148618, 11667, 27, 'Shiko');
INSERT INTO `lang_definitions` VALUES (148619, 11668, 27, 'shiko');
INSERT INTO `lang_definitions` VALUES (148620, 11670, 27, 'Shiko Alergjite');
INSERT INTO `lang_definitions` VALUES (148621, 11678, 27, 'Shiko detajet');
INSERT INTO `lang_definitions` VALUES (148622, 11679, 27, 'Shiko dokumentin');
INSERT INTO `lang_definitions` VALUES (148623, 11684, 27, 'Shiko Objektin Informaten Specifike per shfrytezuesin');
INSERT INTO `lang_definitions` VALUES (148624, 11690, 27, 'Shiko Faqen 1');
INSERT INTO `lang_definitions` VALUES (148625, 11691, 27, 'Shiko Faqen 2');
INSERT INTO `lang_definitions` VALUES (148626, 11695, 27, 'Shiko Pacientin');
INSERT INTO `lang_definitions` VALUES (148627, 11696, 27, 'Shiko Planin e Rregullave');
INSERT INTO `lang_definitions` VALUES (148628, 11697, 27, 'Pamja e Printueshme');
INSERT INTO `lang_definitions` VALUES (148629, 11698, 27, 'Shiko Raportin e Printueshem');
INSERT INTO `lang_definitions` VALUES (148630, 11699, 27, 'Shiko Versioinin e Printueshem');
INSERT INTO `lang_definitions` VALUES (148631, 11701, 27, 'Shiko Raportin');
INSERT INTO `lang_definitions` VALUES (148632, 11714, 27, 'Shiko/Printo');
INSERT INTO `lang_definitions` VALUES (148633, 11717, 27, 'Shiko:');
INSERT INTO `lang_definitions` VALUES (148634, 11724, 27, 'Vizita');
INSERT INTO `lang_definitions` VALUES (148635, 11725, 27, 'Atributet e Vizites');
INSERT INTO `lang_definitions` VALUES (148636, 11726, 27, 'Kategorite e Vizites');
INSERT INTO `lang_definitions` VALUES (148637, 11727, 27, 'Kategoria Vizites');
INSERT INTO `lang_definitions` VALUES (148638, 11728, 27, 'Kategoria Vizites:');
INSERT INTO `lang_definitions` VALUES (148639, 11729, 27, 'Data Vizites');
INSERT INTO `lang_definitions` VALUES (148640, 11730, 27, 'Data vizites');
INSERT INTO `lang_definitions` VALUES (148641, 11732, 27, 'Forma Atributeve te Vizites');
INSERT INTO `lang_definitions` VALUES (148642, 11734, 27, 'Forma Vizites');
INSERT INTO `lang_definitions` VALUES (148643, 11736, 27, 'Historia Vizites');
INSERT INTO `lang_definitions` VALUES (148644, 11743, 27, 'Lloji Vizites');
INSERT INTO `lang_definitions` VALUES (148645, 11745, 27, 'Vizitat');
INSERT INTO `lang_definitions` VALUES (148646, 11746, 27, 'Vizitat prej');
INSERT INTO `lang_definitions` VALUES (148647, 11756, 27, 'Zeri');
INSERT INTO `lang_definitions` VALUES (148648, 11764, 27, 'Kuponi numer');
INSERT INTO `lang_definitions` VALUES (148649, 11778, 27, 'Depo');
INSERT INTO `lang_definitions` VALUES (148650, 11782, 27, 'Depot');
INSERT INTO `lang_definitions` VALUES (148651, 11783, 27, 'Nxeht');
INSERT INTO `lang_definitions` VALUES (148652, 11786, 27, 'Paralajmerim');
INSERT INTO `lang_definitions` VALUES (148653, 11787, 27, 'PARALAJMERIM');
INSERT INTO `lang_definitions` VALUES (148654, 11800, 27, 'PARALAJMERIME');
INSERT INTO `lang_definitions` VALUES (148655, 11801, 27, 'Paralajmerime');
INSERT INTO `lang_definitions` VALUES (148656, 11825, 27, 'Referim Rrjeti');
INSERT INTO `lang_definitions` VALUES (148657, 11826, 27, 'Kerkim Rrjeti');
INSERT INTO `lang_definitions` VALUES (148658, 11827, 27, 'Faqe Interneti');
INSERT INTO `lang_definitions` VALUES (148659, 11832, 27, 'Mer');
INSERT INTO `lang_definitions` VALUES (148660, 11833, 27, 'e Merkure');
INSERT INTO `lang_definitions` VALUES (148661, 11834, 27, 'Jave');
INSERT INTO `lang_definitions` VALUES (148662, 11835, 27, 'jave');
INSERT INTO `lang_definitions` VALUES (148663, 11837, 27, 'Jave(t)');
INSERT INTO `lang_definitions` VALUES (148664, 11839, 27, 'javet');
INSERT INTO `lang_definitions` VALUES (148665, 11840, 27, 'Javet');
INSERT INTO `lang_definitions` VALUES (148666, 11841, 27, 'Pesha');
INSERT INTO `lang_definitions` VALUES (148667, 11847, 27, 'Mire se erdhet');
INSERT INTO `lang_definitions` VALUES (148668, 11884, 27, 'Qofte i Siguruar');
INSERT INTO `lang_definitions` VALUES (148669, 11891, 27, 'Bardhe');
INSERT INTO `lang_definitions` VALUES (148670, 11894, 27, 'Kush');
INSERT INTO `lang_definitions` VALUES (148671, 11895, 27, 'Kush u pergjigj?');
INSERT INTO `lang_definitions` VALUES (148672, 11897, 27, 'E Ve');
INSERT INTO `lang_definitions` VALUES (148673, 11898, 27, 'Me');
INSERT INTO `lang_definitions` VALUES (148674, 11902, 27, 'do te mshihen nese');
INSERT INTO `lang_definitions` VALUES (148675, 11906, 27, 'me gjuhen e preferuar');
INSERT INTO `lang_definitions` VALUES (148676, 11907, 27, 'Me te zgjedhur');
INSERT INTO `lang_definitions` VALUES (148677, 11908, 27, 'me emer te vjeter');
INSERT INTO `lang_definitions` VALUES (148678, 11910, 27, 'me vlere');
INSERT INTO `lang_definitions` VALUES (148679, 11911, 27, 'Kujt te ia lame mesazhin?');
INSERT INTO `lang_definitions` VALUES (148680, 11912, 27, 'Mbajtur');
INSERT INTO `lang_definitions` VALUES (148681, 11913, 27, 'brenda disa oreve');
INSERT INTO `lang_definitions` VALUES (148682, 11914, 27, 'brenda disa oreve:');
INSERT INTO `lang_definitions` VALUES (148683, 11915, 27, 'brenda disa minutave');
INSERT INTO `lang_definitions` VALUES (148684, 11916, 27, 'brenda disa minutave:');
INSERT INTO `lang_definitions` VALUES (148685, 11918, 27, 'Pa Provajder');
INSERT INTO `lang_definitions` VALUES (148686, 11919, 27, 'Pa Perditesim');
INSERT INTO `lang_definitions` VALUES (148687, 11920, 27, 'Deshmitar');
INSERT INTO `lang_definitions` VALUES (148688, 11924, 27, 'Grua');
INSERT INTO `lang_definitions` VALUES (148689, 11925, 27, 'Vetem Grate');
INSERT INTO `lang_definitions` VALUES (148690, 11927, 27, 'Pune');
INSERT INTO `lang_definitions` VALUES (148691, 11929, 27, 'Telefon Pune');
INSERT INTO `lang_definitions` VALUES (148692, 11934, 27, 'dite pune');
INSERT INTO `lang_definitions` VALUES (148693, 11935, 27, 'Kompensimi i Punetorit');
INSERT INTO `lang_definitions` VALUES (148694, 11941, 27, 'Me keq');
INSERT INTO `lang_definitions` VALUES (148695, 11965, 27, 'M{{Merkure}}');
INSERT INTO `lang_definitions` VALUES (148696, 11981, 27, 'x12 Tekst');
INSERT INTO `lang_definitions` VALUES (148697, 11984, 27, 'XML');
INSERT INTO `lang_definitions` VALUES (148698, 11987, 27, 'V');
INSERT INTO `lang_definitions` VALUES (148699, 11988, 27, 'vit');
INSERT INTO `lang_definitions` VALUES (148700, 11989, 27, 'Vit');
INSERT INTO `lang_definitions` VALUES (148701, 11991, 27, 'Vit(et)');
INSERT INTO `lang_definitions` VALUES (148702, 11992, 27, 'Vitet');
INSERT INTO `lang_definitions` VALUES (148703, 11994, 27, 'Vitet ose muajt');
INSERT INTO `lang_definitions` VALUES (148704, 11995, 27, 'Vitet, muajt dhe ditet');
INSERT INTO `lang_definitions` VALUES (148705, 11996, 27, 'Po');
INSERT INTO `lang_definitions` VALUES (148706, 11997, 27, 'PO');
INSERT INTO `lang_definitions` VALUES (148707, 11998, 27, 'po');
INSERT INTO `lang_definitions` VALUES (148708, 11999, 27, 'PO!');
INSERT INTO `lang_definitions` VALUES (148709, 12001, 27, 'Po, Fshije kete forme');
INSERT INTO `lang_definitions` VALUES (148710, 12002, 27, 'Po/Jo');
INSERT INTO `lang_definitions` VALUES (148711, 12003, 27, 'Po:');
INSERT INTO `lang_definitions` VALUES (148712, 12118, 27, 'Raporti Juaj Klinik');
INSERT INTO `lang_definitions` VALUES (148713, 12127, 27, 'Dosja juaj eshte shme e madhe');
INSERT INTO `lang_definitions` VALUES (148714, 12131, 27, 'Rezultati Juaj Laboratorik');
INSERT INTO `lang_definitions` VALUES (148715, 12139, 27, 'Fjalekalimi Juaj');
INSERT INTO `lang_definitions` VALUES (148716, 12156, 27, 'vvvv-mm-dd');
INSERT INTO `lang_definitions` VALUES (148717, 12157, 27, 'VVVV-MM-DD');
INSERT INTO `lang_definitions` VALUES (148718, 12158, 27, 'vvvv-mm-dd data e shoqerimit me kete dokument');
INSERT INTO `lang_definitions` VALUES (148719, 12159, 27, 'vvvv-mm-dd data e shkatrrimit');
INSERT INTO `lang_definitions` VALUES (148720, 12160, 27, 'vvvv-mm-dd data e lindjes');
INSERT INTO `lang_definitions` VALUES (148721, 12161, 27, 'vvvv-mm-dd Data e Lindjes');
INSERT INTO `lang_definitions` VALUES (148722, 12162, 27, 'vvvv-mm-dd data e skadimit');
INSERT INTO `lang_definitions` VALUES (148723, 12163, 27, 'vvvv-mm-dd Data e pranimit ose hospitalizimit');
INSERT INTO `lang_definitions` VALUES (148724, 12164, 27, 'vvvv-mm-dd data e pranimit, operimit ose fillimit te kurimit');
INSERT INTO `lang_definitions` VALUES (148725, 12165, 27, 'vvvv-mm-dd data e blerjes ose transferit');
INSERT INTO `lang_definitions` VALUES (148726, 12166, 27, 'yyyy-mm-dd date of recovery or end of medication');
INSERT INTO `lang_definitions` VALUES (148727, 12167, 27, 'yyyy-mm-dd Date of return to play');
INSERT INTO `lang_definitions` VALUES (148728, 12168, 27, 'vvvv-mm-dd Date e sherbimit');
INSERT INTO `lang_definitions` VALUES (148729, 12169, 27, 'vvvv-mm-dd data e kesaje letre');
INSERT INTO `lang_definitions` VALUES (148730, 12170, 27, 'vvvv-mm-dd data e kthimit ne loje');
INSERT INTO `lang_definitions` VALUES (148731, 12171, 27, 'vvvv-mm-dd data e dokument');
INSERT INTO `lang_definitions` VALUES (148732, 12173, 27, 'vvvv-mm-dd data e eventit ose data e fillimit');
INSERT INTO `lang_definitions` VALUES (148733, 12174, 27, 'vvvv-mm-dd O:m Data e Fundit');
INSERT INTO `lang_definitions` VALUES (148734, 12175, 27, 'vvvv-mm-dd O:m data e Fundit');
INSERT INTO `lang_definitions` VALUES (148735, 12176, 27, 'vvvv-mm-dd O:m Date e Fillimit');
INSERT INTO `lang_definitions` VALUES (148736, 12177, 27, 'vvvv-mm-dd O:m Date e Fillimit');
INSERT INTO `lang_definitions` VALUES (148737, 12178, 27, 'vvvv-mm-dd oo:mm:ss');
INSERT INTO `lang_definitions` VALUES (148738, 12179, 27, 'vvvv-mm-dd Ore(24):minuta');
INSERT INTO `lang_definitions` VALUES (148739, 12180, 27, 'vvvv-mm-dd data e fundit e ketije eventi');
INSERT INTO `lang_definitions` VALUES (148740, 12182, 27, 'vvvv-mm-dd data e fillimit per kerkim');
INSERT INTO `lang_definitions` VALUES (148741, 12186, 27, 'Zero');
INSERT INTO `lang_definitions` VALUES (148742, 12188, 27, 'Zip');
INSERT INTO `lang_definitions` VALUES (148743, 12189, 27, 'Zip Kodi');
INSERT INTO `lang_definitions` VALUES (148744, 12191, 27, 'Zip/Vendi:');
INSERT INTO `lang_definitions` VALUES (148745, 12199, 27, 'A me te vertet deshironi ta fshini');
INSERT INTO `lang_definitions` VALUES (148746, 12200, 27, 'Medikamenti');
INSERT INTO `lang_definitions` VALUES (148747, 12201, 27, 'e-mejli nuk u dergua');
INSERT INTO `lang_definitions` VALUES (148748, 12202, 27, 'prej');
INSERT INTO `lang_definitions` VALUES (148749, 12205, 27, 'Historia');
INSERT INTO `lang_definitions` VALUES (148750, 12215, 27, 'deri');
INSERT INTO `lang_definitions` VALUES (148751, 12224, 27, '$');
INSERT INTO `lang_definitions` VALUES (148752, 12236, 27, '(Me Shume)');
INSERT INTO `lang_definitions` VALUES (148753, 12237, 27, '(Pacienti Ri)');
INSERT INTO `lang_definitions` VALUES (148754, 12255, 27, '0-10');
INSERT INTO `lang_definitions` VALUES (148755, 12256, 27, '0-24');
INSERT INTO `lang_definitions` VALUES (148756, 12266, 27, '11-14');
INSERT INTO `lang_definitions` VALUES (148757, 12268, 27, '15-19');
INSERT INTO `lang_definitions` VALUES (148758, 12272, 27, '2');
INSERT INTO `lang_definitions` VALUES (148759, 12278, 27, '20-24');
INSERT INTO `lang_definitions` VALUES (148760, 12279, 27, '2011 Kalkulimet e Automatizuara te Masave (KAM)');
INSERT INTO `lang_definitions` VALUES (148761, 12280, 27, '2011 Masat Klinike Kualitative (MKK)');
INSERT INTO `lang_definitions` VALUES (148762, 12282, 27, '2014 Kalkulimet e Automatizuara te Masave (KAM)');
INSERT INTO `lang_definitions` VALUES (148763, 12283, 27, '2014 Kalkulimet e Automatizuara te Masave (KAM) Faza I');
INSERT INTO `lang_definitions` VALUES (148764, 12284, 27, '2014 Kalkulimet e Automatizuara te Masave (KAM) Faza II');
INSERT INTO `lang_definitions` VALUES (148765, 12285, 27, '2014 Masat Klinike Kualitative (MKK)');
INSERT INTO `lang_definitions` VALUES (148766, 12287, 27, '2111-13');
INSERT INTO `lang_definitions` VALUES (148767, 12289, 27, '25+');
INSERT INTO `lang_definitions` VALUES (148768, 12290, 27, '25-29');
INSERT INTO `lang_definitions` VALUES (148769, 12301, 27, '30-34');
INSERT INTO `lang_definitions` VALUES (148770, 12302, 27, '35-39');
INSERT INTO `lang_definitions` VALUES (148771, 12312, 27, '40-44');
INSERT INTO `lang_definitions` VALUES (148772, 12313, 27, '45+');
INSERT INTO `lang_definitions` VALUES (148773, 12353, 27, '< ne ordinance');
INSERT INTO `lang_definitions` VALUES (148774, 12359, 27, '?');
INSERT INTO `lang_definitions` VALUES (148775, 1, 28, 'A');
INSERT INTO `lang_definitions` VALUES (148776, 2, 28, 'Kontrola čísla nebo číla požadavku k identifikaci platby');
INSERT INTO `lang_definitions` VALUES (148777, 4, 28, 'Klientský certifikát pro správce');
INSERT INTO `lang_definitions` VALUES (148778, 6, 28, 'Je připojen klinický dokument');
INSERT INTO `lang_definitions` VALUES (148779, 7, 28, 'Je připojen klinický dokument');
INSERT INTO `lang_definitions` VALUES (148780, 13, 28, 'Distributor je vyžadován');
INSERT INTO `lang_definitions` VALUES (148781, 17, 28, 'K návštěvě musí být připojen GCAC formulář');
INSERT INTO `lang_definitions` VALUES (148782, 20, 28, 'Požadováno více čísel');
INSERT INTO `lang_definitions` VALUES (148783, 21, 28, 'Požadováno více čísel');
INSERT INTO `lang_definitions` VALUES (148784, 22, 28, 'malé písmeno');
INSERT INTO `lang_definitions` VALUES (148785, 28, 28, 'Číslo');
INSERT INTO `lang_definitions` VALUES (148786, 30, 28, 'Pacient s tímto ID již existuje');
INSERT INTO `lang_definitions` VALUES (148787, 31, 28, 'Pacient tohoto jména již existuje');
INSERT INTO `lang_definitions` VALUES (148788, 32, 28, 'pacient s tímto SS již existuje');
INSERT INTO `lang_definitions` VALUES (148789, 36, 28, 'Kladné číslo  zobrazí předchozí návštěvy ve widgetu souhrnných údajů pacienta. Záporné číslo  zobrazí předchozí návštěvy v sestupném pořadí');
INSERT INTO `lang_definitions` VALUES (148790, 37, 28, 'Kladné číslo  zobrazí předchozí návštěvy ve widgetu souhrnných údajů pacienta.');
INSERT INTO `lang_definitions` VALUES (148791, 43, 28, 'Ka každé návštěvě je nutné zadat zdroj doporučení');
INSERT INTO `lang_definitions` VALUES (148792, 44, 28, 'Je vyžadován související IPPF kód');
INSERT INTO `lang_definitions` VALUES (148793, 49, 28, 'Speciální znak');
INSERT INTO `lang_definitions` VALUES (148794, 53, 28, 'Unikátní identifikátor pole není pro uživatele viditelný');
INSERT INTO `lang_definitions` VALUES (148795, 56, 28, 'Tento pacient má již existující dnešní návštěvu. Volbou CANCEL ji otevřete nebo volnou OK  založíte novou');
INSERT INTO `lang_definitions` VALUES (148796, 57, 28, 'a.c');
INSERT INTO `lang_definitions` VALUES (148797, 58, 28, 'dopoledne');
INSERT INTO `lang_definitions` VALUES (148798, 60, 28, 'A/F Level Right:');
INSERT INTO `lang_definitions` VALUES (148799, 62, 28, 'AB');
INSERT INTO `lang_definitions` VALUES (148800, 63, 28, 'Zkrácení');
INSERT INTO `lang_definitions` VALUES (148801, 64, 28, 'Absces');
INSERT INTO `lang_definitions` VALUES (148802, 65, 28, 'Abdominální');
INSERT INTO `lang_definitions` VALUES (148803, 66, 28, 'Schopnost zatížit (4) kroky');
INSERT INTO `lang_definitions` VALUES (148804, 67, 28, 'Abn');
INSERT INTO `lang_definitions` VALUES (148805, 68, 28, 'ABN1');
INSERT INTO `lang_definitions` VALUES (148806, 70, 28, 'Abnormální');
INSERT INTO `lang_definitions` VALUES (148807, 71, 28, 'Abnormální krevní test');
INSERT INTO `lang_definitions` VALUES (148808, 72, 28, 'Patologie růstu vlasů');
INSERT INTO `lang_definitions` VALUES (148809, 73, 28, 'Patologický mamogram');
INSERT INTO `lang_definitions` VALUES (148810, 75, 28, 'Potrat');
INSERT INTO `lang_definitions` VALUES (148811, 76, 28, 'Potíže související s potraty');
INSERT INTO `lang_definitions` VALUES (148812, 77, 28, 'Metoda potratu');
INSERT INTO `lang_definitions` VALUES (148813, 78, 28, 'Kategorie potratu');
INSERT INTO `lang_definitions` VALUES (148814, 79, 28, 'Potraty');
INSERT INTO `lang_definitions` VALUES (148815, 82, 28, 'O kalendáři');
INSERT INTO `lang_definitions` VALUES (148816, 85, 28, 'Chybí diagnóza');
INSERT INTO `lang_definitions` VALUES (148817, 87, 28, 'Přijmout ustanovení');
INSERT INTO `lang_definitions` VALUES (148818, 89, 28, 'Přijetí platby za');
INSERT INTO `lang_definitions` VALUES (148819, 90, 28, 'Přijetí platby za');
INSERT INTO `lang_definitions` VALUES (148820, 91, 28, 'O kalendáři');
INSERT INTO `lang_definitions` VALUES (148821, 93, 28, 'Kontrola přístupu');
INSERT INTO `lang_definitions` VALUES (148822, 94, 28, 'Správa kontroly přístupu');
INSERT INTO `lang_definitions` VALUES (148823, 98, 28, 'Datum přístupu');
INSERT INTO `lang_definitions` VALUES (148824, 102, 28, 'Přístup není povolen');
INSERT INTO `lang_definitions` VALUES (148825, 103, 28, 'Přístup není autorizován');
INSERT INTO `lang_definitions` VALUES (148826, 105, 28, 'Přístup do pacientského portálu');
INSERT INTO `lang_definitions` VALUES (148827, 106, 28, 'Nehoda');
INSERT INTO `lang_definitions` VALUES (148828, 113, 28, 'Název účtu');
INSERT INTO `lang_definitions` VALUES (148829, 117, 28, 'Účetnictví');
INSERT INTO `lang_definitions` VALUES (148830, 122, 28, 'Bolesti');
INSERT INTO `lang_definitions` VALUES (148831, 124, 28, 'Požadovaná potvrzení');
INSERT INTO `lang_definitions` VALUES (148832, 125, 28, 'Poděkování, licence a certifikace');
INSERT INTO `lang_definitions` VALUES (148833, 126, 28, 'ACL');
INSERT INTO `lang_definitions` VALUES (148834, 127, 28, 'Správa ACL');
INSERT INTO `lang_definitions` VALUES (148835, 129, 28, 'Správa ACL není autorizována');
INSERT INTO `lang_definitions` VALUES (148836, 132, 28, 'Úspěšná aktualizace ACL');
INSERT INTO `lang_definitions` VALUES (148837, 133, 28, 'Akné');
INSERT INTO `lang_definitions` VALUES (148838, 136, 28, 'Výkon');
INSERT INTO `lang_definitions` VALUES (148839, 137, 28, 'Datum výkonu');
INSERT INTO `lang_definitions` VALUES (148840, 138, 28, 'Akce');
INSERT INTO `lang_definitions` VALUES (148841, 142, 28, 'Akce');
INSERT INTO `lang_definitions` VALUES (148842, 144, 28, 'Aktivovat CCR/CCD reporting');
INSERT INTO `lang_definitions` VALUES (148843, 148, 28, 'Aktivní');
INSERT INTO `lang_definitions` VALUES (148844, 150, 28, 'Aktivní upozornění');
INSERT INTO `lang_definitions` VALUES (148845, 152, 28, 'Pravidla pro aktivní upozornění');
INSERT INTO `lang_definitions` VALUES (148846, 153, 28, 'Aktivní upozornění/připomenutí');
INSERT INTO `lang_definitions` VALUES (148847, 158, 28, 'Aktivní vyšetření');
INSERT INTO `lang_definitions` VALUES (148848, 160, 28, 'Aktivní seznam');
INSERT INTO `lang_definitions` VALUES (148849, 162, 28, 'Aktivní pacient');
INSERT INTO `lang_definitions` VALUES (148850, 163, 28, 'Aktivní plány');
INSERT INTO `lang_definitions` VALUES (148851, 173, 28, 'Aktivita');
INSERT INTO `lang_definitions` VALUES (148852, 174, 28, 'Typ aktivity');
INSERT INTO `lang_definitions` VALUES (148853, 185, 28, 'Akutní otrava/odstranění');
INSERT INTO `lang_definitions` VALUES (148854, 186, 28, 'Akutní manifestace chronického onemocnění');
INSERT INTO `lang_definitions` VALUES (148855, 187, 28, 'Akutní nebo chronický');
INSERT INTO `lang_definitions` VALUES (148856, 189, 28, 'Přidat');
INSERT INTO `lang_definitions` VALUES (148857, 190, 28, 'Přidat');
INSERT INTO `lang_definitions` VALUES (148858, 191, 28, 'Přidat');
INSERT INTO `lang_definitions` VALUES (148859, 192, 28, 'Přidat společnost');
INSERT INTO `lang_definitions` VALUES (148860, 197, 28, 'Přidat lékárnu');
INSERT INTO `lang_definitions` VALUES (148861, 200, 28, 'Přidat akci');
INSERT INTO `lang_definitions` VALUES (148862, 202, 28, 'Přidat novou poznámku');
INSERT INTO `lang_definitions` VALUES (148863, 203, 28, 'Přidat jako nový');
INSERT INTO `lang_definitions` VALUES (148864, 206, 28, 'Přidat tlačítko');
INSERT INTO `lang_definitions` VALUES (148865, 207, 28, 'Přidat tlačítko pro speciální znak, text pro zobrazení v menu editoru');
INSERT INTO `lang_definitions` VALUES (148866, 208, 28, 'Přidat kategorii');
INSERT INTO `lang_definitions` VALUES (148867, 209, 28, 'Přidat konstantu');
INSERT INTO `lang_definitions` VALUES (148868, 210, 28, 'Přidat kontext');
INSERT INTO `lang_definitions` VALUES (148869, 211, 28, 'Přidat spoluplátce');
INSERT INTO `lang_definitions` VALUES (148870, 212, 28, 'Přidat kriteria');
INSERT INTO `lang_definitions` VALUES (148871, 213, 28, 'Přidat volitelné tlačítko');
INSERT INTO `lang_definitions` VALUES (148872, 216, 28, 'Přidat diagnózu');
INSERT INTO `lang_definitions` VALUES (148873, 217, 28, 'Přidat léčivo');
INSERT INTO `lang_definitions` VALUES (148874, 220, 28, 'Přidat vyšetření');
INSERT INTO `lang_definitions` VALUES (148875, 221, 28, 'Přidat vyšetření');
INSERT INTO `lang_definitions` VALUES (148876, 222, 28, 'Přidat zařízení');
INSERT INTO `lang_definitions` VALUES (148877, 223, 28, 'Přidat pole');
INSERT INTO `lang_definitions` VALUES (148878, 224, 28, 'Přidat následující řádky do konfiguračního souboru Apache');
INSERT INTO `lang_definitions` VALUES (148879, 225, 28, 'Přidat skupinu');
INSERT INTO `lang_definitions` VALUES (148880, 227, 28, 'Přidat MKN kód');
INSERT INTO `lang_definitions` VALUES (148881, 228, 28, 'Přidat očkování');
INSERT INTO `lang_definitions` VALUES (148882, 229, 28, 'Není oprávnění přidat !');
INSERT INTO `lang_definitions` VALUES (148883, 230, 28, 'Přidat problém');
INSERT INTO `lang_definitions` VALUES (148884, 231, 28, 'Přidat položku ke sledování');
INSERT INTO `lang_definitions` VALUES (148885, 232, 28, 'Přidat jazyk');
INSERT INTO `lang_definitions` VALUES (148886, 238, 28, 'Přidat nový');
INSERT INTO `lang_definitions` VALUES (148887, 239, 28, 'Přidat nový');
INSERT INTO `lang_definitions` VALUES (148888, 240, 28, 'Přidat novou kategorii');
INSERT INTO `lang_definitions` VALUES (148889, 241, 28, 'Přidat nový certifikát do konfiguračního souboru Apache');
INSERT INTO `lang_definitions` VALUES (148890, 242, 28, 'Přidat novou součást');
INSERT INTO `lang_definitions` VALUES (148891, 243, 28, 'Přidat nové součásti');
INSERT INTO `lang_definitions` VALUES (148892, 249, 28, 'Přidat novou skupinu');
INSERT INTO `lang_definitions` VALUES (148893, 250, 28, 'Přidat nový problém');
INSERT INTO `lang_definitions` VALUES (148894, 251, 28, 'Přidat nové množství a transakci');
INSERT INTO `lang_definitions` VALUES (148895, 253, 28, 'Přidat novou poznámku');
INSERT INTO `lang_definitions` VALUES (148896, 254, 28, 'Přidat novou poznámku');
INSERT INTO `lang_definitions` VALUES (148897, 255, 28, 'Přidat nového partnera');
INSERT INTO `lang_definitions` VALUES (148898, 256, 28, 'Přidat nového pacienta');
INSERT INTO `lang_definitions` VALUES (148899, 264, 28, 'Přidat poznámku');
INSERT INTO `lang_definitions` VALUES (148900, 268, 28, 'Přidat záznam pacienta');
INSERT INTO `lang_definitions` VALUES (148901, 269, 28, 'Přidat předpis');
INSERT INTO `lang_definitions` VALUES (148902, 270, 28, 'Přidat proceduru');
INSERT INTO `lang_definitions` VALUES (148903, 271, 28, 'Přidat číslo poskytovatele');
INSERT INTO `lang_definitions` VALUES (148904, 273, 28, 'Přidat rehabilitaci');
INSERT INTO `lang_definitions` VALUES (148905, 274, 28, 'Přidat roli');
INSERT INTO `lang_definitions` VALUES (148906, 277, 28, 'Přidat do');
INSERT INTO `lang_definitions` VALUES (148907, 281, 28, 'Přidat do seznamu léků');
INSERT INTO `lang_definitions` VALUES (148908, 282, 28, 'Přidat nejvyšší úroveň');
INSERT INTO `lang_definitions` VALUES (148909, 283, 28, 'Přidat transakci');
INSERT INTO `lang_definitions` VALUES (148910, 284, 28, 'Přidat uživatele');
INSERT INTO `lang_definitions` VALUES (148911, 285, 28, 'Přidat uživatele do skupiny');
INSERT INTO `lang_definitions` VALUES (148912, 287, 28, 'Přidat/editovat eRx');
INSERT INTO `lang_definitions` VALUES (148913, 289, 28, 'Přidat/editovat transakci pacienta');
INSERT INTO `lang_definitions` VALUES (148914, 290, 28, 'Přidáno');
INSERT INTO `lang_definitions` VALUES (148915, 293, 28, 'Přidání demografických údajů není autorizováno');
INSERT INTO `lang_definitions` VALUES (148916, 294, 28, 'Přidání položky ke sledování  selhalo');
INSERT INTO `lang_definitions` VALUES (148917, 295, 28, 'Adissonský syndrom');
INSERT INTO `lang_definitions` VALUES (148918, 296, 28, 'Adissonský syndrom');
INSERT INTO `lang_definitions` VALUES (148919, 297, 28, 'Další atributy');
INSERT INTO `lang_definitions` VALUES (148920, 300, 28, 'Další diagnózy');
INSERT INTO `lang_definitions` VALUES (148921, 305, 28, 'Doplňková anamnéza');
INSERT INTO `lang_definitions` VALUES (148922, 306, 28, 'Doplňující poznámka k anamnéze');
INSERT INTO `lang_definitions` VALUES (148923, 307, 28, 'Doplňující informace');
INSERT INTO `lang_definitions` VALUES (148924, 310, 28, 'Doplňující laboratoře');
INSERT INTO `lang_definitions` VALUES (148925, 311, 28, 'Doplňující poznámky');
INSERT INTO `lang_definitions` VALUES (148926, 313, 28, 'Doplňující poznámky pro tento závěr nebo doporučení');
INSERT INTO `lang_definitions` VALUES (148927, 314, 28, 'Doplňující poznámky');
INSERT INTO `lang_definitions` VALUES (148928, 315, 28, 'Doplňující poznámky');
INSERT INTO `lang_definitions` VALUES (148929, 317, 28, 'Doplňující poznámky k RDG metodě');
INSERT INTO `lang_definitions` VALUES (148930, 318, 28, 'Additionally, the corresponding US Snomed Extension Package can be imported separately after installing the International (English version) Snomed Release');
INSERT INTO `lang_definitions` VALUES (148931, 322, 28, 'Adresář');
INSERT INTO `lang_definitions` VALUES (148932, 323, 28, 'Adresář');
INSERT INTO `lang_definitions` VALUES (148933, 324, 28, 'Adresa');
INSERT INTO `lang_definitions` VALUES (148934, 327, 28, 'Adresář');
INSERT INTO `lang_definitions` VALUES (148935, 328, 28, 'Adresářový údaj společnosti poskytující tuto proceduru');
INSERT INTO `lang_definitions` VALUES (148936, 329, 28, 'Položka adresáře pro distributora');
INSERT INTO `lang_definitions` VALUES (148937, 330, 28, 'Položka adresáře pro prodejce');
INSERT INTO `lang_definitions` VALUES (148938, 331, 28, 'Typy adresářů');
INSERT INTO `lang_definitions` VALUES (148939, 332, 28, 'Adresní štítek');
INSERT INTO `lang_definitions` VALUES (148940, 339, 28, 'Adresa 1');
INSERT INTO `lang_definitions` VALUES (148941, 340, 28, 'Adresa 2');
INSERT INTO `lang_definitions` VALUES (148942, 342, 28, 'Adresát');
INSERT INTO `lang_definitions` VALUES (148943, 345, 28, 'Adj');
INSERT INTO `lang_definitions` VALUES (148944, 346, 28, 'Adj amount');
INSERT INTO `lang_definitions` VALUES (148945, 347, 28, 'Přizpůsobit');
INSERT INTO `lang_definitions` VALUES (148946, 348, 28, 'Přizpůsobení');
INSERT INTO `lang_definitions` VALUES (148947, 349, 28, 'Přizpůsobit množství');
INSERT INTO `lang_definitions` VALUES (148948, 350, 28, 'Přizpůsobit důvody');
INSERT INTO `lang_definitions` VALUES (148949, 352, 28, 'Přizpůsobit hodnotu kódu');
INSERT INTO `lang_definitions` VALUES (148950, 353, 28, 'Úpravy');
INSERT INTO `lang_definitions` VALUES (148951, 354, 28, 'Správa přizpůsobení');
INSERT INTO `lang_definitions` VALUES (148952, 355, 28, 'Administrátor');
INSERT INTO `lang_definitions` VALUES (148953, 356, 28, 'E-mail adresa administrátora');
INSERT INTO `lang_definitions` VALUES (148954, 357, 28, 'Spravovat přes');
INSERT INTO `lang_definitions` VALUES (148955, 359, 28, 'Podáván');
INSERT INTO `lang_definitions` VALUES (148956, 360, 28, 'Spravován');
INSERT INTO `lang_definitions` VALUES (148957, 361, 28, 'Spravované datum');
INSERT INTO `lang_definitions` VALUES (148958, 362, 28, 'Spravovaná stránka');
INSERT INTO `lang_definitions` VALUES (148959, 363, 28, 'Správa');
INSERT INTO `lang_definitions` VALUES (148960, 365, 28, 'Správa stránky');
INSERT INTO `lang_definitions` VALUES (148961, 366, 28, 'Administrátoři');
INSERT INTO `lang_definitions` VALUES (148962, 367, 28, 'Administrátor má neomezený přístup');
INSERT INTO `lang_definitions` VALUES (148963, 368, 28, 'Datum přijetí');
INSERT INTO `lang_definitions` VALUES (148964, 371, 28, 'Sledování hmotnosti u dospělých');
INSERT INTO `lang_definitions` VALUES (148965, 372, 28, 'Sledování hmotnosti u dospělých (CQM)');
INSERT INTO `lang_definitions` VALUES (148966, 373, 28, 'Navrhnout opatření');
INSERT INTO `lang_definitions` VALUES (148967, 374, 28, 'Navrhnout opatření');
INSERT INTO `lang_definitions` VALUES (148968, 375, 28, 'Upozornění k navrhovaným opatřením');
INSERT INTO `lang_definitions` VALUES (148969, 377, 28, 'Pokrčočilý');
INSERT INTO `lang_definitions` VALUES (148970, 380, 28, 'Pokyn, ponaučení');
INSERT INTO `lang_definitions` VALUES (148971, 381, 28, 'daleko');
INSERT INTO `lang_definitions` VALUES (148972, 382, 28, 'Affect normal');
INSERT INTO `lang_definitions` VALUES (148973, 383, 28, 'Afrikaans');
INSERT INTO `lang_definitions` VALUES (148974, 386, 28, 'Volání po vyhrazených hodinách');
INSERT INTO `lang_definitions` VALUES (148975, 387, 28, 'After migration from the old password mechanisms where passwords are stored in the users table without salt is complete, this flag should be set to false so that only authentication by the new method is possible');
INSERT INTO `lang_definitions` VALUES (148976, 388, 28, 'Po provedení výše zmíněné konfigurace, importujte klientský certifikát do prohlížeče a restartujte Apache server ( prázdné heslo)');
INSERT INTO `lang_definitions` VALUES (148977, 390, 28, 'Po uložení souboru PDF, klikněte na [Prohlédnout log] ke kontrole chyb');
INSERT INTO `lang_definitions` VALUES (148978, 393, 28, 'Po uložení souboru TEXT, klikněte na [Prohlédnout log] ke kontrole chyb');
INSERT INTO `lang_definitions` VALUES (148979, 396, 28, 'Po uložení dávky, klikněte na [Prohlédnout log] ke kontrole chyb');
INSERT INTO `lang_definitions` VALUES (148980, 398, 28, 'Odpovídající sloupec bude poté zobrazovat ID vybraného pacienta, nebo 0 k vytvoření');
INSERT INTO `lang_definitions` VALUES (148981, 399, 28, 'Po vložení správné informace, klikněte na tlačítko Uložit');
INSERT INTO `lang_definitions` VALUES (148982, 400, 28, 'Po nahrání klikněte na tlačítko \" IMPORT\"');
INSERT INTO `lang_definitions` VALUES (148983, 404, 28, 'Plánování následné péče');
INSERT INTO `lang_definitions` VALUES (148984, 406, 28, 'Znovu');
INSERT INTO `lang_definitions` VALUES (148985, 407, 28, 'Věk');
INSERT INTO `lang_definitions` VALUES (148986, 409, 28, 'Dle věku');
INSERT INTO `lang_definitions` VALUES (148987, 410, 28, 'Věková kategorie');
INSERT INTO `lang_definitions` VALUES (148988, 411, 28, 'Zadaný věk je mimo rozsah');
INSERT INTO `lang_definitions` VALUES (148989, 412, 28, 'Formát zobrazení věku');
INSERT INTO `lang_definitions` VALUES (148990, 413, 28, 'Věk zadán ve špatném formátu');
INSERT INTO `lang_definitions` VALUES (148991, 414, 28, 'Horní věková hranice je ve špatném formátu');
INSERT INTO `lang_definitions` VALUES (148992, 415, 28, 'Věk od');
INSERT INTO `lang_definitions` VALUES (148993, 416, 28, 'Věk v letech pro zobrazení změny formátu');
INSERT INTO `lang_definitions` VALUES (148994, 417, 28, 'Věk maximálně');
INSERT INTO `lang_definitions` VALUES (148995, 418, 28, 'Věk minimálně');
INSERT INTO `lang_definitions` VALUES (148996, 419, 28, 'Rozsah věku');
INSERT INTO `lang_definitions` VALUES (148997, 421, 28, 'Sloupce věku');
INSERT INTO `lang_definitions` VALUES (148998, 422, 28, 'Akan');
INSERT INTO `lang_definitions` VALUES (148999, 423, 28, 'Albánský');
INSERT INTO `lang_definitions` VALUES (149000, 424, 28, 'Alkohol');
INSERT INTO `lang_definitions` VALUES (149001, 425, 28, 'Spotřeba alkoholu');
INSERT INTO `lang_definitions` VALUES (149002, 426, 28, 'Užívání alkoholu');
INSERT INTO `lang_definitions` VALUES (149003, 428, 28, 'Počet varování');
INSERT INTO `lang_definitions` VALUES (149004, 435, 28, 'Výstrahy');
INSERT INTO `lang_definitions` VALUES (149005, 439, 28, 'ALEUT');
INSERT INTO `lang_definitions` VALUES (149006, 440, 28, 'Všechno');
INSERT INTO `lang_definitions` VALUES (149007, 441, 28, 'Všechno');
INSERT INTO `lang_definitions` VALUES (149008, 443, 28, 'Všchno ( řazeno ve formátu A )');
INSERT INTO `lang_definitions` VALUES (149009, 444, 28, 'Všchno ( řazeno ve formátu B )');
INSERT INTO `lang_definitions` VALUES (149010, 445, 28, 'Všechno ( úhrnem )');
INSERT INTO `lang_definitions` VALUES (149011, 447, 28, 'Všechny automatizované měřící výpočty ( AMC )');
INSERT INTO `lang_definitions` VALUES (149012, 448, 28, 'Všechny kategorie');
INSERT INTO `lang_definitions` VALUES (149013, 449, 28, 'Všechna měření klinické kvality (CQM)');
INSERT INTO `lang_definitions` VALUES (149014, 450, 28, 'Všechny kódy');
INSERT INTO `lang_definitions` VALUES (149015, 453, 28, 'Všechny dny');
INSERT INTO `lang_definitions` VALUES (149016, 454, 28, 'Všechny denní události');
INSERT INTO `lang_definitions` VALUES (149017, 455, 28, 'Všechny demografické údaje s vyhledáváním a kontrolou duplicit');
INSERT INTO `lang_definitions` VALUES (149018, 457, 28, 'Všechna zařízení');
INSERT INTO `lang_definitions` VALUES (149019, 458, 28, 'Všechny úrazy/problémy/potíže');
INSERT INTO `lang_definitions` VALUES (149020, 459, 28, 'Všechny jazyky povoleny');
INSERT INTO `lang_definitions` VALUES (149021, 461, 28, 'Všechna oficální měření klinické kvality (CQM) Skupiny měření');
INSERT INTO `lang_definitions` VALUES (149022, 462, 28, 'Celé nebo část jména');
INSERT INTO `lang_definitions` VALUES (149023, 463, 28, 'Celé nebo část příjmení');
INSERT INTO `lang_definitions` VALUES (149024, 464, 28, 'Celý nebo část názvu organizace');
INSERT INTO `lang_definitions` VALUES (149025, 466, 28, 'Všichni pacienti');
INSERT INTO `lang_definitions` VALUES (149026, 468, 28, 'Všechny produkty');
INSERT INTO `lang_definitions` VALUES (149027, 469, 28, 'Všichni poskytovatelé');
INSERT INTO `lang_definitions` VALUES (149028, 470, 28, 'Všechny provedené kontroly negativní');
INSERT INTO `lang_definitions` VALUES (149029, 475, 28, 'Všechna témata');
INSERT INTO `lang_definitions` VALUES (149030, 478, 28, 'Všichni uživatelé');
INSERT INTO `lang_definitions` VALUES (149031, 479, 28, 'Alergický');
INSERT INTO `lang_definitions` VALUES (149032, 481, 28, 'Alergie');
INSERT INTO `lang_definitions` VALUES (149033, 484, 28, 'Alergie :');
INSERT INTO `lang_definitions` VALUES (149034, 485, 28, 'Alergie');
INSERT INTO `lang_definitions` VALUES (149035, 486, 28, 'Vložení alergie úspěšně provedeno');
INSERT INTO `lang_definitions` VALUES (149036, 487, 28, 'Seznam alergií');
INSERT INTO `lang_definitions` VALUES (149037, 488, 28, 'Alergická reakce');
INSERT INTO `lang_definitions` VALUES (149038, 491, 28, 'Přidělit');
INSERT INTO `lang_definitions` VALUES (149039, 492, 28, 'Povolit');
INSERT INTO `lang_definitions` VALUES (149040, 494, 28, 'Při přihlášení umožnit výběr ze všech kazyků');
INSERT INTO `lang_definitions` VALUES (149041, 496, 28, 'Umožnit vytvoření požadavků obsahujících diagnózy ale ne procedury nebo ceny. Většina pracovišť toto nevyužívá.');
INSERT INTO `lang_definitions` VALUES (149042, 497, 28, 'Povolit ladění');
INSERT INTO `lang_definitions` VALUES (149043, 500, 28, 'Povolit e-mail');
INSERT INTO `lang_definitions` VALUES (149044, 501, 28, 'Povolit e-mailové zprávy ?');
INSERT INTO `lang_definitions` VALUES (149045, 502, 28, 'Povolit e-mail ?');
INSERT INTO `lang_definitions` VALUES (149046, 503, 28, 'Povolit požadavky na vyšetření');
INSERT INTO `lang_definitions` VALUES (149047, 506, 28, 'Povolit výměnu zdravotních údajů');
INSERT INTO `lang_definitions` VALUES (149048, 508, 28, 'Sdílet informace o očkování');
INSERT INTO `lang_definitions` VALUES (149049, 509, 28, 'Povolit použití očkovacího registru');
INSERT INTO `lang_definitions` VALUES (149050, 512, 28, 'Povolit mailovou zprávu');
INSERT INTO `lang_definitions` VALUES (149051, 533, 28, 'Povolit pacientský portál');
INSERT INTO `lang_definitions` VALUES (149052, 541, 28, 'Povolit SMS');
INSERT INTO `lang_definitions` VALUES (149053, 542, 28, 'Povolit SMS zprávy ?');
INSERT INTO `lang_definitions` VALUES (149054, 544, 28, 'Povolit předložené události jako ihned aktivní ?');
INSERT INTO `lang_definitions` VALUES (149055, 545, 28, 'Povolit telefonické zprávy ?');
INSERT INTO `lang_definitions` VALUES (149056, 547, 28, 'Umožnit uživatelům publikovat globální události');
INSERT INTO `lang_definitions` VALUES (149057, 548, 28, 'Povolit uživateli zveřejnit osobní kalendář');
INSERT INTO `lang_definitions` VALUES (149058, 554, 28, 'Povolit hlasové zprávy');
INSERT INTO `lang_definitions` VALUES (149059, 555, 28, 'Povoleno');
INSERT INTO `lang_definitions` VALUES (149060, 556, 28, 'Povolené jazyky');
INSERT INTO `lang_definitions` VALUES (149061, 558, 28, 'Povoleno (c)');
INSERT INTO `lang_definitions` VALUES (149062, 559, 28, 'Povolit požadavky na vyšetření');
INSERT INTO `lang_definitions` VALUES (149063, 560, 28, 'Umožňuje e-podpis individuálních formulářů');
INSERT INTO `lang_definitions` VALUES (149064, 561, 28, 'Umožňuje mail');
INSERT INTO `lang_definitions` VALUES (149065, 562, 28, 'Umožňuje hlasové zprávy');
INSERT INTO `lang_definitions` VALUES (149066, 566, 28, 'Již existuje');
INSERT INTO `lang_definitions` VALUES (149067, 568, 28, 'Již existuje');
INSERT INTO `lang_definitions` VALUES (149068, 570, 28, 'Již používán, zvolte jiný identifikátor');
INSERT INTO `lang_definitions` VALUES (149069, 571, 28, 'Již používán, zvolte jiný název');
INSERT INTO `lang_definitions` VALUES (149070, 573, 28, 'Alternativní adresa');
INSERT INTO `lang_definitions` VALUES (149071, 577, 28, 'Upravit');
INSERT INTO `lang_definitions` VALUES (149072, 586, 28, 'AM');
INSERT INTO `lang_definitions` VALUES (149073, 587, 28, 'Program AM');
INSERT INTO `lang_definitions` VALUES (149074, 592, 28, 'AMC');
INSERT INTO `lang_definitions` VALUES (149075, 593, 28, 'Sledování AMC');
INSERT INTO `lang_definitions` VALUES (149076, 594, 28, 'AMC-2011');
INSERT INTO `lang_definitions` VALUES (149077, 595, 28, 'AMC-2014');
INSERT INTO `lang_definitions` VALUES (149078, 600, 28, 'Opravit stávající poznámku');
INSERT INTO `lang_definitions` VALUES (149079, 602, 28, 'Oprava Z');
INSERT INTO `lang_definitions` VALUES (149080, 604, 28, 'Oprava Stav');
INSERT INTO `lang_definitions` VALUES (149081, 605, 28, 'Změny');
INSERT INTO `lang_definitions` VALUES (149082, 609, 28, 'Změny pro');
INSERT INTO `lang_definitions` VALUES (149083, 610, 28, 'American Indian');
INSERT INTO `lang_definitions` VALUES (149084, 611, 28, 'American Indian or Alaska Native');
INSERT INTO `lang_definitions` VALUES (149085, 612, 28, 'AMEX');
INSERT INTO `lang_definitions` VALUES (149086, 613, 28, 'Amharic');
INSERT INTO `lang_definitions` VALUES (149087, 614, 28, 'Množství');
INSERT INTO `lang_definitions` VALUES (149088, 615, 28, 'Spravované množství');
INSERT INTO `lang_definitions` VALUES (149089, 621, 28, 'Částka pro tuto návštěvu');
INSERT INTO `lang_definitions` VALUES (149090, 622, 28, 'Částka zaplacena');
INSERT INTO `lang_definitions` VALUES (149091, 623, 28, 'Částka:');
INSERT INTO `lang_definitions` VALUES (149092, 626, 28, 'Část. zaúčtována');
INSERT INTO `lang_definitions` VALUES (149093, 630, 28, 'Pro opakující se události musí být zadáno konečné datum později než počáteční');
INSERT INTO `lang_definitions` VALUES (149094, 631, 28, 'Chyba při podpisu formuláře');
INSERT INTO `lang_definitions` VALUES (149095, 632, 28, 'Chyba při zálohování stromového webového adresáře OpenEMR');
INSERT INTO `lang_definitions` VALUES (149096, 633, 28, 'Chyba při zálohování stromového webového adresáře phpGACL');
INSERT INTO `lang_definitions` VALUES (149097, 634, 28, 'Chyba při zálohování stromového webového adresáře SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (149098, 638, 28, 'Nekompletní záznam GCAC.  Je potřeba ho později doplnit');
INSERT INTO `lang_definitions` VALUES (149099, 644, 28, 'Vyskytla se neočekávaná chyba');
INSERT INTO `lang_definitions` VALUES (149100, 646, 28, 'Velké písmeno');
INSERT INTO `lang_definitions` VALUES (149101, 648, 28, 'a');
INSERT INTO `lang_definitions` VALUES (149102, 649, 28, 'A');
INSERT INTO `lang_definitions` VALUES (149103, 650, 28, 'A');
INSERT INTO `lang_definitions` VALUES (149104, 651, 28, 'a');
INSERT INTO `lang_definitions` VALUES (149105, 652, 28, 'a všechna podřízená data ? Tato akce bude logována');
INSERT INTO `lang_definitions` VALUES (149106, 653, 28, 'a modifikátor');
INSERT INTO `lang_definitions` VALUES (149107, 654, 28, 'a zpracováno');
INSERT INTO `lang_definitions` VALUES (149108, 656, 28, 'a restartujte server Apache');
INSERT INTO `lang_definitions` VALUES (149109, 657, 28, 'a příčina je');
INSERT INTO `lang_definitions` VALUES (149110, 659, 28, 'Anémie');
INSERT INTO `lang_definitions` VALUES (149111, 660, 28, 'Hlezno');
INSERT INTO `lang_definitions` VALUES (149112, 661, 28, 'Hlezno + pata');
INSERT INTO `lang_definitions` VALUES (149113, 662, 28, 'Formulář vyšetření hlezna');
INSERT INTO `lang_definitions` VALUES (149114, 663, 28, 'Problémy s hleznem');
INSERT INTO `lang_definitions` VALUES (149115, 664, 28, 'Ankylozující spondylitis');
INSERT INTO `lang_definitions` VALUES (149116, 665, 28, 'Ankylozující spondylitis');
INSERT INTO `lang_definitions` VALUES (149117, 666, 28, 'Anorexie');
INSERT INTO `lang_definitions` VALUES (149118, 667, 28, 'Jinou činnost , kterou zde lze provést je  požadavek na sekundární účtování. Pokud zaškrtnete  tuto položku  před uložením , pak bude původní požadavek znovu otevřen a zařazen na stránku účtů a proveden  v příštím  běhu účtování.');
INSERT INTO `lang_definitions` VALUES (149119, 676, 28, 'Normální tonus  análního sfinkteru, nebolestivý,  reszistence nepřítomná');
INSERT INTO `lang_definitions` VALUES (149120, 677, 28, 'Úzkost');
INSERT INTO `lang_definitions` VALUES (149121, 679, 28, 'Libovolný');
INSERT INTO `lang_definitions` VALUES (149122, 682, 28, 'Libovolná kategorie');
INSERT INTO `lang_definitions` VALUES (149123, 688, 28, 'Libovolná část požadovaného  kódu nebo jeho popis');
INSERT INTO `lang_definitions` VALUES (149124, 689, 28, 'Libovolná část požadované specializace');
INSERT INTO `lang_definitions` VALUES (149125, 690, 28, 'Libovolná část ID nebo názvu léčiva');
INSERT INTO `lang_definitions` VALUES (149126, 691, 28, 'Libovolná část ID nebo názvu očkování');
INSERT INTO `lang_definitions` VALUES (149127, 692, 28, 'Libovolná část  jména pacienta, nebo \"poslední, první, nebo \"X-Y\"');
INSERT INTO `lang_definitions` VALUES (149128, 693, 28, 'Jakákoliv jiná relevantní infotrmace');
INSERT INTO `lang_definitions` VALUES (149129, 699, 28, 'Klíč API pro SMS bránu');
INSERT INTO `lang_definitions` VALUES (149130, 703, 28, 'Apnoe');
INSERT INTO `lang_definitions` VALUES (149131, 710, 28, 'Vzhled');
INSERT INTO `lang_definitions` VALUES (149132, 711, 28, 'Vzhled:');
INSERT INTO `lang_definitions` VALUES (149133, 714, 28, 'Přidat tuto poznámku');
INSERT INTO `lang_definitions` VALUES (149134, 716, 28, 'Přidat k existující poznámce');
INSERT INTO `lang_definitions` VALUES (149135, 717, 28, 'Přidat do této poznámky');
INSERT INTO `lang_definitions` VALUES (149136, 718, 28, 'Přidat do této poznámky');
INSERT INTO `lang_definitions` VALUES (149137, 719, 28, 'Appendektomie');
INSERT INTO `lang_definitions` VALUES (149138, 720, 28, 'Appendektomie');
INSERT INTO `lang_definitions` VALUES (149139, 721, 28, 'Vybraní pacienti');
INSERT INTO `lang_definitions` VALUES (149140, 722, 28, 'Program');
INSERT INTO `lang_definitions` VALUES (149141, 723, 28, 'Název programu  pro přihlašovací stránku a název hlavního okna');
INSERT INTO `lang_definitions` VALUES (149142, 724, 28, 'Příjmový kód aplikace ( GS03 - pokud nebude zadáno, bude použit ISA08 )');
INSERT INTO `lang_definitions` VALUES (149143, 725, 28, 'Kód odesílatele aplikace  (GS02)');
INSERT INTO `lang_definitions` VALUES (149144, 726, 28, 'Název aplikace');
INSERT INTO `lang_definitions` VALUES (149145, 727, 28, 'Použitelné na formuláři vitálních funkcí a růstových grafech');
INSERT INTO `lang_definitions` VALUES (149146, 728, 28, 'Použitelné na formuláři vitálních funkcí');
INSERT INTO `lang_definitions` VALUES (149147, 729, 28, 'Aplikovat změny pouze na  aktuální událost, aktuální a všechny budoucí výskyty nebo na všechny výskyty ?');
INSERT INTO `lang_definitions` VALUES (149148, 730, 28, 'aplikovat na postiženou oblast');
INSERT INTO `lang_definitions` VALUES (149149, 731, 28, 'aplikovat na kůži');
INSERT INTO `lang_definitions` VALUES (149150, 732, 28, 'Aplikace');
INSERT INTO `lang_definitions` VALUES (149151, 733, 28, 'Aplikuji  záplatu');
INSERT INTO `lang_definitions` VALUES (149152, 734, 28, 'Návštěva');
INSERT INTO `lang_definitions` VALUES (149153, 736, 28, 'Datum návštěvy');
INSERT INTO `lang_definitions` VALUES (149154, 742, 28, 'Zobrazení návštěvy');
INSERT INTO `lang_definitions` VALUES (149155, 744, 28, 'Pavidlo připomenutí návštěvy');
INSERT INTO `lang_definitions` VALUES (149156, 746, 28, 'Stav návštěvy');
INSERT INTO `lang_definitions` VALUES (149157, 747, 28, 'Stavy návštěv');
INSERT INTO `lang_definitions` VALUES (149158, 748, 28, 'Příjem v období mezi');
INSERT INTO `lang_definitions` VALUES (149159, 749, 28, 'Barva příjmu / události');
INSERT INTO `lang_definitions` VALUES (149160, 750, 28, 'Návštěvy');
INSERT INTO `lang_definitions` VALUES (149161, 751, 28, 'Návštěvy ( volitelné právo zápisu )');
INSERT INTO `lang_definitions` VALUES (149162, 752, 28, 'Návštěvy ( právo zápisu, úplné/částečné )');
INSERT INTO `lang_definitions` VALUES (149163, 758, 28, 'Návštěvy  a vyšetření');
INSERT INTO `lang_definitions` VALUES (149164, 760, 28, 'Report návštěv');
INSERT INTO `lang_definitions` VALUES (149165, 761, 28, 'Návštěvy - vyšetření report');
INSERT INTO `lang_definitions` VALUES (149166, 764, 28, 'Povolit');
INSERT INTO `lang_definitions` VALUES (149167, 766, 28, 'Povolit pacienta z Pacien/Klient ->Import-> Nevyřízená povolení');
INSERT INTO `lang_definitions` VALUES (149168, 767, 28, 'Potvrzeno');
INSERT INTO `lang_definitions` VALUES (149169, 768, 28, 'Správa schválených akcí');
INSERT INTO `lang_definitions` VALUES (149170, 769, 28, 'Úspěšně povoleno');
INSERT INTO `lang_definitions` VALUES (149171, 774, 28, 'Náv - Vyš');
INSERT INTO `lang_definitions` VALUES (149172, 776, 28, 'Návš.');
INSERT INTO `lang_definitions` VALUES (149173, 779, 28, 'Duben');
INSERT INTO `lang_definitions` VALUES (149174, 780, 28, 'Duben');
INSERT INTO `lang_definitions` VALUES (149175, 782, 28, 'Arabský');
INSERT INTO `lang_definitions` VALUES (149176, 783, 28, 'Aragonský');
INSERT INTO `lang_definitions` VALUES (149177, 784, 28, 'Archiv');
INSERT INTO `lang_definitions` VALUES (149178, 787, 28, 'Jsou přeloženy názvy skupin pro kontroly přístupu ?');
INSERT INTO `lang_definitions` VALUES (149179, 788, 28, 'jsou názvy kategorií příjmů k překladu ?');
INSERT INTO `lang_definitions` VALUES (149180, 789, 28, 'Jsou názvy kategorií dokumentů k překladu ?');
INSERT INTO `lang_definitions` VALUES (149181, 790, 28, 'Jsou definovány polpatky pro tento typ ?');
INSERT INTO `lang_definitions` VALUES (149182, 793, 28, 'Jsou názvy poznámek k pacientovi přeloženy ?');
INSERT INTO `lang_definitions` VALUES (149183, 794, 28, 'jsou kódy uloženy v externích SQL tabulkách (0-No, 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2)) ?');
INSERT INTO `lang_definitions` VALUES (149184, 795, 28, 'Jste připraveni  dokončit novou GCAG kategorii pro tuto návštěvu ?');
INSERT INTO `lang_definitions` VALUES (149185, 797, 28, 'Jste připraveni k odeslání za dnešek ?');
INSERT INTO `lang_definitions` VALUES (149186, 798, 28, 'Chcete potvrdit tyto akce ?');
INSERT INTO `lang_definitions` VALUES (149187, 801, 28, 'Opravdu chcete kompletně smazat tento formulář ?');
INSERT INTO `lang_definitions` VALUES (149188, 803, 28, 'Jste si jisti smazáním ?');
INSERT INTO `lang_definitions` VALUES (149189, 804, 28, 'Jste si jiti smazáním tohoto nálezu ?');
INSERT INTO `lang_definitions` VALUES (149190, 805, 28, 'Opravdu chcete smazat tuto událost ?');
INSERT INTO `lang_definitions` VALUES (149191, 806, 28, 'Opravdu chcete smazat tuto položku z databáze ?');
INSERT INTO `lang_definitions` VALUES (149192, 808, 28, 'Opravdu chcete smazat tuto poznámku ?');
INSERT INTO `lang_definitions` VALUES (149193, 810, 28, 'Opravdu chcete upravit tyto události ?');
INSERT INTO `lang_definitions` VALUES (149194, 811, 28, 'Opravdu chcete skrýt tyto události ?');
INSERT INTO `lang_definitions` VALUES (149195, 813, 28, 'Jste si jisti opětovným přenosem ?');
INSERT INTO `lang_definitions` VALUES (149196, 814, 28, 'Opravdu chcete prohlížet tyto události ?');
INSERT INTO `lang_definitions` VALUES (149197, 815, 28, 'Jste si jisti, že chcete odstranit celou skupinu s tímto názvem');
INSERT INTO `lang_definitions` VALUES (149198, 816, 28, 'Opravdu chcete smazat celý seznam ?');
INSERT INTO `lang_definitions` VALUES (149199, 817, 28, 'Opravdu chcete smazat pole v');
INSERT INTO `lang_definitions` VALUES (149200, 818, 28, 'Opravdu chcete smazat vybraná pole ?');
INSERT INTO `lang_definitions` VALUES (149201, 819, 28, 'Opravdu chcete pokračovat v těchto činnostech ?');
INSERT INTO `lang_definitions` VALUES (149202, 820, 28, 'Oblast není upřesněna');
INSERT INTO `lang_definitions` VALUES (149203, 821, 28, 'Paže');
INSERT INTO `lang_definitions` VALUES (149204, 822, 28, 'Arménský');
INSERT INTO `lang_definitions` VALUES (149205, 829, 28, 'Arytmie');
INSERT INTO `lang_definitions` VALUES (149206, 830, 28, 'Arthritis');
INSERT INTO `lang_definitions` VALUES (149207, 831, 28, 'Arthritis / degenartivní kloubní postižení');
INSERT INTO `lang_definitions` VALUES (149208, 832, 28, 'Arthritis / degenartivní kloubní postižení');
INSERT INTO `lang_definitions` VALUES (149209, 836, 28, 'jak');
INSERT INTO `lang_definitions` VALUES (149210, 844, 28, 'ACS');
INSERT INTO `lang_definitions` VALUES (149211, 845, 28, 'Asijský');
INSERT INTO `lang_definitions` VALUES (149212, 846, 28, 'Asamský');
INSERT INTO `lang_definitions` VALUES (149213, 848, 28, 'Zhodnocení');
INSERT INTO `lang_definitions` VALUES (149214, 853, 28, 'Přidelění');
INSERT INTO `lang_definitions` VALUES (149215, 854, 28, 'Asistent');
INSERT INTO `lang_definitions` VALUES (149216, 861, 28, 'Asthma bronchiale');
INSERT INTO `lang_definitions` VALUES (149217, 862, 28, 'v');
INSERT INTO `lang_definitions` VALUES (149218, 863, 28, 'Při výběru všech položek je vyžadován alespoň jeden vyhledávací parametr');
INSERT INTO `lang_definitions` VALUES (149219, 866, 28, 'Na os naviculare');
INSERT INTO `lang_definitions` VALUES (149220, 867, 28, 'Na os naviculare');
INSERT INTO `lang_definitions` VALUES (149221, 868, 28, 'Atletický tým');
INSERT INTO `lang_definitions` VALUES (149222, 869, 28, 'Atletický tým');
INSERT INTO `lang_definitions` VALUES (149223, 870, 28, 'Atletický/Úraz');
INSERT INTO `lang_definitions` VALUES (149224, 871, 28, 'CA certifikát ANTA auditu');
INSERT INTO `lang_definitions` VALUES (149225, 872, 28, 'ANTA audit host');
INSERT INTO `lang_definitions` VALUES (149226, 873, 28, 'Lokální certifikát ANTA auditu');
INSERT INTO `lang_definitions` VALUES (149227, 874, 28, 'Port ANTA auditu');
INSERT INTO `lang_definitions` VALUES (149228, 877, 28, 'Výstraha');
INSERT INTO `lang_definitions` VALUES (149229, 879, 28, 'Výstraha');
INSERT INTO `lang_definitions` VALUES (149230, 883, 28, 'Audit požadavků na CDR');
INSERT INTO `lang_definitions` VALUES (149231, 890, 28, 'Audit logování záloh');
INSERT INTO `lang_definitions` VALUES (149232, 891, 28, 'Audit logování různých');
INSERT INTO `lang_definitions` VALUES (149233, 892, 28, 'Audit logování příkazů');
INSERT INTO `lang_definitions` VALUES (149234, 893, 28, 'Audit logování záznamů pacienta');
INSERT INTO `lang_definitions` VALUES (149235, 894, 28, 'Audit logování plánování');
INSERT INTO `lang_definitions` VALUES (149236, 895, 28, 'Audit logování správy zabezpečení');
INSERT INTO `lang_definitions` VALUES (149237, 896, 28, 'Audit logování vybrané položky');
INSERT INTO `lang_definitions` VALUES (149238, 898, 28, 'Srp');
INSERT INTO `lang_definitions` VALUES (149239, 899, 28, 'Srpen');
INSERT INTO `lang_definitions` VALUES (149240, 901, 28, 'Aut.');
INSERT INTO `lang_definitions` VALUES (149241, 902, 28, 'Aut./poznámky');
INSERT INTO `lang_definitions` VALUES (149242, 922, 28, 'Autorizační skupina');
INSERT INTO `lang_definitions` VALUES (149243, 923, 28, 'Stav autorizace');
INSERT INTO `lang_definitions` VALUES (149244, 924, 28, 'Autorizace');
INSERT INTO `lang_definitions` VALUES (149245, 925, 28, 'Autorizovat');
INSERT INTO `lang_definitions` VALUES (149246, 926, 28, 'Autorizovat - jakékoliv návštěvy');
INSERT INTO `lang_definitions` VALUES (149247, 928, 28, 'Autorizovat - moje návštěvy');
INSERT INTO `lang_definitions` VALUES (149248, 933, 28, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (149249, 934, 28, 'Autorizováno');
INSERT INTO `lang_definitions` VALUES (149250, 936, 28, 'Pouze autorizováno');
INSERT INTO `lang_definitions` VALUES (149251, 941, 28, 'Automatické odeslání');
INSERT INTO `lang_definitions` VALUES (149252, 944, 28, 'Auto - vytvoření nového vyšetření');
INSERT INTO `lang_definitions` VALUES (149253, 945, 28, 'Automaticky generováno');
INSERT INTO `lang_definitions` VALUES (149254, 947, 28, 'Automatizované měřící výpočty ( AMC )');
INSERT INTO `lang_definitions` VALUES (149255, 948, 28, 'Automatizované měřící výpočty ( AMC ) - 2011');
INSERT INTO `lang_definitions` VALUES (149256, 949, 28, 'Automatizované měřící výpočty ( AMC ) - 2014');
INSERT INTO `lang_definitions` VALUES (149257, 952, 28, 'Automatizované měřící výpočty ( AMC ) Sledování');
INSERT INTO `lang_definitions` VALUES (149258, 953, 28, 'Automatizované měření (AMC)');
INSERT INTO `lang_definitions` VALUES (149259, 955, 28, 'Automatický');
INSERT INTO `lang_definitions` VALUES (149260, 959, 28, 'Automaticky vytvořit novou návštěvu pokud je  status návštěvy nastaven na \"@\" (dostavil se)');
INSERT INTO `lang_definitions` VALUES (149261, 964, 28, 'Automaticky uloženo');
INSERT INTO `lang_definitions` VALUES (149262, 967, 28, 'Dostupné kategorie');
INSERT INTO `lang_definitions` VALUES (149263, 971, 28, 'Dostupné časy');
INSERT INTO `lang_definitions` VALUES (149264, 972, 28, 'Dostupné stopy');
INSERT INTO `lang_definitions` VALUES (149265, 973, 28, 'Avarský');
INSERT INTO `lang_definitions` VALUES (149266, 975, 28, 'Avestan');
INSERT INTO `lang_definitions` VALUES (149267, 976, 28, 'Měsíční průměr');
INSERT INTO `lang_definitions` VALUES (149268, 980, 28, 'Avulze / Avulzní zlomenina');
INSERT INTO `lang_definitions` VALUES (149269, 981, 28, 'Avulze laterálního kotníku');
INSERT INTO `lang_definitions` VALUES (149270, 982, 28, 'Avulze mediálního kotníku');
INSERT INTO `lang_definitions` VALUES (149271, 985, 28, 'Axilární');
INSERT INTO `lang_definitions` VALUES (149272, 990, 28, 'Aymara');
INSERT INTO `lang_definitions` VALUES (149273, 991, 28, 'Azerbaijani');
INSERT INTO `lang_definitions` VALUES (149274, 992, 28, 'dvakrát denně');
INSERT INTO `lang_definitions` VALUES (149275, 993, 28, 'Zpět');
INSERT INTO `lang_definitions` VALUES (149276, 994, 28, 'Zpět');
INSERT INTO `lang_definitions` VALUES (149277, 995, 28, '9 návštěv zpět');
INSERT INTO `lang_definitions` VALUES (149278, 996, 28, '11 návštěv zpět');
INSERT INTO `lang_definitions` VALUES (149279, 997, 28, '5 návštěv zpět');
INSERT INTO `lang_definitions` VALUES (149280, 998, 28, '4 návštěvy zpět');
INSERT INTO `lang_definitions` VALUES (149281, 999, 28, '9 návštěv zpět');
INSERT INTO `lang_definitions` VALUES (149282, 1000, 28, '1 návštěva zpět');
INSERT INTO `lang_definitions` VALUES (149283, 1001, 28, 'Bolest zad');
INSERT INTO `lang_definitions` VALUES (149284, 1002, 28, 'Vertebrogenní obtíže');
INSERT INTO `lang_definitions` VALUES (149285, 1003, 28, '7 návštěv zpět');
INSERT INTO `lang_definitions` VALUES (149286, 1004, 28, '6 návštěv zpět');
INSERT INTO `lang_definitions` VALUES (149287, 1005, 28, 'Spinální chirurgie');
INSERT INTO `lang_definitions` VALUES (149288, 1006, 28, '10 návštěv zpět');
INSERT INTO `lang_definitions` VALUES (149289, 1007, 28, '3 návštěvy zpět');
INSERT INTO `lang_definitions` VALUES (149290, 1008, 28, 'Sptátky na stránku administrace');
INSERT INTO `lang_definitions` VALUES (149291, 1012, 28, 'Zpět k pacientovi');
INSERT INTO `lang_definitions` VALUES (149292, 1013, 28, 'Zpět k pacientovi');
INSERT INTO `lang_definitions` VALUES (149293, 1015, 28, 'Zpět k uživateli');
INSERT INTO `lang_definitions` VALUES (149294, 1016, 28, 'Zpět na zobrazení');
INSERT INTO `lang_definitions` VALUES (149295, 1017, 28, '12 návštěv zpět');
INSERT INTO `lang_definitions` VALUES (149296, 1018, 28, '2 návštěvy zpět');
INSERT INTO `lang_definitions` VALUES (149297, 1019, 28, 'Služby na pozadí');
INSERT INTO `lang_definitions` VALUES (149298, 1020, 28, 'Záloha');
INSERT INTO `lang_definitions` VALUES (149299, 1022, 28, 'Záloha byla vytvořena je k dispozici ke stažení');
INSERT INTO `lang_definitions` VALUES (149300, 1023, 28, 'Seznam záloh');
INSERT INTO `lang_definitions` VALUES (149301, 1024, 28, 'Záloha úspěšně přijata');
INSERT INTO `lang_definitions` VALUES (149302, 1025, 28, 'Chybné ověření');
INSERT INTO `lang_definitions` VALUES (149303, 1026, 28, 'Chybná pohledávka');
INSERT INTO `lang_definitions` VALUES (149304, 1027, 28, 'Bahasa Indonesia');
INSERT INTO `lang_definitions` VALUES (149305, 1028, 28, 'Vyváženost');
INSERT INTO `lang_definitions` VALUES (149306, 1031, 28, 'Rovnováha');
INSERT INTO `lang_definitions` VALUES (149307, 1032, 28, 'rovnováha');
INSERT INTO `lang_definitions` VALUES (149308, 1033, 28, 'Zůstatek množství');
INSERT INTO `lang_definitions` VALUES (149309, 1034, 28, 'Debetové saldo');
INSERT INTO `lang_definitions` VALUES (149310, 1037, 28, 'Bambara');
INSERT INTO `lang_definitions` VALUES (149311, 1039, 28, 'Štítek s čárovým kódem');
INSERT INTO `lang_definitions` VALUES (149312, 1040, 28, 'Typ štítku čárového kódu');
INSERT INTO `lang_definitions` VALUES (149313, 1041, 28, 'Typ čárového kódu pro tisk štítků z vyskakovacího okna vlevo');
INSERT INTO `lang_definitions` VALUES (149314, 1042, 28, 'Base pátého matatarsu');
INSERT INTO `lang_definitions` VALUES (149315, 1043, 28, 'Base pátého metatarsu:');
INSERT INTO `lang_definitions` VALUES (149316, 1047, 28, 'Bashkir');
INSERT INTO `lang_definitions` VALUES (149317, 1049, 28, 'Basque');
INSERT INTO `lang_definitions` VALUES (149318, 1050, 28, 'hromadný požadavek');
INSERT INTO `lang_definitions` VALUES (149319, 1051, 28, 'Nástroj hromadníé komunikace');
INSERT INTO `lang_definitions` VALUES (149320, 1053, 28, 'Hromadný platební příkaz');
INSERT INTO `lang_definitions` VALUES (149321, 1054, 28, 'Hromadné platby');
INSERT INTO `lang_definitions` VALUES (149322, 1055, 28, 'Dávková zpracování zahájeno. Může to chvíli trvat.');
INSERT INTO `lang_definitions` VALUES (149323, 1056, 28, 'Hromadné výsledky');
INSERT INTO `lang_definitions` VALUES (149324, 1057, 28, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (149325, 1060, 28, 'Počkejte  prosím, některé soubory vyžadují delší zpracování');
INSERT INTO `lang_definitions` VALUES (149326, 1063, 28, 'Protože toto ID neexistuje');
INSERT INTO `lang_definitions` VALUES (149327, 1072, 28, 'Začátek');
INSERT INTO `lang_definitions` VALUES (149328, 1074, 28, 'Počáteční datum');
INSERT INTO `lang_definitions` VALUES (149329, 1077, 28, 'Datum zahájení služby RRRR-MM-DD');
INSERT INTO `lang_definitions` VALUES (149330, 1078, 28, 'Počáteční hodina dne v kalendáři');
INSERT INTO `lang_definitions` VALUES (149331, 1081, 28, 'Belarusian');
INSERT INTO `lang_definitions` VALUES (149332, 1082, 28, 'Belching');
INSERT INTO `lang_definitions` VALUES (149333, 1086, 28, 'Bengali');
INSERT INTO `lang_definitions` VALUES (149334, 1087, 28, 'Bengali- Bangla');
INSERT INTO `lang_definitions` VALUES (149335, 1089, 28, 'mezi');
INSERT INTO `lang_definitions` VALUES (149336, 1091, 28, 'Obousměrný');
INSERT INTO `lang_definitions` VALUES (149337, 1094, 28, 'Bihari');
INSERT INTO `lang_definitions` VALUES (149338, 1095, 28, 'Bilaterálně');
INSERT INTO `lang_definitions` VALUES (149339, 1096, 28, 'Bilaterálně:');
INSERT INTO `lang_definitions` VALUES (149340, 1099, 28, 'Datum zúčtování');
INSERT INTO `lang_definitions` VALUES (149341, 1102, 28, 'Zaúčtováno');
INSERT INTO `lang_definitions` VALUES (149342, 1104, 28, 'Účtování');
INSERT INTO `lang_definitions` VALUES (149343, 1105, 28, 'Účtování ( volitelné právo zápisu)');
INSERT INTO `lang_definitions` VALUES (149344, 1111, 28, 'Účetní kód pro požadovanou položku');
INSERT INTO `lang_definitions` VALUES (149345, 1112, 28, 'Účetní kódy');
INSERT INTO `lang_definitions` VALUES (149346, 1113, 28, 'Účetní data');
INSERT INTO `lang_definitions` VALUES (149347, 1114, 28, 'Účetní oddělení');
INSERT INTO `lang_definitions` VALUES (149348, 1115, 28, 'Účetní jednotka');
INSERT INTO `lang_definitions` VALUES (149349, 1117, 28, 'Účetní informace');
INSERT INTO `lang_definitions` VALUES (149350, 1118, 28, 'Účetní místo');
INSERT INTO `lang_definitions` VALUES (149351, 1125, 28, 'Účetní manažer');
INSERT INTO `lang_definitions` VALUES (149352, 1126, 28, 'Účetní poznámka');
INSERT INTO `lang_definitions` VALUES (149353, 1127, 28, 'Účetní poznámka pro');
INSERT INTO `lang_definitions` VALUES (149354, 1128, 28, 'Účetní poznámka');
INSERT INTO `lang_definitions` VALUES (149355, 1131, 28, 'Účetní report');
INSERT INTO `lang_definitions` VALUES (149356, 1132, 28, 'Účetní status');
INSERT INTO `lang_definitions` VALUES (149357, 1133, 28, 'Účetní status=Nezaúčtováno');
INSERT INTO `lang_definitions` VALUES (149358, 1134, 28, 'Účtováno do');
INSERT INTO `lang_definitions` VALUES (149359, 1138, 28, 'Biopsie');
INSERT INTO `lang_definitions` VALUES (149360, 1140, 28, 'Datum narození');
INSERT INTO `lang_definitions` VALUES (149361, 1141, 28, 'Narození-24 měsíců');
INSERT INTO `lang_definitions` VALUES (149362, 1143, 28, 'Bislama');
INSERT INTO `lang_definitions` VALUES (149363, 1144, 28, 'Černý');
INSERT INTO `lang_definitions` VALUES (149364, 1147, 28, 'Antrakóza');
INSERT INTO `lang_definitions` VALUES (149365, 1148, 28, 'Černoch nebo Afroameričan');
INSERT INTO `lang_definitions` VALUES (149366, 1149, 28, 'Ca močového měchýře');
INSERT INTO `lang_definitions` VALUES (149367, 1150, 28, 'Infekce močového měchýře');
INSERT INTO `lang_definitions` VALUES (149368, 1152, 28, 'Prázdné formuláře');
INSERT INTO `lang_definitions` VALUES (149369, 1153, 28, 'Krvácivé projevy');
INSERT INTO `lang_definitions` VALUES (149370, 1154, 28, 'Krevní skvrny');
INSERT INTO `lang_definitions` VALUES (149371, 1156, 28, 'Meteorismus');
INSERT INTO `lang_definitions` VALUES (149372, 1158, 28, 'Blokováno');
INSERT INTO `lang_definitions` VALUES (149373, 1159, 28, 'Krev');
INSERT INTO `lang_definitions` VALUES (149374, 1160, 28, 'Krevní tlak');
INSERT INTO `lang_definitions` VALUES (149375, 1161, 28, 'Krevní tlak');
INSERT INTO `lang_definitions` VALUES (149376, 1162, 28, 'Krvácení z nosu');
INSERT INTO `lang_definitions` VALUES (149377, 1165, 28, 'Modré řádky v tomto reportu jsou pouze informativní. Černé řádky zobrazují již dříve existující informace. Zeleně jsou označeny úspěšně aplikované změny. Červeně jsou označeny chyby nebo změny, které se nepodařilo aplikovat ( tyto musí být zpracovány manuálně). Aktuálně odmítnuté požadavky nejsou zahrnuté automaticky a proto jsou označeny červeně.');
INSERT INTO `lang_definitions` VALUES (149378, 1166, 28, 'Rozmazaný vizus');
INSERT INTO `lang_definitions` VALUES (149379, 1167, 28, 'BMI');
INSERT INTO `lang_definitions` VALUES (149380, 1168, 28, 'BMI status');
INSERT INTO `lang_definitions` VALUES (149381, 1170, 28, 'Oblast těla');
INSERT INTO `lang_definitions` VALUES (149382, 1171, 28, 'Strana těla');
INSERT INTO `lang_definitions` VALUES (149383, 1172, 28, 'Strana těla, pokud je potřeba.');
INSERT INTO `lang_definitions` VALUES (149384, 1173, 28, 'Kostní bolestivost');
INSERT INTO `lang_definitions` VALUES (149385, 1174, 28, 'Kostní bolestivost: Mediální malleolus');
INSERT INTO `lang_definitions` VALUES (149386, 1175, 28, 'Boolean');
INSERT INTO `lang_definitions` VALUES (149387, 1176, 28, 'Bosnian');
INSERT INTO `lang_definitions` VALUES (149388, 1179, 28, 'Obě uši');
INSERT INTO `lang_definitions` VALUES (149389, 1180, 28, 'obě uši');
INSERT INTO `lang_definitions` VALUES (149390, 1183, 28, 'Dole');
INSERT INTO `lang_definitions` VALUES (149391, 1184, 28, 'Dolní hranice (px)');
INSERT INTO `lang_definitions` VALUES (149392, 1187, 28, 'BOX 10 A. ve vztahu k zaměstnání');
INSERT INTO `lang_definitions` VALUES (149393, 1189, 28, 'BOX 10 B. Autohavárie');
INSERT INTO `lang_definitions` VALUES (149394, 1191, 28, 'BOX 10 C. Jiná nehoda');
INSERT INTO `lang_definitions` VALUES (149395, 1200, 28, 'BOX 14 kvalifikátor data');
INSERT INTO `lang_definitions` VALUES (149396, 1204, 28, 'BOX 15 jiný kvalifikátor data');
INSERT INTO `lang_definitions` VALUES (149397, 1205, 28, 'BOX 15. Datum shodného nebo podobného onemocnění (rrrr-mm-dd):');
INSERT INTO `lang_definitions` VALUES (149398, 1206, 28, 'BOX 15. Datum shodného nebo podobného onemocnění/jiné datum (rrrr-mm-dd):');
INSERT INTO `lang_definitions` VALUES (149399, 1211, 28, 'Pracovní neschopnost od (rrrrr-mm-dd)');
INSERT INTO `lang_definitions` VALUES (149400, 1215, 28, 'Pracovní neschopnost do (rrrrr-mm-dd)');
INSERT INTO `lang_definitions` VALUES (149401, 1227, 28, 'BOX 18. Datum hospitalizace od (rrrr-mm-dd):');
INSERT INTO `lang_definitions` VALUES (149402, 1231, 28, 'BOX 18. Datum hospitalizace do (rrrr-mm-dd):');
INSERT INTO `lang_definitions` VALUES (149403, 1235, 28, 'BOX 20. Je použita externí laboratoř ?');
INSERT INTO `lang_definitions` VALUES (149404, 1239, 28, 'BOX 22. Kód ICD-9');
INSERT INTO `lang_definitions` VALUES (149405, 1243, 28, 'BOX 23. Číslo přednostní autorizace');
INSERT INTO `lang_definitions` VALUES (149406, 1244, 28, 'TK');
INSERT INTO `lang_definitions` VALUES (149407, 1245, 28, 'TK diastolický');
INSERT INTO `lang_definitions` VALUES (149408, 1246, 28, 'TK systolický');
INSERT INTO `lang_definitions` VALUES (149409, 1248, 28, 'TKd');
INSERT INTO `lang_definitions` VALUES (149410, 1252, 28, 'TKs');
INSERT INTO `lang_definitions` VALUES (149411, 1254, 28, 'Brazilská portugalština');
INSERT INTO `lang_definitions` VALUES (149412, 1255, 28, 'Prsa');
INSERT INTO `lang_definitions` VALUES (149413, 1256, 28, 'Biopsie prsu');
INSERT INTO `lang_definitions` VALUES (149414, 1257, 28, 'Výtok z prsní bradavky');
INSERT INTO `lang_definitions` VALUES (149415, 1258, 28, 'Onemocnění prsu');
INSERT INTO `lang_definitions` VALUES (149416, 1259, 28, 'Vyšetření prsu');
INSERT INTO `lang_definitions` VALUES (149417, 1260, 28, 'Hmotnost prsu');
INSERT INTO `lang_definitions` VALUES (149418, 1262, 28, 'Dechové akustické fenomeny');
INSERT INTO `lang_definitions` VALUES (149419, 1263, 28, 'Breton');
INSERT INTO `lang_definitions` VALUES (149420, 1265, 28, 'Kostní zlomeniny');
INSERT INTO `lang_definitions` VALUES (149421, 1266, 28, 'poškozený formulář');
INSERT INTO `lang_definitions` VALUES (149422, 1267, 28, 'Bronchiální formulář');
INSERT INTO `lang_definitions` VALUES (149423, 1270, 28, 'Procházet');
INSERT INTO `lang_definitions` VALUES (149424, 1271, 28, 'Vyhledat záznam');
INSERT INTO `lang_definitions` VALUES (149425, 1272, 28, 'Podlitina/hemathom');
INSERT INTO `lang_definitions` VALUES (149426, 1275, 28, 'Bulharský');
INSERT INTO `lang_definitions` VALUES (149427, 1276, 28, 'Prominující doprava:');
INSERT INTO `lang_definitions` VALUES (149428, 1277, 28, 'Barmský');
INSERT INTO `lang_definitions` VALUES (149429, 1278, 28, 'Pálení při močení');
INSERT INTO `lang_definitions` VALUES (149430, 1279, 28, 'Pálení při močení');
INSERT INTO `lang_definitions` VALUES (149431, 1281, 28, 'Telefon do zaměstnání');
INSERT INTO `lang_definitions` VALUES (149432, 1282, 28, 'Zaneprázněn');
INSERT INTO `lang_definitions` VALUES (149433, 1283, 28, 'ale dosud není zpracováno');
INSERT INTO `lang_definitions` VALUES (149434, 1284, 28, 'Hýždě');
INSERT INTO `lang_definitions` VALUES (149435, 1285, 28, 'Hýždě + SIS');
INSERT INTO `lang_definitions` VALUES (149436, 1286, 28, 'kým / čím');
INSERT INTO `lang_definitions` VALUES (149437, 1287, 28, 'kým / čím');
INSERT INTO `lang_definitions` VALUES (149438, 1293, 28, 'per os');
INSERT INTO `lang_definitions` VALUES (149439, 1299, 28, 'C');
INSERT INTO `lang_definitions` VALUES (149440, 1301, 28, 'CA certifikát pro verifikaci  RFC 5425 TLS syslog serveru');
INSERT INTO `lang_definitions` VALUES (149441, 1302, 28, 'časový cyklus pro cache ( sekundy)');
INSERT INTO `lang_definitions` VALUES (149442, 1303, 28, 'Cache template výstup');
INSERT INTO `lang_definitions` VALUES (149443, 1305, 28, 'Spotřeba kofeinu');
INSERT INTO `lang_definitions` VALUES (149444, 1306, 28, 'Kalendář');
INSERT INTO `lang_definitions` VALUES (149445, 1307, 28, 'Poslední hodina kalendáře');
INSERT INTO `lang_definitions` VALUES (149446, 1308, 28, 'Kalendářní období');
INSERT INTO `lang_definitions` VALUES (149447, 1309, 28, 'Obrazovka kalendáře');
INSERT INTO `lang_definitions` VALUES (149448, 1310, 28, 'Nastavení kalendáře');
INSERT INTO `lang_definitions` VALUES (149449, 1312, 28, 'První hodina kalendáře');
INSERT INTO `lang_definitions` VALUES (149450, 1313, 28, 'Uživatelské rozhraní kalendáře');
INSERT INTO `lang_definitions` VALUES (149451, 1314, 28, 'Zobrazení kalendáře');
INSERT INTO `lang_definitions` VALUES (149452, 1321, 28, 'Kalorie');
INSERT INTO `lang_definitions` VALUES (149453, 1322, 28, 'Kambodžský');
INSERT INTO `lang_definitions` VALUES (149454, 1323, 28, 'CAMOS');
INSERT INTO `lang_definitions` VALUES (149455, 1329, 28, 'Zrušit');
INSERT INTO `lang_definitions` VALUES (149456, 1332, 28, 'Zrušit změny');
INSERT INTO `lang_definitions` VALUES (149457, 1333, 28, 'Zrušeno');
INSERT INTO `lang_definitions` VALUES (149458, 1335, 28, 'Onkol. onemocnění');
INSERT INTO `lang_definitions` VALUES (149459, 1336, 28, 'Onkologický screening: Screenning Ca tlustého střeva');
INSERT INTO `lang_definitions` VALUES (149460, 1337, 28, 'Onkologický screening: Mammograf');
INSERT INTO `lang_definitions` VALUES (149461, 1338, 28, 'Onkologický screening: Výtěr z krku');
INSERT INTO `lang_definitions` VALUES (149462, 1339, 28, 'Onkologický screening: Screenning Ca prostaty');
INSERT INTO `lang_definitions` VALUES (149463, 1340, 28, 'Nelze přidat položku , protože již existuje');
INSERT INTO `lang_definitions` VALUES (149464, 1341, 28, 'Nelze přidat/aktualizovat položku z důvodu existence duplikátu');
INSERT INTO `lang_definitions` VALUES (149465, 1342, 28, 'Nelze archivovat, ignorováno.');
INSERT INTO `lang_definitions` VALUES (149466, 1343, 28, 'Nelze převést do JPEG, protože ImageMagick není instalováno');
INSERT INTO `lang_definitions` VALUES (149467, 1344, 28, 'Nelze smazat, ignorováno');
INSERT INTO `lang_definitions` VALUES (149468, 1345, 28, 'Nelze zobrazit v řadě za sebou, protože typ není podporován prohlížečem');
INSERT INTO `lang_definitions` VALUES (149469, 1346, 28, 'Nelze zobrazit v řadě za sebou, protože typ není podporován prohlížečem');
INSERT INTO `lang_definitions` VALUES (149470, 1347, 28, 'Nelze zobrazit v řadě za sebou, protože typ není podporován prohlížečem');
INSERT INTO `lang_definitions` VALUES (149471, 1349, 28, 'Nelze vytvořit');
INSERT INTO `lang_definitions` VALUES (149472, 1350, 28, 'Nelze vytvořit soubor');
INSERT INTO `lang_definitions` VALUES (149473, 1351, 28, 'Nelze smazat (from SFTP server) soubor');
INSERT INTO `lang_definitions` VALUES (149474, 1352, 28, 'Nelze smazat soubor');
INSERT INTO `lang_definitions` VALUES (149475, 1353, 28, 'nelze určit jméno cílového souboru');
INSERT INTO `lang_definitions` VALUES (149476, 1354, 28, 'Nelze nalézt');
INSERT INTO `lang_definitions` VALUES (149477, 1355, 28, 'Nelze nalézt cílový soubor');
INSERT INTO `lang_definitions` VALUES (149478, 1358, 28, 'Nelze najít pacienta z SQL-Ledger customer id');
INSERT INTO `lang_definitions` VALUES (149479, 1359, 28, 'Nelze najít odkaz na postcrip dokument v');
INSERT INTO `lang_definitions` VALUES (149480, 1360, 28, 'Nelze najít poskytovatele z SQL-Ledger zaměstnanci');
INSERT INTO `lang_definitions` VALUES (149481, 1361, 28, 'Nelze modifikovat platbu . Bilance je negativní');
INSERT INTO `lang_definitions` VALUES (149482, 1363, 28, 'Nelze otevřít');
INSERT INTO `lang_definitions` VALUES (149483, 1364, 28, 'Nelze odeslat ke zpracování pojištění. Plátce je pacient');
INSERT INTO `lang_definitions` VALUES (149484, 1365, 28, 'Nelze odeslat . Plátcem je pojišťovna.');
INSERT INTO `lang_definitions` VALUES (149485, 1366, 28, 'Nelze odeslat platbu . Bilance je nagativní.');
INSERT INTO `lang_definitions` VALUES (149486, 1367, 28, 'Nelze přečíst');
INSERT INTO `lang_definitions` VALUES (149487, 1368, 28, 'Nelze vstoupit do adresáře');
INSERT INTO `lang_definitions` VALUES (149488, 1369, 28, 'Nelze aktualizovat, protože editujete neexistující položku !');
INSERT INTO `lang_definitions` VALUES (149489, 1370, 28, 'Velká písmena');
INSERT INTO `lang_definitions` VALUES (149490, 1371, 28, 'Vše vekým písmem');
INSERT INTO `lang_definitions` VALUES (149491, 1372, 28, 'capsula');
INSERT INTO `lang_definitions` VALUES (149492, 1373, 28, 'Karta');
INSERT INTO `lang_definitions` VALUES (149493, 1382, 28, 'Srdeční katetrizace');
INSERT INTO `lang_definitions` VALUES (149494, 1383, 28, 'Echokardiografie');
INSERT INTO `lang_definitions` VALUES (149495, 1384, 28, 'Kardiovaskulární');
INSERT INTO `lang_definitions` VALUES (149496, 1396, 28, 'Chrupavka / chondrální / diskopathie');
INSERT INTO `lang_definitions` VALUES (149497, 1397, 28, 'Poranění chrupavky');
INSERT INTO `lang_definitions` VALUES (149498, 1398, 28, 'Pulsace karotid  v normě, pulsace a.dorsalis pedis v normě');
INSERT INTO `lang_definitions` VALUES (149499, 1400, 28, 'Hotovost');
INSERT INTO `lang_definitions` VALUES (149500, 1401, 28, 'Hotovost');
INSERT INTO `lang_definitions` VALUES (149501, 1402, 28, 'Příjem hotovosti');
INSERT INTO `lang_definitions` VALUES (149502, 1403, 28, 'Hotovost přijatá poskytovatelem');
INSERT INTO `lang_definitions` VALUES (149503, 1404, 28, 'Catalan- Valencian');
INSERT INTO `lang_definitions` VALUES (149504, 1406, 28, 'Operace šedého zákalu');
INSERT INTO `lang_definitions` VALUES (149505, 1407, 28, 'Šedý zákal');
INSERT INTO `lang_definitions` VALUES (149506, 1408, 28, 'Kategorie');
INSERT INTO `lang_definitions` VALUES (149507, 1409, 28, 'Kategorie pro');
INSERT INTO `lang_definitions` VALUES (149508, 1410, 28, 'Kategorie');
INSERT INTO `lang_definitions` VALUES (149509, 1411, 28, 'kategorie');
INSERT INTO `lang_definitions` VALUES (149510, 1412, 28, 'Kategorie');
INSERT INTO `lang_definitions` VALUES (149511, 1416, 28, 'Detaily kategorie');
INSERT INTO `lang_definitions` VALUES (149512, 1417, 28, 'Limity kategorie');
INSERT INTO `lang_definitions` VALUES (149513, 1418, 28, 'Název kategorie');
INSERT INTO `lang_definitions` VALUES (149514, 1419, 28, 'Chybí název kategorie');
INSERT INTO `lang_definitions` VALUES (149515, 1420, 28, 'Kategorie/Název');
INSERT INTO `lang_definitions` VALUES (149516, 1421, 28, 'Kavkazský');
INSERT INTO `lang_definitions` VALUES (149517, 1432, 28, 'CCR souhlas');
INSERT INTO `lang_definitions` VALUES (149518, 1433, 28, 'CCR přehled pacienta');
INSERT INTO `lang_definitions` VALUES (149519, 1434, 28, 'CCR přehled and schválení pacienta');
INSERT INTO `lang_definitions` VALUES (149520, 1442, 28, 'CDR');
INSERT INTO `lang_definitions` VALUES (149521, 1443, 28, 'Priorita zprcování CDR reportu');
INSERT INTO `lang_definitions` VALUES (149522, 1444, 28, 'Buňka');
INSERT INTO `lang_definitions` VALUES (149523, 1445, 28, 'Mobilní telefon');
INSERT INTO `lang_definitions` VALUES (149524, 1446, 28, 'Číslo mobilního telefonu');
INSERT INTO `lang_definitions` VALUES (149525, 1447, 28, 'Číslo mobilního telefonu');
INSERT INTO `lang_definitions` VALUES (149526, 1449, 28, 'Centrální certifikace');
INSERT INTO `lang_definitions` VALUES (149527, 1451, 28, 'Centrální/Jižní Amerika');
INSERT INTO `lang_definitions` VALUES (149528, 1452, 28, 'CRT soubor  certifikaqční autority nemůže být prázdný');
INSERT INTO `lang_definitions` VALUES (149529, 1453, 28, 'Soubor s klíčem certifikační autority nemůže být prázdý');
INSERT INTO `lang_definitions` VALUES (149530, 1454, 28, 'Certifikát k odeslání  na RFC 5425 TLS syslog server');
INSERT INTO `lang_definitions` VALUES (149531, 1455, 28, 'Uživatel certifikátu');
INSERT INTO `lang_definitions` VALUES (149532, 1456, 28, 'Certifikáty');
INSERT INTO `lang_definitions` VALUES (149533, 1457, 28, 'Chamorro');
INSERT INTO `lang_definitions` VALUES (149534, 1458, 28, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (149535, 1459, 28, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (149536, 1460, 28, 'Změna');
INSERT INTO `lang_definitions` VALUES (149537, 1461, 28, 'Změna');
INSERT INTO `lang_definitions` VALUES (149538, 1462, 28, 'Změnit aktivitu');
INSERT INTO `lang_definitions` VALUES (149539, 1466, 28, 'Zněna selhala! Nelze se připojit ke CouchDB');
INSERT INTO `lang_definitions` VALUES (149540, 1467, 28, 'Zraková změna');
INSERT INTO `lang_definitions` VALUES (149541, 1468, 28, 'Zraková změna');
INSERT INTO `lang_definitions` VALUES (149542, 1470, 28, 'Změn hesla');
INSERT INTO `lang_definitions` VALUES (149543, 1475, 28, 'Změněno');
INSERT INTO `lang_definitions` VALUES (149544, 1476, 28, 'Změny na tračníku');
INSERT INTO `lang_definitions` VALUES (149545, 1479, 28, 'Změna ID pacienta pro dokument');
INSERT INTO `lang_definitions` VALUES (149546, 1484, 28, 'Vlastnosti');
INSERT INTO `lang_definitions` VALUES (149547, 1485, 28, 'Zbývá znaků');
INSERT INTO `lang_definitions` VALUES (149548, 1486, 28, 'Poplatek');
INSERT INTO `lang_definitions` VALUES (149549, 1487, 28, 'Přizpůsobení platby');
INSERT INTO `lang_definitions` VALUES (149550, 1488, 28, 'Zakódovaná platba');
INSERT INTO `lang_definitions` VALUES (149551, 1490, 28, 'Poplatky');
INSERT INTO `lang_definitions` VALUES (149552, 1491, 28, 'Graf');
INSERT INTO `lang_definitions` VALUES (149553, 1492, 28, 'Graf aktivity');
INSERT INTO `lang_definitions` VALUES (149554, 1495, 28, 'Graf ID');
INSERT INTO `lang_definitions` VALUES (149555, 1496, 28, 'Graf ID:');
INSERT INTO `lang_definitions` VALUES (149556, 1497, 28, 'Štítek grafu');
INSERT INTO `lang_definitions` VALUES (149557, 1498, 28, 'Graf umístění a aktivit');
INSERT INTO `lang_definitions` VALUES (149558, 1499, 28, 'Graf poznámka');
INSERT INTO `lang_definitions` VALUES (149559, 1500, 28, 'Číslo grafu');
INSERT INTO `lang_definitions` VALUES (149560, 1502, 28, 'Graf umístění úložišť');
INSERT INTO `lang_definitions` VALUES (149561, 1512, 28, 'Čečenský');
INSERT INTO `lang_definitions` VALUES (149562, 1513, 28, 'Zkontrolovat');
INSERT INTO `lang_definitions` VALUES (149563, 1514, 28, 'Zkontrolovat');
INSERT INTO `lang_definitions` VALUES (149564, 1515, 28, 'Zkontrolovat vše');
INSERT INTO `lang_definitions` VALUES (149565, 1517, 28, 'Zkontrolovat množství');
INSERT INTO `lang_definitions` VALUES (149566, 1519, 28, 'Zkontrolovat datum');
INSERT INTO `lang_definitions` VALUES (149567, 1521, 28, 'Zkontrolujte rozdíly v překladu podle uživatelské tabulky překladu');
INSERT INTO `lang_definitions` VALUES (149568, 1528, 28, 'Zkontrolujte vstupní data');
INSERT INTO `lang_definitions` VALUES (149569, 1529, 28, 'Zkontrolujte položky pro zobrazení grafem');
INSERT INTO `lang_definitions` VALUES (149570, 1530, 28, 'Zkontrolujte  laboratorní výsledky');
INSERT INTO `lang_definitions` VALUES (149571, 1531, 28, 'Zkontrolujte položky označené jako prohlédnuté');
INSERT INTO `lang_definitions` VALUES (149572, 1532, 28, 'Zkontrolujte číslo');
INSERT INTO `lang_definitions` VALUES (149573, 1533, 28, 'Zkontrolujte číslo');
INSERT INTO `lang_definitions` VALUES (149574, 1536, 28, 'Zkontrolujte platbu');
INSERT INTO `lang_definitions` VALUES (149575, 1537, 28, 'Zaškrtněte pole, pokud se jedná o zašifrovaný soubor');
INSERT INTO `lang_definitions` VALUES (149576, 1541, 28, 'Zaškrtněte, pokud chcete, aby poskytovatelé viděli všechny události ve výchozím nastavení a ne jen v jejich vlastním.');
INSERT INTO `lang_definitions` VALUES (149577, 1543, 28, 'Zaškrtněte k vytvoření problému z této diagnózy');
INSERT INTO `lang_definitions` VALUES (149578, 1550, 28, 'Seznam zaškrtávacích polí');
INSERT INTO `lang_definitions` VALUES (149579, 1551, 28, 'Seznam zaškrtávacích polí');
INSERT INTO `lang_definitions` VALUES (149580, 1555, 28, 'Výše zobrazená zaškrtávací pole pro odmítnutí nebo smazání HL7 souboru.');
INSERT INTO `lang_definitions` VALUES (149581, 1557, 28, 'Označeno');
INSERT INTO `lang_definitions` VALUES (149582, 1559, 28, 'Označené pole = ano, prázdné = ne');
INSERT INTO `lang_definitions` VALUES (149583, 1566, 28, 'Uzamčení pole  zabrání dalším úpravám formulářů této události');
INSERT INTO `lang_definitions` VALUES (149584, 1569, 28, 'Kontrolní součet');
INSERT INTO `lang_definitions` VALUES (149585, 1570, 28, 'Hrudník');
INSERT INTO `lang_definitions` VALUES (149586, 1571, 28, 'auskultace hrudníku');
INSERT INTO `lang_definitions` VALUES (149587, 1572, 28, 'Bolest na hrudi');
INSERT INTO `lang_definitions` VALUES (149588, 1573, 28, 'Bolest na hrudi:');
INSERT INTO `lang_definitions` VALUES (149589, 1574, 28, 'Bolesti na hrudi');
INSERT INTO `lang_definitions` VALUES (149590, 1576, 28, 'Změna');
INSERT INTO `lang_definitions` VALUES (149591, 1577, 28, 'Chichewa- Chewa- Nyanja');
INSERT INTO `lang_definitions` VALUES (149592, 1578, 28, 'Hlavní obtíže');
INSERT INTO `lang_definitions` VALUES (149593, 1581, 28, 'Dítě');
INSERT INTO `lang_definitions` VALUES (149594, 1583, 28, 'Dosavadní očkování');
INSERT INTO `lang_definitions` VALUES (149595, 1584, 28, 'zimnice');
INSERT INTO `lang_definitions` VALUES (149596, 1585, 28, 'Čínský');
INSERT INTO `lang_definitions` VALUES (149597, 1586, 28, 'Čínština ( Zjednodušená )');
INSERT INTO `lang_definitions` VALUES (149598, 1587, 28, 'Čínština ( Tradiční )');
INSERT INTO `lang_definitions` VALUES (149599, 1588, 28, 'chiropraxe');
INSERT INTO `lang_definitions` VALUES (149600, 1589, 28, 'Možnosti');
INSERT INTO `lang_definitions` VALUES (149601, 1590, 28, 'Cholecystektomie');
INSERT INTO `lang_definitions` VALUES (149602, 1591, 28, 'Cholecystektomie');
INSERT INTO `lang_definitions` VALUES (149603, 1592, 28, 'Cholecystektomie');
INSERT INTO `lang_definitions` VALUES (149604, 1593, 28, 'Zvolit');
INSERT INTO `lang_definitions` VALUES (149605, 1596, 28, 'Vyberte si oddíl a klepněte na položku v něm; pak v druhé části uvidíte zvýrazněné související položky. Můžete pak  v tomto oddíle přidávat a odstraňovat vztahy.');
INSERT INTO `lang_definitions` VALUES (149606, 1597, 28, 'Zvolte kriteria');
INSERT INTO `lang_definitions` VALUES (149607, 1599, 28, 'Zvolte stahování nebo zobrazení za sebou');
INSERT INTO `lang_definitions` VALUES (149608, 1602, 28, 'vyberte soubor');
INSERT INTO `lang_definitions` VALUES (149609, 1603, 28, 'Vyberte ze seznamu');
INSERT INTO `lang_definitions` VALUES (149610, 1604, 28, 'Vyberte směr rozvržení');
INSERT INTO `lang_definitions` VALUES (149611, 1605, 28, 'Vyberte seznam');
INSERT INTO `lang_definitions` VALUES (149612, 1608, 28, 'Vyberte velikost papíru');
INSERT INTO `lang_definitions` VALUES (149613, 1610, 28, 'Zvolte preferovaný jazyk pro PDF');
INSERT INTO `lang_definitions` VALUES (149614, 1611, 28, 'Zvolte tiskový formát pro tisk tohoto vyšetření');
INSERT INTO `lang_definitions` VALUES (149615, 1615, 28, 'Chronická bronchitis');
INSERT INTO `lang_definitions` VALUES (149616, 1616, 28, 'Chronické arthralgie');
INSERT INTO `lang_definitions` VALUES (149617, 1617, 28, 'Chronické onemocnění ledvin');
INSERT INTO `lang_definitions` VALUES (149618, 1620, 28, 'Chronická synovitis');
INSERT INTO `lang_definitions` VALUES (149619, 1622, 28, 'Chronický/Rekurentní');
INSERT INTO `lang_definitions` VALUES (149620, 1623, 28, 'Chuvash');
INSERT INTO `lang_definitions` VALUES (149621, 1625, 28, 'Jaterní cirhosa');
INSERT INTO `lang_definitions` VALUES (149622, 1626, 28, 'Jaterní cirhosa');
INSERT INTO `lang_definitions` VALUES (149623, 1627, 28, 'Město');
INSERT INTO `lang_definitions` VALUES (149624, 1629, 28, 'Název města');
INSERT INTO `lang_definitions` VALUES (149625, 1630, 28, 'Město, Stát');
INSERT INTO `lang_definitions` VALUES (149626, 1631, 28, 'Město, Stát, PSČ');
INSERT INTO `lang_definitions` VALUES (149627, 1633, 28, 'město/Stát');
INSERT INTO `lang_definitions` VALUES (149628, 1634, 28, 'Požadavek');
INSERT INTO `lang_definitions` VALUES (149629, 1635, 28, 'Požadavek');
INSERT INTO `lang_definitions` VALUES (149630, 1637, 28, 'Stav zpracování požadavku');
INSERT INTO `lang_definitions` VALUES (149631, 1638, 28, 'Ukončen testovací požadavek');
INSERT INTO `lang_definitions` VALUES (149632, 1639, 28, 'Typ požadavku');
INSERT INTO `lang_definitions` VALUES (149633, 1640, 28, 'Požadavek byl vygenerován  do spisu');
INSERT INTO `lang_definitions` VALUES (149634, 1641, 28, 'Požadavek byl vygenerován  do spisu');
INSERT INTO `lang_definitions` VALUES (149635, 1642, 28, 'Požadavky');
INSERT INTO `lang_definitions` VALUES (149636, 1645, 28, 'Klasifikace');
INSERT INTO `lang_definitions` VALUES (149637, 1646, 28, 'Vymazat');
INSERT INTO `lang_definitions` VALUES (149638, 1649, 28, 'Vyčistit data aktivního pacienta');
INSERT INTO `lang_definitions` VALUES (149639, 1651, 28, 'Vymazat vše');
INSERT INTO `lang_definitions` VALUES (149640, 1654, 28, 'Vymazat HL7 data');
INSERT INTO `lang_definitions` VALUES (149641, 1655, 28, 'vyčistit odůvodnění');
INSERT INTO `lang_definitions` VALUES (149642, 1659, 28, 'Vyčistit Smarty cache');
INSERT INTO `lang_definitions` VALUES (149643, 1661, 28, 'Čistí se domovská informace pro dávku  EDI 270');
INSERT INTO `lang_definitions` VALUES (149644, 1662, 28, 'Číslo CLIA');
INSERT INTO `lang_definitions` VALUES (149645, 1663, 28, 'Kliknout');
INSERT INTO `lang_definitions` VALUES (149646, 1664, 28, 'Klikněte na \"export\" pro export kategorie, podkategorie, položky, údaje o obsahu do textového souboru. Jakákoliv podobnost tohoto souboru s XML souborem, je čistě náhodná. Značky pro otevírání a zavírání musí být na stejném řádku, musí obsahovat malá písmena bez mezer. Chcete-li importovat, vyhledejte soubor a klikněte na \"import\". Pokud se jedná o zcela odlišná data, pak budou sloučena s  již existujícími daty. Pokud existují podobné názvy položek, bude staré názvy zachovány a nové uloženy  s  číslem na konci.');
INSERT INTO `lang_definitions` VALUES (149647, 1667, 28, 'Klikem na obrázek přidáte novou poznámku, dalším klikem poznámku smažete');
INSERT INTO `lang_definitions` VALUES (149648, 1671, 28, 'Klikem na Stáhnout cerifikát stáhnete certifikát vsouboru ssl.zip');
INSERT INTO `lang_definitions` VALUES (149649, 1672, 28, 'Klikněte pro další');
INSERT INTO `lang_definitions` VALUES (149650, 1673, 28, 'Klikněte pro více podrobností');
INSERT INTO `lang_definitions` VALUES (149651, 1674, 28, 'Klikněte pro shrnutí objednávky');
INSERT INTO `lang_definitions` VALUES (149652, 1675, 28, 'Klikněte pro výsledky');
INSERT INTO `lang_definitions` VALUES (149653, 1678, 28, 'Klikněte zde');
INSERT INTO `lang_definitions` VALUES (149654, 1679, 28, 'Klikněte zde pro přidání nového pacienta');
INSERT INTO `lang_definitions` VALUES (149655, 1680, 28, 'Kikněte zde k zadání nového stavu úrazových změn a k editaci denních aktivit');
INSERT INTO `lang_definitions` VALUES (149656, 1682, 28, 'Klikněte zde a zvolte datum');
INSERT INTO `lang_definitions` VALUES (149657, 1683, 28, 'Klikněte zde a zvolte datum a čas');
INSERT INTO `lang_definitions` VALUES (149658, 1684, 28, 'Klikněte zde a zvole počáteční datum');
INSERT INTO `lang_definitions` VALUES (149659, 1685, 28, 'Klikněte zde pro volbu času a data');
INSERT INTO `lang_definitions` VALUES (149660, 1686, 28, 'Klikněte zde pro volbu času a data OD');
INSERT INTO `lang_definitions` VALUES (149661, 1687, 28, 'Klikněte zde pro volbu času a data DO');
INSERT INTO `lang_definitions` VALUES (149662, 1688, 28, 'Klikněte zde pro konfiguraci modulu');
INSERT INTO `lang_definitions` VALUES (149663, 1692, 28, 'Klikněte zde pro deaktivaci modulu');
INSERT INTO `lang_definitions` VALUES (149664, 1703, 28, 'Klikněte zde pro aktivaci modulu');
INSERT INTO `lang_definitions` VALUES (149665, 1706, 28, 'Klikněte zde pro instalaci modulu');
INSERT INTO `lang_definitions` VALUES (149666, 1707, 28, 'klikněte zde pro hledání');
INSERT INTO `lang_definitions` VALUES (149667, 1710, 28, 'klikněte zde k aktualizaci priorit, kategorie a přezdívky');
INSERT INTO `lang_definitions` VALUES (149668, 1714, 28, 'Klikněte zde pro zobrazení všech údajů');
INSERT INTO `lang_definitions` VALUES (149669, 1715, 28, 'Klikněte zde pro zobrazení a grafické znázornění');
INSERT INTO `lang_definitions` VALUES (149670, 1716, 28, 'Klikněte zde pro zobrazení a grafické znázornění laboratorních dat');
INSERT INTO `lang_definitions` VALUES (149671, 1717, 28, 'Klikněte zde pro zobrazení a grafické znázornění vitálních funkcí');
INSERT INTO `lang_definitions` VALUES (149672, 1718, 28, 'Klikněte zde pro zobrazení detailů pacienta');
INSERT INTO `lang_definitions` VALUES (149673, 1719, 28, 'Klikem zde zobrazíte všechny');
INSERT INTO `lang_definitions` VALUES (149674, 1720, 28, 'Klikněte zde pro zobrazení/úpravu podrobností');
INSERT INTO `lang_definitions` VALUES (149675, 1723, 28, 'Klikem na INSTALOVAT nainstalujete verzi databáze od následujícího data');
INSERT INTO `lang_definitions` VALUES (149676, 1730, 28, 'Klikněte na jakýkoliv časový úsek k jeho prodloužení');
INSERT INTO `lang_definitions` VALUES (149677, 1751, 28, 'Klikem na jméno pacienta otevřete jeho soubor');
INSERT INTO `lang_definitions` VALUES (149678, 1753, 28, 'Klikem na OBNOVIT zobrazíte všechny výsledky nebo zadejte vyhledávací kriteria pro podrobnější hledání');
INSERT INTO `lang_definitions` VALUES (149679, 1777, 28, 'Klikněte pro přidání diagnózy');
INSERT INTO `lang_definitions` VALUES (149680, 1779, 28, 'Klikem přidáte novou součást');
INSERT INTO `lang_definitions` VALUES (149681, 1780, 28, 'Klikem přidáte novou konzultaci');
INSERT INTO `lang_definitions` VALUES (149682, 1782, 28, 'Klikněte pro výber diagnózy');
INSERT INTO `lang_definitions` VALUES (149683, 1785, 28, 'Klikněte ke stažení');
INSERT INTO `lang_definitions` VALUES (149684, 1786, 28, 'Klikněte pro úpravy');
INSERT INTO `lang_definitions` VALUES (149685, 1787, 28, 'Klikněte pro úpravu popisu');
INSERT INTO `lang_definitions` VALUES (149686, 1788, 28, 'Klikněte pro úpravy této události');
INSERT INTO `lang_definitions` VALUES (149687, 1790, 28, 'Klikněte pro vygenerování zprávy');
INSERT INTO `lang_definitions` VALUES (149688, 1799, 28, 'Klikněte na odpovídajícího pacienta');
INSERT INTO `lang_definitions` VALUES (149689, 1800, 28, 'Klikněte pro tisk');
INSERT INTO `lang_definitions` VALUES (149690, 1801, 28, 'Klikněte pro získání ( přidání ) nového množství');
INSERT INTO `lang_definitions` VALUES (149691, 1805, 28, 'Klikněte pro výběr');
INSERT INTO `lang_definitions` VALUES (149692, 1806, 28, 'Klikněte pro výběr');
INSERT INTO `lang_definitions` VALUES (149693, 1808, 28, 'Klikněte pro výběr standardního kódu této procedury');
INSERT INTO `lang_definitions` VALUES (149694, 1811, 28, 'Klikněte pro výběr volitelného kódu této procedury');
INSERT INTO `lang_definitions` VALUES (149695, 1812, 28, 'Klikněte pro výběr nebo změnu kódování');
INSERT INTO `lang_definitions` VALUES (149696, 1813, 28, 'Klikněte pro výběr nebo změnu CVX kódu');
INSERT INTO `lang_definitions` VALUES (149697, 1814, 28, 'Klikněte pro výběr nebo změnu diagnózy');
INSERT INTO `lang_definitions` VALUES (149698, 1815, 28, 'Klikněte pro výběr nebo změnu kódů služby');
INSERT INTO `lang_definitions` VALUES (149699, 1816, 28, 'Klikněte pro výběr pacienta');
INSERT INTO `lang_definitions` VALUES (149700, 1817, 28, 'Klikněte pro výběr odpovídajícího kódu');
INSERT INTO `lang_definitions` VALUES (149701, 1819, 28, 'Klikněte pro výběr služeb k ověření abnormálních výsledků');
INSERT INTO `lang_definitions` VALUES (149702, 1822, 28, 'Klikněte pro výběr požadované procedury');
INSERT INTO `lang_definitions` VALUES (149703, 1829, 28, 'Klikněte pro seřazení');
INSERT INTO `lang_definitions` VALUES (149704, 1831, 28, 'Klikněte pro zobrazení');
INSERT INTO `lang_definitions` VALUES (149705, 1833, 28, 'Klikněte pro zobrazení nebo úpravy');
INSERT INTO `lang_definitions` VALUES (149706, 1834, 28, 'Klikněte pro zobrazení/úpravy');
INSERT INTO `lang_definitions` VALUES (149707, 1836, 28, 'Klikem na tlačítko AKTUALIZOVAT provedete upgrade databáze od následujícího data');
INSERT INTO `lang_definitions` VALUES (149708, 1838, 28, 'Klikněte výše pro označení odpovídajícího pacienta');
INSERT INTO `lang_definitions` VALUES (149709, 1839, 28, 'Klikněte:');
INSERT INTO `lang_definitions` VALUES (149710, 1862, 28, 'Zbývající dny do expirace klientského certifikátu');
INSERT INTO `lang_definitions` VALUES (149711, 1864, 28, 'Čas pro ověření klienstkého certifikátu');
INSERT INTO `lang_definitions` VALUES (149712, 1865, 28, 'Platnost klienteského certifikátu musí být platné číslo');
INSERT INTO `lang_definitions` VALUES (149713, 1866, 28, 'Kopie pro klienta');
INSERT INTO `lang_definitions` VALUES (149714, 1869, 28, 'Anamnestický souhrn klienta');
INSERT INTO `lang_definitions` VALUES (149715, 1870, 28, 'Jméno klienta');
INSERT INTO `lang_definitions` VALUES (149716, 1872, 28, 'Číslo klienta');
INSERT INTO `lang_definitions` VALUES (149717, 1873, 28, 'Profil klienta - Noví klienti');
INSERT INTO `lang_definitions` VALUES (149718, 1874, 28, 'Profil klienta - Unikátní klienti');
INSERT INTO `lang_definitions` VALUES (149719, 1878, 28, 'Klienti');
INSERT INTO `lang_definitions` VALUES (149720, 1879, 28, 'Klinika');
INSERT INTO `lang_definitions` VALUES (149721, 1880, 28, 'Kopie pro klienta');
INSERT INTO `lang_definitions` VALUES (149722, 1881, 28, 'Denní klinické záznamy');
INSERT INTO `lang_definitions` VALUES (149723, 1882, 28, 'ID kliniky');
INSERT INTO `lang_definitions` VALUES (149724, 1883, 28, 'Klinický');
INSERT INTO `lang_definitions` VALUES (149725, 1886, 28, 'Anamnéza');
INSERT INTO `lang_definitions` VALUES (149726, 1889, 28, 'Klinické plány');
INSERT INTO `lang_definitions` VALUES (149727, 1890, 28, 'Klinická měření kvality (CQM)');
INSERT INTO `lang_definitions` VALUES (149728, 1891, 28, 'Klinická měření kvality (CQM) - 2011');
INSERT INTO `lang_definitions` VALUES (149729, 1892, 28, 'Klinická měření kvality (CQM) - 2014');
INSERT INTO `lang_definitions` VALUES (149730, 1893, 28, 'Klinické upomínky');
INSERT INTO `lang_definitions` VALUES (149731, 1897, 28, 'Klinická hlášení');
INSERT INTO `lang_definitions` VALUES (149732, 1898, 28, 'Kategorie akcí klinických pravidel');
INSERT INTO `lang_definitions` VALUES (149733, 1899, 28, 'Položka akcí klinických pravidel');
INSERT INTO `lang_definitions` VALUES (149734, 1900, 28, 'Metoda filtrování pro klinická pravidla');
INSERT INTO `lang_definitions` VALUES (149735, 1901, 28, 'Cílová metoda klinických pravidel');
INSERT INTO `lang_definitions` VALUES (149736, 1902, 28, 'Klinická pravidla');
INSERT INTO `lang_definitions` VALUES (149737, 1903, 28, 'Věkový interval klinických pravidel');
INSERT INTO `lang_definitions` VALUES (149738, 1904, 28, 'Porovnání klinických pravidel');
INSERT INTO `lang_definitions` VALUES (149739, 1905, 28, 'Typy klinických pravidel vyšetření');
INSERT INTO `lang_definitions` VALUES (149740, 1911, 28, 'Klinické cíle');
INSERT INTO `lang_definitions` VALUES (149741, 1912, 28, 'Klinický termín');
INSERT INTO `lang_definitions` VALUES (149742, 1913, 28, 'Kódy klinických termínů');
INSERT INTO `lang_definitions` VALUES (149743, 1915, 28, 'klinický pracovník');
INSERT INTO `lang_definitions` VALUES (149744, 1916, 28, 'Vytvořit kopii');
INSERT INTO `lang_definitions` VALUES (149745, 1917, 28, 'Vytvořit kopii poslední návštěvy');
INSERT INTO `lang_definitions` VALUES (149746, 1918, 28, 'Zavřít');
INSERT INTO `lang_definitions` VALUES (149747, 1924, 28, 'Zavřít okno');
INSERT INTO `lang_definitions` VALUES (149748, 1925, 28, 'Zavřít okno');
INSERT INTO `lang_definitions` VALUES (149749, 1927, 28, 'Uzavřeno');
INSERT INTO `lang_definitions` VALUES (149750, 1928, 28, 'cm');
INSERT INTO `lang_definitions` VALUES (149751, 1931, 28, 'CMS 1500 Okraje');
INSERT INTO `lang_definitions` VALUES (149752, 1933, 28, 'CMS 1500 Formát papíru');
INSERT INTO `lang_definitions` VALUES (149753, 1938, 28, 'CMS 1500: BOX 31 Formát');
INSERT INTO `lang_definitions` VALUES (149754, 1939, 28, 'CMS 1500: Datum  v  BOXu 31 ( podpis)');
INSERT INTO `lang_definitions` VALUES (149755, 1940, 28, 'CMS ID');
INSERT INTO `lang_definitions` VALUES (149756, 1943, 28, 'CMS Portál');
INSERT INTO `lang_definitions` VALUES (149757, 1944, 28, 'Přihlášení do CMS Portál');
INSERT INTO `lang_definitions` VALUES (149758, 1945, 28, 'Přihlašovací ID CMS Portálu');
INSERT INTO `lang_definitions` VALUES (149759, 1946, 28, 'CMS Portál není zaveden !');
INSERT INTO `lang_definitions` VALUES (149760, 1947, 28, 'Heslo pro CMS Portál');
INSERT INTO `lang_definitions` VALUES (149761, 1948, 28, 'Požadavek pro CMS Portál');
INSERT INTO `lang_definitions` VALUES (149762, 1949, 28, 'Adresa stránky CMS Portálu');
INSERT INTO `lang_definitions` VALUES (149763, 1950, 28, 'uživatelské jméno CMS Portálu');
INSERT INTO `lang_definitions` VALUES (149764, 1955, 28, 'CN-12 intaktní');
INSERT INTO `lang_definitions` VALUES (149765, 1964, 28, 'Kód');
INSERT INTO `lang_definitions` VALUES (149766, 1965, 28, 'kód');
INSERT INTO `lang_definitions` VALUES (149767, 1967, 28, 'Vyhledávač kódu');
INSERT INTO `lang_definitions` VALUES (149768, 1968, 28, 'Kód je tvořen dvěma malými písmeny');
INSERT INTO `lang_definitions` VALUES (149769, 1969, 28, 'Kód nebo symbol měny');
INSERT INTO `lang_definitions` VALUES (149770, 1971, 28, 'Text kódu');
INSERT INTO `lang_definitions` VALUES (149771, 1972, 28, 'Typ kódu');
INSERT INTO `lang_definitions` VALUES (149772, 1973, 28, 'typ kódu');
INSERT INTO `lang_definitions` VALUES (149773, 1974, 28, 'Typ kódu nebyl rozpoznán');
INSERT INTO `lang_definitions` VALUES (149774, 1975, 28, 'Typ kódu nebyl dosud definován');
INSERT INTO `lang_definitions` VALUES (149775, 1976, 28, 'Typy kódu');
INSERT INTO `lang_definitions` VALUES (149776, 1977, 28, 'Kód (y)');
INSERT INTO `lang_definitions` VALUES (149777, 1978, 28, 'Kódováno');
INSERT INTO `lang_definitions` VALUES (149778, 1979, 28, 'Kódy');
INSERT INTO `lang_definitions` VALUES (149779, 1981, 28, 'Kódování');
INSERT INTO `lang_definitions` VALUES (149780, 1982, 28, 'Kódování ( kliknout pro vzdělávání )');
INSERT INTO `lang_definitions` VALUES (149781, 1983, 28, 'Kódování - libovolné vyšetření ( právo zápisu, vše/částečné)');
INSERT INTO `lang_definitions` VALUES (149782, 1985, 28, 'Kódování - moje vyšetření  ( právo zápisu, vše/částečné)');
INSERT INTO `lang_definitions` VALUES (149783, 1990, 28, 'Není oprávnění ke kódování');
INSERT INTO `lang_definitions` VALUES (149784, 1991, 28, 'Káva');
INSERT INTO `lang_definitions` VALUES (149785, 1992, 28, 'Užívání kávy');
INSERT INTO `lang_definitions` VALUES (149786, 1994, 28, 'Připojištění');
INSERT INTO `lang_definitions` VALUES (149787, 1995, 28, 'Zavřít');
INSERT INTO `lang_definitions` VALUES (149788, 1997, 28, 'Zavřít');
INSERT INTO `lang_definitions` VALUES (149789, 1998, 28, 'Zavřít');
INSERT INTO `lang_definitions` VALUES (149790, 1999, 28, 'Sbalit vše');
INSERT INTO `lang_definitions` VALUES (149791, 2000, 28, 'Sbalit vše');
INSERT INTO `lang_definitions` VALUES (149792, 2001, 28, 'Sbalit vše');
INSERT INTO `lang_definitions` VALUES (149793, 2005, 28, 'Datum sběru');
INSERT INTO `lang_definitions` VALUES (149794, 2007, 28, 'Sběry');
INSERT INTO `lang_definitions` VALUES (149795, 2009, 28, 'Ca tlustého střeva');
INSERT INTO `lang_definitions` VALUES (149796, 2010, 28, 'Screening Ca tlustého střeva');
INSERT INTO `lang_definitions` VALUES (149797, 2011, 28, 'Operace Ca tlustého střeva');
INSERT INTO `lang_definitions` VALUES (149798, 2012, 28, 'Kolonoskopie');
INSERT INTO `lang_definitions` VALUES (149799, 2013, 28, 'kolonoskopie');
INSERT INTO `lang_definitions` VALUES (149800, 2014, 28, 'Barva');
INSERT INTO `lang_definitions` VALUES (149801, 2021, 28, 'Sloupec');
INSERT INTO `lang_definitions` VALUES (149802, 2022, 28, 'Sloupce');
INSERT INTO `lang_definitions` VALUES (149803, 2025, 28, 'Čárka');
INSERT INTO `lang_definitions` VALUES (149804, 2027, 28, 'Komentář');
INSERT INTO `lang_definitions` VALUES (149805, 2028, 28, 'Komentáře');
INSERT INTO `lang_definitions` VALUES (149806, 2030, 28, 'Komentáře k tomuto výsledku nebo doporučení');
INSERT INTO `lang_definitions` VALUES (149807, 2031, 28, 'Komerční pojištění');
INSERT INTO `lang_definitions` VALUES (149808, 2032, 28, 'Potvrdit změny');
INSERT INTO `lang_definitions` VALUES (149809, 2034, 28, 'Komunikace');
INSERT INTO `lang_definitions` VALUES (149810, 2036, 28, 'Komunikace');
INSERT INTO `lang_definitions` VALUES (149811, 2039, 28, 'Podnik');
INSERT INTO `lang_definitions` VALUES (149812, 2040, 28, 'Jméno podniku');
INSERT INTO `lang_definitions` VALUES (149813, 2041, 28, 'Dokončit');
INSERT INTO `lang_definitions` VALUES (149814, 2043, 28, 'Dokončeno');
INSERT INTO `lang_definitions` VALUES (149815, 2046, 28, 'Dokončeno ?');
INSERT INTO `lang_definitions` VALUES (149816, 2049, 28, 'Komplikace na straně poskytovatele služby');
INSERT INTO `lang_definitions` VALUES (149817, 2050, 28, 'Komplikace při potratu');
INSERT INTO `lang_definitions` VALUES (149818, 2051, 28, 'Součásti');
INSERT INTO `lang_definitions` VALUES (149819, 2057, 28, 'Elektronické objednávky a žádanky');
INSERT INTO `lang_definitions` VALUES (149820, 2058, 28, 'Závěry');
INSERT INTO `lang_definitions` VALUES (149821, 2063, 28, 'Konfig');
INSERT INTO `lang_definitions` VALUES (149822, 2064, 28, 'Konfigurace');
INSERT INTO `lang_definitions` VALUES (149823, 2065, 28, 'Export/import konfigurace');
INSERT INTO `lang_definitions` VALUES (149824, 2066, 28, 'Konfigurace úspěšně uložena');
INSERT INTO `lang_definitions` VALUES (149825, 2067, 28, 'Nakonfigurujte Apache a OpenEMR pro použití klientských SSL certifikátů');
INSERT INTO `lang_definitions` VALUES (149826, 2068, 28, 'Nakonfigurujte Apache pro použití klientských SSL certifikátů');
INSERT INTO `lang_definitions` VALUES (149827, 2069, 28, 'Nakonfigurujte Apache pro použití HTTPS');
INSERT INTO `lang_definitions` VALUES (149828, 2070, 28, 'Nakonfigurujte OpenEMR pro použití klientských SSL certifikátů');
INSERT INTO `lang_definitions` VALUES (149829, 2079, 28, 'Potvrďte založení nového pacienta');
INSERT INTO `lang_definitions` VALUES (149830, 2081, 28, 'Potvrďte nové heslo');
INSERT INTO `lang_definitions` VALUES (149831, 2083, 28, 'Potvrďte platbu');
INSERT INTO `lang_definitions` VALUES (149832, 2092, 28, 'Kongenitální');
INSERT INTO `lang_definitions` VALUES (149833, 2094, 28, 'Spojivka, zornice');
INSERT INTO `lang_definitions` VALUES (149834, 2096, 28, 'Chyba spojení');
INSERT INTO `lang_definitions` VALUES (149835, 2097, 28, 'Konektory');
INSERT INTO `lang_definitions` VALUES (149836, 2098, 28, 'Konstanta');
INSERT INTO `lang_definitions` VALUES (149837, 2100, 28, 'Název konstanty');
INSERT INTO `lang_definitions` VALUES (149838, 2101, 28, 'Název konstanty je prázdný');
INSERT INTO `lang_definitions` VALUES (149839, 2102, 28, 'Konstanty');
INSERT INTO `lang_definitions` VALUES (149840, 2103, 28, 'Obstipace');
INSERT INTO `lang_definitions` VALUES (149841, 2104, 28, 'Konstituční');
INSERT INTO `lang_definitions` VALUES (149842, 2107, 28, 'Stručný popis konzultace');
INSERT INTO `lang_definitions` VALUES (149843, 2109, 28, 'Kontakt');
INSERT INTO `lang_definitions` VALUES (149844, 2110, 28, 'Kontaktní e-mail');
INSERT INTO `lang_definitions` VALUES (149845, 2111, 28, 'Kontaktní e-mailová adresa');
INSERT INTO `lang_definitions` VALUES (149846, 2112, 28, 'Kontaktujte přímo EMR k odběru služby phiMAil Direct messaging');
INSERT INTO `lang_definitions` VALUES (149847, 2113, 28, 'kontaktní informace');
INSERT INTO `lang_definitions` VALUES (149848, 2117, 28, 'Kontaktní čočky');
INSERT INTO `lang_definitions` VALUES (149849, 2118, 28, 'Contact Medical Information Integration, LLC at http://mi-squared.com for Lab Exchange Service.');
INSERT INTO `lang_definitions` VALUES (149850, 2119, 28, 'Contact Medical Information Integration, LLC at http://mi-squared.com or ZH Healthcare at http://zhservices.com for subscribing the eRx service');
INSERT INTO `lang_definitions` VALUES (149851, 2122, 28, 'Kontaktní jméno');
INSERT INTO `lang_definitions` VALUES (149852, 2125, 28, 'Kontaktní osoba');
INSERT INTO `lang_definitions` VALUES (149853, 2126, 28, 'Kontaktní telefon');
INSERT INTO `lang_definitions` VALUES (149854, 2127, 28, 'Kontaktní telefonní číslo');
INSERT INTO `lang_definitions` VALUES (149855, 2129, 28, 'Contact ZMG, LLC (zmghealth@gmail.com) for subscribing the eRx service');
INSERT INTO `lang_definitions` VALUES (149856, 2131, 28, 'obsahovat  minimálně 3 ze 4 následujících položek');
INSERT INTO `lang_definitions` VALUES (149857, 2132, 28, 'Název kontejneru - skupiny');
INSERT INTO `lang_definitions` VALUES (149858, 2133, 28, 'Obash');
INSERT INTO `lang_definitions` VALUES (149859, 2134, 28, 'obsah');
INSERT INTO `lang_definitions` VALUES (149860, 2136, 28, 'Kontaxt');
INSERT INTO `lang_definitions` VALUES (149861, 2137, 28, 'Kontextové jméno nemůže být prázdné');
INSERT INTO `lang_definitions` VALUES (149862, 2138, 28, 'Pokračovat');
INSERT INTO `lang_definitions` VALUES (149863, 2142, 28, 'Continuity of Care Document (CCD)');
INSERT INTO `lang_definitions` VALUES (149864, 2145, 28, 'Continuity of Care Record (CCR)');
INSERT INTO `lang_definitions` VALUES (149865, 2147, 28, 'Antikoncepce');
INSERT INTO `lang_definitions` VALUES (149866, 2149, 28, 'Komplikace antikoncepce ( k upřesnění )');
INSERT INTO `lang_definitions` VALUES (149867, 2150, 28, 'Metoda antikoncepce');
INSERT INTO `lang_definitions` VALUES (149868, 2151, 28, 'Antikoncepční produkty');
INSERT INTO `lang_definitions` VALUES (149869, 2153, 28, 'Antikoncepce od');
INSERT INTO `lang_definitions` VALUES (149870, 2158, 28, 'Kontrolní ID');
INSERT INTO `lang_definitions` VALUES (149871, 2159, 28, 'Kontrolní No.');
INSERT INTO `lang_definitions` VALUES (149872, 2168, 28, 'COPAY');
INSERT INTO `lang_definitions` VALUES (149873, 2169, 28, 'Copay');
INSERT INTO `lang_definitions` VALUES (149874, 2170, 28, 'CoPay');
INSERT INTO `lang_definitions` VALUES (149875, 2174, 28, 'CHOPN');
INSERT INTO `lang_definitions` VALUES (149876, 2175, 28, 'Zkopírovat stránky to grafu pacienta');
INSERT INTO `lang_definitions` VALUES (149877, 2177, 28, 'Kopírovat hodnoty');
INSERT INTO `lang_definitions` VALUES (149878, 2178, 28, 'Kopírování souboru databáze. To vyžaduje určitý čas.');
INSERT INTO `lang_definitions` VALUES (149879, 2179, 28, 'Upozornění na autorská práva');
INSERT INTO `lang_definitions` VALUES (149880, 2183, 28, 'Cornish');
INSERT INTO `lang_definitions` VALUES (149881, 2184, 28, 'Koronární bypass');
INSERT INTO `lang_definitions` VALUES (149882, 2185, 28, 'Aortokoronární bypass  (CABG)');
INSERT INTO `lang_definitions` VALUES (149883, 2186, 28, 'Opraveno');
INSERT INTO `lang_definitions` VALUES (149884, 2187, 28, 'Korsický');
INSERT INTO `lang_definitions` VALUES (149885, 2188, 28, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (149886, 2189, 28, 'Chyba spojení s CouchDB');
INSERT INTO `lang_definitions` VALUES (149887, 2191, 28, 'CouchDB databáze');
INSERT INTO `lang_definitions` VALUES (149888, 2192, 28, 'Jméno CouchDB databáze');
INSERT INTO `lang_definitions` VALUES (149889, 2195, 28, 'CouchDB host');
INSERT INTO `lang_definitions` VALUES (149890, 2196, 28, 'Jméno hosta CouchDB databáze');
INSERT INTO `lang_definitions` VALUES (149891, 2197, 28, 'Logování CouchDB zapnuto');
INSERT INTO `lang_definitions` VALUES (149892, 2198, 28, 'Heslo CouchDB');
INSERT INTO `lang_definitions` VALUES (149893, 2199, 28, 'Port CouchDB');
INSERT INTO `lang_definitions` VALUES (149894, 2200, 28, 'CouchDB port');
INSERT INTO `lang_definitions` VALUES (149895, 2201, 28, 'Uložení CouchDB selhalo');
INSERT INTO `lang_definitions` VALUES (149896, 2203, 28, 'Uživatelské jméno CouchDB');
INSERT INTO `lang_definitions` VALUES (149897, 2204, 28, 'Kašel');
INSERT INTO `lang_definitions` VALUES (149898, 2205, 28, 'Kašel:');
INSERT INTO `lang_definitions` VALUES (149899, 2206, 28, 'nelze se připojit k serveru');
INSERT INTO `lang_definitions` VALUES (149900, 2210, 28, 'nelze otevřít tabulku');
INSERT INTO `lang_definitions` VALUES (149901, 2211, 28, 'Soubor nelze přečíst');
INSERT INTO `lang_definitions` VALUES (149902, 2212, 28, 'nelze číst soubor');
INSERT INTO `lang_definitions` VALUES (149903, 2214, 28, 'Problémy na serveru. E-mail nelze odeslat');
INSERT INTO `lang_definitions` VALUES (149904, 2216, 28, 'Mail nelze odeslat z důvodu chyby serveru');
INSERT INTO `lang_definitions` VALUES (149905, 2217, 28, 'Nelze vytvořit adresář pro zálohy');
INSERT INTO `lang_definitions` VALUES (149906, 2218, 28, 'Adresář nelze smazat');
INSERT INTO `lang_definitions` VALUES (149907, 2219, 28, 'Nelze smazat starý soubor zálohy');
INSERT INTO `lang_definitions` VALUES (149908, 2220, 28, 'Nelze smazat starý soubor exportu');
INSERT INTO `lang_definitions` VALUES (149909, 2221, 28, 'Coumadin Management - INR Monitoring');
INSERT INTO `lang_definitions` VALUES (149910, 2223, 28, 'Poradenství');
INSERT INTO `lang_definitions` VALUES (149911, 2224, 28, 'poradenské aktiivty');
INSERT INTO `lang_definitions` VALUES (149912, 2229, 28, 'Země');
INSERT INTO `lang_definitions` VALUES (149913, 2231, 28, 'Typ dat příslušné země');
INSERT INTO `lang_definitions` VALUES (149914, 2232, 28, 'Seznam zemí');
INSERT INTO `lang_definitions` VALUES (149915, 2233, 28, 'Seznam zemí ( na výběr právo zápisu vše/částečně )');
INSERT INTO `lang_definitions` VALUES (149916, 2235, 28, 'Jméno země by mělo být uvedeno dvěma písmeny. ( Příklad: United States - US)');
INSERT INTO `lang_definitions` VALUES (149917, 2236, 28, 'Okres');
INSERT INTO `lang_definitions` VALUES (149918, 2238, 28, 'poukázka');
INSERT INTO `lang_definitions` VALUES (149919, 2245, 28, 'Klinické vyšetření pacienta (KVP)');
INSERT INTO `lang_definitions` VALUES (149920, 2246, 28, 'Kód KVP');
INSERT INTO `lang_definitions` VALUES (149921, 2247, 28, 'KVP kódy');
INSERT INTO `lang_definitions` VALUES (149922, 2248, 28, 'CPT4 Procedure/Service');
INSERT INTO `lang_definitions` VALUES (149923, 2249, 28, 'CPTII Performance Measures');
INSERT INTO `lang_definitions` VALUES (149924, 2250, 28, 'Průběžné řízení jakosti (CQM)');
INSERT INTO `lang_definitions` VALUES (149925, 2252, 28, 'Trhlinky:');
INSERT INTO `lang_definitions` VALUES (149926, 2255, 28, 'krém');
INSERT INTO `lang_definitions` VALUES (149927, 2256, 28, 'Vytvořit klinetský certifikát SSL pro každé zařízení uživatele nebo klienta');
INSERT INTO `lang_definitions` VALUES (149928, 2257, 28, 'Vytvořit klinetský certifikát SSL pro každé jméno hosta uživatele nebo klienta');
INSERT INTO `lang_definitions` VALUES (149929, 2261, 28, 'vytvořit nové sledování');
INSERT INTO `lang_definitions` VALUES (149930, 2269, 28, 'Vytvořit událost');
INSERT INTO `lang_definitions` VALUES (149931, 2273, 28, 'Vytvořit a stáhnout kompletní zálohu');
INSERT INTO `lang_definitions` VALUES (149932, 2274, 28, 'Vytvořit a modifikovat sledování');
INSERT INTO `lang_definitions` VALUES (149933, 2275, 28, 'Vytvořit zálohu');
INSERT INTO `lang_definitions` VALUES (149934, 2276, 28, 'Vytvořit dávku');
INSERT INTO `lang_definitions` VALUES (149935, 2277, 28, 'Vytvořit klientský certifikát');
INSERT INTO `lang_definitions` VALUES (149936, 2278, 28, 'Vytvořit klinetský certifikát SSL');
INSERT INTO `lang_definitions` VALUES (149937, 2281, 28, 'Vytvořit kopii');
INSERT INTO `lang_definitions` VALUES (149938, 2282, 28, 'Vytvořit vyšetření');
INSERT INTO `lang_definitions` VALUES (149939, 2283, 28, 'Vytvořit zálohu protokolu událostí');
INSERT INTO `lang_definitions` VALUES (149940, 2285, 28, 'Založit nový problém');
INSERT INTO `lang_definitions` VALUES (149941, 2287, 28, 'Založit nového pacienta');
INSERT INTO `lang_definitions` VALUES (149942, 2288, 28, 'Vytvořit nové sledování');
INSERT INTO `lang_definitions` VALUES (149943, 2294, 28, 'Vytvořit poznámku k pacientovi');
INSERT INTO `lang_definitions` VALUES (149944, 2296, 28, 'Vytvořit SSL certifikační autoritu a serverové certifikáty');
INSERT INTO `lang_definitions` VALUES (149945, 2297, 28, 'Vytvořit návštěvu');
INSERT INTO `lang_definitions` VALUES (149946, 2298, 28, 'Vytvořeno');
INSERT INTO `lang_definitions` VALUES (149947, 2306, 28, 'Vytváří se soubor exportu');
INSERT INTO `lang_definitions` VALUES (149948, 2307, 28, 'Vytvoření nového sledování selhalo');
INSERT INTO `lang_definitions` VALUES (149949, 2308, 28, 'Vytvoření tohotou souboru u vzdáleného hosta selhalo');
INSERT INTO `lang_definitions` VALUES (149950, 2309, 28, 'Tvůrce');
INSERT INTO `lang_definitions` VALUES (149951, 2311, 28, 'kredit');
INSERT INTO `lang_definitions` VALUES (149952, 2312, 28, 'Kreditní karta');
INSERT INTO `lang_definitions` VALUES (149953, 2314, 28, 'Kredity');
INSERT INTO `lang_definitions` VALUES (149954, 2315, 28, 'Cree');
INSERT INTO `lang_definitions` VALUES (149955, 2316, 28, 'Kritéria');
INSERT INTO `lang_definitions` VALUES (149956, 2318, 28, 'Chorvatský');
INSERT INTO `lang_definitions` VALUES (149957, 2319, 28, 'Crohnova choroba');
INSERT INTO `lang_definitions` VALUES (149958, 2320, 28, 'Crohnova choroba');
INSERT INTO `lang_definitions` VALUES (149959, 2323, 28, 'CSV export');
INSERT INTO `lang_definitions` VALUES (149960, 2324, 28, 'CSV soubor');
INSERT INTO `lang_definitions` VALUES (149961, 2325, 28, 'CSv tabulky');
INSERT INTO `lang_definitions` VALUES (149962, 2330, 28, 'mm3');
INSERT INTO `lang_definitions` VALUES (149963, 2331, 28, 'Kubánský');
INSERT INTO `lang_definitions` VALUES (149964, 2333, 28, 'Desetinná místa měny');
INSERT INTO `lang_definitions` VALUES (149965, 2334, 28, 'Symbol pro oddělení desetinného místa  měny');
INSERT INTO `lang_definitions` VALUES (149966, 2335, 28, 'Symbol měny');
INSERT INTO `lang_definitions` VALUES (149967, 2336, 28, 'Oddělovač tisíců příslušné měny');
INSERT INTO `lang_definitions` VALUES (149968, 2337, 28, 'Aktuální');
INSERT INTO `lang_definitions` VALUES (149969, 2338, 28, 'Aktuální spotřeba alkoholu');
INSERT INTO `lang_definitions` VALUES (149970, 2341, 28, 'Aktuální konsultace');
INSERT INTO `lang_definitions` VALUES (149971, 2342, 28, 'Aktuální kriteria');
INSERT INTO `lang_definitions` VALUES (149972, 2344, 28, 'Barevné zvýraznění aktuálního dne');
INSERT INTO `lang_definitions` VALUES (149973, 2345, 28, 'Aktuálně pravidelný denní kuřák');
INSERT INTO `lang_definitions` VALUES (149974, 2347, 28, 'Aktuální jméno souboru bylo změněno na');
INSERT INTO `lang_definitions` VALUES (149975, 2349, 28, 'Aktuální haš');
INSERT INTO `lang_definitions` VALUES (149976, 2350, 28, 'Aktuální umístění');
INSERT INTO `lang_definitions` VALUES (149977, 2352, 28, 'Současná medikace');
INSERT INTO `lang_definitions` VALUES (149978, 2354, 28, 'Aktuální heslo');
INSERT INTO `lang_definitions` VALUES (149979, 2356, 28, 'Aktuální pacient');
INSERT INTO `lang_definitions` VALUES (149980, 2361, 28, 'Aktuální stav užívání rekreačních drog');
INSERT INTO `lang_definitions` VALUES (149981, 2363, 28, 'Aktuálně příležitosný kuřák');
INSERT INTO `lang_definitions` VALUES (149982, 2369, 28, 'Aktuální hodnota');
INSERT INTO `lang_definitions` VALUES (149983, 2371, 28, 'Aktuálně aktivní');
INSERT INTO `lang_definitions` VALUES (149984, 2375, 28, 'Aktuálně v běhu');
INSERT INTO `lang_definitions` VALUES (149985, 2377, 28, 'V tuto chvíli zde nejsou žádná zařízení');
INSERT INTO `lang_definitions` VALUES (149986, 2379, 28, 'Cushingův syndrom');
INSERT INTO `lang_definitions` VALUES (149987, 2380, 28, 'Cushingův syndrom');
INSERT INTO `lang_definitions` VALUES (149988, 2383, 28, 'Uživatelský');
INSERT INTO `lang_definitions` VALUES (149989, 2390, 28, 'Uživatelský vstup ?');
INSERT INTO `lang_definitions` VALUES (149990, 2395, 28, 'Uživatelská tabulka');
INSERT INTO `lang_definitions` VALUES (149991, 2402, 28, 'CVX Kód');
INSERT INTO `lang_definitions` VALUES (149992, 2403, 28, 'Mapování CVX kódu');
INSERT INTO `lang_definitions` VALUES (149993, 2404, 28, 'CVX imunizace');
INSERT INTO `lang_definitions` VALUES (149994, 2406, 28, 'cyklus');
INSERT INTO `lang_definitions` VALUES (149995, 2412, 28, 'CYP');
INSERT INTO `lang_definitions` VALUES (149996, 2413, 28, 'CYP faktor');
INSERT INTO `lang_definitions` VALUES (149997, 2414, 28, 'CYP hlášení');
INSERT INTO `lang_definitions` VALUES (149998, 2415, 28, 'Český');
INSERT INTO `lang_definitions` VALUES (149999, 2416, 28, 'D');
INSERT INTO `lang_definitions` VALUES (150000, 2417, 28, 'Dilatace a kyretáž');
INSERT INTO `lang_definitions` VALUES (150001, 2418, 28, 'Dieta a cvičení');
INSERT INTO `lang_definitions` VALUES (150002, 2420, 28, 'Datum narození');
INSERT INTO `lang_definitions` VALUES (150003, 2421, 28, 'denně');
INSERT INTO `lang_definitions` VALUES (150004, 2422, 28, 'Denní záznamy');
INSERT INTO `lang_definitions` VALUES (150005, 2425, 28, 'Dánský');
INSERT INTO `lang_definitions` VALUES (150006, 2429, 28, 'Podobné údaje jsoujiž v databázi, změňte prosím kód a / nebo popis');
INSERT INTO `lang_definitions` VALUES (150007, 2430, 28, 'Podobné údaje jsoujiž v databázi, změňte název konstanty');
INSERT INTO `lang_definitions` VALUES (150008, 2431, 28, 'datové sloupce');
INSERT INTO `lang_definitions` VALUES (150009, 2434, 28, 'Chyba dat');
INSERT INTO `lang_definitions` VALUES (150010, 2435, 28, 'Data z');
INSERT INTO `lang_definitions` VALUES (150011, 2439, 28, 'Typy dat');
INSERT INTO `lang_definitions` VALUES (150012, 2440, 28, 'Databáze');
INSERT INTO `lang_definitions` VALUES (150013, 2442, 28, 'Databáze není instalována');
INSERT INTO `lang_definitions` VALUES (150014, 2444, 28, 'Databázová záplata ( patch)');
INSERT INTO `lang_definitions` VALUES (150015, 2445, 28, 'Databázová hlášení');
INSERT INTO `lang_definitions` VALUES (150016, 2447, 28, 'Upgrade databáze úspěšný.');
INSERT INTO `lang_definitions` VALUES (150017, 2448, 28, 'Datové sloupce musí být číslem  mezi 1 a 999');
INSERT INTO `lang_definitions` VALUES (150018, 2449, 28, 'Datum');
INSERT INTO `lang_definitions` VALUES (150019, 2450, 28, 'Datum');
INSERT INTO `lang_definitions` VALUES (150020, 2451, 28, 'Datum a Čas spravovány');
INSERT INTO `lang_definitions` VALUES (150021, 2453, 28, 'Darum spravováno');
INSERT INTO `lang_definitions` VALUES (150022, 2454, 28, 'Datum a čas odběru vzorku');
INSERT INTO `lang_definitions` VALUES (150023, 2455, 28, 'Datum a čas pozorování');
INSERT INTO `lang_definitions` VALUES (150024, 2457, 28, 'Datum a čas získání vzorku');
INSERT INTO `lang_definitions` VALUES (150025, 2458, 28, 'Datum nemůže být  vyšší než dnešní');
INSERT INTO `lang_definitions` VALUES (150026, 2459, 28, 'Datum zahájení antikoncepce');
INSERT INTO `lang_definitions` VALUES (150027, 2460, 28, 'Datum vytvořeno');
INSERT INTO `lang_definitions` VALUES (150028, 2461, 28, 'Datum úmrtí');
INSERT INTO `lang_definitions` VALUES (150029, 2462, 28, 'Datum zničeno');
INSERT INTO `lang_definitions` VALUES (150030, 2463, 28, 'Formát zobrazení data');
INSERT INTO `lang_definitions` VALUES (150031, 2464, 28, 'Formát data pro \"konec návštěvy\" není platný');
INSERT INTO `lang_definitions` VALUES (150032, 2465, 28, 'Formát data pro \"začátek návštěvy\" není platný');
INSERT INTO `lang_definitions` VALUES (150033, 2466, 28, 'Formát data pro \"příští návštěvu\" není platný');
INSERT INTO `lang_definitions` VALUES (150034, 2467, 28, 'Formát data pro \"dosud nepozorováno\" není platný');
INSERT INTO `lang_definitions` VALUES (150035, 2469, 28, 'Formát data pro \"pozorováno od\" není platný');
INSERT INTO `lang_definitions` VALUES (150036, 2470, 28, 'Datum získání informací o stavu Imunizace');
INSERT INTO `lang_definitions` VALUES (150037, 2471, 28, 'Chybí datum pro tento kód');
INSERT INTO `lang_definitions` VALUES (150038, 2475, 28, 'Datum bankovního vkladu rrr-mm-dd');
INSERT INTO `lang_definitions` VALUES (150039, 2476, 28, 'Datum účtování');
INSERT INTO `lang_definitions` VALUES (150040, 2477, 28, 'Datum narození');
INSERT INTO `lang_definitions` VALUES (150041, 2478, 28, 'datum narození');
INSERT INTO `lang_definitions` VALUES (150042, 2479, 28, 'Datum narození');
INSERT INTO `lang_definitions` VALUES (150043, 2481, 28, 'Datum přístupu');
INSERT INTO `lang_definitions` VALUES (150044, 2483, 28, 'Datum úrazu');
INSERT INTO `lang_definitions` VALUES (150045, 2487, 28, 'datum platby rrr-mm-dd');
INSERT INTO `lang_definitions` VALUES (150046, 2489, 28, 'Datum odeslání');
INSERT INTO `lang_definitions` VALUES (150047, 2491, 28, 'Datum odpovědi');
INSERT INTO `lang_definitions` VALUES (150048, 2492, 28, 'Datum hlášení');
INSERT INTO `lang_definitions` VALUES (150049, 2493, 28, 'Datum služby');
INSERT INTO `lang_definitions` VALUES (150050, 2495, 28, 'Datum služby');
INSERT INTO `lang_definitions` VALUES (150051, 2496, 28, 'Datum služby = dnes');
INSERT INTO `lang_definitions` VALUES (150052, 2498, 28, 'Datum služby = mm/dd/rrrr');
INSERT INTO `lang_definitions` VALUES (150053, 2499, 28, 'Datum služby:');
INSERT INTO `lang_definitions` VALUES (150054, 2500, 28, 'Datum podpisu');
INSERT INTO `lang_definitions` VALUES (150055, 2501, 28, 'Datum změny  statutu');
INSERT INTO `lang_definitions` VALUES (150056, 2503, 28, 'Datum  tohoto nařízení');
INSERT INTO `lang_definitions` VALUES (150057, 2504, 28, 'Datum tohoto hlášení');
INSERT INTO `lang_definitions` VALUES (150058, 2508, 28, 'Výběr data');
INSERT INTO `lang_definitions` VALUES (150059, 2509, 28, 'Výběr data');
INSERT INTO `lang_definitions` VALUES (150060, 2510, 28, 'datum odesláno');
INSERT INTO `lang_definitions` VALUES (150061, 2511, 28, 'Datum, kdy byla zpráva odeslána');
INSERT INTO `lang_definitions` VALUES (150062, 2512, 28, 'datum čas');
INSERT INTO `lang_definitions` VALUES (150063, 2513, 28, 'Hodnoty data nemohou být prázdné');
INSERT INTO `lang_definitions` VALUES (150064, 2516, 28, 'Datum/Návšt');
INSERT INTO `lang_definitions` VALUES (150065, 2517, 28, 'Datum/Poznámky');
INSERT INTO `lang_definitions` VALUES (150066, 2519, 28, 'Datum/Čas');
INSERT INTO `lang_definitions` VALUES (150067, 2520, 28, 'Datum:');
INSERT INTO `lang_definitions` VALUES (150068, 2523, 28, 'Dated Message Log');
INSERT INTO `lang_definitions` VALUES (150069, 2526, 28, 'Den');
INSERT INTO `lang_definitions` VALUES (150070, 2527, 28, 'den');
INSERT INTO `lang_definitions` VALUES (150071, 2530, 28, 'Denní pohled');
INSERT INTO `lang_definitions` VALUES (150072, 2531, 28, 'Den ( dny)');
INSERT INTO `lang_definitions` VALUES (150073, 2532, 28, 'Den ( dny) Po-Pá');
INSERT INTO `lang_definitions` VALUES (150074, 2533, 28, 'dny');
INSERT INTO `lang_definitions` VALUES (150075, 2534, 28, 'Dny');
INSERT INTO `lang_definitions` VALUES (150076, 2535, 28, 'dny');
INSERT INTO `lang_definitions` VALUES (150077, 2536, 28, 'Dny a hry chybí');
INSERT INTO `lang_definitions` VALUES (150078, 2537, 28, 'Dnů od posledního vyšetření');
INSERT INTO `lang_definitions` VALUES (150079, 2538, 28, 'Dny chybí');
INSERT INTO `lang_definitions` VALUES (150080, 2541, 28, 'Dnů ve sloupci');
INSERT INTO `lang_definitions` VALUES (150081, 2543, 28, 'Dnů/Sloup.:');
INSERT INTO `lang_definitions` VALUES (150082, 2544, 28, 'Databáze je instalována');
INSERT INTO `lang_definitions` VALUES (150083, 2545, 28, 'DD/MM/RRRR');
INSERT INTO `lang_definitions` VALUES (150084, 2546, 28, 'Deidentifikace');
INSERT INTO `lang_definitions` VALUES (150085, 2547, 28, 'Deindentifikační proces dokončen');
INSERT INTO `lang_definitions` VALUES (150086, 2548, 28, 'Deindentifikační proces pokračuje');
INSERT INTO `lang_definitions` VALUES (150087, 2549, 28, 'Deindentifikační proces zahájen a běží na pozadí');
INSERT INTO `lang_definitions` VALUES (150088, 2550, 28, 'Deidentifikovaná data mohou být nekompletní');
INSERT INTO `lang_definitions` VALUES (150089, 2551, 28, 'Deindentifikační soubory budou uloženy v');
INSERT INTO `lang_definitions` VALUES (150090, 2558, 28, 'neslyšící');
INSERT INTO `lang_definitions` VALUES (150091, 2562, 28, 'ladící informace');
INSERT INTO `lang_definitions` VALUES (150092, 2564, 28, 'Ladění');
INSERT INTO `lang_definitions` VALUES (150093, 2565, 28, 'Pros');
INSERT INTO `lang_definitions` VALUES (150094, 2567, 28, 'Zesnulý');
INSERT INTO `lang_definitions` VALUES (150095, 2574, 28, 'Prosinec');
INSERT INTO `lang_definitions` VALUES (150096, 2578, 28, 'desetiny liber nebo libry a unce oddělené #(např. 5#4)');
INSERT INTO `lang_definitions` VALUES (150097, 2579, 28, 'upřesnění odmítnuto');
INSERT INTO `lang_definitions` VALUES (150098, 2580, 28, 'odečítatelný');
INSERT INTO `lang_definitions` VALUES (150099, 2583, 28, 'Výchozí');
INSERT INTO `lang_definitions` VALUES (150100, 2585, 28, 'Výchozí zobrazení kalendáře');
INSERT INTO `lang_definitions` VALUES (150101, 2587, 28, 'Výchozí ID  formuláře vyšetření');
INSERT INTO `lang_definitions` VALUES (150102, 2589, 28, 'Výchozí zařízení');
INSERT INTO `lang_definitions` VALUES (150103, 2594, 28, 'Výchozí jazyk');
INSERT INTO `lang_definitions` VALUES (150104, 2595, 28, 'Výchozí jazyk pokud jiný není povolen nebo zvolen');
INSERT INTO `lang_definitions` VALUES (150105, 2598, 28, 'Výchozí seznam ( na výběr právo zápisovat/přidat');
INSERT INTO `lang_definitions` VALUES (150106, 2600, 28, 'Výchozí metoda');
INSERT INTO `lang_definitions` VALUES (150107, 2601, 28, 'Výchozí počet dnů pro expiraci hesla');
INSERT INTO `lang_definitions` VALUES (150108, 2602, 28, 'Výchozí expirační lhůta hesla ve dnech. 0 znamená, že tato funkce je uzamčena.');
INSERT INTO `lang_definitions` VALUES (150109, 2603, 28, 'Výchozí země pacienta');
INSERT INTO `lang_definitions` VALUES (150110, 2606, 28, 'Výchozí priorita');
INSERT INTO `lang_definitions` VALUES (150111, 2607, 28, 'Výchozí poskytovatel');
INSERT INTO `lang_definitions` VALUES (150112, 2609, 28, 'Výchozí rozsah');
INSERT INTO `lang_definitions` VALUES (150113, 2610, 28, 'Výchozí důvod návštěvy');
INSERT INTO `lang_definitions` VALUES (150114, 2615, 28, 'Výchozí nastavení');
INSERT INTO `lang_definitions` VALUES (150115, 2617, 28, 'Výchozí stav zaškrtávacího pole v novém okně seznamu pacientů');
INSERT INTO `lang_definitions` VALUES (150116, 2618, 28, 'Výchozí šablona');
INSERT INTO `lang_definitions` VALUES (150117, 2624, 28, 'Výchozí jednotky');
INSERT INTO `lang_definitions` VALUES (150118, 2626, 28, 'Výchozí hodnota');
INSERT INTO `lang_definitions` VALUES (150119, 2628, 28, 'Výchozí sklad');
INSERT INTO `lang_definitions` VALUES (150120, 2629, 28, 'Výchozí X12 partner');
INSERT INTO `lang_definitions` VALUES (150121, 2630, 28, 'Výchozí/Globální');
INSERT INTO `lang_definitions` VALUES (150122, 2635, 28, 'Smazat');
INSERT INTO `lang_definitions` VALUES (150123, 2636, 28, 'smazat');
INSERT INTO `lang_definitions` VALUES (150124, 2637, 28, 'Odložené opakování (> 12 Mo)');
INSERT INTO `lang_definitions` VALUES (150125, 2638, 28, 'Smazat');
INSERT INTO `lang_definitions` VALUES (150126, 2639, 28, 'smazat');
INSERT INTO `lang_definitions` VALUES (150127, 2640, 28, 'Smazat kategorie s ID:');
INSERT INTO `lang_definitions` VALUES (150128, 2641, 28, 'Smazat kategorii');
INSERT INTO `lang_definitions` VALUES (150129, 2644, 28, 'Smazání selhalo !');
INSERT INTO `lang_definitions` VALUES (150130, 2645, 28, 'Smazat skupinu');
INSERT INTO `lang_definitions` VALUES (150131, 2646, 28, 'Smazat seznam');
INSERT INTO `lang_definitions` VALUES (150132, 2648, 28, 'Smazat stránky');
INSERT INTO `lang_definitions` VALUES (150133, 2649, 28, 'Smazat pacienta, vyšetření, formulář, problém, platbu, účtování nebo transakci');
INSERT INTO `lang_definitions` VALUES (150134, 2651, 28, 'Smazat řádek');
INSERT INTO `lang_definitions` VALUES (150135, 2652, 28, 'Smazat vybrané položky');
INSERT INTO `lang_definitions` VALUES (150136, 2653, 28, 'Smazat vybrané požadavky');
INSERT INTO `lang_definitions` VALUES (150137, 2655, 28, 'Smazání úspěšné');
INSERT INTO `lang_definitions` VALUES (150138, 2656, 28, 'Smazat tento dokument');
INSERT INTO `lang_definitions` VALUES (150139, 2657, 28, 'Smazat tento formulář');
INSERT INTO `lang_definitions` VALUES (150140, 2659, 28, 'Smazat tuto poznámku');
INSERT INTO `lang_definitions` VALUES (150141, 2660, 28, 'Úspěšně smazáno');
INSERT INTO `lang_definitions` VALUES (150142, 2661, 28, 'Úspěšně smazáno');
INSERT INTO `lang_definitions` VALUES (150143, 2662, 28, 'Mazání');
INSERT INTO `lang_definitions` VALUES (150144, 2663, 28, 'Odstranění této události nelze vrátit zpět. Není možná následná obnova. Jste si jisti, že chcete smazat tuto událost?');
INSERT INTO `lang_definitions` VALUES (150145, 2666, 28, 'Potvrzeno droučení');
INSERT INTO `lang_definitions` VALUES (150146, 2667, 28, 'Potvrzení není povoleno pro specifikovanou adresu');
INSERT INTO `lang_definitions` VALUES (150147, 2668, 28, 'Potvrzení není aktuálně povoleno pro specifikovanou adresu');
INSERT INTO `lang_definitions` VALUES (150148, 2669, 28, 'Doručení přiloženého klinického dokumetu na vyžádání pacienta.');
INSERT INTO `lang_definitions` VALUES (150149, 2670, 28, 'Doručení přiloženého klinického dokumetu na vyžádání pacienta.');
INSERT INTO `lang_definitions` VALUES (150150, 2671, 28, 'Demence');
INSERT INTO `lang_definitions` VALUES (150151, 2673, 28, 'Demografické údaje');
INSERT INTO `lang_definitions` VALUES (150152, 2674, 28, 'Demografické údaje ( volotelně právo zapisovat/přidat)');
INSERT INTO `lang_definitions` VALUES (150153, 2678, 28, 'Kritéria filtru pro demografické údaje');
INSERT INTO `lang_definitions` VALUES (150154, 2680, 28, 'Demografické údaje nejsou autorizované');
INSERT INTO `lang_definitions` VALUES (150155, 2681, 28, 'Demografické údaje nejsou autorizované');
INSERT INTO `lang_definitions` VALUES (150156, 2682, 28, 'Zamítnuto');
INSERT INTO `lang_definitions` VALUES (150157, 2684, 28, 'Jmenovatel');
INSERT INTO `lang_definitions` VALUES (150158, 2687, 28, 'Stomatologický');
INSERT INTO `lang_definitions` VALUES (150159, 2688, 28, 'Seznam stomatologických obtíží');
INSERT INTO `lang_definitions` VALUES (150160, 2689, 28, 'Stomatologické problémy');
INSERT INTO `lang_definitions` VALUES (150161, 2691, 28, 'Moduly - závislosti');
INSERT INTO `lang_definitions` VALUES (150162, 2692, 28, 'Problémy - závislosti');
INSERT INTO `lang_definitions` VALUES (150163, 2694, 28, 'V závislosti na typu účtu, který testujete, uvidíte HCFA jako výstup na prázdnou stránku v rámci HCFA účtování. Pokud testujete požadavek X12, uvidíte mnoho řádků poněkud zkomolených textů a informací. Zkomolený text je formát X12 EDI 4010A. Občas uvidíte podivné znaky, které vypadají jako kostky domino. Jde o normální kontrolní znaky.');
INSERT INTO `lang_definitions` VALUES (150164, 2696, 28, 'Datum vkladu');
INSERT INTO `lang_definitions` VALUES (150165, 2697, 28, 'datum vkladu nemůže být novější než dnešní.');
INSERT INTO `lang_definitions` VALUES (150166, 2698, 28, 'Datum vkladu:');
INSERT INTO `lang_definitions` VALUES (150167, 2699, 28, 'Depresivní');
INSERT INTO `lang_definitions` VALUES (150168, 2700, 28, 'Deprese');
INSERT INTO `lang_definitions` VALUES (150169, 2706, 28, 'Popis');
INSERT INTO `lang_definitions` VALUES (150170, 2707, 28, 'popis');
INSERT INTO `lang_definitions` VALUES (150171, 2708, 28, 'Popis je výchozí text');
INSERT INTO `lang_definitions` VALUES (150172, 2709, 28, 'Popis nálezu');
INSERT INTO `lang_definitions` VALUES (150173, 2710, 28, 'Popis procedury nebo výsledného kódu');
INSERT INTO `lang_definitions` VALUES (150174, 2711, 28, 'Přklad popisu');
INSERT INTO `lang_definitions` VALUES (150175, 2712, 28, 'Požadované jméno souboru');
INSERT INTO `lang_definitions` VALUES (150176, 2713, 28, 'Cíl');
INSERT INTO `lang_definitions` VALUES (150177, 2714, 28, 'Jméno cílového souboru');
INSERT INTO `lang_definitions` VALUES (150178, 2717, 28, 'Zničit');
INSERT INTO `lang_definitions` VALUES (150179, 2718, 28, 'Zničeno');
INSERT INTO `lang_definitions` VALUES (150180, 2719, 28, 'Zničené léky');
INSERT INTO `lang_definitions` VALUES (150181, 2720, 28, 'Hlášení o zničených lécích');
INSERT INTO `lang_definitions` VALUES (150182, 2721, 28, 'Detail');
INSERT INTO `lang_definitions` VALUES (150183, 2726, 28, 'Detaily');
INSERT INTO `lang_definitions` VALUES (150184, 2728, 28, 'Vývojové abnormality');
INSERT INTO `lang_definitions` VALUES (150185, 2730, 28, 'Diabetes');
INSERT INTO `lang_definitions` VALUES (150186, 2731, 28, 'Diabetes mellitus');
INSERT INTO `lang_definitions` VALUES (150187, 2732, 28, 'Diabetes: sledování krevního tlaku');
INSERT INTO `lang_definitions` VALUES (150188, 2733, 28, 'Diabetes: Oční vyšetření');
INSERT INTO `lang_definitions` VALUES (150189, 2734, 28, 'Diabetes: Oční vyšetření');
INSERT INTO `lang_definitions` VALUES (150190, 2735, 28, 'Diabetes: Vyšetření nohou');
INSERT INTO `lang_definitions` VALUES (150191, 2736, 28, 'Diabetes: Vyšetření nohou');
INSERT INTO `lang_definitions` VALUES (150192, 2737, 28, 'Diabetes: HbA1c kontroly');
INSERT INTO `lang_definitions` VALUES (150193, 2738, 28, 'Diabetes: Hemoglobin A1C');
INSERT INTO `lang_definitions` VALUES (150194, 2739, 28, 'Diabetes: LDL sledování & kontroly');
INSERT INTO `lang_definitions` VALUES (150195, 2740, 28, 'Diabetes: Microalbuminurie');
INSERT INTO `lang_definitions` VALUES (150196, 2741, 28, 'Diag');
INSERT INTO `lang_definitions` VALUES (150197, 2742, 28, 'Diagnózy');
INSERT INTO `lang_definitions` VALUES (150198, 2743, 28, 'Diagnóza');
INSERT INTO `lang_definitions` VALUES (150199, 2744, 28, 'Kód diagnózy');
INSERT INTO `lang_definitions` VALUES (150200, 2745, 28, 'Kódy diagnóz');
INSERT INTO `lang_definitions` VALUES (150201, 2747, 28, 'Datum diagnózy');
INSERT INTO `lang_definitions` VALUES (150202, 2749, 28, 'Diagnóza musí být kódována k odpovídajícímu vyšetření');
INSERT INTO `lang_definitions` VALUES (150203, 2750, 28, 'Jméno diagnózy');
INSERT INTO `lang_definitions` VALUES (150204, 2751, 28, 'Diagnostické hlášení');
INSERT INTO `lang_definitions` VALUES (150205, 2752, 28, 'Diagnostické hlášení');
INSERT INTO `lang_definitions` VALUES (150206, 2753, 28, 'Pouze diagnostická hlášení');
INSERT INTO `lang_definitions` VALUES (150207, 2754, 28, 'Označení diagnózy');
INSERT INTO `lang_definitions` VALUES (150208, 2755, 28, 'Diagnóza:');
INSERT INTO `lang_definitions` VALUES (150209, 2756, 28, 'Diagnóza:');
INSERT INTO `lang_definitions` VALUES (150210, 2758, 28, 'Diagnostické testy:');
INSERT INTO `lang_definitions` VALUES (150211, 2760, 28, 'Dialýza');
INSERT INTO `lang_definitions` VALUES (150212, 2764, 28, 'Průjem');
INSERT INTO `lang_definitions` VALUES (150213, 2767, 28, 'Diktát');
INSERT INTO `lang_definitions` VALUES (150214, 2768, 28, 'Diktát:');
INSERT INTO `lang_definitions` VALUES (150215, 2769, 28, 'Obdrželi jste kopii HIPAA oznámení');
INSERT INTO `lang_definitions` VALUES (150216, 2770, 28, 'Difusní:');
INSERT INTO `lang_definitions` VALUES (150217, 2771, 28, 'Digitálně podepsáno:');
INSERT INTO `lang_definitions` VALUES (150218, 2781, 28, 'Direct mail');
INSERT INTO `lang_definitions` VALUES (150219, 2782, 28, 'Log Direct zpráv');
INSERT INTO `lang_definitions` VALUES (150220, 2783, 28, 'Direct zpráva příijata');
INSERT INTO `lang_definitions` VALUES (150221, 2784, 28, 'Direct zprávy jsou aktuálně nedostupné');
INSERT INTO `lang_definitions` VALUES (150222, 2785, 28, 'Odeslání Direct zprávy selhalo');
INSERT INTO `lang_definitions` VALUES (150223, 2787, 28, 'Jméno ředitele');
INSERT INTO `lang_definitions` VALUES (150224, 2788, 28, 'Mazání adresáře selhalo, pokračuji.');
INSERT INTO `lang_definitions` VALUES (150225, 2789, 28, 'Invalidita');
INSERT INTO `lang_definitions` VALUES (150226, 2790, 28, 'Nepřístupné');
INSERT INTO `lang_definitions` VALUES (150227, 2794, 28, 'Deaktivovat kalendář');
INSERT INTO `lang_definitions` VALUES (150228, 2795, 28, 'Deaktivovat Chart tracker');
INSERT INTO `lang_definitions` VALUES (150229, 2798, 28, 'Deaktivovat');
INSERT INTO `lang_definitions` VALUES (150230, 2800, 28, 'Deaktivovat staré metrické formuláře vitálních funkcí');
INSERT INTO `lang_definitions` VALUES (150231, 2802, 28, 'Deaktivovat phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (150232, 2803, 28, 'Deaktivovat preskripci');
INSERT INTO `lang_definitions` VALUES (150233, 2804, 28, 'Deaktivovat uživatelské skupiny');
INSERT INTO `lang_definitions` VALUES (150234, 2805, 28, 'deaktivováno');
INSERT INTO `lang_definitions` VALUES (150235, 2806, 28, 'Deaktivováno');
INSERT INTO `lang_definitions` VALUES (150236, 2812, 28, 'DISC');
INSERT INTO `lang_definitions` VALUES (150237, 2813, 28, 'zrušit');
INSERT INTO `lang_definitions` VALUES (150238, 2814, 28, 'Zrušeno');
INSERT INTO `lang_definitions` VALUES (150239, 2815, 28, 'Výtok');
INSERT INTO `lang_definitions` VALUES (150240, 2816, 28, 'Výtok z uretry');
INSERT INTO `lang_definitions` VALUES (150241, 2825, 28, 'Info k nálezu');
INSERT INTO `lang_definitions` VALUES (150242, 2826, 28, 'Typ nálezu');
INSERT INTO `lang_definitions` VALUES (150243, 2827, 28, 'Typy nálezů');
INSERT INTO `lang_definitions` VALUES (150244, 2828, 28, 'Nálezy');
INSERT INTO `lang_definitions` VALUES (150245, 2833, 28, 'Sleva');
INSERT INTO `lang_definitions` VALUES (150246, 2834, 28, 'výše slevy');
INSERT INTO `lang_definitions` VALUES (150247, 2835, 28, 'Úroveň slevy');
INSERT INTO `lang_definitions` VALUES (150248, 2836, 28, 'Procentuální sleva');
INSERT INTO `lang_definitions` VALUES (150249, 2837, 28, 'Sleva jako peněžní hodnota');
INSERT INTO `lang_definitions` VALUES (150250, 2838, 28, 'Slevy při platbě jsou stanoveny jako peněžní částka nikoliv procentuálně');
INSERT INTO `lang_definitions` VALUES (150251, 2839, 28, 'Diskrétní výsledky');
INSERT INTO `lang_definitions` VALUES (150252, 2841, 28, 'Onemocnění');
INSERT INTO `lang_definitions` VALUES (150253, 2843, 28, 'Dislokace');
INSERT INTO `lang_definitions` VALUES (150254, 2847, 28, 'Odesl. #');
INSERT INTO `lang_definitions` VALUES (150255, 2848, 28, 'Odeslání');
INSERT INTO `lang_definitions` VALUES (150256, 2849, 28, 'Odeslat přijatý dokument');
INSERT INTO `lang_definitions` VALUES (150257, 2853, 28, 'Vyjmuto');
INSERT INTO `lang_definitions` VALUES (150258, 2856, 28, 'Zobrazit pokročilé instrukce na stránce demografických údajů');
INSERT INTO `lang_definitions` VALUES (150259, 2858, 28, 'Zobrazit dokumenty');
INSERT INTO `lang_definitions` VALUES (150260, 2859, 28, 'Zobrazit termíny události v bloku ?');
INSERT INTO `lang_definitions` VALUES (150261, 2861, 28, 'Zobrazit počet událostí ?');
INSERT INTO `lang_definitions` VALUES (150262, 2865, 28, 'Zobrazit umístěšní v bloku ?');
INSERT INTO `lang_definitions` VALUES (150263, 2866, 28, 'Zobrazit jméno');
INSERT INTO `lang_definitions` VALUES (150264, 2868, 28, 'Zobrazit kalendář ?');
INSERT INTO `lang_definitions` VALUES (150265, 2875, 28, 'Zobrazit dnešní události v bloku ?');
INSERT INTO `lang_definitions` VALUES (150266, 2877, 28, 'Zobrazit nadcházející události v bloku ?');
INSERT INTO `lang_definitions` VALUES (150267, 2879, 28, 'Zobrazit sloupce');
INSERT INTO `lang_definitions` VALUES (150268, 2880, 28, 'Zobrazení následujícího čísla nejčerstvějších nálezů');
INSERT INTO `lang_definitions` VALUES (150269, 2882, 28, 'Zobrazení následujícího čísla nejčerstvějších poznámek');
INSERT INTO `lang_definitions` VALUES (150270, 2883, 28, 'Zobrazení následujícího čísla nejčerstvějších poznámek');
INSERT INTO `lang_definitions` VALUES (150271, 2890, 28, 'Distribuce');
INSERT INTO `lang_definitions` VALUES (150272, 2891, 28, 'Distribuce');
INSERT INTO `lang_definitions` VALUES (150273, 2892, 28, 'Distributor');
INSERT INTO `lang_definitions` VALUES (150274, 2897, 28, 'Diverticulitis');
INSERT INTO `lang_definitions` VALUES (150275, 2898, 28, 'Operace divertikulitidy');
INSERT INTO `lang_definitions` VALUES (150276, 2899, 28, 'Diverticulitis');
INSERT INTO `lang_definitions` VALUES (150277, 2900, 28, 'Operace divertikulitidy');
INSERT INTO `lang_definitions` VALUES (150278, 2901, 28, 'Rozvedený/á');
INSERT INTO `lang_definitions` VALUES (150279, 2902, 28, 'Vertigo:');
INSERT INTO `lang_definitions` VALUES (150280, 2905, 28, 'Neměnit');
INSERT INTO `lang_definitions` VALUES (150281, 2907, 28, 'Nezobrazovat alergie nahrané do NewCrop');
INSERT INTO `lang_definitions` VALUES (150282, 2909, 28, 'Nezobrazovat medikace nahrané do NewCrop');
INSERT INTO `lang_definitions` VALUES (150283, 2912, 28, 'Nezobrazovat kalendář');
INSERT INTO `lang_definitions` VALUES (150284, 2919, 28, 'Není nutné autorizovat poznámku k pacientovi');
INSERT INTO `lang_definitions` VALUES (150285, 2920, 28, 'Pokyn neresuscitovat');
INSERT INTO `lang_definitions` VALUES (150286, 2921, 28, 'Neukládat');
INSERT INTO `lang_definitions` VALUES (150287, 2922, 28, 'nenahrazovat');
INSERT INTO `lang_definitions` VALUES (150288, 2925, 28, 'nic nedělat');
INSERT INTO `lang_definitions` VALUES (150289, 2929, 28, 'Opravdu chcete smazat');
INSERT INTO `lang_definitions` VALUES (150290, 2930, 28, 'Opravdu chcete smazat výběr ?');
INSERT INTO `lang_definitions` VALUES (150291, 2931, 28, 'Opravdu chcete smazat tuto skupinu');
INSERT INTO `lang_definitions` VALUES (150292, 2932, 28, 'Opravdu chcete smazat ?');
INSERT INTO `lang_definitions` VALUES (150293, 2934, 28, 'Opravdu chcete pokračovat ?');
INSERT INTO `lang_definitions` VALUES (150294, 2935, 28, 'Opravdu to chcete smazat ?');
INSERT INTO `lang_definitions` VALUES (150295, 2936, 28, 'Chcete smazat ?');
INSERT INTO `lang_definitions` VALUES (150296, 2937, 28, 'Chcete odstranit tento záznam ?');
INSERT INTO `lang_definitions` VALUES (150297, 2938, 28, 'Chcete pokračovat v přidání tohoto pacienta ?');
INSERT INTO `lang_definitions` VALUES (150298, 2939, 28, 'Chcete pokračovat s novým jménem ?');
INSERT INTO `lang_definitions` VALUES (150299, 2940, 28, 'Chcete nenávratně smazat tento imunizační záznam ?');
INSERT INTO `lang_definitions` VALUES (150300, 2941, 28, 'Dat.nar.');
INSERT INTO `lang_definitions` VALUES (150301, 2942, 28, 'Dat.nar není zadáno, prosím zadejte jej, je-li to možné');
INSERT INTO `lang_definitions` VALUES (150302, 2944, 28, 'Dokumenty');
INSERT INTO `lang_definitions` VALUES (150303, 2945, 28, 'Lékař');
INSERT INTO `lang_definitions` VALUES (150304, 2946, 28, 'Lékař:');
INSERT INTO `lang_definitions` VALUES (150305, 2947, 28, 'Jméno a podpis lékaře');
INSERT INTO `lang_definitions` VALUES (150306, 2948, 28, 'Dokument');
INSERT INTO `lang_definitions` VALUES (150307, 2949, 28, 'dokument');
INSERT INTO `lang_definitions` VALUES (150308, 2951, 28, 'Kategorie dokumentu');
INSERT INTO `lang_definitions` VALUES (150309, 2952, 28, 'Kategorie dokumentu pro laboratorní výsledky neexistuje');
INSERT INTO `lang_definitions` VALUES (150310, 2953, 28, 'Název kategorie dokumentu pro úložiště elektronicky přijatých laboratorních výsledků');
INSERT INTO `lang_definitions` VALUES (150311, 2955, 28, 'Kategorie dokumentu nebo odstranit');
INSERT INTO `lang_definitions` VALUES (150312, 2958, 28, 'Dokument nelze přesunout k ID pacienta');
INSERT INTO `lang_definitions` VALUES (150313, 2960, 28, 'Datum dokumentu');
INSERT INTO `lang_definitions` VALUES (150314, 2961, 28, 'Datum dokumentu a problému úspěšně aktualizováno');
INSERT INTO `lang_definitions` VALUES (150315, 2962, 28, 'ID dokumentu');
INSERT INTO `lang_definitions` VALUES (150316, 2965, 28, 'Dokument přesunut do nové kategorie');
INSERT INTO `lang_definitions` VALUES (150317, 2966, 28, 'Dokument přesunut pod ID pacienta');
INSERT INTO `lang_definitions` VALUES (150318, 2968, 28, 'Kontrola integrity dokumentu úspěšně dokončena');
INSERT INTO `lang_definitions` VALUES (150319, 2969, 28, 'Metoda úložení dokumentu');
INSERT INTO `lang_definitions` VALUES (150320, 2970, 28, 'Dokument byl úspěšně přejmenován');
INSERT INTO `lang_definitions` VALUES (150321, 2971, 28, 'Dokument byl úspěšně připojen k vyšetření');
INSERT INTO `lang_definitions` VALUES (150322, 2972, 28, 'Správa šablon dokumentů');
INSERT INTO `lang_definitions` VALUES (150323, 2973, 28, 'Šablony dokumentů');
INSERT INTO `lang_definitions` VALUES (150324, 2975, 28, 'Dokument(y)');
INSERT INTO `lang_definitions` VALUES (150325, 2976, 28, 'Úložiště pro dokumenty/Obrazová dokumentace');
INSERT INTO `lang_definitions` VALUES (150326, 2978, 28, 'Dokumenty');
INSERT INTO `lang_definitions` VALUES (150327, 2980, 28, 'Dokumenty ( právo zápisovat/přidat volitelně)');
INSERT INTO `lang_definitions` VALUES (150328, 2989, 28, 'Námahová dušnost');
INSERT INTO `lang_definitions` VALUES (150329, 2994, 28, 'Neodpovídá číslu PV1 vyšetření');
INSERT INTO `lang_definitions` VALUES (150330, 2995, 28, 'zřejmě neplatný údaj');
INSERT INTO `lang_definitions` VALUES (150331, 2997, 28, 'Tuzemský partner');
INSERT INTO `lang_definitions` VALUES (150332, 2998, 28, 'Neukládat');
INSERT INTO `lang_definitions` VALUES (150333, 2999, 28, 'Neukládat');
INSERT INTO `lang_definitions` VALUES (150334, 3000, 28, 'Neukládat změny');
INSERT INTO `lang_definitions` VALUES (150335, 3002, 28, 'Hotovo');
INSERT INTO `lang_definitions` VALUES (150336, 3004, 28, 'Hotovo s:');
INSERT INTO `lang_definitions` VALUES (150337, 3005, 28, 'Hotovo. Bude obratem  odesláno ke stažení.');
INSERT INTO `lang_definitions` VALUES (150338, 3007, 28, 'Dávkování');
INSERT INTO `lang_definitions` VALUES (150339, 3011, 28, 'Dvojklik pro editaci');
INSERT INTO `lang_definitions` VALUES (150340, 3013, 28, 'Dvojité  vidění');
INSERT INTO `lang_definitions` VALUES (150341, 3014, 28, 'Stažení');
INSERT INTO `lang_definitions` VALUES (150342, 3019, 28, 'Rozhodně stáhnout');
INSERT INTO `lang_definitions` VALUES (150343, 3020, 28, 'Stáhnout platební údaj, odeslat ke zúčtování a označit jako zuaúčtované');
INSERT INTO `lang_definitions` VALUES (150344, 3022, 28, 'Stáhnout certifikáty');
INSERT INTO `lang_definitions` VALUES (150345, 3023, 28, 'Stáhnout konfigurační data');
INSERT INTO `lang_definitions` VALUES (150346, 3025, 28, 'Stáhnout šablonu dokumentu pro tohoto pacienta a návštěvu');
INSERT INTO `lang_definitions` VALUES (150347, 3027, 28, 'stáhnout  zašifrovaný soubor');
INSERT INTO `lang_definitions` VALUES (150348, 3032, 28, 'Stáhnout nebo smazat šablonu');
INSERT INTO `lang_definitions` VALUES (150349, 3033, 28, 'Stáhnout PDF');
INSERT INTO `lang_definitions` VALUES (150350, 3037, 28, 'Stáhnout vybrané hlášky');
INSERT INTO `lang_definitions` VALUES (150351, 3041, 28, 'Dr.');
INSERT INTO `lang_definitions` VALUES (150352, 3045, 28, 'Zachytit k přetažení');
INSERT INTO `lang_definitions` VALUES (150353, 3047, 28, 'Únik moči');
INSERT INTO `lang_definitions` VALUES (150354, 3048, 28, 'ID řidičského průkazu nebo OP');
INSERT INTO `lang_definitions` VALUES (150355, 3050, 28, 'Lék');
INSERT INTO `lang_definitions` VALUES (150356, 3053, 28, 'Vyhledávač léků');
INSERT INTO `lang_definitions` VALUES (150357, 3054, 28, 'Formuláře léků');
INSERT INTO `lang_definitions` VALUES (150358, 3055, 28, 'Chybí ID léku !');
INSERT INTO `lang_definitions` VALUES (150359, 3056, 28, 'Lékové intervaly podání');
INSERT INTO `lang_definitions` VALUES (150360, 3059, 28, 'Název léku');
INSERT INTO `lang_definitions` VALUES (150361, 3061, 28, 'Způsob podání');
INSERT INTO `lang_definitions` VALUES (150362, 3066, 28, 'Lékové jednotky');
INSERT INTO `lang_definitions` VALUES (150363, 3072, 28, 'Léky');
INSERT INTO `lang_definitions` VALUES (150364, 3073, 28, 'Léky a produkty');
INSERT INTO `lang_definitions` VALUES (150365, 3074, 28, 'Sucho v ústech (xerostomie)');
INSERT INTO `lang_definitions` VALUES (150366, 3075, 28, 'DSMIV Diagnóza');
INSERT INTO `lang_definitions` VALUES (150367, 3076, 28, 'Difterický  tetanus 1');
INSERT INTO `lang_definitions` VALUES (150368, 3077, 28, 'Difterický  tetanus 2');
INSERT INTO `lang_definitions` VALUES (150369, 3078, 28, 'Difterický  tetanus 3');
INSERT INTO `lang_definitions` VALUES (150370, 3079, 28, 'Difterický  tetanus 4');
INSERT INTO `lang_definitions` VALUES (150371, 3080, 28, 'Difterický  tetanus 5');
INSERT INTO `lang_definitions` VALUES (150372, 3088, 28, 'Datum platby');
INSERT INTO `lang_definitions` VALUES (150373, 3090, 28, 'Datum platby mm/dd/rrrrr nebo rrrr-mm-dd');
INSERT INTO `lang_definitions` VALUES (150374, 3091, 28, 'Datum platby:');
INSERT INTO `lang_definitions` VALUES (150375, 3094, 28, 'Blíží se konec platnosti');
INSERT INTO `lang_definitions` VALUES (150376, 3095, 28, 'Stav platby');
INSERT INTO `lang_definitions` VALUES (150377, 3096, 28, 'Aktualizace stavu platby');
INSERT INTO `lang_definitions` VALUES (150378, 3108, 28, 'Duplicitní ID v řádku');
INSERT INTO `lang_definitions` VALUES (150379, 3109, 28, 'Duplicitní jméno v řádku');
INSERT INTO `lang_definitions` VALUES (150380, 3110, 28, 'VArování duplicity');
INSERT INTO `lang_definitions` VALUES (150381, 3112, 28, 'Trvání');
INSERT INTO `lang_definitions` VALUES (150382, 3113, 28, 'trvání');
INSERT INTO `lang_definitions` VALUES (150383, 3114, 28, 'Holandský');
INSERT INTO `lang_definitions` VALUES (150384, 3117, 28, 'Dysfágie');
INSERT INTO `lang_definitions` VALUES (150385, 3118, 28, 'Dušnost:');
INSERT INTO `lang_definitions` VALUES (150386, 3119, 28, 'Dysurie');
INSERT INTO `lang_definitions` VALUES (150387, 3128, 28, 'E-preskripce ?');
INSERT INTO `lang_definitions` VALUES (150388, 3129, 28, 'E-reporty');
INSERT INTO `lang_definitions` VALUES (150389, 3130, 28, 'e-Rx');
INSERT INTO `lang_definitions` VALUES (150390, 3132, 28, 'e-Rx obnovení');
INSERT INTO `lang_definitions` VALUES (150391, 3135, 28, 'Každý příjemce musí nastavit své vlastní zprávy jako dokončené.');
INSERT INTO `lang_definitions` VALUES (150392, 3140, 28, 'Časná rekurence (<2 Měs)');
INSERT INTO `lang_definitions` VALUES (150393, 3141, 28, 'Uši');
INSERT INTO `lang_definitions` VALUES (150394, 3148, 28, 'EKG');
INSERT INTO `lang_definitions` VALUES (150395, 3149, 28, 'e-žádanky');
INSERT INTO `lang_definitions` VALUES (150396, 3152, 28, 'Edém');
INSERT INTO `lang_definitions` VALUES (150397, 3159, 28, 'Upravit');
INSERT INTO `lang_definitions` VALUES (150398, 3160, 28, 'upravit');
INSERT INTO `lang_definitions` VALUES (150399, 3161, 28, 'Upravit Alergie');
INSERT INTO `lang_definitions` VALUES (150400, 3163, 28, 'Upravit kategorie');
INSERT INTO `lang_definitions` VALUES (150401, 3165, 28, 'Upravit definice');
INSERT INTO `lang_definitions` VALUES (150402, 3166, 28, 'Upravit definice');
INSERT INTO `lang_definitions` VALUES (150403, 3167, 28, 'Upravit diagnózy pro');
INSERT INTO `lang_definitions` VALUES (150404, 3168, 28, 'Upravit nález');
INSERT INTO `lang_definitions` VALUES (150405, 3173, 28, 'Upravit zařízení');
INSERT INTO `lang_definitions` VALUES (150406, 3174, 28, 'Upravit zařízení');
INSERT INTO `lang_definitions` VALUES (150407, 3175, 28, 'Upravit informace o zařízení');
INSERT INTO `lang_definitions` VALUES (150408, 3176, 28, 'Upravit uživatelské údaje týkající se zařízení');
INSERT INTO `lang_definitions` VALUES (150409, 3177, 28, 'Upravit soubor v');
INSERT INTO `lang_definitions` VALUES (150410, 3178, 28, 'Upravit formulář');
INSERT INTO `lang_definitions` VALUES (150411, 3179, 28, 'Upravit globální nastavení');
INSERT INTO `lang_definitions` VALUES (150412, 3181, 28, 'Úpravy nejsou autorizovány !');
INSERT INTO `lang_definitions` VALUES (150413, 3183, 28, 'Upravit rozvržení');
INSERT INTO `lang_definitions` VALUES (150414, 3185, 28, 'Upravit seznam');
INSERT INTO `lang_definitions` VALUES (150415, 3188, 28, 'Upravit platbu');
INSERT INTO `lang_definitions` VALUES (150416, 3189, 28, 'Upravit strukturu');
INSERT INTO `lang_definitions` VALUES (150417, 3192, 28, 'Upravit uživatele');
INSERT INTO `lang_definitions` VALUES (150418, 3193, 28, 'Upravit uživatelské nastavení');
INSERT INTO `lang_definitions` VALUES (150419, 3194, 28, 'Upravit zadaná data');
INSERT INTO `lang_definitions` VALUES (150420, 3195, 28, 'Úpravy selhaly');
INSERT INTO `lang_definitions` VALUES (150421, 3196, 28, 'Vzdělávání');
INSERT INTO `lang_definitions` VALUES (150422, 3198, 28, 'Vzdělávací materiály pro');
INSERT INTO `lang_definitions` VALUES (150423, 3200, 28, 'Datum účinnosti');
INSERT INTO `lang_definitions` VALUES (150424, 3202, 28, 'účinnost');
INSERT INTO `lang_definitions` VALUES (150425, 3204, 28, 'Identifikační číslo zaměstnavatele');
INSERT INTO `lang_definitions` VALUES (150426, 3207, 28, 'Ejakulace');
INSERT INTO `lang_definitions` VALUES (150427, 3208, 28, 'Loket');
INSERT INTO `lang_definitions` VALUES (150428, 3209, 28, 'Problémy s loktem');
INSERT INTO `lang_definitions` VALUES (150429, 3210, 28, 'Elektronicky');
INSERT INTO `lang_definitions` VALUES (150430, 3214, 28, 'Elektronické převody');
INSERT INTO `lang_definitions` VALUES (150431, 3215, 28, 'Elektronické reporty');
INSERT INTO `lang_definitions` VALUES (150432, 3218, 28, 'Způsobilost');
INSERT INTO `lang_definitions` VALUES (150433, 3223, 28, 'Způsobilý');
INSERT INTO `lang_definitions` VALUES (150434, 3225, 28, 'e-mail');
INSERT INTO `lang_definitions` VALUES (150435, 3226, 28, 'email');
INSERT INTO `lang_definitions` VALUES (150436, 3228, 28, 'emailová adresa');
INSERT INTO `lang_definitions` VALUES (150437, 3229, 28, 'chybí emailová adresa');
INSERT INTO `lang_definitions` VALUES (150438, 3230, 28, 'E-mailová adresa odesílatele upomínek pacientům. Odpovědi na upomínky pacientů budou směrovány na tuto adresu. Je důležité použít adresu z klinické domény, aby se zabránilo přesunu upomínek do spamu.');
INSERT INTO `lang_definitions` VALUES (150439, 3231, 28, 'E-mailová adresa pro příjem upozornění správy');
INSERT INTO `lang_definitions` VALUES (150440, 3232, 28, 'E-mailová adresa pro příjem zpráv nutných k nouzovému uživatelskému přihlášení');
INSERT INTO `lang_definitions` VALUES (150441, 3233, 28, 'E-mail autor.');
INSERT INTO `lang_definitions` VALUES (150442, 3236, 28, 'Batchcom email');
INSERT INTO `lang_definitions` VALUES (150443, 3238, 28, 'E-mailové upozornění');
INSERT INTO `lang_definitions` VALUES (150444, 3239, 28, 'Hodiny e-mailových upozornění');
INSERT INTO `lang_definitions` VALUES (150445, 3240, 28, 'Hlášení emailových upozornění');
INSERT INTO `lang_definitions` VALUES (150446, 3244, 28, 'Nejdřív pošlete e-mail');
INSERT INTO `lang_definitions` VALUES (150447, 3245, 28, 'Odesílatel e-mailu');
INSERT INTO `lang_definitions` VALUES (150448, 3246, 28, 'E-mail odeslán');
INSERT INTO `lang_definitions` VALUES (150449, 3247, 28, 'E-mail odeslán');
INSERT INTO `lang_definitions` VALUES (150450, 3248, 28, 'Předmět e-mailu');
INSERT INTO `lang_definitions` VALUES (150451, 3251, 28, 'Text e-mailu , užívané označení: ***JMÉNO***, např. Vážený/á ***JMÉNO***');
INSERT INTO `lang_definitions` VALUES (150452, 3252, 28, 'Text e-mailu , užívané označení: ***JMÉNO***, např. Vážený/á ***JMÉNO***{{Nepřekládat prvek  ***JMÉNO*** této konstanty}}');
INSERT INTO `lang_definitions` VALUES (150453, 3253, 28, 'metoda přenosu e-mailu');
INSERT INTO `lang_definitions` VALUES (150454, 3254, 28, 'E-mail byl odeslán na následující adresy');
INSERT INTO `lang_definitions` VALUES (150455, 3259, 28, 'Emergency kontakt');
INSERT INTO `lang_definitions` VALUES (150456, 3260, 28, 'Kontaktní osoba emergency');
INSERT INTO `lang_definitions` VALUES (150457, 3261, 28, 'Kontaktní telefon emergency');
INSERT INTO `lang_definitions` VALUES (150458, 3262, 28, 'Nouzová antikoncepce');
INSERT INTO `lang_definitions` VALUES (150459, 3263, 28, 'Nouzové přihlášení');
INSERT INTO `lang_definitions` VALUES (150460, 3264, 28, 'Nouzový login ACL je vybrán.Uživatel je stále v aktivním stavu, prosím deaktivujte uživatele. Aktivujte pouze v naléhavých situacích. Navštivte Sparáva-> Uživatelé pro aktivaci nebo deaktivaci.');
INSERT INTO `lang_definitions` VALUES (150461, 3265, 28, 'Přihlašovací email pro nouzové přihlášení bude zaslán pouze tehdy, pokud jsou nakonfigurovány následující nastavení v souboru  interface/ globals.php :');
INSERT INTO `lang_definitions` VALUES (150462, 3266, 28, 'E-mailová adresa pro nouzové přihlášení');
INSERT INTO `lang_definitions` VALUES (150463, 3267, 28, 'Nouzový uživatel může dělat cokoliv');
INSERT INTO `lang_definitions` VALUES (150464, 3268, 28, 'pohotovostní telefon');
INSERT INTO `lang_definitions` VALUES (150465, 3270, 28, 'Emoční / Behaviorální stav & komplikace');
INSERT INTO `lang_definitions` VALUES (150466, 3271, 28, 'Emfysém');
INSERT INTO `lang_definitions` VALUES (150467, 3272, 28, 'Zaměstnanec');
INSERT INTO `lang_definitions` VALUES (150468, 3273, 28, 'Zaměstnavatel');
INSERT INTO `lang_definitions` VALUES (150469, 3274, 28, 'Adresa zaměstnavatele');
INSERT INTO `lang_definitions` VALUES (150470, 3275, 28, 'Data zaměstnavatele');
INSERT INTO `lang_definitions` VALUES (150471, 3276, 28, 'Jméno zaměstnavatele');
INSERT INTO `lang_definitions` VALUES (150472, 3277, 28, 'PRÁZDNÉ');
INSERT INTO `lang_definitions` VALUES (150473, 3278, 28, 'Prázdné');
INSERT INTO `lang_definitions` VALUES (150474, 3279, 28, 'Prázdné heslo není povoleno');
INSERT INTO `lang_definitions` VALUES (150475, 3281, 28, 'Prázdná hodnota v \"Hodiny e-mailu\"');
INSERT INTO `lang_definitions` VALUES (150476, 3282, 28, 'Prázdná hodnota v \"Odesílatel e-mailu\"');
INSERT INTO `lang_definitions` VALUES (150477, 3283, 28, 'Prázdná hodnota v \"Předmět e-mailu\"');
INSERT INTO `lang_definitions` VALUES (150478, 3284, 28, 'Prázdná hodnota v \"Text e-mailu\"');
INSERT INTO `lang_definitions` VALUES (150479, 3285, 28, 'Prázdná hodnota v \"Jméno poskytovatele\"');
INSERT INTO `lang_definitions` VALUES (150480, 3286, 28, 'Prázdná hodnota v \"Heslo\"');
INSERT INTO `lang_definitions` VALUES (150481, 3287, 28, 'Prázdná hodnota v \"SMS hodiny\"');
INSERT INTO `lang_definitions` VALUES (150482, 3288, 28, 'Prázdná hodnota v \"SMS text\"');
INSERT INTO `lang_definitions` VALUES (150483, 3289, 28, 'Prázdná hodnota v \"Uživatelské jméno\"');
INSERT INTO `lang_definitions` VALUES (150484, 3292, 28, 'Zapnutí');
INSERT INTO `lang_definitions` VALUES (150485, 3298, 28, 'Zapnout AMC výzvy');
INSERT INTO `lang_definitions` VALUES (150486, 3300, 28, 'Zapnout hlášení AMC');
INSERT INTO `lang_definitions` VALUES (150487, 3301, 28, 'Zapnout sledování AMC');
INSERT INTO `lang_definitions` VALUES (150488, 3303, 28, 'Zapnout ATNA audit');
INSERT INTO `lang_definitions` VALUES (150489, 3304, 28, 'Zapnout šifrování  logu auditu');
INSERT INTO `lang_definitions` VALUES (150490, 3305, 28, 'Zapnout audit logování');
INSERT INTO `lang_definitions` VALUES (150491, 3307, 28, 'Zapnout reporting pro  automatizované měřící výpočty ( AMC )');
INSERT INTO `lang_definitions` VALUES (150492, 3312, 28, 'Zapnout klientský SSL');
INSERT INTO `lang_definitions` VALUES (150493, 3313, 28, 'Zapnout autentizaci klienstkého certifikátu SSL');
INSERT INTO `lang_definitions` VALUES (150494, 3315, 28, 'Zapnout Clinical Decision Rules (CDR)');
INSERT INTO `lang_definitions` VALUES (150495, 3318, 28, 'Zapnout reportování měření klinického měření (CQM)');
INSERT INTO `lang_definitions` VALUES (150496, 3319, 28, 'Zapnout vyskakovací okno klinických upozornění');
INSERT INTO `lang_definitions` VALUES (150497, 3320, 28, 'zapnout widget klinických upozornění');
INSERT INTO `lang_definitions` VALUES (150498, 3321, 28, 'zapnout CMS portál');
INSERT INTO `lang_definitions` VALUES (150499, 3324, 28, 'Zapnout reportování CQM');
INSERT INTO `lang_definitions` VALUES (150500, 3329, 28, 'Zapnout historii EDI ( electronic data interchange )  v levém menu');
INSERT INTO `lang_definitions` VALUES (150501, 3334, 28, 'povolit poplatky v levém menu');
INSERT INTO `lang_definitions` VALUES (150502, 3341, 28, 'Zapnout podporu pro Hylafax');
INSERT INTO `lang_definitions` VALUES (150503, 3343, 28, 'zapnout zprávy o stavu importu pro NewCorp erx');
INSERT INTO `lang_definitions` VALUES (150504, 3347, 28, 'Zapnout laboratorní výměnu');
INSERT INTO `lang_definitions` VALUES (150505, 3348, 28, 'Povolit přepínač zámku');
INSERT INTO `lang_definitions` VALUES (150506, 3349, 28, 'povolit log  pro nahrávání/stahování dokumentů do CouchDB');
INSERT INTO `lang_definitions` VALUES (150507, 3350, 28, 'Povolit logování všech SQL SELECT dotazů.');
INSERT INTO `lang_definitions` VALUES (150508, 3351, 28, 'Povolit logování aktivit souvisejících se zálohováním');
INSERT INTO `lang_definitions` VALUES (150509, 3352, 28, 'Povolit logování dotazů CDR ( clinical data repository)');
INSERT INTO `lang_definitions` VALUES (150510, 3353, 28, 'povolit logování různých aktivit.');
INSERT INTO `lang_definitions` VALUES (150511, 3354, 28, 'Povolit logování objednávkových aktivit');
INSERT INTO `lang_definitions` VALUES (150512, 3355, 28, 'Povolit logování modifikací záznamů pacientů');
INSERT INTO `lang_definitions` VALUES (150513, 3356, 28, 'Povolit logování plánovacích aktivit');
INSERT INTO `lang_definitions` VALUES (150514, 3357, 28, 'Povolit logování bezpečnostních a správcovských aktivit');
INSERT INTO `lang_definitions` VALUES (150515, 3360, 28, 'povolit NewCorp eRx službu');
INSERT INTO `lang_definitions` VALUES (150516, 3365, 28, 'Povolit externí pacientský portál');
INSERT INTO `lang_definitions` VALUES (150517, 3366, 28, 'Povolit externí pacientský portál');
INSERT INTO `lang_definitions` VALUES (150518, 3368, 28, 'Povolit interní pacientský portál');
INSERT INTO `lang_definitions` VALUES (150519, 3371, 28, 'Povolit interní pacientský portál');
INSERT INTO `lang_definitions` VALUES (150520, 3385, 28, 'Povolit widget upomínek pacientům.');
INSERT INTO `lang_definitions` VALUES (150521, 3387, 28, 'Povolit službu zpráv direct phiMailu');
INSERT INTO `lang_definitions` VALUES (150522, 3389, 28, 'Povolit výzvy k automatizovaným měřícím výpočtům (AMC)');
INSERT INTO `lang_definitions` VALUES (150523, 3392, 28, 'Povolit podporu skeneru');
INSERT INTO `lang_definitions` VALUES (150524, 3396, 28, 'Povolit Medical information Integration, LLC Lab Exchange service');
INSERT INTO `lang_definitions` VALUES (150525, 3397, 28, 'Povolit podporu OpenEMR pro LLC Lab Exchange služby');
INSERT INTO `lang_definitions` VALUES (150526, 3398, 28, 'Povolit autentizaci uživatelských certifikátů');
INSERT INTO `lang_definitions` VALUES (150527, 3403, 28, 'Povolit ZMG, LLC eRx službu');
INSERT INTO `lang_definitions` VALUES (150528, 3404, 28, 'Povoleno');
INSERT INTO `lang_definitions` VALUES (150529, 3412, 28, 'Povoluje starý panel poplatků pro zadávání účetních kódů a plateb. Nedoporučuje se povolit.');
INSERT INTO `lang_definitions` VALUES (150530, 3415, 28, 'Vyš');
INSERT INTO `lang_definitions` VALUES (150531, 3417, 28, 'Vyšetření');
INSERT INTO `lang_definitions` VALUES (150532, 3418, 28, 'Vyšetření');
INSERT INTO `lang_definitions` VALUES (150533, 3419, 28, 'vyšetření');
INSERT INTO `lang_definitions` VALUES (150534, 3420, 28, 'Vyšetření');
INSERT INTO `lang_definitions` VALUES (150535, 3421, 28, 'vyšetření akutního pacienta nebo vyšetření na pohotovosti');
INSERT INTO `lang_definitions` VALUES (150536, 3426, 28, 'data vyšetření');
INSERT INTO `lang_definitions` VALUES (150537, 3427, 28, 'Datum vyšetření');
INSERT INTO `lang_definitions` VALUES (150538, 3430, 28, 'EDI záznam vyšetření');
INSERT INTO `lang_definitions` VALUES (150539, 3432, 28, 'Formulář vyšetření');
INSERT INTO `lang_definitions` VALUES (150540, 3433, 28, 'Vyšetření zdravotního stavu a chování');
INSERT INTO `lang_definitions` VALUES (150541, 3434, 28, 'Historie vyšetření');
INSERT INTO `lang_definitions` VALUES (150542, 3435, 28, 'ID vyšetření');
INSERT INTO `lang_definitions` VALUES (150543, 3436, 28, 'vyšetření chřipky');
INSERT INTO `lang_definitions` VALUES (150544, 3439, 28, 'Číslo vyšetření');
INSERT INTO `lang_definitions` VALUES (150545, 3443, 28, 'vyšetření pro ergoterapii');
INSERT INTO `lang_definitions` VALUES (150546, 3445, 28, 'vyšetření ambulantního pacienta');
INSERT INTO `lang_definitions` VALUES (150547, 3447, 28, 'Vyšetření - velikost papíru');
INSERT INTO `lang_definitions` VALUES (150548, 3448, 28, 'Platba vyšetření');
INSERT INTO `lang_definitions` VALUES (150549, 3449, 28, 'vyšetření těhotné');
INSERT INTO `lang_definitions` VALUES (150550, 3450, 28, 'preventivní vyšetření - individuální poradenství');
INSERT INTO `lang_definitions` VALUES (150551, 3451, 28, 'preventivní vyšetření starších 40 let');
INSERT INTO `lang_definitions` VALUES (150552, 3452, 28, 'preventivní vyšetření - skupinové poradenství');
INSERT INTO `lang_definitions` VALUES (150553, 3453, 28, 'preventivní vyšetření - další služby');
INSERT INTO `lang_definitions` VALUES (150554, 3454, 28, 'preventivní vyšetření starších 18 let');
INSERT INTO `lang_definitions` VALUES (150555, 3457, 28, 'psychiatrické a psychologické vyšetření');
INSERT INTO `lang_definitions` VALUES (150556, 3458, 28, 'Statistiky vyšetření');
INSERT INTO `lang_definitions` VALUES (150557, 3459, 28, 'Souhrn vyšetření');
INSERT INTO `lang_definitions` VALUES (150558, 3461, 28, 'Vyšetření bylo  kódováno');
INSERT INTO `lang_definitions` VALUES (150559, 3462, 28, 'Vyšetření');
INSERT INTO `lang_definitions` VALUES (150560, 3463, 28, 'Vyšetření: vyšetření neakutního hospitalizovaného, ambulantního pacienta nebo oftalmologické vyšetření');
INSERT INTO `lang_definitions` VALUES (150561, 3464, 28, 'Vyšetření');
INSERT INTO `lang_definitions` VALUES (150562, 3465, 28, 'Vyšetření a formuláře');
INSERT INTO `lang_definitions` VALUES (150563, 3466, 28, 'Vyšetření a formuláře');
INSERT INTO `lang_definitions` VALUES (150564, 3467, 28, 'Vyšetření nebyla autorizována');
INSERT INTO `lang_definitions` VALUES (150565, 3468, 28, 'Report vyšetření');
INSERT INTO `lang_definitions` VALUES (150566, 3469, 28, 'Sekce vyšetření');
INSERT INTO `lang_definitions` VALUES (150567, 3471, 28, 'Šifrování');
INSERT INTO `lang_definitions` VALUES (150568, 3472, 28, 'Konec');
INSERT INTO `lang_definitions` VALUES (150569, 3473, 28, 'Konec (rrr-mm-dd):');
INSERT INTO `lang_definitions` VALUES (150570, 3474, 28, 'Konečné datum');
INSERT INTO `lang_definitions` VALUES (150571, 3475, 28, 'Konečné datum');
INSERT INTO `lang_definitions` VALUES (150572, 3480, 28, 'Konečné datum musí být vyšší než počáteční');
INSERT INTO `lang_definitions` VALUES (150573, 3482, 28, 'Konečné datum:');
INSERT INTO `lang_definitions` VALUES (150574, 3485, 28, 'Konec hlášení');
INSERT INTO `lang_definitions` VALUES (150575, 3487, 28, 'Konečný čas');
INSERT INTO `lang_definitions` VALUES (150576, 3492, 28, 'Datum ukonční služby rrrr-mm-dd');
INSERT INTO `lang_definitions` VALUES (150577, 3493, 28, 'Datum ukonční služby mm/dd/rrrr pokud chcete zadat rozsah');
INSERT INTO `lang_definitions` VALUES (150578, 3494, 28, 'Konečná denní hodina pro událost kalendáře');
INSERT INTO `lang_definitions` VALUES (150579, 3496, 28, 'endokrinní');
INSERT INTO `lang_definitions` VALUES (150580, 3497, 28, 'Endoskopie');
INSERT INTO `lang_definitions` VALUES (150581, 3502, 28, 'Anglický');
INSERT INTO `lang_definitions` VALUES (150582, 3503, 28, 'Anglický');
INSERT INTO `lang_definitions` VALUES (150583, 3504, 28, 'Angličtina ( indická )');
INSERT INTO `lang_definitions` VALUES (150584, 3505, 28, 'Angličtina ( standardní )');
INSERT INTO `lang_definitions` VALUES (150585, 3506, 28, 'Enscript příkaz Hylafaxu');
INSERT INTO `lang_definitions` VALUES (150586, 3507, 28, 'Ujistěte se , že OpenEMR má právo zápisu do složky');
INSERT INTO `lang_definitions` VALUES (150587, 3509, 28, 'ORL výtok');
INSERT INTO `lang_definitions` VALUES (150588, 3510, 28, 'Bolest ORL původu');
INSERT INTO `lang_definitions` VALUES (150589, 3515, 28, 'Zadejte opravu');
INSERT INTO `lang_definitions` VALUES (150590, 3518, 28, 'Zadejte zde obsah dopisu');
INSERT INTO `lang_definitions` VALUES (150591, 3520, 28, 'Zadejte root heslo databáze');
INSERT INTO `lang_definitions` VALUES (150592, 3521, 28, 'Zadejte uživatelské jméno root přístupu k  databázi');
INSERT INTO `lang_definitions` VALUES (150593, 3529, 28, 'Zadejte diagnózu');
INSERT INTO `lang_definitions` VALUES (150594, 3530, 28, 'Zadejte  léčivo');
INSERT INTO `lang_definitions` VALUES (150595, 3533, 28, 'Zadejte vyšetření');
INSERT INTO `lang_definitions` VALUES (150596, 3534, 28, 'Zadejte číslo vyšetření');
INSERT INTO `lang_definitions` VALUES (150597, 3537, 28, 'Zadejte očkování');
INSERT INTO `lang_definitions` VALUES (150598, 3538, 28, 'Zadejte klíč');
INSERT INTO `lang_definitions` VALUES (150599, 3542, 28, 'Zadejte nová data');
INSERT INTO `lang_definitions` VALUES (150600, 3544, 28, 'Zadejte nový stát');
INSERT INTO `lang_definitions` VALUES (150601, 3549, 28, 'Zadejte direct adresu příjemce');
INSERT INTO `lang_definitions` VALUES (150602, 3567, 28, 'Zadejte LOINC kód této procedury');
INSERT INTO `lang_definitions` VALUES (150603, 3569, 28, 'Zadejte reidentifikační kód');
INSERT INTO `lang_definitions` VALUES (150604, 3581, 28, 'Výše zadejte vyhledávací kritéria');
INSERT INTO `lang_definitions` VALUES (150605, 3584, 28, 'Chybně zadáno');
INSERT INTO `lang_definitions` VALUES (150606, 3586, 28, 'položky');
INSERT INTO `lang_definitions` VALUES (150607, 3591, 28, 'Vlivy prostředí');
INSERT INTO `lang_definitions` VALUES (150608, 3602, 28, 'Epilepsie');
INSERT INTO `lang_definitions` VALUES (150609, 3608, 28, 'ERA');
INSERT INTO `lang_definitions` VALUES (150610, 3609, 28, 'ERA soubory');
INSERT INTO `lang_definitions` VALUES (150611, 3612, 28, 'Vymazat');
INSERT INTO `lang_definitions` VALUES (150612, 3614, 28, 'Erekce');
INSERT INTO `lang_definitions` VALUES (150613, 3615, 28, 'Chyba');
INSERT INTO `lang_definitions` VALUES (150614, 3616, 28, 'CHYBA');
INSERT INTO `lang_definitions` VALUES (150615, 3617, 28, 'Chyba při potvrzení příjemce  laboratorních výsledků');
INSERT INTO `lang_definitions` VALUES (150616, 3620, 28, 'Chyba při získávání výsledků z Lab Exchange Network');
INSERT INTO `lang_definitions` VALUES (150617, 3621, 28, 'Chyba ve výběru \"Pohlaví\"');
INSERT INTO `lang_definitions` VALUES (150618, 3622, 28, 'Chyba ve výběru \"HIPPA\"');
INSERT INTO `lang_definitions` VALUES (150619, 3623, 28, 'Chyba ve výběru \"Process\"');
INSERT INTO `lang_definitions` VALUES (150620, 3624, 28, 'Chyba ve výběru \"SMS brány\"');
INSERT INTO `lang_definitions` VALUES (150621, 3625, 28, 'Chyba ve výběru \"Řadit podle\"');
INSERT INTO `lang_definitions` VALUES (150622, 3626, 28, 'Chyba souboru nebo gzip komprese');
INSERT INTO `lang_definitions` VALUES (150623, 3627, 28, 'Chyba při volně ANO nebo NE');
INSERT INTO `lang_definitions` VALUES (150624, 3630, 28, 'Chyba při otevírání nahraných  dat pro čtení');
INSERT INTO `lang_definitions` VALUES (150625, 3631, 28, 'Chyba při zpracování souboru');
INSERT INTO `lang_definitions` VALUES (150626, 3632, 28, 'Chyba při nahrávání');
INSERT INTO `lang_definitions` VALUES (150627, 3633, 28, 'Chyba při mazání zprávy');
INSERT INTO `lang_definitions` VALUES (150628, 3634, 28, 'Chyba při obdržení výsledků z Lab Exchange Network');
INSERT INTO `lang_definitions` VALUES (150629, 3635, 28, 'Chyba při získávání hodnot');
INSERT INTO `lang_definitions` VALUES (150630, 3636, 28, 'Chyba při ukládání dokumentu');
INSERT INTO `lang_definitions` VALUES (150631, 3637, 28, 'Chyba přidělování přístupových práv k souboru pro uživatele OpenEMR');
INSERT INTO `lang_definitions` VALUES (150632, 3640, 28, 'Chyba při registraci formuláře');
INSERT INTO `lang_definitions` VALUES (150633, 3641, 28, 'Chyba při ukládání do souboru');
INSERT INTO `lang_definitions` VALUES (150634, 3643, 28, 'Chyba zápisu do souboru');
INSERT INTO `lang_definitions` VALUES (150635, 3646, 28, 'v nových výsledcích  se objevily chyby');
INSERT INTO `lang_definitions` VALUES (150636, 3651, 28, 'Chyba , soubor neexistuje');
INSERT INTO `lang_definitions` VALUES (150637, 3652, 28, 'CHYBA, nelze shromáždit data ze serveru');
INSERT INTO `lang_definitions` VALUES (150638, 3653, 28, 'Chyba , nelze vytvořit klientský certifikát');
INSERT INTO `lang_definitions` VALUES (150639, 3654, 28, 'Chyba, nelze vytvořit admin.p12 certifikát');
INSERT INTO `lang_definitions` VALUES (150640, 3655, 28, 'Chyba, nelze vytvořit certifikát certifikační autority');
INSERT INTO `lang_definitions` VALUES (150641, 3656, 28, 'Chyba, nelze vytvořit serverový certifikát');
INSERT INTO `lang_definitions` VALUES (150642, 3658, 28, 'Chyba, nelze otevřít soubor');
INSERT INTO `lang_definitions` VALUES (150643, 3659, 28, 'Chyba, ověření uživatelských certifikátů není v OpenEMR povoleno');
INSERT INTO `lang_definitions` VALUES (150644, 3663, 28, 'Chyba, je potřeba nainstalovat modul Archive/Tar.php');
INSERT INTO `lang_definitions` VALUES (150645, 3664, 28, 'CHYBA: nelze otevřít tabulku .sql. Poškozený formulář ?');
INSERT INTO `lang_definitions` VALUES (150646, 3667, 28, 'Chyba: duplicitní ID v řádku');
INSERT INTO `lang_definitions` VALUES (150647, 3668, 28, 'Chyba: duplicitní jméno v řádku');
INSERT INTO `lang_definitions` VALUES (150648, 3669, 28, 'CHYBA: Pole');
INSERT INTO `lang_definitions` VALUES (150649, 3670, 28, 'CHYBA: Chybí modul ZipArchive PHP');
INSERT INTO `lang_definitions` VALUES (150650, 3671, 28, 'CHYBA: Chybí ICD složka pro import');
INSERT INTO `lang_definitions` VALUES (150651, 3672, 28, 'Chyba: hesla si neodpovídají. Prosím, prověďte kontrolu.');
INSERT INTO `lang_definitions` VALUES (150652, 3673, 28, 'Chyba: hesla si neodpovídají. Prosím, prověďte kontrolu.');
INSERT INTO `lang_definitions` VALUES (150653, 3674, 28, 'Chyba: soubor neexistuje');
INSERT INTO `lang_definitions` VALUES (150654, 3675, 28, 'CHYBA: Následující proměnné obsahují  chybné znaky');
INSERT INTO `lang_definitions` VALUES (150655, 3676, 28, 'CHYBA: Nelze kopírovat soubor');
INSERT INTO `lang_definitions` VALUES (150656, 3677, 28, 'Chyba: Nelze vytvořit archiv ke stažení');
INSERT INTO `lang_definitions` VALUES (150657, 3678, 28, 'CHYBA: Nelze vytvořit Zip archiv');
INSERT INTO `lang_definitions` VALUES (150658, 3679, 28, 'CHYBA: nelze rozbalit soubor');
INSERT INTO `lang_definitions` VALUES (150659, 3680, 28, 'CHYBA: Nelze nahrát soubor do databáze');
INSERT INTO `lang_definitions` VALUES (150660, 3681, 28, 'CHYBA: Nelze nastavit číslo verze');
INSERT INTO `lang_definitions` VALUES (150661, 3682, 28, 'Chyby');
INSERT INTO `lang_definitions` VALUES (150662, 3684, 28, 'Stav účtu eRx');
INSERT INTO `lang_definitions` VALUES (150663, 3685, 28, 'eRx logy');
INSERT INTO `lang_definitions` VALUES (150664, 3686, 28, 'ERX jméno');
INSERT INTO `lang_definitions` VALUES (150665, 3687, 28, 'ERX heslo');
INSERT INTO `lang_definitions` VALUES (150666, 3688, 28, 'ERX Role');
INSERT INTO `lang_definitions` VALUES (150667, 3689, 28, 'ERX Uživatel');
INSERT INTO `lang_definitions` VALUES (150668, 3690, 28, 'Erytém');
INSERT INTO `lang_definitions` VALUES (150669, 3691, 28, 'e-Podpis');
INSERT INTO `lang_definitions` VALUES (150670, 3692, 28, 'e-Podpis log');
INSERT INTO `lang_definitions` VALUES (150671, 3693, 28, 'Eskimák');
INSERT INTO `lang_definitions` VALUES (150672, 3696, 28, 'Esperanto');
INSERT INTO `lang_definitions` VALUES (150673, 3699, 28, 'Založený pacient');
INSERT INTO `lang_definitions` VALUES (150674, 3700, 28, 'Estonský');
INSERT INTO `lang_definitions` VALUES (150675, 3701, 28, 'Etnikum');
INSERT INTO `lang_definitions` VALUES (150676, 3702, 28, 'Etnikum nebo rasa');
INSERT INTO `lang_definitions` VALUES (150677, 3703, 28, 'Seznam etnik-ras ( na výběr právo zapisovat/přidat )');
INSERT INTO `lang_definitions` VALUES (150678, 3706, 28, 'ETIN');
INSERT INTO `lang_definitions` VALUES (150679, 3709, 28, 'Událost');
INSERT INTO `lang_definitions` VALUES (150680, 3710, 28, 'Počátek události');
INSERT INTO `lang_definitions` VALUES (150681, 3711, 28, 'Kategorie události');
INSERT INTO `lang_definitions` VALUES (150682, 3712, 28, 'Datum události');
INSERT INTO `lang_definitions` VALUES (150683, 3714, 28, 'Popis události');
INSERT INTO `lang_definitions` VALUES (150684, 3715, 28, 'Detaily události');
INSERT INTO `lang_definitions` VALUES (150685, 3716, 28, 'Neopakující se událost');
INSERT INTO `lang_definitions` VALUES (150686, 3717, 28, 'Trvání události');
INSERT INTO `lang_definitions` VALUES (150687, 3718, 28, 'Trvání události v minutách');
INSERT INTO `lang_definitions` VALUES (150688, 3720, 28, 'Místo události');
INSERT INTO `lang_definitions` VALUES (150689, 3721, 28, 'Opakování události každý');
INSERT INTO `lang_definitions` VALUES (150690, 3723, 28, 'Počáteční čas události');
INSERT INTO `lang_definitions` VALUES (150691, 3724, 28, 'Název události');
INSERT INTO `lang_definitions` VALUES (150692, 3725, 28, 'Název události');
INSERT INTO `lang_definitions` VALUES (150693, 3726, 28, 'Webstránka události');
INSERT INTO `lang_definitions` VALUES (150694, 3727, 28, 'Události');
INSERT INTO `lang_definitions` VALUES (150695, 3728, 28, 'Události pro');
INSERT INTO `lang_definitions` VALUES (150696, 3729, 28, 'Otevření události v novém okně');
INSERT INTO `lang_definitions` VALUES (150697, 3731, 28, 'každ.');
INSERT INTO `lang_definitions` VALUES (150698, 3732, 28, 'každ.');
INSERT INTO `lang_definitions` VALUES (150699, 3734, 28, 'každé 3 hodiny');
INSERT INTO `lang_definitions` VALUES (150700, 3736, 28, 'každé 4 hodiny');
INSERT INTO `lang_definitions` VALUES (150701, 3738, 28, 'každých 5 hodin');
INSERT INTO `lang_definitions` VALUES (150702, 3740, 28, 'každých 6 hodin');
INSERT INTO `lang_definitions` VALUES (150703, 3742, 28, 'každých 8 hodin');
INSERT INTO `lang_definitions` VALUES (150704, 3743, 28, 'Každý čtvrtý');
INSERT INTO `lang_definitions` VALUES (150705, 3745, 28, 'Každý druhý');
INSERT INTO `lang_definitions` VALUES (150706, 3746, 28, 'Každý třetí');
INSERT INTO `lang_definitions` VALUES (150707, 3747, 28, 'Každý, každý druhý, každý třetí, atd.');
INSERT INTO `lang_definitions` VALUES (150708, 3749, 28, 'Výsledky vyšetření a testů');
INSERT INTO `lang_definitions` VALUES (150709, 3750, 28, 'Výsleky všetření');
INSERT INTO `lang_definitions` VALUES (150710, 3753, 28, 'Klinické vyšetření');
INSERT INTO `lang_definitions` VALUES (150711, 3754, 28, 'Den klinického vyšetření');
INSERT INTO `lang_definitions` VALUES (150712, 3755, 28, 'Příklad');
INSERT INTO `lang_definitions` VALUES (150713, 3758, 28, 'Příklady');
INSERT INTO `lang_definitions` VALUES (150714, 3760, 28, 'Vyš/Testy');
INSERT INTO `lang_definitions` VALUES (150715, 3762, 28, 'S výjimkou');
INSERT INTO `lang_definitions` VALUES (150716, 3763, 28, 'Excesivní slzotok');
INSERT INTO `lang_definitions` VALUES (150717, 3766, 28, 'Vyjmutí pacienti');
INSERT INTO `lang_definitions` VALUES (150718, 3767, 28, 'Výjimky');
INSERT INTO `lang_definitions` VALUES (150719, 3768, 28, 'Exclusive Provider Organization (EPO)');
INSERT INTO `lang_definitions` VALUES (150720, 3771, 28, 'Cvičení');
INSERT INTO `lang_definitions` VALUES (150721, 3772, 28, 'Cvičební vzory');
INSERT INTO `lang_definitions` VALUES (150722, 3773, 28, 'Cvičební vzory');
INSERT INTO `lang_definitions` VALUES (150723, 3774, 28, 'Existuje');
INSERT INTO `lang_definitions` VALUES (150724, 3778, 28, 'Odejít z administrace');
INSERT INTO `lang_definitions` VALUES (150725, 3784, 28, 'Rozšířit');
INSERT INTO `lang_definitions` VALUES (150726, 3785, 28, 'rozšířit');
INSERT INTO `lang_definitions` VALUES (150727, 3787, 28, 'Rozšířit vše');
INSERT INTO `lang_definitions` VALUES (150728, 3792, 28, 'Rozšířené zobrazení');
INSERT INTO `lang_definitions` VALUES (150729, 3794, 28, 'Expirace');
INSERT INTO `lang_definitions` VALUES (150730, 3795, 28, 'Datum expirace');
INSERT INTO `lang_definitions` VALUES (150731, 3797, 28, 'Expiruje');
INSERT INTO `lang_definitions` VALUES (150732, 3798, 28, 'expiruje v');
INSERT INTO `lang_definitions` VALUES (150733, 3799, 28, 'Export');
INSERT INTO `lang_definitions` VALUES (150734, 3800, 28, 'Exportovat jako CSV');
INSERT INTO `lang_definitions` VALUES (150735, 3802, 28, 'Export konfigurace');
INSERT INTO `lang_definitions` VALUES (150736, 3806, 28, 'Export  demografických údajů pacienta');
INSERT INTO `lang_definitions` VALUES (150737, 3808, 28, 'Export PQRI reportu');
INSERT INTO `lang_definitions` VALUES (150738, 3810, 28, 'Export vybraných jako CSV');
INSERT INTO `lang_definitions` VALUES (150739, 3812, 28, 'Exportovat do CSV');
INSERT INTO `lang_definitions` VALUES (150740, 3813, 28, 'Exportovat do externího účetního systému');
INSERT INTO `lang_definitions` VALUES (150741, 3820, 28, 'Externí');
INSERT INTO `lang_definitions` VALUES (150742, 3823, 28, 'Externí data načtena');
INSERT INTO `lang_definitions` VALUES (150743, 3824, 28, 'Nástroj improtu externí databáze');
INSERT INTO `lang_definitions` VALUES (150744, 3828, 28, 'Externí ID');
INSERT INTO `lang_definitions` VALUES (150745, 3829, 28, 'Externí Id');
INSERT INTO `lang_definitions` VALUES (150746, 3830, 28, 'Externí identifikátor');
INSERT INTO `lang_definitions` VALUES (150747, 3831, 28, 'Pouze externí');
INSERT INTO `lang_definitions` VALUES (150748, 3834, 28, 'Externí doporučení');
INSERT INTO `lang_definitions` VALUES (150749, 3835, 28, 'Doporučení externích kontrol');
INSERT INTO `lang_definitions` VALUES (150750, 3836, 28, 'Externí doporučení ?');
INSERT INTO `lang_definitions` VALUES (150751, 3837, 28, 'Externí doporučení');
INSERT INTO `lang_definitions` VALUES (150752, 3838, 28, 'Rozbalit .zip soubor');
INSERT INTO `lang_definitions` VALUES (150753, 3839, 28, 'Rozbaluji soubor. To může chvíli trvat...');
INSERT INTO `lang_definitions` VALUES (150754, 3840, 28, 'Exudát');
INSERT INTO `lang_definitions` VALUES (150755, 3850, 28, 'Oční podráždění');
INSERT INTO `lang_definitions` VALUES (150756, 3856, 28, 'Oční bolesti');
INSERT INTO `lang_definitions` VALUES (150757, 3860, 28, 'Oční zarudnutí');
INSERT INTO `lang_definitions` VALUES (150758, 3863, 28, 'Oči');
INSERT INTO `lang_definitions` VALUES (150759, 3865, 28, 'F');
INSERT INTO `lang_definitions` VALUES (150760, 3866, 28, 'RA krevních onemocnění');
INSERT INTO `lang_definitions` VALUES (150761, 3867, 28, 'RA ženského hirsutismu/strií');
INSERT INTO `lang_definitions` VALUES (150762, 3868, 28, 'Zařízení');
INSERT INTO `lang_definitions` VALUES (150763, 3869, 28, 'Zařízení');
INSERT INTO `lang_definitions` VALUES (150764, 3870, 28, 'zařízení');
INSERT INTO `lang_definitions` VALUES (150765, 3871, 28, 'Správa zařízení');
INSERT INTO `lang_definitions` VALUES (150766, 3872, 28, 'Město zařízení');
INSERT INTO `lang_definitions` VALUES (150767, 3873, 28, 'Kód zařízení');
INSERT INTO `lang_definitions` VALUES (150768, 3875, 28, 'Kód země zařízení');
INSERT INTO `lang_definitions` VALUES (150769, 3876, 28, 'Fax zařízení');
INSERT INTO `lang_definitions` VALUES (150770, 3878, 28, 'Jméno zařízení');
INSERT INTO `lang_definitions` VALUES (150771, 3879, 28, 'Identifokační číslo zařízení');
INSERT INTO `lang_definitions` VALUES (150772, 3880, 28, 'Zařízení - Telefon');
INSERT INTO `lang_definitions` VALUES (150773, 3882, 28, 'Specifické uživatelské informace zařízení');
INSERT INTO `lang_definitions` VALUES (150774, 3883, 28, 'Zařízení - Stát');
INSERT INTO `lang_definitions` VALUES (150775, 3884, 28, 'Zařízení -  Ulice');
INSERT INTO `lang_definitions` VALUES (150776, 3886, 28, 'Zařízení - PSČ');
INSERT INTO `lang_definitions` VALUES (150777, 3888, 28, 'Zařízení:');
INSERT INTO `lang_definitions` VALUES (150778, 3889, 28, 'Selhání');
INSERT INTO `lang_definitions` VALUES (150779, 3890, 28, 'Selhání');
INSERT INTO `lang_definitions` VALUES (150780, 3891, 28, 'Selhání');
INSERT INTO `lang_definitions` VALUES (150781, 3893, 28, 'Neuspěšní pacienti');
INSERT INTO `lang_definitions` VALUES (150782, 3896, 28, 'Selhalo přidání pacienta na portál');
INSERT INTO `lang_definitions` VALUES (150783, 3897, 28, 'Selhalo generování unikátního jména souboru');
INSERT INTO `lang_definitions` VALUES (150784, 3898, 28, 'Vytvoření selhalo');
INSERT INTO `lang_definitions` VALUES (150785, 3901, 28, 'Selhalo  vytvoření dočasné složky. CouchDB nebude pracovat');
INSERT INTO `lang_definitions` VALUES (150786, 3907, 28, 'Selhalo');
INSERT INTO `lang_definitions` VALUES (150787, 3908, 28, 'selhání');
INSERT INTO `lang_definitions` VALUES (150788, 3909, 28, 'Selhání');
INSERT INTO `lang_definitions` VALUES (150789, 3910, 28, 'ZPRÁVA O SELHÁNÍ: Odeslání direct zprávy selhalo');
INSERT INTO `lang_definitions` VALUES (150790, 3916, 28, 'Rodinná anamnéza');
INSERT INTO `lang_definitions` VALUES (150791, 3918, 28, 'Rodinná anamnéza glaukomu');
INSERT INTO `lang_definitions` VALUES (150792, 3919, 28, 'Rodinná anamnéza:');
INSERT INTO `lang_definitions` VALUES (150793, 3921, 28, 'Rodinná platba');
INSERT INTO `lang_definitions` VALUES (150794, 3922, 28, 'Počet členů rodiny');
INSERT INTO `lang_definitions` VALUES (150795, 3924, 28, 'Faerské ostrovy');
INSERT INTO `lang_definitions` VALUES (150796, 3925, 28, 'Farsi');
INSERT INTO `lang_definitions` VALUES (150797, 3928, 28, 'Otec');
INSERT INTO `lang_definitions` VALUES (150798, 3929, 28, 'Anamnéza otce');
INSERT INTO `lang_definitions` VALUES (150799, 3930, 28, 'Únava');
INSERT INTO `lang_definitions` VALUES (150800, 3931, 28, 'Unavený');
INSERT INTO `lang_definitions` VALUES (150801, 3933, 28, 'Fax');
INSERT INTO `lang_definitions` VALUES (150802, 3934, 28, 'Počet faxů');
INSERT INTO `lang_definitions` VALUES (150803, 3935, 28, 'Číslo faxu');
INSERT INTO `lang_definitions` VALUES (150804, 3937, 28, 'Fax/Scan');
INSERT INTO `lang_definitions` VALUES (150805, 3938, 28, 'Přijmout faxem');
INSERT INTO `lang_definitions` VALUES (150806, 3939, 28, 'Odeslat faxem');
INSERT INTO `lang_definitions` VALUES (150807, 3940, 28, 'Vlastnosti');
INSERT INTO `lang_definitions` VALUES (150808, 3941, 28, 'Úno');
INSERT INTO `lang_definitions` VALUES (150809, 3942, 28, 'Únor');
INSERT INTO `lang_definitions` VALUES (150810, 3944, 28, 'ID léčiva');
INSERT INTO `lang_definitions` VALUES (150811, 3948, 28, 'Platba');
INSERT INTO `lang_definitions` VALUES (150812, 3949, 28, 'platba');
INSERT INTO `lang_definitions` VALUES (150813, 3950, 28, 'Platba není povolena');
INSERT INTO `lang_definitions` VALUES (150814, 3955, 28, 'Platba');
INSERT INTO `lang_definitions` VALUES (150815, 3956, 28, 'Žena');
INSERT INTO `lang_definitions` VALUES (150816, 3957, 28, 'Angina pectoris u ženy');
INSERT INTO `lang_definitions` VALUES (150817, 3958, 28, 'Ženský kondom');
INSERT INTO `lang_definitions` VALUES (150818, 3962, 28, 'Ženské symptomy');
INSERT INTO `lang_definitions` VALUES (150819, 3965, 28, 'Získávám následující soubor z portálu');
INSERT INTO `lang_definitions` VALUES (150820, 3966, 28, 'Horečka');
INSERT INTO `lang_definitions` VALUES (150821, 3967, 28, 'Horečka:');
INSERT INTO `lang_definitions` VALUES (150822, 3968, 28, 'RA krevních onemocnění');
INSERT INTO `lang_definitions` VALUES (150823, 3972, 28, 'Fibromy');
INSERT INTO `lang_definitions` VALUES (150824, 3974, 28, 'Pole');
INSERT INTO `lang_definitions` VALUES (150825, 3975, 28, 'Položka \'název\' pole nesmí být NULL');
INSERT INTO `lang_definitions` VALUES (150826, 3980, 28, 'Chybějící pole !');
INSERT INTO `lang_definitions` VALUES (150827, 3986, 28, 'Soubor');
INSERT INTO `lang_definitions` VALUES (150828, 3989, 28, 'soubor v adresáři Dokumentace s instrukcemi jak automatizovat proces tvorby backup logů');
INSERT INTO `lang_definitions` VALUES (150829, 3990, 28, 'umístění souboru');
INSERT INTO `lang_definitions` VALUES (150830, 3991, 28, 'Správa souborů');
INSERT INTO `lang_definitions` VALUES (150831, 3998, 28, 'Přístupová práva k souboru přidělena uživateli OpenEMR');
INSERT INTO `lang_definitions` VALUES (150832, 3999, 28, 'Získání souboru z CouchDB selhalo');
INSERT INTO `lang_definitions` VALUES (150833, 4000, 28, 'Spisovna');
INSERT INTO `lang_definitions` VALUES (150834, 4001, 28, 'Soubor k nahrání');
INSERT INTO `lang_definitions` VALUES (150835, 4002, 28, 'Soubor k nahrání');
INSERT INTO `lang_definitions` VALUES (150836, 4003, 28, 'Soubor se stejným jménem  již v umístní existuje:');
INSERT INTO `lang_definitions` VALUES (150837, 4004, 28, 'Jméno souboru');
INSERT INTO `lang_definitions` VALUES (150838, 4005, 28, 'Jméno souboru musí končit \".pdf\"');
INSERT INTO `lang_definitions` VALUES (150839, 4006, 28, 'Soubory');
INSERT INTO `lang_definitions` VALUES (150840, 4013, 28, 'Vyplňte jakýkoliv  z řádků níže.');
INSERT INTO `lang_definitions` VALUES (150841, 4014, 28, 'Zde vyplňte pouze pokud odesíláte notifikace pacientům');
INSERT INTO `lang_definitions` VALUES (150842, 4023, 28, 'Vyplňte hodnoty níže');
INSERT INTO `lang_definitions` VALUES (150843, 4025, 28, 'Vyplňte řádek.');
INSERT INTO `lang_definitions` VALUES (150844, 4028, 28, 'Filtr');
INSERT INTO `lang_definitions` VALUES (150845, 4029, 28, 'Filtr pro konstanty');
INSERT INTO `lang_definitions` VALUES (150846, 4030, 28, 'Filtr pro definice');
INSERT INTO `lang_definitions` VALUES (150847, 4031, 28, 'ziltrováno z');
INSERT INTO `lang_definitions` VALUES (150848, 4032, 28, 'Filtry');
INSERT INTO `lang_definitions` VALUES (150849, 4033, 28, 'filtry');
INSERT INTO `lang_definitions` VALUES (150850, 4034, 28, 'Finální');
INSERT INTO `lang_definitions` VALUES (150851, 4035, 28, 'Konečná diagnóza');
INSERT INTO `lang_definitions` VALUES (150852, 4036, 28, 'Konečná diagnóza specialisty');
INSERT INTO `lang_definitions` VALUES (150853, 4038, 28, 'Finanční');
INSERT INTO `lang_definitions` VALUES (150854, 4039, 28, 'Finančí uzávěrka (rrrrr-mm-dd)');
INSERT INTO `lang_definitions` VALUES (150855, 4040, 28, 'Finančí reportování - cokoliv');
INSERT INTO `lang_definitions` VALUES (150856, 4042, 28, 'Finančí reportování - moje vyšetření');
INSERT INTO `lang_definitions` VALUES (150857, 4045, 28, 'Datum finanční rozvahy');
INSERT INTO `lang_definitions` VALUES (150858, 4046, 28, 'Finanční souhr podle kódu služby');
INSERT INTO `lang_definitions` VALUES (150859, 4048, 28, 'Najít');
INSERT INTO `lang_definitions` VALUES (150860, 4049, 28, 'Najít dostupné');
INSERT INTO `lang_definitions` VALUES (150861, 4050, 28, 'Najít dostupné návštěvy');
INSERT INTO `lang_definitions` VALUES (150862, 4053, 28, 'Najít pacienta');
INSERT INTO `lang_definitions` VALUES (150863, 4054, 28, 'Najít edukační materiály pro pacienty');
INSERT INTO `lang_definitions` VALUES (150864, 4056, 28, 'Nálezy');
INSERT INTO `lang_definitions` VALUES (150865, 4057, 28, 'Nálezy dle specialistů');
INSERT INTO `lang_definitions` VALUES (150866, 4060, 28, 'Ukončit platby');
INSERT INTO `lang_definitions` VALUES (150867, 4062, 28, 'ukončeno');
INSERT INTO `lang_definitions` VALUES (150868, 4064, 28, 'Finský');
INSERT INTO `lang_definitions` VALUES (150869, 4065, 28, 'První');
INSERT INTO `lang_definitions` VALUES (150870, 4068, 28, 'První den týdne');
INSERT INTO `lang_definitions` VALUES (150871, 4071, 28, 'První jméno');
INSERT INTO `lang_definitions` VALUES (150872, 4072, 28, 'První jméno');
INSERT INTO `lang_definitions` VALUES (150873, 4073, 28, 'První jméno:');
INSERT INTO `lang_definitions` VALUES (150874, 4074, 28, 'První návštěva nebo konzultace');
INSERT INTO `lang_definitions` VALUES (150875, 4079, 28, 'Fyzická zdatnost');
INSERT INTO `lang_definitions` VALUES (150876, 4080, 28, 'Úroveň fyzické zdatnosti');
INSERT INTO `lang_definitions` VALUES (150877, 4081, 28, 'Dnenší úroveň fyzické zdatnosti tohoto hráče');
INSERT INTO `lang_definitions` VALUES (150878, 4082, 28, 'Testování fyzické zdatnosti');
INSERT INTO `lang_definitions` VALUES (150879, 4083, 28, 'Fyzikiá zdatnost  a schopnost hrát');
INSERT INTO `lang_definitions` VALUES (150880, 4084, 28, 'Opravit data vyšetření');
INSERT INTO `lang_definitions` VALUES (150881, 4086, 28, 'Opravit to');
INSERT INTO `lang_definitions` VALUES (150882, 4090, 28, 'Flatulence');
INSERT INTO `lang_definitions` VALUES (150883, 4091, 28, 'Tok');
INSERT INTO `lang_definitions` VALUES (150884, 4108, 28, 'Chřipková sezóna');
INSERT INTO `lang_definitions` VALUES (150885, 4109, 28, 'Chřipková sezóna');
INSERT INTO `lang_definitions` VALUES (150886, 4110, 28, 'Očkování proti chřipce');
INSERT INTO `lang_definitions` VALUES (150887, 4111, 28, 'Problémy elektrolytové rovnováhy a bilance tekutin');
INSERT INTO `lang_definitions` VALUES (150888, 4112, 28, 'FMS');
INSERT INTO `lang_definitions` VALUES (150889, 4113, 28, 'Velikost papíru folio');
INSERT INTO `lang_definitions` VALUES (150890, 4114, 28, 'Sledovat manuálně');
INSERT INTO `lang_definitions` VALUES (150891, 4115, 28, 'Postupujte podle instrukcí k instalaci nebo upgradu následující databáze');
INSERT INTO `lang_definitions` VALUES (150892, 4116, 28, 'Sledování');
INSERT INTO `lang_definitions` VALUES (150893, 4119, 28, 'Důvod sledování');
INSERT INTO `lang_definitions` VALUES (150894, 4121, 28, 'Následující  je nová uživatelská konstanta:');
INSERT INTO `lang_definitions` VALUES (150895, 4122, 28, 'Následující je nový uživatelský jazyk:');
INSERT INTO `lang_definitions` VALUES (150896, 4123, 28, 'Následující je nová definice (Jazyk, Konstanta, Definice):');
INSERT INTO `lang_definitions` VALUES (150897, 4125, 28, 'Následné služby');
INSERT INTO `lang_definitions` VALUES (150898, 4129, 28, 'Potravinová intolerance');
INSERT INTO `lang_definitions` VALUES (150899, 4130, 28, 'Noha');
INSERT INTO `lang_definitions` VALUES (150900, 4131, 28, 'Problémy nohou');
INSERT INTO `lang_definitions` VALUES (150901, 4132, 28, 'Noha:');
INSERT INTO `lang_definitions` VALUES (150902, 4133, 28, 'Fotbalové úrazy');
INSERT INTO `lang_definitions` VALUES (150903, 4134, 28, 'Fotbalový úraz');
INSERT INTO `lang_definitions` VALUES (150904, 4135, 28, 'Hlášení  fotbalového poranění');
INSERT INTO `lang_definitions` VALUES (150905, 4136, 28, 'Typ obuvi');
INSERT INTO `lang_definitions` VALUES (150906, 4137, 28, 'pro');
INSERT INTO `lang_definitions` VALUES (150907, 4138, 28, 'Pro');
INSERT INTO `lang_definitions` VALUES (150908, 4144, 28, 'Pro kód');
INSERT INTO `lang_definitions` VALUES (150909, 4152, 28, 'Pro žádanky o vyšetření');
INSERT INTO `lang_definitions` VALUES (150910, 4154, 28, 'Například:');
INSERT INTO `lang_definitions` VALUES (150911, 4161, 28, 'pro fakturu');
INSERT INTO `lang_definitions` VALUES (150912, 4166, 28, 'pro pacienta');
INSERT INTO `lang_definitions` VALUES (150913, 4173, 28, 'Pro pracoviště/lékaře poskytující vyžádanou péči');
INSERT INTO `lang_definitions` VALUES (150914, 4189, 28, 'pro:');
INSERT INTO `lang_definitions` VALUES (150915, 4190, 28, 'Vynutit otevření widgetu účtování');
INSERT INTO `lang_definitions` VALUES (150916, 4191, 28, 'Vynutit vytvoření nového pacienta');
INSERT INTO `lang_definitions` VALUES (150917, 4193, 28, 'Vynutit zobrazení');
INSERT INTO `lang_definitions` VALUES (150918, 4194, 28, 'Předloktí');
INSERT INTO `lang_definitions` VALUES (150919, 4197, 28, 'Element formuláře nenalezen');
INSERT INTO `lang_definitions` VALUES (150920, 4199, 28, 'Formulář úspěšně podepsán');
INSERT INTO `lang_definitions` VALUES (150921, 4201, 28, 'Formát');
INSERT INTO `lang_definitions` VALUES (150922, 4202, 28, 'formát');
INSERT INTO `lang_definitions` VALUES (150923, 4203, 28, 'Formát zobrazení věku');
INSERT INTO `lang_definitions` VALUES (150924, 4204, 28, 'Formát kódu léčiva není korektkní');
INSERT INTO `lang_definitions` VALUES (150925, 4205, 28, 'Formát zobrazení většiny datumových údajů.');
INSERT INTO `lang_definitions` VALUES (150926, 4206, 28, 'Formát zobrazení většiny časových údajů.');
INSERT INTO `lang_definitions` VALUES (150927, 4207, 28, 'Formátované hlášení');
INSERT INTO `lang_definitions` VALUES (150928, 4208, 28, 'Exkuřák');
INSERT INTO `lang_definitions` VALUES (150929, 4209, 28, 'Formuláře');
INSERT INTO `lang_definitions` VALUES (150930, 4210, 28, 'Správa formulářů');
INSERT INTO `lang_definitions` VALUES (150931, 4215, 28, 'Přeposlat');
INSERT INTO `lang_definitions` VALUES (150932, 4219, 28, 'Přeposlat stránky faxem');
INSERT INTO `lang_definitions` VALUES (150933, 4222, 28, 'Přeposláno');
INSERT INTO `lang_definitions` VALUES (150934, 4225, 28, 'Čtvrtý');
INSERT INTO `lang_definitions` VALUES (150935, 4227, 28, 'Zlomenina');
INSERT INTO `lang_definitions` VALUES (150936, 4228, 28, 'Fractura os naviculare');
INSERT INTO `lang_definitions` VALUES (150937, 4229, 28, 'Zlomenina  zevního kotníku');
INSERT INTO `lang_definitions` VALUES (150938, 4230, 28, 'Zlomenina vnitřního kotníku');
INSERT INTO `lang_definitions` VALUES (150939, 4231, 28, 'zlomenina base V (pátého) metatarsu');
INSERT INTO `lang_definitions` VALUES (150940, 4238, 28, 'Frekvence');
INSERT INTO `lang_definitions` VALUES (150941, 4239, 28, 'Časté nachlazení');
INSERT INTO `lang_definitions` VALUES (150942, 4240, 28, 'Častá nemocnost');
INSERT INTO `lang_definitions` VALUES (150943, 4241, 28, 'Pát');
INSERT INTO `lang_definitions` VALUES (150944, 4242, 28, 'Pátek');
INSERT INTO `lang_definitions` VALUES (150945, 4244, 28, 'Z');
INSERT INTO `lang_definitions` VALUES (150946, 4245, 28, 'Z');
INSERT INTO `lang_definitions` VALUES (150947, 4246, 28, 'z/od');
INSERT INTO `lang_definitions` VALUES (150948, 4247, 28, 'Datum OD nemůže být vyšší než DO');
INSERT INTO `lang_definitions` VALUES (150949, 4253, 28, 'Z/Od:');
INSERT INTO `lang_definitions` VALUES (150950, 4254, 28, 'Z/Od:');
INSERT INTO `lang_definitions` VALUES (150951, 4255, 28, 'Z_MĚSTO');
INSERT INTO `lang_definitions` VALUES (150952, 4256, 28, 'Z_E-MAIL');
INSERT INTO `lang_definitions` VALUES (150953, 4257, 28, 'Z_JMENO');
INSERT INTO `lang_definitions` VALUES (150954, 4258, 28, 'Z_PRIJMENI');
INSERT INTO `lang_definitions` VALUES (150955, 4260, 28, 'Z_TELEFON');
INSERT INTO `lang_definitions` VALUES (150956, 4261, 28, 'Z_MOBIL');
INSERT INTO `lang_definitions` VALUES (150957, 4262, 28, 'Z_POŠTOVNÍ_ADRESA');
INSERT INTO `lang_definitions` VALUES (150958, 4263, 28, 'Z_STÁT');
INSERT INTO `lang_definitions` VALUES (150959, 4264, 28, 'Z_ULICE');
INSERT INTO `lang_definitions` VALUES (150960, 4265, 28, 'Z_NÁZEV');
INSERT INTO `lang_definitions` VALUES (150961, 4267, 28, 'Styk se zákaznky');
INSERT INTO `lang_definitions` VALUES (150962, 4268, 28, 'Styk se zákazníky - příjmy');
INSERT INTO `lang_definitions` VALUES (150963, 4269, 28, 'Styk se zákazníky - příjmy - hlášení');
INSERT INTO `lang_definitions` VALUES (150964, 4271, 28, 'frontálně vpravo:');
INSERT INTO `lang_definitions` VALUES (150965, 4278, 28, 'Celé jméno');
INSERT INTO `lang_definitions` VALUES (150966, 4280, 28, 'Plná cesta k umístění obsahujícímu MySQL spustitelné soubory');
INSERT INTO `lang_definitions` VALUES (150967, 4281, 28, 'Plná cesta k umístění obsahujícímu Perl spustitelné soubory');
INSERT INTO `lang_definitions` VALUES (150968, 4282, 28, 'Plná cesta k umístění pro zálohu logu událostí');
INSERT INTO `lang_definitions` VALUES (150969, 4283, 28, 'Plná cesta k umístění pro dočasné soubory.');
INSERT INTO `lang_definitions` VALUES (150970, 4286, 28, 'Pný trénink');
INSERT INTO `lang_definitions` VALUES (150971, 4288, 28, 'Plně uhrazeno');
INSERT INTO `lang_definitions` VALUES (150972, 4295, 28, 'budoucí');
INSERT INTO `lang_definitions` VALUES (150973, 4298, 28, 'G');
INSERT INTO `lang_definitions` VALUES (150974, 4299, 28, 'G/DL');
INSERT INTO `lang_definitions` VALUES (150975, 4302, 28, 'Stav žlučníku');
INSERT INTO `lang_definitions` VALUES (150976, 4303, 28, 'Cholecystolithiasa');
INSERT INTO `lang_definitions` VALUES (150977, 4305, 28, 'Hry');
INSERT INTO `lang_definitions` VALUES (150978, 4306, 28, 'Hra zmeškána');
INSERT INTO `lang_definitions` VALUES (150979, 4307, 28, 'hry/události');
INSERT INTO `lang_definitions` VALUES (150980, 4308, 28, 'Hry/události zmeškány');
INSERT INTO `lang_definitions` VALUES (150981, 4310, 28, 'Gastritis');
INSERT INTO `lang_definitions` VALUES (150982, 4311, 28, 'Bolesti žaludku');
INSERT INTO `lang_definitions` VALUES (150983, 4312, 28, 'Gastrointestinální');
INSERT INTO `lang_definitions` VALUES (150984, 4316, 28, 'GCAC statistický report');
INSERT INTO `lang_definitions` VALUES (150985, 4317, 28, 'GCAC statistika');
INSERT INTO `lang_definitions` VALUES (150986, 4318, 28, 'GCAC formulář návštěvy chybí');
INSERT INTO `lang_definitions` VALUES (150987, 4319, 28, 'Pohlaví');
INSERT INTO `lang_definitions` VALUES (150988, 4320, 28, 'Pohlaví');
INSERT INTO `lang_definitions` VALUES (150989, 4321, 28, 'Obecný');
INSERT INTO `lang_definitions` VALUES (150990, 4323, 28, 'Seznam obecných problémů');
INSERT INTO `lang_definitions` VALUES (150991, 4325, 28, 'Kategorie obecné služby');
INSERT INTO `lang_definitions` VALUES (150992, 4331, 28, 'Generovat');
INSERT INTO `lang_definitions` VALUES (150993, 4332, 28, 'Vytvořit a stáhnout CMS 1500 pohledávky');
INSERT INTO `lang_definitions` VALUES (150994, 4334, 28, 'Vytvořit a stáhnout HCFA 1500 pohledávky');
INSERT INTO `lang_definitions` VALUES (150995, 4337, 28, 'Vytvořit a stáhnout X12 dávku');
INSERT INTO `lang_definitions` VALUES (150996, 4338, 28, 'Generovat a stáhnout X12 hromadnou žádankou o vyšetření');
INSERT INTO `lang_definitions` VALUES (150997, 4341, 28, 'Vytvořit a odeslat  medikaci elektronicky');
INSERT INTO `lang_definitions` VALUES (150998, 4342, 28, 'Vytvořit CMS 1500');
INSERT INTO `lang_definitions` VALUES (150999, 4343, 28, 'Vytvořitt CMS 1500 PDF');
INSERT INTO `lang_definitions` VALUES (151000, 4344, 28, 'Vytvořitt CMS 1500 TEXT');
INSERT INTO `lang_definitions` VALUES (151001, 4345, 28, 'Vytvořit HCFA');
INSERT INTO `lang_definitions` VALUES (151002, 4347, 28, 'Vytvořit fakturu');
INSERT INTO `lang_definitions` VALUES (151003, 4348, 28, 'Vytvořit dopis');
INSERT INTO `lang_definitions` VALUES (151004, 4349, 28, 'Vytvořit sdělení týkající se');
INSERT INTO `lang_definitions` VALUES (151005, 4351, 28, 'Vytvořit PQRI report ( metoda A )');
INSERT INTO `lang_definitions` VALUES (151006, 4353, 28, 'Vytvořit PQRI report ( metoda E )');
INSERT INTO `lang_definitions` VALUES (151007, 4357, 28, 'Vytvořit report');
INSERT INTO `lang_definitions` VALUES (151008, 4365, 28, 'Vytvořit uživatelské jméno a heslo pro');
INSERT INTO `lang_definitions` VALUES (151009, 4366, 28, 'Vytvořit X12');
INSERT INTO `lang_definitions` VALUES (151010, 4368, 28, 'Vytvořit X12 setkání');
INSERT INTO `lang_definitions` VALUES (151011, 4370, 28, 'Vytvořeno');
INSERT INTO `lang_definitions` VALUES (151012, 4372, 28, 'Generuje');
INSERT INTO `lang_definitions` VALUES (151013, 4377, 28, 'Urogenitální');
INSERT INTO `lang_definitions` VALUES (151014, 4381, 28, 'Němčina');
INSERT INTO `lang_definitions` VALUES (151015, 4386, 28, 'Get HL7');
INSERT INTO `lang_definitions` VALUES (151016, 4392, 28, 'Glaukom');
INSERT INTO `lang_definitions` VALUES (151017, 4393, 28, 'Rodinná anamméza glaukomu');
INSERT INTO `lang_definitions` VALUES (151018, 4395, 28, 'Globální');
INSERT INTO `lang_definitions` VALUES (151019, 4398, 28, 'Globální ID');
INSERT INTO `lang_definitions` VALUES (151020, 4399, 28, 'Globální nastavení');
INSERT INTO `lang_definitions` VALUES (151021, 4400, 28, 'Globální');
INSERT INTO `lang_definitions` VALUES (151022, 4401, 28, 'GM/DL');
INSERT INTO `lang_definitions` VALUES (151023, 4403, 28, 'Přejít');
INSERT INTO `lang_definitions` VALUES (151024, 4404, 28, 'přejít');
INSERT INTO `lang_definitions` VALUES (151025, 4407, 28, 'Přejít na');
INSERT INTO `lang_definitions` VALUES (151026, 4417, 28, 'Přejít do týdne');
INSERT INTO `lang_definitions` VALUES (151027, 4418, 28, 'Přejít na dnešek');
INSERT INTO `lang_definitions` VALUES (151028, 4419, 28, 'Cíl A');
INSERT INTO `lang_definitions` VALUES (151029, 4420, 28, 'Cíle a metody');
INSERT INTO `lang_definitions` VALUES (151030, 4421, 28, 'Cíl B');
INSERT INTO `lang_definitions` VALUES (151031, 4422, 28, 'Cíl C');
INSERT INTO `lang_definitions` VALUES (151032, 4428, 28, 'Stupeň poškození');
INSERT INTO `lang_definitions` VALUES (151033, 4429, 28, 'Stupeň:');
INSERT INTO `lang_definitions` VALUES (151034, 4430, 28, 'gramů');
INSERT INTO `lang_definitions` VALUES (151035, 4437, 28, 'Větší než');
INSERT INTO `lang_definitions` VALUES (151036, 4438, 28, 'Větší nebo rovno');
INSERT INTO `lang_definitions` VALUES (151037, 4439, 28, 'Řečtina');
INSERT INTO `lang_definitions` VALUES (151038, 4440, 28, 'Moderní řečtina');
INSERT INTO `lang_definitions` VALUES (151039, 4442, 28, 'Skupina');
INSERT INTO `lang_definitions` VALUES (151040, 4459, 28, 'Název skupiny');
INSERT INTO `lang_definitions` VALUES (151041, 4460, 28, 'Názvy skupin nemohou být prázdné');
INSERT INTO `lang_definitions` VALUES (151042, 4461, 28, 'Názvy skupin nemohou začínat čísly nebo mezerami');
INSERT INTO `lang_definitions` VALUES (151043, 4462, 28, 'Názvy skupin nemohou začínat čísly');
INSERT INTO `lang_definitions` VALUES (151044, 4463, 28, 'Číslo skupiny');
INSERT INTO `lang_definitions` VALUES (151045, 4465, 28, 'Skupinová platba');
INSERT INTO `lang_definitions` VALUES (151046, 4471, 28, 'Skupina:');
INSERT INTO `lang_definitions` VALUES (151047, 4472, 28, 'Jméno skupiny');
INSERT INTO `lang_definitions` VALUES (151048, 4475, 28, 'Nastavení přístupů a skupin');
INSERT INTO `lang_definitions` VALUES (151049, 4476, 28, 'Růstová křivka');
INSERT INTO `lang_definitions` VALUES (151050, 4477, 28, 'Růstová-křívka');
INSERT INTO `lang_definitions` VALUES (151051, 4478, 28, 'gtt ( kapky )');
INSERT INTO `lang_definitions` VALUES (151052, 4484, 28, 'Jméno opatrovníka');
INSERT INTO `lang_definitions` VALUES (151053, 4489, 28, 'Gynekologické vyšetření');
INSERT INTO `lang_definitions` VALUES (151054, 4490, 28, 'h');
INSERT INTO `lang_definitions` VALUES (151055, 4492, 28, 'h.s');
INSERT INTO `lang_definitions` VALUES (151056, 4493, 28, 'H/O Hepatitis');
INSERT INTO `lang_definitions` VALUES (151057, 4494, 28, 'úspěšně smazáno. Všechny přítomné subkategorie byly přesunuty níže.');
INSERT INTO `lang_definitions` VALUES (151058, 4495, 28, 'Hemathom / modřiny');
INSERT INTO `lang_definitions` VALUES (151059, 4496, 28, 'HAI status');
INSERT INTO `lang_definitions` VALUES (151060, 4499, 28, 'Ruka + prsty');
INSERT INTO `lang_definitions` VALUES (151061, 4500, 28, 'Problémy s rukou');
INSERT INTO `lang_definitions` VALUES (151062, 4505, 28, 'Harddisk');
INSERT INTO `lang_definitions` VALUES (151063, 4506, 28, 'Utrpení');
INSERT INTO `lang_definitions` VALUES (151064, 4507, 28, 'připojeno k návštěvě');
INSERT INTO `lang_definitions` VALUES (151065, 4508, 28, 'po lhůtě');
INSERT INTO `lang_definitions` VALUES (151066, 4509, 28, 'Kontrolní součet');
INSERT INTO `lang_definitions` VALUES (151067, 4511, 28, 'Kontrolní součet pro tento soubor neexistuje. Nový kontrolní součet byl vytvořen.');
INSERT INTO `lang_definitions` VALUES (151068, 4512, 28, 'Kontrolní součet nesedí. Integrita dat je v ohrožení');
INSERT INTO `lang_definitions` VALUES (151069, 4516, 28, 'Hazardní aktivity');
INSERT INTO `lang_definitions` VALUES (151070, 4517, 28, 'Hazardní aktivity');
INSERT INTO `lang_definitions` VALUES (151071, 4521, 28, 'HCFA levá hranice v bodech');
INSERT INTO `lang_definitions` VALUES (151072, 4522, 28, 'HCFA hranice');
INSERT INTO `lang_definitions` VALUES (151073, 4523, 28, 'HCFA horní hranice v bodech');
INSERT INTO `lang_definitions` VALUES (151074, 4524, 28, 'HCPCD Procedura/Služba');
INSERT INTO `lang_definitions` VALUES (151075, 4528, 28, 'Hlava');
INSERT INTO `lang_definitions` VALUES (151076, 4529, 28, 'Obvod hlavy');
INSERT INTO `lang_definitions` VALUES (151077, 4530, 28, 'Obvod hlavy');
INSERT INTO `lang_definitions` VALUES (151078, 4531, 28, 'Bolesti hlavy');
INSERT INTO `lang_definitions` VALUES (151079, 4532, 28, 'Cefalgie');
INSERT INTO `lang_definitions` VALUES (151080, 4534, 28, 'Zdravotnické operace');
INSERT INTO `lang_definitions` VALUES (151081, 4535, 28, 'Zdravotnické operace');
INSERT INTO `lang_definitions` VALUES (151082, 4537, 28, 'léčebné centrum/klinika');
INSERT INTO `lang_definitions` VALUES (151083, 4542, 28, 'Hypacusis');
INSERT INTO `lang_definitions` VALUES (151084, 4543, 28, 'Kardiální příhoda');
INSERT INTO `lang_definitions` VALUES (151085, 4544, 28, 'Srdeční onemocnění');
INSERT INTO `lang_definitions` VALUES (151086, 4545, 28, 'Srdeční selhání');
INSERT INTO `lang_definitions` VALUES (151087, 4546, 28, 'Kardiální obtíže');
INSERT INTO `lang_definitions` VALUES (151088, 4547, 28, 'Kardiální obtíže');
INSERT INTO `lang_definitions` VALUES (151089, 4548, 28, 'Kardiochirurgie');
INSERT INTO `lang_definitions` VALUES (151090, 4549, 28, 'Transplantace srdce');
INSERT INTO `lang_definitions` VALUES (151091, 4550, 28, 'SRDCE:');
INSERT INTO `lang_definitions` VALUES (151092, 4551, 28, 'Pálení žáhy');
INSERT INTO `lang_definitions` VALUES (151093, 4552, 28, 'Teplo nebo chlad');
INSERT INTO `lang_definitions` VALUES (151094, 4553, 28, 'Teplo nebo chlad');
INSERT INTO `lang_definitions` VALUES (151095, 4554, 28, 'Velmi silný kuřák');
INSERT INTO `lang_definitions` VALUES (151096, 4555, 28, 'Hebrejština');
INSERT INTO `lang_definitions` VALUES (151097, 4556, 28, 'Hebrejština (moderní)');
INSERT INTO `lang_definitions` VALUES (151098, 4558, 28, 'Výška');
INSERT INTO `lang_definitions` VALUES (151099, 4559, 28, 'Výška/Délka');
INSERT INTO `lang_definitions` VALUES (151100, 4560, 28, 'pomoc');
INSERT INTO `lang_definitions` VALUES (151101, 4561, 28, 'pomoc');
INSERT INTO `lang_definitions` VALUES (151102, 4563, 28, 'Hemathemesa');
INSERT INTO `lang_definitions` VALUES (151103, 4564, 28, 'Krev ve stolici');
INSERT INTO `lang_definitions` VALUES (151104, 4565, 28, 'Hematologický');
INSERT INTO `lang_definitions` VALUES (151105, 4566, 28, 'Hematurie');
INSERT INTO `lang_definitions` VALUES (151106, 4567, 28, 'Hemoglobin');
INSERT INTO `lang_definitions` VALUES (151107, 4568, 28, 'Hemoglobin A1C');
INSERT INTO `lang_definitions` VALUES (151108, 4569, 28, 'Hemoptýza');
INSERT INTO `lang_definitions` VALUES (151109, 4570, 28, 'Hepatitis');
INSERT INTO `lang_definitions` VALUES (151110, 4571, 28, 'Hepatitis A 1');
INSERT INTO `lang_definitions` VALUES (151111, 4572, 28, 'Hepatitis A 2');
INSERT INTO `lang_definitions` VALUES (151112, 4573, 28, 'Hepatitis B 1');
INSERT INTO `lang_definitions` VALUES (151113, 4574, 28, 'Hepatitis B 2');
INSERT INTO `lang_definitions` VALUES (151114, 4575, 28, 'hepatitis B 3');
INSERT INTO `lang_definitions` VALUES (151115, 4576, 28, 'zde');
INSERT INTO `lang_definitions` VALUES (151116, 4580, 28, 'Operace kýly');
INSERT INTO `lang_definitions` VALUES (151117, 4581, 28, 'Hernie disku');
INSERT INTO `lang_definitions` VALUES (151118, 4582, 28, 'Herpes');
INSERT INTO `lang_definitions` VALUES (151119, 4585, 28, 'hesitace ( pohybová váhavost)');
INSERT INTO `lang_definitions` VALUES (151120, 4586, 28, 'Ahoj, byli jste zde pro');
INSERT INTO `lang_definitions` VALUES (151121, 4587, 28, 'HIB vakcína 1');
INSERT INTO `lang_definitions` VALUES (151122, 4588, 28, 'HIB vakcína 2');
INSERT INTO `lang_definitions` VALUES (151123, 4589, 28, 'HIB vakcína 3');
INSERT INTO `lang_definitions` VALUES (151124, 4590, 28, 'HIB vakcína 4');
INSERT INTO `lang_definitions` VALUES (151125, 4591, 28, 'Skryté');
INSERT INTO `lang_definitions` VALUES (151126, 4592, 28, 'Správa skrytých událostí');
INSERT INTO `lang_definitions` VALUES (151127, 4593, 28, 'Skrýt');
INSERT INTO `lang_definitions` VALUES (151128, 4595, 28, 'Skrýt detaily');
INSERT INTO `lang_definitions` VALUES (151129, 4596, 28, 'Skrýt prázdné logy e-podpisu');
INSERT INTO `lang_definitions` VALUES (151130, 4597, 28, 'Skrýt volby pro šifrování dokumentů');
INSERT INTO `lang_definitions` VALUES (151131, 4599, 28, 'Skrýt nabídku');
INSERT INTO `lang_definitions` VALUES (151132, 4601, 28, 'Skrýt upomínky');
INSERT INTO `lang_definitions` VALUES (151133, 4603, 28, 'Skýt/Zobrazit sloupce');
INSERT INTO `lang_definitions` VALUES (151134, 4605, 28, 'Vysoký');
INSERT INTO `lang_definitions` VALUES (151135, 4607, 28, 'Vysoký krevní tlak');
INSERT INTO `lang_definitions` VALUES (151136, 4610, 28, 'Kyčel + tříslo');
INSERT INTO `lang_definitions` VALUES (151137, 4611, 28, 'Kyčel a tříslo');
INSERT INTO `lang_definitions` VALUES (151138, 4612, 28, 'Problémy s kyčlemi');
INSERT INTO `lang_definitions` VALUES (151139, 4613, 28, 'TEP kyčelního kloubu');
INSERT INTO `lang_definitions` VALUES (151140, 4615, 28, 'HIPAA vyhláška přijata');
INSERT INTO `lang_definitions` VALUES (151141, 4617, 28, 'Hirsutismus/Strie');
INSERT INTO `lang_definitions` VALUES (151142, 4623, 28, 'Anamnéza');
INSERT INTO `lang_definitions` VALUES (151143, 4629, 28, 'Anamnestická data');
INSERT INTO `lang_definitions` VALUES (151144, 4630, 28, 'Datum anamnézy');
INSERT INTO `lang_definitions` VALUES (151145, 4632, 28, 'Anamnéza šelestu');
INSERT INTO `lang_definitions` VALUES (151146, 4633, 28, 'Anamnéza není autorizována');
INSERT INTO `lang_definitions` VALUES (151147, 4634, 28, 'Anamnéza srdečního šelestu');
INSERT INTO `lang_definitions` VALUES (151148, 4639, 28, 'HIV');
INSERT INTO `lang_definitions` VALUES (151149, 4649, 28, 'HL7 prohlížeč');
INSERT INTO `lang_definitions` VALUES (151150, 4651, 28, 'HMOL/L');
INSERT INTO `lang_definitions` VALUES (151151, 4653, 28, 'Stiskněte CTRL pro hromadný výběr');
INSERT INTO `lang_definitions` VALUES (151152, 4655, 28, 'Stiskněte CTRL pro hromadný výběr položek');
INSERT INTO `lang_definitions` VALUES (151153, 4656, 28, 'Stiskněte CTRL pro hromadný výběr oddílů');
INSERT INTO `lang_definitions` VALUES (151154, 4658, 28, 'Domov');
INSERT INTO `lang_definitions` VALUES (151155, 4659, 28, 'Telefon domů');
INSERT INTO `lang_definitions` VALUES (151156, 4660, 28, 'Telefonní číslo domů');
INSERT INTO `lang_definitions` VALUES (151157, 4662, 28, 'Bezdomovec nebo obdobný ?');
INSERT INTO `lang_definitions` VALUES (151158, 4664, 28, 'Bezdomovec, atd.');
INSERT INTO `lang_definitions` VALUES (151159, 4665, 28, 'Bezdomovec, atd.');
INSERT INTO `lang_definitions` VALUES (151160, 4674, 28, 'Hostitelské jméno');
INSERT INTO `lang_definitions` VALUES (151161, 4675, 28, 'Hostitelské jméno nemůže být prázdné');
INSERT INTO `lang_definitions` VALUES (151162, 4677, 28, 'Hodina');
INSERT INTO `lang_definitions` VALUES (151163, 4678, 28, 'Hodiny');
INSERT INTO `lang_definitions` VALUES (151164, 4681, 28, 'Jak došlo ke zranění ?');
INSERT INTO `lang_definitions` VALUES (151165, 4682, 28, 'Jak došlo ke zranění ?');
INSERT INTO `lang_definitions` VALUES (151166, 4683, 28, 'Jak se o nás dozvěděli ?');
INSERT INTO `lang_definitions` VALUES (151167, 4685, 28, 'Kolik měsíců předchází  dotazu na nadcházející události ?');
INSERT INTO `lang_definitions` VALUES (151168, 4692, 28, 'NO:');
INSERT INTO `lang_definitions` VALUES (151169, 4694, 28, 'HT');
INSERT INTO `lang_definitions` VALUES (151170, 4695, 28, 'HTML');
INSERT INTO `lang_definitions` VALUES (151171, 4696, 28, 'HTML výstup ?');
INSERT INTO `lang_definitions` VALUES (151172, 4699, 28, 'Https odkaz na OpenEMR Support LLC Lab Echange Service');
INSERT INTO `lang_definitions` VALUES (151173, 4701, 28, 'Maďarština');
INSERT INTO `lang_definitions` VALUES (151174, 4702, 28, 'Hylafax adresář');
INSERT INTO `lang_definitions` VALUES (151175, 4703, 28, 'Hylafax Enscript příkaz');
INSERT INTO `lang_definitions` VALUES (151176, 4704, 28, 'Hylafax server');
INSERT INTO `lang_definitions` VALUES (151177, 4705, 28, 'Jméno hostitelského Hylafax serveru');
INSERT INTO `lang_definitions` VALUES (151178, 4706, 28, 'Hyperaktivita');
INSERT INTO `lang_definitions` VALUES (151179, 4708, 28, 'Hypertenze');
INSERT INTO `lang_definitions` VALUES (151180, 4709, 28, 'Hypertenze: Měření krevního tlaku');
INSERT INTO `lang_definitions` VALUES (151181, 4710, 28, 'Hypertenze: Měření krevního tlaku (CQM)');
INSERT INTO `lang_definitions` VALUES (151182, 4711, 28, 'Hyperthyreosa');
INSERT INTO `lang_definitions` VALUES (151183, 4713, 28, 'Hypothyreosa');
INSERT INTO `lang_definitions` VALUES (151184, 4716, 28, 'Hysterektomie');
INSERT INTO `lang_definitions` VALUES (151185, 4717, 28, 'Já');
INSERT INTO `lang_definitions` VALUES (151186, 4718, 28, 'Aktuálně jsem zaneprázdněn');
INSERT INTO `lang_definitions` VALUES (151187, 4719, 28, 'Nemám oprávnění ke čtení');
INSERT INTO `lang_definitions` VALUES (151188, 4724, 28, 'MKN');
INSERT INTO `lang_definitions` VALUES (151189, 4725, 28, 'MKN10 Diagnózy');
INSERT INTO `lang_definitions` VALUES (151190, 4726, 28, 'MKN10 Procedura/Služba');
INSERT INTO `lang_definitions` VALUES (151191, 4727, 28, 'MKN9');
INSERT INTO `lang_definitions` VALUES (151192, 4728, 28, 'MKN9 Diagnózy');
INSERT INTO `lang_definitions` VALUES (151193, 4729, 28, 'MKN9 Procedura/Služba');
INSERT INTO `lang_definitions` VALUES (151194, 4734, 28, 'ID');
INSERT INTO `lang_definitions` VALUES (151195, 4736, 28, 'Id');
INSERT INTO `lang_definitions` VALUES (151196, 4738, 28, 'ID nemůže být prázdné');
INSERT INTO `lang_definitions` VALUES (151197, 4739, 28, 'Občanský průkaz');
INSERT INTO `lang_definitions` VALUES (151198, 4743, 28, 'identifikovaný jako');
INSERT INTO `lang_definitions` VALUES (151199, 4745, 28, 'Identifikátor ( jednoslovně )');
INSERT INTO `lang_definitions` VALUES (151200, 4746, 28, 'Identifikační kód');
INSERT INTO `lang_definitions` VALUES (151201, 4747, 28, 'Timeout pro nečinné sezení v sekundách');
INSERT INTO `lang_definitions` VALUES (151202, 4755, 28, 'Jestliže formulář obsahuje kompletní data pro všechny sloupce');
INSERT INTO `lang_definitions` VALUES (151203, 4763, 28, 'pokud bylo zadáno, vyberte pouze ty kdo využili tuto službu');
INSERT INTO `lang_definitions` VALUES (151204, 4765, 28, 'V případě jména, jakákoliv část příjmení, jména');
INSERT INTO `lang_definitions` VALUES (151205, 4770, 28, 'Pokud platíte');
INSERT INTO `lang_definitions` VALUES (151206, 4771, 28, 'Pokud osoba zemřela, zadejte datum smrti');
INSERT INTO `lang_definitions` VALUES (151207, 4775, 28, 'V případě použití SMTP, zadejte hostitelské jméno serveru nebo IP adresu');
INSERT INTO `lang_definitions` VALUES (151208, 4776, 28, 'V případě použití SMTP, zadejte číslo portu TCP');
INSERT INTO `lang_definitions` VALUES (151209, 4803, 28, 'pokud nezaměstnaný , zadejte student');
INSERT INTO `lang_definitions` VALUES (151210, 4814, 28, 'Pokud měníte e-RX roli pro e-preskripci, může to mít dopady na procesy ePreskripce.');
INSERT INTO `lang_definitions` VALUES (151211, 4824, 28, 'Nebude-li vybráno, bude vytvořen odpovídající pacient');
INSERT INTO `lang_definitions` VALUES (151212, 4850, 28, 'Pokud chcete změnit typ dat nebo přidat sloupce či řádky');
INSERT INTO `lang_definitions` VALUES (151213, 4851, 28, 'Pokud chcete provést upgrade databáze, pak vložte databázový ZIP soubor do následujícího adresáře');
INSERT INTO `lang_definitions` VALUES (151214, 4854, 28, 'Ignorovat');
INSERT INTO `lang_definitions` VALUES (151215, 4856, 28, 'Onemocnění');
INSERT INTO `lang_definitions` VALUES (151216, 4857, 28, 'IM');
INSERT INTO `lang_definitions` VALUES (151217, 4863, 28, 'Zobrazovací metody');
INSERT INTO `lang_definitions` VALUES (151218, 4865, 28, 'Očkování');
INSERT INTO `lang_definitions` VALUES (151219, 4867, 28, 'Kód vakcinace');
INSERT INTO `lang_definitions` VALUES (151220, 4869, 28, 'Datum vakcinace');
INSERT INTO `lang_definitions` VALUES (151221, 4870, 28, 'Expirace imunizace');
INSERT INTO `lang_definitions` VALUES (151222, 4873, 28, 'Výobce vakcíny');
INSERT INTO `lang_definitions` VALUES (151223, 4883, 28, 'Název očkování');
INSERT INTO `lang_definitions` VALUES (151224, 4885, 28, 'Očkování');
INSERT INTO `lang_definitions` VALUES (151225, 4887, 28, 'Imunizovat');
INSERT INTO `lang_definitions` VALUES (151226, 4888, 28, 'Imunologický');
INSERT INTO `lang_definitions` VALUES (151227, 4893, 28, 'Implantáty');
INSERT INTO `lang_definitions` VALUES (151228, 4894, 28, 'Import');
INSERT INTO `lang_definitions` VALUES (151229, 4898, 28, 'Importovat certifikát do prohlížeče');
INSERT INTO `lang_definitions` VALUES (151230, 4899, 28, 'Importovat konfiguraci');
INSERT INTO `lang_definitions` VALUES (151231, 4904, 28, 'Importovat pacienta');
INSERT INTO `lang_definitions` VALUES (151232, 4905, 28, 'Importovat identifikační údaje pacienta');
INSERT INTO `lang_definitions` VALUES (151233, 4910, 28, 'Důležité kódy');
INSERT INTO `lang_definitions` VALUES (151234, 4914, 28, 'Importováno z účetnictví');
INSERT INTO `lang_definitions` VALUES (151235, 4920, 28, 'vylepšeno');
INSERT INTO `lang_definitions` VALUES (151236, 4922, 28, 'v');
INSERT INTO `lang_definitions` VALUES (151237, 4923, 28, 'V');
INSERT INTO `lang_definitions` VALUES (151238, 4931, 28, 'v obou očích');
INSERT INTO `lang_definitions` VALUES (151239, 4934, 28, 'v levém oku');
INSERT INTO `lang_definitions` VALUES (151240, 4935, 28, 'v nozdře');
INSERT INTO `lang_definitions` VALUES (151241, 4936, 28, 'V kanceláři');
INSERT INTO `lang_definitions` VALUES (151242, 4947, 28, 'v pravém oku');
INSERT INTO `lang_definitions` VALUES (151243, 4958, 28, 'v domě');
INSERT INTO `lang_definitions` VALUES (151244, 4960, 28, 'Neaktivní');
INSERT INTO `lang_definitions` VALUES (151245, 4965, 28, 'Dny neaktivity');
INSERT INTO `lang_definitions` VALUES (151246, 4967, 28, 'Doručená pošta');
INSERT INTO `lang_definitions` VALUES (151247, 4970, 28, 'Zahrnutí kontrolního součtu');
INSERT INTO `lang_definitions` VALUES (151248, 4971, 28, 'Zahrnuje dokončené');
INSERT INTO `lang_definitions` VALUES (151249, 4974, 28, 'Zahrnuje neaktivní uživatele');
INSERT INTO `lang_definitions` VALUES (151250, 4975, 28, 'Obsahuje nezařazené');
INSERT INTO `lang_definitions` VALUES (151251, 4976, 28, 'Obsahuje nestrukturovaná data');
INSERT INTO `lang_definitions` VALUES (151252, 4977, 28, 'Obsahuje životní funkce');
INSERT INTO `lang_definitions` VALUES (151253, 4978, 28, 'Obsahuje data vitálních funkcí ?');
INSERT INTO `lang_definitions` VALUES (151254, 4981, 28, 'Zařazení');
INSERT INTO `lang_definitions` VALUES (151255, 4982, 28, 'Příjem');
INSERT INTO `lang_definitions` VALUES (151256, 4983, 28, 'Příchozí výsledky vyžadující zvýšenou pozornost:');
INSERT INTO `lang_definitions` VALUES (151257, 4984, 28, 'Nekompletní');
INSERT INTO `lang_definitions` VALUES (151258, 4985, 28, 'Léčba neúplného potratu');
INSERT INTO `lang_definitions` VALUES (151259, 4986, 28, 'Inkontinence');
INSERT INTO `lang_definitions` VALUES (151260, 4988, 28, 'Nesprávné heslo!');
INSERT INTO `lang_definitions` VALUES (151261, 4990, 28, 'zvýšené:');
INSERT INTO `lang_definitions` VALUES (151262, 4994, 28, 'Neurčitý');
INSERT INTO `lang_definitions` VALUES (151263, 4998, 28, 'indikuje abnromalitu');
INSERT INTO `lang_definitions` VALUES (151264, 5000, 28, 'Indikuje aktuální aktivitu problému');
INSERT INTO `lang_definitions` VALUES (151265, 5002, 28, 'Indikátor pro specializovaní užití');
INSERT INTO `lang_definitions` VALUES (151266, 5010, 28, 'Indukovaný potrat');
INSERT INTO `lang_definitions` VALUES (151267, 5012, 28, 'nevhodný');
INSERT INTO `lang_definitions` VALUES (151268, 5013, 28, 'Infekce / Absces');
INSERT INTO `lang_definitions` VALUES (151269, 5014, 28, 'Infekce');
INSERT INTO `lang_definitions` VALUES (151270, 5016, 28, 'Neplodnost');
INSERT INTO `lang_definitions` VALUES (151271, 5017, 28, 'Chřipka 1');
INSERT INTO `lang_definitions` VALUES (151272, 5018, 28, 'Chřipka 2');
INSERT INTO `lang_definitions` VALUES (151273, 5019, 28, 'Očkování proti chřipce pro pacienty starší 50 let');
INSERT INTO `lang_definitions` VALUES (151274, 5020, 28, 'Očkování proti chřipce pro pacienty starší 50 let ( CQM )');
INSERT INTO `lang_definitions` VALUES (151275, 5021, 28, 'Očkovací látka proti chřipce');
INSERT INTO `lang_definitions` VALUES (151276, 5022, 28, 'Info');
INSERT INTO `lang_definitions` VALUES (151277, 5023, 28, 'Info test 1');
INSERT INTO `lang_definitions` VALUES (151278, 5024, 28, 'Info test 2');
INSERT INTO `lang_definitions` VALUES (151279, 5025, 28, 'Info test 3');
INSERT INTO `lang_definitions` VALUES (151280, 5026, 28, 'Info tets 4');
INSERT INTO `lang_definitions` VALUES (151281, 5027, 28, 'Info test 5');
INSERT INTO `lang_definitions` VALUES (151282, 5028, 28, 'Info test 6');
INSERT INTO `lang_definitions` VALUES (151283, 5034, 28, 'inhalace');
INSERT INTO `lang_definitions` VALUES (151284, 5036, 28, 'inhalace');
INSERT INTO `lang_definitions` VALUES (151285, 5038, 28, 'Úvodní léčba');
INSERT INTO `lang_definitions` VALUES (151286, 5039, 28, 'Prvotní uživatel');
INSERT INTO `lang_definitions` VALUES (151287, 5041, 28, 'Inj/Rehab');
INSERT INTO `lang_definitions` VALUES (151288, 5042, 28, 'Inkekční');
INSERT INTO `lang_definitions` VALUES (151289, 5043, 28, 'Injekce');
INSERT INTO `lang_definitions` VALUES (151290, 5044, 28, 'Poraněná část těla');
INSERT INTO `lang_definitions` VALUES (151291, 5045, 28, 'Následky úrazu');
INSERT INTO `lang_definitions` VALUES (151292, 5046, 28, 'Úraz');
INSERT INTO `lang_definitions` VALUES (151293, 5047, 28, 'Úrazový mechanismus');
INSERT INTO `lang_definitions` VALUES (151294, 5048, 28, 'Hlášení o úraze');
INSERT INTO `lang_definitions` VALUES (151295, 5050, 28, 'typ úrazu');
INSERT INTO `lang_definitions` VALUES (151296, 5051, 28, 'vztah k Úrazu/onemocnění');
INSERT INTO `lang_definitions` VALUES (151297, 5052, 28, 'V řadě za sebou');
INSERT INTO `lang_definitions` VALUES (151298, 5056, 28, 'Vstupní pole');
INSERT INTO `lang_definitions` VALUES (151299, 5057, 28, 'INR');
INSERT INTO `lang_definitions` VALUES (151300, 5074, 28, 'Vložit');
INSERT INTO `lang_definitions` VALUES (151301, 5075, 28, 'Vožení selhalo:');
INSERT INTO `lang_definitions` VALUES (151302, 5079, 28, 'Vložit staré události do tabulky');
INSERT INTO `lang_definitions` VALUES (151303, 5085, 28, 'Nespavost');
INSERT INTO `lang_definitions` VALUES (151304, 5086, 28, 'Prohlédnout log');
INSERT INTO `lang_definitions` VALUES (151305, 5087, 28, 'Inspekce');
INSERT INTO `lang_definitions` VALUES (151306, 5088, 28, 'Instabilita / subluxace');
INSERT INTO `lang_definitions` VALUES (151307, 5089, 28, 'INSTALOVAT');
INSERT INTO `lang_definitions` VALUES (151308, 5090, 28, 'Instalovat');
INSERT INTO `lang_definitions` VALUES (151309, 5092, 28, 'Instalovat sadu kódů');
INSERT INTO `lang_definitions` VALUES (151310, 5093, 28, 'Instalovat DB');
INSERT INTO `lang_definitions` VALUES (151311, 5100, 28, 'Instalované vydání');
INSERT INTO `lang_definitions` VALUES (151312, 5102, 28, 'Poučen');
INSERT INTO `lang_definitions` VALUES (151313, 5103, 28, 'Instrukce');
INSERT INTO `lang_definitions` VALUES (151314, 5105, 28, 'Instrukce:');
INSERT INTO `lang_definitions` VALUES (151315, 5108, 28, 'Diabetes mellitus insulin dependentní');
INSERT INTO `lang_definitions` VALUES (151316, 5109, 28, 'Pojištění');
INSERT INTO `lang_definitions` VALUES (151317, 5110, 28, 'Pojištění');
INSERT INTO `lang_definitions` VALUES (151318, 5114, 28, 'Bilance pojištění');
INSERT INTO `lang_definitions` VALUES (151319, 5117, 28, 'Pojišťovny');
INSERT INTO `lang_definitions` VALUES (151320, 5118, 28, 'Pojišťovna');
INSERT INTO `lang_definitions` VALUES (151321, 5119, 28, 'Hledat/Přidat pojišťovnu');
INSERT INTO `lang_definitions` VALUES (151322, 5121, 28, 'Údaje o pojištění');
INSERT INTO `lang_definitions` VALUES (151323, 5126, 28, 'Čísla pojištění');
INSERT INTO `lang_definitions` VALUES (151324, 5127, 28, 'Platby pojištění');
INSERT INTO `lang_definitions` VALUES (151325, 5129, 28, 'Poskytovatel pojištění');
INSERT INTO `lang_definitions` VALUES (151326, 5131, 28, 'Typy pojištění');
INSERT INTO `lang_definitions` VALUES (151327, 5132, 28, 'Pojištění');
INSERT INTO `lang_definitions` VALUES (151328, 5133, 28, 'Pojištěn');
INSERT INTO `lang_definitions` VALUES (151329, 5134, 28, 'Závěr při příjmu');
INSERT INTO `lang_definitions` VALUES (151330, 5135, 28, 'Datum příjmu');
INSERT INTO `lang_definitions` VALUES (151331, 5138, 28, 'Úbytek intelektu');
INSERT INTO `lang_definitions` VALUES (151332, 5149, 28, 'Vnitřní chyba - nebyly vybrány žádné strany !');
INSERT INTO `lang_definitions` VALUES (151333, 5150, 28, 'Vnitřní chyba - ID pacienta není k dispozici');
INSERT INTO `lang_definitions` VALUES (151334, 5151, 28, 'Vnitřní chyba přístupu k nahranému souboru!');
INSERT INTO `lang_definitions` VALUES (151335, 5153, 28, 'Vnitřní chyba!');
INSERT INTO `lang_definitions` VALUES (151336, 5154, 28, 'Vnitřní chyba, ID medikace nespecifikováno');
INSERT INTO `lang_definitions` VALUES (151337, 5155, 28, 'Vnitřní chyba: Nelze nalézt MSH-10');
INSERT INTO `lang_definitions` VALUES (151338, 5156, 28, 'Vnitřní chyba: požadavek');
INSERT INTO `lang_definitions` VALUES (151339, 5157, 28, 'Vnitřní chyba: vyšetření');
INSERT INTO `lang_definitions` VALUES (151340, 5158, 28, 'Vnitřní chyba: pid nebo návštěva chybí.');
INSERT INTO `lang_definitions` VALUES (151341, 5160, 28, 'Vnitřní identifikátor (pid)');
INSERT INTO `lang_definitions` VALUES (151342, 5163, 28, 'Interní doporučení');
INSERT INTO `lang_definitions` VALUES (151343, 5165, 28, 'Clo');
INSERT INTO `lang_definitions` VALUES (151344, 5169, 28, 'Intersticiální plicní fibróza');
INSERT INTO `lang_definitions` VALUES (151345, 5170, 28, 'Interval');
INSERT INTO `lang_definitions` VALUES (151346, 5171, 28, 'Interval ( minuty )');
INSERT INTO `lang_definitions` VALUES (151347, 5172, 28, 'Kontrolní interval mezi zprávami ( pro výhradně manuální kontroly nastavte 0 )');
INSERT INTO `lang_definitions` VALUES (151348, 5173, 28, 'Intervence');
INSERT INTO `lang_definitions` VALUES (151349, 5174, 28, 'Poskytnuta intervence');
INSERT INTO `lang_definitions` VALUES (151350, 5175, 28, 'Intolerance');
INSERT INTO `lang_definitions` VALUES (151351, 5178, 28, 'intramusklulárně');
INSERT INTO `lang_definitions` VALUES (151352, 5181, 28, 'intravenózně');
INSERT INTO `lang_definitions` VALUES (151353, 5182, 28, 'Uvedení');
INSERT INTO `lang_definitions` VALUES (151354, 5185, 28, 'Nepřípustný znak v');
INSERT INTO `lang_definitions` VALUES (151355, 5195, 28, 'Nepřípustná délka pro');
INSERT INTO `lang_definitions` VALUES (151356, 5196, 28, 'Nepřípustný nečíselný znak v');
INSERT INTO `lang_definitions` VALUES (151357, 5197, 28, 'Chybný nebo chybějící plátce');
INSERT INTO `lang_definitions` VALUES (151358, 5199, 28, 'Chybaná adresa příjemce. Zkuste to prosím znova.');
INSERT INTO `lang_definitions` VALUES (151359, 5200, 28, 'Chybné kódy služby');
INSERT INTO `lang_definitions` VALUES (151360, 5201, 28, 'Chybné označení zdroje \"');
INSERT INTO `lang_definitions` VALUES (151361, 5203, 28, 'Chybné uživatelské jméno nebo heslo');
INSERT INTO `lang_definitions` VALUES (151362, 5205, 28, 'Inventarizace');
INSERT INTO `lang_definitions` VALUES (151363, 5206, 28, 'Inventúra');
INSERT INTO `lang_definitions` VALUES (151364, 5207, 28, 'Inventarizace a prodej léčiv a ostatních produktů');
INSERT INTO `lang_definitions` VALUES (151365, 5208, 28, 'Inventarizace a prodej léčiv');
INSERT INTO `lang_definitions` VALUES (151366, 5209, 28, 'Pro tuto objdnávku není dostupná inventarizace');
INSERT INTO `lang_definitions` VALUES (151367, 5210, 28, 'Inventární seznam');
INSERT INTO `lang_definitions` VALUES (151368, 5211, 28, 'Inventarizační transakce');
INSERT INTO `lang_definitions` VALUES (151369, 5212, 28, 'Faktura');
INSERT INTO `lang_definitions` VALUES (151370, 5213, 28, 'faktura');
INSERT INTO `lang_definitions` VALUES (151371, 5217, 28, 'Datum vystavení faktury');
INSERT INTO `lang_definitions` VALUES (151372, 5219, 28, 'Faktura není datována!');
INSERT INTO `lang_definitions` VALUES (151373, 5220, 28, 'Číslo faktury');
INSERT INTO `lang_definitions` VALUES (151374, 5221, 28, 'Referenční číslo faktury');
INSERT INTO `lang_definitions` VALUES (151375, 5226, 28, 'Faktura:');
INSERT INTO `lang_definitions` VALUES (151376, 5243, 28, 'IPV 1');
INSERT INTO `lang_definitions` VALUES (151377, 5244, 28, 'IPV 2');
INSERT INTO `lang_definitions` VALUES (151378, 5245, 28, 'IPV 3');
INSERT INTO `lang_definitions` VALUES (151379, 5246, 28, 'IPV 4');
INSERT INTO `lang_definitions` VALUES (151380, 5249, 28, 'Nepravidelný srdeční rytmus');
INSERT INTO `lang_definitions` VALUES (151381, 5250, 28, 'Dráždivost');
INSERT INTO `lang_definitions` VALUES (151382, 5251, 28, 'Irritace');
INSERT INTO `lang_definitions` VALUES (151383, 5252, 28, 'je rozdílná jazyková verze následující databáze');
INSERT INTO `lang_definitions` VALUES (151384, 5254, 28, 'je novější verze následující databáze');
INSERT INTO `lang_definitions` VALUES (151385, 5256, 28, 'je vyžadovanou položkou.');
INSERT INTO `lang_definitions` VALUES (151386, 5257, 28, 'je klíčovým uzlem a nelze smazat.');
INSERT INTO `lang_definitions` VALUES (151387, 5258, 28, 'je rozšíření následující databáze');
INSERT INTO `lang_definitions` VALUES (151388, 5263, 28, 'je chybné umístění nebo  neznámý původ');
INSERT INTO `lang_definitions` VALUES (151389, 5268, 28, 'neplatné');
INSERT INTO `lang_definitions` VALUES (151390, 5269, 28, 'Běží PHP v bezpečném módu?');
INSERT INTO `lang_definitions` VALUES (151391, 5273, 28, 'Je text z formulářů přeložen?');
INSERT INTO `lang_definitions` VALUES (151392, 5274, 28, 'Je text seznamů přeložen?');
INSERT INTO `lang_definitions` VALUES (151393, 5275, 28, 'Je tento soubor šifrovaný?');
INSERT INTO `lang_definitions` VALUES (151394, 5276, 28, 'Jde o typ kódu pro klinický termín ?');
INSERT INTO `lang_definitions` VALUES (151395, 5277, 28, 'Jde o typ diagnózy ?');
INSERT INTO `lang_definitions` VALUES (151396, 5278, 28, 'Jde o typ kódu pro zdravotní problém ?');
INSERT INTO `lang_definitions` VALUES (151397, 5279, 28, 'Jde o typ medikace ?');
INSERT INTO `lang_definitions` VALUES (151398, 5280, 28, 'Jde o typ procedury/služby ?');
INSERT INTO `lang_definitions` VALUES (151399, 5281, 28, 'Je aktivní ?');
INSERT INTO `lang_definitions` VALUES (151400, 5282, 28, 'Jde o aktivní typ kódu ?');
INSERT INTO `lang_definitions` VALUES (151401, 5283, 28, 'Jde o typ kódu použitý v požadavku ?');
INSERT INTO `lang_definitions` VALUES (151402, 5285, 28, 'Je to opravdu OK ?');
INSERT INTO `lang_definitions` VALUES (151403, 5287, 28, 'jsou použity externí sql tabulky? Pokud ano, vyberte formát.');
INSERT INTO `lang_definitions` VALUES (151404, 5288, 28, 'příliš dlouhé');
INSERT INTO `lang_definitions` VALUES (151405, 5289, 28, 'ISO 639-2 kód');
INSERT INTO `lang_definitions` VALUES (151406, 5290, 28, 'problém');
INSERT INTO `lang_definitions` VALUES (151407, 5291, 28, 'problém');
INSERT INTO `lang_definitions` VALUES (151408, 5292, 28, 'Datum vzniku obtíží');
INSERT INTO `lang_definitions` VALUES (151409, 5293, 28, 'ID problému');
INSERT INTO `lang_definitions` VALUES (151410, 5295, 28, 'Název problému');
INSERT INTO `lang_definitions` VALUES (151411, 5296, 28, 'Typ problému');
INSERT INTO `lang_definitions` VALUES (151412, 5297, 28, 'Typy problémů');
INSERT INTO `lang_definitions` VALUES (151413, 5298, 28, 'Problémy');
INSERT INTO `lang_definitions` VALUES (151414, 5299, 28, 'Problémy (Úrazy/Zdravotní/Alergie)');
INSERT INTO `lang_definitions` VALUES (151415, 5300, 28, 'Problémy (Úrazy/Zdravotní/Alergie)');
INSERT INTO `lang_definitions` VALUES (151416, 5302, 28, 'Problémy a návštěvy');
INSERT INTO `lang_definitions` VALUES (151417, 5303, 28, 'Problémy  a vyšetření pro');
INSERT INTO `lang_definitions` VALUES (151418, 5308, 28, 'problémy neautorizovány');
INSERT INTO `lang_definitions` VALUES (151419, 5309, 28, 'Oblast problémů');
INSERT INTO `lang_definitions` VALUES (151420, 5364, 28, 'Italština');
INSERT INTO `lang_definitions` VALUES (151421, 5365, 28, 'Položka');
INSERT INTO `lang_definitions` VALUES (151422, 5366, 28, 'položka');
INSERT INTO `lang_definitions` VALUES (151423, 5368, 28, 'položky');
INSERT INTO `lang_definitions` VALUES (151424, 5369, 28, 'zavedení položek se nezdařilo');
INSERT INTO `lang_definitions` VALUES (151425, 5370, 28, 'IU/L');
INSERT INTO `lang_definitions` VALUES (151426, 5371, 28, 'IUD');
INSERT INTO `lang_definitions` VALUES (151427, 5372, 28, 'IV');
INSERT INTO `lang_definitions` VALUES (151428, 5375, 28, 'Led');
INSERT INTO `lang_definitions` VALUES (151429, 5376, 28, 'Leden');
INSERT INTO `lang_definitions` VALUES (151430, 5377, 28, 'Japonština');
INSERT INTO `lang_definitions` VALUES (151431, 5380, 28, 'Popis pracovního zařazení');
INSERT INTO `lang_definitions` VALUES (151432, 5381, 28, 'ID zaměstnání');
INSERT INTO `lang_definitions` VALUES (151433, 5382, 28, 'Kloubní dislokace');
INSERT INTO `lang_definitions` VALUES (151434, 5383, 28, 'Kloubní bolest');
INSERT INTO `lang_definitions` VALUES (151435, 5384, 28, 'Vymknutí kloubu');
INSERT INTO `lang_definitions` VALUES (151436, 5385, 28, 'Čerc');
INSERT INTO `lang_definitions` VALUES (151437, 5386, 28, 'Červenec');
INSERT INTO `lang_definitions` VALUES (151438, 5388, 28, 'Čer');
INSERT INTO `lang_definitions` VALUES (151439, 5389, 28, 'Červen');
INSERT INTO `lang_definitions` VALUES (151440, 5390, 28, 'Těsně pod kontrolní informací je modrá oblast pro vložení vyhledávacích parametrů. Můžete vyhledávat podle jména pacienta, čísla grafu, čísla vyšetření nebo data služby. Lze použít i kombinace. Můžete si také vybrat jaké faktury chcete zobrazit. Klepněte na tlačítko Hledat pro  vyhledávání.');
INSERT INTO `lang_definitions` VALUES (151441, 5407, 28, 'Klíč');
INSERT INTO `lang_definitions` VALUES (151442, 5411, 28, 'klíčové slovo');
INSERT INTO `lang_definitions` VALUES (151443, 5412, 28, 'kg');
INSERT INTO `lang_definitions` VALUES (151444, 5413, 28, 'kg/m2');
INSERT INTO `lang_definitions` VALUES (151445, 5415, 28, 'Karcinom ledviny');
INSERT INTO `lang_definitions` VALUES (151446, 5416, 28, 'Renální selhání');
INSERT INTO `lang_definitions` VALUES (151447, 5417, 28, 'Nefritis');
INSERT INTO `lang_definitions` VALUES (151448, 5418, 28, 'Nefrolithiáza');
INSERT INTO `lang_definitions` VALUES (151449, 5419, 28, 'Transplantace ledviny');
INSERT INTO `lang_definitions` VALUES (151450, 5425, 28, 'Koleno');
INSERT INTO `lang_definitions` VALUES (151451, 5426, 28, 'Poruchy kolenního kloubu');
INSERT INTO `lang_definitions` VALUES (151452, 5427, 28, 'Náhrada kolenního kloubu');
INSERT INTO `lang_definitions` VALUES (151453, 5434, 28, 'Lab');
INSERT INTO `lang_definitions` VALUES (151454, 5435, 28, 'Laboratorní dokumenty');
INSERT INTO `lang_definitions` VALUES (151455, 5436, 28, 'Adresa stránky pro sdílení laboratorních informací');
INSERT INTO `lang_definitions` VALUES (151456, 5437, 28, 'ID stránky sdílení laboratorních informací');
INSERT INTO `lang_definitions` VALUES (151457, 5439, 28, 'Laboratorní žádanka');
INSERT INTO `lang_definitions` VALUES (151458, 5440, 28, 'Laboratorní přehled');
INSERT INTO `lang_definitions` VALUES (151459, 5441, 28, 'Laboratorní přehled');
INSERT INTO `lang_definitions` VALUES (151460, 5442, 28, 'Stav laboratorního dotazu');
INSERT INTO `lang_definitions` VALUES (151461, 5444, 28, 'Laboratorní report');
INSERT INTO `lang_definitions` VALUES (151462, 5445, 28, 'Laboratorní výsledek');
INSERT INTO `lang_definitions` VALUES (151463, 5446, 28, 'Laboratorní výsledky');
INSERT INTO `lang_definitions` VALUES (151464, 5448, 28, 'Jméno kategorie laboratorních výsledků');
INSERT INTO `lang_definitions` VALUES (151465, 5449, 28, 'Report laboratorních výsledků');
INSERT INTO `lang_definitions` VALUES (151466, 5450, 28, 'Laboratorní služba');
INSERT INTO `lang_definitions` VALUES (151467, 5451, 28, 'Výsledky laboratorních testů');
INSERT INTO `lang_definitions` VALUES (151468, 5452, 28, 'Lab/Soubor');
INSERT INTO `lang_definitions` VALUES (151469, 5453, 28, 'Štítek');
INSERT INTO `lang_definitions` VALUES (151470, 5454, 28, 'Štítek nemůže bgýt prázdný');
INSERT INTO `lang_definitions` VALUES (151471, 5456, 28, 'Štítek pro tento typ');
INSERT INTO `lang_definitions` VALUES (151472, 5459, 28, 'Štítky');
INSERT INTO `lang_definitions` VALUES (151473, 5463, 28, 'Laboratoře');
INSERT INTO `lang_definitions` VALUES (151474, 5464, 28, 'Lacerace / stav kůže');
INSERT INTO `lang_definitions` VALUES (151475, 5465, 28, 'Lacerace/abraze');
INSERT INTO `lang_definitions` VALUES (151476, 5471, 28, 'Jazyk');
INSERT INTO `lang_definitions` VALUES (151477, 5472, 28, 'Kód jazyka');
INSERT INTO `lang_definitions` VALUES (151478, 5473, 28, 'Přidána jazyková definice');
INSERT INTO `lang_definitions` VALUES (151479, 5474, 28, 'Nástroj jazykového rozhraní');
INSERT INTO `lang_definitions` VALUES (151480, 5476, 28, 'Seznam jazyků ( na výběr právo zápisovat / přidat )');
INSERT INTO `lang_definitions` VALUES (151481, 5478, 28, 'Jméno jazyku');
INSERT INTO `lang_definitions` VALUES (151482, 5479, 28, 'Jazyk:');
INSERT INTO `lang_definitions` VALUES (151483, 5485, 28, 'Poslední');
INSERT INTO `lang_definitions` VALUES (151484, 5486, 28, 'Datum poslední aktivity');
INSERT INTO `lang_definitions` VALUES (151485, 5489, 28, 'Poslední datum platby:');
INSERT INTO `lang_definitions` VALUES (151486, 5490, 28, 'Poslední vyšetření prsou');
INSERT INTO `lang_definitions` VALUES (151487, 5491, 28, 'Minulý kalendářní rok');
INSERT INTO `lang_definitions` VALUES (151488, 5495, 28, 'Minulé vyšetření');
INSERT INTO `lang_definitions` VALUES (151489, 5496, 28, 'Poslední gynekologické vyšetření');
INSERT INTO `lang_definitions` VALUES (151490, 5503, 28, 'Poslední mamografické vyšetření');
INSERT INTO `lang_definitions` VALUES (151491, 5504, 28, 'Poslední menstruace');
INSERT INTO `lang_definitions` VALUES (151492, 5506, 28, 'Minulý mesíc');
INSERT INTO `lang_definitions` VALUES (151493, 5507, 28, 'Příjmení');
INSERT INTO `lang_definitions` VALUES (151494, 5508, 28, 'Příjmení');
INSERT INTO `lang_definitions` VALUES (151495, 5513, 28, 'Příjmení:');
INSERT INTO `lang_definitions` VALUES (151496, 5514, 28, 'Poslední fyzikální vyšetření');
INSERT INTO `lang_definitions` VALUES (151497, 5515, 28, 'Poslední vyšetření prostaty');
INSERT INTO `lang_definitions` VALUES (151498, 5516, 28, 'Poslední vyšetření per rectum');
INSERT INTO `lang_definitions` VALUES (151499, 5517, 28, 'Poslední zhodnocení');
INSERT INTO `lang_definitions` VALUES (151500, 5518, 28, 'Naposledy spuštěno v');
INSERT INTO `lang_definitions` VALUES (151501, 5519, 28, 'Naposledy uloženo');
INSERT INTO `lang_definitions` VALUES (151502, 5520, 28, 'Poslední Sigmoideo/koloskopie');
INSERT INTO `lang_definitions` VALUES (151503, 5525, 28, 'Naposledy aktualizováno');
INSERT INTO `lang_definitions` VALUES (151504, 5526, 28, 'Naposledy ověřeno');
INSERT INTO `lang_definitions` VALUES (151505, 5527, 28, 'Poslední návštěva');
INSERT INTO `lang_definitions` VALUES (151506, 5528, 28, 'Poslední RTG');
INSERT INTO `lang_definitions` VALUES (151507, 5530, 28, 'Poslední rekurence (2-12 měs)');
INSERT INTO `lang_definitions` VALUES (151508, 5531, 28, 'Zevní kotník');
INSERT INTO `lang_definitions` VALUES (151509, 5532, 28, 'Zevní kotník:');
INSERT INTO `lang_definitions` VALUES (151510, 5533, 28, 'Lateralita');
INSERT INTO `lang_definitions` VALUES (151511, 5534, 28, 'Lateralita této procedury ( pokud je použitelné)');
INSERT INTO `lang_definitions` VALUES (151512, 5539, 28, 'Poslední návštěva nebo konzultace');
INSERT INTO `lang_definitions` VALUES (151513, 5547, 28, 'Rozvržení');
INSERT INTO `lang_definitions` VALUES (151514, 5551, 28, 'Úpravy rozvržení');
INSERT INTO `lang_definitions` VALUES (151515, 5552, 28, 'Skupiny rozvržení');
INSERT INTO `lang_definitions` VALUES (151516, 5559, 28, 'Rozvržení');
INSERT INTO `lang_definitions` VALUES (151517, 5560, 28, 'libra');
INSERT INTO `lang_definitions` VALUES (151518, 5563, 28, 'liber');
INSERT INTO `lang_definitions` VALUES (151519, 5571, 28, 'LDL');
INSERT INTO `lang_definitions` VALUES (151520, 5573, 28, 'nechte prázdné pokud je stále aktivní');
INSERT INTO `lang_definitions` VALUES (151521, 5574, 28, 'Ponechte prázdné pro zachování původního jména souboru');
INSERT INTO `lang_definitions` VALUES (151522, 5575, 28, 'ponechte prázdné pro zachování původního hesla');
INSERT INTO `lang_definitions` VALUES (151523, 5580, 28, 'Zanechte zprávu s');
INSERT INTO `lang_definitions` VALUES (151524, 5582, 28, 'Odejít z formuláře');
INSERT INTO `lang_definitions` VALUES (151525, 5583, 28, 'Pokdu nezadáte heslo, dokument nebude šifrován');
INSERT INTO `lang_definitions` VALUES (151526, 5586, 28, 'Levý');
INSERT INTO `lang_definitions` VALUES (151527, 5589, 28, 'Levé ucho');
INSERT INTO `lang_definitions` VALUES (151528, 5590, 28, 'levé ucho');
INSERT INTO `lang_definitions` VALUES (151529, 5594, 28, 'Levý okraj (mm)');
INSERT INTO `lang_definitions` VALUES (151530, 5599, 28, 'Vlevo:');
INSERT INTO `lang_definitions` VALUES (151531, 5600, 28, 'Vlevo:');
INSERT INTO `lang_definitions` VALUES (151532, 5601, 28, 'Bolest dolní končetiny/křeče');
INSERT INTO `lang_definitions` VALUES (151533, 5604, 28, 'Legal formát papíru');
INSERT INTO `lang_definitions` VALUES (151534, 5605, 28, 'Legenda:');
INSERT INTO `lang_definitions` VALUES (151535, 5606, 28, 'Délka');
INSERT INTO `lang_definitions` VALUES (151536, 5607, 28, 'Délka modifikátoru, 0= žádná');
INSERT INTO `lang_definitions` VALUES (151537, 5613, 28, 'Menší než');
INSERT INTO `lang_definitions` VALUES (151538, 5614, 28, 'Menší nebo rovno');
INSERT INTO `lang_definitions` VALUES (151539, 5615, 28, 'Méně citlivé informace ( volitelně právo zapisovat, přidat)');
INSERT INTO `lang_definitions` VALUES (151540, 5620, 28, 'Dopis');
INSERT INTO `lang_definitions` VALUES (151541, 5621, 28, 'Generátor dopisu');
INSERT INTO `lang_definitions` VALUES (151542, 5622, 28, 'Formát papíru Dopis');
INSERT INTO `lang_definitions` VALUES (151543, 5623, 28, 'Místo pro podpis lékaře');
INSERT INTO `lang_definitions` VALUES (151544, 5624, 28, 'Místo pro podpis pacienta');
INSERT INTO `lang_definitions` VALUES (151545, 5627, 28, 'Stupeň naléhavosti');
INSERT INTO `lang_definitions` VALUES (151546, 5630, 28, 'Odpovědnost');
INSERT INTO `lang_definitions` VALUES (151547, 5631, 28, 'Lékařská odpovědnost');
INSERT INTO `lang_definitions` VALUES (151548, 5633, 28, 'ID/Licence');
INSERT INTO `lang_definitions` VALUES (151549, 5644, 28, 'Životní styl');
INSERT INTO `lang_definitions` VALUES (151550, 5646, 28, 'Charakter životního stylu');
INSERT INTO `lang_definitions` VALUES (151551, 5647, 28, 'Ruptura nebo distenze ligamenta');
INSERT INTO `lang_definitions` VALUES (151552, 5648, 28, 'Lehký kuřák');
INSERT INTO `lang_definitions` VALUES (151553, 5651, 28, 'Limit událostí');
INSERT INTO `lang_definitions` VALUES (151554, 5654, 28, 'Limity');
INSERT INTO `lang_definitions` VALUES (151555, 5657, 28, 'Odkaz');
INSERT INTO `lang_definitions` VALUES (151556, 5658, 28, 'Odkaz na pacienta');
INSERT INTO `lang_definitions` VALUES (151557, 5660, 28, 'Napojený');
INSERT INTO `lang_definitions` VALUES (151558, 5661, 28, 'Napojený dokument');
INSERT INTO `lang_definitions` VALUES (151559, 5662, 28, 'Napojená žádanka o výkon');
INSERT INTO `lang_definitions` VALUES (151560, 5663, 28, 'napojeno na dokument');
INSERT INTO `lang_definitions` VALUES (151561, 5664, 28, 'napojeno na objednávku výkonu');
INSERT INTO `lang_definitions` VALUES (151562, 5665, 28, 'Seznam');
INSERT INTO `lang_definitions` VALUES (151563, 5666, 28, 'Pole seznamu');
INSERT INTO `lang_definitions` VALUES (151564, 5667, 28, 'pole seznamu');
INSERT INTO `lang_definitions` VALUES (151565, 5668, 28, 'pole seznamu zapis./přidat');
INSERT INTO `lang_definitions` VALUES (151566, 5669, 28, 'Pole seznamu zapis./přid.');
INSERT INTO `lang_definitions` VALUES (151567, 5671, 28, 'Editor seznamu');
INSERT INTO `lang_definitions` VALUES (151568, 5672, 28, 'Seznam vyšetření');
INSERT INTO `lang_definitions` VALUES (151569, 5674, 28, 'Seznam skupin');
INSERT INTO `lang_definitions` VALUES (151570, 5675, 28, 'Seznam pojišťoven');
INSERT INTO `lang_definitions` VALUES (151571, 5677, 28, 'Položka seznamu nemůže začínat číslem');
INSERT INTO `lang_definitions` VALUES (151572, 5678, 28, 'Položka seznamu obsahuje neplatné znaky');
INSERT INTO `lang_definitions` VALUES (151573, 5680, 28, 'Výsledek hledání v seznamu');
INSERT INTO `lang_definitions` VALUES (151574, 5682, 28, 'Jméno seznamu');
INSERT INTO `lang_definitions` VALUES (151575, 5683, 28, 'Jména seznamů nemohou začínat čísly');
INSERT INTO `lang_definitions` VALUES (151576, 5688, 28, 'Seznam předpisů a receptů');
INSERT INTO `lang_definitions` VALUES (151577, 5691, 28, 'Naslouchající port RFC 5425 TLS Syslog serveru');
INSERT INTO `lang_definitions` VALUES (151578, 5693, 28, 'Seznamy');
INSERT INTO `lang_definitions` VALUES (151579, 5696, 28, 'Rozhodnutí o pokračování přístrojové podpory vitálních funkcí');
INSERT INTO `lang_definitions` VALUES (151580, 5701, 28, 'LLL:');
INSERT INTO `lang_definitions` VALUES (151581, 5707, 28, 'Poslední mestruace');
INSERT INTO `lang_definitions` VALUES (151582, 5708, 28, 'Nahrát  přehled');
INSERT INTO `lang_definitions` VALUES (151583, 5709, 28, 'Nahrát definice');
INSERT INTO `lang_definitions` VALUES (151584, 5711, 28, 'Nahrát laboratorní konfiguraci');
INSERT INTO `lang_definitions` VALUES (151585, 5712, 28, 'Nahrát volby OE otázek');
INSERT INTO `lang_definitions` VALUES (151586, 5713, 28, 'Nahrát deficinice objednávek');
INSERT INTO `lang_definitions` VALUES (151587, 5715, 28, 'ÚSPĚŠNĚ NAHRÁNO. Kódy vloženy');
INSERT INTO `lang_definitions` VALUES (151588, 5717, 28, 'NAHRÁVÁNÍ');
INSERT INTO `lang_definitions` VALUES (151589, 5721, 28, 'Nahrávání dat do databáze může chvíli trvat...');
INSERT INTO `lang_definitions` VALUES (151590, 5724, 28, 'Lokální');
INSERT INTO `lang_definitions` VALUES (151591, 5725, 28, 'Lokální obsah');
INSERT INTO `lang_definitions` VALUES (151592, 5726, 28, 'Lokální souborový systém');
INSERT INTO `lang_definitions` VALUES (151593, 5729, 28, 'Lokalita');
INSERT INTO `lang_definitions` VALUES (151594, 5730, 28, 'Umístění');
INSERT INTO `lang_definitions` VALUES (151595, 5731, 28, 'umístění PC s OpenEMR a může obsahovat citlivá data. Doporučujeme data ručně smazat po jejich použití.');
INSERT INTO `lang_definitions` VALUES (151596, 5733, 28, 'Umístění nespecifikováno');
INSERT INTO `lang_definitions` VALUES (151597, 5734, 28, 'Umístění pro ukládání faxů HylaFax');
INSERT INTO `lang_definitions` VALUES (151598, 5735, 28, 'Umístění pro ukládání skenovaných dokumentů');
INSERT INTO `lang_definitions` VALUES (151599, 5736, 28, 'Umístění:');
INSERT INTO `lang_definitions` VALUES (151600, 5737, 28, 'Zamknout');
INSERT INTO `lang_definitions` VALUES (151601, 5738, 28, 'Individuální uzamčení e-podepsaného formuláře');
INSERT INTO `lang_definitions` VALUES (151602, 5739, 28, 'Uzamčení e-podepsaných vyšetření a jejich formulářů');
INSERT INTO `lang_definitions` VALUES (151603, 5740, 28, 'Zamknout ?');
INSERT INTO `lang_definitions` VALUES (151604, 5741, 28, 'Uzamčeno');
INSERT INTO `lang_definitions` VALUES (151605, 5745, 28, 'Přihlášení');
INSERT INTO `lang_definitions` VALUES (151606, 5746, 28, 'Přihlášení');
INSERT INTO `lang_definitions` VALUES (151607, 5749, 28, 'Odhlášení');
INSERT INTO `lang_definitions` VALUES (151608, 5752, 28, 'Přihlášen');
INSERT INTO `lang_definitions` VALUES (151609, 5753, 28, 'Přihlášen jako');
INSERT INTO `lang_definitions` VALUES (151610, 5754, 28, 'Přihlášen jako:');
INSERT INTO `lang_definitions` VALUES (151611, 5755, 28, 'Odhlášen.');
INSERT INTO `lang_definitions` VALUES (151612, 5756, 28, 'Protokolování');
INSERT INTO `lang_definitions` VALUES (151613, 5757, 28, 'Přihlášení do systému');
INSERT INTO `lang_definitions` VALUES (151614, 5758, 28, 'přihlášení do systému');
INSERT INTO `lang_definitions` VALUES (151615, 5761, 28, 'Přihlašovací jméno uživatele WordPress pro přístup k portálu');
INSERT INTO `lang_definitions` VALUES (151616, 5763, 28, 'Přihlášení k vzdáleného hostu');
INSERT INTO `lang_definitions` VALUES (151617, 5764, 28, 'Přihlášení k vzdáleného hostu selhalo');
INSERT INTO `lang_definitions` VALUES (151618, 5768, 28, 'Odhlášení');
INSERT INTO `lang_definitions` VALUES (151619, 5769, 28, 'odhlášení');
INSERT INTO `lang_definitions` VALUES (151620, 5770, 28, 'Protokoly');
INSERT INTO `lang_definitions` VALUES (151621, 5771, 28, 'Prohlížeč protokolů');
INSERT INTO `lang_definitions` VALUES (151622, 5776, 28, 'Vyhledat');
INSERT INTO `lang_definitions` VALUES (151623, 5780, 28, 'Nízký');
INSERT INTO `lang_definitions` VALUES (151624, 5781, 28, 'Nízká priorita');
INSERT INTO `lang_definitions` VALUES (151625, 5782, 28, 'Bérec a noha');
INSERT INTO `lang_definitions` VALUES (151626, 5784, 28, 'Nejnižší priorita');
INSERT INTO `lang_definitions` VALUES (151627, 5791, 28, 'Bederní páteř');
INSERT INTO `lang_definitions` VALUES (151628, 5792, 28, 'OBĚD');
INSERT INTO `lang_definitions` VALUES (151629, 5793, 28, 'Oběd');
INSERT INTO `lang_definitions` VALUES (151630, 5794, 28, 'Karcinom plic');
INSERT INTO `lang_definitions` VALUES (151631, 5795, 28, 'Operace plicního karcinomu');
INSERT INTO `lang_definitions` VALUES (151632, 5796, 28, 'PLÍCE:');
INSERT INTO `lang_definitions` VALUES (151633, 5797, 28, 'plíce:');
INSERT INTO `lang_definitions` VALUES (151634, 5798, 28, 'Lupus');
INSERT INTO `lang_definitions` VALUES (151635, 5804, 28, 'M');
INSERT INTO `lang_definitions` VALUES (151636, 5805, 28, 'Kategorie MA');
INSERT INTO `lang_definitions` VALUES (151637, 5812, 28, 'Pošta odeslána');
INSERT INTO `lang_definitions` VALUES (151638, 5814, 28, 'Hlavní');
INSERT INTO `lang_definitions` VALUES (151639, 5815, 28, 'Hlavní adresa');
INSERT INTO `lang_definitions` VALUES (151640, 5821, 28, 'Hlavní část obrazovky');
INSERT INTO `lang_definitions` VALUES (151641, 5825, 28, 'Zachovat list aktivní medikace');
INSERT INTO `lang_definitions` VALUES (151642, 5827, 28, 'Modifikovat aktuální kategorie');
INSERT INTO `lang_definitions` VALUES (151643, 5828, 28, 'Vytvořit novou návštěvu pro');
INSERT INTO `lang_definitions` VALUES (151644, 5831, 28, 'Ověřte si \"');
INSERT INTO `lang_definitions` VALUES (151645, 5834, 28, 'Malátnost:');
INSERT INTO `lang_definitions` VALUES (151646, 5837, 28, 'Muž');
INSERT INTO `lang_definitions` VALUES (151647, 5838, 28, 'Mužský kondom');
INSERT INTO `lang_definitions` VALUES (151648, 5839, 28, 'Mužský VSC');
INSERT INTO `lang_definitions` VALUES (151649, 5841, 28, 'Mamograf');
INSERT INTO `lang_definitions` VALUES (151650, 5842, 28, 'Spravovat');
INSERT INTO `lang_definitions` VALUES (151651, 5845, 28, 'Spravovat moduly');
INSERT INTO `lang_definitions` VALUES (151652, 5850, 28, 'Spravovat překlady');
INSERT INTO `lang_definitions` VALUES (151653, 5851, 28, 'Management');
INSERT INTO `lang_definitions` VALUES (151654, 5854, 28, 'Povinná a specifikovaná pole');
INSERT INTO `lang_definitions` VALUES (151655, 5859, 28, 'Manuál');
INSERT INTO `lang_definitions` VALUES (151656, 5860, 28, 'Manuální odeslání');
INSERT INTO `lang_definitions` VALUES (151657, 5864, 28, 'Výrobce');
INSERT INTO `lang_definitions` VALUES (151658, 5874, 28, 'Březen');
INSERT INTO `lang_definitions` VALUES (151659, 5877, 28, 'Rodinný stav');
INSERT INTO `lang_definitions` VALUES (151660, 5879, 28, 'Oznčit jako vyúčtované');
INSERT INTO `lang_definitions` VALUES (151661, 5880, 28, 'Oznčit jako vyúčtované, ale přeskoč účtování');
INSERT INTO `lang_definitions` VALUES (151662, 5881, 28, 'Označ jako vyčištěné');
INSERT INTO `lang_definitions` VALUES (151663, 5882, 28, 'Označ jako nevyúčtované');
INSERT INTO `lang_definitions` VALUES (151664, 5885, 28, 'Označ tyto reporty jako prohlédnuté');
INSERT INTO `lang_definitions` VALUES (151665, 5886, 28, 'Označ jako vyčištěné');
INSERT INTO `lang_definitions` VALUES (151666, 5887, 28, 'Ženatý/vdaná');
INSERT INTO `lang_definitions` VALUES (151667, 5889, 28, 'Maska');
INSERT INTO `lang_definitions` VALUES (151668, 5890, 28, 'Maska pro čísla faktur');
INSERT INTO `lang_definitions` VALUES (151669, 5891, 28, 'Maska pro ID Pacientů');
INSERT INTO `lang_definitions` VALUES (151670, 5892, 28, 'Maska pro ID produktů');
INSERT INTO `lang_definitions` VALUES (151671, 5894, 28, 'Shoda');
INSERT INTO `lang_definitions` VALUES (151672, 5896, 28, 'Nalezena shoda');
INSERT INTO `lang_definitions` VALUES (151673, 5907, 28, 'Max');
INSERT INTO `lang_definitions` VALUES (151674, 5910, 28, 'dosažen maximální počet souborů - znovu nahrát níže uvedená jména');
INSERT INTO `lang_definitions` VALUES (151675, 5912, 28, 'Maxilárně vpravo');
INSERT INTO `lang_definitions` VALUES (151676, 5913, 28, 'Maximální věk');
INSERT INTO `lang_definitions` VALUES (151677, 5914, 28, 'Maximum znaků');
INSERT INTO `lang_definitions` VALUES (151678, 5917, 28, 'Maximální čas nečinnosti v sekundách před odhlášením. Výchozí hodnota je 7200 ( 2 hodiny)');
INSERT INTO `lang_definitions` VALUES (151679, 5920, 28, 'Maximální rozumný inventář, 0 pokud není použito');
INSERT INTO `lang_definitions` VALUES (151680, 5921, 28, 'Maximální velikost');
INSERT INTO `lang_definitions` VALUES (151681, 5922, 28, 'Maximální velikost ( zadání 0 umožní jakoukoliv velikost)');
INSERT INTO `lang_definitions` VALUES (151682, 5924, 28, 'Květen');
INSERT INTO `lang_definitions` VALUES (151683, 5929, 28, 'Žádné z posledních tří hesel nelze použít při změně hesla.');
INSERT INTO `lang_definitions` VALUES (151684, 5931, 28, 'Kód  skupiny měření');
INSERT INTO `lang_definitions` VALUES (151685, 5939, 28, 'Vnitřní kotník');
INSERT INTO `lang_definitions` VALUES (151686, 5942, 28, 'Lékařský');
INSERT INTO `lang_definitions` VALUES (151687, 5943, 28, 'UPT -umělé přerušení těhotenství');
INSERT INTO `lang_definitions` VALUES (151688, 5946, 28, 'Anamnéza');
INSERT INTO `lang_definitions` VALUES (151689, 5947, 28, 'Zdravotní problém');
INSERT INTO `lang_definitions` VALUES (151690, 5948, 28, 'Zdravotní problém');
INSERT INTO `lang_definitions` VALUES (151691, 5951, 28, 'Zdravotní problém');
INSERT INTO `lang_definitions` VALUES (151692, 5952, 28, 'Zdravotní problém');
INSERT INTO `lang_definitions` VALUES (151693, 5953, 28, 'Seznam zdravotních problémů');
INSERT INTO `lang_definitions` VALUES (151694, 5954, 28, 'Zdravotní problémy');
INSERT INTO `lang_definitions` VALUES (151695, 5956, 28, 'Zdravotní záznam');
INSERT INTO `lang_definitions` VALUES (151696, 5957, 28, 'Zdravotní záznam #');
INSERT INTO `lang_definitions` VALUES (151697, 5959, 28, 'Zdravotní záznamy');
INSERT INTO `lang_definitions` VALUES (151698, 5961, 28, 'Zdravotní záznamy odeslány');
INSERT INTO `lang_definitions` VALUES (151699, 5963, 28, 'Souhrnná zpráva ybal vydána');
INSERT INTO `lang_definitions` VALUES (151700, 5964, 28, 'Medicínský systém');
INSERT INTO `lang_definitions` VALUES (151701, 5966, 28, 'Anamnéza ( volitelně právo zapisovat, přidat)');
INSERT INTO `lang_definitions` VALUES (151702, 5968, 28, 'Zdravotní péče část B');
INSERT INTO `lang_definitions` VALUES (151703, 5969, 28, 'Poskytovatel vyžádané péče je změněn');
INSERT INTO `lang_definitions` VALUES (151704, 5970, 28, 'Medikace');
INSERT INTO `lang_definitions` VALUES (151705, 5972, 28, 'Seznam zdravotních obtíží');
INSERT INTO `lang_definitions` VALUES (151706, 5973, 28, 'Seznam léků');
INSERT INTO `lang_definitions` VALUES (151707, 5974, 28, 'Provedena korekce medikace ?');
INSERT INTO `lang_definitions` VALUES (151708, 5975, 28, 'Medikace');
INSERT INTO `lang_definitions` VALUES (151709, 5978, 28, 'Medikace:');
INSERT INTO `lang_definitions` VALUES (151710, 5980, 28, 'Střed');
INSERT INTO `lang_definitions` VALUES (151711, 5982, 28, 'Spojení s MedlinePlus');
INSERT INTO `lang_definitions` VALUES (151712, 5986, 28, 'Mnestické problémy');
INSERT INTO `lang_definitions` VALUES (151713, 5987, 28, 'Muž');
INSERT INTO `lang_definitions` VALUES (151714, 5988, 28, 'Muž a Žena');
INSERT INTO `lang_definitions` VALUES (151715, 5989, 28, 'Pouze muž');
INSERT INTO `lang_definitions` VALUES (151716, 5990, 28, 'Menarche');
INSERT INTO `lang_definitions` VALUES (151717, 5991, 28, 'Menopausa');
INSERT INTO `lang_definitions` VALUES (151718, 5992, 28, 'Mentruační krvácení');
INSERT INTO `lang_definitions` VALUES (151719, 5993, 28, 'Frekvence menstruace');
INSERT INTO `lang_definitions` VALUES (151720, 5994, 28, 'Mentální onemocnění');
INSERT INTO `lang_definitions` VALUES (151721, 5998, 28, 'Text nabídky');
INSERT INTO `lang_definitions` VALUES (151722, 5999, 28, 'Nabídky');
INSERT INTO `lang_definitions` VALUES (151723, 6001, 28, 'Sloučit');
INSERT INTO `lang_definitions` VALUES (151724, 6002, 28, 'Sloučení kompletní');
INSERT INTO `lang_definitions` VALUES (151725, 6003, 28, 'Sloučit pacienty');
INSERT INTO `lang_definitions` VALUES (151726, 6005, 28, 'Zpráva');
INSERT INTO `lang_definitions` VALUES (151727, 6006, 28, 'Centrum zpráv a upomínek');
INSERT INTO `lang_definitions` VALUES (151728, 6009, 28, 'Obsah zprávy není prostý text a musí být uložen jako dokument.');
INSERT INTO `lang_definitions` VALUES (151729, 6010, 28, 'Zpráva od pacienta');
INSERT INTO `lang_definitions` VALUES (151730, 6012, 28, 'Zpráva odeslána');
INSERT INTO `lang_definitions` VALUES (151731, 6013, 28, 'Stav zprávy');
INSERT INTO `lang_definitions` VALUES (151732, 6014, 28, 'Název zprávy');
INSERT INTO `lang_definitions` VALUES (151733, 6015, 28, 'Zpráva pro pacienta');
INSERT INTO `lang_definitions` VALUES (151734, 6017, 28, 'Typ zprávy');
INSERT INTO `lang_definitions` VALUES (151735, 6018, 28, 'ZPRÁVA:');
INSERT INTO `lang_definitions` VALUES (151736, 6019, 28, 'Zprávy');
INSERT INTO `lang_definitions` VALUES (151737, 6022, 28, 'Dnešní odeslané zprávy');
INSERT INTO `lang_definitions` VALUES (151738, 6026, 28, 'Metoda');
INSERT INTO `lang_definitions` VALUES (151739, 6027, 28, 'Metoda a specifický produkt');
INSERT INTO `lang_definitions` VALUES (151740, 6029, 28, 'Metoda odesílání emailů.');
INSERT INTO `lang_definitions` VALUES (151741, 6030, 28, 'Metoda likvidace');
INSERT INTO `lang_definitions` VALUES (151742, 6038, 28, 'mg');
INSERT INTO `lang_definitions` VALUES (151743, 6039, 28, 'mg/cm3');
INSERT INTO `lang_definitions` VALUES (151744, 6040, 28, 'mg/2cm3');
INSERT INTO `lang_definitions` VALUES (151745, 6041, 28, 'mg/3cm3');
INSERT INTO `lang_definitions` VALUES (151746, 6042, 28, 'mg/4cm3');
INSERT INTO `lang_definitions` VALUES (151747, 6043, 28, 'mg/5cm3');
INSERT INTO `lang_definitions` VALUES (151748, 6044, 28, 'mg/100ml');
INSERT INTO `lang_definitions` VALUES (151749, 6046, 28, 'Prostřední');
INSERT INTO `lang_definitions` VALUES (151750, 6047, 28, 'Prostřední jméno');
INSERT INTO `lang_definitions` VALUES (151751, 6048, 28, 'Prostřední jméno');
INSERT INTO `lang_definitions` VALUES (151752, 6062, 28, 'Migrující nebo sezónní pracovník ?');
INSERT INTO `lang_definitions` VALUES (151753, 6064, 28, 'Migrující/sezónní');
INSERT INTO `lang_definitions` VALUES (151754, 6069, 28, 'MIME typ');
INSERT INTO `lang_definitions` VALUES (151755, 6070, 28, 'Mime typ');
INSERT INTO `lang_definitions` VALUES (151756, 6071, 28, 'Min');
INSERT INTO `lang_definitions` VALUES (151757, 6072, 28, 'min');
INSERT INTO `lang_definitions` VALUES (151758, 6077, 28, 'Minimální věk');
INSERT INTO `lang_definitions` VALUES (151759, 6080, 28, 'Lehká kloubní distenze +/- synovitis');
INSERT INTO `lang_definitions` VALUES (151760, 6082, 28, 'Minuta');
INSERT INTO `lang_definitions` VALUES (151761, 6083, 28, 'Minuty');
INSERT INTO `lang_definitions` VALUES (151762, 6084, 28, 'Minuty');
INSERT INTO `lang_definitions` VALUES (151763, 6090, 28, 'Různé');
INSERT INTO `lang_definitions` VALUES (151764, 6092, 28, 'Zmeškáno');
INSERT INTO `lang_definitions` VALUES (151765, 6093, 28, 'chybí');
INSERT INTO `lang_definitions` VALUES (151766, 6094, 28, 'Chybí povinné soubory');
INSERT INTO `lang_definitions` VALUES (151767, 6101, 28, 'Chybějící nebo nesprávný');
INSERT INTO `lang_definitions` VALUES (151768, 6104, 28, 'Chybí datum hlášení');
INSERT INTO `lang_definitions` VALUES (151769, 6105, 28, 'Chybí lomítko za údajem plátce');
INSERT INTO `lang_definitions` VALUES (151770, 6111, 28, 'Smíšený');
INSERT INTO `lang_definitions` VALUES (151771, 6113, 28, 'ml');
INSERT INTO `lang_definitions` VALUES (151772, 6114, 28, 'MM/DD/RRRR');
INSERT INTO `lang_definitions` VALUES (151773, 6115, 28, 'mm/hg');
INSERT INTO `lang_definitions` VALUES (151774, 6116, 28, 'mmhg');
INSERT INTO `lang_definitions` VALUES (151775, 6120, 28, 'Mobilní');
INSERT INTO `lang_definitions` VALUES (151776, 6121, 28, 'Mobilní telefon');
INSERT INTO `lang_definitions` VALUES (151777, 6125, 28, 'Mod');
INSERT INTO `lang_definitions` VALUES (151778, 6129, 28, 'Střední priorita');
INSERT INTO `lang_definitions` VALUES (151779, 6131, 28, 'Střední /Nízká priorita');
INSERT INTO `lang_definitions` VALUES (151780, 6133, 28, 'Modifikátor');
INSERT INTO `lang_definitions` VALUES (151781, 6139, 28, 'Modifikátory');
INSERT INTO `lang_definitions` VALUES (151782, 6140, 28, 'Modifikovat');
INSERT INTO `lang_definitions` VALUES (151783, 6141, 28, 'Datum úpravy');
INSERT INTO `lang_definitions` VALUES (151784, 6143, 28, 'Modifikovat platbu');
INSERT INTO `lang_definitions` VALUES (151785, 6146, 28, 'Modul');
INSERT INTO `lang_definitions` VALUES (151786, 6147, 28, 'Adresář modulů nenalezen');
INSERT INTO `lang_definitions` VALUES (151787, 6148, 28, 'Instalátor modulů');
INSERT INTO `lang_definitions` VALUES (151788, 6149, 28, 'Jméno modulu');
INSERT INTO `lang_definitions` VALUES (151789, 6150, 28, 'Jméno modulu již existuje');
INSERT INTO `lang_definitions` VALUES (151790, 6151, 28, 'Moduly');
INSERT INTO `lang_definitions` VALUES (151791, 6153, 28, 'Pon');
INSERT INTO `lang_definitions` VALUES (151792, 6154, 28, 'Od Pon do Pá');
INSERT INTO `lang_definitions` VALUES (151793, 6155, 28, 'Pon,Stře &amp; Pá');
INSERT INTO `lang_definitions` VALUES (151794, 6156, 28, 'Pondělí');
INSERT INTO `lang_definitions` VALUES (151795, 6160, 28, 'měsíc');
INSERT INTO `lang_definitions` VALUES (151796, 6161, 28, 'Měsíc');
INSERT INTO `lang_definitions` VALUES (151797, 6162, 28, 'Měsíční zobrazení');
INSERT INTO `lang_definitions` VALUES (151798, 6163, 28, 'Měsíce');
INSERT INTO `lang_definitions` VALUES (151799, 6164, 28, 'Měsíční příjem');
INSERT INTO `lang_definitions` VALUES (151800, 6179, 28, 'Nalezeno více než 100 záznamů. Omezte vyhledávací kritéria');
INSERT INTO `lang_definitions` VALUES (151801, 6180, 28, 'Více než 50 výsledků, prosím zpřesněte vyhledávání');
INSERT INTO `lang_definitions` VALUES (151802, 6184, 28, 'Většina záhlaví sloupců umožňuje klikem třídit obsah sloupce');
INSERT INTO `lang_definitions` VALUES (151803, 6186, 28, 'Nejnovější z');
INSERT INTO `lang_definitions` VALUES (151804, 6187, 28, 'Nejnovější laboratorní data:');
INSERT INTO `lang_definitions` VALUES (151805, 6189, 28, 'Nejnovější vitální funkce z:');
INSERT INTO `lang_definitions` VALUES (151806, 6190, 28, 'Matka');
INSERT INTO `lang_definitions` VALUES (151807, 6191, 28, 'Jméno matky');
INSERT INTO `lang_definitions` VALUES (151808, 6192, 28, 'Anamnéza matky');
INSERT INTO `lang_definitions` VALUES (151809, 6195, 28, 'Ústa');
INSERT INTO `lang_definitions` VALUES (151810, 6196, 28, 'Přemístit');
INSERT INTO `lang_definitions` VALUES (151811, 6197, 28, 'Přesunout dokument do kategorie:');
INSERT INTO `lang_definitions` VALUES (151812, 6198, 28, 'Přesunout dolů');
INSERT INTO `lang_definitions` VALUES (151813, 6199, 28, 'Přesun selhal');
INSERT INTO `lang_definitions` VALUES (151814, 6201, 28, 'Přesunout k pacientovi');
INSERT INTO `lang_definitions` VALUES (151815, 6202, 28, 'Přesunout k...');
INSERT INTO `lang_definitions` VALUES (151816, 6203, 28, 'Přesunout výše');
INSERT INTO `lang_definitions` VALUES (151817, 6204, 28, 'Přesouvání');
INSERT INTO `lang_definitions` VALUES (151818, 6209, 28, 'Pan');
INSERT INTO `lang_definitions` VALUES (151819, 6215, 28, 'Paní');
INSERT INTO `lang_definitions` VALUES (151820, 6217, 28, 'Slečna');
INSERT INTO `lang_definitions` VALUES (151821, 6218, 28, 'MSH-11');
INSERT INTO `lang_definitions` VALUES (151822, 6219, 28, 'MSH-3.1');
INSERT INTO `lang_definitions` VALUES (151823, 6220, 28, 'MSH-4.1');
INSERT INTO `lang_definitions` VALUES (151824, 6221, 28, 'MSH-5.1');
INSERT INTO `lang_definitions` VALUES (151825, 6222, 28, 'MSH-6.1');
INSERT INTO `lang_definitions` VALUES (151826, 6224, 28, 'Typ zprávy MSH.8 není platný');
INSERT INTO `lang_definitions` VALUES (151827, 6226, 28, 'Kód MSP');
INSERT INTO `lang_definitions` VALUES (151828, 6230, 28, 'Vícejazyčné nástroje');
INSERT INTO `lang_definitions` VALUES (151829, 6234, 28, 'Vícečetné oblasti');
INSERT INTO `lang_definitions` VALUES (151830, 6236, 28, 'CTRL+Click nebo SHIFT+Click umožní nahrání více souborů v jednom okamžiku');
INSERT INTO `lang_definitions` VALUES (151831, 6238, 28, 'Vícero modifikátorů (max 4) může být odděleno dvojtečkou nebo mezerou (M1:M2:M3:M4)');
INSERT INTO `lang_definitions` VALUES (151832, 6239, 28, 'Seznam s vícečetným výberem');
INSERT INTO `lang_definitions` VALUES (151833, 6242, 28, 'Multirasový');
INSERT INTO `lang_definitions` VALUES (151834, 6243, 28, 'Šelest:');
INSERT INTO `lang_definitions` VALUES (151835, 6244, 28, 'Myalgie');
INSERT INTO `lang_definitions` VALUES (151836, 6245, 28, 'Myalgie');
INSERT INTO `lang_definitions` VALUES (151837, 6246, 28, 'Zarudnutí nad svalem');
INSERT INTO `lang_definitions` VALUES (151838, 6247, 28, 'Svalová ztuhlost');
INSERT INTO `lang_definitions` VALUES (151839, 6248, 28, 'Edém svalový');
INSERT INTO `lang_definitions` VALUES (151840, 6250, 28, 'Sval');
INSERT INTO `lang_definitions` VALUES (151841, 6251, 28, 'Svalové poranění');
INSERT INTO `lang_definitions` VALUES (151842, 6252, 28, 'Muskuloskeletální');
INSERT INTO `lang_definitions` VALUES (151843, 6256, 28, 'Musí být prázdné, pokud není využívána SMTP autentifikace.');
INSERT INTO `lang_definitions` VALUES (151844, 6259, 28, 'Vzájemně definováno');
INSERT INTO `lang_definitions` VALUES (151845, 6271, 28, 'N/A');
INSERT INTO `lang_definitions` VALUES (151846, 6272, 28, 'n/a');
INSERT INTO `lang_definitions` VALUES (151847, 6274, 28, 'Jméno');
INSERT INTO `lang_definitions` VALUES (151848, 6276, 28, 'Jméno ( kliknout pro detaily )');
INSERT INTO `lang_definitions` VALUES (151849, 6278, 28, 'Jméno 1');
INSERT INTO `lang_definitions` VALUES (151850, 6279, 28, 'Jméno 2');
INSERT INTO `lang_definitions` VALUES (151851, 6280, 28, 'Jméno a titul administrátora očkování');
INSERT INTO `lang_definitions` VALUES (151852, 6282, 28, 'Jméno v EMR');
INSERT INTO `lang_definitions` VALUES (151853, 6283, 28, 'Jméno musí být ve formátu codetype_code_language.pdf, např. icd9_274.11_en.pdf');
INSERT INTO `lang_definitions` VALUES (151854, 6284, 28, 'Jméno událostí');
INSERT INTO `lang_definitions` VALUES (151855, 6285, 28, 'Jméno poskytovatele pojištění');
INSERT INTO `lang_definitions` VALUES (151856, 6286, 28, 'Jméno poskytovatele');
INSERT INTO `lang_definitions` VALUES (151857, 6287, 28, 'Jméno odesílatele pro upomínky pacientům');
INSERT INTO `lang_definitions` VALUES (151858, 6294, 28, 'Jméno překladu');
INSERT INTO `lang_definitions` VALUES (151859, 6295, 28, 'Jméno/Hodnota');
INSERT INTO `lang_definitions` VALUES (151860, 6296, 28, 'Jméno:');
INSERT INTO `lang_definitions` VALUES (151861, 6300, 28, 'NARES:');
INSERT INTO `lang_definitions` VALUES (151862, 6304, 28, 'Nosní sliznice růžová, septum ve střední čáře');
INSERT INTO `lang_definitions` VALUES (151863, 6305, 28, 'Poznámky k národnosti');
INSERT INTO `lang_definitions` VALUES (151864, 6308, 28, 'Konfigurace poznámek k národnosti');
INSERT INTO `lang_definitions` VALUES (151865, 6310, 28, 'Státní příslušnost');
INSERT INTO `lang_definitions` VALUES (151866, 6311, 28, 'Poznámky k národnosti');
INSERT INTO `lang_definitions` VALUES (151867, 6319, 28, 'Nausea');
INSERT INTO `lang_definitions` VALUES (151868, 6322, 28, 'Navigace');
INSERT INTO `lang_definitions` VALUES (151869, 6323, 28, 'Naváděcí oblast zahrnuje  formuláře vyšetření');
INSERT INTO `lang_definitions` VALUES (151870, 6324, 28, 'Navigační oblast používá plnou výšku rámců');
INSERT INTO `lang_definitions` VALUES (151871, 6325, 28, 'Navigační oblast formuláře návštěv');
INSERT INTO `lang_definitions` VALUES (151872, 6326, 28, 'Šířka navigační oblasti');
INSERT INTO `lang_definitions` VALUES (151873, 6328, 28, 'Navigační menu obsahuje páry přepínačů');
INSERT INTO `lang_definitions` VALUES (151874, 6329, 28, 'Navigační menu je zobrazeno stromově');
INSERT INTO `lang_definitions` VALUES (151875, 6330, 28, 'K navigaci je použito posuvné menu');
INSERT INTO `lang_definitions` VALUES (151876, 6348, 28, 'Krk a šíje');
INSERT INTO `lang_definitions` VALUES (151877, 6349, 28, 'Problémy se šíji');
INSERT INTO `lang_definitions` VALUES (151878, 6350, 28, 'Pohyblivost šíje');
INSERT INTO `lang_definitions` VALUES (151879, 6352, 28, 'Je potřeba zadat popis');
INSERT INTO `lang_definitions` VALUES (151880, 6353, 28, 'Je potřeba zadat návratovou hodnotu');
INSERT INTO `lang_definitions` VALUES (151881, 6354, 28, 'Je potřeba zadat identifikátor');
INSERT INTO `lang_definitions` VALUES (151882, 6355, 28, 'Je potřeba zadat název');
INSERT INTO `lang_definitions` VALUES (151883, 6358, 28, 'Potřeba autorizace');
INSERT INTO `lang_definitions` VALUES (151884, 6359, 28, 'Potřeba zdůvodnění');
INSERT INTO `lang_definitions` VALUES (151885, 6360, 28, 'Potřeba dalšího vyúčtování');
INSERT INTO `lang_definitions` VALUES (151886, 6361, 28, 'Negativní');
INSERT INTO `lang_definitions` VALUES (151887, 6363, 28, 'Negativy');
INSERT INTO `lang_definitions` VALUES (151888, 6369, 28, 'Nervové poranění');
INSERT INTO `lang_definitions` VALUES (151889, 6371, 28, 'Stav nervu / nervové poranění');
INSERT INTO `lang_definitions` VALUES (151890, 6373, 28, 'Necitlivost');
INSERT INTO `lang_definitions` VALUES (151891, 6374, 28, 'Slabost svalová');
INSERT INTO `lang_definitions` VALUES (151892, 6377, 28, 'Neurologický');
INSERT INTO `lang_definitions` VALUES (151893, 6381, 28, 'Nikdy');
INSERT INTO `lang_definitions` VALUES (151894, 6382, 28, 'Abstinent');
INSERT INTO `lang_definitions` VALUES (151895, 6383, 28, 'Nekuřák');
INSERT INTO `lang_definitions` VALUES (151896, 6384, 28, 'Nový');
INSERT INTO `lang_definitions` VALUES (151897, 6385, 28, 'Nový =>');
INSERT INTO `lang_definitions` VALUES (151898, 6386, 28, 'Nový příjemci');
INSERT INTO `lang_definitions` VALUES (151899, 6388, 28, 'Nová alergie');
INSERT INTO `lang_definitions` VALUES (151900, 6389, 28, 'Nový požadavek na změnu');
INSERT INTO `lang_definitions` VALUES (151901, 6390, 28, 'Nové vyšetření');
INSERT INTO `lang_definitions` VALUES (151902, 6391, 28, 'Nové kategorie');
INSERT INTO `lang_definitions` VALUES (151903, 6392, 28, 'Nová kategorie');
INSERT INTO `lang_definitions` VALUES (151904, 6393, 28, 'Noví klienti');
INSERT INTO `lang_definitions` VALUES (151905, 6394, 28, 'Nová konzultace');
INSERT INTO `lang_definitions` VALUES (151906, 6396, 28, 'Nová sada definicí přidána');
INSERT INTO `lang_definitions` VALUES (151907, 6397, 28, 'Nový dokument');
INSERT INTO `lang_definitions` VALUES (151908, 6398, 28, 'Nové dokumenty');
INSERT INTO `lang_definitions` VALUES (151909, 6401, 28, 'Nové vyšetření');
INSERT INTO `lang_definitions` VALUES (151910, 6402, 28, 'Nové vyšetření vytvořeno s ID');
INSERT INTO `lang_definitions` VALUES (151911, 6403, 28, 'Nový formulář vyšetření');
INSERT INTO `lang_definitions` VALUES (151912, 6404, 28, 'Nová vyšetření nejsou autorizována');
INSERT INTO `lang_definitions` VALUES (151913, 6405, 28, 'Nové vyš.');
INSERT INTO `lang_definitions` VALUES (151914, 6406, 28, 'Nová informace o zařízení');
INSERT INTO `lang_definitions` VALUES (151915, 6407, 28, 'Nový soubor');
INSERT INTO `lang_definitions` VALUES (151916, 6408, 28, 'Nové soubory');
INSERT INTO `lang_definitions` VALUES (151917, 6410, 28, 'Nová skupina');
INSERT INTO `lang_definitions` VALUES (151918, 6413, 28, 'Nová informace o skupině');
INSERT INTO `lang_definitions` VALUES (151919, 6425, 28, 'Nový limit událostí');
INSERT INTO `lang_definitions` VALUES (151920, 6426, 28, 'Nový seznam');
INSERT INTO `lang_definitions` VALUES (151921, 6432, 28, 'Nové objednávky');
INSERT INTO `lang_definitions` VALUES (151922, 6433, 28, 'Nový odstavec');
INSERT INTO `lang_definitions` VALUES (151923, 6434, 28, 'Nové heslo');
INSERT INTO `lang_definitions` VALUES (151924, 6435, 28, 'Nový pacient');
INSERT INTO `lang_definitions` VALUES (151925, 6436, 28, 'NOVÝ PACIENT');
INSERT INTO `lang_definitions` VALUES (151926, 6437, 28, 'Nové vyšetření pacienta');
INSERT INTO `lang_definitions` VALUES (151927, 6438, 28, 'Nový formulář pacienta');
INSERT INTO `lang_definitions` VALUES (151928, 6439, 28, 'Nové ID pacienta');
INSERT INTO `lang_definitions` VALUES (151929, 6442, 28, 'Nová platba');
INSERT INTO `lang_definitions` VALUES (151930, 6443, 28, 'Nové přihlášení k portálu');
INSERT INTO `lang_definitions` VALUES (151931, 6447, 28, 'Nové laboratorní výsledky');
INSERT INTO `lang_definitions` VALUES (151932, 6448, 28, 'Nové vyhledávání');
INSERT INTO `lang_definitions` VALUES (151933, 6449, 28, 'Nové podání');
INSERT INTO `lang_definitions` VALUES (151934, 6451, 28, 'Nový uživatel');
INSERT INTO `lang_definitions` VALUES (151935, 6452, 28, 'Nová hodnota');
INSERT INTO `lang_definitions` VALUES (151936, 6453, 28, 'Nová návštěva');
INSERT INTO `lang_definitions` VALUES (151937, 6454, 28, 'Nový/Hledat');
INSERT INTO `lang_definitions` VALUES (151938, 6479, 28, 'Novější');
INSERT INTO `lang_definitions` VALUES (151939, 6481, 28, 'Noviny');
INSERT INTO `lang_definitions` VALUES (151940, 6482, 28, 'Další');
INSERT INTO `lang_definitions` VALUES (151941, 6484, 28, 'Další den');
INSERT INTO `lang_definitions` VALUES (151942, 6485, 28, 'Příští měsíc');
INSERT INTO `lang_definitions` VALUES (151943, 6486, 28, 'Příští měsíc ( podrž pro nabídku )');
INSERT INTO `lang_definitions` VALUES (151944, 6488, 28, 'Nově plánovaná série');
INSERT INTO `lang_definitions` VALUES (151945, 6491, 28, 'Příští týden');
INSERT INTO `lang_definitions` VALUES (151946, 6492, 28, 'Příští rok ( podržet pro nabídku)');
INSERT INTO `lang_definitions` VALUES (151947, 6493, 28, 'Přezdívka');
INSERT INTO `lang_definitions` VALUES (151948, 6494, 28, 'Přezdívka');
INSERT INTO `lang_definitions` VALUES (151949, 6496, 28, 'Noční pocení');
INSERT INTO `lang_definitions` VALUES (151950, 6499, 28, 'Ne');
INSERT INTO `lang_definitions` VALUES (151951, 6500, 28, 'NE');
INSERT INTO `lang_definitions` VALUES (151952, 6502, 28, 'Nepřístupné');
INSERT INTO `lang_definitions` VALUES (151953, 6503, 28, 'Žádná aktivní pacientské upomínky');
INSERT INTO `lang_definitions` VALUES (151954, 6504, 28, 'Bez adenopathie ( vyžadovány 2 oblasti )');
INSERT INTO `lang_definitions` VALUES (151955, 6505, 28, 'Nenalezeno žádné upřesnění pro');
INSERT INTO `lang_definitions` VALUES (151956, 6506, 28, 'Adnexa bez rezistence');
INSERT INTO `lang_definitions` VALUES (151957, 6508, 28, 'Žádné dostupné požadavky na změnu');
INSERT INTO `lang_definitions` VALUES (151958, 6509, 28, 'Žádné návštěvy');
INSERT INTO `lang_definitions` VALUES (151959, 6515, 28, 'Žádný účetní systém není aktuálně aktivní');
INSERT INTO `lang_definitions` VALUES (151960, 6516, 28, 'Žádné účty nezahrnují OFX export');
INSERT INTO `lang_definitions` VALUES (151961, 6517, 28, 'Žádné účty nezahrnují OFX export<br>');
INSERT INTO `lang_definitions` VALUES (151962, 6519, 28, 'Nespecifikován žádný kód');
INSERT INTO `lang_definitions` VALUES (151963, 6520, 28, 'Tento modul nemá definovánu žádnou konfiguraci');
INSERT INTO `lang_definitions` VALUES (151964, 6523, 28, 'Žádná diagnóza');
INSERT INTO `lang_definitions` VALUES (151965, 6526, 28, 'Nenalezen žádný dokument');
INSERT INTO `lang_definitions` VALUES (151966, 6527, 28, 'Nelze vytvořit žádné vyšetření');
INSERT INTO `lang_definitions` VALUES (151967, 6529, 28, 'Žádné konečné datum');
INSERT INTO `lang_definitions` VALUES (151968, 6530, 28, 'Nenalezeny žádné položky. Použijte formulář níže pro jejich zadání.');
INSERT INTO `lang_definitions` VALUES (151969, 6531, 28, 'Chyby nenalezeny :-)');
INSERT INTO `lang_definitions` VALUES (151970, 6532, 28, 'Žádné události');
INSERT INTO `lang_definitions` VALUES (151971, 6534, 28, 'Žádné soubory k instalaci');
INSERT INTO `lang_definitions` VALUES (151972, 6536, 28, 'Žádná skupina nebyla vybrána');
INSERT INTO `lang_definitions` VALUES (151973, 6537, 28, 'Bez hernie');
INSERT INTO `lang_definitions` VALUES (151974, 6540, 28, 'Žádný úraz/choroba');
INSERT INTO `lang_definitions` VALUES (151975, 6541, 28, 'Nenalezena žádná pojišťovna');
INSERT INTO `lang_definitions` VALUES (151976, 6544, 28, 'Žádné problémy');
INSERT INTO `lang_definitions` VALUES (151977, 6545, 28, 'Toto vyšetření bez problémů');
INSERT INTO `lang_definitions` VALUES (151978, 6546, 28, 'Žádné položky pro vybranou kategorii');
INSERT INTO `lang_definitions` VALUES (151979, 6547, 28, 'Žádné položky nebyly vybrány');
INSERT INTO `lang_definitions` VALUES (151980, 6561, 28, 'Žádná laboratorní data nebyla zdokumentována');
INSERT INTO `lang_definitions` VALUES (151981, 6562, 28, 'Pro zadané datum neexistuje žádný log soubor');
INSERT INTO `lang_definitions` VALUES (151982, 6565, 28, 'Bez rezistence, bez zvýšené citlivosti');
INSERT INTO `lang_definitions` VALUES (151983, 6566, 28, 'Źádný odpovídající pacient nenalezen pro zadaný Re identifikační kód');
INSERT INTO `lang_definitions` VALUES (151984, 6568, 28, 'Žádná shoda. Zkuste hledání opakovat.');
INSERT INTO `lang_definitions` VALUES (151985, 6569, 28, 'Nic nenalezeno');
INSERT INTO `lang_definitions` VALUES (151986, 6570, 28, 'Nic nenalezeno. Vytvořit nového pacienta ?');
INSERT INTO `lang_definitions` VALUES (151987, 6571, 28, 'Nenalezeny žádné odpovídající záznamy');
INSERT INTO `lang_definitions` VALUES (151988, 6577, 28, 'Žádné nové výsledky nebyly  nalezeny');
INSERT INTO `lang_definitions` VALUES (151989, 6578, 28, 'Žádné poznámky');
INSERT INTO `lang_definitions` VALUES (151990, 6579, 28, 'Bez organomegalie');
INSERT INTO `lang_definitions` VALUES (151991, 6583, 28, 'Nejsou uvedena žádná jiná telefonní čísla');
INSERT INTO `lang_definitions` VALUES (151992, 6584, 28, 'Nebyly vybrány žádné parametry');
INSERT INTO `lang_definitions` VALUES (151993, 6585, 28, 'Nenalezeni žádní partneři');
INSERT INTO `lang_definitions` VALUES (151994, 6586, 28, 'Zádné záznamy o pacientech nebyly pro vybraná kritéria nalezeny');
INSERT INTO `lang_definitions` VALUES (151995, 6587, 28, 'Źádný pacientský záznam nenalezen pro zadaný Re identifikační kód');
INSERT INTO `lang_definitions` VALUES (151996, 6588, 28, 'Bez periferního edému');
INSERT INTO `lang_definitions` VALUES (151997, 6589, 28, 'Žádné lékárny nenalezeny');
INSERT INTO `lang_definitions` VALUES (151998, 6590, 28, 'Žádné recepety nebyly nalezeny');
INSERT INTO `lang_definitions` VALUES (151999, 6592, 28, 'Žádné poranění/onemocnění');
INSERT INTO `lang_definitions` VALUES (152000, 6593, 28, 'Žádné oředchozí položky.');
INSERT INTO `lang_definitions` VALUES (152001, 6595, 28, 'Žádná předchozí vyšetření');
INSERT INTO `lang_definitions` VALUES (152002, 6596, 28, 'Žádné procedury pro toto vyšetření');
INSERT INTO `lang_definitions` VALUES (152003, 6598, 28, 'Žádní poskytovatelé nenalezeni');
INSERT INTO `lang_definitions` VALUES (152004, 6599, 28, 'Žádná vyrážka nebo abnormální léze');
INSERT INTO `lang_definitions` VALUES (152005, 6602, 28, 'Žádné záznamy nenalezeny');
INSERT INTO `lang_definitions` VALUES (152006, 6604, 28, 'Žádné záznamy nenalezeny. Rozšiřte vyhledávací kritéria.');
INSERT INTO `lang_definitions` VALUES (152007, 6607, 28, 'Žádné upomínky.');
INSERT INTO `lang_definitions` VALUES (152008, 6608, 28, 'Žádné výsledky pro výše uvedená vyhledávací kritéria nenalezeny');
INSERT INTO `lang_definitions` VALUES (152009, 6609, 28, 'Žádné výsledky');
INSERT INTO `lang_definitions` VALUES (152010, 6610, 28, 'Žádné výsledky nenalezeny');
INSERT INTO `lang_definitions` VALUES (152011, 6612, 28, 'Žádné výsledky  vyhledávání');
INSERT INTO `lang_definitions` VALUES (152012, 6613, 28, 'Žádné výsledky nenalezeny. Zkuste znovu.');
INSERT INTO `lang_definitions` VALUES (152013, 6614, 28, 'Žádné výsledky. Zkuste znovu.');
INSERT INTO `lang_definitions` VALUES (152014, 6615, 28, 'Žádné výsledky. Zkuste znovu.');
INSERT INTO `lang_definitions` VALUES (152015, 6617, 28, 'Žádné možnosti nastavení pro tento modul');
INSERT INTO `lang_definitions` VALUES (152016, 6621, 28, 'Soubor bez podpisů');
INSERT INTO `lang_definitions` VALUES (152017, 6622, 28, 'PND nebolestivé');
INSERT INTO `lang_definitions` VALUES (152018, 6623, 28, 'Žádné vpáčení kůže nebo prsní uzly');
INSERT INTO `lang_definitions` VALUES (152019, 6625, 28, 'Žádná tabulka nebyla vybrána. Vyberte tabulku.');
INSERT INTO `lang_definitions` VALUES (152020, 6626, 28, 'Varlata nebolestivé , bez rezistence');
INSERT INTO `lang_definitions` VALUES (152021, 6632, 28, 'Žádná návštěva');
INSERT INTO `lang_definitions` VALUES (152022, 6633, 28, 'Vitální funkce nebyly dokumentovány');
INSERT INTO `lang_definitions` VALUES (152023, 6634, 28, 'Ne. Zrušit.');
INSERT INTO `lang_definitions` VALUES (152024, 6637, 28, 'Nicturie');
INSERT INTO `lang_definitions` VALUES (152025, 6638, 28, 'Nezaplaceno');
INSERT INTO `lang_definitions` VALUES (152026, 6641, 28, 'Neupřesněné poranění');
INSERT INTO `lang_definitions` VALUES (152027, 6643, 28, 'Non Insulin Dependentní DM');
INSERT INTO `lang_definitions` VALUES (152028, 6644, 28, 'Neporaněný');
INSERT INTO `lang_definitions` VALUES (152029, 6650, 28, 'Nedefinováno');
INSERT INTO `lang_definitions` VALUES (152030, 6652, 28, 'Nebylo zdokumentováno');
INSERT INTO `lang_definitions` VALUES (152031, 6653, 28, 'Nic z výše uvedených');
INSERT INTO `lang_definitions` VALUES (152032, 6654, 28, 'Žádný z horních řádků nemůže být prázdný');
INSERT INTO `lang_definitions` VALUES (152033, 6683, 28, 'Non Insulin  dependentní diabetes');
INSERT INTO `lang_definitions` VALUES (152034, 6685, 28, 'Normální');
INSERT INTO `lang_definitions` VALUES (152035, 6688, 28, 'Normální kardiologické vyšetření :');
INSERT INTO `lang_definitions` VALUES (152036, 6689, 28, 'Normální kardiologické vyšetření :');
INSERT INTO `lang_definitions` VALUES (152037, 6690, 28, 'Normální vyšetření plic:');
INSERT INTO `lang_definitions` VALUES (152038, 6691, 28, 'Normální vyšetření plic:');
INSERT INTO `lang_definitions` VALUES (152039, 6693, 28, 'Oropharynx BPN:');
INSERT INTO `lang_definitions` VALUES (152040, 6696, 28, 'Normální zobrazení');
INSERT INTO `lang_definitions` VALUES (152041, 6697, 28, 'normální:');
INSERT INTO `lang_definitions` VALUES (152042, 6698, 28, 'Normálně by mělo být označeno. Bez vztahu ke kontrole přístupu.');
INSERT INTO `lang_definitions` VALUES (152043, 6705, 28, 'Nos');
INSERT INTO `lang_definitions` VALUES (152044, 6706, 28, 'Krvácení z nosu');
INSERT INTO `lang_definitions` VALUES (152045, 6707, 28, 'ne písmena nebo čísla');
INSERT INTO `lang_definitions` VALUES (152046, 6710, 28, 'Ne všechna pole jsou povinná pro všechny kódy a typy.');
INSERT INTO `lang_definitions` VALUES (152047, 6712, 28, 'Není možné');
INSERT INTO `lang_definitions` VALUES (152048, 6713, 28, 'Není možné smazat  skupinu Správce');
INSERT INTO `lang_definitions` VALUES (152049, 6714, 28, 'Úpravy nejsou dovoleny');
INSERT INTO `lang_definitions` VALUES (152050, 6715, 28, 'Není dovoleno inaktivovat všechny bezpečností objekty');
INSERT INTO `lang_definitions` VALUES (152051, 6716, 28, 'Není dovoleno inaktivovat cokoliv z ACL Správce.');
INSERT INTO `lang_definitions` VALUES (152052, 6717, 28, 'Není dovoleno odstranit správce ze skupiny Administrators');
INSERT INTO `lang_definitions` VALUES (152053, 6718, 28, 'Není dovoleno odstranit tohoto uživatele ze skupiny Administrators');
INSERT INTO `lang_definitions` VALUES (152054, 6719, 28, 'Nelze provést');
INSERT INTO `lang_definitions` VALUES (152055, 6720, 28, 'Nyní oprávnění pro přístup k PostCalendar modulu');
INSERT INTO `lang_definitions` VALUES (152056, 6721, 28, 'Chybí oprávnění');
INSERT INTO `lang_definitions` VALUES (152057, 6722, 28, 'Chybí oprávnění');
INSERT INTO `lang_definitions` VALUES (152058, 6723, 28, 'Chybí oprávnění pro tuto skupinu!');
INSERT INTO `lang_definitions` VALUES (152059, 6724, 28, 'Chybí oprávnění pro tuto skupinu.');
INSERT INTO `lang_definitions` VALUES (152060, 6725, 28, 'Není oprávnění spravovat uživatele.');
INSERT INTO `lang_definitions` VALUES (152061, 6726, 28, 'Chybí oprávnění podepisovat výsledky');
INSERT INTO `lang_definitions` VALUES (152062, 6729, 28, 'Nedostupný');
INSERT INTO `lang_definitions` VALUES (152063, 6731, 28, 'Nazaúčtováno');
INSERT INTO `lang_definitions` VALUES (152064, 6734, 28, 'Není kódováno');
INSERT INTO `lang_definitions` VALUES (152065, 6738, 28, 'Vyšetření neprovedeno');
INSERT INTO `lang_definitions` VALUES (152066, 6739, 28, 'Vyšetření neprovedeno:');
INSERT INTO `lang_definitions` VALUES (152067, 6740, 28, 'Vyšetření neprovedeno:');
INSERT INTO `lang_definitions` VALUES (152068, 6742, 28, 'nenalezeno');
INSERT INTO `lang_definitions` VALUES (152069, 6744, 28, 'nenalezeno!');
INSERT INTO `lang_definitions` VALUES (152070, 6746, 28, 'Nenainstalováno');
INSERT INTO `lang_definitions` VALUES (152071, 6747, 28, 'Nenainstalováno');
INSERT INTO `lang_definitions` VALUES (152072, 6751, 28, 'Nepozorováno od');
INSERT INTO `lang_definitions` VALUES (152073, 6752, 28, 'Neodesláno');
INSERT INTO `lang_definitions` VALUES (152074, 6753, 28, 'Dosud neodesláno');
INSERT INTO `lang_definitions` VALUES (152075, 6754, 28, 'Nespecifikováno');
INSERT INTO `lang_definitions` VALUES (152076, 6755, 28, 'Nespecifikováno.');
INSERT INTO `lang_definitions` VALUES (152077, 6758, 28, 'Poznámka');
INSERT INTO `lang_definitions` VALUES (152078, 6760, 28, 'Kódy poznámek');
INSERT INTO `lang_definitions` VALUES (152079, 6762, 28, 'Počítejte s tím, že proces instalace může trvat 5-10 minut');
INSERT INTO `lang_definitions` VALUES (152080, 6763, 28, 'Počítejte s tím, že proces aktualizace může trvat 5-10 minut');
INSERT INTO `lang_definitions` VALUES (152081, 6771, 28, 'Typ poznámky');
INSERT INTO `lang_definitions` VALUES (152082, 6773, 28, 'Poznámka: Import externích dat může trvat více než hodinu v závislosti na konfiguraci hardwaru. Příklad:  datové rabulky RxNorm obsahují více než 6 milionů řádků.');
INSERT INTO `lang_definitions` VALUES (152083, 6780, 28, 'Poznámka: Tento kód nebyl zadán oprávněným uživatelem. Pouze autorizované kódy mohou být nahrány do sítě Open Medical Billing pro zpracování. Pokud chcete nahrát tyto kódy, prosím vyberte oprávněného uživatele zde.');
INSERT INTO `lang_definitions` VALUES (152084, 6783, 28, 'Poznámka: Nahrávání souborů s duplicitními názvy způsobí, že soubory budou automaticky přejmenovány (například file.jpg bude file.1.jpg). Názvy souborů jsou považovány za unikátní v rámci  pacienta a ne kategorie.');
INSERT INTO `lang_definitions` VALUES (152085, 6784, 28, 'Poznámka: Nahrávání souborů s duplicitními názvy způsobí, že soubory budou automaticky přejmenovány. Například \'<i>file.jpg</i>\' bude \'<i>file.jpg1</i>\'.  Názvy souborů jsou považovány za unikátní v rámci  pacienta a ne kategorie.');
INSERT INTO `lang_definitions` VALUES (152086, 6785, 28, 'Poznámky');
INSERT INTO `lang_definitions` VALUES (152087, 6788, 28, 'Poznámky - jakékoliv vyšetření ( volitelně zapisovat, přidat)');
INSERT INTO `lang_definitions` VALUES (152088, 6790, 28, 'Poznámky - moje vyšetření ( volitelně zapisovat, přidat)');
INSERT INTO `lang_definitions` VALUES (152089, 6793, 28, 'Poznámky nejsou autorizovány');
INSERT INTO `lang_definitions` VALUES (152090, 6795, 28, 'Nic nečeká na schválení');
INSERT INTO `lang_definitions` VALUES (152091, 6796, 28, 'Nic nezapsaáno');
INSERT INTO `lang_definitions` VALUES (152092, 6799, 28, 'Nic k importu do alergií');
INSERT INTO `lang_definitions` VALUES (152093, 6800, 28, 'Nic k importu do preskripcí');
INSERT INTO `lang_definitions` VALUES (152094, 6803, 28, 'Nic k zobrazení');
INSERT INTO `lang_definitions` VALUES (152095, 6804, 28, 'Nebylo nic vybráno');
INSERT INTO `lang_definitions` VALUES (152096, 6807, 28, 'Přijato oznámení');
INSERT INTO `lang_definitions` VALUES (152097, 6809, 28, 'Oznámení');
INSERT INTO `lang_definitions` VALUES (152098, 6810, 28, 'E-mail pro oznámení');
INSERT INTO `lang_definitions` VALUES (152099, 6815, 28, 'Oznámení');
INSERT INTO `lang_definitions` VALUES (152100, 6820, 28, 'Lis');
INSERT INTO `lang_definitions` VALUES (152101, 6821, 28, 'Listopad');
INSERT INTO `lang_definitions` VALUES (152102, 6824, 28, 'Probíhá odesílání pro');
INSERT INTO `lang_definitions` VALUES (152103, 6825, 28, 'Probíhá tisk');
INSERT INTO `lang_definitions` VALUES (152104, 6837, 28, 'Číslo');
INSERT INTO `lang_definitions` VALUES (152105, 6838, 28, 'Číslo lab.');
INSERT INTO `lang_definitions` VALUES (152106, 6843, 28, 'Počet sloupců v ročním zobrazení');
INSERT INTO `lang_definitions` VALUES (152107, 6850, 28, 'Počet dnů platnosti klientského certifikátu');
INSERT INTO `lang_definitions` VALUES (152108, 6852, 28, 'Počet desetinných míst měny . Obvykle 0-2');
INSERT INTO `lang_definitions` VALUES (152109, 6853, 28, 'Počet vyšetření ke zobrazení na stránce.');
INSERT INTO `lang_definitions` VALUES (152110, 6856, 28, 'Kolik hodin předem odesílat e-mailová oznámení ?');
INSERT INTO `lang_definitions` VALUES (152111, 6857, 28, 'Kolik hodin předem odesílat telefonická oznámení ?');
INSERT INTO `lang_definitions` VALUES (152112, 6858, 28, 'Kolik hodin předem odesílat SMS oznámení ?');
INSERT INTO `lang_definitions` VALUES (152113, 6863, 28, 'Počet pacientů v seznamu ke zobrazení na stránce');
INSERT INTO `lang_definitions` VALUES (152114, 6864, 28, 'Necitlivost');
INSERT INTO `lang_definitions` VALUES (152115, 6866, 28, 'Pořadí čísleného zobrazení');
INSERT INTO `lang_definitions` VALUES (152116, 6869, 28, 'Nutrice');
INSERT INTO `lang_definitions` VALUES (152117, 6870, 28, 'Nutriční');
INSERT INTO `lang_definitions` VALUES (152118, 6871, 28, 'O.A.F.V');
INSERT INTO `lang_definitions` VALUES (152119, 6872, 28, 'Saturace O2');
INSERT INTO `lang_definitions` VALUES (152120, 6874, 28, 'Obezita I');
INSERT INTO `lang_definitions` VALUES (152121, 6875, 28, 'Obezita II');
INSERT INTO `lang_definitions` VALUES (152122, 6876, 28, 'Obezita III');
INSERT INTO `lang_definitions` VALUES (152123, 6889, 28, 'Výskyt');
INSERT INTO `lang_definitions` VALUES (152124, 6890, 28, 'Říj');
INSERT INTO `lang_definitions` VALUES (152125, 6891, 28, 'Říjen');
INSERT INTO `lang_definitions` VALUES (152126, 6896, 28, 'množství');
INSERT INTO `lang_definitions` VALUES (152127, 6897, 28, 'tablet');
INSERT INTO `lang_definitions` VALUES (152128, 6898, 28, 'každého měsíce');
INSERT INTO `lang_definitions` VALUES (152129, 6900, 28, 'Vypnuto');
INSERT INTO `lang_definitions` VALUES (152130, 6909, 28, 'Oficiální skupiny měření pro Měření klinické kvality (CQM)');
INSERT INTO `lang_definitions` VALUES (152131, 6910, 28, 'Offsite Https odkaz pro pacientský portál');
INSERT INTO `lang_definitions` VALUES (152132, 6911, 28, 'Offsite Https odkaz pro pacientský portál. (Odkaz pro pacienty)');
INSERT INTO `lang_definitions` VALUES (152133, 6912, 28, 'Offsite heslo pro pacientský portál');
INSERT INTO `lang_definitions` VALUES (152134, 6913, 28, 'Offsite heslo pro pacientský portál ( Nechte prázdné pokud nejste registrováni)');
INSERT INTO `lang_definitions` VALUES (152135, 6914, 28, 'Offsite ID Poskytovatele pro pacientský portál ( Nechte prázdné pokud nejste registrováni)');
INSERT INTO `lang_definitions` VALUES (152136, 6915, 28, 'Offsite ID Poskytovatele pro pacientský portál');
INSERT INTO `lang_definitions` VALUES (152137, 6916, 28, 'Offsite adresa stránky pro pacientský portál');
INSERT INTO `lang_definitions` VALUES (152138, 6917, 28, 'Offsite adresa stránky pro pacientský portál (Odkaz pro pacienta)');
INSERT INTO `lang_definitions` VALUES (152139, 6918, 28, 'Offsite uživatelské jsméno pro pacientský portál');
INSERT INTO `lang_definitions` VALUES (152140, 6919, 28, 'Offsite uživatelské jsméno pro pacientský portál ( Nechte prázdné pokud nejste registrováni)');
INSERT INTO `lang_definitions` VALUES (152141, 6920, 28, 'Offsite webové sloužby portálu selhaly');
INSERT INTO `lang_definitions` VALUES (152142, 6921, 28, 'Potomci');
INSERT INTO `lang_definitions` VALUES (152143, 6922, 28, 'RA: děti');
INSERT INTO `lang_definitions` VALUES (152144, 6925, 28, 'mast');
INSERT INTO `lang_definitions` VALUES (152145, 6927, 28, 'OK');
INSERT INTO `lang_definitions` VALUES (152146, 6929, 28, 'OK pro zavření vyskakovacího okna?');
INSERT INTO `lang_definitions` VALUES (152147, 6931, 28, 'Starý');
INSERT INTO `lang_definitions` VALUES (152148, 6933, 28, 'Staří klienti');
INSERT INTO `lang_definitions` VALUES (152149, 6935, 28, 'Starý typ rozvržení bez  levého menu');
INSERT INTO `lang_definitions` VALUES (152150, 6936, 28, 'Starý typ statického formuláře vez vyhledávání nebo kontroly duplikací');
INSERT INTO `lang_definitions` VALUES (152151, 6937, 28, 'Starší');
INSERT INTO `lang_definitions` VALUES (152152, 6940, 28, 'Vynechat');
INSERT INTO `lang_definitions` VALUES (152153, 6941, 28, 'Vynechat okraje');
INSERT INTO `lang_definitions` VALUES (152154, 6942, 28, 'Vynechat informace o zaměstnavateli v identifikačních údajích pacienta');
INSERT INTO `lang_definitions` VALUES (152155, 6943, 28, 'Vynechat zaměstnavatele');
INSERT INTO `lang_definitions` VALUES (152156, 6944, 28, 'Vynechat formu, cestu a interval dávkování');
INSERT INTO `lang_definitions` VALUES (152157, 6945, 28, 'Vynechat pojištění a některé další identifikační údaje');
INSERT INTO `lang_definitions` VALUES (152158, 6946, 28, 'vynechat vnitřní uživatele ?');
INSERT INTO `lang_definitions` VALUES (152159, 6947, 28, 'Vynechat metodu a platbu na Co-Pay panelu');
INSERT INTO `lang_definitions` VALUES (152160, 6948, 28, 'vynechat automatické přidělení');
INSERT INTO `lang_definitions` VALUES (152161, 6949, 28, 'Zapnuto');
INSERT INTO `lang_definitions` VALUES (152162, 6950, 28, 'na');
INSERT INTO `lang_definitions` VALUES (152163, 6956, 28, 'Na ruce');
INSERT INTO `lang_definitions` VALUES (152164, 6959, 28, 'Na objednávce');
INSERT INTO `lang_definitions` VALUES (152165, 6960, 28, 'Na stránce');
INSERT INTO `lang_definitions` VALUES (152166, 6975, 28, 'Primary Business Facility by po nastavení již nemělo být následně měněno. Změna zařízení bude mít vliv na práci s NewCrop e-recepty.');
INSERT INTO `lang_definitions` VALUES (152167, 6979, 28, 'Po změně hesla se musíte znovu přihlásit');
INSERT INTO `lang_definitions` VALUES (152168, 6996, 28, 'Podpora online');
INSERT INTO `lang_definitions` VALUES (152169, 6997, 28, 'Odkaz na podporu online');
INSERT INTO `lang_definitions` VALUES (152170, 6999, 28, 'Pouze aktivní');
INSERT INTO `lang_definitions` VALUES (152171, 7004, 28, 'pouze v případě účtovacího místa');
INSERT INTO `lang_definitions` VALUES (152172, 7006, 28, 'Pouze inaktivní');
INSERT INTO `lang_definitions` VALUES (152173, 7007, 28, 'Pouze mé');
INSERT INTO `lang_definitions` VALUES (152174, 7011, 28, 'Zobrazit pouze kódy pro hlášení diagnóz');
INSERT INTO `lang_definitions` VALUES (152175, 7013, 28, 'Pouze nahrát aktivní presripce');
INSERT INTO `lang_definitions` VALUES (152176, 7016, 28, 'Počátek aktuálních symptomů nebo choroby');
INSERT INTO `lang_definitions` VALUES (152177, 7017, 28, 'Počátek choroby:');
INSERT INTO `lang_definitions` VALUES (152178, 7018, 28, 'Počátek choroby:');
INSERT INTO `lang_definitions` VALUES (152179, 7019, 28, 'Počátek otoků:');
INSERT INTO `lang_definitions` VALUES (152180, 7022, 28, 'Počátek/datum hospitalizace');
INSERT INTO `lang_definitions` VALUES (152181, 7026, 28, 'Onsite adresa stránky pacientského portálu');
INSERT INTO `lang_definitions` VALUES (152182, 7030, 28, 'A jéje !');
INSERT INTO `lang_definitions` VALUES (152183, 7031, 28, 'Otevřít');
INSERT INTO `lang_definitions` VALUES (152184, 7040, 28, 'Otevřít v novém okně');
INSERT INTO `lang_definitions` VALUES (152185, 7042, 28, 'Otevřít pacienta');
INSERT INTO `lang_definitions` VALUES (152186, 7046, 28, 'Otevřít dnešní návštěvu');
INSERT INTO `lang_definitions` VALUES (152187, 7071, 28, 'Certifikační autorita je již v OpenEMR  konfigurována.');
INSERT INTO `lang_definitions` VALUES (152188, 7076, 28, 'Upgrade databáze OpenEMR');
INSERT INTO `lang_definitions` VALUES (152189, 7077, 28, 'Upgrade databáze OpenEMR pro deidentifikaci');
INSERT INTO `lang_definitions` VALUES (152190, 7078, 28, 'OpenEMR nepoznává příchozí soubor v adresáři contrib. To je s největší pravděpodobností proto, že je třeba konfigurovat release v tabulce supported_external_dataloads v databázi MySQL.');
INSERT INTO `lang_definitions` VALUES (152191, 7080, 28, 'Před vytvořením klientských certifikátů  musí být OpenEMR konfigurováno pro  využití certifikátů');
INSERT INTO `lang_definitions` VALUES (152192, 7084, 28, 'OpenEMR vyžaduje Javascript k ověření uživatele.');
INSERT INTO `lang_definitions` VALUES (152193, 7085, 28, 'Uživatelé OpenEMR');
INSERT INTO `lang_definitions` VALUES (152194, 7086, 28, 'Zahájení');
INSERT INTO `lang_definitions` VALUES (152195, 7092, 28, 'Oční');
INSERT INTO `lang_definitions` VALUES (152196, 7095, 28, 'Možnost');
INSERT INTO `lang_definitions` VALUES (152197, 7097, 28, 'Možnost uložení metody pro úložiště dokumentů.');
INSERT INTO `lang_definitions` VALUES (152198, 7098, 28, 'Možnosti invetury a prodeje produktů');
INSERT INTO `lang_definitions` VALUES (152199, 7099, 28, 'Volitelně');
INSERT INTO `lang_definitions` VALUES (152200, 7100, 28, 'Volitelné jméno kategorie obrázku občanského průkazu pro zobrazení na souhrnné stránce pacienta');
INSERT INTO `lang_definitions` VALUES (152201, 7101, 28, 'Volitelné jméno kategorie fotografií  pro zobrazení na souhrnné stránce pacienta');
INSERT INTO `lang_definitions` VALUES (152202, 7103, 28, 'Volitelný výchozí rozsah pro manuální zadávání výsledků');
INSERT INTO `lang_definitions` VALUES (152203, 7104, 28, 'Volitelné výchozí jednotky pro manuální zadávání výsledků');
INSERT INTO `lang_definitions` VALUES (152204, 7105, 28, 'Volitelné jméno cílového umístění');
INSERT INTO `lang_definitions` VALUES (152205, 7107, 28, 'Volitelné jméno léku . Použijte symbol % jako zástupný znak.');
INSERT INTO `lang_definitions` VALUES (152206, 7110, 28, 'Volitelné jméno nebo kód imunizace. Použijte symbol % jako zástupný znak.');
INSERT INTO `lang_definitions` VALUES (152207, 7111, 28, 'Volitelné informace o této události');
INSERT INTO `lang_definitions` VALUES (152208, 7112, 28, 'Volitelné číslené množství. Použijte symbol % jako zástupný znak.');
INSERT INTO `lang_definitions` VALUES (152209, 7113, 28, 'Volitelné číselné ID pacienta');
INSERT INTO `lang_definitions` VALUES (152210, 7114, 28, 'Volitelný kód procedury');
INSERT INTO `lang_definitions` VALUES (152211, 7115, 28, 'Volitelný kód procedury/služby');
INSERT INTO `lang_definitions` VALUES (152212, 7116, 28, 'Možnosti');
INSERT INTO `lang_definitions` VALUES (152213, 7117, 28, 'NEBO');
INSERT INTO `lang_definitions` VALUES (152214, 7118, 28, 'Nebo');
INSERT INTO `lang_definitions` VALUES (152215, 7119, 28, 'nebo vybrat');
INSERT INTO `lang_definitions` VALUES (152216, 7120, 28, 'nebo kliknout a táhnout pro rychlejší výběr');
INSERT INTO `lang_definitions` VALUES (152217, 7123, 28, 'nebo vyber z inventáře');
INSERT INTO `lang_definitions` VALUES (152218, 7124, 28, 'nebo pro snížení použijte klávesu Shift');
INSERT INTO `lang_definitions` VALUES (152219, 7125, 28, 'Nebo nahrát ERA soubor:');
INSERT INTO `lang_definitions` VALUES (152220, 7127, 28, 'Orálně');
INSERT INTO `lang_definitions` VALUES (152221, 7128, 28, 'orální sliznice klidná, růžová , hrdlo čisté');
INSERT INTO `lang_definitions` VALUES (152222, 7129, 28, 'Pořadí');
INSERT INTO `lang_definitions` VALUES (152223, 7131, 28, 'Typy objednávek a výsledků');
INSERT INTO `lang_definitions` VALUES (152224, 7132, 28, 'Objednávkový katalog');
INSERT INTO `lang_definitions` VALUES (152225, 7133, 28, 'Datum objednávky');
INSERT INTO `lang_definitions` VALUES (152226, 7134, 28, 'Popis objednávky');
INSERT INTO `lang_definitions` VALUES (152227, 7136, 28, 'Objednat z');
INSERT INTO `lang_definitions` VALUES (152228, 7137, 28, 'ID objednávky');
INSERT INTO `lang_definitions` VALUES (152229, 7138, 28, 'Objednávka musí být číslem  mezi 1- 999');
INSERT INTO `lang_definitions` VALUES (152230, 7140, 28, 'Jméno objednávky');
INSERT INTO `lang_definitions` VALUES (152231, 7142, 28, 'Objednávkové priority');
INSERT INTO `lang_definitions` VALUES (152232, 7145, 28, 'Výsledky objednávek');
INSERT INTO `lang_definitions` VALUES (152233, 7146, 28, 'Stav objednávky');
INSERT INTO `lang_definitions` VALUES (152234, 7147, 28, 'Stavy objednávky');
INSERT INTO `lang_definitions` VALUES (152235, 7148, 28, 'Souhrn objednávky');
INSERT INTO `lang_definitions` VALUES (152236, 7149, 28, 'Sledování objednávky');
INSERT INTO `lang_definitions` VALUES (152237, 7150, 28, 'Typ objednávky');
INSERT INTO `lang_definitions` VALUES (152238, 7152, 28, 'Typ Objednávky/Výsledku');
INSERT INTO `lang_definitions` VALUES (152239, 7153, 28, 'Objednáno');
INSERT INTO `lang_definitions` VALUES (152240, 7154, 28, 'Řateno podle');
INSERT INTO `lang_definitions` VALUES (152241, 7155, 28, 'Objednaná procedura');
INSERT INTO `lang_definitions` VALUES (152242, 7159, 28, 'Žadatel');
INSERT INTO `lang_definitions` VALUES (152243, 7163, 28, 'Cesta objednávek');
INSERT INTO `lang_definitions` VALUES (152244, 7166, 28, 'Orgánové poranění');
INSERT INTO `lang_definitions` VALUES (152245, 7167, 28, 'Organizace');
INSERT INTO `lang_definitions` VALUES (152246, 7168, 28, 'Jméno organizace');
INSERT INTO `lang_definitions` VALUES (152247, 7169, 28, 'Jméno organizační jednotky');
INSERT INTO `lang_definitions` VALUES (152248, 7170, 28, 'Organizace');
INSERT INTO `lang_definitions` VALUES (152249, 7171, 28, 'orientovaný x 3');
INSERT INTO `lang_definitions` VALUES (152250, 7175, 28, 'Originální');
INSERT INTO `lang_definitions` VALUES (152251, 7176, 28, 'Originální Checksum');
INSERT INTO `lang_definitions` VALUES (152252, 7181, 28, 'NOSOHLTAN:');
INSERT INTO `lang_definitions` VALUES (152253, 7184, 28, 'Ortopnoe');
INSERT INTO `lang_definitions` VALUES (152254, 7188, 28, 'OS');
INSERT INTO `lang_definitions` VALUES (152255, 7189, 28, 'Osteoarthrósa');
INSERT INTO `lang_definitions` VALUES (152256, 7191, 28, 'Osteopatie');
INSERT INTO `lang_definitions` VALUES (152257, 7193, 28, 'Jiný');
INSERT INTO `lang_definitions` VALUES (152258, 7194, 28, 'jiný');
INSERT INTO `lang_definitions` VALUES (152259, 7196, 28, 'Jiný (upřesněte)');
INSERT INTO `lang_definitions` VALUES (152260, 7198, 28, 'Jiný - upřesněný');
INSERT INTO `lang_definitions` VALUES (152261, 7203, 28, 'Jiné poranění nebylo jinde specifikováno');
INSERT INTO `lang_definitions` VALUES (152262, 7206, 28, 'jiný měsíc');
INSERT INTO `lang_definitions` VALUES (152263, 7208, 28, 'Jiné poznámky');
INSERT INTO `lang_definitions` VALUES (152264, 7209, 28, 'Jiné související příznaky');
INSERT INTO `lang_definitions` VALUES (152265, 7210, 28, 'Jiné související příznaky:');
INSERT INTO `lang_definitions` VALUES (152266, 7215, 28, 'Jiné poranění související s přepětím/přetížením');
INSERT INTO `lang_definitions` VALUES (152267, 7216, 28, 'Jiný chirurgický');
INSERT INTO `lang_definitions` VALUES (152268, 7219, 28, 'Jiní');
INSERT INTO `lang_definitions` VALUES (152269, 7221, 28, 'jinak zničíte odkazy na existující data.');
INSERT INTO `lang_definitions` VALUES (152270, 7227, 28, 'MIMO');
INSERT INTO `lang_definitions` VALUES (152271, 7228, 28, 'Mimo pracoviště');
INSERT INTO `lang_definitions` VALUES (152272, 7231, 28, 'Závěr');
INSERT INTO `lang_definitions` VALUES (152273, 7234, 28, 'Outlook');
INSERT INTO `lang_definitions` VALUES (152274, 7236, 28, 'Typ výstupu');
INSERT INTO `lang_definitions` VALUES (152275, 7239, 28, 'Propuštění - celkový stav');
INSERT INTO `lang_definitions` VALUES (152276, 7244, 28, 'Nadužívání');
INSERT INTO `lang_definitions` VALUES (152277, 7245, 28, 'Přehled');
INSERT INTO `lang_definitions` VALUES (152278, 7246, 28, 'Nadváha');
INSERT INTO `lang_definitions` VALUES (152279, 7247, 28, 'Přepsat HIPPA volby');
INSERT INTO `lang_definitions` VALUES (152280, 7249, 28, 'Saturace O2');
INSERT INTO `lang_definitions` VALUES (152281, 7250, 28, 'oz');
INSERT INTO `lang_definitions` VALUES (152282, 7251, 28, 'P');
INSERT INTO `lang_definitions` VALUES (152283, 7253, 28, 'odpoledne');
INSERT INTO `lang_definitions` VALUES (152284, 7259, 28, 'Pediatrický');
INSERT INTO `lang_definitions` VALUES (152285, 7260, 28, 'Strana');
INSERT INTO `lang_definitions` VALUES (152286, 7263, 28, 'Stránky');
INSERT INTO `lang_definitions` VALUES (152287, 7264, 28, 'Zaplaceno');
INSERT INTO `lang_definitions` VALUES (152288, 7266, 28, 'Zaplaceno');
INSERT INTO `lang_definitions` VALUES (152289, 7267, 28, 'Placeno přes');
INSERT INTO `lang_definitions` VALUES (152290, 7268, 28, 'Bolest');
INSERT INTO `lang_definitions` VALUES (152291, 7271, 28, 'Palpitace');
INSERT INTO `lang_definitions` VALUES (152292, 7275, 28, 'Mázek');
INSERT INTO `lang_definitions` VALUES (152293, 7276, 28, 'Papír');
INSERT INTO `lang_definitions` VALUES (152294, 7277, 28, 'Velikost papíru');
INSERT INTO `lang_definitions` VALUES (152295, 7278, 28, 'Paralýza');
INSERT INTO `lang_definitions` VALUES (152296, 7289, 28, 'Partner');
INSERT INTO `lang_definitions` VALUES (152297, 7290, 28, 'Jméno partnera');
INSERT INTO `lang_definitions` VALUES (152298, 7294, 28, 'Heslo');
INSERT INTO `lang_definitions` VALUES (152299, 7295, 28, 'Heslo zašifrovaného dokumentu');
INSERT INTO `lang_definitions` VALUES (152300, 7296, 28, 'Předchozí pacienti');
INSERT INTO `lang_definitions` VALUES (152301, 7301, 28, 'Heslo');
INSERT INTO `lang_definitions` VALUES (152302, 7302, 28, 'Změna hesla');
INSERT INTO `lang_definitions` VALUES (152303, 7303, 28, 'Změna hesla úspěšná');
INSERT INTO `lang_definitions` VALUES (152304, 7304, 28, 'Změna hesla úspěšná');
INSERT INTO `lang_definitions` VALUES (152305, 7306, 28, 'Heslo nesplňuje minimální požadavky. Mělo by obsahovat alespoň tři ze čtyř následujících položek: číslo, malé písmeno, velké písmeno, speciální znak (ne písmeno nebo číslo).');
INSERT INTO `lang_definitions` VALUES (152306, 7308, 28, 'Doba platnosti hesla');
INSERT INTO `lang_definitions` VALUES (152307, 7310, 28, 'Heslo pro telefonní bránu. Automatizované VOIP služby poskytované Maviq. Prosím, navštivte http://signup.maviq.com pro více informací.');
INSERT INTO `lang_definitions` VALUES (152308, 7311, 28, 'Heslo pro SMS bránu');
INSERT INTO `lang_definitions` VALUES (152309, 7312, 28, 'Heslo pro SMS bránu');
INSERT INTO `lang_definitions` VALUES (152310, 7313, 28, 'Heslo výše uvedeného uživatele');
INSERT INTO `lang_definitions` VALUES (152311, 7314, 28, 'Bezpečností nastavení hesla bylo právě upgradováno');
INSERT INTO `lang_definitions` VALUES (152312, 7315, 28, 'Heslo pro připojení ke CouchDB');
INSERT INTO `lang_definitions` VALUES (152313, 7316, 28, 'Heslo je příliš krátké. Požadováno minimálně 8 znaků.');
INSERT INTO `lang_definitions` VALUES (152314, 7319, 28, 'Heslo:');
INSERT INTO `lang_definitions` VALUES (152315, 7322, 28, 'Heslo nesouhlasí');
INSERT INTO `lang_definitions` VALUES (152316, 7324, 28, 'Poslední vyšetření');
INSERT INTO `lang_definitions` VALUES (152317, 7325, 28, 'Widget pro zobrazení posledních vyšetření');
INSERT INTO `lang_definitions` VALUES (152318, 7333, 28, 'Seznam posledních vyšetření');
INSERT INTO `lang_definitions` VALUES (152319, 7334, 28, 'Poslední vyšetření');
INSERT INTO `lang_definitions` VALUES (152320, 7335, 28, 'Poslední vyšetření a dokumenty');
INSERT INTO `lang_definitions` VALUES (152321, 7336, 28, 'Poslední vyšetření pro');
INSERT INTO `lang_definitions` VALUES (152322, 7344, 28, 'Vložit HL7 data');
INSERT INTO `lang_definitions` VALUES (152323, 7345, 28, 'Vložit data k importu do textové oblasti níže');
INSERT INTO `lang_definitions` VALUES (152324, 7348, 28, 'Záplata');
INSERT INTO `lang_definitions` VALUES (152325, 7355, 28, 'Cesta pro zálohu logu událostí');
INSERT INTO `lang_definitions` VALUES (152326, 7356, 28, 'Cesta k souboru CA certifikátu');
INSERT INTO `lang_definitions` VALUES (152327, 7357, 28, 'Cesta k souboru CA klíče');
INSERT INTO `lang_definitions` VALUES (152328, 7358, 28, 'Cesta k MySQL spustitelným souborům');
INSERT INTO `lang_definitions` VALUES (152329, 7359, 28, 'Cesta k Perl spustitelným souborům');
INSERT INTO `lang_definitions` VALUES (152330, 7360, 28, 'Cesta k dočasným souborům');
INSERT INTO `lang_definitions` VALUES (152331, 7361, 28, 'Pacient');
INSERT INTO `lang_definitions` VALUES (152332, 7362, 28, 'PACIENT');
INSERT INTO `lang_definitions` VALUES (152333, 7363, 28, 'pacient');
INSERT INTO `lang_definitions` VALUES (152334, 7365, 28, 'Adresa pacienta');
INSERT INTO `lang_definitions` VALUES (152335, 7366, 28, 'Chybí adresa pacienta');
INSERT INTO `lang_definitions` VALUES (152336, 7369, 28, 'Alergie pacienta');
INSERT INTO `lang_definitions` VALUES (152337, 7370, 28, 'Alergie pacienta');
INSERT INTO `lang_definitions` VALUES (152338, 7373, 28, 'Návštěva pacienta');
INSERT INTO `lang_definitions` VALUES (152339, 7379, 28, 'ID grafu pacienta');
INSERT INTO `lang_definitions` VALUES (152340, 7383, 28, 'Město bydliště pacienta');
INSERT INTO `lang_definitions` VALUES (152341, 7384, 28, 'Město bydliště pacienta chybí');
INSERT INTO `lang_definitions` VALUES (152342, 7386, 28, 'Komunikace pacienta odeslána');
INSERT INTO `lang_definitions` VALUES (152343, 7387, 28, 'Komunikace pacienta odeslána');
INSERT INTO `lang_definitions` VALUES (152344, 7388, 28, 'Země pobytu pacienta');
INSERT INTO `lang_definitions` VALUES (152345, 7389, 28, 'Země pobytu pacienta chybí. Současně nemáte nastavenou výchozí zemi pacienta v globálním nastavení.');
INSERT INTO `lang_definitions` VALUES (152346, 7394, 28, 'Data pacienta');
INSERT INTO `lang_definitions` VALUES (152347, 7396, 28, 'Datum narození pacienta chybí');
INSERT INTO `lang_definitions` VALUES (152348, 7401, 28, 'Detaily pacienta');
INSERT INTO `lang_definitions` VALUES (152349, 7402, 28, 'Dat. nar. pacienta');
INSERT INTO `lang_definitions` VALUES (152350, 7404, 28, 'Dokument pacienta');
INSERT INTO `lang_definitions` VALUES (152351, 7410, 28, 'Edukace pacienta');
INSERT INTO `lang_definitions` VALUES (152352, 7411, 28, 'Materiály pro edukaci pacienta');
INSERT INTO `lang_definitions` VALUES (152353, 7412, 28, 'Vyšetření pacienta');
INSERT INTO `lang_definitions` VALUES (152354, 7413, 28, 'Formulář vyšetření pacienta');
INSERT INTO `lang_definitions` VALUES (152355, 7414, 28, 'Vyšetření pacienta');
INSERT INTO `lang_definitions` VALUES (152356, 7415, 28, 'Vyhledávání pacientů');
INSERT INTO `lang_definitions` VALUES (152357, 7417, 28, 'Jméno pacienta');
INSERT INTO `lang_definitions` VALUES (152358, 7419, 28, 'Jméno pacienta chybí');
INSERT INTO `lang_definitions` VALUES (152359, 7424, 28, 'Pohlaví pacienta');
INSERT INTO `lang_definitions` VALUES (152360, 7425, 28, 'Pohlaví pacienta chybí');
INSERT INTO `lang_definitions` VALUES (152361, 7426, 28, 'Pacient nemá oprávnění pro pacientský portál');
INSERT INTO `lang_definitions` VALUES (152362, 7428, 28, 'Anamnéza pacienta');
INSERT INTO `lang_definitions` VALUES (152363, 7429, 28, 'Anamnéza / Životní styl pacienta');
INSERT INTO `lang_definitions` VALUES (152364, 7430, 28, 'Pacient - Telefon domů');
INSERT INTO `lang_definitions` VALUES (152365, 7431, 28, 'ID pacienta');
INSERT INTO `lang_definitions` VALUES (152366, 7432, 28, 'ID pacienta');
INSERT INTO `lang_definitions` VALUES (152367, 7433, 28, 'Občanský průkaz pacienta');
INSERT INTO `lang_definitions` VALUES (152368, 7434, 28, 'Název kategorie ID pacienta');
INSERT INTO `lang_definitions` VALUES (152369, 7437, 28, 'Imunizace pacienta');
INSERT INTO `lang_definitions` VALUES (152370, 7438, 28, 'Informace pacientovi');
INSERT INTO `lang_definitions` VALUES (152371, 7440, 28, 'Instrukce pacientovi');
INSERT INTO `lang_definitions` VALUES (152372, 7445, 28, 'Problémy pacienta');
INSERT INTO `lang_definitions` VALUES (152373, 7446, 28, 'Typ štítku pacienta');
INSERT INTO `lang_definitions` VALUES (152374, 7447, 28, 'Příjmení pacienta');
INSERT INTO `lang_definitions` VALUES (152375, 7449, 28, 'Příjmení pacienta chybí');
INSERT INTO `lang_definitions` VALUES (152376, 7454, 28, 'Seznam pacientů');
INSERT INTO `lang_definitions` VALUES (152377, 7455, 28, 'Sloupce seznamu pacientů');
INSERT INTO `lang_definitions` VALUES (152378, 7457, 28, 'Nové okno seznamu pacientů');
INSERT INTO `lang_definitions` VALUES (152379, 7458, 28, 'Velikost stránky seznamu pacientů');
INSERT INTO `lang_definitions` VALUES (152380, 7460, 28, 'Chyba vyhledávání pacienta');
INSERT INTO `lang_definitions` VALUES (152381, 7463, 28, 'Zdravotní problémy pacienta');
INSERT INTO `lang_definitions` VALUES (152382, 7464, 28, 'Medikace pacienta');
INSERT INTO `lang_definitions` VALUES (152383, 7470, 28, 'Jméno pacienta');
INSERT INTO `lang_definitions` VALUES (152384, 7472, 28, 'Jméno a adresa pacienta');
INSERT INTO `lang_definitions` VALUES (152385, 7475, 28, 'Jméno pacienta je povinné');
INSERT INTO `lang_definitions` VALUES (152386, 7477, 28, 'Poznámka k pacientovi');
INSERT INTO `lang_definitions` VALUES (152387, 7478, 28, 'Typ poznámky k pacientovi');
INSERT INTO `lang_definitions` VALUES (152388, 7479, 28, 'Poznámky k pacientovi');
INSERT INTO `lang_definitions` VALUES (152389, 7480, 28, 'Poznámky k pacientovi ( volitelně právo zapisovat, přidat)');
INSERT INTO `lang_definitions` VALUES (152390, 7482, 28, 'Číslo pacienta');
INSERT INTO `lang_definitions` VALUES (152391, 7483, 28, 'Platba pacienta');
INSERT INTO `lang_definitions` VALUES (152392, 7485, 28, 'Název kategorie fotografie pacienta');
INSERT INTO `lang_definitions` VALUES (152393, 7487, 28, 'Pacientský portál');
INSERT INTO `lang_definitions` VALUES (152394, 7490, 28, 'Problémy připojení k pacientskému portálu');
INSERT INTO `lang_definitions` VALUES (152395, 7492, 28, 'Pacientský portál je vypnutý');
INSERT INTO `lang_definitions` VALUES (152396, 7493, 28, 'Přihlášení k pacientskému portálu');
INSERT INTO `lang_definitions` VALUES (152397, 7496, 28, 'Webová adresa pacientského portálu');
INSERT INTO `lang_definitions` VALUES (152398, 7497, 28, 'Tištěná zpráva pacienta');
INSERT INTO `lang_definitions` VALUES (152399, 7499, 28, 'Zpráva se záznamy pacienta');
INSERT INTO `lang_definitions` VALUES (152400, 7500, 28, 'Požadavek na záznamy pacienta');
INSERT INTO `lang_definitions` VALUES (152401, 7501, 28, 'Požadavek na záznamy pacienta');
INSERT INTO `lang_definitions` VALUES (152402, 7503, 28, 'Pacientská připomínka');
INSERT INTO `lang_definitions` VALUES (152403, 7505, 28, 'Dávkové zpracování pacientských připomínek');
INSERT INTO `lang_definitions` VALUES (152404, 7506, 28, 'Priorita tvorby pacientských připomínek');
INSERT INTO `lang_definitions` VALUES (152405, 7507, 28, 'Pravidla pacientských připomínek');
INSERT INTO `lang_definitions` VALUES (152406, 7508, 28, 'E-mail odesílatele pro upomínky pacientům');
INSERT INTO `lang_definitions` VALUES (152407, 7509, 28, 'Jméno odesílatele pro upomínky pacientům');
INSERT INTO `lang_definitions` VALUES (152408, 7510, 28, 'Pacientské připomínky');
INSERT INTO `lang_definitions` VALUES (152409, 7514, 28, 'Zpráva pacienta');
INSERT INTO `lang_definitions` VALUES (152410, 7518, 28, 'Požadavek pacienta');
INSERT INTO `lang_definitions` VALUES (152411, 7519, 28, 'Lékařská zpráva vyžádaná pacientem');
INSERT INTO `lang_definitions` VALUES (152412, 7521, 28, 'Výsledky pacienta');
INSERT INTO `lang_definitions` VALUES (152413, 7525, 28, 'Styl vyhledávání  výsedků pacienta');
INSERT INTO `lang_definitions` VALUES (152414, 7526, 28, 'Obrazovka pro Hledání/Přidání paceinta');
INSERT INTO `lang_definitions` VALUES (152415, 7528, 28, 'Nastavení pacienta');
INSERT INTO `lang_definitions` VALUES (152416, 7533, 28, 'Stav pacienta');
INSERT INTO `lang_definitions` VALUES (152417, 7539, 28, 'Souhrn pacienta');
INSERT INTO `lang_definitions` VALUES (152418, 7542, 28, 'Transakce pacienta');
INSERT INTO `lang_definitions` VALUES (152419, 7549, 28, 'Pacienti v databázi odpovídající zadaným demografickým údajům.');
INSERT INTO `lang_definitions` VALUES (152420, 7550, 28, 'Pacient/Klient');
INSERT INTO `lang_definitions` VALUES (152421, 7551, 28, 'Pacient:');
INSERT INTO `lang_definitions` VALUES (152422, 7552, 28, 'PacientID');
INSERT INTO `lang_definitions` VALUES (152423, 7553, 28, 'Pacienti');
INSERT INTO `lang_definitions` VALUES (152424, 7555, 28, 'Pacienti zpracováni');
INSERT INTO `lang_definitions` VALUES (152425, 7563, 28, 'Datum platby:');
INSERT INTO `lang_definitions` VALUES (152426, 7566, 28, 'Stav platby');
INSERT INTO `lang_definitions` VALUES (152427, 7568, 28, 'Plátce');
INSERT INTO `lang_definitions` VALUES (152428, 7572, 28, 'Typ plátce');
INSERT INTO `lang_definitions` VALUES (152429, 7575, 28, 'Platba');
INSERT INTO `lang_definitions` VALUES (152430, 7576, 28, 'platba');
INSERT INTO `lang_definitions` VALUES (152431, 7607, 28, 'proc. % řádků');
INSERT INTO `lang_definitions` VALUES (152432, 7610, 28, 'PDF');
INSERT INTO `lang_definitions` VALUES (152433, 7614, 28, 'Stažení vybraných prohlášení ve formátu PDF');
INSERT INTO `lang_definitions` VALUES (152434, 7615, 28, 'Jazyk PDF');
INSERT INTO `lang_definitions` VALUES (152435, 7620, 28, 'Pánev a hýždě');
INSERT INTO `lang_definitions` VALUES (152436, 7621, 28, 'Pemphigus');
INSERT INTO `lang_definitions` VALUES (152437, 7624, 28, 'Nevyřízený/á');
INSERT INTO `lang_definitions` VALUES (152438, 7626, 28, 'Nevyřízená schválení');
INSERT INTO `lang_definitions` VALUES (152439, 7630, 28, 'Zbývající vyšetření');
INSERT INTO `lang_definitions` VALUES (152440, 7632, 28, 'Nevyřízené objednávky');
INSERT INTO `lang_definitions` VALUES (152441, 7639, 28, 'Vředová choroba gastroduodenální');
INSERT INTO `lang_definitions` VALUES (152442, 7640, 28, 'Za vyšetření');
INSERT INTO `lang_definitions` VALUES (152443, 7641, 28, 'za minutu');
INSERT INTO `lang_definitions` VALUES (152444, 7642, 28, 'Intransaálně');
INSERT INTO `lang_definitions` VALUES (152445, 7643, 28, 'intranasálně');
INSERT INTO `lang_definitions` VALUES (152446, 7644, 28, 'Perorálně');
INSERT INTO `lang_definitions` VALUES (152447, 7645, 28, 'perorálně');
INSERT INTO `lang_definitions` VALUES (152448, 7646, 28, 'Per rectum');
INSERT INTO `lang_definitions` VALUES (152449, 7647, 28, 'per rectum');
INSERT INTO `lang_definitions` VALUES (152450, 7648, 28, 'Procento');
INSERT INTO `lang_definitions` VALUES (152451, 7652, 28, 'Percentil');
INSERT INTO `lang_definitions` VALUES (152452, 7653, 28, 'Perforace vpravo');
INSERT INTO `lang_definitions` VALUES (152453, 7654, 28, 'Vyhledat');
INSERT INTO `lang_definitions` VALUES (152454, 7655, 28, 'Provést tuto akci');
INSERT INTO `lang_definitions` VALUES (152455, 7659, 28, 'Vyšetřující laboratoř');
INSERT INTO `lang_definitions` VALUES (152456, 7661, 28, 'Tečka');
INSERT INTO `lang_definitions` VALUES (152457, 7662, 28, 'Časové období během kterého se lze přihlásit s expirovaným heslem');
INSERT INTO `lang_definitions` VALUES (152458, 7663, 28, 'Peroperační péče');
INSERT INTO `lang_definitions` VALUES (152459, 7665, 28, 'Periferní');
INSERT INTO `lang_definitions` VALUES (152460, 7671, 28, 'Osoba');
INSERT INTO `lang_definitions` VALUES (152461, 7672, 28, 'Personalizace');
INSERT INTO `lang_definitions` VALUES (152462, 7678, 28, 'Lékárny');
INSERT INTO `lang_definitions` VALUES (152463, 7680, 28, 'Lékárna');
INSERT INTO `lang_definitions` VALUES (152464, 7688, 28, 'Pneumothorax');
INSERT INTO `lang_definitions` VALUES (152465, 7689, 28, 'phiMail umožňuje odesáílání CCD');
INSERT INTO `lang_definitions` VALUES (152466, 7690, 28, 'phiMail umožňuje odesáílání CCR');
INSERT INTO `lang_definitions` VALUES (152467, 7691, 28, 'Intreval kontroly zpráv phiMailu v minutách');
INSERT INTO `lang_definitions` VALUES (152468, 7692, 28, 'Uživatel notifikací phiMailu');
INSERT INTO `lang_definitions` VALUES (152469, 7693, 28, 'heslo pro phiMail');
INSERT INTO `lang_definitions` VALUES (152470, 7694, 28, 'adresa serveru phiMailu');
INSERT INTO `lang_definitions` VALUES (152471, 7695, 28, 'uživatelské jméno phiServeru');
INSERT INTO `lang_definitions` VALUES (152472, 7697, 28, 'Telefon');
INSERT INTO `lang_definitions` VALUES (152473, 7699, 28, 'Seznam telefonních hovorů');
INSERT INTO `lang_definitions` VALUES (152474, 7705, 28, 'Heslo pro telefonní bránu');
INSERT INTO `lang_definitions` VALUES (152475, 7706, 28, 'URL telefonní brány');
INSERT INTO `lang_definitions` VALUES (152476, 7707, 28, 'Uživatelské jméno telefonní brány');
INSERT INTO `lang_definitions` VALUES (152477, 7708, 28, 'Telefon domů');
INSERT INTO `lang_definitions` VALUES (152478, 7709, 28, 'Hodiny telefonických upozornění');
INSERT INTO `lang_definitions` VALUES (152479, 7710, 28, 'Telefonní číslo');
INSERT INTO `lang_definitions` VALUES (152480, 7711, 28, 'Telefonní číslo');
INSERT INTO `lang_definitions` VALUES (152481, 7715, 28, 'Fotofobie');
INSERT INTO `lang_definitions` VALUES (152482, 7716, 28, 'Fotografie');
INSERT INTO `lang_definitions` VALUES (152483, 7717, 28, 'PHP komprimováno');
INSERT INTO `lang_definitions` VALUES (152484, 7718, 28, 'Kód PHP CURL musí být na vašem serveru zapnut');
INSERT INTO `lang_definitions` VALUES (152485, 7720, 28, 'PHP extrahováno');
INSERT INTO `lang_definitions` VALUES (152486, 7721, 28, 'kontrola přístupu php-GACL je vypnuta');
INSERT INTO `lang_definitions` VALUES (152487, 7722, 28, 'PHP-gacl není instalováno');
INSERT INTO `lang_definitions` VALUES (152488, 7723, 28, 'Fyzikální vyšetření');
INSERT INTO `lang_definitions` VALUES (152489, 7725, 28, 'Požadavek lékaře');
INSERT INTO `lang_definitions` VALUES (152490, 7726, 28, 'Podpis lékaře');
INSERT INTO `lang_definitions` VALUES (152491, 7729, 28, 'Lékaři');
INSERT INTO `lang_definitions` VALUES (152492, 7733, 28, 'vybrat');
INSERT INTO `lang_definitions` VALUES (152493, 7734, 28, 'vybrat');
INSERT INTO `lang_definitions` VALUES (152494, 7735, 28, 'Vybrat CSS téma');
INSERT INTO `lang_definitions` VALUES (152495, 7740, 28, 'Zánětlivé onemocnění v oblasti pánve');
INSERT INTO `lang_definitions` VALUES (152496, 7741, 28, 'Velikost tablety');
INSERT INTO `lang_definitions` VALUES (152497, 7742, 28, 'Tablety');
INSERT INTO `lang_definitions` VALUES (152498, 7745, 28, 'Pro instalaci umístěte databázový .zip soubor v následujícím adresáři');
INSERT INTO `lang_definitions` VALUES (152499, 7746, 28, 'Přesuňte stažený .zip soubor ICD10 do následujícího adresáře');
INSERT INTO `lang_definitions` VALUES (152500, 7747, 28, 'Přesuňte stažený .zip soubor ICD9 do následujícího adresáře');
INSERT INTO `lang_definitions` VALUES (152501, 7748, 28, 'Přesuňte stažený .zip soubor RxNorm do následujícího adresáře');
INSERT INTO `lang_definitions` VALUES (152502, 7749, 28, 'Přesuňte stažený .zip soubor Snomed do následujícího adresáře');
INSERT INTO `lang_definitions` VALUES (152503, 7756, 28, 'Prostý text');
INSERT INTO `lang_definitions` VALUES (152504, 7757, 28, 'Plán');
INSERT INTO `lang_definitions` VALUES (152505, 7762, 28, 'Jméno plánu');
INSERT INTO `lang_definitions` VALUES (152506, 7773, 28, 'Plán:');
INSERT INTO `lang_definitions` VALUES (152507, 7776, 28, 'Plány:');
INSERT INTO `lang_definitions` VALUES (152508, 7778, 28, 'Hráč');
INSERT INTO `lang_definitions` VALUES (152509, 7779, 28, 'Herní pozice');
INSERT INTO `lang_definitions` VALUES (152510, 7780, 28, 'Prosím volejte pokud je něktará výše uvedená informace neplatná');
INSERT INTO `lang_definitions` VALUES (152511, 7784, 28, 'Prosím změňte  heslo.');
INSERT INTO `lang_definitions` VALUES (152512, 7785, 28, 'Prosím  vyberte soubor');
INSERT INTO `lang_definitions` VALUES (152513, 7786, 28, 'Prosím zvolte pacienta');
INSERT INTO `lang_definitions` VALUES (152514, 7787, 28, 'Prosím proveďte platný výběr ze seznamu');
INSERT INTO `lang_definitions` VALUES (152515, 7788, 28, 'Prosím proveďte platný výběr.');
INSERT INTO `lang_definitions` VALUES (152516, 7789, 28, 'Prosím vyberte hodnotu pro');
INSERT INTO `lang_definitions` VALUES (152517, 7790, 28, 'Prosím vyberte rozsah období a klikněte na Obnovit pro zobrazení výsledků.');
INSERT INTO `lang_definitions` VALUES (152518, 7791, 28, 'Prosím vyberte správně formátovaný EDI-271 soubor.');
INSERT INTO `lang_definitions` VALUES (152519, 7792, 28, 'Klikněte na Stáhnout pro stažení deidentifikovaných dat');
INSERT INTO `lang_definitions` VALUES (152520, 7793, 28, 'Klikněte na Stáhnout pro stažení reidentifikovaných dat');
INSERT INTO `lang_definitions` VALUES (152521, 7795, 28, 'Prosím zavřete okno.');
INSERT INTO `lang_definitions` VALUES (152522, 7796, 28, 'Prosím porovnejte nové jméno');
INSERT INTO `lang_definitions` VALUES (152523, 7802, 28, 'Prosím opravte hodnoty před aplikováním změn!');
INSERT INTO `lang_definitions` VALUES (152524, 7803, 28, 'Prosím vytvořte následující adresář před dalším krokem');
INSERT INTO `lang_definitions` VALUES (152525, 7807, 28, 'Prosím nepoužívetje tlačítko pro aktualizaci  nebo obnovení ve vašem prohlížeči pro  tuto stránku před uplynutím minimálně 10 minut.');
INSERT INTO `lang_definitions` VALUES (152526, 7808, 28, 'PROSÍM ZAPNĚTE CURL ROZŠÍŘENÍ');
INSERT INTO `lang_definitions` VALUES (152527, 7809, 28, 'PROSÍM ZAPNĚTE CURL ROZŠÍŘENÍ');
INSERT INTO `lang_definitions` VALUES (152528, 7810, 28, 'PROSÍM ZAPNĚTE SOAP ROZŠÍŘENÍ');
INSERT INTO `lang_definitions` VALUES (152529, 7811, 28, 'PROSÍM ZAPNĚTE XML ROZŠÍŘENÍ');
INSERT INTO `lang_definitions` VALUES (152530, 7814, 28, 'Prosím zadejte datum.');
INSERT INTO `lang_definitions` VALUES (152531, 7818, 28, 'Prosím zadejte zprávu');
INSERT INTO `lang_definitions` VALUES (152532, 7819, 28, 'Prosím zadejte peněžní obnos za použití pouze znaků čísel a desetinnmého místa');
INSERT INTO `lang_definitions` VALUES (152533, 7821, 28, 'Prosím zadejte nové heslo');
INSERT INTO `lang_definitions` VALUES (152534, 7822, 28, 'Prosím zadejte název!');
INSERT INTO `lang_definitions` VALUES (152535, 7824, 28, 'Prosím zadejte platnou Direct Adresu výše.');
INSERT INTO `lang_definitions` VALUES (152536, 7825, 28, 'Prosím zadejte alespoň jméno položky');
INSERT INTO `lang_definitions` VALUES (152537, 7828, 28, 'Prosím zadejte platný reidentifikační kód');
INSERT INTO `lang_definitions` VALUES (152538, 7829, 28, 'Prosím zadejte koncové datum vyšší než datum počáteční !');
INSERT INTO `lang_definitions` VALUES (152539, 7832, 28, 'Prosím zadejte nový řetězec k vyhledávání');
INSERT INTO `lang_definitions` VALUES (152540, 7833, 28, 'Prosím zadejte platný reidentifikační kód');
INSERT INTO `lang_definitions` VALUES (152541, 7834, 28, 'Prosím zadejte heslo');
INSERT INTO `lang_definitions` VALUES (152542, 7843, 28, 'Prosím vyplňte číslo ověření');
INSERT INTO `lang_definitions` VALUES (152543, 7845, 28, 'Prosím vyplňte datum');
INSERT INTO `lang_definitions` VALUES (152544, 7846, 28, 'Prosím vyplňte platební obnos');
INSERT INTO `lang_definitions` VALUES (152545, 7847, 28, 'Prosím vyplňte kategorii platby');
INSERT INTO `lang_definitions` VALUES (152546, 7850, 28, 'Prosím vyplňte je  před pokračováním.');
INSERT INTO `lang_definitions` VALUES (152547, 7854, 28, 'Prosím označte důvod návštěvy');
INSERT INTO `lang_definitions` VALUES (152548, 7855, 28, 'Prosím vložte výše vyhledávací kritéria a klikem na Odeslat zahajte generování zprávy');
INSERT INTO `lang_definitions` VALUES (152549, 7856, 28, 'Prosím vložte výše vyhledávací kritéria a klikem na Odeslat přejděte k prohlížení výsledků.');
INSERT INTO `lang_definitions` VALUES (152550, 7857, 28, 'Prosím vložte výše vyhledávací kritéria a klikem na Odeslat přejděte k prohlížení výsledků (Výsledky budou zobrazeny ve vyskakovacím okně).');
INSERT INTO `lang_definitions` VALUES (152551, 7858, 28, 'Prosím znovu se přihlaste.');
INSERT INTO `lang_definitions` VALUES (152552, 7859, 28, 'Vezměte prosím na vědomí, že generování vyúčtování je složitý proces a může trvat velmi dlouho (až několik minut). Váš webový prohlížeč se může zdát neaktivní.');
INSERT INTO `lang_definitions` VALUES (152553, 7860, 28, 'Vezměte na vědomí , že konstanty jsou citlivé na velikost písmen a je povolen libovolný řetězec');
INSERT INTO `lang_definitions` VALUES (152554, 7861, 28, 'Prosím použijte pouze písmena');
INSERT INTO `lang_definitions` VALUES (152555, 7862, 28, 'Prosím použijte pouze písmena bez mezer');
INSERT INTO `lang_definitions` VALUES (152556, 7863, 28, 'Prosím zaplaťte tento obnos');
INSERT INTO `lang_definitions` VALUES (152557, 7864, 28, 'Prosím přesuňte instalační soubory do následujícího adresáře');
INSERT INTO `lang_definitions` VALUES (152558, 7868, 28, 'Resetujte heslo');
INSERT INTO `lang_definitions` VALUES (152559, 7869, 28, 'Restartujte Apache server před zahájením deidentifikace.');
INSERT INTO `lang_definitions` VALUES (152560, 7874, 28, 'Podívejte se do přiloženého PDF');
INSERT INTO `lang_definitions` VALUES (152561, 7875, 28, 'Prosím vyberte');
INSERT INTO `lang_definitions` VALUES (152562, 7877, 28, 'Prosím vyberte jazyk');
INSERT INTO `lang_definitions` VALUES (152563, 7878, 28, 'Prosím vyberte pacienta');
INSERT INTO `lang_definitions` VALUES (152564, 7881, 28, 'Prosím vyberte poskytovatele výkonu');
INSERT INTO `lang_definitions` VALUES (152565, 7882, 28, 'Prosím vyberte příjemce');
INSERT INTO `lang_definitions` VALUES (152566, 7884, 28, 'Prosím vyberte počáteční a koncové datum');
INSERT INTO `lang_definitions` VALUES (152567, 7885, 28, 'Prosím vyberte platného příjemce');
INSERT INTO `lang_definitions` VALUES (152568, 7886, 28, 'Prosím vyberte aktivní skupinu');
INSERT INTO `lang_definitions` VALUES (152569, 7888, 28, 'Prosím vyberte upřesňující důvod pro kód');
INSERT INTO `lang_definitions` VALUES (152570, 7889, 28, 'Prosím vyberte událost');
INSERT INTO `lang_definitions` VALUES (152571, 7891, 28, 'Prosím vyberte libovolnou volbu vyhledávání.');
INSERT INTO `lang_definitions` VALUES (152572, 7894, 28, 'Prosím vyberte minimálně jednu preskripci');
INSERT INTO `lang_definitions` VALUES (152573, 7895, 28, 'Prosím vyberte vyšetření');
INSERT INTO `lang_definitions` VALUES (152574, 7899, 28, 'Prosím vyberte požadované stranky ke kopírování nebo přeposlání:');
INSERT INTO `lang_definitions` VALUES (152575, 7900, 28, 'Prosím vyberte platební metodu');
INSERT INTO `lang_definitions` VALUES (152576, 7903, 28, 'Prosím vyberte typ platby.');
INSERT INTO `lang_definitions` VALUES (152577, 7904, 28, 'Prosím zvolte kategorii návštěvy');
INSERT INTO `lang_definitions` VALUES (152578, 7906, 28, 'Prosím znastavte');
INSERT INTO `lang_definitions` VALUES (152579, 7907, 28, 'Prosím nastavte proměnnou de-identification_config zpět na 0');
INSERT INTO `lang_definitions` VALUES (152580, 7910, 28, 'Prosím zahajte nový proces deidentifikace');
INSERT INTO `lang_definitions` VALUES (152581, 7913, 28, 'Prosím upgradujte OpenEMR databázi pro zahrnutí deidentifikačních procedur, funkcí a tabulek.');
INSERT INTO `lang_definitions` VALUES (152582, 7915, 28, 'Prosím koukněte do logu chyb deidentifikace pro více podrobností');
INSERT INTO `lang_definitions` VALUES (152583, 7916, 28, 'Prosím přejděte za chvíli na na obrazovku deidentifikace');
INSERT INTO `lang_definitions` VALUES (152584, 7917, 28, 'Prosím přejděte za chvíli na obrazovku reidentifikace');
INSERT INTO `lang_definitions` VALUES (152585, 7918, 28, 'Prosím přejděte za chvíli na obrazovku');
INSERT INTO `lang_definitions` VALUES (152586, 7939, 28, 'Pneumokoková vakcína');
INSERT INTO `lang_definitions` VALUES (152587, 7940, 28, 'Pneumonie - vakcinace');
INSERT INTO `lang_definitions` VALUES (152588, 7941, 28, 'Pneumonie - vakcinančí status pro starší dospělé');
INSERT INTO `lang_definitions` VALUES (152589, 7942, 28, 'Pneumonie - vakcinančí status pro starší dospělé (CQM)');
INSERT INTO `lang_definitions` VALUES (152590, 7943, 28, 'Podiatrický');
INSERT INTO `lang_definitions` VALUES (152591, 7944, 28, 'Podiatrie');
INSERT INTO `lang_definitions` VALUES (152592, 7953, 28, 'Polydipsie');
INSERT INTO `lang_definitions` VALUES (152593, 7955, 28, 'Polypy');
INSERT INTO `lang_definitions` VALUES (152594, 7956, 28, 'Polyurie');
INSERT INTO `lang_definitions` VALUES (152595, 7957, 28, 'Nechutenství');
INSERT INTO `lang_definitions` VALUES (152596, 7958, 28, 'Oběhová nedostatečnost');
INSERT INTO `lang_definitions` VALUES (152597, 7959, 28, 'Hypacusis');
INSERT INTO `lang_definitions` VALUES (152598, 7962, 28, 'K prohlížení reportu musí být zapnuta vyskakovací okna');
INSERT INTO `lang_definitions` VALUES (152599, 7965, 28, 'Vyskakovací okna');
INSERT INTO `lang_definitions` VALUES (152600, 7967, 28, 'Portál');
INSERT INTO `lang_definitions` VALUES (152601, 7969, 28, 'Aktivity portálu');
INSERT INTO `lang_definitions` VALUES (152602, 7976, 28, 'ID portálu');
INSERT INTO `lang_definitions` VALUES (152603, 7977, 28, 'Portál ID  neodpovídá  požadavku z protálu !');
INSERT INTO `lang_definitions` VALUES (152604, 7980, 28, 'Chybí heslo pro portál');
INSERT INTO `lang_definitions` VALUES (152605, 7982, 28, 'Portálové požadavky');
INSERT INTO `lang_definitions` VALUES (152606, 7984, 28, 'Portrét');
INSERT INTO `lang_definitions` VALUES (152607, 7990, 28, 'Pozice');
INSERT INTO `lang_definitions` VALUES (152608, 7992, 28, 'Pozitivní');
INSERT INTO `lang_definitions` VALUES (152609, 7998, 28, 'Zadní rýma ( Post nasal drip )');
INSERT INTO `lang_definitions` VALUES (152610, 8001, 28, 'Pooperační');
INSERT INTO `lang_definitions` VALUES (152611, 8003, 28, 'Odeslat k datu');
INSERT INTO `lang_definitions` VALUES (152612, 8007, 28, 'Popotratová péče');
INSERT INTO `lang_definitions` VALUES (152613, 8008, 28, 'Popotratová antikoncepce');
INSERT INTO `lang_definitions` VALUES (152614, 8010, 28, 'Sledování po potratu');
INSERT INTO `lang_definitions` VALUES (152615, 8011, 28, 'Poštovní');
INSERT INTO `lang_definitions` VALUES (152616, 8012, 28, 'Poštovní kód');
INSERT INTO `lang_definitions` VALUES (152617, 8013, 28, 'Poštovní kód');
INSERT INTO `lang_definitions` VALUES (152618, 8023, 28, 'Odesláno na');
INSERT INTO `lang_definitions` VALUES (152619, 8037, 28, 'Praxe');
INSERT INTO `lang_definitions` VALUES (152620, 8038, 28, 'Výchozí nastavení praxe');
INSERT INTO `lang_definitions` VALUES (152621, 8039, 28, 'Nastavení praxe');
INSERT INTO `lang_definitions` VALUES (152622, 8049, 28, 'Volba');
INSERT INTO `lang_definitions` VALUES (152623, 8050, 28, 'Volby');
INSERT INTO `lang_definitions` VALUES (152624, 8052, 28, 'Preferovaná kategorie událostí');
INSERT INTO `lang_definitions` VALUES (152625, 8053, 28, 'Preferovaný jazyk');
INSERT INTO `lang_definitions` VALUES (152626, 8054, 28, 'Preferovaná lékárna');
INSERT INTO `lang_definitions` VALUES (152627, 8056, 28, 'Těhotenský test');
INSERT INTO `lang_definitions` VALUES (152628, 8057, 28, 'Předběžný');
INSERT INTO `lang_definitions` VALUES (152629, 8058, 28, 'Přípravy pro generování zprávy');
INSERT INTO `lang_definitions` VALUES (152630, 8061, 28, 'Předpis');
INSERT INTO `lang_definitions` VALUES (152631, 8064, 28, 'Historie předpisů');
INSERT INTO `lang_definitions` VALUES (152632, 8065, 28, 'Import historie předpisů úspěšně dokončen');
INSERT INTO `lang_definitions` VALUES (152633, 8066, 28, 'Označení předpisu');
INSERT INTO `lang_definitions` VALUES (152634, 8070, 28, 'Preskripce');
INSERT INTO `lang_definitions` VALUES (152635, 8078, 28, 'Současný');
INSERT INTO `lang_definitions` VALUES (152636, 8079, 28, 'Stěžuje si');
INSERT INTO `lang_definitions` VALUES (152637, 8080, 28, 'Uvádí potíže(e)');
INSERT INTO `lang_definitions` VALUES (152638, 8081, 28, 'Zmáčkněte Pokračovat pro provedení');
INSERT INTO `lang_definitions` VALUES (152639, 8084, 28, 'Pracovní diagnóza');
INSERT INTO `lang_definitions` VALUES (152640, 8085, 28, 'Pracovní diagnóza dle specialistů');
INSERT INTO `lang_definitions` VALUES (152641, 8086, 28, 'Předch.');
INSERT INTO `lang_definitions` VALUES (152642, 8087, 28, 'Předch. Med/Oper Hx');
INSERT INTO `lang_definitions` VALUES (152643, 8088, 28, 'Předch. měs. (podržte pro nabídku)');
INSERT INTO `lang_definitions` VALUES (152644, 8089, 28, 'Předch. rok (podržte pro nabídku)');
INSERT INTO `lang_definitions` VALUES (152645, 8091, 28, 'Preventivní péče');
INSERT INTO `lang_definitions` VALUES (152646, 8094, 28, 'Náhled události');
INSERT INTO `lang_definitions` VALUES (152647, 8097, 28, 'Náhled');
INSERT INTO `lang_definitions` VALUES (152648, 8098, 28, 'Předchozí');
INSERT INTO `lang_definitions` VALUES (152649, 8099, 28, 'Předchozí konzultace');
INSERT INTO `lang_definitions` VALUES (152650, 8100, 28, 'Předchozí den');
INSERT INTO `lang_definitions` VALUES (152651, 8102, 28, 'Předchozí historie/Screening');
INSERT INTO `lang_definitions` VALUES (152652, 8103, 28, 'Předchozí měsíc');
INSERT INTO `lang_definitions` VALUES (152653, 8104, 28, 'Předchozí týden');
INSERT INTO `lang_definitions` VALUES (152654, 8105, 28, 'Cena');
INSERT INTO `lang_definitions` VALUES (152655, 8109, 28, 'Cenová úroveň');
INSERT INTO `lang_definitions` VALUES (152656, 8111, 28, 'Cenová úroveň:');
INSERT INTO `lang_definitions` VALUES (152657, 8113, 28, 'Ceny');
INSERT INTO `lang_definitions` VALUES (152658, 8114, 28, 'Primární');
INSERT INTO `lang_definitions` VALUES (152659, 8125, 28, 'Primární poj');
INSERT INTO `lang_definitions` VALUES (152660, 8126, 28, 'Primární pojištění');
INSERT INTO `lang_definitions` VALUES (152661, 8127, 28, 'Data primárního pojištění');
INSERT INTO `lang_definitions` VALUES (152662, 8128, 28, 'Poskytovatel primárního pojištění');
INSERT INTO `lang_definitions` VALUES (152663, 8129, 28, 'Primární poskytovatel');
INSERT INTO `lang_definitions` VALUES (152664, 8130, 28, 'Tisk');
INSERT INTO `lang_definitions` VALUES (152665, 8131, 28, 'Tisk (HTML)');
INSERT INTO `lang_definitions` VALUES (152666, 8132, 28, 'Print (PDF)');
INSERT INTO `lang_definitions` VALUES (152667, 8133, 28, 'Tiskové změny');
INSERT INTO `lang_definitions` VALUES (152668, 8134, 28, 'Tisk libovolného vyšetření');
INSERT INTO `lang_definitions` VALUES (152669, 8135, 28, 'Tisk prázdného poukazu na ošetření');
INSERT INTO `lang_definitions` VALUES (152670, 8136, 28, 'Tiskový příkaz');
INSERT INTO `lang_definitions` VALUES (152671, 8138, 28, 'Datum tisku');
INSERT INTO `lang_definitions` VALUES (152672, 8143, 28, 'Tiskový formát');
INSERT INTO `lang_definitions` VALUES (152673, 8147, 28, 'Tisková zpráva');
INSERT INTO `lang_definitions` VALUES (152674, 8148, 28, 'Vícečetný tisk');
INSERT INTO `lang_definitions` VALUES (152675, 8151, 28, 'Tisk poznámek');
INSERT INTO `lang_definitions` VALUES (152676, 8152, 28, 'Tisk strany 1');
INSERT INTO `lang_definitions` VALUES (152677, 8153, 28, 'Tisk strany 2');
INSERT INTO `lang_definitions` VALUES (152678, 8154, 28, 'Tisk adresního štítku pacienta');
INSERT INTO `lang_definitions` VALUES (152679, 8157, 28, 'Tisk záznamu');
INSERT INTO `lang_definitions` VALUES (152680, 8163, 28, 'Tisk vybraných záznamů');
INSERT INTO `lang_definitions` VALUES (152681, 8166, 28, 'Tisk tohoto vyšetření');
INSERT INTO `lang_definitions` VALUES (152682, 8168, 28, 'Tisk této poznámky');
INSERT INTO `lang_definitions` VALUES (152683, 8169, 28, 'Tisk této poznámky');
INSERT INTO `lang_definitions` VALUES (152684, 8172, 28, 'Tiskové zobrazení');
INSERT INTO `lang_definitions` VALUES (152685, 8175, 28, 'Vytištěno');
INSERT INTO `lang_definitions` VALUES (152686, 8178, 28, 'Tisk výsledků:');
INSERT INTO `lang_definitions` VALUES (152687, 8179, 28, 'Tisk vynechán, viz testovací výstup v');
INSERT INTO `lang_definitions` VALUES (152688, 8180, 28, 'Tisk vynechán, viz testovací výstup v');
INSERT INTO `lang_definitions` VALUES (152689, 8191, 28, 'Priorita');
INSERT INTO `lang_definitions` VALUES (152690, 8192, 28, 'Priorita');
INSERT INTO `lang_definitions` VALUES (152691, 8196, 28, 'Soukromý');
INSERT INTO `lang_definitions` VALUES (152692, 8197, 28, 'Problém');
INSERT INTO `lang_definitions` VALUES (152693, 8199, 28, 'Seznam problémů');
INSERT INTO `lang_definitions` VALUES (152694, 8200, 28, 'Problémy');
INSERT INTO `lang_definitions` VALUES (152695, 8204, 28, 'Kat. proc.');
INSERT INTO `lang_definitions` VALUES (152696, 8208, 28, 'Proc. výsl.');
INSERT INTO `lang_definitions` VALUES (152697, 8209, 28, 'Procedura');
INSERT INTO `lang_definitions` VALUES (152698, 8210, 28, 'Strana těla pro aplikaci procedury');
INSERT INTO `lang_definitions` VALUES (152699, 8214, 28, 'Kód procedury');
INSERT INTO `lang_definitions` VALUES (152700, 8215, 28, 'Kódy procedury');
INSERT INTO `lang_definitions` VALUES (152701, 8216, 28, 'Lateralizace procedury');
INSERT INTO `lang_definitions` VALUES (152702, 8218, 28, 'Název procedury');
INSERT INTO `lang_definitions` VALUES (152703, 8227, 28, 'Výběr procedury');
INSERT INTO `lang_definitions` VALUES (152704, 8228, 28, 'Poskytovatel procedury');
INSERT INTO `lang_definitions` VALUES (152705, 8229, 28, 'Poskytovatel procedury');
INSERT INTO `lang_definitions` VALUES (152706, 8231, 28, 'Poskytovatelé procedury');
INSERT INTO `lang_definitions` VALUES (152707, 8232, 28, 'Report procedury');
INSERT INTO `lang_definitions` VALUES (152708, 8237, 28, 'Abnormální výsledek procedury');
INSERT INTO `lang_definitions` VALUES (152709, 8238, 28, 'Stavy výsledku procedury');
INSERT INTO `lang_definitions` VALUES (152710, 8240, 28, 'Výsledky procedury');
INSERT INTO `lang_definitions` VALUES (152711, 8241, 28, 'Cesty procedury');
INSERT INTO `lang_definitions` VALUES (152712, 8243, 28, 'Typy vzorků procedury');
INSERT INTO `lang_definitions` VALUES (152713, 8245, 28, 'Report statistik procedur');
INSERT INTO `lang_definitions` VALUES (152714, 8248, 28, 'Typ procedury');
INSERT INTO `lang_definitions` VALUES (152715, 8249, 28, 'Typy  procedury');
INSERT INTO `lang_definitions` VALUES (152716, 8257, 28, 'Zpracovat a odeslat upomínku');
INSERT INTO `lang_definitions` VALUES (152717, 8258, 28, 'Zpracovat ERA soubor');
INSERT INTO `lang_definitions` VALUES (152718, 8260, 28, 'Zpracovat nové soubory pro CSV záznamy');
INSERT INTO `lang_definitions` VALUES (152719, 8261, 28, 'Zpracovat upomínky');
INSERT INTO `lang_definitions` VALUES (152720, 8262, 28, 'Zpracování bude chvíli trvat');
INSERT INTO `lang_definitions` VALUES (152721, 8263, 28, 'Zpracováno');
INSERT INTO `lang_definitions` VALUES (152722, 8264, 28, 'Zpracoval/a :');
INSERT INTO `lang_definitions` VALUES (152723, 8265, 28, 'Datum zpracování');
INSERT INTO `lang_definitions` VALUES (152724, 8266, 28, 'Úspěšně zpracováno');
INSERT INTO `lang_definitions` VALUES (152725, 8267, 28, 'Zpracovávání');
INSERT INTO `lang_definitions` VALUES (152726, 8268, 28, 'Zpracování a odesální upomínek pacientům');
INSERT INTO `lang_definitions` VALUES (152727, 8271, 28, 'Zpracovávání upomínek pacientům');
INSERT INTO `lang_definitions` VALUES (152728, 8272, 28, 'Čas zpracování');
INSERT INTO `lang_definitions` VALUES (152729, 8274, 28, 'Produkt');
INSERT INTO `lang_definitions` VALUES (152730, 8278, 28, 'Produkce');
INSERT INTO `lang_definitions` VALUES (152731, 8279, 28, 'Produkty');
INSERT INTO `lang_definitions` VALUES (152732, 8290, 28, 'Poznámky k průběhu');
INSERT INTO `lang_definitions` VALUES (152733, 8295, 28, 'Karcinom prostaty');
INSERT INTO `lang_definitions` VALUES (152734, 8296, 28, 'Screening karcinomu prostaty');
INSERT INTO `lang_definitions` VALUES (152735, 8297, 28, 'Vyšetření prostaty');
INSERT INTO `lang_definitions` VALUES (152736, 8298, 28, 'Prostatické obtíže');
INSERT INTO `lang_definitions` VALUES (152737, 8299, 28, 'Prostata nezvětšená,nebolestivá  bez nodulů');
INSERT INTO `lang_definitions` VALUES (152738, 8302, 28, 'Protokol');
INSERT INTO `lang_definitions` VALUES (152739, 8304, 28, 'Zadejte absolutní cestu');
INSERT INTO `lang_definitions` VALUES (152740, 8305, 28, 'Zadejte absolutní cestu k souboru');
INSERT INTO `lang_definitions` VALUES (152741, 8309, 28, 'Poskytuje klinický souhrn pro každou návštěvu pacienta');
INSERT INTO `lang_definitions` VALUES (152742, 8311, 28, 'Na vyžádání poskytuje elektronickou kopii zdravotních informací pacientů ( zahrnuje výsledky diagnostických testů, seznam problémů, seznam medikace, lékové alergie ).');
INSERT INTO `lang_definitions` VALUES (152743, 8315, 28, 'Zadat platnou e-mailovou adresu');
INSERT INTO `lang_definitions` VALUES (152744, 8316, 28, 'Je poskytnut klinický souhrn ?');
INSERT INTO `lang_definitions` VALUES (152745, 8317, 28, 'Jsou poskytnuty edukační zdroje ?');
INSERT INTO `lang_definitions` VALUES (152746, 8318, 28, 'Poskytovatel');
INSERT INTO `lang_definitions` VALUES (152747, 8322, 28, 'ID poskytovatele');
INSERT INTO `lang_definitions` VALUES (152748, 8323, 28, 'ID poskytovatele');
INSERT INTO `lang_definitions` VALUES (152749, 8330, 28, 'Číslo poskytovatele');
INSERT INTO `lang_definitions` VALUES (152750, 8333, 28, 'Vztahy s poskytovatelem');
INSERT INTO `lang_definitions` VALUES (152751, 8336, 28, 'Poskytovatel:');
INSERT INTO `lang_definitions` VALUES (152752, 8337, 28, 'Poskytovatelé');
INSERT INTO `lang_definitions` VALUES (152753, 8345, 28, 'Psych. diagnóza');
INSERT INTO `lang_definitions` VALUES (152754, 8346, 28, 'Psych. medikace');
INSERT INTO `lang_definitions` VALUES (152755, 8347, 28, 'Psychiatrický');
INSERT INTO `lang_definitions` VALUES (152756, 8349, 28, 'Psychiatrická diagnóza');
INSERT INTO `lang_definitions` VALUES (152757, 8350, 28, 'Psychiatrické vyšetření');
INSERT INTO `lang_definitions` VALUES (152758, 8352, 28, 'Psychiatrická anamnéza');
INSERT INTO `lang_definitions` VALUES (152759, 8354, 28, 'Psychiatrická medikace');
INSERT INTO `lang_definitions` VALUES (152760, 8358, 28, '% pac.');
INSERT INTO `lang_definitions` VALUES (152761, 8360, 28, 'Pac. poznámky');
INSERT INTO `lang_definitions` VALUES (152762, 8361, 28, 'Pac. poznámky/auth.');
INSERT INTO `lang_definitions` VALUES (152763, 8362, 28, 'Pac. přeplatky');
INSERT INTO `lang_definitions` VALUES (152764, 8370, 28, 'PT_MESTO');
INSERT INTO `lang_definitions` VALUES (152765, 8371, 28, 'PT_DATNAR');
INSERT INTO `lang_definitions` VALUES (152766, 8372, 28, 'PT_EMAIL');
INSERT INTO `lang_definitions` VALUES (152767, 8373, 28, 'PT_JMENO');
INSERT INTO `lang_definitions` VALUES (152768, 8374, 28, 'PT_PRIJMENI');
INSERT INTO `lang_definitions` VALUES (152769, 8375, 28, 'PT_JMENO2');
INSERT INTO `lang_definitions` VALUES (152770, 8376, 28, 'PT_MOBIL');
INSERT INTO `lang_definitions` VALUES (152771, 8377, 28, 'PT_TEL_DOMU');
INSERT INTO `lang_definitions` VALUES (152772, 8378, 28, 'PT_PSC');
INSERT INTO `lang_definitions` VALUES (152773, 8380, 28, 'PT_STAT');
INSERT INTO `lang_definitions` VALUES (152774, 8381, 28, 'PT_ULICE');
INSERT INTO `lang_definitions` VALUES (152775, 8383, 28, 'Veřejný');
INSERT INTO `lang_definitions` VALUES (152776, 8396, 28, 'Pulmonální');
INSERT INTO `lang_definitions` VALUES (152777, 8398, 28, 'Pulz');
INSERT INTO `lang_definitions` VALUES (152778, 8401, 28, 'Nákup');
INSERT INTO `lang_definitions` VALUES (152779, 8403, 28, 'Nákupy');
INSERT INTO `lang_definitions` VALUES (152780, 8408, 28, 'á 3h');
INSERT INTO `lang_definitions` VALUES (152781, 8409, 28, 'á 4h');
INSERT INTO `lang_definitions` VALUES (152782, 8410, 28, 'á 5h');
INSERT INTO `lang_definitions` VALUES (152783, 8411, 28, 'á 6h');
INSERT INTO `lang_definitions` VALUES (152784, 8412, 28, 'á 8h');
INSERT INTO `lang_definitions` VALUES (152785, 8413, 28, 'denně');
INSERT INTO `lang_definitions` VALUES (152786, 8419, 28, 'Množ.');
INSERT INTO `lang_definitions` VALUES (152787, 8420, 28, 'MNOŽ..');
INSERT INTO `lang_definitions` VALUES (152788, 8421, 28, 'Kvalita');
INSERT INTO `lang_definitions` VALUES (152789, 8422, 28, 'Měření kvality (CQM)');
INSERT INTO `lang_definitions` VALUES (152790, 8423, 28, 'Kvantita');
INSERT INTO `lang_definitions` VALUES (152791, 8427, 28, 'Množství zřejmě nelze použít');
INSERT INTO `lang_definitions` VALUES (152792, 8431, 28, 'Označení otázky');
INSERT INTO `lang_definitions` VALUES (152793, 8432, 28, 'Fronta dávkového zpracování HCFA');
INSERT INTO `lang_definitions` VALUES (152794, 8433, 28, 'Fronta dávkového zpracování a tisku HCFA');
INSERT INTO `lang_definitions` VALUES (152795, 8434, 28, 'Fronta dávkového zpracování UB-92');
INSERT INTO `lang_definitions` VALUES (152796, 8435, 28, 'Fronta dávkového zpracování a tisku UB-92');
INSERT INTO `lang_definitions` VALUES (152797, 8436, 28, 'Čeká na zpracování');
INSERT INTO `lang_definitions` VALUES (152798, 8437, 28, 'Správa událostí ke zpracování');
INSERT INTO `lang_definitions` VALUES (152799, 8442, 28, 'Ukončit');
INSERT INTO `lang_definitions` VALUES (152800, 8443, 28, 'Abstinence od');
INSERT INTO `lang_definitions` VALUES (152801, 8452, 28, 'Rasa');
INSERT INTO `lang_definitions` VALUES (152802, 8453, 28, 'Rasa a etnikum');
INSERT INTO `lang_definitions` VALUES (152803, 8454, 28, 'Rasa/Etnikum');
INSERT INTO `lang_definitions` VALUES (152804, 8457, 28, 'Radio tlačítka (přepínače)');
INSERT INTO `lang_definitions` VALUES (152805, 8462, 28, 'Rozmezí');
INSERT INTO `lang_definitions` VALUES (152806, 8463, 28, 'Vyrážky');
INSERT INTO `lang_definitions` VALUES (152807, 8466, 28, 'Poměr');
INSERT INTO `lang_definitions` VALUES (152808, 8475, 28, 'Reidentifikace');
INSERT INTO `lang_definitions` VALUES (152809, 8476, 28, 'Proces reidentifikace je kompletní');
INSERT INTO `lang_definitions` VALUES (152810, 8477, 28, 'Proces reidentifikace stále běží');
INSERT INTO `lang_definitions` VALUES (152811, 8478, 28, 'Redidentifikační soubory budou uloženy v');
INSERT INTO `lang_definitions` VALUES (152812, 8479, 28, 'Opakované poranění ?');
INSERT INTO `lang_definitions` VALUES (152813, 8480, 28, 'Znovuotevření');
INSERT INTO `lang_definitions` VALUES (152814, 8482, 28, 'Znovu otevřeno');
INSERT INTO `lang_definitions` VALUES (152815, 8484, 28, 'Reakce');
INSERT INTO `lang_definitions` VALUES (152816, 8486, 28, 'Reakce');
INSERT INTO `lang_definitions` VALUES (152817, 8489, 28, 'Číst');
INSERT INTO `lang_definitions` VALUES (152818, 8495, 28, 'Anamnéze pouze ke čtení');
INSERT INTO `lang_definitions` VALUES (152819, 8496, 28, 'Skutečné jméno');
INSERT INTO `lang_definitions` VALUES (152820, 8497, 28, 'Skutečně smazat');
INSERT INTO `lang_definitions` VALUES (152821, 8498, 28, 'Důvod');
INSERT INTO `lang_definitions` VALUES (152822, 8500, 28, 'Přičina smrti');
INSERT INTO `lang_definitions` VALUES (152823, 8502, 28, 'Důvod odeslání');
INSERT INTO `lang_definitions` VALUES (152824, 8504, 28, 'Důvod návštěvy');
INSERT INTO `lang_definitions` VALUES (152825, 8506, 28, 'Důvod/Formulář');
INSERT INTO `lang_definitions` VALUES (152826, 8521, 28, 'Příjmový doklad');
INSERT INTO `lang_definitions` VALUES (152827, 8522, 28, 'Příjmový doklad pro platbu');
INSERT INTO `lang_definitions` VALUES (152828, 8523, 28, 'Příjmový doklad vygenerován');
INSERT INTO `lang_definitions` VALUES (152829, 8524, 28, 'Hlášení příjmových dokladů dle platební metody');
INSERT INTO `lang_definitions` VALUES (152830, 8525, 28, 'Souhrn platebních dokladů');
INSERT INTO `lang_definitions` VALUES (152831, 8526, 28, 'Přijato');
INSERT INTO `lang_definitions` VALUES (152832, 8527, 28, 'Přijato kým');
INSERT INTO `lang_definitions` VALUES (152833, 8528, 28, 'Přijaté faxy');
INSERT INTO `lang_definitions` VALUES (152834, 8530, 28, 'Přijato, neprohlíženo');
INSERT INTO `lang_definitions` VALUES (152835, 8532, 28, 'Příjemce');
INSERT INTO `lang_definitions` VALUES (152836, 8533, 28, 'ID příjemce');
INSERT INTO `lang_definitions` VALUES (152837, 8534, 28, 'ID příjemce (ISA08)');
INSERT INTO `lang_definitions` VALUES (152838, 8536, 28, 'ID příjemce');
INSERT INTO `lang_definitions` VALUES (152839, 8540, 28, 'Poslední 3 hesla nejsou povolena');
INSERT INTO `lang_definitions` VALUES (152840, 8542, 28, 'Příjemce');
INSERT INTO `lang_definitions` VALUES (152841, 8543, 28, 'Seznam příjemců je prázdný');
INSERT INTO `lang_definitions` VALUES (152842, 8544, 28, 'Jméno příjemce');
INSERT INTO `lang_definitions` VALUES (152843, 8545, 28, 'Příjemce nálezu');
INSERT INTO `lang_definitions` VALUES (152844, 8549, 28, 'Doporučení');
INSERT INTO `lang_definitions` VALUES (152845, 8551, 28, 'Doporučení pro návaznou péči');
INSERT INTO `lang_definitions` VALUES (152846, 8552, 28, 'Doporučení');
INSERT INTO `lang_definitions` VALUES (152847, 8553, 28, 'Doporučení a léčba');
INSERT INTO `lang_definitions` VALUES (152848, 8554, 28, 'Doporučení dle specialisty');
INSERT INTO `lang_definitions` VALUES (152849, 8557, 28, 'Záznam');
INSERT INTO `lang_definitions` VALUES (152850, 8558, 28, 'Záznam již existuje');
INSERT INTO `lang_definitions` VALUES (152851, 8564, 28, 'Změny  v záznamech a grafech vitálních funkcí');
INSERT INTO `lang_definitions` VALUES (152852, 8565, 28, 'Záznam demografických údajů');
INSERT INTO `lang_definitions` VALUES (152853, 8566, 28, 'Zapsat nález');
INSERT INTO `lang_definitions` VALUES (152854, 8568, 28, 'Záznam platby');
INSERT INTO `lang_definitions` VALUES (152855, 8570, 28, 'Záznam data požadavku');
INSERT INTO `lang_definitions` VALUES (152856, 8571, 28, 'Zaznamenat kuřáctví pacientů starších 13 let');
INSERT INTO `lang_definitions` VALUES (152857, 8572, 28, 'Záznamy');
INSERT INTO `lang_definitions` VALUES (152858, 8573, 28, 'záznamy nalezeny');
INSERT INTO `lang_definitions` VALUES (152859, 8574, 28, 'záznamy nalezeny.');
INSERT INTO `lang_definitions` VALUES (152860, 8576, 28, 'Rekreační užívání drog');
INSERT INTO `lang_definitions` VALUES (152861, 8577, 28, 'Rekreační drogy');
INSERT INTO `lang_definitions` VALUES (152862, 8578, 28, 'Rektální');
INSERT INTO `lang_definitions` VALUES (152863, 8579, 28, 'Rektální vyšetření');
INSERT INTO `lang_definitions` VALUES (152864, 8580, 28, 'rektálně');
INSERT INTO `lang_definitions` VALUES (152865, 8592, 28, 'Přesměrování');
INSERT INTO `lang_definitions` VALUES (152866, 8593, 28, 'Zarudnutí');
INSERT INTO `lang_definitions` VALUES (152867, 8595, 28, 'Redukovaný:');
INSERT INTO `lang_definitions` VALUES (152868, 8597, 28, 'Odeslat');
INSERT INTO `lang_definitions` VALUES (152869, 8598, 28, 'Odeslat kým');
INSERT INTO `lang_definitions` VALUES (152870, 8599, 28, 'Datum odeslání');
INSERT INTO `lang_definitions` VALUES (152871, 8600, 28, 'Odeslat kam');
INSERT INTO `lang_definitions` VALUES (152872, 8604, 28, 'Rozsah referenčních hodnot výsledků');
INSERT INTO `lang_definitions` VALUES (152873, 8608, 28, 'Odesílající');
INSERT INTO `lang_definitions` VALUES (152874, 8609, 28, 'Jméno a podpis odesílajícího');
INSERT INTO `lang_definitions` VALUES (152875, 8610, 28, 'Odeslání');
INSERT INTO `lang_definitions` VALUES (152876, 8613, 28, 'Datum odeslání');
INSERT INTO `lang_definitions` VALUES (152877, 8624, 28, 'Odeslán kým');
INSERT INTO `lang_definitions` VALUES (152878, 8625, 28, 'Odeslán kým');
INSERT INTO `lang_definitions` VALUES (152879, 8627, 28, 'Odeslán k');
INSERT INTO `lang_definitions` VALUES (152880, 8628, 28, 'Odesílající');
INSERT INTO `lang_definitions` VALUES (152881, 8629, 28, 'Adresa odesílajícího');
INSERT INTO `lang_definitions` VALUES (152882, 8633, 28, 'Odesílající lékař a praxe');
INSERT INTO `lang_definitions` VALUES (152883, 8635, 28, 'Odesílající poskytovatel');
INSERT INTO `lang_definitions` VALUES (152884, 8641, 28, 'Normální reflexy');
INSERT INTO `lang_definitions` VALUES (152885, 8645, 28, 'Obnovit');
INSERT INTO `lang_definitions` VALUES (152886, 8646, 28, 'Obnovit obrazovku');
INSERT INTO `lang_definitions` VALUES (152887, 8648, 28, 'Obnova upomínek');
INSERT INTO `lang_definitions` VALUES (152888, 8656, 28, 'registrace');
INSERT INTO `lang_definitions` VALUES (152889, 8662, 28, 'Registrován');
INSERT INTO `lang_definitions` VALUES (152890, 8663, 28, 'registrován');
INSERT INTO `lang_definitions` VALUES (152891, 8666, 28, 'Registrované moduly');
INSERT INTO `lang_definitions` VALUES (152892, 8668, 28, 'Datum registrace');
INSERT INTO `lang_definitions` VALUES (152893, 8671, 28, 'Registrační formulář');
INSERT INTO `lang_definitions` VALUES (152894, 8672, 28, 'Rehabilitace');
INSERT INTO `lang_definitions` VALUES (152895, 8674, 28, 'Odmítnuto');
INSERT INTO `lang_definitions` VALUES (152896, 8675, 28, 'Možnost relapsu');
INSERT INTO `lang_definitions` VALUES (152897, 8676, 28, 'Související s');
INSERT INTO `lang_definitions` VALUES (152898, 8677, 28, 'Související');
INSERT INTO `lang_definitions` VALUES (152899, 8678, 28, 'Související problém');
INSERT INTO `lang_definitions` VALUES (152900, 8679, 28, 'Související poznámky pacienta');
INSERT INTO `lang_definitions` VALUES (152901, 8680, 28, 'Vztahy/Děti');
INSERT INTO `lang_definitions` VALUES (152902, 8681, 28, 'Vztahy');
INSERT INTO `lang_definitions` VALUES (152903, 8682, 28, 'Vztah');
INSERT INTO `lang_definitions` VALUES (152904, 8683, 28, 'Relativní zařazení této entity');
INSERT INTO `lang_definitions` VALUES (152905, 8684, 28, 'Příbuzní');
INSERT INTO `lang_definitions` VALUES (152906, 8686, 28, 'Hypertenze v příbuzenstvu');
INSERT INTO `lang_definitions` VALUES (152907, 8687, 28, 'Karcinom v příbuzenstvu');
INSERT INTO `lang_definitions` VALUES (152908, 8688, 28, 'Diabetes v příbuzenstvu');
INSERT INTO `lang_definitions` VALUES (152909, 8689, 28, 'Epilepsie v příbuzenstvu');
INSERT INTO `lang_definitions` VALUES (152910, 8690, 28, 'Srdeční choroby v příbuzenstvu');
INSERT INTO `lang_definitions` VALUES (152911, 8691, 28, 'Duševní choroby v příbuzenstvu');
INSERT INTO `lang_definitions` VALUES (152912, 8692, 28, 'CMP v příbuzenstvu');
INSERT INTO `lang_definitions` VALUES (152913, 8693, 28, 'Sebevraždy v příbuzenstvu');
INSERT INTO `lang_definitions` VALUES (152914, 8694, 28, 'TBC v příbuzenstvu');
INSERT INTO `lang_definitions` VALUES (152915, 8698, 28, 'Datum vydání');
INSERT INTO `lang_definitions` VALUES (152916, 8700, 28, 'Náboženství');
INSERT INTO `lang_definitions` VALUES (152917, 8705, 28, 'Znovupřihlášení');
INSERT INTO `lang_definitions` VALUES (152918, 8706, 28, 'Upom.');
INSERT INTO `lang_definitions` VALUES (152919, 8709, 28, 'Zapamatovat vybrané zařízení');
INSERT INTO `lang_definitions` VALUES (152920, 8712, 28, 'Upozornění');
INSERT INTO `lang_definitions` VALUES (152921, 8715, 28, 'Intervaly upozornění');
INSERT INTO `lang_definitions` VALUES (152922, 8716, 28, 'Upomínky nejsou dosud nastavené');
INSERT INTO `lang_definitions` VALUES (152923, 8725, 28, 'Upomínky');
INSERT INTO `lang_definitions` VALUES (152924, 8727, 28, 'Vzdálený host');
INSERT INTO `lang_definitions` VALUES (152925, 8729, 28, 'Smazat');
INSERT INTO `lang_definitions` VALUES (152926, 8733, 28, 'Smazat skupinu');
INSERT INTO `lang_definitions` VALUES (152927, 8734, 28, 'Smazat formulář skupiny');
INSERT INTO `lang_definitions` VALUES (152928, 8738, 28, 'Smaže podporu pro imunizace');
INSERT INTO `lang_definitions` VALUES (152929, 8739, 28, 'Smaže podporu pro phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (152930, 8740, 28, 'Smaže podporu preskrice');
INSERT INTO `lang_definitions` VALUES (152931, 8743, 28, 'Nefrolithiáza');
INSERT INTO `lang_definitions` VALUES (152932, 8744, 28, 'Přejmenovat');
INSERT INTO `lang_definitions` VALUES (152933, 8745, 28, 'Přejmenovat skupinu');
INSERT INTO `lang_definitions` VALUES (152934, 8750, 28, 'Přeobjednat');
INSERT INTO `lang_definitions` VALUES (152935, 8754, 28, 'Opak.');
INSERT INTO `lang_definitions` VALUES (152936, 8756, 28, 'Opakovat nové heslo');
INSERT INTO `lang_definitions` VALUES (152937, 8758, 28, 'Opakující se událost');
INSERT INTO `lang_definitions` VALUES (152938, 8759, 28, 'Opakující se informace:');
INSERT INTO `lang_definitions` VALUES (152939, 8761, 28, 'NAHRADIT');
INSERT INTO `lang_definitions` VALUES (152940, 8763, 28, 'nahradit celou sadu kódů');
INSERT INTO `lang_definitions` VALUES (152941, 8766, 28, 'nahrazeno');
INSERT INTO `lang_definitions` VALUES (152942, 8771, 28, 'Datum odpovědi');
INSERT INTO `lang_definitions` VALUES (152943, 8772, 28, 'Odpověď od');
INSERT INTO `lang_definitions` VALUES (152944, 8774, 28, 'Zpráva');
INSERT INTO `lang_definitions` VALUES (152945, 8776, 28, 'Klinická zpráva');
INSERT INTO `lang_definitions` VALUES (152946, 8797, 28, 'Zprávy');
INSERT INTO `lang_definitions` VALUES (152947, 8801, 28, 'Vyžádat si popis');
INSERT INTO `lang_definitions` VALUES (152948, 8803, 28, 'Chybí požadavek na ID !');
INSERT INTO `lang_definitions` VALUES (152949, 8804, 28, 'Požadavek ignorován - zpracování požadavku již probíhá !');
INSERT INTO `lang_definitions` VALUES (152950, 8809, 28, 'Stav požadavku');
INSERT INTO `lang_definitions` VALUES (152951, 8810, 28, 'Typ požadavku');
INSERT INTO `lang_definitions` VALUES (152952, 8811, 28, 'Typ požadavku není implementován');
INSERT INTO `lang_definitions` VALUES (152953, 8813, 28, 'Požadováno kým');
INSERT INTO `lang_definitions` VALUES (152954, 8814, 28, 'Požadované datum');
INSERT INTO `lang_definitions` VALUES (152955, 8815, 28, 'Požadovaná služba');
INSERT INTO `lang_definitions` VALUES (152956, 8819, 28, 'Je vyžadováno silné heslo');
INSERT INTO `lang_definitions` VALUES (152957, 8820, 28, 'Je vyžadováno unikátní heslo');
INSERT INTO `lang_definitions` VALUES (152958, 8821, 28, 'Vyžadováno');
INSERT INTO `lang_definitions` VALUES (152959, 8824, 28, 'Chybí požadované pole. Vyberte prosím EDI-271 soubor k nahrání');
INSERT INTO `lang_definitions` VALUES (152960, 8825, 28, 'Chybí požadované pole: Prosím  zadejte  jméno');
INSERT INTO `lang_definitions` VALUES (152961, 8826, 28, 'Chybí požadované pole: Prosím  zadejte  příjmení');
INSERT INTO `lang_definitions` VALUES (152962, 8827, 28, 'Chybí požadované pole: Prosím  zadejte  uživatelské jméno');
INSERT INTO `lang_definitions` VALUES (152963, 8828, 28, 'Požadovaná pole');
INSERT INTO `lang_definitions` VALUES (152964, 8829, 28, 'Požadavky');
INSERT INTO `lang_definitions` VALUES (152965, 8832, 28, 'REZERVOVÁNO');
INSERT INTO `lang_definitions` VALUES (152966, 8833, 28, 'Rezervováno');
INSERT INTO `lang_definitions` VALUES (152967, 8838, 28, 'Reset');
INSERT INTO `lang_definitions` VALUES (152968, 8852, 28, 'Vyřešeno');
INSERT INTO `lang_definitions` VALUES (152969, 8855, 28, 'Respirace');
INSERT INTO `lang_definitions` VALUES (152970, 8857, 28, 'Respirační');
INSERT INTO `lang_definitions` VALUES (152971, 8867, 28, 'Výsledek');
INSERT INTO `lang_definitions` VALUES (152972, 8868, 28, 'Jméno výsledku');
INSERT INTO `lang_definitions` VALUES (152973, 8869, 28, 'Stav výsledku');
INSERT INTO `lang_definitions` VALUES (152974, 8871, 28, 'Výsledek, použijte % jako zástupný znak');
INSERT INTO `lang_definitions` VALUES (152975, 8872, 28, 'Výsledky');
INSERT INTO `lang_definitions` VALUES (152976, 8873, 28, 'Výsledky a');
INSERT INTO `lang_definitions` VALUES (152977, 8875, 28, 'Skupiny výsledků');
INSERT INTO `lang_definitions` VALUES (152978, 8876, 28, 'Pouze výsledky');
INSERT INTO `lang_definitions` VALUES (152979, 8877, 28, 'Cesta k výsledkům');
INSERT INTO `lang_definitions` VALUES (152980, 8879, 28, 'Výsledků na stránku');
INSERT INTO `lang_definitions` VALUES (152981, 8880, 28, 'Výsledky/Detaily');
INSERT INTO `lang_definitions` VALUES (152982, 8884, 28, 'Vyšetření sítnice');
INSERT INTO `lang_definitions` VALUES (152983, 8890, 28, 'Návrat do kalendáře');
INSERT INTO `lang_definitions` VALUES (152984, 8901, 28, 'Opětovné použití 3 předchozích hesel není možné!');
INSERT INTO `lang_definitions` VALUES (152985, 8910, 28, 'Posoudit & Schválit');
INSERT INTO `lang_definitions` VALUES (152986, 8921, 28, 'Zhodnoceno');
INSERT INTO `lang_definitions` VALUES (152987, 8924, 28, 'Revize');
INSERT INTO `lang_definitions` VALUES (152988, 8925, 28, 'Revmatodiní artritis');
INSERT INTO `lang_definitions` VALUES (152989, 8926, 28, 'Revmatodiní artritis');
INSERT INTO `lang_definitions` VALUES (152990, 8931, 28, 'Pravé ucho');
INSERT INTO `lang_definitions` VALUES (152991, 8932, 28, 'pravé ucho');
INSERT INTO `lang_definitions` VALUES (152992, 8941, 28, 'Tinnitus');
INSERT INTO `lang_definitions` VALUES (152993, 8942, 28, 'Tinnitus');
INSERT INTO `lang_definitions` VALUES (152994, 8944, 28, 'Rizikové faktory');
INSERT INTO `lang_definitions` VALUES (152995, 8945, 28, 'Úroveň rizika');
INSERT INTO `lang_definitions` VALUES (152996, 8955, 28, 'Rozsah pohybu (ROM)');
INSERT INTO `lang_definitions` VALUES (152997, 8966, 28, 'Cesta');
INSERT INTO `lang_definitions` VALUES (152998, 8969, 28, 'Řádky');
INSERT INTO `lang_definitions` VALUES (152999, 8974, 28, 'Pravidlo');
INSERT INTO `lang_definitions` VALUES (153000, 8975, 28, 'Přidání pravidla');
INSERT INTO `lang_definitions` VALUES (153001, 8976, 28, 'Detail pravidla');
INSERT INTO `lang_definitions` VALUES (153002, 8978, 28, 'Editace pravidla');
INSERT INTO `lang_definitions` VALUES (153003, 8984, 28, 'Pravidla');
INSERT INTO `lang_definitions` VALUES (153004, 8986, 28, 'Konfigurace pravidel');
INSERT INTO `lang_definitions` VALUES (153005, 8989, 28, 'Běžící příkaz:');
INSERT INTO `lang_definitions` VALUES (153006, 8990, 28, 'Ruptura');
INSERT INTO `lang_definitions` VALUES (153007, 9034, 28, 'Prodej');
INSERT INTO `lang_definitions` VALUES (153008, 9035, 28, 'Prodeje');
INSERT INTO `lang_definitions` VALUES (153009, 9036, 28, 'Prodeje po položkách');
INSERT INTO `lang_definitions` VALUES (153010, 9039, 28, 'Stejný den');
INSERT INTO `lang_definitions` VALUES (153011, 9041, 28, 'Vzorek');
INSERT INTO `lang_definitions` VALUES (153012, 9047, 28, 'Sob');
INSERT INTO `lang_definitions` VALUES (153013, 9048, 28, 'Sob &amp; Ned');
INSERT INTO `lang_definitions` VALUES (153014, 9049, 28, 'Sobota');
INSERT INTO `lang_definitions` VALUES (153015, 9050, 28, 'Uložit');
INSERT INTO `lang_definitions` VALUES (153016, 9051, 28, 'ULOŽIT');
INSERT INTO `lang_definitions` VALUES (153017, 9055, 28, 'Uložit a zavřít');
INSERT INTO `lang_definitions` VALUES (153018, 9057, 28, 'Uložit a smazat požadavek');
INSERT INTO `lang_definitions` VALUES (153019, 9061, 28, 'Uožit jako nový');
INSERT INTO `lang_definitions` VALUES (153020, 9063, 28, 'Uložit jako novou poznámku');
INSERT INTO `lang_definitions` VALUES (153021, 9066, 28, 'Uložit nastavení certifikátů');
INSERT INTO `lang_definitions` VALUES (153022, 9067, 28, 'Uožit změny');
INSERT INTO `lang_definitions` VALUES (153023, 9075, 28, 'Uložit formulář');
INSERT INTO `lang_definitions` VALUES (153024, 9076, 28, 'Uložit imunizace');
INSERT INTO `lang_definitions` VALUES (153025, 9078, 28, 'Uložit nové pole');
INSERT INTO `lang_definitions` VALUES (153026, 9079, 28, 'Uložit novou skupinu');
INSERT INTO `lang_definitions` VALUES (153027, 9080, 28, 'Uložit nový seznam');
INSERT INTO `lang_definitions` VALUES (153028, 9081, 28, 'Uložit novou šablonu');
INSERT INTO `lang_definitions` VALUES (153029, 9083, 28, 'Uložit personální údaje pacienta');
INSERT INTO `lang_definitions` VALUES (153030, 9089, 28, 'Uložit transakci');
INSERT INTO `lang_definitions` VALUES (153031, 9090, 28, 'Úspěšně uloženo');
INSERT INTO `lang_definitions` VALUES (153032, 9098, 28, 'Skenováno');
INSERT INTO `lang_definitions` VALUES (153033, 9099, 28, 'Skenovaná poznámka k vyšetření');
INSERT INTO `lang_definitions` VALUES (153034, 9100, 28, 'Adresář pro skener');
INSERT INTO `lang_definitions` VALUES (153035, 9104, 28, 'plán/plánovat');
INSERT INTO `lang_definitions` VALUES (153036, 9122, 28, 'Skolióza');
INSERT INTO `lang_definitions` VALUES (153037, 9127, 28, 'Screening/ Testování');
INSERT INTO `lang_definitions` VALUES (153038, 9134, 28, 'SE Adresa');
INSERT INTO `lang_definitions` VALUES (153039, 9135, 28, 'SE Město');
INSERT INTO `lang_definitions` VALUES (153040, 9136, 28, 'SE Země');
INSERT INTO `lang_definitions` VALUES (153041, 9137, 28, 'SE Lokalita');
INSERT INTO `lang_definitions` VALUES (153042, 9138, 28, 'SE Poštovní kód');
INSERT INTO `lang_definitions` VALUES (153043, 9139, 28, 'SE Stát');
INSERT INTO `lang_definitions` VALUES (153044, 9140, 28, 'SE Zip Kód');
INSERT INTO `lang_definitions` VALUES (153045, 9141, 28, 'Hledat');
INSERT INTO `lang_definitions` VALUES (153046, 9143, 28, 'hledat');
INSERT INTO `lang_definitions` VALUES (153047, 9144, 28, 'hledat znovu');
INSERT INTO `lang_definitions` VALUES (153048, 9145, 28, 'Hledat ve všech sloupcích');
INSERT INTO `lang_definitions` VALUES (153049, 9158, 28, 'Hledat v');
INSERT INTO `lang_definitions` VALUES (153050, 9159, 28, 'Hledat v');
INSERT INTO `lang_definitions` VALUES (153051, 9161, 28, 'Hledat nebo Přidat pacienta');
INSERT INTO `lang_definitions` VALUES (153052, 9164, 28, 'Hledat platbu');
INSERT INTO `lang_definitions` VALUES (153053, 9167, 28, 'Výsledky vyhledávání');
INSERT INTO `lang_definitions` VALUES (153054, 9168, 28, 'Výsledky vyhledávání:');
INSERT INTO `lang_definitions` VALUES (153055, 9169, 28, 'Hledat vybrané');
INSERT INTO `lang_definitions` VALUES (153056, 9171, 28, 'Vyhledávaný řetězec neodpovídá položkám v databázi');
INSERT INTO `lang_definitions` VALUES (153057, 9172, 28, 'Vyhledávaný řetězec by měl mít minimálně 3 znaky');
INSERT INTO `lang_definitions` VALUES (153058, 9174, 28, 'Hledat text');
INSERT INTO `lang_definitions` VALUES (153059, 9175, 28, 'Hledat události');
INSERT INTO `lang_definitions` VALUES (153060, 9178, 28, 'Hledat/Přidat');
INSERT INTO `lang_definitions` VALUES (153061, 9181, 28, 'Hledání návštěvy');
INSERT INTO `lang_definitions` VALUES (153062, 9182, 28, 'Hledám...');
INSERT INTO `lang_definitions` VALUES (153063, 9186, 28, 'Druhý');
INSERT INTO `lang_definitions` VALUES (153064, 9189, 28, 'Sekundární');
INSERT INTO `lang_definitions` VALUES (153065, 9196, 28, 'ID sekce');
INSERT INTO `lang_definitions` VALUES (153066, 9197, 28, 'ID a název sekce nemohou být prázdné');
INSERT INTO `lang_definitions` VALUES (153067, 9198, 28, 'Jméno sekce');
INSERT INTO `lang_definitions` VALUES (153068, 9199, 28, 'Sekce úspěšně uložena');
INSERT INTO `lang_definitions` VALUES (153069, 9207, 28, 'Bezpečnost');
INSERT INTO `lang_definitions` VALUES (153070, 9208, 28, 'Prohlédnout vše');
INSERT INTO `lang_definitions` VALUES (153071, 9210, 28, 'Prohlédnout autorizace');
INSERT INTO `lang_definitions` VALUES (153072, 9213, 28, 'Prohlédnout  růstový graf');
INSERT INTO `lang_definitions` VALUES (153073, 9214, 28, 'Prohlédnout zprávy z naposledy generované sady požadavků');
INSERT INTO `lang_definitions` VALUES (153074, 9218, 28, 'Pozorováno od');
INSERT INTO `lang_definitions` VALUES (153075, 9220, 28, 'Jméno segmentu');
INSERT INTO `lang_definitions` VALUES (153076, 9222, 28, 'Křeče');
INSERT INTO `lang_definitions` VALUES (153077, 9223, 28, 'Vyb.');
INSERT INTO `lang_definitions` VALUES (153078, 9224, 28, 'vybrat');
INSERT INTO `lang_definitions` VALUES (153079, 9225, 28, 'Vybrat');
INSERT INTO `lang_definitions` VALUES (153080, 9227, 28, 'Vybrat součást');
INSERT INTO `lang_definitions` VALUES (153081, 9228, 28, 'Vybrat kontext');
INSERT INTO `lang_definitions` VALUES (153082, 9232, 28, 'Vybrat procenta z řádků nebo vybrat datum');
INSERT INTO `lang_definitions` VALUES (153083, 9235, 28, 'Vybrat časové rozpětí');
INSERT INTO `lang_definitions` VALUES (153084, 9236, 28, 'Vybrat uživatele');
INSERT INTO `lang_definitions` VALUES (153085, 9239, 28, 'Vybrat vše');
INSERT INTO `lang_definitions` VALUES (153086, 9241, 28, 'Vybrat datum změny');
INSERT INTO `lang_definitions` VALUES (153087, 9242, 28, 'Vybrat změny k tisku');
INSERT INTO `lang_definitions` VALUES (153088, 9248, 28, 'Vybrat  CAMOS položky k tisku');
INSERT INTO `lang_definitions` VALUES (153089, 9250, 28, 'Vybrat  kategorii');
INSERT INTO `lang_definitions` VALUES (153090, 9253, 28, 'Vybrat komunikační volby');
INSERT INTO `lang_definitions` VALUES (153091, 9254, 28, 'Vybrat odpovídající checkboxy k vymazání');
INSERT INTO `lang_definitions` VALUES (153092, 9256, 28, 'Vybrat kritéria ke smazání');
INSERT INTO `lang_definitions` VALUES (153093, 9257, 28, 'Vybrat CSV tabulku');
INSERT INTO `lang_definitions` VALUES (153094, 9260, 28, 'Vybrat data nutná pro reidentifikaci');
INSERT INTO `lang_definitions` VALUES (153095, 9261, 28, 'Vybrat data pro zahrnutí do deidentifikace');
INSERT INTO `lang_definitions` VALUES (153096, 9262, 28, 'Vybrat datum');
INSERT INTO `lang_definitions` VALUES (153097, 9265, 28, 'Vybrat diagnózu');
INSERT INTO `lang_definitions` VALUES (153098, 9267, 28, 'Vybrat diagnózu pro deidentifikační požadavek');
INSERT INTO `lang_definitions` VALUES (153099, 9271, 28, 'Vybrat léčivo');
INSERT INTO `lang_definitions` VALUES (153100, 9272, 28, 'Vybrat léčiva');
INSERT INTO `lang_definitions` VALUES (153101, 9273, 28, 'Vybrat léčiva pro deidentifikační požadavek');
INSERT INTO `lang_definitions` VALUES (153102, 9274, 28, 'Vybrat EDI-271 soubor');
INSERT INTO `lang_definitions` VALUES (153103, 9275, 28, 'Vybrat vyšetření');
INSERT INTO `lang_definitions` VALUES (153104, 9276, 28, 'Vybrat pole');
INSERT INTO `lang_definitions` VALUES (153105, 9278, 28, 'Vybrat pole');
INSERT INTO `lang_definitions` VALUES (153106, 9279, 28, 'Vybrat pro tisk');
INSERT INTO `lang_definitions` VALUES (153107, 9285, 28, 'Vybrat imunizace');
INSERT INTO `lang_definitions` VALUES (153108, 9286, 28, 'Vybrat imunizace pro deidentifikační požadavek');
INSERT INTO `lang_definitions` VALUES (153109, 9288, 28, 'Vybrat problém');
INSERT INTO `lang_definitions` VALUES (153110, 9289, 28, 'Vybrat položky');
INSERT INTO `lang_definitions` VALUES (153111, 9291, 28, 'Vybrat jazyk');
INSERT INTO `lang_definitions` VALUES (153112, 9298, 28, 'Vyberte jeden nebo více kódů diagnóz pro zdůvodnění služby');
INSERT INTO `lang_definitions` VALUES (153113, 9299, 28, 'Vyberte jeden nebo více souborů k nahrátí');
INSERT INTO `lang_definitions` VALUES (153114, 9303, 28, 'Vybrat výstup');
INSERT INTO `lang_definitions` VALUES (153115, 9311, 28, 'Vyberte kým požadováno');
INSERT INTO `lang_definitions` VALUES (153116, 9314, 28, 'Vybrat zdroj');
INSERT INTO `lang_definitions` VALUES (153117, 9317, 28, 'Vybrat šablonu');
INSERT INTO `lang_definitions` VALUES (153118, 9321, 28, 'Vybrat položky konfigurace k exportu');
INSERT INTO `lang_definitions` VALUES (153119, 9333, 28, 'Vyberte tisk adresního štítku pacienta z vyskakovacího okna v levé části obrazovky');
INSERT INTO `lang_definitions` VALUES (153120, 9338, 28, 'Vybrat uživatele');
INSERT INTO `lang_definitions` VALUES (153121, 9340, 28, 'Vyberte uživatele ze seznamu');
INSERT INTO `lang_definitions` VALUES (153122, 9341, 28, 'Vyberte jazyky pro přihlašování');
INSERT INTO `lang_definitions` VALUES (153123, 9343, 28, 'Vyberte ANO pro smazání skupiny');
INSERT INTO `lang_definitions` VALUES (153124, 9349, 28, 'Vybráno');
INSERT INTO `lang_definitions` VALUES (153125, 9350, 28, 'Vybrané  vyšetření');
INSERT INTO `lang_definitions` VALUES (153126, 9358, 28, 'Samoplátce');
INSERT INTO `lang_definitions` VALUES (153127, 9360, 28, 'Odeslat');
INSERT INTO `lang_definitions` VALUES (153128, 9369, 28, 'Odesílání probíhá');
INSERT INTO `lang_definitions` VALUES (153129, 9372, 28, 'Odeslat zprávu');
INSERT INTO `lang_definitions` VALUES (153130, 9378, 28, 'Odeslat připomenutí hromadně');
INSERT INTO `lang_definitions` VALUES (153131, 9384, 28, 'Odeslat tento soubor');
INSERT INTO `lang_definitions` VALUES (153132, 9385, 28, 'Odeslat tuto zprávu');
INSERT INTO `lang_definitions` VALUES (153133, 9386, 28, 'Odeslat komu');
INSERT INTO `lang_definitions` VALUES (153134, 9389, 28, 'Odeslat všem');
INSERT INTO `lang_definitions` VALUES (153135, 9392, 28, 'Odeslat na portál');
INSERT INTO `lang_definitions` VALUES (153136, 9393, 28, 'Odeslat na portál');
INSERT INTO `lang_definitions` VALUES (153137, 9395, 28, 'Odesílatel');
INSERT INTO `lang_definitions` VALUES (153138, 9396, 28, 'ID odesílatele');
INSERT INTO `lang_definitions` VALUES (153139, 9397, 28, 'ID odesílatele (ISA06)');
INSERT INTO `lang_definitions` VALUES (153140, 9399, 28, 'ID odesílatele');
INSERT INTO `lang_definitions` VALUES (153141, 9406, 28, 'Odesílání komu');
INSERT INTO `lang_definitions` VALUES (153142, 9411, 28, 'Citlivost:');
INSERT INTO `lang_definitions` VALUES (153143, 9412, 28, 'Vyšetření čití bpn');
INSERT INTO `lang_definitions` VALUES (153144, 9413, 28, 'Odesláno');
INSERT INTO `lang_definitions` VALUES (153145, 9414, 28, 'Odesláno - Potvrzeno');
INSERT INTO `lang_definitions` VALUES (153146, 9415, 28, 'Odesláno kým, ponechte prázdné pro výběr všech');
INSERT INTO `lang_definitions` VALUES (153147, 9416, 28, 'Odesláno kým:');
INSERT INTO `lang_definitions` VALUES (153148, 9417, 28, 'Datum odeslání');
INSERT INTO `lang_definitions` VALUES (153149, 9419, 28, 'Odeslané lékařské zprávy ?');
INSERT INTO `lang_definitions` VALUES (153150, 9420, 28, 'Odesláno úspěšně');
INSERT INTO `lang_definitions` VALUES (153151, 9423, 28, 'odesláno do tiskárny');
INSERT INTO `lang_definitions` VALUES (153152, 9424, 28, 'Odesláno komu, nechte prázdné pro výběr všech');
INSERT INTO `lang_definitions` VALUES (153153, 9425, 28, 'Odesláno komu:');
INSERT INTO `lang_definitions` VALUES (153154, 9426, 28, 'Odesláno, ale doručení nebylo dosud potvrzeno.');
INSERT INTO `lang_definitions` VALUES (153155, 9427, 28, 'Odesláno, nepřijato');
INSERT INTO `lang_definitions` VALUES (153156, 9429, 28, 'Zář.');
INSERT INTO `lang_definitions` VALUES (153157, 9430, 28, 'Odloučený');
INSERT INTO `lang_definitions` VALUES (153158, 9431, 28, 'Září');
INSERT INTO `lang_definitions` VALUES (153159, 9438, 28, 'Server může být offline');
INSERT INTO `lang_definitions` VALUES (153160, 9439, 28, 'Zpráva serveru:');
INSERT INTO `lang_definitions` VALUES (153161, 9442, 28, 'Služba');
INSERT INTO `lang_definitions` VALUES (153162, 9444, 28, 'Kategorie služby');
INSERT INTO `lang_definitions` VALUES (153163, 9445, 28, 'Kód služby');
INSERT INTO `lang_definitions` VALUES (153164, 9447, 28, 'Kódy služeb');
INSERT INTO `lang_definitions` VALUES (153165, 9448, 28, 'Datum služby');
INSERT INTO `lang_definitions` VALUES (153166, 9451, 28, 'Datum služby :');
INSERT INTO `lang_definitions` VALUES (153167, 9455, 28, 'Umístění služby');
INSERT INTO `lang_definitions` VALUES (153168, 9456, 28, 'Název služby');
INSERT INTO `lang_definitions` VALUES (153169, 9457, 28, 'Služba poskytovaná specialistou');
INSERT INTO `lang_definitions` VALUES (153170, 9461, 28, 'Služby');
INSERT INTO `lang_definitions` VALUES (153171, 9462, 28, 'Služby podle kategorie');
INSERT INTO `lang_definitions` VALUES (153172, 9463, 28, 'Služby poskytnuté');
INSERT INTO `lang_definitions` VALUES (153173, 9464, 28, 'Služby poskytnuté');
INSERT INTO `lang_definitions` VALUES (153174, 9465, 28, 'Služby/Produkty');
INSERT INTO `lang_definitions` VALUES (153175, 9466, 28, 'Typ sezení');
INSERT INTO `lang_definitions` VALUES (153176, 9467, 28, 'Nastavit');
INSERT INTO `lang_definitions` VALUES (153177, 9475, 28, 'Nastavit prioritu zpracování pro CDR zprávy');
INSERT INTO `lang_definitions` VALUES (153178, 9476, 28, 'Nastavit prioritu zpracování pro pacientské připomínky ( v plném klinickém módu)');
INSERT INTO `lang_definitions` VALUES (153179, 9480, 28, 'Nastavit na výchozí');
INSERT INTO `lang_definitions` VALUES (153180, 9486, 28, 'Nastavení čísla verze v databázi');
INSERT INTO `lang_definitions` VALUES (153181, 9488, 28, 'Nastavení');
INSERT INTO `lang_definitions` VALUES (153182, 9493, 28, 'Těžká migréna');
INSERT INTO `lang_definitions` VALUES (153183, 9496, 28, 'Stupeň bolesti');
INSERT INTO `lang_definitions` VALUES (153184, 9497, 28, 'Stupeň bolesti');
INSERT INTO `lang_definitions` VALUES (153185, 9498, 28, 'Pohlaví');
INSERT INTO `lang_definitions` VALUES (153186, 9499, 28, 'Sexuálně přenosné choroby');
INSERT INTO `lang_definitions` VALUES (153187, 9503, 28, 'Sdílení');
INSERT INTO `lang_definitions` VALUES (153188, 9507, 28, 'Krátký popis');
INSERT INTO `lang_definitions` VALUES (153189, 9510, 28, 'Dušnost');
INSERT INTO `lang_definitions` VALUES (153190, 9511, 28, 'Dušnost');
INSERT INTO `lang_definitions` VALUES (153191, 9512, 28, 'Dušnost 2');
INSERT INTO `lang_definitions` VALUES (153192, 9515, 28, 'Mělo by být povoleno');
INSERT INTO `lang_definitions` VALUES (153193, 9516, 28, 'Mělo by být jako nnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (153194, 9517, 28, 'Mělo by obsahovat 2 písmena');
INSERT INTO `lang_definitions` VALUES (153195, 9518, 28, 'Má obsahovat 10 čísel');
INSERT INTO `lang_definitions` VALUES (153196, 9519, 28, 'Má obsahovat pouze 10 čísel');
INSERT INTO `lang_definitions` VALUES (153197, 9520, 28, 'Rameno');
INSERT INTO `lang_definitions` VALUES (153198, 9521, 28, 'Rameno + klíční kost');
INSERT INTO `lang_definitions` VALUES (153199, 9522, 28, 'Problémy s ramenem');
INSERT INTO `lang_definitions` VALUES (153200, 9523, 28, 'Zobrazit');
INSERT INTO `lang_definitions` VALUES (153201, 9524, 28, 'Zobrazit aktivní');
INSERT INTO `lang_definitions` VALUES (153202, 9527, 28, 'Zobrazit vše');
INSERT INTO `lang_definitions` VALUES (153203, 9529, 28, 'Zobrazit všechny procedury');
INSERT INTO `lang_definitions` VALUES (153204, 9531, 28, 'Zobrazit všechny transakce');
INSERT INTO `lang_definitions` VALUES (153205, 9532, 28, 'Zobrazit jako zaneprázdněný');
INSERT INTO `lang_definitions` VALUES (153206, 9533, 28, 'Zobrazit pouze oprávněné');
INSERT INTO `lang_definitions` VALUES (153207, 9534, 28, 'Zobrazit dostupné časy');
INSERT INTO `lang_definitions` VALUES (153208, 9535, 28, 'Zobrazit jak US tak metrické jednotky ( hlavní jednotky jsou metrické)');
INSERT INTO `lang_definitions` VALUES (153209, 9536, 28, 'Zobrazit jak US tak metrické jednotky ( hlavní jednotky jsou US)');
INSERT INTO `lang_definitions` VALUES (153210, 9540, 28, 'Zobrazit detaily');
INSERT INTO `lang_definitions` VALUES (153211, 9542, 28, 'Zobrazit pouze chyby ?');
INSERT INTO `lang_definitions` VALUES (153212, 9544, 28, 'Zobrazit graf');
INSERT INTO `lang_definitions` VALUES (153213, 9546, 28, 'Zobrazit plovoucí text při přejetí myší ?');
INSERT INTO `lang_definitions` VALUES (153214, 9547, 28, 'Kolik událostí zobrazit na stránce správy ?');
INSERT INTO `lang_definitions` VALUES (153215, 9548, 28, 'Zobrazit neaktivní');
INSERT INTO `lang_definitions` VALUES (153216, 9552, 28, 'Zobrazit menu');
INSERT INTO `lang_definitions` VALUES (153217, 9553, 28, 'Zobrazit pouze metrické');
INSERT INTO `lang_definitions` VALUES (153218, 9556, 28, 'Zobrazit poznámky');
INSERT INTO `lang_definitions` VALUES (153219, 9561, 28, 'Zobrazit poznámky k pacientovi');
INSERT INTO `lang_definitions` VALUES (153220, 9568, 28, 'Zobrazit připomínky');
INSERT INTO `lang_definitions` VALUES (153221, 9569, 28, 'Zobrazit zprávu');
INSERT INTO `lang_definitions` VALUES (153222, 9585, 28, 'Zobrazení');
INSERT INTO `lang_definitions` VALUES (153223, 9589, 28, 'Zobrazení výsledků');
INSERT INTO `lang_definitions` VALUES (153224, 9593, 28, 'RA - sourozenci');
INSERT INTO `lang_definitions` VALUES (153225, 9595, 28, 'Sourozenci');
INSERT INTO `lang_definitions` VALUES (153226, 9598, 28, 'Sigmoideo - colonoskopie');
INSERT INTO `lang_definitions` VALUES (153227, 9606, 28, 'Podpis');
INSERT INTO `lang_definitions` VALUES (153228, 9609, 28, 'Podpis:');
INSERT INTO `lang_definitions` VALUES (153229, 9614, 28, 'Významný otok:');
INSERT INTO `lang_definitions` VALUES (153230, 9615, 28, 'Zjednodušeně');
INSERT INTO `lang_definitions` VALUES (153231, 9617, 28, 'Zjednodušené personální údaje');
INSERT INTO `lang_definitions` VALUES (153232, 9618, 28, 'Zjednodušené preskripce');
INSERT INTO `lang_definitions` VALUES (153233, 9619, 28, 'Od');
INSERT INTO `lang_definitions` VALUES (153234, 9620, 28, 'Srdečně,');
INSERT INTO `lang_definitions` VALUES (153235, 9629, 28, 'Problémy PND');
INSERT INTO `lang_definitions` VALUES (153236, 9630, 28, 'Chirurgie PND');
INSERT INTO `lang_definitions` VALUES (153237, 9631, 28, 'Citlivost PND');
INSERT INTO `lang_definitions` VALUES (153238, 9632, 28, 'Sinusitis');
INSERT INTO `lang_definitions` VALUES (153239, 9634, 28, 'Stránka');
INSERT INTO `lang_definitions` VALUES (153240, 9637, 28, 'ID stránky');
INSERT INTO `lang_definitions` VALUES (153241, 9646, 28, 'Velikost musí být číslo mezi 1 -999');
INSERT INTO `lang_definitions` VALUES (153242, 9648, 28, 'Velikost/Seznam');
INSERT INTO `lang_definitions` VALUES (153243, 9650, 28, 'Kůže');
INSERT INTO `lang_definitions` VALUES (153244, 9651, 28, 'Kožní nádor');
INSERT INTO `lang_definitions` VALUES (153245, 9652, 28, 'Kožní onemocnění');
INSERT INTO `lang_definitions` VALUES (153246, 9654, 28, 'Přeskočit ověření poznámky k pacientovi');
INSERT INTO `lang_definitions` VALUES (153247, 9659, 28, 'Vynechávám sekci');
INSERT INTO `lang_definitions` VALUES (153248, 9664, 28, 'Kvalita spánku');
INSERT INTO `lang_definitions` VALUES (153249, 9665, 28, 'Kvalita spánku');
INSERT INTO `lang_definitions` VALUES (153250, 9666, 28, 'Spánek');
INSERT INTO `lang_definitions` VALUES (153251, 9676, 28, 'Aktuální stav kuřáctví neznámý');
INSERT INTO `lang_definitions` VALUES (153252, 9678, 28, 'Kuřáctví');
INSERT INTO `lang_definitions` VALUES (153253, 9680, 28, 'SMS opráv.');
INSERT INTO `lang_definitions` VALUES (153254, 9683, 28, 'SMS brána');
INSERT INTO `lang_definitions` VALUES (153255, 9684, 28, 'API klíč SMS brány');
INSERT INTO `lang_definitions` VALUES (153256, 9685, 28, 'API klíč SMS brány');
INSERT INTO `lang_definitions` VALUES (153257, 9686, 28, 'Heslo SMS brány');
INSERT INTO `lang_definitions` VALUES (153258, 9687, 28, 'Uživatelské jméno pro SMS bránu');
INSERT INTO `lang_definitions` VALUES (153259, 9689, 28, 'SMS upozornění');
INSERT INTO `lang_definitions` VALUES (153260, 9690, 28, 'Hodiny pro SMS upozornění');
INSERT INTO `lang_definitions` VALUES (153261, 9693, 28, 'Odeslat SMS před');
INSERT INTO `lang_definitions` VALUES (153262, 9694, 28, 'SMS odeslána');
INSERT INTO `lang_definitions` VALUES (153263, 9701, 28, 'SMS/Email upozornění bylo odesláno');
INSERT INTO `lang_definitions` VALUES (153264, 9703, 28, 'SMTP heslo pro ověření');
INSERT INTO `lang_definitions` VALUES (153265, 9706, 28, 'Jméno hosta SMTP serveru');
INSERT INTO `lang_definitions` VALUES (153266, 9707, 28, 'Číslo portu SMTP serveru');
INSERT INTO `lang_definitions` VALUES (153267, 9708, 28, 'Ověření uživatele SMTP');
INSERT INTO `lang_definitions` VALUES (153268, 9721, 28, 'chrápání');
INSERT INTO `lang_definitions` VALUES (153269, 9722, 28, 'SOZD');
INSERT INTO `lang_definitions` VALUES (153270, 9726, 28, 'Sociální rozdíly');
INSERT INTO `lang_definitions` VALUES (153271, 9729, 28, 'SA');
INSERT INTO `lang_definitions` VALUES (153272, 9732, 28, 'řešení');
INSERT INTO `lang_definitions` VALUES (153273, 9736, 28, 'Některé kódy nebyly zobrazeny.');
INSERT INTO `lang_definitions` VALUES (153274, 9737, 28, 'Některá vyšetření nebyla zobrazena. Klikem zde zobrazíte vše.');
INSERT INTO `lang_definitions` VALUES (153275, 9738, 28, 'Během identifikace se objevily chyby.');
INSERT INTO `lang_definitions` VALUES (153276, 9740, 28, 'Některé poznámky nebyly zobrazeny');
INSERT INTO `lang_definitions` VALUES (153277, 9744, 28, 'Někdo jiný změnil tuto návštěvu. Zruště stránku a zkuste to znovu.');
INSERT INTO `lang_definitions` VALUES (153278, 9747, 28, 'Něco se pokazilo :-) Zkuste to znovu');
INSERT INTO `lang_definitions` VALUES (153279, 9750, 28, 'Bolesti v krku');
INSERT INTO `lang_definitions` VALUES (153280, 9754, 28, 'Omouváme se , ale došlo k problému při nahrávání souboru.');
INSERT INTO `lang_definitions` VALUES (153281, 9758, 28, 'Seřadit podle');
INSERT INTO `lang_definitions` VALUES (153282, 9759, 28, 'Seřadit podle');
INSERT INTO `lang_definitions` VALUES (153283, 9761, 28, 'Seřadit podle kontrolního součtu');
INSERT INTO `lang_definitions` VALUES (153284, 9762, 28, 'Seřadit podle komentářů');
INSERT INTO `lang_definitions` VALUES (153285, 9764, 28, 'Seřadit podle data');
INSERT INTO `lang_definitions` VALUES (153286, 9765, 28, 'Seřadit podle data/času');
INSERT INTO `lang_definitions` VALUES (153287, 9766, 28, 'Seřadit podle události');
INSERT INTO `lang_definitions` VALUES (153288, 9767, 28, 'Seřadit podle skupiny');
INSERT INTO `lang_definitions` VALUES (153289, 9768, 28, 'Seřadit podle nového kontrolního součtu');
INSERT INTO `lang_definitions` VALUES (153290, 9769, 28, 'Seřadit podle strarého kontrolního součtu');
INSERT INTO `lang_definitions` VALUES (153291, 9770, 28, 'Seřadit podle ID Pacienta');
INSERT INTO `lang_definitions` VALUES (153292, 9774, 28, 'Seřadit podle uživatele');
INSERT INTO `lang_definitions` VALUES (153293, 9775, 28, 'Seřadit podle vakcíny');
INSERT INTO `lang_definitions` VALUES (153294, 9776, 28, 'Seřadit sestupně');
INSERT INTO `lang_definitions` VALUES (153295, 9777, 28, 'Seřadit výsledky podle');
INSERT INTO `lang_definitions` VALUES (153296, 9778, 28, 'Seřadit vzestupně');
INSERT INTO `lang_definitions` VALUES (153297, 9779, 28, 'Zdroj');
INSERT INTO `lang_definitions` VALUES (153298, 9781, 28, 'Zdrojový soubor');
INSERT INTO `lang_definitions` VALUES (153299, 9782, 28, 'Cesta ke zdrojovému souboru');
INSERT INTO `lang_definitions` VALUES (153300, 9783, 28, 'Pro kód chybí zdroj');
INSERT INTO `lang_definitions` VALUES (153301, 9784, 28, 'Zdrojové množství');
INSERT INTO `lang_definitions` VALUES (153302, 9786, 28, 'Zdrojový pacient');
INSERT INTO `lang_definitions` VALUES (153303, 9787, 28, 'Zdrojový pacient nemá datum narození');
INSERT INTO `lang_definitions` VALUES (153304, 9788, 28, 'Zdrojový pacient nenalezen');
INSERT INTO `lang_definitions` VALUES (153305, 9789, 28, 'Zdroj:');
INSERT INTO `lang_definitions` VALUES (153306, 9792, 28, 'Prostor');
INSERT INTO `lang_definitions` VALUES (153307, 9793, 28, 'PROSTOR');
INSERT INTO `lang_definitions` VALUES (153308, 9799, 28, 'Nejsou povoleny speciální znaky');
INSERT INTO `lang_definitions` VALUES (153309, 9801, 28, 'Specialista');
INSERT INTO `lang_definitions` VALUES (153310, 9802, 28, 'Jméno a podpis specialisty');
INSERT INTO `lang_definitions` VALUES (153311, 9804, 28, 'Specializace');
INSERT INTO `lang_definitions` VALUES (153312, 9806, 28, 'Specializace:');
INSERT INTO `lang_definitions` VALUES (153313, 9807, 28, 'Specifický');
INSERT INTO `lang_definitions` VALUES (153314, 9810, 28, 'Specifické výsledky');
INSERT INTO `lang_definitions` VALUES (153315, 9811, 28, 'Specifická služba');
INSERT INTO `lang_definitions` VALUES (153316, 9812, 28, 'Specifikováno');
INSERT INTO `lang_definitions` VALUES (153317, 9823, 28, 'Vzorek');
INSERT INTO `lang_definitions` VALUES (153318, 9824, 28, 'číslo/identifikátor vzorku');
INSERT INTO `lang_definitions` VALUES (153319, 9825, 28, 'Typ vzorku');
INSERT INTO `lang_definitions` VALUES (153320, 9828, 28, 'Spermicid');
INSERT INTO `lang_definitions` VALUES (153321, 9831, 28, 'Splenektomie');
INSERT INTO `lang_definitions` VALUES (153322, 9832, 28, 'manžel(ka)');
INSERT INTO `lang_definitions` VALUES (153323, 9850, 28, 'Správa SSL certifikátů');
INSERT INTO `lang_definitions` VALUES (153324, 9852, 28, 'Stabilita');
INSERT INTO `lang_definitions` VALUES (153325, 9857, 28, 'Standarní kód');
INSERT INTO `lang_definitions` VALUES (153326, 9860, 28, 'Standardní měření');
INSERT INTO `lang_definitions` VALUES (153327, 9861, 28, 'Standardní měření (aktivní upozornění)');
INSERT INTO `lang_definitions` VALUES (153328, 9862, 28, 'Standardní měření (pasivní upozornění)');
INSERT INTO `lang_definitions` VALUES (153329, 9863, 28, 'Standardní měření (Pacientské upomínky)');
INSERT INTO `lang_definitions` VALUES (153330, 9864, 28, 'Standardní jméno');
INSERT INTO `lang_definitions` VALUES (153331, 9866, 28, 'Začátek');
INSERT INTO `lang_definitions` VALUES (153332, 9867, 28, 'Začátek (rrrr-mm-dd):');
INSERT INTO `lang_definitions` VALUES (153333, 9868, 28, 'Začít jinou zprávu');
INSERT INTO `lang_definitions` VALUES (153334, 9874, 28, 'Datum počátku');
INSERT INTO `lang_definitions` VALUES (153335, 9876, 28, 'Počáteční datum této kliniky');
INSERT INTO `lang_definitions` VALUES (153336, 9877, 28, 'Počáteční datum by nemělo být vyšší než koncové');
INSERT INTO `lang_definitions` VALUES (153337, 9878, 28, 'Počáteční datum:');
INSERT INTO `lang_definitions` VALUES (153338, 9879, 28, 'Počáteční datum:');
INSERT INTO `lang_definitions` VALUES (153339, 9881, 28, 'Čas začátku:');
INSERT INTO `lang_definitions` VALUES (153340, 9884, 28, 'Počáteční datum:');
INSERT INTO `lang_definitions` VALUES (153341, 9898, 28, 'Stát/Lokalita');
INSERT INTO `lang_definitions` VALUES (153342, 9908, 28, 'Statický text');
INSERT INTO `lang_definitions` VALUES (153343, 9909, 28, 'Statistika');
INSERT INTO `lang_definitions` VALUES (153344, 9914, 28, 'Stav přijetí');
INSERT INTO `lang_definitions` VALUES (153345, 9915, 28, 'Stav požadavku');
INSERT INTO `lang_definitions` VALUES (153346, 9925, 28, 'Kroky instalace DCM IV databáze');
INSERT INTO `lang_definitions` VALUES (153347, 9926, 28, 'Kroky instalace ICD 10 databáze');
INSERT INTO `lang_definitions` VALUES (153348, 9927, 28, 'Kroky instalace ICD 9 databáze');
INSERT INTO `lang_definitions` VALUES (153349, 9928, 28, 'Kroky instalace RxNorm databáze');
INSERT INTO `lang_definitions` VALUES (153350, 9929, 28, 'Kroky instalace Snomed databáze');
INSERT INTO `lang_definitions` VALUES (153351, 9932, 28, 'kloubní ztuhlost');
INSERT INTO `lang_definitions` VALUES (153352, 9933, 28, 'ztuhlost');
INSERT INTO `lang_definitions` VALUES (153353, 9936, 28, 'Bolesti břicha');
INSERT INTO `lang_definitions` VALUES (153354, 9944, 28, 'Svalové napětí');
INSERT INTO `lang_definitions` VALUES (153355, 9946, 28, 'Proud');
INSERT INTO `lang_definitions` VALUES (153356, 9947, 28, 'Ulice');
INSERT INTO `lang_definitions` VALUES (153357, 9948, 28, 'Adresa ulice');
INSERT INTO `lang_definitions` VALUES (153358, 9949, 28, 'Ulice a číslo');
INSERT INTO `lang_definitions` VALUES (153359, 9950, 28, 'Síla');
INSERT INTO `lang_definitions` VALUES (153360, 9952, 28, 'Streptokoková pharyngitis');
INSERT INTO `lang_definitions` VALUES (153361, 9956, 28, 'CMP');
INSERT INTO `lang_definitions` VALUES (153362, 9958, 28, 'Silné heslo znamená alespoň 8 znaků a alespoň tři znaky jako jsou : číslo, malé písmeno, velké písmeno, speciální znak.');
INSERT INTO `lang_definitions` VALUES (153363, 9960, 28, 'Styl');
INSERT INTO `lang_definitions` VALUES (153364, 9965, 28, 'Podkategorie');
INSERT INTO `lang_definitions` VALUES (153365, 9967, 28, 'Podkategorie');
INSERT INTO `lang_definitions` VALUES (153366, 9968, 28, 'podkategorie');
INSERT INTO `lang_definitions` VALUES (153367, 9969, 28, 'podkožně');
INSERT INTO `lang_definitions` VALUES (153368, 9971, 28, 'Subjektivně');
INSERT INTO `lang_definitions` VALUES (153369, 9972, 28, 'Sublinguálně');
INSERT INTO `lang_definitions` VALUES (153370, 9973, 28, 'sublinguálně');
INSERT INTO `lang_definitions` VALUES (153371, 10020, 28, 'Substituce');
INSERT INTO `lang_definitions` VALUES (153372, 10024, 28, 'Úspěch');
INSERT INTO `lang_definitions` VALUES (153373, 10025, 28, 'úspěch');
INSERT INTO `lang_definitions` VALUES (153374, 10026, 28, 'Příjem laboratorních výsledků byl úspěšně potvrzen');
INSERT INTO `lang_definitions` VALUES (153375, 10027, 28, 'Laboratorní výsledky úspěšně přijaty');
INSERT INTO `lang_definitions` VALUES (153376, 10030, 28, 'Kategorie úspěšně přidána');
INSERT INTO `lang_definitions` VALUES (153377, 10031, 28, 'přidání do kategorie bylo úspěšné');
INSERT INTO `lang_definitions` VALUES (153378, 10033, 28, 'Úspěšně smazáno');
INSERT INTO `lang_definitions` VALUES (153379, 10035, 28, 'Databáze byla úspěšně  instalována.');
INSERT INTO `lang_definitions` VALUES (153380, 10036, 28, 'Následující databáze byla úspěšně instalována.');
INSERT INTO `lang_definitions` VALUES (153381, 10037, 28, 'Úspěšně modifikováno');
INSERT INTO `lang_definitions` VALUES (153382, 10039, 28, 'Úspěšně uloženo. Chcete alokovat ?');
INSERT INTO `lang_definitions` VALUES (153383, 10040, 28, 'Úspěšně uloženo. Chcete distribuovat ?');
INSERT INTO `lang_definitions` VALUES (153384, 10042, 28, 'Úspěšně uloženo.');
INSERT INTO `lang_definitions` VALUES (153385, 10044, 28, 'Upgrade databáze byl úspěšný.');
INSERT INTO `lang_definitions` VALUES (153386, 10045, 28, 'Upgrade následující databáze byl úspěšný.');
INSERT INTO `lang_definitions` VALUES (153387, 10046, 28, 'úspěšně.');
INSERT INTO `lang_definitions` VALUES (153388, 10049, 28, 'Sebevražda');
INSERT INTO `lang_definitions` VALUES (153389, 10051, 28, 'Souhrn');
INSERT INTO `lang_definitions` VALUES (153390, 10052, 28, 'Souhrn');
INSERT INTO `lang_definitions` VALUES (153391, 10058, 28, 'Ne');
INSERT INTO `lang_definitions` VALUES (153392, 10060, 28, 'Neděle');
INSERT INTO `lang_definitions` VALUES (153393, 10090, 28, 'Typ povrchu');
INSERT INTO `lang_definitions` VALUES (153394, 10092, 28, 'Operace');
INSERT INTO `lang_definitions` VALUES (153395, 10093, 28, 'Operace');
INSERT INTO `lang_definitions` VALUES (153396, 10102, 28, 'Pocení:');
INSERT INTO `lang_definitions` VALUES (153397, 10104, 28, 'Otok');
INSERT INTO `lang_definitions` VALUES (153398, 10106, 28, 'Otok kloubů');
INSERT INTO `lang_definitions` VALUES (153399, 10107, 28, 'Lymfadenopatie');
INSERT INTO `lang_definitions` VALUES (153400, 10108, 28, 'Symbol pro oddělení desetinného místa měny. Nepoužije se pokud je desetinné místo 0.');
INSERT INTO `lang_definitions` VALUES (153401, 10109, 28, 'Symbol pro oddělení tisíců měny.');
INSERT INTO `lang_definitions` VALUES (153402, 10110, 28, 'Přiznaky');
INSERT INTO `lang_definitions` VALUES (153403, 10111, 28, 'Synchronizace');
INSERT INTO `lang_definitions` VALUES (153404, 10116, 28, 'Synkopa');
INSERT INTO `lang_definitions` VALUES (153405, 10121, 28, 'Systém');
INSERT INTO `lang_definitions` VALUES (153406, 10133, 28, 'Tabulka');
INSERT INTO `lang_definitions` VALUES (153407, 10137, 28, 'Vytvoření tabulky selhalo');
INSERT INTO `lang_definitions` VALUES (153408, 10138, 28, 'Aktualizace tabulky selhalo');
INSERT INTO `lang_definitions` VALUES (153409, 10139, 28, 'Tabulky');
INSERT INTO `lang_definitions` VALUES (153410, 10189, 28, 'Mezinárodní předvolba');
INSERT INTO `lang_definitions` VALUES (153411, 10196, 28, 'Teplota');
INSERT INTO `lang_definitions` VALUES (153412, 10197, 28, 'Šablona');
INSERT INTO `lang_definitions` VALUES (153413, 10198, 28, 'Jméno šablony');
INSERT INTO `lang_definitions` VALUES (153414, 10199, 28, 'Jména šablon nemohou začínat čísly');
INSERT INTO `lang_definitions` VALUES (153415, 10201, 28, 'Šablona:');
INSERT INTO `lang_definitions` VALUES (153416, 10202, 28, 'Šablony');
INSERT INTO `lang_definitions` VALUES (153417, 10205, 28, 'Arteria temporalis');
INSERT INTO `lang_definitions` VALUES (153418, 10208, 28, 'Poranění šlachy');
INSERT INTO `lang_definitions` VALUES (153419, 10224, 28, 'Textová diagnóza');
INSERT INTO `lang_definitions` VALUES (153420, 10225, 28, 'Textové pole');
INSERT INTO `lang_definitions` VALUES (153421, 10235, 28, 'Textová oblast');
INSERT INTO `lang_definitions` VALUES (153422, 10236, 28, 'textová oblast');
INSERT INTO `lang_definitions` VALUES (153423, 10242, 28, 'Děkujeme');
INSERT INTO `lang_definitions` VALUES (153424, 10245, 28, 'Děkujeme, že jste si vybrali');
INSERT INTO `lang_definitions` VALUES (153425, 10247, 28, 'Tlačítko \"Vyčistit\" odstraní všechny anotace');
INSERT INTO `lang_definitions` VALUES (153426, 10618, 28, 'Žádné nálezy u tohoto pacienta');
INSERT INTO `lang_definitions` VALUES (153427, 10859, 28, 'To sloučí dva grafy pacienta do jednoho. To je užitečné v případě, že pacient byl kopírován omylem. Pokud se tak stane často, opravte vaše  procedury.');
INSERT INTO `lang_definitions` VALUES (153428, 10860, 28, 'Toto vám nezabrání v přechodu na stránku e-Preskripce');
INSERT INTO `lang_definitions` VALUES (153429, 10867, 28, 'Bude použit přednostně  uživatelský list vakcinací před jeho standardní CVX formou');
INSERT INTO `lang_definitions` VALUES (153430, 10871, 28, 'Hrudní páteř');
INSERT INTO `lang_definitions` VALUES (153431, 10878, 28, 'Dutina ústní');
INSERT INTO `lang_definitions` VALUES (153432, 10879, 28, 'Karcinom dutiny ústní');
INSERT INTO `lang_definitions` VALUES (153433, 10880, 28, 'Operace karcinomu dutiny ústní');
INSERT INTO `lang_definitions` VALUES (153434, 10881, 28, 'Trombóza/CMP');
INSERT INTO `lang_definitions` VALUES (153435, 10882, 28, 'Čt');
INSERT INTO `lang_definitions` VALUES (153436, 10884, 28, 'Čtvrtek');
INSERT INTO `lang_definitions` VALUES (153437, 10885, 28, 'Čtvrtek');
INSERT INTO `lang_definitions` VALUES (153438, 10887, 28, 'Štítná žláza bpn.');
INSERT INTO `lang_definitions` VALUES (153439, 10888, 28, 'Problémy se štítnou žlázou');
INSERT INTO `lang_definitions` VALUES (153440, 10902, 28, 'Čas');
INSERT INTO `lang_definitions` VALUES (153441, 10903, 28, 'Formát zobrazení');
INSERT INTO `lang_definitions` VALUES (153442, 10904, 28, 'Čas pro přidání (1-60 minut)');
INSERT INTO `lang_definitions` VALUES (153443, 10905, 28, 'Výběr času');
INSERT INTO `lang_definitions` VALUES (153444, 10907, 28, 'Otevřená časová pozice, ukládám událost.');
INSERT INTO `lang_definitions` VALUES (153445, 10913, 28, 'Načasované události');
INSERT INTO `lang_definitions` VALUES (153446, 10915, 28, 'Časová značka a text');
INSERT INTO `lang_definitions` VALUES (153447, 10925, 28, 'Tituly');
INSERT INTO `lang_definitions` VALUES (153448, 10931, 28, 'do absolutní cesty k souboru');
INSERT INTO `lang_definitions` VALUES (153449, 10936, 28, 'Klikněte pro přidání poznámek');
INSERT INTO `lang_definitions` VALUES (153450, 10937, 28, 'Klikněte zde pro přidání poznámek');
INSERT INTO `lang_definitions` VALUES (153451, 10938, 28, 'Do dotčené oblasti');
INSERT INTO `lang_definitions` VALUES (153452, 10939, 28, 'do dotčené oblasti');
INSERT INTO `lang_definitions` VALUES (153453, 10945, 28, 'do kategorie');
INSERT INTO `lang_definitions` VALUES (153454, 10952, 28, 'Musí být zadáno pozdější datum než datum od !');
INSERT INTO `lang_definitions` VALUES (153455, 10958, 28, 'Pro vypnutí klientských SSL certifikátů, zakomentujte výše uvedené řádky v konfiguraci Appache a nastavte');
INSERT INTO `lang_definitions` VALUES (153456, 10960, 28, 'Pro vypnutí HTTP, zakomentujte výše uvedené řádky v konfiguraci Appache a restartujte Apache server');
INSERT INTO `lang_definitions` VALUES (153457, 10965, 28, 'Pro povolení klientských SSL certifikátů');
INSERT INTO `lang_definitions` VALUES (153458, 10966, 28, 'Pro zapnutí ověření klientských SSL certifikátů musí být zapnuto HTTPS');
INSERT INTO `lang_definitions` VALUES (153459, 10970, 28, 'Pro povolení pouze  HTTPS, proveďte výše uvedené změny a restartujte server Apache. Chcete-li nastavit také klientské certifikáty, prosím nakonfigurujte je  v další sekci.');
INSERT INTO `lang_definitions` VALUES (153460, 10973, 28, 'Filtorovat podle pohlaví');
INSERT INTO `lang_definitions` VALUES (153461, 10984, 28, 'Pro propojení tohoto vyšetření /konzultace s existujícím problémem klikněte');
INSERT INTO `lang_definitions` VALUES (153462, 10985, 28, 'Pro propojení tohoto vyšetření /konzultace s existujícím problémem klikem označte požadovaný problém a klikněte na [Uložit]. Pro výběr  více problému držte stisknutou klávesu [Ctrl].');
INSERT INTO `lang_definitions` VALUES (153463, 10987, 28, 'přihlásit se znovu');
INSERT INTO `lang_definitions` VALUES (153464, 10992, 28, 'Pro zápis nálezu klikněte');
INSERT INTO `lang_definitions` VALUES (153465, 11001, 28, 'Pro nastavení http přístupu přes klientský certifikát proveďte následující');
INSERT INTO `lang_definitions` VALUES (153466, 11005, 28, 'k této návštěvě ?');
INSERT INTO `lang_definitions` VALUES (153467, 11006, 28, 'K nahrátí dokumentu CCR u již existujícího pacienta použijte volbu v  Souhrnném okno pacienta->Dokumenty. Pro nahrátí dokumentů nového pacienta použijte  volbu Různé->Nový dokument.');
INSERT INTO `lang_definitions` VALUES (153468, 11010, 28, 'Do:');
INSERT INTO `lang_definitions` VALUES (153469, 11011, 28, 'Do:');
INSERT INTO `lang_definitions` VALUES (153470, 11025, 28, 'Tabák');
INSERT INTO `lang_definitions` VALUES (153471, 11028, 28, 'Užívání tabákových výrobků');
INSERT INTO `lang_definitions` VALUES (153472, 11029, 28, 'Užívání tabákových výrobků');
INSERT INTO `lang_definitions` VALUES (153473, 11032, 28, 'Dnes');
INSERT INTO `lang_definitions` VALUES (153474, 11033, 28, 'DNES');
INSERT INTO `lang_definitions` VALUES (153475, 11034, 28, 'dnes');
INSERT INTO `lang_definitions` VALUES (153476, 11035, 28, 'Dnešní bilance');
INSERT INTO `lang_definitions` VALUES (153477, 11036, 28, 'Dnešní platby');
INSERT INTO `lang_definitions` VALUES (153478, 11037, 28, 'Dnešní datum');
INSERT INTO `lang_definitions` VALUES (153479, 11038, 28, 'Dnešní události');
INSERT INTO `lang_definitions` VALUES (153480, 11040, 28, 'Přepnout vše');
INSERT INTO `lang_definitions` VALUES (153481, 11047, 28, 'Tonsilektomie');
INSERT INTO `lang_definitions` VALUES (153482, 11048, 28, 'tonsilektomie');
INSERT INTO `lang_definitions` VALUES (153483, 11050, 28, 'Nahoře');
INSERT INTO `lang_definitions` VALUES (153484, 11052, 28, 'Horní okraj (mm)');
INSERT INTO `lang_definitions` VALUES (153485, 11053, 28, 'Téma');
INSERT INTO `lang_definitions` VALUES (153486, 11054, 28, 'Celkový');
INSERT INTO `lang_definitions` VALUES (153487, 11055, 28, 'celkový');
INSERT INTO `lang_definitions` VALUES (153488, 11061, 28, 'Celkově zaplacené množství');
INSERT INTO `lang_definitions` VALUES (153489, 11063, 28, 'Celková platba');
INSERT INTO `lang_definitions` VALUES (153490, 11064, 28, 'Celkem platby');
INSERT INTO `lang_definitions` VALUES (153491, 11065, 28, 'Celkem klientů');
INSERT INTO `lang_definitions` VALUES (153492, 11067, 28, 'Celkové náklady');
INSERT INTO `lang_definitions` VALUES (153493, 11070, 28, 'Celkem neúspěšně odeslaných  mailových upomínek');
INSERT INTO `lang_definitions` VALUES (153494, 11072, 28, 'Celkem za');
INSERT INTO `lang_definitions` VALUES (153495, 11073, 28, 'Celkem za');
INSERT INTO `lang_definitions` VALUES (153496, 11074, 28, 'Celkem za kategorii');
INSERT INTO `lang_definitions` VALUES (153497, 11078, 28, 'Celkem nových upomínek');
INSERT INTO `lang_definitions` VALUES (153498, 11079, 28, 'Celkový počet návštěv');
INSERT INTO `lang_definitions` VALUES (153499, 11081, 28, 'Celkový počet imunizací');
INSERT INTO `lang_definitions` VALUES (153500, 11082, 28, 'Celkový počet problémů');
INSERT INTO `lang_definitions` VALUES (153501, 11084, 28, 'Celkový počet pacientů');
INSERT INTO `lang_definitions` VALUES (153502, 11089, 28, 'Celkem pacientů');
INSERT INTO `lang_definitions` VALUES (153503, 11093, 28, 'Celkem nalezených záznamů');
INSERT INTO `lang_definitions` VALUES (153504, 11096, 28, 'Celkem úspěšně odeslaných e-mailových upomínek');
INSERT INTO `lang_definitions` VALUES (153505, 11106, 28, 'Součty');
INSERT INTO `lang_definitions` VALUES (153506, 11107, 28, 'Součty pro');
INSERT INTO `lang_definitions` VALUES (153507, 11130, 28, 'Sledování');
INSERT INTO `lang_definitions` VALUES (153508, 11135, 28, 'Typ tréninku');
INSERT INTO `lang_definitions` VALUES (153509, 11136, 28, 'Provést transakci');
INSERT INTO `lang_definitions` VALUES (153510, 11137, 28, 'Transakce');
INSERT INTO `lang_definitions` VALUES (153511, 11138, 28, 'transakce');
INSERT INTO `lang_definitions` VALUES (153512, 11140, 28, 'Transakce selhala, množství je menší než 0');
INSERT INTO `lang_definitions` VALUES (153513, 11142, 28, 'Typ transakce');
INSERT INTO `lang_definitions` VALUES (153514, 11143, 28, 'Transakce');
INSERT INTO `lang_definitions` VALUES (153515, 11144, 28, 'transactions');
INSERT INTO `lang_definitions` VALUES (153516, 11145, 28, 'Transakce (volitelně zapisovat)');
INSERT INTO `lang_definitions` VALUES (153517, 11151, 28, 'Transakce/Doporučení');
INSERT INTO `lang_definitions` VALUES (153518, 11153, 28, 'Převod');
INSERT INTO `lang_definitions` VALUES (153519, 11154, 28, 'Datum převodu');
INSERT INTO `lang_definitions` VALUES (153520, 11156, 28, 'Souhrn při předání');
INSERT INTO `lang_definitions` VALUES (153521, 11157, 28, 'Převod do/k');
INSERT INTO `lang_definitions` VALUES (153522, 11160, 28, 'Převody');
INSERT INTO `lang_definitions` VALUES (153523, 11162, 28, 'Přesun/Převod péče ?');
INSERT INTO `lang_definitions` VALUES (153524, 11163, 28, 'Přeložit skupiny pro kontrolu přístupu');
INSERT INTO `lang_definitions` VALUES (153525, 11164, 28, 'Přeložit kategorie návštěv');
INSERT INTO `lang_definitions` VALUES (153526, 11165, 28, 'Přeložit kategorie dokumentů');
INSERT INTO `lang_definitions` VALUES (153527, 11166, 28, 'Přeložit rozhraní');
INSERT INTO `lang_definitions` VALUES (153528, 11167, 28, 'Přeložit seznamy');
INSERT INTO `lang_definitions` VALUES (153529, 11168, 28, 'Přeložit název poznámky k pacientovi');
INSERT INTO `lang_definitions` VALUES (153530, 11169, 28, 'přeložit');
INSERT INTO `lang_definitions` VALUES (153531, 11170, 28, 'Překlad');
INSERT INTO `lang_definitions` VALUES (153532, 11171, 28, 'Překlady');
INSERT INTO `lang_definitions` VALUES (153533, 11172, 28, 'Odeslat');
INSERT INTO `lang_definitions` VALUES (153534, 11175, 28, 'Odeslání selhalo');
INSERT INTO `lang_definitions` VALUES (153535, 11177, 28, 'Odeslat vybrané objednávky');
INSERT INTO `lang_definitions` VALUES (153536, 11179, 28, 'Trauma');
INSERT INTO `lang_definitions` VALUES (153537, 11180, 28, 'Léčba');
INSERT INTO `lang_definitions` VALUES (153538, 11182, 28, 'Léčebné cíle');
INSERT INTO `lang_definitions` VALUES (153539, 11183, 28, 'Léčebný plán');
INSERT INTO `lang_definitions` VALUES (153540, 11184, 28, 'Plánovaná léčba');
INSERT INTO `lang_definitions` VALUES (153541, 11185, 28, 'Léčba podána');
INSERT INTO `lang_definitions` VALUES (153542, 11186, 28, 'Léčba:');
INSERT INTO `lang_definitions` VALUES (153543, 11187, 28, 'Léčba:');
INSERT INTO `lang_definitions` VALUES (153544, 11189, 28, 'Tendence');
INSERT INTO `lang_definitions` VALUES (153545, 11195, 28, 'Trigger point / kompartment syndrom / DOMS / křeče');
INSERT INTO `lang_definitions` VALUES (153546, 11196, 28, 'Trimaleolární');
INSERT INTO `lang_definitions` VALUES (153547, 11199, 28, 'Trup a břicho');
INSERT INTO `lang_definitions` VALUES (153548, 11200, 28, 'Důvěryhodné adresy direct Emailu');
INSERT INTO `lang_definitions` VALUES (153549, 11201, 28, 'Důvěryhodné e-maily');
INSERT INTO `lang_definitions` VALUES (153550, 11203, 28, 'Pokus o vytvoření uživatele s již existujícím uživatelským jménem.');
INSERT INTO `lang_definitions` VALUES (153551, 11208, 28, 'Tuberkulóza');
INSERT INTO `lang_definitions` VALUES (153552, 11209, 28, 'Út');
INSERT INTO `lang_definitions` VALUES (153553, 11210, 28, 'Út &amp; Čt');
INSERT INTO `lang_definitions` VALUES (153554, 11211, 28, 'Úterý');
INSERT INTO `lang_definitions` VALUES (153555, 11212, 28, 'Nádor');
INSERT INTO `lang_definitions` VALUES (153556, 11222, 28, 'dvakrát denně');
INSERT INTO `lang_definitions` VALUES (153557, 11226, 28, 'Bubínek');
INSERT INTO `lang_definitions` VALUES (153558, 11227, 28, 'Typ');
INSERT INTO `lang_definitions` VALUES (153559, 11231, 28, 'Zadejte ID nebo Jméno. Minimálně 3 znaky včetně mezer.');
INSERT INTO `lang_definitions` VALUES (153560, 11238, 28, 'Typy sloupců zobrazených ve výsledcích hledání pacienta');
INSERT INTO `lang_definitions` VALUES (153561, 11239, 28, 'Typ nálezu');
INSERT INTO `lang_definitions` VALUES (153562, 11240, 28, 'Typ událostí');
INSERT INTO `lang_definitions` VALUES (153563, 11242, 28, 'Typ rozvržení obrazovky');
INSERT INTO `lang_definitions` VALUES (153564, 11243, 28, 'Zde napiště nebo naskenujte identifikátor pacienta');
INSERT INTO `lang_definitions` VALUES (153565, 11248, 28, 'Zde napiště svou zprávu');
INSERT INTO `lang_definitions` VALUES (153566, 11249, 28, 'Typy objednávek a výsledků');
INSERT INTO `lang_definitions` VALUES (153567, 11272, 28, 'Ulcerace');
INSERT INTO `lang_definitions` VALUES (153568, 11273, 28, 'Collitis ulcerosa');
INSERT INTO `lang_definitions` VALUES (153569, 11274, 28, 'Vředy:');
INSERT INTO `lang_definitions` VALUES (153570, 11276, 28, 'Chyba přístupu k adresáři');
INSERT INTO `lang_definitions` VALUES (153571, 11277, 28, 'Chyba přístupu k URL');
INSERT INTO `lang_definitions` VALUES (153572, 11278, 28, 'Nelze vytvořit');
INSERT INTO `lang_definitions` VALUES (153573, 11279, 28, 'Nelze vytvořit podadresář s dokumenty pacienta');
INSERT INTO `lang_definitions` VALUES (153574, 11287, 28, 'Nelze najít data v tomto souboru');
INSERT INTO `lang_definitions` VALUES (153575, 11289, 28, 'Nelze upravit konfiguraci aplikace. Prosím přidejte právo zápisu k');
INSERT INTO `lang_definitions` VALUES (153576, 11291, 28, 'Nepoužito');
INSERT INTO `lang_definitions` VALUES (153577, 11292, 28, 'Nepřiřazeno');
INSERT INTO `lang_definitions` VALUES (153578, 11293, 28, 'Chybí oprávnění');
INSERT INTO `lang_definitions` VALUES (153579, 11294, 28, 'Neoprávněný přístup do ePreskripce');
INSERT INTO `lang_definitions` VALUES (153580, 11295, 28, 'Neoprávněný přístup.');
INSERT INTO `lang_definitions` VALUES (153581, 11296, 28, 'Nazaúčtováno');
INSERT INTO `lang_definitions` VALUES (153582, 11297, 28, 'Pouze nezaúčtováno');
INSERT INTO `lang_definitions` VALUES (153583, 11300, 28, 'pod jazykem');
INSERT INTO `lang_definitions` VALUES (153584, 11303, 28, 'Podváha');
INSERT INTO `lang_definitions` VALUES (153585, 11304, 28, 'Nediagnostikovaný');
INSERT INTO `lang_definitions` VALUES (153586, 11306, 28, 'Nedistribuovaný');
INSERT INTO `lang_definitions` VALUES (153587, 11311, 28, 'Unikátní klienti');
INSERT INTO `lang_definitions` VALUES (153588, 11315, 28, 'Unikátní nový klient');
INSERT INTO `lang_definitions` VALUES (153589, 11316, 28, 'Unikátní číslelný identifikátor pro tento typ');
INSERT INTO `lang_definitions` VALUES (153590, 11317, 28, 'Unikátní vyšetření pacienti');
INSERT INTO `lang_definitions` VALUES (153591, 11320, 28, 'Jednotka');
INSERT INTO `lang_definitions` VALUES (153592, 11321, 28, 'Jednotky');
INSERT INTO `lang_definitions` VALUES (153593, 11322, 28, 'jednotky');
INSERT INTO `lang_definitions` VALUES (153594, 11323, 28, 'Jednotky použité pro výsledky');
INSERT INTO `lang_definitions` VALUES (153595, 11324, 28, 'Jednotky pro formuláře návštěv');
INSERT INTO `lang_definitions` VALUES (153596, 11325, 28, 'Jednotky musí být čísla');
INSERT INTO `lang_definitions` VALUES (153597, 11326, 28, 'Jednotky nejsou definované');
INSERT INTO `lang_definitions` VALUES (153598, 11327, 28, 'Jednotky/L');
INSERT INTO `lang_definitions` VALUES (153599, 11328, 28, 'Neznámý');
INSERT INTO `lang_definitions` VALUES (153600, 11329, 28, 'neznámý (viz log)');
INSERT INTO `lang_definitions` VALUES (153601, 11331, 28, 'Neznámo, zda kdy kouřil/a');
INSERT INTO `lang_definitions` VALUES (153602, 11332, 28, 'Neznámý nebo N/A');
INSERT INTO `lang_definitions` VALUES (153603, 11335, 28, 'Neznámé ID uživatele');
INSERT INTO `lang_definitions` VALUES (153604, 11344, 28, 'odpojit pacienta');
INSERT INTO `lang_definitions` VALUES (153605, 11346, 28, 'Neregistrováno');
INSERT INTO `lang_definitions` VALUES (153606, 11347, 28, 'Neregistrované moduly');
INSERT INTO `lang_definitions` VALUES (153607, 11349, 28, 'Zrušit výběr všeho');
INSERT INTO `lang_definitions` VALUES (153608, 11350, 28, 'Nevybráno');
INSERT INTO `lang_definitions` VALUES (153609, 11351, 28, 'Nespecifikováno');
INSERT INTO `lang_definitions` VALUES (153610, 11352, 28, 'nestrukturalizováno');
INSERT INTO `lang_definitions` VALUES (153611, 11354, 28, 'NEPODPOROVANÝ databázový soubor k nahrátí');
INSERT INTO `lang_definitions` VALUES (153612, 11356, 28, 'dokud');
INSERT INTO `lang_definitions` VALUES (153613, 11360, 28, 'Nepoužívá se');
INSERT INTO `lang_definitions` VALUES (153614, 11362, 28, 'do');
INSERT INTO `lang_definitions` VALUES (153615, 11364, 28, 'Nadcházející návštěvy');
INSERT INTO `lang_definitions` VALUES (153616, 11365, 28, 'Nadcházející  události');
INSERT INTO `lang_definitions` VALUES (153617, 11366, 28, 'Aktualizace');
INSERT INTO `lang_definitions` VALUES (153618, 11367, 28, 'Aktualizace');
INSERT INTO `lang_definitions` VALUES (153619, 11368, 28, 'Aktivní aktualizace');
INSERT INTO `lang_definitions` VALUES (153620, 11371, 28, 'Aktualizace souborů');
INSERT INTO `lang_definitions` VALUES (153621, 11374, 28, 'Aktualizace seznamu');
INSERT INTO `lang_definitions` VALUES (153622, 11377, 28, 'Aktualizace čísla poskytovatele');
INSERT INTO `lang_definitions` VALUES (153623, 11378, 28, 'Aktualizace vybraných položek');
INSERT INTO `lang_definitions` VALUES (153624, 11383, 28, 'Aktualizace následujících proměnných v souboru.');
INSERT INTO `lang_definitions` VALUES (153625, 11384, 28, 'Aktualizace uživatelských informací.');
INSERT INTO `lang_definitions` VALUES (153626, 11390, 28, 'Aktualizace demografických údajů není povolena.');
INSERT INTO `lang_definitions` VALUES (153627, 11391, 28, 'Aktualizace výchozích globálních nastavení');
INSERT INTO `lang_definitions` VALUES (153628, 11392, 28, 'Aktualizace indikátorů verze');
INSERT INTO `lang_definitions` VALUES (153629, 11394, 28, 'Upgrade');
INSERT INTO `lang_definitions` VALUES (153630, 11396, 28, 'Aktualizace databáze');
INSERT INTO `lang_definitions` VALUES (153631, 11398, 28, 'Aktualizace OpenEMR zahrnující procedury, funkce a tabulky potřebné pro deidentifikaci.');
INSERT INTO `lang_definitions` VALUES (153632, 11399, 28, 'Upgrade bude pokračovat');
INSERT INTO `lang_definitions` VALUES (153633, 11401, 28, 'Nahrát');
INSERT INTO `lang_definitions` VALUES (153634, 11403, 28, 'Nahrát šablonu');
INSERT INTO `lang_definitions` VALUES (153635, 11405, 28, 'Nahrát a instalovat');
INSERT INTO `lang_definitions` VALUES (153636, 11406, 28, 'Nahrát data konfigurace');
INSERT INTO `lang_definitions` VALUES (153637, 11407, 28, 'Nahrát dokument');
INSERT INTO `lang_definitions` VALUES (153638, 11408, 28, 'Nahrání selhalo!');
INSERT INTO `lang_definitions` VALUES (153639, 11410, 28, 'Nahrát obrázek do');
INSERT INTO `lang_definitions` VALUES (153640, 11411, 28, 'Nahrát soubor importu:');
INSERT INTO `lang_definitions` VALUES (153641, 11413, 28, 'Nahrát edukační materiál ve formátu .PDF do');
INSERT INTO `lang_definitions` VALUES (153642, 11414, 28, 'Nahrání proběhlo úspěšně');
INSERT INTO `lang_definitions` VALUES (153643, 11415, 28, 'Nahrát zprávu');
INSERT INTO `lang_definitions` VALUES (153644, 11417, 28, 'nahrát soubor .xml  do kategorie CCR');
INSERT INTO `lang_definitions` VALUES (153645, 11418, 28, 'Nahrát tento soubor:');
INSERT INTO `lang_definitions` VALUES (153646, 11432, 28, 'Naléhavost');
INSERT INTO `lang_definitions` VALUES (153647, 11436, 28, 'Moč');
INSERT INTO `lang_definitions` VALUES (153648, 11437, 28, 'Dribbling moči');
INSERT INTO `lang_definitions` VALUES (153649, 11438, 28, 'Frekvence močení');
INSERT INTO `lang_definitions` VALUES (153650, 11439, 28, 'Opožděná mikce');
INSERT INTO `lang_definitions` VALUES (153651, 11440, 28, 'Microalbuminurie');
INSERT INTO `lang_definitions` VALUES (153652, 11441, 28, 'Proud moči');
INSERT INTO `lang_definitions` VALUES (153653, 11442, 28, 'Močová urgence');
INSERT INTO `lang_definitions` VALUES (153654, 11443, 28, 'URL');
INSERT INTO `lang_definitions` VALUES (153655, 11445, 28, 'URL podpory OpenEMR.');
INSERT INTO `lang_definitions` VALUES (153656, 11447, 28, 'URL pro telefonní bránu. Automatická VOIP služba poskytovaná Maviq. Please visit http://signup.maviq.com for more information.');
INSERT INTO `lang_definitions` VALUES (153657, 11448, 28, 'URL stránky WordPressu podporující portál');
INSERT INTO `lang_definitions` VALUES (153658, 11451, 28, 'Použití');
INSERT INTO `lang_definitions` VALUES (153659, 11453, 28, 'Použít indikátor (ISA15)');
INSERT INTO `lang_definitions` VALUES (153660, 11456, 28, 'Pro setřídění obsahu sloupce použijte znak %');
INSERT INTO `lang_definitions` VALUES (153661, 11457, 28, 'Použít 24 hodinový formát ?');
INSERT INTO `lang_definitions` VALUES (153662, 11466, 28, 'Použít panel poplatků');
INSERT INTO `lang_definitions` VALUES (153663, 11474, 28, 'Použít vlastní imunizační seznam');
INSERT INTO `lang_definitions` VALUES (153664, 11476, 28, 'Použít datumové rozmezí');
INSERT INTO `lang_definitions` VALUES (153665, 11477, 28, 'Použít výchozí');
INSERT INTO `lang_definitions` VALUES (153666, 11478, 28, 'Použít volbu SMAZAT pro odstranění');
INSERT INTO `lang_definitions` VALUES (153667, 11479, 28, 'Použít styl mezinárodního data?');
INSERT INTO `lang_definitions` VALUES (153668, 11483, 28, 'Použít jméno zdrojového souboru');
INSERT INTO `lang_definitions` VALUES (153669, 11486, 28, 'Pro nákup nebo převod použijte  pole níže');
INSERT INTO `lang_definitions` VALUES (153670, 11490, 28, 'Tuto vlastnost použít pouze v případě instalace nových stránek');
INSERT INTO `lang_definitions` VALUES (153671, 11496, 28, 'Uživatelé');
INSERT INTO `lang_definitions` VALUES (153672, 11498, 28, 'Uživatelé/Skupiny');
INSERT INTO `lang_definitions` VALUES (153673, 11499, 28, 'Správa uživatelů');
INSERT INTO `lang_definitions` VALUES (153674, 11500, 28, 'Správa uživatelů a zařízení');
INSERT INTO `lang_definitions` VALUES (153675, 11501, 28, 'Správa skupin a uživatelů');
INSERT INTO `lang_definitions` VALUES (153676, 11502, 28, 'Uživatel nemůže být smazán');
INSERT INTO `lang_definitions` VALUES (153677, 11503, 28, 'Ověření certifikátu uživatele není povoleno');
INSERT INTO `lang_definitions` VALUES (153678, 11507, 28, 'Uživatelsky definováno');
INSERT INTO `lang_definitions` VALUES (153679, 11508, 28, 'Uživatelsky definovaná oblast 11');
INSERT INTO `lang_definitions` VALUES (153680, 11509, 28, 'Uživatelsky definovaná oblast 12');
INSERT INTO `lang_definitions` VALUES (153681, 11510, 28, 'Uživatelsky definované pole');
INSERT INTO `lang_definitions` VALUES (153682, 11511, 28, 'Uživatelsky definovaný seznam 1');
INSERT INTO `lang_definitions` VALUES (153683, 11512, 28, 'Uživatelsky definovaný seznam 2');
INSERT INTO `lang_definitions` VALUES (153684, 11513, 28, 'Uživatelsky definovaný seznam 3');
INSERT INTO `lang_definitions` VALUES (153685, 11514, 28, 'Uživatelsky definovaný seznam 4');
INSERT INTO `lang_definitions` VALUES (153686, 11515, 28, 'Uživatelsky definovaný seznam 5');
INSERT INTO `lang_definitions` VALUES (153687, 11516, 28, 'Uživatelsky definovaný seznam 6');
INSERT INTO `lang_definitions` VALUES (153688, 11517, 28, 'Uživatelsky definovaný seznam 7');
INSERT INTO `lang_definitions` VALUES (153689, 11518, 28, 'Uživatelsky definovaný text 1');
INSERT INTO `lang_definitions` VALUES (153690, 11519, 28, 'Uživatelsky definovaný text 2');
INSERT INTO `lang_definitions` VALUES (153691, 11520, 28, 'Uživatelsky definovaný text 3');
INSERT INTO `lang_definitions` VALUES (153692, 11521, 28, 'Uživatelsky definovaný text 4');
INSERT INTO `lang_definitions` VALUES (153693, 11522, 28, 'Uživatelsky definovaný text 5');
INSERT INTO `lang_definitions` VALUES (153694, 11523, 28, 'Uživatelsky definovaný text 6');
INSERT INTO `lang_definitions` VALUES (153695, 11524, 28, 'Uživatelsky definovaný text 7');
INSERT INTO `lang_definitions` VALUES (153696, 11525, 28, 'Uživatelsky definovaný text 8');
INSERT INTO `lang_definitions` VALUES (153697, 11526, 28, 'Jméno uživatele');
INSERT INTO `lang_definitions` VALUES (153698, 11532, 28, 'Uživatelský manuál');
INSERT INTO `lang_definitions` VALUES (153699, 11533, 28, 'Členství uživatele');
INSERT INTO `lang_definitions` VALUES (153700, 11534, 28, 'Uživatelské jméno');
INSERT INTO `lang_definitions` VALUES (153701, 11536, 28, 'Jméno uživatele nebo hosta nesmí být prázdné');
INSERT INTO `lang_definitions` VALUES (153702, 11537, 28, 'Jméno uživatele nebo hosta');
INSERT INTO `lang_definitions` VALUES (153703, 11541, 28, 'Uživatelské nastavení');
INSERT INTO `lang_definitions` VALUES (153704, 11543, 28, 'Specifické uživatelsé nastavení');
INSERT INTO `lang_definitions` VALUES (153705, 11544, 28, 'Nové heslo uživatele');
INSERT INTO `lang_definitions` VALUES (153706, 11553, 28, 'Uživatelské jméno');
INSERT INTO `lang_definitions` VALUES (153707, 11556, 28, 'Uživatelské jméno pro SMS bránu');
INSERT INTO `lang_definitions` VALUES (153708, 11557, 28, 'Uživatelské jméno pro SMS bránu.');
INSERT INTO `lang_definitions` VALUES (153709, 11558, 28, 'Uživatelské jméno:');
INSERT INTO `lang_definitions` VALUES (153710, 11559, 28, 'Uživatelské jméno:');
INSERT INTO `lang_definitions` VALUES (153711, 11560, 28, 'Uživatelé');
INSERT INTO `lang_definitions` VALUES (153712, 11564, 28, 'Správa Uživatelů/Skupin/Logů');
INSERT INTO `lang_definitions` VALUES (153713, 11574, 28, 'použití php <a href=\"http://php.net/strftime\">strftime</a> formát');
INSERT INTO `lang_definitions` VALUES (153714, 11588, 28, 'DOVLENÁ');
INSERT INTO `lang_definitions` VALUES (153715, 11589, 28, 'Dovolená');
INSERT INTO `lang_definitions` VALUES (153716, 11590, 28, 'Vakcína');
INSERT INTO `lang_definitions` VALUES (153717, 11596, 28, 'ověřit platnost');
INSERT INTO `lang_definitions` VALUES (153718, 11609, 28, 'Hodnota');
INSERT INTO `lang_definitions` VALUES (153719, 11610, 28, 'Hodnota 1');
INSERT INTO `lang_definitions` VALUES (153720, 11611, 28, 'Hodnota 2');
INSERT INTO `lang_definitions` VALUES (153721, 11613, 28, 'Hodnota musí být numerická');
INSERT INTO `lang_definitions` VALUES (153722, 11614, 28, 'Var1');
INSERT INTO `lang_definitions` VALUES (153723, 11615, 28, 'Var2');
INSERT INTO `lang_definitions` VALUES (153724, 11619, 28, 'Varicella 1');
INSERT INTO `lang_definitions` VALUES (153725, 11620, 28, 'Varicella 2');
INSERT INTO `lang_definitions` VALUES (153726, 11621, 28, 'Varixy');
INSERT INTO `lang_definitions` VALUES (153727, 11623, 28, 'Stav cévního systému');
INSERT INTO `lang_definitions` VALUES (153728, 11624, 28, 'Cévní poranění');
INSERT INTO `lang_definitions` VALUES (153729, 11625, 28, 'Cévní chirurgie');
INSERT INTO `lang_definitions` VALUES (153730, 11630, 28, 'Prodejce');
INSERT INTO `lang_definitions` VALUES (153731, 11634, 28, 'Verze');
INSERT INTO `lang_definitions` VALUES (153732, 11667, 28, 'Zobrazit');
INSERT INTO `lang_definitions` VALUES (153733, 11668, 28, 'zobrazit');
INSERT INTO `lang_definitions` VALUES (153734, 11670, 28, 'Zobrazit alergie');
INSERT INTO `lang_definitions` VALUES (153735, 11671, 28, 'Zobrazit x12-835 ERA soubor');
INSERT INTO `lang_definitions` VALUES (153736, 11672, 28, 'Zobrazit x12 text hromadného požadavku');
INSERT INTO `lang_definitions` VALUES (153737, 11676, 28, 'Zobrazit kompletní zprávu pacienta');
INSERT INTO `lang_definitions` VALUES (153738, 11677, 28, 'Zobrazit CSV tabulky');
INSERT INTO `lang_definitions` VALUES (153739, 11679, 28, 'Zobrazit dokument');
INSERT INTO `lang_definitions` VALUES (153740, 11681, 28, 'Zobrazit návštěvu');
INSERT INTO `lang_definitions` VALUES (153741, 11682, 28, 'Zobrazit ERA x12 text');
INSERT INTO `lang_definitions` VALUES (153742, 11683, 28, 'Zobrazit události ve vyskakovacím okně');
INSERT INTO `lang_definitions` VALUES (153743, 11684, 28, 'Zobrazit specifické uživatelské informace o zařízení');
INSERT INTO `lang_definitions` VALUES (153744, 11686, 28, 'Zobrazit lokální x12 soubor');
INSERT INTO `lang_definitions` VALUES (153745, 11687, 28, 'Zobrazit log');
INSERT INTO `lang_definitions` VALUES (153746, 11690, 28, 'Zobrazit stranu 1');
INSERT INTO `lang_definitions` VALUES (153747, 11691, 28, 'Zobrazit stranu 2');
INSERT INTO `lang_definitions` VALUES (153748, 11692, 28, 'Zobrazit předešlé a budoucí upomínky');
INSERT INTO `lang_definitions` VALUES (153749, 11695, 28, 'Zobrazit pacienta');
INSERT INTO `lang_definitions` VALUES (153750, 11700, 28, 'Zobrazit související návštěvy');
INSERT INTO `lang_definitions` VALUES (153751, 11701, 28, 'Zobrazit report');
INSERT INTO `lang_definitions` VALUES (153752, 11702, 28, 'Zobrazit soubor README');
INSERT INTO `lang_definitions` VALUES (153753, 11712, 28, 'Zobrazit/upravit alergie');
INSERT INTO `lang_definitions` VALUES (153754, 11713, 28, 'Zobrazit/upravit problém');
INSERT INTO `lang_definitions` VALUES (153755, 11714, 28, 'Zobrazit/Tisk');
INSERT INTO `lang_definitions` VALUES (153756, 11717, 28, 'Zobrazení:');
INSERT INTO `lang_definitions` VALUES (153757, 11721, 28, 'Orgánové poškození/trauma/operace');
INSERT INTO `lang_definitions` VALUES (153758, 11727, 28, 'Kategorie návštěvy:');
INSERT INTO `lang_definitions` VALUES (153759, 11728, 28, 'Kategorie návštěvy:');
INSERT INTO `lang_definitions` VALUES (153760, 11729, 28, 'Datum návštěvy');
INSERT INTO `lang_definitions` VALUES (153761, 11730, 28, 'Datum návštěvy');
INSERT INTO `lang_definitions` VALUES (153762, 11734, 28, 'Formuláře návštěv');
INSERT INTO `lang_definitions` VALUES (153763, 11736, 28, 'Historie návštěv');
INSERT INTO `lang_definitions` VALUES (153764, 11745, 28, 'Návštěvy');
INSERT INTO `lang_definitions` VALUES (153765, 11746, 28, 'Návštěvy od');
INSERT INTO `lang_definitions` VALUES (153766, 11752, 28, 'Vitální funkce');
INSERT INTO `lang_definitions` VALUES (153767, 11753, 28, 'Vitální funkce (metric)');
INSERT INTO `lang_definitions` VALUES (153768, 11754, 28, 'Volby formuláře vitálních funkcí');
INSERT INTO `lang_definitions` VALUES (153769, 11756, 28, 'Hlas');
INSERT INTO `lang_definitions` VALUES (153770, 11758, 28, 'Hlasová zpráva odeslána');
INSERT INTO `lang_definitions` VALUES (153771, 11763, 28, 'Zvracení');
INSERT INTO `lang_definitions` VALUES (153772, 11770, 28, 'Obv. pasu');
INSERT INTO `lang_definitions` VALUES (153773, 11771, 28, 'Obvod pasu');
INSERT INTO `lang_definitions` VALUES (153774, 11772, 28, 'Čekání');
INSERT INTO `lang_definitions` VALUES (153775, 11778, 28, 'Skladiště');
INSERT INTO `lang_definitions` VALUES (153776, 11780, 28, 'Skladiště maximum, 0 pokud není použito');
INSERT INTO `lang_definitions` VALUES (153777, 11781, 28, 'Skladiště minimum, 0 pokud není použito');
INSERT INTO `lang_definitions` VALUES (153778, 11782, 28, 'Skladiště');
INSERT INTO `lang_definitions` VALUES (153779, 11783, 28, 'Teplo(ý)');
INSERT INTO `lang_definitions` VALUES (153780, 11786, 28, 'Varování');
INSERT INTO `lang_definitions` VALUES (153781, 11787, 28, 'VAROVÁNÍ');
INSERT INTO `lang_definitions` VALUES (153782, 11789, 28, 'Varování: Zkontrolujte zda číslo již existuje v databázi.');
INSERT INTO `lang_definitions` VALUES (153783, 11790, 28, 'Varování: Seznam problémů pacienta obsahuje nejednoznačné kódy!');
INSERT INTO `lang_definitions` VALUES (153784, 11791, 28, 'Varování: Tento pacient má již dnes jednu návštěvu založenou !');
INSERT INTO `lang_definitions` VALUES (153785, 11796, 28, 'Varování: ID Pacienta není unikátní');
INSERT INTO `lang_definitions` VALUES (153786, 11799, 28, 'VAROVÁNÍ: Dojde k přepisu konfigurace daty z nahrávaného souboru !!!');
INSERT INTO `lang_definitions` VALUES (153787, 11801, 28, 'Varování');
INSERT INTO `lang_definitions` VALUES (153788, 11803, 28, 'bylo již nahráno');
INSERT INTO `lang_definitions` VALUES (153789, 11804, 28, 'nenalezeno');
INSERT INTO `lang_definitions` VALUES (153790, 11805, 28, 'Ceníme si rychlé platby');
INSERT INTO `lang_definitions` VALUES (153791, 11809, 28, 'měli jsme v ambulantní psychiatrické  péči výše uvedeného pacienta. Děkujeme za doporučení.');
INSERT INTO `lang_definitions` VALUES (153792, 11821, 28, 'Slabost');
INSERT INTO `lang_definitions` VALUES (153793, 11826, 28, 'Webové vyhledávání');
INSERT INTO `lang_definitions` VALUES (153794, 11828, 28, 'webový odkaz pro onsite Pacientský portál');
INSERT INTO `lang_definitions` VALUES (153795, 11832, 28, 'Stře');
INSERT INTO `lang_definitions` VALUES (153796, 11833, 28, 'Středa');
INSERT INTO `lang_definitions` VALUES (153797, 11834, 28, 'Týden');
INSERT INTO `lang_definitions` VALUES (153798, 11835, 28, 'týden');
INSERT INTO `lang_definitions` VALUES (153799, 11836, 28, 'Týdenní zobrazení');
INSERT INTO `lang_definitions` VALUES (153800, 11837, 28, 'Týden(y)');
INSERT INTO `lang_definitions` VALUES (153801, 11838, 28, 'Týdenní expozice');
INSERT INTO `lang_definitions` VALUES (153802, 11839, 28, 'týdny');
INSERT INTO `lang_definitions` VALUES (153803, 11840, 28, 'Týdny');
INSERT INTO `lang_definitions` VALUES (153804, 11841, 28, 'Hmotnost');
INSERT INTO `lang_definitions` VALUES (153805, 11844, 28, 'Změna hmotnosti');
INSERT INTO `lang_definitions` VALUES (153806, 11845, 28, 'Úbytek hmotnosti');
INSERT INTO `lang_definitions` VALUES (153807, 11847, 28, 'Vítejte');
INSERT INTO `lang_definitions` VALUES (153808, 11862, 28, 'Co je zahrnuto?');
INSERT INTO `lang_definitions` VALUES (153809, 11864, 28, 'Pískoty, vrzoty:');
INSERT INTO `lang_definitions` VALUES (153810, 11865, 28, 'Stridor');
INSERT INTO `lang_definitions` VALUES (153811, 11866, 28, 'Stridor:');
INSERT INTO `lang_definitions` VALUES (153812, 11876, 28, 'Po dokončení klikněte na Odeslat ( níže) pro provedení změn.');
INSERT INTO `lang_definitions` VALUES (153813, 11882, 28, 'Kde lze nalézt související skenované nebo papírové dokumenty ?');
INSERT INTO `lang_definitions` VALUES (153814, 11891, 28, 'Bilý');
INSERT INTO `lang_definitions` VALUES (153815, 11894, 28, 'Kdo');
INSERT INTO `lang_definitions` VALUES (153816, 11895, 28, 'Kdo odpověděl?');
INSERT INTO `lang_definitions` VALUES (153817, 11897, 28, 'Ovdovělý(á)');
INSERT INTO `lang_definitions` VALUES (153818, 11898, 28, 'Šířka');
INSERT INTO `lang_definitions` VALUES (153819, 11900, 28, 'šířka levého navigačního rámce v pixelech');
INSERT INTO `lang_definitions` VALUES (153820, 11906, 28, 's preferovaným jazykem');
INSERT INTO `lang_definitions` VALUES (153821, 11907, 28, 'S vybraným:');
INSERT INTO `lang_definitions` VALUES (153822, 11908, 28, 'se starým jménem');
INSERT INTO `lang_definitions` VALUES (153823, 11911, 28, 'Komu lze zanechat zprávu ?');
INSERT INTO `lang_definitions` VALUES (153824, 11912, 28, 'Odepřeno');
INSERT INTO `lang_definitions` VALUES (153825, 11913, 28, 'během hodin');
INSERT INTO `lang_definitions` VALUES (153826, 11914, 28, 'během hodin:');
INSERT INTO `lang_definitions` VALUES (153827, 11915, 28, 'během minut');
INSERT INTO `lang_definitions` VALUES (153828, 11916, 28, 'během minut:');
INSERT INTO `lang_definitions` VALUES (153829, 11917, 28, 'Bez zařízení');
INSERT INTO `lang_definitions` VALUES (153830, 11918, 28, 'Bez poskytovatele');
INSERT INTO `lang_definitions` VALUES (153831, 11919, 28, 'Bez aktualizace');
INSERT INTO `lang_definitions` VALUES (153832, 11920, 28, 'Svědek');
INSERT INTO `lang_definitions` VALUES (153833, 11924, 28, 'Žena');
INSERT INTO `lang_definitions` VALUES (153834, 11925, 28, 'Pouze ženy');
INSERT INTO `lang_definitions` VALUES (153835, 11927, 28, 'Práce');
INSERT INTO `lang_definitions` VALUES (153836, 11928, 28, 'PRACOVNÍ POZNÁMKA');
INSERT INTO `lang_definitions` VALUES (153837, 11929, 28, 'Telefon do práce');
INSERT INTO `lang_definitions` VALUES (153838, 11930, 28, 'Telefonní číslo  do práce ?');
INSERT INTO `lang_definitions` VALUES (153839, 11931, 28, 'Související s prací ?');
INSERT INTO `lang_definitions` VALUES (153840, 11932, 28, 'Zaměstnání/Vzdělání/Koníčky');
INSERT INTO `lang_definitions` VALUES (153841, 11933, 28, 'Zaměstnání/Škola poznámka');
INSERT INTO `lang_definitions` VALUES (153842, 11934, 28, 'Pracovní den');
INSERT INTO `lang_definitions` VALUES (153843, 11940, 28, 'Makám...zkrátka mi to bude chvilku trvat');
INSERT INTO `lang_definitions` VALUES (153844, 11941, 28, 'Horší');
INSERT INTO `lang_definitions` VALUES (153845, 11943, 28, 'Chcete je označit jako  vyčištěné ?');
INSERT INTO `lang_definitions` VALUES (153846, 11945, 28, 'Přejete si zrušit distribuci této platby ?');
INSERT INTO `lang_definitions` VALUES (153847, 11946, 28, 'Přejete si odstranit platební distribuci ?');
INSERT INTO `lang_definitions` VALUES (153848, 11947, 28, 'Přejete si odstranit platby ?');
INSERT INTO `lang_definitions` VALUES (153849, 11948, 28, 'Přejete si upravit a ukončit platby ?');
INSERT INTO `lang_definitions` VALUES (153850, 11949, 28, 'Přejete si upravit platby ?');
INSERT INTO `lang_definitions` VALUES (153851, 11950, 28, 'Přejete si odeslat a ukončit platby ?');
INSERT INTO `lang_definitions` VALUES (153852, 11951, 28, 'Přejete si odeslat platby ?');
INSERT INTO `lang_definitions` VALUES (153853, 11952, 28, 'Přejete si uložit ?');
INSERT INTO `lang_definitions` VALUES (153854, 11953, 28, 'Zápěstí');
INSERT INTO `lang_definitions` VALUES (153855, 11954, 28, 'Zápěstí a ruka');
INSERT INTO `lang_definitions` VALUES (153856, 11955, 28, 'Problémy se zápěstím');
INSERT INTO `lang_definitions` VALUES (153857, 11956, 28, 'zapsat');
INSERT INTO `lang_definitions` VALUES (153858, 11959, 28, 'Zapsat jedenkrát');
INSERT INTO `lang_definitions` VALUES (153859, 11966, 28, 'x zrušeno');
INSERT INTO `lang_definitions` VALUES (153860, 11967, 28, 'x zrušeno');
INSERT INTO `lang_definitions` VALUES (153861, 11969, 28, 'RTG');
INSERT INTO `lang_definitions` VALUES (153862, 11970, 28, 'Zhodnocení RTG:');
INSERT INTO `lang_definitions` VALUES (153863, 11971, 28, 'Zhodnocení RTG:');
INSERT INTO `lang_definitions` VALUES (153864, 11975, 28, 'X12 pouze : Změna požadavku');
INSERT INTO `lang_definitions` VALUES (153865, 11978, 28, 'X12 Partner');
INSERT INTO `lang_definitions` VALUES (153866, 11979, 28, 'X12 Partneři');
INSERT INTO `lang_definitions` VALUES (153867, 11981, 28, 'x12 text');
INSERT INTO `lang_definitions` VALUES (153868, 11988, 28, 'rok');
INSERT INTO `lang_definitions` VALUES (153869, 11989, 28, 'Rok');
INSERT INTO `lang_definitions` VALUES (153870, 11990, 28, 'Roční zobrazení');
INSERT INTO `lang_definitions` VALUES (153871, 11991, 28, 'Rok(y)');
INSERT INTO `lang_definitions` VALUES (153872, 11992, 28, 'Roky');
INSERT INTO `lang_definitions` VALUES (153873, 11994, 28, 'Roky a měsíce');
INSERT INTO `lang_definitions` VALUES (153874, 11995, 28, 'Roky, měsíce a dny');
INSERT INTO `lang_definitions` VALUES (153875, 11996, 28, 'Ano');
INSERT INTO `lang_definitions` VALUES (153876, 11997, 28, 'ANO');
INSERT INTO `lang_definitions` VALUES (153877, 11998, 28, 'ano');
INSERT INTO `lang_definitions` VALUES (153878, 11999, 28, 'ANO !');
INSERT INTO `lang_definitions` VALUES (153879, 12000, 28, 'Ano, Smazat a logovat');
INSERT INTO `lang_definitions` VALUES (153880, 12002, 28, 'Ano/Ne');
INSERT INTO `lang_definitions` VALUES (153881, 12003, 28, 'Ano:');
INSERT INTO `lang_definitions` VALUES (153882, 12008, 28, 'Chcete přepsat stávající šablonu. Jste se jistí ?');
INSERT INTO `lang_definitions` VALUES (153883, 12011, 28, 'Jste v ochranné přihlašovací lhůtě. Nejpre změňte své heslo.');
INSERT INTO `lang_definitions` VALUES (153884, 12012, 28, 'Nemáte oprávnění mazat tuto událost');
INSERT INTO `lang_definitions` VALUES (153885, 12013, 28, 'Nemáte povolení k úpravám této události');
INSERT INTO `lang_definitions` VALUES (153886, 12014, 28, 'Nemáte oprávnění k této činnosti');
INSERT INTO `lang_definitions` VALUES (153887, 12016, 28, 'Nejste oprávněni k přístupu  k této skupině.');
INSERT INTO `lang_definitions` VALUES (153888, 12017, 28, 'Nejste oprávněni k přidávání/editaci problémů.');
INSERT INTO `lang_definitions` VALUES (153889, 12018, 28, 'Nejste oprávnění k objednávání vyšetření.');
INSERT INTO `lang_definitions` VALUES (153890, 12019, 28, 'Nejste oprávněni prohlížet toto vyšetření.');
INSERT INTO `lang_definitions` VALUES (153891, 12021, 28, 'Odesíláte znovu staré vyšetření ?');
INSERT INTO `lang_definitions` VALUES (153892, 12038, 28, 'K této funkci nelze přistupovat přímo.');
INSERT INTO `lang_definitions` VALUES (153893, 12050, 28, 'K této stránce nelze přistupovat přímo.');
INSERT INTO `lang_definitions` VALUES (153894, 12051, 28, 'Pro tuto kategorii nelze zadat prázdnou hodnotu !');
INSERT INTO `lang_definitions` VALUES (153895, 12052, 28, 'Pro tuto subkategorii nelze zadat prázdnou hodnotu !');
INSERT INTO `lang_definitions` VALUES (153896, 12053, 28, 'Pro tuto položku nelze zadat prázdnou hodnotu !');
INSERT INTO `lang_definitions` VALUES (153897, 12057, 28, 'Není vybrána žádná akce');
INSERT INTO `lang_definitions` VALUES (153898, 12058, 28, 'Nejste oprávněni prohlížet/editovat tuto poznámku');
INSERT INTO `lang_definitions` VALUES (153899, 12061, 28, 'Pokoušíte se upravit zamčený obsah. Odemkněte dokument odstraněním řádku \'/*lock::*/\'');
INSERT INTO `lang_definitions` VALUES (153900, 12063, 28, 'Odhlášení bylo úspěšné');
INSERT INTO `lang_definitions` VALUES (153901, 12074, 28, 'Lze nahrávat pouze .txt soubory');
INSERT INTO `lang_definitions` VALUES (153902, 12075, 28, 'Volitelně můžete nahrát HL7 výsledek ze souboru');
INSERT INTO `lang_definitions` VALUES (153903, 12076, 28, 'Zde můžete vložit text jako popis hlavního problému pacienta');
INSERT INTO `lang_definitions` VALUES (153904, 12085, 28, 'Pro kódování dokumentu musíte zadat heslo');
INSERT INTO `lang_definitions` VALUES (153905, 12087, 28, 'Pro změnu uživatelských hesel musíte zadat své vlastní heslo. Prázdné heslo neprovede žádnou změnu');
INSERT INTO `lang_definitions` VALUES (153906, 12090, 28, 'Nejprve musíte zvolit nebo přidat pacienta');
INSERT INTO `lang_definitions` VALUES (153907, 12091, 28, 'Nejprve musíte zvolit nebo vytvořit vyšetření');
INSERT INTO `lang_definitions` VALUES (153908, 12092, 28, 'Musíte zvolit kategorii návštěvy');
INSERT INTO `lang_definitions` VALUES (153909, 12093, 28, 'Musíte zvolit kategorii návštěvy');
INSERT INTO `lang_definitions` VALUES (153910, 12094, 28, 'Pro pokračování musíte zvolit některé pole');
INSERT INTO `lang_definitions` VALUES (153911, 12106, 28, 'Musíte zvolit nejméně jeden kontext');
INSERT INTO `lang_definitions` VALUES (153912, 12107, 28, 'Musíte vybrat nejméně jednoho poskytovatele');
INSERT INTO `lang_definitions` VALUES (153913, 12118, 28, 'Vaše klinická zpráva');
INSERT INTO `lang_definitions` VALUES (153914, 12122, 28, 'Vaše konečné datum je chybné');
INSERT INTO `lang_definitions` VALUES (153915, 12123, 28, 'Vaše událost byla smazána');
INSERT INTO `lang_definitions` VALUES (153916, 12124, 28, 'Vaše událost byla upravena.');
INSERT INTO `lang_definitions` VALUES (153917, 12125, 28, 'Vaše událost byla odeslána');
INSERT INTO `lang_definitions` VALUES (153918, 12127, 28, 'Váš soubor je příliž velký');
INSERT INTO `lang_definitions` VALUES (153919, 12131, 28, 'Vaše laboratorní výsledky');
INSERT INTO `lang_definitions` VALUES (153920, 12132, 28, 'Vaše jméno musí být změněno, aby splňovalo požadavky');
INSERT INTO `lang_definitions` VALUES (153921, 12133, 28, 'Vaše zpráva byla předána k odeslání pro');
INSERT INTO `lang_definitions` VALUES (153922, 12134, 28, 'Vaše jméno pro tuto kategorii, proceduru nebo výsledek.');
INSERT INTO `lang_definitions` VALUES (153923, 12139, 28, 'Vaše heslo');
INSERT INTO `lang_definitions` VALUES (153924, 12140, 28, 'Vaše heslo expirovalo. Změňte jej.');
INSERT INTO `lang_definitions` VALUES (153925, 12141, 28, 'Vaše heslo expiruje');
INSERT INTO `lang_definitions` VALUES (153926, 12143, 28, 'Vaše heslo dnes expiruje. Změňte jej.');
INSERT INTO `lang_definitions` VALUES (153927, 12144, 28, 'Vaše heslo je váš podpis');
INSERT INTO `lang_definitions` VALUES (153928, 12146, 28, 'Vaše konfigurace PostCalendar byla resetována na výchozí nastavení');
INSERT INTO `lang_definitions` VALUES (153929, 12147, 28, 'Vaše konfigurace PostCalendar byla aktualizována');
INSERT INTO `lang_definitions` VALUES (153930, 12148, 28, 'Vaše opakovací frekvence musí být celé číslo');
INSERT INTO `lang_definitions` VALUES (153931, 12149, 28, 'Vaše frekvence opakování musí být nejméně 1');
INSERT INTO `lang_definitions` VALUES (153932, 12151, 28, 'Vaše počáteční datum je vyšší naž končené');
INSERT INTO `lang_definitions` VALUES (153933, 12152, 28, 'Vaše počáteční datum je neplatné');
INSERT INTO `lang_definitions` VALUES (153934, 12153, 28, 'Vaše podání selhalo.');
INSERT INTO `lang_definitions` VALUES (153935, 12156, 28, 'rrrr-mm-dd');
INSERT INTO `lang_definitions` VALUES (153936, 12157, 28, 'RRRR-MM-DD');
INSERT INTO `lang_definitions` VALUES (153937, 12158, 28, 'rrrr-mm-dd datum spojené s tímto dokumentem');
INSERT INTO `lang_definitions` VALUES (153938, 12159, 28, 'rrrr-mm-dd datum zničeno');
INSERT INTO `lang_definitions` VALUES (153939, 12160, 28, 'rrrr-mm-dd datum narození');
INSERT INTO `lang_definitions` VALUES (153940, 12161, 28, 'rrrr-mm-dd Datum narození');
INSERT INTO `lang_definitions` VALUES (153941, 12162, 28, 'rrrr-mm-dd datum expirace');
INSERT INTO `lang_definitions` VALUES (153942, 12163, 28, 'rrrr-mm-dd Datum začátku hospitalizace');
INSERT INTO `lang_definitions` VALUES (153943, 12164, 28, 'rrrr-mm-dd datum počátku, operace nebo začátku medikace');
INSERT INTO `lang_definitions` VALUES (153944, 12165, 28, 'rrrr-mm-dd datum nákupu nebo převodu');
INSERT INTO `lang_definitions` VALUES (153945, 12166, 28, 'rrrr-mm-dd datum úzdravy nebo ukončení medikace');
INSERT INTO `lang_definitions` VALUES (153946, 12168, 28, 'rrrr-mm-dd Datum služby');
INSERT INTO `lang_definitions` VALUES (153947, 12169, 28, 'rrrr-mm-dd  datum tohoto dopisu');
INSERT INTO `lang_definitions` VALUES (153948, 12171, 28, 'rrrr-mm-dd datum dokumentu');
INSERT INTO `lang_definitions` VALUES (153949, 12173, 28, 'rrrr-mm-dd  datum události nebo datum počátku');
INSERT INTO `lang_definitions` VALUES (153950, 12174, 28, 'rrrr-mm-dd H:m Datum ukončení');
INSERT INTO `lang_definitions` VALUES (153951, 12175, 28, 'rrrr-mm-dd H:m Datum ukončení');
INSERT INTO `lang_definitions` VALUES (153952, 12176, 28, 'rrrr-mm-dd H:m Datum počátku');
INSERT INTO `lang_definitions` VALUES (153953, 12177, 28, 'rrrr-mm-dd H:m Datum počátku');
INSERT INTO `lang_definitions` VALUES (153954, 12178, 28, 'rrrr-mm-dd hh:mm:ss');
INSERT INTO `lang_definitions` VALUES (153955, 12179, 28, 'rrrr-mm-dd Hodiny(24):minuty');
INSERT INTO `lang_definitions` VALUES (153956, 12180, 28, 'rrrr-mm-dd poslední datum této události');
INSERT INTO `lang_definitions` VALUES (153957, 12186, 28, 'Nula');
INSERT INTO `lang_definitions` VALUES (153958, 12188, 28, 'Zip');
INSERT INTO `lang_definitions` VALUES (153959, 12189, 28, 'Zip kód');
INSERT INTO `lang_definitions` VALUES (153960, 12191, 28, 'Zip/Země');
INSERT INTO `lang_definitions` VALUES (153961, 12198, 28, 'nelze otevřít pro chybu přístupu.');
INSERT INTO `lang_definitions` VALUES (153962, 12199, 28, 'Opravdu chcete smazat');
INSERT INTO `lang_definitions` VALUES (153963, 12200, 28, 'Léčivo');
INSERT INTO `lang_definitions` VALUES (153964, 12201, 28, 'emaily odeslány');
INSERT INTO `lang_definitions` VALUES (153965, 12202, 28, 'z');
INSERT INTO `lang_definitions` VALUES (153966, 12203, 28, 'vytvořeno');
INSERT INTO `lang_definitions` VALUES (153967, 12204, 28, 'znovuotevřeno');
INSERT INTO `lang_definitions` VALUES (153968, 12205, 28, 'Historie');
INSERT INTO `lang_definitions` VALUES (153969, 12206, 28, 'není číslo');
INSERT INTO `lang_definitions` VALUES (153970, 12207, 28, 'připraveno pro znovuzaúčtování');
INSERT INTO `lang_definitions` VALUES (153971, 12212, 28, 'nenalezeno !');
INSERT INTO `lang_definitions` VALUES (153972, 12215, 28, 'dokud');
INSERT INTO `lang_definitions` VALUES (153973, 12216, 28, 'aktualizace selhala. Chybějící položka databáze ?');
INSERT INTO `lang_definitions` VALUES (153974, 12217, 28, 'úspěšně označeno jako pouze zaúčtované');
INSERT INTO `lang_definitions` VALUES (153975, 12218, 28, 'úspěšně zařazeno');
INSERT INTO `lang_definitions` VALUES (153976, 12220, 28, '\" pro kód');
INSERT INTO `lang_definitions` VALUES (153977, 12221, 28, '\" je zatrženo v nastavení PostCalendar!');
INSERT INTO `lang_definitions` VALUES (153978, 12223, 28, '# tablet:');
INSERT INTO `lang_definitions` VALUES (153979, 12225, 28, '$ Kódování dokončeno');
INSERT INTO `lang_definitions` VALUES (153980, 12226, 28, '$popis(rrrr-mm-dd):');
INSERT INTO `lang_definitions` VALUES (153981, 12228, 28, '% Zrušeno <  24h');
INSERT INTO `lang_definitions` VALUES (153982, 12229, 28, '% Zrušeno <  24h');
INSERT INTO `lang_definitions` VALUES (153983, 12230, 28, '\' měl by existovat, ale není tomu tak.');
INSERT INTO `lang_definitions` VALUES (153984, 12231, 28, '(% odpovídá libovolnému řetězci, _ odpovídá libovolnému znaku)');
INSERT INTO `lang_definitions` VALUES (153985, 12232, 28, '([ctrl] + klik pro výběr více příjemců)');
INSERT INTO `lang_definitions` VALUES (153986, 12233, 28, '(Zpět)');
INSERT INTO `lang_definitions` VALUES (153987, 12234, 28, '(Kliknout pro úpravy)');
INSERT INTO `lang_definitions` VALUES (153988, 12235, 28, '(E-mail je doručen  okamžitě. Mezitím je automatický VOIP odeslán poskytovateli služeb pro další zpracování.)');
INSERT INTO `lang_definitions` VALUES (153989, 12236, 28, '(Více)');
INSERT INTO `lang_definitions` VALUES (153990, 12237, 28, '(Nový pacient)');
INSERT INTO `lang_definitions` VALUES (153991, 12238, 28, '(Poznámky a oprávnění)');
INSERT INTO `lang_definitions` VALUES (153992, 12239, 28, '(Poznámky pacienta)');
INSERT INTO `lang_definitions` VALUES (153993, 12240, 28, '(Vyberte některý název nebo  napišete svůj vlastní)');
INSERT INTO `lang_definitions` VALUES (153994, 12241, 28, 'Klávesa Shift nebo táhnout pro změnu položky');
INSERT INTO `lang_definitions` VALUES (153995, 12242, 28, '* Připomínka vytvořena');
INSERT INTO `lang_definitions` VALUES (153996, 12243, 28, '**Přesuňte prosím operace do problémů');
INSERT INTO `lang_definitions` VALUES (153997, 12244, 28, '*Požadováno');
INSERT INTO `lang_definitions` VALUES (153998, 12249, 28, '- Nic');
INSERT INTO `lang_definitions` VALUES (153999, 12251, 28, '--Vše--');
INSERT INTO `lang_definitions` VALUES (154000, 12252, 28, '-- Vybrat roli--');
INSERT INTO `lang_definitions` VALUES (154001, 12261, 28, 'Zítra');
INSERT INTO `lang_definitions` VALUES (154002, 12262, 28, 'Za měsíc');
INSERT INTO `lang_definitions` VALUES (154003, 12263, 28, 'Za týden');
INSERT INTO `lang_definitions` VALUES (154004, 12264, 28, 'Za 1 rok');
INSERT INTO `lang_definitions` VALUES (154005, 12265, 28, '1. Klid 2. Dva dny ledovat 3. Komprese dokud  nedojde ke změně barvy kůže nebo necitlivosti 4. Zvýšená poloha končetiny');
INSERT INTO `lang_definitions` VALUES (154006, 12267, 28, '12 hodin');
INSERT INTO `lang_definitions` VALUES (154007, 12270, 28, 'první');
INSERT INTO `lang_definitions` VALUES (154008, 12273, 28, 'Za 2 dny');
INSERT INTO `lang_definitions` VALUES (154009, 12274, 28, 'Za 2 měsíce');
INSERT INTO `lang_definitions` VALUES (154010, 12275, 28, 'Za 2 týdny');
INSERT INTO `lang_definitions` VALUES (154011, 12276, 28, 'Za 2 roky');
INSERT INTO `lang_definitions` VALUES (154012, 12277, 28, '2-20 let');
INSERT INTO `lang_definitions` VALUES (154013, 12288, 28, '24 hodin');
INSERT INTO `lang_definitions` VALUES (154014, 12293, 28, 'druhý');
INSERT INTO `lang_definitions` VALUES (154015, 12296, 28, 'Za 3 dny');
INSERT INTO `lang_definitions` VALUES (154016, 12297, 28, '3 měsíce');
INSERT INTO `lang_definitions` VALUES (154017, 12298, 28, 'Za 3 měsíce');
INSERT INTO `lang_definitions` VALUES (154018, 12299, 28, '3x denně');
INSERT INTO `lang_definitions` VALUES (154019, 12300, 28, 'Za 3 týdny');
INSERT INTO `lang_definitions` VALUES (154020, 12304, 28, 'třetí');
INSERT INTO `lang_definitions` VALUES (154021, 12307, 28, 'Za 4 dny');
INSERT INTO `lang_definitions` VALUES (154022, 12308, 28, '4 měsíce');
INSERT INTO `lang_definitions` VALUES (154023, 12309, 28, 'Za 4 měsíce');
INSERT INTO `lang_definitions` VALUES (154024, 12310, 28, '4x denně');
INSERT INTO `lang_definitions` VALUES (154025, 12311, 28, 'Za 4 týdny');
INSERT INTO `lang_definitions` VALUES (154026, 12315, 28, '466.0, Bronchitis acuta');
INSERT INTO `lang_definitions` VALUES (154027, 12316, 28, '486.0, akutní pneumonie');
INSERT INTO `lang_definitions` VALUES (154028, 12317, 28, '491.21, exacerbace CHOPN');
INSERT INTO `lang_definitions` VALUES (154029, 12318, 28, '491.8, Bronchitis chronica');
INSERT INTO `lang_definitions` VALUES (154030, 12319, 28, '493.92, Asthma, akutní exacerbace');
INSERT INTO `lang_definitions` VALUES (154031, 12320, 28, '496.0, CHOPN');
INSERT INTO `lang_definitions` VALUES (154032, 12323, 28, 'čtvrtý');
INSERT INTO `lang_definitions` VALUES (154033, 12326, 28, 'Za 5 dnů');
INSERT INTO `lang_definitions` VALUES (154034, 12327, 28, 'Za 5 měsíců');
INSERT INTO `lang_definitions` VALUES (154035, 12328, 28, 'Za 5 týdnů');
INSERT INTO `lang_definitions` VALUES (154036, 12329, 28, '519.7, Bronchospasmus');
INSERT INTO `lang_definitions` VALUES (154037, 12331, 28, 'pátý');
INSERT INTO `lang_definitions` VALUES (154038, 12333, 28, 'za 6 dnů');
INSERT INTO `lang_definitions` VALUES (154039, 12334, 28, '6 měsíců');
INSERT INTO `lang_definitions` VALUES (154040, 12335, 28, 'za 6 měsíců');
INSERT INTO `lang_definitions` VALUES (154041, 12336, 28, 'Za 6 týdnů');
INSERT INTO `lang_definitions` VALUES (154042, 12337, 28, 'šestý');
INSERT INTO `lang_definitions` VALUES (154043, 12339, 28, 'za 7 měsíců');
INSERT INTO `lang_definitions` VALUES (154044, 12340, 28, 'za 8 měsíců');
INSERT INTO `lang_definitions` VALUES (154045, 12342, 28, '824.0 Fraktura mediálního malleolu , uzavřená');
INSERT INTO `lang_definitions` VALUES (154046, 12343, 28, '824.2 Fraktura zevního kotníku , uzavřená');
INSERT INTO `lang_definitions` VALUES (154047, 12344, 28, '824.6 uzavřená trimaleolární zklomenina');
INSERT INTO `lang_definitions` VALUES (154048, 12345, 28, '825.32 Fraktura Os naviculare ( kotník )');
INSERT INTO `lang_definitions` VALUES (154049, 12346, 28, '825.35 Fraktura baze V metatarsu');
INSERT INTO `lang_definitions` VALUES (154050, 12347, 28, '845.00 distorze NOS');
INSERT INTO `lang_definitions` VALUES (154051, 12348, 28, '845.01 Distorze Medial (Deltoid) Lig.');
INSERT INTO `lang_definitions` VALUES (154052, 12349, 28, '845.02 Distorze, Calcaneal fibular');
INSERT INTO `lang_definitions` VALUES (154053, 12350, 28, 'Za 9 měsíců');
INSERT INTO `lang_definitions` VALUES (154054, 12353, 28, '< na vyšetřovně');
INSERT INTO `lang_definitions` VALUES (154055, 12361, 28, '? Nezobrazovat');
INSERT INTO `lang_definitions` VALUES (154056, 12362, 28, '@ dostavil se');
INSERT INTO `lang_definitions` VALUES (154057, 12364, 28, '[Změnit zobrazení]');
INSERT INTO `lang_definitions` VALUES (154058, 12365, 28, '[Datum posledního vyšetření]');
INSERT INTO `lang_definitions` VALUES (154059, 12366, 28, '[Počet dnů od posledního vyšetření]');
INSERT INTO `lang_definitions` VALUES (154060, 12367, 28, '[EOBs]');
INSERT INTO `lang_definitions` VALUES (154061, 12369, 28, '[nedoporučuje se]');
INSERT INTO `lang_definitions` VALUES (154062, 12370, 28, '[Počet vyšetření]');
INSERT INTO `lang_definitions` VALUES (154063, 12371, 28, '[Reporty]');
INSERT INTO `lang_definitions` VALUES (154064, 12372, 28, '[Vybrat vše]');
INSERT INTO `lang_definitions` VALUES (154065, 12374, 28, '[Zahájit dávkové zpracování]');
INSERT INTO `lang_definitions` VALUES (154066, 12375, 28, '[Zobrazit log]');
INSERT INTO `lang_definitions` VALUES (154067, 12376, 28, '[Zobrazit tištěný report]');
INSERT INTO `lang_definitions` VALUES (154068, 12381, 28, '~ pozdní příchod');
INSERT INTO `lang_definitions` VALUES (154069, 1, 29, 'А');
INSERT INTO `lang_definitions` VALUES (154070, 2, 29, 'Номер чеку та ідентифікаційний номер платежу');
INSERT INTO `lang_definitions` VALUES (154071, 4, 29, 'Сертифікат клієнта для користувача admin');
INSERT INTO `lang_definitions` VALUES (154072, 6, 29, 'Медичний документ приєднано');
INSERT INTO `lang_definitions` VALUES (154073, 7, 29, 'Медичний документ приєднано.');
INSERT INTO `lang_definitions` VALUES (154074, 13, 29, 'Вимагається дистрибютор');
INSERT INTO `lang_definitions` VALUES (154075, 17, 29, 'GCAC форма повина бути додана до цього відвідування.');
INSERT INTO `lang_definitions` VALUES (154076, 20, 29, 'Вимагається номер партії');
INSERT INTO `lang_definitions` VALUES (154077, 21, 29, 'Вимагається номер партії');
INSERT INTO `lang_definitions` VALUES (154078, 22, 29, 'Літера нижнього реєстру');
INSERT INTO `lang_definitions` VALUES (154079, 28, 29, 'Номер');
INSERT INTO `lang_definitions` VALUES (154080, 30, 29, 'Пацієнт з цим ID вже існує');
INSERT INTO `lang_definitions` VALUES (154081, 31, 29, 'Пацієнт з цим іменем вже існує');
INSERT INTO `lang_definitions` VALUES (154082, 32, 29, 'Пацієнт з цим SS (інд. податк. ном.) вже існує');
INSERT INTO `lang_definitions` VALUES (154083, 36, 29, 'Додатнє число покаже кількість попередніх прийомів на віджеті у вікні з загальною інформацією про пацієнта (негативне число покаже послідовність прийомів в порядку спадання)');
INSERT INTO `lang_definitions` VALUES (154084, 37, 29, 'Додатнє число покаже кількість попередніх прийомів на віджеті у вікні з загальною інформацією про пацієнта.');
INSERT INTO `lang_definitions` VALUES (154085, 43, 29, 'Джерело направлення може вимагатися при кожному відвідуванні');
INSERT INTO `lang_definitions` VALUES (154086, 44, 29, 'Відповідний код IPPF є необхідним!');
INSERT INTO `lang_definitions` VALUES (154087, 49, 29, 'Спеціальний символ');
INSERT INTO `lang_definitions` VALUES (154088, 53, 29, 'Унікальне значення ідентифікації цього поля, не видиме для користувача');
INSERT INTO `lang_definitions` VALUES (154089, 56, 29, 'Для цього пацієнта існує запис про візит на сьогдні. Натисніть Відмінити щоб відкрити існуючий та ОК щоб створити ще один новий');
INSERT INTO `lang_definitions` VALUES (154090, 57, 29, 'Перед їжею');
INSERT INTO `lang_definitions` VALUES (154091, 58, 29, 'До полудня');
INSERT INTO `lang_definitions` VALUES (154092, 60, 29, 'A/F Рівень');
INSERT INTO `lang_definitions` VALUES (154093, 62, 29, 'Астматичний бронхіт');
INSERT INTO `lang_definitions` VALUES (154094, 63, 29, 'Скорочення');
INSERT INTO `lang_definitions` VALUES (154095, 64, 29, 'Абсцес');
INSERT INTO `lang_definitions` VALUES (154096, 65, 29, 'Черевний');
INSERT INTO `lang_definitions` VALUES (154097, 66, 29, 'Здатність переносити вагу (4 фази):');
INSERT INTO `lang_definitions` VALUES (154098, 67, 29, 'Аномальний');
INSERT INTO `lang_definitions` VALUES (154099, 68, 29, 'Відхилення від норми 1');
INSERT INTO `lang_definitions` VALUES (154100, 70, 29, 'Аномальний, з відхиленням від норми');
INSERT INTO `lang_definitions` VALUES (154101, 71, 29, 'Аналіз крові з відхиленням від норми');
INSERT INTO `lang_definitions` VALUES (154102, 72, 29, 'Аномальний ріст волосся');
INSERT INTO `lang_definitions` VALUES (154103, 73, 29, 'Мамограма з відхиленням від норми');
INSERT INTO `lang_definitions` VALUES (154104, 75, 29, 'Переривання вагітності');
INSERT INTO `lang_definitions` VALUES (154105, 76, 29, 'Проблеми переривання вагітності');
INSERT INTO `lang_definitions` VALUES (154106, 77, 29, 'Методи переривання вагітності');
INSERT INTO `lang_definitions` VALUES (154107, 78, 29, 'Категорії пов\'язані з перериванням вагітності');
INSERT INTO `lang_definitions` VALUES (154108, 79, 29, 'Аборти');
INSERT INTO `lang_definitions` VALUES (154109, 82, 29, 'Про календар');
INSERT INTO `lang_definitions` VALUES (154110, 85, 29, 'Відсутність за діагнозом');
INSERT INTO `lang_definitions` VALUES (154111, 87, 29, 'Прийняти призначення');
INSERT INTO `lang_definitions` VALUES (154112, 89, 29, 'Прийняти оплату за');
INSERT INTO `lang_definitions` VALUES (154113, 90, 29, 'Прийняти оплату за');
INSERT INTO `lang_definitions` VALUES (154114, 91, 29, 'Особа, що приймає призначення');
INSERT INTO `lang_definitions` VALUES (154115, 93, 29, 'Контроль доступу');
INSERT INTO `lang_definitions` VALUES (154116, 94, 29, 'Адміністрування через список управління доступом (ACL)');
INSERT INTO `lang_definitions` VALUES (154117, 98, 29, 'Дата доступу');
INSERT INTO `lang_definitions` VALUES (154118, 102, 29, 'Доступ не дозволено');
INSERT INTO `lang_definitions` VALUES (154119, 103, 29, 'Не уповноважений для доступу');
INSERT INTO `lang_definitions` VALUES (154120, 105, 29, 'Доступ до Вашого Порталу Пацієнта');
INSERT INTO `lang_definitions` VALUES (154121, 106, 29, 'Нещасний випадок');
INSERT INTO `lang_definitions` VALUES (154122, 113, 29, 'Назва облікового запису');
INSERT INTO `lang_definitions` VALUES (154123, 117, 29, 'Облік');
INSERT INTO `lang_definitions` VALUES (154124, 122, 29, 'Болі');
INSERT INTO `lang_definitions` VALUES (154125, 124, 29, 'Запит на підтвердження');
INSERT INTO `lang_definitions` VALUES (154126, 125, 29, 'Підтвердження, ліцензії та сертифікати');
INSERT INTO `lang_definitions` VALUES (154127, 126, 29, 'Керування доступом');
INSERT INTO `lang_definitions` VALUES (154128, 127, 29, 'Управління списком контролю доступу');
INSERT INTO `lang_definitions` VALUES (154129, 129, 29, 'Управління списком контролю доступу не дозволено');
INSERT INTO `lang_definitions` VALUES (154130, 132, 29, 'Список контролю доступу оновлено успішно');
INSERT INTO `lang_definitions` VALUES (154131, 133, 29, 'Акне');
INSERT INTO `lang_definitions` VALUES (154132, 136, 29, 'Акт');
INSERT INTO `lang_definitions` VALUES (154133, 137, 29, 'Дата підписання акту');
INSERT INTO `lang_definitions` VALUES (154134, 138, 29, 'Дія');
INSERT INTO `lang_definitions` VALUES (154135, 142, 29, 'Дії');
INSERT INTO `lang_definitions` VALUES (154136, 144, 29, 'Активувати повідомлення CCR / CCD');
INSERT INTO `lang_definitions` VALUES (154137, 148, 29, 'Активний');
INSERT INTO `lang_definitions` VALUES (154138, 150, 29, 'Активне повідомлення');
INSERT INTO `lang_definitions` VALUES (154139, 152, 29, 'Правила передачі активних повідомлень');
INSERT INTO `lang_definitions` VALUES (154140, 153, 29, 'Поточні сповіщення / нагадування');
INSERT INTO `lang_definitions` VALUES (154141, 158, 29, 'Активне звернення');
INSERT INTO `lang_definitions` VALUES (154142, 160, 29, 'Поточна зустріч');
INSERT INTO `lang_definitions` VALUES (154143, 162, 29, 'Поточний пацієнт');
INSERT INTO `lang_definitions` VALUES (154144, 163, 29, 'Поточні програми');
INSERT INTO `lang_definitions` VALUES (154145, 173, 29, 'Діяльність');
INSERT INTO `lang_definitions` VALUES (154146, 174, 29, 'Вид діяльності');
INSERT INTO `lang_definitions` VALUES (154147, 185, 29, 'Гостра інтоксикація / абстіненція');
INSERT INTO `lang_definitions` VALUES (154148, 186, 29, 'Гострий прояв хронічного захворювання');
INSERT INTO `lang_definitions` VALUES (154149, 187, 29, 'Гострий або хронічний');
INSERT INTO `lang_definitions` VALUES (154150, 189, 29, 'Додати');
INSERT INTO `lang_definitions` VALUES (154151, 190, 29, 'додати');
INSERT INTO `lang_definitions` VALUES (154152, 191, 29, 'ДОДАТИ');
INSERT INTO `lang_definitions` VALUES (154153, 192, 29, 'Додати компанію');
INSERT INTO `lang_definitions` VALUES (154154, 197, 29, 'Додати аптеку');
INSERT INTO `lang_definitions` VALUES (154155, 200, 29, 'додати подію для');
INSERT INTO `lang_definitions` VALUES (154156, 202, 29, 'Додати як новий запис');
INSERT INTO `lang_definitions` VALUES (154157, 203, 29, 'Додати як новий пункт');
INSERT INTO `lang_definitions` VALUES (154158, 206, 29, 'Додати кнопки');
INSERT INTO `lang_definitions` VALUES (154159, 207, 29, 'Додати кнопки для спеціальних діаграм, текстів для відображення вгорі Редактора для включення в текст при натисканні');
INSERT INTO `lang_definitions` VALUES (154160, 208, 29, 'Додати категорію');
INSERT INTO `lang_definitions` VALUES (154161, 209, 29, 'Додати константу');
INSERT INTO `lang_definitions` VALUES (154162, 210, 29, 'Додати режим роботи');
INSERT INTO `lang_definitions` VALUES (154163, 211, 29, 'Додати оплату пацієнта');
INSERT INTO `lang_definitions` VALUES (154164, 212, 29, 'Додати критерії');
INSERT INTO `lang_definitions` VALUES (154165, 213, 29, 'Додати кнопку користувача');
INSERT INTO `lang_definitions` VALUES (154166, 216, 29, 'Додати діагноз');
INSERT INTO `lang_definitions` VALUES (154167, 217, 29, 'Додати ліки');
INSERT INTO `lang_definitions` VALUES (154168, 220, 29, 'Додати звернення');
INSERT INTO `lang_definitions` VALUES (154169, 221, 29, 'Додати звернення / запис');
INSERT INTO `lang_definitions` VALUES (154170, 222, 29, 'Додати медичний заклад');
INSERT INTO `lang_definitions` VALUES (154171, 223, 29, 'Додати поле');
INSERT INTO `lang_definitions` VALUES (154172, 224, 29, 'Додайте наступні рядки в конфігураційний файл Apache');
INSERT INTO `lang_definitions` VALUES (154173, 225, 29, 'Додати групу');
INSERT INTO `lang_definitions` VALUES (154174, 227, 29, 'Додати код МКХ (Міжнародної класифікації захворювань)');
INSERT INTO `lang_definitions` VALUES (154175, 228, 29, 'Додати вакцинацію');
INSERT INTO `lang_definitions` VALUES (154176, 229, 29, 'Добавлення не дозволено');
INSERT INTO `lang_definitions` VALUES (154177, 230, 29, 'Додати проблему');
INSERT INTO `lang_definitions` VALUES (154178, 231, 29, 'Додати елемент для відслідковування');
INSERT INTO `lang_definitions` VALUES (154179, 232, 29, 'Додати мову');
INSERT INTO `lang_definitions` VALUES (154180, 238, 29, 'Додати Нове');
INSERT INTO `lang_definitions` VALUES (154181, 239, 29, 'Додати нове');
INSERT INTO `lang_definitions` VALUES (154182, 240, 29, 'Додати нову категорію');
INSERT INTO `lang_definitions` VALUES (154183, 241, 29, 'Додати нові сертифікати в конфігураційний файл Apache');
INSERT INTO `lang_definitions` VALUES (154184, 242, 29, 'Додати новий компонент');
INSERT INTO `lang_definitions` VALUES (154185, 243, 29, 'Додати нові компоненти');
INSERT INTO `lang_definitions` VALUES (154186, 249, 29, 'Додати нову групу');
INSERT INTO `lang_definitions` VALUES (154187, 250, 29, 'Додати нову проблему');
INSERT INTO `lang_definitions` VALUES (154188, 251, 29, 'Додати нову партію чи транзакцію');
INSERT INTO `lang_definitions` VALUES (154189, 253, 29, 'Додати Новий Запис');
INSERT INTO `lang_definitions` VALUES (154190, 254, 29, 'Додати новий запис');
INSERT INTO `lang_definitions` VALUES (154191, 255, 29, 'Додати нового партнера');
INSERT INTO `lang_definitions` VALUES (154192, 256, 29, 'Додати нового пацієнта');
INSERT INTO `lang_definitions` VALUES (154193, 264, 29, 'Додати запис');
INSERT INTO `lang_definitions` VALUES (154194, 268, 29, 'Додати запис пацієнта');
INSERT INTO `lang_definitions` VALUES (154195, 269, 29, 'Додати призначення/рецепт');
INSERT INTO `lang_definitions` VALUES (154196, 270, 29, 'Дадати процедуру');
INSERT INTO `lang_definitions` VALUES (154197, 271, 29, 'Додати номер постачальника');
INSERT INTO `lang_definitions` VALUES (154198, 273, 29, 'Додати реабілітацію');
INSERT INTO `lang_definitions` VALUES (154199, 274, 29, 'Додати правило');
INSERT INTO `lang_definitions` VALUES (154200, 277, 29, 'Додати до');
INSERT INTO `lang_definitions` VALUES (154201, 281, 29, 'Додати до списку препаратів');
INSERT INTO `lang_definitions` VALUES (154202, 282, 29, 'Додати верхній рівень');
INSERT INTO `lang_definitions` VALUES (154203, 283, 29, 'Додати транзакцію');
INSERT INTO `lang_definitions` VALUES (154204, 284, 29, 'Додати користувача');
INSERT INTO `lang_definitions` VALUES (154205, 285, 29, 'Додати користувача до групи');
INSERT INTO `lang_definitions` VALUES (154206, 287, 29, 'Додати / змінити eRx (електронне призначення лікаря/рецепт)');
INSERT INTO `lang_definitions` VALUES (154207, 289, 29, 'Додати / змінити транзакцію по пацієнтові');
INSERT INTO `lang_definitions` VALUES (154208, 290, 29, 'доповнено');
INSERT INTO `lang_definitions` VALUES (154209, 293, 29, 'Додавання персональних даних не дозволено.');
INSERT INTO `lang_definitions` VALUES (154210, 294, 29, 'Додати елемент для відслідковування не вдалося');
INSERT INTO `lang_definitions` VALUES (154211, 295, 29, 'Синдром Еддісона');
INSERT INTO `lang_definitions` VALUES (154212, 296, 29, 'Синдром Еддісона');
INSERT INTO `lang_definitions` VALUES (154213, 297, 29, 'Додаткові елементи');
INSERT INTO `lang_definitions` VALUES (154214, 300, 29, 'Додатковий діагноз:');
INSERT INTO `lang_definitions` VALUES (154215, 305, 29, 'Додатковий анамнез');
INSERT INTO `lang_definitions` VALUES (154216, 306, 29, 'Додаткові записи в історію хвороби');
INSERT INTO `lang_definitions` VALUES (154217, 307, 29, 'Додаткова інформація');
INSERT INTO `lang_definitions` VALUES (154218, 310, 29, 'Додаткові лабораторні дослідження');
INSERT INTO `lang_definitions` VALUES (154219, 311, 29, 'Додаткові примітки');
INSERT INTO `lang_definitions` VALUES (154220, 313, 29, 'Додаткові примітки для цих результатів чи рекомендацій');
INSERT INTO `lang_definitions` VALUES (154221, 314, 29, 'Додаткові примітки:');
INSERT INTO `lang_definitions` VALUES (154222, 315, 29, 'Додаткові примітки:');
INSERT INTO `lang_definitions` VALUES (154223, 317, 29, 'Додаткові записи до рентген-дослідження:');
INSERT INTO `lang_definitions` VALUES (154224, 318, 29, 'Додтково, пакет розширення SNOMED (відповідний для США) може бути імпортовано окремо після встановлення версї SNOMED Міжнародний (англійська версія)');
INSERT INTO `lang_definitions` VALUES (154225, 320, 29, 'тільки додавання');
INSERT INTO `lang_definitions` VALUES (154226, 322, 29, 'Адресний довідник');
INSERT INTO `lang_definitions` VALUES (154227, 323, 29, 'Адресний довідник');
INSERT INTO `lang_definitions` VALUES (154228, 324, 29, 'Адреса');
INSERT INTO `lang_definitions` VALUES (154229, 327, 29, 'Адресний довідник');
INSERT INTO `lang_definitions` VALUES (154230, 328, 29, 'Запис в адресному довіднику для компанії, що виконує цю операцію');
INSERT INTO `lang_definitions` VALUES (154231, 329, 29, 'Запис адресному довіднику для дистрибютора');
INSERT INTO `lang_definitions` VALUES (154232, 330, 29, 'Запис адресному довіднику для виробника');
INSERT INTO `lang_definitions` VALUES (154233, 331, 29, 'Види адресних довідників');
INSERT INTO `lang_definitions` VALUES (154234, 332, 29, 'Адресна мітка');
INSERT INTO `lang_definitions` VALUES (154235, 339, 29, 'Адреса 1');
INSERT INTO `lang_definitions` VALUES (154236, 340, 29, 'Адреса 2');
INSERT INTO `lang_definitions` VALUES (154237, 342, 29, 'АДРЕСАТ');
INSERT INTO `lang_definitions` VALUES (154238, 345, 29, 'Коригувати');
INSERT INTO `lang_definitions` VALUES (154239, 346, 29, 'Кількість коригувань');
INSERT INTO `lang_definitions` VALUES (154240, 347, 29, 'Коригувати');
INSERT INTO `lang_definitions` VALUES (154241, 348, 29, 'Коригування');
INSERT INTO `lang_definitions` VALUES (154242, 349, 29, 'Кільк. коригувань');
INSERT INTO `lang_definitions` VALUES (154243, 350, 29, 'Причини коригування');
INSERT INTO `lang_definitions` VALUES (154244, 352, 29, 'Значення коригування для коду');
INSERT INTO `lang_definitions` VALUES (154245, 353, 29, 'Виправлення');
INSERT INTO `lang_definitions` VALUES (154246, 354, 29, 'Налаштування адм.');
INSERT INTO `lang_definitions` VALUES (154247, 355, 29, 'Адмін.');
INSERT INTO `lang_definitions` VALUES (154248, 356, 29, 'Електронна адреса admin');
INSERT INTO `lang_definitions` VALUES (154249, 357, 29, 'Виконувати через');
INSERT INTO `lang_definitions` VALUES (154250, 359, 29, 'Налаштований');
INSERT INTO `lang_definitions` VALUES (154251, 360, 29, 'Налаштований через');
INSERT INTO `lang_definitions` VALUES (154252, 361, 29, 'Дата адміністрування');
INSERT INTO `lang_definitions` VALUES (154253, 362, 29, 'Адміністрований сайт');
INSERT INTO `lang_definitions` VALUES (154254, 363, 29, 'Адміністрування');
INSERT INTO `lang_definitions` VALUES (154255, 365, 29, 'Адміністрування сайту');
INSERT INTO `lang_definitions` VALUES (154256, 366, 29, 'Адміністратори');
INSERT INTO `lang_definitions` VALUES (154257, 367, 29, 'Адміністратори мають необмежений доступ');
INSERT INTO `lang_definitions` VALUES (154258, 368, 29, 'Дата згоди');
INSERT INTO `lang_definitions` VALUES (154259, 371, 29, 'Скрінінг ваги дорослого та диспансерне обстеження');
INSERT INTO `lang_definitions` VALUES (154260, 372, 29, 'Скрінінг ваги дорослого та диспансерне обстеження (CQM)');
INSERT INTO `lang_definitions` VALUES (154261, 373, 29, 'Попередня інструкція');
INSERT INTO `lang_definitions` VALUES (154262, 374, 29, 'Попередні інструкції');
INSERT INTO `lang_definitions` VALUES (154263, 375, 29, 'Попередження про попередню інструкції');
INSERT INTO `lang_definitions` VALUES (154264, 377, 29, 'Вдосконалений');
INSERT INTO `lang_definitions` VALUES (154265, 380, 29, 'Порада');
INSERT INTO `lang_definitions` VALUES (154266, 381, 29, 'Здалеку');
INSERT INTO `lang_definitions` VALUES (154267, 382, 29, 'Вплинути на норму');
INSERT INTO `lang_definitions` VALUES (154268, 383, 29, 'Африкаанс');
INSERT INTO `lang_definitions` VALUES (154269, 386, 29, 'Дзвінки в неробочий час');
INSERT INTO `lang_definitions` VALUES (154270, 387, 29, 'Коли завершено міграцію зі старого механізму паролів де вони зберігаються в таблиці користувачів і без солі, цей прапоець повинен бути встановлений в FALSE, після чого буде можлива лише аутентифікація за новим методом');
INSERT INTO `lang_definitions` VALUES (154271, 388, 29, 'Після завершення вказаних налаштувань імпортуйте сертифікат клієнта admin в браузер і перезавантажте сервер Apache (порожній пароль).');
INSERT INTO `lang_definitions` VALUES (154272, 390, 29, 'Після збереження PDF натисніть [Перегляд журналу] для перевірки помилок.');
INSERT INTO `lang_definitions` VALUES (154273, 393, 29, 'Після збереження файлу (файлів) TEXT натисніть [Перегляд журналу] для перевірки помилок.');
INSERT INTO `lang_definitions` VALUES (154274, 396, 29, 'Після збереження пакета натисніть [Перегляд журналу] для перевірки помилок.');
INSERT INTO `lang_definitions` VALUES (154275, 398, 29, 'Після цього стовбець Співпадіння буде показувати ID вибраного пацієнта, або 0 для створення');
INSERT INTO `lang_definitions` VALUES (154276, 399, 29, 'Після правильного введення інформації натисніть кнопку Зберегти.');
INSERT INTO `lang_definitions` VALUES (154277, 400, 29, 'Після вивантаження натисніть кнопку \"Імпорт\"');
INSERT INTO `lang_definitions` VALUES (154278, 404, 29, 'Планування догляду за виздоровлюючим');
INSERT INTO `lang_definitions` VALUES (154279, 406, 29, 'Повторно');
INSERT INTO `lang_definitions` VALUES (154280, 407, 29, 'Вік');
INSERT INTO `lang_definitions` VALUES (154281, 409, 29, 'Вік за');
INSERT INTO `lang_definitions` VALUES (154282, 410, 29, 'Вікова категорія');
INSERT INTO `lang_definitions` VALUES (154283, 411, 29, 'Дані по віку відсутні');
INSERT INTO `lang_definitions` VALUES (154284, 412, 29, 'Формат відображення віку');
INSERT INTO `lang_definitions` VALUES (154285, 413, 29, 'Формат віку \"вік від\" не дійсний');
INSERT INTO `lang_definitions` VALUES (154286, 414, 29, 'Формат віку \"вік до\" не дійсний');
INSERT INTO `lang_definitions` VALUES (154287, 415, 29, 'Вік від');
INSERT INTO `lang_definitions` VALUES (154288, 416, 29, 'Вік в роках щоб відобразити зміну формату');
INSERT INTO `lang_definitions` VALUES (154289, 417, 29, 'Вік макс');
INSERT INTO `lang_definitions` VALUES (154290, 418, 29, 'Вік мін');
INSERT INTO `lang_definitions` VALUES (154291, 419, 29, 'Віковий діапазон');
INSERT INTO `lang_definitions` VALUES (154292, 421, 29, 'Стовпці віку:');
INSERT INTO `lang_definitions` VALUES (154293, 423, 29, 'Албанська');
INSERT INTO `lang_definitions` VALUES (154294, 424, 29, 'Алкоголь');
INSERT INTO `lang_definitions` VALUES (154295, 425, 29, 'Вживання алкоголю');
INSERT INTO `lang_definitions` VALUES (154296, 426, 29, 'Використання алкоголю');
INSERT INTO `lang_definitions` VALUES (154297, 428, 29, 'Кількість повідомлень');
INSERT INTO `lang_definitions` VALUES (154298, 435, 29, 'Сповіщення');
INSERT INTO `lang_definitions` VALUES (154299, 439, 29, 'Алеутський');
INSERT INTO `lang_definitions` VALUES (154300, 440, 29, 'Всі');
INSERT INTO `lang_definitions` VALUES (154301, 441, 29, 'Всі');
INSERT INTO `lang_definitions` VALUES (154302, 443, 29, 'Всі (формат зіставлення A)');
INSERT INTO `lang_definitions` VALUES (154303, 444, 29, 'Всі (формат зіставлення B)');
INSERT INTO `lang_definitions` VALUES (154304, 445, 29, 'Всі (сукупні)');
INSERT INTO `lang_definitions` VALUES (154305, 447, 29, 'Всі автоматично розраховані одиниці (АРО)');
INSERT INTO `lang_definitions` VALUES (154306, 448, 29, 'Всі категорії');
INSERT INTO `lang_definitions` VALUES (154307, 450, 29, 'Всі коди');
INSERT INTO `lang_definitions` VALUES (154308, 453, 29, 'Весь день');
INSERT INTO `lang_definitions` VALUES (154309, 454, 29, 'Подія на весь день');
INSERT INTO `lang_definitions` VALUES (154310, 455, 29, 'Всі поля персональних даних з пошуком і перевіркою на повтори');
INSERT INTO `lang_definitions` VALUES (154311, 457, 29, 'Всі об\'єкти');
INSERT INTO `lang_definitions` VALUES (154312, 458, 29, 'Всі травми / Проблеми / аспекти');
INSERT INTO `lang_definitions` VALUES (154313, 459, 29, 'Дозволені всі мови');
INSERT INTO `lang_definitions` VALUES (154314, 462, 29, 'Ім\'я або його фрагмент');
INSERT INTO `lang_definitions` VALUES (154315, 463, 29, 'Прізвище або його фрагмент');
INSERT INTO `lang_definitions` VALUES (154316, 464, 29, 'Назва організації або фрагмент назви');
INSERT INTO `lang_definitions` VALUES (154317, 466, 29, 'Всі пацієнти');
INSERT INTO `lang_definitions` VALUES (154318, 468, 29, 'Вся продукція');
INSERT INTO `lang_definitions` VALUES (154319, 469, 29, 'Всі провайдери');
INSERT INTO `lang_definitions` VALUES (154320, 470, 29, 'Всі були розглянуті і негативні');
INSERT INTO `lang_definitions` VALUES (154321, 475, 29, 'Всі розділи');
INSERT INTO `lang_definitions` VALUES (154322, 478, 29, 'Всі користувачі');
INSERT INTO `lang_definitions` VALUES (154323, 479, 29, 'Алергічний');
INSERT INTO `lang_definitions` VALUES (154324, 481, 29, 'Алергії');
INSERT INTO `lang_definitions` VALUES (154325, 484, 29, 'Алергії:');
INSERT INTO `lang_definitions` VALUES (154326, 485, 29, 'Алергія');
INSERT INTO `lang_definitions` VALUES (154327, 486, 29, 'Імпорт інформації про алергії успішно завершено');
INSERT INTO `lang_definitions` VALUES (154328, 487, 29, 'Перелік відомих алергій');
INSERT INTO `lang_definitions` VALUES (154329, 488, 29, 'Алергічна реакція');
INSERT INTO `lang_definitions` VALUES (154330, 491, 29, 'Внести');
INSERT INTO `lang_definitions` VALUES (154331, 492, 29, 'Дозволити');
INSERT INTO `lang_definitions` VALUES (154332, 494, 29, 'Дозволити вибирати всі доступні мови в меню входу в систему.');
INSERT INTO `lang_definitions` VALUES (154333, 496, 29, 'Дозволяє створення заявок які містять діагнози, але не процедури чи оплати. Для більшості клінік це не потрібно.');
INSERT INTO `lang_definitions` VALUES (154334, 497, 29, 'Дозволити налагодження мови');
INSERT INTO `lang_definitions` VALUES (154335, 500, 29, 'Дозволити e-mail');
INSERT INTO `lang_definitions` VALUES (154336, 501, 29, 'Дозволити електронні повідомлення?');
INSERT INTO `lang_definitions` VALUES (154337, 502, 29, 'Дозволити e-mail?');
INSERT INTO `lang_definitions` VALUES (154338, 503, 29, 'Дозволити запит звернення');
INSERT INTO `lang_definitions` VALUES (154339, 506, 29, 'Дозволити обмін інформацією про здоров\'я');
INSERT INTO `lang_definitions` VALUES (154340, 508, 29, 'Дозволити обмін інформацією про вакцинацію');
INSERT INTO `lang_definitions` VALUES (154341, 509, 29, 'Дозволити використання реєстру вакцинації');
INSERT INTO `lang_definitions` VALUES (154342, 512, 29, 'Дозволити передачу повідомлень поштою');
INSERT INTO `lang_definitions` VALUES (154343, 533, 29, 'Дозволити портал пацієнтів');
INSERT INTO `lang_definitions` VALUES (154344, 541, 29, 'Дозволити СМС');
INSERT INTO `lang_definitions` VALUES (154345, 542, 29, 'Дозволити СМС (текстове повідомлення)');
INSERT INTO `lang_definitions` VALUES (154346, 544, 29, 'Дозволити негайну активацію поточних подій?');
INSERT INTO `lang_definitions` VALUES (154347, 545, 29, 'Дозволити телефонні повідомлення?');
INSERT INTO `lang_definitions` VALUES (154348, 547, 29, 'Дозволити користувачам опубліковувати загальні події');
INSERT INTO `lang_definitions` VALUES (154349, 548, 29, 'Дозволити користувачам опубліковувати персональний календар');
INSERT INTO `lang_definitions` VALUES (154350, 554, 29, 'Дозволити голосові повідомлення');
INSERT INTO `lang_definitions` VALUES (154351, 555, 29, 'Дозволено');
INSERT INTO `lang_definitions` VALUES (154352, 556, 29, 'Дозволені мови');
INSERT INTO `lang_definitions` VALUES (154353, 558, 29, 'Дозволено');
INSERT INTO `lang_definitions` VALUES (154354, 559, 29, 'Дозволяє Е-підпис для вмісту випадку');
INSERT INTO `lang_definitions` VALUES (154355, 560, 29, 'Дозволяє Е-підписування індивідуальних форм');
INSERT INTO `lang_definitions` VALUES (154356, 561, 29, 'Дозволяє пошту');
INSERT INTO `lang_definitions` VALUES (154357, 562, 29, 'Дозволяє голосові повідомлення');
INSERT INTO `lang_definitions` VALUES (154358, 566, 29, 'вже існує');
INSERT INTO `lang_definitions` VALUES (154359, 568, 29, 'вже існує.');
INSERT INTO `lang_definitions` VALUES (154360, 570, 29, 'Вже використовується, виберіть інший ідентифікатор');
INSERT INTO `lang_definitions` VALUES (154361, 571, 29, 'Вже використовується, виберіть інший заголовок');
INSERT INTO `lang_definitions` VALUES (154362, 573, 29, 'Альтернативна адреса');
INSERT INTO `lang_definitions` VALUES (154363, 577, 29, 'інший');
INSERT INTO `lang_definitions` VALUES (154364, 584, 29, 'Також можна використовувати сторінку пошуку для завантаження файлу електронного грошового переказу (X12 835), який ви отримали від платника або розрахункового центру. Це можна зробити, натиснувши кнопку \"Огляд\" і вибравши файл для завантаження, а потім натиснувши Пошук, щоб виконати завантаження і відображення відповідних рахунків-фактур. У цьому випадку інші параметри, зазначені вище, не застосовуються, і будуть проігноровані. Завантаження зберігає файл, але ще не обробляє його вміст - це буде зроблено окремо, як описано нижче.');
INSERT INTO `lang_definitions` VALUES (154365, 586, 29, 'До полудня');
INSERT INTO `lang_definitions` VALUES (154366, 587, 29, 'Ранкова програма');
INSERT INTO `lang_definitions` VALUES (154367, 592, 29, 'Автоматичний розрахунок одиниць (АРО)');
INSERT INTO `lang_definitions` VALUES (154368, 593, 29, 'Відстеження АРО');
INSERT INTO `lang_definitions` VALUES (154369, 594, 29, 'АРО-2011');
INSERT INTO `lang_definitions` VALUES (154370, 595, 29, 'АРО-2014');
INSERT INTO `lang_definitions` VALUES (154371, 600, 29, 'Виправити існуючий запис');
INSERT INTO `lang_definitions` VALUES (154372, 602, 29, 'Форма покращення');
INSERT INTO `lang_definitions` VALUES (154373, 604, 29, 'Стан покращення');
INSERT INTO `lang_definitions` VALUES (154374, 605, 29, 'Покращення');
INSERT INTO `lang_definitions` VALUES (154375, 609, 29, 'Покращення для');
INSERT INTO `lang_definitions` VALUES (154376, 610, 29, 'Американський індіанець');
INSERT INTO `lang_definitions` VALUES (154377, 611, 29, 'Американський індіанець або уродженець Аляски');
INSERT INTO `lang_definitions` VALUES (154378, 612, 29, 'AMEX (Амерікан Експрес)');
INSERT INTO `lang_definitions` VALUES (154379, 613, 29, 'Амхарська');
INSERT INTO `lang_definitions` VALUES (154380, 614, 29, 'Сума');
INSERT INTO `lang_definitions` VALUES (154381, 615, 29, 'Сума керована');
INSERT INTO `lang_definitions` VALUES (154382, 617, 29, 'Підсумковий платіж');
INSERT INTO `lang_definitions` VALUES (154383, 620, 29, 'Сума минулого балансу');
INSERT INTO `lang_definitions` VALUES (154384, 621, 29, 'Сума для цього відвідування');
INSERT INTO `lang_definitions` VALUES (154385, 622, 29, 'Виплачена сума');
INSERT INTO `lang_definitions` VALUES (154386, 623, 29, 'Сума:');
INSERT INTO `lang_definitions` VALUES (154387, 626, 29, 'Кільк. рахунків');
INSERT INTO `lang_definitions` VALUES (154388, 630, 29, 'Для повторюваних подій дата кінця повинна бути пізніше дати початку!');
INSERT INTO `lang_definitions` VALUES (154389, 631, 29, 'При підписуванні форми сталася помилка');
INSERT INTO `lang_definitions` VALUES (154390, 632, 29, 'При формуванні дампу дерева веб-каталогу OpenEMR сталася помилка');
INSERT INTO `lang_definitions` VALUES (154391, 633, 29, 'Під час формування дампу дерева веб-каталогу phpGACL сталася помилка');
INSERT INTO `lang_definitions` VALUES (154392, 634, 29, 'Під час формування дампу дерева веб-каталогу для регістра SQL сталася помилка');
INSERT INTO `lang_definitions` VALUES (154393, 638, 29, 'Створено незавершену категорію GCAC. ЇЇ необхідно заверити пізніше');
INSERT INTO `lang_definitions` VALUES (154394, 644, 29, 'Непередбачена помилка.');
INSERT INTO `lang_definitions` VALUES (154395, 646, 29, 'Буква верхнього реєстру');
INSERT INTO `lang_definitions` VALUES (154396, 648, 29, 'і');
INSERT INTO `lang_definitions` VALUES (154397, 649, 29, 'і');
INSERT INTO `lang_definitions` VALUES (154398, 650, 29, 'І');
INSERT INTO `lang_definitions` VALUES (154399, 651, 29, 'і');
INSERT INTO `lang_definitions` VALUES (154400, 652, 29, 'і всі додаткові дані? Цю дію буде запротоколовано');
INSERT INTO `lang_definitions` VALUES (154401, 653, 29, 'і модифіковані');
INSERT INTO `lang_definitions` VALUES (154402, 654, 29, 'і оброблені.');
INSERT INTO `lang_definitions` VALUES (154403, 656, 29, 'і перезавантажте сервер Apache.');
INSERT INTO `lang_definitions` VALUES (154404, 657, 29, 'і Причина полягає в');
INSERT INTO `lang_definitions` VALUES (154405, 659, 29, 'Анемія');
INSERT INTO `lang_definitions` VALUES (154406, 660, 29, 'Гомілковостопний суглоб');
INSERT INTO `lang_definitions` VALUES (154407, 661, 29, 'Гомілковостопний суглоб + п\'ята');
INSERT INTO `lang_definitions` VALUES (154408, 662, 29, 'Бланк обстеження гомілковостопного суглоба');
INSERT INTO `lang_definitions` VALUES (154409, 663, 29, 'Проблеми гомілковостопного суглоба');
INSERT INTO `lang_definitions` VALUES (154410, 664, 29, 'Анкілозуючий спондиліт');
INSERT INTO `lang_definitions` VALUES (154411, 665, 29, 'Анкілозуючий спондиліт');
INSERT INTO `lang_definitions` VALUES (154412, 666, 29, 'Анорексія');
INSERT INTO `lang_definitions` VALUES (154413, 667, 29, 'У вікні відправки також можна зробити повторний запит рахунку. Якщо ви виберете цю кнопку перед збереженням, то на сторінці рахунків буде знову відкрито початковий запит, поставлено в чергу і буде опрацьовано при наступному запуску сторінки рахунків.');
INSERT INTO `lang_definitions` VALUES (154414, 671, 29, 'частка');
INSERT INTO `lang_definitions` VALUES (154415, 676, 29, 'Тонус анального сфінктера звичайний, безболісний, пухлинних утворень немає');
INSERT INTO `lang_definitions` VALUES (154416, 677, 29, 'Тривожність');
INSERT INTO `lang_definitions` VALUES (154417, 679, 29, 'Будь-який');
INSERT INTO `lang_definitions` VALUES (154418, 682, 29, 'Будь-яка категорія');
INSERT INTO `lang_definitions` VALUES (154419, 688, 29, 'Будь-який фрагмент необхідного коду або його опису');
INSERT INTO `lang_definitions` VALUES (154420, 689, 29, 'Будь-який фрагмент назви необхідної спеціальності');
INSERT INTO `lang_definitions` VALUES (154421, 690, 29, 'Будь-який фрагмент назви медикаменту');
INSERT INTO `lang_definitions` VALUES (154422, 691, 29, 'Будь-який фрагмент назви вакцинації');
INSERT INTO `lang_definitions` VALUES (154423, 692, 29, 'Будь-який фрагмент ПІБ пацієнта, чи \"прізвище, імя\", чи \"А-Я\"');
INSERT INTO `lang_definitions` VALUES (154424, 693, 29, 'Будь-яка інша відповідна інформація');
INSERT INTO `lang_definitions` VALUES (154425, 699, 29, 'Ключ API для шлюзу СМС');
INSERT INTO `lang_definitions` VALUES (154426, 703, 29, 'Апое');
INSERT INTO `lang_definitions` VALUES (154427, 710, 29, 'Зовнішній вигляд');
INSERT INTO `lang_definitions` VALUES (154428, 711, 29, 'Зовнішній вигляд:');
INSERT INTO `lang_definitions` VALUES (154429, 714, 29, 'Додати цей запис');
INSERT INTO `lang_definitions` VALUES (154430, 716, 29, 'Додати до існуючої записи');
INSERT INTO `lang_definitions` VALUES (154431, 717, 29, 'Додати до цього запису');
INSERT INTO `lang_definitions` VALUES (154432, 718, 29, 'Додати до цього запису');
INSERT INTO `lang_definitions` VALUES (154433, 719, 29, 'Апендектомія');
INSERT INTO `lang_definitions` VALUES (154434, 720, 29, 'апендектомія');
INSERT INTO `lang_definitions` VALUES (154435, 721, 29, 'Відповідні пацієнти');
INSERT INTO `lang_definitions` VALUES (154436, 722, 29, 'Програма');
INSERT INTO `lang_definitions` VALUES (154437, 723, 29, 'Ім\'я програми для сторінки входу і основного заголовка вікна.');
INSERT INTO `lang_definitions` VALUES (154438, 724, 29, 'Код отримувача програми (GS03 - Якщо бланк ISA08 буде використовуватися)');
INSERT INTO `lang_definitions` VALUES (154439, 725, 29, 'Код відправника програми (GS02)');
INSERT INTO `lang_definitions` VALUES (154440, 726, 29, 'Назва програми');
INSERT INTO `lang_definitions` VALUES (154441, 727, 29, 'Застосовується у формі життєво важливих показників та діаграмі фізичного розвитку');
INSERT INTO `lang_definitions` VALUES (154442, 728, 29, 'Застосовується у формі життєво важливих показників');
INSERT INTO `lang_definitions` VALUES (154443, 729, 29, 'Застосувати зміни лише до поточного події чи до всіх подальших дій?');
INSERT INTO `lang_definitions` VALUES (154444, 730, 29, 'нанести на уражені ділянки');
INSERT INTO `lang_definitions` VALUES (154445, 731, 29, 'нанести на шкіру');
INSERT INTO `lang_definitions` VALUES (154446, 732, 29, 'Застосування');
INSERT INTO `lang_definitions` VALUES (154447, 733, 29, 'Застосувати виправлення до сайту');
INSERT INTO `lang_definitions` VALUES (154448, 734, 29, 'Запис на прийом');
INSERT INTO `lang_definitions` VALUES (154449, 736, 29, 'Дата прийому');
INSERT INTO `lang_definitions` VALUES (154450, 742, 29, 'Стиль відображення запису на прийом');
INSERT INTO `lang_definitions` VALUES (154451, 744, 29, 'Правило нагадування про запис на прийом');
INSERT INTO `lang_definitions` VALUES (154452, 746, 29, 'Статус прийому');
INSERT INTO `lang_definitions` VALUES (154453, 747, 29, 'Статуси прийому');
INSERT INTO `lang_definitions` VALUES (154454, 748, 29, 'Запис на прийом за період');
INSERT INTO `lang_definitions` VALUES (154455, 749, 29, 'Колір для прийому/події');
INSERT INTO `lang_definitions` VALUES (154456, 750, 29, 'Записи на прийом');
INSERT INTO `lang_definitions` VALUES (154457, 751, 29, 'Записи на прийом (право запису - на вибір)');
INSERT INTO `lang_definitions` VALUES (154458, 752, 29, 'Записи на прийом (на вибір - право записувати все/частково)');
INSERT INTO `lang_definitions` VALUES (154459, 758, 29, 'Записи на прийом і звертання');
INSERT INTO `lang_definitions` VALUES (154460, 760, 29, 'Звіт про прийоми');
INSERT INTO `lang_definitions` VALUES (154461, 761, 29, 'Звіт про прийоми-звертання');
INSERT INTO `lang_definitions` VALUES (154462, 764, 29, 'Підтвердити');
INSERT INTO `lang_definitions` VALUES (154463, 766, 29, 'Підтвердити пацієнта з Пацієнт/Клієнт->Імпорт->Оцікує підтвердження');
INSERT INTO `lang_definitions` VALUES (154464, 767, 29, 'Підтверджено');
INSERT INTO `lang_definitions` VALUES (154465, 768, 29, 'Керування підтвердженими подіями');
INSERT INTO `lang_definitions` VALUES (154466, 769, 29, 'Підтверджено успішно');
INSERT INTO `lang_definitions` VALUES (154467, 774, 29, 'Прийоми-зустрічі');
INSERT INTO `lang_definitions` VALUES (154468, 776, 29, 'Прийоми-зустрічі');
INSERT INTO `lang_definitions` VALUES (154469, 779, 29, 'Квіт.');
INSERT INTO `lang_definitions` VALUES (154470, 780, 29, 'Квітень');
INSERT INTO `lang_definitions` VALUES (154471, 782, 29, 'Арабська');
INSERT INTO `lang_definitions` VALUES (154472, 783, 29, 'Арагонська');
INSERT INTO `lang_definitions` VALUES (154473, 784, 29, 'Архів');
INSERT INTO `lang_definitions` VALUES (154474, 787, 29, 'Чи треба перекладати назви груп управління доступом?');
INSERT INTO `lang_definitions` VALUES (154475, 788, 29, 'Чи треба перекладати назви категорій прийому?');
INSERT INTO `lang_definitions` VALUES (154476, 789, 29, 'Чи треба перекладати назви категорій документів?');
INSERT INTO `lang_definitions` VALUES (154477, 790, 29, 'Для цього типу оплата передбачена?');
INSERT INTO `lang_definitions` VALUES (154478, 793, 29, 'Чи треба перекладати заголовки запису по пацієнту?');
INSERT INTO `lang_definitions` VALUES (154479, 794, 29, 'Чи зберігаються коди в зовнішніх таблицях SQL (0-ні, 1-МКБ-10, 2-SNOMED (RF1), 3-SNOMED (RF2))?');
INSERT INTO `lang_definitions` VALUES (154480, 795, 29, 'Чи Ви готові завершити нову GCAC категорію для цього візиту?');
INSERT INTO `lang_definitions` VALUES (154481, 797, 29, 'Чи Ви готові зробити запис за сьогодні?');
INSERT INTO `lang_definitions` VALUES (154482, 798, 29, 'Чи Ви готові підтвердити ці події?');
INSERT INTO `lang_definitions` VALUES (154483, 801, 29, 'Чи Ви готові повністю видалити цю форму?');
INSERT INTO `lang_definitions` VALUES (154484, 804, 29, 'Чи Ви готові видалити цю публікацію?');
INSERT INTO `lang_definitions` VALUES (154485, 805, 29, 'Чи Ви готові видалити цю подію?');
INSERT INTO `lang_definitions` VALUES (154486, 806, 29, 'Чи Ви готові видалити цей пункт з бази даних?');
INSERT INTO `lang_definitions` VALUES (154487, 808, 29, 'Чи Ви готові видалити цей запис?');
INSERT INTO `lang_definitions` VALUES (154488, 810, 29, 'Чи Ви готові змінити ці події?');
INSERT INTO `lang_definitions` VALUES (154489, 811, 29, 'Чи Ви готові приховати ці події?');
INSERT INTO `lang_definitions` VALUES (154490, 814, 29, 'Чи Ви готові відкрити ці події?');
INSERT INTO `lang_definitions` VALUES (154491, 815, 29, 'Чи Ви готові видалити всю групу?');
INSERT INTO `lang_definitions` VALUES (154492, 816, 29, 'Чи Ви готові видалити список цілком?');
INSERT INTO `lang_definitions` VALUES (154493, 817, 29, 'Чи Ви готові видалити поля в');
INSERT INTO `lang_definitions` VALUES (154494, 818, 29, 'Чи Ви готові видалити вибрані поля?');
INSERT INTO `lang_definitions` VALUES (154495, 819, 29, 'Чи Ви готові продовжити ці дії?');
INSERT INTO `lang_definitions` VALUES (154496, 820, 29, 'Не вказана область');
INSERT INTO `lang_definitions` VALUES (154497, 821, 29, 'Рука');
INSERT INTO `lang_definitions` VALUES (154498, 822, 29, 'Вірменська');
INSERT INTO `lang_definitions` VALUES (154499, 829, 29, 'Аритмія');
INSERT INTO `lang_definitions` VALUES (154500, 830, 29, 'Артрит');
INSERT INTO `lang_definitions` VALUES (154501, 831, 29, 'Артрит / деструктивне захворювання суглобів');
INSERT INTO `lang_definitions` VALUES (154502, 832, 29, 'Артрит / деструктивне захворювання суглобів');
INSERT INTO `lang_definitions` VALUES (154503, 836, 29, 'як');
INSERT INTO `lang_definitions` VALUES (154504, 838, 29, 'Як з');
INSERT INTO `lang_definitions` VALUES (154505, 845, 29, 'Азіатський');
INSERT INTO `lang_definitions` VALUES (154506, 846, 29, 'Асамський');
INSERT INTO `lang_definitions` VALUES (154507, 848, 29, 'Оцінка');
INSERT INTO `lang_definitions` VALUES (154508, 853, 29, 'Призначено');
INSERT INTO `lang_definitions` VALUES (154509, 854, 29, 'Асистент');
INSERT INTO `lang_definitions` VALUES (154510, 861, 29, 'Астма');
INSERT INTO `lang_definitions` VALUES (154511, 862, 29, 'в');
INSERT INTO `lang_definitions` VALUES (154512, 863, 29, 'Якщо Ви вибрали \"Все\", то хоча б один параметр пошуку необхідний');
INSERT INTO `lang_definitions` VALUES (154513, 866, 29, 'У човноподібній кістці');
INSERT INTO `lang_definitions` VALUES (154514, 867, 29, 'У човноподібній кістці:');
INSERT INTO `lang_definitions` VALUES (154515, 868, 29, 'Спортивна команда');
INSERT INTO `lang_definitions` VALUES (154516, 869, 29, 'Спортивна команда');
INSERT INTO `lang_definitions` VALUES (154517, 870, 29, 'Спортивна/травма');
INSERT INTO `lang_definitions` VALUES (154518, 871, 29, 'Сертифікат CA аудиту ATNA');
INSERT INTO `lang_definitions` VALUES (154519, 872, 29, 'Хост аудиту ATNA');
INSERT INTO `lang_definitions` VALUES (154520, 873, 29, 'Місцевий сертифікат для аудиту ATNA');
INSERT INTO `lang_definitions` VALUES (154521, 874, 29, 'Порт аудиту ATNA');
INSERT INTO `lang_definitions` VALUES (154522, 877, 29, 'Увага');
INSERT INTO `lang_definitions` VALUES (154523, 879, 29, 'Увага');
INSERT INTO `lang_definitions` VALUES (154524, 883, 29, 'Аудит інструменту CDR-запитів');
INSERT INTO `lang_definitions` VALUES (154525, 885, 29, 'Аудит журналу розтину');
INSERT INTO `lang_definitions` VALUES (154526, 886, 29, 'Аудит журналу звіту про розтин');
INSERT INTO `lang_definitions` VALUES (154527, 890, 29, 'Резервне копіювання журналу аудиту');
INSERT INTO `lang_definitions` VALUES (154528, 891, 29, 'Різноманітна реєстрація аудиту');
INSERT INTO `lang_definitions` VALUES (154529, 892, 29, 'Призначення журналу аудиту');
INSERT INTO `lang_definitions` VALUES (154530, 893, 29, 'Аудит журнал записів пацієнта');
INSERT INTO `lang_definitions` VALUES (154531, 894, 29, 'Планування Аудит реєстрації');
INSERT INTO `lang_definitions` VALUES (154532, 895, 29, 'Аудит реєстрація управління безпекою');
INSERT INTO `lang_definitions` VALUES (154533, 896, 29, 'Аудит реєстрація запиту SELECT');
INSERT INTO `lang_definitions` VALUES (154534, 898, 29, 'Серп.');
INSERT INTO `lang_definitions` VALUES (154535, 899, 29, 'Серпень');
INSERT INTO `lang_definitions` VALUES (154536, 901, 29, 'Авторизувати');
INSERT INTO `lang_definitions` VALUES (154537, 902, 29, 'Авторизувати / Записи');
INSERT INTO `lang_definitions` VALUES (154538, 922, 29, 'Авторизована група');
INSERT INTO `lang_definitions` VALUES (154539, 923, 29, 'Статус авторизації');
INSERT INTO `lang_definitions` VALUES (154540, 924, 29, 'Авторизація');
INSERT INTO `lang_definitions` VALUES (154541, 925, 29, 'Дозволити');
INSERT INTO `lang_definitions` VALUES (154542, 926, 29, 'Дозволити - будь-які звернення');
INSERT INTO `lang_definitions` VALUES (154543, 928, 29, 'Дозволити - мої звернення');
INSERT INTO `lang_definitions` VALUES (154544, 933, 29, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (154545, 934, 29, 'Уповноважений');
INSERT INTO `lang_definitions` VALUES (154546, 936, 29, 'Тільки уповноважений');
INSERT INTO `lang_definitions` VALUES (154547, 941, 29, 'Автоматична відправка');
INSERT INTO `lang_definitions` VALUES (154548, 944, 29, 'Створити нове звернення автоматично');
INSERT INTO `lang_definitions` VALUES (154549, 945, 29, 'Авто-створені');
INSERT INTO `lang_definitions` VALUES (154550, 947, 29, 'Автоматичний розрахунок одиниць вимірювання (AMC)');
INSERT INTO `lang_definitions` VALUES (154551, 948, 29, 'Автоматичний розрахунок одиниць вимірювання (AMC) - 2011');
INSERT INTO `lang_definitions` VALUES (154552, 949, 29, 'Автоматичний розрахунок одиниць вимірювання (AMC) - 2014');
INSERT INTO `lang_definitions` VALUES (154553, 952, 29, 'Відстеження автоматичного розрахунку одиниць вимірювання (AMC)');
INSERT INTO `lang_definitions` VALUES (154554, 953, 29, 'Автоматична одиниця виміру (AMC)');
INSERT INTO `lang_definitions` VALUES (154555, 955, 29, 'Автоматично');
INSERT INTO `lang_definitions` VALUES (154556, 959, 29, 'Створює нове звернення автоматично, коли статус прийому встановлюється на \"@\" (прибув).');
INSERT INTO `lang_definitions` VALUES (154557, 962, 29, 'Медицина автокатастроф');
INSERT INTO `lang_definitions` VALUES (154558, 964, 29, 'автоматично збережений');
INSERT INTO `lang_definitions` VALUES (154559, 967, 29, 'Доступні категорії');
INSERT INTO `lang_definitions` VALUES (154560, 971, 29, 'Доступний час');
INSERT INTO `lang_definitions` VALUES (154561, 972, 29, 'Доступні треки');
INSERT INTO `lang_definitions` VALUES (154562, 973, 29, 'Аварський');
INSERT INTO `lang_definitions` VALUES (154563, 974, 29, 'Мітки Авері для друку етикетоа для пацієнтів в лівому вікні навігації');
INSERT INTO `lang_definitions` VALUES (154564, 975, 29, 'Авестійська');
INSERT INTO `lang_definitions` VALUES (154565, 976, 29, 'Всередньому щомісячно');
INSERT INTO `lang_definitions` VALUES (154566, 980, 29, 'Розрив/перелом з авульсією');
INSERT INTO `lang_definitions` VALUES (154567, 981, 29, 'Авульсія латеральної щиколотки');
INSERT INTO `lang_definitions` VALUES (154568, 982, 29, 'Авульсія медіальної кісточки');
INSERT INTO `lang_definitions` VALUES (154569, 983, 29, 'На основі інформованості');
INSERT INTO `lang_definitions` VALUES (154570, 985, 29, 'Пахвовий');
INSERT INTO `lang_definitions` VALUES (154571, 990, 29, 'Аймара');
INSERT INTO `lang_definitions` VALUES (154572, 991, 29, 'Азербайджанська');
INSERT INTO `lang_definitions` VALUES (154573, 992, 29, 'двічі на день');
INSERT INTO `lang_definitions` VALUES (154574, 993, 29, 'Назад');
INSERT INTO `lang_definitions` VALUES (154575, 994, 29, 'назад');
INSERT INTO `lang_definitions` VALUES (154576, 995, 29, 'Вісім відвідувань назад');
INSERT INTO `lang_definitions` VALUES (154577, 996, 29, 'Одинадцять відвідувань назад');
INSERT INTO `lang_definitions` VALUES (154578, 997, 29, 'П\'ять відвідувань назад');
INSERT INTO `lang_definitions` VALUES (154579, 998, 29, 'Чотири відвідування назад');
INSERT INTO `lang_definitions` VALUES (154580, 999, 29, 'Дев\'ять відвідувань назад');
INSERT INTO `lang_definitions` VALUES (154581, 1000, 29, 'Одне відвідування назад');
INSERT INTO `lang_definitions` VALUES (154582, 1001, 29, 'Спинний біль');
INSERT INTO `lang_definitions` VALUES (154583, 1002, 29, 'Проблеми з спиною');
INSERT INTO `lang_definitions` VALUES (154584, 1003, 29, 'Сім відвідувань назад');
INSERT INTO `lang_definitions` VALUES (154585, 1004, 29, 'Шість відвідувань назад');
INSERT INTO `lang_definitions` VALUES (154586, 1005, 29, 'Хірургія хребта');
INSERT INTO `lang_definitions` VALUES (154587, 1006, 29, 'Десять відвідувань назад');
INSERT INTO `lang_definitions` VALUES (154588, 1007, 29, 'Три відвідування назад');
INSERT INTO `lang_definitions` VALUES (154589, 1008, 29, 'Назад до сторінки адміністрування');
INSERT INTO `lang_definitions` VALUES (154590, 1011, 29, 'Назад до випадку');
INSERT INTO `lang_definitions` VALUES (154591, 1012, 29, 'Назад до пацієнта');
INSERT INTO `lang_definitions` VALUES (154592, 1013, 29, 'Назад до пацієнта');
INSERT INTO `lang_definitions` VALUES (154593, 1015, 29, 'Назад до користувачів');
INSERT INTO `lang_definitions` VALUES (154594, 1016, 29, 'Назад до перегляду');
INSERT INTO `lang_definitions` VALUES (154595, 1017, 29, 'Дванадцять відвідувань назад');
INSERT INTO `lang_definitions` VALUES (154596, 1018, 29, 'Два відвідування назад');
INSERT INTO `lang_definitions` VALUES (154597, 1019, 29, 'Фонові сервіси');
INSERT INTO `lang_definitions` VALUES (154598, 1020, 29, 'Резервна копія');
INSERT INTO `lang_definitions` VALUES (154599, 1022, 29, 'Файл резервного копіювання створено.Теперь буде розпочато вивантаження.');
INSERT INTO `lang_definitions` VALUES (154600, 1023, 29, 'Список резервних копій');
INSERT INTO `lang_definitions` VALUES (154601, 1024, 29, 'Резервна копія прийнята');
INSERT INTO `lang_definitions` VALUES (154602, 1025, 29, 'Фальшивий чек');
INSERT INTO `lang_definitions` VALUES (154603, 1026, 29, 'Найбільший борг');
INSERT INTO `lang_definitions` VALUES (154604, 1027, 29, 'Бахаса Індонезія');
INSERT INTO `lang_definitions` VALUES (154605, 1028, 29, 'Баланс');
INSERT INTO `lang_definitions` VALUES (154606, 1031, 29, 'Баланс');
INSERT INTO `lang_definitions` VALUES (154607, 1032, 29, 'баланс');
INSERT INTO `lang_definitions` VALUES (154608, 1033, 29, 'Баланс (кільк.)');
INSERT INTO `lang_definitions` VALUES (154609, 1034, 29, 'Дебетове сальдо');
INSERT INTO `lang_definitions` VALUES (154610, 1038, 29, 'Банківський розрахунок');
INSERT INTO `lang_definitions` VALUES (154611, 1039, 29, 'Мітка з штрихкодом');
INSERT INTO `lang_definitions` VALUES (154612, 1040, 29, 'Тип мітки з штрихкодом');
INSERT INTO `lang_definitions` VALUES (154613, 1041, 29, 'Тип штрихкоду для друку міток з штрихкодом в лівому вікні навігації');
INSERT INTO `lang_definitions` VALUES (154614, 1042, 29, 'Основа п\'ятої (5-ї) метатарсальної кістки');
INSERT INTO `lang_definitions` VALUES (154615, 1043, 29, 'Основа п\'ятої (5-ї) метатарсальної кістки:');
INSERT INTO `lang_definitions` VALUES (154616, 1047, 29, 'Башкирська');
INSERT INTO `lang_definitions` VALUES (154617, 1049, 29, 'Баскська');
INSERT INTO `lang_definitions` VALUES (154618, 1050, 29, 'Пакетна вимога');
INSERT INTO `lang_definitions` VALUES (154619, 1051, 29, 'Інструмент пакетної передачі даних');
INSERT INTO `lang_definitions` VALUES (154620, 1053, 29, 'Введення групової оплати');
INSERT INTO `lang_definitions` VALUES (154621, 1054, 29, 'Групові оплати');
INSERT INTO `lang_definitions` VALUES (154622, 1055, 29, 'Ініційована пакетна обробка; вона може зайнятий час.');
INSERT INTO `lang_definitions` VALUES (154623, 1056, 29, 'Пакетні результати');
INSERT INTO `lang_definitions` VALUES (154624, 1057, 29, 'Пакетна передача');
INSERT INTO `lang_definitions` VALUES (154625, 1060, 29, 'Зачекайте, обробка декількох файлів займе кілька хвилин!');
INSERT INTO `lang_definitions` VALUES (154626, 1063, 29, 'оскільки дане id не існує.');
INSERT INTO `lang_definitions` VALUES (154627, 1072, 29, 'Початок');
INSERT INTO `lang_definitions` VALUES (154628, 1074, 29, 'Дата початку');
INSERT INTO `lang_definitions` VALUES (154629, 1077, 29, 'Дата початку обслуговування рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (154630, 1078, 29, 'Початкова година дня для календарних подій.');
INSERT INTO `lang_definitions` VALUES (154631, 1081, 29, 'Білоруська');
INSERT INTO `lang_definitions` VALUES (154632, 1082, 29, 'Відрижка');
INSERT INTO `lang_definitions` VALUES (154633, 1086, 29, 'Бенгальська');
INSERT INTO `lang_definitions` VALUES (154634, 1089, 29, 'між');
INSERT INTO `lang_definitions` VALUES (154635, 1091, 29, 'Двонаправлений');
INSERT INTO `lang_definitions` VALUES (154636, 1094, 29, 'Біхарі');
INSERT INTO `lang_definitions` VALUES (154637, 1095, 29, 'Білатерально');
INSERT INTO `lang_definitions` VALUES (154638, 1096, 29, 'Білатерально:');
INSERT INTO `lang_definitions` VALUES (154639, 1099, 29, 'Дата рахунку:');
INSERT INTO `lang_definitions` VALUES (154640, 1101, 29, 'Рахунки / підрахунок');
INSERT INTO `lang_definitions` VALUES (154641, 1102, 29, 'Сплачений');
INSERT INTO `lang_definitions` VALUES (154642, 1104, 29, 'Рахунки');
INSERT INTO `lang_definitions` VALUES (154643, 1105, 29, 'Рахунки (право запису - на вибір)');
INSERT INTO `lang_definitions` VALUES (154644, 1109, 29, 'Попередження по платежу');
INSERT INTO `lang_definitions` VALUES (154645, 1111, 29, 'Білінговий код для запитуваної послуги');
INSERT INTO `lang_definitions` VALUES (154646, 1112, 29, 'Білінгові коди');
INSERT INTO `lang_definitions` VALUES (154647, 1113, 29, 'Дата платежу');
INSERT INTO `lang_definitions` VALUES (154648, 1114, 29, 'Розрахункове відділення');
INSERT INTO `lang_definitions` VALUES (154649, 1115, 29, 'Розрахунковий об\'єкт');
INSERT INTO `lang_definitions` VALUES (154650, 1117, 29, 'Інформація по розрахунках');
INSERT INTO `lang_definitions` VALUES (154651, 1118, 29, 'Розміщення бухгалтерії');
INSERT INTO `lang_definitions` VALUES (154652, 1125, 29, 'Менеджер по розрахунках');
INSERT INTO `lang_definitions` VALUES (154653, 1126, 29, 'Розрахунковий запис');
INSERT INTO `lang_definitions` VALUES (154654, 1127, 29, 'Розрахунковий запис для');
INSERT INTO `lang_definitions` VALUES (154655, 1128, 29, 'Розрахунковий запис:');
INSERT INTO `lang_definitions` VALUES (154656, 1130, 29, 'Результати запиту по розрахунках');
INSERT INTO `lang_definitions` VALUES (154657, 1131, 29, 'Звіт по розрахунках');
INSERT INTO `lang_definitions` VALUES (154658, 1132, 29, 'Статус рахунку');
INSERT INTO `lang_definitions` VALUES (154659, 1133, 29, 'Статус рахунку = не оплачений');
INSERT INTO `lang_definitions` VALUES (154660, 1134, 29, 'рахунок в');
INSERT INTO `lang_definitions` VALUES (154661, 1138, 29, 'Біопсія');
INSERT INTO `lang_definitions` VALUES (154662, 1140, 29, 'Дата народження');
INSERT INTO `lang_definitions` VALUES (154663, 1141, 29, 'Народжений-24 місяці');
INSERT INTO `lang_definitions` VALUES (154664, 1144, 29, 'Чорношкірий');
INSERT INTO `lang_definitions` VALUES (154665, 1147, 29, 'Антракоз');
INSERT INTO `lang_definitions` VALUES (154666, 1148, 29, 'Чорношкірий або афро-американець');
INSERT INTO `lang_definitions` VALUES (154667, 1149, 29, 'Рак сечового міхура');
INSERT INTO `lang_definitions` VALUES (154668, 1150, 29, 'Інфекції сечового міхура');
INSERT INTO `lang_definitions` VALUES (154669, 1152, 29, 'Порожні бланки');
INSERT INTO `lang_definitions` VALUES (154670, 1153, 29, 'Проблеми кровотечі');
INSERT INTO `lang_definitions` VALUES (154671, 1154, 29, 'Сліпі плями');
INSERT INTO `lang_definitions` VALUES (154672, 1156, 29, 'Вздуття живота');
INSERT INTO `lang_definitions` VALUES (154673, 1158, 29, 'Блокований');
INSERT INTO `lang_definitions` VALUES (154674, 1159, 29, 'Кров');
INSERT INTO `lang_definitions` VALUES (154675, 1160, 29, 'Артеріальний тиск');
INSERT INTO `lang_definitions` VALUES (154676, 1161, 29, 'Артеріальний тиск');
INSERT INTO `lang_definitions` VALUES (154677, 1162, 29, 'Носова кровотеча');
INSERT INTO `lang_definitions` VALUES (154678, 1163, 29, 'Медичне страхове товариство \"Синій Хрест і Синій Щит\"');
INSERT INTO `lang_definitions` VALUES (154679, 1165, 29, 'Сині рядки в цьому звіті є довідковими. Чорні рядки показують інформацію, яка існувала раніше. Зелені рядки показують зміни, які були успішно внесені. Червоні лінії позначають помилки або зміни, які не були зроблені; вони повинні бути виконані вручну. В даний час відхилення вимоги і відкат оплати автоматично не обробляються, і тому вони будуть відображатися червоним.');
INSERT INTO `lang_definitions` VALUES (154680, 1166, 29, 'Нечіткий зір');
INSERT INTO `lang_definitions` VALUES (154681, 1167, 29, 'ІМТ - індекс маси тіла');
INSERT INTO `lang_definitions` VALUES (154682, 1168, 29, 'Статус ІМТ');
INSERT INTO `lang_definitions` VALUES (154683, 1170, 29, 'Область тіла');
INSERT INTO `lang_definitions` VALUES (154684, 1171, 29, 'Ділянка тіла');
INSERT INTO `lang_definitions` VALUES (154685, 1172, 29, 'Ділянка тіла, якщо застосовується');
INSERT INTO `lang_definitions` VALUES (154686, 1173, 29, 'Кісткова крихкість:');
INSERT INTO `lang_definitions` VALUES (154687, 1174, 29, 'Кісткова крихкість: медіальна кісточка');
INSERT INTO `lang_definitions` VALUES (154688, 1175, 29, 'Булевий');
INSERT INTO `lang_definitions` VALUES (154689, 1176, 29, 'Боснійська');
INSERT INTO `lang_definitions` VALUES (154690, 1177, 29, 'Низ');
INSERT INTO `lang_definitions` VALUES (154691, 1179, 29, 'Обидва вуха');
INSERT INTO `lang_definitions` VALUES (154692, 1180, 29, 'обидва вуха');
INSERT INTO `lang_definitions` VALUES (154693, 1183, 29, 'Нижній');
INSERT INTO `lang_definitions` VALUES (154694, 1184, 29, 'Нижнє поле (рх)');
INSERT INTO `lang_definitions` VALUES (154695, 1187, 29, 'ПОЛЕ 10 A. Виробнича травма');
INSERT INTO `lang_definitions` VALUES (154696, 1189, 29, 'ПОЛЕ 10 B. Автомобільна травма');
INSERT INTO `lang_definitions` VALUES (154697, 1191, 29, 'ПОЛЕ 10 C. Інші пошкодження');
INSERT INTO `lang_definitions` VALUES (154698, 1200, 29, 'ПОЛЕ 14 Визначник дати');
INSERT INTO `lang_definitions` VALUES (154699, 1204, 29, 'ПОЛЕ 15 Інший визначник дати');
INSERT INTO `lang_definitions` VALUES (154700, 1205, 29, 'ПОЛЕ 15. Дата того самого чи схожого захворювання (рік-місяць-число)');
INSERT INTO `lang_definitions` VALUES (154701, 1206, 29, 'ПОЛЕ 15. Дата того самого чи схожого захворювання / Інша дата (рік-місяць-число)');
INSERT INTO `lang_definitions` VALUES (154702, 1211, 29, 'ПОЛЕ 16. Непрацездатний з дати (рік-місяць-число):');
INSERT INTO `lang_definitions` VALUES (154703, 1215, 29, 'ПОЛЕ 16. Непрацездатний до дати (рік-місяць-число):');
INSERT INTO `lang_definitions` VALUES (154704, 1227, 29, 'ПОЛЕ 18. Дата госпіталізації з (рік-місяць-число):');
INSERT INTO `lang_definitions` VALUES (154705, 1231, 29, 'ПОЛЕ 18. Госпіталізація до дати (рік-місяць-число):');
INSERT INTO `lang_definitions` VALUES (154706, 1235, 29, 'ПОЛЕ 20. Зовнішня лабораторія використовується?');
INSERT INTO `lang_definitions` VALUES (154707, 1239, 29, 'ПОЛЕ 22. Код повторно наданої медичної допомоги (ICD-9)');
INSERT INTO `lang_definitions` VALUES (154708, 1243, 29, 'ПОЛЕ 23. Номер попередньої авторизації');
INSERT INTO `lang_definitions` VALUES (154709, 1244, 29, 'Кров\'яний тиск');
INSERT INTO `lang_definitions` VALUES (154710, 1245, 29, 'Діастолічний АТ');
INSERT INTO `lang_definitions` VALUES (154711, 1246, 29, 'Систолічний АТ');
INSERT INTO `lang_definitions` VALUES (154712, 1248, 29, 'АТд');
INSERT INTO `lang_definitions` VALUES (154713, 1252, 29, 'АТс');
INSERT INTO `lang_definitions` VALUES (154714, 1254, 29, 'Португалець бразильського походження');
INSERT INTO `lang_definitions` VALUES (154715, 1255, 29, 'Молочна залоза');
INSERT INTO `lang_definitions` VALUES (154716, 1256, 29, 'Біопсія молочної залози');
INSERT INTO `lang_definitions` VALUES (154717, 1257, 29, 'Виділення з соска');
INSERT INTO `lang_definitions` VALUES (154718, 1258, 29, 'Захворювання молочної залози');
INSERT INTO `lang_definitions` VALUES (154719, 1259, 29, 'Обстеження молочної залози');
INSERT INTO `lang_definitions` VALUES (154720, 1260, 29, 'Новоутворення молочної залози');
INSERT INTO `lang_definitions` VALUES (154721, 1262, 29, 'Шуми при диханні:');
INSERT INTO `lang_definitions` VALUES (154722, 1263, 29, 'Бретонська');
INSERT INTO `lang_definitions` VALUES (154723, 1265, 29, 'Пошкодження скелета');
INSERT INTO `lang_definitions` VALUES (154724, 1266, 29, 'пошкоджена форма');
INSERT INTO `lang_definitions` VALUES (154725, 1267, 29, 'Форма бронхіту');
INSERT INTO `lang_definitions` VALUES (154726, 1270, 29, 'Переглянути');
INSERT INTO `lang_definitions` VALUES (154727, 1271, 29, 'Переглянути для запису');
INSERT INTO `lang_definitions` VALUES (154728, 1272, 29, 'Забій / гематома');
INSERT INTO `lang_definitions` VALUES (154729, 1275, 29, 'Болгарська');
INSERT INTO `lang_definitions` VALUES (154730, 1276, 29, 'Набряк з правого боку:');
INSERT INTO `lang_definitions` VALUES (154731, 1277, 29, 'Бірманський');
INSERT INTO `lang_definitions` VALUES (154732, 1278, 29, 'Печіння при сечовипусканні');
INSERT INTO `lang_definitions` VALUES (154733, 1279, 29, 'Печіння при сечовипусканні');
INSERT INTO `lang_definitions` VALUES (154734, 1281, 29, 'Робочий телефон');
INSERT INTO `lang_definitions` VALUES (154735, 1282, 29, 'Зайнятий');
INSERT INTO `lang_definitions` VALUES (154736, 1283, 29, 'але ще не оброблено.');
INSERT INTO `lang_definitions` VALUES (154737, 1284, 29, 'Сідниці');
INSERT INTO `lang_definitions` VALUES (154738, 1285, 29, 'Сідниці + S.I.');
INSERT INTO `lang_definitions` VALUES (154739, 1286, 29, 'через');
INSERT INTO `lang_definitions` VALUES (154740, 1287, 29, 'Через');
INSERT INTO `lang_definitions` VALUES (154741, 1293, 29, 'перорально');
INSERT INTO `lang_definitions` VALUES (154742, 1295, 29, 'Через / Джерело');
INSERT INTO `lang_definitions` VALUES (154743, 1296, 29, 'Через:');
INSERT INTO `lang_definitions` VALUES (154744, 1299, 29, 'С');
INSERT INTO `lang_definitions` VALUES (154745, 1301, 29, 'Сертифікат CA для підтвердження сервера syslog TLS RFC 5425.');
INSERT INTO `lang_definitions` VALUES (154746, 1302, 29, 'Час життя кешу (в секундах)');
INSERT INTO `lang_definitions` VALUES (154747, 1303, 29, 'Шаблон кешу виконаний?');
INSERT INTO `lang_definitions` VALUES (154748, 1305, 29, 'Вживання кофеїну');
INSERT INTO `lang_definitions` VALUES (154749, 1306, 29, 'Календар');
INSERT INTO `lang_definitions` VALUES (154750, 1307, 29, 'Календарний години закінчення');
INSERT INTO `lang_definitions` VALUES (154751, 1308, 29, 'Календарний період');
INSERT INTO `lang_definitions` VALUES (154752, 1309, 29, 'Відображення календаря');
INSERT INTO `lang_definitions` VALUES (154753, 1310, 29, 'Налаштування календаря');
INSERT INTO `lang_definitions` VALUES (154754, 1312, 29, 'Час початку реєстрації');
INSERT INTO `lang_definitions` VALUES (154755, 1313, 29, 'Вигляд календаря користувача');
INSERT INTO `lang_definitions` VALUES (154756, 1314, 29, 'Перегляд календаря');
INSERT INTO `lang_definitions` VALUES (154757, 1317, 29, 'Виклик addForm () робиться тут. <br>');
INSERT INTO `lang_definitions` VALUES (154758, 1321, 29, 'Калорії');
INSERT INTO `lang_definitions` VALUES (154759, 1322, 29, 'Камбоджійський');
INSERT INTO `lang_definitions` VALUES (154760, 1323, 29, 'CAMOS');
INSERT INTO `lang_definitions` VALUES (154761, 1329, 29, 'Скасувати');
INSERT INTO `lang_definitions` VALUES (154762, 1332, 29, 'Скасувати зміни');
INSERT INTO `lang_definitions` VALUES (154763, 1333, 29, 'Скасовано');
INSERT INTO `lang_definitions` VALUES (154764, 1335, 29, 'Рак');
INSERT INTO `lang_definitions` VALUES (154765, 1336, 29, 'Скринінг раку: скринінг раку товстого кишечника');
INSERT INTO `lang_definitions` VALUES (154766, 1337, 29, 'Скринінг раку: мамографія');
INSERT INTO `lang_definitions` VALUES (154767, 1338, 29, 'Скринінгу раку: Мазок Папаніколау');
INSERT INTO `lang_definitions` VALUES (154768, 1339, 29, 'Скринінг раку: скринінг раку передміхурової залози');
INSERT INTO `lang_definitions` VALUES (154769, 1340, 29, 'Не вдалося додати цей запис, оскільки він вже існує!');
INSERT INTO `lang_definitions` VALUES (154770, 1341, 29, 'Не вдалося додати / поновити цей запис, оскільки дублікат вже існує!');
INSERT INTO `lang_definitions` VALUES (154771, 1342, 29, 'не може бути досягнуто, проігноровано');
INSERT INTO `lang_definitions` VALUES (154772, 1343, 29, 'Не вдалося перетворити в JPEG. Можливо не встановлено програму ImageMagick?');
INSERT INTO `lang_definitions` VALUES (154773, 1344, 29, 'не може бути видаено, проігноровано');
INSERT INTO `lang_definitions` VALUES (154774, 1345, 29, 'Не може бути відображений в мережі тому, що його тип не підтримується браузером.');
INSERT INTO `lang_definitions` VALUES (154775, 1346, 29, 'Не може бути відображений в мережі тому, що його тип не підтримується браузером.');
INSERT INTO `lang_definitions` VALUES (154776, 1347, 29, 'Не може бути відображений в мережі тому, що його тип не підтримується браузером.');
INSERT INTO `lang_definitions` VALUES (154777, 1349, 29, 'Не вдалося створити');
INSERT INTO `lang_definitions` VALUES (154778, 1354, 29, 'Не вдалося знайти');
INSERT INTO `lang_definitions` VALUES (154779, 1355, 29, 'Не вдається знайти призначене ім\'я файлу');
INSERT INTO `lang_definitions` VALUES (154780, 1358, 29, 'Не вдалося знайти пацієнта за ID користувача в SQL-реєстрі');
INSERT INTO `lang_definitions` VALUES (154781, 1359, 29, 'Не вдалося знайти посилання на документ postscript в');
INSERT INTO `lang_definitions` VALUES (154782, 1360, 29, 'Не вдалося знайти фахівця з SQL-реєстру службовців');
INSERT INTO `lang_definitions` VALUES (154783, 1361, 29, 'Не вдається змінити платежі. Залишок негативний.');
INSERT INTO `lang_definitions` VALUES (154784, 1363, 29, 'Неможливо відрити');
INSERT INTO `lang_definitions` VALUES (154785, 1364, 29, 'Не вдалося відправити для страхування. Обраною особою для платежу є пацієнт.');
INSERT INTO `lang_definitions` VALUES (154786, 1365, 29, 'Не вдалося відправити пацієнту. Обраним об\'єктом для платежу є страховка.');
INSERT INTO `lang_definitions` VALUES (154787, 1366, 29, 'Не вдається відправити платежі. Залишок негативний.');
INSERT INTO `lang_definitions` VALUES (154788, 1367, 29, 'Неможливо прочитати');
INSERT INTO `lang_definitions` VALUES (154789, 1368, 29, 'Неможливо прочитати директорію');
INSERT INTO `lang_definitions` VALUES (154790, 1369, 29, 'Не вдалося оновити, тому що ви не відредагували існуючий запис!');
INSERT INTO `lang_definitions` VALUES (154791, 1370, 29, 'З великої літери');
INSERT INTO `lang_definitions` VALUES (154792, 1371, 29, 'Все з великої літери');
INSERT INTO `lang_definitions` VALUES (154793, 1372, 29, 'капсула');
INSERT INTO `lang_definitions` VALUES (154794, 1373, 29, 'Карта');
INSERT INTO `lang_definitions` VALUES (154795, 1382, 29, 'Коронарне зондування');
INSERT INTO `lang_definitions` VALUES (154796, 1383, 29, 'ЕхоКГ');
INSERT INTO `lang_definitions` VALUES (154797, 1384, 29, 'Серцево-судинний');
INSERT INTO `lang_definitions` VALUES (154798, 1396, 29, 'Пошкодження хряща / суглоба / диска');
INSERT INTO `lang_definitions` VALUES (154799, 1397, 29, 'Травма хряща');
INSERT INTO `lang_definitions` VALUES (154800, 1398, 29, 'Каротидна пульсація в нормі, пульс на стопахв нормі');
INSERT INTO `lang_definitions` VALUES (154801, 1400, 29, 'готівка');
INSERT INTO `lang_definitions` VALUES (154802, 1401, 29, 'Готівка');
INSERT INTO `lang_definitions` VALUES (154803, 1402, 29, 'Поступлення готівки');
INSERT INTO `lang_definitions` VALUES (154804, 1403, 29, 'Поступлення готівки через провайдера');
INSERT INTO `lang_definitions` VALUES (154805, 1404, 29, 'Каталонсько-Валенсійський');
INSERT INTO `lang_definitions` VALUES (154806, 1406, 29, 'Хірургія катаракти');
INSERT INTO `lang_definitions` VALUES (154807, 1407, 29, 'Катаракта');
INSERT INTO `lang_definitions` VALUES (154808, 1408, 29, 'Категорії');
INSERT INTO `lang_definitions` VALUES (154809, 1409, 29, 'Категорії для');
INSERT INTO `lang_definitions` VALUES (154810, 1410, 29, 'Категорія');
INSERT INTO `lang_definitions` VALUES (154811, 1411, 29, 'категорія');
INSERT INTO `lang_definitions` VALUES (154812, 1412, 29, 'категорія');
INSERT INTO `lang_definitions` VALUES (154813, 1416, 29, 'Відомості про категорію');
INSERT INTO `lang_definitions` VALUES (154814, 1417, 29, 'Обмеження по категорії');
INSERT INTO `lang_definitions` VALUES (154815, 1418, 29, 'Назва категорії');
INSERT INTO `lang_definitions` VALUES (154816, 1419, 29, 'Назва категорії пуста');
INSERT INTO `lang_definitions` VALUES (154817, 1420, 29, 'Категорія / заголовок');
INSERT INTO `lang_definitions` VALUES (154818, 1421, 29, 'Кавказець');
INSERT INTO `lang_definitions` VALUES (154819, 1422, 29, 'Підтверджені підстави для виводу інформації по звертанню чи первинному спеціалісту');
INSERT INTO `lang_definitions` VALUES (154820, 1432, 29, 'CCR: Затвердити');
INSERT INTO `lang_definitions` VALUES (154821, 1433, 29, 'CCR: Переглянути пацієнта');
INSERT INTO `lang_definitions` VALUES (154822, 1434, 29, 'CCR: Переглянути і затвердити');
INSERT INTO `lang_definitions` VALUES (154823, 1442, 29, 'CDR');
INSERT INTO `lang_definitions` VALUES (154824, 1443, 29, 'Порядок обробки звітів CDR');
INSERT INTO `lang_definitions` VALUES (154825, 1444, 29, 'Клітина');
INSERT INTO `lang_definitions` VALUES (154826, 1445, 29, 'Мобільний телефон');
INSERT INTO `lang_definitions` VALUES (154827, 1447, 29, 'Номер мобільного телефону');
INSERT INTO `lang_definitions` VALUES (154828, 1449, 29, 'Основний сертифікат');
INSERT INTO `lang_definitions` VALUES (154829, 1451, 29, 'Уродженець центральної чи південної Америки');
INSERT INTO `lang_definitions` VALUES (154830, 1452, 29, 'Розташування файлу Сертифікату Авторизації crt не може бути порожнім');
INSERT INTO `lang_definitions` VALUES (154831, 1453, 29, 'Розташування файлу Сертифікату Авторизації key не може бути порожнім');
INSERT INTO `lang_definitions` VALUES (154832, 1454, 29, 'Сертифікат для відправки на сервер syslog RFC 5425 TLS');
INSERT INTO `lang_definitions` VALUES (154833, 1455, 29, 'Сертифікат користувача');
INSERT INTO `lang_definitions` VALUES (154834, 1456, 29, 'Сертифікати');
INSERT INTO `lang_definitions` VALUES (154835, 1457, 29, 'Чаморро');
INSERT INTO `lang_definitions` VALUES (154836, 1458, 29, 'Програма медичного обслуговування членів сімей військовослужбовців Америки');
INSERT INTO `lang_definitions` VALUES (154837, 1459, 29, 'Програма медичного обслуговування членів сімей військовослужбовців Америки');
INSERT INTO `lang_definitions` VALUES (154838, 1460, 29, 'змінити');
INSERT INTO `lang_definitions` VALUES (154839, 1461, 29, 'Змінити');
INSERT INTO `lang_definitions` VALUES (154840, 1462, 29, 'Змінити діяльність');
INSERT INTO `lang_definitions` VALUES (154841, 1466, 29, 'Помилка внесення змін! Помилка підключення до CouchDB?');
INSERT INTO `lang_definitions` VALUES (154842, 1467, 29, 'Зміни зору');
INSERT INTO `lang_definitions` VALUES (154843, 1468, 29, 'Зміни зору');
INSERT INTO `lang_definitions` VALUES (154844, 1470, 29, 'Змінити пароль');
INSERT INTO `lang_definitions` VALUES (154845, 1475, 29, 'Змінений');
INSERT INTO `lang_definitions` VALUES (154846, 1476, 29, 'Змінений кишечник');
INSERT INTO `lang_definitions` VALUES (154847, 1479, 29, 'Зміна ID пацієнта для документів');
INSERT INTO `lang_definitions` VALUES (154848, 1484, 29, 'Особливості');
INSERT INTO `lang_definitions` VALUES (154849, 1485, 29, 'залишилось символів');
INSERT INTO `lang_definitions` VALUES (154850, 1486, 29, 'Оплата');
INSERT INTO `lang_definitions` VALUES (154851, 1487, 29, 'Коригування оплати');
INSERT INTO `lang_definitions` VALUES (154852, 1488, 29, 'Код оплати');
INSERT INTO `lang_definitions` VALUES (154853, 1490, 29, 'Оплати');
INSERT INTO `lang_definitions` VALUES (154854, 1491, 29, 'Карта/діаграма');
INSERT INTO `lang_definitions` VALUES (154855, 1492, 29, 'Активністьдіаграми');
INSERT INTO `lang_definitions` VALUES (154856, 1493, 29, 'Розрахункова діаграма звіту про діяльність');
INSERT INTO `lang_definitions` VALUES (154857, 1495, 29, 'ID карти');
INSERT INTO `lang_definitions` VALUES (154858, 1496, 29, 'ID карти:');
INSERT INTO `lang_definitions` VALUES (154859, 1497, 29, 'Мітка картки');
INSERT INTO `lang_definitions` VALUES (154860, 1498, 29, 'Активність розміщення карти');
INSERT INTO `lang_definitions` VALUES (154861, 1499, 29, 'Запис в карті');
INSERT INTO `lang_definitions` VALUES (154862, 1500, 29, 'Номер картки');
INSERT INTO `lang_definitions` VALUES (154863, 1502, 29, 'Місце зберігання карти');
INSERT INTO `lang_definitions` VALUES (154864, 1504, 29, 'Відстеження карти');
INSERT INTO `lang_definitions` VALUES (154865, 1505, 29, 'Відстеж. карти');
INSERT INTO `lang_definitions` VALUES (154866, 1508, 29, 'Закриті перевірені карти');
INSERT INTO `lang_definitions` VALUES (154867, 1509, 29, 'Закриті карти');
INSERT INTO `lang_definitions` VALUES (154868, 1512, 29, 'Чеченська');
INSERT INTO `lang_definitions` VALUES (154869, 1513, 29, 'Перевірити');
INSERT INTO `lang_definitions` VALUES (154870, 1514, 29, 'перевірити');
INSERT INTO `lang_definitions` VALUES (154871, 1515, 29, 'вибрати всі');
INSERT INTO `lang_definitions` VALUES (154872, 1517, 29, 'Перевірити кількість');
INSERT INTO `lang_definitions` VALUES (154873, 1519, 29, 'Дата перевірки');
INSERT INTO `lang_definitions` VALUES (154874, 1521, 29, 'Перевірити відмінності перекладів за допомогою мовної таблиці користувача.');
INSERT INTO `lang_definitions` VALUES (154875, 1527, 29, 'Позначте по');
INSERT INTO `lang_definitions` VALUES (154876, 1528, 29, 'Позначте дані вводу');
INSERT INTO `lang_definitions` VALUES (154877, 1529, 29, 'Перевірити елементи на графіку');
INSERT INTO `lang_definitions` VALUES (154878, 1530, 29, 'Перевірка лабораторних результатів');
INSERT INTO `lang_definitions` VALUES (154879, 1531, 29, 'Позначка свідчить про перегляд');
INSERT INTO `lang_definitions` VALUES (154880, 1532, 29, 'Позначте №');
INSERT INTO `lang_definitions` VALUES (154881, 1533, 29, 'Позначте номер');
INSERT INTO `lang_definitions` VALUES (154882, 1536, 29, 'Позначте оплату');
INSERT INTO `lang_definitions` VALUES (154883, 1537, 29, 'Якщо файл є зашифрований, відзначте це поле');
INSERT INTO `lang_definitions` VALUES (154884, 1541, 29, 'Позначте тут, якщо потрібно, щоб фахівці бачили всі записи на прийом за замовчуванням, а не тільки свої власні.');
INSERT INTO `lang_definitions` VALUES (154885, 1543, 29, 'Позначте щоб створити проблему з цього діагноза');
INSERT INTO `lang_definitions` VALUES (154886, 1545, 29, 'Дата реєстрації або EOB:');
INSERT INTO `lang_definitions` VALUES (154887, 1547, 29, 'Номер реєстрації або EOB:');
INSERT INTO `lang_definitions` VALUES (154888, 1548, 29, 'Номер рег. / Напр.');
INSERT INTO `lang_definitions` VALUES (154889, 1549, 29, 'Номер реєстрації або напряму');
INSERT INTO `lang_definitions` VALUES (154890, 1550, 29, 'Група прапорців з множинним вибором');
INSERT INTO `lang_definitions` VALUES (154891, 1551, 29, 'список прапорців');
INSERT INTO `lang_definitions` VALUES (154892, 1552, 29, 'прапорець з текстом');
INSERT INTO `lang_definitions` VALUES (154893, 1553, 29, 'Прапорець з текстом');
INSERT INTO `lang_definitions` VALUES (154894, 1555, 29, 'Прапорець вище показує чи Ви бажаєте відхилити і видалити HL7 файл');
INSERT INTO `lang_definitions` VALUES (154895, 1557, 29, 'перевірений');
INSERT INTO `lang_definitions` VALUES (154896, 1559, 29, 'Прапорець є = так, пусто = ні');
INSERT INTO `lang_definitions` VALUES (154897, 1566, 29, 'Встановлення прапорця блокування забороняє будь-які майбутні зміни форм у цьому випадку.');
INSERT INTO `lang_definitions` VALUES (154898, 1568, 29, 'Розрахунок');
INSERT INTO `lang_definitions` VALUES (154899, 1569, 29, 'Контрольна сума');
INSERT INTO `lang_definitions` VALUES (154900, 1570, 29, 'Груди');
INSERT INTO `lang_definitions` VALUES (154901, 1571, 29, 'Двостороння аускультація грудної клітки');
INSERT INTO `lang_definitions` VALUES (154902, 1572, 29, 'Біль у грудях');
INSERT INTO `lang_definitions` VALUES (154903, 1573, 29, 'Біль у грудях:');
INSERT INTO `lang_definitions` VALUES (154904, 1574, 29, 'Болі в грудях');
INSERT INTO `lang_definitions` VALUES (154905, 1576, 29, 'Змін.');
INSERT INTO `lang_definitions` VALUES (154906, 1578, 29, 'Основна скарга');
INSERT INTO `lang_definitions` VALUES (154907, 1581, 29, 'дитина');
INSERT INTO `lang_definitions` VALUES (154908, 1583, 29, 'Статус дитячої імунізації (СДІ)');
INSERT INTO `lang_definitions` VALUES (154909, 1584, 29, 'Озноби');
INSERT INTO `lang_definitions` VALUES (154910, 1585, 29, 'Китайська');
INSERT INTO `lang_definitions` VALUES (154911, 1586, 29, 'Китайська (спрощена)');
INSERT INTO `lang_definitions` VALUES (154912, 1587, 29, 'Китайська (традиційна)');
INSERT INTO `lang_definitions` VALUES (154913, 1588, 29, 'Мануальний терапевт');
INSERT INTO `lang_definitions` VALUES (154914, 1589, 29, 'Вибірково');
INSERT INTO `lang_definitions` VALUES (154915, 1590, 29, 'холецистектомія');
INSERT INTO `lang_definitions` VALUES (154916, 1591, 29, 'Холецистектомія');
INSERT INTO `lang_definitions` VALUES (154917, 1592, 29, 'холецистектомія');
INSERT INTO `lang_definitions` VALUES (154918, 1593, 29, 'Виберіть');
INSERT INTO `lang_definitions` VALUES (154919, 1596, 29, 'Виберіть розділ і клацніть у ньому на пункт; потім в іншому розділі побачите пов\'язані виділені пункти, і зможете клікнути в цьому розділі для додавання або видалення зв\"язків.');
INSERT INTO `lang_definitions` VALUES (154920, 1597, 29, 'Виберіть критерій');
INSERT INTO `lang_definitions` VALUES (154921, 1599, 29, 'Виберіть Завантажити або вбудоване вiдтворення');
INSERT INTO `lang_definitions` VALUES (154922, 1602, 29, 'Виберіть файл');
INSERT INTO `lang_definitions` VALUES (154923, 1603, 29, 'Виберіть з списку');
INSERT INTO `lang_definitions` VALUES (154924, 1604, 29, 'Виберіть напрямок компоновки');
INSERT INTO `lang_definitions` VALUES (154925, 1605, 29, 'Виберіть список');
INSERT INTO `lang_definitions` VALUES (154926, 1608, 29, 'Виберіть розмір паперу');
INSERT INTO `lang_definitions` VALUES (154927, 1610, 29, 'Виберіть мовні вподобання для PDF');
INSERT INTO `lang_definitions` VALUES (154928, 1611, 29, 'Виберіть формат друку для звіту по цьому зверненню.');
INSERT INTO `lang_definitions` VALUES (154929, 1615, 29, 'хронічний бронхіт');
INSERT INTO `lang_definitions` VALUES (154930, 1616, 29, 'Хронічні суглобові болі');
INSERT INTO `lang_definitions` VALUES (154931, 1617, 29, 'Хронічна ниркова недостатність (ХНН)');
INSERT INTO `lang_definitions` VALUES (154932, 1620, 29, 'Хронічний синовіїт / випіт / суглобний біль / подагра');
INSERT INTO `lang_definitions` VALUES (154933, 1622, 29, 'Хронічний / рецедивний');
INSERT INTO `lang_definitions` VALUES (154934, 1623, 29, 'Чуваш');
INSERT INTO `lang_definitions` VALUES (154935, 1625, 29, 'Цироз печінки');
INSERT INTO `lang_definitions` VALUES (154936, 1626, 29, 'Цироз печінки');
INSERT INTO `lang_definitions` VALUES (154937, 1627, 29, 'Місто');
INSERT INTO `lang_definitions` VALUES (154938, 1629, 29, 'Назва міста');
INSERT INTO `lang_definitions` VALUES (154939, 1630, 29, 'Місто, область');
INSERT INTO `lang_definitions` VALUES (154940, 1631, 29, 'Місто, поштовий індекс');
INSERT INTO `lang_definitions` VALUES (154941, 1633, 29, 'Місто / Область');
INSERT INTO `lang_definitions` VALUES (154942, 1634, 29, 'Вимога');
INSERT INTO `lang_definitions` VALUES (154943, 1635, 29, 'Вимога');
INSERT INTO `lang_definitions` VALUES (154944, 1637, 29, 'Стан вимоги');
INSERT INTO `lang_definitions` VALUES (154945, 1638, 29, 'Тест на вимогу завершено');
INSERT INTO `lang_definitions` VALUES (154946, 1639, 29, 'Тип вимоги');
INSERT INTO `lang_definitions` VALUES (154947, 1640, 29, 'Вимога була згенерована в файл');
INSERT INTO `lang_definitions` VALUES (154948, 1641, 29, 'Вимога була згенерована в файл');
INSERT INTO `lang_definitions` VALUES (154949, 1642, 29, 'Вимоги');
INSERT INTO `lang_definitions` VALUES (154950, 1645, 29, 'Класифікація');
INSERT INTO `lang_definitions` VALUES (154951, 1646, 29, 'Очистити');
INSERT INTO `lang_definitions` VALUES (154952, 1649, 29, 'Очистити акивного пацієнта');
INSERT INTO `lang_definitions` VALUES (154953, 1651, 29, 'Очистити все');
INSERT INTO `lang_definitions` VALUES (154954, 1654, 29, 'Очистити HL7 дані');
INSERT INTO `lang_definitions` VALUES (154955, 1655, 29, 'Чітке обгрунтування');
INSERT INTO `lang_definitions` VALUES (154956, 1659, 29, 'Очистити кеш Smarty');
INSERT INTO `lang_definitions` VALUES (154957, 1661, 29, 'Для створення пакету EDI 270 потрібна точна домашня інформація');
INSERT INTO `lang_definitions` VALUES (154958, 1662, 29, 'Номер CLIA');
INSERT INTO `lang_definitions` VALUES (154959, 1663, 29, 'Натисніть');
INSERT INTO `lang_definitions` VALUES (154960, 1664, 29, 'Натисніть \"Експорт\", щоб експортувати категорію, підкатегорію, пункт, дані вмісту в текстовий файл. Будь-яка подібність цього файлу з файлом XML є чисто випадковою. Відкриті та закриті теги повинні бути в одному рядку, в нижньому регістрі без пропусків. Для імпорту знайдіть файл та натисніть \"Імпорт\". Якщо дані зовсім інші, він об\'єднається з існуючими даними. Якщо є схожі найменування пунктів, старий буде залишений, а новий збережений з додаванням в кінці номера.');
INSERT INTO `lang_definitions` VALUES (154961, 1667, 29, 'Клацніть місце в графіку для додавання нової анотації, клікніть його ще раз для видалення');
INSERT INTO `lang_definitions` VALUES (154962, 1671, 29, 'Натисніть Завантажити сертифікат для завантаження сертифікатів в файл ssl.zip');
INSERT INTO `lang_definitions` VALUES (154963, 1672, 29, 'клацніть для подробиць');
INSERT INTO `lang_definitions` VALUES (154964, 1673, 29, 'Натисніть для більш детальної інформації');
INSERT INTO `lang_definitions` VALUES (154965, 1674, 29, 'Натисніть дя підсумку по замовленню');
INSERT INTO `lang_definitions` VALUES (154966, 1675, 29, 'Натисніть для результатів');
INSERT INTO `lang_definitions` VALUES (154967, 1678, 29, 'Натисніть тут');
INSERT INTO `lang_definitions` VALUES (154968, 1679, 29, 'Натисніть тут для додавання нового пацієнта.');
INSERT INTO `lang_definitions` VALUES (154969, 1680, 29, 'Клікніть тут для додавання зміненого статусу нової травми і змініть щоденну активність');
INSERT INTO `lang_definitions` VALUES (154970, 1682, 29, 'Натисніть тут для вибору дати');
INSERT INTO `lang_definitions` VALUES (154971, 1683, 29, 'Натисніть тут для вибору дати і часу');
INSERT INTO `lang_definitions` VALUES (154972, 1684, 29, 'Натисніть тут для вибору початкової дати');
INSERT INTO `lang_definitions` VALUES (154973, 1707, 29, 'натисніть тут для пошуку');
INSERT INTO `lang_definitions` VALUES (154974, 1710, 29, 'клікніть тут, щоб оновити пріоритет, категорію і параметри настройки нікнейму');
INSERT INTO `lang_definitions` VALUES (154975, 1714, 29, 'Натисніть тут, щоб переглянути всі');
INSERT INTO `lang_definitions` VALUES (154976, 1715, 29, 'Натисніть тут для перегляду і графічного представлення');
INSERT INTO `lang_definitions` VALUES (154977, 1717, 29, 'Натисніть тут для перегляду та графічного представлення всіх життєво важливих показників.');
INSERT INTO `lang_definitions` VALUES (154978, 1718, 29, 'Клікніть тут для перегляду відомостей про пацієнта');
INSERT INTO `lang_definitions` VALUES (154979, 1719, 29, 'Натисніть тут для перегляду їх всіх.');
INSERT INTO `lang_definitions` VALUES (154980, 1720, 29, 'Натисніть тут щоб переглянути/змінити детальну інформацію');
INSERT INTO `lang_definitions` VALUES (154981, 1723, 29, 'Натисніть кнопку Встановити для установки версії бази даних з вказаної дати');
INSERT INTO `lang_definitions` VALUES (154982, 1730, 29, 'Клацніть по будь-якій частині часу для її збільшення');
INSERT INTO `lang_definitions` VALUES (154983, 1751, 29, 'Натисніть на Імя Пацієнта, щоб відкрити Файл Пацієнта');
INSERT INTO `lang_definitions` VALUES (154984, 1753, 29, 'Натисніть Оновити для огляду всіх результатів, або введіть вище критерій пошуку для перегляду окремих результатів.');
INSERT INTO `lang_definitions` VALUES (154985, 1777, 29, 'Натисніть щоб додати діагноз');
INSERT INTO `lang_definitions` VALUES (154986, 1779, 29, 'Натисніть для додавання нових компонентів');
INSERT INTO `lang_definitions` VALUES (154987, 1780, 29, 'Клацніть для додавання нової консультації');
INSERT INTO `lang_definitions` VALUES (154988, 1785, 29, 'Натисніть для завантаження');
INSERT INTO `lang_definitions` VALUES (154989, 1786, 29, 'Натисніть для редагування');
INSERT INTO `lang_definitions` VALUES (154990, 1787, 29, 'Натисніть для редагування опису');
INSERT INTO `lang_definitions` VALUES (154991, 1788, 29, 'Клацніть для зміни цієї події');
INSERT INTO `lang_definitions` VALUES (154992, 1790, 29, 'Натисніть щоб генерувати звіт');
INSERT INTO `lang_definitions` VALUES (154993, 1800, 29, 'Натисніть для друку');
INSERT INTO `lang_definitions` VALUES (154994, 1801, 29, 'Клацніть для отримання (додавання) нової партії');
INSERT INTO `lang_definitions` VALUES (154995, 1805, 29, 'Натисніть для вибору');
INSERT INTO `lang_definitions` VALUES (154996, 1806, 29, 'Натисніть для вибору');
INSERT INTO `lang_definitions` VALUES (154997, 1808, 29, 'Натисніть для вибору стандартного коду для цієї процедури');
INSERT INTO `lang_definitions` VALUES (154998, 1811, 29, 'Натисніть для вибору опціонального коду процедури');
INSERT INTO `lang_definitions` VALUES (154999, 1813, 29, 'Натисніть для вибору або зміни коду вакцинації');
INSERT INTO `lang_definitions` VALUES (155000, 1814, 29, 'Натисніть для вибору або зміни діагнозу');
INSERT INTO `lang_definitions` VALUES (155001, 1815, 29, 'Натисніть для вибору або зміни кодів послуг');
INSERT INTO `lang_definitions` VALUES (155002, 1816, 29, 'Натисніть для вибору пацієнта');
INSERT INTO `lang_definitions` VALUES (155003, 1817, 29, 'Натисніть для вибору пов\'язаного коду');
INSERT INTO `lang_definitions` VALUES (155004, 1819, 29, 'Якщо цей результат дає відхилення від норми, клацніть для вибору надання допомоги');
INSERT INTO `lang_definitions` VALUES (155005, 1822, 29, 'Клацніть для вибору необхідної процедури');
INSERT INTO `lang_definitions` VALUES (155006, 1829, 29, 'Натисніть для сортування');
INSERT INTO `lang_definitions` VALUES (155007, 1831, 29, 'Натисніть для перегляду');
INSERT INTO `lang_definitions` VALUES (155008, 1833, 29, 'Натисніть для перегляду або зміни');
INSERT INTO `lang_definitions` VALUES (155009, 1834, 29, 'Натисніть для перегляду / зміни');
INSERT INTO `lang_definitions` VALUES (155010, 1836, 29, 'Натисніть кнопку Модернізувати для модернізації версії бази даних з вказаної дати');
INSERT INTO `lang_definitions` VALUES (155011, 1839, 29, 'Натисніть:');
INSERT INTO `lang_definitions` VALUES (155012, 1862, 29, 'Термін дії Сертифіката Клієнта в днях');
INSERT INTO `lang_definitions` VALUES (155013, 1864, 29, 'Допустимий період терміну дії Сертифіката клієнта');
INSERT INTO `lang_definitions` VALUES (155014, 1865, 29, 'Дійсний Сертифіката клієнта повиненн бути допустимим номером.');
INSERT INTO `lang_definitions` VALUES (155015, 1866, 29, 'Копія для клієнта');
INSERT INTO `lang_definitions` VALUES (155016, 1869, 29, 'Виписка з історії хвороби пацієнта');
INSERT INTO `lang_definitions` VALUES (155017, 1870, 29, 'Ім\'я клієнта');
INSERT INTO `lang_definitions` VALUES (155018, 1872, 29, 'Номер клієнта');
INSERT INTO `lang_definitions` VALUES (155019, 1873, 29, 'Клієнтський профіль - нові клієнти');
INSERT INTO `lang_definitions` VALUES (155020, 1874, 29, 'Клієнтський профіль - унікальні клієнти');
INSERT INTO `lang_definitions` VALUES (155021, 1878, 29, 'Клієнти');
INSERT INTO `lang_definitions` VALUES (155022, 1879, 29, 'Клініка');
INSERT INTO `lang_definitions` VALUES (155023, 1880, 29, 'Копія для клініки');
INSERT INTO `lang_definitions` VALUES (155024, 1881, 29, 'Щоденні записи в клініці');
INSERT INTO `lang_definitions` VALUES (155025, 1882, 29, 'ID клініки');
INSERT INTO `lang_definitions` VALUES (155026, 1883, 29, 'Клінічний');
INSERT INTO `lang_definitions` VALUES (155027, 1884, 29, 'Менеджер тривожних сповіщень для клінічних правил');
INSERT INTO `lang_definitions` VALUES (155028, 1886, 29, 'Історія хвороби');
INSERT INTO `lang_definitions` VALUES (155029, 1889, 29, 'Клінічні програми');
INSERT INTO `lang_definitions` VALUES (155030, 1890, 29, 'Клінічна одиниця вимірювання якості (CQM)');
INSERT INTO `lang_definitions` VALUES (155031, 1893, 29, 'Клінічні нагадування');
INSERT INTO `lang_definitions` VALUES (155032, 1897, 29, 'Клінічні звіти');
INSERT INTO `lang_definitions` VALUES (155033, 1898, 29, 'Категорія діяльності для клінічних правил');
INSERT INTO `lang_definitions` VALUES (155034, 1899, 29, 'О\"бєкт впливу для клінічних правил');
INSERT INTO `lang_definitions` VALUES (155035, 1900, 29, 'Методи фільтрації для клінічних правил');
INSERT INTO `lang_definitions` VALUES (155036, 1901, 29, 'Цільові методи для клінічних правил');
INSERT INTO `lang_definitions` VALUES (155037, 1902, 29, 'Клінічні правила');
INSERT INTO `lang_definitions` VALUES (155038, 1903, 29, 'Вікові інтревали для клінічних правил');
INSERT INTO `lang_definitions` VALUES (155039, 1904, 29, 'Порівняння для клінічних правил');
INSERT INTO `lang_definitions` VALUES (155040, 1905, 29, 'Типи звертань для клінічних правил');
INSERT INTO `lang_definitions` VALUES (155041, 1906, 29, 'Клінічні правила варіантів виконання нагадування');
INSERT INTO `lang_definitions` VALUES (155042, 1907, 29, 'Варіанти зняття нагадувань для клінічних правил');
INSERT INTO `lang_definitions` VALUES (155043, 1908, 29, 'Методи нагадувагь для клінічних правил');
INSERT INTO `lang_definitions` VALUES (155044, 1909, 29, 'Методи нагадувань для клінічних правил');
INSERT INTO `lang_definitions` VALUES (155045, 1910, 29, 'Плановані інтервали для клінічних правил');
INSERT INTO `lang_definitions` VALUES (155046, 1911, 29, 'Клінічні цілі');
INSERT INTO `lang_definitions` VALUES (155047, 1912, 29, 'Клінічний темін');
INSERT INTO `lang_definitions` VALUES (155048, 1913, 29, 'Код(и) клінічного терміну');
INSERT INTO `lang_definitions` VALUES (155049, 1915, 29, 'Клініцисти');
INSERT INTO `lang_definitions` VALUES (155050, 1916, 29, 'клонувати');
INSERT INTO `lang_definitions` VALUES (155051, 1917, 29, 'Клонувати минуле відвідування');
INSERT INTO `lang_definitions` VALUES (155052, 1918, 29, 'Закрити');
INSERT INTO `lang_definitions` VALUES (155053, 1925, 29, 'закрити вікно');
INSERT INTO `lang_definitions` VALUES (155054, 1927, 29, 'Закритий');
INSERT INTO `lang_definitions` VALUES (155055, 1928, 29, 'см');
INSERT INTO `lang_definitions` VALUES (155056, 1931, 29, 'Поля CMS 1500');
INSERT INTO `lang_definitions` VALUES (155057, 1940, 29, 'ID для CMS');
INSERT INTO `lang_definitions` VALUES (155058, 1955, 29, 'Неушкоджений CN2-12');
INSERT INTO `lang_definitions` VALUES (155059, 1958, 29, 'Доплата');
INSERT INTO `lang_definitions` VALUES (155060, 1959, 29, 'Доплату внесено');
INSERT INTO `lang_definitions` VALUES (155061, 1962, 29, 'ДОПЛАТА');
INSERT INTO `lang_definitions` VALUES (155062, 1964, 29, 'Код');
INSERT INTO `lang_definitions` VALUES (155063, 1965, 29, 'код');
INSERT INTO `lang_definitions` VALUES (155064, 1967, 29, 'Пошук коду');
INSERT INTO `lang_definitions` VALUES (155065, 1968, 29, 'Код повинен мати дві літери в нижньому регістрі');
INSERT INTO `lang_definitions` VALUES (155066, 1969, 29, 'Код або символ для позначення валюти');
INSERT INTO `lang_definitions` VALUES (155067, 1971, 29, 'Текст Коду');
INSERT INTO `lang_definitions` VALUES (155068, 1973, 29, 'тип коду');
INSERT INTO `lang_definitions` VALUES (155069, 1976, 29, 'Типи Кодів');
INSERT INTO `lang_definitions` VALUES (155070, 1977, 29, 'Код(и)');
INSERT INTO `lang_definitions` VALUES (155071, 1978, 29, 'Кодовано');
INSERT INTO `lang_definitions` VALUES (155072, 1979, 29, 'Коди');
INSERT INTO `lang_definitions` VALUES (155073, 1981, 29, 'Індексація');
INSERT INTO `lang_definitions` VALUES (155074, 1983, 29, 'Індексація - будь-які звернення (на вибір - право записувати все/частково)');
INSERT INTO `lang_definitions` VALUES (155075, 1985, 29, 'Індексація - мої звернення (на вибір - право записувати все/частково)');
INSERT INTO `lang_definitions` VALUES (155076, 1990, 29, 'Доступ до шифрування не дозволено');
INSERT INTO `lang_definitions` VALUES (155077, 1991, 29, 'Кава');
INSERT INTO `lang_definitions` VALUES (155078, 1994, 29, 'Спільне страхування');
INSERT INTO `lang_definitions` VALUES (155079, 1995, 29, 'Згорнути');
INSERT INTO `lang_definitions` VALUES (155080, 1997, 29, 'Згорнути');
INSERT INTO `lang_definitions` VALUES (155081, 1998, 29, 'приховати');
INSERT INTO `lang_definitions` VALUES (155082, 1999, 29, 'Згорнути Все');
INSERT INTO `lang_definitions` VALUES (155083, 2000, 29, 'Згорнути все');
INSERT INTO `lang_definitions` VALUES (155084, 2001, 29, 'згорнути всі');
INSERT INTO `lang_definitions` VALUES (155085, 2005, 29, 'Дата збору');
INSERT INTO `lang_definitions` VALUES (155086, 2007, 29, 'Збори');
INSERT INTO `lang_definitions` VALUES (155087, 2008, 29, 'Звіт за зборами');
INSERT INTO `lang_definitions` VALUES (155088, 2009, 29, 'Рак товстого кишечника');
INSERT INTO `lang_definitions` VALUES (155089, 2010, 29, 'Скринінг раку товстого кишечника');
INSERT INTO `lang_definitions` VALUES (155090, 2011, 29, 'Хірургія раку товстого кишечника');
INSERT INTO `lang_definitions` VALUES (155091, 2012, 29, 'Колоноскопія');
INSERT INTO `lang_definitions` VALUES (155092, 2013, 29, 'колоноскопія');
INSERT INTO `lang_definitions` VALUES (155093, 2014, 29, 'колір');
INSERT INTO `lang_definitions` VALUES (155094, 2020, 29, 'Колір: скор.');
INSERT INTO `lang_definitions` VALUES (155095, 2021, 29, 'стовпець');
INSERT INTO `lang_definitions` VALUES (155096, 2022, 29, 'стовпці');
INSERT INTO `lang_definitions` VALUES (155097, 2024, 29, 'Об\'єднані партії');
INSERT INTO `lang_definitions` VALUES (155098, 2025, 29, 'кома');
INSERT INTO `lang_definitions` VALUES (155099, 2027, 29, 'Коментар');
INSERT INTO `lang_definitions` VALUES (155100, 2028, 29, 'Коментарі');
INSERT INTO `lang_definitions` VALUES (155101, 2030, 29, 'Коментарі для цього результату або рекомендації');
INSERT INTO `lang_definitions` VALUES (155102, 2031, 29, 'Компанія комерційного страхування.');
INSERT INTO `lang_definitions` VALUES (155103, 2032, 29, 'завершені зміни');
INSERT INTO `lang_definitions` VALUES (155104, 2036, 29, 'зв\'язок');
INSERT INTO `lang_definitions` VALUES (155105, 2039, 29, 'компанія');
INSERT INTO `lang_definitions` VALUES (155106, 2040, 29, 'Найменування компанії');
INSERT INTO `lang_definitions` VALUES (155107, 2041, 29, 'завершити');
INSERT INTO `lang_definitions` VALUES (155108, 2043, 29, 'завершене');
INSERT INTO `lang_definitions` VALUES (155109, 2046, 29, 'Завершене?');
INSERT INTO `lang_definitions` VALUES (155110, 2049, 29, 'Ускладнення по спеціалістах, що надають послуги');
INSERT INTO `lang_definitions` VALUES (155111, 2050, 29, 'Ускладнення аборту');
INSERT INTO `lang_definitions` VALUES (155112, 2051, 29, 'Компоненти');
INSERT INTO `lang_definitions` VALUES (155113, 2057, 29, 'Автоматизована система медичних призначень');
INSERT INTO `lang_definitions` VALUES (155114, 2058, 29, 'Висновки');
INSERT INTO `lang_definitions` VALUES (155115, 2064, 29, 'Налаштування');
INSERT INTO `lang_definitions` VALUES (155116, 2065, 29, 'Налаштування експорту / імпорту');
INSERT INTO `lang_definitions` VALUES (155117, 2067, 29, 'Налаштувати Apache і OpenEMR для використання сертифікатів SSL клієнта.');
INSERT INTO `lang_definitions` VALUES (155118, 2068, 29, 'Налаштувати Apache для використання сертифікатів SSL на стороні клієнта');
INSERT INTO `lang_definitions` VALUES (155119, 2069, 29, 'Налаштувати Apache для використання HTTPS.');
INSERT INTO `lang_definitions` VALUES (155120, 2070, 29, 'Налаштувати OpenEMR для використання сертифікатів SSL клієнта.');
INSERT INTO `lang_definitions` VALUES (155121, 2079, 29, 'Підтвердіть реєстрацію нового пацієнта');
INSERT INTO `lang_definitions` VALUES (155122, 2081, 29, 'Підтвердіть новий пароль');
INSERT INTO `lang_definitions` VALUES (155123, 2083, 29, 'Підтвердіть оплату');
INSERT INTO `lang_definitions` VALUES (155124, 2092, 29, 'Вроджений');
INSERT INTO `lang_definitions` VALUES (155125, 2094, 29, 'Коньюктива, зіниці');
INSERT INTO `lang_definitions` VALUES (155126, 2097, 29, 'Конектор');
INSERT INTO `lang_definitions` VALUES (155127, 2098, 29, 'Константа');
INSERT INTO `lang_definitions` VALUES (155128, 2100, 29, 'найменування константи');
INSERT INTO `lang_definitions` VALUES (155129, 2101, 29, 'Найменування константи пусте');
INSERT INTO `lang_definitions` VALUES (155130, 2102, 29, 'константи');
INSERT INTO `lang_definitions` VALUES (155131, 2103, 29, 'Закреп');
INSERT INTO `lang_definitions` VALUES (155132, 2104, 29, 'Загальносистемне');
INSERT INTO `lang_definitions` VALUES (155133, 2107, 29, 'Короткий опис консультації');
INSERT INTO `lang_definitions` VALUES (155134, 2109, 29, 'Контакт');
INSERT INTO `lang_definitions` VALUES (155135, 2110, 29, 'Контактний e-mail');
INSERT INTO `lang_definitions` VALUES (155136, 2111, 29, 'Контактна адреса e-mail');
INSERT INTO `lang_definitions` VALUES (155137, 2112, 29, 'Зв\'язатися з EMR Direct для підписки на службу повідомлень phiMail Direct');
INSERT INTO `lang_definitions` VALUES (155138, 2113, 29, 'контактна іформація');
INSERT INTO `lang_definitions` VALUES (155139, 2117, 29, 'Контактні лінзи');
INSERT INTO `lang_definitions` VALUES (155140, 2118, 29, 'Зв\'язатися з Medical Information Integration, LLC на http://mi-squared.com для служби Lab Exchange.');
INSERT INTO `lang_definitions` VALUES (155141, 2119, 29, 'Зв\'язатися з Medical Information Integration, LLC на http://mi-squared.com чи ZH Healthcare на http://zhservices.com для підписки на службу eRx');
INSERT INTO `lang_definitions` VALUES (155142, 2122, 29, 'контактна особа');
INSERT INTO `lang_definitions` VALUES (155143, 2125, 29, 'Контактна особа');
INSERT INTO `lang_definitions` VALUES (155144, 2127, 29, 'Контактний номер телефону');
INSERT INTO `lang_definitions` VALUES (155145, 2129, 29, 'Зверніться на ZMG, LLC (zmghealth@gmail.com) для підписки на послугу eRx');
INSERT INTO `lang_definitions` VALUES (155146, 2131, 29, 'містить, принаймні, три з чотирьох наступних пунктів:');
INSERT INTO `lang_definitions` VALUES (155147, 2132, 29, 'Ім\'я Контейнеру-Групи');
INSERT INTO `lang_definitions` VALUES (155148, 2133, 29, 'Зміст');
INSERT INTO `lang_definitions` VALUES (155149, 2134, 29, 'зміст');
INSERT INTO `lang_definitions` VALUES (155150, 2136, 29, 'Контекст');
INSERT INTO `lang_definitions` VALUES (155151, 2137, 29, 'Найменування контексту не може бути порожнім');
INSERT INTO `lang_definitions` VALUES (155152, 2138, 29, 'Тривати');
INSERT INTO `lang_definitions` VALUES (155153, 2142, 29, 'Стандартизований медичний документ (HL7 CCD)');
INSERT INTO `lang_definitions` VALUES (155154, 2145, 29, 'Стандартизований медичний запис (HL7 CCR)');
INSERT INTO `lang_definitions` VALUES (155155, 2146, 29, 'Взаємні клієнти');
INSERT INTO `lang_definitions` VALUES (155156, 2147, 29, 'Контрацепція');
INSERT INTO `lang_definitions` VALUES (155157, 2148, 29, 'Аспекти контрацепції');
INSERT INTO `lang_definitions` VALUES (155158, 2149, 29, 'Ускладнення контрацепції (вказати)');
INSERT INTO `lang_definitions` VALUES (155159, 2150, 29, 'Спосіб контрацепції');
INSERT INTO `lang_definitions` VALUES (155160, 2151, 29, 'Контрацептивні вироби');
INSERT INTO `lang_definitions` VALUES (155161, 2152, 29, 'Попередньо розпочаті послуги з контрацепції');
INSERT INTO `lang_definitions` VALUES (155162, 2153, 29, 'Початок контрацепції');
INSERT INTO `lang_definitions` VALUES (155163, 2158, 29, 'Контрольний ID');
INSERT INTO `lang_definitions` VALUES (155164, 2159, 29, 'Контрольнийномер');
INSERT INTO `lang_definitions` VALUES (155165, 2168, 29, 'ДОПЛАТА');
INSERT INTO `lang_definitions` VALUES (155166, 2169, 29, 'Доплата');
INSERT INTO `lang_definitions` VALUES (155167, 2170, 29, 'Доплата');
INSERT INTO `lang_definitions` VALUES (155168, 2171, 29, 'Доплата не передбачається');
INSERT INTO `lang_definitions` VALUES (155169, 2173, 29, 'Доплати');
INSERT INTO `lang_definitions` VALUES (155170, 2174, 29, 'ХОЗЛ');
INSERT INTO `lang_definitions` VALUES (155171, 2175, 29, 'Копіювати сторінки в карту пацієнта');
INSERT INTO `lang_definitions` VALUES (155172, 2177, 29, 'Копіювати значення');
INSERT INTO `lang_definitions` VALUES (155173, 2178, 29, 'Копіювання файлу бази даних. Це займе деякий час ...');
INSERT INTO `lang_definitions` VALUES (155174, 2179, 29, 'Повідомлення про авторські права');
INSERT INTO `lang_definitions` VALUES (155175, 2184, 29, 'Коронарне шунтування');
INSERT INTO `lang_definitions` VALUES (155176, 2185, 29, 'Коронарне шунтування трансплантатом');
INSERT INTO `lang_definitions` VALUES (155177, 2186, 29, 'Виправлене');
INSERT INTO `lang_definitions` VALUES (155178, 2188, 29, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (155179, 2189, 29, 'CouchDB Збій підключення');
INSERT INTO `lang_definitions` VALUES (155180, 2191, 29, 'CouchDB База даних');
INSERT INTO `lang_definitions` VALUES (155181, 2192, 29, 'CouchDB ім\'я бази даних');
INSERT INTO `lang_definitions` VALUES (155182, 2195, 29, 'CouchDB хост');
INSERT INTO `lang_definitions` VALUES (155183, 2196, 29, 'CouchDB ім\'я хоста');
INSERT INTO `lang_definitions` VALUES (155184, 2197, 29, 'CouchDB логи увімкнено');
INSERT INTO `lang_definitions` VALUES (155185, 2198, 29, 'CouchDB пароль');
INSERT INTO `lang_definitions` VALUES (155186, 2199, 29, 'CouchDB порт');
INSERT INTO `lang_definitions` VALUES (155187, 2200, 29, 'CouchDB порт');
INSERT INTO `lang_definitions` VALUES (155188, 2203, 29, 'CouchDB ім\'я користувача');
INSERT INTO `lang_definitions` VALUES (155189, 2204, 29, 'Кашель');
INSERT INTO `lang_definitions` VALUES (155190, 2205, 29, 'Кашель:');
INSERT INTO `lang_definitions` VALUES (155191, 2211, 29, 'Не вдалося прочитати файл');
INSERT INTO `lang_definitions` VALUES (155192, 2214, 29, 'Не вдалося відправити email через проблеми сервера,');
INSERT INTO `lang_definitions` VALUES (155193, 2216, 29, 'Не вдалося відправити email через проблеми сервера.');
INSERT INTO `lang_definitions` VALUES (155194, 2217, 29, 'Не вдалося створити директорію резервного копіювання:');
INSERT INTO `lang_definitions` VALUES (155195, 2218, 29, 'Не вдалося видалити директорію:');
INSERT INTO `lang_definitions` VALUES (155196, 2219, 29, 'Не вдалося видалити старий файл резервного копіювання:');
INSERT INTO `lang_definitions` VALUES (155197, 2220, 29, 'Не вдалося видалити старий файл експорту:');
INSERT INTO `lang_definitions` VALUES (155198, 2221, 29, 'Менеджмент Кумадіна - контроль міжнародного нормалізаційного індексу');
INSERT INTO `lang_definitions` VALUES (155199, 2222, 29, 'Реком. за способом');
INSERT INTO `lang_definitions` VALUES (155200, 2223, 29, 'Консультування');
INSERT INTO `lang_definitions` VALUES (155201, 2224, 29, 'Консультативна робота');
INSERT INTO `lang_definitions` VALUES (155202, 2227, 29, 'ОБЛІКОВА ФОРМА НАПРАВЛЕННЯ');
INSERT INTO `lang_definitions` VALUES (155203, 2228, 29, 'Обліковий направлення');
INSERT INTO `lang_definitions` VALUES (155204, 2229, 29, 'Країна');
INSERT INTO `lang_definitions` VALUES (155205, 2231, 29, 'Тип даних по країні');
INSERT INTO `lang_definitions` VALUES (155206, 2232, 29, 'Список країн');
INSERT INTO `lang_definitions` VALUES (155207, 2233, 29, 'Список країн (на вибір - право записувати все/частково)');
INSERT INTO `lang_definitions` VALUES (155208, 2235, 29, 'Найменування країни має бути представлено двома буквами. (Наприклад: Сполучені штати позначено US)');
INSERT INTO `lang_definitions` VALUES (155209, 2236, 29, 'країна');
INSERT INTO `lang_definitions` VALUES (155210, 2238, 29, 'Купон');
INSERT INTO `lang_definitions` VALUES (155211, 2245, 29, 'Клінічне обстеження хворого (КОХ)');
INSERT INTO `lang_definitions` VALUES (155212, 2246, 29, 'Код (КОХ)');
INSERT INTO `lang_definitions` VALUES (155213, 2247, 29, 'Коди (КОХ)');
INSERT INTO `lang_definitions` VALUES (155214, 2248, 29, 'КОХ4 Процедури/Послуги');
INSERT INTO `lang_definitions` VALUES (155215, 2249, 29, 'КОХІІ вимірювання продуктивності');
INSERT INTO `lang_definitions` VALUES (155216, 2250, 29, 'Безперервне управління якістю (CQM)');
INSERT INTO `lang_definitions` VALUES (155217, 2252, 29, 'Вологі хрипи:');
INSERT INTO `lang_definitions` VALUES (155218, 2255, 29, 'крем');
INSERT INTO `lang_definitions` VALUES (155219, 2256, 29, 'Створити сертифікат SSL клієнта для кожного користувача або клієнтської машини.');
INSERT INTO `lang_definitions` VALUES (155220, 2257, 29, 'Створити сертифікат SSL клієнта або для користувача, або для імені клієнта.');
INSERT INTO `lang_definitions` VALUES (155221, 2269, 29, 'Створити подію');
INSERT INTO `lang_definitions` VALUES (155222, 2273, 29, 'Створити і завантажити повну резервну копію');
INSERT INTO `lang_definitions` VALUES (155223, 2275, 29, 'Створити резервну копію');
INSERT INTO `lang_definitions` VALUES (155224, 2276, 29, 'Створити партію');
INSERT INTO `lang_definitions` VALUES (155225, 2277, 29, 'Створити клієнтський сертифікат');
INSERT INTO `lang_definitions` VALUES (155226, 2278, 29, 'Створити сертифікати SSL на стороні клієнта.');
INSERT INTO `lang_definitions` VALUES (155227, 2281, 29, 'Створити дублікат');
INSERT INTO `lang_definitions` VALUES (155228, 2283, 29, 'Створити резервне копіювання журналу подій');
INSERT INTO `lang_definitions` VALUES (155229, 2285, 29, 'Створити нову проблему');
INSERT INTO `lang_definitions` VALUES (155230, 2287, 29, 'Оформити нового пацієнта');
INSERT INTO `lang_definitions` VALUES (155231, 2290, 29, 'Створити повноваження для зовнішнього порталу');
INSERT INTO `lang_definitions` VALUES (155232, 2292, 29, 'Створити повноваження для внутрішнього порталу');
INSERT INTO `lang_definitions` VALUES (155233, 2294, 29, 'Створити запис по пацієнтові');
INSERT INTO `lang_definitions` VALUES (155234, 2296, 29, 'Створює довірений сертифікат SSL і сертифікати сервера.');
INSERT INTO `lang_definitions` VALUES (155235, 2297, 29, 'Створити відвідування');
INSERT INTO `lang_definitions` VALUES (155236, 2298, 29, 'Створено');
INSERT INTO `lang_definitions` VALUES (155237, 2306, 29, 'Створення файлу експорту');
INSERT INTO `lang_definitions` VALUES (155238, 2308, 29, 'Збій створення цього файлу на віддаленому хості');
INSERT INTO `lang_definitions` VALUES (155239, 2309, 29, 'Творець');
INSERT INTO `lang_definitions` VALUES (155240, 2311, 29, 'кредит');
INSERT INTO `lang_definitions` VALUES (155241, 2312, 29, 'Кредитна карта');
INSERT INTO `lang_definitions` VALUES (155242, 2314, 29, 'Кредити');
INSERT INTO `lang_definitions` VALUES (155243, 2316, 29, 'Критерій');
INSERT INTO `lang_definitions` VALUES (155244, 2319, 29, 'Хвороба Крона');
INSERT INTO `lang_definitions` VALUES (155245, 2320, 29, 'Хвороба Крона');
INSERT INTO `lang_definitions` VALUES (155246, 2323, 29, 'Експорт CSV');
INSERT INTO `lang_definitions` VALUES (155247, 2324, 29, 'файл CSV');
INSERT INTO `lang_definitions` VALUES (155248, 2325, 29, 'таблиці CSV');
INSERT INTO `lang_definitions` VALUES (155249, 2330, 29, 'куб.мм');
INSERT INTO `lang_definitions` VALUES (155250, 2331, 29, 'Кубинець');
INSERT INTO `lang_definitions` VALUES (155251, 2333, 29, 'Розміщення десяткового знаку для валюти');
INSERT INTO `lang_definitions` VALUES (155252, 2334, 29, 'Символ десяткового знаку для валюти');
INSERT INTO `lang_definitions` VALUES (155253, 2335, 29, 'грошовий визначник');
INSERT INTO `lang_definitions` VALUES (155254, 2336, 29, 'Роздільник тисячної валюти');
INSERT INTO `lang_definitions` VALUES (155255, 2337, 29, 'Поточне');
INSERT INTO `lang_definitions` VALUES (155256, 2338, 29, 'Поточне вживання алкоголю');
INSERT INTO `lang_definitions` VALUES (155257, 2341, 29, 'Поточна констультація');
INSERT INTO `lang_definitions` VALUES (155258, 2342, 29, 'Поточний критерій');
INSERT INTO `lang_definitions` VALUES (155259, 2344, 29, 'Колір виділення поточного дня');
INSERT INTO `lang_definitions` VALUES (155260, 2345, 29, 'Палить кожного дня на даний час');
INSERT INTO `lang_definitions` VALUES (155261, 2347, 29, 'Поточне ім\'я файлу було змінено на');
INSERT INTO `lang_definitions` VALUES (155262, 2349, 29, 'Поточний хеш');
INSERT INTO `lang_definitions` VALUES (155263, 2350, 29, 'Поточне місце перебування');
INSERT INTO `lang_definitions` VALUES (155264, 2352, 29, 'поточні препарати');
INSERT INTO `lang_definitions` VALUES (155265, 2354, 29, 'Поточний пароль');
INSERT INTO `lang_definitions` VALUES (155266, 2356, 29, 'Поточний пацієнт');
INSERT INTO `lang_definitions` VALUES (155267, 2361, 29, 'Поточні рекреаційні наркотики');
INSERT INTO `lang_definitions` VALUES (155268, 2363, 29, 'Палить не кожен день на даний час');
INSERT INTO `lang_definitions` VALUES (155269, 2371, 29, 'Активний на даний час');
INSERT INTO `lang_definitions` VALUES (155270, 2375, 29, 'В даний час виконується');
INSERT INTO `lang_definitions` VALUES (155271, 2377, 29, 'В даний час допомога не надається');
INSERT INTO `lang_definitions` VALUES (155272, 2379, 29, 'синдром Кушинга');
INSERT INTO `lang_definitions` VALUES (155273, 2380, 29, 'синдром Кушинга');
INSERT INTO `lang_definitions` VALUES (155274, 2383, 29, 'Користувальницький');
INSERT INTO `lang_definitions` VALUES (155275, 2390, 29, 'Користувальницький ввід?');
INSERT INTO `lang_definitions` VALUES (155276, 2395, 29, 'Користувальницька таблиця');
INSERT INTO `lang_definitions` VALUES (155277, 2402, 29, 'Код вакцинації (CVX)');
INSERT INTO `lang_definitions` VALUES (155278, 2403, 29, 'Відображення коду вакцинації (CVX)');
INSERT INTO `lang_definitions` VALUES (155279, 2404, 29, 'CVX вакцинація');
INSERT INTO `lang_definitions` VALUES (155280, 2406, 29, 'Цикл');
INSERT INTO `lang_definitions` VALUES (155281, 2412, 29, 'Цитохром P450');
INSERT INTO `lang_definitions` VALUES (155282, 2413, 29, 'Фактор цитохрому P450');
INSERT INTO `lang_definitions` VALUES (155283, 2414, 29, 'Повідомлення про цитохром P450');
INSERT INTO `lang_definitions` VALUES (155284, 2415, 29, 'Чеська');
INSERT INTO `lang_definitions` VALUES (155285, 2416, 29, 'Дата');
INSERT INTO `lang_definitions` VALUES (155286, 2417, 29, 'Розширення та кюретаж');
INSERT INTO `lang_definitions` VALUES (155287, 2418, 29, 'Дієта та фізичне навантаження');
INSERT INTO `lang_definitions` VALUES (155288, 2420, 29, 'Дата нар.');
INSERT INTO `lang_definitions` VALUES (155289, 2421, 29, 'щоденно');
INSERT INTO `lang_definitions` VALUES (155290, 2422, 29, 'Щоденний запис');
INSERT INTO `lang_definitions` VALUES (155291, 2425, 29, 'Данська');
INSERT INTO `lang_definitions` VALUES (155292, 2429, 29, 'Подібні дані вже є в базі даних, змініть код і / або опис');
INSERT INTO `lang_definitions` VALUES (155293, 2430, 29, 'Подібні дані вже є в базі даних, змініть ім\'я константи');
INSERT INTO `lang_definitions` VALUES (155294, 2431, 29, 'Стовп. даних');
INSERT INTO `lang_definitions` VALUES (155295, 2434, 29, 'Помилка в даних');
INSERT INTO `lang_definitions` VALUES (155296, 2439, 29, 'Тип даних');
INSERT INTO `lang_definitions` VALUES (155297, 2440, 29, 'База даних');
INSERT INTO `lang_definitions` VALUES (155298, 2442, 29, 'База даних не встановлена.');
INSERT INTO `lang_definitions` VALUES (155299, 2444, 29, 'Виправлення бази даних');
INSERT INTO `lang_definitions` VALUES (155300, 2445, 29, 'Звіти бази даних');
INSERT INTO `lang_definitions` VALUES (155301, 2447, 29, 'Оновлення бази даних завершено.');
INSERT INTO `lang_definitions` VALUES (155302, 2448, 29, 'Стовпці даних повинні бути числом між 1 і 999');
INSERT INTO `lang_definitions` VALUES (155303, 2449, 29, 'Дата');
INSERT INTO `lang_definitions` VALUES (155304, 2450, 29, 'ДАТА');
INSERT INTO `lang_definitions` VALUES (155305, 2451, 29, 'Керовані дата і час');
INSERT INTO `lang_definitions` VALUES (155306, 2453, 29, 'Керована дата');
INSERT INTO `lang_definitions` VALUES (155307, 2454, 29, 'Дата і час взяття зразка');
INSERT INTO `lang_definitions` VALUES (155308, 2455, 29, 'Дата і час цього спостереження');
INSERT INTO `lang_definitions` VALUES (155309, 2457, 29, 'Дата і час, коли біовзірець був зібраний');
INSERT INTO `lang_definitions` VALUES (155310, 2458, 29, 'Дата не може бути дальшою ніж сьогоднішня');
INSERT INTO `lang_definitions` VALUES (155311, 2459, 29, 'Дата спочатку наданої послуги по контрацепції');
INSERT INTO `lang_definitions` VALUES (155312, 2460, 29, 'Дата створення');
INSERT INTO `lang_definitions` VALUES (155313, 2461, 29, 'Дата смерті');
INSERT INTO `lang_definitions` VALUES (155314, 2462, 29, 'Дата знищення');
INSERT INTO `lang_definitions` VALUES (155315, 2463, 29, 'Формат відображення дати');
INSERT INTO `lang_definitions` VALUES (155316, 2464, 29, 'Формат дати для \"Закінчення прийому\" не допустимий');
INSERT INTO `lang_definitions` VALUES (155317, 2465, 29, 'Формат дати для \"Початок прийому\" не допустимий');
INSERT INTO `lang_definitions` VALUES (155318, 2466, 29, 'Формат дати для \"Наступний прийом\" не допустимий');
INSERT INTO `lang_definitions` VALUES (155319, 2467, 29, 'Формат дати для \"не бачив з\" не допустимий');
INSERT INTO `lang_definitions` VALUES (155320, 2469, 29, 'Формат дати для \"з тих пір бачив\" не допустимий');
INSERT INTO `lang_definitions` VALUES (155321, 2470, 29, 'Надані інформаційні заявки про дату проведення вакцинації');
INSERT INTO `lang_definitions` VALUES (155322, 2471, 29, 'Дата для коду пропущена');
INSERT INTO `lang_definitions` VALUES (155323, 2472, 29, 'Основний критерій дати');
INSERT INTO `lang_definitions` VALUES (155324, 2475, 29, 'Дата банківського внеску рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (155325, 2476, 29, 'Дата рахунку');
INSERT INTO `lang_definitions` VALUES (155326, 2477, 29, 'Дата народження');
INSERT INTO `lang_definitions` VALUES (155327, 2478, 29, 'Дата народження');
INSERT INTO `lang_definitions` VALUES (155328, 2479, 29, 'Дата народження');
INSERT INTO `lang_definitions` VALUES (155329, 2481, 29, 'Дата поступлення');
INSERT INTO `lang_definitions` VALUES (155330, 2483, 29, 'Дата травми');
INSERT INTO `lang_definitions` VALUES (155331, 2487, 29, 'Дата оплати рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (155332, 2489, 29, 'Дата направлення');
INSERT INTO `lang_definitions` VALUES (155333, 2491, 29, 'Дата відповіді');
INSERT INTO `lang_definitions` VALUES (155334, 2492, 29, 'Дата звіту');
INSERT INTO `lang_definitions` VALUES (155335, 2493, 29, 'Дата послуги');
INSERT INTO `lang_definitions` VALUES (155336, 2495, 29, 'Дата послуги');
INSERT INTO `lang_definitions` VALUES (155337, 2496, 29, 'Дата послуги = сьогодні');
INSERT INTO `lang_definitions` VALUES (155338, 2498, 29, 'Дата послуги мм / дд / рррр');
INSERT INTO `lang_definitions` VALUES (155339, 2499, 29, 'Дата послуги:');
INSERT INTO `lang_definitions` VALUES (155340, 2500, 29, 'Дата підписання');
INSERT INTO `lang_definitions` VALUES (155341, 2501, 29, 'Дата зіни статусу');
INSERT INTO `lang_definitions` VALUES (155342, 2503, 29, 'Дата цього призначення');
INSERT INTO `lang_definitions` VALUES (155343, 2504, 29, 'Дата цього звіту');
INSERT INTO `lang_definitions` VALUES (155344, 2505, 29, 'Дата заявки по видимому набору інформації');
INSERT INTO `lang_definitions` VALUES (155345, 2506, 29, 'Призначена дати');
INSERT INTO `lang_definitions` VALUES (155346, 2509, 29, 'селектор дати');
INSERT INTO `lang_definitions` VALUES (155347, 2510, 29, 'Дата відправлення');
INSERT INTO `lang_definitions` VALUES (155348, 2511, 29, 'Дата коли повідомлення було вислане');
INSERT INTO `lang_definitions` VALUES (155349, 2513, 29, 'Значення дати не може бути порожнім.');
INSERT INTO `lang_definitions` VALUES (155350, 2516, 29, 'Дата / призн.');
INSERT INTO `lang_definitions` VALUES (155351, 2517, 29, 'Дата / запису');
INSERT INTO `lang_definitions` VALUES (155352, 2518, 29, 'Остання дата або записи');
INSERT INTO `lang_definitions` VALUES (155353, 2519, 29, 'Дата / час');
INSERT INTO `lang_definitions` VALUES (155354, 2520, 29, 'Дата:');
INSERT INTO `lang_definitions` VALUES (155355, 2523, 29, 'датовані повідомлення журналу');
INSERT INTO `lang_definitions` VALUES (155356, 2526, 29, 'День');
INSERT INTO `lang_definitions` VALUES (155357, 2527, 29, 'день');
INSERT INTO `lang_definitions` VALUES (155358, 2530, 29, 'Огляд за день');
INSERT INTO `lang_definitions` VALUES (155359, 2531, 29, 'Днів');
INSERT INTO `lang_definitions` VALUES (155360, 2532, 29, 'Дні Пн-Пт');
INSERT INTO `lang_definitions` VALUES (155361, 2533, 29, 'дні');
INSERT INTO `lang_definitions` VALUES (155362, 2534, 29, 'Дні');
INSERT INTO `lang_definitions` VALUES (155363, 2535, 29, 'днів тому');
INSERT INTO `lang_definitions` VALUES (155364, 2536, 29, 'Дні і проекти пропущені');
INSERT INTO `lang_definitions` VALUES (155365, 2537, 29, 'Днів від останнього звернення');
INSERT INTO `lang_definitions` VALUES (155366, 2538, 29, 'пропущені дні');
INSERT INTO `lang_definitions` VALUES (155367, 2541, 29, 'Днів в стовпці:');
INSERT INTO `lang_definitions` VALUES (155368, 2543, 29, 'Дні / стовп.:');
INSERT INTO `lang_definitions` VALUES (155369, 2544, 29, 'БД встановлена');
INSERT INTO `lang_definitions` VALUES (155370, 2545, 29, 'ДД-ММ-РРРР');
INSERT INTO `lang_definitions` VALUES (155371, 2546, 29, 'Деідентифікація');
INSERT INTO `lang_definitions` VALUES (155372, 2547, 29, 'Процес деідентифікації завершений');
INSERT INTO `lang_definitions` VALUES (155373, 2548, 29, 'Триває обробка деідентіфікаціі');
INSERT INTO `lang_definitions` VALUES (155374, 2549, 29, 'Обробка деідентіфікаціі запущена і йде у фоновому режимі');
INSERT INTO `lang_definitions` VALUES (155375, 2550, 29, 'Дані деідентіфікаціі не можуть бути виконані');
INSERT INTO `lang_definitions` VALUES (155376, 2551, 29, 'Файли деідентіфікаціі будуть збережені в');
INSERT INTO `lang_definitions` VALUES (155377, 2552, 29, 'Управління з контролю за поширенням наркотиків');
INSERT INTO `lang_definitions` VALUES (155378, 2558, 29, 'Глухий');
INSERT INTO `lang_definitions` VALUES (155379, 2562, 29, 'Відлагоджувальна інформація');
INSERT INTO `lang_definitions` VALUES (155380, 2564, 29, 'Відлагодження');
INSERT INTO `lang_definitions` VALUES (155381, 2565, 29, 'Грудень');
INSERT INTO `lang_definitions` VALUES (155382, 2567, 29, 'ПОМЕРЛІ');
INSERT INTO `lang_definitions` VALUES (155383, 2574, 29, 'Грудень');
INSERT INTO `lang_definitions` VALUES (155384, 2578, 29, 'Десятки фунтів або фунтів і унцій, розділених # (наприклад, 5 # 4)');
INSERT INTO `lang_definitions` VALUES (155385, 2580, 29, 'Відрахування');
INSERT INTO `lang_definitions` VALUES (155386, 2581, 29, 'Виконання відрахувань');
INSERT INTO `lang_definitions` VALUES (155387, 2583, 29, 'За замовчуванням');
INSERT INTO `lang_definitions` VALUES (155388, 2585, 29, 'Вид календаря за замовчуванням');
INSERT INTO `lang_definitions` VALUES (155389, 2587, 29, 'ID форми звернення за замовчуванням');
INSERT INTO `lang_definitions` VALUES (155390, 2589, 29, 'Послуга за замовчуванням');
INSERT INTO `lang_definitions` VALUES (155391, 2594, 29, 'Мова за замовчуванням');
INSERT INTO `lang_definitions` VALUES (155392, 2595, 29, 'Мова за замовчуванням якщо іншої не дозволено або не вибрано.');
INSERT INTO `lang_definitions` VALUES (155393, 2598, 29, 'Список за замовчуванням (на вибір - право записувати/добавляти)');
INSERT INTO `lang_definitions` VALUES (155394, 2600, 29, 'Метод за замовчуванням');
INSERT INTO `lang_definitions` VALUES (155395, 2601, 29, 'Закінчення строку дії пароля за замовчуванням.');
INSERT INTO `lang_definitions` VALUES (155396, 2602, 29, 'Закінчення строку дії пароля в днях за замовчуванням. 0 означає, що ця функція відключена.');
INSERT INTO `lang_definitions` VALUES (155397, 2603, 29, 'Країна пацієнта за замовчуванням');
INSERT INTO `lang_definitions` VALUES (155398, 2606, 29, 'Пріоритет за замовчуванням');
INSERT INTO `lang_definitions` VALUES (155399, 2607, 29, 'Спеціаліст по замовчуванню');
INSERT INTO `lang_definitions` VALUES (155400, 2609, 29, 'Діапазон за замовчуванням');
INSERT INTO `lang_definitions` VALUES (155401, 2610, 29, 'Причина відвідування за замовчуванням');
INSERT INTO `lang_definitions` VALUES (155402, 2615, 29, 'Налаштування за замовчуванням');
INSERT INTO `lang_definitions` VALUES (155403, 2617, 29, 'Стан за замовчуванням прапорців в списку пацієнтів для нового вікна');
INSERT INTO `lang_definitions` VALUES (155404, 2618, 29, 'Шаблон за замовчуванням');
INSERT INTO `lang_definitions` VALUES (155405, 2624, 29, 'Одиниці виміру за замовчуванням');
INSERT INTO `lang_definitions` VALUES (155406, 2626, 29, 'Значення за замовчуванням');
INSERT INTO `lang_definitions` VALUES (155407, 2628, 29, 'Склад за замовчуванням');
INSERT INTO `lang_definitions` VALUES (155408, 2629, 29, 'Партнер X12 за замовчуванням');
INSERT INTO `lang_definitions` VALUES (155409, 2630, 29, 'За замовчуванням / глобально');
INSERT INTO `lang_definitions` VALUES (155410, 2635, 29, 'Видалити');
INSERT INTO `lang_definitions` VALUES (155411, 2636, 29, 'видалити');
INSERT INTO `lang_definitions` VALUES (155412, 2637, 29, 'Затримка повторення (> 12 міс.)');
INSERT INTO `lang_definitions` VALUES (155413, 2638, 29, 'Видалити');
INSERT INTO `lang_definitions` VALUES (155414, 2639, 29, 'видалити');
INSERT INTO `lang_definitions` VALUES (155415, 2640, 29, 'Видалити категорії з ID:');
INSERT INTO `lang_definitions` VALUES (155416, 2641, 29, 'Видалити категорію');
INSERT INTO `lang_definitions` VALUES (155417, 2644, 29, 'Збій видалення!');
INSERT INTO `lang_definitions` VALUES (155418, 2645, 29, 'Видалити групу');
INSERT INTO `lang_definitions` VALUES (155419, 2646, 29, 'Видалити список');
INSERT INTO `lang_definitions` VALUES (155420, 2648, 29, 'Видалити сторінки');
INSERT INTO `lang_definitions` VALUES (155421, 2649, 29, 'Видалити пацієнта, звернення, форму, проблему, документ, оплату, рахунок або транзакцію');
INSERT INTO `lang_definitions` VALUES (155422, 2651, 29, 'Видалити рядок');
INSERT INTO `lang_definitions` VALUES (155423, 2652, 29, 'Видалити вибрані пункти');
INSERT INTO `lang_definitions` VALUES (155424, 2655, 29, 'Видалення завершено.');
INSERT INTO `lang_definitions` VALUES (155425, 2656, 29, 'Видалити цей документ');
INSERT INTO `lang_definitions` VALUES (155426, 2657, 29, 'Видалити цю форму');
INSERT INTO `lang_definitions` VALUES (155427, 2659, 29, 'Видалити цей запис');
INSERT INTO `lang_definitions` VALUES (155428, 2661, 29, 'Видалення успішно виконано.');
INSERT INTO `lang_definitions` VALUES (155429, 2662, 29, 'Видалення');
INSERT INTO `lang_definitions` VALUES (155430, 2663, 29, 'Видалення цієї події не може бути відмінено. Відновлення буде неможливим після завершення. Ви дійсно хочете видалити цю подію?');
INSERT INTO `lang_definitions` VALUES (155431, 2666, 29, 'Доставку підтверджено');
INSERT INTO `lang_definitions` VALUES (155432, 2668, 29, 'В даний час не допускається доставка до зазначеного Direct Address.');
INSERT INTO `lang_definitions` VALUES (155433, 2670, 29, 'Паієнт зробив запит на доставку приєднаного клінічного документу');
INSERT INTO `lang_definitions` VALUES (155434, 2671, 29, 'Деменція');
INSERT INTO `lang_definitions` VALUES (155435, 2673, 29, 'Персональні дані');
INSERT INTO `lang_definitions` VALUES (155436, 2674, 29, 'Персональні дані (на вибір - право записувати/добавляти)');
INSERT INTO `lang_definitions` VALUES (155437, 2678, 29, 'Критерій відбору персональних даних');
INSERT INTO `lang_definitions` VALUES (155438, 2680, 29, 'Немає дозволу на доступ до персональних даних');
INSERT INTO `lang_definitions` VALUES (155439, 2681, 29, 'Немає дозволу на доступ до персональних даних.');
INSERT INTO `lang_definitions` VALUES (155440, 2682, 29, 'Заборонено');
INSERT INTO `lang_definitions` VALUES (155441, 2684, 29, 'Знаменник');
INSERT INTO `lang_definitions` VALUES (155442, 2687, 29, 'Стоматологічний');
INSERT INTO `lang_definitions` VALUES (155443, 2688, 29, 'Перелік стоматологічних проблем');
INSERT INTO `lang_definitions` VALUES (155444, 2689, 29, 'Стоматологічні проблеми');
INSERT INTO `lang_definitions` VALUES (155445, 2694, 29, 'При перевірці вимоги X 12, в залежності від типу, рахунки HCFA будуть виглядати як вивід порожньої сторінки, побачите багато рядків з дещо спотвореним текстом та інформацією. Цей спотворений текст є форматом X 12 EDI 4010A. Іноді будете бачити дивні символи, які виглядають як доміно або хвилясто, це керуючі символи, такі як подача сторінки і є звичайними.');
INSERT INTO `lang_definitions` VALUES (155446, 2696, 29, 'Дата внесення');
INSERT INTO `lang_definitions` VALUES (155447, 2697, 29, 'Дата внесення не може бути пізніше сьогоднішньої');
INSERT INTO `lang_definitions` VALUES (155448, 2698, 29, 'Дата внесення:');
INSERT INTO `lang_definitions` VALUES (155449, 2699, 29, 'Пригнічений');
INSERT INTO `lang_definitions` VALUES (155450, 2700, 29, 'Депресія');
INSERT INTO `lang_definitions` VALUES (155451, 2706, 29, 'Опис');
INSERT INTO `lang_definitions` VALUES (155452, 2707, 29, 'опис');
INSERT INTO `lang_definitions` VALUES (155453, 2709, 29, 'Опис публікації');
INSERT INTO `lang_definitions` VALUES (155454, 2710, 29, 'Опис цієї методики або код результату');
INSERT INTO `lang_definitions` VALUES (155455, 2711, 29, 'Переклад опису');
INSERT INTO `lang_definitions` VALUES (155456, 2713, 29, 'Місце призначення');
INSERT INTO `lang_definitions` VALUES (155457, 2714, 29, 'Призначене ім\'я файлу');
INSERT INTO `lang_definitions` VALUES (155458, 2716, 29, 'Знищити партію');
INSERT INTO `lang_definitions` VALUES (155459, 2717, 29, 'Знищити ...');
INSERT INTO `lang_definitions` VALUES (155460, 2718, 29, 'Знищений');
INSERT INTO `lang_definitions` VALUES (155461, 2719, 29, 'Знищені препарати');
INSERT INTO `lang_definitions` VALUES (155462, 2720, 29, 'Звіт по знищенню препаратів');
INSERT INTO `lang_definitions` VALUES (155463, 2721, 29, 'Подробиця');
INSERT INTO `lang_definitions` VALUES (155464, 2726, 29, 'Подробиці');
INSERT INTO `lang_definitions` VALUES (155465, 2728, 29, 'Прогресуюче відхилення від норми');
INSERT INTO `lang_definitions` VALUES (155466, 2730, 29, 'Діабет');
INSERT INTO `lang_definitions` VALUES (155467, 2731, 29, 'Цукровий діабет');
INSERT INTO `lang_definitions` VALUES (155468, 2732, 29, 'Діабет: контроль артеріального тиску');
INSERT INTO `lang_definitions` VALUES (155469, 2733, 29, 'Діабет: офтальмологічне дослідження');
INSERT INTO `lang_definitions` VALUES (155470, 2734, 29, 'Діабет: офтальмологічне дослідження');
INSERT INTO `lang_definitions` VALUES (155471, 2735, 29, 'Діабет: дослідження стоп');
INSERT INTO `lang_definitions` VALUES (155472, 2736, 29, 'Діабет: дослідження стоп');
INSERT INTO `lang_definitions` VALUES (155473, 2737, 29, 'Діабет: нагляд за бідними HbA1c');
INSERT INTO `lang_definitions` VALUES (155474, 2738, 29, 'Діабет: гемоглобін A1C');
INSERT INTO `lang_definitions` VALUES (155475, 2739, 29, 'Діабет: контроль ліпопротеїну низької щільності');
INSERT INTO `lang_definitions` VALUES (155476, 2740, 29, 'Діабет: мікроальбумін сечі');
INSERT INTO `lang_definitions` VALUES (155477, 2741, 29, 'Д-з');
INSERT INTO `lang_definitions` VALUES (155478, 2742, 29, 'Діагнози');
INSERT INTO `lang_definitions` VALUES (155479, 2743, 29, 'Діагноз');
INSERT INTO `lang_definitions` VALUES (155480, 2744, 29, 'Код діагнозу');
INSERT INTO `lang_definitions` VALUES (155481, 2747, 29, 'Дата діагнозу');
INSERT INTO `lang_definitions` VALUES (155482, 2749, 29, 'Для зв\"язку з зверненням діагноз повинен мати код');
INSERT INTO `lang_definitions` VALUES (155483, 2750, 29, 'Найменування діагнозу');
INSERT INTO `lang_definitions` VALUES (155484, 2751, 29, 'Звіт про діагноз');
INSERT INTO `lang_definitions` VALUES (155485, 2752, 29, 'Звітність про діагноз');
INSERT INTO `lang_definitions` VALUES (155486, 2753, 29, 'Лише звітність про діагноз');
INSERT INTO `lang_definitions` VALUES (155487, 2754, 29, 'Назва діагнозу');
INSERT INTO `lang_definitions` VALUES (155488, 2755, 29, 'Діагноз:');
INSERT INTO `lang_definitions` VALUES (155489, 2756, 29, 'Діагноз:');
INSERT INTO `lang_definitions` VALUES (155490, 2758, 29, 'Діагностичні тести:');
INSERT INTO `lang_definitions` VALUES (155491, 2760, 29, 'Діаліз');
INSERT INTO `lang_definitions` VALUES (155492, 2763, 29, 'Діафрагми/кришки');
INSERT INTO `lang_definitions` VALUES (155493, 2764, 29, 'Діарея');
INSERT INTO `lang_definitions` VALUES (155494, 2767, 29, 'Диктування');
INSERT INTO `lang_definitions` VALUES (155495, 2768, 29, 'Диктування:');
INSERT INTO `lang_definitions` VALUES (155496, 2769, 29, 'Ви отримали копію повідомлення HIPAA?');
INSERT INTO `lang_definitions` VALUES (155497, 2770, 29, 'Дифундувати:');
INSERT INTO `lang_definitions` VALUES (155498, 2771, 29, 'Цифровий підпис');
INSERT INTO `lang_definitions` VALUES (155499, 2781, 29, 'Direct-пошта');
INSERT INTO `lang_definitions` VALUES (155500, 2782, 29, 'Лог Direct-повідомлень');
INSERT INTO `lang_definitions` VALUES (155501, 2783, 29, 'Отримано Direct-повідомлення');
INSERT INTO `lang_definitions` VALUES (155502, 2784, 29, 'Direct-повідомлення наразі недосяжні.');
INSERT INTO `lang_definitions` VALUES (155503, 2785, 29, 'Збій надсилання Direct-повідомлення');
INSERT INTO `lang_definitions` VALUES (155504, 2787, 29, 'Прізвище керівника');
INSERT INTO `lang_definitions` VALUES (155505, 2788, 29, 'Збій видалення каталога; продовження.');
INSERT INTO `lang_definitions` VALUES (155506, 2789, 29, 'Непрацездатність');
INSERT INTO `lang_definitions` VALUES (155507, 2794, 29, 'Відключити календар');
INSERT INTO `lang_definitions` VALUES (155508, 2795, 29, 'Відключити відстеження карти');
INSERT INTO `lang_definitions` VALUES (155509, 2798, 29, 'Відключити вакцинацію');
INSERT INTO `lang_definitions` VALUES (155510, 2800, 29, 'Відключити стару метричну форму ЖВО');
INSERT INTO `lang_definitions` VALUES (155511, 2802, 29, 'Відключити phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (155512, 2803, 29, 'Вимкнути призначення');
INSERT INTO `lang_definitions` VALUES (155513, 2804, 29, 'Відключити користувальницькі групи');
INSERT INTO `lang_definitions` VALUES (155514, 2805, 29, 'вимкнено');
INSERT INTO `lang_definitions` VALUES (155515, 2806, 29, 'Вимкнено');
INSERT INTO `lang_definitions` VALUES (155516, 2807, 29, 'Вимкнено Отримувачі доходів менше 65 років з планом \"здоров\"я для великих груп\" (LGHP)');
INSERT INTO `lang_definitions` VALUES (155517, 2812, 29, 'Сигнальний комплекс, індукуючий смерть');
INSERT INTO `lang_definitions` VALUES (155518, 2815, 29, 'Виділення');
INSERT INTO `lang_definitions` VALUES (155519, 2816, 29, 'Виділення з уретри');
INSERT INTO `lang_definitions` VALUES (155520, 2818, 29, 'Виділіть правильно');
INSERT INTO `lang_definitions` VALUES (155521, 2819, 29, 'Виділіть правильно:');
INSERT INTO `lang_definitions` VALUES (155522, 2823, 29, 'Виділіть');
INSERT INTO `lang_definitions` VALUES (155523, 2825, 29, 'Опублікована інформація');
INSERT INTO `lang_definitions` VALUES (155524, 2826, 29, 'Тип публікування');
INSERT INTO `lang_definitions` VALUES (155525, 2827, 29, 'Типи публікування');
INSERT INTO `lang_definitions` VALUES (155526, 2828, 29, 'Публікації');
INSERT INTO `lang_definitions` VALUES (155527, 2833, 29, 'Знижка');
INSERT INTO `lang_definitions` VALUES (155528, 2834, 29, 'Розмір знижки');
INSERT INTO `lang_definitions` VALUES (155529, 2835, 29, 'Рівень знижки');
INSERT INTO `lang_definitions` VALUES (155530, 2836, 29, 'Відсоток знижки');
INSERT INTO `lang_definitions` VALUES (155531, 2837, 29, 'Знижка як грошова величина');
INSERT INTO `lang_definitions` VALUES (155532, 2838, 29, 'Знижка на розрахунковий час вводиться як грошова сума, а не відсотки.');
INSERT INTO `lang_definitions` VALUES (155533, 2839, 29, 'Окремий результат');
INSERT INTO `lang_definitions` VALUES (155534, 2841, 29, 'Хвороба');
INSERT INTO `lang_definitions` VALUES (155535, 2843, 29, 'Вивих');
INSERT INTO `lang_definitions` VALUES (155536, 2847, 29, 'Відпр. #');
INSERT INTO `lang_definitions` VALUES (155537, 2848, 29, 'Відправлення');
INSERT INTO `lang_definitions` VALUES (155538, 2849, 29, 'Відправлення отриманого документа');
INSERT INTO `lang_definitions` VALUES (155539, 2853, 29, 'Розподілений');
INSERT INTO `lang_definitions` VALUES (155540, 2856, 29, 'Відображати розширені інструкції на сторінці персональних даних.');
INSERT INTO `lang_definitions` VALUES (155541, 2859, 29, 'Відображати дати подій в блоці?');
INSERT INTO `lang_definitions` VALUES (155542, 2860, 29, 'Формат виводу для системи мір США');
INSERT INTO `lang_definitions` VALUES (155543, 2861, 29, 'Скільки подій відображати?');
INSERT INTO `lang_definitions` VALUES (155544, 2865, 29, 'Відображати розміщення в блоці?');
INSERT INTO `lang_definitions` VALUES (155545, 2866, 29, 'Псевдонім');
INSERT INTO `lang_definitions` VALUES (155546, 2868, 29, 'Відображати календар?');
INSERT INTO `lang_definitions` VALUES (155547, 2875, 29, 'Відображати сьогоднішні події в блоці?');
INSERT INTO `lang_definitions` VALUES (155548, 2876, 29, 'Відображати розділ в блоці?');
INSERT INTO `lang_definitions` VALUES (155549, 2877, 29, 'Відображати майбутні події в блоці?');
INSERT INTO `lang_definitions` VALUES (155550, 2879, 29, 'Показані колонки');
INSERT INTO `lang_definitions` VALUES (155551, 2880, 29, 'Відображення наступної кількості останніх публікацій:');
INSERT INTO `lang_definitions` VALUES (155552, 2882, 29, 'Відображення вказаної кількості останніх записів');
INSERT INTO `lang_definitions` VALUES (155553, 2883, 29, 'Відображення вказаної кількості останніх записів:');
INSERT INTO `lang_definitions` VALUES (155554, 2890, 29, 'Розподіл');
INSERT INTO `lang_definitions` VALUES (155555, 2891, 29, 'Розподіли');
INSERT INTO `lang_definitions` VALUES (155556, 2892, 29, 'Постачальник');
INSERT INTO `lang_definitions` VALUES (155557, 2897, 29, 'Дивертикуліт');
INSERT INTO `lang_definitions` VALUES (155558, 2898, 29, 'Хірургія Дівертікуліта');
INSERT INTO `lang_definitions` VALUES (155559, 2899, 29, 'Дивертикуліт');
INSERT INTO `lang_definitions` VALUES (155560, 2900, 29, 'Хірургія Дівертікуліта');
INSERT INTO `lang_definitions` VALUES (155561, 2901, 29, 'Розлучений');
INSERT INTO `lang_definitions` VALUES (155562, 2902, 29, 'Запаморочення:');
INSERT INTO `lang_definitions` VALUES (155563, 2905, 29, 'Не змінювати');
INSERT INTO `lang_definitions` VALUES (155564, 2907, 29, 'Не показувати алергію завантажену до NewCrop');
INSERT INTO `lang_definitions` VALUES (155565, 2909, 29, 'Не показувати ліки завантажені до NewCrop');
INSERT INTO `lang_definitions` VALUES (155566, 2912, 29, 'Не показувати календар.');
INSERT INTO `lang_definitions` VALUES (155567, 2916, 29, 'Не інвентаризувати і не реалізовувати ніяку продукцію');
INSERT INTO `lang_definitions` VALUES (155568, 2919, 29, 'Не вимагає повноважень для записів про пацієнта');
INSERT INTO `lang_definitions` VALUES (155569, 2920, 29, 'Не реанімувати порядок');
INSERT INTO `lang_definitions` VALUES (155570, 2921, 29, 'не зберігати');
INSERT INTO `lang_definitions` VALUES (155571, 2922, 29, 'не замінювати');
INSERT INTO `lang_definitions` VALUES (155572, 2925, 29, 'нічого не робити');
INSERT INTO `lang_definitions` VALUES (155573, 2929, 29, 'Дійсно потрібно видалити');
INSERT INTO `lang_definitions` VALUES (155574, 2930, 29, 'Дійсно потрібно видалити вибране?');
INSERT INTO `lang_definitions` VALUES (155575, 2931, 29, 'Дійсно потрібно видалити цю групу');
INSERT INTO `lang_definitions` VALUES (155576, 2934, 29, 'Продовжити?');
INSERT INTO `lang_definitions` VALUES (155577, 2935, 29, 'Це потрібно видалити?');
INSERT INTO `lang_definitions` VALUES (155578, 2936, 29, 'Видалити?');
INSERT INTO `lang_definitions` VALUES (155579, 2937, 29, 'Видалити цей запис?');
INSERT INTO `lang_definitions` VALUES (155580, 2938, 29, 'Продовжити додавання нового пацієнта?');
INSERT INTO `lang_definitions` VALUES (155581, 2939, 29, 'Продовжити з новим найменуванням?');
INSERT INTO `lang_definitions` VALUES (155582, 2940, 29, 'Цей запис по вакціінаціі потрібно видалити НАЗАВЖДИ?');
INSERT INTO `lang_definitions` VALUES (155583, 2941, 29, 'Дата / нар.');
INSERT INTO `lang_definitions` VALUES (155584, 2942, 29, 'Дата народження пропущена, при можливості вкажіть');
INSERT INTO `lang_definitions` VALUES (155585, 2944, 29, 'Документи');
INSERT INTO `lang_definitions` VALUES (155586, 2945, 29, 'Лікар');
INSERT INTO `lang_definitions` VALUES (155587, 2946, 29, 'Лікар:');
INSERT INTO `lang_definitions` VALUES (155588, 2947, 29, 'Прізвище та підпис лікаря');
INSERT INTO `lang_definitions` VALUES (155589, 2948, 29, 'Документ');
INSERT INTO `lang_definitions` VALUES (155590, 2949, 29, 'документ');
INSERT INTO `lang_definitions` VALUES (155591, 2951, 29, 'Категорії документа');
INSERT INTO `lang_definitions` VALUES (155592, 2958, 29, 'Документ не може бути переміщений для пацієнта з ID');
INSERT INTO `lang_definitions` VALUES (155593, 2960, 29, 'Дата документа');
INSERT INTO `lang_definitions` VALUES (155594, 2961, 29, 'Дата документа і питання успішно оновлені');
INSERT INTO `lang_definitions` VALUES (155595, 2962, 29, 'ID документу');
INSERT INTO `lang_definitions` VALUES (155596, 2965, 29, 'Документ переміщено в нову категорію');
INSERT INTO `lang_definitions` VALUES (155597, 2966, 29, 'Документ переміщено до пацієнта з ID');
INSERT INTO `lang_definitions` VALUES (155598, 2968, 29, 'Документ пройшов перевірку цілісності.');
INSERT INTO `lang_definitions` VALUES (155599, 2969, 29, 'Метод збереження документу');
INSERT INTO `lang_definitions` VALUES (155600, 2970, 29, 'Документ успішно перейменований.');
INSERT INTO `lang_definitions` VALUES (155601, 2976, 29, 'Збереження документа / зображення');
INSERT INTO `lang_definitions` VALUES (155602, 2978, 29, 'Документи');
INSERT INTO `lang_definitions` VALUES (155603, 2980, 29, 'Документи (на вибір - право записувати/добавляти)');
INSERT INTO `lang_definitions` VALUES (155604, 2989, 29, 'Задишка при фізичному навантаженні');
INSERT INTO `lang_definitions` VALUES (155605, 2994, 29, 'не відповідає PV1 числу звернень');
INSERT INTO `lang_definitions` VALUES (155606, 2995, 29, 'здається, не дійсні');
INSERT INTO `lang_definitions` VALUES (155607, 2996, 29, 'Цей тип допускає пов\'язані коди?');
INSERT INTO `lang_definitions` VALUES (155608, 2997, 29, 'Вітчизняний партнер');
INSERT INTO `lang_definitions` VALUES (155609, 2998, 29, 'Не зберігати');
INSERT INTO `lang_definitions` VALUES (155610, 2999, 29, 'Не зберігати');
INSERT INTO `lang_definitions` VALUES (155611, 3000, 29, 'Не зберігати зміни');
INSERT INTO `lang_definitions` VALUES (155612, 3002, 29, 'Готово');
INSERT INTO `lang_definitions` VALUES (155613, 3004, 29, 'Виконано з:');
INSERT INTO `lang_definitions` VALUES (155614, 3005, 29, 'Готово. Тепер буде відправлене ​​завантаження.');
INSERT INTO `lang_definitions` VALUES (155615, 3006, 29, 'Доз.');
INSERT INTO `lang_definitions` VALUES (155616, 3007, 29, 'Дозування');
INSERT INTO `lang_definitions` VALUES (155617, 3011, 29, 'двічі клацніть для редагування');
INSERT INTO `lang_definitions` VALUES (155618, 3013, 29, 'Двоїння в очах');
INSERT INTO `lang_definitions` VALUES (155619, 3014, 29, 'Завантажити');
INSERT INTO `lang_definitions` VALUES (155620, 3019, 29, 'Завантажити в будь-якому разі');
INSERT INTO `lang_definitions` VALUES (155621, 3020, 29, 'Завантажує файл рахунку, вносить в баланс і маркує як оплату');
INSERT INTO `lang_definitions` VALUES (155622, 3022, 29, 'Завантажити сертифікати');
INSERT INTO `lang_definitions` VALUES (155623, 3023, 29, 'Завантажити дані налаштувань');
INSERT INTO `lang_definitions` VALUES (155624, 3027, 29, 'завантажити шифрований файл');
INSERT INTO `lang_definitions` VALUES (155625, 3033, 29, 'Завантажити PDF');
INSERT INTO `lang_definitions` VALUES (155626, 3037, 29, 'Завантажити вибрані заявки');
INSERT INTO `lang_definitions` VALUES (155627, 3039, 29, 'Перевірка лікаря');
INSERT INTO `lang_definitions` VALUES (155628, 3040, 29, 'Відвідування лікаря');
INSERT INTO `lang_definitions` VALUES (155629, 3041, 29, 'Д-р');
INSERT INTO `lang_definitions` VALUES (155630, 3045, 29, 'Препарат для переміщення');
INSERT INTO `lang_definitions` VALUES (155631, 3047, 29, 'Підтікання сечі');
INSERT INTO `lang_definitions` VALUES (155632, 3048, 29, 'Водійські права або державний ID');
INSERT INTO `lang_definitions` VALUES (155633, 3050, 29, 'Препарат');
INSERT INTO `lang_definitions` VALUES (155634, 3053, 29, 'Пошуковик препаратів');
INSERT INTO `lang_definitions` VALUES (155635, 3054, 29, 'Форми препаратів');
INSERT INTO `lang_definitions` VALUES (155636, 3055, 29, 'ID препарату пропущений!');
INSERT INTO `lang_definitions` VALUES (155637, 3056, 29, 'Частота прийому препарату');
INSERT INTO `lang_definitions` VALUES (155638, 3057, 29, 'Облік препарату');
INSERT INTO `lang_definitions` VALUES (155639, 3059, 29, 'Найменування препарату');
INSERT INTO `lang_definitions` VALUES (155640, 3061, 29, 'Спосіб введення препарату');
INSERT INTO `lang_definitions` VALUES (155641, 3066, 29, 'Одиниці виміру препарату');
INSERT INTO `lang_definitions` VALUES (155642, 3072, 29, 'Препарати');
INSERT INTO `lang_definitions` VALUES (155643, 3073, 29, 'Препарати та вироби');
INSERT INTO `lang_definitions` VALUES (155644, 3074, 29, 'Сухість у роті');
INSERT INTO `lang_definitions` VALUES (155645, 3075, 29, 'DSMIV діагноз');
INSERT INTO `lang_definitions` VALUES (155646, 3076, 29, 'Дифтеритичний тетанус 1');
INSERT INTO `lang_definitions` VALUES (155647, 3077, 29, 'Дифтеритичний тетанус 2');
INSERT INTO `lang_definitions` VALUES (155648, 3078, 29, 'Дифтеритичний тетанус 3');
INSERT INTO `lang_definitions` VALUES (155649, 3079, 29, 'Дифтеритичний тетанус 4');
INSERT INTO `lang_definitions` VALUES (155650, 3080, 29, 'Дифтеритичний тетанус 5');
INSERT INTO `lang_definitions` VALUES (155651, 3081, 29, 'АКДС 1');
INSERT INTO `lang_definitions` VALUES (155652, 3082, 29, 'АКДС 2');
INSERT INTO `lang_definitions` VALUES (155653, 3083, 29, 'АКДС 3');
INSERT INTO `lang_definitions` VALUES (155654, 3084, 29, 'АКДС 4');
INSERT INTO `lang_definitions` VALUES (155655, 3085, 29, 'АКДС 5');
INSERT INTO `lang_definitions` VALUES (155656, 3087, 29, 'належний');
INSERT INTO `lang_definitions` VALUES (155657, 3088, 29, 'Дата оплати');
INSERT INTO `lang_definitions` VALUES (155658, 3090, 29, 'Дата оплати мм/дд/рррр або рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (155659, 3091, 29, 'Дата оплати:');
INSERT INTO `lang_definitions` VALUES (155660, 3092, 29, 'Термін стах.');
INSERT INTO `lang_definitions` VALUES (155661, 3093, 29, 'Термін опл.');
INSERT INTO `lang_definitions` VALUES (155662, 3094, 29, 'Термін дії підходить до завершення');
INSERT INTO `lang_definitions` VALUES (155663, 3095, 29, 'Призначений статус');
INSERT INTO `lang_definitions` VALUES (155664, 3096, 29, 'Оновлення статусу оплати');
INSERT INTO `lang_definitions` VALUES (155665, 3097, 29, 'Формування дампу бази даних OpenEMR');
INSERT INTO `lang_definitions` VALUES (155666, 3098, 29, 'Формування дампу дерева веб-каталогу OpenEMR');
INSERT INTO `lang_definitions` VALUES (155667, 3099, 29, 'Формування дампу бази даних phpGACL');
INSERT INTO `lang_definitions` VALUES (155668, 3100, 29, 'Формування дампу дерева веб-каталогу phpGACL');
INSERT INTO `lang_definitions` VALUES (155669, 3101, 29, 'Формування дампу бази даних регістра SQL');
INSERT INTO `lang_definitions` VALUES (155670, 3102, 29, 'Формування дампу дерева веб-каталогу регістра SQL');
INSERT INTO `lang_definitions` VALUES (155671, 3103, 29, 'Перевірка на дублювання');
INSERT INTO `lang_definitions` VALUES (155672, 3108, 29, 'Дубльований ID в рядку');
INSERT INTO `lang_definitions` VALUES (155673, 3109, 29, 'Дублювання ім’я в рядку');
INSERT INTO `lang_definitions` VALUES (155674, 3110, 29, 'ПОПЕРЕДЖЕННЯ ПРО ДУБЛЮВАННЯ');
INSERT INTO `lang_definitions` VALUES (155675, 3111, 29, 'Тривала довіреність');
INSERT INTO `lang_definitions` VALUES (155676, 3112, 29, 'Тривалість');
INSERT INTO `lang_definitions` VALUES (155677, 3113, 29, 'тривалість');
INSERT INTO `lang_definitions` VALUES (155678, 3114, 29, 'Голландська');
INSERT INTO `lang_definitions` VALUES (155679, 3116, 29, 'Звіт Dx');
INSERT INTO `lang_definitions` VALUES (155680, 3117, 29, 'Дисфагія');
INSERT INTO `lang_definitions` VALUES (155681, 3118, 29, 'Задишка');
INSERT INTO `lang_definitions` VALUES (155682, 3119, 29, 'Розлад сечовипускання');
INSERT INTO `lang_definitions` VALUES (155683, 3128, 29, 'Е-Призначення?');
INSERT INTO `lang_definitions` VALUES (155684, 3129, 29, 'Е-Звіт');
INSERT INTO `lang_definitions` VALUES (155685, 3130, 29, 'e-Rx');
INSERT INTO `lang_definitions` VALUES (155686, 3132, 29, 'Відновлення e-Rx');
INSERT INTO `lang_definitions` VALUES (155687, 3135, 29, 'Кожен одержувач повинен встановити свої поідомлення як завершені');
INSERT INTO `lang_definitions` VALUES (155688, 3140, 29, 'Ранній рецидив (2 міс)');
INSERT INTO `lang_definitions` VALUES (155689, 3141, 29, 'Вуха');
INSERT INTO `lang_definitions` VALUES (155690, 3148, 29, 'ЕКГ');
INSERT INTO `lang_definitions` VALUES (155691, 3149, 29, 'eClaims');
INSERT INTO `lang_definitions` VALUES (155692, 3152, 29, 'Набряк');
INSERT INTO `lang_definitions` VALUES (155693, 3154, 29, 'edi історія');
INSERT INTO `lang_definitions` VALUES (155694, 3155, 29, 'edi історія');
INSERT INTO `lang_definitions` VALUES (155695, 3156, 29, 'Історія EDI (по оплатах) для зберігання та інтерпретації файлів відповідей EDI претензій');
INSERT INTO `lang_definitions` VALUES (155696, 3157, 29, 'Завантаження файлу EDI-271');
INSERT INTO `lang_definitions` VALUES (155697, 3158, 29, 'Завантаження файлу-відповіді EDI-271');
INSERT INTO `lang_definitions` VALUES (155698, 3159, 29, 'Редагувати');
INSERT INTO `lang_definitions` VALUES (155699, 3160, 29, 'редагувати');
INSERT INTO `lang_definitions` VALUES (155700, 3161, 29, 'Редагувати алергії');
INSERT INTO `lang_definitions` VALUES (155701, 3163, 29, 'Редагувати категорії');
INSERT INTO `lang_definitions` VALUES (155702, 3165, 29, 'Редагувати визначення');
INSERT INTO `lang_definitions` VALUES (155703, 3166, 29, 'Редагувати визначення');
INSERT INTO `lang_definitions` VALUES (155704, 3167, 29, 'Редагувати діагнози для');
INSERT INTO `lang_definitions` VALUES (155705, 3168, 29, 'Редагувати пояснення');
INSERT INTO `lang_definitions` VALUES (155706, 3173, 29, 'Редагувати медичні заклади');
INSERT INTO `lang_definitions` VALUES (155707, 3174, 29, 'Редагувати медичний заклад');
INSERT INTO `lang_definitions` VALUES (155708, 3175, 29, 'Редагувати інформацію про медичний заклад');
INSERT INTO `lang_definitions` VALUES (155709, 3176, 29, 'Редагувати інформацію про користувача специфічну для медичного закладу');
INSERT INTO `lang_definitions` VALUES (155710, 3177, 29, 'Редагувати файл в');
INSERT INTO `lang_definitions` VALUES (155711, 3178, 29, 'Редагувати форму');
INSERT INTO `lang_definitions` VALUES (155712, 3179, 29, 'Редагувати глобальні настройки');
INSERT INTO `lang_definitions` VALUES (155713, 3181, 29, 'Редагування не дозволено');
INSERT INTO `lang_definitions` VALUES (155714, 3183, 29, 'Редагувати макет');
INSERT INTO `lang_definitions` VALUES (155715, 3185, 29, 'Редагувати список');
INSERT INTO `lang_definitions` VALUES (155716, 3188, 29, 'Редагувати платіж');
INSERT INTO `lang_definitions` VALUES (155717, 3189, 29, 'Редагувати структуру');
INSERT INTO `lang_definitions` VALUES (155718, 3192, 29, 'Редагувати користувача');
INSERT INTO `lang_definitions` VALUES (155719, 3193, 29, 'Редагувати настройки користувача');
INSERT INTO `lang_definitions` VALUES (155720, 3196, 29, 'Освіта');
INSERT INTO `lang_definitions` VALUES (155721, 3197, 29, 'Дата отримання освіти');
INSERT INTO `lang_definitions` VALUES (155722, 3199, 29, 'ел. ред. * Детальніше див Ліцензію на вільне програмне забезпечення GNU. ** Разом з цією програмою ви повинні були отримати примірник GPL GNU *; Якщо ні, то пишіть у вільному');
INSERT INTO `lang_definitions` VALUES (155723, 3200, 29, 'Фактична дата');
INSERT INTO `lang_definitions` VALUES (155724, 3202, 29, 'ефективність');
INSERT INTO `lang_definitions` VALUES (155725, 3204, 29, 'Ідентифікаційний номер роботодавця');
INSERT INTO `lang_definitions` VALUES (155726, 3207, 29, 'Еякуляції');
INSERT INTO `lang_definitions` VALUES (155727, 3208, 29, 'Лікоть');
INSERT INTO `lang_definitions` VALUES (155728, 3209, 29, 'проблеми ліктя');
INSERT INTO `lang_definitions` VALUES (155729, 3210, 29, 'Електронний');
INSERT INTO `lang_definitions` VALUES (155730, 3214, 29, 'Електронні перекази');
INSERT INTO `lang_definitions` VALUES (155731, 3215, 29, 'Електронні звіти');
INSERT INTO `lang_definitions` VALUES (155732, 3218, 29, 'Придатність');
INSERT INTO `lang_definitions` VALUES (155733, 3219, 29, 'Придатність 270 пакетного запиту');
INSERT INTO `lang_definitions` VALUES (155734, 3220, 29, 'Прийнятність відповіді');
INSERT INTO `lang_definitions` VALUES (155735, 3222, 29, 'Право на статус Вакцини для Дітей для поствленої вакцини');
INSERT INTO `lang_definitions` VALUES (155736, 3223, 29, 'Придатний');
INSERT INTO `lang_definitions` VALUES (155737, 3225, 29, 'e-mail');
INSERT INTO `lang_definitions` VALUES (155738, 3228, 29, 'Адреса e-mail');
INSERT INTO `lang_definitions` VALUES (155739, 3230, 29, 'Адреса електронної пошти відправника для нагадування пацієнта. Відповіді на нагадування пацієнтові будуть відправлені на цю адресу. Важливо використовувати адресу вашої клініки, щоб уникнути збору нагадувань в папці небажаної пошти');
INSERT INTO `lang_definitions` VALUES (155740, 3231, 29, 'Адреса e-mail, якщо є, для отримання адміністративних повідомлень.');
INSERT INTO `lang_definitions` VALUES (155741, 3232, 29, 'Адреса e-mail, якщо є, для отриманняекстрених повідомлень про активацію логінокористувача.');
INSERT INTO `lang_definitions` VALUES (155742, 3233, 29, 'Авторизована Email');
INSERT INTO `lang_definitions` VALUES (155743, 3236, 29, 'E-mail від пакетної обробки');
INSERT INTO `lang_definitions` VALUES (155744, 3238, 29, 'Email сповіщення');
INSERT INTO `lang_definitions` VALUES (155745, 3239, 29, 'Години email сповіщення');
INSERT INTO `lang_definitions` VALUES (155746, 3240, 29, 'Звіт email сповіщення');
INSERT INTO `lang_definitions` VALUES (155747, 3244, 29, 'Надіслати e-mail перед');
INSERT INTO `lang_definitions` VALUES (155748, 3245, 29, 'Відправник e-mail');
INSERT INTO `lang_definitions` VALUES (155749, 3246, 29, 'Відправлення e-mail');
INSERT INTO `lang_definitions` VALUES (155750, 3247, 29, 'Email відправлено до');
INSERT INTO `lang_definitions` VALUES (155751, 3248, 29, 'Тема e-mail');
INSERT INTO `lang_definitions` VALUES (155752, 3251, 29, 'Текст e-mail, вживаються позначення: ***ІМ\'Я***, напр. Шановний ***ІМ\'Я***');
INSERT INTO `lang_definitions` VALUES (155753, 3252, 29, 'Текст e-mail, вживаються позначення: ***NAME***, напр. Шановний ***NAME***{{Не перекладайте ***NAME*** елемент цієї константи.}}');
INSERT INTO `lang_definitions` VALUES (155754, 3253, 29, 'Метод передачі e-mail');
INSERT INTO `lang_definitions` VALUES (155755, 3254, 29, 'E-mail відправлений за наступними адресами');
INSERT INTO `lang_definitions` VALUES (155756, 3259, 29, 'Екстренний зв\"язок');
INSERT INTO `lang_definitions` VALUES (155757, 3260, 29, 'Контактна особа для екстренного зв\"язку');
INSERT INTO `lang_definitions` VALUES (155758, 3261, 29, 'Номер телефону для екстреного зв\'язку');
INSERT INTO `lang_definitions` VALUES (155759, 3262, 29, 'Екстренна контрацепція');
INSERT INTO `lang_definitions` VALUES (155760, 3263, 29, 'Вхід в систему в надзвичайній ситуації');
INSERT INTO `lang_definitions` VALUES (155761, 3264, 29, 'Обрано надзвичайний вхід в систему ACL. Користувач все ще в активному стані, прохання деактивувати цього користувача та активувати, за необхідності, при надзвичайній ситуації. Для активації або деактивації див. Адміністрування-> Користувачі.');
INSERT INTO `lang_definitions` VALUES (155762, 3265, 29, 'Надзвичайний e-mail активації входу в систему буде задіяний, лише якщо у файлі interface/globals.php задані наступні параметри:');
INSERT INTO `lang_definitions` VALUES (155763, 3266, 29, 'Адреса e-mail надзвичайного входу в систему');
INSERT INTO `lang_definitions` VALUES (155764, 3267, 29, 'Користувач надзвичайного входу в систему може робити все');
INSERT INTO `lang_definitions` VALUES (155765, 3268, 29, 'Екстренний телефон');
INSERT INTO `lang_definitions` VALUES (155766, 3270, 29, 'Емоційні / поведінкові умови і ускладнення');
INSERT INTO `lang_definitions` VALUES (155767, 3271, 29, 'Емфізема');
INSERT INTO `lang_definitions` VALUES (155768, 3272, 29, 'Службовець');
INSERT INTO `lang_definitions` VALUES (155769, 3273, 29, 'Роботодавець');
INSERT INTO `lang_definitions` VALUES (155770, 3274, 29, 'Адреса роботодавця');
INSERT INTO `lang_definitions` VALUES (155771, 3275, 29, 'Дата прийому на роботу');
INSERT INTO `lang_definitions` VALUES (155772, 3276, 29, 'Ім\"я роботодавця');
INSERT INTO `lang_definitions` VALUES (155773, 3277, 29, 'ПОРОЖНЬО');
INSERT INTO `lang_definitions` VALUES (155774, 3278, 29, 'Пусте');
INSERT INTO `lang_definitions` VALUES (155775, 3279, 29, 'Порожній пароль не дозволений');
INSERT INTO `lang_definitions` VALUES (155776, 3281, 29, 'Пусте значення в \"Час e-mail\"');
INSERT INTO `lang_definitions` VALUES (155777, 3282, 29, 'Пусте значення в \"Відправник e-mail\"');
INSERT INTO `lang_definitions` VALUES (155778, 3283, 29, 'Пусте значення в \"Тема e-mail\"');
INSERT INTO `lang_definitions` VALUES (155779, 3284, 29, 'Пусте значення в \"Текст e-mail\"');
INSERT INTO `lang_definitions` VALUES (155780, 3285, 29, 'Пусте значення для \"Прізвище фахівця\"');
INSERT INTO `lang_definitions` VALUES (155781, 3286, 29, 'Пусте значення в \"Пароль\"');
INSERT INTO `lang_definitions` VALUES (155782, 3287, 29, 'Пусте значення в \"Час SMS\"');
INSERT INTO `lang_definitions` VALUES (155783, 3288, 29, 'Пусте значення в \"Текст SMS\"');
INSERT INTO `lang_definitions` VALUES (155784, 3289, 29, 'Пусте значення для \"Ім\'я користувача\"');
INSERT INTO `lang_definitions` VALUES (155785, 3298, 29, 'Увімкнути виклик AMC');
INSERT INTO `lang_definitions` VALUES (155786, 3300, 29, 'Увімкнути звіт AMC');
INSERT INTO `lang_definitions` VALUES (155787, 3301, 29, 'Увімкнути відстеження AMC');
INSERT INTO `lang_definitions` VALUES (155788, 3303, 29, 'Увімкнути аудит ATNA');
INSERT INTO `lang_definitions` VALUES (155789, 3305, 29, 'Увімкнути аудит запису інформації');
INSERT INTO `lang_definitions` VALUES (155790, 3306, 29, 'Увімкнути відстеження аудиту та ідентифікації приладу (ATNA).');
INSERT INTO `lang_definitions` VALUES (155791, 3307, 29, 'Увімкнути звітність автоматичного обчислення одиниці виміру (AMC)');
INSERT INTO `lang_definitions` VALUES (155792, 3312, 29, 'Увімкнути сертифікат клієнта SSL');
INSERT INTO `lang_definitions` VALUES (155793, 3313, 29, 'Вмикає ідентифікацію сертифіката SSL для клієнта.');
INSERT INTO `lang_definitions` VALUES (155794, 3315, 29, 'Увімкнути клінічні правила висновків (CDR)');
INSERT INTO `lang_definitions` VALUES (155795, 3318, 29, 'Увімкнути звітністність про клінічну оцінку якості (CQM)');
INSERT INTO `lang_definitions` VALUES (155796, 3319, 29, 'Увімкнути спливаючі клінічні нагадування');
INSERT INTO `lang_definitions` VALUES (155797, 3320, 29, 'Увімкнути міні-додаток для клінічних нагадувань');
INSERT INTO `lang_definitions` VALUES (155798, 3324, 29, 'Увімкнути звітністність про клінічну оцінку якості (CQM)');
INSERT INTO `lang_definitions` VALUES (155799, 3329, 29, 'Увімкнути EDI історію в меню зліва');
INSERT INTO `lang_definitions` VALUES (155800, 3334, 29, 'Увімкнути оплати в лівому меню');
INSERT INTO `lang_definitions` VALUES (155801, 3341, 29, 'Увімкнути підтримку Hylafax');
INSERT INTO `lang_definitions` VALUES (155802, 3343, 29, 'Увімкнути імпорт статусного повідомлення для NewCrop ERX');
INSERT INTO `lang_definitions` VALUES (155803, 3347, 29, 'Увімкнути лабораторний обмін');
INSERT INTO `lang_definitions` VALUES (155804, 3349, 29, 'Увімкнути журнал завантаження/вивантаження документів для CouchDB');
INSERT INTO `lang_definitions` VALUES (155805, 3350, 29, 'Увімкнути журнал всіх запитів SELECT SQL.');
INSERT INTO `lang_definitions` VALUES (155806, 3351, 29, 'Увімкнути журнал активності, пов\'язаної з резервним копіюванням.');
INSERT INTO `lang_definitions` VALUES (155807, 3352, 29, 'Увімкнути журнал запитів CDR Engine.\'');
INSERT INTO `lang_definitions` VALUES (155808, 3353, 29, 'Увімкнути журнал змішаної активності.');
INSERT INTO `lang_definitions` VALUES (155809, 3354, 29, 'Увімкнути журнал активності призначень.');
INSERT INTO `lang_definitions` VALUES (155810, 3355, 29, 'Увімкнути журнал модифікацій записів про пацієнтів.');
INSERT INTO `lang_definitions` VALUES (155811, 3356, 29, 'Увімкнути журнал активності планування.');
INSERT INTO `lang_definitions` VALUES (155812, 3357, 29, 'Увімкнути журнал активності безпеки і адміністрування.');
INSERT INTO `lang_definitions` VALUES (155813, 3360, 29, 'Увімкнути службу NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (155814, 3365, 29, 'Увімкнути портал для зовнішніх пацієнтів');
INSERT INTO `lang_definitions` VALUES (155815, 3366, 29, 'Увімкнути портал для зовнішніх пацієнтів.');
INSERT INTO `lang_definitions` VALUES (155816, 3368, 29, 'Увімкнути портал для внутрійшіх пацієнтів');
INSERT INTO `lang_definitions` VALUES (155817, 3371, 29, 'Увімкнути портал внутрійшіх пацієнтів.');
INSERT INTO `lang_definitions` VALUES (155818, 3385, 29, 'Увімкнути віджет нагадувань для пацієнтів');
INSERT INTO `lang_definitions` VALUES (155819, 3387, 29, 'Увімкнути сервіс повідомлень phiMail Direct');
INSERT INTO `lang_definitions` VALUES (155820, 3389, 29, 'Увімкнути запрошення вводу дати для автоматичного обчислення одиниці виміру (AMC)');
INSERT INTO `lang_definitions` VALUES (155821, 3391, 29, 'Увімкнути звітність про відстеження дати для автоматичного обчислення одиниці виміру (AMC)');
INSERT INTO `lang_definitions` VALUES (155822, 3392, 29, 'Увімкнути підтримку сканера');
INSERT INTO `lang_definitions` VALUES (155823, 3396, 29, 'Увімкнутии послуги Medical Information Integration, LLC Lab Exchange Service.');
INSERT INTO `lang_definitions` VALUES (155824, 3397, 29, 'Вмикає підтримку OpenEMR службою лабораторного обміну LLC.');
INSERT INTO `lang_definitions` VALUES (155825, 3398, 29, 'Увімкнути аутентифікацію користувача сертифіката');
INSERT INTO `lang_definitions` VALUES (155826, 3403, 29, 'Увімкнути службу eRx для ZMG, LLC');
INSERT INTO `lang_definitions` VALUES (155827, 3404, 29, 'увімкнено');
INSERT INTO `lang_definitions` VALUES (155828, 3412, 29, 'Вмикає стару панель з оплатою для введення кодів рахунків і платежів. Не рекомендується,краще використовуйте список оплати.');
INSERT INTO `lang_definitions` VALUES (155829, 3415, 29, 'Зверн.');
INSERT INTO `lang_definitions` VALUES (155830, 3417, 29, 'Звернення');
INSERT INTO `lang_definitions` VALUES (155831, 3418, 29, 'Звернення');
INSERT INTO `lang_definitions` VALUES (155832, 3419, 29, 'звернення');
INSERT INTO `lang_definitions` VALUES (155833, 3420, 29, 'Звернення');
INSERT INTO `lang_definitions` VALUES (155834, 3421, 29, 'екстрене надходження пацієнта в стаціонар або в відділення невідкладної допомоги');
INSERT INTO `lang_definitions` VALUES (155835, 3427, 29, 'Дата звернення');
INSERT INTO `lang_definitions` VALUES (155836, 3430, 29, 'EDI запис звернення');
INSERT INTO `lang_definitions` VALUES (155837, 3432, 29, 'форми звернення');
INSERT INTO `lang_definitions` VALUES (155838, 3433, 29, 'Звернення з приводу здоров\'я і стану');
INSERT INTO `lang_definitions` VALUES (155839, 3434, 29, 'Хронологія звернень');
INSERT INTO `lang_definitions` VALUES (155840, 3435, 29, 'ID звернення');
INSERT INTO `lang_definitions` VALUES (155841, 3436, 29, 'стикатися з грипом');
INSERT INTO `lang_definitions` VALUES (155842, 3439, 29, 'Кількість звернень');
INSERT INTO `lang_definitions` VALUES (155843, 3441, 29, 'звернення до медсестри з приводу виписки');
INSERT INTO `lang_definitions` VALUES (155844, 3442, 29, 'звернення для медсестринських послуг');
INSERT INTO `lang_definitions` VALUES (155845, 3443, 29, 'звернення для трудотерапії');
INSERT INTO `lang_definitions` VALUES (155846, 3444, 29, 'звернення для відвідування кабінетів');
INSERT INTO `lang_definitions` VALUES (155847, 3445, 29, 'амбулаторне звернення');
INSERT INTO `lang_definitions` VALUES (155848, 3446, 29, 'амбулаторне звернення w/PCP & obgyn');
INSERT INTO `lang_definitions` VALUES (155849, 3447, 29, 'Розмір сторінки звернення');
INSERT INTO `lang_definitions` VALUES (155850, 3448, 29, 'Оплата звернення');
INSERT INTO `lang_definitions` VALUES (155851, 3449, 29, 'Звернення з приводу вагітності');
INSERT INTO `lang_definitions` VALUES (155852, 3450, 29, 'звернення з приводу профогляду -індивідуальна співбесіда');
INSERT INTO `lang_definitions` VALUES (155853, 3451, 29, 'звернення з приводу профогляду в 40 років і старше');
INSERT INTO `lang_definitions` VALUES (155854, 3452, 29, 'звернення з приводу профогляду для групової співбесіди');
INSERT INTO `lang_definitions` VALUES (155855, 3453, 29, 'звернення з приводу профогляду для інших послуг');
INSERT INTO `lang_definitions` VALUES (155856, 3454, 29, 'звернення з приводу профогляду в 18 років і старше');
INSERT INTO `lang_definitions` VALUES (155857, 3457, 29, 'звернення до психіатра і психолога');
INSERT INTO `lang_definitions` VALUES (155858, 3458, 29, 'Статистика звернення');
INSERT INTO `lang_definitions` VALUES (155859, 3459, 29, 'Підсумок звернення');
INSERT INTO `lang_definitions` VALUES (155860, 3461, 29, 'Звернення було закодоване');
INSERT INTO `lang_definitions` VALUES (155861, 3462, 29, 'Звернення:');
INSERT INTO `lang_definitions` VALUES (155862, 3463, 29, 'Звернення: при плановому надходженні пацієнта в стаціонар, амбулаторне або до окуліста');
INSERT INTO `lang_definitions` VALUES (155863, 3464, 29, 'Звернення');
INSERT INTO `lang_definitions` VALUES (155864, 3465, 29, 'Звернення та форми');
INSERT INTO `lang_definitions` VALUES (155865, 3466, 29, 'Звернення &amp; Форми');
INSERT INTO `lang_definitions` VALUES (155866, 3467, 29, 'Доступ до звернень не дозволено');
INSERT INTO `lang_definitions` VALUES (155867, 3468, 29, 'Звіт по зверненнях');
INSERT INTO `lang_definitions` VALUES (155868, 3469, 29, 'Розділ звернень');
INSERT INTO `lang_definitions` VALUES (155869, 3471, 29, 'Шифрування');
INSERT INTO `lang_definitions` VALUES (155870, 3472, 29, 'Кінець');
INSERT INTO `lang_definitions` VALUES (155871, 3473, 29, 'Закінчення (рррр-мм-дд):');
INSERT INTO `lang_definitions` VALUES (155872, 3474, 29, 'Кінцева дата');
INSERT INTO `lang_definitions` VALUES (155873, 3475, 29, 'Кінцева дата');
INSERT INTO `lang_definitions` VALUES (155874, 3480, 29, 'Кінцева дата повинна бути пізніше початкової');
INSERT INTO `lang_definitions` VALUES (155875, 3482, 29, 'Кінцева дата:');
INSERT INTO `lang_definitions` VALUES (155876, 3487, 29, 'Кінцевий час');
INSERT INTO `lang_definitions` VALUES (155877, 3489, 29, 'Термінальній стадії ниркової хвороби одержувача при моноцитарному хематоксичному білку з груповому плані роботодавця');
INSERT INTO `lang_definitions` VALUES (155878, 3492, 29, 'Кінцева дата надання послуги рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (155879, 3493, 29, 'Кінцева дата надання послуг (мм/дд/рррр), якщо бажаєте ввести діапазон');
INSERT INTO `lang_definitions` VALUES (155880, 3494, 29, 'Завершальна годину дня для календарних подій.');
INSERT INTO `lang_definitions` VALUES (155881, 3495, 29, 'Ендо аномальна кров');
INSERT INTO `lang_definitions` VALUES (155882, 3496, 29, 'Ендокринна');
INSERT INTO `lang_definitions` VALUES (155883, 3497, 29, 'Ендоскопія');
INSERT INTO `lang_definitions` VALUES (155884, 3502, 29, 'Англійська');
INSERT INTO `lang_definitions` VALUES (155885, 3503, 29, 'Англійська');
INSERT INTO `lang_definitions` VALUES (155886, 3504, 29, 'Англійська (індійський)');
INSERT INTO `lang_definitions` VALUES (155887, 3505, 29, 'Англійська (стандартний)');
INSERT INTO `lang_definitions` VALUES (155888, 3506, 29, 'Кодувати команду, використовуючи Hylafax.');
INSERT INTO `lang_definitions` VALUES (155889, 3507, 29, 'Переконайтеся, що OpenEMR має право запису в каталог');
INSERT INTO `lang_definitions` VALUES (155890, 3509, 29, 'ЛОР відділення');
INSERT INTO `lang_definitions` VALUES (155891, 3510, 29, 'Отоларингологічні болі');
INSERT INTO `lang_definitions` VALUES (155892, 3513, 29, 'Введіть код діагнозу для виключення всіх рахунків, що не містять його');
INSERT INTO `lang_definitions` VALUES (155893, 3518, 29, 'Введіть тут вміст листа');
INSERT INTO `lang_definitions` VALUES (155894, 3520, 29, 'Введіть пароль для основної бази даних');
INSERT INTO `lang_definitions` VALUES (155895, 3521, 29, 'Введіть ім\'я користувача основної бази даних');
INSERT INTO `lang_definitions` VALUES (155896, 3529, 29, 'Введіть діагноз');
INSERT INTO `lang_definitions` VALUES (155897, 3530, 29, 'Введіть препарати');
INSERT INTO `lang_definitions` VALUES (155898, 3533, 29, 'Введіть звернення');
INSERT INTO `lang_definitions` VALUES (155899, 3534, 29, 'Введіть номер звернення');
INSERT INTO `lang_definitions` VALUES (155900, 3537, 29, 'Введіть вакцинацію');
INSERT INTO `lang_definitions` VALUES (155901, 3538, 29, 'Введіть ключ');
INSERT INTO `lang_definitions` VALUES (155902, 3544, 29, 'Введіть нову область (край)');
INSERT INTO `lang_definitions` VALUES (155903, 3549, 29, 'Введіть Direct-адресу отримувача');
INSERT INTO `lang_definitions` VALUES (155904, 3569, 29, 'Введіть цей код повторної ідентифікації');
INSERT INTO `lang_definitions` VALUES (155905, 3581, 29, 'Вище введіть критерій пошуку');
INSERT INTO `lang_definitions` VALUES (155906, 3584, 29, 'Помилкове введення');
INSERT INTO `lang_definitions` VALUES (155907, 3586, 29, 'вхідні');
INSERT INTO `lang_definitions` VALUES (155908, 3591, 29, 'Навколишній');
INSERT INTO `lang_definitions` VALUES (155909, 3592, 29, 'Введення даних пояснення витрат (EOB)');
INSERT INTO `lang_definitions` VALUES (155910, 3596, 29, 'Відправлення EOB - електронні перекази');
INSERT INTO `lang_definitions` VALUES (155911, 3597, 29, 'Відправлення EOB - інструкції');
INSERT INTO `lang_definitions` VALUES (155912, 3598, 29, 'Відправлення EOB - рахунок');
INSERT INTO `lang_definitions` VALUES (155913, 3599, 29, 'Відправлення EOB - запис по пацієнтові');
INSERT INTO `lang_definitions` VALUES (155914, 3600, 29, 'Відправлення EOB - пошук');
INSERT INTO `lang_definitions` VALUES (155915, 3602, 29, 'Епілепсія');
INSERT INTO `lang_definitions` VALUES (155916, 3608, 29, 'ERA (Європейська асоціація фахівців в області захворювань нирок)');
INSERT INTO `lang_definitions` VALUES (155917, 3609, 29, 'ERA файли');
INSERT INTO `lang_definitions` VALUES (155918, 3610, 29, 'Відправлення в ERA');
INSERT INTO `lang_definitions` VALUES (155919, 3612, 29, 'Анулювати');
INSERT INTO `lang_definitions` VALUES (155920, 3614, 29, 'Ерекції');
INSERT INTO `lang_definitions` VALUES (155921, 3615, 29, 'Помилка');
INSERT INTO `lang_definitions` VALUES (155922, 3617, 29, 'Підтвердження помилки при отриманні лабораторних результатів');
INSERT INTO `lang_definitions` VALUES (155923, 3620, 29, 'Помилка отримання лабораторних результатів з Lab Exchange Network');
INSERT INTO `lang_definitions` VALUES (155924, 3621, 29, 'Помилка у виборі \"Стать\"');
INSERT INTO `lang_definitions` VALUES (155925, 3622, 29, 'Помилка у виборі \"HIPAA\"');
INSERT INTO `lang_definitions` VALUES (155926, 3623, 29, 'Помилка у виборі \"Обробка\"');
INSERT INTO `lang_definitions` VALUES (155927, 3624, 29, 'Помилка у виборі \"Шлюз SMS\"');
INSERT INTO `lang_definitions` VALUES (155928, 3625, 29, 'Помилка у виборі \"Сортувати по\"');
INSERT INTO `lang_definitions` VALUES (155929, 3626, 29, 'Помилка GZIP-стиснення файлу:');
INSERT INTO `lang_definitions` VALUES (155930, 3627, 29, 'Помилка для опції ТАК чи НІ');
INSERT INTO `lang_definitions` VALUES (155931, 3630, 29, 'Помилка відкриття для читання завантаженого файлу');
INSERT INTO `lang_definitions` VALUES (155932, 3631, 29, 'Помилка обробки файлу');
INSERT INTO `lang_definitions` VALUES (155933, 3632, 29, 'Помилка обробки вивантаження');
INSERT INTO `lang_definitions` VALUES (155934, 3633, 29, 'Помилка при видаленні повідомлення');
INSERT INTO `lang_definitions` VALUES (155935, 3634, 29, 'Помилка отримання результатів з Lab Exchange Network');
INSERT INTO `lang_definitions` VALUES (155936, 3635, 29, 'Помилка отримання значень.');
INSERT INTO `lang_definitions` VALUES (155937, 3637, 29, 'Помилка при наданні прав доступу до файлу для користувача OpenEMR.');
INSERT INTO `lang_definitions` VALUES (155938, 3640, 29, 'помилка при реєстрації форми!');
INSERT INTO `lang_definitions` VALUES (155939, 3641, 29, 'Помилка збереження в файл');
INSERT INTO `lang_definitions` VALUES (155940, 3643, 29, 'Помилка запису в файл');
INSERT INTO `lang_definitions` VALUES (155941, 3646, 29, 'в нових результатах зустрічаються помилки(а)');
INSERT INTO `lang_definitions` VALUES (155942, 3651, 29, 'Помилка, файл не існує');
INSERT INTO `lang_definitions` VALUES (155943, 3652, 29, 'ПОМИЛКА, неможливо зібрати дані з сервера');
INSERT INTO `lang_definitions` VALUES (155944, 3653, 29, 'Помилка, неможливо створити клієнтський сертифікат');
INSERT INTO `lang_definitions` VALUES (155945, 3654, 29, 'Помилка, неможливо створити сертифікат admin.p12.');
INSERT INTO `lang_definitions` VALUES (155946, 3655, 29, 'Помилка, неможливо створити довірений Центр Сертифікації.');
INSERT INTO `lang_definitions` VALUES (155947, 3656, 29, 'Помилка, неможливо створити сертифікат сервера.');
INSERT INTO `lang_definitions` VALUES (155948, 3658, 29, 'Помилка, неможливо відкрити файл');
INSERT INTO `lang_definitions` VALUES (155949, 3659, 29, 'Помилка, в OpenEMR не включена аутентифікація сертифіката користувача');
INSERT INTO `lang_definitions` VALUES (155950, 3663, 29, 'Помилка, необхідно встановити модуль php Archive/Tar.php.');
INSERT INTO `lang_definitions` VALUES (155951, 3664, 29, 'ПОМИЛКА: не вдалося відкрити table.sql, пошкоджено форму?');
INSERT INTO `lang_definitions` VALUES (155952, 3667, 29, 'Помилка: в рядку дублюється ID');
INSERT INTO `lang_definitions` VALUES (155953, 3668, 29, 'Помилка: в рядку дублюється ім\'я');
INSERT INTO `lang_definitions` VALUES (155954, 3669, 29, 'ПОМИЛКА: поле');
INSERT INTO `lang_definitions` VALUES (155955, 3670, 29, 'ПОМИЛКА: пропущений архів PHP для ZipArchive');
INSERT INTO `lang_definitions` VALUES (155956, 3671, 29, 'ПОМИЛКА: немає каталогу імпорту ICD');
INSERT INTO `lang_definitions` VALUES (155957, 3672, 29, 'Помилка: невідповідний пароль. Перевірте введені дані.');
INSERT INTO `lang_definitions` VALUES (155958, 3673, 29, 'Помилка: невідповідний пароль. Перевірте введені дані.');
INSERT INTO `lang_definitions` VALUES (155959, 3674, 29, 'Помилка: файл не існує');
INSERT INTO `lang_definitions` VALUES (155960, 3675, 29, 'ПОМИЛКА: Наступна зміна містить неприпустимі символи.');
INSERT INTO `lang_definitions` VALUES (155961, 3676, 29, 'ПОМИЛКА: неможливо скопіювати цей файл.');
INSERT INTO `lang_definitions` VALUES (155962, 3677, 29, 'Помилка: створення архіву завантаження не доступно');
INSERT INTO `lang_definitions` VALUES (155963, 3678, 29, 'Помилка: створення архіву Zip не доступно.');
INSERT INTO `lang_definitions` VALUES (155964, 3679, 29, 'ПОМИЛКА: вилучення цього файлу не доступно.');
INSERT INTO `lang_definitions` VALUES (155965, 3680, 29, 'ПОМИЛКА: завантаження цього файлу в базу даних не доступно.');
INSERT INTO `lang_definitions` VALUES (155966, 3681, 29, 'ПОМИЛКА: установка номера версії не доступна.');
INSERT INTO `lang_definitions` VALUES (155967, 3682, 29, 'Помилки');
INSERT INTO `lang_definitions` VALUES (155968, 3684, 29, 'Статус аккаунта сервісу eRx');
INSERT INTO `lang_definitions` VALUES (155969, 3685, 29, 'Журнали длясервісу eRx');
INSERT INTO `lang_definitions` VALUES (155970, 3686, 29, 'Ім\'я для сервісу eRx');
INSERT INTO `lang_definitions` VALUES (155971, 3687, 29, 'Пароль для сервісу eRx');
INSERT INTO `lang_definitions` VALUES (155972, 3688, 29, 'Роль для сервісу eRx');
INSERT INTO `lang_definitions` VALUES (155973, 3689, 29, 'Користувач сервісу eRx');
INSERT INTO `lang_definitions` VALUES (155974, 3690, 29, 'Еритема:');
INSERT INTO `lang_definitions` VALUES (155975, 3693, 29, 'Ескімоський');
INSERT INTO `lang_definitions` VALUES (155976, 3699, 29, 'Зареєстрований пацієнт');
INSERT INTO `lang_definitions` VALUES (155977, 3700, 29, 'Естонська');
INSERT INTO `lang_definitions` VALUES (155978, 3701, 29, 'Етнічна приналежність');
INSERT INTO `lang_definitions` VALUES (155979, 3702, 29, 'Етнічна приналежність або раса');
INSERT INTO `lang_definitions` VALUES (155980, 3703, 29, 'Список етносів-рас (на вибір - право записувати /добавляти)');
INSERT INTO `lang_definitions` VALUES (155981, 3706, 29, 'Електронно/паперовий ідентифікаційний номер (ETIN)');
INSERT INTO `lang_definitions` VALUES (155982, 3709, 29, 'Подія');
INSERT INTO `lang_definitions` VALUES (155983, 3710, 29, 'Початок події');
INSERT INTO `lang_definitions` VALUES (155984, 3711, 29, 'Категорія події');
INSERT INTO `lang_definitions` VALUES (155985, 3712, 29, 'Дата події');
INSERT INTO `lang_definitions` VALUES (155986, 3714, 29, 'Опис події');
INSERT INTO `lang_definitions` VALUES (155987, 3715, 29, 'Відомості про подію');
INSERT INTO `lang_definitions` VALUES (155988, 3716, 29, 'Подія не повторюється');
INSERT INTO `lang_definitions` VALUES (155989, 3717, 29, 'Тривалість події');
INSERT INTO `lang_definitions` VALUES (155990, 3718, 29, 'Тривалість події в хвилинах');
INSERT INTO `lang_definitions` VALUES (155991, 3719, 29, 'Оплата за фактом');
INSERT INTO `lang_definitions` VALUES (155992, 3720, 29, 'Місце проведення');
INSERT INTO `lang_definitions` VALUES (155993, 3721, 29, 'Подія повторюється кожні');
INSERT INTO `lang_definitions` VALUES (155994, 3722, 29, 'Подія повторюється в');
INSERT INTO `lang_definitions` VALUES (155995, 3723, 29, 'Початковий час події');
INSERT INTO `lang_definitions` VALUES (155996, 3724, 29, 'Позначення події');
INSERT INTO `lang_definitions` VALUES (155997, 3725, 29, 'Позначення події');
INSERT INTO `lang_definitions` VALUES (155998, 3726, 29, 'Фактична веб-сайт');
INSERT INTO `lang_definitions` VALUES (155999, 3727, 29, 'Події');
INSERT INTO `lang_definitions` VALUES (156000, 3728, 29, 'Події для');
INSERT INTO `lang_definitions` VALUES (156001, 3729, 29, 'Відкривати події в новому вікні');
INSERT INTO `lang_definitions` VALUES (156002, 3731, 29, 'кожен');
INSERT INTO `lang_definitions` VALUES (156003, 3732, 29, 'Кожні');
INSERT INTO `lang_definitions` VALUES (156004, 3734, 29, 'кожні 3 години');
INSERT INTO `lang_definitions` VALUES (156005, 3736, 29, 'кожні 4 години');
INSERT INTO `lang_definitions` VALUES (156006, 3738, 29, 'кожні 5 годин');
INSERT INTO `lang_definitions` VALUES (156007, 3740, 29, 'кожні 6 годин');
INSERT INTO `lang_definitions` VALUES (156008, 3742, 29, 'кожні 8 годин');
INSERT INTO `lang_definitions` VALUES (156009, 3743, 29, 'Кожен четвертий');
INSERT INTO `lang_definitions` VALUES (156010, 3745, 29, 'Кожен другий');
INSERT INTO `lang_definitions` VALUES (156011, 3746, 29, 'Кожен третій');
INSERT INTO `lang_definitions` VALUES (156012, 3747, 29, 'Кожен, кожен другий, кожен третій і т.д.');
INSERT INTO `lang_definitions` VALUES (156013, 3749, 29, 'Результати досліджень і аналізів');
INSERT INTO `lang_definitions` VALUES (156014, 3750, 29, 'Результати обстеження');
INSERT INTO `lang_definitions` VALUES (156015, 3753, 29, 'Обстеження');
INSERT INTO `lang_definitions` VALUES (156016, 3754, 29, 'Дата обстеження');
INSERT INTO `lang_definitions` VALUES (156017, 3755, 29, 'приклад');
INSERT INTO `lang_definitions` VALUES (156018, 3758, 29, 'Приклади');
INSERT INTO `lang_definitions` VALUES (156019, 3760, 29, 'Обстеження/Аналізи');
INSERT INTO `lang_definitions` VALUES (156020, 3762, 29, 'За винятком');
INSERT INTO `lang_definitions` VALUES (156021, 3763, 29, 'Сльозоточивість');
INSERT INTO `lang_definitions` VALUES (156022, 3766, 29, 'виключені пацієнти');
INSERT INTO `lang_definitions` VALUES (156023, 3767, 29, 'Виняток');
INSERT INTO `lang_definitions` VALUES (156024, 3768, 29, 'Ліцензований спеціалізована установа (EPO)');
INSERT INTO `lang_definitions` VALUES (156025, 3770, 29, 'Встановлена форма документу');
INSERT INTO `lang_definitions` VALUES (156026, 3771, 29, 'Вправа');
INSERT INTO `lang_definitions` VALUES (156027, 3772, 29, 'Приклади вправ');
INSERT INTO `lang_definitions` VALUES (156028, 3773, 29, 'Приклади вправ');
INSERT INTO `lang_definitions` VALUES (156029, 3774, 29, 'Існуючий');
INSERT INTO `lang_definitions` VALUES (156030, 3778, 29, 'Вийти з адміністрування');
INSERT INTO `lang_definitions` VALUES (156031, 3782, 29, 'Розгорнути');
INSERT INTO `lang_definitions` VALUES (156032, 3784, 29, 'Розгорнути');
INSERT INTO `lang_definitions` VALUES (156033, 3785, 29, 'розгорнути');
INSERT INTO `lang_definitions` VALUES (156034, 3787, 29, 'Розгорнути все');
INSERT INTO `lang_definitions` VALUES (156035, 3792, 29, 'Розгорнутий вигляд');
INSERT INTO `lang_definitions` VALUES (156036, 3793, 29, 'Відмітьте form_encounter.pid для ');
INSERT INTO `lang_definitions` VALUES (156037, 3794, 29, 'Термін дії');
INSERT INTO `lang_definitions` VALUES (156038, 3795, 29, 'Дата придатності');
INSERT INTO `lang_definitions` VALUES (156039, 3797, 29, 'Простерміновано');
INSERT INTO `lang_definitions` VALUES (156040, 3798, 29, 'протерміновано на');
INSERT INTO `lang_definitions` VALUES (156041, 3799, 29, 'Експорт');
INSERT INTO `lang_definitions` VALUES (156042, 3800, 29, 'Експортувати як CSV');
INSERT INTO `lang_definitions` VALUES (156043, 3802, 29, 'Експорт конфігурації');
INSERT INTO `lang_definitions` VALUES (156044, 3806, 29, 'Експорт персональних даних пацієнта');
INSERT INTO `lang_definitions` VALUES (156045, 3808, 29, 'Експорт звіту PQRI');
INSERT INTO `lang_definitions` VALUES (156046, 3810, 29, 'Експортувати вибране, як CSV');
INSERT INTO `lang_definitions` VALUES (156047, 3811, 29, 'Експортувати обране для збору');
INSERT INTO `lang_definitions` VALUES (156048, 3812, 29, 'Експортувати в CSV');
INSERT INTO `lang_definitions` VALUES (156049, 3813, 29, 'Експорт в зовнішню систему обліку рахунків');
INSERT INTO `lang_definitions` VALUES (156050, 3815, 29, 'Поїздки за кордон');
INSERT INTO `lang_definitions` VALUES (156051, 3816, 29, 'Поїздки за кордон');
INSERT INTO `lang_definitions` VALUES (156052, 3818, 29, 'Додатковий час збору');
INSERT INTO `lang_definitions` VALUES (156053, 3820, 29, 'Зовнішній');
INSERT INTO `lang_definitions` VALUES (156054, 3823, 29, 'Зовнішні дані завантажуються');
INSERT INTO `lang_definitions` VALUES (156055, 3824, 29, 'Утиліта імпорту зовнішньої бази даних');
INSERT INTO `lang_definitions` VALUES (156056, 3828, 29, 'Зовнішній ID');
INSERT INTO `lang_definitions` VALUES (156057, 3829, 29, 'Зовнішній id');
INSERT INTO `lang_definitions` VALUES (156058, 3830, 29, 'Зовнішній ідентифікатор');
INSERT INTO `lang_definitions` VALUES (156059, 3831, 29, 'Тільки зовнішній');
INSERT INTO `lang_definitions` VALUES (156060, 3834, 29, 'Зовнішнє направлення');
INSERT INTO `lang_definitions` VALUES (156061, 3835, 29, 'Контроль зовнішнього направлення');
INSERT INTO `lang_definitions` VALUES (156062, 3836, 29, 'Направлення зовнішнє?');
INSERT INTO `lang_definitions` VALUES (156063, 3837, 29, 'Зовнішні направлення');
INSERT INTO `lang_definitions` VALUES (156064, 3838, 29, 'Витягнення файлу zip');
INSERT INTO `lang_definitions` VALUES (156065, 3839, 29, 'Файл витягується. Це займе якийсь час ...');
INSERT INTO `lang_definitions` VALUES (156066, 3840, 29, 'Відокремлюване:');
INSERT INTO `lang_definitions` VALUES (156067, 3850, 29, 'Подразнення очей');
INSERT INTO `lang_definitions` VALUES (156068, 3856, 29, 'Біль в очах');
INSERT INTO `lang_definitions` VALUES (156069, 3860, 29, 'Гіперемія очей');
INSERT INTO `lang_definitions` VALUES (156070, 3863, 29, 'Очі');
INSERT INTO `lang_definitions` VALUES (156071, 3865, 29, 'F');
INSERT INTO `lang_definitions` VALUES (156072, 3866, 29, 'Сімейна історія гематологічних проблем');
INSERT INTO `lang_definitions` VALUES (156073, 3867, 29, 'Сімейна історія жіночого Гірсутизму / Розтяжок');
INSERT INTO `lang_definitions` VALUES (156074, 3868, 29, 'Медичні заклади');
INSERT INTO `lang_definitions` VALUES (156075, 3869, 29, 'Медичний заклад');
INSERT INTO `lang_definitions` VALUES (156076, 3870, 29, 'медичний заклад');
INSERT INTO `lang_definitions` VALUES (156077, 3871, 29, 'Адміністрація медзакладу');
INSERT INTO `lang_definitions` VALUES (156078, 3872, 29, 'Місто розміщення медзакладу');
INSERT INTO `lang_definitions` VALUES (156079, 3873, 29, 'Код медзакладу');
INSERT INTO `lang_definitions` VALUES (156080, 3875, 29, 'Код країни медзакладу');
INSERT INTO `lang_definitions` VALUES (156081, 3876, 29, 'Факс медзакладу');
INSERT INTO `lang_definitions` VALUES (156082, 3878, 29, 'Назва медзакладу');
INSERT INTO `lang_definitions` VALUES (156083, 3879, 29, 'Загальнодержавний номер-ідентифікатор медзакладу');
INSERT INTO `lang_definitions` VALUES (156084, 3880, 29, 'Телефон медзакладу');
INSERT INTO `lang_definitions` VALUES (156085, 3882, 29, 'Інформація про користувача специфічна для медзакладу');
INSERT INTO `lang_definitions` VALUES (156086, 3883, 29, 'Область (край) медзакладу');
INSERT INTO `lang_definitions` VALUES (156087, 3884, 29, 'Вулиця медзакладу');
INSERT INTO `lang_definitions` VALUES (156088, 3886, 29, 'Поштовий індекс медзакладу');
INSERT INTO `lang_definitions` VALUES (156089, 3888, 29, 'Медичний заклад:');
INSERT INTO `lang_definitions` VALUES (156090, 3889, 29, 'Невдача');
INSERT INTO `lang_definitions` VALUES (156091, 3890, 29, 'Невдало');
INSERT INTO `lang_definitions` VALUES (156092, 3891, 29, 'невдало');
INSERT INTO `lang_definitions` VALUES (156093, 3901, 29, 'Неадвча при створенні тимчасової папки. CouchDB не буде працювати.');
INSERT INTO `lang_definitions` VALUES (156094, 3907, 29, 'Невдало.');
INSERT INTO `lang_definitions` VALUES (156095, 3908, 29, 'збій');
INSERT INTO `lang_definitions` VALUES (156096, 3916, 29, 'Сімейний анамнез');
INSERT INTO `lang_definitions` VALUES (156097, 3918, 29, 'Сімейний анамнез по глаукомі');
INSERT INTO `lang_definitions` VALUES (156098, 3919, 29, 'Сімейний анамнез:');
INSERT INTO `lang_definitions` VALUES (156099, 3921, 29, 'Сімейна оплата');
INSERT INTO `lang_definitions` VALUES (156100, 3922, 29, 'Членів сім\'ї');
INSERT INTO `lang_definitions` VALUES (156101, 3923, 29, 'Уява');
INSERT INTO `lang_definitions` VALUES (156102, 3925, 29, 'Фарсі');
INSERT INTO `lang_definitions` VALUES (156103, 3928, 29, 'Батько');
INSERT INTO `lang_definitions` VALUES (156104, 3930, 29, 'Стомлюваність');
INSERT INTO `lang_definitions` VALUES (156105, 3931, 29, 'Стомлений');
INSERT INTO `lang_definitions` VALUES (156106, 3933, 29, 'Факс');
INSERT INTO `lang_definitions` VALUES (156107, 3934, 29, 'Кількість факсів');
INSERT INTO `lang_definitions` VALUES (156108, 3935, 29, 'Номер факсу');
INSERT INTO `lang_definitions` VALUES (156109, 3937, 29, 'Факс/сканер');
INSERT INTO `lang_definitions` VALUES (156110, 3938, 29, 'Прийняти через факс');
INSERT INTO `lang_definitions` VALUES (156111, 3939, 29, 'Надіслати через факс');
INSERT INTO `lang_definitions` VALUES (156112, 3940, 29, 'Можливості');
INSERT INTO `lang_definitions` VALUES (156113, 3941, 29, 'Лют.');
INSERT INTO `lang_definitions` VALUES (156114, 3942, 29, 'Лютий');
INSERT INTO `lang_definitions` VALUES (156115, 3943, 29, 'Номер державного страхування найманих працівників');
INSERT INTO `lang_definitions` VALUES (156116, 3944, 29, 'Державний ідентифікаційний код препарату');
INSERT INTO `lang_definitions` VALUES (156117, 3945, 29, 'Державний електронний ідентифікаційний номер');
INSERT INTO `lang_definitions` VALUES (156118, 3946, 29, 'Державний податковий ідентифікаційний код');
INSERT INTO `lang_definitions` VALUES (156119, 3948, 29, 'Плата');
INSERT INTO `lang_definitions` VALUES (156120, 3949, 29, 'плата');
INSERT INTO `lang_definitions` VALUES (156121, 3950, 29, 'Плата не дозволена');
INSERT INTO `lang_definitions` VALUES (156122, 3951, 29, 'Платіжний лист');
INSERT INTO `lang_definitions` VALUES (156123, 3953, 29, 'Варіанти платіжних відомостей');
INSERT INTO `lang_definitions` VALUES (156124, 3955, 29, 'Платежі');
INSERT INTO `lang_definitions` VALUES (156125, 3956, 29, 'Жіноча');
INSERT INTO `lang_definitions` VALUES (156126, 3957, 29, 'Жіноча стенокардія');
INSERT INTO `lang_definitions` VALUES (156127, 3958, 29, 'Жіночі презервативи');
INSERT INTO `lang_definitions` VALUES (156128, 3959, 29, 'Жіночий G');
INSERT INTO `lang_definitions` VALUES (156129, 3960, 29, 'Жіночий LC');
INSERT INTO `lang_definitions` VALUES (156130, 3961, 29, 'Жіночий P');
INSERT INTO `lang_definitions` VALUES (156131, 3962, 29, 'Жіночі симптоми');
INSERT INTO `lang_definitions` VALUES (156132, 3963, 29, 'Жіноча довільна хірургічна контрацепція');
INSERT INTO `lang_definitions` VALUES (156133, 3966, 29, 'Лихоманка');
INSERT INTO `lang_definitions` VALUES (156134, 3967, 29, 'Лихоманка:');
INSERT INTO `lang_definitions` VALUES (156135, 3968, 29, 'Сімейна історія проблем крові ');
INSERT INTO `lang_definitions` VALUES (156136, 3972, 29, 'Фіброми');
INSERT INTO `lang_definitions` VALUES (156137, 3978, 29, 'Тип поля для використання країни роботодавця або споживача в персональних даних.');
INSERT INTO `lang_definitions` VALUES (156138, 3979, 29, 'Тип поля для використання області (краю) роботодавця або споживача в персональних даних.');
INSERT INTO `lang_definitions` VALUES (156139, 3980, 29, 'Пропущено поле(я)!');
INSERT INTO `lang_definitions` VALUES (156140, 3986, 29, 'Файл');
INSERT INTO `lang_definitions` VALUES (156141, 3989, 29, 'файл в директорії Documentation для вивчення, як автоматизувати процес створення журналу резервного копіювання');
INSERT INTO `lang_definitions` VALUES (156142, 3990, 29, 'розташування файлу');
INSERT INTO `lang_definitions` VALUES (156143, 3991, 29, 'Управління файлом');
INSERT INTO `lang_definitions` VALUES (156144, 3998, 29, 'Право на файл, надане користувачеві OpenEMR.');
INSERT INTO `lang_definitions` VALUES (156145, 3999, 29, 'Невдача при отриманні файлу з CouchDB');
INSERT INTO `lang_definitions` VALUES (156146, 4000, 29, 'Реєстратура');
INSERT INTO `lang_definitions` VALUES (156147, 4001, 29, 'Файл для вивантаження');
INSERT INTO `lang_definitions` VALUES (156148, 4002, 29, 'Файл для вивантаження');
INSERT INTO `lang_definitions` VALUES (156149, 4003, 29, 'В цьому місці вже є файл з таким ім\'ям:');
INSERT INTO `lang_definitions` VALUES (156150, 4004, 29, 'Ім\'я файлу');
INSERT INTO `lang_definitions` VALUES (156151, 4006, 29, 'Файли');
INSERT INTO `lang_definitions` VALUES (156152, 4011, 29, 'Філіппінська');
INSERT INTO `lang_definitions` VALUES (156153, 4013, 29, 'Заповніть нижче будь-який з рядків');
INSERT INTO `lang_definitions` VALUES (156154, 4014, 29, 'Заповніть тут, тільки якщо відправляєте пацієнтові повідомлення через e-mail');
INSERT INTO `lang_definitions` VALUES (156155, 4023, 29, 'Заповніть значення нижче');
INSERT INTO `lang_definitions` VALUES (156156, 4025, 29, 'Заповніть цей рядок.');
INSERT INTO `lang_definitions` VALUES (156157, 4028, 29, 'Фільтр');
INSERT INTO `lang_definitions` VALUES (156158, 4029, 29, 'Фільтр для констант');
INSERT INTO `lang_definitions` VALUES (156159, 4030, 29, 'Фільтр для визначень');
INSERT INTO `lang_definitions` VALUES (156160, 4031, 29, 'фільтровано з');
INSERT INTO `lang_definitions` VALUES (156161, 4032, 29, 'Фільтри');
INSERT INTO `lang_definitions` VALUES (156162, 4033, 29, 'фільтри');
INSERT INTO `lang_definitions` VALUES (156163, 4034, 29, 'Кінцевий');
INSERT INTO `lang_definitions` VALUES (156164, 4035, 29, 'Остаточний діагноз');
INSERT INTO `lang_definitions` VALUES (156165, 4036, 29, 'Остаточний діагноз фахівця');
INSERT INTO `lang_definitions` VALUES (156166, 4038, 29, 'Фінансовий');
INSERT INTO `lang_definitions` VALUES (156167, 4039, 29, 'Дата фінансового закриття (рррр-мм-дд)');
INSERT INTO `lang_definitions` VALUES (156168, 4040, 29, 'Фінансове повідомлення – будь-яке');
INSERT INTO `lang_definitions` VALUES (156169, 4042, 29, 'Фінансове повідомлення - мої звернення');
INSERT INTO `lang_definitions` VALUES (156170, 4045, 29, 'Дата фінансового розгляду');
INSERT INTO `lang_definitions` VALUES (156171, 4046, 29, 'Фінансові підсумки по кодах послуг');
INSERT INTO `lang_definitions` VALUES (156172, 4048, 29, 'Знайти');
INSERT INTO `lang_definitions` VALUES (156173, 4049, 29, 'Знайти доступні');
INSERT INTO `lang_definitions` VALUES (156174, 4050, 29, 'Знайти доступні записи на прийом');
INSERT INTO `lang_definitions` VALUES (156175, 4053, 29, 'Знайти пацієнта');
INSERT INTO `lang_definitions` VALUES (156176, 4054, 29, 'Знайти рекомендовані матеріали для пацієнта');
INSERT INTO `lang_definitions` VALUES (156177, 4056, 29, 'Знайдене');
INSERT INTO `lang_definitions` VALUES (156178, 4057, 29, 'Знайдене по спеціалісту');
INSERT INTO `lang_definitions` VALUES (156179, 4058, 29, 'Штраф');
INSERT INTO `lang_definitions` VALUES (156180, 4060, 29, 'Остаточні платежі');
INSERT INTO `lang_definitions` VALUES (156181, 4062, 29, 'завершено');
INSERT INTO `lang_definitions` VALUES (156182, 4065, 29, 'Ім\'я');
INSERT INTO `lang_definitions` VALUES (156183, 4068, 29, 'Перший день тижня');
INSERT INTO `lang_definitions` VALUES (156184, 4071, 29, 'Ім\'я');
INSERT INTO `lang_definitions` VALUES (156185, 4072, 29, 'Ім\'я');
INSERT INTO `lang_definitions` VALUES (156186, 4073, 29, 'Ім\'я:');
INSERT INTO `lang_definitions` VALUES (156187, 4079, 29, 'Фізична підготовка');
INSERT INTO `lang_definitions` VALUES (156188, 4080, 29, 'Рівень фізичної підготовки');
INSERT INTO `lang_definitions` VALUES (156189, 4081, 29, 'Рівень фізичної підготовки для цього гравця в цей день');
INSERT INTO `lang_definitions` VALUES (156190, 4083, 29, 'Фізична підготовка до гри');
INSERT INTO `lang_definitions` VALUES (156191, 4084, 29, 'Зафіксувати дати звернення - будь-які звернення');
INSERT INTO `lang_definitions` VALUES (156192, 4086, 29, 'Зафіксуйте це');
INSERT INTO `lang_definitions` VALUES (156193, 4088, 29, 'Флорида');
INSERT INTO `lang_definitions` VALUES (156194, 4090, 29, 'Метеоризм');
INSERT INTO `lang_definitions` VALUES (156195, 4091, 29, 'Потік');
INSERT INTO `lang_definitions` VALUES (156196, 4108, 29, 'Епідемічний сезон');
INSERT INTO `lang_definitions` VALUES (156197, 4109, 29, 'Епідемічний сезон');
INSERT INTO `lang_definitions` VALUES (156198, 4110, 29, 'Щеплення від грипу');
INSERT INTO `lang_definitions` VALUES (156199, 4111, 29, 'Проблема водно-електролітного балансу');
INSERT INTO `lang_definitions` VALUES (156200, 4112, 29, 'FMS');
INSERT INTO `lang_definitions` VALUES (156201, 4113, 29, 'Розміри паперу Фоліо');
INSERT INTO `lang_definitions` VALUES (156202, 4114, 29, 'Виконати вручну');
INSERT INTO `lang_definitions` VALUES (156203, 4115, 29, 'Дотримуйтесь цих інструкцій щоб встановити чи оновити наступну базу даних');
INSERT INTO `lang_definitions` VALUES (156204, 4116, 29, 'Подальше');
INSERT INTO `lang_definitions` VALUES (156205, 4119, 29, 'Ввиявлена ​​причина');
INSERT INTO `lang_definitions` VALUES (156206, 4121, 29, 'Далі нова константа користувача:');
INSERT INTO `lang_definitions` VALUES (156207, 4122, 29, 'Далі нова мова користувача:');
INSERT INTO `lang_definitions` VALUES (156208, 4123, 29, 'Далі нове визначення (мова, константа, визначення):');
INSERT INTO `lang_definitions` VALUES (156209, 4125, 29, 'Надавані види допомоги');
INSERT INTO `lang_definitions` VALUES (156210, 4126, 29, 'Вказуються в подальшому');
INSERT INTO `lang_definitions` VALUES (156211, 4129, 29, 'Відраза до їжі');
INSERT INTO `lang_definitions` VALUES (156212, 4130, 29, 'Стопа');
INSERT INTO `lang_definitions` VALUES (156213, 4131, 29, 'Проблеми стоп');
INSERT INTO `lang_definitions` VALUES (156214, 4132, 29, 'Стопа:');
INSERT INTO `lang_definitions` VALUES (156215, 4133, 29, 'Футбольні травми');
INSERT INTO `lang_definitions` VALUES (156216, 4134, 29, 'Футбольна травма');
INSERT INTO `lang_definitions` VALUES (156217, 4135, 29, 'Повідомлення про футбольну травмі');
INSERT INTO `lang_definitions` VALUES (156218, 4136, 29, 'Тип взуття');
INSERT INTO `lang_definitions` VALUES (156219, 4137, 29, 'для');
INSERT INTO `lang_definitions` VALUES (156220, 4138, 29, 'Для');
INSERT INTO `lang_definitions` VALUES (156221, 4144, 29, 'Для коду');
INSERT INTO `lang_definitions` VALUES (156222, 4152, 29, 'Для вимог щодо поводження');
INSERT INTO `lang_definitions` VALUES (156223, 4154, 29, 'Наприклад:');
INSERT INTO `lang_definitions` VALUES (156224, 4161, 29, 'для рахунку');
INSERT INTO `lang_definitions` VALUES (156225, 4163, 29, 'Лише для Medicare, викликає консультанта як призначеного лікаря.');
INSERT INTO `lang_definitions` VALUES (156226, 4165, 29, 'місце для номеру призначення OBR');
INSERT INTO `lang_definitions` VALUES (156227, 4173, 29, 'Для напрямних установ/практикуючих лікарів');
INSERT INTO `lang_definitions` VALUES (156228, 4176, 29, 'Для минулих');
INSERT INTO `lang_definitions` VALUES (156229, 4188, 29, 'для змінних');
INSERT INTO `lang_definitions` VALUES (156230, 4189, 29, 'для:');
INSERT INTO `lang_definitions` VALUES (156231, 4190, 29, 'Примусове відкриття білінгового віджету');
INSERT INTO `lang_definitions` VALUES (156232, 4191, 29, 'Примусове оформлення нового пацієнта');
INSERT INTO `lang_definitions` VALUES (156233, 4193, 29, 'Примусовий показ');
INSERT INTO `lang_definitions` VALUES (156234, 4194, 29, 'Передпліччя');
INSERT INTO `lang_definitions` VALUES (156235, 4195, 29, 'Форма');
INSERT INTO `lang_definitions` VALUES (156236, 4196, 29, 'форма');
INSERT INTO `lang_definitions` VALUES (156237, 4201, 29, 'Формат');
INSERT INTO `lang_definitions` VALUES (156238, 4202, 29, 'формат');
INSERT INTO `lang_definitions` VALUES (156239, 4203, 29, 'Формат відображення віку');
INSERT INTO `lang_definitions` VALUES (156240, 4204, 29, 'Неправильний формат для державного коду медпрепарату (NDC)');
INSERT INTO `lang_definitions` VALUES (156241, 4205, 29, 'Формат, який використовується для відображення більшості дат.');
INSERT INTO `lang_definitions` VALUES (156242, 4206, 29, 'Формат, який використовується для відображення більшості часових інтервалів.');
INSERT INTO `lang_definitions` VALUES (156243, 4207, 29, 'Відформатований звіт');
INSERT INTO `lang_definitions` VALUES (156244, 4208, 29, 'Колишній курець');
INSERT INTO `lang_definitions` VALUES (156245, 4209, 29, 'Форми');
INSERT INTO `lang_definitions` VALUES (156246, 4210, 29, 'Управління формами');
INSERT INTO `lang_definitions` VALUES (156247, 4215, 29, 'Вперед');
INSERT INTO `lang_definitions` VALUES (156248, 4219, 29, 'Переслати факсом');
INSERT INTO `lang_definitions` VALUES (156249, 4222, 29, 'Перенаправлений');
INSERT INTO `lang_definitions` VALUES (156250, 4225, 29, 'Четвертий');
INSERT INTO `lang_definitions` VALUES (156251, 4227, 29, 'Перелом');
INSERT INTO `lang_definitions` VALUES (156252, 4228, 29, 'Перелом човноподібної кістки');
INSERT INTO `lang_definitions` VALUES (156253, 4229, 29, 'Перелом латеральної щиколотки');
INSERT INTO `lang_definitions` VALUES (156254, 4230, 29, 'Перелом медіальної кісточки');
INSERT INTO `lang_definitions` VALUES (156255, 4231, 29, 'Перелом основа п\'ятої (5-й) метатарсальной кістки');
INSERT INTO `lang_definitions` VALUES (156256, 4233, 29, 'Вимагається підтримка фреймів');
INSERT INTO `lang_definitions` VALUES (156257, 4235, 29, 'Французька');
INSERT INTO `lang_definitions` VALUES (156258, 4236, 29, 'Французька (канадійська)');
INSERT INTO `lang_definitions` VALUES (156259, 4237, 29, 'Французька (стандартна)');
INSERT INTO `lang_definitions` VALUES (156260, 4238, 29, 'Частота');
INSERT INTO `lang_definitions` VALUES (156261, 4239, 29, 'Часті застуди');
INSERT INTO `lang_definitions` VALUES (156262, 4240, 29, 'Часті захворювання');
INSERT INTO `lang_definitions` VALUES (156263, 4241, 29, 'Пт');
INSERT INTO `lang_definitions` VALUES (156264, 4242, 29, 'П\'ятниця');
INSERT INTO `lang_definitions` VALUES (156265, 4244, 29, 'З');
INSERT INTO `lang_definitions` VALUES (156266, 4245, 29, 'З');
INSERT INTO `lang_definitions` VALUES (156267, 4246, 29, 'від');
INSERT INTO `lang_definitions` VALUES (156268, 4247, 29, 'Дата \"з\" не може бути пізніше дати \"по\".');
INSERT INTO `lang_definitions` VALUES (156269, 4253, 29, 'З:');
INSERT INTO `lang_definitions` VALUES (156270, 4254, 29, 'З:');
INSERT INTO `lang_definitions` VALUES (156271, 4255, 29, 'З_МІСТО');
INSERT INTO `lang_definitions` VALUES (156272, 4257, 29, 'З_ІМ\'Я');
INSERT INTO `lang_definitions` VALUES (156273, 4258, 29, 'З_ПРІЗВИЩЕ');
INSERT INTO `lang_definitions` VALUES (156274, 4259, 29, 'З_ПО-БАТЬКОВІ');
INSERT INTO `lang_definitions` VALUES (156275, 4261, 29, 'З_ТЕЛЕФОН');
INSERT INTO `lang_definitions` VALUES (156276, 4262, 29, 'З_ПОШТОВА_АДРЕСА');
INSERT INTO `lang_definitions` VALUES (156277, 4263, 29, 'З_ШТАТ');
INSERT INTO `lang_definitions` VALUES (156278, 4264, 29, 'З_ВУЛИЦЯ');
INSERT INTO `lang_definitions` VALUES (156279, 4265, 29, 'З_НАЗВА');
INSERT INTO `lang_definitions` VALUES (156280, 4266, 29, 'З_ПРОЩАННЯ');
INSERT INTO `lang_definitions` VALUES (156281, 4267, 29, 'Реєстратура');
INSERT INTO `lang_definitions` VALUES (156282, 4268, 29, 'Прийом в реєстратурі');
INSERT INTO `lang_definitions` VALUES (156283, 4269, 29, 'Звіт про прийом в реєстратурі');
INSERT INTO `lang_definitions` VALUES (156284, 4270, 29, 'Первинний запис');
INSERT INTO `lang_definitions` VALUES (156285, 4271, 29, 'Передній правий');
INSERT INTO `lang_definitions` VALUES (156286, 4278, 29, 'Повне ім\'я');
INSERT INTO `lang_definitions` VALUES (156287, 4280, 29, 'Повний шлях до каталогу, що містить виконувані файли MySQL.');
INSERT INTO `lang_definitions` VALUES (156288, 4281, 29, 'Повний шлях до каталогу, що містить виконувані файли Perl.');
INSERT INTO `lang_definitions` VALUES (156289, 4282, 29, 'Повний шлях до каталогу для резервної копії журналу подій.');
INSERT INTO `lang_definitions` VALUES (156290, 4283, 29, 'Повний шлях до каталогу для тимчасових файлів.');
INSERT INTO `lang_definitions` VALUES (156291, 4284, 29, 'Повне відтворення');
INSERT INTO `lang_definitions` VALUES (156292, 4286, 29, 'Повне навчання');
INSERT INTO `lang_definitions` VALUES (156293, 4288, 29, 'Повна оплата');
INSERT INTO `lang_definitions` VALUES (156294, 4298, 29, 'Г');
INSERT INTO `lang_definitions` VALUES (156295, 4299, 29, 'г/дл');
INSERT INTO `lang_definitions` VALUES (156296, 4302, 29, 'Стан жовчного міхура');
INSERT INTO `lang_definitions` VALUES (156297, 4303, 29, 'Жовчно-кам\'яна хвороба');
INSERT INTO `lang_definitions` VALUES (156298, 4304, 29, 'Тривалість відтворення');
INSERT INTO `lang_definitions` VALUES (156299, 4305, 29, 'Ігри');
INSERT INTO `lang_definitions` VALUES (156300, 4306, 29, 'Ігри пропущено');
INSERT INTO `lang_definitions` VALUES (156301, 4307, 29, 'ігри/події');
INSERT INTO `lang_definitions` VALUES (156302, 4308, 29, 'Ігри/події пропущено');
INSERT INTO `lang_definitions` VALUES (156303, 4310, 29, 'Гастрит');
INSERT INTO `lang_definitions` VALUES (156304, 4311, 29, 'Біль при гастриті');
INSERT INTO `lang_definitions` VALUES (156305, 4312, 29, 'Органи шлунково-кишкового тракту');
INSERT INTO `lang_definitions` VALUES (156306, 4316, 29, 'Статистичний звіт GCAC');
INSERT INTO `lang_definitions` VALUES (156307, 4317, 29, 'Статистика GCAC');
INSERT INTO `lang_definitions` VALUES (156308, 4318, 29, 'Форма відвідування GCAC пропущена');
INSERT INTO `lang_definitions` VALUES (156309, 4319, 29, 'Стать');
INSERT INTO `lang_definitions` VALUES (156310, 4320, 29, 'Стать');
INSERT INTO `lang_definitions` VALUES (156311, 4321, 29, 'Загальне');
INSERT INTO `lang_definitions` VALUES (156312, 4323, 29, 'Загальний список проблем');
INSERT INTO `lang_definitions` VALUES (156313, 4325, 29, 'Категорія основної послуги');
INSERT INTO `lang_definitions` VALUES (156314, 4332, 29, 'Створити і завантажити паперову вимога CMS 1500');
INSERT INTO `lang_definitions` VALUES (156315, 4334, 29, 'Створити і завантажити паперові вимогу HCFA 1500');
INSERT INTO `lang_definitions` VALUES (156316, 4337, 29, 'Створити і завантажити пакет X12');
INSERT INTO `lang_definitions` VALUES (156317, 4338, 29, 'Створити і завантажити пакет X12 для звернення');
INSERT INTO `lang_definitions` VALUES (156318, 4341, 29, 'Створює і передає в електронному вигляді дозволені призначення.');
INSERT INTO `lang_definitions` VALUES (156319, 4342, 29, 'Створити CMS 1500');
INSERT INTO `lang_definitions` VALUES (156320, 4343, 29, 'Створити CMS 1500 PDF');
INSERT INTO `lang_definitions` VALUES (156321, 4344, 29, 'Створити CMS 1500 TEXT');
INSERT INTO `lang_definitions` VALUES (156322, 4345, 29, 'Створити HCFA');
INSERT INTO `lang_definitions` VALUES (156323, 4347, 29, 'Створити рахунок');
INSERT INTO `lang_definitions` VALUES (156324, 4348, 29, 'Створити лист');
INSERT INTO `lang_definitions` VALUES (156325, 4349, 29, 'Створити лист з питання');
INSERT INTO `lang_definitions` VALUES (156326, 4351, 29, 'Створити звіт PQRI (Метод A)');
INSERT INTO `lang_definitions` VALUES (156327, 4353, 29, 'Створити звіт PQRI (Метод E)');
INSERT INTO `lang_definitions` VALUES (156328, 4357, 29, 'Створити звіт');
INSERT INTO `lang_definitions` VALUES (156329, 4365, 29, 'Створює ім\'я користувача та пароль для');
INSERT INTO `lang_definitions` VALUES (156330, 4366, 29, 'Створити X12');
INSERT INTO `lang_definitions` VALUES (156331, 4368, 29, 'Створити звернення X12');
INSERT INTO `lang_definitions` VALUES (156332, 4370, 29, 'Створити в');
INSERT INTO `lang_definitions` VALUES (156333, 4372, 29, 'Створено');
INSERT INTO `lang_definitions` VALUES (156334, 4377, 29, 'Сечостатева');
INSERT INTO `lang_definitions` VALUES (156335, 4381, 29, 'Німецька');
INSERT INTO `lang_definitions` VALUES (156336, 4386, 29, 'Отримати HL7');
INSERT INTO `lang_definitions` VALUES (156337, 4392, 29, 'Глаукома');
INSERT INTO `lang_definitions` VALUES (156338, 4393, 29, 'Сімейний анамнез по глаукомі');
INSERT INTO `lang_definitions` VALUES (156339, 4395, 29, 'Глобальне');
INSERT INTO `lang_definitions` VALUES (156340, 4398, 29, 'Глобальний ID');
INSERT INTO `lang_definitions` VALUES (156341, 4399, 29, 'Глобальні налаштування');
INSERT INTO `lang_definitions` VALUES (156342, 4400, 29, 'Глобальні змінні');
INSERT INTO `lang_definitions` VALUES (156343, 4401, 29, 'гр/дл');
INSERT INTO `lang_definitions` VALUES (156344, 4403, 29, 'Далі');
INSERT INTO `lang_definitions` VALUES (156345, 4404, 29, 'далі');
INSERT INTO `lang_definitions` VALUES (156346, 4407, 29, 'Перейти в');
INSERT INTO `lang_definitions` VALUES (156347, 4417, 29, 'Перейти до тижня');
INSERT INTO `lang_definitions` VALUES (156348, 4418, 29, 'Перейти до сьогодні');
INSERT INTO `lang_definitions` VALUES (156349, 4419, 29, 'Мета А');
INSERT INTO `lang_definitions` VALUES (156350, 4420, 29, 'Мета і методи');
INSERT INTO `lang_definitions` VALUES (156351, 4421, 29, 'Мета В');
INSERT INTO `lang_definitions` VALUES (156352, 4422, 29, 'Мета С');
INSERT INTO `lang_definitions` VALUES (156353, 4428, 29, 'Тяжкість травми');
INSERT INTO `lang_definitions` VALUES (156354, 4429, 29, 'Ступінь');
INSERT INTO `lang_definitions` VALUES (156355, 4430, 29, 'грами');
INSERT INTO `lang_definitions` VALUES (156356, 4431, 29, 'Загальна сума');
INSERT INTO `lang_definitions` VALUES (156357, 4432, 29, 'Загальні суми');
INSERT INTO `lang_definitions` VALUES (156358, 4435, 29, 'Выдображається графічно');
INSERT INTO `lang_definitions` VALUES (156359, 4437, 29, 'Більше, ніж');
INSERT INTO `lang_definitions` VALUES (156360, 4438, 29, 'Більше, ніж або дорівнює');
INSERT INTO `lang_definitions` VALUES (156361, 4439, 29, 'Грецька');
INSERT INTO `lang_definitions` VALUES (156362, 4442, 29, 'Група');
INSERT INTO `lang_definitions` VALUES (156363, 4459, 29, 'Ім\'я групи');
INSERT INTO `lang_definitions` VALUES (156364, 4460, 29, 'Імена груп не можуть бути порожніми');
INSERT INTO `lang_definitions` VALUES (156365, 4461, 29, 'Імена групи не можуть починатися з числа або пробілу.');
INSERT INTO `lang_definitions` VALUES (156366, 4462, 29, 'Імена групи не можуть починатися з чисел.');
INSERT INTO `lang_definitions` VALUES (156367, 4463, 29, 'Номер групи');
INSERT INTO `lang_definitions` VALUES (156368, 4465, 29, 'Групова оплата');
INSERT INTO `lang_definitions` VALUES (156369, 4471, 29, 'Група:');
INSERT INTO `lang_definitions` VALUES (156370, 4472, 29, 'Ім\'я групи');
INSERT INTO `lang_definitions` VALUES (156371, 4475, 29, 'Групи і керування доступом');
INSERT INTO `lang_definitions` VALUES (156372, 4476, 29, 'Крива зростання');
INSERT INTO `lang_definitions` VALUES (156373, 4477, 29, 'Діаграма зростання');
INSERT INTO `lang_definitions` VALUES (156374, 4478, 29, 'gtts (краплі)');
INSERT INTO `lang_definitions` VALUES (156375, 4479, 29, 'Гуамській');
INSERT INTO `lang_definitions` VALUES (156376, 4484, 29, 'Прізвище опікуна');
INSERT INTO `lang_definitions` VALUES (156377, 4489, 29, 'Гінекологічне обстеження');
INSERT INTO `lang_definitions` VALUES (156378, 4490, 29, 'год.');
INSERT INTO `lang_definitions` VALUES (156379, 4492, 29, 'час сну');
INSERT INTO `lang_definitions` VALUES (156380, 4493, 29, 'H/O Гепатити ');
INSERT INTO `lang_definitions` VALUES (156381, 4494, 29, 'був успішно знищений. Будь-які підкатегорії,якщо представлені, були переміщені нижче');
INSERT INTO `lang_definitions` VALUES (156382, 4495, 29, 'Гематома / забій');
INSERT INTO `lang_definitions` VALUES (156383, 4496, 29, 'Стан інгібування гемаглютинації');
INSERT INTO `lang_definitions` VALUES (156384, 4499, 29, 'Рука+ пальці');
INSERT INTO `lang_definitions` VALUES (156385, 4500, 29, 'Проблеми рук');
INSERT INTO `lang_definitions` VALUES (156386, 4505, 29, 'Жорсткий диск');
INSERT INTO `lang_definitions` VALUES (156387, 4506, 29, 'Без труднощів');
INSERT INTO `lang_definitions` VALUES (156388, 4507, 29, 'було зв\'язано з відвідуванням');
INSERT INTO `lang_definitions` VALUES (156389, 4508, 29, 'з вичерпаним терміном');
INSERT INTO `lang_definitions` VALUES (156390, 4509, 29, 'Хеш');
INSERT INTO `lang_definitions` VALUES (156391, 4511, 29, 'Для цього файлу хеш не існує. Буде створений новий хеш.');
INSERT INTO `lang_definitions` VALUES (156392, 4512, 29, 'Хеш не співпадає. Цілісність даних була скомпрометована.');
INSERT INTO `lang_definitions` VALUES (156393, 4515, 29, 'Гавайський');
INSERT INTO `lang_definitions` VALUES (156394, 4516, 29, 'Небезпечна діяльність');
INSERT INTO `lang_definitions` VALUES (156395, 4517, 29, 'Небезпечна діяльність');
INSERT INTO `lang_definitions` VALUES (156396, 4521, 29, 'Ліве поле HCFA в точках');
INSERT INTO `lang_definitions` VALUES (156397, 4522, 29, 'Поля HCFA');
INSERT INTO `lang_definitions` VALUES (156398, 4523, 29, 'Верхнє поле HCFA в точках');
INSERT INTO `lang_definitions` VALUES (156399, 4524, 29, 'HCPCS Процедура/Послуга');
INSERT INTO `lang_definitions` VALUES (156400, 4527, 29, 'він вніс в календар');
INSERT INTO `lang_definitions` VALUES (156401, 4528, 29, 'Голова');
INSERT INTO `lang_definitions` VALUES (156402, 4529, 29, 'Окр. голови');
INSERT INTO `lang_definitions` VALUES (156403, 4530, 29, 'Окружність голови');
INSERT INTO `lang_definitions` VALUES (156404, 4531, 29, 'Головний біль');
INSERT INTO `lang_definitions` VALUES (156405, 4532, 29, 'Головні болі');
INSERT INTO `lang_definitions` VALUES (156406, 4534, 29, 'Медичні операції');
INSERT INTO `lang_definitions` VALUES (156407, 4535, 29, 'Заходи з охорони здоров\'я');
INSERT INTO `lang_definitions` VALUES (156408, 4537, 29, 'Медичний центр / клініка');
INSERT INTO `lang_definitions` VALUES (156409, 4540, 29, 'Установа з надання медичної допомоги');
INSERT INTO `lang_definitions` VALUES (156410, 4541, 29, 'Страховий ризик для установ з надання медичної допомоги');
INSERT INTO `lang_definitions` VALUES (156411, 4542, 29, 'Втрата слуху');
INSERT INTO `lang_definitions` VALUES (156412, 4543, 29, 'інфаркт міокарда');
INSERT INTO `lang_definitions` VALUES (156413, 4544, 29, 'Вада серця');
INSERT INTO `lang_definitions` VALUES (156414, 4545, 29, 'Серцева недостатність');
INSERT INTO `lang_definitions` VALUES (156415, 4546, 29, 'Кардіальна проблема');
INSERT INTO `lang_definitions` VALUES (156416, 4547, 29, 'Кардіальні проблеми');
INSERT INTO `lang_definitions` VALUES (156417, 4548, 29, 'Кардіохірургія');
INSERT INTO `lang_definitions` VALUES (156418, 4549, 29, 'Пересадка серця');
INSERT INTO `lang_definitions` VALUES (156419, 4550, 29, 'СЕРЦЕ:');
INSERT INTO `lang_definitions` VALUES (156420, 4551, 29, 'Печія');
INSERT INTO `lang_definitions` VALUES (156421, 4552, 29, 'Жар або остуда');
INSERT INTO `lang_definitions` VALUES (156422, 4553, 29, 'Жар або остуда');
INSERT INTO `lang_definitions` VALUES (156423, 4554, 29, 'Завзятий курець');
INSERT INTO `lang_definitions` VALUES (156424, 4555, 29, 'Іврит');
INSERT INTO `lang_definitions` VALUES (156425, 4557, 29, 'ЛОР');
INSERT INTO `lang_definitions` VALUES (156426, 4558, 29, 'Ріст');
INSERT INTO `lang_definitions` VALUES (156427, 4560, 29, 'Довідка');
INSERT INTO `lang_definitions` VALUES (156428, 4561, 29, 'довідка');
INSERT INTO `lang_definitions` VALUES (156429, 4563, 29, 'Блювота кров\'ю');
INSERT INTO `lang_definitions` VALUES (156430, 4564, 29, 'Кров\'яні випорожнення');
INSERT INTO `lang_definitions` VALUES (156431, 4565, 29, 'Гематологія');
INSERT INTO `lang_definitions` VALUES (156432, 4566, 29, 'Гематурія');
INSERT INTO `lang_definitions` VALUES (156433, 4567, 29, 'Гемоглобін');
INSERT INTO `lang_definitions` VALUES (156434, 4568, 29, 'Гемоглобін А1С');
INSERT INTO `lang_definitions` VALUES (156435, 4569, 29, 'Кровохаркання');
INSERT INTO `lang_definitions` VALUES (156436, 4570, 29, 'Гепатит');
INSERT INTO `lang_definitions` VALUES (156437, 4571, 29, 'Гепатит А 1');
INSERT INTO `lang_definitions` VALUES (156438, 4572, 29, 'Гепатит А 2');
INSERT INTO `lang_definitions` VALUES (156439, 4573, 29, 'Гепатит В 1');
INSERT INTO `lang_definitions` VALUES (156440, 4574, 29, 'Гепатит В 2');
INSERT INTO `lang_definitions` VALUES (156441, 4575, 29, 'Гепатит В 3');
INSERT INTO `lang_definitions` VALUES (156442, 4576, 29, 'тут');
INSERT INTO `lang_definitions` VALUES (156443, 4580, 29, 'Герніопластика');
INSERT INTO `lang_definitions` VALUES (156444, 4581, 29, 'Грижа диску');
INSERT INTO `lang_definitions` VALUES (156445, 4582, 29, 'Герпес');
INSERT INTO `lang_definitions` VALUES (156446, 4585, 29, 'Утруднений початок сечовипускання');
INSERT INTO `lang_definitions` VALUES (156447, 4586, 29, 'гей, Ви тут для');
INSERT INTO `lang_definitions` VALUES (156448, 4587, 29, 'Hib-вакцина 1');
INSERT INTO `lang_definitions` VALUES (156449, 4588, 29, 'Hib-вакцина 2');
INSERT INTO `lang_definitions` VALUES (156450, 4589, 29, 'Hib-вакцина 3');
INSERT INTO `lang_definitions` VALUES (156451, 4590, 29, 'Hib-вакцина 4');
INSERT INTO `lang_definitions` VALUES (156452, 4591, 29, 'Прихований');
INSERT INTO `lang_definitions` VALUES (156453, 4592, 29, 'Управління прихованими подіями');
INSERT INTO `lang_definitions` VALUES (156454, 4593, 29, 'Приховати');
INSERT INTO `lang_definitions` VALUES (156455, 4595, 29, 'Приховати деталі');
INSERT INTO `lang_definitions` VALUES (156456, 4597, 29, 'Приховати опції шифрування/дешифрування у керуванні документом');
INSERT INTO `lang_definitions` VALUES (156457, 4599, 29, 'Приховати меню');
INSERT INTO `lang_definitions` VALUES (156458, 4601, 29, 'Приховати нагадування');
INSERT INTO `lang_definitions` VALUES (156459, 4603, 29, 'Приховати/показати стовпці');
INSERT INTO `lang_definitions` VALUES (156460, 4605, 29, 'Висока');
INSERT INTO `lang_definitions` VALUES (156461, 4607, 29, 'Підвищений артеріальний тиск');
INSERT INTO `lang_definitions` VALUES (156462, 4609, 29, 'Хінді');
INSERT INTO `lang_definitions` VALUES (156463, 4610, 29, 'Стегно+пах');
INSERT INTO `lang_definitions` VALUES (156464, 4611, 29, 'Стегно і пах');
INSERT INTO `lang_definitions` VALUES (156465, 4612, 29, 'Проблеми стегна');
INSERT INTO `lang_definitions` VALUES (156466, 4613, 29, 'Заміщення тазостегнового суглоба');
INSERT INTO `lang_definitions` VALUES (156467, 4615, 29, 'Отримувати повідомлення HIPAA (звітність і безпека медичного страхування)');
INSERT INTO `lang_definitions` VALUES (156468, 4617, 29, 'Гірсутизм/Стріе');
INSERT INTO `lang_definitions` VALUES (156469, 4618, 29, 'Латиноамериканець');
INSERT INTO `lang_definitions` VALUES (156470, 4619, 29, 'Латиноамериканець - інше (народжений у США)');
INSERT INTO `lang_definitions` VALUES (156471, 4620, 29, 'Латиноамериканець - інше (народжений не у США)');
INSERT INTO `lang_definitions` VALUES (156472, 4621, 29, 'Латиноамериканець або Латино');
INSERT INTO `lang_definitions` VALUES (156473, 4623, 29, 'Хронологія');
INSERT INTO `lang_definitions` VALUES (156474, 4629, 29, 'Дата збору анамнезу');
INSERT INTO `lang_definitions` VALUES (156475, 4630, 29, 'Дата анамнезу');
INSERT INTO `lang_definitions` VALUES (156476, 4632, 29, 'Шум в анамнезі');
INSERT INTO `lang_definitions` VALUES (156477, 4633, 29, 'Хронологія не дозволена');
INSERT INTO `lang_definitions` VALUES (156478, 4634, 29, 'Анамнез шуму серця');
INSERT INTO `lang_definitions` VALUES (156479, 4638, 29, 'Співпадіння');
INSERT INTO `lang_definitions` VALUES (156480, 4639, 29, 'ВІЛ');
INSERT INTO `lang_definitions` VALUES (156481, 4649, 29, 'Оглядач HL7');
INSERT INTO `lang_definitions` VALUES (156482, 4651, 29, 'нмоль/л');
INSERT INTO `lang_definitions` VALUES (156483, 4652, 29, 'Хмонг');
INSERT INTO `lang_definitions` VALUES (156484, 4653, 29, 'Утримуйте Ctrl для вибору декількох елементів');
INSERT INTO `lang_definitions` VALUES (156485, 4655, 29, 'Утримуйте Ctrl для вибору декількох груп');
INSERT INTO `lang_definitions` VALUES (156486, 4656, 29, 'Утримуйте [Ctrl] для множинного вибору або для зняття вибору');
INSERT INTO `lang_definitions` VALUES (156487, 4658, 29, 'На головну');
INSERT INTO `lang_definitions` VALUES (156488, 4659, 29, 'Домашній телефон');
INSERT INTO `lang_definitions` VALUES (156489, 4660, 29, 'Номер домашнього телефону');
INSERT INTO `lang_definitions` VALUES (156490, 4662, 29, 'Бездомний або подібне?');
INSERT INTO `lang_definitions` VALUES (156491, 4664, 29, 'Бездомний і т.д.');
INSERT INTO `lang_definitions` VALUES (156492, 4665, 29, 'Бездомний і т.д.');
INSERT INTO `lang_definitions` VALUES (156493, 4674, 29, 'Ім\'я вузла');
INSERT INTO `lang_definitions` VALUES (156494, 4675, 29, 'Ім\'я вузла не може бути порожнім');
INSERT INTO `lang_definitions` VALUES (156495, 4677, 29, 'Година');
INSERT INTO `lang_definitions` VALUES (156496, 4678, 29, 'Години');
INSERT INTO `lang_definitions` VALUES (156497, 4681, 29, 'Як сталася травма?');
INSERT INTO `lang_definitions` VALUES (156498, 4682, 29, 'Як сталася травма?');
INSERT INTO `lang_definitions` VALUES (156499, 4683, 29, 'Як Ви дізналися про нас?');
INSERT INTO `lang_definitions` VALUES (156500, 4685, 29, 'Скільки місяців передуватимуть майбутнім заходам?');
INSERT INTO `lang_definitions` VALUES (156501, 4692, 29, 'Анамнез супутніх захворювань:');
INSERT INTO `lang_definitions` VALUES (156502, 4694, 29, 'Пересадка серця');
INSERT INTO `lang_definitions` VALUES (156503, 4695, 29, 'HTML');
INSERT INTO `lang_definitions` VALUES (156504, 4696, 29, 'HTML вивід?');
INSERT INTO `lang_definitions` VALUES (156505, 4699, 29, 'Https посилання для підтримки OpenEMR службою лаб. обміну LLC.');
INSERT INTO `lang_definitions` VALUES (156506, 4701, 29, 'Угорська');
INSERT INTO `lang_definitions` VALUES (156507, 4702, 29, 'Каталог Hylafax');
INSERT INTO `lang_definitions` VALUES (156508, 4703, 29, 'Команда шифрування Hylafax');
INSERT INTO `lang_definitions` VALUES (156509, 4704, 29, 'Сервер Hylafax');
INSERT INTO `lang_definitions` VALUES (156510, 4705, 29, 'Ім\'я вузла сервера Hylafax');
INSERT INTO `lang_definitions` VALUES (156511, 4706, 29, 'Гиперактивний');
INSERT INTO `lang_definitions` VALUES (156512, 4708, 29, 'Гіпертензія');
INSERT INTO `lang_definitions` VALUES (156513, 4709, 29, 'Артеріальна гіпертензія: одиниця виміру артеріального тиску');
INSERT INTO `lang_definitions` VALUES (156514, 4710, 29, 'Артеріальна гіпертензія: одиниця виміру артеріального тиску (CQM)');
INSERT INTO `lang_definitions` VALUES (156515, 4711, 29, 'Гіпертиреоз');
INSERT INTO `lang_definitions` VALUES (156516, 4713, 29, 'Гіпертиреоз');
INSERT INTO `lang_definitions` VALUES (156517, 4716, 29, 'Гістеректомия');
INSERT INTO `lang_definitions` VALUES (156518, 4717, 29, 'Я');
INSERT INTO `lang_definitions` VALUES (156519, 4718, 29, 'Я зайнятий в цей період часу.');
INSERT INTO `lang_definitions` VALUES (156520, 4719, 29, 'У мене немає доступу на читання');
INSERT INTO `lang_definitions` VALUES (156521, 4724, 29, 'МКХ');
INSERT INTO `lang_definitions` VALUES (156522, 4725, 29, 'МКХ10 Діагноз');
INSERT INTO `lang_definitions` VALUES (156523, 4726, 29, 'МКХ10 Процедура/Послуга');
INSERT INTO `lang_definitions` VALUES (156524, 4727, 29, 'МКХ9');
INSERT INTO `lang_definitions` VALUES (156525, 4728, 29, 'МКХ9 Діагноз');
INSERT INTO `lang_definitions` VALUES (156526, 4729, 29, 'МКХ9 Процедура/Послуга');
INSERT INTO `lang_definitions` VALUES (156527, 4734, 29, 'ID');
INSERT INTO `lang_definitions` VALUES (156528, 4736, 29, 'Id');
INSERT INTO `lang_definitions` VALUES (156529, 4738, 29, 'ID не може бути порожнім');
INSERT INTO `lang_definitions` VALUES (156530, 4739, 29, 'ID Картка');
INSERT INTO `lang_definitions` VALUES (156531, 4742, 29, 'ID дні');
INSERT INTO `lang_definitions` VALUES (156532, 4743, 29, 'ідентифікувати як');
INSERT INTO `lang_definitions` VALUES (156533, 4745, 29, 'ідентифікатор (одне слово)');
INSERT INTO `lang_definitions` VALUES (156534, 4746, 29, 'Ідентифікаційний код');
INSERT INTO `lang_definitions` VALUES (156535, 4747, 29, 'Секунд сесійного простою');
INSERT INTO `lang_definitions` VALUES (156536, 4755, 29, 'Якщо для цієї форми всі дані для всіх стовпців заповнені');
INSERT INTO `lang_definitions` VALUES (156537, 4757, 29, 'При використанні білінгової реабілітації введіть найменування типу коду для діагнозу.');
INSERT INTO `lang_definitions` VALUES (156538, 4763, 29, 'якщо вводите, то вибирайте лише ті, які мають цю службу');
INSERT INTO `lang_definitions` VALUES (156539, 4765, 29, 'Якщо найменування, то будь-яка частина прізвища або прізвище, ім\'я');
INSERT INTO `lang_definitions` VALUES (156540, 4770, 29, 'якщо оплачено через');
INSERT INTO `lang_definitions` VALUES (156541, 4771, 29, 'Якщо людина померла, то введіть дату смерті.');
INSERT INTO `lang_definitions` VALUES (156542, 4775, 29, 'При використанні SMTP ім\'я вузла сервера або ІР адреса');
INSERT INTO `lang_definitions` VALUES (156543, 4776, 29, 'При використанні SMTP номер порту TCP сервера (зазвичай 25).');
INSERT INTO `lang_definitions` VALUES (156544, 4803, 29, 'якщо не працює, то введіть Student');
INSERT INTO `lang_definitions` VALUES (156545, 4805, 29, 'Якщо РМД вибрано для відображення віку, перейдіть лише на Роки, якщо пацієнти старше цього значення в роках');
INSERT INTO `lang_definitions` VALUES (156546, 4814, 29, 'Якщо Ви змінюєте e-RX Role для ePrescription, то це може вплинути на технологічний процес ePrescription. Якщо ви стикаєтеся з будь-якими труднощами, контактуйте зі своїм ePrescription постачальником.');
INSERT INTO `lang_definitions` VALUES (156547, 4833, 29, 'Якщо Ви вибрали завантаження електронних грошових переказів, то потім вікно пошуку відображається повторно з відповідними рахунками з файлу X 12. Ви можете клікнути будь-який номер цього рахунку (як описано нижче), якщо Ви бажаєте зробити які-небудь коректування перед тим, як інформація грошового переказу буде застосована. Щоб застосувати зміни, клацають кнопку Обробити ERA Файл внизу сторінки. Це відкриє нове вікно з детальним повідомленням.');
INSERT INTO `lang_definitions` VALUES (156548, 4836, 29, 'Якщо Ви ввели дату оплати на сторінці пошуку, це перевизначить дату обліку платежів і коректування, що взяті з файлу X12. Такі дії можуть виявитися зручними для звітності, якщо Вам потрібно чеки, де зазначено вашу дата надсилання замість дати обробки страховою компанією. Зауважте, що це також впливатиме на дати попередніх платежів і коректувань, що розміщені у вторинній заявці.');
INSERT INTO `lang_definitions` VALUES (156549, 4850, 29, 'Якщо потрібно змінити типи даних або додати рядки або стовпці');
INSERT INTO `lang_definitions` VALUES (156550, 4851, 29, 'Якщо потрібно модернізувати базу даних, то перемістіть файл zip бази даних в наступну директорію');
INSERT INTO `lang_definitions` VALUES (156551, 4854, 29, 'Ігнорувати');
INSERT INTO `lang_definitions` VALUES (156552, 4856, 29, 'Захворювання');
INSERT INTO `lang_definitions` VALUES (156553, 4857, 29, 'Терапевт');
INSERT INTO `lang_definitions` VALUES (156554, 4863, 29, 'Сервіс обробки зображень');
INSERT INTO `lang_definitions` VALUES (156555, 4865, 29, 'Вакцинація');
INSERT INTO `lang_definitions` VALUES (156556, 4867, 29, 'Код вакцинації');
INSERT INTO `lang_definitions` VALUES (156557, 4869, 29, 'Дата вакцинації');
INSERT INTO `lang_definitions` VALUES (156558, 4870, 29, 'Дата закінчення терміну вакцинації');
INSERT INTO `lang_definitions` VALUES (156559, 4872, 29, 'Номер партії вакцини');
INSERT INTO `lang_definitions` VALUES (156560, 4873, 29, 'Виробник вакцини');
INSERT INTO `lang_definitions` VALUES (156561, 4878, 29, 'Реєстрація вакцинації');
INSERT INTO `lang_definitions` VALUES (156562, 4882, 29, 'Послуга вакцинації');
INSERT INTO `lang_definitions` VALUES (156563, 4883, 29, 'Назва вакцинації');
INSERT INTO `lang_definitions` VALUES (156564, 4885, 29, 'Вакцинації');
INSERT INTO `lang_definitions` VALUES (156565, 4887, 29, 'Вакцинувати');
INSERT INTO `lang_definitions` VALUES (156566, 4888, 29, 'Імунологія');
INSERT INTO `lang_definitions` VALUES (156567, 4893, 29, 'Імплантанти');
INSERT INTO `lang_definitions` VALUES (156568, 4894, 29, 'Імпорт');
INSERT INTO `lang_definitions` VALUES (156569, 4898, 29, 'Імпортувати сертификат у браузері.');
INSERT INTO `lang_definitions` VALUES (156570, 4899, 29, 'Налаштування імпорту');
INSERT INTO `lang_definitions` VALUES (156571, 4904, 29, 'Імпортувати пацієнта');
INSERT INTO `lang_definitions` VALUES (156572, 4905, 29, 'Імпорт особистих даних пацієнта');
INSERT INTO `lang_definitions` VALUES (156573, 4910, 29, 'Важливі коди');
INSERT INTO `lang_definitions` VALUES (156574, 4912, 29, 'ВАЖЛИВО: Цей інструмент вивантаження призначений лише для вивантаження документів для пацієнтів, що їх не введено для системи. Для вивантаження файлів для пацієнтів, що введені до системи, будь-ласка, використовуйте інтсрумент вивантаження, що знаходиться в панелі загальної інформації про пацієнта');
INSERT INTO `lang_definitions` VALUES (156575, 4914, 29, 'Імпортований з акаунту');
INSERT INTO `lang_definitions` VALUES (156576, 4920, 29, 'Нормалізований');
INSERT INTO `lang_definitions` VALUES (156577, 4922, 29, 'у');
INSERT INTO `lang_definitions` VALUES (156578, 4923, 29, 'У');
INSERT INTO `lang_definitions` VALUES (156579, 4931, 29, 'у кожне око');
INSERT INTO `lang_definitions` VALUES (156580, 4934, 29, 'у ліве око');
INSERT INTO `lang_definitions` VALUES (156581, 4935, 29, 'назально');
INSERT INTO `lang_definitions` VALUES (156582, 4936, 29, 'У кабінеті');
INSERT INTO `lang_definitions` VALUES (156583, 4947, 29, 'у праве око');
INSERT INTO `lang_definitions` VALUES (156584, 4958, 29, 'вдома');
INSERT INTO `lang_definitions` VALUES (156585, 4960, 29, 'Недіючий');
INSERT INTO `lang_definitions` VALUES (156586, 4965, 29, 'Вихідні дні');
INSERT INTO `lang_definitions` VALUES (156587, 4967, 29, 'Вхідна поштова скринька');
INSERT INTO `lang_definitions` VALUES (156588, 4970, 29, 'Включити захист контрольною сумою');
INSERT INTO `lang_definitions` VALUES (156589, 4971, 29, 'Включити повністю');
INSERT INTO `lang_definitions` VALUES (156590, 4974, 29, 'Включити неактивних користувачів');
INSERT INTO `lang_definitions` VALUES (156591, 4975, 29, 'Включити некатегоризованих');
INSERT INTO `lang_definitions` VALUES (156592, 4976, 29, 'Включити неструктуровані дані');
INSERT INTO `lang_definitions` VALUES (156593, 4977, 29, 'Включити життєво важливі показники');
INSERT INTO `lang_definitions` VALUES (156594, 4978, 29, 'Включити життєво важливі параметри?');
INSERT INTO `lang_definitions` VALUES (156595, 4981, 29, 'Включення');
INSERT INTO `lang_definitions` VALUES (156596, 4982, 29, 'Дохід');
INSERT INTO `lang_definitions` VALUES (156597, 4984, 29, 'Неповний');
INSERT INTO `lang_definitions` VALUES (156598, 4985, 29, 'Незавершене перерване лікування');
INSERT INTO `lang_definitions` VALUES (156599, 4986, 29, 'Нестримання');
INSERT INTO `lang_definitions` VALUES (156600, 4987, 29, 'Включити результати клінічних лабораторних анализів у сертификовану технологію EHR, як структуровані дані.');
INSERT INTO `lang_definitions` VALUES (156601, 4988, 29, 'Неправильний пароль!');
INSERT INTO `lang_definitions` VALUES (156602, 4990, 29, 'збільшений:');
INSERT INTO `lang_definitions` VALUES (156603, 4991, 29, 'Компенсаційне страхування');
INSERT INTO `lang_definitions` VALUES (156604, 4994, 29, 'Невизначений');
INSERT INTO `lang_definitions` VALUES (156605, 4995, 29, 'Індійський');
INSERT INTO `lang_definitions` VALUES (156606, 4998, 29, 'Вказує відхилення від норми');
INSERT INTO `lang_definitions` VALUES (156607, 5000, 29, 'Вказує, що ця проблема у даний час активна');
INSERT INTO `lang_definitions` VALUES (156608, 5002, 29, 'Індикатор для спеціалізовоного використання');
INSERT INTO `lang_definitions` VALUES (156609, 5003, 29, 'Малозабезпечені пацієнти');
INSERT INTO `lang_definitions` VALUES (156610, 5004, 29, 'Звіт щодо малозабезпечених пацієнтів');
INSERT INTO `lang_definitions` VALUES (156611, 5005, 29, 'Малозабезпечені');
INSERT INTO `lang_definitions` VALUES (156612, 5010, 29, 'Що викликають аборт');
INSERT INTO `lang_definitions` VALUES (156613, 5012, 29, 'Непідходящий');
INSERT INTO `lang_definitions` VALUES (156614, 5013, 29, 'Інфекція/абсцес');
INSERT INTO `lang_definitions` VALUES (156615, 5014, 29, 'Інфекції');
INSERT INTO `lang_definitions` VALUES (156616, 5015, 29, 'Конс. по беспл.');
INSERT INTO `lang_definitions` VALUES (156617, 5016, 29, 'Беспліддя');
INSERT INTO `lang_definitions` VALUES (156618, 5017, 29, 'Грип 1');
INSERT INTO `lang_definitions` VALUES (156619, 5018, 29, 'Грип 2');
INSERT INTO `lang_definitions` VALUES (156620, 5019, 29, 'Протигрипозна вакцинація для пацієнтів віком >= 50 років');
INSERT INTO `lang_definitions` VALUES (156621, 5020, 29, 'Протигрипозна вакцинація для пацієнтів віком >= 50 років (CQM)');
INSERT INTO `lang_definitions` VALUES (156622, 5021, 29, 'Протигрипозна вакцинація');
INSERT INTO `lang_definitions` VALUES (156623, 5022, 29, 'Інф.');
INSERT INTO `lang_definitions` VALUES (156624, 5023, 29, 'Інф. тест 1');
INSERT INTO `lang_definitions` VALUES (156625, 5024, 29, 'Інф. тест 2');
INSERT INTO `lang_definitions` VALUES (156626, 5025, 29, 'Інф. тест 3');
INSERT INTO `lang_definitions` VALUES (156627, 5026, 29, 'Інф. тест 4');
INSERT INTO `lang_definitions` VALUES (156628, 5027, 29, 'Інф. тест 5');
INSERT INTO `lang_definitions` VALUES (156629, 5028, 29, 'Інф. тест 6');
INSERT INTO `lang_definitions` VALUES (156630, 5034, 29, 'інгаляції');
INSERT INTO `lang_definitions` VALUES (156631, 5036, 29, 'інгаляції');
INSERT INTO `lang_definitions` VALUES (156632, 5039, 29, 'Початковий користувач');
INSERT INTO `lang_definitions` VALUES (156633, 5041, 29, 'Травм./реаб.');
INSERT INTO `lang_definitions` VALUES (156634, 5042, 29, 'Що вводиться');
INSERT INTO `lang_definitions` VALUES (156635, 5043, 29, 'Ін\'єкція');
INSERT INTO `lang_definitions` VALUES (156636, 5044, 29, 'Пошкоджена частина тіла');
INSERT INTO `lang_definitions` VALUES (156637, 5045, 29, 'Наслідки пошкодження');
INSERT INTO `lang_definitions` VALUES (156638, 5046, 29, 'Травма');
INSERT INTO `lang_definitions` VALUES (156639, 5047, 29, 'Механізм травми');
INSERT INTO `lang_definitions` VALUES (156640, 5048, 29, 'Оглядовий звіт про травму');
INSERT INTO `lang_definitions` VALUES (156641, 5049, 29, 'Травматологічне дослідження');
INSERT INTO `lang_definitions` VALUES (156642, 5050, 29, 'Тип травми');
INSERT INTO `lang_definitions` VALUES (156643, 5051, 29, 'Травма або супутнє захворювання');
INSERT INTO `lang_definitions` VALUES (156644, 5055, 29, 'Введені дані не починаються з MSH сегменту');
INSERT INTO `lang_definitions` VALUES (156645, 5056, 29, 'Шляхи введення');
INSERT INTO `lang_definitions` VALUES (156646, 5057, 29, 'Міжнародний нормалізаційний індекс (INR)');
INSERT INTO `lang_definitions` VALUES (156647, 5058, 29, 'Вст. 1');
INSERT INTO `lang_definitions` VALUES (156648, 5059, 29, 'Вст. 2 чи вст. 3');
INSERT INTO `lang_definitions` VALUES (156649, 5060, 29, 'Вст. Адресу');
INSERT INTO `lang_definitions` VALUES (156650, 5061, 29, 'Вст. корр.');
INSERT INTO `lang_definitions` VALUES (156651, 5062, 29, 'Вст. скріплення');
INSERT INTO `lang_definitions` VALUES (156652, 5063, 29, 'Вст. код');
INSERT INTO `lang_definitions` VALUES (156653, 5064, 29, 'Вст. Групу');
INSERT INTO `lang_definitions` VALUES (156654, 5065, 29, 'Вст. Ім\"я');
INSERT INTO `lang_definitions` VALUES (156655, 5066, 29, 'Вст. переплати');
INSERT INTO `lang_definitions` VALUES (156656, 5067, 29, 'Вст. Поліс');
INSERT INTO `lang_definitions` VALUES (156657, 5068, 29, 'Вст. повернення');
INSERT INTO `lang_definitions` VALUES (156658, 5069, 29, 'Вст.підсумкова');
INSERT INTO `lang_definitions` VALUES (156659, 5071, 29, 'Вст.1');
INSERT INTO `lang_definitions` VALUES (156660, 5072, 29, 'Вст.2');
INSERT INTO `lang_definitions` VALUES (156661, 5073, 29, 'Вст.3');
INSERT INTO `lang_definitions` VALUES (156662, 5075, 29, 'Вставка дала збій');
INSERT INTO `lang_definitions` VALUES (156663, 5079, 29, 'Вставка старих подій у таблиці');
INSERT INTO `lang_definitions` VALUES (156664, 5085, 29, 'Безсоння');
INSERT INTO `lang_definitions` VALUES (156665, 5086, 29, 'Перевірити логи');
INSERT INTO `lang_definitions` VALUES (156666, 5087, 29, 'Експертиза');
INSERT INTO `lang_definitions` VALUES (156667, 5088, 29, 'Нестійкий / підвивих');
INSERT INTO `lang_definitions` VALUES (156668, 5089, 29, 'ВСТАНОВИТИ');
INSERT INTO `lang_definitions` VALUES (156669, 5090, 29, 'Встановити');
INSERT INTO `lang_definitions` VALUES (156670, 5093, 29, 'Встановити БД');
INSERT INTO `lang_definitions` VALUES (156671, 5100, 29, 'Встановлений реліз');
INSERT INTO `lang_definitions` VALUES (156672, 5102, 29, 'Інструктований');
INSERT INTO `lang_definitions` VALUES (156673, 5103, 29, 'Інструкція');
INSERT INTO `lang_definitions` VALUES (156674, 5105, 29, 'Інструкції:');
INSERT INTO `lang_definitions` VALUES (156675, 5107, 29, 'ID товару не відповідає переліку');
INSERT INTO `lang_definitions` VALUES (156676, 5108, 29, 'Інсулінозалежний діабет');
INSERT INTO `lang_definitions` VALUES (156677, 5109, 29, 'Страхівка');
INSERT INTO `lang_definitions` VALUES (156678, 5110, 29, 'страхівка');
INSERT INTO `lang_definitions` VALUES (156679, 5114, 29, 'Баланс страхівки');
INSERT INTO `lang_definitions` VALUES (156680, 5115, 29, 'Баланс страхівки належить');
INSERT INTO `lang_definitions` VALUES (156681, 5116, 29, 'Страхова комп.');
INSERT INTO `lang_definitions` VALUES (156682, 5117, 29, 'Страхові компанії');
INSERT INTO `lang_definitions` VALUES (156683, 5118, 29, 'Страхова компанія');
INSERT INTO `lang_definitions` VALUES (156684, 5119, 29, 'Пошук/добавлення страхової компанії');
INSERT INTO `lang_definitions` VALUES (156685, 5121, 29, 'Дата страхування');
INSERT INTO `lang_definitions` VALUES (156686, 5124, 29, 'Інформація щодо страхування у файлі');
INSERT INTO `lang_definitions` VALUES (156687, 5126, 29, 'Номери страхівки');
INSERT INTO `lang_definitions` VALUES (156688, 5127, 29, 'Оплата страхівки');
INSERT INTO `lang_definitions` VALUES (156689, 5129, 29, 'Страховик');
INSERT INTO `lang_definitions` VALUES (156690, 5133, 29, 'Застрахований');
INSERT INTO `lang_definitions` VALUES (156691, 5134, 29, 'Результат прийому');
INSERT INTO `lang_definitions` VALUES (156692, 5135, 29, 'Дата прийому');
INSERT INTO `lang_definitions` VALUES (156693, 5138, 29, 'Зниження інтелекту');
INSERT INTO `lang_definitions` VALUES (156694, 5149, 29, 'Внутрішня помилка - невибрані сторінки!');
INSERT INTO `lang_definitions` VALUES (156695, 5150, 29, 'Внутрішня помилка - не надано ID пацієнта!');
INSERT INTO `lang_definitions` VALUES (156696, 5151, 29, 'Внутрішня помилка щодо права доступу вивантаженого файлу!');
INSERT INTO `lang_definitions` VALUES (156697, 5153, 29, 'Внутрішня помилка!');
INSERT INTO `lang_definitions` VALUES (156698, 5154, 29, 'Внутрішня помилка, невказаний ID препарату!');
INSERT INTO `lang_definitions` VALUES (156699, 5155, 29, 'Внутрішня помилка: не можу знайти MSH-10');
INSERT INTO `lang_definitions` VALUES (156700, 5156, 29, 'Внутрішня помилка: вимога');
INSERT INTO `lang_definitions` VALUES (156701, 5157, 29, 'Внутрішня помилка: звернення \'');
INSERT INTO `lang_definitions` VALUES (156702, 5158, 29, 'Внутрішня помилка:пропущений pid або звернення.');
INSERT INTO `lang_definitions` VALUES (156703, 5159, 29, 'Внутрішня помилка: ми не можемо сподіватись на звернення!');
INSERT INTO `lang_definitions` VALUES (156704, 5160, 29, 'Внутрішній ідентификатор (pid)');
INSERT INTO `lang_definitions` VALUES (156705, 5163, 29, 'Внутрішнє напавлення');
INSERT INTO `lang_definitions` VALUES (156706, 5164, 29, 'Затрачений внутрішній час');
INSERT INTO `lang_definitions` VALUES (156707, 5165, 29, 'Міжнародні Обов\'язки');
INSERT INTO `lang_definitions` VALUES (156708, 5167, 29, 'Перекладач');
INSERT INTO `lang_definitions` VALUES (156709, 5168, 29, 'Потрібен перекладач?');
INSERT INTO `lang_definitions` VALUES (156710, 5169, 29, 'Інтерстиціальний пневмоконіоз');
INSERT INTO `lang_definitions` VALUES (156711, 5170, 29, 'Інтервал');
INSERT INTO `lang_definitions` VALUES (156712, 5171, 29, 'Інтервал (хвилини)');
INSERT INTO `lang_definitions` VALUES (156713, 5172, 29, 'Інтервал між перевіркою повідомлень (встаньвіть в 0 для ручної перевірки)');
INSERT INTO `lang_definitions` VALUES (156714, 5173, 29, 'Втручання');
INSERT INTO `lang_definitions` VALUES (156715, 5174, 29, 'Надане втручання');
INSERT INTO `lang_definitions` VALUES (156716, 5175, 29, 'Непереносимість');
INSERT INTO `lang_definitions` VALUES (156717, 5178, 29, 'внутрішньом\'язовий');
INSERT INTO `lang_definitions` VALUES (156718, 5181, 29, 'внутрішньовенозний');
INSERT INTO `lang_definitions` VALUES (156719, 5182, 29, 'Вступ');
INSERT INTO `lang_definitions` VALUES (156720, 5185, 29, 'Недопустимий символ в');
INSERT INTO `lang_definitions` VALUES (156721, 5195, 29, 'Недопустимий символ для');
INSERT INTO `lang_definitions` VALUES (156722, 5196, 29, 'Недопустимий нецифровий символ в');
INSERT INTO `lang_definitions` VALUES (156723, 5197, 29, 'Недопустимий або пропущений платник в джерелі для коду');
INSERT INTO `lang_definitions` VALUES (156724, 5199, 29, 'Недопустима адреса отримувача. Спробуйте ще раз.');
INSERT INTO `lang_definitions` VALUES (156725, 5200, 29, 'Недійсні коди послуг');
INSERT INTO `lang_definitions` VALUES (156726, 5201, 29, 'Недопустиме визначення джерела \"');
INSERT INTO `lang_definitions` VALUES (156727, 5203, 29, 'Недопустиме ім\"я користувача або пароль');
INSERT INTO `lang_definitions` VALUES (156728, 5204, 29, 'Інвент.кіл.');
INSERT INTO `lang_definitions` VALUES (156729, 5205, 29, 'Товарно-матеріальні цінності');
INSERT INTO `lang_definitions` VALUES (156730, 5206, 29, 'Діяльність товарно-матеріальних цінностей');
INSERT INTO `lang_definitions` VALUES (156731, 5207, 29, 'Враховується і реалізується як лікарська, так і нелікарська продукція');
INSERT INTO `lang_definitions` VALUES (156732, 5208, 29, 'Лише товарно-матеріальні цінності та препарати для видачі');
INSERT INTO `lang_definitions` VALUES (156733, 5209, 29, 'Для цього призначення склад недоступний.');
INSERT INTO `lang_definitions` VALUES (156734, 5210, 29, 'Список товарно-матеріальних цінностей');
INSERT INTO `lang_definitions` VALUES (156735, 5211, 29, 'Транзакції щодо інвентаризації');
INSERT INTO `lang_definitions` VALUES (156736, 5212, 29, 'Рахунок');
INSERT INTO `lang_definitions` VALUES (156737, 5213, 29, 'рахунок');
INSERT INTO `lang_definitions` VALUES (156738, 5215, 29, 'Баланс рахунку');
INSERT INTO `lang_definitions` VALUES (156739, 5216, 29, 'Баланс рахунку не може бути внесений. Немає створеного звернення.');
INSERT INTO `lang_definitions` VALUES (156740, 5217, 29, 'Дата рахунку');
INSERT INTO `lang_definitions` VALUES (156741, 5219, 29, 'Не має дати на рахунку!');
INSERT INTO `lang_definitions` VALUES (156742, 5220, 29, 'Номер рахунку');
INSERT INTO `lang_definitions` VALUES (156743, 5221, 29, 'Вихідний номер рахунку');
INSERT INTO `lang_definitions` VALUES (156744, 5222, 29, 'Об\'єднання вихідного номера рахунку, якщо використовується');
INSERT INTO `lang_definitions` VALUES (156745, 5223, 29, 'Об\'єднання вихідного номера рахунку');
INSERT INTO `lang_definitions` VALUES (156746, 5224, 29, 'Об\'єднання вих. номера рахунку');
INSERT INTO `lang_definitions` VALUES (156747, 5226, 29, 'Рахунок:');
INSERT INTO `lang_definitions` VALUES (156748, 5237, 29, 'МФПС');
INSERT INTO `lang_definitions` VALUES (156749, 5238, 29, 'МФПС аборт');
INSERT INTO `lang_definitions` VALUES (156750, 5239, 29, 'МФПС контрацепція');
INSERT INTO `lang_definitions` VALUES (156751, 5240, 29, 'Дані сексуального і репродуктивного здоров\'я МФПС для');
INSERT INTO `lang_definitions` VALUES (156752, 5241, 29, 'Статистичний звіт МФПС');
INSERT INTO `lang_definitions` VALUES (156753, 5242, 29, 'Статистика МФПС');
INSERT INTO `lang_definitions` VALUES (156754, 5243, 29, 'ІПВ 1');
INSERT INTO `lang_definitions` VALUES (156755, 5244, 29, 'ІПВ 2');
INSERT INTO `lang_definitions` VALUES (156756, 5245, 29, 'ІПВ 3');
INSERT INTO `lang_definitions` VALUES (156757, 5246, 29, 'ІПВ 4');
INSERT INTO `lang_definitions` VALUES (156758, 5249, 29, 'Аритмія');
INSERT INTO `lang_definitions` VALUES (156759, 5250, 29, 'Дратівливість');
INSERT INTO `lang_definitions` VALUES (156760, 5251, 29, 'Роздратування');
INSERT INTO `lang_definitions` VALUES (156761, 5252, 29, 'є версія наступної бази даних з іншою мовою');
INSERT INTO `lang_definitions` VALUES (156762, 5253, 29, 'є інша версія наступної бази даних');
INSERT INTO `lang_definitions` VALUES (156763, 5254, 29, 'є новіша версія наступної бази даних');
INSERT INTO `lang_definitions` VALUES (156764, 5256, 29, 'є обов\'язковим полем');
INSERT INTO `lang_definitions` VALUES (156765, 5257, 29, 'є вузлом root і не може бути видалений.');
INSERT INTO `lang_definitions` VALUES (156766, 5258, 29, 'є розширення наступної бази даних');
INSERT INTO `lang_definitions` VALUES (156767, 5263, 29, 'невідповідний чи невідомий');
INSERT INTO `lang_definitions` VALUES (156768, 5268, 29, 'не дійсний (десяткова частина OK).');
INSERT INTO `lang_definitions` VALUES (156769, 5269, 29, 'PHP використовує безпечний режим?');
INSERT INTO `lang_definitions` VALUES (156770, 5273, 29, 'Є текстом з макетів форми для перекладу?');
INSERT INTO `lang_definitions` VALUES (156771, 5274, 29, 'Є текстом з списку для перекладу?');
INSERT INTO `lang_definitions` VALUES (156772, 5275, 29, 'Цей файл закодований?');
INSERT INTO `lang_definitions` VALUES (156773, 5276, 29, 'Це є кодом типу клінічного терміну');
INSERT INTO `lang_definitions` VALUES (156774, 5277, 29, 'Це є типом діагнозу?');
INSERT INTO `lang_definitions` VALUES (156775, 5278, 29, 'Це є кодом типу медичної проблеми?');
INSERT INTO `lang_definitions` VALUES (156776, 5280, 29, 'Це є типом процедури/послуги?');
INSERT INTO `lang_definitions` VALUES (156777, 5281, 29, 'Це активне?');
INSERT INTO `lang_definitions` VALUES (156778, 5282, 29, 'Цей тип коду активний?');
INSERT INTO `lang_definitions` VALUES (156779, 5283, 29, 'Цей тип коду використовується у вимогах?');
INSERT INTO `lang_definitions` VALUES (156780, 5286, 29, 'Цей тип у листі оплати невидимий?');
INSERT INTO `lang_definitions` VALUES (156781, 5287, 29, 'Чи використовується зовнішня SQL таблиця? Якщо так, виберіть формат.');
INSERT INTO `lang_definitions` VALUES (156782, 5288, 29, 'надто довгий');
INSERT INTO `lang_definitions` VALUES (156783, 5290, 29, 'Проблема');
INSERT INTO `lang_definitions` VALUES (156784, 5291, 29, 'проблема');
INSERT INTO `lang_definitions` VALUES (156785, 5292, 29, 'Дата проблеми');
INSERT INTO `lang_definitions` VALUES (156786, 5293, 29, 'ID проблеми');
INSERT INTO `lang_definitions` VALUES (156787, 5295, 29, 'Назва проблеми');
INSERT INTO `lang_definitions` VALUES (156788, 5296, 29, 'Тип проблеми');
INSERT INTO `lang_definitions` VALUES (156789, 5297, 29, 'Типи проблеми');
INSERT INTO `lang_definitions` VALUES (156790, 5298, 29, 'Проблеми');
INSERT INTO `lang_definitions` VALUES (156791, 5299, 29, 'Проблеми (травми/терапія/алергія)');
INSERT INTO `lang_definitions` VALUES (156792, 5300, 29, 'Проблеми (травми/терапія/алергія):');
INSERT INTO `lang_definitions` VALUES (156793, 5302, 29, 'Проблеми та звернення');
INSERT INTO `lang_definitions` VALUES (156794, 5303, 29, 'Проблеми та звернення для');
INSERT INTO `lang_definitions` VALUES (156795, 5308, 29, 'Доступ до проблем не авторизований');
INSERT INTO `lang_definitions` VALUES (156796, 5309, 29, 'Розділ проблем');
INSERT INTO `lang_definitions` VALUES (156797, 5364, 29, 'Італійська');
INSERT INTO `lang_definitions` VALUES (156798, 5365, 29, 'Елемент');
INSERT INTO `lang_definitions` VALUES (156799, 5366, 29, 'елемент');
INSERT INTO `lang_definitions` VALUES (156800, 5368, 29, 'Елементів');
INSERT INTO `lang_definitions` VALUES (156801, 5369, 29, 'Завантаження елементів дало збій');
INSERT INTO `lang_definitions` VALUES (156802, 5370, 29, 'МЕ/л');
INSERT INTO `lang_definitions` VALUES (156803, 5371, 29, 'ВМС');
INSERT INTO `lang_definitions` VALUES (156804, 5372, 29, 'В/в');
INSERT INTO `lang_definitions` VALUES (156805, 5375, 29, 'Січ');
INSERT INTO `lang_definitions` VALUES (156806, 5376, 29, 'Січень');
INSERT INTO `lang_definitions` VALUES (156807, 5377, 29, 'Японський');
INSERT INTO `lang_definitions` VALUES (156808, 5378, 29, 'Жовтуха');
INSERT INTO `lang_definitions` VALUES (156809, 5380, 29, 'Опис роботи');
INSERT INTO `lang_definitions` VALUES (156810, 5381, 29, 'ID роботи');
INSERT INTO `lang_definitions` VALUES (156811, 5382, 29, 'Вивих суглоба');
INSERT INTO `lang_definitions` VALUES (156812, 5383, 29, 'Біль суглоба');
INSERT INTO `lang_definitions` VALUES (156813, 5384, 29, 'Розтягнення суглоба');
INSERT INTO `lang_definitions` VALUES (156814, 5385, 29, 'Лип');
INSERT INTO `lang_definitions` VALUES (156815, 5386, 29, 'Липень');
INSERT INTO `lang_definitions` VALUES (156816, 5388, 29, 'Черв');
INSERT INTO `lang_definitions` VALUES (156817, 5389, 29, 'Червень');
INSERT INTO `lang_definitions` VALUES (156818, 5390, 29, 'Трохи нижче в синій області знаходиться реєстраційна інформація, куди ви помістили параметри пошуку. Можете шукати по імені пацієнта, номеру карти, номеру звернення або даті надання допомоги або будь-якій їх комбінації. Також можете вибрати, чи хочете бачити всі рахунки, відкриті або лише виставлені (по пацієнтові). Клацніть кнопку пошуку для для виконання.');
INSERT INTO `lang_definitions` VALUES (156819, 5391, 29, 'Лише для мене');
INSERT INTO `lang_definitions` VALUES (156820, 5392, 29, 'Підтверджені записи');
INSERT INTO `lang_definitions` VALUES (156821, 5393, 29, 'Підтвердити');
INSERT INTO `lang_definitions` VALUES (156822, 5396, 29, 'Підтвердити/Зберегти');
INSERT INTO `lang_definitions` VALUES (156823, 5397, 29, 'J{{Підтвердити заголовок}}');
INSERT INTO `lang_definitions` VALUES (156824, 5398, 29, 'к, ось решта');
INSERT INTO `lang_definitions` VALUES (156825, 5407, 29, 'Ключ');
INSERT INTO `lang_definitions` VALUES (156826, 5411, 29, 'Ключові слова');
INSERT INTO `lang_definitions` VALUES (156827, 5412, 29, 'кг');
INSERT INTO `lang_definitions` VALUES (156828, 5413, 29, 'кг/м^2');
INSERT INTO `lang_definitions` VALUES (156829, 5415, 29, 'Рак нирки');
INSERT INTO `lang_definitions` VALUES (156830, 5416, 29, 'Ниркова недостатність');
INSERT INTO `lang_definitions` VALUES (156831, 5417, 29, 'Ниркова інфекція');
INSERT INTO `lang_definitions` VALUES (156832, 5418, 29, 'НКХ');
INSERT INTO `lang_definitions` VALUES (156833, 5419, 29, 'Нирковий трансплантант');
INSERT INTO `lang_definitions` VALUES (156834, 5425, 29, 'Коліно');
INSERT INTO `lang_definitions` VALUES (156835, 5426, 29, 'Проблеми коліна');
INSERT INTO `lang_definitions` VALUES (156836, 5427, 29, 'Заміна колінного суглобу');
INSERT INTO `lang_definitions` VALUES (156837, 5430, 29, 'Корейький');
INSERT INTO `lang_definitions` VALUES (156838, 5434, 29, 'Лаб');
INSERT INTO `lang_definitions` VALUES (156839, 5436, 29, 'Адреса сайту лабораторного обміну');
INSERT INTO `lang_definitions` VALUES (156840, 5437, 29, 'ID сайту лабораторного обміну');
INSERT INTO `lang_definitions` VALUES (156841, 5438, 29, 'Символьный ID лабораторного обміну');
INSERT INTO `lang_definitions` VALUES (156842, 5442, 29, 'Статус лабораторного запиту');
INSERT INTO `lang_definitions` VALUES (156843, 5444, 29, 'Лабораторний звіт');
INSERT INTO `lang_definitions` VALUES (156844, 5445, 29, 'Лабораторний результат');
INSERT INTO `lang_definitions` VALUES (156845, 5446, 29, 'Лабораторні результати');
INSERT INTO `lang_definitions` VALUES (156846, 5449, 29, 'Звіт про лабораторні результати');
INSERT INTO `lang_definitions` VALUES (156847, 5450, 29, 'Лабораторна послуга');
INSERT INTO `lang_definitions` VALUES (156848, 5451, 29, 'Результати лабораторних тестів');
INSERT INTO `lang_definitions` VALUES (156849, 5453, 29, 'Позначка');
INSERT INTO `lang_definitions` VALUES (156850, 5454, 29, 'Позначка не повинна бути пустою');
INSERT INTO `lang_definitions` VALUES (156851, 5455, 29, 'Стовпці позначки');
INSERT INTO `lang_definitions` VALUES (156852, 5456, 29, 'Позначка для цього типу');
INSERT INTO `lang_definitions` VALUES (156853, 5458, 29, 'Стовпці позначки повинні бути числом між 1 та 999');
INSERT INTO `lang_definitions` VALUES (156854, 5459, 29, 'Позначки');
INSERT INTO `lang_definitions` VALUES (156855, 5463, 29, 'Лабораторії');
INSERT INTO `lang_definitions` VALUES (156856, 5464, 29, 'Рвана рана / стан шкіри');
INSERT INTO `lang_definitions` VALUES (156857, 5465, 29, 'Розрив/садно');
INSERT INTO `lang_definitions` VALUES (156858, 5471, 29, 'Мова');
INSERT INTO `lang_definitions` VALUES (156859, 5472, 29, 'Код мови');
INSERT INTO `lang_definitions` VALUES (156860, 5473, 29, 'Додано визначення мови');
INSERT INTO `lang_definitions` VALUES (156861, 5474, 29, 'Інтерфейсний інструмент мови');
INSERT INTO `lang_definitions` VALUES (156862, 5476, 29, 'Список мов (на вибір - право записувати/добавляти)');
INSERT INTO `lang_definitions` VALUES (156863, 5478, 29, 'Назва мови');
INSERT INTO `lang_definitions` VALUES (156864, 5479, 29, 'Мова:');
INSERT INTO `lang_definitions` VALUES (156865, 5481, 29, 'Лаотський');
INSERT INTO `lang_definitions` VALUES (156866, 5485, 29, 'Прізвище');
INSERT INTO `lang_definitions` VALUES (156867, 5486, 29, 'Дата останньої активності');
INSERT INTO `lang_definitions` VALUES (156868, 5489, 29, 'Дата останнього рахунку:');
INSERT INTO `lang_definitions` VALUES (156869, 5491, 29, 'Минулий календарний рік');
INSERT INTO `lang_definitions` VALUES (156870, 5495, 29, 'Останнє звернення');
INSERT INTO `lang_definitions` VALUES (156871, 5502, 29, 'Останній обрахований рівень');
INSERT INTO `lang_definitions` VALUES (156872, 5506, 29, 'Минулий місяць');
INSERT INTO `lang_definitions` VALUES (156873, 5507, 29, 'Прізвище');
INSERT INTO `lang_definitions` VALUES (156874, 5508, 29, 'Прізвище');
INSERT INTO `lang_definitions` VALUES (156875, 5513, 29, 'Прізвище:');
INSERT INTO `lang_definitions` VALUES (156876, 5517, 29, 'Останній перегляд');
INSERT INTO `lang_definitions` VALUES (156877, 5518, 29, 'Останнього разу виконувавася о');
INSERT INTO `lang_definitions` VALUES (156878, 5519, 29, 'Останнє збереження');
INSERT INTO `lang_definitions` VALUES (156879, 5525, 29, 'Останнє поновлення через');
INSERT INTO `lang_definitions` VALUES (156880, 5526, 29, 'Остання перевірка у');
INSERT INTO `lang_definitions` VALUES (156881, 5527, 29, 'Останній візит');
INSERT INTO `lang_definitions` VALUES (156882, 5530, 29, 'Останнє повернення (2-12 міс.)');
INSERT INTO `lang_definitions` VALUES (156883, 5531, 29, 'Латеральна кісточка');
INSERT INTO `lang_definitions` VALUES (156884, 5532, 29, 'Латеральна кісточка:');
INSERT INTO `lang_definitions` VALUES (156885, 5533, 29, 'Латеральність');
INSERT INTO `lang_definitions` VALUES (156886, 5534, 29, 'Латеральність цієї методики, якщо можливо');
INSERT INTO `lang_definitions` VALUES (156887, 5535, 29, 'Латеральна дисплазія після ОІМ:');
INSERT INTO `lang_definitions` VALUES (156888, 5549, 29, 'На основі макету');
INSERT INTO `lang_definitions` VALUES (156889, 5551, 29, 'Редактор макету');
INSERT INTO `lang_definitions` VALUES (156890, 5552, 29, 'Групи макету');
INSERT INTO `lang_definitions` VALUES (156891, 5556, 29, 'Стиль макету');
INSERT INTO `lang_definitions` VALUES (156892, 5558, 29, 'Форми обробки візитів на основі макету');
INSERT INTO `lang_definitions` VALUES (156893, 5559, 29, 'Макети');
INSERT INTO `lang_definitions` VALUES (156894, 5560, 29, 'фунт');
INSERT INTO `lang_definitions` VALUES (156895, 5563, 29, 'Фунти');
INSERT INTO `lang_definitions` VALUES (156896, 5571, 29, 'ЛПНП');
INSERT INTO `lang_definitions` VALUES (156897, 5573, 29, 'залишіть поле пустим, якщо все ще активне');
INSERT INTO `lang_definitions` VALUES (156898, 5574, 29, 'Для збереження вихідного імені файлу залишіть поле пустим');
INSERT INTO `lang_definitions` VALUES (156899, 5575, 29, 'Для збереження попереднього паролю залишіть поле пустим');
INSERT INTO `lang_definitions` VALUES (156900, 5580, 29, 'Залишіть повідомлення з');
INSERT INTO `lang_definitions` VALUES (156901, 5582, 29, 'Залишіть форму');
INSERT INTO `lang_definitions` VALUES (156902, 5583, 29, 'Пуста контрольна фраза не шифрує цей документ');
INSERT INTO `lang_definitions` VALUES (156903, 5586, 29, 'Лівий');
INSERT INTO `lang_definitions` VALUES (156904, 5589, 29, 'Ліве вухо');
INSERT INTO `lang_definitions` VALUES (156905, 5590, 29, 'ліве вухо');
INSERT INTO `lang_definitions` VALUES (156906, 5599, 29, 'Лівий:');
INSERT INTO `lang_definitions` VALUES (156907, 5600, 29, 'Лівий:');
INSERT INTO `lang_definitions` VALUES (156908, 5601, 29, 'Біль у нозі/Судома');
INSERT INTO `lang_definitions` VALUES (156909, 5602, 29, 'Законний');
INSERT INTO `lang_definitions` VALUES (156910, 5604, 29, 'Формат паперу Legal');
INSERT INTO `lang_definitions` VALUES (156911, 5605, 29, 'Легенда:');
INSERT INTO `lang_definitions` VALUES (156912, 5606, 29, 'Довжина');
INSERT INTO `lang_definitions` VALUES (156913, 5607, 29, 'Довжина модифікатора, якщо не задана, то 0');
INSERT INTO `lang_definitions` VALUES (156914, 5613, 29, 'Менше ніж');
INSERT INTO `lang_definitions` VALUES (156915, 5614, 29, 'Менше ніж або рівна до');
INSERT INTO `lang_definitions` VALUES (156916, 5615, 29, 'Менш закрита інформація (на вибір - право записувати/добавляти)');
INSERT INTO `lang_definitions` VALUES (156917, 5620, 29, 'Лист');
INSERT INTO `lang_definitions` VALUES (156918, 5621, 29, 'Генератор листа');
INSERT INTO `lang_definitions` VALUES (156919, 5622, 29, 'Формат паперу Letter');
INSERT INTO `lang_definitions` VALUES (156920, 5623, 29, 'Фірмовий бланк, який підписує лікар');
INSERT INTO `lang_definitions` VALUES (156921, 5624, 29, 'Фірмовий бланк, який підписує пацієнт');
INSERT INTO `lang_definitions` VALUES (156922, 5627, 29, 'Рівень терміновості');
INSERT INTO `lang_definitions` VALUES (156923, 5630, 29, 'Відповідальність');
INSERT INTO `lang_definitions` VALUES (156924, 5631, 29, 'Медична відповідальність');
INSERT INTO `lang_definitions` VALUES (156925, 5633, 29, 'Ліцензія/ID');
INSERT INTO `lang_definitions` VALUES (156926, 5639, 29, 'Прізвище ліцензованого відповідального');
INSERT INTO `lang_definitions` VALUES (156927, 5640, 29, 'NPI ліцензованого відповідального');
INSERT INTO `lang_definitions` VALUES (156928, 5641, 29, 'UPIN ліцензованого відповідального');
INSERT INTO `lang_definitions` VALUES (156929, 5644, 29, 'Спосіб життя');
INSERT INTO `lang_definitions` VALUES (156930, 5646, 29, 'Статус способу життя');
INSERT INTO `lang_definitions` VALUES (156931, 5647, 29, 'Розрив або розтягнення зв\'язки');
INSERT INTO `lang_definitions` VALUES (156932, 5648, 29, 'Курить небагато');
INSERT INTO `lang_definitions` VALUES (156933, 5651, 29, 'Обмеження подій');
INSERT INTO `lang_definitions` VALUES (156934, 5654, 29, 'Обмеження');
INSERT INTO `lang_definitions` VALUES (156935, 5657, 29, 'Посилання');
INSERT INTO `lang_definitions` VALUES (156936, 5658, 29, 'Посилання пацієнтові');
INSERT INTO `lang_definitions` VALUES (156937, 5660, 29, 'Приєднаний');
INSERT INTO `lang_definitions` VALUES (156938, 5661, 29, 'Приєднаний документ');
INSERT INTO `lang_definitions` VALUES (156939, 5662, 29, 'Приєднана процедура призначення');
INSERT INTO `lang_definitions` VALUES (156940, 5663, 29, 'Посилання на документ');
INSERT INTO `lang_definitions` VALUES (156941, 5664, 29, 'Посилання на призначену процедуру');
INSERT INTO `lang_definitions` VALUES (156942, 5665, 29, 'Список');
INSERT INTO `lang_definitions` VALUES (156943, 5666, 29, 'Поле зі списком');
INSERT INTO `lang_definitions` VALUES (156944, 5667, 29, 'поле зі списком');
INSERT INTO `lang_definitions` VALUES (156945, 5668, 29, 'поле зі списком з/доб.');
INSERT INTO `lang_definitions` VALUES (156946, 5669, 29, 'Поле зі списком з/доб.');
INSERT INTO `lang_definitions` VALUES (156947, 5671, 29, 'Редактор списку');
INSERT INTO `lang_definitions` VALUES (156948, 5672, 29, 'Список звернень');
INSERT INTO `lang_definitions` VALUES (156949, 5674, 29, 'Список груп');
INSERT INTO `lang_definitions` VALUES (156950, 5675, 29, 'Список страхових компаній');
INSERT INTO `lang_definitions` VALUES (156951, 5677, 29, 'Елементи списку не можуть починатися з числа');
INSERT INTO `lang_definitions` VALUES (156952, 5678, 29, 'Елементи списку містять заборонені символ(и).');
INSERT INTO `lang_definitions` VALUES (156953, 5680, 29, 'Вивести списки');
INSERT INTO `lang_definitions` VALUES (156954, 5682, 29, 'Назва списку');
INSERT INTO `lang_definitions` VALUES (156955, 5683, 29, 'Назва списку не може починатися з чисел');
INSERT INTO `lang_definitions` VALUES (156956, 5688, 29, 'Вивести призначення');
INSERT INTO `lang_definitions` VALUES (156957, 5689, 29, 'Список використовується через вищезгаданий варіант типу даних для країни.');
INSERT INTO `lang_definitions` VALUES (156958, 5690, 29, 'Список використовується через вищезгаданий варіант типа даних для області.');
INSERT INTO `lang_definitions` VALUES (156959, 5691, 29, 'Прослухуваний порт сервера syslog TLS RFC 5425.');
INSERT INTO `lang_definitions` VALUES (156960, 5693, 29, 'Списки');
INSERT INTO `lang_definitions` VALUES (156961, 5695, 29, 'Литовська');
INSERT INTO `lang_definitions` VALUES (156962, 5696, 29, 'Прижиттєвий заповіт');
INSERT INTO `lang_definitions` VALUES (156963, 5701, 29, 'LLL:');
INSERT INTO `lang_definitions` VALUES (156964, 5707, 29, 'Остання менструація');
INSERT INTO `lang_definitions` VALUES (156965, 5708, 29, 'Завантажити повний перелік');
INSERT INTO `lang_definitions` VALUES (156966, 5709, 29, 'Завантажити визначення');
INSERT INTO `lang_definitions` VALUES (156967, 5711, 29, 'Завантажити налаштування лабораторії');
INSERT INTO `lang_definitions` VALUES (156968, 5712, 29, 'Завантажити налаштування питань ОЕ');
INSERT INTO `lang_definitions` VALUES (156969, 5713, 29, 'Завантажити визначення призначення');
INSERT INTO `lang_definitions` VALUES (156970, 5714, 29, 'Завантажити питання вмісту призначення');
INSERT INTO `lang_definitions` VALUES (156971, 5717, 29, 'ЗАВАНТАЖЕННЯ');
INSERT INTO `lang_definitions` VALUES (156972, 5721, 29, 'Завантаження файлів у базу даних. Це займе деякий час…');
INSERT INTO `lang_definitions` VALUES (156973, 5723, 29, 'Знижене розуміння');
INSERT INTO `lang_definitions` VALUES (156974, 5724, 29, 'Локально');
INSERT INTO `lang_definitions` VALUES (156975, 5728, 29, 'Локальний');
INSERT INTO `lang_definitions` VALUES (156976, 5729, 29, 'Місцерозташування');
INSERT INTO `lang_definitions` VALUES (156977, 5730, 29, 'Розміщення');
INSERT INTO `lang_definitions` VALUES (156978, 5731, 29, 'Розташування машини openemr може містити секретні дані, тому рекомендується вручну видалити їх після використання');
INSERT INTO `lang_definitions` VALUES (156979, 5732, 29, 'Розміщення цієї партії');
INSERT INTO `lang_definitions` VALUES (156980, 5733, 29, 'Невизначене розміщення');
INSERT INTO `lang_definitions` VALUES (156981, 5734, 29, 'Місце, де Hylafax зберігає факси.');
INSERT INTO `lang_definitions` VALUES (156982, 5735, 29, 'Місце, де зберігаються сканограми.');
INSERT INTO `lang_definitions` VALUES (156983, 5736, 29, 'Розміщення:');
INSERT INTO `lang_definitions` VALUES (156984, 5737, 29, 'Заблокувати');
INSERT INTO `lang_definitions` VALUES (156985, 5745, 29, 'Увійти');
INSERT INTO `lang_definitions` VALUES (156986, 5746, 29, 'Увійти');
INSERT INTO `lang_definitions` VALUES (156987, 5749, 29, 'Вийти');
INSERT INTO `lang_definitions` VALUES (156988, 5752, 29, 'Увійшов');
INSERT INTO `lang_definitions` VALUES (156989, 5753, 29, 'Увійшов як');
INSERT INTO `lang_definitions` VALUES (156990, 5754, 29, 'Увійшов як:');
INSERT INTO `lang_definitions` VALUES (156991, 5755, 29, 'Вийшов.');
INSERT INTO `lang_definitions` VALUES (156992, 5756, 29, 'Вхід');
INSERT INTO `lang_definitions` VALUES (156993, 5757, 29, 'Логін');
INSERT INTO `lang_definitions` VALUES (156994, 5758, 29, 'логін');
INSERT INTO `lang_definitions` VALUES (156995, 5763, 29, 'Логін до віддаленого хоста');
INSERT INTO `lang_definitions` VALUES (156996, 5764, 29, 'Невдалий вхід до цього віддаленого хоста');
INSERT INTO `lang_definitions` VALUES (156997, 5768, 29, 'Вийти');
INSERT INTO `lang_definitions` VALUES (156998, 5769, 29, 'вийти');
INSERT INTO `lang_definitions` VALUES (156999, 5770, 29, 'Журнали');
INSERT INTO `lang_definitions` VALUES (157000, 5771, 29, 'Оглядач журналів');
INSERT INTO `lang_definitions` VALUES (157001, 5776, 29, 'Знайти');
INSERT INTO `lang_definitions` VALUES (157002, 5777, 29, 'Партія');
INSERT INTO `lang_definitions` VALUES (157003, 5778, 29, 'Пропущений ID партії');
INSERT INTO `lang_definitions` VALUES (157004, 5779, 29, 'Номер партії');
INSERT INTO `lang_definitions` VALUES (157005, 5780, 29, 'Низький');
INSERT INTO `lang_definitions` VALUES (157006, 5781, 29, 'Низький пріоритет');
INSERT INTO `lang_definitions` VALUES (157007, 5782, 29, 'Вкорочена нога');
INSERT INTO `lang_definitions` VALUES (157008, 5784, 29, 'Найнижчий пріоритет');
INSERT INTO `lang_definitions` VALUES (157009, 5791, 29, 'Поперековий відділ хребта');
INSERT INTO `lang_definitions` VALUES (157010, 5792, 29, 'ОБІД');
INSERT INTO `lang_definitions` VALUES (157011, 5793, 29, 'Обід');
INSERT INTO `lang_definitions` VALUES (157012, 5794, 29, 'Рак легень');
INSERT INTO `lang_definitions` VALUES (157013, 5795, 29, 'Хірургія раку легень');
INSERT INTO `lang_definitions` VALUES (157014, 5796, 29, 'ЛЕГЕНІ:');
INSERT INTO `lang_definitions` VALUES (157015, 5797, 29, 'Легені:');
INSERT INTO `lang_definitions` VALUES (157016, 5798, 29, 'Вовчак');
INSERT INTO `lang_definitions` VALUES (157017, 5804, 29, 'М');
INSERT INTO `lang_definitions` VALUES (157018, 5805, 29, 'Категорія МА');
INSERT INTO `lang_definitions` VALUES (157019, 5806, 29, 'Відмова прийому клієнта MA');
INSERT INTO `lang_definitions` VALUES (157020, 5807, 29, 'Статистика MA');
INSERT INTO `lang_definitions` VALUES (157021, 5812, 29, 'Відправка пошти');
INSERT INTO `lang_definitions` VALUES (157022, 5814, 29, 'Основний');
INSERT INTO `lang_definitions` VALUES (157023, 5815, 29, 'Основна адреса');
INSERT INTO `lang_definitions` VALUES (157024, 5821, 29, 'Основна область екрану');
INSERT INTO `lang_definitions` VALUES (157025, 5824, 29, 'Список основної активної медикаментозної алергії.');
INSERT INTO `lang_definitions` VALUES (157026, 5825, 29, 'Список основного активного медикаментозного лікування.');
INSERT INTO `lang_definitions` VALUES (157027, 5826, 29, 'Підтримує оновлений список проблем для поточних і активних діагнозів.');
INSERT INTO `lang_definitions` VALUES (157028, 5827, 29, 'Створює зміни в поточних категоріях.');
INSERT INTO `lang_definitions` VALUES (157029, 5828, 29, 'Створити новий запис на прийом для');
INSERT INTO `lang_definitions` VALUES (157030, 5831, 29, 'Переконайтеся, що \"');
INSERT INTO `lang_definitions` VALUES (157031, 5832, 29, 'Створення пакетних текстових файлів для завантаження в інформаційний центр, і буде позначеним як рахунок');
INSERT INTO `lang_definitions` VALUES (157032, 5834, 29, 'Дискомфорт:');
INSERT INTO `lang_definitions` VALUES (157033, 5837, 29, 'Чоловіча');
INSERT INTO `lang_definitions` VALUES (157034, 5838, 29, 'Чоловічі презервативи');
INSERT INTO `lang_definitions` VALUES (157035, 5839, 29, 'Чоловічий VSC');
INSERT INTO `lang_definitions` VALUES (157036, 5841, 29, 'Маммографія');
INSERT INTO `lang_definitions` VALUES (157037, 5842, 29, 'Керування');
INSERT INTO `lang_definitions` VALUES (157038, 5850, 29, 'Керування перекладами');
INSERT INTO `lang_definitions` VALUES (157039, 5851, 29, 'Керівний склад');
INSERT INTO `lang_definitions` VALUES (157040, 5854, 29, 'Обов\'язкові й особливі поля');
INSERT INTO `lang_definitions` VALUES (157041, 5855, 29, 'Лише обов\'язкові чи особливі поля, з перевіркою на повтори, без пошуку');
INSERT INTO `lang_definitions` VALUES (157042, 5856, 29, 'Лише обов\'язкові чи особливі поля, з пошуком та перевіркою на повтори');
INSERT INTO `lang_definitions` VALUES (157043, 5859, 29, 'Керівництво');
INSERT INTO `lang_definitions` VALUES (157044, 5860, 29, 'Відправка вручну');
INSERT INTO `lang_definitions` VALUES (157045, 5864, 29, 'Виробник');
INSERT INTO `lang_definitions` VALUES (157046, 5870, 29, 'Бер');
INSERT INTO `lang_definitions` VALUES (157047, 5874, 29, 'Березень');
INSERT INTO `lang_definitions` VALUES (157048, 5877, 29, 'Сімейний стан');
INSERT INTO `lang_definitions` VALUES (157049, 5880, 29, 'Помітити як сплачене, але пропустіть виставлений рахунок');
INSERT INTO `lang_definitions` VALUES (157050, 5881, 29, 'Помітити як очищене');
INSERT INTO `lang_definitions` VALUES (157051, 5882, 29, 'Помітити як неоплачене');
INSERT INTO `lang_definitions` VALUES (157052, 5885, 29, 'Помітити ці звіти як переглянуті');
INSERT INTO `lang_definitions` VALUES (157053, 5886, 29, 'Помітити як очищене');
INSERT INTO `lang_definitions` VALUES (157054, 5887, 29, 'Одружений');
INSERT INTO `lang_definitions` VALUES (157055, 5889, 29, 'Маска');
INSERT INTO `lang_definitions` VALUES (157056, 5890, 29, 'Маска для номерів рахунків');
INSERT INTO `lang_definitions` VALUES (157057, 5891, 29, 'Маска для ID пацієнта');
INSERT INTO `lang_definitions` VALUES (157058, 5892, 29, 'Маска для ID продукції');
INSERT INTO `lang_definitions` VALUES (157059, 5894, 29, 'Відповідність');
INSERT INTO `lang_definitions` VALUES (157060, 5895, 29, 'Відповідність вибору');
INSERT INTO `lang_definitions` VALUES (157061, 5907, 29, 'Максимум');
INSERT INTO `lang_definitions` VALUES (157062, 5910, 29, 'досягнуто максимальне число файлів - перезавантажте названі нижче');
INSERT INTO `lang_definitions` VALUES (157063, 5912, 29, 'Пахвова область справа:');
INSERT INTO `lang_definitions` VALUES (157064, 5913, 29, 'Максимальний вік');
INSERT INTO `lang_definitions` VALUES (157065, 5914, 29, 'Максимум символів');
INSERT INTO `lang_definitions` VALUES (157066, 5917, 29, 'Максимальний простій в секундах до входу в систему.');
INSERT INTO `lang_definitions` VALUES (157067, 5920, 29, 'Максимально розумні запаси, 0, якщо не застосовно');
INSERT INTO `lang_definitions` VALUES (157068, 5921, 29, 'Максимальний розмір');
INSERT INTO `lang_definitions` VALUES (157069, 5922, 29, 'Максимальний розмір (щоб дозволити довільний розмір, введіть 0)');
INSERT INTO `lang_definitions` VALUES (157070, 5924, 29, 'Травень');
INSERT INTO `lang_definitions` VALUES (157071, 5926, 29, 'Мікроскопія і виділення культури');
INSERT INTO `lang_definitions` VALUES (157072, 5927, 29, 'мкг');
INSERT INTO `lang_definitions` VALUES (157073, 5929, 29, 'Означає, що жоден з трьох останніх паролів не дозволений для заміни паролю.');
INSERT INTO `lang_definitions` VALUES (157074, 5931, 29, 'Код групи одиниць виміру');
INSERT INTO `lang_definitions` VALUES (157075, 5933, 29, 'Система заходів');
INSERT INTO `lang_definitions` VALUES (157076, 5939, 29, 'Внутрішня область кісточки');
INSERT INTO `lang_definitions` VALUES (157077, 5940, 29, 'Медична допомога');
INSERT INTO `lang_definitions` VALUES (157078, 5942, 29, 'Медичний');
INSERT INTO `lang_definitions` VALUES (157079, 5943, 29, 'Медичний аборт');
INSERT INTO `lang_definitions` VALUES (157080, 5944, 29, 'Медична адміністрація');
INSERT INTO `lang_definitions` VALUES (157081, 5946, 29, 'Анамнез');
INSERT INTO `lang_definitions` VALUES (157082, 5947, 29, 'Медичний результат');
INSERT INTO `lang_definitions` VALUES (157083, 5948, 29, 'Медичний результат');
INSERT INTO `lang_definitions` VALUES (157084, 5951, 29, 'Медична проблема');
INSERT INTO `lang_definitions` VALUES (157085, 5952, 29, 'Медична проблема');
INSERT INTO `lang_definitions` VALUES (157086, 5953, 29, 'Перелік медичних проблем');
INSERT INTO `lang_definitions` VALUES (157087, 5954, 29, 'Медичні проблеми');
INSERT INTO `lang_definitions` VALUES (157088, 5956, 29, 'Медичний запис');
INSERT INTO `lang_definitions` VALUES (157089, 5957, 29, 'Медичний запис #');
INSERT INTO `lang_definitions` VALUES (157090, 5959, 29, 'Медичні записи');
INSERT INTO `lang_definitions` VALUES (157091, 5961, 29, 'Медичні записи відправлені');
INSERT INTO `lang_definitions` VALUES (157092, 5963, 29, 'Медичний звіт надано');
INSERT INTO `lang_definitions` VALUES (157093, 5964, 29, 'Медична система');
INSERT INTO `lang_definitions` VALUES (157094, 5965, 29, 'Тип лікування');
INSERT INTO `lang_definitions` VALUES (157095, 5966, 29, 'Захворювання /анамнез (на вибір - право записувати/добавляти)');
INSERT INTO `lang_definitions` VALUES (157096, 5968, 29, 'Частина В безкоштовної медичної допомоги');
INSERT INTO `lang_definitions` VALUES (157097, 5969, 29, 'Реферрер Medicare є засобом візуалізації');
INSERT INTO `lang_definitions` VALUES (157098, 5970, 29, 'Препарат');
INSERT INTO `lang_definitions` VALUES (157099, 5971, 29, 'Список медикаментозної алергії');
INSERT INTO `lang_definitions` VALUES (157100, 5972, 29, 'Перелік медикаментозних проблем');
INSERT INTO `lang_definitions` VALUES (157101, 5973, 29, 'Список ліків');
INSERT INTO `lang_definitions` VALUES (157102, 5974, 29, 'Узгоджене лікування виконане?');
INSERT INTO `lang_definitions` VALUES (157103, 5975, 29, 'Медикаменти');
INSERT INTO `lang_definitions` VALUES (157104, 5978, 29, 'Медикаменти:');
INSERT INTO `lang_definitions` VALUES (157105, 5979, 29, 'Одиниці випуску медикаменту');
INSERT INTO `lang_definitions` VALUES (157106, 5980, 29, 'По-батькові');
INSERT INTO `lang_definitions` VALUES (157107, 5984, 29, 'Статистичний звіт члена Асоціації');
INSERT INTO `lang_definitions` VALUES (157108, 5986, 29, 'Проблеми пам\'яті');
INSERT INTO `lang_definitions` VALUES (157109, 5987, 29, 'Чоловіки');
INSERT INTO `lang_definitions` VALUES (157110, 5988, 29, 'Чоловіки та жінки');
INSERT INTO `lang_definitions` VALUES (157111, 5989, 29, 'Лише чоловіки');
INSERT INTO `lang_definitions` VALUES (157112, 5990, 29, 'Менархе');
INSERT INTO `lang_definitions` VALUES (157113, 5991, 29, 'Менопауза');
INSERT INTO `lang_definitions` VALUES (157114, 5992, 29, 'Рясна менструація');
INSERT INTO `lang_definitions` VALUES (157115, 5993, 29, 'Менструальний цикл');
INSERT INTO `lang_definitions` VALUES (157116, 5994, 29, 'Психічне захворювання');
INSERT INTO `lang_definitions` VALUES (157117, 6001, 29, 'Об\"єднати');
INSERT INTO `lang_definitions` VALUES (157118, 6002, 29, 'Об\"єднання завершено.');
INSERT INTO `lang_definitions` VALUES (157119, 6003, 29, 'Об\"єднати пацієнтів');
INSERT INTO `lang_definitions` VALUES (157120, 6005, 29, 'Повідомлення');
INSERT INTO `lang_definitions` VALUES (157121, 6006, 29, 'Центр повідомлень і нагадувань');
INSERT INTO `lang_definitions` VALUES (157122, 6009, 29, 'Вміст повідомлення не є звичайним текстом, тому буде збережений як документ');
INSERT INTO `lang_definitions` VALUES (157123, 6012, 29, 'Надіслане повідомлення');
INSERT INTO `lang_definitions` VALUES (157124, 6013, 29, 'Статус повідомлення');
INSERT INTO `lang_definitions` VALUES (157125, 6017, 29, 'Тип повідомлення');
INSERT INTO `lang_definitions` VALUES (157126, 6018, 29, 'ПОВІДОМЛЕННЯ:');
INSERT INTO `lang_definitions` VALUES (157127, 6019, 29, 'Повідомлення');
INSERT INTO `lang_definitions` VALUES (157128, 6022, 29, 'Повідомлення, які Ви надліслали сьогодні');
INSERT INTO `lang_definitions` VALUES (157129, 6026, 29, 'Метод');
INSERT INTO `lang_definitions` VALUES (157130, 6027, 29, 'Метод і певний результат');
INSERT INTO `lang_definitions` VALUES (157131, 6029, 29, 'Метод для відправлення вихідних e-mail.');
INSERT INTO `lang_definitions` VALUES (157132, 6030, 29, 'Метод знищення');
INSERT INTO `lang_definitions` VALUES (157133, 6031, 29, 'Мексиканець/американець мексиканського походження/чикано');
INSERT INTO `lang_definitions` VALUES (157134, 6038, 29, 'мг');
INSERT INTO `lang_definitions` VALUES (157135, 6039, 29, 'мг/1куб.см.');
INSERT INTO `lang_definitions` VALUES (157136, 6040, 29, 'мг/2куб.см.');
INSERT INTO `lang_definitions` VALUES (157137, 6041, 29, 'мг/3куб.см.');
INSERT INTO `lang_definitions` VALUES (157138, 6042, 29, 'мг/4куб.см.');
INSERT INTO `lang_definitions` VALUES (157139, 6043, 29, 'мг/5куб.см.');
INSERT INTO `lang_definitions` VALUES (157140, 6044, 29, 'мг/дл');
INSERT INTO `lang_definitions` VALUES (157141, 6046, 29, 'Середній');
INSERT INTO `lang_definitions` VALUES (157142, 6047, 29, 'По-батькові');
INSERT INTO `lang_definitions` VALUES (157143, 6048, 29, 'По-батькові');
INSERT INTO `lang_definitions` VALUES (157144, 6051, 29, 'Специаліст DEA середнього рівня');
INSERT INTO `lang_definitions` VALUES (157145, 6052, 29, 'Ім\'я відповідального середнього рівня');
INSERT INTO `lang_definitions` VALUES (157146, 6053, 29, 'Прізвище відповідального середнього рівня');
INSERT INTO `lang_definitions` VALUES (157147, 6055, 29, 'Ініціали відповідального середнього рівня');
INSERT INTO `lang_definitions` VALUES (157148, 6056, 29, 'UPIN відповідального середнього рівня');
INSERT INTO `lang_definitions` VALUES (157149, 6061, 29, 'Вираз обличчя');
INSERT INTO `lang_definitions` VALUES (157150, 6062, 29, 'Мігрант чи сезонний робочий?');
INSERT INTO `lang_definitions` VALUES (157151, 6064, 29, 'Мігрант /сезонний робочий');
INSERT INTO `lang_definitions` VALUES (157152, 6065, 29, 'млн/куб.мм');
INSERT INTO `lang_definitions` VALUES (157153, 6070, 29, 'Mime-тип');
INSERT INTO `lang_definitions` VALUES (157154, 6071, 29, 'Мін');
INSERT INTO `lang_definitions` VALUES (157155, 6072, 29, 'мін');
INSERT INTO `lang_definitions` VALUES (157156, 6077, 29, 'Мінімальний вік');
INSERT INTO `lang_definitions` VALUES (157157, 6080, 29, 'Легке розтягнення суглоба +/- синовіїт');
INSERT INTO `lang_definitions` VALUES (157158, 6082, 29, 'Хвилина');
INSERT INTO `lang_definitions` VALUES (157159, 6083, 29, 'Хвилини');
INSERT INTO `lang_definitions` VALUES (157160, 6084, 29, 'хвилини');
INSERT INTO `lang_definitions` VALUES (157161, 6086, 29, 'Інше');
INSERT INTO `lang_definitions` VALUES (157162, 6087, 29, 'Варіанти інших рахунків');
INSERT INTO `lang_definitions` VALUES (157163, 6088, 29, 'Варіанти інших рахунків для HCFA-1500');
INSERT INTO `lang_definitions` VALUES (157164, 6089, 29, 'Варіанти інших рахунків HCFA');
INSERT INTO `lang_definitions` VALUES (157165, 6090, 29, 'Різне');
INSERT INTO `lang_definitions` VALUES (157166, 6092, 29, 'Пропущений');
INSERT INTO `lang_definitions` VALUES (157167, 6093, 29, 'пропущений');
INSERT INTO `lang_definitions` VALUES (157168, 6094, 29, 'Пропущене обов\'язкове поле');
INSERT INTO `lang_definitions` VALUES (157169, 6097, 29, 'Пропущена оплата');
INSERT INTO `lang_definitions` VALUES (157170, 6100, 29, 'Пропущений лише модифікатор');
INSERT INTO `lang_definitions` VALUES (157171, 6101, 29, 'Пропущений чи недійсний');
INSERT INTO `lang_definitions` VALUES (157172, 6103, 29, 'Пропущений PID.');
INSERT INTO `lang_definitions` VALUES (157173, 6104, 29, 'Пропущена дата звіту');
INSERT INTO `lang_definitions` VALUES (157174, 6105, 29, 'Пропущений слеш після платника для коду');
INSERT INTO `lang_definitions` VALUES (157175, 6111, 29, 'Змішаний');
INSERT INTO `lang_definitions` VALUES (157176, 6113, 29, 'мл');
INSERT INTO `lang_definitions` VALUES (157177, 6114, 29, 'ММ/ДД/РРРР');
INSERT INTO `lang_definitions` VALUES (157178, 6115, 29, 'мм. рт. ст.');
INSERT INTO `lang_definitions` VALUES (157179, 6116, 29, 'мм. рт. ст.');
INSERT INTO `lang_definitions` VALUES (157180, 6117, 29, 'Частота материнської смертності 1');
INSERT INTO `lang_definitions` VALUES (157181, 6118, 29, 'Частота материнської смертності 2');
INSERT INTO `lang_definitions` VALUES (157182, 6120, 29, 'Мобильний');
INSERT INTO `lang_definitions` VALUES (157183, 6121, 29, 'Мобильний телефон');
INSERT INTO `lang_definitions` VALUES (157184, 6125, 29, 'Модиф.');
INSERT INTO `lang_definitions` VALUES (157185, 6129, 29, 'Пріоритет стримування');
INSERT INTO `lang_definitions` VALUES (157186, 6131, 29, 'Стримування/низький пріоритет');
INSERT INTO `lang_definitions` VALUES (157187, 6133, 29, 'Модифікатор');
INSERT INTO `lang_definitions` VALUES (157188, 6139, 29, 'Модифікатори');
INSERT INTO `lang_definitions` VALUES (157189, 6140, 29, 'Змінений');
INSERT INTO `lang_definitions` VALUES (157190, 6143, 29, 'Змінені платежі');
INSERT INTO `lang_definitions` VALUES (157191, 6145, 29, 'Дов.модиф.');
INSERT INTO `lang_definitions` VALUES (157192, 6153, 29, 'Пон.');
INSERT INTO `lang_definitions` VALUES (157193, 6154, 29, 'з Пон по Пт');
INSERT INTO `lang_definitions` VALUES (157194, 6155, 29, 'Пн, Ср &amp; Пт');
INSERT INTO `lang_definitions` VALUES (157195, 6156, 29, 'Понеділок');
INSERT INTO `lang_definitions` VALUES (157196, 6160, 29, 'місяць');
INSERT INTO `lang_definitions` VALUES (157197, 6161, 29, 'Місяць');
INSERT INTO `lang_definitions` VALUES (157198, 6162, 29, 'Огляд за місяць');
INSERT INTO `lang_definitions` VALUES (157199, 6163, 29, 'Місяць(і)');
INSERT INTO `lang_definitions` VALUES (157200, 6164, 29, 'Щомісячний дохід');
INSERT INTO `lang_definitions` VALUES (157201, 6166, 29, 'Місяці');
INSERT INTO `lang_definitions` VALUES (157202, 6179, 29, 'Знайдено понад 100 записів. Будь-ласка, уточніть критерії пошуку.');
INSERT INTO `lang_definitions` VALUES (157203, 6180, 29, 'Понад 50 результатів. Будь-ласка, конкретизуйте пошук.');
INSERT INTO `lang_definitions` VALUES (157204, 6184, 29, 'Клацніть на заголовку, щоб змінити порядок сортування в стовбці (працює для більшості стовбців).');
INSERT INTO `lang_definitions` VALUES (157205, 6186, 29, 'Найновіший з');
INSERT INTO `lang_definitions` VALUES (157206, 6189, 29, 'Найновіші життєво-важливі показники від:');
INSERT INTO `lang_definitions` VALUES (157207, 6190, 29, 'Мати');
INSERT INTO `lang_definitions` VALUES (157208, 6191, 29, 'Прізвище матері');
INSERT INTO `lang_definitions` VALUES (157209, 6195, 29, 'Рот');
INSERT INTO `lang_definitions` VALUES (157210, 6196, 29, 'Перемістити');
INSERT INTO `lang_definitions` VALUES (157211, 6197, 29, 'Перемістити документ в категорію:');
INSERT INTO `lang_definitions` VALUES (157212, 6198, 29, 'Перемістіть вниз');
INSERT INTO `lang_definitions` VALUES (157213, 6199, 29, 'Збій переміщення!');
INSERT INTO `lang_definitions` VALUES (157214, 6201, 29, 'Перемістити до піцієнта');
INSERT INTO `lang_definitions` VALUES (157215, 6202, 29, 'Перемістити до:');
INSERT INTO `lang_definitions` VALUES (157216, 6203, 29, 'Перемістити вище');
INSERT INTO `lang_definitions` VALUES (157217, 6204, 29, 'Переміщення');
INSERT INTO `lang_definitions` VALUES (157218, 6209, 29, 'Пан');
INSERT INTO `lang_definitions` VALUES (157219, 6211, 29, 'MRN (pid)');
INSERT INTO `lang_definitions` VALUES (157220, 6215, 29, 'Пані');
INSERT INTO `lang_definitions` VALUES (157221, 6217, 29, 'Панна');
INSERT INTO `lang_definitions` VALUES (157222, 6218, 29, 'MSH-11');
INSERT INTO `lang_definitions` VALUES (157223, 6219, 29, 'MSH-3.1');
INSERT INTO `lang_definitions` VALUES (157224, 6220, 29, 'MSH-4.1');
INSERT INTO `lang_definitions` VALUES (157225, 6221, 29, 'MSH-5.1');
INSERT INTO `lang_definitions` VALUES (157226, 6222, 29, 'MSH-6.1');
INSERT INTO `lang_definitions` VALUES (157227, 6226, 29, 'Код MSP');
INSERT INTO `lang_definitions` VALUES (157228, 6227, 29, 'Код зменшення MSP');
INSERT INTO `lang_definitions` VALUES (157229, 6230, 29, 'Інструментарій пеекладу');
INSERT INTO `lang_definitions` VALUES (157230, 6234, 29, 'Множинні ділянки');
INSERT INTO `lang_definitions` VALUES (157231, 6236, 29, 'Кілька файлів можна вивантажити одночасно, вибираючи їх за допомогою CTRL+Click чи SHIFT+Click.');
INSERT INTO `lang_definitions` VALUES (157232, 6237, 29, 'Декілька партій');
INSERT INTO `lang_definitions` VALUES (157233, 6238, 29, 'Складні модифікатори можна відокремлювати двокрапками або проміжками, максимально 4 (М1:М2:М3:М4)');
INSERT INTO `lang_definitions` VALUES (157234, 6242, 29, 'Багатонаціональний');
INSERT INTO `lang_definitions` VALUES (157235, 6243, 29, 'Шум:');
INSERT INTO `lang_definitions` VALUES (157236, 6244, 29, 'М\'язовий біль');
INSERT INTO `lang_definitions` VALUES (157237, 6245, 29, 'М\'язові болі');
INSERT INTO `lang_definitions` VALUES (157238, 6246, 29, 'Гіперемія шкіри над м\'язом');
INSERT INTO `lang_definitions` VALUES (157239, 6247, 29, 'М\'язова регідність');
INSERT INTO `lang_definitions` VALUES (157240, 6248, 29, 'Опухлість м\'за');
INSERT INTO `lang_definitions` VALUES (157241, 6249, 29, 'Гіпертермія в ділянці м\'за');
INSERT INTO `lang_definitions` VALUES (157242, 6250, 29, 'М\'язовий');
INSERT INTO `lang_definitions` VALUES (157243, 6251, 29, 'Ураження м\'за');
INSERT INTO `lang_definitions` VALUES (157244, 6252, 29, 'Кістково-м\'язовий');
INSERT INTO `lang_definitions` VALUES (157245, 6256, 29, 'Якщо ідентифікація через SMPT не використовується, то має бути порожнім');
INSERT INTO `lang_definitions` VALUES (157246, 6259, 29, 'Визначається спільно');
INSERT INTO `lang_definitions` VALUES (157247, 6260, 29, 'ДТП');
INSERT INTO `lang_definitions` VALUES (157248, 6267, 29, 'самостійно');
INSERT INTO `lang_definitions` VALUES (157249, 6271, 29, 'Не застос.');
INSERT INTO `lang_definitions` VALUES (157250, 6272, 29, 'не застос.');
INSERT INTO `lang_definitions` VALUES (157251, 6274, 29, 'ПІБ');
INSERT INTO `lang_definitions` VALUES (157252, 6276, 29, 'Назва (клацніть для уточнення)');
INSERT INTO `lang_definitions` VALUES (157253, 6278, 29, 'Назва 1');
INSERT INTO `lang_definitions` VALUES (157254, 6279, 29, 'Назва 2');
INSERT INTO `lang_definitions` VALUES (157255, 6280, 29, 'Назва і заголовок органу, що керує імунізацію');
INSERT INTO `lang_definitions` VALUES (157256, 6284, 29, 'Назва подій');
INSERT INTO `lang_definitions` VALUES (157257, 6285, 29, 'Назва страхової компанії');
INSERT INTO `lang_definitions` VALUES (157258, 6286, 29, 'Прізвище спеціаліста');
INSERT INTO `lang_definitions` VALUES (157259, 6287, 29, 'Прізвище того, хто відправляє нагадування для пацієнта');
INSERT INTO `lang_definitions` VALUES (157260, 6294, 29, 'Переклад назви');
INSERT INTO `lang_definitions` VALUES (157261, 6295, 29, 'Назва/значення');
INSERT INTO `lang_definitions` VALUES (157262, 6296, 29, 'Назва:');
INSERT INTO `lang_definitions` VALUES (157263, 6300, 29, 'НІЗДРІ:');
INSERT INTO `lang_definitions` VALUES (157264, 6301, 29, 'НІЗДРІ: Справа в нормі');
INSERT INTO `lang_definitions` VALUES (157265, 6304, 29, 'Слизова носа рожева, перегородка посередині');
INSERT INTO `lang_definitions` VALUES (157266, 6305, 29, 'Записи в національній нотації');
INSERT INTO `lang_definitions` VALUES (157267, 6308, 29, 'Налаштування записів в національній нотації');
INSERT INTO `lang_definitions` VALUES (157268, 6309, 29, 'Кнопки заміни записів в національній нотації');
INSERT INTO `lang_definitions` VALUES (157269, 6310, 29, 'Національність');
INSERT INTO `lang_definitions` VALUES (157270, 6311, 29, 'Записи в національній нотації');
INSERT INTO `lang_definitions` VALUES (157271, 6313, 29, 'Корінний гаваєць або інший житель островів Тихого Океану');
INSERT INTO `lang_definitions` VALUES (157272, 6319, 29, 'Нудота');
INSERT INTO `lang_definitions` VALUES (157273, 6322, 29, 'Навігація');
INSERT INTO `lang_definitions` VALUES (157274, 6323, 29, 'Область навігації включає варіанти звернення');
INSERT INTO `lang_definitions` VALUES (157275, 6324, 29, 'Область навігації використовує всю висоту вікна');
INSERT INTO `lang_definitions` VALUES (157276, 6325, 29, 'Форми відвідування для області навігації');
INSERT INTO `lang_definitions` VALUES (157277, 6326, 29, 'Ширина області навігації');
INSERT INTO `lang_definitions` VALUES (157278, 6328, 29, 'Меню навігації складається з кількох пар перемикачів');
INSERT INTO `lang_definitions` VALUES (157279, 6329, 29, 'Навігаційне меню у вигляді дерева');
INSERT INTO `lang_definitions` VALUES (157280, 6330, 29, 'Навігація використовує меню-слайдер');
INSERT INTO `lang_definitions` VALUES (157281, 6334, 29, 'NDC');
INSERT INTO `lang_definitions` VALUES (157282, 6335, 29, 'Дані NDC');
INSERT INTO `lang_definitions` VALUES (157283, 6336, 29, 'Номер NDC');
INSERT INTO `lang_definitions` VALUES (157284, 6348, 29, 'Шия');
INSERT INTO `lang_definitions` VALUES (157285, 6349, 29, 'Проблеми з шиєю');
INSERT INTO `lang_definitions` VALUES (157286, 6350, 29, 'Гнучкість шиї');
INSERT INTO `lang_definitions` VALUES (157287, 6352, 29, 'Необхідно ввести опис');
INSERT INTO `lang_definitions` VALUES (157288, 6353, 29, 'Необхідно ввести повернене значення');
INSERT INTO `lang_definitions` VALUES (157289, 6354, 29, 'Необхідно ввести ідентифікатор');
INSERT INTO `lang_definitions` VALUES (157290, 6355, 29, 'Необхідно ввести назву');
INSERT INTO `lang_definitions` VALUES (157291, 6358, 29, 'Потребує авторизації');
INSERT INTO `lang_definitions` VALUES (157292, 6359, 29, 'Потребує підтвердження');
INSERT INTO `lang_definitions` VALUES (157293, 6360, 29, 'Потребує повторного виставлення рахунку');
INSERT INTO `lang_definitions` VALUES (157294, 6361, 29, 'Негативний');
INSERT INTO `lang_definitions` VALUES (157295, 6363, 29, 'Заперечення');
INSERT INTO `lang_definitions` VALUES (157296, 6369, 29, 'Ушкодження нерва');
INSERT INTO `lang_definitions` VALUES (157297, 6371, 29, 'Неврологічний статус / ушкодження нерва');
INSERT INTO `lang_definitions` VALUES (157298, 6373, 29, 'Заціпеніння');
INSERT INTO `lang_definitions` VALUES (157299, 6374, 29, 'Слабкість');
INSERT INTO `lang_definitions` VALUES (157300, 6377, 29, 'Неврологічний');
INSERT INTO `lang_definitions` VALUES (157301, 6381, 29, 'Ніколи');
INSERT INTO `lang_definitions` VALUES (157302, 6382, 29, 'Не вживав алкоголь');
INSERT INTO `lang_definitions` VALUES (157303, 6383, 29, 'Не палив');
INSERT INTO `lang_definitions` VALUES (157304, 6384, 29, 'Новий');
INSERT INTO `lang_definitions` VALUES (157305, 6385, 29, 'Новий =>');
INSERT INTO `lang_definitions` VALUES (157306, 6386, 29, 'Нові отримувачі');
INSERT INTO `lang_definitions` VALUES (157307, 6388, 29, 'Новий вид аллергії');
INSERT INTO `lang_definitions` VALUES (157308, 6390, 29, 'Новий запис на прийом');
INSERT INTO `lang_definitions` VALUES (157309, 6391, 29, 'Нові категорії');
INSERT INTO `lang_definitions` VALUES (157310, 6392, 29, 'Нова категорія');
INSERT INTO `lang_definitions` VALUES (157311, 6393, 29, 'Нові клієнти');
INSERT INTO `lang_definitions` VALUES (157312, 6394, 29, 'Нова консультація');
INSERT INTO `lang_definitions` VALUES (157313, 6395, 29, 'Нова група');
INSERT INTO `lang_definitions` VALUES (157314, 6396, 29, 'Доданий новий набір визначень');
INSERT INTO `lang_definitions` VALUES (157315, 6397, 29, 'Новий документ');
INSERT INTO `lang_definitions` VALUES (157316, 6398, 29, 'Нові документи');
INSERT INTO `lang_definitions` VALUES (157317, 6401, 29, 'Нове звернення');
INSERT INTO `lang_definitions` VALUES (157318, 6402, 29, 'Нове звернення створене з id');
INSERT INTO `lang_definitions` VALUES (157319, 6403, 29, 'Нова форма звернення');
INSERT INTO `lang_definitions` VALUES (157320, 6404, 29, 'Доступ до нових звертань не дозволено');
INSERT INTO `lang_definitions` VALUES (157321, 6405, 29, 'Нове звертання');
INSERT INTO `lang_definitions` VALUES (157322, 6406, 29, 'Інформація про новий медичний заклад');
INSERT INTO `lang_definitions` VALUES (157323, 6407, 29, 'Новий файл');
INSERT INTO `lang_definitions` VALUES (157324, 6408, 29, 'Нові файли');
INSERT INTO `lang_definitions` VALUES (157325, 6410, 29, 'Нова група');
INSERT INTO `lang_definitions` VALUES (157326, 6413, 29, 'Інформація щодо нової групи');
INSERT INTO `lang_definitions` VALUES (157327, 6422, 29, 'Нове введення/стан');
INSERT INTO `lang_definitions` VALUES (157328, 6425, 29, 'Нове обмеження подій');
INSERT INTO `lang_definitions` VALUES (157329, 6426, 29, 'Новий список');
INSERT INTO `lang_definitions` VALUES (157330, 6432, 29, 'Нові призначення');
INSERT INTO `lang_definitions` VALUES (157331, 6433, 29, 'Новий пункт (розділ)');
INSERT INTO `lang_definitions` VALUES (157332, 6434, 29, 'Новий пароль');
INSERT INTO `lang_definitions` VALUES (157333, 6435, 29, 'Новий пацієнт');
INSERT INTO `lang_definitions` VALUES (157334, 6436, 29, 'НОВИЙ ПАЦІЄНТ');
INSERT INTO `lang_definitions` VALUES (157335, 6437, 29, 'Звернення нового пацієнта');
INSERT INTO `lang_definitions` VALUES (157336, 6438, 29, 'Нова форма пацієнта');
INSERT INTO `lang_definitions` VALUES (157337, 6439, 29, 'ID нового пацієнта');
INSERT INTO `lang_definitions` VALUES (157338, 6442, 29, 'Нова оплата');
INSERT INTO `lang_definitions` VALUES (157339, 6445, 29, 'Новий пункт');
INSERT INTO `lang_definitions` VALUES (157340, 6447, 29, 'Нові результати з Lab Exchange');
INSERT INTO `lang_definitions` VALUES (157341, 6448, 29, 'Новий пошук');
INSERT INTO `lang_definitions` VALUES (157342, 6449, 29, 'Новий розгляд');
INSERT INTO `lang_definitions` VALUES (157343, 6451, 29, 'Новий користувач');
INSERT INTO `lang_definitions` VALUES (157344, 6453, 29, 'Новий візит');
INSERT INTO `lang_definitions` VALUES (157345, 6454, 29, 'Новий/Пошук');
INSERT INTO `lang_definitions` VALUES (157346, 6455, 29, 'Статус рахунка NewCrop');
INSERT INTO `lang_definitions` VALUES (157347, 6456, 29, 'Адміністрація NewCrop');
INSERT INTO `lang_definitions` VALUES (157348, 6457, 29, 'Виклик NewCrop дав збій');
INSERT INTO `lang_definitions` VALUES (157349, 6458, 29, 'Лікар NewCrop');
INSERT INTO `lang_definitions` VALUES (157350, 6463, 29, 'Найменування eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (157351, 6464, 29, 'Наименування партнера eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (157352, 6465, 29, 'Пароль eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (157353, 6466, 29, 'Рівень доступу eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (157354, 6467, 29, 'Рівень доступу eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (157355, 6468, 29, 'Адреса вузла eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (157356, 6473, 29, 'Адреса веб-служби eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (157357, 6474, 29, 'Менеджер NewCrop');
INSERT INTO `lang_definitions` VALUES (157358, 6475, 29, 'Мед. запис для NewCrop');
INSERT INTO `lang_definitions` VALUES (157359, 6476, 29, 'Фахівець середнього рівня NewCrop з правом призначення рецептурних препаратів');
INSERT INTO `lang_definitions` VALUES (157360, 6477, 29, 'Медсестра NewCrop');
INSERT INTO `lang_definitions` VALUES (157361, 6478, 29, 'Контролюючий лікар NewCrop');
INSERT INTO `lang_definitions` VALUES (157362, 6481, 29, 'Газета');
INSERT INTO `lang_definitions` VALUES (157363, 6482, 29, 'Наступний');
INSERT INTO `lang_definitions` VALUES (157364, 6484, 29, 'Наступний день');
INSERT INTO `lang_definitions` VALUES (157365, 6485, 29, 'Наступний місяць');
INSERT INTO `lang_definitions` VALUES (157366, 6486, 29, 'Наступний місяць (утримайте для меню)');
INSERT INTO `lang_definitions` VALUES (157367, 6488, 29, 'Наступний запланований запуск');
INSERT INTO `lang_definitions` VALUES (157368, 6491, 29, 'Наступний тиждень');
INSERT INTO `lang_definitions` VALUES (157369, 6492, 29, 'Наступний рік (утримайте для меню)');
INSERT INTO `lang_definitions` VALUES (157370, 6494, 29, 'Псевдонім');
INSERT INTO `lang_definitions` VALUES (157371, 6496, 29, 'Пітливість вночі');
INSERT INTO `lang_definitions` VALUES (157372, 6498, 29, 'Nl зовнішніх статевих органів, слизової вагіни, шийки матки');
INSERT INTO `lang_definitions` VALUES (157373, 6499, 29, 'Ні');
INSERT INTO `lang_definitions` VALUES (157374, 6500, 29, 'НІ');
INSERT INTO `lang_definitions` VALUES (157375, 6502, 29, 'Немає доступу');
INSERT INTO `lang_definitions` VALUES (157376, 6503, 29, 'Активних нагадувань для пацієнта немає.');
INSERT INTO `lang_definitions` VALUES (157377, 6504, 29, 'Аденопатії немає (обов\'язково 2 ділянки)');
INSERT INTO `lang_definitions` VALUES (157378, 6505, 29, 'Не знайдено типу причини для коригування');
INSERT INTO `lang_definitions` VALUES (157379, 6506, 29, 'Немає болючості/новоутворень у придатках');
INSERT INTO `lang_definitions` VALUES (157380, 6509, 29, 'Записів на прийом немає');
INSERT INTO `lang_definitions` VALUES (157381, 6515, 29, 'На даний час біллінгова система є неактивною');
INSERT INTO `lang_definitions` VALUES (157382, 6516, 29, 'Для включення в експорт OFX рахунків не виявлено');
INSERT INTO `lang_definitions` VALUES (157383, 6517, 29, 'Для включення в експорт OFX рахунків не виявлено<br>');
INSERT INTO `lang_definitions` VALUES (157384, 6519, 29, 'Не вказаний код!');
INSERT INTO `lang_definitions` VALUES (157385, 6523, 29, 'Нема діагноза');
INSERT INTO `lang_definitions` VALUES (157386, 6526, 29, 'Жодних документів не знайдено');
INSERT INTO `lang_definitions` VALUES (157387, 6527, 29, 'Жодних звернень не було створено');
INSERT INTO `lang_definitions` VALUES (157388, 6529, 29, 'Немає кінцевої дати');
INSERT INTO `lang_definitions` VALUES (157389, 6530, 29, 'Жодного запису не знайдено. Використовуйте подану нижче форму, щоби добавити запис.');
INSERT INTO `lang_definitions` VALUES (157390, 6531, 29, 'Помилок не знайдено');
INSERT INTO `lang_definitions` VALUES (157391, 6532, 29, 'Жодних подій немає.');
INSERT INTO `lang_definitions` VALUES (157392, 6534, 29, 'Жодних файлів на етапі встановлення');
INSERT INTO `lang_definitions` VALUES (157393, 6536, 29, 'Жодна група не обрана.');
INSERT INTO `lang_definitions` VALUES (157394, 6537, 29, 'Немає жодних гриж.');
INSERT INTO `lang_definitions` VALUES (157395, 6540, 29, 'Без травми/захворювань');
INSERT INTO `lang_definitions` VALUES (157396, 6541, 29, 'Не знайдені страхові компанії');
INSERT INTO `lang_definitions` VALUES (157397, 6544, 29, 'Проблем немає');
INSERT INTO `lang_definitions` VALUES (157398, 6545, 29, 'Для цього звернення проблем немає');
INSERT INTO `lang_definitions` VALUES (157399, 6546, 29, 'У вибраній категорії немає пунктів');
INSERT INTO `lang_definitions` VALUES (157400, 6547, 29, 'Не обраний жодний пункт!');
INSERT INTO `lang_definitions` VALUES (157401, 6562, 29, 'Жодного зареєстрованого файлу немає на обрану датн');
INSERT INTO `lang_definitions` VALUES (157402, 6565, 29, 'Немає новоутворень, болючості');
INSERT INTO `lang_definitions` VALUES (157403, 6566, 29, 'Для наданого Re коду індентифікації немає відповідного запису щодо пацієнта.');
INSERT INTO `lang_definitions` VALUES (157404, 6568, 29, 'Жодного співпадіння. Спробуйте пошукати знову.');
INSERT INTO `lang_definitions` VALUES (157405, 6569, 29, 'Співпадінь не виявлено.');
INSERT INTO `lang_definitions` VALUES (157406, 6570, 29, 'Співпадінь не виявлено. Оформити нового пацієнта?');
INSERT INTO `lang_definitions` VALUES (157407, 6571, 29, 'Жодних відповідних записів не знайдено');
INSERT INTO `lang_definitions` VALUES (157408, 6577, 29, 'Нових результатів не виявлено');
INSERT INTO `lang_definitions` VALUES (157409, 6578, 29, 'Немає записів');
INSERT INTO `lang_definitions` VALUES (157410, 6579, 29, 'Органомегалія не простежується');
INSERT INTO `lang_definitions` VALUES (157411, 6580, 29, 'За цей період жодних відкритих не виявлено');
INSERT INTO `lang_definitions` VALUES (157412, 6583, 29, 'Жодних інших телефонних номерів немає.');
INSERT INTO `lang_definitions` VALUES (157413, 6585, 29, 'Партнерів не знайдено');
INSERT INTO `lang_definitions` VALUES (157414, 6586, 29, 'Для поданих критеріїв вибору жодного запису щодо паціента не знайдено.');
INSERT INTO `lang_definitions` VALUES (157415, 6587, 29, 'Для поданого Re коду індентифікації жодного запису щодо пацієнта не знайдено.');
INSERT INTO `lang_definitions` VALUES (157416, 6588, 29, 'Немає перифирійних набряків.');
INSERT INTO `lang_definitions` VALUES (157417, 6589, 29, 'Жодної аптеки не знайдено');
INSERT INTO `lang_definitions` VALUES (157418, 6590, 29, 'Призначень не знайдено');
INSERT INTO `lang_definitions` VALUES (157419, 6592, 29, 'Захворювань/травм не представлено');
INSERT INTO `lang_definitions` VALUES (157420, 6593, 29, 'Відсутні попередні введення.');
INSERT INTO `lang_definitions` VALUES (157421, 6594, 29, 'Жоден медичний заклад не визначено як Основний');
INSERT INTO `lang_definitions` VALUES (157422, 6595, 29, 'Немає попередніх звернень');
INSERT INTO `lang_definitions` VALUES (157423, 6596, 29, 'Немає процедур для цього звернення');
INSERT INTO `lang_definitions` VALUES (157424, 6598, 29, 'Не знайдено спеціалістів');
INSERT INTO `lang_definitions` VALUES (157425, 6599, 29, 'Немає висипу або аномальних уражень.');
INSERT INTO `lang_definitions` VALUES (157426, 6602, 29, 'Записів не знайдено.');
INSERT INTO `lang_definitions` VALUES (157427, 6604, 29, 'Жодних записів не втявлено. Розширте критерії пошуку.');
INSERT INTO `lang_definitions` VALUES (157428, 6607, 29, 'Нагадувань немає');
INSERT INTO `lang_definitions` VALUES (157429, 6608, 29, 'Для зазначених критеріїв пошуку результатів не знайдено.');
INSERT INTO `lang_definitions` VALUES (157430, 6609, 29, 'Результатів немає');
INSERT INTO `lang_definitions` VALUES (157431, 6610, 29, 'Результатів не знайдено');
INSERT INTO `lang_definitions` VALUES (157432, 6612, 29, 'Під час пошуку результатів не знайдено.');
INSERT INTO `lang_definitions` VALUES (157433, 6613, 29, 'Результатів не знайдено, спробуйте ще раз.');
INSERT INTO `lang_definitions` VALUES (157434, 6614, 29, 'Результатів немає, спробуйте ще раз.');
INSERT INTO `lang_definitions` VALUES (157435, 6615, 29, 'Результатів немає, спробуйте ще раз.');
INSERT INTO `lang_definitions` VALUES (157436, 6618, 29, 'Не показувати');
INSERT INTO `lang_definitions` VALUES (157437, 6622, 29, 'Пазухи неболючі:');
INSERT INTO `lang_definitions` VALUES (157438, 6623, 29, 'Не спостерігається заглибин на шкірі чи вузлів на грудях');
INSERT INTO `lang_definitions` VALUES (157439, 6624, 29, 'ТАКОГО КОНТЕКСТНОГО ІМЕНІ НЕМАЄ');
INSERT INTO `lang_definitions` VALUES (157440, 6625, 29, 'Таблицю не вибрано! Виберіть таблицю.');
INSERT INTO `lang_definitions` VALUES (157441, 6626, 29, 'Яєчка неболючі, новоутворень немає');
INSERT INTO `lang_definitions` VALUES (157442, 6628, 29, 'Немає тремтіння і підйомів');
INSERT INTO `lang_definitions` VALUES (157443, 6632, 29, 'Немає відвідувань');
INSERT INTO `lang_definitions` VALUES (157444, 6633, 29, 'Життєво важливі показники не зареєстровані.');
INSERT INTO `lang_definitions` VALUES (157445, 6634, 29, 'Ні, відмінити');
INSERT INTO `lang_definitions` VALUES (157446, 6635, 29, 'Страхування автотранспортного засобу незалежно від винуватця зіткнення є первинним');
INSERT INTO `lang_definitions` VALUES (157447, 6636, 29, 'Нет:');
INSERT INTO `lang_definitions` VALUES (157448, 6637, 29, 'Ніктурія, нічна поліурія');
INSERT INTO `lang_definitions` VALUES (157449, 6638, 29, 'Не оплачено');
INSERT INTO `lang_definitions` VALUES (157450, 6640, 29, 'Ненаданий звіт');
INSERT INTO `lang_definitions` VALUES (157451, 6641, 29, 'Пошкодження невизначеного типу');
INSERT INTO `lang_definitions` VALUES (157452, 6642, 29, 'Неелектроннтй');
INSERT INTO `lang_definitions` VALUES (157453, 6643, 29, 'Не-інсулінонезалежний діабет');
INSERT INTO `lang_definitions` VALUES (157454, 6644, 29, 'Не застрахований');
INSERT INTO `lang_definitions` VALUES (157455, 6646, 29, 'Медичні аспекти, не пов\'язані з сексуальним і репродуктивним здоров\"ям');
INSERT INTO `lang_definitions` VALUES (157456, 6647, 29, 'Немедичні аспекти, не пов\'язані з сексуальним і репродуктивним здоров\"ям');
INSERT INTO `lang_definitions` VALUES (157457, 6648, 29, 'Немає');
INSERT INTO `lang_definitions` VALUES (157458, 6649, 29, 'немає');
INSERT INTO `lang_definitions` VALUES (157459, 6650, 29, 'Не визначено');
INSERT INTO `lang_definitions` VALUES (157460, 6652, 29, 'Жоден не зареєстрований');
INSERT INTO `lang_definitions` VALUES (157461, 6653, 29, 'Жоден із зазначеного вище');
INSERT INTO `lang_definitions` VALUES (157462, 6654, 29, 'Жодна лінійка не повинна залишатися повністю пустою');
INSERT INTO `lang_definitions` VALUES (157463, 6683, 29, 'Не-інсулінонезалежний діабет');
INSERT INTO `lang_definitions` VALUES (157464, 6684, 29, 'Також ні');
INSERT INTO `lang_definitions` VALUES (157465, 6685, 29, 'Звичайний');
INSERT INTO `lang_definitions` VALUES (157466, 6687, 29, 'Звичайний рахунок');
INSERT INTO `lang_definitions` VALUES (157467, 6688, 29, 'Звичайне кардіологічне обстеження:');
INSERT INTO `lang_definitions` VALUES (157468, 6689, 29, 'Звичайне кардіологічне обстеження:');
INSERT INTO `lang_definitions` VALUES (157469, 6690, 29, 'Звичайне пульмонологічне обстеження:');
INSERT INTO `lang_definitions` VALUES (157470, 6691, 29, 'Звичайне пульмонологічне обстеження:');
INSERT INTO `lang_definitions` VALUES (157471, 6692, 29, 'Звичайний візит в кабінет лікаря');
INSERT INTO `lang_definitions` VALUES (157472, 6693, 29, 'Звичайна ротоглотка (мезофарінкс):');
INSERT INTO `lang_definitions` VALUES (157473, 6694, 29, 'Звичайний справа');
INSERT INTO `lang_definitions` VALUES (157474, 6695, 29, 'Звичайний справа:');
INSERT INTO `lang_definitions` VALUES (157475, 6696, 29, 'Звичайний вигляд');
INSERT INTO `lang_definitions` VALUES (157476, 6697, 29, 'звичайний:');
INSERT INTO `lang_definitions` VALUES (157477, 6698, 29, 'Зазвичай, повинно бути перевірено. Не пов\'язано з контролем доступу.');
INSERT INTO `lang_definitions` VALUES (157478, 6701, 29, 'Норвезька');
INSERT INTO `lang_definitions` VALUES (157479, 6705, 29, 'Ніс');
INSERT INTO `lang_definitions` VALUES (157480, 6706, 29, 'Носова кровотеча');
INSERT INTO `lang_definitions` VALUES (157481, 6707, 29, 'немає букви чи цифри');
INSERT INTO `lang_definitions` VALUES (157482, 6710, 29, 'Для кодів чи їх типів потрібні не всі поля.');
INSERT INTO `lang_definitions` VALUES (157483, 6712, 29, 'Не дозволено');
INSERT INTO `lang_definitions` VALUES (157484, 6713, 29, 'Не дозволено видаляти групу адміністраторів');
INSERT INTO `lang_definitions` VALUES (157485, 6714, 29, 'Редагування не дозволено');
INSERT INTO `lang_definitions` VALUES (157486, 6715, 29, 'Інактивація всіх об\'єктів безпеки не дозволена');
INSERT INTO `lang_definitions` VALUES (157487, 6716, 29, 'Не дозволено інактивувати те, що стосується адміністраторів управління доступом (ACL)');
INSERT INTO `lang_definitions` VALUES (157488, 6717, 29, 'Видаляти користувача admin з групи адміністраторів не дозволено');
INSERT INTO `lang_definitions` VALUES (157489, 6718, 29, 'Видаляти цього користувача з групи адміністраторів не дозволено');
INSERT INTO `lang_definitions` VALUES (157490, 6719, 29, 'Не відповідний');
INSERT INTO `lang_definitions` VALUES (157491, 6720, 29, 'Доступ до модуля PostCalendar не дозволений');
INSERT INTO `lang_definitions` VALUES (157492, 6721, 29, 'Доступу немає');
INSERT INTO `lang_definitions` VALUES (157493, 6722, 29, 'Доступу немає');
INSERT INTO `lang_definitions` VALUES (157494, 6723, 29, 'Для цієї групи доступу немає!');
INSERT INTO `lang_definitions` VALUES (157495, 6724, 29, 'Для цієї групи доступу немає.');
INSERT INTO `lang_definitions` VALUES (157496, 6725, 29, 'Для керування користувачами доступу немає!');
INSERT INTO `lang_definitions` VALUES (157497, 6726, 29, 'Для підписування результатів доступу немає');
INSERT INTO `lang_definitions` VALUES (157498, 6729, 29, 'Не доступно');
INSERT INTO `lang_definitions` VALUES (157499, 6731, 29, 'Рахунок не виставлено');
INSERT INTO `lang_definitions` VALUES (157500, 6732, 29, 'Не зареєстровано');
INSERT INTO `lang_definitions` VALUES (157501, 6733, 29, 'Не перевірено');
INSERT INTO `lang_definitions` VALUES (157502, 6734, 29, 'Не закодовано');
INSERT INTO `lang_definitions` VALUES (157503, 6736, 29, 'Не підлягає');
INSERT INTO `lang_definitions` VALUES (157504, 6738, 29, 'Не обстежений');
INSERT INTO `lang_definitions` VALUES (157505, 6739, 29, 'Не обстежений:');
INSERT INTO `lang_definitions` VALUES (157506, 6740, 29, 'Не обстежений:');
INSERT INTO `lang_definitions` VALUES (157507, 6742, 29, 'не знайдений');
INSERT INTO `lang_definitions` VALUES (157508, 6744, 29, 'не знайдений!');
INSERT INTO `lang_definitions` VALUES (157509, 6745, 29, 'Не виходець з Іспанії чи з Латинської Америки');
INSERT INTO `lang_definitions` VALUES (157510, 6746, 29, 'Не встановлено');
INSERT INTO `lang_definitions` VALUES (157511, 6751, 29, 'Не бачив з');
INSERT INTO `lang_definitions` VALUES (157512, 6752, 29, 'Не відправлено');
INSERT INTO `lang_definitions` VALUES (157513, 6753, 29, 'Ще не відправлено');
INSERT INTO `lang_definitions` VALUES (157514, 6754, 29, 'Не задано');
INSERT INTO `lang_definitions` VALUES (157515, 6755, 29, 'Не задано.');
INSERT INTO `lang_definitions` VALUES (157516, 6758, 29, 'Примітка');
INSERT INTO `lang_definitions` VALUES (157517, 6760, 29, 'Коди приміток');
INSERT INTO `lang_definitions` VALUES (157518, 6762, 29, 'Зауважте, що 5-10 хвилин необхідно для повної обробки інформаціїї посля того, як ви натиснете \"Встановити\"');
INSERT INTO `lang_definitions` VALUES (157519, 6763, 29, 'Зауважте, що 5-10 хвилин необхідно для повної обробки інформаціїї посля того, як ви натиснете \"Оновити\"');
INSERT INTO `lang_definitions` VALUES (157520, 6764, 29, 'Зауважте, що аудит логів повинен бути включений вище');
INSERT INTO `lang_definitions` VALUES (157521, 6771, 29, 'Тип запису');
INSERT INTO `lang_definitions` VALUES (157522, 6772, 29, 'Примітка: полудень 12:00 є \"після полудня\" а не \"зранку\"');
INSERT INTO `lang_definitions` VALUES (157523, 6773, 29, 'ПРИМІТКА: Імпортування зовнішніх даних може тривати більше години, залежно від вашого апаратного забезпечення. Для прикладу, одна таблиця даних RxNorm містить більше 6 мільйонів рядків.');
INSERT INTO `lang_definitions` VALUES (157524, 6774, 29, 'ПРИМІТКА: зараз підтримується лише міжнарожний випуск Snomed з двома виходами на рік');
INSERT INTO `lang_definitions` VALUES (157525, 6776, 29, 'ПРИМІТКА: підтримується лише повний щомісячний випуск RxNorm');
INSERT INTO `lang_definitions` VALUES (157526, 6780, 29, 'Примітка: цей код був введений неавторизованим користувачем. Тільки дозволені коди можуть вводитися у Відкриту Біллінгову Медичну Сітку для обробки. Якщо хочете завантажити ці коди, виберіть тут авторизованого користувача.');
INSERT INTO `lang_definitions` VALUES (157527, 6783, 29, 'ПРИМІТКА: завантаження файлів з одинаковими назвами призведе до автоматичної зміни файлів (наприклад, file.jpg стане file.1.jpg). Назви файлів вважаються унікальними для одного паціента, а не для кожної категорії.');
INSERT INTO `lang_definitions` VALUES (157528, 6784, 29, 'Примітка: завантаження файлів з одинаковими назвами призведе до автоматичного перейменування файлів. Наприклад, \' file.jpg\' стане \' file.jpg.1\'. Назви файлів вважаються унікальними для одного паціента, а не для кожної категорії.');
INSERT INTO `lang_definitions` VALUES (157529, 6785, 29, 'Записи');
INSERT INTO `lang_definitions` VALUES (157530, 6788, 29, 'Записи - будь-які звернення (на вибір - право записувати/добавляти)');
INSERT INTO `lang_definitions` VALUES (157531, 6790, 29, 'Записи - мои звернення (на вибір - право записувати/добавляти)');
INSERT INTO `lang_definitions` VALUES (157532, 6793, 29, 'Доступ до записів не дозволений');
INSERT INTO `lang_definitions` VALUES (157533, 6796, 29, 'Нічого не записано');
INSERT INTO `lang_definitions` VALUES (157534, 6799, 29, 'Нічого імпортувати в алергії');
INSERT INTO `lang_definitions` VALUES (157535, 6800, 29, 'Нічого імпортувати в призначення');
INSERT INTO `lang_definitions` VALUES (157536, 6803, 29, 'Нічого показувати');
INSERT INTO `lang_definitions` VALUES (157537, 6804, 29, 'Нічого не обрано');
INSERT INTO `lang_definitions` VALUES (157538, 6808, 29, 'ПОПЕРЕДЖЕННЯ:: надання чи зміна PostCalendar');
INSERT INTO `lang_definitions` VALUES (157539, 6809, 29, 'Повідомлення');
INSERT INTO `lang_definitions` VALUES (157540, 6810, 29, 'Адреса e-mail для повідомлення');
INSERT INTO `lang_definitions` VALUES (157541, 6815, 29, 'Повідомлення');
INSERT INTO `lang_definitions` VALUES (157542, 6816, 29, 'Повідомити адміністратора про вказані чи змінені події?');
INSERT INTO `lang_definitions` VALUES (157543, 6820, 29, 'Лист.');
INSERT INTO `lang_definitions` VALUES (157544, 6821, 29, 'Листопад');
INSERT INTO `lang_definitions` VALUES (157545, 6824, 29, 'Нова відтправка для:');
INSERT INTO `lang_definitions` VALUES (157546, 6825, 29, 'Друкується');
INSERT INTO `lang_definitions` VALUES (157547, 6826, 29, 'Друкуються заявки $stmt_count і оновленні звернення.');
INSERT INTO `lang_definitions` VALUES (157548, 6827, 29, 'Друкуються заявки $stmt_count і оновленні рахунки.');
INSERT INTO `lang_definitions` VALUES (157549, 6828, 29, 'Друкуються заявки $stmt_count; звернення не будуть обновлятися.');
INSERT INTO `lang_definitions` VALUES (157550, 6829, 29, 'Друкуються заявки $stmt_count; рахунки не будуть обновлятися.');
INSERT INTO `lang_definitions` VALUES (157551, 6834, 29, 'NPI');
INSERT INTO `lang_definitions` VALUES (157552, 6836, 29, 'NQF');
INSERT INTO `lang_definitions` VALUES (157553, 6837, 29, 'Номер');
INSERT INTO `lang_definitions` VALUES (157554, 6838, 29, 'Номер лаб.');
INSERT INTO `lang_definitions` VALUES (157555, 6843, 29, 'Кількість стовпчиків в огляді за рік.');
INSERT INTO `lang_definitions` VALUES (157556, 6850, 29, 'Кількість днів, впродовж яких сертифікат клієнта дійсний.');
INSERT INTO `lang_definitions` VALUES (157557, 6852, 29, 'Кількість цифр після десяткової коми для грошей, зазвичай 0 або 2.');
INSERT INTO `lang_definitions` VALUES (157558, 6853, 29, 'Кількість відображених на сторінці звернень.');
INSERT INTO `lang_definitions` VALUES (157559, 6855, 29, 'Кількість пропущених ігор або подій, якщо такі мали місце');
INSERT INTO `lang_definitions` VALUES (157560, 6856, 29, 'Кількість годин на відправку e-mail повідомлень.');
INSERT INTO `lang_definitions` VALUES (157561, 6857, 29, 'Кількість годин на відправку телефонограм.');
INSERT INTO `lang_definitions` VALUES (157562, 6858, 29, 'Кількість годин на відправку SMC-повідомлень.');
INSERT INTO `lang_definitions` VALUES (157563, 6862, 29, 'Кількість стовпчиків для анамнезу.');
INSERT INTO `lang_definitions` VALUES (157564, 6863, 29, 'Кількість пацієнтів для відображення на одній сторінці списку пацієнтів.');
INSERT INTO `lang_definitions` VALUES (157565, 6864, 29, 'Заціпеніння, нечутливість');
INSERT INTO `lang_definitions` VALUES (157566, 6865, 29, 'Нумератор');
INSERT INTO `lang_definitions` VALUES (157567, 6866, 29, 'Порядок відображення чисел');
INSERT INTO `lang_definitions` VALUES (157568, 6869, 29, 'Харчування');
INSERT INTO `lang_definitions` VALUES (157569, 6871, 29, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (157570, 6872, 29, 'Насичений киснем');
INSERT INTO `lang_definitions` VALUES (157571, 6874, 29, 'Ожиріння I ст.');
INSERT INTO `lang_definitions` VALUES (157572, 6875, 29, 'Ожиріння IІ ст.');
INSERT INTO `lang_definitions` VALUES (157573, 6876, 29, 'Ожиріння IІІ ст.');
INSERT INTO `lang_definitions` VALUES (157574, 6877, 29, 'Об\'єктивно');
INSERT INTO `lang_definitions` VALUES (157575, 6886, 29, 'Професія');
INSERT INTO `lang_definitions` VALUES (157576, 6889, 29, 'Випадок');
INSERT INTO `lang_definitions` VALUES (157577, 6890, 29, 'Жов.');
INSERT INTO `lang_definitions` VALUES (157578, 6891, 29, 'Жовтень');
INSERT INTO `lang_definitions` VALUES (157579, 6892, 29, 'OD');
INSERT INTO `lang_definitions` VALUES (157580, 6895, 29, 'з');
INSERT INTO `lang_definitions` VALUES (157581, 6896, 29, 'з кількості');
INSERT INTO `lang_definitions` VALUES (157582, 6897, 29, 'таблеток');
INSERT INTO `lang_definitions` VALUES (157583, 6898, 29, 'кожний місяць');
INSERT INTO `lang_definitions` VALUES (157584, 6899, 29, 'Служб. записи');
INSERT INTO `lang_definitions` VALUES (157585, 6900, 29, 'Вимкнений');
INSERT INTO `lang_definitions` VALUES (157586, 6907, 29, 'Службові записи');
INSERT INTO `lang_definitions` VALUES (157587, 6908, 29, 'Відвідування кабінету');
INSERT INTO `lang_definitions` VALUES (157588, 6909, 29, 'Групи порівняння для офіційної клінічної одиниці вимірювання якості (CQM)');
INSERT INTO `lang_definitions` VALUES (157589, 6910, 29, 'Зовнішній Https-лінк для порталу пацієнта.');
INSERT INTO `lang_definitions` VALUES (157590, 6911, 29, 'Зовнішній Https-лнік для порталу пацієнта. (Портал пацієнта)');
INSERT INTO `lang_definitions` VALUES (157591, 6912, 29, 'Зовнішній пароль порталу пацієнтів');
INSERT INTO `lang_definitions` VALUES (157592, 6913, 29, 'Зовнішній пароль порталу пацієнтів (якщо не зареєстровані, то залишіть незаповненим)');
INSERT INTO `lang_definitions` VALUES (157593, 6914, 29, 'ID спеціаліста порталу пацієнтів');
INSERT INTO `lang_definitions` VALUES (157594, 6915, 29, 'ID спеціаліста порталу пацієнтів (якщо не зареєстровані, то залишіть незаповненим)');
INSERT INTO `lang_definitions` VALUES (157595, 6916, 29, 'Зовнішня адреса сайту порталу пацієнтів');
INSERT INTO `lang_definitions` VALUES (157596, 6917, 29, 'Зовнішня адреса сайту порталу пацієнтів (Зв\'язок пацієнта)');
INSERT INTO `lang_definitions` VALUES (157597, 6918, 29, 'Зовнішнє ім\'я користувача порталу пацієнтів');
INSERT INTO `lang_definitions` VALUES (157598, 6919, 29, 'Зовнішнє ім\'я користувача порталу пацієнтів (якщо не зареєстровані, то залишіть незаповненим)');
INSERT INTO `lang_definitions` VALUES (157599, 6921, 29, 'Потомство');
INSERT INTO `lang_definitions` VALUES (157600, 6925, 29, 'мазь');
INSERT INTO `lang_definitions` VALUES (157601, 6927, 29, 'OK');
INSERT INTO `lang_definitions` VALUES (157602, 6930, 29, 'OK для зв\'язку з цією датованою проблемою GCAC');
INSERT INTO `lang_definitions` VALUES (157603, 6931, 29, 'Старий');
INSERT INTO `lang_definitions` VALUES (157604, 6933, 29, 'Колишні клієнти');
INSERT INTO `lang_definitions` VALUES (157605, 6934, 29, 'Нестарий перелом / неправильне зростання тканин після перелому');
INSERT INTO `lang_definitions` VALUES (157606, 6935, 29, 'Макет старого стилю без меню зліва');
INSERT INTO `lang_definitions` VALUES (157607, 6936, 29, 'Статична форма старого стилю без пошуку чи перевірки на дублювання');
INSERT INTO `lang_definitions` VALUES (157608, 6940, 29, 'Пропустити');
INSERT INTO `lang_definitions` VALUES (157609, 6941, 29, 'Пропустити контури');
INSERT INTO `lang_definitions` VALUES (157610, 6942, 29, 'Пропускати інформацію про місце роботи в особистих даних пацієнта');
INSERT INTO `lang_definitions` VALUES (157611, 6943, 29, 'Пропустіть місце роботи');
INSERT INTO `lang_definitions` VALUES (157612, 6944, 29, 'Пропускати форму, спосіб і частоту введення, які надалі стають частиною дозування');
INSERT INTO `lang_definitions` VALUES (157613, 6945, 29, 'Пропускати інформацію про страхування і деякі інші пункти форми персональних даних');
INSERT INTO `lang_definitions` VALUES (157614, 6946, 29, 'Виключити внутрішніх користувачів?');
INSERT INTO `lang_definitions` VALUES (157615, 6947, 29, 'Виключення способу оплати з панелі доплати');
INSERT INTO `lang_definitions` VALUES (157616, 6948, 29, 'пропустити для автоматичного призначення');
INSERT INTO `lang_definitions` VALUES (157617, 6949, 29, 'в');
INSERT INTO `lang_definitions` VALUES (157618, 6950, 29, 'в');
INSERT INTO `lang_definitions` VALUES (157619, 6956, 29, 'на руках');
INSERT INTO `lang_definitions` VALUES (157620, 6959, 29, 'При призначенні');
INSERT INTO `lang_definitions` VALUES (157621, 6960, 29, 'на місці');
INSERT INTO `lang_definitions` VALUES (157622, 6975, 29, 'Після установки Основного медичного закладу його не можна змінювати. Зміна компонента вплине на роботу в ePrescription NewCrop.');
INSERT INTO `lang_definitions` VALUES (157623, 6979, 29, 'Після зміни свого пароля ви повинні повторно ввійти в систему.');
INSERT INTO `lang_definitions` VALUES (157624, 6996, 29, 'Підтримка он-лайн');
INSERT INTO `lang_definitions` VALUES (157625, 6997, 29, 'Посилання підтримки он-лайн');
INSERT INTO `lang_definitions` VALUES (157626, 6999, 29, 'Тільки активні');
INSERT INTO `lang_definitions` VALUES (157627, 7000, 29, 'Застосовується лише якщо спеціаліст або порівняльний список були попередньо вибрані. ПЕРВИННИЙ виберіть пацієнтів, для яких спеціаліст є первинним спеціалістом. ЗВЕРНЕННЯ виберіть всіх пацієнтів які відвідували спеціаліста');
INSERT INTO `lang_definitions` VALUES (157628, 7004, 29, 'Тільки для розміщення рахунків');
INSERT INTO `lang_definitions` VALUES (157629, 7006, 29, 'Тільки неактивні');
INSERT INTO `lang_definitions` VALUES (157630, 7007, 29, 'Тільки мої');
INSERT INTO `lang_definitions` VALUES (157631, 7011, 29, 'Показувати лише коди звітності по діагнозах');
INSERT INTO `lang_definitions` VALUES (157632, 7012, 29, 'Показувати лише сервісні коди кодів фінансової звітності');
INSERT INTO `lang_definitions` VALUES (157633, 7013, 29, 'Тільки для вивантаження активних призначень');
INSERT INTO `lang_definitions` VALUES (157634, 7017, 29, 'Початок захворювання:');
INSERT INTO `lang_definitions` VALUES (157635, 7018, 29, 'Початок захворювання:');
INSERT INTO `lang_definitions` VALUES (157636, 7019, 29, 'Поява новоутворення (пухл.):');
INSERT INTO `lang_definitions` VALUES (157637, 7022, 29, 'Дата поч./госп.');
INSERT INTO `lang_definitions` VALUES (157638, 7026, 29, 'Адреса сайту для портала внутрішніх пацієнтів');
INSERT INTO `lang_definitions` VALUES (157639, 7030, 29, 'Невдача!');
INSERT INTO `lang_definitions` VALUES (157640, 7031, 29, 'Відкрити');
INSERT INTO `lang_definitions` VALUES (157641, 7040, 29, 'Відкрити в новому вікні');
INSERT INTO `lang_definitions` VALUES (157642, 7046, 29, 'Відкрити відвідування за сьогодні');
INSERT INTO `lang_definitions` VALUES (157643, 7071, 29, 'OpenEMR вже має налаштований довірений сертификат.');
INSERT INTO `lang_definitions` VALUES (157644, 7074, 29, 'OpenEMR категорія додатку');
INSERT INTO `lang_definitions` VALUES (157645, 7076, 29, 'Модернізація бази даних OpenEMR');
INSERT INTO `lang_definitions` VALUES (157646, 7077, 29, 'Модернізація бази даних OpenEMR для деідентифікації');
INSERT INTO `lang_definitions` VALUES (157647, 7078, 29, 'OpenEMR не розпізнає файл у вхідному каталозі. Вірогідно, Вам слід налаштувати реліз в supported_external_dataloads таблиці MySQL бази даних.');
INSERT INTO `lang_definitions` VALUES (157648, 7080, 29, 'До того, як OpenEMR зможе створювати сертифікати клієнта, його необхідно налаштувати для використання сертифікатів.');
INSERT INTO `lang_definitions` VALUES (157649, 7084, 29, 'Для підтвердження користувача OpenEMR необхідно дозволити Javascript.');
INSERT INTO `lang_definitions` VALUES (157650, 7085, 29, 'Користувачі OpenEMR');
INSERT INTO `lang_definitions` VALUES (157651, 7086, 29, 'Вступ');
INSERT INTO `lang_definitions` VALUES (157652, 7092, 29, 'Очний');
INSERT INTO `lang_definitions` VALUES (157653, 7095, 29, 'Опція');
INSERT INTO `lang_definitions` VALUES (157654, 7097, 29, 'Опції способу збереження сховища документів.');
INSERT INTO `lang_definitions` VALUES (157655, 7098, 29, 'Опція для підтримки інвентаризації і реалізації матеріальних цінностей');
INSERT INTO `lang_definitions` VALUES (157656, 7099, 29, 'Необов\'язковий');
INSERT INTO `lang_definitions` VALUES (157657, 7100, 29, 'Необов\'язкова назва категорії для ID-карти зображення, яке можна проглянути на сторінці інформації про пациента.');
INSERT INTO `lang_definitions` VALUES (157658, 7101, 29, 'Необов\'язкова назва категорії для фото-зображень, яке можна проглянути на сторінці інформації про пациента.');
INSERT INTO `lang_definitions` VALUES (157659, 7102, 29, 'Необов\'язкова назва категорії документа, щоби приєднатися до сторінки даних про пацієнта. Клікніть на имені пацієнта, щоби побачити його ID-карту.');
INSERT INTO `lang_definitions` VALUES (157660, 7103, 29, 'Необов\'язковий діапазон \"за замовчуванням\" для ручного внесення результатів');
INSERT INTO `lang_definitions` VALUES (157661, 7104, 29, 'Необов\'язкові одиниці вимірювання для ручного внесення результатів');
INSERT INTO `lang_definitions` VALUES (157662, 7105, 29, 'Необов\'язкове місце призначення');
INSERT INTO `lang_definitions` VALUES (157663, 7107, 29, 'Необов\'язкова назва препарата, використовуйте % як знак підстановки');
INSERT INTO `lang_definitions` VALUES (157664, 7111, 29, 'Необов\'язкова інформація про цю подію');
INSERT INTO `lang_definitions` VALUES (157665, 7112, 29, 'Необов\'язкова кількість партії, використовуйте % як знак підстановки');
INSERT INTO `lang_definitions` VALUES (157666, 7113, 29, 'Необов\'язковий чиловий ID пацієнта');
INSERT INTO `lang_definitions` VALUES (157667, 7114, 29, 'Необов\'язковий код методики');
INSERT INTO `lang_definitions` VALUES (157668, 7115, 29, 'Необов\'язковий код процедури/послуги');
INSERT INTO `lang_definitions` VALUES (157669, 7116, 29, 'Опції');
INSERT INTO `lang_definitions` VALUES (157670, 7117, 29, 'ЧИ');
INSERT INTO `lang_definitions` VALUES (157671, 7118, 29, 'чи');
INSERT INTO `lang_definitions` VALUES (157672, 7119, 29, 'або змініть');
INSERT INTO `lang_definitions` VALUES (157673, 7120, 29, 'або натисніть і тягніть для швидшого виділення.');
INSERT INTO `lang_definitions` VALUES (157674, 7122, 29, 'чи для');
INSERT INTO `lang_definitions` VALUES (157675, 7124, 29, 'або утримуйте Shift для зменшення');
INSERT INTO `lang_definitions` VALUES (157676, 7125, 29, 'або обновіть файл ERA:');
INSERT INTO `lang_definitions` VALUES (157677, 7127, 29, 'Перорально');
INSERT INTO `lang_definitions` VALUES (157678, 7128, 29, 'слизова порожнини рота рожева, глотка чиста');
INSERT INTO `lang_definitions` VALUES (157679, 7129, 29, 'Призначення');
INSERT INTO `lang_definitions` VALUES (157680, 7131, 29, 'Види призначення і результату');
INSERT INTO `lang_definitions` VALUES (157681, 7132, 29, 'Каталог призначень');
INSERT INTO `lang_definitions` VALUES (157682, 7133, 29, 'Дата призначення');
INSERT INTO `lang_definitions` VALUES (157683, 7136, 29, 'призначення від');
INSERT INTO `lang_definitions` VALUES (157684, 7137, 29, 'ID призначення');
INSERT INTO `lang_definitions` VALUES (157685, 7138, 29, 'Призначення повинно бути пронумерованим від 1 до 999');
INSERT INTO `lang_definitions` VALUES (157686, 7140, 29, 'Найменування призначення');
INSERT INTO `lang_definitions` VALUES (157687, 7142, 29, 'Пріоритет призначення');
INSERT INTO `lang_definitions` VALUES (157688, 7143, 29, 'Обробник призначень');
INSERT INTO `lang_definitions` VALUES (157689, 7145, 29, 'Результати призначення');
INSERT INTO `lang_definitions` VALUES (157690, 7146, 29, 'Статус призначення');
INSERT INTO `lang_definitions` VALUES (157691, 7147, 29, 'Статуси призначення');
INSERT INTO `lang_definitions` VALUES (157692, 7148, 29, 'Заключення по призначенню');
INSERT INTO `lang_definitions` VALUES (157693, 7150, 29, 'Вид призначення');
INSERT INTO `lang_definitions` VALUES (157694, 7152, 29, 'Вид призначення/виконання');
INSERT INTO `lang_definitions` VALUES (157695, 7153, 29, 'Призначено');
INSERT INTO `lang_definitions` VALUES (157696, 7154, 29, 'Призначено по');
INSERT INTO `lang_definitions` VALUES (157697, 7155, 29, 'Призначена процедура');
INSERT INTO `lang_definitions` VALUES (157698, 7159, 29, 'Спеціаліст, що призначає.');
INSERT INTO `lang_definitions` VALUES (157699, 7163, 29, 'Шлях призначення');
INSERT INTO `lang_definitions` VALUES (157700, 7166, 29, 'Ураження органу.');
INSERT INTO `lang_definitions` VALUES (157701, 7167, 29, 'Організація');
INSERT INTO `lang_definitions` VALUES (157702, 7168, 29, 'Назва організації');
INSERT INTO `lang_definitions` VALUES (157703, 7169, 29, 'Назва підрозділу організації');
INSERT INTO `lang_definitions` VALUES (157704, 7170, 29, 'Організації');
INSERT INTO `lang_definitions` VALUES (157705, 7171, 29, 'Орієнтований х 3');
INSERT INTO `lang_definitions` VALUES (157706, 7175, 29, 'Оригінал');
INSERT INTO `lang_definitions` VALUES (157707, 7181, 29, 'РОТОГЛОТКА:');
INSERT INTO `lang_definitions` VALUES (157708, 7184, 29, 'Ортопне');
INSERT INTO `lang_definitions` VALUES (157709, 7188, 29, 'OS');
INSERT INTO `lang_definitions` VALUES (157710, 7189, 29, 'Остеоартрити');
INSERT INTO `lang_definitions` VALUES (157711, 7193, 29, 'Інше');
INSERT INTO `lang_definitions` VALUES (157712, 7194, 29, 'інше');
INSERT INTO `lang_definitions` VALUES (157713, 7196, 29, 'інше (вказати)');
INSERT INTO `lang_definitions` VALUES (157714, 7198, 29, 'Інше - вказане');
INSERT INTO `lang_definitions` VALUES (157715, 7201, 29, 'Інша державна програма');
INSERT INTO `lang_definitions` VALUES (157716, 7202, 29, 'Інша Фінансова Адміністрація охорони здоров\'я');
INSERT INTO `lang_definitions` VALUES (157717, 7203, 29, 'Інші незазначені пошкодження');
INSERT INTO `lang_definitions` VALUES (157718, 7204, 29, 'Інше джерело страхування має першочергове значення');
INSERT INTO `lang_definitions` VALUES (157719, 7206, 29, 'інший місяць');
INSERT INTO `lang_definitions` VALUES (157720, 7207, 29, 'Інші незагальнодержавні програми');
INSERT INTO `lang_definitions` VALUES (157721, 7208, 29, 'Інші записи');
INSERT INTO `lang_definitions` VALUES (157722, 7209, 29, 'Інші доречні симптоми');
INSERT INTO `lang_definitions` VALUES (157723, 7210, 29, 'Інші доречні симптоми:');
INSERT INTO `lang_definitions` VALUES (157724, 7213, 29, 'Інший відповідний пункт');
INSERT INTO `lang_definitions` VALUES (157725, 7215, 29, 'Інші впливи/загальне ураження');
INSERT INTO `lang_definitions` VALUES (157726, 7216, 29, 'Інші оперативні втручання');
INSERT INTO `lang_definitions` VALUES (157727, 7217, 29, 'Інші/пов\'язані з периванням вагітності');
INSERT INTO `lang_definitions` VALUES (157728, 7219, 29, 'Інші');
INSERT INTO `lang_definitions` VALUES (157729, 7221, 29, 'в іншому випадку ви порушуєте посилання на/з існуючу(ої) дату(и).');
INSERT INTO `lang_definitions` VALUES (157730, 7224, 29, 'Правила для радіографії щиколотки (Оттава)');
INSERT INTO `lang_definitions` VALUES (157731, 7225, 29, 'OU');
INSERT INTO `lang_definitions` VALUES (157732, 7227, 29, 'НЕ ПРАЦЮЄ');
INSERT INTO `lang_definitions` VALUES (157733, 7228, 29, 'НЕ НА МІСЦІ');
INSERT INTO `lang_definitions` VALUES (157734, 7230, 29, 'Направлення закордон');
INSERT INTO `lang_definitions` VALUES (157735, 7231, 29, 'Наслідок');
INSERT INTO `lang_definitions` VALUES (157736, 7234, 29, 'Спостереження');
INSERT INTO `lang_definitions` VALUES (157737, 7239, 29, 'Загальний стан виділень');
INSERT INTO `lang_definitions` VALUES (157738, 7240, 29, 'ЗАПІЗНІЛИЙ');
INSERT INTO `lang_definitions` VALUES (157739, 7244, 29, 'Зловживання');
INSERT INTO `lang_definitions` VALUES (157740, 7245, 29, 'Загальне представлення');
INSERT INTO `lang_definitions` VALUES (157741, 7246, 29, 'Надмірна вага');
INSERT INTO `lang_definitions` VALUES (157742, 7247, 29, 'Переписати вибір HIPAA (Закон про звітність і безпеку медичного страхування)');
INSERT INTO `lang_definitions` VALUES (157743, 7249, 29, 'Насичення киснем');
INSERT INTO `lang_definitions` VALUES (157744, 7251, 29, 'Р');
INSERT INTO `lang_definitions` VALUES (157745, 7252, 29, 'проц.');
INSERT INTO `lang_definitions` VALUES (157746, 7253, 29, 'після полудня');
INSERT INTO `lang_definitions` VALUES (157747, 7254, 29, 'за необхідністю');
INSERT INTO `lang_definitions` VALUES (157748, 7258, 29, 'Житель тихоокеанських островів');
INSERT INTO `lang_definitions` VALUES (157749, 7259, 29, 'Педіатричний');
INSERT INTO `lang_definitions` VALUES (157750, 7260, 29, 'Сторінка');
INSERT INTO `lang_definitions` VALUES (157751, 7263, 29, 'Сторінки');
INSERT INTO `lang_definitions` VALUES (157752, 7264, 29, 'Оплачуваний');
INSERT INTO `lang_definitions` VALUES (157753, 7265, 29, 'Сума оплати, яку ви внесете');
INSERT INTO `lang_definitions` VALUES (157754, 7266, 29, 'Сума оплати');
INSERT INTO `lang_definitions` VALUES (157755, 7267, 29, 'Оплатити через');
INSERT INTO `lang_definitions` VALUES (157756, 7268, 29, 'Біль');
INSERT INTO `lang_definitions` VALUES (157757, 7271, 29, 'Сильне серцибиття');
INSERT INTO `lang_definitions` VALUES (157758, 7275, 29, 'Мазок Папаніколау');
INSERT INTO `lang_definitions` VALUES (157759, 7276, 29, 'Папір');
INSERT INTO `lang_definitions` VALUES (157760, 7277, 29, 'Розмір паперу');
INSERT INTO `lang_definitions` VALUES (157761, 7278, 29, 'Параліч');
INSERT INTO `lang_definitions` VALUES (157762, 7284, 29, 'Обробка HL7');
INSERT INTO `lang_definitions` VALUES (157763, 7289, 29, 'Партнер');
INSERT INTO `lang_definitions` VALUES (157764, 7290, 29, 'Найменування партнера');
INSERT INTO `lang_definitions` VALUES (157765, 7294, 29, 'Пароль');
INSERT INTO `lang_definitions` VALUES (157766, 7295, 29, 'Пароль для розшифрування документа');
INSERT INTO `lang_definitions` VALUES (157767, 7296, 29, 'Передані пацієнти');
INSERT INTO `lang_definitions` VALUES (157768, 7297, 29, 'Пасивне сповіщення');
INSERT INTO `lang_definitions` VALUES (157769, 7299, 29, 'Правила пасивних сповіщень');
INSERT INTO `lang_definitions` VALUES (157770, 7301, 29, 'Пароль');
INSERT INTO `lang_definitions` VALUES (157771, 7302, 29, 'Зміна пароля');
INSERT INTO `lang_definitions` VALUES (157772, 7303, 29, 'Пароль успішно змінено');
INSERT INTO `lang_definitions` VALUES (157773, 7304, 29, 'Пароль успішно змінено.');
INSERT INTO `lang_definitions` VALUES (157774, 7306, 29, 'Пароль не відповідає мінімальним вимогам і повинен містити не менше трьох з наступних чотирьох елементів: цифри, прописні літери, великі літери, спеціальні символи.');
INSERT INTO `lang_definitions` VALUES (157775, 7308, 29, 'Термін дії пароля');
INSERT INTO `lang_definitions` VALUES (157776, 7310, 29, 'Пароль для телефонного шлюза. Автоматизована служба VOIP надана через Maviq. Перегляньте http://signup.maviq.com для отримання додаткової інформації.');
INSERT INTO `lang_definitions` VALUES (157777, 7311, 29, 'Пароль для шлюза SMS');
INSERT INTO `lang_definitions` VALUES (157778, 7312, 29, 'Пароль для шлюза SMS.');
INSERT INTO `lang_definitions` VALUES (157779, 7314, 29, 'Надійність пароля недавно удосконалена.');
INSERT INTO `lang_definitions` VALUES (157780, 7315, 29, 'Пароль для підключення до CouchDB');
INSERT INTO `lang_definitions` VALUES (157781, 7316, 29, 'Пароль занадто короткий. Вимагається не менше 8 символів.');
INSERT INTO `lang_definitions` VALUES (157782, 7319, 29, 'Пароль:');
INSERT INTO `lang_definitions` VALUES (157783, 7322, 29, 'Паролі на співпадають!');
INSERT INTO `lang_definitions` VALUES (157784, 7324, 29, 'Минулі записи на прийом');
INSERT INTO `lang_definitions` VALUES (157785, 7325, 29, 'Віджет відображення минулих записів на прийом');
INSERT INTO `lang_definitions` VALUES (157786, 7329, 29, 'Прострочено');
INSERT INTO `lang_definitions` VALUES (157787, 7330, 29, 'Прострочено');
INSERT INTO `lang_definitions` VALUES (157788, 7331, 29, 'Найбільший інтервал очікування (клінічні нагадування)');
INSERT INTO `lang_definitions` VALUES (157789, 7332, 29, 'Найбільший інтервал очікування (нагадування для пацієнта)');
INSERT INTO `lang_definitions` VALUES (157790, 7333, 29, 'Список попередніх звертань');
INSERT INTO `lang_definitions` VALUES (157791, 7334, 29, 'Попередні звертання');
INSERT INTO `lang_definitions` VALUES (157792, 7335, 29, 'Попередні звертання і документи');
INSERT INTO `lang_definitions` VALUES (157793, 7336, 29, 'Прошлые обращения для');
INSERT INTO `lang_definitions` VALUES (157794, 7344, 29, 'Вставка HL7 даних');
INSERT INTO `lang_definitions` VALUES (157795, 7345, 29, 'Вставте дані для імпорту в текстове поле нижче:');
INSERT INTO `lang_definitions` VALUES (157796, 7346, 29, 'Придатний');
INSERT INTO `lang_definitions` VALUES (157797, 7348, 29, 'Виправлення');
INSERT INTO `lang_definitions` VALUES (157798, 7355, 29, 'Шлях для резервного копіювання журнала подій');
INSERT INTO `lang_definitions` VALUES (157799, 7356, 29, 'Шлях до файла сертифіката CA');
INSERT INTO `lang_definitions` VALUES (157800, 7357, 29, 'Шлях до файла ключа CA');
INSERT INTO `lang_definitions` VALUES (157801, 7358, 29, 'Шлях до бібліотек MySQL');
INSERT INTO `lang_definitions` VALUES (157802, 7359, 29, 'Шлях до бібліотек Perl');
INSERT INTO `lang_definitions` VALUES (157803, 7360, 29, 'Шлях до каталогу тимчасових файлів');
INSERT INTO `lang_definitions` VALUES (157804, 7361, 29, 'Пацієнт');
INSERT INTO `lang_definitions` VALUES (157805, 7362, 29, 'ПАЦІЄНТ');
INSERT INTO `lang_definitions` VALUES (157806, 7363, 29, 'пацієнт');
INSERT INTO `lang_definitions` VALUES (157807, 7365, 29, 'Адреса пацієнта');
INSERT INTO `lang_definitions` VALUES (157808, 7366, 29, 'Не вказано адресу пацієнта');
INSERT INTO `lang_definitions` VALUES (157809, 7369, 29, 'Алергії пацієнта');
INSERT INTO `lang_definitions` VALUES (157810, 7370, 29, 'Алергії пацієнта');
INSERT INTO `lang_definitions` VALUES (157811, 7373, 29, 'Запис на прийом');
INSERT INTO `lang_definitions` VALUES (157812, 7374, 29, 'Баланс пацієнта');
INSERT INTO `lang_definitions` VALUES (157813, 7375, 29, 'Баланс пацієнта відповідно');
INSERT INTO `lang_definitions` VALUES (157814, 7379, 29, 'ID карти пацієнта');
INSERT INTO `lang_definitions` VALUES (157815, 7381, 29, 'Перевірка пацієнта');
INSERT INTO `lang_definitions` VALUES (157816, 7382, 29, 'Перевірка пацієнта на');
INSERT INTO `lang_definitions` VALUES (157817, 7383, 29, 'Місто проживання пацієнта');
INSERT INTO `lang_definitions` VALUES (157818, 7384, 29, 'Не вказано місто пацієнта');
INSERT INTO `lang_definitions` VALUES (157819, 7386, 29, 'Встановлення зв\'язку з пацієнтом.');
INSERT INTO `lang_definitions` VALUES (157820, 7387, 29, 'Встановлення зв\'язку з пацієнтом.');
INSERT INTO `lang_definitions` VALUES (157821, 7388, 29, 'Країна проживання пацієнта.');
INSERT INTO `lang_definitions` VALUES (157822, 7389, 29, 'Не вказана країна проживання пацієнта.Ви також не втановили країни проживання пацієнта \"за замовчуванням\" в меню Глобальні Налаштування');
INSERT INTO `lang_definitions` VALUES (157823, 7390, 29, 'Сфера діяльності пацієнта');
INSERT INTO `lang_definitions` VALUES (157824, 7394, 29, 'Дані пацієнта');
INSERT INTO `lang_definitions` VALUES (157825, 7396, 29, 'Відсутня дата народження пацієнта');
INSERT INTO `lang_definitions` VALUES (157826, 7401, 29, 'Відомості про пацієнта');
INSERT INTO `lang_definitions` VALUES (157827, 7402, 29, 'Дата народження пацієнта');
INSERT INTO `lang_definitions` VALUES (157828, 7404, 29, 'Документ пацієнта');
INSERT INTO `lang_definitions` VALUES (157829, 7410, 29, 'Освіта пацієнта');
INSERT INTO `lang_definitions` VALUES (157830, 7411, 29, 'Відомості про освіту пацієнта');
INSERT INTO `lang_definitions` VALUES (157831, 7412, 29, 'Звернення пацієнта');
INSERT INTO `lang_definitions` VALUES (157832, 7413, 29, 'Форма звернення пацієнта');
INSERT INTO `lang_definitions` VALUES (157833, 7414, 29, 'Звернення пацієнта');
INSERT INTO `lang_definitions` VALUES (157834, 7415, 29, 'Вказівник пошуку пацієнта');
INSERT INTO `lang_definitions` VALUES (157835, 7417, 29, 'Ім\'я пацієнта');
INSERT INTO `lang_definitions` VALUES (157836, 7419, 29, 'Відсутнє ім\'я пацієнта');
INSERT INTO `lang_definitions` VALUES (157837, 7424, 29, 'Стать пацієнта');
INSERT INTO `lang_definitions` VALUES (157838, 7425, 29, 'Стать пацієнта не вказана');
INSERT INTO `lang_definitions` VALUES (157839, 7426, 29, 'Пацієнту не дозволений доступ до портала.');
INSERT INTO `lang_definitions` VALUES (157840, 7428, 29, 'Анамнез пацієнта');
INSERT INTO `lang_definitions` VALUES (157841, 7429, 29, 'Анамнез/спосіб життя пацієнта');
INSERT INTO `lang_definitions` VALUES (157842, 7430, 29, 'Домашній телефон пацієнта');
INSERT INTO `lang_definitions` VALUES (157843, 7431, 29, 'ID пацієнта');
INSERT INTO `lang_definitions` VALUES (157844, 7432, 29, 'Id пацієнта');
INSERT INTO `lang_definitions` VALUES (157845, 7433, 29, 'ID карти пацієнта');
INSERT INTO `lang_definitions` VALUES (157846, 7434, 29, 'Найменування категорії для ID пацієнта');
INSERT INTO `lang_definitions` VALUES (157847, 7437, 29, 'Вакцинація пацієнта');
INSERT INTO `lang_definitions` VALUES (157848, 7438, 29, 'Інформація про пацієнта');
INSERT INTO `lang_definitions` VALUES (157849, 7440, 29, 'Вказівки для пацієнта');
INSERT INTO `lang_definitions` VALUES (157850, 7441, 29, 'Здійснення страхування пацієнта');
INSERT INTO `lang_definitions` VALUES (157851, 7442, 29, 'Звіт про надану страховку пацієнта');
INSERT INTO `lang_definitions` VALUES (157852, 7445, 29, 'Проблеми пацієнта');
INSERT INTO `lang_definitions` VALUES (157853, 7447, 29, 'Прізвище пацієнта');
INSERT INTO `lang_definitions` VALUES (157854, 7449, 29, 'Відсутнє прізвище пацієнта');
INSERT INTO `lang_definitions` VALUES (157855, 7454, 29, 'Список пацієнтів');
INSERT INTO `lang_definitions` VALUES (157856, 7455, 29, 'Стовбці списку пацієнтів');
INSERT INTO `lang_definitions` VALUES (157857, 7457, 29, 'Нове вікно списку пацієнтів');
INSERT INTO `lang_definitions` VALUES (157858, 7458, 29, 'Розмір паперу списку пацієнтів');
INSERT INTO `lang_definitions` VALUES (157859, 7460, 29, 'Помилки пошуку пацієнта');
INSERT INTO `lang_definitions` VALUES (157860, 7463, 29, 'Медичні проблеми пацієнта');
INSERT INTO `lang_definitions` VALUES (157861, 7464, 29, 'Медикаменти для пацієнта');
INSERT INTO `lang_definitions` VALUES (157862, 7470, 29, 'Ім\'я пацієнта');
INSERT INTO `lang_definitions` VALUES (157863, 7472, 29, 'Прізвище і адреса пацієнта');
INSERT INTO `lang_definitions` VALUES (157864, 7475, 29, 'Обов\'язково вкажіть прізвище пацієнта');
INSERT INTO `lang_definitions` VALUES (157865, 7477, 29, 'Запис щодо пацієнта');
INSERT INTO `lang_definitions` VALUES (157866, 7478, 29, 'Види записів щодо пацієнта');
INSERT INTO `lang_definitions` VALUES (157867, 7479, 29, 'Записи щодо пацієнта');
INSERT INTO `lang_definitions` VALUES (157868, 7480, 29, 'Записи щодо пацієнта (на вибір - право записувати/добавляти)');
INSERT INTO `lang_definitions` VALUES (157869, 7482, 29, 'Номер пацієнта');
INSERT INTO `lang_definitions` VALUES (157870, 7483, 29, 'Виконавча оплата для пацієнта');
INSERT INTO `lang_definitions` VALUES (157871, 7485, 29, 'Найменування категорії для фотографії пацієнта');
INSERT INTO `lang_definitions` VALUES (157872, 7487, 29, 'Портал пацієнта');
INSERT INTO `lang_definitions` VALUES (157873, 7492, 29, 'Портал пацієнта відключений');
INSERT INTO `lang_definitions` VALUES (157874, 7493, 29, 'Вхід в портал пацієнта');
INSERT INTO `lang_definitions` VALUES (157875, 7496, 29, 'Веб-адреса портала пацієнта');
INSERT INTO `lang_definitions` VALUES (157876, 7497, 29, 'Друкований звіт про пацієнта');
INSERT INTO `lang_definitions` VALUES (157877, 7499, 29, 'Реєстраційний звіт про пацієнта');
INSERT INTO `lang_definitions` VALUES (157878, 7500, 29, 'Реєстраційний запит про пацієнта');
INSERT INTO `lang_definitions` VALUES (157879, 7501, 29, 'Реєстраційні запити про пацієнта');
INSERT INTO `lang_definitions` VALUES (157880, 7503, 29, 'Нагадування про пацієнта');
INSERT INTO `lang_definitions` VALUES (157881, 7505, 29, 'Групова обробка нагадуваннь про пацієнтів');
INSERT INTO `lang_definitions` VALUES (157882, 7506, 29, 'Створення послідовності обробки нагадувань про пацієнтів');
INSERT INTO `lang_definitions` VALUES (157883, 7507, 29, 'Правила нагадування про пацієнта');
INSERT INTO `lang_definitions` VALUES (157884, 7508, 29, 'E-mail відправника нагадувань про пацієнта');
INSERT INTO `lang_definitions` VALUES (157885, 7509, 29, 'Прізвище відправника нагадувань про пацієнта');
INSERT INTO `lang_definitions` VALUES (157886, 7510, 29, 'Нагадування про пацієнта');
INSERT INTO `lang_definitions` VALUES (157887, 7514, 29, 'Звіт про пацієнта');
INSERT INTO `lang_definitions` VALUES (157888, 7518, 29, 'Запит про пацієнта');
INSERT INTO `lang_definitions` VALUES (157889, 7519, 29, 'Історії хвороби пацієнта, на які був запит');
INSERT INTO `lang_definitions` VALUES (157890, 7521, 29, 'Результати щодо пацієнта');
INSERT INTO `lang_definitions` VALUES (157891, 7525, 29, 'Стиль проведення пошуку пацієнта');
INSERT INTO `lang_definitions` VALUES (157892, 7526, 29, 'Вікно Пошуку/Добавлення пацієнта');
INSERT INTO `lang_definitions` VALUES (157893, 7528, 29, 'Налаштування по пацієнту');
INSERT INTO `lang_definitions` VALUES (157894, 7533, 29, 'Стан пацієнта');
INSERT INTO `lang_definitions` VALUES (157895, 7539, 29, 'Резюме по пацієнту');
INSERT INTO `lang_definitions` VALUES (157896, 7542, 29, 'Транзакції по пацієнту');
INSERT INTO `lang_definitions` VALUES (157897, 7546, 29, 'Поштовий індекс пацієнта');
INSERT INTO `lang_definitions` VALUES (157898, 7549, 29, 'пацієнт(и) в базі даних, якому(яким) відповідає введена демографічна інформація.');
INSERT INTO `lang_definitions` VALUES (157899, 7550, 29, 'Пацієнт/відвідувач');
INSERT INTO `lang_definitions` VALUES (157900, 7551, 29, 'Пацієнт:');
INSERT INTO `lang_definitions` VALUES (157901, 7552, 29, 'ID пацієнта');
INSERT INTO `lang_definitions` VALUES (157902, 7553, 29, 'Пацієнти');
INSERT INTO `lang_definitions` VALUES (157903, 7555, 29, 'Оброблені пацієнти');
INSERT INTO `lang_definitions` VALUES (157904, 7559, 29, 'Оплата');
INSERT INTO `lang_definitions` VALUES (157905, 7560, 29, 'Зверніть увагу на віконечко  \"Зроблено\". Після завершення заповнення страховки ми будемо просити пацієнта оплатити залишок. Якщо вам не вдалося заповнити всю страховку, то сума, що залишилася не буде врахована! Також, якщо є сума, яку пацієнт повинен сплатити, встановіть визначений термін оплати, оскільки він впливатиме на визначення офіційного балансу для пацієнта.');
INSERT INTO `lang_definitions` VALUES (157906, 7563, 29, 'Дата оплати:');
INSERT INTO `lang_definitions` VALUES (157907, 7566, 29, 'Статус оплати');
INSERT INTO `lang_definitions` VALUES (157908, 7567, 29, 'Найменування одержувача платежу');
INSERT INTO `lang_definitions` VALUES (157909, 7568, 29, 'Платник');
INSERT INTO `lang_definitions` VALUES (157910, 7572, 29, 'Тип платника');
INSERT INTO `lang_definitions` VALUES (157911, 7573, 29, 'Платіж');
INSERT INTO `lang_definitions` VALUES (157912, 7574, 29, 'Особа, яка оплачує');
INSERT INTO `lang_definitions` VALUES (157913, 7575, 29, 'Оплата');
INSERT INTO `lang_definitions` VALUES (157914, 7576, 29, 'оплата');
INSERT INTO `lang_definitions` VALUES (157915, 7577, 29, 'Код корегування оплати');
INSERT INTO `lang_definitions` VALUES (157916, 7578, 29, 'Оплата в порівнянні з');
INSERT INTO `lang_definitions` VALUES (157917, 7579, 29, 'Сума до оплати');
INSERT INTO `lang_definitions` VALUES (157918, 7580, 29, 'Сума до оплати повинна бути в цифрах');
INSERT INTO `lang_definitions` VALUES (157919, 7581, 29, 'Категорія оплати');
INSERT INTO `lang_definitions` VALUES (157920, 7583, 29, 'Дата платежу');
INSERT INTO `lang_definitions` VALUES (157921, 7584, 29, 'оплата, внесена на');
INSERT INTO `lang_definitions` VALUES (157922, 7585, 29, 'Оплата від');
INSERT INTO `lang_definitions` VALUES (157923, 7586, 29, 'Шлюз оплати');
INSERT INTO `lang_definitions` VALUES (157924, 7588, 29, 'Вст. оплати');
INSERT INTO `lang_definitions` VALUES (157925, 7589, 29, 'Список оплати');
INSERT INTO `lang_definitions` VALUES (157926, 7590, 29, 'Метод оплати');
INSERT INTO `lang_definitions` VALUES (157927, 7592, 29, 'Сортування оплати за');
INSERT INTO `lang_definitions` VALUES (157928, 7593, 29, 'Статус оплати');
INSERT INTO `lang_definitions` VALUES (157929, 7597, 29, 'Тип оплати');
INSERT INTO `lang_definitions` VALUES (157930, 7600, 29, 'Значення оплати для кода');
INSERT INTO `lang_definitions` VALUES (157931, 7602, 29, 'Платежі');
INSERT INTO `lang_definitions` VALUES (157932, 7606, 29, 'Файл PCP');
INSERT INTO `lang_definitions` VALUES (157933, 7607, 29, 'Відс. (%) рядків');
INSERT INTO `lang_definitions` VALUES (157934, 7610, 29, 'Файл PDF');
INSERT INTO `lang_definitions` VALUES (157935, 7614, 29, 'Завантажити вибрані заявки як PDF');
INSERT INTO `lang_definitions` VALUES (157936, 7620, 29, 'Ділянка таза і сідниць');
INSERT INTO `lang_definitions` VALUES (157937, 7621, 29, 'Пухирчатка');
INSERT INTO `lang_definitions` VALUES (157938, 7624, 29, 'Незакінчений');
INSERT INTO `lang_definitions` VALUES (157939, 7629, 29, 'Очікуючий прод.');
INSERT INTO `lang_definitions` VALUES (157940, 7630, 29, 'Очікуючий продовження');
INSERT INTO `lang_definitions` VALUES (157941, 7631, 29, 'Очікування нових даних результатів');
INSERT INTO `lang_definitions` VALUES (157942, 7632, 29, 'Очікування призначень');
INSERT INTO `lang_definitions` VALUES (157943, 7633, 29, 'Очікуючий дослідження');
INSERT INTO `lang_definitions` VALUES (157944, 7634, 29, 'Очікуючі огляду');
INSERT INTO `lang_definitions` VALUES (157945, 7635, 29, 'Очікуючий підрахунку Rx');
INSERT INTO `lang_definitions` VALUES (157946, 7638, 29, 'OpenEMR для фірми Pennington v');
INSERT INTO `lang_definitions` VALUES (157947, 7639, 29, 'Виразкова хвороба');
INSERT INTO `lang_definitions` VALUES (157948, 7640, 29, 'По зверненню');
INSERT INTO `lang_definitions` VALUES (157949, 7641, 29, 'на хвилину');
INSERT INTO `lang_definitions` VALUES (157950, 7642, 29, 'Через ніздрю');
INSERT INTO `lang_definitions` VALUES (157951, 7643, 29, 'Через ніздрю');
INSERT INTO `lang_definitions` VALUES (157952, 7644, 29, 'Перорально');
INSERT INTO `lang_definitions` VALUES (157953, 7645, 29, 'перорально');
INSERT INTO `lang_definitions` VALUES (157954, 7646, 29, 'Ректально');
INSERT INTO `lang_definitions` VALUES (157955, 7647, 29, 'ректально');
INSERT INTO `lang_definitions` VALUES (157956, 7648, 29, 'Процент');
INSERT INTO `lang_definitions` VALUES (157957, 7652, 29, 'Процентиль');
INSERT INTO `lang_definitions` VALUES (157958, 7653, 29, 'Перфорований справа:');
INSERT INTO `lang_definitions` VALUES (157959, 7654, 29, 'Здійснити пошук');
INSERT INTO `lang_definitions` VALUES (157960, 7655, 29, 'Виконати цю дію');
INSERT INTO `lang_definitions` VALUES (157961, 7656, 29, 'Подати в процентах');
INSERT INTO `lang_definitions` VALUES (157962, 7659, 29, 'Виконання лабораторних послуг');
INSERT INTO `lang_definitions` VALUES (157963, 7661, 29, 'Період');
INSERT INTO `lang_definitions` VALUES (157964, 7662, 29, 'Період (в днях), коли користувач може ввійти в систему з паролем, термін дії якого закінчився.');
INSERT INTO `lang_definitions` VALUES (157965, 7663, 29, 'Передопераційне лікування');
INSERT INTO `lang_definitions` VALUES (157966, 7665, 29, 'Периферійний');
INSERT INTO `lang_definitions` VALUES (157967, 7668, 29, 'Дозволити \"непосолені\" паролі');
INSERT INTO `lang_definitions` VALUES (157968, 7669, 29, 'Персидська');
INSERT INTO `lang_definitions` VALUES (157969, 7671, 29, 'Людина, особа');
INSERT INTO `lang_definitions` VALUES (157970, 7672, 29, 'Персоналізація');
INSERT INTO `lang_definitions` VALUES (157971, 7675, 29, 'PG');
INSERT INTO `lang_definitions` VALUES (157972, 7676, 29, 'Апт.');
INSERT INTO `lang_definitions` VALUES (157973, 7677, 29, 'Загальн. апт. рахунок');
INSERT INTO `lang_definitions` VALUES (157974, 7678, 29, 'Аптеки');
INSERT INTO `lang_definitions` VALUES (157975, 7680, 29, 'Аптека');
INSERT INTO `lang_definitions` VALUES (157976, 7681, 29, 'Аптечне відділення');
INSERT INTO `lang_definitions` VALUES (157977, 7688, 29, 'Пневмоторакс');
INSERT INTO `lang_definitions` VALUES (157978, 7691, 29, 'Інтервал перевірки повідомлень (хвилин) phiMail');
INSERT INTO `lang_definitions` VALUES (157979, 7692, 29, 'попередження користувача phiMail');
INSERT INTO `lang_definitions` VALUES (157980, 7693, 29, 'Пароль phiMail');
INSERT INTO `lang_definitions` VALUES (157981, 7694, 29, 'Адреса серверу phiMail');
INSERT INTO `lang_definitions` VALUES (157982, 7695, 29, 'Ім\'я користувача phiMail');
INSERT INTO `lang_definitions` VALUES (157983, 7697, 29, 'Телефон');
INSERT INTO `lang_definitions` VALUES (157984, 7699, 29, 'Список телефонних дзвінків');
INSERT INTO `lang_definitions` VALUES (157985, 7701, 29, 'Звіт списку дзвінків');
INSERT INTO `lang_definitions` VALUES (157986, 7705, 29, 'Пароль для телефонного шлюзу');
INSERT INTO `lang_definitions` VALUES (157987, 7706, 29, 'URL для телефонного шлюзу');
INSERT INTO `lang_definitions` VALUES (157988, 7707, 29, 'Ім\'я користувача для телефонного шлюзу');
INSERT INTO `lang_definitions` VALUES (157989, 7709, 29, 'Час телефонограми');
INSERT INTO `lang_definitions` VALUES (157990, 7711, 29, 'Номер телефону');
INSERT INTO `lang_definitions` VALUES (157991, 7715, 29, 'Боязнь світла');
INSERT INTO `lang_definitions` VALUES (157992, 7716, 29, 'Фото');
INSERT INTO `lang_definitions` VALUES (157993, 7717, 29, 'стиснутий PHP');
INSERT INTO `lang_definitions` VALUES (157994, 7718, 29, 'PHP CURL модуль на вашому сервері повинен бути включений');
INSERT INTO `lang_definitions` VALUES (157995, 7720, 29, 'PHP витягнений');
INSERT INTO `lang_definitions` VALUES (157996, 7721, 29, 'Управління доступом php-GACL відключено');
INSERT INTO `lang_definitions` VALUES (157997, 7722, 29, 'PHP-gacl не встановлений');
INSERT INTO `lang_definitions` VALUES (157998, 7723, 29, 'Фізикальне обстеження');
INSERT INTO `lang_definitions` VALUES (157999, 7725, 29, 'Лікакський запит');
INSERT INTO `lang_definitions` VALUES (158000, 7726, 29, 'Підпис лікаря');
INSERT INTO `lang_definitions` VALUES (158001, 7729, 29, 'Лікарі');
INSERT INTO `lang_definitions` VALUES (158002, 7733, 29, 'вибрати');
INSERT INTO `lang_definitions` VALUES (158003, 7734, 29, 'Вибрати');
INSERT INTO `lang_definitions` VALUES (158004, 7735, 29, 'Вибрати тему CSS');
INSERT INTO `lang_definitions` VALUES (158005, 7738, 29, 'Пац.ID');
INSERT INTO `lang_definitions` VALUES (158006, 7740, 29, 'ЗЗМТ (Запальне захворювання малого тазу)');
INSERT INTO `lang_definitions` VALUES (158007, 7741, 29, 'Розмір таблетки');
INSERT INTO `lang_definitions` VALUES (158008, 7742, 29, 'Таблетки');
INSERT INTO `lang_definitions` VALUES (158009, 7745, 29, 'Якщо потрібна ця опція для установки, розмістіть файл zip бази даних в наступну директорію');
INSERT INTO `lang_definitions` VALUES (158010, 7746, 29, 'Помістіть завантажені zip-файли ICD 10 бази даних в наступний каталог');
INSERT INTO `lang_definitions` VALUES (158011, 7747, 29, 'Помістіть завантажені zip-файли ICD 9 бази даних в наступний каталог');
INSERT INTO `lang_definitions` VALUES (158012, 7748, 29, 'Помістіть завантажені zip-файли RxNorm бази даних в наступний каталог');
INSERT INTO `lang_definitions` VALUES (158013, 7749, 29, 'Помістіть завантажені zip-файли Snomed 10 бази даних в наступний каталог');
INSERT INTO `lang_definitions` VALUES (158014, 7752, 29, 'Заповнювач');
INSERT INTO `lang_definitions` VALUES (158015, 7753, 29, 'Заповнювач (підтримує пустий ACLs)');
INSERT INTO `lang_definitions` VALUES (158016, 7756, 29, 'Простий текст');
INSERT INTO `lang_definitions` VALUES (158017, 7757, 29, 'План');
INSERT INTO `lang_definitions` VALUES (158018, 7762, 29, 'Назва плану');
INSERT INTO `lang_definitions` VALUES (158019, 7768, 29, 'Установка плану');
INSERT INTO `lang_definitions` VALUES (158020, 7773, 29, 'План:');
INSERT INTO `lang_definitions` VALUES (158021, 7776, 29, 'Плани');
INSERT INTO `lang_definitions` VALUES (158022, 7778, 29, 'Гравець');
INSERT INTO `lang_definitions` VALUES (158023, 7779, 29, 'Ігрова позиція');
INSERT INTO `lang_definitions` VALUES (158024, 7780, 29, 'Подзвоніть, якщо будь-яка вищезгадана інформація є неправильною');
INSERT INTO `lang_definitions` VALUES (158025, 7784, 29, 'Будь-ласка, змініть ваш пароль');
INSERT INTO `lang_definitions` VALUES (158026, 7785, 29, 'Будь-ласка, виберіть файл');
INSERT INTO `lang_definitions` VALUES (158027, 7786, 29, 'Будь-ласка, виберіть пацієнта');
INSERT INTO `lang_definitions` VALUES (158028, 7787, 29, 'Будь-ласка, зробіть допустимий вибір зі списку');
INSERT INTO `lang_definitions` VALUES (158029, 7788, 29, 'Будь-ласка, зробіть допустимий вибір');
INSERT INTO `lang_definitions` VALUES (158030, 7789, 29, 'Будь-ласка, виберіть значення для');
INSERT INTO `lang_definitions` VALUES (158031, 7790, 29, 'Будь-ласка, виберіть критерії діапазону дат вище і натисніть Оновити, щоб переглянути результати');
INSERT INTO `lang_definitions` VALUES (158032, 7791, 29, 'Будь-ласка, виберіть відповідний EDI-271 відформатований файл');
INSERT INTO `lang_definitions` VALUES (158033, 7792, 29, 'Будь-ласка, натисніть Завантажити, щоб завантажити дані де-ідентифікації');
INSERT INTO `lang_definitions` VALUES (158034, 7793, 29, 'Будь-ласка, натисніть Завантажити, щоб завантажити дані повторної ідентифікації');
INSERT INTO `lang_definitions` VALUES (158035, 7795, 29, 'Будь-ласка, закрийте це вікно');
INSERT INTO `lang_definitions` VALUES (158036, 7796, 29, 'Будь-ласка, порівняйте нове ім\'я');
INSERT INTO `lang_definitions` VALUES (158037, 7803, 29, 'Будь-ласка, створіть наступний каталог перед обробкою');
INSERT INTO `lang_definitions` VALUES (158038, 7805, 29, 'Будь-ласка, не приймайте це призначення якщо воно не було отримане у вигляді факсіміле');
INSERT INTO `lang_definitions` VALUES (158039, 7806, 29, 'Будь-ласка, не приймайте це призначення якщо воно не було отримане у вигляді факсіміле');
INSERT INTO `lang_definitions` VALUES (158040, 7807, 29, 'Будь-ласка, не використовуйте клавішу зупинки чи перезавантаження вашого браузера, поки виконується ця сторінка якщо не пройшло більше 10 хвилин, це не зупинить процес на сервері і буде споживати непотрібні ресурси');
INSERT INTO `lang_definitions` VALUES (158041, 7808, 29, 'БУДЬ-ЛАСКА,ВКЛЮЧІТЬ CURL РОЗШИРЕННЯ');
INSERT INTO `lang_definitions` VALUES (158042, 7809, 29, 'БУДЬ-ЛАСКА,ВКЛЮЧІТЬ OPENSSL РОЗШИРЕННЯ');
INSERT INTO `lang_definitions` VALUES (158043, 7810, 29, 'БУДЬ-ЛАСКА, ВКЛЮЧІТЬ СООП РОЗШИРЕННЯ');
INSERT INTO `lang_definitions` VALUES (158044, 7811, 29, 'БУДЬ-ЛАСКА, ВКЛЮЧІТЬ XML РОЗШИРЕННЯ');
INSERT INTO `lang_definitions` VALUES (158045, 7813, 29, 'Будь-ласка, введіть дату Останнього Перегляду');
INSERT INTO `lang_definitions` VALUES (158046, 7814, 29, 'Будь-ласка, введіть дату');
INSERT INTO `lang_definitions` VALUES (158047, 7816, 29, 'Будь-ласка, введіть відповідну дату');
INSERT INTO `lang_definitions` VALUES (158048, 7818, 29, 'Будь-ласка, введіть повідомлення');
INSERT INTO `lang_definitions` VALUES (158049, 7819, 29, 'Будь-ласка, введіть грошову суму використовуючи лише цифри і десятковий дріб');
INSERT INTO `lang_definitions` VALUES (158050, 7821, 29, 'Будь-ласка, введіть новий пароль');
INSERT INTO `lang_definitions` VALUES (158051, 7822, 29, 'Будь-ласка, введіть назву!');
INSERT INTO `lang_definitions` VALUES (158052, 7828, 29, 'Будь-ласка, введіть правильний код повторної ідентифікації');
INSERT INTO `lang_definitions` VALUES (158053, 7832, 29, 'Будь-ласка, введіть новий критерій пошуку');
INSERT INTO `lang_definitions` VALUES (158054, 7833, 29, 'Будь-ласка, введіть цей правильний код повторної ідентифікації');
INSERT INTO `lang_definitions` VALUES (158055, 7834, 29, 'Будь-ласка, введіть пароль');
INSERT INTO `lang_definitions` VALUES (158056, 7843, 29, 'Будь-ласка, заповніть номер чеку');
INSERT INTO `lang_definitions` VALUES (158057, 7844, 29, 'Будь-ласка, заповніть номер/шифр чеку');
INSERT INTO `lang_definitions` VALUES (158058, 7845, 29, 'Будь-ласка, заповніть дату');
INSERT INTO `lang_definitions` VALUES (158059, 7846, 29, 'Будь-ласка, заповніть суму платежу');
INSERT INTO `lang_definitions` VALUES (158060, 7847, 29, 'Будь-ласка, заповніть категорію платежу');
INSERT INTO `lang_definitions` VALUES (158061, 7848, 29, 'Будь-ласка, заповніть форму платежу');
INSERT INTO `lang_definitions` VALUES (158062, 7849, 29, 'Будь-ласка, заповніть відправку до дати');
INSERT INTO `lang_definitions` VALUES (158063, 7850, 29, 'Будь-ласка, заповніть їх перед продовженням');
INSERT INTO `lang_definitions` VALUES (158064, 7854, 29, 'Вкажіть причину візиту');
INSERT INTO `lang_definitions` VALUES (158065, 7855, 29, 'Будь-ласка, введіть вище критерії пошуку і натисніть Підтвердити щоб розпочати звіт');
INSERT INTO `lang_definitions` VALUES (158066, 7856, 29, 'Будь-ласка, введіть вище критерії пошуку і натисніть Підтвердити щоб переглянути результати');
INSERT INTO `lang_definitions` VALUES (158067, 7857, 29, 'Будь-ласка, введіть вище критерії пошуку і натисніть Підтвердити щоб переглянути результати (результати будуть відображені у спливаючому вікні');
INSERT INTO `lang_definitions` VALUES (158068, 7858, 29, 'Будь-ласка, увійдіть в систему заново');
INSERT INTO `lang_definitions` VALUES (158069, 7859, 29, 'Будь-ласка, зауважте, що це може зайняти багато часу, до кількох хвилин. Ваш браузер може бути неактивним під час цього, але створення рахунку є складним процесом і ваш браузер просто чекає на додаткову інформацію');
INSERT INTO `lang_definitions` VALUES (158070, 7860, 29, 'Будь-ласка, зауважте, константи є чутливими до регістру і будь-які рядки дозволяються');
INSERT INTO `lang_definitions` VALUES (158071, 7861, 29, 'Будь-ласка, використовуйте лише алфавітні символи');
INSERT INTO `lang_definitions` VALUES (158072, 7862, 29, 'Будь-ласка, використовуйте лише алфавітні символи без пробілів');
INSERT INTO `lang_definitions` VALUES (158073, 7863, 29, 'Будь-ласка, оплатіть цю суму');
INSERT INTO `lang_definitions` VALUES (158074, 7864, 29, 'Будь-ласка, розмістіть інсталяційні файли у наступному каталозі');
INSERT INTO `lang_definitions` VALUES (158075, 7867, 29, 'Будь-ласка, зверніться до');
INSERT INTO `lang_definitions` VALUES (158076, 7868, 29, 'Будь-ласка, встановіть пароль знову');
INSERT INTO `lang_definitions` VALUES (158077, 7869, 29, 'Будь-ласка, перезапустіть сервер перед виконанням де-ідентифікації');
INSERT INTO `lang_definitions` VALUES (158078, 7875, 29, 'Будь-ласка, виберіть');
INSERT INTO `lang_definitions` VALUES (158079, 7877, 29, 'Будь-ласка, виберіть мову');
INSERT INTO `lang_definitions` VALUES (158080, 7878, 29, 'Будь-ласка, виберіть пацієнта');
INSERT INTO `lang_definitions` VALUES (158081, 7879, 29, 'Будь-ласка, виберіть основний об\'єкт суб\'єкта господарювання за допомогою \"Tax ID\". Якщо ви є приватним лікарем, використайте ваш tax id. Це служить для ідентифікації вас у системі NewCrop.');
INSERT INTO `lang_definitions` VALUES (158082, 7882, 29, 'Будь-ласка, виберіть одержувача');
INSERT INTO `lang_definitions` VALUES (158083, 7884, 29, 'Будь-ласка, виберіть дату початку і дату завершення');
INSERT INTO `lang_definitions` VALUES (158084, 7885, 29, 'Будь-ласка, виберіть дійсного одержувача');
INSERT INTO `lang_definitions` VALUES (158085, 7888, 29, 'Будь-ласка, виберіть причину коректування для кода');
INSERT INTO `lang_definitions` VALUES (158086, 7889, 29, 'Будь-ласка, виберіть подію');
INSERT INTO `lang_definitions` VALUES (158087, 7891, 29, 'Будь-ласка, виберіть будь-яку опцію пошуку');
INSERT INTO `lang_definitions` VALUES (158088, 7894, 29, 'Будь-ласка, виберіть хоча б одне призначення!');
INSERT INTO `lang_definitions` VALUES (158089, 7899, 29, 'Будь-ласка, виберіть необхідні сторінки для копіювання чи далі:');
INSERT INTO `lang_definitions` VALUES (158090, 7900, 29, 'Будь-ласка, виберіть метод оплати');
INSERT INTO `lang_definitions` VALUES (158091, 7903, 29, 'Будь-ласка, виберіть тип оплати.');
INSERT INTO `lang_definitions` VALUES (158092, 7905, 29, 'Будь-ласка, виберіть партнера X12, необхідного для створення пакета 270');
INSERT INTO `lang_definitions` VALUES (158093, 7906, 29, 'Встановіть');
INSERT INTO `lang_definitions` VALUES (158094, 7907, 29, 'Будь-ласка, встановіть змінну de_identification_config назад на нуль');
INSERT INTO `lang_definitions` VALUES (158095, 7910, 29, 'Будь-ласка, запустіть новий процес де-ідентифікації');
INSERT INTO `lang_definitions` VALUES (158096, 7913, 29, 'Будь-ласка, оновіть OpenEMR базу даних щоб включити методики де-ідентифікації, функції, таблиці');
INSERT INTO `lang_definitions` VALUES (158097, 7915, 29, 'Будь-ласка, перегляньте лог-таблицю помилок з де-ідентифікації для отримання деталей');
INSERT INTO `lang_definitions` VALUES (158098, 7916, 29, 'Будь-ласка, перейдіть на екран де-ідентифікації через деякий час');
INSERT INTO `lang_definitions` VALUES (158099, 7917, 29, 'Будь-ласка, перейдіть на екран повторної ідентифікації через деякий час');
INSERT INTO `lang_definitions` VALUES (158100, 7918, 29, 'Будь-ласка, перейдіть на екран через деякий час');
INSERT INTO `lang_definitions` VALUES (158101, 7922, 29, 'Множинний');
INSERT INTO `lang_definitions` VALUES (158102, 7926, 29, 'Після обіду');
INSERT INTO `lang_definitions` VALUES (158103, 7927, 29, 'Післяобідня програма');
INSERT INTO `lang_definitions` VALUES (158104, 7933, 29, 'Pmt метод');
INSERT INTO `lang_definitions` VALUES (158105, 7934, 29, 'Синдром нічного апное');
INSERT INTO `lang_definitions` VALUES (158106, 7935, 29, 'Кон\'югований з пневмококом 1');
INSERT INTO `lang_definitions` VALUES (158107, 7936, 29, 'Кон\'югований з пневмококом 2');
INSERT INTO `lang_definitions` VALUES (158108, 7937, 29, 'Кон\'югований з пневмококом 3');
INSERT INTO `lang_definitions` VALUES (158109, 7938, 29, 'Кон\'югований з пневмококом 4');
INSERT INTO `lang_definitions` VALUES (158110, 7939, 29, 'Пневмококова вакцина');
INSERT INTO `lang_definitions` VALUES (158111, 7940, 29, 'Вакцинація від пневмонії');
INSERT INTO `lang_definitions` VALUES (158112, 7941, 29, 'Статус вакцинації від пневмонії для літніх дорослих');
INSERT INTO `lang_definitions` VALUES (158113, 7942, 29, 'Статус вакцинації від пневмонії для літніх дорослих (CQM)');
INSERT INTO `lang_definitions` VALUES (158114, 7943, 29, 'Ортопедичний');
INSERT INTO `lang_definitions` VALUES (158115, 7946, 29, 'Місце надання допомоги (POS)');
INSERT INTO `lang_definitions` VALUES (158116, 7947, 29, 'Поліс');
INSERT INTO `lang_definitions` VALUES (158117, 7950, 29, 'Номер поліса');
INSERT INTO `lang_definitions` VALUES (158118, 7951, 29, 'Номер поліса');
INSERT INTO `lang_definitions` VALUES (158119, 7952, 29, 'Польська');
INSERT INTO `lang_definitions` VALUES (158120, 7953, 29, 'Полідипсія');
INSERT INTO `lang_definitions` VALUES (158121, 7955, 29, 'Поліпи');
INSERT INTO `lang_definitions` VALUES (158122, 7956, 29, 'Поліурія');
INSERT INTO `lang_definitions` VALUES (158123, 7957, 29, 'Поганий апетит');
INSERT INTO `lang_definitions` VALUES (158124, 7958, 29, 'Порушення кровообігу');
INSERT INTO `lang_definitions` VALUES (158125, 7959, 29, 'Поганий слух');
INSERT INTO `lang_definitions` VALUES (158126, 7962, 29, 'Замітки мають бути включені, щоб бути відображеними в цих звітах');
INSERT INTO `lang_definitions` VALUES (158127, 7964, 29, 'Ззаповнити річний огляд подіями?');
INSERT INTO `lang_definitions` VALUES (158128, 7965, 29, 'Спливаючі вікна');
INSERT INTO `lang_definitions` VALUES (158129, 7967, 29, 'Портал');
INSERT INTO `lang_definitions` VALUES (158130, 7969, 29, 'Активність порталу');
INSERT INTO `lang_definitions` VALUES (158131, 7985, 29, 'Португальська');
INSERT INTO `lang_definitions` VALUES (158132, 7987, 29, 'Португальська (бразильська)');
INSERT INTO `lang_definitions` VALUES (158133, 7988, 29, 'Португальська (європейська)');
INSERT INTO `lang_definitions` VALUES (158134, 7989, 29, 'POS код');
INSERT INTO `lang_definitions` VALUES (158135, 7992, 29, 'Позитивний');
INSERT INTO `lang_definitions` VALUES (158136, 7993, 29, 'Точно');
INSERT INTO `lang_definitions` VALUES (158137, 7996, 29, 'Відправити для');
INSERT INTO `lang_definitions` VALUES (158138, 7998, 29, 'Краплі в ніс');
INSERT INTO `lang_definitions` VALUES (158139, 8000, 29, 'Відправити платіж');
INSERT INTO `lang_definitions` VALUES (158140, 8001, 29, 'Післяопераційний');
INSERT INTO `lang_definitions` VALUES (158141, 8002, 29, 'Відправити для фінансової обробки і помітити як оплачене');
INSERT INTO `lang_definitions` VALUES (158142, 8003, 29, 'Оплачено на дату');
INSERT INTO `lang_definitions` VALUES (158143, 8004, 29, 'Дата оплати не може бути пізніше сьогоднішнього дня');
INSERT INTO `lang_definitions` VALUES (158144, 8006, 29, 'Дата оплати має бути пізніше дати фінансового закриття');
INSERT INTO `lang_definitions` VALUES (158145, 8007, 29, 'Лікування після аботру');
INSERT INTO `lang_definitions` VALUES (158146, 8008, 29, 'Контрацепція після аборту');
INSERT INTO `lang_definitions` VALUES (158147, 8009, 29, 'Консультація після аборту');
INSERT INTO `lang_definitions` VALUES (158148, 8010, 29, 'Наслідки аборту');
INSERT INTO `lang_definitions` VALUES (158149, 8011, 29, 'Поштовий');
INSERT INTO `lang_definitions` VALUES (158150, 8012, 29, 'Поштовий індекс');
INSERT INTO `lang_definitions` VALUES (158151, 8013, 29, 'Поштовий індекс');
INSERT INTO `lang_definitions` VALUES (158152, 8015, 29, 'PostCalendar');
INSERT INTO `lang_definitions` VALUES (158153, 8016, 29, 'Адміністрування PostCalendar');
INSERT INTO `lang_definitions` VALUES (158154, 8017, 29, 'Налаштування категорії PostCalendar');
INSERT INTO `lang_definitions` VALUES (158155, 8018, 29, 'Загальні налаштування PostCalendar');
INSERT INTO `lang_definitions` VALUES (158156, 8023, 29, 'Опубліковано в');
INSERT INTO `lang_definitions` VALUES (158157, 8026, 29, 'Дата відправки');
INSERT INTO `lang_definitions` VALUES (158158, 8032, 29, 'Живиться від');
INSERT INTO `lang_definitions` VALUES (158159, 8033, 29, 'PRE + Prev Med/Surg Hx');
INSERT INTO `lang_definitions` VALUES (158160, 8034, 29, 'PQRI');
INSERT INTO `lang_definitions` VALUES (158161, 8035, 29, 'Реєстраційний ID для PQRI');
INSERT INTO `lang_definitions` VALUES (158162, 8036, 29, 'Реєстраційне ім\'я для PQRI');
INSERT INTO `lang_definitions` VALUES (158163, 8037, 29, 'Лікарська практика');
INSERT INTO `lang_definitions` VALUES (158164, 8038, 29, 'Налаштування лікарської практики по замовчуванню');
INSERT INTO `lang_definitions` VALUES (158165, 8039, 29, 'Налаштування лікарької практики');
INSERT INTO `lang_definitions` VALUES (158166, 8041, 29, 'Практикуючий лікар');
INSERT INTO `lang_definitions` VALUES (158167, 8043, 29, 'Передоплата');
INSERT INTO `lang_definitions` VALUES (158168, 8044, 29, 'Передоплата');
INSERT INTO `lang_definitions` VALUES (158169, 8045, 29, 'Консультація перед абортом');
INSERT INTO `lang_definitions` VALUES (158170, 8046, 29, 'Консультування перед абортом');
INSERT INTO `lang_definitions` VALUES (158171, 8048, 29, 'Pref Cat');
INSERT INTO `lang_definitions` VALUES (158172, 8050, 29, 'Уподобання');
INSERT INTO `lang_definitions` VALUES (158173, 8052, 29, 'Категорія події, якій надається перевага');
INSERT INTO `lang_definitions` VALUES (158174, 8053, 29, 'Мова, якій надається перевага');
INSERT INTO `lang_definitions` VALUES (158175, 8054, 29, 'Аптека, якій надається перевага');
INSERT INTO `lang_definitions` VALUES (158176, 8055, 29, 'Постачальник медичних послуг, якому надається перевага (PPO)');
INSERT INTO `lang_definitions` VALUES (158177, 8056, 29, 'Тест на визначення вагітності');
INSERT INTO `lang_definitions` VALUES (158178, 8057, 29, 'Попередній');
INSERT INTO `lang_definitions` VALUES (158179, 8058, 29, 'Підготовка до запуску звіту');
INSERT INTO `lang_definitions` VALUES (158180, 8059, 29, 'Передоплата');
INSERT INTO `lang_definitions` VALUES (158181, 8061, 29, 'Призначення');
INSERT INTO `lang_definitions` VALUES (158182, 8063, 29, 'призначення досягло свого ліміту');
INSERT INTO `lang_definitions` VALUES (158183, 8064, 29, 'Історія призначень');
INSERT INTO `lang_definitions` VALUES (158184, 8065, 29, 'Імпорт історії призначень успішно завершено');
INSERT INTO `lang_definitions` VALUES (158185, 8066, 29, 'Мітка призначення');
INSERT INTO `lang_definitions` VALUES (158186, 8067, 29, 'Звіт про призначення');
INSERT INTO `lang_definitions` VALUES (158187, 8070, 29, 'Призначення');
INSERT INTO `lang_definitions` VALUES (158188, 8073, 29, 'Призначення і виконання');
INSERT INTO `lang_definitions` VALUES (158189, 8074, 29, 'Призначення та інші направлення');
INSERT INTO `lang_definitions` VALUES (158190, 8075, 29, 'Призначення і/або направлення спеціалістом');
INSERT INTO `lang_definitions` VALUES (158191, 8076, 29, 'Звіт про призначення');
INSERT INTO `lang_definitions` VALUES (158192, 8077, 29, 'Призначення/направлення');
INSERT INTO `lang_definitions` VALUES (158193, 8078, 29, 'Присутній');
INSERT INTO `lang_definitions` VALUES (158194, 8079, 29, 'Присутні скарги');
INSERT INTO `lang_definitions` VALUES (158195, 8080, 29, 'Присутня проблема(и)');
INSERT INTO `lang_definitions` VALUES (158196, 8081, 29, 'Нажміть Продовжити для обробки');
INSERT INTO `lang_definitions` VALUES (158197, 8084, 29, 'Гаданий діагноз');
INSERT INTO `lang_definitions` VALUES (158198, 8085, 29, 'Гаданий діагноз по спеціалісту');
INSERT INTO `lang_definitions` VALUES (158199, 8086, 29, 'Попер.');
INSERT INTO `lang_definitions` VALUES (158200, 8087, 29, 'Prev Med/Surg Hx');
INSERT INTO `lang_definitions` VALUES (158201, 8088, 29, 'Попередній місяць (утримуйте для меню)');
INSERT INTO `lang_definitions` VALUES (158202, 8089, 29, 'Попередній рік (утримуйте для меню)');
INSERT INTO `lang_definitions` VALUES (158203, 8091, 29, 'Профілактичне лікування');
INSERT INTO `lang_definitions` VALUES (158204, 8094, 29, 'Попередній перегляд події');
INSERT INTO `lang_definitions` VALUES (158205, 8097, 29, 'Попередній перегляд');
INSERT INTO `lang_definitions` VALUES (158206, 8098, 29, 'Попередній');
INSERT INTO `lang_definitions` VALUES (158207, 8099, 29, 'Попередні консультації');
INSERT INTO `lang_definitions` VALUES (158208, 8100, 29, 'Попередній день');
INSERT INTO `lang_definitions` VALUES (158209, 8102, 29, 'Попередня історія/огляд');
INSERT INTO `lang_definitions` VALUES (158210, 8103, 29, 'Попередній місяць');
INSERT INTO `lang_definitions` VALUES (158211, 8104, 29, 'Попередній тиждень');
INSERT INTO `lang_definitions` VALUES (158212, 8105, 29, 'Ціна');
INSERT INTO `lang_definitions` VALUES (158213, 8108, 29, 'Знижка на ціну');
INSERT INTO `lang_definitions` VALUES (158214, 8109, 29, 'Рівень цін');
INSERT INTO `lang_definitions` VALUES (158215, 8111, 29, 'Рівень цін:');
INSERT INTO `lang_definitions` VALUES (158216, 8113, 29, 'Ціни');
INSERT INTO `lang_definitions` VALUES (158217, 8114, 29, 'Основний');
INSERT INTO `lang_definitions` VALUES (158218, 8115, 29, 'Первинний суб\'єкт господарювання');
INSERT INTO `lang_definitions` VALUES (158219, 8116, 29, 'tax id первинного суб\'єкта господарювання використовується як id фінансового аналізу для NewCrop ePrescription. Зміна медичного закладу вплине на роботу в NewCrop.');
INSERT INTO `lang_definitions` VALUES (158220, 8125, 29, 'Основне страх.');
INSERT INTO `lang_definitions` VALUES (158221, 8126, 29, 'Основне страхування');
INSERT INTO `lang_definitions` VALUES (158222, 8127, 29, 'Дата основного страхування');
INSERT INTO `lang_definitions` VALUES (158223, 8128, 29, 'Основний страхувальник');
INSERT INTO `lang_definitions` VALUES (158224, 8129, 29, 'Основний спеціаліст');
INSERT INTO `lang_definitions` VALUES (158225, 8130, 29, 'Друк');
INSERT INTO `lang_definitions` VALUES (158226, 8131, 29, 'Друк (HTML)');
INSERT INTO `lang_definitions` VALUES (158227, 8132, 29, 'Друк (PDF)');
INSERT INTO `lang_definitions` VALUES (158228, 8134, 29, 'Друкувати будь-яке звернення');
INSERT INTO `lang_definitions` VALUES (158229, 8135, 29, 'Друкувати пусту форму направлення');
INSERT INTO `lang_definitions` VALUES (158230, 8136, 29, 'Команда друку');
INSERT INTO `lang_definitions` VALUES (158231, 8138, 29, 'Дата друку');
INSERT INTO `lang_definitions` VALUES (158232, 8143, 29, 'Формат друку');
INSERT INTO `lang_definitions` VALUES (158233, 8144, 29, 'Друк чотирьох панелей');
INSERT INTO `lang_definitions` VALUES (158234, 8147, 29, 'Друк повідомлення');
INSERT INTO `lang_definitions` VALUES (158235, 8148, 29, 'Багаторазовий друк');
INSERT INTO `lang_definitions` VALUES (158236, 8149, 29, 'Багаторазовий вивід на факс');
INSERT INTO `lang_definitions` VALUES (158237, 8150, 29, 'Друкувати назва, підпис і дата друку');
INSERT INTO `lang_definitions` VALUES (158238, 8151, 29, 'Друк записів');
INSERT INTO `lang_definitions` VALUES (158239, 8152, 29, 'Друк сторінки 1');
INSERT INTO `lang_definitions` VALUES (158240, 8153, 29, 'Друк сторінки 2');
INSERT INTO `lang_definitions` VALUES (158241, 8156, 29, 'Друк рецептів по спеціалісту');
INSERT INTO `lang_definitions` VALUES (158242, 8157, 29, 'Друкувати запис');
INSERT INTO `lang_definitions` VALUES (158243, 8163, 29, 'Друк вибраних заявок');
INSERT INTO `lang_definitions` VALUES (158244, 8164, 29, 'Друк частини запису');
INSERT INTO `lang_definitions` VALUES (158245, 8166, 29, 'Друкувати це звернення');
INSERT INTO `lang_definitions` VALUES (158246, 8168, 29, 'Друкувати цей запис');
INSERT INTO `lang_definitions` VALUES (158247, 8169, 29, 'Друкувати цей запис');
INSERT INTO `lang_definitions` VALUES (158248, 8171, 29, 'Виводити на факс');
INSERT INTO `lang_definitions` VALUES (158249, 8172, 29, 'Вид друку');
INSERT INTO `lang_definitions` VALUES (158250, 8173, 29, 'для друку');
INSERT INTO `lang_definitions` VALUES (158251, 8174, 29, 'Версія для друку');
INSERT INTO `lang_definitions` VALUES (158252, 8175, 29, 'Надрукований');
INSERT INTO `lang_definitions` VALUES (158253, 8178, 29, 'Результати друку:');
INSERT INTO `lang_definitions` VALUES (158254, 8179, 29, 'Друк пропущений; див. тестовий вивід в');
INSERT INTO `lang_definitions` VALUES (158255, 8180, 29, 'Друк пропущений; див. тестовий вивід в');
INSERT INTO `lang_definitions` VALUES (158256, 8182, 29, 'Попередня аутентифікація');
INSERT INTO `lang_definitions` VALUES (158257, 8184, 29, 'Форма попередньої аутентифікації');
INSERT INTO `lang_definitions` VALUES (158258, 8189, 29, 'Попередній візит');
INSERT INTO `lang_definitions` VALUES (158259, 8191, 29, 'Пріоритет');
INSERT INTO `lang_definitions` VALUES (158260, 8192, 29, 'Пріоритет');
INSERT INTO `lang_definitions` VALUES (158261, 8196, 29, 'Конфіденційний');
INSERT INTO `lang_definitions` VALUES (158262, 8197, 29, 'Проблема');
INSERT INTO `lang_definitions` VALUES (158263, 8198, 29, 'Проблема DX');
INSERT INTO `lang_definitions` VALUES (158264, 8199, 29, 'Список проблем');
INSERT INTO `lang_definitions` VALUES (158265, 8202, 29, 'Проблеми/питання');
INSERT INTO `lang_definitions` VALUES (158266, 8203, 29, 'Проц. Бат');
INSERT INTO `lang_definitions` VALUES (158267, 8204, 29, 'Проц. Кат.');
INSERT INTO `lang_definitions` VALUES (158268, 8205, 29, 'Проц. Завантаження');
INSERT INTO `lang_definitions` VALUES (158269, 8206, 29, 'Проц. Очік. Перегл.');
INSERT INTO `lang_definitions` VALUES (158270, 8207, 29, 'Проц. Пост.');
INSERT INTO `lang_definitions` VALUES (158271, 8208, 29, 'Проц. Рез.');
INSERT INTO `lang_definitions` VALUES (158272, 8209, 29, 'Процедура');
INSERT INTO `lang_definitions` VALUES (158273, 8210, 29, 'Ділянки тіла для процедури');
INSERT INTO `lang_definitions` VALUES (158274, 8212, 29, 'Логічні результати процедури');
INSERT INTO `lang_definitions` VALUES (158275, 8214, 29, 'Код процедури');
INSERT INTO `lang_definitions` VALUES (158276, 8215, 29, 'Коди процедур');
INSERT INTO `lang_definitions` VALUES (158277, 8216, 29, 'Латералізація процедури');
INSERT INTO `lang_definitions` VALUES (158278, 8218, 29, 'Назва процедури');
INSERT INTO `lang_definitions` VALUES (158279, 8220, 29, 'Призначення процедури');
INSERT INTO `lang_definitions` VALUES (158280, 8221, 29, 'Призначення процедури');
INSERT INTO `lang_definitions` VALUES (158281, 8223, 29, 'Призначення процедури для');
INSERT INTO `lang_definitions` VALUES (158282, 8226, 29, 'Призначення і звіти по процедурі');
INSERT INTO `lang_definitions` VALUES (158283, 8227, 29, 'Вибір процедури');
INSERT INTO `lang_definitions` VALUES (158284, 8228, 29, 'Спеціаліст по процедурі');
INSERT INTO `lang_definitions` VALUES (158285, 8229, 29, 'Спеціаліст по процедурі');
INSERT INTO `lang_definitions` VALUES (158286, 8231, 29, 'Спеціалісти по процедурі');
INSERT INTO `lang_definitions` VALUES (158287, 8232, 29, 'Звіт по процедурі');
INSERT INTO `lang_definitions` VALUES (158288, 8235, 29, 'Статуси звіту процедури');
INSERT INTO `lang_definitions` VALUES (158289, 8237, 29, 'Відхилення результату процедури від норми');
INSERT INTO `lang_definitions` VALUES (158290, 8238, 29, 'Статуси звіту процедури');
INSERT INTO `lang_definitions` VALUES (158291, 8240, 29, 'Результати процедури');
INSERT INTO `lang_definitions` VALUES (158292, 8241, 29, 'Шляхи процедури');
INSERT INTO `lang_definitions` VALUES (158293, 8243, 29, 'Тип біозразка для процедури');
INSERT INTO `lang_definitions` VALUES (158294, 8245, 29, 'Статистичний звіт по процедурі');
INSERT INTO `lang_definitions` VALUES (158295, 8248, 29, 'Тип процедури');
INSERT INTO `lang_definitions` VALUES (158296, 8249, 29, 'Типи процедури');
INSERT INTO `lang_definitions` VALUES (158297, 8251, 29, 'Частини процедури');
INSERT INTO `lang_definitions` VALUES (158298, 8253, 29, 'Процедура/Послуга');
INSERT INTO `lang_definitions` VALUES (158299, 8254, 29, 'Процедури');
INSERT INTO `lang_definitions` VALUES (158300, 8256, 29, 'Обробити');
INSERT INTO `lang_definitions` VALUES (158301, 8257, 29, 'Обробити і послати нагадування');
INSERT INTO `lang_definitions` VALUES (158302, 8258, 29, 'Обробка файлу ERA');
INSERT INTO `lang_definitions` VALUES (158303, 8260, 29, 'Обробити нові файли з CSV-записами');
INSERT INTO `lang_definitions` VALUES (158304, 8261, 29, 'Обробити нагадування');
INSERT INTO `lang_definitions` VALUES (158305, 8262, 29, 'Обробка займе деякий час');
INSERT INTO `lang_definitions` VALUES (158306, 8263, 29, 'Оброблений');
INSERT INTO `lang_definitions` VALUES (158307, 8264, 29, 'Оброблений з');
INSERT INTO `lang_definitions` VALUES (158308, 8265, 29, 'Оброблена дата');
INSERT INTO `lang_definitions` VALUES (158309, 8266, 29, 'оброблено успішно');
INSERT INTO `lang_definitions` VALUES (158310, 8267, 29, 'Обробка');
INSERT INTO `lang_definitions` VALUES (158311, 8268, 29, 'Обробка і відсилання нагадувань для пацієнтів');
INSERT INTO `lang_definitions` VALUES (158312, 8271, 29, 'Обробка нагадувань для пацієнів');
INSERT INTO `lang_definitions` VALUES (158313, 8272, 29, 'Час обробки');
INSERT INTO `lang_definitions` VALUES (158314, 8274, 29, 'Виготовлення');
INSERT INTO `lang_definitions` VALUES (158315, 8276, 29, 'Виготовлення засобу контрацепції');
INSERT INTO `lang_definitions` VALUES (158316, 8278, 29, 'Виготовлення');
INSERT INTO `lang_definitions` VALUES (158317, 8279, 29, 'Виготовлено');
INSERT INTO `lang_definitions` VALUES (158318, 8280, 29, 'Виготовлено, але не ліків за рецептом і без шаблонів');
INSERT INTO `lang_definitions` VALUES (158319, 8282, 29, 'Проф.');
INSERT INTO `lang_definitions` VALUES (158320, 8290, 29, 'Обробка записів');
INSERT INTO `lang_definitions` VALUES (158321, 8295, 29, 'Рак передміхурової залози');
INSERT INTO `lang_definitions` VALUES (158322, 8296, 29, 'Скринінг раку простати');
INSERT INTO `lang_definitions` VALUES (158323, 8297, 29, 'Огляд простати');
INSERT INTO `lang_definitions` VALUES (158324, 8298, 29, 'Проблеми з простатою');
INSERT INTO `lang_definitions` VALUES (158325, 8299, 29, 'Простата без збільшень, вузлів, чутлива');
INSERT INTO `lang_definitions` VALUES (158326, 8302, 29, 'Протокол');
INSERT INTO `lang_definitions` VALUES (158327, 8304, 29, 'Надайте абсолютний шлях');
INSERT INTO `lang_definitions` VALUES (158328, 8305, 29, 'Надайте абсолютний шлях до файлу');
INSERT INTO `lang_definitions` VALUES (158329, 8309, 29, 'Надання клінічних резюме по пацієнтах, для кожного відвідування кабінету.');
INSERT INTO `lang_definitions` VALUES (158330, 8311, 29, 'Надання пацієнтам за запитом електронної копії їхньої медичної інформації (в тому числі результати діагностики, список питань, списки ліків, засоби від алергій).');
INSERT INTO `lang_definitions` VALUES (158331, 8312, 29, 'Надання пацієнтам своєчасного електронний доступу до їхньої медичної інформації (в тому числі результати лабораторних аналізів, список питань, списки ліків, засоби від алергії) протягом чотирьох робочих днів з інформацією, доступною EP.');
INSERT INTO `lang_definitions` VALUES (158332, 8313, 29, 'Забезпечити запис для пацієнтів на відвідування');
INSERT INTO `lang_definitions` VALUES (158333, 8315, 29, 'Надайте правильну адресу електронної пошти');
INSERT INTO `lang_definitions` VALUES (158334, 8316, 29, 'Надати клінічну інформацію?');
INSERT INTO `lang_definitions` VALUES (158335, 8317, 29, 'Надати освітні(й) ресурс(и)?');
INSERT INTO `lang_definitions` VALUES (158336, 8318, 29, 'Спеціаліст');
INSERT INTO `lang_definitions` VALUES (158337, 8322, 29, 'ID спеціаліста');
INSERT INTO `lang_definitions` VALUES (158338, 8323, 29, 'ID спеціаліста');
INSERT INTO `lang_definitions` VALUES (158339, 8324, 29, 'ID спеціаліста і визначений медзаклад');
INSERT INTO `lang_definitions` VALUES (158340, 8325, 29, 'Помилки відповідності спеціаліста');
INSERT INTO `lang_definitions` VALUES (158341, 8330, 29, 'Номер спеціаліста');
INSERT INTO `lang_definitions` VALUES (158342, 8333, 29, 'Взаємозв\"язок спеціалістів');
INSERT INTO `lang_definitions` VALUES (158343, 8336, 29, 'Спеціаліст:');
INSERT INTO `lang_definitions` VALUES (158344, 8337, 29, 'Спеціалісти');
INSERT INTO `lang_definitions` VALUES (158345, 8338, 29, 'Спеціалісти NPI');
INSERT INTO `lang_definitions` VALUES (158346, 8339, 29, 'Спеціалісти бачать вміст календаря');
INSERT INTO `lang_definitions` VALUES (158347, 8341, 29, 'Prv');
INSERT INTO `lang_definitions` VALUES (158348, 8342, 29, 'PSA');
INSERT INTO `lang_definitions` VALUES (158349, 8343, 29, 'Псоріаз');
INSERT INTO `lang_definitions` VALUES (158350, 8345, 29, 'Псих. діагноз');
INSERT INTO `lang_definitions` VALUES (158351, 8346, 29, 'Псих. Лікування');
INSERT INTO `lang_definitions` VALUES (158352, 8347, 29, 'Психіатричний');
INSERT INTO `lang_definitions` VALUES (158353, 8348, 29, 'Короткий психіатричний лист');
INSERT INTO `lang_definitions` VALUES (158354, 8349, 29, 'Психіатричний діагноз');
INSERT INTO `lang_definitions` VALUES (158355, 8350, 29, 'Психіатричний огляд');
INSERT INTO `lang_definitions` VALUES (158356, 8352, 29, 'Психіатричний анамнез');
INSERT INTO `lang_definitions` VALUES (158357, 8353, 29, 'Вживання психотропних препаратів');
INSERT INTO `lang_definitions` VALUES (158358, 8354, 29, 'Психіатричний препарат');
INSERT INTO `lang_definitions` VALUES (158359, 8358, 29, 'Проц. %');
INSERT INTO `lang_definitions` VALUES (158360, 8360, 29, 'Проц. записів');
INSERT INTO `lang_definitions` VALUES (158361, 8361, 29, 'Проц. записів/дозв.');
INSERT INTO `lang_definitions` VALUES (158362, 8362, 29, 'Проц. переплати');
INSERT INTO `lang_definitions` VALUES (158363, 8364, 29, 'Проц. оплати');
INSERT INTO `lang_definitions` VALUES (158364, 8365, 29, 'Проц. запиту реєстр.');
INSERT INTO `lang_definitions` VALUES (158365, 8366, 29, 'Проц. відшкодувань');
INSERT INTO `lang_definitions` VALUES (158366, 8367, 29, 'Проц. релізу');
INSERT INTO `lang_definitions` VALUES (158367, 8368, 29, 'Проц. звіту');
INSERT INTO `lang_definitions` VALUES (158368, 8369, 29, 'PT студента або залиште пустим');
INSERT INTO `lang_definitions` VALUES (158369, 8370, 29, 'PT МІСТО');
INSERT INTO `lang_definitions` VALUES (158370, 8371, 29, 'PT_ДАТАНАРОДЖ');
INSERT INTO `lang_definitions` VALUES (158371, 8373, 29, 'PT ІМ\'Я');
INSERT INTO `lang_definitions` VALUES (158372, 8374, 29, 'PT ПРІЗВИЩЕ');
INSERT INTO `lang_definitions` VALUES (158373, 8375, 29, 'PT_ПОБАТЬОВІ');
INSERT INTO `lang_definitions` VALUES (158374, 8378, 29, 'PT ПОШТОВИЙ');
INSERT INTO `lang_definitions` VALUES (158375, 8380, 29, 'PT КРАЇНА');
INSERT INTO `lang_definitions` VALUES (158376, 8381, 29, 'PT ВУЛИЦЯ');
INSERT INTO `lang_definitions` VALUES (158377, 8383, 29, 'Громадський');
INSERT INTO `lang_definitions` VALUES (158378, 8387, 29, 'Служба охорони здоров\'я (PHS) чи ішна державна установа');
INSERT INTO `lang_definitions` VALUES (158379, 8394, 29, 'Пуерториканський');
INSERT INTO `lang_definitions` VALUES (158380, 8396, 29, 'Легеневий');
INSERT INTO `lang_definitions` VALUES (158381, 8398, 29, 'Пульс');
INSERT INTO `lang_definitions` VALUES (158382, 8399, 29, 'Панджабський');
INSERT INTO `lang_definitions` VALUES (158383, 8401, 29, 'Покупка');
INSERT INTO `lang_definitions` VALUES (158384, 8402, 29, 'Покупка/повернення');
INSERT INTO `lang_definitions` VALUES (158385, 8403, 29, 'Покупки');
INSERT INTO `lang_definitions` VALUES (158386, 8406, 29, 'P{{Вирівнювання заголовка}}');
INSERT INTO `lang_definitions` VALUES (158387, 8408, 29, 'кожні 3 години');
INSERT INTO `lang_definitions` VALUES (158388, 8409, 29, 'кожні 4 години');
INSERT INTO `lang_definitions` VALUES (158389, 8410, 29, 'кожні 5 годин');
INSERT INTO `lang_definitions` VALUES (158390, 8411, 29, 'кожні 6 годин');
INSERT INTO `lang_definitions` VALUES (158391, 8412, 29, 'кожні 8 годин');
INSERT INTO `lang_definitions` VALUES (158392, 8413, 29, 'кожний день');
INSERT INTO `lang_definitions` VALUES (158393, 8414, 29, 'чотири рази на день');
INSERT INTO `lang_definitions` VALUES (158394, 8417, 29, 'QOH');
INSERT INTO `lang_definitions` VALUES (158395, 8418, 29, 'QOH менше, ніж щомісячне вживання');
INSERT INTO `lang_definitions` VALUES (158396, 8419, 29, 'Qty');
INSERT INTO `lang_definitions` VALUES (158397, 8420, 29, 'QTY');
INSERT INTO `lang_definitions` VALUES (158398, 8421, 29, 'Якість');
INSERT INTO `lang_definitions` VALUES (158399, 8422, 29, 'Оцінка якості (CQM)');
INSERT INTO `lang_definitions` VALUES (158400, 8423, 29, 'Кількість');
INSERT INTO `lang_definitions` VALUES (158401, 8425, 29, 'Кількість для NDC');
INSERT INTO `lang_definitions` VALUES (158402, 8426, 29, 'Наявна кількість');
INSERT INTO `lang_definitions` VALUES (158403, 8427, 29, 'кількість, що є непридатною');
INSERT INTO `lang_definitions` VALUES (158404, 8431, 29, 'Знак запитання');
INSERT INTO `lang_definitions` VALUES (158405, 8432, 29, 'Черга на пакетну обробку HCFA');
INSERT INTO `lang_definitions` VALUES (158406, 8433, 29, 'Черга на пакетну обробку і друк HCFA');
INSERT INTO `lang_definitions` VALUES (158407, 8434, 29, 'Черга на пакетну обробку UB-92');
INSERT INTO `lang_definitions` VALUES (158408, 8435, 29, 'Черга на пакетну обробку і друк UB-92');
INSERT INTO `lang_definitions` VALUES (158409, 8436, 29, 'У черзі');
INSERT INTO `lang_definitions` VALUES (158410, 8437, 29, 'Управління подіями в черзі');
INSERT INTO `lang_definitions` VALUES (158411, 8438, 29, 'У черзі на');
INSERT INTO `lang_definitions` VALUES (158412, 8440, 29, 'Управління матеріалами в черзі');
INSERT INTO `lang_definitions` VALUES (158413, 8442, 29, 'Вихід');
INSERT INTO `lang_definitions` VALUES (158414, 8443, 29, 'Колишній алкоголік');
INSERT INTO `lang_definitions` VALUES (158415, 8445, 29, 'R');
INSERT INTO `lang_definitions` VALUES (158416, 8451, 29, 'RA для пацієнта, звернення чи запису');
INSERT INTO `lang_definitions` VALUES (158417, 8452, 29, 'Раса');
INSERT INTO `lang_definitions` VALUES (158418, 8453, 29, 'Раса та етнос');
INSERT INTO `lang_definitions` VALUES (158419, 8454, 29, 'Раса/етнос');
INSERT INTO `lang_definitions` VALUES (158420, 8456, 29, 'Радіо');
INSERT INTO `lang_definitions` VALUES (158421, 8457, 29, 'Кнопки перемикання');
INSERT INTO `lang_definitions` VALUES (158422, 8462, 29, 'Діапазон');
INSERT INTO `lang_definitions` VALUES (158423, 8463, 29, 'Висип');
INSERT INTO `lang_definitions` VALUES (158424, 8464, 29, 'Швидкість');
INSERT INTO `lang_definitions` VALUES (158425, 8466, 29, 'Співвідношення');
INSERT INTO `lang_definitions` VALUES (158426, 8467, 29, 'Необроблений звіт');
INSERT INTO `lang_definitions` VALUES (158427, 8475, 29, 'Повторна ідентифікація');
INSERT INTO `lang_definitions` VALUES (158428, 8476, 29, 'Процес повторної ідентифікації завершений');
INSERT INTO `lang_definitions` VALUES (158429, 8477, 29, 'Процес повторної ідентифікації триває');
INSERT INTO `lang_definitions` VALUES (158430, 8478, 29, 'Файли повторної ідентифікації будуть збережені у');
INSERT INTO `lang_definitions` VALUES (158431, 8479, 29, 'Повторна травма?');
INSERT INTO `lang_definitions` VALUES (158432, 8480, 29, 'Повторне відкриття');
INSERT INTO `lang_definitions` VALUES (158433, 8482, 29, 'Відкритий повторно');
INSERT INTO `lang_definitions` VALUES (158434, 8484, 29, 'Реакція');
INSERT INTO `lang_definitions` VALUES (158435, 8486, 29, 'Реакції');
INSERT INTO `lang_definitions` VALUES (158436, 8489, 29, 'Читати');
INSERT INTO `lang_definitions` VALUES (158437, 8496, 29, 'Справжнє ім\'я');
INSERT INTO `lang_definitions` VALUES (158438, 8497, 29, 'Справді видалити');
INSERT INTO `lang_definitions` VALUES (158439, 8498, 29, 'Причина');
INSERT INTO `lang_definitions` VALUES (158440, 8499, 29, 'Помер з причини');
INSERT INTO `lang_definitions` VALUES (158441, 8500, 29, 'Причина смерті');
INSERT INTO `lang_definitions` VALUES (158442, 8502, 29, 'Причина для направлення');
INSERT INTO `lang_definitions` VALUES (158443, 8504, 29, 'Причина для візиту');
INSERT INTO `lang_definitions` VALUES (158444, 8506, 29, 'Причина/форма');
INSERT INTO `lang_definitions` VALUES (158445, 8521, 29, 'Квитанція');
INSERT INTO `lang_definitions` VALUES (158446, 8522, 29, 'Квитанція для оплати');
INSERT INTO `lang_definitions` VALUES (158447, 8523, 29, 'Квитанція створена');
INSERT INTO `lang_definitions` VALUES (158448, 8524, 29, 'Квитанція по вказуванню методу оплати');
INSERT INTO `lang_definitions` VALUES (158449, 8525, 29, 'Підсумкові надходження');
INSERT INTO `lang_definitions` VALUES (158450, 8526, 29, 'Отриманий');
INSERT INTO `lang_definitions` VALUES (158451, 8527, 29, 'Отриманий через');
INSERT INTO `lang_definitions` VALUES (158452, 8528, 29, 'Отримані факси');
INSERT INTO `lang_definitions` VALUES (158453, 8530, 29, 'Отримано, не переглянуто');
INSERT INTO `lang_definitions` VALUES (158454, 8532, 29, 'Одержувач');
INSERT INTO `lang_definitions` VALUES (158455, 8533, 29, 'ID одержувача');
INSERT INTO `lang_definitions` VALUES (158456, 8534, 29, 'ID одержувача (ISA08)');
INSERT INTO `lang_definitions` VALUES (158457, 8535, 29, 'Визначник ID одержувача (ISA07)');
INSERT INTO `lang_definitions` VALUES (158458, 8536, 29, 'ID-и одержувача');
INSERT INTO `lang_definitions` VALUES (158459, 8540, 29, 'Останні три паролі не дозволені');
INSERT INTO `lang_definitions` VALUES (158460, 8542, 29, 'Отримувач');
INSERT INTO `lang_definitions` VALUES (158461, 8543, 29, 'Список отримувачів порожній');
INSERT INTO `lang_definitions` VALUES (158462, 8544, 29, 'Ім\'я отримувача');
INSERT INTO `lang_definitions` VALUES (158463, 8545, 29, 'Адресат опублікованої інформації');
INSERT INTO `lang_definitions` VALUES (158464, 8546, 29, 'Вимагається отримувач аждопоки статус є \"Готово\"');
INSERT INTO `lang_definitions` VALUES (158465, 8549, 29, 'Рекомендація');
INSERT INTO `lang_definitions` VALUES (158466, 8551, 29, 'Рекомендація по завершенню');
INSERT INTO `lang_definitions` VALUES (158467, 8552, 29, 'Рекомендації');
INSERT INTO `lang_definitions` VALUES (158468, 8553, 29, 'Рекомендації і лікування');
INSERT INTO `lang_definitions` VALUES (158469, 8554, 29, 'Рекомендації по спеціалісту');
INSERT INTO `lang_definitions` VALUES (158470, 8557, 29, 'Запис');
INSERT INTO `lang_definitions` VALUES (158471, 8558, 29, 'Запис вже існує');
INSERT INTO `lang_definitions` VALUES (158472, 8564, 29, 'Зміна запису і карти по життєво-важливих функціях.');
INSERT INTO `lang_definitions` VALUES (158473, 8565, 29, 'Записувати демографічні дані');
INSERT INTO `lang_definitions` VALUES (158474, 8566, 29, 'Публікація запису');
INSERT INTO `lang_definitions` VALUES (158475, 8567, 29, 'Запис про тренованість');
INSERT INTO `lang_definitions` VALUES (158476, 8568, 29, 'Записати оплату');
INSERT INTO `lang_definitions` VALUES (158477, 8570, 29, 'Записати дату запиту');
INSERT INTO `lang_definitions` VALUES (158478, 8571, 29, 'Запис про куріння для пацієнтів 13 років і старше.');
INSERT INTO `lang_definitions` VALUES (158479, 8572, 29, 'Записи');
INSERT INTO `lang_definitions` VALUES (158480, 8573, 29, 'знайдено записи');
INSERT INTO `lang_definitions` VALUES (158481, 8574, 29, 'знайдено записи.');
INSERT INTO `lang_definitions` VALUES (158482, 8576, 29, 'Нерегулярне вживання наркотиків (для розваг)');
INSERT INTO `lang_definitions` VALUES (158483, 8577, 29, 'Нерегулярні (рекреаційні) наркотики');
INSERT INTO `lang_definitions` VALUES (158484, 8578, 29, 'Ректальний');
INSERT INTO `lang_definitions` VALUES (158485, 8579, 29, 'Ректальний огляд');
INSERT INTO `lang_definitions` VALUES (158486, 8580, 29, 'ректально');
INSERT INTO `lang_definitions` VALUES (158487, 8592, 29, 'Перенаправлення');
INSERT INTO `lang_definitions` VALUES (158488, 8593, 29, 'Почервоніння');
INSERT INTO `lang_definitions` VALUES (158489, 8595, 29, 'зменшений:');
INSERT INTO `lang_definitions` VALUES (158490, 8597, 29, 'Посилатись');
INSERT INTO `lang_definitions` VALUES (158491, 8598, 29, 'Посилатись через');
INSERT INTO `lang_definitions` VALUES (158492, 8599, 29, 'Дата посилання');
INSERT INTO `lang_definitions` VALUES (158493, 8600, 29, 'Посилатись на');
INSERT INTO `lang_definitions` VALUES (158494, 8603, 29, 'Класифікація направлень (рівень ризику)');
INSERT INTO `lang_definitions` VALUES (158495, 8604, 29, 'Діапазон результатів направлень');
INSERT INTO `lang_definitions` VALUES (158496, 8605, 29, 'Причина направлення');
INSERT INTO `lang_definitions` VALUES (158497, 8609, 29, 'Ім\'я і підпис того, хто направляє');
INSERT INTO `lang_definitions` VALUES (158498, 8610, 29, 'Направлення');
INSERT INTO `lang_definitions` VALUES (158499, 8611, 29, 'Направлення через');
INSERT INTO `lang_definitions` VALUES (158500, 8612, 29, 'Талон направлення');
INSERT INTO `lang_definitions` VALUES (158501, 8613, 29, 'Дата направлення');
INSERT INTO `lang_definitions` VALUES (158502, 8614, 29, 'Форма направлення');
INSERT INTO `lang_definitions` VALUES (158503, 8615, 29, 'ФОРМА НАПРАВЛЕННЯ');
INSERT INTO `lang_definitions` VALUES (158504, 8616, 29, 'ID направлення');
INSERT INTO `lang_definitions` VALUES (158505, 8619, 29, 'Джерело направлення');
INSERT INTO `lang_definitions` VALUES (158506, 8620, 29, 'Джерело направлення для звернень');
INSERT INTO `lang_definitions` VALUES (158507, 8621, 29, 'Направлення до');
INSERT INTO `lang_definitions` VALUES (158508, 8622, 29, 'Направлення');
INSERT INTO `lang_definitions` VALUES (158509, 8623, 29, 'Звіт направлення');
INSERT INTO `lang_definitions` VALUES (158510, 8624, 29, 'Направлений через');
INSERT INTO `lang_definitions` VALUES (158511, 8625, 29, 'Направлений Через');
INSERT INTO `lang_definitions` VALUES (158512, 8627, 29, 'Направлений до');
INSERT INTO `lang_definitions` VALUES (158513, 8628, 29, 'Хто направив');
INSERT INTO `lang_definitions` VALUES (158514, 8630, 29, 'Діагноз при направленні');
INSERT INTO `lang_definitions` VALUES (158515, 8631, 29, 'Діагноз при направленні');
INSERT INTO `lang_definitions` VALUES (158516, 8633, 29, 'Лікар, який направив і лікарська практика');
INSERT INTO `lang_definitions` VALUES (158517, 8635, 29, 'Спеціаліст, який направив');
INSERT INTO `lang_definitions` VALUES (158518, 8636, 29, 'Повторно заповнювати');
INSERT INTO `lang_definitions` VALUES (158519, 8639, 29, 'Повторно заповнені');
INSERT INTO `lang_definitions` VALUES (158520, 8640, 29, 'повторно заповнені');
INSERT INTO `lang_definitions` VALUES (158521, 8641, 29, 'Рефлекси нормальні');
INSERT INTO `lang_definitions` VALUES (158522, 8645, 29, 'Оновити');
INSERT INTO `lang_definitions` VALUES (158523, 8648, 29, 'Оновлені нагадування');
INSERT INTO `lang_definitions` VALUES (158524, 8651, 29, 'Відмовлено встановлювати');
INSERT INTO `lang_definitions` VALUES (158525, 8652, 29, 'reg_re');
INSERT INTO `lang_definitions` VALUES (158526, 8656, 29, 'реєструвати');
INSERT INTO `lang_definitions` VALUES (158527, 8662, 29, 'Зареєстрований');
INSERT INTO `lang_definitions` VALUES (158528, 8663, 29, 'зареєстрований');
INSERT INTO `lang_definitions` VALUES (158529, 8668, 29, 'Дата реєстрації');
INSERT INTO `lang_definitions` VALUES (158530, 8671, 29, 'Форма реєстрації');
INSERT INTO `lang_definitions` VALUES (158531, 8672, 29, 'Реабілітація');
INSERT INTO `lang_definitions` VALUES (158532, 8675, 29, 'Можливість рецидиву');
INSERT INTO `lang_definitions` VALUES (158533, 8676, 29, 'Зв\'язати з');
INSERT INTO `lang_definitions` VALUES (158534, 8677, 29, 'Пов\'язані');
INSERT INTO `lang_definitions` VALUES (158535, 8678, 29, 'Пов\'язані питання');
INSERT INTO `lang_definitions` VALUES (158536, 8679, 29, 'Пов\'язані замітки про пацієнта');
INSERT INTO `lang_definitions` VALUES (158537, 8680, 29, 'Родич(і)/діти');
INSERT INTO `lang_definitions` VALUES (158538, 8681, 29, 'Родичі');
INSERT INTO `lang_definitions` VALUES (158539, 8682, 29, 'Взаємовідносини');
INSERT INTO `lang_definitions` VALUES (158540, 8683, 29, 'Відносний порядок цього об\'єкта');
INSERT INTO `lang_definitions` VALUES (158541, 8684, 29, 'Родинні');
INSERT INTO `lang_definitions` VALUES (158542, 8695, 29, 'Повноваження Relay Health відсутні в цьому обліковому записі користувача.');
INSERT INTO `lang_definitions` VALUES (158543, 8696, 29, 'Relay Health ID');
INSERT INTO `lang_definitions` VALUES (158544, 8698, 29, 'Дата випуску');
INSERT INTO `lang_definitions` VALUES (158545, 8700, 29, 'Релігія');
INSERT INTO `lang_definitions` VALUES (158546, 8705, 29, 'Повторно увійти в систему');
INSERT INTO `lang_definitions` VALUES (158547, 8706, 29, 'Нагадув.');
INSERT INTO `lang_definitions` VALUES (158548, 8709, 29, 'Запам\'ятати вибраний медичний заклад');
INSERT INTO `lang_definitions` VALUES (158549, 8712, 29, 'Нагадування');
INSERT INTO `lang_definitions` VALUES (158550, 8715, 29, 'Інтервали нагадування');
INSERT INTO `lang_definitions` VALUES (158551, 8716, 29, 'Нагадування ще не надіслано');
INSERT INTO `lang_definitions` VALUES (158552, 8720, 29, 'Нагадування надіслано');
INSERT INTO `lang_definitions` VALUES (158553, 8725, 29, 'Нагадування');
INSERT INTO `lang_definitions` VALUES (158554, 8726, 29, 'ПЕРЕВЕСТИ В');
INSERT INTO `lang_definitions` VALUES (158555, 8727, 29, 'Віддалений хост');
INSERT INTO `lang_definitions` VALUES (158556, 8729, 29, 'Видалити');
INSERT INTO `lang_definitions` VALUES (158557, 8733, 29, 'Видалити групу');
INSERT INTO `lang_definitions` VALUES (158558, 8734, 29, 'Видалити форму групи');
INSERT INTO `lang_definitions` VALUES (158559, 8738, 29, 'Відключає підтримку для імунізації');
INSERT INTO `lang_definitions` VALUES (158560, 8739, 29, 'Відключає підтримку для phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (158561, 8740, 29, 'Відключає підтримку для призначень');
INSERT INTO `lang_definitions` VALUES (158562, 8742, 29, 'Видаляє функцію відслідковування карти');
INSERT INTO `lang_definitions` VALUES (158563, 8743, 29, 'Ниркові камені');
INSERT INTO `lang_definitions` VALUES (158564, 8744, 29, 'Переіменовувати');
INSERT INTO `lang_definitions` VALUES (158565, 8745, 29, 'Переіменовувати групу');
INSERT INTO `lang_definitions` VALUES (158566, 8746, 29, 'Відображення');
INSERT INTO `lang_definitions` VALUES (158567, 8747, 29, 'Призначений спеціаліст');
INSERT INTO `lang_definitions` VALUES (158568, 8748, 29, 'Номер призначеного спеціаліста');
INSERT INTO `lang_definitions` VALUES (158569, 8750, 29, 'Переназначити');
INSERT INTO `lang_definitions` VALUES (158570, 8751, 29, 'Переназначити на');
INSERT INTO `lang_definitions` VALUES (158571, 8752, 29, 'Вказівка по переназначенню виконана');
INSERT INTO `lang_definitions` VALUES (158572, 8753, 29, 'Вказівка по переназначенню, 0 якщо не стосується');
INSERT INTO `lang_definitions` VALUES (158573, 8754, 29, 'Повт.');
INSERT INTO `lang_definitions` VALUES (158574, 8756, 29, 'Повторити новий пароль');
INSERT INTO `lang_definitions` VALUES (158575, 8758, 29, 'Повторювана подія');
INSERT INTO `lang_definitions` VALUES (158576, 8759, 29, 'Повторювана інформація');
INSERT INTO `lang_definitions` VALUES (158577, 8760, 29, 'Повторює');
INSERT INTO `lang_definitions` VALUES (158578, 8761, 29, 'ЗАМІНИТИ');
INSERT INTO `lang_definitions` VALUES (158579, 8771, 29, 'Дата відповіді');
INSERT INTO `lang_definitions` VALUES (158580, 8772, 29, 'Форма відповіді');
INSERT INTO `lang_definitions` VALUES (158581, 8774, 29, 'Звіт');
INSERT INTO `lang_definitions` VALUES (158582, 8776, 29, 'Звіт - клінічний');
INSERT INTO `lang_definitions` VALUES (158583, 8779, 29, 'Звіт по');
INSERT INTO `lang_definitions` VALUES (158584, 8784, 29, 'Звіт Історія/Результати');
INSERT INTO `lang_definitions` VALUES (158585, 8786, 29, 'Звіт Результати');
INSERT INTO `lang_definitions` VALUES (158586, 8787, 29, 'Звіт Результати/Історія');
INSERT INTO `lang_definitions` VALUES (158587, 8789, 29, 'Статус звіту');
INSERT INTO `lang_definitions` VALUES (158588, 8790, 29, 'Сумарний звіт');
INSERT INTO `lang_definitions` VALUES (158589, 8792, 29, 'Звіт/Форма');
INSERT INTO `lang_definitions` VALUES (158590, 8794, 29, 'Звітний');
INSERT INTO `lang_definitions` VALUES (158591, 8795, 29, 'Повідомлений');
INSERT INTO `lang_definitions` VALUES (158592, 8796, 29, 'Звітна дата');
INSERT INTO `lang_definitions` VALUES (158593, 8797, 29, 'Звіти');
INSERT INTO `lang_definitions` VALUES (158594, 8804, 29, 'Запрос проігноровано -- обробка вимоги вже виконується');
INSERT INTO `lang_definitions` VALUES (158595, 8815, 29, 'Запит на послугу');
INSERT INTO `lang_definitions` VALUES (158596, 8819, 29, 'Обов\'язково надійні паролі');
INSERT INTO `lang_definitions` VALUES (158597, 8820, 29, 'Обов\'язково унікальні паролі');
INSERT INTO `lang_definitions` VALUES (158598, 8821, 29, 'Обов\'язковий');
INSERT INTO `lang_definitions` VALUES (158599, 8823, 29, 'Обов\'язкова доплата');
INSERT INTO `lang_definitions` VALUES (158600, 8824, 29, 'Обов\'язкове поле пропущене: Будь-ласка, виберіть EDI-271 файл для завантаження');
INSERT INTO `lang_definitions` VALUES (158601, 8825, 29, 'Обов\'язкове поле пропущене: Будь-ласка, введіть ім\'я');
INSERT INTO `lang_definitions` VALUES (158602, 8826, 29, 'Обов\'язкове поле пропущене: Будь-ласка, введіть прізвище');
INSERT INTO `lang_definitions` VALUES (158603, 8827, 29, 'Обов\'язкове поле пропущене: Будь-ласка, введіть ім\'я користувача');
INSERT INTO `lang_definitions` VALUES (158604, 8828, 29, 'Обов\'язкові поля');
INSERT INTO `lang_definitions` VALUES (158605, 8829, 29, 'Вимоги');
INSERT INTO `lang_definitions` VALUES (158606, 8832, 29, 'ЗАРЕЗЕРВОВАНИЙ');
INSERT INTO `lang_definitions` VALUES (158607, 8833, 29, 'Зарезервований');
INSERT INTO `lang_definitions` VALUES (158608, 8834, 29, 'Зарезевовано для використання в наданні запланованого періоду відпустки');
INSERT INTO `lang_definitions` VALUES (158609, 8835, 29, 'Зарезервовано для обмеження, з якого часу до спеціаліста запис на прийом не доступний');
INSERT INTO `lang_definitions` VALUES (158610, 8836, 29, 'Зарезервовано для визначення, коли подія не трапляється як зазначено');
INSERT INTO `lang_definitions` VALUES (158611, 8837, 29, 'Заерезервовано для визначення, коли спеціаліст може мати час для прийому');
INSERT INTO `lang_definitions` VALUES (158612, 8838, 29, 'Скидання');
INSERT INTO `lang_definitions` VALUES (158613, 8842, 29, 'Скинути загальні параметри для зовнішнього порталу');
INSERT INTO `lang_definitions` VALUES (158614, 8844, 29, 'Скинути місцеві параметри для внутрішнього порталу');
INSERT INTO `lang_definitions` VALUES (158615, 8850, 29, 'Resn');
INSERT INTO `lang_definitions` VALUES (158616, 8852, 29, 'Вирішений');
INSERT INTO `lang_definitions` VALUES (158617, 8855, 29, 'Дихання');
INSERT INTO `lang_definitions` VALUES (158618, 8856, 29, 'Незначна задишка');
INSERT INTO `lang_definitions` VALUES (158619, 8857, 29, 'Дихальний');
INSERT INTO `lang_definitions` VALUES (158620, 8864, 29, 'Обмежити доступ несанкціонованих користувачів до налаштувань розкладів медичних закладів в адмінпанелі користувача.');
INSERT INTO `lang_definitions` VALUES (158621, 8865, 29, 'Обмежити доступ користувачів по медичних закладах');
INSERT INTO `lang_definitions` VALUES (158622, 8866, 29, 'Обмежене навчання');
INSERT INTO `lang_definitions` VALUES (158623, 8867, 29, 'Результат');
INSERT INTO `lang_definitions` VALUES (158624, 8868, 29, 'Ім\"я результату');
INSERT INTO `lang_definitions` VALUES (158625, 8869, 29, 'Статус результату');
INSERT INTO `lang_definitions` VALUES (158626, 8870, 29, 'Статус результату чи відхилення від норми відсутнє');
INSERT INTO `lang_definitions` VALUES (158627, 8871, 29, 'Результат, використання % як знак підстановки');
INSERT INTO `lang_definitions` VALUES (158628, 8872, 29, 'Результати');
INSERT INTO `lang_definitions` VALUES (158629, 8873, 29, 'Результати і');
INSERT INTO `lang_definitions` VALUES (158630, 8874, 29, 'Результати знайдені в ході пошуку');
INSERT INTO `lang_definitions` VALUES (158631, 8875, 29, 'Група результатів');
INSERT INTO `lang_definitions` VALUES (158632, 8877, 29, 'Шлях результатів');
INSERT INTO `lang_definitions` VALUES (158633, 8879, 29, 'Результатів на сторінці');
INSERT INTO `lang_definitions` VALUES (158634, 8880, 29, 'Результати/Деталі');
INSERT INTO `lang_definitions` VALUES (158635, 8884, 29, 'Огляд сітківки');
INSERT INTO `lang_definitions` VALUES (158636, 8885, 29, 'Відмовляти у праві:');
INSERT INTO `lang_definitions` VALUES (158637, 8886, 29, 'Повертати');
INSERT INTO `lang_definitions` VALUES (158638, 8887, 29, 'Повертати вказану вище частину з вашою оплатою');
INSERT INTO `lang_definitions` VALUES (158639, 8890, 29, 'Повернутися до календаря');
INSERT INTO `lang_definitions` VALUES (158640, 8891, 29, 'Повернутися до звіту \"Результати\"');
INSERT INTO `lang_definitions` VALUES (158641, 8892, 29, 'Поверніться до цієї сторінки і Ви зможете завершити процес встанвлення ICD10, клацнувши на заголовку розділу ICD10');
INSERT INTO `lang_definitions` VALUES (158642, 8893, 29, 'Поверніться до цієї сторінки і Ви зможете завершити процес встанвлення ICD9, клацнувши на заголовку розділу ICD9');
INSERT INTO `lang_definitions` VALUES (158643, 8894, 29, 'Поверніться до цієї сторінки і Ви зможете завершити процес встанвлення RxNorm, клацнувши на заголовку розділу RXNORM');
INSERT INTO `lang_definitions` VALUES (158644, 8895, 29, 'Поверніться до цієї сторінки і Ви зможете завершити процес встанвлення Snomed, клацнувши на заголовку розділу SNOMED');
INSERT INTO `lang_definitions` VALUES (158645, 8897, 29, 'Повернути значення');
INSERT INTO `lang_definitions` VALUES (158646, 8898, 29, 'Повернути візит');
INSERT INTO `lang_definitions` VALUES (158647, 8899, 29, 'Знову виконувати');
INSERT INTO `lang_definitions` VALUES (158648, 8901, 29, 'Повторне використання трьох попередніх паролів не дозволено!');
INSERT INTO `lang_definitions` VALUES (158649, 8914, 29, 'Огляд анамнезу перенесених захворювань');
INSERT INTO `lang_definitions` VALUES (158650, 8917, 29, 'Огляд по системах');
INSERT INTO `lang_definitions` VALUES (158651, 8918, 29, 'Огляд вибору систем');
INSERT INTO `lang_definitions` VALUES (158652, 8921, 29, 'Переглянутий');
INSERT INTO `lang_definitions` VALUES (158653, 8924, 29, 'Перегляд');
INSERT INTO `lang_definitions` VALUES (158654, 8925, 29, 'Ревматоїдний артрит');
INSERT INTO `lang_definitions` VALUES (158655, 8926, 29, 'Ревматоїдний артрит');
INSERT INTO `lang_definitions` VALUES (158656, 8928, 29, 'Правий');
INSERT INTO `lang_definitions` VALUES (158657, 8931, 29, 'Праве Вухо');
INSERT INTO `lang_definitions` VALUES (158658, 8932, 29, 'праве вухо');
INSERT INTO `lang_definitions` VALUES (158659, 8940, 29, 'Правий:');
INSERT INTO `lang_definitions` VALUES (158660, 8941, 29, 'Дзвін у вухах');
INSERT INTO `lang_definitions` VALUES (158661, 8942, 29, 'Дзвін у вухах');
INSERT INTO `lang_definitions` VALUES (158662, 8944, 29, 'Фактори ризику');
INSERT INTO `lang_definitions` VALUES (158663, 8945, 29, 'Рівень ризику');
INSERT INTO `lang_definitions` VALUES (158664, 8949, 29, 'RLL:');
INSERT INTO `lang_definitions` VALUES (158665, 8955, 29, 'ROM');
INSERT INTO `lang_definitions` VALUES (158666, 8956, 29, 'Румунська');
INSERT INTO `lang_definitions` VALUES (158667, 8963, 29, 'Реєстр');
INSERT INTO `lang_definitions` VALUES (158668, 8966, 29, 'Шлях');
INSERT INTO `lang_definitions` VALUES (158669, 8967, 29, 'Спосіб застосування, якщо це може бути застосовано');
INSERT INTO `lang_definitions` VALUES (158670, 8968, 29, 'Маршрутизований');
INSERT INTO `lang_definitions` VALUES (158671, 8969, 29, 'Рядки');
INSERT INTO `lang_definitions` VALUES (158672, 8971, 29, 'RRR без MOR');
INSERT INTO `lang_definitions` VALUES (158673, 8972, 29, 'Шум тертя:');
INSERT INTO `lang_definitions` VALUES (158674, 8973, 29, 'Шуми тертя:');
INSERT INTO `lang_definitions` VALUES (158675, 8974, 29, 'Правило');
INSERT INTO `lang_definitions` VALUES (158676, 8975, 29, 'Додати правило');
INSERT INTO `lang_definitions` VALUES (158677, 8976, 29, 'Інформація про правило');
INSERT INTO `lang_definitions` VALUES (158678, 8978, 29, 'Змінити правило');
INSERT INTO `lang_definitions` VALUES (158679, 8981, 29, 'Набір правил');
INSERT INTO `lang_definitions` VALUES (158680, 8984, 29, 'Правила');
INSERT INTO `lang_definitions` VALUES (158681, 8986, 29, 'Налаштування правил');
INSERT INTO `lang_definitions` VALUES (158682, 8989, 29, 'Запуск команди:');
INSERT INTO `lang_definitions` VALUES (158683, 8990, 29, 'Розрив');
INSERT INTO `lang_definitions` VALUES (158684, 8992, 29, 'Російська');
INSERT INTO `lang_definitions` VALUES (158685, 8995, 29, 'Rx');
INSERT INTO `lang_definitions` VALUES (158686, 8996, 29, 'RX');
INSERT INTO `lang_definitions` VALUES (158687, 8997, 29, 'Rx нижнє поле (px)');
INSERT INTO `lang_definitions` VALUES (158688, 9001, 29, 'Rx включити DEA #');
INSERT INTO `lang_definitions` VALUES (158689, 9002, 29, 'Rx включити NPI');
INSERT INTO `lang_definitions` VALUES (158690, 9003, 29, 'Rx включити State Lic. #');
INSERT INTO `lang_definitions` VALUES (158691, 9007, 29, 'Rx ліве поле (px)');
INSERT INTO `lang_definitions` VALUES (158692, 9010, 29, 'Rx розмір сторінки');
INSERT INTO `lang_definitions` VALUES (158693, 9013, 29, 'Rx праве поле');
INSERT INTO `lang_definitions` VALUES (158694, 9014, 29, 'Rx показати');
INSERT INTO `lang_definitions` VALUES (158695, 9015, 29, 'Rx показати');
INSERT INTO `lang_definitions` VALUES (158696, 9016, 29, 'Rx показати стан');
INSERT INTO `lang_definitions` VALUES (158697, 9017, 29, 'Rx верхнє поле (px)');
INSERT INTO `lang_definitions` VALUES (158698, 9023, 29, 'RxNorm');
INSERT INTO `lang_definitions` VALUES (158699, 9024, 29, 'RxNorm база даних');
INSERT INTO `lang_definitions` VALUES (158700, 9028, 29, 'S');
INSERT INTO `lang_definitions` VALUES (158701, 9029, 29, 'Інд. податк. номер');
INSERT INTO `lang_definitions` VALUES (158702, 9030, 29, 'S3:');
INSERT INTO `lang_definitions` VALUES (158703, 9031, 29, 'S4:');
INSERT INTO `lang_definitions` VALUES (158704, 9032, 29, 'SА ** щоб прочитати ліцензію, будь ласка, прочитайте docs/license.txt або відвідайте * http://www.gnu.org/copyleft/gpl.html * */ //========================================================================= //');
INSERT INTO `lang_definitions` VALUES (158705, 9034, 29, 'Продаж');
INSERT INTO `lang_definitions` VALUES (158706, 9035, 29, 'Продажі');
INSERT INTO `lang_definitions` VALUES (158707, 9036, 29, 'Продажі поштучно');
INSERT INTO `lang_definitions` VALUES (158708, 9037, 29, 'Звіт по реалізації продукту');
INSERT INTO `lang_definitions` VALUES (158709, 9038, 29, 'Слина');
INSERT INTO `lang_definitions` VALUES (158710, 9039, 29, 'В той самий день');
INSERT INTO `lang_definitions` VALUES (158711, 9040, 29, 'Самоа');
INSERT INTO `lang_definitions` VALUES (158712, 9041, 29, 'Зразок');
INSERT INTO `lang_definitions` VALUES (158713, 9042, 29, 'Тип санкції');
INSERT INTO `lang_definitions` VALUES (158714, 9047, 29, 'Суб.');
INSERT INTO `lang_definitions` VALUES (158715, 9048, 29, 'Суб. &amp; Нед.');
INSERT INTO `lang_definitions` VALUES (158716, 9049, 29, 'Субота');
INSERT INTO `lang_definitions` VALUES (158717, 9050, 29, 'Зберегти');
INSERT INTO `lang_definitions` VALUES (158718, 9051, 29, 'ЗБЕРЕГТИ');
INSERT INTO `lang_definitions` VALUES (158719, 9055, 29, 'Зберегти і закрити');
INSERT INTO `lang_definitions` VALUES (158720, 9058, 29, 'Зберегти і внести');
INSERT INTO `lang_definitions` VALUES (158721, 9060, 29, 'Зберегти і передати');
INSERT INTO `lang_definitions` VALUES (158722, 9061, 29, 'Зберегти як новий');
INSERT INTO `lang_definitions` VALUES (158723, 9063, 29, 'Зберегти як новий запис');
INSERT INTO `lang_definitions` VALUES (158724, 9066, 29, 'Зберегти параметри сертифікатів');
INSERT INTO `lang_definitions` VALUES (158725, 9067, 29, 'Зберегти зміни');
INSERT INTO `lang_definitions` VALUES (158726, 9075, 29, 'Зберегти форму');
INSERT INTO `lang_definitions` VALUES (158727, 9076, 29, 'Зберегти імунізацію');
INSERT INTO `lang_definitions` VALUES (158728, 9078, 29, 'Зберегти нове поле');
INSERT INTO `lang_definitions` VALUES (158729, 9079, 29, 'Зберегти нову групу');
INSERT INTO `lang_definitions` VALUES (158730, 9080, 29, 'Зберегти новий список');
INSERT INTO `lang_definitions` VALUES (158731, 9081, 29, 'Зберегти новий шаблон');
INSERT INTO `lang_definitions` VALUES (158732, 9082, 29, 'Зберегти пропущені виділення');
INSERT INTO `lang_definitions` VALUES (158733, 9083, 29, 'Зберегти персональні дані пацієнта');
INSERT INTO `lang_definitions` VALUES (158734, 9087, 29, 'Збереження виконано успішно для карти з ID');
INSERT INTO `lang_definitions` VALUES (158735, 9089, 29, 'Зберегти транзакцію');
INSERT INTO `lang_definitions` VALUES (158736, 9098, 29, 'Переглянуто');
INSERT INTO `lang_definitions` VALUES (158737, 9099, 29, 'Переглянутий запис за зверненням');
INSERT INTO `lang_definitions` VALUES (158738, 9100, 29, 'Переглянута директорія');
INSERT INTO `lang_definitions` VALUES (158739, 9101, 29, 'Переглянуто в');
INSERT INTO `lang_definitions` VALUES (158740, 9104, 29, 'Розклад');
INSERT INTO `lang_definitions` VALUES (158741, 9106, 29, 'Розклади медичних закладів:');
INSERT INTO `lang_definitions` VALUES (158742, 9117, 29, 'ШКІЛЬНИЙ ЗАПИС');
INSERT INTO `lang_definitions` VALUES (158743, 9122, 29, 'Сколіоз');
INSERT INTO `lang_definitions` VALUES (158744, 9133, 29, 'SE');
INSERT INTO `lang_definitions` VALUES (158745, 9134, 29, 'Адреса SE');
INSERT INTO `lang_definitions` VALUES (158746, 9135, 29, 'Місто SE');
INSERT INTO `lang_definitions` VALUES (158747, 9136, 29, 'Країна SE');
INSERT INTO `lang_definitions` VALUES (158748, 9137, 29, 'Розташування SE');
INSERT INTO `lang_definitions` VALUES (158749, 9138, 29, 'Поштовий індекс SE');
INSERT INTO `lang_definitions` VALUES (158750, 9139, 29, 'Штат SE');
INSERT INTO `lang_definitions` VALUES (158751, 9140, 29, 'Поштовий індекс SE');
INSERT INTO `lang_definitions` VALUES (158752, 9141, 29, 'Пошук');
INSERT INTO `lang_definitions` VALUES (158753, 9143, 29, 'пошук');
INSERT INTO `lang_definitions` VALUES (158754, 9144, 29, 'повторити пошук');
INSERT INTO `lang_definitions` VALUES (158755, 9145, 29, 'Шукати в усіх стовбцях');
INSERT INTO `lang_definitions` VALUES (158756, 9150, 29, 'Пошук по:');
INSERT INTO `lang_definitions` VALUES (158757, 9152, 29, 'Пошук для');
INSERT INTO `lang_definitions` VALUES (158758, 9156, 29, 'Пошук для:');
INSERT INTO `lang_definitions` VALUES (158759, 9158, 29, 'Пошук в');
INSERT INTO `lang_definitions` VALUES (158760, 9159, 29, 'Пошук в');
INSERT INTO `lang_definitions` VALUES (158761, 9161, 29, 'Шукати або Добавити пацієнта');
INSERT INTO `lang_definitions` VALUES (158762, 9164, 29, 'Пошук оплати');
INSERT INTO `lang_definitions` VALUES (158763, 9167, 29, 'Результати пошуку');
INSERT INTO `lang_definitions` VALUES (158764, 9168, 29, 'Результати пошуку:');
INSERT INTO `lang_definitions` VALUES (158765, 9169, 29, 'Вибраний пошук');
INSERT INTO `lang_definitions` VALUES (158766, 9171, 29, 'Рядок пошуку не збігається зі списком в базі даних');
INSERT INTO `lang_definitions` VALUES (158767, 9172, 29, 'Рядок пошуку повинен мати принаймні три символи');
INSERT INTO `lang_definitions` VALUES (158768, 9174, 29, 'Текстовой пошук');
INSERT INTO `lang_definitions` VALUES (158769, 9175, 29, 'Пошук події');
INSERT INTO `lang_definitions` VALUES (158770, 9178, 29, 'Знайти/Додати');
INSERT INTO `lang_definitions` VALUES (158771, 9179, 29, 'Знайти/Додати страховика');
INSERT INTO `lang_definitions` VALUES (158772, 9181, 29, 'Пошук для записів на прийом');
INSERT INTO `lang_definitions` VALUES (158773, 9182, 29, 'Йде пошук ...');
INSERT INTO `lang_definitions` VALUES (158774, 9184, 29, 'Використання ременя безпеки');
INSERT INTO `lang_definitions` VALUES (158775, 9185, 29, 'Використання ременя безпеки');
INSERT INTO `lang_definitions` VALUES (158776, 9186, 29, 'Другий');
INSERT INTO `lang_definitions` VALUES (158777, 9189, 29, 'Повторний');
INSERT INTO `lang_definitions` VALUES (158778, 9191, 29, 'Повторна страховка');
INSERT INTO `lang_definitions` VALUES (158779, 9192, 29, 'Дата повторної страховки');
INSERT INTO `lang_definitions` VALUES (158780, 9193, 29, 'Постачальник повторної страховки');
INSERT INTO `lang_definitions` VALUES (158781, 9194, 29, 'Тип повторної медичної допомоги');
INSERT INTO `lang_definitions` VALUES (158782, 9207, 29, 'Безпека');
INSERT INTO `lang_definitions` VALUES (158783, 9208, 29, 'Переглянути всі');
INSERT INTO `lang_definitions` VALUES (158784, 9210, 29, 'Показати дозволи');
INSERT INTO `lang_definitions` VALUES (158785, 9213, 29, 'Показати карту фізичного розвитку');
INSERT INTO `lang_definitions` VALUES (158786, 9214, 29, 'Показати повідомлення з останньої групи створених вимог');
INSERT INTO `lang_definitions` VALUES (158787, 9218, 29, 'Показати, починаючи з');
INSERT INTO `lang_definitions` VALUES (158788, 9220, 29, 'Ім\"я сегменту');
INSERT INTO `lang_definitions` VALUES (158789, 9221, 29, 'Пакетна вимога сегментів');
INSERT INTO `lang_definitions` VALUES (158790, 9222, 29, 'Пароксизм');
INSERT INTO `lang_definitions` VALUES (158791, 9223, 29, 'Вибр.');
INSERT INTO `lang_definitions` VALUES (158792, 9224, 29, 'вибрати');
INSERT INTO `lang_definitions` VALUES (158793, 9225, 29, 'Вибрати');
INSERT INTO `lang_definitions` VALUES (158794, 9228, 29, 'Вибрати контекст');
INSERT INTO `lang_definitions` VALUES (158795, 9232, 29, 'Виберіть відсоток рядків чи виберіть дати');
INSERT INTO `lang_definitions` VALUES (158796, 9235, 29, 'Вибрати проміжок часу');
INSERT INTO `lang_definitions` VALUES (158797, 9236, 29, 'Вибрати користувача');
INSERT INTO `lang_definitions` VALUES (158798, 9239, 29, 'Вибрати все');
INSERT INTO `lang_definitions` VALUES (158799, 9248, 29, 'Вибрати записи CAMOS для друку');
INSERT INTO `lang_definitions` VALUES (158800, 9250, 29, 'Вибрати категорію');
INSERT INTO `lang_definitions` VALUES (158801, 9254, 29, 'Виберіть відповідний перемикач для видалення');
INSERT INTO `lang_definitions` VALUES (158802, 9256, 29, 'Виберіть критерій для видалення');
INSERT INTO `lang_definitions` VALUES (158803, 9257, 29, 'Виберіть CSV таблицю');
INSERT INTO `lang_definitions` VALUES (158804, 9260, 29, 'Виберіть потрібну інформацію для де-ідентифікації');
INSERT INTO `lang_definitions` VALUES (158805, 9261, 29, 'Виберіть інформацію для включення в дані по де-ідентифікації');
INSERT INTO `lang_definitions` VALUES (158806, 9262, 29, 'Виберіть інформцію');
INSERT INTO `lang_definitions` VALUES (158807, 9264, 29, 'Виберіть необхідну групу');
INSERT INTO `lang_definitions` VALUES (158808, 9265, 29, 'Виберіть діагноз');
INSERT INTO `lang_definitions` VALUES (158809, 9267, 29, 'Виберіть діагноз для запиту щодо де-ідентифікації');
INSERT INTO `lang_definitions` VALUES (158810, 9271, 29, 'Виберіть препарат');
INSERT INTO `lang_definitions` VALUES (158811, 9272, 29, 'Виберіть препарати');
INSERT INTO `lang_definitions` VALUES (158812, 9273, 29, 'Виберіть препарати для запиту щодо де-ідентифікації');
INSERT INTO `lang_definitions` VALUES (158813, 9274, 29, 'Виберіть файл EDI-271');
INSERT INTO `lang_definitions` VALUES (158814, 9276, 29, 'Виберіть поле');
INSERT INTO `lang_definitions` VALUES (158815, 9278, 29, 'Виберіть поля');
INSERT INTO `lang_definitions` VALUES (158816, 9279, 29, 'Вибір для друку');
INSERT INTO `lang_definitions` VALUES (158817, 9285, 29, 'Виберіть вакцинацію');
INSERT INTO `lang_definitions` VALUES (158818, 9286, 29, 'Виберіть вакцинацію для запиту щодо де-ідентифікації');
INSERT INTO `lang_definitions` VALUES (158819, 9287, 29, 'Виберіть страховку, друком');
INSERT INTO `lang_definitions` VALUES (158820, 9288, 29, 'Виберіть проблему');
INSERT INTO `lang_definitions` VALUES (158821, 9291, 29, 'Виберіть мову');
INSERT INTO `lang_definitions` VALUES (158822, 9297, 29, 'Виберіть один');
INSERT INTO `lang_definitions` VALUES (158823, 9298, 29, 'Виберіть один чи більше діагностичних кодів, щоб обгрунтувати послугу');
INSERT INTO `lang_definitions` VALUES (158824, 9299, 29, 'Виберіть один чи більше файлів для вивантаження');
INSERT INTO `lang_definitions` VALUES (158825, 9321, 29, 'Виберіть елементи конфігурації для експорту');
INSERT INTO `lang_definitions` VALUES (158826, 9328, 29, 'Виберіть проблему, яка є головною причиною будь-якої пропущеної події в цей день');
INSERT INTO `lang_definitions` VALUES (158827, 9338, 29, 'Виберіть користувача');
INSERT INTO `lang_definitions` VALUES (158828, 9340, 29, 'Виберіть користувачів зі списку');
INSERT INTO `lang_definitions` VALUES (158829, 9341, 29, 'Виберіть, які мови з доступних можуть бути обрані при вході в систему (застосовується, лише якщо вище відключено вибір з усіх мов)');
INSERT INTO `lang_definitions` VALUES (158830, 9343, 29, 'Виберіть Так для підтвердження видалення групи');
INSERT INTO `lang_definitions` VALUES (158831, 9349, 29, 'Обраний');
INSERT INTO `lang_definitions` VALUES (158832, 9350, 29, 'Обране звернення');
INSERT INTO `lang_definitions` VALUES (158833, 9355, 29, 'Вибір цього пункту створить повідомлення, яке повинне бути опрацьоване кожним одержувачем індивідуально (це не групове завдання)');
INSERT INTO `lang_definitions` VALUES (158834, 9357, 29, 'Самостійно');
INSERT INTO `lang_definitions` VALUES (158835, 9358, 29, 'Сплатити самостійно');
INSERT INTO `lang_definitions` VALUES (158836, 9360, 29, 'Надіслати');
INSERT INTO `lang_definitions` VALUES (158837, 9361, 29, 'Надіслати застаріле нагадування');
INSERT INTO `lang_definitions` VALUES (158838, 9362, 29, 'Надіслати нагадування');
INSERT INTO `lang_definitions` VALUES (158839, 9369, 29, 'Надіслати на обробку');
INSERT INTO `lang_definitions` VALUES (158840, 9372, 29, 'Надіслати повідомлення');
INSERT INTO `lang_definitions` VALUES (158841, 9378, 29, 'Надіслати пакет нагадувань');
INSERT INTO `lang_definitions` VALUES (158842, 9379, 29, 'Надіслати нагадування пацієнтам щодо профілактики або подальшого лікування через вибір пацієнта.');
INSERT INTO `lang_definitions` VALUES (158843, 9383, 29, 'Надіслати підсумки за напрямами');
INSERT INTO `lang_definitions` VALUES (158844, 9384, 29, 'Надіслати цей файл');
INSERT INTO `lang_definitions` VALUES (158845, 9385, 29, 'Надіслати це повідомлення');
INSERT INTO `lang_definitions` VALUES (158846, 9386, 29, 'Надіслати до');
INSERT INTO `lang_definitions` VALUES (158847, 9389, 29, 'Надіслати усім');
INSERT INTO `lang_definitions` VALUES (158848, 9395, 29, 'Відправник');
INSERT INTO `lang_definitions` VALUES (158849, 9396, 29, 'ID відправника');
INSERT INTO `lang_definitions` VALUES (158850, 9397, 29, 'ID відправника (ISA06)');
INSERT INTO `lang_definitions` VALUES (158851, 9398, 29, 'Визначник ID відправника (ISA05)');
INSERT INTO `lang_definitions` VALUES (158852, 9399, 29, 'ID-и відправника');
INSERT INTO `lang_definitions` VALUES (158853, 9406, 29, 'Надсилання до');
INSERT INTO `lang_definitions` VALUES (158854, 9407, 29, 'Конфіденційність');
INSERT INTO `lang_definitions` VALUES (158855, 9411, 29, 'Конфіденційність:');
INSERT INTO `lang_definitions` VALUES (158856, 9412, 29, 'Дослідження чутливості в нормі');
INSERT INTO `lang_definitions` VALUES (158857, 9413, 29, 'Надіслано');
INSERT INTO `lang_definitions` VALUES (158858, 9415, 29, 'Надіслано (ким), залишити порожнім для всіх');
INSERT INTO `lang_definitions` VALUES (158859, 9417, 29, 'Дата відправки');
INSERT INTO `lang_definitions` VALUES (158860, 9418, 29, 'Надіслати елементи');
INSERT INTO `lang_definitions` VALUES (158861, 9419, 29, 'Надіслати медичні записи?');
INSERT INTO `lang_definitions` VALUES (158862, 9420, 29, 'Відправлено успішно');
INSERT INTO `lang_definitions` VALUES (158863, 9423, 29, 'відправлено на друк.');
INSERT INTO `lang_definitions` VALUES (158864, 9424, 29, 'Надіслано (кому), залишити порожнім для всіх');
INSERT INTO `lang_definitions` VALUES (158865, 9426, 29, 'Надіслано, але доставка ще не підтверджена.');
INSERT INTO `lang_definitions` VALUES (158866, 9427, 29, 'Надіслано, але не отримано');
INSERT INTO `lang_definitions` VALUES (158867, 9429, 29, 'Вер.');
INSERT INTO `lang_definitions` VALUES (158868, 9430, 29, 'Окремий');
INSERT INTO `lang_definitions` VALUES (158869, 9431, 29, 'Вересень');
INSERT INTO `lang_definitions` VALUES (158870, 9432, 29, 'Посл.');
INSERT INTO `lang_definitions` VALUES (158871, 9433, 29, 'Послідовність');
INSERT INTO `lang_definitions` VALUES (158872, 9435, 29, 'Звіт про послугу');
INSERT INTO `lang_definitions` VALUES (158873, 9442, 29, 'Послуга');
INSERT INTO `lang_definitions` VALUES (158874, 9444, 29, 'Категорія послуги');
INSERT INTO `lang_definitions` VALUES (158875, 9445, 29, 'Код послуги');
INSERT INTO `lang_definitions` VALUES (158876, 9446, 29, 'Код послуги фінансової звітності');
INSERT INTO `lang_definitions` VALUES (158877, 9447, 29, 'Коди послуги');
INSERT INTO `lang_definitions` VALUES (158878, 9448, 29, 'Дата послуги');
INSERT INTO `lang_definitions` VALUES (158879, 9451, 29, 'Дата послуги:');
INSERT INTO `lang_definitions` VALUES (158880, 9455, 29, 'Місце надання послуги');
INSERT INTO `lang_definitions` VALUES (158881, 9456, 29, 'Ім\"я сервісу');
INSERT INTO `lang_definitions` VALUES (158882, 9457, 29, 'Послуги, що надаються спеціалістом');
INSERT INTO `lang_definitions` VALUES (158883, 9459, 29, 'Звітність по послугах');
INSERT INTO `lang_definitions` VALUES (158884, 9460, 29, 'Лише звітність по послугах');
INSERT INTO `lang_definitions` VALUES (158885, 9461, 29, 'Послуги');
INSERT INTO `lang_definitions` VALUES (158886, 9462, 29, 'Послуги по категоріях');
INSERT INTO `lang_definitions` VALUES (158887, 9463, 29, 'Надано допомогу');
INSERT INTO `lang_definitions` VALUES (158888, 9464, 29, 'Надано допомогу');
INSERT INTO `lang_definitions` VALUES (158889, 9465, 29, 'Послуги/Продукція');
INSERT INTO `lang_definitions` VALUES (158890, 9466, 29, 'Тип сесії');
INSERT INTO `lang_definitions` VALUES (158891, 9467, 29, 'Встановити');
INSERT INTO `lang_definitions` VALUES (158892, 9468, 29, 'Задати cookie медичного закладу для запам\'ятовування обраного медичного закладу між входами в систему.');
INSERT INTO `lang_definitions` VALUES (158893, 9469, 29, 'Помітити як завершений');
INSERT INTO `lang_definitions` VALUES (158894, 9475, 29, 'Встановити пріоритет обробки звітів, що базуються на CDR-рушії');
INSERT INTO `lang_definitions` VALUES (158895, 9476, 29, 'Встановити пріоритет обробки для створення нагадувань для пацієнтів (у повному клінічному режимі)');
INSERT INTO `lang_definitions` VALUES (158896, 9478, 29, 'Задати повний шлях. Щоб створити клієнтський сертифікат SSL для HTTPS.');
INSERT INTO `lang_definitions` VALUES (158897, 9479, 29, 'Встановити в');
INSERT INTO `lang_definitions` VALUES (158898, 9480, 29, 'Встановити за замовчуванням');
INSERT INTO `lang_definitions` VALUES (158899, 9486, 29, 'Налаштування номера версії в базі даних ...');
INSERT INTO `lang_definitions` VALUES (158900, 9488, 29, 'Налаштування');
INSERT INTO `lang_definitions` VALUES (158901, 9493, 29, 'Сильна мігрень');
INSERT INTO `lang_definitions` VALUES (158902, 9496, 29, 'Ступінь болю');
INSERT INTO `lang_definitions` VALUES (158903, 9497, 29, 'Ступінь болю:');
INSERT INTO `lang_definitions` VALUES (158904, 9498, 29, 'Стать');
INSERT INTO `lang_definitions` VALUES (158905, 9499, 29, 'Захворювання, що передається статевим шляхом');
INSERT INTO `lang_definitions` VALUES (158906, 9500, 29, 'SFTP');
INSERT INTO `lang_definitions` VALUES (158907, 9502, 29, 'Хеш Sha-1');
INSERT INTO `lang_definitions` VALUES (158908, 9503, 29, 'Спільне використання');
INSERT INTO `lang_definitions` VALUES (158909, 9504, 29, 'Команда shell для друку з сервера.');
INSERT INTO `lang_definitions` VALUES (158910, 9507, 29, 'Короткий опис');
INSERT INTO `lang_definitions` VALUES (158911, 9510, 29, 'Утруднене дихання');
INSERT INTO `lang_definitions` VALUES (158912, 9511, 29, 'Утруднене дихання');
INSERT INTO `lang_definitions` VALUES (158913, 9512, 29, 'Утруднене дихання 2');
INSERT INTO `lang_definitions` VALUES (158914, 9513, 29, 'Короткий запис');
INSERT INTO `lang_definitions` VALUES (158915, 9514, 29, 'Короткий запис як:');
INSERT INTO `lang_definitions` VALUES (158916, 9516, 29, 'повинно бути подібно nnnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (158917, 9517, 29, 'Повинно бути у дві букви');
INSERT INTO `lang_definitions` VALUES (158918, 9518, 29, 'повинно містити 10 цифр');
INSERT INTO `lang_definitions` VALUES (158919, 9519, 29, 'повинно містити тільки 10 цифр');
INSERT INTO `lang_definitions` VALUES (158920, 9520, 29, 'Плече');
INSERT INTO `lang_definitions` VALUES (158921, 9521, 29, 'Плече + ключиця');
INSERT INTO `lang_definitions` VALUES (158922, 9522, 29, 'Проблеми плеча');
INSERT INTO `lang_definitions` VALUES (158923, 9523, 29, 'Показати');
INSERT INTO `lang_definitions` VALUES (158924, 9524, 29, 'Показати активні');
INSERT INTO `lang_definitions` VALUES (158925, 9527, 29, 'Показати все');
INSERT INTO `lang_definitions` VALUES (158926, 9529, 29, 'Показати всі процедури');
INSERT INTO `lang_definitions` VALUES (158927, 9531, 29, 'Показати всі транзакції');
INSERT INTO `lang_definitions` VALUES (158928, 9532, 29, 'Показувати як зайнятий');
INSERT INTO `lang_definitions` VALUES (158929, 9533, 29, 'Показати тільки дозволене');
INSERT INTO `lang_definitions` VALUES (158930, 9534, 29, 'Показати доступний час');
INSERT INTO `lang_definitions` VALUES (158931, 9535, 29, 'Показати і US, і метричні (основними є метричні одиниці)');
INSERT INTO `lang_definitions` VALUES (158932, 9536, 29, 'Показати і US, і метричні (основними є US одиниці)');
INSERT INTO `lang_definitions` VALUES (158933, 9540, 29, 'Показати деталі');
INSERT INTO `lang_definitions` VALUES (158934, 9542, 29, 'Показати лише помилки?');
INSERT INTO `lang_definitions` VALUES (158935, 9544, 29, 'Показати графік');
INSERT INTO `lang_definitions` VALUES (158936, 9546, 29, 'При наведенні мишки показувати спливаючий текст за подією?');
INSERT INTO `lang_definitions` VALUES (158937, 9547, 29, 'Показувати скільки подій на адміністративних сторінках?');
INSERT INTO `lang_definitions` VALUES (158938, 9548, 29, 'Показати неактивні');
INSERT INTO `lang_definitions` VALUES (158939, 9552, 29, 'Показати меню');
INSERT INTO `lang_definitions` VALUES (158940, 9553, 29, 'Показати тільки метричні');
INSERT INTO `lang_definitions` VALUES (158941, 9556, 29, 'Показати записи');
INSERT INTO `lang_definitions` VALUES (158942, 9558, 29, 'Показати лише процедури, що не приховані');
INSERT INTO `lang_definitions` VALUES (158943, 9561, 29, 'Показати записи по пацієнту');
INSERT INTO `lang_definitions` VALUES (158944, 9562, 29, 'Показувати фунти і унції');
INSERT INTO `lang_definitions` VALUES (158945, 9563, 29, 'Показувати фунти як десяткові дроби');
INSERT INTO `lang_definitions` VALUES (158946, 9564, 29, 'Показати основне завершення');
INSERT INTO `lang_definitions` VALUES (158947, 9568, 29, 'Показати нагадування');
INSERT INTO `lang_definitions` VALUES (158948, 9569, 29, 'Показати звіт');
INSERT INTO `lang_definitions` VALUES (158949, 9570, 29, 'Показувати в блоці посилання шукати/подати?');
INSERT INTO `lang_definitions` VALUES (158950, 9574, 29, 'Показати індивідуальну форму стану для віджету списку добавлення (буде запит на заголовок і скорочення).');
INSERT INTO `lang_definitions` VALUES (158951, 9577, 29, 'Показувати цю категорію у вікні з сумарною інформацією про пацієнта, навіть, якщо жодної проблеми по цій категорії не введено');
INSERT INTO `lang_definitions` VALUES (158952, 9580, 29, 'Показати тільки оплачені');
INSERT INTO `lang_definitions` VALUES (158953, 9581, 29, 'Показати тільки US');
INSERT INTO `lang_definitions` VALUES (158954, 9585, 29, 'Показ');
INSERT INTO `lang_definitions` VALUES (158955, 9589, 29, 'Показати результат');
INSERT INTO `lang_definitions` VALUES (158956, 9595, 29, 'Рідні брати/сестри');
INSERT INTO `lang_definitions` VALUES (158957, 9596, 29, 'Серповидна клітина');
INSERT INTO `lang_definitions` VALUES (158958, 9597, 29, 'Сиг');
INSERT INTO `lang_definitions` VALUES (158959, 9598, 29, 'Сигмо/колоноскопія');
INSERT INTO `lang_definitions` VALUES (158960, 9601, 29, 'Показати лабораторні результати (на вибір - право записувати/добавляти)');
INSERT INTO `lang_definitions` VALUES (158961, 9603, 29, 'Підписати результати');
INSERT INTO `lang_definitions` VALUES (158962, 9606, 29, 'Підпис');
INSERT INTO `lang_definitions` VALUES (158963, 9609, 29, 'Підпис:');
INSERT INTO `lang_definitions` VALUES (158964, 9612, 29, 'Підписано Rx');
INSERT INTO `lang_definitions` VALUES (158965, 9614, 29, 'Значна пухлина');
INSERT INTO `lang_definitions` VALUES (158966, 9615, 29, 'Спрощено');
INSERT INTO `lang_definitions` VALUES (158967, 9616, 29, 'Проста доплата');
INSERT INTO `lang_definitions` VALUES (158968, 9617, 29, 'Скорочені персональні дані');
INSERT INTO `lang_definitions` VALUES (158969, 9618, 29, 'Скорочені призначення');
INSERT INTO `lang_definitions` VALUES (158970, 9619, 29, 'з');
INSERT INTO `lang_definitions` VALUES (158971, 9620, 29, 'З повагою,');
INSERT INTO `lang_definitions` VALUES (158972, 9622, 29, 'Окремий');
INSERT INTO `lang_definitions` VALUES (158973, 9624, 29, 'Список вибору');
INSERT INTO `lang_definitions` VALUES (158974, 9625, 29, 'Список вибору з можливістю додавання пунктів');
INSERT INTO `lang_definitions` VALUES (158975, 9626, 29, 'Одиничний');
INSERT INTO `lang_definitions` VALUES (158976, 9629, 29, 'Проблеми пазух');
INSERT INTO `lang_definitions` VALUES (158977, 9630, 29, 'Хірургія пазух');
INSERT INTO `lang_definitions` VALUES (158978, 9631, 29, 'ЧУТЛИВІСТЬ ПАЗУХ:');
INSERT INTO `lang_definitions` VALUES (158979, 9632, 29, 'Синусит');
INSERT INTO `lang_definitions` VALUES (158980, 9634, 29, 'Сайт');
INSERT INTO `lang_definitions` VALUES (158981, 9637, 29, 'ID сайту');
INSERT INTO `lang_definitions` VALUES (158982, 9638, 29, 'ID сайту для сервісів Інтеграції медичної інформації, обміну даними лабораторних досліджень (LLC).');
INSERT INTO `lang_definitions` VALUES (158983, 9639, 29, 'ID сайту для підтримки OpenEMR служби обміну даними лабораторних досліджень LLC.');
INSERT INTO `lang_definitions` VALUES (158984, 9643, 29, 'Розмір');
INSERT INTO `lang_definitions` VALUES (158985, 9646, 29, 'Розмір повинен бути числом між 1 і 999');
INSERT INTO `lang_definitions` VALUES (158986, 9648, 29, 'Розмір/Список');
INSERT INTO `lang_definitions` VALUES (158987, 9650, 29, 'Шкіра');
INSERT INTO `lang_definitions` VALUES (158988, 9651, 29, 'Рак шкіри');
INSERT INTO `lang_definitions` VALUES (158989, 9652, 29, 'Шкірне захворювання');
INSERT INTO `lang_definitions` VALUES (158990, 9653, 29, 'Інші шкірні прояви');
INSERT INTO `lang_definitions` VALUES (158991, 9654, 29, 'Пропустити дозвіл для записів по пацієнтові');
INSERT INTO `lang_definitions` VALUES (158992, 9659, 29, 'Пропущений розділ');
INSERT INTO `lang_definitions` VALUES (158993, 9660, 29, 'Пропущений дамп регістра SQL - не застосовується для сервера Windows');
INSERT INTO `lang_definitions` VALUES (158994, 9664, 29, 'Паттерн сну');
INSERT INTO `lang_definitions` VALUES (158995, 9665, 29, 'Паттерн сну');
INSERT INTO `lang_definitions` VALUES (158996, 9666, 29, 'Сон');
INSERT INTO `lang_definitions` VALUES (158997, 9668, 29, 'Словацька');
INSERT INTO `lang_definitions` VALUES (158998, 9670, 29, 'См борг без');
INSERT INTO `lang_definitions` VALUES (158999, 9675, 29, 'Кеш Smarty очищений');
INSERT INTO `lang_definitions` VALUES (159000, 9676, 29, 'Курець, поточний статус невідомий');
INSERT INTO `lang_definitions` VALUES (159001, 9678, 29, 'Статус курця');
INSERT INTO `lang_definitions` VALUES (159002, 9680, 29, 'Дозв. SMS');
INSERT INTO `lang_definitions` VALUES (159003, 9683, 29, 'Шлюз SMS');
INSERT INTO `lang_definitions` VALUES (159004, 9684, 29, 'Ключ API для шлюзу SMS');
INSERT INTO `lang_definitions` VALUES (159005, 9685, 29, 'Ключ API для шлюзу SMS');
INSERT INTO `lang_definitions` VALUES (159006, 9686, 29, 'Пароль для шлюзу SMS');
INSERT INTO `lang_definitions` VALUES (159007, 9687, 29, 'Ім\'я користувача для шлюзу SMS');
INSERT INTO `lang_definitions` VALUES (159008, 9689, 29, 'Повідомлення про SMS');
INSERT INTO `lang_definitions` VALUES (159009, 9690, 29, 'Години повідомлення про SMS');
INSERT INTO `lang_definitions` VALUES (159010, 9693, 29, 'Відправляти SMS перед');
INSERT INTO `lang_definitions` VALUES (159011, 9694, 29, 'SMS відправлено');
INSERT INTO `lang_definitions` VALUES (159012, 9697, 29, 'Текст SMS, вживаються теги: ***ІМ\'Я***, ***СПЕЦІАЛІСТ***, ***ДАТА***, ***ЧАС ПОЧАТКУ***, ***ЧАС ЗАКІНЧЕННЯ*** <br> напр. Шановний ***ІМ\'Я***');
INSERT INTO `lang_definitions` VALUES (159013, 9701, 29, 'Параметри настройки повідомлення SMS / e-mail');
INSERT INTO `lang_definitions` VALUES (159014, 9703, 29, 'Пароль SMTP для аутентифікації');
INSERT INTO `lang_definitions` VALUES (159015, 9706, 29, 'Ім\'я вузла сервера SMTP');
INSERT INTO `lang_definitions` VALUES (159016, 9707, 29, 'Номер порту для сервера SMTP');
INSERT INTO `lang_definitions` VALUES (159017, 9708, 29, 'Користувач SMTP для аутентифікації');
INSERT INTO `lang_definitions` VALUES (159018, 9709, 29, 'SNOMED');
INSERT INTO `lang_definitions` VALUES (159019, 9710, 29, 'SNOMED (RF1) клінічний термін');
INSERT INTO `lang_definitions` VALUES (159020, 9711, 29, 'SNOMED (RF1) діагноз');
INSERT INTO `lang_definitions` VALUES (159021, 9712, 29, 'SNOMED (RF1) процедура');
INSERT INTO `lang_definitions` VALUES (159022, 9714, 29, 'SNOMED (RF2) діагноз');
INSERT INTO `lang_definitions` VALUES (159023, 9716, 29, 'SNOMED клінічний термін');
INSERT INTO `lang_definitions` VALUES (159024, 9717, 29, 'База даних SNOMED');
INSERT INTO `lang_definitions` VALUES (159025, 9718, 29, 'SNOMED діагноз');
INSERT INTO `lang_definitions` VALUES (159026, 9719, 29, 'SNOMED процедура');
INSERT INTO `lang_definitions` VALUES (159027, 9721, 29, 'Хропіння');
INSERT INTO `lang_definitions` VALUES (159028, 9722, 29, 'СООП');
INSERT INTO `lang_definitions` VALUES (159029, 9726, 29, 'Труднощі спілкування');
INSERT INTO `lang_definitions` VALUES (159030, 9729, 29, 'Соціальний анамнез:');
INSERT INTO `lang_definitions` VALUES (159031, 9730, 29, 'Ідентифікаційний номер платника податків');
INSERT INTO `lang_definitions` VALUES (159032, 9732, 29, 'розчин');
INSERT INTO `lang_definitions` VALUES (159033, 9734, 29, 'Соматичний стан');
INSERT INTO `lang_definitions` VALUES (159034, 9735, 29, 'Деякі дозволи не відображені. Натисніть тут для перегляду всіх.');
INSERT INTO `lang_definitions` VALUES (159035, 9736, 29, 'Деякі коди не відображаються.');
INSERT INTO `lang_definitions` VALUES (159036, 9737, 29, 'Деякі звернення не були відображені. Натисніть тут для перегляду всіх.');
INSERT INTO `lang_definitions` VALUES (159037, 9738, 29, 'Під час процесу де-ідентіфікаціі трапилася помилка');
INSERT INTO `lang_definitions` VALUES (159038, 9740, 29, 'Деякі записи не відображаються.');
INSERT INTO `lang_definitions` VALUES (159039, 9741, 29, 'Деякі офісні примітк не відображається. Клацніть тут, щоб переглянути всі.');
INSERT INTO `lang_definitions` VALUES (159040, 9743, 29, 'деякі слова');
INSERT INTO `lang_definitions` VALUES (159041, 9747, 29, 'Трапилась помилка. Спробуйте знову.');
INSERT INTO `lang_definitions` VALUES (159042, 9748, 29, 'Найкоротший інтервал очікування (клінічні нагадування)');
INSERT INTO `lang_definitions` VALUES (159043, 9749, 29, 'Найкоротший інтервал очікування (нагадування для пацієнта)');
INSERT INTO `lang_definitions` VALUES (159044, 9750, 29, 'Хворе горло');
INSERT INTO `lang_definitions` VALUES (159045, 9751, 29, 'Вибачне, призначень не зафіксовано');
INSERT INTO `lang_definitions` VALUES (159046, 9754, 29, 'На жаль, виникла проблема при оновленні вашого файлу');
INSERT INTO `lang_definitions` VALUES (159047, 9758, 29, 'Сортувати за');
INSERT INTO `lang_definitions` VALUES (159048, 9759, 29, 'Сортувати за');
INSERT INTO `lang_definitions` VALUES (159049, 9761, 29, 'Сортувати за контрольною сумою');
INSERT INTO `lang_definitions` VALUES (159050, 9762, 29, 'Сортувати за коментарями');
INSERT INTO `lang_definitions` VALUES (159051, 9763, 29, 'Сортувати за користувачами Crt');
INSERT INTO `lang_definitions` VALUES (159052, 9764, 29, 'Сортувати за датою');
INSERT INTO `lang_definitions` VALUES (159053, 9765, 29, 'Сортувати за датою/часом');
INSERT INTO `lang_definitions` VALUES (159054, 9766, 29, 'Сортувати за подією');
INSERT INTO `lang_definitions` VALUES (159055, 9767, 29, 'Сортувати за групою');
INSERT INTO `lang_definitions` VALUES (159056, 9770, 29, 'Сортувати за ID пацієнта');
INSERT INTO `lang_definitions` VALUES (159057, 9772, 29, 'Сортувати за виконанням');
INSERT INTO `lang_definitions` VALUES (159058, 9774, 29, 'Сортувати за користувачем');
INSERT INTO `lang_definitions` VALUES (159059, 9775, 29, 'Сортувати за вакциною');
INSERT INTO `lang_definitions` VALUES (159060, 9776, 29, 'Сортувати у спадному порядку');
INSERT INTO `lang_definitions` VALUES (159061, 9777, 29, 'Сортувати результат за');
INSERT INTO `lang_definitions` VALUES (159062, 9778, 29, 'Сортувати у висхідному порядку');
INSERT INTO `lang_definitions` VALUES (159063, 9779, 29, 'Джерело');
INSERT INTO `lang_definitions` VALUES (159064, 9781, 29, 'Вихідний файл');
INSERT INTO `lang_definitions` VALUES (159065, 9782, 29, 'Шлях вихідного файлу');
INSERT INTO `lang_definitions` VALUES (159066, 9783, 29, 'Відсутній код джерела');
INSERT INTO `lang_definitions` VALUES (159067, 9784, 29, 'Джерело партії');
INSERT INTO `lang_definitions` VALUES (159068, 9786, 29, 'Вихідний пацієнт');
INSERT INTO `lang_definitions` VALUES (159069, 9787, 29, 'Для вихідного пацієнта не вказано дату народження');
INSERT INTO `lang_definitions` VALUES (159070, 9788, 29, 'Вихідного пацієнта не знайдено');
INSERT INTO `lang_definitions` VALUES (159071, 9789, 29, 'Джерело:');
INSERT INTO `lang_definitions` VALUES (159072, 9792, 29, 'Простір');
INSERT INTO `lang_definitions` VALUES (159073, 9793, 29, 'ПРОСТІР');
INSERT INTO `lang_definitions` VALUES (159074, 9795, 29, 'Іспанська');
INSERT INTO `lang_definitions` VALUES (159075, 9796, 29, 'Іспанська (Латинська Америка)');
INSERT INTO `lang_definitions` VALUES (159076, 9797, 29, 'Іспанська (Іспанія)');
INSERT INTO `lang_definitions` VALUES (159077, 9799, 29, 'Спеціальні символи не дозволені');
INSERT INTO `lang_definitions` VALUES (159078, 9800, 29, 'Спеціальне лікування у форму життєво-важливих показників');
INSERT INTO `lang_definitions` VALUES (159079, 9801, 29, 'Спеціаліст');
INSERT INTO `lang_definitions` VALUES (159080, 9802, 29, 'Прізвище та підпис спеціаліста');
INSERT INTO `lang_definitions` VALUES (159081, 9804, 29, 'Спеціальність');
INSERT INTO `lang_definitions` VALUES (159082, 9805, 29, 'Спеціальні системи');
INSERT INTO `lang_definitions` VALUES (159083, 9806, 29, 'Спеціальність:');
INSERT INTO `lang_definitions` VALUES (159084, 9807, 29, 'Спеціальний');
INSERT INTO `lang_definitions` VALUES (159085, 9808, 29, 'Спеціальний додаток');
INSERT INTO `lang_definitions` VALUES (159086, 9809, 29, 'Спеціальна послуга по контрацепції');
INSERT INTO `lang_definitions` VALUES (159087, 9810, 29, 'Спеціальний результат');
INSERT INTO `lang_definitions` VALUES (159088, 9811, 29, 'Спеціальна послуга');
INSERT INTO `lang_definitions` VALUES (159089, 9812, 29, 'Конкретний');
INSERT INTO `lang_definitions` VALUES (159090, 9813, 29, 'Спеціальне форматування для кодів. # =цифра, * = будь-який символ. Якщо не використовується, то пусто.');
INSERT INTO `lang_definitions` VALUES (159091, 9814, 29, 'Спеціальне форматування для кодів. # = цифра, @ = альфа, * = будь-який символ. Якщо не використовується, то пусто.');
INSERT INTO `lang_definitions` VALUES (159092, 9815, 29, 'Спеціальне форматування для номерів рахунків із посилань. # = цифра, * = будь-який символ. Якщо не використовується, то пусто.');
INSERT INTO `lang_definitions` VALUES (159093, 9816, 29, 'Спеціальне форматування для номерів рахунків із посилання. # = цифра, @ = альфа, * = будь-який символ, Якщо не використовується, то пусто.');
INSERT INTO `lang_definitions` VALUES (159094, 9817, 29, 'Спеціальне форматування для полів послуги NDC. # = цифра, * = будь-який символ. Якщо не використовується, то пусто.');
INSERT INTO `lang_definitions` VALUES (159095, 9818, 29, 'Спеціальне форматування для полів послуги NDC. # = цифра, @ = альфа, * = будь-який символ. Якщо не використовується, то пусто.');
INSERT INTO `lang_definitions` VALUES (159096, 9819, 29, 'Спеціальне форматування для зовнішнього ID пацієнта. # = цифра, * = будь-який символ. Якщо не використовується, то пусто.');
INSERT INTO `lang_definitions` VALUES (159097, 9820, 29, 'Спеціальне форматування для зовнішнього ID пацієнта. # = цифра, @ = альфа, * = будь-який символ. Якщо не використовується, то пусто.');
INSERT INTO `lang_definitions` VALUES (159098, 9823, 29, 'Екземпляри');
INSERT INTO `lang_definitions` VALUES (159099, 9824, 29, 'Номер/ідентифікатор екземпляра');
INSERT INTO `lang_definitions` VALUES (159100, 9825, 29, 'Тип зразка');
INSERT INTO `lang_definitions` VALUES (159101, 9827, 29, 'Усне диктування');
INSERT INTO `lang_definitions` VALUES (159102, 9828, 29, 'Сперміциди');
INSERT INTO `lang_definitions` VALUES (159103, 9831, 29, 'Спленектомія');
INSERT INTO `lang_definitions` VALUES (159104, 9832, 29, 'Чоловік, дружина');
INSERT INTO `lang_definitions` VALUES (159105, 9834, 29, 'Мокрота');
INSERT INTO `lang_definitions` VALUES (159106, 9835, 29, 'Мокрота:');
INSERT INTO `lang_definitions` VALUES (159107, 9836, 29, 'SQ');
INSERT INTO `lang_definitions` VALUES (159108, 9839, 29, 'Відділення');
INSERT INTO `lang_definitions` VALUES (159109, 9840, 29, 'Склад відділення');
INSERT INTO `lang_definitions` VALUES (159110, 9841, 29, 'Відділення');
INSERT INTO `lang_definitions` VALUES (159111, 9843, 29, 'SRH');
INSERT INTO `lang_definitions` VALUES (159112, 9844, 29, 'SRH - планування сім\'ї');
INSERT INTO `lang_definitions` VALUES (159113, 9845, 29, 'SRH без планування сім\'ї');
INSERT INTO `lang_definitions` VALUES (159114, 9846, 29, 'Направлення для SRH');
INSERT INTO `lang_definitions` VALUES (159115, 9847, 29, 'Форма відвідування SRH');
INSERT INTO `lang_definitions` VALUES (159116, 9848, 29, 'Дата послуги');
INSERT INTO `lang_definitions` VALUES (159117, 9849, 29, 'Інд. податк. номер');
INSERT INTO `lang_definitions` VALUES (159118, 9850, 29, 'Управління сертифікатом SSL');
INSERT INTO `lang_definitions` VALUES (159119, 9851, 29, 'Інд. податк. номер');
INSERT INTO `lang_definitions` VALUES (159120, 9852, 29, 'Стійкість');
INSERT INTO `lang_definitions` VALUES (159121, 9854, 29, 'Етапний випуск');
INSERT INTO `lang_definitions` VALUES (159122, 9855, 29, 'Стандартний');
INSERT INTO `lang_definitions` VALUES (159123, 9857, 29, 'Стандартний код');
INSERT INTO `lang_definitions` VALUES (159124, 9860, 29, 'Стандартні одиниці виміру');
INSERT INTO `lang_definitions` VALUES (159125, 9861, 29, 'Стандартні одиниці виміру (активні нагадування)');
INSERT INTO `lang_definitions` VALUES (159126, 9862, 29, 'Стандартні одиниці виміру (пасивні нагадування)');
INSERT INTO `lang_definitions` VALUES (159127, 9863, 29, 'Стандартні одиниці виміру (нагадування про пацієнта)');
INSERT INTO `lang_definitions` VALUES (159128, 9864, 29, 'Стандартне найменування');
INSERT INTO `lang_definitions` VALUES (159129, 9865, 29, 'Стандартний, Спрощений: лише назва, дата початку, коментарі і позначка \"Активність\", немає діагнозу, прояви, дата закінчення,направлений або спортивні майданчики. ; Футбольна травма');
INSERT INTO `lang_definitions` VALUES (159130, 9866, 29, 'Початок');
INSERT INTO `lang_definitions` VALUES (159131, 9867, 29, 'Початок (рррр-мм-дд):');
INSERT INTO `lang_definitions` VALUES (159132, 9868, 29, 'Розпочати інший звіт');
INSERT INTO `lang_definitions` VALUES (159133, 9874, 29, 'Дата початку');
INSERT INTO `lang_definitions` VALUES (159134, 9876, 29, 'Дата первісного звернення в цю клініку');
INSERT INTO `lang_definitions` VALUES (159135, 9877, 29, 'Дата початку не повинна бути пізніше дати закінчення');
INSERT INTO `lang_definitions` VALUES (159136, 9878, 29, 'Початкова дата:');
INSERT INTO `lang_definitions` VALUES (159137, 9879, 29, 'Початкова дата:');
INSERT INTO `lang_definitions` VALUES (159138, 9881, 29, 'Початковий час');
INSERT INTO `lang_definitions` VALUES (159139, 9884, 29, 'Початкова дата');
INSERT INTO `lang_definitions` VALUES (159140, 9888, 29, 'стат.');
INSERT INTO `lang_definitions` VALUES (159141, 9889, 29, 'Область');
INSERT INTO `lang_definitions` VALUES (159142, 9890, 29, 'Тип даних для області');
INSERT INTO `lang_definitions` VALUES (159143, 9891, 29, 'Державна ліц. #');
INSERT INTO `lang_definitions` VALUES (159144, 9892, 29, 'Державний номер ліцензії');
INSERT INTO `lang_definitions` VALUES (159145, 9893, 29, 'Список областей');
INSERT INTO `lang_definitions` VALUES (159146, 9894, 29, 'Список областей (на вибір - право записувати/добавляти)');
INSERT INTO `lang_definitions` VALUES (159147, 9896, 29, 'Користувацікі поля віджета списку областей');
INSERT INTO `lang_definitions` VALUES (159148, 9897, 29, 'Область або провінція');
INSERT INTO `lang_definitions` VALUES (159149, 9898, 29, 'Область/розташування');
INSERT INTO `lang_definitions` VALUES (159150, 9899, 29, 'Область/район');
INSERT INTO `lang_definitions` VALUES (159151, 9903, 29, 'ПІДСУМКОВА ЗАЯВКА');
INSERT INTO `lang_definitions` VALUES (159152, 9904, 29, 'заявки та оновлені рахунки.');
INSERT INTO `lang_definitions` VALUES (159153, 9906, 29, 'Відправлені заявки:');
INSERT INTO `lang_definitions` VALUES (159154, 9907, 29, 'заявки; рахунки не будуть оновлені.');
INSERT INTO `lang_definitions` VALUES (159155, 9908, 29, 'Статичний текст');
INSERT INTO `lang_definitions` VALUES (159156, 9909, 29, 'Статистичні дані');
INSERT INTO `lang_definitions` VALUES (159157, 9910, 29, 'Стат.');
INSERT INTO `lang_definitions` VALUES (159158, 9911, 29, 'Статус');
INSERT INTO `lang_definitions` VALUES (159159, 9914, 29, 'Статус прийому');
INSERT INTO `lang_definitions` VALUES (159160, 9915, 29, 'Стан вимоги');
INSERT INTO `lang_definitions` VALUES (159161, 9916, 29, 'Статус кво');
INSERT INTO `lang_definitions` VALUES (159162, 9918, 29, 'Конс. ЗПСШ/СНІД');
INSERT INTO `lang_definitions` VALUES (159163, 9919, 29, 'Сила і Фізична форма');
INSERT INTO `lang_definitions` VALUES (159164, 9925, 29, 'Кроки для встановлення DSM IV бази даних');
INSERT INTO `lang_definitions` VALUES (159165, 9926, 29, 'Кроки для встановлення ICD 10 бази даних');
INSERT INTO `lang_definitions` VALUES (159166, 9927, 29, 'Кроки для встановлення ICD 9 бази даних');
INSERT INTO `lang_definitions` VALUES (159167, 9928, 29, 'Кроки для встановлення RxNorm бази даних');
INSERT INTO `lang_definitions` VALUES (159168, 9929, 29, 'Кроки для встановлення Snomed бази даних');
INSERT INTO `lang_definitions` VALUES (159169, 9932, 29, 'Нерухомість суглобів');
INSERT INTO `lang_definitions` VALUES (159170, 9933, 29, 'Нерухомість');
INSERT INTO `lang_definitions` VALUES (159171, 9935, 29, 'Стандартні місяці');
INSERT INTO `lang_definitions` VALUES (159172, 9936, 29, 'Болі у шлунку');
INSERT INTO `lang_definitions` VALUES (159173, 9942, 29, 'Збережений хеш');
INSERT INTO `lang_definitions` VALUES (159174, 9944, 29, 'Розтягування м\'язи');
INSERT INTO `lang_definitions` VALUES (159175, 9946, 29, 'Розбризкування');
INSERT INTO `lang_definitions` VALUES (159176, 9947, 29, 'Вулиця');
INSERT INTO `lang_definitions` VALUES (159177, 9948, 29, 'Адреса вулиці');
INSERT INTO `lang_definitions` VALUES (159178, 9949, 29, 'Вулиця і номер');
INSERT INTO `lang_definitions` VALUES (159179, 9950, 29, 'Сила');
INSERT INTO `lang_definitions` VALUES (159180, 9952, 29, 'Гострий фарингіт');
INSERT INTO `lang_definitions` VALUES (159181, 9953, 29, 'Стресовий перелом');
INSERT INTO `lang_definitions` VALUES (159182, 9954, 29, 'Навантажувальна проба');
INSERT INTO `lang_definitions` VALUES (159183, 9956, 29, 'Інсульт');
INSERT INTO `lang_definitions` VALUES (159184, 9958, 29, 'Надійний пароль має принаймні 8 символів і одночасно три з наступних умов: число, буква в нижньому регістрі, буква у верхньому регістрі, спеціальний символ.');
INSERT INTO `lang_definitions` VALUES (159185, 9960, 29, 'Стиль');
INSERT INTO `lang_definitions` VALUES (159186, 9961, 29, 'Для додавання нового пацієнта використовується стиль форми');
INSERT INTO `lang_definitions` VALUES (159187, 9965, 29, 'Підкатегорія');
INSERT INTO `lang_definitions` VALUES (159188, 9966, 29, 'Проміжний підсумок');
INSERT INTO `lang_definitions` VALUES (159189, 9967, 29, 'Підкатегорія');
INSERT INTO `lang_definitions` VALUES (159190, 9968, 29, 'підкатегорія');
INSERT INTO `lang_definitions` VALUES (159191, 9969, 29, 'підшкірно');
INSERT INTO `lang_definitions` VALUES (159192, 9970, 29, 'Суб\'єкт');
INSERT INTO `lang_definitions` VALUES (159193, 9971, 29, 'Суб\'єктивно');
INSERT INTO `lang_definitions` VALUES (159194, 9972, 29, 'Підязиковий');
INSERT INTO `lang_definitions` VALUES (159195, 9973, 29, 'підязиковий');
INSERT INTO `lang_definitions` VALUES (159196, 9974, 29, 'Підтвердити');
INSERT INTO `lang_definitions` VALUES (159197, 9975, 29, 'підтвердити');
INSERT INTO `lang_definitions` VALUES (159198, 9976, 29, 'Подати весь зміст');
INSERT INTO `lang_definitions` VALUES (159199, 9979, 29, 'Подати подію');
INSERT INTO `lang_definitions` VALUES (159200, 9980, 29, 'податии форму');
INSERT INTO `lang_definitions` VALUES (159201, 9982, 29, 'Подати вибраний зміст');
INSERT INTO `lang_definitions` VALUES (159202, 9984, 29, 'подане');
INSERT INTO `lang_definitions` VALUES (159203, 9985, 29, 'Подане (ким)');
INSERT INTO `lang_definitions` VALUES (159204, 9986, 29, 'Подати номер доступу EDI (PER06)');
INSERT INTO `lang_definitions` VALUES (159205, 9987, 29, 'Підписувач');
INSERT INTO `lang_definitions` VALUES (159206, 9988, 29, 'Адреса підписувача');
INSERT INTO `lang_definitions` VALUES (159207, 9992, 29, 'Місце роботи підписувача');
INSERT INTO `lang_definitions` VALUES (159208, 9993, 29, 'Роботодавець підписувача (SE)');
INSERT INTO `lang_definitions` VALUES (159209, 9994, 29, 'Адреса місця роботи підписувача');
INSERT INTO `lang_definitions` VALUES (159210, 9995, 29, 'Місто роботодавця підписувача');
INSERT INTO `lang_definitions` VALUES (159211, 9996, 29, 'Країна роботодавця підписувача');
INSERT INTO `lang_definitions` VALUES (159212, 9997, 29, 'Область місця роботи підписувача');
INSERT INTO `lang_definitions` VALUES (159213, 10000, 29, 'Поштовий індекс роботодавця підписувача');
INSERT INTO `lang_definitions` VALUES (159214, 10005, 29, 'Телефон підписувача');
INSERT INTO `lang_definitions` VALUES (159215, 10006, 29, 'Звязки підписувача');
INSERT INTO `lang_definitions` VALUES (159216, 10007, 29, 'Родинні звязки підписувача різні, але імя те ж! Це вірно?');
INSERT INTO `lang_definitions` VALUES (159217, 10008, 29, 'Родинні звязки підписувача різні, але номер SS (соц.страх.) той же!');
INSERT INTO `lang_definitions` VALUES (159218, 10009, 29, 'Родинні звязки підписувача одні, але імя інше! Це вірно?');
INSERT INTO `lang_definitions` VALUES (159219, 10010, 29, 'Родинні звязки підписувача одні, але номер SS (соц.страх.) інший!');
INSERT INTO `lang_definitions` VALUES (159220, 10011, 29, 'Стать підписувача');
INSERT INTO `lang_definitions` VALUES (159221, 10020, 29, 'Заміна');
INSERT INTO `lang_definitions` VALUES (159222, 10021, 29, 'заміна дозволена');
INSERT INTO `lang_definitions` VALUES (159223, 10024, 29, 'Успішно');
INSERT INTO `lang_definitions` VALUES (159224, 10025, 29, 'успішно');
INSERT INTO `lang_definitions` VALUES (159225, 10026, 29, 'Підтвердження успішного отримання лабораторного результату');
INSERT INTO `lang_definitions` VALUES (159226, 10027, 29, 'Успішне отримання лабораторних результатів');
INSERT INTO `lang_definitions` VALUES (159227, 10028, 29, 'Успішне отримання лабораторних результатів з Lab Exchange Network');
INSERT INTO `lang_definitions` VALUES (159228, 10030, 29, 'Категорія успішно додана');
INSERT INTO `lang_definitions` VALUES (159229, 10031, 29, 'Категорія успішно додана,');
INSERT INTO `lang_definitions` VALUES (159230, 10033, 29, 'Видалено успішно');
INSERT INTO `lang_definitions` VALUES (159231, 10035, 29, 'База даних успішно встановлена.');
INSERT INTO `lang_definitions` VALUES (159232, 10036, 29, 'Успішно встановлена наступна база даних');
INSERT INTO `lang_definitions` VALUES (159233, 10037, 29, 'Змінено успішно');
INSERT INTO `lang_definitions` VALUES (159234, 10039, 29, 'Збережено успішно. Хочете внести?');
INSERT INTO `lang_definitions` VALUES (159235, 10040, 29, 'Збережено успішно. Хочете надати?');
INSERT INTO `lang_definitions` VALUES (159236, 10042, 29, 'збережено успішно.');
INSERT INTO `lang_definitions` VALUES (159237, 10044, 29, 'База даних успішно оновлена.');
INSERT INTO `lang_definitions` VALUES (159238, 10045, 29, 'іспішно оновлена наступна база даних');
INSERT INTO `lang_definitions` VALUES (159239, 10046, 29, 'успішно.');
INSERT INTO `lang_definitions` VALUES (159240, 10049, 29, 'Суїцид');
INSERT INTO `lang_definitions` VALUES (159241, 10051, 29, 'Підсумок');
INSERT INTO `lang_definitions` VALUES (159242, 10052, 29, 'Підсумок по');
INSERT INTO `lang_definitions` VALUES (159243, 10058, 29, 'Нед.');
INSERT INTO `lang_definitions` VALUES (159244, 10060, 29, 'Неділя');
INSERT INTO `lang_definitions` VALUES (159245, 10061, 29, 'Superbill (суперрахунок)');
INSERT INTO `lang_definitions` VALUES (159246, 10062, 29, 'Коди Superbill');
INSERT INTO `lang_definitions` VALUES (159247, 10063, 29, 'Управління кодами Superbill');
INSERT INTO `lang_definitions` VALUES (159248, 10065, 29, 'Звіт Superbill');
INSERT INTO `lang_definitions` VALUES (159249, 10066, 29, 'Superbill / Бланк оплати');
INSERT INTO `lang_definitions` VALUES (159250, 10067, 29, 'Superbill');
INSERT INTO `lang_definitions` VALUES (159251, 10068, 29, 'Superbills, також відомі як форми звернень або бланки направлень, є невід\'ємною частиною більшості випадків лікарської практики.');
INSERT INTO `lang_definitions` VALUES (159252, 10069, 29, 'Суперкористувач');
INSERT INTO `lang_definitions` VALUES (159253, 10071, 29, 'Керівник/відповідальний');
INSERT INTO `lang_definitions` VALUES (159254, 10073, 29, 'Відповідальний лікар DEA');
INSERT INTO `lang_definitions` VALUES (159255, 10074, 29, 'Ім\'я відповідального лікаря');
INSERT INTO `lang_definitions` VALUES (159256, 10075, 29, 'Прізвище відповідального лікаря');
INSERT INTO `lang_definitions` VALUES (159257, 10076, 29, 'NPI відповідального лікаря');
INSERT INTO `lang_definitions` VALUES (159258, 10077, 29, 'UPIN відповідального лікаря');
INSERT INTO `lang_definitions` VALUES (159259, 10081, 29, 'Найменування медзакладу-постачальника послуги');
INSERT INTO `lang_definitions` VALUES (159260, 10082, 29, 'Підтримує календарні події, які одночасно призначаються кільком спеціалістам');
INSERT INTO `lang_definitions` VALUES (159261, 10083, 29, 'Підтримує експорт/імпорт конфігураційних даних через сторінку резервного копіювання.');
INSERT INTO `lang_definitions` VALUES (159262, 10084, 29, 'Підтримує події багатьох провайдерів');
INSERT INTO `lang_definitions` VALUES (159263, 10088, 29, 'Підтримує тільки TripleDES шифрування/дешифрування');
INSERT INTO `lang_definitions` VALUES (159264, 10090, 29, 'Тип поверхні');
INSERT INTO `lang_definitions` VALUES (159265, 10092, 29, 'Операції');
INSERT INTO `lang_definitions` VALUES (159266, 10093, 29, 'Операція');
INSERT INTO `lang_definitions` VALUES (159267, 10094, 29, 'Перелік проблем хірургічних втручань');
INSERT INTO `lang_definitions` VALUES (159268, 10095, 29, 'Підтримувані');
INSERT INTO `lang_definitions` VALUES (159269, 10096, 29, 'суспензія');
INSERT INTO `lang_definitions` VALUES (159270, 10098, 29, 'Дата Svc');
INSERT INTO `lang_definitions` VALUES (159271, 10099, 29, 'Дата Svc:');
INSERT INTO `lang_definitions` VALUES (159272, 10102, 29, 'Пітливість:');
INSERT INTO `lang_definitions` VALUES (159273, 10103, 29, 'Шведська');
INSERT INTO `lang_definitions` VALUES (159274, 10104, 29, 'Набряк');
INSERT INTO `lang_definitions` VALUES (159275, 10105, 29, 'Набряк справа');
INSERT INTO `lang_definitions` VALUES (159276, 10106, 29, 'Набряки на суглобах');
INSERT INTO `lang_definitions` VALUES (159277, 10107, 29, 'Збільшені лімфовузли');
INSERT INTO `lang_definitions` VALUES (159278, 10108, 29, 'Символ, що використовується як десяткова кома для валют. Не використовуйте, якщо десяткових знаків 0).');
INSERT INTO `lang_definitions` VALUES (159279, 10109, 29, 'Символ, що використовується для відділення тисяч для валют.');
INSERT INTO `lang_definitions` VALUES (159280, 10110, 29, 'Симптоми');
INSERT INTO `lang_definitions` VALUES (159281, 10111, 29, 'Синхронізувати');
INSERT INTO `lang_definitions` VALUES (159282, 10112, 29, 'Синхронізувати переклади з індивідуальною мовною таблицею.');
INSERT INTO `lang_definitions` VALUES (159283, 10113, 29, 'Нова індивідуальна синхронізована константа:');
INSERT INTO `lang_definitions` VALUES (159284, 10114, 29, 'Нова користувальницька синхронізована мова:');
INSERT INTO `lang_definitions` VALUES (159285, 10115, 29, 'Нове синхронізоване визначення (мова, константа, визначення):');
INSERT INTO `lang_definitions` VALUES (159286, 10116, 29, 'Непритомність');
INSERT INTO `lang_definitions` VALUES (159287, 10117, 29, 'Посиндромне дослідження');
INSERT INTO `lang_definitions` VALUES (159288, 10118, 29, 'Посиндромне дослідження - неповідомлені аспекти');
INSERT INTO `lang_definitions` VALUES (159289, 10119, 29, 'Звіт про посиндромне дослідження');
INSERT INTO `lang_definitions` VALUES (159290, 10120, 29, 'Синовіїт, тендовагініт, бурсит');
INSERT INTO `lang_definitions` VALUES (159291, 10121, 29, 'Система');
INSERT INTO `lang_definitions` VALUES (159292, 10128, 29, 'T');
INSERT INTO `lang_definitions` VALUES (159293, 10130, 29, 'тричі на день');
INSERT INTO `lang_definitions` VALUES (159294, 10131, 29, 'T.V.');
INSERT INTO `lang_definitions` VALUES (159295, 10133, 29, 'Таблиця');
INSERT INTO `lang_definitions` VALUES (159296, 10137, 29, 'Створення таблиці дало збій');
INSERT INTO `lang_definitions` VALUES (159297, 10138, 29, 'Оновлення таблиці дало збій');
INSERT INTO `lang_definitions` VALUES (159298, 10140, 29, 'таблетка');
INSERT INTO `lang_definitions` VALUES (159299, 10146, 29, 'Тагальська');
INSERT INTO `lang_definitions` VALUES (159300, 10149, 29, 'Прийом');
INSERT INTO `lang_definitions` VALUES (159301, 10151, 29, 'Виберіть страховку із спадаючого списку');
INSERT INTO `lang_definitions` VALUES (159302, 10152, 29, 'Виберіть оплату із спадаючого списку');
INSERT INTO `lang_definitions` VALUES (159303, 10153, 29, 'Повернення');
INSERT INTO `lang_definitions` VALUES (159304, 10154, 29, 'Займає час');
INSERT INTO `lang_definitions` VALUES (159305, 10157, 29, 'Максимальна область навігації');
INSERT INTO `lang_definitions` VALUES (159306, 10161, 29, 'Цільова і вихідна дата народження не співпадають');
INSERT INTO `lang_definitions` VALUES (159307, 10162, 29, 'Цільовий і вихідний PID не можуть бути однаковими!');
INSERT INTO `lang_definitions` VALUES (159308, 10163, 29, 'Цільовий і вихідний SSN не співпадають');
INSERT INTO `lang_definitions` VALUES (159309, 10164, 29, 'Цільова дата');
INSERT INTO `lang_definitions` VALUES (159310, 10165, 29, 'Намічений пацієнт');
INSERT INTO `lang_definitions` VALUES (159311, 10166, 29, 'Для наміченого пацієнта не вказано дату народження');
INSERT INTO `lang_definitions` VALUES (159312, 10167, 29, 'Нміченого пацієнта не знайдено');
INSERT INTO `lang_definitions` VALUES (159313, 10168, 29, 'Цільові/Дієві групи');
INSERT INTO `lang_definitions` VALUES (159314, 10173, 29, 'ID податку');
INSERT INTO `lang_definitions` VALUES (159315, 10174, 29, 'Ставка оподаткування');
INSERT INTO `lang_definitions` VALUES (159316, 10175, 29, 'Податки');
INSERT INTO `lang_definitions` VALUES (159317, 10176, 29, 'Систематизація');
INSERT INTO `lang_definitions` VALUES (159318, 10181, 29, 'Td');
INSERT INTO `lang_definitions` VALUES (159319, 10182, 29, 'Огляд травматологічної бригади');
INSERT INTO `lang_definitions` VALUES (159320, 10183, 29, 'Склад бригади');
INSERT INTO `lang_definitions` VALUES (159321, 10184, 29, 'Перегляд складу бригади');
INSERT INTO `lang_definitions` VALUES (159322, 10185, 29, 'Бригада/відділення');
INSERT INTO `lang_definitions` VALUES (159323, 10187, 29, 'Тел.');
INSERT INTO `lang_definitions` VALUES (159324, 10189, 29, 'Телефонний код країни');
INSERT INTO `lang_definitions` VALUES (159325, 10192, 29, 'Темп');
INSERT INTO `lang_definitions` VALUES (159326, 10193, 29, 'Місце вимірювання температури');
INSERT INTO `lang_definitions` VALUES (159327, 10194, 29, 'Метод вимірювання температури');
INSERT INTO `lang_definitions` VALUES (159328, 10196, 29, 'Температура');
INSERT INTO `lang_definitions` VALUES (159329, 10197, 29, 'Шаблон');
INSERT INTO `lang_definitions` VALUES (159330, 10198, 29, 'Ім\'я шаблону');
INSERT INTO `lang_definitions` VALUES (159331, 10199, 29, 'Імена шаблонів не повинні починатися з цифр.');
INSERT INTO `lang_definitions` VALUES (159332, 10201, 29, 'Шаблон:');
INSERT INTO `lang_definitions` VALUES (159333, 10202, 29, 'Шаблони');
INSERT INTO `lang_definitions` VALUES (159334, 10205, 29, 'Скронева артерія');
INSERT INTO `lang_definitions` VALUES (159335, 10208, 29, 'Травма сухожилля');
INSERT INTO `lang_definitions` VALUES (159336, 10209, 29, 'Тенденіт / остеомієліт / бурсит');
INSERT INTO `lang_definitions` VALUES (159337, 10211, 29, 'Попередній рахунок для номера');
INSERT INTO `lang_definitions` VALUES (159338, 10213, 29, 'Третя');
INSERT INTO `lang_definitions` VALUES (159339, 10214, 29, 'Спеціалізована страховка');
INSERT INTO `lang_definitions` VALUES (159340, 10215, 29, 'Дата спеціального страхування');
INSERT INTO `lang_definitions` VALUES (159341, 10216, 29, 'Постачальник спеціального страхування');
INSERT INTO `lang_definitions` VALUES (159342, 10219, 29, 'План обстеження');
INSERT INTO `lang_definitions` VALUES (159343, 10220, 29, 'Принципи обстеження');
INSERT INTO `lang_definitions` VALUES (159344, 10223, 29, 'Текст');
INSERT INTO `lang_definitions` VALUES (159345, 10224, 29, 'Описовий діагноз');
INSERT INTO `lang_definitions` VALUES (159346, 10225, 29, 'Поле з текстом');
INSERT INTO `lang_definitions` VALUES (159347, 10233, 29, 'Текст-дата');
INSERT INTO `lang_definitions` VALUES (159348, 10234, 29, 'текст-дата');
INSERT INTO `lang_definitions` VALUES (159349, 10235, 29, 'Текстова область');
INSERT INTO `lang_definitions` VALUES (159350, 10236, 29, 'текстова область');
INSERT INTO `lang_definitions` VALUES (159351, 10237, 29, 'Текстове поле');
INSERT INTO `lang_definitions` VALUES (159352, 10238, 29, 'текстове поле');
INSERT INTO `lang_definitions` VALUES (159353, 10239, 29, 'Список текстових полів');
INSERT INTO `lang_definitions` VALUES (159354, 10240, 29, 'список текстових полів');
INSERT INTO `lang_definitions` VALUES (159355, 10241, 29, 'Тайський');
INSERT INTO `lang_definitions` VALUES (159356, 10242, 29, 'Дякуємо');
INSERT INTO `lang_definitions` VALUES (159357, 10245, 29, 'Дякуємо за Ваш вибір');
INSERT INTO `lang_definitions` VALUES (159358, 10247, 29, 'Кнопка \'Очистити\' видалить всі анотації.');
INSERT INTO `lang_definitions` VALUES (159359, 10254, 29, 'Вказана вище заявка дала збій');
INSERT INTO `lang_definitions` VALUES (159360, 10264, 29, 'Сертифікат SSL сервера Apache і загальнодоступний ключ');
INSERT INTO `lang_definitions` VALUES (159361, 10281, 29, 'Довірений сертифікат Certificate');
INSERT INTO `lang_definitions` VALUES (159362, 10284, 29, 'Необхідний файл:');
INSERT INTO `lang_definitions` VALUES (159363, 10290, 29, 'Сумісний актуальний пакет розширення SNOMED для США вже встановлений.');
INSERT INTO `lang_definitions` VALUES (159364, 10296, 29, 'Відповідний особистий ключ');
INSERT INTO `lang_definitions` VALUES (159365, 10322, 29, 'ось код відмови');
INSERT INTO `lang_definitions` VALUES (159366, 10323, 29, 'ось код групи відмови');
INSERT INTO `lang_definitions` VALUES (159367, 10328, 29, 'Форма місця призначення була закрита');
INSERT INTO `lang_definitions` VALUES (159368, 10330, 29, 'Форма місця призначення була закрита, не вдалося активувати ваш вибір.');
INSERT INTO `lang_definitions` VALUES (159369, 10343, 29, 'Об\'єкт, що виконує цю процедуру');
INSERT INTO `lang_definitions` VALUES (159370, 10346, 29, 'Звернення в EP, уповноважену лікарню або CAH, які отримують пацієнта з інших місць лікування або інших фахівців, або повинна виконувати подальше лікування.');
INSERT INTO `lang_definitions` VALUES (159371, 10349, 29, 'Уповноважені фахівці, лікарні або центри здороя, які переводять своїх пацієнтів для медичної допомоги в установи з іншим управлінням або фахівцями, або направляють своїх пацієнтів до іншого медичного фахівця, повинні надати медичну виписку для кожного переведення або направлення.');
INSERT INTO `lang_definitions` VALUES (159372, 10350, 29, 'Ця подія (ї) була прийнята.');
INSERT INTO `lang_definitions` VALUES (159373, 10351, 29, 'Ця подія (ї) приховані.');
INSERT INTO `lang_definitions` VALUES (159374, 10352, 29, 'Дані експорту подані в текстовій області нижче. Можете скопіювати і вставити в email чи будь-яке інше необхідне місце призначення.');
INSERT INTO `lang_definitions` VALUES (159375, 10354, 29, 'Дані експорту подані в текстовій області нижче. Можете скопіювати і вставити в email чи будь-яке інше необхідне місце призначення.');
INSERT INTO `lang_definitions` VALUES (159376, 10355, 29, 'Дані експорту подані в текстовій області нижче. Можете скопіювати і вставити їх в email чи будь-яке інше необхідне місце призначення.');
INSERT INTO `lang_definitions` VALUES (159377, 10358, 29, 'Файл не може бути збережений у CouchDB.');
INSERT INTO `lang_definitions` VALUES (159378, 10359, 29, 'Цей файл не вдалося перейменувати, ця помилка зазвичай пов\'язана з проблемами прав доступу в систему зберігання.');
INSERT INTO `lang_definitions` VALUES (159379, 10360, 29, 'Файл не може бути успішно збережений. Ця помилка звачайно стосується проблем з правими доступу до системи сховища (накопичувача)');
INSERT INTO `lang_definitions` VALUES (159380, 10364, 29, 'Першим (\"цільовим\") записом є той, який вважається найбільш повним та точним. Дані демографічного, історичного та страхового розділів для нього будуть збережені.');
INSERT INTO `lang_definitions` VALUES (159381, 10374, 29, 'перший крок - відкрити обліковий запис на веб-сайті системи Уніфікованої Медичної Мови (UMLS)');
INSERT INTO `lang_definitions` VALUES (159382, 10380, 29, 'Наступні календарні події були додані:');
INSERT INTO `lang_definitions` VALUES (159383, 10381, 29, 'Наступні календарні події були змінені:');
INSERT INTO `lang_definitions` VALUES (159384, 10382, 29, 'Наступні категорії будуть видалені з вашого списку категорій');
INSERT INTO `lang_definitions` VALUES (159385, 10383, 29, 'В даний час встановлена ​​наступна версія бази даних.');
INSERT INTO `lang_definitions` VALUES (159386, 10384, 29, 'Наступні документи були прикріплені до цього Direct-повідомлення:');
INSERT INTO `lang_definitions` VALUES (159387, 10386, 29, 'Наступний файл EDI був оновлений');
INSERT INTO `lang_definitions` VALUES (159388, 10388, 29, 'Активований наступний користувач термінового входу в систему:');
INSERT INTO `lang_definitions` VALUES (159389, 10389, 29, 'Сталася наступна помилка');
INSERT INTO `lang_definitions` VALUES (159390, 10392, 29, 'Наступні поля є обов\'язковими');
INSERT INTO `lang_definitions` VALUES (159391, 10394, 29, 'Для відправки запиту повинні бути заповнені такі поля.');
INSERT INTO `lang_definitions` VALUES (159392, 10395, 29, 'Підтримуються наступні міжнародні мовні випуски SNOMED');
INSERT INTO `lang_definitions` VALUES (159393, 10397, 29, 'Наступні проблеми мають ті ж коди діагнозу. Проблеми по звертанню не будуть оновлюватися. Будь ласка, скористайтеся інтерфейсом звертання.');
INSERT INTO `lang_definitions` VALUES (159394, 10406, 29, 'Ім\'я вузла на архівному комп\'ютері для аудиту ATNA');
INSERT INTO `lang_definitions` VALUES (159395, 10418, 29, 'Початкове вікно є сторінкою пошуку рахунку. Вгорі ви можете ввести джерело (наприклад, номер чека), дату оплати та суму чека. Причина для вводу джерела і дати оплати полягає у тому, що вам не доведеться вводити їх багато разів для кожної вимоги. Кількість, яку ви вводитимете, буде збільшуватися при кожному рахунку, який буде частиною платні, і врешті становитиме нуль, коли оплата буде завершена.');
INSERT INTO `lang_definitions` VALUES (159396, 10420, 29, 'Каталог встановлення повинен бути створений.');
INSERT INTO `lang_definitions` VALUES (159397, 10421, 29, 'Встановлена міжнародна версія SNOMED не сумісна з актуальним пакетом розширення SNOMED для США.');
INSERT INTO `lang_definitions` VALUES (159398, 10422, 29, 'Встановлена міжнародна версія SNOMED є застарілою і не сумісна з актуальним пакетом розширення SNOMED для США.');
INSERT INTO `lang_definitions` VALUES (159399, 10423, 29, 'Встановлена версія і встановлювані файли ідентичні.');
INSERT INTO `lang_definitions` VALUES (159400, 10424, 29, 'Встановлена версія є новішою ніж встановлювані файли.');
INSERT INTO `lang_definitions` VALUES (159401, 10431, 29, 'Мітка, яка з\'являється для цього користувача у формі');
INSERT INTO `lang_definitions` VALUES (159402, 10438, 29, 'Довжина не повинна перевищувати наступної кількості символів');
INSERT INTO `lang_definitions` VALUES (159403, 10442, 29, 'Об\"єднання не може бути запущено, оскільки SSN та дата народження для двох записів ідентичні. Дана народження не може бути порожньою.');
INSERT INTO `lang_definitions` VALUES (159404, 10443, 29, 'Повідомлення в даний час не може бути надіслане.');
INSERT INTO `lang_definitions` VALUES (159405, 10458, 29, 'Нова категорія буде підкатегорією для');
INSERT INTO `lang_definitions` VALUES (159406, 10460, 29, 'Новий пароль не може бути таким же, як поточний.');
INSERT INTO `lang_definitions` VALUES (159407, 10461, 29, 'Поля нового пароля відрізняються.');
INSERT INTO `lang_definitions` VALUES (159408, 10471, 29, 'Кількість актуальних файлів невірна. Помістіть лише файл, який ви хочете встановити / оновити.');
INSERT INTO `lang_definitions` VALUES (159409, 10472, 29, 'Некоректна кількість оброблюваних файлів. Розмістіть лише файли, які Ви бажаєте встановити/оновити.');
INSERT INTO `lang_definitions` VALUES (159410, 10479, 29, 'Ця сторінка буде перенаправлена на Персональні дані. Ви можете відредагувати поле із країною та повернутися на NewCrop знову.');
INSERT INTO `lang_definitions` VALUES (159411, 10482, 29, 'Пароль повинен бути довжиною не менше вісім символів і повинен');
INSERT INTO `lang_definitions` VALUES (159412, 10486, 29, 'Запит на запис для пацієнта був виконаний.');
INSERT INTO `lang_definitions` VALUES (159413, 10487, 29, 'Нагадування пацієнтові відправлені');
INSERT INTO `lang_definitions` VALUES (159414, 10488, 29, 'Нагадування пацієнтові оновлені');
INSERT INTO `lang_definitions` VALUES (159415, 10493, 29, 'Введені платежі не можуть бути пізніше цієї дати. Це означає, що після здійснення завершального звіту ніхто не введе попередню дату.');
INSERT INTO `lang_definitions` VALUES (159416, 10505, 29, 'Надані необроблені дані можуть бути отримані з');
INSERT INTO `lang_definitions` VALUES (159417, 10509, 29, 'Відомості, наведені нижче, застосовуються, тільки якщо ви вручну публікуєте або виправляєте.');
INSERT INTO `lang_definitions` VALUES (159418, 10513, 29, 'Запитаний документ відсутній в очікуваному місці файлової системи або немає достатніх прав доступу до нього.');
INSERT INTO `lang_definitions` VALUES (159419, 10524, 29, 'Дані демографічного, історичного та страхового розділів другого (\"вхідного\") запису будуть видалені. Інші дані будуть об\"єднані з цільовим записом.');
INSERT INTO `lang_definitions` VALUES (159420, 10537, 29, 'Стовпці Джерело і Дата копіюються з першої сторінки, так що, зазвичай, їх не потрібно чіпати. Можете помістити суму платежу в стовпці Оплата, скориговану суму в стовпці Змінити (або обидві). Можна також натиснути на «W» справа для автоматичного застосування вартості, що списує залишок ціни для цієї позиції.');
INSERT INTO `lang_definitions` VALUES (159421, 10540, 29, 'Не всі дати підставлених файлів від однакового випуску.');
INSERT INTO `lang_definitions` VALUES (159422, 10541, 29, 'Не всі редакції підставлених файлів від однакового випуску.');
INSERT INTO `lang_definitions` VALUES (159423, 10557, 29, 'Тимчасова деталізація календаря і найменший інтервал у хвилинах для вставки запису на прийом.');
INSERT INTO `lang_definitions` VALUES (159424, 10562, 29, 'Перекладена мітка, яка виводиться у формі на поточній мові');
INSERT INTO `lang_definitions` VALUES (159425, 10563, 29, 'Перекладений заголовок, який буде виводиться на поточній мові');
INSERT INTO `lang_definitions` VALUES (159426, 10564, 29, 'Переклад опису на поточну мову');
INSERT INTO `lang_definitions` VALUES (159427, 10565, 29, 'Таблиці перекладів синхронізовані.');
INSERT INTO `lang_definitions` VALUES (159428, 10566, 29, 'Тип цього об\'єкта');
INSERT INTO `lang_definitions` VALUES (159429, 10586, 29, 'Код виробника, що ідентифікує цю процедуру або результат');
INSERT INTO `lang_definitions` VALUES (159430, 10591, 29, 'Файли X12, а також отримані звіти виводу HTML, архівуються в підкаталозі \"era\" основної директорії інсталяції OpenEMR. Слід звертатися час від часу до цих архівів. URL-адреса');
INSERT INTO `lang_definitions` VALUES (159431, 10593, 29, 'Файл zip буде містити наступні пункти');
INSERT INTO `lang_definitions` VALUES (159432, 10594, 29, 'Тема');
INSERT INTO `lang_definitions` VALUES (159433, 10600, 29, 'Тоді надані необроблені дані можуть бути отримані з');
INSERT INTO `lang_definitions` VALUES (159434, 10601, 29, 'Терапевтичні ін\'єкції');
INSERT INTO `lang_definitions` VALUES (159435, 10607, 29, 'Є');
INSERT INTO `lang_definitions` VALUES (159436, 10610, 29, 'В даний час немає призначень');
INSERT INTO `lang_definitions` VALUES (159437, 10611, 29, 'Є помилки з вашим поданням. Вони показані нижче.');
INSERT INTO `lang_definitions` VALUES (159438, 10616, 29, 'Виписаних карт немає.');
INSERT INTO `lang_definitions` VALUES (159439, 10618, 29, 'Для цього пацієнта публікацій не зареєстровано.');
INSERT INTO `lang_definitions` VALUES (159440, 10621, 29, 'Нових заявок немає');
INSERT INTO `lang_definitions` VALUES (159441, 10622, 29, 'Для цього пацієнта немає записів у файл.');
INSERT INTO `lang_definitions` VALUES (159442, 10624, 29, 'Для цього пацієнта немає транзакцій в файл.');
INSERT INTO `lang_definitions` VALUES (159443, 10639, 29, 'Виникла помилка відправки пошти');
INSERT INTO `lang_definitions` VALUES (159444, 10642, 29, 'Категорія вже поіменована');
INSERT INTO `lang_definitions` VALUES (159445, 10643, 29, 'Підкатегорія вже поіменована');
INSERT INTO `lang_definitions` VALUES (159446, 10644, 29, 'Елемент вже поіменований');
INSERT INTO `lang_definitions` VALUES (159447, 10645, 29, 'Запит на запис для пацієнта вже відкритий.');
INSERT INTO `lang_definitions` VALUES (159448, 10646, 29, 'Немає введених COA для аккаунта AR');
INSERT INTO `lang_definitions` VALUES (159449, 10647, 29, 'Немає введених COA для аккаунта кешу');
INSERT INTO `lang_definitions` VALUES (159450, 10648, 29, 'Немає введених COA для вхідного аккаунта');
INSERT INTO `lang_definitions` VALUES (159451, 10649, 29, 'Немає жодного поточного пацієнта');
INSERT INTO `lang_definitions` VALUES (159452, 10651, 29, 'Немає відповідності для рахунку з id');
INSERT INTO `lang_definitions` VALUES (159453, 10652, 29, 'Немає відповідності для рахунку з id =');
INSERT INTO `lang_definitions` VALUES (159454, 10653, 29, 'Немає введення частини для ID послуг');
INSERT INTO `lang_definitions` VALUES (159455, 10655, 29, 'Були проблеми з відправкою повідомлення.');
INSERT INTO `lang_definitions` VALUES (159456, 10656, 29, 'При обробці вашого запиту виникла помилка.');
INSERT INTO `lang_definitions` VALUES (159457, 10657, 29, 'В наступному рядку є помилка OpenEMR SQL');
INSERT INTO `lang_definitions` VALUES (159458, 10661, 29, 'Є 2012 посилань');
INSERT INTO `lang_definitions` VALUES (159459, 10682, 29, 'Ущільнення справа');
INSERT INTO `lang_definitions` VALUES (159460, 10683, 29, 'Стегно');
INSERT INTO `lang_definitions` VALUES (159461, 10684, 29, 'Стегно і підколінна ямка');
INSERT INTO `lang_definitions` VALUES (159462, 10685, 29, 'Об\'єкти, які відділ документації (канцелярія) може лише читати');
INSERT INTO `lang_definitions` VALUES (159463, 10686, 29, 'Об\'єкти, які відділ документації (канцелярія) може читати і вводити, але не може змінювати');
INSERT INTO `lang_definitions` VALUES (159464, 10687, 29, 'Об\'єкти, які відділ документації (канцелярія) може читати і змінювати');
INSERT INTO `lang_definitions` VALUES (159465, 10688, 29, 'Об\'єкти, які відділ документації (канцелярія) може читати і частково змінювати');
INSERT INTO `lang_definitions` VALUES (159466, 10689, 29, 'Об\'єкти, які клініцисти можуть лише читати');
INSERT INTO `lang_definitions` VALUES (159467, 10690, 29, 'Об\'єкти, які клініцисти можуть читати і вводити, але не можуть змінювати');
INSERT INTO `lang_definitions` VALUES (159468, 10691, 29, 'Об\'єкти, які клініцисти можуть читати і змінювати');
INSERT INTO `lang_definitions` VALUES (159469, 10692, 29, 'Об\'єкти, які клініцисти можуть читати і частково змінювати');
INSERT INTO `lang_definitions` VALUES (159470, 10693, 29, 'Об\'єкти, які реєстратура може лише читати');
INSERT INTO `lang_definitions` VALUES (159471, 10694, 29, 'Об\'єкти, які реєстратура може читати і вводити, але не може змінювати');
INSERT INTO `lang_definitions` VALUES (159472, 10695, 29, 'Об\'єкти, які реєстратура може читати і змінювати');
INSERT INTO `lang_definitions` VALUES (159473, 10696, 29, 'Об\'єкти, які реєстратура може читати і частково змінювати');
INSERT INTO `lang_definitions` VALUES (159474, 10697, 29, 'Об\'єкти, які лікарі можуть лише читати');
INSERT INTO `lang_definitions` VALUES (159475, 10698, 29, 'Об\'єкти, які лікарі можуть читати і вводити, але не можуть змінювати');
INSERT INTO `lang_definitions` VALUES (159476, 10699, 29, 'Об\'єкти, які лікарі можуть читати і змінювати');
INSERT INTO `lang_definitions` VALUES (159477, 10700, 29, 'Об\'єкти, які лікарі можуть читати і частково змінювати');
INSERT INTO `lang_definitions` VALUES (159478, 10701, 29, 'Третій');
INSERT INTO `lang_definitions` VALUES (159479, 10704, 29, 'Ця дія НЕ МОЖЕ БУТИ скасованою.');
INSERT INTO `lang_definitions` VALUES (159480, 10705, 29, 'Ця дія не може бути скасованою.');
INSERT INTO `lang_definitions` VALUES (159481, 10707, 29, 'Цю дію буде зареєстровано');
INSERT INTO `lang_definitions` VALUES (159482, 10712, 29, 'Цей інтервал прийому вже використовується, вибрати його незважаючи на це?');
INSERT INTO `lang_definitions` VALUES (159483, 10713, 29, 'Вказаний інтервал запису на прийом не існує, виберіть інший.');
INSERT INTO `lang_definitions` VALUES (159484, 10714, 29, 'Цей календарний рік');
INSERT INTO `lang_definitions` VALUES (159485, 10715, 29, 'Цю вимогу було скасовано.');
INSERT INTO `lang_definitions` VALUES (159486, 10716, 29, 'Ця вимога була закрита.');
INSERT INTO `lang_definitions` VALUES (159487, 10717, 29, 'Ця вимога була знехтувана. Причина:-');
INSERT INTO `lang_definitions` VALUES (159488, 10718, 29, 'Цю вимогу було надіслано на наступний рівень.');
INSERT INTO `lang_definitions` VALUES (159489, 10725, 29, 'Цей тип коду не приймає залежності.');
INSERT INTO `lang_definitions` VALUES (159490, 10727, 29, 'Цей контекст містить категорії, які будуть видалені. Все ще потрібно продовжити?');
INSERT INTO `lang_definitions` VALUES (159491, 10730, 29, 'Це визначає, як записи на прийом відображаються в календарі.');
INSERT INTO `lang_definitions` VALUES (159492, 10731, 29, 'Це визначає, яка схема кольорів використовується для запису на прийом');
INSERT INTO `lang_definitions` VALUES (159493, 10734, 29, 'Це звернення');
INSERT INTO `lang_definitions` VALUES (159494, 10735, 29, 'Для цього зверненню було здійснено нарахування. Якщо Ви бажаєте внести змінити, відчиніть його повторно.');
INSERT INTO `lang_definitions` VALUES (159495, 10740, 29, 'Ця опція відсутня');
INSERT INTO `lang_definitions` VALUES (159496, 10742, 29, 'Цей компонент є експериментальним і тестований не повністю. Використовуйте його на свій власний ризик!');
INSERT INTO `lang_definitions` VALUES (159497, 10753, 29, 'Цей номер рахунку було змінено на');
INSERT INTO `lang_definitions` VALUES (159498, 10763, 29, 'Це запис, який буде об\'єднано з основним записом, а потім видалено.');
INSERT INTO `lang_definitions` VALUES (159499, 10772, 29, 'Це основний запис, який отримає об\'єднані дані.');
INSERT INTO `lang_definitions` VALUES (159500, 10784, 29, 'це розміщення');
INSERT INTO `lang_definitions` VALUES (159501, 10789, 29, 'Цей модуль працює в тестовому режимі. База даних не буде змінена.');
INSERT INTO `lang_definitions` VALUES (159502, 10792, 29, 'Цей модуль підтримує ефективне введення даних EOB.');
INSERT INTO `lang_definitions` VALUES (159503, 10793, 29, 'Це місяць до дати');
INSERT INTO `lang_definitions` VALUES (159504, 10798, 29, 'Ця сторінка дозволяє Вам переглянути кожен з підтримуваних зовнішніх сховищ даних що Ви їх можете встановити чи оновити. Кожну секцію можна розгорнути, клацнувши на її заголовку, щоб переглянути статус відповідної бази даних.');
INSERT INTO `lang_definitions` VALUES (159505, 10799, 29, 'Ця сторінка відключена з міркувань безпеки.');
INSERT INTO `lang_definitions` VALUES (159506, 10801, 29, 'Ця сторінка буде включати вбудований вхід в систему, щоб не робити це кожного разу.');
INSERT INTO `lang_definitions` VALUES (159507, 10804, 29, 'Цей пацієнт не активний.');
INSERT INTO `lang_definitions` VALUES (159508, 10805, 29, 'Цей ID пацієнта вже використовуєтьсяі!');
INSERT INTO `lang_definitions` VALUES (159509, 10807, 29, 'Цей продукт допускає тільки одну партію на складі');
INSERT INTO `lang_definitions` VALUES (159510, 10808, 29, 'Цей протокол не реалізований');
INSERT INTO `lang_definitions` VALUES (159511, 10809, 29, 'Цей звіт зараз працює лише для ICD9 кодів.');
INSERT INTO `lang_definitions` VALUES (159512, 10821, 29, 'На цьому кроці буде створений файл, який потрібно зберегти для подальшого використання. Цей файл не може бути створений повторно.Чи бажаєте продовжити?');
INSERT INTO `lang_definitions` VALUES (159513, 10822, 29, 'Цей користувач не є членом жодної групи');
INSERT INTO `lang_definitions` VALUES (159514, 10823, 29, 'Цей користувач буде отримувати повідомлення про нові вхідні Direct-повідомлення');
INSERT INTO `lang_definitions` VALUES (159515, 10824, 29, 'Ця утиліта є експериментальною. Зробіть резервну копію бази даних і документів перед її використанням!');
INSERT INTO `lang_definitions` VALUES (159516, 10826, 29, 'Це відвідування починає застосування нової контрацепції');
INSERT INTO `lang_definitions` VALUES (159517, 10827, 29, 'Для цього візиту необхідна форма GCAC, надання направлення або процедури.');
INSERT INTO `lang_definitions` VALUES (159518, 10828, 29, 'Це старий варіант виключно метричної форми життєво важливих показників, в даний час застаріла.');
INSERT INTO `lang_definitions` VALUES (159519, 10829, 29, 'Цей тиждень до дати');
INSERT INTO `lang_definitions` VALUES (159520, 10831, 29, 'Це активує повідомлення CCR (безперервність медичного запису) і CCD (безперервність медичного документу).');
INSERT INTO `lang_definitions` VALUES (159521, 10834, 29, 'Це дозволяє вибір налагоджувальної мови (\'підставної\').');
INSERT INTO `lang_definitions` VALUES (159522, 10838, 29, 'Це буде \"сухий запуск\" без фізичного оновлення даних.');
INSERT INTO `lang_definitions` VALUES (159523, 10843, 29, 'Це дозволяє створити резервну копію у форматі tar і потім надіслати на ваш веб-браузер, таким чином що ви зможете її зберегти');
INSERT INTO `lang_definitions` VALUES (159524, 10844, 29, 'Функція шифрування і дешифрування документа буде дезактивована і захована в UI.');
INSERT INTO `lang_definitions` VALUES (159525, 10854, 29, 'Завдяки цьому Віджет Рахунків буде завжди відкритим у вікні \"Сумарно по пацієнту\".');
INSERT INTO `lang_definitions` VALUES (159526, 10859, 29, 'Це дозволить об\'єднати два записи про пацієнта в один. Це корисно, коли запис про пацієнта був помилково продубльований. Якщо це відбувається часто, слід внести зміни в порядок діловодства. Дана функція є не для регулярного використання!');
INSERT INTO `lang_definitions` VALUES (159527, 10860, 29, 'Це не завадить вашому переходу на сайт е-призначень.');
INSERT INTO `lang_definitions` VALUES (159528, 10867, 29, 'Користувацький список вакцинацій, а не стандартний список вакцинацій CVX буде використаний.');
INSERT INTO `lang_definitions` VALUES (159529, 10871, 29, 'Грудний відділ хребта');
INSERT INTO `lang_definitions` VALUES (159530, 10873, 29, 'Тис./куб.мм');
INSERT INTO `lang_definitions` VALUES (159531, 10878, 29, 'Гортань');
INSERT INTO `lang_definitions` VALUES (159532, 10879, 29, 'Рак гортані');
INSERT INTO `lang_definitions` VALUES (159533, 10880, 29, 'Хірургія раку гортані');
INSERT INTO `lang_definitions` VALUES (159534, 10881, 29, 'Тромбоз/інсульт');
INSERT INTO `lang_definitions` VALUES (159535, 10882, 29, 'Чт.');
INSERT INTO `lang_definitions` VALUES (159536, 10884, 29, 'Четвер');
INSERT INTO `lang_definitions` VALUES (159537, 10885, 29, 'Четвер');
INSERT INTO `lang_definitions` VALUES (159538, 10887, 29, 'Щитовидна залоза в нормі');
INSERT INTO `lang_definitions` VALUES (159539, 10888, 29, 'Проблеми щитовидної залози');
INSERT INTO `lang_definitions` VALUES (159540, 10890, 29, 'TIA');
INSERT INTO `lang_definitions` VALUES (159541, 10892, 29, 'TID');
INSERT INTO `lang_definitions` VALUES (159542, 10902, 29, 'Час');
INSERT INTO `lang_definitions` VALUES (159543, 10903, 29, 'Формат відображення часу');
INSERT INTO `lang_definitions` VALUES (159544, 10904, 29, 'Величина часу для додавання (1-60 хвилин)');
INSERT INTO `lang_definitions` VALUES (159545, 10905, 29, 'Вибір часу');
INSERT INTO `lang_definitions` VALUES (159546, 10907, 29, 'Цей інтервал відкритий, зберігайте подію');
INSERT INTO `lang_definitions` VALUES (159547, 10913, 29, 'Одночасна подія');
INSERT INTO `lang_definitions` VALUES (159548, 10914, 29, 'Набір часів (N/A)');
INSERT INTO `lang_definitions` VALUES (159549, 10915, 29, 'Часова мітка і текст');
INSERT INTO `lang_definitions` VALUES (159550, 10917, 29, 'TIN');
INSERT INTO `lang_definitions` VALUES (159551, 10918, 29, 'шум у вухах');
INSERT INTO `lang_definitions` VALUES (159552, 10920, 29, 'Назва');
INSERT INTO `lang_definitions` VALUES (159553, 10923, 29, 'Назва V');
INSERT INTO `lang_definitions` VALUES (159554, 10924, 29, 'Стовпці назви повинні бути чилом між 1 і 999');
INSERT INTO `lang_definitions` VALUES (159555, 10925, 29, 'Назви');
INSERT INTO `lang_definitions` VALUES (159556, 10926, 29, 'TM\'S:');
INSERT INTO `lang_definitions` VALUES (159557, 10927, 29, 'Зовнішній ніс, TMs/EAMs/EE');
INSERT INTO `lang_definitions` VALUES (159558, 10928, 29, 'по');
INSERT INTO `lang_definitions` VALUES (159559, 10929, 29, 'до');
INSERT INTO `lang_definitions` VALUES (159560, 10930, 29, 'ДО');
INSERT INTO `lang_definitions` VALUES (159561, 10931, 29, 'в абсолютному шляху файлу');
INSERT INTO `lang_definitions` VALUES (159562, 10936, 29, 'Натисніть для додавання записів');
INSERT INTO `lang_definitions` VALUES (159563, 10937, 29, 'натисніть тут для додавання записів');
INSERT INTO `lang_definitions` VALUES (159564, 10938, 29, 'На уражену область');
INSERT INTO `lang_definitions` VALUES (159565, 10939, 29, 'на уражену область');
INSERT INTO `lang_definitions` VALUES (159566, 10942, 29, 'Для автоматичного відкриття зазначеної форми. Деякі спортивні команди тут використовують football_injury_audit.');
INSERT INTO `lang_definitions` VALUES (159567, 10944, 29, 'В представлення Рахунок');
INSERT INTO `lang_definitions` VALUES (159568, 10945, 29, 'в категорії');
INSERT INTO `lang_definitions` VALUES (159569, 10947, 29, 'В Клінічне представлення');
INSERT INTO `lang_definitions` VALUES (159570, 10949, 29, 'в доплату');
INSERT INTO `lang_definitions` VALUES (159571, 10953, 29, 'To ded\'ble');
INSERT INTO `lang_definitions` VALUES (159572, 10956, 29, 'В електронну службу передачі цифрових повідомлень');
INSERT INTO `lang_definitions` VALUES (159573, 10958, 29, 'Для відключення сертифікатів SSL на стороні клієнта закоментуйте вищевказані рядки в конфігураційному файлі Apache і встановіть');
INSERT INTO `lang_definitions` VALUES (159574, 10960, 29, 'Для відключення HTTPS закоментуйте вищевказані рядки в конфігураційному файлі Apache і перезавантажте сервер Apache.');
INSERT INTO `lang_definitions` VALUES (159575, 10965, 29, 'Для включення сертифікатів ssl на стороні клієнта');
INSERT INTO `lang_definitions` VALUES (159576, 10966, 29, 'Для включення перевірки сертифікатів SSL на стороні клієнта повинен бути включений HTTPS');
INSERT INTO `lang_definitions` VALUES (159577, 10970, 29, 'Для включення тільки HTTPS, зробіть зазначені вище зміни і перезавантажте сервер Apache. Якщо хочете також налаштувати сертифікати на стороні клієнта, налаштуйте їх в наступному розділі.');
INSERT INTO `lang_definitions` VALUES (159578, 10972, 29, 'Для зверн.');
INSERT INTO `lang_definitions` VALUES (159579, 10973, 29, 'Фільтрувати по статті');
INSERT INTO `lang_definitions` VALUES (159580, 10980, 29, 'В анамнез');
INSERT INTO `lang_definitions` VALUES (159581, 10982, 29, 'До проблем');
INSERT INTO `lang_definitions` VALUES (159582, 10984, 29, 'Щоб зв\'язувати дане звернення/консультацію з наявною проблемою, натисніть тут');
INSERT INTO `lang_definitions` VALUES (159583, 10985, 29, 'Щоб зв\'язати дане звернення/консультацію з існуючою проблемою клікніть вище потрібну проблему і натисніть [Зберегти]. Для вибору декількох проблем утримуйте клавішу [Ctrl].');
INSERT INTO `lang_definitions` VALUES (159584, 10987, 29, 'для повторного входу в систему');
INSERT INTO `lang_definitions` VALUES (159585, 10992, 29, 'Клацніть для опублікування запису');
INSERT INTO `lang_definitions` VALUES (159586, 10997, 29, 'для запуску');
INSERT INTO `lang_definitions` VALUES (159587, 11001, 29, 'Для організації доступу https з перевіркою сертифіката клієнта зробіть наступне');
INSERT INTO `lang_definitions` VALUES (159588, 11002, 29, 'Нашкірно');
INSERT INTO `lang_definitions` VALUES (159589, 11003, 29, 'нашкірно');
INSERT INTO `lang_definitions` VALUES (159590, 11005, 29, 'у це відвідування?');
INSERT INTO `lang_definitions` VALUES (159591, 11010, 29, 'До:');
INSERT INTO `lang_definitions` VALUES (159592, 11011, 29, 'До:');
INSERT INTO `lang_definitions` VALUES (159593, 11012, 29, 'ДО_МІСТО');
INSERT INTO `lang_definitions` VALUES (159594, 11013, 29, 'ДО_ФАКС');
INSERT INTO `lang_definitions` VALUES (159595, 11014, 29, 'ДО_ІМ\"Я');
INSERT INTO `lang_definitions` VALUES (159596, 11015, 29, 'ДО_ПРІЗВИЩЕ');
INSERT INTO `lang_definitions` VALUES (159597, 11016, 29, 'ДО_ПО-БАТЬКОВІ');
INSERT INTO `lang_definitions` VALUES (159598, 11017, 29, 'ДО_УСТАНОВА');
INSERT INTO `lang_definitions` VALUES (159599, 11020, 29, 'ДО_ПОШТОВА_АДРЕСА');
INSERT INTO `lang_definitions` VALUES (159600, 11021, 29, 'ДО_ОБЛАСТЬ');
INSERT INTO `lang_definitions` VALUES (159601, 11022, 29, 'ДО_ВУЛИЦЯ');
INSERT INTO `lang_definitions` VALUES (159602, 11023, 29, 'ДО_НАЗВА');
INSERT INTO `lang_definitions` VALUES (159603, 11024, 29, 'ДО_ПРОЩАННЯ');
INSERT INTO `lang_definitions` VALUES (159604, 11025, 29, 'Тютюн');
INSERT INTO `lang_definitions` VALUES (159605, 11026, 29, 'Втручання з припинення тютюнопаління');
INSERT INTO `lang_definitions` VALUES (159606, 11027, 29, 'Втручання з припинення тютюнопаління (CQM)');
INSERT INTO `lang_definitions` VALUES (159607, 11028, 29, 'Використання тютюну');
INSERT INTO `lang_definitions` VALUES (159608, 11030, 29, 'Оцінка використання тютюну');
INSERT INTO `lang_definitions` VALUES (159609, 11031, 29, 'Оцінка використання тютюну (CQM)');
INSERT INTO `lang_definitions` VALUES (159610, 11032, 29, 'Сьогодні');
INSERT INTO `lang_definitions` VALUES (159611, 11033, 29, 'СЬОГОДНІ');
INSERT INTO `lang_definitions` VALUES (159612, 11034, 29, 'сьогодні');
INSERT INTO `lang_definitions` VALUES (159613, 11035, 29, 'Сьогоднішній баланс');
INSERT INTO `lang_definitions` VALUES (159614, 11036, 29, 'Сьогоднішні зміни');
INSERT INTO `lang_definitions` VALUES (159615, 11037, 29, 'Сьогоднішня дата');
INSERT INTO `lang_definitions` VALUES (159616, 11038, 29, 'Сьогоднішні події');
INSERT INTO `lang_definitions` VALUES (159617, 11044, 29, 'Token ID для підтримки Інтеграції Медичної Інформації, послуги обміну лабораторними даними LLC');
INSERT INTO `lang_definitions` VALUES (159618, 11045, 29, 'Token ID для підтримки OpenEMR послуги обміну лабораторними даними LLC');
INSERT INTO `lang_definitions` VALUES (159619, 11047, 29, 'Тонзилектомія');
INSERT INTO `lang_definitions` VALUES (159620, 11050, 29, 'Верх');
INSERT INTO `lang_definitions` VALUES (159621, 11053, 29, 'Розділ');
INSERT INTO `lang_definitions` VALUES (159622, 11054, 29, 'Всього');
INSERT INTO `lang_definitions` VALUES (159623, 11055, 29, 'всього');
INSERT INTO `lang_definitions` VALUES (159624, 11056, 29, 'Всього активних дій');
INSERT INTO `lang_definitions` VALUES (159625, 11057, 29, 'Всього активних нагадувань після оновлення');
INSERT INTO `lang_definitions` VALUES (159626, 11058, 29, 'Всього активних нагадувань до оновлення');
INSERT INTO `lang_definitions` VALUES (159627, 11060, 29, 'Підлягає всього');
INSERT INTO `lang_definitions` VALUES (159628, 11061, 29, 'Всього до оплатити');
INSERT INTO `lang_definitions` VALUES (159629, 11062, 29, 'Всього Заборгованість');
INSERT INTO `lang_definitions` VALUES (159630, 11063, 29, 'Загальний платіж');
INSERT INTO `lang_definitions` VALUES (159631, 11064, 29, 'Загальні платежі');
INSERT INTO `lang_definitions` VALUES (159632, 11065, 29, 'Всього клієнтів');
INSERT INTO `lang_definitions` VALUES (159633, 11067, 29, 'Загальна вартість');
INSERT INTO `lang_definitions` VALUES (159634, 11068, 29, 'Підсумкова кількість для подальшої перевірки надано не повністю');
INSERT INTO `lang_definitions` VALUES (159635, 11069, 29, 'всього елементів');
INSERT INTO `lang_definitions` VALUES (159636, 11070, 29, 'Всього невдалих нагадувань, що були відправлені по e-mail');
INSERT INTO `lang_definitions` VALUES (159637, 11071, 29, 'Всього невдалих нагадувань по телефону');
INSERT INTO `lang_definitions` VALUES (159638, 11072, 29, 'Всього для');
INSERT INTO `lang_definitions` VALUES (159639, 11073, 29, 'Всього для');
INSERT INTO `lang_definitions` VALUES (159640, 11074, 29, 'Всього для категорії');
INSERT INTO `lang_definitions` VALUES (159641, 11075, 29, 'Всього неактивованих нагадувань');
INSERT INTO `lang_definitions` VALUES (159642, 11078, 29, 'Всього нових нагадувань');
INSERT INTO `lang_definitions` VALUES (159643, 11079, 29, 'Загальна кількість записів на прийом');
INSERT INTO `lang_definitions` VALUES (159644, 11081, 29, 'Загальна кількість вакцинацій');
INSERT INTO `lang_definitions` VALUES (159645, 11082, 29, 'Загальна кількість результатів');
INSERT INTO `lang_definitions` VALUES (159646, 11084, 29, 'Загальна кількість пацієнтів');
INSERT INTO `lang_definitions` VALUES (159647, 11087, 29, 'Підсумковий баланс по пацієнтам');
INSERT INTO `lang_definitions` VALUES (159648, 11089, 29, 'Всього пацієнтів');
INSERT INTO `lang_definitions` VALUES (159649, 11093, 29, 'Всього знайдених записів');
INSERT INTO `lang_definitions` VALUES (159650, 11095, 29, 'Загальне SRH і планування сім\'ї');
INSERT INTO `lang_definitions` VALUES (159651, 11096, 29, 'Всього успішних нагадувань, відправлених через email');
INSERT INTO `lang_definitions` VALUES (159652, 11097, 29, 'Всього успішних нагадувань, відправлених через телефон');
INSERT INTO `lang_definitions` VALUES (159653, 11100, 29, 'Всього незмінених нагадувань');
INSERT INTO `lang_definitions` VALUES (159654, 11101, 29, 'Всього невідправлених нагадувань після запуску процесу відправки');
INSERT INTO `lang_definitions` VALUES (159655, 11102, 29, 'Всього невідправлених нагадувань після оновлення');
INSERT INTO `lang_definitions` VALUES (159656, 11103, 29, 'Всього невідправлених нагадувань до запуску процесу відправки');
INSERT INTO `lang_definitions` VALUES (159657, 11104, 29, 'Всього невідправлених нагадувань до оновлення');
INSERT INTO `lang_definitions` VALUES (159658, 11105, 29, 'Всього оновлених нагадувань');
INSERT INTO `lang_definitions` VALUES (159659, 11106, 29, 'Підсумки');
INSERT INTO `lang_definitions` VALUES (159660, 11107, 29, 'Всього для');
INSERT INTO `lang_definitions` VALUES (159661, 11108, 29, 'Всього для');
INSERT INTO `lang_definitions` VALUES (159662, 11123, 29, 'до{{range}}');
INSERT INTO `lang_definitions` VALUES (159663, 11135, 29, 'Тип навчання');
INSERT INTO `lang_definitions` VALUES (159664, 11136, 29, 'Провести');
INSERT INTO `lang_definitions` VALUES (159665, 11137, 29, 'Транзакція');
INSERT INTO `lang_definitions` VALUES (159666, 11138, 29, 'транзакція');
INSERT INTO `lang_definitions` VALUES (159667, 11139, 29, 'Транзакція дала збій, недостатня кількість в призначуваній партії');
INSERT INTO `lang_definitions` VALUES (159668, 11140, 29, 'Транзакція дала збій, кількість менша нуля');
INSERT INTO `lang_definitions` VALUES (159669, 11142, 29, 'Тип транзакції');
INSERT INTO `lang_definitions` VALUES (159670, 11143, 29, 'Транзакції');
INSERT INTO `lang_definitions` VALUES (159671, 11144, 29, 'транзакції');
INSERT INTO `lang_definitions` VALUES (159672, 11145, 29, 'Транзакції (право запису - на вибір)');
INSERT INTO `lang_definitions` VALUES (159673, 11151, 29, 'Транзакції/направлення');
INSERT INTO `lang_definitions` VALUES (159674, 11153, 29, 'Передати');
INSERT INTO `lang_definitions` VALUES (159675, 11154, 29, 'Дата передачі');
INSERT INTO `lang_definitions` VALUES (159676, 11155, 29, 'Передача дала збій, недостатня кількість у вихідній партії');
INSERT INTO `lang_definitions` VALUES (159677, 11156, 29, 'Сумарна інформація про передачу');
INSERT INTO `lang_definitions` VALUES (159678, 11157, 29, 'Передати до');
INSERT INTO `lang_definitions` VALUES (159679, 11160, 29, 'Передачі');
INSERT INTO `lang_definitions` VALUES (159680, 11162, 29, 'Зміна/передача медичної допомоги?');
INSERT INTO `lang_definitions` VALUES (159681, 11163, 29, 'Групи управління доступом до перекладу');
INSERT INTO `lang_definitions` VALUES (159682, 11164, 29, 'Переводити категорії прийому');
INSERT INTO `lang_definitions` VALUES (159683, 11165, 29, 'Переводити категорії документа');
INSERT INTO `lang_definitions` VALUES (159684, 11166, 29, 'Переводити макети');
INSERT INTO `lang_definitions` VALUES (159685, 11167, 29, 'Переводити списки');
INSERT INTO `lang_definitions` VALUES (159686, 11168, 29, 'Переводити заголовки записів по пацієнтах');
INSERT INTO `lang_definitions` VALUES (159687, 11169, 29, 'перекласти це');
INSERT INTO `lang_definitions` VALUES (159688, 11170, 29, 'Переклад');
INSERT INTO `lang_definitions` VALUES (159689, 11171, 29, 'Переклади');
INSERT INTO `lang_definitions` VALUES (159690, 11172, 29, 'Передати');
INSERT INTO `lang_definitions` VALUES (159691, 11175, 29, 'Збій передачі');
INSERT INTO `lang_definitions` VALUES (159692, 11177, 29, 'Передати вибрані накази');
INSERT INTO `lang_definitions` VALUES (159693, 11179, 29, 'Травма');
INSERT INTO `lang_definitions` VALUES (159694, 11180, 29, 'Лікування');
INSERT INTO `lang_definitions` VALUES (159695, 11182, 29, 'Мета лікування');
INSERT INTO `lang_definitions` VALUES (159696, 11183, 29, 'План лікування');
INSERT INTO `lang_definitions` VALUES (159697, 11184, 29, 'Планування лікування');
INSERT INTO `lang_definitions` VALUES (159698, 11185, 29, 'Лікування отримано');
INSERT INTO `lang_definitions` VALUES (159699, 11186, 29, 'Лікування:');
INSERT INTO `lang_definitions` VALUES (159700, 11187, 29, 'Лікування:');
INSERT INTO `lang_definitions` VALUES (159701, 11189, 29, 'Динаміка');
INSERT INTO `lang_definitions` VALUES (159702, 11190, 29, 'trftime($month_format, mktime(0, 0, 0, $i, 1, 2000)) ); $month_value');
INSERT INTO `lang_definitions` VALUES (159703, 11195, 29, 'Пускова точка / синдром здавлення / DOMS / судома');
INSERT INTO `lang_definitions` VALUES (159704, 11196, 29, 'Трімаляр');
INSERT INTO `lang_definitions` VALUES (159705, 11199, 29, 'Торс і живіт');
INSERT INTO `lang_definitions` VALUES (159706, 11203, 29, 'Спроба створити користувача з ім\"ям, що вже використовується!');
INSERT INTO `lang_definitions` VALUES (159707, 11205, 29, 'ч.л.');
INSERT INTO `lang_definitions` VALUES (159708, 11207, 29, 'TTS');
INSERT INTO `lang_definitions` VALUES (159709, 11208, 29, 'Туберкульоз');
INSERT INTO `lang_definitions` VALUES (159710, 11209, 29, 'Вт.');
INSERT INTO `lang_definitions` VALUES (159711, 11210, 29, 'Вт. &amp; Чт.');
INSERT INTO `lang_definitions` VALUES (159712, 11211, 29, 'Вівторок');
INSERT INTO `lang_definitions` VALUES (159713, 11212, 29, 'Новоутворення');
INSERT INTO `lang_definitions` VALUES (159714, 11213, 29, 'Турецька');
INSERT INTO `lang_definitions` VALUES (159715, 11222, 29, 'Двічі на день');
INSERT INTO `lang_definitions` VALUES (159716, 11226, 29, 'Барабанна перетинка');
INSERT INTO `lang_definitions` VALUES (159717, 11227, 29, 'Тип');
INSERT INTO `lang_definitions` VALUES (159718, 11231, 29, 'Введіть id або ім\'я. Мінімум 3 символи (включаючи пробіли).');
INSERT INTO `lang_definitions` VALUES (159719, 11238, 29, 'Тип стовпців, які відображаються для результатів пошуку пацієнта');
INSERT INTO `lang_definitions` VALUES (159720, 11239, 29, 'Тип публікації');
INSERT INTO `lang_definitions` VALUES (159721, 11240, 29, 'Тип подій');
INSERT INTO `lang_definitions` VALUES (159722, 11242, 29, 'Тип макета екрану');
INSERT INTO `lang_definitions` VALUES (159723, 11243, 29, 'Введіть або переглядайте ідентифікатор пацієнта тут');
INSERT INTO `lang_definitions` VALUES (159724, 11248, 29, 'Тип Вашого повідомлення тут');
INSERT INTO `lang_definitions` VALUES (159725, 11249, 29, 'Типи призначень і результатів');
INSERT INTO `lang_definitions` VALUES (159726, 11270, 29, 'Коди UCSMC надані через Університет Спортивного Медичного Центру Калгарі');
INSERT INTO `lang_definitions` VALUES (159727, 11271, 29, 'Українська');
INSERT INTO `lang_definitions` VALUES (159728, 11272, 29, 'Виразки');
INSERT INTO `lang_definitions` VALUES (159729, 11273, 29, 'Виразковий коліт');
INSERT INTO `lang_definitions` VALUES (159730, 11274, 29, 'Виразки:');
INSERT INTO `lang_definitions` VALUES (159731, 11278, 29, 'Неможливо створити');
INSERT INTO `lang_definitions` VALUES (159732, 11288, 29, 'Неможливо знайти цю оплату в ar_activity');
INSERT INTO `lang_definitions` VALUES (159733, 11291, 29, 'Не підходить');
INSERT INTO `lang_definitions` VALUES (159734, 11292, 29, 'Не вказано');
INSERT INTO `lang_definitions` VALUES (159735, 11293, 29, 'Несанкціонований');
INSERT INTO `lang_definitions` VALUES (159736, 11294, 29, 'Несанкціонований доступ до ePrescription');
INSERT INTO `lang_definitions` VALUES (159737, 11295, 29, 'Несанкціонований доступ.');
INSERT INTO `lang_definitions` VALUES (159738, 11296, 29, 'Без рахунків');
INSERT INTO `lang_definitions` VALUES (159739, 11297, 29, 'Лише без рахунків');
INSERT INTO `lang_definitions` VALUES (159740, 11300, 29, 'під язик');
INSERT INTO `lang_definitions` VALUES (159741, 11303, 29, 'Схуднення');
INSERT INTO `lang_definitions` VALUES (159742, 11304, 29, 'Недіагностованою');
INSERT INTO `lang_definitions` VALUES (159743, 11305, 29, 'Нерозподілене');
INSERT INTO `lang_definitions` VALUES (159744, 11306, 29, 'НЕРОЗПОДІЛЕНЕ');
INSERT INTO `lang_definitions` VALUES (159745, 11307, 29, 'Невиплачених є');
INSERT INTO `lang_definitions` VALUES (159746, 11309, 29, 'Нерозподілене є');
INSERT INTO `lang_definitions` VALUES (159747, 11311, 29, 'Унікальні клієнти');
INSERT INTO `lang_definitions` VALUES (159748, 11312, 29, 'Унікальний ідентифікатор для цього типу, придатний для читаєтння людиною');
INSERT INTO `lang_definitions` VALUES (159749, 11315, 29, 'Унікальні нові клієнти');
INSERT INTO `lang_definitions` VALUES (159750, 11316, 29, 'Унікальний числовий ідентифікатор для цього типу');
INSERT INTO `lang_definitions` VALUES (159751, 11317, 29, 'Індивідуальний огляд пацієнта');
INSERT INTO `lang_definitions` VALUES (159752, 11318, 29, 'Звіт про індивідуальний огляд пацієнта');
INSERT INTO `lang_definitions` VALUES (159753, 11319, 29, 'Індивідуальна периферична сатурація');
INSERT INTO `lang_definitions` VALUES (159754, 11320, 29, 'Одиниця виміру');
INSERT INTO `lang_definitions` VALUES (159755, 11321, 29, 'Одиниці виміру');
INSERT INTO `lang_definitions` VALUES (159756, 11322, 29, 'од. вим.');
INSERT INTO `lang_definitions` VALUES (159757, 11323, 29, 'Одиниці можна застосувати до значення результату');
INSERT INTO `lang_definitions` VALUES (159758, 11324, 29, 'Одиниці виміру для форм відвідування');
INSERT INTO `lang_definitions` VALUES (159759, 11325, 29, 'Одиниці виміру повинні бути числом');
INSERT INTO `lang_definitions` VALUES (159760, 11326, 29, 'Одиниці виміру не визначені');
INSERT INTO `lang_definitions` VALUES (159761, 11327, 29, 'Одиниця виміру / Л');
INSERT INTO `lang_definitions` VALUES (159762, 11328, 29, 'Невідомий');
INSERT INTO `lang_definitions` VALUES (159763, 11331, 29, 'Невідомо, навіть якщо палить');
INSERT INTO `lang_definitions` VALUES (159764, 11332, 29, 'Невідомо чи N/A');
INSERT INTO `lang_definitions` VALUES (159765, 11335, 29, 'Невідомий id користувача:');
INSERT INTO `lang_definitions` VALUES (159766, 11344, 29, 'від\'єднати пацієнта');
INSERT INTO `lang_definitions` VALUES (159767, 11345, 29, 'Неназвана страхова компанія');
INSERT INTO `lang_definitions` VALUES (159768, 11346, 29, 'Незареєстровані');
INSERT INTO `lang_definitions` VALUES (159769, 11349, 29, 'Зняти всі виділення');
INSERT INTO `lang_definitions` VALUES (159770, 11350, 29, 'Не вибраний');
INSERT INTO `lang_definitions` VALUES (159771, 11351, 29, 'Незазначені');
INSERT INTO `lang_definitions` VALUES (159772, 11352, 29, 'неструктуроване');
INSERT INTO `lang_definitions` VALUES (159773, 11354, 29, 'НЕПІДТРИМУВАНИЙ файл завантаження бази даних');
INSERT INTO `lang_definitions` VALUES (159774, 11356, 29, 'до');
INSERT INTO `lang_definitions` VALUES (159775, 11359, 29, 'Невчасний запис');
INSERT INTO `lang_definitions` VALUES (159776, 11360, 29, 'Невикористовуване');
INSERT INTO `lang_definitions` VALUES (159777, 11361, 29, 'Вимога термінового втручання');
INSERT INTO `lang_definitions` VALUES (159778, 11362, 29, 'Включаючи до');
INSERT INTO `lang_definitions` VALUES (159779, 11364, 29, 'Найближчий запис на прийом');
INSERT INTO `lang_definitions` VALUES (159780, 11365, 29, 'Майбутні події');
INSERT INTO `lang_definitions` VALUES (159781, 11366, 29, 'Оновити');
INSERT INTO `lang_definitions` VALUES (159782, 11367, 29, 'оновити');
INSERT INTO `lang_definitions` VALUES (159783, 11368, 29, 'Оновлення активне');
INSERT INTO `lang_definitions` VALUES (159784, 11371, 29, 'Оновити файли');
INSERT INTO `lang_definitions` VALUES (159785, 11372, 29, 'Оновити інф.');
INSERT INTO `lang_definitions` VALUES (159786, 11374, 29, 'Оновити список');
INSERT INTO `lang_definitions` VALUES (159787, 11377, 29, 'Оновити номер спеціаліста');
INSERT INTO `lang_definitions` VALUES (159788, 11378, 29, 'Оновити вибрані об\'єкти');
INSERT INTO `lang_definitions` VALUES (159789, 11383, 29, 'Оновлює наступні змінні у файлі');
INSERT INTO `lang_definitions` VALUES (159790, 11384, 29, 'Оновлює інформацію про користувача');
INSERT INTO `lang_definitions` VALUES (159791, 11390, 29, 'Оновлення персональних даних не дозволено.');
INSERT INTO `lang_definitions` VALUES (159792, 11391, 29, 'Оновлення загальних параметрів налаштування по-замовчуванню');
INSERT INTO `lang_definitions` VALUES (159793, 11392, 29, 'Оновлення номеру версії');
INSERT INTO `lang_definitions` VALUES (159794, 11393, 29, 'МОДЕРНІЗАЦІЯ');
INSERT INTO `lang_definitions` VALUES (159795, 11394, 29, 'Модернізація');
INSERT INTO `lang_definitions` VALUES (159796, 11396, 29, 'Модернізація бази даних');
INSERT INTO `lang_definitions` VALUES (159797, 11398, 29, 'Модернізує базу даних OpenEMR для включення методик, функцій і таблиць, необхідних для процесу де-ідентифікації');
INSERT INTO `lang_definitions` VALUES (159798, 11399, 29, 'Модернізація буде продовжена');
INSERT INTO `lang_definitions` VALUES (159799, 11400, 29, 'Унікальний лікарський ідентифікаційний номер (UPIN)');
INSERT INTO `lang_definitions` VALUES (159800, 11401, 29, 'Вивантажити');
INSERT INTO `lang_definitions` VALUES (159801, 11406, 29, 'Вивантажити конфігураційні дані');
INSERT INTO `lang_definitions` VALUES (159802, 11407, 29, 'Вивантажити документ');
INSERT INTO `lang_definitions` VALUES (159803, 11408, 29, 'Збій вивантаження!');
INSERT INTO `lang_definitions` VALUES (159804, 11410, 29, 'Вивантажити зображення у');
INSERT INTO `lang_definitions` VALUES (159805, 11411, 29, 'Вивантажити файл імпорту:');
INSERT INTO `lang_definitions` VALUES (159806, 11414, 29, 'Вивантажено успішно');
INSERT INTO `lang_definitions` VALUES (159807, 11415, 29, 'Вивантажити звіт');
INSERT INTO `lang_definitions` VALUES (159808, 11418, 29, 'Вивантажити цей файл:');
INSERT INTO `lang_definitions` VALUES (159809, 11421, 29, 'Після кліку на номері рахунку з\'являється \"вікно ручної реєстрації\". Тут Ви можете змінити дату оплати та нотатки по рахунку, вибрати учасника, для кого реєструєте і, страховку, для якої повинні бути отримані всі можливі платежі. Особливо важливо те, що для кожного коду рахунку, для якого була змінена сума, можна ввести платіж та інформацію щодо коригування.');
INSERT INTO `lang_definitions` VALUES (159810, 11426, 29, 'При пошуку ви побачите список рахунків. Можете клікнути на одному з номерів рахунків для відкриття другого вікна, яке є сторінкою введення даних для ручної реєстрації. Також можете клікнути на ім\'я пацієнта, якщо потрібно ввести запис, який при реєстрації пацієнта побачать співробітники реєстратури, і ви зможете вибрати запрошення появи рахунків для заявок по пацієнту та їх друк.');
INSERT INTO `lang_definitions` VALUES (159811, 11429, 29, 'Верхня кінцівка');
INSERT INTO `lang_definitions` VALUES (159812, 11432, 29, 'Імперативні позиви');
INSERT INTO `lang_definitions` VALUES (159813, 11436, 29, 'Сеча');
INSERT INTO `lang_definitions` VALUES (159814, 11437, 29, 'Підтікання сечі');
INSERT INTO `lang_definitions` VALUES (159815, 11438, 29, 'прискорене сечовипускання');
INSERT INTO `lang_definitions` VALUES (159816, 11439, 29, 'Ослаблений напір струменя сечі');
INSERT INTO `lang_definitions` VALUES (159817, 11440, 29, 'мікроальбумін сечі');
INSERT INTO `lang_definitions` VALUES (159818, 11441, 29, 'Потік сечі');
INSERT INTO `lang_definitions` VALUES (159819, 11442, 29, 'Невідкладність позиву на сечовипускання');
INSERT INTO `lang_definitions` VALUES (159820, 11443, 29, 'URL');
INSERT INTO `lang_definitions` VALUES (159821, 11445, 29, 'URL для підтримки OpenEMR.');
INSERT INTO `lang_definitions` VALUES (159822, 11447, 29, 'URL для телефонного шлюзу. Автоматизована служба VOIP надана через Maviq. Відвідайте http://signup.maviq.com для отримання додаткової інформації.');
INSERT INTO `lang_definitions` VALUES (159823, 11451, 29, 'Використання');
INSERT INTO `lang_definitions` VALUES (159824, 11453, 29, 'Індикатор використання (ISA15)');
INSERT INTO `lang_definitions` VALUES (159825, 11456, 29, 'Використовуйте лише % в полі, щоб сортувати по цьому стовпці');
INSERT INTO `lang_definitions` VALUES (159826, 11457, 29, 'Використовувати 24-годинний формат часу?');
INSERT INTO `lang_definitions` VALUES (159827, 11465, 29, 'Використовуйте сертифіковані технології EHR для виявлення освітніх ресурсів конкретному пацієнту і, якщо це необхідно, надання їх пацієнтові.');
INSERT INTO `lang_definitions` VALUES (159828, 11466, 29, 'Використання панелі платежу');
INSERT INTO `lang_definitions` VALUES (159829, 11467, 29, 'Використовуйте CPOE для лікарських призначень, зроблених безпосередньо будь-яким дипломованим фахівцем, який може робити призначення в медичній карті згідно державних, місцевих та професійних керівних принципів.');
INSERT INTO `lang_definitions` VALUES (159830, 11474, 29, 'Використовувати користувацький список вакцинації');
INSERT INTO `lang_definitions` VALUES (159831, 11476, 29, 'Використовувати діапазон дат');
INSERT INTO `lang_definitions` VALUES (159832, 11477, 29, 'Використовувати за замовчуванням');
INSERT INTO `lang_definitions` VALUES (159833, 11478, 29, 'Використовуйте опцію Видалити для видалення.');
INSERT INTO `lang_definitions` VALUES (159834, 11479, 29, 'Використовувати міжнародний стиль дат?');
INSERT INTO `lang_definitions` VALUES (159835, 11483, 29, 'Використовуйте ім\'я вихідного файлу');
INSERT INTO `lang_definitions` VALUES (159836, 11486, 29, 'Використовуйте поля нижче для отримання або передачі.');
INSERT INTO `lang_definitions` VALUES (159837, 11490, 29, 'Використовуйте цю можливість тільки для наново встановлених сайтів,');
INSERT INTO `lang_definitions` VALUES (159838, 11493, 29, 'Використовувати розділи?');
INSERT INTO `lang_definitions` VALUES (159839, 11496, 29, 'Користувач');
INSERT INTO `lang_definitions` VALUES (159840, 11498, 29, 'Користувач / групи');
INSERT INTO `lang_definitions` VALUES (159841, 11499, 29, 'управління користувачем');
INSERT INTO `lang_definitions` VALUES (159842, 11500, 29, 'Управління користувачем і медичним закладом');
INSERT INTO `lang_definitions` VALUES (159843, 11501, 29, 'Управління користувачем і групою');
INSERT INTO `lang_definitions` VALUES (159844, 11503, 29, 'Перевірка сертифіката користувача відключена');
INSERT INTO `lang_definitions` VALUES (159845, 11507, 29, 'Визначено користувачем');
INSERT INTO `lang_definitions` VALUES (159846, 11508, 29, 'Область 11, визначена користувачем');
INSERT INTO `lang_definitions` VALUES (159847, 11509, 29, 'Область 12, визначена користувачем');
INSERT INTO `lang_definitions` VALUES (159848, 11510, 29, 'Поле, визначене користувачем');
INSERT INTO `lang_definitions` VALUES (159849, 11511, 29, 'Список 1, визначений користувачем');
INSERT INTO `lang_definitions` VALUES (159850, 11512, 29, 'Список 2, визначений користувачем');
INSERT INTO `lang_definitions` VALUES (159851, 11513, 29, 'Список 3, визначений користувачем');
INSERT INTO `lang_definitions` VALUES (159852, 11514, 29, 'Список 4, визначений користувачем');
INSERT INTO `lang_definitions` VALUES (159853, 11515, 29, 'Список 5, визначений користувачем');
INSERT INTO `lang_definitions` VALUES (159854, 11516, 29, 'Список 6, визначений користувачем');
INSERT INTO `lang_definitions` VALUES (159855, 11517, 29, 'Список 7, визначений користувачем');
INSERT INTO `lang_definitions` VALUES (159856, 11518, 29, 'Текст 1, визначений користувачем');
INSERT INTO `lang_definitions` VALUES (159857, 11519, 29, 'Текст 2, визначений користувачем');
INSERT INTO `lang_definitions` VALUES (159858, 11520, 29, 'Текст 3, визначений користувачем');
INSERT INTO `lang_definitions` VALUES (159859, 11521, 29, 'Текст 4, визначений користувачем');
INSERT INTO `lang_definitions` VALUES (159860, 11522, 29, 'Текст 5, визначений користувачем');
INSERT INTO `lang_definitions` VALUES (159861, 11523, 29, 'Текст 6, визначений користувачем');
INSERT INTO `lang_definitions` VALUES (159862, 11524, 29, 'Текст 7, визначений користувачем');
INSERT INTO `lang_definitions` VALUES (159863, 11525, 29, 'Текст 8, визначений користувачем');
INSERT INTO `lang_definitions` VALUES (159864, 11526, 29, 'Ім\'я користувача');
INSERT INTO `lang_definitions` VALUES (159865, 11530, 29, 'Вхід користувача (якщо 03 вище, інакше залинити пробіл) (ISA02)');
INSERT INTO `lang_definitions` VALUES (159866, 11531, 29, 'Обов\'язковий вказівник входу користувача (ISA01~ використовувати 00 чи 03)');
INSERT INTO `lang_definitions` VALUES (159867, 11532, 29, 'Керівництво користувача');
INSERT INTO `lang_definitions` VALUES (159868, 11533, 29, 'Групи користувачів');
INSERT INTO `lang_definitions` VALUES (159869, 11534, 29, 'Ім\'я користувача (логін)');
INSERT INTO `lang_definitions` VALUES (159870, 11536, 29, 'Ім\'я користувача або хоста не може бути порожнім');
INSERT INTO `lang_definitions` VALUES (159871, 11537, 29, 'Ім\'я користувача або хоста');
INSERT INTO `lang_definitions` VALUES (159872, 11539, 29, 'Пароль користувача (ISA04~ якщо 01 вище, інакше залинити пробіл)');
INSERT INTO `lang_definitions` VALUES (159873, 11540, 29, 'Обов\'язковий вказівник паролю користувача (ISA03~ використовувати 00 чи 01)');
INSERT INTO `lang_definitions` VALUES (159874, 11541, 29, 'Налаштування користувача');
INSERT INTO `lang_definitions` VALUES (159875, 11543, 29, 'Особливі налаштування користувача');
INSERT INTO `lang_definitions` VALUES (159876, 11544, 29, 'Новий пароль користувачів');
INSERT INTO `lang_definitions` VALUES (159877, 11553, 29, 'Ім\'я користувача (логін)');
INSERT INTO `lang_definitions` VALUES (159878, 11555, 29, 'Ім\'я користувача (логін) для телефонного шлюзу. Автоматизована служба VOIP надана через Maviq. Відвідайте http://signup.maviq.com для отримання додаткової інформації.');
INSERT INTO `lang_definitions` VALUES (159879, 11556, 29, 'Ім\'я користувача для шлюзу SMS');
INSERT INTO `lang_definitions` VALUES (159880, 11557, 29, 'Ім\'я користувача для шлюзу SMS.');
INSERT INTO `lang_definitions` VALUES (159881, 11558, 29, 'Ім\'я користувача для підключення до CouchDB');
INSERT INTO `lang_definitions` VALUES (159882, 11559, 29, 'Ім\'я користувача (логін):');
INSERT INTO `lang_definitions` VALUES (159883, 11560, 29, 'Користувачі');
INSERT INTO `lang_definitions` VALUES (159884, 11564, 29, 'Управління користувачами / групами / реєстрацією');
INSERT INTO `lang_definitions` VALUES (159885, 11574, 29, 'використовуйте формат php <a href=\"http://php.net/strftime\"> strftime </a>');
INSERT INTO `lang_definitions` VALUES (159886, 11583, 29, 'ІМП');
INSERT INTO `lang_definitions` VALUES (159887, 11588, 29, 'ВІДПУСТКА');
INSERT INTO `lang_definitions` VALUES (159888, 11589, 29, 'Відпустка');
INSERT INTO `lang_definitions` VALUES (159889, 11590, 29, 'Вакцина');
INSERT INTO `lang_definitions` VALUES (159890, 11593, 29, 'Контрацептивна вагінальне кільце');
INSERT INTO `lang_definitions` VALUES (159891, 11594, 29, 'Прощальне слово');
INSERT INTO `lang_definitions` VALUES (159892, 11596, 29, 'допустимий');
INSERT INTO `lang_definitions` VALUES (159893, 11609, 29, 'Значення');
INSERT INTO `lang_definitions` VALUES (159894, 11610, 29, 'Значення 1');
INSERT INTO `lang_definitions` VALUES (159895, 11611, 29, 'Значення 2');
INSERT INTO `lang_definitions` VALUES (159896, 11613, 29, 'Значення має бути цифровим');
INSERT INTO `lang_definitions` VALUES (159897, 11614, 29, 'Змінна 1');
INSERT INTO `lang_definitions` VALUES (159898, 11615, 29, 'Змінна 2');
INSERT INTO `lang_definitions` VALUES (159899, 11616, 29, 'єдина змінна для запуску скрипта модернізації деідентіфікаціі');
INSERT INTO `lang_definitions` VALUES (159900, 11619, 29, 'Вітряна віспа 1');
INSERT INTO `lang_definitions` VALUES (159901, 11620, 29, 'Вітряна віспа 2');
INSERT INTO `lang_definitions` VALUES (159902, 11621, 29, 'Варикозно розширені вени');
INSERT INTO `lang_definitions` VALUES (159903, 11623, 29, 'Стан судин');
INSERT INTO `lang_definitions` VALUES (159904, 11624, 29, 'Пошкодження судин');
INSERT INTO `lang_definitions` VALUES (159905, 11625, 29, 'Ангіохірург');
INSERT INTO `lang_definitions` VALUES (159906, 11630, 29, 'Виробник');
INSERT INTO `lang_definitions` VALUES (159907, 11634, 29, 'Версія');
INSERT INTO `lang_definitions` VALUES (159908, 11653, 29, 'Запаморочення');
INSERT INTO `lang_definitions` VALUES (159909, 11656, 29, 'Адміністрація ветеранів');
INSERT INTO `lang_definitions` VALUES (159910, 11657, 29, 'Урядова програма для ветеранів');
INSERT INTO `lang_definitions` VALUES (159911, 11659, 29, 'Дитяча вакцина (VFC)');
INSERT INTO `lang_definitions` VALUES (159912, 11666, 29, 'В\'єтнамська');
INSERT INTO `lang_definitions` VALUES (159913, 11667, 29, 'Вид');
INSERT INTO `lang_definitions` VALUES (159914, 11668, 29, 'вид');
INSERT INTO `lang_definitions` VALUES (159915, 11670, 29, 'Перегляд алергії');
INSERT INTO `lang_definitions` VALUES (159916, 11671, 29, 'Перегляд x12-835 ERA файлу');
INSERT INTO `lang_definitions` VALUES (159917, 11672, 29, 'Перегляд тексту пакетної вимоги x12');
INSERT INTO `lang_definitions` VALUES (159918, 11676, 29, 'Перегляд короткого звіту по пацієнту');
INSERT INTO `lang_definitions` VALUES (159919, 11677, 29, 'Перегляд CSV таблиць');
INSERT INTO `lang_definitions` VALUES (159920, 11679, 29, 'Перегляд документа');
INSERT INTO `lang_definitions` VALUES (159921, 11681, 29, 'Перегляд звернення');
INSERT INTO `lang_definitions` VALUES (159922, 11682, 29, 'Перегляд тексту ERA x12');
INSERT INTO `lang_definitions` VALUES (159923, 11683, 29, 'Переглянути події у спливаючому вікні?');
INSERT INTO `lang_definitions` VALUES (159924, 11684, 29, 'Переглянути інформацію користувача специфічну до медзакладу');
INSERT INTO `lang_definitions` VALUES (159925, 11686, 29, 'Перегляд локального x12 файлу');
INSERT INTO `lang_definitions` VALUES (159926, 11687, 29, 'Перегляд журналу');
INSERT INTO `lang_definitions` VALUES (159927, 11690, 29, 'Переглянути сторінку 1');
INSERT INTO `lang_definitions` VALUES (159928, 11691, 29, 'Переглянути сторінку 2');
INSERT INTO `lang_definitions` VALUES (159929, 11692, 29, 'Перегляд минулі і майбутні нагадування');
INSERT INTO `lang_definitions` VALUES (159930, 11695, 29, 'Перегляд пацієнта');
INSERT INTO `lang_definitions` VALUES (159931, 11700, 29, 'Перегляд пов\'язаних звернень');
INSERT INTO `lang_definitions` VALUES (159932, 11701, 29, 'Перегляд звіту');
INSERT INTO `lang_definitions` VALUES (159933, 11702, 29, 'Перегляд файлу README');
INSERT INTO `lang_definitions` VALUES (159934, 11712, 29, 'Перегляд/редагування алергій');
INSERT INTO `lang_definitions` VALUES (159935, 11713, 29, 'Перегляд/редагування проблеми');
INSERT INTO `lang_definitions` VALUES (159936, 11714, 29, 'Перегляд/Друк');
INSERT INTO `lang_definitions` VALUES (159937, 11717, 29, 'Переглянути:');
INSERT INTO `lang_definitions` VALUES (159938, 11718, 29, 'VISA');
INSERT INTO `lang_definitions` VALUES (159939, 11719, 29, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (159940, 11721, 29, 'Пошкодження внутрішніх органів / травма / оперативне втручання');
INSERT INTO `lang_definitions` VALUES (159941, 11728, 29, 'Категорія відвідування:');
INSERT INTO `lang_definitions` VALUES (159942, 11729, 29, 'Дата відвідування');
INSERT INTO `lang_definitions` VALUES (159943, 11730, 29, 'дата відвідування');
INSERT INTO `lang_definitions` VALUES (159944, 11734, 29, 'Форма відвідування');
INSERT INTO `lang_definitions` VALUES (159945, 11736, 29, 'Хронологія відвідувань');
INSERT INTO `lang_definitions` VALUES (159946, 11745, 29, 'Відвідування');
INSERT INTO `lang_definitions` VALUES (159947, 11746, 29, 'Форми відвідувань');
INSERT INTO `lang_definitions` VALUES (159948, 11751, 29, 'Позначення життєво важливих показників');
INSERT INTO `lang_definitions` VALUES (159949, 11752, 29, 'Життєво важливі показники');
INSERT INTO `lang_definitions` VALUES (159950, 11753, 29, 'Життєво важливі показники (метричні)');
INSERT INTO `lang_definitions` VALUES (159951, 11754, 29, 'Налаштування для життєво важливих показників');
INSERT INTO `lang_definitions` VALUES (159952, 11756, 29, 'Голосове');
INSERT INTO `lang_definitions` VALUES (159953, 11758, 29, 'Телефонограма');
INSERT INTO `lang_definitions` VALUES (159954, 11763, 29, 'Блювота');
INSERT INTO `lang_definitions` VALUES (159955, 11767, 29, 'W');
INSERT INTO `lang_definitions` VALUES (159956, 11770, 29, 'Окр. талії');
INSERT INTO `lang_definitions` VALUES (159957, 11771, 29, 'Окружність талії');
INSERT INTO `lang_definitions` VALUES (159958, 11772, 29, 'Очікування');
INSERT INTO `lang_definitions` VALUES (159959, 11773, 29, 'Без попереднього запису');
INSERT INTO `lang_definitions` VALUES (159960, 11776, 29, 'Уолт Пеннінгтон');
INSERT INTO `lang_definitions` VALUES (159961, 11778, 29, 'Склад');
INSERT INTO `lang_definitions` VALUES (159962, 11780, 29, 'Складський максимум, 0, якщо не застосовується');
INSERT INTO `lang_definitions` VALUES (159963, 11781, 29, 'Складський мінімум, 0, якщо не застосовується');
INSERT INTO `lang_definitions` VALUES (159964, 11782, 29, 'Склади');
INSERT INTO `lang_definitions` VALUES (159965, 11783, 29, 'Жар');
INSERT INTO `lang_definitions` VALUES (159966, 11786, 29, 'Попередження');
INSERT INTO `lang_definitions` VALUES (159967, 11787, 29, 'ПОПЕРЕДЖЕННЯ');
INSERT INTO `lang_definitions` VALUES (159968, 11789, 29, 'Попередження, реєстраційний номер вже є в базі даних');
INSERT INTO `lang_definitions` VALUES (159969, 11790, 29, 'Попередження, пацієнт має неоднозначні коди в списку проблем!');
INSERT INTO `lang_definitions` VALUES (159970, 11791, 29, 'Попередження: відвідування для цього пацієнта вже створено!');
INSERT INTO `lang_definitions` VALUES (159971, 11794, 29, 'УВАГА: Якщо ви використовуєте іспанську версію від 2012-10-31, то зверніть увагу - необхідно розпакувати його один раз перед установкою в SNOMED (це тому, що файл в релізі був \"двічі заархівований \").');
INSERT INTO `lang_definitions` VALUES (159972, 11796, 29, 'Попередження: ID пацієнта не унікальний!');
INSERT INTO `lang_definitions` VALUES (159973, 11799, 29, 'ПОПЕРЕДЖЕННЯ: конфігураційна інформація буде переписана з дати цього завантаженого файлу!');
INSERT INTO `lang_definitions` VALUES (159974, 11801, 29, 'Попередження');
INSERT INTO `lang_definitions` VALUES (159975, 11803, 29, 'вже завантажений');
INSERT INTO `lang_definitions` VALUES (159976, 11804, 29, 'не було знайдено');
INSERT INTO `lang_definitions` VALUES (159977, 11805, 29, 'Ми високо цінуємо своєчасну виплату заборгованостей');
INSERT INTO `lang_definitions` VALUES (159978, 11809, 29, 'ми подбали про зазначеного пацієнта, провівши амбулаторно обстеження і лікування в нашій клініці психіатрії. Дякуємо за цей направлення.');
INSERT INTO `lang_definitions` VALUES (159979, 11821, 29, 'Слабкість');
INSERT INTO `lang_definitions` VALUES (159980, 11826, 29, 'Пошук в інтернеті');
INSERT INTO `lang_definitions` VALUES (159981, 11827, 29, 'Веб-сайт');
INSERT INTO `lang_definitions` VALUES (159982, 11828, 29, 'Посилання на веб-сайт для внутрішнього порталу пацієнтів.');
INSERT INTO `lang_definitions` VALUES (159983, 11832, 29, 'Сер.');
INSERT INTO `lang_definitions` VALUES (159984, 11833, 29, 'Середа');
INSERT INTO `lang_definitions` VALUES (159985, 11834, 29, 'Тиждень');
INSERT INTO `lang_definitions` VALUES (159986, 11835, 29, 'тиждень');
INSERT INTO `lang_definitions` VALUES (159987, 11836, 29, 'Огляд за тиждень');
INSERT INTO `lang_definitions` VALUES (159988, 11837, 29, 'Тиждень(ні)');
INSERT INTO `lang_definitions` VALUES (159989, 11838, 29, 'Щотижневе подання');
INSERT INTO `lang_definitions` VALUES (159990, 11839, 29, 'тижні');
INSERT INTO `lang_definitions` VALUES (159991, 11840, 29, 'Тижні');
INSERT INTO `lang_definitions` VALUES (159992, 11841, 29, 'Вага');
INSERT INTO `lang_definitions` VALUES (159993, 11842, 29, 'Оцінка ваги та рекомендації для дітей і підлітків');
INSERT INTO `lang_definitions` VALUES (159994, 11843, 29, 'Оцінка ваги та рекомендації для дітей і підлітків (CQM)');
INSERT INTO `lang_definitions` VALUES (159995, 11844, 29, 'Зміна ваги');
INSERT INTO `lang_definitions` VALUES (159996, 11845, 29, 'Втрата ваги');
INSERT INTO `lang_definitions` VALUES (159997, 11846, 29, 'Клініка схуднення');
INSERT INTO `lang_definitions` VALUES (159998, 11847, 29, 'Ласкаво просимо');
INSERT INTO `lang_definitions` VALUES (159999, 11862, 29, 'Що має бути підраховано?');
INSERT INTO `lang_definitions` VALUES (160000, 11864, 29, 'Стридорозне дихання:');
INSERT INTO `lang_definitions` VALUES (160001, 11865, 29, 'Хрипи');
INSERT INTO `lang_definitions` VALUES (160002, 11866, 29, 'Хрипи:');
INSERT INTO `lang_definitions` VALUES (160003, 11882, 29, 'Де можна знайти пов\'язані скановані або паперові документи?');
INSERT INTO `lang_definitions` VALUES (160004, 11884, 29, 'Якщо застраховано');
INSERT INTO `lang_definitions` VALUES (160005, 11890, 29, 'Хлистова травма');
INSERT INTO `lang_definitions` VALUES (160006, 11891, 29, 'Білий');
INSERT INTO `lang_definitions` VALUES (160007, 11894, 29, 'Хто');
INSERT INTO `lang_definitions` VALUES (160008, 11895, 29, 'Хто відповідає?');
INSERT INTO `lang_definitions` VALUES (160009, 11897, 29, 'Овдовіла(ий)');
INSERT INTO `lang_definitions` VALUES (160010, 11898, 29, 'Ширина');
INSERT INTO `lang_definitions` VALUES (160011, 11900, 29, 'Ширина в пікселях для меню навігації зліва.');
INSERT INTO `lang_definitions` VALUES (160012, 11907, 29, 'З вибраним:');
INSERT INTO `lang_definitions` VALUES (160013, 11908, 29, 'з старою назвою');
INSERT INTO `lang_definitions` VALUES (160014, 11911, 29, 'З ким можна залишити повідомлення?');
INSERT INTO `lang_definitions` VALUES (160015, 11912, 29, 'Відкласти');
INSERT INTO `lang_definitions` VALUES (160016, 11913, 29, 'протягом годин');
INSERT INTO `lang_definitions` VALUES (160017, 11914, 29, 'протягом годин:');
INSERT INTO `lang_definitions` VALUES (160018, 11915, 29, 'протягом хвилин');
INSERT INTO `lang_definitions` VALUES (160019, 11916, 29, 'протягом хвилин:');
INSERT INTO `lang_definitions` VALUES (160020, 11917, 29, 'Без медичного закладу');
INSERT INTO `lang_definitions` VALUES (160021, 11918, 29, 'Без спеціаліста');
INSERT INTO `lang_definitions` VALUES (160022, 11919, 29, 'Без поновлення');
INSERT INTO `lang_definitions` VALUES (160023, 11920, 29, 'Інспектор');
INSERT INTO `lang_definitions` VALUES (160024, 11921, 29, 'тиж.');
INSERT INTO `lang_definitions` VALUES (160025, 11922, 29, 'У межах норми');
INSERT INTO `lang_definitions` VALUES (160026, 11924, 29, 'Жінка');
INSERT INTO `lang_definitions` VALUES (160027, 11925, 29, 'Тільки жінок');
INSERT INTO `lang_definitions` VALUES (160028, 11927, 29, 'Робота');
INSERT INTO `lang_definitions` VALUES (160029, 11928, 29, 'РОБОЧИЙ ЗАПИС');
INSERT INTO `lang_definitions` VALUES (160030, 11929, 29, 'Робочий телефон');
INSERT INTO `lang_definitions` VALUES (160031, 11930, 29, 'Номер робочого телефону');
INSERT INTO `lang_definitions` VALUES (160032, 11931, 29, 'Пов\'язано з роботою?');
INSERT INTO `lang_definitions` VALUES (160033, 11932, 29, 'Робота / освіта / хобі');
INSERT INTO `lang_definitions` VALUES (160034, 11933, 29, 'Робочий / шкільний запис');
INSERT INTO `lang_definitions` VALUES (160035, 11934, 29, 'робочий день');
INSERT INTO `lang_definitions` VALUES (160036, 11935, 29, 'Компенсація працівників');
INSERT INTO `lang_definitions` VALUES (160037, 11936, 29, 'Програма Охорони Здоров\'я працівників');
INSERT INTO `lang_definitions` VALUES (160038, 11937, 29, 'Спадкоємці працездатного віку або чоловік чи дружина з планом групи здоров\'я роботодавців');
INSERT INTO `lang_definitions` VALUES (160039, 11940, 29, 'Працюю...це може зайняти час.');
INSERT INTO `lang_definitions` VALUES (160040, 11941, 29, 'Найгірший');
INSERT INTO `lang_definitions` VALUES (160041, 11942, 29, 'Хочете використовувати решту суми в загальному рахунку?');
INSERT INTO `lang_definitions` VALUES (160042, 11943, 29, 'Хочете маркувати їх як очищені?');
INSERT INTO `lang_definitions` VALUES (160043, 11944, 29, 'Хочете внести?');
INSERT INTO `lang_definitions` VALUES (160044, 11945, 29, 'Хочете скасувати подання для цього пацієнта?');
INSERT INTO `lang_definitions` VALUES (160045, 11946, 29, 'Хочете видалити надання оплати?');
INSERT INTO `lang_definitions` VALUES (160046, 11947, 29, 'Хочете видалити платежі?');
INSERT INTO `lang_definitions` VALUES (160047, 11948, 29, 'Хочете змінити або завершити платіж?');
INSERT INTO `lang_definitions` VALUES (160048, 11949, 29, 'Хочете змінити платіж?');
INSERT INTO `lang_definitions` VALUES (160049, 11950, 29, 'Хочете відправити і завершити платіж?');
INSERT INTO `lang_definitions` VALUES (160050, 11951, 29, 'Хочете відправити платіж?');
INSERT INTO `lang_definitions` VALUES (160051, 11952, 29, 'Хочете зберегти?');
INSERT INTO `lang_definitions` VALUES (160052, 11953, 29, 'Зап\'ястя');
INSERT INTO `lang_definitions` VALUES (160053, 11954, 29, 'Зап\'ястя і рука');
INSERT INTO `lang_definitions` VALUES (160054, 11955, 29, 'Проблеми зап\'ястя');
INSERT INTO `lang_definitions` VALUES (160055, 11956, 29, 'записувати');
INSERT INTO `lang_definitions` VALUES (160056, 11958, 29, 'без запису');
INSERT INTO `lang_definitions` VALUES (160057, 11960, 29, 'записувати частково');
INSERT INTO `lang_definitions` VALUES (160058, 11963, 29, 'WT');
INSERT INTO `lang_definitions` VALUES (160059, 11966, 29, 'Скасоване x');
INSERT INTO `lang_definitions` VALUES (160060, 11967, 29, 'Скасоване x');
INSERT INTO `lang_definitions` VALUES (160061, 11969, 29, 'Рентген. дослідження');
INSERT INTO `lang_definitions` VALUES (160062, 11970, 29, 'Інтерпретація РЕНГЕНІВСЬКОГО дослідження:');
INSERT INTO `lang_definitions` VALUES (160063, 11971, 29, 'Інтерпретація ренг. дослідження:');
INSERT INTO `lang_definitions` VALUES (160064, 11975, 29, 'Тільки X12: вимога заміни');
INSERT INTO `lang_definitions` VALUES (160065, 11978, 29, 'Партнер X12');
INSERT INTO `lang_definitions` VALUES (160066, 11979, 29, 'Партнери X12');
INSERT INTO `lang_definitions` VALUES (160067, 11981, 29, 'Текст X12');
INSERT INTO `lang_definitions` VALUES (160068, 11987, 29, 'р.');
INSERT INTO `lang_definitions` VALUES (160069, 11988, 29, 'рік');
INSERT INTO `lang_definitions` VALUES (160070, 11989, 29, 'Рік');
INSERT INTO `lang_definitions` VALUES (160071, 11990, 29, 'Огляд за рік');
INSERT INTO `lang_definitions` VALUES (160072, 11991, 29, 'Рік(роки)');
INSERT INTO `lang_definitions` VALUES (160073, 11992, 29, 'Роки');
INSERT INTO `lang_definitions` VALUES (160074, 11994, 29, 'Роки чи місяці');
INSERT INTO `lang_definitions` VALUES (160075, 11995, 29, 'Роки, місяці і дні');
INSERT INTO `lang_definitions` VALUES (160076, 11996, 29, 'Так');
INSERT INTO `lang_definitions` VALUES (160077, 11997, 29, 'ТАК');
INSERT INTO `lang_definitions` VALUES (160078, 11998, 29, 'так');
INSERT INTO `lang_definitions` VALUES (160079, 11999, 29, 'ТАК!');
INSERT INTO `lang_definitions` VALUES (160080, 12000, 29, 'Так, Видалити і зареєструвати');
INSERT INTO `lang_definitions` VALUES (160081, 12002, 29, 'Так/Ні');
INSERT INTO `lang_definitions` VALUES (160082, 12003, 29, 'Так:');
INSERT INTO `lang_definitions` VALUES (160083, 12004, 29, 'Ідиш');
INSERT INTO `lang_definitions` VALUES (160084, 12008, 29, 'Робиться спроба назавжди замінити існуючий шаблон. Упевнені, що потрібно продовжити?');
INSERT INTO `lang_definitions` VALUES (160085, 12011, 29, 'Дія пароля для входу в систему зберігає. Змініть пароль до');
INSERT INTO `lang_definitions` VALUES (160086, 12012, 29, 'У вас немає права на видалення цієї події');
INSERT INTO `lang_definitions` VALUES (160087, 12013, 29, 'У вас немає права на зміну цієї події');
INSERT INTO `lang_definitions` VALUES (160088, 12014, 29, 'Це вам не дозволено.');
INSERT INTO `lang_definitions` VALUES (160089, 12016, 29, 'Доступ до цієї групи вам не дозволено.');
INSERT INTO `lang_definitions` VALUES (160090, 12017, 29, 'Вам не дозволено додавання/зміна проблем');
INSERT INTO `lang_definitions` VALUES (160091, 12018, 29, 'Вам не дозволено планувати записи на прийом.');
INSERT INTO `lang_definitions` VALUES (160092, 12019, 29, 'Для перегляду цього звернення ви не авторизовані.');
INSERT INTO `lang_definitions` VALUES (160093, 12021, 29, 'Ви вводите знову старий випадок?');
INSERT INTO `lang_definitions` VALUES (160094, 12038, 29, 'У вас немає прямого доступу до цієї функції.');
INSERT INTO `lang_definitions` VALUES (160095, 12050, 29, 'У вас немає прямого доступу до цієї сторінки.');
INSERT INTO `lang_definitions` VALUES (160096, 12051, 29, 'Ви не можете додати пусте значення для категорії!');
INSERT INTO `lang_definitions` VALUES (160097, 12052, 29, 'Ви не можете додати пусте значення для підкатегорії!');
INSERT INTO `lang_definitions` VALUES (160098, 12053, 29, 'Для цього елемента додати порожнє значення неможливо!');
INSERT INTO `lang_definitions` VALUES (160099, 12055, 29, 'Не можна ввести майбутню дату із значенням завершення Так.');
INSERT INTO `lang_definitions` VALUES (160100, 12057, 29, 'Ви не вибрали жодної дії.');
INSERT INTO `lang_definitions` VALUES (160101, 12058, 29, 'Ви не маєте доступу для перегляду / зміни цього запису');
INSERT INTO `lang_definitions` VALUES (160102, 12061, 29, 'Ви намагалися змінити заблокований вміст. Якщо це необхідно зробити, то зніміть блокування. Для розблокування видаліть рядок \'/ *lock::* / \'');
INSERT INTO `lang_definitions` VALUES (160103, 12063, 29, 'Ви закінчили сеанс роботи.');
INSERT INTO `lang_definitions` VALUES (160104, 12074, 29, 'Ви можете завантажувати лише файли .txt');
INSERT INTO `lang_definitions` VALUES (160105, 12075, 29, 'Ви можете додатково завантажити HL7 результати з файлу');
INSERT INTO `lang_definitions` VALUES (160106, 12076, 29, 'Можете вставити тут текст, як скаргу за замовчуванням для форми звертання пацієнта.');
INSERT INTO `lang_definitions` VALUES (160107, 12085, 29, 'Ви повинні ввести пароль для шифрування цього документа');
INSERT INTO `lang_definitions` VALUES (160108, 12087, 29, 'Ви повинні ввести свій пароль для зміни паролів користувачів. Залиште порожнім, щоб залишити пароль незмінними.');
INSERT INTO `lang_definitions` VALUES (160109, 12090, 29, 'Спочатку потрібно вибрати або додати пацієнта.');
INSERT INTO `lang_definitions` VALUES (160110, 12091, 29, 'Перш за все, необхідно вибрати або створити звертання.');
INSERT INTO `lang_definitions` VALUES (160111, 12092, 29, 'Потрібно вибрати категорію візиту');
INSERT INTO `lang_definitions` VALUES (160112, 12093, 29, 'Потрібно вибрати категорію візиту');
INSERT INTO `lang_definitions` VALUES (160113, 12094, 29, 'Для продовження ви повинні вибрати деякі поля.');
INSERT INTO `lang_definitions` VALUES (160114, 12104, 29, 'Якщо з\'явилася ця вимога, то для успішного створення потрібно запустити цей тест, але сам потрібний файл не містить ніяких даних або тільки незавершені частини суми даних, передбачуваних для включення. Це очевидніше з вимогами HCFA, бо вони зручніші для читання для людиною, тоді як для вимог X12 є більш складним процес визначення, чи підготовлена вимога належним чином.');
INSERT INTO `lang_definitions` VALUES (160115, 12106, 29, 'Потрібно вибрати, принаймні, один контекст');
INSERT INTO `lang_definitions` VALUES (160116, 12107, 29, 'Необхідно вибрати хоча б одного фахівця');
INSERT INTO `lang_definitions` VALUES (160117, 12122, 29, 'Неправильна дата закінчення');
INSERT INTO `lang_definitions` VALUES (160118, 12123, 29, 'Вашу подію видалено.');
INSERT INTO `lang_definitions` VALUES (160119, 12124, 29, 'Вашу подію змінено.');
INSERT INTO `lang_definitions` VALUES (160120, 12125, 29, 'Подія була подана до розгляду.');
INSERT INTO `lang_definitions` VALUES (160121, 12127, 29, 'Ваш файл занадто великий');
INSERT INTO `lang_definitions` VALUES (160122, 12132, 29, 'Ваше ім\'я списку було змінено для задоволення вимог стосовно назв');
INSERT INTO `lang_definitions` VALUES (160123, 12133, 29, 'Ваше повідомлення було подано для доставки до');
INSERT INTO `lang_definitions` VALUES (160124, 12134, 29, 'Ваша назва для цієї категорії, методики або результату');
INSERT INTO `lang_definitions` VALUES (160125, 12139, 29, 'Ваш пароль');
INSERT INTO `lang_definitions` VALUES (160126, 12140, 29, 'Термін дії пароля минув. Змініть пароль.');
INSERT INTO `lang_definitions` VALUES (160127, 12141, 29, 'Термін дії пароля минув на');
INSERT INTO `lang_definitions` VALUES (160128, 12143, 29, 'Термін дії пароля минув сьогодні. Змініть пароль.');
INSERT INTO `lang_definitions` VALUES (160129, 12146, 29, 'Ваші налаштування PostCalendar скинуті до налаштувань за-замовчуванням.');
INSERT INTO `lang_definitions` VALUES (160130, 12147, 29, 'Налаштування PostCalendar оновлені.');
INSERT INTO `lang_definitions` VALUES (160131, 12148, 29, 'Частота повторення повинна бути цілим числом.');
INSERT INTO `lang_definitions` VALUES (160132, 12149, 29, 'Частота повторення повинна бути, принаймні, 1.');
INSERT INTO `lang_definitions` VALUES (160133, 12151, 29, 'Ваша початкова дата пізніше кінцевої');
INSERT INTO `lang_definitions` VALUES (160134, 12152, 29, 'Ваша початкова дата недопустима');
INSERT INTO `lang_definitions` VALUES (160135, 12153, 29, 'Ваше представлення дало збій.');
INSERT INTO `lang_definitions` VALUES (160136, 12156, 29, 'рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (160137, 12157, 29, 'РРРР-ММ-ДД');
INSERT INTO `lang_definitions` VALUES (160138, 12158, 29, 'дата рррр-мм-дд прив\'язана до цього документа');
INSERT INTO `lang_definitions` VALUES (160139, 12159, 29, 'дата рррр-мм-дд знищена');
INSERT INTO `lang_definitions` VALUES (160140, 12160, 29, 'дата народження рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (160141, 12161, 29, 'Дата народження рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (160142, 12162, 29, 'дата закінчення строку дії рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (160143, 12163, 29, 'Дата появи або госпіталізації рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (160144, 12164, 29, 'Дата появи, оперативного втручання або початку лікування рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (160145, 12165, 29, 'Дата отримання або передачі рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (160146, 12166, 29, 'Дата одужання або закінчення лікування рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (160147, 12167, 29, 'Дата повернення до гри рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (160148, 12168, 29, 'Дата надання допомоги рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (160149, 12169, 29, 'дата цього листа рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (160150, 12170, 29, 'дата повернення до гри рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (160151, 12171, 29, 'дата реєстрації рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (160152, 12173, 29, 'дата події або початку рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (160153, 12178, 29, 'рррр-мм-дд гг:хх:сс');
INSERT INTO `lang_definitions` VALUES (160154, 12179, 29, 'yyyy-mm-dd години(24):хвилини');
INSERT INTO `lang_definitions` VALUES (160155, 12180, 29, 'остання дата цієї події рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (160156, 12186, 29, 'нульовий');
INSERT INTO `lang_definitions` VALUES (160157, 12188, 29, 'Поштовий індекс');
INSERT INTO `lang_definitions` VALUES (160158, 12189, 29, 'Поштовий індекс');
INSERT INTO `lang_definitions` VALUES (160159, 12191, 29, 'Індекс/Країна');
INSERT INTO `lang_definitions` VALUES (160160, 12196, 29, 'Зулуська');
INSERT INTO `lang_definitions` VALUES (160161, 12197, 29, 'але було');
INSERT INTO `lang_definitions` VALUES (160162, 12198, 29, 'отримати доступ не вдалося.');
INSERT INTO `lang_definitions` VALUES (160163, 12199, 29, 'Дійсно потрібно видалити');
INSERT INTO `lang_definitions` VALUES (160164, 12200, 29, 'Препарат');
INSERT INTO `lang_definitions` VALUES (160165, 12201, 29, 'email-повідомлення не відправлені');
INSERT INTO `lang_definitions` VALUES (160166, 12202, 29, 'від');
INSERT INTO `lang_definitions` VALUES (160167, 12203, 29, 'повинна бути створена.');
INSERT INTO `lang_definitions` VALUES (160168, 12204, 29, 'повинна бути повторно відкрита.');
INSERT INTO `lang_definitions` VALUES (160169, 12205, 29, 'Анамнез');
INSERT INTO `lang_definitions` VALUES (160170, 12206, 29, 'це не число');
INSERT INTO `lang_definitions` VALUES (160171, 12207, 29, 'готово для повторного рахунку.');
INSERT INTO `lang_definitions` VALUES (160172, 12208, 29, 'LLL:');
INSERT INTO `lang_definitions` VALUES (160173, 12209, 29, 'партія');
INSERT INTO `lang_definitions` VALUES (160174, 12210, 29, 'Номер офіційного медичного посилання.');
INSERT INTO `lang_definitions` VALUES (160175, 12211, 29, 'мінімум');
INSERT INTO `lang_definitions` VALUES (160176, 12212, 29, 'не знайдено!');
INSERT INTO `lang_definitions` VALUES (160177, 12213, 29, 'Особливості багатьох браузерів можуть припускати вивід нижче краю екрану з раптовими ривками і довгі паузи по кілька секунд, коли здається, що робота завершилася збоєм. Це не так, через деякий час ви побачите вивід результату рядок за рядком. Він може бути послідовністю номерів, що з\'являються нижче - це вказує, що навіть якщо нічого відобрати, обробка триває. Ці числа будуть перемежовуватися з вмістом рахунків і це нормально.');
INSERT INTO `lang_definitions` VALUES (160178, 12214, 29, 'термін дії призначення минув');
INSERT INTO `lang_definitions` VALUES (160179, 12215, 29, 'до');
INSERT INTO `lang_definitions` VALUES (160180, 12216, 29, 'оновлення дало збій, не в базі даних?');
INSERT INTO `lang_definitions` VALUES (160181, 12217, 29, 'маркований тільки як рахунок.');
INSERT INTO `lang_definitions` VALUES (160182, 12218, 29, 'було включено в чергу.');
INSERT INTO `lang_definitions` VALUES (160183, 12219, 29, '! Пішов без відвідування');
INSERT INTO `lang_definitions` VALUES (160184, 12220, 29, '\" для коду');
INSERT INTO `lang_definitions` VALUES (160185, 12221, 29, '\" означає ВІДМІЧЕНІ в параметрах налаштування PostCalendar!');
INSERT INTO `lang_definitions` VALUES (160186, 12222, 29, '# Вст. / Пошук проблеми');
INSERT INTO `lang_definitions` VALUES (160187, 12223, 29, '# З таблеток:');
INSERT INTO `lang_definitions` VALUES (160188, 12224, 29, '$');
INSERT INTO `lang_definitions` VALUES (160189, 12225, 29, '$ Індексовані');
INSERT INTO `lang_definitions` VALUES (160190, 12226, 29, '$ мітка (рррр-мм-дд)');
INSERT INTO `lang_definitions` VALUES (160191, 12227, 29, '%');
INSERT INTO `lang_definitions` VALUES (160192, 12228, 29, '% Скасоване < 24 години');
INSERT INTO `lang_definitions` VALUES (160193, 12229, 29, '% Скасоване < 24 години');
INSERT INTO `lang_definitions` VALUES (160194, 12230, 29, '\' немає, а має бути присутнім.');
INSERT INTO `lang_definitions` VALUES (160195, 12231, 29, '(% відповідає довільному рядку, _ відповідає довільному символу)');
INSERT INTO `lang_definitions` VALUES (160196, 12232, 29, '(утримуйте [ctrl] при кліку щоб вибрати кількох отримувачів)');
INSERT INTO `lang_definitions` VALUES (160197, 12233, 29, '(Назад)');
INSERT INTO `lang_definitions` VALUES (160198, 12234, 29, '(Клікніть для редагування)');
INSERT INTO `lang_definitions` VALUES (160199, 12235, 29, '(Доставка електронної пошти виконується негайно, в той час як автоматизований VOIP відправляється постачальнику послуг для подальшої обробки.)');
INSERT INTO `lang_definitions` VALUES (160200, 12236, 29, '(Детальніше)');
INSERT INTO `lang_definitions` VALUES (160201, 12237, 29, '(Новий Пацієнт)');
INSERT INTO `lang_definitions` VALUES (160202, 12238, 29, '(Записи і повноваження)');
INSERT INTO `lang_definitions` VALUES (160203, 12239, 29, '(Записи про пацієнта)');
INSERT INTO `lang_definitions` VALUES (160204, 12240, 29, '(Виберіть одну з, або введіть свою назву)');
INSERT INTO `lang_definitions` VALUES (160205, 12241, 29, 'Для зміни значення клікніть, утримуючи Shift, або виділіть мишкою');
INSERT INTO `lang_definitions` VALUES (160206, 12242, 29, '* З нагадуванням');
INSERT INTO `lang_definitions` VALUES (160207, 12243, 29, '** Перемістіть хірургію в проблеми!');
INSERT INTO `lang_definitions` VALUES (160208, 12244, 29, '* Обов\'язкове');
INSERT INTO `lang_definitions` VALUES (160209, 12245, 29, '+ Карту витягнено');
INSERT INTO `lang_definitions` VALUES (160210, 12249, 29, '- Ні');
INSERT INTO `lang_definitions` VALUES (160211, 12251, 29, '-- Всі --');
INSERT INTO `lang_definitions` VALUES (160212, 12252, 29, '-- Виберіть роль --');
INSERT INTO `lang_definitions` VALUES (160213, 12253, 29, '.');
INSERT INTO `lang_definitions` VALUES (160214, 12254, 29, '0');
INSERT INTO `lang_definitions` VALUES (160215, 12255, 29, '0-10');
INSERT INTO `lang_definitions` VALUES (160216, 12256, 29, '0-24');
INSERT INTO `lang_definitions` VALUES (160217, 12259, 29, '1');
INSERT INTO `lang_definitions` VALUES (160218, 12260, 29, '1 = Північна Америка. Перерахування кодів інших країн див. на http://www.wtng.info/');
INSERT INTO `lang_definitions` VALUES (160219, 12261, 29, '1 день від тепер');
INSERT INTO `lang_definitions` VALUES (160220, 12262, 29, '1 місяць від тепер');
INSERT INTO `lang_definitions` VALUES (160221, 12263, 29, '1 тиждень від тепер');
INSERT INTO `lang_definitions` VALUES (160222, 12264, 29, '1 рік від тепер');
INSERT INTO `lang_definitions` VALUES (160223, 12265, 29, '1. Спокій 2. Холод протягом двох днів 3. Компресія, зберігайте пов\'язку на місці, якщо не розвивається оніміння або блідість ноги 4. Підняте положення ноги і фіксація');
INSERT INTO `lang_definitions` VALUES (160224, 12266, 29, '11-14');
INSERT INTO `lang_definitions` VALUES (160225, 12267, 29, '12 hr');
INSERT INTO `lang_definitions` VALUES (160226, 12268, 29, '15-19');
INSERT INTO `lang_definitions` VALUES (160227, 12272, 29, '2');
INSERT INTO `lang_definitions` VALUES (160228, 12273, 29, '2 дні від тепер');
INSERT INTO `lang_definitions` VALUES (160229, 12274, 29, '2 місяці від тепер');
INSERT INTO `lang_definitions` VALUES (160230, 12275, 29, '2 тижні від тепер');
INSERT INTO `lang_definitions` VALUES (160231, 12276, 29, '2 роки від тепер');
INSERT INTO `lang_definitions` VALUES (160232, 12277, 29, '2-20 рокіів');
INSERT INTO `lang_definitions` VALUES (160233, 12278, 29, '20-24');
INSERT INTO `lang_definitions` VALUES (160234, 12287, 29, '2111-13');
INSERT INTO `lang_definitions` VALUES (160235, 12288, 29, '24 год.');
INSERT INTO `lang_definitions` VALUES (160236, 12289, 29, '25+');
INSERT INTO `lang_definitions` VALUES (160237, 12290, 29, '25-29');
INSERT INTO `lang_definitions` VALUES (160238, 12293, 29, 'другий');
INSERT INTO `lang_definitions` VALUES (160239, 12296, 29, '3 дні від тепер');
INSERT INTO `lang_definitions` VALUES (160240, 12297, 29, '3 місяці');
INSERT INTO `lang_definitions` VALUES (160241, 12298, 29, '3 місяці від тепер');
INSERT INTO `lang_definitions` VALUES (160242, 12299, 29, 'тричі на день');
INSERT INTO `lang_definitions` VALUES (160243, 12300, 29, '3 тижні від тепер');
INSERT INTO `lang_definitions` VALUES (160244, 12301, 29, '30-34');
INSERT INTO `lang_definitions` VALUES (160245, 12302, 29, '35-39');
INSERT INTO `lang_definitions` VALUES (160246, 12304, 29, 'третій');
INSERT INTO `lang_definitions` VALUES (160247, 12307, 29, '4 дні від тепер');
INSERT INTO `lang_definitions` VALUES (160248, 12308, 29, '4 місяці');
INSERT INTO `lang_definitions` VALUES (160249, 12309, 29, '4 місяці від тепер');
INSERT INTO `lang_definitions` VALUES (160250, 12310, 29, '4 рази в день');
INSERT INTO `lang_definitions` VALUES (160251, 12311, 29, '4 тижні від тепер');
INSERT INTO `lang_definitions` VALUES (160252, 12312, 29, '40-44');
INSERT INTO `lang_definitions` VALUES (160253, 12313, 29, '45+');
INSERT INTO `lang_definitions` VALUES (160254, 12314, 29, '465.9, URI');
INSERT INTO `lang_definitions` VALUES (160255, 12315, 29, '466.0, бронхіт, органонеспецифічні, гострий');
INSERT INTO `lang_definitions` VALUES (160256, 12316, 29, '486.0, пневмонія, гостра');
INSERT INTO `lang_definitions` VALUES (160257, 12317, 29, '491.21, ХОЗЛ, загострення');
INSERT INTO `lang_definitions` VALUES (160258, 12318, 29, '491.8, бронхіт, хронічний');
INSERT INTO `lang_definitions` VALUES (160259, 12319, 29, '493.92, астма, гострий Exac.');
INSERT INTO `lang_definitions` VALUES (160260, 12320, 29, '496.0, ХОЗЛ');
INSERT INTO `lang_definitions` VALUES (160261, 12323, 29, '4-й');
INSERT INTO `lang_definitions` VALUES (160262, 12326, 29, '5 днів від тепер');
INSERT INTO `lang_definitions` VALUES (160263, 12327, 29, '5 місяців від тепер');
INSERT INTO `lang_definitions` VALUES (160264, 12328, 29, '5 тижнів від тепер');
INSERT INTO `lang_definitions` VALUES (160265, 12329, 29, '519.7, Бронхоспазм');
INSERT INTO `lang_definitions` VALUES (160266, 12331, 29, '5-й');
INSERT INTO `lang_definitions` VALUES (160267, 12333, 29, '6 днів від тепер');
INSERT INTO `lang_definitions` VALUES (160268, 12334, 29, '6 місяців');
INSERT INTO `lang_definitions` VALUES (160269, 12335, 29, '6 місяців від тепер');
INSERT INTO `lang_definitions` VALUES (160270, 12336, 29, '6 тижнів від тепер');
INSERT INTO `lang_definitions` VALUES (160271, 12337, 29, '6-й');
INSERT INTO `lang_definitions` VALUES (160272, 12339, 29, '7 місяців від тепер');
INSERT INTO `lang_definitions` VALUES (160273, 12340, 29, '8 місяців від тепер');
INSERT INTO `lang_definitions` VALUES (160274, 12342, 29, '824.0 Перелом медіальної кісточки, закритий');
INSERT INTO `lang_definitions` VALUES (160275, 12343, 29, '824.2 Перелом латеральної щиколотки, закритий');
INSERT INTO `lang_definitions` VALUES (160276, 12344, 29, '824.6 Трехлодижечний перелом, закритий');
INSERT INTO `lang_definitions` VALUES (160277, 12345, 29, '825.32 Перелом човноподібної кістки (кісточка)');
INSERT INTO `lang_definitions` VALUES (160278, 12346, 29, '825.35 Перелом підстави п\'ятої (5-й) метатарзальной кістки');
INSERT INTO `lang_definitions` VALUES (160279, 12347, 29, '845.00 Розтягування щиколотки NOS');
INSERT INTO `lang_definitions` VALUES (160280, 12348, 29, '845.01 Розтягування середньої (дельтоподібного) зв\'язки');
INSERT INTO `lang_definitions` VALUES (160281, 12349, 29, '845.02 Розтягування малогомілкової п\'яткової');
INSERT INTO `lang_definitions` VALUES (160282, 12350, 29, '9 місяців від тепер');
INSERT INTO `lang_definitions` VALUES (160283, 12351, 29, '99212 встановлений - нескладний');
INSERT INTO `lang_definitions` VALUES (160284, 12352, 29, '99213 встановлений - низької складності');
INSERT INTO `lang_definitions` VALUES (160285, 12353, 29, '< В кабінеті досліджень');
INSERT INTO `lang_definitions` VALUES (160286, 12357, 29, '> Перевірено');
INSERT INTO `lang_definitions` VALUES (160287, 12359, 29, '?');
INSERT INTO `lang_definitions` VALUES (160288, 12361, 29, '? Не показувати');
INSERT INTO `lang_definitions` VALUES (160289, 12362, 29, '@ Прибув');
INSERT INTO `lang_definitions` VALUES (160290, 12364, 29, '[Змінити вид]');
INSERT INTO `lang_definitions` VALUES (160291, 12365, 29, '[Дата останнього звернення]');
INSERT INTO `lang_definitions` VALUES (160292, 12366, 29, '[Днів від останнього звернення]');
INSERT INTO `lang_definitions` VALUES (160293, 12367, 29, '[EOBs]');
INSERT INTO `lang_definitions` VALUES (160294, 12368, 29, '[Експорт OFX]');
INSERT INTO `lang_definitions` VALUES (160295, 12369, 29, '[не рекомендовано]');
INSERT INTO `lang_definitions` VALUES (160296, 12370, 29, '[Кількість звернень]');
INSERT INTO `lang_definitions` VALUES (160297, 12371, 29, '[Звіти]');
INSERT INTO `lang_definitions` VALUES (160298, 12372, 29, '[Вибрати все]');
INSERT INTO `lang_definitions` VALUES (160299, 12373, 29, '[SQL-реєстрований]');
INSERT INTO `lang_definitions` VALUES (160300, 12374, 29, '[Запуск пакетної обробки]');
INSERT INTO `lang_definitions` VALUES (160301, 12375, 29, '[Переглянути журнал]');
INSERT INTO `lang_definitions` VALUES (160302, 12376, 29, '[Перегляд звіту для друку]');
INSERT INTO `lang_definitions` VALUES (160303, 12378, 29, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (160304, 12379, 29, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (160305, 12380, 29, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (160306, 12381, 29, '~ Пізнє прибуття');
INSERT INTO `lang_definitions` VALUES (160307, 1, 30, 'یک');
INSERT INTO `lang_definitions` VALUES (160308, 2, 30, 'شماره چک یا شماره پرونده برای پیگیری پرداخت');
INSERT INTO `lang_definitions` VALUES (160309, 3, 30, 'برای فعال کردن این منو باید یک شماره پرونده انتخاب شود.');
INSERT INTO `lang_definitions` VALUES (160310, 4, 30, 'گواهی کاربر برای کاربر مدیر');
INSERT INTO `lang_definitions` VALUES (160311, 5, 30, 'یک قانون تصمیم بالینی اطلاعات مختص به بیمار است که برای بهبود سلامت و حفظ سلامتی فیلتر شده و در زمان مناسب ارائه میشود');
INSERT INTO `lang_definitions` VALUES (160312, 6, 30, 'یک سند بالینی پیوست شده است');
INSERT INTO `lang_definitions` VALUES (160313, 7, 30, 'یک سند بالینی پیوست شده است.');
INSERT INTO `lang_definitions` VALUES (160314, 8, 30, 'قبلا یک کد از این نوع انتخاب شده است. برای جایگزینی آن ، ابتدا فیلد را پاک کنید');
INSERT INTO `lang_definitions` VALUES (160315, 9, 30, 'یک پیام یادآوری تاریخ دار می تواند با کلیک کردن روی دکمه \"هدایت پیام\"به جا ی دیگری ارسال شود یا با کلیک بر روی دکمه \"تنظیم به عنوان تکمیل شده\" از لیست یادآوری های تاریخ دار حذف شود');
INSERT INTO `lang_definitions` VALUES (160316, 10, 30, 'باید یک کلید امنیتی اختصاصی خریداری شود');
INSERT INTO `lang_definitions` VALUES (160317, 11, 30, 'کد پیش فرض اختیاری است زیرا کد مورد نیاز می تواند در زمان ثبت سفارش واقعی وارد شود');
INSERT INTO `lang_definitions` VALUES (160318, 12, 30, 'یک راهنمای دقیق در مورد چگونگی فعال کردن و تنظیم قانون تصمیم بالینی در اینجا یافت می شود');
INSERT INTO `lang_definitions` VALUES (160319, 13, 30, 'توزیع کننده ای مورد نیاز است');
INSERT INTO `lang_definitions` VALUES (160320, 14, 30, 'می توان یک تاریخ سررسید مشخص کرد یا یک دوره زمانی خاص را برای نشان دادن یادآور تاریخ دار انتخاب کرد');
INSERT INTO `lang_definitions` VALUES (160321, 15, 30, 'چند کلمه برای نشان دادن دلیل بازدید');
INSERT INTO `lang_definitions` VALUES (160322, 16, 30, 'قرار ملاقات بعدی از طریق برگه هزینه نیز می تواند تعیین شود.');
INSERT INTO `lang_definitions` VALUES (160323, 17, 30, 'یک فرم ملاقات GCAC باید به این ملاقات اضافه شود.');
INSERT INTO `lang_definitions` VALUES (160324, 18, 30, 'یک پیام HL7 نسخه 2.x به سادگی از چندین خط متن تشکیل شده است ، هر سطر را یک قطعه می نامند و با استفاده از کاراکتر خط عمودی \"|\" به بخشهای مختلف تقسیم می شود');
INSERT INTO `lang_definitions` VALUES (160325, 19, 30, 'یک برنامه بزرگ مانند openEMR توسط بسیاری از کاربران با نقش و درجه مسئولیت های متفاوت مورد استفاده قرار می گیرد. ضروری است که دسترسی به قسمتهای مختلف برنامه بر اساس نیاز به کاربران به آنها داده شود. برای دستیابی به این هدف - از لیست های کنترل دسترسی (ACL) استفاده می شود.');
INSERT INTO `lang_definitions` VALUES (160326, 20, 30, 'شماره سری مورد نیاز است');
INSERT INTO `lang_definitions` VALUES (160327, 21, 30, 'شماره سری مورد نیاز است!');
INSERT INTO `lang_definitions` VALUES (160328, 22, 30, 'یک حرف کوچک');
INSERT INTO `lang_definitions` VALUES (160329, 23, 30, 'یک قرار جدید');
INSERT INTO `lang_definitions` VALUES (160330, 24, 30, 'یک ویژگی جدید که به گروه بندی تست های مرتب سفارش شده کمک می کند تا بتوان آنها را با هم سفارش داد');
INSERT INTO `lang_definitions` VALUES (160331, 25, 30, 'بنابراین یک پیام جدید می تواند برای یک یا چند کاربر ارسال شود و / یا می تواند در مورد یک یا چند بیمار باشد');
INSERT INTO `lang_definitions` VALUES (160332, 27, 30, 'یک زیر منوی جدید در بالای صفحه ی مرکز پیام قابل مشاهده خواهد بود');
INSERT INTO `lang_definitions` VALUES (160333, 28, 30, 'یک شماره');
INSERT INTO `lang_definitions` VALUES (160334, 29, 30, 'برای تولید این گزارش ، یک بیمار باید انتخاب شود');
INSERT INTO `lang_definitions` VALUES (160335, 30, 30, 'اکنون بیماری با این شماره شناسایی وجود دارد.');
INSERT INTO `lang_definitions` VALUES (160336, 31, 30, 'اکنون بیماری با این نام وجود دارد.');
INSERT INTO `lang_definitions` VALUES (160337, 32, 30, 'اکنون بیماری با این شماره(کد ملی) وجود دارد.');
INSERT INTO `lang_definitions` VALUES (160338, 33, 30, 'ثبت پرداخت لازم است !. لطفاً یک مورد از آیتم های پرداخت را وارد کنید.');
INSERT INTO `lang_definitions` VALUES (160339, 34, 30, 'مکانی برای ثبت و نمایش سابقه پزشکی گذشته بیمار ، سابقه خانوادگی ، سابقه شخصی بیمار');
INSERT INTO `lang_definitions` VALUES (160340, 35, 30, 'یک پنجره پاپ آپ موفقیت یا شکست را به شما اطلاع خواهد داد');
INSERT INTO `lang_definitions` VALUES (160341, 36, 30, 'یک عدد مثبت به همان مقدار ملاقات اخیر را در صفحه خلاصه بیمار نمایش میدهد(یک عدد منفی قرارهای گذشته را به ترتیب نزولی نشان می دهد)');
INSERT INTO `lang_definitions` VALUES (160342, 37, 30, 'یک عدد مثبت به همان مقدار ملاقات اخیر را در صفحه خلاصه بیمار نمایش میدهد(یک عدد منفی قرارهای گذشته را به ترتیب نزولی نشان می دهد)');
INSERT INTO `lang_definitions` VALUES (160343, 38, 30, 'یک محصول انتخاب شده است اما در این فرم بخشی مربوط به محصول وجود ندارد.');
INSERT INTO `lang_definitions` VALUES (160344, 39, 30, 'یک ارائه دهنده یا انبار را می توان در منوی کشویی انتخاب کرد. برای اینکه این گزینه نمایش داده شود ، گزینه \"قابلیت ورود آیتم ارائه دهنده در خط در برگه هزینه\" باید در بخش مدیریت> تنظیمات کلی> صفحه صورتحساب علامت گذاری شود');
INSERT INTO `lang_definitions` VALUES (160345, 41, 30, 'یک ارجاع دهنده یک اقدام اضافی دارد - برای چاپ ارجاع یا ذخیره آن به عنوان یک فایل pdf');
INSERT INTO `lang_definitions` VALUES (160346, 43, 30, 'برای هر بازدید میتواند یک منبع ارجاع مشخص شود.');
INSERT INTO `lang_definitions` VALUES (160347, 44, 30, 'به یک کد IPPF مرتبط نیاز است!');
INSERT INTO `lang_definitions` VALUES (160348, 45, 30, 'برای تایید هویت دومرحله ای به ارتباط امن وب HTTPS نیاز است');
INSERT INTO `lang_definitions` VALUES (160349, 46, 30, 'شرح مختصری از این گروه هنگام قرار گرفتن نشانگر موس بر روی گروه تازه ایجاد شده (ARO) ظاهر می شود.');
INSERT INTO `lang_definitions` VALUES (160350, 47, 30, 'شرح مختصری از این گروه ، آزمایشات شیمی خون');
INSERT INTO `lang_definitions` VALUES (160351, 48, 30, 'شرح مختصری از این روش یا کد نتیجه');
INSERT INTO `lang_definitions` VALUES (160352, 49, 30, 'یک حرف ویژه');
INSERT INTO `lang_definitions` VALUES (160353, 50, 30, 'برای ارائه مطالبات از فرم استانداردی به نام فرم مطالبه بیمه سلامت استفاده می شود');
INSERT INTO `lang_definitions` VALUES (160354, 51, 30, 'گزینه سوم اسکن نتایج و ذخیره آن به عنوان یک سند با فرمت های TIFF ، JPEG یا PDF در نمودار بیمار در زیرمنوی اسناد است');
INSERT INTO `lang_definitions` VALUES (160355, 52, 30, 'یک فرم دو برگه ای نشان داده خواهد شد');
INSERT INTO `lang_definitions` VALUES (160356, 53, 30, 'یک مقدار منحصر به فرد برای شناسایی این فیلد، برای کاربر قابل مشاهده نیست');
INSERT INTO `lang_definitions` VALUES (160357, 54, 30, 'یک شروع درست این است که از چند آزمایشگاه برگه آزمایش تهیه کنید و به نحوه چینش آزمایشات در برگه آزمایشگاه نگاه کنید');
INSERT INTO `lang_definitions` VALUES (160358, 55, 30, 'امروز یک بازدید برای این گروه وجود دارد. برای باز کردن ، لغو را کلیک کنید یا برای ادامه کار با ایجاد یک گروه جدید تأیید را کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (160359, 56, 30, 'امروز یک بازدید برای این بیمار وجود دارد. برای باز کردن ، لغو را کلیک کنید یا برای ادامه کار با ایجاد یک گروه جدید تأیید را کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (160360, 57, 30, 'پیش از غذا');
INSERT INTO `lang_definitions` VALUES (160361, 58, 30, 'صبح');
INSERT INTO `lang_definitions` VALUES (160362, 59, 30, 'اتاقک پیشین چشم');
INSERT INTO `lang_definitions` VALUES (160363, 60, 30, 'سطح راست A/F');
INSERT INTO `lang_definitions` VALUES (160364, 61, 30, 'بخش AAA');
INSERT INTO `lang_definitions` VALUES (160365, 63, 30, 'مخفف');
INSERT INTO `lang_definitions` VALUES (160366, 64, 30, 'آبسه:');
INSERT INTO `lang_definitions` VALUES (160367, 65, 30, 'شکمی');
INSERT INTO `lang_definitions` VALUES (160368, 66, 30, 'قادر به تحمل وزن چهار (4) مرحله:');
INSERT INTO `lang_definitions` VALUES (160369, 67, 30, 'غیرطبیعی');
INSERT INTO `lang_definitions` VALUES (160370, 68, 30, 'غیرطبیعی');
INSERT INTO `lang_definitions` VALUES (160371, 69, 30, 'غیرطبیعی');
INSERT INTO `lang_definitions` VALUES (160372, 70, 30, 'غیرطبیعی');
INSERT INTO `lang_definitions` VALUES (160373, 71, 30, 'آزمایش خون غیرطبیعی');
INSERT INTO `lang_definitions` VALUES (160374, 72, 30, 'رشد موی غیرطبیعی');
INSERT INTO `lang_definitions` VALUES (160375, 73, 30, 'ماموگرام غیرطبیعی');
INSERT INTO `lang_definitions` VALUES (160376, 74, 30, 'سقط');
INSERT INTO `lang_definitions` VALUES (160377, 75, 30, 'سقط جنین');
INSERT INTO `lang_definitions` VALUES (160378, 76, 30, 'مسائل مربوط به سقط جنین');
INSERT INTO `lang_definitions` VALUES (160379, 77, 30, 'روش سقط جنین');
INSERT INTO `lang_definitions` VALUES (160380, 78, 30, 'دسته بندی های مربوط به سقط جنین');
INSERT INTO `lang_definitions` VALUES (160381, 79, 30, 'سقط جنین ها');
INSERT INTO `lang_definitions` VALUES (160382, 80, 30, 'درباره');
INSERT INTO `lang_definitions` VALUES (160383, 81, 30, 'درباره داشبورد پرتال');
INSERT INTO `lang_definitions` VALUES (160384, 82, 30, 'در باره تقویم');
INSERT INTO `lang_definitions` VALUES (160385, 83, 30, 'درباره پرتال شما');
INSERT INTO `lang_definitions` VALUES (160386, 84, 30, 'بالاتر از حد بالای وحشت');
INSERT INTO `lang_definitions` VALUES (160387, 85, 30, 'عدم حضور بر اساس تشخیص');
INSERT INTO `lang_definitions` VALUES (160388, 86, 30, 'پذیرش');
INSERT INTO `lang_definitions` VALUES (160389, 87, 30, 'پذیرش واگذاری');
INSERT INTO `lang_definitions` VALUES (160390, 88, 30, 'پذیرش پرداخت');
INSERT INTO `lang_definitions` VALUES (160391, 89, 30, 'پذیرش پرداخت برای');
INSERT INTO `lang_definitions` VALUES (160392, 90, 30, 'پذیرش پرداخت برای');
INSERT INTO `lang_definitions` VALUES (160393, 91, 30, 'حواله می پذیرد');
INSERT INTO `lang_definitions` VALUES (160394, 92, 30, 'با ویرایش عضویتهای کاربر یا گروه ها و مدیریت درسترسی در مدیریت > ACL می توان به گروههای دیگر دسترسی داد');
INSERT INTO `lang_definitions` VALUES (160395, 93, 30, 'کنترل دسترسی');
INSERT INTO `lang_definitions` VALUES (160396, 94, 30, 'مدیریت لیست کنترل دسترسی');
INSERT INTO `lang_definitions` VALUES (160397, 95, 30, 'راهنمای لیست کنترل دسترسی');
INSERT INTO `lang_definitions` VALUES (160398, 96, 30, 'لیست های کنترل دسترسی');
INSERT INTO `lang_definitions` VALUES (160399, 97, 30, 'دسترسی به مجموعه اطلاعات اصلی بیمار در آغاز برخورد');
INSERT INTO `lang_definitions` VALUES (160400, 98, 30, 'تاریخ دسترسی');
INSERT INTO `lang_definitions` VALUES (160401, 99, 30, 'امکان دسترسی وجود ندارد');
INSERT INTO `lang_definitions` VALUES (160402, 100, 30, 'پس دسترسی به صورت انتخابی به بخش هایی از این برنامه بر اساس نیاز به دانستن داده میشود');
INSERT INTO `lang_definitions` VALUES (160403, 101, 30, 'دسترسی مجاز نیست');
INSERT INTO `lang_definitions` VALUES (160404, 102, 30, 'دسترسی مجاز نیست');
INSERT INTO `lang_definitions` VALUES (160405, 103, 30, 'دسترسی مجاز نیست');
INSERT INTO `lang_definitions` VALUES (160406, 104, 30, 'دسترسی به سوابق پزشکی شما');
INSERT INTO `lang_definitions` VALUES (160407, 105, 30, 'دسترسی به پورتال بیمار شما');
INSERT INTO `lang_definitions` VALUES (160408, 106, 30, 'تصادف');
INSERT INTO `lang_definitions` VALUES (160409, 107, 30, 'حساب');
INSERT INTO `lang_definitions` VALUES (160410, 109, 30, 'شناسه حساب برای خدمات NewCrop ERX صادر شد، مورد استفاده برای جداسازی حساب های با چند امکانات');
INSERT INTO `lang_definitions` VALUES (160411, 110, 30, 'شناسه حساب برای خدمات Weno ERX صادر شد');
INSERT INTO `lang_definitions` VALUES (160412, 111, 30, 'شناسه حساب برای خدمات Weno ERX صادر شد');
INSERT INTO `lang_definitions` VALUES (160413, 112, 30, 'حساب تایید شده است. اطلاعات کاربری جدید ارسال شود؟');
INSERT INTO `lang_definitions` VALUES (160414, 113, 30, 'نام حساب');
INSERT INTO `lang_definitions` VALUES (160415, 114, 30, 'نام حساب برای خدمات NewCrop ERX صادر شد.');
INSERT INTO `lang_definitions` VALUES (160416, 115, 30, 'کلمه عبور حساب کاربری  برای خدمات NewCrop ERX صادر شد.');
INSERT INTO `lang_definitions` VALUES (160417, 117, 30, 'حسابداری');
INSERT INTO `lang_definitions` VALUES (160418, 118, 30, 'حسابداری (acct)');
INSERT INTO `lang_definitions` VALUES (160419, 119, 30, 'محاسبات');
INSERT INTO `lang_definitions` VALUES (160420, 120, 30, 'Acct');
INSERT INTO `lang_definitions` VALUES (160421, 121, 30, 'ACD {{عمق اتاقک قدامی}}');
INSERT INTO `lang_definitions` VALUES (160422, 122, 30, 'دردها');
INSERT INTO `lang_definitions` VALUES (160423, 123, 30, 'تایید به عنوان امضای الکترونیکی من');
INSERT INTO `lang_definitions` VALUES (160424, 124, 30, 'درخواست تاییدیه (ISA14)');
INSERT INTO `lang_definitions` VALUES (160425, 125, 30, 'تاییدیه ها، صدور مجوز و گواهی');
INSERT INTO `lang_definitions` VALUES (160426, 126, 30, 'ACL');
INSERT INTO `lang_definitions` VALUES (160427, 127, 30, 'مدیریت ACL');
INSERT INTO `lang_definitions` VALUES (160428, 128, 30, 'مدیریت ACL (ACL)');
INSERT INTO `lang_definitions` VALUES (160429, 129, 30, 'مدیریت ACL مجاز نیست');
INSERT INTO `lang_definitions` VALUES (160430, 131, 30, 'کنترل با دقت بالای ACL');
INSERT INTO `lang_definitions` VALUES (160431, 132, 30, 'ACL با موفقیت به روزرسانی شد');
INSERT INTO `lang_definitions` VALUES (160432, 133, 30, 'آکنه');
INSERT INTO `lang_definitions` VALUES (160433, 134, 30, 'ACO');
INSERT INTO `lang_definitions` VALUES (160434, 135, 30, 'ACOM {{قرنیه}}');
INSERT INTO `lang_definitions` VALUES (160435, 136, 30, 'عمل');
INSERT INTO `lang_definitions` VALUES (160436, 137, 30, 'تاریخ عمل');
INSERT INTO `lang_definitions` VALUES (160437, 138, 30, 'اقدام');
INSERT INTO `lang_definitions` VALUES (160438, 139, 30, 'اقدام انجام شد');
INSERT INTO `lang_definitions` VALUES (160439, 140, 30, 'زمان صرف شده برای این کار');
INSERT INTO `lang_definitions` VALUES (160440, 141, 30, 'کاربر اقدام کننده');
INSERT INTO `lang_definitions` VALUES (160441, 142, 30, 'اقدامات');
INSERT INTO `lang_definitions` VALUES (160442, 143, 30, 'فعال کردن');
INSERT INTO `lang_definitions` VALUES (160443, 144, 30, 'فعال کردن گزارش CCR/CCD');
INSERT INTO `lang_definitions` VALUES (160444, 145, 30, 'فعال کنید تا ستون به صورت صعودی مرتب شود');
INSERT INTO `lang_definitions` VALUES (160445, 146, 30, 'فعال کنید تا ستون به صورت نزولی مرتب شود');
INSERT INTO `lang_definitions` VALUES (160446, 147, 30, 'فعال کردن حمایت از ادعای UB04 / 837I');
INSERT INTO `lang_definitions` VALUES (160447, 148, 30, 'فعال');
INSERT INTO `lang_definitions` VALUES (160448, 149, 30, 'فعال - به طور پیش فرض هر مقدار افزوده به اینجا به حالت فعال درخواهد آمد، برای جلوگیری از نمایش یا حذف یک آیتم از لیست کشویی تیک را بردارید و غیر فعال کنید');
INSERT INTO `lang_definitions` VALUES (160449, 150, 30, 'هشدار فعال');
INSERT INTO `lang_definitions` VALUES (160450, 151, 30, 'هشدار فعال - که وقتی چارت یک بیمار وارد شود به صورت یک پاپ آپ نمایش داده میشود');
INSERT INTO `lang_definitions` VALUES (160451, 152, 30, 'قواعد هشدار فعال');
INSERT INTO `lang_definitions` VALUES (160452, 153, 30, 'هشدارها/یادآورهای فعال');
INSERT INTO `lang_definitions` VALUES (160453, 154, 30, 'چارت فعال');
INSERT INTO `lang_definitions` VALUES (160454, 155, 30, 'اکتیو دایرکتوری(شاخه فعال) - بر اساس دامنه');
INSERT INTO `lang_definitions` VALUES (160455, 156, 30, 'اکتیو دایرکتوری(شاخه فعال) - کنترلر های دامنه');
INSERT INTO `lang_definitions` VALUES (160456, 157, 30, 'اکتیو دایرکتوری(شاخه فعال) - پسوند حساب');
INSERT INTO `lang_definitions` VALUES (160457, 158, 30, 'ویزیت فعال');
INSERT INTO `lang_definitions` VALUES (160458, 159, 30, 'شماره کدهای فعال');
INSERT INTO `lang_definitions` VALUES (160459, 160, 30, 'لیست های فعال');
INSERT INTO `lang_definitions` VALUES (160460, 161, 30, 'پیام های فعال');
INSERT INTO `lang_definitions` VALUES (160461, 162, 30, 'بیمار فعال');
INSERT INTO `lang_definitions` VALUES (160462, 163, 30, 'برنامه های فعال');
INSERT INTO `lang_definitions` VALUES (160463, 164, 30, 'قالبهای فعال');
INSERT INTO `lang_definitions` VALUES (160464, 173, 30, 'فعالیت');
INSERT INTO `lang_definitions` VALUES (160465, 174, 30, 'نوع فعالیت');
INSERT INTO `lang_definitions` VALUES (160466, 175, 30, 'رسیدهای واقعی');
INSERT INTO `lang_definitions` VALUES (160467, 176, 30, 'حدت بینایی');
INSERT INTO `lang_definitions` VALUES (160468, 177, 30, 'حدت بینایی');
INSERT INTO `lang_definitions` VALUES (160469, 178, 30, 'حدت بینایی با Autorefraction');
INSERT INTO `lang_definitions` VALUES (160470, 179, 30, 'حدت بینایی با لنزهای تماسی');
INSERT INTO `lang_definitions` VALUES (160471, 180, 30, 'حدت بینایی با اصلاح');
INSERT INTO `lang_definitions` VALUES (160472, 181, 30, 'حدت بینایی با شکست سیکلوپلژیک ');
INSERT INTO `lang_definitions` VALUES (160473, 182, 30, 'حدت بینایی با شکست آشکار');
INSERT INTO `lang_definitions` VALUES (160474, 183, 30, 'حدت بینایی با سوراخ سوزن');
INSERT INTO `lang_definitions` VALUES (160475, 184, 30, 'حدت بینایی بدون اصلاح');
INSERT INTO `lang_definitions` VALUES (160476, 185, 30, 'نشئگی یا خماری حاد');
INSERT INTO `lang_definitions` VALUES (160477, 186, 30, 'ظهور حاد یک عارضه مزمن');
INSERT INTO `lang_definitions` VALUES (160478, 187, 30, 'حاد در مزمن');
INSERT INTO `lang_definitions` VALUES (160479, 188, 30, 'آگهی بررسی شد');
INSERT INTO `lang_definitions` VALUES (160480, 189, 30, 'افزودن');
INSERT INTO `lang_definitions` VALUES (160481, 190, 30, 'افزودن');
INSERT INTO `lang_definitions` VALUES (160482, 191, 30, 'افزودن');
INSERT INTO `lang_definitions` VALUES (160483, 192, 30, 'افزودن شرکت');
INSERT INTO `lang_definitions` VALUES (160484, 193, 30, 'افزودن وضعیت');
INSERT INTO `lang_definitions` VALUES (160485, 194, 30, 'افزودن یک فراخوانی جدید');
INSERT INTO `lang_definitions` VALUES (160486, 195, 30, 'افزودن یک فراخوانی جدید');
INSERT INTO `lang_definitions` VALUES (160487, 196, 30, 'اضافه کردن یک یادداشت برای صندوقدار');
INSERT INTO `lang_definitions` VALUES (160488, 197, 30, 'افزودن داروخانه');
INSERT INTO `lang_definitions` VALUES (160489, 198, 30, 'اضافه کردن تمام ارائه دهندگان مورد نیاز به شیوه ای مشابه');
INSERT INTO `lang_definitions` VALUES (160490, 199, 30, 'اضافه کردن تمام قوانین به برنامه');
INSERT INTO `lang_definitions` VALUES (160491, 200, 30, 'اضافه کردن یک رویداد برای');
INSERT INTO `lang_definitions` VALUES (160492, 201, 30, 'اضافه کردن به عنوان یک پیام جدید');
INSERT INTO `lang_definitions` VALUES (160493, 202, 30, 'اضافه کردن به عنوان یک یادداشت جدید');
INSERT INTO `lang_definitions` VALUES (160494, 203, 30, 'اضافه کردن به عنوان جدید');
INSERT INTO `lang_definitions` VALUES (160495, 204, 30, 'افزودن به عنوان بیمار جدید');
INSERT INTO `lang_definitions` VALUES (160496, 205, 30, 'اضافه کردن ردیف مرزی پایین');
INSERT INTO `lang_definitions` VALUES (160497, 206, 30, 'اضافه کردن دکمه');
INSERT INTO `lang_definitions` VALUES (160498, 207, 30, 'برای کاراکتر های خاص دکمه اضافه کنید، متون در بالای ویرایشگر نمایش داده میشوند تا با کلیک کردن دکمه در داخل متن گنجاده شوند');
INSERT INTO `lang_definitions` VALUES (160499, 208, 30, 'دسته جدید');
INSERT INTO `lang_definitions` VALUES (160500, 209, 30, 'عدد ثابت جدید');
INSERT INTO `lang_definitions` VALUES (160501, 210, 30, 'مفهوم جدید');
INSERT INTO `lang_definitions` VALUES (160502, 211, 30, 'فرانشیز جدید');
INSERT INTO `lang_definitions` VALUES (160503, 212, 30, 'معیار جدید');
INSERT INTO `lang_definitions` VALUES (160504, 213, 30, 'دکمه سفارشی جدید');
INSERT INTO `lang_definitions` VALUES (160505, 214, 30, 'اضافه کردن مرز پایین داده');
INSERT INTO `lang_definitions` VALUES (160506, 215, 30, 'اضافه کردن امتیازات مورد نظر با حرکت دادن آیتم ها (ACOها) از ستون «غیر فعال» به ستون «فعال».');
INSERT INTO `lang_definitions` VALUES (160507, 216, 30, 'تشخیص جدید');
INSERT INTO `lang_definitions` VALUES (160508, 217, 30, 'داروی جدید');
INSERT INTO `lang_definitions` VALUES (160509, 218, 30, 'افزودن راهنمای ویرایش معاملات');
INSERT INTO `lang_definitions` VALUES (160510, 219, 30, 'ویزیت جدید');
INSERT INTO `lang_definitions` VALUES (160511, 220, 30, 'ویزیت جدید');
INSERT INTO `lang_definitions` VALUES (160512, 221, 30, 'ویزیت/یادداشت جدید');
INSERT INTO `lang_definitions` VALUES (160513, 222, 30, 'درمانگاه جدید');
INSERT INTO `lang_definitions` VALUES (160514, 223, 30, 'فیلد جدید');
INSERT INTO `lang_definitions` VALUES (160515, 224, 30, 'خطوط زیر را به فایل تنظیمات آپاچی اضافه کن');
INSERT INTO `lang_definitions` VALUES (160516, 225, 30, 'گروه جدید');
INSERT INTO `lang_definitions` VALUES (160517, 227, 30, 'کد ICD جدید');
INSERT INTO `lang_definitions` VALUES (160518, 228, 30, 'ایمن سازی جدید');
INSERT INTO `lang_definitions` VALUES (160519, 229, 30, 'اضافه کردن مجاز نیست!');
INSERT INTO `lang_definitions` VALUES (160520, 230, 30, 'مسئله جدید');
INSERT INTO `lang_definitions` VALUES (160521, 231, 30, 'افزودن آیتم برای بررسی');
INSERT INTO `lang_definitions` VALUES (160522, 232, 30, 'زبان جدید');
INSERT INTO `lang_definitions` VALUES (160523, 234, 30, 'افزودن دستی');
INSERT INTO `lang_definitions` VALUES (160524, 235, 30, 'حالت جدید');
INSERT INTO `lang_definitions` VALUES (160525, 236, 30, 'افزودن اصلاح کننده جدید برای این نوع فیلد. شما میتوانید بیش از یکی را انتخاب کنید.');
INSERT INTO `lang_definitions` VALUES (160526, 237, 30, 'افزودن آیتم های بیشتر');
INSERT INTO `lang_definitions` VALUES (160527, 238, 30, 'افزودن جدید');
INSERT INTO `lang_definitions` VALUES (160528, 239, 30, 'افزودن جدید');
INSERT INTO `lang_definitions` VALUES (160529, 240, 30, 'افزودن دسته جدید');
INSERT INTO `lang_definitions` VALUES (160530, 241, 30, 'افزودن گواهینامه های جدید به فایل تنظیمات آپاچی');
INSERT INTO `lang_definitions` VALUES (160531, 242, 30, 'افزودن کامپوننت جدید');
INSERT INTO `lang_definitions` VALUES (160532, 243, 30, 'افزودن کامپوننت های جدید');
INSERT INTO `lang_definitions` VALUES (160533, 244, 30, 'افزودن پایگاه داده جدید');
INSERT INTO `lang_definitions` VALUES (160534, 245, 30, 'ورودی جدید');
INSERT INTO `lang_definitions` VALUES (160535, 246, 30, 'رویداد جدید');
INSERT INTO `lang_definitions` VALUES (160536, 248, 30, 'افزودن گروه جدید');
INSERT INTO `lang_definitions` VALUES (160537, 249, 30, 'افزودن گروه جدید');
INSERT INTO `lang_definitions` VALUES (160538, 250, 30, 'افزودن شماره جدید');
INSERT INTO `lang_definitions` VALUES (160539, 251, 30, 'افزودن شماره سری و معامله');
INSERT INTO `lang_definitions` VALUES (160540, 252, 30, 'افزودن پیام جدید');
INSERT INTO `lang_definitions` VALUES (160541, 253, 30, 'افزودن یادداشت جدید');
INSERT INTO `lang_definitions` VALUES (160542, 254, 30, 'افزودن یادداشت جدید');
INSERT INTO `lang_definitions` VALUES (160543, 255, 30, 'افزودن شریک زندگی جدید');
INSERT INTO `lang_definitions` VALUES (160544, 256, 30, 'افزودن بیمار جدید');
INSERT INTO `lang_definitions` VALUES (160545, 257, 30, 'افزودن برنامه جدید');
INSERT INTO `lang_definitions` VALUES (160546, 258, 30, 'اضافه کردن ...');
INSERT INTO `lang_definitions` VALUES (160547, 264, 30, 'یادداشت جدید');
INSERT INTO `lang_definitions` VALUES (160548, 265, 30, 'افزودن فعالیت پرتال به صورت محلی');
INSERT INTO `lang_definitions` VALUES (160549, 266, 30, 'افزودن پکیج جدید');
INSERT INTO `lang_definitions` VALUES (160550, 267, 30, 'افزودن بیمار جدید');
INSERT INTO `lang_definitions` VALUES (160551, 268, 30, 'افزودن سابقه بیمار');
INSERT INTO `lang_definitions` VALUES (160552, 269, 30, 'نسخه جدید');
INSERT INTO `lang_definitions` VALUES (160553, 270, 30, 'افزودن رویه');
INSERT INTO `lang_definitions` VALUES (160554, 271, 30, 'افزودن شماره ارائه دهنده خدمات');
INSERT INTO `lang_definitions` VALUES (160555, 272, 30, 'افزودن بازخوانی جدید');
INSERT INTO `lang_definitions` VALUES (160556, 273, 30, 'بازتوانی جدید');
INSERT INTO `lang_definitions` VALUES (160557, 274, 30, 'قاعده جدید');
INSERT INTO `lang_definitions` VALUES (160558, 275, 30, 'اضافه کردن کدهای باقی مانده، به منظور انجام این کار کد CPT باید در پایگاه داده وجود داشته باشد');
INSERT INTO `lang_definitions` VALUES (160559, 276, 30, 'اضافه کردن زمان به این تاریخ');
INSERT INTO `lang_definitions` VALUES (160560, 277, 30, 'افزودن به');
INSERT INTO `lang_definitions` VALUES (160561, 278, 30, 'افزودن به پیام موجود');
INSERT INTO `lang_definitions` VALUES (160562, 279, 30, 'افزودن به پیام موجود');
INSERT INTO `lang_definitions` VALUES (160563, 280, 30, 'اضافه کردن به لیست');
INSERT INTO `lang_definitions` VALUES (160564, 281, 30, 'افزودن به لیست داروها');
INSERT INTO `lang_definitions` VALUES (160565, 282, 30, 'افزودن به سطح بالا');
INSERT INTO `lang_definitions` VALUES (160566, 283, 30, 'تراکنش جدید');
INSERT INTO `lang_definitions` VALUES (160567, 284, 30, 'کاربر جدید');
INSERT INTO `lang_definitions` VALUES (160568, 285, 30, 'افزودن کاربر به گروه');
INSERT INTO `lang_definitions` VALUES (160569, 286, 30, 'اضافه کردن.{{Additional Measurements}}');
INSERT INTO `lang_definitions` VALUES (160570, 287, 30, 'افزودن/ویرایش نسخه الکترونیکی‌');
INSERT INTO `lang_definitions` VALUES (160571, 288, 30, 'افزودن/ویرایش مشکل');
INSERT INTO `lang_definitions` VALUES (160572, 289, 30, 'افزودن/ویرایش تراکنش بیمار');
INSERT INTO `lang_definitions` VALUES (160573, 290, 30, 'اضافه شده');
INSERT INTO `lang_definitions` VALUES (160574, 291, 30, 'در حال اضافه کردن');
INSERT INTO `lang_definitions` VALUES (160575, 292, 30, 'اضافه کردن یک بیمار');
INSERT INTO `lang_definitions` VALUES (160576, 293, 30, 'اضافه کردن اطلاعات دموگرافیک مجاز نیست.');
INSERT INTO `lang_definitions` VALUES (160577, 294, 30, 'افزودن آیتم برای رهگیری انجام نشد');
INSERT INTO `lang_definitions` VALUES (160578, 295, 30, 'سندروم آدیسون');
INSERT INTO `lang_definitions` VALUES (160579, 296, 30, 'سندروم آدیسون');
INSERT INTO `lang_definitions` VALUES (160580, 297, 30, 'ویژگیهای بیشتر');
INSERT INTO `lang_definitions` VALUES (160581, 298, 30, 'دیتاپوینت های بیشتر');
INSERT INTO `lang_definitions` VALUES (160582, 299, 30, 'تاریخ اضافی:');
INSERT INTO `lang_definitions` VALUES (160583, 300, 30, 'تشخیص های بیشتر:');
INSERT INTO `lang_definitions` VALUES (160584, 301, 30, 'یافته های بیشتر');
INSERT INTO `lang_definitions` VALUES (160585, 302, 30, 'قابلیت های اضافی از جمله توانایی برای ارسال پیام های متنی ، شماره گیری خودکار تلفن، ایمیل و غیره را می توان با نصب کردن افزونه سرویس ارتباطات MedEx فعال کرد');
INSERT INTO `lang_definitions` VALUES (160586, 303, 30, 'کمک اضافی برای پر کردن این فرم با نگه داشتن نشانگر موس روی هر  جعبه و کلیک کردن بر روی دکمه آبی کمک \"؟\" نمایش داده میشود');
INSERT INTO `lang_definitions` VALUES (160587, 305, 30, 'سوابق دیگر');
INSERT INTO `lang_definitions` VALUES (160588, 306, 30, 'یادداشت سوابق بیشتر');
INSERT INTO `lang_definitions` VALUES (160589, 307, 30, 'اطلاعات بیشتر');
INSERT INTO `lang_definitions` VALUES (160590, 308, 30, 'اطلاعات بیشتر در مورد تک تک صفحات را می توان در فایل های کمک مربوطه پیدا کرد');
INSERT INTO `lang_definitions` VALUES (160591, 309, 30, 'اطلاعات اضافی برای پردازش برگه مطالبات');
INSERT INTO `lang_definitions` VALUES (160592, 310, 30, 'آزمایشات بیشتر');
INSERT INTO `lang_definitions` VALUES (160593, 311, 30, 'یادداشت های بیشتر');
INSERT INTO `lang_definitions` VALUES (160594, 312, 30, 'فیلد یادداشت های اضافی برای استفاده محلی در این برنامه است');
INSERT INTO `lang_definitions` VALUES (160595, 313, 30, 'یادداشت های بیشتر برای این یافته یا توصیه');
INSERT INTO `lang_definitions` VALUES (160596, 314, 30, 'یادداشت های بیشتر:');
INSERT INTO `lang_definitions` VALUES (160597, 315, 30, 'یادداشت های بیشتر:');
INSERT INTO `lang_definitions` VALUES (160598, 317, 30, 'یادداشت های بیشترمربوط به تصاویرX-RAY:');
INSERT INTO `lang_definitions` VALUES (160599, 318, 30, 'علاوه بر این، بسته افزونه SNOMED  مربوط به آمریکا را می توان به طور جداگانه پس از نصب نسخه بین المللی SNOMED، نصب کرد');
INSERT INTO `lang_definitions` VALUES (160600, 319, 30, 'نسخه اضافه {{Additional glasses}}');
INSERT INTO `lang_definitions` VALUES (160601, 320, 30, 'فقط افزودنی');
INSERT INTO `lang_definitions` VALUES (160602, 321, 30, 'فقط افزودنی - فقط قابل مشاهده خواهد بود و نمیتوان ویرایش کرد');
INSERT INTO `lang_definitions` VALUES (160603, 322, 30, 'کتابچه آدرس ها');
INSERT INTO `lang_definitions` VALUES (160604, 323, 30, 'کتابچه آدرس ها');
INSERT INTO `lang_definitions` VALUES (160605, 324, 30, 'آدرس');
INSERT INTO `lang_definitions` VALUES (160606, 325, 30, 'آدرس و کد پستی');
INSERT INTO `lang_definitions` VALUES (160607, 326, 30, 'آدرس و شهر');
INSERT INTO `lang_definitions` VALUES (160608, 327, 30, 'کتابچه آدرس ها');
INSERT INTO `lang_definitions` VALUES (160609, 328, 30, 'ورودی آدرس مربوط به کمپانی انجام دهنده این رویه');
INSERT INTO `lang_definitions` VALUES (160610, 329, 30, 'ورودی آدرس مربوط به توزیع کننده');
INSERT INTO `lang_definitions` VALUES (160611, 330, 30, 'ورودی آدرس مربوط به فروشنده');
INSERT INTO `lang_definitions` VALUES (160612, 331, 30, 'انواع کتابهای آدرس');
INSERT INTO `lang_definitions` VALUES (160613, 332, 30, 'برچسب آدرس');
INSERT INTO `lang_definitions` VALUES (160614, 333, 30, 'برچسب های آدرس');
INSERT INTO `lang_definitions` VALUES (160615, 336, 30, 'فقط آدرس');
INSERT INTO `lang_definitions` VALUES (160616, 337, 30, 'آدرس، شهر و استان و کد پستی');
INSERT INTO `lang_definitions` VALUES (160617, 338, 30, 'آدرس، استان و کد پستی');
INSERT INTO `lang_definitions` VALUES (160618, 339, 30, 'آدرس 1');
INSERT INTO `lang_definitions` VALUES (160619, 340, 30, 'آدرس 2');
INSERT INTO `lang_definitions` VALUES (160620, 341, 30, 'آدرس شده به');
INSERT INTO `lang_definitions` VALUES (160621, 342, 30, 'آدرس شده');
INSERT INTO `lang_definitions` VALUES (160622, 343, 30, 'افزودن {{افزودن دودید}}');
INSERT INTO `lang_definitions` VALUES (160623, 344, 30, 'افزودن{{افزودن نزدیک بین}}');
INSERT INTO `lang_definitions` VALUES (160624, 345, 30, 'اصلاح');
INSERT INTO `lang_definitions` VALUES (160625, 346, 30, 'اصلاح مقدار');
INSERT INTO `lang_definitions` VALUES (160626, 347, 30, 'اصلاح کردن');
INSERT INTO `lang_definitions` VALUES (160627, 348, 30, 'اصلاح');
INSERT INTO `lang_definitions` VALUES (160628, 349, 30, 'اصلاح مبلغ');
INSERT INTO `lang_definitions` VALUES (160629, 350, 30, 'دلایل اصلاح');
INSERT INTO `lang_definitions` VALUES (160630, 352, 30, 'اصلاح مقدار مبلغ برای کد');
INSERT INTO `lang_definitions` VALUES (160631, 353, 30, 'اصلاحات');
INSERT INTO `lang_definitions` VALUES (160632, 354, 30, 'اصلاح مدیر');
INSERT INTO `lang_definitions` VALUES (160633, 355, 30, 'مدیر نرم افزار');
INSERT INTO `lang_definitions` VALUES (160634, 356, 30, 'پست الکترونیکی مدیر نرم افزار');
INSERT INTO `lang_definitions` VALUES (160635, 357, 30, 'مدیریت از طریق');
INSERT INTO `lang_definitions` VALUES (160636, 358, 30, 'مدیریت از طریق به این مفهوم مرتبط نمیشود و میتوان آن را خالی گذاشت');
INSERT INTO `lang_definitions` VALUES (160637, 359, 30, 'تجویزشده');
INSERT INTO `lang_definitions` VALUES (160638, 360, 30, 'تجویزشده توسط');
INSERT INTO `lang_definitions` VALUES (160639, 361, 30, 'تاریخ تجویز');
INSERT INTO `lang_definitions` VALUES (160640, 362, 30, 'محل تجویز');
INSERT INTO `lang_definitions` VALUES (160641, 363, 30, 'مدیریت');
INSERT INTO `lang_definitions` VALUES (160642, 364, 30, 'مدیریت');
INSERT INTO `lang_definitions` VALUES (160643, 365, 30, 'سایت مدیریت');
INSERT INTO `lang_definitions` VALUES (160644, 366, 30, 'مدیران');
INSERT INTO `lang_definitions` VALUES (160645, 367, 30, 'مدیران می توانند هر کاری بکنند');
INSERT INTO `lang_definitions` VALUES (160646, 368, 30, 'تاریخ بستری');
INSERT INTO `lang_definitions` VALUES (160647, 369, 30, 'آدنکس');
INSERT INTO `lang_definitions` VALUES (160648, 370, 30, 'فرزند خوانده');
INSERT INTO `lang_definitions` VALUES (160649, 371, 30, 'غربالگری و پیگیری وزن فرد بالغ');
INSERT INTO `lang_definitions` VALUES (160650, 372, 30, 'غربالگری و پیگیری وزن فرد بالغ (CQM)');
INSERT INTO `lang_definitions` VALUES (160651, 373, 30, 'دستورالعمل پیشرفته');
INSERT INTO `lang_definitions` VALUES (160652, 374, 30, 'دستورالعمل های پیشرفته');
INSERT INTO `lang_definitions` VALUES (160653, 375, 30, 'هشدار دستورالعمل های پیشرفته');
INSERT INTO `lang_definitions` VALUES (160654, 376, 30, 'گزینه های پیشرفته');
INSERT INTO `lang_definitions` VALUES (160655, 377, 30, 'پیشرفته');
INSERT INTO `lang_definitions` VALUES (160656, 378, 30, 'پیشرفته - تنظیمات دقیقتر برای دسترسی');
INSERT INTO `lang_definitions` VALUES (160657, 379, 30, 'مزایا و معایب رمز عبور زمان دار و احراز هویت دو مرحله ای');
INSERT INTO `lang_definitions` VALUES (160658, 380, 30, 'توصیه');
INSERT INTO `lang_definitions` VALUES (160659, 381, 30, 'از دور');
INSERT INTO `lang_definitions` VALUES (160660, 382, 30, 'تاثیر گذاری نرمال');
INSERT INTO `lang_definitions` VALUES (160661, 383, 30, 'زبان افریقایی');
INSERT INTO `lang_definitions` VALUES (160662, 384, 30, 'بعد از');
INSERT INTO `lang_definitions` VALUES (160663, 385, 30, 'بعد از ظهر');
INSERT INTO `lang_definitions` VALUES (160664, 386, 30, 'تماس های بعد از ساعت اداری');
INSERT INTO `lang_definitions` VALUES (160665, 387, 30, 'پس از اینکه مهاجرت از مکانیزم رمز عبور قدیمی که در آن کلمه عبور در جدول کاربران بدون سالت است ذخیره می شود به پایان رسید، مقدار این پرچم باید به نادرست تغییر پیدا کند تا فقط احراز هویت با استفاده از روش جدید امکان پذیر باشد');
INSERT INTO `lang_definitions` VALUES (160666, 388, 30, 'پس از انجام تنظیمات بالا، گواهی کلاینت مدیریت را به مرورگر اضافه کنید و سرور آپاچی را راه اندازی مجدد کنید(رمز عبور خالی).');
INSERT INTO `lang_definitions` VALUES (160667, 390, 30, 'پس از ذخیره فایل های PDF، برای بررسی‌ اشتباهات [مشاهده صورت عملیات] را کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (160668, 391, 30, 'پس از ذخیره فایل های PDF، برای بررسی‌ اشتباهات [مشاهده صورت عملیات] را کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (160669, 393, 30, 'پس از ذخیره فایل های متنی، برای بررسی‌ اشتباهات [مشاهده صورت عملیات] را کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (160670, 394, 30, 'پس از ذخیره فایل های متنی، برای بررسی‌ اشتباهات [مشاهده صورت عملیات] را کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (160671, 396, 30, 'پس از ذخیره ستورات دسته ای، برای بررسی‌ اشتباهات [مشاهده صورت عملیات] را کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (160672, 397, 30, 'پس از ذخیره ستورات دسته ای، برای بررسی‌ اشتباهات [مشاهده صورت عملیات] را کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (160673, 398, 30, 'پس از آن ستون تطبیق ID بیمار انتخاب شده را نشان می دهد، و یا 0 که برای ایجاد بیمار جدید است.');
INSERT INTO `lang_definitions` VALUES (160674, 399, 30, 'پس از ورود اطلاعات صحیح، بر روی کلید ذخیره کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (160675, 400, 30, 'پس از بارگذاری بر روی دکمه وارد کردن کلیک کنید');
INSERT INTO `lang_definitions` VALUES (160676, 401, 30, 'پس از بارگذاری بر روی وارد کردن کلیک کنید');
INSERT INTO `lang_definitions` VALUES (160677, 402, 30, 'پس از اینکه صفحه را با دسته های ICD و کدهای مربوطه پر کردید به مدیریت > لیست ها بروید. دسته خدمات را از منوی کرکره ای انتخاب کنید.');
INSERT INTO `lang_definitions` VALUES (160678, 403, 30, 'پس از اینکه تمام کدهای ICD 10 را وارد کردید، به مدیریت > لیست ها بروید و \"کدهای نوع\" را از منوی کرکره ای انتخاب کنید. گزینه \"تشخیص ICD 10\" را از آخرین منوی کرکره ای زیر ICD 10 انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (160679, 404, 30, 'برنامه ریزی مراقبت');
INSERT INTO `lang_definitions` VALUES (160680, 406, 30, 'مجددا');
INSERT INTO `lang_definitions` VALUES (160681, 407, 30, 'سن');
INSERT INTO `lang_definitions` VALUES (160682, 408, 30, 'سن در هنگام مرگ');
INSERT INTO `lang_definitions` VALUES (160683, 409, 30, 'سن در هنگام');
INSERT INTO `lang_definitions` VALUES (160684, 410, 30, 'رده سنی');
INSERT INTO `lang_definitions` VALUES (160685, 411, 30, 'داده مربوط به سن خارج از محدوده سنی مجاز است.');
INSERT INTO `lang_definitions` VALUES (160686, 412, 30, 'فرمت نمایش سن');
INSERT INTO `lang_definitions` VALUES (160687, 413, 30, 'فرمت سن برای \" از سن\" غیرمعتبر است');
INSERT INTO `lang_definitions` VALUES (160688, 414, 30, 'فرمت سن برای \" تا سن\" غیر معتبراست.');
INSERT INTO `lang_definitions` VALUES (160689, 415, 30, 'از سن');
INSERT INTO `lang_definitions` VALUES (160690, 416, 30, 'سن به سال برای تغییر فرمت نمایش');
INSERT INTO `lang_definitions` VALUES (160691, 417, 30, 'حداکثر سن');
INSERT INTO `lang_definitions` VALUES (160692, 418, 30, 'حداقل سن');
INSERT INTO `lang_definitions` VALUES (160693, 419, 30, 'محدوده سنی');
INSERT INTO `lang_definitions` VALUES (160694, 420, 30, 'ستون های سنی');
INSERT INTO `lang_definitions` VALUES (160695, 421, 30, 'ستون های سنی');
INSERT INTO `lang_definitions` VALUES (160696, 422, 30, 'آکان');
INSERT INTO `lang_definitions` VALUES (160697, 423, 30, 'آلبانیایی');
INSERT INTO `lang_definitions` VALUES (160698, 424, 30, 'الکل');
INSERT INTO `lang_definitions` VALUES (160699, 425, 30, 'مصرف الکل');
INSERT INTO `lang_definitions` VALUES (160700, 426, 30, 'مصرف الکل');
INSERT INTO `lang_definitions` VALUES (160701, 427, 30, 'هوشیار');
INSERT INTO `lang_definitions` VALUES (160702, 428, 30, 'تعداد هشدار');
INSERT INTO `lang_definitions` VALUES (160703, 430, 30, 'هشدار در و بعد از روز تولد');
INSERT INTO `lang_definitions` VALUES (160704, 431, 30, 'هشدار در و تا 28 روز بعد از تولد');
INSERT INTO `lang_definitions` VALUES (160705, 432, 30, 'هشدار در روز تولد بیمار');
INSERT INTO `lang_definitions` VALUES (160706, 433, 30, 'هشدار فقط در روز تولد');
INSERT INTO `lang_definitions` VALUES (160707, 434, 30, 'زمان هشدار');
INSERT INTO `lang_definitions` VALUES (160708, 435, 30, 'هشدارها');
INSERT INTO `lang_definitions` VALUES (160709, 436, 30, 'لیست هشدارها');
INSERT INTO `lang_definitions` VALUES (160710, 437, 30, 'هشدار / یادآوری ها');
INSERT INTO `lang_definitions` VALUES (160711, 438, 30, 'هشدار {{وضعیت روانی}}');
INSERT INTO `lang_definitions` VALUES (160712, 439, 30, 'الیوت');
INSERT INTO `lang_definitions` VALUES (160713, 440, 30, 'همه');
INSERT INTO `lang_definitions` VALUES (160714, 441, 30, 'همه');
INSERT INTO `lang_definitions` VALUES (160715, 442, 30, 'همه');
INSERT INTO `lang_definitions` VALUES (160716, 443, 30, 'همه (گردآوری فرمت A)');
INSERT INTO `lang_definitions` VALUES (160717, 444, 30, 'همه (گردآوری فرمت B)');
INSERT INTO `lang_definitions` VALUES (160718, 445, 30, 'همه (تجمعی)');
INSERT INTO `lang_definitions` VALUES (160719, 446, 30, 'همه هشدارها');
INSERT INTO `lang_definitions` VALUES (160720, 447, 30, 'همه محاسبات اندازه خودکار (AMC)');
INSERT INTO `lang_definitions` VALUES (160721, 448, 30, 'همه طبقه بندی ها');
INSERT INTO `lang_definitions` VALUES (160722, 449, 30, 'همه اقدامات کیفیت بالینی (CQM)');
INSERT INTO `lang_definitions` VALUES (160723, 450, 30, 'همه کدها');
INSERT INTO `lang_definitions` VALUES (160724, 452, 30, 'همه تاریخ ها');
INSERT INTO `lang_definitions` VALUES (160725, 453, 30, 'تمام روز');
INSERT INTO `lang_definitions` VALUES (160726, 454, 30, 'رویداد برای همه روز');
INSERT INTO `lang_definitions` VALUES (160727, 455, 30, 'همه خصیصه های فردی، همراه با امکان جست و جو و چک کردن تکراری ها');
INSERT INTO `lang_definitions` VALUES (160728, 456, 30, 'همه برخوردها');
INSERT INTO `lang_definitions` VALUES (160729, 457, 30, 'همه درمانگاه ها');
INSERT INTO `lang_definitions` VALUES (160730, 458, 30, 'همه صدمات/مشکلات/مسائل');
INSERT INTO `lang_definitions` VALUES (160731, 459, 30, 'همه زبان های مجاز');
INSERT INTO `lang_definitions` VALUES (160732, 460, 30, 'همه پیام ها');
INSERT INTO `lang_definitions` VALUES (160733, 461, 30, 'همه اندازه های کیفی بالینی رسمی (CQM) گروه اندازه گیری');
INSERT INTO `lang_definitions` VALUES (160734, 462, 30, 'همه یا بخشی از نام');
INSERT INTO `lang_definitions` VALUES (160735, 463, 30, 'همه یا بخشی از نام خانوادگی');
INSERT INTO `lang_definitions` VALUES (160736, 464, 30, 'همه یا بخشی از سازمان');
INSERT INTO `lang_definitions` VALUES (160737, 465, 30, 'همه فعالیت های بیماران در OpenEMR به ویزیت های آنها لینک شده است');
INSERT INTO `lang_definitions` VALUES (160738, 466, 30, 'همه بیماران');
INSERT INTO `lang_definitions` VALUES (160739, 467, 30, 'همه پیامهای معلق در  پنجره پیام های من نمایش داده میشوند');
INSERT INTO `lang_definitions` VALUES (160740, 468, 30, 'همه محصولات');
INSERT INTO `lang_definitions` VALUES (160741, 469, 30, 'همه ارائه دهندگان خدمات');
INSERT INTO `lang_definitions` VALUES (160742, 470, 30, 'همه بررسی‌ شده و منفی‌ ها:');
INSERT INTO `lang_definitions` VALUES (160743, 472, 30, 'همه بخش ها برای بیمار مورد نیاز نیست، بلکه، آنها بر اساس تشخیص پزشک به عنوان اطلاعات ضروری برای هر بیمار در هر لحظه فعال میشوند');
INSERT INTO `lang_definitions` VALUES (160744, 473, 30, 'اطلاعات تکمیل شد. برای اتمام ثبت نام بر روی ارسال درخواست کلیک کنید');
INSERT INTO `lang_definitions` VALUES (160745, 475, 30, 'همه عناوین');
INSERT INTO `lang_definitions` VALUES (160746, 476, 30, 'تمام برنامه های احراز هویت TOTP از الگوریتم و تابع هش امن - HMAC-SHA1 برای تولید کلید های منحصر به فرد استفاده میکنند');
INSERT INTO `lang_definitions` VALUES (160747, 477, 30, 'تمام تراکنش ها برای بیمار در صفحه تراکنش ها به ترتیب نزولی بر اساس تاریخ آن ایجاد ظاهر خواهد شد');
INSERT INTO `lang_definitions` VALUES (160748, 478, 30, 'همه کاربران');
INSERT INTO `lang_definitions` VALUES (160749, 479, 30, 'حساسیتی');
INSERT INTO `lang_definitions` VALUES (160750, 480, 30, 'حساس به');
INSERT INTO `lang_definitions` VALUES (160751, 481, 30, 'حساسیت ها');
INSERT INTO `lang_definitions` VALUES (160752, 482, 30, 'آلرژی ها - آلرژی های لیست شده در مشکلات > آلرژی ها را نشان می دهد. اگر ERX فعال است لیست آلرژی باید در صفحه ERX وارد شود');
INSERT INTO `lang_definitions` VALUES (160753, 483, 30, 'آلرژی / داده حساس');
INSERT INTO `lang_definitions` VALUES (160754, 484, 30, 'حساسیت ها:');
INSERT INTO `lang_definitions` VALUES (160755, 485, 30, 'حساسیت');
INSERT INTO `lang_definitions` VALUES (160756, 486, 30, 'ورود آلرژی با موفقیت به پایان رسید');
INSERT INTO `lang_definitions` VALUES (160757, 487, 30, 'لیست مشکل آلرژی');
INSERT INTO `lang_definitions` VALUES (160758, 488, 30, 'واکنش آلرژی');
INSERT INTO `lang_definitions` VALUES (160759, 489, 30, 'هشدار آلرژی');
INSERT INTO `lang_definitions` VALUES (160760, 490, 30, 'هشدار آلرژی');
INSERT INTO `lang_definitions` VALUES (160761, 491, 30, 'اختصاص');
INSERT INTO `lang_definitions` VALUES (160762, 492, 30, 'اجازه');
INSERT INTO `lang_definitions` VALUES (160763, 493, 30, 'اجازه حذف بیماران توسط مدیران');
INSERT INTO `lang_definitions` VALUES (160764, 494, 30, 'اجازه انتخاب تمام زبان های موجود در منوی ورود به سیستم');
INSERT INTO `lang_definitions` VALUES (160765, 495, 30, 'اجازه ثبت ورود قبل از زمان ویزیت');
INSERT INTO `lang_definitions` VALUES (160766, 496, 30, 'اجازه ایجاد گزارش حاوی تشخیص ولی بدون هزینه و اقدام. اکثر کلینیک ها از این گزینه استفاده نمیکنند');
INSERT INTO `lang_definitions` VALUES (160767, 497, 30, 'اجازه رفع اشکال زبان');
INSERT INTO `lang_definitions` VALUES (160768, 499, 30, 'اجازه ورود زودتر از موعد');
INSERT INTO `lang_definitions` VALUES (160769, 500, 30, 'اجازه ایمیل');
INSERT INTO `lang_definitions` VALUES (160770, 501, 30, 'اجازه پیام های ایمیل؟');
INSERT INTO `lang_definitions` VALUES (160771, 502, 30, 'اجازه ایمیل؟');
INSERT INTO `lang_definitions` VALUES (160772, 503, 30, 'اجازه صدور فاکتور ویزیت');
INSERT INTO `lang_definitions` VALUES (160773, 504, 30, 'اجازه صدور فرم ویزیت برای هر وقت رزرو شده');
INSERT INTO `lang_definitions` VALUES (160774, 505, 30, 'اجازه تبادل اطلاعات پزشکی');
INSERT INTO `lang_definitions` VALUES (160775, 506, 30, 'اجازه تبادل اطلاعات پزشکی');
INSERT INTO `lang_definitions` VALUES (160776, 507, 30, 'اجازه به اشتراک گذاشتن اطلاعات واکسیناسیون');
INSERT INTO `lang_definitions` VALUES (160777, 508, 30, 'اجازه به اشتراک گذاشتن اطلاعات واکسیناسیون');
INSERT INTO `lang_definitions` VALUES (160778, 509, 30, 'اجازه استفاده از رجیستری واکسیناسیون');
INSERT INTO `lang_definitions` VALUES (160779, 510, 30, 'اجازه پشتیبانی از بیمه های شرکتی');
INSERT INTO `lang_definitions` VALUES (160780, 511, 30, 'اجازه بررسی واجد شرایط بودن بیمه با استفاده از دفتر متحد');
INSERT INTO `lang_definitions` VALUES (160781, 512, 30, 'اجازه پیام ایمیلی');
INSERT INTO `lang_definitions` VALUES (160782, 514, 30, 'اجازه پایگاه داده های متعدد');
INSERT INTO `lang_definitions` VALUES (160783, 516, 30, 'اجازه اعلان');
INSERT INTO `lang_definitions` VALUES (160784, 521, 30, 'اجازه ویجت ایجاد بیمار جدید در محل');
INSERT INTO `lang_definitions` VALUES (160785, 522, 30, 'اجازه قرار ملاقلت آنلاین در محل');
INSERT INTO `lang_definitions` VALUES (160786, 523, 30, 'اجازه پرداخت آنلاین در محل');
INSERT INTO `lang_definitions` VALUES (160787, 524, 30, 'اجازه چت آنلاین در محل');
INSERT INTO `lang_definitions` VALUES (160788, 525, 30, 'اجازه دفتر کل بیمار در محل');
INSERT INTO `lang_definitions` VALUES (160789, 526, 30, 'اجازه به بیمار در محل برای ایجاد و مشاهده قرارهای ملاقات به صورت آنلاین');
INSERT INTO `lang_definitions` VALUES (160790, 527, 30, 'اجازه به بیمار در محل برای پرداخت آنلاین');
INSERT INTO `lang_definitions` VALUES (160791, 528, 30, 'اجازه به بیمار در محل برای استفاده از برنامه چت');
INSERT INTO `lang_definitions` VALUES (160792, 529, 30, 'اجازه به بیمار در محل برای مشاهده دفتر حسابداری خود به صورت آنلاین');
INSERT INTO `lang_definitions` VALUES (160793, 530, 30, 'اجازه به بیمار در محل برای تنظیم مجدد اطلاعاتش');
INSERT INTO `lang_definitions` VALUES (160794, 531, 30, 'اجازه انتخاب بیماران در صفحه فلوچارت بیماران برای تست دارو');
INSERT INTO `lang_definitions` VALUES (160795, 533, 30, 'اجازه پورتال بیمار');
INSERT INTO `lang_definitions` VALUES (160796, 539, 30, 'اجازه نامه پستی');
INSERT INTO `lang_definitions` VALUES (160797, 541, 30, 'اجازه SMS');
INSERT INTO `lang_definitions` VALUES (160798, 542, 30, 'اجازه SMS (پیام های متنی)؟');
INSERT INTO `lang_definitions` VALUES (160799, 543, 30, 'اجازه استثنای بیانیه از چاپ شدن');
INSERT INTO `lang_definitions` VALUES (160800, 544, 30, 'اجازه فعال شدن لحظه ای رویدادهای ارسال شده ؟');
INSERT INTO `lang_definitions` VALUES (160801, 545, 30, 'اجازه پیام تلفنی؟');
INSERT INTO `lang_definitions` VALUES (160802, 546, 30, 'اجازه استفاده از چند پایگاه داده');
INSERT INTO `lang_definitions` VALUES (160803, 547, 30, 'اجازه کاربران برای انتشار وقایع سراسری');
INSERT INTO `lang_definitions` VALUES (160804, 548, 30, 'اجازه کاربران برای انتشار تقویم شخصی');
INSERT INTO `lang_definitions` VALUES (160805, 549, 30, 'اجازه استفاده از ویجت نسخه 2 برای ثبت بیماران جدید در محل');
INSERT INTO `lang_definitions` VALUES (160806, 550, 30, 'اجازه نسخه 2 پرداخت آنلاین در محل');
INSERT INTO `lang_definitions` VALUES (160807, 551, 30, 'اجازه نسخه 2 پرداخت آنلاین در محل برای بیماران');
INSERT INTO `lang_definitions` VALUES (160808, 552, 30, 'اجازه بیماران نسخه 2 به تنظیم مجدد مشخصاتشان');
INSERT INTO `lang_definitions` VALUES (160809, 553, 30, 'اجازه تماس صوتی');
INSERT INTO `lang_definitions` VALUES (160810, 554, 30, 'اجازه پیام صوتی');
INSERT INTO `lang_definitions` VALUES (160811, 555, 30, 'مجاز');
INSERT INTO `lang_definitions` VALUES (160812, 556, 30, 'زبان های مجاز');
INSERT INTO `lang_definitions` VALUES (160813, 557, 30, 'مجاز به تخفیف در قیمت ها(دز فاکتور یا فرم ترخیص)(تخفیف)');
INSERT INTO `lang_definitions` VALUES (160814, 558, 30, 'مجاز');
INSERT INTO `lang_definitions` VALUES (160815, 559, 30, 'اجازه به استفاده از امضای الکترونیکی در طول درمان');
INSERT INTO `lang_definitions` VALUES (160816, 560, 30, 'اجازه به استفاده از امضای الکترونیکی در تک فرم ها');
INSERT INTO `lang_definitions` VALUES (160817, 561, 30, 'اجازه به استفاده از ایمیل');
INSERT INTO `lang_definitions` VALUES (160818, 562, 30, 'اجازه به پیام های صوتی');
INSERT INTO `lang_definitions` VALUES (160819, 565, 30, 'از قبل در بالای صفحه وجود دارد');
INSERT INTO `lang_definitions` VALUES (160820, 566, 30, 'از قبل وجود دارد');
INSERT INTO `lang_definitions` VALUES (160821, 568, 30, 'از قبل وجود دارد.');
INSERT INTO `lang_definitions` VALUES (160822, 569, 30, 'قبلا ثبت نام شده است');
INSERT INTO `lang_definitions` VALUES (160823, 570, 30, 'پیش از این استفاده شده است، شناسه دیگری انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (160824, 571, 30, 'پیش از این استفاده شده است، عنوان دیگری انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (160825, 572, 30, 'همچنین در گزارش های بیمار شرح مختصری از ویزیت بیمار فراهم میکند');
INSERT INTO `lang_definitions` VALUES (160826, 573, 30, 'آدرس دوم');
INSERT INTO `lang_definitions` VALUES (160827, 577, 30, 'تغییر');
INSERT INTO `lang_definitions` VALUES (160828, 578, 30, 'تست دوم پوششی');
INSERT INTO `lang_definitions` VALUES (160829, 579, 30, 'همچنین از کد CPT میتوان استفاده کرد. کد سرم اسید اوریک 84550 است');
INSERT INTO `lang_definitions` VALUES (160830, 580, 30, 'همچنین میتوانید با کلیک بر روی دانلود یک نسخع نمونه صفحه گسترده دانلود کنید');
INSERT INTO `lang_definitions` VALUES (160831, 581, 30, 'همچنین میتوان با کلیک بر روی منوی پیام ها در نوارد کاربری بالای صفحه دسترسی پیدا کرد');
INSERT INTO `lang_definitions` VALUES (160832, 582, 30, 'همچنین میتوانید تمام آیتم های انتخاب شده را پاک کنید و فقط آیتم های مورد نظر برای گزارش را انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (160833, 583, 30, 'همچنین میتوانید حواله الکترونیکی یا رسید پرداخت خود را آپلود کنید. برای این کار در بخش \"انتخاب روش\" \"آپلود رسید\" را انتخاب کنید که باعث نمایش بخش \"آپلود رسید\" میشود');
INSERT INTO `lang_definitions` VALUES (160834, 584, 30, 'همچنین شما میتوانید با استفاده از صفحه جست و جو رسید الکترونیکی یا رسید پرداخت خود را آپلود کنید.این کار را می توانید با کلیک روی دکمه Browse و انتخاب فایل برای آپلود و سپس کلیک بر روی Search برای بارگذاری و نمایش فاکتورهای مربوطه انجام دهید. در این حالت سایر پارامترهای ذکر شده در بالا اعمال نمی شوند و نادیده گرفته می شوند.بارگذاری فایل باعث ذخیره آن میشود ولی محتوای آن هنوز پردازش نشده است و لازم است که به صورت جداگانه انجام شود که شرح آن در زیر آمده است.');
INSERT INTO `lang_definitions` VALUES (160835, 585, 30, 'اگر چه HCFA-1500 در اصل برای ارسال ادعاهای مدیکر توسعه داده شد، آن را در نهایت همه / حامل بیمه تجاری خصوصی برای تسهیل استاندارد سازی فرایند ادعاهای پذیرفته شد');
INSERT INTO `lang_definitions` VALUES (160836, 586, 30, 'صبح');
INSERT INTO `lang_definitions` VALUES (160837, 587, 30, 'برنامه صبح');
INSERT INTO `lang_definitions` VALUES (160838, 588, 30, 'تنبلی چشم');
INSERT INTO `lang_definitions` VALUES (160839, 589, 30, 'آمبولانس - هوایی یا آبی');
INSERT INTO `lang_definitions` VALUES (160840, 590, 30, 'آمبولانس - زمین');
INSERT INTO `lang_definitions` VALUES (160841, 591, 30, 'مرکز جراحی سرپایی');
INSERT INTO `lang_definitions` VALUES (160842, 592, 30, 'محاسبات اندازه خودکار');
INSERT INTO `lang_definitions` VALUES (160843, 593, 30, 'پیگیری محاسبات اندازه خودکار');
INSERT INTO `lang_definitions` VALUES (160844, 594, 30, 'محاسبات اندازه خودکار 2011');
INSERT INTO `lang_definitions` VALUES (160845, 595, 30, 'محاسبات اندازه خودکار 2014');
INSERT INTO `lang_definitions` VALUES (160846, 596, 30, 'محاسبات اندازه خودکار 2014 مرحله اول');
INSERT INTO `lang_definitions` VALUES (160847, 597, 30, 'محاسبات اندازه خودکار 2014 مرحله دوم');
INSERT INTO `lang_definitions` VALUES (160848, 598, 30, 'تباهی لکه زرد {{دژنراسیون ماکولا}}');
INSERT INTO `lang_definitions` VALUES (160849, 599, 30, 'اصلاح پیام های موجود');
INSERT INTO `lang_definitions` VALUES (160850, 600, 30, 'اصلاح نوشته های موجود');
INSERT INTO `lang_definitions` VALUES (160851, 602, 30, 'اصلاحیه از');
INSERT INTO `lang_definitions` VALUES (160852, 603, 30, 'لیست اصلاحات');
INSERT INTO `lang_definitions` VALUES (160853, 604, 30, 'وضعیت اصلاحیه');
INSERT INTO `lang_definitions` VALUES (160854, 605, 30, 'اصلاحات');
INSERT INTO `lang_definitions` VALUES (160855, 606, 30, 'اصلاحات(نوشتن، قابلیت اصلاح اختیاری)');
INSERT INTO `lang_definitions` VALUES (160856, 607, 30, 'اصلاحات(نوشتن، قابلیت اصلاح اختیاری)(اصلاح)');
INSERT INTO `lang_definitions` VALUES (160857, 608, 30, 'اصلاحات - کاربر را قادر می سازد تا پرونده تحت تأثیر درخواست بیمار برای اصلاح را به صورت الکترونیکی انتخاب کند و یا اصلاحیه را به پرونده تحت تأثیر ضمیمه کند یا لینکی را نشان دهد که محل اصلاحیه را نشان می دهد اضافه کند');
INSERT INTO `lang_definitions` VALUES (160858, 609, 30, 'اصلاحات برای');
INSERT INTO `lang_definitions` VALUES (160859, 610, 30, 'سرخپوستان آمریکایی');
INSERT INTO `lang_definitions` VALUES (160860, 611, 30, 'سرخپوستان آمریکایی یا بومی آلاسکا');
INSERT INTO `lang_definitions` VALUES (160861, 612, 30, 'آمریکن اکسپرس');
INSERT INTO `lang_definitions` VALUES (160862, 613, 30, 'امهری');
INSERT INTO `lang_definitions` VALUES (160863, 614, 30, 'مقدار');
INSERT INTO `lang_definitions` VALUES (160864, 615, 30, 'مقدار تجویز شده');
INSERT INTO `lang_definitions` VALUES (160865, 616, 30, 'مقدار تزریق شده');
INSERT INTO `lang_definitions` VALUES (160866, 617, 30, 'مقدار تجویز');
INSERT INTO `lang_definitions` VALUES (160867, 618, 30, 'مقدار تجویز:');
INSERT INTO `lang_definitions` VALUES (160868, 619, 30, 'میزان سررسید');
INSERT INTO `lang_definitions` VALUES (160869, 620, 30, 'میزان برای حساب گذشته');
INSERT INTO `lang_definitions` VALUES (160870, 621, 30, 'مبلغ بابت این ملاقات');
INSERT INTO `lang_definitions` VALUES (160871, 622, 30, 'مبلغ پرداخت شده');
INSERT INTO `lang_definitions` VALUES (160872, 623, 30, 'مبلغ:');
INSERT INTO `lang_definitions` VALUES (160873, 624, 30, 'دامنه');
INSERT INTO `lang_definitions` VALUES (160874, 625, 30, 'آمسلر گريد');
INSERT INTO `lang_definitions` VALUES (160875, 626, 30, 'مبلغ صورتحساب');
INSERT INTO `lang_definitions` VALUES (160876, 627, 30, 'با کلیک بر روی نماد تقویم در آن سلول ، می توان قرار ملاقات را تعیین کرد');
INSERT INTO `lang_definitions` VALUES (160877, 628, 30, 'ایمیلی با مشخصات حساب جدید شما به آدرس ایمیلی که قبلاً وارد کردید ارسال می شود. هنوز هم می توانید با استفاده از دکمه های مرحله در بالای صفحه برای رفتن به پنل های مناسب ، هر قسمت از اطلاعات خود را مرور یا ویرایش کنید. مطمئن شوید آدرس ایمیل خود را صحیح وارد کرده اید. اگر پس از دریافت ایمیل در دسترسی به پورتال مشکل دارید ، لطفا با پشتیبانی تماس بگیرید.');
INSERT INTO `lang_definitions` VALUES (160878, 629, 30, 'یک دستور الکترونیکی و نتیجه برگشتی به صورت پیامی، پیام HL7 نامیده میشود. HL7 مخفف سطح سلامتی 7 است. هدف اصلی HL7 ساده سازی اجرای رابط های بین برنامه های نرم افزاری مراقبت های بهداشتی و تامین کنندگان مختلف است تا از این طریق دردسر و هزینه های برنامه نویسی رابط سفارشی کاهش یابد.');
INSERT INTO `lang_definitions` VALUES (160879, 630, 30, 'تاریخ پایان بعد از تاریخ شروع برای رویدادهای تکرار شونده مورد نیاز است!');
INSERT INTO `lang_definitions` VALUES (160880, 631, 30, 'در امضای فرم خطایی رخ داده است');
INSERT INTO `lang_definitions` VALUES (160881, 632, 30, 'خطایی در ذخیره خروجی دایرکتوری درختی برنامه OpenEMR رخ داد');
INSERT INTO `lang_definitions` VALUES (160882, 633, 30, 'خطایی در ذخیره خروجی دایرکتوری درختی برنامه phpGACL رخ داد');
INSERT INTO `lang_definitions` VALUES (160883, 634, 30, 'خطایی در ذخیره خروجی دایرکتوری درختی برنامه SQL-Ledger رخ داد');
INSERT INTO `lang_definitions` VALUES (160884, 635, 30, 'خطایی رخ داد: فایل انتخاب شده برای آپلود پیدا نشد: دکمه بازگشت را بزنید!');
INSERT INTO `lang_definitions` VALUES (160885, 636, 30, 'یک مفهوم مهم برای درک این است که هنگامی که secret key تحویل شده از طریق کد QR توسط برنامه احراز هویت گرفته می شود ، دیگر ارتباطی بین برنامه و OpenEMR وجود ندارد ، هر یک از زمان UNIX فعلی و کپی آن از secret key مشترک کاربر برای تولید یک شماره 6 رقمی منحصر به فرد یکسان استفاده میکنند.');
INSERT INTO `lang_definitions` VALUES (160886, 637, 30, 'نکته مهمی که باید بخاطر بسپارید این است که آزمونهای مختلف افراد در هر پنل به عنوان نتایج لیست شده اند ، شما نمی توانید مستقیماً تک تک این تستها را سفارش دهید');
INSERT INTO `lang_definitions` VALUES (160887, 638, 30, 'یک مورد ناقص جهانی مراقبت از سقط جنین ایجاد و پیوند داده شده است. بعداً باید شخصی آن را تکمیل کند.');
INSERT INTO `lang_definitions` VALUES (160888, 639, 30, 'یک موضوع مربوط به موارد مرتبط با سلامتی بیمار');
INSERT INTO `lang_definitions` VALUES (160889, 640, 30, 'یک مسئله یک مشکل پزشکی ، آلرژی ، دارو ، جراحی یا مسئله دندانپزشکی است');
INSERT INTO `lang_definitions` VALUES (160890, 641, 30, 'اکنون یک سفارش با موفقیت ایجاد شده است ، اما مکانی برای دریافت و مستند کردن نتیجه برگشتی هنوز وجود ندارد و باید ایجاد شود');
INSERT INTO `lang_definitions` VALUES (160891, 642, 30, 'نتیجه ای برای مشکل - حل شده ، بهبود یافته ، وضعیت موجود ، بدتر ، در انتظار پیگیری یا خالی به عنوان تعیین نشده');
INSERT INTO `lang_definitions` VALUES (160892, 643, 30, 'خطایی تعریف نشده رخ داد ، لطفاً با سرپرست سیستم خود تماس بگیرید.');
INSERT INTO `lang_definitions` VALUES (160893, 644, 30, 'یک خطای غیر منتظره رخ داده است.');
INSERT INTO `lang_definitions` VALUES (160894, 645, 30, 'یک قرار ملاقات به روز رسانی شده');
INSERT INTO `lang_definitions` VALUES (160895, 646, 30, 'حرف بزرگ');
INSERT INTO `lang_definitions` VALUES (160896, 647, 30, 'تجزیه و تحلیل شده');
INSERT INTO `lang_definitions` VALUES (160897, 648, 30, 'و');
INSERT INTO `lang_definitions` VALUES (160898, 649, 30, 'و');
INSERT INTO `lang_definitions` VALUES (160899, 650, 30, 'و');
INSERT INTO `lang_definitions` VALUES (160900, 651, 30, 'و');
INSERT INTO `lang_definitions` VALUES (160901, 652, 30, 'و همه داده های تابع؟ این اقدام ثبت خواهد شد');
INSERT INTO `lang_definitions` VALUES (160902, 653, 30, 'و اصلاح کننده');
INSERT INTO `lang_definitions` VALUES (160903, 654, 30, 'و پردازش شده');
INSERT INTO `lang_definitions` VALUES (160904, 656, 30, 'و راه اندازی مجدد سرور آپاچی.');
INSERT INTO `lang_definitions` VALUES (160905, 657, 30, 'و دلیل آن این است');
INSERT INTO `lang_definitions` VALUES (160906, 658, 30, 'اندروید');
INSERT INTO `lang_definitions` VALUES (160907, 659, 30, 'کم خونی');
INSERT INTO `lang_definitions` VALUES (160908, 660, 30, 'مچ پا');
INSERT INTO `lang_definitions` VALUES (160909, 661, 30, 'مچ پا + پاشنه');
INSERT INTO `lang_definitions` VALUES (160910, 662, 30, 'فرم ارزیابی مچ پا');
INSERT INTO `lang_definitions` VALUES (160911, 663, 30, 'مشکلات مچ پا');
INSERT INTO `lang_definitions` VALUES (160912, 664, 30, 'روماتیسم ستون فقرات(اسپوندیلیت آنکیلوزان)');
INSERT INTO `lang_definitions` VALUES (160913, 665, 30, 'روماتیسم ستون فقرات(اسپوندیلیت آنکیلوزان)');
INSERT INTO `lang_definitions` VALUES (160914, 666, 30, 'بی‌اشتهایی عصبی (Anorexia)');
INSERT INTO `lang_definitions` VALUES (160915, 667, 30, 'کار دیگری که می توانید در پنجره ارسال انجام دهید درخواست صورتحساب ثانویه است.اگر قبل از ذخیره این کادر تأیید را انتخاب کنید ، ادعای اصلی دوباره باز می شود و در صفحه صورتحساب در صف قرار میگیرد و در طول صورتحساب بعدی پردازش می شود.');
INSERT INTO `lang_definitions` VALUES (160916, 668, 30, 'روش دیگر برای انتخاب کد ICD برای توجیه کد CPT4 کلیک روی برچسب CPT4 در ابتدای ردیف است');
INSERT INTO `lang_definitions` VALUES (160917, 669, 30, 'سرویس پاسخگویی');
INSERT INTO `lang_definitions` VALUES (160918, 671, 30, 'پیشین');
INSERT INTO `lang_definitions` VALUES (160919, 672, 30, 'عمق اتاق قدامی چشم');
INSERT INTO `lang_definitions` VALUES (160920, 673, 30, 'اتاقک پیشین چشم');
INSERT INTO `lang_definitions` VALUES (160921, 674, 30, 'مقادیر پیش فرض اتاقک پیشین چشم');
INSERT INTO `lang_definitions` VALUES (160922, 675, 30, 'پیشین{{پیشین}}');
INSERT INTO `lang_definitions` VALUES (160923, 676, 30, 'معاینه مقعد نرمال، عدم وجود حساسیت در لمس و توده');
INSERT INTO `lang_definitions` VALUES (160924, 677, 30, 'اضطراب');
INSERT INTO `lang_definitions` VALUES (160925, 678, 30, 'هر');
INSERT INTO `lang_definitions` VALUES (160926, 679, 30, 'هر');
INSERT INTO `lang_definitions` VALUES (160927, 680, 30, 'هرگونه اطلاعات اضافی مربوط به این ارائه دهنده');
INSERT INTO `lang_definitions` VALUES (160928, 681, 30, 'صدای carotid bruits از قلب شنیده شده ؟');
INSERT INTO `lang_definitions` VALUES (160929, 682, 30, 'هر دسته بندی');
INSERT INTO `lang_definitions` VALUES (160930, 683, 30, 'هرگونه تغییر در اینجا قبل از اضافه شدن به چارت توسط کارکنان ارائه دهنده بررسی می شود. موارد زیر اعمال می شود');
INSERT INTO `lang_definitions` VALUES (160931, 685, 30, 'هر تغییری که باید در این مورد خاص ایجاد کنید باید در اینجا ایجاد و ذخیره شود');
INSERT INTO `lang_definitions` VALUES (160932, 686, 30, 'هر تاریخی');
INSERT INTO `lang_definitions` VALUES (160933, 687, 30, 'هر جمعیت جستجو');
INSERT INTO `lang_definitions` VALUES (160934, 688, 30, 'هر بخشی از کد مورد نظر و یا توضیحات آن');
INSERT INTO `lang_definitions` VALUES (160935, 689, 30, 'هر بخشی از تخصص مورد نظر');
INSERT INTO `lang_definitions` VALUES (160936, 690, 30, 'هر بخشی از شناسه یا نام دارو');
INSERT INTO `lang_definitions` VALUES (160937, 691, 30, 'هر بخشی از شناسه یا نام ایمن سازی(واکسن)');
INSERT INTO `lang_definitions` VALUES (160938, 692, 30, 'هر بخشی از نام بیمار ، یا  \"نام، نام خانوادگی\" یا  \"X-Y \"');
INSERT INTO `lang_definitions` VALUES (160939, 693, 30, 'هرگونه اطلاعات مرتبط دیگر');
INSERT INTO `lang_definitions` VALUES (160940, 694, 30, 'اتفاق دیگری در همان زمان رخ می دهد؟');
INSERT INTO `lang_definitions` VALUES (160941, 696, 30, 'پرسش و پاسخ AOE');
INSERT INTO `lang_definitions` VALUES (160942, 697, 30, 'نقص مردمک اوران');
INSERT INTO `lang_definitions` VALUES (160943, 699, 30, 'کلید API برای پنل اس ام اس');
INSERT INTO `lang_definitions` VALUES (160944, 703, 30, 'آپنه');
INSERT INTO `lang_definitions` VALUES (160945, 704, 30, 'برنامه');
INSERT INTO `lang_definitions` VALUES (160946, 710, 30, 'ظاهر');
INSERT INTO `lang_definitions` VALUES (160947, 711, 30, 'ظاهر:');
INSERT INTO `lang_definitions` VALUES (160948, 712, 30, 'اضافه کردن');
INSERT INTO `lang_definitions` VALUES (160949, 713, 30, 'اضافه کردن این پیام');
INSERT INTO `lang_definitions` VALUES (160950, 714, 30, 'اضافه کردن این یادداشت');
INSERT INTO `lang_definitions` VALUES (160951, 715, 30, 'اضافه به پیام های موجود');
INSERT INTO `lang_definitions` VALUES (160952, 716, 30, 'پیوست به یادداشت موجود');
INSERT INTO `lang_definitions` VALUES (160953, 717, 30, 'پیوست به این یادداشت');
INSERT INTO `lang_definitions` VALUES (160954, 718, 30, 'پیوست به این یادداشت');
INSERT INTO `lang_definitions` VALUES (160955, 719, 30, 'آپاندکتومی(برداشتن اپاندیس)');
INSERT INTO `lang_definitions` VALUES (160956, 720, 30, 'آپاندکتومی(برداشتن اپاندیس)');
INSERT INTO `lang_definitions` VALUES (160957, 721, 30, 'بیماران قابل اجرا');
INSERT INTO `lang_definitions` VALUES (160958, 722, 30, 'کاربرد');
INSERT INTO `lang_definitions` VALUES (160959, 723, 30, 'نام برنامه برای صفحه ورود و عنوان پنجره اصلی.');
INSERT INTO `lang_definitions` VALUES (160960, 724, 30, 'کد گیرنده نرم افزار (GS03 - اگر خالی باشد ISA08 استفاده خواهد شد)');
INSERT INTO `lang_definitions` VALUES (160961, 725, 30, 'برنامه فرستنده کد (GS02)');
INSERT INTO `lang_definitions` VALUES (160962, 726, 30, 'عنوان برنامه');
INSERT INTO `lang_definitions` VALUES (160963, 727, 30, 'به فرم علائم حیاتی و نمودار رشد اعمال می شود');
INSERT INTO `lang_definitions` VALUES (160964, 728, 30, 'به فرم علائم حیاتی اعمال می شود');
INSERT INTO `lang_definitions` VALUES (160965, 729, 30, 'فقط در رویداد فعلی ، در این رویداد و رویدادهای آینده، و یا در همه رویدادها تغییرات اعمال شود؟');
INSERT INTO `lang_definitions` VALUES (160966, 730, 30, 'به مناطق آسیب دیده اعمال شود');
INSERT INTO `lang_definitions` VALUES (160967, 731, 30, 'به پوست بمالید');
INSERT INTO `lang_definitions` VALUES (160968, 732, 30, 'استعمال');
INSERT INTO `lang_definitions` VALUES (160969, 733, 30, 'استفاده از پچ در سایت');
INSERT INTO `lang_definitions` VALUES (160970, 734, 30, 'وقت ملاقات');
INSERT INTO `lang_definitions` VALUES (160971, 735, 30, 'دسته ملاقات');
INSERT INTO `lang_definitions` VALUES (160972, 736, 30, 'تاریخ وقت ملاقات');
INSERT INTO `lang_definitions` VALUES (160973, 737, 30, 'گروه نمایش وقت ها - رنگ 1');
INSERT INTO `lang_definitions` VALUES (160974, 738, 30, 'گروه نمایش وقت ها - رنگ 2');
INSERT INTO `lang_definitions` VALUES (160975, 739, 30, 'گروه نمایش وقت ها - رنگ 3');
INSERT INTO `lang_definitions` VALUES (160976, 740, 30, 'گروه نمایش وقت ها - رنگ 4');
INSERT INTO `lang_definitions` VALUES (160977, 741, 30, 'گروه نمایش وقت ها - نادیده گرفتم محدودیت نمایش');
INSERT INTO `lang_definitions` VALUES (160978, 742, 30, 'استایل نمایش وقت ملاقات');
INSERT INTO `lang_definitions` VALUES (160979, 743, 30, 'وقت ملاقات ایجاد شده توسط');
INSERT INTO `lang_definitions` VALUES (160980, 744, 30, 'قاعده یادآوری وقت ملاقات');
INSERT INTO `lang_definitions` VALUES (160981, 745, 30, 'یادآور وقت ملاقات');
INSERT INTO `lang_definitions` VALUES (160982, 746, 30, 'وضعیت وقت ملاقات');
INSERT INTO `lang_definitions` VALUES (160983, 747, 30, 'وضعیت های وقت ملاقات');
INSERT INTO `lang_definitions` VALUES (160984, 748, 30, 'وقت ملاقات در حین');
INSERT INTO `lang_definitions` VALUES (160985, 749, 30, 'رنگ وقت ملاقات/رویداد');
INSERT INTO `lang_definitions` VALUES (160986, 750, 30, 'وقت ملاقات ها');
INSERT INTO `lang_definitions` VALUES (160987, 751, 30, 'وقت های ملاقات(نوشتن اختیاری)');
INSERT INTO `lang_definitions` VALUES (160988, 752, 30, 'وقت های ملاقات(نوشتن اختیاری)');
INSERT INTO `lang_definitions` VALUES (160989, 753, 30, 'وقت های ملاقات(نوشتن اختیاری)');
INSERT INTO `lang_definitions` VALUES (160990, 754, 30, 'وقت های ملاقات - خلاصه گروه - عدد برای نمایش');
INSERT INTO `lang_definitions` VALUES (160991, 755, 30, 'وقت های ملاقات - پرتال بیمار درمحل - عدد برای نمایش');
INSERT INTO `lang_definitions` VALUES (160992, 756, 30, 'وقت های ملاقات - خلاصه بیمار - عدد برای نمایش');
INSERT INTO `lang_definitions` VALUES (160993, 757, 30, 'وقت های ملاقات - نمایش تمام وقت های آینده به همراه یادآورها');
INSERT INTO `lang_definitions` VALUES (160994, 758, 30, 'وقت ملاقات و ویزیت ها');
INSERT INTO `lang_definitions` VALUES (160995, 759, 30, 'وقت ملاقات برای');
INSERT INTO `lang_definitions` VALUES (160996, 760, 30, 'گزارش وقت ملاقات');
INSERT INTO `lang_definitions` VALUES (160997, 761, 30, 'گزارش وقت ملاقات - ویزیت ها');
INSERT INTO `lang_definitions` VALUES (160998, 762, 30, 'نتایج مناسب');
INSERT INTO `lang_definitions` VALUES (160999, 763, 30, 'آزمایش مناسب برای کودکان مبتلا به فارنژیت (CQM)');
INSERT INTO `lang_definitions` VALUES (161000, 764, 30, 'تایید');
INSERT INTO `lang_definitions` VALUES (161001, 765, 30, 'تایید سفارش');
INSERT INTO `lang_definitions` VALUES (161002, 766, 30, 'بیمار را از مسیر بیمار/مشتری->افزودن->در انتظار تایید، تایید کنید');
INSERT INTO `lang_definitions` VALUES (161003, 767, 30, 'تایید شده');
INSERT INTO `lang_definitions` VALUES (161004, 768, 30, 'مدیریت رویدادهای تایید شده');
INSERT INTO `lang_definitions` VALUES (161005, 769, 30, 'با موفقیت تایید شد');
INSERT INTO `lang_definitions` VALUES (161006, 770, 30, 'نرم افزارها');
INSERT INTO `lang_definitions` VALUES (161007, 771, 30, 'تاریخ وقت ملاقات');
INSERT INTO `lang_definitions` VALUES (161008, 772, 30, 'وضعیت وقت ملاقات');
INSERT INTO `lang_definitions` VALUES (161009, 773, 30, 'زمان وقت ملاقات');
INSERT INTO `lang_definitions` VALUES (161010, 774, 30, 'وقت ملاقات - ویزیت');
INSERT INTO `lang_definitions` VALUES (161011, 775, 30, 'یادآور وقت ملاقات');
INSERT INTO `lang_definitions` VALUES (161012, 776, 30, 'وقت های ملاقات');
INSERT INTO `lang_definitions` VALUES (161013, 777, 30, 'وقت ملاقات');
INSERT INTO `lang_definitions` VALUES (161014, 778, 30, 'اپلاناسیون ');
INSERT INTO `lang_definitions` VALUES (161015, 779, 30, 'آوریل');
INSERT INTO `lang_definitions` VALUES (161016, 780, 30, 'آوریل');
INSERT INTO `lang_definitions` VALUES (161017, 781, 30, 'اپلاناسیون ');
INSERT INTO `lang_definitions` VALUES (161018, 782, 30, 'عربی');
INSERT INTO `lang_definitions` VALUES (161019, 783, 30, 'آراگونی');
INSERT INTO `lang_definitions` VALUES (161020, 784, 30, 'بایگانی');
INSERT INTO `lang_definitions` VALUES (161021, 785, 30, 'فایل های ثبت بایگانی');
INSERT INTO `lang_definitions` VALUES (161022, 786, 30, 'آرشیو کردن فایل های قدیمی');
INSERT INTO `lang_definitions` VALUES (161023, 787, 30, 'آیا نام گروه های کنترل دسترسی باید ترجمه شوند؟');
INSERT INTO `lang_definitions` VALUES (161024, 788, 30, 'آیا نام گروه های وقت ملاقات باید ترجمه شوند؟');
INSERT INTO `lang_definitions` VALUES (161025, 789, 30, 'آیا نام گروه های سندها باید ترجمه شوند؟');
INSERT INTO `lang_definitions` VALUES (161026, 790, 30, 'آیا برای این نوع هزینه ای داریم ؟');
INSERT INTO `lang_definitions` VALUES (161027, 791, 30, 'خاموش هستند');
INSERT INTO `lang_definitions` VALUES (161028, 792, 30, 'روشن هستند');
INSERT INTO `lang_definitions` VALUES (161029, 793, 30, 'آیا عنوان یادداشت ها باید ترجمه شوند؟');
INSERT INTO `lang_definitions` VALUES (161030, 794, 30, 'آیا کدها در جداول sql خارجی ذخیره شده اند؟  (0-No, 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2))');
INSERT INTO `lang_definitions` VALUES (161031, 795, 30, 'آیا آماده تکمیل یک مسئله GCAC(مراقبت های جامع سقط جنین جهانی) جدید برای این ملاقات هستید؟');
INSERT INTO `lang_definitions` VALUES (161032, 796, 30, 'آیا از پاک کردن تاریخچه چت ها مطمئن هستید ؟');
INSERT INTO `lang_definitions` VALUES (161033, 797, 30, 'آیا از ارسال پست برای امروز مطمئن هستید ؟');
INSERT INTO `lang_definitions` VALUES (161034, 798, 30, 'آیا از تایید این رویداد اطمینان دارید ؟');
INSERT INTO `lang_definitions` VALUES (161035, 799, 30, 'آیا میخواهید تغییرات ایجاد شده را لغو کنید ؟');
INSERT INTO `lang_definitions` VALUES (161036, 801, 30, 'آیا از حذف کامل این فرم اطمینان دارید ؟');
INSERT INTO `lang_definitions` VALUES (161037, 803, 30, 'آیا از حذف اطمینان دارید ؟');
INSERT INTO `lang_definitions` VALUES (161038, 804, 30, 'آیا از حذف این مورد اطمینان دارید ؟');
INSERT INTO `lang_definitions` VALUES (161039, 805, 30, 'آیا از حذف این رویداد اطمینان دارید ؟');
INSERT INTO `lang_definitions` VALUES (161040, 806, 30, 'آیا از حذف این آیتم از پایگاه داده اطمینان دارید ؟');
INSERT INTO `lang_definitions` VALUES (161041, 807, 30, 'آیا از حذف این پیام اطمینان دارید ؟');
INSERT INTO `lang_definitions` VALUES (161042, 808, 30, 'آیا از حذف این نوشته اطمینان دارید ؟');
INSERT INTO `lang_definitions` VALUES (161043, 809, 30, 'آیا از حذف این برنامه اطمینان دارید ؟');
INSERT INTO `lang_definitions` VALUES (161044, 810, 30, 'آیا از حذف این رویدادها اطمینان دارید ؟');
INSERT INTO `lang_definitions` VALUES (161045, 811, 30, 'آیا از مخفی کردن این رویدادها اطمینان دارید ؟');
INSERT INTO `lang_definitions` VALUES (161046, 812, 30, 'ِآیا از حذف این namespace اطمینان دارید؟');
INSERT INTO `lang_definitions` VALUES (161047, 813, 30, 'آیا مطمئن هستید که میخواهید دوباره انتقال دهید؟');
INSERT INTO `lang_definitions` VALUES (161048, 814, 30, 'آیا اطمینان دارید که این رویدادها نمایش داده شوند ؟');
INSERT INTO `lang_definitions` VALUES (161049, 815, 30, 'آیا مطمئن هستید که میخواهید کل گروه را حذف کنید؟');
INSERT INTO `lang_definitions` VALUES (161050, 816, 30, 'آیا مطمئن هستید که میخواهید کل لیست را حذف کنید؟');
INSERT INTO `lang_definitions` VALUES (161051, 817, 30, 'آیا مطمئن هستید که میخواهید کل فیلدها را حذف کنید؟');
INSERT INTO `lang_definitions` VALUES (161052, 818, 30, 'آیا مطمئن هستید که میخواهید فیلدهای انتخاب شده را حذف کنید؟');
INSERT INTO `lang_definitions` VALUES (161053, 819, 30, 'آیا مطمئن هستید که میخواهید این عمل را انجام دهید؟');
INSERT INTO `lang_definitions` VALUES (161054, 820, 30, 'منطقه مشخص نشده است');
INSERT INTO `lang_definitions` VALUES (161055, 821, 30, 'بازو');
INSERT INTO `lang_definitions` VALUES (161056, 822, 30, 'ارمنی');
INSERT INTO `lang_definitions` VALUES (161057, 823, 30, 'اتورفرکشن حدت نزدیک');
INSERT INTO `lang_definitions` VALUES (161058, 824, 30, 'اتورفرکشن حدت نزدیک');
INSERT INTO `lang_definitions` VALUES (161059, 825, 30, 'ورود');
INSERT INTO `lang_definitions` VALUES (161060, 826, 30, 'زمان ورود');
INSERT INTO `lang_definitions` VALUES (161061, 827, 30, 'وارد شده');
INSERT INTO `lang_definitions` VALUES (161062, 828, 30, 'با تاخیر رسیده');
INSERT INTO `lang_definitions` VALUES (161063, 829, 30, 'آریتمی');
INSERT INTO `lang_definitions` VALUES (161064, 830, 30, 'آرتروز');
INSERT INTO `lang_definitions` VALUES (161065, 831, 30, 'آرتروز / بیماری مفصل دژن');
INSERT INTO `lang_definitions` VALUES (161066, 832, 30, 'آرتروز / بیماری مفصل دژن');
INSERT INTO `lang_definitions` VALUES (161067, 833, 30, 'مقاله');
INSERT INTO `lang_definitions` VALUES (161068, 834, 30, 'Autorefraction حدت');
INSERT INTO `lang_definitions` VALUES (161069, 835, 30, 'autorefraction');
INSERT INTO `lang_definitions` VALUES (161070, 836, 30, 'مانند');
INSERT INTO `lang_definitions` VALUES (161071, 837, 30, 'همانگونه که در اسناد نمایش داده شده');
INSERT INTO `lang_definitions` VALUES (161072, 838, 30, 'از تاریخ');
INSERT INTO `lang_definitions` VALUES (161073, 839, 30, 'به عنوان اولین مرحله ، گروه یا گروه دلخواه را انتخاب کنید، به عنوان سطح 1 و مشخصات لازم را پر کنید');
INSERT INTO `lang_definitions` VALUES (161074, 840, 30, 'از آنجا که کلید مخفی نیاز به احراز هویت در تلفن همراه ذخیره شده است ، بدافزار تلفن همراه می تواند این کلیدها را بدزدد و در نتیجه احراز هویت به خطر بیفتد');
INSERT INTO `lang_definitions` VALUES (161075, 841, 30, 'از آنجا که این فرایندی است که به ندرت انجام می شود ، با کلیک کردن روی نماد راهنما که هنگام قرار گرفتن در بالای برچسب هر جعبه مشخص می شود ، کمک اضافی ارائه می شود');
INSERT INTO `lang_definitions` VALUES (161076, 842, 30, 'همانطور که در حال ایجاد یک گروه سفارشی برای ورود دستی نتایج بازگشتی هستیم ، باید مکانی برای ورود به این نتایج ایجاد کنیم');
INSERT INTO `lang_definitions` VALUES (161077, 843, 30, 'همانطور که در اسناد نشان داده خواهد شد.');
INSERT INTO `lang_definitions` VALUES (161078, 844, 30, 'صعودی');
INSERT INTO `lang_definitions` VALUES (161079, 845, 30, 'آسیایی');
INSERT INTO `lang_definitions` VALUES (161080, 846, 30, 'آسامی');
INSERT INTO `lang_definitions` VALUES (161081, 847, 30, 'بررسی حساسیت پنی سیلین');
INSERT INTO `lang_definitions` VALUES (161082, 848, 30, 'ارزیابی');
INSERT INTO `lang_definitions` VALUES (161083, 849, 30, 'اختصاص آن را به این یکی؟');
INSERT INTO `lang_definitions` VALUES (161084, 850, 30, 'شدت را مشخص و ذخیره کنید');
INSERT INTO `lang_definitions` VALUES (161085, 851, 30, 'مقادیر دوز و غیره را اختصاص داده و ذخیره را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161086, 852, 30, 'با کلیک بر روی بیمار ، پیام را به بیمار صحیح اختصاص دهید: برای انتخاب کلیک کنید ، یک نوع اختصاص دهید و پیام را به پزشک یا کارمند صحیح منتقل کنید');
INSERT INTO `lang_definitions` VALUES (161087, 853, 30, 'محول شده به');
INSERT INTO `lang_definitions` VALUES (161088, 854, 30, 'دستیار');
INSERT INTO `lang_definitions` VALUES (161089, 855, 30, 'تسهیلات کمک به زندگی');
INSERT INTO `lang_definitions` VALUES (161090, 856, 30, 'وابسته');
INSERT INTO `lang_definitions` VALUES (161091, 857, 30, 'وابسته');
INSERT INTO `lang_definitions` VALUES (161092, 858, 30, 'یادداشت های مرتبط.');
INSERT INTO `lang_definitions` VALUES (161093, 859, 30, 'فرض کنید بیماران اجازه پیام دادن را دارند');
INSERT INTO `lang_definitions` VALUES (161094, 860, 30, 'فرض کنید بیماران سیاست بیمه را دریافت می کنند');
INSERT INTO `lang_definitions` VALUES (161095, 861, 30, 'آسم');
INSERT INTO `lang_definitions` VALUES (161096, 862, 30, 'در');
INSERT INTO `lang_definitions` VALUES (161097, 863, 30, 'در صورت انتخاب همه حداقل به یک پارامتر جستجو نیاز است.');
INSERT INTO `lang_definitions` VALUES (161098, 864, 30, 'در حال حاضر تجویز الکترونیکی از OpenEMR فقط در ایالات متحده امکان پذیر است');
INSERT INTO `lang_definitions` VALUES (161099, 865, 30, 'در حال حاضر تنها سند تداوم مراقبت از مراقبت سند تداوم مراقبت با استفاده از phiMail قابل ارسال است');
INSERT INTO `lang_definitions` VALUES (161100, 866, 30, 'در ناویکولار');
INSERT INTO `lang_definitions` VALUES (161101, 867, 30, 'در ناویکولار');
INSERT INTO `lang_definitions` VALUES (161102, 868, 30, 'تیم های ورزشی');
INSERT INTO `lang_definitions` VALUES (161103, 869, 30, 'تیم ورزشی');
INSERT INTO `lang_definitions` VALUES (161104, 870, 30, 'آسیب ورزشی');
INSERT INTO `lang_definitions` VALUES (161105, 871, 30, 'حسابرسی گواهی ATNA CA');
INSERT INTO `lang_definitions` VALUES (161106, 872, 30, 'میزبان حسابرسی ATNA');
INSERT INTO `lang_definitions` VALUES (161107, 873, 30, 'گواهی محلی ممیزی ATNA');
INSERT INTO `lang_definitions` VALUES (161108, 874, 30, 'پورت حسابرسی ATNA');
INSERT INTO `lang_definitions` VALUES (161109, 875, 30, 'آتروپین 1٪');
INSERT INTO `lang_definitions` VALUES (161110, 876, 30, 'پزشک معالج');
INSERT INTO `lang_definitions` VALUES (161111, 877, 30, 'توجه');
INSERT INTO `lang_definitions` VALUES (161112, 878, 30, 'توجه: اسناد معلق');
INSERT INTO `lang_definitions` VALUES (161113, 879, 30, 'توجه');
INSERT INTO `lang_definitions` VALUES (161114, 880, 30, 'ویژگی ها');
INSERT INTO `lang_definitions` VALUES (161115, 881, 30, 'پزشک شنوایی سنجی');
INSERT INTO `lang_definitions` VALUES (161116, 883, 30, 'حسابرسی CDR موتور پرس و جو');
INSERT INTO `lang_definitions` VALUES (161117, 884, 30, 'حسابرسی تغییرات');
INSERT INTO `lang_definitions` VALUES (161118, 885, 30, 'بررسی دستکاری فایل لاگ');
INSERT INTO `lang_definitions` VALUES (161119, 886, 30, 'گزارش بررسی دستکاری فایل لاگ');
INSERT INTO `lang_definitions` VALUES (161120, 887, 30, 'بررسی دستکاری مشهود فایل لاگ در شماره ورودی');
INSERT INTO `lang_definitions` VALUES (161121, 888, 30, 'گزارش حسابرسی با موفقیت تأیید شد');
INSERT INTO `lang_definitions` VALUES (161122, 889, 30, 'اعتبار سنجی حسابرسی انجام نشد');
INSERT INTO `lang_definitions` VALUES (161123, 890, 30, 'حسابرسی پشتیبان لاگ ها');
INSERT INTO `lang_definitions` VALUES (161124, 891, 30, ' حسابرسی لاگ های متفرقه');
INSERT INTO `lang_definitions` VALUES (161125, 892, 30, 'بررسی ترتیب لاگها');
INSERT INTO `lang_definitions` VALUES (161126, 893, 30, 'ثبت حسابرسی پرونده بیمار');
INSERT INTO `lang_definitions` VALUES (161127, 894, 30, 'حسابرسی لاگ زمان بندی');
INSERT INTO `lang_definitions` VALUES (161128, 895, 30, 'حسابرسی لاگ مدیریت امنیت');
INSERT INTO `lang_definitions` VALUES (161129, 896, 30, 'حسابرسی لاگ کوئری انتخاب');
INSERT INTO `lang_definitions` VALUES (161130, 897, 30, 'حسابرسی پرداختها');
INSERT INTO `lang_definitions` VALUES (161131, 898, 30, 'اوت');
INSERT INTO `lang_definitions` VALUES (161132, 899, 30, 'اوت');
INSERT INTO `lang_definitions` VALUES (161133, 900, 30, 'عمه');
INSERT INTO `lang_definitions` VALUES (161134, 901, 30, 'تأیید');
INSERT INTO `lang_definitions` VALUES (161135, 902, 30, 'تایید / یادداشت');
INSERT INTO `lang_definitions` VALUES (161136, 903, 30, 'ورود با رمز یکبار مصرف زماندار');
INSERT INTO `lang_definitions` VALUES (161137, 904, 30, 'احراز هویت دو مرحله ای');
INSERT INTO `lang_definitions` VALUES (161138, 906, 30, 'در نتیجه احراز هویت کاربر عامل مهمی در این کار می شود');
INSERT INTO `lang_definitions` VALUES (161139, 915, 30, 'خطا احراز هویت');
INSERT INTO `lang_definitions` VALUES (161140, 918, 30, 'احراز هویت کننده');
INSERT INTO `lang_definitions` VALUES (161141, 919, 30, 'برنامه های تأیید اعتبار برای هر دو سیستم عامل ios و اندروید در فروشگاه برنامه های مربوطه در دسترس هستند و استفاده از آنها رایگان است');
INSERT INTO `lang_definitions` VALUES (161142, 920, 30, 'نویسنده');
INSERT INTO `lang_definitions` VALUES (161143, 921, 30, 'مجوز');
INSERT INTO `lang_definitions` VALUES (161144, 922, 30, 'گروه مجوز');
INSERT INTO `lang_definitions` VALUES (161145, 923, 30, 'وضعیت مجوز');
INSERT INTO `lang_definitions` VALUES (161146, 924, 30, 'مجوزها');
INSERT INTO `lang_definitions` VALUES (161147, 925, 30, 'اجازه دادن');
INSERT INTO `lang_definitions` VALUES (161148, 926, 30, 'اجازه - هر ویزیت');
INSERT INTO `lang_definitions` VALUES (161149, 927, 30, 'اجازه - هر ویزیت');
INSERT INTO `lang_definitions` VALUES (161150, 928, 30, 'اجازه - ویزیت من');
INSERT INTO `lang_definitions` VALUES (161151, 929, 30, 'اجازه - ویزیت من');
INSERT INTO `lang_definitions` VALUES (161152, 930, 30, 'تأیید به عنوان امضای الکترونیکی من');
INSERT INTO `lang_definitions` VALUES (161153, 931, 30, 'بر حسب نیاز مجوز داده شود یا نه');
INSERT INTO `lang_definitions` VALUES (161154, 932, 30, 'Authorize.Net');
INSERT INTO `lang_definitions` VALUES (161155, 933, 30, 'Authorize.Net');
INSERT INTO `lang_definitions` VALUES (161156, 934, 30, 'مجاز');
INSERT INTO `lang_definitions` VALUES (161157, 935, 30, 'شناسه مجاز');
INSERT INTO `lang_definitions` VALUES (161158, 936, 30, 'فقط مجاز');
INSERT INTO `lang_definitions` VALUES (161159, 937, 30, 'کاربران مجاز');
INSERT INTO `lang_definitions` VALUES (161160, 939, 30, 'Authy');
INSERT INTO `lang_definitions` VALUES (161161, 940, 30, 'انکسار خودکار');
INSERT INTO `lang_definitions` VALUES (161162, 941, 30, 'ارسال خودکار');
INSERT INTO `lang_definitions` VALUES (161163, 942, 30, 'ورود به سیستم خودکار [روز]');
INSERT INTO `lang_definitions` VALUES (161164, 943, 30, 'انتقال خودکار');
INSERT INTO `lang_definitions` VALUES (161165, 944, 30, 'ایجاد خودکار ویزیت های جدید');
INSERT INTO `lang_definitions` VALUES (161166, 945, 30, 'تولید شده خودکار');
INSERT INTO `lang_definitions` VALUES (161167, 946, 30, 'انکسار خودکار');
INSERT INTO `lang_definitions` VALUES (161168, 947, 30, 'محاسبات اندازه گیری خودکار (AMC)');
INSERT INTO `lang_definitions` VALUES (161169, 948, 30, 'محاسبات اندازه گیری خودکار AMC 2011');
INSERT INTO `lang_definitions` VALUES (161170, 949, 30, 'محاسبات اندازه گیری خودکار AMC 2014');
INSERT INTO `lang_definitions` VALUES (161171, 950, 30, 'محاسبات اندازه گیری خودکار AMC 2014 - مرحله یک');
INSERT INTO `lang_definitions` VALUES (161172, 951, 30, 'محاسبات اندازه گیری خودکار AMC 2011 - مرحله دو');
INSERT INTO `lang_definitions` VALUES (161173, 952, 30, 'محاسبات اندازه گیری خودکار AMC 2011 - پیگیری');
INSERT INTO `lang_definitions` VALUES (161174, 953, 30, 'اندازه گیری خودکار (AMC)');
INSERT INTO `lang_definitions` VALUES (161175, 954, 30, 'مجوز پیام صوتی خودکار');
INSERT INTO `lang_definitions` VALUES (161176, 955, 30, 'خودکار');
INSERT INTO `lang_definitions` VALUES (161177, 956, 30, 'اتوماتیک از فروش');
INSERT INTO `lang_definitions` VALUES (161178, 957, 30, 'به طور خودکار پسوند مناسب را در آپلود موفقیت آمیز اعمال می کند');
INSERT INTO `lang_definitions` VALUES (161179, 958, 30, 'هنگام انتخاب وضعیت حضور در وقت ملاقات ، به طور خودکار یک ویزیت جدید ایجاد شود.');
INSERT INTO `lang_definitions` VALUES (161180, 959, 30, 'هنگامی که وضعیت وقت ملاقات روی \"@\"(حاضر شده) تنظیم شده است به طور خودکار یک ویزیت جدید ایجاد شود.');
INSERT INTO `lang_definitions` VALUES (161181, 960, 30, 'کدهای توجیهی به صورت خودکار در برگه هزینه تکثیر شود');
INSERT INTO `lang_definitions` VALUES (161182, 961, 30, 'کدهای توجیهی به صورت خودکار در برگه هزینه تکثیر شود (در واقع جای خالی کد توجیهی بالای آن را پر می کند).');
INSERT INTO `lang_definitions` VALUES (161183, 962, 30, 'اتومبیل پزشکی');
INSERT INTO `lang_definitions` VALUES (161184, 963, 30, 'AutoRef');
INSERT INTO `lang_definitions` VALUES (161185, 964, 30, 'ذخیره خودکار');
INSERT INTO `lang_definitions` VALUES (161186, 965, 30, 'Auto{{autorefraction}}');
INSERT INTO `lang_definitions` VALUES (161187, 966, 30, 'تقویم زمان ملاقات های موجود');
INSERT INTO `lang_definitions` VALUES (161188, 967, 30, 'دسته های موجود');
INSERT INTO `lang_definitions` VALUES (161189, 969, 30, 'گیرندگان موجود');
INSERT INTO `lang_definitions` VALUES (161190, 970, 30, 'خدمات موجود');
INSERT INTO `lang_definitions` VALUES (161191, 971, 30, 'زمان های موجود');
INSERT INTO `lang_definitions` VALUES (161192, 972, 30, 'ترک های موجود');
INSERT INTO `lang_definitions` VALUES (161193, 973, 30, 'آواریک');
INSERT INTO `lang_definitions` VALUES (161194, 974, 30, 'نوع لیبل Avery برای چاپ برچسب های بیمار از پنجره های بازشو در صفحه سمت چپ');
INSERT INTO `lang_definitions` VALUES (161195, 975, 30, 'اوستایی');
INSERT INTO `lang_definitions` VALUES (161196, 976, 30, 'متوسط ماهانه');
INSERT INTO `lang_definitions` VALUES (161197, 977, 30, 'AVM');
INSERT INTO `lang_definitions` VALUES (161198, 978, 30, 'تایید AVM');
INSERT INTO `lang_definitions` VALUES (161199, 979, 30, 'تایید AVM');
INSERT INTO `lang_definitions` VALUES (161200, 980, 30, 'صدمه جداشدگی');
INSERT INTO `lang_definitions` VALUES (161201, 981, 30, 'در رفتگی جانبی قوزک');
INSERT INTO `lang_definitions` VALUES (161202, 982, 30, 'در رفتگی داخلی قوزک');
INSERT INTO `lang_definitions` VALUES (161203, 983, 30, 'آگاهی محور');
INSERT INTO `lang_definitions` VALUES (161204, 984, 30, 'طول محوری');
INSERT INTO `lang_definitions` VALUES (161205, 985, 30, 'مربوط به زیر بغل');
INSERT INTO `lang_definitions` VALUES (161206, 986, 30, 'Axis {{محور در نسخه عینک}}');
INSERT INTO `lang_definitions` VALUES (161207, 987, 30, 'Axis {{محور در نسخه عینک}}');
INSERT INTO `lang_definitions` VALUES (161208, 988, 30, 'Axis {{محور در نسخه عینک}}');
INSERT INTO `lang_definitions` VALUES (161209, 989, 30, 'AxLength {{طول محوری}}');
INSERT INTO `lang_definitions` VALUES (161210, 990, 30, 'آیمارا');
INSERT INTO `lang_definitions` VALUES (161211, 991, 30, 'آذربایجانی');
INSERT INTO `lang_definitions` VALUES (161212, 992, 30, 'b.i.d.');
INSERT INTO `lang_definitions` VALUES (161213, 993, 30, 'بازگشت');
INSERT INTO `lang_definitions` VALUES (161214, 994, 30, 'بازگشت');
INSERT INTO `lang_definitions` VALUES (161215, 995, 30, 'هشت ملاقات قبلی');
INSERT INTO `lang_definitions` VALUES (161216, 996, 30, 'یازده ملاقات قبلی');
INSERT INTO `lang_definitions` VALUES (161217, 997, 30, 'پنج ملاقات قبلی');
INSERT INTO `lang_definitions` VALUES (161218, 998, 30, 'چهار ملاقات قبلی');
INSERT INTO `lang_definitions` VALUES (161219, 999, 30, 'نه‌ ملاقات قبلی');
INSERT INTO `lang_definitions` VALUES (161220, 1000, 30, 'یک ملاقات قبلی');
INSERT INTO `lang_definitions` VALUES (161221, 1001, 30, 'کمر درد');
INSERT INTO `lang_definitions` VALUES (161222, 1002, 30, 'مشکلات کمر');
INSERT INTO `lang_definitions` VALUES (161223, 1003, 30, 'هفت ملاقات قبلی');
INSERT INTO `lang_definitions` VALUES (161224, 1004, 30, 'شش ملاقات قبلی');
INSERT INTO `lang_definitions` VALUES (161225, 1005, 30, 'عمل جراحی پشت');
INSERT INTO `lang_definitions` VALUES (161226, 1006, 30, 'ده ملاقات قبلی');
INSERT INTO `lang_definitions` VALUES (161227, 1007, 30, 'سه ملاقات قبلی');
INSERT INTO `lang_definitions` VALUES (161228, 1008, 30, 'بازگشت به صفحه مدیریت');
INSERT INTO `lang_definitions` VALUES (161229, 1010, 30, 'بازگشت به ویرایشگر');
INSERT INTO `lang_definitions` VALUES (161230, 1011, 30, 'بازگشت به ویزیت');
INSERT INTO `lang_definitions` VALUES (161231, 1012, 30, 'بازگشت به پرونده بیمار');
INSERT INTO `lang_definitions` VALUES (161232, 1013, 30, 'بازگشت به پرونده بیمار');
INSERT INTO `lang_definitions` VALUES (161233, 1014, 30, 'بازگشت به داشبورد بیمار');
INSERT INTO `lang_definitions` VALUES (161234, 1015, 30, 'بازگشت به صفحه کاربران');
INSERT INTO `lang_definitions` VALUES (161235, 1016, 30, 'بازگشت به صفحه نمایش ها');
INSERT INTO `lang_definitions` VALUES (161236, 1017, 30, 'دوازده ملاقات قبلی');
INSERT INTO `lang_definitions` VALUES (161237, 1018, 30, 'دو ملاقات قبلی');
INSERT INTO `lang_definitions` VALUES (161238, 1019, 30, 'سرویس های پس زمینه');
INSERT INTO `lang_definitions` VALUES (161239, 1020, 30, 'نسخه پشتیبان');
INSERT INTO `lang_definitions` VALUES (161240, 1021, 30, 'تهیه پشتیبان ناموفق بود. فایل های درست شده یافت نشدند');
INSERT INTO `lang_definitions` VALUES (161241, 1022, 30, 'نسخه پشتیبان ایجاد شد. درحال ارسال فایل برای دانلود.');
INSERT INTO `lang_definitions` VALUES (161242, 1023, 30, 'لیست نسخه های پشتیبان');
INSERT INTO `lang_definitions` VALUES (161243, 1024, 30, 'تهیه پشتیبان با موفقیت انجام شد در');
INSERT INTO `lang_definitions` VALUES (161244, 1025, 30, 'چک بی‌ محل');
INSERT INTO `lang_definitions` VALUES (161245, 1026, 30, 'بدهی بد');
INSERT INTO `lang_definitions` VALUES (161246, 1027, 30, 'اندونزیایی');
INSERT INTO `lang_definitions` VALUES (161247, 1028, 30, 'موجودی');
INSERT INTO `lang_definitions` VALUES (161248, 1031, 30, 'موجودی');
INSERT INTO `lang_definitions` VALUES (161249, 1032, 30, 'موجودی');
INSERT INTO `lang_definitions` VALUES (161250, 1033, 30, 'میزان موجودی');
INSERT INTO `lang_definitions` VALUES (161251, 1034, 30, 'بدهی کل');
INSERT INTO `lang_definitions` VALUES (161252, 1035, 30, 'پرداخت های مالی');
INSERT INTO `lang_definitions` VALUES (161253, 1036, 30, 'تصفیه شده');
INSERT INTO `lang_definitions` VALUES (161254, 1037, 30, 'بامبارا');
INSERT INTO `lang_definitions` VALUES (161255, 1038, 30, 'حواله بانکی');
INSERT INTO `lang_definitions` VALUES (161256, 1039, 30, 'برچسب بارکد');
INSERT INTO `lang_definitions` VALUES (161257, 1040, 30, 'نوع برچسب بارکد');
INSERT INTO `lang_definitions` VALUES (161258, 1041, 30, 'نوع بارکد برای چاپ برچسب های بارکد از پنجره های بازشو در صفحه سمت چپ.');
INSERT INTO `lang_definitions` VALUES (161259, 1042, 30, 'پایه پنجم (5) متاتارسال');
INSERT INTO `lang_definitions` VALUES (161260, 1043, 30, 'پایه پنجم (5) متاتارسال');
INSERT INTO `lang_definitions` VALUES (161261, 1044, 30, 'URL پایه برای سرور FHIR.');
INSERT INTO `lang_definitions` VALUES (161262, 1045, 30, 'URL پایه برای سرور FHIR. آدرس باید با / تمام شود');
INSERT INTO `lang_definitions` VALUES (161263, 1046, 30, 'بر اساس نیاز هر فرد ، آزمون ها را می توان در گروه های مختلفی سازمان داد');
INSERT INTO `lang_definitions` VALUES (161264, 1047, 30, 'باشکیری');
INSERT INTO `lang_definitions` VALUES (161265, 1048, 30, 'اطلاعات اساسی بیمار شامل اطلاعات بیمار و ارائه دهنده خدمات ، بیمه ، وضعیت سلامت بیمار ، مراقبت های اخیر ارائه شده ، اطلاعات برنامه مراقبت، و دلیل ارجاع یا انتقال');
INSERT INTO `lang_definitions` VALUES (161266, 1049, 30, 'باسکایی');
INSERT INTO `lang_definitions` VALUES (161267, 1050, 30, 'ادعای دسته ای');
INSERT INTO `lang_definitions` VALUES (161268, 1051, 30, 'ابزار ارتباطی دسته ای');
INSERT INTO `lang_definitions` VALUES (161269, 1052, 30, 'ابزار ارتباطی دسته ای (batchcom)');
INSERT INTO `lang_definitions` VALUES (161270, 1053, 30, 'ورودی پرداخت دسته ای');
INSERT INTO `lang_definitions` VALUES (161271, 1054, 30, 'پرداخت های دسته ای');
INSERT INTO `lang_definitions` VALUES (161272, 1055, 30, 'پردازش دسته ای آغاز شد، این عملیات ممکن است مدتی طول بکشد.');
INSERT INTO `lang_definitions` VALUES (161273, 1056, 30, 'نتایج دسته ای');
INSERT INTO `lang_definitions` VALUES (161274, 1057, 30, 'ابزار ارتباطی دسته ای (batchcom)');
INSERT INTO `lang_definitions` VALUES (161275, 1058, 30, 'BAT {{تست اندازه گیری روشنایی}}');
INSERT INTO `lang_definitions` VALUES (161276, 1059, 30, 'BC {{منحنی پایه}}');
INSERT INTO `lang_definitions` VALUES (161277, 1060, 30, 'صبور باشید ، پردازش برخی از پرونده ها ممکن است چند دقیقه طول بکشد!');
INSERT INTO `lang_definitions` VALUES (161278, 1061, 30, 'صبور باشید ، ممکن است مدتی طول بکشد.');
INSERT INTO `lang_definitions` VALUES (161279, 1062, 30, 'مطمئن شوید که آن را از خط تست های زن سالم (سطح 1) منشعب کنید، اگر آن را به خوبی منشعب کنید ، TSH و ویتامین D باید دارای درجه 2 باشند ');
INSERT INTO `lang_definitions` VALUES (161280, 1063, 30, 'زیرا آن شناسه وجود ندارد');
INSERT INTO `lang_definitions` VALUES (161281, 1064, 30, 'قبل از');
INSERT INTO `lang_definitions` VALUES (161282, 1065, 30, 'قبل از ظهر');
INSERT INTO `lang_definitions` VALUES (161283, 1066, 30, 'قبل از شروع استفاده از برگه هزینه ، این صفحه راهنما را بخوانید و تنظیمات اولیه را انجام دهید.');
INSERT INTO `lang_definitions` VALUES (161284, 1067, 30, 'قبل از شروع به پیکربندی خود آزمون ها ، باید مقادیر موجود در نسخه استاندارد را مرور کرده و بر اساس نیاز تغییر دهید');
INSERT INTO `lang_definitions` VALUES (161285, 1068, 30, 'قبل از این که بخواهیم یک گروه آزمایشی سفارشی ایجاد کنیم و آن را به عنوان مورد علاقه ذخیره کنیم خلاصه ای از اصول موجود در آن');
INSERT INTO `lang_definitions` VALUES (161286, 1069, 30, 'قبل از شروع سفارشی سازی ، اطمینان حاصل کنید که تمام کدهای ICD و CPT مورد نیاز شما در پایگاه داده وارد شده اند');
INSERT INTO `lang_definitions` VALUES (161287, 1070, 30, 'قبل از شروع وارد کردن داده ، صفحه گسترده را یک بار دیگر بررسی کنید و در صورت لزوم تنظیمات را انجام دهید');
INSERT INTO `lang_definitions` VALUES (161288, 1071, 30, 'قبل از اینکه سفارش الکترونیکی را امتحان کنید ، باید مسائل مربوط به آن را بشناسید');
INSERT INTO `lang_definitions` VALUES (161289, 1072, 30, 'شروع');
INSERT INTO `lang_definitions` VALUES (161290, 1073, 30, 'در صورت در دسترس بودن تاریخ شروع و پایان آن');
INSERT INTO `lang_definitions` VALUES (161291, 1074, 30, 'از تاریخ');
INSERT INTO `lang_definitions` VALUES (161292, 1075, 30, 'تاریخ شروع، در صورت مشخص بودن');
INSERT INTO `lang_definitions` VALUES (161293, 1076, 30, 'تاریخ شروع گزارش دفترکل');
INSERT INTO `lang_definitions` VALUES (161294, 1077, 30, 'تاریخ شروع خدمات yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (161295, 1078, 30, 'ساعت شروع روز برای رویدادهای تقویم.');
INSERT INTO `lang_definitions` VALUES (161296, 1079, 30, 'آغاز هفته کار فعلی');
INSERT INTO `lang_definitions` VALUES (161297, 1080, 30, 'به عنوان یک نرم افزار ، می تواند توسط بدافزاری که کلید مخفی را می دزدد یا توسط مهندسی اجتماعی به خطر بیفتد');
INSERT INTO `lang_definitions` VALUES (161298, 1081, 30, 'بلاروسی');
INSERT INTO `lang_definitions` VALUES (161299, 1082, 30, 'آروغ زدن');
INSERT INTO `lang_definitions` VALUES (161300, 1083, 30, 'زیر حد آستانه وحشت');
INSERT INTO `lang_definitions` VALUES (161301, 1084, 30, 'جدول زیر شامل تمام تراکنش های موجود مربوط به بیمار فعلی را مشاهده میکنیم.');
INSERT INTO `lang_definitions` VALUES (161302, 1085, 30, 'نوع کمک هزینه');
INSERT INTO `lang_definitions` VALUES (161303, 1086, 30, 'بنگالی');
INSERT INTO `lang_definitions` VALUES (161304, 1087, 30, 'بنگالی- بنگلا');
INSERT INTO `lang_definitions` VALUES (161305, 1088, 30, 'با آرزوی بهترین ها.');
INSERT INTO `lang_definitions` VALUES (161306, 1089, 30, 'بین');
INSERT INTO `lang_definitions` VALUES (161307, 1090, 30, 'bg {{برچسب بوم تصویر}}');
INSERT INTO `lang_definitions` VALUES (161308, 1091, 30, 'دو طرفه');
INSERT INTO `lang_definitions` VALUES (161309, 1092, 30, 'دو دید');
INSERT INTO `lang_definitions` VALUES (161310, 1093, 30, 'عینک دو کانونی');
INSERT INTO `lang_definitions` VALUES (161311, 1094, 30, 'بیهاری');
INSERT INTO `lang_definitions` VALUES (161312, 1095, 30, 'دو طرفه');
INSERT INTO `lang_definitions` VALUES (161313, 1096, 30, 'دو طرفه:');
INSERT INTO `lang_definitions` VALUES (161314, 1097, 30, 'صورت حساب');
INSERT INTO `lang_definitions` VALUES (161315, 1098, 30, 'تاریخ صورتحساب');
INSERT INTO `lang_definitions` VALUES (161316, 1099, 30, 'تاریخ صورتحساب:');
INSERT INTO `lang_definitions` VALUES (161317, 1100, 30, 'نوع صورت حساب');
INSERT INTO `lang_definitions` VALUES (161318, 1101, 30, 'صورت حساب / رسید');
INSERT INTO `lang_definitions` VALUES (161319, 1102, 30, 'صورتحساب صادر شد');
INSERT INTO `lang_definitions` VALUES (161320, 1103, 30, 'تاریخ صدور صورت حساب');
INSERT INTO `lang_definitions` VALUES (161321, 1104, 30, 'حسابداری');
INSERT INTO `lang_definitions` VALUES (161322, 1105, 30, 'حسابداری (نوشتن اختیاری است)');
INSERT INTO `lang_definitions` VALUES (161323, 1106, 30, 'حسابداری (نوشتن اختیاری است)');
INSERT INTO `lang_definitions` VALUES (161324, 1107, 30, 'صورتحساب - خلاصه ای از موجودی ها را ارائه می دهد - مانده بدهی بیمار ، سررسید تراز بیمه ، سررسید موجودی کل و نام بیمه اولیه را به همراه تاریخ اثربخشی آن لیست می کند');
INSERT INTO `lang_definitions` VALUES (161325, 1108, 30, 'آدرس صورت حساب');
INSERT INTO `lang_definitions` VALUES (161326, 1109, 30, 'توجه حسابداری');
INSERT INTO `lang_definitions` VALUES (161327, 1110, 30, 'شرح کد صورتحساب');
INSERT INTO `lang_definitions` VALUES (161328, 1111, 30, 'کد حسابداری برای سرویس های درخواست شده');
INSERT INTO `lang_definitions` VALUES (161329, 1112, 30, 'کدهای حسابداری');
INSERT INTO `lang_definitions` VALUES (161330, 1113, 30, 'ارقام حسابداری');
INSERT INTO `lang_definitions` VALUES (161331, 1114, 30, 'گروه حسابداری');
INSERT INTO `lang_definitions` VALUES (161332, 1115, 30, 'صادرکننده صورت حساب');
INSERT INTO `lang_definitions` VALUES (161333, 1116, 30, 'تسهیلات صورتحساب به شما امکان می دهد تسهیلات مورد استفاده برای صورتحساب را انتخاب کنید. برای ایجاد و ویرایش تسهیلات صورتحساب ، به بخش مدیریت> تسهیلات بروید');
INSERT INTO `lang_definitions` VALUES (161334, 1117, 30, 'اطلاعات حسابداری');
INSERT INTO `lang_definitions` VALUES (161335, 1118, 30, 'محل صدور صورت حساب');
INSERT INTO `lang_definitions` VALUES (161336, 1119, 30, 'گزارش صورتحساب');
INSERT INTO `lang_definitions` VALUES (161337, 1120, 30, 'ضمیمه گزارش صورتحساب');
INSERT INTO `lang_definitions` VALUES (161338, 1121, 30, 'گزارش صورتحساب خالی است');
INSERT INTO `lang_definitions` VALUES (161339, 1122, 30, 'گزینه های گزارش صورتحساب');
INSERT INTO `lang_definitions` VALUES (161340, 1123, 30, 'جایگزینی گزارش صورتحساب');
INSERT INTO `lang_definitions` VALUES (161341, 1124, 30, 'تنظیم ثبت صورتحساب برای ضمیمه یا جایگزین کردن گزارش صورت حساب.');
INSERT INTO `lang_definitions` VALUES (161342, 1125, 30, 'مدیر حسابداری');
INSERT INTO `lang_definitions` VALUES (161343, 1126, 30, 'یادداشت حسابداری');
INSERT INTO `lang_definitions` VALUES (161344, 1127, 30, 'یادداشت حسابداری برای');
INSERT INTO `lang_definitions` VALUES (161345, 1128, 30, 'یادداشت حسابداری:');
INSERT INTO `lang_definitions` VALUES (161346, 1129, 30, 'نتایج صفحات صورتحساب');
INSERT INTO `lang_definitions` VALUES (161347, 1130, 30, 'نتایج صفحات صورتحساب:');
INSERT INTO `lang_definitions` VALUES (161348, 1131, 30, 'گزارش حسابداری');
INSERT INTO `lang_definitions` VALUES (161349, 1132, 30, 'وضعیت حسابداری');
INSERT INTO `lang_definitions` VALUES (161350, 1133, 30, 'وضعیت حسابداری = صورتحساب صادر نشده');
INSERT INTO `lang_definitions` VALUES (161351, 1134, 30, 'صدور صورت حساب برای');
INSERT INTO `lang_definitions` VALUES (161352, 1135, 30, 'نمای صورتحساب');
INSERT INTO `lang_definitions` VALUES (161353, 1136, 30, 'قطر مردمک دو چشمی - دور');
INSERT INTO `lang_definitions` VALUES (161354, 1137, 30, 'قطر مردمک دو چشمی - نزدیک');
INSERT INTO `lang_definitions` VALUES (161355, 1138, 30, 'نمونه برداری');
INSERT INTO `lang_definitions` VALUES (161356, 1139, 30, 'گواهی تولد');
INSERT INTO `lang_definitions` VALUES (161357, 1140, 30, 'تاریخ تولد');
INSERT INTO `lang_definitions` VALUES (161358, 1141, 30, 'تولد - 24 ماه');
INSERT INTO `lang_definitions` VALUES (161359, 1142, 30, 'مرکز زایمان');
INSERT INTO `lang_definitions` VALUES (161360, 1143, 30, 'بیسلاما');
INSERT INTO `lang_definitions` VALUES (161361, 1144, 30, 'سیاه');
INSERT INTO `lang_definitions` VALUES (161362, 1145, 30, 'خطوط سیاه اطلاعات قبلی را نشان می دهد.');
INSERT INTO `lang_definitions` VALUES (161363, 1146, 30, 'لیست سیاه');
INSERT INTO `lang_definitions` VALUES (161364, 1147, 30, 'ریه سیاه');
INSERT INTO `lang_definitions` VALUES (161365, 1148, 30, 'سیاه پوست یا آفریقایی آمریکایی');
INSERT INTO `lang_definitions` VALUES (161366, 1149, 30, 'سرطان مثانه');
INSERT INTO `lang_definitions` VALUES (161367, 1150, 30, 'عفونت های مثانه');
INSERT INTO `lang_definitions` VALUES (161368, 1151, 30, 'جای خالی');
INSERT INTO `lang_definitions` VALUES (161369, 1152, 30, 'فرم های خالی');
INSERT INTO `lang_definitions` VALUES (161370, 1153, 30, 'مشکلات خونریزی');
INSERT INTO `lang_definitions` VALUES (161371, 1154, 30, 'نقاط کور');
INSERT INTO `lang_definitions` VALUES (161372, 1155, 30, 'نابینایی');
INSERT INTO `lang_definitions` VALUES (161373, 1156, 30, 'نفخ شکم');
INSERT INTO `lang_definitions` VALUES (161374, 1157, 30, 'همه نوع فایل هایی را که در لیست سفید یافت نمی شوند مسدود کنید. می توانید رابط کاربری ویرایش لیست سفید را در مدیریت -> فایلها پیدا کنید.');
INSERT INTO `lang_definitions` VALUES (161375, 1158, 30, 'مسدود شده');
INSERT INTO `lang_definitions` VALUES (161376, 1159, 30, 'خون');
INSERT INTO `lang_definitions` VALUES (161377, 1160, 30, 'فشار خون');
INSERT INTO `lang_definitions` VALUES (161378, 1161, 30, 'فشار خون');
INSERT INTO `lang_definitions` VALUES (161379, 1162, 30, 'بینی خونین');
INSERT INTO `lang_definitions` VALUES (161380, 1163, 30, 'صلیب آبی سپر آبی');
INSERT INTO `lang_definitions` VALUES (161381, 1165, 30, 'خطوط آبی در این گزارش برای اطلاعات بیشتر هستند. خطوط سیاه اطلاعات قبلی را نشان می دهد. خطوط سبز تغییراتی را نشان می دهد که با موفقیت اعمال شده است. خطوط قرمز خطاها یا تغییراتی را که اعمال نشده اند نشان می دهد. اینها باید به صورت دستی پردازش شوند. ادعاهای رد شده و برگشت هزینه های پرداختی به طور خودکار رسیدگی نمی شوند و بنابراین با رنگ قرمز نشان داده می شوند.');
INSERT INTO `lang_definitions` VALUES (161382, 1166, 30, 'تاری دید');
INSERT INTO `lang_definitions` VALUES (161383, 1167, 30, 'شاخص توده بدن');
INSERT INTO `lang_definitions` VALUES (161384, 1168, 30, 'وضعیت شاخص توده بدن');
INSERT INTO `lang_definitions` VALUES (161385, 1169, 30, 'بدن');
INSERT INTO `lang_definitions` VALUES (161386, 1170, 30, 'ناحیه بدن');
INSERT INTO `lang_definitions` VALUES (161387, 1171, 30, 'محل بدن');
INSERT INTO `lang_definitions` VALUES (161388, 1172, 30, 'مکان بدن ، در صورت وجود');
INSERT INTO `lang_definitions` VALUES (161389, 1173, 30, 'درد استخوان:');
INSERT INTO `lang_definitions` VALUES (161390, 1174, 30, 'درد استخوان: برآمدگی قوزک');
INSERT INTO `lang_definitions` VALUES (161391, 1175, 30, 'صفر و یک');
INSERT INTO `lang_definitions` VALUES (161392, 1176, 30, 'بوسنیایی');
INSERT INTO `lang_definitions` VALUES (161393, 1177, 30, 'ربات');
INSERT INTO `lang_definitions` VALUES (161394, 1178, 30, 'هر دو');
INSERT INTO `lang_definitions` VALUES (161395, 1179, 30, 'هر دو گوش');
INSERT INTO `lang_definitions` VALUES (161396, 1180, 30, 'هر دو گوش');
INSERT INTO `lang_definitions` VALUES (161397, 1181, 30, 'نام و دسته هر دو به رنگ زرد برجسته می شوند تا سفارش بودن آن قابل تشخیص تر شود. موردی که وقتی چندین سفارش به همراه گروهها و نتایج مربوطه در سیستم وارد شود ، کمک کننده خواهد بود');
INSERT INTO `lang_definitions` VALUES (161398, 1182, 30, 'ارائه دهنده و ناظر خدمات می توانند در اینجا تنظیم شوند');
INSERT INTO `lang_definitions` VALUES (161399, 1183, 30, 'پایین');
INSERT INTO `lang_definitions` VALUES (161400, 1184, 30, 'حاشیه پایین (پیکسل)');
INSERT INTO `lang_definitions` VALUES (161401, 1185, 30, 'جعبه 10 - این اطلاعات نشان می دهد که آیا بیماری یا آسیب دیدگی بیمار مربوط به کار ، تصادف اتومبیل یا حوادث دیگر است');
INSERT INTO `lang_definitions` VALUES (161402, 1186, 30, 'جعبه 10 الف. مربوط به اشتغال');
INSERT INTO `lang_definitions` VALUES (161403, 1187, 30, 'جعبه 10 الف. مربوط به اشتغال');
INSERT INTO `lang_definitions` VALUES (161404, 1188, 30, 'جعبه 10 ب- تصادف اتومبیل');
INSERT INTO `lang_definitions` VALUES (161405, 1189, 30, 'جعبه 10 ب- تصادف اتومبیل');
INSERT INTO `lang_definitions` VALUES (161406, 1190, 30, 'جعبه 10 ج - حوادث دیگر');
INSERT INTO `lang_definitions` VALUES (161407, 1191, 30, 'جعبه 10 ج - حوادث دیگر');
INSERT INTO `lang_definitions` VALUES (161408, 1192, 30, 'جعبه 10 د. برای ارسال کد ارجاع زودرس و دوره ای ، تشخیص و درمان (EPSDT) استفاده می شود');
INSERT INTO `lang_definitions` VALUES (161409, 1193, 30, 'جعبه 10 د. ارجاع زودرس و دوره ای ، تشخیص و درمان (EPSDT)');
INSERT INTO `lang_definitions` VALUES (161410, 1194, 30, 'جعبه 10 د. ارجاع زودرس و دوره ای ، تشخیص و درمان (EPSDT)');
INSERT INTO `lang_definitions` VALUES (161411, 1195, 30, 'جعبه 10 الف. مربوط به اشتغال');
INSERT INTO `lang_definitions` VALUES (161412, 1196, 30, 'جعبه 10 ب- تصادف اتومبیل');
INSERT INTO `lang_definitions` VALUES (161413, 1197, 30, 'جعبه 10 ج - حوادث دیگر');
INSERT INTO `lang_definitions` VALUES (161414, 1198, 30, 'جعبه 10 د. ارجاع زودرس و دوره ای ، تشخیص و درمان (EPSDT)');
INSERT INTO `lang_definitions` VALUES (161415, 1199, 30, 'جعبه 14 - اولین تاریخ شروع بیماری ، تاریخ واقعی آسیب دیدگی یا آخرین دوره قاعدگی برای بارداری را مشخص می کند. تاریخ را در کادر اول وارد کنید و از کادر کشویی یا شروع علائم فعلی یا بیماری یا آخرین دوره قاعدگی را انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (161416, 1200, 30, 'BOX 14 تاریخ مقدماتی');
INSERT INTO `lang_definitions` VALUES (161417, 1201, 30, 'BOX 14. از صفحه ویزیت ها به عنوان تاریخ شروع پر می شود');
INSERT INTO `lang_definitions` VALUES (161418, 1202, 30, 'جعبه 14. تاریخ شروع:');
INSERT INTO `lang_definitions` VALUES (161419, 1203, 30, 'جعبه 15 - تاریخ دیگر اطلاعات تاریخ اضافی را در مورد وضعیت یا درمان بیمار مشخص می کند. تاریخ را در کادر اول وارد کنید و از جعبه کشویی یک گزینه را انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (161420, 1204, 30, 'BOX 15 تاریخ مقدماتی دیگر');
INSERT INTO `lang_definitions` VALUES (161421, 1205, 30, 'جعبه 15. تاریخ بیماری یکسان یا مشابه (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (161422, 1206, 30, 'جعبه 15. تاریخ بیماری یکسان یا مشابه / تاریخ دیگر (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (161423, 1208, 30, 'جعبه 16 - تاریخ هایی که بیمار قادر به کار در شغل فعلی نیست - مدت زمانی است که بیمار در آن  قادر به کار نیست');
INSERT INTO `lang_definitions` VALUES (161424, 1209, 30, 'جعبه 16. قادر به کار نیست از تاریخ');
INSERT INTO `lang_definitions` VALUES (161425, 1210, 30, 'جعبه 16. قادر به کار نیست از تاریخ');
INSERT INTO `lang_definitions` VALUES (161426, 1211, 30, 'جعبه 16. قادر به کار نیست از تاریخ (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (161427, 1212, 30, 'جعبه 16. قادر به کار نیست از تاریخ:');
INSERT INTO `lang_definitions` VALUES (161428, 1213, 30, 'جعبه 16. قادر به کار نیست تا تاریخ');
INSERT INTO `lang_definitions` VALUES (161429, 1214, 30, 'جعبه 16. قادر به کار نیست تا تاریخ');
INSERT INTO `lang_definitions` VALUES (161430, 1215, 30, 'جعبه 16. قادر به کار نیست تا تاریخ (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (161431, 1216, 30, 'جعبه 16. قادر به کار نیست تا تاریخ:');
INSERT INTO `lang_definitions` VALUES (161432, 1217, 30, 'جعبه 17 - نام وارد شده ارائه دهنده ارجاع شده، ارائه دهنده سفارش یا تأمین کننده نظارتی است که سرویس ها یا عرضه های ادعا را ارجاع ، سفارش یا نظارت کرده است. اگر چندین ارائه دهنده درگیر هستند ، با استفاده از ترتیب اولویت زیر یک ارائه دهنده را وارد کنید: 1. ارائه دهنده ارجاع ، 2. ارائه دهنده سفارش ، 3. ارائه دهنده نظارت.');
INSERT INTO `lang_definitions` VALUES (161433, 1218, 30, 'جعبه 17. ارائه دهنده');
INSERT INTO `lang_definitions` VALUES (161434, 1219, 30, 'جعبه 17. ارائه دهنده');
INSERT INTO `lang_definitions` VALUES (161435, 1220, 30, 'جعبه 17. ارائه دهنده');
INSERT INTO `lang_definitions` VALUES (161436, 1221, 30, 'جعبه 17. ارائه دهنده');
INSERT INTO `lang_definitions` VALUES (161437, 1222, 30, 'جعبه 17. ارائه دهنده');
INSERT INTO `lang_definitions` VALUES (161438, 1223, 30, 'جعبه 17. ارائه دهنده');
INSERT INTO `lang_definitions` VALUES (161439, 1224, 30, 'جعبه 18 - \"تاریخ بستری در بیمارستان مربوط به خدمات فعلی\" به اقامت در بیمارستان بستری است و تاریخ پذیرش و ترخیص مربوط به خدمات ادعا شده را نشان می دهد');
INSERT INTO `lang_definitions` VALUES (161440, 1225, 30, 'جعبه 18. تاریخ بستری شدن در بیمارستان از');
INSERT INTO `lang_definitions` VALUES (161441, 1226, 30, 'جعبه 18. تاریخ بستری شدن در بیمارستان از');
INSERT INTO `lang_definitions` VALUES (161442, 1227, 30, 'جعبه 18. تاریخ بستری شدن در بیمارستان از (yyyy-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (161443, 1228, 30, 'جعبه 18. تاریخ بستری شدن در بیمارستان از');
INSERT INTO `lang_definitions` VALUES (161444, 1229, 30, 'جعبه 18. تاریخ بستری شدن در بیمارستان تا');
INSERT INTO `lang_definitions` VALUES (161445, 1230, 30, 'جعبه 18. تاریخ بستری شدن در بیمارستان تا');
INSERT INTO `lang_definitions` VALUES (161446, 1231, 30, 'جعبه 18. تاریخ بستری شدن در بیمارستان تا (yyyy-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (161447, 1232, 30, 'جعبه 18. تاریخ بستری شدن در بیمارستان تا');
INSERT INTO `lang_definitions` VALUES (161448, 1233, 30, 'جعبه 20 - نشان می دهد که خدمات توسط یک ارائه دهنده مستقل ارائه شده است همانطور که در جعبه 32 نشان داده شده است (اطلاعات محل سکونت خدمات) و هزینه های مربوطه');
INSERT INTO `lang_definitions` VALUES (161449, 1234, 30, 'جعبه 20. آیا از آزمایشگاه خارجی استفاده شده؟');
INSERT INTO `lang_definitions` VALUES (161450, 1235, 30, 'جعبه 20. آیا از آزمایشگاه خارجی استفاده شده؟');
INSERT INTO `lang_definitions` VALUES (161451, 1236, 30, 'جعبه 22 - کد ارسال مجدد Medicaid و شماره مرجع اصلی کد و شماره مرجع اصلی است که توسط پرداخت کننده یا گیرنده مقصد تعیین می شود تا ادعا یا ویزیتی را که قبلاً ارسال شده است ، نشان دهد');
INSERT INTO `lang_definitions` VALUES (161452, 1237, 30, 'جعبه 22. کد درخواست مجدد بیمه (ICD-10)');
INSERT INTO `lang_definitions` VALUES (161453, 1238, 30, 'جعبه 22. کد درخواست مجدد بیمه (ICD-9)');
INSERT INTO `lang_definitions` VALUES (161454, 1239, 30, 'جعبه 22. کد درخواست مجدد بیمه (ICD-9)');
INSERT INTO `lang_definitions` VALUES (161455, 1240, 30, 'جعبه 23 - شماره مجوز قبلی شماره اختصاص داده شده به پرداخت کننده است که سرویس (ها) را مجاز می کند');
INSERT INTO `lang_definitions` VALUES (161456, 1241, 30, 'جعبه 23. شماره مجوز قبلی');
INSERT INTO `lang_definitions` VALUES (161457, 1242, 30, 'جعبه 23. شماره مجوز قبلی');
INSERT INTO `lang_definitions` VALUES (161458, 1243, 30, 'جعبه 23. شماره مجوز قبلی');
INSERT INTO `lang_definitions` VALUES (161459, 1244, 30, 'فشار خون');
INSERT INTO `lang_definitions` VALUES (161460, 1245, 30, 'فشارخون دیاستولیک');
INSERT INTO `lang_definitions` VALUES (161461, 1246, 30, 'فشار خون سیستولیک');
INSERT INTO `lang_definitions` VALUES (161462, 1247, 30, 'فشارخون دیاستولیک');
INSERT INTO `lang_definitions` VALUES (161463, 1248, 30, 'فشارخون دیاستولیک');
INSERT INTO `lang_definitions` VALUES (161464, 1249, 30, 'BPD-D {{مخفف قطر مردمک دو چشمی - دور}}');
INSERT INTO `lang_definitions` VALUES (161465, 1250, 30, 'BPD-N {{مخفف قطر مردمک دو چشمی - نزدیک}}');
INSERT INTO `lang_definitions` VALUES (161466, 1251, 30, 'فشار خون سیستولیک');
INSERT INTO `lang_definitions` VALUES (161467, 1252, 30, 'فشار خون سیستولیک');
INSERT INTO `lang_definitions` VALUES (161468, 1253, 30, 'نام تجاری');
INSERT INTO `lang_definitions` VALUES (161469, 1254, 30, 'پرتغالی برزیل');
INSERT INTO `lang_definitions` VALUES (161470, 1255, 30, 'سینه');
INSERT INTO `lang_definitions` VALUES (161471, 1256, 30, 'بیوپسی سینه');
INSERT INTO `lang_definitions` VALUES (161472, 1257, 30, 'ترشح سینه');
INSERT INTO `lang_definitions` VALUES (161473, 1258, 30, 'بیماری سینه');
INSERT INTO `lang_definitions` VALUES (161474, 1259, 30, 'معاینه سینه');
INSERT INTO `lang_definitions` VALUES (161475, 1260, 30, 'توده پستان');
INSERT INTO `lang_definitions` VALUES (161476, 1261, 30, 'نفس');
INSERT INTO `lang_definitions` VALUES (161477, 1262, 30, 'صداهای تنفسی:');
INSERT INTO `lang_definitions` VALUES (161478, 1263, 30, 'برتون');
INSERT INTO `lang_definitions` VALUES (161479, 1265, 30, 'شکستگی استخوان');
INSERT INTO `lang_definitions` VALUES (161480, 1266, 30, 'فرم شکسته');
INSERT INTO `lang_definitions` VALUES (161481, 1267, 30, 'فرم برونشیت');
INSERT INTO `lang_definitions` VALUES (161482, 1268, 30, 'برادر');
INSERT INTO `lang_definitions` VALUES (161483, 1269, 30, 'ابرو');
INSERT INTO `lang_definitions` VALUES (161484, 1270, 30, 'مرور کردن');
INSERT INTO `lang_definitions` VALUES (161485, 1271, 30, 'جست و جوی سطر');
INSERT INTO `lang_definitions` VALUES (161486, 1272, 30, 'کبودی / هماتوم');
INSERT INTO `lang_definitions` VALUES (161487, 1274, 30, 'برنامه خود را بسازید');
INSERT INTO `lang_definitions` VALUES (161488, 1275, 30, 'بلغاری');
INSERT INTO `lang_definitions` VALUES (161489, 1276, 30, 'متورم راست:');
INSERT INTO `lang_definitions` VALUES (161490, 1277, 30, 'برمه ای');
INSERT INTO `lang_definitions` VALUES (161491, 1278, 30, 'سوزش ادرار');
INSERT INTO `lang_definitions` VALUES (161492, 1279, 30, 'سوزش ادرار');
INSERT INTO `lang_definitions` VALUES (161493, 1280, 30, 'قرارداد شراکت تجاری');
INSERT INTO `lang_definitions` VALUES (161494, 1281, 30, 'تلفن کاری');
INSERT INTO `lang_definitions` VALUES (161495, 1282, 30, 'مشغول');
INSERT INTO `lang_definitions` VALUES (161496, 1283, 30, 'اما هنوز پردازش نشده.');
INSERT INTO `lang_definitions` VALUES (161497, 1284, 30, 'باسن');
INSERT INTO `lang_definitions` VALUES (161498, 1285, 30, 'مفصل خاجی‌تهیگاهی باسن');
INSERT INTO `lang_definitions` VALUES (161499, 1286, 30, 'توسط');
INSERT INTO `lang_definitions` VALUES (161500, 1287, 30, 'توسط');
INSERT INTO `lang_definitions` VALUES (161501, 1288, 30, 'به طور پیش فرض پیام های فعال همانطور که در بخش زیر عنوان پیام نشان داده شده است ، نمایش داده می شوند');
INSERT INTO `lang_definitions` VALUES (161502, 1289, 30, 'به طور پیش فرض همه کدها انتخاب شده اند ، علامت کدهای مورد نظر را بردارید و \"افزودن\" را کلیک کنید. سپس این کدها به ویزیت فعلی اضافه می شوند');
INSERT INTO `lang_definitions` VALUES (161503, 1290, 30, 'به طور پیش فرض فقط اطلاعات دموگرافیک و صورتحساب انتخاب شده است');
INSERT INTO `lang_definitions` VALUES (161504, 1291, 30, 'به طور پیش فرض فقط پنج یادآوری تاریخ دار همزمان نشان داده می شود');
INSERT INTO `lang_definitions` VALUES (161505, 1292, 30, 'به طور پیش فرض بخش عضویت کاربر انتخاب شده است و همه کاربران فعال ثبت شده به ترتیب حروف الفبا با نام کاربری آنها لیست می شوند.');
INSERT INTO `lang_definitions` VALUES (161506, 1293, 30, 'با دهان');
INSERT INTO `lang_definitions` VALUES (161507, 1294, 30, 'با انتخاب روش پرداخت ، نرخ محاسبه شده برای آن روش پرداخت به طور خودکار در بخش \"کدهای صورت حساب و هزینه های انتخاب شده ویزیت فعلی\" نمایش داده می شود');
INSERT INTO `lang_definitions` VALUES (161508, 1295, 30, 'توسط/منبع');
INSERT INTO `lang_definitions` VALUES (161509, 1296, 30, 'توسط:');
INSERT INTO `lang_definitions` VALUES (161510, 1297, 30, 'توسط {{ساخته شده توسط / سازنده}}');
INSERT INTO `lang_definitions` VALUES (161511, 1298, 30, 'B {{هر دو طرف}}');
INSERT INTO `lang_definitions` VALUES (161512, 1299, 30, 'C');
INSERT INTO `lang_definitions` VALUES (161513, 1300, 30, 'نسبت C / D {{نسبت فنجان به دیسک}}');
INSERT INTO `lang_definitions` VALUES (161514, 1301, 30, 'گواهی CA برای تأیید سرور syslog RFC 5425 TLS.');
INSERT INTO `lang_definitions` VALUES (161515, 1302, 30, 'طول عمر کش (در ثانیه)');
INSERT INTO `lang_definitions` VALUES (161516, 1303, 30, 'الگوی خروجی حافظه نهان؟');
INSERT INTO `lang_definitions` VALUES (161517, 1304, 30, 'کافئین');
INSERT INTO `lang_definitions` VALUES (161518, 1305, 30, 'مصرف کافئین');
INSERT INTO `lang_definitions` VALUES (161519, 1306, 30, 'تقویم');
INSERT INTO `lang_definitions` VALUES (161520, 1307, 30, 'ساعت پایان تقویم');
INSERT INTO `lang_definitions` VALUES (161521, 1308, 30, 'فاصله تقویم');
INSERT INTO `lang_definitions` VALUES (161522, 1309, 30, 'صفحه نمایش تقویم');
INSERT INTO `lang_definitions` VALUES (161523, 1310, 30, 'تنظیمات تقویم');
INSERT INTO `lang_definitions` VALUES (161524, 1311, 30, 'تنظیمات تقویم (تقویم)');
INSERT INTO `lang_definitions` VALUES (161525, 1312, 30, 'ساعت شروع تقویم');
INSERT INTO `lang_definitions` VALUES (161526, 1313, 30, 'رابط کاربری تقویم');
INSERT INTO `lang_definitions` VALUES (161527, 1314, 30, 'نمای تقویم');
INSERT INTO `lang_definitions` VALUES (161528, 1315, 30, 'تقویم_خارجی به رویدادها');
INSERT INTO `lang_definitions` VALUES (161529, 1316, 30, 'یادداشت پاسخ دادن به تماس ها');
INSERT INTO `lang_definitions` VALUES (161530, 1317, 30, 'اشاره به addForm() اینجا نوشته میشود. <br>');
INSERT INTO `lang_definitions` VALUES (161531, 1318, 30, 'پاسخ به تماس');
INSERT INTO `lang_definitions` VALUES (161532, 1319, 30, 'پاسخ به تماس انجام شد');
INSERT INTO `lang_definitions` VALUES (161533, 1320, 30, 'درخواست پاسخ به تماس');
INSERT INTO `lang_definitions` VALUES (161534, 1321, 30, 'کالری');
INSERT INTO `lang_definitions` VALUES (161535, 1322, 30, 'کامبوجی');
INSERT INTO `lang_definitions` VALUES (161536, 1323, 30, 'سیستم های سفارش پزشکی رایانه ای (ماژول OpenEMR)');
INSERT INTO `lang_definitions` VALUES (161537, 1324, 30, 'نمی توان سیستم عامل را تعیین کرد!');
INSERT INTO `lang_definitions` VALUES (161538, 1325, 30, 'نمی توان این را فعال کرد مگر آنکه گزینه خلاصه درمان ارسال شده فعال شده باشد');
INSERT INTO `lang_definitions` VALUES (161539, 1326, 30, 'فایل پیدا نشد');
INSERT INTO `lang_definitions` VALUES (161540, 1327, 30, 'آپلود نشد');
INSERT INTO `lang_definitions` VALUES (161541, 1328, 30, 'کانادا');
INSERT INTO `lang_definitions` VALUES (161542, 1329, 30, 'لغو');
INSERT INTO `lang_definitions` VALUES (161543, 1330, 30, 'لغو');
INSERT INTO `lang_definitions` VALUES (161544, 1332, 30, 'لغو تغییرات');
INSERT INTO `lang_definitions` VALUES (161545, 1333, 30, 'لغو شد');
INSERT INTO `lang_definitions` VALUES (161546, 1334, 30, 'لغو شد < 24 ساعت');
INSERT INTO `lang_definitions` VALUES (161547, 1335, 30, 'سرطان');
INSERT INTO `lang_definitions` VALUES (161548, 1336, 30, 'غربالگری سرطان: غربالگری سرطان روده بزرگ');
INSERT INTO `lang_definitions` VALUES (161549, 1337, 30, 'غربالگری سرطان: ماموگرافی');
INSERT INTO `lang_definitions` VALUES (161550, 1338, 30, 'غربالگری سرطان: تست پاپ اسمیر');
INSERT INTO `lang_definitions` VALUES (161551, 1339, 30, 'غربالگری سرطان: غربالگری سرطان پروستات');
INSERT INTO `lang_definitions` VALUES (161552, 1340, 30, 'این ورودی اضافه نمی شود زیرا از قبل موجود است!');
INSERT INTO `lang_definitions` VALUES (161553, 1341, 30, 'نمی توان این مطلب را اضافه یا به روز کرد زیرا یک نسخه مشابه از قبل موجود است!');
INSERT INTO `lang_definitions` VALUES (161554, 1342, 30, 'نمی توان بایگانی کرد ، نادیده گرفته شد');
INSERT INTO `lang_definitions` VALUES (161555, 1343, 30, 'به JPEG تبدیل نشد. شاید ImageMagick نصب نیست؟');
INSERT INTO `lang_definitions` VALUES (161556, 1344, 30, 'قابل حذف نیست ، نادیده گرفته شد');
INSERT INTO `lang_definitions` VALUES (161557, 1345, 30, 'به صورت درون خطی قابل نمایش نیست زیرا آن نوع توسط مرورگر پشتیبانی نمی شود.');
INSERT INTO `lang_definitions` VALUES (161558, 1346, 30, 'به صورت درون خطی قابل نمایش نیست زیرا آن نوع توسط مرورگر پشتیبانی نمی شود.');
INSERT INTO `lang_definitions` VALUES (161559, 1347, 30, 'به صورت درون خطی قابل نمایش نیست زیرا آن نوع توسط مرورگر پشتیبانی نمی شود.');
INSERT INTO `lang_definitions` VALUES (161560, 1348, 30, 'در صورت عدم آنتن دهی موبایل نمی توان استفاده کرد');
INSERT INTO `lang_definitions` VALUES (161561, 1349, 30, 'نمی توان ایجاد  کرد');
INSERT INTO `lang_definitions` VALUES (161562, 1350, 30, 'نمیتوان فایل درست کرد');
INSERT INTO `lang_definitions` VALUES (161563, 1351, 30, 'حذف فایل (از سرور SFTP) امکان پذیر نیست');
INSERT INTO `lang_definitions` VALUES (161564, 1352, 30, 'فایل قابل حذف نیست');
INSERT INTO `lang_definitions` VALUES (161565, 1353, 30, 'نام فایل مقصد پیدا نشد');
INSERT INTO `lang_definitions` VALUES (161566, 1354, 30, 'پیدا نشد');
INSERT INTO `lang_definitions` VALUES (161567, 1355, 30, 'نام فایل مقصد پیدا نشد');
INSERT INTO `lang_definitions` VALUES (161568, 1356, 30, 'فیلد پرش پیدا نشد برای');
INSERT INTO `lang_definitions` VALUES (161569, 1357, 30, 'فیلد پرش هدف پیدا نشد برای');
INSERT INTO `lang_definitions` VALUES (161570, 1358, 30, 'از شناسه مشتری SQL-Ledger نمی توان بیمار را پیدا کرد');
INSERT INTO `lang_definitions` VALUES (161571, 1359, 30, 'اشاره به پانوشت سند پیدا نشد');
INSERT INTO `lang_definitions` VALUES (161572, 1360, 30, 'نمی توان ارائه دهنده ر از SQL-Ledger کارمند پیدا کرد =');
INSERT INTO `lang_definitions` VALUES (161573, 1361, 30, 'پرداختها را نمی توان تغییر داد. توزیع نشده منفی است.');
INSERT INTO `lang_definitions` VALUES (161574, 1362, 30, 'نمی توان باز کرد');
INSERT INTO `lang_definitions` VALUES (161575, 1363, 30, 'نمی توان باز کرد');
INSERT INTO `lang_definitions` VALUES (161576, 1364, 30, 'نمی توان برای بیمه درخواست ارسال کرد. نهاد پرداخت کننده انتخاب شده بیمار است.');
INSERT INTO `lang_definitions` VALUES (161577, 1365, 30, 'نمی توان برای بیمار ارسال کرد. واحد پرداخت کننده بیمه انتخاب شده است.');
INSERT INTO `lang_definitions` VALUES (161578, 1366, 30, 'نمیتوان پرداخت را ارسال کرد. توزیع نشده منفی است.');
INSERT INTO `lang_definitions` VALUES (161579, 1367, 30, 'خواندن امکان پذیر نیست');
INSERT INTO `lang_definitions` VALUES (161580, 1368, 30, 'دایرکتوری را نمیتوان خواند');
INSERT INTO `lang_definitions` VALUES (161581, 1369, 30, 'نمی توانید به روز کنید زیرا شما ورودی موجود را ویرایش نمی کنید!');
INSERT INTO `lang_definitions` VALUES (161582, 1370, 30, 'بزرگ کردن');
INSERT INTO `lang_definitions` VALUES (161583, 1371, 30, 'بزرگ نوشتن همه');
INSERT INTO `lang_definitions` VALUES (161584, 1372, 30, 'کپسول');
INSERT INTO `lang_definitions` VALUES (161585, 1373, 30, 'کارت');
INSERT INTO `lang_definitions` VALUES (161586, 1374, 30, 'شماره CVV کارت');
INSERT INTO `lang_definitions` VALUES (161587, 1375, 30, 'تاریخ انقضای کارت');
INSERT INTO `lang_definitions` VALUES (161588, 1376, 30, 'تاریخ انقضای کارت و کد پستی صاحب کارت');
INSERT INTO `lang_definitions` VALUES (161589, 1377, 30, 'کد پستی صاحب کارت');
INSERT INTO `lang_definitions` VALUES (161590, 1378, 30, 'نام کارت');
INSERT INTO `lang_definitions` VALUES (161591, 1379, 30, 'شماره کارت');
INSERT INTO `lang_definitions` VALUES (161592, 1380, 30, 'نوع کارت');
INSERT INTO `lang_definitions` VALUES (161593, 1381, 30, 'قلبی');
INSERT INTO `lang_definitions` VALUES (161594, 1382, 30, 'کاتتریزاسیون قلب');
INSERT INTO `lang_definitions` VALUES (161595, 1383, 30, 'اکوی قلبی');
INSERT INTO `lang_definitions` VALUES (161596, 1384, 30, 'قلبی عروقی');
INSERT INTO `lang_definitions` VALUES (161597, 1385, 30, 'هماهنگی مراقبت');
INSERT INTO `lang_definitions` VALUES (161598, 1386, 30, 'فقط هماهنگی مراقبت');
INSERT INTO `lang_definitions` VALUES (161599, 1387, 30, 'مستندات مراقبت');
INSERT INTO `lang_definitions` VALUES (161600, 1388, 30, 'مراقب');
INSERT INTO `lang_definitions` VALUES (161601, 1389, 30, 'برنامه ی مراقبتی');
INSERT INTO `lang_definitions` VALUES (161602, 1390, 30, 'فرم برنامه مراقبت');
INSERT INTO `lang_definitions` VALUES (161603, 1391, 30, 'توصیه های برنامه مراقبت');
INSERT INTO `lang_definitions` VALUES (161604, 1392, 30, 'تیم مراقبت');
INSERT INTO `lang_definitions` VALUES (161605, 1393, 30, 'برنامه ریزی دقیق قبل از ورود به آزمون ها برای اطمینان از سهولت استفاده بعدی و نمایش صحیح نتایج ضروری است');
INSERT INTO `lang_definitions` VALUES (161606, 1394, 30, 'صدای کاروتید');
INSERT INTO `lang_definitions` VALUES (161607, 1395, 30, 'کاروتید {{عروق کاروتید}}');
INSERT INTO `lang_definitions` VALUES (161608, 1396, 30, 'آسیب غضروف / غضروف / دیسک');
INSERT INTO `lang_definitions` VALUES (161609, 1397, 30, 'آسیب غضروف');
INSERT INTO `lang_definitions` VALUES (161610, 1398, 30, 'تپش های کاروتید طبیعی ، پالس های پا طبیعی');
INSERT INTO `lang_definitions` VALUES (161611, 1399, 30, 'CAR {{شریان های کاروتید}}');
INSERT INTO `lang_definitions` VALUES (161612, 1400, 30, 'پول نقد');
INSERT INTO `lang_definitions` VALUES (161613, 1401, 30, 'پول نقد');
INSERT INTO `lang_definitions` VALUES (161614, 1402, 30, 'رسید دریافت پول نقد');
INSERT INTO `lang_definitions` VALUES (161615, 1403, 30, 'رسیدهای نقدی ارائه دهنده');
INSERT INTO `lang_definitions` VALUES (161616, 1404, 30, 'کاتالان- والنسیایی');
INSERT INTO `lang_definitions` VALUES (161617, 1405, 30, 'آب مروارید');
INSERT INTO `lang_definitions` VALUES (161618, 1406, 30, 'جراحی آب مروارید');
INSERT INTO `lang_definitions` VALUES (161619, 1407, 30, 'آب مروارید');
INSERT INTO `lang_definitions` VALUES (161620, 1408, 30, 'دسته بندی ها');
INSERT INTO `lang_definitions` VALUES (161621, 1409, 30, 'دسته بندی ها برای');
INSERT INTO `lang_definitions` VALUES (161622, 1410, 30, 'دسته بندی');
INSERT INTO `lang_definitions` VALUES (161623, 1411, 30, 'دسته بندی');
INSERT INTO `lang_definitions` VALUES (161624, 1412, 30, 'دسته بندی');
INSERT INTO `lang_definitions` VALUES (161625, 1413, 30, 'دسته - سفارش ، نتیجه و توصیه به کد شناسایی نیاز دارد');
INSERT INTO `lang_definitions` VALUES (161626, 1414, 30, 'دسته تغییر کرد.');
INSERT INTO `lang_definitions` VALUES (161627, 1415, 30, 'طرح رنگ دسته بندی');
INSERT INTO `lang_definitions` VALUES (161628, 1416, 30, 'جزئیات دسته بندی');
INSERT INTO `lang_definitions` VALUES (161629, 1417, 30, 'محدودیت های دسته بندی');
INSERT INTO `lang_definitions` VALUES (161630, 1418, 30, 'نام دسته بندی');
INSERT INTO `lang_definitions` VALUES (161631, 1419, 30, 'نام دسته بندی خالی است');
INSERT INTO `lang_definitions` VALUES (161632, 1420, 30, 'دسته بندی/عنوان');
INSERT INTO `lang_definitions` VALUES (161633, 1421, 30, 'سفید پوست');
INSERT INTO `lang_definitions` VALUES (161634, 1422, 30, 'باعث چاپ رسیدها برای چاپ اطلاعات ویزیت/ ارائه دهنده اصلی می شود');
INSERT INTO `lang_definitions` VALUES (161635, 1423, 30, 'cc دور {{با تصحیح دور}}');
INSERT INTO `lang_definitions` VALUES (161636, 1424, 30, 'cc نزدیک {{با تصحیح نزدیک}}');
INSERT INTO `lang_definitions` VALUES (161637, 1425, 30, 'سند تداوم مراقبت');
INSERT INTO `lang_definitions` VALUES (161638, 1426, 30, 'تلفیق معماری اسناد بالینی');
INSERT INTO `lang_definitions` VALUES (161639, 1427, 30, 'cc دور {{با تصحیح دور}}');
INSERT INTO `lang_definitions` VALUES (161640, 1428, 30, 'cc دور {{با تصحیح دور}}');
INSERT INTO `lang_definitions` VALUES (161641, 1429, 30, 'cc نزدیک {{با تصحیح نزدیک}}');
INSERT INTO `lang_definitions` VALUES (161642, 1430, 30, 'cc نزدیک {{با تصحیح نزدیک}}');
INSERT INTO `lang_definitions` VALUES (161643, 1431, 30, 'تداوم سابقه مراقبت');
INSERT INTO `lang_definitions` VALUES (161644, 1432, 30, 'تایید تداوم سابقه مراقبت');
INSERT INTO `lang_definitions` VALUES (161645, 1433, 30, 'بررسی بیمار از تداوم سابقه مراقبت');
INSERT INTO `lang_definitions` VALUES (161646, 1434, 30, 'بررسی و تایید تداوم سابقه مراقبت');
INSERT INTO `lang_definitions` VALUES (161647, 1435, 30, 'CC {{شکایت اصلی}}');
INSERT INTO `lang_definitions` VALUES (161648, 1436, 30, 'شکایت اصلی {{با اصلاح}}');
INSERT INTO `lang_definitions` VALUES (161649, 1437, 30, 'شکایت اصلی {{با اصلاح}}');
INSERT INTO `lang_definitions` VALUES (161650, 1438, 30, 'CDA بلوک های ساختمانی را تعریف می کند که می تواند شامل عناصر داده های مراقبت های بهداشتی باشد که می توانند به صورت الکترونیکی برای استفاده و استفاده مجدد در بسیاری از قالب ها ضبط ، ذخیره ، دسترسی ، نمایش داده و ارسال شوند.');
INSERT INTO `lang_definitions` VALUES (161651, 1439, 30, 'CDA یا معماری اسناد بالینی یک استاندارد برای اسناد است که توسط سازمان HL7 تهیه شده است');
INSERT INTO `lang_definitions` VALUES (161652, 1440, 30, 'کد مراکز کنترل بیماری');
INSERT INTO `lang_definitions` VALUES (161653, 1441, 30, 'کد CDC-NIP');
INSERT INTO `lang_definitions` VALUES (161654, 1442, 30, 'مخزن داده های بالینی');
INSERT INTO `lang_definitions` VALUES (161655, 1443, 30, 'اولویت پردازش گزارش مخزن داده های بالینی');
INSERT INTO `lang_definitions` VALUES (161656, 1444, 30, 'تلفن همراه');
INSERT INTO `lang_definitions` VALUES (161657, 1445, 30, 'تلفن همراه');
INSERT INTO `lang_definitions` VALUES (161658, 1446, 30, 'شماره تلفن همراه');
INSERT INTO `lang_definitions` VALUES (161659, 1447, 30, 'شماره تلفن همراه');
INSERT INTO `lang_definitions` VALUES (161660, 1449, 30, 'گواهینامه مرکزی');
INSERT INTO `lang_definitions` VALUES (161661, 1450, 30, 'ضخامت ماکولای مرکزی');
INSERT INTO `lang_definitions` VALUES (161662, 1451, 30, 'آمریکای مرکزی / جنوبی');
INSERT INTO `lang_definitions` VALUES (161663, 1452, 30, 'محل فایل گواهی crt نمی تواند خالی باشد');
INSERT INTO `lang_definitions` VALUES (161664, 1453, 30, 'محل فایل گواهی key نمی تواند خالی باشد');
INSERT INTO `lang_definitions` VALUES (161665, 1454, 30, 'گواهی ارسال به سرور syslog RFC 5425 TLS.');
INSERT INTO `lang_definitions` VALUES (161666, 1455, 30, 'کاربر گواهی');
INSERT INTO `lang_definitions` VALUES (161667, 1456, 30, 'گواهینامه ها');
INSERT INTO `lang_definitions` VALUES (161668, 1457, 30, 'چامورو');
INSERT INTO `lang_definitions` VALUES (161669, 1458, 30, 'برنامه خدمات بهداشتی و درمانی غیر نظامی خدمات متحدالشکل (اکنون به عنوان TRICARE شناخته می شود)');
INSERT INTO `lang_definitions` VALUES (161670, 1459, 30, 'برنامه بهداشتی و پزشکی غیر نظامی گروه امور ایثارگران');
INSERT INTO `lang_definitions` VALUES (161671, 1460, 30, 'تغییر');
INSERT INTO `lang_definitions` VALUES (161672, 1461, 30, 'تغییر');
INSERT INTO `lang_definitions` VALUES (161673, 1462, 30, 'تغییر فعالیت');
INSERT INTO `lang_definitions` VALUES (161674, 1463, 30, 'هر مورد موجود را تغییر دهید و پس از آماده شدن روی ارسال برای بررسی کلیک کنید. این تغییرات علامت گذاری شده و قبل از انجام تغییرات در نمودار ، به کارکنان جهت بررسی تغییرات اطلاع داده می شود. در طول دوره زمانی قبل از بررسی تغییرات ، دکمه بازبینی شده در حالت انتظار است و داده های پروفایل همچنان برای تغییرات در دسترس هستند. هنگام دسترسی به پروفایل در حالت تعلیق ، همه ویرایش های قبلی با رنگ آبی و مقادیر نمودار فعلی با رنگ قرمز ظاهر می شوند. با کلیک روی آن مورد قرمز (یا نسخه بالعکس) ممکن است هر ویرایشی را به مقدار اولیه نمودار برگردانید اما به یاد داشته باشید که وقتی روی ارسال برای بررسی کلیک می کنید ، مواردی که نمایش داده شده اند مواردی هستند که ارسال می شوند. دکمه بازگردانی مقادیر همه چیز را به مقادیر اولیه نمودار تغییر می دهد و میتوانید از آنجا تغییراتی ایجاد کنید. بنابراین ، یادآوری می کنیم: موارد به رنگ آبی ، ویرایش های بیمار است و موارد قرمز مقادیر اصلی قبل از ویرایش شدن هستند.');
INSERT INTO `lang_definitions` VALUES (161675, 1466, 30, 'تغییر ناموفق بود! خطای اتصال CouchDB؟');
INSERT INTO `lang_definitions` VALUES (161676, 1467, 30, 'تغییر در بینایی');
INSERT INTO `lang_definitions` VALUES (161677, 1468, 30, 'تغییر در بینایی');
INSERT INTO `lang_definitions` VALUES (161678, 1470, 30, 'تغییر رمز عبور');
INSERT INTO `lang_definitions` VALUES (161679, 1471, 30, 'تغییر رمز عبور برای');
INSERT INTO `lang_definitions` VALUES (161680, 1473, 30, 'تغییر وضعیت برای');
INSERT INTO `lang_definitions` VALUES (161681, 1475, 30, 'تغییر یافت');
INSERT INTO `lang_definitions` VALUES (161682, 1476, 30, 'روده عوض شده');
INSERT INTO `lang_definitions` VALUES (161683, 1479, 30, 'تغییر شناسه بیمار برای سند');
INSERT INTO `lang_definitions` VALUES (161684, 1480, 30, 'تغییر وضعیت به انجام شده ، پیام را از لیست پیام فعال حذف می کند');
INSERT INTO `lang_definitions` VALUES (161685, 1481, 30, 'تغییر وضعیت به جدید به همان نتیجه می رسد');
INSERT INTO `lang_definitions` VALUES (161686, 1482, 30, 'تغییر وضعیت به خواندن، آن را به عنوان یک پیام خوانده نشده در لیست پیام های فعال کاربر فعلی قرار می دهد');
INSERT INTO `lang_definitions` VALUES (161687, 1483, 30, 'کانال ها');
INSERT INTO `lang_definitions` VALUES (161688, 1484, 30, 'مشخصات');
INSERT INTO `lang_definitions` VALUES (161689, 1485, 30, 'حروف باقی مانده');
INSERT INTO `lang_definitions` VALUES (161690, 1486, 30, 'هزینه');
INSERT INTO `lang_definitions` VALUES (161691, 1487, 30, 'تنظیم هزینه');
INSERT INTO `lang_definitions` VALUES (161692, 1488, 30, 'هزینه کدگذاری شده');
INSERT INTO `lang_definitions` VALUES (161693, 1489, 30, 'کل هزینه');
INSERT INTO `lang_definitions` VALUES (161694, 1490, 30, 'هزینه ها');
INSERT INTO `lang_definitions` VALUES (161695, 1491, 30, 'چارت');
INSERT INTO `lang_definitions` VALUES (161696, 1492, 30, 'تغییرات چارت');
INSERT INTO `lang_definitions` VALUES (161697, 1493, 30, 'تاریخچه تحویل دادن و پس گرفتن چارت');
INSERT INTO `lang_definitions` VALUES (161698, 1495, 30, 'شناسه چارت');
INSERT INTO `lang_definitions` VALUES (161699, 1496, 30, 'شناسه چارت:');
INSERT INTO `lang_definitions` VALUES (161700, 1497, 30, 'برچسب نمودار');
INSERT INTO `lang_definitions` VALUES (161701, 1498, 30, 'مکان فعالیت چارت');
INSERT INTO `lang_definitions` VALUES (161702, 1499, 30, 'یادداشت چارت');
INSERT INTO `lang_definitions` VALUES (161703, 1500, 30, 'شماره چارت');
INSERT INTO `lang_definitions` VALUES (161704, 1501, 30, 'چارت دریافت شد');
INSERT INTO `lang_definitions` VALUES (161705, 1502, 30, 'محل ذخیره چارت');
INSERT INTO `lang_definitions` VALUES (161706, 1504, 30, 'ردیاب چارت');
INSERT INTO `lang_definitions` VALUES (161707, 1505, 30, 'ردیاب چارت');
INSERT INTO `lang_definitions` VALUES (161708, 1508, 30, 'چارت تحویل داده شده');
INSERT INTO `lang_definitions` VALUES (161709, 1509, 30, 'چارت های تحویل داده شده');
INSERT INTO `lang_definitions` VALUES (161710, 1510, 30, 'چت');
INSERT INTO `lang_definitions` VALUES (161711, 1511, 30, 'تاریخچه ی چت');
INSERT INTO `lang_definitions` VALUES (161712, 1512, 30, 'چچنی');
INSERT INTO `lang_definitions` VALUES (161713, 1513, 30, 'بررسی');
INSERT INTO `lang_definitions` VALUES (161714, 1514, 30, 'چک');
INSERT INTO `lang_definitions` VALUES (161715, 1515, 30, 'بررسی همه');
INSERT INTO `lang_definitions` VALUES (161716, 1516, 30, 'بررسی همه - اجزا');
INSERT INTO `lang_definitions` VALUES (161717, 1517, 30, 'مبلغ چک');
INSERT INTO `lang_definitions` VALUES (161718, 1518, 30, 'تنظیمات را در نسخه استاندارد بررسی و تنظیم کنید');
INSERT INTO `lang_definitions` VALUES (161719, 1519, 30, 'تاریخ چک');
INSERT INTO `lang_definitions` VALUES (161720, 1520, 30, 'تاریخ انقضا را بررسی کنید.');
INSERT INTO `lang_definitions` VALUES (161721, 1521, 30, 'تفاوت ترجمه ها را با جدول زبان سفارشی بررسی کنید.');
INSERT INTO `lang_definitions` VALUES (161722, 1522, 30, 'بررسی کنید آیا برای این صفحه فایل راهنما موجود است');
INSERT INTO `lang_definitions` VALUES (161723, 1523, 30, 'بررسی کنید آیا می خواهید کارت پستال را به صورت محلی چاپ کنید');
INSERT INTO `lang_definitions` VALUES (161724, 1524, 30, 'بررسی کنید آیا می خواهید کارت پستال از طریق MedEx ارسال کنید');
INSERT INTO `lang_definitions` VALUES (161725, 1525, 30, 'بررسی کنید آیا قصد دارید از برچسب  Avery برای یادآوری یا یادآوری استفاده کنید');
INSERT INTO `lang_definitions` VALUES (161726, 1526, 30, 'ثبت ورود');
INSERT INTO `lang_definitions` VALUES (161727, 1527, 30, 'تحویل دادن به');
INSERT INTO `lang_definitions` VALUES (161728, 1528, 30, 'بررسی داده های ورودی');
INSERT INTO `lang_definitions` VALUES (161729, 1529, 30, 'بررسی موارد نمودار');
INSERT INTO `lang_definitions` VALUES (161730, 1530, 30, 'بررسی نتایج آزمایشگاهی');
INSERT INTO `lang_definitions` VALUES (161731, 1531, 30, 'علامت تیک نشان دهنده بازبینی شده است');
INSERT INTO `lang_definitions` VALUES (161732, 1532, 30, 'شماره چک');
INSERT INTO `lang_definitions` VALUES (161733, 1533, 30, 'شماره چک');
INSERT INTO `lang_definitions` VALUES (161734, 1534, 30, 'تسویه حساب');
INSERT INTO `lang_definitions` VALUES (161735, 1535, 30, 'زمان تسویه حساب');
INSERT INTO `lang_definitions` VALUES (161736, 1536, 30, 'پرداخت چک');
INSERT INTO `lang_definitions` VALUES (161737, 1537, 30, 'این گزینه را علامت بزنید اگر این یک فایل رمزگذاری شده است');
INSERT INTO `lang_definitions` VALUES (161738, 1538, 30, 'کادر تأیید CPOE (ورودی ارائه دهنده سفارش رایانه ای) را علامت بزنید');
INSERT INTO `lang_definitions` VALUES (161739, 1539, 30, 'کادر فعال کردن سرویس پیام رسانی مستقیم phiMail را علامت بزنید');
INSERT INTO `lang_definitions` VALUES (161740, 1540, 30, 'ترتیب اعداد را بررسی کنید');
INSERT INTO `lang_definitions` VALUES (161741, 1541, 30, 'اگر می خواهید ارائه دهندگان به طور پیش فرض همه قرار ملاقات ها را ببینند و نه فقط برای خودشان ، این گزینه را علامت بزنید.');
INSERT INTO `lang_definitions` VALUES (161742, 1542, 30, 'برای شروع پخش زنده این گزینه را علامت بزنید. بدون علامت گذاری در حالت آزمایشی است.');
INSERT INTO `lang_definitions` VALUES (161743, 1543, 30, 'برای ثبت مشکل از این تشخیص گزینه را علامت بزنید');
INSERT INTO `lang_definitions` VALUES (161744, 1544, 30, 'تاریخ چک / توضیح مزایا:');
INSERT INTO `lang_definitions` VALUES (161745, 1545, 30, 'تاریخ چک / توضیح مزایا:');
INSERT INTO `lang_definitions` VALUES (161746, 1546, 30, 'شماره چک / توضیح مزایا:');
INSERT INTO `lang_definitions` VALUES (161747, 1547, 30, 'شماره چک / توضیح مزایا:');
INSERT INTO `lang_definitions` VALUES (161748, 1548, 30, 'شماره چک / مرجع');
INSERT INTO `lang_definitions` VALUES (161749, 1549, 30, 'شماره چک / مرجع');
INSERT INTO `lang_definitions` VALUES (161750, 1550, 30, 'فهرست گزینه ها');
INSERT INTO `lang_definitions` VALUES (161751, 1551, 30, 'فهرست گزینه ها');
INSERT INTO `lang_definitions` VALUES (161752, 1552, 30, 'گزینه با متن');
INSERT INTO `lang_definitions` VALUES (161753, 1553, 30, 'گزینه با متن');
INSERT INTO `lang_definitions` VALUES (161754, 1554, 30, 'گزینه ها');
INSERT INTO `lang_definitions` VALUES (161755, 1555, 30, 'گزینه ی بالا نشان می دهد که آیا می خواهید پرونده HL7 را رد یا حذف کنید.');
INSERT INTO `lang_definitions` VALUES (161756, 1556, 30, 'گزینه با متن');
INSERT INTO `lang_definitions` VALUES (161757, 1557, 30, 'علامت زده شده');
INSERT INTO `lang_definitions` VALUES (161758, 1558, 30, 'علامت زده شده');
INSERT INTO `lang_definitions` VALUES (161759, 1559, 30, 'گزینه علامت زده شده = بله، خالی = هیچ');
INSERT INTO `lang_definitions` VALUES (161760, 1560, 30, 'گزینه علامت زده شده = بله، خالی = هیچ');
INSERT INTO `lang_definitions` VALUES (161761, 1561, 30, 'فرمول دارو را بررسی کردید؟');
INSERT INTO `lang_definitions` VALUES (161762, 1562, 30, 'تحویل شده');
INSERT INTO `lang_definitions` VALUES (161763, 1563, 30, 'تحویل شده');
INSERT INTO `lang_definitions` VALUES (161764, 1564, 30, 'با انتخاب هر یک از کادرهای انتخاب به منظر یک بله در فرم CMS 1500 خواهد بود');
INSERT INTO `lang_definitions` VALUES (161765, 1565, 30, 'با بررسی کادر انتخاب گروه ها و دسترسی ها ، این بخش نشان داده می شود که تمام دسته های دارای زیر گروه (ACO) را لیست می کند ، یعنی قسمت هایی از برنامه که توسط امتیازات لیست کنترل دسترسی کنترل می شوند.');
INSERT INTO `lang_definitions` VALUES (161766, 1566, 30, 'علامت زدن کادر تأیید قفل از هرگونه ویرایش بیشتر در هر فرم در این برخورد جلوگیری می کند.');
INSERT INTO `lang_definitions` VALUES (161767, 1567, 30, 'با علامت گذاری در جعبه کارت پستال ، به شما امکان می دهد کارت پستالی را که می تواند برای بیمار از طریق پست ارسال شود ، چاپ کنید');
INSERT INTO `lang_definitions` VALUES (161768, 1568, 30, 'مرخص شدن');
INSERT INTO `lang_definitions` VALUES (161769, 1569, 30, 'شماره کنترل');
INSERT INTO `lang_definitions` VALUES (161770, 1570, 30, 'قفسه سینه');
INSERT INTO `lang_definitions` VALUES (161771, 1571, 30, 'سکوت سینه در دم و بازدم');
INSERT INTO `lang_definitions` VALUES (161772, 1572, 30, 'درد قفسه سینه');
INSERT INTO `lang_definitions` VALUES (161773, 1573, 30, 'درد قفسه سینه:');
INSERT INTO `lang_definitions` VALUES (161774, 1574, 30, 'دردهای قفسه سینه');
INSERT INTO `lang_definitions` VALUES (161775, 1575, 30, 'پزشک قفسه سینه');
INSERT INTO `lang_definitions` VALUES (161776, 1576, 30, 'Chg');
INSERT INTO `lang_definitions` VALUES (161777, 1577, 30, 'زبان چوایی');
INSERT INTO `lang_definitions` VALUES (161778, 1578, 30, 'شکایت اصلی');
INSERT INTO `lang_definitions` VALUES (161779, 1579, 30, 'شکایت اصلی 2');
INSERT INTO `lang_definitions` VALUES (161780, 1580, 30, 'شکایت اصلی 3');
INSERT INTO `lang_definitions` VALUES (161781, 1581, 30, 'کودک');
INSERT INTO `lang_definitions` VALUES (161782, 1582, 30, 'کودک همسر');
INSERT INTO `lang_definitions` VALUES (161783, 1583, 30, 'وضعیت ایمن سازی کودکی (CQM)');
INSERT INTO `lang_definitions` VALUES (161784, 1584, 30, 'لرز');
INSERT INTO `lang_definitions` VALUES (161785, 1585, 30, 'چینی');
INSERT INTO `lang_definitions` VALUES (161786, 1586, 30, 'چینی (ساده شده)');
INSERT INTO `lang_definitions` VALUES (161787, 1587, 30, 'چینی (سنتی)');
INSERT INTO `lang_definitions` VALUES (161788, 1588, 30, 'کایروپراکتیک');
INSERT INTO `lang_definitions` VALUES (161789, 1589, 30, 'گزینه ها');
INSERT INTO `lang_definitions` VALUES (161790, 1590, 30, 'جراحی کیسه صفرا');
INSERT INTO `lang_definitions` VALUES (161791, 1591, 30, 'جراحی کیسه صفرا');
INSERT INTO `lang_definitions` VALUES (161792, 1592, 30, 'جراحی کیسه صفرا');
INSERT INTO `lang_definitions` VALUES (161793, 1593, 30, 'انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (161794, 1594, 30, 'انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (161795, 1595, 30, 'یک دوره یا چند تاریخ انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (161796, 1596, 30, 'بخشی را انتخاب کنید و روی مورد موجود در آن کلیک کنید. سپس در بخش دیگر موارد مرتبط را برجسته خواهید دید ، و می توانید برای افزودن و حذف روابط روی آن قسمت کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (161797, 1597, 30, 'معیار را انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (161798, 1598, 30, 'جدول CSV را انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (161799, 1599, 30, 'دانلود یا نمایش درخط را انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (161800, 1600, 30, 'ارائه دهنده فعلی یا ارائه دهنده وارد شده به سیستم فعلی را انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (161801, 1602, 30, 'انتخاب فایل');
INSERT INTO `lang_definitions` VALUES (161802, 1603, 30, 'از لیست انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (161803, 1604, 30, 'جهت چیدمان را انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (161804, 1605, 30, 'فهرست را انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (161805, 1606, 30, 'در صورت مناسب بودن یکی را انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (161806, 1607, 30, 'یکی از چهار مقدار بازگشتی را که درجات مختلف دسترسی را نشان میدهند ، انتخاب کنید.');
INSERT INTO `lang_definitions` VALUES (161807, 1608, 30, 'اندازه کاغذ را انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (161808, 1609, 30, 'بیمار را انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (161809, 1610, 30, 'اولویت زبان PDF را انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (161810, 1611, 30, 'قالب چاپی را برای این گزارش برخورد انتخاب کنید.');
INSERT INTO `lang_definitions` VALUES (161811, 1612, 30, 'چینش را انتخاب کنید (برای دیدن این تنظیم جدید باید از سیستم خارج شوید و سپس وارد شوید).');
INSERT INTO `lang_definitions` VALUES (161812, 1613, 30, 'نمای پیش فرض خود را انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (161813, 1614, 30, 'مرورگر Chrome نسخه 41 به بالا ، مرورگر Mozilla Firefox نسخه 64 به بالا ، مرورگر Microsoft Edge نسخه 19 به بالا ، مرورگر Safari نسخه 13 به بالا ، مرورگر Opera نسخه 40 و مرورگر Opera نسخه 42 به بالا از FIDO U2F API پشتیبانی می کنند');
INSERT INTO `lang_definitions` VALUES (161814, 1615, 30, 'برونشیت مزمن');
INSERT INTO `lang_definitions` VALUES (161815, 1616, 30, 'درد مفاصل مزمن');
INSERT INTO `lang_definitions` VALUES (161816, 1617, 30, 'بیماری مزمن کلیه (CKD)');
INSERT INTO `lang_definitions` VALUES (161817, 1618, 30, 'مشکلات مزمن یا غیرفعال');
INSERT INTO `lang_definitions` VALUES (161818, 1619, 30, 'مشکلات مزمن');
INSERT INTO `lang_definitions` VALUES (161819, 1620, 30, 'سینوویت مزمن / افیوژن / درد مفصل / نقرس');
INSERT INTO `lang_definitions` VALUES (161820, 1621, 30, 'مشکلات مزمن / غیرفعال');
INSERT INTO `lang_definitions` VALUES (161821, 1622, 30, 'مزمن / عود کننده');
INSERT INTO `lang_definitions` VALUES (161822, 1623, 30, 'چوواش');
INSERT INTO `lang_definitions` VALUES (161823, 1624, 30, 'سیگار');
INSERT INTO `lang_definitions` VALUES (161824, 1625, 30, 'سیروز کبدی');
INSERT INTO `lang_definitions` VALUES (161825, 1626, 30, 'سیروز کبدی');
INSERT INTO `lang_definitions` VALUES (161826, 1627, 30, 'شهر');
INSERT INTO `lang_definitions` VALUES (161827, 1629, 30, 'نام شهر');
INSERT INTO `lang_definitions` VALUES (161828, 1630, 30, 'شهر، استان');
INSERT INTO `lang_definitions` VALUES (161829, 1631, 30, 'شهر، استان, کد پستی');
INSERT INTO `lang_definitions` VALUES (161830, 1632, 30, 'شهر ، خیابان ، زیپ');
INSERT INTO `lang_definitions` VALUES (161831, 1633, 30, 'شهر/استان');
INSERT INTO `lang_definitions` VALUES (161832, 1634, 30, 'مطالبه');
INSERT INTO `lang_definitions` VALUES (161833, 1635, 30, 'مطالبه');
INSERT INTO `lang_definitions` VALUES (161834, 1636, 30, 'ویرایش مطالبه');
INSERT INTO `lang_definitions` VALUES (161835, 1637, 30, 'وضعیت مطالبه');
INSERT INTO `lang_definitions` VALUES (161836, 1638, 30, 'آزمون مطالبه به اتمام رسانده');
INSERT INTO `lang_definitions` VALUES (161837, 1639, 30, 'نوع مطالبه');
INSERT INTO `lang_definitions` VALUES (161838, 1640, 30, 'مطالبه تبدیل به فایل شد');
INSERT INTO `lang_definitions` VALUES (161839, 1641, 30, 'مطالبه تبدیل به فایل شد');
INSERT INTO `lang_definitions` VALUES (161840, 1642, 30, 'مطالبات');
INSERT INTO `lang_definitions` VALUES (161841, 1645, 30, 'طبقه بندی');
INSERT INTO `lang_definitions` VALUES (161842, 1646, 30, 'پاک کردن');
INSERT INTO `lang_definitions` VALUES (161843, 1647, 30, 'پاک کردن');
INSERT INTO `lang_definitions` VALUES (161844, 1648, 30, 'پاک کردن احراز هویت دو مرحله ای');
INSERT INTO `lang_definitions` VALUES (161845, 1649, 30, 'پاک کردن بیمار فعال');
INSERT INTO `lang_definitions` VALUES (161846, 1650, 30, 'پاک کردن گروه درمانی فعال');
INSERT INTO `lang_definitions` VALUES (161847, 1651, 30, 'پاک کردن همه');
INSERT INTO `lang_definitions` VALUES (161848, 1652, 30, 'پاک کردن فیلترها');
INSERT INTO `lang_definitions` VALUES (161849, 1653, 30, 'پاک کردن تاریخچه');
INSERT INTO `lang_definitions` VALUES (161850, 1654, 30, 'پاک کردن داده های HL7');
INSERT INTO `lang_definitions` VALUES (161851, 1655, 30, 'پاک کردن توجیه');
INSERT INTO `lang_definitions` VALUES (161852, 1657, 30, 'پاک کردن پد');
INSERT INTO `lang_definitions` VALUES (161853, 1658, 30, 'پاک کردن امضا');
INSERT INTO `lang_definitions` VALUES (161854, 1659, 30, 'پاک کردن حافظه نهان Smarty');
INSERT INTO `lang_definitions` VALUES (161855, 1661, 30, 'پاک کردن اطلاعات خانه مورد نیاز برای ایجاد دسته EDI 270.');
INSERT INTO `lang_definitions` VALUES (161856, 1662, 30, 'شماره CLIA');
INSERT INTO `lang_definitions` VALUES (161857, 1663, 30, 'کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161858, 1664, 30, 'برای صادر کردن دسته ، زیر مجموعه ، مورد ، مورد محتوا به یک پرونده متنی ، بر \"صادرات\" کلیک کنید. هرگونه شباهت این پرونده به یک فایل XML کاملاً تصادفی است. برچسب های باز و بسته باید در یک خط باشند ، آنها باید کوچک و بدون فاصله باشند. برای وارد کردن ، یک فایل را جستجو کنید و \"وارد کردن\" را کلیک کنید. اگر داده ها کاملاً متفاوت باشند ، با داده های موجود شما ادغام می شوند. اگر نام موارد مشابه وجود داشته باشد ، نام قدیمی نگهداری می شود و مورد جدید با اضافه شدن شماره به انتها ذخیره می شود.');
INSERT INTO `lang_definitions` VALUES (161859, 1665, 30, 'روی \"ذخیره\" کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161860, 1666, 30, 'روی \"ذخیره\" کلیک کنید. اکنون می توانید با استفاده از ویژگی جستجو همه کدهای ICD 10 را جستجو کنید');
INSERT INTO `lang_definitions` VALUES (161861, 1667, 30, 'برای افزودن حاشیه نویسی ، روی نقطه ای از گرافیک کلیک کنید ، دوباره آن را کلیک کنید تا حذف شود');
INSERT INTO `lang_definitions` VALUES (161862, 1668, 30, 'برای تغییر اندازه صفحه نمایش ، روی گوشه پایین سمت راست کلیک کنید و آن را بکشید');
INSERT INTO `lang_definitions` VALUES (161863, 1669, 30, 'روی مرور کلیک کنید و یک پرونده مشاوره الکترونیکی حواله (ERA) را انتخاب کنید ...');
INSERT INTO `lang_definitions` VALUES (161864, 1670, 30, 'برای خروج از صفحه پاپ آپ انتخاب کدها ، روی بستن کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161865, 1671, 30, 'برای بارگیری گواهینامه ها در پرونده ssl.zip ، روی دانلود گواهی کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161866, 1672, 30, 'برای اطلاعات بیشتر کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161867, 1673, 30, 'برای جزئیات بیشتر کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161868, 1674, 30, 'برای جمع بندی سفارش کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161869, 1675, 30, 'برای نتیجه کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161870, 1676, 30, 'برای راهنمای مختصر کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (161871, 1678, 30, 'اینجا کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161872, 1679, 30, 'برای افزودن بیمار جدید اینجا را کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (161873, 1680, 30, 'برای افزودن وضعیت جدید تغییر آسیب و ویرایش فعالیت روزانه ، اینجا را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161874, 1681, 30, 'برای افزودن ردیف جدید اینجا را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161875, 1682, 30, 'برای انتخاب تاریخ اینجا را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161876, 1683, 30, 'برای انتخاب تاریخ و زمان اینجا را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161877, 1684, 30, 'برای انتخاب تاریخ شروع اینجا را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161878, 1685, 30, 'برای انتخاب زمان تاریخ اینجا را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161879, 1686, 30, 'برای انتخاب زمان تاریخ اینجا شروع را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161880, 1687, 30, 'برای انتخاب زمان تاریخ پایان اینجا را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161881, 1688, 30, 'برای پیکربندی این ماژول اینجا را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161882, 1690, 30, 'برای حذف ردیف اینجا را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161883, 1691, 30, 'برای حذف انتخاب ، اینجا را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161884, 1692, 30, 'برای غیرفعال کردن این ماژول اینجا را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161885, 1693, 30, 'برای تکثیر ردیف اینجا را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161886, 1694, 30, 'برای ویرایش لیست مواد موجود در لنز ، اینجا را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161887, 1695, 30, 'برای ویرایش لیست گزینه های درمان لنز ، اینجا را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161888, 1696, 30, 'برای ویرایش لیست نام تجاری لنز اینجا را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161889, 1697, 30, 'برای ویرایش لیست دوره / وقایع اینجا را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161890, 1698, 30, 'برای ویرایش لیست تولید کننده اینجا را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161891, 1699, 30, 'برای ویرایش لیست تامین کننده اینجا را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161892, 1700, 30, 'برای ویرایش گزینه های این دکتر اینجا کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161893, 1701, 30, 'برای ویرایش لیست انتخاب سریع این پزشک ، اینجا را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161894, 1702, 30, 'برای ویرایش مقادیر آزمون پیش فرض این ارائه دهنده ، اینجا را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161895, 1703, 30, 'برای فعال کردن این ماژول اینجا را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161896, 1706, 30, 'برای نصب این ماژول اینجا را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161897, 1707, 30, 'برای جستجو اینجا را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161898, 1708, 30, 'برای دیدن نتایج مشاهده اینجا را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161899, 1710, 30, 'برای به روزرسانی تنظیمات اولویت ، دسته و نام مستعار اینجا را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161900, 1711, 30, 'برای به روزرسانی تنظیمات اولویت ، دسته ، نام مستعار و کنترل دسترسی اینجا را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161901, 1714, 30, 'برای مشاهده همه اینجا را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161902, 1715, 30, 'برای مشاهده و نمودار اینجا کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161903, 1716, 30, 'برای مشاهده و نمودار کردن تمام اطلاعات آزمایشگاه اینجا را کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (161904, 1717, 30, 'برای مشاهده و گراف تمام علائم حیاتی اینجا را کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (161905, 1718, 30, 'برای مشاهده جزئیات بیمار اینجا را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161906, 1719, 30, 'اینجا کلیک کنید تا همه آنها را ببینید.');
INSERT INTO `lang_definitions` VALUES (161907, 1720, 30, 'برای مشاهده / ویرایش جزئیات بیشتر اینجا را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161908, 1722, 30, 'روی امضای پرونده کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161909, 1723, 30, 'برای نصب پایگاه داده منتشر شده از تاریخ زیر روی دکمه نصب کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161910, 1724, 30, 'اگر مطمئن هستید OK را کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (161911, 1725, 30, 'برای ادامه پردازش ، روی OK برای پاک کردن یا لغو کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (161912, 1726, 30, 'برای وارد کردن این بیماران به جعبه ورودی بیمار ، تأیید را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161913, 1728, 30, 'بر روی اضافه کردن کلیک کنید تا صفحه بازشو افزودن/ویرایش مشکل ظاهر شود');
INSERT INTO `lang_definitions` VALUES (161914, 1729, 30, 'برای افزودن به قسمت پایین ، روی دکمه افزودن به لیست کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161915, 1730, 30, 'برای افزایش بر روی هر یک از قسمتهای زمان کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161916, 1731, 30, 'برای باز کردن صفحه افزودن / ویرایش تراکنش بیمار ، روی ایجاد تراکنش جدید کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161917, 1732, 30, 'برای ورود دستی یا روی دکمه جستجوی فاکتور در سمت راست ، برای بارگذاری کامل مشاوره حواله الکترونیکی ERA ، روی دکمه جستجو کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161918, 1733, 30, 'برای ایجاد این گروه جدید (ARO) بر روی دکمه \"افزودن گروه\" کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (161919, 1734, 30, 'بر روی علامت + در مجاورت Name Serum Uric Acid Test کلیک کنید تا خط نتیجه تازه ایجاد شده مشخص شود');
INSERT INTO `lang_definitions` VALUES (161920, 1735, 30, 'برای نشان دادن پنجره بازشو ورود جزئیات در حالت افزودن ، روی علامت + در انتهای خط گلوکز خون کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161921, 1736, 30, 'روی آیکون اضافه کردن در انتهای خط Serum Chemistry کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161922, 1737, 30, 'روی کادر کشویی افزودن جدید کلیک کنید و گزینه ای را انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (161923, 1738, 30, 'بر روی دکمه آلرژی / عدم تحمل کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161924, 1739, 30, 'برای ایجاد یک زیر گروه یا فرزند مستقیم به این گروه برتر سفارشی ، روی علامت + سیاه در انتهای خط آزمونهای زن سلامت کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161925, 1740, 30, 'برای ایجاد یک نسل مستقیم یا فرزند ، روی علامت + سیاه روی خط الکترولیت پنل کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161926, 1741, 30, 'برای دیدن دستورالعمل ذخیره شده روی علامت + آبی کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161927, 1742, 30, 'بر روی علامت آبی رنگ در زیر نام کلیک کنید تا نام آزمون مشخص شود');
INSERT INTO `lang_definitions` VALUES (161928, 1743, 30, 'بر روی علامت آبی رنگ در زیر نام کلیک کنید تا نام آزمون مشخص شودبر روی جعبه کد تشخیص کلیک کنید تا پنجره بازشوی انتخاب کد تشخیص باز شود');
INSERT INTO `lang_definitions` VALUES (161929, 1744, 30, 'روی مورد منوی فایل در سمت راست بالای صفحه مرکز پیام کلیک کنید و گزینه تنظیمات MedEx را انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (161930, 1745, 30, 'برای رفتن به صفحه phpGACL بر روی نماد کنار عنوان \"مدیریت لیست کنترل دسترسی\" کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (161931, 1746, 30, 'برای نمایش صفحه مشکلات، روی آیتم منوی مشکلات کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161932, 1747, 30, 'برای ورود به صفحه دفترکل بیمار ، روی آیتم منوی دفترکل در نوار پیمایش کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161933, 1748, 30, 'برای ظاهر شدن پاپ آپ بیمار یاب ، روی جعبه متن نام در قسمت سمت چپ کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161934, 1749, 30, 'بر روی دکمه فراخوانی جدید کلیک کنید تا صفحه برنامه جدید فراخوانی باز شود');
INSERT INTO `lang_definitions` VALUES (161935, 1750, 30, 'برای کسب اطلاعات بیشتر در مورد این موضوع ، روی لینک زیر کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (161936, 1751, 30, 'روی نام بیمار کلیک کنید تا پرونده بیمار باز شود');
INSERT INTO `lang_definitions` VALUES (161937, 1752, 30, 'بازنشانی را کلیک کنید و روی علامت آبی + که قبل از نام شیمی سرم است کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161938, 1753, 30, 'برای مشاهده همه نتایج ، تازه کردن را کلیک کنید یا لطفاً برای مشاهده نتایج خاص ، معیارهای جستجوی بالا را وارد کنید.');
INSERT INTO `lang_definitions` VALUES (161939, 1754, 30, 'ثبت نام را کلیک کنید تا TOTP ثبت شود');
INSERT INTO `lang_definitions` VALUES (161940, 1755, 30, 'ذخیره را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161941, 1756, 30, 'روی ذخیره کلیک کنید و سپس تازه سازی کنید');
INSERT INTO `lang_definitions` VALUES (161942, 1757, 30, 'برای بستن پنجره بازشو ، روی ذخیره کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161943, 1758, 30, 'ذخیره را کلیک کنید تا پنجره بازشو بسته شود');
INSERT INTO `lang_definitions` VALUES (161944, 1759, 30, 'ذخیره را کلیک کنید تا یک خط جدید با نام آزمایش های زن سلامت قبل از یک خط عمودی ایجاد شود که نشان می دهد فرزندی ندارد ، ایجاد کنید.');
INSERT INTO `lang_definitions` VALUES (161945, 1760, 30, 'برای ذخیره و بسته شدن پنجره بازشو ، روی ذخیره کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161946, 1761, 30, 'برای ذخیره این مشکل ذخیره را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161947, 1762, 30, 'برای نمایش بخش \"اطلاعات گروه جدید\" روی دکمه \"افزودن گروه جدید\" کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (161948, 1763, 30, 'برای حذف کامل این گروه بر روی دکمه \"حذف گروه\" کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (161949, 1764, 30, 'برای نمایش \"فرم حذف گروه\" بر روی دکمه \"حذف گروه\" کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (161950, 1765, 30, 'روی دکمه رادیویی \"بله\" کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (161951, 1766, 30, 'برای پاک کردن نام بیمار وارد شده و شروع مجدد ، روی دکمه پاک کردن کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161952, 1767, 30, 'برای شروع دوباره روی دکمه پاک کردن کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161953, 1768, 30, 'روی دکمه حذف کلیک کنید تا همه کدهای انتخاب شده حذف شود یا کدهای جداگانه را برای حذف شدن از کادر کشویی مجاور دکمه حذف انتخاب کنید و سپس روی دکمه حذف کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161954, 1769, 30, 'برای اعطای و حذف امتیازات دسترسی به کاربر انتخاب شده ، روی آیکون مداد کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161955, 1770, 30, 'روی دکمه ذخیره کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161956, 1771, 30, 'روی دکمه جستجو برای آلرژی کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161957, 1772, 30, 'برای بستن روی نماد چشم بریده شده کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (161958, 1773, 30, 'برای نمایش گزارش اصلی ، بر روی دکمه ارسال کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161959, 1774, 30, 'بر روی دکمه انتقال کلیک کنید تا کادر آدرس مستقیم نشان داده شود');
INSERT INTO `lang_definitions` VALUES (161960, 1775, 30, 'برای نمایش / پنهان کردن آزمایشات اضافی ، روی این کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161961, 1776, 30, 'برای فعال سازی و ارسال به این گیرنده کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (161962, 1777, 30, 'برای افزودن تشخیص کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161963, 1778, 30, 'برای افزودن گزینه های مختلف صورتحساب HCFA 1500 کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161964, 1779, 30, 'برای افزودن مولفه های جدید کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161965, 1780, 30, 'برای افزودن مشاوره جدید کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161966, 1781, 30, 'برای افزودن بیمار کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161967, 1782, 30, 'برای انتخاب تشخیص ، کلیک کنید تا نمایش داده شود.');
INSERT INTO `lang_definitions` VALUES (161968, 1783, 30, 'روی قرارداد کلیک کنید و تنظیم کنید که از این پس در حالت مرکزچین باز شود');
INSERT INTO `lang_definitions` VALUES (161969, 1784, 30, 'برای نمایش نام زمینه های مختصر کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (161970, 1785, 30, 'برای دانلود کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161971, 1786, 30, 'برای ویرایش کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161972, 1787, 30, 'برای ویرایش توضیحات کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161973, 1788, 30, 'برای ویرایش این رویداد کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161974, 1789, 30, 'کلیک کنید تا باز شود و تنظیم کنید تا از این پس در حالت گسترده باز شود');
INSERT INTO `lang_definitions` VALUES (161975, 1790, 30, 'برای ایجاد گزارش کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161976, 1791, 30, 'برای رفتن به صفحه کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161977, 1792, 30, 'برای پنهان کردن کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161978, 1793, 30, 'برای پنهان کردن جستجوی پیشرفته کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161979, 1794, 30, 'برای پنهان کردن فیلترها کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161980, 1795, 30, 'برای پنهان کردن جستجو کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161981, 1796, 30, 'برای کسب اطلاعات بیشتر در مورد معماری اسناد بالینی (CDA) و معماری اسناد بالینی تلفیق شده (C-CDA) کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161982, 1797, 30, 'کلیک کنید تا فقط با این گیرنده فعلی چت کنید ...');
INSERT INTO `lang_definitions` VALUES (161983, 1798, 30, 'برای پیکربندی دستی کنترل دستی که برای کاربران پیشرفته توصیه می شود ، کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161984, 1799, 30, 'برای مطابقت با بیمار کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161985, 1800, 30, 'برای چاپ کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161986, 1801, 30, 'برای دریافت (افزودن) قسمت جدید کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161987, 1802, 30, 'برای نمایش کردن اطلاعات بیشتر کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161988, 1804, 30, 'برای دیدن اطلاعات بیشتر کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161989, 1805, 30, 'برای انتخاب کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161990, 1806, 30, 'برای انتخاب کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161991, 1807, 30, 'برای انتخاب پیش فرض یا کد روش برای این سفارش کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161992, 1808, 30, 'برای انتخاب کد استاندارد صنعت برای این روش کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161993, 1809, 30, 'برای انتخاب کد تشخیص یا روش برای پیش فرض سفارش کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161994, 1810, 30, 'برای انتخاب گروه کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161995, 1811, 30, 'برای انتخاب کد روش اختیاری کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161996, 1812, 30, 'برای انتخاب یا تغییر کدگذاری کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161997, 1813, 30, 'برای انتخاب یا تغییر کد CVX کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161998, 1814, 30, 'برای انتخاب یا تغییر تشخیص کلیک کنید');
INSERT INTO `lang_definitions` VALUES (161999, 1815, 30, 'برای انتخاب یا تغییر کد خدمات کلیک کنید');
INSERT INTO `lang_definitions` VALUES (162000, 1816, 30, 'برای انتخاب بیمار کلیک کنید');
INSERT INTO `lang_definitions` VALUES (162001, 1817, 30, 'برای انتخاب کد مربوطه کلیک کنید');
INSERT INTO `lang_definitions` VALUES (162002, 1819, 30, 'اگر این نتیجه غیر طبیعی است، برای انتخاب و انجام خدمات کلیک کنید');
INSERT INTO `lang_definitions` VALUES (162003, 1820, 30, 'برای انتخاب خدمات برای انجام کار در صورت غیر عادی بودن نتیجه ، کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (162004, 1821, 30, 'برای انتخاب خدمات برای انجام کار در صورت غیر عادی بودن نتیجه ، کلیک کنید. این اختیاری است');
INSERT INTO `lang_definitions` VALUES (162005, 1822, 30, 'برای انتخاب روش مورد نظر کلیک کنید');
INSERT INTO `lang_definitions` VALUES (162006, 1823, 30, 'برای نمایش کلیک کنید');
INSERT INTO `lang_definitions` VALUES (162007, 1824, 30, 'برای نمایش جستجوی پیشرفته کلیک کنید');
INSERT INTO `lang_definitions` VALUES (162008, 1825, 30, 'برای نمایش فیلترها کلیک کنید');
INSERT INTO `lang_definitions` VALUES (162009, 1826, 30, 'برای نمایش پیام برای همه کاربران کلیک کنید');
INSERT INTO `lang_definitions` VALUES (162010, 1827, 30, 'برای نمایش پیام فقط برای کاربر فعلی کلیک کنید');
INSERT INTO `lang_definitions` VALUES (162011, 1828, 30, 'برای نمایش جستجو کلیک کنید');
INSERT INTO `lang_definitions` VALUES (162012, 1829, 30, 'برای مرتب سازی کلیک کنید');
INSERT INTO `lang_definitions` VALUES (162013, 1831, 30, 'برای مشاهده کلیک کنید');
INSERT INTO `lang_definitions` VALUES (162014, 1832, 30, 'برای مشاهده راهنما کلیک کنید');
INSERT INTO `lang_definitions` VALUES (162015, 1833, 30, 'برای مشاهده یا ویرایش کلیک کنید');
INSERT INTO `lang_definitions` VALUES (162016, 1834, 30, 'برای مشاهده / ویرایش کلیک کنید');
INSERT INTO `lang_definitions` VALUES (162017, 1835, 30, 'برای نمایش اطلاعات صورتحساب فیلتر شده توسط معیارهای فعلی انتخاب شده ، روی بروزرسانی لیست کلیک کنید');
INSERT INTO `lang_definitions` VALUES (162018, 1836, 30, 'برای به روزرسانی انتشار پایگاه داده از تاریخ زیر ، روی دکمه به روز رسانی کلیک کنید');
INSERT INTO `lang_definitions` VALUES (162019, 1838, 30, 'برای مطابقت با بیمار ، در جایی که در بالا نشان داده شده است کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (162020, 1839, 30, 'کلیک کنید:');
INSERT INTO `lang_definitions` VALUES (162021, 1840, 30, 'با کلیک بر روی \"بررسی\" تمام کدهای وارد شده برای برخوردهای قبلی لیست می شوند');
INSERT INTO `lang_definitions` VALUES (162022, 1841, 30, 'با کلیک بر روی زبانه ورود نام یا ورود آیدی کادر جستجو ظاهر می شود که می توانید برای انتخاب بیمار استفاده کنید');
INSERT INTO `lang_definitions` VALUES (162023, 1842, 30, 'با کلیک بر روی تنظیم به عنوان تکمیل ، یادآوری از صفحه نمایش فعال حذف می شود');
INSERT INTO `lang_definitions` VALUES (162024, 1843, 30, 'با کلیک بر روی دکمه + در صفحه هدر بیمار ، فرم برخورد جدید باز می شود');
INSERT INTO `lang_definitions` VALUES (162025, 1844, 30, 'با کلیک بر روی دکمه افرودن مشکل جعبه بازشونده افزودن مشکل ظاهر می شود');
INSERT INTO `lang_definitions` VALUES (162026, 1845, 30, 'با کلیک بر روی سلول کدگذاری ، پاپ آپ مواد آموزشی ظاهر می شود که به شما امکان می دهد با کد ICD10 جستجو کنید');
INSERT INTO `lang_definitions` VALUES (162027, 1846, 30, 'با کلیک بر روی دکمه ایجاد یک یادآوری تاریخ دار ، پنجره ارسال یک یادآور ظاهر می شود');
INSERT INTO `lang_definitions` VALUES (162028, 1847, 30, 'با کلیک بر روی دکمه ایجاد اعتبارنامه آنلاین / پورتال خارج از سایت ، نام کاربری و رمز عبور برای بیمار ایجاد می شود که باید به بیمار داده شود.');
INSERT INTO `lang_definitions` VALUES (162029, 1848, 30, 'با کلیک بر روی دکمه حذف پیام حذف می شود');
INSERT INTO `lang_definitions` VALUES (162030, 1849, 30, 'با کلیک بر روی سلول اول زیر عنوان ، صفحه بازشونده افزودن/ویرایش مشکلات ظاهر می شود که به شما امکان می دهد این مقاله را ویرایش کنید');
INSERT INTO `lang_definitions` VALUES (162031, 1850, 30, 'با کلیک بر روی نماد کنار زیرنویس ، پیام های همه نمایش داده می شود و عنوان به همه پیام ها تغییر می کند');
INSERT INTO `lang_definitions` VALUES (162032, 1851, 30, 'با کلیک بر روی نماد کنار نام آنها ، پنجره \"ویرایش\" ظاهر می شود.');
INSERT INTO `lang_definitions` VALUES (162033, 1852, 30, 'با کلیک بر روی گزینه های دیگر> گزینه منو مدیریت MFA یا نام کاربری> مورد منوی مدیریت MFA شما را به صفحه فرود برای مدیریت صفحه احراز هویت چند عاملی برای آن کاربر می رساند');
INSERT INTO `lang_definitions` VALUES (162034, 1853, 30, 'با کلیک بر روی نام بیمار ، پیام ظاهر می شود');
INSERT INTO `lang_definitions` VALUES (162035, 1854, 30, 'با کلیک بر روی نماد مداد وارد حالت ویرایش می شوید و پنجره بازشوی ورود جزئیات که برای ایجاد ورودی نمایش داده شده در این خط استفاده شده است نمایش داده می شود');
INSERT INTO `lang_definitions` VALUES (162036, 1855, 30, 'با کلیک بر روی دکمه های نمایش همه یا نمایش غیر فعال پیام های متناسب نشان داده می شود');
INSERT INTO `lang_definitions` VALUES (162037, 1856, 30, 'با کلیک بر روی نماد چشم برش خورده فیلترها پنهان می شوند');
INSERT INTO `lang_definitions` VALUES (162038, 1857, 30, 'با کلیک بر روی دکمه مشاهده لاگ ، پنجره لاگ پیامها به همراه تاریخ ظاهر می شود');
INSERT INTO `lang_definitions` VALUES (162039, 1858, 30, 'با کلیک روی گزینه ها ، یک منوی چند گزینه ای برای اضافه کردن رفتارها به نوع داده انتخاب شده ، نمایش داده می شود. تایپ کردن پس از فعال کردن کشیدن به پایین ، امکان جستجو در گزینه ها را فراهم می کند.');
INSERT INTO `lang_definitions` VALUES (162040, 1859, 30, 'با کلیک بر روی دکمه ، پنجره ای ظاهر می شود که کدهای E / M را لیست می کند ، کد مناسب را بررسی کرده و \"تأیید\" را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (162041, 1860, 30, 'با کلیک بر روی دکمه انتقال جعبه متنی باز می شود که در آن باید آدرس مستقیم گیرنده وارد شود');
INSERT INTO `lang_definitions` VALUES (162042, 1862, 30, 'روزهای انقضا گواهی مشتری');
INSERT INTO `lang_definitions` VALUES (162043, 1864, 30, 'مدت اعتبار گواهی مشتری');
INSERT INTO `lang_definitions` VALUES (162044, 1865, 30, 'اعتبار گواهی مشتری باید یک شماره معتبر باشد.');
INSERT INTO `lang_definitions` VALUES (162045, 1866, 30, 'نسخه مراجع');
INSERT INTO `lang_definitions` VALUES (162046, 1868, 30, 'شناسه مراجع');
INSERT INTO `lang_definitions` VALUES (162047, 1869, 30, 'خلاصه تاریخچه طبی مراجع');
INSERT INTO `lang_definitions` VALUES (162048, 1870, 30, 'نام مراجع');
INSERT INTO `lang_definitions` VALUES (162049, 1872, 30, 'شماره مراجع');
INSERT INTO `lang_definitions` VALUES (162050, 1873, 30, 'مشخصات مشتری - مشتریان جدید');
INSERT INTO `lang_definitions` VALUES (162051, 1874, 30, 'مشخصات مشتری - مشتریان منحصر به فرد');
INSERT INTO `lang_definitions` VALUES (162052, 1878, 30, 'مشتریان');
INSERT INTO `lang_definitions` VALUES (162053, 1879, 30, 'درمانگاه');
INSERT INTO `lang_definitions` VALUES (162054, 1880, 30, 'نسخه کلینیک');
INSERT INTO `lang_definitions` VALUES (162055, 1881, 30, 'رکورد روزانه کلینیک');
INSERT INTO `lang_definitions` VALUES (162056, 1882, 30, 'شناسه کلینیک');
INSERT INTO `lang_definitions` VALUES (162057, 1883, 30, 'بالینی');
INSERT INTO `lang_definitions` VALUES (162058, 1884, 30, 'مدیر هشدار قوانین تصمیم گیری درمانی');
INSERT INTO `lang_definitions` VALUES (162059, 1885, 30, 'اسناد بالینی با تنظیم یا محدود کردن عناصر CDA به روشهای مشخص با استفاده از الگوها و راهنماهای پیاده سازی (IG) تولید می شوند');
INSERT INTO `lang_definitions` VALUES (162060, 1886, 30, 'تاریخچه درمانی');
INSERT INTO `lang_definitions` VALUES (162061, 1887, 30, 'دستورالعمل های درمانی');
INSERT INTO `lang_definitions` VALUES (162062, 1888, 30, 'فرم دستورالعمل های درمانی');
INSERT INTO `lang_definitions` VALUES (162063, 1889, 30, 'برنامه های درمانی');
INSERT INTO `lang_definitions` VALUES (162064, 1890, 30, 'مقیاس کیفیت درمانی(CQM)');
INSERT INTO `lang_definitions` VALUES (162065, 1891, 30, 'مقیاس کیفیت درمانی(CQM)');
INSERT INTO `lang_definitions` VALUES (162066, 1892, 30, 'مقیاس کیفیت درمانی(CQM)');
INSERT INTO `lang_definitions` VALUES (162067, 1893, 30, 'یادآورهای درمانی');
INSERT INTO `lang_definitions` VALUES (162068, 1894, 30, 'یادآوری های درمانی - ویجتی است که هشدارهای غیرفعال را برای یک قانون تصمیم بالینی نمایش می دهد');
INSERT INTO `lang_definitions` VALUES (162069, 1895, 30, 'یادآوری ها / هشدارهای درمانی(نوشتن ، فقط نوشتن اختیاری)');
INSERT INTO `lang_definitions` VALUES (162070, 1896, 30, 'یادآوری ها / هشدارهای درمانی(نوشتن ، فقط نوشتن اختیاری)(هشدار)');
INSERT INTO `lang_definitions` VALUES (162071, 1897, 30, 'گزارش های درمانی');
INSERT INTO `lang_definitions` VALUES (162072, 1898, 30, 'دسته اقدام قانون درمانی');
INSERT INTO `lang_definitions` VALUES (162073, 1899, 30, 'آیتم اقدام قانون درمانی');
INSERT INTO `lang_definitions` VALUES (162074, 1900, 30, 'روشهای فیلتر قانون درمانی');
INSERT INTO `lang_definitions` VALUES (162075, 1901, 30, 'روشهای هدف قانون درمانی');
INSERT INTO `lang_definitions` VALUES (162076, 1902, 30, 'قوانین درمانی');
INSERT INTO `lang_definitions` VALUES (162077, 1903, 30, 'قوانین درمانی وقفه سنی');
INSERT INTO `lang_definitions` VALUES (162078, 1904, 30, 'مقایسه قوانین درمانی');
INSERT INTO `lang_definitions` VALUES (162079, 1905, 30, 'قوانین درمانی انواع برخورد');
INSERT INTO `lang_definitions` VALUES (162080, 1906, 30, 'گزینه های یادآوری سررسید قوانین درمانی');
INSERT INTO `lang_definitions` VALUES (162081, 1907, 30, 'یادآور گزینه های غیرفعال سازی قوانین درمانی');
INSERT INTO `lang_definitions` VALUES (162082, 1908, 30, 'فاصله های یادآوری قوانین درمانی');
INSERT INTO `lang_definitions` VALUES (162083, 1909, 30, 'روشهای یادآوری قوانین درمانی');
INSERT INTO `lang_definitions` VALUES (162084, 1910, 30, 'فاصله های هدف قوانین درمانی');
INSERT INTO `lang_definitions` VALUES (162085, 1911, 30, 'اهداف درمانی');
INSERT INTO `lang_definitions` VALUES (162086, 1912, 30, 'اصطلاح درمانی');
INSERT INTO `lang_definitions` VALUES (162087, 1913, 30, 'کد اصطلاحات درمانی');
INSERT INTO `lang_definitions` VALUES (162088, 1914, 30, 'نمای درمانی');
INSERT INTO `lang_definitions` VALUES (162089, 1915, 30, 'متخصصان بالینی');
INSERT INTO `lang_definitions` VALUES (162090, 1916, 30, 'کپی‌');
INSERT INTO `lang_definitions` VALUES (162091, 1917, 30, 'کپی‌ ملاقات گذشته');
INSERT INTO `lang_definitions` VALUES (162092, 1918, 30, 'بستن');
INSERT INTO `lang_definitions` VALUES (162093, 1919, 30, 'بستن');
INSERT INTO `lang_definitions` VALUES (162094, 1920, 30, 'تمام پانل های Rx فعلی را ببندید و این را برای ماندن در اولویت قرار دهید');
INSERT INTO `lang_definitions` VALUES (162095, 1921, 30, 'ببندید و این را برای ماندن در اولویت قرار دهید');
INSERT INTO `lang_definitions` VALUES (162096, 1922, 30, 'این پنل را ببندید و این Rx را حذف کنید');
INSERT INTO `lang_definitions` VALUES (162097, 1923, 30, 'این پانل را ببندید و این مورد را برای بسته ماندن در اولویت قرار دهید');
INSERT INTO `lang_definitions` VALUES (162098, 1924, 30, 'بستن این صفحه');
INSERT INTO `lang_definitions` VALUES (162099, 1925, 30, 'بستن این صفحه');
INSERT INTO `lang_definitions` VALUES (162100, 1926, 30, 'بستن ...');
INSERT INTO `lang_definitions` VALUES (162101, 1927, 30, 'بسته شده');
INSERT INTO `lang_definitions` VALUES (162102, 1928, 30, 'cm');
INSERT INTO `lang_definitions` VALUES (162103, 1930, 30, 'فرم CMS 1500 شامل');
INSERT INTO `lang_definitions` VALUES (162104, 1931, 30, 'CMS 1500 حاشیه ها');
INSERT INTO `lang_definitions` VALUES (162105, 1932, 30, 'CMS 1500 حاشیه سمت چپ');
INSERT INTO `lang_definitions` VALUES (162106, 1933, 30, 'قالب کاغذ CMS 1500');
INSERT INTO `lang_definitions` VALUES (162107, 1934, 30, 'CMS 1500 PDF');
INSERT INTO `lang_definitions` VALUES (162108, 1935, 30, 'فرم پیش چاپ شده CMS 1500');
INSERT INTO `lang_definitions` VALUES (162109, 1936, 30, 'CMS 1500 متن');
INSERT INTO `lang_definitions` VALUES (162110, 1937, 30, 'CMS 1500 در 2012-02-01 تجدید نظر شد و از این رو فرم 1500 (02-12) نامیده می شود و قرار است در تاریخ 31-33-2020 منقضی شود. از تاریخ 1 آوریل 2014 ، فقط نسخه اصلاح شده ، 02-12-12 پذیرفته می شود.');
INSERT INTO `lang_definitions` VALUES (162111, 1938, 30, 'CMS 1500: قالب جعبه 31');
INSERT INTO `lang_definitions` VALUES (162112, 1939, 30, 'CMS 1500: تاریخ در جعبه 31 (امضا)');
INSERT INTO `lang_definitions` VALUES (162113, 1940, 30, 'شناسه CMS');
INSERT INTO `lang_definitions` VALUES (162114, 1941, 30, 'شناسه CMS برای ادعای برخورد');
INSERT INTO `lang_definitions` VALUES (162115, 1943, 30, 'پورتال CMS');
INSERT INTO `lang_definitions` VALUES (162116, 1944, 30, 'ورود به سیستم پورتال CMS');
INSERT INTO `lang_definitions` VALUES (162117, 1945, 30, 'شناسه ورود به سیستم پورتال CMS');
INSERT INTO `lang_definitions` VALUES (162118, 1946, 30, 'پورتال CMS فعال نیست!');
INSERT INTO `lang_definitions` VALUES (162119, 1947, 30, 'رمز عبور پورتال CMS');
INSERT INTO `lang_definitions` VALUES (162120, 1948, 30, 'درخواست پورتال CMS');
INSERT INTO `lang_definitions` VALUES (162121, 1949, 30, 'آدرس سایت پورتال CMS');
INSERT INTO `lang_definitions` VALUES (162122, 1950, 30, 'نام کاربری پورتال CMS');
INSERT INTO `lang_definitions` VALUES (162123, 1951, 30, 'ورود به پورتال CMS');
INSERT INTO `lang_definitions` VALUES (162124, 1952, 30, 'CMT {{ضخامت ماکولای مرکزی}}');
INSERT INTO `lang_definitions` VALUES (162125, 1953, 30, 'CN VII {{عصب جمجمه هفت}}');
INSERT INTO `lang_definitions` VALUES (162126, 1954, 30, 'CN V {{عصب جمجمه پنج}}');
INSERT INTO `lang_definitions` VALUES (162127, 1955, 30, 'CN2-12 سالم');
INSERT INTO `lang_definitions` VALUES (162128, 1956, 30, 'CN5 {{عصب جمجمه پنج}}');
INSERT INTO `lang_definitions` VALUES (162129, 1957, 30, 'CN7 {{عصب جمجمه هفت}}');
INSERT INTO `lang_definitions` VALUES (162130, 1958, 30, 'پرداخت شریکی');
INSERT INTO `lang_definitions` VALUES (162131, 1959, 30, 'شریکی پرداخت شد');
INSERT INTO `lang_definitions` VALUES (162132, 1960, 30, 'ارائه دهنده مشارکت / ارجاع');
INSERT INTO `lang_definitions` VALUES (162133, 1962, 30, 'پرداخت شریکی');
INSERT INTO `lang_definitions` VALUES (162134, 1963, 30, 'پرداخت شریکی');
INSERT INTO `lang_definitions` VALUES (162135, 1964, 30, 'کد');
INSERT INTO `lang_definitions` VALUES (162136, 1965, 30, 'کد');
INSERT INTO `lang_definitions` VALUES (162137, 1967, 30, 'کد یاب');
INSERT INTO `lang_definitions` VALUES (162138, 1968, 30, 'کد باید با دو حرف کوچک باشد');
INSERT INTO `lang_definitions` VALUES (162139, 1969, 30, 'کد یا نمادی برای نشان دادن ارز');
INSERT INTO `lang_definitions` VALUES (162140, 1970, 30, 'جستجوی کد');
INSERT INTO `lang_definitions` VALUES (162141, 1971, 30, 'متن کد');
INSERT INTO `lang_definitions` VALUES (162142, 1972, 30, 'نوع کد');
INSERT INTO `lang_definitions` VALUES (162143, 1973, 30, 'نوع کد');
INSERT INTO `lang_definitions` VALUES (162144, 1974, 30, 'نوع کد شناسایی نشده است');
INSERT INTO `lang_definitions` VALUES (162145, 1975, 30, 'نوع کد هنوز تعریف نشده است');
INSERT INTO `lang_definitions` VALUES (162146, 1976, 30, 'انواع کد');
INSERT INTO `lang_definitions` VALUES (162147, 1977, 30, 'کد (ها)');
INSERT INTO `lang_definitions` VALUES (162148, 1978, 30, 'کد شده');
INSERT INTO `lang_definitions` VALUES (162149, 1979, 30, 'کدها');
INSERT INTO `lang_definitions` VALUES (162150, 1980, 30, 'کدها - خالی بگذارید');
INSERT INTO `lang_definitions` VALUES (162151, 1981, 30, 'کد گذاری');
INSERT INTO `lang_definitions` VALUES (162152, 1982, 30, 'کدگذاری (برای یادگیری کلیک کنید)');
INSERT INTO `lang_definitions` VALUES (162153, 1983, 30, 'کدگذاری - هرگونه برخورد (نوشتن ، برخی اختیاری)');
INSERT INTO `lang_definitions` VALUES (162154, 1984, 30, 'کدگذاری - هرگونه برخورد (نوشتن ، برخی اختیاری) (کدگذاری نوع الف)');
INSERT INTO `lang_definitions` VALUES (162155, 1985, 30, 'کدگذاری - برخوردهای من (نوشتن ، برخی اختیاری)');
INSERT INTO `lang_definitions` VALUES (162156, 1986, 30, 'کدگذاری - برخوردهای من (نوشتن ، بسیار اختیاری) (کدگذاری)');
INSERT INTO `lang_definitions` VALUES (162157, 1987, 30, 'کدگذاری کامل شد');
INSERT INTO `lang_definitions` VALUES (162158, 1988, 30, 'کدگذاری انجام شد');
INSERT INTO `lang_definitions` VALUES (162159, 1989, 30, 'موتور کدگذاری');
INSERT INTO `lang_definitions` VALUES (162160, 1990, 30, 'کدگذاری مجاز نیست');
INSERT INTO `lang_definitions` VALUES (162161, 1991, 30, 'قهوه');
INSERT INTO `lang_definitions` VALUES (162162, 1992, 30, 'مصرف قهوه');
INSERT INTO `lang_definitions` VALUES (162163, 1993, 30, 'سکه ها');
INSERT INTO `lang_definitions` VALUES (162164, 1994, 30, 'بیمه سکه');
INSERT INTO `lang_definitions` VALUES (162165, 1995, 30, 'همکاری با دیگری');
INSERT INTO `lang_definitions` VALUES (162166, 1996, 30, 'همکار');
INSERT INTO `lang_definitions` VALUES (162167, 1997, 30, 'کوچک کردن');
INSERT INTO `lang_definitions` VALUES (162168, 1998, 30, 'کوچک کردن');
INSERT INTO `lang_definitions` VALUES (162169, 1999, 30, 'کوچک کردن همه');
INSERT INTO `lang_definitions` VALUES (162170, 2000, 30, 'کوچک کردن همه');
INSERT INTO `lang_definitions` VALUES (162171, 2001, 30, 'کوچک کردن همه');
INSERT INTO `lang_definitions` VALUES (162172, 2002, 30, 'جمع آوری برای');
INSERT INTO `lang_definitions` VALUES (162173, 2003, 30, 'جمع آوری پرداخت');
INSERT INTO `lang_definitions` VALUES (162174, 2004, 30, 'جمع آوری شده');
INSERT INTO `lang_definitions` VALUES (162175, 2005, 30, 'تاریخ جمع آوری');
INSERT INTO `lang_definitions` VALUES (162176, 2006, 30, 'تاریخ / زمان جمع آوری');
INSERT INTO `lang_definitions` VALUES (162177, 2007, 30, 'مجموعه ها');
INSERT INTO `lang_definitions` VALUES (162178, 2008, 30, 'گزارش مجموعه ها');
INSERT INTO `lang_definitions` VALUES (162179, 2009, 30, 'سرطان روده بزرگ');
INSERT INTO `lang_definitions` VALUES (162180, 2010, 30, 'غربالگری سرطان روده بزرگ');
INSERT INTO `lang_definitions` VALUES (162181, 2011, 30, 'جراحی سرطان روده بزرگ');
INSERT INTO `lang_definitions` VALUES (162182, 2012, 30, 'کولونوسکوپی');
INSERT INTO `lang_definitions` VALUES (162183, 2013, 30, 'کولونوسکوپی');
INSERT INTO `lang_definitions` VALUES (162184, 2014, 30, 'رنگ');
INSERT INTO `lang_definitions` VALUES (162185, 2015, 30, 'رنگ برای مجموعه های زوج (به استثنای زمانی که آخرین مجموعه زوج است و تمام قرارهای اعضا نمایش داده می شوند و حداقل یک قرار ملاقات برنامه ریزی شده بعدی وجود دارد (نمایش داده نمی شود) یا همه قرارهای اعضا نمایش داده نمی شوند).');
INSERT INTO `lang_definitions` VALUES (162186, 2016, 30, 'رنگ برای مجموعه های فرد (به استثنای زمانی که آخرین مجموعه فرد است و تمام قرارهای اعضا نمایش داده می شوند و حداقل یک قرار ملاقات برنامه ریزی شده بعدی وجود دارد (نمایش داده نمی شود) یا همه قرارهای اعضا نمایش داده نمی شوند).');
INSERT INTO `lang_definitions` VALUES (162187, 2017, 30, 'رنگ برای آخرین مجموعه ای هنگامی که تمام قرار ملاقات عضو نمایش داده می شود و حداقل یک ملاقات برنامه ریزی شده پس از آن وجود دارد (نمایش داده نمی شود).');
INSERT INTO `lang_definitions` VALUES (162188, 2018, 30, 'رنگ برای آخرین مجموعه زمانی که تمام قرار ملاقات عضو نمایش داده می شود.');
INSERT INTO `lang_definitions` VALUES (162189, 2019, 30, 'بینایی رنگی');
INSERT INTO `lang_definitions` VALUES (162190, 2020, 30, 'رنگ: اختصاری');
INSERT INTO `lang_definitions` VALUES (162191, 2021, 30, 'ستون');
INSERT INTO `lang_definitions` VALUES (162192, 2022, 30, 'ستونها');
INSERT INTO `lang_definitions` VALUES (162193, 2023, 30, 'ترکیب یادآوری ها');
INSERT INTO `lang_definitions` VALUES (162194, 2024, 30, 'ترکیب لاگ ها');
INSERT INTO `lang_definitions` VALUES (162195, 2025, 30, 'ویرگول');
INSERT INTO `lang_definitions` VALUES (162196, 2027, 30, 'دیدگاه');
INSERT INTO `lang_definitions` VALUES (162197, 2028, 30, 'نظرات');
INSERT INTO `lang_definitions` VALUES (162198, 2030, 30, 'نظرات مربوط به این نتیجه یا توصیه');
INSERT INTO `lang_definitions` VALUES (162199, 2031, 30, 'شرکت بیمه بازرگانی');
INSERT INTO `lang_definitions` VALUES (162200, 2032, 30, 'ثبت تغییرات');
INSERT INTO `lang_definitions` VALUES (162201, 2033, 30, 'استانداردهایی که معمولاً مورد استفاده قرار می گیرند HOTP (گذرواژه یکبار مصرف مبتنی بر هش ، RFC4226) ، TOTP (گذرواژه یکبار مصرف مبتنی بر زمان یا OCRA (الگوریتم پاسخ چالش OATH ، RFC6287)) هستند که توسط OATH (راهکاری برای احراز هویت متن باز) تهیه و پشتیبانی شده است.)');
INSERT INTO `lang_definitions` VALUES (162202, 2034, 30, 'ارتباطات');
INSERT INTO `lang_definitions` VALUES (162203, 2035, 30, 'موتور ارتباطی');
INSERT INTO `lang_definitions` VALUES (162204, 2036, 30, 'ارتباطات');
INSERT INTO `lang_definitions` VALUES (162205, 2037, 30, 'پزشک بهداشت جامعه');
INSERT INTO `lang_definitions` VALUES (162206, 2038, 30, 'مرکز بهداشت روان جامعه');
INSERT INTO `lang_definitions` VALUES (162207, 2039, 30, 'شرکت');
INSERT INTO `lang_definitions` VALUES (162208, 2040, 30, 'نام شرکت');
INSERT INTO `lang_definitions` VALUES (162209, 2041, 30, 'کامل');
INSERT INTO `lang_definitions` VALUES (162210, 2042, 30, 'زمان بازدید را کامل کنید');
INSERT INTO `lang_definitions` VALUES (162211, 2043, 30, 'تکمیل شده');
INSERT INTO `lang_definitions` VALUES (162212, 2044, 30, 'تکمیل شده');
INSERT INTO `lang_definitions` VALUES (162213, 2045, 30, 'آگهی کامل شد');
INSERT INTO `lang_definitions` VALUES (162214, 2046, 30, 'تکمیل شد؟');
INSERT INTO `lang_definitions` VALUES (162215, 2047, 30, 'به طور کامل قابلیت نمایش فلوچارت بیمار را حذف کنید.');
INSERT INTO `lang_definitions` VALUES (162216, 2048, 30, 'وضعیت تکمیل');
INSERT INTO `lang_definitions` VALUES (162217, 2049, 30, 'عوارض ارائه دهنده خدمات');
INSERT INTO `lang_definitions` VALUES (162218, 2050, 30, 'عوارض سقط جنین');
INSERT INTO `lang_definitions` VALUES (162219, 2051, 30, 'اجزاء');
INSERT INTO `lang_definitions` VALUES (162220, 2052, 30, 'نوشتن پیام');
INSERT INTO `lang_definitions` VALUES (162221, 2053, 30, 'نوشتن پیام جدید');
INSERT INTO `lang_definitions` VALUES (162222, 2055, 30, 'مرکز جامع توانبخشی بیماران بستری');
INSERT INTO `lang_definitions` VALUES (162223, 2056, 30, 'مرکز جامع توانبخشی سرپایی');
INSERT INTO `lang_definitions` VALUES (162224, 2057, 30, 'سیستم سفارش پزشکی به کمک رایانه');
INSERT INTO `lang_definitions` VALUES (162225, 2058, 30, 'نتایج');
INSERT INTO `lang_definitions` VALUES (162226, 2059, 30, 'وضعیت');
INSERT INTO `lang_definitions` VALUES (162227, 2060, 30, 'قسمت شرایط یافت نشد');
INSERT INTO `lang_definitions` VALUES (162228, 2061, 30, 'شرح وضعیت');
INSERT INTO `lang_definitions` VALUES (162229, 2063, 30, 'پیکربندی');
INSERT INTO `lang_definitions` VALUES (162230, 2064, 30, 'تنظیمات');
INSERT INTO `lang_definitions` VALUES (162231, 2065, 30, 'صادر / وارد کردن تنظیمات');
INSERT INTO `lang_definitions` VALUES (162232, 2066, 30, 'پیکربندی با موفقیت ذخیره شد');
INSERT INTO `lang_definitions` VALUES (162233, 2067, 30, 'Apache و OpenEMR را برای استفاده از گواهینامه های SSL سمت مشتری پیکربندی کنید.');
INSERT INTO `lang_definitions` VALUES (162234, 2068, 30, 'Apache را برای استفاده از گواهینامه های SSL سمت مشتری پیکربندی کنید');
INSERT INTO `lang_definitions` VALUES (162235, 2069, 30, 'Apache را برای استفاده از HTTPS پیکربندی کنید.');
INSERT INTO `lang_definitions` VALUES (162236, 2070, 30, 'Openemr را برای استفاده از گواهینامه های SSL سمت مشتری پیکربندی کنید');
INSERT INTO `lang_definitions` VALUES (162237, 2071, 30, 'سفارشات و نتایج را پیکربندی کنید');
INSERT INTO `lang_definitions` VALUES (162238, 2072, 30, 'پیکربندی راهنمای سفارشات');
INSERT INTO `lang_definitions` VALUES (162239, 2073, 30, 'پیکربندی ساختار آزمون آزمایشگاه');
INSERT INTO `lang_definitions` VALUES (162240, 2074, 30, 'پیکربندی قطعه ها');
INSERT INTO `lang_definitions` VALUES (162241, 2075, 30, 'پیکربندی قطعه ها');
INSERT INTO `lang_definitions` VALUES (162242, 2076, 30, 'پیکربندی چندین سفارش');
INSERT INTO `lang_definitions` VALUES (162243, 2077, 30, 'پیکربندی چندین سفارش');
INSERT INTO `lang_definitions` VALUES (162244, 2078, 30, 'تایید');
INSERT INTO `lang_definitions` VALUES (162245, 2079, 30, 'تایید ایجاد بیمار جدید');
INSERT INTO `lang_definitions` VALUES (162246, 2080, 30, 'تأیید آدرس ایمیل');
INSERT INTO `lang_definitions` VALUES (162247, 2081, 30, 'تایید رمز عبور جدید');
INSERT INTO `lang_definitions` VALUES (162248, 2083, 30, 'تایید پرداخت');
INSERT INTO `lang_definitions` VALUES (162249, 2084, 30, 'تأیید برای حذف موضوع فعلی؟');
INSERT INTO `lang_definitions` VALUES (162250, 2085, 30, 'تأیید برای حذف موارد انتخاب شده؟');
INSERT INTO `lang_definitions` VALUES (162251, 2086, 30, 'تأیید برای حذف مورد');
INSERT INTO `lang_definitions` VALUES (162252, 2088, 30, 'تایید شده');
INSERT INTO `lang_definitions` VALUES (162253, 2089, 30, 'تضاد آلرژی');
INSERT INTO `lang_definitions` VALUES (162254, 2090, 30, 'داروهای متناقض');
INSERT INTO `lang_definitions` VALUES (162255, 2091, 30, 'مشکلات متناقض');
INSERT INTO `lang_definitions` VALUES (162256, 2092, 30, 'مادر زادی');
INSERT INTO `lang_definitions` VALUES (162257, 2093, 30, 'برای فعال کردن احراز هویت دو مرحله ای به شما تبریک می گوییم');
INSERT INTO `lang_definitions` VALUES (162258, 2094, 30, 'ملتحمه ، مردمک چشم');
INSERT INTO `lang_definitions` VALUES (162259, 2095, 30, 'CONJ {{ملتحمه}} ');
INSERT INTO `lang_definitions` VALUES (162260, 2096, 30, 'خطای اتصال');
INSERT INTO `lang_definitions` VALUES (162261, 2097, 30, 'اتصال دهنده ها');
INSERT INTO `lang_definitions` VALUES (162262, 2098, 30, 'عدد ثابت');
INSERT INTO `lang_definitions` VALUES (162263, 2100, 30, 'نام عدد ثابت');
INSERT INTO `lang_definitions` VALUES (162264, 2101, 30, 'نام عدد ثابت خالی است');
INSERT INTO `lang_definitions` VALUES (162265, 2102, 30, 'اعدادثابت');
INSERT INTO `lang_definitions` VALUES (162266, 2103, 30, 'یبوست');
INSERT INTO `lang_definitions` VALUES (162267, 2104, 30, 'قانون اساسی');
INSERT INTO `lang_definitions` VALUES (162268, 2105, 30, 'شرکت ساختمانی');
INSERT INTO `lang_definitions` VALUES (162269, 2106, 30, 'پزشک مشاور');
INSERT INTO `lang_definitions` VALUES (162270, 2107, 30, 'شرح مختصر مشاوره');
INSERT INTO `lang_definitions` VALUES (162271, 2108, 30, 'یادداشت های مشاوره - 2008');
INSERT INTO `lang_definitions` VALUES (162272, 2109, 30, 'تماس');
INSERT INTO `lang_definitions` VALUES (162273, 2110, 30, 'آدرس ایمیل فرد آشنا');
INSERT INTO `lang_definitions` VALUES (162274, 2111, 30, 'آدرس ایمیل فرد آشنا');
INSERT INTO `lang_definitions` VALUES (162275, 2112, 30, 'برای مشترک شدن در سرویس پیام رسانی phiMail Direct با EMR Direct تماس بگیرید');
INSERT INTO `lang_definitions` VALUES (162276, 2113, 30, 'اطلاعات فرد آشنا');
INSERT INTO `lang_definitions` VALUES (162277, 2115, 30, 'لنز طبی');
INSERT INTO `lang_definitions` VALUES (162278, 2116, 30, 'انحراف لنز طبی');
INSERT INTO `lang_definitions` VALUES (162279, 2117, 30, 'لنز طبی');
INSERT INTO `lang_definitions` VALUES (162280, 2118, 30, 'برای خدمات تبادل آزمایشگاه با یکپارچه سازی اطلاعات پزشکی ، LLC در http://mi-squared.com تماس بگیرید.');
INSERT INTO `lang_definitions` VALUES (162281, 2119, 30, 'برای اشتراک سرویس eRx با اطلاعات پزشکی ادغام ، LLC در http://mi-squared.com یا ZH Healthcare در http://zhservices.com تماس بگیرید');
INSERT INTO `lang_definitions` VALUES (162282, 2120, 30, 'برای مشترک شدن در سرویس NewCrop eRx با یکپارچه سازی اطلاعات پزشکی ، LLC در http://mi-squared.com یا ZH Healthcare در http://zhservices.com تماس بگیرید.');
INSERT INTO `lang_definitions` VALUES (162283, 2121, 30, 'برای اشتراک در سرویس eCx NewCrop با mi-squared در http://www.mi-squared.com/products-services/openemr/ یا ZH Healthcare در https://blueehr.com/contact-us/ تماس بگیرید.');
INSERT INTO `lang_definitions` VALUES (162284, 2122, 30, 'نام فرد آشنا');
INSERT INTO `lang_definitions` VALUES (162285, 2123, 30, 'برای مشترک شدن در سرویس Weno Free eRx با Open Med Practice ، www.openmedpractice.com تماس بگیرید.');
INSERT INTO `lang_definitions` VALUES (162286, 2124, 30, 'با تلفن تماس بگیرید یا به آنها اطلاع دهید');
INSERT INTO `lang_definitions` VALUES (162287, 2125, 30, 'فرد آشنا');
INSERT INTO `lang_definitions` VALUES (162288, 2126, 30, 'تلفن فرد آشنا');
INSERT INTO `lang_definitions` VALUES (162289, 2127, 30, 'شماره تلفن فرد آشنا');
INSERT INTO `lang_definitions` VALUES (162290, 2128, 30, 'نسبت فرد آشنا');
INSERT INTO `lang_definitions` VALUES (162291, 2129, 30, 'برای مشترک شدن در سرویس eRx با ZMG، LLC (zmghealth@gmail.com) تماس بگیرید');
INSERT INTO `lang_definitions` VALUES (162292, 2130, 30, 'مخاطبین');
INSERT INTO `lang_definitions` VALUES (162293, 2131, 30, 'شامل حداقل سه مورد از چهار مورد زیر است:');
INSERT INTO `lang_definitions` VALUES (162294, 2132, 30, 'نام گروه کانتینر');
INSERT INTO `lang_definitions` VALUES (162295, 2133, 30, 'محتوا');
INSERT INTO `lang_definitions` VALUES (162296, 2134, 30, 'محتوا');
INSERT INTO `lang_definitions` VALUES (162297, 2135, 30, 'فهرست');
INSERT INTO `lang_definitions` VALUES (162298, 2136, 30, 'متن نوشته');
INSERT INTO `lang_definitions` VALUES (162299, 2137, 30, 'نام زمینه نمی تواند خالی باشد');
INSERT INTO `lang_definitions` VALUES (162300, 2138, 30, 'ادامه');
INSERT INTO `lang_definitions` VALUES (162301, 2141, 30, 'سند تداوم مراقبت');
INSERT INTO `lang_definitions` VALUES (162302, 2142, 30, 'سند تداوم مراقبت (CCD)');
INSERT INTO `lang_definitions` VALUES (162303, 2143, 30, 'سند تداوم مراقبت (CCD) یک سند الکترونیکی حاوی اطلاعات خاص بیمار است که به تداوم مراقبت کمک می کند');
INSERT INTO `lang_definitions` VALUES (162304, 2144, 30, 'منظور از سند مداوم مراقبت (CCD) این است که در پایان برخورد قبل از انتقال بیمار ایجاد شود تا ارائه دهنده بعدی بتواند به راحتی به چنین اطلاعاتی دسترسی پیدا کند');
INSERT INTO `lang_definitions` VALUES (162305, 2145, 30, 'سابقه تداوم مراقبت (CCR)');
INSERT INTO `lang_definitions` VALUES (162306, 2146, 30, 'مشتریان متقابل');
INSERT INTO `lang_definitions` VALUES (162307, 2147, 30, 'پیشگیری از بارداری');
INSERT INTO `lang_definitions` VALUES (162308, 2148, 30, 'مسائل مربوط به پیشگیری از بارداری');
INSERT INTO `lang_definitions` VALUES (162309, 2149, 30, 'عوارض پیشگیری از بارداری (مشخص کنید)');
INSERT INTO `lang_definitions` VALUES (162310, 2150, 30, 'روشهای پیشگیری از بارداری');
INSERT INTO `lang_definitions` VALUES (162311, 2151, 30, 'محصولات پیشگیری از بارداری');
INSERT INTO `lang_definitions` VALUES (162312, 2152, 30, 'خدمات پیشگیری از بارداری قبلاً آغاز شده');
INSERT INTO `lang_definitions` VALUES (162313, 2153, 30, 'شروع ضد بارداری');
INSERT INTO `lang_definitions` VALUES (162314, 2154, 30, 'حدت کنتراست');
INSERT INTO `lang_definitions` VALUES (162315, 2155, 30, 'تست حدت کنتراست');
INSERT INTO `lang_definitions` VALUES (162316, 2156, 30, 'کنتراست هنر');
INSERT INTO `lang_definitions` VALUES (162317, 2157, 30, 'کنتراست {{حدت بینایی کنتراست}}');
INSERT INTO `lang_definitions` VALUES (162318, 2158, 30, 'شناسه کنترل');
INSERT INTO `lang_definitions` VALUES (162319, 2159, 30, 'شماره کنترل');
INSERT INTO `lang_definitions` VALUES (162320, 2160, 30, 'ماده کنترل شده؟');
INSERT INTO `lang_definitions` VALUES (162321, 2161, 30, 'همگرایی');
INSERT INTO `lang_definitions` VALUES (162322, 2162, 30, 'آمپ همگرایی');
INSERT INTO `lang_definitions` VALUES (162323, 2163, 30, 'گفتگو');
INSERT INTO `lang_definitions` VALUES (162324, 2164, 30, 'مکالمه از');
INSERT INTO `lang_definitions` VALUES (162325, 2165, 30, 'یک شی JavaScript را به یک رشته JSON تبدیل کنید و آن را به سرور ارسال کنید.');
INSERT INTO `lang_definitions` VALUES (162326, 2166, 30, 'تبدیل بین استوانه مثبت و منفی');
INSERT INTO `lang_definitions` VALUES (162327, 2167, 30, 'مشاوران هماهنگ');
INSERT INTO `lang_definitions` VALUES (162328, 2168, 30, 'فرانشیز');
INSERT INTO `lang_definitions` VALUES (162329, 2169, 30, 'فرانشیز');
INSERT INTO `lang_definitions` VALUES (162330, 2170, 30, 'فرانشیز');
INSERT INTO `lang_definitions` VALUES (162331, 2171, 30, 'فرانشیز مثبت نیست');
INSERT INTO `lang_definitions` VALUES (162332, 2172, 30, 'فرانشیز پرداخت شده');
INSERT INTO `lang_definitions` VALUES (162333, 2173, 30, 'فرانشیز ها');
INSERT INTO `lang_definitions` VALUES (162334, 2174, 30, 'بیماری مزمن انسدادی ریه');
INSERT INTO `lang_definitions` VALUES (162335, 2175, 30, 'کپی کردن صفحات در نمودار بیمار');
INSERT INTO `lang_definitions` VALUES (162336, 2176, 30, 'کپی این مقادیر را در بازدید کنونی');
INSERT INTO `lang_definitions` VALUES (162337, 2177, 30, 'مقادیر را کپی کنید');
INSERT INTO `lang_definitions` VALUES (162338, 2178, 30, 'در حال کپی کردن فایل پایگاه داده. ممکن است این کار طول بکشد ...');
INSERT INTO `lang_definitions` VALUES (162339, 2179, 30, 'هشدار حق نشر');
INSERT INTO `lang_definitions` VALUES (162340, 2180, 30, 'بيماري قلب ناشي از مشكل ريه');
INSERT INTO `lang_definitions` VALUES (162341, 2181, 30, 'هسته');
INSERT INTO `lang_definitions` VALUES (162342, 2182, 30, 'قرنیه');
INSERT INTO `lang_definitions` VALUES (162343, 2183, 30, 'کورنیش');
INSERT INTO `lang_definitions` VALUES (162344, 2184, 30, 'بای‌پس سرخرگ کرونری');
INSERT INTO `lang_definitions` VALUES (162345, 2185, 30, 'گرافت بای پس سرخرگ کرونری (CABG)');
INSERT INTO `lang_definitions` VALUES (162346, 2186, 30, 'تصحیح شده');
INSERT INTO `lang_definitions` VALUES (162347, 2187, 30, 'کورسیایی');
INSERT INTO `lang_definitions` VALUES (162348, 2188, 30, 'پایگاه داده CouchDB');
INSERT INTO `lang_definitions` VALUES (162349, 2189, 30, 'اتصال CouchDB انجام نشد.');
INSERT INTO `lang_definitions` VALUES (162350, 2191, 30, 'پایگاه داده CouchDB');
INSERT INTO `lang_definitions` VALUES (162351, 2192, 30, 'نام پایگاه داده CouchDB');
INSERT INTO `lang_definitions` VALUES (162352, 2193, 30, 'گزارش خطای CouchDB');
INSERT INTO `lang_definitions` VALUES (162353, 2194, 30, 'گزارش خطای CouchDB خالی است');
INSERT INTO `lang_definitions` VALUES (162354, 2195, 30, 'آدرس هاست CouchDB');
INSERT INTO `lang_definitions` VALUES (162355, 2196, 30, 'نام هاست CouchDB');
INSERT INTO `lang_definitions` VALUES (162356, 2197, 30, 'فعال کردن ثبت وقایع CouchDB');
INSERT INTO `lang_definitions` VALUES (162357, 2198, 30, 'رمز عبور CouchDB');
INSERT INTO `lang_definitions` VALUES (162358, 2199, 30, 'پورت CouchDB');
INSERT INTO `lang_definitions` VALUES (162359, 2200, 30, 'پورت CouchDB');
INSERT INTO `lang_definitions` VALUES (162360, 2201, 30, 'ذخیره CouchDB انجام نشد');
INSERT INTO `lang_definitions` VALUES (162361, 2203, 30, 'نام کاربری CouchDB');
INSERT INTO `lang_definitions` VALUES (162362, 2204, 30, 'سرفه');
INSERT INTO `lang_definitions` VALUES (162363, 2205, 30, 'سرفه:');
INSERT INTO `lang_definitions` VALUES (162364, 2206, 30, 'اتصال به سرور امکان پذیر نیست');
INSERT INTO `lang_definitions` VALUES (162365, 2207, 30, 'جدول RxNorm پیدا نشد! لطفا نصب کنید');
INSERT INTO `lang_definitions` VALUES (162366, 2208, 30, 'سند وارد نشد. لطفا با فروشنده EMR تماس بگیرید.');
INSERT INTO `lang_definitions` VALUES (162367, 2210, 30, 'باز کردن جدول امکان پذیر نبود');
INSERT INTO `lang_definitions` VALUES (162368, 2211, 30, 'فایل قابل خواندن نیست');
INSERT INTO `lang_definitions` VALUES (162369, 2212, 30, 'فایل قابل خواندن نیست');
INSERT INTO `lang_definitions` VALUES (162370, 2214, 30, 'به دلیل مشکل سرور نمی توان ایمیل ارسال کرد ،');
INSERT INTO `lang_definitions` VALUES (162371, 2215, 30, 'به دلیل مشکل سرور نمی توان ایمیل ارسال کرد.');
INSERT INTO `lang_definitions` VALUES (162372, 2216, 30, 'به دلیل مشکل سرور نمی توان ایمیل ارسال کرد.');
INSERT INTO `lang_definitions` VALUES (162373, 2217, 30, 'دایرکتوری پشتیبان ایجاد نشد:');
INSERT INTO `lang_definitions` VALUES (162374, 2218, 30, 'دایرکتوری حذف نشد:');
INSERT INTO `lang_definitions` VALUES (162375, 2219, 30, 'فایل پشتیبان قدیمی حذف نشد:');
INSERT INTO `lang_definitions` VALUES (162376, 2220, 30, 'فایل صادر شده قدیمی حذف نشد:');
INSERT INTO `lang_definitions` VALUES (162377, 2221, 30, 'مدیریت Coumadin - نظارت بر INR');
INSERT INTO `lang_definitions` VALUES (162378, 2222, 30, 'مشاوره به روش');
INSERT INTO `lang_definitions` VALUES (162379, 2223, 30, 'مشاوره');
INSERT INTO `lang_definitions` VALUES (162380, 2224, 30, 'فعالیت های مشاوره');
INSERT INTO `lang_definitions` VALUES (162381, 2225, 30, 'مشاوران');
INSERT INTO `lang_definitions` VALUES (162382, 2226, 30, 'فرم مراجعه کننده شمارنده');
INSERT INTO `lang_definitions` VALUES (162383, 2227, 30, 'فرم پاسخ ارجاع');
INSERT INTO `lang_definitions` VALUES (162384, 2228, 30, 'پاسخ ارجاع');
INSERT INTO `lang_definitions` VALUES (162385, 2229, 30, 'کشور');
INSERT INTO `lang_definitions` VALUES (162386, 2230, 30, 'کد کشور');
INSERT INTO `lang_definitions` VALUES (162387, 2231, 30, 'نوع داده کشور');
INSERT INTO `lang_definitions` VALUES (162388, 2232, 30, 'فهرست کشورها');
INSERT INTO `lang_definitions` VALUES (162389, 2233, 30, 'فهرست کشور (نوشتن، addonly اختیاری)');
INSERT INTO `lang_definitions` VALUES (162390, 2234, 30, 'فهرست کشور (نوشتن، addonly اختیاری) (کشور)');
INSERT INTO `lang_definitions` VALUES (162391, 2235, 30, 'نام کشور باید با دو حرف نشان داده شود. (مثال: ایالات متحده آمریکا US)');
INSERT INTO `lang_definitions` VALUES (162392, 2236, 30, 'شهرستان');
INSERT INTO `lang_definitions` VALUES (162393, 2237, 30, 'شهرستان');
INSERT INTO `lang_definitions` VALUES (162394, 2238, 30, 'کوپن');
INSERT INTO `lang_definitions` VALUES (162395, 2239, 30, 'دوره');
INSERT INTO `lang_definitions` VALUES (162396, 2240, 30, 'عمو زاده');
INSERT INTO `lang_definitions` VALUES (162397, 2241, 30, 'سطح پوشش');
INSERT INTO `lang_definitions` VALUES (162398, 2242, 30, 'دوره پوشش');
INSERT INTO `lang_definitions` VALUES (162399, 2243, 30, 'نوع پوشش');
INSERT INTO `lang_definitions` VALUES (162400, 2244, 30, 'ثبت سفارش پزشک رایانه ای');
INSERT INTO `lang_definitions` VALUES (162401, 2245, 30, 'اصطلاحات رویه ای فعلی');
INSERT INTO `lang_definitions` VALUES (162402, 2246, 30, 'کد اصطلاحات رویه ای فعلی');
INSERT INTO `lang_definitions` VALUES (162403, 2247, 30, 'کدهای اصطلاحات رویه ای فعلی');
INSERT INTO `lang_definitions` VALUES (162404, 2248, 30, 'روش / خدمات اصطلاحات رویه ای فعلی');
INSERT INTO `lang_definitions` VALUES (162405, 2249, 30, 'اندازه گیری عملکرد اصطلاحات رویه ای فعلی');
INSERT INTO `lang_definitions` VALUES (162406, 2250, 30, 'اقدامات کیفیت بالینی');
INSERT INTO `lang_definitions` VALUES (162407, 2252, 30, 'ترق ترق:');
INSERT INTO `lang_definitions` VALUES (162408, 2253, 30, 'عصب جمجمه 5: عصب سه وجهی');
INSERT INTO `lang_definitions` VALUES (162409, 2254, 30, 'عصب جمجمه 7: عصب صورت');
INSERT INTO `lang_definitions` VALUES (162410, 2255, 30, 'کرم');
INSERT INTO `lang_definitions` VALUES (162411, 2256, 30, 'برای هر کاربر یا ماشین مشتری ، یک گواهینامه SSL سمت مشتری ایجاد کنید.');
INSERT INTO `lang_definitions` VALUES (162412, 2257, 30, 'یک گواهی SSL سمت مشتری برای هر دو کاربر یا نام میزبان مشتری ایجاد کنید.');
INSERT INTO `lang_definitions` VALUES (162413, 2258, 30, 'یک مراجعه-ارجاع ایجاد کنید');
INSERT INTO `lang_definitions` VALUES (162414, 2259, 30, 'یادآوری تاریخ دار ایجاد کنید');
INSERT INTO `lang_definitions` VALUES (162415, 2260, 30, 'ایجاد یک مکان برای نتایج');
INSERT INTO `lang_definitions` VALUES (162416, 2261, 30, 'یک قطعه جدید ایجاد کنید');
INSERT INTO `lang_definitions` VALUES (162417, 2262, 30, 'ایجاد یک ارجاع');
INSERT INTO `lang_definitions` VALUES (162418, 2263, 30, 'برای برنامه ریزی بازدید آینده یادآوری ایجاد کنید');
INSERT INTO `lang_definitions` VALUES (162419, 2265, 30, 'یک نوع تراکنش ساده ایجاد کنید');
INSERT INTO `lang_definitions` VALUES (162420, 2266, 30, 'یک صفحه گسترده در openoffice / LibreOffice ایجاد کنید ، 5 ستون داشته باشید - کد CPT ، توضیحات ، استاندارد ، کارت اعتباری و پول نقد. مقادیر را پر کنید. از این صفحه گسترده مقادیر را به صورت دستی کپی و پیست کنید از طریق Administration> Codes');
INSERT INTO `lang_definitions` VALUES (162421, 2267, 30, 'یک گروه سفارشی سطح بالا ایجاد کنید');
INSERT INTO `lang_definitions` VALUES (162422, 2268, 30, 'یک ورودی سطح بالا ایجاد کنید');
INSERT INTO `lang_definitions` VALUES (162423, 2269, 30, 'ایجاد یک رویداد');
INSERT INTO `lang_definitions` VALUES (162424, 2270, 30, 'یک سفارش ایجاد کنید');
INSERT INTO `lang_definitions` VALUES (162425, 2271, 30, 'یک سفارش برای یک پنل تست ایجاد کنید');
INSERT INTO `lang_definitions` VALUES (162426, 2272, 30, 'برای یک تست سفارش ایجاد کنید');
INSERT INTO `lang_definitions` VALUES (162427, 2273, 30, 'ایجاد و دانلود یک نسخه ی پشتیبان کامل');
INSERT INTO `lang_definitions` VALUES (162428, 2274, 30, 'قطعه ها را ایجاد و اصلاح کنید');
INSERT INTO `lang_definitions` VALUES (162429, 2275, 30, 'ایجاد پشتیبان گیری');
INSERT INTO `lang_definitions` VALUES (162430, 2276, 30, 'ایجاد دسته ای');
INSERT INTO `lang_definitions` VALUES (162431, 2277, 30, 'ایجاد گواهی مشتری');
INSERT INTO `lang_definitions` VALUES (162432, 2278, 30, 'گواهینامه های SSL سمت مشتری ایجاد کنید');
INSERT INTO `lang_definitions` VALUES (162433, 2279, 30, 'برای امنیت سیستم اسناد خود ، یک لیست سفید سفارشی از نوع محتوای MIME یک پرونده ایجاد کنید');
INSERT INTO `lang_definitions` VALUES (162434, 2280, 30, 'ایجاد تاریخ');
INSERT INTO `lang_definitions` VALUES (162435, 2281, 30, 'ایجاد کپی');
INSERT INTO `lang_definitions` VALUES (162436, 2282, 30, 'ایجاد برخورد');
INSERT INTO `lang_definitions` VALUES (162437, 2283, 30, 'ایجاد پشتیبان از گزارش رویدادها');
INSERT INTO `lang_definitions` VALUES (162438, 2285, 30, 'ایجاد مشکل جدید');
INSERT INTO `lang_definitions` VALUES (162439, 2286, 30, 'ایجاد پیام جدید');
INSERT INTO `lang_definitions` VALUES (162440, 2287, 30, 'ایجاد بیمار جدید');
INSERT INTO `lang_definitions` VALUES (162441, 2288, 30, 'ایجاد قطعه جدید');
INSERT INTO `lang_definitions` VALUES (162442, 2289, 30, 'ایجاد تراکنش جدید');
INSERT INTO `lang_definitions` VALUES (162443, 2290, 30, 'ایجاد اعتبارنامه پورتال خارج از سایت');
INSERT INTO `lang_definitions` VALUES (162444, 2291, 30, 'ایجاد اعتبارنامه پورتال آنلاین');
INSERT INTO `lang_definitions` VALUES (162445, 2292, 30, 'ایجاد اعتبار نامه پورتال در محل');
INSERT INTO `lang_definitions` VALUES (162446, 2293, 30, 'ایجاد بیمار');
INSERT INTO `lang_definitions` VALUES (162447, 2294, 30, 'ایجاد یادداشت بیمار');
INSERT INTO `lang_definitions` VALUES (162448, 2295, 30, 'ایجاد سفارشات سفارشی');
INSERT INTO `lang_definitions` VALUES (162449, 2296, 30, 'مجوزهای SSL Certificate Authority و Server ها را ایجاد کنید.');
INSERT INTO `lang_definitions` VALUES (162450, 2297, 30, 'ایجاد یک ملاقات');
INSERT INTO `lang_definitions` VALUES (162451, 2298, 30, 'ایجاد شد');
INSERT INTO `lang_definitions` VALUES (162452, 2299, 30, 'گزارشی ایجاد می کند که شامل بخشهای مختلف پرونده پزشکی بیمار است');
INSERT INTO `lang_definitions` VALUES (162453, 2300, 30, 'ایجاد یک گروه دلخواه سفارشی برای سفارش آزمایش های مرتب مرتب با هم');
INSERT INTO `lang_definitions` VALUES (162454, 2301, 30, 'ایجاد یک گروه تست های سفارشی به عنوان موارد دلخواه');
INSERT INTO `lang_definitions` VALUES (162455, 2302, 30, 'ایجاد یک یادآوری جدید با تاریخ');
INSERT INTO `lang_definitions` VALUES (162456, 2303, 30, 'ایجاد پیام جدید');
INSERT INTO `lang_definitions` VALUES (162457, 2304, 30, 'ایجاد و مدیریت برخوردها');
INSERT INTO `lang_definitions` VALUES (162458, 2305, 30, 'به هر حال ایجاد کن');
INSERT INTO `lang_definitions` VALUES (162459, 2306, 30, 'ایجاد فایل صادر کردن');
INSERT INTO `lang_definitions` VALUES (162460, 2307, 30, 'ایجاد قطعه جدید ناموفق بود');
INSERT INTO `lang_definitions` VALUES (162461, 2308, 30, 'ایجاد این فایل در میزبان راه دور ناموفق بود');
INSERT INTO `lang_definitions` VALUES (162462, 2309, 30, 'ایجاد کننده');
INSERT INTO `lang_definitions` VALUES (162463, 2311, 30, 'اعتبار');
INSERT INTO `lang_definitions` VALUES (162464, 2312, 30, 'کارت اعتباری');
INSERT INTO `lang_definitions` VALUES (162465, 2313, 30, 'کارت اعتباری یا سپرده ای');
INSERT INTO `lang_definitions` VALUES (162466, 2314, 30, 'اعتبارات');
INSERT INTO `lang_definitions` VALUES (162467, 2315, 30, 'کری');
INSERT INTO `lang_definitions` VALUES (162468, 2316, 30, 'معیارها');
INSERT INTO `lang_definitions` VALUES (162469, 2318, 30, 'کرواتی');
INSERT INTO `lang_definitions` VALUES (162470, 2319, 30, 'بیماری کرون');
INSERT INTO `lang_definitions` VALUES (162471, 2320, 30, 'بیماری کرون');
INSERT INTO `lang_definitions` VALUES (162472, 2321, 30, 'CR {{شکست سیکلوپلژیک}}');
INSERT INTO `lang_definitions` VALUES (162473, 2322, 30, 'CSV');
INSERT INTO `lang_definitions` VALUES (162474, 2323, 30, 'صدور خروجی CSV');
INSERT INTO `lang_definitions` VALUES (162475, 2324, 30, 'فایل CSV');
INSERT INTO `lang_definitions` VALUES (162476, 2325, 30, 'جداول CSV');
INSERT INTO `lang_definitions` VALUES (162477, 2326, 30, 'تبدیل CSV به جدول تقویم خارجی');
INSERT INTO `lang_definitions` VALUES (162478, 2327, 30, 'بینایی لنز طبی');
INSERT INTO `lang_definitions` VALUES (162479, 2328, 30, 'بینایی لنز طبی');
INSERT INTO `lang_definitions` VALUES (162480, 2329, 30, 'بینایی لنز طبی');
INSERT INTO `lang_definitions` VALUES (162481, 2330, 30, 'میلی متر مکعب');
INSERT INTO `lang_definitions` VALUES (162482, 2331, 30, 'کوبایی');
INSERT INTO `lang_definitions` VALUES (162483, 2332, 30, 'فنجان');
INSERT INTO `lang_definitions` VALUES (162484, 2333, 30, 'مکان های اعشار ارز');
INSERT INTO `lang_definitions` VALUES (162485, 2334, 30, 'نماد نقطه اعشار ارز');
INSERT INTO `lang_definitions` VALUES (162486, 2335, 30, 'ارز دهنده');
INSERT INTO `lang_definitions` VALUES (162487, 2336, 30, 'جدا کننده هزار واحد ارز');
INSERT INTO `lang_definitions` VALUES (162488, 2337, 30, 'کنونی');
INSERT INTO `lang_definitions` VALUES (162489, 2338, 30, 'الکل کنونی');
INSERT INTO `lang_definitions` VALUES (162490, 2339, 30, 'روش احراز هویت فعلی برای');
INSERT INTO `lang_definitions` VALUES (162491, 2340, 30, 'روش احراز هویت فعلی برای کاربر وارد شده');
INSERT INTO `lang_definitions` VALUES (162492, 2341, 30, 'مشاوره فعلی');
INSERT INTO `lang_definitions` VALUES (162493, 2342, 30, 'معیارهای فعلی');
INSERT INTO `lang_definitions` VALUES (162494, 2343, 30, 'امروز');
INSERT INTO `lang_definitions` VALUES (162495, 2344, 30, 'رنگ برجسته روز جاری');
INSERT INTO `lang_definitions` VALUES (162496, 2345, 30, 'در حال حاضر هر روز سیگار میکشد');
INSERT INTO `lang_definitions` VALUES (162497, 2346, 30, 'داروهای چشم فعلی');
INSERT INTO `lang_definitions` VALUES (162498, 2347, 30, 'نام پرونده فعلی تغییر یافت به');
INSERT INTO `lang_definitions` VALUES (162499, 2348, 30, 'عینک فعلی');
INSERT INTO `lang_definitions` VALUES (162500, 2349, 30, 'هش کنونی');
INSERT INTO `lang_definitions` VALUES (162501, 2350, 30, 'مکان جاری');
INSERT INTO `lang_definitions` VALUES (162502, 2351, 30, 'کاربر وارد شده به سیستم');
INSERT INTO `lang_definitions` VALUES (162503, 2352, 30, 'داروهای جاری');
INSERT INTO `lang_definitions` VALUES (162504, 2354, 30, 'رمز عبور جاری');
INSERT INTO `lang_definitions` VALUES (162505, 2356, 30, 'بیمار جاری');
INSERT INTO `lang_definitions` VALUES (162506, 2357, 30, 'بیمار فعلی در اینجا در دسترس نیست. از اسناد بیمار استفاده کنید');
INSERT INTO `lang_definitions` VALUES (162507, 2358, 30, 'ارائه دهنده فعلی');
INSERT INTO `lang_definitions` VALUES (162508, 2359, 30, 'فقط بیمار فعلی');
INSERT INTO `lang_definitions` VALUES (162509, 2360, 30, 'گیرندگان فعلی');
INSERT INTO `lang_definitions` VALUES (162510, 2361, 30, 'مواد مخدر تفریحی جاری');
INSERT INTO `lang_definitions` VALUES (162511, 2362, 30, 'RX فعلی');
INSERT INTO `lang_definitions` VALUES (162512, 2363, 30, 'در حال حاضر برخی روزها سیگار میکشد');
INSERT INTO `lang_definitions` VALUES (162513, 2364, 30, 'وضعیت فعلی');
INSERT INTO `lang_definitions` VALUES (162514, 2365, 30, 'زمان وضعیت فعلی');
INSERT INTO `lang_definitions` VALUES (162515, 2366, 30, 'هدف فعلی');
INSERT INTO `lang_definitions` VALUES (162516, 2368, 30, 'کاربر فعلی');
INSERT INTO `lang_definitions` VALUES (162517, 2369, 30, 'ارزش فعلی');
INSERT INTO `lang_definitions` VALUES (162518, 2371, 30, 'در حال حاضر فعال است');
INSERT INTO `lang_definitions` VALUES (162519, 2372, 30, 'در حال حاضر مشغول است');
INSERT INTO `lang_definitions` VALUES (162520, 2374, 30, 'در حال حاضر آفلاین است');
INSERT INTO `lang_definitions` VALUES (162521, 2375, 30, 'در حال اجرا');
INSERT INTO `lang_definitions` VALUES (162522, 2376, 30, 'در حال حاضر 5 نوع تراکنش در OpenEMR وجود دارد');
INSERT INTO `lang_definitions` VALUES (162523, 2377, 30, 'در حال حاضر درمانگاهی وجود ندارد.');
INSERT INTO `lang_definitions` VALUES (162524, 2378, 30, 'در حال حاضر روی ساخت این سند کار می شود');
INSERT INTO `lang_definitions` VALUES (162525, 2379, 30, 'سندرم کوشینگ');
INSERT INTO `lang_definitions` VALUES (162526, 2380, 30, 'سندرم کوشینگ');
INSERT INTO `lang_definitions` VALUES (162527, 2381, 30, 'مرکز مراقبت از حضانت');
INSERT INTO `lang_definitions` VALUES (162528, 2382, 30, 'متولی');
INSERT INTO `lang_definitions` VALUES (162529, 2383, 30, 'سفارشی');
INSERT INTO `lang_definitions` VALUES (162530, 2384, 30, 'شماره تلفن صورتحساب سفارشی');
INSERT INTO `lang_definitions` VALUES (162531, 2385, 30, 'گروه مورد علاقه سفارشی - برای گروه بندی آزمونهای فردی');
INSERT INTO `lang_definitions` VALUES (162532, 2386, 30, 'گروه دلخواه سفارشی> مورد دلخواه سفارشی> نتایج گسسته');
INSERT INTO `lang_definitions` VALUES (162533, 2387, 30, 'گروه دلخواه سفارشی و مورد دلخواه سفارشی برای ایجاد گروه سفارشی سفارشات استفاده می شود');
INSERT INTO `lang_definitions` VALUES (162534, 2388, 30, 'مورد دلخواه سفارشی - برای سفارشات یا تست های فردی');
INSERT INTO `lang_definitions` VALUES (162535, 2389, 30, 'خوش آمدگویی سفارشی');
INSERT INTO `lang_definitions` VALUES (162536, 2390, 30, 'ورودی سفارشی؟');
INSERT INTO `lang_definitions` VALUES (162537, 2391, 30, 'سفارش سفارشی');
INSERT INTO `lang_definitions` VALUES (162538, 2393, 30, 'پیام بیانیه سفارشی');
INSERT INTO `lang_definitions` VALUES (162539, 2394, 30, 'گروه فرعی سفارشی');
INSERT INTO `lang_definitions` VALUES (162540, 2395, 30, 'جدول سفارشی');
INSERT INTO `lang_definitions` VALUES (162541, 2396, 30, 'متن سفارشی برای کارت پستال Flow Board. پس از تغییر متن ، قبل از چاپ مقادیر انبوه ، نمونه چاپ کنید!');
INSERT INTO `lang_definitions` VALUES (162542, 2397, 30, 'گروه بالای سفارشی');
INSERT INTO `lang_definitions` VALUES (162543, 2398, 30, 'سفارشی  کردن برگه هزینه');
INSERT INTO `lang_definitions` VALUES (162544, 2399, 30, 'فرم تراکنش را سفارشی کنید');
INSERT INTO `lang_definitions` VALUES (162545, 2400, 30, 'کد CVV');
INSERT INTO `lang_definitions` VALUES (162546, 2401, 30, 'کد Cvx');
INSERT INTO `lang_definitions` VALUES (162547, 2402, 30, 'کد CVX');
INSERT INTO `lang_definitions` VALUES (162548, 2403, 30, 'نقشه کد CVX');
INSERT INTO `lang_definitions` VALUES (162549, 2404, 30, 'ایمن سازی CVX');
INSERT INTO `lang_definitions` VALUES (162550, 2405, 30, 'CV {{قلب و عروق}}');
INSERT INTO `lang_definitions` VALUES (162551, 2406, 30, 'چرخه');
INSERT INTO `lang_definitions` VALUES (162552, 2407, 30, 'سیکلو 1٪');
INSERT INTO `lang_definitions` VALUES (162553, 2408, 30, 'سیکلو میدریل');
INSERT INTO `lang_definitions` VALUES (162554, 2409, 30, 'شکست سیکلوپلژیک (مرطوب)');
INSERT INTO `lang_definitions` VALUES (162555, 2410, 30, 'سیلندر{{سیلندر}}');
INSERT INTO `lang_definitions` VALUES (162556, 2411, 30, 'سیلندر{{سیلندر}}');
INSERT INTO `lang_definitions` VALUES (162557, 2415, 30, 'کشور چک');
INSERT INTO `lang_definitions` VALUES (162558, 2416, 30, 'اتساع');
INSERT INTO `lang_definitions` VALUES (162559, 2417, 30, 'اتساع و کورتاژ');
INSERT INTO `lang_definitions` VALUES (162560, 2418, 30, 'اتساع و تخلیه');
INSERT INTO `lang_definitions` VALUES (162561, 2420, 30, 'تاریخ تولد');
INSERT INTO `lang_definitions` VALUES (162562, 2421, 30, 'روزانه');
INSERT INTO `lang_definitions` VALUES (162563, 2422, 30, 'ثبت روزانه');
INSERT INTO `lang_definitions` VALUES (162564, 2423, 30, 'گزارش روزانه');
INSERT INTO `lang_definitions` VALUES (162565, 2424, 30, 'گزارش خلاصه روزانه');
INSERT INTO `lang_definitions` VALUES (162566, 2425, 30, 'دانمارکی');
INSERT INTO `lang_definitions` VALUES (162567, 2426, 30, 'داشبورد');
INSERT INTO `lang_definitions` VALUES (162568, 2427, 30, 'داشبورد - تمام اطلاعات مربوط به بیمار را خلاصه میکند');
INSERT INTO `lang_definitions` VALUES (162569, 2428, 30, 'داشبورد {{پرونده بیمار}}');
INSERT INTO `lang_definitions` VALUES (162570, 2429, 30, 'داده مشابه از قبل در پایگاه داده است ، لطفاً کد و / یا توضیحات را تغییر دهید');
INSERT INTO `lang_definitions` VALUES (162571, 2430, 30, 'داده مشابه از قبل در پایگاه داده است ، لطفاً نام ثابت را تغییر دهید');
INSERT INTO `lang_definitions` VALUES (162572, 2431, 30, 'ستون های داده ها');
INSERT INTO `lang_definitions` VALUES (162573, 2432, 30, 'وارد کننده اطلاعات');
INSERT INTO `lang_definitions` VALUES (162574, 2433, 30, 'ورود اطلاعات - کد ملی');
INSERT INTO `lang_definitions` VALUES (162575, 2434, 30, 'خطای داده');
INSERT INTO `lang_definitions` VALUES (162576, 2435, 30, 'داده ها از');
INSERT INTO `lang_definitions` VALUES (162577, 2436, 30, 'یکپارچگی داده ها به خطر افتاده است');
INSERT INTO `lang_definitions` VALUES (162578, 2437, 30, 'اطلاعات کلیه برخوردها تاکنون');
INSERT INTO `lang_definitions` VALUES (162579, 2438, 30, 'بخش داده');
INSERT INTO `lang_definitions` VALUES (162580, 2439, 30, 'نوع داده');
INSERT INTO `lang_definitions` VALUES (162581, 2440, 30, 'پایگاه داده ها');
INSERT INTO `lang_definitions` VALUES (162582, 2442, 30, 'پایگاه داده ها نصب نشده است.');
INSERT INTO `lang_definitions` VALUES (162583, 2443, 30, 'نام پایگاه داده');
INSERT INTO `lang_definitions` VALUES (162584, 2444, 30, 'پچ پایگاه داده');
INSERT INTO `lang_definitions` VALUES (162585, 2445, 30, 'گزارش پایگاه داده ها');
INSERT INTO `lang_definitions` VALUES (162586, 2446, 30, 'گزارش پایگاه داده (پایگاه داده)');
INSERT INTO `lang_definitions` VALUES (162587, 2447, 30, 'ارتقاء پایگاه داده ها به پایان رسید.');
INSERT INTO `lang_definitions` VALUES (162588, 2448, 30, 'ستون داده ها باید عددی بین 1 تا 999 باشد');
INSERT INTO `lang_definitions` VALUES (162589, 2449, 30, 'تاریخ');
INSERT INTO `lang_definitions` VALUES (162590, 2450, 30, 'تاریخ');
INSERT INTO `lang_definitions` VALUES (162591, 2451, 30, 'تاریخ و زمان اجرا');
INSERT INTO `lang_definitions` VALUES (162592, 2452, 30, 'تاریخ / ساعت');
INSERT INTO `lang_definitions` VALUES (162593, 2453, 30, 'تاریخ تجویز');
INSERT INTO `lang_definitions` VALUES (162594, 2454, 30, 'تاریخ و زمان جمع آوری نمونه');
INSERT INTO `lang_definitions` VALUES (162595, 2455, 30, 'تاریخ و زمان این مشاهده');
INSERT INTO `lang_definitions` VALUES (162596, 2456, 30, 'تاریخ و زمان این گزارش');
INSERT INTO `lang_definitions` VALUES (162597, 2457, 30, 'تاریخ و زمانی که نمونه جمع آوری شد');
INSERT INTO `lang_definitions` VALUES (162598, 2458, 30, 'تاریخ نمی تواند بیشتر از امروز باشد');
INSERT INTO `lang_definitions` VALUES (162599, 2459, 30, 'تاریخ شروع ارائه خدمات پیشگیری از بارداری');
INSERT INTO `lang_definitions` VALUES (162600, 2460, 30, 'تاریخ ایجاد');
INSERT INTO `lang_definitions` VALUES (162601, 2461, 30, 'تاریخ فوت');
INSERT INTO `lang_definitions` VALUES (162602, 2462, 30, 'تاریخ تخریب');
INSERT INTO `lang_definitions` VALUES (162603, 2463, 30, 'قالب نمایش تاریخ');
INSERT INTO `lang_definitions` VALUES (162604, 2464, 30, 'قالب تاریخ برای \"پایان وقت ملاقات\" معتبر نیست');
INSERT INTO `lang_definitions` VALUES (162605, 2465, 30, 'قالب تاریخ برای \"شروع وقت ملاقات\" معتبر نیست');
INSERT INTO `lang_definitions` VALUES (162606, 2466, 30, 'قالب تاریخ برای \"وقت ملاقات بعدی\" معتبر نیست');
INSERT INTO `lang_definitions` VALUES (162607, 2467, 30, 'قالب تاریخ برای \"مشاهده نشده از زمان\" معتبر نیست');
INSERT INTO `lang_definitions` VALUES (162608, 2468, 30, 'قالب تاریخ برای \"قبلاً دیده شده\" معتبر نیست');
INSERT INTO `lang_definitions` VALUES (162609, 2469, 30, 'قالب تاریخ \"دیده شده از زمان\" معتبر نیست');
INSERT INTO `lang_definitions` VALUES (162610, 2470, 30, 'تاریخ داده شدن بیانیه های ایمن سازی');
INSERT INTO `lang_definitions` VALUES (162611, 2471, 30, 'تاریخ برای کد موجود نیست');
INSERT INTO `lang_definitions` VALUES (162612, 2472, 30, 'تاریخ معیار اصلی');
INSERT INTO `lang_definitions` VALUES (162613, 2473, 30, 'تاریخ وقت های ملاقات');
INSERT INTO `lang_definitions` VALUES (162614, 2474, 30, 'تاریخ وقت های ملاقات روز/ماه/سال');
INSERT INTO `lang_definitions` VALUES (162615, 2475, 30, 'تاریخ سپرده بانکی روز-ماه-سال');
INSERT INTO `lang_definitions` VALUES (162616, 2476, 30, 'تاریخ صورتحساب');
INSERT INTO `lang_definitions` VALUES (162617, 2477, 30, 'تاریخ تولد');
INSERT INTO `lang_definitions` VALUES (162618, 2478, 30, 'تاریخ تولد');
INSERT INTO `lang_definitions` VALUES (162619, 2479, 30, 'تاریخ تولد');
INSERT INTO `lang_definitions` VALUES (162620, 2480, 30, 'تاریخ تولد و سن');
INSERT INTO `lang_definitions` VALUES (162621, 2481, 30, 'تاریخ ورود');
INSERT INTO `lang_definitions` VALUES (162622, 2482, 30, 'تاریخ خروج');
INSERT INTO `lang_definitions` VALUES (162623, 2483, 30, 'تاریخ آسیب دیدگی');
INSERT INTO `lang_definitions` VALUES (162624, 2484, 30, 'تاریخ شروع');
INSERT INTO `lang_definitions` VALUES (162625, 2485, 30, 'تاریخ شروع یا بستری شدن در بیمارستان');
INSERT INTO `lang_definitions` VALUES (162626, 2486, 30, 'تاریخ ورود به مرکز، جراحی یا شروع دارو');
INSERT INTO `lang_definitions` VALUES (162627, 2487, 30, 'تاریخ پرداخت روز-ماه-سال');
INSERT INTO `lang_definitions` VALUES (162628, 2488, 30, 'تاریخ بهبودی یا پایان دارو');
INSERT INTO `lang_definitions` VALUES (162629, 2489, 30, 'تاریخ ارجاع');
INSERT INTO `lang_definitions` VALUES (162630, 2490, 30, 'تاریخ ثبت نام');
INSERT INTO `lang_definitions` VALUES (162631, 2491, 30, 'تاریخ پاسخ');
INSERT INTO `lang_definitions` VALUES (162632, 2492, 30, 'تاریخ گزارش');
INSERT INTO `lang_definitions` VALUES (162633, 2493, 30, 'تاریخ خدمت');
INSERT INTO `lang_definitions` VALUES (162634, 2494, 30, 'تاریخ خدمت');
INSERT INTO `lang_definitions` VALUES (162635, 2495, 30, 'تاریخ خدمت');
INSERT INTO `lang_definitions` VALUES (162636, 2496, 30, 'تاریخ خدمت = امروز');
INSERT INTO `lang_definitions` VALUES (162637, 2497, 30, 'تاریخ سرویس به طور پیش فرض تاریخ امروز است. در صورت نیاز می توان آن را به هر تاریخ معتبری تغییر داد');
INSERT INTO `lang_definitions` VALUES (162638, 2498, 30, 'تاریخ خدمت روز/ماه/سال');
INSERT INTO `lang_definitions` VALUES (162639, 2499, 30, 'تاریخ خدمت:');
INSERT INTO `lang_definitions` VALUES (162640, 2500, 30, 'تاریخ امضاء');
INSERT INTO `lang_definitions` VALUES (162641, 2501, 30, 'تاریخ تغییر وضعیت');
INSERT INTO `lang_definitions` VALUES (162642, 2502, 30, 'تاریخ این نامه');
INSERT INTO `lang_definitions` VALUES (162643, 2503, 30, 'تاریخ این دستور');
INSERT INTO `lang_definitions` VALUES (162644, 2504, 30, 'تاریخ این گزارش');
INSERT INTO `lang_definitions` VALUES (162645, 2505, 30, 'تاریخ بیانیه VIS');
INSERT INTO `lang_definitions` VALUES (162646, 2506, 30, 'تاریخ سفارش');
INSERT INTO `lang_definitions` VALUES (162647, 2507, 30, 'محدوده زمانی');
INSERT INTO `lang_definitions` VALUES (162648, 2508, 30, 'انتخاب کننده تاریخ');
INSERT INTO `lang_definitions` VALUES (162649, 2509, 30, 'انتخاب کننده تاریخ');
INSERT INTO `lang_definitions` VALUES (162650, 2510, 30, 'تاریخ ارسال');
INSERT INTO `lang_definitions` VALUES (162651, 2511, 30, 'تاریخ ارسال پیام');
INSERT INTO `lang_definitions` VALUES (162652, 2512, 30, 'تاریخ ساعت');
INSERT INTO `lang_definitions` VALUES (162653, 2513, 30, 'مقادیر تاریخ نمیتواند خالی باشد.');
INSERT INTO `lang_definitions` VALUES (162654, 2514, 30, 'تاریخ ارائه VIS');
INSERT INTO `lang_definitions` VALUES (162655, 2515, 30, 'تاریخ انتشار VIS');
INSERT INTO `lang_definitions` VALUES (162656, 2516, 30, 'تاریخ/قرار ملاقات');
INSERT INTO `lang_definitions` VALUES (162657, 2517, 30, 'تاریخ/یادداشت ها');
INSERT INTO `lang_definitions` VALUES (162658, 2518, 30, 'تاریخ / یادداشت های آخرین');
INSERT INTO `lang_definitions` VALUES (162659, 2519, 30, 'تاریخ / زمان');
INSERT INTO `lang_definitions` VALUES (162660, 2520, 30, 'تاریخ:');
INSERT INTO `lang_definitions` VALUES (162661, 2522, 30, 'مورخ');
INSERT INTO `lang_definitions` VALUES (162662, 2523, 30, 'فهرست مورخ رویداد پیام ها');
INSERT INTO `lang_definitions` VALUES (162663, 2524, 30, 'یادآور های تاریخ دار');
INSERT INTO `lang_definitions` VALUES (162664, 2525, 30, 'حداکثر هشدارهای نشان داده شده برای یادآور های تاریخ دار');
INSERT INTO `lang_definitions` VALUES (162665, 2526, 30, 'روز');
INSERT INTO `lang_definitions` VALUES (162666, 2527, 30, 'روز');
INSERT INTO `lang_definitions` VALUES (162667, 2528, 30, 'روز پیش');
INSERT INTO `lang_definitions` VALUES (162668, 2529, 30, 'گزارش برگه روز');
INSERT INTO `lang_definitions` VALUES (162669, 2530, 30, 'نمای روزانه');
INSERT INTO `lang_definitions` VALUES (162670, 2531, 30, 'روز(ها)');
INSERT INTO `lang_definitions` VALUES (162671, 2532, 30, 'روز(ها)');
INSERT INTO `lang_definitions` VALUES (162672, 2533, 30, 'روزها');
INSERT INTO `lang_definitions` VALUES (162673, 2534, 30, 'روزها');
INSERT INTO `lang_definitions` VALUES (162674, 2535, 30, 'چند روز قبل');
INSERT INTO `lang_definitions` VALUES (162675, 2536, 30, 'روزها و بازی های از دست رفته');
INSERT INTO `lang_definitions` VALUES (162676, 2537, 30, 'روز از آخرین برخورد');
INSERT INTO `lang_definitions` VALUES (162677, 2538, 30, 'روزهای از دست رفته');
INSERT INTO `lang_definitions` VALUES (162678, 2539, 30, 'روزهای یکدیگر');
INSERT INTO `lang_definitions` VALUES (162679, 2540, 30, 'روزهای هفته');
INSERT INTO `lang_definitions` VALUES (162680, 2541, 30, 'تعداد روز ها در هر ستون:');
INSERT INTO `lang_definitions` VALUES (162681, 2542, 30, 'روزها / ستون');
INSERT INTO `lang_definitions` VALUES (162682, 2543, 30, 'روزها / ستون:');
INSERT INTO `lang_definitions` VALUES (162683, 2544, 30, 'پایگاه داده نصب شده است');
INSERT INTO `lang_definitions` VALUES (162684, 2545, 30, 'روز/ماه/سال');
INSERT INTO `lang_definitions` VALUES (162685, 2546, 30, 'مخفی کردن هویت');
INSERT INTO `lang_definitions` VALUES (162686, 2547, 30, 'فرآیند مخفی کردن هویت به پایان رسید');
INSERT INTO `lang_definitions` VALUES (162687, 2548, 30, 'فرآیند مخفی کردن هویت در حال اجراست');
INSERT INTO `lang_definitions` VALUES (162688, 2549, 30, 'فرآیند مخفی کردن هویت شروع شده و در پس زمینه در حال اجراست');
INSERT INTO `lang_definitions` VALUES (162689, 2550, 30, 'داده های با هویت مخفی شده ممکن است ناقص باشند');
INSERT INTO `lang_definitions` VALUES (162690, 2551, 30, 'فایل های هویت مخفی شده ذخیره شدند در');
INSERT INTO `lang_definitions` VALUES (162691, 2552, 30, 'اداره مبارزه با مواد مخدر');
INSERT INTO `lang_definitions` VALUES (162692, 2553, 30, 'شماره اداره مبارزه با مواد مخدر');
INSERT INTO `lang_definitions` VALUES (162693, 2554, 30, 'شماره اداره مبارزه با مواد مخدر');
INSERT INTO `lang_definitions` VALUES (162694, 2555, 30, 'از کار انداختن');
INSERT INTO `lang_definitions` VALUES (162695, 2556, 30, 'غیرفعال شده');
INSERT INTO `lang_definitions` VALUES (162696, 2558, 30, 'ناشنوا');
INSERT INTO `lang_definitions` VALUES (162697, 2559, 30, 'بدهی');
INSERT INTO `lang_definitions` VALUES (162698, 2562, 30, 'اطلاعات اشکال زدایی');
INSERT INTO `lang_definitions` VALUES (162699, 2563, 30, 'خروجی اشکال زدایی');
INSERT INTO `lang_definitions` VALUES (162700, 2564, 30, 'اشکال زدایی');
INSERT INTO `lang_definitions` VALUES (162701, 2565, 30, 'دسامبر');
INSERT INTO `lang_definitions` VALUES (162702, 2566, 30, 'فوت شده');
INSERT INTO `lang_definitions` VALUES (162703, 2567, 30, 'فوت شده');
INSERT INTO `lang_definitions` VALUES (162704, 2568, 30, 'فوت شده (1 روز پیش)');
INSERT INTO `lang_definitions` VALUES (162705, 2569, 30, 'فوت شده (امروز)');
INSERT INTO `lang_definitions` VALUES (162706, 2570, 30, 'تاریخ درگذشت');
INSERT INTO `lang_definitions` VALUES (162707, 2571, 30, 'تاریخ فوت نباید بیشتر از امروز باشد');
INSERT INTO `lang_definitions` VALUES (162708, 2572, 30, 'اعلان مرگ');
INSERT INTO `lang_definitions` VALUES (162709, 2573, 30, 'دلیل فوت');
INSERT INTO `lang_definitions` VALUES (162710, 2574, 30, 'دسامبر');
INSERT INTO `lang_definitions` VALUES (162711, 2575, 30, 'در مورد دسته های کد و نظمی که می خواهید ظاهر شوند تصمیم بگیرید ، این موارد روی دکمه های بخش \"انتخاب کدها\" نمایش داده می شوند');
INSERT INTO `lang_definitions` VALUES (162712, 2576, 30, 'در مورد کدهای شناسایی و کدهای استاندارد تصمیم بگیرید ، به یاد داشته باشید که کد شناسایی باید منحصر به فرد باشد تا از نمایش مناسب نتایج اطمینان حاصل شود');
INSERT INTO `lang_definitions` VALUES (162713, 2577, 30, 'تصمیم بگیرید که آیا می خواهید تست های جداگانه ای را که بخشی از یک مجموعه آزمون هستند ، سفارش دهید یا نه');
INSERT INTO `lang_definitions` VALUES (162714, 2578, 30, 'پوند اعشاری یا پوند و اونس با # از هم جدا می شوند (به عنوان مثال 5 # 4)');
INSERT INTO `lang_definitions` VALUES (162715, 2579, 30, 'از مشخص کردن خودداری شده است');
INSERT INTO `lang_definitions` VALUES (162716, 2580, 30, 'قابل کسر');
INSERT INTO `lang_definitions` VALUES (162717, 2581, 30, 'فرانشیز');
INSERT INTO `lang_definitions` VALUES (162718, 2582, 30, 'عمیق');
INSERT INTO `lang_definitions` VALUES (162719, 2583, 30, 'پیش فرض');
INSERT INTO `lang_definitions` VALUES (162720, 2584, 30, 'پیش فرض - هر کادر تأیید را علامت بزنید و این مقدار در کادر کشویی نمایش داده شده به عنوان مقدار پیش فرض نشان داده می شود');
INSERT INTO `lang_definitions` VALUES (162721, 2585, 30, 'نمای تقویم پیش فرض');
INSERT INTO `lang_definitions` VALUES (162722, 2586, 30, 'شریک واجد شرایط بودن پیش فرض X12');
INSERT INTO `lang_definitions` VALUES (162723, 2587, 30, 'شناسه فرم پیش فرض برخورد');
INSERT INTO `lang_definitions` VALUES (162724, 2588, 30, 'نمای پیش فرض برخورد');
INSERT INTO `lang_definitions` VALUES (162725, 2589, 30, 'درمانگاه پیش فرض');
INSERT INTO `lang_definitions` VALUES (162726, 2590, 30, 'فونت پیش فرض');
INSERT INTO `lang_definitions` VALUES (162727, 2591, 30, 'قلم پیش فرض (پس از تغییر این تنظیمات باید از سیستم خارج شوید / وارد شوید)');
INSERT INTO `lang_definitions` VALUES (162728, 2592, 30, 'اندازه قلم پیش فرض');
INSERT INTO `lang_definitions` VALUES (162729, 2593, 30, 'اندازه قلم پیش فرض (پس از تغییر این تنظیمات باید از سیستم خارج شوید / وارد شوید)');
INSERT INTO `lang_definitions` VALUES (162730, 2594, 30, 'زبان پیش فرض');
INSERT INTO `lang_definitions` VALUES (162731, 2595, 30, 'در صورت مجاز نبودن یا انتخاب زبان دیگر ، زبان پیش فرض انتخاب میشود.');
INSERT INTO `lang_definitions` VALUES (162732, 2596, 30, 'حاشیه چاپ پیش فرض سمت چپ برای CMS 1500');
INSERT INTO `lang_definitions` VALUES (162733, 2597, 30, 'حاشیه چاپ پیش فرض سمت چپ برای UB04');
INSERT INTO `lang_definitions` VALUES (162734, 2598, 30, 'لیست پیش فرض (نوشتن ، addonly اختیاری)');
INSERT INTO `lang_definitions` VALUES (162735, 2599, 30, 'لیست پیش فرض (نوشتن ، addonly اختیاری) (پیش فرض)');
INSERT INTO `lang_definitions` VALUES (162736, 2600, 30, 'روش پیش فرض');
INSERT INTO `lang_definitions` VALUES (162737, 2601, 30, 'تاریخ انقضای رمز عبور پیش فرض');
INSERT INTO `lang_definitions` VALUES (162738, 2602, 30, 'مدت انقضا رمز ورود پیش فرض در روز. 0 یعنی این ویژگی غیرفعال است.');
INSERT INTO `lang_definitions` VALUES (162739, 2603, 30, 'کشور پیش فرض بیمار');
INSERT INTO `lang_definitions` VALUES (162740, 2604, 30, 'کشور پیش فرض بیمار به NewCrop eRx ارسال می شود ، فقط در صورتی که کشور بیمار تنظیم نشده باشد.');
INSERT INTO `lang_definitions` VALUES (162741, 2605, 30, 'سطح پیش فرض قیمت');
INSERT INTO `lang_definitions` VALUES (162742, 2606, 30, 'اولویت پیش فرض');
INSERT INTO `lang_definitions` VALUES (162743, 2607, 30, 'ارائه دهنده پیش فرض');
INSERT INTO `lang_definitions` VALUES (162744, 2608, 30, 'ارائه دهنده پیش فرض تغییر کرد');
INSERT INTO `lang_definitions` VALUES (162745, 2609, 30, 'محدوده پیش فرض');
INSERT INTO `lang_definitions` VALUES (162746, 2610, 30, 'دلیل پیش فرض برای ملاقات');
INSERT INTO `lang_definitions` VALUES (162747, 2611, 30, 'ارائه دهنده پیش فرض رندر در برگه هزینه');
INSERT INTO `lang_definitions` VALUES (162748, 2612, 30, 'نوع کد پیش فرض جستجو');
INSERT INTO `lang_definitions` VALUES (162749, 2613, 30, 'برگه دوم پیش فرض');
INSERT INTO `lang_definitions` VALUES (162750, 2614, 30, 'انتخاب پیش فرض ارائه دهنده ارائه در برگه هزینه.');
INSERT INTO `lang_definitions` VALUES (162751, 2615, 30, 'تنظیمات پیش فرض');
INSERT INTO `lang_definitions` VALUES (162752, 2617, 30, 'حالت پیش فرض برای گزینه صفحه جدید در فهرست بیماران.');
INSERT INTO `lang_definitions` VALUES (162753, 2618, 30, 'الگوی پیش فرض');
INSERT INTO `lang_definitions` VALUES (162754, 2619, 30, 'پیش فرض ارائه دهنده مورد خط در برگ هزینه');
INSERT INTO `lang_definitions` VALUES (162755, 2620, 30, 'پیش فرض ارائه دهنده مورد خط در صفحه کارمزد. (فقط درصورت صورتحساب مورد خط پشتیبانی در گزینه بالا اعمال می شود)');
INSERT INTO `lang_definitions` VALUES (162756, 2621, 30, 'پیش فرض به مقدار قبلی');
INSERT INTO `lang_definitions` VALUES (162757, 2622, 30, 'حاشیه چاپ بالا به طور پیش فرض برای CMS 1500');
INSERT INTO `lang_definitions` VALUES (162758, 2623, 30, 'حاشیه چاپ بالا به طور پیش فرض برای UB04');
INSERT INTO `lang_definitions` VALUES (162759, 2624, 30, 'واحد های پیش فرض');
INSERT INTO `lang_definitions` VALUES (162760, 2625, 30, 'واحد های پیش فرض و محدوده به طور مناسب');
INSERT INTO `lang_definitions` VALUES (162761, 2626, 30, 'مقدار پیش فرض');
INSERT INTO `lang_definitions` VALUES (162762, 2627, 30, 'دسته بازدید پیش فرض');
INSERT INTO `lang_definitions` VALUES (162763, 2628, 30, 'انبار پیش فرض');
INSERT INTO `lang_definitions` VALUES (162764, 2629, 30, 'شریک X12 پیش فرض');
INSERT INTO `lang_definitions` VALUES (162765, 2630, 30, 'پیش فرض / جهانی');
INSERT INTO `lang_definitions` VALUES (162766, 2631, 30, 'پیش فرض: بررسی شد. هنگام علامت گذاری ، پیام ها برای بیمارانی انتخاب می شوند که گزینه دموگرافیک بیمار (تلفن / متن / ایمیل) روی غیر واگذار شده یا بله تنظیم شده است. اگر این گزینه علامت زده نشود ، فقط در صورت انتخاب دموگرافیک = بله ، می توان نوع خاصی از پیام را ارسال کرد.');
INSERT INTO `lang_definitions` VALUES (162767, 2632, 30, 'پیش فرض ها');
INSERT INTO `lang_definitions` VALUES (162768, 2633, 30, 'دسته بازدید پیش فرض را تعیین کنید');
INSERT INTO `lang_definitions` VALUES (162769, 2634, 30, 'مکان های خدمات آزمایشگاه را مشخص کنید');
INSERT INTO `lang_definitions` VALUES (162770, 2635, 30, 'حذف');
INSERT INTO `lang_definitions` VALUES (162771, 2636, 30, 'حذف');
INSERT INTO `lang_definitions` VALUES (162772, 2637, 30, 'تأخیر در عود (> 12 ماه)');
INSERT INTO `lang_definitions` VALUES (162773, 2638, 30, 'حذف');
INSERT INTO `lang_definitions` VALUES (162774, 2639, 30, 'حذف');
INSERT INTO `lang_definitions` VALUES (162775, 2640, 30, 'حذف دسته بندی ها با شناسه (ها):');
INSERT INTO `lang_definitions` VALUES (162776, 2641, 30, 'حذف دسته بندی');
INSERT INTO `lang_definitions` VALUES (162777, 2642, 30, 'حذف سند');
INSERT INTO `lang_definitions` VALUES (162778, 2643, 30, 'فرم برخورد را حذف کنید');
INSERT INTO `lang_definitions` VALUES (162779, 2644, 30, 'حذف ناموفق بود!');
INSERT INTO `lang_definitions` VALUES (162780, 2645, 30, 'حذف گروه');
INSERT INTO `lang_definitions` VALUES (162781, 2646, 30, 'حذف لیست');
INSERT INTO `lang_definitions` VALUES (162782, 2647, 30, 'فعالیت پورتال در سایت را حذف کنید');
INSERT INTO `lang_definitions` VALUES (162783, 2648, 30, 'حذف صفحات');
INSERT INTO `lang_definitions` VALUES (162784, 2649, 30, 'بیمار ، برخورد ، فرم ، شماره ، سند ، پرداخت ، صورتحساب یا معامله را حذف کنید');
INSERT INTO `lang_definitions` VALUES (162785, 2650, 30, 'حذف طرح');
INSERT INTO `lang_definitions` VALUES (162786, 2651, 30, 'حذف سطر');
INSERT INTO `lang_definitions` VALUES (162787, 2652, 30, 'حذف اقلام انتخاب شده');
INSERT INTO `lang_definitions` VALUES (162788, 2653, 30, 'درخواستهای انتخاب شده را حذف کنید');
INSERT INTO `lang_definitions` VALUES (162789, 2654, 30, 'حذف موفقیت آمیز است');
INSERT INTO `lang_definitions` VALUES (162790, 2655, 30, 'حذف موفقیت آمیز بود.');
INSERT INTO `lang_definitions` VALUES (162791, 2656, 30, 'این سند را حذف کنید');
INSERT INTO `lang_definitions` VALUES (162792, 2657, 30, 'این فرم را حذف کنید');
INSERT INTO `lang_definitions` VALUES (162793, 2658, 30, 'این پیام را حذف کنید');
INSERT INTO `lang_definitions` VALUES (162794, 2659, 30, 'این یادداشت را حذف کنید');
INSERT INTO `lang_definitions` VALUES (162795, 2660, 30, 'با موفقیت حذف شد');
INSERT INTO `lang_definitions` VALUES (162796, 2661, 30, 'با موفقیت حذف شد.');
INSERT INTO `lang_definitions` VALUES (162797, 2662, 30, 'در حال حذف شدن');
INSERT INTO `lang_definitions` VALUES (162798, 2663, 30, 'حذف این رویداد قابل واگرد نیست. پس از از بین رفتن قابل بازیابی نیست. آیا مطمئن هستید که می خواهید این رویداد را حذف کنید؟');
INSERT INTO `lang_definitions` VALUES (162799, 2664, 30, 'حذف انجام نشد زیرا گروه قرار ملاقات ها یا برخوردهایی دارد');
INSERT INTO `lang_definitions` VALUES (162800, 2665, 30, 'تحویل داده شده');
INSERT INTO `lang_definitions` VALUES (162801, 2666, 30, 'تحویل تأیید شد');
INSERT INTO `lang_definitions` VALUES (162802, 2667, 30, 'تحویل به آدرس مستقیم مشخص شده مجاز نیست.');
INSERT INTO `lang_definitions` VALUES (162803, 2668, 30, 'در حال حاضر تحویل به آدرس مستقیم مشخص مجاز نیست.');
INSERT INTO `lang_definitions` VALUES (162804, 2669, 30, 'تحویل سند بالینی پیوست شده توسط بیمار درخواست شده است');
INSERT INTO `lang_definitions` VALUES (162805, 2670, 30, 'Delivery of the attached clinical document was requested by the patient.');
INSERT INTO `lang_definitions` VALUES (162806, 2671, 30, 'زوال عقل');
INSERT INTO `lang_definitions` VALUES (162807, 2672, 30, 'تغییرات جمعیتی ایجاد شده در اینجا در کل سیستم ثبت شده است');
INSERT INTO `lang_definitions` VALUES (162808, 2673, 30, 'آمار دموگرافیک');
INSERT INTO `lang_definitions` VALUES (162809, 2674, 30, 'آمار دموگرافیک (نوشتن، اضافه کردن تنها اختیاری است)');
INSERT INTO `lang_definitions` VALUES (162810, 2675, 30, 'آمار دموگرافیک (نوشتن، اضافه کردن تنها اختیاری است) (دمو)');
INSERT INTO `lang_definitions` VALUES (162811, 2676, 30, 'اطلاعات جمعیتی - اطلاعات جمعیتی بیمار و اطلاعات بیمه');
INSERT INTO `lang_definitions` VALUES (162812, 2677, 30, 'زمینه های جمعیتی');
INSERT INTO `lang_definitions` VALUES (162813, 2678, 30, 'ضوابط فیلتر آمار دموگرافیک');
INSERT INTO `lang_definitions` VALUES (162814, 2679, 30, 'دموگرافیک قرمز رنگ: مقادیر نمودار شده. آبی: ویرایش های بیمارافسانه نمودار');
INSERT INTO `lang_definitions` VALUES (162815, 2680, 30, 'آمار دموگرافیک مجاز نیست');
INSERT INTO `lang_definitions` VALUES (162816, 2681, 30, 'آمار دموگرافیک مجاز نیست.');
INSERT INTO `lang_definitions` VALUES (162817, 2682, 30, 'رد شد');
INSERT INTO `lang_definitions` VALUES (162818, 2683, 30, 'انکار می کند');
INSERT INTO `lang_definitions` VALUES (162819, 2684, 30, 'مخرج');
INSERT INTO `lang_definitions` VALUES (162820, 2685, 30, 'استثنا مخرج');
INSERT INTO `lang_definitions` VALUES (162821, 2686, 30, 'محرومیت مخرج');
INSERT INTO `lang_definitions` VALUES (162822, 2687, 30, 'دندانپزشکی');
INSERT INTO `lang_definitions` VALUES (162823, 2688, 30, 'لیست شماره دندانپزشکی');
INSERT INTO `lang_definitions` VALUES (162824, 2689, 30, 'مسائل مربوط به دندانپزشکی');
INSERT INTO `lang_definitions` VALUES (162825, 2690, 30, 'تاریخ افسردگی');
INSERT INTO `lang_definitions` VALUES (162826, 2691, 30, 'ماژول های وابسته');
INSERT INTO `lang_definitions` VALUES (162827, 2692, 30, 'مشکل وابستگی');
INSERT INTO `lang_definitions` VALUES (162828, 2693, 30, 'بسته به سطح دسترسی شما می توانید تراکنش را مشاهده یا ویرایش کنید');
INSERT INTO `lang_definitions` VALUES (162829, 2694, 30, 'بسته به نوع صورتحسابی که در حال آزمایش هستید ، HCFA مانند خروجی را در یک صفحه خالی برای صورتحساب های HCFA مشاهده خواهید کرد ، در صورت آزمایش ادعای X12 ، تعداد زیادی متن و متن تا حدودی مبهم را مشاهده خواهید کرد. این متن مبهم قالب X12 EDI 4010A است. گاهی اوقات کاراکترهای عجیب و غریب را مشاهده می کنید که شبیه دومینو یا عصا هستند ، اینها شخصیت های کنترلی مانند فیدهای صفحه هستند و طبیعی هستند.');
INSERT INTO `lang_definitions` VALUES (162830, 2695, 30, 'بسته به فعال بودن یا نبودن ماژول NewCrop eRx روش ورود متفاوت خواهد بود');
INSERT INTO `lang_definitions` VALUES (162831, 2696, 30, 'تاریخ واریز');
INSERT INTO `lang_definitions` VALUES (162832, 2697, 30, 'تاریخ واریز نمی تواند بزرگتر از امروز باشد');
INSERT INTO `lang_definitions` VALUES (162833, 2698, 30, 'تاریخ واریز:');
INSERT INTO `lang_definitions` VALUES (162834, 2699, 30, 'افسرده');
INSERT INTO `lang_definitions` VALUES (162835, 2700, 30, 'افسردگی');
INSERT INTO `lang_definitions` VALUES (162836, 2701, 30, 'بخش');
INSERT INTO `lang_definitions` VALUES (162837, 2702, 30, 'پوست');
INSERT INTO `lang_definitions` VALUES (162838, 2703, 30, 'پوستی');
INSERT INTO `lang_definitions` VALUES (162839, 2704, 30, 'پوست');
INSERT INTO `lang_definitions` VALUES (162840, 2705, 30, 'نزولی');
INSERT INTO `lang_definitions` VALUES (162841, 2706, 30, 'شرح');
INSERT INTO `lang_definitions` VALUES (162842, 2707, 30, 'شرح');
INSERT INTO `lang_definitions` VALUES (162843, 2708, 30, 'شرح متن پیش فرض است');
INSERT INTO `lang_definitions` VALUES (162844, 2709, 30, 'شرح افشاء نامه');
INSERT INTO `lang_definitions` VALUES (162845, 2710, 30, 'شرح این روش یا کد نتیجه');
INSERT INTO `lang_definitions` VALUES (162846, 2711, 30, 'ترجمه شرح');
INSERT INTO `lang_definitions` VALUES (162847, 2712, 30, 'نام پرونده مورد نظر');
INSERT INTO `lang_definitions` VALUES (162848, 2713, 30, 'مقصد');
INSERT INTO `lang_definitions` VALUES (162849, 2714, 30, 'نام فایل مقصد');
INSERT INTO `lang_definitions` VALUES (162850, 2716, 30, 'نابود کردن قطعه');
INSERT INTO `lang_definitions` VALUES (162851, 2717, 30, 'نابود کردن ...');
INSERT INTO `lang_definitions` VALUES (162852, 2718, 30, 'نابود شده');
INSERT INTO `lang_definitions` VALUES (162853, 2719, 30, 'مواد مخدر نابود شده');
INSERT INTO `lang_definitions` VALUES (162854, 2720, 30, 'گزارش مواد مخدر نابود شده');
INSERT INTO `lang_definitions` VALUES (162855, 2721, 30, 'جزئیات');
INSERT INTO `lang_definitions` VALUES (162856, 2722, 30, 'جزئیات گروه با موفقیت ذخیره شد');
INSERT INTO `lang_definitions` VALUES (162857, 2723, 30, 'معاینه دقیق');
INSERT INTO `lang_definitions` VALUES (162858, 2724, 30, 'HPI با جزئیات');
INSERT INTO `lang_definitions` VALUES (162859, 2725, 30, 'اطلاعات دقیق در مورد نحوه تنظیم و عیب یابی پیام های phiMail در اینجا موجود است');
INSERT INTO `lang_definitions` VALUES (162860, 2726, 30, 'جزئیات');
INSERT INTO `lang_definitions` VALUES (162861, 2727, 30, 'توسعه دهنده');
INSERT INTO `lang_definitions` VALUES (162862, 2728, 30, 'ناهنجاری رشد');
INSERT INTO `lang_definitions` VALUES (162863, 2729, 30, 'انحراف');
INSERT INTO `lang_definitions` VALUES (162864, 2730, 30, 'دیابت');
INSERT INTO `lang_definitions` VALUES (162865, 2731, 30, 'مرض قند');
INSERT INTO `lang_definitions` VALUES (162866, 2732, 30, 'دیابت: مدیریت فشار خون (CQM)');
INSERT INTO `lang_definitions` VALUES (162867, 2733, 30, 'دیابت: معاینه چشم');
INSERT INTO `lang_definitions` VALUES (162868, 2734, 30, 'دیابت: معاینه چشم (CQM)');
INSERT INTO `lang_definitions` VALUES (162869, 2735, 30, 'دیابت: معاینه پا');
INSERT INTO `lang_definitions` VALUES (162870, 2736, 30, 'دیابت: معاینه پا (CQM)');
INSERT INTO `lang_definitions` VALUES (162871, 2737, 30, 'دیابت: کنترل ضعیف HbA1c');
INSERT INTO `lang_definitions` VALUES (162872, 2738, 30, 'دیابت: هموگلوبین A1C');
INSERT INTO `lang_definitions` VALUES (162873, 2739, 30, 'دیابت: مدیریت و کنترل LDL');
INSERT INTO `lang_definitions` VALUES (162874, 2740, 30, 'دیابت: میکروآلبومین ادرار');
INSERT INTO `lang_definitions` VALUES (162875, 2741, 30, 'تشخیص');
INSERT INTO `lang_definitions` VALUES (162876, 2742, 30, 'تشخیص ها');
INSERT INTO `lang_definitions` VALUES (162877, 2743, 30, 'تشخیص');
INSERT INTO `lang_definitions` VALUES (162878, 2744, 30, 'کد تشخیص');
INSERT INTO `lang_definitions` VALUES (162879, 2745, 30, 'کدهای تشخیص');
INSERT INTO `lang_definitions` VALUES (162880, 2747, 30, 'تاریخ تشخیص');
INSERT INTO `lang_definitions` VALUES (162881, 2748, 30, 'توضیحات تشخیص');
INSERT INTO `lang_definitions` VALUES (162882, 2749, 30, 'تشخیص باید با یک برخورد مرتبط کدگذاری شود');
INSERT INTO `lang_definitions` VALUES (162883, 2750, 30, 'نام تشخیص');
INSERT INTO `lang_definitions` VALUES (162884, 2751, 30, 'گزارش تشخیص');
INSERT INTO `lang_definitions` VALUES (162885, 2752, 30, 'گزارشگری تشخیص');
INSERT INTO `lang_definitions` VALUES (162886, 2753, 30, 'فقط گزارشگری تشخیص');
INSERT INTO `lang_definitions` VALUES (162887, 2754, 30, 'عنوان تشخیص');
INSERT INTO `lang_definitions` VALUES (162888, 2755, 30, 'تشخیص:');
INSERT INTO `lang_definitions` VALUES (162889, 2756, 30, 'تشخیص:');
INSERT INTO `lang_definitions` VALUES (162890, 2757, 30, 'تشخیص');
INSERT INTO `lang_definitions` VALUES (162891, 2758, 30, 'تست های تشخیصی:');
INSERT INTO `lang_definitions` VALUES (162892, 2760, 30, 'شماره گیری');
INSERT INTO `lang_definitions` VALUES (162893, 2761, 30, 'قطر');
INSERT INTO `lang_definitions` VALUES (162894, 2762, 30, 'قطر');
INSERT INTO `lang_definitions` VALUES (162895, 2763, 30, 'دیافراگم / کلاهک');
INSERT INTO `lang_definitions` VALUES (162896, 2764, 30, 'اسهال');
INSERT INTO `lang_definitions` VALUES (162897, 2765, 30, 'دیاستولیک');
INSERT INTO `lang_definitions` VALUES (162898, 2767, 30, 'دیکته کردن');
INSERT INTO `lang_definitions` VALUES (162899, 2768, 30, 'دیکته کردن:');
INSERT INTO `lang_definitions` VALUES (162900, 2769, 30, 'آیا کپی اطلاعیه HIPAA را دریافت کردید؟');
INSERT INTO `lang_definitions` VALUES (162901, 2770, 30, 'پراکنده:');
INSERT INTO `lang_definitions` VALUES (162902, 2771, 30, 'امضا شده دیجیتالی');
INSERT INTO `lang_definitions` VALUES (162903, 2772, 30, 'گشاد شده با');
INSERT INTO `lang_definitions` VALUES (162904, 2774, 30, 'دستورات / خطرات اتساع بررسی شد');
INSERT INTO `lang_definitions` VALUES (162905, 2776, 30, 'کم نور');
INSERT INTO `lang_definitions` VALUES (162906, 2777, 30, 'مستقیم');
INSERT INTO `lang_definitions` VALUES (162907, 2778, 30, 'آدرس مستقیم');
INSERT INTO `lang_definitions` VALUES (162908, 2779, 30, 'آدرس مستقیم');
INSERT INTO `lang_definitions` VALUES (162909, 2780, 30, 'ایمیل مستقیم');
INSERT INTO `lang_definitions` VALUES (162910, 2781, 30, 'پست مستقیم');
INSERT INTO `lang_definitions` VALUES (162911, 2782, 30, 'گزارش پیام مستقیم');
INSERT INTO `lang_definitions` VALUES (162912, 2783, 30, 'پیام مستقیم دریافت شد');
INSERT INTO `lang_definitions` VALUES (162913, 2784, 30, 'پیام رسانی مستقیم در حال حاضر در دسترس نیست.');
INSERT INTO `lang_definitions` VALUES (162914, 2785, 30, 'پیام رسانی مستقیم ارسال نشد.');
INSERT INTO `lang_definitions` VALUES (162915, 2786, 30, 'دستورالعمل ها');
INSERT INTO `lang_definitions` VALUES (162916, 2787, 30, 'نام مدیر');
INSERT INTO `lang_definitions` VALUES (162917, 2788, 30, 'حذف دایرکتوری انجام نشد. در حال ادامه دادن');
INSERT INTO `lang_definitions` VALUES (162918, 2789, 30, 'معلولیت');
INSERT INTO `lang_definitions` VALUES (162919, 2790, 30, 'غیرفعال کردن');
INSERT INTO `lang_definitions` VALUES (162920, 2791, 30, 'محاسبه تنظیم خودکار در ارسال EOB را غیرفعال کنید');
INSERT INTO `lang_definitions` VALUES (162921, 2792, 30, 'تنظیمات خودکار را غیرفعال کنید');
INSERT INTO `lang_definitions` VALUES (162922, 2793, 30, 'محاسبه خودکار تنظیمات موجودی برای ارسال فاکتور را غیرفعال کنید');
INSERT INTO `lang_definitions` VALUES (162923, 2794, 30, 'غیر فعال کردن تقویم');
INSERT INTO `lang_definitions` VALUES (162924, 2795, 30, 'غیرفعال کردن ردیاب نمودار');
INSERT INTO `lang_definitions` VALUES (162925, 2797, 30, 'غیر فعال کردن راهنمای مودال');
INSERT INTO `lang_definitions` VALUES (162926, 2798, 30, 'غیر فعال کردن واکسیناسیون');
INSERT INTO `lang_definitions` VALUES (162927, 2799, 30, 'غیرفعال کردن دانلود گزارشات واجد شرایط بودن بیمه');
INSERT INTO `lang_definitions` VALUES (162928, 2800, 30, 'غیر فعال کردن فرم قدیمی علائم حیاتی به سیستم متری');
INSERT INTO `lang_definitions` VALUES (162929, 2801, 30, 'غیر فعال کردن صفحه فلوچارت بیمار');
INSERT INTO `lang_definitions` VALUES (162930, 2802, 30, 'غیر فعال کردن phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (162931, 2803, 30, 'غیر فعال کردن نسخه ها');
INSERT INTO `lang_definitions` VALUES (162932, 2804, 30, 'غیر فعال کردن گروه های کاربری');
INSERT INTO `lang_definitions` VALUES (162933, 2805, 30, 'از کار افتاده');
INSERT INTO `lang_definitions` VALUES (162934, 2806, 30, 'از کار افتاده');
INSERT INTO `lang_definitions` VALUES (162935, 2807, 30, 'ذینفع معلول زیر 65 سال با برنامه بهداشت گروه بزرگ (LGHP)');
INSERT INTO `lang_definitions` VALUES (162936, 2809, 30, 'غیرفعال کردن بررسی خودکار اگر کنترل پیام از طریق سازوکار دیگری مانند سیستم cron job مدیریت شود ، مناسب خواهد بود');
INSERT INTO `lang_definitions` VALUES (162937, 2810, 30, 'معایب آن هزینه دستگاه ، احتمال اتلاف و تمام شدن شارژ باتری است');
INSERT INTO `lang_definitions` VALUES (162938, 2811, 30, 'دیسک');
INSERT INTO `lang_definitions` VALUES (162939, 2812, 30, 'دیسک');
INSERT INTO `lang_definitions` VALUES (162940, 2813, 30, 'دور انداختن');
INSERT INTO `lang_definitions` VALUES (162941, 2814, 30, 'کنار گذاشته شد');
INSERT INTO `lang_definitions` VALUES (162942, 2815, 30, 'تخلیه');
INSERT INTO `lang_definitions` VALUES (162943, 2816, 30, 'تخلیه از مجرای ادرار');
INSERT INTO `lang_definitions` VALUES (162944, 2817, 30, 'داروهای ترخیص');
INSERT INTO `lang_definitions` VALUES (162945, 2818, 30, 'حق ترخیص');
INSERT INTO `lang_definitions` VALUES (162946, 2819, 30, 'حق ترخیص:');
INSERT INTO `lang_definitions` VALUES (162947, 2820, 30, 'خلاصه ترخیص');
INSERT INTO `lang_definitions` VALUES (162948, 2821, 30, 'خلاصه ترخیص - 2009');
INSERT INTO `lang_definitions` VALUES (162949, 2822, 30, 'زمان ترخیص');
INSERT INTO `lang_definitions` VALUES (162950, 2823, 30, 'مرخص شده');
INSERT INTO `lang_definitions` VALUES (162951, 2825, 30, 'اطلاعات افشای اطلاعات');
INSERT INTO `lang_definitions` VALUES (162952, 2826, 30, 'نوع افشاء');
INSERT INTO `lang_definitions` VALUES (162953, 2827, 30, 'انواع افشاء');
INSERT INTO `lang_definitions` VALUES (162954, 2828, 30, 'افشای اطلاعات');
INSERT INTO `lang_definitions` VALUES (162955, 2829, 30, 'افشای اطلاعات (نوشتن ، addonly اختیاری)');
INSERT INTO `lang_definitions` VALUES (162956, 2830, 30, 'افشای اطلاعات (نوشتن ، addonly اختیاری) (افشا)');
INSERT INTO `lang_definitions` VALUES (162957, 2831, 30, 'افشای اطلاعات - افشای اطلاعاتی که برای انجام اقدامات درمانی ، پرداختی و مراقبت های بهداشتی با تاریخ ، زمان ، شناسایی بیمار (نام یا شماره) ، شناسه کاربر (نام یا شماره) و شرح افشای اطلاعات ثبت شده است.');
INSERT INTO `lang_definitions` VALUES (162958, 2832, 30, 'قطع');
INSERT INTO `lang_definitions` VALUES (162959, 2833, 30, 'تخفیف');
INSERT INTO `lang_definitions` VALUES (162960, 2834, 30, 'مبلغ تخفیف');
INSERT INTO `lang_definitions` VALUES (162961, 2835, 30, 'سطح تخفیف');
INSERT INTO `lang_definitions` VALUES (162962, 2836, 30, 'درصد تخفیف');
INSERT INTO `lang_definitions` VALUES (162963, 2837, 30, 'تخفیف به صورت مبلغ پولی');
INSERT INTO `lang_definitions` VALUES (162964, 2838, 30, 'میزان تخفیف در زمان مرخص شدن بیمار با درج مبلغ وارد شود، نه به صورت درصد.');
INSERT INTO `lang_definitions` VALUES (162965, 2839, 30, 'نتیجه گسسته');
INSERT INTO `lang_definitions` VALUES (162966, 2840, 30, 'نتایج گسسته - برای ورود دستی مقادیر نتیجه برگشتی');
INSERT INTO `lang_definitions` VALUES (162967, 2841, 30, 'بیماری');
INSERT INTO `lang_definitions` VALUES (162968, 2842, 30, 'بیماری با مصونیت فرض شده');
INSERT INTO `lang_definitions` VALUES (162969, 2843, 30, 'دررفتگی');
INSERT INTO `lang_definitions` VALUES (162970, 2844, 30, 'رد کردن');
INSERT INTO `lang_definitions` VALUES (162971, 2846, 30, 'پنهانکردن راهنما');
INSERT INTO `lang_definitions` VALUES (162972, 2847, 30, 'نمایشگر #');
INSERT INTO `lang_definitions` VALUES (162973, 2848, 30, 'اعزام');
INSERT INTO `lang_definitions` VALUES (162974, 2849, 30, 'اعزام سند دریافتی');
INSERT INTO `lang_definitions` VALUES (162975, 2850, 30, 'توزیع Rx');
INSERT INTO `lang_definitions` VALUES (162976, 2851, 30, 'توزیع این Rx');
INSERT INTO `lang_definitions` VALUES (162977, 2852, 30, 'توزیع این Rx');
INSERT INTO `lang_definitions` VALUES (162978, 2853, 30, 'توزیع');
INSERT INTO `lang_definitions` VALUES (162979, 2854, 30, 'نمایش دادن');
INSERT INTO `lang_definitions` VALUES (162980, 2855, 30, 'نمایش اندازه گیری های اضافی');
INSERT INTO `lang_definitions` VALUES (162981, 2856, 30, 'نمایش دستورات پیشاپیش در صفحه اطلاعات دموگرافیک.');
INSERT INTO `lang_definitions` VALUES (162982, 2857, 30, 'فقط نمایش خطاهای برنامه');
INSERT INTO `lang_definitions` VALUES (162983, 2858, 30, 'نمایش اسناد');
INSERT INTO `lang_definitions` VALUES (162984, 2859, 30, 'نمایش تاریخ رویداد در بلوک؟');
INSERT INTO `lang_definitions` VALUES (162985, 2860, 30, 'قالب نمایش ایالات متحده برای وزن ها');
INSERT INTO `lang_definitions` VALUES (162986, 2861, 30, 'نمایش تعداد رویدادها؟');
INSERT INTO `lang_definitions` VALUES (162987, 2862, 30, 'نمایش شماره فاکتور یا نام بیمار را در گزارش رسید نقدی');
INSERT INTO `lang_definitions` VALUES (162988, 2863, 30, 'نمایش شماره فاکتور یا نام بیمار یا هر دو را در گزارش فروش');
INSERT INTO `lang_definitions` VALUES (162989, 2865, 30, 'نمایش مکان در بلوک؟');
INSERT INTO `lang_definitions` VALUES (162990, 2866, 30, 'نمایش نام');
INSERT INTO `lang_definitions` VALUES (162991, 2867, 30, 'نمایش پنل Autorefraction');
INSERT INTO `lang_definitions` VALUES (162992, 2868, 30, 'نمایش تقویم؟');
INSERT INTO `lang_definitions` VALUES (162993, 2869, 30, 'نمایش پنل لنز طبی');
INSERT INTO `lang_definitions` VALUES (162994, 2870, 30, 'نمایش یادداشت صورتحساب برخورد یا یادداشت صورتحساب بیمار یا هر دو را در صفحه صورتحساب.');
INSERT INTO `lang_definitions` VALUES (162995, 2871, 30, 'نمایش پنل معاینه چشم دستی');
INSERT INTO `lang_definitions` VALUES (162996, 2872, 30, 'نمایش عینک فعلی بیمار');
INSERT INTO `lang_definitions` VALUES (162997, 2873, 30, 'نمایش ویجت قرار ملاقات مکرر را در خلاصه بیمار.');
INSERT INTO `lang_definitions` VALUES (162998, 2874, 30, 'نمایش ستون واحدها را در صفحه صورتحساب');
INSERT INTO `lang_definitions` VALUES (162999, 2875, 30, 'نمایش حوادث امروز در بلوک؟');
INSERT INTO `lang_definitions` VALUES (163000, 2876, 30, 'نمایش موضوع در بلوک؟');
INSERT INTO `lang_definitions` VALUES (163001, 2877, 30, 'نمایش رویدادهای آینده در بلوک؟');
INSERT INTO `lang_definitions` VALUES (163002, 2878, 30, 'فقط نمایش خطاهای ویندوز');
INSERT INTO `lang_definitions` VALUES (163003, 2879, 30, 'ستون نمایش داده شده');
INSERT INTO `lang_definitions` VALUES (163004, 2880, 30, 'نمایش این تعداد از افشاگریهای اخیر:');
INSERT INTO `lang_definitions` VALUES (163005, 2881, 30, 'نمایش این تعداد از پیام های اخیر:');
INSERT INTO `lang_definitions` VALUES (163006, 2882, 30, 'نمایش این تعداد از یادداشت های اخیر');
INSERT INTO `lang_definitions` VALUES (163007, 2883, 30, 'نمایش این تعداد از یادداشت های اخیر:');
INSERT INTO `lang_definitions` VALUES (163008, 2884, 30, 'فاصله');
INSERT INTO `lang_definitions` VALUES (163009, 2885, 30, 'فاصله از بالای پاکت به میلی متر');
INSERT INTO `lang_definitions` VALUES (163010, 2886, 30, 'فاصله از سمت راست ترین لبه پاکت در حالت عمودی به میلی متر');
INSERT INTO `lang_definitions` VALUES (163011, 2887, 30, 'توزیع');
INSERT INTO `lang_definitions` VALUES (163012, 2890, 30, 'توزیع');
INSERT INTO `lang_definitions` VALUES (163013, 2891, 30, 'توزیع ها');
INSERT INTO `lang_definitions` VALUES (163014, 2892, 30, 'توزیع کننده');
INSERT INTO `lang_definitions` VALUES (163015, 2893, 30, 'فاصله');
INSERT INTO `lang_definitions` VALUES (163016, 2894, 30, 'ذیوهی مالدیوی');
INSERT INTO `lang_definitions` VALUES (163017, 2895, 30, 'واگرایی');
INSERT INTO `lang_definitions` VALUES (163018, 2896, 30, 'آمپر واگرایی');
INSERT INTO `lang_definitions` VALUES (163019, 2897, 30, 'دیورتیکولیت');
INSERT INTO `lang_definitions` VALUES (163020, 2898, 30, 'جراحی دیورتیکولیت');
INSERT INTO `lang_definitions` VALUES (163021, 2899, 30, 'دیورتیکولیت');
INSERT INTO `lang_definitions` VALUES (163022, 2900, 30, 'جراحی دیورتیکولیت');
INSERT INTO `lang_definitions` VALUES (163023, 2901, 30, 'طلاق گرفته');
INSERT INTO `lang_definitions` VALUES (163024, 2902, 30, 'سرگیجه:');
INSERT INTO `lang_definitions` VALUES (163025, 2903, 30, 'دانلود گزارش گزارش صلاحیت بیمه را مجاز نکنید');
INSERT INTO `lang_definitions` VALUES (163026, 2904, 30, 'اجازه ندادن نمایش خروجی دستورات SQL به صفحه نمایش.');
INSERT INTO `lang_definitions` VALUES (163027, 2905, 30, 'تغییر ندهید');
INSERT INTO `lang_definitions` VALUES (163028, 2906, 30, 'آلرژی های آپلود شده را پس از بازدید از NewCrop eRx نمایش ندهید.');
INSERT INTO `lang_definitions` VALUES (163029, 2907, 30, 'آلرژی ارسال شده به NewCrop را نمایش ندهید');
INSERT INTO `lang_definitions` VALUES (163030, 2908, 30, 'داروهای آپلود شده را پس از مراجعه به NewCrop eRx نمایش ندهید.');
INSERT INTO `lang_definitions` VALUES (163031, 2909, 30, 'داروهای ارسال شده به NewCrop را نمایش ندهید');
INSERT INTO `lang_definitions` VALUES (163032, 2910, 30, 'آلرژی آپلود شده در NewCrop eRx را نمایش ندهید');
INSERT INTO `lang_definitions` VALUES (163033, 2911, 30, 'داروهای بارگذاری شده در NewCrop eRx نمایش داده نشود');
INSERT INTO `lang_definitions` VALUES (163034, 2912, 30, 'تقویم نمایش داده نشود.');
INSERT INTO `lang_definitions` VALUES (163035, 2913, 30, 'صفحه فلوچارت بیمار را نمایش ندهید.');
INSERT INTO `lang_definitions` VALUES (163036, 2914, 30, 'صفحه فراخوان را نمایش ندهید.');
INSERT INTO `lang_definitions` VALUES (163037, 2915, 30, 'آدرس URL سرور را در نوار آدرس مرورگر خود وارد نکنید ، زیرا این کار نمی کند');
INSERT INTO `lang_definitions` VALUES (163038, 2916, 30, 'از انبار کردن و فروش کالا خودداری کنید');
INSERT INTO `lang_definitions` VALUES (163039, 2917, 30, 'نمیدونم چیکار کنم!');
INSERT INTO `lang_definitions` VALUES (163040, 2918, 30, 'چاپ نکنید');
INSERT INTO `lang_definitions` VALUES (163041, 2919, 30, 'ملزوم نکنید که یادداشت های بیمار مجاز شود');
INSERT INTO `lang_definitions` VALUES (163042, 2920, 30, 'سفارش را احیا نکنید');
INSERT INTO `lang_definitions` VALUES (163043, 2921, 30, 'ذخیره نکنید');
INSERT INTO `lang_definitions` VALUES (163044, 2922, 30, 'جایگزین نکنید');
INSERT INTO `lang_definitions` VALUES (163045, 2923, 30, 'از آپوستروف ایمن استفاده نکنید');
INSERT INTO `lang_definitions` VALUES (163046, 2925, 30, 'کاری انجام ندهید');
INSERT INTO `lang_definitions` VALUES (163047, 2926, 30, 'آیا واقعاً می خواهید انبار را تغییر دهید؟');
INSERT INTO `lang_definitions` VALUES (163048, 2928, 30, 'آیا واقعاً می خواهید ادامه دهید');
INSERT INTO `lang_definitions` VALUES (163049, 2929, 30, 'آیا واقعا می خواهید حذف کنید');
INSERT INTO `lang_definitions` VALUES (163050, 2930, 30, 'آیا واقعاً می خواهید انتخاب شده را حذف کنید؟');
INSERT INTO `lang_definitions` VALUES (163051, 2931, 30, 'آیا واقعا می خواهید این گروه را حذف کنید');
INSERT INTO `lang_definitions` VALUES (163052, 2932, 30, 'آیا واقعاً می خواهید حذف کنید؟');
INSERT INTO `lang_definitions` VALUES (163053, 2934, 30, 'آیا می خواهید ادامه دهید؟');
INSERT INTO `lang_definitions` VALUES (163054, 2935, 30, 'آیا می خواهید این را حذف کنید؟');
INSERT INTO `lang_definitions` VALUES (163055, 2936, 30, 'آیا می خواهید حذف کنید؟');
INSERT INTO `lang_definitions` VALUES (163056, 2937, 30, 'آیا می خواهید این رکورد را حذف کنید؟');
INSERT INTO `lang_definitions` VALUES (163057, 2938, 30, 'آیا میخواهید به اضافه کردن این بیمار جدید ادامه دهید؟');
INSERT INTO `lang_definitions` VALUES (163058, 2939, 30, 'آیا میخواهید با این نام جدید ادامه دهید؟');
INSERT INTO `lang_definitions` VALUES (163059, 2940, 30, 'آیا می خواهید این سابقه واکسیناسیون را برای همیشه حذف کنید؟');
INSERT INTO `lang_definitions` VALUES (163060, 2941, 30, 'تاریخ تولد');
INSERT INTO `lang_definitions` VALUES (163061, 2942, 30, 'تاریخ تولد قید نشده، لطفا در صورت امکان وارد نمایید');
INSERT INTO `lang_definitions` VALUES (163062, 2943, 30, 'شناسه سند');
INSERT INTO `lang_definitions` VALUES (163063, 2944, 30, 'اسناد');
INSERT INTO `lang_definitions` VALUES (163064, 2945, 30, 'دکتر');
INSERT INTO `lang_definitions` VALUES (163065, 2946, 30, 'دکتر:');
INSERT INTO `lang_definitions` VALUES (163066, 2947, 30, 'نام و امضای دکتر');
INSERT INTO `lang_definitions` VALUES (163067, 2948, 30, 'سند');
INSERT INTO `lang_definitions` VALUES (163068, 2949, 30, 'سند');
INSERT INTO `lang_definitions` VALUES (163069, 2950, 30, 'سند 3 و وضعیت آنها برای رسیدن به سطح دقیق HPI');
INSERT INTO `lang_definitions` VALUES (163070, 2951, 30, 'دسته بندی های اسناد');
INSERT INTO `lang_definitions` VALUES (163071, 2952, 30, 'دسته سند برای نتایج آزمایشگاه وجود ندارد');
INSERT INTO `lang_definitions` VALUES (163072, 2953, 30, 'نام دسته سند برای ذخیره نتایج آزمایشگاهی الکترونیکی دریافت شده .');
INSERT INTO `lang_definitions` VALUES (163073, 2954, 30, 'نام دسته سند برای ذخیره اسناد مدیریت اسناد پزشکی الکترونیکی دریافت شده.');
INSERT INTO `lang_definitions` VALUES (163074, 2955, 30, 'دسته سند یا کنار گذاشتن');
INSERT INTO `lang_definitions` VALUES (163075, 2957, 30, 'مستندات بالینی را در قالب کوتاه نوشتار ثبت کنید');
INSERT INTO `lang_definitions` VALUES (163076, 2958, 30, 'سند به شناسه بیمار منتقل نمی شود');
INSERT INTO `lang_definitions` VALUES (163077, 2959, 30, 'سند ایجاد شد');
INSERT INTO `lang_definitions` VALUES (163078, 2960, 30, 'تاریخ سند');
INSERT INTO `lang_definitions` VALUES (163079, 2961, 30, 'تاریخ و مسئله سند با موفقیت به روز شد');
INSERT INTO `lang_definitions` VALUES (163080, 2962, 30, 'شناسه سند');
INSERT INTO `lang_definitions` VALUES (163081, 2963, 30, 'اطلاعات شناسایی سند');
INSERT INTO `lang_definitions` VALUES (163082, 2964, 30, 'کتابخانه اسناد');
INSERT INTO `lang_definitions` VALUES (163083, 2965, 30, 'سند به دسته بندی جدید نقل مکان کرد');
INSERT INTO `lang_definitions` VALUES (163084, 2966, 30, 'سند به شناسه بیمار نقل مکان کرد');
INSERT INTO `lang_definitions` VALUES (163085, 2967, 30, 'درستی‌ فایل تصدیق شد.');
INSERT INTO `lang_definitions` VALUES (163086, 2968, 30, 'درستی‌ فایل تصدیق شد.');
INSERT INTO `lang_definitions` VALUES (163087, 2969, 30, 'روش ذخیره سازی سند');
INSERT INTO `lang_definitions` VALUES (163088, 2970, 30, 'سند با موفقیت تغییر نام داد.');
INSERT INTO `lang_definitions` VALUES (163089, 2971, 30, 'سند با موفقیت به برخورد برچسب گذاری شد');
INSERT INTO `lang_definitions` VALUES (163090, 2972, 30, 'مدیریت قالب سند');
INSERT INTO `lang_definitions` VALUES (163091, 2973, 30, 'قالب های سند');
INSERT INTO `lang_definitions` VALUES (163092, 2974, 30, 'آپلود کننده / نمایشگر سند');
INSERT INTO `lang_definitions` VALUES (163093, 2975, 30, 'اسناد');
INSERT INTO `lang_definitions` VALUES (163094, 2976, 30, 'ذخیره سند/تصویربرداری');
INSERT INTO `lang_definitions` VALUES (163095, 2977, 30, 'مستندات مربوط به HPI دقیق مورد نیاز است');
INSERT INTO `lang_definitions` VALUES (163096, 2978, 30, 'اسناد');
INSERT INTO `lang_definitions` VALUES (163097, 2979, 30, 'اسناد');
INSERT INTO `lang_definitions` VALUES (163098, 2980, 30, 'اسناد (نوشتن، addonly اختیاری)');
INSERT INTO `lang_definitions` VALUES (163099, 2981, 30, 'اسناد (نوشتن، addonly اختیاری)');
INSERT INTO `lang_definitions` VALUES (163100, 2982, 30, 'اسناد - مخزن اسناد کاغذی اسکن شده / فکس شده توسط بیمار. همچنین محلی برای بارگیری قالب های خاص بیمار است');
INSERT INTO `lang_definitions` VALUES (163101, 2983, 30, 'اسناد حذف شود');
INSERT INTO `lang_definitions` VALUES (163102, 2984, 30, 'اسناد حذف شود');
INSERT INTO `lang_definitions` VALUES (163103, 2986, 30, 'لیست اسناد');
INSERT INTO `lang_definitions` VALUES (163104, 2987, 30, 'خطای تنظیم اسناد');
INSERT INTO `lang_definitions` VALUES (163105, 2988, 30, 'قالب سند');
INSERT INTO `lang_definitions` VALUES (163106, 2989, 30, 'تاریخ ارزیابی');
INSERT INTO `lang_definitions` VALUES (163107, 2990, 30, 'آیا چیزی باعث بهتر شدن آن می شود؟ بدتر؟');
INSERT INTO `lang_definitions` VALUES (163108, 2991, 30, 'آیا در شرایط خاصی رخ می دهد؟');
INSERT INTO `lang_definitions` VALUES (163109, 2992, 30, 'برابر نیست');
INSERT INTO `lang_definitions` VALUES (163110, 2993, 30, 'داده کافی برای نمودار کشیدن ندارد');
INSERT INTO `lang_definitions` VALUES (163111, 2994, 30, 'با شماره برخورد PV1 مطابقت ندارد');
INSERT INTO `lang_definitions` VALUES (163112, 2995, 30, 'معتبر به نظر نمی رسد');
INSERT INTO `lang_definitions` VALUES (163113, 2996, 30, 'آیا این نوع اجازه کدهای مربوطه را می دهد؟');
INSERT INTO `lang_definitions` VALUES (163114, 2997, 30, 'شریک داخلی');
INSERT INTO `lang_definitions` VALUES (163115, 2998, 30, 'ذخیره نکنید');
INSERT INTO `lang_definitions` VALUES (163116, 2999, 30, 'ذخیره نکنید');
INSERT INTO `lang_definitions` VALUES (163117, 3000, 30, 'تغییرات را ذخیره نکنید');
INSERT INTO `lang_definitions` VALUES (163118, 3001, 30, 'اکنون اهداء کنید!');
INSERT INTO `lang_definitions` VALUES (163119, 3002, 30, 'انجام شد');
INSERT INTO `lang_definitions` VALUES (163120, 3003, 30, 'انجام شده با');
INSERT INTO `lang_definitions` VALUES (163121, 3004, 30, 'انجام شده با:');
INSERT INTO `lang_definitions` VALUES (163122, 3005, 30, 'انجام شد. حالا دانلود ارسال خواهد شد.');
INSERT INTO `lang_definitions` VALUES (163123, 3006, 30, 'تاریخ درمان');
INSERT INTO `lang_definitions` VALUES (163124, 3007, 30, 'مقدار مصرف');
INSERT INTO `lang_definitions` VALUES (163125, 3008, 30, 'دوز');
INSERT INTO `lang_definitions` VALUES (163126, 3009, 30, 'روی دسته DX دوبار کلیک کنید');
INSERT INTO `lang_definitions` VALUES (163127, 3010, 30, 'بر روی این آیکون دوبار کلیک کنید تا سند در صفحه جدید نمایش داده شود.');
INSERT INTO `lang_definitions` VALUES (163128, 3011, 30, 'برای ویرایش دوبار کلیک کنید');
INSERT INTO `lang_definitions` VALUES (163129, 3012, 30, 'با دوبار کلیک بر روی جعبه NPI (شناسه ارائه دهنده ملی) ، گفتگوی فعلی کاربران برای ارائه دهندگان ظاهر می شود.');
INSERT INTO `lang_definitions` VALUES (163130, 3013, 30, 'دید دوگانه');
INSERT INTO `lang_definitions` VALUES (163131, 3014, 30, 'دانلود');
INSERT INTO `lang_definitions` VALUES (163132, 3015, 30, 'دانلود');
INSERT INTO `lang_definitions` VALUES (163133, 3016, 30, 'دانلود - CCD ایجاد شده (سند تداوم مراقبت) به عنوان یک فایل pdf برای دانلود از مرورگر دانلود می شود');
INSERT INTO `lang_definitions` VALUES (163134, 3017, 30, 'دانلود - CCR ایجاد شده (تاریخچه تداوم مراقبت) به عنوان فایل pdf در دانلود ها از مرورگر دانلود می شود');
INSERT INTO `lang_definitions` VALUES (163135, 3018, 30, 'دانلود کلیه مدارک بیمار');
INSERT INTO `lang_definitions` VALUES (163136, 3019, 30, 'در هر حال دانلود کنید');
INSERT INTO `lang_definitions` VALUES (163137, 3020, 30, 'پرونده صورتحساب را دانلود کنید ، به حسابداری ارسال کنید و به عنوان صورتحساب صادر شده علامت گذاری کنید');
INSERT INTO `lang_definitions` VALUES (163138, 3021, 30, 'فایل CCDA را بارگیری کنید');
INSERT INTO `lang_definitions` VALUES (163139, 3022, 30, 'دانلود گواهینامه ها');
INSERT INTO `lang_definitions` VALUES (163140, 3023, 30, 'دانلود اطلاعات پیکربندی');
INSERT INTO `lang_definitions` VALUES (163141, 3024, 30, 'دانلود فایل CSV');
INSERT INTO `lang_definitions` VALUES (163142, 3025, 30, 'الگوی سند این بیمار را دانلود کرده و ویزیت کنید');
INSERT INTO `lang_definitions` VALUES (163143, 3026, 30, 'دانلود اسناد');
INSERT INTO `lang_definitions` VALUES (163144, 3027, 30, 'دانلود فایل های رمزگذاری شده');
INSERT INTO `lang_definitions` VALUES (163145, 3028, 30, 'دانلود فکس');
INSERT INTO `lang_definitions` VALUES (163146, 3029, 30, 'دریافت فایل HL7');
INSERT INTO `lang_definitions` VALUES (163147, 3030, 30, 'دانلود اسناد آزمایشگاه');
INSERT INTO `lang_definitions` VALUES (163148, 3031, 30, 'دانلود فایلهای اتصال پورتال خارج از سایت');
INSERT INTO `lang_definitions` VALUES (163149, 3032, 30, 'دانلود و یا حذف یک الگو');
INSERT INTO `lang_definitions` VALUES (163150, 3033, 30, 'دانلود PDF');
INSERT INTO `lang_definitions` VALUES (163151, 3034, 30, 'دانلود فایل QRDA گروه سوم ');
INSERT INTO `lang_definitions` VALUES (163152, 3035, 30, 'دانلود گزارش به عنوان یک فایل pdf در پوشه دانلود مرورگر');
INSERT INTO `lang_definitions` VALUES (163153, 3037, 30, 'دانلود بیانیه انتخاب شده');
INSERT INTO `lang_definitions` VALUES (163154, 3038, 30, 'انتخاب دانلود یک فایل متنی حاوی سفارش را در قالب پیام HL7v2.3 را در پوشه دانلود رایانه شما دانلود می کند');
INSERT INTO `lang_definitions` VALUES (163155, 3039, 30, 'چکاپ دکتر');
INSERT INTO `lang_definitions` VALUES (163156, 3040, 30, 'ملاقات دکتر');
INSERT INTO `lang_definitions` VALUES (163157, 3041, 30, 'دکتر');
INSERT INTO `lang_definitions` VALUES (163158, 3042, 30, 'پیش نویس');
INSERT INTO `lang_definitions` VALUES (163159, 3043, 30, 'یک DX را توسط دسته آن بکشید');
INSERT INTO `lang_definitions` VALUES (163160, 3044, 30, 'برای مرتب سازی لیست ، فلش را برای هر تشخیص بکشید.');
INSERT INTO `lang_definitions` VALUES (163161, 3045, 30, 'برای حرکت دادن بکشید');
INSERT INTO `lang_definitions` VALUES (163162, 3046, 30, 'رسم');
INSERT INTO `lang_definitions` VALUES (163163, 3047, 30, 'دریبل زدن');
INSERT INTO `lang_definitions` VALUES (163164, 3048, 30, 'گواهینامه یا کد ملی');
INSERT INTO `lang_definitions` VALUES (163165, 3049, 30, 'فایل را اینجا رها کنید تا آپلود شود');
INSERT INTO `lang_definitions` VALUES (163166, 3050, 30, 'دارو');
INSERT INTO `lang_definitions` VALUES (163167, 3051, 30, 'دارو - تداخل دارویی');
INSERT INTO `lang_definitions` VALUES (163168, 3052, 30, 'کد دارو');
INSERT INTO `lang_definitions` VALUES (163169, 3053, 30, 'جستجوگر دارو');
INSERT INTO `lang_definitions` VALUES (163170, 3054, 30, 'فرم های دارو');
INSERT INTO `lang_definitions` VALUES (163171, 3055, 30, 'شناسه دارو خالی‌ هست!');
INSERT INTO `lang_definitions` VALUES (163172, 3056, 30, 'فواصل استفاده دارو');
INSERT INTO `lang_definitions` VALUES (163173, 3057, 30, 'فهرست موجودی دارو');
INSERT INTO `lang_definitions` VALUES (163174, 3058, 30, 'نام دارو');
INSERT INTO `lang_definitions` VALUES (163175, 3059, 30, 'نام دارو');
INSERT INTO `lang_definitions` VALUES (163176, 3061, 30, 'مسیرهای مصرف دارو');
INSERT INTO `lang_definitions` VALUES (163177, 3062, 30, 'غربال دارو');
INSERT INTO `lang_definitions` VALUES (163178, 3063, 30, 'غربال دارو کامل شد');
INSERT INTO `lang_definitions` VALUES (163179, 3064, 30, 'گزارش غربال دارو');
INSERT INTO `lang_definitions` VALUES (163180, 3065, 30, 'واحدهای دارو');
INSERT INTO `lang_definitions` VALUES (163181, 3066, 30, 'واحدهای دارو');
INSERT INTO `lang_definitions` VALUES (163182, 3067, 30, 'استفاده مواد مخدر');
INSERT INTO `lang_definitions` VALUES (163183, 3068, 30, 'دارو-دارو');
INSERT INTO `lang_definitions` VALUES (163184, 3069, 30, 'تداخل دارو و دارو');
INSERT INTO `lang_definitions` VALUES (163185, 3070, 30, 'نام داروی 1 {{تعامل داروی 1}}');
INSERT INTO `lang_definitions` VALUES (163186, 3071, 30, 'نام داروی 2 {{تعامل داروی 2}}');
INSERT INTO `lang_definitions` VALUES (163187, 3072, 30, 'داروها');
INSERT INTO `lang_definitions` VALUES (163188, 3073, 30, 'داروها و محصولات');
INSERT INTO `lang_definitions` VALUES (163189, 3074, 30, 'خشکی دهان');
INSERT INTO `lang_definitions` VALUES (163190, 3075, 30, 'تشخیص DSM 4');
INSERT INTO `lang_definitions` VALUES (163191, 3076, 30, 'هذیان خمری 1');
INSERT INTO `lang_definitions` VALUES (163192, 3077, 30, 'هذیان خمری 2');
INSERT INTO `lang_definitions` VALUES (163193, 3078, 30, 'هذیان خمری 3');
INSERT INTO `lang_definitions` VALUES (163194, 3079, 30, 'هذیان خمری 4');
INSERT INTO `lang_definitions` VALUES (163195, 3080, 30, 'هذیان خمری 5');
INSERT INTO `lang_definitions` VALUES (163196, 3081, 30, 'دیفتری ، کزاز و سیاه سرفه 1');
INSERT INTO `lang_definitions` VALUES (163197, 3082, 30, 'دیفتری ، کزاز و سیاه سرفه 2');
INSERT INTO `lang_definitions` VALUES (163198, 3083, 30, 'دیفتری ، کزاز و سیاه سرفه 3');
INSERT INTO `lang_definitions` VALUES (163199, 3084, 30, 'دیفتری ، کزاز و سیاه سرفه 4');
INSERT INTO `lang_definitions` VALUES (163200, 3085, 30, 'دیفتری ، کزاز و سیاه سرفه 5');
INSERT INTO `lang_definitions` VALUES (163201, 3087, 30, 'ناشی از');
INSERT INTO `lang_definitions` VALUES (163202, 3088, 30, 'تاریخ مقرر');
INSERT INTO `lang_definitions` VALUES (163203, 3089, 30, 'تاریخ مقرر');
INSERT INTO `lang_definitions` VALUES (163204, 3090, 30, 'تاریخ مقرر');
INSERT INTO `lang_definitions` VALUES (163205, 3091, 30, 'تاریخ مقرر:');
INSERT INTO `lang_definitions` VALUES (163206, 3092, 30, 'موعد مقرر');
INSERT INTO `lang_definitions` VALUES (163207, 3094, 30, 'به زودی');
INSERT INTO `lang_definitions` VALUES (163208, 3095, 30, 'وضعیت مناسب');
INSERT INTO `lang_definitions` VALUES (163209, 3096, 30, 'به روز رسانی وضعیت');
INSERT INTO `lang_definitions` VALUES (163210, 3097, 30, 'خروجی کلی پایگاه داده OpenEMR');
INSERT INTO `lang_definitions` VALUES (163211, 3098, 30, 'خروجی کلی فهرست درختی وب OpenEMR');
INSERT INTO `lang_definitions` VALUES (163212, 3099, 30, 'خروجی کلی پایگاه داده phpGACL');
INSERT INTO `lang_definitions` VALUES (163213, 3100, 30, 'خروجی کلی فهرست درختی وب phpGACL');
INSERT INTO `lang_definitions` VALUES (163214, 3101, 30, 'خروجی کلی پایگاه داده SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (163215, 3102, 30, 'خروجی کلی فهرست درختی وب SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (163216, 3103, 30, 'چک تکراری');
INSERT INTO `lang_definitions` VALUES (163217, 3104, 30, 'چک تکراری فقط در ویرایش');
INSERT INTO `lang_definitions` VALUES (163218, 3105, 30, 'چک تکراری فقط در جدید');
INSERT INTO `lang_definitions` VALUES (163219, 3107, 30, 'Rx کپی - بدون تغییر از Rx فعلی {{شکست تغییر نکرده ، Rx جدید = Rx قدیمی}}');
INSERT INTO `lang_definitions` VALUES (163220, 3108, 30, 'شناسه تکراری روی خط');
INSERT INTO `lang_definitions` VALUES (163221, 3109, 30, 'نام تکراری روی خط');
INSERT INTO `lang_definitions` VALUES (163222, 3110, 30, 'هشدار تکراری');
INSERT INTO `lang_definitions` VALUES (163223, 3111, 30, 'تعهد وکالت بادوام');
INSERT INTO `lang_definitions` VALUES (163224, 3112, 30, 'مدت زمان');
INSERT INTO `lang_definitions` VALUES (163225, 3113, 30, 'مدت زمان');
INSERT INTO `lang_definitions` VALUES (163226, 3114, 30, 'هلندی');
INSERT INTO `lang_definitions` VALUES (163227, 3115, 30, 'کدهای Dx');
INSERT INTO `lang_definitions` VALUES (163228, 3116, 30, 'گزارش Dx');
INSERT INTO `lang_definitions` VALUES (163229, 3117, 30, 'دیسفاژی');
INSERT INTO `lang_definitions` VALUES (163230, 3118, 30, 'تنگی نفس:');
INSERT INTO `lang_definitions` VALUES (163231, 3119, 30, 'دیسوریا');
INSERT INTO `lang_definitions` VALUES (163232, 3120, 30, 'دزونگا');
INSERT INTO `lang_definitions` VALUES (163233, 3121, 30, 'ازوتروپیا متناوب');
INSERT INTO `lang_definitions` VALUES (163234, 3122, 30, 'پست الکترونیک');
INSERT INTO `lang_definitions` VALUES (163235, 3123, 30, 'پست الکترونیک');
INSERT INTO `lang_definitions` VALUES (163236, 3124, 30, 'آدرس ایمیل');
INSERT INTO `lang_definitions` VALUES (163237, 3125, 30, 'ارسال پیام الکترونیکی');
INSERT INTO `lang_definitions` VALUES (163238, 3126, 30, 'پست الکترونیکی موفق');
INSERT INTO `lang_definitions` VALUES (163239, 3127, 30, 'تجویز الکترونیکی');
INSERT INTO `lang_definitions` VALUES (163240, 3128, 30, 'نسخه الکترونیکی؟');
INSERT INTO `lang_definitions` VALUES (163241, 3129, 30, 'گزارش های الکترونیکی');
INSERT INTO `lang_definitions` VALUES (163242, 3130, 30, 'Rx الکترونیکی');
INSERT INTO `lang_definitions` VALUES (163243, 3131, 30, 'Rx الکترونیکی تجویز الکترونیکی داروهای فروش با نسخه');
INSERT INTO `lang_definitions` VALUES (163244, 3132, 30, 'تمدید Rx الکترونیکی');
INSERT INTO `lang_definitions` VALUES (163245, 3133, 30, 'با امضای الکترونیکی');
INSERT INTO `lang_definitions` VALUES (163246, 3134, 30, 'هر یک از این گروه ها (ARO) به قسمت های از پیش تعیین شده برنامه (ACO) دسترسی دارند.');
INSERT INTO `lang_definitions` VALUES (163247, 3135, 30, 'هر گیرنده باید خودش پیامش را به عنوان تکمیل شده تنظیم کند.');
INSERT INTO `lang_definitions` VALUES (163248, 3136, 30, 'هر بخش دارای یک بلوک مشروح و صفر تا تعداد زیادی از ورودی های کدگذاری شده است');
INSERT INTO `lang_definitions` VALUES (163249, 3137, 30, 'هر بخش با یک هدر سه حرفی منحصر به فرد مشخص می شود که سه حرف اول آن خط را تشکیل می دهد');
INSERT INTO `lang_definitions` VALUES (163250, 3138, 30, 'هر آزمون یا صفحه در این گروه باید در یک ردیف مورد شخصی مورد علاقه باشد');
INSERT INTO `lang_definitions` VALUES (163251, 3139, 30, 'هر تراکنش در یک خط جداگانه ذکر شود');
INSERT INTO `lang_definitions` VALUES (163252, 3140, 30, 'عود زودرس (کمتر از 2 ماه)');
INSERT INTO `lang_definitions` VALUES (163253, 3141, 30, 'گوش ها');
INSERT INTO `lang_definitions` VALUES (163254, 3145, 30, 'فراموش کردن در رایانه ای که برای ورود به سیستم استفاده می شود آسان است');
INSERT INTO `lang_definitions` VALUES (163255, 3146, 30, 'راه اندازی آسان');
INSERT INTO `lang_definitions` VALUES (163256, 3147, 30, 'آسان برای استفاده');
INSERT INTO `lang_definitions` VALUES (163257, 3148, 30, 'نوار قلب');
INSERT INTO `lang_definitions` VALUES (163258, 3149, 30, 'مطالبه های الکترونیکی');
INSERT INTO `lang_definitions` VALUES (163259, 3150, 30, 'قدرت لنز تماسی معادل در سطح قرنیه');
INSERT INTO `lang_definitions` VALUES (163260, 3151, 30, 'اختصار نظرات خارجی');
INSERT INTO `lang_definitions` VALUES (163261, 3152, 30, 'ورم');
INSERT INTO `lang_definitions` VALUES (163262, 3153, 30, 'پرونده تبادل الکترونیکی داده');
INSERT INTO `lang_definitions` VALUES (163263, 3154, 30, 'تاریخچه تبادل داده های الکترونیکی');
INSERT INTO `lang_definitions` VALUES (163264, 3155, 30, 'تاریخچه تبادل داده های الکترونیکی');
INSERT INTO `lang_definitions` VALUES (163265, 3156, 30, 'تاریخچه تبادل الکترونیکی داده (تحت کارمزد) برای ذخیره و تفسیر پرونده های پاسخ مطالبه تبادل الکترونیکی داده');
INSERT INTO `lang_definitions` VALUES (163266, 3157, 30, 'بارگذاری فایل EDI-271');
INSERT INTO `lang_definitions` VALUES (163267, 3158, 30, 'بارگذاری فایل پاسخ EDI-271');
INSERT INTO `lang_definitions` VALUES (163268, 3159, 30, 'ویرایش');
INSERT INTO `lang_definitions` VALUES (163269, 3160, 30, 'ویرایش');
INSERT INTO `lang_definitions` VALUES (163270, 3161, 30, 'ویرایش آلرژی ها');
INSERT INTO `lang_definitions` VALUES (163271, 3162, 30, 'ویرایش قرار ملاقات');
INSERT INTO `lang_definitions` VALUES (163272, 3163, 30, 'ویرایش دسته بندی ها');
INSERT INTO `lang_definitions` VALUES (163273, 3164, 30, 'ویرایش بیمار فعلی');
INSERT INTO `lang_definitions` VALUES (163274, 3165, 30, 'ویرایش تعاریف');
INSERT INTO `lang_definitions` VALUES (163275, 3166, 30, 'ویرایش تعاریف');
INSERT INTO `lang_definitions` VALUES (163276, 3167, 30, 'ویرایش تشخیص ها برای');
INSERT INTO `lang_definitions` VALUES (163277, 3168, 30, 'ویرایش افشاء');
INSERT INTO `lang_definitions` VALUES (163278, 3169, 30, 'ویرایش سند');
INSERT INTO `lang_definitions` VALUES (163279, 3170, 30, 'ویرایش ورودی');
INSERT INTO `lang_definitions` VALUES (163280, 3171, 30, 'ویرایش رویداد');
INSERT INTO `lang_definitions` VALUES (163281, 3172, 30, 'ویرایش گروه موجود');
INSERT INTO `lang_definitions` VALUES (163282, 3173, 30, 'ویرایش درمانگاه ها');
INSERT INTO `lang_definitions` VALUES (163283, 3174, 30, 'ویرایش درمانگاه');
INSERT INTO `lang_definitions` VALUES (163284, 3175, 30, 'ویرایش اطلاعات درمانگاه');
INSERT INTO `lang_definitions` VALUES (163285, 3176, 30, 'ویرایش اطلاعات کاربری مختص به درمانگاه');
INSERT INTO `lang_definitions` VALUES (163286, 3177, 30, 'ویرایش فایل در');
INSERT INTO `lang_definitions` VALUES (163287, 3178, 30, 'ویرایش فرم');
INSERT INTO `lang_definitions` VALUES (163288, 3179, 30, 'ویرایش تنظیمات سراسری');
INSERT INTO `lang_definitions` VALUES (163289, 3180, 30, 'ویرایش تاریخچه و سبک زندگی');
INSERT INTO `lang_definitions` VALUES (163290, 3181, 30, 'ویرایش مجاز نیست!');
INSERT INTO `lang_definitions` VALUES (163291, 3182, 30, 'ویرایش مشکل');
INSERT INTO `lang_definitions` VALUES (163292, 3183, 30, 'ویرایش چیدمان');
INSERT INTO `lang_definitions` VALUES (163293, 3184, 30, 'ویرایش خصوصیات چیدمان');
INSERT INTO `lang_definitions` VALUES (163294, 3185, 30, 'ویرایش لیست');
INSERT INTO `lang_definitions` VALUES (163295, 3186, 30, 'حالت ویرایش');
INSERT INTO `lang_definitions` VALUES (163296, 3187, 30, 'ویرایش فعالیت پورتال در محل');
INSERT INTO `lang_definitions` VALUES (163297, 3188, 30, 'ویرایش پرداخت');
INSERT INTO `lang_definitions` VALUES (163298, 3189, 30, 'ویرایش ساختار');
INSERT INTO `lang_definitions` VALUES (163299, 3190, 30, 'ویرایش قالب');
INSERT INTO `lang_definitions` VALUES (163300, 3191, 30, 'ویرایش این فرم');
INSERT INTO `lang_definitions` VALUES (163301, 3192, 30, 'ویرایش کاربر');
INSERT INTO `lang_definitions` VALUES (163302, 3193, 30, 'ویرایش تنظیمات کاربر');
INSERT INTO `lang_definitions` VALUES (163303, 3194, 30, 'داده های وارد شده خود را ویرایش کنید');
INSERT INTO `lang_definitions` VALUES (163304, 3195, 30, 'ویرایش انجام نشد');
INSERT INTO `lang_definitions` VALUES (163305, 3196, 30, 'آموزش');
INSERT INTO `lang_definitions` VALUES (163306, 3197, 30, 'تاریخ آموزش');
INSERT INTO `lang_definitions` VALUES (163307, 3199, 30, 'برای جزئیات بیشتر به مجوز عمومی GNU مراجعه کنید. * * شما باید کپی مجوز عمومی عمومی GNU * را به همراه این برنامه دریافت کرده باشید. در غیر این صورت ، برای Free بنویسید');
INSERT INTO `lang_definitions` VALUES (163308, 3200, 30, 'تاریخ اجرا');
INSERT INTO `lang_definitions` VALUES (163309, 3201, 30, 'تاریخ های موثر');
INSERT INTO `lang_definitions` VALUES (163310, 3202, 30, 'اثربخشی');
INSERT INTO `lang_definitions` VALUES (163311, 3203, 30, 'به عنوان مثال. درد، سوزش، درد تیر کشنده');
INSERT INTO `lang_definitions` VALUES (163312, 3204, 30, 'شماره شناسایی کارفرما');
INSERT INTO `lang_definitions` VALUES (163313, 3205, 30, 'یا یک عبارت جستجو را در کادر مناسب تایپ کنید یا برای دیدن کدهای موجود ، دوبار کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (163314, 3206, 30, 'در هر صورت داده های وارد شده توسط هر روش در هر دو مکان مشخص می شوند');
INSERT INTO `lang_definitions` VALUES (163315, 3207, 30, 'انزال');
INSERT INTO `lang_definitions` VALUES (163316, 3208, 30, 'آرنج');
INSERT INTO `lang_definitions` VALUES (163317, 3209, 30, 'مشکلات آرنج');
INSERT INTO `lang_definitions` VALUES (163318, 3210, 30, 'الکترونیکی');
INSERT INTO `lang_definitions` VALUES (163319, 3211, 30, 'سند الکترونیکی دریافت شد');
INSERT INTO `lang_definitions` VALUES (163320, 3212, 30, 'یادداشت های الکترونیکی');
INSERT INTO `lang_definitions` VALUES (163321, 3213, 30, 'سفارشات الکترونیکی');
INSERT INTO `lang_definitions` VALUES (163322, 3214, 30, 'کنترل های الکترونیکی');
INSERT INTO `lang_definitions` VALUES (163323, 3215, 30, 'گزارش های الکترونیکی');
INSERT INTO `lang_definitions` VALUES (163324, 3216, 30, 'نتایج الکترونیکی می توانند دو طرفه باشند - هر دو آزمون سفارش و دریافت نتایج به صورت الکترونیکی یا یک طرفه - فقط نتایج را به صورت الکترونیکی دریافت می کنند');
INSERT INTO `lang_definitions` VALUES (163325, 3217, 30, 'به صورت الکترونیکی وارد شده');
INSERT INTO `lang_definitions` VALUES (163326, 3218, 30, 'واجد شرایط بودن');
INSERT INTO `lang_definitions` VALUES (163327, 3219, 30, 'واجد شرایط بودن 270 دسته تحقیق');
INSERT INTO `lang_definitions` VALUES (163328, 3220, 30, 'پاسخ واجد شرایط بودن');
INSERT INTO `lang_definitions` VALUES (163329, 3221, 30, 'تاریخ خدمات واجد شرایط بودن (270 DTP03)');
INSERT INTO `lang_definitions` VALUES (163330, 3222, 30, 'وضعیت واجد شرایط بودن برای واکسن کودکان');
INSERT INTO `lang_definitions` VALUES (163331, 3223, 30, 'واجد شرایط');
INSERT INTO `lang_definitions` VALUES (163332, 3224, 30, 'بیضی');
INSERT INTO `lang_definitions` VALUES (163333, 3225, 30, 'پست الکترونیک');
INSERT INTO `lang_definitions` VALUES (163334, 3226, 30, 'پست الکترونیک');
INSERT INTO `lang_definitions` VALUES (163335, 3227, 30, 'پست الکترونیک');
INSERT INTO `lang_definitions` VALUES (163336, 3228, 30, 'آدرس ایمیل');
INSERT INTO `lang_definitions` VALUES (163337, 3229, 30, 'آدرس ایمیل خالی است');
INSERT INTO `lang_definitions` VALUES (163338, 3230, 30, 'آدرس ایمیل فرستنده برای یادآوری های بیمار. پاسخ به یادآوری های بیمار به این آدرس ارسال می شود. استفاده از آدرس دامنه کلینیک خود بسیار مهم است تا از جلوگیری از رفتن یادآوری های بیمار به پوشه های نامه ناخواسته جلوگیری کنید.');
INSERT INTO `lang_definitions` VALUES (163339, 3231, 30, 'آدرس ایمیل، در صورت وجود، برای دریافت اعلان های اداری.');
INSERT INTO `lang_definitions` VALUES (163340, 3232, 30, 'آدرس ایمیل، در صورت وجود، برای دریافت پیام های فعال سازی کاربر سیستم اضطراری.');
INSERT INTO `lang_definitions` VALUES (163341, 3233, 30, 'ایمیل تایید');
INSERT INTO `lang_definitions` VALUES (163342, 3234, 30, 'ایمیل تایید شد');
INSERT INTO `lang_definitions` VALUES (163343, 3235, 30, 'ایمیل مستقیم');
INSERT INTO `lang_definitions` VALUES (163344, 3236, 30, 'ایمیل از Batchcom');
INSERT INTO `lang_definitions` VALUES (163345, 3238, 30, 'آگاه سازی با ایمیل');
INSERT INTO `lang_definitions` VALUES (163346, 3239, 30, 'ساعت هشدار با ایمیل');
INSERT INTO `lang_definitions` VALUES (163347, 3240, 30, 'گزارش هشدار با ایمیل');
INSERT INTO `lang_definitions` VALUES (163348, 3241, 30, 'تنظیمات اعلان ایمیل با موفقیت به روز شد');
INSERT INTO `lang_definitions` VALUES (163349, 3243, 30, 'ارسال بیانیه های انتخاب شده از طریق ایمیل');
INSERT INTO `lang_definitions` VALUES (163350, 3244, 30, 'ارسال ایمیل قبل از');
INSERT INTO `lang_definitions` VALUES (163351, 3245, 30, 'فرستنده ایمیل');
INSERT INTO `lang_definitions` VALUES (163352, 3246, 30, 'ایمیل ارسال شد');
INSERT INTO `lang_definitions` VALUES (163353, 3247, 30, 'ایمیل ارسال شد به');
INSERT INTO `lang_definitions` VALUES (163354, 3248, 30, 'عنوان ایمیل');
INSERT INTO `lang_definitions` VALUES (163355, 3249, 30, 'عنوان ایمیل');
INSERT INTO `lang_definitions` VALUES (163356, 3251, 30, 'متن ایمیل ، برچسب قابل استفاده: *** NAME*** ، مثلا *** NAME*** عزیز');
INSERT INTO `lang_definitions` VALUES (163357, 3252, 30, 'متن ایمیل ، برچسب قابل استفاده: *** NAME*** ، مثلا *** NAME*** عزیز');
INSERT INTO `lang_definitions` VALUES (163358, 3253, 30, 'روش انتقال ایمیل');
INSERT INTO `lang_definitions` VALUES (163359, 3254, 30, 'ایمیل به آدرس زیر ارسال شد');
INSERT INTO `lang_definitions` VALUES (163360, 3255, 30, 'نامه های الکترونیکی ارسال نشد');
INSERT INTO `lang_definitions` VALUES (163361, 3257, 30, 'مراقبت های اضطراری');
INSERT INTO `lang_definitions` VALUES (163362, 3258, 30, 'تماس اضطراری');
INSERT INTO `lang_definitions` VALUES (163363, 3259, 30, 'تماس اضطراری');
INSERT INTO `lang_definitions` VALUES (163364, 3260, 30, 'شخص برای تماس اضطراری');
INSERT INTO `lang_definitions` VALUES (163365, 3261, 30, 'شماره تلفن برای تماس اضطراری');
INSERT INTO `lang_definitions` VALUES (163366, 3262, 30, 'قرص های ضد بارداری اضطراری');
INSERT INTO `lang_definitions` VALUES (163367, 3263, 30, 'ورود اضطراری به سیستم');
INSERT INTO `lang_definitions` VALUES (163368, 3264, 30, 'ورود اضطراری ACL انتخاب شده است. کاربر هنوز در حالت فعال است ، لطفاً کاربر را غیرفعال کنید و در مواقع لزوم در شرایط اضطراری ، همان را فعال کنید. برای فعال سازی یا غیرفعال سازی به اداره-> کاربران مراجعه کنید.');
INSERT INTO `lang_definitions` VALUES (163369, 3265, 30, 'ایمیل فعال سازی ورود به سیستم اضطراری فقط در صورت پیکربندی تنظیمات زیر در پرونده interface / globals.php منتشر می شود:');
INSERT INTO `lang_definitions` VALUES (163370, 3266, 30, 'آدرس ایمیل ورود اضطراری');
INSERT INTO `lang_definitions` VALUES (163371, 3267, 30, 'کاربر ورود به سیستم اضطراری می تواند هر کاری انجام دهد');
INSERT INTO `lang_definitions` VALUES (163372, 3268, 30, 'تلفن اضطراری');
INSERT INTO `lang_definitions` VALUES (163373, 3269, 30, 'اورژانس - بیمارستان');
INSERT INTO `lang_definitions` VALUES (163374, 3270, 30, 'شرایط و عوارض احساسی / رفتاری');
INSERT INTO `lang_definitions` VALUES (163375, 3271, 30, 'آمفیزم');
INSERT INTO `lang_definitions` VALUES (163376, 3272, 30, 'کارمند');
INSERT INTO `lang_definitions` VALUES (163377, 3273, 30, 'کارفرما');
INSERT INTO `lang_definitions` VALUES (163378, 3274, 30, 'آدرس کارفرما');
INSERT INTO `lang_definitions` VALUES (163379, 3275, 30, 'داده های کارفرما');
INSERT INTO `lang_definitions` VALUES (163380, 3276, 30, 'نام کارفرما');
INSERT INTO `lang_definitions` VALUES (163381, 3277, 30, 'خالی');
INSERT INTO `lang_definitions` VALUES (163382, 3278, 30, 'خالی');
INSERT INTO `lang_definitions` VALUES (163383, 3279, 30, 'رمز ورود خالی مجاز نیست');
INSERT INTO `lang_definitions` VALUES (163384, 3280, 30, 'جدول خالی');
INSERT INTO `lang_definitions` VALUES (163385, 3281, 30, 'مقدار خالی در \"ساعتهای ایمیل\"');
INSERT INTO `lang_definitions` VALUES (163386, 3282, 30, 'مقدار خالی در \"ارسال کننده ایمیل\"');
INSERT INTO `lang_definitions` VALUES (163387, 3283, 30, 'مقدار خالی در \"موضوع ایمیل\"');
INSERT INTO `lang_definitions` VALUES (163388, 3284, 30, 'مقدار خالی در \"متن ایمیل\"');
INSERT INTO `lang_definitions` VALUES (163389, 3285, 30, 'مقدار خالی در \"نام ارائه دهنده\"');
INSERT INTO `lang_definitions` VALUES (163390, 3286, 30, 'مقدار خالی در \"گذرواژه\"');
INSERT INTO `lang_definitions` VALUES (163391, 3287, 30, 'مقدار خالی در \"ساعتهای پیامکی\"');
INSERT INTO `lang_definitions` VALUES (163392, 3288, 30, 'مقدار خالی در \"متن پیامک\"');
INSERT INTO `lang_definitions` VALUES (163393, 3289, 30, 'مقدار خالی در \"نام کاربری\"');
INSERT INTO `lang_definitions` VALUES (163394, 3290, 30, 'EMR Direct');
INSERT INTO `lang_definitions` VALUES (163395, 3291, 30, 'EMR Direct phiMail یک روش ایمن ، مقیاس پذیر و مبتنی بر استاندارد برای شرکت کنندگان برای ارسال اطلاعات صحت و رمزگذاری شده بهداشتی به طور مستقیم به گیرندگان شناخته شده و مورد اعتماد از طریق اینترنت است.');
INSERT INTO `lang_definitions` VALUES (163396, 3292, 30, 'فعال کردن');
INSERT INTO `lang_definitions` VALUES (163397, 3293, 30, 'سرویس درگاه پرداخت را برای پردازش معاملات کارت اعتباری فعال کنید');
INSERT INTO `lang_definitions` VALUES (163398, 3294, 30, 'فعال کردن لاگ هشدار');
INSERT INTO `lang_definitions` VALUES (163399, 3295, 30, 'فعال کردن لاگ کردن هشدار');
INSERT INTO `lang_definitions` VALUES (163400, 3296, 30, 'فعال کردن بررسی آلرژی');
INSERT INTO `lang_definitions` VALUES (163401, 3297, 30, 'فعال کردن بررسی آلرژی در برابر داروها و نسخه ها');
INSERT INTO `lang_definitions` VALUES (163402, 3298, 30, 'فعال کردن اعلان AMC');
INSERT INTO `lang_definitions` VALUES (163403, 3299, 30, 'فعال کردن گزارش جزء بجزء AMC ');
INSERT INTO `lang_definitions` VALUES (163404, 3300, 30, 'فعال کردن گزارشگری AMC');
INSERT INTO `lang_definitions` VALUES (163405, 3301, 30, 'فعال کردن پیگیری AMC');
INSERT INTO `lang_definitions` VALUES (163406, 3302, 30, 'فعال کردن ویژگی اصلاحات');
INSERT INTO `lang_definitions` VALUES (163407, 3303, 30, 'فعال کردن حسابرسی ATNA');
INSERT INTO `lang_definitions` VALUES (163408, 3304, 30, 'فعال کردن رمزگذاری لاگ حسابرسی');
INSERT INTO `lang_definitions` VALUES (163409, 3305, 30, 'فعال کردن لاگ کردن سیستم حسابرسی');
INSERT INTO `lang_definitions` VALUES (163410, 3306, 30, 'فعال کردن حسابرسی نوین و گره احراز هویت (ATNA).');
INSERT INTO `lang_definitions` VALUES (163411, 3307, 30, 'فعال کردن گزارشگری محاسبات اندازه گیری خودکار (AMC)');
INSERT INTO `lang_definitions` VALUES (163412, 3308, 30, 'فعال کردن پرداخت دسته ای');
INSERT INTO `lang_definitions` VALUES (163413, 3309, 30, 'سرویس جایگزین C-CDA را فعال کنید');
INSERT INTO `lang_definitions` VALUES (163414, 3312, 30, 'فعال کردن SSL مشتری');
INSERT INTO `lang_definitions` VALUES (163415, 3313, 30, 'فعال کردن احراز هویت گواهی SSL مشتری');
INSERT INTO `lang_definitions` VALUES (163416, 3314, 30, 'فعال کردن پنجره یادآور فعال بالینی');
INSERT INTO `lang_definitions` VALUES (163417, 3315, 30, 'فعال کردن قوانین تصمیم گیری بالینی (CDR)');
INSERT INTO `lang_definitions` VALUES (163418, 3316, 30, 'فعال کردن پنجره یادآوری جدید غیرفعال بالینی');
INSERT INTO `lang_definitions` VALUES (163419, 3317, 30, 'فعال کردن ابزارک یادآوری غیر فعال بالینی');
INSERT INTO `lang_definitions` VALUES (163420, 3318, 30, 'فعال کردن گزارش اندازه گیری کیفیت بالینی (CQM)');
INSERT INTO `lang_definitions` VALUES (163421, 3319, 30, 'فعال کردن پنجره یادآوری بالینی');
INSERT INTO `lang_definitions` VALUES (163422, 3320, 30, 'فعال کردن ابزارک یادآوری بالینی');
INSERT INTO `lang_definitions` VALUES (163423, 3321, 30, 'فعال کردن پورتال CMS');
INSERT INTO `lang_definitions` VALUES (163424, 3323, 30, 'فعال کردن گزارش جزء بجزء CQM');
INSERT INTO `lang_definitions` VALUES (163425, 3324, 30, 'فعال کردن گزارش دهی CQM');
INSERT INTO `lang_definitions` VALUES (163426, 3328, 30, 'فعال کردن تاریخچه EDI');
INSERT INTO `lang_definitions` VALUES (163427, 3329, 30, 'فعال کردن تاریخچه EDI در منوی سمت چپ');
INSERT INTO `lang_definitions` VALUES (163428, 3331, 30, 'فعال کردن رمزگذاری موارد ذخیره شده در درایو');
INSERT INTO `lang_definitions` VALUES (163429, 3332, 30, 'فعال کردن اکستنشن');
INSERT INTO `lang_definitions` VALUES (163430, 3333, 30, 'فعال کردن تسهیلات');
INSERT INTO `lang_definitions` VALUES (163431, 3334, 30, 'فعال کردن هزینه ها در منوی سمت چپ');
INSERT INTO `lang_definitions` VALUES (163432, 3335, 30, 'فعال کردن زیر منوی هزینه ها');
INSERT INTO `lang_definitions` VALUES (163433, 3336, 30, 'فعال کردن سرویس ارائه دهنده FHIR مشتری');
INSERT INTO `lang_definitions` VALUES (163434, 3339, 30, 'فعال کردن گروه درمانی');
INSERT INTO `lang_definitions` VALUES (163435, 3340, 30, 'فعال کردن راهنما');
INSERT INTO `lang_definitions` VALUES (163436, 3341, 30, 'فعال کردن پشتیبانی از Hylafax');
INSERT INTO `lang_definitions` VALUES (163437, 3342, 30, 'فعال کردن پیام وضعیت وارد کردن اطلاعات پس از بازدید از NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (163438, 3343, 30, 'فعال کردن پیام وضعیت وارد کردن اطلاعات برای NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (163439, 3344, 30, 'فعال کردن گزارش جزء بجزء AMC');
INSERT INTO `lang_definitions` VALUES (163440, 3345, 30, 'فعال کردن گزارش جزء بجزء CQM');
INSERT INTO `lang_definitions` VALUES (163441, 3346, 30, 'فعال کردن گزارش بندی قوانین استاندارد بالینی به صورت جداگانه');
INSERT INTO `lang_definitions` VALUES (163442, 3347, 30, 'فعال کردن تبادل آزمایشگاه');
INSERT INTO `lang_definitions` VALUES (163443, 3348, 30, 'فعال کردن ضامن قفل');
INSERT INTO `lang_definitions` VALUES (163444, 3349, 30, 'فعال کردن لاگ برای بارگذاری / دانلود سند در CouchDB');
INSERT INTO `lang_definitions` VALUES (163445, 3350, 30, 'فعال کردن لاگ کردن همه درخواستهای SQL SELECT');
INSERT INTO `lang_definitions` VALUES (163446, 3351, 30, 'فعال کردن ثبت فعالیتهای مرتبط با پشتیبان');
INSERT INTO `lang_definitions` VALUES (163447, 3352, 30, 'فعال کردن ثبت سوالات موتور CDR');
INSERT INTO `lang_definitions` VALUES (163448, 3353, 30, 'فعال کردن ثبت فعالیتهای متفرقه');
INSERT INTO `lang_definitions` VALUES (163449, 3354, 30, 'فعال کردن ثبت فعالیتهای سفارش');
INSERT INTO `lang_definitions` VALUES (163450, 3355, 30, 'فعال کردن ثبت تغییرات سابقه بیمار');
INSERT INTO `lang_definitions` VALUES (163451, 3356, 30, 'فعال کردن ثبت تغییرات برنامه ریزی');
INSERT INTO `lang_definitions` VALUES (163452, 3357, 30, 'فعال کردن ثبت فعالیتهای امنیتی و مدیریتی');
INSERT INTO `lang_definitions` VALUES (163453, 3358, 30, 'فعال کردن سرویس ارتباط MedEx');
INSERT INTO `lang_definitions` VALUES (163454, 3359, 30, 'فعال کردن پیام وضعیت وارد کردن اطلاعات NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (163455, 3360, 30, 'فعال کردن سرویس NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (163456, 3361, 30, 'فعال کردن سرویس NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (163457, 3364, 30, 'فعال کردن صلاحیت بیمه Office Ally');
INSERT INTO `lang_definitions` VALUES (163458, 3365, 30, 'فعال کردن پورتال بیمار خارج از محل');
INSERT INTO `lang_definitions` VALUES (163459, 3366, 30, 'فعال کردن پورتال بیمار خارج از محل');
INSERT INTO `lang_definitions` VALUES (163460, 3367, 30, 'با انتخاب کادر مربوطه فقط یک نوع پورتال را فعال کنید');
INSERT INTO `lang_definitions` VALUES (163461, 3368, 30, 'فعال کردن پورتال بیمار در محل');
INSERT INTO `lang_definitions` VALUES (163462, 3369, 30, 'فعال کردن دانلود سند پورتال بیمار در محل');
INSERT INTO `lang_definitions` VALUES (163463, 3370, 30, 'برای ثبت نام خود بیمار ، بیمار جدید در پورتال بیمار در محل را فعال کنید.');
INSERT INTO `lang_definitions` VALUES (163464, 3371, 30, 'فعال کردن پورتال بیمار در محل');
INSERT INTO `lang_definitions` VALUES (163465, 3376, 30, 'OpenEMR REST API را فعال کنید');
INSERT INTO `lang_definitions` VALUES (163466, 3377, 30, 'OpenEMR RESTful API را فعال کنید. SSL مورد نیاز است');
INSERT INTO `lang_definitions` VALUES (163467, 3385, 30, 'ویجت یادآوری بیمار را فعال کنید');
INSERT INTO `lang_definitions` VALUES (163468, 3387, 30, 'سرویس پیام رسانی مستقیم phiMail را فعال کنید');
INSERT INTO `lang_definitions` VALUES (163469, 3388, 30, 'فعال کردن ارسال');
INSERT INTO `lang_definitions` VALUES (163470, 3389, 30, 'فعال کردن درخواست داده های مورد نیاز برای محاسبات اندازه گیری خودکار (AMC)');
INSERT INTO `lang_definitions` VALUES (163471, 3390, 30, 'فعال کردن آزمایش تصادفی دارو');
INSERT INTO `lang_definitions` VALUES (163472, 3391, 30, 'فعال کردن گزارش تاریخ پیگیری برای محاسبات اندازه گیری خودکار (AMC)');
INSERT INTO `lang_definitions` VALUES (163473, 3392, 30, 'فعال کردن پشتیبانی از اسکنر');
INSERT INTO `lang_definitions` VALUES (163474, 3393, 30, 'فعال کردن گزارش جزء بجزء استاندارد');
INSERT INTO `lang_definitions` VALUES (163475, 3394, 30, 'فعال کردن پشتیبانی از پورتال منبع آزاد وردپرس ساخته Sunset Systems');
INSERT INTO `lang_definitions` VALUES (163476, 3396, 30, 'فعال کردن یکپارچه سازی اطلاعات پزشکی ، سرویس تبادل آزمایشگاه LLC');
INSERT INTO `lang_definitions` VALUES (163477, 3397, 30, 'فعال کردن سرویس تبادل آزمایشگاه OpenEMR Support LLC');
INSERT INTO `lang_definitions` VALUES (163478, 3398, 30, 'فعال کردن احراز هویت گواهی کاربر');
INSERT INTO `lang_definitions` VALUES (163479, 3399, 30, 'فعال کردن نسخه 1 پورتال بیمار در محل');
INSERT INTO `lang_definitions` VALUES (163480, 3400, 30, 'فعال کردن نسخه 2 پورتال بیمار در محل');
INSERT INTO `lang_definitions` VALUES (163481, 3401, 30, 'برای ثبت نام خود بیمار ، بیمار جدید در پورتال نسخه 2 بیمار در محل را فعال کنید.');
INSERT INTO `lang_definitions` VALUES (163482, 3402, 30, 'فعال کردن سرویس Weno eRx');
INSERT INTO `lang_definitions` VALUES (163483, 3403, 30, 'فعال کردن سرویس ZMG، LLC eRx');
INSERT INTO `lang_definitions` VALUES (163484, 3404, 30, 'فعال شده');
INSERT INTO `lang_definitions` VALUES (163485, 3407, 30, 'خدمات فعال شده');
INSERT INTO `lang_definitions` VALUES (163486, 3408, 30, 'فعال کردن انتخاب موعد مقرر برای پیام');
INSERT INTO `lang_definitions` VALUES (163487, 3409, 30, 'فعال کردن ماژول گروه ها را در سیستم');
INSERT INTO `lang_definitions` VALUES (163488, 3410, 30, 'فعال کردن امکان دانلود اسناد در پورتال بیمار در محل توسط کاربر');
INSERT INTO `lang_definitions` VALUES (163489, 3412, 30, 'پنل شارژ قدیمی را برای وارد کردن کد صورتحساب و پرداخت ها فعال می کند. توصیه نمی شود ، به جای آن از Fee Sheet استفاده کنید.');
INSERT INTO `lang_definitions` VALUES (163490, 3413, 30, 'ارسال تغییرات برای همه قرارهای تکرار شده را همزمان میسر می کند.');
INSERT INTO `lang_definitions` VALUES (163491, 3414, 30, 'فعال کردن نامه الکترونیکی EMR Direct');
INSERT INTO `lang_definitions` VALUES (163492, 3415, 30, 'Enc');
INSERT INTO `lang_definitions` VALUES (163493, 3417, 30, 'ویزیت');
INSERT INTO `lang_definitions` VALUES (163494, 3418, 30, 'ویزیت');
INSERT INTO `lang_definitions` VALUES (163495, 3419, 30, 'ویزیت');
INSERT INTO `lang_definitions` VALUES (163496, 3420, 30, 'ویزیت');
INSERT INTO `lang_definitions` VALUES (163497, 3421, 30, 'برخورد بستری حاد یا ED');
INSERT INTO `lang_definitions` VALUES (163498, 3422, 30, 'وضعیت حساب ویزیت');
INSERT INTO `lang_definitions` VALUES (163499, 3423, 30, 'یادداشت صورت حساب ویزیت');
INSERT INTO `lang_definitions` VALUES (163500, 3424, 30, 'روش بررسی ویزیت');
INSERT INTO `lang_definitions` VALUES (163501, 3425, 30, 'مرتبه ویزیت');
INSERT INTO `lang_definitions` VALUES (163502, 3426, 30, 'داده های ویزیت');
INSERT INTO `lang_definitions` VALUES (163503, 3427, 30, 'تاریخ ویزیت');
INSERT INTO `lang_definitions` VALUES (163504, 3428, 30, 'ویزیت تشخیص');
INSERT INTO `lang_definitions` VALUES (163505, 3429, 30, 'ویزیت DT / RSN');
INSERT INTO `lang_definitions` VALUES (163506, 3430, 30, 'سابقه ویزیت EDI');
INSERT INTO `lang_definitions` VALUES (163507, 3431, 30, 'ویزیت با امضای الکترونیک');
INSERT INTO `lang_definitions` VALUES (163508, 3432, 30, 'فرم های ویزیت');
INSERT INTO `lang_definitions` VALUES (163509, 3433, 30, 'ویزیت ارزیابی سلامت و رفتار');
INSERT INTO `lang_definitions` VALUES (163510, 3434, 30, 'سابقه ویزیت');
INSERT INTO `lang_definitions` VALUES (163511, 3435, 30, 'شناسه ویزیت');
INSERT INTO `lang_definitions` VALUES (163512, 3436, 30, 'ویزیت آنفلوانزا');
INSERT INTO `lang_definitions` VALUES (163513, 3437, 30, 'اطلاعات ویزیت');
INSERT INTO `lang_definitions` VALUES (163514, 3438, 30, 'اطلاعات ویزیت (ویزیتها)');
INSERT INTO `lang_definitions` VALUES (163515, 3439, 30, 'شماره ویزیت');
INSERT INTO `lang_definitions` VALUES (163516, 3440, 30, 'شماره ویزیت');
INSERT INTO `lang_definitions` VALUES (163517, 3441, 30, 'ویزیت ترخیص پرستاری');
INSERT INTO `lang_definitions` VALUES (163518, 3442, 30, 'ویزیت مرکز پرستاری');
INSERT INTO `lang_definitions` VALUES (163519, 3443, 30, 'ویزیت کاردرمانی');
INSERT INTO `lang_definitions` VALUES (163520, 3444, 30, 'ویزیت بیمار در مطب');
INSERT INTO `lang_definitions` VALUES (163521, 3445, 30, 'ویزیت بیمار سرپایی');
INSERT INTO `lang_definitions` VALUES (163522, 3446, 30, 'ویزیت سرپایی با پزشک مراقبت های اولیه یا مختصص زنان و زایمان');
INSERT INTO `lang_definitions` VALUES (163523, 3447, 30, 'اندازه صفحه ویزیت');
INSERT INTO `lang_definitions` VALUES (163524, 3448, 30, 'پرداخت ویزیت');
INSERT INTO `lang_definitions` VALUES (163525, 3449, 30, 'ویزیت بارداری');
INSERT INTO `lang_definitions` VALUES (163526, 3450, 30, 'ویزیت پزشکی پیشگیرانه - مشاوره فردی');
INSERT INTO `lang_definitions` VALUES (163527, 3451, 30, 'ویزیت برای داروهای پیشگیرانه 40 سال و بالاتر');
INSERT INTO `lang_definitions` VALUES (163528, 3452, 30, 'ویزیت مشاوره گروهی پیشگیری پزشکی');
INSERT INTO `lang_definitions` VALUES (163529, 3453, 30, 'ویزیت سایر خدمات پزشکی پیشگیری');
INSERT INTO `lang_definitions` VALUES (163530, 3454, 30, 'ویزیت خدمات طب پیشگیری 18 سال و بالاتر');
INSERT INTO `lang_definitions` VALUES (163531, 3455, 30, 'پیش نمایش ویزیت');
INSERT INTO `lang_definitions` VALUES (163532, 3457, 30, 'ویزیت روانپزشکی و روانشناسی');
INSERT INTO `lang_definitions` VALUES (163533, 3458, 30, 'آمار ویزیت');
INSERT INTO `lang_definitions` VALUES (163534, 3459, 30, 'خلاصه ویزیت');
INSERT INTO `lang_definitions` VALUES (163535, 3460, 30, 'نوع ویزیت');
INSERT INTO `lang_definitions` VALUES (163536, 3461, 30, 'ویزیت کد بندی شد');
INSERT INTO `lang_definitions` VALUES (163537, 3462, 30, 'ویزیت:');
INSERT INTO `lang_definitions` VALUES (163538, 3463, 30, 'ویزیت:ویزیت با بستری غیر حاد، سرپایی یا چشم پزشکی ');
INSERT INTO `lang_definitions` VALUES (163539, 3464, 30, 'ویزیت ها');
INSERT INTO `lang_definitions` VALUES (163540, 3465, 30, 'فرمها و ویزیت ها');
INSERT INTO `lang_definitions` VALUES (163541, 3466, 30, 'فرمها و ویزیت ها');
INSERT INTO `lang_definitions` VALUES (163542, 3467, 30, 'ویزیت ها مجاز نیستند');
INSERT INTO `lang_definitions` VALUES (163543, 3468, 30, 'گزارش ویزیت');
INSERT INTO `lang_definitions` VALUES (163544, 3469, 30, 'قسمت ویزیت');
INSERT INTO `lang_definitions` VALUES (163545, 3470, 30, 'فایل رمزگذاری شده');
INSERT INTO `lang_definitions` VALUES (163546, 3471, 30, 'رمزگذاری');
INSERT INTO `lang_definitions` VALUES (163547, 3472, 30, 'پایان');
INSERT INTO `lang_definitions` VALUES (163548, 3473, 30, 'پایان (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (163549, 3474, 30, 'تا تاریخ');
INSERT INTO `lang_definitions` VALUES (163550, 3475, 30, 'تا تاریخ');
INSERT INTO `lang_definitions` VALUES (163551, 3476, 30, 'تاریخ پایان از');
INSERT INTO `lang_definitions` VALUES (163552, 3477, 30, 'در صورت ادامه دار بودن تاریخ پایان تاریخ را خالی بگذارید');
INSERT INTO `lang_definitions` VALUES (163553, 3478, 30, 'تاریخ پایان باید برابر یا بزرگتر از تاریخ شروع باشد');
INSERT INTO `lang_definitions` VALUES (163554, 3479, 30, 'تاریخ پایان باید دیرتر از تاریخ شروع باشد!');
INSERT INTO `lang_definitions` VALUES (163555, 3480, 30, 'تاریخ پایان باید بیشتر از تاریخ شروع باشد');
INSERT INTO `lang_definitions` VALUES (163556, 3481, 30, 'تاریخ پایان به');
INSERT INTO `lang_definitions` VALUES (163557, 3482, 30, 'تاریخ پایان:');
INSERT INTO `lang_definitions` VALUES (163558, 3483, 30, 'پایان روز توسط ارائه دهنده یا فقط تعداد کل مجاز');
INSERT INTO `lang_definitions` VALUES (163559, 3484, 30, 'گزارش پایان روز');
INSERT INTO `lang_definitions` VALUES (163560, 3485, 30, 'پایان گزارش');
INSERT INTO `lang_definitions` VALUES (163561, 3486, 30, 'پایان درخواست');
INSERT INTO `lang_definitions` VALUES (163562, 3487, 30, 'زمان پایان');
INSERT INTO `lang_definitions` VALUES (163563, 3489, 30, 'ذینفع بیماری کلیه در مرحله نهایی در MCP با برنامه گروه کارفرمایان');
INSERT INTO `lang_definitions` VALUES (163564, 3490, 30, 'تسهیلات درمان بیماری کلیه مرحله آخر');
INSERT INTO `lang_definitions` VALUES (163565, 3491, 30, 'تاریخ پایان');
INSERT INTO `lang_definitions` VALUES (163566, 3492, 30, 'تاریخ پایان خدمت yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (163567, 3493, 30, 'پایان تاریخ سرویس، اگر می خواهید محدوده ای وارد کنید');
INSERT INTO `lang_definitions` VALUES (163568, 3494, 30, 'ساعت پایان روز برای رویدادهای تقویم.');
INSERT INTO `lang_definitions` VALUES (163569, 3495, 30, 'Endo Abnormal Blood');
INSERT INTO `lang_definitions` VALUES (163570, 3496, 30, 'غدد درون ریز');
INSERT INTO `lang_definitions` VALUES (163571, 3497, 30, 'آندوسکوپی');
INSERT INTO `lang_definitions` VALUES (163572, 3498, 30, 'غدد درون ریز');
INSERT INTO `lang_definitions` VALUES (163573, 3499, 30, 'اجبار ایمیل را در صفحه ورود به سیستم پورتال');
INSERT INTO `lang_definitions` VALUES (163574, 3500, 30, 'مهندس');
INSERT INTO `lang_definitions` VALUES (163575, 3501, 30, 'شرکت مهندسی');
INSERT INTO `lang_definitions` VALUES (163576, 3502, 30, 'انگلیسی');
INSERT INTO `lang_definitions` VALUES (163577, 3503, 30, 'انگلیسی');
INSERT INTO `lang_definitions` VALUES (163578, 3504, 30, 'انگلیسی (هندی)');
INSERT INTO `lang_definitions` VALUES (163579, 3505, 30, 'انگلیسی (استاندارد)');
INSERT INTO `lang_definitions` VALUES (163580, 3506, 30, 'دستور Enscript که توسط هایلافاکس استفاده می شود.');
INSERT INTO `lang_definitions` VALUES (163581, 3507, 30, 'اطمینان حاصل کنید که OpenEMR حق نوشتن در دایرکتوری دارد');
INSERT INTO `lang_definitions` VALUES (163582, 3508, 30, 'اطمینان حاصل کنید که کدهای شناسایی منحصر به فرد هستند');
INSERT INTO `lang_definitions` VALUES (163583, 3509, 30, 'تخلیه گوش و حلق و بینی');
INSERT INTO `lang_definitions` VALUES (163584, 3510, 30, 'درد گوش و حلق و بینی');
INSERT INTO `lang_definitions` VALUES (163585, 3511, 30, 'یک دنباله منحصر به فرد وارد کنید ، اطلاعات بیشتر در مورد دنباله اعداد را در آینده خواهیم دید');
INSERT INTO `lang_definitions` VALUES (163586, 3512, 30, 'تاریخ شروع را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163587, 3513, 30, 'یک کد تشخیص را وارد کنید تا تمام فاکتورهایی که حاوی آن نیستند را حذف کنید');
INSERT INTO `lang_definitions` VALUES (163588, 3514, 30, 'دنباله 1 را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163589, 3515, 30, 'یک اصلاحیه وارد کنید ...');
INSERT INTO `lang_definitions` VALUES (163590, 3516, 30, 'در صورت حل مشکل تاریخ پایان را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163591, 3517, 30, 'نام برنامه را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163592, 3518, 30, 'متن نامه را اینجا وارد کنید');
INSERT INTO `lang_definitions` VALUES (163593, 3519, 30, 'شهر را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163594, 3520, 30, 'رمز عبور root پایگاه داده را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163595, 3521, 30, 'نام کاربری root پایگاه داده را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163596, 3522, 30, 'جزئیات را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163597, 3523, 30, 'جزئیات مربوط به گروه دلخواه سفارشی را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163598, 3524, 30, 'جزئیات را برای نتایج گسسته وارد کنید');
INSERT INTO `lang_definitions` VALUES (163599, 3525, 30, 'جزئیات را برای گروه وارد کنید');
INSERT INTO `lang_definitions` VALUES (163600, 3526, 30, 'جزئیات مورد شخصی دلخواه سفارشی را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163601, 3527, 30, 'جزئیات روشهای فردی را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163602, 3528, 30, 'جزئیات توصیه را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163603, 3529, 30, 'تشخیص بیماری را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163604, 3530, 30, 'داروها ها را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163605, 3531, 30, 'آدرس ایمیل را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163606, 3532, 30, 'برای دریافت ثبت نام آدرس ایمیل را وارد کنید.');
INSERT INTO `lang_definitions` VALUES (163607, 3533, 30, 'ویزیت را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163608, 3534, 30, 'شماره برخورد را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163609, 3535, 30, 'نام درمانگاه را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163610, 3536, 30, 'شناسه را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163611, 3537, 30, 'واکسیناسیون ها را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163612, 3538, 30, 'کلید را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163613, 3539, 30, 'آخرین را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163614, 3540, 30, 'نام را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163615, 3541, 30, 'برای کمک به پردازش این مطالبه خاص ، اطلاعات لازم را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163616, 3542, 30, 'داده های جدید وارد کنید');
INSERT INTO `lang_definitions` VALUES (163617, 3543, 30, 'یادداشت دفتری جدید را اینجا وارد کنید');
INSERT INTO `lang_definitions` VALUES (163618, 3544, 30, 'وضعیت جدید را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163619, 3545, 30, 'در صورت لزوم واقعه را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163620, 3546, 30, 'گزینه های موجود در کادرهای مختلف را وارد کرده یا انتخاب کنید و دکمه فیلتر را فشار دهید تا نتایج را مطابق با نیاز فیلتر کنید');
INSERT INTO `lang_definitions` VALUES (163621, 3547, 30, 'رمز عبور را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163622, 3548, 30, 'جزئیات ارائه دهنده را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163623, 3549, 30, 'آدرس مستقیم گیرنده را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163624, 3551, 30, 'در صورت خالی بودن خودش وارد شود');
INSERT INTO `lang_definitions` VALUES (163625, 3552, 30, 'سرم اوریک اسید را در کادر وارد کنید');
INSERT INTO `lang_definitions` VALUES (163626, 3553, 30, 'دستور سرم اوریک اسید را در کادر توضیحات وارد کنید');
INSERT INTO `lang_definitions` VALUES (163627, 3554, 30, 'نتیجه سرم اوریک اسید را در زیر توضیحات وارد کنید');
INSERT INTO `lang_definitions` VALUES (163628, 3555, 30, 'ز');
INSERT INTO `lang_definitions` VALUES (163629, 3556, 30, 'داده های دسته را در قسمت های مناسب وارد کنید و \"ذخیره\" را کلیک کنید. اینها برای گروه بندی کدهای ICD استفاده می شوند و روی دکمه های بخش \"انتخاب کدها\" نمایش داده می شوند');
INSERT INTO `lang_definitions` VALUES (163630, 3557, 30, 'کد را از برنامه احراز هویت در دستگاه خود وارد کنید');
INSERT INTO `lang_definitions` VALUES (163631, 3558, 30, 'مقادیر پیش فرض دامنه را در صورت وجود ، که در ورودی دستی نتایج استفاده می شود ، وارد کنید.');
INSERT INTO `lang_definitions` VALUES (163632, 3559, 30, 'واحدهای پیش فرض این آزمون را وارد کنید.');
INSERT INTO `lang_definitions` VALUES (163633, 3560, 30, 'جزئیات را وارد کنید - نام - تست های زن سالم ، توضیحات - تست های زن سالم ، یک توالی مناسب اعداد بسته به دستورالعمل های قبلاً وارد شده ، سفارش از - آزمایشگاه محلی');
INSERT INTO `lang_definitions` VALUES (163634, 3561, 30, 'جزئیات را به صورت زیر وارد کنید نام - گلوکز خون ، توضیحات - نتیجه گلوکز ناشتا ، دنباله - 1 ، کد شناسایی - هر مقدار منحصر به فرد - WWT01R ، واحدهای پیش فرض - میلی گرم در دسی لیتر ، دامنه پیش فرض - 70-100 ، خدمات پیگیری را خالی بگذارید و ذخیره را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (163635, 3562, 30, 'آدرس مستقیم را وارد کرده و بر حسب مورد روی ارسال CCR / CCD کلیک کنید');
INSERT INTO `lang_definitions` VALUES (163636, 3563, 30, 'موارد زیر را وارد کنید: نام - گلوکز خون ، توضیحات - گلوکز خون ناشتا ، ترتیب - 1 ، سفارش از - آزمایشگاه محلی');
INSERT INTO `lang_definitions` VALUES (163637, 3564, 30, 'در صورت امکان، سمت غالب بدن برای این روش را وارد کنید.');
INSERT INTO `lang_definitions` VALUES (163638, 3565, 30, 'نام ها و کد های شناسایی منطقی مشاهده (LOINC) برای این روش را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163639, 3566, 30, 'نام ها و کد های شناسایی منطقی مشاهده(LOINC) برای این روش را وارد کنید. LOINC یک پایگاه داده و استاندارد جهانی برای شناسایی مشاهدات آزمایشگاهی پزشکی است.');
INSERT INTO `lang_definitions` VALUES (163640, 3567, 30, 'کد LOINC را برای این روش وارد کنید');
INSERT INTO `lang_definitions` VALUES (163641, 3568, 30, 'رمز ورود OpenEMR را برای کاربر وارد کنید و روی ارسال کلیک کنید');
INSERT INTO `lang_definitions` VALUES (163642, 3569, 30, 'کد شناسایی مجدد را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163643, 3570, 30, 'سایت مربوطه در صورت وجود وارد کنید.');
INSERT INTO `lang_definitions` VALUES (163644, 3571, 30, 'آدرس سرور ، نام کاربری و گذرواژه ارائه شده به شما را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163645, 3572, 30, 'شدت آلرژی را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163646, 3573, 30, 'در صورت وجود نوع نمونه را وارد کنید.');
INSERT INTO `lang_definitions` VALUES (163647, 3574, 30, 'مقادیر 3.4 - 7.2 برای مردان ، 2.4–6.1 برای زنان را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163648, 3575, 30, 'نام کاربری OpenEMR آنها را در قسمت کاربر اعلان وارد کنید');
INSERT INTO `lang_definitions` VALUES (163649, 3576, 30, 'شناسه ورود کاربر را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163650, 3577, 30, 'مقادیر را در این بخش وارد کنید تا گروه جدیدی به نام شی درخواست دسترسی (ARO) نیز شناخته شود.');
INSERT INTO `lang_definitions` VALUES (163651, 3578, 30, 'اعتبار خود را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163652, 3581, 30, 'شرایط جستجوخود را در بالا وارد کنید');
INSERT INTO `lang_definitions` VALUES (163653, 3582, 30, 'کد شهر خود را وارد کنید');
INSERT INTO `lang_definitions` VALUES (163654, 3583, 30, 'وارد شده توسط');
INSERT INTO `lang_definitions` VALUES (163655, 3584, 30, 'وارد شده در خطا');
INSERT INTO `lang_definitions` VALUES (163656, 3586, 30, 'ورودی ها');
INSERT INTO `lang_definitions` VALUES (163657, 3587, 30, 'ارتفاع پاکت به میلی متر');
INSERT INTO `lang_definitions` VALUES (163658, 3588, 30, 'عرض پاکت به میلی متر');
INSERT INTO `lang_definitions` VALUES (163659, 3589, 30, 'نقطه شروع محور افقی پاکت');
INSERT INTO `lang_definitions` VALUES (163660, 3590, 30, 'نقطه شروع محور عمودی پاکت');
INSERT INTO `lang_definitions` VALUES (163661, 3591, 30, 'محیطی');
INSERT INTO `lang_definitions` VALUES (163662, 3592, 30, 'ورود داده توضیح مزایا');
INSERT INTO `lang_definitions` VALUES (163663, 3593, 30, 'ورود داده توضیح مزایا');
INSERT INTO `lang_definitions` VALUES (163664, 3594, 30, 'شناسه توضیح مزایا');
INSERT INTO `lang_definitions` VALUES (163665, 3595, 30, 'فاکتور توضیح مزایا');
INSERT INTO `lang_definitions` VALUES (163666, 3596, 30, 'ارسال توضیح مزایا - حواله های الکترونیکی');
INSERT INTO `lang_definitions` VALUES (163667, 3597, 30, 'ارسال توضیح مزایا - دستورالعمل ها');
INSERT INTO `lang_definitions` VALUES (163668, 3598, 30, 'ارسال توضیح مزایا - فاکتور');
INSERT INTO `lang_definitions` VALUES (163669, 3599, 30, 'ارسال توضیح مزایا - یادداشت بیمار');
INSERT INTO `lang_definitions` VALUES (163670, 3600, 30, 'ارسال توضیح مزایا - جستجو');
INSERT INTO `lang_definitions` VALUES (163671, 3601, 30, 'توضیح مزایا');
INSERT INTO `lang_definitions` VALUES (163672, 3602, 30, 'صرع');
INSERT INTO `lang_definitions` VALUES (163673, 3603, 30, 'قسمت');
INSERT INTO `lang_definitions` VALUES (163674, 3604, 30, 'غربالگری زودرس و دوره ای ، تشخیصی و درمانی');
INSERT INTO `lang_definitions` VALUES (163675, 3605, 30, 'غربالگری زودرس و دوره ای ، تشخیصی و درمانی');
INSERT INTO `lang_definitions` VALUES (163676, 3606, 30, 'برابر');
INSERT INTO `lang_definitions` VALUES (163677, 3607, 30, 'قدرت معادل لنز تماسی در سطح قرنیه');
INSERT INTO `lang_definitions` VALUES (163678, 3608, 30, 'مشاوره حواله الکترونیکی');
INSERT INTO `lang_definitions` VALUES (163679, 3609, 30, 'فایل های مشاوره حواله الکترونیکی');
INSERT INTO `lang_definitions` VALUES (163680, 3610, 30, 'ارسال مشاوره الکترونیکی حواله');
INSERT INTO `lang_definitions` VALUES (163681, 3611, 30, 'بارگذاری مشاوره الکترونیکی حواله');
INSERT INTO `lang_definitions` VALUES (163682, 3612, 30, 'پاک کن');
INSERT INTO `lang_definitions` VALUES (163683, 3613, 30, 'پاک کن');
INSERT INTO `lang_definitions` VALUES (163684, 3614, 30, 'نعوظ');
INSERT INTO `lang_definitions` VALUES (163685, 3615, 30, 'خطا');
INSERT INTO `lang_definitions` VALUES (163686, 3616, 30, 'خطا');
INSERT INTO `lang_definitions` VALUES (163687, 3617, 30, 'خطا هنگام تأیید دریافت نتایج آزمایشگاهی');
INSERT INTO `lang_definitions` VALUES (163688, 3618, 30, 'خطا در ایجاد دایرکتوری!');
INSERT INTO `lang_definitions` VALUES (163689, 3620, 30, 'خطا در دریافت نتایج آزمایشگاه از شبکه تبادل آزمایشگاه ها');
INSERT INTO `lang_definitions` VALUES (163690, 3621, 30, 'خطا در انتخاب \"جنسیت\"');
INSERT INTO `lang_definitions` VALUES (163691, 3622, 30, 'خطا در انتخاب \"HIPAA\"');
INSERT INTO `lang_definitions` VALUES (163692, 3623, 30, 'خطا در انتخاب \"فرآیند\"');
INSERT INTO `lang_definitions` VALUES (163693, 3624, 30, 'خطا در انتخاب \"درگاه پیامک\"');
INSERT INTO `lang_definitions` VALUES (163694, 3625, 30, 'خطا در انتخاب \"مرتب سازی بر اساس\"');
INSERT INTO `lang_definitions` VALUES (163695, 3626, 30, 'خطا در فشرده سازی gzip فایل:');
INSERT INTO `lang_definitions` VALUES (163696, 3627, 30, 'خطا در گزینه بله یا خیر');
INSERT INTO `lang_definitions` VALUES (163697, 3628, 30, 'خطا شناسه بیمار موجود نیست');
INSERT INTO `lang_definitions` VALUES (163698, 3629, 30, 'شماره خطا');
INSERT INTO `lang_definitions` VALUES (163699, 3630, 30, 'خطا در باز کردن پرونده بارگذاری شده برای خواندن');
INSERT INTO `lang_definitions` VALUES (163700, 3631, 30, 'خطا در پردازش فایل');
INSERT INTO `lang_definitions` VALUES (163701, 3632, 30, 'خطا در پردازش بارگذاری');
INSERT INTO `lang_definitions` VALUES (163702, 3633, 30, 'خطا در حذف پیام');
INSERT INTO `lang_definitions` VALUES (163703, 3634, 30, 'خطا در بازیابی نتایج از شبکه تبادل آزمایشگاه ها');
INSERT INTO `lang_definitions` VALUES (163704, 3635, 30, 'خطا در بازیابی مقادیر.');
INSERT INTO `lang_definitions` VALUES (163705, 3636, 30, 'خطا در ذخیره سند');
INSERT INTO `lang_definitions` VALUES (163706, 3637, 30, 'هنگام اعطای حق دسترسی فایل به کاربر OpenEMR خطایی رخ داد.');
INSERT INTO `lang_definitions` VALUES (163707, 3638, 30, 'هنگام افزودن طرح جدید خطایی رخ داد');
INSERT INTO `lang_definitions` VALUES (163708, 3639, 30, 'هنگام حذف طرح خطایی روی داد');
INSERT INTO `lang_definitions` VALUES (163709, 3640, 30, 'خطا هنگام ثبت نام فرم!');
INSERT INTO `lang_definitions` VALUES (163710, 3641, 30, 'خطا در هنگام ذخیره به فایل');
INSERT INTO `lang_definitions` VALUES (163711, 3642, 30, 'خطا در هنگام به روز رسانی برنامه');
INSERT INTO `lang_definitions` VALUES (163712, 3643, 30, 'خطا در هنگام نوشتن به فایل');
INSERT INTO `lang_definitions` VALUES (163713, 3645, 30, 'خطا! ... در بروزرسانی');
INSERT INTO `lang_definitions` VALUES (163714, 3646, 30, 'خطا (های) حاصل از نتایج جدید');
INSERT INTO `lang_definitions` VALUES (163715, 3649, 30, 'خطا ، فایل گواهی CA وجود ندارد');
INSERT INTO `lang_definitions` VALUES (163716, 3650, 30, 'خطا، فایل کلید CA وجود ندارد');
INSERT INTO `lang_definitions` VALUES (163717, 3651, 30, 'خطا، فایل وجود ندارد');
INSERT INTO `lang_definitions` VALUES (163718, 3652, 30, 'خطا ، گرفتن داده ها از سرور امکان پذیر نیست');
INSERT INTO `lang_definitions` VALUES (163719, 3653, 30, 'خطا ، ایجاد گواهی مشتری امکان پذیر نیست.');
INSERT INTO `lang_definitions` VALUES (163720, 3654, 30, 'خطا ، ایجاد گواهی admin.p12 امکان پذیر نیست.');
INSERT INTO `lang_definitions` VALUES (163721, 3655, 30, 'خطا ، ایجاد گواهی Certificate Authority امکان پذیر نیست.');
INSERT INTO `lang_definitions` VALUES (163722, 3656, 30, 'خطا ، ایجاد گواهی سرور امکان پذیر نیست.');
INSERT INTO `lang_definitions` VALUES (163723, 3658, 30, 'خطا ، باز کردن فایل امکان پذیر نیست');
INSERT INTO `lang_definitions` VALUES (163724, 3659, 30, 'خطا ، احراز هویت گواهی کاربر در OpenEMR فعال نیست');
INSERT INTO `lang_definitions` VALUES (163725, 3662, 30, 'خطا. بعدا دوباره تلاش کنید');
INSERT INTO `lang_definitions` VALUES (163726, 3663, 30, 'خطا شما باید ماژول آرشیو php یا Tar.php را نصب کنید.');
INSERT INTO `lang_definitions` VALUES (163727, 3664, 30, 'خطا: نمی توان table.sql را باز کرد ، فرم خراب است؟');
INSERT INTO `lang_definitions` VALUES (163728, 3665, 30, 'خطا: شناسه تکراری');
INSERT INTO `lang_definitions` VALUES (163729, 3666, 30, 'خطا: شناسه تکراری');
INSERT INTO `lang_definitions` VALUES (163730, 3667, 30, 'خطا: شناسه تکراری در این خط');
INSERT INTO `lang_definitions` VALUES (163731, 3668, 30, 'خطا: نام تکراری در خط');
INSERT INTO `lang_definitions` VALUES (163732, 3669, 30, 'خطا: فیلد');
INSERT INTO `lang_definitions` VALUES (163733, 3670, 30, 'خطا: ماژول PHP ZipArchive وجود ندارد');
INSERT INTO `lang_definitions` VALUES (163734, 3671, 30, 'خطا: دایرکتوری وارد کردن ICD وجود ندارد.');
INSERT INTO `lang_definitions` VALUES (163735, 3672, 30, 'خطا: رمزهای عبور با هم مطابقت ندارند. لطفا تایپ خود را بررسی کنید.');
INSERT INTO `lang_definitions` VALUES (163736, 3673, 30, 'خطا: رمزهای عبور با هم مطابقت ندارند. لطفا تایپ خود را بررسی کنید.');
INSERT INTO `lang_definitions` VALUES (163737, 3674, 30, 'خطا: فایل وجود ندارد');
INSERT INTO `lang_definitions` VALUES (163738, 3675, 30, 'خطا: متغیر زیر حاوی کاراکترهای نامعتبر است');
INSERT INTO `lang_definitions` VALUES (163739, 3676, 30, 'خطا: کپی کردن فایل امکان پذیر نیست.');
INSERT INTO `lang_definitions` VALUES (163740, 3677, 30, 'خطا: ایجاد آرشیو قابل دانلود امکان پذیر نیست');
INSERT INTO `lang_definitions` VALUES (163741, 3678, 30, 'خطا: ایجاد آرشیو Zip امکان پذیر نیست.');
INSERT INTO `lang_definitions` VALUES (163742, 3679, 30, 'خطا: استخراج فایل آرشیو امکان پذیر نیست.');
INSERT INTO `lang_definitions` VALUES (163743, 3680, 30, 'خطا: بارگیری پرونده در پایگاه داده امکان پذیر نیست.');
INSERT INTO `lang_definitions` VALUES (163744, 3681, 30, 'خطا: تنظیم شماره نسخه امکان پذیر نیست.');
INSERT INTO `lang_definitions` VALUES (163745, 3682, 30, 'خطاها');
INSERT INTO `lang_definitions` VALUES (163746, 3684, 30, 'وضعیت حساب eRx');
INSERT INTO `lang_definitions` VALUES (163747, 3685, 30, 'لاگ های eRx');
INSERT INTO `lang_definitions` VALUES (163748, 3686, 30, 'نام ERX');
INSERT INTO `lang_definitions` VALUES (163749, 3687, 30, 'رمز عبور ERX');
INSERT INTO `lang_definitions` VALUES (163750, 3688, 30, 'نقش ERX');
INSERT INTO `lang_definitions` VALUES (163751, 3689, 30, 'کاربر ERX');
INSERT INTO `lang_definitions` VALUES (163752, 3690, 30, 'اریتما:');
INSERT INTO `lang_definitions` VALUES (163753, 3691, 30, 'امضای الکترونیک');
INSERT INTO `lang_definitions` VALUES (163754, 3692, 30, 'لاگ امضای الکترونیک');
INSERT INTO `lang_definitions` VALUES (163755, 3693, 30, 'اسکیمو');
INSERT INTO `lang_definitions` VALUES (163756, 3694, 30, 'ازوفوری');
INSERT INTO `lang_definitions` VALUES (163757, 3695, 30, 'ایزوتروپی (چشمان همگرا)');
INSERT INTO `lang_definitions` VALUES (163758, 3696, 30, 'اسپرانتو');
INSERT INTO `lang_definitions` VALUES (163759, 3698, 30, 'ایجاد شده');
INSERT INTO `lang_definitions` VALUES (163760, 3699, 30, 'بیمار با سابقه مشخص');
INSERT INTO `lang_definitions` VALUES (163761, 3700, 30, 'استونیایی');
INSERT INTO `lang_definitions` VALUES (163762, 3701, 30, 'قومیت');
INSERT INTO `lang_definitions` VALUES (163763, 3702, 30, 'قومیت یا نژاد');
INSERT INTO `lang_definitions` VALUES (163764, 3703, 30, 'فهرست قومیت - نژاد (نوشتن، addonly اختیاری)');
INSERT INTO `lang_definitions` VALUES (163765, 3704, 30, 'فهرست قومیت - نژاد (نوشتن، addonly اختیاری)');
INSERT INTO `lang_definitions` VALUES (163766, 3705, 30, 'قومی نژادی');
INSERT INTO `lang_definitions` VALUES (163767, 3706, 30, 'ETIN');
INSERT INTO `lang_definitions` VALUES (163768, 3707, 30, 'الکل اتانول');
INSERT INTO `lang_definitions` VALUES (163769, 3708, 30, 'ET {{ازوتروپیا}}');
INSERT INTO `lang_definitions` VALUES (163770, 3709, 30, 'رویداد');
INSERT INTO `lang_definitions` VALUES (163771, 3710, 30, 'رویداد آغاز می شود');
INSERT INTO `lang_definitions` VALUES (163772, 3711, 30, 'دسته بندی رویداد');
INSERT INTO `lang_definitions` VALUES (163773, 3712, 30, 'تاریخ رویداد');
INSERT INTO `lang_definitions` VALUES (163774, 3713, 30, 'تاریخ رویداد یا تاریخ شروع');
INSERT INTO `lang_definitions` VALUES (163775, 3714, 30, 'توضیحات رویداد');
INSERT INTO `lang_definitions` VALUES (163776, 3715, 30, 'جزئیات رویداد');
INSERT INTO `lang_definitions` VALUES (163777, 3716, 30, 'رویداد تکرار نمی شود');
INSERT INTO `lang_definitions` VALUES (163778, 3717, 30, 'طول مدت رویداد');
INSERT INTO `lang_definitions` VALUES (163779, 3718, 30, 'طول مدت زمان رویداد به دقیقه');
INSERT INTO `lang_definitions` VALUES (163780, 3719, 30, 'هزینه رویداد');
INSERT INTO `lang_definitions` VALUES (163781, 3720, 30, 'محل رویداد');
INSERT INTO `lang_definitions` VALUES (163782, 3721, 30, 'تکرار رویداد هر');
INSERT INTO `lang_definitions` VALUES (163783, 3722, 30, 'تکرار رویداد');
INSERT INTO `lang_definitions` VALUES (163784, 3723, 30, 'زمان شروع رویداد');
INSERT INTO `lang_definitions` VALUES (163785, 3724, 30, 'عنوان رویداد');
INSERT INTO `lang_definitions` VALUES (163786, 3725, 30, 'عنوان رویداد');
INSERT INTO `lang_definitions` VALUES (163787, 3726, 30, 'وب سایت رویداد');
INSERT INTO `lang_definitions` VALUES (163788, 3727, 30, 'رویدادها');
INSERT INTO `lang_definitions` VALUES (163789, 3728, 30, 'رویدادهای');
INSERT INTO `lang_definitions` VALUES (163790, 3729, 30, 'رویدادها را در صفحه جدید باز میشوند');
INSERT INTO `lang_definitions` VALUES (163791, 3730, 30, 'رویدادهای برنامه ریزی شده');
INSERT INTO `lang_definitions` VALUES (163792, 3731, 30, 'هر');
INSERT INTO `lang_definitions` VALUES (163793, 3732, 30, 'هر');
INSERT INTO `lang_definitions` VALUES (163794, 3733, 30, 'هر 2 تا');
INSERT INTO `lang_definitions` VALUES (163795, 3734, 30, 'هر ۳ ساعت');
INSERT INTO `lang_definitions` VALUES (163796, 3735, 30, 'هر 3 تا');
INSERT INTO `lang_definitions` VALUES (163797, 3736, 30, 'هر ۴ ساعت');
INSERT INTO `lang_definitions` VALUES (163798, 3737, 30, 'هر 4 تا');
INSERT INTO `lang_definitions` VALUES (163799, 3738, 30, 'هر ۵ ساعت');
INSERT INTO `lang_definitions` VALUES (163800, 3739, 30, 'هر 5 تا');
INSERT INTO `lang_definitions` VALUES (163801, 3740, 30, 'هر ۶ ساعت');
INSERT INTO `lang_definitions` VALUES (163802, 3741, 30, 'هر 6 تا');
INSERT INTO `lang_definitions` VALUES (163803, 3742, 30, 'هر ۸ ساعت');
INSERT INTO `lang_definitions` VALUES (163804, 3743, 30, 'هر 4 تا یکی');
INSERT INTO `lang_definitions` VALUES (163805, 3744, 30, 'هر نامی که در کتاب آدرس وجود دارد اینجا نمایش داده میشود ، نه تنها پزشکان.');
INSERT INTO `lang_definitions` VALUES (163806, 3745, 30, 'یکی‌ در میان');
INSERT INTO `lang_definitions` VALUES (163807, 3746, 30, 'هر 3 تا یکی');
INSERT INTO `lang_definitions` VALUES (163808, 3747, 30, 'همه ، یکی درمیان ، هر 3 تا یکی و غیره');
INSERT INTO `lang_definitions` VALUES (163809, 3749, 30, 'نتایج معاینه و تست');
INSERT INTO `lang_definitions` VALUES (163810, 3750, 30, 'نتایج معاینه');
INSERT INTO `lang_definitions` VALUES (163811, 3751, 30, 'اتاق معاینه شماره');
INSERT INTO `lang_definitions` VALUES (163812, 3752, 30, 'اتاق معاینه شماره');
INSERT INTO `lang_definitions` VALUES (163813, 3753, 30, 'معاینه');
INSERT INTO `lang_definitions` VALUES (163814, 3754, 30, 'تاریخ معاینه');
INSERT INTO `lang_definitions` VALUES (163815, 3755, 30, 'مثال');
INSERT INTO `lang_definitions` VALUES (163816, 3756, 30, 'نمونه برنامه های تأیید اعتبار شامل');
INSERT INTO `lang_definitions` VALUES (163817, 3757, 30, 'نمونه فایل Privacy_Convention.text در اسناد بیمار به دکمه توافقنامه حریم خصوصی تبدیل می شود');
INSERT INTO `lang_definitions` VALUES (163818, 3758, 30, 'مثالها');
INSERT INTO `lang_definitions` VALUES (163819, 3759, 30, 'نمونه هایی از بخشها عبارتند از: داروها ، آلرژی ها ، علائم حیاتی');
INSERT INTO `lang_definitions` VALUES (163820, 3760, 30, 'معاینه/آزمونها');
INSERT INTO `lang_definitions` VALUES (163821, 3761, 30, 'معاینه{{معاینه فیزیکی}}');
INSERT INTO `lang_definitions` VALUES (163822, 3762, 30, 'بجز');
INSERT INTO `lang_definitions` VALUES (163823, 3763, 30, 'پاره شدن بیش از حد');
INSERT INTO `lang_definitions` VALUES (163824, 3765, 30, 'قرارهای مستثنی - راهنمای ابزار - شماره ای برای نمایش');
INSERT INTO `lang_definitions` VALUES (163825, 3766, 30, 'بیماران مستثنی');
INSERT INTO `lang_definitions` VALUES (163826, 3767, 30, 'استثنا');
INSERT INTO `lang_definitions` VALUES (163827, 3768, 30, 'سازمان ارائه دهنده انحصاری (EPO)');
INSERT INTO `lang_definitions` VALUES (163828, 3769, 30, 'موارد اجرایی مجاز نیست');
INSERT INTO `lang_definitions` VALUES (163829, 3770, 30, 'اندازه کاغذ مدیریتی');
INSERT INTO `lang_definitions` VALUES (163830, 3771, 30, 'ورزش');
INSERT INTO `lang_definitions` VALUES (163831, 3772, 30, 'الگوهای ورزش');
INSERT INTO `lang_definitions` VALUES (163832, 3773, 30, 'الگوهای ورزش');
INSERT INTO `lang_definitions` VALUES (163833, 3774, 30, 'وجود دارد');
INSERT INTO `lang_definitions` VALUES (163834, 3777, 30, 'خروج');
INSERT INTO `lang_definitions` VALUES (163835, 3778, 30, 'خروج از مدیریت نرم افزار');
INSERT INTO `lang_definitions` VALUES (163836, 3779, 30, 'خروج از نامه');
INSERT INTO `lang_definitions` VALUES (163837, 3780, 30, 'اگزوفوریا');
INSERT INTO `lang_definitions` VALUES (163838, 3781, 30, 'اگزوتروپیا');
INSERT INTO `lang_definitions` VALUES (163839, 3782, 30, 'انقضا');
INSERT INTO `lang_definitions` VALUES (163840, 3783, 30, 'تاریخ انقضا');
INSERT INTO `lang_definitions` VALUES (163841, 3784, 30, 'گسترش');
INSERT INTO `lang_definitions` VALUES (163842, 3785, 30, 'گسترش');
INSERT INTO `lang_definitions` VALUES (163843, 3787, 30, 'گسترش همه');
INSERT INTO `lang_definitions` VALUES (163844, 3788, 30, 'گسترش همه دسته های اسناد');
INSERT INTO `lang_definitions` VALUES (163845, 3789, 30, 'گسترش همه دسته های اسناد');
INSERT INTO `lang_definitions` VALUES (163846, 3792, 30, 'نمایش گسترده');
INSERT INTO `lang_definitions` VALUES (163847, 3794, 30, 'انقضاء');
INSERT INTO `lang_definitions` VALUES (163848, 3795, 30, 'تاریخ انقضاء');
INSERT INTO `lang_definitions` VALUES (163849, 3797, 30, 'منقضی می شود');
INSERT INTO `lang_definitions` VALUES (163850, 3798, 30, 'منقضی می شود در');
INSERT INTO `lang_definitions` VALUES (163851, 3799, 30, 'صادر کردن');
INSERT INTO `lang_definitions` VALUES (163852, 3800, 30, 'صادر کردن به صورت CSV');
INSERT INTO `lang_definitions` VALUES (163853, 3806, 30, 'صادر کردن جمعیت شناسی بیمار');
INSERT INTO `lang_definitions` VALUES (163854, 3810, 30, 'صادر کردن انتخاب شده به صورت CSV');
INSERT INTO `lang_definitions` VALUES (163855, 3812, 30, 'صادر کردن به CSV');
INSERT INTO `lang_definitions` VALUES (163856, 3813, 30, 'صادر کردن به سیستم حسابداری خارجی');
INSERT INTO `lang_definitions` VALUES (163857, 3815, 30, 'قرار گرفتن در معرض کشورهای خارجی');
INSERT INTO `lang_definitions` VALUES (163858, 3816, 30, 'قرار گرفتن در معرض کشورهای خارجی');
INSERT INTO `lang_definitions` VALUES (163859, 3820, 30, 'بیرونی');
INSERT INTO `lang_definitions` VALUES (163860, 3823, 30, 'بارهای داده های بیرونی');
INSERT INTO `lang_definitions` VALUES (163861, 3824, 30, 'ابزار واردات پایگاه داده های بیرونی');
INSERT INTO `lang_definitions` VALUES (163862, 3828, 30, 'شناسه بیرونی');
INSERT INTO `lang_definitions` VALUES (163863, 3829, 30, 'شناسه بیرونی');
INSERT INTO `lang_definitions` VALUES (163864, 3830, 30, 'شناسه بیرونی');
INSERT INTO `lang_definitions` VALUES (163865, 3831, 30, 'فقط بیرونی');
INSERT INTO `lang_definitions` VALUES (163866, 3834, 30, 'ارجاع بیرونی');
INSERT INTO `lang_definitions` VALUES (163867, 3835, 30, 'پیگیری ارجاع بیرونی');
INSERT INTO `lang_definitions` VALUES (163868, 3836, 30, 'ارجاع بیرونی؟');
INSERT INTO `lang_definitions` VALUES (163869, 3837, 30, 'ارجاعات بیرونی');
INSERT INTO `lang_definitions` VALUES (163870, 3838, 30, 'استخراج فایل ZIP');
INSERT INTO `lang_definitions` VALUES (163871, 3839, 30, 'در حال استخراج فایل. این کار کمی طول می کشد ...');
INSERT INTO `lang_definitions` VALUES (163872, 3850, 30, 'سوزش چشم');
INSERT INTO `lang_definitions` VALUES (163873, 3856, 30, 'درد چشم');
INSERT INTO `lang_definitions` VALUES (163874, 3860, 30, 'قرمزی چشم');
INSERT INTO `lang_definitions` VALUES (163875, 3863, 30, 'چشم ها');
INSERT INTO `lang_definitions` VALUES (163876, 3866, 30, 'F/H Blood Problems');
INSERT INTO `lang_definitions` VALUES (163877, 3867, 30, 'F/H Female Hirsutism/Striae');
INSERT INTO `lang_definitions` VALUES (163878, 3868, 30, 'درمانگاه ها');
INSERT INTO `lang_definitions` VALUES (163879, 3869, 30, 'درمانگاه');
INSERT INTO `lang_definitions` VALUES (163880, 3870, 30, 'درمانگاه');
INSERT INTO `lang_definitions` VALUES (163881, 3871, 30, 'مدیریت درمانگاه');
INSERT INTO `lang_definitions` VALUES (163882, 3872, 30, 'شهر درمانگاه');
INSERT INTO `lang_definitions` VALUES (163883, 3873, 30, 'کد درمانگاه');
INSERT INTO `lang_definitions` VALUES (163884, 3875, 30, 'کد کشوری درمانگاه');
INSERT INTO `lang_definitions` VALUES (163885, 3876, 30, 'نمابر درمانگاه');
INSERT INTO `lang_definitions` VALUES (163886, 3878, 30, 'نام درمانگاه');
INSERT INTO `lang_definitions` VALUES (163887, 3879, 30, 'شماره پروانه بهره برداری');
INSERT INTO `lang_definitions` VALUES (163888, 3880, 30, 'شماره تلفن درمانگاه');
INSERT INTO `lang_definitions` VALUES (163889, 3883, 30, 'وضعیت درمانگاه');
INSERT INTO `lang_definitions` VALUES (163890, 3884, 30, 'خیابان درمانگاه');
INSERT INTO `lang_definitions` VALUES (163891, 3886, 30, 'کد پستی درمانگاه');
INSERT INTO `lang_definitions` VALUES (163892, 3888, 30, 'درمانگاه:');
INSERT INTO `lang_definitions` VALUES (163893, 3908, 30, 'عدم موفقیت');
INSERT INTO `lang_definitions` VALUES (163894, 3916, 30, 'سابقه خانوادگی');
INSERT INTO `lang_definitions` VALUES (163895, 3918, 30, 'سابقه خانوادگی گلوکوم');
INSERT INTO `lang_definitions` VALUES (163896, 3919, 30, 'سابقه خانوادگی:');
INSERT INTO `lang_definitions` VALUES (163897, 3921, 30, 'پرداخت های خانواده');
INSERT INTO `lang_definitions` VALUES (163898, 3922, 30, 'تعداد افراد خانواده');
INSERT INTO `lang_definitions` VALUES (163899, 3925, 30, 'فارسی');
INSERT INTO `lang_definitions` VALUES (163900, 3928, 30, 'پدر');
INSERT INTO `lang_definitions` VALUES (163901, 3930, 30, 'خستگی');
INSERT INTO `lang_definitions` VALUES (163902, 3931, 30, 'خسته');
INSERT INTO `lang_definitions` VALUES (163903, 3933, 30, 'فکس');
INSERT INTO `lang_definitions` VALUES (163904, 3934, 30, 'شمارش فکس');
INSERT INTO `lang_definitions` VALUES (163905, 3935, 30, 'شماره فکس');
INSERT INTO `lang_definitions` VALUES (163906, 3940, 30, 'ویژگی ها');
INSERT INTO `lang_definitions` VALUES (163907, 3941, 30, 'فوریه');
INSERT INTO `lang_definitions` VALUES (163908, 3942, 30, 'فوریه');
INSERT INTO `lang_definitions` VALUES (163909, 3948, 30, 'هزینه');
INSERT INTO `lang_definitions` VALUES (163910, 3949, 30, 'هزینه');
INSERT INTO `lang_definitions` VALUES (163911, 3950, 30, 'هزینه مجاز نمی باشد');
INSERT INTO `lang_definitions` VALUES (163912, 3951, 30, 'جدول هزینه');
INSERT INTO `lang_definitions` VALUES (163913, 3953, 30, 'گزینه های جدول هزینه');
INSERT INTO `lang_definitions` VALUES (163914, 3955, 30, 'هزینه ها');
INSERT INTO `lang_definitions` VALUES (163915, 3956, 30, 'زن');
INSERT INTO `lang_definitions` VALUES (163916, 3966, 30, 'تب');
INSERT INTO `lang_definitions` VALUES (163917, 3967, 30, ':تب:');
INSERT INTO `lang_definitions` VALUES (163918, 3986, 30, 'پرونده');
INSERT INTO `lang_definitions` VALUES (163919, 4001, 30, 'فایلی برای آپلود');
INSERT INTO `lang_definitions` VALUES (163920, 4006, 30, 'پرونده ها');
INSERT INTO `lang_definitions` VALUES (163921, 4028, 30, 'فیلتر');
INSERT INTO `lang_definitions` VALUES (163922, 4032, 30, 'فیلترها');
INSERT INTO `lang_definitions` VALUES (163923, 4033, 30, 'فیلترها');
INSERT INTO `lang_definitions` VALUES (163924, 4034, 30, 'نهایی');
INSERT INTO `lang_definitions` VALUES (163925, 4035, 30, 'تشخیص نهایی');
INSERT INTO `lang_definitions` VALUES (163926, 4036, 30, 'تشخیص نهایی متخصص');
INSERT INTO `lang_definitions` VALUES (163927, 4038, 30, 'مالی');
INSERT INTO `lang_definitions` VALUES (163928, 4045, 30, 'تاریخ بررسی مالی');
INSERT INTO `lang_definitions` VALUES (163929, 4046, 30, 'شرح مختصر مالی بر اساس کد خدمات');
INSERT INTO `lang_definitions` VALUES (163930, 4048, 30, 'جستجو');
INSERT INTO `lang_definitions` VALUES (163931, 4049, 30, 'جستجوی وقت آزاد');
INSERT INTO `lang_definitions` VALUES (163932, 4050, 30, 'جستجوی وقت ملاقات آزاد');
INSERT INTO `lang_definitions` VALUES (163933, 4053, 30, 'جستجوی بیمار');
INSERT INTO `lang_definitions` VALUES (163934, 4054, 30, 'یافتن مطالب آموزشی بیمار');
INSERT INTO `lang_definitions` VALUES (163935, 4056, 30, 'یافته ها');
INSERT INTO `lang_definitions` VALUES (163936, 4057, 30, 'یافته های متخصص');
INSERT INTO `lang_definitions` VALUES (163937, 4060, 30, 'پایان پرداخت');
INSERT INTO `lang_definitions` VALUES (163938, 4062, 30, 'به پایان رسیده');
INSERT INTO `lang_definitions` VALUES (163939, 4068, 30, 'روز اول هفته');
INSERT INTO `lang_definitions` VALUES (163940, 4071, 30, 'نام');
INSERT INTO `lang_definitions` VALUES (163941, 4072, 30, 'نام');
INSERT INTO `lang_definitions` VALUES (163942, 4073, 30, 'نام:');
INSERT INTO `lang_definitions` VALUES (163943, 4079, 30, 'آمادگی جسمی');
INSERT INTO `lang_definitions` VALUES (163944, 4080, 30, 'سطح آمادگی جسمی');
INSERT INTO `lang_definitions` VALUES (163945, 4081, 30, 'سطح آمادگی جسمی این بازیکن در این روز');
INSERT INTO `lang_definitions` VALUES (163946, 4083, 30, 'آمادگی جسمی برای بازی');
INSERT INTO `lang_definitions` VALUES (163947, 4108, 30, 'Flu season');
INSERT INTO `lang_definitions` VALUES (163948, 4109, 30, 'Flu Season');
INSERT INTO `lang_definitions` VALUES (163949, 4110, 30, 'Flu Vaccination');
INSERT INTO `lang_definitions` VALUES (163950, 4111, 30, 'Fluid and electrolyte problem');
INSERT INTO `lang_definitions` VALUES (163951, 4125, 30, 'پیگیری خدمات');
INSERT INTO `lang_definitions` VALUES (163952, 4126, 30, 'پیگیری ها قید شده اند');
INSERT INTO `lang_definitions` VALUES (163953, 4129, 30, 'عدم تحمل غذایی');
INSERT INTO `lang_definitions` VALUES (163954, 4130, 30, 'پا');
INSERT INTO `lang_definitions` VALUES (163955, 4131, 30, 'مشکلات پا');
INSERT INTO `lang_definitions` VALUES (163956, 4132, 30, 'پا:');
INSERT INTO `lang_definitions` VALUES (163957, 4133, 30, 'آسیب دیدگی های فوتبال');
INSERT INTO `lang_definitions` VALUES (163958, 4135, 30, 'گزارش آسیب دیدگی های فوتبال');
INSERT INTO `lang_definitions` VALUES (163959, 4136, 30, 'نوع کفش');
INSERT INTO `lang_definitions` VALUES (163960, 4137, 30, 'برای');
INSERT INTO `lang_definitions` VALUES (163961, 4138, 30, 'برای');
INSERT INTO `lang_definitions` VALUES (163962, 4144, 30, 'برای کد');
INSERT INTO `lang_definitions` VALUES (163963, 4154, 30, 'برای مثال:');
INSERT INTO `lang_definitions` VALUES (163964, 4161, 30, 'برای فاکتور');
INSERT INTO `lang_definitions` VALUES (163965, 4188, 30, 'برای متغیر');
INSERT INTO `lang_definitions` VALUES (163966, 4189, 30, 'برای:');
INSERT INTO `lang_definitions` VALUES (163967, 4194, 30, 'بازو');
INSERT INTO `lang_definitions` VALUES (163968, 4195, 30, 'فرم');
INSERT INTO `lang_definitions` VALUES (163969, 4201, 30, 'قالب');
INSERT INTO `lang_definitions` VALUES (163970, 4202, 30, 'قالب');
INSERT INTO `lang_definitions` VALUES (163971, 4207, 30, 'گزارش فرمت شده');
INSERT INTO `lang_definitions` VALUES (163972, 4208, 30, 'سیگاری سابق');
INSERT INTO `lang_definitions` VALUES (163973, 4209, 30, 'فرم ها');
INSERT INTO `lang_definitions` VALUES (163974, 4210, 30, 'مدیریت فرم ها');
INSERT INTO `lang_definitions` VALUES (163975, 4215, 30, 'فرستادن');
INSERT INTO `lang_definitions` VALUES (163976, 4219, 30, 'فرستادن صفحات از طریق فکس');
INSERT INTO `lang_definitions` VALUES (163977, 4222, 30, 'فرستاده شده');
INSERT INTO `lang_definitions` VALUES (163978, 4225, 30, 'چهارم');
INSERT INTO `lang_definitions` VALUES (163979, 4227, 30, 'شکستگی');
INSERT INTO `lang_definitions` VALUES (163980, 4228, 30, 'شکستگی نویکل');
INSERT INTO `lang_definitions` VALUES (163981, 4229, 30, 'شکستگی قوزک جانبی');
INSERT INTO `lang_definitions` VALUES (163982, 4230, 30, 'شکستگی قوزک داخلی');
INSERT INTO `lang_definitions` VALUES (163983, 4231, 30, 'شکستگی قاعده متاتارس پنجم');
INSERT INTO `lang_definitions` VALUES (163984, 4235, 30, 'فرانسوی');
INSERT INTO `lang_definitions` VALUES (163985, 4236, 30, 'فرانسوی (کانادا)');
INSERT INTO `lang_definitions` VALUES (163986, 4237, 30, 'فرانسوی (استاندارد)');
INSERT INTO `lang_definitions` VALUES (163987, 4238, 30, 'فرکانس');
INSERT INTO `lang_definitions` VALUES (163988, 4239, 30, 'سرماخوردگیهای مکرر');
INSERT INTO `lang_definitions` VALUES (163989, 4240, 30, 'بیماری های مکرر');
INSERT INTO `lang_definitions` VALUES (163990, 4241, 30, 'جمعه');
INSERT INTO `lang_definitions` VALUES (163991, 4242, 30, 'جمعه');
INSERT INTO `lang_definitions` VALUES (163992, 4244, 30, 'از');
INSERT INTO `lang_definitions` VALUES (163993, 4245, 30, 'از');
INSERT INTO `lang_definitions` VALUES (163994, 4246, 30, 'از');
INSERT INTO `lang_definitions` VALUES (163995, 4253, 30, 'از:');
INSERT INTO `lang_definitions` VALUES (163996, 4254, 30, 'از:');
INSERT INTO `lang_definitions` VALUES (163997, 4267, 30, 'دفتر جلو');
INSERT INTO `lang_definitions` VALUES (163998, 4268, 30, 'رسیدهای دفتر جلو');
INSERT INTO `lang_definitions` VALUES (163999, 4269, 30, 'گزارش رسیدهای دفتر جلو');
INSERT INTO `lang_definitions` VALUES (164000, 4271, 30, 'پیشانی راست:');
INSERT INTO `lang_definitions` VALUES (164001, 4278, 30, 'نام کامل');
INSERT INTO `lang_definitions` VALUES (164002, 4280, 30, 'مسیر کامل دایرکتوری حاوی اجرایی های MySQL.');
INSERT INTO `lang_definitions` VALUES (164003, 4281, 30, 'مسیر کامل دایرکتوری حاوی اجرایی های Perl.');
INSERT INTO `lang_definitions` VALUES (164004, 4282, 30, 'مسیر کامل دایرکتوری تهیه پشتیبان رویدادها.');
INSERT INTO `lang_definitions` VALUES (164005, 4283, 30, 'مسیر کامل دایرکتوری برای فایل های موقت.');
INSERT INTO `lang_definitions` VALUES (164006, 4284, 30, 'پخش کامل');
INSERT INTO `lang_definitions` VALUES (164007, 4286, 30, 'آموزشی کامل');
INSERT INTO `lang_definitions` VALUES (164008, 4288, 30, 'کاملا پرداخت شده');
INSERT INTO `lang_definitions` VALUES (164009, 4302, 30, 'Gall Bladder Condition');
INSERT INTO `lang_definitions` VALUES (164010, 4303, 30, 'Gall Stones');
INSERT INTO `lang_definitions` VALUES (164011, 4310, 30, 'ورم معده');
INSERT INTO `lang_definitions` VALUES (164012, 4311, 30, 'درد معده');
INSERT INTO `lang_definitions` VALUES (164013, 4312, 30, 'دستگاه گوارش');
INSERT INTO `lang_definitions` VALUES (164014, 4318, 30, 'فرم ملاقات GCAC از دست رفته است');
INSERT INTO `lang_definitions` VALUES (164015, 4319, 30, 'جنس');
INSERT INTO `lang_definitions` VALUES (164016, 4320, 30, 'جنس');
INSERT INTO `lang_definitions` VALUES (164017, 4321, 30, 'عمومی');
INSERT INTO `lang_definitions` VALUES (164018, 4347, 30, 'ایجاد فاکتور');
INSERT INTO `lang_definitions` VALUES (164019, 4348, 30, 'ایجاد نامه');
INSERT INTO `lang_definitions` VALUES (164020, 4349, 30, 'ایجاد نامه در مورد');
INSERT INTO `lang_definitions` VALUES (164021, 4357, 30, 'ایجاد گزارش');
INSERT INTO `lang_definitions` VALUES (164022, 4377, 30, 'Genitourinary');
INSERT INTO `lang_definitions` VALUES (164023, 4381, 30, 'آلمانی');
INSERT INTO `lang_definitions` VALUES (164024, 4392, 30, 'گلوکوم یا آب سیاه');
INSERT INTO `lang_definitions` VALUES (164025, 4393, 30, 'تاریخچه خانوادگی گلوکوم یا آب سیاه');
INSERT INTO `lang_definitions` VALUES (164026, 4395, 30, 'سراسری');
INSERT INTO `lang_definitions` VALUES (164027, 4398, 30, 'شناسه سراسری');
INSERT INTO `lang_definitions` VALUES (164028, 4399, 30, 'تنظیمات سراسری');
INSERT INTO `lang_definitions` VALUES (164029, 4400, 30, 'تنظیمات سراسری');
INSERT INTO `lang_definitions` VALUES (164030, 4403, 30, 'برو');
INSERT INTO `lang_definitions` VALUES (164031, 4404, 30, 'برو');
INSERT INTO `lang_definitions` VALUES (164032, 4407, 30, 'برو به');
INSERT INTO `lang_definitions` VALUES (164033, 4417, 30, 'برو به هفته');
INSERT INTO `lang_definitions` VALUES (164034, 4418, 30, 'برو به امروز');
INSERT INTO `lang_definitions` VALUES (164035, 4428, 30, 'درجه آسیب دیدگی');
INSERT INTO `lang_definitions` VALUES (164036, 4429, 30, 'درجه:');
INSERT INTO `lang_definitions` VALUES (164037, 4430, 30, 'گرم');
INSERT INTO `lang_definitions` VALUES (164038, 4431, 30, 'جمع کل');
INSERT INTO `lang_definitions` VALUES (164039, 4432, 30, 'جمع کل');
INSERT INTO `lang_definitions` VALUES (164040, 4437, 30, 'بزرگتر از');
INSERT INTO `lang_definitions` VALUES (164041, 4438, 30, 'بزرگتر از یا مساوی با');
INSERT INTO `lang_definitions` VALUES (164042, 4439, 30, 'یونانی');
INSERT INTO `lang_definitions` VALUES (164043, 4442, 30, 'گروه');
INSERT INTO `lang_definitions` VALUES (164044, 4459, 30, 'نام گروه');
INSERT INTO `lang_definitions` VALUES (164045, 4460, 30, 'نام گروه نمی تواند خالی باشد');
INSERT INTO `lang_definitions` VALUES (164046, 4461, 30, 'نام گروه نمی تواند با اعداد یا فاصله شروع می شود.');
INSERT INTO `lang_definitions` VALUES (164047, 4462, 30, 'نام گروه نمی تواند با اعداد شروع می شود.');
INSERT INTO `lang_definitions` VALUES (164048, 4463, 30, 'شماره گروه');
INSERT INTO `lang_definitions` VALUES (164049, 4465, 30, 'پرداخت گروه');
INSERT INTO `lang_definitions` VALUES (164050, 4471, 30, 'گروه:');
INSERT INTO `lang_definitions` VALUES (164051, 4472, 30, 'نام گروه');
INSERT INTO `lang_definitions` VALUES (164052, 4475, 30, 'گروه ها و کنترلهای دسترسی');
INSERT INTO `lang_definitions` VALUES (164053, 4476, 30, 'نمودار رشد');
INSERT INTO `lang_definitions` VALUES (164054, 4477, 30, 'نمودار رشد');
INSERT INTO `lang_definitions` VALUES (164055, 4484, 30, 'نام قیم');
INSERT INTO `lang_definitions` VALUES (164056, 4489, 30, 'Gynecological Exam');
INSERT INTO `lang_definitions` VALUES (164057, 4492, 30, 'h.s.');
INSERT INTO `lang_definitions` VALUES (164058, 4493, 30, 'H/O Hepatitis');
INSERT INTO `lang_definitions` VALUES (164059, 4495, 30, 'Haematoma / bruising');
INSERT INTO `lang_definitions` VALUES (164060, 4499, 30, 'دست + انگشتان');
INSERT INTO `lang_definitions` VALUES (164061, 4500, 30, 'مشکلات دست');
INSERT INTO `lang_definitions` VALUES (164062, 4507, 30, 'به ملاقات مربوط شده است');
INSERT INTO `lang_definitions` VALUES (164063, 4508, 30, 'منقضی شده است');
INSERT INTO `lang_definitions` VALUES (164064, 4515, 30, 'اهل هاوایی');
INSERT INTO `lang_definitions` VALUES (164065, 4516, 30, 'فعالیت های خطرناک');
INSERT INTO `lang_definitions` VALUES (164066, 4517, 30, 'فعالیت های خطرناک');
INSERT INTO `lang_definitions` VALUES (164067, 4528, 30, 'سر');
INSERT INTO `lang_definitions` VALUES (164068, 4529, 30, 'دور سر');
INSERT INTO `lang_definitions` VALUES (164069, 4530, 30, 'دور سر');
INSERT INTO `lang_definitions` VALUES (164070, 4531, 30, 'سردرد');
INSERT INTO `lang_definitions` VALUES (164071, 4532, 30, 'سردرد ها');
INSERT INTO `lang_definitions` VALUES (164072, 4534, 30, 'عملیات بهداشتی و درمانی');
INSERT INTO `lang_definitions` VALUES (164073, 4535, 30, 'عملیات بهداشتی و درمانی');
INSERT INTO `lang_definitions` VALUES (164074, 4537, 30, 'مرکز بهداشتی/درمانگاه');
INSERT INTO `lang_definitions` VALUES (164075, 4542, 30, 'از دست دادن شنوایی');
INSERT INTO `lang_definitions` VALUES (164076, 4543, 30, 'سکته قلبی');
INSERT INTO `lang_definitions` VALUES (164077, 4544, 30, 'بیماری قلبی');
INSERT INTO `lang_definitions` VALUES (164078, 4545, 30, 'نارسایی قلب');
INSERT INTO `lang_definitions` VALUES (164079, 4546, 30, 'مشکل قلبی');
INSERT INTO `lang_definitions` VALUES (164080, 4547, 30, 'مشکلات قلبی');
INSERT INTO `lang_definitions` VALUES (164081, 4548, 30, 'جراحی قلب');
INSERT INTO `lang_definitions` VALUES (164082, 4549, 30, 'پیوند قلب');
INSERT INTO `lang_definitions` VALUES (164083, 4550, 30, 'قلب:');
INSERT INTO `lang_definitions` VALUES (164084, 4551, 30, 'سوزش معده');
INSERT INTO `lang_definitions` VALUES (164085, 4552, 30, 'گرما یا سرما');
INSERT INTO `lang_definitions` VALUES (164086, 4553, 30, 'گرما یا سرما');
INSERT INTO `lang_definitions` VALUES (164087, 4555, 30, 'زبان عبری');
INSERT INTO `lang_definitions` VALUES (164088, 4558, 30, 'ارتفاع');
INSERT INTO `lang_definitions` VALUES (164089, 4560, 30, 'کمک');
INSERT INTO `lang_definitions` VALUES (164090, 4561, 30, 'کمک');
INSERT INTO `lang_definitions` VALUES (164091, 4563, 30, 'هماتمز/خونی');
INSERT INTO `lang_definitions` VALUES (164092, 4564, 30, 'هماتوشزی/ادرار خونی');
INSERT INTO `lang_definitions` VALUES (164093, 4565, 30, 'هماتولوژیک');
INSERT INTO `lang_definitions` VALUES (164094, 4566, 30, 'هماچوری');
INSERT INTO `lang_definitions` VALUES (164095, 4567, 30, 'هموگلوبین');
INSERT INTO `lang_definitions` VALUES (164096, 4568, 30, 'هموگلوبین A1c');
INSERT INTO `lang_definitions` VALUES (164097, 4569, 30, 'هموپتیزی/استفراغ خونی');
INSERT INTO `lang_definitions` VALUES (164098, 4570, 30, 'هپاتیت');
INSERT INTO `lang_definitions` VALUES (164099, 4571, 30, 'هپاتیت A 1');
INSERT INTO `lang_definitions` VALUES (164100, 4572, 30, 'هپاتیت A 2');
INSERT INTO `lang_definitions` VALUES (164101, 4573, 30, 'هپاتیت B 1');
INSERT INTO `lang_definitions` VALUES (164102, 4574, 30, 'هپاتیت B 2');
INSERT INTO `lang_definitions` VALUES (164103, 4575, 30, 'هپاتیت B 3');
INSERT INTO `lang_definitions` VALUES (164104, 4576, 30, 'اینجا');
INSERT INTO `lang_definitions` VALUES (164105, 4580, 30, 'ترمیم فتق');
INSERT INTO `lang_definitions` VALUES (164106, 4581, 30, 'Herniated Disc');
INSERT INTO `lang_definitions` VALUES (164107, 4582, 30, 'تبخال');
INSERT INTO `lang_definitions` VALUES (164108, 4585, 30, 'تردید');
INSERT INTO `lang_definitions` VALUES (164109, 4591, 30, 'پنهانی');
INSERT INTO `lang_definitions` VALUES (164110, 4592, 30, 'مدیریت رویدادهای پنهان');
INSERT INTO `lang_definitions` VALUES (164111, 4593, 30, 'پنهان کردن');
INSERT INTO `lang_definitions` VALUES (164112, 4595, 30, 'پنهان جزئیات');
INSERT INTO `lang_definitions` VALUES (164113, 4599, 30, 'پنهان کردن منو');
INSERT INTO `lang_definitions` VALUES (164114, 4601, 30, 'پنهان یادآوری ها');
INSERT INTO `lang_definitions` VALUES (164115, 4603, 30, 'پنهان/نمایش ستون ها');
INSERT INTO `lang_definitions` VALUES (164116, 4605, 30, 'بالا');
INSERT INTO `lang_definitions` VALUES (164117, 4607, 30, 'فشار خون بالا');
INSERT INTO `lang_definitions` VALUES (164118, 4609, 30, 'هندی');
INSERT INTO `lang_definitions` VALUES (164119, 4610, 30, 'لگن خاصره + کشاله ران');
INSERT INTO `lang_definitions` VALUES (164120, 4611, 30, 'لگن خاصره و کشاله ران');
INSERT INTO `lang_definitions` VALUES (164121, 4612, 30, 'مشکلات لگن خاصره');
INSERT INTO `lang_definitions` VALUES (164122, 4613, 30, 'تعویض لگن خاصره');
INSERT INTO `lang_definitions` VALUES (164123, 4615, 30, 'اطلاعیه HIPAA رسید');
INSERT INTO `lang_definitions` VALUES (164124, 4618, 30, 'هیسپانیک');
INSERT INTO `lang_definitions` VALUES (164125, 4619, 30, 'هیسپانیک - دیگر (متولد در آمریکا)');
INSERT INTO `lang_definitions` VALUES (164126, 4620, 30, 'هیسپانیک - دیگر (متولد خارج از آمریکا)');
INSERT INTO `lang_definitions` VALUES (164127, 4621, 30, 'هیسپانیک یا آمریکای لاتین');
INSERT INTO `lang_definitions` VALUES (164128, 4623, 30, 'تاریخچه پزشکی');
INSERT INTO `lang_definitions` VALUES (164129, 4629, 30, 'اطلاعات سابقه');
INSERT INTO `lang_definitions` VALUES (164130, 4630, 30, 'تاریخ سابقه');
INSERT INTO `lang_definitions` VALUES (164131, 4632, 30, 'سابقه مورمور');
INSERT INTO `lang_definitions` VALUES (164132, 4633, 30, 'سوابق مجاز نیست');
INSERT INTO `lang_definitions` VALUES (164133, 4634, 30, 'سابقه مورمور قلب');
INSERT INTO `lang_definitions` VALUES (164134, 4638, 30, 'تعداد بازدید ها');
INSERT INTO `lang_definitions` VALUES (164135, 4658, 30, 'منزل');
INSERT INTO `lang_definitions` VALUES (164136, 4659, 30, 'تلفن منزل');
INSERT INTO `lang_definitions` VALUES (164137, 4660, 30, 'شماره تلفن منزل');
INSERT INTO `lang_definitions` VALUES (164138, 4662, 30, 'بی خانمان و یا مشابه؟');
INSERT INTO `lang_definitions` VALUES (164139, 4664, 30, 'بی خانمان، و غیره');
INSERT INTO `lang_definitions` VALUES (164140, 4665, 30, 'بی خانمان، و غیره.');
INSERT INTO `lang_definitions` VALUES (164141, 4677, 30, 'ساعت');
INSERT INTO `lang_definitions` VALUES (164142, 4678, 30, 'ساعتها');
INSERT INTO `lang_definitions` VALUES (164143, 4681, 30, 'چگونه آسیب رخ داد؟');
INSERT INTO `lang_definitions` VALUES (164144, 4682, 30, 'چگونه آسیب رخ داد؟:');
INSERT INTO `lang_definitions` VALUES (164145, 4683, 30, 'آنها چگونه با ما آشنا شدند');
INSERT INTO `lang_definitions` VALUES (164146, 4695, 30, 'HTML');
INSERT INTO `lang_definitions` VALUES (164147, 4706, 30, 'Hyperactive');
INSERT INTO `lang_definitions` VALUES (164148, 4708, 30, 'بیماری فشار خون');
INSERT INTO `lang_definitions` VALUES (164149, 4709, 30, 'Hypertension: Blood Pressure Measurement');
INSERT INTO `lang_definitions` VALUES (164150, 4710, 30, 'Hypertension: Blood Pressure Measurement (CQM)');
INSERT INTO `lang_definitions` VALUES (164151, 4711, 30, 'پرکاری تیرویید');
INSERT INTO `lang_definitions` VALUES (164152, 4713, 30, 'کم کاری تیرویید');
INSERT INTO `lang_definitions` VALUES (164153, 4716, 30, 'Hysterectomy');
INSERT INTO `lang_definitions` VALUES (164154, 4718, 30, 'من در این زمان مشغول هستم.');
INSERT INTO `lang_definitions` VALUES (164155, 4719, 30, 'من اجازه خواندن ندارم');
INSERT INTO `lang_definitions` VALUES (164156, 4724, 30, 'ICD');
INSERT INTO `lang_definitions` VALUES (164157, 4734, 30, 'شناسه');
INSERT INTO `lang_definitions` VALUES (164158, 4736, 30, 'شناسه');
INSERT INTO `lang_definitions` VALUES (164159, 4738, 30, 'شناسه نمی تواند خالی باشد');
INSERT INTO `lang_definitions` VALUES (164160, 4739, 30, 'کارت شناسایی');
INSERT INTO `lang_definitions` VALUES (164161, 4803, 30, 'اگر بیکار، قید کنید دانشجو');
INSERT INTO `lang_definitions` VALUES (164162, 4865, 30, 'واکسیناسیون');
INSERT INTO `lang_definitions` VALUES (164163, 4867, 30, 'کد های واکسیناسیون');
INSERT INTO `lang_definitions` VALUES (164164, 4869, 30, 'تاریخ واکسیناسیون');
INSERT INTO `lang_definitions` VALUES (164165, 4873, 30, 'تولید کننده واکسیناسیون');
INSERT INTO `lang_definitions` VALUES (164166, 4878, 30, 'رجیستری واکسیناسیون');
INSERT INTO `lang_definitions` VALUES (164167, 4882, 30, 'خدمات واکسیناسیون');
INSERT INTO `lang_definitions` VALUES (164168, 4883, 30, 'عنوان واکسیناسیون');
INSERT INTO `lang_definitions` VALUES (164169, 4885, 30, 'واکسیناسیون');
INSERT INTO `lang_definitions` VALUES (164170, 4887, 30, 'تزریق واکسن');
INSERT INTO `lang_definitions` VALUES (164171, 4888, 30, 'Immunologic');
INSERT INTO `lang_definitions` VALUES (164172, 4893, 30, 'Implants');
INSERT INTO `lang_definitions` VALUES (164173, 4894, 30, 'وارد کردن');
INSERT INTO `lang_definitions` VALUES (164174, 4899, 30, 'وارد کردن تنظیمات');
INSERT INTO `lang_definitions` VALUES (164175, 4904, 30, 'وارد کردن بیمار');
INSERT INTO `lang_definitions` VALUES (164176, 4905, 30, 'وارد کردن آمار جمعیتی بیمار');
INSERT INTO `lang_definitions` VALUES (164177, 4910, 30, 'کدهای مهم');
INSERT INTO `lang_definitions` VALUES (164178, 4914, 30, 'وارد شده از حسابداری');
INSERT INTO `lang_definitions` VALUES (164179, 4920, 30, 'بهبود یافته');
INSERT INTO `lang_definitions` VALUES (164180, 4922, 30, 'در');
INSERT INTO `lang_definitions` VALUES (164181, 4923, 30, 'در');
INSERT INTO `lang_definitions` VALUES (164182, 4931, 30, 'در هر چشم');
INSERT INTO `lang_definitions` VALUES (164183, 4934, 30, 'در چشم چپ');
INSERT INTO `lang_definitions` VALUES (164184, 4935, 30, 'در سوراخ بینی');
INSERT INTO `lang_definitions` VALUES (164185, 4936, 30, 'در دفتر');
INSERT INTO `lang_definitions` VALUES (164186, 4947, 30, 'در چشم راست');
INSERT INTO `lang_definitions` VALUES (164187, 4960, 30, 'غیر فعال');
INSERT INTO `lang_definitions` VALUES (164188, 4965, 30, 'روز های غیر فعال');
INSERT INTO `lang_definitions` VALUES (164189, 4967, 30, 'صندوق دریافت');
INSERT INTO `lang_definitions` VALUES (164190, 4970, 30, 'شامل شماره کنترل');
INSERT INTO `lang_definitions` VALUES (164191, 4971, 30, 'شامل تکمیل شدگان');
INSERT INTO `lang_definitions` VALUES (164192, 4974, 30, 'شامل کاربران غیر فعال');
INSERT INTO `lang_definitions` VALUES (164193, 4975, 30, 'شامل دسته بندی نشدگان');
INSERT INTO `lang_definitions` VALUES (164194, 4976, 30, 'شامل داده های بدون ساختار');
INSERT INTO `lang_definitions` VALUES (164195, 4977, 30, 'شامل علائم حیاتی');
INSERT INTO `lang_definitions` VALUES (164196, 4978, 30, 'شامل اطلاعات علائم حیاتی؟');
INSERT INTO `lang_definitions` VALUES (164197, 4981, 30, 'شامل بودن');
INSERT INTO `lang_definitions` VALUES (164198, 4982, 30, 'درامد');
INSERT INTO `lang_definitions` VALUES (164199, 4984, 30, 'ناقص');
INSERT INTO `lang_definitions` VALUES (164200, 4985, 30, 'Incomplete Abortion Treatment');
INSERT INTO `lang_definitions` VALUES (164201, 4990, 30, 'افزایش یافته:');
INSERT INTO `lang_definitions` VALUES (164202, 4991, 30, 'بیمه جبران خسارت');
INSERT INTO `lang_definitions` VALUES (164203, 4994, 30, 'نا مشخص');
INSERT INTO `lang_definitions` VALUES (164204, 4995, 30, 'هندی');
INSERT INTO `lang_definitions` VALUES (164205, 4998, 30, 'نشان دهنده اختلال');
INSERT INTO `lang_definitions` VALUES (164206, 5003, 30, 'بیماران مبتلا به تهی دست');
INSERT INTO `lang_definitions` VALUES (164207, 5004, 30, 'گزارش بیماران تهی دست');
INSERT INTO `lang_definitions` VALUES (164208, 5005, 30, 'تهی دستان');
INSERT INTO `lang_definitions` VALUES (164209, 5010, 30, 'سقط جنین عمدی');
INSERT INTO `lang_definitions` VALUES (164210, 5012, 30, 'فاقد شرایط لازم');
INSERT INTO `lang_definitions` VALUES (164211, 5013, 30, 'عفونت/آبسه');
INSERT INTO `lang_definitions` VALUES (164212, 5014, 30, 'عفونت ها');
INSERT INTO `lang_definitions` VALUES (164213, 5016, 30, 'نازایی');
INSERT INTO `lang_definitions` VALUES (164214, 5017, 30, 'آنفلوانزا ۱');
INSERT INTO `lang_definitions` VALUES (164215, 5018, 30, 'آنفلوانزا ۲');
INSERT INTO `lang_definitions` VALUES (164216, 5021, 30, 'واکسن آنفولانزا');
INSERT INTO `lang_definitions` VALUES (164217, 5022, 30, 'اطلاعات');
INSERT INTO `lang_definitions` VALUES (164218, 5023, 30, 'اطلاعات آزمون ۱');
INSERT INTO `lang_definitions` VALUES (164219, 5024, 30, 'اطلاعات آزمون ۲');
INSERT INTO `lang_definitions` VALUES (164220, 5025, 30, 'اطلاعات آزمون ۳');
INSERT INTO `lang_definitions` VALUES (164221, 5026, 30, 'اطلاعات آزمون ۴');
INSERT INTO `lang_definitions` VALUES (164222, 5027, 30, 'اطلاعات آزمون ۵');
INSERT INTO `lang_definitions` VALUES (164223, 5028, 30, 'اطلاعات آزمون ۶');
INSERT INTO `lang_definitions` VALUES (164224, 5034, 30, 'استنشاق');
INSERT INTO `lang_definitions` VALUES (164225, 5039, 30, 'کاربر اولیه');
INSERT INTO `lang_definitions` VALUES (164226, 5042, 30, 'تزریقی');
INSERT INTO `lang_definitions` VALUES (164227, 5043, 30, 'تزریق');
INSERT INTO `lang_definitions` VALUES (164228, 5046, 30, 'آسیب دیدگی');
INSERT INTO `lang_definitions` VALUES (164229, 5047, 30, 'سازوکار آسیب دیدگی');
INSERT INTO `lang_definitions` VALUES (164230, 5048, 30, 'گزارش بررسی اجمالی آسیب دیدگی');
INSERT INTO `lang_definitions` VALUES (164231, 5049, 30, 'مراقبت از آسیب دیدگی');
INSERT INTO `lang_definitions` VALUES (164232, 5050, 30, 'نوع آسیب دیدگی');
INSERT INTO `lang_definitions` VALUES (164233, 5056, 30, 'زمینه های ورودی');
INSERT INTO `lang_definitions` VALUES (164234, 5058, 30, 'بیمه ۱');
INSERT INTO `lang_definitions` VALUES (164235, 5059, 30, 'بیمه ۲ یا ۳');
INSERT INTO `lang_definitions` VALUES (164236, 5061, 30, 'بیمه تنظیم');
INSERT INTO `lang_definitions` VALUES (164237, 5062, 30, 'بسته بندی های بیمه');
INSERT INTO `lang_definitions` VALUES (164238, 5063, 30, 'کد های بیمه');
INSERT INTO `lang_definitions` VALUES (164239, 5066, 30, 'اضافه پرداخت بیمه');
INSERT INTO `lang_definitions` VALUES (164240, 5068, 30, 'بازپرداخت بیمه');
INSERT INTO `lang_definitions` VALUES (164241, 5069, 30, 'شرح مختصر بیمه');
INSERT INTO `lang_definitions` VALUES (164242, 5071, 30, 'بیمه ۱');
INSERT INTO `lang_definitions` VALUES (164243, 5072, 30, 'بیمه ۲');
INSERT INTO `lang_definitions` VALUES (164244, 5073, 30, 'بیمه ۳');
INSERT INTO `lang_definitions` VALUES (164245, 5085, 30, 'بیخوابی');
INSERT INTO `lang_definitions` VALUES (164246, 5087, 30, 'بازرسی');
INSERT INTO `lang_definitions` VALUES (164247, 5089, 30, 'نصب');
INSERT INTO `lang_definitions` VALUES (164248, 5090, 30, 'نصب');
INSERT INTO `lang_definitions` VALUES (164249, 5093, 30, 'نصب پایگاه داده ها');
INSERT INTO `lang_definitions` VALUES (164250, 5102, 30, 'دستور داده شده');
INSERT INTO `lang_definitions` VALUES (164251, 5103, 30, 'دستور العمل');
INSERT INTO `lang_definitions` VALUES (164252, 5105, 30, 'دستورالعمل ها:');
INSERT INTO `lang_definitions` VALUES (164253, 5109, 30, 'بیمه');
INSERT INTO `lang_definitions` VALUES (164254, 5110, 30, 'بیمه');
INSERT INTO `lang_definitions` VALUES (164255, 5114, 30, 'تراز بیمه');
INSERT INTO `lang_definitions` VALUES (164256, 5115, 30, 'مانده معوق بیمه');
INSERT INTO `lang_definitions` VALUES (164257, 5116, 30, 'شرکت بیمه');
INSERT INTO `lang_definitions` VALUES (164258, 5117, 30, 'شرکت های بیمه');
INSERT INTO `lang_definitions` VALUES (164259, 5118, 30, 'شرکت بیمه');
INSERT INTO `lang_definitions` VALUES (164260, 5119, 30, 'جستجو/اضافه کردن شرکت بیمه');
INSERT INTO `lang_definitions` VALUES (164261, 5121, 30, 'داده های بیمه');
INSERT INTO `lang_definitions` VALUES (164262, 5124, 30, 'اطلاعات مربوط به بیمه در پرونده');
INSERT INTO `lang_definitions` VALUES (164263, 5126, 30, 'شماره های بیمه');
INSERT INTO `lang_definitions` VALUES (164264, 5127, 30, 'پرداخت بیمه');
INSERT INTO `lang_definitions` VALUES (164265, 5129, 30, 'ارائه دهنده خدمات بیمه');
INSERT INTO `lang_definitions` VALUES (164266, 5133, 30, 'بیمه شده');
INSERT INTO `lang_definitions` VALUES (164267, 5163, 30, 'معارفه داخلی');
INSERT INTO `lang_definitions` VALUES (164268, 5164, 30, 'زمان داخلی جمع آوری شده');
INSERT INTO `lang_definitions` VALUES (164269, 5165, 30, 'وظیفه بین المللی');
INSERT INTO `lang_definitions` VALUES (164270, 5167, 30, 'مترجم');
INSERT INTO `lang_definitions` VALUES (164271, 5168, 30, 'مترجم نیاز است؟');
INSERT INTO `lang_definitions` VALUES (164272, 5170, 30, 'فاصله');
INSERT INTO `lang_definitions` VALUES (164273, 5173, 30, 'مداخله');
INSERT INTO `lang_definitions` VALUES (164274, 5175, 30, 'عدم تحمل');
INSERT INTO `lang_definitions` VALUES (164275, 5178, 30, 'intramuscularly');
INSERT INTO `lang_definitions` VALUES (164276, 5181, 30, 'intravenously');
INSERT INTO `lang_definitions` VALUES (164277, 5182, 30, 'مقدمه');
INSERT INTO `lang_definitions` VALUES (164278, 5205, 30, 'موجودی');
INSERT INTO `lang_definitions` VALUES (164279, 5206, 30, 'تغییرات موجودی');
INSERT INTO `lang_definitions` VALUES (164280, 5207, 30, 'موجودی و فروش محصولات دارویی و غیر دارویی');
INSERT INTO `lang_definitions` VALUES (164281, 5208, 30, 'موجودی و فروش محصولات دارویی');
INSERT INTO `lang_definitions` VALUES (164282, 5209, 30, 'موجودی برای این سفارش در دسترس نیست.');
INSERT INTO `lang_definitions` VALUES (164283, 5210, 30, 'فهرست موجودی');
INSERT INTO `lang_definitions` VALUES (164284, 5211, 30, 'لیست تراکنش ها');
INSERT INTO `lang_definitions` VALUES (164285, 5290, 30, 'مسئله');
INSERT INTO `lang_definitions` VALUES (164286, 5291, 30, 'مسئله');
INSERT INTO `lang_definitions` VALUES (164287, 5292, 30, 'تاریخ مسئله');
INSERT INTO `lang_definitions` VALUES (164288, 5293, 30, 'شناسه مسئله');
INSERT INTO `lang_definitions` VALUES (164289, 5295, 30, 'عنوان مسئله');
INSERT INTO `lang_definitions` VALUES (164290, 5298, 30, 'مسائل');
INSERT INTO `lang_definitions` VALUES (164291, 5299, 30, 'مسائل (صدمات/پزشکی/آلرژی)');
INSERT INTO `lang_definitions` VALUES (164292, 5300, 30, 'مسائل (صدمات/پزشکی/آلرژی):');
INSERT INTO `lang_definitions` VALUES (164293, 5302, 30, 'مسائل و برخوردها');
INSERT INTO `lang_definitions` VALUES (164294, 5303, 30, 'مسائل و برخوردها');
INSERT INTO `lang_definitions` VALUES (164295, 5308, 30, 'مسائل مجاز نیست');
INSERT INTO `lang_definitions` VALUES (164296, 5309, 30, 'قسمت موضوعات');
INSERT INTO `lang_definitions` VALUES (164297, 5364, 30, 'ایتالیایی');
INSERT INTO `lang_definitions` VALUES (164298, 5365, 30, 'فقره');
INSERT INTO `lang_definitions` VALUES (164299, 5366, 30, 'فقره');
INSERT INTO `lang_definitions` VALUES (164300, 5368, 30, 'اقلام');
INSERT INTO `lang_definitions` VALUES (164301, 5375, 30, 'ژانویه');
INSERT INTO `lang_definitions` VALUES (164302, 5376, 30, 'ژانویه');
INSERT INTO `lang_definitions` VALUES (164303, 5377, 30, 'ژاپنی');
INSERT INTO `lang_definitions` VALUES (164304, 5378, 30, 'یرقان');
INSERT INTO `lang_definitions` VALUES (164305, 5380, 30, 'شرح کار');
INSERT INTO `lang_definitions` VALUES (164306, 5381, 30, 'شناسه کار');
INSERT INTO `lang_definitions` VALUES (164307, 5382, 30, 'دررفتگی مفصل');
INSERT INTO `lang_definitions` VALUES (164308, 5383, 30, 'درد مفصل');
INSERT INTO `lang_definitions` VALUES (164309, 5385, 30, 'ژوئیه');
INSERT INTO `lang_definitions` VALUES (164310, 5386, 30, 'ژوئیه');
INSERT INTO `lang_definitions` VALUES (164311, 5388, 30, 'ژوئن');
INSERT INTO `lang_definitions` VALUES (164312, 5389, 30, 'ژوئن');
INSERT INTO `lang_definitions` VALUES (164313, 5390, 30, 'منطقه آبی رنگ زیر بررسی اطلاعات برای وارد کردن پارامتر های جستجو میباشد. شما می توانید بر اساس نام بیمار، شماره پرونده، و شماره یا تاریخ خدمات پزشکی‌ جستجوکنید، و یا هر ترکیبی از این پارامتر ها. شما همچنین می توانید انتخاب کنید که همه ی فاکتورها، فاکتورها باز، و یا فاکتورهایی را که موعدشان سر رسیده (برای هر بیمار) را انتخاب کنید. جستجو را با کلیک کردن دکمه جستجو شروع کنید.');
INSERT INTO `lang_definitions` VALUES (164314, 5391, 30, 'تنها مال من');
INSERT INTO `lang_definitions` VALUES (164315, 5393, 30, 'توجیه');
INSERT INTO `lang_definitions` VALUES (164316, 5396, 30, 'توجیه/ذخیره');
INSERT INTO `lang_definitions` VALUES (164317, 5407, 30, 'کلید');
INSERT INTO `lang_definitions` VALUES (164318, 5411, 30, 'کلمات کلیدی');
INSERT INTO `lang_definitions` VALUES (164319, 5412, 30, 'kg');
INSERT INTO `lang_definitions` VALUES (164320, 5413, 30, 'kg/m^2');
INSERT INTO `lang_definitions` VALUES (164321, 5415, 30, 'سرطان کلیه');
INSERT INTO `lang_definitions` VALUES (164322, 5416, 30, 'نارسایی کلیه');
INSERT INTO `lang_definitions` VALUES (164323, 5417, 30, 'عفونت های کلیوی');
INSERT INTO `lang_definitions` VALUES (164324, 5418, 30, 'سنگ کلیه');
INSERT INTO `lang_definitions` VALUES (164325, 5419, 30, 'پیوند کلیه');
INSERT INTO `lang_definitions` VALUES (164326, 5425, 30, 'زانو');
INSERT INTO `lang_definitions` VALUES (164327, 5426, 30, 'مشکلات زانو');
INSERT INTO `lang_definitions` VALUES (164328, 5427, 30, 'جایگزینی زانو');
INSERT INTO `lang_definitions` VALUES (164329, 5430, 30, 'کره ای');
INSERT INTO `lang_definitions` VALUES (164330, 5434, 30, 'ازمایشگاه');
INSERT INTO `lang_definitions` VALUES (164331, 5444, 30, 'گزارش آزمایشگاهی');
INSERT INTO `lang_definitions` VALUES (164332, 5445, 30, 'نتیجه آزمایشگاه');
INSERT INTO `lang_definitions` VALUES (164333, 5446, 30, 'نتایج آزمایشگاهی');
INSERT INTO `lang_definitions` VALUES (164334, 5449, 30, 'گزارش نتایج آزمایشگاهی');
INSERT INTO `lang_definitions` VALUES (164335, 5450, 30, 'خدمات آزمایشگاهی');
INSERT INTO `lang_definitions` VALUES (164336, 5451, 30, 'نتایج تست آزمایشگاهی');
INSERT INTO `lang_definitions` VALUES (164337, 5453, 30, 'برچسب');
INSERT INTO `lang_definitions` VALUES (164338, 5454, 30, 'برچسب نمی تواند خالی باشد');
INSERT INTO `lang_definitions` VALUES (164339, 5455, 30, 'ستون های برچسب');
INSERT INTO `lang_definitions` VALUES (164340, 5456, 30, 'برچسب برای این نوع');
INSERT INTO `lang_definitions` VALUES (164341, 5459, 30, 'برچسب ها');
INSERT INTO `lang_definitions` VALUES (164342, 5463, 30, 'آزمایشگاه ها');
INSERT INTO `lang_definitions` VALUES (164343, 5464, 30, 'پارگی/بیماری پوستی');
INSERT INTO `lang_definitions` VALUES (164344, 5465, 30, 'پارگی/سایش');
INSERT INTO `lang_definitions` VALUES (164345, 5471, 30, 'زبان');
INSERT INTO `lang_definitions` VALUES (164346, 5472, 30, 'کد زبان');
INSERT INTO `lang_definitions` VALUES (164347, 5478, 30, 'نام زبان');
INSERT INTO `lang_definitions` VALUES (164348, 5479, 30, 'زبان:');
INSERT INTO `lang_definitions` VALUES (164349, 5481, 30, 'لائوسی');
INSERT INTO `lang_definitions` VALUES (164350, 5485, 30, 'آخرین');
INSERT INTO `lang_definitions` VALUES (164351, 5486, 30, 'تاریخ آخرین فعالیت');
INSERT INTO `lang_definitions` VALUES (164352, 5489, 30, 'تاریخ آخرین صورت حساب:');
INSERT INTO `lang_definitions` VALUES (164353, 5491, 30, 'سال گذشته تقویمی');
INSERT INTO `lang_definitions` VALUES (164354, 5495, 30, 'ویزیت آخر');
INSERT INTO `lang_definitions` VALUES (164355, 5506, 30, 'ماه گذشته');
INSERT INTO `lang_definitions` VALUES (164356, 5507, 30, 'نام خانوادگی');
INSERT INTO `lang_definitions` VALUES (164357, 5508, 30, 'نام خانوادگی');
INSERT INTO `lang_definitions` VALUES (164358, 5513, 30, 'نام خانوادگی:');
INSERT INTO `lang_definitions` VALUES (164359, 5517, 30, 'آخرین نقد و مرور');
INSERT INTO `lang_definitions` VALUES (164360, 5519, 30, 'آخرین ذخیره');
INSERT INTO `lang_definitions` VALUES (164361, 5525, 30, 'آخرین به روز رسانی توسط');
INSERT INTO `lang_definitions` VALUES (164362, 5526, 30, 'آخرین بار تایید شده در');
INSERT INTO `lang_definitions` VALUES (164363, 5527, 30, 'آخرین ملاقات');
INSERT INTO `lang_definitions` VALUES (164364, 5531, 30, 'Lateral Malleolus');
INSERT INTO `lang_definitions` VALUES (164365, 5532, 30, 'Lateral malleolus:');
INSERT INTO `lang_definitions` VALUES (164366, 5558, 30, 'فرم ملاقات براساس چیدمان');
INSERT INTO `lang_definitions` VALUES (164367, 5559, 30, 'طرح بندی/قالب ها');
INSERT INTO `lang_definitions` VALUES (164368, 5560, 30, 'lb');
INSERT INTO `lang_definitions` VALUES (164369, 5563, 30, 'lbs');
INSERT INTO `lang_definitions` VALUES (164370, 5571, 30, 'LDL');
INSERT INTO `lang_definitions` VALUES (164371, 5580, 30, 'ارسال پیغام به');
INSERT INTO `lang_definitions` VALUES (164372, 5586, 30, 'چپ');
INSERT INTO `lang_definitions` VALUES (164373, 5589, 30, 'گوش چپ');
INSERT INTO `lang_definitions` VALUES (164374, 5590, 30, 'گوش چپ');
INSERT INTO `lang_definitions` VALUES (164375, 5599, 30, 'چپ:');
INSERT INTO `lang_definitions` VALUES (164376, 5600, 30, 'چپ:');
INSERT INTO `lang_definitions` VALUES (164377, 5601, 30, 'درد/گرفتگی پا');
INSERT INTO `lang_definitions` VALUES (164378, 5602, 30, 'حقوقی');
INSERT INTO `lang_definitions` VALUES (164379, 5604, 30, 'اندازه مقاله حقوقی');
INSERT INTO `lang_definitions` VALUES (164380, 5605, 30, 'شرح:');
INSERT INTO `lang_definitions` VALUES (164381, 5606, 30, 'طول');
INSERT INTO `lang_definitions` VALUES (164382, 5613, 30, 'کمتر از');
INSERT INTO `lang_definitions` VALUES (164383, 5614, 30, 'کمتر از یا مساوی با');
INSERT INTO `lang_definitions` VALUES (164384, 5620, 30, 'نامه');
INSERT INTO `lang_definitions` VALUES (164385, 5621, 30, 'مولد نامه');
INSERT INTO `lang_definitions` VALUES (164386, 5622, 30, 'اندازه کاغذ نامه');
INSERT INTO `lang_definitions` VALUES (164387, 5623, 30, 'سربرگی که دکتر امضاء می‌کند');
INSERT INTO `lang_definitions` VALUES (164388, 5624, 30, 'سربرگی که بیمار امضاء می‌کند');
INSERT INTO `lang_definitions` VALUES (164389, 5627, 30, 'سطح فوریت');
INSERT INTO `lang_definitions` VALUES (164390, 5630, 30, 'مسئولیت');
INSERT INTO `lang_definitions` VALUES (164391, 5633, 30, 'مجوز/ شناسه');
INSERT INTO `lang_definitions` VALUES (164392, 5644, 30, 'شیوه زندگی');
INSERT INTO `lang_definitions` VALUES (164393, 5646, 30, 'وضعیت شیوه زندگی');
INSERT INTO `lang_definitions` VALUES (164394, 5654, 30, 'محدودیت های');
INSERT INTO `lang_definitions` VALUES (164395, 5657, 30, 'لینک');
INSERT INTO `lang_definitions` VALUES (164396, 5658, 30, 'لینک به بیمار');
INSERT INTO `lang_definitions` VALUES (164397, 5660, 30, 'لینک شده است');
INSERT INTO `lang_definitions` VALUES (164398, 5663, 30, 'لینک شده به سند');
INSERT INTO `lang_definitions` VALUES (164399, 5665, 30, 'فهرست');
INSERT INTO `lang_definitions` VALUES (164400, 5666, 30, 'جعبه لیست');
INSERT INTO `lang_definitions` VALUES (164401, 5667, 30, 'جعبه لیست');
INSERT INTO `lang_definitions` VALUES (164402, 5668, 30, 'جعبه لیست با افزودن');
INSERT INTO `lang_definitions` VALUES (164403, 5669, 30, 'جعبه لیست با افزودن');
INSERT INTO `lang_definitions` VALUES (164404, 5693, 30, 'لیست ها');
INSERT INTO `lang_definitions` VALUES (164405, 5724, 30, 'محلی');
INSERT INTO `lang_definitions` VALUES (164406, 5728, 30, 'محلی');
INSERT INTO `lang_definitions` VALUES (164407, 5729, 30, 'محل');
INSERT INTO `lang_definitions` VALUES (164408, 5730, 30, 'مکان');
INSERT INTO `lang_definitions` VALUES (164409, 5745, 30, 'ورود');
INSERT INTO `lang_definitions` VALUES (164410, 5746, 30, 'ورود');
INSERT INTO `lang_definitions` VALUES (164411, 5749, 30, 'خروج');
INSERT INTO `lang_definitions` VALUES (164412, 5752, 30, 'عضو آنلاین');
INSERT INTO `lang_definitions` VALUES (164413, 5753, 30, 'وارد شده به عنوان');
INSERT INTO `lang_definitions` VALUES (164414, 5754, 30, 'وارد شده به عنوان:');
INSERT INTO `lang_definitions` VALUES (164415, 5755, 30, 'خارج شده اید.');
INSERT INTO `lang_definitions` VALUES (164416, 5756, 30, 'پیگیری رویدادها/عملیات');
INSERT INTO `lang_definitions` VALUES (164417, 5757, 30, 'ورود');
INSERT INTO `lang_definitions` VALUES (164418, 5758, 30, 'ورود');
INSERT INTO `lang_definitions` VALUES (164419, 5768, 30, 'خروج');
INSERT INTO `lang_definitions` VALUES (164420, 5769, 30, 'خروج');
INSERT INTO `lang_definitions` VALUES (164421, 5770, 30, 'فهرست رویدادها/عملیات');
INSERT INTO `lang_definitions` VALUES (164422, 5771, 30, 'بیننده فهرست رویدادها/عملیات');
INSERT INTO `lang_definitions` VALUES (164423, 5780, 30, 'پایین');
INSERT INTO `lang_definitions` VALUES (164424, 5782, 30, 'ساق پا');
INSERT INTO `lang_definitions` VALUES (164425, 5791, 30, 'ستون فقرات کمری');
INSERT INTO `lang_definitions` VALUES (164426, 5792, 30, 'ناهار');
INSERT INTO `lang_definitions` VALUES (164427, 5793, 30, 'ناهار');
INSERT INTO `lang_definitions` VALUES (164428, 5794, 30, 'سرطان ریه');
INSERT INTO `lang_definitions` VALUES (164429, 5795, 30, 'جراحی سرطان ریه');
INSERT INTO `lang_definitions` VALUES (164430, 5796, 30, 'ریه ها:');
INSERT INTO `lang_definitions` VALUES (164431, 5797, 30, 'ریه ها:');
INSERT INTO `lang_definitions` VALUES (164432, 5812, 30, 'پست ارسال شد');
INSERT INTO `lang_definitions` VALUES (164433, 5814, 30, 'اصلی');
INSERT INTO `lang_definitions` VALUES (164434, 5815, 30, 'آدرس اصلی');
INSERT INTO `lang_definitions` VALUES (164435, 5831, 30, 'مطمئن شوید که \"');
INSERT INTO `lang_definitions` VALUES (164436, 5834, 30, 'کسالت:');
INSERT INTO `lang_definitions` VALUES (164437, 5837, 30, 'مرد');
INSERT INTO `lang_definitions` VALUES (164438, 5838, 30, 'کاندوم مرد');
INSERT INTO `lang_definitions` VALUES (164439, 5855, 30, 'تنها خصیصه های اجباری یا مشخص شده، بررسی اطللاعات تکراری, و بدون جستجو');
INSERT INTO `lang_definitions` VALUES (164440, 5856, 30, 'تنها خصیصه های اجباری یا مشخص شده، بررسی اطللاعات تکراری, و جستجو');
INSERT INTO `lang_definitions` VALUES (164441, 5859, 30, 'راهنما');
INSERT INTO `lang_definitions` VALUES (164442, 5870, 30, 'مارس');
INSERT INTO `lang_definitions` VALUES (164443, 5874, 30, 'مارس');
INSERT INTO `lang_definitions` VALUES (164444, 5877, 30, 'وضع تأهل');
INSERT INTO `lang_definitions` VALUES (164445, 5880, 30, 'به عنوان صورتحساب صادر شده علامت زده ولی‌ به قسمت صورتحساب نرو');
INSERT INTO `lang_definitions` VALUES (164446, 5881, 30, 'به عنوان پاک شده علامت بزن');
INSERT INTO `lang_definitions` VALUES (164447, 5882, 30, 'به عنوان صورتحساب صادر نشده علامت بزن');
INSERT INTO `lang_definitions` VALUES (164448, 5886, 30, 'به عنوان پاک شده علامت بزن');
INSERT INTO `lang_definitions` VALUES (164449, 5887, 30, 'متاهل');
INSERT INTO `lang_definitions` VALUES (164450, 5889, 30, 'ماسک');
INSERT INTO `lang_definitions` VALUES (164451, 5890, 30, 'ماسک برای شماره های فاکتور');
INSERT INTO `lang_definitions` VALUES (164452, 5891, 30, 'ماسک برای شناسه های بیمار');
INSERT INTO `lang_definitions` VALUES (164453, 5892, 30, 'ماسک برای شناسه های محصول');
INSERT INTO `lang_definitions` VALUES (164454, 5894, 30, 'تطابق');
INSERT INTO `lang_definitions` VALUES (164455, 5907, 30, 'حداکثر');
INSERT INTO `lang_definitions` VALUES (164456, 5912, 30, 'فک بالا سمت راست:');
INSERT INTO `lang_definitions` VALUES (164457, 5913, 30, 'حداکثر سن');
INSERT INTO `lang_definitions` VALUES (164458, 5914, 30, 'حداکثر تعداد حروف');
INSERT INTO `lang_definitions` VALUES (164459, 5921, 30, 'حداکثر اندازه');
INSERT INTO `lang_definitions` VALUES (164460, 5922, 30, 'حداکثر اندازه (وارد کردن صفر اجازه هر اندازه یی را می دهد)');
INSERT INTO `lang_definitions` VALUES (164461, 5924, 30, 'مه');
INSERT INTO `lang_definitions` VALUES (164462, 5927, 30, 'mcg');
INSERT INTO `lang_definitions` VALUES (164463, 5933, 30, 'اندازه گیری');
INSERT INTO `lang_definitions` VALUES (164464, 5944, 30, 'مدیریت خدمات بهداشتی درمانی');
INSERT INTO `lang_definitions` VALUES (164465, 5946, 30, 'سوابق پزشکی');
INSERT INTO `lang_definitions` VALUES (164466, 5947, 30, 'مسئله پزشکی');
INSERT INTO `lang_definitions` VALUES (164467, 5948, 30, 'مسئله پزشکی');
INSERT INTO `lang_definitions` VALUES (164468, 5952, 30, 'مشکل پزشکی');
INSERT INTO `lang_definitions` VALUES (164469, 5954, 30, 'مشکلات پزشکی');
INSERT INTO `lang_definitions` VALUES (164470, 5956, 30, 'پرونده پزشکی');
INSERT INTO `lang_definitions` VALUES (164471, 5957, 30, 'شماره پرونده پزشکی');
INSERT INTO `lang_definitions` VALUES (164472, 5959, 30, 'پرونده های پزشکی');
INSERT INTO `lang_definitions` VALUES (164473, 5961, 30, 'پرونده های پزشکی ارسال شده');
INSERT INTO `lang_definitions` VALUES (164474, 5963, 30, 'خلاصه اطلاعت پزشکی‌ داده شده');
INSERT INTO `lang_definitions` VALUES (164475, 5964, 30, 'سیستم پزشکی');
INSERT INTO `lang_definitions` VALUES (164476, 5965, 30, 'نوع پزشکی');
INSERT INTO `lang_definitions` VALUES (164477, 5970, 30, 'مصرف دارو');
INSERT INTO `lang_definitions` VALUES (164478, 5971, 30, 'فهرست آلرژی دارویی');
INSERT INTO `lang_definitions` VALUES (164479, 5973, 30, 'فهرست داروها');
INSERT INTO `lang_definitions` VALUES (164480, 5974, 30, 'بازنگری داروها انجام شد؟');
INSERT INTO `lang_definitions` VALUES (164481, 5975, 30, 'داروها');
INSERT INTO `lang_definitions` VALUES (164482, 5978, 30, 'داروها:');
INSERT INTO `lang_definitions` VALUES (164483, 5979, 30, 'واحدهای پزشکی');
INSERT INTO `lang_definitions` VALUES (164484, 5980, 30, 'متوسط');
INSERT INTO `lang_definitions` VALUES (164485, 5986, 30, 'مشکلات حافظه');
INSERT INTO `lang_definitions` VALUES (164486, 5987, 30, 'مردان');
INSERT INTO `lang_definitions` VALUES (164487, 5988, 30, 'مردان و زنان');
INSERT INTO `lang_definitions` VALUES (164488, 5989, 30, 'تنها مردان');
INSERT INTO `lang_definitions` VALUES (164489, 5991, 30, 'يائسگي');
INSERT INTO `lang_definitions` VALUES (164490, 5994, 30, 'بیماری های روانی');
INSERT INTO `lang_definitions` VALUES (164491, 6005, 30, 'پیام');
INSERT INTO `lang_definitions` VALUES (164492, 6006, 30, 'مرکز پیام و یادآوری');
INSERT INTO `lang_definitions` VALUES (164493, 6012, 30, 'پیام فرستاده شده');
INSERT INTO `lang_definitions` VALUES (164494, 6013, 30, 'وضعیت پیام');
INSERT INTO `lang_definitions` VALUES (164495, 6018, 30, 'پیام:');
INSERT INTO `lang_definitions` VALUES (164496, 6019, 30, 'پیام ها');
INSERT INTO `lang_definitions` VALUES (164497, 6022, 30, 'پیام هایی که شما امروز فرستاده اید');
INSERT INTO `lang_definitions` VALUES (164498, 6026, 30, 'روش');
INSERT INTO `lang_definitions` VALUES (164499, 6029, 30, 'روش ارسال ایمیل های خروجی.');
INSERT INTO `lang_definitions` VALUES (164500, 6038, 30, 'میلی گرم');
INSERT INTO `lang_definitions` VALUES (164501, 6039, 30, 'mg/1cc');
INSERT INTO `lang_definitions` VALUES (164502, 6040, 30, 'mg/2cc');
INSERT INTO `lang_definitions` VALUES (164503, 6041, 30, 'mg/3cc');
INSERT INTO `lang_definitions` VALUES (164504, 6042, 30, 'mg/4cc');
INSERT INTO `lang_definitions` VALUES (164505, 6043, 30, 'mg/5cc');
INSERT INTO `lang_definitions` VALUES (164506, 6044, 30, 'MG/DL');
INSERT INTO `lang_definitions` VALUES (164507, 6046, 30, 'متوسط');
INSERT INTO `lang_definitions` VALUES (164508, 6047, 30, 'نام میانی');
INSERT INTO `lang_definitions` VALUES (164509, 6048, 30, 'نام میانی');
INSERT INTO `lang_definitions` VALUES (164510, 6062, 30, 'کارگر مهاجر یا فصلی؟');
INSERT INTO `lang_definitions` VALUES (164511, 6064, 30, 'مهاجر/فصلی');
INSERT INTO `lang_definitions` VALUES (164512, 6071, 30, 'حداقل');
INSERT INTO `lang_definitions` VALUES (164513, 6072, 30, 'حداقل');
INSERT INTO `lang_definitions` VALUES (164514, 6077, 30, 'حداقل سن');
INSERT INTO `lang_definitions` VALUES (164515, 6080, 30, 'Minor joint strain +/- synovitis');
INSERT INTO `lang_definitions` VALUES (164516, 6082, 30, 'دقیقه');
INSERT INTO `lang_definitions` VALUES (164517, 6083, 30, 'دقیقه');
INSERT INTO `lang_definitions` VALUES (164518, 6084, 30, 'دقیقه');
INSERT INTO `lang_definitions` VALUES (164519, 6086, 30, 'متفرقه');
INSERT INTO `lang_definitions` VALUES (164520, 6090, 30, 'متفرقه');
INSERT INTO `lang_definitions` VALUES (164521, 6113, 30, 'ml');
INSERT INTO `lang_definitions` VALUES (164522, 6114, 30, 'MM/DD/YYYY');
INSERT INTO `lang_definitions` VALUES (164523, 6115, 30, 'mm/hg');
INSERT INTO `lang_definitions` VALUES (164524, 6116, 30, 'mmHg');
INSERT INTO `lang_definitions` VALUES (164525, 6120, 30, 'موبایل');
INSERT INTO `lang_definitions` VALUES (164526, 6121, 30, 'تلفن همراه');
INSERT INTO `lang_definitions` VALUES (164527, 6153, 30, 'دوشنبه');
INSERT INTO `lang_definitions` VALUES (164528, 6155, 30, 'دوشنبه، چهارشنبه و جمعه');
INSERT INTO `lang_definitions` VALUES (164529, 6156, 30, 'دوشنبه');
INSERT INTO `lang_definitions` VALUES (164530, 6160, 30, 'ماه');
INSERT INTO `lang_definitions` VALUES (164531, 6161, 30, 'ماهیانه');
INSERT INTO `lang_definitions` VALUES (164532, 6163, 30, 'ماه (ها)');
INSERT INTO `lang_definitions` VALUES (164533, 6164, 30, 'درآمد ماهانه');
INSERT INTO `lang_definitions` VALUES (164534, 6166, 30, 'ماه ها');
INSERT INTO `lang_definitions` VALUES (164535, 6190, 30, 'مادر');
INSERT INTO `lang_definitions` VALUES (164536, 6191, 30, 'نام مادر');
INSERT INTO `lang_definitions` VALUES (164537, 6195, 30, 'دهان');
INSERT INTO `lang_definitions` VALUES (164538, 6196, 30, 'انتقال');
INSERT INTO `lang_definitions` VALUES (164539, 6197, 30, 'انتقال سند به دسته بندی ها:');
INSERT INTO `lang_definitions` VALUES (164540, 6198, 30, 'انتقال به پایین');
INSERT INTO `lang_definitions` VALUES (164541, 6201, 30, 'انتقال به بیمار');
INSERT INTO `lang_definitions` VALUES (164542, 6202, 30, 'انتقال به ...');
INSERT INTO `lang_definitions` VALUES (164543, 6203, 30, 'انتقال به بالا');
INSERT INTO `lang_definitions` VALUES (164544, 6209, 30, 'آقای');
INSERT INTO `lang_definitions` VALUES (164545, 6215, 30, 'خانم');
INSERT INTO `lang_definitions` VALUES (164546, 6217, 30, 'دوشیزه');
INSERT INTO `lang_definitions` VALUES (164547, 6230, 30, 'ابزار چند زبانه');
INSERT INTO `lang_definitions` VALUES (164548, 6243, 30, 'Murmur:');
INSERT INTO `lang_definitions` VALUES (164549, 6244, 30, 'Musc Ache');
INSERT INTO `lang_definitions` VALUES (164550, 6245, 30, 'Musc Aches');
INSERT INTO `lang_definitions` VALUES (164551, 6246, 30, 'Musc Redness');
INSERT INTO `lang_definitions` VALUES (164552, 6247, 30, 'Musc Stiffness');
INSERT INTO `lang_definitions` VALUES (164553, 6248, 30, 'Musc Swelling');
INSERT INTO `lang_definitions` VALUES (164554, 6249, 30, 'Musc Warm');
INSERT INTO `lang_definitions` VALUES (164555, 6250, 30, 'Muscle');
INSERT INTO `lang_definitions` VALUES (164556, 6251, 30, 'Muscle injury');
INSERT INTO `lang_definitions` VALUES (164557, 6252, 30, 'Musculoskeletal');
INSERT INTO `lang_definitions` VALUES (164558, 6267, 30, 'خودم');
INSERT INTO `lang_definitions` VALUES (164559, 6274, 30, 'نام');
INSERT INTO `lang_definitions` VALUES (164560, 6276, 30, 'نام (برای اطلاعات بیشتر کلیک کنید)');
INSERT INTO `lang_definitions` VALUES (164561, 6278, 30, 'نام ۱');
INSERT INTO `lang_definitions` VALUES (164562, 6279, 30, 'نام ۲');
INSERT INTO `lang_definitions` VALUES (164563, 6280, 30, 'نام و عنوان مدیر واکسیناسیون');
INSERT INTO `lang_definitions` VALUES (164564, 6284, 30, 'نام حوادث');
INSERT INTO `lang_definitions` VALUES (164565, 6285, 30, 'نام شرکت بیمه');
INSERT INTO `lang_definitions` VALUES (164566, 6286, 30, 'نام ارائه دهنده خدمات پزشکی');
INSERT INTO `lang_definitions` VALUES (164567, 6287, 30, 'نام فرستنده یادآورهای بیمار.');
INSERT INTO `lang_definitions` VALUES (164568, 6294, 30, 'نام ترجمه');
INSERT INTO `lang_definitions` VALUES (164569, 6295, 30, 'نام / مقدار');
INSERT INTO `lang_definitions` VALUES (164570, 6304, 30, 'Nasal mucosa pink, septum midline');
INSERT INTO `lang_definitions` VALUES (164571, 6319, 30, 'Nausea');
INSERT INTO `lang_definitions` VALUES (164572, 6325, 30, 'فرم ملاقات براساس منطقه هدايت');
INSERT INTO `lang_definitions` VALUES (164573, 6371, 30, 'Neural condition / nerve damage');
INSERT INTO `lang_definitions` VALUES (164574, 6373, 30, 'Neuro Numbness');
INSERT INTO `lang_definitions` VALUES (164575, 6374, 30, 'Neuro Weakness');
INSERT INTO `lang_definitions` VALUES (164576, 6377, 30, 'Neurologic');
INSERT INTO `lang_definitions` VALUES (164577, 6384, 30, 'جدید');
INSERT INTO `lang_definitions` VALUES (164578, 6385, 30, 'جدید =>');
INSERT INTO `lang_definitions` VALUES (164579, 6388, 30, 'آلرژی جدید');
INSERT INTO `lang_definitions` VALUES (164580, 6390, 30, 'وقت ملاقات جدید');
INSERT INTO `lang_definitions` VALUES (164581, 6391, 30, 'دسته بندی های جدید');
INSERT INTO `lang_definitions` VALUES (164582, 6392, 30, 'دسته بندی جدید');
INSERT INTO `lang_definitions` VALUES (164583, 6393, 30, 'مشتری جدید');
INSERT INTO `lang_definitions` VALUES (164584, 6394, 30, 'مشاوره جدید');
INSERT INTO `lang_definitions` VALUES (164585, 6396, 30, 'مجموعه تعاریف جدید اضافه شد');
INSERT INTO `lang_definitions` VALUES (164586, 6397, 30, 'سند جدید');
INSERT INTO `lang_definitions` VALUES (164587, 6401, 30, 'ویزیت جدید');
INSERT INTO `lang_definitions` VALUES (164588, 6403, 30, 'فرم ویزیت جدید');
INSERT INTO `lang_definitions` VALUES (164589, 6406, 30, 'اطلاعات درمانگاه جدید');
INSERT INTO `lang_definitions` VALUES (164590, 6410, 30, 'گروه جدید');
INSERT INTO `lang_definitions` VALUES (164591, 6413, 30, 'اطلاعات گروه جدید');
INSERT INTO `lang_definitions` VALUES (164592, 6422, 30, 'مصدومیت/وضعیت جدید');
INSERT INTO `lang_definitions` VALUES (164593, 6426, 30, 'لیست جدید');
INSERT INTO `lang_definitions` VALUES (164594, 6432, 30, 'سفارشات جدید');
INSERT INTO `lang_definitions` VALUES (164595, 6433, 30, 'پاراگراف جدید');
INSERT INTO `lang_definitions` VALUES (164596, 6434, 30, 'رمز عبور جدید');
INSERT INTO `lang_definitions` VALUES (164597, 6435, 30, 'بیمار جدید');
INSERT INTO `lang_definitions` VALUES (164598, 6436, 30, 'بیمار جدید');
INSERT INTO `lang_definitions` VALUES (164599, 6438, 30, 'فرم بیمار جدید');
INSERT INTO `lang_definitions` VALUES (164600, 6439, 30, 'شناسه بیمار جدید');
INSERT INTO `lang_definitions` VALUES (164601, 6442, 30, 'پرداخت جدید');
INSERT INTO `lang_definitions` VALUES (164602, 6445, 30, 'بیمار جدید');
INSERT INTO `lang_definitions` VALUES (164603, 6447, 30, 'نتایج جدید از تبادل الکترونیکی آزمایشگاهی');
INSERT INTO `lang_definitions` VALUES (164604, 6448, 30, 'جستجوی جدید');
INSERT INTO `lang_definitions` VALUES (164605, 6449, 30, 'مطالب ارسالی های جدید');
INSERT INTO `lang_definitions` VALUES (164606, 6451, 30, 'کاربر جدید');
INSERT INTO `lang_definitions` VALUES (164607, 6453, 30, 'ملاقات جدید پزشکی‌');
INSERT INTO `lang_definitions` VALUES (164608, 6454, 30, 'جدید/جستجو');
INSERT INTO `lang_definitions` VALUES (164609, 6456, 30, 'مدیریت NewCrop');
INSERT INTO `lang_definitions` VALUES (164610, 6481, 30, 'روزنامه');
INSERT INTO `lang_definitions` VALUES (164611, 6482, 30, 'بعدی');
INSERT INTO `lang_definitions` VALUES (164612, 6484, 30, 'روز بعد');
INSERT INTO `lang_definitions` VALUES (164613, 6485, 30, 'ماه بعد');
INSERT INTO `lang_definitions` VALUES (164614, 6486, 30, 'ماه بعد (برای منو نگه دارید)');
INSERT INTO `lang_definitions` VALUES (164615, 6491, 30, 'هفته بعد');
INSERT INTO `lang_definitions` VALUES (164616, 6492, 30, 'سال بعد (برای منو نگه دارید)');
INSERT INTO `lang_definitions` VALUES (164617, 6494, 30, 'نام مستعار');
INSERT INTO `lang_definitions` VALUES (164618, 6496, 30, 'تعریق شبانه');
INSERT INTO `lang_definitions` VALUES (164619, 6499, 30, 'خیر');
INSERT INTO `lang_definitions` VALUES (164620, 6500, 30, 'خیر');
INSERT INTO `lang_definitions` VALUES (164621, 6502, 30, 'بدون دسترسی');
INSERT INTO `lang_definitions` VALUES (164622, 6503, 30, 'این بیمار یادآور فعالی ندارد.');
INSERT INTO `lang_definitions` VALUES (164623, 6509, 30, 'قرارهای ملاقات وجود ندارد.');
INSERT INTO `lang_definitions` VALUES (164624, 6515, 30, 'سیستم صدور صورتحسابی در حال حاضر فعال نیست');
INSERT INTO `lang_definitions` VALUES (164625, 6571, 30, 'پرونده ای مطابق جستجو پیدا نشد');
INSERT INTO `lang_definitions` VALUES (164626, 6577, 30, 'نتیجه جدیدی پیدا نشد');
INSERT INTO `lang_definitions` VALUES (164627, 6578, 30, 'یادداشتی وجود ندارد');
INSERT INTO `lang_definitions` VALUES (164628, 6607, 30, 'یاد آوری وجود ندارد');
INSERT INTO `lang_definitions` VALUES (164629, 6609, 30, 'نتیجه ای وجود ندارد');
INSERT INTO `lang_definitions` VALUES (164630, 6612, 30, 'نتیجه ای برای جستجو پیدا نشد');
INSERT INTO `lang_definitions` VALUES (164631, 6613, 30, 'نتیجه ای پیدا نشد، لطفا دوباره سعی کنید.');
INSERT INTO `lang_definitions` VALUES (164632, 6614, 30, 'بی نتیجه، لطفا دوباره سعی کنید.');
INSERT INTO `lang_definitions` VALUES (164633, 6615, 30, 'بی نتیجه، لطفا دوباره سعی کنید.');
INSERT INTO `lang_definitions` VALUES (164634, 6618, 30, 'غیبت');
INSERT INTO `lang_definitions` VALUES (164635, 6624, 30, 'نام چنین چهار چوبی وجود ندارد');
INSERT INTO `lang_definitions` VALUES (164636, 6632, 30, 'بدون ملاقات پزشکی‌');
INSERT INTO `lang_definitions` VALUES (164637, 6633, 30, 'هیچ علائم حیاتی ثبت نشده است.');
INSERT INTO `lang_definitions` VALUES (164638, 6637, 30, 'Nocturia');
INSERT INTO `lang_definitions` VALUES (164639, 6643, 30, 'Non-Insulin Dependent Diabetes');
INSERT INTO `lang_definitions` VALUES (164640, 6648, 30, 'هیچ موردی');
INSERT INTO `lang_definitions` VALUES (164641, 6649, 30, 'هیچ موردی');
INSERT INTO `lang_definitions` VALUES (164642, 6650, 30, 'هیچک موردی تعریف نشده');
INSERT INTO `lang_definitions` VALUES (164643, 6652, 30, 'هیچ مطلبی ثبت نشده است');
INSERT INTO `lang_definitions` VALUES (164644, 6653, 30, 'هیچکدام از موارد فوق');
INSERT INTO `lang_definitions` VALUES (164645, 6685, 30, 'عادی');
INSERT INTO `lang_definitions` VALUES (164646, 6688, 30, 'معاینه قلبی طبیعی:');
INSERT INTO `lang_definitions` VALUES (164647, 6689, 30, 'معاینه قلبی طبیعی:');
INSERT INTO `lang_definitions` VALUES (164648, 6690, 30, 'معاینه ریه طبیعی:');
INSERT INTO `lang_definitions` VALUES (164649, 6691, 30, 'معاینه ریه طبیعی:');
INSERT INTO `lang_definitions` VALUES (164650, 6692, 30, 'ملاقات پزشکی‌ عادی');
INSERT INTO `lang_definitions` VALUES (164651, 6696, 30, 'نمایش عادی');
INSERT INTO `lang_definitions` VALUES (164652, 6697, 30, 'نرمال:');
INSERT INTO `lang_definitions` VALUES (164653, 6698, 30, 'معمولا باید علامت زده شود. به کنترل دسترسی ارتباط ندارد.');
INSERT INTO `lang_definitions` VALUES (164654, 6701, 30, 'نروژی');
INSERT INTO `lang_definitions` VALUES (164655, 6705, 30, 'بینی');
INSERT INTO `lang_definitions` VALUES (164656, 6706, 30, 'خون دماغ');
INSERT INTO `lang_definitions` VALUES (164657, 6712, 30, 'مجاز نیست');
INSERT INTO `lang_definitions` VALUES (164658, 6721, 30, 'مجاز نیست');
INSERT INTO `lang_definitions` VALUES (164659, 6722, 30, 'مجاز نیست');
INSERT INTO `lang_definitions` VALUES (164660, 6729, 30, 'موجود نیست');
INSERT INTO `lang_definitions` VALUES (164661, 6732, 30, 'علامت زده نشده');
INSERT INTO `lang_definitions` VALUES (164662, 6734, 30, 'کد گذاری نشده');
INSERT INTO `lang_definitions` VALUES (164663, 6738, 30, 'معاینه نشد');
INSERT INTO `lang_definitions` VALUES (164664, 6739, 30, 'معاینه نشد:');
INSERT INTO `lang_definitions` VALUES (164665, 6740, 30, 'معاینه نشد:');
INSERT INTO `lang_definitions` VALUES (164666, 6742, 30, 'پیدا نشد');
INSERT INTO `lang_definitions` VALUES (164667, 6744, 30, 'پیدا نشد!');
INSERT INTO `lang_definitions` VALUES (164668, 6746, 30, 'نصب نشده');
INSERT INTO `lang_definitions` VALUES (164669, 6753, 30, 'هنوز ارسال نشده');
INSERT INTO `lang_definitions` VALUES (164670, 6755, 30, 'معین نشده.');
INSERT INTO `lang_definitions` VALUES (164671, 6758, 30, 'یادداشت');
INSERT INTO `lang_definitions` VALUES (164672, 6760, 30, 'کد یادداشت ها');
INSERT INTO `lang_definitions` VALUES (164673, 6771, 30, 'نوع یادداشت');
INSERT INTO `lang_definitions` VALUES (164674, 6785, 30, 'یادداشت ها');
INSERT INTO `lang_definitions` VALUES (164675, 6793, 30, 'یادداشت ها مجاز نیستند');
INSERT INTO `lang_definitions` VALUES (164676, 6796, 30, 'چیزی ضبط نشده');
INSERT INTO `lang_definitions` VALUES (164677, 6799, 30, 'آلرژی برای وارد کردن وجود ندارد');
INSERT INTO `lang_definitions` VALUES (164678, 6800, 30, 'نسخه ای برای وارد کردن وجود ندارد');
INSERT INTO `lang_definitions` VALUES (164679, 6803, 30, 'چیزی برای نشان دادن وجود ندارد');
INSERT INTO `lang_definitions` VALUES (164680, 6804, 30, 'چیزی انتخاب نشده');
INSERT INTO `lang_definitions` VALUES (164681, 6809, 30, 'اطلاعیه');
INSERT INTO `lang_definitions` VALUES (164682, 6810, 30, 'آدرس ایمیل برای ارسال اطلاعیه');
INSERT INTO `lang_definitions` VALUES (164683, 6815, 30, 'اطلاعیه ها');
INSERT INTO `lang_definitions` VALUES (164684, 6820, 30, 'نوامبر');
INSERT INTO `lang_definitions` VALUES (164685, 6821, 30, 'نوامبر');
INSERT INTO `lang_definitions` VALUES (164686, 6824, 30, 'در حال ارسال برای:');
INSERT INTO `lang_definitions` VALUES (164687, 6825, 30, 'در حال چاپ');
INSERT INTO `lang_definitions` VALUES (164688, 6837, 30, 'تعداد');
INSERT INTO `lang_definitions` VALUES (164689, 6843, 30, 'تعداد ستون ها در نمای سالیانه.');
INSERT INTO `lang_definitions` VALUES (164690, 6856, 30, 'از چند ساعت قبل اطلاعیه ایمیلی ارسال شود.');
INSERT INTO `lang_definitions` VALUES (164691, 6857, 30, 'از چند ساعت قبل اطلاعیه تلفنی ارسال شود.');
INSERT INTO `lang_definitions` VALUES (164692, 6858, 30, 'از چند ساعت قبل اطلاعیه SMS ارسال شود.');
INSERT INTO `lang_definitions` VALUES (164693, 6864, 30, 'بی حسی');
INSERT INTO `lang_definitions` VALUES (164694, 6865, 30, 'صورت کسر');
INSERT INTO `lang_definitions` VALUES (164695, 6869, 30, 'تغذیه');
INSERT INTO `lang_definitions` VALUES (164696, 6874, 30, 'چاقی I');
INSERT INTO `lang_definitions` VALUES (164697, 6875, 30, 'چاقی II');
INSERT INTO `lang_definitions` VALUES (164698, 6876, 30, 'چاقی III');
INSERT INTO `lang_definitions` VALUES (164699, 6877, 30, 'عینی');
INSERT INTO `lang_definitions` VALUES (164700, 6886, 30, 'اشتغال');
INSERT INTO `lang_definitions` VALUES (164701, 6889, 30, 'واقعه');
INSERT INTO `lang_definitions` VALUES (164702, 6890, 30, 'اکتبر');
INSERT INTO `lang_definitions` VALUES (164703, 6891, 30, 'اکتبر');
INSERT INTO `lang_definitions` VALUES (164704, 6895, 30, 'از');
INSERT INTO `lang_definitions` VALUES (164705, 6896, 30, 'از تعداد');
INSERT INTO `lang_definitions` VALUES (164706, 6897, 30, 'از قرص های');
INSERT INTO `lang_definitions` VALUES (164707, 6899, 30, 'یادداشت های اداری');
INSERT INTO `lang_definitions` VALUES (164708, 6900, 30, 'خاموش');
INSERT INTO `lang_definitions` VALUES (164709, 6907, 30, 'یادداشت های اداری');
INSERT INTO `lang_definitions` VALUES (164710, 6908, 30, 'ویزیت عادی');
INSERT INTO `lang_definitions` VALUES (164711, 6921, 30, 'اولاد');
INSERT INTO `lang_definitions` VALUES (164712, 6925, 30, 'پماد');
INSERT INTO `lang_definitions` VALUES (164713, 6927, 30, 'تأیید');
INSERT INTO `lang_definitions` VALUES (164714, 6934, 30, 'Old fracture non / malunion');
INSERT INTO `lang_definitions` VALUES (164715, 6936, 30, 'سبک استاتیک قدیمی بدون جستجو و یا بررسی اطللاعات تکراری');
INSERT INTO `lang_definitions` VALUES (164716, 6956, 30, 'در دست');
INSERT INTO `lang_definitions` VALUES (164717, 6959, 30, 'در سفارش');
INSERT INTO `lang_definitions` VALUES (164718, 6960, 30, 'در سایت');
INSERT INTO `lang_definitions` VALUES (164719, 6996, 30, 'پشتیبانی آنلاین');
INSERT INTO `lang_definitions` VALUES (164720, 6997, 30, 'لینک پشتیبانی آنلاین');
INSERT INTO `lang_definitions` VALUES (164721, 6999, 30, 'تنها فعال');
INSERT INTO `lang_definitions` VALUES (164722, 7004, 30, 'فقط در صورتی که محل صدور صورت حساب باشد');
INSERT INTO `lang_definitions` VALUES (164723, 7006, 30, 'فقط غیر فعال');
INSERT INTO `lang_definitions` VALUES (164724, 7007, 30, 'فقط مال من');
INSERT INTO `lang_definitions` VALUES (164725, 7017, 30, 'شروع بیماری:');
INSERT INTO `lang_definitions` VALUES (164726, 7018, 30, 'شروع بیماری:');
INSERT INTO `lang_definitions` VALUES (164727, 7019, 30, 'شروع تورم:');
INSERT INTO `lang_definitions` VALUES (164728, 7031, 30, 'باز');
INSERT INTO `lang_definitions` VALUES (164729, 7040, 30, 'درصفحه جدید باز کنید');
INSERT INTO `lang_definitions` VALUES (164730, 7046, 30, 'ملاقات پزشکی‌ امروز را باز کنید');
INSERT INTO `lang_definitions` VALUES (164731, 7092, 30, 'Opthalmic');
INSERT INTO `lang_definitions` VALUES (164732, 7116, 30, 'تنظیمات اختیاری');
INSERT INTO `lang_definitions` VALUES (164733, 7117, 30, 'یا');
INSERT INTO `lang_definitions` VALUES (164734, 7118, 30, 'یا');
INSERT INTO `lang_definitions` VALUES (164735, 7119, 30, 'یا انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (164736, 7127, 30, 'از راه دهان');
INSERT INTO `lang_definitions` VALUES (164737, 7129, 30, 'سفارش');
INSERT INTO `lang_definitions` VALUES (164738, 7131, 30, 'سفارش و نوع نتایج');
INSERT INTO `lang_definitions` VALUES (164739, 7132, 30, 'کاتالوگ سفارش');
INSERT INTO `lang_definitions` VALUES (164740, 7133, 30, 'تاریخ سفارش');
INSERT INTO `lang_definitions` VALUES (164741, 7136, 30, 'فرم سفارش');
INSERT INTO `lang_definitions` VALUES (164742, 7138, 30, 'سفارش باید یک عدد بین ۱ و ۹۹۹ باشد');
INSERT INTO `lang_definitions` VALUES (164743, 7140, 30, 'نام روی سفارش');
INSERT INTO `lang_definitions` VALUES (164744, 7142, 30, 'اولویت سفارش');
INSERT INTO `lang_definitions` VALUES (164745, 7143, 30, 'پردازنده سفارش');
INSERT INTO `lang_definitions` VALUES (164746, 7147, 30, 'وضعیت سفارش');
INSERT INTO `lang_definitions` VALUES (164747, 7150, 30, 'نوع سفارش');
INSERT INTO `lang_definitions` VALUES (164748, 7152, 30, 'نوع سفارش/نتیجه');
INSERT INTO `lang_definitions` VALUES (164749, 7153, 30, 'سفارش شده');
INSERT INTO `lang_definitions` VALUES (164750, 7159, 30, 'خدمات بهداشتی سفارش دهنده');
INSERT INTO `lang_definitions` VALUES (164751, 7166, 30, 'آسیب اعضای بدن');
INSERT INTO `lang_definitions` VALUES (164752, 7167, 30, 'سازمان');
INSERT INTO `lang_definitions` VALUES (164753, 7168, 30, 'نام سازمان');
INSERT INTO `lang_definitions` VALUES (164754, 7169, 30, 'نام واحد سازمانی');
INSERT INTO `lang_definitions` VALUES (164755, 7170, 30, 'سازمانها');
INSERT INTO `lang_definitions` VALUES (164756, 7175, 30, 'اصلی');
INSERT INTO `lang_definitions` VALUES (164757, 7181, 30, 'OROPHARYNX:');
INSERT INTO `lang_definitions` VALUES (164758, 7184, 30, 'Orthopnea');
INSERT INTO `lang_definitions` VALUES (164759, 7188, 30, 'OS');
INSERT INTO `lang_definitions` VALUES (164760, 7189, 30, 'Osetoarthritis');
INSERT INTO `lang_definitions` VALUES (164761, 7193, 30, 'دیگر');
INSERT INTO `lang_definitions` VALUES (164762, 7194, 30, 'دیگر');
INSERT INTO `lang_definitions` VALUES (164763, 7196, 30, 'دیگر - مشخص کنید');
INSERT INTO `lang_definitions` VALUES (164764, 7198, 30, 'دیگر - قید شده');
INSERT INTO `lang_definitions` VALUES (164765, 7201, 30, 'برنامه دولتی دیگر');
INSERT INTO `lang_definitions` VALUES (164766, 7203, 30, 'آسیب دیگری که جایی قید نشده');
INSERT INTO `lang_definitions` VALUES (164767, 7204, 30, 'بیمه مسئولیت دیگر اصلی‌ هست');
INSERT INTO `lang_definitions` VALUES (164768, 7206, 30, 'ماه دیگر');
INSERT INTO `lang_definitions` VALUES (164769, 7207, 30, 'برنامه های غیر دولتی دیگر');
INSERT INTO `lang_definitions` VALUES (164770, 7208, 30, 'یادداشت های دیگر');
INSERT INTO `lang_definitions` VALUES (164771, 7209, 30, 'علائم مربوطه دیگر');
INSERT INTO `lang_definitions` VALUES (164772, 7210, 30, 'علائم مربوطه دیگر:');
INSERT INTO `lang_definitions` VALUES (164773, 7213, 30, 'پاسخ دیگر بیمار');
INSERT INTO `lang_definitions` VALUES (164774, 7215, 30, 'آسیب ناشی از استرس/زیاده روی دیگر');
INSERT INTO `lang_definitions` VALUES (164775, 7216, 30, 'جراحی دیگر');
INSERT INTO `lang_definitions` VALUES (164776, 7217, 30, 'Other/Generic Abortion-Related');
INSERT INTO `lang_definitions` VALUES (164777, 7219, 30, 'دیگران');
INSERT INTO `lang_definitions` VALUES (164778, 7227, 30, 'بیرون');
INSERT INTO `lang_definitions` VALUES (164779, 7228, 30, 'خارج از دفتر');
INSERT INTO `lang_definitions` VALUES (164780, 7231, 30, 'نتیجه');
INSERT INTO `lang_definitions` VALUES (164781, 7234, 30, 'چشم انداز');
INSERT INTO `lang_definitions` VALUES (164782, 7240, 30, 'عقب افتاده');
INSERT INTO `lang_definitions` VALUES (164783, 7244, 30, 'استفاده بیش از حد');
INSERT INTO `lang_definitions` VALUES (164784, 7245, 30, 'بررسی اجمالی');
INSERT INTO `lang_definitions` VALUES (164785, 7246, 30, 'اضافه وزن');
INSERT INTO `lang_definitions` VALUES (164786, 7249, 30, 'اشباع اکسیژن');
INSERT INTO `lang_definitions` VALUES (164787, 7258, 30, 'اهالی جزایر اقیانوس آرام');
INSERT INTO `lang_definitions` VALUES (164788, 7260, 30, 'صفحه');
INSERT INTO `lang_definitions` VALUES (164789, 7263, 30, 'صفحات');
INSERT INTO `lang_definitions` VALUES (164790, 7264, 30, 'پرداخت شده');
INSERT INTO `lang_definitions` VALUES (164791, 7265, 30, 'مبلغ پرداختی که اختصاص داده شده');
INSERT INTO `lang_definitions` VALUES (164792, 7266, 30, 'مبلغ پرداخت شده');
INSERT INTO `lang_definitions` VALUES (164793, 7267, 30, 'پرداخت شده از طریق');
INSERT INTO `lang_definitions` VALUES (164794, 7268, 30, 'درد');
INSERT INTO `lang_definitions` VALUES (164795, 7271, 30, 'Palpitation');
INSERT INTO `lang_definitions` VALUES (164796, 7275, 30, 'پاپ اسمیر');
INSERT INTO `lang_definitions` VALUES (164797, 7276, 30, 'کاغذ');
INSERT INTO `lang_definitions` VALUES (164798, 7277, 30, 'اندازه کاغذ');
INSERT INTO `lang_definitions` VALUES (164799, 7278, 30, 'فلج');
INSERT INTO `lang_definitions` VALUES (164800, 7289, 30, 'همکار');
INSERT INTO `lang_definitions` VALUES (164801, 7290, 30, 'نام همکار');
INSERT INTO `lang_definitions` VALUES (164802, 7294, 30, 'رمز عبور');
INSERT INTO `lang_definitions` VALUES (164803, 7295, 30, 'رمز عبور برای رمزگشایی سند');
INSERT INTO `lang_definitions` VALUES (164804, 7296, 30, 'بیماران تصویب شده');
INSERT INTO `lang_definitions` VALUES (164805, 7297, 30, 'هشدار منفعل');
INSERT INTO `lang_definitions` VALUES (164806, 7299, 30, 'قوانین هشدار منفعل');
INSERT INTO `lang_definitions` VALUES (164807, 7301, 30, 'رمز عبور');
INSERT INTO `lang_definitions` VALUES (164808, 7302, 30, 'تغییر رمز عبور');
INSERT INTO `lang_definitions` VALUES (164809, 7304, 30, 'موفقیت تغییر رمز ورود');
INSERT INTO `lang_definitions` VALUES (164810, 7308, 30, 'رمز عبور مهلت انقضاء');
INSERT INTO `lang_definitions` VALUES (164811, 7310, 30, 'رمز عبور برای وب سایت دروازه تلفن. خدمات خودکار VOIP توسط Maviq ارائه شده است. لطفا برای کسب اطلاعات بیشتر به این سایت مراجعه کنید. http://signup.maviq.com');
INSERT INTO `lang_definitions` VALUES (164812, 7314, 30, 'امنیت رمز عبور به تازگی ارتقا یافته.');
INSERT INTO `lang_definitions` VALUES (164813, 7319, 30, 'رمز عبور:');
INSERT INTO `lang_definitions` VALUES (164814, 7329, 30, 'موعد انجام');
INSERT INTO `lang_definitions` VALUES (164815, 7330, 30, 'موعد انجام');
INSERT INTO `lang_definitions` VALUES (164816, 7333, 30, 'لیست ویزیت های پیشین');
INSERT INTO `lang_definitions` VALUES (164817, 7361, 30, 'بیمار');
INSERT INTO `lang_definitions` VALUES (164818, 7362, 30, 'بیمار');
INSERT INTO `lang_definitions` VALUES (164819, 7363, 30, 'بیمار');
INSERT INTO `lang_definitions` VALUES (164820, 7365, 30, 'آدرس بیمار');
INSERT INTO `lang_definitions` VALUES (164821, 7366, 30, 'آدرس بیمار در دست نیست');
INSERT INTO `lang_definitions` VALUES (164822, 7369, 30, 'آلرژی های بیمار');
INSERT INTO `lang_definitions` VALUES (164823, 7370, 30, 'آلرژی های بیمار');
INSERT INTO `lang_definitions` VALUES (164824, 7373, 30, 'قرار ملاقات بیمار');
INSERT INTO `lang_definitions` VALUES (164825, 7374, 30, 'موازنه بیمار');
INSERT INTO `lang_definitions` VALUES (164826, 7375, 30, 'مانده معوق بیمار');
INSERT INTO `lang_definitions` VALUES (164827, 7379, 30, 'شناسه پرونده بیمار');
INSERT INTO `lang_definitions` VALUES (164828, 7381, 30, 'مرخص شدن بیمار');
INSERT INTO `lang_definitions` VALUES (164829, 7382, 30, 'مرخص شدن بیمار برای');
INSERT INTO `lang_definitions` VALUES (164830, 7383, 30, 'شهر بیمار');
INSERT INTO `lang_definitions` VALUES (164831, 7386, 30, 'ارتباطات بیمار ارسال شد');
INSERT INTO `lang_definitions` VALUES (164832, 7387, 30, 'ارتباطات بیمار ارسال شد');
INSERT INTO `lang_definitions` VALUES (164833, 7388, 30, 'کشور بیمار');
INSERT INTO `lang_definitions` VALUES (164834, 7394, 30, 'داده های بیمار');
INSERT INTO `lang_definitions` VALUES (164835, 7396, 30, 'تاریخ تولد بیمار در دست نیست');
INSERT INTO `lang_definitions` VALUES (164836, 7401, 30, 'جزئیات بیمار');
INSERT INTO `lang_definitions` VALUES (164837, 7402, 30, 'تاریخ تولد بیمار');
INSERT INTO `lang_definitions` VALUES (164838, 7404, 30, 'سند بیمار');
INSERT INTO `lang_definitions` VALUES (164839, 7410, 30, 'آموزش بیمار');
INSERT INTO `lang_definitions` VALUES (164840, 7411, 30, 'امکانات آموزشی بیمار');
INSERT INTO `lang_definitions` VALUES (164841, 7415, 30, 'بیمار یاب');
INSERT INTO `lang_definitions` VALUES (164842, 7417, 30, 'نام بیمار');
INSERT INTO `lang_definitions` VALUES (164843, 7419, 30, 'نام بیمار در دست نیست');
INSERT INTO `lang_definitions` VALUES (164844, 7424, 30, 'جنس بیمار');
INSERT INTO `lang_definitions` VALUES (164845, 7425, 30, 'جنس بیمار در دست نیست');
INSERT INTO `lang_definitions` VALUES (164846, 7428, 30, 'سابقه بیمار');
INSERT INTO `lang_definitions` VALUES (164847, 7429, 30, 'سابقه/سبک زندگی بیمار');
INSERT INTO `lang_definitions` VALUES (164848, 7430, 30, 'تلفن خانه بیمار');
INSERT INTO `lang_definitions` VALUES (164849, 7431, 30, 'شناسه بیمار');
INSERT INTO `lang_definitions` VALUES (164850, 7432, 30, 'شناسه بیمار');
INSERT INTO `lang_definitions` VALUES (164851, 7433, 30, 'کارت شناسایی بیمار');
INSERT INTO `lang_definitions` VALUES (164852, 7437, 30, 'واکسیناسیون بیمار');
INSERT INTO `lang_definitions` VALUES (164853, 7438, 30, 'اطلاعات بیمار');
INSERT INTO `lang_definitions` VALUES (164854, 7440, 30, 'دستورالعمل های بیمار');
INSERT INTO `lang_definitions` VALUES (164855, 7445, 30, 'مسائل بیمار');
INSERT INTO `lang_definitions` VALUES (164856, 7447, 30, 'نام خانوادگی بیمار');
INSERT INTO `lang_definitions` VALUES (164857, 7449, 30, 'نام خانوادگی بیمار در دست نیست');
INSERT INTO `lang_definitions` VALUES (164858, 7454, 30, 'فهرست بیماران');
INSERT INTO `lang_definitions` VALUES (164859, 7455, 30, 'ستونهای فهرست بیماران');
INSERT INTO `lang_definitions` VALUES (164860, 7457, 30, 'صفحه جدید فهرست بیماران');
INSERT INTO `lang_definitions` VALUES (164861, 7463, 30, 'مشکلات پزشکی بیمار');
INSERT INTO `lang_definitions` VALUES (164862, 7464, 30, 'داروهای بیمار');
INSERT INTO `lang_definitions` VALUES (164863, 7470, 30, 'نام بیمار');
INSERT INTO `lang_definitions` VALUES (164864, 7472, 30, 'نام و آدرس بیمار');
INSERT INTO `lang_definitions` VALUES (164865, 7475, 30, 'نام بیمار ضروریست');
INSERT INTO `lang_definitions` VALUES (164866, 7477, 30, 'یادداشت بیمار');
INSERT INTO `lang_definitions` VALUES (164867, 7478, 30, 'نوع یادداشت بیمار');
INSERT INTO `lang_definitions` VALUES (164868, 7479, 30, 'یادداشت های بیمار');
INSERT INTO `lang_definitions` VALUES (164869, 7480, 30, 'یادداشت های بیمار (نوشتن، اضافه کردن تنها اختیاریست)');
INSERT INTO `lang_definitions` VALUES (164870, 7482, 30, 'شماره بیمار');
INSERT INTO `lang_definitions` VALUES (164871, 7483, 30, 'پرداخت بیمار');
INSERT INTO `lang_definitions` VALUES (164872, 7497, 30, 'گزارش چاپ شده بیمار');
INSERT INTO `lang_definitions` VALUES (164873, 7499, 30, 'گزارش سابقه بیمار');
INSERT INTO `lang_definitions` VALUES (164874, 7500, 30, 'درخواست سابقه بیمار');
INSERT INTO `lang_definitions` VALUES (164875, 7501, 30, 'درخواست سوابق بیمار');
INSERT INTO `lang_definitions` VALUES (164876, 7503, 30, 'یادآوری بیمار');
INSERT INTO `lang_definitions` VALUES (164877, 7507, 30, 'قواعد یادآوری بیمار');
INSERT INTO `lang_definitions` VALUES (164878, 7508, 30, 'ایمیل فرستنده یادآوری بیمار');
INSERT INTO `lang_definitions` VALUES (164879, 7509, 30, 'نام فرستنده یادآوری بیمار');
INSERT INTO `lang_definitions` VALUES (164880, 7510, 30, 'یادآورهای بیمار');
INSERT INTO `lang_definitions` VALUES (164881, 7514, 30, 'گزارش بیمار');
INSERT INTO `lang_definitions` VALUES (164882, 7518, 30, 'درخواست بیمار');
INSERT INTO `lang_definitions` VALUES (164883, 7519, 30, 'بیمار درخواست سوابق پزشکی کرد');
INSERT INTO `lang_definitions` VALUES (164884, 7521, 30, 'نتایج بیمار');
INSERT INTO `lang_definitions` VALUES (164885, 7525, 30, 'سبک نتیجه های جست و جو بیمار');
INSERT INTO `lang_definitions` VALUES (164886, 7526, 30, 'صفحه جستجو/افزودن بیمار');
INSERT INTO `lang_definitions` VALUES (164887, 7528, 30, 'تنظیمات بیمار');
INSERT INTO `lang_definitions` VALUES (164888, 7533, 30, 'استان بیمار');
INSERT INTO `lang_definitions` VALUES (164889, 7539, 30, 'خلاصه مشخصات بیمار');
INSERT INTO `lang_definitions` VALUES (164890, 7542, 30, 'تراکنش های بیمار');
INSERT INTO `lang_definitions` VALUES (164891, 7546, 30, 'کد پستی بیمار');
INSERT INTO `lang_definitions` VALUES (164892, 7550, 30, 'بیمار/ارباب رجوع');
INSERT INTO `lang_definitions` VALUES (164893, 7551, 30, 'بیمار');
INSERT INTO `lang_definitions` VALUES (164894, 7552, 30, 'شناسه بیمار');
INSERT INTO `lang_definitions` VALUES (164895, 7553, 30, 'بیماران');
INSERT INTO `lang_definitions` VALUES (164896, 7559, 30, 'پرداخت');
INSERT INTO `lang_definitions` VALUES (164897, 7560, 30, 'به گزینه های \"انجام شده با\" توجه کنید. پس از دریافت و علامت زدن همه پرداختهای بیمه‌ از بیمار درخواست پرداخت مبلغ باقی مانده خواهد شد. در غیر این صورت مبلغ باقی مانده جمع آوری نمی شود! همچنین اگر مبلغ باقی مانده یی وجود دارد که بیمار باید پرداخت کند، مهلت مناسبی برای پرداخت باید قید شود که روی لحن و انشأ صورت حساب بیمار تاثیر گذار میباشد.');
INSERT INTO `lang_definitions` VALUES (164898, 7563, 30, 'تاریخ پرداخت:');
INSERT INTO `lang_definitions` VALUES (164899, 7566, 30, 'وضعیت پرداخت');
INSERT INTO `lang_definitions` VALUES (164900, 7567, 30, 'نام گیرنده');
INSERT INTO `lang_definitions` VALUES (164901, 7568, 30, 'پرداخت کننده');
INSERT INTO `lang_definitions` VALUES (164902, 7572, 30, 'نوع پرداخت کننده');
INSERT INTO `lang_definitions` VALUES (164903, 7573, 30, 'پرداخت کننده');
INSERT INTO `lang_definitions` VALUES (164904, 7574, 30, 'نهاد پرداخت کننده');
INSERT INTO `lang_definitions` VALUES (164905, 7575, 30, 'پرداخت');
INSERT INTO `lang_definitions` VALUES (164906, 7576, 30, 'پرداخت');
INSERT INTO `lang_definitions` VALUES (164907, 7577, 30, 'کد اصلاح پرداخت');
INSERT INTO `lang_definitions` VALUES (164908, 7578, 30, 'پرداخت در مقابل');
INSERT INTO `lang_definitions` VALUES (164909, 7579, 30, 'مبلغ پرداخت');
INSERT INTO `lang_definitions` VALUES (164910, 7580, 30, 'مبلغ پرداخت باید عدد باشد');
INSERT INTO `lang_definitions` VALUES (164911, 7581, 30, 'دسته بندی پرداخت');
INSERT INTO `lang_definitions` VALUES (164912, 7583, 30, 'تاریخ پرداخت');
INSERT INTO `lang_definitions` VALUES (164913, 7584, 30, 'پرداخت وارد شده در');
INSERT INTO `lang_definitions` VALUES (164914, 7585, 30, 'پرداخت از');
INSERT INTO `lang_definitions` VALUES (164915, 7589, 30, 'فهرست پرداخت');
INSERT INTO `lang_definitions` VALUES (164916, 7590, 30, 'روش پرداخت');
INSERT INTO `lang_definitions` VALUES (164917, 7592, 30, 'مرتب سازی پرداخت بر اساس');
INSERT INTO `lang_definitions` VALUES (164918, 7593, 30, 'وضعیت پرداخت');
INSERT INTO `lang_definitions` VALUES (164919, 7597, 30, 'نوع پرداخت');
INSERT INTO `lang_definitions` VALUES (164920, 7600, 30, 'ارزش پرداخت برای کد');
INSERT INTO `lang_definitions` VALUES (164921, 7602, 30, 'پرداخت ها');
INSERT INTO `lang_definitions` VALUES (164922, 7620, 30, 'Pelvis and buttock');
INSERT INTO `lang_definitions` VALUES (164923, 7621, 30, 'Pemphigus');
INSERT INTO `lang_definitions` VALUES (164924, 7624, 30, 'در انتظار');
INSERT INTO `lang_definitions` VALUES (164925, 7630, 30, 'در انتظار پیگیری');
INSERT INTO `lang_definitions` VALUES (164926, 7632, 30, 'در انتظار دستورات');
INSERT INTO `lang_definitions` VALUES (164927, 7634, 30, 'در انتظار بررسی');
INSERT INTO `lang_definitions` VALUES (164928, 7639, 30, 'Peptic Ulcer Disease');
INSERT INTO `lang_definitions` VALUES (164929, 7642, 30, 'Per Nostril');
INSERT INTO `lang_definitions` VALUES (164930, 7643, 30, 'per nostril');
INSERT INTO `lang_definitions` VALUES (164931, 7644, 30, 'Per Oris');
INSERT INTO `lang_definitions` VALUES (164932, 7645, 30, 'per oris');
INSERT INTO `lang_definitions` VALUES (164933, 7646, 30, 'Per Rectum');
INSERT INTO `lang_definitions` VALUES (164934, 7647, 30, 'per rectum');
INSERT INTO `lang_definitions` VALUES (164935, 7648, 30, 'در صد');
INSERT INTO `lang_definitions` VALUES (164936, 7652, 30, 'در صد');
INSERT INTO `lang_definitions` VALUES (164937, 7654, 30, 'انجام جستجو');
INSERT INTO `lang_definitions` VALUES (164938, 7655, 30, 'انجام این عمل');
INSERT INTO `lang_definitions` VALUES (164939, 7656, 30, 'درصد عملکرد');
INSERT INTO `lang_definitions` VALUES (164940, 7661, 30, 'مدت زمان');
INSERT INTO `lang_definitions` VALUES (164941, 7663, 30, 'Perioperative Care');
INSERT INTO `lang_definitions` VALUES (164942, 7665, 30, 'Peripheral');
INSERT INTO `lang_definitions` VALUES (164943, 7671, 30, 'شخص');
INSERT INTO `lang_definitions` VALUES (164944, 7672, 30, 'شخصی کردن');
INSERT INTO `lang_definitions` VALUES (164945, 7678, 30, 'داروخانه');
INSERT INTO `lang_definitions` VALUES (164946, 7680, 30, 'داروخانه');
INSERT INTO `lang_definitions` VALUES (164947, 7688, 30, 'Pheumothorax');
INSERT INTO `lang_definitions` VALUES (164948, 7697, 30, 'تلفن');
INSERT INTO `lang_definitions` VALUES (164949, 7699, 30, 'فهرست تماس های تلفن');
INSERT INTO `lang_definitions` VALUES (164950, 7701, 30, 'گزارش فهرست تماس های تلفن');
INSERT INTO `lang_definitions` VALUES (164951, 7709, 30, 'ساعت هشدار تلفن');
INSERT INTO `lang_definitions` VALUES (164952, 7711, 30, 'شماره تلفن');
INSERT INTO `lang_definitions` VALUES (164953, 7715, 30, 'Photophobia');
INSERT INTO `lang_definitions` VALUES (164954, 7716, 30, 'عکس ها');
INSERT INTO `lang_definitions` VALUES (164955, 7723, 30, 'معاینه پزشکی');
INSERT INTO `lang_definitions` VALUES (164956, 7725, 30, 'درخواست پزشک');
INSERT INTO `lang_definitions` VALUES (164957, 7726, 30, 'امضاء پزشک');
INSERT INTO `lang_definitions` VALUES (164958, 7729, 30, 'پزشکان');
INSERT INTO `lang_definitions` VALUES (164959, 7733, 30, 'انتخاب');
INSERT INTO `lang_definitions` VALUES (164960, 7734, 30, 'انتخاب');
INSERT INTO `lang_definitions` VALUES (164961, 7738, 30, 'PID');
INSERT INTO `lang_definitions` VALUES (164962, 7740, 30, 'PID (Pelvic Inflammatory Disease)');
INSERT INTO `lang_definitions` VALUES (164963, 7741, 30, 'اندازه قرص');
INSERT INTO `lang_definitions` VALUES (164964, 7742, 30, 'قرص');
INSERT INTO `lang_definitions` VALUES (164965, 7752, 30, 'نگهدارنده جای');
INSERT INTO `lang_definitions` VALUES (164966, 7756, 30, 'متن ساده');
INSERT INTO `lang_definitions` VALUES (164967, 7757, 30, 'طرح');
INSERT INTO `lang_definitions` VALUES (164968, 7762, 30, 'نام طرح');
INSERT INTO `lang_definitions` VALUES (164969, 7768, 30, 'مجموعه طرح ها');
INSERT INTO `lang_definitions` VALUES (164970, 7773, 30, 'طرح:');
INSERT INTO `lang_definitions` VALUES (164971, 7776, 30, 'طرح ها');
INSERT INTO `lang_definitions` VALUES (164972, 7778, 30, 'بازیکن');
INSERT INTO `lang_definitions` VALUES (164973, 7843, 30, 'لطفا شماره چک را وارد کنید');
INSERT INTO `lang_definitions` VALUES (164974, 7844, 30, 'لطفا شماره چک / مرجع را وارد کنید');
INSERT INTO `lang_definitions` VALUES (164975, 7845, 30, 'لطفا تاریخ را قید کنید');
INSERT INTO `lang_definitions` VALUES (164976, 7846, 30, 'لطفا مبلغ پرداخت را قید کنید');
INSERT INTO `lang_definitions` VALUES (164977, 7847, 30, 'لطفا دسته بندی پرداخت را قید کنید');
INSERT INTO `lang_definitions` VALUES (164978, 7848, 30, 'لطفا فرم پرداخت را پر کنید');
INSERT INTO `lang_definitions` VALUES (164979, 7850, 30, 'لطفا قبل از ادامه آنها را پر کنید.');
INSERT INTO `lang_definitions` VALUES (164980, 7854, 30, 'لطفا دلیل ملاقات را شرح دهید');
INSERT INTO `lang_definitions` VALUES (164981, 7856, 30, 'برای دیدن نتایج لطفا معیار جستجو را در بالا وارد کرده، و روی ارسال کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (164982, 7857, 30, 'برای دیدن نتایج لطفا معیار جستجو را در بالا وارد کرده، و روی ارسال کلیک کنید. (نتایج در یک صفحه جدید نمایش داده خواهد شد)');
INSERT INTO `lang_definitions` VALUES (164983, 7858, 30, 'لطفا دوباره وارد سیستم شوید.');
INSERT INTO `lang_definitions` VALUES (164984, 7916, 30, 'لطفا پس از مدتی از صفحه \"فسخ شناسایی\" دیدار کنید');
INSERT INTO `lang_definitions` VALUES (164985, 7917, 30, 'لطفا پس از مدتی از صفحه \"شناسایی مجدد\" دیدار کنید');
INSERT INTO `lang_definitions` VALUES (164986, 7918, 30, 'لطفا پس از مدتی از این صفحه دیدار کنید');
INSERT INTO `lang_definitions` VALUES (164987, 7922, 30, 'Plural');
INSERT INTO `lang_definitions` VALUES (164988, 7926, 30, 'عصر');
INSERT INTO `lang_definitions` VALUES (164989, 7934, 30, 'PND');
INSERT INTO `lang_definitions` VALUES (164990, 7935, 30, 'Pneumococcal Conjugate 1');
INSERT INTO `lang_definitions` VALUES (164991, 7936, 30, 'Pneumococcal Conjugate 2');
INSERT INTO `lang_definitions` VALUES (164992, 7937, 30, 'Pneumococcal Conjugate 3');
INSERT INTO `lang_definitions` VALUES (164993, 7938, 30, 'Pneumococcal Conjugate 4');
INSERT INTO `lang_definitions` VALUES (164994, 7939, 30, 'Pneumococcal Vaccine');
INSERT INTO `lang_definitions` VALUES (164995, 7943, 30, 'Podiatric');
INSERT INTO `lang_definitions` VALUES (164996, 7947, 30, 'پوشش بیمه');
INSERT INTO `lang_definitions` VALUES (164997, 7950, 30, 'شماره انحصاری پوشش بیمه');
INSERT INTO `lang_definitions` VALUES (164998, 7951, 30, 'شماره انحصاری پوشش بیمه');
INSERT INTO `lang_definitions` VALUES (164999, 7952, 30, 'لهستانی');
INSERT INTO `lang_definitions` VALUES (165000, 7953, 30, 'Polydypsia');
INSERT INTO `lang_definitions` VALUES (165001, 7955, 30, 'پولیپ');
INSERT INTO `lang_definitions` VALUES (165002, 7956, 30, 'Polyuria');
INSERT INTO `lang_definitions` VALUES (165003, 7957, 30, 'کم اشتهایی');
INSERT INTO `lang_definitions` VALUES (165004, 7958, 30, 'گردش خون ضعیف');
INSERT INTO `lang_definitions` VALUES (165005, 7959, 30, 'شنوایی ضعیف');
INSERT INTO `lang_definitions` VALUES (165006, 7967, 30, 'پورتال');
INSERT INTO `lang_definitions` VALUES (165007, 7969, 30, 'فعالیت درسایت پورتال');
INSERT INTO `lang_definitions` VALUES (165008, 7985, 30, 'پرتغالی');
INSERT INTO `lang_definitions` VALUES (165009, 7987, 30, 'پرتغالی (برزیلی)');
INSERT INTO `lang_definitions` VALUES (165010, 7988, 30, 'پرتغالی (اروپایی)');
INSERT INTO `lang_definitions` VALUES (165011, 7992, 30, 'مثبت');
INSERT INTO `lang_definitions` VALUES (165012, 7993, 30, 'مثبت ها');
INSERT INTO `lang_definitions` VALUES (165013, 7996, 30, 'ارسال برای');
INSERT INTO `lang_definitions` VALUES (165014, 7998, 30, 'Post Nasal Drip');
INSERT INTO `lang_definitions` VALUES (165015, 8000, 30, 'درج پرداخت');
INSERT INTO `lang_definitions` VALUES (165016, 8001, 30, 'Post surgical');
INSERT INTO `lang_definitions` VALUES (165017, 8011, 30, 'پستی');
INSERT INTO `lang_definitions` VALUES (165018, 8012, 30, 'کد پستی');
INSERT INTO `lang_definitions` VALUES (165019, 8013, 30, 'کد پستی');
INSERT INTO `lang_definitions` VALUES (165020, 8037, 30, 'دفتر پزشکی‌');
INSERT INTO `lang_definitions` VALUES (165021, 8038, 30, 'تنظیم پیش فرض دفتر');
INSERT INTO `lang_definitions` VALUES (165022, 8039, 30, 'تنظیمات دفتر پزشکی‌');
INSERT INTO `lang_definitions` VALUES (165023, 8041, 30, 'پزشک');
INSERT INTO `lang_definitions` VALUES (165024, 8043, 30, 'پیش پرداخت');
INSERT INTO `lang_definitions` VALUES (165025, 8044, 30, 'پیش پرداخت');
INSERT INTO `lang_definitions` VALUES (165026, 8050, 30, 'تنظیمات');
INSERT INTO `lang_definitions` VALUES (165027, 8052, 30, 'دسته بندی رویداد انتخابی');
INSERT INTO `lang_definitions` VALUES (165028, 8053, 30, 'زبان انتخابی');
INSERT INTO `lang_definitions` VALUES (165029, 8054, 30, 'داروخانه انتخابی');
INSERT INTO `lang_definitions` VALUES (165030, 8057, 30, 'مقدماتی');
INSERT INTO `lang_definitions` VALUES (165031, 8059, 30, 'پیش پرداخت');
INSERT INTO `lang_definitions` VALUES (165032, 8061, 30, 'نسخه');
INSERT INTO `lang_definitions` VALUES (165033, 8064, 30, 'تاریخچه نسخه');
INSERT INTO `lang_definitions` VALUES (165034, 8066, 30, 'برچسب نسخه');
INSERT INTO `lang_definitions` VALUES (165035, 8067, 30, 'گزارش نسخه');
INSERT INTO `lang_definitions` VALUES (165036, 8070, 30, 'نسخه ها');
INSERT INTO `lang_definitions` VALUES (165037, 8073, 30, 'نسخه ها و مقدرات');
INSERT INTO `lang_definitions` VALUES (165038, 8074, 30, 'نسخه ها و معارفه های دیگر');
INSERT INTO `lang_definitions` VALUES (165039, 8076, 30, 'گزارش نسخه ها');
INSERT INTO `lang_definitions` VALUES (165040, 8077, 30, 'تجویزها / ارجاعات');
INSERT INTO `lang_definitions` VALUES (165041, 8084, 30, 'تشخیص محتمل');
INSERT INTO `lang_definitions` VALUES (165042, 8086, 30, 'قبلی');
INSERT INTO `lang_definitions` VALUES (165043, 8088, 30, 'ماه گذشته (برای منو نگه دارید)');
INSERT INTO `lang_definitions` VALUES (165044, 8089, 30, 'سال گذشته (برای منو نگه دارید)');
INSERT INTO `lang_definitions` VALUES (165045, 8091, 30, 'مراقبت پیشگیرانه');
INSERT INTO `lang_definitions` VALUES (165046, 8094, 30, 'پیش نمایش رویداد');
INSERT INTO `lang_definitions` VALUES (165047, 8097, 30, 'پیش نمایش');
INSERT INTO `lang_definitions` VALUES (165048, 8098, 30, 'قبلی');
INSERT INTO `lang_definitions` VALUES (165049, 8099, 30, 'مشورت قبلی');
INSERT INTO `lang_definitions` VALUES (165050, 8100, 30, 'روز گذشته');
INSERT INTO `lang_definitions` VALUES (165051, 8103, 30, 'ماه گذشته');
INSERT INTO `lang_definitions` VALUES (165052, 8104, 30, 'هفته گذشته');
INSERT INTO `lang_definitions` VALUES (165053, 8105, 30, 'قیمت');
INSERT INTO `lang_definitions` VALUES (165054, 8108, 30, 'تنزیل قیمت');
INSERT INTO `lang_definitions` VALUES (165055, 8109, 30, 'سطح قیمت');
INSERT INTO `lang_definitions` VALUES (165056, 8111, 30, 'سطح قیمت:');
INSERT INTO `lang_definitions` VALUES (165057, 8113, 30, 'قیمت ها');
INSERT INTO `lang_definitions` VALUES (165058, 8114, 30, 'اصلی');
INSERT INTO `lang_definitions` VALUES (165059, 8115, 30, 'واحد تجاری اصلی');
INSERT INTO `lang_definitions` VALUES (165060, 8125, 30, 'بیمه اصلی');
INSERT INTO `lang_definitions` VALUES (165061, 8126, 30, 'بیمه اصلی');
INSERT INTO `lang_definitions` VALUES (165062, 8127, 30, 'اطلاعات بیمه اصلی');
INSERT INTO `lang_definitions` VALUES (165063, 8128, 30, 'ارائه دهنده خدمات بیمه اصلی');
INSERT INTO `lang_definitions` VALUES (165064, 8129, 30, 'ارائه دهنده خدمات اصلی');
INSERT INTO `lang_definitions` VALUES (165065, 8130, 30, 'چاپ');
INSERT INTO `lang_definitions` VALUES (165066, 8131, 30, 'چاپ (HTML)');
INSERT INTO `lang_definitions` VALUES (165067, 8132, 30, 'چاپ (PDF)');
INSERT INTO `lang_definitions` VALUES (165068, 8135, 30, 'چاپ فرم ارجاع خالی');
INSERT INTO `lang_definitions` VALUES (165069, 8136, 30, 'دستور چاپ');
INSERT INTO `lang_definitions` VALUES (165070, 8147, 30, 'پیام چاپ');
INSERT INTO `lang_definitions` VALUES (165071, 8148, 30, 'چاپ های متعدد');
INSERT INTO `lang_definitions` VALUES (165072, 8149, 30, 'چاپ های متعدد به فکس');
INSERT INTO `lang_definitions` VALUES (165073, 8151, 30, 'چاپ یادداشت ها');
INSERT INTO `lang_definitions` VALUES (165074, 8152, 30, 'چاپ صفحه 1');
INSERT INTO `lang_definitions` VALUES (165075, 8153, 30, 'چاپ صفحه 2');
INSERT INTO `lang_definitions` VALUES (165076, 8163, 30, 'چاپ عبارت انتخاب شده');
INSERT INTO `lang_definitions` VALUES (165077, 8166, 30, 'چاپ این ویزیت');
INSERT INTO `lang_definitions` VALUES (165078, 8168, 30, 'چاپ این یادداشت');
INSERT INTO `lang_definitions` VALUES (165079, 8169, 30, 'چاپ این یادداشت');
INSERT INTO `lang_definitions` VALUES (165080, 8173, 30, 'قابل چاپ');
INSERT INTO `lang_definitions` VALUES (165081, 8174, 30, 'نسخه قابل چاپ');
INSERT INTO `lang_definitions` VALUES (165082, 8175, 30, 'چاپ شده');
INSERT INTO `lang_definitions` VALUES (165083, 8178, 30, 'در حال چاپ نتایج:');
INSERT INTO `lang_definitions` VALUES (165084, 8189, 30, 'ملاقات قبلی');
INSERT INTO `lang_definitions` VALUES (165085, 8191, 30, 'اولویت');
INSERT INTO `lang_definitions` VALUES (165086, 8192, 30, 'اولویت');
INSERT INTO `lang_definitions` VALUES (165087, 8196, 30, 'خصوصی');
INSERT INTO `lang_definitions` VALUES (165088, 8197, 30, 'مشکل');
INSERT INTO `lang_definitions` VALUES (165089, 8199, 30, 'لیست مشکلات');
INSERT INTO `lang_definitions` VALUES (165090, 8202, 30, 'مشکلات/مسائل');
INSERT INTO `lang_definitions` VALUES (165091, 8209, 30, 'رویه');
INSERT INTO `lang_definitions` VALUES (165092, 8214, 30, 'کد رویه');
INSERT INTO `lang_definitions` VALUES (165093, 8215, 30, 'کدهای رویه');
INSERT INTO `lang_definitions` VALUES (165094, 8218, 30, 'نام رویه');
INSERT INTO `lang_definitions` VALUES (165095, 8220, 30, 'دستور رویه');
INSERT INTO `lang_definitions` VALUES (165096, 8221, 30, 'دستور رویه');
INSERT INTO `lang_definitions` VALUES (165097, 8223, 30, 'دستور رویه برای');
INSERT INTO `lang_definitions` VALUES (165098, 8226, 30, 'گزارشات و دستورات رویه');
INSERT INTO `lang_definitions` VALUES (165099, 8228, 30, 'فراهم کننده رویه');
INSERT INTO `lang_definitions` VALUES (165100, 8229, 30, 'فراهم کننده رویه');
INSERT INTO `lang_definitions` VALUES (165101, 8231, 30, 'فراهم کنندگان رویه');
INSERT INTO `lang_definitions` VALUES (165102, 8232, 30, 'گزارش رویه');
INSERT INTO `lang_definitions` VALUES (165103, 8235, 30, 'وضعیتهای گزارش رویه');
INSERT INTO `lang_definitions` VALUES (165104, 8237, 30, 'نتیجه رویه غیر طبیعی');
INSERT INTO `lang_definitions` VALUES (165105, 8238, 30, 'وضعیت های نتایج رویه');
INSERT INTO `lang_definitions` VALUES (165106, 8240, 30, 'نتایج رویه');
INSERT INTO `lang_definitions` VALUES (165107, 8243, 30, 'انواع نمونه مورد استفاده در رویه');
INSERT INTO `lang_definitions` VALUES (165108, 8245, 30, 'گزارش آماری رویه');
INSERT INTO `lang_definitions` VALUES (165109, 8248, 30, 'نوع اقدام پزشکی‌');
INSERT INTO `lang_definitions` VALUES (165110, 8249, 30, 'انواع اقدامات پزشکی‌');
INSERT INTO `lang_definitions` VALUES (165111, 8251, 30, 'واحد رویه');
INSERT INTO `lang_definitions` VALUES (165112, 8253, 30, 'رویه / خدمات');
INSERT INTO `lang_definitions` VALUES (165113, 8254, 30, 'اقدامات پزشکی‌');
INSERT INTO `lang_definitions` VALUES (165114, 8256, 30, 'پروسه');
INSERT INTO `lang_definitions` VALUES (165115, 8257, 30, 'پردازش و ارسال یادآورها');
INSERT INTO `lang_definitions` VALUES (165116, 8258, 30, 'پردازش فایل ERA');
INSERT INTO `lang_definitions` VALUES (165117, 8261, 30, 'پردازش یادآورها');
INSERT INTO `lang_definitions` VALUES (165118, 8262, 30, 'پردازش به مقداری زمان نیاز دارد');
INSERT INTO `lang_definitions` VALUES (165119, 8263, 30, 'پردازش');
INSERT INTO `lang_definitions` VALUES (165120, 8264, 30, 'پردازش شده');
INSERT INTO `lang_definitions` VALUES (165121, 8265, 30, 'تاریخ پردازش');
INSERT INTO `lang_definitions` VALUES (165122, 8266, 30, 'با موفقیت مورد پردازش قرار گرفت');
INSERT INTO `lang_definitions` VALUES (165123, 8267, 30, 'پردازش');
INSERT INTO `lang_definitions` VALUES (165124, 8268, 30, 'در حال پردازش و ارسال یادآورهای بیمار');
INSERT INTO `lang_definitions` VALUES (165125, 8271, 30, 'در حال پردازش یادآورهای بیمار');
INSERT INTO `lang_definitions` VALUES (165126, 8272, 30, 'زمان پردازش');
INSERT INTO `lang_definitions` VALUES (165127, 8274, 30, 'محصول');
INSERT INTO `lang_definitions` VALUES (165128, 8290, 30, 'پیشرفت معالجات');
INSERT INTO `lang_definitions` VALUES (165129, 8295, 30, 'سرطان پروستات');
INSERT INTO `lang_definitions` VALUES (165130, 8296, 30, 'آزمون سرطان پروستات');
INSERT INTO `lang_definitions` VALUES (165131, 8297, 30, 'معاینه پروستات');
INSERT INTO `lang_definitions` VALUES (165132, 8299, 30, 'Prostate w/o enlrgmt, nodules, tender');
INSERT INTO `lang_definitions` VALUES (165133, 8309, 30, 'خلاصه های بالینی بیماران را برای هر یک از ملاقاتهایشان ارائه کنید.');
INSERT INTO `lang_definitions` VALUES (165134, 8313, 30, 'ارائه سوابق به بیمار برای ملاقات');
INSERT INTO `lang_definitions` VALUES (165135, 8318, 30, 'ارائه دهنده خدمات');
INSERT INTO `lang_definitions` VALUES (165136, 8323, 30, 'شناسه ارائه دهنده خدمات');
INSERT INTO `lang_definitions` VALUES (165137, 8330, 30, 'شماره ارائه دهنده خدمات');
INSERT INTO `lang_definitions` VALUES (165138, 8336, 30, 'ارائه دهنده خدمات:');
INSERT INTO `lang_definitions` VALUES (165139, 8337, 30, 'ارائه دهندگان خدمات');
INSERT INTO `lang_definitions` VALUES (165140, 8342, 30, 'PSA');
INSERT INTO `lang_definitions` VALUES (165141, 8343, 30, 'Psoriasis');
INSERT INTO `lang_definitions` VALUES (165142, 8345, 30, 'تشخیص روانپزشکی');
INSERT INTO `lang_definitions` VALUES (165143, 8346, 30, 'داروی روانپزشکی');
INSERT INTO `lang_definitions` VALUES (165144, 8347, 30, 'روانپزشکی');
INSERT INTO `lang_definitions` VALUES (165145, 8348, 30, 'نامه مختصر روانپزشکی');
INSERT INTO `lang_definitions` VALUES (165146, 8349, 30, 'تشخیص روانپزشکی');
INSERT INTO `lang_definitions` VALUES (165147, 8350, 30, 'معاینه روانی');
INSERT INTO `lang_definitions` VALUES (165148, 8352, 30, 'تاریخچه روانپزشکی');
INSERT INTO `lang_definitions` VALUES (165149, 8354, 30, 'داروی روانپزشکی');
INSERT INTO `lang_definitions` VALUES (165150, 8360, 30, 'یادداشت های بیمار');
INSERT INTO `lang_definitions` VALUES (165151, 8361, 30, 'یادداشت ها/ تاییدهای بیمار');
INSERT INTO `lang_definitions` VALUES (165152, 8362, 30, 'اضافه پرداختی بیمار');
INSERT INTO `lang_definitions` VALUES (165153, 8364, 30, 'پرداختی بیمار');
INSERT INTO `lang_definitions` VALUES (165154, 8365, 30, 'درخواست سابقه بیمار');
INSERT INTO `lang_definitions` VALUES (165155, 8366, 30, 'بازپرداخت بیمار');
INSERT INTO `lang_definitions` VALUES (165156, 8367, 30, 'مرخص شدن بیمار');
INSERT INTO `lang_definitions` VALUES (165157, 8368, 30, 'گزارش بیمار');
INSERT INTO `lang_definitions` VALUES (165158, 8369, 30, 'دانشجوی بیمار، یا خالی بگذارید');
INSERT INTO `lang_definitions` VALUES (165159, 8383, 30, 'عمومی');
INSERT INTO `lang_definitions` VALUES (165160, 8394, 30, 'پورتوریکویی');
INSERT INTO `lang_definitions` VALUES (165161, 8396, 30, 'ریوی');
INSERT INTO `lang_definitions` VALUES (165162, 8398, 30, 'نبض');
INSERT INTO `lang_definitions` VALUES (165163, 8399, 30, 'پنجابی');
INSERT INTO `lang_definitions` VALUES (165164, 8401, 30, 'خرید');
INSERT INTO `lang_definitions` VALUES (165165, 8402, 30, 'خرید/پس دادن');
INSERT INTO `lang_definitions` VALUES (165166, 8403, 30, 'خریدها');
INSERT INTO `lang_definitions` VALUES (165167, 8408, 30, 'q.3h');
INSERT INTO `lang_definitions` VALUES (165168, 8409, 30, 'q.4h');
INSERT INTO `lang_definitions` VALUES (165169, 8410, 30, 'q.5h');
INSERT INTO `lang_definitions` VALUES (165170, 8411, 30, 'q.6h');
INSERT INTO `lang_definitions` VALUES (165171, 8412, 30, 'q.8h');
INSERT INTO `lang_definitions` VALUES (165172, 8413, 30, 'q.d.');
INSERT INTO `lang_definitions` VALUES (165173, 8414, 30, 'q.i.d.');
INSERT INTO `lang_definitions` VALUES (165174, 8417, 30, 'QOH');
INSERT INTO `lang_definitions` VALUES (165175, 8452, 30, 'نژاد');
INSERT INTO `lang_definitions` VALUES (165176, 8453, 30, 'نژاد و قومیت');
INSERT INTO `lang_definitions` VALUES (165177, 8454, 30, 'نژاد/قومیت');
INSERT INTO `lang_definitions` VALUES (165178, 8456, 30, 'رادیو');
INSERT INTO `lang_definitions` VALUES (165179, 8462, 30, 'محدوده');
INSERT INTO `lang_definitions` VALUES (165180, 8463, 30, 'Rashes');
INSERT INTO `lang_definitions` VALUES (165181, 8464, 30, 'نرخ');
INSERT INTO `lang_definitions` VALUES (165182, 8466, 30, 'نسبت');
INSERT INTO `lang_definitions` VALUES (165183, 8467, 30, 'گزارش اولیه');
INSERT INTO `lang_definitions` VALUES (165184, 8484, 30, 'واکنش');
INSERT INTO `lang_definitions` VALUES (165185, 8486, 30, 'واکنش ها');
INSERT INTO `lang_definitions` VALUES (165186, 8489, 30, 'خواندن');
INSERT INTO `lang_definitions` VALUES (165187, 8496, 30, 'نام واقعی');
INSERT INTO `lang_definitions` VALUES (165188, 8497, 30, 'واقعا حذف کنید');
INSERT INTO `lang_definitions` VALUES (165189, 8498, 30, 'دلیل');
INSERT INTO `lang_definitions` VALUES (165190, 8499, 30, 'دلیل مرگ');
INSERT INTO `lang_definitions` VALUES (165191, 8500, 30, 'دلیل مرگ');
INSERT INTO `lang_definitions` VALUES (165192, 8502, 30, 'دلیل مراجعه');
INSERT INTO `lang_definitions` VALUES (165193, 8504, 30, 'دلیل ملاقات');
INSERT INTO `lang_definitions` VALUES (165194, 8506, 30, 'دلیل/فرم');
INSERT INTO `lang_definitions` VALUES (165195, 8545, 30, 'گیرنده افشاء نامه');
INSERT INTO `lang_definitions` VALUES (165196, 8552, 30, 'توصیه ها');
INSERT INTO `lang_definitions` VALUES (165197, 8553, 30, 'توصیه ها و درمان');
INSERT INTO `lang_definitions` VALUES (165198, 8554, 30, 'توصیه های متخصص');
INSERT INTO `lang_definitions` VALUES (165199, 8557, 30, 'سابقه');
INSERT INTO `lang_definitions` VALUES (165200, 8566, 30, 'ثبت افشاء نامه');
INSERT INTO `lang_definitions` VALUES (165201, 8572, 30, 'سوابق');
INSERT INTO `lang_definitions` VALUES (165202, 8573, 30, 'سوابق یافت شد');
INSERT INTO `lang_definitions` VALUES (165203, 8574, 30, 'سوابق یافت شد.');
INSERT INTO `lang_definitions` VALUES (165204, 8576, 30, 'استفاده از مواد مخدر تفریحی');
INSERT INTO `lang_definitions` VALUES (165205, 8577, 30, 'مواد مخدر تفریحی');
INSERT INTO `lang_definitions` VALUES (165206, 8578, 30, 'مقعدی');
INSERT INTO `lang_definitions` VALUES (165207, 8579, 30, 'معاینه مقعد');
INSERT INTO `lang_definitions` VALUES (165208, 8580, 30, 'از راه مقعد');
INSERT INTO `lang_definitions` VALUES (165209, 8593, 30, 'سرخی');
INSERT INTO `lang_definitions` VALUES (165210, 8595, 30, 'کاهش یافته:');
INSERT INTO `lang_definitions` VALUES (165211, 8597, 30, 'ارجاع');
INSERT INTO `lang_definitions` VALUES (165212, 8598, 30, 'ارجاع توسط');
INSERT INTO `lang_definitions` VALUES (165213, 8599, 30, 'تاریخ ارجاع');
INSERT INTO `lang_definitions` VALUES (165214, 8600, 30, 'ارجاع به');
INSERT INTO `lang_definitions` VALUES (165215, 8603, 30, 'تقسیم بندی ارجاع (سطح خطر)');
INSERT INTO `lang_definitions` VALUES (165216, 8604, 30, 'محدوده نتایج ارجاع');
INSERT INTO `lang_definitions` VALUES (165217, 8605, 30, 'دلیل ارجاع');
INSERT INTO `lang_definitions` VALUES (165218, 8609, 30, 'نام و امضاء ارجاع دهنده');
INSERT INTO `lang_definitions` VALUES (165219, 8610, 30, 'ارجاع');
INSERT INTO `lang_definitions` VALUES (165220, 8611, 30, 'ارجاع بر اساس');
INSERT INTO `lang_definitions` VALUES (165221, 8612, 30, 'کارت ارجاع');
INSERT INTO `lang_definitions` VALUES (165222, 8613, 30, 'تاریخ ارجاع');
INSERT INTO `lang_definitions` VALUES (165223, 8614, 30, 'فرم ارچاع');
INSERT INTO `lang_definitions` VALUES (165224, 8615, 30, 'فرم ارجاع');
INSERT INTO `lang_definitions` VALUES (165225, 8616, 30, 'شناسه ارچاع');
INSERT INTO `lang_definitions` VALUES (165226, 8619, 30, 'منبع ارجاع');
INSERT INTO `lang_definitions` VALUES (165227, 8621, 30, 'ارچاع به');
INSERT INTO `lang_definitions` VALUES (165228, 8622, 30, 'معارفه ها');
INSERT INTO `lang_definitions` VALUES (165229, 8623, 30, 'گزارش معارفه ها');
INSERT INTO `lang_definitions` VALUES (165230, 8624, 30, 'معرفی شده توسط');
INSERT INTO `lang_definitions` VALUES (165231, 8625, 30, 'معرفی شده توسط');
INSERT INTO `lang_definitions` VALUES (165232, 8627, 30, 'معرفی شده به');
INSERT INTO `lang_definitions` VALUES (165233, 8628, 30, 'معرفی کننده');
INSERT INTO `lang_definitions` VALUES (165234, 8630, 30, 'تشخیص ارجاع دهنده');
INSERT INTO `lang_definitions` VALUES (165235, 8631, 30, 'تشخیص ارجاع دهنده');
INSERT INTO `lang_definitions` VALUES (165236, 8633, 30, 'دکتر و کلینیک ارجاع دهنده');
INSERT INTO `lang_definitions` VALUES (165237, 8635, 30, 'دکتر ارجاع دهنده');
INSERT INTO `lang_definitions` VALUES (165238, 8636, 30, 'پر کردن مجدد');
INSERT INTO `lang_definitions` VALUES (165239, 8639, 30, 'پر کردن مجدد');
INSERT INTO `lang_definitions` VALUES (165240, 8640, 30, 'پر کردن مجدد');
INSERT INTO `lang_definitions` VALUES (165241, 8641, 30, 'Reflexes normal');
INSERT INTO `lang_definitions` VALUES (165242, 8645, 30, 'تازه کردن');
INSERT INTO `lang_definitions` VALUES (165243, 8648, 30, 'تازه کردن یادآورها');
INSERT INTO `lang_definitions` VALUES (165244, 8651, 30, 'خودداری از بیان');
INSERT INTO `lang_definitions` VALUES (165245, 8656, 30, 'ثبت نام');
INSERT INTO `lang_definitions` VALUES (165246, 8662, 30, 'ثبت نام کرده');
INSERT INTO `lang_definitions` VALUES (165247, 8663, 30, 'ثبت نام کرده');
INSERT INTO `lang_definitions` VALUES (165248, 8668, 30, 'تاریخ ثبت نام');
INSERT INTO `lang_definitions` VALUES (165249, 8671, 30, 'فرم ثبت نام');
INSERT INTO `lang_definitions` VALUES (165250, 8676, 30, 'مرتبط به');
INSERT INTO `lang_definitions` VALUES (165251, 8677, 30, 'مرتبط');
INSERT INTO `lang_definitions` VALUES (165252, 8678, 30, 'مسائل مربوط');
INSERT INTO `lang_definitions` VALUES (165253, 8680, 30, 'رابطه (ها) / کودکان');
INSERT INTO `lang_definitions` VALUES (165254, 8681, 30, 'روابط');
INSERT INTO `lang_definitions` VALUES (165255, 8682, 30, 'رابطه');
INSERT INTO `lang_definitions` VALUES (165256, 8684, 30, 'بستگان');
INSERT INTO `lang_definitions` VALUES (165257, 8698, 30, 'تاریخ مرخص شدن');
INSERT INTO `lang_definitions` VALUES (165258, 8700, 30, 'مذهب');
INSERT INTO `lang_definitions` VALUES (165259, 8705, 30, 'ورود دوباره به سیستم');
INSERT INTO `lang_definitions` VALUES (165260, 8712, 30, 'یادآوری');
INSERT INTO `lang_definitions` VALUES (165261, 8715, 30, 'فواصل یادآوری ها');
INSERT INTO `lang_definitions` VALUES (165262, 8720, 30, 'یادآوری فرستاده شد');
INSERT INTO `lang_definitions` VALUES (165263, 8725, 30, 'یادآوری ها');
INSERT INTO `lang_definitions` VALUES (165264, 8743, 30, 'Renal Stones');
INSERT INTO `lang_definitions` VALUES (165265, 8758, 30, 'تکرار رویداد');
INSERT INTO `lang_definitions` VALUES (165266, 8759, 30, 'تکرار اطلاعات:');
INSERT INTO `lang_definitions` VALUES (165267, 8760, 30, 'تکرارها');
INSERT INTO `lang_definitions` VALUES (165268, 8771, 30, 'تاریخ پاسخ');
INSERT INTO `lang_definitions` VALUES (165269, 8772, 30, 'پاسخ از');
INSERT INTO `lang_definitions` VALUES (165270, 8774, 30, 'گزارش');
INSERT INTO `lang_definitions` VALUES (165271, 8776, 30, 'گزارش - بالینی');
INSERT INTO `lang_definitions` VALUES (165272, 8779, 30, 'گزارش توسط');
INSERT INTO `lang_definitions` VALUES (165273, 8789, 30, 'وضعیت گزارش');
INSERT INTO `lang_definitions` VALUES (165274, 8790, 30, 'گزارش مجموع');
INSERT INTO `lang_definitions` VALUES (165275, 8792, 30, 'گزارش از');
INSERT INTO `lang_definitions` VALUES (165276, 8794, 30, 'قابل گزارش');
INSERT INTO `lang_definitions` VALUES (165277, 8795, 30, 'گزارش شده');
INSERT INTO `lang_definitions` VALUES (165278, 8796, 30, 'تاریخ گزارش');
INSERT INTO `lang_definitions` VALUES (165279, 8797, 30, 'گزارش ها');
INSERT INTO `lang_definitions` VALUES (165280, 8815, 30, 'سرویس درخواست شده');
INSERT INTO `lang_definitions` VALUES (165281, 8819, 30, 'ملزم به کلمات عبور قوی');
INSERT INTO `lang_definitions` VALUES (165282, 8820, 30, 'ملزم به کلمه عبور منحصر به فرد');
INSERT INTO `lang_definitions` VALUES (165283, 8821, 30, 'ضروری');
INSERT INTO `lang_definitions` VALUES (165284, 8828, 30, 'فیلدهای لازم');
INSERT INTO `lang_definitions` VALUES (165285, 8829, 30, 'الزامات');
INSERT INTO `lang_definitions` VALUES (165286, 8832, 30, 'رزرو شده');
INSERT INTO `lang_definitions` VALUES (165287, 8833, 30, 'رزرو شده');
INSERT INTO `lang_definitions` VALUES (165288, 8838, 30, 'تنظیم مجدد');
INSERT INTO `lang_definitions` VALUES (165289, 8842, 30, 'تنظیم مجدد اعتبارنامه پورتال برای خارج از سایت');
INSERT INTO `lang_definitions` VALUES (165290, 8844, 30, 'تنظیم مجدد اعتبارنامه پورتال برای داخل سایت');
INSERT INTO `lang_definitions` VALUES (165291, 8852, 30, 'حل و فصل شد');
INSERT INTO `lang_definitions` VALUES (165292, 8855, 30, 'تنفس');
INSERT INTO `lang_definitions` VALUES (165293, 8857, 30, 'تنفسی');
INSERT INTO `lang_definitions` VALUES (165294, 8867, 30, 'نتیجه');
INSERT INTO `lang_definitions` VALUES (165295, 8869, 30, 'نتیجه وضعیت');
INSERT INTO `lang_definitions` VALUES (165296, 8870, 30, 'وضعیت نتیجه یا اختلالات خالی‌ هست');
INSERT INTO `lang_definitions` VALUES (165297, 8873, 30, 'نتایج و');
INSERT INTO `lang_definitions` VALUES (165298, 8874, 30, 'نتایج جستجو یافت شد');
INSERT INTO `lang_definitions` VALUES (165299, 8875, 30, 'نتایج گروه');
INSERT INTO `lang_definitions` VALUES (165300, 8879, 30, 'تعداد نتایج در هر صفحه');
INSERT INTO `lang_definitions` VALUES (165301, 8880, 30, 'نتایج/جزئیات');
INSERT INTO `lang_definitions` VALUES (165302, 8884, 30, 'معاینه شبکیه');
INSERT INTO `lang_definitions` VALUES (165303, 8886, 30, 'بازگشت');
INSERT INTO `lang_definitions` VALUES (165304, 8890, 30, 'بازگشت به تقویم');
INSERT INTO `lang_definitions` VALUES (165305, 8898, 30, 'ملاقات مجدد');
INSERT INTO `lang_definitions` VALUES (165306, 8917, 30, 'بررسی سیستم ها');
INSERT INTO `lang_definitions` VALUES (165307, 8918, 30, 'چک لیست بررسی سیستم ها');
INSERT INTO `lang_definitions` VALUES (165308, 8921, 30, 'بررسی شد');
INSERT INTO `lang_definitions` VALUES (165309, 8925, 30, 'Rheumatoid Arthritis');
INSERT INTO `lang_definitions` VALUES (165310, 8926, 30, 'Rheumotoid Arthritis');
INSERT INTO `lang_definitions` VALUES (165311, 8928, 30, 'راست');
INSERT INTO `lang_definitions` VALUES (165312, 8931, 30, 'گوش راست');
INSERT INTO `lang_definitions` VALUES (165313, 8932, 30, 'گوش راست');
INSERT INTO `lang_definitions` VALUES (165314, 8940, 30, 'راست:');
INSERT INTO `lang_definitions` VALUES (165315, 8941, 30, 'زنگ زدن در گوش');
INSERT INTO `lang_definitions` VALUES (165316, 8942, 30, 'زنگ زدن در گوش');
INSERT INTO `lang_definitions` VALUES (165317, 8944, 30, 'عوامل خطر');
INSERT INTO `lang_definitions` VALUES (165318, 8945, 30, 'سطح خطر');
INSERT INTO `lang_definitions` VALUES (165319, 8956, 30, 'رومانیایی');
INSERT INTO `lang_definitions` VALUES (165320, 8969, 30, 'ردیف');
INSERT INTO `lang_definitions` VALUES (165321, 8974, 30, 'قاعده');
INSERT INTO `lang_definitions` VALUES (165322, 8975, 30, 'قاعده جدید');
INSERT INTO `lang_definitions` VALUES (165323, 8976, 30, 'جزئیات قاعده');
INSERT INTO `lang_definitions` VALUES (165324, 8978, 30, 'قاعده ویرایش');
INSERT INTO `lang_definitions` VALUES (165325, 8981, 30, 'مجموعه قواعد');
INSERT INTO `lang_definitions` VALUES (165326, 8984, 30, 'قواعد');
INSERT INTO `lang_definitions` VALUES (165327, 8986, 30, 'تنظیمات قواعد');
INSERT INTO `lang_definitions` VALUES (165328, 8989, 30, 'دستور در حال اجرا:');
INSERT INTO `lang_definitions` VALUES (165329, 8990, 30, 'پارگی');
INSERT INTO `lang_definitions` VALUES (165330, 8992, 30, 'روسی');
INSERT INTO `lang_definitions` VALUES (165331, 8995, 30, 'Rx');
INSERT INTO `lang_definitions` VALUES (165332, 8996, 30, 'RX');
INSERT INTO `lang_definitions` VALUES (165333, 9029, 30, 'کد ملی‌');
INSERT INTO `lang_definitions` VALUES (165334, 9030, 30, 'S3:');
INSERT INTO `lang_definitions` VALUES (165335, 9031, 30, 'S4:');
INSERT INTO `lang_definitions` VALUES (165336, 9032, 30, 'SA ** برای خواندن مجوز لطفا به این اسناد مراجعه کنید docs/license.txt یا http://www.gnu.org/copyleft/gpl.html ** //========================================================================= //');
INSERT INTO `lang_definitions` VALUES (165337, 9034, 30, 'فروش');
INSERT INTO `lang_definitions` VALUES (165338, 9035, 30, 'فروش');
INSERT INTO `lang_definitions` VALUES (165339, 9036, 30, 'فروش بر اساس آیتم ها');
INSERT INTO `lang_definitions` VALUES (165340, 9037, 30, 'فروش بر اساس گزارش محصول');
INSERT INTO `lang_definitions` VALUES (165341, 9038, 30, 'بزاق');
INSERT INTO `lang_definitions` VALUES (165342, 9039, 30, 'همان روز');
INSERT INTO `lang_definitions` VALUES (165343, 9040, 30, 'اهل جزیره ساموا');
INSERT INTO `lang_definitions` VALUES (165344, 9041, 30, 'نمونه');
INSERT INTO `lang_definitions` VALUES (165345, 9042, 30, 'نوع تحریم');
INSERT INTO `lang_definitions` VALUES (165346, 9047, 30, 'شنبه');
INSERT INTO `lang_definitions` VALUES (165347, 9048, 30, 'شنبه و یکشنبه');
INSERT INTO `lang_definitions` VALUES (165348, 9049, 30, 'شنبه');
INSERT INTO `lang_definitions` VALUES (165349, 9050, 30, 'ذخیره');
INSERT INTO `lang_definitions` VALUES (165350, 9051, 30, 'ذخیره');
INSERT INTO `lang_definitions` VALUES (165351, 9055, 30, 'ذخیره و بستن');
INSERT INTO `lang_definitions` VALUES (165352, 9058, 30, 'ذخیره و توزیع');
INSERT INTO `lang_definitions` VALUES (165353, 9061, 30, 'ذخیره به عنوان جدید');
INSERT INTO `lang_definitions` VALUES (165354, 9066, 30, 'ذخیره تنظیمات گواهینامه');
INSERT INTO `lang_definitions` VALUES (165355, 9067, 30, 'ذخیره تغییرات');
INSERT INTO `lang_definitions` VALUES (165356, 9075, 30, 'ذخیره فرم');
INSERT INTO `lang_definitions` VALUES (165357, 9076, 30, 'ذخیره واکسیناسیون');
INSERT INTO `lang_definitions` VALUES (165358, 9079, 30, 'ذخیره گروه جدید');
INSERT INTO `lang_definitions` VALUES (165359, 9080, 30, 'ذخیره لیست جدید');
INSERT INTO `lang_definitions` VALUES (165360, 9081, 30, 'ذخیره الگوی جدید');
INSERT INTO `lang_definitions` VALUES (165361, 9082, 30, 'ذخیره انتخاب حذف');
INSERT INTO `lang_definitions` VALUES (165362, 9083, 30, 'ذخیره اطلاعات دموگرافیک بیمار');
INSERT INTO `lang_definitions` VALUES (165363, 9085, 30, 'ذخیره گزارش در قالب PDF');
INSERT INTO `lang_definitions` VALUES (165364, 9087, 30, 'ذخیره موفقیت آمیز برای Chart ID');
INSERT INTO `lang_definitions` VALUES (165365, 9089, 30, 'ذخیره تراکنش');
INSERT INTO `lang_definitions` VALUES (165366, 9090, 30, 'با موفقیت ذخیره شد');
INSERT INTO `lang_definitions` VALUES (165367, 9094, 30, 'شنبه');
INSERT INTO `lang_definitions` VALUES (165368, 9095, 30, 'فاصله');
INSERT INTO `lang_definitions` VALUES (165369, 9096, 30, 'نزدیک');
INSERT INTO `lang_definitions` VALUES (165370, 9098, 30, 'اسکن شد');
INSERT INTO `lang_definitions` VALUES (165371, 9099, 30, 'یاداشت معاینه اسکن شد');
INSERT INTO `lang_definitions` VALUES (165372, 9134, 30, 'آدرس SE');
INSERT INTO `lang_definitions` VALUES (165373, 9135, 30, 'شهر SE');
INSERT INTO `lang_definitions` VALUES (165374, 9136, 30, 'کشور SE');
INSERT INTO `lang_definitions` VALUES (165375, 9137, 30, 'محله SE');
INSERT INTO `lang_definitions` VALUES (165376, 9138, 30, 'کد پستی SE');
INSERT INTO `lang_definitions` VALUES (165377, 9139, 30, 'استان SE');
INSERT INTO `lang_definitions` VALUES (165378, 9140, 30, 'کد پستی SE');
INSERT INTO `lang_definitions` VALUES (165379, 9141, 30, 'جستجو');
INSERT INTO `lang_definitions` VALUES (165380, 9143, 30, 'جستجو');
INSERT INTO `lang_definitions` VALUES (165381, 9144, 30, 'جستجوی مجدد');
INSERT INTO `lang_definitions` VALUES (165382, 9145, 30, 'جستجو تمام ستون ها');
INSERT INTO `lang_definitions` VALUES (165383, 9150, 30, 'جستجو بر اساس:');
INSERT INTO `lang_definitions` VALUES (165384, 9152, 30, 'جستجو برای');
INSERT INTO `lang_definitions` VALUES (165385, 9156, 30, 'جستجو برای:');
INSERT INTO `lang_definitions` VALUES (165386, 9159, 30, 'جستجو در');
INSERT INTO `lang_definitions` VALUES (165387, 9161, 30, 'جستجو یا بیمار جدید');
INSERT INTO `lang_definitions` VALUES (165388, 9164, 30, 'جستجوی پرداخت ها');
INSERT INTO `lang_definitions` VALUES (165389, 9167, 30, 'نتیجه های جستجو');
INSERT INTO `lang_definitions` VALUES (165390, 9168, 30, 'نتیجه های جستجو:');
INSERT INTO `lang_definitions` VALUES (165391, 9169, 30, 'انتخاب جستجو');
INSERT INTO `lang_definitions` VALUES (165392, 9174, 30, 'متن جستجو');
INSERT INTO `lang_definitions` VALUES (165393, 9175, 30, 'جستجوی رویدادها');
INSERT INTO `lang_definitions` VALUES (165394, 9178, 30, 'جستجو/افزودن');
INSERT INTO `lang_definitions` VALUES (165395, 9179, 30, 'جستجو/افزودن بیمه');
INSERT INTO `lang_definitions` VALUES (165396, 9181, 30, 'جستجوی قرار ملاقات ها');
INSERT INTO `lang_definitions` VALUES (165397, 9182, 30, 'جستجو ...');
INSERT INTO `lang_definitions` VALUES (165398, 9184, 30, 'استفاده از کمربند ایمنی');
INSERT INTO `lang_definitions` VALUES (165399, 9185, 30, 'استفاده از کمربند ایمنی');
INSERT INTO `lang_definitions` VALUES (165400, 9186, 30, 'دوم');
INSERT INTO `lang_definitions` VALUES (165401, 9189, 30, 'ثانوی');
INSERT INTO `lang_definitions` VALUES (165402, 9191, 30, 'بیمه ثانوی');
INSERT INTO `lang_definitions` VALUES (165403, 9192, 30, 'اطلاعات بیمه ثانوی');
INSERT INTO `lang_definitions` VALUES (165404, 9193, 30, 'ارائه دهنده بیمه ثانوی');
INSERT INTO `lang_definitions` VALUES (165405, 9194, 30, 'نوع Medicare ثانوی');
INSERT INTO `lang_definitions` VALUES (165406, 9207, 30, 'امنیت');
INSERT INTO `lang_definitions` VALUES (165407, 9208, 30, 'دیدن همه');
INSERT INTO `lang_definitions` VALUES (165408, 9210, 30, 'دیدن مجوز');
INSERT INTO `lang_definitions` VALUES (165409, 9222, 30, 'Seizures');
INSERT INTO `lang_definitions` VALUES (165410, 9223, 30, 'گزیدن');
INSERT INTO `lang_definitions` VALUES (165411, 9224, 30, 'گزیدن');
INSERT INTO `lang_definitions` VALUES (165412, 9225, 30, 'گزیدن');
INSERT INTO `lang_definitions` VALUES (165413, 9228, 30, 'انتخاب یک زمینه');
INSERT INTO `lang_definitions` VALUES (165414, 9235, 30, 'انتخاب مدت زمان');
INSERT INTO `lang_definitions` VALUES (165415, 9236, 30, 'انتخاب یک کاربر');
INSERT INTO `lang_definitions` VALUES (165416, 9239, 30, 'انتخاب همه');
INSERT INTO `lang_definitions` VALUES (165417, 9254, 30, 'گزینه های مربوطه را انتخاب کنید تا حذف شوند');
INSERT INTO `lang_definitions` VALUES (165418, 9262, 30, 'انتخاب تاریخ');
INSERT INTO `lang_definitions` VALUES (165419, 9264, 30, 'گزیدن اکیپ');
INSERT INTO `lang_definitions` VALUES (165420, 9265, 30, 'گزیدن تشخیص بیماری');
INSERT INTO `lang_definitions` VALUES (165421, 9271, 30, 'انتخاب دارو');
INSERT INTO `lang_definitions` VALUES (165422, 9272, 30, 'انتخاب داروها');
INSERT INTO `lang_definitions` VALUES (165423, 9276, 30, 'انتخاب پارامتر');
INSERT INTO `lang_definitions` VALUES (165424, 9278, 30, 'انتخاب پارامترها');
INSERT INTO `lang_definitions` VALUES (165425, 9279, 30, 'برای چاپ انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (165426, 9285, 30, 'انتخاب واکسیناسیون');
INSERT INTO `lang_definitions` VALUES (165427, 9288, 30, 'انتخاب مسئله');
INSERT INTO `lang_definitions` VALUES (165428, 9291, 30, 'انتخاب زبان');
INSERT INTO `lang_definitions` VALUES (165429, 9298, 30, 'انتخاب یک یا چند کد تشخیص برای توجیه خدمات');
INSERT INTO `lang_definitions` VALUES (165430, 9338, 30, 'انتخاب کاربر');
INSERT INTO `lang_definitions` VALUES (165431, 9340, 30, 'کاربران را از فهرست کرکره ای انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (165432, 9343, 30, 'برای تایید حذف گروه بله را انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (165433, 9349, 30, 'منتخب');
INSERT INTO `lang_definitions` VALUES (165434, 9350, 30, 'ویزیت انتخاب شده');
INSERT INTO `lang_definitions` VALUES (165435, 9357, 30, 'شخصی‌');
INSERT INTO `lang_definitions` VALUES (165436, 9358, 30, 'پرداخت شخصی‌');
INSERT INTO `lang_definitions` VALUES (165437, 9360, 30, 'ارسال');
INSERT INTO `lang_definitions` VALUES (165438, 9361, 30, 'ارسال یادآوری مورخ');
INSERT INTO `lang_definitions` VALUES (165439, 9362, 30, 'ارسال یادآوری');
INSERT INTO `lang_definitions` VALUES (165440, 9369, 30, 'ارسال در حال انجام');
INSERT INTO `lang_definitions` VALUES (165441, 9372, 30, 'ارسال پیام');
INSERT INTO `lang_definitions` VALUES (165442, 9378, 30, 'ارسال دسته یادآوری ها');
INSERT INTO `lang_definitions` VALUES (165443, 9379, 30, 'ارسال یادآوری به بیماران طبق اولویت بیمار برای پیشگیری/پیگیری مراقبت.');
INSERT INTO `lang_definitions` VALUES (165444, 9383, 30, 'ارسال خلاصه ها با معارفه ها');
INSERT INTO `lang_definitions` VALUES (165445, 9384, 30, 'ارسال این پرونده');
INSERT INTO `lang_definitions` VALUES (165446, 9385, 30, 'ارسال این پیام');
INSERT INTO `lang_definitions` VALUES (165447, 9386, 30, 'ارسال به');
INSERT INTO `lang_definitions` VALUES (165448, 9389, 30, 'ارسال به همه');
INSERT INTO `lang_definitions` VALUES (165449, 9395, 30, 'فرستنده');
INSERT INTO `lang_definitions` VALUES (165450, 9396, 30, 'فرستنده شناسه');
INSERT INTO `lang_definitions` VALUES (165451, 9407, 30, 'حساسیت');
INSERT INTO `lang_definitions` VALUES (165452, 9411, 30, 'حساسیت:');
INSERT INTO `lang_definitions` VALUES (165453, 9412, 30, 'معاینه حسی نرمال');
INSERT INTO `lang_definitions` VALUES (165454, 9415, 30, 'ارسال شده توسط; اگر برای همه, خالی بگذارید');
INSERT INTO `lang_definitions` VALUES (165455, 9417, 30, 'تاریخ ارسال');
INSERT INTO `lang_definitions` VALUES (165456, 9418, 30, 'ارسال شده');
INSERT INTO `lang_definitions` VALUES (165457, 9419, 30, 'ارسال مدارک پزشکی؟');
INSERT INTO `lang_definitions` VALUES (165458, 9420, 30, 'با موفقیت ارسال شد');
INSERT INTO `lang_definitions` VALUES (165459, 9423, 30, 'به چاپگر فرستاده شد.');
INSERT INTO `lang_definitions` VALUES (165460, 9424, 30, 'ارسال شده به; اگر برای همه, خالی بگذارید');
INSERT INTO `lang_definitions` VALUES (165461, 9429, 30, 'سپتامبر');
INSERT INTO `lang_definitions` VALUES (165462, 9430, 30, 'جدا از هم');
INSERT INTO `lang_definitions` VALUES (165463, 9431, 30, 'سپتامبر');
INSERT INTO `lang_definitions` VALUES (165464, 9433, 30, 'ترتیب');
INSERT INTO `lang_definitions` VALUES (165465, 9442, 30, 'خدمت');
INSERT INTO `lang_definitions` VALUES (165466, 9444, 30, 'دسته بندی خدمت');
INSERT INTO `lang_definitions` VALUES (165467, 9445, 30, 'کد خدمت');
INSERT INTO `lang_definitions` VALUES (165468, 9446, 30, 'گزارش مالی کد خدمت');
INSERT INTO `lang_definitions` VALUES (165469, 9447, 30, 'کد های خدمت');
INSERT INTO `lang_definitions` VALUES (165470, 9448, 30, 'تاریخ خدمت');
INSERT INTO `lang_definitions` VALUES (165471, 9451, 30, 'تاریخ خدمت:');
INSERT INTO `lang_definitions` VALUES (165472, 9455, 30, 'محل ارائه خدمات');
INSERT INTO `lang_definitions` VALUES (165473, 9457, 30, 'خدمت ارائه شده توسط متخصص');
INSERT INTO `lang_definitions` VALUES (165474, 9459, 30, 'گزارش خدمت');
INSERT INTO `lang_definitions` VALUES (165475, 9460, 30, 'گزارش خدمات تنها');
INSERT INTO `lang_definitions` VALUES (165476, 9461, 30, 'خدمات');
INSERT INTO `lang_definitions` VALUES (165477, 9462, 30, 'خدمات بر اساس دسته بندی');
INSERT INTO `lang_definitions` VALUES (165478, 9463, 30, 'خدمات ارائه شده');
INSERT INTO `lang_definitions` VALUES (165479, 9464, 30, 'خدمات ارائه شده');
INSERT INTO `lang_definitions` VALUES (165480, 9465, 30, 'خدمات / محصولات');
INSERT INTO `lang_definitions` VALUES (165481, 9493, 30, 'میگرن شدید');
INSERT INTO `lang_definitions` VALUES (165482, 9496, 30, 'شدت درد');
INSERT INTO `lang_definitions` VALUES (165483, 9497, 30, 'شدت درد:');
INSERT INTO `lang_definitions` VALUES (165484, 9498, 30, 'جنس');
INSERT INTO `lang_definitions` VALUES (165485, 9499, 30, 'بیماری آمیزشی');
INSERT INTO `lang_definitions` VALUES (165486, 9503, 30, 'اشتراک');
INSERT INTO `lang_definitions` VALUES (165487, 9510, 30, 'تنگی نفس');
INSERT INTO `lang_definitions` VALUES (165488, 9511, 30, 'تنگی نفس');
INSERT INTO `lang_definitions` VALUES (165489, 9512, 30, 'تنگی نفس 2');
INSERT INTO `lang_definitions` VALUES (165490, 9520, 30, 'شانه');
INSERT INTO `lang_definitions` VALUES (165491, 9521, 30, 'شانه + ترقوه');
INSERT INTO `lang_definitions` VALUES (165492, 9522, 30, 'مشکلات شانه');
INSERT INTO `lang_definitions` VALUES (165493, 9523, 30, 'نمایش');
INSERT INTO `lang_definitions` VALUES (165494, 9524, 30, 'نمایش یادداشت های فعال');
INSERT INTO `lang_definitions` VALUES (165495, 9527, 30, 'نمایش همه');
INSERT INTO `lang_definitions` VALUES (165496, 9531, 30, 'نمایش همه تراکنش ها');
INSERT INTO `lang_definitions` VALUES (165497, 9532, 30, 'مشغول نشان بده');
INSERT INTO `lang_definitions` VALUES (165498, 9533, 30, 'تنها نمایش دارای مجوز');
INSERT INTO `lang_definitions` VALUES (165499, 9534, 30, 'زمان قابل استفاده را نشان بده');
INSERT INTO `lang_definitions` VALUES (165500, 9548, 30, 'نمایش یادداشت های غیر فعال');
INSERT INTO `lang_definitions` VALUES (165501, 9552, 30, 'نمایش منو');
INSERT INTO `lang_definitions` VALUES (165502, 9553, 30, 'نمایش به متریک');
INSERT INTO `lang_definitions` VALUES (165503, 9556, 30, 'نمایش یادداشت ها');
INSERT INTO `lang_definitions` VALUES (165504, 9561, 30, 'نمایش یادداشت های بیمار');
INSERT INTO `lang_definitions` VALUES (165505, 9564, 30, 'نمایش اولیه کامل');
INSERT INTO `lang_definitions` VALUES (165506, 9568, 30, 'نمایش یادآوری ها');
INSERT INTO `lang_definitions` VALUES (165507, 9580, 30, 'تنها صورتحساب صادر نشده را نشان بده');
INSERT INTO `lang_definitions` VALUES (165508, 9581, 30, 'تنها ایالات متحده را نشان بده');
INSERT INTO `lang_definitions` VALUES (165509, 9585, 30, 'نمایش');
INSERT INTO `lang_definitions` VALUES (165510, 9595, 30, 'خواهر و برادر');
INSERT INTO `lang_definitions` VALUES (165511, 9596, 30, 'Sickle Cell');
INSERT INTO `lang_definitions` VALUES (165512, 9598, 30, 'Sigmoid/Colonoscopy');
INSERT INTO `lang_definitions` VALUES (165513, 9603, 30, 'نتایج را امضا کنید');
INSERT INTO `lang_definitions` VALUES (165514, 9606, 30, 'امضا');
INSERT INTO `lang_definitions` VALUES (165515, 9609, 30, 'امضا:');
INSERT INTO `lang_definitions` VALUES (165516, 9619, 30, 'پس از');
INSERT INTO `lang_definitions` VALUES (165517, 9620, 30, 'با احترام،');
INSERT INTO `lang_definitions` VALUES (165518, 9622, 30, 'مجرد');
INSERT INTO `lang_definitions` VALUES (165519, 9629, 30, 'مشکلات سینوسی');
INSERT INTO `lang_definitions` VALUES (165520, 9630, 30, 'جراحی سینوس');
INSERT INTO `lang_definitions` VALUES (165521, 9632, 30, 'سینوزیت');
INSERT INTO `lang_definitions` VALUES (165522, 9637, 30, 'شناسه سایت');
INSERT INTO `lang_definitions` VALUES (165523, 9643, 30, 'اندازه');
INSERT INTO `lang_definitions` VALUES (165524, 9650, 30, 'پوست');
INSERT INTO `lang_definitions` VALUES (165525, 9651, 30, 'سرطان پوست');
INSERT INTO `lang_definitions` VALUES (165526, 9652, 30, 'بیماری های پوستی');
INSERT INTO `lang_definitions` VALUES (165527, 9664, 30, 'الگوهای خواب');
INSERT INTO `lang_definitions` VALUES (165528, 9665, 30, 'الگوهای خواب');
INSERT INTO `lang_definitions` VALUES (165529, 9666, 30, 'خوابیدن');
INSERT INTO `lang_definitions` VALUES (165530, 9668, 30, 'اسلواکی');
INSERT INTO `lang_definitions` VALUES (165531, 9675, 30, 'حافظه نهان Smarty پاک شد');
INSERT INTO `lang_definitions` VALUES (165532, 9678, 30, 'وضعیت سیگار کشیدن');
INSERT INTO `lang_definitions` VALUES (165533, 9680, 30, 'اجازه SMS');
INSERT INTO `lang_definitions` VALUES (165534, 9689, 30, 'هشدار از طریق SMS');
INSERT INTO `lang_definitions` VALUES (165535, 9690, 30, 'ساعت هشدار از طریق SMS');
INSERT INTO `lang_definitions` VALUES (165536, 9693, 30, 'ارسال SMS قبل از');
INSERT INTO `lang_definitions` VALUES (165537, 9694, 30, 'SMS ارسال شد');
INSERT INTO `lang_definitions` VALUES (165538, 9721, 30, 'خرناس');
INSERT INTO `lang_definitions` VALUES (165539, 9722, 30, 'فرم پیشرفت معالجات SOAP');
INSERT INTO `lang_definitions` VALUES (165540, 9758, 30, 'مرتب سازی بر اساس');
INSERT INTO `lang_definitions` VALUES (165541, 9759, 30, 'مرتب سازی بر اساس');
INSERT INTO `lang_definitions` VALUES (165542, 9761, 30, 'چیدمان بر اساس شماره کنترل');
INSERT INTO `lang_definitions` VALUES (165543, 9764, 30, 'مرتب سازی بر اساس تاریخ');
INSERT INTO `lang_definitions` VALUES (165544, 9765, 30, 'مرتب سازی بر اساس تاریخ/زمان');
INSERT INTO `lang_definitions` VALUES (165545, 9766, 30, 'مرتب سازی بر اساس رویداد');
INSERT INTO `lang_definitions` VALUES (165546, 9767, 30, 'مرتب سازی بر اساس گروه');
INSERT INTO `lang_definitions` VALUES (165547, 9770, 30, 'مرتب سازی بر اساس شناسه بیمار');
INSERT INTO `lang_definitions` VALUES (165548, 9772, 30, 'مرتب سازی بر اساس موفقیت');
INSERT INTO `lang_definitions` VALUES (165549, 9774, 30, 'مرتب سازی بر اساس کاربر');
INSERT INTO `lang_definitions` VALUES (165550, 9775, 30, 'مرتب سازی بر اساس واکسن');
INSERT INTO `lang_definitions` VALUES (165551, 9776, 30, 'مرتب سازی به پایین');
INSERT INTO `lang_definitions` VALUES (165552, 9777, 30, 'مرتب سازی نتایج بر اساس');
INSERT INTO `lang_definitions` VALUES (165553, 9778, 30, 'مرتب کردن به بالا');
INSERT INTO `lang_definitions` VALUES (165554, 9779, 30, 'منبع');
INSERT INTO `lang_definitions` VALUES (165555, 9781, 30, 'پرونده منبع');
INSERT INTO `lang_definitions` VALUES (165556, 9782, 30, 'مسیر فایل پرونده منبع');
INSERT INTO `lang_definitions` VALUES (165557, 9789, 30, 'منبع:');
INSERT INTO `lang_definitions` VALUES (165558, 9792, 30, 'فاصله');
INSERT INTO `lang_definitions` VALUES (165559, 9793, 30, 'فاصله');
INSERT INTO `lang_definitions` VALUES (165560, 9795, 30, 'اسپانیایی');
INSERT INTO `lang_definitions` VALUES (165561, 9796, 30, 'اسپانیایی (آمریکای لاتین)');
INSERT INTO `lang_definitions` VALUES (165562, 9797, 30, 'اسپانیایی (اسپانیا)');
INSERT INTO `lang_definitions` VALUES (165563, 9801, 30, 'متخصص');
INSERT INTO `lang_definitions` VALUES (165564, 9802, 30, 'نام و امضاء متخصص');
INSERT INTO `lang_definitions` VALUES (165565, 9804, 30, 'تخصص');
INSERT INTO `lang_definitions` VALUES (165566, 9805, 30, 'سیستم های تخصصی');
INSERT INTO `lang_definitions` VALUES (165567, 9806, 30, 'تخصص:');
INSERT INTO `lang_definitions` VALUES (165568, 9807, 30, 'ویژه');
INSERT INTO `lang_definitions` VALUES (165569, 9808, 30, 'کاربرد ویژه');
INSERT INTO `lang_definitions` VALUES (165570, 9809, 30, 'خدمات ویژه پیشگیری از بارداری');
INSERT INTO `lang_definitions` VALUES (165571, 9810, 30, 'نتایج ویژه');
INSERT INTO `lang_definitions` VALUES (165572, 9811, 30, 'خدمات ویژه');
INSERT INTO `lang_definitions` VALUES (165573, 9812, 30, 'مشخص شده');
INSERT INTO `lang_definitions` VALUES (165574, 9823, 30, 'نمونه');
INSERT INTO `lang_definitions` VALUES (165575, 9824, 30, 'تعداد/شناسه نمونه');
INSERT INTO `lang_definitions` VALUES (165576, 9825, 30, 'نوع نمونه');
INSERT INTO `lang_definitions` VALUES (165577, 9827, 30, 'دیکته کردن گفتار');
INSERT INTO `lang_definitions` VALUES (165578, 9832, 30, 'همسر');
INSERT INTO `lang_definitions` VALUES (165579, 9834, 30, 'Sputum');
INSERT INTO `lang_definitions` VALUES (165580, 9835, 30, 'Sputum:');
INSERT INTO `lang_definitions` VALUES (165581, 9836, 30, 'SQ');
INSERT INTO `lang_definitions` VALUES (165582, 9839, 30, 'اکیپ');
INSERT INTO `lang_definitions` VALUES (165583, 9840, 30, 'عضویت در اکیپ');
INSERT INTO `lang_definitions` VALUES (165584, 9841, 30, 'اکیپ های');
INSERT INTO `lang_definitions` VALUES (165585, 9847, 30, 'فرم ملاقات SRH');
INSERT INTO `lang_definitions` VALUES (165586, 9851, 30, 'کد ملی‌');
INSERT INTO `lang_definitions` VALUES (165587, 9852, 30, 'ثبات');
INSERT INTO `lang_definitions` VALUES (165588, 9854, 30, 'انتشار در چند مرحله');
INSERT INTO `lang_definitions` VALUES (165589, 9855, 30, 'استاندارد');
INSERT INTO `lang_definitions` VALUES (165590, 9857, 30, 'کد استاندارد');
INSERT INTO `lang_definitions` VALUES (165591, 9860, 30, 'اقدامات استاندارد');
INSERT INTO `lang_definitions` VALUES (165592, 9864, 30, 'نام استاندارد');
INSERT INTO `lang_definitions` VALUES (165593, 9866, 30, 'شروع');
INSERT INTO `lang_definitions` VALUES (165594, 9867, 30, 'شروع (YYYY-MM-DD):');
INSERT INTO `lang_definitions` VALUES (165595, 9874, 30, 'تاریخ شروع');
INSERT INTO `lang_definitions` VALUES (165596, 9876, 30, 'تاریخ شروع در این کلینیک');
INSERT INTO `lang_definitions` VALUES (165597, 9878, 30, 'از تاریخ:');
INSERT INTO `lang_definitions` VALUES (165598, 9879, 30, 'از تاریخ:');
INSERT INTO `lang_definitions` VALUES (165599, 9881, 30, 'az زمان');
INSERT INTO `lang_definitions` VALUES (165600, 9884, 30, 'از تاریخ');
INSERT INTO `lang_definitions` VALUES (165601, 9889, 30, 'استان');
INSERT INTO `lang_definitions` VALUES (165602, 9909, 30, 'آمار و ارقام');
INSERT INTO `lang_definitions` VALUES (165603, 9910, 30, 'آمار');
INSERT INTO `lang_definitions` VALUES (165604, 9911, 30, 'وضعیت');
INSERT INTO `lang_definitions` VALUES (165605, 9916, 30, 'وضع موجود');
INSERT INTO `lang_definitions` VALUES (165606, 9932, 30, 'مفاصل سفت');
INSERT INTO `lang_definitions` VALUES (165607, 9933, 30, 'سفتی');
INSERT INTO `lang_definitions` VALUES (165608, 9936, 30, 'دردهای معده');
INSERT INTO `lang_definitions` VALUES (165609, 9944, 30, 'فشار عضلانی');
INSERT INTO `lang_definitions` VALUES (165610, 9947, 30, 'خیابان');
INSERT INTO `lang_definitions` VALUES (165611, 9948, 30, 'آدرس خیابان');
INSERT INTO `lang_definitions` VALUES (165612, 9949, 30, 'خیابان و پلاک');
INSERT INTO `lang_definitions` VALUES (165613, 9950, 30, 'قدرت');
INSERT INTO `lang_definitions` VALUES (165614, 9952, 30, 'گلودرد استرپتوکوکی');
INSERT INTO `lang_definitions` VALUES (165615, 9953, 30, 'شکستگی ناشی از فشار');
INSERT INTO `lang_definitions` VALUES (165616, 9954, 30, 'تست استرس');
INSERT INTO `lang_definitions` VALUES (165617, 9956, 30, 'سکته مغزی');
INSERT INTO `lang_definitions` VALUES (165618, 9970, 30, 'موضوع');
INSERT INTO `lang_definitions` VALUES (165619, 9971, 30, 'ذهنی');
INSERT INTO `lang_definitions` VALUES (165620, 9972, 30, 'زیر زبانی');
INSERT INTO `lang_definitions` VALUES (165621, 9973, 30, 'زیر زبانی');
INSERT INTO `lang_definitions` VALUES (165622, 9974, 30, 'ارسال');
INSERT INTO `lang_definitions` VALUES (165623, 9975, 30, 'ارسال');
INSERT INTO `lang_definitions` VALUES (165624, 9976, 30, 'ارسال تمام مطالب');
INSERT INTO `lang_definitions` VALUES (165625, 9979, 30, 'ارسال رویداد');
INSERT INTO `lang_definitions` VALUES (165626, 9980, 30, 'ارسال فرم');
INSERT INTO `lang_definitions` VALUES (165627, 9982, 30, 'ارسال محتوای انتخاب شده');
INSERT INTO `lang_definitions` VALUES (165628, 9984, 30, 'ارسال شده');
INSERT INTO `lang_definitions` VALUES (165629, 9985, 30, 'ارسال شده توسط');
INSERT INTO `lang_definitions` VALUES (165630, 9987, 30, 'بیمه گر');
INSERT INTO `lang_definitions` VALUES (165631, 9988, 30, 'نشانی بیمه گر');
INSERT INTO `lang_definitions` VALUES (165632, 9992, 30, 'کارفرمای بیمه گر');
INSERT INTO `lang_definitions` VALUES (165633, 9993, 30, 'کارفرمای بیمه گر(SE)');
INSERT INTO `lang_definitions` VALUES (165634, 9994, 30, 'آدرس کارفرمای بیمه گر');
INSERT INTO `lang_definitions` VALUES (165635, 9995, 30, 'شهر کارفرمای بیمه گر');
INSERT INTO `lang_definitions` VALUES (165636, 9996, 30, 'کشور کارفرمای بیمه گر');
INSERT INTO `lang_definitions` VALUES (165637, 9997, 30, 'استان کارفرمای بیمه گر');
INSERT INTO `lang_definitions` VALUES (165638, 10000, 30, 'کد پستی کارفرمای بیمه گر');
INSERT INTO `lang_definitions` VALUES (165639, 10005, 30, 'تلفن بیمه گر');
INSERT INTO `lang_definitions` VALUES (165640, 10006, 30, 'نسبت بیمه گر');
INSERT INTO `lang_definitions` VALUES (165641, 10011, 30, 'جنسیت مشترک');
INSERT INTO `lang_definitions` VALUES (165642, 10020, 30, 'جایگزینی');
INSERT INTO `lang_definitions` VALUES (165643, 10021, 30, 'جایگزینی مجاز است');
INSERT INTO `lang_definitions` VALUES (165644, 10024, 30, 'موفقیت');
INSERT INTO `lang_definitions` VALUES (165645, 10025, 30, 'موفقیت');
INSERT INTO `lang_definitions` VALUES (165646, 10030, 30, 'دسته بندی با موفقیت اضافه شد');
INSERT INTO `lang_definitions` VALUES (165647, 10031, 30, 'با موفقیت به دسته بندی اضافه شد');
INSERT INTO `lang_definitions` VALUES (165648, 10033, 30, 'با موفقیت حذف شد');
INSERT INTO `lang_definitions` VALUES (165649, 10035, 30, 'پایگاه داده ها با موفقیت نصب شد.');
INSERT INTO `lang_definitions` VALUES (165650, 10036, 30, 'پایگاه داده های زیر با موفقیت نصب شد');
INSERT INTO `lang_definitions` VALUES (165651, 10046, 30, 'با موفقیت.');
INSERT INTO `lang_definitions` VALUES (165652, 10049, 30, 'خود کشی');
INSERT INTO `lang_definitions` VALUES (165653, 10051, 30, 'خلاصه');
INSERT INTO `lang_definitions` VALUES (165654, 10052, 30, 'خلاصه ای از');
INSERT INTO `lang_definitions` VALUES (165655, 10058, 30, 'یکشنبه');
INSERT INTO `lang_definitions` VALUES (165656, 10060, 30, 'یکشنبه');
INSERT INTO `lang_definitions` VALUES (165657, 10090, 30, 'نوع سطح');
INSERT INTO `lang_definitions` VALUES (165658, 10092, 30, 'اعمال جراحی');
INSERT INTO `lang_definitions` VALUES (165659, 10093, 30, 'عمل جراحی');
INSERT INTO `lang_definitions` VALUES (165660, 10095, 30, 'معلق');
INSERT INTO `lang_definitions` VALUES (165661, 10096, 30, 'تعلیق');
INSERT INTO `lang_definitions` VALUES (165662, 10098, 30, 'تاریخ خدمات');
INSERT INTO `lang_definitions` VALUES (165663, 10099, 30, 'تاریخ خدمات:');
INSERT INTO `lang_definitions` VALUES (165664, 10102, 30, 'عرق کردن:');
INSERT INTO `lang_definitions` VALUES (165665, 10103, 30, 'سوئدی');
INSERT INTO `lang_definitions` VALUES (165666, 10104, 30, 'ورم');
INSERT INTO `lang_definitions` VALUES (165667, 10105, 30, 'سمت راست تورم');
INSERT INTO `lang_definitions` VALUES (165668, 10106, 30, 'تورم مفاصل');
INSERT INTO `lang_definitions` VALUES (165669, 10107, 30, 'تورم غدد لنفاوی');
INSERT INTO `lang_definitions` VALUES (165670, 10121, 30, 'سیستم');
INSERT INTO `lang_definitions` VALUES (165671, 10130, 30, 't.i.d.');
INSERT INTO `lang_definitions` VALUES (165672, 10131, 30, 'تلویزیون');
INSERT INTO `lang_definitions` VALUES (165673, 10133, 30, 'جدول');
INSERT INTO `lang_definitions` VALUES (165674, 10137, 30, 'ایجاد جدول ناموفق بود');
INSERT INTO `lang_definitions` VALUES (165675, 10138, 30, 'جدول به روز رسانی ناموفق بود');
INSERT INTO `lang_definitions` VALUES (165676, 10146, 30, 'تاگالوگ');
INSERT INTO `lang_definitions` VALUES (165677, 10173, 30, 'شناسه مالیات');
INSERT INTO `lang_definitions` VALUES (165678, 10174, 30, 'نرخ مالیات');
INSERT INTO `lang_definitions` VALUES (165679, 10175, 30, 'عوارض');
INSERT INTO `lang_definitions` VALUES (165680, 10176, 30, 'طبقه بندی');
INSERT INTO `lang_definitions` VALUES (165681, 10201, 30, 'الگو:');
INSERT INTO `lang_definitions` VALUES (165682, 10202, 30, 'قالب ها');
INSERT INTO `lang_definitions` VALUES (165683, 10205, 30, 'شریان تمپورال');
INSERT INTO `lang_definitions` VALUES (165684, 10208, 30, 'آسیب دیدگی تاندون');
INSERT INTO `lang_definitions` VALUES (165685, 10213, 30, 'سوم');
INSERT INTO `lang_definitions` VALUES (165686, 10214, 30, 'بیمه سوم');
INSERT INTO `lang_definitions` VALUES (165687, 10215, 30, 'اطلاعات بیمه سوم');
INSERT INTO `lang_definitions` VALUES (165688, 10216, 30, 'ارائه دهنده بیمه سوم');
INSERT INTO `lang_definitions` VALUES (165689, 10219, 30, 'برنامه ریزی آزمون');
INSERT INTO `lang_definitions` VALUES (165690, 10220, 30, 'آزمون سیستم');
INSERT INTO `lang_definitions` VALUES (165691, 10223, 30, 'متن');
INSERT INTO `lang_definitions` VALUES (165692, 10224, 30, 'متن تشخیص بیماری');
INSERT INTO `lang_definitions` VALUES (165693, 10225, 30, 'زمینه متن');
INSERT INTO `lang_definitions` VALUES (165694, 10233, 30, 'تاریخ متن');
INSERT INTO `lang_definitions` VALUES (165695, 10234, 30, 'تاریخ متن');
INSERT INTO `lang_definitions` VALUES (165696, 10242, 30, 'با تشکر از شما');
INSERT INTO `lang_definitions` VALUES (165697, 10245, 30, 'با تشکر از شما برای انتخاب');
INSERT INTO `lang_definitions` VALUES (165698, 10392, 30, 'موارد ذیل مورد نیاز است');
INSERT INTO `lang_definitions` VALUES (165699, 10394, 30, 'موارد ذیل باید پر شوئد تا درخواست ارسال شود.');
INSERT INTO `lang_definitions` VALUES (165700, 10418, 30, 'صفحه اول برای جستجوی فاکتور است. در بالای صفحه، میتوانید یک مرجع اطلاعات (مثلا شماره چک)، تاریخ پرداخت و مبلغ چک را وارد کنید. دلیل قید مرجع اطلاعات و تاریخ پرداخت آن است که مجبور نباشید آنها را مجددا برای هر مطالبه وارد کنید. مبلغ وارد شده برای هر فاکتور بر اساس هر صورت حساب پرداختی مربوطه کاهش میابد، و انشاءالله سرانجام به صفر می‌رسد.');
INSERT INTO `lang_definitions` VALUES (165701, 10616, 30, 'هیچ پرونده‌ پزشکی‌ به متقاضی داده نشده');
INSERT INTO `lang_definitions` VALUES (165702, 10618, 30, 'هیچ افشاء نامه ای برای این بیمار وجود ندارد.');
INSERT INTO `lang_definitions` VALUES (165703, 10622, 30, 'یادداشتی برای این بیمار در فایل وجود ندارد.');
INSERT INTO `lang_definitions` VALUES (165704, 10683, 30, 'ران');
INSERT INTO `lang_definitions` VALUES (165705, 10684, 30, 'ران + عضلات عقب ران');
INSERT INTO `lang_definitions` VALUES (165706, 10701, 30, 'سومین');
INSERT INTO `lang_definitions` VALUES (165707, 10784, 30, 'این مکان');
INSERT INTO `lang_definitions` VALUES (165708, 10826, 30, 'این ملاقات آغاز استفاده از پیشگیری بارداری جدید میباشد');
INSERT INTO `lang_definitions` VALUES (165709, 10827, 30, 'این ملاقات نیازمند فرم GCAC، و مراجعه یا خدمات پزشکی دارد.');
INSERT INTO `lang_definitions` VALUES (165710, 10871, 30, 'ستون فقرات');
INSERT INTO `lang_definitions` VALUES (165711, 10878, 30, 'گلو');
INSERT INTO `lang_definitions` VALUES (165712, 10879, 30, 'سرطان گلو');
INSERT INTO `lang_definitions` VALUES (165713, 10880, 30, 'جراحی سرطان گلو');
INSERT INTO `lang_definitions` VALUES (165714, 10881, 30, 'ترومبوز/سکته مغزی');
INSERT INTO `lang_definitions` VALUES (165715, 10882, 30, 'پنجشنبه');
INSERT INTO `lang_definitions` VALUES (165716, 10884, 30, 'پنجشنبه');
INSERT INTO `lang_definitions` VALUES (165717, 10885, 30, 'پنجشنبه');
INSERT INTO `lang_definitions` VALUES (165718, 10887, 30, 'تیروئید طبیعی');
INSERT INTO `lang_definitions` VALUES (165719, 10888, 30, 'مشکلات تیروئید');
INSERT INTO `lang_definitions` VALUES (165720, 10902, 30, 'زمان');
INSERT INTO `lang_definitions` VALUES (165721, 10903, 30, 'سبک نمایش زمان');
INSERT INTO `lang_definitions` VALUES (165722, 10905, 30, 'انتخاب زمان');
INSERT INTO `lang_definitions` VALUES (165723, 10918, 30, 'زنگ زدن گوش');
INSERT INTO `lang_definitions` VALUES (165724, 10920, 30, 'عنوان');
INSERT INTO `lang_definitions` VALUES (165725, 10925, 30, 'عناوین');
INSERT INTO `lang_definitions` VALUES (165726, 10928, 30, 'به');
INSERT INTO `lang_definitions` VALUES (165727, 10929, 30, 'تا');
INSERT INTO `lang_definitions` VALUES (165728, 10930, 30, 'تا');
INSERT INTO `lang_definitions` VALUES (165729, 10937, 30, 'برای اضافه کردن یادداشت، لطفا اینجا را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (165730, 10944, 30, 'به نمایش صدور صورت حساب');
INSERT INTO `lang_definitions` VALUES (165731, 10945, 30, 'به دسته');
INSERT INTO `lang_definitions` VALUES (165732, 10947, 30, 'به نمایش بالینی');
INSERT INTO `lang_definitions` VALUES (165733, 10980, 30, 'به تاریخچه');
INSERT INTO `lang_definitions` VALUES (165734, 10982, 30, 'به مسائل');
INSERT INTO `lang_definitions` VALUES (165735, 10987, 30, 'برای ورود دوباره');
INSERT INTO `lang_definitions` VALUES (165736, 10992, 30, 'برای ضبط افشاء، لطفا کلیک کنید');
INSERT INTO `lang_definitions` VALUES (165737, 11002, 30, 'به پوست');
INSERT INTO `lang_definitions` VALUES (165738, 11003, 30, 'به پوست');
INSERT INTO `lang_definitions` VALUES (165739, 11005, 30, 'به این ملاقات؟');
INSERT INTO `lang_definitions` VALUES (165740, 11010, 30, 'به:');
INSERT INTO `lang_definitions` VALUES (165741, 11011, 30, 'به:');
INSERT INTO `lang_definitions` VALUES (165742, 11025, 30, 'تنباکو');
INSERT INTO `lang_definitions` VALUES (165743, 11028, 30, 'مصرف دخانیات');
INSERT INTO `lang_definitions` VALUES (165744, 11030, 30, 'ارزیابی مصرف دخانیات');
INSERT INTO `lang_definitions` VALUES (165745, 11032, 30, 'امروز');
INSERT INTO `lang_definitions` VALUES (165746, 11033, 30, 'امروز');
INSERT INTO `lang_definitions` VALUES (165747, 11034, 30, 'امروز');
INSERT INTO `lang_definitions` VALUES (165748, 11050, 30, 'بالا');
INSERT INTO `lang_definitions` VALUES (165749, 11053, 30, 'مبحث');
INSERT INTO `lang_definitions` VALUES (165750, 11054, 30, 'مجموعا');
INSERT INTO `lang_definitions` VALUES (165751, 11055, 30, 'مجموعا');
INSERT INTO `lang_definitions` VALUES (165752, 11062, 30, 'مانده معوق کل');
INSERT INTO `lang_definitions` VALUES (165753, 11068, 30, 'گزینه توزیع کامل برای این شماره چک پر نشده');
INSERT INTO `lang_definitions` VALUES (165754, 11137, 30, 'تراکنش');
INSERT INTO `lang_definitions` VALUES (165755, 11138, 30, 'تراکنش');
INSERT INTO `lang_definitions` VALUES (165756, 11140, 30, 'تراکنش ناموفق، مقدار کمتر از صفر است');
INSERT INTO `lang_definitions` VALUES (165757, 11142, 30, 'نوع تراکنش');
INSERT INTO `lang_definitions` VALUES (165758, 11143, 30, 'تراکنش ها');
INSERT INTO `lang_definitions` VALUES (165759, 11144, 30, 'تراکنش ها');
INSERT INTO `lang_definitions` VALUES (165760, 11145, 30, 'تراکنش ها (نوشتن اختیاری)');
INSERT INTO `lang_definitions` VALUES (165761, 11151, 30, 'تراکنش ها/ارجاعات');
INSERT INTO `lang_definitions` VALUES (165762, 11163, 30, 'گروههای کنترل دسترسی ترجمه شود');
INSERT INTO `lang_definitions` VALUES (165763, 11179, 30, 'اسیب');
INSERT INTO `lang_definitions` VALUES (165764, 11180, 30, 'درمان');
INSERT INTO `lang_definitions` VALUES (165765, 11182, 30, 'اهداف درمان');
INSERT INTO `lang_definitions` VALUES (165766, 11183, 30, 'طرح درمانی');
INSERT INTO `lang_definitions` VALUES (165767, 11186, 30, 'درمان:');
INSERT INTO `lang_definitions` VALUES (165768, 11187, 30, 'درمان:');
INSERT INTO `lang_definitions` VALUES (165769, 11189, 30, 'روند');
INSERT INTO `lang_definitions` VALUES (165770, 11208, 30, 'سل');
INSERT INTO `lang_definitions` VALUES (165771, 11209, 30, 'سه‌شنبه');
INSERT INTO `lang_definitions` VALUES (165772, 11210, 30, 'سه شنبه و پنجشنبه');
INSERT INTO `lang_definitions` VALUES (165773, 11211, 30, 'سه‌شنبه');
INSERT INTO `lang_definitions` VALUES (165774, 11212, 30, 'غده');
INSERT INTO `lang_definitions` VALUES (165775, 11213, 30, 'ترکی');
INSERT INTO `lang_definitions` VALUES (165776, 11222, 30, 'دو بار در روز');
INSERT INTO `lang_definitions` VALUES (165777, 11227, 30, 'نوع');
INSERT INTO `lang_definitions` VALUES (165778, 11239, 30, 'نوع افشاء');
INSERT INTO `lang_definitions` VALUES (165779, 11240, 30, 'نوع رویدادها');
INSERT INTO `lang_definitions` VALUES (165780, 11242, 30, 'نوع چیدمان بندی صفحه نمایش');
INSERT INTO `lang_definitions` VALUES (165781, 11243, 30, 'شناسه بیمار را اینجا تایپ یا اسکن کنید');
INSERT INTO `lang_definitions` VALUES (165782, 11248, 30, 'پیام خود را اینجا تایپ کنید');
INSERT INTO `lang_definitions` VALUES (165783, 11249, 30, 'انواع سفارشات و نتایج');
INSERT INTO `lang_definitions` VALUES (165784, 11271, 30, 'اوکراینی');
INSERT INTO `lang_definitions` VALUES (165785, 11272, 30, 'زخمها');
INSERT INTO `lang_definitions` VALUES (165786, 11274, 30, 'زخمها:');
INSERT INTO `lang_definitions` VALUES (165787, 11292, 30, 'معین نشده');
INSERT INTO `lang_definitions` VALUES (165788, 11293, 30, 'غیر مجاز');
INSERT INTO `lang_definitions` VALUES (165789, 11295, 30, 'دسترسی غیر مجاز.');
INSERT INTO `lang_definitions` VALUES (165790, 11300, 30, 'زیر زبان');
INSERT INTO `lang_definitions` VALUES (165791, 11303, 30, 'کم وزنی');
INSERT INTO `lang_definitions` VALUES (165792, 11309, 30, 'لغو \"مرخص شدن\"');
INSERT INTO `lang_definitions` VALUES (165793, 11320, 30, 'واحد');
INSERT INTO `lang_definitions` VALUES (165794, 11321, 30, 'واحدها');
INSERT INTO `lang_definitions` VALUES (165795, 11322, 30, 'واحدها');
INSERT INTO `lang_definitions` VALUES (165796, 11324, 30, 'واحدهای فرم های ملاقات');
INSERT INTO `lang_definitions` VALUES (165797, 11328, 30, 'مجهول');
INSERT INTO `lang_definitions` VALUES (165798, 11356, 30, 'تا');
INSERT INTO `lang_definitions` VALUES (165799, 11359, 30, 'بایگانی نابهنگام');
INSERT INTO `lang_definitions` VALUES (165800, 11362, 30, 'تاحدود');
INSERT INTO `lang_definitions` VALUES (165801, 11368, 30, 'به روز رسانی یادداشت های فعال');
INSERT INTO `lang_definitions` VALUES (165802, 11371, 30, 'به روز رسانی فایل');
INSERT INTO `lang_definitions` VALUES (165803, 11372, 30, 'به روز رسانی اطلاعات');
INSERT INTO `lang_definitions` VALUES (165804, 11374, 30, 'به روز رسانی لیست');
INSERT INTO `lang_definitions` VALUES (165805, 11377, 30, 'روز رسانی شماره ارائه دهنده خدمات');
INSERT INTO `lang_definitions` VALUES (165806, 11378, 30, 'بروز رسانی اقلام انتخاب شده');
INSERT INTO `lang_definitions` VALUES (165807, 11383, 30, 'بروز رسانی متغیرهای زیر در فایل');
INSERT INTO `lang_definitions` VALUES (165808, 11384, 30, 'به بروز رسانی اطلاعات کاربری');
INSERT INTO `lang_definitions` VALUES (165809, 11426, 30, 'پس از جستجو لیست فاکتورها به شما ارائه میشود. شما میتوانید روی یکی از شماره فاکتورها کلیک کنید تا صفحه دومی‌ برای وارد کردن اطلاعات و ارسال دستی باز شود. همچنین برای وارد کردن یاد داشت می توانید روی نام یک بیمار کلیک کنید تا کارکنان دفتر جلو در زمان پذیرش بیمار آن را ببینند. همچنین می توانید فاکتورهایی‌ را انتخاب کنید تا در صورت حسابهای بیماران قید شده و آن صورت حسابها را چاپ کنید.');
INSERT INTO `lang_definitions` VALUES (165810, 11429, 30, 'بازو');
INSERT INTO `lang_definitions` VALUES (165811, 11432, 30, 'ضرورت');
INSERT INTO `lang_definitions` VALUES (165812, 11436, 30, 'ادرار');
INSERT INTO `lang_definitions` VALUES (165813, 11438, 30, 'فرکانس ادرار');
INSERT INTO `lang_definitions` VALUES (165814, 11447, 30, 'آدرس وب سایت برای دروازه تلفن. خدمات خودکار VOIP توسط Maviq ارائه شده است. لطفا برای کسب اطلاعات بیشتر به این سایت مراجعه کنید. http://signup.maviq.com');
INSERT INTO `lang_definitions` VALUES (165815, 11476, 30, 'حدود تاریخ استفاده');
INSERT INTO `lang_definitions` VALUES (165816, 11496, 30, 'کاربر');
INSERT INTO `lang_definitions` VALUES (165817, 11498, 30, 'کاربر/گروه ها');
INSERT INTO `lang_definitions` VALUES (165818, 11499, 30, 'مدیریت کاربر');
INSERT INTO `lang_definitions` VALUES (165819, 11507, 30, 'تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (165820, 11508, 30, 'منطقه ۱۱ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (165821, 11509, 30, 'منطقه ۱۲ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (165822, 11510, 30, 'زمینه تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (165823, 11511, 30, 'لیست ۱ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (165824, 11512, 30, 'لیست ۲ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (165825, 11513, 30, 'لیست ۳ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (165826, 11514, 30, 'لیست ۴ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (165827, 11515, 30, 'لیست ۵ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (165828, 11516, 30, 'لیست ۶ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (165829, 11517, 30, 'لیست ۷ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (165830, 11518, 30, 'متن ۱ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (165831, 11519, 30, 'متن ۲ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (165832, 11520, 30, 'متن ۳ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (165833, 11521, 30, 'متن ۴ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (165834, 11522, 30, 'متن ۵ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (165835, 11523, 30, 'متن ۶ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (165836, 11524, 30, 'متن ۷ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (165837, 11525, 30, 'متن ۸ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (165838, 11526, 30, 'نام کاربر');
INSERT INTO `lang_definitions` VALUES (165839, 11532, 30, 'کتابچه راهنمای کاربر');
INSERT INTO `lang_definitions` VALUES (165840, 11533, 30, 'تاریخ عضویت کاربر');
INSERT INTO `lang_definitions` VALUES (165841, 11534, 30, 'نام کاربر');
INSERT INTO `lang_definitions` VALUES (165842, 11537, 30, 'نام کاربر یا میزبان');
INSERT INTO `lang_definitions` VALUES (165843, 11541, 30, 'تنظیمات کاربر');
INSERT INTO `lang_definitions` VALUES (165844, 11543, 30, 'تنظیمات خاص کاربر');
INSERT INTO `lang_definitions` VALUES (165845, 11553, 30, 'نام کاربری برای وب سایت دروازه تلفن. خدمات خودکار VOIP توسط Maviq ارائه شده است. لطفا برای کسب اطلاعات بیشتر به این سایت مراجعه کنید. http://signup.maviq.com');
INSERT INTO `lang_definitions` VALUES (165846, 11559, 30, 'نام کاربری:');
INSERT INTO `lang_definitions` VALUES (165847, 11560, 30, 'کاربران');
INSERT INTO `lang_definitions` VALUES (165848, 11564, 30, 'کاربران/گروه ها/اداره گزارشا‌ت');
INSERT INTO `lang_definitions` VALUES (165849, 11588, 30, 'مرخصی');
INSERT INTO `lang_definitions` VALUES (165850, 11589, 30, 'مرخصی');
INSERT INTO `lang_definitions` VALUES (165851, 11590, 30, 'واکسن');
INSERT INTO `lang_definitions` VALUES (165852, 11596, 30, 'تایید اعتبار');
INSERT INTO `lang_definitions` VALUES (165853, 11609, 30, 'ارزش');
INSERT INTO `lang_definitions` VALUES (165854, 11630, 30, 'فروشنده');
INSERT INTO `lang_definitions` VALUES (165855, 11666, 30, 'ویتنامی');
INSERT INTO `lang_definitions` VALUES (165856, 11667, 30, 'مشاهده');
INSERT INTO `lang_definitions` VALUES (165857, 11668, 30, 'مشاهده');
INSERT INTO `lang_definitions` VALUES (165858, 11670, 30, 'مشاهده آلرژی');
INSERT INTO `lang_definitions` VALUES (165859, 11676, 30, 'مشاهده گزارش جامع بیمار');
INSERT INTO `lang_definitions` VALUES (165860, 11679, 30, 'مشاهده سند');
INSERT INTO `lang_definitions` VALUES (165861, 11687, 30, 'مشاهده رویدادها/عملیات');
INSERT INTO `lang_definitions` VALUES (165862, 11690, 30, 'مشاهده صفحه ۱');
INSERT INTO `lang_definitions` VALUES (165863, 11691, 30, 'نمایش صفحه ۲');
INSERT INTO `lang_definitions` VALUES (165864, 11692, 30, 'نمایش یادآورهای گذشته و آینده');
INSERT INTO `lang_definitions` VALUES (165865, 11695, 30, 'مشاهده بیمار');
INSERT INTO `lang_definitions` VALUES (165866, 11700, 30, 'برخوردهای مرتبط');
INSERT INTO `lang_definitions` VALUES (165867, 11712, 30, 'مشاهده/ویرایش آلرژی');
INSERT INTO `lang_definitions` VALUES (165868, 11713, 30, 'مشاهده/ویرایش مسئله');
INSERT INTO `lang_definitions` VALUES (165869, 11714, 30, 'مشاهده/چاپ');
INSERT INTO `lang_definitions` VALUES (165870, 11717, 30, 'مشاهده:');
INSERT INTO `lang_definitions` VALUES (165871, 11728, 30, 'دسته بندی ملاقات:');
INSERT INTO `lang_definitions` VALUES (165872, 11729, 30, 'تاریخ ملاقات');
INSERT INTO `lang_definitions` VALUES (165873, 11730, 30, 'تاریخ ملاقات');
INSERT INTO `lang_definitions` VALUES (165874, 11734, 30, 'فرم های ملاقات');
INSERT INTO `lang_definitions` VALUES (165875, 11736, 30, 'تاریخچه ملاقات');
INSERT INTO `lang_definitions` VALUES (165876, 11745, 30, 'ملاقات ها');
INSERT INTO `lang_definitions` VALUES (165877, 11751, 30, 'علایم حیاتی');
INSERT INTO `lang_definitions` VALUES (165878, 11752, 30, 'علایم حیاتی');
INSERT INTO `lang_definitions` VALUES (165879, 11756, 30, 'صدا');
INSERT INTO `lang_definitions` VALUES (165880, 11758, 30, 'صدا ارسال شد');
INSERT INTO `lang_definitions` VALUES (165881, 11763, 30, 'استفراغ');
INSERT INTO `lang_definitions` VALUES (165882, 11771, 30, 'دور کمر');
INSERT INTO `lang_definitions` VALUES (165883, 11772, 30, 'انتظار');
INSERT INTO `lang_definitions` VALUES (165884, 11773, 30, 'بدون وقت قبلی');
INSERT INTO `lang_definitions` VALUES (165885, 11778, 30, 'انبار کالا');
INSERT INTO `lang_definitions` VALUES (165886, 11782, 30, 'انبارهای کالا');
INSERT INTO `lang_definitions` VALUES (165887, 11783, 30, 'گرم');
INSERT INTO `lang_definitions` VALUES (165888, 11786, 30, 'هشدار');
INSERT INTO `lang_definitions` VALUES (165889, 11787, 30, 'هشدار');
INSERT INTO `lang_definitions` VALUES (165890, 11789, 30, 'هشدار، این شماره چک از قبل در پایگاه داده وجود داشته');
INSERT INTO `lang_definitions` VALUES (165891, 11791, 30, 'هشدار: امروز قبلا یک ملاقات برای این بیمار ساخته شد!');
INSERT INTO `lang_definitions` VALUES (165892, 11796, 30, 'هشدار: شناسه بیمار منحصر به فرد نیست!');
INSERT INTO `lang_definitions` VALUES (165893, 11801, 30, 'هشدارها');
INSERT INTO `lang_definitions` VALUES (165894, 11821, 30, 'ضعف');
INSERT INTO `lang_definitions` VALUES (165895, 11826, 30, 'جستجو در اینترنت');
INSERT INTO `lang_definitions` VALUES (165896, 11827, 30, 'سایت اینترنتی');
INSERT INTO `lang_definitions` VALUES (165897, 11832, 30, 'چهارشنبه');
INSERT INTO `lang_definitions` VALUES (165898, 11833, 30, 'چهارشنبه');
INSERT INTO `lang_definitions` VALUES (165899, 11834, 30, 'هفتگی');
INSERT INTO `lang_definitions` VALUES (165900, 11835, 30, 'هفته');
INSERT INTO `lang_definitions` VALUES (165901, 11836, 30, 'نمایش هفته ای');
INSERT INTO `lang_definitions` VALUES (165902, 11837, 30, 'هفته (ها)');
INSERT INTO `lang_definitions` VALUES (165903, 11838, 30, 'مواجهه شده هفتگی');
INSERT INTO `lang_definitions` VALUES (165904, 11840, 30, 'هفته ها');
INSERT INTO `lang_definitions` VALUES (165905, 11841, 30, 'وزن');
INSERT INTO `lang_definitions` VALUES (165906, 11842, 30, 'ارزیابی وزن و مشاوره برای کودکان و جوانان');
INSERT INTO `lang_definitions` VALUES (165907, 11844, 30, 'تغییر وزن');
INSERT INTO `lang_definitions` VALUES (165908, 11846, 30, 'کلینیک کاهش وزن');
INSERT INTO `lang_definitions` VALUES (165909, 11847, 30, 'خوش آمدید');
INSERT INTO `lang_definitions` VALUES (165910, 11864, 30, 'خس خس:');
INSERT INTO `lang_definitions` VALUES (165911, 11865, 30, 'خس خس سینه');
INSERT INTO `lang_definitions` VALUES (165912, 11866, 30, 'خس خس سینه:');
INSERT INTO `lang_definitions` VALUES (165913, 11891, 30, 'سفید');
INSERT INTO `lang_definitions` VALUES (165914, 11894, 30, 'هویت');
INSERT INTO `lang_definitions` VALUES (165915, 11895, 30, 'چه کسی پاسخ داد؟');
INSERT INTO `lang_definitions` VALUES (165916, 11897, 30, 'بیوه');
INSERT INTO `lang_definitions` VALUES (165917, 11898, 30, 'عرض');
INSERT INTO `lang_definitions` VALUES (165918, 11913, 30, 'در عرض چند ساعت');
INSERT INTO `lang_definitions` VALUES (165919, 11914, 30, 'در عرض چند ساعت:');
INSERT INTO `lang_definitions` VALUES (165920, 11915, 30, 'در عرض چند دقیقه');
INSERT INTO `lang_definitions` VALUES (165921, 11916, 30, 'در عرض چند دقیقه:');
INSERT INTO `lang_definitions` VALUES (165922, 11920, 30, 'شاهد');
INSERT INTO `lang_definitions` VALUES (165923, 11924, 30, 'زنان');
INSERT INTO `lang_definitions` VALUES (165924, 11925, 30, 'فقط برای خانمها');
INSERT INTO `lang_definitions` VALUES (165925, 11927, 30, 'کار');
INSERT INTO `lang_definitions` VALUES (165926, 11928, 30, 'یادداشت کار');
INSERT INTO `lang_definitions` VALUES (165927, 11929, 30, 'تلفن محل کار');
INSERT INTO `lang_definitions` VALUES (165928, 11930, 30, 'شماره تلفن محل کار');
INSERT INTO `lang_definitions` VALUES (165929, 11931, 30, 'مرتبط به کار؟');
INSERT INTO `lang_definitions` VALUES (165930, 11932, 30, 'کار/آموزش/سرگرمی');
INSERT INTO `lang_definitions` VALUES (165931, 11933, 30, 'یادداشت کار/مدرسه');
INSERT INTO `lang_definitions` VALUES (165932, 11934, 30, 'روز کاری');
INSERT INTO `lang_definitions` VALUES (165933, 11941, 30, 'بدتر');
INSERT INTO `lang_definitions` VALUES (165934, 11953, 30, 'مچ دست');
INSERT INTO `lang_definitions` VALUES (165935, 11954, 30, 'دست و مچ دست');
INSERT INTO `lang_definitions` VALUES (165936, 11955, 30, 'مشکلات مچ دست');
INSERT INTO `lang_definitions` VALUES (165937, 11956, 30, 'نوشتن');
INSERT INTO `lang_definitions` VALUES (165938, 11958, 30, 'کسر کردن');
INSERT INTO `lang_definitions` VALUES (165939, 11966, 30, 'x لغو شد');
INSERT INTO `lang_definitions` VALUES (165940, 11967, 30, 'x لغو شد');
INSERT INTO `lang_definitions` VALUES (165941, 11969, 30, 'آزمون اشعه ایکس');
INSERT INTO `lang_definitions` VALUES (165942, 11970, 30, 'تفسیر آزمون اشعه ایکس:');
INSERT INTO `lang_definitions` VALUES (165943, 11971, 30, 'تفسیر آزمون اشعه ایکس:');
INSERT INTO `lang_definitions` VALUES (165944, 11988, 30, 'سال');
INSERT INTO `lang_definitions` VALUES (165945, 11989, 30, 'سال');
INSERT INTO `lang_definitions` VALUES (165946, 11990, 30, 'نمایش سالیانه');
INSERT INTO `lang_definitions` VALUES (165947, 11991, 30, 'سال (ها)');
INSERT INTO `lang_definitions` VALUES (165948, 11992, 30, 'سال');
INSERT INTO `lang_definitions` VALUES (165949, 11996, 30, 'آری');
INSERT INTO `lang_definitions` VALUES (165950, 11997, 30, 'آری');
INSERT INTO `lang_definitions` VALUES (165951, 11998, 30, 'آری');
INSERT INTO `lang_definitions` VALUES (165952, 11999, 30, 'آری!');
INSERT INTO `lang_definitions` VALUES (165953, 12000, 30, 'آری، حذف و Log');
INSERT INTO `lang_definitions` VALUES (165954, 12002, 30, 'آری/خیر');
INSERT INTO `lang_definitions` VALUES (165955, 12003, 30, 'آری:');
INSERT INTO `lang_definitions` VALUES (165956, 12004, 30, 'ییدیش');
INSERT INTO `lang_definitions` VALUES (165957, 12090, 30, 'شما اول باید یک بیمار را انتخاب و یا اضافه کنید.');
INSERT INTO `lang_definitions` VALUES (165958, 12091, 30, 'شما اول باید یک ویزیت را انتخاب و یا اضافه کنید.');
INSERT INTO `lang_definitions` VALUES (165959, 12092, 30, 'شما باید یک دسته بندی ملاقات انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (165960, 12093, 30, 'شما باید یک دسته بندی ملاقات انتخاب کنید.');
INSERT INTO `lang_definitions` VALUES (165961, 12186, 30, 'صفر');
INSERT INTO `lang_definitions` VALUES (165962, 12188, 30, 'کد پستی');
INSERT INTO `lang_definitions` VALUES (165963, 12189, 30, 'کد پستی');
INSERT INTO `lang_definitions` VALUES (165964, 12191, 30, 'کد پستی/کشور:');
INSERT INTO `lang_definitions` VALUES (165965, 12196, 30, 'زولویی');
INSERT INTO `lang_definitions` VALUES (165966, 12198, 30, 'قابل دسترسی نیست.');
INSERT INTO `lang_definitions` VALUES (165967, 12199, 30, 'آیا واقعا می خواهید را حذف کنید');
INSERT INTO `lang_definitions` VALUES (165968, 12200, 30, 'دارو');
INSERT INTO `lang_definitions` VALUES (165969, 12201, 30, 'ایمیل ها فرستاده نشدند');
INSERT INTO `lang_definitions` VALUES (165970, 12202, 30, 'از');
INSERT INTO `lang_definitions` VALUES (165971, 12203, 30, 'ایجاد شده است.');
INSERT INTO `lang_definitions` VALUES (165972, 12204, 30, 'دوباره باز شده است.');
INSERT INTO `lang_definitions` VALUES (165973, 12205, 30, 'تاریخچه');
INSERT INTO `lang_definitions` VALUES (165974, 12206, 30, 'یک عدد نیست');
INSERT INTO `lang_definitions` VALUES (165975, 12207, 30, 'آماده برای صدور صورت حساب مجدد است.');
INSERT INTO `lang_definitions` VALUES (165976, 12212, 30, 'یافت نشد!');
INSERT INTO `lang_definitions` VALUES (165977, 12215, 30, 'تا');
INSERT INTO `lang_definitions` VALUES (165978, 12216, 30, 'به روز رسانی نا موفق بود، در پایگاه داده ها نیست؟');
INSERT INTO `lang_definitions` VALUES (165979, 12219, 30, '! انصراف از ویزیت');
INSERT INTO `lang_definitions` VALUES (165980, 12221, 30, '\" در تنظیمات ارسال تقویم علامت زده شده!');
INSERT INTO `lang_definitions` VALUES (165981, 12222, 30, '# مسائل بیمه/مالی');
INSERT INTO `lang_definitions` VALUES (165982, 12223, 30, 'تعداد قرص ها:');
INSERT INTO `lang_definitions` VALUES (165983, 12225, 30, '$ کدگذاری انجام شد');
INSERT INTO `lang_definitions` VALUES (165984, 12228, 30, '٪ لغو >۲۴ ساعت قبل از ملاقات');
INSERT INTO `lang_definitions` VALUES (165985, 12229, 30, '٪ لغو >۲۴ ساعت قبل از ملاقات');
INSERT INTO `lang_definitions` VALUES (165986, 12232, 30, '(برای انتخاب چندین گیرنده [CTRL] + کلیک کنید)');
INSERT INTO `lang_definitions` VALUES (165987, 12233, 30, '(بازگشت)');
INSERT INTO `lang_definitions` VALUES (165988, 12234, 30, '(برای ویرایش کلیک کنید.)');
INSERT INTO `lang_definitions` VALUES (165989, 12236, 30, '(بیشتر)');
INSERT INTO `lang_definitions` VALUES (165990, 12237, 30, '(بیمار جدید)');
INSERT INTO `lang_definitions` VALUES (165991, 12238, 30, '(یادداشت ها و مجوزها)');
INSERT INTO `lang_definitions` VALUES (165992, 12239, 30, '(یادداشت های بیمار)');
INSERT INTO `lang_definitions` VALUES (165993, 12240, 30, '(یکی از اینها را انتخاب، یا عنوان خودتان را تایپ کنید)');
INSERT INTO `lang_definitions` VALUES (165994, 12242, 30, '* یادآوری شد');
INSERT INTO `lang_definitions` VALUES (165995, 12243, 30, '** لطفا جراحی ها را به مسائل تبدیل کنید!');
INSERT INTO `lang_definitions` VALUES (165996, 12244, 30, '* ضروری');
INSERT INTO `lang_definitions` VALUES (165997, 12245, 30, '+ پرونده آورده شد');
INSERT INTO `lang_definitions` VALUES (165998, 12249, 30, '- هیچ');
INSERT INTO `lang_definitions` VALUES (165999, 12253, 30, '.');
INSERT INTO `lang_definitions` VALUES (166000, 12254, 30, '0');
INSERT INTO `lang_definitions` VALUES (166001, 12255, 30, '۰-۱۰');
INSERT INTO `lang_definitions` VALUES (166002, 12256, 30, '۰-۲۴');
INSERT INTO `lang_definitions` VALUES (166003, 12259, 30, '1');
INSERT INTO `lang_definitions` VALUES (166004, 12261, 30, '۱ روز دیگر');
INSERT INTO `lang_definitions` VALUES (166005, 12262, 30, '۱ ماه دیگر');
INSERT INTO `lang_definitions` VALUES (166006, 12263, 30, '۱ هفته دیگر');
INSERT INTO `lang_definitions` VALUES (166007, 12264, 30, '۱ سال دیگر');
INSERT INTO `lang_definitions` VALUES (166008, 12266, 30, '۱۱-۱۴');
INSERT INTO `lang_definitions` VALUES (166009, 12267, 30, '۱۲ ساعت');
INSERT INTO `lang_definitions` VALUES (166010, 12268, 30, '۱۵-۱۹');
INSERT INTO `lang_definitions` VALUES (166011, 12272, 30, '2');
INSERT INTO `lang_definitions` VALUES (166012, 12273, 30, '۲ روز دیگر');
INSERT INTO `lang_definitions` VALUES (166013, 12274, 30, '۲ ماه دیگر');
INSERT INTO `lang_definitions` VALUES (166014, 12275, 30, '۲ هفته دیگر');
INSERT INTO `lang_definitions` VALUES (166015, 12276, 30, '۲ سال دیگر');
INSERT INTO `lang_definitions` VALUES (166016, 12278, 30, '۲۰-۲۴');
INSERT INTO `lang_definitions` VALUES (166017, 12287, 30, '۲۱۱۱-۱۳');
INSERT INTO `lang_definitions` VALUES (166018, 12289, 30, '۲۵+');
INSERT INTO `lang_definitions` VALUES (166019, 12290, 30, '۲۵-۲۹');
INSERT INTO `lang_definitions` VALUES (166020, 12296, 30, '۳ روز دیگر');
INSERT INTO `lang_definitions` VALUES (166021, 12297, 30, '۳ ماه');
INSERT INTO `lang_definitions` VALUES (166022, 12298, 30, '۳ ماه دیگر');
INSERT INTO `lang_definitions` VALUES (166023, 12299, 30, '۳ بار در روز');
INSERT INTO `lang_definitions` VALUES (166024, 12300, 30, '۳ هفته دیگر');
INSERT INTO `lang_definitions` VALUES (166025, 12301, 30, '۳۰-۳۴');
INSERT INTO `lang_definitions` VALUES (166026, 12302, 30, '۳۵-۳۹');
INSERT INTO `lang_definitions` VALUES (166027, 12307, 30, '۴ روز دیگر');
INSERT INTO `lang_definitions` VALUES (166028, 12308, 30, '۴ ماه');
INSERT INTO `lang_definitions` VALUES (166029, 12309, 30, '۴ ماه دیگر');
INSERT INTO `lang_definitions` VALUES (166030, 12310, 30, '۴ بار در روز');
INSERT INTO `lang_definitions` VALUES (166031, 12311, 30, '۴ هفته دیگر');
INSERT INTO `lang_definitions` VALUES (166032, 12312, 30, '۴۰-۴۴');
INSERT INTO `lang_definitions` VALUES (166033, 12313, 30, '۴۵+');
INSERT INTO `lang_definitions` VALUES (166034, 12326, 30, '۵ روز دیگر');
INSERT INTO `lang_definitions` VALUES (166035, 12327, 30, '۵ ماه دیگر');
INSERT INTO `lang_definitions` VALUES (166036, 12328, 30, '۵ هفته دیگر');
INSERT INTO `lang_definitions` VALUES (166037, 12333, 30, '۶ روز دیگر');
INSERT INTO `lang_definitions` VALUES (166038, 12334, 30, '۶ ماه');
INSERT INTO `lang_definitions` VALUES (166039, 12335, 30, '۶ ماه دیگر');
INSERT INTO `lang_definitions` VALUES (166040, 12336, 30, '۶ هفته دیگر');
INSERT INTO `lang_definitions` VALUES (166041, 12339, 30, '۷ ماه دیگر');
INSERT INTO `lang_definitions` VALUES (166042, 12340, 30, '۸ ماه دیگر');
INSERT INTO `lang_definitions` VALUES (166043, 12350, 30, '۹ ماه دیگر');
INSERT INTO `lang_definitions` VALUES (166044, 12353, 30, '< در اتاق معاینه');
INSERT INTO `lang_definitions` VALUES (166045, 12357, 30, '> مرخص شد');
INSERT INTO `lang_definitions` VALUES (166046, 12361, 30, '? غیبت');
INSERT INTO `lang_definitions` VALUES (166047, 12362, 30, '@ مراجعه کرد');
INSERT INTO `lang_definitions` VALUES (166048, 12364, 30, '[تغییر نمایش]');
INSERT INTO `lang_definitions` VALUES (166049, 12369, 30, '[توصیه نمی شود]');
INSERT INTO `lang_definitions` VALUES (166050, 12371, 30, '[گزارش ها]');
INSERT INTO `lang_definitions` VALUES (166051, 12372, 30, '[انتخاب همه]');
INSERT INTO `lang_definitions` VALUES (166052, 12375, 30, '[نمایش صورت عملیات]');
INSERT INTO `lang_definitions` VALUES (166053, 12376, 30, '[نمایش گزارش چاپی]');
INSERT INTO `lang_definitions` VALUES (166054, 12381, 30, '~ تأخیر');
INSERT INTO `lang_definitions` VALUES (166055, 1, 31, '一つの');
INSERT INTO `lang_definitions` VALUES (166056, 2, 31, '支払を識別するための小切手番号もしくは請求番号');
INSERT INTO `lang_definitions` VALUES (166057, 4, 31, '管理者のためのクライアント証明');
INSERT INTO `lang_definitions` VALUES (166058, 6, 31, '医療文書が添付されます。');
INSERT INTO `lang_definitions` VALUES (166059, 7, 31, '医療文書が添付されます。');
INSERT INTO `lang_definitions` VALUES (166060, 8, 31, 'このタイプのコードが既に選択されています。あなたはそれを交換する必要がある場合は、最初のフィールドを消去します。');
INSERT INTO `lang_definitions` VALUES (166061, 13, 31, 'ディストリビューターが必要です。');
INSERT INTO `lang_definitions` VALUES (166062, 17, 31, 'GCAC訪問フォームは今回の訪問で追加されました');
INSERT INTO `lang_definitions` VALUES (166063, 20, 31, 'ロット番号が必要です');
INSERT INTO `lang_definitions` VALUES (166064, 21, 31, 'ロット番号が必要です！');
INSERT INTO `lang_definitions` VALUES (166065, 22, 31, '小文字で入力');
INSERT INTO `lang_definitions` VALUES (166066, 28, 31, '数量');
INSERT INTO `lang_definitions` VALUES (166067, 29, 31, '患者は、このレポートを生成するために選択する必要があります');
INSERT INTO `lang_definitions` VALUES (166068, 30, 31, 'このＩＤの患者は既に存在します。');
INSERT INTO `lang_definitions` VALUES (166069, 31, 31, 'この名前の患者は既に存在します。');
INSERT INTO `lang_definitions` VALUES (166070, 32, 31, 'このSSの患者は既に存在します。');
INSERT INTO `lang_definitions` VALUES (166071, 36, 31, '正の数は、（負の数が降順に過去の予定が表示されます）患者概要]画面にウィジェット上でその多くの過去の予定が表示されます');
INSERT INTO `lang_definitions` VALUES (166072, 37, 31, '正の数は、患者の概要]画面にウィジェット上でその多くの過去の予定が表示されます。');
INSERT INTO `lang_definitions` VALUES (166073, 43, 31, '照会元は、各訪問のために指定されてもよい。');
INSERT INTO `lang_definitions` VALUES (166074, 44, 31, '関連するIPPFコードが必要です');
INSERT INTO `lang_definitions` VALUES (166075, 49, 31, '特殊文字');
INSERT INTO `lang_definitions` VALUES (166076, 53, 31, 'ユニークな値は、ユーザーには見えないこのフィールドを識別するために');
INSERT INTO `lang_definitions` VALUES (166077, 56, 31, '訪問は、すでに今日この患者のために存在しています。新しいものを作成することを続行するためにそれを開くために、キャンセル、または[OK]をクリックします。');
INSERT INTO `lang_definitions` VALUES (166078, 57, 31, 'a.c.');
INSERT INTO `lang_definitions` VALUES (166079, 58, 31, '午前');
INSERT INTO `lang_definitions` VALUES (166080, 60, 31, 'A/F Level Right:');
INSERT INTO `lang_definitions` VALUES (166081, 62, 31, 'AB');
INSERT INTO `lang_definitions` VALUES (166082, 63, 31, '略語');
INSERT INTO `lang_definitions` VALUES (166083, 64, 31, '膿瘍：');
INSERT INTO `lang_definitions` VALUES (166084, 65, 31, '腹部');
INSERT INTO `lang_definitions` VALUES (166085, 66, 31, '：重量を4（4）の手順に耐え');
INSERT INTO `lang_definitions` VALUES (166086, 67, 31, 'ABN');
INSERT INTO `lang_definitions` VALUES (166087, 68, 31, 'ABN1');
INSERT INTO `lang_definitions` VALUES (166088, 70, 31, '異常な');
INSERT INTO `lang_definitions` VALUES (166089, 71, 31, '異常な血液検査');
INSERT INTO `lang_definitions` VALUES (166090, 72, 31, '異常な髪の成長');
INSERT INTO `lang_definitions` VALUES (166091, 73, 31, '異常マンモグラム');
INSERT INTO `lang_definitions` VALUES (166092, 74, 31, '中断');
INSERT INTO `lang_definitions` VALUES (166093, 75, 31, '中絶');
INSERT INTO `lang_definitions` VALUES (166094, 76, 31, '妊娠中絶の問題');
INSERT INTO `lang_definitions` VALUES (166095, 77, 31, '妊娠中絶の方法');
INSERT INTO `lang_definitions` VALUES (166096, 78, 31, '妊娠中絶-関連カテゴリ');
INSERT INTO `lang_definitions` VALUES (166097, 79, 31, '中絶');
INSERT INTO `lang_definitions` VALUES (166098, 80, 31, '概要');
INSERT INTO `lang_definitions` VALUES (166099, 81, 31, 'ポータルダッシュボードについて');
INSERT INTO `lang_definitions` VALUES (166100, 82, 31, 'カレンダーについて');
INSERT INTO `lang_definitions` VALUES (166101, 83, 31, 'ポータルについて');
INSERT INTO `lang_definitions` VALUES (166102, 84, 31, '上側のパニック限界以上');
INSERT INTO `lang_definitions` VALUES (166103, 85, 31, '診断で欠席');
INSERT INTO `lang_definitions` VALUES (166104, 87, 31, '割り当てを受け入れる');
INSERT INTO `lang_definitions` VALUES (166105, 89, 31, 'のための支払いを受け入れる');
INSERT INTO `lang_definitions` VALUES (166106, 90, 31, 'のための支払いを受け入れる');
INSERT INTO `lang_definitions` VALUES (166107, 91, 31, '割り当てを受け入れ');
INSERT INTO `lang_definitions` VALUES (166108, 93, 31, 'アクセス制御');
INSERT INTO `lang_definitions` VALUES (166109, 94, 31, 'アクセス制御リストの管理');
INSERT INTO `lang_definitions` VALUES (166110, 98, 31, 'アクセス日');
INSERT INTO `lang_definitions` VALUES (166111, 102, 31, 'アクセスは許可されていません');
INSERT INTO `lang_definitions` VALUES (166112, 103, 31, 'アクセスは認証されていません');
INSERT INTO `lang_definitions` VALUES (166113, 105, 31, '患者ポータルへアクセス');
INSERT INTO `lang_definitions` VALUES (166114, 106, 31, '事故');
INSERT INTO `lang_definitions` VALUES (166115, 109, 31, 'アカウントIDは、多施設アカウントを分離するために使用されるNewCrop ERXサービス、のために発行しました。');
INSERT INTO `lang_definitions` VALUES (166116, 113, 31, 'アカウント名');
INSERT INTO `lang_definitions` VALUES (166117, 114, 31, 'アカウント名はNewCrop ERXサービスのために発行されます。');
INSERT INTO `lang_definitions` VALUES (166118, 115, 31, 'NewCrop ERXサービスのために発行したアカウントのパスワード。');
INSERT INTO `lang_definitions` VALUES (166119, 117, 31, 'アカウント管理');
INSERT INTO `lang_definitions` VALUES (166120, 122, 31, '痛み');
INSERT INTO `lang_definitions` VALUES (166121, 124, 31, '謝辞要求（ISA14）');
INSERT INTO `lang_definitions` VALUES (166122, 125, 31, '謝辞、ライセンスと認証');
INSERT INTO `lang_definitions` VALUES (166123, 126, 31, 'アクセス制限（ACL）');
INSERT INTO `lang_definitions` VALUES (166124, 127, 31, 'アクセス管理（ACL）');
INSERT INTO `lang_definitions` VALUES (166125, 129, 31, 'アクセス管理（ACL）は認証されていません');
INSERT INTO `lang_definitions` VALUES (166126, 132, 31, 'ACLが更新されました');
INSERT INTO `lang_definitions` VALUES (166127, 133, 31, 'にきび');
INSERT INTO `lang_definitions` VALUES (166128, 136, 31, '行為');
INSERT INTO `lang_definitions` VALUES (166129, 137, 31, '法律日');
INSERT INTO `lang_definitions` VALUES (166130, 138, 31, 'アクション');
INSERT INTO `lang_definitions` VALUES (166131, 142, 31, 'アクション');
INSERT INTO `lang_definitions` VALUES (166132, 143, 31, '有効');
INSERT INTO `lang_definitions` VALUES (166133, 144, 31, 'CCR / CCDレポートをアクティブに');
INSERT INTO `lang_definitions` VALUES (166134, 148, 31, '有効');
INSERT INTO `lang_definitions` VALUES (166135, 150, 31, '有効なアラート');
INSERT INTO `lang_definitions` VALUES (166136, 152, 31, '有効なアラートルール');
INSERT INTO `lang_definitions` VALUES (166137, 153, 31, '有効なアラート/予告');
INSERT INTO `lang_definitions` VALUES (166138, 154, 31, '有効チャート');
INSERT INTO `lang_definitions` VALUES (166139, 158, 31, '有効な来院者');
INSERT INTO `lang_definitions` VALUES (166140, 159, 31, '有効な問題コード');
INSERT INTO `lang_definitions` VALUES (166141, 160, 31, '有効なリスト');
INSERT INTO `lang_definitions` VALUES (166142, 162, 31, '有効な患者');
INSERT INTO `lang_definitions` VALUES (166143, 163, 31, '有効なプラン');
INSERT INTO `lang_definitions` VALUES (166144, 173, 31, 'アクティビティ');
INSERT INTO `lang_definitions` VALUES (166145, 174, 31, 'アクティビティタイプ');
INSERT INTO `lang_definitions` VALUES (166146, 175, 31, '実収入');
INSERT INTO `lang_definitions` VALUES (166147, 177, 31, '鋭さ');
INSERT INTO `lang_definitions` VALUES (166148, 185, 31, '急性中毒/退会');
INSERT INTO `lang_definitions` VALUES (166149, 186, 31, '慢性疾患の急性顕現');
INSERT INTO `lang_definitions` VALUES (166150, 187, 31, '慢性に急性');
INSERT INTO `lang_definitions` VALUES (166151, 189, 31, '追加');
INSERT INTO `lang_definitions` VALUES (166152, 190, 31, '追加');
INSERT INTO `lang_definitions` VALUES (166153, 191, 31, '追加');
INSERT INTO `lang_definitions` VALUES (166154, 192, 31, '会社を追加');
INSERT INTO `lang_definitions` VALUES (166155, 193, 31, '状況を追加');
INSERT INTO `lang_definitions` VALUES (166156, 197, 31, '薬局を追加');
INSERT INTO `lang_definitions` VALUES (166157, 199, 31, 'プランのルールを追加');
INSERT INTO `lang_definitions` VALUES (166158, 200, 31, 'イベントを追加');
INSERT INTO `lang_definitions` VALUES (166159, 202, 31, '新規ノートの追加');
INSERT INTO `lang_definitions` VALUES (166160, 203, 31, '新規追加');
INSERT INTO `lang_definitions` VALUES (166161, 204, 31, '新規患者追加');
INSERT INTO `lang_definitions` VALUES (166162, 206, 31, 'ボタン追加');
INSERT INTO `lang_definitions` VALUES (166163, 207, 31, '特殊文字用のボタンを追加し、テキストはをクリックして上のテキストに含めるためのエディタの上部に表示する');
INSERT INTO `lang_definitions` VALUES (166164, 208, 31, 'カテゴリ追加');
INSERT INTO `lang_definitions` VALUES (166165, 209, 31, '定数追加');
INSERT INTO `lang_definitions` VALUES (166166, 210, 31, 'コンテキスト追加');
INSERT INTO `lang_definitions` VALUES (166167, 211, 31, 'Copayを追加');
INSERT INTO `lang_definitions` VALUES (166168, 212, 31, '抽出の追加');
INSERT INTO `lang_definitions` VALUES (166169, 213, 31, 'カスタムボタン追加');
INSERT INTO `lang_definitions` VALUES (166170, 216, 31, '診断を追加');
INSERT INTO `lang_definitions` VALUES (166171, 217, 31, '薬の追加');
INSERT INTO `lang_definitions` VALUES (166172, 220, 31, '来院者の追加');
INSERT INTO `lang_definitions` VALUES (166173, 221, 31, '来院者・ノートの追加');
INSERT INTO `lang_definitions` VALUES (166174, 222, 31, '施術院の追加');
INSERT INTO `lang_definitions` VALUES (166175, 223, 31, 'フィールドの追加');
INSERT INTO `lang_definitions` VALUES (166176, 224, 31, 'Apache 設定への要点を追加');
INSERT INTO `lang_definitions` VALUES (166177, 225, 31, 'グループの追加');
INSERT INTO `lang_definitions` VALUES (166178, 227, 31, 'ICDコードの追加');
INSERT INTO `lang_definitions` VALUES (166179, 228, 31, '免疫を追加');
INSERT INTO `lang_definitions` VALUES (166180, 229, 31, '追加は許可されていません！');
INSERT INTO `lang_definitions` VALUES (166181, 230, 31, '問題の追加');
INSERT INTO `lang_definitions` VALUES (166182, 231, 31, '追跡するためにアイテムを追加します。');
INSERT INTO `lang_definitions` VALUES (166183, 232, 31, '言語の追加');
INSERT INTO `lang_definitions` VALUES (166184, 237, 31, '更ニアイテムを追加');
INSERT INTO `lang_definitions` VALUES (166185, 238, 31, '新規追加');
INSERT INTO `lang_definitions` VALUES (166186, 239, 31, '新規追加');
INSERT INTO `lang_definitions` VALUES (166187, 240, 31, '新規カテゴリの追加');
INSERT INTO `lang_definitions` VALUES (166188, 241, 31, 'Apache 設定へ新規認証局を追加');
INSERT INTO `lang_definitions` VALUES (166189, 242, 31, '新規コンポーネント追加');
INSERT INTO `lang_definitions` VALUES (166190, 243, 31, '新規コンポーネント追加');
INSERT INTO `lang_definitions` VALUES (166191, 249, 31, '新規グループ追加');
INSERT INTO `lang_definitions` VALUES (166192, 250, 31, '新規問題を追加');
INSERT INTO `lang_definitions` VALUES (166193, 251, 31, '新規ロット及び課金の追加');
INSERT INTO `lang_definitions` VALUES (166194, 253, 31, '新規ノート追加');
INSERT INTO `lang_definitions` VALUES (166195, 254, 31, '新規ノート追加');
INSERT INTO `lang_definitions` VALUES (166196, 255, 31, '新規パートナーの追加');
INSERT INTO `lang_definitions` VALUES (166197, 256, 31, '新規患者の追加');
INSERT INTO `lang_definitions` VALUES (166198, 257, 31, '新規プラン追加');
INSERT INTO `lang_definitions` VALUES (166199, 264, 31, 'ノート追加');
INSERT INTO `lang_definitions` VALUES (166200, 268, 31, '患者レコードの追加');
INSERT INTO `lang_definitions` VALUES (166201, 269, 31, '処方箋を追加');
INSERT INTO `lang_definitions` VALUES (166202, 270, 31, '手順を追加');
INSERT INTO `lang_definitions` VALUES (166203, 271, 31, '提供者番号を追加します。');
INSERT INTO `lang_definitions` VALUES (166204, 273, 31, 'リハビリを追加');
INSERT INTO `lang_definitions` VALUES (166205, 274, 31, 'ルール追加');
INSERT INTO `lang_definitions` VALUES (166206, 277, 31, '追加');
INSERT INTO `lang_definitions` VALUES (166207, 281, 31, '薬リストの追加');
INSERT INTO `lang_definitions` VALUES (166208, 282, 31, 'トップレベル追加');
INSERT INTO `lang_definitions` VALUES (166209, 283, 31, '課金決裁追加');
INSERT INTO `lang_definitions` VALUES (166210, 284, 31, 'ユーザー追加');
INSERT INTO `lang_definitions` VALUES (166211, 285, 31, 'グループへユーザー追加');
INSERT INTO `lang_definitions` VALUES (166212, 287, 31, '追加/編集ERX');
INSERT INTO `lang_definitions` VALUES (166213, 289, 31, '決済の追加/編集');
INSERT INTO `lang_definitions` VALUES (166214, 290, 31, '追加済み');
INSERT INTO `lang_definitions` VALUES (166215, 293, 31, '基本データの追加は認証されていません');
INSERT INTO `lang_definitions` VALUES (166216, 294, 31, 'アイテムのトラック追加に失敗');
INSERT INTO `lang_definitions` VALUES (166217, 295, 31, 'アディソン症候群');
INSERT INTO `lang_definitions` VALUES (166218, 296, 31, 'アディソン症候群');
INSERT INTO `lang_definitions` VALUES (166219, 297, 31, '追加属性');
INSERT INTO `lang_definitions` VALUES (166220, 300, 31, '追加の診断：');
INSERT INTO `lang_definitions` VALUES (166221, 305, 31, '履歴の追加');
INSERT INTO `lang_definitions` VALUES (166222, 306, 31, '履歴ノートの追加');
INSERT INTO `lang_definitions` VALUES (166223, 307, 31, '情報の追加');
INSERT INTO `lang_definitions` VALUES (166224, 310, 31, 'ラボの追加');
INSERT INTO `lang_definitions` VALUES (166225, 311, 31, 'ノートの追加');
INSERT INTO `lang_definitions` VALUES (166226, 313, 31, '該当結果または該当についての追加');
INSERT INTO `lang_definitions` VALUES (166227, 314, 31, 'ノートの追加');
INSERT INTO `lang_definitions` VALUES (166228, 315, 31, 'ノートの追加');
INSERT INTO `lang_definitions` VALUES (166229, 317, 31, 'レントゲンノートの追加');
INSERT INTO `lang_definitions` VALUES (166230, 318, 31, 'さらに、対応する米国SNOMED拡張パッケージにはインターナショナル（英語版）をインストールした後、別々にインポートすることができますSNOMEDリリース');
INSERT INTO `lang_definitions` VALUES (166231, 320, 31, 'addonly');
INSERT INTO `lang_definitions` VALUES (166232, 322, 31, '住所録');
INSERT INTO `lang_definitions` VALUES (166233, 323, 31, '住所録');
INSERT INTO `lang_definitions` VALUES (166234, 324, 31, '住所録');
INSERT INTO `lang_definitions` VALUES (166235, 325, 31, '住所と郵便番号');
INSERT INTO `lang_definitions` VALUES (166236, 326, 31, '住所と県');
INSERT INTO `lang_definitions` VALUES (166237, 327, 31, '住所録');
INSERT INTO `lang_definitions` VALUES (166238, 328, 31, 'この手順を実行する会社のアドレス帳のエントリ');
INSERT INTO `lang_definitions` VALUES (166239, 329, 31, 'ディストリビューターのためのアドレス帳のエントリ');
INSERT INTO `lang_definitions` VALUES (166240, 330, 31, 'ベンダーのためのアドレス帳のエントリ');
INSERT INTO `lang_definitions` VALUES (166241, 331, 31, '住所録タイプ');
INSERT INTO `lang_definitions` VALUES (166242, 332, 31, '住所ラベル');
INSERT INTO `lang_definitions` VALUES (166243, 336, 31, '住所のみ');
INSERT INTO `lang_definitions` VALUES (166244, 338, 31, '住所、県、郵便番号');
INSERT INTO `lang_definitions` VALUES (166245, 339, 31, '住所１');
INSERT INTO `lang_definitions` VALUES (166246, 340, 31, '住所２');
INSERT INTO `lang_definitions` VALUES (166247, 342, 31, '宛先');
INSERT INTO `lang_definitions` VALUES (166248, 345, 31, '調整');
INSERT INTO `lang_definitions` VALUES (166249, 346, 31, '金額調整');
INSERT INTO `lang_definitions` VALUES (166250, 347, 31, '調整');
INSERT INTO `lang_definitions` VALUES (166251, 348, 31, '調整');
INSERT INTO `lang_definitions` VALUES (166252, 349, 31, '調整AMTの');
INSERT INTO `lang_definitions` VALUES (166253, 350, 31, '調整理由');
INSERT INTO `lang_definitions` VALUES (166254, 352, 31, 'コー​​ドの調整値');
INSERT INTO `lang_definitions` VALUES (166255, 353, 31, '調整');
INSERT INTO `lang_definitions` VALUES (166256, 354, 31, 'アドリアマイシン調整');
INSERT INTO `lang_definitions` VALUES (166257, 355, 31, '管理者');
INSERT INTO `lang_definitions` VALUES (166258, 356, 31, '管理者のメールアドレス');
INSERT INTO `lang_definitions` VALUES (166259, 357, 31, '管理者宛');
INSERT INTO `lang_definitions` VALUES (166260, 359, 31, '管理者');
INSERT INTO `lang_definitions` VALUES (166261, 360, 31, '管理者');
INSERT INTO `lang_definitions` VALUES (166262, 361, 31, '管理日');
INSERT INTO `lang_definitions` VALUES (166263, 362, 31, '管理者のウェブサイト');
INSERT INTO `lang_definitions` VALUES (166264, 363, 31, '管理者');
INSERT INTO `lang_definitions` VALUES (166265, 365, 31, '管理者のウェブサイト');
INSERT INTO `lang_definitions` VALUES (166266, 366, 31, '管理者');
INSERT INTO `lang_definitions` VALUES (166267, 367, 31, '管理可能な事由');
INSERT INTO `lang_definitions` VALUES (166268, 368, 31, '管理日');
INSERT INTO `lang_definitions` VALUES (166269, 370, 31, '養子');
INSERT INTO `lang_definitions` VALUES (166270, 371, 31, '大人の体重のスクリーニングおよびフォローアップ');
INSERT INTO `lang_definitions` VALUES (166271, 372, 31, '大人の体重は、スクリーニングおよびフォローアップ（CQM）');
INSERT INTO `lang_definitions` VALUES (166272, 373, 31, '事前指示');
INSERT INTO `lang_definitions` VALUES (166273, 374, 31, '事前指示');
INSERT INTO `lang_definitions` VALUES (166274, 375, 31, 'アドバンスディレクティブの警告');
INSERT INTO `lang_definitions` VALUES (166275, 377, 31, '高度な');
INSERT INTO `lang_definitions` VALUES (166276, 380, 31, 'アドバイス');
INSERT INTO `lang_definitions` VALUES (166277, 381, 31, '遠く');
INSERT INTO `lang_definitions` VALUES (166278, 382, 31, '正常な影響を与える');
INSERT INTO `lang_definitions` VALUES (166279, 383, 31, 'アフリカーンス語');
INSERT INTO `lang_definitions` VALUES (166280, 386, 31, '時間の通話の後');
INSERT INTO `lang_definitions` VALUES (166281, 387, 31, 'パスワードは、塩なしにusersテーブルに格納されている古いパスワードメカニズムからの移行が完了した後に新たな方式による認証のみが可能なように、このフラグをfalseに設定する必要があります');
INSERT INTO `lang_definitions` VALUES (166282, 388, 31, '上記の設定を行った後、ブラウザに管理クライアント証明書をインポートし、Apacheサーバ（空のパスワード）を再起動します。');
INSERT INTO `lang_definitions` VALUES (166283, 390, 31, 'PDFファイルを保存した後、エラーをチェックし、[ログの表示]をクリックします。');
INSERT INTO `lang_definitions` VALUES (166284, 393, 31, 'テキストフ​​ァイル（複数可）を保存した後、エラーをチェックするために、[ログの表示]をクリックします。');
INSERT INTO `lang_definitions` VALUES (166285, 396, 31, 'あなたのバッチを保存した後、エラーをチェックするために、[ログの表示]をクリックします。');
INSERT INTO `lang_definitions` VALUES (166286, 398, 31, 'その後一致列を作成するために選択された患者ID、または0が表示されます。');
INSERT INTO `lang_definitions` VALUES (166287, 399, 31, '情報が正しく入力された後、[保存]ボタンをクリックします。');
INSERT INTO `lang_definitions` VALUES (166288, 400, 31, 'ボタンをクリックしてアップロードした後「インポート」');
INSERT INTO `lang_definitions` VALUES (166289, 404, 31, 'アフターケアプランニング');
INSERT INTO `lang_definitions` VALUES (166290, 406, 31, '再び');
INSERT INTO `lang_definitions` VALUES (166291, 407, 31, '年齢');
INSERT INTO `lang_definitions` VALUES (166292, 409, 31, '年齢');
INSERT INTO `lang_definitions` VALUES (166293, 410, 31, '年齢層');
INSERT INTO `lang_definitions` VALUES (166294, 411, 31, '年齢データが範囲外です');
INSERT INTO `lang_definitions` VALUES (166295, 412, 31, '年齢表示形式');
INSERT INTO `lang_definitions` VALUES (166296, 413, 31, '年齢表示型が異常です');
INSERT INTO `lang_definitions` VALUES (166297, 414, 31, '年齢上限が異常です');
INSERT INTO `lang_definitions` VALUES (166298, 415, 31, '下限の年齢');
INSERT INTO `lang_definitions` VALUES (166299, 416, 31, '年齢表示形式の変更');
INSERT INTO `lang_definitions` VALUES (166300, 417, 31, '年齢最大値');
INSERT INTO `lang_definitions` VALUES (166301, 418, 31, '年齢最小値');
INSERT INTO `lang_definitions` VALUES (166302, 419, 31, '年齢範囲');
INSERT INTO `lang_definitions` VALUES (166303, 421, 31, 'エージング列：');
INSERT INTO `lang_definitions` VALUES (166304, 422, 31, 'アカン語');
INSERT INTO `lang_definitions` VALUES (166305, 423, 31, 'アルバニア語');
INSERT INTO `lang_definitions` VALUES (166306, 424, 31, 'アルコール');
INSERT INTO `lang_definitions` VALUES (166307, 425, 31, 'アルコールの消費');
INSERT INTO `lang_definitions` VALUES (166308, 426, 31, '飲酒歴');
INSERT INTO `lang_definitions` VALUES (166309, 427, 31, 'アラート');
INSERT INTO `lang_definitions` VALUES (166310, 428, 31, 'アラート回数');
INSERT INTO `lang_definitions` VALUES (166311, 435, 31, 'アラート');
INSERT INTO `lang_definitions` VALUES (166312, 436, 31, 'アラートログ');
INSERT INTO `lang_definitions` VALUES (166313, 439, 31, 'アレウト族');
INSERT INTO `lang_definitions` VALUES (166314, 440, 31, '全て');
INSERT INTO `lang_definitions` VALUES (166315, 441, 31, '全て');
INSERT INTO `lang_definitions` VALUES (166316, 443, 31, 'すべて（丁合いのフォーマットA）');
INSERT INTO `lang_definitions` VALUES (166317, 444, 31, 'すべて（丁合いフォーマットB）');
INSERT INTO `lang_definitions` VALUES (166318, 445, 31, 'すべて（累計）');
INSERT INTO `lang_definitions` VALUES (166319, 447, 31, 'すべての自動メジャー計算（AMC）');
INSERT INTO `lang_definitions` VALUES (166320, 448, 31, 'すべてのカテゴリ');
INSERT INTO `lang_definitions` VALUES (166321, 449, 31, 'すべての臨床品質尺度（CQM）');
INSERT INTO `lang_definitions` VALUES (166322, 450, 31, 'すべてのコード');
INSERT INTO `lang_definitions` VALUES (166323, 453, 31, '終日');
INSERT INTO `lang_definitions` VALUES (166324, 454, 31, '終日イベント');
INSERT INTO `lang_definitions` VALUES (166325, 455, 31, '検索と重複チェックを持つすべての人口統計フィールド、');
INSERT INTO `lang_definitions` VALUES (166326, 457, 31, '全ての施設');
INSERT INTO `lang_definitions` VALUES (166327, 458, 31, 'すべての負傷/問題/課題');
INSERT INTO `lang_definitions` VALUES (166328, 459, 31, '全ての言語を許可');
INSERT INTO `lang_definitions` VALUES (166329, 461, 31, 'すべての公式臨床品質尺度（CQM）メジャーグループ');
INSERT INTO `lang_definitions` VALUES (166330, 462, 31, '最初の名前のすべてまたは一部');
INSERT INTO `lang_definitions` VALUES (166331, 463, 31, '姓の全部または一部');
INSERT INTO `lang_definitions` VALUES (166332, 464, 31, '組織のすべてまたは一部');
INSERT INTO `lang_definitions` VALUES (166333, 466, 31, '全ての患者');
INSERT INTO `lang_definitions` VALUES (166334, 468, 31, '全てのプロダクト');
INSERT INTO `lang_definitions` VALUES (166335, 469, 31, '全てのプロバイダー');
INSERT INTO `lang_definitions` VALUES (166336, 470, 31, '全ての参照者及び陰性');
INSERT INTO `lang_definitions` VALUES (166337, 475, 31, '全てのトピック');
INSERT INTO `lang_definitions` VALUES (166338, 478, 31, '全てのユーザー');
INSERT INTO `lang_definitions` VALUES (166339, 479, 31, 'アレルギー疾患');
INSERT INTO `lang_definitions` VALUES (166340, 481, 31, 'アレルギー');
INSERT INTO `lang_definitions` VALUES (166341, 484, 31, 'アレルギー');
INSERT INTO `lang_definitions` VALUES (166342, 485, 31, 'アレルギー');
INSERT INTO `lang_definitions` VALUES (166343, 486, 31, 'アレルギーのインポートは正常に行われました');
INSERT INTO `lang_definitions` VALUES (166344, 487, 31, 'アレルギー問題リスト');
INSERT INTO `lang_definitions` VALUES (166345, 488, 31, 'アレルギー反応');
INSERT INTO `lang_definitions` VALUES (166346, 491, 31, '割り当て');
INSERT INTO `lang_definitions` VALUES (166347, 492, 31, '許可');
INSERT INTO `lang_definitions` VALUES (166348, 494, 31, 'メニューの選択肢として使用可能なすべての言語は、ログイン時に許可します。');
INSERT INTO `lang_definitions` VALUES (166349, 496, 31, 'の診断ではなく、手順や料金を含む特許請求の範囲の作成を許可します。ほとんどのクリニックはこれをしたくない。');
INSERT INTO `lang_definitions` VALUES (166350, 497, 31, '許可するデバッグ言語');
INSERT INTO `lang_definitions` VALUES (166351, 500, 31, '許可されたメールアドレス');
INSERT INTO `lang_definitions` VALUES (166352, 501, 31, 'メール送信を許可しますか？');
INSERT INTO `lang_definitions` VALUES (166353, 502, 31, 'メールを許可しますか？');
INSERT INTO `lang_definitions` VALUES (166354, 503, 31, '出会い請求を許可');
INSERT INTO `lang_definitions` VALUES (166355, 506, 31, '医療情報交換を可能にする');
INSERT INTO `lang_definitions` VALUES (166356, 508, 31, '許可免疫情報の共有');
INSERT INTO `lang_definitions` VALUES (166357, 509, 31, '免疫レジストリ使用を許可');
INSERT INTO `lang_definitions` VALUES (166358, 512, 31, 'メールメッセージを許可する');
INSERT INTO `lang_definitions` VALUES (166359, 533, 31, '患者のポータルを許可する');
INSERT INTO `lang_definitions` VALUES (166360, 541, 31, 'SMS許可');
INSERT INTO `lang_definitions` VALUES (166361, 542, 31, 'SMS（テキスト送信）の許可？');
INSERT INTO `lang_definitions` VALUES (166362, 544, 31, '追加したイベントを直ちに有効にしますか？');
INSERT INTO `lang_definitions` VALUES (166363, 545, 31, '留守電を許可しますか？');
INSERT INTO `lang_definitions` VALUES (166364, 547, 31, 'ユーザーがグローバルイベントを公開できるように');
INSERT INTO `lang_definitions` VALUES (166365, 548, 31, 'ユーザーが個人的なカレンダーを公開できるように');
INSERT INTO `lang_definitions` VALUES (166366, 554, 31, '留守電を許可');
INSERT INTO `lang_definitions` VALUES (166367, 555, 31, '許可済み');
INSERT INTO `lang_definitions` VALUES (166368, 556, 31, '許可された言語');
INSERT INTO `lang_definitions` VALUES (166369, 558, 31, '許可');
INSERT INTO `lang_definitions` VALUES (166370, 559, 31, '通院者に電子サインを許可');
INSERT INTO `lang_definitions` VALUES (166371, 560, 31, 'E-署名個々のフォームを許可します');
INSERT INTO `lang_definitions` VALUES (166372, 561, 31, 'メールの許可');
INSERT INTO `lang_definitions` VALUES (166373, 562, 31, '留守電の許可');
INSERT INTO `lang_definitions` VALUES (166374, 566, 31, '既に存在しています');
INSERT INTO `lang_definitions` VALUES (166375, 568, 31, '既に存在しています');
INSERT INTO `lang_definitions` VALUES (166376, 570, 31, '利用済みです。別の識別子を選択してください');
INSERT INTO `lang_definitions` VALUES (166377, 571, 31, '利用済みです。別のタイトルを選択してください');
INSERT INTO `lang_definitions` VALUES (166378, 573, 31, '別の住所');
INSERT INTO `lang_definitions` VALUES (166379, 577, 31, '変更する');
INSERT INTO `lang_definitions` VALUES (166380, 584, 31, '別の方法として、あなたはあなたの支払またはクリアリングハウスから入手した電子送金（X12 835）ファイルをアップロードする検索ページを使用することができます。 [参照]ボタンをクリックし、アップロードするファイルを選択してから、アップロードを実行すると、対応する請求書を表示するには検索をクリックすることでこれを行うことができます。この場合は、上記の他のパラメータが適用されず、無視されます。アップロードは、ファイルが保存されますが、まだその内容は処理されません - 下記のように別々に行われている。');
INSERT INTO `lang_definitions` VALUES (166381, 586, 31, 'AM');
INSERT INTO `lang_definitions` VALUES (166382, 587, 31, 'AMプログラム');
INSERT INTO `lang_definitions` VALUES (166383, 592, 31, 'AMC');
INSERT INTO `lang_definitions` VALUES (166384, 593, 31, 'AMCの追跡');
INSERT INTO `lang_definitions` VALUES (166385, 594, 31, 'AMC-2011');
INSERT INTO `lang_definitions` VALUES (166386, 595, 31, 'AMC-2014');
INSERT INTO `lang_definitions` VALUES (166387, 600, 31, '既存のノートを改正');
INSERT INTO `lang_definitions` VALUES (166388, 602, 31, 'から改正');
INSERT INTO `lang_definitions` VALUES (166389, 604, 31, '改正ステータス');
INSERT INTO `lang_definitions` VALUES (166390, 605, 31, '改正');
INSERT INTO `lang_definitions` VALUES (166391, 609, 31, 'のための改正');
INSERT INTO `lang_definitions` VALUES (166392, 610, 31, 'アメリカ先住民');
INSERT INTO `lang_definitions` VALUES (166393, 611, 31, 'アメリカインディアンまたはアラスカ先住民');
INSERT INTO `lang_definitions` VALUES (166394, 612, 31, 'AMEX');
INSERT INTO `lang_definitions` VALUES (166395, 613, 31, 'アムハラ語');
INSERT INTO `lang_definitions` VALUES (166396, 614, 31, '小計');
INSERT INTO `lang_definitions` VALUES (166397, 615, 31, 'の投与量');
INSERT INTO `lang_definitions` VALUES (166398, 617, 31, '請求額');
INSERT INTO `lang_definitions` VALUES (166399, 620, 31, '過去の残高の金額');
INSERT INTO `lang_definitions` VALUES (166400, 621, 31, '今回の小計');
INSERT INTO `lang_definitions` VALUES (166401, 622, 31, '支払額');
INSERT INTO `lang_definitions` VALUES (166402, 623, 31, '小計');
INSERT INTO `lang_definitions` VALUES (166403, 626, 31, 'AMT請求された');
INSERT INTO `lang_definitions` VALUES (166404, 630, 31, '開始日よりも後の終了日は、繰り返しイベントのために必要です！');
INSERT INTO `lang_definitions` VALUES (166405, 631, 31, 'エラーがフォームに署名が発生しました');
INSERT INTO `lang_definitions` VALUES (166406, 632, 31, 'OpenEMRウェブディレクトリツリーをダンプ中にエラーが発生しました');
INSERT INTO `lang_definitions` VALUES (166407, 633, 31, 'phpGACLウェブディレクトリツリーをダンプ中にエラーが発生しました');
INSERT INTO `lang_definitions` VALUES (166408, 634, 31, 'SQL-元帳のWebディレクトリツリーをダンプ中にエラーが発生しました');
INSERT INTO `lang_definitions` VALUES (166409, 638, 31, '不完全GCAC問題が作成され、リンクされている。誰かが後でそれを完了する必要があります。');
INSERT INTO `lang_definitions` VALUES (166410, 644, 31, '予期しないエラーが発生しました。');
INSERT INTO `lang_definitions` VALUES (166411, 646, 31, '大文字');
INSERT INTO `lang_definitions` VALUES (166412, 648, 31, 'と');
INSERT INTO `lang_definitions` VALUES (166413, 651, 31, 'と');
INSERT INTO `lang_definitions` VALUES (166414, 652, 31, 'とすべての下位データ？このアクションは記録されます');
INSERT INTO `lang_definitions` VALUES (166415, 653, 31, 'と修飾子');
INSERT INTO `lang_definitions` VALUES (166416, 654, 31, 'および処理さ。');
INSERT INTO `lang_definitions` VALUES (166417, 656, 31, '及び Apache サーバーの再起動');
INSERT INTO `lang_definitions` VALUES (166418, 657, 31, 'そしてその理由は、');
INSERT INTO `lang_definitions` VALUES (166419, 659, 31, '貧血');
INSERT INTO `lang_definitions` VALUES (166420, 660, 31, '足首');
INSERT INTO `lang_definitions` VALUES (166421, 661, 31, '足首+ヒール');
INSERT INTO `lang_definitions` VALUES (166422, 662, 31, '足首評価書式');
INSERT INTO `lang_definitions` VALUES (166423, 663, 31, '足首の問題');
INSERT INTO `lang_definitions` VALUES (166424, 664, 31, '強直性Sondlilitis');
INSERT INTO `lang_definitions` VALUES (166425, 665, 31, '強直性Spondlilitis');
INSERT INTO `lang_definitions` VALUES (166426, 666, 31, '食欲不振');
INSERT INTO `lang_definitions` VALUES (166427, 667, 31, '転記]ウィンドウで行うことができますもう一つは、二次の課金を要求している。あなたが保存する前にこのチェックボックスを選択した場合は、元の主張は再オープンし、課金ページにキューイングされ、そして次の請求の実行中に処理されますされます。');
INSERT INTO `lang_definitions` VALUES (166428, 671, 31, 'アンティ');
INSERT INTO `lang_definitions` VALUES (166429, 676, 31, '肛門のNL、無直腸優しさ/質量');
INSERT INTO `lang_definitions` VALUES (166430, 677, 31, '不安');
INSERT INTO `lang_definitions` VALUES (166431, 682, 31, 'カテゴリー');
INSERT INTO `lang_definitions` VALUES (166432, 688, 31, '目的のコードまたはその説明のいずれかの部分');
INSERT INTO `lang_definitions` VALUES (166433, 689, 31, '希望する専門のいずれかの部分');
INSERT INTO `lang_definitions` VALUES (166434, 690, 31, '薬物idまたは薬剤名のいずれかの部分');
INSERT INTO `lang_definitions` VALUES (166435, 691, 31, '免疫IDまたは免疫名のいずれかの部分');
INSERT INTO `lang_definitions` VALUES (166436, 692, 31, '患者名の任意の部分、または「最後、最初の \"、または「XY \"');
INSERT INTO `lang_definitions` VALUES (166437, 693, 31, 'Anyother関連情報');
INSERT INTO `lang_definitions` VALUES (166438, 699, 31, 'SMSゲートウェイのAPI鍵');
INSERT INTO `lang_definitions` VALUES (166439, 703, 31, '無呼吸');
INSERT INTO `lang_definitions` VALUES (166440, 710, 31, '外観');
INSERT INTO `lang_definitions` VALUES (166441, 711, 31, '外観');
INSERT INTO `lang_definitions` VALUES (166442, 714, 31, 'このノートの追加');
INSERT INTO `lang_definitions` VALUES (166443, 716, 31, '既存ノートへの追加');
INSERT INTO `lang_definitions` VALUES (166444, 717, 31, 'このノートの追加');
INSERT INTO `lang_definitions` VALUES (166445, 718, 31, 'このノートの追加');
INSERT INTO `lang_definitions` VALUES (166446, 719, 31, '虫垂切除術');
INSERT INTO `lang_definitions` VALUES (166447, 720, 31, '虫垂切除術');
INSERT INTO `lang_definitions` VALUES (166448, 721, 31, '該当患者');
INSERT INTO `lang_definitions` VALUES (166449, 722, 31, 'アプリケーション');
INSERT INTO `lang_definitions` VALUES (166450, 723, 31, 'ログインページとメインウィンドウタイトルのアプリケーション名。');
INSERT INTO `lang_definitions` VALUES (166451, 724, 31, 'アプリケーションレシーバーコード（GS03 - 空白ISA08を使用する場合）');
INSERT INTO `lang_definitions` VALUES (166452, 725, 31, 'アプリケーション送信者コード（GS02）');
INSERT INTO `lang_definitions` VALUES (166453, 726, 31, 'アプリケーション名');
INSERT INTO `lang_definitions` VALUES (166454, 727, 31, 'バイタルフォームと成長チャートに適用されます');
INSERT INTO `lang_definitions` VALUES (166455, 728, 31, 'バイタルフォームに適用されます');
INSERT INTO `lang_definitions` VALUES (166456, 729, 31, '唯一、これとすべての将来の発生に、またはすべての出現に現在のイベントへの変更を適用しますか？');
INSERT INTO `lang_definitions` VALUES (166457, 730, 31, '患部に適用されます');
INSERT INTO `lang_definitions` VALUES (166458, 731, 31, '皮膚に適用されます');
INSERT INTO `lang_definitions` VALUES (166459, 732, 31, '適用');
INSERT INTO `lang_definitions` VALUES (166460, 733, 31, 'サイトへのパッチの適用');
INSERT INTO `lang_definitions` VALUES (166461, 734, 31, '任命');
INSERT INTO `lang_definitions` VALUES (166462, 736, 31, '予約日');
INSERT INTO `lang_definitions` VALUES (166463, 742, 31, 'アポイントの表示スタイル');
INSERT INTO `lang_definitions` VALUES (166464, 744, 31, '予定のリマインダールール');
INSERT INTO `lang_definitions` VALUES (166465, 746, 31, '予定の状況');
INSERT INTO `lang_definitions` VALUES (166466, 747, 31, '予定のステータス');
INSERT INTO `lang_definitions` VALUES (166467, 748, 31, '内の選任');
INSERT INTO `lang_definitions` VALUES (166468, 749, 31, '選任/イベントの色');
INSERT INTO `lang_definitions` VALUES (166469, 750, 31, '予定');
INSERT INTO `lang_definitions` VALUES (166470, 751, 31, '予定（オプション書き込み）');
INSERT INTO `lang_definitions` VALUES (166471, 752, 31, '予定（書き込み、オプショナルwsome）');
INSERT INTO `lang_definitions` VALUES (166472, 758, 31, '予定との出会い');
INSERT INTO `lang_definitions` VALUES (166473, 760, 31, '予定レポート');
INSERT INTO `lang_definitions` VALUES (166474, 761, 31, '予定-出会いレポート');
INSERT INTO `lang_definitions` VALUES (166475, 764, 31, '承認する');
INSERT INTO `lang_definitions` VALUES (166476, 766, 31, '患者/クライアント - >インポート - >承認待ちから患者を承認');
INSERT INTO `lang_definitions` VALUES (166477, 767, 31, '到着');
INSERT INTO `lang_definitions` VALUES (166478, 769, 31, '正常に到着しました');
INSERT INTO `lang_definitions` VALUES (166479, 780, 31, '４月');
INSERT INTO `lang_definitions` VALUES (166480, 782, 31, 'アラビア人');
INSERT INTO `lang_definitions` VALUES (166481, 783, 31, 'アルゴン人');
INSERT INTO `lang_definitions` VALUES (166482, 784, 31, 'アーカイブ');
INSERT INTO `lang_definitions` VALUES (166483, 787, 31, 'アクセスコントロールグループ名は翻訳されましたか？');
INSERT INTO `lang_definitions` VALUES (166484, 788, 31, '予約カテゴリー名は翻訳されましたか？');
INSERT INTO `lang_definitions` VALUES (166485, 790, 31, 'このタイプの課金は済みましたか？');
INSERT INTO `lang_definitions` VALUES (166486, 793, 31, '患者のノートタイトルは翻訳されましたか？');
INSERT INTO `lang_definitions` VALUES (166487, 797, 31, '本日の投函でよろしいですか？');
INSERT INTO `lang_definitions` VALUES (166488, 798, 31, 'これらのイベントは完了しましたか？');
INSERT INTO `lang_definitions` VALUES (166489, 801, 31, 'このフォームから完全に削除しても良いですか？');
INSERT INTO `lang_definitions` VALUES (166490, 803, 31, '本当に削除しますか？');
INSERT INTO `lang_definitions` VALUES (166491, 805, 31, 'このイベントを本当に削除しますか？');
INSERT INTO `lang_definitions` VALUES (166492, 806, 31, 'このアイテムをデータベースから本当に削除しますか？');
INSERT INTO `lang_definitions` VALUES (166493, 808, 31, 'このノートを本当に削除しますか？');
INSERT INTO `lang_definitions` VALUES (166494, 810, 31, 'これらのイベントを編集してもよろしいですか？');
INSERT INTO `lang_definitions` VALUES (166495, 811, 31, 'これらのイベントを非表示設定しますか？');
INSERT INTO `lang_definitions` VALUES (166496, 813, 31, '再度送信しますか？');
INSERT INTO `lang_definitions` VALUES (166497, 814, 31, 'イベントを再度閲覧しますか？');
INSERT INTO `lang_definitions` VALUES (166498, 821, 31, '腕');
INSERT INTO `lang_definitions` VALUES (166499, 822, 31, 'アルメニア人');
INSERT INTO `lang_definitions` VALUES (166500, 829, 31, '不整脈');
INSERT INTO `lang_definitions` VALUES (166501, 830, 31, '関節炎');
INSERT INTO `lang_definitions` VALUES (166502, 845, 31, 'アジア人');
INSERT INTO `lang_definitions` VALUES (166503, 846, 31, 'アッサム語');
INSERT INTO `lang_definitions` VALUES (166504, 848, 31, '評価');
INSERT INTO `lang_definitions` VALUES (166505, 853, 31, '指定先');
INSERT INTO `lang_definitions` VALUES (166506, 854, 31, '介助');
INSERT INTO `lang_definitions` VALUES (166507, 861, 31, '喘息');
INSERT INTO `lang_definitions` VALUES (166508, 868, 31, 'アスレチックチーム');
INSERT INTO `lang_definitions` VALUES (166509, 869, 31, 'アスレチックチーム');
INSERT INTO `lang_definitions` VALUES (166510, 870, 31, 'アスレチック/傷害');
INSERT INTO `lang_definitions` VALUES (166511, 877, 31, '注意');
INSERT INTO `lang_definitions` VALUES (166512, 898, 31, '８月');
INSERT INTO `lang_definitions` VALUES (166513, 899, 31, '８月');
INSERT INTO `lang_definitions` VALUES (166514, 901, 31, '認証');
INSERT INTO `lang_definitions` VALUES (166515, 902, 31, '認証/ノート');
INSERT INTO `lang_definitions` VALUES (166516, 922, 31, '権限グループ');
INSERT INTO `lang_definitions` VALUES (166517, 923, 31, '認証ステータス');
INSERT INTO `lang_definitions` VALUES (166518, 924, 31, '権限');
INSERT INTO `lang_definitions` VALUES (166519, 925, 31, '認証');
INSERT INTO `lang_definitions` VALUES (166520, 926, 31, '認証ー来院者');
INSERT INTO `lang_definitions` VALUES (166521, 928, 31, '認証ー来院者');
INSERT INTO `lang_definitions` VALUES (166522, 933, 31, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (166523, 934, 31, '認証済み');
INSERT INTO `lang_definitions` VALUES (166524, 936, 31, '認証済みのみ');
INSERT INTO `lang_definitions` VALUES (166525, 941, 31, '自動送信');
INSERT INTO `lang_definitions` VALUES (166526, 944, 31, '来院者自動作成');
INSERT INTO `lang_definitions` VALUES (166527, 945, 31, '自動生成されました');
INSERT INTO `lang_definitions` VALUES (166528, 955, 31, '自動的');
INSERT INTO `lang_definitions` VALUES (166529, 964, 31, '自動保存');
INSERT INTO `lang_definitions` VALUES (166530, 967, 31, '利用可能なカテゴリ');
INSERT INTO `lang_definitions` VALUES (166531, 971, 31, '利用可能な時間帯');
INSERT INTO `lang_definitions` VALUES (166532, 972, 31, '利用可能なトラック');
INSERT INTO `lang_definitions` VALUES (166533, 973, 31, 'アヴァル語');
INSERT INTO `lang_definitions` VALUES (166534, 975, 31, 'アヴェスター語');
INSERT INTO `lang_definitions` VALUES (166535, 976, 31, '月平均');
INSERT INTO `lang_definitions` VALUES (166536, 985, 31, '腋窩');
INSERT INTO `lang_definitions` VALUES (166537, 990, 31, 'アイマラ語');
INSERT INTO `lang_definitions` VALUES (166538, 991, 31, 'アゼルバイジャン人');
INSERT INTO `lang_definitions` VALUES (166539, 993, 31, '戻る');
INSERT INTO `lang_definitions` VALUES (166540, 994, 31, '戻る');
INSERT INTO `lang_definitions` VALUES (166541, 995, 31, '８度前に戻る');
INSERT INTO `lang_definitions` VALUES (166542, 996, 31, '11度前に戻る');
INSERT INTO `lang_definitions` VALUES (166543, 997, 31, '5度前に戻る');
INSERT INTO `lang_definitions` VALUES (166544, 998, 31, '4度前に戻る');
INSERT INTO `lang_definitions` VALUES (166545, 999, 31, '9度前に戻る');
INSERT INTO `lang_definitions` VALUES (166546, 1000, 31, '初回に戻る');
INSERT INTO `lang_definitions` VALUES (166547, 1001, 31, '病状');
INSERT INTO `lang_definitions` VALUES (166548, 1002, 31, '問題');
INSERT INTO `lang_definitions` VALUES (166549, 1003, 31, '7度前に戻る');
INSERT INTO `lang_definitions` VALUES (166550, 1004, 31, '6度前に戻る');
INSERT INTO `lang_definitions` VALUES (166551, 1005, 31, '外科に戻る');
INSERT INTO `lang_definitions` VALUES (166552, 1006, 31, '10度前に戻る');
INSERT INTO `lang_definitions` VALUES (166553, 1007, 31, '3度前に戻る');
INSERT INTO `lang_definitions` VALUES (166554, 1008, 31, '管理画面へ戻る');
INSERT INTO `lang_definitions` VALUES (166555, 1011, 31, '来院者画面へ戻る');
INSERT INTO `lang_definitions` VALUES (166556, 1012, 31, '患者画面へ戻る');
INSERT INTO `lang_definitions` VALUES (166557, 1013, 31, '患者画面へ戻る');
INSERT INTO `lang_definitions` VALUES (166558, 1015, 31, 'ユーザーへ戻る');
INSERT INTO `lang_definitions` VALUES (166559, 1016, 31, 'ビューへ戻る');
INSERT INTO `lang_definitions` VALUES (166560, 1017, 31, '12度前に戻る');
INSERT INTO `lang_definitions` VALUES (166561, 1018, 31, '２度前に戻る');
INSERT INTO `lang_definitions` VALUES (166562, 1019, 31, 'バックグラウンドサービス');
INSERT INTO `lang_definitions` VALUES (166563, 1020, 31, 'バックアップ');
INSERT INTO `lang_definitions` VALUES (166564, 1022, 31, 'バックアップが作成されました。引き続きダウンロードします');
INSERT INTO `lang_definitions` VALUES (166565, 1023, 31, 'バックアップリスト');
INSERT INTO `lang_definitions` VALUES (166566, 1028, 31, '対価');
INSERT INTO `lang_definitions` VALUES (166567, 1031, 31, '対価');
INSERT INTO `lang_definitions` VALUES (166568, 1032, 31, '対価');
INSERT INTO `lang_definitions` VALUES (166569, 1033, 31, '対価');
INSERT INTO `lang_definitions` VALUES (166570, 1034, 31, '対価期限');
INSERT INTO `lang_definitions` VALUES (166571, 1039, 31, 'バーコードラベル');
INSERT INTO `lang_definitions` VALUES (166572, 1040, 31, 'バーコードラベルタイプ');
INSERT INTO `lang_definitions` VALUES (166573, 1047, 31, 'バシキール語');
INSERT INTO `lang_definitions` VALUES (166574, 1050, 31, 'バッチ請求');
INSERT INTO `lang_definitions` VALUES (166575, 1051, 31, 'バッチコミュニケーションツール');
INSERT INTO `lang_definitions` VALUES (166576, 1053, 31, 'バッチ支払エントリ');
INSERT INTO `lang_definitions` VALUES (166577, 1055, 31, 'バッチ処理を開始しました。しばらく時間がかかる場合があります。');
INSERT INTO `lang_definitions` VALUES (166578, 1056, 31, 'バッチ結果');
INSERT INTO `lang_definitions` VALUES (166579, 1063, 31, '従ってこのIDはありません');
INSERT INTO `lang_definitions` VALUES (166580, 1072, 31, '開始日');
INSERT INTO `lang_definitions` VALUES (166581, 1074, 31, '開始日');
INSERT INTO `lang_definitions` VALUES (166582, 1077, 31, 'サービス開始日 yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (166583, 1081, 31, 'ベラルーシ人');
INSERT INTO `lang_definitions` VALUES (166584, 1086, 31, 'ベンガル人');
INSERT INTO `lang_definitions` VALUES (166585, 1089, 31, '間');
INSERT INTO `lang_definitions` VALUES (166586, 1094, 31, 'ビハール語');
INSERT INTO `lang_definitions` VALUES (166587, 1099, 31, '支払日');
INSERT INTO `lang_definitions` VALUES (166588, 1104, 31, '支払');
INSERT INTO `lang_definitions` VALUES (166589, 1132, 31, '支払状況');
INSERT INTO `lang_definitions` VALUES (166590, 1140, 31, '誕生日');
INSERT INTO `lang_definitions` VALUES (166591, 1144, 31, '黒');
INSERT INTO `lang_definitions` VALUES (166592, 1148, 31, '黒人またはアフリカ系アメリカ人');
INSERT INTO `lang_definitions` VALUES (166593, 1152, 31, 'ブランクフォーム');
INSERT INTO `lang_definitions` VALUES (166594, 1153, 31, '出血に関する異常');
INSERT INTO `lang_definitions` VALUES (166595, 1154, 31, '不可視箇所');
INSERT INTO `lang_definitions` VALUES (166596, 1158, 31, '制限済み');
INSERT INTO `lang_definitions` VALUES (166597, 1159, 31, '血液');
INSERT INTO `lang_definitions` VALUES (166598, 1160, 31, '血圧');
INSERT INTO `lang_definitions` VALUES (166599, 1161, 31, '血圧');
INSERT INTO `lang_definitions` VALUES (166600, 1162, 31, '鼻血');
INSERT INTO `lang_definitions` VALUES (166601, 1167, 31, 'BMI');
INSERT INTO `lang_definitions` VALUES (166602, 1168, 31, 'BMIステータス');
INSERT INTO `lang_definitions` VALUES (166603, 1169, 31, '体');
INSERT INTO `lang_definitions` VALUES (166604, 1170, 31, '体部');
INSERT INTO `lang_definitions` VALUES (166605, 1171, 31, '体側');
INSERT INTO `lang_definitions` VALUES (166606, 1173, 31, '骨の圧痛：');
INSERT INTO `lang_definitions` VALUES (166607, 1176, 31, 'ボスニア人');
INSERT INTO `lang_definitions` VALUES (166608, 1179, 31, '両耳');
INSERT INTO `lang_definitions` VALUES (166609, 1180, 31, '両耳');
INSERT INTO `lang_definitions` VALUES (166610, 1184, 31, '下マージン（PX）');
INSERT INTO `lang_definitions` VALUES (166611, 1248, 31, '血圧拡張期');
INSERT INTO `lang_definitions` VALUES (166612, 1254, 31, 'ブラジル系ポルトガル人');
INSERT INTO `lang_definitions` VALUES (166613, 1255, 31, '胸');
INSERT INTO `lang_definitions` VALUES (166614, 1256, 31, '乳房生検');
INSERT INTO `lang_definitions` VALUES (166615, 1262, 31, '呼吸音');
INSERT INTO `lang_definitions` VALUES (166616, 1263, 31, 'ブルトン語');
INSERT INTO `lang_definitions` VALUES (166617, 1265, 31, '骨折');
INSERT INTO `lang_definitions` VALUES (166618, 1270, 31, '閲覧');
INSERT INTO `lang_definitions` VALUES (166619, 1271, 31, '記録閲覧');
INSERT INTO `lang_definitions` VALUES (166620, 1275, 31, 'ブルガリア人');
INSERT INTO `lang_definitions` VALUES (166621, 1281, 31, '職場の電話番号');
INSERT INTO `lang_definitions` VALUES (166622, 1286, 31, 'で');
INSERT INTO `lang_definitions` VALUES (166623, 1287, 31, 'で');
INSERT INTO `lang_definitions` VALUES (166624, 1293, 31, '口で');
INSERT INTO `lang_definitions` VALUES (166625, 1296, 31, 'による:');
INSERT INTO `lang_definitions` VALUES (166626, 1301, 31, 'RFC5425 TLS syslog サーバーの許諾済みCA認証局');
INSERT INTO `lang_definitions` VALUES (166627, 1302, 31, 'キャッシュ有効時間 (秒指定)');
INSERT INTO `lang_definitions` VALUES (166628, 1306, 31, 'カレンダー');
INSERT INTO `lang_definitions` VALUES (166629, 1307, 31, 'カレンダー：閉店時間');
INSERT INTO `lang_definitions` VALUES (166630, 1308, 31, 'カレンダー：定期');
INSERT INTO `lang_definitions` VALUES (166631, 1309, 31, 'カレンダー画面');
INSERT INTO `lang_definitions` VALUES (166632, 1310, 31, 'カレンダー設定');
INSERT INTO `lang_definitions` VALUES (166633, 1312, 31, 'カレンダー：開業時間');
INSERT INTO `lang_definitions` VALUES (166634, 1313, 31, 'カレンダーUI');
INSERT INTO `lang_definitions` VALUES (166635, 1314, 31, 'カレンダー表示');
INSERT INTO `lang_definitions` VALUES (166636, 1321, 31, 'カテゴリー');
INSERT INTO `lang_definitions` VALUES (166637, 1322, 31, 'カンボジア人');
INSERT INTO `lang_definitions` VALUES (166638, 1323, 31, 'CAMOS');
INSERT INTO `lang_definitions` VALUES (166639, 1329, 31, '取り消し');
INSERT INTO `lang_definitions` VALUES (166640, 1332, 31, '取り消し変更');
INSERT INTO `lang_definitions` VALUES (166641, 1333, 31, 'キャンセル済み');
INSERT INTO `lang_definitions` VALUES (166642, 1335, 31, '癌');
INSERT INTO `lang_definitions` VALUES (166643, 1336, 31, 'がん検診：大腸がん検診');
INSERT INTO `lang_definitions` VALUES (166644, 1337, 31, 'がん検診：マンモグラフィー');
INSERT INTO `lang_definitions` VALUES (166645, 1338, 31, 'がん検診：子宮がん検診');
INSERT INTO `lang_definitions` VALUES (166646, 1349, 31, '作成できません');
INSERT INTO `lang_definitions` VALUES (166647, 1350, 31, 'ファイルを作成できません');
INSERT INTO `lang_definitions` VALUES (166648, 1352, 31, 'ファイルを削除できません');
INSERT INTO `lang_definitions` VALUES (166649, 1354, 31, '見つかりません');
INSERT INTO `lang_definitions` VALUES (166650, 1355, 31, '指定ファイル名が見つかりません');
INSERT INTO `lang_definitions` VALUES (166651, 1363, 31, '開けません');
INSERT INTO `lang_definitions` VALUES (166652, 1367, 31, '読み出しできません');
INSERT INTO `lang_definitions` VALUES (166653, 1368, 31, 'ディレクトリーが読めません');
INSERT INTO `lang_definitions` VALUES (166654, 1370, 31, '大文字化');
INSERT INTO `lang_definitions` VALUES (166655, 1371, 31, 'すべて大文字化');
INSERT INTO `lang_definitions` VALUES (166656, 1372, 31, 'カプセル');
INSERT INTO `lang_definitions` VALUES (166657, 1373, 31, 'カード');
INSERT INTO `lang_definitions` VALUES (166658, 1382, 31, '心臓カテーテル');
INSERT INTO `lang_definitions` VALUES (166659, 1383, 31, '心エコー');
INSERT INTO `lang_definitions` VALUES (166660, 1384, 31, '心血管');
INSERT INTO `lang_definitions` VALUES (166661, 1396, 31, '軟骨/軟骨/ディスク損傷');
INSERT INTO `lang_definitions` VALUES (166662, 1397, 31, '軟骨損傷');
INSERT INTO `lang_definitions` VALUES (166663, 1400, 31, '現金');
INSERT INTO `lang_definitions` VALUES (166664, 1401, 31, '現金');
INSERT INTO `lang_definitions` VALUES (166665, 1403, 31, '提供者によって現金受取');
INSERT INTO `lang_definitions` VALUES (166666, 1404, 31, 'カタロニア語 - バレンシア');
INSERT INTO `lang_definitions` VALUES (166667, 1406, 31, '白内障の手術');
INSERT INTO `lang_definitions` VALUES (166668, 1407, 31, '白内障');
INSERT INTO `lang_definitions` VALUES (166669, 1408, 31, 'カテゴリー');
INSERT INTO `lang_definitions` VALUES (166670, 1409, 31, 'カテゴリー');
INSERT INTO `lang_definitions` VALUES (166671, 1410, 31, 'カテゴリー');
INSERT INTO `lang_definitions` VALUES (166672, 1411, 31, 'カテゴリー');
INSERT INTO `lang_definitions` VALUES (166673, 1412, 31, 'カテゴリー');
INSERT INTO `lang_definitions` VALUES (166674, 1416, 31, 'カテゴリー詳細');
INSERT INTO `lang_definitions` VALUES (166675, 1417, 31, 'カテゴリー制限');
INSERT INTO `lang_definitions` VALUES (166676, 1418, 31, 'カテゴリー名');
INSERT INTO `lang_definitions` VALUES (166677, 1419, 31, 'カテゴリー名が空欄です');
INSERT INTO `lang_definitions` VALUES (166678, 1420, 31, 'カテゴリー/タイトル');
INSERT INTO `lang_definitions` VALUES (166679, 1421, 31, '白人');
INSERT INTO `lang_definitions` VALUES (166680, 1422, 31, '出会い/一次提供情報を印刷するために領収書を引き起こす');
INSERT INTO `lang_definitions` VALUES (166681, 1432, 31, 'CCRは承認');
INSERT INTO `lang_definitions` VALUES (166682, 1433, 31, 'CCR患者レビュー');
INSERT INTO `lang_definitions` VALUES (166683, 1434, 31, 'CCRレビューと承認');
INSERT INTO `lang_definitions` VALUES (166684, 1442, 31, 'CDR');
INSERT INTO `lang_definitions` VALUES (166685, 1443, 31, 'CDRは、処理優先を報告');
INSERT INTO `lang_definitions` VALUES (166686, 1444, 31, '携帯電話');
INSERT INTO `lang_definitions` VALUES (166687, 1445, 31, '携帯電話');
INSERT INTO `lang_definitions` VALUES (166688, 1446, 31, '携帯電話番号');
INSERT INTO `lang_definitions` VALUES (166689, 1447, 31, '携帯電話番号');
INSERT INTO `lang_definitions` VALUES (166690, 1449, 31, '中央認証局');
INSERT INTO `lang_definitions` VALUES (166691, 1451, 31, '中央南アメリカ人');
INSERT INTO `lang_definitions` VALUES (166692, 1452, 31, 'CA認証 .crt ファイルの指定先が空欄ではありません');
INSERT INTO `lang_definitions` VALUES (166693, 1453, 31, 'CA認証 .key ファイルの指定先が空欄ではありません');
INSERT INTO `lang_definitions` VALUES (166694, 1454, 31, 'RFC 5425 TLS syslog サーバーへ認証許諾中');
INSERT INTO `lang_definitions` VALUES (166695, 1455, 31, '認証されたユーザー');
INSERT INTO `lang_definitions` VALUES (166696, 1456, 31, '認証局');
INSERT INTO `lang_definitions` VALUES (166697, 1457, 31, 'チャモロ');
INSERT INTO `lang_definitions` VALUES (166698, 1458, 31, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (166699, 1459, 31, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (166700, 1460, 31, '変更');
INSERT INTO `lang_definitions` VALUES (166701, 1461, 31, '変更');
INSERT INTO `lang_definitions` VALUES (166702, 1462, 31, 'アクティビティの変更');
INSERT INTO `lang_definitions` VALUES (166703, 1466, 31, '変更に失敗しました！ CouchDBは、エラーを接続する？');
INSERT INTO `lang_definitions` VALUES (166704, 1467, 31, 'ビジョンの変更');
INSERT INTO `lang_definitions` VALUES (166705, 1468, 31, 'ビジョンの変化');
INSERT INTO `lang_definitions` VALUES (166706, 1470, 31, 'パスワード変更');
INSERT INTO `lang_definitions` VALUES (166707, 1475, 31, '変更済み');
INSERT INTO `lang_definitions` VALUES (166708, 1476, 31, '変更された腸');
INSERT INTO `lang_definitions` VALUES (166709, 1479, 31, 'ドキュメントの為の患者IDの変更');
INSERT INTO `lang_definitions` VALUES (166710, 1484, 31, '特徴');
INSERT INTO `lang_definitions` VALUES (166711, 1485, 31, '残りの文字');
INSERT INTO `lang_definitions` VALUES (166712, 1486, 31, '変更');
INSERT INTO `lang_definitions` VALUES (166713, 1487, 31, '調整');
INSERT INTO `lang_definitions` VALUES (166714, 1488, 31, '充電コード化');
INSERT INTO `lang_definitions` VALUES (166715, 1490, 31, '課金');
INSERT INTO `lang_definitions` VALUES (166716, 1491, 31, 'チャート');
INSERT INTO `lang_definitions` VALUES (166717, 1492, 31, 'チャート活動');
INSERT INTO `lang_definitions` VALUES (166718, 1493, 31, 'チャートチェックイン/アウト活動報告');
INSERT INTO `lang_definitions` VALUES (166719, 1495, 31, 'チャートID');
INSERT INTO `lang_definitions` VALUES (166720, 1496, 31, 'チャートID:');
INSERT INTO `lang_definitions` VALUES (166721, 1497, 31, 'チャートラベル');
INSERT INTO `lang_definitions` VALUES (166722, 1498, 31, 'チャートの場所アクティビティ');
INSERT INTO `lang_definitions` VALUES (166723, 1499, 31, 'チャートノート');
INSERT INTO `lang_definitions` VALUES (166724, 1500, 31, 'チャート番号');
INSERT INTO `lang_definitions` VALUES (166725, 1502, 31, 'チャート保存場所');
INSERT INTO `lang_definitions` VALUES (166726, 1504, 31, 'チャートトラッカー');
INSERT INTO `lang_definitions` VALUES (166727, 1505, 31, 'チャートトラック');
INSERT INTO `lang_definitions` VALUES (166728, 1508, 31, 'チャートがチェックアウト');
INSERT INTO `lang_definitions` VALUES (166729, 1509, 31, 'アウトチャート');
INSERT INTO `lang_definitions` VALUES (166730, 1512, 31, 'チェチェン人');
INSERT INTO `lang_definitions` VALUES (166731, 1513, 31, '確認');
INSERT INTO `lang_definitions` VALUES (166732, 1514, 31, '確認');
INSERT INTO `lang_definitions` VALUES (166733, 1515, 31, 'すべて確認');
INSERT INTO `lang_definitions` VALUES (166734, 1517, 31, '小計額の確認');
INSERT INTO `lang_definitions` VALUES (166735, 1519, 31, '日付確認');
INSERT INTO `lang_definitions` VALUES (166736, 1521, 31, 'カスタム言語テーブルと翻訳の違いを確認してください。');
INSERT INTO `lang_definitions` VALUES (166737, 1527, 31, 'にチェックイン');
INSERT INTO `lang_definitions` VALUES (166738, 1528, 31, '入力日確認');
INSERT INTO `lang_definitions` VALUES (166739, 1529, 31, 'グラフに項目を確認してください');
INSERT INTO `lang_definitions` VALUES (166740, 1530, 31, '検査結果を確認してください');
INSERT INTO `lang_definitions` VALUES (166741, 1531, 31, 'チェックマークが見直しを示している');
INSERT INTO `lang_definitions` VALUES (166742, 1532, 31, '確認番号');
INSERT INTO `lang_definitions` VALUES (166743, 1533, 31, '確認場の具');
INSERT INTO `lang_definitions` VALUES (166744, 1536, 31, '支払額確認');
INSERT INTO `lang_definitions` VALUES (166745, 1537, 31, 'これは暗号化されたファイルの場合はチェックボックスをオンにします');
INSERT INTO `lang_definitions` VALUES (166746, 1541, 31, 'あなたはプロバイダがデフォルトとちょうど彼らの自身のないことで、すべての予定を表示したい場合は、これを確認してください。');
INSERT INTO `lang_definitions` VALUES (166747, 1543, 31, 'この診断から問題を作成することを確認');
INSERT INTO `lang_definitions` VALUES (166748, 1545, 31, '/ EOB日付を確認してください：');
INSERT INTO `lang_definitions` VALUES (166749, 1547, 31, 'チェック/ EOB番号：');
INSERT INTO `lang_definitions` VALUES (166750, 1548, 31, '/参照番号を確認してください');
INSERT INTO `lang_definitions` VALUES (166751, 1549, 31, '/参照番号を確認してください');
INSERT INTO `lang_definitions` VALUES (166752, 1550, 31, 'チェックボックスリスト');
INSERT INTO `lang_definitions` VALUES (166753, 1551, 31, 'チェックボックスリスト');
INSERT INTO `lang_definitions` VALUES (166754, 1552, 31, 'テキスト/ Wチェックボックス');
INSERT INTO `lang_definitions` VALUES (166755, 1553, 31, 'テキスト/ Wチェックボックス');
INSERT INTO `lang_definitions` VALUES (166756, 1555, 31, 'あなたが拒否し、HL7ファイルを削除する場合はチェックボックスは上記を示す。');
INSERT INTO `lang_definitions` VALUES (166757, 1557, 31, 'チェック');
INSERT INTO `lang_definitions` VALUES (166758, 1559, 31, 'チェックボックス=はい、空=なし');
INSERT INTO `lang_definitions` VALUES (166759, 1566, 31, 'ロックチェックボックスをチェックすると、この出会いの任意のフォーム上の任意のfuther編集を防ぐことができます。');
INSERT INTO `lang_definitions` VALUES (166760, 1568, 31, 'チェックアウト');
INSERT INTO `lang_definitions` VALUES (166761, 1569, 31, 'チェックサム');
INSERT INTO `lang_definitions` VALUES (166762, 1570, 31, '胸');
INSERT INTO `lang_definitions` VALUES (166763, 1571, 31, 'チェストCTAB');
INSERT INTO `lang_definitions` VALUES (166764, 1572, 31, '胸の痛み');
INSERT INTO `lang_definitions` VALUES (166765, 1573, 31, '胸の痛み：');
INSERT INTO `lang_definitions` VALUES (166766, 1574, 31, '胸の痛み');
INSERT INTO `lang_definitions` VALUES (166767, 1576, 31, 'CHG');
INSERT INTO `lang_definitions` VALUES (166768, 1577, 31, 'Chichewa- Chewa-ニャンジャ語');
INSERT INTO `lang_definitions` VALUES (166769, 1578, 31, '主訴');
INSERT INTO `lang_definitions` VALUES (166770, 1581, 31, '子供');
INSERT INTO `lang_definitions` VALUES (166771, 1583, 31, '小児期の予防接種ステータス（CQM）');
INSERT INTO `lang_definitions` VALUES (166772, 1584, 31, '寒気');
INSERT INTO `lang_definitions` VALUES (166773, 1585, 31, '中国人');
INSERT INTO `lang_definitions` VALUES (166774, 1586, 31, '簡体字');
INSERT INTO `lang_definitions` VALUES (166775, 1587, 31, '繁体字');
INSERT INTO `lang_definitions` VALUES (166776, 1588, 31, 'カイロプラクティック');
INSERT INTO `lang_definitions` VALUES (166777, 1589, 31, '選択肢');
INSERT INTO `lang_definitions` VALUES (166778, 1590, 31, '胆嚢摘出術');
INSERT INTO `lang_definitions` VALUES (166779, 1591, 31, '胆嚢摘出術');
INSERT INTO `lang_definitions` VALUES (166780, 1592, 31, 'Cholecystestomy');
INSERT INTO `lang_definitions` VALUES (166781, 1593, 31, '選択');
INSERT INTO `lang_definitions` VALUES (166782, 1596, 31, 'セクションを選択して、その中の項目をクリックします。その後、他のセクションでは、関連する項目がハイライト表示さ​​れ、あなたが関係を追加および削除するために、そのセクションでクリックすることができます。');
INSERT INTO `lang_definitions` VALUES (166783, 1597, 31, '抽出字句選択');
INSERT INTO `lang_definitions` VALUES (166784, 1599, 31, 'ダウンロードを選択するか、インラインで表示');
INSERT INTO `lang_definitions` VALUES (166785, 1602, 31, 'ファイル選択');
INSERT INTO `lang_definitions` VALUES (166786, 1603, 31, 'リストから選択');
INSERT INTO `lang_definitions` VALUES (166787, 1604, 31, 'レイアウト方向を選択してください');
INSERT INTO `lang_definitions` VALUES (166788, 1605, 31, 'リスト選択');
INSERT INTO `lang_definitions` VALUES (166789, 1608, 31, '用紙サイズ');
INSERT INTO `lang_definitions` VALUES (166790, 1610, 31, 'PDF言語設定選択');
INSERT INTO `lang_definitions` VALUES (166791, 1611, 31, 'この出会いレポートの印刷形式を選択してください。');
INSERT INTO `lang_definitions` VALUES (166792, 1615, 31, '慢性気管支炎');
INSERT INTO `lang_definitions` VALUES (166793, 1616, 31, '慢性関節痛');
INSERT INTO `lang_definitions` VALUES (166794, 1617, 31, '慢性腎臓病（CKD）');
INSERT INTO `lang_definitions` VALUES (166795, 1620, 31, '慢性滑膜炎/胸水/関節痛/痛風');
INSERT INTO `lang_definitions` VALUES (166796, 1622, 31, '慢性/再発');
INSERT INTO `lang_definitions` VALUES (166797, 1623, 31, 'チュバシュ');
INSERT INTO `lang_definitions` VALUES (166798, 1625, 31, '肝硬変');
INSERT INTO `lang_definitions` VALUES (166799, 1626, 31, '肝硬変');
INSERT INTO `lang_definitions` VALUES (166800, 1627, 31, '市町村');
INSERT INTO `lang_definitions` VALUES (166801, 1629, 31, '市町村名');
INSERT INTO `lang_definitions` VALUES (166802, 1630, 31, '市県');
INSERT INTO `lang_definitions` VALUES (166803, 1631, 31, '市県郵便番号');
INSERT INTO `lang_definitions` VALUES (166804, 1633, 31, '市/県');
INSERT INTO `lang_definitions` VALUES (166805, 1634, 31, 'クレーム');
INSERT INTO `lang_definitions` VALUES (166806, 1635, 31, 'クレーム');
INSERT INTO `lang_definitions` VALUES (166807, 1637, 31, 'クレーム状況');
INSERT INTO `lang_definitions` VALUES (166808, 1638, 31, 'クレームテストが実行を完了しました');
INSERT INTO `lang_definitions` VALUES (166809, 1639, 31, 'クレームタイプ');
INSERT INTO `lang_definitions` VALUES (166810, 1640, 31, 'クレームはファイルに生成されました');
INSERT INTO `lang_definitions` VALUES (166811, 1641, 31, 'クレームはファイルに生成されました');
INSERT INTO `lang_definitions` VALUES (166812, 1642, 31, 'クレーム');
INSERT INTO `lang_definitions` VALUES (166813, 1645, 31, 'クラス分け');
INSERT INTO `lang_definitions` VALUES (166814, 1646, 31, 'クリア');
INSERT INTO `lang_definitions` VALUES (166815, 1649, 31, 'アクティブな患者をクリア');
INSERT INTO `lang_definitions` VALUES (166816, 1651, 31, 'すべてクリア');
INSERT INTO `lang_definitions` VALUES (166817, 1654, 31, 'クリアHL7データ');
INSERT INTO `lang_definitions` VALUES (166818, 1655, 31, '明確な正当化');
INSERT INTO `lang_definitions` VALUES (166819, 1659, 31, 'Smartyキャッシュクリア');
INSERT INTO `lang_definitions` VALUES (166820, 1661, 31, 'EDI 270バッチ作成に必要な社内情報をクリア。');
INSERT INTO `lang_definitions` VALUES (166821, 1662, 31, 'CLIA 番号');
INSERT INTO `lang_definitions` VALUES (166822, 1663, 31, 'クリック');
INSERT INTO `lang_definitions` VALUES (166823, 1664, 31, 'テキストフ​​ァイルにカテゴリ、サブカテゴリ、アイテム、コンテンツデータをエクスポートする「輸出」をクリックしてください。 XMLファイルには、このファイルの任意の類似点とは一切関係ありません。開始タグと終了タグが同じライン上にある必要があり、彼らはスペースなしで小文字する必要があります。インポートするには、ファイルを参照し、「インポート」をクリックします。データは完全に異なっている場合、それはあなたの既存のデータとマージします。類似の項目名がある場合は、古いものが保持され、新しいものが最後に追加で保存。');
INSERT INTO `lang_definitions` VALUES (166824, 1667, 31, '新しい注釈を追加するには、グラフィック上のスポットをクリックして、それを削除するには、もう一度それをクリック');
INSERT INTO `lang_definitions` VALUES (166825, 1671, 31, 'ファイルssl.zip内の証明書をダウンロードする証明書のダウンロード]をクリックします');
INSERT INTO `lang_definitions` VALUES (166826, 1672, 31, 'クリックして次へ');
INSERT INTO `lang_definitions` VALUES (166827, 1673, 31, 'クリックして詳細へ');
INSERT INTO `lang_definitions` VALUES (166828, 1674, 31, 'クリックして注文サマリーへ');
INSERT INTO `lang_definitions` VALUES (166829, 1675, 31, 'クリックして結果へ');
INSERT INTO `lang_definitions` VALUES (166830, 1678, 31, 'ここをクリック');
INSERT INTO `lang_definitions` VALUES (166831, 1679, 31, '新しい患者の追加');
INSERT INTO `lang_definitions` VALUES (166832, 1680, 31, 'クリックして新しい傷害ステータス変更を追加、日々の活動を編集します');
INSERT INTO `lang_definitions` VALUES (166833, 1682, 31, '日付の選択');
INSERT INTO `lang_definitions` VALUES (166834, 1683, 31, '日付と時間の選択');
INSERT INTO `lang_definitions` VALUES (166835, 1684, 31, '開始日の選択');
INSERT INTO `lang_definitions` VALUES (166836, 1685, 31, '日付時間の選択');
INSERT INTO `lang_definitions` VALUES (166837, 1686, 31, '開始日時時間の選択');
INSERT INTO `lang_definitions` VALUES (166838, 1687, 31, '終了日時時間の選択');
INSERT INTO `lang_definitions` VALUES (166839, 1688, 31, 'このモジュールを構成するには、ここをクリックします');
INSERT INTO `lang_definitions` VALUES (166840, 1692, 31, 'このモジュールを無効にするには、ここをクリックします');
INSERT INTO `lang_definitions` VALUES (166841, 1703, 31, 'このモジュールを有効にするには、ここをクリックします');
INSERT INTO `lang_definitions` VALUES (166842, 1706, 31, 'このモジュールをインストールするには、ここをクリック');
INSERT INTO `lang_definitions` VALUES (166843, 1707, 31, '検索');
INSERT INTO `lang_definitions` VALUES (166844, 1710, 31, '優先順位、カテゴリとニックネームの設定を更新するためにはこちらをクリック');
INSERT INTO `lang_definitions` VALUES (166845, 1714, 31, '全表示');
INSERT INTO `lang_definitions` VALUES (166846, 1715, 31, '全グラフの表示');
INSERT INTO `lang_definitions` VALUES (166847, 1716, 31, '全ラボデータの表示');
INSERT INTO `lang_definitions` VALUES (166848, 1717, 31, '全バイタルの表示');
INSERT INTO `lang_definitions` VALUES (166849, 1718, 31, '患者の詳細表示');
INSERT INTO `lang_definitions` VALUES (166850, 1719, 31, 'それらすべてを見るにはここをクリックしてください。');
INSERT INTO `lang_definitions` VALUES (166851, 1720, 31, 'より多くの詳細を編集/表示するにはここをクリック');
INSERT INTO `lang_definitions` VALUES (166852, 1723, 31, '次の日からデータベース·リリースをインストールするには、[インストール]ボタンをクリックして');
INSERT INTO `lang_definitions` VALUES (166853, 1730, 31, 'それを高めるために、時間の部分のいずれかをクリック');
INSERT INTO `lang_definitions` VALUES (166854, 1751, 31, '患者のファイルを開くには患者名をクリックして');
INSERT INTO `lang_definitions` VALUES (166855, 1753, 31, 'すべての結果を表示する、または特定の結果を表示するには、上記の入力検索条件を喜ばせるために、[更新]をクリックします。');
INSERT INTO `lang_definitions` VALUES (166856, 1777, 31, '診断を追加します');
INSERT INTO `lang_definitions` VALUES (166857, 1779, 31, '新しいコンポーネントを追加します');
INSERT INTO `lang_definitions` VALUES (166858, 1780, 31, '新しい相談を追加します');
INSERT INTO `lang_definitions` VALUES (166859, 1782, 31, '正当化するために診断を選択する場合にクリックします。');
INSERT INTO `lang_definitions` VALUES (166860, 1785, 31, 'クリックしてダウンロード');
INSERT INTO `lang_definitions` VALUES (166861, 1786, 31, '編集');
INSERT INTO `lang_definitions` VALUES (166862, 1787, 31, '詳細の編集');
INSERT INTO `lang_definitions` VALUES (166863, 1788, 31, 'このイベントの編集');
INSERT INTO `lang_definitions` VALUES (166864, 1790, 31, 'レポートの生成');
INSERT INTO `lang_definitions` VALUES (166865, 1799, 31, '該当患者表示');
INSERT INTO `lang_definitions` VALUES (166866, 1800, 31, '印刷');
INSERT INTO `lang_definitions` VALUES (166867, 1801, 31, '受信（追加）をクリックして新しいロット');
INSERT INTO `lang_definitions` VALUES (166868, 1805, 31, '選択');
INSERT INTO `lang_definitions` VALUES (166869, 1806, 31, '選択');
INSERT INTO `lang_definitions` VALUES (166870, 1808, 31, 'この手順のための業界標準のコードをクリックして選択します');
INSERT INTO `lang_definitions` VALUES (166871, 1811, 31, 'オプションの手順のコードをクリックして選択します');
INSERT INTO `lang_definitions` VALUES (166872, 1812, 31, '選択またはコーディング変更するにはクリック');
INSERT INTO `lang_definitions` VALUES (166873, 1813, 31, 'CVXコードを選択または変更するにはクリック');
INSERT INTO `lang_definitions` VALUES (166874, 1814, 31, '診断を選択または変更するにはクリック');
INSERT INTO `lang_definitions` VALUES (166875, 1815, 31, 'サービスコードを選択したり、変更するにはクリック');
INSERT INTO `lang_definitions` VALUES (166876, 1816, 31, '選択する患者をクリック');
INSERT INTO `lang_definitions` VALUES (166877, 1817, 31, '選択する関連コードをクリック');
INSERT INTO `lang_definitions` VALUES (166878, 1819, 31, 'この結果が異常である場合に実行するサービスをクリックして選択します');
INSERT INTO `lang_definitions` VALUES (166879, 1822, 31, '希望の手順をクリックして選択します');
INSERT INTO `lang_definitions` VALUES (166880, 1829, 31, 'ソート');
INSERT INTO `lang_definitions` VALUES (166881, 1831, 31, '閲覧');
INSERT INTO `lang_definitions` VALUES (166882, 1833, 31, '閲覧または編集');
INSERT INTO `lang_definitions` VALUES (166883, 1834, 31, '閲覧/編集');
INSERT INTO `lang_definitions` VALUES (166884, 1838, 31, '患者に合わせて上に示した場所をクリックします。');
INSERT INTO `lang_definitions` VALUES (166885, 1839, 31, 'クリック');
INSERT INTO `lang_definitions` VALUES (166886, 1862, 31, 'クライアント証明書の有効期限日数');
INSERT INTO `lang_definitions` VALUES (166887, 1864, 31, 'クライアント証明書の有効期間');
INSERT INTO `lang_definitions` VALUES (166888, 1865, 31, 'クライアント証明書の有効性は有効な数値でなければなりません。');
INSERT INTO `lang_definitions` VALUES (166889, 1866, 31, 'クライアントコピー');
INSERT INTO `lang_definitions` VALUES (166890, 1869, 31, 'クライアント病歴サマリー');
INSERT INTO `lang_definitions` VALUES (166891, 1870, 31, 'クライアント名');
INSERT INTO `lang_definitions` VALUES (166892, 1872, 31, 'クライアント番号');
INSERT INTO `lang_definitions` VALUES (166893, 1873, 31, 'クライアントプロファイル - 新規クライアント');
INSERT INTO `lang_definitions` VALUES (166894, 1874, 31, 'クライアントプロファイル - ユニークなクライアント');
INSERT INTO `lang_definitions` VALUES (166895, 1878, 31, 'クライアント');
INSERT INTO `lang_definitions` VALUES (166896, 1879, 31, 'クリニック');
INSERT INTO `lang_definitions` VALUES (166897, 1880, 31, 'クリニックのコピー');
INSERT INTO `lang_definitions` VALUES (166898, 1881, 31, 'クリニックデイリー·レコード');
INSERT INTO `lang_definitions` VALUES (166899, 1882, 31, 'クリニックID');
INSERT INTO `lang_definitions` VALUES (166900, 1883, 31, '臨床の');
INSERT INTO `lang_definitions` VALUES (166901, 1884, 31, '臨床決定ルールアラートマネージャ');
INSERT INTO `lang_definitions` VALUES (166902, 1886, 31, '病歴');
INSERT INTO `lang_definitions` VALUES (166903, 1889, 31, '臨床計画');
INSERT INTO `lang_definitions` VALUES (166904, 1890, 31, '臨床品質尺度（CQM）');
INSERT INTO `lang_definitions` VALUES (166905, 1891, 31, '臨床品質尺度（CQM） - 2011');
INSERT INTO `lang_definitions` VALUES (166906, 1892, 31, '臨床品質尺度（CQM） - 2014');
INSERT INTO `lang_definitions` VALUES (166907, 1893, 31, '通院予定');
INSERT INTO `lang_definitions` VALUES (166908, 1897, 31, '通院レポート');
INSERT INTO `lang_definitions` VALUES (166909, 1898, 31, '臨床ルールの動作カテゴリ');
INSERT INTO `lang_definitions` VALUES (166910, 1899, 31, '臨床ルールのアクションアイテム');
INSERT INTO `lang_definitions` VALUES (166911, 1900, 31, '臨床ルールのフィルタメソッド');
INSERT INTO `lang_definitions` VALUES (166912, 1901, 31, '臨床ルールのターゲットメソッド');
INSERT INTO `lang_definitions` VALUES (166913, 1902, 31, '臨床ルール');
INSERT INTO `lang_definitions` VALUES (166914, 1903, 31, '臨床ルール年齢間隔');
INSERT INTO `lang_definitions` VALUES (166915, 1904, 31, '臨床ルールの比較');
INSERT INTO `lang_definitions` VALUES (166916, 1905, 31, '臨床ルールタイプの出会い');
INSERT INTO `lang_definitions` VALUES (166917, 1906, 31, '臨床ルールリマインダーためのオプション');
INSERT INTO `lang_definitions` VALUES (166918, 1907, 31, '臨床ルールリマインダー不活性化のオプション');
INSERT INTO `lang_definitions` VALUES (166919, 1908, 31, '臨床ルールリマインダー間隔');
INSERT INTO `lang_definitions` VALUES (166920, 1909, 31, '臨床ルールリマインダー方法');
INSERT INTO `lang_definitions` VALUES (166921, 1910, 31, '臨床ルールターゲット間隔');
INSERT INTO `lang_definitions` VALUES (166922, 1911, 31, '臨床目標');
INSERT INTO `lang_definitions` VALUES (166923, 1912, 31, '臨床用語');
INSERT INTO `lang_definitions` VALUES (166924, 1913, 31, '臨床用語コード（単数または複数）');
INSERT INTO `lang_definitions` VALUES (166925, 1915, 31, '臨床医');
INSERT INTO `lang_definitions` VALUES (166926, 1916, 31, '複製');
INSERT INTO `lang_definitions` VALUES (166927, 1917, 31, '過去の訪問の複製');
INSERT INTO `lang_definitions` VALUES (166928, 1918, 31, '閉じる');
INSERT INTO `lang_definitions` VALUES (166929, 1924, 31, 'ウインドウを閉じる');
INSERT INTO `lang_definitions` VALUES (166930, 1925, 31, 'ウインドウを閉じる');
INSERT INTO `lang_definitions` VALUES (166931, 1927, 31, '閉じる');
INSERT INTO `lang_definitions` VALUES (166932, 1928, 31, 'cm');
INSERT INTO `lang_definitions` VALUES (166933, 1931, 31, 'CMS 1500マージン');
INSERT INTO `lang_definitions` VALUES (166934, 1933, 31, 'CMS 1500紙フォーム·フォーマット');
INSERT INTO `lang_definitions` VALUES (166935, 1938, 31, 'CMS 1500：ボックス31フォーマット');
INSERT INTO `lang_definitions` VALUES (166936, 1939, 31, 'CMS 1500：ボックス31日付（シグネチャ）');
INSERT INTO `lang_definitions` VALUES (166937, 1940, 31, 'CMS ID');
INSERT INTO `lang_definitions` VALUES (166938, 1943, 31, 'CMSポータル');
INSERT INTO `lang_definitions` VALUES (166939, 1944, 31, 'CMSポータルログイン');
INSERT INTO `lang_definitions` VALUES (166940, 1945, 31, 'CMSポータルログインID');
INSERT INTO `lang_definitions` VALUES (166941, 1946, 31, 'CMSポータルが有効になっていません！');
INSERT INTO `lang_definitions` VALUES (166942, 1947, 31, 'CMSポータルのパスワード');
INSERT INTO `lang_definitions` VALUES (166943, 1948, 31, 'CMSポータルリクエスト');
INSERT INTO `lang_definitions` VALUES (166944, 1949, 31, 'CMSポータルサイトアドレス');
INSERT INTO `lang_definitions` VALUES (166945, 1950, 31, 'CMSポータルユーザー名');
INSERT INTO `lang_definitions` VALUES (166946, 1955, 31, 'そのままCN2-12');
INSERT INTO `lang_definitions` VALUES (166947, 1958, 31, '共同ペイ');
INSERT INTO `lang_definitions` VALUES (166948, 1959, 31, '共同ペイ·有料');
INSERT INTO `lang_definitions` VALUES (166949, 1962, 31, 'CO-PAY');
INSERT INTO `lang_definitions` VALUES (166950, 1964, 31, 'コー​​ド');
INSERT INTO `lang_definitions` VALUES (166951, 1965, 31, 'コー​​ド');
INSERT INTO `lang_definitions` VALUES (166952, 1967, 31, 'コー​​ドファインダー');
INSERT INTO `lang_definitions` VALUES (166953, 1968, 31, 'コー​​ドは、2つの文字の小文字にする必要があります');
INSERT INTO `lang_definitions` VALUES (166954, 1969, 31, 'コー​​ドまたは通貨を示す記号');
INSERT INTO `lang_definitions` VALUES (166955, 1971, 31, 'コー​​ドテキスト');
INSERT INTO `lang_definitions` VALUES (166956, 1972, 31, 'コー​​ドタイプ');
INSERT INTO `lang_definitions` VALUES (166957, 1973, 31, 'コー​​ドタイプ');
INSERT INTO `lang_definitions` VALUES (166958, 1974, 31, 'コー​​ドタイプが認識されない');
INSERT INTO `lang_definitions` VALUES (166959, 1975, 31, 'コー​​ドタイプはまだ定義されていない');
INSERT INTO `lang_definitions` VALUES (166960, 1976, 31, 'コー​​ドタイプ');
INSERT INTO `lang_definitions` VALUES (166961, 1977, 31, 'コー​​ド（単数または複数）');
INSERT INTO `lang_definitions` VALUES (166962, 1978, 31, 'コー​​ド化');
INSERT INTO `lang_definitions` VALUES (166963, 1979, 31, 'コー​​ド');
INSERT INTO `lang_definitions` VALUES (166964, 1981, 31, 'コー​​ディング');
INSERT INTO `lang_definitions` VALUES (166965, 1982, 31, 'コー​​ディング（教育内容はこちら）');
INSERT INTO `lang_definitions` VALUES (166966, 1983, 31, 'コー​​ディング - どんな出会いが（書き込み、オプショナルwsome）');
INSERT INTO `lang_definitions` VALUES (166967, 1985, 31, 'コー​​ディング - 私の出会い（書き込みを、オプショナルwsome）');
INSERT INTO `lang_definitions` VALUES (166968, 1990, 31, '許可されていないコーディング');
INSERT INTO `lang_definitions` VALUES (166969, 1991, 31, 'コー​​ヒー');
INSERT INTO `lang_definitions` VALUES (166970, 1992, 31, 'コー​​ヒーを使用');
INSERT INTO `lang_definitions` VALUES (166971, 1994, 31, '共同保険');
INSERT INTO `lang_definitions` VALUES (166972, 1995, 31, 'コルW / O');
INSERT INTO `lang_definitions` VALUES (166973, 1997, 31, '伸縮');
INSERT INTO `lang_definitions` VALUES (166974, 1998, 31, '伸縮');
INSERT INTO `lang_definitions` VALUES (166975, 1999, 31, '全伸縮');
INSERT INTO `lang_definitions` VALUES (166976, 2000, 31, '全伸縮');
INSERT INTO `lang_definitions` VALUES (166977, 2001, 31, '全伸縮');
INSERT INTO `lang_definitions` VALUES (166978, 2005, 31, '収集日');
INSERT INTO `lang_definitions` VALUES (166979, 2007, 31, 'コレクション');
INSERT INTO `lang_definitions` VALUES (166980, 2008, 31, 'コレクションレポート');
INSERT INTO `lang_definitions` VALUES (166981, 2009, 31, '大腸癌');
INSERT INTO `lang_definitions` VALUES (166982, 2010, 31, '結腸癌スクリーニング');
INSERT INTO `lang_definitions` VALUES (166983, 2011, 31, '大腸癌手術');
INSERT INTO `lang_definitions` VALUES (166984, 2012, 31, '大腸内視鏡検査');
INSERT INTO `lang_definitions` VALUES (166985, 2013, 31, '大腸内視鏡検査');
INSERT INTO `lang_definitions` VALUES (166986, 2014, 31, 'カラー');
INSERT INTO `lang_definitions` VALUES (166987, 2020, 31, 'カラー：略称');
INSERT INTO `lang_definitions` VALUES (166988, 2021, 31, 'カラム');
INSERT INTO `lang_definitions` VALUES (166989, 2022, 31, 'カラム');
INSERT INTO `lang_definitions` VALUES (166990, 2024, 31, 'ロットを組み合わせる');
INSERT INTO `lang_definitions` VALUES (166991, 2025, 31, 'カンマ');
INSERT INTO `lang_definitions` VALUES (166992, 2027, 31, 'コメント');
INSERT INTO `lang_definitions` VALUES (166993, 2028, 31, 'コメント');
INSERT INTO `lang_definitions` VALUES (166994, 2030, 31, 'この結果や勧告のコメント');
INSERT INTO `lang_definitions` VALUES (166995, 2031, 31, '企業向け損害保険株式会社');
INSERT INTO `lang_definitions` VALUES (166996, 2032, 31, '変更のコミット');
INSERT INTO `lang_definitions` VALUES (166997, 2034, 31, '通信');
INSERT INTO `lang_definitions` VALUES (166998, 2036, 31, 'コミュニケーション');
INSERT INTO `lang_definitions` VALUES (166999, 2039, 31, '会社');
INSERT INTO `lang_definitions` VALUES (167000, 2040, 31, '会社名');
INSERT INTO `lang_definitions` VALUES (167001, 2041, 31, '完了');
INSERT INTO `lang_definitions` VALUES (167002, 2043, 31, '完了');
INSERT INTO `lang_definitions` VALUES (167003, 2046, 31, '完了？');
INSERT INTO `lang_definitions` VALUES (167004, 2049, 31, 'サービスプロバイダによって合併症');
INSERT INTO `lang_definitions` VALUES (167005, 2050, 31, '中絶の合併症');
INSERT INTO `lang_definitions` VALUES (167006, 2051, 31, 'コンポーネント');
INSERT INTO `lang_definitions` VALUES (167007, 2057, 31, 'コンピューター補助医療オーダーシステム(CAMOS)');
INSERT INTO `lang_definitions` VALUES (167008, 2058, 31, '結論');
INSERT INTO `lang_definitions` VALUES (167009, 2063, 31, '設定');
INSERT INTO `lang_definitions` VALUES (167010, 2064, 31, '設定');
INSERT INTO `lang_definitions` VALUES (167011, 2065, 31, '設定 エキスポート/インポート');
INSERT INTO `lang_definitions` VALUES (167012, 2066, 31, '設定は正しく保存されました');
INSERT INTO `lang_definitions` VALUES (167013, 2067, 31, 'クライアント側のSSL証明書を使用するようにApacheとOpenEMRを設定します。');
INSERT INTO `lang_definitions` VALUES (167014, 2068, 31, 'apache を 端末側SSL認証で設定');
INSERT INTO `lang_definitions` VALUES (167015, 2069, 31, 'apache を HTTPS 利用で設定');
INSERT INTO `lang_definitions` VALUES (167016, 2070, 31, 'openEMR を 端末側SSL認証で設定');
INSERT INTO `lang_definitions` VALUES (167017, 2074, 31, 'トラックの設定');
INSERT INTO `lang_definitions` VALUES (167018, 2075, 31, 'トラックの設定');
INSERT INTO `lang_definitions` VALUES (167019, 2079, 31, '新規患者作成の完了');
INSERT INTO `lang_definitions` VALUES (167020, 2081, 31, '新規パスワードの完了');
INSERT INTO `lang_definitions` VALUES (167021, 2083, 31, '支払完了');
INSERT INTO `lang_definitions` VALUES (167022, 2092, 31, '先天性の');
INSERT INTO `lang_definitions` VALUES (167023, 2094, 31, 'Conjuntiva、生徒');
INSERT INTO `lang_definitions` VALUES (167024, 2096, 31, '接続エラー');
INSERT INTO `lang_definitions` VALUES (167025, 2097, 31, '接続');
INSERT INTO `lang_definitions` VALUES (167026, 2098, 31, 'コンスタント');
INSERT INTO `lang_definitions` VALUES (167027, 2100, 31, 'コンスタント名');
INSERT INTO `lang_definitions` VALUES (167028, 2101, 31, 'コンスタント名が空白です');
INSERT INTO `lang_definitions` VALUES (167029, 2102, 31, '定数');
INSERT INTO `lang_definitions` VALUES (167030, 2103, 31, '便秘');
INSERT INTO `lang_definitions` VALUES (167031, 2104, 31, '憲法上の');
INSERT INTO `lang_definitions` VALUES (167032, 2107, 31, 'コンサルテーション簡単な説明');
INSERT INTO `lang_definitions` VALUES (167033, 2109, 31, '連絡先');
INSERT INTO `lang_definitions` VALUES (167034, 2110, 31, '連絡先電子メール');
INSERT INTO `lang_definitions` VALUES (167035, 2111, 31, '連絡先電子メールアドレス');
INSERT INTO `lang_definitions` VALUES (167036, 2112, 31, 'お問い合わせEMRダイレクトphiMailダイレクトメッセージサービスに加入する');
INSERT INTO `lang_definitions` VALUES (167037, 2113, 31, '連絡先情報');
INSERT INTO `lang_definitions` VALUES (167038, 2117, 31, 'コンタクトレンズ');
INSERT INTO `lang_definitions` VALUES (167039, 2118, 31, 'ラボエクスチェンジサービスのためのhttp://mi-squared.comでのお問い合わせ医療情報の統合、LLC。');
INSERT INTO `lang_definitions` VALUES (167040, 2119, 31, 'ERXサービスを購読するhttp://zhservices.comでhttp://mi-squared.comまたはZHヘルスケアで医療情報の統合、LLCにお問い合わせください');
INSERT INTO `lang_definitions` VALUES (167041, 2122, 31, '連絡先名前');
INSERT INTO `lang_definitions` VALUES (167042, 2125, 31, '連絡者');
INSERT INTO `lang_definitions` VALUES (167043, 2126, 31, '連絡先電話番号');
INSERT INTO `lang_definitions` VALUES (167044, 2127, 31, '連絡先電話番号');
INSERT INTO `lang_definitions` VALUES (167045, 2129, 31, 'ERXサービスを購読に関するお問い合わせZMG、LLC（zmghealth@gmail.com）');
INSERT INTO `lang_definitions` VALUES (167046, 2131, 31, '4以下の項目のうち少なくとも3が含まれています。');
INSERT INTO `lang_definitions` VALUES (167047, 2132, 31, 'コンテナグループ名');
INSERT INTO `lang_definitions` VALUES (167048, 2133, 31, 'コンテント');
INSERT INTO `lang_definitions` VALUES (167049, 2134, 31, 'コンテキスト');
INSERT INTO `lang_definitions` VALUES (167050, 2136, 31, 'コンテキスト');
INSERT INTO `lang_definitions` VALUES (167051, 2137, 31, 'コンテキスト名は空白にはできません');
INSERT INTO `lang_definitions` VALUES (167052, 2138, 31, '続く');
INSERT INTO `lang_definitions` VALUES (167053, 2142, 31, 'ケア文書の連続性（CCD）');
INSERT INTO `lang_definitions` VALUES (167054, 2145, 31, 'ケア記録（CCR）の継続性');
INSERT INTO `lang_definitions` VALUES (167055, 2146, 31, 'コントラクライアント');
INSERT INTO `lang_definitions` VALUES (167056, 2147, 31, '避妊');
INSERT INTO `lang_definitions` VALUES (167057, 2148, 31, '避妊の問題');
INSERT INTO `lang_definitions` VALUES (167058, 2149, 31, '避妊合併症（指定）');
INSERT INTO `lang_definitions` VALUES (167059, 2150, 31, '避妊方法');
INSERT INTO `lang_definitions` VALUES (167060, 2151, 31, '避妊製品');
INSERT INTO `lang_definitions` VALUES (167061, 2152, 31, '避妊サービスは、以前に開始した');
INSERT INTO `lang_definitions` VALUES (167062, 2153, 31, '避妊スタート');
INSERT INTO `lang_definitions` VALUES (167063, 2158, 31, 'コントロールID');
INSERT INTO `lang_definitions` VALUES (167064, 2159, 31, 'コントロール番号');
INSERT INTO `lang_definitions` VALUES (167065, 2168, 31, 'COPAY');
INSERT INTO `lang_definitions` VALUES (167066, 2169, 31, 'Copay');
INSERT INTO `lang_definitions` VALUES (167067, 2170, 31, 'CoPay');
INSERT INTO `lang_definitions` VALUES (167068, 2171, 31, '正でないCopay');
INSERT INTO `lang_definitions` VALUES (167069, 2172, 31, 'Copay有料');
INSERT INTO `lang_definitions` VALUES (167070, 2173, 31, 'Copays');
INSERT INTO `lang_definitions` VALUES (167071, 2174, 31, 'COPD');
INSERT INTO `lang_definitions` VALUES (167072, 2175, 31, '患者チャートにコピーページ');
INSERT INTO `lang_definitions` VALUES (167073, 2177, 31, 'コピー値');
INSERT INTO `lang_definitions` VALUES (167074, 2178, 31, 'データベースファイルをコピーする。これにはしばらく時間がかかります...');
INSERT INTO `lang_definitions` VALUES (167075, 2179, 31, '著作権表示');
INSERT INTO `lang_definitions` VALUES (167076, 2183, 31, 'コー​​ニッシュ');
INSERT INTO `lang_definitions` VALUES (167077, 2184, 31, '冠動脈バイパス');
INSERT INTO `lang_definitions` VALUES (167078, 2185, 31, '冠動脈バイパス移植（CABG）');
INSERT INTO `lang_definitions` VALUES (167079, 2186, 31, '修正された');
INSERT INTO `lang_definitions` VALUES (167080, 2187, 31, 'コルシカの');
INSERT INTO `lang_definitions` VALUES (167081, 2188, 31, 'CouchDBの');
INSERT INTO `lang_definitions` VALUES (167082, 2189, 31, 'CouchDBの接続が失敗しました。');
INSERT INTO `lang_definitions` VALUES (167083, 2191, 31, 'CouchDBのデータベース');
INSERT INTO `lang_definitions` VALUES (167084, 2192, 31, 'CouchDBのデータベース名');
INSERT INTO `lang_definitions` VALUES (167085, 2195, 31, 'CouchDBのホスト');
INSERT INTO `lang_definitions` VALUES (167086, 2196, 31, 'CouchDBのホスト名');
INSERT INTO `lang_definitions` VALUES (167087, 2197, 31, 'CouchDBのログの有効化');
INSERT INTO `lang_definitions` VALUES (167088, 2198, 31, 'CouchDBのパスワード');
INSERT INTO `lang_definitions` VALUES (167089, 2199, 31, 'CouchDBのポート');
INSERT INTO `lang_definitions` VALUES (167090, 2200, 31, 'CouchDBのポート');
INSERT INTO `lang_definitions` VALUES (167091, 2201, 31, 'CouchDBは失敗したセーブ');
INSERT INTO `lang_definitions` VALUES (167092, 2203, 31, 'のCouchDBのUserName');
INSERT INTO `lang_definitions` VALUES (167093, 2204, 31, '咳');
INSERT INTO `lang_definitions` VALUES (167094, 2205, 31, '咳：');
INSERT INTO `lang_definitions` VALUES (167095, 2206, 31, 'サーバーへ接続できません');
INSERT INTO `lang_definitions` VALUES (167096, 2210, 31, 'テーブルを開けません');
INSERT INTO `lang_definitions` VALUES (167097, 2211, 31, 'ファイルを読めません');
INSERT INTO `lang_definitions` VALUES (167098, 2212, 31, 'このファイルを読めません');
INSERT INTO `lang_definitions` VALUES (167099, 2214, 31, 'サーバー障害によりメールを送信できません');
INSERT INTO `lang_definitions` VALUES (167100, 2216, 31, 'サーバー障害によりメールを送信できません');
INSERT INTO `lang_definitions` VALUES (167101, 2217, 31, 'バックアップ先のディレクトリを作成できません');
INSERT INTO `lang_definitions` VALUES (167102, 2218, 31, 'ディレクトリを削除できません');
INSERT INTO `lang_definitions` VALUES (167103, 2219, 31, '過去のバックアップファイルを削除できません');
INSERT INTO `lang_definitions` VALUES (167104, 2220, 31, '過去のエクスポートファイルを削除できません');
INSERT INTO `lang_definitions` VALUES (167105, 2221, 31, 'ワーファリン管理 - INRのモニタリング');
INSERT INTO `lang_definitions` VALUES (167106, 2222, 31, '法によるCouns');
INSERT INTO `lang_definitions` VALUES (167107, 2223, 31, 'カウンセリング');
INSERT INTO `lang_definitions` VALUES (167108, 2224, 31, 'カウンセリング活動');
INSERT INTO `lang_definitions` VALUES (167109, 2227, 31, 'COUNTERの紹介FORM');
INSERT INTO `lang_definitions` VALUES (167110, 2228, 31, 'カウンター紹介');
INSERT INTO `lang_definitions` VALUES (167111, 2229, 31, '国');
INSERT INTO `lang_definitions` VALUES (167112, 2231, 31, '国別日時表示形式');
INSERT INTO `lang_definitions` VALUES (167113, 2232, 31, '国リスト');
INSERT INTO `lang_definitions` VALUES (167114, 2233, 31, '国リスト（追記可能）');
INSERT INTO `lang_definitions` VALUES (167115, 2236, 31, '国');
INSERT INTO `lang_definitions` VALUES (167116, 2238, 31, 'クーポン');
INSERT INTO `lang_definitions` VALUES (167117, 2245, 31, 'CPT');
INSERT INTO `lang_definitions` VALUES (167118, 2246, 31, 'CPTコード');
INSERT INTO `lang_definitions` VALUES (167119, 2247, 31, 'CPTコード');
INSERT INTO `lang_definitions` VALUES (167120, 2252, 31, '湿性ラ音');
INSERT INTO `lang_definitions` VALUES (167121, 2255, 31, 'クリーム');
INSERT INTO `lang_definitions` VALUES (167122, 2257, 31, 'ユーザーまたはクライアントホスト名のどちらかのクライアント側のSSL証明書を作成します。');
INSERT INTO `lang_definitions` VALUES (167123, 2261, 31, '新規トラック作成');
INSERT INTO `lang_definitions` VALUES (167124, 2269, 31, 'イベント作成');
INSERT INTO `lang_definitions` VALUES (167125, 2273, 31, '完全バックアップの作成及びダウンロード');
INSERT INTO `lang_definitions` VALUES (167126, 2274, 31, 'トラックの作成及び改変');
INSERT INTO `lang_definitions` VALUES (167127, 2275, 31, 'バクアップ作成');
INSERT INTO `lang_definitions` VALUES (167128, 2276, 31, 'バッチ作成');
INSERT INTO `lang_definitions` VALUES (167129, 2277, 31, 'クライアント認証作成');
INSERT INTO `lang_definitions` VALUES (167130, 2278, 31, 'クライアント側SSL認証作成');
INSERT INTO `lang_definitions` VALUES (167131, 2281, 31, 'デュプリケイト作成');
INSERT INTO `lang_definitions` VALUES (167132, 2282, 31, '来院者作成');
INSERT INTO `lang_definitions` VALUES (167133, 2283, 31, 'イベントログバックアップ作成');
INSERT INTO `lang_definitions` VALUES (167134, 2285, 31, '新規問題作成');
INSERT INTO `lang_definitions` VALUES (167135, 2287, 31, '新規患者作成の完了');
INSERT INTO `lang_definitions` VALUES (167136, 2288, 31, '新規トラック作成');
INSERT INTO `lang_definitions` VALUES (167137, 2294, 31, '患者ノート作成');
INSERT INTO `lang_definitions` VALUES (167138, 2296, 31, 'SSL認証及びサーバー認証作成');
INSERT INTO `lang_definitions` VALUES (167139, 2297, 31, '訪問先作成');
INSERT INTO `lang_definitions` VALUES (167140, 2298, 31, '作成された');
INSERT INTO `lang_definitions` VALUES (167141, 2306, 31, 'エキスポートファイル作成');
INSERT INTO `lang_definitions` VALUES (167142, 2307, 31, '新規トラック作成異常');
INSERT INTO `lang_definitions` VALUES (167143, 2308, 31, 'リモートホストでのファイル作成に失敗');
INSERT INTO `lang_definitions` VALUES (167144, 2309, 31, '作成者');
INSERT INTO `lang_definitions` VALUES (167145, 2311, 31, 'クレジット');
INSERT INTO `lang_definitions` VALUES (167146, 2312, 31, 'クレジットカード');
INSERT INTO `lang_definitions` VALUES (167147, 2314, 31, 'クレジット');
INSERT INTO `lang_definitions` VALUES (167148, 2316, 31, '抽出文字');
INSERT INTO `lang_definitions` VALUES (167149, 2318, 31, 'クロアチア人');
INSERT INTO `lang_definitions` VALUES (167150, 2319, 31, 'クローン病');
INSERT INTO `lang_definitions` VALUES (167151, 2320, 31, 'クローン病');
INSERT INTO `lang_definitions` VALUES (167152, 2323, 31, 'CSVエキスポート');
INSERT INTO `lang_definitions` VALUES (167153, 2324, 31, 'CSVファイル');
INSERT INTO `lang_definitions` VALUES (167154, 2325, 31, 'CSVテーブル');
INSERT INTO `lang_definitions` VALUES (167155, 2331, 31, 'キューバ人');
INSERT INTO `lang_definitions` VALUES (167156, 2333, 31, '通貨小数点以下の桁数');
INSERT INTO `lang_definitions` VALUES (167157, 2334, 31, '通貨小数点記号');
INSERT INTO `lang_definitions` VALUES (167158, 2335, 31, '通貨指定子');
INSERT INTO `lang_definitions` VALUES (167159, 2336, 31, '通貨桁区切り');
INSERT INTO `lang_definitions` VALUES (167160, 2337, 31, 'カレント');
INSERT INTO `lang_definitions` VALUES (167161, 2338, 31, '現在の飲酒量');
INSERT INTO `lang_definitions` VALUES (167162, 2341, 31, '現在の相談');
INSERT INTO `lang_definitions` VALUES (167163, 2342, 31, '現在の抽出字句');
INSERT INTO `lang_definitions` VALUES (167164, 2345, 31, '現在の日常喫煙者');
INSERT INTO `lang_definitions` VALUES (167165, 2347, 31, '現在のファイル名の変更先');
INSERT INTO `lang_definitions` VALUES (167166, 2349, 31, '現在のハッシュ');
INSERT INTO `lang_definitions` VALUES (167167, 2350, 31, '現住所');
INSERT INTO `lang_definitions` VALUES (167168, 2354, 31, '現在のパスワード');
INSERT INTO `lang_definitions` VALUES (167169, 2356, 31, '現在の患者');
INSERT INTO `lang_definitions` VALUES (167170, 2363, 31, '現在の時々喫煙者');
INSERT INTO `lang_definitions` VALUES (167171, 2369, 31, '現在の値');
INSERT INTO `lang_definitions` VALUES (167172, 2371, 31, '現在のアクティブ');
INSERT INTO `lang_definitions` VALUES (167173, 2375, 31, '日常的走行量');
INSERT INTO `lang_definitions` VALUES (167174, 2377, 31, '現在の通院はありません');
INSERT INTO `lang_definitions` VALUES (167175, 2379, 31, 'クッシング症候群');
INSERT INTO `lang_definitions` VALUES (167176, 2380, 31, 'クッシング症候群');
INSERT INTO `lang_definitions` VALUES (167177, 2383, 31, 'カスタム');
INSERT INTO `lang_definitions` VALUES (167178, 2390, 31, 'カスタムインプット');
INSERT INTO `lang_definitions` VALUES (167179, 2395, 31, 'カスタムテーブル');
INSERT INTO `lang_definitions` VALUES (167180, 2415, 31, 'チェコ人');
INSERT INTO `lang_definitions` VALUES (167181, 2416, 31, 'D');
INSERT INTO `lang_definitions` VALUES (167182, 2417, 31, '拡張＆掻爬術');
INSERT INTO `lang_definitions` VALUES (167183, 2418, 31, '拡張＆切除');
INSERT INTO `lang_definitions` VALUES (167184, 2420, 31, '誕生日');
INSERT INTO `lang_definitions` VALUES (167185, 2421, 31, '毎日');
INSERT INTO `lang_definitions` VALUES (167186, 2422, 31, '日誌');
INSERT INTO `lang_definitions` VALUES (167187, 2425, 31, 'デンマーク語.');
INSERT INTO `lang_definitions` VALUES (167188, 2434, 31, 'データエラー');
INSERT INTO `lang_definitions` VALUES (167189, 2439, 31, 'データ種別');
INSERT INTO `lang_definitions` VALUES (167190, 2440, 31, 'データベースアップグレード');
INSERT INTO `lang_definitions` VALUES (167191, 2442, 31, 'データベースがインストールされていません');
INSERT INTO `lang_definitions` VALUES (167192, 2444, 31, 'データベースパッチ');
INSERT INTO `lang_definitions` VALUES (167193, 2445, 31, 'データベースレポート出力');
INSERT INTO `lang_definitions` VALUES (167194, 2447, 31, 'データベース更新完了');
INSERT INTO `lang_definitions` VALUES (167195, 2448, 31, 'データカラムは１から999までです');
INSERT INTO `lang_definitions` VALUES (167196, 2449, 31, '日付');
INSERT INTO `lang_definitions` VALUES (167197, 2450, 31, '日付');
INSERT INTO `lang_definitions` VALUES (167198, 2451, 31, '日付と時間　管理向け');
INSERT INTO `lang_definitions` VALUES (167199, 2453, 31, '日付　管理向け');
INSERT INTO `lang_definitions` VALUES (167200, 2460, 31, '日付作成');
INSERT INTO `lang_definitions` VALUES (167201, 2463, 31, '日付表示フォーマット');
INSERT INTO `lang_definitions` VALUES (167202, 2476, 31, '課金日');
INSERT INTO `lang_definitions` VALUES (167203, 2477, 31, '誕生日');
INSERT INTO `lang_definitions` VALUES (167204, 2478, 31, '誕生日');
INSERT INTO `lang_definitions` VALUES (167205, 2479, 31, '誕生日');
INSERT INTO `lang_definitions` VALUES (167206, 2481, 31, '入力日');
INSERT INTO `lang_definitions` VALUES (167207, 2487, 31, '支払日 yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (167208, 2491, 31, '返信日');
INSERT INTO `lang_definitions` VALUES (167209, 2492, 31, 'レポート日');
INSERT INTO `lang_definitions` VALUES (167210, 2493, 31, 'サービス日');
INSERT INTO `lang_definitions` VALUES (167211, 2495, 31, 'サービス日');
INSERT INTO `lang_definitions` VALUES (167212, 2496, 31, 'サービス日 = 今日');
INSERT INTO `lang_definitions` VALUES (167213, 2498, 31, 'サービス日 mm/dd/yyyy');
INSERT INTO `lang_definitions` VALUES (167214, 2499, 31, 'サービス日:');
INSERT INTO `lang_definitions` VALUES (167215, 2500, 31, 'サイン日');
INSERT INTO `lang_definitions` VALUES (167216, 2501, 31, 'ステータス変更日');
INSERT INTO `lang_definitions` VALUES (167217, 2503, 31, '該当オーダー日');
INSERT INTO `lang_definitions` VALUES (167218, 2504, 31, '該当レポート日');
INSERT INTO `lang_definitions` VALUES (167219, 2506, 31, '日時指定済み');
INSERT INTO `lang_definitions` VALUES (167220, 2508, 31, '日時選択');
INSERT INTO `lang_definitions` VALUES (167221, 2509, 31, '日時選択');
INSERT INTO `lang_definitions` VALUES (167222, 2510, 31, '日付送信');
INSERT INTO `lang_definitions` VALUES (167223, 2512, 31, '日付時間');
INSERT INTO `lang_definitions` VALUES (167224, 2513, 31, '日付は空白にできません');
INSERT INTO `lang_definitions` VALUES (167225, 2517, 31, '日付/ノート');
INSERT INTO `lang_definitions` VALUES (167226, 2518, 31, '日付/ノート終端');
INSERT INTO `lang_definitions` VALUES (167227, 2519, 31, '日付/時間');
INSERT INTO `lang_definitions` VALUES (167228, 2520, 31, '日付:');
INSERT INTO `lang_definitions` VALUES (167229, 2526, 31, '日');
INSERT INTO `lang_definitions` VALUES (167230, 2527, 31, '日');
INSERT INTO `lang_definitions` VALUES (167231, 2531, 31, '日');
INSERT INTO `lang_definitions` VALUES (167232, 2533, 31, '日');
INSERT INTO `lang_definitions` VALUES (167233, 2534, 31, '日');
INSERT INTO `lang_definitions` VALUES (167234, 2535, 31, '日前');
INSERT INTO `lang_definitions` VALUES (167235, 2544, 31, 'DBインストール済み');
INSERT INTO `lang_definitions` VALUES (167236, 2545, 31, 'DD/MM/YYYY');
INSERT INTO `lang_definitions` VALUES (167237, 2562, 31, 'デバッグ情報');
INSERT INTO `lang_definitions` VALUES (167238, 2564, 31, 'デバッグ中');
INSERT INTO `lang_definitions` VALUES (167239, 2565, 31, '12月');
INSERT INTO `lang_definitions` VALUES (167240, 2574, 31, '12月');
INSERT INTO `lang_definitions` VALUES (167241, 2583, 31, '通常');
INSERT INTO `lang_definitions` VALUES (167242, 2585, 31, '通常カレンダー表示');
INSERT INTO `lang_definitions` VALUES (167243, 2587, 31, '通常来院者表示ID');
INSERT INTO `lang_definitions` VALUES (167244, 2589, 31, '通常施術院');
INSERT INTO `lang_definitions` VALUES (167245, 2594, 31, '通常言語');
INSERT INTO `lang_definitions` VALUES (167246, 2600, 31, '通常メソッド');
INSERT INTO `lang_definitions` VALUES (167247, 2601, 31, '通常パスワード失効期限日');
INSERT INTO `lang_definitions` VALUES (167248, 2603, 31, '通常患者所在国');
INSERT INTO `lang_definitions` VALUES (167249, 2626, 31, 'デフォルト値');
INSERT INTO `lang_definitions` VALUES (167250, 2635, 31, '削除');
INSERT INTO `lang_definitions` VALUES (167251, 2636, 31, '削除');
INSERT INTO `lang_definitions` VALUES (167252, 2638, 31, '削除');
INSERT INTO `lang_definitions` VALUES (167253, 2639, 31, '削除');
INSERT INTO `lang_definitions` VALUES (167254, 2640, 31, '削除:ID及びカテゴリー');
INSERT INTO `lang_definitions` VALUES (167255, 2641, 31, '削除;カテゴリー');
INSERT INTO `lang_definitions` VALUES (167256, 2644, 31, '削除できません!');
INSERT INTO `lang_definitions` VALUES (167257, 2645, 31, 'グループ削除');
INSERT INTO `lang_definitions` VALUES (167258, 2646, 31, 'リスト削除');
INSERT INTO `lang_definitions` VALUES (167259, 2648, 31, 'ページ削除');
INSERT INTO `lang_definitions` VALUES (167260, 2651, 31, '列削除');
INSERT INTO `lang_definitions` VALUES (167261, 2652, 31, '選択アイテム削除');
INSERT INTO `lang_definitions` VALUES (167262, 2653, 31, '選択リクエスト削除');
INSERT INTO `lang_definitions` VALUES (167263, 2655, 31, '削除できました');
INSERT INTO `lang_definitions` VALUES (167264, 2656, 31, 'このドキュメントを削除');
INSERT INTO `lang_definitions` VALUES (167265, 2657, 31, 'このフォームを削除');
INSERT INTO `lang_definitions` VALUES (167266, 2659, 31, 'このノートを削除');
INSERT INTO `lang_definitions` VALUES (167267, 2660, 31, '正常に削除できました');
INSERT INTO `lang_definitions` VALUES (167268, 2661, 31, '正常に削除できました');
INSERT INTO `lang_definitions` VALUES (167269, 2673, 31, '一般表示項目');
INSERT INTO `lang_definitions` VALUES (167270, 2674, 31, '一般表示項目（追記オプション）');
INSERT INTO `lang_definitions` VALUES (167271, 2678, 31, '一般表示項目:抽出済み');
INSERT INTO `lang_definitions` VALUES (167272, 2680, 31, '一般表示項目は認証されていません');
INSERT INTO `lang_definitions` VALUES (167273, 2681, 31, '一般表示項目は認証されていません');
INSERT INTO `lang_definitions` VALUES (167274, 2682, 31, '禁止');
INSERT INTO `lang_definitions` VALUES (167275, 2684, 31, '分母');
INSERT INTO `lang_definitions` VALUES (167276, 2687, 31, '歯科');
INSERT INTO `lang_definitions` VALUES (167277, 2688, 31, '歯科問題リスト');
INSERT INTO `lang_definitions` VALUES (167278, 2689, 31, '歯科問題リスト');
INSERT INTO `lang_definitions` VALUES (167279, 2696, 31, '預託日');
INSERT INTO `lang_definitions` VALUES (167280, 2697, 31, '入金日を今日より大きくすることはできません');
INSERT INTO `lang_definitions` VALUES (167281, 2698, 31, 'デポジット日：');
INSERT INTO `lang_definitions` VALUES (167282, 2699, 31, 'うつ病の');
INSERT INTO `lang_definitions` VALUES (167283, 2700, 31, 'うつ病');
INSERT INTO `lang_definitions` VALUES (167284, 2706, 31, '説明');
INSERT INTO `lang_definitions` VALUES (167285, 2707, 31, '説明');
INSERT INTO `lang_definitions` VALUES (167286, 2708, 31, '説明は、デフォルトのテキストです');
INSERT INTO `lang_definitions` VALUES (167287, 2709, 31, '情報開示の説明');
INSERT INTO `lang_definitions` VALUES (167288, 2710, 31, 'この手順または結果コードの説明');
INSERT INTO `lang_definitions` VALUES (167289, 2711, 31, '説明の翻訳');
INSERT INTO `lang_definitions` VALUES (167290, 2712, 31, '希望のファイル名');
INSERT INTO `lang_definitions` VALUES (167291, 2713, 31, '宛先');
INSERT INTO `lang_definitions` VALUES (167292, 2714, 31, 'コピー先のファイル名');
INSERT INTO `lang_definitions` VALUES (167293, 2716, 31, 'ロットを破壊');
INSERT INTO `lang_definitions` VALUES (167294, 2717, 31, '破壊します...');
INSERT INTO `lang_definitions` VALUES (167295, 2718, 31, '破壊されました');
INSERT INTO `lang_definitions` VALUES (167296, 2719, 31, '破壊された薬剤');
INSERT INTO `lang_definitions` VALUES (167297, 2720, 31, '破壊された医薬品レポート');
INSERT INTO `lang_definitions` VALUES (167298, 2721, 31, '詳細');
INSERT INTO `lang_definitions` VALUES (167299, 2726, 31, '詳細');
INSERT INTO `lang_definitions` VALUES (167300, 2730, 31, '糖尿病');
INSERT INTO `lang_definitions` VALUES (167301, 2743, 31, '診断');
INSERT INTO `lang_definitions` VALUES (167302, 2744, 31, '診断コード');
INSERT INTO `lang_definitions` VALUES (167303, 2745, 31, '診断コード');
INSERT INTO `lang_definitions` VALUES (167304, 2747, 31, '診断日');
INSERT INTO `lang_definitions` VALUES (167305, 2750, 31, '診断名');
INSERT INTO `lang_definitions` VALUES (167306, 2751, 31, '診断レポート');
INSERT INTO `lang_definitions` VALUES (167307, 2752, 31, '診断レポート');
INSERT INTO `lang_definitions` VALUES (167308, 2753, 31, '診断レポートのみ');
INSERT INTO `lang_definitions` VALUES (167309, 2754, 31, '診断タイトル');
INSERT INTO `lang_definitions` VALUES (167310, 2755, 31, '診断：');
INSERT INTO `lang_definitions` VALUES (167311, 2756, 31, '診断：');
INSERT INTO `lang_definitions` VALUES (167312, 2758, 31, '診断テスト：');
INSERT INTO `lang_definitions` VALUES (167313, 2760, 31, 'ダイヤル');
INSERT INTO `lang_definitions` VALUES (167314, 2763, 31, 'ダイヤフラム/キャップ');
INSERT INTO `lang_definitions` VALUES (167315, 2764, 31, '下痢');
INSERT INTO `lang_definitions` VALUES (167316, 2767, 31, '口述筆記');
INSERT INTO `lang_definitions` VALUES (167317, 2770, 31, 'びまん：');
INSERT INTO `lang_definitions` VALUES (167318, 2771, 31, 'デジタル署名');
INSERT INTO `lang_definitions` VALUES (167319, 2781, 31, 'ダイレクトメール');
INSERT INTO `lang_definitions` VALUES (167320, 2782, 31, 'ダイレクトメッセージログ');
INSERT INTO `lang_definitions` VALUES (167321, 2783, 31, 'ダイレクトメッセージを受信しました。');
INSERT INTO `lang_definitions` VALUES (167322, 2784, 31, 'ダイレクトメッセージは現在使用できません。');
INSERT INTO `lang_definitions` VALUES (167323, 2785, 31, 'ダイレクトメッセージは失敗を送信します。');
INSERT INTO `lang_definitions` VALUES (167324, 2787, 31, 'ディレクター名');
INSERT INTO `lang_definitions` VALUES (167325, 2788, 31, 'ディレクトリが削除できませんでした。継続しています。');
INSERT INTO `lang_definitions` VALUES (167326, 2789, 31, '廃疾');
INSERT INTO `lang_definitions` VALUES (167327, 2794, 31, 'カレンダー無効');
INSERT INTO `lang_definitions` VALUES (167328, 2795, 31, 'チャートトラッカー無効');
INSERT INTO `lang_definitions` VALUES (167329, 2802, 31, 'phpMyAdmin無効');
INSERT INTO `lang_definitions` VALUES (167330, 2804, 31, 'ユーザーグループ無効');
INSERT INTO `lang_definitions` VALUES (167331, 2805, 31, '使用禁止');
INSERT INTO `lang_definitions` VALUES (167332, 2806, 31, '無効');
INSERT INTO `lang_definitions` VALUES (167333, 2815, 31, '放出');
INSERT INTO `lang_definitions` VALUES (167334, 2816, 31, '尿道からの排出');
INSERT INTO `lang_definitions` VALUES (167335, 2818, 31, '右放電');
INSERT INTO `lang_definitions` VALUES (167336, 2819, 31, '右放電：');
INSERT INTO `lang_definitions` VALUES (167337, 2866, 31, '表示名');
INSERT INTO `lang_definitions` VALUES (167338, 2897, 31, '憩室炎');
INSERT INTO `lang_definitions` VALUES (167339, 2898, 31, '憩室炎の手術');
INSERT INTO `lang_definitions` VALUES (167340, 2899, 31, '憩室炎');
INSERT INTO `lang_definitions` VALUES (167341, 2900, 31, '憩室炎の手術');
INSERT INTO `lang_definitions` VALUES (167342, 2901, 31, '離婚');
INSERT INTO `lang_definitions` VALUES (167343, 2902, 31, 'めまい：');
INSERT INTO `lang_definitions` VALUES (167344, 2912, 31, 'カレンダーを表示しません。');
INSERT INTO `lang_definitions` VALUES (167345, 2913, 31, '患者フローボードを表示しません。');
INSERT INTO `lang_definitions` VALUES (167346, 2925, 31, '何もしない');
INSERT INTO `lang_definitions` VALUES (167347, 2929, 31, '本当に削除しますか');
INSERT INTO `lang_definitions` VALUES (167348, 2930, 31, '本当にこの選択を削除しますか？');
INSERT INTO `lang_definitions` VALUES (167349, 2931, 31, '本当にこのグループを削除しますか？');
INSERT INTO `lang_definitions` VALUES (167350, 2932, 31, '本当に削除しますか？');
INSERT INTO `lang_definitions` VALUES (167351, 2934, 31, '本当に継続しますか？');
INSERT INTO `lang_definitions` VALUES (167352, 2935, 31, '本当にこれを削除しますか？');
INSERT INTO `lang_definitions` VALUES (167353, 2936, 31, '削除しますか？');
INSERT INTO `lang_definitions` VALUES (167354, 2937, 31, 'このレコードを削除しますか？');
INSERT INTO `lang_definitions` VALUES (167355, 2938, 31, '新規患者を継続して追加しますか？');
INSERT INTO `lang_definitions` VALUES (167356, 2939, 31, '新規名前を継続して追加しますか？');
INSERT INTO `lang_definitions` VALUES (167357, 2941, 31, '誕生日');
INSERT INTO `lang_definitions` VALUES (167358, 2942, 31, '誕生日がありません。入力してください。');
INSERT INTO `lang_definitions` VALUES (167359, 2944, 31, '医者');
INSERT INTO `lang_definitions` VALUES (167360, 2945, 31, '医者');
INSERT INTO `lang_definitions` VALUES (167361, 2946, 31, '医者');
INSERT INTO `lang_definitions` VALUES (167362, 2947, 31, '医者の指名および署名');
INSERT INTO `lang_definitions` VALUES (167363, 2948, 31, '文書');
INSERT INTO `lang_definitions` VALUES (167364, 2949, 31, '文書');
INSERT INTO `lang_definitions` VALUES (167365, 2951, 31, '文書カテゴリー');
INSERT INTO `lang_definitions` VALUES (167366, 2952, 31, 'ラボレザルトの文書カテゴリーが存在しません');
INSERT INTO `lang_definitions` VALUES (167367, 2953, 31, 'ラボレザルトを受信しました。');
INSERT INTO `lang_definitions` VALUES (167368, 2960, 31, '文書日時');
INSERT INTO `lang_definitions` VALUES (167369, 2962, 31, '文書ID');
INSERT INTO `lang_definitions` VALUES (167370, 2965, 31, '文書を新規カテゴリへ移動しました');
INSERT INTO `lang_definitions` VALUES (167371, 2966, 31, '文書を患者IDへ移動しました');
INSERT INTO `lang_definitions` VALUES (167372, 2969, 31, '文書保管メソッド');
INSERT INTO `lang_definitions` VALUES (167373, 2970, 31, '文書名を変更しました');
INSERT INTO `lang_definitions` VALUES (167374, 2971, 31, '文書を来院者に付与しました');
INSERT INTO `lang_definitions` VALUES (167375, 2972, 31, '文書定型管理');
INSERT INTO `lang_definitions` VALUES (167376, 2973, 31, '文書定型');
INSERT INTO `lang_definitions` VALUES (167377, 2975, 31, '文書');
INSERT INTO `lang_definitions` VALUES (167378, 2976, 31, '文書/イメージ 保存');
INSERT INTO `lang_definitions` VALUES (167379, 2978, 31, '文書');
INSERT INTO `lang_definitions` VALUES (167380, 2980, 31, '文書(追記オプション)');
INSERT INTO `lang_definitions` VALUES (167381, 2997, 31, '婚姻者');
INSERT INTO `lang_definitions` VALUES (167382, 3002, 31, '完了。ダウンロードを続けて送信');
INSERT INTO `lang_definitions` VALUES (167383, 3004, 31, '完了:');
INSERT INTO `lang_definitions` VALUES (167384, 3005, 31, '完了。ダウンロードを続けて送信');
INSERT INTO `lang_definitions` VALUES (167385, 3006, 31, '診察日');
INSERT INTO `lang_definitions` VALUES (167386, 3011, 31, 'ダブルクリックで編集');
INSERT INTO `lang_definitions` VALUES (167387, 3014, 31, 'ダウンロード');
INSERT INTO `lang_definitions` VALUES (167388, 3039, 31, '医師確認');
INSERT INTO `lang_definitions` VALUES (167389, 3040, 31, '医師来診');
INSERT INTO `lang_definitions` VALUES (167390, 3041, 31, '医者');
INSERT INTO `lang_definitions` VALUES (167391, 3045, 31, 'ドラッグして移動');
INSERT INTO `lang_definitions` VALUES (167392, 3050, 31, '薬');
INSERT INTO `lang_definitions` VALUES (167393, 3053, 31, '薬検索');
INSERT INTO `lang_definitions` VALUES (167394, 3054, 31, '薬フォーム');
INSERT INTO `lang_definitions` VALUES (167395, 3055, 31, '薬品IDがありません');
INSERT INTO `lang_definitions` VALUES (167396, 3059, 31, '薬品名');
INSERT INTO `lang_definitions` VALUES (167397, 3072, 31, '薬品');
INSERT INTO `lang_definitions` VALUES (167398, 3073, 31, '薬品および薬剤');
INSERT INTO `lang_definitions` VALUES (167399, 3074, 31, 'ドライマウス');
INSERT INTO `lang_definitions` VALUES (167400, 3075, 31, 'DSM-IV Diagnosis');
INSERT INTO `lang_definitions` VALUES (167401, 3076, 31, 'DT 1');
INSERT INTO `lang_definitions` VALUES (167402, 3077, 31, 'DT 2');
INSERT INTO `lang_definitions` VALUES (167403, 3078, 31, 'DT 3');
INSERT INTO `lang_definitions` VALUES (167404, 3079, 31, 'DT 4');
INSERT INTO `lang_definitions` VALUES (167405, 3080, 31, 'DT 5');
INSERT INTO `lang_definitions` VALUES (167406, 3081, 31, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (167407, 3082, 31, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (167408, 3083, 31, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (167409, 3084, 31, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (167410, 3085, 31, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (167411, 3087, 31, '経過');
INSERT INTO `lang_definitions` VALUES (167412, 3088, 31, '経過日');
INSERT INTO `lang_definitions` VALUES (167413, 3090, 31, '経過日 mm/dd/yyyy または yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (167414, 3091, 31, '経過日:');
INSERT INTO `lang_definitions` VALUES (167415, 3112, 31, '間隔');
INSERT INTO `lang_definitions` VALUES (167416, 3113, 31, '間隔');
INSERT INTO `lang_definitions` VALUES (167417, 3148, 31, '心電図');
INSERT INTO `lang_definitions` VALUES (167418, 3159, 31, '編集');
INSERT INTO `lang_definitions` VALUES (167419, 3160, 31, '編集');
INSERT INTO `lang_definitions` VALUES (167420, 3161, 31, 'アレルギー編集');
INSERT INTO `lang_definitions` VALUES (167421, 3163, 31, 'カテゴリー編集');
INSERT INTO `lang_definitions` VALUES (167422, 3173, 31, '来院所編集');
INSERT INTO `lang_definitions` VALUES (167423, 3174, 31, '来院所編集');
INSERT INTO `lang_definitions` VALUES (167424, 3175, 31, '来院所情報編集');
INSERT INTO `lang_definitions` VALUES (167425, 3176, 31, '院所指定者情報編集');
INSERT INTO `lang_definitions` VALUES (167426, 3179, 31, 'グローバル設定編集');
INSERT INTO `lang_definitions` VALUES (167427, 3181, 31, '編集権限がありません!');
INSERT INTO `lang_definitions` VALUES (167428, 3183, 31, 'レイアウト編集');
INSERT INTO `lang_definitions` VALUES (167429, 3185, 31, 'リスト編集');
INSERT INTO `lang_definitions` VALUES (167430, 3188, 31, '支払編集');
INSERT INTO `lang_definitions` VALUES (167431, 3189, 31, '構造編集');
INSERT INTO `lang_definitions` VALUES (167432, 3192, 31, 'ユーザー編集');
INSERT INTO `lang_definitions` VALUES (167433, 3193, 31, 'ユーザー設定編集');
INSERT INTO `lang_definitions` VALUES (167434, 3207, 31, '射精');
INSERT INTO `lang_definitions` VALUES (167435, 3208, 31, '肘');
INSERT INTO `lang_definitions` VALUES (167436, 3210, 31, 'エレクトロニック');
INSERT INTO `lang_definitions` VALUES (167437, 3212, 31, '電子ノート');
INSERT INTO `lang_definitions` VALUES (167438, 3215, 31, '電子レポート');
INSERT INTO `lang_definitions` VALUES (167439, 3225, 31, '電子メール');
INSERT INTO `lang_definitions` VALUES (167440, 3226, 31, '電子メール');
INSERT INTO `lang_definitions` VALUES (167441, 3228, 31, '電子メールアドレス');
INSERT INTO `lang_definitions` VALUES (167442, 3229, 31, '電子メールアドレスがありません');
INSERT INTO `lang_definitions` VALUES (167443, 3233, 31, '電子メール認証');
INSERT INTO `lang_definitions` VALUES (167444, 3238, 31, '電子メール通知');
INSERT INTO `lang_definitions` VALUES (167445, 3239, 31, '電子メール通知時間');
INSERT INTO `lang_definitions` VALUES (167446, 3240, 31, '電子メール通知レポート');
INSERT INTO `lang_definitions` VALUES (167447, 3245, 31, '電子メール送信者');
INSERT INTO `lang_definitions` VALUES (167448, 3246, 31, '電子メール送信');
INSERT INTO `lang_definitions` VALUES (167449, 3247, 31, '電子メール宛先');
INSERT INTO `lang_definitions` VALUES (167450, 3248, 31, '電子メール件名');
INSERT INTO `lang_definitions` VALUES (167451, 3259, 31, '緊急連絡先');
INSERT INTO `lang_definitions` VALUES (167452, 3260, 31, '緊急連絡者');
INSERT INTO `lang_definitions` VALUES (167453, 3261, 31, '研究連絡電話番号');
INSERT INTO `lang_definitions` VALUES (167454, 3263, 31, '緊急ログイン');
INSERT INTO `lang_definitions` VALUES (167455, 3266, 31, '緊急ログインメールアドレス');
INSERT INTO `lang_definitions` VALUES (167456, 3267, 31, '緊急ログインユーザーは全て操作できます');
INSERT INTO `lang_definitions` VALUES (167457, 3268, 31, '緊急電話番号');
INSERT INTO `lang_definitions` VALUES (167458, 3271, 31, '肺気腫');
INSERT INTO `lang_definitions` VALUES (167459, 3272, 31, '雇用者');
INSERT INTO `lang_definitions` VALUES (167460, 3273, 31, '雇用主');
INSERT INTO `lang_definitions` VALUES (167461, 3274, 31, '雇用主住所');
INSERT INTO `lang_definitions` VALUES (167462, 3275, 31, '雇用日');
INSERT INTO `lang_definitions` VALUES (167463, 3276, 31, '雇用主名前');
INSERT INTO `lang_definitions` VALUES (167464, 3277, 31, '空');
INSERT INTO `lang_definitions` VALUES (167465, 3278, 31, '空');
INSERT INTO `lang_definitions` VALUES (167466, 3279, 31, 'パスワード空白は無効です');
INSERT INTO `lang_definitions` VALUES (167467, 3281, 31, '電子メール送信時間が空白です');
INSERT INTO `lang_definitions` VALUES (167468, 3282, 31, '電子メール宛先が空白です');
INSERT INTO `lang_definitions` VALUES (167469, 3283, 31, '電子メール件名が空白です');
INSERT INTO `lang_definitions` VALUES (167470, 3284, 31, '電子メール本文が空白です');
INSERT INTO `lang_definitions` VALUES (167471, 3285, 31, '電子メール送信主が空白です');
INSERT INTO `lang_definitions` VALUES (167472, 3286, 31, 'パスワードの値が空白です');
INSERT INTO `lang_definitions` VALUES (167473, 3287, 31, 'SMS送信時間が空白です');
INSERT INTO `lang_definitions` VALUES (167474, 3288, 31, 'SMS本文が空白です');
INSERT INTO `lang_definitions` VALUES (167475, 3289, 31, 'ユーザーネームが空白です');
INSERT INTO `lang_definitions` VALUES (167476, 3292, 31, '有効');
INSERT INTO `lang_definitions` VALUES (167477, 3300, 31, 'AMCレポートを有効にします');
INSERT INTO `lang_definitions` VALUES (167478, 3301, 31, 'AMCトラッキングを有効にします');
INSERT INTO `lang_definitions` VALUES (167479, 3312, 31, 'SSL端末接続が可能です');
INSERT INTO `lang_definitions` VALUES (167480, 3313, 31, 'SSL端末の認証接続が可能です');
INSERT INTO `lang_definitions` VALUES (167481, 3321, 31, 'CMSポータルが可能です');
INSERT INTO `lang_definitions` VALUES (167482, 3324, 31, 'CQMレポートを有効にします');
INSERT INTO `lang_definitions` VALUES (167483, 3341, 31, 'Hylafax サポート可能');
INSERT INTO `lang_definitions` VALUES (167484, 3343, 31, 'NewCrop erxのインポートステータスメッセージを有効にします');
INSERT INTO `lang_definitions` VALUES (167485, 3344, 31, 'AMCレポートの内訳を有効にします');
INSERT INTO `lang_definitions` VALUES (167486, 3345, 31, 'CQMレポートの内訳を有効にします');
INSERT INTO `lang_definitions` VALUES (167487, 3346, 31, '標準的な臨床規則レポートの内訳を有効にします');
INSERT INTO `lang_definitions` VALUES (167488, 3348, 31, 'ロックトグルを有効にします');
INSERT INTO `lang_definitions` VALUES (167489, 3349, 31, 'CouchDBのにドキュメントのアップロード/ダウンロードのログを有効にします');
INSERT INTO `lang_definitions` VALUES (167490, 3350, 31, 'すべてのSQLのSELECTクエリのログを有効にします。');
INSERT INTO `lang_definitions` VALUES (167491, 3351, 31, 'バックアップ関連の活動のログを有効にします。');
INSERT INTO `lang_definitions` VALUES (167492, 3392, 31, 'スキャナーサポート可能');
INSERT INTO `lang_definitions` VALUES (167493, 3482, 31, '終了日：');
INSERT INTO `lang_definitions` VALUES (167494, 3485, 31, 'レポート終了');
INSERT INTO `lang_definitions` VALUES (167495, 3487, 31, '終了時刻');
INSERT INTO `lang_definitions` VALUES (167496, 3496, 31, '内分泌腺');
INSERT INTO `lang_definitions` VALUES (167497, 3502, 31, '英語');
INSERT INTO `lang_definitions` VALUES (167498, 3503, 31, '英語');
INSERT INTO `lang_definitions` VALUES (167499, 3504, 31, '英語（インド）');
INSERT INTO `lang_definitions` VALUES (167500, 3505, 31, '英語（一般）');
INSERT INTO `lang_definitions` VALUES (167501, 3530, 31, '薬剤を入力してください');
INSERT INTO `lang_definitions` VALUES (167502, 3537, 31, '予防接種を入力してください');
INSERT INTO `lang_definitions` VALUES (167503, 3538, 31, 'キーを入力してください');
INSERT INTO `lang_definitions` VALUES (167504, 3542, 31, '新しいデータを入力してください');
INSERT INTO `lang_definitions` VALUES (167505, 3544, 31, '新しい状態を入力してください');
INSERT INTO `lang_definitions` VALUES (167506, 3567, 31, 'この手順についてLOINCコードを入力してください');
INSERT INTO `lang_definitions` VALUES (167507, 3569, 31, '再識別コードを入力してください');
INSERT INTO `lang_definitions` VALUES (167508, 3586, 31, 'エントリー');
INSERT INTO `lang_definitions` VALUES (167509, 3591, 31, '環境の');
INSERT INTO `lang_definitions` VALUES (167510, 3612, 31, '消去');
INSERT INTO `lang_definitions` VALUES (167511, 3615, 31, 'エラー');
INSERT INTO `lang_definitions` VALUES (167512, 3616, 31, 'エラー');
INSERT INTO `lang_definitions` VALUES (167513, 3623, 31, '「プロセス」の選択でエラーが発生しました');
INSERT INTO `lang_definitions` VALUES (167514, 3627, 31, 'YESまたはNOオプションでエラーが発生しました');
INSERT INTO `lang_definitions` VALUES (167515, 3631, 31, 'エラー処理ファイル');
INSERT INTO `lang_definitions` VALUES (167516, 3633, 31, 'エラーメッセージの削除');
INSERT INTO `lang_definitions` VALUES (167517, 3635, 31, '値を取得中にエラーが発生しました。');
INSERT INTO `lang_definitions` VALUES (167518, 3682, 31, 'エラー');
INSERT INTO `lang_definitions` VALUES (167519, 3693, 31, 'エスキモー人');
INSERT INTO `lang_definitions` VALUES (167520, 3696, 31, 'スペイン人');
INSERT INTO `lang_definitions` VALUES (167521, 3699, 31, '発行済み患者');
INSERT INTO `lang_definitions` VALUES (167522, 3700, 31, 'エストニア人');
INSERT INTO `lang_definitions` VALUES (167523, 3701, 31, 'エスニック人');
INSERT INTO `lang_definitions` VALUES (167524, 3702, 31, 'エスニック及び人種');
INSERT INTO `lang_definitions` VALUES (167525, 3703, 31, 'エスニック及び人種(追記オプション)');
INSERT INTO `lang_definitions` VALUES (167526, 3709, 31, 'イベント');
INSERT INTO `lang_definitions` VALUES (167527, 3710, 31, 'イベント開始');
INSERT INTO `lang_definitions` VALUES (167528, 3711, 31, 'イベントカテゴリー');
INSERT INTO `lang_definitions` VALUES (167529, 3712, 31, 'イベント日付');
INSERT INTO `lang_definitions` VALUES (167530, 3714, 31, 'イベント概要');
INSERT INTO `lang_definitions` VALUES (167531, 3715, 31, 'イベント詳細');
INSERT INTO `lang_definitions` VALUES (167532, 3716, 31, 'イベントは繰り返しません');
INSERT INTO `lang_definitions` VALUES (167533, 3717, 31, 'イベント間隔');
INSERT INTO `lang_definitions` VALUES (167534, 3718, 31, 'イベント間隔(分)');
INSERT INTO `lang_definitions` VALUES (167535, 3719, 31, 'イベント料');
INSERT INTO `lang_definitions` VALUES (167536, 3720, 31, 'イベント場所');
INSERT INTO `lang_definitions` VALUES (167537, 3721, 31, 'イベントリピート毎');
INSERT INTO `lang_definitions` VALUES (167538, 3722, 31, 'イベントリピート');
INSERT INTO `lang_definitions` VALUES (167539, 3723, 31, 'イベント開始時間');
INSERT INTO `lang_definitions` VALUES (167540, 3724, 31, 'イベントタイトル');
INSERT INTO `lang_definitions` VALUES (167541, 3725, 31, 'イベントタイトル');
INSERT INTO `lang_definitions` VALUES (167542, 3726, 31, 'イベントウェブサイト');
INSERT INTO `lang_definitions` VALUES (167543, 3727, 31, 'イベント');
INSERT INTO `lang_definitions` VALUES (167544, 3729, 31, 'イベントを新規ウインドウで開く');
INSERT INTO `lang_definitions` VALUES (167545, 3731, 31, '毎');
INSERT INTO `lang_definitions` VALUES (167546, 3732, 31, '毎');
INSERT INTO `lang_definitions` VALUES (167547, 3734, 31, '3時間毎');
INSERT INTO `lang_definitions` VALUES (167548, 3736, 31, '4時間毎');
INSERT INTO `lang_definitions` VALUES (167549, 3738, 31, '5時間毎');
INSERT INTO `lang_definitions` VALUES (167550, 3740, 31, '6時間毎');
INSERT INTO `lang_definitions` VALUES (167551, 3742, 31, '8時間毎');
INSERT INTO `lang_definitions` VALUES (167552, 3743, 31, '4回毎');
INSERT INTO `lang_definitions` VALUES (167553, 3745, 31, 'その都度');
INSERT INTO `lang_definitions` VALUES (167554, 3746, 31, '3回毎');
INSERT INTO `lang_definitions` VALUES (167555, 3749, 31, '練習及び試験レザルト');
INSERT INTO `lang_definitions` VALUES (167556, 3750, 31, '練習レザルト');
INSERT INTO `lang_definitions` VALUES (167557, 3753, 31, '練習レザルト');
INSERT INTO `lang_definitions` VALUES (167558, 3754, 31, '練習日');
INSERT INTO `lang_definitions` VALUES (167559, 3755, 31, 'サンプル');
INSERT INTO `lang_definitions` VALUES (167560, 3758, 31, 'サンプル');
INSERT INTO `lang_definitions` VALUES (167561, 3760, 31, '試験/テスト');
INSERT INTO `lang_definitions` VALUES (167562, 3771, 31, '運動');
INSERT INTO `lang_definitions` VALUES (167563, 3772, 31, '運動パターン');
INSERT INTO `lang_definitions` VALUES (167564, 3773, 31, '運動パターン');
INSERT INTO `lang_definitions` VALUES (167565, 3782, 31, '経験');
INSERT INTO `lang_definitions` VALUES (167566, 3784, 31, '展開');
INSERT INTO `lang_definitions` VALUES (167567, 3785, 31, '展開');
INSERT INTO `lang_definitions` VALUES (167568, 3787, 31, '全て展開');
INSERT INTO `lang_definitions` VALUES (167569, 3794, 31, '有効期限');
INSERT INTO `lang_definitions` VALUES (167570, 3795, 31, '有効期限');
INSERT INTO `lang_definitions` VALUES (167571, 3797, 31, '有効期限');
INSERT INTO `lang_definitions` VALUES (167572, 3799, 31, 'エクスポート');
INSERT INTO `lang_definitions` VALUES (167573, 3800, 31, 'CSVでエクスポート');
INSERT INTO `lang_definitions` VALUES (167574, 3802, 31, '設定のエクスポート');
INSERT INTO `lang_definitions` VALUES (167575, 3806, 31, '患者一般表示項目のエクスポート');
INSERT INTO `lang_definitions` VALUES (167576, 3810, 31, '選択済みをCSVでエクスポート');
INSERT INTO `lang_definitions` VALUES (167577, 3812, 31, 'CSVへエクスポート');
INSERT INTO `lang_definitions` VALUES (167578, 3813, 31, '外部課金システムへエクスポート');
INSERT INTO `lang_definitions` VALUES (167579, 3820, 31, '外部');
INSERT INTO `lang_definitions` VALUES (167580, 3823, 31, '外部データ読み込み');
INSERT INTO `lang_definitions` VALUES (167581, 3824, 31, '外部データベースインポートユーティリティー');
INSERT INTO `lang_definitions` VALUES (167582, 3828, 31, '外部ID');
INSERT INTO `lang_definitions` VALUES (167583, 3829, 31, '外部ID');
INSERT INTO `lang_definitions` VALUES (167584, 3830, 31, '外部識別子');
INSERT INTO `lang_definitions` VALUES (167585, 3831, 31, '外部のみ');
INSERT INTO `lang_definitions` VALUES (167586, 3838, 31, 'ZIPファイル展開');
INSERT INTO `lang_definitions` VALUES (167587, 3839, 31, 'ファイル展開中…しばらくお待ちください');
INSERT INTO `lang_definitions` VALUES (167588, 3850, 31, '眼刺激性');
INSERT INTO `lang_definitions` VALUES (167589, 3856, 31, '目疾患');
INSERT INTO `lang_definitions` VALUES (167590, 3863, 31, '目');
INSERT INTO `lang_definitions` VALUES (167591, 3868, 31, '病院');
INSERT INTO `lang_definitions` VALUES (167592, 3898, 31, '作成失敗');
INSERT INTO `lang_definitions` VALUES (167593, 3907, 31, '失敗しました。');
INSERT INTO `lang_definitions` VALUES (167594, 3908, 31, '失敗');
INSERT INTO `lang_definitions` VALUES (167595, 3909, 31, '失敗');
INSERT INTO `lang_definitions` VALUES (167596, 3928, 31, '父親');
INSERT INTO `lang_definitions` VALUES (167597, 3930, 31, '倦怠感');
INSERT INTO `lang_definitions` VALUES (167598, 3931, 31, '疲労');
INSERT INTO `lang_definitions` VALUES (167599, 3933, 31, 'ファックス');
INSERT INTO `lang_definitions` VALUES (167600, 3934, 31, 'ファックス枚数');
INSERT INTO `lang_definitions` VALUES (167601, 3935, 31, 'ファックス番号');
INSERT INTO `lang_definitions` VALUES (167602, 3937, 31, 'ファックス/スキャン');
INSERT INTO `lang_definitions` VALUES (167603, 3938, 31, 'FAX受信');
INSERT INTO `lang_definitions` VALUES (167604, 3939, 31, 'FAX送信');
INSERT INTO `lang_definitions` VALUES (167605, 3940, 31, '特徴');
INSERT INTO `lang_definitions` VALUES (167606, 3941, 31, '2月');
INSERT INTO `lang_definitions` VALUES (167607, 3942, 31, '2月');
INSERT INTO `lang_definitions` VALUES (167608, 3955, 31, '報酬');
INSERT INTO `lang_definitions` VALUES (167609, 3956, 31, '女性');
INSERT INTO `lang_definitions` VALUES (167610, 3958, 31, '女性用コンドーム');
INSERT INTO `lang_definitions` VALUES (167611, 3967, 31, '発熱');
INSERT INTO `lang_definitions` VALUES (167612, 3974, 31, 'フィールド');
INSERT INTO `lang_definitions` VALUES (167613, 3985, 31, 'フィジー人');
INSERT INTO `lang_definitions` VALUES (167614, 3986, 31, 'ファイル更新');
INSERT INTO `lang_definitions` VALUES (167615, 3990, 31, 'ファイル位置');
INSERT INTO `lang_definitions` VALUES (167616, 3991, 31, 'ファイル管理');
INSERT INTO `lang_definitions` VALUES (167617, 4001, 31, '送信ファイル');
INSERT INTO `lang_definitions` VALUES (167618, 4002, 31, '送信ファイル');
INSERT INTO `lang_definitions` VALUES (167619, 4004, 31, 'ファイル名');
INSERT INTO `lang_definitions` VALUES (167620, 4005, 31, 'ファイル名の末尾は”.pdf”が必要です');
INSERT INTO `lang_definitions` VALUES (167621, 4006, 31, 'ファイル位置');
INSERT INTO `lang_definitions` VALUES (167622, 4011, 31, 'フィリピン人');
INSERT INTO `lang_definitions` VALUES (167623, 4028, 31, 'フィルター');
INSERT INTO `lang_definitions` VALUES (167624, 4032, 31, 'フィルター');
INSERT INTO `lang_definitions` VALUES (167625, 4033, 31, 'フィルター');
INSERT INTO `lang_definitions` VALUES (167626, 4062, 31, '完了');
INSERT INTO `lang_definitions` VALUES (167627, 4064, 31, 'フィンランド語');
INSERT INTO `lang_definitions` VALUES (167628, 4065, 31, '最初');
INSERT INTO `lang_definitions` VALUES (167629, 4068, 31, '週の最初の日');
INSERT INTO `lang_definitions` VALUES (167630, 4071, 31, 'ファーストネーム');
INSERT INTO `lang_definitions` VALUES (167631, 4072, 31, 'ファーストネーム');
INSERT INTO `lang_definitions` VALUES (167632, 4073, 31, 'ファーストネーム：');
INSERT INTO `lang_definitions` VALUES (167633, 4074, 31, '初来院または相談');
INSERT INTO `lang_definitions` VALUES (167634, 4077, 31, '名前苗字');
INSERT INTO `lang_definitions` VALUES (167635, 4079, 31, 'フィットネス');
INSERT INTO `lang_definitions` VALUES (167636, 4080, 31, 'フィットネスレベル');
INSERT INTO `lang_definitions` VALUES (167637, 4091, 31, 'フロー');
INSERT INTO `lang_definitions` VALUES (167638, 4130, 31, '足');
INSERT INTO `lang_definitions` VALUES (167639, 4201, 31, '書式');
INSERT INTO `lang_definitions` VALUES (167640, 4208, 31, '喫煙経験者');
INSERT INTO `lang_definitions` VALUES (167641, 4227, 31, '骨折');
INSERT INTO `lang_definitions` VALUES (167642, 4229, 31, '外果骨折');
INSERT INTO `lang_definitions` VALUES (167643, 4230, 31, '内果骨折');
INSERT INTO `lang_definitions` VALUES (167644, 4236, 31, 'フランス人(カナダ系)');
INSERT INTO `lang_definitions` VALUES (167645, 4237, 31, 'フランス人(一般)');
INSERT INTO `lang_definitions` VALUES (167646, 4238, 31, '周期');
INSERT INTO `lang_definitions` VALUES (167647, 4241, 31, '金');
INSERT INTO `lang_definitions` VALUES (167648, 4242, 31, '金曜日');
INSERT INTO `lang_definitions` VALUES (167649, 4244, 31, 'From');
INSERT INTO `lang_definitions` VALUES (167650, 4245, 31, '送信元');
INSERT INTO `lang_definitions` VALUES (167651, 4246, 31, 'から');
INSERT INTO `lang_definitions` VALUES (167652, 4247, 31, 'から');
INSERT INTO `lang_definitions` VALUES (167653, 4253, 31, '送信元:');
INSERT INTO `lang_definitions` VALUES (167654, 4254, 31, '送信元:');
INSERT INTO `lang_definitions` VALUES (167655, 4301, 31, 'ガリシア語');
INSERT INTO `lang_definitions` VALUES (167656, 4303, 31, '胆石');
INSERT INTO `lang_definitions` VALUES (167657, 4307, 31, 'ゲーム/イベント');
INSERT INTO `lang_definitions` VALUES (167658, 4309, 31, 'ガンダ語');
INSERT INTO `lang_definitions` VALUES (167659, 4310, 31, '胃炎');
INSERT INTO `lang_definitions` VALUES (167660, 4311, 31, '胃の痛み');
INSERT INTO `lang_definitions` VALUES (167661, 4312, 31, '胃腸');
INSERT INTO `lang_definitions` VALUES (167662, 4316, 31, 'GCAC統計レポート');
INSERT INTO `lang_definitions` VALUES (167663, 4317, 31, 'GCAC統計');
INSERT INTO `lang_definitions` VALUES (167664, 4318, 31, 'GCAC訪問フォームが欠落しています');
INSERT INTO `lang_definitions` VALUES (167665, 4319, 31, '性別');
INSERT INTO `lang_definitions` VALUES (167666, 4320, 31, '性別');
INSERT INTO `lang_definitions` VALUES (167667, 4321, 31, '総合');
INSERT INTO `lang_definitions` VALUES (167668, 4323, 31, '総合問題リスト');
INSERT INTO `lang_definitions` VALUES (167669, 4331, 31, '生成');
INSERT INTO `lang_definitions` VALUES (167670, 4347, 31, 'インボイス作成');
INSERT INTO `lang_definitions` VALUES (167671, 4348, 31, 'レター作成');
INSERT INTO `lang_definitions` VALUES (167672, 4349, 31, 'レター挨拶作成');
INSERT INTO `lang_definitions` VALUES (167673, 4372, 31, '生成');
INSERT INTO `lang_definitions` VALUES (167674, 4377, 31, '泌尿生殖器');
INSERT INTO `lang_definitions` VALUES (167675, 4381, 31, 'ドイツ語');
INSERT INTO `lang_definitions` VALUES (167676, 4400, 31, '全般');
INSERT INTO `lang_definitions` VALUES (167677, 4430, 31, 'グラム');
INSERT INTO `lang_definitions` VALUES (167678, 4431, 31, '総合計');
INSERT INTO `lang_definitions` VALUES (167679, 4432, 31, '総合計');
INSERT INTO `lang_definitions` VALUES (167680, 4439, 31, 'ギリシャ人');
INSERT INTO `lang_definitions` VALUES (167681, 4442, 31, 'グループ');
INSERT INTO `lang_definitions` VALUES (167682, 4459, 31, 'グループ名');
INSERT INTO `lang_definitions` VALUES (167683, 4471, 31, 'グループ');
INSERT INTO `lang_definitions` VALUES (167684, 4472, 31, 'グループ名');
INSERT INTO `lang_definitions` VALUES (167685, 4505, 31, 'ハードディスク');
INSERT INTO `lang_definitions` VALUES (167686, 4515, 31, 'ハワイ人');
INSERT INTO `lang_definitions` VALUES (167687, 4528, 31, '頭');
INSERT INTO `lang_definitions` VALUES (167688, 4531, 31, '頭痛');
INSERT INTO `lang_definitions` VALUES (167689, 4532, 31, '頭痛');
INSERT INTO `lang_definitions` VALUES (167690, 4544, 31, '心臓病');
INSERT INTO `lang_definitions` VALUES (167691, 4545, 31, '心不全');
INSERT INTO `lang_definitions` VALUES (167692, 4548, 31, '心臓外科');
INSERT INTO `lang_definitions` VALUES (167693, 4555, 31, 'ヘブライ人');
INSERT INTO `lang_definitions` VALUES (167694, 4558, 31, '身長');
INSERT INTO `lang_definitions` VALUES (167695, 4559, 31, '身長/長さ');
INSERT INTO `lang_definitions` VALUES (167696, 4560, 31, 'ヘルプ');
INSERT INTO `lang_definitions` VALUES (167697, 4561, 31, 'ヘルプ');
INSERT INTO `lang_definitions` VALUES (167698, 4563, 31, '吐血');
INSERT INTO `lang_definitions` VALUES (167699, 4564, 31, '血便排泄');
INSERT INTO `lang_definitions` VALUES (167700, 4565, 31, '血液学');
INSERT INTO `lang_definitions` VALUES (167701, 4566, 31, '血尿');
INSERT INTO `lang_definitions` VALUES (167702, 4567, 31, 'ヘモグロビン');
INSERT INTO `lang_definitions` VALUES (167703, 4568, 31, 'ヘモグロビン A1C');
INSERT INTO `lang_definitions` VALUES (167704, 4569, 31, '喀血');
INSERT INTO `lang_definitions` VALUES (167705, 4570, 31, '肝炎');
INSERT INTO `lang_definitions` VALUES (167706, 4571, 31, 'A型肝炎1');
INSERT INTO `lang_definitions` VALUES (167707, 4572, 31, 'A型肝炎2');
INSERT INTO `lang_definitions` VALUES (167708, 4573, 31, 'B型肝炎1');
INSERT INTO `lang_definitions` VALUES (167709, 4574, 31, 'B型肝炎2');
INSERT INTO `lang_definitions` VALUES (167710, 4575, 31, 'B型肝炎3');
INSERT INTO `lang_definitions` VALUES (167711, 4579, 31, 'ヘレロ語');
INSERT INTO `lang_definitions` VALUES (167712, 4581, 31, '椎間板ヘルニア');
INSERT INTO `lang_definitions` VALUES (167713, 4582, 31, 'ヘルペス');
INSERT INTO `lang_definitions` VALUES (167714, 4585, 31, 'ためらい');
INSERT INTO `lang_definitions` VALUES (167715, 4587, 31, 'Hib 1');
INSERT INTO `lang_definitions` VALUES (167716, 4588, 31, 'Hib 2');
INSERT INTO `lang_definitions` VALUES (167717, 4589, 31, 'Hib 3');
INSERT INTO `lang_definitions` VALUES (167718, 4590, 31, 'Hib 4');
INSERT INTO `lang_definitions` VALUES (167719, 4593, 31, '隠す');
INSERT INTO `lang_definitions` VALUES (167720, 4595, 31, '詳細を隠す');
INSERT INTO `lang_definitions` VALUES (167721, 4599, 31, 'メニューを隠す');
INSERT INTO `lang_definitions` VALUES (167722, 4601, 31, 'リマインダーを隠す');
INSERT INTO `lang_definitions` VALUES (167723, 4605, 31, '高い');
INSERT INTO `lang_definitions` VALUES (167724, 4607, 31, '高血圧');
INSERT INTO `lang_definitions` VALUES (167725, 4618, 31, 'ヒスパニック');
INSERT INTO `lang_definitions` VALUES (167726, 4621, 31, 'ヒスパニックまたはラテン');
INSERT INTO `lang_definitions` VALUES (167727, 4623, 31, '履歴');
INSERT INTO `lang_definitions` VALUES (167728, 4629, 31, '履歴データ');
INSERT INTO `lang_definitions` VALUES (167729, 4630, 31, '履歴日時');
INSERT INTO `lang_definitions` VALUES (167730, 4632, 31, '履歴番号');
INSERT INTO `lang_definitions` VALUES (167731, 4639, 31, 'HIV');
INSERT INTO `lang_definitions` VALUES (167732, 4649, 31, 'HL7ビュアー');
INSERT INTO `lang_definitions` VALUES (167733, 4652, 31, 'フモン語');
INSERT INTO `lang_definitions` VALUES (167734, 4655, 31, '複数の項目を選択するにはCtrlキーを押しながら');
INSERT INTO `lang_definitions` VALUES (167735, 4658, 31, 'ホーム');
INSERT INTO `lang_definitions` VALUES (167736, 4659, 31, '自宅');
INSERT INTO `lang_definitions` VALUES (167737, 4660, 31, '自宅電話番号');
INSERT INTO `lang_definitions` VALUES (167738, 4662, 31, 'ホームレス(同様に)');
INSERT INTO `lang_definitions` VALUES (167739, 4664, 31, 'ホームレス等');
INSERT INTO `lang_definitions` VALUES (167740, 4665, 31, 'ホームレス等');
INSERT INTO `lang_definitions` VALUES (167741, 4674, 31, 'ホスト名');
INSERT INTO `lang_definitions` VALUES (167742, 4675, 31, 'ホスト名は空にできません');
INSERT INTO `lang_definitions` VALUES (167743, 4677, 31, '時間');
INSERT INTO `lang_definitions` VALUES (167744, 4678, 31, '時間');
INSERT INTO `lang_definitions` VALUES (167745, 4701, 31, 'ハンガリー語');
INSERT INTO `lang_definitions` VALUES (167746, 4702, 31, 'Hylafax 電話帳');
INSERT INTO `lang_definitions` VALUES (167747, 4704, 31, 'Hylafax サーバー');
INSERT INTO `lang_definitions` VALUES (167748, 4705, 31, 'Hylafax サーバー ホスト名');
INSERT INTO `lang_definitions` VALUES (167749, 4708, 31, '高血圧');
INSERT INTO `lang_definitions` VALUES (167750, 4713, 31, '甲状腺機能低下症');
INSERT INTO `lang_definitions` VALUES (167751, 4718, 31, 'この時間は多忙です');
INSERT INTO `lang_definitions` VALUES (167752, 4719, 31, '読み込み権限がありません');
INSERT INTO `lang_definitions` VALUES (167753, 4724, 31, 'ICD');
INSERT INTO `lang_definitions` VALUES (167754, 4734, 31, 'ID');
INSERT INTO `lang_definitions` VALUES (167755, 4738, 31, 'IDは空白にできません');
INSERT INTO `lang_definitions` VALUES (167756, 4739, 31, 'IDカード');
INSERT INTO `lang_definitions` VALUES (167757, 4745, 31, '識別子（一句）');
INSERT INTO `lang_definitions` VALUES (167758, 4775, 31, 'SMTPで利用するサーバーホスト名またはIPアドレス');
INSERT INTO `lang_definitions` VALUES (167759, 4776, 31, 'SMTPで利用するTCPポート番号(通常 25)');
INSERT INTO `lang_definitions` VALUES (167760, 4803, 31, '非雇用の場合は学生');
INSERT INTO `lang_definitions` VALUES (167761, 4854, 31, '否定');
INSERT INTO `lang_definitions` VALUES (167762, 4856, 31, '持病');
INSERT INTO `lang_definitions` VALUES (167763, 4857, 31, 'IM');
INSERT INTO `lang_definitions` VALUES (167764, 4863, 31, 'イメージサービス');
INSERT INTO `lang_definitions` VALUES (167765, 4865, 31, '免疫');
INSERT INTO `lang_definitions` VALUES (167766, 4867, 31, '免疫コード');
INSERT INTO `lang_definitions` VALUES (167767, 4885, 31, '免疫化');
INSERT INTO `lang_definitions` VALUES (167768, 4893, 31, 'インプラント');
INSERT INTO `lang_definitions` VALUES (167769, 4894, 31, 'インポート');
INSERT INTO `lang_definitions` VALUES (167770, 4899, 31, '設定のインポート');
INSERT INTO `lang_definitions` VALUES (167771, 4904, 31, '患者のインポート');
INSERT INTO `lang_definitions` VALUES (167772, 4912, 31, '重要：このアップロードツールは、システムに入力されていない患者ドキュメントのみアップロードするためのものです。システム入力済の患者のファイルをアップロードするには、患者のサマリー画面内のリンクよりアップロードツールを使用してください。');
INSERT INTO `lang_definitions` VALUES (167773, 4920, 31, '加速する');
INSERT INTO `lang_definitions` VALUES (167774, 4936, 31, 'オフィス内');
INSERT INTO `lang_definitions` VALUES (167775, 4967, 31, '受信箱');
INSERT INTO `lang_definitions` VALUES (167776, 4970, 31, 'チェックサム含む');
INSERT INTO `lang_definitions` VALUES (167777, 4977, 31, 'バイタル含む');
INSERT INTO `lang_definitions` VALUES (167778, 4984, 31, '非完全');
INSERT INTO `lang_definitions` VALUES (167779, 4995, 31, 'インド人');
INSERT INTO `lang_definitions` VALUES (167780, 4998, 31, '異常を示します');
INSERT INTO `lang_definitions` VALUES (167781, 5000, 31, 'この問題は、現在アクティブであるかどうかを示します');
INSERT INTO `lang_definitions` VALUES (167782, 5002, 31, '専門的な使用のためのインジケータ');
INSERT INTO `lang_definitions` VALUES (167783, 5003, 31, '貧しい患者');
INSERT INTO `lang_definitions` VALUES (167784, 5004, 31, '貧しい患者レポート');
INSERT INTO `lang_definitions` VALUES (167785, 5009, 31, 'インドネシア語');
INSERT INTO `lang_definitions` VALUES (167786, 5010, 31, '人工流産');
INSERT INTO `lang_definitions` VALUES (167787, 5012, 31, '不適格');
INSERT INTO `lang_definitions` VALUES (167788, 5013, 31, '感染/膿瘍');
INSERT INTO `lang_definitions` VALUES (167789, 5014, 31, '感染症');
INSERT INTO `lang_definitions` VALUES (167790, 5016, 31, '不妊');
INSERT INTO `lang_definitions` VALUES (167791, 5023, 31, 'Info test 1');
INSERT INTO `lang_definitions` VALUES (167792, 5024, 31, 'Info test 2');
INSERT INTO `lang_definitions` VALUES (167793, 5025, 31, 'Info test 3');
INSERT INTO `lang_definitions` VALUES (167794, 5026, 31, 'Info test 4');
INSERT INTO `lang_definitions` VALUES (167795, 5027, 31, 'Info test 5');
INSERT INTO `lang_definitions` VALUES (167796, 5028, 31, 'Info test 6');
INSERT INTO `lang_definitions` VALUES (167797, 5043, 31, '注射');
INSERT INTO `lang_definitions` VALUES (167798, 5046, 31, '傷害');
INSERT INTO `lang_definitions` VALUES (167799, 5071, 31, 'Ins1');
INSERT INTO `lang_definitions` VALUES (167800, 5072, 31, 'Ins2');
INSERT INTO `lang_definitions` VALUES (167801, 5073, 31, 'Ins3');
INSERT INTO `lang_definitions` VALUES (167802, 5074, 31, '挿入');
INSERT INTO `lang_definitions` VALUES (167803, 5079, 31, 'テーブルに古いイベントを挿入します');
INSERT INTO `lang_definitions` VALUES (167804, 5085, 31, '不眠症');
INSERT INTO `lang_definitions` VALUES (167805, 5086, 31, 'ログ検査');
INSERT INTO `lang_definitions` VALUES (167806, 5087, 31, '検査');
INSERT INTO `lang_definitions` VALUES (167807, 5089, 31, 'インストール');
INSERT INTO `lang_definitions` VALUES (167808, 5090, 31, 'インストール');
INSERT INTO `lang_definitions` VALUES (167809, 5092, 31, 'コードセットのインストール');
INSERT INTO `lang_definitions` VALUES (167810, 5093, 31, 'DBのインストール');
INSERT INTO `lang_definitions` VALUES (167811, 5109, 31, '保険');
INSERT INTO `lang_definitions` VALUES (167812, 5110, 31, '保険');
INSERT INTO `lang_definitions` VALUES (167813, 5116, 31, '保険会社');
INSERT INTO `lang_definitions` VALUES (167814, 5117, 31, '保険会社');
INSERT INTO `lang_definitions` VALUES (167815, 5118, 31, '保険会社');
INSERT INTO `lang_definitions` VALUES (167816, 5131, 31, '保険形式');
INSERT INTO `lang_definitions` VALUES (167817, 5132, 31, '保険');
INSERT INTO `lang_definitions` VALUES (167818, 5153, 31, '内部エラー');
INSERT INTO `lang_definitions` VALUES (167819, 5155, 31, '内部エラー：MSH-10が見つかりません');
INSERT INTO `lang_definitions` VALUES (167820, 5167, 31, '通訳');
INSERT INTO `lang_definitions` VALUES (167821, 5168, 31, '通訳が必要？');
INSERT INTO `lang_definitions` VALUES (167822, 5170, 31, '間隔');
INSERT INTO `lang_definitions` VALUES (167823, 5171, 31, '間隔(分)');
INSERT INTO `lang_definitions` VALUES (167824, 5173, 31, '介入');
INSERT INTO `lang_definitions` VALUES (167825, 5183, 31, 'イヌクティトゥト語');
INSERT INTO `lang_definitions` VALUES (167826, 5184, 31, 'イヌピアック語');
INSERT INTO `lang_definitions` VALUES (167827, 5185, 31, '不明文字がある');
INSERT INTO `lang_definitions` VALUES (167828, 5195, 31, '長さ違い');
INSERT INTO `lang_definitions` VALUES (167829, 5200, 31, 'サービスコード異常');
INSERT INTO `lang_definitions` VALUES (167830, 5203, 31, 'ユーザー名あるいはパスワードに誤りがあります');
INSERT INTO `lang_definitions` VALUES (167831, 5205, 31, '持ち物');
INSERT INTO `lang_definitions` VALUES (167832, 5210, 31, '持ち物リスト');
INSERT INTO `lang_definitions` VALUES (167833, 5212, 31, '見積もり');
INSERT INTO `lang_definitions` VALUES (167834, 5213, 31, '見積もり');
INSERT INTO `lang_definitions` VALUES (167835, 5226, 31, '見積もり:');
INSERT INTO `lang_definitions` VALUES (167836, 5237, 31, '国際家族計画連盟');
INSERT INTO `lang_definitions` VALUES (167837, 5243, 31, 'IPV 1');
INSERT INTO `lang_definitions` VALUES (167838, 5244, 31, 'IPV 2');
INSERT INTO `lang_definitions` VALUES (167839, 5245, 31, 'IPV 3');
INSERT INTO `lang_definitions` VALUES (167840, 5246, 31, 'IPV 4');
INSERT INTO `lang_definitions` VALUES (167841, 5248, 31, 'アイリッシュ');
INSERT INTO `lang_definitions` VALUES (167842, 5269, 31, 'PHPがセーフモードで実行されていますか？');
INSERT INTO `lang_definitions` VALUES (167843, 5275, 31, 'ファイルは暗号化されていますか？');
INSERT INTO `lang_definitions` VALUES (167844, 5278, 31, '医学的問題のコードタイプですか？');
INSERT INTO `lang_definitions` VALUES (167845, 5281, 31, '有効ですか？');
INSERT INTO `lang_definitions` VALUES (167846, 5285, 31, 'これでよろしいですか？');
INSERT INTO `lang_definitions` VALUES (167847, 5288, 31, 'では長すぎます');
INSERT INTO `lang_definitions` VALUES (167848, 5289, 31, 'ISO 639-2 Code');
INSERT INTO `lang_definitions` VALUES (167849, 5290, 31, '問題');
INSERT INTO `lang_definitions` VALUES (167850, 5291, 31, '問題');
INSERT INTO `lang_definitions` VALUES (167851, 5292, 31, '問題日');
INSERT INTO `lang_definitions` VALUES (167852, 5293, 31, '問題ID');
INSERT INTO `lang_definitions` VALUES (167853, 5295, 31, '課題');
INSERT INTO `lang_definitions` VALUES (167854, 5296, 31, '課題タイプ');
INSERT INTO `lang_definitions` VALUES (167855, 5297, 31, '課題タイプ');
INSERT INTO `lang_definitions` VALUES (167856, 5298, 31, '問題内容');
INSERT INTO `lang_definitions` VALUES (167857, 5364, 31, 'イタリア人');
INSERT INTO `lang_definitions` VALUES (167858, 5365, 31, 'アイテム');
INSERT INTO `lang_definitions` VALUES (167859, 5366, 31, 'アイテム');
INSERT INTO `lang_definitions` VALUES (167860, 5368, 31, 'アイテム');
INSERT INTO `lang_definitions` VALUES (167861, 5372, 31, '点滴静脈注射');
INSERT INTO `lang_definitions` VALUES (167862, 5375, 31, '一月');
INSERT INTO `lang_definitions` VALUES (167863, 5376, 31, '一月');
INSERT INTO `lang_definitions` VALUES (167864, 5377, 31, '日本語');
INSERT INTO `lang_definitions` VALUES (167865, 5379, 31, 'ジャワ人');
INSERT INTO `lang_definitions` VALUES (167866, 5380, 31, '仕事概略');
INSERT INTO `lang_definitions` VALUES (167867, 5381, 31, '仕事ID');
INSERT INTO `lang_definitions` VALUES (167868, 5385, 31, '6月');
INSERT INTO `lang_definitions` VALUES (167869, 5386, 31, '6月');
INSERT INTO `lang_definitions` VALUES (167870, 5388, 31, '7月');
INSERT INTO `lang_definitions` VALUES (167871, 5389, 31, '7月');
INSERT INTO `lang_definitions` VALUES (167872, 5393, 31, '適正値');
INSERT INTO `lang_definitions` VALUES (167873, 5396, 31, '適正値/保存');
INSERT INTO `lang_definitions` VALUES (167874, 5407, 31, 'キー');
INSERT INTO `lang_definitions` VALUES (167875, 5411, 31, 'キーワード');
INSERT INTO `lang_definitions` VALUES (167876, 5412, 31, 'キログラム');
INSERT INTO `lang_definitions` VALUES (167877, 5413, 31, '平方キログラム');
INSERT INTO `lang_definitions` VALUES (167878, 5415, 31, '小児がん');
INSERT INTO `lang_definitions` VALUES (167879, 5416, 31, '小児不全');
INSERT INTO `lang_definitions` VALUES (167880, 5418, 31, '腎臓結石');
INSERT INTO `lang_definitions` VALUES (167881, 5419, 31, '腎臓移植');
INSERT INTO `lang_definitions` VALUES (167882, 5422, 31, 'キニヤルワンダ語');
INSERT INTO `lang_definitions` VALUES (167883, 5424, 31, 'キルンディ語');
INSERT INTO `lang_definitions` VALUES (167884, 5425, 31, '肘');
INSERT INTO `lang_definitions` VALUES (167885, 5426, 31, 'ひじ故障');
INSERT INTO `lang_definitions` VALUES (167886, 5427, 31, 'ひじ置換');
INSERT INTO `lang_definitions` VALUES (167887, 5428, 31, 'コミ語');
INSERT INTO `lang_definitions` VALUES (167888, 5429, 31, 'コンゴ人');
INSERT INTO `lang_definitions` VALUES (167889, 5430, 31, '韓国人');
INSERT INTO `lang_definitions` VALUES (167890, 5434, 31, 'ラボ');
INSERT INTO `lang_definitions` VALUES (167891, 5435, 31, 'ラボ書類');
INSERT INTO `lang_definitions` VALUES (167892, 5453, 31, 'ラベル');
INSERT INTO `lang_definitions` VALUES (167893, 5454, 31, 'ラベルは空白にできません');
INSERT INTO `lang_definitions` VALUES (167894, 5455, 31, 'ラベルカラム数');
INSERT INTO `lang_definitions` VALUES (167895, 5459, 31, 'ラベル');
INSERT INTO `lang_definitions` VALUES (167896, 5463, 31, 'ラボ');
INSERT INTO `lang_definitions` VALUES (167897, 5470, 31, 'ランドスケープ');
INSERT INTO `lang_definitions` VALUES (167898, 5471, 31, '言語');
INSERT INTO `lang_definitions` VALUES (167899, 5472, 31, '言語コード');
INSERT INTO `lang_definitions` VALUES (167900, 5473, 31, '言語定義を追加しました');
INSERT INTO `lang_definitions` VALUES (167901, 5474, 31, '言語インターフェースツール');
INSERT INTO `lang_definitions` VALUES (167902, 5478, 31, '言語名');
INSERT INTO `lang_definitions` VALUES (167903, 5479, 31, '言語:');
INSERT INTO `lang_definitions` VALUES (167904, 5485, 31, '最後');
INSERT INTO `lang_definitions` VALUES (167905, 5486, 31, '最終活動日');
INSERT INTO `lang_definitions` VALUES (167906, 5487, 31, '最終虫垂');
INSERT INTO `lang_definitions` VALUES (167907, 5489, 31, '前回の請求日：');
INSERT INTO `lang_definitions` VALUES (167908, 5490, 31, '最終乳房検査');
INSERT INTO `lang_definitions` VALUES (167909, 5492, 31, '最後の白内障手術');
INSERT INTO `lang_definitions` VALUES (167910, 5493, 31, '最終胆嚢摘出術');
INSERT INTO `lang_definitions` VALUES (167911, 5506, 31, '最終月');
INSERT INTO `lang_definitions` VALUES (167912, 5507, 31, '名');
INSERT INTO `lang_definitions` VALUES (167913, 5508, 31, '名');
INSERT INTO `lang_definitions` VALUES (167914, 5513, 31, '名');
INSERT INTO `lang_definitions` VALUES (167915, 5519, 31, '最終保存');
INSERT INTO `lang_definitions` VALUES (167916, 5525, 31, '最終更新日');
INSERT INTO `lang_definitions` VALUES (167917, 5527, 31, '最終訪問日');
INSERT INTO `lang_definitions` VALUES (167918, 5528, 31, '最後のレントゲン');
INSERT INTO `lang_definitions` VALUES (167919, 5540, 31, 'ラテン人');
INSERT INTO `lang_definitions` VALUES (167920, 5541, 31, 'ラトビア人');
INSERT INTO `lang_definitions` VALUES (167921, 5547, 31, 'レイアウト');
INSERT INTO `lang_definitions` VALUES (167922, 5551, 31, 'レイアウト編集');
INSERT INTO `lang_definitions` VALUES (167923, 5556, 31, 'レイアウトスタイル');
INSERT INTO `lang_definitions` VALUES (167924, 5559, 31, 'レイアウト');
INSERT INTO `lang_definitions` VALUES (167925, 5560, 31, 'lb');
INSERT INTO `lang_definitions` VALUES (167926, 5563, 31, 'lbs');
INSERT INTO `lang_definitions` VALUES (167927, 5586, 31, '左');
INSERT INTO `lang_definitions` VALUES (167928, 5589, 31, '左耳');
INSERT INTO `lang_definitions` VALUES (167929, 5594, 31, '左マージン(mm)');
INSERT INTO `lang_definitions` VALUES (167930, 5599, 31, '左:');
INSERT INTO `lang_definitions` VALUES (167931, 5600, 31, '左:');
INSERT INTO `lang_definitions` VALUES (167932, 5602, 31, 'リーガル');
INSERT INTO `lang_definitions` VALUES (167933, 5604, 31, 'リーガル紙サイズ');
INSERT INTO `lang_definitions` VALUES (167934, 5606, 31, '長さ');
INSERT INTO `lang_definitions` VALUES (167935, 5620, 31, 'レター');
INSERT INTO `lang_definitions` VALUES (167936, 5621, 31, 'レター生成');
INSERT INTO `lang_definitions` VALUES (167937, 5622, 31, 'レター用紙サイズ');
INSERT INTO `lang_definitions` VALUES (167938, 5633, 31, 'ライセンス/ID');
INSERT INTO `lang_definitions` VALUES (167939, 5644, 31, 'ライフスタイル');
INSERT INTO `lang_definitions` VALUES (167940, 5657, 31, 'リンク');
INSERT INTO `lang_definitions` VALUES (167941, 5665, 31, 'リスト');
INSERT INTO `lang_definitions` VALUES (167942, 5666, 31, 'リストボックス');
INSERT INTO `lang_definitions` VALUES (167943, 5667, 31, 'リストボックス');
INSERT INTO `lang_definitions` VALUES (167944, 5671, 31, '一覧編集');
INSERT INTO `lang_definitions` VALUES (167945, 5674, 31, 'グループ一覧');
INSERT INTO `lang_definitions` VALUES (167946, 5695, 31, 'リトアニア人');
INSERT INTO `lang_definitions` VALUES (167947, 5717, 31, '読み込み中');
INSERT INTO `lang_definitions` VALUES (167948, 5728, 31, '場所');
INSERT INTO `lang_definitions` VALUES (167949, 5745, 31, 'ログイン');
INSERT INTO `lang_definitions` VALUES (167950, 5746, 31, 'ログイン');
INSERT INTO `lang_definitions` VALUES (167951, 5749, 31, 'ログアウト');
INSERT INTO `lang_definitions` VALUES (167952, 5752, 31, 'ログイン中');
INSERT INTO `lang_definitions` VALUES (167953, 5753, 31, 'ログイン名');
INSERT INTO `lang_definitions` VALUES (167954, 5754, 31, 'ログイン名');
INSERT INTO `lang_definitions` VALUES (167955, 5755, 31, 'ログアウト');
INSERT INTO `lang_definitions` VALUES (167956, 5756, 31, 'ログイン中');
INSERT INTO `lang_definitions` VALUES (167957, 5757, 31, 'ログイン');
INSERT INTO `lang_definitions` VALUES (167958, 5758, 31, 'ログイン');
INSERT INTO `lang_definitions` VALUES (167959, 5768, 31, 'ログアウト');
INSERT INTO `lang_definitions` VALUES (167960, 5769, 31, 'ログアウト');
INSERT INTO `lang_definitions` VALUES (167961, 5794, 31, '肺がん');
INSERT INTO `lang_definitions` VALUES (167962, 5795, 31, '肺がん外科手術');
INSERT INTO `lang_definitions` VALUES (167963, 5796, 31, '肺');
INSERT INTO `lang_definitions` VALUES (167964, 5797, 31, '肺');
INSERT INTO `lang_definitions` VALUES (167965, 5812, 31, 'メール送信済み');
INSERT INTO `lang_definitions` VALUES (167966, 5814, 31, 'メイン');
INSERT INTO `lang_definitions` VALUES (167967, 5815, 31, '主住所');
INSERT INTO `lang_definitions` VALUES (167968, 5837, 31, '男性');
INSERT INTO `lang_definitions` VALUES (167969, 5838, 31, '男性用コンドーム');
INSERT INTO `lang_definitions` VALUES (167970, 5841, 31, '乳房');
INSERT INTO `lang_definitions` VALUES (167971, 5842, 31, '管理');
INSERT INTO `lang_definitions` VALUES (167972, 5859, 31, 'マニュアル');
INSERT INTO `lang_definitions` VALUES (167973, 5874, 31, '3月');
INSERT INTO `lang_definitions` VALUES (167974, 5887, 31, '結婚');
INSERT INTO `lang_definitions` VALUES (167975, 5894, 31, '該当');
INSERT INTO `lang_definitions` VALUES (167976, 5907, 31, '最大');
INSERT INTO `lang_definitions` VALUES (167977, 5924, 31, '5月');
INSERT INTO `lang_definitions` VALUES (167978, 5942, 31, '医療');
INSERT INTO `lang_definitions` VALUES (167979, 5946, 31, '医療受診');
INSERT INTO `lang_definitions` VALUES (167980, 5956, 31, '診察歴');
INSERT INTO `lang_definitions` VALUES (167981, 5957, 31, '診察歴');
INSERT INTO `lang_definitions` VALUES (167982, 5959, 31, '診察歴');
INSERT INTO `lang_definitions` VALUES (167983, 5961, 31, '診察歴');
INSERT INTO `lang_definitions` VALUES (167984, 5987, 31, '男性');
INSERT INTO `lang_definitions` VALUES (167985, 5988, 31, '男女');
INSERT INTO `lang_definitions` VALUES (167986, 5989, 31, '男性のみ');
INSERT INTO `lang_definitions` VALUES (167987, 5990, 31, '初潮');
INSERT INTO `lang_definitions` VALUES (167988, 5991, 31, '閉経');
INSERT INTO `lang_definitions` VALUES (167989, 5992, 31, '月経出血');
INSERT INTO `lang_definitions` VALUES (167990, 5993, 31, '月経頻度');
INSERT INTO `lang_definitions` VALUES (167991, 5994, 31, '精神障害');
INSERT INTO `lang_definitions` VALUES (167992, 5998, 31, 'メニューテキスト');
INSERT INTO `lang_definitions` VALUES (167993, 5999, 31, 'メニュー');
INSERT INTO `lang_definitions` VALUES (167994, 6001, 31, 'マージ');
INSERT INTO `lang_definitions` VALUES (167995, 6005, 31, 'メッセージ');
INSERT INTO `lang_definitions` VALUES (167996, 6012, 31, 'メッセージ送信');
INSERT INTO `lang_definitions` VALUES (167997, 6013, 31, 'メッセージ状況');
INSERT INTO `lang_definitions` VALUES (167998, 6014, 31, 'メッセージタイトル');
INSERT INTO `lang_definitions` VALUES (167999, 6015, 31, '患者へのメッセージ');
INSERT INTO `lang_definitions` VALUES (168000, 6018, 31, 'メッセージ:');
INSERT INTO `lang_definitions` VALUES (168001, 6019, 31, 'メッセージ');
INSERT INTO `lang_definitions` VALUES (168002, 6022, 31, '本日送信したメッセージ');
INSERT INTO `lang_definitions` VALUES (168003, 6031, 31, 'メキシコ人');
INSERT INTO `lang_definitions` VALUES (168004, 6038, 31, 'mg');
INSERT INTO `lang_definitions` VALUES (168005, 6039, 31, 'mg/1cc');
INSERT INTO `lang_definitions` VALUES (168006, 6040, 31, 'mg/2cc');
INSERT INTO `lang_definitions` VALUES (168007, 6041, 31, 'mg/3cc');
INSERT INTO `lang_definitions` VALUES (168008, 6042, 31, 'mg/4cc');
INSERT INTO `lang_definitions` VALUES (168009, 6043, 31, 'mg/5cc');
INSERT INTO `lang_definitions` VALUES (168010, 6044, 31, 'MG/DL');
INSERT INTO `lang_definitions` VALUES (168011, 6046, 31, '中間');
INSERT INTO `lang_definitions` VALUES (168012, 6047, 31, 'ミドルネーム');
INSERT INTO `lang_definitions` VALUES (168013, 6048, 31, 'ミドルネーム');
INSERT INTO `lang_definitions` VALUES (168014, 6069, 31, 'MIME Type');
INSERT INTO `lang_definitions` VALUES (168015, 6070, 31, 'MimeType');
INSERT INTO `lang_definitions` VALUES (168016, 6071, 31, '最小');
INSERT INTO `lang_definitions` VALUES (168017, 6072, 31, '最小');
INSERT INTO `lang_definitions` VALUES (168018, 6077, 31, '最低年齢');
INSERT INTO `lang_definitions` VALUES (168019, 6082, 31, '分');
INSERT INTO `lang_definitions` VALUES (168020, 6083, 31, '分');
INSERT INTO `lang_definitions` VALUES (168021, 6084, 31, '分');
INSERT INTO `lang_definitions` VALUES (168022, 6086, 31, 'その他');
INSERT INTO `lang_definitions` VALUES (168023, 6090, 31, 'その他');
INSERT INTO `lang_definitions` VALUES (168024, 6111, 31, '混合');
INSERT INTO `lang_definitions` VALUES (168025, 6113, 31, 'ml');
INSERT INTO `lang_definitions` VALUES (168026, 6114, 31, 'MM/DD/YYYY');
INSERT INTO `lang_definitions` VALUES (168027, 6115, 31, 'mm/hg');
INSERT INTO `lang_definitions` VALUES (168028, 6116, 31, 'mmHg');
INSERT INTO `lang_definitions` VALUES (168029, 6117, 31, 'MMR 1');
INSERT INTO `lang_definitions` VALUES (168030, 6118, 31, 'MMR 2');
INSERT INTO `lang_definitions` VALUES (168031, 6120, 31, '携帯');
INSERT INTO `lang_definitions` VALUES (168032, 6121, 31, '携帯電話番号');
INSERT INTO `lang_definitions` VALUES (168033, 6146, 31, 'モジュール');
INSERT INTO `lang_definitions` VALUES (168034, 6147, 31, 'モジュールディレクトリがありません');
INSERT INTO `lang_definitions` VALUES (168035, 6148, 31, 'モジュールインストーラー');
INSERT INTO `lang_definitions` VALUES (168036, 6149, 31, 'モジュール名');
INSERT INTO `lang_definitions` VALUES (168037, 6150, 31, 'モジュール名は既に使われています');
INSERT INTO `lang_definitions` VALUES (168038, 6151, 31, 'モジュール');
INSERT INTO `lang_definitions` VALUES (168039, 6153, 31, '月');
INSERT INTO `lang_definitions` VALUES (168040, 6154, 31, '月から金');
INSERT INTO `lang_definitions` VALUES (168041, 6155, 31, '月水金');
INSERT INTO `lang_definitions` VALUES (168042, 6156, 31, '月曜日');
INSERT INTO `lang_definitions` VALUES (168043, 6157, 31, 'モンゴル人');
INSERT INTO `lang_definitions` VALUES (168044, 6160, 31, '月');
INSERT INTO `lang_definitions` VALUES (168045, 6161, 31, '月');
INSERT INTO `lang_definitions` VALUES (168046, 6162, 31, '月表');
INSERT INTO `lang_definitions` VALUES (168047, 6163, 31, '月');
INSERT INTO `lang_definitions` VALUES (168048, 6164, 31, '月収');
INSERT INTO `lang_definitions` VALUES (168049, 6166, 31, '月');
INSERT INTO `lang_definitions` VALUES (168050, 6190, 31, '母親');
INSERT INTO `lang_definitions` VALUES (168051, 6191, 31, '母親の名前');
INSERT INTO `lang_definitions` VALUES (168052, 6195, 31, '口');
INSERT INTO `lang_definitions` VALUES (168053, 6196, 31, '移動');
INSERT INTO `lang_definitions` VALUES (168054, 6197, 31, '書類をカテゴリへ移動');
INSERT INTO `lang_definitions` VALUES (168055, 6198, 31, '下へ');
INSERT INTO `lang_definitions` VALUES (168056, 6199, 31, '移動不可');
INSERT INTO `lang_definitions` VALUES (168057, 6201, 31, '患者へ移動');
INSERT INTO `lang_definitions` VALUES (168058, 6202, 31, '移動中...');
INSERT INTO `lang_definitions` VALUES (168059, 6203, 31, '上へ');
INSERT INTO `lang_definitions` VALUES (168060, 6204, 31, '移動中...');
INSERT INTO `lang_definitions` VALUES (168061, 6209, 31, 'Mr.');
INSERT INTO `lang_definitions` VALUES (168062, 6215, 31, 'Mrs.');
INSERT INTO `lang_definitions` VALUES (168063, 6217, 31, 'Ms.');
INSERT INTO `lang_definitions` VALUES (168064, 6230, 31, '多言語ツール');
INSERT INTO `lang_definitions` VALUES (168065, 6250, 31, '筋肉');
INSERT INTO `lang_definitions` VALUES (168066, 6271, 31, '該当なし');
INSERT INTO `lang_definitions` VALUES (168067, 6272, 31, '該当なし');
INSERT INTO `lang_definitions` VALUES (168068, 6274, 31, '名前');
INSERT INTO `lang_definitions` VALUES (168069, 6278, 31, '名前１');
INSERT INTO `lang_definitions` VALUES (168070, 6279, 31, '名前２');
INSERT INTO `lang_definitions` VALUES (168071, 6284, 31, 'イベント名');
INSERT INTO `lang_definitions` VALUES (168072, 6286, 31, 'プロバイダ名');
INSERT INTO `lang_definitions` VALUES (168073, 6296, 31, '名前:');
INSERT INTO `lang_definitions` VALUES (168074, 6326, 31, 'ナビゲーションエリアの幅');
INSERT INTO `lang_definitions` VALUES (168075, 6348, 31, '首');
INSERT INTO `lang_definitions` VALUES (168076, 6349, 31, '首故障');
INSERT INTO `lang_definitions` VALUES (168077, 6358, 31, '要認証');
INSERT INTO `lang_definitions` VALUES (168078, 6359, 31, '要適合');
INSERT INTO `lang_definitions` VALUES (168079, 6360, 31, '要補助課金');
INSERT INTO `lang_definitions` VALUES (168080, 6361, 31, '否定');
INSERT INTO `lang_definitions` VALUES (168081, 6363, 31, '否定');
INSERT INTO `lang_definitions` VALUES (168082, 6368, 31, 'ネパール人');
INSERT INTO `lang_definitions` VALUES (168083, 6374, 31, '精神的虚脱');
INSERT INTO `lang_definitions` VALUES (168084, 6382, 31, '非アルコール');
INSERT INTO `lang_definitions` VALUES (168085, 6383, 31, '非喫煙');
INSERT INTO `lang_definitions` VALUES (168086, 6384, 31, '新規');
INSERT INTO `lang_definitions` VALUES (168087, 6397, 31, '新規書類');
INSERT INTO `lang_definitions` VALUES (168088, 6398, 31, '新規書類');
INSERT INTO `lang_definitions` VALUES (168089, 6401, 31, '新規来院者');
INSERT INTO `lang_definitions` VALUES (168090, 6402, 31, '新規来院者(ID付与済み)');
INSERT INTO `lang_definitions` VALUES (168091, 6403, 31, '新規来院者フォーム');
INSERT INTO `lang_definitions` VALUES (168092, 6404, 31, '新規来院者非認定');
INSERT INTO `lang_definitions` VALUES (168093, 6406, 31, '新施術院情報');
INSERT INTO `lang_definitions` VALUES (168094, 6407, 31, '新規ファイル');
INSERT INTO `lang_definitions` VALUES (168095, 6408, 31, '新規ファイル');
INSERT INTO `lang_definitions` VALUES (168096, 6410, 31, '新規グループ');
INSERT INTO `lang_definitions` VALUES (168097, 6413, 31, '新規グループ情報');
INSERT INTO `lang_definitions` VALUES (168098, 6426, 31, '新規リスト');
INSERT INTO `lang_definitions` VALUES (168099, 6432, 31, '新規注文');
INSERT INTO `lang_definitions` VALUES (168100, 6433, 31, '新規パラグラフ');
INSERT INTO `lang_definitions` VALUES (168101, 6434, 31, '新規パスワード');
INSERT INTO `lang_definitions` VALUES (168102, 6435, 31, '新規患者');
INSERT INTO `lang_definitions` VALUES (168103, 6436, 31, '新規患者');
INSERT INTO `lang_definitions` VALUES (168104, 6437, 31, '新規患者来院者');
INSERT INTO `lang_definitions` VALUES (168105, 6438, 31, '新規患者フォーム');
INSERT INTO `lang_definitions` VALUES (168106, 6439, 31, '新規患者ID');
INSERT INTO `lang_definitions` VALUES (168107, 6442, 31, '新規支払');
INSERT INTO `lang_definitions` VALUES (168108, 6448, 31, '新規検索');
INSERT INTO `lang_definitions` VALUES (168109, 6451, 31, '新規ユーザー');
INSERT INTO `lang_definitions` VALUES (168110, 6452, 31, '新規値');
INSERT INTO `lang_definitions` VALUES (168111, 6453, 31, '新規訪問');
INSERT INTO `lang_definitions` VALUES (168112, 6454, 31, '新規/検索');
INSERT INTO `lang_definitions` VALUES (168113, 6482, 31, '次');
INSERT INTO `lang_definitions` VALUES (168114, 6484, 31, '翌月');
INSERT INTO `lang_definitions` VALUES (168115, 6485, 31, '来月');
INSERT INTO `lang_definitions` VALUES (168116, 6491, 31, '翌週');
INSERT INTO `lang_definitions` VALUES (168117, 6493, 31, 'ニックネーム');
INSERT INTO `lang_definitions` VALUES (168118, 6494, 31, 'ニックネーム');
INSERT INTO `lang_definitions` VALUES (168119, 6496, 31, '夜汗');
INSERT INTO `lang_definitions` VALUES (168120, 6499, 31, 'いいえ');
INSERT INTO `lang_definitions` VALUES (168121, 6500, 31, 'いいえ');
INSERT INTO `lang_definitions` VALUES (168122, 6502, 31, 'ノーアクセス');
INSERT INTO `lang_definitions` VALUES (168123, 6503, 31, '有効な患者の予定はありません');
INSERT INTO `lang_definitions` VALUES (168124, 6509, 31, '予約はありません');
INSERT INTO `lang_definitions` VALUES (168125, 6531, 31, 'エラーはありません');
INSERT INTO `lang_definitions` VALUES (168126, 6532, 31, 'イベントはありません');
INSERT INTO `lang_definitions` VALUES (168127, 6536, 31, 'グループが選択されていません');
INSERT INTO `lang_definitions` VALUES (168128, 6537, 31, 'ヘルニア無し');
INSERT INTO `lang_definitions` VALUES (168129, 6541, 31, '保険会社がありません');
INSERT INTO `lang_definitions` VALUES (168130, 6544, 31, '問題ありません');
INSERT INTO `lang_definitions` VALUES (168131, 6545, 31, 'この来院では問題ありません');
INSERT INTO `lang_definitions` VALUES (168132, 6546, 31, '選択されたカテゴリにはアイテムがありません');
INSERT INTO `lang_definitions` VALUES (168133, 6547, 31, 'アイテムが選択されていません');
INSERT INTO `lang_definitions` VALUES (168134, 6561, 31, 'ラボデータ書類がありません');
INSERT INTO `lang_definitions` VALUES (168135, 6562, 31, '選択日にはログファイルがありません');
INSERT INTO `lang_definitions` VALUES (168136, 6568, 31, '該当がありません。もう一度');
INSERT INTO `lang_definitions` VALUES (168137, 6569, 31, '該当がありませんでした。');
INSERT INTO `lang_definitions` VALUES (168138, 6570, 31, '該当がありません。新規患者を作成しますか？');
INSERT INTO `lang_definitions` VALUES (168139, 6571, 31, '一致するレコードがありません');
INSERT INTO `lang_definitions` VALUES (168140, 6577, 31, '新規レザルトがありません');
INSERT INTO `lang_definitions` VALUES (168141, 6578, 31, 'ノートがありません');
INSERT INTO `lang_definitions` VALUES (168142, 6584, 31, 'パラメーターが選択されていません');
INSERT INTO `lang_definitions` VALUES (168143, 6585, 31, 'パートナーがみつかりません');
INSERT INTO `lang_definitions` VALUES (168144, 6586, 31, '選択された抽出設定では患者記録がありません');
INSERT INTO `lang_definitions` VALUES (168145, 6587, 31, '設定された識別コードでは患者記録がありません');
INSERT INTO `lang_definitions` VALUES (168146, 6589, 31, '調剤薬局がありません');
INSERT INTO `lang_definitions` VALUES (168147, 6593, 31, '前のエントリーがありません');
INSERT INTO `lang_definitions` VALUES (168148, 6602, 31, 'レコードがありません');
INSERT INTO `lang_definitions` VALUES (168149, 6604, 31, 'レコードがありません。抽出範囲を拡大してください');
INSERT INTO `lang_definitions` VALUES (168150, 6607, 31, 'リマインダーがありません');
INSERT INTO `lang_definitions` VALUES (168151, 6608, 31, '指定された抽出条件ではリザルトがありません');
INSERT INTO `lang_definitions` VALUES (168152, 6609, 31, 'リザルトがありません');
INSERT INTO `lang_definitions` VALUES (168153, 6610, 31, 'リザルトがありませんでした');
INSERT INTO `lang_definitions` VALUES (168154, 6612, 31, '検索からはリザルトがありません');
INSERT INTO `lang_definitions` VALUES (168155, 6613, 31, 'リザルトがありません。もう一度');
INSERT INTO `lang_definitions` VALUES (168156, 6614, 31, 'リザルトがありません。もう一度');
INSERT INTO `lang_definitions` VALUES (168157, 6615, 31, 'リザルトがありません。もう一度');
INSERT INTO `lang_definitions` VALUES (168158, 6617, 31, 'このモジュールには設定がありません');
INSERT INTO `lang_definitions` VALUES (168159, 6621, 31, 'ファイルに署名がありません');
INSERT INTO `lang_definitions` VALUES (168160, 6624, 31, 'コンテキスト名がありません');
INSERT INTO `lang_definitions` VALUES (168161, 6625, 31, 'テーブルが選択されていません。テーブルを選択してください');
INSERT INTO `lang_definitions` VALUES (168162, 6629, 31, 'トラックがしていされていません');
INSERT INTO `lang_definitions` VALUES (168163, 6630, 31, 'トラックは書面化されていません');
INSERT INTO `lang_definitions` VALUES (168164, 6632, 31, '訪問無し');
INSERT INTO `lang_definitions` VALUES (168165, 6633, 31, 'バイタルは書面化されていません');
INSERT INTO `lang_definitions` VALUES (168166, 6634, 31, 'キャンセル');
INSERT INTO `lang_definitions` VALUES (168167, 6636, 31, 'いいえ');
INSERT INTO `lang_definitions` VALUES (168168, 6638, 31, '未払い');
INSERT INTO `lang_definitions` VALUES (168169, 6648, 31, '無し');
INSERT INTO `lang_definitions` VALUES (168170, 6649, 31, '無し');
INSERT INTO `lang_definitions` VALUES (168171, 6650, 31, '指定なし');
INSERT INTO `lang_definitions` VALUES (168172, 6652, 31, '書面化されていません');
INSERT INTO `lang_definitions` VALUES (168173, 6653, 31, '以降はありません');
INSERT INTO `lang_definitions` VALUES (168174, 6685, 31, '普通');
INSERT INTO `lang_definitions` VALUES (168175, 6697, 31, '普通:');
INSERT INTO `lang_definitions` VALUES (168176, 6701, 31, 'ノルウェー人');
INSERT INTO `lang_definitions` VALUES (168177, 6705, 31, '鼻');
INSERT INTO `lang_definitions` VALUES (168178, 6712, 31, '未許可');
INSERT INTO `lang_definitions` VALUES (168179, 6713, 31, '管理者グループへは削除は許可されていません');
INSERT INTO `lang_definitions` VALUES (168180, 6714, 31, '編集は許可されていません');
INSERT INTO `lang_definitions` VALUES (168181, 6721, 31, '許可されていません');
INSERT INTO `lang_definitions` VALUES (168182, 6722, 31, '許可されていません');
INSERT INTO `lang_definitions` VALUES (168183, 6725, 31, 'ユーザー管理を許可されていません');
INSERT INTO `lang_definitions` VALUES (168184, 6729, 31, 'ありません');
INSERT INTO `lang_definitions` VALUES (168185, 6731, 31, '支払われていません');
INSERT INTO `lang_definitions` VALUES (168186, 6742, 31, '見つかりません');
INSERT INTO `lang_definitions` VALUES (168187, 6744, 31, '見つかりません!');
INSERT INTO `lang_definitions` VALUES (168188, 6745, 31, 'ヒスパニックまたはラテン系ではありません');
INSERT INTO `lang_definitions` VALUES (168189, 6746, 31, 'インストールされていません');
INSERT INTO `lang_definitions` VALUES (168190, 6747, 31, 'インストールされていません');
INSERT INTO `lang_definitions` VALUES (168191, 6752, 31, '送信されていません');
INSERT INTO `lang_definitions` VALUES (168192, 6754, 31, '指定されていません');
INSERT INTO `lang_definitions` VALUES (168193, 6755, 31, '指定されていません');
INSERT INTO `lang_definitions` VALUES (168194, 6803, 31, '表示するものがありません');
INSERT INTO `lang_definitions` VALUES (168195, 6809, 31, '通知');
INSERT INTO `lang_definitions` VALUES (168196, 6810, 31, '通知先電子メールアドレス');
INSERT INTO `lang_definitions` VALUES (168197, 6815, 31, '通知');
INSERT INTO `lang_definitions` VALUES (168198, 6820, 31, '11月');
INSERT INTO `lang_definitions` VALUES (168199, 6821, 31, '11月');
INSERT INTO `lang_definitions` VALUES (168200, 6825, 31, '印刷中');
INSERT INTO `lang_definitions` VALUES (168201, 6837, 31, '番号');
INSERT INTO `lang_definitions` VALUES (168202, 6890, 31, '10月');
INSERT INTO `lang_definitions` VALUES (168203, 6891, 31, '10月');
INSERT INTO `lang_definitions` VALUES (168204, 6927, 31, 'OK');
INSERT INTO `lang_definitions` VALUES (168205, 6929, 31, 'ポップアップウインドウを閉じますか？');
INSERT INTO `lang_definitions` VALUES (168206, 6931, 31, '古い');
INSERT INTO `lang_definitions` VALUES (168207, 6937, 31, 'オーダー');
INSERT INTO `lang_definitions` VALUES (168208, 6940, 31, '省略');
INSERT INTO `lang_definitions` VALUES (168209, 6982, 31, '一日前');
INSERT INTO `lang_definitions` VALUES (168210, 6985, 31, '一ヶ月前');
INSERT INTO `lang_definitions` VALUES (168211, 6992, 31, '一年前');
INSERT INTO `lang_definitions` VALUES (168212, 6995, 31, 'オンライン');
INSERT INTO `lang_definitions` VALUES (168213, 6996, 31, 'オンラインサポート');
INSERT INTO `lang_definitions` VALUES (168214, 6997, 31, 'オンラインサポートリンク');
INSERT INTO `lang_definitions` VALUES (168215, 7007, 31, '自分のみ');
INSERT INTO `lang_definitions` VALUES (168216, 7030, 31, 'なんてことだ！');
INSERT INTO `lang_definitions` VALUES (168217, 7031, 31, '開く');
INSERT INTO `lang_definitions` VALUES (168218, 7040, 31, '新規ウインドウで開く');
INSERT INTO `lang_definitions` VALUES (168219, 7042, 31, '新規患者');
INSERT INTO `lang_definitions` VALUES (168220, 7046, 31, '今日の訪問先を開く');
INSERT INTO `lang_definitions` VALUES (168221, 7076, 31, 'OpenEMRデータベースアップグレード');
INSERT INTO `lang_definitions` VALUES (168222, 7085, 31, 'OpenEMRユーザー');
INSERT INTO `lang_definitions` VALUES (168223, 7089, 31, '操作に失敗しました');
INSERT INTO `lang_definitions` VALUES (168224, 7091, 31, 'オペレーター');
INSERT INTO `lang_definitions` VALUES (168225, 7092, 31, '眼科');
INSERT INTO `lang_definitions` VALUES (168226, 7093, 31, 'オプティカルディスク');
INSERT INTO `lang_definitions` VALUES (168227, 7095, 31, 'オプション');
INSERT INTO `lang_definitions` VALUES (168228, 7113, 31, 'オプション: 患者ID番号');
INSERT INTO `lang_definitions` VALUES (168229, 7116, 31, 'オプション');
INSERT INTO `lang_definitions` VALUES (168230, 7117, 31, 'OR');
INSERT INTO `lang_definitions` VALUES (168231, 7119, 31, 'または選択');
INSERT INTO `lang_definitions` VALUES (168232, 7129, 31, '注文');
INSERT INTO `lang_definitions` VALUES (168233, 7132, 31, '注文カタログ');
INSERT INTO `lang_definitions` VALUES (168234, 7133, 31, '注文日');
INSERT INTO `lang_definitions` VALUES (168235, 7134, 31, '注文概要');
INSERT INTO `lang_definitions` VALUES (168236, 7136, 31, '注文フォーム');
INSERT INTO `lang_definitions` VALUES (168237, 7137, 31, '注文ID');
INSERT INTO `lang_definitions` VALUES (168238, 7140, 31, '注文名');
INSERT INTO `lang_definitions` VALUES (168239, 7142, 31, '注文優先度');
INSERT INTO `lang_definitions` VALUES (168240, 7145, 31, '注文結果');
INSERT INTO `lang_definitions` VALUES (168241, 7146, 31, '注文状況');
INSERT INTO `lang_definitions` VALUES (168242, 7148, 31, '注文歴');
INSERT INTO `lang_definitions` VALUES (168243, 7149, 31, '注文トラック');
INSERT INTO `lang_definitions` VALUES (168244, 7150, 31, '注文タイプ');
INSERT INTO `lang_definitions` VALUES (168245, 7152, 31, '注文/結果タイプ');
INSERT INTO `lang_definitions` VALUES (168246, 7153, 31, '注文済み');
INSERT INTO `lang_definitions` VALUES (168247, 7154, 31, '注文者');
INSERT INTO `lang_definitions` VALUES (168248, 7167, 31, '組織');
INSERT INTO `lang_definitions` VALUES (168249, 7168, 31, '組織名');
INSERT INTO `lang_definitions` VALUES (168250, 7169, 31, '組織団体名');
INSERT INTO `lang_definitions` VALUES (168251, 7170, 31, '書式');
INSERT INTO `lang_definitions` VALUES (168252, 7175, 31, 'オリジナル');
INSERT INTO `lang_definitions` VALUES (168253, 7176, 31, 'オリジナルチェックサム');
INSERT INTO `lang_definitions` VALUES (168254, 7194, 31, 'その他');
INSERT INTO `lang_definitions` VALUES (168255, 7228, 31, 'オフィス外(外回り)');
INSERT INTO `lang_definitions` VALUES (168256, 7231, 31, '転帰');
INSERT INTO `lang_definitions` VALUES (168257, 7234, 31, 'Outlook');
INSERT INTO `lang_definitions` VALUES (168258, 7260, 31, 'ページ');
INSERT INTO `lang_definitions` VALUES (168259, 7264, 31, '支払済み');
INSERT INTO `lang_definitions` VALUES (168260, 7267, 31, '支払手段');
INSERT INTO `lang_definitions` VALUES (168261, 7268, 31, '病状');
INSERT INTO `lang_definitions` VALUES (168262, 7271, 31, '動悸');
INSERT INTO `lang_definitions` VALUES (168263, 7276, 31, '用紙');
INSERT INTO `lang_definitions` VALUES (168264, 7277, 31, '用紙サイズ');
INSERT INTO `lang_definitions` VALUES (168265, 7279, 31, '両親');
INSERT INTO `lang_definitions` VALUES (168266, 7289, 31, 'パートナー');
INSERT INTO `lang_definitions` VALUES (168267, 7290, 31, 'パートナー名');
INSERT INTO `lang_definitions` VALUES (168268, 7294, 31, '暗号文字列');
INSERT INTO `lang_definitions` VALUES (168269, 7295, 31, '書類暗号解除用暗号文字列');
INSERT INTO `lang_definitions` VALUES (168270, 7296, 31, '許諾済み患者');
INSERT INTO `lang_definitions` VALUES (168271, 7301, 31, 'パスワード');
INSERT INTO `lang_definitions` VALUES (168272, 7302, 31, 'パスワード変更');
INSERT INTO `lang_definitions` VALUES (168273, 7303, 31, 'パスワードは変更されました');
INSERT INTO `lang_definitions` VALUES (168274, 7304, 31, 'パスワードは変更されました');
INSERT INTO `lang_definitions` VALUES (168275, 7311, 31, 'SMS Gateway の為のパスワード');
INSERT INTO `lang_definitions` VALUES (168276, 7312, 31, 'SMS Gateway の為のパスワード');
INSERT INTO `lang_definitions` VALUES (168277, 7314, 31, 'パスワード保護は正常にアップグレードされました');
INSERT INTO `lang_definitions` VALUES (168278, 7316, 31, 'パスワードは8文字以上で設定してください');
INSERT INTO `lang_definitions` VALUES (168279, 7319, 31, 'パスワード:');
INSERT INTO `lang_definitions` VALUES (168280, 7322, 31, 'パスワードが一致していません');
INSERT INTO `lang_definitions` VALUES (168281, 7329, 31, '期日経過');
INSERT INTO `lang_definitions` VALUES (168282, 7330, 31, '期日経過');
INSERT INTO `lang_definitions` VALUES (168283, 7355, 31, 'Path for Event Log Backup');
INSERT INTO `lang_definitions` VALUES (168284, 7356, 31, 'Path to CA Certificate File');
INSERT INTO `lang_definitions` VALUES (168285, 7357, 31, 'Path to CA Key File');
INSERT INTO `lang_definitions` VALUES (168286, 7358, 31, 'Path to MySQL Binaries');
INSERT INTO `lang_definitions` VALUES (168287, 7359, 31, 'Path to Perl Binaries');
INSERT INTO `lang_definitions` VALUES (168288, 7360, 31, 'Path to Temporary Files');
INSERT INTO `lang_definitions` VALUES (168289, 7361, 31, '患者');
INSERT INTO `lang_definitions` VALUES (168290, 7362, 31, '患者');
INSERT INTO `lang_definitions` VALUES (168291, 7363, 31, '患者');
INSERT INTO `lang_definitions` VALUES (168292, 7365, 31, '患者の住所');
INSERT INTO `lang_definitions` VALUES (168293, 7366, 31, '患者の住所が未指定です');
INSERT INTO `lang_definitions` VALUES (168294, 7369, 31, '患者のアレルギー');
INSERT INTO `lang_definitions` VALUES (168295, 7370, 31, '患者のアレルギー');
INSERT INTO `lang_definitions` VALUES (168296, 7373, 31, '患者の予約');
INSERT INTO `lang_definitions` VALUES (168297, 7383, 31, '患者の所在市');
INSERT INTO `lang_definitions` VALUES (168298, 7384, 31, '患者の所在市がありません');
INSERT INTO `lang_definitions` VALUES (168299, 7387, 31, '患者の所在国');
INSERT INTO `lang_definitions` VALUES (168300, 7394, 31, '患者の来院日');
INSERT INTO `lang_definitions` VALUES (168301, 7396, 31, '患者の誕生日がありません');
INSERT INTO `lang_definitions` VALUES (168302, 7401, 31, '患者詳細');
INSERT INTO `lang_definitions` VALUES (168303, 7402, 31, '患者の誕生日');
INSERT INTO `lang_definitions` VALUES (168304, 7404, 31, '患者の書類');
INSERT INTO `lang_definitions` VALUES (168305, 7410, 31, '患者の学歴');
INSERT INTO `lang_definitions` VALUES (168306, 7415, 31, '患者検索');
INSERT INTO `lang_definitions` VALUES (168307, 7417, 31, '患者の名');
INSERT INTO `lang_definitions` VALUES (168308, 7419, 31, '患者名がありません');
INSERT INTO `lang_definitions` VALUES (168309, 7424, 31, '患者の性別');
INSERT INTO `lang_definitions` VALUES (168310, 7425, 31, '患者の性別がありません');
INSERT INTO `lang_definitions` VALUES (168311, 7428, 31, '患者の往診履歴');
INSERT INTO `lang_definitions` VALUES (168312, 7429, 31, '患者の履歴/ライフスタイル');
INSERT INTO `lang_definitions` VALUES (168313, 7430, 31, '患者の自宅電話番号');
INSERT INTO `lang_definitions` VALUES (168314, 7431, 31, '患者ID');
INSERT INTO `lang_definitions` VALUES (168315, 7432, 31, '患者ID');
INSERT INTO `lang_definitions` VALUES (168316, 7433, 31, '患者IDカード');
INSERT INTO `lang_definitions` VALUES (168317, 7434, 31, '患者IDカードカテゴリ名');
INSERT INTO `lang_definitions` VALUES (168318, 7438, 31, '患者情報');
INSERT INTO `lang_definitions` VALUES (168319, 7445, 31, '患者病状');
INSERT INTO `lang_definitions` VALUES (168320, 7447, 31, '患者姓');
INSERT INTO `lang_definitions` VALUES (168321, 7449, 31, '患者の姓がありません');
INSERT INTO `lang_definitions` VALUES (168322, 7454, 31, '患者リスト');
INSERT INTO `lang_definitions` VALUES (168323, 7470, 31, '患者姓名');
INSERT INTO `lang_definitions` VALUES (168324, 7472, 31, '患者姓名と住所');
INSERT INTO `lang_definitions` VALUES (168325, 7475, 31, '患者の姓名が必要です');
INSERT INTO `lang_definitions` VALUES (168326, 7477, 31, '患者ノート');
INSERT INTO `lang_definitions` VALUES (168327, 7478, 31, '患者ノートタイプ');
INSERT INTO `lang_definitions` VALUES (168328, 7479, 31, '患者ノート');
INSERT INTO `lang_definitions` VALUES (168329, 7480, 31, '患者ノート(追記のみ)');
INSERT INTO `lang_definitions` VALUES (168330, 7482, 31, '患者番号');
INSERT INTO `lang_definitions` VALUES (168331, 7525, 31, '患者検索結果スタイル');
INSERT INTO `lang_definitions` VALUES (168332, 7551, 31, '患者:');
INSERT INTO `lang_definitions` VALUES (168333, 7552, 31, '患者ID');
INSERT INTO `lang_definitions` VALUES (168334, 7553, 31, '患者一覧');
INSERT INTO `lang_definitions` VALUES (168335, 7568, 31, '支払人');
INSERT INTO `lang_definitions` VALUES (168336, 7576, 31, '支払');
INSERT INTO `lang_definitions` VALUES (168337, 7615, 31, 'PDFの言語');
INSERT INTO `lang_definitions` VALUES (168338, 7624, 31, '保留中');
INSERT INTO `lang_definitions` VALUES (168339, 7665, 31, '周辺');
INSERT INTO `lang_definitions` VALUES (168340, 7669, 31, 'ペルシャ人');
INSERT INTO `lang_definitions` VALUES (168341, 7670, 31, 'ペルシャ人');
INSERT INTO `lang_definitions` VALUES (168342, 7671, 31, '個人');
INSERT INTO `lang_definitions` VALUES (168343, 7672, 31, '個人化');
INSERT INTO `lang_definitions` VALUES (168344, 7676, 31, '薬学');
INSERT INTO `lang_definitions` VALUES (168345, 7678, 31, '調剤薬局');
INSERT INTO `lang_definitions` VALUES (168346, 7680, 31, '調剤薬局');
INSERT INTO `lang_definitions` VALUES (168347, 7697, 31, '電話');
INSERT INTO `lang_definitions` VALUES (168348, 7699, 31, '通話履歴リスト');
INSERT INTO `lang_definitions` VALUES (168349, 7701, 31, '通話履歴リスト');
INSERT INTO `lang_definitions` VALUES (168350, 7703, 31, '電話番号');
INSERT INTO `lang_definitions` VALUES (168351, 7705, 31, '電話ゲートウェイパスワード');
INSERT INTO `lang_definitions` VALUES (168352, 7706, 31, '電話ゲートウェイURL');
INSERT INTO `lang_definitions` VALUES (168353, 7707, 31, '電話ゲートウェイユーザー名');
INSERT INTO `lang_definitions` VALUES (168354, 7708, 31, '自宅番号');
INSERT INTO `lang_definitions` VALUES (168355, 7710, 31, '電話番号');
INSERT INTO `lang_definitions` VALUES (168356, 7711, 31, '電話番号');
INSERT INTO `lang_definitions` VALUES (168357, 7715, 31, '写真恐怖症');
INSERT INTO `lang_definitions` VALUES (168358, 7716, 31, '写真');
INSERT INTO `lang_definitions` VALUES (168359, 7717, 31, 'PHP圧縮済');
INSERT INTO `lang_definitions` VALUES (168360, 7718, 31, 'PHP CURL モジュールを有効にしてください');
INSERT INTO `lang_definitions` VALUES (168361, 7720, 31, 'PHP 展開済み');
INSERT INTO `lang_definitions` VALUES (168362, 7722, 31, 'PHP-gaclはインストールされていません');
INSERT INTO `lang_definitions` VALUES (168363, 7729, 31, '医師');
INSERT INTO `lang_definitions` VALUES (168364, 7742, 31, '錠剤');
INSERT INTO `lang_definitions` VALUES (168365, 7756, 31, 'プレーンテキスト');
INSERT INTO `lang_definitions` VALUES (168366, 7757, 31, 'プラン');
INSERT INTO `lang_definitions` VALUES (168367, 7762, 31, 'プラン名');
INSERT INTO `lang_definitions` VALUES (168368, 7773, 31, 'プラン:');
INSERT INTO `lang_definitions` VALUES (168369, 7776, 31, 'プラン');
INSERT INTO `lang_definitions` VALUES (168370, 7784, 31, 'パスワードを変更してください');
INSERT INTO `lang_definitions` VALUES (168371, 7785, 31, 'ファイルを選択してください');
INSERT INTO `lang_definitions` VALUES (168372, 7786, 31, '患者を選択してください');
INSERT INTO `lang_definitions` VALUES (168373, 7787, 31, 'リストから正しい選択をしてください');
INSERT INTO `lang_definitions` VALUES (168374, 7788, 31, '正しい選択をしてください');
INSERT INTO `lang_definitions` VALUES (168375, 7789, 31, '正しい値を選んでください');
INSERT INTO `lang_definitions` VALUES (168376, 7795, 31, 'ウインドウを閉じてください');
INSERT INTO `lang_definitions` VALUES (168377, 7796, 31, '新規名称を比較してください');
INSERT INTO `lang_definitions` VALUES (168378, 7802, 31, '処理前に値を直してください');
INSERT INTO `lang_definitions` VALUES (168379, 7803, 31, '処理前にディレクトリを作成してください');
INSERT INTO `lang_definitions` VALUES (168380, 7808, 31, 'CURL拡張を有効にしてください');
INSERT INTO `lang_definitions` VALUES (168381, 7809, 31, 'OPENSSL拡張を有効にしてください');
INSERT INTO `lang_definitions` VALUES (168382, 7810, 31, 'SOAP拡張を有効にしてください');
INSERT INTO `lang_definitions` VALUES (168383, 7811, 31, 'XML拡張を有効にしてください');
INSERT INTO `lang_definitions` VALUES (168384, 7814, 31, '日付を入力してください');
INSERT INTO `lang_definitions` VALUES (168385, 7818, 31, 'メッセージを入力してください');
INSERT INTO `lang_definitions` VALUES (168386, 7821, 31, '新規パスワードを入力してください');
INSERT INTO `lang_definitions` VALUES (168387, 7822, 31, 'タイトルを入力してください');
INSERT INTO `lang_definitions` VALUES (168388, 7824, 31, '正確な住所を入力してください');
INSERT INTO `lang_definitions` VALUES (168389, 7825, 31, 'アイテム名をもう少し入力してください');
INSERT INTO `lang_definitions` VALUES (168390, 7826, 31, 'トラック名をもう少し入力してください');
INSERT INTO `lang_definitions` VALUES (168391, 7829, 31, '終了日は開始日以後に設定してください');
INSERT INTO `lang_definitions` VALUES (168392, 7832, 31, '新規検索文字列を入力してください');
INSERT INTO `lang_definitions` VALUES (168393, 7834, 31, '新規パスワードを入力してください');
INSERT INTO `lang_definitions` VALUES (168394, 7843, 31, 'チェック番号を入力してください');
INSERT INTO `lang_definitions` VALUES (168395, 7845, 31, '日付を入力してください');
INSERT INTO `lang_definitions` VALUES (168396, 7846, 31, '支払合計を入力してください');
INSERT INTO `lang_definitions` VALUES (168397, 7847, 31, '支払カテゴリを入力してください');
INSERT INTO `lang_definitions` VALUES (168398, 7848, 31, '支払元を入力してください');
INSERT INTO `lang_definitions` VALUES (168399, 7858, 31, '再ログインしてください');
INSERT INTO `lang_definitions` VALUES (168400, 7861, 31, 'アルファベットのみです');
INSERT INTO `lang_definitions` VALUES (168401, 7862, 31, '空白無しのアルファベットのみです');
INSERT INTO `lang_definitions` VALUES (168402, 7863, 31, 'この合計額を支払ってください');
INSERT INTO `lang_definitions` VALUES (168403, 7864, 31, 'インストールファイルを指定のディレクトリに設置してください');
INSERT INTO `lang_definitions` VALUES (168404, 7868, 31, 'パスワードをリセットしてください');
INSERT INTO `lang_definitions` VALUES (168405, 7875, 31, '選択してください');
INSERT INTO `lang_definitions` VALUES (168406, 7877, 31, '言語を選択してください');
INSERT INTO `lang_definitions` VALUES (168407, 7878, 31, '患者を選択してください');
INSERT INTO `lang_definitions` VALUES (168408, 7882, 31, '受領者を選択してください');
INSERT INTO `lang_definitions` VALUES (168409, 7884, 31, '開始日と終了日を選択してください');
INSERT INTO `lang_definitions` VALUES (168410, 7886, 31, 'アクティブグループを選択');
INSERT INTO `lang_definitions` VALUES (168411, 7889, 31, 'イベントを選択してください');
INSERT INTO `lang_definitions` VALUES (168412, 7922, 31, '複数');
INSERT INTO `lang_definitions` VALUES (168413, 7926, 31, '午後');
INSERT INTO `lang_definitions` VALUES (168414, 7935, 31, 'Pneumococcal Conjugate 1');
INSERT INTO `lang_definitions` VALUES (168415, 7936, 31, 'Pneumococcal Conjugate 2');
INSERT INTO `lang_definitions` VALUES (168416, 7937, 31, 'Pneumococcal Conjugate 3');
INSERT INTO `lang_definitions` VALUES (168417, 7938, 31, 'Pneumococcal Conjugate 4');
INSERT INTO `lang_definitions` VALUES (168418, 7947, 31, 'ポリシー');
INSERT INTO `lang_definitions` VALUES (168419, 7950, 31, 'ポリシー番号');
INSERT INTO `lang_definitions` VALUES (168420, 7951, 31, 'ポリシー番号');
INSERT INTO `lang_definitions` VALUES (168421, 7952, 31, 'ポーランド人');
INSERT INTO `lang_definitions` VALUES (168422, 7965, 31, 'ポップアップ');
INSERT INTO `lang_definitions` VALUES (168423, 7967, 31, 'ポータル');
INSERT INTO `lang_definitions` VALUES (168424, 7976, 31, 'ポータルID');
INSERT INTO `lang_definitions` VALUES (168425, 7977, 31, 'ポータルIDは要求されたポータルと一致しません');
INSERT INTO `lang_definitions` VALUES (168426, 7980, 31, 'ポータルパスワードがありません');
INSERT INTO `lang_definitions` VALUES (168427, 7982, 31, 'ポータルリクエスト');
INSERT INTO `lang_definitions` VALUES (168428, 7984, 31, '縦向き');
INSERT INTO `lang_definitions` VALUES (168429, 7985, 31, 'ポルトガル人');
INSERT INTO `lang_definitions` VALUES (168430, 7987, 31, 'ブラジル人');
INSERT INTO `lang_definitions` VALUES (168431, 7988, 31, 'ポルトガル人(ヨーロッパ系)');
INSERT INTO `lang_definitions` VALUES (168432, 7989, 31, 'POS Code');
INSERT INTO `lang_definitions` VALUES (168433, 7990, 31, '位置');
INSERT INTO `lang_definitions` VALUES (168434, 7992, 31, 'ポジティブ');
INSERT INTO `lang_definitions` VALUES (168435, 7993, 31, 'ポジティブ');
INSERT INTO `lang_definitions` VALUES (168436, 7996, 31, '投函先');
INSERT INTO `lang_definitions` VALUES (168437, 8011, 31, '郵便');
INSERT INTO `lang_definitions` VALUES (168438, 8012, 31, '郵便番号');
INSERT INTO `lang_definitions` VALUES (168439, 8013, 31, '郵便番号');
INSERT INTO `lang_definitions` VALUES (168440, 8026, 31, '投函日');
INSERT INTO `lang_definitions` VALUES (168441, 8032, 31, 'Powered by');
INSERT INTO `lang_definitions` VALUES (168442, 8037, 31, '教練');
INSERT INTO `lang_definitions` VALUES (168443, 8038, 31, '教練基本設定');
INSERT INTO `lang_definitions` VALUES (168444, 8039, 31, '教練設定');
INSERT INTO `lang_definitions` VALUES (168445, 8041, 31, '教練者');
INSERT INTO `lang_definitions` VALUES (168446, 8043, 31, '先払い');
INSERT INTO `lang_definitions` VALUES (168447, 8049, 31, '設定');
INSERT INTO `lang_definitions` VALUES (168448, 8050, 31, '設定');
INSERT INTO `lang_definitions` VALUES (168449, 8052, 31, '優先するイベントカテゴリー');
INSERT INTO `lang_definitions` VALUES (168450, 8053, 31, '優先する言語');
INSERT INTO `lang_definitions` VALUES (168451, 8054, 31, '優先する薬局');
INSERT INTO `lang_definitions` VALUES (168452, 8059, 31, '前納');
INSERT INTO `lang_definitions` VALUES (168453, 8061, 31, '処方');
INSERT INTO `lang_definitions` VALUES (168454, 8063, 31, '処方箋は、その上限に達しています');
INSERT INTO `lang_definitions` VALUES (168455, 8064, 31, '処方履歴');
INSERT INTO `lang_definitions` VALUES (168456, 8065, 31, '処方履歴のインポートが正常に完了しました');
INSERT INTO `lang_definitions` VALUES (168457, 8066, 31, '調剤ラベル');
INSERT INTO `lang_definitions` VALUES (168458, 8067, 31, '処方レポート');
INSERT INTO `lang_definitions` VALUES (168459, 8070, 31, '処方箋');
INSERT INTO `lang_definitions` VALUES (168460, 8076, 31, '処方箋レポート');
INSERT INTO `lang_definitions` VALUES (168461, 8077, 31, '処方箋/紹介');
INSERT INTO `lang_definitions` VALUES (168462, 8078, 31, 'プレゼント');
INSERT INTO `lang_definitions` VALUES (168463, 8098, 31, '前');
INSERT INTO `lang_definitions` VALUES (168464, 8130, 31, '印刷');
INSERT INTO `lang_definitions` VALUES (168465, 8172, 31, '印刷表示');
INSERT INTO `lang_definitions` VALUES (168466, 8173, 31, '印刷可能');
INSERT INTO `lang_definitions` VALUES (168467, 8174, 31, '印刷可能表示');
INSERT INTO `lang_definitions` VALUES (168468, 8254, 31, '処置');
INSERT INTO `lang_definitions` VALUES (168469, 8396, 31, '肺');
INSERT INTO `lang_definitions` VALUES (168470, 8398, 31, '脈拍');
INSERT INTO `lang_definitions` VALUES (168471, 8399, 31, 'パンジャブ語');
INSERT INTO `lang_definitions` VALUES (168472, 8401, 31, '購入');
INSERT INTO `lang_definitions` VALUES (168473, 8402, 31, '購入/戻ります');
INSERT INTO `lang_definitions` VALUES (168474, 8403, 31, '購入');
INSERT INTO `lang_definitions` VALUES (168475, 8452, 31, '人種');
INSERT INTO `lang_definitions` VALUES (168476, 8453, 31, '人種と民族');
INSERT INTO `lang_definitions` VALUES (168477, 8454, 31, '人種/民族');
INSERT INTO `lang_definitions` VALUES (168478, 8456, 31, 'ラジオ');
INSERT INTO `lang_definitions` VALUES (168479, 8457, 31, 'ラジオボタン');
INSERT INTO `lang_definitions` VALUES (168480, 8462, 31, '宗教');
INSERT INTO `lang_definitions` VALUES (168481, 8645, 31, '更新');
INSERT INTO `lang_definitions` VALUES (168482, 8652, 31, '登録');
INSERT INTO `lang_definitions` VALUES (168483, 8655, 31, '登録されました');
INSERT INTO `lang_definitions` VALUES (168484, 8656, 31, '登録');
INSERT INTO `lang_definitions` VALUES (168485, 8662, 31, '登録されました');
INSERT INTO `lang_definitions` VALUES (168486, 8663, 31, '登録されているモジュール');
INSERT INTO `lang_definitions` VALUES (168487, 8666, 31, '登録日');
INSERT INTO `lang_definitions` VALUES (168488, 8668, 31, '登録フォーム');
INSERT INTO `lang_definitions` VALUES (168489, 8671, 31, 'リハビリテーション');
INSERT INTO `lang_definitions` VALUES (168490, 8672, 31, '拒否');
INSERT INTO `lang_definitions` VALUES (168491, 8674, 31, '再発の可能性');
INSERT INTO `lang_definitions` VALUES (168492, 8676, 31, '関連');
INSERT INTO `lang_definitions` VALUES (168493, 8677, 31, '関連問題');
INSERT INTO `lang_definitions` VALUES (168494, 8678, 31, '関連患者の注意事項');
INSERT INTO `lang_definitions` VALUES (168495, 8712, 31, 'リマインダー');
INSERT INTO `lang_definitions` VALUES (168496, 8725, 31, 'リマインダー');
INSERT INTO `lang_definitions` VALUES (168497, 8743, 31, '腎臓結石');
INSERT INTO `lang_definitions` VALUES (168498, 8744, 31, '名前変更');
INSERT INTO `lang_definitions` VALUES (168499, 8745, 31, 'グループ名変更');
INSERT INTO `lang_definitions` VALUES (168500, 8746, 31, 'レンダリング');
INSERT INTO `lang_definitions` VALUES (168501, 8747, 31, 'レンダリングプロバイダ');
INSERT INTO `lang_definitions` VALUES (168502, 8748, 31, 'レンダリングプロバイダー数');
INSERT INTO `lang_definitions` VALUES (168503, 8750, 31, '並べ替え');
INSERT INTO `lang_definitions` VALUES (168504, 8774, 31, 'レポート');
INSERT INTO `lang_definitions` VALUES (168505, 8789, 31, 'レポートステータス');
INSERT INTO `lang_definitions` VALUES (168506, 8819, 31, '強いパスワードが必須です');
INSERT INTO `lang_definitions` VALUES (168507, 8820, 31, 'ユニークなパスワードが必須です');
INSERT INTO `lang_definitions` VALUES (168508, 8821, 31, '必須');
INSERT INTO `lang_definitions` VALUES (168509, 8838, 31, 'リセット');
INSERT INTO `lang_definitions` VALUES (168510, 8995, 31, '医療用医薬品');
INSERT INTO `lang_definitions` VALUES (168511, 8996, 31, '医療用医薬品');
INSERT INTO `lang_definitions` VALUES (168512, 9034, 31, '販売');
INSERT INTO `lang_definitions` VALUES (168513, 9035, 31, '販売');
INSERT INTO `lang_definitions` VALUES (168514, 9036, 31, 'アイテム別売上高');
INSERT INTO `lang_definitions` VALUES (168515, 9037, 31, '製品別売上高レポート');
INSERT INTO `lang_definitions` VALUES (168516, 9038, 31, '唾液');
INSERT INTO `lang_definitions` VALUES (168517, 9039, 31, '同日');
INSERT INTO `lang_definitions` VALUES (168518, 9040, 31, 'サモア語');
INSERT INTO `lang_definitions` VALUES (168519, 9041, 31, 'サンプル');
INSERT INTO `lang_definitions` VALUES (168520, 9046, 31, 'サルデーニャ語');
INSERT INTO `lang_definitions` VALUES (168521, 9049, 31, '土曜日');
INSERT INTO `lang_definitions` VALUES (168522, 9050, 31, '保存');
INSERT INTO `lang_definitions` VALUES (168523, 9051, 31, '保存');
INSERT INTO `lang_definitions` VALUES (168524, 9055, 31, '保存して閉じる');
INSERT INTO `lang_definitions` VALUES (168525, 9063, 31, '新規ノートとして保存');
INSERT INTO `lang_definitions` VALUES (168526, 9079, 31, '新規グループを保存');
INSERT INTO `lang_definitions` VALUES (168527, 9080, 31, '新規名称リストを保存');
INSERT INTO `lang_definitions` VALUES (168528, 9081, 31, '新規テンプレート保存');
INSERT INTO `lang_definitions` VALUES (168529, 9090, 31, '保存成功しました');
INSERT INTO `lang_definitions` VALUES (168530, 9098, 31, 'スキャン');
INSERT INTO `lang_definitions` VALUES (168531, 9100, 31, 'スキャナのディレクトリ');
INSERT INTO `lang_definitions` VALUES (168532, 9104, 31, 'スケジュール');
INSERT INTO `lang_definitions` VALUES (168533, 9141, 31, '検索');
INSERT INTO `lang_definitions` VALUES (168534, 9161, 31, '患者検索・追加');
INSERT INTO `lang_definitions` VALUES (168535, 9167, 31, '検索結果');
INSERT INTO `lang_definitions` VALUES (168536, 9168, 31, '検索結果：');
INSERT INTO `lang_definitions` VALUES (168537, 9174, 31, '検索テキスト');
INSERT INTO `lang_definitions` VALUES (168538, 9178, 31, '検索/追加');
INSERT INTO `lang_definitions` VALUES (168539, 9181, 31, '予定検索');
INSERT INTO `lang_definitions` VALUES (168540, 9182, 31, '検索中...');
INSERT INTO `lang_definitions` VALUES (168541, 9207, 31, 'セキュリティ');
INSERT INTO `lang_definitions` VALUES (168542, 9208, 31, '全て見る');
INSERT INTO `lang_definitions` VALUES (168543, 9224, 31, '選択');
INSERT INTO `lang_definitions` VALUES (168544, 9225, 31, '選択');
INSERT INTO `lang_definitions` VALUES (168545, 9239, 31, 'すべて選択');
INSERT INTO `lang_definitions` VALUES (168546, 9250, 31, 'カテゴリ選択');
INSERT INTO `lang_definitions` VALUES (168547, 9257, 31, 'CSVテーブル選択');
INSERT INTO `lang_definitions` VALUES (168548, 9271, 31, '薬剤選択');
INSERT INTO `lang_definitions` VALUES (168549, 9272, 31, '薬剤選択');
INSERT INTO `lang_definitions` VALUES (168550, 9276, 31, 'フィールド選択');
INSERT INTO `lang_definitions` VALUES (168551, 9278, 31, 'フィールド選択');
INSERT INTO `lang_definitions` VALUES (168552, 9291, 31, '言語選択');
INSERT INTO `lang_definitions` VALUES (168553, 9303, 31, '出力選択');
INSERT INTO `lang_definitions` VALUES (168554, 9314, 31, 'ソース選択');
INSERT INTO `lang_definitions` VALUES (168555, 9317, 31, 'テンプレート選択');
INSERT INTO `lang_definitions` VALUES (168556, 9360, 31, '送信');
INSERT INTO `lang_definitions` VALUES (168557, 9372, 31, '送信メッセージ');
INSERT INTO `lang_definitions` VALUES (168558, 9389, 31, '全てに送信');
INSERT INTO `lang_definitions` VALUES (168559, 9395, 31, '送信者');
INSERT INTO `lang_definitions` VALUES (168560, 9396, 31, '送信者ＩＤ');
INSERT INTO `lang_definitions` VALUES (168561, 9417, 31, '送信日');
INSERT INTO `lang_definitions` VALUES (168562, 9431, 31, '9月');
INSERT INTO `lang_definitions` VALUES (168563, 9434, 31, 'セルビア語');
INSERT INTO `lang_definitions` VALUES (168564, 9442, 31, 'サービス');
INSERT INTO `lang_definitions` VALUES (168565, 9444, 31, 'サービスカテゴリ');
INSERT INTO `lang_definitions` VALUES (168566, 9445, 31, 'サービスコード');
INSERT INTO `lang_definitions` VALUES (168567, 9447, 31, 'サービスコード');
INSERT INTO `lang_definitions` VALUES (168568, 9456, 31, 'サービス名');
INSERT INTO `lang_definitions` VALUES (168569, 9459, 31, 'サービスレポート');
INSERT INTO `lang_definitions` VALUES (168570, 9460, 31, 'サービスレポートのみ');
INSERT INTO `lang_definitions` VALUES (168571, 9461, 31, 'サービス');
INSERT INTO `lang_definitions` VALUES (168572, 9466, 31, 'セッションタイプ');
INSERT INTO `lang_definitions` VALUES (168573, 9488, 31, '設定');
INSERT INTO `lang_definitions` VALUES (168574, 9498, 31, '性別');
INSERT INTO `lang_definitions` VALUES (168575, 9523, 31, '表示');
INSERT INTO `lang_definitions` VALUES (168576, 9527, 31, '全て表示');
INSERT INTO `lang_definitions` VALUES (168577, 9530, 31, '全ての結果を表示');
INSERT INTO `lang_definitions` VALUES (168578, 9540, 31, '詳細表示');
INSERT INTO `lang_definitions` VALUES (168579, 9544, 31, 'グラフを表示');
INSERT INTO `lang_definitions` VALUES (168580, 9552, 31, 'メニューを表示');
INSERT INTO `lang_definitions` VALUES (168581, 9556, 31, 'ノートを表示');
INSERT INTO `lang_definitions` VALUES (168582, 9561, 31, '患者ノートを表示');
INSERT INTO `lang_definitions` VALUES (168583, 9568, 31, 'リマインダーを表示');
INSERT INTO `lang_definitions` VALUES (168584, 9569, 31, 'レポートを表示');
INSERT INTO `lang_definitions` VALUES (168585, 9579, 31, 'タスク履歴表示');
INSERT INTO `lang_definitions` VALUES (168586, 9581, 31, 'USのみ表示');
INSERT INTO `lang_definitions` VALUES (168587, 9643, 31, 'サイズ');
INSERT INTO `lang_definitions` VALUES (168588, 9678, 31, '喫煙状態');
INSERT INTO `lang_definitions` VALUES (168589, 9680, 31, 'SMS認証');
INSERT INTO `lang_definitions` VALUES (168590, 9683, 31, 'SMSゲートウェイ');
INSERT INTO `lang_definitions` VALUES (168591, 9686, 31, 'SMSゲートウェイパスワード');
INSERT INTO `lang_definitions` VALUES (168592, 9687, 31, 'SMSゲートウェイユーザ名');
INSERT INTO `lang_definitions` VALUES (168593, 9689, 31, 'SMS通知');
INSERT INTO `lang_definitions` VALUES (168594, 9703, 31, 'SMTP認証パスワード');
INSERT INTO `lang_definitions` VALUES (168595, 9706, 31, 'SMTPサーバーホスト名');
INSERT INTO `lang_definitions` VALUES (168596, 9707, 31, 'SMTPサーバーポート番号');
INSERT INTO `lang_definitions` VALUES (168597, 9708, 31, 'SMTP認証ユーザー');
INSERT INTO `lang_definitions` VALUES (168598, 9764, 31, '日付順でソート');
INSERT INTO `lang_definitions` VALUES (168599, 9766, 31, 'イベント順でソート');
INSERT INTO `lang_definitions` VALUES (168600, 9767, 31, 'グループ順でソート');
INSERT INTO `lang_definitions` VALUES (168601, 9770, 31, '患者番号順でソート');
INSERT INTO `lang_definitions` VALUES (168602, 9774, 31, 'ユーザー順でソート');
INSERT INTO `lang_definitions` VALUES (168603, 9779, 31, 'ソース');
INSERT INTO `lang_definitions` VALUES (168604, 9781, 31, 'ソースファイル');
INSERT INTO `lang_definitions` VALUES (168605, 9782, 31, 'ソースファイルパス');
INSERT INTO `lang_definitions` VALUES (168606, 9786, 31, '感染患者');
INSERT INTO `lang_definitions` VALUES (168607, 9792, 31, 'スペース');
INSERT INTO `lang_definitions` VALUES (168608, 9823, 31, '検体');
INSERT INTO `lang_definitions` VALUES (168609, 9824, 31, '検体番号/識別子');
INSERT INTO `lang_definitions` VALUES (168610, 9825, 31, '検体の種類');
INSERT INTO `lang_definitions` VALUES (168611, 9827, 31, '音声ディクテーション');
INSERT INTO `lang_definitions` VALUES (168612, 9828, 31, '殺精子剤');
INSERT INTO `lang_definitions` VALUES (168613, 9831, 31, '脾臓摘出術');
INSERT INTO `lang_definitions` VALUES (168614, 9832, 31, '配偶者');
INSERT INTO `lang_definitions` VALUES (168615, 9833, 31, '配偶者の歴史');
INSERT INTO `lang_definitions` VALUES (168616, 9834, 31, '喀痰');
INSERT INTO `lang_definitions` VALUES (168617, 9835, 31, '喀痰:');
INSERT INTO `lang_definitions` VALUES (168618, 9837, 31, 'sql');
INSERT INTO `lang_definitions` VALUES (168619, 9839, 31, '分隊');
INSERT INTO `lang_definitions` VALUES (168620, 9840, 31, '分隊会員');
INSERT INTO `lang_definitions` VALUES (168621, 9841, 31, '分隊');
INSERT INTO `lang_definitions` VALUES (168622, 9866, 31, '開始');
INSERT INTO `lang_definitions` VALUES (168623, 9867, 31, '開始(yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (168624, 9874, 31, '開始日');
INSERT INTO `lang_definitions` VALUES (168625, 9878, 31, '開始日:');
INSERT INTO `lang_definitions` VALUES (168626, 9879, 31, '開始日:');
INSERT INTO `lang_definitions` VALUES (168627, 9881, 31, '開始時刻:');
INSERT INTO `lang_definitions` VALUES (168628, 9911, 31, 'ステータス');
INSERT INTO `lang_definitions` VALUES (168629, 9937, 31, '停止');
INSERT INTO `lang_definitions` VALUES (168630, 9947, 31, '通り');
INSERT INTO `lang_definitions` VALUES (168631, 9960, 31, 'スタイル');
INSERT INTO `lang_definitions` VALUES (168632, 9970, 31, '件名');
INSERT INTO `lang_definitions` VALUES (168633, 9971, 31, '主観的');
INSERT INTO `lang_definitions` VALUES (168634, 9972, 31, '舌下腺');
INSERT INTO `lang_definitions` VALUES (168635, 9973, 31, '舌下腺');
INSERT INTO `lang_definitions` VALUES (168636, 10024, 31, '成功');
INSERT INTO `lang_definitions` VALUES (168637, 10025, 31, '成功');
INSERT INTO `lang_definitions` VALUES (168638, 10033, 31, '削除成功');
INSERT INTO `lang_definitions` VALUES (168639, 10037, 31, '更新成功');
INSERT INTO `lang_definitions` VALUES (168640, 10042, 31, '格納成功。');
INSERT INTO `lang_definitions` VALUES (168641, 10044, 31, 'データベースのアップグレード成功しました。');
INSERT INTO `lang_definitions` VALUES (168642, 10051, 31, '概要');
INSERT INTO `lang_definitions` VALUES (168643, 10060, 31, '日曜日');
INSERT INTO `lang_definitions` VALUES (168644, 10069, 31, 'スーパーユーザー');
INSERT INTO `lang_definitions` VALUES (168645, 10100, 31, 'スワヒリ語');
INSERT INTO `lang_definitions` VALUES (168646, 10101, 31, 'スワティ');
INSERT INTO `lang_definitions` VALUES (168647, 10102, 31, '発汗：');
INSERT INTO `lang_definitions` VALUES (168648, 10103, 31, 'スウェーデン語');
INSERT INTO `lang_definitions` VALUES (168649, 10104, 31, 'むくみ');
INSERT INTO `lang_definitions` VALUES (168650, 10105, 31, '右の膨潤');
INSERT INTO `lang_definitions` VALUES (168651, 10106, 31, '腫脹関節');
INSERT INTO `lang_definitions` VALUES (168652, 10107, 31, '腫れたリンパ節');
INSERT INTO `lang_definitions` VALUES (168653, 10108, 31, '通貨の小数点として使用する記号。小数点以下の桁数が0の場合は使用されません。');
INSERT INTO `lang_definitions` VALUES (168654, 10121, 31, 'システム');
INSERT INTO `lang_definitions` VALUES (168655, 10133, 31, 'テーブル');
INSERT INTO `lang_definitions` VALUES (168656, 10187, 31, '電話');
INSERT INTO `lang_definitions` VALUES (168657, 10189, 31, '電話国コード');
INSERT INTO `lang_definitions` VALUES (168658, 10197, 31, 'テンプレート');
INSERT INTO `lang_definitions` VALUES (168659, 10198, 31, 'テンプレート名');
INSERT INTO `lang_definitions` VALUES (168660, 10201, 31, 'テンプレート：');
INSERT INTO `lang_definitions` VALUES (168661, 10202, 31, 'テンプレート');
INSERT INTO `lang_definitions` VALUES (168662, 10219, 31, 'テストスケジューリング');
INSERT INTO `lang_definitions` VALUES (168663, 10220, 31, 'テストシステム');
INSERT INTO `lang_definitions` VALUES (168664, 10223, 31, 'テキスト');
INSERT INTO `lang_definitions` VALUES (168665, 10225, 31, 'テキストフィールド');
INSERT INTO `lang_definitions` VALUES (168666, 10241, 31, 'タイ');
INSERT INTO `lang_definitions` VALUES (168667, 10242, 31, 'ありがとう');
INSERT INTO `lang_definitions` VALUES (168668, 10483, 31, 'あなたが入力したパスワードは無効です。');
INSERT INTO `lang_definitions` VALUES (168669, 10486, 31, '患者記録の要求が記録されています。');
INSERT INTO `lang_definitions` VALUES (168670, 10487, 31, '患者リマインダが送信されました');
INSERT INTO `lang_definitions` VALUES (168671, 10488, 31, '患者アラームが更新されました');
INSERT INTO `lang_definitions` VALUES (168672, 10594, 31, 'テーマ');
INSERT INTO `lang_definitions` VALUES (168673, 10882, 31, '木');
INSERT INTO `lang_definitions` VALUES (168674, 10885, 31, '木曜日');
INSERT INTO `lang_definitions` VALUES (168675, 10887, 31, '正常甲状腺');
INSERT INTO `lang_definitions` VALUES (168676, 10888, 31, '甲状腺の問題');
INSERT INTO `lang_definitions` VALUES (168677, 10918, 31, '耳鳴り');
INSERT INTO `lang_definitions` VALUES (168678, 10920, 31, 'タイトル');
INSERT INTO `lang_definitions` VALUES (168679, 10930, 31, '宛先');
INSERT INTO `lang_definitions` VALUES (168680, 10931, 31, '強制 ファイルパス');
INSERT INTO `lang_definitions` VALUES (168681, 10936, 31, 'ノート追記');
INSERT INTO `lang_definitions` VALUES (168682, 10937, 31, 'ここでノートを追記');
INSERT INTO `lang_definitions` VALUES (168683, 10944, 31, '領収書表示へ');
INSERT INTO `lang_definitions` VALUES (168684, 10945, 31, 'カテゴリーへ');
INSERT INTO `lang_definitions` VALUES (168685, 10973, 31, '性別でフィルター');
INSERT INTO `lang_definitions` VALUES (168686, 10980, 31, '履歴へ');
INSERT INTO `lang_definitions` VALUES (168687, 10982, 31, '問題へ');
INSERT INTO `lang_definitions` VALUES (168688, 11025, 31, 'タバコ');
INSERT INTO `lang_definitions` VALUES (168689, 11028, 31, '喫煙');
INSERT INTO `lang_definitions` VALUES (168690, 11029, 31, '喫煙');
INSERT INTO `lang_definitions` VALUES (168691, 11032, 31, '今日');
INSERT INTO `lang_definitions` VALUES (168692, 11033, 31, '本日');
INSERT INTO `lang_definitions` VALUES (168693, 11034, 31, '本日');
INSERT INTO `lang_definitions` VALUES (168694, 11052, 31, '上マージン (mm)');
INSERT INTO `lang_definitions` VALUES (168695, 11053, 31, 'トピック');
INSERT INTO `lang_definitions` VALUES (168696, 11054, 31, '合計');
INSERT INTO `lang_definitions` VALUES (168697, 11055, 31, '合計');
INSERT INTO `lang_definitions` VALUES (168698, 11064, 31, '合計料金');
INSERT INTO `lang_definitions` VALUES (168699, 11065, 31, '合計クライアント');
INSERT INTO `lang_definitions` VALUES (168700, 11067, 31, '総費用');
INSERT INTO `lang_definitions` VALUES (168701, 11163, 31, 'アクセス制御グループを翻訳');
INSERT INTO `lang_definitions` VALUES (168702, 11164, 31, '予定カテゴリを翻訳');
INSERT INTO `lang_definitions` VALUES (168703, 11165, 31, 'ドキュメントカテゴリを翻訳');
INSERT INTO `lang_definitions` VALUES (168704, 11166, 31, 'レイアウトを翻訳');
INSERT INTO `lang_definitions` VALUES (168705, 11167, 31, 'リストを翻訳');
INSERT INTO `lang_definitions` VALUES (168706, 11168, 31, '患者のノートタイトルを翻訳');
INSERT INTO `lang_definitions` VALUES (168707, 11169, 31, 'これを翻訳します');
INSERT INTO `lang_definitions` VALUES (168708, 11170, 31, '翻訳');
INSERT INTO `lang_definitions` VALUES (168709, 11171, 31, '翻訳');
INSERT INTO `lang_definitions` VALUES (168710, 11172, 31, '送信します');
INSERT INTO `lang_definitions` VALUES (168711, 11175, 31, '送信に失敗しました');
INSERT INTO `lang_definitions` VALUES (168712, 11177, 31, '選択した注文を送信');
INSERT INTO `lang_definitions` VALUES (168713, 11179, 31, '外傷');
INSERT INTO `lang_definitions` VALUES (168714, 11180, 31, '目標');
INSERT INTO `lang_definitions` VALUES (168715, 11182, 31, '目標ゴール');
INSERT INTO `lang_definitions` VALUES (168716, 11183, 31, '目標プラン');
INSERT INTO `lang_definitions` VALUES (168717, 11184, 31, '目標プランニング');
INSERT INTO `lang_definitions` VALUES (168718, 11185, 31, '目標を受理');
INSERT INTO `lang_definitions` VALUES (168719, 11186, 31, '目標');
INSERT INTO `lang_definitions` VALUES (168720, 11187, 31, '目標');
INSERT INTO `lang_definitions` VALUES (168721, 11189, 31, '傾向');
INSERT INTO `lang_definitions` VALUES (168722, 11211, 31, '火曜日');
INSERT INTO `lang_definitions` VALUES (168723, 11212, 31, '腫瘍');
INSERT INTO `lang_definitions` VALUES (168724, 11213, 31, 'トルコ語');
INSERT INTO `lang_definitions` VALUES (168725, 11214, 31, 'トルクメン語');
INSERT INTO `lang_definitions` VALUES (168726, 11221, 31, '監督者訓練');
INSERT INTO `lang_definitions` VALUES (168727, 11222, 31, '1日2回');
INSERT INTO `lang_definitions` VALUES (168728, 11223, 31, '二年前');
INSERT INTO `lang_definitions` VALUES (168729, 11226, 31, '鼓膜');
INSERT INTO `lang_definitions` VALUES (168730, 11227, 31, 'タイプ');
INSERT INTO `lang_definitions` VALUES (168731, 11276, 31, 'ディレクトリにアクセスすることができません');
INSERT INTO `lang_definitions` VALUES (168732, 11277, 31, 'URLにアクセスすることができません');
INSERT INTO `lang_definitions` VALUES (168733, 11278, 31, '作成することができません');
INSERT INTO `lang_definitions` VALUES (168734, 11279, 31, '患者文書サブディレクトリを作成することができません');
INSERT INTO `lang_definitions` VALUES (168735, 11287, 31, 'このファイル内のデータを見つけることができません。');
INSERT INTO `lang_definitions` VALUES (168736, 11291, 31, '未申請');
INSERT INTO `lang_definitions` VALUES (168737, 11292, 31, '未割当');
INSERT INTO `lang_definitions` VALUES (168738, 11293, 31, '不認定');
INSERT INTO `lang_definitions` VALUES (168739, 11295, 31, '認証されていないアクセス');
INSERT INTO `lang_definitions` VALUES (168740, 11296, 31, '未払い');
INSERT INTO `lang_definitions` VALUES (168741, 11297, 31, '未払いのみ');
INSERT INTO `lang_definitions` VALUES (168742, 11299, 31, '伯父');
INSERT INTO `lang_definitions` VALUES (168743, 11300, 31, '舌下');
INSERT INTO `lang_definitions` VALUES (168744, 11303, 31, '低体重');
INSERT INTO `lang_definitions` VALUES (168745, 11304, 31, '未診断');
INSERT INTO `lang_definitions` VALUES (168746, 11305, 31, '分配されていません');
INSERT INTO `lang_definitions` VALUES (168747, 11306, 31, '未分配');
INSERT INTO `lang_definitions` VALUES (168748, 11307, 31, '未分配は、');
INSERT INTO `lang_definitions` VALUES (168749, 11309, 31, 'チェックアウトを元に戻します');
INSERT INTO `lang_definitions` VALUES (168750, 11311, 31, 'ユニーククライアント');
INSERT INTO `lang_definitions` VALUES (168751, 11315, 31, 'ユニークな新しいクライアント');
INSERT INTO `lang_definitions` VALUES (168752, 11316, 31, 'このタイプのユニークなの数値識別子');
INSERT INTO `lang_definitions` VALUES (168753, 11317, 31, 'ユニーク見た患者');
INSERT INTO `lang_definitions` VALUES (168754, 11318, 31, 'ユニーク見患者報告');
INSERT INTO `lang_definitions` VALUES (168755, 11319, 31, 'ユニークSP');
INSERT INTO `lang_definitions` VALUES (168756, 11320, 31, 'ユニット');
INSERT INTO `lang_definitions` VALUES (168757, 11321, 31, '単位');
INSERT INTO `lang_definitions` VALUES (168758, 11328, 31, '不明');
INSERT INTO `lang_definitions` VALUES (168759, 11330, 31, '不明なエラー');
INSERT INTO `lang_definitions` VALUES (168760, 11332, 31, '不明　または無し');
INSERT INTO `lang_definitions` VALUES (168761, 11335, 31, '不明なユーザーID：');
INSERT INTO `lang_definitions` VALUES (168762, 11344, 31, '患者のリンクを解除');
INSERT INTO `lang_definitions` VALUES (168763, 11346, 31, '未登録');
INSERT INTO `lang_definitions` VALUES (168764, 11347, 31, '未登録のモジュール');
INSERT INTO `lang_definitions` VALUES (168765, 11349, 31, 'すべて選択解除');
INSERT INTO `lang_definitions` VALUES (168766, 11350, 31, '選択されていません');
INSERT INTO `lang_definitions` VALUES (168767, 11351, 31, '特定されていません');
INSERT INTO `lang_definitions` VALUES (168768, 11352, 31, '体系化されていません');
INSERT INTO `lang_definitions` VALUES (168769, 11354, 31, 'サポートされていないデータベース・ロード・ファイル');
INSERT INTO `lang_definitions` VALUES (168770, 11360, 31, '未使用');
INSERT INTO `lang_definitions` VALUES (168771, 11366, 31, 'アップデート');
INSERT INTO `lang_definitions` VALUES (168772, 11367, 31, 'アップデート');
INSERT INTO `lang_definitions` VALUES (168773, 11371, 31, 'ファイル更新');
INSERT INTO `lang_definitions` VALUES (168774, 11372, 31, 'インフォ更新');
INSERT INTO `lang_definitions` VALUES (168775, 11374, 31, 'リスト更新');
INSERT INTO `lang_definitions` VALUES (168776, 11377, 31, 'プロバイダー番号更新');
INSERT INTO `lang_definitions` VALUES (168777, 11378, 31, '選択アイテム更新');
INSERT INTO `lang_definitions` VALUES (168778, 11384, 31, 'ユーザー情報更新');
INSERT INTO `lang_definitions` VALUES (168779, 11390, 31, '更新したデモ画像は認証されていません');
INSERT INTO `lang_definitions` VALUES (168780, 11391, 31, 'グローバル設定を更新しました');
INSERT INTO `lang_definitions` VALUES (168781, 11392, 31, 'バージョン判別を更新しました');
INSERT INTO `lang_definitions` VALUES (168782, 11393, 31, 'アップグレード');
INSERT INTO `lang_definitions` VALUES (168783, 11394, 31, 'アップグレード');
INSERT INTO `lang_definitions` VALUES (168784, 11396, 31, 'データベースアップグレード');
INSERT INTO `lang_definitions` VALUES (168785, 11401, 31, 'アップロード');
INSERT INTO `lang_definitions` VALUES (168786, 11403, 31, 'テンプレートのアップロード');
INSERT INTO `lang_definitions` VALUES (168787, 11405, 31, 'アップロードしてインストール');
INSERT INTO `lang_definitions` VALUES (168788, 11407, 31, 'ドキュメントアップロード');
INSERT INTO `lang_definitions` VALUES (168789, 11408, 31, 'アップロード失敗！');
INSERT INTO `lang_definitions` VALUES (168790, 11415, 31, 'アップロードレポート');
INSERT INTO `lang_definitions` VALUES (168791, 11429, 31, '上腕');
INSERT INTO `lang_definitions` VALUES (168792, 11431, 31, 'ウルドゥー語');
INSERT INTO `lang_definitions` VALUES (168793, 11432, 31, '緊急');
INSERT INTO `lang_definitions` VALUES (168794, 11436, 31, '尿');
INSERT INTO `lang_definitions` VALUES (168795, 11438, 31, '尿頻度');
INSERT INTO `lang_definitions` VALUES (168796, 11443, 31, 'URL');
INSERT INTO `lang_definitions` VALUES (168797, 11496, 31, 'ユーザーネーム');
INSERT INTO `lang_definitions` VALUES (168798, 11498, 31, 'ユーザー／グループ');
INSERT INTO `lang_definitions` VALUES (168799, 11499, 31, 'ユーザー管理');
INSERT INTO `lang_definitions` VALUES (168800, 11502, 31, 'ユーザーを削除できません');
INSERT INTO `lang_definitions` VALUES (168801, 11503, 31, 'ユーザー認証を禁止します');
INSERT INTO `lang_definitions` VALUES (168802, 11507, 31, 'ユーザー任意');
INSERT INTO `lang_definitions` VALUES (168803, 11508, 31, 'ユーザー任意エリア 11');
INSERT INTO `lang_definitions` VALUES (168804, 11509, 31, 'ユーザー任意エリア 12');
INSERT INTO `lang_definitions` VALUES (168805, 11510, 31, 'ユーザー任意フィールド');
INSERT INTO `lang_definitions` VALUES (168806, 11511, 31, 'ユーザー任意リスト 1');
INSERT INTO `lang_definitions` VALUES (168807, 11512, 31, 'ユーザー任意リスト 2');
INSERT INTO `lang_definitions` VALUES (168808, 11513, 31, 'ユーザー任意リスト 3');
INSERT INTO `lang_definitions` VALUES (168809, 11514, 31, 'ユーザー任意リスト 4');
INSERT INTO `lang_definitions` VALUES (168810, 11515, 31, 'ユーザー任意リスト 5');
INSERT INTO `lang_definitions` VALUES (168811, 11516, 31, 'ユーザー任意リスト 6');
INSERT INTO `lang_definitions` VALUES (168812, 11517, 31, 'ユーザー任意リスト 7');
INSERT INTO `lang_definitions` VALUES (168813, 11518, 31, 'ユーザー任意テキスト 1');
INSERT INTO `lang_definitions` VALUES (168814, 11519, 31, 'ユーザー任意テキスト 2');
INSERT INTO `lang_definitions` VALUES (168815, 11520, 31, 'ユーザー任意テキスト 3');
INSERT INTO `lang_definitions` VALUES (168816, 11521, 31, 'ユーザー任意テキスト 4');
INSERT INTO `lang_definitions` VALUES (168817, 11522, 31, 'ユーザー任意テキスト 5');
INSERT INTO `lang_definitions` VALUES (168818, 11523, 31, 'ユーザー任意テキスト 6');
INSERT INTO `lang_definitions` VALUES (168819, 11524, 31, 'ユーザー任意テキスト 7');
INSERT INTO `lang_definitions` VALUES (168820, 11525, 31, 'ユーザー任意テキスト 8');
INSERT INTO `lang_definitions` VALUES (168821, 11526, 31, '名');
INSERT INTO `lang_definitions` VALUES (168822, 11532, 31, 'ユーザーマニュアル');
INSERT INTO `lang_definitions` VALUES (168823, 11533, 31, 'ユーザー会員規約');
INSERT INTO `lang_definitions` VALUES (168824, 11534, 31, 'ユーザーネーム');
INSERT INTO `lang_definitions` VALUES (168825, 11536, 31, 'ユーザーまたはホスト名は空白にできません');
INSERT INTO `lang_definitions` VALUES (168826, 11537, 31, 'ユーザーまたはホスト名');
INSERT INTO `lang_definitions` VALUES (168827, 11541, 31, 'ユーザー設定');
INSERT INTO `lang_definitions` VALUES (168828, 11544, 31, 'ユーザーの新しいパスワード');
INSERT INTO `lang_definitions` VALUES (168829, 11553, 31, 'ユーザーネーム');
INSERT INTO `lang_definitions` VALUES (168830, 11556, 31, 'SMS Gateway の為のユーザー名');
INSERT INTO `lang_definitions` VALUES (168831, 11557, 31, 'SMS Gateway の為のユーザー名');
INSERT INTO `lang_definitions` VALUES (168832, 11559, 31, 'ユーザーネーム');
INSERT INTO `lang_definitions` VALUES (168833, 11560, 31, 'ユーザー名');
INSERT INTO `lang_definitions` VALUES (168834, 11564, 31, 'ユーザー名/グループ/ログ 管理者');
INSERT INTO `lang_definitions` VALUES (168835, 11585, 31, 'ウズベク語');
INSERT INTO `lang_definitions` VALUES (168836, 11588, 31, '休暇');
INSERT INTO `lang_definitions` VALUES (168837, 11589, 31, '休暇');
INSERT INTO `lang_definitions` VALUES (168838, 11590, 31, 'ワクチン');
INSERT INTO `lang_definitions` VALUES (168839, 11593, 31, '膣リング');
INSERT INTO `lang_definitions` VALUES (168840, 11594, 31, '告別');
INSERT INTO `lang_definitions` VALUES (168841, 11596, 31, '検証');
INSERT INTO `lang_definitions` VALUES (168842, 11609, 31, '値');
INSERT INTO `lang_definitions` VALUES (168843, 11610, 31, '値 1');
INSERT INTO `lang_definitions` VALUES (168844, 11611, 31, '値 2');
INSERT INTO `lang_definitions` VALUES (168845, 11614, 31, '値 1');
INSERT INTO `lang_definitions` VALUES (168846, 11615, 31, '値 2');
INSERT INTO `lang_definitions` VALUES (168847, 11619, 31, '水痘１');
INSERT INTO `lang_definitions` VALUES (168848, 11620, 31, '水痘２');
INSERT INTO `lang_definitions` VALUES (168849, 11621, 31, '静脈瘤');
INSERT INTO `lang_definitions` VALUES (168850, 11623, 31, '血管の病気');
INSERT INTO `lang_definitions` VALUES (168851, 11624, 31, '血管損傷');
INSERT INTO `lang_definitions` VALUES (168852, 11625, 31, '血管外科');
INSERT INTO `lang_definitions` VALUES (168853, 11629, 31, 'ベンダ語');
INSERT INTO `lang_definitions` VALUES (168854, 11630, 31, 'ベンダー');
INSERT INTO `lang_definitions` VALUES (168855, 11634, 31, 'バージョン');
INSERT INTO `lang_definitions` VALUES (168856, 11653, 31, '眩暈');
INSERT INTO `lang_definitions` VALUES (168857, 11666, 31, 'ベトナム人');
INSERT INTO `lang_definitions` VALUES (168858, 11667, 31, '表示');
INSERT INTO `lang_definitions` VALUES (168859, 11668, 31, '表示');
INSERT INTO `lang_definitions` VALUES (168860, 11670, 31, 'アレルギーについて表示');
INSERT INTO `lang_definitions` VALUES (168861, 11677, 31, 'CSVテーブルで表示');
INSERT INTO `lang_definitions` VALUES (168862, 11678, 31, '詳細を表示');
INSERT INTO `lang_definitions` VALUES (168863, 11679, 31, '文書を表示');
INSERT INTO `lang_definitions` VALUES (168864, 11681, 31, '通院歴を表示');
INSERT INTO `lang_definitions` VALUES (168865, 11683, 31, 'ポップアップでイベントを表示しますか？');
INSERT INTO `lang_definitions` VALUES (168866, 11687, 31, 'ログ表示');
INSERT INTO `lang_definitions` VALUES (168867, 11690, 31, 'Page 1 表示');
INSERT INTO `lang_definitions` VALUES (168868, 11691, 31, 'Page 2 表示');
INSERT INTO `lang_definitions` VALUES (168869, 11692, 31, '過去と先の予約を表示');
INSERT INTO `lang_definitions` VALUES (168870, 11695, 31, '患者の表示');
INSERT INTO `lang_definitions` VALUES (168871, 11700, 31, '関連する通院の表示');
INSERT INTO `lang_definitions` VALUES (168872, 11701, 31, 'レポートの表示');
INSERT INTO `lang_definitions` VALUES (168873, 11702, 31, 'README ファイルの表示');
INSERT INTO `lang_definitions` VALUES (168874, 11712, 31, '閲覧/編集 アレルギー');
INSERT INTO `lang_definitions` VALUES (168875, 11713, 31, '閲覧/編集 問題');
INSERT INTO `lang_definitions` VALUES (168876, 11714, 31, '閲覧/印刷');
INSERT INTO `lang_definitions` VALUES (168877, 11718, 31, 'VISA');
INSERT INTO `lang_definitions` VALUES (168878, 11719, 31, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (168879, 11752, 31, 'バイタル');
INSERT INTO `lang_definitions` VALUES (168880, 11756, 31, '音声');
INSERT INTO `lang_definitions` VALUES (168881, 11763, 31, '嘔吐');
INSERT INTO `lang_definitions` VALUES (168882, 11778, 31, '発注');
INSERT INTO `lang_definitions` VALUES (168883, 11780, 31, '発注の最大値は0以上');
INSERT INTO `lang_definitions` VALUES (168884, 11781, 31, '発注の最少値は0以上');
INSERT INTO `lang_definitions` VALUES (168885, 11782, 31, '問屋');
INSERT INTO `lang_definitions` VALUES (168886, 11783, 31, '暖気');
INSERT INTO `lang_definitions` VALUES (168887, 11786, 31, '注意');
INSERT INTO `lang_definitions` VALUES (168888, 11787, 31, '注意');
INSERT INTO `lang_definitions` VALUES (168889, 11826, 31, 'ウェブ検索');
INSERT INTO `lang_definitions` VALUES (168890, 11827, 31, 'ウェブサイト');
INSERT INTO `lang_definitions` VALUES (168891, 11832, 31, '水');
INSERT INTO `lang_definitions` VALUES (168892, 11833, 31, '水曜日');
INSERT INTO `lang_definitions` VALUES (168893, 11834, 31, '週');
INSERT INTO `lang_definitions` VALUES (168894, 11835, 31, '週');
INSERT INTO `lang_definitions` VALUES (168895, 11836, 31, '週表示');
INSERT INTO `lang_definitions` VALUES (168896, 11841, 31, '体重');
INSERT INTO `lang_definitions` VALUES (168897, 11847, 31, 'ようこそ');
INSERT INTO `lang_definitions` VALUES (168898, 11849, 31, 'ウェールズ語');
INSERT INTO `lang_definitions` VALUES (168899, 11859, 31, 'フリジア語');
INSERT INTO `lang_definitions` VALUES (168900, 11862, 31, '喘鳴：');
INSERT INTO `lang_definitions` VALUES (168901, 11864, 31, '喘鳴');
INSERT INTO `lang_definitions` VALUES (168902, 11865, 31, '喘鳴音');
INSERT INTO `lang_definitions` VALUES (168903, 11866, 31, '喘鳴音:');
INSERT INTO `lang_definitions` VALUES (168904, 11923, 31, 'ウォロフ語');
INSERT INTO `lang_definitions` VALUES (168905, 11924, 31, '女性のみ');
INSERT INTO `lang_definitions` VALUES (168906, 11925, 31, '女性のみ');
INSERT INTO `lang_definitions` VALUES (168907, 11926, 31, 'WordPress Portal');
INSERT INTO `lang_definitions` VALUES (168908, 11927, 31, '仕事');
INSERT INTO `lang_definitions` VALUES (168909, 11928, 31, '仕事について');
INSERT INTO `lang_definitions` VALUES (168910, 11929, 31, '職場の電話番号');
INSERT INTO `lang_definitions` VALUES (168911, 11930, 31, '職場の電話番号');
INSERT INTO `lang_definitions` VALUES (168912, 11931, 31, '仕事がらみ？');
INSERT INTO `lang_definitions` VALUES (168913, 11934, 31, '業務日');
INSERT INTO `lang_definitions` VALUES (168914, 11944, 31, '場所を変更しますか？');
INSERT INTO `lang_definitions` VALUES (168915, 11945, 31, 'この患者への領収をキャンセルしますか？');
INSERT INTO `lang_definitions` VALUES (168916, 11946, 31, '領収書を削除しますか？');
INSERT INTO `lang_definitions` VALUES (168917, 11947, 31, '支払いを削除しますか？');
INSERT INTO `lang_definitions` VALUES (168918, 11948, 31, '支払いを変更の上、完了しますか？');
INSERT INTO `lang_definitions` VALUES (168919, 11949, 31, '支払を変更しますか？');
INSERT INTO `lang_definitions` VALUES (168920, 11950, 31, '先払いまたは支払を完了しますか？');
INSERT INTO `lang_definitions` VALUES (168921, 11951, 31, '先払いしますか？');
INSERT INTO `lang_definitions` VALUES (168922, 11952, 31, '保存しますか？');
INSERT INTO `lang_definitions` VALUES (168923, 11953, 31, '腕');
INSERT INTO `lang_definitions` VALUES (168924, 11954, 31, '手と腕');
INSERT INTO `lang_definitions` VALUES (168925, 11955, 31, '腕に問題');
INSERT INTO `lang_definitions` VALUES (168926, 11956, 31, '書く');
INSERT INTO `lang_definitions` VALUES (168927, 11958, 31, '書き出す');
INSERT INTO `lang_definitions` VALUES (168928, 11959, 31, '一度だけ書く');
INSERT INTO `lang_definitions` VALUES (168929, 11966, 31, 'x キャンセル');
INSERT INTO `lang_definitions` VALUES (168930, 11967, 31, 'x キャンセル');
INSERT INTO `lang_definitions` VALUES (168931, 11969, 31, 'レントゲン');
INSERT INTO `lang_definitions` VALUES (168932, 11988, 31, '年または日');
INSERT INTO `lang_definitions` VALUES (168933, 11989, 31, '年または日');
INSERT INTO `lang_definitions` VALUES (168934, 11990, 31, '毎年');
INSERT INTO `lang_definitions` VALUES (168935, 11991, 31, '年または日');
INSERT INTO `lang_definitions` VALUES (168936, 11992, 31, '年数');
INSERT INTO `lang_definitions` VALUES (168937, 11994, 31, '年または日');
INSERT INTO `lang_definitions` VALUES (168938, 11995, 31, '年月日');
INSERT INTO `lang_definitions` VALUES (168939, 11996, 31, 'はい');
INSERT INTO `lang_definitions` VALUES (168940, 11997, 31, 'はい');
INSERT INTO `lang_definitions` VALUES (168941, 11998, 31, 'はい');
INSERT INTO `lang_definitions` VALUES (168942, 11999, 31, 'はい');
INSERT INTO `lang_definitions` VALUES (168943, 12000, 31, 'ログを削除');
INSERT INTO `lang_definitions` VALUES (168944, 12002, 31, 'はい・いいえ');
INSERT INTO `lang_definitions` VALUES (168945, 12003, 31, 'はい');
INSERT INTO `lang_definitions` VALUES (168946, 12004, 31, 'イディッシュ語');
INSERT INTO `lang_definitions` VALUES (168947, 12005, 31, 'ヨルバ語');
INSERT INTO `lang_definitions` VALUES (168948, 12008, 31, '既存のテンプレートを置き換えようとしています。続けますか？');
INSERT INTO `lang_definitions` VALUES (168949, 12011, 31, 'ログイン猶予期間です。ログイン前にパスワードを変更します');
INSERT INTO `lang_definitions` VALUES (168950, 12012, 31, 'このイベントを削除は許可されていません');
INSERT INTO `lang_definitions` VALUES (168951, 12013, 31, 'イベントを編集は許可されていません');
INSERT INTO `lang_definitions` VALUES (168952, 12014, 31, 'この権限はありません');
INSERT INTO `lang_definitions` VALUES (168953, 12017, 31, '問題を追加/編集する権限がありません。');
INSERT INTO `lang_definitions` VALUES (168954, 12018, 31, '予定をスケジュールする権限がありません。');
INSERT INTO `lang_definitions` VALUES (168955, 12038, 31, '直接このページにアクセスすることはできません。');
INSERT INTO `lang_definitions` VALUES (168956, 12050, 31, 'あなたは直接このページにアクセスすることはできません。');
INSERT INTO `lang_definitions` VALUES (168957, 12058, 31, 'このノートを閲覧・編集する権限がありません');
INSERT INTO `lang_definitions` VALUES (168958, 12074, 31, '.txtファイルのみアップロードできます');
INSERT INTO `lang_definitions` VALUES (168959, 12085, 31, '文書を暗号化する為のパスワードを入力してください');
INSERT INTO `lang_definitions` VALUES (168960, 12090, 31, '患者を選択または追加してください');
INSERT INTO `lang_definitions` VALUES (168961, 12091, 31, 'エンカウンターを選択または作成してください');
INSERT INTO `lang_definitions` VALUES (168962, 12092, 31, '訪問先カテゴリを指定してください');
INSERT INTO `lang_definitions` VALUES (168963, 12093, 31, '訪問先カテゴリを指定してください');
INSERT INTO `lang_definitions` VALUES (168964, 12094, 31, '幾つかのフィールドを指定する必要があります');
INSERT INTO `lang_definitions` VALUES (168965, 12106, 31, '最低一つのコンテキストを指定してください');
INSERT INTO `lang_definitions` VALUES (168966, 12107, 31, '最低一つのプロバイダーを指定してください');
INSERT INTO `lang_definitions` VALUES (168967, 12118, 31, '病院のレポート');
INSERT INTO `lang_definitions` VALUES (168968, 12122, 31, '終了日が異常です');
INSERT INTO `lang_definitions` VALUES (168969, 12123, 31, 'イベントが削除されました');
INSERT INTO `lang_definitions` VALUES (168970, 12124, 31, 'イベントが変更されました');
INSERT INTO `lang_definitions` VALUES (168971, 12125, 31, 'イベントが更新されました');
INSERT INTO `lang_definitions` VALUES (168972, 12127, 31, 'ファイルが大きすぎます');
INSERT INTO `lang_definitions` VALUES (168973, 12131, 31, 'ラボのレザルト');
INSERT INTO `lang_definitions` VALUES (168974, 12139, 31, 'パスワード利用期限');
INSERT INTO `lang_definitions` VALUES (168975, 12140, 31, 'パスワード期限が切れました。パスワードを更新してください');
INSERT INTO `lang_definitions` VALUES (168976, 12141, 31, 'パスワード利用期限');
INSERT INTO `lang_definitions` VALUES (168977, 12143, 31, '今日はパスワード利用期限日です。パスワードを更新してください');
INSERT INTO `lang_definitions` VALUES (168978, 12147, 31, 'ポストカレンダー設定は更新されました');
INSERT INTO `lang_definitions` VALUES (168979, 12148, 31, '周回度数は整数で指定してください');
INSERT INTO `lang_definitions` VALUES (168980, 12149, 31, '周回度数を1回以上指定してください');
INSERT INTO `lang_definitions` VALUES (168981, 12151, 31, '開始日時が終了日時を超えています');
INSERT INTO `lang_definitions` VALUES (168982, 12152, 31, '開始日時が異常です');
INSERT INTO `lang_definitions` VALUES (168983, 12153, 31, 'サブミッション　指定エラー');
INSERT INTO `lang_definitions` VALUES (168984, 12156, 31, 'yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (168985, 12157, 31, 'YYYY-MM-DD');
INSERT INTO `lang_definitions` VALUES (168986, 12158, 31, 'yyyy-mm-dd date associated with this document');
INSERT INTO `lang_definitions` VALUES (168987, 12159, 31, 'yyyy-mm-dd date destroyed');
INSERT INTO `lang_definitions` VALUES (168988, 12160, 31, 'yyyy-mm-dd date of birth');
INSERT INTO `lang_definitions` VALUES (168989, 12161, 31, 'yyyy-mm-dd Date of Birth');
INSERT INTO `lang_definitions` VALUES (168990, 12162, 31, 'yyyy-mm-dd date of expiration');
INSERT INTO `lang_definitions` VALUES (168991, 12163, 31, 'yyyy-mm-dd Date of onset or hospitalization');
INSERT INTO `lang_definitions` VALUES (168992, 12164, 31, 'yyyy-mm-dd date of onset, surgery or start of medication');
INSERT INTO `lang_definitions` VALUES (168993, 12165, 31, 'yyyy-mm-dd date of purchase or transfer');
INSERT INTO `lang_definitions` VALUES (168994, 12166, 31, 'yyyy-mm-dd date of recovery or end of medication');
INSERT INTO `lang_definitions` VALUES (168995, 12167, 31, 'yyyy-mm-dd Date of return to play');
INSERT INTO `lang_definitions` VALUES (168996, 12168, 31, 'yyyy-mm-dd Date of service');
INSERT INTO `lang_definitions` VALUES (168997, 12169, 31, 'yyyy-mm-dd date of this letter');
INSERT INTO `lang_definitions` VALUES (168998, 12170, 31, 'yyyy-mm-dd date returned to play');
INSERT INTO `lang_definitions` VALUES (168999, 12171, 31, 'yyyy-mm-dd document date');
INSERT INTO `lang_definitions` VALUES (169000, 12173, 31, 'yyyy-mm-dd event date or starting date');
INSERT INTO `lang_definitions` VALUES (169001, 12174, 31, 'yyyy-mm-dd H:m End Date');
INSERT INTO `lang_definitions` VALUES (169002, 12175, 31, 'yyyy-mm-dd H:m End date');
INSERT INTO `lang_definitions` VALUES (169003, 12176, 31, 'yyyy-mm-dd H:m Start Date');
INSERT INTO `lang_definitions` VALUES (169004, 12177, 31, 'yyyy-mm-dd H:m Start date');
INSERT INTO `lang_definitions` VALUES (169005, 12178, 31, 'yyyy-mm-dd hh:mm:ss');
INSERT INTO `lang_definitions` VALUES (169006, 12179, 31, 'yyyy-mm-dd Hours(24):minutes');
INSERT INTO `lang_definitions` VALUES (169007, 12180, 31, 'yyyy-mm-dd last date of this event');
INSERT INTO `lang_definitions` VALUES (169008, 12183, 31, 'ZEF segment 内部エラー');
INSERT INTO `lang_definitions` VALUES (169009, 12184, 31, 'Zend Module');
INSERT INTO `lang_definitions` VALUES (169010, 12186, 31, 'ゼロ');
INSERT INTO `lang_definitions` VALUES (169011, 12187, 31, 'Zhuang, Chuang');
INSERT INTO `lang_definitions` VALUES (169012, 12188, 31, '郵便');
INSERT INTO `lang_definitions` VALUES (169013, 12189, 31, '郵便番号');
INSERT INTO `lang_definitions` VALUES (169014, 12191, 31, '郵便番号/国');
INSERT INTO `lang_definitions` VALUES (169015, 12196, 31, 'Zulu');
INSERT INTO `lang_definitions` VALUES (169016, 12199, 31, '本当に削除しますか');
INSERT INTO `lang_definitions` VALUES (169017, 12200, 31, '薬');
INSERT INTO `lang_definitions` VALUES (169018, 12203, 31, 'は、作成されました。');
INSERT INTO `lang_definitions` VALUES (169019, 12204, 31, 'は、再度オープンされました。');
INSERT INTO `lang_definitions` VALUES (169020, 12205, 31, '履歴');
INSERT INTO `lang_definitions` VALUES (169021, 12206, 31, 'は、番号ではありません。');
INSERT INTO `lang_definitions` VALUES (169022, 12207, 31, 'は、再度課金できるようになりました。');
INSERT INTO `lang_definitions` VALUES (169023, 12209, 31, '個数');
INSERT INTO `lang_definitions` VALUES (169024, 12211, 31, '分');
INSERT INTO `lang_definitions` VALUES (169025, 12212, 31, '見つかりません。');
INSERT INTO `lang_definitions` VALUES (169026, 12218, 31, 'は、キュー実行されます。');
INSERT INTO `lang_definitions` VALUES (169027, 12234, 31, '(クリックして編集)');
INSERT INTO `lang_definitions` VALUES (169028, 12237, 31, '(新しい患者)');
INSERT INTO `lang_definitions` VALUES (169029, 12244, 31, '* 必須');
INSERT INTO `lang_definitions` VALUES (169030, 12251, 31, '--全て--');
INSERT INTO `lang_definitions` VALUES (169031, 12255, 31, '0-10');
INSERT INTO `lang_definitions` VALUES (169032, 12256, 31, '0-24');
INSERT INTO `lang_definitions` VALUES (169033, 12267, 31, '12時間');
INSERT INTO `lang_definitions` VALUES (169034, 12272, 31, '2');
INSERT INTO `lang_definitions` VALUES (169035, 12274, 31, '今から2か月');
INSERT INTO `lang_definitions` VALUES (169036, 12288, 31, '24時間');
INSERT INTO `lang_definitions` VALUES (169037, 12297, 31, '3か月');
INSERT INTO `lang_definitions` VALUES (169038, 12298, 31, '今から3か月');
INSERT INTO `lang_definitions` VALUES (169039, 12299, 31, '日に3回');
INSERT INTO `lang_definitions` VALUES (169040, 12308, 31, '4か月');
INSERT INTO `lang_definitions` VALUES (169041, 12309, 31, '今から4か月');
INSERT INTO `lang_definitions` VALUES (169042, 12310, 31, '日に4回');
INSERT INTO `lang_definitions` VALUES (169043, 12316, 31, '486.0, 肺炎, 急性');
INSERT INTO `lang_definitions` VALUES (169044, 12334, 31, '6か月');
INSERT INTO `lang_definitions` VALUES (169045, 12335, 31, '今から6か月');
INSERT INTO `lang_definitions` VALUES (169046, 12353, 31, '< 診察室');
INSERT INTO `lang_definitions` VALUES (169047, 12357, 31, '> 退出');
INSERT INTO `lang_definitions` VALUES (169048, 12359, 31, '?');
INSERT INTO `lang_definitions` VALUES (169049, 12361, 31, '? 非表示');
INSERT INTO `lang_definitions` VALUES (169050, 12362, 31, '@ 到着');
INSERT INTO `lang_definitions` VALUES (169051, 12364, 31, '[View切り替え]');
INSERT INTO `lang_definitions` VALUES (169052, 12368, 31, '[OFXエクスポート]');
INSERT INTO `lang_definitions` VALUES (169053, 12370, 31, '[総通院者数]');
INSERT INTO `lang_definitions` VALUES (169054, 12371, 31, '[レポート]');
INSERT INTO `lang_definitions` VALUES (169055, 12372, 31, '[全選択]');
INSERT INTO `lang_definitions` VALUES (169056, 12373, 31, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (169057, 12374, 31, '[バッチ処理開始]');
INSERT INTO `lang_definitions` VALUES (169058, 12375, 31, '[ログ表示]');
INSERT INTO `lang_definitions` VALUES (169059, 12376, 31, '[印刷可能なレポートの表示]');
INSERT INTO `lang_definitions` VALUES (169060, 12378, 31, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (169061, 12379, 31, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (169062, 12380, 31, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (169063, 12381, 31, '~ 遅刻（遅延到着）');
INSERT INTO `lang_definitions` VALUES (169064, 1, 32, 'Yksi');
INSERT INTO `lang_definitions` VALUES (169065, 2, 32, 'Viitenumero');
INSERT INTO `lang_definitions` VALUES (169066, 4, 32, 'Pääkäyttäjän käyttöoikeusvarmenne');
INSERT INTO `lang_definitions` VALUES (169067, 6, 32, 'Kliininen asiakirja on liitteenä');
INSERT INTO `lang_definitions` VALUES (169068, 7, 32, 'Kliininen asiakirja on liitteenä.');
INSERT INTO `lang_definitions` VALUES (169069, 13, 32, 'Jakelija tarvitaan');
INSERT INTO `lang_definitions` VALUES (169070, 17, 32, 'GCAC vierailu lomake lisätään tämän vierailun.');
INSERT INTO `lang_definitions` VALUES (169071, 20, 32, 'Eränumero tarvitaan');
INSERT INTO `lang_definitions` VALUES (169072, 21, 32, 'Eränumero tarvitaan');
INSERT INTO `lang_definitions` VALUES (169073, 22, 32, 'Pieni kirjain');
INSERT INTO `lang_definitions` VALUES (169074, 28, 32, 'Numero');
INSERT INTO `lang_definitions` VALUES (169075, 30, 32, 'Potilas tällä ID:llä on jo olemassa.');
INSERT INTO `lang_definitions` VALUES (169076, 31, 32, 'Potilas tällä nimellä on jo olemassa.');
INSERT INTO `lang_definitions` VALUES (169077, 32, 32, 'Potilas tällä sotulla on jo olemassa.');
INSERT INTO `lang_definitions` VALUES (169078, 37, 32, 'Positiivinen luku näyttää useilla aiemmilla lähetetyt laatikkoon Potilaan yhteenveto.');
INSERT INTO `lang_definitions` VALUES (169079, 43, 32, 'Lähetteen antaja voidaan määrittää jokaisesta käynnistä.');
INSERT INTO `lang_definitions` VALUES (169080, 44, 32, 'Vastaava IPPF koodi vaaditaan!');
INSERT INTO `lang_definitions` VALUES (169081, 49, 32, 'Erikoismerkki');
INSERT INTO `lang_definitions` VALUES (169082, 53, 32, 'Yksilöllinen arvo tähän kenttään. Ei näy käyttäjälle.');
INSERT INTO `lang_definitions` VALUES (169083, 56, 32, 'Tälle potilaalle on jo merkitty käynti tälle päivälle. Klikkaa \"Peruuta\" avataksesi sen tai \"OK\", jos haluat jatkaa uuden käynnin luomista.');
INSERT INTO `lang_definitions` VALUES (169084, 57, 32, 'Ennen ateriaa');
INSERT INTO `lang_definitions` VALUES (169085, 58, 32, 'Aamupäivä');
INSERT INTO `lang_definitions` VALUES (169086, 60, 32, 'Ilma / neste tasolla oikein');
INSERT INTO `lang_definitions` VALUES (169087, 62, 32, 'AB');
INSERT INTO `lang_definitions` VALUES (169088, 63, 32, 'Lyhenne');
INSERT INTO `lang_definitions` VALUES (169089, 64, 32, 'Paise:');
INSERT INTO `lang_definitions` VALUES (169090, 65, 32, 'Vatsa');
INSERT INTO `lang_definitions` VALUES (169091, 66, 32, 'Pystyy kantamaan painoa neljä (4) askelta:');
INSERT INTO `lang_definitions` VALUES (169092, 67, 32, 'Poikkeava');
INSERT INTO `lang_definitions` VALUES (169093, 68, 32, 'ABN1');
INSERT INTO `lang_definitions` VALUES (169094, 70, 32, 'Poikkeava');
INSERT INTO `lang_definitions` VALUES (169095, 71, 32, 'Poikkeava verikoe');
INSERT INTO `lang_definitions` VALUES (169096, 72, 32, 'Poikkeava hiusten kasvu');
INSERT INTO `lang_definitions` VALUES (169097, 73, 32, 'Poikkeava mammografia');
INSERT INTO `lang_definitions` VALUES (169098, 75, 32, 'Raskaudenkeskeytys');
INSERT INTO `lang_definitions` VALUES (169099, 76, 32, 'Aborttiin liittyvät ongelmat');
INSERT INTO `lang_definitions` VALUES (169100, 77, 32, 'Raskaudenkeskeytyksen menetelmä');
INSERT INTO `lang_definitions` VALUES (169101, 78, 32, 'Raskaudenkeskeytykseen liittyvät luokat');
INSERT INTO `lang_definitions` VALUES (169102, 79, 32, 'Raskaudenkeskeytykset');
INSERT INTO `lang_definitions` VALUES (169103, 82, 32, 'Tietoja kalenterista');
INSERT INTO `lang_definitions` VALUES (169104, 85, 32, 'Poissaoloja Diagnoosi');
INSERT INTO `lang_definitions` VALUES (169105, 87, 32, 'Hyväksy tehtävät');
INSERT INTO `lang_definitions` VALUES (169106, 89, 32, 'Hyväksy maksu');
INSERT INTO `lang_definitions` VALUES (169107, 90, 32, 'Hyväksy maksu');
INSERT INTO `lang_definitions` VALUES (169108, 91, 32, 'Hyväksyy tehtävän');
INSERT INTO `lang_definitions` VALUES (169109, 93, 32, 'Pääsyvalvonta');
INSERT INTO `lang_definitions` VALUES (169110, 94, 32, 'Käytön hallinta');
INSERT INTO `lang_definitions` VALUES (169111, 102, 32, 'Pääsy kielletty');
INSERT INTO `lang_definitions` VALUES (169112, 103, 32, 'Ei lupaa pääsyyn');
INSERT INTO `lang_definitions` VALUES (169113, 105, 32, 'Avaa potilaan yhteenveto');
INSERT INTO `lang_definitions` VALUES (169114, 106, 32, 'Onnettomuus');
INSERT INTO `lang_definitions` VALUES (169115, 113, 32, 'Tilin nimi');
INSERT INTO `lang_definitions` VALUES (169116, 117, 32, 'Tilinhallinta');
INSERT INTO `lang_definitions` VALUES (169117, 122, 32, 'Kivut');
INSERT INTO `lang_definitions` VALUES (169118, 124, 32, 'Hyväksyminen pyydetty (ISA14)');
INSERT INTO `lang_definitions` VALUES (169119, 125, 32, 'Hyväksynnät, lisenssit ja todistukset');
INSERT INTO `lang_definitions` VALUES (169120, 126, 32, 'Käyttäjät (ACL)');
INSERT INTO `lang_definitions` VALUES (169121, 127, 32, 'Käyttäjien hallinta (ACL)');
INSERT INTO `lang_definitions` VALUES (169122, 129, 32, 'Ei lupaa hallinnoida käyttäjiä (ACL)');
INSERT INTO `lang_definitions` VALUES (169123, 132, 32, 'Käyttäjät päivitetty onnistuneesti (ACL)');
INSERT INTO `lang_definitions` VALUES (169124, 133, 32, 'Akne');
INSERT INTO `lang_definitions` VALUES (169125, 136, 32, 'Ajankohtaista');
INSERT INTO `lang_definitions` VALUES (169126, 137, 32, 'Tapahtuman päivämäärä');
INSERT INTO `lang_definitions` VALUES (169127, 138, 32, 'Toimenpide');
INSERT INTO `lang_definitions` VALUES (169128, 142, 32, 'Toimenpiteet');
INSERT INTO `lang_definitions` VALUES (169129, 144, 32, 'Aktivoi CCR / CCD raportointi');
INSERT INTO `lang_definitions` VALUES (169130, 148, 32, 'Päällä');
INSERT INTO `lang_definitions` VALUES (169131, 150, 32, 'Aktiivinen muistutus');
INSERT INTO `lang_definitions` VALUES (169132, 152, 32, 'Aktiivisen muistutuksen säännöt');
INSERT INTO `lang_definitions` VALUES (169133, 153, 32, 'Aktiivisia muistutuksia');
INSERT INTO `lang_definitions` VALUES (169134, 158, 32, 'Aktiivinen käynti');
INSERT INTO `lang_definitions` VALUES (169135, 160, 32, 'Aktiiviset listat');
INSERT INTO `lang_definitions` VALUES (169136, 162, 32, 'Aktiivinen potilas');
INSERT INTO `lang_definitions` VALUES (169137, 163, 32, 'Ajankohtaiset suunnitelmat');
INSERT INTO `lang_definitions` VALUES (169138, 173, 32, 'Aktiviteetit');
INSERT INTO `lang_definitions` VALUES (169139, 174, 32, 'toiminnan tyyppi');
INSERT INTO `lang_definitions` VALUES (169140, 185, 32, 'Akuutti myrkytys / peruuttaminen');
INSERT INTO `lang_definitions` VALUES (169141, 186, 32, 'Kroonisen sairauden akuutti ilmeneminen');
INSERT INTO `lang_definitions` VALUES (169142, 187, 32, 'Akuutti krooninen');
INSERT INTO `lang_definitions` VALUES (169143, 189, 32, 'Lisää');
INSERT INTO `lang_definitions` VALUES (169144, 190, 32, 'Lisää');
INSERT INTO `lang_definitions` VALUES (169145, 191, 32, 'Lisää');
INSERT INTO `lang_definitions` VALUES (169146, 192, 32, 'Lisää yritys');
INSERT INTO `lang_definitions` VALUES (169147, 197, 32, 'Lisää apteekki');
INSERT INTO `lang_definitions` VALUES (169148, 200, 32, 'Lisää tapahtuma');
INSERT INTO `lang_definitions` VALUES (169149, 202, 32, 'Lisää uutena muistiinpanona');
INSERT INTO `lang_definitions` VALUES (169150, 203, 32, 'Lisää uutena');
INSERT INTO `lang_definitions` VALUES (169151, 206, 32, 'Lisää painikkeita');
INSERT INTO `lang_definitions` VALUES (169152, 207, 32, 'Lisää painikkeita erikoismerkeille ja teksteille näytettäväksi editorin yläosassa sisällytettäessä tekstiä yhdellä klikkauksella');
INSERT INTO `lang_definitions` VALUES (169153, 208, 32, 'Lisää luokka');
INSERT INTO `lang_definitions` VALUES (169154, 209, 32, 'Lisää vakio');
INSERT INTO `lang_definitions` VALUES (169155, 210, 32, 'Lisää konteksti');
INSERT INTO `lang_definitions` VALUES (169156, 211, 32, 'Lisää maksuerä');
INSERT INTO `lang_definitions` VALUES (169157, 212, 32, 'Lisää peruste');
INSERT INTO `lang_definitions` VALUES (169158, 213, 32, 'Lisää mukautettu painike');
INSERT INTO `lang_definitions` VALUES (169159, 216, 32, 'Lisää diagnoosi');
INSERT INTO `lang_definitions` VALUES (169160, 217, 32, 'Lisää lääke');
INSERT INTO `lang_definitions` VALUES (169161, 220, 32, 'Lisää käynti');
INSERT INTO `lang_definitions` VALUES (169162, 221, 32, 'Lisää käynti / merkintä');
INSERT INTO `lang_definitions` VALUES (169163, 222, 32, 'Lisää tila');
INSERT INTO `lang_definitions` VALUES (169164, 223, 32, 'Lisää kenttä');
INSERT INTO `lang_definitions` VALUES (169165, 224, 32, 'Lisää seuraavat lauseet Apachen asetustiedostoon');
INSERT INTO `lang_definitions` VALUES (169166, 225, 32, 'Lisää ryhmä');
INSERT INTO `lang_definitions` VALUES (169167, 227, 32, 'Lisää diagnoosi koodi (ICD)');
INSERT INTO `lang_definitions` VALUES (169168, 228, 32, 'Lisää rokote');
INSERT INTO `lang_definitions` VALUES (169169, 229, 32, 'Ei oikeutta lisäämiseen!');
INSERT INTO `lang_definitions` VALUES (169170, 230, 32, 'Lisää tapahtuma');
INSERT INTO `lang_definitions` VALUES (169171, 231, 32, 'Lisää seurattava tuote');
INSERT INTO `lang_definitions` VALUES (169172, 232, 32, 'Lisää kieli');
INSERT INTO `lang_definitions` VALUES (169173, 238, 32, 'Lisää uusi');
INSERT INTO `lang_definitions` VALUES (169174, 239, 32, 'Lisää uusi');
INSERT INTO `lang_definitions` VALUES (169175, 240, 32, 'Lisää uusi luokka:');
INSERT INTO `lang_definitions` VALUES (169176, 241, 32, 'Lisää uusi sertifikaatti Apachen asetustiedostoon');
INSERT INTO `lang_definitions` VALUES (169177, 242, 32, 'Lisää uusi komponentti');
INSERT INTO `lang_definitions` VALUES (169178, 243, 32, 'Lisää uusia komponentteja');
INSERT INTO `lang_definitions` VALUES (169179, 249, 32, 'Lisää uusi ryhmä');
INSERT INTO `lang_definitions` VALUES (169180, 250, 32, 'Lisää uusi aihe');
INSERT INTO `lang_definitions` VALUES (169181, 251, 32, 'Lisää uusi erä ja transaktio');
INSERT INTO `lang_definitions` VALUES (169182, 253, 32, 'Lisää uusi muistiinpano');
INSERT INTO `lang_definitions` VALUES (169183, 254, 32, 'Lisää uusi muistiinpano');
INSERT INTO `lang_definitions` VALUES (169184, 255, 32, 'Lisää uusi kumppani');
INSERT INTO `lang_definitions` VALUES (169185, 256, 32, 'Lisää uusi potilas');
INSERT INTO `lang_definitions` VALUES (169186, 264, 32, 'Lisää muistiinpano');
INSERT INTO `lang_definitions` VALUES (169187, 268, 32, 'Lisää potilaskertomus');
INSERT INTO `lang_definitions` VALUES (169188, 269, 32, 'Lisää lääkemääräys');
INSERT INTO `lang_definitions` VALUES (169189, 270, 32, 'Lisää toiminto');
INSERT INTO `lang_definitions` VALUES (169190, 271, 32, 'Lisää hoitajan numero');
INSERT INTO `lang_definitions` VALUES (169191, 273, 32, 'Lisää kuntoutus');
INSERT INTO `lang_definitions` VALUES (169192, 274, 32, 'Lisää sääntö');
INSERT INTO `lang_definitions` VALUES (169193, 277, 32, 'Lisää');
INSERT INTO `lang_definitions` VALUES (169194, 281, 32, 'Lisää lääkelistaan');
INSERT INTO `lang_definitions` VALUES (169195, 282, 32, 'Lisää huipputaso');
INSERT INTO `lang_definitions` VALUES (169196, 283, 32, 'Lisää transaktio');
INSERT INTO `lang_definitions` VALUES (169197, 284, 32, 'Lisää käyttäjä');
INSERT INTO `lang_definitions` VALUES (169198, 285, 32, 'Lisää käyttäjä ryhmään');
INSERT INTO `lang_definitions` VALUES (169199, 287, 32, 'Lisää / Muokkaa sähköinen lääkemääräys');
INSERT INTO `lang_definitions` VALUES (169200, 289, 32, 'Lisää / Muokkaa potilastapahtumaa');
INSERT INTO `lang_definitions` VALUES (169201, 290, 32, 'lisätty');
INSERT INTO `lang_definitions` VALUES (169202, 293, 32, 'Ei saa lisätä henkilökohtaisia ​​tietoja.');
INSERT INTO `lang_definitions` VALUES (169203, 294, 32, 'Seurattavan tuotteen lisääminen ei onnistunut');
INSERT INTO `lang_definitions` VALUES (169204, 295, 32, 'Addison oireyhtymä');
INSERT INTO `lang_definitions` VALUES (169205, 296, 32, 'Addison oireyhtymä');
INSERT INTO `lang_definitions` VALUES (169206, 297, 32, 'lisämääreitä');
INSERT INTO `lang_definitions` VALUES (169207, 300, 32, 'Täydentävä diagnoosi:');
INSERT INTO `lang_definitions` VALUES (169208, 305, 32, 'Täydentävä sairaushistoria');
INSERT INTO `lang_definitions` VALUES (169209, 306, 32, 'Täydentävät historiatiedot');
INSERT INTO `lang_definitions` VALUES (169210, 307, 32, 'Lisätiedot');
INSERT INTO `lang_definitions` VALUES (169211, 310, 32, 'Täydentävä laboratoriotulos');
INSERT INTO `lang_definitions` VALUES (169212, 311, 32, 'Lisätiedot');
INSERT INTO `lang_definitions` VALUES (169213, 313, 32, 'Lisätiedot tähän tulokseen tai suositukseen');
INSERT INTO `lang_definitions` VALUES (169214, 314, 32, 'Lisätiedot:');
INSERT INTO `lang_definitions` VALUES (169215, 315, 32, 'Lisätiedot:');
INSERT INTO `lang_definitions` VALUES (169216, 317, 32, 'Röntgenin lisätiedot:');
INSERT INTO `lang_definitions` VALUES (169217, 318, 32, 'Lisäksi Yhdysvaltain vastaavaa snomed Extension Package voidaan tuoda erikseen asennuksen jälkeen International (Englanti versio) snomed Julkaisu');
INSERT INTO `lang_definitions` VALUES (169218, 320, 32, 'Vain lisäys');
INSERT INTO `lang_definitions` VALUES (169219, 322, 32, 'Osoitekirja');
INSERT INTO `lang_definitions` VALUES (169220, 323, 32, 'Osoitekirja');
INSERT INTO `lang_definitions` VALUES (169221, 324, 32, 'Osoite');
INSERT INTO `lang_definitions` VALUES (169222, 327, 32, 'Osoitekirja');
INSERT INTO `lang_definitions` VALUES (169223, 328, 32, 'Osoitekirjamerkintä yhtiöstä, joka suorittaa toimenpidettä');
INSERT INTO `lang_definitions` VALUES (169224, 329, 32, 'Osoitekirjamerkintä jakelijasta');
INSERT INTO `lang_definitions` VALUES (169225, 330, 32, 'Osoitekirjamerkintä myyjästä');
INSERT INTO `lang_definitions` VALUES (169226, 331, 32, 'Osoitteistolajit');
INSERT INTO `lang_definitions` VALUES (169227, 332, 32, 'Osoitetarra');
INSERT INTO `lang_definitions` VALUES (169228, 339, 32, 'Osoite1');
INSERT INTO `lang_definitions` VALUES (169229, 340, 32, 'Osoite2');
INSERT INTO `lang_definitions` VALUES (169230, 342, 32, 'Vastaanottaja');
INSERT INTO `lang_definitions` VALUES (169231, 345, 32, 'Pyöristä');
INSERT INTO `lang_definitions` VALUES (169232, 346, 32, 'Pyöristyksen määrä');
INSERT INTO `lang_definitions` VALUES (169233, 347, 32, 'Pyöristä');
INSERT INTO `lang_definitions` VALUES (169234, 348, 32, 'Pyöristys');
INSERT INTO `lang_definitions` VALUES (169235, 349, 32, 'Pyöristyksen määrä');
INSERT INTO `lang_definitions` VALUES (169236, 350, 32, 'Pyöristyksen syy');
INSERT INTO `lang_definitions` VALUES (169237, 352, 32, 'Pyöristyksen säätöarvo');
INSERT INTO `lang_definitions` VALUES (169238, 353, 32, 'Pyöristykset');
INSERT INTO `lang_definitions` VALUES (169239, 354, 32, 'Hallinnoi pyöristyksiä');
INSERT INTO `lang_definitions` VALUES (169240, 355, 32, 'Pääkäyttäjä');
INSERT INTO `lang_definitions` VALUES (169241, 356, 32, 'Pääkäyttäjän sähköpostiosoite');
INSERT INTO `lang_definitions` VALUES (169242, 359, 32, 'Hallinnoima');
INSERT INTO `lang_definitions` VALUES (169243, 360, 32, 'Hallinnoima');
INSERT INTO `lang_definitions` VALUES (169244, 361, 32, 'Hallinnointi pvm');
INSERT INTO `lang_definitions` VALUES (169245, 362, 32, 'Hallinnoitu sivusto');
INSERT INTO `lang_definitions` VALUES (169246, 363, 32, 'Hallinto');
INSERT INTO `lang_definitions` VALUES (169247, 365, 32, 'Hallinnoitava sivusto');
INSERT INTO `lang_definitions` VALUES (169248, 366, 32, 'Ylläpitäjät');
INSERT INTO `lang_definitions` VALUES (169249, 367, 32, 'Ylläpitäjät voivat tehdä kaikkea');
INSERT INTO `lang_definitions` VALUES (169250, 368, 32, 'Hyväksy päivämäärä');
INSERT INTO `lang_definitions` VALUES (169251, 371, 32, 'Painonhallinta ja seuranta aikuisille');
INSERT INTO `lang_definitions` VALUES (169252, 372, 32, 'Painonhallinta ja seuranta aikuisille');
INSERT INTO `lang_definitions` VALUES (169253, 373, 32, 'Tarkennettu neuvonta');
INSERT INTO `lang_definitions` VALUES (169254, 374, 32, 'Tarkennettu neuvonta');
INSERT INTO `lang_definitions` VALUES (169255, 375, 32, 'Tarkennettu neuvonta varoitus');
INSERT INTO `lang_definitions` VALUES (169256, 377, 32, 'Tarkennettu');
INSERT INTO `lang_definitions` VALUES (169257, 380, 32, 'Neuvo');
INSERT INTO `lang_definitions` VALUES (169258, 382, 32, 'Vaikuttaa normaaliin');
INSERT INTO `lang_definitions` VALUES (169259, 383, 32, 'Afrikaans');
INSERT INTO `lang_definitions` VALUES (169260, 386, 32, 'Päivystyspuhelu');
INSERT INTO `lang_definitions` VALUES (169261, 387, 32, 'Jälkeen Siirto vanhasta salasanoin jossa salasanat tallennetaan käyttäjien taulukossa ilman suolaa on valmis, tämän merkinnän pitäisi olla väärä, jotta vain todennus uusi menetelmä on mahdollista');
INSERT INTO `lang_definitions` VALUES (169262, 388, 32, 'Suorittamisen jälkeen edellä kokoonpanoissa, tuoda admin asiakassertifikaatin selain ja käynnistä uudelleen Apache-palvelin (tyhjä salasana).');
INSERT INTO `lang_definitions` VALUES (169263, 390, 32, 'PDF-tiedoston tallennuksen jälkeen, valitse [View Log] tarkistaaksesi virheet.');
INSERT INTO `lang_definitions` VALUES (169264, 393, 32, 'Tekstitiedoston tallennuksen jälkeen, valitse [View Log] tarkistaaksesi virheet');
INSERT INTO `lang_definitions` VALUES (169265, 396, 32, 'Erän tallennuksen jälkeen, valitse [View Log] tarkistaaksesi virheet.');
INSERT INTO `lang_definitions` VALUES (169266, 399, 32, 'Kun tiedot on syötetty oikein, klikkaa Tallenna-painiketta.');
INSERT INTO `lang_definitions` VALUES (169267, 400, 32, 'Tiedoston lähettämisen jälkeen klikkaa painiketta \"Tuo\"');
INSERT INTO `lang_definitions` VALUES (169268, 404, 32, 'Jälkihoidon suunnitelma');
INSERT INTO `lang_definitions` VALUES (169269, 406, 32, 'Jälleen');
INSERT INTO `lang_definitions` VALUES (169270, 407, 32, 'Ikä');
INSERT INTO `lang_definitions` VALUES (169271, 409, 32, 'vuotiaana');
INSERT INTO `lang_definitions` VALUES (169272, 410, 32, 'Ikäryhmä');
INSERT INTO `lang_definitions` VALUES (169273, 411, 32, 'Ikätieto on alueen ulkopuolella.');
INSERT INTO `lang_definitions` VALUES (169274, 412, 32, 'Iän esitysmuoto');
INSERT INTO `lang_definitions` VALUES (169275, 413, 32, 'Ikä muodossa \"ikä alkaen\" ei kelpaa');
INSERT INTO `lang_definitions` VALUES (169276, 414, 32, 'Ikä muodossa \"ikään asti\" ei kelpaa');
INSERT INTO `lang_definitions` VALUES (169277, 415, 32, 'Ikä alkaen');
INSERT INTO `lang_definitions` VALUES (169278, 416, 32, 'Vaihda iän näyttömuotoa');
INSERT INTO `lang_definitions` VALUES (169279, 417, 32, 'Ikä korkeintaan');
INSERT INTO `lang_definitions` VALUES (169280, 418, 32, 'Ikä vähintään');
INSERT INTO `lang_definitions` VALUES (169281, 419, 32, 'Ikäryhmä');
INSERT INTO `lang_definitions` VALUES (169282, 421, 32, 'Ikäsarakkeet:');
INSERT INTO `lang_definitions` VALUES (169283, 422, 32, 'Akan');
INSERT INTO `lang_definitions` VALUES (169284, 423, 32, 'Albania');
INSERT INTO `lang_definitions` VALUES (169285, 424, 32, 'Alkoholi');
INSERT INTO `lang_definitions` VALUES (169286, 425, 32, 'Alkoholin kulutus');
INSERT INTO `lang_definitions` VALUES (169287, 426, 32, 'Alkoholin käyttö');
INSERT INTO `lang_definitions` VALUES (169288, 428, 32, 'Varoitus Lukumäärä');
INSERT INTO `lang_definitions` VALUES (169289, 435, 32, 'Varoitukset');
INSERT INTO `lang_definitions` VALUES (169290, 439, 32, 'Aleut väestöstä');
INSERT INTO `lang_definitions` VALUES (169291, 440, 32, 'Kaikki');
INSERT INTO `lang_definitions` VALUES (169292, 441, 32, 'Kaikki');
INSERT INTO `lang_definitions` VALUES (169293, 443, 32, 'Kaikki (lajiteltuina A)');
INSERT INTO `lang_definitions` VALUES (169294, 444, 32, 'Kaikki (lajiteltuina B)');
INSERT INTO `lang_definitions` VALUES (169295, 445, 32, 'Kaikki (kumulatiivinen)');
INSERT INTO `lang_definitions` VALUES (169296, 447, 32, 'Kaikki automaattiset mittauslaskelmat (AMC)');
INSERT INTO `lang_definitions` VALUES (169297, 448, 32, 'Kaikki luokat');
INSERT INTO `lang_definitions` VALUES (169298, 449, 32, 'Kaikki kliinisen laadun mittaukset (CMQ)');
INSERT INTO `lang_definitions` VALUES (169299, 450, 32, 'Kaikki koodit');
INSERT INTO `lang_definitions` VALUES (169300, 453, 32, 'Koko päivä');
INSERT INTO `lang_definitions` VALUES (169301, 454, 32, 'Koko päivän tapahtuma');
INSERT INTO `lang_definitions` VALUES (169302, 455, 32, 'Kaikki väestötiedot kentät, mukana haku- ja päällekkäisyyksien tarkistus');
INSERT INTO `lang_definitions` VALUES (169303, 457, 32, 'Kaikki toimipaikat');
INSERT INTO `lang_definitions` VALUES (169304, 458, 32, 'Kaikki henkilövahingot / ongelmat / kysymykset');
INSERT INTO `lang_definitions` VALUES (169305, 459, 32, 'Kaikki kielet ovat sallittuja');
INSERT INTO `lang_definitions` VALUES (169306, 461, 32, 'Kaikki viralliset kliinisen laadun mittaukset (CQM) mittaryhmät');
INSERT INTO `lang_definitions` VALUES (169307, 462, 32, 'Koko etunimi tai sen osa');
INSERT INTO `lang_definitions` VALUES (169308, 463, 32, 'Koko sukunimi tai osa siitä');
INSERT INTO `lang_definitions` VALUES (169309, 464, 32, 'Koko organisaation nimi tai sen osa siitä');
INSERT INTO `lang_definitions` VALUES (169310, 466, 32, 'Kaikki potilaat');
INSERT INTO `lang_definitions` VALUES (169311, 468, 32, 'Kaikki tuotteet');
INSERT INTO `lang_definitions` VALUES (169312, 469, 32, 'Kaikki tarjoajat');
INSERT INTO `lang_definitions` VALUES (169313, 470, 32, 'Kaikki tutkitut ja negatiiviset:');
INSERT INTO `lang_definitions` VALUES (169314, 475, 32, 'Kaikki aiheet');
INSERT INTO `lang_definitions` VALUES (169315, 478, 32, 'Kaikki käyttäjät');
INSERT INTO `lang_definitions` VALUES (169316, 479, 32, 'Allerginen');
INSERT INTO `lang_definitions` VALUES (169317, 481, 32, 'Allergiat');
INSERT INTO `lang_definitions` VALUES (169318, 484, 32, 'Allergiat:');
INSERT INTO `lang_definitions` VALUES (169319, 485, 32, 'Allergia');
INSERT INTO `lang_definitions` VALUES (169320, 486, 32, 'Allergioiden tuonti onnistui');
INSERT INTO `lang_definitions` VALUES (169321, 487, 32, 'Allergialuettelo');
INSERT INTO `lang_definitions` VALUES (169322, 488, 32, 'Allerginen reaktio');
INSERT INTO `lang_definitions` VALUES (169323, 491, 32, 'Jaa');
INSERT INTO `lang_definitions` VALUES (169324, 492, 32, 'Salli');
INSERT INTO `lang_definitions` VALUES (169325, 494, 32, 'Salli koko saatavilla kielivalintavalikko sisäänkirjautuessa.');
INSERT INTO `lang_definitions` VALUES (169326, 496, 32, 'Salli diagnosien luominen, mutta ei menettelyjä tai maksuja. Useimmat klinikat eivät halua tätä.');
INSERT INTO `lang_definitions` VALUES (169327, 497, 32, 'Salli kielen virheenkorjaus');
INSERT INTO `lang_definitions` VALUES (169328, 500, 32, 'E-mail sallittu');
INSERT INTO `lang_definitions` VALUES (169329, 501, 32, 'Ovatko sähköpostit sallittua?');
INSERT INTO `lang_definitions` VALUES (169330, 502, 32, 'Onko sähköposti sallittu?');
INSERT INTO `lang_definitions` VALUES (169331, 503, 32, 'Luvanvaraisuudesta potilailla kokous');
INSERT INTO `lang_definitions` VALUES (169332, 506, 32, 'Salli terveystietojen jakaminen');
INSERT INTO `lang_definitions` VALUES (169333, 508, 32, 'Salli rokotustietojen jakaminen');
INSERT INTO `lang_definitions` VALUES (169334, 509, 32, 'Salli rokotusrekisterin käyttö');
INSERT INTO `lang_definitions` VALUES (169335, 512, 32, 'Salli postiviestit');
INSERT INTO `lang_definitions` VALUES (169336, 533, 32, 'Salli kirjautuminen potilasportaaliin');
INSERT INTO `lang_definitions` VALUES (169337, 541, 32, 'Salli SMS');
INSERT INTO `lang_definitions` VALUES (169338, 542, 32, 'Salli SMS (tekstiviestit)?');
INSERT INTO `lang_definitions` VALUES (169339, 544, 32, 'Sallitaanko tapahtumien välitön aktivoituminen?');
INSERT INTO `lang_definitions` VALUES (169340, 545, 32, 'Sallitaanko puhelinviestit?');
INSERT INTO `lang_definitions` VALUES (169341, 547, 32, 'Salli käyttäjien julkaista Yhteisiä tapahtumia');
INSERT INTO `lang_definitions` VALUES (169342, 548, 32, 'Salli käyttäjien julkaista henkilökohtaisen ​​kalenterinsa');
INSERT INTO `lang_definitions` VALUES (169343, 554, 32, 'Salli puheviestit');
INSERT INTO `lang_definitions` VALUES (169344, 555, 32, 'Sallittu');
INSERT INTO `lang_definitions` VALUES (169345, 556, 32, 'Sallittu kielet');
INSERT INTO `lang_definitions` VALUES (169346, 558, 32, 'Hyväksytty ©');
INSERT INTO `lang_definitions` VALUES (169347, 559, 32, 'Sallitaan sähköinen allekirjoitus koko tapahtumaan');
INSERT INTO `lang_definitions` VALUES (169348, 560, 32, 'Sallitaan sähköinen allekirjoitus yksittäisiin lomakkeisiin');
INSERT INTO `lang_definitions` VALUES (169349, 561, 32, 'Sallitaan kirjeet');
INSERT INTO `lang_definitions` VALUES (169350, 562, 32, 'Sallitaan puheviestit');
INSERT INTO `lang_definitions` VALUES (169351, 566, 32, 'on jo olemassa');
INSERT INTO `lang_definitions` VALUES (169352, 568, 32, 'on jo olemassa.');
INSERT INTO `lang_definitions` VALUES (169353, 570, 32, 'Jo käytössä, valitse toinen tunniste');
INSERT INTO `lang_definitions` VALUES (169354, 571, 32, 'Jo käytössä, valitse toinen nimike');
INSERT INTO `lang_definitions` VALUES (169355, 573, 32, 'Vaihtoehtoinen osoite');
INSERT INTO `lang_definitions` VALUES (169356, 577, 32, 'Vaihda');
INSERT INTO `lang_definitions` VALUES (169357, 584, 32, 'Vaihtoehtoisesti voit käyttää hakutoimintoa ladata sähköisen hyväksynnän (X12 83L) tiedosto, joka olet saanut maksajan tai selvityskeskusjärjestelmän. Voit tehdä tämän napsauttamalla Selaa-painiketta ja valitse tiedosto, jonka haluat ladata ja napsauta Haku-painiketta ladata ja näyttää vastaavat laskut. Tässä tapauksessa ei muut parametrit edellä mainittiin, ja niitä ei huomioida. Siirto tallentaa tiedoston, mutta prosessit eivät ole vielä sisältöä - tämä tapahtuu erikseen alla.');
INSERT INTO `lang_definitions` VALUES (169358, 586, 32, 'aamupäivä');
INSERT INTO `lang_definitions` VALUES (169359, 587, 32, 'Aamupäivän ohjelma');
INSERT INTO `lang_definitions` VALUES (169360, 592, 32, 'Automaattinen laskeminen toimenpiteet (AMC)');
INSERT INTO `lang_definitions` VALUES (169361, 593, 32, 'Automaattinen laskeminen toimenpiteet (AMC) seuranta');
INSERT INTO `lang_definitions` VALUES (169362, 594, 32, 'AMC-2011');
INSERT INTO `lang_definitions` VALUES (169363, 595, 32, 'AMC-2014');
INSERT INTO `lang_definitions` VALUES (169364, 600, 32, 'Muokkaa muistiinpanoa');
INSERT INTO `lang_definitions` VALUES (169365, 602, 32, 'Tarkistus alk');
INSERT INTO `lang_definitions` VALUES (169366, 604, 32, 'Tarkistuksen tila');
INSERT INTO `lang_definitions` VALUES (169367, 605, 32, 'Tarkistukset');
INSERT INTO `lang_definitions` VALUES (169368, 609, 32, 'Tarkistukset kohteelle');
INSERT INTO `lang_definitions` VALUES (169369, 610, 32, 'Amerikan intiaani');
INSERT INTO `lang_definitions` VALUES (169370, 611, 32, 'Amerikan intiaani tai syntynyt Alaskassa');
INSERT INTO `lang_definitions` VALUES (169371, 612, 32, 'AMEX');
INSERT INTO `lang_definitions` VALUES (169372, 613, 32, 'Amhara');
INSERT INTO `lang_definitions` VALUES (169373, 614, 32, 'Määrä');
INSERT INTO `lang_definitions` VALUES (169374, 615, 32, 'Annosteltu määrä');
INSERT INTO `lang_definitions` VALUES (169375, 617, 32, 'Veloitettava summa');
INSERT INTO `lang_definitions` VALUES (169376, 620, 32, 'Edellinen saldo');
INSERT INTO `lang_definitions` VALUES (169377, 621, 32, 'Tämän käynnin summa');
INSERT INTO `lang_definitions` VALUES (169378, 622, 32, 'Maksettu summa');
INSERT INTO `lang_definitions` VALUES (169379, 623, 32, 'Summa:');
INSERT INTO `lang_definitions` VALUES (169380, 626, 32, 'Laskutettu summa');
INSERT INTO `lang_definitions` VALUES (169381, 630, 32, 'Toistuvaan tapahtumaan vaaditaan aloituspäivää myöhäisempi lopetuspäivämäärä!');
INSERT INTO `lang_definitions` VALUES (169382, 631, 32, 'Lomaketta allekirjoitettaessa tapahtui virhe');
INSERT INTO `lang_definitions` VALUES (169383, 632, 32, 'Tapahtui virhe poistettaessa OpenEMR www-tiedostopuuta.');
INSERT INTO `lang_definitions` VALUES (169384, 633, 32, 'Tapahtui virhe poistettaessa phpGACL www-tiedostopuuta.');
INSERT INTO `lang_definitions` VALUES (169385, 634, 32, 'Tapahtui virhe poistettaessa SQL-Ledger www-tiedostopuuta.');
INSERT INTO `lang_definitions` VALUES (169386, 638, 32, 'Epätäydellinen GCAC on luotu ja linkitetty. Joku tulee täydentämään sitä myöhemmin.');
INSERT INTO `lang_definitions` VALUES (169387, 644, 32, 'Tapahtunut odottamaton virhe');
INSERT INTO `lang_definitions` VALUES (169388, 646, 32, 'Iso kirjain');
INSERT INTO `lang_definitions` VALUES (169389, 648, 32, 'ja');
INSERT INTO `lang_definitions` VALUES (169390, 649, 32, 'Ja');
INSERT INTO `lang_definitions` VALUES (169391, 650, 32, 'JA');
INSERT INTO `lang_definitions` VALUES (169392, 651, 32, 'ja');
INSERT INTO `lang_definitions` VALUES (169393, 652, 32, 'ja kaikki tiedot alisteisia? Tämä toimenpide kirjataan');
INSERT INTO `lang_definitions` VALUES (169394, 653, 32, 'ja muokkaaja');
INSERT INTO `lang_definitions` VALUES (169395, 654, 32, 'ja onnistui.');
INSERT INTO `lang_definitions` VALUES (169396, 656, 32, 'ja käynnistä Apache serveri uudestaan.');
INSERT INTO `lang_definitions` VALUES (169397, 657, 32, 'ja syy on');
INSERT INTO `lang_definitions` VALUES (169398, 659, 32, 'Anemia');
INSERT INTO `lang_definitions` VALUES (169399, 660, 32, 'Nilkka');
INSERT INTO `lang_definitions` VALUES (169400, 661, 32, 'Nilkka + kantapää');
INSERT INTO `lang_definitions` VALUES (169401, 662, 32, 'Nilkka arviointilomake');
INSERT INTO `lang_definitions` VALUES (169402, 663, 32, 'Nilkka ongelmia');
INSERT INTO `lang_definitions` VALUES (169403, 664, 32, 'Selkärankareuman Spondlilitis');
INSERT INTO `lang_definitions` VALUES (169404, 665, 32, 'Selkärankareuman Spondlilitis');
INSERT INTO `lang_definitions` VALUES (169405, 666, 32, 'Anoreksia');
INSERT INTO `lang_definitions` VALUES (169406, 667, 32, 'Toinen asia mitä voi tehdä lähetysikkunassa on pyytää toissijainen laskutus. Jos valitset tämän vaihtoehdon ennen tallentamista, niin alkuperäinen lasku avataan uudelleen ja laitetaan jonoon Laskutus-sivulle, ja se käsitellään seuraavan laskutuksen yhteydessä.');
INSERT INTO `lang_definitions` VALUES (169407, 671, 32, 'ennakko');
INSERT INTO `lang_definitions` VALUES (169408, 676, 32, 'Anus, ei peräsuolen arkuutta');
INSERT INTO `lang_definitions` VALUES (169409, 677, 32, 'Ahdistus');
INSERT INTO `lang_definitions` VALUES (169410, 679, 32, 'Kaikki');
INSERT INTO `lang_definitions` VALUES (169411, 682, 32, 'Kaikki luokat');
INSERT INTO `lang_definitions` VALUES (169412, 688, 32, 'Mikä tahansa osa koodista tai sen kuvauksesta');
INSERT INTO `lang_definitions` VALUES (169413, 689, 32, 'Mikä tahansa osa halutusta erikoisuudesta');
INSERT INTO `lang_definitions` VALUES (169414, 690, 32, 'Mikä tahansa osa lääkkeen numerosta tai nimestä');
INSERT INTO `lang_definitions` VALUES (169415, 691, 32, 'Mikä tahansa osa rokotteen tunnisteesta tai nimestä');
INSERT INTO `lang_definitions` VALUES (169416, 692, 32, 'Mikä tahansa osa potilaan nimestä, joko \"sukunimi, etunimi\" tai \"X-Y\"');
INSERT INTO `lang_definitions` VALUES (169417, 693, 32, 'Muut asiaa koskevat tiedot');
INSERT INTO `lang_definitions` VALUES (169418, 699, 32, 'API avain SMS portaaliin');
INSERT INTO `lang_definitions` VALUES (169419, 703, 32, 'Uniapnea');
INSERT INTO `lang_definitions` VALUES (169420, 710, 32, 'Ulkoasu');
INSERT INTO `lang_definitions` VALUES (169421, 711, 32, 'Ulkoasu:');
INSERT INTO `lang_definitions` VALUES (169422, 714, 32, 'Liitä tämä huomautus');
INSERT INTO `lang_definitions` VALUES (169423, 716, 32, 'Liitä nykyiseen muistiinpanoon');
INSERT INTO `lang_definitions` VALUES (169424, 717, 32, 'Liitä tähän ilmoitukseen');
INSERT INTO `lang_definitions` VALUES (169425, 718, 32, 'Liitä tähän ilmoitukseen');
INSERT INTO `lang_definitions` VALUES (169426, 719, 32, 'Umpilisäkkeen poisto');
INSERT INTO `lang_definitions` VALUES (169427, 720, 32, 'umpilisäkkeen poisto');
INSERT INTO `lang_definitions` VALUES (169428, 721, 32, 'Sovellettava Potilaat');
INSERT INTO `lang_definitions` VALUES (169429, 722, 32, 'Sovellus');
INSERT INTO `lang_definitions` VALUES (169430, 723, 32, 'Sovelluksen nimi sisäänkirjautumissivulle ja pääikkunan otsikko.');
INSERT INTO `lang_definitions` VALUES (169431, 724, 32, 'Sovellus vastaanotin Code (GS03 - Jos tyhjä ISA08 käytetään)');
INSERT INTO `lang_definitions` VALUES (169432, 725, 32, 'Sovelluksen lähettäjäkoodi (GS02)');
INSERT INTO `lang_definitions` VALUES (169433, 726, 32, 'Sovelluksen otsake');
INSERT INTO `lang_definitions` VALUES (169434, 727, 32, 'Käytettävä lomake elintoiminnoille ja kasvukäyrälle');
INSERT INTO `lang_definitions` VALUES (169435, 728, 32, 'Käytettävä lomake elintoiminnoille');
INSERT INTO `lang_definitions` VALUES (169436, 729, 32, 'Tehdäänkö muutos nykyiseen tapahtumaan, nykyiseen ja mahdollisesti tuleviin tapahtumiin tai joka tapauksessa?');
INSERT INTO `lang_definitions` VALUES (169437, 730, 32, 'sovelletaan hoidettavalle alueelle');
INSERT INTO `lang_definitions` VALUES (169438, 731, 32, 'iholle');
INSERT INTO `lang_definitions` VALUES (169439, 732, 32, 'lisää');
INSERT INTO `lang_definitions` VALUES (169440, 733, 32, 'Lisätään korjaustiedosto sivustolle');
INSERT INTO `lang_definitions` VALUES (169441, 734, 32, 'Ajanvaraus');
INSERT INTO `lang_definitions` VALUES (169442, 736, 32, 'Ajanvaraus päivämäärä');
INSERT INTO `lang_definitions` VALUES (169443, 742, 32, 'Ajanvarauksen esitystapa');
INSERT INTO `lang_definitions` VALUES (169444, 744, 32, 'Ajanvarauksen muistuttaja');
INSERT INTO `lang_definitions` VALUES (169445, 746, 32, 'Ajanvarauksen tila');
INSERT INTO `lang_definitions` VALUES (169446, 747, 32, 'Ajanvarausten tilat');
INSERT INTO `lang_definitions` VALUES (169447, 748, 32, 'Ajanvaraukset aikajaksolla');
INSERT INTO `lang_definitions` VALUES (169448, 749, 32, 'Ajanvarauksen / tapahtuman väri');
INSERT INTO `lang_definitions` VALUES (169449, 750, 32, 'Ajanvaraukset');
INSERT INTO `lang_definitions` VALUES (169450, 751, 32, 'Ajanvaraukset (valinnainen)');
INSERT INTO `lang_definitions` VALUES (169451, 752, 32, 'Ajanvaraukset (Kirjoita, osa valinnaisia)');
INSERT INTO `lang_definitions` VALUES (169452, 758, 32, 'Ajanvaraukset ja potilastapaamiset');
INSERT INTO `lang_definitions` VALUES (169453, 760, 32, 'Ajanvarausraportti');
INSERT INTO `lang_definitions` VALUES (169454, 761, 32, 'Ajanvaraus- ja vierailuraportti');
INSERT INTO `lang_definitions` VALUES (169455, 764, 32, 'Hyväksy');
INSERT INTO `lang_definitions` VALUES (169456, 766, 32, 'Hyväksy potilas hakemistosta Potilas/Asiakas->Tuo->Odottaa hyväksyntää');
INSERT INTO `lang_definitions` VALUES (169457, 767, 32, 'Hyväksytty');
INSERT INTO `lang_definitions` VALUES (169458, 768, 32, 'Tapahtumien hallinnointi hyväksytty');
INSERT INTO `lang_definitions` VALUES (169459, 769, 32, 'Hyväksyminen onnistui');
INSERT INTO `lang_definitions` VALUES (169460, 774, 32, 'Ajanvaraukset ja vierailut');
INSERT INTO `lang_definitions` VALUES (169461, 776, 32, 'Ajanvaraukset');
INSERT INTO `lang_definitions` VALUES (169462, 779, 32, 'Huhtikuu');
INSERT INTO `lang_definitions` VALUES (169463, 780, 32, 'Huhtikuu');
INSERT INTO `lang_definitions` VALUES (169464, 782, 32, 'Arabia');
INSERT INTO `lang_definitions` VALUES (169465, 783, 32, 'Aragonia');
INSERT INTO `lang_definitions` VALUES (169466, 784, 32, 'Arkistoi');
INSERT INTO `lang_definitions` VALUES (169467, 787, 32, 'Käännetäänkö ryhmien nimet?');
INSERT INTO `lang_definitions` VALUES (169468, 788, 32, 'Käännetäänkö ajanvarausluokkien nimet?');
INSERT INTO `lang_definitions` VALUES (169469, 789, 32, 'Käännetäänkö tiedostoluokkien nimet?');
INSERT INTO `lang_definitions` VALUES (169470, 790, 32, 'Peritään tämän tyyppisistä maksu?');
INSERT INTO `lang_definitions` VALUES (169471, 793, 32, 'Käännetäänkö potilasmerkintöjen otsikot?');
INSERT INTO `lang_definitions` VALUES (169472, 794, 32, 'Onko koodit tallennettu erilliseen sql-tauluun (0-No, 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2)) ?');
INSERT INTO `lang_definitions` VALUES (169473, 795, 32, 'Oletko valmis viimeistelemään uuden GCAC aiheen tälle käynnille?');
INSERT INTO `lang_definitions` VALUES (169474, 797, 32, 'Haluatko varmasti lähettää tämän tänään?');
INSERT INTO `lang_definitions` VALUES (169475, 798, 32, 'Haluatko varmasti hyväksyä nämä tapahtumat?');
INSERT INTO `lang_definitions` VALUES (169476, 801, 32, 'Haluatko varmasti poistaa tämän kaavakkeen lopullisesti?');
INSERT INTO `lang_definitions` VALUES (169477, 803, 32, 'Haluatko varmasti poistaa tämän');
INSERT INTO `lang_definitions` VALUES (169478, 804, 32, 'Haluatko varmasti poistaa tämän liitteen?');
INSERT INTO `lang_definitions` VALUES (169479, 805, 32, 'Haluatko varmasti poistaa tämän tapahtuman?');
INSERT INTO `lang_definitions` VALUES (169480, 806, 32, 'Haluatko varmasti poistaa tämän tietokannasta?');
INSERT INTO `lang_definitions` VALUES (169481, 808, 32, 'Haluatko varmasti poistaa tämän muistiinpanon?');
INSERT INTO `lang_definitions` VALUES (169482, 810, 32, 'Haluatko varmasti muokata näitä tapahtumia?');
INSERT INTO `lang_definitions` VALUES (169483, 811, 32, 'Haluatko varmasti piilottaa nämä tapahtumat?');
INSERT INTO `lang_definitions` VALUES (169484, 813, 32, 'Haluatko varmasti lähettää sen uudestaan?');
INSERT INTO `lang_definitions` VALUES (169485, 814, 32, 'Haluatko varmasti nähdä nämä tapahtumat?');
INSERT INTO `lang_definitions` VALUES (169486, 815, 32, 'Haluatko varmasti poistaa koko ryhmän nimeltään');
INSERT INTO `lang_definitions` VALUES (169487, 816, 32, 'Haluatko varmasti poistaa koko listan');
INSERT INTO `lang_definitions` VALUES (169488, 817, 32, 'Oletko varma, että haluat poistaa kentän');
INSERT INTO `lang_definitions` VALUES (169489, 818, 32, 'Haluatko varmasti poistaa valitut kentät?');
INSERT INTO `lang_definitions` VALUES (169490, 819, 32, 'Haluatko varmasti jatkaa toimintoa?');
INSERT INTO `lang_definitions` VALUES (169491, 820, 32, 'Aluetta ei ole määritelty');
INSERT INTO `lang_definitions` VALUES (169492, 821, 32, 'Käsivarsi');
INSERT INTO `lang_definitions` VALUES (169493, 822, 32, 'Armenia');
INSERT INTO `lang_definitions` VALUES (169494, 829, 32, 'Rytmihäiriö');
INSERT INTO `lang_definitions` VALUES (169495, 830, 32, 'Nivelrikko');
INSERT INTO `lang_definitions` VALUES (169496, 831, 32, 'Nivelrikko / Perinnöllinen niveltulehdus');
INSERT INTO `lang_definitions` VALUES (169497, 832, 32, 'Nivelrikko / Perinnöllinen niveltulehdus');
INSERT INTO `lang_definitions` VALUES (169498, 836, 32, 'kuten');
INSERT INTO `lang_definitions` VALUES (169499, 838, 32, 'Alkaen');
INSERT INTO `lang_definitions` VALUES (169500, 844, 32, 'Nouseva');
INSERT INTO `lang_definitions` VALUES (169501, 845, 32, 'Aasialainen');
INSERT INTO `lang_definitions` VALUES (169502, 846, 32, 'Assami');
INSERT INTO `lang_definitions` VALUES (169503, 848, 32, 'Arviointi');
INSERT INTO `lang_definitions` VALUES (169504, 853, 32, 'Määritetty');
INSERT INTO `lang_definitions` VALUES (169505, 854, 32, 'Avustaja');
INSERT INTO `lang_definitions` VALUES (169506, 861, 32, 'Astma');
INSERT INTO `lang_definitions` VALUES (169507, 862, 32, 'kohteessa');
INSERT INTO `lang_definitions` VALUES (169508, 863, 32, 'Vaaditaan vähintään yksi parametri jos valitset Kaikki.');
INSERT INTO `lang_definitions` VALUES (169509, 866, 32, 'Veneluussa');
INSERT INTO `lang_definitions` VALUES (169510, 867, 32, 'Veneluussa:');
INSERT INTO `lang_definitions` VALUES (169511, 868, 32, 'Urheilujoukkue');
INSERT INTO `lang_definitions` VALUES (169512, 869, 32, 'Urheilujoukkue');
INSERT INTO `lang_definitions` VALUES (169513, 870, 32, 'Urheiluvamma');
INSERT INTO `lang_definitions` VALUES (169514, 871, 32, 'ATNA (Audit Trail and Node Authentication) tarkastuksen CA sertifikaatti');
INSERT INTO `lang_definitions` VALUES (169515, 872, 32, 'ATNA (Audit Trail and Node Authentication) tarkastuksen isäntä');
INSERT INTO `lang_definitions` VALUES (169516, 873, 32, 'ATNA (Audit Trail and Node Authentication) tarkastuksen paikallinen sertifikaatti');
INSERT INTO `lang_definitions` VALUES (169517, 874, 32, 'ATNA (Audit Trail and Node Authentication) tarkastuksen portti');
INSERT INTO `lang_definitions` VALUES (169518, 877, 32, 'Huomio');
INSERT INTO `lang_definitions` VALUES (169519, 879, 32, 'Huom.');
INSERT INTO `lang_definitions` VALUES (169520, 883, 32, 'Tarkasta CDR moottorin kyselyt');
INSERT INTO `lang_definitions` VALUES (169521, 885, 32, 'Tietosuoja lokin tarkastus');
INSERT INTO `lang_definitions` VALUES (169522, 886, 32, 'Tietosuoja lokin tarkastusraportti');
INSERT INTO `lang_definitions` VALUES (169523, 890, 32, 'Tarkasta varmuuskopioiden kirjaaminen');
INSERT INTO `lang_definitions` VALUES (169524, 891, 32, 'Tarkasta sekalaisten tietojen kirjaaminen');
INSERT INTO `lang_definitions` VALUES (169525, 892, 32, 'Tarkasta kirjaamisjärjestys');
INSERT INTO `lang_definitions` VALUES (169526, 893, 32, 'Tarkasta potilastietojen kirjaaminen');
INSERT INTO `lang_definitions` VALUES (169527, 894, 32, 'Tarkasta aikataulujen kirjaaminen');
INSERT INTO `lang_definitions` VALUES (169528, 895, 32, 'Tarkasta tietoturvahallinnon kirjaaminen');
INSERT INTO `lang_definitions` VALUES (169529, 896, 32, 'Tarkasta VALITSE kyselyn kirjaaminen');
INSERT INTO `lang_definitions` VALUES (169530, 898, 32, 'Elokuu');
INSERT INTO `lang_definitions` VALUES (169531, 899, 32, 'Elokuu');
INSERT INTO `lang_definitions` VALUES (169532, 901, 32, 'Oikeudet');
INSERT INTO `lang_definitions` VALUES (169533, 902, 32, 'Oikeudet/Muistiinpanot');
INSERT INTO `lang_definitions` VALUES (169534, 922, 32, 'Ryhmäoikeudet');
INSERT INTO `lang_definitions` VALUES (169535, 923, 32, 'Valtuutuksen tila');
INSERT INTO `lang_definitions` VALUES (169536, 924, 32, 'Valtuutukset');
INSERT INTO `lang_definitions` VALUES (169537, 925, 32, 'Valtuuta');
INSERT INTO `lang_definitions` VALUES (169538, 926, 32, 'Valtuuta - kaikki tapahtumat');
INSERT INTO `lang_definitions` VALUES (169539, 928, 32, 'Valtuuta - minun tapahtumat');
INSERT INTO `lang_definitions` VALUES (169540, 933, 32, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (169541, 934, 32, 'Valtuutettu');
INSERT INTO `lang_definitions` VALUES (169542, 936, 32, 'Vain valtuutetuille');
INSERT INTO `lang_definitions` VALUES (169543, 941, 32, 'Lähetä automaattisesti');
INSERT INTO `lang_definitions` VALUES (169544, 944, 32, 'Luo uusi käynti automaattisesti');
INSERT INTO `lang_definitions` VALUES (169545, 945, 32, 'Luotu automaattisesti');
INSERT INTO `lang_definitions` VALUES (169546, 947, 32, 'Automatisoidut laskelmat (AMC)');
INSERT INTO `lang_definitions` VALUES (169547, 948, 32, 'Automatisoidut laskelmat (AMC) - 2011');
INSERT INTO `lang_definitions` VALUES (169548, 949, 32, 'Automatisoidut laskelmat (AMC) - 2014');
INSERT INTO `lang_definitions` VALUES (169549, 952, 32, 'Automatisoitujen laskelmien (AMC) seuranta');
INSERT INTO `lang_definitions` VALUES (169550, 953, 32, 'Automatisoidut mittaukset (AMC)');
INSERT INTO `lang_definitions` VALUES (169551, 955, 32, 'Automaattinen');
INSERT INTO `lang_definitions` VALUES (169552, 959, 32, 'Uusi käynti luodaan automaattisesti, kun varaustila on asetettu @ (Saapunut)');
INSERT INTO `lang_definitions` VALUES (169553, 962, 32, 'Liikennelääketiede');
INSERT INTO `lang_definitions` VALUES (169554, 964, 32, 'tallennettu automaattisesti');
INSERT INTO `lang_definitions` VALUES (169555, 967, 32, 'Käytettävissä olevat luokat');
INSERT INTO `lang_definitions` VALUES (169556, 971, 32, 'Käytettävissä olevat ajat');
INSERT INTO `lang_definitions` VALUES (169557, 972, 32, 'Käytettävissä olevat \"Tracks\"');
INSERT INTO `lang_definitions` VALUES (169558, 973, 32, 'Avaari');
INSERT INTO `lang_definitions` VALUES (169559, 974, 32, 'Avery tarran tyypin valinta potilastarran tulostamiseksi tapahtuu navigaation vasemmasta reunasta');
INSERT INTO `lang_definitions` VALUES (169560, 975, 32, 'Avesta');
INSERT INTO `lang_definitions` VALUES (169561, 976, 32, 'Keskimäärin kuukaudessa');
INSERT INTO `lang_definitions` VALUES (169562, 980, 32, 'Avulsion / avulsion murtuma');
INSERT INTO `lang_definitions` VALUES (169563, 981, 32, 'Ulkokehräksen murtuma');
INSERT INTO `lang_definitions` VALUES (169564, 982, 32, 'Sisäkehräksen murtuma');
INSERT INTO `lang_definitions` VALUES (169565, 983, 32, 'Tietoisuuteen perustuva');
INSERT INTO `lang_definitions` VALUES (169566, 985, 32, 'Kainalo');
INSERT INTO `lang_definitions` VALUES (169567, 990, 32, 'Aimara');
INSERT INTO `lang_definitions` VALUES (169568, 991, 32, 'Azeri');
INSERT INTO `lang_definitions` VALUES (169569, 992, 32, '2 krt/pvä');
INSERT INTO `lang_definitions` VALUES (169570, 993, 32, 'Takaisin');
INSERT INTO `lang_definitions` VALUES (169571, 994, 32, 'takaisin');
INSERT INTO `lang_definitions` VALUES (169572, 995, 32, 'Palaa 8 käyntiä');
INSERT INTO `lang_definitions` VALUES (169573, 996, 32, 'Palaa 11 käyntiä');
INSERT INTO `lang_definitions` VALUES (169574, 997, 32, 'Palaa 5 käyntiä');
INSERT INTO `lang_definitions` VALUES (169575, 998, 32, 'Palaa 4 käyntiä');
INSERT INTO `lang_definitions` VALUES (169576, 999, 32, 'Palaa 9 käyntiä');
INSERT INTO `lang_definitions` VALUES (169577, 1000, 32, 'Palaa 1 käynti');
INSERT INTO `lang_definitions` VALUES (169578, 1001, 32, 'Selkäkipu');
INSERT INTO `lang_definitions` VALUES (169579, 1002, 32, 'Selkävaivat');
INSERT INTO `lang_definitions` VALUES (169580, 1003, 32, 'Palaa 7 käyntiä');
INSERT INTO `lang_definitions` VALUES (169581, 1004, 32, 'Palaa 6 käyntiä');
INSERT INTO `lang_definitions` VALUES (169582, 1005, 32, 'Selkäleikkaus');
INSERT INTO `lang_definitions` VALUES (169583, 1006, 32, 'Palaa 10 käyntiä');
INSERT INTO `lang_definitions` VALUES (169584, 1007, 32, 'Palaa 3 käyntiä');
INSERT INTO `lang_definitions` VALUES (169585, 1008, 32, 'Takaisin Admin sivulle');
INSERT INTO `lang_definitions` VALUES (169586, 1011, 32, 'Takaisin potilaskäyntiin');
INSERT INTO `lang_definitions` VALUES (169587, 1012, 32, 'Takaisin potilaaseen');
INSERT INTO `lang_definitions` VALUES (169588, 1013, 32, 'Takaisin potilaaseen');
INSERT INTO `lang_definitions` VALUES (169589, 1015, 32, 'Takaisin käyttäjiin');
INSERT INTO `lang_definitions` VALUES (169590, 1016, 32, 'Takaisin näkymään');
INSERT INTO `lang_definitions` VALUES (169591, 1017, 32, 'Palaa 12 käyntiä');
INSERT INTO `lang_definitions` VALUES (169592, 1018, 32, 'Palaa 2 käyntiä');
INSERT INTO `lang_definitions` VALUES (169593, 1019, 32, 'Palvelut taustalla');
INSERT INTO `lang_definitions` VALUES (169594, 1020, 32, 'Varmuuskopio');
INSERT INTO `lang_definitions` VALUES (169595, 1022, 32, 'Varmuuskopio luotu. Lähetetään ladattavaksi.');
INSERT INTO `lang_definitions` VALUES (169596, 1023, 32, 'Lista varmuuskopioista');
INSERT INTO `lang_definitions` VALUES (169597, 1024, 32, 'Varmuuskopio vastaanotettu onnistuneesti');
INSERT INTO `lang_definitions` VALUES (169598, 1025, 32, 'Katteeton shekki');
INSERT INTO `lang_definitions` VALUES (169599, 1026, 32, 'Luottotappio');
INSERT INTO `lang_definitions` VALUES (169600, 1027, 32, 'Bahasa Indonesia');
INSERT INTO `lang_definitions` VALUES (169601, 1028, 32, 'Saldo');
INSERT INTO `lang_definitions` VALUES (169602, 1031, 32, 'Saldo');
INSERT INTO `lang_definitions` VALUES (169603, 1032, 32, 'Saldo');
INSERT INTO `lang_definitions` VALUES (169604, 1033, 32, 'Saldo');
INSERT INTO `lang_definitions` VALUES (169605, 1034, 32, 'Kertynyt saldo');
INSERT INTO `lang_definitions` VALUES (169606, 1037, 32, 'Bambara');
INSERT INTO `lang_definitions` VALUES (169607, 1038, 32, 'Pankkivekseli');
INSERT INTO `lang_definitions` VALUES (169608, 1039, 32, 'Viivakooditarra');
INSERT INTO `lang_definitions` VALUES (169609, 1040, 32, 'Viivakooditarran tyyppi');
INSERT INTO `lang_definitions` VALUES (169610, 1041, 32, 'Viivakooditarran tyyppi viivakoodin tulostamista varten valitaan navigaation vasemmasta reunasta.');
INSERT INTO `lang_definitions` VALUES (169611, 1042, 32, 'Base of fifth (5th) Metarsal');
INSERT INTO `lang_definitions` VALUES (169612, 1043, 32, 'Base of fifth (5th) Metarsal:');
INSERT INTO `lang_definitions` VALUES (169613, 1047, 32, 'Baškiiri');
INSERT INTO `lang_definitions` VALUES (169614, 1049, 32, 'Baski');
INSERT INTO `lang_definitions` VALUES (169615, 1050, 32, 'Koontilasku');
INSERT INTO `lang_definitions` VALUES (169616, 1051, 32, 'Erälähetyksen viestintämoduuli');
INSERT INTO `lang_definitions` VALUES (169617, 1053, 32, 'Kirjaus koontimaksuun');
INSERT INTO `lang_definitions` VALUES (169618, 1054, 32, 'Koontimaksut');
INSERT INTO `lang_definitions` VALUES (169619, 1055, 32, 'Ryhmäprosessi tunnistettu; tämä saattaa kestää hetken.');
INSERT INTO `lang_definitions` VALUES (169620, 1056, 32, 'Eräajon tulokset');
INSERT INTO `lang_definitions` VALUES (169621, 1057, 32, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (169622, 1060, 32, 'Ole kärsivällinen, joidenkin asiakirjojen käsittely saattaa vaatia useita minuutteja!');
INSERT INTO `lang_definitions` VALUES (169623, 1063, 32, 'koska kyseistä tunnusta ei ole.');
INSERT INTO `lang_definitions` VALUES (169624, 1072, 32, 'Aloitus');
INSERT INTO `lang_definitions` VALUES (169625, 1074, 32, 'Aloituspäivämäärä');
INSERT INTO `lang_definitions` VALUES (169626, 1077, 32, 'Hoidon alkamispäivä vvvv-kk-pp');
INSERT INTO `lang_definitions` VALUES (169627, 1078, 32, 'Alkamistunti kalenterimerkinnöille.');
INSERT INTO `lang_definitions` VALUES (169628, 1081, 32, 'Valkovenäläinen');
INSERT INTO `lang_definitions` VALUES (169629, 1082, 32, 'Röyhtäily');
INSERT INTO `lang_definitions` VALUES (169630, 1086, 32, 'Bengali');
INSERT INTO `lang_definitions` VALUES (169631, 1087, 32, 'Bengali / Bangla');
INSERT INTO `lang_definitions` VALUES (169632, 1089, 32, 'välillä');
INSERT INTO `lang_definitions` VALUES (169633, 1091, 32, 'Kaksisuuntainen');
INSERT INTO `lang_definitions` VALUES (169634, 1094, 32, 'Bihar');
INSERT INTO `lang_definitions` VALUES (169635, 1095, 32, 'Bilateraali');
INSERT INTO `lang_definitions` VALUES (169636, 1096, 32, 'Bilateraali:');
INSERT INTO `lang_definitions` VALUES (169637, 1099, 32, 'Laskutuspäivä:');
INSERT INTO `lang_definitions` VALUES (169638, 1101, 32, 'Lasku');
INSERT INTO `lang_definitions` VALUES (169639, 1102, 32, 'Laskutettu');
INSERT INTO `lang_definitions` VALUES (169640, 1104, 32, 'Laskutus');
INSERT INTO `lang_definitions` VALUES (169641, 1105, 32, 'Laskutus (Vaihtoehtoinen)');
INSERT INTO `lang_definitions` VALUES (169642, 1109, 32, 'Laskun yksilöintitieto');
INSERT INTO `lang_definitions` VALUES (169643, 1111, 32, 'Laskutuskoodi pyydettyyn palveluun');
INSERT INTO `lang_definitions` VALUES (169644, 1112, 32, 'Laskutuskoodit');
INSERT INTO `lang_definitions` VALUES (169645, 1113, 32, 'Laskutustiedot');
INSERT INTO `lang_definitions` VALUES (169646, 1114, 32, 'Laskutusosasto');
INSERT INTO `lang_definitions` VALUES (169647, 1115, 32, 'Laskutuspaikka');
INSERT INTO `lang_definitions` VALUES (169648, 1117, 32, 'Laskutustiedot');
INSERT INTO `lang_definitions` VALUES (169649, 1118, 32, 'Laskutusosoite');
INSERT INTO `lang_definitions` VALUES (169650, 1125, 32, 'Laskutusjärjestelmä');
INSERT INTO `lang_definitions` VALUES (169651, 1126, 32, 'Huomautuslasku');
INSERT INTO `lang_definitions` VALUES (169652, 1127, 32, 'Huomautuslasku');
INSERT INTO `lang_definitions` VALUES (169653, 1128, 32, 'Huomautuslasku:');
INSERT INTO `lang_definitions` VALUES (169654, 1130, 32, 'Lakutusjonon tulos:');
INSERT INTO `lang_definitions` VALUES (169655, 1131, 32, 'Laskutusraportti');
INSERT INTO `lang_definitions` VALUES (169656, 1132, 32, 'Laskutuksen tila');
INSERT INTO `lang_definitions` VALUES (169657, 1133, 32, 'Laskutuksen tila = Laskuttamaton');
INSERT INTO `lang_definitions` VALUES (169658, 1134, 32, 'laskutus');
INSERT INTO `lang_definitions` VALUES (169659, 1138, 32, 'Koepala');
INSERT INTO `lang_definitions` VALUES (169660, 1140, 32, 'Syntymäpäivä');
INSERT INTO `lang_definitions` VALUES (169661, 1141, 32, 'Syntymä - 24 kuukautta');
INSERT INTO `lang_definitions` VALUES (169662, 1143, 32, 'Bislama');
INSERT INTO `lang_definitions` VALUES (169663, 1144, 32, 'Musta');
INSERT INTO `lang_definitions` VALUES (169664, 1147, 32, 'Pölykeuhko');
INSERT INTO `lang_definitions` VALUES (169665, 1148, 32, 'Mustaihoinen');
INSERT INTO `lang_definitions` VALUES (169666, 1149, 32, 'Virtsarakon syöpä');
INSERT INTO `lang_definitions` VALUES (169667, 1150, 32, 'Virtsarakkoinfektiot');
INSERT INTO `lang_definitions` VALUES (169668, 1152, 32, 'Tyhjät lomakkeet');
INSERT INTO `lang_definitions` VALUES (169669, 1153, 32, 'Verenvuoto-ongelmia');
INSERT INTO `lang_definitions` VALUES (169670, 1154, 32, 'Sokea piste');
INSERT INTO `lang_definitions` VALUES (169671, 1156, 32, 'Turvotus');
INSERT INTO `lang_definitions` VALUES (169672, 1158, 32, 'Estetyt');
INSERT INTO `lang_definitions` VALUES (169673, 1159, 32, 'Veri');
INSERT INTO `lang_definitions` VALUES (169674, 1160, 32, 'Verenpaine');
INSERT INTO `lang_definitions` VALUES (169675, 1161, 32, 'Verenpaine');
INSERT INTO `lang_definitions` VALUES (169676, 1162, 32, 'Nenäverenvuoto');
INSERT INTO `lang_definitions` VALUES (169677, 1163, 32, 'Blue Cross Blue Shield (Vakuutusyhtiö)');
INSERT INTO `lang_definitions` VALUES (169678, 1165, 32, 'Siniset viivat tässä raportissa ovat tiedottavia. Mustat viivat osoittavat aiemmin olemassa olevaa tietoa. Green linjat osoittavat muutoksia, jotka onnistuneesti sovellettu. Punaiset viivat kuvaavat virheitä, tai muutokset, jotka ei ole sovellettu; ne voidaan käsitellä manuaalisesti. Tällä hetkellä kiistettyjä vaateita ja peruutettuja maksuja ei käsitellä automaattisesti ja siten ovat punaisia.');
INSERT INTO `lang_definitions` VALUES (169679, 1166, 32, 'Näön hämärtyminen');
INSERT INTO `lang_definitions` VALUES (169680, 1167, 32, 'BMI (Pituus-massa indeksi)');
INSERT INTO `lang_definitions` VALUES (169681, 1168, 32, 'BMI tila');
INSERT INTO `lang_definitions` VALUES (169682, 1170, 32, 'Kehon osa');
INSERT INTO `lang_definitions` VALUES (169683, 1173, 32, 'Luiden arkuus:');
INSERT INTO `lang_definitions` VALUES (169684, 1174, 32, 'Luiden arkuus: Ulkokehräs');
INSERT INTO `lang_definitions` VALUES (169685, 1175, 32, 'Totuusarvo');
INSERT INTO `lang_definitions` VALUES (169686, 1176, 32, 'Bosnia');
INSERT INTO `lang_definitions` VALUES (169687, 1177, 32, 'Ala');
INSERT INTO `lang_definitions` VALUES (169688, 1179, 32, 'Molemmat korvat');
INSERT INTO `lang_definitions` VALUES (169689, 1180, 32, 'molemmat korvat');
INSERT INTO `lang_definitions` VALUES (169690, 1183, 32, 'Pohja');
INSERT INTO `lang_definitions` VALUES (169691, 1184, 32, 'Alamarginaali (px)');
INSERT INTO `lang_definitions` VALUES (169692, 1187, 32, 'RUUTU 10 A. Työllisyyteen liittyvä');
INSERT INTO `lang_definitions` VALUES (169693, 1189, 32, 'RUUTU 10 B. Auto-onnettomuus');
INSERT INTO `lang_definitions` VALUES (169694, 1191, 32, 'RUUTU 10 C. Muu onnettomuus');
INSERT INTO `lang_definitions` VALUES (169695, 1200, 32, 'RUUTU 14 Päiväyksen karsinta');
INSERT INTO `lang_definitions` VALUES (169696, 1204, 32, 'RUUTU 15 Toinen päiväyksen karsinta');
INSERT INTO `lang_definitions` VALUES (169697, 1205, 32, 'RUUTU 15. Saman tai vastaavan sairauden esiintymispäivä (vvvv-kk-pp):');
INSERT INTO `lang_definitions` VALUES (169698, 1206, 32, 'RUUTU 15. Saman tai vastaavan sairauden esiintymispäivä / Toinen päivämäärä (vvvv-kk-pp):');
INSERT INTO `lang_definitions` VALUES (169699, 1211, 32, 'RUUTU 16. Työkyvyttömyys alkaa (vvvv-kk-pp):');
INSERT INTO `lang_definitions` VALUES (169700, 1215, 32, 'RUUTU 16. Työkyvyttömyys päättyy (vvvv-kk-pp):');
INSERT INTO `lang_definitions` VALUES (169701, 1227, 32, 'RUUTU 18. Sairaalahoidossa alkaen (vvvv-kk-pp):');
INSERT INTO `lang_definitions` VALUES (169702, 1231, 32, 'RUUTU 18. Sairaalahoito päättyy (vvvv-kk-pp):');
INSERT INTO `lang_definitions` VALUES (169703, 1235, 32, 'RUUTU 20. Onko käytetty ulkopuolista laboratoriota?');
INSERT INTO `lang_definitions` VALUES (169704, 1239, 32, 'RUUTU 22. Medicaid uudelleenlähetys koodi (ICD-9)');
INSERT INTO `lang_definitions` VALUES (169705, 1243, 32, 'RUUTU 23. Aiempi valtuutusnumero');
INSERT INTO `lang_definitions` VALUES (169706, 1244, 32, 'Verenpaine');
INSERT INTO `lang_definitions` VALUES (169707, 1245, 32, 'Verenpaine diastolinen');
INSERT INTO `lang_definitions` VALUES (169708, 1246, 32, 'Verenpainen systolinen');
INSERT INTO `lang_definitions` VALUES (169709, 1248, 32, 'Verenpaine diastolinen');
INSERT INTO `lang_definitions` VALUES (169710, 1252, 32, 'Verenpainen systolinen');
INSERT INTO `lang_definitions` VALUES (169711, 1254, 32, 'Brasilian portugeesi');
INSERT INTO `lang_definitions` VALUES (169712, 1255, 32, 'Rinta');
INSERT INTO `lang_definitions` VALUES (169713, 1256, 32, 'Rintojen koepala');
INSERT INTO `lang_definitions` VALUES (169714, 1257, 32, 'Rintojen eritteet');
INSERT INTO `lang_definitions` VALUES (169715, 1258, 32, 'Rintojen sairaudet');
INSERT INTO `lang_definitions` VALUES (169716, 1259, 32, 'Rintatutkimus');
INSERT INTO `lang_definitions` VALUES (169717, 1260, 32, 'Kyhmyt rinnoissa');
INSERT INTO `lang_definitions` VALUES (169718, 1262, 32, 'Hengitysäänet');
INSERT INTO `lang_definitions` VALUES (169719, 1263, 32, 'Bretoni');
INSERT INTO `lang_definitions` VALUES (169720, 1265, 32, 'Luunmurtumat');
INSERT INTO `lang_definitions` VALUES (169721, 1266, 32, 'vioittunut lomake');
INSERT INTO `lang_definitions` VALUES (169722, 1267, 32, 'Keuhkoputkentulehduksen muoto');
INSERT INTO `lang_definitions` VALUES (169723, 1270, 32, 'Selaa');
INSERT INTO `lang_definitions` VALUES (169724, 1271, 32, 'Selaa tietuetta');
INSERT INTO `lang_definitions` VALUES (169725, 1272, 32, 'Verenpurkauma / hematooma');
INSERT INTO `lang_definitions` VALUES (169726, 1275, 32, 'Bulgaria');
INSERT INTO `lang_definitions` VALUES (169727, 1276, 32, 'Pullistuma Oikea:');
INSERT INTO `lang_definitions` VALUES (169728, 1277, 32, 'Burma');
INSERT INTO `lang_definitions` VALUES (169729, 1278, 32, 'Kirvelyä virtsatessa');
INSERT INTO `lang_definitions` VALUES (169730, 1279, 32, 'Kirvelyä virtsatessa');
INSERT INTO `lang_definitions` VALUES (169731, 1281, 32, 'Työpuhelin');
INSERT INTO `lang_definitions` VALUES (169732, 1282, 32, 'Varattu');
INSERT INTO `lang_definitions` VALUES (169733, 1283, 32, 'mutta ei vielä käsitelty.');
INSERT INTO `lang_definitions` VALUES (169734, 1284, 32, 'Pakara');
INSERT INTO `lang_definitions` VALUES (169735, 1285, 32, 'Pakara + SI-nivel');
INSERT INTO `lang_definitions` VALUES (169736, 1286, 32, 'alue');
INSERT INTO `lang_definitions` VALUES (169737, 1287, 32, 'Kautta');
INSERT INTO `lang_definitions` VALUES (169738, 1293, 32, 'oraalisti');
INSERT INTO `lang_definitions` VALUES (169739, 1295, 32, 'Kautta / Lähde');
INSERT INTO `lang_definitions` VALUES (169740, 1296, 32, 'Alue:');
INSERT INTO `lang_definitions` VALUES (169741, 1299, 32, 'C');
INSERT INTO `lang_definitions` VALUES (169742, 1301, 32, 'CA sertifikaatti varmentamaan RFC 5425 TLS syslog palvelin.');
INSERT INTO `lang_definitions` VALUES (169743, 1302, 32, 'Välimuistin elinaika (sekunteja)');
INSERT INTO `lang_definitions` VALUES (169744, 1303, 32, 'Jätetäänkö asiakirjamallin tuloste välimuistiin?');
INSERT INTO `lang_definitions` VALUES (169745, 1305, 32, 'Kahvin kulutus');
INSERT INTO `lang_definitions` VALUES (169746, 1306, 32, 'Kalenteri');
INSERT INTO `lang_definitions` VALUES (169747, 1307, 32, 'Kalenterin lopetusaika');
INSERT INTO `lang_definitions` VALUES (169748, 1308, 32, 'Kalenterin aikaväli');
INSERT INTO `lang_definitions` VALUES (169749, 1309, 32, 'Kalenterinäkymä');
INSERT INTO `lang_definitions` VALUES (169750, 1310, 32, 'Kalenterin asetukset');
INSERT INTO `lang_definitions` VALUES (169751, 1312, 32, 'Kalenterin aloitusaika');
INSERT INTO `lang_definitions` VALUES (169752, 1313, 32, 'Kalenterin käyttöliittymä');
INSERT INTO `lang_definitions` VALUES (169753, 1314, 32, 'Kalenterinäkymä');
INSERT INTO `lang_definitions` VALUES (169754, 1317, 32, 'addForm() kutsu tulee tähän.<br>');
INSERT INTO `lang_definitions` VALUES (169755, 1321, 32, 'Kalorit');
INSERT INTO `lang_definitions` VALUES (169756, 1322, 32, 'Kamputsealainen');
INSERT INTO `lang_definitions` VALUES (169757, 1329, 32, 'Peru');
INSERT INTO `lang_definitions` VALUES (169758, 1332, 32, 'Peru muutokset');
INSERT INTO `lang_definitions` VALUES (169759, 1333, 32, 'Peruttu');
INSERT INTO `lang_definitions` VALUES (169760, 1335, 32, 'Syöpä');
INSERT INTO `lang_definitions` VALUES (169761, 1336, 32, 'Syöpäseulonta: Paksusuolen syövän seulonta');
INSERT INTO `lang_definitions` VALUES (169762, 1337, 32, 'Syöpäseulonta: Mammografia');
INSERT INTO `lang_definitions` VALUES (169763, 1338, 32, 'Syöpäseulonta: Papakoe');
INSERT INTO `lang_definitions` VALUES (169764, 1339, 32, 'Syöpäseulonta: Eturauhasen syövän seulonta');
INSERT INTO `lang_definitions` VALUES (169765, 1340, 32, 'Tätä lisäystä ei voi tehdä, koska se on jo olemassa!');
INSERT INTO `lang_definitions` VALUES (169766, 1341, 32, 'Tätä lisäystä/päivitystä ei voi tehdä, koska siitä on jo olemassa duplikaatti!');
INSERT INTO `lang_definitions` VALUES (169767, 1342, 32, 'ei voi arkistoida, sivuutettu');
INSERT INTO `lang_definitions` VALUES (169768, 1343, 32, 'ei voi muuntaa muotoon JPEG. Kenties ImageMagick on asentamatta?');
INSERT INTO `lang_definitions` VALUES (169769, 1344, 32, 'ei voi poistaa, sivuutettu');
INSERT INTO `lang_definitions` VALUES (169770, 1345, 32, 'ei voida näyttää inline, koska selain ei tue sen tyyppiä.');
INSERT INTO `lang_definitions` VALUES (169771, 1346, 32, 'ei voida näyttää inline, koska selain ei tue sen tyyppiä.');
INSERT INTO `lang_definitions` VALUES (169772, 1347, 32, 'ei voida näyttää inline, koska selain ei tue sen tyyppiä.');
INSERT INTO `lang_definitions` VALUES (169773, 1349, 32, 'Ei voi luoda');
INSERT INTO `lang_definitions` VALUES (169774, 1350, 32, 'Asiakirjaa ei voi luoda');
INSERT INTO `lang_definitions` VALUES (169775, 1351, 32, 'Asiakirjaa ei voi poistaa (SFTP palvelimelta)');
INSERT INTO `lang_definitions` VALUES (169776, 1352, 32, 'Asiakirjaa ei voi poistaa');
INSERT INTO `lang_definitions` VALUES (169777, 1353, 32, 'Kohde tiedostonimeä ei voi määrittää');
INSERT INTO `lang_definitions` VALUES (169778, 1354, 32, 'Ei löydetä');
INSERT INTO `lang_definitions` VALUES (169779, 1355, 32, 'Kohteen tiedostonimeä ei löydy');
INSERT INTO `lang_definitions` VALUES (169780, 1358, 32, 'Potilaan asiakastunnusta ei löydy SQL-Ledger tietokannasta');
INSERT INTO `lang_definitions` VALUES (169781, 1359, 32, 'PostScript asiakirjan viitettä ei löydy');
INSERT INTO `lang_definitions` VALUES (169782, 1361, 32, 'Maksun muokkaus ei onnistu. Jakamaton on negatiivinen.');
INSERT INTO `lang_definitions` VALUES (169783, 1363, 32, 'Ei voida avata');
INSERT INTO `lang_definitions` VALUES (169784, 1364, 32, 'Ei voida lähettää vakuuttajalle. Maksajaksi on merkitty potilas.');
INSERT INTO `lang_definitions` VALUES (169785, 1365, 32, 'Ei voida lähettää potilaalle. Maksajaksi on merkitty vakuuttaja.');
INSERT INTO `lang_definitions` VALUES (169786, 1366, 32, 'Maksua ei voi lähettää. Jakamaton on negatiivinen.');
INSERT INTO `lang_definitions` VALUES (169787, 1367, 32, 'Ei voida lukea');
INSERT INTO `lang_definitions` VALUES (169788, 1368, 32, 'Hakemistoa ei voi lukea');
INSERT INTO `lang_definitions` VALUES (169789, 1369, 32, 'Päivitys ei onnistu, koska et ole muokkaamassa tallennettua tietoa.');
INSERT INTO `lang_definitions` VALUES (169790, 1370, 32, 'Isot kirjaimet');
INSERT INTO `lang_definitions` VALUES (169791, 1371, 32, 'Isot Aloituskirjaimet Kaikkialle');
INSERT INTO `lang_definitions` VALUES (169792, 1372, 32, 'kapseli');
INSERT INTO `lang_definitions` VALUES (169793, 1373, 32, 'Kortti');
INSERT INTO `lang_definitions` VALUES (169794, 1382, 32, 'Sydämen katetrointi');
INSERT INTO `lang_definitions` VALUES (169795, 1383, 32, 'Ekokardiografia');
INSERT INTO `lang_definitions` VALUES (169796, 1384, 32, 'Sydän- ja verisuonitaudit');
INSERT INTO `lang_definitions` VALUES (169797, 1397, 32, 'Rustovaurio');
INSERT INTO `lang_definitions` VALUES (169798, 1400, 32, 'käteinen');
INSERT INTO `lang_definitions` VALUES (169799, 1401, 32, 'Käteinen');
INSERT INTO `lang_definitions` VALUES (169800, 1402, 32, 'Käteiskuitit');
INSERT INTO `lang_definitions` VALUES (169801, 1403, 32, 'Käteiskuitit tuottajittain');
INSERT INTO `lang_definitions` VALUES (169802, 1406, 32, 'Kaihileikkaus');
INSERT INTO `lang_definitions` VALUES (169803, 1407, 32, 'Kaihi');
INSERT INTO `lang_definitions` VALUES (169804, 1408, 32, 'Luokat');
INSERT INTO `lang_definitions` VALUES (169805, 1409, 32, 'Luokat kohteelle');
INSERT INTO `lang_definitions` VALUES (169806, 1410, 32, 'Luokka');
INSERT INTO `lang_definitions` VALUES (169807, 1411, 32, 'luokka');
INSERT INTO `lang_definitions` VALUES (169808, 1412, 32, 'Luokka');
INSERT INTO `lang_definitions` VALUES (169809, 1416, 32, 'Luokan yksityiskohdat');
INSERT INTO `lang_definitions` VALUES (169810, 1417, 32, 'Luokan rajoitukset');
INSERT INTO `lang_definitions` VALUES (169811, 1418, 32, 'Luokan nimi');
INSERT INTO `lang_definitions` VALUES (169812, 1419, 32, 'Luokan nimi puuttuu');
INSERT INTO `lang_definitions` VALUES (169813, 1420, 32, 'Luokka / Otsikko');
INSERT INTO `lang_definitions` VALUES (169814, 1421, 32, 'Kaukaasiaalainen');
INSERT INTO `lang_definitions` VALUES (169815, 1444, 32, 'Matkapuhelin');
INSERT INTO `lang_definitions` VALUES (169816, 1445, 32, 'Matkapuhelin');
INSERT INTO `lang_definitions` VALUES (169817, 1446, 32, 'Matkapuhelimen numero');
INSERT INTO `lang_definitions` VALUES (169818, 1447, 32, 'Matkapuhelimen numero');
INSERT INTO `lang_definitions` VALUES (169819, 1449, 32, 'Keskussertifiointi');
INSERT INTO `lang_definitions` VALUES (169820, 1451, 32, 'Keski-/Eteläamerikkalainen');
INSERT INTO `lang_definitions` VALUES (169821, 1454, 32, 'Sertifioi lähettämään RFC 5425 TLS syslog palvelimelle.');
INSERT INTO `lang_definitions` VALUES (169822, 1455, 32, 'Sertifioi käyttäjä');
INSERT INTO `lang_definitions` VALUES (169823, 1456, 32, 'Sertifikaatit');
INSERT INTO `lang_definitions` VALUES (169824, 1457, 32, 'Tšamorro');
INSERT INTO `lang_definitions` VALUES (169825, 1460, 32, 'vaihda');
INSERT INTO `lang_definitions` VALUES (169826, 1461, 32, 'Vaihda');
INSERT INTO `lang_definitions` VALUES (169827, 1462, 32, 'Vaihda aktiivisuus');
INSERT INTO `lang_definitions` VALUES (169828, 1466, 32, 'Vaihto epäonnistui! CouchDB yhteysongelma?');
INSERT INTO `lang_definitions` VALUES (169829, 1467, 32, 'Muutoksia näössä');
INSERT INTO `lang_definitions` VALUES (169830, 1468, 32, 'Muutoksia näössä');
INSERT INTO `lang_definitions` VALUES (169831, 1470, 32, 'Vaihda salasana');
INSERT INTO `lang_definitions` VALUES (169832, 1475, 32, 'Vaihdettu');
INSERT INTO `lang_definitions` VALUES (169833, 1476, 32, 'Muutokset suolen toiminnassa');
INSERT INTO `lang_definitions` VALUES (169834, 1479, 32, 'Vaihdetaan potilaan tunniste asiakirjaan');
INSERT INTO `lang_definitions` VALUES (169835, 1484, 32, 'Ominaisuudet');
INSERT INTO `lang_definitions` VALUES (169836, 1485, 32, 'Merkkiä jäljellä');
INSERT INTO `lang_definitions` VALUES (169837, 1486, 32, 'Veloitus');
INSERT INTO `lang_definitions` VALUES (169838, 1487, 32, 'Veloituksen pyöristys');
INSERT INTO `lang_definitions` VALUES (169839, 1488, 32, 'Veloitus koodattu');
INSERT INTO `lang_definitions` VALUES (169840, 1490, 32, 'Veloitukset');
INSERT INTO `lang_definitions` VALUES (169841, 1491, 32, 'Kaavio');
INSERT INTO `lang_definitions` VALUES (169842, 1492, 32, 'Kaavio Toiminta');
INSERT INTO `lang_definitions` VALUES (169843, 1493, 32, 'Aktiivisuusraportin kaavio sisään- ja uloskirjautumista');
INSERT INTO `lang_definitions` VALUES (169844, 1495, 32, 'Kaavio tunniste');
INSERT INTO `lang_definitions` VALUES (169845, 1496, 32, 'Kaavio tunniste:');
INSERT INTO `lang_definitions` VALUES (169846, 1497, 32, 'Kaavion nimiö');
INSERT INTO `lang_definitions` VALUES (169847, 1498, 32, 'Kaavio Sijainti Toiminta');
INSERT INTO `lang_definitions` VALUES (169848, 1499, 32, 'Kaavio muistiinpano');
INSERT INTO `lang_definitions` VALUES (169849, 1500, 32, 'Kaavio numero');
INSERT INTO `lang_definitions` VALUES (169850, 1502, 32, 'Kaavio tallennuksen sijainti');
INSERT INTO `lang_definitions` VALUES (169851, 1504, 32, 'Kaavio seuranta');
INSERT INTO `lang_definitions` VALUES (169852, 1505, 32, 'Potilaskorttien seuranta');
INSERT INTO `lang_definitions` VALUES (169853, 1508, 32, 'Kaaviot Kirjattu ulos');
INSERT INTO `lang_definitions` VALUES (169854, 1509, 32, 'Kaaviot ulkona');
INSERT INTO `lang_definitions` VALUES (169855, 1512, 32, 'Tšetšeeni');
INSERT INTO `lang_definitions` VALUES (169856, 1513, 32, 'Tarkista');
INSERT INTO `lang_definitions` VALUES (169857, 1514, 32, 'tarkista');
INSERT INTO `lang_definitions` VALUES (169858, 1515, 32, 'Valitse kaikki');
INSERT INTO `lang_definitions` VALUES (169859, 1517, 32, 'Tarkista summa');
INSERT INTO `lang_definitions` VALUES (169860, 1519, 32, 'Tarkista päiväys');
INSERT INTO `lang_definitions` VALUES (169861, 1521, 32, 'Tarkista erilaiset käännökset kielitaulukon avulla.');
INSERT INTO `lang_definitions` VALUES (169862, 1527, 32, 'Kirjaudu sisään');
INSERT INTO `lang_definitions` VALUES (169863, 1528, 32, 'Tarkista syötettävä tieto');
INSERT INTO `lang_definitions` VALUES (169864, 1529, 32, 'Tarkista kuvaajan kohteet');
INSERT INTO `lang_definitions` VALUES (169865, 1530, 32, 'Tarkista laboratoriotulokset');
INSERT INTO `lang_definitions` VALUES (169866, 1531, 32, 'Valintamerkki osoittaa tarkistetaan');
INSERT INTO `lang_definitions` VALUES (169867, 1532, 32, 'Shekin numero');
INSERT INTO `lang_definitions` VALUES (169868, 1533, 32, 'Shekin numero');
INSERT INTO `lang_definitions` VALUES (169869, 1536, 32, 'Maksu shekillä');
INSERT INTO `lang_definitions` VALUES (169870, 1537, 32, 'Valitse valintaruutu, jos tämä on salattu tiedosto');
INSERT INTO `lang_definitions` VALUES (169871, 1541, 32, 'Ruksaa tämä jos haluat palvelun tuottajien näkevän oletusarvoisesti kaikki tapaamiset eikä vain heidän omiaan.');
INSERT INTO `lang_definitions` VALUES (169872, 1545, 32, 'Shekki/Etuuksien selitys päiväys:');
INSERT INTO `lang_definitions` VALUES (169873, 1547, 32, 'Shekki/Etuuksien selitys numero:');
INSERT INTO `lang_definitions` VALUES (169874, 1548, 32, 'Shekki-/Viitenumero');
INSERT INTO `lang_definitions` VALUES (169875, 1549, 32, 'Shekki-/Viitenumero');
INSERT INTO `lang_definitions` VALUES (169876, 1550, 32, 'Lista valintaruuduista');
INSERT INTO `lang_definitions` VALUES (169877, 1551, 32, 'lista valintaruuduista');
INSERT INTO `lang_definitions` VALUES (169878, 1552, 32, 'valintaruutu tekstillä');
INSERT INTO `lang_definitions` VALUES (169879, 1553, 32, 'Valintaruutu tekstillä');
INSERT INTO `lang_definitions` VALUES (169880, 1555, 32, 'Yllä olevat valintaruudut ilmaisevat, haluatko hylätä ja poistaa HL7 asiakirjan');
INSERT INTO `lang_definitions` VALUES (169881, 1557, 32, 'Rastitettu');
INSERT INTO `lang_definitions` VALUES (169882, 1559, 32, 'Rastitettu = Kyllä, Tyhjä = Ei');
INSERT INTO `lang_definitions` VALUES (169883, 1566, 32, 'Rastittamalla valintaruutu estää kaikki muutokset tämän käynnin aikana tehtyihin lomakkeisiin.');
INSERT INTO `lang_definitions` VALUES (169884, 1568, 32, 'Kassa');
INSERT INTO `lang_definitions` VALUES (169885, 1569, 32, 'Tarkistussumma');
INSERT INTO `lang_definitions` VALUES (169886, 1570, 32, 'Rintakehä');
INSERT INTO `lang_definitions` VALUES (169887, 1571, 32, 'Rintakehä / Hengitysteiden tutkimus');
INSERT INTO `lang_definitions` VALUES (169888, 1572, 32, 'Rintakipu');
INSERT INTO `lang_definitions` VALUES (169889, 1573, 32, 'Rintakipu:');
INSERT INTO `lang_definitions` VALUES (169890, 1574, 32, 'Rintakipuja');
INSERT INTO `lang_definitions` VALUES (169891, 1578, 32, 'Perimmäinen tulosyy');
INSERT INTO `lang_definitions` VALUES (169892, 1581, 32, 'Lapsi');
INSERT INTO `lang_definitions` VALUES (169893, 1583, 32, 'Lapsuusajan rokotusten tila (CQM)');
INSERT INTO `lang_definitions` VALUES (169894, 1584, 32, 'Vilunväristyksiä');
INSERT INTO `lang_definitions` VALUES (169895, 1585, 32, 'Kiinalainen');
INSERT INTO `lang_definitions` VALUES (169896, 1586, 32, 'Kiina (Yksinkertaistettu)');
INSERT INTO `lang_definitions` VALUES (169897, 1587, 32, 'Kiina (Perinteinen)');
INSERT INTO `lang_definitions` VALUES (169898, 1588, 32, 'Kiropraktikko');
INSERT INTO `lang_definitions` VALUES (169899, 1589, 32, 'Valinnat');
INSERT INTO `lang_definitions` VALUES (169900, 1590, 32, 'Sappirakon poisto');
INSERT INTO `lang_definitions` VALUES (169901, 1591, 32, 'sappirakon poisto');
INSERT INTO `lang_definitions` VALUES (169902, 1592, 32, 'Sappirakon poisto');
INSERT INTO `lang_definitions` VALUES (169903, 1593, 32, 'Valitse');
INSERT INTO `lang_definitions` VALUES (169904, 1597, 32, 'Valintakriteeri');
INSERT INTO `lang_definitions` VALUES (169905, 1599, 32, 'Valitse lataus tai näyttö');
INSERT INTO `lang_definitions` VALUES (169906, 1602, 32, 'Valitse tiedosto');
INSERT INTO `lang_definitions` VALUES (169907, 1603, 32, 'Valitse listasta');
INSERT INTO `lang_definitions` VALUES (169908, 1604, 32, 'Valitse ulkoasun suunta');
INSERT INTO `lang_definitions` VALUES (169909, 1605, 32, 'Valitse lista');
INSERT INTO `lang_definitions` VALUES (169910, 1608, 32, 'Valitse paperikoko');
INSERT INTO `lang_definitions` VALUES (169911, 1610, 32, 'Valitse PDF:n kieliasetus');
INSERT INTO `lang_definitions` VALUES (169912, 1611, 32, 'Valitse tulostusmuoto tälle tapaamisraportille');
INSERT INTO `lang_definitions` VALUES (169913, 1615, 32, 'Krooninen keuhkoputkentulehdus');
INSERT INTO `lang_definitions` VALUES (169914, 1616, 32, 'Krooninen nivelkipu');
INSERT INTO `lang_definitions` VALUES (169915, 1617, 32, 'Krooninen munuaistauti (CKD)');
INSERT INTO `lang_definitions` VALUES (169916, 1620, 32, 'Krooninen nivelkalvontulehdus / nestekertymä / nivelkipu / kihti');
INSERT INTO `lang_definitions` VALUES (169917, 1622, 32, 'Krooninen / Toistuva');
INSERT INTO `lang_definitions` VALUES (169918, 1623, 32, 'Tšuvassi');
INSERT INTO `lang_definitions` VALUES (169919, 1625, 32, 'Maksakirroosi');
INSERT INTO `lang_definitions` VALUES (169920, 1626, 32, 'Maksakirroosi');
INSERT INTO `lang_definitions` VALUES (169921, 1627, 32, 'Kaupunki');
INSERT INTO `lang_definitions` VALUES (169922, 1629, 32, 'Kaupungin nimi');
INSERT INTO `lang_definitions` VALUES (169923, 1630, 32, 'Kaupunki, lääni');
INSERT INTO `lang_definitions` VALUES (169924, 1631, 32, 'Kaupunki, läänin postinumero');
INSERT INTO `lang_definitions` VALUES (169925, 1633, 32, 'Kaupunki/Lääni');
INSERT INTO `lang_definitions` VALUES (169926, 1634, 32, 'Vaatimus');
INSERT INTO `lang_definitions` VALUES (169927, 1635, 32, 'Vaatimus');
INSERT INTO `lang_definitions` VALUES (169928, 1637, 32, 'Vaatimuksen tila');
INSERT INTO `lang_definitions` VALUES (169929, 1638, 32, 'Tarkastuksen analyysi päättynyt');
INSERT INTO `lang_definitions` VALUES (169930, 1642, 32, 'Pyynnöt');
INSERT INTO `lang_definitions` VALUES (169931, 1645, 32, 'Luokittelut');
INSERT INTO `lang_definitions` VALUES (169932, 1646, 32, 'Tyhjennä');
INSERT INTO `lang_definitions` VALUES (169933, 1649, 32, 'TYHJENNÄ AKTIIVINEN POTILAS');
INSERT INTO `lang_definitions` VALUES (169934, 1651, 32, 'Tyhjennä kaikki');
INSERT INTO `lang_definitions` VALUES (169935, 1654, 32, 'Tyhjennä HL7 tieto');
INSERT INTO `lang_definitions` VALUES (169936, 1655, 32, 'Tyhjennä perustelut');
INSERT INTO `lang_definitions` VALUES (169937, 1659, 32, 'Tyhjennä Smarty välimuisti');
INSERT INTO `lang_definitions` VALUES (169938, 1663, 32, 'Klikkaa');
INSERT INTO `lang_definitions` VALUES (169939, 1672, 32, 'klikkaa lisätietoja varten');
INSERT INTO `lang_definitions` VALUES (169940, 1673, 32, 'Klikkaa ja näytä lisätiedot');
INSERT INTO `lang_definitions` VALUES (169941, 1674, 32, 'Tilaa yhteenveto klikkaamalla');
INSERT INTO `lang_definitions` VALUES (169942, 1675, 32, 'Klikkaa tuloksia varten');
INSERT INTO `lang_definitions` VALUES (169943, 1678, 32, 'Klikkaa tätä');
INSERT INTO `lang_definitions` VALUES (169944, 1679, 32, 'Luo uusi potilas klikkaamalla tätä.');
INSERT INTO `lang_definitions` VALUES (169945, 1680, 32, 'Klikkaa tätä ja päivitä vamman tilamuutokset sekä päivittäiset aktiviteetit');
INSERT INTO `lang_definitions` VALUES (169946, 1682, 32, 'Valitse päivä klikkaamalla tätä');
INSERT INTO `lang_definitions` VALUES (169947, 1683, 32, 'Valitse päivä ja aika klikkaamalla tätä');
INSERT INTO `lang_definitions` VALUES (169948, 1684, 32, 'Valitse aloituspäivä klikkaamalla tätä');
INSERT INTO `lang_definitions` VALUES (169949, 1685, 32, 'Valitse päivä ja aika klikkaamalla tätä');
INSERT INTO `lang_definitions` VALUES (169950, 1686, 32, 'Valitse alkamisaika ja päivä klikkaamalla tätä');
INSERT INTO `lang_definitions` VALUES (169951, 1687, 32, 'Valitse päättyisaika ja päivä klikkaamalla tätä');
INSERT INTO `lang_definitions` VALUES (169952, 1688, 32, 'Anna modulille määrittelyt klikkaamalla tätä');
INSERT INTO `lang_definitions` VALUES (169953, 1692, 32, 'Poista moduuli käytöstä klikkaamalla tätä');
INSERT INTO `lang_definitions` VALUES (169954, 1703, 32, 'Ota moduuli käyttöön klikkaamalla tätä');
INSERT INTO `lang_definitions` VALUES (169955, 1706, 32, 'Asenna moduli klikkaamalla tätä.');
INSERT INTO `lang_definitions` VALUES (169956, 1707, 32, 'hae klikkaamalla tätä');
INSERT INTO `lang_definitions` VALUES (169957, 1710, 32, 'päivitä oikeuksien, luokan ja kutsumanimen asetukset klikkaamalla tätä');
INSERT INTO `lang_definitions` VALUES (169958, 1714, 32, 'Näytä kaikki klikkaamalla tätä.');
INSERT INTO `lang_definitions` VALUES (169959, 1715, 32, 'Näytä ja tee kaavio klikkaamalla tätä');
INSERT INTO `lang_definitions` VALUES (169960, 1716, 32, 'Näytä ja tee kaavio kaikista laboratoriotuloksista.');
INSERT INTO `lang_definitions` VALUES (169961, 1717, 32, 'Näytä ja tee kaavio elintoiminnoista klikkaamalla tätä.');
INSERT INTO `lang_definitions` VALUES (169962, 1718, 32, 'Näytä potilaan tiedot klikkaamalla tätä');
INSERT INTO `lang_definitions` VALUES (169963, 1719, 32, 'Näytä ne kaikki klikkaamalla tätä.');
INSERT INTO `lang_definitions` VALUES (169964, 1720, 32, 'Näytä/muokkaa lisää yksityiskohtia klikkaamalla tätä');
INSERT INTO `lang_definitions` VALUES (169965, 1723, 32, 'Klikkaa Asenna-painiketta asentaaksesi tietokanta version seuraavalta päiväykseltä');
INSERT INTO `lang_definitions` VALUES (169966, 1730, 32, 'Klikkaa aikajaksoa lisätäksesi sitä');
INSERT INTO `lang_definitions` VALUES (169967, 1751, 32, 'Avaa potilastiedot klikkaamalla potilaan nimeä');
INSERT INTO `lang_definitions` VALUES (169968, 1753, 32, 'Klikkaa Päivitä nähdäksesi kaikki tulokset tai anna hakukriteeri tarkennetut tulokset.');
INSERT INTO `lang_definitions` VALUES (169969, 1777, 32, 'Klikkaa ja lisää diagnoosi');
INSERT INTO `lang_definitions` VALUES (169970, 1779, 32, 'Klikkaa ja lisää uusia komponentteja');
INSERT INTO `lang_definitions` VALUES (169971, 1780, 32, 'Lisää uusi käynti klikkaamalla');
INSERT INTO `lang_definitions` VALUES (169972, 1782, 32, 'Klikkaa ja valitse diagnoosi täsmennettäväksi.');
INSERT INTO `lang_definitions` VALUES (169973, 1785, 32, 'Lataa klikkaamalla');
INSERT INTO `lang_definitions` VALUES (169974, 1786, 32, 'Klikkaa ja muokkaa');
INSERT INTO `lang_definitions` VALUES (169975, 1787, 32, 'Klikkaa ja muokkaa kuvausta');
INSERT INTO `lang_definitions` VALUES (169976, 1788, 32, 'Klikkaa ja muokkaa tapahtumaa');
INSERT INTO `lang_definitions` VALUES (169977, 1790, 32, 'Klikkaa ja luo raportti');
INSERT INTO `lang_definitions` VALUES (169978, 1799, 32, 'Klikkaa ja sovita potilas');
INSERT INTO `lang_definitions` VALUES (169979, 1800, 32, 'Klikkaa ja tulosta');
INSERT INTO `lang_definitions` VALUES (169980, 1801, 32, 'Klikkaa ja vastaanota (lisää) uusi erä');
INSERT INTO `lang_definitions` VALUES (169981, 1805, 32, 'Klikkaa ja valitse');
INSERT INTO `lang_definitions` VALUES (169982, 1806, 32, 'Klikkaa ja valitse');
INSERT INTO `lang_definitions` VALUES (169983, 1808, 32, 'Klikkaa ja valitse standardin mukainen koodi tälle toiminnolle');
INSERT INTO `lang_definitions` VALUES (169984, 1811, 32, 'Klikkaa ja valitse vihtoehtoinen koodi toiminnolle');
INSERT INTO `lang_definitions` VALUES (169985, 1812, 32, 'Klikkaa ja valitse koodi tai muuta sitä');
INSERT INTO `lang_definitions` VALUES (169986, 1813, 32, 'Klikkaa ja valitse tai muuta CVX koodia');
INSERT INTO `lang_definitions` VALUES (169987, 1814, 32, 'Klikkaa ja valitse tai muokkaa diagnoosi');
INSERT INTO `lang_definitions` VALUES (169988, 1815, 32, 'Klikkaa ja valitse tai muuta palvelukoodia');
INSERT INTO `lang_definitions` VALUES (169989, 1816, 32, 'Klikkaa ja valitse potilas');
INSERT INTO `lang_definitions` VALUES (169990, 1817, 32, 'Klikkaa ja valitse rinnakkaiskoodi');
INSERT INTO `lang_definitions` VALUES (169991, 1819, 32, 'Klikkaa ja valitse suoritettavat toimenpiteet, mikäli tulos on poikkeava');
INSERT INTO `lang_definitions` VALUES (169992, 1822, 32, 'Klikkaa ja valitse halutut toimenpiteet');
INSERT INTO `lang_definitions` VALUES (169993, 1829, 32, 'Klikkaa ja järjestä');
INSERT INTO `lang_definitions` VALUES (169994, 1831, 32, 'Klikkaa ja näytä');
INSERT INTO `lang_definitions` VALUES (169995, 1833, 32, 'Klikkaa ja näytä tai muokkaa');
INSERT INTO `lang_definitions` VALUES (169996, 1834, 32, 'Klikkaa ja näytä/muokkaa');
INSERT INTO `lang_definitions` VALUES (169997, 1836, 32, 'Klikkaa Päivitä-painiketta jos haluat päivittää tietokannan seuraavalta päiväykseltä');
INSERT INTO `lang_definitions` VALUES (169998, 1838, 32, 'Osoita klikkaamalla missä edellä todettiin vastaavuus potilaaseen.');
INSERT INTO `lang_definitions` VALUES (169999, 1839, 32, 'Klikkaa:');
INSERT INTO `lang_definitions` VALUES (170000, 1862, 32, 'Asiakasohjelman sertifikaatin vanheneminen päivissä');
INSERT INTO `lang_definitions` VALUES (170001, 1864, 32, 'Asiakasohjelman sertifikaatin kelpoisuusaika');
INSERT INTO `lang_definitions` VALUES (170002, 1865, 32, 'Asiakasohjelman kelpoisuus tulee ilmoittaa numerona.');
INSERT INTO `lang_definitions` VALUES (170003, 1866, 32, 'Asiakas kopio');
INSERT INTO `lang_definitions` VALUES (170004, 1869, 32, 'Asiakkaan potilashistorian kooste');
INSERT INTO `lang_definitions` VALUES (170005, 1870, 32, 'Asiakkaan nimi');
INSERT INTO `lang_definitions` VALUES (170006, 1872, 32, 'Asiakasnumero');
INSERT INTO `lang_definitions` VALUES (170007, 1873, 32, 'Asiakasprofiili - Uudet asiakkaat');
INSERT INTO `lang_definitions` VALUES (170008, 1874, 32, 'Asiakasprofiili - Yksilöidyt asiakkaat');
INSERT INTO `lang_definitions` VALUES (170009, 1878, 32, 'Asiakkaat');
INSERT INTO `lang_definitions` VALUES (170010, 1879, 32, 'Klinikka');
INSERT INTO `lang_definitions` VALUES (170011, 1880, 32, 'Klinikan kopio');
INSERT INTO `lang_definitions` VALUES (170012, 1882, 32, 'Klinikan tunniste');
INSERT INTO `lang_definitions` VALUES (170013, 1883, 32, 'Lääketieteelliset');
INSERT INTO `lang_definitions` VALUES (170014, 1886, 32, 'Kliininen historia');
INSERT INTO `lang_definitions` VALUES (170015, 1889, 32, 'Kliiniset suunnitelmat');
INSERT INTO `lang_definitions` VALUES (170016, 1890, 32, 'Kliiniset laatutoimenpiteet (CQM)');
INSERT INTO `lang_definitions` VALUES (170017, 1891, 32, 'Kliiniset laatutoimenpiteet (CQM) - 2011');
INSERT INTO `lang_definitions` VALUES (170018, 1892, 32, 'Kliiniset laatutoimenpiteet (CQM) - 2014');
INSERT INTO `lang_definitions` VALUES (170019, 1893, 32, 'Kliiniset muistutukset');
INSERT INTO `lang_definitions` VALUES (170020, 1897, 32, 'Kliiniset raportit');
INSERT INTO `lang_definitions` VALUES (170021, 1898, 32, 'Kliinisen toimintasäännön luokka');
INSERT INTO `lang_definitions` VALUES (170022, 1899, 32, 'Kliinisen toimintasäännön nimike');
INSERT INTO `lang_definitions` VALUES (170023, 1900, 32, 'Kliinisen säännön suodatusmetodit');
INSERT INTO `lang_definitions` VALUES (170024, 1901, 32, 'Kliinisen säännön kohdistusmetodit');
INSERT INTO `lang_definitions` VALUES (170025, 1902, 32, 'Kliiniset säännöt');
INSERT INTO `lang_definitions` VALUES (170026, 1903, 32, 'Kliinisten sääntöjen ikäluokat');
INSERT INTO `lang_definitions` VALUES (170027, 1904, 32, 'Kliinisten sääntöjen vertailut');
INSERT INTO `lang_definitions` VALUES (170028, 1905, 32, 'Kliinisten sääntöjen vastaanottotyypit');
INSERT INTO `lang_definitions` VALUES (170029, 1906, 32, 'Kliinisten sääntöjen muistutusten säännönmukaiset vaihtoehdot');
INSERT INTO `lang_definitions` VALUES (170030, 1907, 32, 'Kliinisten sääntöjen muistuttajien inaktivoinnin optiot');
INSERT INTO `lang_definitions` VALUES (170031, 1908, 32, 'Kliinisten sääntöjen muistuttajien aikavälit');
INSERT INTO `lang_definitions` VALUES (170032, 1909, 32, 'Kliinisten sääntöjen muistuttajien metodit');
INSERT INTO `lang_definitions` VALUES (170033, 1910, 32, 'Kliinisten sääntöjen kohdistuksen aikavälit');
INSERT INTO `lang_definitions` VALUES (170034, 1911, 32, 'Lääketieteelliset päämäärät');
INSERT INTO `lang_definitions` VALUES (170035, 1912, 32, 'Lääketieteelliset termit');
INSERT INTO `lang_definitions` VALUES (170036, 1913, 32, 'Lääketieteellisten termien koodi(t)');
INSERT INTO `lang_definitions` VALUES (170037, 1915, 32, 'Hoitavat lääkärit');
INSERT INTO `lang_definitions` VALUES (170038, 1916, 32, 'Klooni');
INSERT INTO `lang_definitions` VALUES (170039, 1917, 32, 'Kloonaa edellinen käynti');
INSERT INTO `lang_definitions` VALUES (170040, 1918, 32, 'Sulje');
INSERT INTO `lang_definitions` VALUES (170041, 1924, 32, 'Sulje ikkuna');
INSERT INTO `lang_definitions` VALUES (170042, 1925, 32, 'sulje ikkuna');
INSERT INTO `lang_definitions` VALUES (170043, 1927, 32, 'Suljettu');
INSERT INTO `lang_definitions` VALUES (170044, 1928, 32, 'cm');
INSERT INTO `lang_definitions` VALUES (170045, 1931, 32, 'CMS 1500 lomakkeen marginaalit');
INSERT INTO `lang_definitions` VALUES (170046, 1933, 32, 'CMS 1500 lomakkeen paperikoko');
INSERT INTO `lang_definitions` VALUES (170047, 1940, 32, 'CMS tunniste');
INSERT INTO `lang_definitions` VALUES (170048, 1943, 32, 'CMS portaali');
INSERT INTO `lang_definitions` VALUES (170049, 1944, 32, 'CMS portaalin sisäänkirjautuminen');
INSERT INTO `lang_definitions` VALUES (170050, 1945, 32, 'CMS portaalin sisäänkirjautumisen tunniste');
INSERT INTO `lang_definitions` VALUES (170051, 1946, 32, 'CMS portaali ei käytössä!');
INSERT INTO `lang_definitions` VALUES (170052, 1947, 32, 'CMS portaalin salasana');
INSERT INTO `lang_definitions` VALUES (170053, 1949, 32, 'CMS portaalin sivuston osoite');
INSERT INTO `lang_definitions` VALUES (170054, 1950, 32, 'CMS portaalin käyttäjätunnus');
INSERT INTO `lang_definitions` VALUES (170055, 1958, 32, 'Omavastuu');
INSERT INTO `lang_definitions` VALUES (170056, 1959, 32, 'Omavastuu maksettu');
INSERT INTO `lang_definitions` VALUES (170057, 1962, 32, 'Omavastuu');
INSERT INTO `lang_definitions` VALUES (170058, 1964, 32, 'Koodi');
INSERT INTO `lang_definitions` VALUES (170059, 1965, 32, 'koodi');
INSERT INTO `lang_definitions` VALUES (170060, 1967, 32, 'Koodin haku');
INSERT INTO `lang_definitions` VALUES (170061, 1968, 32, 'Koodi annettava kahdella pienellä kirjaimella');
INSERT INTO `lang_definitions` VALUES (170062, 1969, 32, 'Koodin tai symbolin on kuvattava valuuttaa');
INSERT INTO `lang_definitions` VALUES (170063, 1971, 32, 'Koodi teksti');
INSERT INTO `lang_definitions` VALUES (170064, 1972, 32, 'Koodityyppi');
INSERT INTO `lang_definitions` VALUES (170065, 1973, 32, 'koodityyppi');
INSERT INTO `lang_definitions` VALUES (170066, 1974, 32, 'Koodityyppiä ei tunnistettu');
INSERT INTO `lang_definitions` VALUES (170067, 1975, 32, 'Koodityyppiä ei vielä määritelty');
INSERT INTO `lang_definitions` VALUES (170068, 1976, 32, 'Koodityypit');
INSERT INTO `lang_definitions` VALUES (170069, 1977, 32, 'Koodi(t)');
INSERT INTO `lang_definitions` VALUES (170070, 1978, 32, 'Koodattu');
INSERT INTO `lang_definitions` VALUES (170071, 1979, 32, 'Koodit');
INSERT INTO `lang_definitions` VALUES (170072, 1981, 32, 'Koodaus');
INSERT INTO `lang_definitions` VALUES (170073, 1982, 32, 'Koodaus (klikkaa opastukseen)');
INSERT INTO `lang_definitions` VALUES (170074, 1983, 32, 'Koodaus - kaikki käynnit (kirjoitus, rajoitettu kirjoitus)');
INSERT INTO `lang_definitions` VALUES (170075, 1985, 32, 'Koodaus - omat käynnit (kirjoitus, rajoitettu kirjoitus)');
INSERT INTO `lang_definitions` VALUES (170076, 1990, 32, 'Ei oikeutta koodaukseen');
INSERT INTO `lang_definitions` VALUES (170077, 1991, 32, 'Kahvi');
INSERT INTO `lang_definitions` VALUES (170078, 1992, 32, 'Kahvin kulutus');
INSERT INTO `lang_definitions` VALUES (170079, 1997, 32, 'Sulje');
INSERT INTO `lang_definitions` VALUES (170080, 1998, 32, 'sulje');
INSERT INTO `lang_definitions` VALUES (170081, 1999, 32, 'Sulje kaikki');
INSERT INTO `lang_definitions` VALUES (170082, 2000, 32, 'Sulje kaikki');
INSERT INTO `lang_definitions` VALUES (170083, 2001, 32, 'sulje kaikki');
INSERT INTO `lang_definitions` VALUES (170084, 2005, 32, 'Koontipäivä');
INSERT INTO `lang_definitions` VALUES (170085, 2007, 32, 'Koosteet');
INSERT INTO `lang_definitions` VALUES (170086, 2008, 32, 'Raportti koosteista');
INSERT INTO `lang_definitions` VALUES (170087, 2009, 32, 'Paksusuolen syöpä');
INSERT INTO `lang_definitions` VALUES (170088, 2010, 32, 'Paksusuolen syöpä seulonta');
INSERT INTO `lang_definitions` VALUES (170089, 2011, 32, 'Paksusuolen syöpä leikkaus');
INSERT INTO `lang_definitions` VALUES (170090, 2012, 32, 'Kolonoskopia');
INSERT INTO `lang_definitions` VALUES (170091, 2013, 32, 'kolonoskopia');
INSERT INTO `lang_definitions` VALUES (170092, 2014, 32, 'Väri');
INSERT INTO `lang_definitions` VALUES (170093, 2020, 32, 'Väri: lyhenne');
INSERT INTO `lang_definitions` VALUES (170094, 2021, 32, 'Sarake');
INSERT INTO `lang_definitions` VALUES (170095, 2022, 32, 'Sarakkeet');
INSERT INTO `lang_definitions` VALUES (170096, 2024, 32, 'Eriä koostetaan');
INSERT INTO `lang_definitions` VALUES (170097, 2025, 32, 'Pilkku');
INSERT INTO `lang_definitions` VALUES (170098, 2027, 32, 'Kommentti');
INSERT INTO `lang_definitions` VALUES (170099, 2028, 32, 'Kommentit');
INSERT INTO `lang_definitions` VALUES (170100, 2030, 32, 'Kommentit tähän tulokseen tai suositukseen');
INSERT INTO `lang_definitions` VALUES (170101, 2031, 32, 'Kaupallinen vakuutus Oy');
INSERT INTO `lang_definitions` VALUES (170102, 2032, 32, 'Suorita muutokset');
INSERT INTO `lang_definitions` VALUES (170103, 2034, 32, 'Viestintä');
INSERT INTO `lang_definitions` VALUES (170104, 2036, 32, 'Viestintä');
INSERT INTO `lang_definitions` VALUES (170105, 2039, 32, 'Yritys');
INSERT INTO `lang_definitions` VALUES (170106, 2040, 32, 'Yrityksen nimi');
INSERT INTO `lang_definitions` VALUES (170107, 2041, 32, 'Valmis');
INSERT INTO `lang_definitions` VALUES (170108, 2043, 32, 'Valmis');
INSERT INTO `lang_definitions` VALUES (170109, 2046, 32, 'Valmis?');
INSERT INTO `lang_definitions` VALUES (170110, 2049, 32, 'Palvelun tarjoajalla ongelmia');
INSERT INTO `lang_definitions` VALUES (170111, 2050, 32, 'Komplikaatiot raskaudenkeskeytyksessä');
INSERT INTO `lang_definitions` VALUES (170112, 2051, 32, 'Komponentit');
INSERT INTO `lang_definitions` VALUES (170113, 2057, 32, 'Tietokoneavusteinen lääketieteellinen tilausjärjestelmä');
INSERT INTO `lang_definitions` VALUES (170114, 2058, 32, 'Päätelmät');
INSERT INTO `lang_definitions` VALUES (170115, 2063, 32, 'Rakenne');
INSERT INTO `lang_definitions` VALUES (170116, 2064, 32, 'Rakenne');
INSERT INTO `lang_definitions` VALUES (170117, 2065, 32, 'Rakenne Vienti/Tuonti');
INSERT INTO `lang_definitions` VALUES (170118, 2066, 32, 'Rakenteen tallentaminen onnistui');
INSERT INTO `lang_definitions` VALUES (170119, 2067, 32, 'Määrittele Apache ja OpenEMR käyttämään asiakkaan SSL-sertifikaattia');
INSERT INTO `lang_definitions` VALUES (170120, 2068, 32, 'Määrittele Apache käyttämään asiakkaan SSL-sertifikaattia');
INSERT INTO `lang_definitions` VALUES (170121, 2069, 32, 'Määrittele Apache käyttämään HTTPS-protokollaa.');
INSERT INTO `lang_definitions` VALUES (170122, 2070, 32, 'Määrittele OpenEMR käyttämään asiakkaan SSL-sertifikaattia');
INSERT INTO `lang_definitions` VALUES (170123, 2079, 32, 'Vahvista uusi potilas');
INSERT INTO `lang_definitions` VALUES (170124, 2081, 32, 'Vahvista uusi salasana');
INSERT INTO `lang_definitions` VALUES (170125, 2083, 32, 'Vahvista maksu');
INSERT INTO `lang_definitions` VALUES (170126, 2092, 32, 'Synnynnäinen');
INSERT INTO `lang_definitions` VALUES (170127, 2096, 32, 'Yhteysvirhe');
INSERT INTO `lang_definitions` VALUES (170128, 2097, 32, 'Yhteydet');
INSERT INTO `lang_definitions` VALUES (170129, 2098, 32, 'Vakio');
INSERT INTO `lang_definitions` VALUES (170130, 2100, 32, 'vakion nimi');
INSERT INTO `lang_definitions` VALUES (170131, 2101, 32, 'Vakion nimi puuttuu');
INSERT INTO `lang_definitions` VALUES (170132, 2102, 32, 'vakiot');
INSERT INTO `lang_definitions` VALUES (170133, 2103, 32, 'Ummetus');
INSERT INTO `lang_definitions` VALUES (170134, 2104, 32, 'Perustiedot');
INSERT INTO `lang_definitions` VALUES (170135, 2107, 32, 'Käynnin lyhyt kuvaus');
INSERT INTO `lang_definitions` VALUES (170136, 2109, 32, 'Yhteystiedot');
INSERT INTO `lang_definitions` VALUES (170137, 2110, 32, 'Sähköposti');
INSERT INTO `lang_definitions` VALUES (170138, 2111, 32, 'Sähköpostiosoite');
INSERT INTO `lang_definitions` VALUES (170139, 2112, 32, 'Ota yhteys EMR Directiin phiMail Direct viestipalvelun tilaamista varten');
INSERT INTO `lang_definitions` VALUES (170140, 2113, 32, 'Yhteystiedot');
INSERT INTO `lang_definitions` VALUES (170141, 2117, 32, 'Piilolinssit');
INSERT INTO `lang_definitions` VALUES (170142, 2118, 32, 'Ota yhteys Medical Information Integration, LLC http://mi-squared.com Lab Exchange Service varten.');
INSERT INTO `lang_definitions` VALUES (170143, 2119, 32, 'Ota yhteys Medical Information Integration, LLC http://mi-squared.com tai ZH Healthcare http://zhservices.com eRx palvelun tilaamista varten');
INSERT INTO `lang_definitions` VALUES (170144, 2122, 32, 'Yhteyshenkilön nimi');
INSERT INTO `lang_definitions` VALUES (170145, 2125, 32, 'Yhteyshenkilö');
INSERT INTO `lang_definitions` VALUES (170146, 2126, 32, 'Yhteyshenkilön puhelinnumero');
INSERT INTO `lang_definitions` VALUES (170147, 2127, 32, 'Yhteyshenkilön puhelinnumero');
INSERT INTO `lang_definitions` VALUES (170148, 2129, 32, 'Ota yhteys ZMG:een (zmghealth@gmail.com) eRx palvelun tilaamista varten');
INSERT INTO `lang_definitions` VALUES (170149, 2131, 32, 'sisältää ainakin kolme neljästä seuraavasta:');
INSERT INTO `lang_definitions` VALUES (170150, 2132, 32, 'Säiliö-ryhmän nimi');
INSERT INTO `lang_definitions` VALUES (170151, 2133, 32, 'Sisältö');
INSERT INTO `lang_definitions` VALUES (170152, 2134, 32, 'sisältö');
INSERT INTO `lang_definitions` VALUES (170153, 2136, 32, 'Asiayhteys');
INSERT INTO `lang_definitions` VALUES (170154, 2137, 32, 'Kontekstin nimi ei voi olla tyhjä');
INSERT INTO `lang_definitions` VALUES (170155, 2138, 32, 'Jatka');
INSERT INTO `lang_definitions` VALUES (170156, 2142, 32, 'Hoitosuunnitelma');
INSERT INTO `lang_definitions` VALUES (170157, 2145, 32, 'Potilaskertomus');
INSERT INTO `lang_definitions` VALUES (170158, 2147, 32, 'Ehkäisy');
INSERT INTO `lang_definitions` VALUES (170159, 2148, 32, 'Ehkäisyyn liittyvät asiat');
INSERT INTO `lang_definitions` VALUES (170160, 2149, 32, 'Ehkäisyyn liittyvät ongelmat (tarkenna)');
INSERT INTO `lang_definitions` VALUES (170161, 2150, 32, 'Ehkäisymenetelmä');
INSERT INTO `lang_definitions` VALUES (170162, 2151, 32, 'Ehkäisyssä käytetyt tuotteet');
INSERT INTO `lang_definitions` VALUES (170163, 2152, 32, 'Aiemmin aloitetut ehkäisyyn liittyvät palvelut');
INSERT INTO `lang_definitions` VALUES (170164, 2153, 32, 'Ehkäisy aloitettu');
INSERT INTO `lang_definitions` VALUES (170165, 2158, 32, 'Kontrollitunniste');
INSERT INTO `lang_definitions` VALUES (170166, 2159, 32, 'Kontrollinumero');
INSERT INTO `lang_definitions` VALUES (170167, 2168, 32, 'OMAVASTUU');
INSERT INTO `lang_definitions` VALUES (170168, 2169, 32, 'Omavastuu');
INSERT INTO `lang_definitions` VALUES (170169, 2170, 32, 'Omavastuu');
INSERT INTO `lang_definitions` VALUES (170170, 2171, 32, 'Osamaksu negatiivinen');
INSERT INTO `lang_definitions` VALUES (170171, 2172, 32, 'Omavastuu maksettu');
INSERT INTO `lang_definitions` VALUES (170172, 2173, 32, 'Omavastuut');
INSERT INTO `lang_definitions` VALUES (170173, 2174, 32, 'Keuhkoahtaumatauti');
INSERT INTO `lang_definitions` VALUES (170174, 2175, 32, 'Kopioi sivuja potilaan kuvaajaan');
INSERT INTO `lang_definitions` VALUES (170175, 2177, 32, 'Kopioi arvot');
INSERT INTO `lang_definitions` VALUES (170176, 2178, 32, 'Kopioidaan tietokannan tiedostoa. Tässä saattaa mennä tuokio…');
INSERT INTO `lang_definitions` VALUES (170177, 2179, 32, 'Tekijänoikeus tiedote');
INSERT INTO `lang_definitions` VALUES (170178, 2183, 32, 'Korni');
INSERT INTO `lang_definitions` VALUES (170179, 2184, 32, 'Sepelvaltimoiden ohitusleikkaus');
INSERT INTO `lang_definitions` VALUES (170180, 2185, 32, 'Sepelvaltimoiden ohitusleikkaus');
INSERT INTO `lang_definitions` VALUES (170181, 2186, 32, 'Korjattu');
INSERT INTO `lang_definitions` VALUES (170182, 2187, 32, 'Korsika');
INSERT INTO `lang_definitions` VALUES (170183, 2188, 32, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (170184, 2189, 32, 'CouchDB yhteys epäonnistui.');
INSERT INTO `lang_definitions` VALUES (170185, 2191, 32, 'CouchDB tietokanta');
INSERT INTO `lang_definitions` VALUES (170186, 2192, 32, 'CouchDB tietokannan nimi');
INSERT INTO `lang_definitions` VALUES (170187, 2195, 32, 'CouchDB palvelin');
INSERT INTO `lang_definitions` VALUES (170188, 2196, 32, 'CouchDB palvelimen nimi');
INSERT INTO `lang_definitions` VALUES (170189, 2197, 32, 'CouchDB loki sallittu');
INSERT INTO `lang_definitions` VALUES (170190, 2198, 32, 'CouchDB salasana');
INSERT INTO `lang_definitions` VALUES (170191, 2199, 32, 'CouchDB portti');
INSERT INTO `lang_definitions` VALUES (170192, 2200, 32, 'CouchDB portti');
INSERT INTO `lang_definitions` VALUES (170193, 2201, 32, 'CouchDB tallennus ei onnistunut');
INSERT INTO `lang_definitions` VALUES (170194, 2203, 32, 'CouchDB käyttäjätunnus');
INSERT INTO `lang_definitions` VALUES (170195, 2204, 32, 'Yskä');
INSERT INTO `lang_definitions` VALUES (170196, 2205, 32, 'Köhä:');
INSERT INTO `lang_definitions` VALUES (170197, 2206, 32, 'yhdistäminen palvelimelle ei onnistunut');
INSERT INTO `lang_definitions` VALUES (170198, 2210, 32, 'taulukon avaaminen ei onnistunut');
INSERT INTO `lang_definitions` VALUES (170199, 2211, 32, 'Tiedoston lukeminen ei onnistunut');
INSERT INTO `lang_definitions` VALUES (170200, 2212, 32, 'Tiedoston lukeminen ei onnistunut');
INSERT INTO `lang_definitions` VALUES (170201, 2214, 32, 'Palvelinongelmien vuoksi sähköpostin lähettäminen ei onnistunut,');
INSERT INTO `lang_definitions` VALUES (170202, 2216, 32, 'Palvelinongelmien vuoksi sähköpostin lähettäminen ei onnistunut.');
INSERT INTO `lang_definitions` VALUES (170203, 2217, 32, 'Varmuuskopiohakemiston luonti ei onnistunut:');
INSERT INTO `lang_definitions` VALUES (170204, 2218, 32, 'Hakemiston poistaminen ei onnistunut:');
INSERT INTO `lang_definitions` VALUES (170205, 2219, 32, 'Vanhan varmuuskopiotiedoston poistaminen ei onnistunut:');
INSERT INTO `lang_definitions` VALUES (170206, 2220, 32, 'Vanhan viedyn tiedoston poistaminen ei onnistunut:');
INSERT INTO `lang_definitions` VALUES (170207, 2221, 32, 'INR seuranta');
INSERT INTO `lang_definitions` VALUES (170208, 2222, 32, 'Neuvonta menetelmä');
INSERT INTO `lang_definitions` VALUES (170209, 2223, 32, 'Terapia');
INSERT INTO `lang_definitions` VALUES (170210, 2224, 32, 'Terapiatoiminnot');
INSERT INTO `lang_definitions` VALUES (170211, 2227, 32, 'LAUSUNTOPYYNTÖ LOMAKE');
INSERT INTO `lang_definitions` VALUES (170212, 2228, 32, 'Lausyntopyyntö');
INSERT INTO `lang_definitions` VALUES (170213, 2229, 32, 'Maa');
INSERT INTO `lang_definitions` VALUES (170214, 2231, 32, 'Maa tietotyyppi');
INSERT INTO `lang_definitions` VALUES (170215, 2232, 32, 'Maa lista');
INSERT INTO `lang_definitions` VALUES (170216, 2233, 32, 'Maa lista (kirjoita, lisääminen mahdollista)');
INSERT INTO `lang_definitions` VALUES (170217, 2235, 32, 'Maan nimi esitettynä kahdella kirjaimella. (Esimerkiksi Suomi on FI, USA on US)');
INSERT INTO `lang_definitions` VALUES (170218, 2236, 32, 'lääni');
INSERT INTO `lang_definitions` VALUES (170219, 2238, 32, 'Lipuke');
INSERT INTO `lang_definitions` VALUES (170220, 2245, 32, 'CPT');
INSERT INTO `lang_definitions` VALUES (170221, 2246, 32, 'CPT koodi');
INSERT INTO `lang_definitions` VALUES (170222, 2247, 32, 'CPT koodit');
INSERT INTO `lang_definitions` VALUES (170223, 2252, 32, 'Murtumat:');
INSERT INTO `lang_definitions` VALUES (170224, 2255, 32, 'kerma');
INSERT INTO `lang_definitions` VALUES (170225, 2256, 32, 'Luo asiakasohjelman SSL sertifikaatti jokaiselle käyttäjälle tai koneelle.');
INSERT INTO `lang_definitions` VALUES (170226, 2257, 32, 'Luo asiakasohjelman SSL sertifikaatti jokaiselle käyttäjälle tai koneelle.');
INSERT INTO `lang_definitions` VALUES (170227, 2269, 32, 'Luo tapahtuma');
INSERT INTO `lang_definitions` VALUES (170228, 2273, 32, 'Luo ja lataa täysi varmuuskopio');
INSERT INTO `lang_definitions` VALUES (170229, 2275, 32, 'Luo varmuuskopio');
INSERT INTO `lang_definitions` VALUES (170230, 2276, 32, 'Luo ryhmäajo');
INSERT INTO `lang_definitions` VALUES (170231, 2277, 32, 'Luo asiakasohjelman sertifikaatti');
INSERT INTO `lang_definitions` VALUES (170232, 2278, 32, 'Luo asiakasohjelman SSL-sertifikaatti');
INSERT INTO `lang_definitions` VALUES (170233, 2281, 32, 'Luo duplikaatti');
INSERT INTO `lang_definitions` VALUES (170234, 2282, 32, 'Luo tapaaminen');
INSERT INTO `lang_definitions` VALUES (170235, 2283, 32, 'Luo tapahtumalokin varmuuskopio');
INSERT INTO `lang_definitions` VALUES (170236, 2285, 32, 'Luo uusi aihe');
INSERT INTO `lang_definitions` VALUES (170237, 2287, 32, 'Luo uusi potilas');
INSERT INTO `lang_definitions` VALUES (170238, 2294, 32, 'Luo potilasmerkintä');
INSERT INTO `lang_definitions` VALUES (170239, 2296, 32, 'Luo SSL sertifikaattivaltuutus ja palvelinsertifikaatti');
INSERT INTO `lang_definitions` VALUES (170240, 2297, 32, 'Luo käynti');
INSERT INTO `lang_definitions` VALUES (170241, 2298, 32, 'Luotu');
INSERT INTO `lang_definitions` VALUES (170242, 2306, 32, 'Luodaan vietävää tiedostoa');
INSERT INTO `lang_definitions` VALUES (170243, 2308, 32, 'Tämän tiedoston luominen etäpalvelimella ei onnistunut');
INSERT INTO `lang_definitions` VALUES (170244, 2309, 32, 'Luonut');
INSERT INTO `lang_definitions` VALUES (170245, 2311, 32, 'luotto');
INSERT INTO `lang_definitions` VALUES (170246, 2312, 32, 'Luottokortti');
INSERT INTO `lang_definitions` VALUES (170247, 2314, 32, 'Luotot');
INSERT INTO `lang_definitions` VALUES (170248, 2315, 32, 'Cree');
INSERT INTO `lang_definitions` VALUES (170249, 2316, 32, 'Kriteerit');
INSERT INTO `lang_definitions` VALUES (170250, 2318, 32, 'Kroatian');
INSERT INTO `lang_definitions` VALUES (170251, 2319, 32, 'Crohnin tauti');
INSERT INTO `lang_definitions` VALUES (170252, 2320, 32, 'Crohnin tauti');
INSERT INTO `lang_definitions` VALUES (170253, 2323, 32, 'CSV vienti');
INSERT INTO `lang_definitions` VALUES (170254, 2324, 32, 'CSV tiedosto');
INSERT INTO `lang_definitions` VALUES (170255, 2325, 32, 'CSV taulut');
INSERT INTO `lang_definitions` VALUES (170256, 2330, 32, 'Kuutio millimetriä');
INSERT INTO `lang_definitions` VALUES (170257, 2331, 32, 'Kuubalainen');
INSERT INTO `lang_definitions` VALUES (170258, 2333, 32, 'Valuutan desimaalimerkin paikka');
INSERT INTO `lang_definitions` VALUES (170259, 2334, 32, 'Valuutan desimaalimerkki');
INSERT INTO `lang_definitions` VALUES (170260, 2335, 32, 'Valuuttakoodi');
INSERT INTO `lang_definitions` VALUES (170261, 2336, 32, 'Valuutan tuhaterotin');
INSERT INTO `lang_definitions` VALUES (170262, 2337, 32, 'Nykyinen');
INSERT INTO `lang_definitions` VALUES (170263, 2338, 32, 'Alkoholin käyttö nyt');
INSERT INTO `lang_definitions` VALUES (170264, 2341, 32, 'Nykyinen konsultaatio');
INSERT INTO `lang_definitions` VALUES (170265, 2342, 32, 'Nykyiset kriteerit');
INSERT INTO `lang_definitions` VALUES (170266, 2344, 32, 'Tämän päivän korostusväri');
INSERT INTO `lang_definitions` VALUES (170267, 2345, 32, 'Tupakoi päivittäin');
INSERT INTO `lang_definitions` VALUES (170268, 2347, 32, 'Asiakirjan nimi muutettiin muotoon');
INSERT INTO `lang_definitions` VALUES (170269, 2350, 32, 'Nykyinen sijainti');
INSERT INTO `lang_definitions` VALUES (170270, 2352, 32, 'Nykyinen lääkitys');
INSERT INTO `lang_definitions` VALUES (170271, 2354, 32, 'Nykyinen salasana');
INSERT INTO `lang_definitions` VALUES (170272, 2356, 32, 'Nykyinen potilas');
INSERT INTO `lang_definitions` VALUES (170273, 2361, 32, 'Käyttää vapaa-ajan huumeita');
INSERT INTO `lang_definitions` VALUES (170274, 2363, 32, 'Satunnainen tupakoija');
INSERT INTO `lang_definitions` VALUES (170275, 2369, 32, 'Tämän hetkinen arvo');
INSERT INTO `lang_definitions` VALUES (170276, 2371, 32, 'Tällä hetkellä aktiivinen');
INSERT INTO `lang_definitions` VALUES (170277, 2375, 32, 'Tällä hetkellä käynnissä');
INSERT INTO `lang_definitions` VALUES (170278, 2377, 32, 'Nyt ei ole toimitiloja.');
INSERT INTO `lang_definitions` VALUES (170279, 2379, 32, 'Cushingin oireyhtymä');
INSERT INTO `lang_definitions` VALUES (170280, 2380, 32, 'Cushingin oireyhtymä');
INSERT INTO `lang_definitions` VALUES (170281, 2383, 32, 'Muokattu');
INSERT INTO `lang_definitions` VALUES (170282, 2390, 32, 'Muokattu syöte?');
INSERT INTO `lang_definitions` VALUES (170283, 2395, 32, 'Muokattu taulu');
INSERT INTO `lang_definitions` VALUES (170284, 2402, 32, 'Rokotuskoodi');
INSERT INTO `lang_definitions` VALUES (170285, 2403, 32, 'Rokotuskoodien kartoitus');
INSERT INTO `lang_definitions` VALUES (170286, 2404, 32, 'Rokotteet');
INSERT INTO `lang_definitions` VALUES (170287, 2406, 32, 'Sykli');
INSERT INTO `lang_definitions` VALUES (170288, 2412, 32, 'Ehkäisyn suoja-aika');
INSERT INTO `lang_definitions` VALUES (170289, 2413, 32, 'Ehkäisyn suoja-ajan faktori');
INSERT INTO `lang_definitions` VALUES (170290, 2414, 32, 'Ehkäisyn suoja-ajan raportti');
INSERT INTO `lang_definitions` VALUES (170291, 2415, 32, 'Tšekki');
INSERT INTO `lang_definitions` VALUES (170292, 2420, 32, 'Syntymäaika');
INSERT INTO `lang_definitions` VALUES (170293, 2421, 32, 'päivittäin');
INSERT INTO `lang_definitions` VALUES (170294, 2425, 32, 'Tanska');
INSERT INTO `lang_definitions` VALUES (170295, 2429, 32, 'Vastaava tieto on jo tietokannassa. Ole hyvä ja vaihda koodi ja/tai kuvaus');
INSERT INTO `lang_definitions` VALUES (170296, 2430, 32, 'Vastaava tieto on jo tietokannassa. Ole hyvä ja vaihda vakion nimi');
INSERT INTO `lang_definitions` VALUES (170297, 2431, 32, 'Tietosarakkeet');
INSERT INTO `lang_definitions` VALUES (170298, 2434, 32, 'Tietovirhe');
INSERT INTO `lang_definitions` VALUES (170299, 2435, 32, 'Tieto kohteesta');
INSERT INTO `lang_definitions` VALUES (170300, 2437, 32, 'tiedot kaikista tapaamisista tähän mennessä');
INSERT INTO `lang_definitions` VALUES (170301, 2439, 32, 'Tietotyyppi');
INSERT INTO `lang_definitions` VALUES (170302, 2440, 32, 'Tietokanta');
INSERT INTO `lang_definitions` VALUES (170303, 2442, 32, 'Tietokantaa ei ole asennettu.');
INSERT INTO `lang_definitions` VALUES (170304, 2444, 32, 'Tietokannan paikkaus');
INSERT INTO `lang_definitions` VALUES (170305, 2445, 32, 'Tietokannan raportti');
INSERT INTO `lang_definitions` VALUES (170306, 2447, 32, 'Tietokannan päivitys suoritettu.');
INSERT INTO `lang_definitions` VALUES (170307, 2448, 32, 'Tietosarakkeiden lukumäärän tulee olla 1 ja 999 väliltä');
INSERT INTO `lang_definitions` VALUES (170308, 2449, 32, 'Päivämäärä');
INSERT INTO `lang_definitions` VALUES (170309, 2450, 32, 'Päivämäärä');
INSERT INTO `lang_definitions` VALUES (170310, 2451, 32, 'Päiväys ja aika hallinnoitu');
INSERT INTO `lang_definitions` VALUES (170311, 2453, 32, 'Päiväys hallinnoitu');
INSERT INTO `lang_definitions` VALUES (170312, 2454, 32, 'Näytteiden keräämisen päiväys ja aika');
INSERT INTO `lang_definitions` VALUES (170313, 2455, 32, 'Havainnon päiväys ja aika');
INSERT INTO `lang_definitions` VALUES (170314, 2457, 32, 'Päiväys ja aika, jolloin näyte on otettu');
INSERT INTO `lang_definitions` VALUES (170315, 2458, 32, 'Päiväys ei voi olla myöhemmin kuin tänään');
INSERT INTO `lang_definitions` VALUES (170316, 2459, 32, 'Päivä jolloin ehkäisypalvelu on alkujaan toimitettu');
INSERT INTO `lang_definitions` VALUES (170317, 2460, 32, 'Luontipäivä');
INSERT INTO `lang_definitions` VALUES (170318, 2461, 32, 'Kuolinpäivä');
INSERT INTO `lang_definitions` VALUES (170319, 2462, 32, 'Tuhoamispäivä');
INSERT INTO `lang_definitions` VALUES (170320, 2463, 32, 'Päivän esitysmuoto');
INSERT INTO `lang_definitions` VALUES (170321, 2464, 32, 'Päiväyksen esitysmuoto kohdassa \"tapaaminen päättyy\" on epäkelpo');
INSERT INTO `lang_definitions` VALUES (170322, 2465, 32, 'Päiväyksen esitysmuoto kohdassa \"tapaaminen alkaa\" on epäkelpo');
INSERT INTO `lang_definitions` VALUES (170323, 2466, 32, 'Päiväyksen esitysmuoto kohdassa \"Seuraava tapaaminen\" on epäkelpo');
INSERT INTO `lang_definitions` VALUES (170324, 2467, 32, 'Päiväyksen esitysmuoto kohdassa \"ei tavattu sitten\" on epäkelpo');
INSERT INTO `lang_definitions` VALUES (170325, 2469, 32, 'Päiväyksen esitysmuoto kohdassa \"nähty viimeksi\" on epäkelpo');
INSERT INTO `lang_definitions` VALUES (170326, 2471, 32, 'Koodista puuttuu päiväys');
INSERT INTO `lang_definitions` VALUES (170327, 2475, 32, 'Pankkitalletuksen päiväys vvvv-kk-pp');
INSERT INTO `lang_definitions` VALUES (170328, 2476, 32, 'Laskutuspvm');
INSERT INTO `lang_definitions` VALUES (170329, 2477, 32, 'Syntymäaika');
INSERT INTO `lang_definitions` VALUES (170330, 2478, 32, 'Syntymäaika');
INSERT INTO `lang_definitions` VALUES (170331, 2479, 32, 'Syntymäaika');
INSERT INTO `lang_definitions` VALUES (170332, 2481, 32, 'Sisäänkirjautumisen päiväys');
INSERT INTO `lang_definitions` VALUES (170333, 2483, 32, 'Loukkaantumispäivämäärä');
INSERT INTO `lang_definitions` VALUES (170334, 2487, 32, 'Maksupäivä vvvv-kk-pp');
INSERT INTO `lang_definitions` VALUES (170335, 2489, 32, 'Lähetteen päiväys');
INSERT INTO `lang_definitions` VALUES (170336, 2491, 32, 'Vastauksen päiväys');
INSERT INTO `lang_definitions` VALUES (170337, 2492, 32, 'Raportin päiväys');
INSERT INTO `lang_definitions` VALUES (170338, 2493, 32, 'Käynnin pvm');
INSERT INTO `lang_definitions` VALUES (170339, 2495, 32, 'Käyntipäivä');
INSERT INTO `lang_definitions` VALUES (170340, 2496, 32, 'Käyntipäivä = Tänään');
INSERT INTO `lang_definitions` VALUES (170341, 2498, 32, 'Käyntipäivämäärä pp/kk/vvvv');
INSERT INTO `lang_definitions` VALUES (170342, 2499, 32, 'Käynnin pvm:');
INSERT INTO `lang_definitions` VALUES (170343, 2500, 32, 'Allekirjoituksen päiväys');
INSERT INTO `lang_definitions` VALUES (170344, 2501, 32, 'Muutoksen päiväys');
INSERT INTO `lang_definitions` VALUES (170345, 2503, 32, 'Tämän määräyksen päiväys');
INSERT INTO `lang_definitions` VALUES (170346, 2504, 32, 'Tämän raportin päiväys');
INSERT INTO `lang_definitions` VALUES (170347, 2506, 32, 'Tilauspäivä');
INSERT INTO `lang_definitions` VALUES (170348, 2508, 32, 'Päivämäärän valitsin');
INSERT INTO `lang_definitions` VALUES (170349, 2509, 32, 'Päivämäärän valitsin');
INSERT INTO `lang_definitions` VALUES (170350, 2510, 32, 'Lähetyspäivämäärä');
INSERT INTO `lang_definitions` VALUES (170351, 2511, 32, 'Viestin lähetyspäivä');
INSERT INTO `lang_definitions` VALUES (170352, 2512, 32, 'Päiväys ja aika');
INSERT INTO `lang_definitions` VALUES (170353, 2513, 32, 'Päiväys ei voi olla tyhjä');
INSERT INTO `lang_definitions` VALUES (170354, 2516, 32, 'Pvm/Tapaaminen');
INSERT INTO `lang_definitions` VALUES (170355, 2517, 32, 'Pvm/Muistio');
INSERT INTO `lang_definitions` VALUES (170356, 2518, 32, 'Pvm/Muistio viimeisestä');
INSERT INTO `lang_definitions` VALUES (170357, 2519, 32, 'Pvm/Aika');
INSERT INTO `lang_definitions` VALUES (170358, 2520, 32, 'Päivämäärä:');
INSERT INTO `lang_definitions` VALUES (170359, 2523, 32, 'Päivättyjen viestien loki');
INSERT INTO `lang_definitions` VALUES (170360, 2526, 32, 'Päivä');
INSERT INTO `lang_definitions` VALUES (170361, 2527, 32, 'päivä');
INSERT INTO `lang_definitions` VALUES (170362, 2530, 32, 'Päivänäkymä');
INSERT INTO `lang_definitions` VALUES (170363, 2531, 32, 'Päivä(t)');
INSERT INTO `lang_definitions` VALUES (170364, 2532, 32, 'viikonpäivä(t) Ma - Pe');
INSERT INTO `lang_definitions` VALUES (170365, 2533, 32, 'päivää');
INSERT INTO `lang_definitions` VALUES (170366, 2534, 32, 'Päivää');
INSERT INTO `lang_definitions` VALUES (170367, 2535, 32, 'päivää sitten');
INSERT INTO `lang_definitions` VALUES (170368, 2536, 32, 'Menetetyt pelit ja päivät');
INSERT INTO `lang_definitions` VALUES (170369, 2537, 32, 'päivää viime käynnistä');
INSERT INTO `lang_definitions` VALUES (170370, 2538, 32, 'Menetetyt päivät');
INSERT INTO `lang_definitions` VALUES (170371, 2541, 32, 'Päivät saraketta kohden:');
INSERT INTO `lang_definitions` VALUES (170372, 2543, 32, 'Päivät/Sarakkeet');
INSERT INTO `lang_definitions` VALUES (170373, 2544, 32, 'Tietokanta asennettu');
INSERT INTO `lang_definitions` VALUES (170374, 2545, 32, 'PP/KK/VVVV');
INSERT INTO `lang_definitions` VALUES (170375, 2546, 32, 'De-identifiointi');
INSERT INTO `lang_definitions` VALUES (170376, 2547, 32, 'De-identifiointiprosessi on valmis');
INSERT INTO `lang_definitions` VALUES (170377, 2548, 32, 'De-identifiointiprosessi on käynnissä');
INSERT INTO `lang_definitions` VALUES (170378, 2549, 32, 'De-identifiointiprosessi on käynnistetty ja toimii taustalla');
INSERT INTO `lang_definitions` VALUES (170379, 2550, 32, 'De-identifioitava tieto ei välttämättä ole täydellinen');
INSERT INTO `lang_definitions` VALUES (170380, 2551, 32, 'De-identifioitavat asiakirjat on tallennettu kohteeseen');
INSERT INTO `lang_definitions` VALUES (170381, 2552, 32, 'Huumevirasto');
INSERT INTO `lang_definitions` VALUES (170382, 2558, 32, 'Kuuro');
INSERT INTO `lang_definitions` VALUES (170383, 2562, 32, 'Virheenkorjaus informaatio');
INSERT INTO `lang_definitions` VALUES (170384, 2564, 32, 'Virheenkorjaus');
INSERT INTO `lang_definitions` VALUES (170385, 2565, 32, 'Joulukuu');
INSERT INTO `lang_definitions` VALUES (170386, 2567, 32, 'KUOLLUT');
INSERT INTO `lang_definitions` VALUES (170387, 2574, 32, 'Joulukuu');
INSERT INTO `lang_definitions` VALUES (170388, 2578, 32, 'Paunat desimaaleilla vai paunat ja unssit eroteltuna # (esim. 5#4)');
INSERT INTO `lang_definitions` VALUES (170389, 2580, 32, 'Vähennyskelpoinen');
INSERT INTO `lang_definitions` VALUES (170390, 2581, 32, 'Omavastuun täyttyminen');
INSERT INTO `lang_definitions` VALUES (170391, 2583, 32, 'Oletus');
INSERT INTO `lang_definitions` VALUES (170392, 2585, 32, 'Kalenterin oletusnäkymä');
INSERT INTO `lang_definitions` VALUES (170393, 2587, 32, 'Vakiokäyntilomakkeen tunniste');
INSERT INTO `lang_definitions` VALUES (170394, 2589, 32, 'Oletustoimipiste');
INSERT INTO `lang_definitions` VALUES (170395, 2594, 32, 'Oletuskieli');
INSERT INTO `lang_definitions` VALUES (170396, 2595, 32, 'Oletuskieli, jos muita ei sallittu tai valittu.');
INSERT INTO `lang_definitions` VALUES (170397, 2598, 32, 'Oletuslista (kirjoita, vain lisäys vaihtoehtoinen)');
INSERT INTO `lang_definitions` VALUES (170398, 2600, 32, 'Oletusmetodi');
INSERT INTO `lang_definitions` VALUES (170399, 2601, 32, 'Salasanan vanhenemisen oletusarvo päivissä');
INSERT INTO `lang_definitions` VALUES (170400, 2602, 32, 'Salasanan vanhenemisen oletusarvo päivissä. Jos arvo on 0, ominaisuus on poissa käytöstä.');
INSERT INTO `lang_definitions` VALUES (170401, 2603, 32, 'Potilaan kotimaan oletusarvo');
INSERT INTO `lang_definitions` VALUES (170402, 2606, 32, 'Oletuspainoarvo');
INSERT INTO `lang_definitions` VALUES (170403, 2607, 32, 'Oletuspalveluntarjoaja');
INSERT INTO `lang_definitions` VALUES (170404, 2610, 32, 'Käynnin syyn oletusarvo');
INSERT INTO `lang_definitions` VALUES (170405, 2615, 32, 'Oletusasetus');
INSERT INTO `lang_definitions` VALUES (170406, 2618, 32, 'Oletusmalli');
INSERT INTO `lang_definitions` VALUES (170407, 2624, 32, 'Oletusyksiköt');
INSERT INTO `lang_definitions` VALUES (170408, 2626, 32, 'Oletusarvo');
INSERT INTO `lang_definitions` VALUES (170409, 2628, 32, 'Oletusvarasto');
INSERT INTO `lang_definitions` VALUES (170410, 2629, 32, 'Oletus X12 kumppani');
INSERT INTO `lang_definitions` VALUES (170411, 2630, 32, 'Oletus/Yleiset');
INSERT INTO `lang_definitions` VALUES (170412, 2635, 32, 'Poista');
INSERT INTO `lang_definitions` VALUES (170413, 2636, 32, 'poista');
INSERT INTO `lang_definitions` VALUES (170414, 2637, 32, 'Toistuminen viiveellä (> 12 kk)');
INSERT INTO `lang_definitions` VALUES (170415, 2638, 32, 'Poista');
INSERT INTO `lang_definitions` VALUES (170416, 2639, 32, 'poista');
INSERT INTO `lang_definitions` VALUES (170417, 2640, 32, 'Poista luokat joiden tunniste(et) on:');
INSERT INTO `lang_definitions` VALUES (170418, 2641, 32, 'Poista luokka');
INSERT INTO `lang_definitions` VALUES (170419, 2644, 32, 'Poistaminen epäonnistui!');
INSERT INTO `lang_definitions` VALUES (170420, 2645, 32, 'Poista ryhmä');
INSERT INTO `lang_definitions` VALUES (170421, 2646, 32, 'Poista lista');
INSERT INTO `lang_definitions` VALUES (170422, 2648, 32, 'Poista sivut');
INSERT INTO `lang_definitions` VALUES (170423, 2649, 32, 'Poista potilas, käynti, lomake, aihe, dokumentti, maksu, laskutus tai maksusuoritus');
INSERT INTO `lang_definitions` VALUES (170424, 2651, 32, 'Poista rivi');
INSERT INTO `lang_definitions` VALUES (170425, 2652, 32, 'Poista valitut kohteet');
INSERT INTO `lang_definitions` VALUES (170426, 2653, 32, 'Poista valitut pyynnöt');
INSERT INTO `lang_definitions` VALUES (170427, 2655, 32, 'Poistettu onnistuneesti.');
INSERT INTO `lang_definitions` VALUES (170428, 2656, 32, 'Poista tämä dokumentti');
INSERT INTO `lang_definitions` VALUES (170429, 2657, 32, 'Poista tämä lomake');
INSERT INTO `lang_definitions` VALUES (170430, 2659, 32, 'Poista tämä muistiinpano');
INSERT INTO `lang_definitions` VALUES (170431, 2660, 32, 'Poisto onnistui');
INSERT INTO `lang_definitions` VALUES (170432, 2661, 32, 'Poisto onnistui.');
INSERT INTO `lang_definitions` VALUES (170433, 2662, 32, 'Poistaa');
INSERT INTO `lang_definitions` VALUES (170434, 2663, 32, 'Tämän tapahtuman poistoa ei voi perua. Tapahtumaa ei voida palauttaa kun se on kerran poistettu. Haluatko varmasti poistaa tapahtuman?');
INSERT INTO `lang_definitions` VALUES (170435, 2666, 32, 'Toimitus on varmistettu');
INSERT INTO `lang_definitions` VALUES (170436, 2667, 32, 'Toimitus ei sallittu määriteltyyn osoitteeseen.');
INSERT INTO `lang_definitions` VALUES (170437, 2668, 32, 'Toimitusta ei voi suorittaa määriteltyyn osoitteeseen.');
INSERT INTO `lang_definitions` VALUES (170438, 2669, 32, 'Liitteenä olevat potilasasiakirjat on toimitettu potilaan pyynnöstä');
INSERT INTO `lang_definitions` VALUES (170439, 2670, 32, 'Liitteenä olevat potilasasiakirjat on toimitettu potilaan pyynnöstä.');
INSERT INTO `lang_definitions` VALUES (170440, 2671, 32, 'Dementia');
INSERT INTO `lang_definitions` VALUES (170441, 2673, 32, 'Väestörakenne');
INSERT INTO `lang_definitions` VALUES (170442, 2674, 32, 'Väestörakenne (kirjoita, vain lisäys vaihtoehtoinen)');
INSERT INTO `lang_definitions` VALUES (170443, 2678, 32, 'Väestörakenteen suodatuskriteerit');
INSERT INTO `lang_definitions` VALUES (170444, 2680, 32, 'Väestörakenteelle ei valtuutusta');
INSERT INTO `lang_definitions` VALUES (170445, 2681, 32, 'Väestörakenteelle ei valtuutusta.');
INSERT INTO `lang_definitions` VALUES (170446, 2682, 32, 'Evätty');
INSERT INTO `lang_definitions` VALUES (170447, 2684, 32, 'Nimittäjä');
INSERT INTO `lang_definitions` VALUES (170448, 2687, 32, 'Hampaat');
INSERT INTO `lang_definitions` VALUES (170449, 2688, 32, 'Lista hammasongelmista');
INSERT INTO `lang_definitions` VALUES (170450, 2689, 32, 'Hammasongelmat');
INSERT INTO `lang_definitions` VALUES (170451, 2691, 32, 'Riippuvaiset modulit');
INSERT INTO `lang_definitions` VALUES (170452, 2692, 32, 'Riippuvuusongelma');
INSERT INTO `lang_definitions` VALUES (170453, 2696, 32, 'Talletus pvm');
INSERT INTO `lang_definitions` VALUES (170454, 2697, 32, 'Talletuksen päiväys ei voi olla tämän päivän jälkeen');
INSERT INTO `lang_definitions` VALUES (170455, 2698, 32, 'Talletus pvm:');
INSERT INTO `lang_definitions` VALUES (170456, 2699, 32, 'Masentunut');
INSERT INTO `lang_definitions` VALUES (170457, 2700, 32, 'Masennus');
INSERT INTO `lang_definitions` VALUES (170458, 2705, 32, 'Laskeva');
INSERT INTO `lang_definitions` VALUES (170459, 2706, 32, 'Kuvaus');
INSERT INTO `lang_definitions` VALUES (170460, 2707, 32, 'kuvaus');
INSERT INTO `lang_definitions` VALUES (170461, 2708, 32, 'Kuvaus on oletusteksti');
INSERT INTO `lang_definitions` VALUES (170462, 2709, 32, 'Tiedoksiannon kuvaus');
INSERT INTO `lang_definitions` VALUES (170463, 2710, 32, 'Tämän menettelyn kuvaus tai tuloksen koodi');
INSERT INTO `lang_definitions` VALUES (170464, 2711, 32, 'Kuvauksen käännös');
INSERT INTO `lang_definitions` VALUES (170465, 2712, 32, 'Haluttu tiedostonimi');
INSERT INTO `lang_definitions` VALUES (170466, 2713, 32, 'Tavoite');
INSERT INTO `lang_definitions` VALUES (170467, 2714, 32, 'Kohdetiedostonimi');
INSERT INTO `lang_definitions` VALUES (170468, 2716, 32, 'Tuhoa erä');
INSERT INTO `lang_definitions` VALUES (170469, 2717, 32, 'Tuhoa…');
INSERT INTO `lang_definitions` VALUES (170470, 2718, 32, 'Tuhottu');
INSERT INTO `lang_definitions` VALUES (170471, 2719, 32, 'Tuhotut lääkkeet');
INSERT INTO `lang_definitions` VALUES (170472, 2720, 32, 'Raportti tuhotuista lääkkeistä');
INSERT INTO `lang_definitions` VALUES (170473, 2721, 32, 'Lisätieto');
INSERT INTO `lang_definitions` VALUES (170474, 2726, 32, 'Lisätietoja');
INSERT INTO `lang_definitions` VALUES (170475, 2728, 32, 'Poikkeava kehitys');
INSERT INTO `lang_definitions` VALUES (170476, 2730, 32, 'Diabetes');
INSERT INTO `lang_definitions` VALUES (170477, 2731, 32, 'Diabetes');
INSERT INTO `lang_definitions` VALUES (170478, 2732, 32, 'Diabetes: Verenpaineen hoito (CQM)');
INSERT INTO `lang_definitions` VALUES (170479, 2733, 32, 'Diabetes: Silmätutkimus');
INSERT INTO `lang_definitions` VALUES (170480, 2734, 32, 'Diabetes: Silmätutkimus (CQM)');
INSERT INTO `lang_definitions` VALUES (170481, 2735, 32, 'Diabetes: Jalkojen tutkimus');
INSERT INTO `lang_definitions` VALUES (170482, 2736, 32, 'Diabetes: Jalkojen tutkimus (CQM)');
INSERT INTO `lang_definitions` VALUES (170483, 2738, 32, 'Diabetes: Hemoglobiini A1C');
INSERT INTO `lang_definitions` VALUES (170484, 2739, 32, 'Diabetes: LDL hoito ja seuranta (CQM)');
INSERT INTO `lang_definitions` VALUES (170485, 2740, 32, 'Diabetes: Virtsan microalbumiini');
INSERT INTO `lang_definitions` VALUES (170486, 2741, 32, 'Diagnoosi');
INSERT INTO `lang_definitions` VALUES (170487, 2742, 32, 'Diagnoosit');
INSERT INTO `lang_definitions` VALUES (170488, 2743, 32, 'Diagnoosi tai pääasiallinen oire');
INSERT INTO `lang_definitions` VALUES (170489, 2744, 32, 'Diagnoosikoodi');
INSERT INTO `lang_definitions` VALUES (170490, 2745, 32, 'Diagnoosikoodit');
INSERT INTO `lang_definitions` VALUES (170491, 2747, 32, 'Diagnoosin pvm');
INSERT INTO `lang_definitions` VALUES (170492, 2749, 32, 'Diagnoosi on koodattava linkitettyyn käyntiin');
INSERT INTO `lang_definitions` VALUES (170493, 2750, 32, 'Diagnoosin nimi');
INSERT INTO `lang_definitions` VALUES (170494, 2751, 32, 'Diagnoosiraportti');
INSERT INTO `lang_definitions` VALUES (170495, 2752, 32, 'Diagnoosiraportointi');
INSERT INTO `lang_definitions` VALUES (170496, 2753, 32, 'Vain diagnoosiraportointi');
INSERT INTO `lang_definitions` VALUES (170497, 2754, 32, 'Dignoosin otsikko');
INSERT INTO `lang_definitions` VALUES (170498, 2755, 32, 'Diagnoosi:');
INSERT INTO `lang_definitions` VALUES (170499, 2756, 32, 'Diagnoosi:');
INSERT INTO `lang_definitions` VALUES (170500, 2758, 32, 'Diagnostiset testit:');
INSERT INTO `lang_definitions` VALUES (170501, 2760, 32, 'Valitsee');
INSERT INTO `lang_definitions` VALUES (170502, 2764, 32, 'Ripuli');
INSERT INTO `lang_definitions` VALUES (170503, 2767, 32, 'Sanelu');
INSERT INTO `lang_definitions` VALUES (170504, 2768, 32, 'Sanelu:');
INSERT INTO `lang_definitions` VALUES (170505, 2769, 32, 'Vastaanotitko ilmoituksen HIPAA ilmoituksesta?');
INSERT INTO `lang_definitions` VALUES (170506, 2771, 32, 'Digitaalisesti allekirjoitettu');
INSERT INTO `lang_definitions` VALUES (170507, 2781, 32, 'Suoraposti');
INSERT INTO `lang_definitions` VALUES (170508, 2782, 32, 'Suoraviestien loki');
INSERT INTO `lang_definitions` VALUES (170509, 2783, 32, 'Suoraviesti vastaanotettu.');
INSERT INTO `lang_definitions` VALUES (170510, 2784, 32, 'Suoraviestintä ei ole juuri nyt käytettävissä.');
INSERT INTO `lang_definitions` VALUES (170511, 2785, 32, 'Suoraviestinnässä lähetysvirhe.');
INSERT INTO `lang_definitions` VALUES (170512, 2788, 32, 'Hakemiston poistaminen epäonnistui; jatkaa.');
INSERT INTO `lang_definitions` VALUES (170513, 2789, 32, 'Vammaisuus');
INSERT INTO `lang_definitions` VALUES (170514, 2790, 32, 'Poista käytöstä');
INSERT INTO `lang_definitions` VALUES (170515, 2794, 32, 'Poista kalenteri käytöstä');
INSERT INTO `lang_definitions` VALUES (170516, 2798, 32, 'Poista rokotukset käytöstä');
INSERT INTO `lang_definitions` VALUES (170517, 2802, 32, 'Poista phpMyAdmin käytöstä');
INSERT INTO `lang_definitions` VALUES (170518, 2803, 32, 'Poista reseptit käytöstä');
INSERT INTO `lang_definitions` VALUES (170519, 2804, 32, 'Poista käyttäjäryhmät käytöstä');
INSERT INTO `lang_definitions` VALUES (170520, 2805, 32, 'ei käytössä');
INSERT INTO `lang_definitions` VALUES (170521, 2806, 32, 'Työkyvytön');
INSERT INTO `lang_definitions` VALUES (170522, 2807, 32, 'Alle 65 vuotiaat työkyvyttömyyseläkkeellä olevat, joilla ryhmäsairausvakuutus (LGHP)');
INSERT INTO `lang_definitions` VALUES (170523, 2812, 32, 'DISC');
INSERT INTO `lang_definitions` VALUES (170524, 2813, 32, 'Hylkää');
INSERT INTO `lang_definitions` VALUES (170525, 2814, 32, 'Hylätty');
INSERT INTO `lang_definitions` VALUES (170526, 2815, 32, 'Vuoto');
INSERT INTO `lang_definitions` VALUES (170527, 2816, 32, 'Vuotoa virtsaputkesta');
INSERT INTO `lang_definitions` VALUES (170528, 2818, 32, 'Vuoto oikea');
INSERT INTO `lang_definitions` VALUES (170529, 2819, 32, 'Vuoto oikea:');
INSERT INTO `lang_definitions` VALUES (170530, 2823, 32, 'Purkautunut');
INSERT INTO `lang_definitions` VALUES (170531, 2825, 32, 'Tiedoksiannon info');
INSERT INTO `lang_definitions` VALUES (170532, 2826, 32, 'Tiedoksiannon tyyppi');
INSERT INTO `lang_definitions` VALUES (170533, 2827, 32, 'Tiedoksiannon tyypit');
INSERT INTO `lang_definitions` VALUES (170534, 2828, 32, 'Tiedoksiannot');
INSERT INTO `lang_definitions` VALUES (170535, 2833, 32, 'Alennus');
INSERT INTO `lang_definitions` VALUES (170536, 2834, 32, 'Alennuksen määrä');
INSERT INTO `lang_definitions` VALUES (170537, 2835, 32, 'Alennukset');
INSERT INTO `lang_definitions` VALUES (170538, 2836, 32, 'Alennusprosentti');
INSERT INTO `lang_definitions` VALUES (170539, 2837, 32, 'Alennukset määräsummina');
INSERT INTO `lang_definitions` VALUES (170540, 2838, 32, 'Alennukset uloskirjautuessa annetaan rahamäärinä, ei prosenttiperusteisina.');
INSERT INTO `lang_definitions` VALUES (170541, 2839, 32, 'Diskreetti tulos');
INSERT INTO `lang_definitions` VALUES (170542, 2841, 32, 'Sairaus');
INSERT INTO `lang_definitions` VALUES (170543, 2843, 32, 'Sijoiltaanmeno');
INSERT INTO `lang_definitions` VALUES (170544, 2847, 32, 'Lähetys #');
INSERT INTO `lang_definitions` VALUES (170545, 2848, 32, 'Lähetys');
INSERT INTO `lang_definitions` VALUES (170546, 2849, 32, 'Vastaanotetun dokumentin lähetys');
INSERT INTO `lang_definitions` VALUES (170547, 2853, 32, 'Annosteltu');
INSERT INTO `lang_definitions` VALUES (170548, 2858, 32, 'Näytä dokumentit');
INSERT INTO `lang_definitions` VALUES (170549, 2859, 32, 'Näytetäänkö tapahtumien päiväykset blokkina?');
INSERT INTO `lang_definitions` VALUES (170550, 2860, 32, 'Brittiläisen mittajärjestelmän esitystapa');
INSERT INTO `lang_definitions` VALUES (170551, 2861, 32, 'Kuinka monta tapahtumaa näytetään?');
INSERT INTO `lang_definitions` VALUES (170552, 2865, 32, 'Näytetäänkö sijainti blokkina?');
INSERT INTO `lang_definitions` VALUES (170553, 2866, 32, 'Näyttönimi');
INSERT INTO `lang_definitions` VALUES (170554, 2868, 32, 'Näytetäänkö kalenteri?');
INSERT INTO `lang_definitions` VALUES (170555, 2875, 32, 'Näytetäänkö tämänpäiväiset tapahtumat blokkina?');
INSERT INTO `lang_definitions` VALUES (170556, 2876, 32, 'Näytetäänkö aiheet blokkina?');
INSERT INTO `lang_definitions` VALUES (170557, 2877, 32, 'Näytetäänkö tulevat tapahtumat blokkina?');
INSERT INTO `lang_definitions` VALUES (170558, 2879, 32, 'Näytettävät sarakkeet');
INSERT INTO `lang_definitions` VALUES (170559, 2880, 32, 'Näytetään seuraava lukumäärä viimeisimmistä esitettävistä tiedoista:');
INSERT INTO `lang_definitions` VALUES (170560, 2882, 32, 'Näytetään seuraava lukumäärä viimeisimmistä muistiinpanoista');
INSERT INTO `lang_definitions` VALUES (170561, 2883, 32, 'Näytetään seuraava lukumäärä viimeisimmistä muistiinpanoista:');
INSERT INTO `lang_definitions` VALUES (170562, 2890, 32, 'Jakelu');
INSERT INTO `lang_definitions` VALUES (170563, 2891, 32, 'Jakelut');
INSERT INTO `lang_definitions` VALUES (170564, 2892, 32, 'Jakelija');
INSERT INTO `lang_definitions` VALUES (170565, 2897, 32, 'Divertikuliitti');
INSERT INTO `lang_definitions` VALUES (170566, 2898, 32, 'Divertikuliitti leikkaus');
INSERT INTO `lang_definitions` VALUES (170567, 2899, 32, 'Divertikuliitti');
INSERT INTO `lang_definitions` VALUES (170568, 2900, 32, 'Divertikuliitti leikkaus');
INSERT INTO `lang_definitions` VALUES (170569, 2901, 32, 'Eronnut');
INSERT INTO `lang_definitions` VALUES (170570, 2902, 32, 'Huimaus:');
INSERT INTO `lang_definitions` VALUES (170571, 2905, 32, 'Älä vaihda');
INSERT INTO `lang_definitions` VALUES (170572, 2912, 32, 'Älä näytä kalenteria.');
INSERT INTO `lang_definitions` VALUES (170573, 2916, 32, 'Ei inventoitavia ja myytäviä tuotteita');
INSERT INTO `lang_definitions` VALUES (170574, 2919, 32, 'Älä vaadi valtuutusta potilasmuistioihin');
INSERT INTO `lang_definitions` VALUES (170575, 2921, 32, 'älä tallenna');
INSERT INTO `lang_definitions` VALUES (170576, 2922, 32, 'älä korvaa');
INSERT INTO `lang_definitions` VALUES (170577, 2925, 32, 'älä tee mitään');
INSERT INTO `lang_definitions` VALUES (170578, 2929, 32, 'Haluatko todella poistaa');
INSERT INTO `lang_definitions` VALUES (170579, 2930, 32, 'Haluatko todella poistaa valitun?');
INSERT INTO `lang_definitions` VALUES (170580, 2931, 32, 'Haluatko todella poistaa tämän ryhmän?');
INSERT INTO `lang_definitions` VALUES (170581, 2932, 32, 'Haluatko todellakin poistaa?');
INSERT INTO `lang_definitions` VALUES (170582, 2934, 32, 'Haluatko jatkaa?');
INSERT INTO `lang_definitions` VALUES (170583, 2935, 32, 'Haluatko poistaa tämän?');
INSERT INTO `lang_definitions` VALUES (170584, 2936, 32, 'Haluatko poistaa?');
INSERT INTO `lang_definitions` VALUES (170585, 2937, 32, 'Haluatko poistaa tämän tietueen?');
INSERT INTO `lang_definitions` VALUES (170586, 2938, 32, 'Haluatko jatkaa lisäämällä tämän uuden potilaan?');
INSERT INTO `lang_definitions` VALUES (170587, 2939, 32, 'Haluatko jatkaa uudella nimellä?');
INSERT INTO `lang_definitions` VALUES (170588, 2940, 32, 'Haluatko poistaa LOPULLISESTI tämän rokotustiedon?');
INSERT INTO `lang_definitions` VALUES (170589, 2941, 32, 'Syntymäaika');
INSERT INTO `lang_definitions` VALUES (170590, 2942, 32, 'Syntymäaika puuttuu, anna se mikäli mahdollista');
INSERT INTO `lang_definitions` VALUES (170591, 2945, 32, 'Lääkäri');
INSERT INTO `lang_definitions` VALUES (170592, 2946, 32, 'Lääkäri:');
INSERT INTO `lang_definitions` VALUES (170593, 2947, 32, 'Lääkärin nimi ja allekirjoitus');
INSERT INTO `lang_definitions` VALUES (170594, 2948, 32, 'Asiakirja');
INSERT INTO `lang_definitions` VALUES (170595, 2949, 32, 'asiakirja');
INSERT INTO `lang_definitions` VALUES (170596, 2951, 32, 'Asiakirjaluokat');
INSERT INTO `lang_definitions` VALUES (170597, 2952, 32, 'Asiakirjaluokkaa laboratoriotuloksille ei ole');
INSERT INTO `lang_definitions` VALUES (170598, 2953, 32, 'Asiakirjaluokan nimi sähköisesti vastaanotettujen laboratoriotulosten tallentamiseen.');
INSERT INTO `lang_definitions` VALUES (170599, 2955, 32, 'Asiakirjaluokka tai Hylkää');
INSERT INTO `lang_definitions` VALUES (170600, 2958, 32, 'Asiakirjaa ei voitu liittää potilastunnisteeseen');
INSERT INTO `lang_definitions` VALUES (170601, 2960, 32, 'Asiakirjan päiväys');
INSERT INTO `lang_definitions` VALUES (170602, 2961, 32, 'Asiakirjan päiväyksen ja aiheen päivitys onnistui');
INSERT INTO `lang_definitions` VALUES (170603, 2962, 32, 'Asiakirjan tunniste');
INSERT INTO `lang_definitions` VALUES (170604, 2965, 32, 'Asiakirja siirretty uuteen luokkaan');
INSERT INTO `lang_definitions` VALUES (170605, 2966, 32, 'Asiakirja liitetty potilastunnisteeseen');
INSERT INTO `lang_definitions` VALUES (170606, 2968, 32, 'Asiakirjan tietojen eheys on tarkistettu');
INSERT INTO `lang_definitions` VALUES (170607, 2969, 32, 'Asiakirjojen tallennus tapa');
INSERT INTO `lang_definitions` VALUES (170608, 2970, 32, 'Asiakirja nimetty uudelleen.');
INSERT INTO `lang_definitions` VALUES (170609, 2971, 32, 'Asiakirjan yhdistäminen tapaamiseen onnistui');
INSERT INTO `lang_definitions` VALUES (170610, 2972, 32, 'Asiakirjamallien hallinta');
INSERT INTO `lang_definitions` VALUES (170611, 2973, 32, 'Asiakirjamallit');
INSERT INTO `lang_definitions` VALUES (170612, 2975, 32, 'Asiakirja(t)');
INSERT INTO `lang_definitions` VALUES (170613, 2976, 32, 'Asiakirjat/Kuvat tallennus');
INSERT INTO `lang_definitions` VALUES (170614, 2978, 32, 'Asiakirjat');
INSERT INTO `lang_definitions` VALUES (170615, 2980, 32, 'Asiakirjat (kirjoita, \"vain lisäys\" vaihtoehtoinen)');
INSERT INTO `lang_definitions` VALUES (170616, 2989, 32, 'Arvioinnin päiväys');
INSERT INTO `lang_definitions` VALUES (170617, 2995, 32, 'ei näytä olevan voimassa');
INSERT INTO `lang_definitions` VALUES (170618, 2996, 32, 'Salliiko tämä tyyppi samankaltaiset koodit?');
INSERT INTO `lang_definitions` VALUES (170619, 2997, 32, 'Avoliitossa');
INSERT INTO `lang_definitions` VALUES (170620, 2998, 32, 'Älä tallenna');
INSERT INTO `lang_definitions` VALUES (170621, 2999, 32, 'Älä tallenna');
INSERT INTO `lang_definitions` VALUES (170622, 3000, 32, 'Älä tallenna muutoksia');
INSERT INTO `lang_definitions` VALUES (170623, 3002, 32, 'Tehty');
INSERT INTO `lang_definitions` VALUES (170624, 3005, 32, 'Tehty. Lähetetään ladattavaksi.');
INSERT INTO `lang_definitions` VALUES (170625, 3006, 32, 'Käynti PVM');
INSERT INTO `lang_definitions` VALUES (170626, 3007, 32, 'Annostus');
INSERT INTO `lang_definitions` VALUES (170627, 3011, 32, 'muokkaukseen tuplaklikkauksella');
INSERT INTO `lang_definitions` VALUES (170628, 3013, 32, 'Diplopia');
INSERT INTO `lang_definitions` VALUES (170629, 3014, 32, 'Lataa');
INSERT INTO `lang_definitions` VALUES (170630, 3019, 32, 'Lataa kuitenkin');
INSERT INTO `lang_definitions` VALUES (170631, 3020, 32, 'Lataa laskutusasiakirja, lähetä kirjanpitoon ja merkitse laskutetuksi');
INSERT INTO `lang_definitions` VALUES (170632, 3022, 32, 'Lataa sertifikaatit');
INSERT INTO `lang_definitions` VALUES (170633, 3023, 32, 'Lataa konfiguraation tiedot');
INSERT INTO `lang_definitions` VALUES (170634, 3025, 32, 'Lataa asiakirjamalli tälle potilaalle ja käynnille');
INSERT INTO `lang_definitions` VALUES (170635, 3027, 32, 'lataa salattu asiakirja');
INSERT INTO `lang_definitions` VALUES (170636, 3032, 32, 'Lataa tai poista asiakirjamalli');
INSERT INTO `lang_definitions` VALUES (170637, 3033, 32, 'Lataa PDF');
INSERT INTO `lang_definitions` VALUES (170638, 3037, 32, 'Lataa valitut lausunnot');
INSERT INTO `lang_definitions` VALUES (170639, 3045, 32, 'Siirretään vetämällä');
INSERT INTO `lang_definitions` VALUES (170640, 3047, 32, 'Kuolaaminen');
INSERT INTO `lang_definitions` VALUES (170641, 3048, 32, 'Ajokortti tai henkilöllisyystodistus');
INSERT INTO `lang_definitions` VALUES (170642, 3050, 32, 'Lääke');
INSERT INTO `lang_definitions` VALUES (170643, 3053, 32, 'Lääkehaku');
INSERT INTO `lang_definitions` VALUES (170644, 3054, 32, 'Lääkelomakkeet');
INSERT INTO `lang_definitions` VALUES (170645, 3055, 32, 'Lääkkeen tunniste puuttuu!');
INSERT INTO `lang_definitions` VALUES (170646, 3056, 32, 'Lääkkeen annosteluvälit');
INSERT INTO `lang_definitions` VALUES (170647, 3057, 32, 'Lääkkeiden inventaari');
INSERT INTO `lang_definitions` VALUES (170648, 3059, 32, 'Lääkkeen nimi');
INSERT INTO `lang_definitions` VALUES (170649, 3061, 32, 'Lääkkeen antotapa');
INSERT INTO `lang_definitions` VALUES (170650, 3066, 32, 'Lääkeyksiköt');
INSERT INTO `lang_definitions` VALUES (170651, 3072, 32, 'Lääkkeet');
INSERT INTO `lang_definitions` VALUES (170652, 3073, 32, 'Lääkkeet ja tuotteet');
INSERT INTO `lang_definitions` VALUES (170653, 3074, 32, 'Kserostomia – Suun kuivuminen');
INSERT INTO `lang_definitions` VALUES (170654, 3075, 32, 'DSM-IV diagnoosit');
INSERT INTO `lang_definitions` VALUES (170655, 3076, 32, 'DT 1');
INSERT INTO `lang_definitions` VALUES (170656, 3077, 32, 'DT 2');
INSERT INTO `lang_definitions` VALUES (170657, 3078, 32, 'DT 3');
INSERT INTO `lang_definitions` VALUES (170658, 3079, 32, 'DT 4');
INSERT INTO `lang_definitions` VALUES (170659, 3080, 32, 'DT 5');
INSERT INTO `lang_definitions` VALUES (170660, 3081, 32, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (170661, 3082, 32, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (170662, 3083, 32, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (170663, 3084, 32, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (170664, 3085, 32, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (170665, 3087, 32, 'Maksettava');
INSERT INTO `lang_definitions` VALUES (170666, 3088, 32, 'Eräpäivä');
INSERT INTO `lang_definitions` VALUES (170667, 3090, 32, 'Eräpäivä kk/pp/vvvv tai yyyy-kk-pp');
INSERT INTO `lang_definitions` VALUES (170668, 3091, 32, 'Eräpäivä:');
INSERT INTO `lang_definitions` VALUES (170669, 3097, 32, 'Pudotetaan OpenEMR tietokanta');
INSERT INTO `lang_definitions` VALUES (170670, 3098, 32, 'Pudotetaan OpenEMR web hakemistopuu');
INSERT INTO `lang_definitions` VALUES (170671, 3099, 32, 'Pudotetaan phpGACL tietokanta');
INSERT INTO `lang_definitions` VALUES (170672, 3100, 32, 'Pudotetaan phpGACL web hakemistopuu');
INSERT INTO `lang_definitions` VALUES (170673, 3101, 32, 'Pudotetaan SQL-Ledger tietokanta');
INSERT INTO `lang_definitions` VALUES (170674, 3102, 32, 'Pudotetaan SQL-Ledger web hakemistopuu');
INSERT INTO `lang_definitions` VALUES (170675, 3103, 32, 'Kaksoiskappaleiden haku');
INSERT INTO `lang_definitions` VALUES (170676, 3108, 32, 'Kaksinkertainen tunniste rivillä');
INSERT INTO `lang_definitions` VALUES (170677, 3109, 32, 'Kaksinkertainen nimi rivillä');
INSERT INTO `lang_definitions` VALUES (170678, 3110, 32, 'VAROITUS KAKSOISKAPPALEESTA');
INSERT INTO `lang_definitions` VALUES (170679, 3112, 32, 'Kesto');
INSERT INTO `lang_definitions` VALUES (170680, 3113, 32, 'kesto');
INSERT INTO `lang_definitions` VALUES (170681, 3114, 32, 'Hollanti');
INSERT INTO `lang_definitions` VALUES (170682, 3117, 32, 'Dysfagia');
INSERT INTO `lang_definitions` VALUES (170683, 3118, 32, 'Hengenahdistus:');
INSERT INTO `lang_definitions` VALUES (170684, 3119, 32, 'Dysuria');
INSERT INTO `lang_definitions` VALUES (170685, 3120, 32, 'Dzongkha');
INSERT INTO `lang_definitions` VALUES (170686, 3128, 32, 'E-Resepti?');
INSERT INTO `lang_definitions` VALUES (170687, 3129, 32, 'E-Raportit');
INSERT INTO `lang_definitions` VALUES (170688, 3135, 32, 'Jokaisen vastaanottajan täytyy kuitata viesti vastaanotetuksi');
INSERT INTO `lang_definitions` VALUES (170689, 3140, 32, 'Varhainen uusiutuminen (< 2 kk)');
INSERT INTO `lang_definitions` VALUES (170690, 3141, 32, 'Korvat');
INSERT INTO `lang_definitions` VALUES (170691, 3148, 32, 'Sydänsähkökäyrä');
INSERT INTO `lang_definitions` VALUES (170692, 3152, 32, 'Turvotus');
INSERT INTO `lang_definitions` VALUES (170693, 3154, 32, 'EDI historia');
INSERT INTO `lang_definitions` VALUES (170694, 3155, 32, 'edi historia');
INSERT INTO `lang_definitions` VALUES (170695, 3157, 32, 'EDI-271 tiedosto ladattu');
INSERT INTO `lang_definitions` VALUES (170696, 3159, 32, 'Muokkaa');
INSERT INTO `lang_definitions` VALUES (170697, 3160, 32, 'muokkaa');
INSERT INTO `lang_definitions` VALUES (170698, 3161, 32, 'Muokkaa allergioita');
INSERT INTO `lang_definitions` VALUES (170699, 3163, 32, 'Muokkaa luokkia');
INSERT INTO `lang_definitions` VALUES (170700, 3165, 32, 'Muokkaa määritelmiä');
INSERT INTO `lang_definitions` VALUES (170701, 3166, 32, 'Muokkaa määritelmiä');
INSERT INTO `lang_definitions` VALUES (170702, 3167, 32, 'Muokkaa diagnooseja kohteelle');
INSERT INTO `lang_definitions` VALUES (170703, 3173, 32, 'Muokkaa toimipaikkoja');
INSERT INTO `lang_definitions` VALUES (170704, 3174, 32, 'Muokkaa toimipaikkaa');
INSERT INTO `lang_definitions` VALUES (170705, 3175, 32, 'Muokkaa toimipaikan tietoja');
INSERT INTO `lang_definitions` VALUES (170706, 3177, 32, 'Muokkaa tiedostoa kohteessa');
INSERT INTO `lang_definitions` VALUES (170707, 3178, 32, 'Muokkaa lomaketta');
INSERT INTO `lang_definitions` VALUES (170708, 3179, 32, 'Muokkaa yleisasetuksia');
INSERT INTO `lang_definitions` VALUES (170709, 3181, 32, 'Ei oikeuksia muokkaamiseen!');
INSERT INTO `lang_definitions` VALUES (170710, 3183, 32, 'Muokkaa ulkoasua');
INSERT INTO `lang_definitions` VALUES (170711, 3185, 32, 'Muokka listaa');
INSERT INTO `lang_definitions` VALUES (170712, 3188, 32, 'Muokkaa maksua');
INSERT INTO `lang_definitions` VALUES (170713, 3189, 32, 'Muokkaa rakennetta');
INSERT INTO `lang_definitions` VALUES (170714, 3192, 32, 'Muokkaa käyttäjätietoja');
INSERT INTO `lang_definitions` VALUES (170715, 3193, 32, 'Muokkaa käyttäjän asetuksia');
INSERT INTO `lang_definitions` VALUES (170716, 3194, 32, 'Muokkaa antamiasi tietoja');
INSERT INTO `lang_definitions` VALUES (170717, 3195, 32, 'Muokkaus epäonnistui');
INSERT INTO `lang_definitions` VALUES (170718, 3196, 32, 'Koulutus');
INSERT INTO `lang_definitions` VALUES (170719, 3197, 32, 'Koulutuksen päiväys');
INSERT INTO `lang_definitions` VALUES (170720, 3198, 32, 'Koulutus materiaalia kohteelle');
INSERT INTO `lang_definitions` VALUES (170721, 3200, 32, 'Voimaantulopäivä');
INSERT INTO `lang_definitions` VALUES (170722, 3202, 32, 'Vaikuttavuus');
INSERT INTO `lang_definitions` VALUES (170723, 3207, 32, 'Siemensyöksyt');
INSERT INTO `lang_definitions` VALUES (170724, 3208, 32, 'Kyynärpää');
INSERT INTO `lang_definitions` VALUES (170725, 3209, 32, 'Kyynärpään vaivat');
INSERT INTO `lang_definitions` VALUES (170726, 3210, 32, 'Sähköinen');
INSERT INTO `lang_definitions` VALUES (170727, 3214, 32, 'Sähköiset toimeksiannot');
INSERT INTO `lang_definitions` VALUES (170728, 3215, 32, 'Sähköiset raportit');
INSERT INTO `lang_definitions` VALUES (170729, 3218, 32, 'Kelpoisuus');
INSERT INTO `lang_definitions` VALUES (170730, 3220, 32, 'Kelpoisuusvaste');
INSERT INTO `lang_definitions` VALUES (170731, 3223, 32, 'Hyväksyttävä');
INSERT INTO `lang_definitions` VALUES (170732, 3225, 32, 'Sähköposti');
INSERT INTO `lang_definitions` VALUES (170733, 3226, 32, 'sähköposti');
INSERT INTO `lang_definitions` VALUES (170734, 3228, 32, 'Sähköpostiosoite');
INSERT INTO `lang_definitions` VALUES (170735, 3229, 32, 'Sähköpostiosoite puuttuu');
INSERT INTO `lang_definitions` VALUES (170736, 3238, 32, 'Ilmoitus sähköpostista');
INSERT INTO `lang_definitions` VALUES (170737, 3239, 32, 'Tunnit jolloin sähköpostista ilmoitetaan');
INSERT INTO `lang_definitions` VALUES (170738, 3240, 32, 'Raportti ilmoitetuista sähköposteista');
INSERT INTO `lang_definitions` VALUES (170739, 3244, 32, 'Lähetä sähköposti ennen');
INSERT INTO `lang_definitions` VALUES (170740, 3245, 32, 'Sähköpostin lähettäjä');
INSERT INTO `lang_definitions` VALUES (170741, 3246, 32, 'Sähköposti lähetetty');
INSERT INTO `lang_definitions` VALUES (170742, 3247, 32, 'Sähköpostin vastaanottaja');
INSERT INTO `lang_definitions` VALUES (170743, 3248, 32, 'Sähköposti aihe');
INSERT INTO `lang_definitions` VALUES (170744, 3251, 32, 'Sähköpostiviesti, Käytettävä tagi: ***NAME , esim. Hyvä ***NAME***');
INSERT INTO `lang_definitions` VALUES (170745, 3252, 32, 'Sähköpostiviesti, Käytettävä tagi: ***NAME , esim. Hyvä ***NAME*** {{Älä käännä vakiota ***NAME*** tässä elementissä.}}');
INSERT INTO `lang_definitions` VALUES (170746, 3253, 32, 'Sähköpostin välitystapa');
INSERT INTO `lang_definitions` VALUES (170747, 3254, 32, 'Sähköposti lähetetty osoitteeseen');
INSERT INTO `lang_definitions` VALUES (170748, 3259, 32, 'Hätäyhteystiedot');
INSERT INTO `lang_definitions` VALUES (170749, 3260, 32, 'Hätäyhteyshenkilö');
INSERT INTO `lang_definitions` VALUES (170750, 3261, 32, 'Hätäyhteyshenkilön puhelinnumero');
INSERT INTO `lang_definitions` VALUES (170751, 3262, 32, 'Jälkiehkäisy');
INSERT INTO `lang_definitions` VALUES (170752, 3268, 32, 'Hätäpuhelin');
INSERT INTO `lang_definitions` VALUES (170753, 3271, 32, 'Keuhkolaajentuma');
INSERT INTO `lang_definitions` VALUES (170754, 3272, 32, 'Työntekijä');
INSERT INTO `lang_definitions` VALUES (170755, 3273, 32, 'Työnantaja');
INSERT INTO `lang_definitions` VALUES (170756, 3274, 32, 'Työnantajan osoite');
INSERT INTO `lang_definitions` VALUES (170757, 3275, 32, 'Työnantajan tiedot');
INSERT INTO `lang_definitions` VALUES (170758, 3276, 32, 'Työnantajan nimi');
INSERT INTO `lang_definitions` VALUES (170759, 3277, 32, 'TYHJÄ');
INSERT INTO `lang_definitions` VALUES (170760, 3278, 32, 'Tyhjä');
INSERT INTO `lang_definitions` VALUES (170761, 3279, 32, 'Salasanan jättäminen tyhjäksi ei ole sallittua');
INSERT INTO `lang_definitions` VALUES (170762, 3282, 32, 'Tyhjä arvo kohdassa \"Sähköpostin lähettäjä\"');
INSERT INTO `lang_definitions` VALUES (170763, 3283, 32, 'Tyhjä arvo kohdassa \"Sähköpostin aihe\"');
INSERT INTO `lang_definitions` VALUES (170764, 3284, 32, 'Tyhjä arvo kohdassa \"Sähköpostin sisältö\"');
INSERT INTO `lang_definitions` VALUES (170765, 3286, 32, 'Tyhjä arvo kohdassa \"Salasana\"');
INSERT INTO `lang_definitions` VALUES (170766, 3289, 32, 'Tyhjä arvo kohdassa \"Käyttäjätunnus\"');
INSERT INTO `lang_definitions` VALUES (170767, 3292, 32, 'Salli');
INSERT INTO `lang_definitions` VALUES (170768, 3312, 32, 'Salli asiakasohjelman SSL');
INSERT INTO `lang_definitions` VALUES (170769, 3313, 32, 'Salli valtuutus asiakasohjelman SSL sertifikaatilla.');
INSERT INTO `lang_definitions` VALUES (170770, 3334, 32, 'Salli palkkiot vasemmassa navigaatiossa');
INSERT INTO `lang_definitions` VALUES (170771, 3365, 32, 'Salli ulkoisen potilasportaalin käyttö');
INSERT INTO `lang_definitions` VALUES (170772, 3366, 32, 'Salli ulkoisen potilasportaalin käyttö.');
INSERT INTO `lang_definitions` VALUES (170773, 3368, 32, 'Salli paikallisen potilasportaalin käyttö');
INSERT INTO `lang_definitions` VALUES (170774, 3371, 32, 'Salli paikallisen potilasportaalin käyttö.');
INSERT INTO `lang_definitions` VALUES (170775, 3392, 32, 'Salli tuki skannerille');
INSERT INTO `lang_definitions` VALUES (170776, 3404, 32, 'sallittu');
INSERT INTO `lang_definitions` VALUES (170777, 3415, 32, 'Käynti');
INSERT INTO `lang_definitions` VALUES (170778, 3417, 32, 'Käynti');
INSERT INTO `lang_definitions` VALUES (170779, 3418, 32, 'Käynti');
INSERT INTO `lang_definitions` VALUES (170780, 3419, 32, 'käynti');
INSERT INTO `lang_definitions` VALUES (170781, 3420, 32, 'Käynti');
INSERT INTO `lang_definitions` VALUES (170782, 3426, 32, 'käynnin tiedot');
INSERT INTO `lang_definitions` VALUES (170783, 3427, 32, 'Käynnin päiväys');
INSERT INTO `lang_definitions` VALUES (170784, 3432, 32, 'Käyntilomakkeet');
INSERT INTO `lang_definitions` VALUES (170785, 3433, 32, 'käynnin terveydentilan ja käyttäytymisen arviointi');
INSERT INTO `lang_definitions` VALUES (170786, 3434, 32, 'Käyntihistoria');
INSERT INTO `lang_definitions` VALUES (170787, 3435, 32, 'Käynnin tunniste');
INSERT INTO `lang_definitions` VALUES (170788, 3439, 32, 'Käynnin numero');
INSERT INTO `lang_definitions` VALUES (170789, 3447, 32, 'Käyntilomakkeen paperikoko');
INSERT INTO `lang_definitions` VALUES (170790, 3448, 32, 'Käynnin maksu');
INSERT INTO `lang_definitions` VALUES (170791, 3457, 32, 'käynti psykiatrilla / psykologilla');
INSERT INTO `lang_definitions` VALUES (170792, 3458, 32, 'Käynnin tilastot');
INSERT INTO `lang_definitions` VALUES (170793, 3459, 32, 'Käynnin yhteenveto');
INSERT INTO `lang_definitions` VALUES (170794, 3461, 32, 'Käynti on koodattu');
INSERT INTO `lang_definitions` VALUES (170795, 3462, 32, 'Käynti:');
INSERT INTO `lang_definitions` VALUES (170796, 3464, 32, 'Käynnit');
INSERT INTO `lang_definitions` VALUES (170797, 3465, 32, 'Käynnit ja lomakkeet');
INSERT INTO `lang_definitions` VALUES (170798, 3466, 32, 'Käynnit ja lomakkeet');
INSERT INTO `lang_definitions` VALUES (170799, 3467, 32, 'Ei valtuutusta vastaanotoille');
INSERT INTO `lang_definitions` VALUES (170800, 3468, 32, 'Raportti vastaanotoista');
INSERT INTO `lang_definitions` VALUES (170801, 3471, 32, 'Salaus');
INSERT INTO `lang_definitions` VALUES (170802, 3472, 32, 'Päättynyt');
INSERT INTO `lang_definitions` VALUES (170803, 3473, 32, 'Päättynyt (vvvv-kk-pp)');
INSERT INTO `lang_definitions` VALUES (170804, 3474, 32, 'Päättymispäivä');
INSERT INTO `lang_definitions` VALUES (170805, 3475, 32, 'Päättymispäivä');
INSERT INTO `lang_definitions` VALUES (170806, 3480, 32, 'Päättymispäivän tulee olla aloituspäivän jälkeen');
INSERT INTO `lang_definitions` VALUES (170807, 3482, 32, 'Päättymispäivä:');
INSERT INTO `lang_definitions` VALUES (170808, 3485, 32, 'Raportin loppu');
INSERT INTO `lang_definitions` VALUES (170809, 3487, 32, 'Lopetusaika');
INSERT INTO `lang_definitions` VALUES (170810, 3492, 32, 'Hoidon päättymispäivä vvvv-kk-pp');
INSERT INTO `lang_definitions` VALUES (170811, 3494, 32, 'Päättymisaika kalenteritapahtumille.');
INSERT INTO `lang_definitions` VALUES (170812, 3496, 32, 'Endokrinologia');
INSERT INTO `lang_definitions` VALUES (170813, 3497, 32, 'Endoskopia');
INSERT INTO `lang_definitions` VALUES (170814, 3502, 32, 'Englanti');
INSERT INTO `lang_definitions` VALUES (170815, 3503, 32, 'Englanti');
INSERT INTO `lang_definitions` VALUES (170816, 3504, 32, 'Englanti (Intian)');
INSERT INTO `lang_definitions` VALUES (170817, 3505, 32, 'Englanti (Standardi)');
INSERT INTO `lang_definitions` VALUES (170818, 3507, 32, 'Varmista että OpenEMR:llä on oikeus kirjoittaa hakemistoon');
INSERT INTO `lang_definitions` VALUES (170819, 3513, 32, 'Antamalla diagnoosikoodin poissuljetaan kaikki lähetteet ilman sitä');
INSERT INTO `lang_definitions` VALUES (170820, 3515, 32, 'Syötä muutos ...');
INSERT INTO `lang_definitions` VALUES (170821, 3518, 32, 'Kirjoita viesti tähän');
INSERT INTO `lang_definitions` VALUES (170822, 3520, 32, 'Anna tietokannan root salasana');
INSERT INTO `lang_definitions` VALUES (170823, 3521, 32, 'Anna tietokannan root käyttäjätunnus');
INSERT INTO `lang_definitions` VALUES (170824, 3529, 32, 'Anna diagnoosi');
INSERT INTO `lang_definitions` VALUES (170825, 3530, 32, 'Anna lääkkeet');
INSERT INTO `lang_definitions` VALUES (170826, 3533, 32, 'Anna käynti');
INSERT INTO `lang_definitions` VALUES (170827, 3534, 32, 'Anna käynnin numero');
INSERT INTO `lang_definitions` VALUES (170828, 3537, 32, 'Anna rokotukset');
INSERT INTO `lang_definitions` VALUES (170829, 3538, 32, 'Anna avain');
INSERT INTO `lang_definitions` VALUES (170830, 3542, 32, 'Anna uusi tieto');
INSERT INTO `lang_definitions` VALUES (170831, 3544, 32, 'Anna uusi lääni');
INSERT INTO `lang_definitions` VALUES (170832, 3549, 32, 'Anna vastaanottajan suora osoite');
INSERT INTO `lang_definitions` VALUES (170833, 3569, 32, 'Anna uudelleentunnistautumiskoodi');
INSERT INTO `lang_definitions` VALUES (170834, 3581, 32, 'Anna hakukriteeri yläpuolelle');
INSERT INTO `lang_definitions` VALUES (170835, 3586, 32, 'merkintää');
INSERT INTO `lang_definitions` VALUES (170836, 3602, 32, 'Epilepsia');
INSERT INTO `lang_definitions` VALUES (170837, 3612, 32, 'Pyyhi');
INSERT INTO `lang_definitions` VALUES (170838, 3614, 32, 'Erektiot');
INSERT INTO `lang_definitions` VALUES (170839, 3615, 32, 'Virhe');
INSERT INTO `lang_definitions` VALUES (170840, 3616, 32, 'VIRHE');
INSERT INTO `lang_definitions` VALUES (170841, 3617, 32, 'Virhe laboratoriotulosten kuittauksen varmistamisessa');
INSERT INTO `lang_definitions` VALUES (170842, 3621, 32, 'Virhe sukupuolen valinnassa');
INSERT INTO `lang_definitions` VALUES (170843, 3626, 32, 'Virhe tiedoston gzip-pakkaamisessa:');
INSERT INTO `lang_definitions` VALUES (170844, 3627, 32, 'Virhe KYLLÄ tai EI valinnassa');
INSERT INTO `lang_definitions` VALUES (170845, 3630, 32, 'Virhe ladatun tiedoston esikatselussa');
INSERT INTO `lang_definitions` VALUES (170846, 3631, 32, 'Virhe tiedoston käsittelyssä');
INSERT INTO `lang_definitions` VALUES (170847, 3632, 32, 'Virhe tiedoston lataamisessa');
INSERT INTO `lang_definitions` VALUES (170848, 3633, 32, 'Virhe viestin poistamisessa');
INSERT INTO `lang_definitions` VALUES (170849, 3635, 32, 'Virhe arvojen noutamisessa.');
INSERT INTO `lang_definitions` VALUES (170850, 3636, 32, 'Virhe asiakirjan tallennuksessa');
INSERT INTO `lang_definitions` VALUES (170851, 3637, 32, 'Virhe annettaessa OpenEMR:n käyttäjälle lupaa tiedostoon.');
INSERT INTO `lang_definitions` VALUES (170852, 3640, 32, 'virhe lomakkeen rekisteröinnissä!');
INSERT INTO `lang_definitions` VALUES (170853, 3641, 32, 'Virhe tiedoston tallennuksen aikana');
INSERT INTO `lang_definitions` VALUES (170854, 3643, 32, 'Virhe tiedoston kirjoittamisen aikana');
INSERT INTO `lang_definitions` VALUES (170855, 3646, 32, 'virhe(et) uusien tulosten vuoksi');
INSERT INTO `lang_definitions` VALUES (170856, 3651, 32, 'Virhe, kyseistä tiedostoa ei ole');
INSERT INTO `lang_definitions` VALUES (170857, 3652, 32, 'VIRHE, tiedon kerääminen palvelimelta ei onnistu');
INSERT INTO `lang_definitions` VALUES (170858, 3653, 32, 'Virhe, asiakassertifikaatin luominen ei onnistu.');
INSERT INTO `lang_definitions` VALUES (170859, 3656, 32, 'Virhe, palvelinsertifikaatin luominen ei onnistu.');
INSERT INTO `lang_definitions` VALUES (170860, 3658, 32, 'Virhe, tiedoston avaaminen ei onnistu');
INSERT INTO `lang_definitions` VALUES (170861, 3667, 32, 'Virhe: tunnisteen kaksoiskappale rivillä');
INSERT INTO `lang_definitions` VALUES (170862, 3668, 32, 'Virhe: nimen kaksoiskappale rivillä');
INSERT INTO `lang_definitions` VALUES (170863, 3669, 32, 'VIRHE: Kenttä');
INSERT INTO `lang_definitions` VALUES (170864, 3670, 32, 'VIRHE: ZipArchive PHP Moduuli puuttuu');
INSERT INTO `lang_definitions` VALUES (170865, 3672, 32, 'Virhe: väärä salasana. Tarkista oikeinkirjoitus.');
INSERT INTO `lang_definitions` VALUES (170866, 3673, 32, 'Virhe: väärä salasana. Tarkista oikeinkirjoitus.');
INSERT INTO `lang_definitions` VALUES (170867, 3674, 32, 'Virhe: asiakirjaa ei ole');
INSERT INTO `lang_definitions` VALUES (170868, 3676, 32, 'VIRHE: asiakirjan kopiointi ei onnistu.');
INSERT INTO `lang_definitions` VALUES (170869, 3677, 32, 'Virhe: Ladattavan arkiston luominen ei onnistu');
INSERT INTO `lang_definitions` VALUES (170870, 3678, 32, 'VIRHE: Zip Arkiston luominen ei onnistu');
INSERT INTO `lang_definitions` VALUES (170871, 3679, 32, 'VIRHE: Tiedoston purkaminen ei onnistu');
INSERT INTO `lang_definitions` VALUES (170872, 3680, 32, 'VIRHE: Tiedoston lataaminen tietokantaan ei onnistu.');
INSERT INTO `lang_definitions` VALUES (170873, 3681, 32, 'VIRHE: Versionumeron asettaminen ei onnistu');
INSERT INTO `lang_definitions` VALUES (170874, 3682, 32, 'Virheet');
INSERT INTO `lang_definitions` VALUES (170875, 3684, 32, 'eRX tilin tila');
INSERT INTO `lang_definitions` VALUES (170876, 3685, 32, 'eRX loki');
INSERT INTO `lang_definitions` VALUES (170877, 3686, 32, 'ERX Nimi');
INSERT INTO `lang_definitions` VALUES (170878, 3687, 32, 'ERX Salasana');
INSERT INTO `lang_definitions` VALUES (170879, 3688, 32, 'ERX Rooli');
INSERT INTO `lang_definitions` VALUES (170880, 3689, 32, 'ERX Käyttäjä');
INSERT INTO `lang_definitions` VALUES (170881, 3690, 32, 'Monimuotoinen punavihoittuma:');
INSERT INTO `lang_definitions` VALUES (170882, 3693, 32, 'Eskimo');
INSERT INTO `lang_definitions` VALUES (170883, 3696, 32, 'Esperanto');
INSERT INTO `lang_definitions` VALUES (170884, 3699, 32, 'Vanha potilas');
INSERT INTO `lang_definitions` VALUES (170885, 3700, 32, 'Viro');
INSERT INTO `lang_definitions` VALUES (170886, 3701, 32, 'Etnisyys');
INSERT INTO `lang_definitions` VALUES (170887, 3702, 32, 'Etnisyys tai rotu');
INSERT INTO `lang_definitions` VALUES (170888, 3703, 32, 'Etnisyys-rotulistaus (kirjoita, vain lisäys vaihtoehtoinen)');
INSERT INTO `lang_definitions` VALUES (170889, 3709, 32, 'Tapahtuma');
INSERT INTO `lang_definitions` VALUES (170890, 3710, 32, 'Tapahtuma alkaa');
INSERT INTO `lang_definitions` VALUES (170891, 3711, 32, 'Tapahtuman luokka');
INSERT INTO `lang_definitions` VALUES (170892, 3712, 32, 'Tapahtuman päiväys');
INSERT INTO `lang_definitions` VALUES (170893, 3714, 32, 'Tapahtuman kuvaus');
INSERT INTO `lang_definitions` VALUES (170894, 3715, 32, 'Tapahtuman lisätiedot');
INSERT INTO `lang_definitions` VALUES (170895, 3716, 32, 'Tapahtuma ei toistu');
INSERT INTO `lang_definitions` VALUES (170896, 3717, 32, 'Tapahtuman kesto');
INSERT INTO `lang_definitions` VALUES (170897, 3718, 32, 'Tapahtuman kesto minuuteissa');
INSERT INTO `lang_definitions` VALUES (170898, 3719, 32, 'Tapahtuman hinta');
INSERT INTO `lang_definitions` VALUES (170899, 3720, 32, 'Tapahtuman sijainti');
INSERT INTO `lang_definitions` VALUES (170900, 3721, 32, 'Tapahtuma toistuu joka');
INSERT INTO `lang_definitions` VALUES (170901, 3723, 32, 'Tapahtuman aloitusaika');
INSERT INTO `lang_definitions` VALUES (170902, 3724, 32, 'Tapahtuman otsikko');
INSERT INTO `lang_definitions` VALUES (170903, 3725, 32, 'Tapahtuman otsikko');
INSERT INTO `lang_definitions` VALUES (170904, 3726, 32, 'Tapahtuman www-sivu');
INSERT INTO `lang_definitions` VALUES (170905, 3727, 32, 'Tapahtumat');
INSERT INTO `lang_definitions` VALUES (170906, 3728, 32, 'Tapahtumat kohteelle');
INSERT INTO `lang_definitions` VALUES (170907, 3729, 32, 'Avaa tapahtumat uuteen ikkunaan');
INSERT INTO `lang_definitions` VALUES (170908, 3731, 32, 'joka');
INSERT INTO `lang_definitions` VALUES (170909, 3732, 32, 'Joka');
INSERT INTO `lang_definitions` VALUES (170910, 3734, 32, 'joka 3 tunti');
INSERT INTO `lang_definitions` VALUES (170911, 3736, 32, 'joka 4 tunti');
INSERT INTO `lang_definitions` VALUES (170912, 3738, 32, 'joka 5 tunti');
INSERT INTO `lang_definitions` VALUES (170913, 3740, 32, 'joka 6 tunti');
INSERT INTO `lang_definitions` VALUES (170914, 3742, 32, 'joka 8 tunti');
INSERT INTO `lang_definitions` VALUES (170915, 3743, 32, 'Joka neljäs');
INSERT INTO `lang_definitions` VALUES (170916, 3745, 32, 'Joka toinen');
INSERT INTO `lang_definitions` VALUES (170917, 3746, 32, 'Joka kolmas');
INSERT INTO `lang_definitions` VALUES (170918, 3747, 32, 'Joka, joka toinen, joka kolmas, jne.');
INSERT INTO `lang_definitions` VALUES (170919, 3749, 32, 'Koe- ja testitulokset');
INSERT INTO `lang_definitions` VALUES (170920, 3750, 32, 'Koetulokset');
INSERT INTO `lang_definitions` VALUES (170921, 3753, 32, 'Tutkimus');
INSERT INTO `lang_definitions` VALUES (170922, 3754, 32, 'Tutkimuksen päiväys');
INSERT INTO `lang_definitions` VALUES (170923, 3755, 32, 'Esimerkki');
INSERT INTO `lang_definitions` VALUES (170924, 3758, 32, 'Esimerkit');
INSERT INTO `lang_definitions` VALUES (170925, 3760, 32, 'Kokeet/testit');
INSERT INTO `lang_definitions` VALUES (170926, 3762, 32, 'Paitsi');
INSERT INTO `lang_definitions` VALUES (170927, 3766, 32, 'Poissuljettu potilaat');
INSERT INTO `lang_definitions` VALUES (170928, 3767, 32, 'Syrjäytyminen');
INSERT INTO `lang_definitions` VALUES (170929, 3778, 32, 'Poistu hallintapaneelista');
INSERT INTO `lang_definitions` VALUES (170930, 3784, 32, 'Laajenna');
INSERT INTO `lang_definitions` VALUES (170931, 3785, 32, 'laajenna');
INSERT INTO `lang_definitions` VALUES (170932, 3787, 32, 'Laajenna kaikki');
INSERT INTO `lang_definitions` VALUES (170933, 3792, 32, 'Laajennettu näkymä');
INSERT INTO `lang_definitions` VALUES (170934, 3794, 32, 'Umpeutuminen');
INSERT INTO `lang_definitions` VALUES (170935, 3795, 32, 'Umpeutumispäivämäärä');
INSERT INTO `lang_definitions` VALUES (170936, 3797, 32, 'Umpeutuu');
INSERT INTO `lang_definitions` VALUES (170937, 3798, 32, 'umpeutuu');
INSERT INTO `lang_definitions` VALUES (170938, 3799, 32, 'Vie');
INSERT INTO `lang_definitions` VALUES (170939, 3800, 32, 'Vie CSV:nä');
INSERT INTO `lang_definitions` VALUES (170940, 3802, 32, 'Vie asetukset');
INSERT INTO `lang_definitions` VALUES (170941, 3810, 32, 'Vie valitut kohteet CSV:nä');
INSERT INTO `lang_definitions` VALUES (170942, 3812, 32, 'Vie CSV:ksi');
INSERT INTO `lang_definitions` VALUES (170943, 3813, 32, 'Vie ulkoiseen laskutusjärjestelmään');
INSERT INTO `lang_definitions` VALUES (170944, 3820, 32, 'Ulkoinen');
INSERT INTO `lang_definitions` VALUES (170945, 3823, 32, 'Ulkoisten tietojen lataus');
INSERT INTO `lang_definitions` VALUES (170946, 3824, 32, 'Ulkoisen tietokannan tuontityökalu');
INSERT INTO `lang_definitions` VALUES (170947, 3828, 32, 'Ulkoinen tunniste');
INSERT INTO `lang_definitions` VALUES (170948, 3829, 32, 'Ulkoinen tunniste');
INSERT INTO `lang_definitions` VALUES (170949, 3830, 32, 'Ulkoinen tunniste');
INSERT INTO `lang_definitions` VALUES (170950, 3831, 32, 'Vain ulkoinen');
INSERT INTO `lang_definitions` VALUES (170951, 3834, 32, 'Ulkoinen lähete');
INSERT INTO `lang_definitions` VALUES (170952, 3835, 32, 'Ulkoisten lähetteiden seuranta');
INSERT INTO `lang_definitions` VALUES (170953, 3836, 32, 'Ulkoinen lähete?');
INSERT INTO `lang_definitions` VALUES (170954, 3837, 32, 'Ulkoiset lähetteet');
INSERT INTO `lang_definitions` VALUES (170955, 3838, 32, 'Pura zip-tiedosto');
INSERT INTO `lang_definitions` VALUES (170956, 3839, 32, 'Puretaan tiedostoa. Tämä saattaa kestää hetken…');
INSERT INTO `lang_definitions` VALUES (170957, 3863, 32, 'Silmät');
INSERT INTO `lang_definitions` VALUES (170958, 3868, 32, 'Toimipaikat');
INSERT INTO `lang_definitions` VALUES (170959, 3869, 32, 'Toimipaikka');
INSERT INTO `lang_definitions` VALUES (170960, 3870, 32, 'toimipaikka');
INSERT INTO `lang_definitions` VALUES (170961, 3871, 32, 'Toimipaikan hallinta');
INSERT INTO `lang_definitions` VALUES (170962, 3872, 32, 'Toimipaikan kaupunki');
INSERT INTO `lang_definitions` VALUES (170963, 3873, 32, 'Toimipaikan koodi');
INSERT INTO `lang_definitions` VALUES (170964, 3875, 32, 'Toimipaikan maakoodi');
INSERT INTO `lang_definitions` VALUES (170965, 3876, 32, 'Toimipaikan fax');
INSERT INTO `lang_definitions` VALUES (170966, 3878, 32, 'Toimipaikan nimi');
INSERT INTO `lang_definitions` VALUES (170967, 3880, 32, 'Toimipaikan puhelin');
INSERT INTO `lang_definitions` VALUES (170968, 3882, 32, 'Toimipaikkasidonnainen käyttäjätieto');
INSERT INTO `lang_definitions` VALUES (170969, 3883, 32, 'Toimipaikan lääni');
INSERT INTO `lang_definitions` VALUES (170970, 3884, 32, 'Toimipaikan katuosoite');
INSERT INTO `lang_definitions` VALUES (170971, 3886, 32, 'Toimipaikan postinumero');
INSERT INTO `lang_definitions` VALUES (170972, 3888, 32, 'Toimipaikka:');
INSERT INTO `lang_definitions` VALUES (170973, 3889, 32, 'EPÄONNISTUMINEN');
INSERT INTO `lang_definitions` VALUES (170974, 3890, 32, 'Epäonnistuminen');
INSERT INTO `lang_definitions` VALUES (170975, 3891, 32, 'epäonnistuminen');
INSERT INTO `lang_definitions` VALUES (170976, 3893, 32, 'Hylätyt potilaat');
INSERT INTO `lang_definitions` VALUES (170977, 3896, 32, 'Potilaan lisääminen portaaliin epäonnistui');
INSERT INTO `lang_definitions` VALUES (170978, 3897, 32, 'Yksilöllisen tiedostonimen luominen epäonnistui');
INSERT INTO `lang_definitions` VALUES (170979, 3898, 32, 'Luonti epäonnistui');
INSERT INTO `lang_definitions` VALUES (170980, 3901, 32, 'Väliaikaisen hakemiston luominen epäonnistui. CouchDB ei toimi.');
INSERT INTO `lang_definitions` VALUES (170981, 3907, 32, 'Epäonnistui.');
INSERT INTO `lang_definitions` VALUES (170982, 3908, 32, 'epäonnistuminen');
INSERT INTO `lang_definitions` VALUES (170983, 3909, 32, 'Epäonnistuminen');
INSERT INTO `lang_definitions` VALUES (170984, 3910, 32, 'ILMOITUS EPÄONNISTUMISESTA: Suoraviestin lähetys epäonnistui.');
INSERT INTO `lang_definitions` VALUES (170985, 3916, 32, 'Perintötekijät');
INSERT INTO `lang_definitions` VALUES (170986, 3918, 32, 'Perinnölliset alttiudet glaukoomalle');
INSERT INTO `lang_definitions` VALUES (170987, 3919, 32, 'Perintötekijät:');
INSERT INTO `lang_definitions` VALUES (170988, 3924, 32, 'Fääri');
INSERT INTO `lang_definitions` VALUES (170989, 3925, 32, 'Farsi');
INSERT INTO `lang_definitions` VALUES (170990, 3928, 32, 'Isä');
INSERT INTO `lang_definitions` VALUES (170991, 3929, 32, 'Isän taustatietot');
INSERT INTO `lang_definitions` VALUES (170992, 3930, 32, 'Uupumus');
INSERT INTO `lang_definitions` VALUES (170993, 3931, 32, 'Uupunut');
INSERT INTO `lang_definitions` VALUES (170994, 3933, 32, 'Faxi');
INSERT INTO `lang_definitions` VALUES (170995, 3935, 32, 'Faxin numero');
INSERT INTO `lang_definitions` VALUES (170996, 3937, 32, 'Faxi/Skanneri');
INSERT INTO `lang_definitions` VALUES (170997, 3938, 32, 'Tulleet faxit');
INSERT INTO `lang_definitions` VALUES (170998, 3939, 32, 'Lähteneet faxit');
INSERT INTO `lang_definitions` VALUES (170999, 3940, 32, 'Ominaisuudet');
INSERT INTO `lang_definitions` VALUES (171000, 3941, 32, 'Helmikuu');
INSERT INTO `lang_definitions` VALUES (171001, 3942, 32, 'Helmikuu');
INSERT INTO `lang_definitions` VALUES (171002, 3948, 32, 'Palkkio');
INSERT INTO `lang_definitions` VALUES (171003, 3949, 32, 'palkkio');
INSERT INTO `lang_definitions` VALUES (171004, 3950, 32, 'Palkkio ei sallittu');
INSERT INTO `lang_definitions` VALUES (171005, 3951, 32, 'Palkkiolomake');
INSERT INTO `lang_definitions` VALUES (171006, 3953, 32, 'Palkkiolomakkeen vaihtoehdot');
INSERT INTO `lang_definitions` VALUES (171007, 3955, 32, 'Palkkiot');
INSERT INTO `lang_definitions` VALUES (171008, 3956, 32, 'Nainen');
INSERT INTO `lang_definitions` VALUES (171009, 3966, 32, 'Kuume');
INSERT INTO `lang_definitions` VALUES (171010, 3967, 32, 'Kuume:');
INSERT INTO `lang_definitions` VALUES (171011, 3974, 32, 'Kenttä');
INSERT INTO `lang_definitions` VALUES (171012, 3975, 32, 'Kenttä \'nimi\' ei voi olla NULL');
INSERT INTO `lang_definitions` VALUES (171013, 3980, 32, 'Kentt(i)ä puuttuu!');
INSERT INTO `lang_definitions` VALUES (171014, 3985, 32, 'Fidži');
INSERT INTO `lang_definitions` VALUES (171015, 3986, 32, 'Tiedosto');
INSERT INTO `lang_definitions` VALUES (171016, 3990, 32, 'tiedoston sijainti');
INSERT INTO `lang_definitions` VALUES (171017, 3991, 32, 'Tiedoston hallinta');
INSERT INTO `lang_definitions` VALUES (171018, 3998, 32, 'Tiedoston käyttöoikeus myönnetty OpenEMR käyttäjälle.');
INSERT INTO `lang_definitions` VALUES (171019, 3999, 32, 'Tiedoston nouto CouchDB:ta epäonnistui');
INSERT INTO `lang_definitions` VALUES (171020, 4000, 32, 'Arkistohuone');
INSERT INTO `lang_definitions` VALUES (171021, 4003, 32, 'Saman niminen tiedosto on jo olemassa kohteessa:');
INSERT INTO `lang_definitions` VALUES (171022, 4004, 32, 'Tiedostonimi');
INSERT INTO `lang_definitions` VALUES (171023, 4005, 32, 'Tiedostonimen päätteen tulee olla \".pdf\"');
INSERT INTO `lang_definitions` VALUES (171024, 4006, 32, 'Tiedostot');
INSERT INTO `lang_definitions` VALUES (171025, 4011, 32, 'Filipino');
INSERT INTO `lang_definitions` VALUES (171026, 4013, 32, 'Täytä mikä tahansa alla olevista riveistä.');
INSERT INTO `lang_definitions` VALUES (171027, 4023, 32, 'Anna alla olevat arvot');
INSERT INTO `lang_definitions` VALUES (171028, 4025, 32, 'Täytä rivi.');
INSERT INTO `lang_definitions` VALUES (171029, 4028, 32, 'Suodatin');
INSERT INTO `lang_definitions` VALUES (171030, 4029, 32, 'Suodata vakioista');
INSERT INTO `lang_definitions` VALUES (171031, 4030, 32, 'Suodata määritelmistä');
INSERT INTO `lang_definitions` VALUES (171032, 4031, 32, 'suodatettu kohteesta');
INSERT INTO `lang_definitions` VALUES (171033, 4032, 32, 'Suodattimet');
INSERT INTO `lang_definitions` VALUES (171034, 4033, 32, 'suodattimet');
INSERT INTO `lang_definitions` VALUES (171035, 4034, 32, 'Lopullinen');
INSERT INTO `lang_definitions` VALUES (171036, 4035, 32, 'Lopullinen diagnoosi');
INSERT INTO `lang_definitions` VALUES (171037, 4036, 32, 'Lopullinen diagnoosi erikoislääkärin tekemänä');
INSERT INTO `lang_definitions` VALUES (171038, 4038, 32, 'Taloudellinen');
INSERT INTO `lang_definitions` VALUES (171039, 4048, 32, 'Haku');
INSERT INTO `lang_definitions` VALUES (171040, 4049, 32, 'Hae vapaa');
INSERT INTO `lang_definitions` VALUES (171041, 4050, 32, 'Hae vapaat tapaamiset');
INSERT INTO `lang_definitions` VALUES (171042, 4053, 32, 'Hae potilas');
INSERT INTO `lang_definitions` VALUES (171043, 4056, 32, 'Löydökset');
INSERT INTO `lang_definitions` VALUES (171044, 4057, 32, 'Erikoislääkärin löydökset');
INSERT INTO `lang_definitions` VALUES (171045, 4062, 32, 'päättynyt');
INSERT INTO `lang_definitions` VALUES (171046, 4064, 32, 'Suomi');
INSERT INTO `lang_definitions` VALUES (171047, 4065, 32, 'Ensimmäinen');
INSERT INTO `lang_definitions` VALUES (171048, 4068, 32, 'Viikon ensimmäinen päivä');
INSERT INTO `lang_definitions` VALUES (171049, 4071, 32, 'Etunimi');
INSERT INTO `lang_definitions` VALUES (171050, 4072, 32, 'Etunimi');
INSERT INTO `lang_definitions` VALUES (171051, 4073, 32, 'Etunimi:');
INSERT INTO `lang_definitions` VALUES (171052, 4074, 32, 'Ensimmäinen käynti tai konsultaatio');
INSERT INTO `lang_definitions` VALUES (171053, 4077, 32, 'Etunimi Sukunimi');
INSERT INTO `lang_definitions` VALUES (171054, 4086, 32, 'Korjaa tämä');
INSERT INTO `lang_definitions` VALUES (171055, 4090, 32, 'Ilmavaivoja');
INSERT INTO `lang_definitions` VALUES (171056, 4091, 32, 'Virta');
INSERT INTO `lang_definitions` VALUES (171057, 4108, 32, 'Flunssa kausi');
INSERT INTO `lang_definitions` VALUES (171058, 4109, 32, 'Flunssa kausi');
INSERT INTO `lang_definitions` VALUES (171059, 4110, 32, 'Flunssarokote');
INSERT INTO `lang_definitions` VALUES (171060, 4129, 32, 'Ruokayliherkkyys');
INSERT INTO `lang_definitions` VALUES (171061, 4130, 32, 'Jalka');
INSERT INTO `lang_definitions` VALUES (171062, 4131, 32, 'Jalkaongelmat');
INSERT INTO `lang_definitions` VALUES (171063, 4132, 32, 'Jalka:');
INSERT INTO `lang_definitions` VALUES (171064, 4133, 32, 'Jalkapallovammat');
INSERT INTO `lang_definitions` VALUES (171065, 4134, 32, 'Jalkapallovamma');
INSERT INTO `lang_definitions` VALUES (171066, 4135, 32, 'Raportti jalkapallovammasta');
INSERT INTO `lang_definitions` VALUES (171067, 4136, 32, 'Jalkineen tyyppi');
INSERT INTO `lang_definitions` VALUES (171068, 4137, 32, 'käyttäjä');
INSERT INTO `lang_definitions` VALUES (171069, 4154, 32, 'Esimerkki:');
INSERT INTO `lang_definitions` VALUES (171070, 4195, 32, 'Lomake');
INSERT INTO `lang_definitions` VALUES (171071, 4196, 32, 'lomake');
INSERT INTO `lang_definitions` VALUES (171072, 4197, 32, 'Lomakkeen elementtiä ei löydy');
INSERT INTO `lang_definitions` VALUES (171073, 4199, 32, 'Lomakkeen allekirjoitus onnistui');
INSERT INTO `lang_definitions` VALUES (171074, 4201, 32, 'Muoto');
INSERT INTO `lang_definitions` VALUES (171075, 4202, 32, 'muoto');
INSERT INTO `lang_definitions` VALUES (171076, 4203, 32, 'Iän esitystapa');
INSERT INTO `lang_definitions` VALUES (171077, 4205, 32, 'Useimmin käytetty esitystapa päiväyksille.');
INSERT INTO `lang_definitions` VALUES (171078, 4206, 32, 'Useimmin käytetty esitystapa ajalle.');
INSERT INTO `lang_definitions` VALUES (171079, 4207, 32, 'Muotoiltu raportti');
INSERT INTO `lang_definitions` VALUES (171080, 4208, 32, 'Tupakoinut aiemmin');
INSERT INTO `lang_definitions` VALUES (171081, 4209, 32, 'Lomakkeet');
INSERT INTO `lang_definitions` VALUES (171082, 4210, 32, 'Lomakkeiden hallinta');
INSERT INTO `lang_definitions` VALUES (171083, 4215, 32, 'Lähetä edelleen');
INSERT INTO `lang_definitions` VALUES (171084, 4219, 32, 'Lähetä edelleen faxilla');
INSERT INTO `lang_definitions` VALUES (171085, 4222, 32, 'Lähetetty edelleen');
INSERT INTO `lang_definitions` VALUES (171086, 4225, 32, 'Neljäs');
INSERT INTO `lang_definitions` VALUES (171087, 4235, 32, 'Ranska');
INSERT INTO `lang_definitions` VALUES (171088, 4236, 32, 'Ranska (Kanada)');
INSERT INTO `lang_definitions` VALUES (171089, 4237, 32, 'Ranska (Vakio)');
INSERT INTO `lang_definitions` VALUES (171090, 4238, 32, 'Frekvenssi');
INSERT INTO `lang_definitions` VALUES (171091, 4239, 32, 'Toistuva vilustuminen');
INSERT INTO `lang_definitions` VALUES (171092, 4240, 32, 'Toistuva sairastuminen');
INSERT INTO `lang_definitions` VALUES (171093, 4241, 32, 'Pe');
INSERT INTO `lang_definitions` VALUES (171094, 4242, 32, 'Perjantai');
INSERT INTO `lang_definitions` VALUES (171095, 4244, 32, 'Alkaen');
INSERT INTO `lang_definitions` VALUES (171096, 4245, 32, 'LÄHETTÄJÄ');
INSERT INTO `lang_definitions` VALUES (171097, 4246, 32, 'lähettäjä');
INSERT INTO `lang_definitions` VALUES (171098, 4247, 32, 'Aloituksen päivämäärä ei voi olla myöhäisempi kuin lopetuksen päivämäärä.');
INSERT INTO `lang_definitions` VALUES (171099, 4253, 32, 'Alkaen:');
INSERT INTO `lang_definitions` VALUES (171100, 4254, 32, 'Lähettäjä:');
INSERT INTO `lang_definitions` VALUES (171101, 4278, 32, 'Koko nimi');
INSERT INTO `lang_definitions` VALUES (171102, 4280, 32, 'Koko polku MYSQL ohjelmatiedostoja sisältävään hakemistoon.');
INSERT INTO `lang_definitions` VALUES (171103, 4281, 32, 'Koko polku Perl ohjelmatiedostoja sisältävään hakemistoon.');
INSERT INTO `lang_definitions` VALUES (171104, 4282, 32, 'Koko polku tapahtumalokien varmuuskopioiden hakemistoon.');
INSERT INTO `lang_definitions` VALUES (171105, 4288, 32, 'Maksettu kokonaan');
INSERT INTO `lang_definitions` VALUES (171106, 4295, 32, 'Tulevaisuus');
INSERT INTO `lang_definitions` VALUES (171107, 4301, 32, 'Galego');
INSERT INTO `lang_definitions` VALUES (171108, 4302, 32, 'Sappirakon kunto');
INSERT INTO `lang_definitions` VALUES (171109, 4303, 32, 'Sappikivet');
INSERT INTO `lang_definitions` VALUES (171110, 4319, 32, 'Sukupuoli');
INSERT INTO `lang_definitions` VALUES (171111, 4320, 32, 'Sukupuoli');
INSERT INTO `lang_definitions` VALUES (171112, 4331, 32, 'Luo');
INSERT INTO `lang_definitions` VALUES (171113, 4342, 32, 'Luo CMS 1500');
INSERT INTO `lang_definitions` VALUES (171114, 4343, 32, 'Luo CMS 1500 PDF');
INSERT INTO `lang_definitions` VALUES (171115, 4344, 32, 'Luo CMS 1500 TEXT');
INSERT INTO `lang_definitions` VALUES (171116, 4345, 32, 'Luo HCFA');
INSERT INTO `lang_definitions` VALUES (171117, 4347, 32, 'Luo lasku');
INSERT INTO `lang_definitions` VALUES (171118, 4348, 32, 'Luo kirje');
INSERT INTO `lang_definitions` VALUES (171119, 4349, 32, 'Luo kirje koskien');
INSERT INTO `lang_definitions` VALUES (171120, 4357, 32, 'Luo raportti');
INSERT INTO `lang_definitions` VALUES (171121, 4365, 32, 'Luo käyttäjätunnus ja salasana');
INSERT INTO `lang_definitions` VALUES (171122, 4366, 32, 'Luo X12');
INSERT INTO `lang_definitions` VALUES (171123, 4372, 32, 'Luodaan');
INSERT INTO `lang_definitions` VALUES (171124, 4380, 32, 'Georgia');
INSERT INTO `lang_definitions` VALUES (171125, 4381, 32, 'Saksa');
INSERT INTO `lang_definitions` VALUES (171126, 4395, 32, 'Yleinen');
INSERT INTO `lang_definitions` VALUES (171127, 4398, 32, 'Yleistunniste');
INSERT INTO `lang_definitions` VALUES (171128, 4399, 32, 'Yleisasetukset');
INSERT INTO `lang_definitions` VALUES (171129, 4400, 32, 'Yleiset');
INSERT INTO `lang_definitions` VALUES (171130, 4403, 32, 'Siirry');
INSERT INTO `lang_definitions` VALUES (171131, 4404, 32, 'siirry');
INSERT INTO `lang_definitions` VALUES (171132, 4407, 32, 'Siirry kohteeseen');
INSERT INTO `lang_definitions` VALUES (171133, 4418, 32, 'Tänään');
INSERT INTO `lang_definitions` VALUES (171134, 4419, 32, 'Tavoite A');
INSERT INTO `lang_definitions` VALUES (171135, 4420, 32, 'Tavoite ja menetelmät');
INSERT INTO `lang_definitions` VALUES (171136, 4421, 32, 'Tavoite B');
INSERT INTO `lang_definitions` VALUES (171137, 4422, 32, 'Tavoite C');
INSERT INTO `lang_definitions` VALUES (171138, 4429, 32, 'Taso:');
INSERT INTO `lang_definitions` VALUES (171139, 4430, 32, 'grammaa');
INSERT INTO `lang_definitions` VALUES (171140, 4431, 32, 'Loppusumma');
INSERT INTO `lang_definitions` VALUES (171141, 4432, 32, 'Loppusummat');
INSERT INTO `lang_definitions` VALUES (171142, 4437, 32, 'Suurempi kuin');
INSERT INTO `lang_definitions` VALUES (171143, 4438, 32, 'Suurempi tai yhtä suuri kuin');
INSERT INTO `lang_definitions` VALUES (171144, 4439, 32, 'Kreikka');
INSERT INTO `lang_definitions` VALUES (171145, 4440, 32, 'Kreikka, moderni');
INSERT INTO `lang_definitions` VALUES (171146, 4442, 32, 'Ryhmä');
INSERT INTO `lang_definitions` VALUES (171147, 4459, 32, 'Ryhmän nimi');
INSERT INTO `lang_definitions` VALUES (171148, 4460, 32, 'Ryhmän nimi ei voi olla tyhjä');
INSERT INTO `lang_definitions` VALUES (171149, 4461, 32, 'Ryhmän nimi ei voi alkaa numerolla tai välilyönnillä.');
INSERT INTO `lang_definitions` VALUES (171150, 4462, 32, 'Ryhmän nimi ei voi alkaa numerolla.');
INSERT INTO `lang_definitions` VALUES (171151, 4463, 32, 'Ryhmän numero');
INSERT INTO `lang_definitions` VALUES (171152, 4471, 32, 'Ryhmä:');
INSERT INTO `lang_definitions` VALUES (171153, 4472, 32, 'Ryhmän nimi');
INSERT INTO `lang_definitions` VALUES (171154, 4475, 32, 'Ryhmät ja käyttöoikeudet');
INSERT INTO `lang_definitions` VALUES (171155, 4476, 32, 'Kasvukäyrä');
INSERT INTO `lang_definitions` VALUES (171156, 4477, 32, 'Kasvukäyrä');
INSERT INTO `lang_definitions` VALUES (171157, 4484, 32, 'Holhoojan nimi');
INSERT INTO `lang_definitions` VALUES (171158, 4489, 32, 'Gynekologinen tutkimus');
INSERT INTO `lang_definitions` VALUES (171159, 4505, 32, 'Kovalevy');
INSERT INTO `lang_definitions` VALUES (171160, 4508, 32, 'on vanhentunut');
INSERT INTO `lang_definitions` VALUES (171161, 4516, 32, 'Vaaralliset harrastukset');
INSERT INTO `lang_definitions` VALUES (171162, 4517, 32, 'Vaaralliset harrastukset');
INSERT INTO `lang_definitions` VALUES (171163, 4528, 32, 'Pää');
INSERT INTO `lang_definitions` VALUES (171164, 4529, 32, 'Päänympärys');
INSERT INTO `lang_definitions` VALUES (171165, 4530, 32, 'Päänympärys');
INSERT INTO `lang_definitions` VALUES (171166, 4531, 32, 'Päänsärky');
INSERT INTO `lang_definitions` VALUES (171167, 4532, 32, 'Päänsärkyjä');
INSERT INTO `lang_definitions` VALUES (171168, 4537, 32, 'Vastaanottavan sairaalan tai poliklinikan nimi ja osoite');
INSERT INTO `lang_definitions` VALUES (171169, 4554, 32, 'Tupakoi runsaasti');
INSERT INTO `lang_definitions` VALUES (171170, 4555, 32, 'Heprea');
INSERT INTO `lang_definitions` VALUES (171171, 4556, 32, 'Heprea (moderni)');
INSERT INTO `lang_definitions` VALUES (171172, 4558, 32, 'Pituus');
INSERT INTO `lang_definitions` VALUES (171173, 4559, 32, 'Pituus');
INSERT INTO `lang_definitions` VALUES (171174, 4570, 32, 'Hepatitis');
INSERT INTO `lang_definitions` VALUES (171175, 4591, 32, 'Piilotettu');
INSERT INTO `lang_definitions` VALUES (171176, 4593, 32, 'Piilota');
INSERT INTO `lang_definitions` VALUES (171177, 4595, 32, 'Piilota yksityiskohdat');
INSERT INTO `lang_definitions` VALUES (171178, 4599, 32, 'Piilota valikko');
INSERT INTO `lang_definitions` VALUES (171179, 4601, 32, 'Piilota muistutukset');
INSERT INTO `lang_definitions` VALUES (171180, 4603, 32, 'Piilota/Näytä sarakkeet');
INSERT INTO `lang_definitions` VALUES (171181, 4605, 32, 'Korkea');
INSERT INTO `lang_definitions` VALUES (171182, 4607, 32, 'Korkea verenpaine');
INSERT INTO `lang_definitions` VALUES (171183, 4658, 32, 'Etusivu');
INSERT INTO `lang_definitions` VALUES (171184, 4659, 32, 'Kotipuhelin');
INSERT INTO `lang_definitions` VALUES (171185, 4660, 32, 'Kotipuhelimen numero');
INSERT INTO `lang_definitions` VALUES (171186, 4662, 32, 'Koditon tai vastaava?');
INSERT INTO `lang_definitions` VALUES (171187, 4664, 32, 'Koditon jne');
INSERT INTO `lang_definitions` VALUES (171188, 4665, 32, 'Koditon jne.');
INSERT INTO `lang_definitions` VALUES (171189, 4677, 32, 'Tunti');
INSERT INTO `lang_definitions` VALUES (171190, 4678, 32, 'Tunnit');
INSERT INTO `lang_definitions` VALUES (171191, 4701, 32, 'Unkari');
INSERT INTO `lang_definitions` VALUES (171192, 4747, 32, 'Käyttämättömän istunnon aikakatkaisu sekunneissa');
INSERT INTO `lang_definitions` VALUES (171193, 4923, 32, 'LUOKASSA');
INSERT INTO `lang_definitions` VALUES (171194, 4960, 32, 'Poissa');
INSERT INTO `lang_definitions` VALUES (171195, 4967, 32, 'Saapuneet');
INSERT INTO `lang_definitions` VALUES (171196, 5109, 32, 'Vakuutus');
INSERT INTO `lang_definitions` VALUES (171197, 5110, 32, 'vakuutus');
INSERT INTO `lang_definitions` VALUES (171198, 5116, 32, 'Vakuutusyhtiö');
INSERT INTO `lang_definitions` VALUES (171199, 5117, 32, 'Vakuutusyhtiöt');
INSERT INTO `lang_definitions` VALUES (171200, 5118, 32, 'Vakuutusyhtiö');
INSERT INTO `lang_definitions` VALUES (171201, 5126, 32, 'Vakuutusnumerot');
INSERT INTO `lang_definitions` VALUES (171202, 5127, 32, 'Vakuutusmaksu');
INSERT INTO `lang_definitions` VALUES (171203, 5131, 32, 'Vakuutustyypit');
INSERT INTO `lang_definitions` VALUES (171204, 5132, 32, 'Vakuutukset');
INSERT INTO `lang_definitions` VALUES (171205, 5160, 32, 'Sisäinen tunniste');
INSERT INTO `lang_definitions` VALUES (171206, 5167, 32, 'Tulkki');
INSERT INTO `lang_definitions` VALUES (171207, 5168, 32, 'Tarvitaanko tulkki?');
INSERT INTO `lang_definitions` VALUES (171208, 5212, 32, 'Lasku');
INSERT INTO `lang_definitions` VALUES (171209, 5213, 32, 'lasku');
INSERT INTO `lang_definitions` VALUES (171210, 5217, 32, 'Laskun päiväys');
INSERT INTO `lang_definitions` VALUES (171211, 5219, 32, 'Laskulla ei ole päiväystä!');
INSERT INTO `lang_definitions` VALUES (171212, 5220, 32, 'Laskun numero');
INSERT INTO `lang_definitions` VALUES (171213, 5221, 32, 'Laskun viitenumero');
INSERT INTO `lang_definitions` VALUES (171214, 5226, 32, 'Lasku:');
INSERT INTO `lang_definitions` VALUES (171215, 5249, 32, 'Epäsäännöllinen sydämen syke');
INSERT INTO `lang_definitions` VALUES (171216, 5256, 32, 'on vaadittu kenttä.');
INSERT INTO `lang_definitions` VALUES (171217, 5375, 32, 'Tammikuu');
INSERT INTO `lang_definitions` VALUES (171218, 5376, 32, 'Tammikuu');
INSERT INTO `lang_definitions` VALUES (171219, 5385, 32, 'Heinäkuu');
INSERT INTO `lang_definitions` VALUES (171220, 5386, 32, 'Heinäkuu');
INSERT INTO `lang_definitions` VALUES (171221, 5388, 32, 'Kesäkuu');
INSERT INTO `lang_definitions` VALUES (171222, 5389, 32, 'Kesäkuu');
INSERT INTO `lang_definitions` VALUES (171223, 5391, 32, 'Vain omat');
INSERT INTO `lang_definitions` VALUES (171224, 5411, 32, 'Hakusanat');
INSERT INTO `lang_definitions` VALUES (171225, 5435, 32, 'Laboratorio asiakirjat');
INSERT INTO `lang_definitions` VALUES (171226, 5453, 32, 'Nimiö');
INSERT INTO `lang_definitions` VALUES (171227, 5454, 32, 'Nimiö ei voi olla tyhjä');
INSERT INTO `lang_definitions` VALUES (171228, 5455, 32, 'Nimiön sarakkeet');
INSERT INTO `lang_definitions` VALUES (171229, 5456, 32, 'Nimiö tälle tyypille');
INSERT INTO `lang_definitions` VALUES (171230, 5458, 32, 'Nimiön sarakkeiden arvo tulee olla numero väliltä 1 ja 999');
INSERT INTO `lang_definitions` VALUES (171231, 5459, 32, 'Nimiöt');
INSERT INTO `lang_definitions` VALUES (171232, 5470, 32, 'Vaaka');
INSERT INTO `lang_definitions` VALUES (171233, 5471, 32, 'Kieli');
INSERT INTO `lang_definitions` VALUES (171234, 5472, 32, 'Kielikoodi');
INSERT INTO `lang_definitions` VALUES (171235, 5478, 32, 'Kielen nimi');
INSERT INTO `lang_definitions` VALUES (171236, 5479, 32, 'Kieli:');
INSERT INTO `lang_definitions` VALUES (171237, 5485, 32, 'Viimeinen');
INSERT INTO `lang_definitions` VALUES (171238, 5504, 32, 'Edelliset kuukautiset');
INSERT INTO `lang_definitions` VALUES (171239, 5506, 32, 'Viime kuu');
INSERT INTO `lang_definitions` VALUES (171240, 5507, 32, 'Sukunimi');
INSERT INTO `lang_definitions` VALUES (171241, 5508, 32, 'Sukunimi');
INSERT INTO `lang_definitions` VALUES (171242, 5513, 32, 'Sukunimi:');
INSERT INTO `lang_definitions` VALUES (171243, 5519, 32, 'Viimeksi tallennettu');
INSERT INTO `lang_definitions` VALUES (171244, 5527, 32, 'Viimeisin käynti');
INSERT INTO `lang_definitions` VALUES (171245, 5547, 32, 'Ulkoasu');
INSERT INTO `lang_definitions` VALUES (171246, 5549, 32, 'Ulkoasuun perustuvat');
INSERT INTO `lang_definitions` VALUES (171247, 5551, 32, 'Ulkoasun muokkain');
INSERT INTO `lang_definitions` VALUES (171248, 5552, 32, 'Ulkoasuryhmät');
INSERT INTO `lang_definitions` VALUES (171249, 5556, 32, 'Ulkoasujen tyylit');
INSERT INTO `lang_definitions` VALUES (171250, 5558, 32, 'LBV lomakkeet');
INSERT INTO `lang_definitions` VALUES (171251, 5559, 32, 'Ulkoasut');
INSERT INTO `lang_definitions` VALUES (171252, 5560, 32, 'pauna');
INSERT INTO `lang_definitions` VALUES (171253, 5563, 32, 'paunaa');
INSERT INTO `lang_definitions` VALUES (171254, 5573, 32, 'jätä tyhjäksi jos vielä aktiivinen');
INSERT INTO `lang_definitions` VALUES (171255, 5574, 32, 'Jättämällä tyhjäksi säilytät vanhan tiedostonimen');
INSERT INTO `lang_definitions` VALUES (171256, 5575, 32, 'Jättämällä tyhjäksi säilytät vanhan salasanan.');
INSERT INTO `lang_definitions` VALUES (171257, 5580, 32, 'Millä jätät viestin');
INSERT INTO `lang_definitions` VALUES (171258, 5582, 32, 'Poistu lomakkeesta');
INSERT INTO `lang_definitions` VALUES (171259, 5586, 32, 'Vasen');
INSERT INTO `lang_definitions` VALUES (171260, 5589, 32, 'Vasen korva');
INSERT INTO `lang_definitions` VALUES (171261, 5590, 32, 'vasen korva');
INSERT INTO `lang_definitions` VALUES (171262, 5594, 32, 'Vasen marginaali (mm)');
INSERT INTO `lang_definitions` VALUES (171263, 5599, 32, 'Vasen:');
INSERT INTO `lang_definitions` VALUES (171264, 5600, 32, 'Vasen:');
INSERT INTO `lang_definitions` VALUES (171265, 5613, 32, 'Pienempi kuin');
INSERT INTO `lang_definitions` VALUES (171266, 5614, 32, 'Pienempi tai yhtä suuri kuin');
INSERT INTO `lang_definitions` VALUES (171267, 5644, 32, 'Elämäntapa');
INSERT INTO `lang_definitions` VALUES (171268, 5665, 32, 'Lista');
INSERT INTO `lang_definitions` VALUES (171269, 5693, 32, 'Listat');
INSERT INTO `lang_definitions` VALUES (171270, 5695, 32, 'Liettua');
INSERT INTO `lang_definitions` VALUES (171271, 5709, 32, 'Tallenna määritykset');
INSERT INTO `lang_definitions` VALUES (171272, 5728, 32, 'Paikalliset');
INSERT INTO `lang_definitions` VALUES (171273, 5745, 32, 'Kirjaudu');
INSERT INTO `lang_definitions` VALUES (171274, 5746, 32, 'Kirjaudu');
INSERT INTO `lang_definitions` VALUES (171275, 5749, 32, 'Uloskirjautuminen');
INSERT INTO `lang_definitions` VALUES (171276, 5752, 32, 'Kirjauduttu');
INSERT INTO `lang_definitions` VALUES (171277, 5753, 32, 'Kirjauduttu käyttäjänä');
INSERT INTO `lang_definitions` VALUES (171278, 5754, 32, 'Kirjauduttu käyttäjänä:');
INSERT INTO `lang_definitions` VALUES (171279, 5755, 32, 'Uloskirjauduttu.');
INSERT INTO `lang_definitions` VALUES (171280, 5756, 32, 'Kirjautuu');
INSERT INTO `lang_definitions` VALUES (171281, 5757, 32, 'Kirjaudu');
INSERT INTO `lang_definitions` VALUES (171282, 5758, 32, 'kirjaudu');
INSERT INTO `lang_definitions` VALUES (171283, 5763, 32, 'Kirjautuminen etäpalvelimelle');
INSERT INTO `lang_definitions` VALUES (171284, 5764, 32, 'Kirjautuminen etäpalvelimelle epäonnistui');
INSERT INTO `lang_definitions` VALUES (171285, 5768, 32, 'Uloskirjautuminen');
INSERT INTO `lang_definitions` VALUES (171286, 5769, 32, 'uloskirjautuminen');
INSERT INTO `lang_definitions` VALUES (171287, 5770, 32, 'Lokit');
INSERT INTO `lang_definitions` VALUES (171288, 5792, 32, 'LOUNAS');
INSERT INTO `lang_definitions` VALUES (171289, 5793, 32, 'Lounas');
INSERT INTO `lang_definitions` VALUES (171290, 5821, 32, 'Päänäkymän yläosa');
INSERT INTO `lang_definitions` VALUES (171291, 5842, 32, 'Hallinnoi');
INSERT INTO `lang_definitions` VALUES (171292, 5845, 32, 'Hallinnoi moduuleja');
INSERT INTO `lang_definitions` VALUES (171293, 5850, 32, 'Hallinnoi käännöksiä');
INSERT INTO `lang_definitions` VALUES (171294, 5851, 32, 'Hallinto');
INSERT INTO `lang_definitions` VALUES (171295, 5854, 32, 'Pakolliset ja määritellyt kentät');
INSERT INTO `lang_definitions` VALUES (171296, 5855, 32, 'Vain pakolliset ja määritellyt kentät, tuplien tarkistus, ei hakua');
INSERT INTO `lang_definitions` VALUES (171297, 5856, 32, 'Vain pakolliset ja määritellyt kentät, tuplien tarkistus, ei hakua');
INSERT INTO `lang_definitions` VALUES (171298, 5859, 32, 'Käyttöohjeet');
INSERT INTO `lang_definitions` VALUES (171299, 5864, 32, 'Valmistaja');
INSERT INTO `lang_definitions` VALUES (171300, 5870, 32, 'Maaliskuu');
INSERT INTO `lang_definitions` VALUES (171301, 5874, 32, 'Maaliskuu');
INSERT INTO `lang_definitions` VALUES (171302, 5877, 32, 'Siviilisääty');
INSERT INTO `lang_definitions` VALUES (171303, 5879, 32, 'Merkitse laskutetuksi');
INSERT INTO `lang_definitions` VALUES (171304, 5881, 32, 'Merkitse laskutetuksi, mutta ohita laskutus');
INSERT INTO `lang_definitions` VALUES (171305, 5885, 32, 'Merkitse ei-laskutetuksi');
INSERT INTO `lang_definitions` VALUES (171306, 5887, 32, 'Aviossa');
INSERT INTO `lang_definitions` VALUES (171307, 5924, 32, 'Toukokuu');
INSERT INTO `lang_definitions` VALUES (171308, 5933, 32, 'Mittaus');
INSERT INTO `lang_definitions` VALUES (171309, 5946, 32, 'Esitiedot');
INSERT INTO `lang_definitions` VALUES (171310, 5956, 32, 'Sairaskertomus');
INSERT INTO `lang_definitions` VALUES (171311, 5957, 32, 'Sairaskertomus #');
INSERT INTO `lang_definitions` VALUES (171312, 5959, 32, 'Sairaskertomukset');
INSERT INTO `lang_definitions` VALUES (171313, 5961, 32, 'Lähetetyt sairaskertomukset');
INSERT INTO `lang_definitions` VALUES (171314, 5970, 32, 'Lääkitys');
INSERT INTO `lang_definitions` VALUES (171315, 5975, 32, 'Lääkitykset');
INSERT INTO `lang_definitions` VALUES (171316, 5978, 32, 'Lääkitykset:');
INSERT INTO `lang_definitions` VALUES (171317, 5986, 32, 'Muistiongelmat');
INSERT INTO `lang_definitions` VALUES (171318, 5987, 32, 'Miehet');
INSERT INTO `lang_definitions` VALUES (171319, 5988, 32, 'Miehet ja naiset');
INSERT INTO `lang_definitions` VALUES (171320, 5989, 32, 'Vain miehet');
INSERT INTO `lang_definitions` VALUES (171321, 5991, 32, 'Menopaussi');
INSERT INTO `lang_definitions` VALUES (171322, 5992, 32, 'Kuukautisvuoto');
INSERT INTO `lang_definitions` VALUES (171323, 5993, 32, 'Kuukautiskierto');
INSERT INTO `lang_definitions` VALUES (171324, 5994, 32, 'Mielenterveysongelmat');
INSERT INTO `lang_definitions` VALUES (171325, 5998, 32, 'Valikkoteksti');
INSERT INTO `lang_definitions` VALUES (171326, 5999, 32, 'Valikot');
INSERT INTO `lang_definitions` VALUES (171327, 6005, 32, 'Viesti');
INSERT INTO `lang_definitions` VALUES (171328, 6006, 32, 'Viesti- ja muistutuskeskus');
INSERT INTO `lang_definitions` VALUES (171329, 6009, 32, 'Viestin sisältö ei ole vain tekstiä, joten se on tallennettu dokumenttina.');
INSERT INTO `lang_definitions` VALUES (171330, 6010, 32, 'Viesti potilaalta');
INSERT INTO `lang_definitions` VALUES (171331, 6012, 32, 'Viesti lähetetty');
INSERT INTO `lang_definitions` VALUES (171332, 6013, 32, 'Viestin tila');
INSERT INTO `lang_definitions` VALUES (171333, 6014, 32, 'Viestin otsikko');
INSERT INTO `lang_definitions` VALUES (171334, 6015, 32, 'Viesti potilaalle');
INSERT INTO `lang_definitions` VALUES (171335, 6017, 32, 'Viestin tyyppi');
INSERT INTO `lang_definitions` VALUES (171336, 6018, 32, 'VIESTI:');
INSERT INTO `lang_definitions` VALUES (171337, 6019, 32, 'Viestit');
INSERT INTO `lang_definitions` VALUES (171338, 6022, 32, 'Tänään lähettämäsi viestit');
INSERT INTO `lang_definitions` VALUES (171339, 6038, 32, 'mg');
INSERT INTO `lang_definitions` VALUES (171340, 6039, 32, 'mg/1cc');
INSERT INTO `lang_definitions` VALUES (171341, 6040, 32, 'mg/2cc');
INSERT INTO `lang_definitions` VALUES (171342, 6041, 32, 'mg/3cc');
INSERT INTO `lang_definitions` VALUES (171343, 6042, 32, 'mg/4cc');
INSERT INTO `lang_definitions` VALUES (171344, 6043, 32, 'mg/5cc');
INSERT INTO `lang_definitions` VALUES (171345, 6044, 32, 'MG/DL');
INSERT INTO `lang_definitions` VALUES (171346, 6047, 32, 'Toinen etunimi');
INSERT INTO `lang_definitions` VALUES (171347, 6048, 32, 'Toinen etunimi');
INSERT INTO `lang_definitions` VALUES (171348, 6069, 32, 'MIME-tyyppi');
INSERT INTO `lang_definitions` VALUES (171349, 6070, 32, 'MIME-tyyppi');
INSERT INTO `lang_definitions` VALUES (171350, 6082, 32, 'Minuutti');
INSERT INTO `lang_definitions` VALUES (171351, 6083, 32, 'Minuuttia');
INSERT INTO `lang_definitions` VALUES (171352, 6084, 32, 'minuuttia');
INSERT INTO `lang_definitions` VALUES (171353, 6090, 32, 'Sekalaiset');
INSERT INTO `lang_definitions` VALUES (171354, 6093, 32, 'puuttuu');
INSERT INTO `lang_definitions` VALUES (171355, 6094, 32, 'Vaadittu kenttä puuttuu');
INSERT INTO `lang_definitions` VALUES (171356, 6097, 32, 'Palkkio puuttuu');
INSERT INTO `lang_definitions` VALUES (171357, 6101, 32, 'Puuttuva tai virheellinen');
INSERT INTO `lang_definitions` VALUES (171358, 6104, 32, 'Raportin päiväys puuttuu');
INSERT INTO `lang_definitions` VALUES (171359, 6111, 32, 'Sekoitettu');
INSERT INTO `lang_definitions` VALUES (171360, 6113, 32, 'ml');
INSERT INTO `lang_definitions` VALUES (171361, 6114, 32, 'KK/PP/VVVV');
INSERT INTO `lang_definitions` VALUES (171362, 6115, 32, 'mm/hg');
INSERT INTO `lang_definitions` VALUES (171363, 6116, 32, 'mmHg');
INSERT INTO `lang_definitions` VALUES (171364, 6120, 32, 'Matkapuhelin');
INSERT INTO `lang_definitions` VALUES (171365, 6121, 32, 'Matkapuhelin');
INSERT INTO `lang_definitions` VALUES (171366, 6140, 32, 'Muokkaa');
INSERT INTO `lang_definitions` VALUES (171367, 6143, 32, 'Muokkaa maksuja');
INSERT INTO `lang_definitions` VALUES (171368, 6146, 32, 'Moduuli');
INSERT INTO `lang_definitions` VALUES (171369, 6147, 32, 'Moduulihakemistoa ei löydy');
INSERT INTO `lang_definitions` VALUES (171370, 6148, 32, 'Moduulin asentaja');
INSERT INTO `lang_definitions` VALUES (171371, 6149, 32, 'Moduulin nimi');
INSERT INTO `lang_definitions` VALUES (171372, 6150, 32, 'Moduulin nimi on jo olemassa');
INSERT INTO `lang_definitions` VALUES (171373, 6151, 32, 'Moduulit');
INSERT INTO `lang_definitions` VALUES (171374, 6153, 32, 'Ma');
INSERT INTO `lang_definitions` VALUES (171375, 6154, 32, 'Ma – Pe');
INSERT INTO `lang_definitions` VALUES (171376, 6155, 32, 'Ma, Ke & Pe');
INSERT INTO `lang_definitions` VALUES (171377, 6156, 32, 'Maanantai');
INSERT INTO `lang_definitions` VALUES (171378, 6160, 32, 'kuukausi');
INSERT INTO `lang_definitions` VALUES (171379, 6161, 32, 'Kuukausi');
INSERT INTO `lang_definitions` VALUES (171380, 6162, 32, 'Kuukausinäkymä');
INSERT INTO `lang_definitions` VALUES (171381, 6163, 32, 'Kuukaudet');
INSERT INTO `lang_definitions` VALUES (171382, 6164, 32, 'Kuukausitulot');
INSERT INTO `lang_definitions` VALUES (171383, 6166, 32, 'Kuukaudet');
INSERT INTO `lang_definitions` VALUES (171384, 6179, 32, 'Yli 100 asiakirjaa. Tarkenna hakukriteeriäsi.');
INSERT INTO `lang_definitions` VALUES (171385, 6180, 32, 'Yli 50 tulosta, täsmennä hakuasi.');
INSERT INTO `lang_definitions` VALUES (171386, 6184, 32, 'Useimpien sarakkeiden järjestystä voiodaan muuttaa klikkaamalla sarakkeen otsikkoa');
INSERT INTO `lang_definitions` VALUES (171387, 6190, 32, 'Äiti');
INSERT INTO `lang_definitions` VALUES (171388, 6191, 32, 'Äidin nimi');
INSERT INTO `lang_definitions` VALUES (171389, 6195, 32, 'Suu');
INSERT INTO `lang_definitions` VALUES (171390, 6196, 32, 'Siirry');
INSERT INTO `lang_definitions` VALUES (171391, 6197, 32, 'Siirrä asiakirja luokkaan:');
INSERT INTO `lang_definitions` VALUES (171392, 6198, 32, 'Siirry alas');
INSERT INTO `lang_definitions` VALUES (171393, 6199, 32, 'Siirto epäonnistui!');
INSERT INTO `lang_definitions` VALUES (171394, 6201, 32, 'Siirry potilaaseen');
INSERT INTO `lang_definitions` VALUES (171395, 6202, 32, 'Siirry kohteeseen');
INSERT INTO `lang_definitions` VALUES (171396, 6203, 32, 'Siirry ylös');
INSERT INTO `lang_definitions` VALUES (171397, 6204, 32, 'Siirtää');
INSERT INTO `lang_definitions` VALUES (171398, 6209, 32, 'Hra.');
INSERT INTO `lang_definitions` VALUES (171399, 6215, 32, 'Rva.');
INSERT INTO `lang_definitions` VALUES (171400, 6217, 32, 'Nti.');
INSERT INTO `lang_definitions` VALUES (171401, 6274, 32, 'Nimi');
INSERT INTO `lang_definitions` VALUES (171402, 6276, 32, 'Nimi (klikkaa lisää)');
INSERT INTO `lang_definitions` VALUES (171403, 6278, 32, 'Nimi 1');
INSERT INTO `lang_definitions` VALUES (171404, 6279, 32, 'Nimi 2');
INSERT INTO `lang_definitions` VALUES (171405, 6285, 32, 'Vakuutusyhtiön nimi');
INSERT INTO `lang_definitions` VALUES (171406, 6286, 32, 'Emri Provajderit');
INSERT INTO `lang_definitions` VALUES (171407, 6295, 32, 'Nimi/Arvo');
INSERT INTO `lang_definitions` VALUES (171408, 6296, 32, 'Nimi:');
INSERT INTO `lang_definitions` VALUES (171409, 6322, 32, 'Navigaatio');
INSERT INTO `lang_definitions` VALUES (171410, 6323, 32, 'Navigaatiopalkki sisältää käyntilomakkeet');
INSERT INTO `lang_definitions` VALUES (171411, 6324, 32, 'Navigaatiopalkki näkyy koko kehyksen korkeudelta');
INSERT INTO `lang_definitions` VALUES (171412, 6325, 32, 'Navigaatiopalkin käyntilomakkeet');
INSERT INTO `lang_definitions` VALUES (171413, 6326, 32, 'Navigaatiopalkin leveys');
INSERT INTO `lang_definitions` VALUES (171414, 6328, 32, 'Navigointivalikko koostuu valintanapeista');
INSERT INTO `lang_definitions` VALUES (171415, 6329, 32, 'Navigaatio esitetään puunäkymänä');
INSERT INTO `lang_definitions` VALUES (171416, 6330, 32, 'Navigaatiossa käytetään liukuvalikkoa');
INSERT INTO `lang_definitions` VALUES (171417, 6381, 32, 'Ei koskaan');
INSERT INTO `lang_definitions` VALUES (171418, 6382, 32, 'Ei milloinkaan alkoholia');
INSERT INTO `lang_definitions` VALUES (171419, 6383, 32, 'Ei milloinkaan tupakoinut');
INSERT INTO `lang_definitions` VALUES (171420, 6384, 32, 'Uusi');
INSERT INTO `lang_definitions` VALUES (171421, 6385, 32, 'Uusi =>');
INSERT INTO `lang_definitions` VALUES (171422, 6388, 32, 'Uusi allergia');
INSERT INTO `lang_definitions` VALUES (171423, 6390, 32, 'Uusi ajanvaraus');
INSERT INTO `lang_definitions` VALUES (171424, 6391, 32, 'Uudet luokat');
INSERT INTO `lang_definitions` VALUES (171425, 6392, 32, 'Uusi luokka');
INSERT INTO `lang_definitions` VALUES (171426, 6393, 32, 'Uudet asiakkaat');
INSERT INTO `lang_definitions` VALUES (171427, 6396, 32, 'Uusi(a) määrittely(jä) lisätty');
INSERT INTO `lang_definitions` VALUES (171428, 6397, 32, 'Uusi asiakirja');
INSERT INTO `lang_definitions` VALUES (171429, 6398, 32, 'Uudet asiakirjat');
INSERT INTO `lang_definitions` VALUES (171430, 6401, 32, 'Uusi käynti');
INSERT INTO `lang_definitions` VALUES (171431, 6407, 32, 'Uusi tiedosto');
INSERT INTO `lang_definitions` VALUES (171432, 6408, 32, 'Uusia tiedostoja');
INSERT INTO `lang_definitions` VALUES (171433, 6410, 32, 'Uusi ryhmä');
INSERT INTO `lang_definitions` VALUES (171434, 6426, 32, 'Uusi lista');
INSERT INTO `lang_definitions` VALUES (171435, 6433, 32, 'Uusi kappale');
INSERT INTO `lang_definitions` VALUES (171436, 6434, 32, 'Uusi salasana');
INSERT INTO `lang_definitions` VALUES (171437, 6435, 32, 'Uusi potilas');
INSERT INTO `lang_definitions` VALUES (171438, 6436, 32, 'UUSI POTILAS');
INSERT INTO `lang_definitions` VALUES (171439, 6437, 32, 'Uusi potilaskäynti');
INSERT INTO `lang_definitions` VALUES (171440, 6438, 32, 'Uusi potilaslomake');
INSERT INTO `lang_definitions` VALUES (171441, 6439, 32, 'Uusi potilastunniste');
INSERT INTO `lang_definitions` VALUES (171442, 6442, 32, 'Uusi maksu');
INSERT INTO `lang_definitions` VALUES (171443, 6448, 32, 'Uusi haku');
INSERT INTO `lang_definitions` VALUES (171444, 6451, 32, 'Uusi käyttäjä');
INSERT INTO `lang_definitions` VALUES (171445, 6452, 32, 'Uusi arvo');
INSERT INTO `lang_definitions` VALUES (171446, 6453, 32, 'Uusi käynti');
INSERT INTO `lang_definitions` VALUES (171447, 6454, 32, 'Uusi/Hae');
INSERT INTO `lang_definitions` VALUES (171448, 6479, 32, 'Uudempi');
INSERT INTO `lang_definitions` VALUES (171449, 6481, 32, 'Sanomalehti');
INSERT INTO `lang_definitions` VALUES (171450, 6482, 32, 'Seuraava');
INSERT INTO `lang_definitions` VALUES (171451, 6484, 32, 'Seuraava päivä');
INSERT INTO `lang_definitions` VALUES (171452, 6485, 32, 'Seuraava kuukausi');
INSERT INTO `lang_definitions` VALUES (171453, 6486, 32, 'Seuraava kuukausi (pidä valikkoa varten)');
INSERT INTO `lang_definitions` VALUES (171454, 6488, 32, 'Seuraava aikataulutettu ajo');
INSERT INTO `lang_definitions` VALUES (171455, 6491, 32, 'Seuraava viikko');
INSERT INTO `lang_definitions` VALUES (171456, 6492, 32, 'Seuraava vuosi (pidä valikkoa varten)');
INSERT INTO `lang_definitions` VALUES (171457, 6499, 32, 'Ei');
INSERT INTO `lang_definitions` VALUES (171458, 6500, 32, 'EI');
INSERT INTO `lang_definitions` VALUES (171459, 6502, 32, 'Ei pääsyä');
INSERT INTO `lang_definitions` VALUES (171460, 6503, 32, 'Potilaalle ei ole aktiivisia muistutuksia.');
INSERT INTO `lang_definitions` VALUES (171461, 6509, 32, 'Ei ajanvarauksia');
INSERT INTO `lang_definitions` VALUES (171462, 6515, 32, 'Laskutusjärjestelmä ei ole käytössä');
INSERT INTO `lang_definitions` VALUES (171463, 6523, 32, 'Ei diagnoosia');
INSERT INTO `lang_definitions` VALUES (171464, 6526, 32, 'Ei löydettyjä asiakirjoja');
INSERT INTO `lang_definitions` VALUES (171465, 6531, 32, 'Virheitä ei löytynyt');
INSERT INTO `lang_definitions` VALUES (171466, 6532, 32, 'Ei tapahtumia');
INSERT INTO `lang_definitions` VALUES (171467, 6534, 32, 'Ei tiedostoja asennettavaksi');
INSERT INTO `lang_definitions` VALUES (171468, 6536, 32, 'Ryhmää ei ole valittu');
INSERT INTO `lang_definitions` VALUES (171469, 6568, 32, 'Ei osumia. Yritä hakea uudestaan.');
INSERT INTO `lang_definitions` VALUES (171470, 6569, 32, 'Ei osumia.');
INSERT INTO `lang_definitions` VALUES (171471, 6570, 32, 'Ei osumia. Luodaanko uusi potilas?');
INSERT INTO `lang_definitions` VALUES (171472, 6583, 32, 'Muita puhelinnumeroita ei ole listattu');
INSERT INTO `lang_definitions` VALUES (171473, 6595, 32, 'Ei aiempia käyntejä.');
INSERT INTO `lang_definitions` VALUES (171474, 6596, 32, 'Ei toimenpiteitä tällä käynnillä.');
INSERT INTO `lang_definitions` VALUES (171475, 6602, 32, 'Ei kirjauksia');
INSERT INTO `lang_definitions` VALUES (171476, 6604, 32, 'Ei kirjauksia. Laajenna hakukriteerejä.');
INSERT INTO `lang_definitions` VALUES (171477, 6607, 32, 'Ei muistutuksia');
INSERT INTO `lang_definitions` VALUES (171478, 6608, 32, 'Ei hakutuloksia näillä hakukriteereillä.');
INSERT INTO `lang_definitions` VALUES (171479, 6609, 32, 'Ei tuloksia');
INSERT INTO `lang_definitions` VALUES (171480, 6610, 32, 'Tuloksia ei löytynyt');
INSERT INTO `lang_definitions` VALUES (171481, 6612, 32, 'Ei hakutuloksia tähän hakuun');
INSERT INTO `lang_definitions` VALUES (171482, 6613, 32, 'Ei tuloksia, yritä uudestaan.');
INSERT INTO `lang_definitions` VALUES (171483, 6614, 32, 'Ei tuloksia, yritä uudestaan.');
INSERT INTO `lang_definitions` VALUES (171484, 6615, 32, 'Ei tuloksia, yritä uudestaan.');
INSERT INTO `lang_definitions` VALUES (171485, 6617, 32, 'Tälle moduulille ei ole asetuksia saatavilla');
INSERT INTO `lang_definitions` VALUES (171486, 6625, 32, 'Taulua ei ole valittu! Valitse taulu.');
INSERT INTO `lang_definitions` VALUES (171487, 6634, 32, 'Ei, peruuta');
INSERT INTO `lang_definitions` VALUES (171488, 6648, 32, 'Ei mitään');
INSERT INTO `lang_definitions` VALUES (171489, 6649, 32, 'ei mitään');
INSERT INTO `lang_definitions` VALUES (171490, 6650, 32, 'Ei mitään määriteltynä');
INSERT INTO `lang_definitions` VALUES (171491, 6652, 32, 'Ei mitään dokumentoituna');
INSERT INTO `lang_definitions` VALUES (171492, 6653, 32, 'Ei mikään ylläolevista');
INSERT INTO `lang_definitions` VALUES (171493, 6685, 32, 'Normaali');
INSERT INTO `lang_definitions` VALUES (171494, 6697, 32, 'normaali:');
INSERT INTO `lang_definitions` VALUES (171495, 6700, 32, 'Pohjoissaame');
INSERT INTO `lang_definitions` VALUES (171496, 6701, 32, 'Norja');
INSERT INTO `lang_definitions` VALUES (171497, 6703, 32, 'Kirjanorja');
INSERT INTO `lang_definitions` VALUES (171498, 6704, 32, 'Uusnorja');
INSERT INTO `lang_definitions` VALUES (171499, 6705, 32, 'Nenä');
INSERT INTO `lang_definitions` VALUES (171500, 6706, 32, 'Nenäverenvuoto');
INSERT INTO `lang_definitions` VALUES (171501, 6707, 32, 'ei kirjain tai numero');
INSERT INTO `lang_definitions` VALUES (171502, 6712, 32, 'Ei sallittu');
INSERT INTO `lang_definitions` VALUES (171503, 6713, 32, 'Administrators-ryhmän poistaminen ei ole sallittua');
INSERT INTO `lang_definitions` VALUES (171504, 6714, 32, 'Muokkaaminen ei ole sallittua');
INSERT INTO `lang_definitions` VALUES (171505, 6717, 32, 'Pääkäyttäjän poistaminen Administrators-ryhmästä ei ole sallittua');
INSERT INTO `lang_definitions` VALUES (171506, 6718, 32, 'Tämän käyttäjän poistaminen Administrators-ryhmästä ei ole sallittua');
INSERT INTO `lang_definitions` VALUES (171507, 6721, 32, 'Ei sallittu');
INSERT INTO `lang_definitions` VALUES (171508, 6722, 32, 'Ei sallittu');
INSERT INTO `lang_definitions` VALUES (171509, 6729, 32, 'Ei saatavilla');
INSERT INTO `lang_definitions` VALUES (171510, 6731, 32, 'Ei laskutettu');
INSERT INTO `lang_definitions` VALUES (171511, 6734, 32, 'Ei koodattu');
INSERT INTO `lang_definitions` VALUES (171512, 6738, 32, 'Ei tutkittu');
INSERT INTO `lang_definitions` VALUES (171513, 6739, 32, 'Ei tutkittu:');
INSERT INTO `lang_definitions` VALUES (171514, 6740, 32, 'Ei tutkittu:');
INSERT INTO `lang_definitions` VALUES (171515, 6742, 32, 'ei löytynyt');
INSERT INTO `lang_definitions` VALUES (171516, 6744, 32, 'ei löytynyt!');
INSERT INTO `lang_definitions` VALUES (171517, 6746, 32, 'Ei asennettu');
INSERT INTO `lang_definitions` VALUES (171518, 6747, 32, 'Ei asennettu');
INSERT INTO `lang_definitions` VALUES (171519, 6752, 32, 'Ei lähetetty');
INSERT INTO `lang_definitions` VALUES (171520, 6753, 32, 'Ei vielä lähetetty');
INSERT INTO `lang_definitions` VALUES (171521, 6754, 32, 'Ei määritetty');
INSERT INTO `lang_definitions` VALUES (171522, 6755, 32, 'Ei määritetty.');
INSERT INTO `lang_definitions` VALUES (171523, 6795, 32, 'Ei hyväksymistä odottavia');
INSERT INTO `lang_definitions` VALUES (171524, 6796, 32, 'Ei kirjauksia');
INSERT INTO `lang_definitions` VALUES (171525, 6820, 32, 'Marraskuu');
INSERT INTO `lang_definitions` VALUES (171526, 6821, 32, 'Marraskuu');
INSERT INTO `lang_definitions` VALUES (171527, 6886, 32, 'Ammatti');
INSERT INTO `lang_definitions` VALUES (171528, 6890, 32, 'Lokakuu');
INSERT INTO `lang_definitions` VALUES (171529, 6891, 32, 'Lokakuu');
INSERT INTO `lang_definitions` VALUES (171530, 6910, 32, 'Https-linkki ulkoiseen potilasportaaliin.');
INSERT INTO `lang_definitions` VALUES (171531, 6911, 32, 'Https-linkki ulkoiseen potilasportaaliin. (Potilaan linkki)');
INSERT INTO `lang_definitions` VALUES (171532, 6912, 32, 'Salasana ulkoiseen potilasportaaliin');
INSERT INTO `lang_definitions` VALUES (171533, 6913, 32, 'Salasana ulkoiseen potilasportaaliin (Jätä tyhjäksi jos ei rekisteröity).');
INSERT INTO `lang_definitions` VALUES (171534, 6916, 32, 'Ulkoisen potilasportaalin osoite');
INSERT INTO `lang_definitions` VALUES (171535, 6917, 32, 'Ulkoisen potilasportaalin osoite (Potilaan linkki)');
INSERT INTO `lang_definitions` VALUES (171536, 6918, 32, 'Ulkoisen potilasportaalin käyttäjätunnus');
INSERT INTO `lang_definitions` VALUES (171537, 6919, 32, 'Ulkoisen potilasportaalin käyttäjätunnus (Jätä tyhjäksi jos ei rekisteröity).');
INSERT INTO `lang_definitions` VALUES (171538, 6921, 32, 'Jälkikasvu');
INSERT INTO `lang_definitions` VALUES (171539, 6927, 32, 'OK');
INSERT INTO `lang_definitions` VALUES (171540, 6929, 32, 'Voidaanko tämä toinen ponnahdusikkuna sulkea?');
INSERT INTO `lang_definitions` VALUES (171541, 6931, 32, 'Vanha');
INSERT INTO `lang_definitions` VALUES (171542, 6933, 32, 'Vanhat asiakkaat');
INSERT INTO `lang_definitions` VALUES (171543, 6935, 32, 'Perinteinen ulkoasu ilman valikkoa vasemmalla');
INSERT INTO `lang_definitions` VALUES (171544, 6936, 32, 'Perinteinen staattinen lomake, ilman hakutoimintoa tai kaksoiskappaleen tarkistusta');
INSERT INTO `lang_definitions` VALUES (171545, 6937, 32, 'Vanhempi');
INSERT INTO `lang_definitions` VALUES (171546, 6940, 32, 'Ohita');
INSERT INTO `lang_definitions` VALUES (171547, 6943, 32, 'Ohita työnantajat');
INSERT INTO `lang_definitions` VALUES (171548, 6946, 32, 'Ohitetaanko sisäiset käyttäjät?');
INSERT INTO `lang_definitions` VALUES (171549, 6996, 32, 'Online-tuki');
INSERT INTO `lang_definitions` VALUES (171550, 6997, 32, 'Online-tuen linkki');
INSERT INTO `lang_definitions` VALUES (171551, 6999, 32, 'Vain aktiiviset');
INSERT INTO `lang_definitions` VALUES (171552, 7006, 32, 'Vain passiiviset');
INSERT INTO `lang_definitions` VALUES (171553, 7007, 32, 'Vain omat');
INSERT INTO `lang_definitions` VALUES (171554, 7030, 32, 'Hupsis!');
INSERT INTO `lang_definitions` VALUES (171555, 7031, 32, 'Avaa');
INSERT INTO `lang_definitions` VALUES (171556, 7040, 32, 'Avaa uudessa ikkunassa');
INSERT INTO `lang_definitions` VALUES (171557, 7042, 32, 'Avaa potilas');
INSERT INTO `lang_definitions` VALUES (171558, 7046, 32, 'Avaa tämän päivän käynnit');
INSERT INTO `lang_definitions` VALUES (171559, 7080, 32, 'OpenEMR on määritettävä käyttämään varmenteita ennen kuin se voi luoda asiakkaalle varmenteita.');
INSERT INTO `lang_definitions` VALUES (171560, 7084, 32, 'OpenEMR vaatii Javascriptiä käyttäjän tunnistautumiseen.');
INSERT INTO `lang_definitions` VALUES (171561, 7085, 32, 'OpenEMR käyttäjät');
INSERT INTO `lang_definitions` VALUES (171562, 7117, 32, 'TAI');
INSERT INTO `lang_definitions` VALUES (171563, 7118, 32, 'Tai');
INSERT INTO `lang_definitions` VALUES (171564, 7119, 32, 'tai valitse');
INSERT INTO `lang_definitions` VALUES (171565, 7120, 32, 'tai klikkaa ja vedä nopeampaa valintaa varten.');
INSERT INTO `lang_definitions` VALUES (171566, 7129, 32, 'Järjestys');
INSERT INTO `lang_definitions` VALUES (171567, 7193, 32, 'Muut');
INSERT INTO `lang_definitions` VALUES (171568, 7246, 32, 'Ylipaino');
INSERT INTO `lang_definitions` VALUES (171569, 7249, 32, 'Happisaturaatio');
INSERT INTO `lang_definitions` VALUES (171570, 7250, 32, 'unssi');
INSERT INTO `lang_definitions` VALUES (171571, 7260, 32, 'Sivu');
INSERT INTO `lang_definitions` VALUES (171572, 7263, 32, 'Sivua');
INSERT INTO `lang_definitions` VALUES (171573, 7264, 32, 'Maksettu');
INSERT INTO `lang_definitions` VALUES (171574, 7266, 32, 'Maksettu summa');
INSERT INTO `lang_definitions` VALUES (171575, 7267, 32, 'Maksukanava');
INSERT INTO `lang_definitions` VALUES (171576, 7268, 32, 'Kipu');
INSERT INTO `lang_definitions` VALUES (171577, 7276, 32, 'Paperi');
INSERT INTO `lang_definitions` VALUES (171578, 7277, 32, 'Paperikoko');
INSERT INTO `lang_definitions` VALUES (171579, 7301, 32, 'Salasana');
INSERT INTO `lang_definitions` VALUES (171580, 7302, 32, 'Salasanan vaihto');
INSERT INTO `lang_definitions` VALUES (171581, 7303, 32, 'Salasanan vaihto onnistui');
INSERT INTO `lang_definitions` VALUES (171582, 7304, 32, 'Salasanan vaihto onnistui.');
INSERT INTO `lang_definitions` VALUES (171583, 7306, 32, 'Salasana ei täytä sille asetettuja vähimmäisvaatimuksia. Salasanassa on oltava ainakin kolme seuraavista: numero, pieni kirjain, iso kirjain tai erikoismerkki (Ei numero eikä kirjain).');
INSERT INTO `lang_definitions` VALUES (171584, 7316, 32, 'Salasana on liian lyhyt. Siinä on oltava ainakin kahdeksan merkkiä.');
INSERT INTO `lang_definitions` VALUES (171585, 7319, 32, 'Salasana:');
INSERT INTO `lang_definitions` VALUES (171586, 7322, 32, 'Salasana ei täsmää!');
INSERT INTO `lang_definitions` VALUES (171587, 7324, 32, 'Aiemmat ajanvaraukset');
INSERT INTO `lang_definitions` VALUES (171588, 7325, 32, 'Aiempien ajanvarausten näyttövimpain');
INSERT INTO `lang_definitions` VALUES (171589, 7333, 32, 'Lista aiemmista käynneistä');
INSERT INTO `lang_definitions` VALUES (171590, 7334, 32, 'Aiemmat käynnit');
INSERT INTO `lang_definitions` VALUES (171591, 7335, 32, 'Aiemmat käynnit ja dokumentit');
INSERT INTO `lang_definitions` VALUES (171592, 7336, 32, 'Aiemmat käynnit potilaalle');
INSERT INTO `lang_definitions` VALUES (171593, 7345, 32, 'Liitä tuotava tieto alla olevaan tekstilaatikkoon:');
INSERT INTO `lang_definitions` VALUES (171594, 7355, 32, 'Polku tapahtumalokin varmuuskopioon');
INSERT INTO `lang_definitions` VALUES (171595, 7361, 32, 'Potilas');
INSERT INTO `lang_definitions` VALUES (171596, 7362, 32, 'POTILAS');
INSERT INTO `lang_definitions` VALUES (171597, 7363, 32, 'potilas');
INSERT INTO `lang_definitions` VALUES (171598, 7365, 32, 'Potilaan osoite');
INSERT INTO `lang_definitions` VALUES (171599, 7366, 32, 'Potilaan osoite puuttuu');
INSERT INTO `lang_definitions` VALUES (171600, 7369, 32, 'Potilaan allergiat');
INSERT INTO `lang_definitions` VALUES (171601, 7370, 32, 'Potilaan allergiat');
INSERT INTO `lang_definitions` VALUES (171602, 7383, 32, 'Potilaan kaupunki');
INSERT INTO `lang_definitions` VALUES (171603, 7384, 32, 'Potilaan kaupunki puuttuu');
INSERT INTO `lang_definitions` VALUES (171604, 7388, 32, 'Potilaan maa');
INSERT INTO `lang_definitions` VALUES (171605, 7389, 32, 'Potilaan maa puuttuu. Et ole myöskään asettanut oletusarvoa potilaan maalle yleisissä asetuksissa');
INSERT INTO `lang_definitions` VALUES (171606, 7396, 32, 'Potilaan syntymäaika puuttuu');
INSERT INTO `lang_definitions` VALUES (171607, 7402, 32, 'Potilaan syntymäaika');
INSERT INTO `lang_definitions` VALUES (171608, 7417, 32, 'Potilaan etunimi');
INSERT INTO `lang_definitions` VALUES (171609, 7419, 32, 'Potilaan etunimi puuttuu');
INSERT INTO `lang_definitions` VALUES (171610, 7424, 32, 'Potilaan sukupuoli');
INSERT INTO `lang_definitions` VALUES (171611, 7425, 32, 'Potilaan sukupuoli puuttuu');
INSERT INTO `lang_definitions` VALUES (171612, 7430, 32, 'Potilaan kotipuhelin');
INSERT INTO `lang_definitions` VALUES (171613, 7431, 32, 'Potilaan tunniste');
INSERT INTO `lang_definitions` VALUES (171614, 7432, 32, 'Potilaan tunniste');
INSERT INTO `lang_definitions` VALUES (171615, 7433, 32, 'Potilaan henkilökortti');
INSERT INTO `lang_definitions` VALUES (171616, 7447, 32, 'Potilaan sukunimi');
INSERT INTO `lang_definitions` VALUES (171617, 7449, 32, 'Potilaan sukunimi puuttuu');
INSERT INTO `lang_definitions` VALUES (171618, 7454, 32, 'Potilaslista');
INSERT INTO `lang_definitions` VALUES (171619, 7457, 32, 'Potilaslistaukset uuteen ikkunaan');
INSERT INTO `lang_definitions` VALUES (171620, 7458, 32, 'Potilaslistaussivun mitta');
INSERT INTO `lang_definitions` VALUES (171621, 7470, 32, 'Potilaan nimi');
INSERT INTO `lang_definitions` VALUES (171622, 7472, 32, 'Potilaan nimi ja osoite');
INSERT INTO `lang_definitions` VALUES (171623, 7475, 32, 'Potilaan nimi vaaditaan');
INSERT INTO `lang_definitions` VALUES (171624, 7482, 32, 'Potilasnumero');
INSERT INTO `lang_definitions` VALUES (171625, 7487, 32, 'Potilasportaali');
INSERT INTO `lang_definitions` VALUES (171626, 7492, 32, 'Potilasportaali on suljettu');
INSERT INTO `lang_definitions` VALUES (171627, 7493, 32, 'Potilasportaalin kirjautuminen');
INSERT INTO `lang_definitions` VALUES (171628, 7496, 32, 'Potilasportaalin www-osoite');
INSERT INTO `lang_definitions` VALUES (171629, 7500, 32, 'Potilastietojen pyyntö');
INSERT INTO `lang_definitions` VALUES (171630, 7501, 32, 'Potilastietojen pyyntö');
INSERT INTO `lang_definitions` VALUES (171631, 7503, 32, 'Muistutus potilaalle');
INSERT INTO `lang_definitions` VALUES (171632, 7510, 32, 'Muistutukset potilaille');
INSERT INTO `lang_definitions` VALUES (171633, 7525, 32, 'Potilashakutulosten tyyli');
INSERT INTO `lang_definitions` VALUES (171634, 7526, 32, 'Potilaiden haku / lisäys näkymä');
INSERT INTO `lang_definitions` VALUES (171635, 7550, 32, 'Potilas/asiakas');
INSERT INTO `lang_definitions` VALUES (171636, 7551, 32, 'Potilas:');
INSERT INTO `lang_definitions` VALUES (171637, 7552, 32, 'Potilastunniste');
INSERT INTO `lang_definitions` VALUES (171638, 7553, 32, 'Potilaat');
INSERT INTO `lang_definitions` VALUES (171639, 7559, 32, 'Maksu');
INSERT INTO `lang_definitions` VALUES (171640, 7563, 32, 'Maksupäivä:');
INSERT INTO `lang_definitions` VALUES (171641, 7566, 32, 'Maksun tila');
INSERT INTO `lang_definitions` VALUES (171642, 7567, 32, 'Maksun saajan nimi');
INSERT INTO `lang_definitions` VALUES (171643, 7568, 32, 'Maksaja');
INSERT INTO `lang_definitions` VALUES (171644, 7575, 32, 'Maksusuoritus');
INSERT INTO `lang_definitions` VALUES (171645, 7576, 32, 'maksusuoritus');
INSERT INTO `lang_definitions` VALUES (171646, 7579, 32, 'Maksettava summa');
INSERT INTO `lang_definitions` VALUES (171647, 7580, 32, 'Maksettavan summan tulee olla numeerinen');
INSERT INTO `lang_definitions` VALUES (171648, 7583, 32, 'Maksupäivä');
INSERT INTO `lang_definitions` VALUES (171649, 7585, 32, 'Maksaja');
INSERT INTO `lang_definitions` VALUES (171650, 7626, 32, 'Hyväksymistä odottavat');
INSERT INTO `lang_definitions` VALUES (171651, 7661, 32, 'Piste');
INSERT INTO `lang_definitions` VALUES (171652, 7670, 32, 'Farsi');
INSERT INTO `lang_definitions` VALUES (171653, 7693, 32, 'phiMail salasana');
INSERT INTO `lang_definitions` VALUES (171654, 7694, 32, 'phiMail palvelimen osoite');
INSERT INTO `lang_definitions` VALUES (171655, 7695, 32, 'phiMail käyttäjätunnus');
INSERT INTO `lang_definitions` VALUES (171656, 7697, 32, 'Puhelin');
INSERT INTO `lang_definitions` VALUES (171657, 7703, 32, 'Matkapuhelin');
INSERT INTO `lang_definitions` VALUES (171658, 7708, 32, 'Kotipuhelin');
INSERT INTO `lang_definitions` VALUES (171659, 7709, 32, 'Puhelinaika');
INSERT INTO `lang_definitions` VALUES (171660, 7710, 32, 'Puhelinnumero');
INSERT INTO `lang_definitions` VALUES (171661, 7711, 32, 'Puhelinnumero');
INSERT INTO `lang_definitions` VALUES (171662, 7717, 32, 'PHP pakattu');
INSERT INTO `lang_definitions` VALUES (171663, 7718, 32, 'PHP CURL moduulin pitäisi olla päällä palvelimellasi.');
INSERT INTO `lang_definitions` VALUES (171664, 7720, 32, 'PHP purettu');
INSERT INTO `lang_definitions` VALUES (171665, 7721, 32, 'PHP-gacl pääsynvalvonta ei ole päällä');
INSERT INTO `lang_definitions` VALUES (171666, 7722, 32, 'PHP-gacl ei asennettu');
INSERT INTO `lang_definitions` VALUES (171667, 7723, 32, 'Terveystarkastus');
INSERT INTO `lang_definitions` VALUES (171668, 7726, 32, 'Lääkärin allekirjoitus');
INSERT INTO `lang_definitions` VALUES (171669, 7729, 32, 'Lääkärit');
INSERT INTO `lang_definitions` VALUES (171670, 7733, 32, 'valitse');
INSERT INTO `lang_definitions` VALUES (171671, 7734, 32, 'Valitse');
INSERT INTO `lang_definitions` VALUES (171672, 7735, 32, 'Valitse CSS teema.');
INSERT INTO `lang_definitions` VALUES (171673, 7756, 32, 'Muotoilematon teksti');
INSERT INTO `lang_definitions` VALUES (171674, 7780, 32, 'Ota yhteyttä jos joku yllä olevista tiedoista on väärä');
INSERT INTO `lang_definitions` VALUES (171675, 7784, 32, 'Ole hyvä ja vaihda salasanasi.');
INSERT INTO `lang_definitions` VALUES (171676, 7785, 32, 'Ole hyvä ja valitse tiedosto');
INSERT INTO `lang_definitions` VALUES (171677, 7786, 32, 'Ole hyvä ja valitse potilas');
INSERT INTO `lang_definitions` VALUES (171678, 7789, 32, 'Ole hyvä ja valitse arvo kohteelle');
INSERT INTO `lang_definitions` VALUES (171679, 7790, 32, 'Ole hyvä ja valitse ensin aikajakso, klikkaa sitten Virkistä nähdäksesi tulokset.');
INSERT INTO `lang_definitions` VALUES (171680, 7795, 32, 'Ole hyvä ja sulje tämä ikkuna.');
INSERT INTO `lang_definitions` VALUES (171681, 7802, 32, 'Ole hyvä ja korjaa arvo(t) ennen jatkamista!');
INSERT INTO `lang_definitions` VALUES (171682, 7803, 32, 'Ole hyvä ja luo seuraava hakemisto ennen jatkamista');
INSERT INTO `lang_definitions` VALUES (171683, 7805, 32, 'Lääkemääräystä ei saa hyväksyä, mikäli sitä ei ole lähetetty faksilla.');
INSERT INTO `lang_definitions` VALUES (171684, 7806, 32, 'Lääkemääräystä ei saa hyväksyä, mikäli sitä ei ole lähetetty faksilla.');
INSERT INTO `lang_definitions` VALUES (171685, 7808, 32, 'OLE HYVÄ JA KÄYNNISTÄ CURL LAAJENNUS');
INSERT INTO `lang_definitions` VALUES (171686, 7809, 32, 'OLE HYVÄ JA KÄYNNISTÄ OPENSSL LAAJENNUS');
INSERT INTO `lang_definitions` VALUES (171687, 7810, 32, 'OLE HYVÄ JA KÄYNNISTÄ SOAP LAAJENNUS');
INSERT INTO `lang_definitions` VALUES (171688, 7811, 32, 'OLE HYVÄ JA KÄYNNISTÄ XML LAAJENNUS');
INSERT INTO `lang_definitions` VALUES (171689, 7814, 32, 'Ole hyvä ja anna päiväys.');
INSERT INTO `lang_definitions` VALUES (171690, 7818, 32, 'Ole hyvä ja kirjoita viesti');
INSERT INTO `lang_definitions` VALUES (171691, 7819, 32, 'Ole hyvä ja anna rahasumma käyttäen vain numeroita ja desimaalipistettä.');
INSERT INTO `lang_definitions` VALUES (171692, 7821, 32, 'Ole hyvä ja anna uusi salasana');
INSERT INTO `lang_definitions` VALUES (171693, 7829, 32, 'Ole hyvä ja anna päättymispäiväksi päivä, joka on aloituspäivän jälkeen!');
INSERT INTO `lang_definitions` VALUES (171694, 7832, 32, 'Ole hyvä ja anna uusi hakutermi');
INSERT INTO `lang_definitions` VALUES (171695, 7833, 32, 'Ole hyvä ja anna oikea uudelleentunnistautumiskoodi');
INSERT INTO `lang_definitions` VALUES (171696, 7834, 32, 'Ole hyvä ja anna salasana');
INSERT INTO `lang_definitions` VALUES (171697, 7843, 32, 'Ole hyvä ja anna shekin numero');
INSERT INTO `lang_definitions` VALUES (171698, 7844, 32, 'Ole hyvä ja anna viite-/shekinnumero');
INSERT INTO `lang_definitions` VALUES (171699, 7845, 32, 'Ole hyvä ja anna päiväys');
INSERT INTO `lang_definitions` VALUES (171700, 7846, 32, 'Ole hyvä ja anna maksettava summa');
INSERT INTO `lang_definitions` VALUES (171701, 7847, 32, 'Ole hyvä ja anna maksun luokka');
INSERT INTO `lang_definitions` VALUES (171702, 7848, 32, 'Ole hyvä ja anna maksajan tiedot');
INSERT INTO `lang_definitions` VALUES (171703, 7874, 32, 'Ole hyvä ja katso liitteenä oleva PDF.');
INSERT INTO `lang_definitions` VALUES (171704, 7875, 32, 'Ole hyvä ja valitse');
INSERT INTO `lang_definitions` VALUES (171705, 7877, 32, 'Ole hyvä ja valitse kieli');
INSERT INTO `lang_definitions` VALUES (171706, 7878, 32, 'Ole hyvä ja valitse potilas.');
INSERT INTO `lang_definitions` VALUES (171707, 7882, 32, 'Ole hyvä ja valitse vastaanottaja');
INSERT INTO `lang_definitions` VALUES (171708, 7884, 32, 'Ole hyvä ja valitse aloitus- ja lopetuspäivä');
INSERT INTO `lang_definitions` VALUES (171709, 7886, 32, 'Ole hyvä ja valitse aktiivinen ryhmä');
INSERT INTO `lang_definitions` VALUES (171710, 7889, 32, 'Ole hyvä ja valitse tapahtuma');
INSERT INTO `lang_definitions` VALUES (171711, 7894, 32, 'Ole hyvä ja valitse ainakin yksi lääkemääräys!');
INSERT INTO `lang_definitions` VALUES (171712, 7899, 32, 'Ole hyvä ja valitse haluamasi sivut kopioitavaksi tai edelleen lähetettäviksi:');
INSERT INTO `lang_definitions` VALUES (171713, 7900, 32, 'Ole hyvä ja valitse maksutapa');
INSERT INTO `lang_definitions` VALUES (171714, 7904, 32, 'Ole hyvä ja valitse käyntiluokka');
INSERT INTO `lang_definitions` VALUES (171715, 7906, 32, 'Ole hyvä ja aseta');
INSERT INTO `lang_definitions` VALUES (171716, 7952, 32, 'Puola');
INSERT INTO `lang_definitions` VALUES (171717, 7984, 32, 'Pysty');
INSERT INTO `lang_definitions` VALUES (171718, 7985, 32, 'Portugali');
INSERT INTO `lang_definitions` VALUES (171719, 7987, 32, 'Portugali (Brasilialainen)');
INSERT INTO `lang_definitions` VALUES (171720, 7988, 32, 'Portugali (Eurooppalainen)');
INSERT INTO `lang_definitions` VALUES (171721, 8012, 32, 'Postinumero');
INSERT INTO `lang_definitions` VALUES (171722, 8013, 32, 'Postinumero');
INSERT INTO `lang_definitions` VALUES (171723, 8032, 32, 'Voimanlähteenä');
INSERT INTO `lang_definitions` VALUES (171724, 8043, 32, 'Ennakkomaksu');
INSERT INTO `lang_definitions` VALUES (171725, 8044, 32, 'Ennakkomaksu');
INSERT INTO `lang_definitions` VALUES (171726, 8058, 32, 'Valmistaudutaan ajamaan raportti');
INSERT INTO `lang_definitions` VALUES (171727, 8059, 32, 'Ennakkomaksu');
INSERT INTO `lang_definitions` VALUES (171728, 8061, 32, 'Lääkemääräys');
INSERT INTO `lang_definitions` VALUES (171729, 8094, 32, 'Esikatsele tapahtumaa');
INSERT INTO `lang_definitions` VALUES (171730, 8105, 32, 'Hinta');
INSERT INTO `lang_definitions` VALUES (171731, 8113, 32, 'Hinnat');
INSERT INTO `lang_definitions` VALUES (171732, 8135, 32, 'Tulosta tyhjä lähetelomake');
INSERT INTO `lang_definitions` VALUES (171733, 8209, 32, 'Toimenpide');
INSERT INTO `lang_definitions` VALUES (171734, 8254, 32, 'Toimenpiteet');
INSERT INTO `lang_definitions` VALUES (171735, 8256, 32, 'Käsittele');
INSERT INTO `lang_definitions` VALUES (171736, 8257, 32, 'Käsittele ja lähetä muistutukset');
INSERT INTO `lang_definitions` VALUES (171737, 8261, 32, 'Käsittele muistutukset');
INSERT INTO `lang_definitions` VALUES (171738, 8262, 32, 'Käsittely vie hetken');
INSERT INTO `lang_definitions` VALUES (171739, 8263, 32, 'Käsitelty');
INSERT INTO `lang_definitions` VALUES (171740, 8264, 32, 'Käsittelijä');
INSERT INTO `lang_definitions` VALUES (171741, 8266, 32, 'käsitelty onnistuneesti');
INSERT INTO `lang_definitions` VALUES (171742, 8267, 32, 'Käsittelee');
INSERT INTO `lang_definitions` VALUES (171743, 8268, 32, 'Käsittelee ja lähettää muistutuksia potilaille');
INSERT INTO `lang_definitions` VALUES (171744, 8271, 32, 'Käsittelee potilaiden muistutuksia');
INSERT INTO `lang_definitions` VALUES (171745, 8272, 32, 'Käsittelyaika');
INSERT INTO `lang_definitions` VALUES (171746, 8318, 32, 'Hoitava lääkäri');
INSERT INTO `lang_definitions` VALUES (171747, 8322, 32, 'SV numero');
INSERT INTO `lang_definitions` VALUES (171748, 8323, 32, 'SV numero');
INSERT INTO `lang_definitions` VALUES (171749, 8330, 32, 'SV numero');
INSERT INTO `lang_definitions` VALUES (171750, 8336, 32, 'Lääkäri');
INSERT INTO `lang_definitions` VALUES (171751, 8337, 32, 'Lääkärit');
INSERT INTO `lang_definitions` VALUES (171752, 8339, 32, 'Lääkärit näkevät koko kalenterin');
INSERT INTO `lang_definitions` VALUES (171753, 8370, 32, 'PT_CITY');
INSERT INTO `lang_definitions` VALUES (171754, 8371, 32, 'PT_DOB');
INSERT INTO `lang_definitions` VALUES (171755, 8372, 32, 'PT_EMAIL');
INSERT INTO `lang_definitions` VALUES (171756, 8373, 32, 'PT_FNAME');
INSERT INTO `lang_definitions` VALUES (171757, 8374, 32, 'PT_LNAME');
INSERT INTO `lang_definitions` VALUES (171758, 8375, 32, 'PT_MNAME');
INSERT INTO `lang_definitions` VALUES (171759, 8376, 32, 'PT_PHONE_CELL');
INSERT INTO `lang_definitions` VALUES (171760, 8377, 32, 'PT_PHONE_HOME');
INSERT INTO `lang_definitions` VALUES (171761, 8378, 32, 'PT_POSTAL');
INSERT INTO `lang_definitions` VALUES (171762, 8379, 32, 'PT_SSN');
INSERT INTO `lang_definitions` VALUES (171763, 8380, 32, 'PT_STATE');
INSERT INTO `lang_definitions` VALUES (171764, 8381, 32, 'PT_STREET');
INSERT INTO `lang_definitions` VALUES (171765, 8383, 32, 'Julkinen');
INSERT INTO `lang_definitions` VALUES (171766, 8387, 32, 'Julkinen terveydenhuolto tai muu julkispalvelu');
INSERT INTO `lang_definitions` VALUES (171767, 8398, 32, 'Pulssi');
INSERT INTO `lang_definitions` VALUES (171768, 8421, 32, 'Laatu');
INSERT INTO `lang_definitions` VALUES (171769, 8422, 32, 'Laatumittarit');
INSERT INTO `lang_definitions` VALUES (171770, 8423, 32, 'Määrä');
INSERT INTO `lang_definitions` VALUES (171771, 8442, 32, 'Lopettanut');
INSERT INTO `lang_definitions` VALUES (171772, 8445, 32, 'R');
INSERT INTO `lang_definitions` VALUES (171773, 8452, 32, 'Rotu');
INSERT INTO `lang_definitions` VALUES (171774, 8453, 32, 'Rotu ja etnisyys');
INSERT INTO `lang_definitions` VALUES (171775, 8454, 32, 'Rotu/Etnisyys');
INSERT INTO `lang_definitions` VALUES (171776, 8456, 32, 'Radio');
INSERT INTO `lang_definitions` VALUES (171777, 8457, 32, 'Radiopainikkeet');
INSERT INTO `lang_definitions` VALUES (171778, 8463, 32, 'Ihottumat');
INSERT INTO `lang_definitions` VALUES (171779, 8475, 32, 'Uudelleen tunnistautuminen');
INSERT INTO `lang_definitions` VALUES (171780, 8476, 32, 'Uudelleentunnistautumisprosessi on valmis');
INSERT INTO `lang_definitions` VALUES (171781, 8477, 32, 'Uudelleentunnistautumisprosessi on käynnissä');
INSERT INTO `lang_definitions` VALUES (171782, 8489, 32, 'Lue');
INSERT INTO `lang_definitions` VALUES (171783, 8496, 32, 'Oikea nimi');
INSERT INTO `lang_definitions` VALUES (171784, 8498, 32, 'Syy');
INSERT INTO `lang_definitions` VALUES (171785, 8499, 32, 'Kuolinsyy');
INSERT INTO `lang_definitions` VALUES (171786, 8500, 32, 'Kuolinsyy');
INSERT INTO `lang_definitions` VALUES (171787, 8504, 32, 'Käynnin syy');
INSERT INTO `lang_definitions` VALUES (171788, 8521, 32, 'Kuitti');
INSERT INTO `lang_definitions` VALUES (171789, 8522, 32, 'Kuitti maksusta');
INSERT INTO `lang_definitions` VALUES (171790, 8523, 32, 'Kuitti luotu');
INSERT INTO `lang_definitions` VALUES (171791, 8526, 32, 'Vastaanotettu');
INSERT INTO `lang_definitions` VALUES (171792, 8527, 32, 'Vastaanottaja');
INSERT INTO `lang_definitions` VALUES (171793, 8528, 32, 'Vastaanotetut faxit');
INSERT INTO `lang_definitions` VALUES (171794, 8542, 32, 'Vastaanottaja');
INSERT INTO `lang_definitions` VALUES (171795, 8543, 32, 'Vastaanottajien lista on tyhjä');
INSERT INTO `lang_definitions` VALUES (171796, 8544, 32, 'Vastaanottajan nimi');
INSERT INTO `lang_definitions` VALUES (171797, 8549, 32, 'Suositus');
INSERT INTO `lang_definitions` VALUES (171798, 8552, 32, 'Suositukset');
INSERT INTO `lang_definitions` VALUES (171799, 8553, 32, 'Suositukset ja hoidot');
INSERT INTO `lang_definitions` VALUES (171800, 8554, 32, 'Erikoislääkärin suositukset');
INSERT INTO `lang_definitions` VALUES (171801, 8603, 32, 'Lähettävän lääkärin kiireellisyysluokitus');
INSERT INTO `lang_definitions` VALUES (171802, 8605, 32, 'Lähettämisen syy');
INSERT INTO `lang_definitions` VALUES (171803, 8610, 32, 'Lähete');
INSERT INTO `lang_definitions` VALUES (171804, 8611, 32, 'Lähetteen antaja');
INSERT INTO `lang_definitions` VALUES (171805, 8613, 32, 'Lähetteen päiväys');
INSERT INTO `lang_definitions` VALUES (171806, 8614, 32, 'Lähete');
INSERT INTO `lang_definitions` VALUES (171807, 8615, 32, 'LÄHETE');
INSERT INTO `lang_definitions` VALUES (171808, 8616, 32, 'Lähetteen tunniste');
INSERT INTO `lang_definitions` VALUES (171809, 8622, 32, 'Lähetteet');
INSERT INTO `lang_definitions` VALUES (171810, 8635, 32, 'Lähettävä lääkäri');
INSERT INTO `lang_definitions` VALUES (171811, 8645, 32, 'Virkistä');
INSERT INTO `lang_definitions` VALUES (171812, 8648, 32, 'Virkistää muistutuksia');
INSERT INTO `lang_definitions` VALUES (171813, 8655, 32, 'Rekisteröidy');
INSERT INTO `lang_definitions` VALUES (171814, 8656, 32, 'rekisteröidy');
INSERT INTO `lang_definitions` VALUES (171815, 8662, 32, 'Rekisteröidyt');
INSERT INTO `lang_definitions` VALUES (171816, 8663, 32, 'rekisteröidyt');
INSERT INTO `lang_definitions` VALUES (171817, 8666, 32, 'Rekisteröidyt moduulit');
INSERT INTO `lang_definitions` VALUES (171818, 8672, 32, 'Kuntoutus');
INSERT INTO `lang_definitions` VALUES (171819, 8674, 32, 'Hylätty');
INSERT INTO `lang_definitions` VALUES (171820, 8684, 32, 'Sukulaiset');
INSERT INTO `lang_definitions` VALUES (171821, 8712, 32, 'Muistutus');
INSERT INTO `lang_definitions` VALUES (171822, 8715, 32, 'Muistutuksen aikavälit');
INSERT INTO `lang_definitions` VALUES (171823, 8716, 32, 'Muistututusta ei vielä lähetetty');
INSERT INTO `lang_definitions` VALUES (171824, 8720, 32, 'Muistutus lähetetty');
INSERT INTO `lang_definitions` VALUES (171825, 8725, 32, 'Muistutukset');
INSERT INTO `lang_definitions` VALUES (171826, 8729, 32, 'Poista');
INSERT INTO `lang_definitions` VALUES (171827, 8733, 32, 'Poista ryhmä');
INSERT INTO `lang_definitions` VALUES (171828, 8738, 32, 'Poistaa tuen rokotuksille');
INSERT INTO `lang_definitions` VALUES (171829, 8739, 32, 'Poistaa phpMyAdmin-tuen');
INSERT INTO `lang_definitions` VALUES (171830, 8740, 32, 'Poistaa tuen lääkemääräyksille');
INSERT INTO `lang_definitions` VALUES (171831, 8744, 32, 'Nimeä uudelleen');
INSERT INTO `lang_definitions` VALUES (171832, 8745, 32, 'Nimeä ryhmä uudelleen');
INSERT INTO `lang_definitions` VALUES (171833, 8756, 32, 'Toista uusi salasana');
INSERT INTO `lang_definitions` VALUES (171834, 8758, 32, 'Toistaa tapahtuman');
INSERT INTO `lang_definitions` VALUES (171835, 8759, 32, 'Toistaa tiedon:');
INSERT INTO `lang_definitions` VALUES (171836, 8760, 32, 'Toistot:');
INSERT INTO `lang_definitions` VALUES (171837, 8761, 32, 'KORVAA');
INSERT INTO `lang_definitions` VALUES (171838, 8766, 32, 'korvattu');
INSERT INTO `lang_definitions` VALUES (171839, 8771, 32, 'Vastauksen päiväys');
INSERT INTO `lang_definitions` VALUES (171840, 8772, 32, 'Vastauksen lähettäjä');
INSERT INTO `lang_definitions` VALUES (171841, 8774, 32, 'Raportti');
INSERT INTO `lang_definitions` VALUES (171842, 8776, 32, 'Raportti – Kliininen');
INSERT INTO `lang_definitions` VALUES (171843, 8779, 32, 'Raportin tekijä');
INSERT INTO `lang_definitions` VALUES (171844, 8783, 32, 'Raportti on lähetetty potilaalle.');
INSERT INTO `lang_definitions` VALUES (171845, 8789, 32, 'Raportin tila');
INSERT INTO `lang_definitions` VALUES (171846, 8795, 32, 'Raportoitu');
INSERT INTO `lang_definitions` VALUES (171847, 8797, 32, 'Raportit');
INSERT INTO `lang_definitions` VALUES (171848, 8819, 32, 'Vaaditaan vahva salasana');
INSERT INTO `lang_definitions` VALUES (171849, 8820, 32, 'Vaaditaan uniikki salasana');
INSERT INTO `lang_definitions` VALUES (171850, 8821, 32, 'Vaadittu');
INSERT INTO `lang_definitions` VALUES (171851, 8823, 32, 'Vaaditaan omavastuu');
INSERT INTO `lang_definitions` VALUES (171852, 8825, 32, 'Vaadittu kenttä puuttuu: Anna etunimi');
INSERT INTO `lang_definitions` VALUES (171853, 8826, 32, 'Vaadittu kenttä puuttuu: Anna sukunimi');
INSERT INTO `lang_definitions` VALUES (171854, 8827, 32, 'Vaadittu kenttä puuttuu: Anna käyttäjätunnus');
INSERT INTO `lang_definitions` VALUES (171855, 8828, 32, 'Vaaditut kentät');
INSERT INTO `lang_definitions` VALUES (171856, 8829, 32, 'Vaatimukset');
INSERT INTO `lang_definitions` VALUES (171857, 8838, 32, 'Palauta');
INSERT INTO `lang_definitions` VALUES (171858, 8879, 32, 'Tuloksia sivulla');
INSERT INTO `lang_definitions` VALUES (171859, 8890, 32, 'Palaa kalenteriin');
INSERT INTO `lang_definitions` VALUES (171860, 8928, 32, 'Oikea');
INSERT INTO `lang_definitions` VALUES (171861, 8931, 32, 'Oikea korva');
INSERT INTO `lang_definitions` VALUES (171862, 8932, 32, 'oikea korva');
INSERT INTO `lang_definitions` VALUES (171863, 8936, 32, 'Oikea marginaali (mm)');
INSERT INTO `lang_definitions` VALUES (171864, 8940, 32, 'Oikea:');
INSERT INTO `lang_definitions` VALUES (171865, 8944, 32, 'Riskitekijät');
INSERT INTO `lang_definitions` VALUES (171866, 8969, 32, 'Rivit');
INSERT INTO `lang_definitions` VALUES (171867, 8992, 32, 'Venäjä');
INSERT INTO `lang_definitions` VALUES (171868, 9029, 32, 'Sotu');
INSERT INTO `lang_definitions` VALUES (171869, 9034, 32, 'Myynti');
INSERT INTO `lang_definitions` VALUES (171870, 9035, 32, 'Myynnit');
INSERT INTO `lang_definitions` VALUES (171871, 9036, 32, 'Myynnit tuotteittain');
INSERT INTO `lang_definitions` VALUES (171872, 9041, 32, 'Näyte');
INSERT INTO `lang_definitions` VALUES (171873, 9047, 32, 'La');
INSERT INTO `lang_definitions` VALUES (171874, 9048, 32, 'La & Su');
INSERT INTO `lang_definitions` VALUES (171875, 9049, 32, 'Lauantai');
INSERT INTO `lang_definitions` VALUES (171876, 9050, 32, 'Tallenna');
INSERT INTO `lang_definitions` VALUES (171877, 9051, 32, 'TALLENNA');
INSERT INTO `lang_definitions` VALUES (171878, 9055, 32, 'Tallenna ja sulje');
INSERT INTO `lang_definitions` VALUES (171879, 9057, 32, 'Tallenna ja poista pyyntö');
INSERT INTO `lang_definitions` VALUES (171880, 9061, 32, 'Tallenna uutena');
INSERT INTO `lang_definitions` VALUES (171881, 9067, 32, 'Tallenna muutokset');
INSERT INTO `lang_definitions` VALUES (171882, 9075, 32, 'Tallenna lomake');
INSERT INTO `lang_definitions` VALUES (171883, 9078, 32, 'Tallenna uusi kenttä');
INSERT INTO `lang_definitions` VALUES (171884, 9079, 32, 'Tallenna uusi ryhmä');
INSERT INTO `lang_definitions` VALUES (171885, 9080, 32, 'Tallenna uusi lista');
INSERT INTO `lang_definitions` VALUES (171886, 9081, 32, 'Tallenna uusi malli');
INSERT INTO `lang_definitions` VALUES (171887, 9090, 32, 'Tallennus onnistui');
INSERT INTO `lang_definitions` VALUES (171888, 9141, 32, 'Hae');
INSERT INTO `lang_definitions` VALUES (171889, 9143, 32, 'hae');
INSERT INTO `lang_definitions` VALUES (171890, 9144, 32, 'hae uudestaan');
INSERT INTO `lang_definitions` VALUES (171891, 9145, 32, 'Hae kaikista sarakkeista');
INSERT INTO `lang_definitions` VALUES (171892, 9150, 32, 'Hae termillä:');
INSERT INTO `lang_definitions` VALUES (171893, 9158, 32, 'Hae kohteesta');
INSERT INTO `lang_definitions` VALUES (171894, 9159, 32, 'Hae kohteesta');
INSERT INTO `lang_definitions` VALUES (171895, 9161, 32, 'Hae tai lisää potilas');
INSERT INTO `lang_definitions` VALUES (171896, 9164, 32, 'Hae maksu');
INSERT INTO `lang_definitions` VALUES (171897, 9167, 32, 'Hae tulokset');
INSERT INTO `lang_definitions` VALUES (171898, 9168, 32, 'Hae tulokset:');
INSERT INTO `lang_definitions` VALUES (171899, 9175, 32, 'Hae tapahtumia');
INSERT INTO `lang_definitions` VALUES (171900, 9178, 32, 'Hae/Lisää');
INSERT INTO `lang_definitions` VALUES (171901, 9179, 32, 'Hae/Lisää vakuuttaja');
INSERT INTO `lang_definitions` VALUES (171902, 9181, 32, 'Tapaamisten haku');
INSERT INTO `lang_definitions` VALUES (171903, 9182, 32, 'Hakee…');
INSERT INTO `lang_definitions` VALUES (171904, 9184, 32, 'Turvavyön käyttö');
INSERT INTO `lang_definitions` VALUES (171905, 9185, 32, 'Turvavyön käyttö');
INSERT INTO `lang_definitions` VALUES (171906, 9186, 32, 'Toinen');
INSERT INTO `lang_definitions` VALUES (171907, 9189, 32, 'Toissijainen');
INSERT INTO `lang_definitions` VALUES (171908, 9191, 32, 'Toissijainen vakuutus');
INSERT INTO `lang_definitions` VALUES (171909, 9193, 32, 'Toissijainen vakuutusyhtiö');
INSERT INTO `lang_definitions` VALUES (171910, 9208, 32, 'Näytä kaikki');
INSERT INTO `lang_definitions` VALUES (171911, 9224, 32, 'valitse');
INSERT INTO `lang_definitions` VALUES (171912, 9225, 32, 'Valitse');
INSERT INTO `lang_definitions` VALUES (171913, 9236, 32, 'Valitse käyttäjä');
INSERT INTO `lang_definitions` VALUES (171914, 9239, 32, 'Valitse kaikki');
INSERT INTO `lang_definitions` VALUES (171915, 9250, 32, 'Valitse luokka');
INSERT INTO `lang_definitions` VALUES (171916, 9257, 32, 'Valitse CSV taulu');
INSERT INTO `lang_definitions` VALUES (171917, 9262, 32, 'Valitse päivä');
INSERT INTO `lang_definitions` VALUES (171918, 9271, 32, 'Valitse lääke');
INSERT INTO `lang_definitions` VALUES (171919, 9272, 32, 'Valitse lääkkeet');
INSERT INTO `lang_definitions` VALUES (171920, 9276, 32, 'Valitse kenttä');
INSERT INTO `lang_definitions` VALUES (171921, 9278, 32, 'Valitse kentät');
INSERT INTO `lang_definitions` VALUES (171922, 9279, 32, 'Valitse tulostettavaksi');
INSERT INTO `lang_definitions` VALUES (171923, 9291, 32, 'Valitse kieli');
INSERT INTO `lang_definitions` VALUES (171924, 9299, 32, 'Valitse yksi tai useampi tiedosto ladattavaksi');
INSERT INTO `lang_definitions` VALUES (171925, 9314, 32, 'Valitse lähde');
INSERT INTO `lang_definitions` VALUES (171926, 9317, 32, 'Valitse malli');
INSERT INTO `lang_definitions` VALUES (171927, 9338, 32, 'Valitse käyttäjä');
INSERT INTO `lang_definitions` VALUES (171928, 9340, 32, 'Valitse käyttäjät pudotusvalikosta');
INSERT INTO `lang_definitions` VALUES (171929, 9341, 32, 'Valitse kielet, jos mitkään, valittavaksi kirjautumisessa. Tarpeellinen vain jos \"Kaikki kielet sallittu\" ei ole päällä.');
INSERT INTO `lang_definitions` VALUES (171930, 9349, 32, 'Valitut');
INSERT INTO `lang_definitions` VALUES (171931, 9350, 32, 'Valittu käynti');
INSERT INTO `lang_definitions` VALUES (171932, 9360, 32, 'Lähetä');
INSERT INTO `lang_definitions` VALUES (171933, 9361, 32, 'Lähetä päivätty muistutus');
INSERT INTO `lang_definitions` VALUES (171934, 9362, 32, 'Lähetä muistutus');
INSERT INTO `lang_definitions` VALUES (171935, 9369, 32, 'Lähetys käynnissä');
INSERT INTO `lang_definitions` VALUES (171936, 9372, 32, 'Lähetä viesti');
INSERT INTO `lang_definitions` VALUES (171937, 9384, 32, 'Lähetä tämä tiedosto');
INSERT INTO `lang_definitions` VALUES (171938, 9385, 32, 'Lähetä tämä viesti');
INSERT INTO `lang_definitions` VALUES (171939, 9386, 32, 'Lähetä kohteelle');
INSERT INTO `lang_definitions` VALUES (171940, 9389, 32, 'Lähetä kaikille');
INSERT INTO `lang_definitions` VALUES (171941, 9392, 32, 'Lähetä portaaliin');
INSERT INTO `lang_definitions` VALUES (171942, 9393, 32, 'Lähetä portaaliin');
INSERT INTO `lang_definitions` VALUES (171943, 9395, 32, 'Lähettäjä');
INSERT INTO `lang_definitions` VALUES (171944, 9396, 32, 'Lähettäjän tunniste');
INSERT INTO `lang_definitions` VALUES (171945, 9397, 32, 'Lähettäjän tunniste (ISA06)');
INSERT INTO `lang_definitions` VALUES (171946, 9399, 32, 'Lähettäjän tunnisteet');
INSERT INTO `lang_definitions` VALUES (171947, 9413, 32, 'Lähetetty');
INSERT INTO `lang_definitions` VALUES (171948, 9414, 32, 'Lähetetty - Varmistettu');
INSERT INTO `lang_definitions` VALUES (171949, 9416, 32, 'Lähettäjä:');
INSERT INTO `lang_definitions` VALUES (171950, 9417, 32, 'Lähetyspäivä');
INSERT INTO `lang_definitions` VALUES (171951, 9418, 32, 'Lähetetyt');
INSERT INTO `lang_definitions` VALUES (171952, 9420, 32, 'Lähetys onnistui');
INSERT INTO `lang_definitions` VALUES (171953, 9423, 32, 'lähetetty tulostimelle.');
INSERT INTO `lang_definitions` VALUES (171954, 9425, 32, 'Vastaanottaja:');
INSERT INTO `lang_definitions` VALUES (171955, 9426, 32, 'Lähetetty, mutta toimitusta ei vielä varmistettu.');
INSERT INTO `lang_definitions` VALUES (171956, 9427, 32, 'Lähetetty, ei vastaanotettu');
INSERT INTO `lang_definitions` VALUES (171957, 9429, 32, 'Syyskuu');
INSERT INTO `lang_definitions` VALUES (171958, 9430, 32, 'Eronnut');
INSERT INTO `lang_definitions` VALUES (171959, 9431, 32, 'Syyskuu');
INSERT INTO `lang_definitions` VALUES (171960, 9498, 32, 'Sukupuoli');
INSERT INTO `lang_definitions` VALUES (171961, 9499, 32, 'Sukupuolitauti');
INSERT INTO `lang_definitions` VALUES (171962, 9507, 32, 'Lyhyt kuvaus');
INSERT INTO `lang_definitions` VALUES (171963, 9523, 32, 'Näytä');
INSERT INTO `lang_definitions` VALUES (171964, 9524, 32, 'Näytä aktiiviset');
INSERT INTO `lang_definitions` VALUES (171965, 9527, 32, 'Näytä kaikki');
INSERT INTO `lang_definitions` VALUES (171966, 9532, 32, 'Näytä varatut');
INSERT INTO `lang_definitions` VALUES (171967, 9534, 32, 'Näytä vapaat ajat');
INSERT INTO `lang_definitions` VALUES (171968, 9535, 32, 'Näytä sekä imperial- että metrijärjestelmä (oletus metri)');
INSERT INTO `lang_definitions` VALUES (171969, 9536, 32, 'Näytä sekä imperial- että metrijärjestelmä (oletus Imperial)');
INSERT INTO `lang_definitions` VALUES (171970, 9540, 32, 'Näytä yksityiskohdat');
INSERT INTO `lang_definitions` VALUES (171971, 9542, 32, 'Näytä vain virheet');
INSERT INTO `lang_definitions` VALUES (171972, 9548, 32, 'Näytä passiiviset');
INSERT INTO `lang_definitions` VALUES (171973, 9552, 32, 'Näytä valikko');
INSERT INTO `lang_definitions` VALUES (171974, 9553, 32, 'Näytä vain metrijärjestelmä');
INSERT INTO `lang_definitions` VALUES (171975, 9556, 32, 'Näytä merkinnät');
INSERT INTO `lang_definitions` VALUES (171976, 9561, 32, 'Näytä potilasmerkinnät');
INSERT INTO `lang_definitions` VALUES (171977, 9562, 32, 'Näytä paunat ja unssit');
INSERT INTO `lang_definitions` VALUES (171978, 9563, 32, 'Näytä paunat desimaaleina');
INSERT INTO `lang_definitions` VALUES (171979, 9568, 32, 'Näytä muistutukset');
INSERT INTO `lang_definitions` VALUES (171980, 9569, 32, 'Näytä raportti');
INSERT INTO `lang_definitions` VALUES (171981, 9580, 32, 'Näytä vain laskuttamattomat');
INSERT INTO `lang_definitions` VALUES (171982, 9585, 32, 'Näytetään');
INSERT INTO `lang_definitions` VALUES (171983, 9589, 32, 'Näytetään tulokset');
INSERT INTO `lang_definitions` VALUES (171984, 9595, 32, 'Sisarukset');
INSERT INTO `lang_definitions` VALUES (171985, 9615, 32, 'Yksinkertaistettu');
INSERT INTO `lang_definitions` VALUES (171986, 9616, 32, 'Yksinkertaistettu omavastuu');
INSERT INTO `lang_definitions` VALUES (171987, 9617, 32, 'Yksinkertaistettu demografia');
INSERT INTO `lang_definitions` VALUES (171988, 9618, 32, 'Yksinkertaistetut lääkemääräykset');
INSERT INTO `lang_definitions` VALUES (171989, 9620, 32, 'Terveisin,');
INSERT INTO `lang_definitions` VALUES (171990, 9622, 32, 'Naimaton');
INSERT INTO `lang_definitions` VALUES (171991, 9650, 32, 'Iho');
INSERT INTO `lang_definitions` VALUES (171992, 9651, 32, 'Ihosyöpä');
INSERT INTO `lang_definitions` VALUES (171993, 9652, 32, 'Ihotauti');
INSERT INTO `lang_definitions` VALUES (171994, 9680, 32, 'SMS Luoja');
INSERT INTO `lang_definitions` VALUES (171995, 9694, 32, 'SMS lähetetty');
INSERT INTO `lang_definitions` VALUES (171996, 9733, 32, 'Somali');
INSERT INTO `lang_definitions` VALUES (171997, 9779, 32, 'Lähde');
INSERT INTO `lang_definitions` VALUES (171998, 9789, 32, 'Lähde');
INSERT INTO `lang_definitions` VALUES (171999, 9792, 32, 'Välilyönti');
INSERT INTO `lang_definitions` VALUES (172000, 9795, 32, 'Espanja');
INSERT INTO `lang_definitions` VALUES (172001, 9796, 32, 'Espanja (Latinalais-amerikkalainen)');
INSERT INTO `lang_definitions` VALUES (172002, 9797, 32, 'Espanja (Espanja)');
INSERT INTO `lang_definitions` VALUES (172003, 9832, 32, 'Puoliso');
INSERT INTO `lang_definitions` VALUES (172004, 9833, 32, 'Puolison historia');
INSERT INTO `lang_definitions` VALUES (172005, 9849, 32, 'Sotu');
INSERT INTO `lang_definitions` VALUES (172006, 9851, 32, 'Sotu');
INSERT INTO `lang_definitions` VALUES (172007, 9911, 32, 'Tila');
INSERT INTO `lang_definitions` VALUES (172008, 9916, 32, 'Vallitseva tila');
INSERT INTO `lang_definitions` VALUES (172009, 9965, 32, 'Alikategoria');
INSERT INTO `lang_definitions` VALUES (172010, 9966, 32, 'Välisumma');
INSERT INTO `lang_definitions` VALUES (172011, 9967, 32, 'Alikategoria');
INSERT INTO `lang_definitions` VALUES (172012, 9968, 32, 'alikategoria');
INSERT INTO `lang_definitions` VALUES (172013, 9970, 32, 'Aihe');
INSERT INTO `lang_definitions` VALUES (172014, 9971, 32, 'Tulosyy');
INSERT INTO `lang_definitions` VALUES (172015, 9974, 32, 'Lähetä');
INSERT INTO `lang_definitions` VALUES (172016, 9975, 32, 'lähetä');
INSERT INTO `lang_definitions` VALUES (172017, 9976, 32, 'Lähetä koko sisältö');
INSERT INTO `lang_definitions` VALUES (172018, 9977, 32, 'Lähetä ja poista pyyntö');
INSERT INTO `lang_definitions` VALUES (172019, 9979, 32, 'Lähetä tapahtuma');
INSERT INTO `lang_definitions` VALUES (172020, 9980, 32, 'lähetä lomake');
INSERT INTO `lang_definitions` VALUES (172021, 9984, 32, 'lähetetty');
INSERT INTO `lang_definitions` VALUES (172022, 9985, 32, 'Lähettäjä');
INSERT INTO `lang_definitions` VALUES (172023, 9987, 32, 'Tilaaja');
INSERT INTO `lang_definitions` VALUES (172024, 9988, 32, 'Tilaajan osoite');
INSERT INTO `lang_definitions` VALUES (172025, 10051, 32, 'Yhteenveto');
INSERT INTO `lang_definitions` VALUES (172026, 10058, 32, 'Su');
INSERT INTO `lang_definitions` VALUES (172027, 10059, 32, 'Sunda');
INSERT INTO `lang_definitions` VALUES (172028, 10060, 32, 'Sunnuntai');
INSERT INTO `lang_definitions` VALUES (172029, 10103, 32, 'Ruotsi');
INSERT INTO `lang_definitions` VALUES (172030, 10111, 32, 'Synkronoi');
INSERT INTO `lang_definitions` VALUES (172031, 10133, 32, 'Taulu');
INSERT INTO `lang_definitions` VALUES (172032, 10137, 32, 'Taulun luominen epäonnistui');
INSERT INTO `lang_definitions` VALUES (172033, 10138, 32, 'Taulun päivitys epäonnistui');
INSERT INTO `lang_definitions` VALUES (172034, 10139, 32, 'Taulut');
INSERT INTO `lang_definitions` VALUES (172035, 10157, 32, 'Korkea navigaatiopalkki');
INSERT INTO `lang_definitions` VALUES (172036, 10171, 32, 'Tataari');
INSERT INTO `lang_definitions` VALUES (172037, 10189, 32, 'Puhelimen maakoodi');
INSERT INTO `lang_definitions` VALUES (172038, 10192, 32, 'Lämpö');
INSERT INTO `lang_definitions` VALUES (172039, 10193, 32, 'Mittauspaikka');
INSERT INTO `lang_definitions` VALUES (172040, 10194, 32, 'Mittaustapa');
INSERT INTO `lang_definitions` VALUES (172041, 10196, 32, 'Lämpö');
INSERT INTO `lang_definitions` VALUES (172042, 10197, 32, 'Malline');
INSERT INTO `lang_definitions` VALUES (172043, 10198, 32, 'Mallinteen nimi');
INSERT INTO `lang_definitions` VALUES (172044, 10199, 32, 'Mallinteiden nimet eivät voi alkaa numeroilla.');
INSERT INTO `lang_definitions` VALUES (172045, 10201, 32, 'Malline:');
INSERT INTO `lang_definitions` VALUES (172046, 10202, 32, 'Mallinteet');
INSERT INTO `lang_definitions` VALUES (172047, 10223, 32, 'Teksti');
INSERT INTO `lang_definitions` VALUES (172048, 10224, 32, 'Diagnoositeksi');
INSERT INTO `lang_definitions` VALUES (172049, 10225, 32, 'Tekstikenttä');
INSERT INTO `lang_definitions` VALUES (172050, 10235, 32, 'Tekstialue');
INSERT INTO `lang_definitions` VALUES (172051, 10236, 32, 'tekstialue');
INSERT INTO `lang_definitions` VALUES (172052, 10237, 32, 'Tekstilaatikko');
INSERT INTO `lang_definitions` VALUES (172053, 10238, 32, 'tekstilaatikko');
INSERT INTO `lang_definitions` VALUES (172054, 10239, 32, 'Tekstilaatikko listalla');
INSERT INTO `lang_definitions` VALUES (172055, 10240, 32, 'tekstilaatikko listalla');
INSERT INTO `lang_definitions` VALUES (172056, 10594, 32, 'Malli');
INSERT INTO `lang_definitions` VALUES (172057, 10882, 32, 'To');
INSERT INTO `lang_definitions` VALUES (172058, 10884, 32, 'Torstai');
INSERT INTO `lang_definitions` VALUES (172059, 10885, 32, 'Torstai');
INSERT INTO `lang_definitions` VALUES (172060, 10902, 32, 'Aika');
INSERT INTO `lang_definitions` VALUES (172061, 10903, 32, 'Ajan esitysmuoto');
INSERT INTO `lang_definitions` VALUES (172062, 10928, 32, 'Päättyen');
INSERT INTO `lang_definitions` VALUES (172063, 10944, 32, 'Laskutusnäkymään');
INSERT INTO `lang_definitions` VALUES (172064, 10945, 32, 'luokkaan');
INSERT INTO `lang_definitions` VALUES (172065, 10947, 32, 'Kliiniseen näkymään');
INSERT INTO `lang_definitions` VALUES (172066, 10949, 32, 'Omavastuuseen');
INSERT INTO `lang_definitions` VALUES (172067, 11010, 32, 'Vastaanottaja:');
INSERT INTO `lang_definitions` VALUES (172068, 11011, 32, 'Vastaanottaja:');
INSERT INTO `lang_definitions` VALUES (172069, 11025, 32, 'Tupakointi');
INSERT INTO `lang_definitions` VALUES (172070, 11032, 32, 'Tänään');
INSERT INTO `lang_definitions` VALUES (172071, 11033, 32, 'TÄNÄÄN');
INSERT INTO `lang_definitions` VALUES (172072, 11034, 32, 'tänään');
INSERT INTO `lang_definitions` VALUES (172073, 11050, 32, 'Ylä');
INSERT INTO `lang_definitions` VALUES (172074, 11052, 32, 'Ylämarginaali (mm)');
INSERT INTO `lang_definitions` VALUES (172075, 11053, 32, 'Aihe');
INSERT INTO `lang_definitions` VALUES (172076, 11054, 32, 'Yhteensä');
INSERT INTO `lang_definitions` VALUES (172077, 11055, 32, 'yhteensä');
INSERT INTO `lang_definitions` VALUES (172078, 11057, 32, 'Aktiiviset muistutukset yhteensä päivityksen jälkeen');
INSERT INTO `lang_definitions` VALUES (172079, 11058, 32, 'Aktiiviset muistutukset yhteensä ennen päivitystä');
INSERT INTO `lang_definitions` VALUES (172080, 11060, 32, 'Maksettava kokonaissumma');
INSERT INTO `lang_definitions` VALUES (172081, 11061, 32, 'Maksettu kokonaissumma');
INSERT INTO `lang_definitions` VALUES (172082, 11062, 32, 'Maksettava kokonaissaldo');
INSERT INTO `lang_definitions` VALUES (172083, 11063, 32, 'Kokonaisveloitus');
INSERT INTO `lang_definitions` VALUES (172084, 11064, 32, 'Veloitukset yhteensä');
INSERT INTO `lang_definitions` VALUES (172085, 11065, 32, 'Asiakkaat yhteensä');
INSERT INTO `lang_definitions` VALUES (172086, 11067, 32, 'Kokonaiskustannus');
INSERT INTO `lang_definitions` VALUES (172087, 11078, 32, 'Uudet muistutukset yhteensä');
INSERT INTO `lang_definitions` VALUES (172088, 11079, 32, 'Ajanvarausten määrä yhteensä');
INSERT INTO `lang_definitions` VALUES (172089, 11084, 32, 'Potilaiden määrä yhteensä');
INSERT INTO `lang_definitions` VALUES (172090, 11089, 32, 'Potilaat yhteensä');
INSERT INTO `lang_definitions` VALUES (172091, 11123, 32, 'päättyen{{range}}');
INSERT INTO `lang_definitions` VALUES (172092, 11164, 32, 'Käännä tapaamisten luokat');
INSERT INTO `lang_definitions` VALUES (172093, 11165, 32, 'Käännä asiakirjojen luokat');
INSERT INTO `lang_definitions` VALUES (172094, 11166, 32, 'Käännä ulkoasut');
INSERT INTO `lang_definitions` VALUES (172095, 11167, 32, 'Käännä listat');
INSERT INTO `lang_definitions` VALUES (172096, 11169, 32, 'käännä tämä');
INSERT INTO `lang_definitions` VALUES (172097, 11170, 32, 'Käännös');
INSERT INTO `lang_definitions` VALUES (172098, 11171, 32, 'Käännökset');
INSERT INTO `lang_definitions` VALUES (172099, 11180, 32, 'Hoito');
INSERT INTO `lang_definitions` VALUES (172100, 11182, 32, 'Hoidon tavoitteet');
INSERT INTO `lang_definitions` VALUES (172101, 11183, 32, 'Hoitosuunnitelma');
INSERT INTO `lang_definitions` VALUES (172102, 11184, 32, 'Hoidon suunnittelu');
INSERT INTO `lang_definitions` VALUES (172103, 11186, 32, 'Hoito:');
INSERT INTO `lang_definitions` VALUES (172104, 11187, 32, 'Hoito:');
INSERT INTO `lang_definitions` VALUES (172105, 11209, 32, 'Ti');
INSERT INTO `lang_definitions` VALUES (172106, 11210, 32, 'Ti & To');
INSERT INTO `lang_definitions` VALUES (172107, 11211, 32, 'Tiistai');
INSERT INTO `lang_definitions` VALUES (172108, 11227, 32, 'Tyyppi');
INSERT INTO `lang_definitions` VALUES (172109, 11276, 32, 'Ei pääsyä hakemistoon');
INSERT INTO `lang_definitions` VALUES (172110, 11277, 32, 'Ei pääsyä URL:iin');
INSERT INTO `lang_definitions` VALUES (172111, 11278, 32, 'Luominen ei onnistu');
INSERT INTO `lang_definitions` VALUES (172112, 11292, 32, 'Määrittämätön');
INSERT INTO `lang_definitions` VALUES (172113, 11293, 32, 'Ei valtuutusta');
INSERT INTO `lang_definitions` VALUES (172114, 11294, 32, 'Ei valtuutusta pääsyyn eResepteihin');
INSERT INTO `lang_definitions` VALUES (172115, 11295, 32, 'Ei valtuutusta pääsyyn.');
INSERT INTO `lang_definitions` VALUES (172116, 11320, 32, 'Yksikkö');
INSERT INTO `lang_definitions` VALUES (172117, 11325, 32, 'Yksikön on oltava numeerinen');
INSERT INTO `lang_definitions` VALUES (172118, 11346, 32, 'Rekisteröimättömät');
INSERT INTO `lang_definitions` VALUES (172119, 11347, 32, 'Rekisteröimättömät moduulit');
INSERT INTO `lang_definitions` VALUES (172120, 11360, 32, 'Käyttämätön');
INSERT INTO `lang_definitions` VALUES (172121, 11364, 32, 'Tulevat ajanvaraukset');
INSERT INTO `lang_definitions` VALUES (172122, 11365, 32, 'Tulevat tapahtumat');
INSERT INTO `lang_definitions` VALUES (172123, 11366, 32, 'Päivitä');
INSERT INTO `lang_definitions` VALUES (172124, 11367, 32, 'päivitä');
INSERT INTO `lang_definitions` VALUES (172125, 11368, 32, 'Päivitys käynnissä');
INSERT INTO `lang_definitions` VALUES (172126, 11371, 32, 'Päivitä tiedostot');
INSERT INTO `lang_definitions` VALUES (172127, 11372, 32, 'Päivitä tiedot');
INSERT INTO `lang_definitions` VALUES (172128, 11374, 32, 'Päivitä lista');
INSERT INTO `lang_definitions` VALUES (172129, 11378, 32, 'Päivitä valitut kohteet');
INSERT INTO `lang_definitions` VALUES (172130, 11383, 32, 'Päivitä seuraavat muuttujat tiedostossa');
INSERT INTO `lang_definitions` VALUES (172131, 11384, 32, 'Päivitä käyttäjän tiedot');
INSERT INTO `lang_definitions` VALUES (172132, 11391, 32, 'Päivitetään yleisiä asetuksia oletuksiin');
INSERT INTO `lang_definitions` VALUES (172133, 11431, 32, 'Urdu');
INSERT INTO `lang_definitions` VALUES (172134, 11443, 32, 'URL');
INSERT INTO `lang_definitions` VALUES (172135, 11445, 32, 'OpenEMR tukisivujen URL');
INSERT INTO `lang_definitions` VALUES (172136, 11448, 32, 'URL WordPress-sivustolle joka tukee portaalia');
INSERT INTO `lang_definitions` VALUES (172137, 11457, 32, 'Käytä 24 tunnin aikamääritystä?');
INSERT INTO `lang_definitions` VALUES (172138, 11466, 32, 'Käytä Veloitukset-paneelia');
INSERT INTO `lang_definitions` VALUES (172139, 11476, 32, 'Käytä aikaväliä');
INSERT INTO `lang_definitions` VALUES (172140, 11479, 32, 'Käytä kansainvälistä päiväystapaa?');
INSERT INTO `lang_definitions` VALUES (172141, 11496, 32, 'Käyttäjä');
INSERT INTO `lang_definitions` VALUES (172142, 11498, 32, 'Käyttäjä / Ryhmät');
INSERT INTO `lang_definitions` VALUES (172143, 11499, 32, 'Käyttäjien hallinta');
INSERT INTO `lang_definitions` VALUES (172144, 11500, 32, 'Käyttäjien ja tilojen hallinta');
INSERT INTO `lang_definitions` VALUES (172145, 11501, 32, 'Käyttäjien ja ryhmien hallinta');
INSERT INTO `lang_definitions` VALUES (172146, 11502, 32, 'Käyttäjää ei voi poistaa');
INSERT INTO `lang_definitions` VALUES (172147, 11507, 32, 'Käyttäjän määrittelemä');
INSERT INTO `lang_definitions` VALUES (172148, 11508, 32, 'Käyttäjän määrittelemä alue 11');
INSERT INTO `lang_definitions` VALUES (172149, 11509, 32, 'Käyttäjän määrittelemä alue 12');
INSERT INTO `lang_definitions` VALUES (172150, 11510, 32, 'Käyttäjän määrittelemä kenttä');
INSERT INTO `lang_definitions` VALUES (172151, 11511, 32, 'Käyttäjän määrittelemä lista 1');
INSERT INTO `lang_definitions` VALUES (172152, 11512, 32, 'Käyttäjän määrittelemä lista 2');
INSERT INTO `lang_definitions` VALUES (172153, 11513, 32, 'Käyttäjän määrittelemä lista 3');
INSERT INTO `lang_definitions` VALUES (172154, 11514, 32, 'Käyttäjän määrittelemä lista 4');
INSERT INTO `lang_definitions` VALUES (172155, 11515, 32, 'Käyttäjän määrittelemä lista 5');
INSERT INTO `lang_definitions` VALUES (172156, 11516, 32, 'Käyttäjän määrittelemä lista 6');
INSERT INTO `lang_definitions` VALUES (172157, 11517, 32, 'Käyttäjän määrittelemä lista 7');
INSERT INTO `lang_definitions` VALUES (172158, 11518, 32, 'Käyttäjän määrittelemä teksti 1');
INSERT INTO `lang_definitions` VALUES (172159, 11519, 32, 'Käyttäjän määrittelemä teksti 2');
INSERT INTO `lang_definitions` VALUES (172160, 11520, 32, 'Käyttäjän määrittelemä teksti 3');
INSERT INTO `lang_definitions` VALUES (172161, 11521, 32, 'Käyttäjän määrittelemä teksti 4');
INSERT INTO `lang_definitions` VALUES (172162, 11522, 32, 'Käyttäjän määrittelemä teksti 5');
INSERT INTO `lang_definitions` VALUES (172163, 11523, 32, 'Käyttäjän määrittelemä teksti 6');
INSERT INTO `lang_definitions` VALUES (172164, 11524, 32, 'Käyttäjän määrittelemä teksti 7');
INSERT INTO `lang_definitions` VALUES (172165, 11525, 32, 'Käyttäjän määrittelemä teksti 8');
INSERT INTO `lang_definitions` VALUES (172166, 11526, 32, 'Käyttäjän etunimi');
INSERT INTO `lang_definitions` VALUES (172167, 11533, 32, 'Käyttäjän jäsenyydet');
INSERT INTO `lang_definitions` VALUES (172168, 11534, 32, 'Käyttäjän nimi');
INSERT INTO `lang_definitions` VALUES (172169, 11541, 32, 'Käyttäjän asetukset');
INSERT INTO `lang_definitions` VALUES (172170, 11543, 32, 'Käyttäjäkohtaiset asetukset');
INSERT INTO `lang_definitions` VALUES (172171, 11544, 32, 'Käyttäjän uusi salasana');
INSERT INTO `lang_definitions` VALUES (172172, 11553, 32, 'Käyttäjätunnus');
INSERT INTO `lang_definitions` VALUES (172173, 11559, 32, 'Käyttäjätunnus:');
INSERT INTO `lang_definitions` VALUES (172174, 11560, 32, 'Käyttäjät');
INSERT INTO `lang_definitions` VALUES (172175, 11588, 32, 'LOMA');
INSERT INTO `lang_definitions` VALUES (172176, 11589, 32, 'Loma');
INSERT INTO `lang_definitions` VALUES (172177, 11609, 32, 'Arvo');
INSERT INTO `lang_definitions` VALUES (172178, 11610, 32, 'Arvo 1');
INSERT INTO `lang_definitions` VALUES (172179, 11611, 32, 'Arvo 2');
INSERT INTO `lang_definitions` VALUES (172180, 11613, 32, 'Arvon tulee olla numeerinen');
INSERT INTO `lang_definitions` VALUES (172181, 11667, 32, 'Katso');
INSERT INTO `lang_definitions` VALUES (172182, 11668, 32, 'katso');
INSERT INTO `lang_definitions` VALUES (172183, 11670, 32, 'Katso allergiat');
INSERT INTO `lang_definitions` VALUES (172184, 11677, 32, 'Katso CSV taulut');
INSERT INTO `lang_definitions` VALUES (172185, 11679, 32, 'Katso dokumenttia');
INSERT INTO `lang_definitions` VALUES (172186, 11683, 32, 'Näytetäänkö tapahtumat ponnahdusikkunassa?');
INSERT INTO `lang_definitions` VALUES (172187, 11690, 32, 'Katso sivu 1');
INSERT INTO `lang_definitions` VALUES (172188, 11691, 32, 'Katso sivu 2');
INSERT INTO `lang_definitions` VALUES (172189, 11692, 32, 'Katso menneitä ja tulevia muistutuksia');
INSERT INTO `lang_definitions` VALUES (172190, 11695, 32, 'Näytä potilas');
INSERT INTO `lang_definitions` VALUES (172191, 11701, 32, 'Näytä raportti');
INSERT INTO `lang_definitions` VALUES (172192, 11702, 32, 'Näytä LUE MINUT tiedosto');
INSERT INTO `lang_definitions` VALUES (172193, 11714, 32, 'Näytä/Tulosta');
INSERT INTO `lang_definitions` VALUES (172194, 11717, 32, 'Näytä:');
INSERT INTO `lang_definitions` VALUES (172195, 11718, 32, 'VISA');
INSERT INTO `lang_definitions` VALUES (172196, 11719, 32, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (172197, 11727, 32, 'Käyntiluokka');
INSERT INTO `lang_definitions` VALUES (172198, 11728, 32, 'Käyntiluokka:');
INSERT INTO `lang_definitions` VALUES (172199, 11729, 32, 'Käyntipäivä');
INSERT INTO `lang_definitions` VALUES (172200, 11730, 32, 'Käyntipäivä');
INSERT INTO `lang_definitions` VALUES (172201, 11734, 32, 'Käyntilomake');
INSERT INTO `lang_definitions` VALUES (172202, 11736, 32, 'Käyntihistoria');
INSERT INTO `lang_definitions` VALUES (172203, 11745, 32, 'Käynnit');
INSERT INTO `lang_definitions` VALUES (172204, 11746, 32, 'Käynnit alkaen');
INSERT INTO `lang_definitions` VALUES (172205, 11752, 32, 'Elintoiminnot');
INSERT INTO `lang_definitions` VALUES (172206, 11753, 32, 'Elintoiminnot (metrinen)');
INSERT INTO `lang_definitions` VALUES (172207, 11754, 32, 'Elintoimintolomakkeen asetukset');
INSERT INTO `lang_definitions` VALUES (172208, 11758, 32, 'Puheviesti lähetetty');
INSERT INTO `lang_definitions` VALUES (172209, 11763, 32, 'Oksentaminen');
INSERT INTO `lang_definitions` VALUES (172210, 11770, 32, 'Vyötärön ympärys');
INSERT INTO `lang_definitions` VALUES (172211, 11771, 32, 'Vyötärön ympärys');
INSERT INTO `lang_definitions` VALUES (172212, 11772, 32, 'Odottava');
INSERT INTO `lang_definitions` VALUES (172213, 11778, 32, 'Varasto');
INSERT INTO `lang_definitions` VALUES (172214, 11782, 32, 'Varastot');
INSERT INTO `lang_definitions` VALUES (172215, 11783, 32, 'Lämmin');
INSERT INTO `lang_definitions` VALUES (172216, 11786, 32, 'Varoitus');
INSERT INTO `lang_definitions` VALUES (172217, 11787, 32, 'VAROITUS');
INSERT INTO `lang_definitions` VALUES (172218, 11789, 32, 'Varoitus, shekin numero on jo tietokannassa');
INSERT INTO `lang_definitions` VALUES (172219, 11791, 32, 'Varoitus: Potilaalle on varattu jo aika tälle päivälle!');
INSERT INTO `lang_definitions` VALUES (172220, 11796, 32, 'Varoitus: Potilaan tunniste ei ole uniikki!');
INSERT INTO `lang_definitions` VALUES (172221, 11801, 32, 'Varoitukset');
INSERT INTO `lang_definitions` VALUES (172222, 11826, 32, 'Nettihaku');
INSERT INTO `lang_definitions` VALUES (172223, 11827, 32, 'Nettisivut');
INSERT INTO `lang_definitions` VALUES (172224, 11832, 32, 'Ke');
INSERT INTO `lang_definitions` VALUES (172225, 11833, 32, 'Keskiviikko');
INSERT INTO `lang_definitions` VALUES (172226, 11834, 32, 'Viikko');
INSERT INTO `lang_definitions` VALUES (172227, 11835, 32, 'viikko');
INSERT INTO `lang_definitions` VALUES (172228, 11836, 32, 'Viikkonäkymä');
INSERT INTO `lang_definitions` VALUES (172229, 11837, 32, 'Viikko/Viikot');
INSERT INTO `lang_definitions` VALUES (172230, 11839, 32, 'viikot');
INSERT INTO `lang_definitions` VALUES (172231, 11840, 32, 'Viikot');
INSERT INTO `lang_definitions` VALUES (172232, 11841, 32, 'Paino');
INSERT INTO `lang_definitions` VALUES (172233, 11844, 32, 'Painonvaihtelu');
INSERT INTO `lang_definitions` VALUES (172234, 11845, 32, 'Painon menetys');
INSERT INTO `lang_definitions` VALUES (172235, 11846, 32, 'Laihdutusklinikka');
INSERT INTO `lang_definitions` VALUES (172236, 11847, 32, 'Tervetuloa');
INSERT INTO `lang_definitions` VALUES (172237, 11849, 32, 'Kymri');
INSERT INTO `lang_definitions` VALUES (172238, 11897, 32, 'Leski');
INSERT INTO `lang_definitions` VALUES (172239, 11917, 32, 'Ilman toimipaikkaa');
INSERT INTO `lang_definitions` VALUES (172240, 11918, 32, 'Ilman palvelun tuottajaa');
INSERT INTO `lang_definitions` VALUES (172241, 11919, 32, 'Ilman päivitystä');
INSERT INTO `lang_definitions` VALUES (172242, 11920, 32, 'Todistaja');
INSERT INTO `lang_definitions` VALUES (172243, 11924, 32, 'Naiset');
INSERT INTO `lang_definitions` VALUES (172244, 11925, 32, 'Vain naiset');
INSERT INTO `lang_definitions` VALUES (172245, 11926, 32, 'WordPress portaali');
INSERT INTO `lang_definitions` VALUES (172246, 11927, 32, 'Työ');
INSERT INTO `lang_definitions` VALUES (172247, 11929, 32, 'Puhelin (Työ)');
INSERT INTO `lang_definitions` VALUES (172248, 11930, 32, 'Työpuhelimen numero');
INSERT INTO `lang_definitions` VALUES (172249, 11931, 32, 'Työperäinen?');
INSERT INTO `lang_definitions` VALUES (172250, 11932, 32, 'Työ / Koulutus / Harrastukset');
INSERT INTO `lang_definitions` VALUES (172251, 11933, 32, 'Sairauslomatodistus');
INSERT INTO `lang_definitions` VALUES (172252, 11934, 32, 'työpäivä');
INSERT INTO `lang_definitions` VALUES (172253, 11940, 32, 'Työstää… tässä saattaa kulua hetki.');
INSERT INTO `lang_definitions` VALUES (172254, 11941, 32, 'Huonontunut');
INSERT INTO `lang_definitions` VALUES (172255, 11960, 32, 'rajoitettu kirjoitus');
INSERT INTO `lang_definitions` VALUES (172256, 11988, 32, 'vuosi');
INSERT INTO `lang_definitions` VALUES (172257, 11989, 32, 'Vuosi');
INSERT INTO `lang_definitions` VALUES (172258, 11990, 32, 'Vuosinäkymä');
INSERT INTO `lang_definitions` VALUES (172259, 11991, 32, 'Vuodet');
INSERT INTO `lang_definitions` VALUES (172260, 11992, 32, 'Vuotta');
INSERT INTO `lang_definitions` VALUES (172261, 11994, 32, 'Vuodet tai kuukaudet');
INSERT INTO `lang_definitions` VALUES (172262, 11995, 32, 'Vuodet, kuukaudet ja päivät');
INSERT INTO `lang_definitions` VALUES (172263, 11996, 32, 'Kyllä');
INSERT INTO `lang_definitions` VALUES (172264, 11997, 32, 'KYLLÄ');
INSERT INTO `lang_definitions` VALUES (172265, 11998, 32, 'kyllä');
INSERT INTO `lang_definitions` VALUES (172266, 11999, 32, 'KYLLÄ!');
INSERT INTO `lang_definitions` VALUES (172267, 12002, 32, 'Kyllä/Ei');
INSERT INTO `lang_definitions` VALUES (172268, 12003, 32, 'Kyllä:');
INSERT INTO `lang_definitions` VALUES (172269, 12094, 32, 'Voit jatkaa valittuasi joitakin kenttiä.');
INSERT INTO `lang_definitions` VALUES (172270, 12122, 32, 'Antamasi lopetuspäivä on puutteellinen');
INSERT INTO `lang_definitions` VALUES (172271, 12123, 32, 'Tapahtumasi on poistettu.');
INSERT INTO `lang_definitions` VALUES (172272, 12124, 32, 'Tapahtumaasi on muokattu.');
INSERT INTO `lang_definitions` VALUES (172273, 12125, 32, 'Tapahtumasi on lähetetty.');
INSERT INTO `lang_definitions` VALUES (172274, 12127, 32, 'Tiedostosi on liian suuri');
INSERT INTO `lang_definitions` VALUES (172275, 12139, 32, 'Salasanasi');
INSERT INTO `lang_definitions` VALUES (172276, 12140, 32, 'Salasanasi on vanhentunut. Vaihda salasanasi.');
INSERT INTO `lang_definitions` VALUES (172277, 12141, 32, 'Salasanasi vanhenee');
INSERT INTO `lang_definitions` VALUES (172278, 12143, 32, 'Salasanasi vanhenee tänään. Vaihda salasanasi.');
INSERT INTO `lang_definitions` VALUES (172279, 12152, 32, 'Aloituspäivä on virheellinen');
INSERT INTO `lang_definitions` VALUES (172280, 12153, 32, 'Lähetyksesi epäonnistui.');
INSERT INTO `lang_definitions` VALUES (172281, 12156, 32, 'vvvv-kk-pp');
INSERT INTO `lang_definitions` VALUES (172282, 12157, 32, 'VVVV-KK-PP');
INSERT INTO `lang_definitions` VALUES (172283, 12160, 32, 'vvvv-kk-pp syntymäaika');
INSERT INTO `lang_definitions` VALUES (172284, 12161, 32, 'vvvv-kk-pp syntymäaika');
INSERT INTO `lang_definitions` VALUES (172285, 12162, 32, 'vvvv-kk-pp päättymispäivä');
INSERT INTO `lang_definitions` VALUES (172286, 12173, 32, 'vvvv-kk-pp tapahtuman päivä tai aloituspäivä');
INSERT INTO `lang_definitions` VALUES (172287, 12174, 32, 'vvvv-kk-pp T:m lopetuspäivä');
INSERT INTO `lang_definitions` VALUES (172288, 12175, 32, 'vvvv-kk-pp T:m lopetuspäivä');
INSERT INTO `lang_definitions` VALUES (172289, 12176, 32, 'vvvv-kk-pp T:m aloituspäivä');
INSERT INTO `lang_definitions` VALUES (172290, 12177, 32, 'vvvv-kk-pp T:m aloituspäivä');
INSERT INTO `lang_definitions` VALUES (172291, 12178, 32, 'vvvv-kk-pp tt:mm:ss');
INSERT INTO `lang_definitions` VALUES (172292, 12179, 32, 'vvvv-kk-pp Tunnit(24):minuutit');
INSERT INTO `lang_definitions` VALUES (172293, 12180, 32, 'vvvv-kk-pp tapahtuman viimeinen päivä');
INSERT INTO `lang_definitions` VALUES (172294, 12184, 32, 'Zend moduuli');
INSERT INTO `lang_definitions` VALUES (172295, 12186, 32, 'Nolla');
INSERT INTO `lang_definitions` VALUES (172296, 12187, 32, 'Zhuang');
INSERT INTO `lang_definitions` VALUES (172297, 12188, 32, 'Postinumero');
INSERT INTO `lang_definitions` VALUES (172298, 12189, 32, 'Postinumero');
INSERT INTO `lang_definitions` VALUES (172299, 12191, 32, 'Postinumero/Maa:');
INSERT INTO `lang_definitions` VALUES (172300, 12196, 32, 'Zulu');
INSERT INTO `lang_definitions` VALUES (172301, 12197, 32, 'mutta oli');
INSERT INTO `lang_definitions` VALUES (172302, 12199, 32, 'Haluatko todellakin poistaa');
INSERT INTO `lang_definitions` VALUES (172303, 12200, 32, 'Lääke');
INSERT INTO `lang_definitions` VALUES (172304, 12201, 32, 'sähköpostia lähettämättä');
INSERT INTO `lang_definitions` VALUES (172305, 12203, 32, 'on luotu.');
INSERT INTO `lang_definitions` VALUES (172306, 12204, 32, 'on avattu uudelleen.');
INSERT INTO `lang_definitions` VALUES (172307, 12205, 32, 'Historia');
INSERT INTO `lang_definitions` VALUES (172308, 12206, 32, 'ei ole numero');
INSERT INTO `lang_definitions` VALUES (172309, 12212, 32, 'ei löytynyt!');
INSERT INTO `lang_definitions` VALUES (172310, 12215, 32, 'kunnes');
INSERT INTO `lang_definitions` VALUES (172311, 12231, 32, '(% korvaa kaikkiin merkkijonot, _ korvaa kaikki kirjaimet)');
INSERT INTO `lang_definitions` VALUES (172312, 12233, 32, '(Takaisin)');
INSERT INTO `lang_definitions` VALUES (172313, 12236, 32, '(Lisää)');
INSERT INTO `lang_definitions` VALUES (172314, 12237, 32, '(Uusi potilas)');
INSERT INTO `lang_definitions` VALUES (172315, 12242, 32, '* Muistutus tehty');
INSERT INTO `lang_definitions` VALUES (172316, 12244, 32, '* Vaadittu');
INSERT INTO `lang_definitions` VALUES (172317, 12249, 32, '- Ei mikään');
INSERT INTO `lang_definitions` VALUES (172318, 12251, 32, '-- Kaikki --');
INSERT INTO `lang_definitions` VALUES (172319, 12252, 32, '-- Valitse rooli --');
INSERT INTO `lang_definitions` VALUES (172320, 12253, 32, '.');
INSERT INTO `lang_definitions` VALUES (172321, 12254, 32, '0');
INSERT INTO `lang_definitions` VALUES (172322, 12255, 32, '0-10');
INSERT INTO `lang_definitions` VALUES (172323, 12256, 32, '0-24');
INSERT INTO `lang_definitions` VALUES (172324, 12259, 32, '1');
INSERT INTO `lang_definitions` VALUES (172325, 12260, 32, '1=Pohjois-Amerikka. Katso osoitteesta http://www.wtng.info/ muiden maiden koodit.');
INSERT INTO `lang_definitions` VALUES (172326, 12266, 32, '11-14');
INSERT INTO `lang_definitions` VALUES (172327, 12267, 32, '12 t');
INSERT INTO `lang_definitions` VALUES (172328, 12268, 32, '15-19');
INSERT INTO `lang_definitions` VALUES (172329, 12270, 32, '1');
INSERT INTO `lang_definitions` VALUES (172330, 12272, 32, '2');
INSERT INTO `lang_definitions` VALUES (172331, 12277, 32, '2 - 20 vuotta');
INSERT INTO `lang_definitions` VALUES (172332, 12278, 32, '20-24');
INSERT INTO `lang_definitions` VALUES (172333, 12287, 32, '2111-13');
INSERT INTO `lang_definitions` VALUES (172334, 12288, 32, '24 t');
INSERT INTO `lang_definitions` VALUES (172335, 12289, 32, '25+');
INSERT INTO `lang_definitions` VALUES (172336, 12290, 32, '25-29');
INSERT INTO `lang_definitions` VALUES (172337, 12293, 32, '2');
INSERT INTO `lang_definitions` VALUES (172338, 12297, 32, '3 kuukautta');
INSERT INTO `lang_definitions` VALUES (172339, 12299, 32, 'Kolmasti päivässä');
INSERT INTO `lang_definitions` VALUES (172340, 12301, 32, '30-34');
INSERT INTO `lang_definitions` VALUES (172341, 12302, 32, '35-39');
INSERT INTO `lang_definitions` VALUES (172342, 12304, 32, '3');
INSERT INTO `lang_definitions` VALUES (172343, 12308, 32, '4 kuukautta');
INSERT INTO `lang_definitions` VALUES (172344, 12310, 32, 'Neljästi päivässä');
INSERT INTO `lang_definitions` VALUES (172345, 12312, 32, '40-44');
INSERT INTO `lang_definitions` VALUES (172346, 12313, 32, '45+');
INSERT INTO `lang_definitions` VALUES (172347, 12323, 32, '4');
INSERT INTO `lang_definitions` VALUES (172348, 12331, 32, '5');
INSERT INTO `lang_definitions` VALUES (172349, 12333, 32, '6 kuukautta');
INSERT INTO `lang_definitions` VALUES (172350, 12337, 32, '6');
INSERT INTO `lang_definitions` VALUES (172351, 12353, 32, '< Tutkimushuoneessa');
INSERT INTO `lang_definitions` VALUES (172352, 12359, 32, '?');
INSERT INTO `lang_definitions` VALUES (172353, 12361, 32, '? Ei saapunut');
INSERT INTO `lang_definitions` VALUES (172354, 12362, 32, '@ Saapunut');
INSERT INTO `lang_definitions` VALUES (172355, 12364, 32, '[Vaihda näkymää]');
INSERT INTO `lang_definitions` VALUES (172356, 12369, 32, '[ei suositella]');
INSERT INTO `lang_definitions` VALUES (172357, 12370, 32, '[Käyntien määrä]');
INSERT INTO `lang_definitions` VALUES (172358, 12371, 32, '[Raportit]');
INSERT INTO `lang_definitions` VALUES (172359, 12372, 32, '[Valitse kaikki]');
INSERT INTO `lang_definitions` VALUES (172360, 12373, 32, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (172361, 12374, 32, '[Aloita ryhmäajon työstäminen]');
INSERT INTO `lang_definitions` VALUES (172362, 12375, 32, '[Näytä loki]');
INSERT INTO `lang_definitions` VALUES (172363, 12376, 32, '[Näytä tulostettava raportti]');
INSERT INTO `lang_definitions` VALUES (172364, 12378, 32, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (172365, 12379, 32, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (172366, 12380, 32, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (172367, 12381, 32, '~ Saapunut myöhässä');
INSERT INTO `lang_definitions` VALUES (172368, 1, 33, 'एक');
INSERT INTO `lang_definitions` VALUES (172369, 2, 33, 'एक चेक नंबर किंवा दावा संख्या पैसे ओळखण्यासाठी');
INSERT INTO `lang_definitions` VALUES (172370, 4, 33, 'प्रशासक वापरकर्ता एक क्लायंट प्रमाणपत्र');
INSERT INTO `lang_definitions` VALUES (172371, 6, 33, 'एक क्लिनिकल दस्तऐवज संलग्न आहे');
INSERT INTO `lang_definitions` VALUES (172372, 7, 33, 'एक क्लिनिकल दस्तऐवज संलग्न आहे.');
INSERT INTO `lang_definitions` VALUES (172373, 13, 33, 'एक वितरक आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (172374, 17, 33, 'एक GCAC भेट फॉर्म भेट जोडले पाहिजे.');
INSERT INTO `lang_definitions` VALUES (172375, 20, 33, 'lot नंबर आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (172376, 21, 33, 'lot नंबर आवश्यक आहे!');
INSERT INTO `lang_definitions` VALUES (172377, 22, 33, 'एक लोअरकेस पत्र');
INSERT INTO `lang_definitions` VALUES (172378, 28, 33, 'अनेक');
INSERT INTO `lang_definitions` VALUES (172379, 30, 33, 'या आयडी एक रुग्ण आधीपासून विद्यमान आहे.');
INSERT INTO `lang_definitions` VALUES (172380, 31, 33, 'या नावाची एक रुग्ण आधीपासून विद्यमान आहे.');
INSERT INTO `lang_definitions` VALUES (172381, 32, 33, 'या एस रुग्णाच्या आधीपासून विद्यमान आहे.');
INSERT INTO `lang_definitions` VALUES (172382, 36, 33, 'एक सकारात्मक क्रमांक (ऋण संख्या उतरत्या क्रमाने गेल्या भेटी दर्शवेल) रुग्णांच्या सारांश स्क्रीन मध्ये एक विजेट अनेक गेल्या भेटी दर्शवेल');
INSERT INTO `lang_definitions` VALUES (172383, 37, 33, 'एक सकारात्मक संख्या रुग्णांच्या सारांश स्क्रीन मध्ये एक विजेट अनेक गेल्या भेटी दर्शवेल.');
INSERT INTO `lang_definitions` VALUES (172384, 43, 33, 'एक रेफरल स्रोत प्रत्येक भेट निर्देशीत केले जाऊ शकते.');
INSERT INTO `lang_definitions` VALUES (172385, 44, 33, 'संबंधित IPPF कोड आवश्यक आहे!');
INSERT INTO `lang_definitions` VALUES (172386, 49, 33, 'विशेष वर्ण');
INSERT INTO `lang_definitions` VALUES (172387, 53, 33, 'एक अद्वितीय मूल्य, वापरकर्ता दिसत नाही या क्षेत्रात ओळखण्यासाठी');
INSERT INTO `lang_definitions` VALUES (172388, 56, 33, 'भेट आधीच या रुग्णाला आज अस्तित्वात आहे. नवीन तयार पुढे ते उघडण्याचा रद्द करा किंवा OK वर क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (172389, 57, 33, 'a.c.');
INSERT INTO `lang_definitions` VALUES (172390, 58, 33, 'दुपारी');
INSERT INTO `lang_definitions` VALUES (172391, 60, 33, 'एक / महिला स्तर उजवे:');
INSERT INTO `lang_definitions` VALUES (172392, 62, 33, 'अब्राहम');
INSERT INTO `lang_definitions` VALUES (172393, 63, 33, 'संक्षेप');
INSERT INTO `lang_definitions` VALUES (172394, 64, 33, 'Abcess:');
INSERT INTO `lang_definitions` VALUES (172395, 65, 33, 'ओटीपोटात');
INSERT INTO `lang_definitions` VALUES (172396, 66, 33, 'वजन चार (4) पावले सहन करणे शक्य:');
INSERT INTO `lang_definitions` VALUES (172397, 67, 33, 'एबीएन');
INSERT INTO `lang_definitions` VALUES (172398, 68, 33, 'ABN1');
INSERT INTO `lang_definitions` VALUES (172399, 70, 33, 'असामान्य');
INSERT INTO `lang_definitions` VALUES (172400, 71, 33, 'असामान्य रक्त चाचणी');
INSERT INTO `lang_definitions` VALUES (172401, 72, 33, 'असामान्य केस वाढ');
INSERT INTO `lang_definitions` VALUES (172402, 73, 33, 'असामान्य मध्यमवयानंतरचा');
INSERT INTO `lang_definitions` VALUES (172403, 75, 33, 'गर्भपात');
INSERT INTO `lang_definitions` VALUES (172404, 76, 33, 'गर्भपात मुद्दे');
INSERT INTO `lang_definitions` VALUES (172405, 77, 33, 'गर्भपात पद्धत');
INSERT INTO `lang_definitions` VALUES (172406, 78, 33, 'गर्भपात-संबंधित श्रेणी');
INSERT INTO `lang_definitions` VALUES (172407, 79, 33, 'गर्भपात');
INSERT INTO `lang_definitions` VALUES (172408, 82, 33, 'कॅलेंडर बद्दल');
INSERT INTO `lang_definitions` VALUES (172409, 85, 33, 'निदान करून सु');
INSERT INTO `lang_definitions` VALUES (172410, 87, 33, 'असाइनमेंट स्वीकारा');
INSERT INTO `lang_definitions` VALUES (172411, 89, 33, 'भरणा स्वीकारा');
INSERT INTO `lang_definitions` VALUES (172412, 90, 33, 'भरणा स्वीकारा');
INSERT INTO `lang_definitions` VALUES (172413, 91, 33, 'असाइनमेंट स्वीकारते');
INSERT INTO `lang_definitions` VALUES (172414, 93, 33, 'एक्सेस कंट्रोल');
INSERT INTO `lang_definitions` VALUES (172415, 94, 33, 'एक्सेस कंट्रोल यादी प्रशासन');
INSERT INTO `lang_definitions` VALUES (172416, 98, 33, 'प्रवेश तारीख');
INSERT INTO `lang_definitions` VALUES (172417, 102, 33, 'प्रवेश परवानगी नाही');
INSERT INTO `lang_definitions` VALUES (172418, 103, 33, 'प्रवेश अधिकृत नाही');
INSERT INTO `lang_definitions` VALUES (172419, 105, 33, 'आपले रुग्णांच्या पोर्टल प्रवेश');
INSERT INTO `lang_definitions` VALUES (172420, 106, 33, 'अपघात');
INSERT INTO `lang_definitions` VALUES (172421, 113, 33, 'खात्याचे नाव');
INSERT INTO `lang_definitions` VALUES (172422, 117, 33, 'लेखा');
INSERT INTO `lang_definitions` VALUES (172423, 122, 33, 'वेदना');
INSERT INTO `lang_definitions` VALUES (172424, 124, 33, 'पोचपावती मागणी (ISA14)');
INSERT INTO `lang_definitions` VALUES (172425, 125, 33, 'घोरतात, परवाना व सर्टिफिकेशन');
INSERT INTO `lang_definitions` VALUES (172426, 126, 33, 'ACL यांना आधार देतो');
INSERT INTO `lang_definitions` VALUES (172427, 127, 33, 'ACL यांना आधार देतो प्रशासन');
INSERT INTO `lang_definitions` VALUES (172428, 129, 33, 'ACL यांना आधार देतो प्रशासन अधिकृत नाही');
INSERT INTO `lang_definitions` VALUES (172429, 132, 33, 'ACL यांना यशस्वीपणे अद्यतनित');
INSERT INTO `lang_definitions` VALUES (172430, 133, 33, 'पुरळ');
INSERT INTO `lang_definitions` VALUES (172431, 136, 33, 'कायदा');
INSERT INTO `lang_definitions` VALUES (172432, 137, 33, 'कायदा तारीख');
INSERT INTO `lang_definitions` VALUES (172433, 138, 33, 'क्रिया');
INSERT INTO `lang_definitions` VALUES (172434, 142, 33, 'क्रिया');
INSERT INTO `lang_definitions` VALUES (172435, 144, 33, 'CCR / सीसीडीची अहवाल सक्रिय');
INSERT INTO `lang_definitions` VALUES (172436, 148, 33, 'सक्रिय');
INSERT INTO `lang_definitions` VALUES (172437, 150, 33, 'सक्रिय अॅलर्ट');
INSERT INTO `lang_definitions` VALUES (172438, 152, 33, 'सक्रिय अॅलर्ट नियम');
INSERT INTO `lang_definitions` VALUES (172439, 153, 33, 'सक्रिय सतर्कता / स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (172440, 158, 33, 'सक्रिय आढळतात');
INSERT INTO `lang_definitions` VALUES (172441, 160, 33, 'सक्रिय याद्या');
INSERT INTO `lang_definitions` VALUES (172442, 162, 33, 'सक्रिय रुग्णांच्या');
INSERT INTO `lang_definitions` VALUES (172443, 163, 33, 'सक्रिय योजना');
INSERT INTO `lang_definitions` VALUES (172444, 173, 33, 'क्रियाकलाप');
INSERT INTO `lang_definitions` VALUES (172445, 174, 33, 'क्रियाकलाप प्रकार');
INSERT INTO `lang_definitions` VALUES (172446, 185, 33, 'तीव्र उन्माद / काढणे');
INSERT INTO `lang_definitions` VALUES (172447, 186, 33, 'एक गंभीर अट तीव्र प्रकटीकरण');
INSERT INTO `lang_definitions` VALUES (172448, 187, 33, 'तीव्र वर तीव्र');
INSERT INTO `lang_definitions` VALUES (172449, 189, 33, 'जोडा');
INSERT INTO `lang_definitions` VALUES (172450, 190, 33, 'जोडा');
INSERT INTO `lang_definitions` VALUES (172451, 191, 33, 'ADD');
INSERT INTO `lang_definitions` VALUES (172452, 192, 33, 'एक कंपनी जोडा');
INSERT INTO `lang_definitions` VALUES (172453, 197, 33, 'एक फार्मसी जोडा');
INSERT INTO `lang_definitions` VALUES (172454, 200, 33, 'एक कार्यक्रम जोडा');
INSERT INTO `lang_definitions` VALUES (172455, 202, 33, 'नवीन टीप म्हणून जोडा');
INSERT INTO `lang_definitions` VALUES (172456, 203, 33, 'नवीन म्हणून जोडा');
INSERT INTO `lang_definitions` VALUES (172457, 206, 33, 'बटणे जोडा');
INSERT INTO `lang_definitions` VALUES (172458, 207, 33, 'विशेष वर्ण साठी बटणे जोडा, ग्रंथ एक क्लिक करा मजकूर समावेश संपादक वर प्रदर्शित करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (172459, 208, 33, 'श्रेणी जोडा');
INSERT INTO `lang_definitions` VALUES (172460, 209, 33, 'सतत जोडा');
INSERT INTO `lang_definitions` VALUES (172461, 210, 33, 'संदर्भ जोडा');
INSERT INTO `lang_definitions` VALUES (172462, 211, 33, 'Copay जोडा');
INSERT INTO `lang_definitions` VALUES (172463, 212, 33, 'निकष जोडा');
INSERT INTO `lang_definitions` VALUES (172464, 213, 33, 'सानुकूल बटण जोडा');
INSERT INTO `lang_definitions` VALUES (172465, 216, 33, 'निदान जोडा');
INSERT INTO `lang_definitions` VALUES (172466, 217, 33, 'औषध जोडा');
INSERT INTO `lang_definitions` VALUES (172467, 220, 33, 'चकमकीत जोडा');
INSERT INTO `lang_definitions` VALUES (172468, 221, 33, 'चकमकीत / नोट्स जोडा');
INSERT INTO `lang_definitions` VALUES (172469, 222, 33, 'सुविधा जोडा');
INSERT INTO `lang_definitions` VALUES (172470, 223, 33, 'फील्ड जोडा');
INSERT INTO `lang_definitions` VALUES (172471, 224, 33, 'अपॅची संरचना फाइलमध्ये खालील ओळी जोडा');
INSERT INTO `lang_definitions` VALUES (172472, 225, 33, 'गट जोडा');
INSERT INTO `lang_definitions` VALUES (172473, 227, 33, 'ICD कोड जोडा');
INSERT INTO `lang_definitions` VALUES (172474, 228, 33, 'लसीकरण जोडा');
INSERT INTO `lang_definitions` VALUES (172475, 229, 33, 'जोडा अधिकृत नाही!');
INSERT INTO `lang_definitions` VALUES (172476, 230, 33, 'अंक जोडा');
INSERT INTO `lang_definitions` VALUES (172477, 231, 33, 'ट्रॅक आयटम जोडा');
INSERT INTO `lang_definitions` VALUES (172478, 232, 33, 'भाषा जोडा');
INSERT INTO `lang_definitions` VALUES (172479, 238, 33, 'नवीन जोडा');
INSERT INTO `lang_definitions` VALUES (172480, 239, 33, 'नवीन जोडा');
INSERT INTO `lang_definitions` VALUES (172481, 240, 33, 'नवीन श्रेणी जोडा:');
INSERT INTO `lang_definitions` VALUES (172482, 241, 33, 'अपॅची संरचना फाइल नवीन प्रमाणपत्रे जोडा');
INSERT INTO `lang_definitions` VALUES (172483, 242, 33, 'नवीन घटक जोडा');
INSERT INTO `lang_definitions` VALUES (172484, 243, 33, 'नवीन घटक जोडा');
INSERT INTO `lang_definitions` VALUES (172485, 249, 33, 'नवीन गट जोडा');
INSERT INTO `lang_definitions` VALUES (172486, 250, 33, 'नवीन समस्या जोडा');
INSERT INTO `lang_definitions` VALUES (172487, 251, 33, 'नवीन भरपूर आणि व्यवहार जोडा');
INSERT INTO `lang_definitions` VALUES (172488, 253, 33, 'नवीन टीप जोडण्यासाठी');
INSERT INTO `lang_definitions` VALUES (172489, 254, 33, 'नवीन टीप जोडण्यासाठी');
INSERT INTO `lang_definitions` VALUES (172490, 255, 33, 'नवीन भागीदार जोडा');
INSERT INTO `lang_definitions` VALUES (172491, 256, 33, 'नवीन रुग्णांच्या जोडा');
INSERT INTO `lang_definitions` VALUES (172492, 264, 33, 'टीप जोडा');
INSERT INTO `lang_definitions` VALUES (172493, 268, 33, 'रुग्णांच्या नोंद जोडा');
INSERT INTO `lang_definitions` VALUES (172494, 269, 33, 'नियम जोडा');
INSERT INTO `lang_definitions` VALUES (172495, 270, 33, 'प्रक्रिया जोडा');
INSERT INTO `lang_definitions` VALUES (172496, 271, 33, 'प्रदाता क्रमांक जोडा');
INSERT INTO `lang_definitions` VALUES (172497, 273, 33, 'Rehab जोडा');
INSERT INTO `lang_definitions` VALUES (172498, 274, 33, 'नियम जोडा');
INSERT INTO `lang_definitions` VALUES (172499, 277, 33, 'जोडू');
INSERT INTO `lang_definitions` VALUES (172500, 281, 33, 'औषधोपचार यादी जोडा');
INSERT INTO `lang_definitions` VALUES (172501, 282, 33, 'टॉप लेव्हल जोडा');
INSERT INTO `lang_definitions` VALUES (172502, 283, 33, 'व्यवहार जोडा');
INSERT INTO `lang_definitions` VALUES (172503, 284, 33, 'वापरकर्ता जोडा');
INSERT INTO `lang_definitions` VALUES (172504, 285, 33, 'गट करणे वापरकर्ता जोडा');
INSERT INTO `lang_definitions` VALUES (172505, 287, 33, 'जोडा / संपादित करा eRx');
INSERT INTO `lang_definitions` VALUES (172506, 289, 33, '/ संपादित रुग्णांच्या व्यवहार जोडा');
INSERT INTO `lang_definitions` VALUES (172507, 290, 33, 'जोडले');
INSERT INTO `lang_definitions` VALUES (172508, 293, 33, 'लोकसंख्याशास्त्र जमा करणे अधिकृत नाही.');
INSERT INTO `lang_definitions` VALUES (172509, 294, 33, 'आयटम जोडताना अयशस्वी ट्रॅक');
INSERT INTO `lang_definitions` VALUES (172510, 295, 33, 'एडिसन Syndrom');
INSERT INTO `lang_definitions` VALUES (172511, 296, 33, 'एडिसन सिंड्रोम');
INSERT INTO `lang_definitions` VALUES (172512, 297, 33, 'अतिरिक्त विशेषता');
INSERT INTO `lang_definitions` VALUES (172513, 300, 33, 'अतिरिक्त निदान:');
INSERT INTO `lang_definitions` VALUES (172514, 305, 33, 'अतिरिक्त इतिहास');
INSERT INTO `lang_definitions` VALUES (172515, 306, 33, 'अतिरिक्त इतिहास टिपा');
INSERT INTO `lang_definitions` VALUES (172516, 307, 33, 'अतिरिक्त माहिती');
INSERT INTO `lang_definitions` VALUES (172517, 310, 33, 'अतिरिक्त लॅब');
INSERT INTO `lang_definitions` VALUES (172518, 311, 33, 'अतिरिक्त टिपा');
INSERT INTO `lang_definitions` VALUES (172519, 313, 33, 'हा परिणाम किंवा शिफारस अतिरिक्त टिपा');
INSERT INTO `lang_definitions` VALUES (172520, 314, 33, 'अतिरिक्त टिपा:');
INSERT INTO `lang_definitions` VALUES (172521, 315, 33, 'अतिरिक्त टिपा:');
INSERT INTO `lang_definitions` VALUES (172522, 317, 33, 'अतिरिक्त एक्स-रे टिपा:');
INSERT INTO `lang_definitions` VALUES (172523, 318, 33, 'याव्यतिरिक्त, संबंधित अमेरिकन Snomed विस्तार संकुल Snomed प्रकाशन आंतरराष्ट्रीय (इंग्रजी आवृत्ती) स्थापित केल्यानंतर स्वतंत्रपणे आयात करू शकता');
INSERT INTO `lang_definitions` VALUES (172524, 320, 33, 'addonly');
INSERT INTO `lang_definitions` VALUES (172525, 322, 33, 'प बु');
INSERT INTO `lang_definitions` VALUES (172526, 323, 33, 'प पुस्तक');
INSERT INTO `lang_definitions` VALUES (172527, 324, 33, 'पत्ता');
INSERT INTO `lang_definitions` VALUES (172528, 327, 33, 'अॅड्रेस बुक');
INSERT INTO `lang_definitions` VALUES (172529, 328, 33, 'ही प्रक्रिया करत कंपनी अॅड्रेस बुक प्रवेश');
INSERT INTO `lang_definitions` VALUES (172530, 329, 33, 'वितरक साठी अॅड्रेस बुक प्रवेश');
INSERT INTO `lang_definitions` VALUES (172531, 330, 33, 'विक्रेता साठी अॅड्रेस बुक प्रवेश');
INSERT INTO `lang_definitions` VALUES (172532, 331, 33, 'पुस्तक प्रकार पत्ता');
INSERT INTO `lang_definitions` VALUES (172533, 332, 33, 'पत्ता लेबल');
INSERT INTO `lang_definitions` VALUES (172534, 339, 33, 'पत्ता 1');
INSERT INTO `lang_definitions` VALUES (172535, 340, 33, 'Address2');
INSERT INTO `lang_definitions` VALUES (172536, 342, 33, 'पत्ता');
INSERT INTO `lang_definitions` VALUES (172537, 345, 33, 'Adj');
INSERT INTO `lang_definitions` VALUES (172538, 346, 33, 'Adj रक्कम');
INSERT INTO `lang_definitions` VALUES (172539, 347, 33, 'समायोजित');
INSERT INTO `lang_definitions` VALUES (172540, 348, 33, 'समायोजन');
INSERT INTO `lang_definitions` VALUES (172541, 349, 33, 'समायोजन रक्कम');
INSERT INTO `lang_definitions` VALUES (172542, 350, 33, 'समायोजन कारणे');
INSERT INTO `lang_definitions` VALUES (172543, 352, 33, 'कोड समायोजन मूल्य');
INSERT INTO `lang_definitions` VALUES (172544, 353, 33, 'ऍडजस्ट');
INSERT INTO `lang_definitions` VALUES (172545, 354, 33, 'ADM समायोजित');
INSERT INTO `lang_definitions` VALUES (172546, 355, 33, 'प्रशासन');
INSERT INTO `lang_definitions` VALUES (172547, 356, 33, 'प्रशासन ई-मेल पत्ता');
INSERT INTO `lang_definitions` VALUES (172548, 357, 33, 'मार्गे चालवणे');
INSERT INTO `lang_definitions` VALUES (172549, 359, 33, 'प्रशासित');
INSERT INTO `lang_definitions` VALUES (172550, 360, 33, 'प्रशासित');
INSERT INTO `lang_definitions` VALUES (172551, 361, 33, 'प्रशासित तारीख');
INSERT INTO `lang_definitions` VALUES (172552, 362, 33, 'प्रशासित साइट');
INSERT INTO `lang_definitions` VALUES (172553, 363, 33, 'प्रशासन');
INSERT INTO `lang_definitions` VALUES (172554, 365, 33, 'प्रशासन साइट');
INSERT INTO `lang_definitions` VALUES (172555, 366, 33, 'प्रशासक');
INSERT INTO `lang_definitions` VALUES (172556, 367, 33, 'प्रशासक काहीही करू शकतात');
INSERT INTO `lang_definitions` VALUES (172557, 368, 33, 'तारीख देणे');
INSERT INTO `lang_definitions` VALUES (172558, 371, 33, 'प्रौढ वजन स्क्रीनिंग आणि पाठपुरावा');
INSERT INTO `lang_definitions` VALUES (172559, 372, 33, 'प्रौढ वजन स्क्रिनिंग पाठपुरावा (CQM)');
INSERT INTO `lang_definitions` VALUES (172560, 373, 33, 'आगाऊ निर्देशक');
INSERT INTO `lang_definitions` VALUES (172561, 374, 33, 'आगाऊ निर्देश');
INSERT INTO `lang_definitions` VALUES (172562, 375, 33, 'आगाऊ निर्देश चेतावणी');
INSERT INTO `lang_definitions` VALUES (172563, 377, 33, 'प्रगत');
INSERT INTO `lang_definitions` VALUES (172564, 380, 33, 'सल्ला');
INSERT INTO `lang_definitions` VALUES (172565, 381, 33, 'खूप लांबून');
INSERT INTO `lang_definitions` VALUES (172566, 382, 33, 'सामान्य प्रभाव');
INSERT INTO `lang_definitions` VALUES (172567, 383, 33, 'आफ्रिकान्स');
INSERT INTO `lang_definitions` VALUES (172568, 386, 33, 'तास कॉल केल्यानंतर');
INSERT INTO `lang_definitions` VALUES (172569, 387, 33, 'संकेतशब्द मीठ पूर्ण झाले आहे न वापरकर्ते टेबल मध्ये साठवले जातात जेथे जुना पासवर्ड माध्यमांतून स्थलांतर केल्यानंतर, या ध्वज नवीन पद्धतीने केवळ प्रमाणीकरण शक्य आहे जेणेकरून खोटे वर सेट केले पाहिजे');
INSERT INTO `lang_definitions` VALUES (172570, 388, 33, 'वरील संरचना करत केल्यानंतर, ब्राउझरला प्रशासन क्लायंट प्रमाणपत्र आयात आणि Apache सर्व्हर (रिक्त पासवर्ड) पुन्हा सुरू करा.');
INSERT INTO `lang_definitions` VALUES (172571, 390, 33, 'पीडीएफ जतन केल्यावर, चुका तपासण्यासाठी [पहा लॉग] क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (172572, 393, 33, 'मजकूर फाइल (चे) जतन केल्यावर, चुका तपासण्यासाठी [पहा लॉग] क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (172573, 396, 33, 'आपल्या बॅच जतन केल्यावर, चुका तपासण्यासाठी [पहा लॉग] क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (172574, 398, 33, 'त्यानंतर मॅच स्तंभ तयार करण्यासाठी निवडलेली रुग्ण आयडी दाखवा, किंवा 0 आहे.');
INSERT INTO `lang_definitions` VALUES (172575, 399, 33, 'माहिती योग्यरितीने प्रविष्ट आहे, सेव्ह बटणावर क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (172576, 400, 33, 'बटण क्लिक करा अपलोड केल्यानंतर \"आयात\"');
INSERT INTO `lang_definitions` VALUES (172577, 404, 33, 'उपचार संपल्यावर घेतली जाणारी दक्षता नियोजन');
INSERT INTO `lang_definitions` VALUES (172578, 406, 33, 'पुन्हा');
INSERT INTO `lang_definitions` VALUES (172579, 407, 33, 'वय');
INSERT INTO `lang_definitions` VALUES (172580, 409, 33, 'वय करून');
INSERT INTO `lang_definitions` VALUES (172581, 410, 33, 'वय वर्ग');
INSERT INTO `lang_definitions` VALUES (172582, 411, 33, 'वय डेटा श्रेणी बाहेर आहे.');
INSERT INTO `lang_definitions` VALUES (172583, 412, 33, 'वय प्रदर्शन स्वरूप');
INSERT INTO `lang_definitions` VALUES (172584, 413, 33, 'पासून वय वय स्वरूप वैध नाही');
INSERT INTO `lang_definitions` VALUES (172585, 414, 33, 'पर्यंत वय वय स्वरूप वैध नाही');
INSERT INTO `lang_definitions` VALUES (172586, 415, 33, 'पासून वय');
INSERT INTO `lang_definitions` VALUES (172587, 416, 33, 'प्रदर्शन स्वरूप बदल वर्ष वय');
INSERT INTO `lang_definitions` VALUES (172588, 417, 33, 'वय कमाल');
INSERT INTO `lang_definitions` VALUES (172589, 418, 33, 'वय मि');
INSERT INTO `lang_definitions` VALUES (172590, 419, 33, 'वय श्रेणी');
INSERT INTO `lang_definitions` VALUES (172591, 421, 33, 'स्तंभ वृद्धत्व:');
INSERT INTO `lang_definitions` VALUES (172592, 422, 33, 'अकान');
INSERT INTO `lang_definitions` VALUES (172593, 423, 33, 'अल्बेनियन');
INSERT INTO `lang_definitions` VALUES (172594, 424, 33, 'मद्यार्क');
INSERT INTO `lang_definitions` VALUES (172595, 425, 33, 'मद्य सेवन');
INSERT INTO `lang_definitions` VALUES (172596, 426, 33, 'अल्कोहोल वापर');
INSERT INTO `lang_definitions` VALUES (172597, 428, 33, 'अॅलर्ट संख्या');
INSERT INTO `lang_definitions` VALUES (172598, 435, 33, 'अॅलर्ट');
INSERT INTO `lang_definitions` VALUES (172599, 439, 33, 'अलेउत');
INSERT INTO `lang_definitions` VALUES (172600, 440, 33, 'सर्व');
INSERT INTO `lang_definitions` VALUES (172601, 441, 33, 'सर्व');
INSERT INTO `lang_definitions` VALUES (172602, 443, 33, 'सर्व (Collated स्वरूप अ)');
INSERT INTO `lang_definitions` VALUES (172603, 444, 33, 'सर्व (Collated स्वरूप ब)');
INSERT INTO `lang_definitions` VALUES (172604, 445, 33, 'सर्व (एकूण)');
INSERT INTO `lang_definitions` VALUES (172605, 447, 33, 'सर्व स्वयंचलित माप गणना (एएमसी)');
INSERT INTO `lang_definitions` VALUES (172606, 448, 33, 'सर्व कॅटेगरीज');
INSERT INTO `lang_definitions` VALUES (172607, 449, 33, 'सर्व क्लिनिकल गुणवत्ता उपाय (CQM)');
INSERT INTO `lang_definitions` VALUES (172608, 450, 33, 'सर्व कोड');
INSERT INTO `lang_definitions` VALUES (172609, 453, 33, 'संपूर्ण दिवस');
INSERT INTO `lang_definitions` VALUES (172610, 454, 33, 'सर्व दिवस कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (172611, 455, 33, 'शोध आणि दुप्पट चेक सर्व लोकसंख्याशास्त्र फील्ड,');
INSERT INTO `lang_definitions` VALUES (172612, 457, 33, 'सर्व सुविधा');
INSERT INTO `lang_definitions` VALUES (172613, 458, 33, 'सर्व दुखापती / समस्या / समस्या');
INSERT INTO `lang_definitions` VALUES (172614, 459, 33, 'सर्व भाषा परवानगी');
INSERT INTO `lang_definitions` VALUES (172615, 461, 33, 'सर्व अधिकृत क्लिनिकल गुणवत्ता उपाय (CQM) माप गट');
INSERT INTO `lang_definitions` VALUES (172616, 462, 33, 'पहिले नाव सर्व किंवा काही भाग');
INSERT INTO `lang_definitions` VALUES (172617, 463, 33, 'आडनाव सर्व किंवा काही भाग');
INSERT INTO `lang_definitions` VALUES (172618, 464, 33, 'संस्था सर्व किंवा काही भाग');
INSERT INTO `lang_definitions` VALUES (172619, 466, 33, 'सर्व रुग्णांना');
INSERT INTO `lang_definitions` VALUES (172620, 468, 33, 'सर्व उत्पादने');
INSERT INTO `lang_definitions` VALUES (172621, 469, 33, 'सर्व प्रदाते');
INSERT INTO `lang_definitions` VALUES (172622, 470, 33, 'सर्व पुनरावलोकन आणि नकारात्मक:');
INSERT INTO `lang_definitions` VALUES (172623, 475, 33, 'सर्व विषय');
INSERT INTO `lang_definitions` VALUES (172624, 478, 33, 'सर्व वापरकर्ते');
INSERT INTO `lang_definitions` VALUES (172625, 479, 33, 'असोशी');
INSERT INTO `lang_definitions` VALUES (172626, 481, 33, 'ऍलर्जी');
INSERT INTO `lang_definitions` VALUES (172627, 484, 33, 'ऍलर्जी:');
INSERT INTO `lang_definitions` VALUES (172628, 485, 33, 'ऍलर्जी');
INSERT INTO `lang_definitions` VALUES (172629, 486, 33, 'ऍलर्जी आयात यशस्वीरित्या पूर्ण');
INSERT INTO `lang_definitions` VALUES (172630, 487, 33, 'ऍलर्जी समस्या सूची');
INSERT INTO `lang_definitions` VALUES (172631, 488, 33, 'ऍलर्जी प्रतिक्रिया');
INSERT INTO `lang_definitions` VALUES (172632, 491, 33, 'वाटप');
INSERT INTO `lang_definitions` VALUES (172633, 492, 33, 'परवानगी द्या');
INSERT INTO `lang_definitions` VALUES (172634, 494, 33, 'लॉगिन मेनू वर पर्याय म्हणून सर्व उपलब्ध भाषा परवानगी द्या.');
INSERT INTO `lang_definitions` VALUES (172635, 496, 33, 'निदान पण नाही कार्यपद्धती किंवा आकार असलेली दावे निर्मितीस अनुमती द्या. सर्वाधिक दवाखाने हे करायचे नाही.');
INSERT INTO `lang_definitions` VALUES (172636, 497, 33, 'परवानगी द्या डिबगिंग भाषा');
INSERT INTO `lang_definitions` VALUES (172637, 500, 33, 'ईमेल परवानगी द्या');
INSERT INTO `lang_definitions` VALUES (172638, 501, 33, 'ईमेल संदेश अनुमती द्यायची?');
INSERT INTO `lang_definitions` VALUES (172639, 502, 33, 'ईमेल अनुमती द्यायची?');
INSERT INTO `lang_definitions` VALUES (172640, 503, 33, 'चकमकीत दावे परवानगी द्या');
INSERT INTO `lang_definitions` VALUES (172641, 506, 33, 'आरोग्य माहिती एक्सचेंज परवानगी द्या');
INSERT INTO `lang_definitions` VALUES (172642, 508, 33, 'परवानगी द्या लसीकरण माहिती शेअरिंग');
INSERT INTO `lang_definitions` VALUES (172643, 509, 33, 'परवानगी द्या लसीकरण नोंदणी वापरा');
INSERT INTO `lang_definitions` VALUES (172644, 512, 33, 'मेल संदेश परवानगी द्या');
INSERT INTO `lang_definitions` VALUES (172645, 533, 33, 'रुग्णांच्या पोर्टल परवानगी द्या');
INSERT INTO `lang_definitions` VALUES (172646, 541, 33, 'एसएमएस परवानगी द्या');
INSERT INTO `lang_definitions` VALUES (172647, 542, 33, 'SMS (मजकूर संदेश) अनुमती द्यायची?');
INSERT INTO `lang_definitions` VALUES (172648, 544, 33, 'सादर घटना त्वरित सक्रिय केले करण्याची परवानगी द्यायची?');
INSERT INTO `lang_definitions` VALUES (172649, 545, 33, 'टेलिफोन संदेश अनुमती द्यायची?');
INSERT INTO `lang_definitions` VALUES (172650, 547, 33, 'वापरकर्ते जागतिक घडामोडी प्रकाशित करण्याची परवानगी द्या');
INSERT INTO `lang_definitions` VALUES (172651, 548, 33, 'वापरकर्ते वैयक्तिक कॅलेंडर प्रकाशित करण्याची परवानगी द्या');
INSERT INTO `lang_definitions` VALUES (172652, 554, 33, 'परवानगी द्या आवाज संदेश');
INSERT INTO `lang_definitions` VALUES (172653, 555, 33, 'परवानगी');
INSERT INTO `lang_definitions` VALUES (172654, 556, 33, 'परवानगी भाषा');
INSERT INTO `lang_definitions` VALUES (172655, 558, 33, 'परवानगी (क)');
INSERT INTO `lang_definitions` VALUES (172656, 559, 33, 'संपूर्ण चकमकीत ई-साइन इन करा परवानगी देते');
INSERT INTO `lang_definitions` VALUES (172657, 560, 33, 'अनुमती देते वैयक्तिक अर्ज ई-साइन इन');
INSERT INTO `lang_definitions` VALUES (172658, 561, 33, 'मेल अनुमती देते');
INSERT INTO `lang_definitions` VALUES (172659, 562, 33, 'आवाज संदेश अनुमती देते');
INSERT INTO `lang_definitions` VALUES (172660, 566, 33, 'आधिपासूनच अस्तित्वात आहे');
INSERT INTO `lang_definitions` VALUES (172661, 568, 33, 'आधिपासूनच अस्तित्वात आहे.');
INSERT INTO `lang_definitions` VALUES (172662, 570, 33, 'आधीच दुसर्या अभिज्ञापक निवडा, वापरले');
INSERT INTO `lang_definitions` VALUES (172663, 571, 33, 'आधीच दुसर्या शीर्षक निवडा, वापरले');
INSERT INTO `lang_definitions` VALUES (172664, 573, 33, 'Alt पत्ता');
INSERT INTO `lang_definitions` VALUES (172665, 577, 33, 'बदल');
INSERT INTO `lang_definitions` VALUES (172666, 584, 33, 'वैकल्पिकरित्या, तुम्ही इलेक्ट्रॉनिक पाठवण्याच्या (X12 835) आपण आपल्या देणारा किंवा त्याचे श्रेय क्लिअरींग पासून प्राप्त केली आहे फाइल अपलोड करण्यासाठी शोध पृष्ठ वापरू शकतो. आपण ब्राउझ करा बटण क्लिक करा आणि अपलोड करण्यासाठी फाइल निवडून, आणि नंतर अपलोड सुरू आणि संबंधित पावत्या प्रदर्शित शोध क्लिक करून हे करू शकता. या प्रकरणात इतर घटक लागू होत नाही हे वर नमूद केलेल्या आणि दुर्लक्ष केले जाईल. फाइल अपलोड वाचते पण अद्याप त्यातील सामग्री प्रक्रिया नाही - खालील माणे स्वतंत्रपणे केले आहे.');
INSERT INTO `lang_definitions` VALUES (172667, 586, 33, 'सकाळी');
INSERT INTO `lang_definitions` VALUES (172668, 587, 33, 'सकाळी कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (172669, 592, 33, 'एएमसी');
INSERT INTO `lang_definitions` VALUES (172670, 593, 33, 'एएमसी ट्रॅकिंग');
INSERT INTO `lang_definitions` VALUES (172671, 594, 33, 'एएमसी-2011');
INSERT INTO `lang_definitions` VALUES (172672, 595, 33, 'एएमसी-2014');
INSERT INTO `lang_definitions` VALUES (172673, 600, 33, 'विद्यमान टीप बदल');
INSERT INTO `lang_definitions` VALUES (172674, 602, 33, 'पासून दुरुस्ती');
INSERT INTO `lang_definitions` VALUES (172675, 604, 33, 'दुरुस्ती स्थिती');
INSERT INTO `lang_definitions` VALUES (172676, 605, 33, 'संशोधन');
INSERT INTO `lang_definitions` VALUES (172677, 609, 33, 'साठी संशोधन');
INSERT INTO `lang_definitions` VALUES (172678, 610, 33, 'अमेरिकन भारतीय');
INSERT INTO `lang_definitions` VALUES (172679, 611, 33, 'अमेरिकन भारतीय किंवा अलास्का नेटिव्ह');
INSERT INTO `lang_definitions` VALUES (172680, 612, 33, 'एमेक्स');
INSERT INTO `lang_definitions` VALUES (172681, 613, 33, 'अम्हारिक');
INSERT INTO `lang_definitions` VALUES (172682, 614, 33, 'रक्कम');
INSERT INTO `lang_definitions` VALUES (172683, 615, 33, 'रक्कम प्रशासित');
INSERT INTO `lang_definitions` VALUES (172684, 617, 33, 'रक्कम शुल्क');
INSERT INTO `lang_definitions` VALUES (172685, 620, 33, 'मागील शिल्लक रक्कम');
INSERT INTO `lang_definitions` VALUES (172686, 621, 33, 'या भेटीची रक्कम');
INSERT INTO `lang_definitions` VALUES (172687, 622, 33, 'अदा केलेली रक्कम');
INSERT INTO `lang_definitions` VALUES (172688, 623, 33, 'रक्कम:');
INSERT INTO `lang_definitions` VALUES (172689, 626, 33, 'रक्कम बिल');
INSERT INTO `lang_definitions` VALUES (172690, 630, 33, 'प्रारंभ तारीख पेक्षा नंतर समाप्ती तारीख पुनरावृत्ती घटना आवश्यक आहे!');
INSERT INTO `lang_definitions` VALUES (172691, 631, 33, 'एक त्रुटी फॉर्म साइन इन आली');
INSERT INTO `lang_definitions` VALUES (172692, 632, 33, 'OpenEMR वेब निर्देशिका झाड डम्पिंग करताना एक त्रुटी आली');
INSERT INTO `lang_definitions` VALUES (172693, 633, 33, 'PhpGACL वेब निर्देशिका झाड डम्पिंग करताना एक त्रुटी आली');
INSERT INTO `lang_definitions` VALUES (172694, 634, 33, 'एस क्यू एल-लेजर वेब निर्देशिका झाड डम्पिंग करताना एक त्रुटी आली');
INSERT INTO `lang_definitions` VALUES (172695, 638, 33, 'अपूर्ण GCAC समस्या तयार केले आणि दुवा साधला गेला आहे. कोणीतरी नंतर पूर्ण करणे आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (172696, 644, 33, 'एक अनपेक्षित त्रुटी आली आहे.');
INSERT INTO `lang_definitions` VALUES (172697, 646, 33, 'एक लोअरकेस पत्र');
INSERT INTO `lang_definitions` VALUES (172698, 648, 33, 'आणि');
INSERT INTO `lang_definitions` VALUES (172699, 649, 33, 'आणि');
INSERT INTO `lang_definitions` VALUES (172700, 650, 33, 'आणि');
INSERT INTO `lang_definitions` VALUES (172701, 651, 33, 'आणि');
INSERT INTO `lang_definitions` VALUES (172702, 652, 33, 'आणि सर्व गौण डेटा? ही क्रिया लॉग इन केले जाईल');
INSERT INTO `lang_definitions` VALUES (172703, 653, 33, 'आणि सुधारक');
INSERT INTO `lang_definitions` VALUES (172704, 654, 33, 'आणि प्रक्रिया.');
INSERT INTO `lang_definitions` VALUES (172705, 656, 33, 'आणि Apache सर्व्हर पुन्हा सुरू करा.');
INSERT INTO `lang_definitions` VALUES (172706, 657, 33, 'आणि कारण आहे');
INSERT INTO `lang_definitions` VALUES (172707, 659, 33, 'अशक्तपणा');
INSERT INTO `lang_definitions` VALUES (172708, 660, 33, 'पायाचा घोटा');
INSERT INTO `lang_definitions` VALUES (172709, 661, 33, 'पायाचा घोटा + टाच');
INSERT INTO `lang_definitions` VALUES (172710, 662, 33, 'पायाचा घोटा मूल्यांकन फॉर्म');
INSERT INTO `lang_definitions` VALUES (172711, 663, 33, 'पायाचा घोटा समस्या');
INSERT INTO `lang_definitions` VALUES (172712, 664, 33, 'Ankylosing Sondlilitis');
INSERT INTO `lang_definitions` VALUES (172713, 665, 33, 'Ankylosing Spondlilitis');
INSERT INTO `lang_definitions` VALUES (172714, 666, 33, 'भूक मंदावणे');
INSERT INTO `lang_definitions` VALUES (172715, 667, 33, 'तुम्ही पोस्टिंग विंडो मध्ये करू शकता आणखी एक गोष्ट दुय्यम बिलिंग विनंती आहे. आपण जतन करण्यापूर्वी हा चेकबॉक्स निवडा असेल, तर मूळ हक्क पुन्हा उघडले आणि बिलिंग पृष्ठावरील रांगेत, आणि पुढील बिलिंग रन प्रक्रिया केली जाईल जाईल.');
INSERT INTO `lang_definitions` VALUES (172716, 671, 33, 'आधीचा');
INSERT INTO `lang_definitions` VALUES (172717, 676, 33, 'गुद्द्वार नॅथन, नाही मलमार्गविषयक प्रेमळपणा / वस्तुमान');
INSERT INTO `lang_definitions` VALUES (172718, 677, 33, 'काळजी');
INSERT INTO `lang_definitions` VALUES (172719, 679, 33, 'कोणतीही');
INSERT INTO `lang_definitions` VALUES (172720, 682, 33, 'कोणतीही वर्ग');
INSERT INTO `lang_definitions` VALUES (172721, 688, 33, 'इच्छित कोड किंवा त्याचे वर्णन काही भाग');
INSERT INTO `lang_definitions` VALUES (172722, 689, 33, 'इच्छित विशेष काही भाग');
INSERT INTO `lang_definitions` VALUES (172723, 690, 33, 'औषध आयडी किंवा औषध नाव काही भाग');
INSERT INTO `lang_definitions` VALUES (172724, 691, 33, 'लसीकरण आयडी किंवा लसीकरण नाव काही भाग');
INSERT INTO `lang_definitions` VALUES (172725, 692, 33, 'रुग्ण नाव काही भाग, किंवा  \"गेल्या, प्रथम \", किंवा  \"XY \"');
INSERT INTO `lang_definitions` VALUES (172726, 693, 33, 'Anyother संबंधित माहिती');
INSERT INTO `lang_definitions` VALUES (172727, 699, 33, 'एसएमएस गेटवे API की.');
INSERT INTO `lang_definitions` VALUES (172728, 703, 33, 'श्वसनक्रिया बंद होणे');
INSERT INTO `lang_definitions` VALUES (172729, 710, 33, 'स्वरूप');
INSERT INTO `lang_definitions` VALUES (172730, 711, 33, 'स्वरूप:');
INSERT INTO `lang_definitions` VALUES (172731, 714, 33, 'ही टीप जोडा');
INSERT INTO `lang_definitions` VALUES (172732, 716, 33, 'विद्यमान नोंद करण्यासाठी जोडा');
INSERT INTO `lang_definitions` VALUES (172733, 717, 33, 'या टिपेवर जोडा');
INSERT INTO `lang_definitions` VALUES (172734, 718, 33, 'या टीप जोडा');
INSERT INTO `lang_definitions` VALUES (172735, 719, 33, 'आंत्रपुच्छ काढून टाकणे');
INSERT INTO `lang_definitions` VALUES (172736, 720, 33, 'आंत्रपुच्छ काढून टाकणे');
INSERT INTO `lang_definitions` VALUES (172737, 721, 33, 'लागू रुग्णांना');
INSERT INTO `lang_definitions` VALUES (172738, 722, 33, 'अर्ज');
INSERT INTO `lang_definitions` VALUES (172739, 723, 33, 'लॉग इन पृष्ठ मुख्य विंडो शीर्षक अर्ज नाव.');
INSERT INTO `lang_definitions` VALUES (172740, 724, 33, 'अर्ज स्वीकारणारा कोड (GS03 - रिक्त ISA08 वापरले जाईल असेल तर)');
INSERT INTO `lang_definitions` VALUES (172741, 725, 33, 'अर्ज प्रेषक कोड (GS02)');
INSERT INTO `lang_definitions` VALUES (172742, 726, 33, 'अर्ज शीर्षक');
INSERT INTO `lang_definitions` VALUES (172743, 727, 33, 'मर्मस्थाने फॉर्म आणि वाढ चार्ट लागू');
INSERT INTO `lang_definitions` VALUES (172744, 728, 33, 'मर्मस्थाने फॉर्म लागू');
INSERT INTO `lang_definitions` VALUES (172745, 729, 33, 'या फक्त वर्तमान कार्यक्रमात बदल, आणि सर्व भविष्यातील घटना, किंवा सर्व घटना लागू करा?');
INSERT INTO `lang_definitions` VALUES (172746, 730, 33, 'प्रभावित क्षेत्र लागू');
INSERT INTO `lang_definitions` VALUES (172747, 731, 33, 'त्वचा लागू');
INSERT INTO `lang_definitions` VALUES (172748, 732, 33, 'अर्ज');
INSERT INTO `lang_definitions` VALUES (172749, 733, 33, 'साइटवर ठिगळ अर्ज');
INSERT INTO `lang_definitions` VALUES (172750, 734, 33, 'नियुक्ती');
INSERT INTO `lang_definitions` VALUES (172751, 736, 33, 'नियुक्ती तारीख');
INSERT INTO `lang_definitions` VALUES (172752, 742, 33, 'नियुक्ती प्रदर्शन शैली');
INSERT INTO `lang_definitions` VALUES (172753, 744, 33, 'नियुक्ती स्मरणपत्र नियम');
INSERT INTO `lang_definitions` VALUES (172754, 746, 33, 'नियुक्ती स्थिती');
INSERT INTO `lang_definitions` VALUES (172755, 747, 33, 'नियुक्ती पुतळे');
INSERT INTO `lang_definitions` VALUES (172756, 748, 33, 'आत नियुक्ती');
INSERT INTO `lang_definitions` VALUES (172757, 749, 33, 'नियुक्ती / इव्हेंट रंग');
INSERT INTO `lang_definitions` VALUES (172758, 750, 33, 'भेटी');
INSERT INTO `lang_definitions` VALUES (172759, 751, 33, 'भेटी (पर्यायी लिहा)');
INSERT INTO `lang_definitions` VALUES (172760, 752, 33, 'नियुक्ती (राइट, पर्यायी wsome)');
INSERT INTO `lang_definitions` VALUES (172761, 758, 33, 'भेटी आणि Encounters');
INSERT INTO `lang_definitions` VALUES (172762, 760, 33, 'भेटी अहवाल');
INSERT INTO `lang_definitions` VALUES (172763, 761, 33, 'भेटी-Encounters अहवाल');
INSERT INTO `lang_definitions` VALUES (172764, 764, 33, 'मंजूर');
INSERT INTO `lang_definitions` VALUES (172765, 766, 33, 'रुग्णांच्या / Client-> Import-> प्रलंबित मंजूरी पासून रुग्णाला मंजूर');
INSERT INTO `lang_definitions` VALUES (172766, 767, 33, 'मंजूर');
INSERT INTO `lang_definitions` VALUES (172767, 768, 33, 'मंजूर आगामी कार्यक्रम प्रशासन');
INSERT INTO `lang_definitions` VALUES (172768, 769, 33, 'यशस्वीरित्या मंजूर');
INSERT INTO `lang_definitions` VALUES (172769, 774, 33, 'Appt-Enc');
INSERT INTO `lang_definitions` VALUES (172770, 776, 33, 'Appts');
INSERT INTO `lang_definitions` VALUES (172771, 779, 33, 'एप्रिल');
INSERT INTO `lang_definitions` VALUES (172772, 780, 33, 'एप्रिल');
INSERT INTO `lang_definitions` VALUES (172773, 782, 33, 'अरबी');
INSERT INTO `lang_definitions` VALUES (172774, 783, 33, 'अर्गोनीज');
INSERT INTO `lang_definitions` VALUES (172775, 784, 33, 'संग्रहण');
INSERT INTO `lang_definitions` VALUES (172776, 787, 33, 'अनुवादित केले प्रवेश नियंत्रण गट नावे आहेत?');
INSERT INTO `lang_definitions` VALUES (172777, 788, 33, 'नियुक्ती श्रेणी नावे अनुवादित केले आहेत का?');
INSERT INTO `lang_definitions` VALUES (172778, 789, 33, 'दस्तऐवज श्रेणी नावे अनुवादित केले आहेत का?');
INSERT INTO `lang_definitions` VALUES (172779, 790, 33, 'शुल्क हा प्रकार आकारले जातात?');
INSERT INTO `lang_definitions` VALUES (172780, 793, 33, 'अनुवादित केले रुग्णाला नोंद शीर्षके आहेत?');
INSERT INTO `lang_definitions` VALUES (172781, 794, 33, 'कोड बाह्य एस क्यू एल सपाट दगडी पाट्या (0-नाही, 1-ICD10, 2-SNOMED (RF1), 3-SNOMED (RF2)) मध्ये संग्रहित आहेत?');
INSERT INTO `lang_definitions` VALUES (172782, 795, 33, 'आपण या भेट एक नवीन GCAC समस्या पूर्ण करण्यासाठी तयार आहेत?');
INSERT INTO `lang_definitions` VALUES (172783, 797, 33, 'आपण आज पोस्ट खात्री आहे?');
INSERT INTO `lang_definitions` VALUES (172784, 798, 33, 'आपण या घटना मंजूर करू इच्छिता आपल्याला खात्री आहे?');
INSERT INTO `lang_definitions` VALUES (172785, 801, 33, 'आपण पूर्णपणे हा फॉर्म काढू इच्छिता आपल्याला खात्री आहे?');
INSERT INTO `lang_definitions` VALUES (172786, 803, 33, 'आपण हटवू इच्छिता खात्री आहे की');
INSERT INTO `lang_definitions` VALUES (172787, 804, 33, 'आपण हे उघड हटवू इच्छिता आपल्याला खात्री आहे?');
INSERT INTO `lang_definitions` VALUES (172788, 805, 33, 'आपण हा कार्यक्रम हटवू इच्छिता आपल्याला खात्री आहे?');
INSERT INTO `lang_definitions` VALUES (172789, 806, 33, 'आपण डेटाबेस हा आयटम हटवू इच्छिता आपल्याला खात्री आहे?');
INSERT INTO `lang_definitions` VALUES (172790, 808, 33, 'आपण ही नोट हटवू इच्छिता आपल्याला खात्री आहे?');
INSERT INTO `lang_definitions` VALUES (172791, 810, 33, 'आपण या घटना संपादित करू इच्छित आपल्याला खात्री आहे?');
INSERT INTO `lang_definitions` VALUES (172792, 811, 33, 'आपण या घटना लपवू इच्छित आपल्याला खात्री आहे?');
INSERT INTO `lang_definitions` VALUES (172793, 813, 33, 'आपण पुन्हा ते प्रसारित करू इच्छित आपल्याला खात्री आहे?');
INSERT INTO `lang_definitions` VALUES (172794, 814, 33, 'आपण या घटना पाहू इच्छित आपल्याला खात्री आहे?');
INSERT INTO `lang_definitions` VALUES (172795, 815, 33, 'आपण नाव संपूर्ण गट हटवू इच्छित आपली खात्री आहे की');
INSERT INTO `lang_definitions` VALUES (172796, 816, 33, 'आपण संपूर्ण यादी हटवू इच्छित आपली खात्री आहे की');
INSERT INTO `lang_definitions` VALUES (172797, 817, 33, 'आपण क्षेत्रात हटवू इच्छित आपली खात्री आहे की');
INSERT INTO `lang_definitions` VALUES (172798, 818, 33, 'आपण निवडलेल्या शेतात हटवू इच्छित आपल्याला खात्री आहे?');
INSERT INTO `lang_definitions` VALUES (172799, 819, 33, 'आपण आपली खात्री आहे की  \'या क्रिया सुरू करू इच्छितो?');
INSERT INTO `lang_definitions` VALUES (172800, 820, 33, 'क्षेत्र निर्दिष्ट नाही');
INSERT INTO `lang_definitions` VALUES (172801, 821, 33, 'हाताचा');
INSERT INTO `lang_definitions` VALUES (172802, 822, 33, 'आर्मेनियन');
INSERT INTO `lang_definitions` VALUES (172803, 829, 33, 'Arrythmia');
INSERT INTO `lang_definitions` VALUES (172804, 830, 33, 'संधिवात');
INSERT INTO `lang_definitions` VALUES (172805, 831, 33, 'संधिवात / degen संयुक्त diseas');
INSERT INTO `lang_definitions` VALUES (172806, 832, 33, 'संधिवात / degen संयुक्त रोग');
INSERT INTO `lang_definitions` VALUES (172807, 836, 33, 'म्हणून');
INSERT INTO `lang_definitions` VALUES (172808, 838, 33, 'आतापर्यंत');
INSERT INTO `lang_definitions` VALUES (172809, 844, 33, 'ASC');
INSERT INTO `lang_definitions` VALUES (172810, 845, 33, 'आशियाई');
INSERT INTO `lang_definitions` VALUES (172811, 846, 33, 'आसामी');
INSERT INTO `lang_definitions` VALUES (172812, 848, 33, 'मूल्यांकन');
INSERT INTO `lang_definitions` VALUES (172813, 853, 33, 'नियुक्त');
INSERT INTO `lang_definitions` VALUES (172814, 854, 33, 'सहाय्यक');
INSERT INTO `lang_definitions` VALUES (172815, 861, 33, 'दमा');
INSERT INTO `lang_definitions` VALUES (172816, 862, 33, 'येथे');
INSERT INTO `lang_definitions` VALUES (172817, 863, 33, 'तुम्ही सर्व निवडा तर कमीत कमी एक शोध घटक आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (172818, 866, 33, 'होडीच्या आकाराचे वेळी');
INSERT INTO `lang_definitions` VALUES (172819, 867, 33, 'होडीच्या आकाराचे वेळी:');
INSERT INTO `lang_definitions` VALUES (172820, 868, 33, 'मैदानी खेळ किंवा खेळाडूविषयक संघ');
INSERT INTO `lang_definitions` VALUES (172821, 869, 33, 'मैदानी खेळ किंवा खेळाडूविषयक टीम');
INSERT INTO `lang_definitions` VALUES (172822, 870, 33, 'मैदानी खेळ किंवा खेळाडूविषयक / इजा');
INSERT INTO `lang_definitions` VALUES (172823, 871, 33, 'ATNA ऑडिट CA प्रमाणपत्र');
INSERT INTO `lang_definitions` VALUES (172824, 872, 33, 'ATNA ऑडिट यजमान');
INSERT INTO `lang_definitions` VALUES (172825, 873, 33, 'ATNA ऑडिट स्थानिक प्रमाणपत्र');
INSERT INTO `lang_definitions` VALUES (172826, 874, 33, 'ATNA ऑडिट पोर्ट');
INSERT INTO `lang_definitions` VALUES (172827, 877, 33, 'लक्ष');
INSERT INTO `lang_definitions` VALUES (172828, 879, 33, 'लक्ष द्या');
INSERT INTO `lang_definitions` VALUES (172829, 883, 33, 'CDR इंजिन क्वेरी ऑडिट');
INSERT INTO `lang_definitions` VALUES (172830, 885, 33, 'ऑडिट लॉग लुडबुड');
INSERT INTO `lang_definitions` VALUES (172831, 886, 33, 'लॉग लुडबुड अहवाल ऑडिट');
INSERT INTO `lang_definitions` VALUES (172832, 890, 33, 'ऑडिट लॉग साठवत');
INSERT INTO `lang_definitions` VALUES (172833, 891, 33, 'ऑडिट लॉग विविध');
INSERT INTO `lang_definitions` VALUES (172834, 892, 33, 'ऑडिट लॉग ऑर्डर');
INSERT INTO `lang_definitions` VALUES (172835, 893, 33, 'ऑडिट लॉग रुग्णांच्या नोंद');
INSERT INTO `lang_definitions` VALUES (172836, 894, 33, 'ऑडिट लॉग शेड्युलिंग');
INSERT INTO `lang_definitions` VALUES (172837, 895, 33, 'ऑडिट लॉग सुरक्षा प्रशासन');
INSERT INTO `lang_definitions` VALUES (172838, 896, 33, 'निवडा क्वेरी लॉग इन ऑडिट');
INSERT INTO `lang_definitions` VALUES (172839, 898, 33, 'ऑगस्ट');
INSERT INTO `lang_definitions` VALUES (172840, 899, 33, 'ऑगस्ट');
INSERT INTO `lang_definitions` VALUES (172841, 901, 33, 'प्रमाणिकरण');
INSERT INTO `lang_definitions` VALUES (172842, 902, 33, 'प्रमाणिकरण / नोट्स');
INSERT INTO `lang_definitions` VALUES (172843, 922, 33, 'प्राधिकृत गट');
INSERT INTO `lang_definitions` VALUES (172844, 923, 33, 'प्राधिकृत स्थिती');
INSERT INTO `lang_definitions` VALUES (172845, 924, 33, 'अधिकृत');
INSERT INTO `lang_definitions` VALUES (172846, 925, 33, 'अधिकृत');
INSERT INTO `lang_definitions` VALUES (172847, 926, 33, 'अधिकृत - कोणत्याही चकमकी');
INSERT INTO `lang_definitions` VALUES (172848, 928, 33, 'अधिकृत - माझ्या चकमकी');
INSERT INTO `lang_definitions` VALUES (172849, 933, 33, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (172850, 934, 33, 'अधिकृत');
INSERT INTO `lang_definitions` VALUES (172851, 936, 33, 'फक्त अधिकृत');
INSERT INTO `lang_definitions` VALUES (172852, 941, 33, 'ऑटो पाठवा');
INSERT INTO `lang_definitions` VALUES (172853, 944, 33, 'नवी Encounters ऑटो-तयार करा');
INSERT INTO `lang_definitions` VALUES (172854, 945, 33, 'स्वयं-व्युत्पन्न');
INSERT INTO `lang_definitions` VALUES (172855, 947, 33, 'स्वयंचलित माप गणना (एएमसी)');
INSERT INTO `lang_definitions` VALUES (172856, 948, 33, 'स्वयंचलित माप गणना (एएमसी) - 2011');
INSERT INTO `lang_definitions` VALUES (172857, 949, 33, 'स्वयंचलित माप गणना (एएमसी) - 2014');
INSERT INTO `lang_definitions` VALUES (172858, 952, 33, 'स्वयंचलित माप गणना (एएमसी) ट्रॅकिंग');
INSERT INTO `lang_definitions` VALUES (172859, 953, 33, 'स्वयंचलित उपाय (एएमसी)');
INSERT INTO `lang_definitions` VALUES (172860, 955, 33, 'स्वयंचलित');
INSERT INTO `lang_definitions` VALUES (172861, 959, 33, 'नियुक्ती स्थिती सेट केल्यावर स्वयंचलितपणे एक नवीन चकमकीत तयार \"@\" (आगमन).');
INSERT INTO `lang_definitions` VALUES (172862, 962, 33, 'ऑटोमोबाइल वैद्यकीय');
INSERT INTO `lang_definitions` VALUES (172863, 964, 33, 'स्वयंजतन');
INSERT INTO `lang_definitions` VALUES (172864, 967, 33, 'उपलब्ध श्रेणी');
INSERT INTO `lang_definitions` VALUES (172865, 971, 33, 'उपलब्ध टाइम्स');
INSERT INTO `lang_definitions` VALUES (172866, 972, 33, 'उपलब्ध ट्रॅक');
INSERT INTO `lang_definitions` VALUES (172867, 973, 33, 'अॅव्हेरिक');
INSERT INTO `lang_definitions` VALUES (172868, 974, 33, 'डाव्या nav स्क्रीन मध्ये पॉपअप पासून रुग्ण लेबले छपाई साठी Avery Label प्रकार');
INSERT INTO `lang_definitions` VALUES (172869, 975, 33, 'अवेस्तन');
INSERT INTO `lang_definitions` VALUES (172870, 976, 33, 'सरासरी मासिक');
INSERT INTO `lang_definitions` VALUES (172871, 980, 33, 'एका भागापासून दुसरा भाग फाटुन निघणे / एका भागापासून दुसरा भाग फाटुन निघणे फ्रॅक्चर');
INSERT INTO `lang_definitions` VALUES (172872, 981, 33, 'एका भागापासून दुसरा भाग फाटुन निघणे बाजूकडील घोटा');
INSERT INTO `lang_definitions` VALUES (172873, 982, 33, 'एका भागापासून दुसरा भाग फाटुन निघणे सरासरीचा घोटा');
INSERT INTO `lang_definitions` VALUES (172874, 983, 33, 'जागृती आधारित');
INSERT INTO `lang_definitions` VALUES (172875, 985, 33, 'Axillary');
INSERT INTO `lang_definitions` VALUES (172876, 990, 33, 'आयमरा');
INSERT INTO `lang_definitions` VALUES (172877, 991, 33, 'अझरबैजानी');
INSERT INTO `lang_definitions` VALUES (172878, 992, 33, 'b.i.d.');
INSERT INTO `lang_definitions` VALUES (172879, 993, 33, 'मागे');
INSERT INTO `lang_definitions` VALUES (172880, 994, 33, 'परत');
INSERT INTO `lang_definitions` VALUES (172881, 995, 33, 'मागे आठ भेटी');
INSERT INTO `lang_definitions` VALUES (172882, 996, 33, 'मागे अकरा भेटी');
INSERT INTO `lang_definitions` VALUES (172883, 997, 33, 'मागे पाच भेटी');
INSERT INTO `lang_definitions` VALUES (172884, 998, 33, 'मागे चार भेटी');
INSERT INTO `lang_definitions` VALUES (172885, 999, 33, 'मागे नऊ भेटी');
INSERT INTO `lang_definitions` VALUES (172886, 1000, 33, 'परत एक भेट');
INSERT INTO `lang_definitions` VALUES (172887, 1001, 33, 'पाठदुखी');
INSERT INTO `lang_definitions` VALUES (172888, 1002, 33, 'मागे समस्या');
INSERT INTO `lang_definitions` VALUES (172889, 1003, 33, 'मागे सात भेटी');
INSERT INTO `lang_definitions` VALUES (172890, 1004, 33, 'सहा भेटी');
INSERT INTO `lang_definitions` VALUES (172891, 1005, 33, 'मागे शस्त्रक्रिया');
INSERT INTO `lang_definitions` VALUES (172892, 1006, 33, 'मागे दहा भेटी');
INSERT INTO `lang_definitions` VALUES (172893, 1007, 33, 'तीन भेटी');
INSERT INTO `lang_definitions` VALUES (172894, 1008, 33, 'परत प्रशासन पृष्ठ');
INSERT INTO `lang_definitions` VALUES (172895, 1011, 33, 'परत सामना करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (172896, 1012, 33, 'परत रुग्णाला');
INSERT INTO `lang_definitions` VALUES (172897, 1013, 33, 'मागे रुग्णांच्या करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (172898, 1015, 33, 'परत वापरकर्ते');
INSERT INTO `lang_definitions` VALUES (172899, 1016, 33, 'मागे पहा करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (172900, 1017, 33, 'मागे बारा भेटी');
INSERT INTO `lang_definitions` VALUES (172901, 1018, 33, 'परत दोन भेटी');
INSERT INTO `lang_definitions` VALUES (172902, 1019, 33, 'पार्श्वभूमी सेवा');
INSERT INTO `lang_definitions` VALUES (172903, 1020, 33, 'बॅकअप');
INSERT INTO `lang_definitions` VALUES (172904, 1022, 33, 'बॅकअप फाइल तयार करण्यात आली आहे. आता डाउनलोड पाठवेल.');
INSERT INTO `lang_definitions` VALUES (172905, 1023, 33, 'बॅकअप यादी');
INSERT INTO `lang_definitions` VALUES (172906, 1024, 33, 'बॅकअप यशस्वीरित्या घेतले');
INSERT INTO `lang_definitions` VALUES (172907, 1025, 33, 'खराब तपासणी');
INSERT INTO `lang_definitions` VALUES (172908, 1026, 33, 'खराब कर्ज');
INSERT INTO `lang_definitions` VALUES (172909, 1027, 33, 'बहासा इंडोनेशिया');
INSERT INTO `lang_definitions` VALUES (172910, 1028, 33, 'बाळ');
INSERT INTO `lang_definitions` VALUES (172911, 1031, 33, 'शिल्लक');
INSERT INTO `lang_definitions` VALUES (172912, 1032, 33, 'शिल्लक');
INSERT INTO `lang_definitions` VALUES (172913, 1033, 33, 'शिल्लक रक्कम');
INSERT INTO `lang_definitions` VALUES (172914, 1034, 33, 'शिल्लक मुळे');
INSERT INTO `lang_definitions` VALUES (172915, 1037, 33, 'बाम्बारा');
INSERT INTO `lang_definitions` VALUES (172916, 1038, 33, 'बँक ड्राफ्ट');
INSERT INTO `lang_definitions` VALUES (172917, 1039, 33, 'बारकोड लेबल');
INSERT INTO `lang_definitions` VALUES (172918, 1040, 33, 'बारकोड लेबल प्रकार');
INSERT INTO `lang_definitions` VALUES (172919, 1041, 33, 'डाव्या एनएव्ही स्क्रीन मध्ये पॉपअप पासून बारकोड लेबल छपाई साठी बारकोड प्रकार.');
INSERT INTO `lang_definitions` VALUES (172920, 1042, 33, 'पाचव्या (5) पाया Metarsal');
INSERT INTO `lang_definitions` VALUES (172921, 1043, 33, 'पाचव्या (5) Metarsal पाया:');
INSERT INTO `lang_definitions` VALUES (172922, 1047, 33, 'बष्किर');
INSERT INTO `lang_definitions` VALUES (172923, 1049, 33, 'बास्क');
INSERT INTO `lang_definitions` VALUES (172924, 1050, 33, 'बॅच दावा');
INSERT INTO `lang_definitions` VALUES (172925, 1051, 33, 'बॅच दळणवळण साधन');
INSERT INTO `lang_definitions` VALUES (172926, 1053, 33, 'बॅच भरणा प्रवेश');
INSERT INTO `lang_definitions` VALUES (172927, 1054, 33, 'बॅच देयके');
INSERT INTO `lang_definitions` VALUES (172928, 1055, 33, 'बॅच प्रक्रिया सुरू; या थोडा वेळ लागू शकतो.');
INSERT INTO `lang_definitions` VALUES (172929, 1056, 33, 'बॅच परिणाम');
INSERT INTO `lang_definitions` VALUES (172930, 1057, 33, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (172931, 1060, 33, 'धीर धरा, काही फायली प्रक्रिया काही मिनिटे लागू शकतात!');
INSERT INTO `lang_definitions` VALUES (172932, 1063, 33, 'त्या आयडी अस्तित्वात नाही कारण.');
INSERT INTO `lang_definitions` VALUES (172933, 1072, 33, 'सुरू');
INSERT INTO `lang_definitions` VALUES (172934, 1074, 33, 'तारीख सुरू');
INSERT INTO `lang_definitions` VALUES (172935, 1077, 33, 'सेवा वर्ष-mm-dd या सुरूवातीस तारीख');
INSERT INTO `lang_definitions` VALUES (172936, 1078, 33, 'कॅलेंडर कार्यक्रम दिवसाचा तास सुरू.');
INSERT INTO `lang_definitions` VALUES (172937, 1081, 33, 'बेलारूसी');
INSERT INTO `lang_definitions` VALUES (172938, 1082, 33, 'ढेकर देणे');
INSERT INTO `lang_definitions` VALUES (172939, 1086, 33, 'बंगाली');
INSERT INTO `lang_definitions` VALUES (172940, 1087, 33, 'Bengali- बांगला');
INSERT INTO `lang_definitions` VALUES (172941, 1089, 33, 'दरम्यान');
INSERT INTO `lang_definitions` VALUES (172942, 1091, 33, 'द्वि-दिशा');
INSERT INTO `lang_definitions` VALUES (172943, 1094, 33, 'बिहारी');
INSERT INTO `lang_definitions` VALUES (172944, 1095, 33, 'द्विपक्षीय');
INSERT INTO `lang_definitions` VALUES (172945, 1096, 33, 'द्विपक्षीय:');
INSERT INTO `lang_definitions` VALUES (172946, 1099, 33, 'बिल दिनांक:');
INSERT INTO `lang_definitions` VALUES (172947, 1101, 33, 'बिल / गोळा');
INSERT INTO `lang_definitions` VALUES (172948, 1102, 33, 'बिल');
INSERT INTO `lang_definitions` VALUES (172949, 1104, 33, 'बिलिंग');
INSERT INTO `lang_definitions` VALUES (172950, 1105, 33, 'बिलिंग (पर्यायी लिहा)');
INSERT INTO `lang_definitions` VALUES (172951, 1109, 33, 'बिलिंग लक्ष द्या');
INSERT INTO `lang_definitions` VALUES (172952, 1111, 33, 'विनंतीकृत सेवा बिलिंग कोड');
INSERT INTO `lang_definitions` VALUES (172953, 1112, 33, 'बिलिंग कोड');
INSERT INTO `lang_definitions` VALUES (172954, 1113, 33, 'बिलिंग डेटा');
INSERT INTO `lang_definitions` VALUES (172955, 1114, 33, 'बिलिंग विभाग');
INSERT INTO `lang_definitions` VALUES (172956, 1115, 33, 'बिलिंग सुविधा');
INSERT INTO `lang_definitions` VALUES (172957, 1117, 33, 'बिलिंग माहिती');
INSERT INTO `lang_definitions` VALUES (172958, 1118, 33, 'बिलिंग स्थान');
INSERT INTO `lang_definitions` VALUES (172959, 1125, 33, 'बिलिंग व्यवस्थापक');
INSERT INTO `lang_definitions` VALUES (172960, 1126, 33, 'बिलिंग टीप');
INSERT INTO `lang_definitions` VALUES (172961, 1127, 33, 'साठी बिलिंग टीप');
INSERT INTO `lang_definitions` VALUES (172962, 1128, 33, 'बिलिंग टीप:');
INSERT INTO `lang_definitions` VALUES (172963, 1130, 33, 'बिलिंग रांग परिणाम:');
INSERT INTO `lang_definitions` VALUES (172964, 1131, 33, 'बिलिंग अहवाल');
INSERT INTO `lang_definitions` VALUES (172965, 1132, 33, 'बिलिंग स्थिती');
INSERT INTO `lang_definitions` VALUES (172966, 1133, 33, 'बिलिंग स्थिती = बिल न केलेली');
INSERT INTO `lang_definitions` VALUES (172967, 1134, 33, 'ते बिलिंग');
INSERT INTO `lang_definitions` VALUES (172968, 1138, 33, 'बायोप्सी');
INSERT INTO `lang_definitions` VALUES (172969, 1140, 33, 'जन्म तारीख');
INSERT INTO `lang_definitions` VALUES (172970, 1141, 33, 'जन्म-24 महिने');
INSERT INTO `lang_definitions` VALUES (172971, 1143, 33, 'बिस्लामा');
INSERT INTO `lang_definitions` VALUES (172972, 1144, 33, 'ब्लॅक');
INSERT INTO `lang_definitions` VALUES (172973, 1147, 33, 'ब्लॅक फुफ्फुसांचा');
INSERT INTO `lang_definitions` VALUES (172974, 1148, 33, 'काळे किंवा आफ्रिकन अमेरिकन');
INSERT INTO `lang_definitions` VALUES (172975, 1149, 33, 'मूत्राशय कर्करोग');
INSERT INTO `lang_definitions` VALUES (172976, 1150, 33, 'मूत्राशय इन्फेक्शन्स');
INSERT INTO `lang_definitions` VALUES (172977, 1152, 33, 'कोरे फॉर्म');
INSERT INTO `lang_definitions` VALUES (172978, 1153, 33, 'समस्या रक्तस्त्राव');
INSERT INTO `lang_definitions` VALUES (172979, 1154, 33, 'अंध स्पॉट');
INSERT INTO `lang_definitions` VALUES (172980, 1156, 33, 'गोळा येणे');
INSERT INTO `lang_definitions` VALUES (172981, 1158, 33, 'अवरोधित');
INSERT INTO `lang_definitions` VALUES (172982, 1159, 33, 'रक्त');
INSERT INTO `lang_definitions` VALUES (172983, 1160, 33, 'रक्तदाब');
INSERT INTO `lang_definitions` VALUES (172984, 1161, 33, 'रक्तदाब');
INSERT INTO `lang_definitions` VALUES (172985, 1162, 33, 'रक्तरंजित नाक');
INSERT INTO `lang_definitions` VALUES (172986, 1163, 33, 'ब्लू क्रॉस ब्लू शिल्ड');
INSERT INTO `lang_definitions` VALUES (172987, 1165, 33, 'या अहवालात निळ्या रेषा माहिती आहेत. ब्लॅक ओळी पूर्वी अस्तित्वात असलेली माहिती दर्शवतात. ग्रीन ओळी यशस्वीरित्या लागू होते की बदल दाखवा. लाल रेषा त्रुटी, किंवा लागू केले नाही ते बदल सूचित; या स्वतः प्रक्रिया करणे आवश्यक आहे. सध्या नाकारला दावे आणि पैसे reversals स्वयं हाताळले नाहीत आणि त्यामुळे लाल दिसेल.');
INSERT INTO `lang_definitions` VALUES (172988, 1166, 33, 'अंधुक दिसणे');
INSERT INTO `lang_definitions` VALUES (172989, 1167, 33, 'बीएमआय');
INSERT INTO `lang_definitions` VALUES (172990, 1168, 33, 'बीएमआय स्थिती');
INSERT INTO `lang_definitions` VALUES (172991, 1170, 33, 'शरीर प्रदेश');
INSERT INTO `lang_definitions` VALUES (172992, 1171, 33, 'शरीर साइट');
INSERT INTO `lang_definitions` VALUES (172993, 1172, 33, 'शरीर साइट, लागू असल्यास');
INSERT INTO `lang_definitions` VALUES (172994, 1173, 33, 'हाड दयाळूपणा:');
INSERT INTO `lang_definitions` VALUES (172995, 1174, 33, 'हाड दयाळूपणा: सरासरीचा घोटा');
INSERT INTO `lang_definitions` VALUES (172996, 1175, 33, 'बुलियन');
INSERT INTO `lang_definitions` VALUES (172997, 1176, 33, 'बोस्नियन');
INSERT INTO `lang_definitions` VALUES (172998, 1177, 33, 'बॉट');
INSERT INTO `lang_definitions` VALUES (172999, 1179, 33, 'दोन्ही कान');
INSERT INTO `lang_definitions` VALUES (173000, 1180, 33, 'दोन्ही कान');
INSERT INTO `lang_definitions` VALUES (173001, 1183, 33, 'तळ');
INSERT INTO `lang_definitions` VALUES (173002, 1184, 33, 'तळ समास (पीएक्स)');
INSERT INTO `lang_definitions` VALUES (173003, 1187, 33, 'बॉक्स 10 अ रोजगार संबंधित');
INSERT INTO `lang_definitions` VALUES (173004, 1189, 33, 'बॉक्स 10 ब ऑटो अपघात');
INSERT INTO `lang_definitions` VALUES (173005, 1191, 33, 'बॉक्स 10 सी इतर अपघात');
INSERT INTO `lang_definitions` VALUES (173006, 1200, 33, 'बॉक्स 14 तारीख पात्रता');
INSERT INTO `lang_definitions` VALUES (173007, 1204, 33, 'बॉक्स 15 इतर तारीख पात्रता');
INSERT INTO `lang_definitions` VALUES (173008, 1205, 33, 'बॉक्स 15 त्याच किंवा तत्सम आजार (वर्ष-mm-dd या) दिनांक:');
INSERT INTO `lang_definitions` VALUES (173009, 1206, 33, 'त्याच किंवा तत्सम आजार / इतर तारीख (वर्ष-mm-dd या) च्या बॉक्स 15 दिनांक:');
INSERT INTO `lang_definitions` VALUES (173010, 1211, 33, 'बॉक्स (वर्ष-mm-dd या) पासून काम करण्यास अक्षम 16 दिनांक:');
INSERT INTO `lang_definitions` VALUES (173011, 1215, 33, 'बॉक्स (वर्ष-महिना-डीडी) काम करण्यास अक्षम 16 दिनांक:');
INSERT INTO `lang_definitions` VALUES (173012, 1227, 33, '(वर्ष-mm-dd या) पासून बॉक्स 18 हॉस्पिटलायझेशन तारीख:');
INSERT INTO `lang_definitions` VALUES (173013, 1231, 33, '(वर्ष-महिना-डीडी) बॉक्स 18 हॉस्पिटलायझेशन तारीख:');
INSERT INTO `lang_definitions` VALUES (173014, 1235, 33, 'बॉक्स 20 बाहेर लॅब केला जातो काय?');
INSERT INTO `lang_definitions` VALUES (173015, 1239, 33, 'बॉक्स 22 मेडीकेडची रीसबमिशनची कोड (ICD-9)');
INSERT INTO `lang_definitions` VALUES (173016, 1243, 33, 'बॉक्स 23 प्रायर प्राधिकृत क्रमांक');
INSERT INTO `lang_definitions` VALUES (173017, 1244, 33, 'बीपी');
INSERT INTO `lang_definitions` VALUES (173018, 1245, 33, 'बीपी डायस्टोतलक');
INSERT INTO `lang_definitions` VALUES (173019, 1246, 33, 'बीपी सिस्टॉलीक');
INSERT INTO `lang_definitions` VALUES (173020, 1248, 33, 'Bpd');
INSERT INTO `lang_definitions` VALUES (173021, 1252, 33, 'BPS');
INSERT INTO `lang_definitions` VALUES (173022, 1254, 33, 'ब्राझिलियन पोर्तुगीज');
INSERT INTO `lang_definitions` VALUES (173023, 1255, 33, 'स्तनाचा');
INSERT INTO `lang_definitions` VALUES (173024, 1256, 33, 'स्तनाचा बायोप्सी');
INSERT INTO `lang_definitions` VALUES (173025, 1257, 33, 'स्तनाचा डिस्चार्ज');
INSERT INTO `lang_definitions` VALUES (173026, 1258, 33, 'स्तनाचा रोग');
INSERT INTO `lang_definitions` VALUES (173027, 1259, 33, 'स्तनाचा परीक्षा');
INSERT INTO `lang_definitions` VALUES (173028, 1260, 33, 'स्तनाचा मास');
INSERT INTO `lang_definitions` VALUES (173029, 1262, 33, 'श्वास ध्वनी:');
INSERT INTO `lang_definitions` VALUES (173030, 1263, 33, 'ब्रेटन');
INSERT INTO `lang_definitions` VALUES (173031, 1265, 33, 'तुटलेली हाडे');
INSERT INTO `lang_definitions` VALUES (173032, 1266, 33, 'तुटलेली फॉर्म');
INSERT INTO `lang_definitions` VALUES (173033, 1267, 33, 'ब्राँकायटिस फॉर्म');
INSERT INTO `lang_definitions` VALUES (173034, 1270, 33, 'ब्राउझ करा');
INSERT INTO `lang_definitions` VALUES (173035, 1271, 33, 'रेकॉर्ड साठी ब्राउझ करा');
INSERT INTO `lang_definitions` VALUES (173036, 1272, 33, 'थकवा / रक्ताबुर्द');
INSERT INTO `lang_definitions` VALUES (173037, 1275, 33, 'बल्गेरियन');
INSERT INTO `lang_definitions` VALUES (173038, 1276, 33, 'उजव्या फुगवटा:');
INSERT INTO `lang_definitions` VALUES (173039, 1277, 33, 'बर्मी');
INSERT INTO `lang_definitions` VALUES (173040, 1278, 33, 'लघवी जळत');
INSERT INTO `lang_definitions` VALUES (173041, 1279, 33, 'लघवी जळत');
INSERT INTO `lang_definitions` VALUES (173042, 1281, 33, 'व्यवसाय फोन');
INSERT INTO `lang_definitions` VALUES (173043, 1282, 33, 'व्यस्त');
INSERT INTO `lang_definitions` VALUES (173044, 1283, 33, 'परंतु अद्याप प्रक्रिया केली नाही.');
INSERT INTO `lang_definitions` VALUES (173045, 1284, 33, 'नितंब');
INSERT INTO `lang_definitions` VALUES (173046, 1285, 33, 'नितंब + S.I.');
INSERT INTO `lang_definitions` VALUES (173047, 1286, 33, 'करून');
INSERT INTO `lang_definitions` VALUES (173048, 1287, 33, 'करून');
INSERT INTO `lang_definitions` VALUES (173049, 1293, 33, 'तोंडून');
INSERT INTO `lang_definitions` VALUES (173050, 1295, 33, '/ स्त्रोत करून');
INSERT INTO `lang_definitions` VALUES (173051, 1296, 33, 'करून:');
INSERT INTO `lang_definitions` VALUES (173052, 1299, 33, 'सी');
INSERT INTO `lang_definitions` VALUES (173053, 1301, 33, 'न करता RFC 5425, TLS syslog सर्व्हरकडे सत्यापित करण्यासाठी CA प्रमाणपत्र.');
INSERT INTO `lang_definitions` VALUES (173054, 1302, 33, '(सेकंदात) कॅशे आजीवन');
INSERT INTO `lang_definitions` VALUES (173055, 1303, 33, 'कॅशे टेम्पलेट आउटपुट?');
INSERT INTO `lang_definitions` VALUES (173056, 1305, 33, 'चहाच्या पानांत किंवा कॉफीच्या बियांत असणारे उत्तेजक द्रव्य सेवन');
INSERT INTO `lang_definitions` VALUES (173057, 1306, 33, 'दिनदर्शिका');
INSERT INTO `lang_definitions` VALUES (173058, 1307, 33, 'कॅलेंडर तास समाप्ती');
INSERT INTO `lang_definitions` VALUES (173059, 1308, 33, 'कॅलेंडर मध्यांतर');
INSERT INTO `lang_definitions` VALUES (173060, 1309, 33, 'कॅलेंडर स्क्रीन');
INSERT INTO `lang_definitions` VALUES (173061, 1310, 33, 'कॅलेंडर सेटिंग्ज');
INSERT INTO `lang_definitions` VALUES (173062, 1312, 33, 'कॅलेंडर प्रारंभ तास');
INSERT INTO `lang_definitions` VALUES (173063, 1313, 33, 'कॅलेंडर केलेल्या UI');
INSERT INTO `lang_definitions` VALUES (173064, 1314, 33, 'कॅलेंडर पहा');
INSERT INTO `lang_definitions` VALUES (173065, 1317, 33, 'येथे नाही) (addForm कॉल. <br>');
INSERT INTO `lang_definitions` VALUES (173066, 1321, 33, 'कॅलरीज');
INSERT INTO `lang_definitions` VALUES (173067, 1322, 33, 'कंबोडियन');
INSERT INTO `lang_definitions` VALUES (173068, 1323, 33, 'CAMOS');
INSERT INTO `lang_definitions` VALUES (173069, 1329, 33, 'रद्द करा');
INSERT INTO `lang_definitions` VALUES (173070, 1332, 33, 'बदल रद्द करा');
INSERT INTO `lang_definitions` VALUES (173071, 1333, 33, 'रद्द');
INSERT INTO `lang_definitions` VALUES (173072, 1335, 33, 'कर्करोग');
INSERT INTO `lang_definitions` VALUES (173073, 1336, 33, 'कर्करोग स्क्रीनिंग: अपूर्णविराम कर्करोग स्क्रीनिंग');
INSERT INTO `lang_definitions` VALUES (173074, 1337, 33, 'कर्करोग स्क्रीनिंग: मध्यमवयानंतरचा');
INSERT INTO `lang_definitions` VALUES (173075, 1338, 33, 'कर्करोग स्क्रीनिंग: प्रकल्पग्रस्त डाग');
INSERT INTO `lang_definitions` VALUES (173076, 1339, 33, 'कर्करोग स्क्रीनिंग: पुर: स्थ कर्करोग स्क्रीनिंग');
INSERT INTO `lang_definitions` VALUES (173077, 1340, 33, 'हे आधीपासूनच विद्यमान आहे, कारण ही नोंदणी जोडू शकत नाही!');
INSERT INTO `lang_definitions` VALUES (173078, 1341, 33, 'जोडू शकत नाही / डुप्लिकेट आधिपासूनच अस्तित्वात आहे कारण ही नोंदणी अद्यतनित करा!');
INSERT INTO `lang_definitions` VALUES (173079, 1342, 33, 'दुर्लक्ष, संग्रहित केले जाऊ शकत नाही');
INSERT INTO `lang_definitions` VALUES (173080, 1343, 33, 'JPEG, रूपांतरीत केले जाऊ शकत नाही. कदाचित ImageMagick स्थापित नाही?');
INSERT INTO `lang_definitions` VALUES (173081, 1344, 33, 'दुर्लक्ष, हटविले जाऊ शकत नाही');
INSERT INTO `lang_definitions` VALUES (173082, 1345, 33, 'त्याचा प्रकार ब्राउझर द्वारे समर्थीत नाही कारण इनलाइन प्रदर्शित केले जाऊ शकत नाही.');
INSERT INTO `lang_definitions` VALUES (173083, 1346, 33, 'त्याचा प्रकार ब्राउझर द्वारे समर्थीत नाही becuase इनलाइन प्रदर्शित केले जाऊ शकत नाही');
INSERT INTO `lang_definitions` VALUES (173084, 1347, 33, 'त्याचा प्रकार ब्राउझर द्वारे समर्थीत नाही becuase इनलाइन प्रदर्शित केले जाऊ शकत नाही.');
INSERT INTO `lang_definitions` VALUES (173085, 1349, 33, 'तयार करू शकत नाही');
INSERT INTO `lang_definitions` VALUES (173086, 1350, 33, 'फाइल निर्माण करू शकत नाही');
INSERT INTO `lang_definitions` VALUES (173087, 1351, 33, 'फाइल (SFTP सर्वर पासून) हटवू शकत नाही');
INSERT INTO `lang_definitions` VALUES (173088, 1352, 33, 'फाईल हटवू शकत नाही');
INSERT INTO `lang_definitions` VALUES (173089, 1353, 33, 'एक गंतव्य फाइलनाव निश्चित करू शकत नाही');
INSERT INTO `lang_definitions` VALUES (173090, 1354, 33, 'शोधू शकत नाही');
INSERT INTO `lang_definitions` VALUES (173091, 1355, 33, 'एक गंतव्य फाइलनाव शोधू शकत नाही');
INSERT INTO `lang_definitions` VALUES (173092, 1358, 33, 'एस क्यू एल-लेजर ग्राहक आयडी पासून रुग्ण शोधू शकत नाही');
INSERT INTO `lang_definitions` VALUES (173093, 1359, 33, 'मध्ये ताजा कलम दस्तऐवज संदर्भ शोधू शकत नाही');
INSERT INTO `lang_definitions` VALUES (173094, 1360, 33, 'एस क्यू एल-लेजर कर्मचारी पासून प्रदाता शोधू शकत नाही =');
INSERT INTO `lang_definitions` VALUES (173095, 1361, 33, 'Payments.Undistributed नकारात्मक आहे संपादीत करू शकत नाही.');
INSERT INTO `lang_definitions` VALUES (173096, 1363, 33, 'उघडू शकत नाही');
INSERT INTO `lang_definitions` VALUES (173097, 1364, 33, 'निवड Insurance.The देवून घटकाचे पोस्ट करू शकत नाही रुग्णांच्या आहे.');
INSERT INTO `lang_definitions` VALUES (173098, 1365, 33, 'निवड Patient.The देवून घटकाचे पोस्ट करू शकत नाही विमा आहे.');
INSERT INTO `lang_definitions` VALUES (173099, 1366, 33, 'Payments.Undistributed नकारात्मक आहे पोस्ट करू शकत नाही.');
INSERT INTO `lang_definitions` VALUES (173100, 1367, 33, 'वाचू शकत नाही');
INSERT INTO `lang_definitions` VALUES (173101, 1368, 33, 'निर्देशिका वाचू शकत नाही');
INSERT INTO `lang_definitions` VALUES (173102, 1369, 33, 'आपण अस्तित्वातील नोंद संपादित नाही कारण अद्ययावत करू शकत नाही!');
INSERT INTO `lang_definitions` VALUES (173103, 1370, 33, 'भांडवल');
INSERT INTO `lang_definitions` VALUES (173104, 1371, 33, 'सर्व भांडवल');
INSERT INTO `lang_definitions` VALUES (173105, 1372, 33, 'कुपी');
INSERT INTO `lang_definitions` VALUES (173106, 1373, 33, 'कार्ड');
INSERT INTO `lang_definitions` VALUES (173107, 1382, 33, 'कार्डिऍक शरीराच्या पोकळीमध्ये कॅथेटर घालणे');
INSERT INTO `lang_definitions` VALUES (173108, 1383, 33, 'कार्डिऍक प्रतिध्वनी');
INSERT INTO `lang_definitions` VALUES (173109, 1384, 33, 'हृदय व रक्तवाहिन्यासंबंधी');
INSERT INTO `lang_definitions` VALUES (173110, 1396, 33, 'कूर्चा / chondral / डिस्क नुकसान');
INSERT INTO `lang_definitions` VALUES (173111, 1397, 33, 'कूर्चा इजा');
INSERT INTO `lang_definitions` VALUES (173112, 1398, 33, 'Cartoid pulsations नॅथन, स्वरुपात डाळी नॅथन');
INSERT INTO `lang_definitions` VALUES (173113, 1400, 33, 'रोख');
INSERT INTO `lang_definitions` VALUES (173114, 1401, 33, 'रोख');
INSERT INTO `lang_definitions` VALUES (173115, 1402, 33, 'रोख \'आरईसी\'');
INSERT INTO `lang_definitions` VALUES (173116, 1403, 33, 'प्रदाता रोख पावत्या');
INSERT INTO `lang_definitions` VALUES (173117, 1404, 33, 'Catalan- वॅलेन्सियन');
INSERT INTO `lang_definitions` VALUES (173118, 1406, 33, 'मोतीबिंदू शस्त्रक्रिया');
INSERT INTO `lang_definitions` VALUES (173119, 1407, 33, 'मोतीबिंदु');
INSERT INTO `lang_definitions` VALUES (173120, 1408, 33, 'श्रेणी');
INSERT INTO `lang_definitions` VALUES (173121, 1409, 33, 'श्रेण्या');
INSERT INTO `lang_definitions` VALUES (173122, 1410, 33, 'वर्ग');
INSERT INTO `lang_definitions` VALUES (173123, 1411, 33, 'श्रेणी');
INSERT INTO `lang_definitions` VALUES (173124, 1412, 33, 'वर्ग');
INSERT INTO `lang_definitions` VALUES (173125, 1416, 33, 'वर्ग तपशील');
INSERT INTO `lang_definitions` VALUES (173126, 1417, 33, 'वर्ग मर्यादा');
INSERT INTO `lang_definitions` VALUES (173127, 1418, 33, 'वर्गवारी नाव');
INSERT INTO `lang_definitions` VALUES (173128, 1419, 33, 'वर्ग नाव रिक्त आहे');
INSERT INTO `lang_definitions` VALUES (173129, 1420, 33, 'वर्ग / शीर्षक');
INSERT INTO `lang_definitions` VALUES (173130, 1421, 33, 'कॉकेशियन');
INSERT INTO `lang_definitions` VALUES (173131, 1422, 33, 'चकमकीत / प्राथमिक प्रदाता माहिती प्रिंट पावत्या कारणे');
INSERT INTO `lang_definitions` VALUES (173132, 1432, 33, 'CCR मंजूर');
INSERT INTO `lang_definitions` VALUES (173133, 1433, 33, 'CCR रुग्णांच्या पुनरावलोकन');
INSERT INTO `lang_definitions` VALUES (173134, 1434, 33, 'CCR पुनरावलोकन आणि मान्यता');
INSERT INTO `lang_definitions` VALUES (173135, 1442, 33, 'CDR');
INSERT INTO `lang_definitions` VALUES (173136, 1443, 33, 'CDR प्रक्रिया प्राधान्य अहवाल');
INSERT INTO `lang_definitions` VALUES (173137, 1444, 33, 'सेल');
INSERT INTO `lang_definitions` VALUES (173138, 1445, 33, 'सेल फोन');
INSERT INTO `lang_definitions` VALUES (173139, 1446, 33, 'सेल फोन नंबर');
INSERT INTO `lang_definitions` VALUES (173140, 1447, 33, 'सेल फोन नंबर');
INSERT INTO `lang_definitions` VALUES (173141, 1449, 33, 'केंद्रीय प्रमाणपत्र');
INSERT INTO `lang_definitions` VALUES (173142, 1451, 33, 'केंद्रीय / दक्षिण अमेरिकन');
INSERT INTO `lang_definitions` VALUES (173143, 1452, 33, 'प्रमाणपत्र अधिकृतता सीआरटी फाइल स्थान रिक्त असू शकत नाही');
INSERT INTO `lang_definitions` VALUES (173144, 1453, 33, 'प्रमाणपत्र अधिकृतता की फाइल स्थान रिक्त असू शकत नाही');
INSERT INTO `lang_definitions` VALUES (173145, 1454, 33, 'प्रमाणपत्र, RFC 5425, TLS syslog सर्व्हरकडे पाठविणे.');
INSERT INTO `lang_definitions` VALUES (173146, 1455, 33, 'प्रमाणपत्र वापरकर्ता');
INSERT INTO `lang_definitions` VALUES (173147, 1456, 33, 'प्रमाणपत्रे');
INSERT INTO `lang_definitions` VALUES (173148, 1457, 33, 'चमारो');
INSERT INTO `lang_definitions` VALUES (173149, 1458, 33, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (173150, 1459, 33, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (173151, 1460, 33, 'बदल');
INSERT INTO `lang_definitions` VALUES (173152, 1461, 33, 'बदला');
INSERT INTO `lang_definitions` VALUES (173153, 1462, 33, 'बदला क्रियाकलाप');
INSERT INTO `lang_definitions` VALUES (173154, 1466, 33, 'बदला अयशस्वी झाले! CouchDB त्रुटी कनेक्ट?');
INSERT INTO `lang_definitions` VALUES (173155, 1467, 33, 'दृष्टी बदल');
INSERT INTO `lang_definitions` VALUES (173156, 1468, 33, 'दृष्टी मध्ये बदला');
INSERT INTO `lang_definitions` VALUES (173157, 1470, 33, 'पासवर्ड बदला');
INSERT INTO `lang_definitions` VALUES (173158, 1475, 33, 'बदलले');
INSERT INTO `lang_definitions` VALUES (173159, 1476, 33, 'बदललेल्या आतडी');
INSERT INTO `lang_definitions` VALUES (173160, 1479, 33, 'दस्तऐवज धीराने आयडी बदलत आहे');
INSERT INTO `lang_definitions` VALUES (173161, 1484, 33, 'वैशिष्ट्ये');
INSERT INTO `lang_definitions` VALUES (173162, 1485, 33, 'उर्वरित वर्ण');
INSERT INTO `lang_definitions` VALUES (173163, 1486, 33, 'चार्ज');
INSERT INTO `lang_definitions` VALUES (173164, 1487, 33, 'शुल्क समायोजन');
INSERT INTO `lang_definitions` VALUES (173165, 1488, 33, 'शुल्क कोड');
INSERT INTO `lang_definitions` VALUES (173166, 1490, 33, 'शुल्क');
INSERT INTO `lang_definitions` VALUES (173167, 1491, 33, 'चार्ट');
INSERT INTO `lang_definitions` VALUES (173168, 1492, 33, 'चार्ट क्रियाकलाप');
INSERT INTO `lang_definitions` VALUES (173169, 1493, 33, 'चार्ट चेक-इन / बाहेर क्रियाकलाप अहवाल');
INSERT INTO `lang_definitions` VALUES (173170, 1495, 33, 'चार्ट आयडी');
INSERT INTO `lang_definitions` VALUES (173171, 1496, 33, 'चार्ट आयडी:');
INSERT INTO `lang_definitions` VALUES (173172, 1497, 33, 'चार्ट लेबल');
INSERT INTO `lang_definitions` VALUES (173173, 1498, 33, 'चार्ट स्थान क्रियाकलाप');
INSERT INTO `lang_definitions` VALUES (173174, 1499, 33, 'चार्ट टीप');
INSERT INTO `lang_definitions` VALUES (173175, 1500, 33, 'चार्ट क्रमांक');
INSERT INTO `lang_definitions` VALUES (173176, 1502, 33, 'चार्ट स्टोरेज स्थाने');
INSERT INTO `lang_definitions` VALUES (173177, 1504, 33, 'चार्ट ट्रॅकर');
INSERT INTO `lang_definitions` VALUES (173178, 1505, 33, 'चार्ट TRK');
INSERT INTO `lang_definitions` VALUES (173179, 1508, 33, 'चार्ट चेक-इन');
INSERT INTO `lang_definitions` VALUES (173180, 1509, 33, 'आउट चार्ट');
INSERT INTO `lang_definitions` VALUES (173181, 1512, 33, 'चेचन');
INSERT INTO `lang_definitions` VALUES (173182, 1513, 33, 'चेक');
INSERT INTO `lang_definitions` VALUES (173183, 1514, 33, 'तपासा');
INSERT INTO `lang_definitions` VALUES (173184, 1515, 33, 'सर्व तपासा');
INSERT INTO `lang_definitions` VALUES (173185, 1517, 33, 'रक्कम तपासा');
INSERT INTO `lang_definitions` VALUES (173186, 1519, 33, 'चेक तारीख');
INSERT INTO `lang_definitions` VALUES (173187, 1521, 33, 'सानुकूल भाषा टेबल अनुवाद फरक तपासा.');
INSERT INTO `lang_definitions` VALUES (173188, 1527, 33, 'करण्यासाठी तपासा');
INSERT INTO `lang_definitions` VALUES (173189, 1528, 33, 'इनपुट डेटा तपासा');
INSERT INTO `lang_definitions` VALUES (173190, 1529, 33, 'आलेख आयटम तपासा');
INSERT INTO `lang_definitions` VALUES (173191, 1530, 33, 'लॅब परिणाम तपासा');
INSERT INTO `lang_definitions` VALUES (173192, 1531, 33, 'चेक मार्क पुनरावलोकन हे कशावरून');
INSERT INTO `lang_definitions` VALUES (173193, 1532, 33, 'कोणत्याही तपासा');
INSERT INTO `lang_definitions` VALUES (173194, 1533, 33, 'क्रमांक तपासा');
INSERT INTO `lang_definitions` VALUES (173195, 1536, 33, 'भरणा तपासा');
INSERT INTO `lang_definitions` VALUES (173196, 1537, 33, 'हा एक केलेले फाइल असेल तर बॉक्स चेक करा');
INSERT INTO `lang_definitions` VALUES (173197, 1541, 33, 'आपण फक्त त्यांच्या स्वत: च्या पूर्वनिर्धारीतपणे भेटी आणि नाही पाहू प्रदाते इच्छित असल्यास हा तपासा.');
INSERT INTO `lang_definitions` VALUES (173198, 1543, 33, 'या निदान पासून समस्या निर्माण तपासणी करा');
INSERT INTO `lang_definitions` VALUES (173199, 1545, 33, '/ EOB तारीख तपासा:');
INSERT INTO `lang_definitions` VALUES (173200, 1547, 33, '/ EOB नाही तपासा .:');
INSERT INTO `lang_definitions` VALUES (173201, 1548, 33, 'तपासा / संदर्भ क्रमांक');
INSERT INTO `lang_definitions` VALUES (173202, 1549, 33, 'तपासा / संदर्भ क्रमांक');
INSERT INTO `lang_definitions` VALUES (173203, 1550, 33, 'चेकबॉक्स यादी');
INSERT INTO `lang_definitions` VALUES (173204, 1551, 33, 'चेकबॉक्स यादी');
INSERT INTO `lang_definitions` VALUES (173205, 1552, 33, '/ मजकूर वाईड चेकबॉक्स');
INSERT INTO `lang_definitions` VALUES (173206, 1553, 33, '/ मजकूर वाईड चेकबॉक्स');
INSERT INTO `lang_definitions` VALUES (173207, 1555, 33, 'नकार आणि HL7 फाइल हटवायचा असेल तर चेकबॉक्स वरील सूचित करतात.');
INSERT INTO `lang_definitions` VALUES (173208, 1557, 33, 'चेक-इन');
INSERT INTO `lang_definitions` VALUES (173209, 1559, 33, 'चेक-इन केले बॉक्स = होय, रिक्त = नाही');
INSERT INTO `lang_definitions` VALUES (173210, 1566, 33, 'लॉक चेकबॉक्सवर चेक या घटनेचा कोणत्याही फॉर्म कोणत्याही पुढील संपादने प्रतिबंध केला जाईल.');
INSERT INTO `lang_definitions` VALUES (173211, 1568, 33, 'चेकआऊट');
INSERT INTO `lang_definitions` VALUES (173212, 1569, 33, 'चेकसम');
INSERT INTO `lang_definitions` VALUES (173213, 1570, 33, 'चेस्ट');
INSERT INTO `lang_definitions` VALUES (173214, 1571, 33, 'चेस्ट CTAB');
INSERT INTO `lang_definitions` VALUES (173215, 1572, 33, 'छाती दुखणे');
INSERT INTO `lang_definitions` VALUES (173216, 1573, 33, 'छाती दुखणे:');
INSERT INTO `lang_definitions` VALUES (173217, 1574, 33, 'छाती वेदना');
INSERT INTO `lang_definitions` VALUES (173218, 1576, 33, 'Chg');
INSERT INTO `lang_definitions` VALUES (173219, 1577, 33, 'Chichewa- Chewa- न्यान्जा');
INSERT INTO `lang_definitions` VALUES (173220, 1578, 33, 'मुख्य तक्रार');
INSERT INTO `lang_definitions` VALUES (173221, 1581, 33, 'बाल');
INSERT INTO `lang_definitions` VALUES (173222, 1583, 33, 'बालपण लसीकरण स्थिती (CQM)');
INSERT INTO `lang_definitions` VALUES (173223, 1584, 33, 'थंडी वाजून येणे');
INSERT INTO `lang_definitions` VALUES (173224, 1585, 33, 'चीनी');
INSERT INTO `lang_definitions` VALUES (173225, 1586, 33, 'चीनी (सरलीकृत)');
INSERT INTO `lang_definitions` VALUES (173226, 1587, 33, 'चीनी (पारंपारिक)');
INSERT INTO `lang_definitions` VALUES (173227, 1588, 33, 'पाठीचे मणके आणि इतर अस्थी यांची जुळवाजुळव करून उपचार करण्याची पद्धत्');
INSERT INTO `lang_definitions` VALUES (173228, 1589, 33, 'पर्याय');
INSERT INTO `lang_definitions` VALUES (173229, 1590, 33, 'पित्ताशय काढणे');
INSERT INTO `lang_definitions` VALUES (173230, 1591, 33, 'पित्ताशय काढणे');
INSERT INTO `lang_definitions` VALUES (173231, 1592, 33, 'Cholecystestomy');
INSERT INTO `lang_definitions` VALUES (173232, 1593, 33, 'निवडा');
INSERT INTO `lang_definitions` VALUES (173233, 1596, 33, 'विभाग निवडा आणि तो आत एक आयटम क्लिक करा; नंतर इतर विभागात आपण संबंधित आयटम ठळक दिसेल, आणि आपण संबंध जोडणे आणि हटवणे त्या विभागातील क्लिक करू शकता.');
INSERT INTO `lang_definitions` VALUES (173234, 1597, 33, 'निकष निवडा');
INSERT INTO `lang_definitions` VALUES (173235, 1599, 33, 'डाउनलोड निवडा किंवा इनलाइन प्रदर्शित');
INSERT INTO `lang_definitions` VALUES (173236, 1602, 33, 'फाइल निवडा');
INSERT INTO `lang_definitions` VALUES (173237, 1603, 33, 'यादीमधून निवडा');
INSERT INTO `lang_definitions` VALUES (173238, 1604, 33, 'मांडणी दिशा निवडा');
INSERT INTO `lang_definitions` VALUES (173239, 1605, 33, 'यादी निवडा');
INSERT INTO `lang_definitions` VALUES (173240, 1608, 33, 'कागद आकार निवडा');
INSERT INTO `lang_definitions` VALUES (173241, 1610, 33, 'पीडीएफ languange प्राधान्य निवडा');
INSERT INTO `lang_definitions` VALUES (173242, 1611, 33, 'या घटनेचा अहवाल प्रिंट स्वरूप निवडा.');
INSERT INTO `lang_definitions` VALUES (173243, 1615, 33, 'क्रॉनिक ब्राँकायटिस');
INSERT INTO `lang_definitions` VALUES (173244, 1616, 33, 'तीव्र संयुक्त वेदना');
INSERT INTO `lang_definitions` VALUES (173245, 1617, 33, 'तीव्र किडनी रोग (CKD)');
INSERT INTO `lang_definitions` VALUES (173246, 1620, 33, 'तीव्र सीरमी पटलाचा दाह यामध्ये बहुधा सांध्यात द्रव जमतो, संधिदाह व दीर्घकाळ दाह झाल्याने ऍकिलोसिस होतो / ओतणे / संयुक्त वेदना / संधिरोग');
INSERT INTO `lang_definitions` VALUES (173247, 1622, 33, 'तीव्र / वारंवार येणारा');
INSERT INTO `lang_definitions` VALUES (173248, 1623, 33, 'चूवाश');
INSERT INTO `lang_definitions` VALUES (173249, 1625, 33, 'यकृत च्या इंद्रियातील र्हासकारक बदल');
INSERT INTO `lang_definitions` VALUES (173250, 1626, 33, 'यकृत च्या इंद्रियातील र्हासकारक बदल');
INSERT INTO `lang_definitions` VALUES (173251, 1627, 33, 'शहर');
INSERT INTO `lang_definitions` VALUES (173252, 1629, 33, 'शहर नाव');
INSERT INTO `lang_definitions` VALUES (173253, 1630, 33, 'शहर, राज्य');
INSERT INTO `lang_definitions` VALUES (173254, 1631, 33, 'शहर, राज्य पिन');
INSERT INTO `lang_definitions` VALUES (173255, 1633, 33, 'शहर / राज्य');
INSERT INTO `lang_definitions` VALUES (173256, 1634, 33, 'दावा');
INSERT INTO `lang_definitions` VALUES (173257, 1635, 33, 'दावा');
INSERT INTO `lang_definitions` VALUES (173258, 1637, 33, 'हक्क स्थिती');
INSERT INTO `lang_definitions` VALUES (173259, 1638, 33, 'दावा चाचणी चालू पूर्ण केले आहे');
INSERT INTO `lang_definitions` VALUES (173260, 1639, 33, 'हक्काचा प्रकार');
INSERT INTO `lang_definitions` VALUES (173261, 1640, 33, 'दावा दाखल करण्यासाठी निर्माण होते');
INSERT INTO `lang_definitions` VALUES (173262, 1641, 33, 'दावा दाखल करण्यासाठी निर्माण होते');
INSERT INTO `lang_definitions` VALUES (173263, 1642, 33, 'दावे');
INSERT INTO `lang_definitions` VALUES (173264, 1645, 33, 'वर्गीकरण');
INSERT INTO `lang_definitions` VALUES (173265, 1646, 33, 'साफ करा');
INSERT INTO `lang_definitions` VALUES (173266, 1649, 33, 'साफ सक्रिय रुग्ण');
INSERT INTO `lang_definitions` VALUES (173267, 1651, 33, 'सर्व स्वच्छ करा');
INSERT INTO `lang_definitions` VALUES (173268, 1654, 33, 'साफ HL7 डेटा');
INSERT INTO `lang_definitions` VALUES (173269, 1655, 33, 'साफ समर्थन');
INSERT INTO `lang_definitions` VALUES (173270, 1659, 33, 'साफ करा Smarty कॅशे');
INSERT INTO `lang_definitions` VALUES (173271, 1661, 33, 'EDI 270 बॅच निर्मितीसाठी आवश्यक घर माहिती साफ.');
INSERT INTO `lang_definitions` VALUES (173272, 1662, 33, 'CLIA क्रमांक');
INSERT INTO `lang_definitions` VALUES (173273, 1663, 33, 'क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173274, 1664, 33, 'एक मजकूर फाइल आपल्या वर्ग, उपश्रेणी, आयटम, सामग्री डेटा निर्यात करण्याची \'निर्यात\' क्लिक करा. XML फाइल या फाइल कोणत्याही साम्य पूर्णपणे योगायोग आहे. उघडणे आणि बंद टॅग त्याच ओळीत असणे आवश्यक आहे, ते नाही मोकळी जागा सह लोअरकेस करणे आवश्यक आहे. आयात करण्यासाठी, फाईल ब्राउझ करा आणि \'आयात\' वर क्लिक करा. डेटा पूर्णपणे भिन्न आहे, तर आपल्या विद्यमान डेटा विलीन होईल. समान आयटम नावे आहेत, तर, जुन्या ठेवायला आणि एक नंबर सेव्ह नवीन शेवटी जोडली जाईल.');
INSERT INTO `lang_definitions` VALUES (173275, 1667, 33, 'नवीन भाष्य जोडण्यासाठी ग्राफिक एक स्पॉट क्लिक करा काढण्यासाठी पुन्हा क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173276, 1671, 33, 'फाइल ssl.zip मध्ये प्रमाणपत्रे डाउनलोड करण्यासाठी डाउनलोड प्रमाणपत्र क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173277, 1672, 33, 'अधिक क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173278, 1673, 33, 'अधिक माहितीसाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173279, 1674, 33, 'ऑर्डर सारांश क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173280, 1675, 33, 'परिणाम क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173281, 1678, 33, 'इथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173282, 1679, 33, 'नवीन रुग्ण जोडण्यासाठी येथे क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (173283, 1680, 33, 'नवीन इजा बदल स्थिती जोडण्याकरीता येथे क्लिक करा आणि दररोज क्रियाकलाप संपादित');
INSERT INTO `lang_definitions` VALUES (173284, 1682, 33, 'दिनांक निवडण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173285, 1683, 33, 'एक तारीख आणि वेळ निवडण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173286, 1684, 33, 'प्रारंभ तारीख निवडण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173287, 1685, 33, 'तारीख वेळ निवडण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173288, 1686, 33, 'पासून तारीख वेळ निवडण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173289, 1687, 33, 'तारीख वेळ निवडण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173290, 1688, 33, 'हे विभाग व्यूहरचित करण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173291, 1692, 33, 'हे विभाग अक्षम करण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173292, 1703, 33, 'हे विभाग सक्षम करण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173293, 1706, 33, 'हे विभाग स्थापन करण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173294, 1707, 33, 'शोध करण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173295, 1710, 33, 'प्राधान्य, श्रेणी आणि टोपणनाव सेटिंग्ज अद्यतनित करण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173296, 1714, 33, 'सर्व पाहण्यासाठी येथे क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (173297, 1715, 33, 'पहा आणि आलेख करण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173298, 1716, 33, 'पहा आणि सर्व labdata आलेख येथे क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (173299, 1717, 33, 'सर्व मर्मस्थाने पाहण्यासाठी आणि आलेख येथे क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (173300, 1718, 33, 'रुग्णाला तपशील पाहण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173301, 1719, 33, 'त्यांना सर्व पाहण्यासाठी येथे क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (173302, 1720, 33, 'अधिक माहितीसाठी / संपादित पाहण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173303, 1723, 33, 'खालील तारखेपासून डेटाबेस प्रकाशन प्रतिष्ठापीत करण्यासाठी बटण क्लिक करा स्थापित');
INSERT INTO `lang_definitions` VALUES (173304, 1730, 33, 'वेळ भाग कोणत्याही वाढ क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173305, 1751, 33, 'रुग्णांच्या फाइल उघडा रुग्ण नाव क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173306, 1753, 33, 'विशिष्ट परिणाम पाहण्यासाठी वरील इनपुट शोध निकष सर्व परिणाम पाहण्यासाठी किंवा कृपया रिफ्रेश क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (173307, 1777, 33, 'निदान जोडण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173308, 1779, 33, 'नवीन घटक जोडण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173309, 1780, 33, 'नवीन सल्ला जोडण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173310, 1782, 33, 'समायोजित करण्यासाठी निदान निवडण्यासाठी क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (173311, 1785, 33, 'डाउनलोड करण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173312, 1786, 33, 'संपादित करण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173313, 1787, 33, 'वर्णन संपादित करण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173314, 1788, 33, 'हा कार्यक्रम संपादित करण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173315, 1790, 33, 'अहवाल निर्माण करण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173316, 1799, 33, 'रुग्णाला जुळत क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173317, 1800, 33, 'मुद्रित करण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173318, 1801, 33, 'प्राप्त (जोडण्यासाठी) क्लिक करा नवीन भरपूर');
INSERT INTO `lang_definitions` VALUES (173319, 1805, 33, 'निवडण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173320, 1806, 33, 'निवडा क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173321, 1808, 33, 'ही प्रक्रिया एक उद्योग मानक कोड निवडा क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173322, 1811, 33, 'पर्यायी प्रक्रिया कोड निवडा क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173323, 1812, 33, 'निवडा किंवा कोडींग बदलण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173324, 1813, 33, 'निवडण्यासाठी किंवा CVX कोड बदलू क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173325, 1814, 33, 'निवडा किंवा निदान बदलण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173326, 1815, 33, 'सेवा कोड निवडा किंवा बदलण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173327, 1816, 33, 'रुग्णाला निवडण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173328, 1817, 33, 'संबंधित कोड निवडा क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173329, 1819, 33, 'हा परिणाम असामान्य आहे तर सुरू सेवा निवडण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173330, 1822, 33, 'इच्छित प्रक्रिया निवडण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173331, 1829, 33, 'क्रमवारी लावण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173332, 1831, 33, 'पाहण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173333, 1833, 33, 'पाहण्यासाठी किंवा संपादित करण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173334, 1834, 33, 'पाहण्यासाठी क्लिक करा / संपादित करा');
INSERT INTO `lang_definitions` VALUES (173335, 1836, 33, 'खालील तारखेपासून डेटाबेस प्रकाशन सुधारणा श्रेणीसुधार बटणावर क्लिक करा');
INSERT INTO `lang_definitions` VALUES (173336, 1838, 33, 'रुग्णाला जुळण्यासाठी वर दिलेले तिथे क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (173337, 1839, 33, 'क्लिक करा:');
INSERT INTO `lang_definitions` VALUES (173338, 1862, 33, 'क्लायंट प्रमाणपत्र कालबाह्य दिवस');
INSERT INTO `lang_definitions` VALUES (173339, 1864, 33, 'क्लायंट प्रमाणपत्र वैधता कालावधी');
INSERT INTO `lang_definitions` VALUES (173340, 1865, 33, 'क्लायंट प्रमाणपत्र वैधता एक वैध नंबर असावा.');
INSERT INTO `lang_definitions` VALUES (173341, 1866, 33, 'क्लायंट कॉपी');
INSERT INTO `lang_definitions` VALUES (173342, 1869, 33, 'क्लायंट वैद्यकीय इतिहास सारांश');
INSERT INTO `lang_definitions` VALUES (173343, 1870, 33, 'क्लायंटचे नाव');
INSERT INTO `lang_definitions` VALUES (173344, 1872, 33, 'क्लायंट क्रमांक');
INSERT INTO `lang_definitions` VALUES (173345, 1873, 33, 'क्लायंट प्रोफाइल - नवीन ग्राहक');
INSERT INTO `lang_definitions` VALUES (173346, 1874, 33, 'क्लायंट प्रोफाइल - युनिक ग्राहक');
INSERT INTO `lang_definitions` VALUES (173347, 1878, 33, 'ग्राहक');
INSERT INTO `lang_definitions` VALUES (173348, 1879, 33, 'क्लिनिक');
INSERT INTO `lang_definitions` VALUES (173349, 1880, 33, 'क्लिनिक कॉपी');
INSERT INTO `lang_definitions` VALUES (173350, 1881, 33, 'क्लिनिक दैनिक नोंद');
INSERT INTO `lang_definitions` VALUES (173351, 1882, 33, 'क्लिनिक आयडी');
INSERT INTO `lang_definitions` VALUES (173352, 1883, 33, 'क्लिनिकल');
INSERT INTO `lang_definitions` VALUES (173353, 1884, 33, 'क्लिनिकल निर्णय नियम अॅलर्ट व्यवस्थापक');
INSERT INTO `lang_definitions` VALUES (173354, 1886, 33, 'क्लिनिकल इतिहास');
INSERT INTO `lang_definitions` VALUES (173355, 1889, 33, 'क्लिनिकल योजना');
INSERT INTO `lang_definitions` VALUES (173356, 1890, 33, 'क्लिनिकल गुणवत्ता उपाय (CQM)');
INSERT INTO `lang_definitions` VALUES (173357, 1891, 33, 'क्लिनिकल गुणवत्ता उपाय (CQM) - 2011');
INSERT INTO `lang_definitions` VALUES (173358, 1892, 33, 'क्लिनिकल गुणवत्ता उपाय (CQM) - 2014');
INSERT INTO `lang_definitions` VALUES (173359, 1893, 33, 'क्लिनिकल स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (173360, 1897, 33, 'क्लिनिकल अहवाल');
INSERT INTO `lang_definitions` VALUES (173361, 1898, 33, 'क्लिनिकल नियम क्रिया वर्ग');
INSERT INTO `lang_definitions` VALUES (173362, 1899, 33, 'क्लिनिकल नियम क्रिया आयटम');
INSERT INTO `lang_definitions` VALUES (173363, 1900, 33, 'क्लिनिकल नियम फिल्टर पद्धती');
INSERT INTO `lang_definitions` VALUES (173364, 1901, 33, 'क्लिनिकल नियम लक्ष्य पद्धती');
INSERT INTO `lang_definitions` VALUES (173365, 1902, 33, 'क्लिनिकल नियम');
INSERT INTO `lang_definitions` VALUES (173366, 1903, 33, 'क्लिनिकल नियम वय मध्यांतरे');
INSERT INTO `lang_definitions` VALUES (173367, 1904, 33, 'क्लिनिकल नियम तुलना');
INSERT INTO `lang_definitions` VALUES (173368, 1905, 33, 'क्लिनिकल नियम प्रकार आढळतात');
INSERT INTO `lang_definitions` VALUES (173369, 1906, 33, 'क्लिनिकल नियम स्मरणपत्र मुळे पर्याय');
INSERT INTO `lang_definitions` VALUES (173370, 1907, 33, 'क्लिनिकल नियम स्मरणपत्र Inactivation पर्याय');
INSERT INTO `lang_definitions` VALUES (173371, 1908, 33, 'क्लिनिकल नियम स्मरणपत्र मध्यांतरे');
INSERT INTO `lang_definitions` VALUES (173372, 1909, 33, 'क्लिनिकल नियम स्मरणपत्र पद्धती');
INSERT INTO `lang_definitions` VALUES (173373, 1910, 33, 'क्लिनिकल नियम लक्ष्य मध्यांतरे');
INSERT INTO `lang_definitions` VALUES (173374, 1911, 33, 'क्लिनिकल लक्ष्य');
INSERT INTO `lang_definitions` VALUES (173375, 1912, 33, 'क्लिनिकल मुदत');
INSERT INTO `lang_definitions` VALUES (173376, 1913, 33, 'क्लिनिकल मुदत कोड (चे)');
INSERT INTO `lang_definitions` VALUES (173377, 1915, 33, 'चिकित्सक');
INSERT INTO `lang_definitions` VALUES (173378, 1916, 33, 'क्लोन');
INSERT INTO `lang_definitions` VALUES (173379, 1917, 33, 'क्लोन मागील भेट द्या');
INSERT INTO `lang_definitions` VALUES (173380, 1918, 33, 'बंद करा');
INSERT INTO `lang_definitions` VALUES (173381, 1924, 33, 'विंडो बंद करा');
INSERT INTO `lang_definitions` VALUES (173382, 1925, 33, 'विंडो बंद करा');
INSERT INTO `lang_definitions` VALUES (173383, 1927, 33, 'बंद');
INSERT INTO `lang_definitions` VALUES (173384, 1928, 33, 'सेमी');
INSERT INTO `lang_definitions` VALUES (173385, 1931, 33, 'सीएमएस 1500 समास');
INSERT INTO `lang_definitions` VALUES (173386, 1933, 33, 'सीएमएस 1500 पेपर फॉर्म स्वरूप');
INSERT INTO `lang_definitions` VALUES (173387, 1938, 33, 'सीएमएस 1500: बॉक्स 31 स्वरूप');
INSERT INTO `lang_definitions` VALUES (173388, 1939, 33, 'सीएमएस 1500: बॉक्स 31 तारीख (सही)');
INSERT INTO `lang_definitions` VALUES (173389, 1940, 33, 'सीएमएस आयडी');
INSERT INTO `lang_definitions` VALUES (173390, 1943, 33, 'सीएमएस पोर्टल');
INSERT INTO `lang_definitions` VALUES (173391, 1944, 33, 'सीएमएस पोर्टल लॉग-इन');
INSERT INTO `lang_definitions` VALUES (173392, 1945, 33, 'सीएमएस पोर्टल लॉगिन आयडी');
INSERT INTO `lang_definitions` VALUES (173393, 1946, 33, 'सीएमएस पोर्टल सक्षम नाही!');
INSERT INTO `lang_definitions` VALUES (173394, 1947, 33, 'सीएमएस पोर्टल पासवर्ड');
INSERT INTO `lang_definitions` VALUES (173395, 1948, 33, 'सीएमएस पोर्टल विनंती');
INSERT INTO `lang_definitions` VALUES (173396, 1949, 33, 'सीएमएस पोर्टल साइट पत्ता');
INSERT INTO `lang_definitions` VALUES (173397, 1950, 33, 'सीएमएस पोर्टल वापरकर्तानाव');
INSERT INTO `lang_definitions` VALUES (173398, 1955, 33, 'अखंड CN2-12');
INSERT INTO `lang_definitions` VALUES (173399, 1958, 33, 'सहकारी पे');
INSERT INTO `lang_definitions` VALUES (173400, 1959, 33, 'सहकारी वेतन दिले जाते');
INSERT INTO `lang_definitions` VALUES (173401, 1962, 33, 'को-पे');
INSERT INTO `lang_definitions` VALUES (173402, 1964, 33, 'कोड');
INSERT INTO `lang_definitions` VALUES (173403, 1965, 33, 'कोड');
INSERT INTO `lang_definitions` VALUES (173404, 1967, 33, 'कोड फाइंडर');
INSERT INTO `lang_definitions` VALUES (173405, 1968, 33, 'कोड दोन अक्षरखालच्यापट्टीतील असणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (173406, 1969, 33, 'कोड किंवा चलन सूचित करण्यासाठी प्रतीक');
INSERT INTO `lang_definitions` VALUES (173407, 1971, 33, 'कोड मजकूर');
INSERT INTO `lang_definitions` VALUES (173408, 1972, 33, 'कोड प्रकार');
INSERT INTO `lang_definitions` VALUES (173409, 1973, 33, 'कोड प्रकार');
INSERT INTO `lang_definitions` VALUES (173410, 1974, 33, 'कोड प्रकार ओळखले गेले नाही');
INSERT INTO `lang_definitions` VALUES (173411, 1975, 33, 'कोड प्रकार अद्याप व्याख्या नाही');
INSERT INTO `lang_definitions` VALUES (173412, 1976, 33, 'कोड प्रकार');
INSERT INTO `lang_definitions` VALUES (173413, 1977, 33, 'कोड (चे)');
INSERT INTO `lang_definitions` VALUES (173414, 1978, 33, 'कोड');
INSERT INTO `lang_definitions` VALUES (173415, 1979, 33, 'कोड');
INSERT INTO `lang_definitions` VALUES (173416, 1981, 33, 'कोडींग');
INSERT INTO `lang_definitions` VALUES (173417, 1982, 33, 'कोडींग (शिक्षणासाठी क्लिक करा)');
INSERT INTO `lang_definitions` VALUES (173418, 1983, 33, 'कोडींग - कोणत्याही चकमकी (राइट, पर्यायी wsome)');
INSERT INTO `lang_definitions` VALUES (173419, 1985, 33, 'कोडींग - माझ्या चकमकी (राइट, पर्यायी wsome)');
INSERT INTO `lang_definitions` VALUES (173420, 1990, 33, 'अधिकृत नाही कोडींग');
INSERT INTO `lang_definitions` VALUES (173421, 1991, 33, 'कॉफी');
INSERT INTO `lang_definitions` VALUES (173422, 1992, 33, 'कॉफी वापरा');
INSERT INTO `lang_definitions` VALUES (173423, 1994, 33, 'Coinsurance');
INSERT INTO `lang_definitions` VALUES (173424, 1995, 33, 'Coll वाईड / O');
INSERT INTO `lang_definitions` VALUES (173425, 1997, 33, 'संकुचित');
INSERT INTO `lang_definitions` VALUES (173426, 1998, 33, 'संकुचित');
INSERT INTO `lang_definitions` VALUES (173427, 1999, 33, 'सर्व संकुचित करा');
INSERT INTO `lang_definitions` VALUES (173428, 2000, 33, 'सर्व संकुचित करा');
INSERT INTO `lang_definitions` VALUES (173429, 2001, 33, 'सर्व संकुचित करा');
INSERT INTO `lang_definitions` VALUES (173430, 2005, 33, 'संकलन तारीख');
INSERT INTO `lang_definitions` VALUES (173431, 2007, 33, 'संग्रह');
INSERT INTO `lang_definitions` VALUES (173432, 2008, 33, 'संग्रह अहवाल');
INSERT INTO `lang_definitions` VALUES (173433, 2009, 33, 'अपूर्णविराम कर्करोग');
INSERT INTO `lang_definitions` VALUES (173434, 2010, 33, 'अपूर्णविराम कर्करोग स्क्रीनिंग');
INSERT INTO `lang_definitions` VALUES (173435, 2011, 33, 'अपूर्णविराम कर्करोग शस्त्रक्रिया');
INSERT INTO `lang_definitions` VALUES (173436, 2012, 33, 'Colonoscopy');
INSERT INTO `lang_definitions` VALUES (173437, 2013, 33, 'colonoscopy');
INSERT INTO `lang_definitions` VALUES (173438, 2014, 33, 'रंग');
INSERT INTO `lang_definitions` VALUES (173439, 2020, 33, 'रंग: abbr');
INSERT INTO `lang_definitions` VALUES (173440, 2021, 33, 'स्तंभ');
INSERT INTO `lang_definitions` VALUES (173441, 2022, 33, 'स्तंभ');
INSERT INTO `lang_definitions` VALUES (173442, 2024, 33, 'बरेच यात');
INSERT INTO `lang_definitions` VALUES (173443, 2025, 33, 'स्वल्पविराम');
INSERT INTO `lang_definitions` VALUES (173444, 2027, 33, 'टिप्पणी');
INSERT INTO `lang_definitions` VALUES (173445, 2028, 33, 'कोणत्याही टिप्पण्या नाहीत');
INSERT INTO `lang_definitions` VALUES (173446, 2030, 33, 'हा परिणाम किंवा शिफारस टिप्पण्या');
INSERT INTO `lang_definitions` VALUES (173447, 2031, 33, 'व्यावसायिक इन्शुरन्स कंपनी');
INSERT INTO `lang_definitions` VALUES (173448, 2032, 33, 'बदल');
INSERT INTO `lang_definitions` VALUES (173449, 2034, 33, 'संवाद');
INSERT INTO `lang_definitions` VALUES (173450, 2036, 33, 'संचार');
INSERT INTO `lang_definitions` VALUES (173451, 2039, 33, 'कंपनी');
INSERT INTO `lang_definitions` VALUES (173452, 2040, 33, 'संस्थेचे नाव');
INSERT INTO `lang_definitions` VALUES (173453, 2041, 33, 'पूर्ण');
INSERT INTO `lang_definitions` VALUES (173454, 2043, 33, 'पूर्ण');
INSERT INTO `lang_definitions` VALUES (173455, 2046, 33, 'पूर्ण?');
INSERT INTO `lang_definitions` VALUES (173456, 2049, 33, 'सेवा प्रदाता करून गुंतागुंत');
INSERT INTO `lang_definitions` VALUES (173457, 2050, 33, 'गर्भपात गुंतागुंत');
INSERT INTO `lang_definitions` VALUES (173458, 2051, 33, 'घटक');
INSERT INTO `lang_definitions` VALUES (173459, 2057, 33, 'संगणक अनुदानित वैद्यकीय तसं क्रम प्रणाली');
INSERT INTO `lang_definitions` VALUES (173460, 2058, 33, 'निष्कर्ष');
INSERT INTO `lang_definitions` VALUES (173461, 2063, 33, 'Config');
INSERT INTO `lang_definitions` VALUES (173462, 2064, 33, 'संरचना');
INSERT INTO `lang_definitions` VALUES (173463, 2065, 33, 'संरचना आयात / निर्यात');
INSERT INTO `lang_definitions` VALUES (173464, 2066, 33, 'संरचना यशस्वीरित्या जतन केले');
INSERT INTO `lang_definitions` VALUES (173465, 2067, 33, 'क्लायंट बाजूला SSL प्रमाणपत्र वापरू अपाचे आणि OpenEMR संरचीत करा.');
INSERT INTO `lang_definitions` VALUES (173466, 2068, 33, 'क्लायंट बाजूला SSL प्रमाणपत्र वापरू अपाचे संयोजीत करा Name');
INSERT INTO `lang_definitions` VALUES (173467, 2069, 33, 'HTTPS वापरा करण्यासाठी अपाचे कॉन्फिगर करा.');
INSERT INTO `lang_definitions` VALUES (173468, 2070, 33, 'क्लायंट बाजूला SSL प्रमाणपत्र वापरू Openemr संयोजीत करा Name');
INSERT INTO `lang_definitions` VALUES (173469, 2074, 33, 'ट्रॅक संयोजीत करा Name');
INSERT INTO `lang_definitions` VALUES (173470, 2075, 33, 'ट्रॅक संयोजीत करा Name');
INSERT INTO `lang_definitions` VALUES (173471, 2079, 33, 'नवीन रुग्णांच्या तयार करा पुष्टी करा');
INSERT INTO `lang_definitions` VALUES (173472, 2081, 33, 'नवीन संकेतशब्द कन्फर्म करा');
INSERT INTO `lang_definitions` VALUES (173473, 2083, 33, 'भरणा पुष्टी करा');
INSERT INTO `lang_definitions` VALUES (173474, 2092, 33, 'जन्मजात');
INSERT INTO `lang_definitions` VALUES (173475, 2094, 33, 'Conjuntiva, अलविदा');
INSERT INTO `lang_definitions` VALUES (173476, 2096, 33, 'कनेक्शन त्रुटी');
INSERT INTO `lang_definitions` VALUES (173477, 2097, 33, 'कने');
INSERT INTO `lang_definitions` VALUES (173478, 2098, 33, 'सतत');
INSERT INTO `lang_definitions` VALUES (173479, 2100, 33, 'सतत नाव');
INSERT INTO `lang_definitions` VALUES (173480, 2101, 33, 'सतत नाव रिक्त आहे');
INSERT INTO `lang_definitions` VALUES (173481, 2102, 33, 'स्थिर');
INSERT INTO `lang_definitions` VALUES (173482, 2103, 33, 'बद्धकोष्ठता');
INSERT INTO `lang_definitions` VALUES (173483, 2104, 33, 'घटनात्मक');
INSERT INTO `lang_definitions` VALUES (173484, 2107, 33, 'सल्ला संक्षिप्त वर्णन');
INSERT INTO `lang_definitions` VALUES (173485, 2109, 33, 'संपर्क');
INSERT INTO `lang_definitions` VALUES (173486, 2110, 33, 'संपर्क ईमेल');
INSERT INTO `lang_definitions` VALUES (173487, 2111, 33, 'संपर्क ई-मेल पत्ता');
INSERT INTO `lang_definitions` VALUES (173488, 2112, 33, 'संपर्क EMR थेट phiMail थेट संदेश सेवा सदस्यता');
INSERT INTO `lang_definitions` VALUES (173489, 2113, 33, 'संपर्क माहिती');
INSERT INTO `lang_definitions` VALUES (173490, 2117, 33, 'कॉन्टॅक्ट लेन्स');
INSERT INTO `lang_definitions` VALUES (173491, 2118, 33, 'संपर्क वैद्यकीय माहिती एकत्रीकरण, प्रयोगशाळा एक्सचेंज सेवा http://mi-squared.com येथे एलएलसी.');
INSERT INTO `lang_definitions` VALUES (173492, 2119, 33, 'ERx सेवा सदस्यता http://zhservices.com येथे http://mi-squared.com किंवा ZH आरोग्य वैद्यकीय माहिती एकत्रीकरण, एलएलसी संपर्क साधा');
INSERT INTO `lang_definitions` VALUES (173493, 2122, 33, 'संपर्क नाव');
INSERT INTO `lang_definitions` VALUES (173494, 2125, 33, 'संपर्क व्यक्ती');
INSERT INTO `lang_definitions` VALUES (173495, 2126, 33, 'संपर्क फोन');
INSERT INTO `lang_definitions` VALUES (173496, 2127, 33, 'संपर्क फोन नंबर');
INSERT INTO `lang_definitions` VALUES (173497, 2129, 33, 'ERx सेवा सदस्यता संपर्क ZMG, एलएलसी (zmghealth@gmail.com)');
INSERT INTO `lang_definitions` VALUES (173498, 2131, 33, 'चार खालील आयटम किमान तीन आहेत:');
INSERT INTO `lang_definitions` VALUES (173499, 2132, 33, 'कंटेनर गट नाव');
INSERT INTO `lang_definitions` VALUES (173500, 2133, 33, 'सामग्री');
INSERT INTO `lang_definitions` VALUES (173501, 2134, 33, 'सामग्री');
INSERT INTO `lang_definitions` VALUES (173502, 2136, 33, 'संदर्भ');
INSERT INTO `lang_definitions` VALUES (173503, 2137, 33, 'संदर्भ नाव टी रिक्त असू \' करू शकता');
INSERT INTO `lang_definitions` VALUES (173504, 2138, 33, 'सुरू ठेवा');
INSERT INTO `lang_definitions` VALUES (173505, 2142, 33, 'काळजी दस्तऐवज सातत्य (सीसीडीची)');
INSERT INTO `lang_definitions` VALUES (173506, 2145, 33, 'काळजी रेकॉर्ड सातत्य (CCR)');
INSERT INTO `lang_definitions` VALUES (173507, 2146, 33, 'विरुद्ध ग्राहक');
INSERT INTO `lang_definitions` VALUES (173508, 2147, 33, 'संततिनियमन');
INSERT INTO `lang_definitions` VALUES (173509, 2148, 33, 'संततिनियमन मुद्दे');
INSERT INTO `lang_definitions` VALUES (173510, 2149, 33, 'गर्भनिरोधक गुंतागुंत (स्पष्ट करा)');
INSERT INTO `lang_definitions` VALUES (173511, 2150, 33, 'गर्भनिरोधक पद्धत');
INSERT INTO `lang_definitions` VALUES (173512, 2151, 33, 'गर्भनिरोधक उत्पादने');
INSERT INTO `lang_definitions` VALUES (173513, 2152, 33, 'गर्भनिरोधक सेवा पूर्वी सुरु');
INSERT INTO `lang_definitions` VALUES (173514, 2153, 33, 'गर्भनिरोधक प्रारंभ');
INSERT INTO `lang_definitions` VALUES (173515, 2158, 33, 'नियंत्रण आयडी');
INSERT INTO `lang_definitions` VALUES (173516, 2159, 33, 'नियंत्रण क्रमांक');
INSERT INTO `lang_definitions` VALUES (173517, 2168, 33, 'COPAY');
INSERT INTO `lang_definitions` VALUES (173518, 2169, 33, 'Copay');
INSERT INTO `lang_definitions` VALUES (173519, 2170, 33, 'CoPay');
INSERT INTO `lang_definitions` VALUES (173520, 2171, 33, 'सकारात्मक नाही Copay');
INSERT INTO `lang_definitions` VALUES (173521, 2172, 33, 'Copay अदा');
INSERT INTO `lang_definitions` VALUES (173522, 2173, 33, 'Copays');
INSERT INTO `lang_definitions` VALUES (173523, 2174, 33, 'COPD');
INSERT INTO `lang_definitions` VALUES (173524, 2175, 33, 'रुग्णांच्या चार्ट कॉपी करा पृष्ठे');
INSERT INTO `lang_definitions` VALUES (173525, 2177, 33, 'कॉपी मूल्ये');
INSERT INTO `lang_definitions` VALUES (173526, 2178, 33, 'डेटाबेस फाइल कॉपी करत आहे. हे काही वेळ लागेल ...');
INSERT INTO `lang_definitions` VALUES (173527, 2179, 33, 'कॉपीराइट सूचना');
INSERT INTO `lang_definitions` VALUES (173528, 2183, 33, 'कॉर्निश');
INSERT INTO `lang_definitions` VALUES (173529, 2184, 33, 'कोरोनरी आर्टरी बायपास');
INSERT INTO `lang_definitions` VALUES (173530, 2185, 33, 'कोरोनरी आर्टरी बायपास ग्राफ्ट (CABG)');
INSERT INTO `lang_definitions` VALUES (173531, 2186, 33, 'दुरुस्त');
INSERT INTO `lang_definitions` VALUES (173532, 2187, 33, 'कोर्सिकी');
INSERT INTO `lang_definitions` VALUES (173533, 2188, 33, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (173534, 2189, 33, 'CouchDB कनेक्शन अयशस्वी.');
INSERT INTO `lang_definitions` VALUES (173535, 2191, 33, 'CouchDB डेटाबेस');
INSERT INTO `lang_definitions` VALUES (173536, 2192, 33, 'CouchDB डेटाबेस नाव');
INSERT INTO `lang_definitions` VALUES (173537, 2195, 33, 'CouchDB यजमान');
INSERT INTO `lang_definitions` VALUES (173538, 2196, 33, 'CouchDB यजमाननाव');
INSERT INTO `lang_definitions` VALUES (173539, 2197, 33, 'CouchDB लॉग सक्षम');
INSERT INTO `lang_definitions` VALUES (173540, 2198, 33, 'CouchDB पासवर्ड');
INSERT INTO `lang_definitions` VALUES (173541, 2199, 33, 'CouchDB पोर्ट');
INSERT INTO `lang_definitions` VALUES (173542, 2200, 33, 'CouchDB पोर्ट');
INSERT INTO `lang_definitions` VALUES (173543, 2201, 33, 'CouchDB जतन करणे अयशस्वी झाले');
INSERT INTO `lang_definitions` VALUES (173544, 2203, 33, 'CouchDB UserName');
INSERT INTO `lang_definitions` VALUES (173545, 2204, 33, 'खोकला');
INSERT INTO `lang_definitions` VALUES (173546, 2205, 33, 'खोकला:');
INSERT INTO `lang_definitions` VALUES (173547, 2206, 33, 'सर्व्हरशी कनेक्ट करणे शक्य नाही');
INSERT INTO `lang_definitions` VALUES (173548, 2210, 33, 'टेबल उघडू शकत नाही');
INSERT INTO `lang_definitions` VALUES (173549, 2211, 33, 'फाइल वाचणे शक्य झाले नाही');
INSERT INTO `lang_definitions` VALUES (173550, 2212, 33, 'फाइल वाचणे शक्य झाले नाही');
INSERT INTO `lang_definitions` VALUES (173551, 2214, 33, 'मुळे सर्व्हर समस्या ईमेल पाठवू शकत नाही,');
INSERT INTO `lang_definitions` VALUES (173552, 2216, 33, 'मुळे सर्व्हर समस्या ईमेल पाठवू शकत नाही.');
INSERT INTO `lang_definitions` VALUES (173553, 2217, 33, 'बॅकअप निर्देशिका तयार करू शकत नाही:');
INSERT INTO `lang_definitions` VALUES (173554, 2218, 33, 'निर्देशिका काढू शकलो नाही:');
INSERT INTO `lang_definitions` VALUES (173555, 2219, 33, 'जुन्या बॅकअप फाइल काढून टाकू शकत नाही:');
INSERT INTO `lang_definitions` VALUES (173556, 2220, 33, 'जुन्या निर्यात फाइल काढून टाकू शकत नाही:');
INSERT INTO `lang_definitions` VALUES (173557, 2221, 33, 'Coumadin व्यवस्थापन - भारतीय रुपया देखरेख');
INSERT INTO `lang_definitions` VALUES (173558, 2222, 33, 'पद्धत करून Couns');
INSERT INTO `lang_definitions` VALUES (173559, 2223, 33, 'समुपदेशन');
INSERT INTO `lang_definitions` VALUES (173560, 2224, 33, 'समुपदेशन उपक्रम');
INSERT INTO `lang_definitions` VALUES (173561, 2227, 33, 'COUNTER या रेफरल प्रपत्र');
INSERT INTO `lang_definitions` VALUES (173562, 2228, 33, 'प्रति-रेफरल');
INSERT INTO `lang_definitions` VALUES (173563, 2229, 33, 'देश');
INSERT INTO `lang_definitions` VALUES (173564, 2231, 33, 'देश डेटा प्रकार');
INSERT INTO `lang_definitions` VALUES (173565, 2232, 33, 'देश यादी');
INSERT INTO `lang_definitions` VALUES (173566, 2233, 33, 'देश यादी (राइट, addonly पर्यायी)');
INSERT INTO `lang_definitions` VALUES (173567, 2235, 33, 'देश नाव दोन अक्षरे प्रतिनिधित्व पाहिजे. (उदाहरण: युनायटेड स्टेट्स आहे)');
INSERT INTO `lang_definitions` VALUES (173568, 2236, 33, 'कंट्री');
INSERT INTO `lang_definitions` VALUES (173569, 2238, 33, 'कुपन');
INSERT INTO `lang_definitions` VALUES (173570, 2245, 33, 'CPT');
INSERT INTO `lang_definitions` VALUES (173571, 2246, 33, 'CPT कोड');
INSERT INTO `lang_definitions` VALUES (173572, 2247, 33, 'CPT कोड');
INSERT INTO `lang_definitions` VALUES (173573, 2248, 33, 'CPT4 प्रक्रिया / सेवा');
INSERT INTO `lang_definitions` VALUES (173574, 2249, 33, 'CPTII कामगिरी उपाय');
INSERT INTO `lang_definitions` VALUES (173575, 2250, 33, 'CQM');
INSERT INTO `lang_definitions` VALUES (173576, 2252, 33, 'Crackles:');
INSERT INTO `lang_definitions` VALUES (173577, 2255, 33, 'मलई');
INSERT INTO `lang_definitions` VALUES (173578, 2256, 33, 'प्रत्येक वापरकर्ता किंवा क्लाएंट मशीन करीता क्लाएंट साइड SSL प्रमाणपत्र तयार करा.');
INSERT INTO `lang_definitions` VALUES (173579, 2257, 33, 'वापरकर्ता किंवा क्लाएंट यजमाननाव एकतर एक क्लाएंट साइड SSL प्रमाणपत्र तयार करा.');
INSERT INTO `lang_definitions` VALUES (173580, 2261, 33, 'नवीन ट्रॅक तयार करा');
INSERT INTO `lang_definitions` VALUES (173581, 2269, 33, 'इव्हेंट तयार करा');
INSERT INTO `lang_definitions` VALUES (173582, 2273, 33, 'तयार करा आणि संपूर्ण बॅकअप डाउनलोड');
INSERT INTO `lang_definitions` VALUES (173583, 2274, 33, 'तयार करा आणि ट्रॅक सुधारण्यासाठी');
INSERT INTO `lang_definitions` VALUES (173584, 2275, 33, 'बॅकअप तयार करा');
INSERT INTO `lang_definitions` VALUES (173585, 2276, 33, 'बॅच तयार करा');
INSERT INTO `lang_definitions` VALUES (173586, 2277, 33, 'क्लायंट प्रमाणपत्र तयार');
INSERT INTO `lang_definitions` VALUES (173587, 2278, 33, 'क्लायंट बाजूला SSL प्रमाणपत्र तयार करा');
INSERT INTO `lang_definitions` VALUES (173588, 2281, 33, 'डुप्लिकेट तयार करा');
INSERT INTO `lang_definitions` VALUES (173589, 2282, 33, 'चकमकीत तयार करा');
INSERT INTO `lang_definitions` VALUES (173590, 2283, 33, 'Eventlog बॅकअप तयार करा');
INSERT INTO `lang_definitions` VALUES (173591, 2285, 33, 'नवीन समस्या तयार करा');
INSERT INTO `lang_definitions` VALUES (173592, 2287, 33, 'नवीन रुग्णांच्या तयार करा');
INSERT INTO `lang_definitions` VALUES (173593, 2288, 33, 'नवीन ट्रॅक तयार करा');
INSERT INTO `lang_definitions` VALUES (173594, 2290, 33, 'Offsite Portal ेय तयार करा');
INSERT INTO `lang_definitions` VALUES (173595, 2292, 33, 'Onsite Portal ेय तयार करा');
INSERT INTO `lang_definitions` VALUES (173596, 2294, 33, 'रुग्णांच्या टीप तयार करा');
INSERT INTO `lang_definitions` VALUES (173597, 2296, 33, 'SSL प्रमाणपत्र प्राधिकरण आणि सर्व्हर प्रमाणपत्र तयार करा.');
INSERT INTO `lang_definitions` VALUES (173598, 2297, 33, 'भेट द्या तयार करा');
INSERT INTO `lang_definitions` VALUES (173599, 2298, 33, 'तयार');
INSERT INTO `lang_definitions` VALUES (173600, 2306, 33, 'निर्यात फाइल निर्माण करणे');
INSERT INTO `lang_definitions` VALUES (173601, 2307, 33, 'नवीन ट्रॅक तयार करणे अयशस्वी झाले');
INSERT INTO `lang_definitions` VALUES (173602, 2308, 33, 'दूरस्थ यजमानावर ही फाईल तयार करणे अयशस्वी झाले');
INSERT INTO `lang_definitions` VALUES (173603, 2309, 33, 'निर्माणकर्ता');
INSERT INTO `lang_definitions` VALUES (173604, 2311, 33, 'क्रेडिट');
INSERT INTO `lang_definitions` VALUES (173605, 2312, 33, 'क्रेडीट कार्ड');
INSERT INTO `lang_definitions` VALUES (173606, 2314, 33, 'क्रेडिट');
INSERT INTO `lang_definitions` VALUES (173607, 2315, 33, 'क्री');
INSERT INTO `lang_definitions` VALUES (173608, 2316, 33, 'निकष');
INSERT INTO `lang_definitions` VALUES (173609, 2318, 33, 'क्रोएशियन');
INSERT INTO `lang_definitions` VALUES (173610, 2319, 33, 'Crohn  \'चे रोग');
INSERT INTO `lang_definitions` VALUES (173611, 2320, 33, 'Crohns रोग');
INSERT INTO `lang_definitions` VALUES (173612, 2323, 33, 'सी निर्यात');
INSERT INTO `lang_definitions` VALUES (173613, 2324, 33, 'सी फाइल');
INSERT INTO `lang_definitions` VALUES (173614, 2325, 33, 'सी टेबल');
INSERT INTO `lang_definitions` VALUES (173615, 2330, 33, 'CU.MM');
INSERT INTO `lang_definitions` VALUES (173616, 2331, 33, 'क्यूबा');
INSERT INTO `lang_definitions` VALUES (173617, 2333, 33, 'चलन दशांश स्थाने');
INSERT INTO `lang_definitions` VALUES (173618, 2334, 33, 'चलन दशमान पॉइंट प्रतीक');
INSERT INTO `lang_definitions` VALUES (173619, 2335, 33, 'चलन Designator');
INSERT INTO `lang_definitions` VALUES (173620, 2336, 33, 'चलन हजारो विभाजक');
INSERT INTO `lang_definitions` VALUES (173621, 2337, 33, 'वर्तमान');
INSERT INTO `lang_definitions` VALUES (173622, 2338, 33, 'वर्तमान मद्यार्क');
INSERT INTO `lang_definitions` VALUES (173623, 2341, 33, 'वर्तमान सल्ला');
INSERT INTO `lang_definitions` VALUES (173624, 2342, 33, 'वर्तमान निकष');
INSERT INTO `lang_definitions` VALUES (173625, 2344, 33, 'चालू दिवस हायलाइट रंग');
INSERT INTO `lang_definitions` VALUES (173626, 2345, 33, 'चालू दररोज धूम्रपान');
INSERT INTO `lang_definitions` VALUES (173627, 2347, 33, 'वर्तमान फाइल नाव बदलण्यात आले');
INSERT INTO `lang_definitions` VALUES (173628, 2349, 33, 'वर्तमान हॅश');
INSERT INTO `lang_definitions` VALUES (173629, 2350, 33, 'वर्तमान स्थान');
INSERT INTO `lang_definitions` VALUES (173630, 2352, 33, 'वर्तमान औषधे');
INSERT INTO `lang_definitions` VALUES (173631, 2354, 33, 'वर्तमान संकेतशब्द');
INSERT INTO `lang_definitions` VALUES (173632, 2356, 33, 'वर्तमान रुग्णांच्या');
INSERT INTO `lang_definitions` VALUES (173633, 2359, 33, 'वर्तमान पं फक्त');
INSERT INTO `lang_definitions` VALUES (173634, 2361, 33, 'वर्तमान अंमली औषधे');
INSERT INTO `lang_definitions` VALUES (173635, 2363, 33, 'चालू काही दिवस धूम्रपान');
INSERT INTO `lang_definitions` VALUES (173636, 2369, 33, 'वर्तमान मूल्य');
INSERT INTO `lang_definitions` VALUES (173637, 2371, 33, 'सध्या सक्रिय');
INSERT INTO `lang_definitions` VALUES (173638, 2375, 33, 'सध्या चालू');
INSERT INTO `lang_definitions` VALUES (173639, 2377, 33, 'सध्या कोणतेही सुविधा आहेत.');
INSERT INTO `lang_definitions` VALUES (173640, 2379, 33, 'कशिंग Syndrom');
INSERT INTO `lang_definitions` VALUES (173641, 2380, 33, 'कशिंग सिंड्रोम');
INSERT INTO `lang_definitions` VALUES (173642, 2383, 33, 'सानुकूल');
INSERT INTO `lang_definitions` VALUES (173643, 2390, 33, 'सानुकूल इनपुट?');
INSERT INTO `lang_definitions` VALUES (173644, 2395, 33, 'सानुकूल टेबल');
INSERT INTO `lang_definitions` VALUES (173645, 2402, 33, 'CVX कोड');
INSERT INTO `lang_definitions` VALUES (173646, 2403, 33, 'CVX कोड मॅपिंग');
INSERT INTO `lang_definitions` VALUES (173647, 2404, 33, 'CVX लसीकरण');
INSERT INTO `lang_definitions` VALUES (173648, 2406, 33, 'सायकल');
INSERT INTO `lang_definitions` VALUES (173649, 2412, 33, 'CYP');
INSERT INTO `lang_definitions` VALUES (173650, 2413, 33, 'CYP फॅक्टर');
INSERT INTO `lang_definitions` VALUES (173651, 2414, 33, 'CYP अहवाल');
INSERT INTO `lang_definitions` VALUES (173652, 2415, 33, 'चेक');
INSERT INTO `lang_definitions` VALUES (173653, 2416, 33, 'डी');
INSERT INTO `lang_definitions` VALUES (173654, 2417, 33, 'डी अँड सी');
INSERT INTO `lang_definitions` VALUES (173655, 2418, 33, 'D & E ची');
INSERT INTO `lang_definitions` VALUES (173656, 2420, 33, 'D.O.B.');
INSERT INTO `lang_definitions` VALUES (173657, 2421, 33, 'दररोज');
INSERT INTO `lang_definitions` VALUES (173658, 2422, 33, 'दैनिक नोंद');
INSERT INTO `lang_definitions` VALUES (173659, 2425, 33, 'डॅनिश');
INSERT INTO `lang_definitions` VALUES (173660, 2429, 33, 'डेटा अलाईक डेटाबेस आधीपासूनच आहे, कोड आणि / किंवा वर्णन बदला');
INSERT INTO `lang_definitions` VALUES (173661, 2430, 33, 'डेटा अलाईक डेटाबेस आधीपासूनच आहे, सतत नाव बदला');
INSERT INTO `lang_definitions` VALUES (173662, 2431, 33, 'डेटा स्तंभ');
INSERT INTO `lang_definitions` VALUES (173663, 2434, 33, 'डेटा त्रुटी');
INSERT INTO `lang_definitions` VALUES (173664, 2435, 33, 'डेटा');
INSERT INTO `lang_definitions` VALUES (173665, 2437, 33, 'सर्व चकमक डेटा आतापर्यंत');
INSERT INTO `lang_definitions` VALUES (173666, 2439, 33, 'डेटा प्रकार');
INSERT INTO `lang_definitions` VALUES (173667, 2440, 33, 'डेटाबेस');
INSERT INTO `lang_definitions` VALUES (173668, 2442, 33, 'डाटाबेस स्थापित केले नाही.');
INSERT INTO `lang_definitions` VALUES (173669, 2444, 33, 'डेटाबेस ठिगळ');
INSERT INTO `lang_definitions` VALUES (173670, 2445, 33, 'डेटाबेस अहवाल');
INSERT INTO `lang_definitions` VALUES (173671, 2447, 33, 'डेटाबेस सुधारणा पूर्ण.');
INSERT INTO `lang_definitions` VALUES (173672, 2448, 33, 'DataCols 1 आणि 999 दरम्यान एक संख्या असणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (173673, 2449, 33, 'तारीख');
INSERT INTO `lang_definitions` VALUES (173674, 2450, 33, 'DATE रोजी');
INSERT INTO `lang_definitions` VALUES (173675, 2451, 33, 'तारीख आणि वेळ प्रशासित');
INSERT INTO `lang_definitions` VALUES (173676, 2453, 33, 'तारीख प्रशासित');
INSERT INTO `lang_definitions` VALUES (173677, 2454, 33, 'तारीख आणि नमुना संग्रह वेळ');
INSERT INTO `lang_definitions` VALUES (173678, 2455, 33, 'या निरीक्षण तारीख आणि वेळ');
INSERT INTO `lang_definitions` VALUES (173679, 2457, 33, 'दिनांक व वेळ नमुना गोळा झाले की,');
INSERT INTO `lang_definitions` VALUES (173680, 2458, 33, 'तारीख आज पेक्षा जास्त असू शकत नाही');
INSERT INTO `lang_definitions` VALUES (173681, 2459, 33, 'तारीख गर्भनिरोधक सेवा सुरुवातीला प्रदान');
INSERT INTO `lang_definitions` VALUES (173682, 2460, 33, 'तारीख तयार');
INSERT INTO `lang_definitions` VALUES (173683, 2461, 33, 'तारीख मृत');
INSERT INTO `lang_definitions` VALUES (173684, 2462, 33, 'तारीख नष्ट');
INSERT INTO `lang_definitions` VALUES (173685, 2463, 33, 'तारीख प्रदर्शन स्वरूप');
INSERT INTO `lang_definitions` VALUES (173686, 2464, 33, 'नियुक्ती शेवट तारखेचे स्वरुप वैध नाही');
INSERT INTO `lang_definitions` VALUES (173687, 2465, 33, 'नियुक्ती प्रारंभ तारखेचे स्वरुप वैध नाही');
INSERT INTO `lang_definitions` VALUES (173688, 2466, 33, 'पुढील भेट तारखेचे स्वरुप वैध नाही');
INSERT INTO `lang_definitions` VALUES (173689, 2467, 33, 'पासून पाहिले नाही तारखेचे स्वरुप वैध नाही');
INSERT INTO `lang_definitions` VALUES (173690, 2469, 33, 'पासून पाहिले तारखेचे स्वरुप वैध नाही');
INSERT INTO `lang_definitions` VALUES (173691, 2470, 33, 'तारीख लसीकरण माहिती विधाने दिली');
INSERT INTO `lang_definitions` VALUES (173692, 2471, 33, 'दिनांक कोड गहाळ आहे');
INSERT INTO `lang_definitions` VALUES (173693, 2472, 33, 'तारीख मास्टर निकष');
INSERT INTO `lang_definitions` VALUES (173694, 2475, 33, 'बँक डिपॉझिट, वर्ष-mm-dd या तारीख');
INSERT INTO `lang_definitions` VALUES (173695, 2476, 33, 'बिलिंग तारीख');
INSERT INTO `lang_definitions` VALUES (173696, 2477, 33, 'जन्म तारीख');
INSERT INTO `lang_definitions` VALUES (173697, 2478, 33, 'जन्म तारीख');
INSERT INTO `lang_definitions` VALUES (173698, 2479, 33, 'जन्म तारीख');
INSERT INTO `lang_definitions` VALUES (173699, 2481, 33, 'प्रवेश दिनांक');
INSERT INTO `lang_definitions` VALUES (173700, 2483, 33, 'इजा तारीख');
INSERT INTO `lang_definitions` VALUES (173701, 2487, 33, 'पैसे वर्ष-mm-dd या तारीख');
INSERT INTO `lang_definitions` VALUES (173702, 2489, 33, 'संदर्भ तारीख');
INSERT INTO `lang_definitions` VALUES (173703, 2491, 33, 'उत्तर तारीख');
INSERT INTO `lang_definitions` VALUES (173704, 2492, 33, 'अहवाल तारीख');
INSERT INTO `lang_definitions` VALUES (173705, 2493, 33, 'सेवा तारीख');
INSERT INTO `lang_definitions` VALUES (173706, 2495, 33, 'सेवा तारीख');
INSERT INTO `lang_definitions` VALUES (173707, 2496, 33, 'सेवा तारीख = आज');
INSERT INTO `lang_definitions` VALUES (173708, 2498, 33, 'सेवा मिमी / DD / YYYY तारीख');
INSERT INTO `lang_definitions` VALUES (173709, 2499, 33, 'सेवा दिनांक:');
INSERT INTO `lang_definitions` VALUES (173710, 2500, 33, 'याची सही व तारीख');
INSERT INTO `lang_definitions` VALUES (173711, 2501, 33, 'स्थिती बदला तारीख');
INSERT INTO `lang_definitions` VALUES (173712, 2503, 33, 'या क्रमाने तारीख');
INSERT INTO `lang_definitions` VALUES (173713, 2504, 33, 'हा अहवाल दिनांक');
INSERT INTO `lang_definitions` VALUES (173714, 2505, 33, 'इच्छित विधान तारीख');
INSERT INTO `lang_definitions` VALUES (173715, 2506, 33, 'तारीख आदेश');
INSERT INTO `lang_definitions` VALUES (173716, 2508, 33, 'तारीख निवड');
INSERT INTO `lang_definitions` VALUES (173717, 2509, 33, 'तारीख निवड');
INSERT INTO `lang_definitions` VALUES (173718, 2510, 33, 'प्रेषित तारीख');
INSERT INTO `lang_definitions` VALUES (173719, 2511, 33, 'तारीख संदेश पाठविला');
INSERT INTO `lang_definitions` VALUES (173720, 2512, 33, 'तारीख वेळ');
INSERT INTO `lang_definitions` VALUES (173721, 2513, 33, 'तारीख मूल्ये रिक्त असू शकत नाही.');
INSERT INTO `lang_definitions` VALUES (173722, 2516, 33, 'तारीख / Appt');
INSERT INTO `lang_definitions` VALUES (173723, 2517, 33, 'तारीख / टिपा');
INSERT INTO `lang_definitions` VALUES (173724, 2518, 33, 'अंतिम तारीख / टिपा');
INSERT INTO `lang_definitions` VALUES (173725, 2519, 33, 'तारीख / वेळ');
INSERT INTO `lang_definitions` VALUES (173726, 2520, 33, 'दिनांक:');
INSERT INTO `lang_definitions` VALUES (173727, 2523, 33, 'संदेश लॉग दिनांक');
INSERT INTO `lang_definitions` VALUES (173728, 2526, 33, 'दिवस');
INSERT INTO `lang_definitions` VALUES (173729, 2527, 33, 'दिवस');
INSERT INTO `lang_definitions` VALUES (173730, 2530, 33, 'दिवस पहा');
INSERT INTO `lang_definitions` VALUES (173731, 2531, 33, 'दिवस (चे)');
INSERT INTO `lang_definitions` VALUES (173732, 2532, 33, 'दिवस (चे) एम एफ');
INSERT INTO `lang_definitions` VALUES (173733, 2533, 33, 'दिवस');
INSERT INTO `lang_definitions` VALUES (173734, 2534, 33, 'दिवस');
INSERT INTO `lang_definitions` VALUES (173735, 2535, 33, 'दिवसांपूर्वी');
INSERT INTO `lang_definitions` VALUES (173736, 2536, 33, 'दिवस आणि खेळ मिस');
INSERT INTO `lang_definitions` VALUES (173737, 2537, 33, 'गेल्या चकमकीत पासून दिवस');
INSERT INTO `lang_definitions` VALUES (173738, 2538, 33, 'दिवस मिस');
INSERT INTO `lang_definitions` VALUES (173739, 2541, 33, 'स्तंभ प्रति दिवस:');
INSERT INTO `lang_definitions` VALUES (173740, 2543, 33, 'दिवस / कर्नल:');
INSERT INTO `lang_definitions` VALUES (173741, 2544, 33, 'डीबी स्थापित');
INSERT INTO `lang_definitions` VALUES (173742, 2545, 33, 'डीडी / आहे MM / YYYY');
INSERT INTO `lang_definitions` VALUES (173743, 2546, 33, 'डे ओळख');
INSERT INTO `lang_definitions` VALUES (173744, 2547, 33, 'डे ओळख प्रक्रिया पूर्ण');
INSERT INTO `lang_definitions` VALUES (173745, 2548, 33, 'डे ओळख प्रक्रिया सुरु आहे');
INSERT INTO `lang_definitions` VALUES (173746, 2549, 33, 'डे ओळख प्रक्रिया सुरु केले आणि पार्श्वभूमीत चालू आहे');
INSERT INTO `lang_definitions` VALUES (173747, 2550, 33, 'डे ओळखले डेटा पूर्ण होऊ शकत नाही');
INSERT INTO `lang_definitions` VALUES (173748, 2551, 33, 'डी-ओळख येथे साठवले जाईल');
INSERT INTO `lang_definitions` VALUES (173749, 2552, 33, 'DEA');
INSERT INTO `lang_definitions` VALUES (173750, 2558, 33, 'बहिरा');
INSERT INTO `lang_definitions` VALUES (173751, 2562, 33, 'डीबग माहिती');
INSERT INTO `lang_definitions` VALUES (173752, 2564, 33, 'डिबगिंग');
INSERT INTO `lang_definitions` VALUES (173753, 2565, 33, 'डिसेंबर');
INSERT INTO `lang_definitions` VALUES (173754, 2567, 33, 'मृत');
INSERT INTO `lang_definitions` VALUES (173755, 2574, 33, 'डिसेंबर');
INSERT INTO `lang_definitions` VALUES (173756, 2578, 33, '# वेगळे करून दशमान पौंड किंवा पाउंड आणि औन्स (उदा 5 # 4)');
INSERT INTO `lang_definitions` VALUES (173757, 2579, 33, 'निर्देशीत करण्यासाठी नकार दिला');
INSERT INTO `lang_definitions` VALUES (173758, 2580, 33, 'पात्र');
INSERT INTO `lang_definitions` VALUES (173759, 2581, 33, 'पात्र हवामान');
INSERT INTO `lang_definitions` VALUES (173760, 2583, 33, 'डीफॉल्ट');
INSERT INTO `lang_definitions` VALUES (173761, 2585, 33, 'डीफॉल्ट कॅलेंडर पहा');
INSERT INTO `lang_definitions` VALUES (173762, 2587, 33, 'मुलभूत चकमकीत फॉर्म आयडी');
INSERT INTO `lang_definitions` VALUES (173763, 2589, 33, 'मुलभूत सुविधा');
INSERT INTO `lang_definitions` VALUES (173764, 2594, 33, 'मुलभूत भाषा');
INSERT INTO `lang_definitions` VALUES (173765, 2595, 33, 'अनुमती देण्यात येईल किंवा निवडलेल्या कोणत्याही इतर तर मुलभूत भाषा.');
INSERT INTO `lang_definitions` VALUES (173766, 2598, 33, 'मुलभूत यादी (addonly पर्यायी, लिहा)');
INSERT INTO `lang_definitions` VALUES (173767, 2600, 33, 'डीफॉल्ट पद्धत');
INSERT INTO `lang_definitions` VALUES (173768, 2601, 33, 'डीफॉल्ट संकेतशब्द कालबाह्य दिवस');
INSERT INTO `lang_definitions` VALUES (173769, 2602, 33, 'दिवस डीफॉल्ट संकेतशब्द समाप्ती कालावधी. 0 हे वैशिष्ट्य अक्षम आहे याचा अर्थ.');
INSERT INTO `lang_definitions` VALUES (173770, 2603, 33, 'डीफॉल्ट रुग्णांच्या देश');
INSERT INTO `lang_definitions` VALUES (173771, 2606, 33, 'डीफॉल्ट प्राधान्य');
INSERT INTO `lang_definitions` VALUES (173772, 2607, 33, 'डीफॉल्ट प्रदाता');
INSERT INTO `lang_definitions` VALUES (173773, 2609, 33, 'डीफॉल्ट श्रेणी');
INSERT INTO `lang_definitions` VALUES (173774, 2610, 33, 'भेट द्या डीफॉल्ट कारण');
INSERT INTO `lang_definitions` VALUES (173775, 2615, 33, 'डीफॉल्ट सेटिंग');
INSERT INTO `lang_definitions` VALUES (173776, 2617, 33, 'रुग्ण यादी नवीन विंडो चेकबॉक्स डीफॉल्ट स्थिती.');
INSERT INTO `lang_definitions` VALUES (173777, 2618, 33, 'डीफॉल्ट टेम्पलेट');
INSERT INTO `lang_definitions` VALUES (173778, 2624, 33, 'डीफॉल्ट युनिट');
INSERT INTO `lang_definitions` VALUES (173779, 2626, 33, 'डीफॉल्ट मूल्य');
INSERT INTO `lang_definitions` VALUES (173780, 2628, 33, 'डीफॉल्ट वखार');
INSERT INTO `lang_definitions` VALUES (173781, 2629, 33, 'डीफॉल्ट X12 भागीदार');
INSERT INTO `lang_definitions` VALUES (173782, 2630, 33, 'डीफॉल्ट / ग्लोबल');
INSERT INTO `lang_definitions` VALUES (173783, 2635, 33, 'देल');
INSERT INTO `lang_definitions` VALUES (173784, 2636, 33, 'देल');
INSERT INTO `lang_definitions` VALUES (173785, 2637, 33, 'विलंब पुनरावृत्ती (> 12 मो)');
INSERT INTO `lang_definitions` VALUES (173786, 2638, 33, 'हटवा');
INSERT INTO `lang_definitions` VALUES (173787, 2639, 33, 'हटवा');
INSERT INTO `lang_definitions` VALUES (173788, 2640, 33, 'आयडी (चे) सह श्रेणी हटवा:');
INSERT INTO `lang_definitions` VALUES (173789, 2641, 33, 'वर्ग हटवा');
INSERT INTO `lang_definitions` VALUES (173790, 2644, 33, 'हटवा अयशस्वी झाले!');
INSERT INTO `lang_definitions` VALUES (173791, 2645, 33, 'गट हटवा');
INSERT INTO `lang_definitions` VALUES (173792, 2646, 33, 'यादी हटवा');
INSERT INTO `lang_definitions` VALUES (173793, 2648, 33, 'पृष्ठे हटवा');
INSERT INTO `lang_definitions` VALUES (173794, 2649, 33, 'रुग्णांच्या, आढळतात, फॉर्म, अंक, दस्तऐवज, भरणा, बिलिंग किंवा व्यवहार हटवा');
INSERT INTO `lang_definitions` VALUES (173795, 2651, 33, 'पंक्ती हटवा');
INSERT INTO `lang_definitions` VALUES (173796, 2652, 33, 'निवडलेले आयटम हटवा');
INSERT INTO `lang_definitions` VALUES (173797, 2653, 33, 'निवडलेले विनंत्या हटवा');
INSERT INTO `lang_definitions` VALUES (173798, 2655, 33, 'यशस्वी हटवा.');
INSERT INTO `lang_definitions` VALUES (173799, 2656, 33, 'या दस्तऐवजात हटवा');
INSERT INTO `lang_definitions` VALUES (173800, 2657, 33, 'हा फॉर्म हटवा');
INSERT INTO `lang_definitions` VALUES (173801, 2659, 33, 'ही नोट हटवू');
INSERT INTO `lang_definitions` VALUES (173802, 2660, 33, 'यशस्वीरित्या हटविले');
INSERT INTO `lang_definitions` VALUES (173803, 2661, 33, 'यशस्वीरित्या हटविले.');
INSERT INTO `lang_definitions` VALUES (173804, 2662, 33, 'हटवत आहे');
INSERT INTO `lang_definitions` VALUES (173805, 2663, 33, 'हा कार्यक्रम हटविणे पूर्ववत केले जाऊ शकत नाही. तो गेले आहे एकदा तो वसूल करणे शक्य नाही. आपण हा कार्यक्रम हटवू इच्छित आपल्याला खात्री आहे?');
INSERT INTO `lang_definitions` VALUES (173806, 2666, 33, 'डिलिव्हरी पुष्टी');
INSERT INTO `lang_definitions` VALUES (173807, 2667, 33, 'डिलिव्हरी निर्दिष्ट थेट पत्ता करण्याची परवानगी नाही आहे.');
INSERT INTO `lang_definitions` VALUES (173808, 2668, 33, 'डिलिव्हरी सध्या निर्दिष्ट थेट पत्ता करण्याची परवानगी देण्यात आली नाही.');
INSERT INTO `lang_definitions` VALUES (173809, 2669, 33, 'संलग्न वैद्यकीय दस्तऐवज डिलिव्हरी रुग्ण केली');
INSERT INTO `lang_definitions` VALUES (173810, 2670, 33, 'संलग्न वैद्यकीय दस्तऐवज डिलिव्हरी रुग्ण केली.');
INSERT INTO `lang_definitions` VALUES (173811, 2671, 33, 'वेड');
INSERT INTO `lang_definitions` VALUES (173812, 2673, 33, 'लोकसंख्याशास्त्र');
INSERT INTO `lang_definitions` VALUES (173813, 2674, 33, 'लोकसंख्याशास्त्र (पर्यायी addonly, लिहा)');
INSERT INTO `lang_definitions` VALUES (173814, 2678, 33, 'लोकसंख्याशास्त्र फिल्टर निकष');
INSERT INTO `lang_definitions` VALUES (173815, 2680, 33, 'लोकसंख्याशास्त्र अधिकृत नाही');
INSERT INTO `lang_definitions` VALUES (173816, 2681, 33, 'लोकसंख्याशास्त्र अधिकृत नाही.');
INSERT INTO `lang_definitions` VALUES (173817, 2682, 33, 'नाकारला');
INSERT INTO `lang_definitions` VALUES (173818, 2684, 33, 'भाजक');
INSERT INTO `lang_definitions` VALUES (173819, 2687, 33, 'दंत');
INSERT INTO `lang_definitions` VALUES (173820, 2688, 33, 'दंत समस्या सूची');
INSERT INTO `lang_definitions` VALUES (173821, 2689, 33, 'दंत मुद्दे');
INSERT INTO `lang_definitions` VALUES (173822, 2691, 33, 'अवलंबित्व मॉड्यूल');
INSERT INTO `lang_definitions` VALUES (173823, 2692, 33, 'अवलंबित्व समस्या');
INSERT INTO `lang_definitions` VALUES (173824, 2694, 33, 'आपण एक X12 दावा परीक्षा तर आपण HCFA बिले रिकामी पृष्ठावर आउटपुट जसे HCFA दिसेल परीक्षा बिल प्रकारावर अवलंबून असून, आपण काहीसे अस्पष्ट मजकूर आणि माहिती अनेक ओळी दिसेल. त्या अस्पष्ट मजकूर X12 EDI 4010A स्वरूप आहे. आपण कधी कधी dominoes किंवा squiglies दिसत विचित्र वर्ण, या अशा पृष्ठ फीड म्हणून कंट्रोल अक्षर आहेत आणि सामान्य असतात दिसेल.');
INSERT INTO `lang_definitions` VALUES (173825, 2696, 33, 'ठेव तारीख');
INSERT INTO `lang_definitions` VALUES (173826, 2697, 33, 'ठेव तारीख आज पेक्षा जास्त असू शकत नाही');
INSERT INTO `lang_definitions` VALUES (173827, 2698, 33, 'ठेव दिनांक:');
INSERT INTO `lang_definitions` VALUES (173828, 2699, 33, 'उदासीन');
INSERT INTO `lang_definitions` VALUES (173829, 2700, 33, 'उदासीनता');
INSERT INTO `lang_definitions` VALUES (173830, 2705, 33, 'DESC');
INSERT INTO `lang_definitions` VALUES (173831, 2706, 33, 'वर्णन');
INSERT INTO `lang_definitions` VALUES (173832, 2707, 33, 'वर्णन');
INSERT INTO `lang_definitions` VALUES (173833, 2708, 33, 'वर्णन मुलभूत पाठ्य आहे');
INSERT INTO `lang_definitions` VALUES (173834, 2709, 33, 'प्रकटीकरण वर्णन');
INSERT INTO `lang_definitions` VALUES (173835, 2710, 33, 'ही प्रक्रिया किंवा परिणाम कोड वर्णन');
INSERT INTO `lang_definitions` VALUES (173836, 2711, 33, 'वर्णन भाषांतर');
INSERT INTO `lang_definitions` VALUES (173837, 2712, 33, 'इच्छित फाइलनाव');
INSERT INTO `lang_definitions` VALUES (173838, 2713, 33, 'गंतव्य');
INSERT INTO `lang_definitions` VALUES (173839, 2714, 33, 'गंतव्य फाइलनाव');
INSERT INTO `lang_definitions` VALUES (173840, 2716, 33, 'लोट नष्ट');
INSERT INTO `lang_definitions` VALUES (173841, 2717, 33, 'नष्ट ...');
INSERT INTO `lang_definitions` VALUES (173842, 2718, 33, 'नष्ट');
INSERT INTO `lang_definitions` VALUES (173843, 2719, 33, 'नष्ट औषधे');
INSERT INTO `lang_definitions` VALUES (173844, 2720, 33, 'नष्ट औषधे अहवाल');
INSERT INTO `lang_definitions` VALUES (173845, 2721, 33, 'तपशील');
INSERT INTO `lang_definitions` VALUES (173846, 2726, 33, 'माहिती');
INSERT INTO `lang_definitions` VALUES (173847, 2728, 33, 'विकास विकृती');
INSERT INTO `lang_definitions` VALUES (173848, 2730, 33, 'मधुमेह');
INSERT INTO `lang_definitions` VALUES (173849, 2731, 33, 'मधुमेह');
INSERT INTO `lang_definitions` VALUES (173850, 2732, 33, 'मधुमेह: ब्लड प्रेशर व्यवस्थापन (CQM)');
INSERT INTO `lang_definitions` VALUES (173851, 2733, 33, 'मधुमेह: डोळ्याचा परीक्षा');
INSERT INTO `lang_definitions` VALUES (173852, 2734, 33, 'मधुमेह: डोळ्याचा परीक्षा (CQM)');
INSERT INTO `lang_definitions` VALUES (173853, 2735, 33, 'मधुमेह: पाऊल परीक्षा');
INSERT INTO `lang_definitions` VALUES (173854, 2736, 33, 'मधुमेह: पाऊल परीक्षा (CQM)');
INSERT INTO `lang_definitions` VALUES (173855, 2737, 33, 'मधुमेह: HbA1c गरीब नियंत्रण (CQM)');
INSERT INTO `lang_definitions` VALUES (173856, 2738, 33, 'मधुमेह: हिमोग्लोबिन A1C');
INSERT INTO `lang_definitions` VALUES (173857, 2739, 33, 'मधुमेह: LDL व्यवस्थापन व नियंत्रण (CQM)');
INSERT INTO `lang_definitions` VALUES (173858, 2740, 33, 'मधुमेह: लघवी Microalbumin');
INSERT INTO `lang_definitions` VALUES (173859, 2741, 33, 'Diag');
INSERT INTO `lang_definitions` VALUES (173860, 2742, 33, 'निदान');
INSERT INTO `lang_definitions` VALUES (173861, 2743, 33, 'निदान');
INSERT INTO `lang_definitions` VALUES (173862, 2744, 33, 'निदान कोड');
INSERT INTO `lang_definitions` VALUES (173863, 2745, 33, 'निदान कोड');
INSERT INTO `lang_definitions` VALUES (173864, 2747, 33, 'निदान तारीख');
INSERT INTO `lang_definitions` VALUES (173865, 2749, 33, 'निदान एक लिंक चकमकीत मध्ये कोड करणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (173866, 2750, 33, 'निदान नाव');
INSERT INTO `lang_definitions` VALUES (173867, 2751, 33, 'निदान अहवाल');
INSERT INTO `lang_definitions` VALUES (173868, 2752, 33, 'निदान अहवाल');
INSERT INTO `lang_definitions` VALUES (173869, 2753, 33, 'निदान अहवाल केवळ');
INSERT INTO `lang_definitions` VALUES (173870, 2754, 33, 'निदान शीर्षक');
INSERT INTO `lang_definitions` VALUES (173871, 2755, 33, 'निदान:');
INSERT INTO `lang_definitions` VALUES (173872, 2756, 33, 'निदान:');
INSERT INTO `lang_definitions` VALUES (173873, 2758, 33, 'निदान कसोटी:');
INSERT INTO `lang_definitions` VALUES (173874, 2760, 33, 'Dials');
INSERT INTO `lang_definitions` VALUES (173875, 2763, 33, 'Diaphragms / कॅप्स');
INSERT INTO `lang_definitions` VALUES (173876, 2764, 33, 'अतिसार');
INSERT INTO `lang_definitions` VALUES (173877, 2767, 33, 'शुद्धलेखन');
INSERT INTO `lang_definitions` VALUES (173878, 2768, 33, 'शुद्धलेखन:');
INSERT INTO `lang_definitions` VALUES (173879, 2769, 33, 'तुम्ही HIPAA सूचना एक प्रत प्राप्त होते का?');
INSERT INTO `lang_definitions` VALUES (173880, 2770, 33, 'प्रकाश:');
INSERT INTO `lang_definitions` VALUES (173881, 2771, 33, 'डिजिटली केलेली स्वाक्षरी');
INSERT INTO `lang_definitions` VALUES (173882, 2781, 33, 'थेट मेल');
INSERT INTO `lang_definitions` VALUES (173883, 2782, 33, 'थेट संदेश लॉग');
INSERT INTO `lang_definitions` VALUES (173884, 2783, 33, 'थेट संदेश प्राप्त झाला नाही.');
INSERT INTO `lang_definitions` VALUES (173885, 2784, 33, 'थेट संदेश सध्या अनुपलब्ध आहे.');
INSERT INTO `lang_definitions` VALUES (173886, 2785, 33, 'थेट संदेश अयशस्वी पाठवा.');
INSERT INTO `lang_definitions` VALUES (173887, 2787, 33, 'संचालक नाव');
INSERT INTO `lang_definitions` VALUES (173888, 2788, 33, 'निर्देशिका हटवणे अयशस्वी; चालू.');
INSERT INTO `lang_definitions` VALUES (173889, 2789, 33, 'अपंगत्व');
INSERT INTO `lang_definitions` VALUES (173890, 2790, 33, 'अक्षम करा');
INSERT INTO `lang_definitions` VALUES (173891, 2794, 33, 'अक्षम करा दिनदर्शिका');
INSERT INTO `lang_definitions` VALUES (173892, 2795, 33, 'अक्षम करा चार्ट ट्रॅकर');
INSERT INTO `lang_definitions` VALUES (173893, 2798, 33, 'अक्षम करा लसीकरण');
INSERT INTO `lang_definitions` VALUES (173894, 2800, 33, 'जुन्या मेट्रिक मर्मस्थाने फॉर्म अक्षम');
INSERT INTO `lang_definitions` VALUES (173895, 2802, 33, 'PhpMyAdmin अक्षम करा');
INSERT INTO `lang_definitions` VALUES (173896, 2803, 33, 'अक्षम करा चांगले');
INSERT INTO `lang_definitions` VALUES (173897, 2804, 33, 'अक्षम करा वापरकर्ता गट');
INSERT INTO `lang_definitions` VALUES (173898, 2805, 33, 'अक्षम');
INSERT INTO `lang_definitions` VALUES (173899, 2806, 33, 'अपंग');
INSERT INTO `lang_definitions` VALUES (173900, 2807, 33, 'मोठे गट आरोग्य योजना वय 65 अंतर्गत अपंग लाभार्थी (LGHP)');
INSERT INTO `lang_definitions` VALUES (173901, 2812, 33, 'DISC');
INSERT INTO `lang_definitions` VALUES (173902, 2813, 33, 'टाकून द्यायचा');
INSERT INTO `lang_definitions` VALUES (173903, 2814, 33, 'टाकून');
INSERT INTO `lang_definitions` VALUES (173904, 2815, 33, 'स्त्राव');
INSERT INTO `lang_definitions` VALUES (173905, 2816, 33, 'मूत्रमार्ग खाज');
INSERT INTO `lang_definitions` VALUES (173906, 2818, 33, 'उजव्या स्त्राव');
INSERT INTO `lang_definitions` VALUES (173907, 2819, 33, 'उजव्या स्त्राव:');
INSERT INTO `lang_definitions` VALUES (173908, 2823, 33, 'सोडण्यात');
INSERT INTO `lang_definitions` VALUES (173909, 2825, 33, 'प्रकटीकरण माहिती');
INSERT INTO `lang_definitions` VALUES (173910, 2826, 33, 'प्रकटीकरण प्रकार');
INSERT INTO `lang_definitions` VALUES (173911, 2827, 33, 'प्रकटीकरण प्रकार');
INSERT INTO `lang_definitions` VALUES (173912, 2828, 33, 'माहितीचे प्रकटीकरण');
INSERT INTO `lang_definitions` VALUES (173913, 2833, 33, 'सवलत');
INSERT INTO `lang_definitions` VALUES (173914, 2834, 33, 'सवलत रक्कम');
INSERT INTO `lang_definitions` VALUES (173915, 2835, 33, 'सवलत पातळी');
INSERT INTO `lang_definitions` VALUES (173916, 2836, 33, 'सवलत टक्केवारी');
INSERT INTO `lang_definitions` VALUES (173917, 2837, 33, 'सवलत आर्थिक प्रमाणात');
INSERT INTO `lang_definitions` VALUES (173918, 2838, 33, 'टक्केवारी विरोध म्हणून चेकआउटवर वेळी सवलत, पैसे प्रमाणात प्रवेश केला आहे.');
INSERT INTO `lang_definitions` VALUES (173919, 2839, 33, 'अलग निकाल');
INSERT INTO `lang_definitions` VALUES (173920, 2841, 33, 'रोग');
INSERT INTO `lang_definitions` VALUES (173921, 2843, 33, 'सांधा निखळणे');
INSERT INTO `lang_definitions` VALUES (173922, 2847, 33, 'Disp #');
INSERT INTO `lang_definitions` VALUES (173923, 2848, 33, 'पाठवणे');
INSERT INTO `lang_definitions` VALUES (173924, 2849, 33, 'पाठवणे प्राप्त दस्तऐवज');
INSERT INTO `lang_definitions` VALUES (173925, 2853, 33, 'Dispensed');
INSERT INTO `lang_definitions` VALUES (173926, 2856, 33, 'लोकसंख्याशास्त्र पृष्ठ मध्ये आगाऊ निर्देशांचे प्रदर्शित करा.');
INSERT INTO `lang_definitions` VALUES (173927, 2858, 33, 'प्रदर्शन दस्तऐवज');
INSERT INTO `lang_definitions` VALUES (173928, 2859, 33, 'प्रदर्शन कार्यक्रम ब्लॉक तारखा?');
INSERT INTO `lang_definitions` VALUES (173929, 2860, 33, 'अमेरिकन वजन प्रदर्शन स्वरूप');
INSERT INTO `lang_definitions` VALUES (173930, 2861, 33, 'किती कार्यक्रम प्रदर्शित?');
INSERT INTO `lang_definitions` VALUES (173931, 2865, 33, 'ब्लॉक प्रदर्शन स्थान नाही?');
INSERT INTO `lang_definitions` VALUES (173932, 2866, 33, 'प्रदर्शन नाव');
INSERT INTO `lang_definitions` VALUES (173933, 2868, 33, 'कॅलेंडर प्रदर्शित?');
INSERT INTO `lang_definitions` VALUES (173934, 2875, 33, 'प्रदर्शन आज  \'चे ब्लॉक कार्यक्रम?');
INSERT INTO `lang_definitions` VALUES (173935, 2876, 33, 'ब्लॉक विषय प्रदर्शित?');
INSERT INTO `lang_definitions` VALUES (173936, 2877, 33, 'ब्लॉक आगामी कार्यक्रम प्रदर्शित?');
INSERT INTO `lang_definitions` VALUES (173937, 2879, 33, 'प्रदर्शित स्तंभ');
INSERT INTO `lang_definitions` VALUES (173938, 2880, 33, 'सर्वात अलीकडील माहिती खालील संख्या प्रदर्शित करत आहे:');
INSERT INTO `lang_definitions` VALUES (173939, 2882, 33, 'सर्वात अलीकडील नोट्स खालील संख्या प्रदर्शित');
INSERT INTO `lang_definitions` VALUES (173940, 2883, 33, 'सर्वात अलीकडील नोट्स खालील संख्या प्रदर्शित करत आहे:');
INSERT INTO `lang_definitions` VALUES (173941, 2890, 33, 'वितरण');
INSERT INTO `lang_definitions` VALUES (173942, 2891, 33, 'वितरण');
INSERT INTO `lang_definitions` VALUES (173943, 2892, 33, 'वितरक');
INSERT INTO `lang_definitions` VALUES (173944, 2894, 33, 'Divehi- Dhivehi- Maldivian-');
INSERT INTO `lang_definitions` VALUES (173945, 2897, 33, 'डायव्हर्टीक्युलमचा क्षोभ');
INSERT INTO `lang_definitions` VALUES (173946, 2898, 33, 'डायव्हर्टीक्युलमचा क्षोभ शस्त्रक्रिया');
INSERT INTO `lang_definitions` VALUES (173947, 2899, 33, 'Divirticulitis');
INSERT INTO `lang_definitions` VALUES (173948, 2900, 33, 'Divirticulitis शस्त्रक्रिया');
INSERT INTO `lang_definitions` VALUES (173949, 2901, 33, 'घटस्फोटीत');
INSERT INTO `lang_definitions` VALUES (173950, 2902, 33, 'चक्कर:');
INSERT INTO `lang_definitions` VALUES (173951, 2905, 33, 'बदलू ​​नका');
INSERT INTO `lang_definitions` VALUES (173952, 2907, 33, 'ऍलर्जी NewCrop अपलोड प्रदर्शित करू नका');
INSERT INTO `lang_definitions` VALUES (173953, 2909, 33, 'NewCrop अपलोड औषधे प्रदर्शित करू नका');
INSERT INTO `lang_definitions` VALUES (173954, 2912, 33, 'कॅलेंडर प्रदर्शित करू नका.');
INSERT INTO `lang_definitions` VALUES (173955, 2916, 33, 'नाही यादी आणि कोणत्याही उत्पादने विक्री');
INSERT INTO `lang_definitions` VALUES (173956, 2919, 33, 'अधिकृत करणे रुग्ण नोट्स आवश्यक नाही');
INSERT INTO `lang_definitions` VALUES (173957, 2920, 33, 'ऑर्डर Resuscitate करू नका');
INSERT INTO `lang_definitions` VALUES (173958, 2921, 33, 'जतन नाही');
INSERT INTO `lang_definitions` VALUES (173959, 2922, 33, 'पर्याय नाही');
INSERT INTO `lang_definitions` VALUES (173960, 2925, 33, 'काही करू नको');
INSERT INTO `lang_definitions` VALUES (173961, 2929, 33, 'आपण खरोखर हटवू इच्छिता का');
INSERT INTO `lang_definitions` VALUES (173962, 2930, 33, 'आपण खरोखर निवड हटवू इच्छिता का?');
INSERT INTO `lang_definitions` VALUES (173963, 2931, 33, 'आपण खरोखर हा गट हटवू इच्छिता का');
INSERT INTO `lang_definitions` VALUES (173964, 2932, 33, 'आपण खरोखर हटवू इच्छिता का?');
INSERT INTO `lang_definitions` VALUES (173965, 2934, 33, 'तुम्हाला पुढे जायचे आहे का?');
INSERT INTO `lang_definitions` VALUES (173966, 2935, 33, 'आपण हे हटवू इच्छिता का?');
INSERT INTO `lang_definitions` VALUES (173967, 2936, 33, 'आपण हटवू इच्छिता का?');
INSERT INTO `lang_definitions` VALUES (173968, 2937, 33, 'आपण या रेकॉर्ड काढू इच्छित आहे का?');
INSERT INTO `lang_definitions` VALUES (173969, 2938, 33, 'आपण या नवीन रुग्ण जोडून पुढे जायचे आहे का?');
INSERT INTO `lang_definitions` VALUES (173970, 2939, 33, 'आपण नवीन नाव पुढे जायचे आहे का?');
INSERT INTO `lang_definitions` VALUES (173971, 2940, 33, 'आपण कायमचे या लसीकरण रेकॉर्ड हटवू इच्छिता?');
INSERT INTO `lang_definitions` VALUES (173972, 2941, 33, 'डीओबी');
INSERT INTO `lang_definitions` VALUES (173973, 2942, 33, 'डीओबी शक्य असल्यास प्रविष्ट करा, गहाळ आहे');
INSERT INTO `lang_definitions` VALUES (173974, 2944, 33, 'डॉक्स');
INSERT INTO `lang_definitions` VALUES (173975, 2945, 33, 'डॉक्टर');
INSERT INTO `lang_definitions` VALUES (173976, 2946, 33, 'डॉक्टर:');
INSERT INTO `lang_definitions` VALUES (173977, 2947, 33, 'डॉक्टर  \'चे नाव आणि स्वाक्षरी');
INSERT INTO `lang_definitions` VALUES (173978, 2948, 33, 'दस्तऐवज');
INSERT INTO `lang_definitions` VALUES (173979, 2949, 33, 'दस्तऐवज');
INSERT INTO `lang_definitions` VALUES (173980, 2951, 33, 'दस्तऐवज श्रेणी');
INSERT INTO `lang_definitions` VALUES (173981, 2952, 33, 'लॅब परिणाम दस्तऐवज श्रेणी विद्यमान नाही');
INSERT INTO `lang_definitions` VALUES (173982, 2953, 33, 'इलेक्ट्रॉनिक प्राप्त लॅब परिणाम संग्रह दस्तऐवज श्रेणी नाव.');
INSERT INTO `lang_definitions` VALUES (173983, 2955, 33, 'दस्तऐवज वर्ग किंवा टाकून द्या');
INSERT INTO `lang_definitions` VALUES (173984, 2958, 33, 'दस्तऐवज रुग्णाला आयडी हलविले जाऊ शकत नाही');
INSERT INTO `lang_definitions` VALUES (173985, 2960, 33, 'दस्तऐवज तारीख');
INSERT INTO `lang_definitions` VALUES (173986, 2961, 33, 'दस्तऐवज तारीख आणि समस्या यशस्वीरित्या अद्यतनित केले');
INSERT INTO `lang_definitions` VALUES (173987, 2962, 33, 'दस्तऐवज ID');
INSERT INTO `lang_definitions` VALUES (173988, 2965, 33, 'दस्तऐवज नवीन श्रेणी हलविले');
INSERT INTO `lang_definitions` VALUES (173989, 2966, 33, 'दस्तऐवज रुग्णाला आयडी हलविले');
INSERT INTO `lang_definitions` VALUES (173990, 2968, 33, 'दस्तऐवज माहिती पॅनल चेक निधन झाले.');
INSERT INTO `lang_definitions` VALUES (173991, 2969, 33, 'दस्तऐवज संग्रह पद्धत');
INSERT INTO `lang_definitions` VALUES (173992, 2970, 33, 'दस्तऐवज यशस्वीरित्या पुनर्नामित करण्यात आली.');
INSERT INTO `lang_definitions` VALUES (173993, 2971, 33, 'दस्तऐवज यशस्वीरित्या आढळतात धर्तीवर');
INSERT INTO `lang_definitions` VALUES (173994, 2972, 33, 'दस्तऐवज साचा व्यवस्थापन');
INSERT INTO `lang_definitions` VALUES (173995, 2973, 33, 'दस्तऐवज टेम्पलेट');
INSERT INTO `lang_definitions` VALUES (173996, 2975, 33, 'दस्तऐवज (चे)');
INSERT INTO `lang_definitions` VALUES (173997, 2976, 33, 'दस्तऐवज / इमेजिंग स्टोअर');
INSERT INTO `lang_definitions` VALUES (173998, 2978, 33, 'दस्तऐवज');
INSERT INTO `lang_definitions` VALUES (173999, 2980, 33, 'दस्तऐवज (पर्यायी addonly, लिहा)');
INSERT INTO `lang_definitions` VALUES (174000, 2989, 33, 'डीओई');
INSERT INTO `lang_definitions` VALUES (174001, 2994, 33, 'PV1 चकमकीत संख्या जुळत नाही');
INSERT INTO `lang_definitions` VALUES (174002, 2995, 33, 'वैध दिसत नाही');
INSERT INTO `lang_definitions` VALUES (174003, 2996, 33, 'हा प्रकार संबंधित कोड परवानगी आहे का?');
INSERT INTO `lang_definitions` VALUES (174004, 2997, 33, 'घरगुती भागीदार');
INSERT INTO `lang_definitions` VALUES (174005, 2998, 33, 'जतन करू नका');
INSERT INTO `lang_definitions` VALUES (174006, 2999, 33, 'डॉन  \'टी जतन करा');
INSERT INTO `lang_definitions` VALUES (174007, 3000, 33, 'डॉन  \'टी बदल जतन करा');
INSERT INTO `lang_definitions` VALUES (174008, 3002, 33, 'पूर्ण झाले');
INSERT INTO `lang_definitions` VALUES (174009, 3004, 33, 'केले:');
INSERT INTO `lang_definitions` VALUES (174010, 3005, 33, 'पूर्ण झाले. आता डाउनलोड पाठवेल.');
INSERT INTO `lang_definitions` VALUES (174011, 3006, 33, 'डॉस');
INSERT INTO `lang_definitions` VALUES (174012, 3007, 33, 'डोस');
INSERT INTO `lang_definitions` VALUES (174013, 3011, 33, 'डबल क्लिक करा संपादित करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (174014, 3013, 33, 'डबल दृष्टी');
INSERT INTO `lang_definitions` VALUES (174015, 3014, 33, 'डाउनलोड');
INSERT INTO `lang_definitions` VALUES (174016, 3019, 33, 'तरीही डाउनलोड करा');
INSERT INTO `lang_definitions` VALUES (174017, 3020, 33, ', बिलिंग फाइल डाउनलोड करा बिल म्हणून लेखा खूण पोस्ट');
INSERT INTO `lang_definitions` VALUES (174018, 3022, 33, 'डाउनलोड प्रमाणपत्र');
INSERT INTO `lang_definitions` VALUES (174019, 3023, 33, 'डाउनलोड कॉन्फिगरेशन डेटा');
INSERT INTO `lang_definitions` VALUES (174020, 3025, 33, 'या रुग्ण आणि भेट दस्तऐवज टेम्प्लेट डाउनलोड करा');
INSERT INTO `lang_definitions` VALUES (174021, 3027, 33, 'एनक्रिप्टेड फाइल डाउनलोड');
INSERT INTO `lang_definitions` VALUES (174022, 3031, 33, 'Offsite पोर्टल कनेक्शन फाइल्स डाउनलोड');
INSERT INTO `lang_definitions` VALUES (174023, 3032, 33, 'डाउनलोड करा किंवा टेम्पलेट हटवा');
INSERT INTO `lang_definitions` VALUES (174024, 3033, 33, 'डाउनलोड पीडीएफ');
INSERT INTO `lang_definitions` VALUES (174025, 3037, 33, 'डाउनलोड निवडलेले स्टेटमेन्ट');
INSERT INTO `lang_definitions` VALUES (174026, 3039, 33, 'डॉ तपासा');
INSERT INTO `lang_definitions` VALUES (174027, 3040, 33, 'डॉ भेट द्या');
INSERT INTO `lang_definitions` VALUES (174028, 3041, 33, 'डॉ');
INSERT INTO `lang_definitions` VALUES (174029, 3045, 33, 'हलवा ड्रॅग करा');
INSERT INTO `lang_definitions` VALUES (174030, 3047, 33, 'Dribbling');
INSERT INTO `lang_definitions` VALUES (174031, 3048, 33, 'वाहन चालक परवाना किंवा राज्य आयडी');
INSERT INTO `lang_definitions` VALUES (174032, 3050, 33, 'औषध');
INSERT INTO `lang_definitions` VALUES (174033, 3053, 33, 'औषध फाइंडर');
INSERT INTO `lang_definitions` VALUES (174034, 3054, 33, 'औषध अर्ज');
INSERT INTO `lang_definitions` VALUES (174035, 3055, 33, 'औषध आयडी गहाळ!');
INSERT INTO `lang_definitions` VALUES (174036, 3056, 33, 'औषध मध्यांतरे');
INSERT INTO `lang_definitions` VALUES (174037, 3057, 33, 'औषध यादी');
INSERT INTO `lang_definitions` VALUES (174038, 3059, 33, 'औषध नाव');
INSERT INTO `lang_definitions` VALUES (174039, 3061, 33, 'औषध मार्ग');
INSERT INTO `lang_definitions` VALUES (174040, 3066, 33, 'औषध युनिट');
INSERT INTO `lang_definitions` VALUES (174041, 3072, 33, 'औषधे');
INSERT INTO `lang_definitions` VALUES (174042, 3073, 33, 'औषधे आणि उत्पादने');
INSERT INTO `lang_definitions` VALUES (174043, 3074, 33, 'कोरड्या तोंड');
INSERT INTO `lang_definitions` VALUES (174044, 3075, 33, 'DSMIV निदान');
INSERT INTO `lang_definitions` VALUES (174045, 3076, 33, 'विमुक्त 1');
INSERT INTO `lang_definitions` VALUES (174046, 3077, 33, 'विमुक्त 2');
INSERT INTO `lang_definitions` VALUES (174047, 3078, 33, 'विमुक्त 3');
INSERT INTO `lang_definitions` VALUES (174048, 3079, 33, 'विमुक्त 4');
INSERT INTO `lang_definitions` VALUES (174049, 3080, 33, 'विमुक्त 5');
INSERT INTO `lang_definitions` VALUES (174050, 3081, 33, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (174051, 3082, 33, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (174052, 3083, 33, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (174053, 3084, 33, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (174054, 3085, 33, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (174055, 3087, 33, 'मुळे');
INSERT INTO `lang_definitions` VALUES (174056, 3088, 33, 'मुळे तारीख');
INSERT INTO `lang_definitions` VALUES (174057, 3090, 33, 'मुळे तारीख मि.मी. / डीडी / वर्ष किंवा वर्ष-mm-dd या');
INSERT INTO `lang_definitions` VALUES (174058, 3091, 33, 'मुळे दिनांक:');
INSERT INTO `lang_definitions` VALUES (174059, 3092, 33, 'मुळे इन');
INSERT INTO `lang_definitions` VALUES (174060, 3093, 33, 'मुळे पं');
INSERT INTO `lang_definitions` VALUES (174061, 3094, 33, 'मुळे लवकरच');
INSERT INTO `lang_definitions` VALUES (174062, 3095, 33, 'मुळे स्थिती');
INSERT INTO `lang_definitions` VALUES (174063, 3096, 33, 'मुळे अद्यतनित स्थिती');
INSERT INTO `lang_definitions` VALUES (174064, 3097, 33, 'OpenEMR डेटाबेस डम्पिंग');
INSERT INTO `lang_definitions` VALUES (174065, 3098, 33, 'डम्पिंग OpenEMR वेब निर्देशिका झाड');
INSERT INTO `lang_definitions` VALUES (174066, 3099, 33, 'PhpGACL डेटाबेस डम्पिंग');
INSERT INTO `lang_definitions` VALUES (174067, 3100, 33, 'डम्पिंग phpGACL वेब निर्देशिका झाड');
INSERT INTO `lang_definitions` VALUES (174068, 3101, 33, 'डम्पिंग एस क्यू एल-लेजर डेटाबेस');
INSERT INTO `lang_definitions` VALUES (174069, 3102, 33, 'डम्पिंग एस क्यू एल-लेजर वेब निर्देशिका झाड');
INSERT INTO `lang_definitions` VALUES (174070, 3103, 33, 'Dup तपासा');
INSERT INTO `lang_definitions` VALUES (174071, 3108, 33, 'ओळीवर डुप्लिकेट आयडी');
INSERT INTO `lang_definitions` VALUES (174072, 3109, 33, 'ओळीवर डुप्लीकेट नाव');
INSERT INTO `lang_definitions` VALUES (174073, 3110, 33, 'दुप्पट चेतावणी');
INSERT INTO `lang_definitions` VALUES (174074, 3111, 33, 'मुखत्यार टिकाऊ पॉवर');
INSERT INTO `lang_definitions` VALUES (174075, 3112, 33, 'कालावधी');
INSERT INTO `lang_definitions` VALUES (174076, 3113, 33, 'कालावधी');
INSERT INTO `lang_definitions` VALUES (174077, 3114, 33, 'डच');
INSERT INTO `lang_definitions` VALUES (174078, 3116, 33, 'Dx रिपब्लिक');
INSERT INTO `lang_definitions` VALUES (174079, 3117, 33, 'गिळण्यामध्ये अडचण');
INSERT INTO `lang_definitions` VALUES (174080, 3118, 33, 'Dyspnea:');
INSERT INTO `lang_definitions` VALUES (174081, 3119, 33, 'लघवी होताना वेदना होणे');
INSERT INTO `lang_definitions` VALUES (174082, 3120, 33, 'जोंगखा');
INSERT INTO `lang_definitions` VALUES (174083, 3128, 33, 'ई-नियम?');
INSERT INTO `lang_definitions` VALUES (174084, 3129, 33, 'ई-अहवाल');
INSERT INTO `lang_definitions` VALUES (174085, 3130, 33, 'ई-Rx');
INSERT INTO `lang_definitions` VALUES (174086, 3132, 33, 'ई-Rx नूतनीकरण');
INSERT INTO `lang_definitions` VALUES (174087, 3135, 33, 'पूर्ण म्हणून प्रत्येक प्राप्तकर्ता त्यांच्या स्वत: च्या संदेश सेट करणे आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (174088, 3140, 33, 'लवकर पुनरावृत्ती (<2 मो)');
INSERT INTO `lang_definitions` VALUES (174089, 3141, 33, 'कान');
INSERT INTO `lang_definitions` VALUES (174090, 3148, 33, 'ECG');
INSERT INTO `lang_definitions` VALUES (174091, 3149, 33, 'eClaims');
INSERT INTO `lang_definitions` VALUES (174092, 3152, 33, 'सूज');
INSERT INTO `lang_definitions` VALUES (174093, 3154, 33, 'EDI इतिहास');
INSERT INTO `lang_definitions` VALUES (174094, 3155, 33, 'EDI इतिहास');
INSERT INTO `lang_definitions` VALUES (174095, 3156, 33, 'EDI हक्क प्रतिसाद फायली संचयित आणि निष्कर्षांचा अर्थ लावणे यासाठी (फी अंतर्गत) EDI इतिहास');
INSERT INTO `lang_definitions` VALUES (174096, 3157, 33, 'EDI-271 फाइल अपलोड करा');
INSERT INTO `lang_definitions` VALUES (174097, 3158, 33, 'EDI-271 प्रतिसाद फाइल अपलोड करा');
INSERT INTO `lang_definitions` VALUES (174098, 3159, 33, 'संपादित करा');
INSERT INTO `lang_definitions` VALUES (174099, 3160, 33, 'संपादित करा');
INSERT INTO `lang_definitions` VALUES (174100, 3161, 33, 'संपादित करा अॅलर्जी');
INSERT INTO `lang_definitions` VALUES (174101, 3163, 33, 'संपादित करा कॅटेगरीज');
INSERT INTO `lang_definitions` VALUES (174102, 3165, 33, 'संपादित करा व्याख्या');
INSERT INTO `lang_definitions` VALUES (174103, 3166, 33, 'संपादित करा व्याख्या');
INSERT INTO `lang_definitions` VALUES (174104, 3167, 33, 'संपादित करा निदान साठी');
INSERT INTO `lang_definitions` VALUES (174105, 3168, 33, 'संपादित करा प्रकटीकरण');
INSERT INTO `lang_definitions` VALUES (174106, 3173, 33, 'संपादित करा सुविधा');
INSERT INTO `lang_definitions` VALUES (174107, 3174, 33, 'संपादित करा सुविधा');
INSERT INTO `lang_definitions` VALUES (174108, 3175, 33, 'संपादित करा सुविधा माहिती');
INSERT INTO `lang_definitions` VALUES (174109, 3176, 33, 'संपादित करा सुविधा विशिष्ट वापरकर्ता माहिती');
INSERT INTO `lang_definitions` VALUES (174110, 3177, 33, 'संपादित करा फाइल');
INSERT INTO `lang_definitions` VALUES (174111, 3178, 33, 'फॉर्म संपादित करा');
INSERT INTO `lang_definitions` VALUES (174112, 3179, 33, 'संपादित करा ग्लोबल सेटिंग्ज');
INSERT INTO `lang_definitions` VALUES (174113, 3181, 33, 'संपादित करा अधिकृत नाही!');
INSERT INTO `lang_definitions` VALUES (174114, 3183, 33, 'संपादित करा लेआउट');
INSERT INTO `lang_definitions` VALUES (174115, 3185, 33, 'सूची संपादित करा');
INSERT INTO `lang_definitions` VALUES (174116, 3188, 33, 'संपादित करा भरणा');
INSERT INTO `lang_definitions` VALUES (174117, 3189, 33, 'संपादित करा संरचना');
INSERT INTO `lang_definitions` VALUES (174118, 3192, 33, 'वापरकर्ता संपादन करा');
INSERT INTO `lang_definitions` VALUES (174119, 3193, 33, 'वापरकर्ता संपादन करा सेटिंग्ज');
INSERT INTO `lang_definitions` VALUES (174120, 3194, 33, 'आपला प्रविष्ट केलेला डेटा संपादित करा');
INSERT INTO `lang_definitions` VALUES (174121, 3195, 33, 'संपादन अयशस्वी');
INSERT INTO `lang_definitions` VALUES (174122, 3196, 33, 'शिक्षण');
INSERT INTO `lang_definitions` VALUES (174123, 3197, 33, 'शिक्षण तारीख');
INSERT INTO `lang_definitions` VALUES (174124, 3198, 33, 'शैक्षणिक साहित्य');
INSERT INTO `lang_definitions` VALUES (174125, 3199, 33, 'अधिक माहिती साठी * हे GNU General Public परवाना मध्ये. * * आपण या कार्यक्रमात सोबत हे GNU General Public परवान्याची एक प्रत * प्राप्त पाहिजे; नाही तर, मोफत लिहा');
INSERT INTO `lang_definitions` VALUES (174126, 3200, 33, 'प्रभावी तारीख');
INSERT INTO `lang_definitions` VALUES (174127, 3202, 33, 'परिणामकारकता');
INSERT INTO `lang_definitions` VALUES (174128, 3204, 33, 'EIN');
INSERT INTO `lang_definitions` VALUES (174129, 3207, 33, 'Ejaculations');
INSERT INTO `lang_definitions` VALUES (174130, 3208, 33, 'वळणदार');
INSERT INTO `lang_definitions` VALUES (174131, 3209, 33, 'वळणदार समस्या');
INSERT INTO `lang_definitions` VALUES (174132, 3210, 33, 'इलेक्ट्रॉनिक');
INSERT INTO `lang_definitions` VALUES (174133, 3214, 33, 'इलेक्ट्रॉनिक Remits');
INSERT INTO `lang_definitions` VALUES (174134, 3215, 33, 'इलेक्ट्रॉनिक अहवाल');
INSERT INTO `lang_definitions` VALUES (174135, 3218, 33, 'पात्रता');
INSERT INTO `lang_definitions` VALUES (174136, 3219, 33, 'पात्रता 270 चौकशी बॅच');
INSERT INTO `lang_definitions` VALUES (174137, 3220, 33, 'पात्रता प्रतिसाद');
INSERT INTO `lang_definitions` VALUES (174138, 3222, 33, 'मुले पुरवठा लस लस पात्रता स्थिती');
INSERT INTO `lang_definitions` VALUES (174139, 3223, 33, 'पात्र');
INSERT INTO `lang_definitions` VALUES (174140, 3225, 33, 'ईमेल');
INSERT INTO `lang_definitions` VALUES (174141, 3226, 33, 'ई-मेल');
INSERT INTO `lang_definitions` VALUES (174142, 3228, 33, 'ई-मेल पत्ता');
INSERT INTO `lang_definitions` VALUES (174143, 3229, 33, 'ईमेल पत्ता गहाळ आहे');
INSERT INTO `lang_definitions` VALUES (174144, 3230, 33, 'रुग्ण स्मरणपत्रांकरिता प्रेषक ई-मेल पत्ता. रुग्णाला स्मरणपत्रे प्रत्युत्तरे या पत्त्यावर निर्देशित केले जाईल. हे मदत टाळण्यासाठी आपल्या क्लिनिकमध्ये  \'डोमेन एक पत्ता वापरू जंक मेल फोल्डर्स जाणे रुग्णाला स्मरणपत्रे प्रतिबंध करणे महत्वाचे आहे.');
INSERT INTO `lang_definitions` VALUES (174145, 3231, 33, 'ई-मेल पत्ता, जर असेल तर, प्रशासकीय सूचना प्राप्त करण्यासाठी.');
INSERT INTO `lang_definitions` VALUES (174146, 3232, 33, 'ई-मेल पत्ता, जर असेल तर, आपत्कालीन लॉगिन वापरकर्ता सक्रिय संदेश प्राप्त करण्यासाठी.');
INSERT INTO `lang_definitions` VALUES (174147, 3233, 33, 'ईमेल प्रमाणिकरण');
INSERT INTO `lang_definitions` VALUES (174148, 3236, 33, 'Batchcom ईमेल');
INSERT INTO `lang_definitions` VALUES (174149, 3238, 33, 'ईमेल सूचना');
INSERT INTO `lang_definitions` VALUES (174150, 3239, 33, 'ईमेल सूचना तास');
INSERT INTO `lang_definitions` VALUES (174151, 3240, 33, 'ईमेल सूचना अहवाल');
INSERT INTO `lang_definitions` VALUES (174152, 3244, 33, 'ईमेल आधी पाठवा');
INSERT INTO `lang_definitions` VALUES (174153, 3245, 33, 'ईमेल प्रेषक');
INSERT INTO `lang_definitions` VALUES (174154, 3246, 33, 'ई-मेल पाठविले');
INSERT INTO `lang_definitions` VALUES (174155, 3247, 33, 'ईमेल पाठविला');
INSERT INTO `lang_definitions` VALUES (174156, 3248, 33, 'ईमेल विषय');
INSERT INTO `lang_definitions` VALUES (174157, 3251, 33, 'ईमेल मजकूर, वापरता येण्याजोगे टॅग: *** *** की NAME, म्हणजे प्रिय *** *** NAME ना');
INSERT INTO `lang_definitions` VALUES (174158, 3252, 33, 'ईमेल मजकूर, वापरता येण्याजोगे टॅग: *** *** की NAME, म्हणजे प्रिय *** की NAME *** {{*** हे सतत घटक *** NAME यांनी अनुवाद नाही}.}');
INSERT INTO `lang_definitions` VALUES (174159, 3253, 33, 'वाहतूक पद्धत ईमेल');
INSERT INTO `lang_definitions` VALUES (174160, 3254, 33, 'ईमेल खालील पत्त्यावर पाठविण्यात आला आहे');
INSERT INTO `lang_definitions` VALUES (174161, 3259, 33, 'आणीबाणी संपर्क');
INSERT INTO `lang_definitions` VALUES (174162, 3260, 33, 'आणीबाणी संपर्क व्यक्ती');
INSERT INTO `lang_definitions` VALUES (174163, 3261, 33, 'आणीबाणी संपर्क फोन नंबर');
INSERT INTO `lang_definitions` VALUES (174164, 3262, 33, 'आणीबाणी संततिनियमन');
INSERT INTO `lang_definitions` VALUES (174165, 3263, 33, 'आणीबाणी लॉग-इन');
INSERT INTO `lang_definitions` VALUES (174166, 3264, 33, 'आणीबाणी लॉग-इन ACL यांना आधार देतो निवडले आहे. आणीबाणीच्या काळात आवश्यक तेव्हा वापरकर्ता सक्रिय राज्यात अजूनही आहे, समान वापरकर्ता रद्द सक्रिय आणि सक्रिय करा. सक्रियन किंवा रद्द चालू Administration-> वापरकर्ते भेट द्या.');
INSERT INTO `lang_definitions` VALUES (174167, 3265, 33, 'आणीबाणी लॉग-इन सक्रिय ईमेल इंटरफेस / globals.php फाइलमध्ये खालील सेटिंग्ज कॉन्फिगर करत असल्यावरच प्रसारित जाईल:');
INSERT INTO `lang_definitions` VALUES (174168, 3266, 33, 'आणीबाणी लॉग-इन ई-मेल पत्ता');
INSERT INTO `lang_definitions` VALUES (174169, 3267, 33, 'आणीबाणी लॉगिन वापरकर्ता काहीही करू शकता,');
INSERT INTO `lang_definitions` VALUES (174170, 3268, 33, 'आणीबाणी फोन');
INSERT INTO `lang_definitions` VALUES (174171, 3270, 33, 'भावनिक / वर्तणुकीशी शर्ती व गुंतागुंत');
INSERT INTO `lang_definitions` VALUES (174172, 3271, 33, 'शरिराच्या पेशीजालात किंवा पोकळ्यात अवास्तव हवा असणे');
INSERT INTO `lang_definitions` VALUES (174173, 3272, 33, 'कर्मचारी');
INSERT INTO `lang_definitions` VALUES (174174, 3273, 33, 'नियोक्ता');
INSERT INTO `lang_definitions` VALUES (174175, 3274, 33, 'नियोक्ता पत्ता');
INSERT INTO `lang_definitions` VALUES (174176, 3275, 33, 'नियोक्ता डेटा');
INSERT INTO `lang_definitions` VALUES (174177, 3276, 33, 'नियोक्ता नाव');
INSERT INTO `lang_definitions` VALUES (174178, 3277, 33, 'रिक्त');
INSERT INTO `lang_definitions` VALUES (174179, 3278, 33, 'रिक्त');
INSERT INTO `lang_definitions` VALUES (174180, 3279, 33, 'परवलीचा शब्द रिक्त परवानगी नाही');
INSERT INTO `lang_definitions` VALUES (174181, 3281, 33, 'ईमेल तास मध्ये रिक्त मूल्य');
INSERT INTO `lang_definitions` VALUES (174182, 3282, 33, 'ईमेल प्रेषक मध्ये रिक्त मूल्य');
INSERT INTO `lang_definitions` VALUES (174183, 3283, 33, 'ईमेल विषय मध्ये रिक्त मूल्य');
INSERT INTO `lang_definitions` VALUES (174184, 3284, 33, 'ईमेल मजकूर मध्ये रिक्त मूल्य');
INSERT INTO `lang_definitions` VALUES (174185, 3285, 33, 'प्रदाता नाव मध्ये रिक्त मूल्य');
INSERT INTO `lang_definitions` VALUES (174186, 3286, 33, 'संकेतशब्द मध्ये रिक्त मूल्य');
INSERT INTO `lang_definitions` VALUES (174187, 3287, 33, 'एसएमएस तास मध्ये रिक्त मूल्य');
INSERT INTO `lang_definitions` VALUES (174188, 3288, 33, 'एसएमएस मजकूर मध्ये रिक्त मूल्य');
INSERT INTO `lang_definitions` VALUES (174189, 3289, 33, 'वापरकर्तानाव मध्ये रिक्त मूल्य');
INSERT INTO `lang_definitions` VALUES (174190, 3292, 33, 'सक्षम');
INSERT INTO `lang_definitions` VALUES (174191, 3298, 33, 'एएमसी सूचित सक्षम');
INSERT INTO `lang_definitions` VALUES (174192, 3299, 33, 'एएमसी अहवाल Itemization सक्षम');
INSERT INTO `lang_definitions` VALUES (174193, 3300, 33, 'एएमसी अहवाल देणे सक्षम करा');
INSERT INTO `lang_definitions` VALUES (174194, 3301, 33, 'एएमसी ट्रॅकिंग सक्षम');
INSERT INTO `lang_definitions` VALUES (174195, 3302, 33, 'सुधारणांचाही वैशिष्ट्य सक्षम');
INSERT INTO `lang_definitions` VALUES (174196, 3303, 33, 'ATNA ऑडिटिंग सक्षम');
INSERT INTO `lang_definitions` VALUES (174197, 3304, 33, 'ऑडिट लॉग एनक्रिप्शन सुरू');
INSERT INTO `lang_definitions` VALUES (174198, 3305, 33, 'ऑडिट लॉग सक्षम');
INSERT INTO `lang_definitions` VALUES (174199, 3306, 33, 'ऑडिट माग आणि नोड प्रमाणीकरण (ATNA) सक्षम करा.');
INSERT INTO `lang_definitions` VALUES (174200, 3307, 33, 'सक्षम स्वयंचलित माप गणना (एएमसी) अहवाल');
INSERT INTO `lang_definitions` VALUES (174201, 3312, 33, 'क्लायंट एसएसएल सक्षम');
INSERT INTO `lang_definitions` VALUES (174202, 3313, 33, 'क्लायंट SSL प्रमाणपत्र प्रमाणीकरण सक्षम करा.');
INSERT INTO `lang_definitions` VALUES (174203, 3315, 33, 'क्लिनिकल निर्णय नियम सक्षम करा (CDR)');
INSERT INTO `lang_definitions` VALUES (174204, 3318, 33, 'क्लिनिकल गुणवत्ता माप सक्षम करा (CQM) अहवाल');
INSERT INTO `lang_definitions` VALUES (174205, 3319, 33, 'क्लिनिकल स्मरणपत्र पॉपअप सक्षम');
INSERT INTO `lang_definitions` VALUES (174206, 3320, 33, 'क्लिनिकल स्मरणपत्र विजेट सक्षम');
INSERT INTO `lang_definitions` VALUES (174207, 3321, 33, 'सीएमएस पोर्टल सक्षम');
INSERT INTO `lang_definitions` VALUES (174208, 3323, 33, 'CQM अहवाल Itemization सक्षम');
INSERT INTO `lang_definitions` VALUES (174209, 3324, 33, 'CQM अहवाल देणे सक्षम करा');
INSERT INTO `lang_definitions` VALUES (174210, 3329, 33, 'EDI इतिहास डाव्या मेनू सक्षम');
INSERT INTO `lang_definitions` VALUES (174211, 3334, 33, 'डाव्या मेनू शुल्क सक्षम');
INSERT INTO `lang_definitions` VALUES (174212, 3341, 33, 'Hylafax समर्थन सक्षम');
INSERT INTO `lang_definitions` VALUES (174213, 3343, 33, 'NewCrop erx आयात स्थिती संदेश सक्षम');
INSERT INTO `lang_definitions` VALUES (174214, 3344, 33, 'एएमसी अहवाल Itemization सक्षम');
INSERT INTO `lang_definitions` VALUES (174215, 3345, 33, 'CQM अहवाल Itemization सक्षम');
INSERT INTO `lang_definitions` VALUES (174216, 3346, 33, 'मानक क्लिनिकल नियम अहवाल Itemization सक्षम');
INSERT INTO `lang_definitions` VALUES (174217, 3347, 33, 'लॅब एक्सचेंज सक्षम');
INSERT INTO `lang_definitions` VALUES (174218, 3348, 33, 'लॉक टॉगल सक्षम');
INSERT INTO `lang_definitions` VALUES (174219, 3349, 33, 'CouchDB दस्तऐवज चढवलेल्या संचिका / डाउनलोड लॉग सक्षम');
INSERT INTO `lang_definitions` VALUES (174220, 3350, 33, 'सर्व एस क्यू एल निवडा चौकशी लॉगिंग सक्षम करा.');
INSERT INTO `lang_definitions` VALUES (174221, 3351, 33, 'बॅकअप संबंधित उपक्रम लॉगिंग सक्षम करा.');
INSERT INTO `lang_definitions` VALUES (174222, 3352, 33, 'CDR इंजिन चौकशी लॉगिंग सक्षम करा.');
INSERT INTO `lang_definitions` VALUES (174223, 3353, 33, 'मिश्र उपक्रम लॉगिंग सक्षम करा.');
INSERT INTO `lang_definitions` VALUES (174224, 3354, 33, 'उपक्रम क्रम लॉगिंग सक्षम करा.');
INSERT INTO `lang_definitions` VALUES (174225, 3355, 33, 'रुग्ण रेकॉर्ड बदल लॉगिंग सक्षम करा.');
INSERT INTO `lang_definitions` VALUES (174226, 3356, 33, 'शेड्युलिंग उपक्रम लॉगिंग सक्षम करा.');
INSERT INTO `lang_definitions` VALUES (174227, 3357, 33, 'सुरक्षा आणि प्रशासन उपक्रम लॉगिंग सक्षम करा.');
INSERT INTO `lang_definitions` VALUES (174228, 3360, 33, 'NewCrop eRx सेवा सक्षम');
INSERT INTO `lang_definitions` VALUES (174229, 3365, 33, 'Offsite रुग्णांच्या पोर्टल सक्षम');
INSERT INTO `lang_definitions` VALUES (174230, 3366, 33, 'Offsite रुग्णांच्या पोर्टल सक्षम करा.');
INSERT INTO `lang_definitions` VALUES (174231, 3368, 33, 'Onsite रुग्णांच्या पोर्टल सक्षम');
INSERT INTO `lang_definitions` VALUES (174232, 3371, 33, 'Onsite रुग्णांच्या पोर्टल सक्षम करा.');
INSERT INTO `lang_definitions` VALUES (174233, 3385, 33, 'रुग्णांच्या स्मरणपत्र विजेट सक्षम');
INSERT INTO `lang_definitions` VALUES (174234, 3387, 33, 'PhiMail थेट संदेश सेवा सक्षम');
INSERT INTO `lang_definitions` VALUES (174235, 3389, 33, 'स्वयंचलित माप गणना (एएमसी) आवश्यक डेटा विनंती सक्षम');
INSERT INTO `lang_definitions` VALUES (174236, 3391, 33, 'ऑटोमेटेड माप गणिते ट्रॅकिंग दिनांक अहवाल देणे सक्षम करा (एएमसी)');
INSERT INTO `lang_definitions` VALUES (174237, 3392, 33, 'स्कॅनर समर्थन सक्षम');
INSERT INTO `lang_definitions` VALUES (174238, 3393, 33, 'मानक अहवाल Itemization सक्षम');
INSERT INTO `lang_definitions` VALUES (174239, 3394, 33, 'सूर्यास्त प्रणाली द्वारे ओपन सोअर्स वर्डप्रेस पोर्टल समर्थन सक्षम करा');
INSERT INTO `lang_definitions` VALUES (174240, 3396, 33, 'वैद्यकीय माहिती एकत्रीकरण, एलएलसी लॅब विनिमय सेवा सक्षम करा.');
INSERT INTO `lang_definitions` VALUES (174241, 3397, 33, 'OpenEMR समर्थन, LLC लॅब विनिमय सेवा सक्षम करा.');
INSERT INTO `lang_definitions` VALUES (174242, 3398, 33, 'वापरकर्ता प्रमाणपत्र प्रमाणीकरण सक्षम');
INSERT INTO `lang_definitions` VALUES (174243, 3403, 33, 'ZMG, एलएलसी eRx सेवा सक्षम');
INSERT INTO `lang_definitions` VALUES (174244, 3404, 33, 'सक्षम');
INSERT INTO `lang_definitions` VALUES (174245, 3412, 33, 'बिलिंग कोड आणि पैसे प्रविष्ट जुन्या शुल्क पॅनल सक्षम करते. शिफारस केलेली नाही, त्याऐवजी शुल्क पत्रक वापरा.');
INSERT INTO `lang_definitions` VALUES (174246, 3415, 33, 'Enc');
INSERT INTO `lang_definitions` VALUES (174247, 3417, 33, 'Encnter');
INSERT INTO `lang_definitions` VALUES (174248, 3418, 33, 'चकमकीत');
INSERT INTO `lang_definitions` VALUES (174249, 3419, 33, 'चकमकीत');
INSERT INTO `lang_definitions` VALUES (174250, 3420, 33, 'चकमकीत');
INSERT INTO `lang_definitions` VALUES (174251, 3421, 33, 'तीव्र रूग्णालयात दाखल करून घेतलेला रूग्ण किंवा ईडी आढळतात');
INSERT INTO `lang_definitions` VALUES (174252, 3426, 33, 'चकमकीत डेटा');
INSERT INTO `lang_definitions` VALUES (174253, 3427, 33, 'चकमकीत तारीख');
INSERT INTO `lang_definitions` VALUES (174254, 3430, 33, 'EDI रेकॉर्ड आढळतात');
INSERT INTO `lang_definitions` VALUES (174255, 3432, 33, 'चकमकीत अर्ज');
INSERT INTO `lang_definitions` VALUES (174256, 3433, 33, 'चकमकीत आरोग्य आणि वर्तन मूल्यांकन');
INSERT INTO `lang_definitions` VALUES (174257, 3434, 33, 'चकमकीत इतिहास');
INSERT INTO `lang_definitions` VALUES (174258, 3435, 33, 'चकमकीत आयडी');
INSERT INTO `lang_definitions` VALUES (174259, 3436, 33, 'चकमकीत इन्फ्लूएन्झा');
INSERT INTO `lang_definitions` VALUES (174260, 3439, 33, 'चकमकीत क्रमांक');
INSERT INTO `lang_definitions` VALUES (174261, 3441, 33, 'चकमकीत नर्सिंग स्त्राव');
INSERT INTO `lang_definitions` VALUES (174262, 3442, 33, 'चकमकीत नर्सिंग सुविधा');
INSERT INTO `lang_definitions` VALUES (174263, 3443, 33, 'व्यावसायिक थेरपी आढळतात');
INSERT INTO `lang_definitions` VALUES (174264, 3444, 33, 'चकमकीत कार्यालय भेट');
INSERT INTO `lang_definitions` VALUES (174265, 3445, 33, 'चकमकीत बाह्यरुग्ण विभागातील');
INSERT INTO `lang_definitions` VALUES (174266, 3446, 33, 'चकमकीत बाह्यरुग्ण विभागातील / PCP आणि obgyn वाईड');
INSERT INTO `lang_definitions` VALUES (174267, 3447, 33, 'चकमकीत पृष्ठ आकार');
INSERT INTO `lang_definitions` VALUES (174268, 3448, 33, 'चकमकीत भरणा');
INSERT INTO `lang_definitions` VALUES (174269, 3449, 33, 'चकमकीत गर्भधारणा');
INSERT INTO `lang_definitions` VALUES (174270, 3450, 33, 'प्रतिबंधात्मक औषध आढळतात - व्यक्तीगत सल्ला');
INSERT INTO `lang_definitions` VALUES (174271, 3451, 33, 'प्रतिबंधात्मक औषध आढळतात 40 आणि जुन्या');
INSERT INTO `lang_definitions` VALUES (174272, 3452, 33, 'प्रतिबंधात्मक औषध गट समुपदेशन आढळतात');
INSERT INTO `lang_definitions` VALUES (174273, 3453, 33, 'प्रतिबंधात्मक औषध इतर सेवा आढळतात');
INSERT INTO `lang_definitions` VALUES (174274, 3454, 33, 'आढळतात प्रतिबंधात्मक औषध सेवा 18 आणि त्यापेक्षा मोठ्या');
INSERT INTO `lang_definitions` VALUES (174275, 3457, 33, 'आढळतात मानसिक आणि psychologic');
INSERT INTO `lang_definitions` VALUES (174276, 3458, 33, 'चकमकीत आकडेवारी');
INSERT INTO `lang_definitions` VALUES (174277, 3459, 33, 'चकमकीत सारांश');
INSERT INTO `lang_definitions` VALUES (174278, 3461, 33, 'चकमक कोड');
INSERT INTO `lang_definitions` VALUES (174279, 3462, 33, 'चकमकीत:');
INSERT INTO `lang_definitions` VALUES (174280, 3463, 33, 'चकमकीत: नॉन-तीव्र inpt, बाह्यरुग्ण विभागातील, किंवा डोळा व त्याला होणार्या रोगांचा अभ्यास आढळतात');
INSERT INTO `lang_definitions` VALUES (174281, 3464, 33, 'चकमकी');
INSERT INTO `lang_definitions` VALUES (174282, 3465, 33, 'चकमकी व नमुने');
INSERT INTO `lang_definitions` VALUES (174283, 3466, 33, 'चकमकी करा & amp; अर्ज');
INSERT INTO `lang_definitions` VALUES (174284, 3467, 33, 'अधिकृत नाही चकमकी');
INSERT INTO `lang_definitions` VALUES (174285, 3468, 33, 'चकमकी अहवाल');
INSERT INTO `lang_definitions` VALUES (174286, 3469, 33, 'चकमकी विभाग');
INSERT INTO `lang_definitions` VALUES (174287, 3471, 33, 'एनक्रिप्शन');
INSERT INTO `lang_definitions` VALUES (174288, 3472, 33, 'समाप्त');
INSERT INTO `lang_definitions` VALUES (174289, 3473, 33, 'शेवट पर्यंत (वर्ष-mm-dd या):');
INSERT INTO `lang_definitions` VALUES (174290, 3474, 33, 'शेवटची तारीख');
INSERT INTO `lang_definitions` VALUES (174291, 3475, 33, 'शेवटची तारीख');
INSERT INTO `lang_definitions` VALUES (174292, 3480, 33, 'अंतिम तारीख सुरू अधिक असावे');
INSERT INTO `lang_definitions` VALUES (174293, 3482, 33, 'समाप्ती तारीख:');
INSERT INTO `lang_definitions` VALUES (174294, 3485, 33, 'अहवालाच्या शेवटी');
INSERT INTO `lang_definitions` VALUES (174295, 3487, 33, 'समाप्त वेळ');
INSERT INTO `lang_definitions` VALUES (174296, 3489, 33, 'Employer`s गट योजना MCP मध्ये एंड-स्टेज रेनल रोग लाभार्थी');
INSERT INTO `lang_definitions` VALUES (174297, 3492, 33, 'सेवा वर्ष-mm-dd या शेवट तारीख');
INSERT INTO `lang_definitions` VALUES (174298, 3493, 33, 'आपण एक श्रेणी दाखल करण्यास इच्छा असेल तर डॉस मिमी / DD / YYYY समाप्ती');
INSERT INTO `lang_definitions` VALUES (174299, 3494, 33, 'कॅलेंडर कार्यक्रम दिवसाचा तास समाप्ती.');
INSERT INTO `lang_definitions` VALUES (174300, 3495, 33, 'ज्याआत असामान्य रक्त');
INSERT INTO `lang_definitions` VALUES (174301, 3496, 33, 'अंत: स्त्राव');
INSERT INTO `lang_definitions` VALUES (174302, 3497, 33, 'Endoscopy');
INSERT INTO `lang_definitions` VALUES (174303, 3502, 33, 'इंग्रजी');
INSERT INTO `lang_definitions` VALUES (174304, 3503, 33, 'इंग्रजी');
INSERT INTO `lang_definitions` VALUES (174305, 3504, 33, 'इंग्रजी (भारतीय)');
INSERT INTO `lang_definitions` VALUES (174306, 3505, 33, 'इंग्रजी (वी)');
INSERT INTO `lang_definitions` VALUES (174307, 3506, 33, 'Hylafax द्वारे वापरले Enscript आदेश.');
INSERT INTO `lang_definitions` VALUES (174308, 3507, 33, 'याची खात्री करा OpenEMR निर्देशिका विशेषाधिकार लिहा आहे');
INSERT INTO `lang_definitions` VALUES (174309, 3509, 33, 'ENT डिस्चार्ज');
INSERT INTO `lang_definitions` VALUES (174310, 3510, 33, 'ENT वेदना');
INSERT INTO `lang_definitions` VALUES (174311, 3513, 33, 'तो असलेले सर्व पावत्या वगळण्याची निदान कोड प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (174312, 3515, 33, 'एक दुरुस्ती प्रविष्ट करा ...');
INSERT INTO `lang_definitions` VALUES (174313, 3518, 33, 'येथे पत्र शरीरात प्रवेश');
INSERT INTO `lang_definitions` VALUES (174314, 3520, 33, 'डाटाबेस रूट पासवर्ड प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (174315, 3521, 33, 'डाटाबेस रूट वापरकर्तानाव प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (174316, 3529, 33, 'निदान प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (174317, 3530, 33, 'औषधे प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (174318, 3533, 33, 'चकमकीत प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (174319, 3534, 33, 'चकमकीत क्रमांक प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (174320, 3537, 33, 'लसीकरण प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (174321, 3538, 33, 'की प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (174322, 3542, 33, 'नवीन डेटा प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (174323, 3544, 33, 'नवीन राज्य प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (174324, 3549, 33, 'प्राप्तकर्ता  \'चे थेट पत्ता प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (174325, 3567, 33, 'या प्रक्रिया LOINC कोड प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (174326, 3569, 33, 'पुन्हा ओळख कोड प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (174327, 3581, 33, 'वरील आपल्या शोध मापदंड प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (174328, 3584, 33, 'त्रुटी प्रविष्ट केला');
INSERT INTO `lang_definitions` VALUES (174329, 3586, 33, 'नोंदी');
INSERT INTO `lang_definitions` VALUES (174330, 3591, 33, 'पर्यावरण');
INSERT INTO `lang_definitions` VALUES (174331, 3592, 33, 'EOB डेटा प्रवेश');
INSERT INTO `lang_definitions` VALUES (174332, 3596, 33, 'EOB पोस्टिंग - इलेक्ट्रॉनिक व्यवहार');
INSERT INTO `lang_definitions` VALUES (174333, 3597, 33, 'EOB पोस्ट - सूचना');
INSERT INTO `lang_definitions` VALUES (174334, 3598, 33, 'EOB पोस्ट - चलन');
INSERT INTO `lang_definitions` VALUES (174335, 3599, 33, 'EOB पोस्टिंग - रुग्णांच्या टीप');
INSERT INTO `lang_definitions` VALUES (174336, 3600, 33, 'EOB पोस्ट - शोध');
INSERT INTO `lang_definitions` VALUES (174337, 3602, 33, 'अपस्मार');
INSERT INTO `lang_definitions` VALUES (174338, 3608, 33, 'ईआरए');
INSERT INTO `lang_definitions` VALUES (174339, 3609, 33, 'ईआरए फायली');
INSERT INTO `lang_definitions` VALUES (174340, 3610, 33, 'ईआरए पोस्ट');
INSERT INTO `lang_definitions` VALUES (174341, 3612, 33, 'पुसून टाका');
INSERT INTO `lang_definitions` VALUES (174342, 3614, 33, 'Erections');
INSERT INTO `lang_definitions` VALUES (174343, 3615, 33, 'त्रुटी');
INSERT INTO `lang_definitions` VALUES (174344, 3616, 33, 'चूक');
INSERT INTO `lang_definitions` VALUES (174345, 3617, 33, 'लॅब परिणाम त्रुटी खात्री पावती');
INSERT INTO `lang_definitions` VALUES (174346, 3620, 33, 'लॅब एक्सचेंज नेटवर्क त्रुटी मिळत लॅब परिणाम');
INSERT INTO `lang_definitions` VALUES (174347, 3621, 33, 'लिंग निवड त्रुटी');
INSERT INTO `lang_definitions` VALUES (174348, 3622, 33, 'HIPAA निवड त्रुटी');
INSERT INTO `lang_definitions` VALUES (174349, 3623, 33, 'प्रक्रिया निवड त्रुटी');
INSERT INTO `lang_definitions` VALUES (174350, 3624, 33, 'एसएमएस गेटवे निवड त्रुटी');
INSERT INTO `lang_definitions` VALUES (174351, 3625, 33, 'निवड \"क्रमवारी लावा\" मध्ये त्रुटी');
INSERT INTO `lang_definitions` VALUES (174352, 3626, 33, 'फाइल Gzip संक्षेप त्रुटी:');
INSERT INTO `lang_definitions` VALUES (174353, 3627, 33, 'होय कवा नाही पर्याय त्रुटी');
INSERT INTO `lang_definitions` VALUES (174354, 3630, 33, 'त्रुटी पहिल्या वाचन फाइल अपलोड');
INSERT INTO `lang_definitions` VALUES (174355, 3631, 33, 'प्रक्रिया करताना त्रुटी फाइल');
INSERT INTO `lang_definitions` VALUES (174356, 3632, 33, 'प्रक्रिया करताना त्रुटी अपलोड');
INSERT INTO `lang_definitions` VALUES (174357, 3633, 33, 'त्रुटी काढत संदेश');
INSERT INTO `lang_definitions` VALUES (174358, 3634, 33, 'लॅब एक्सचेंज नेटवर्क त्रुटी प्राप्त परिणाम');
INSERT INTO `lang_definitions` VALUES (174359, 3635, 33, 'मूल्ये पुनर्प्राप्त करताना त्रुटी.');
INSERT INTO `lang_definitions` VALUES (174360, 3636, 33, 'जतन करताना त्रुटी आली दस्तऐवज');
INSERT INTO `lang_definitions` VALUES (174361, 3637, 33, 'OpenEMR वापरकर्ता फाइल विशेषाधिकार मंजूर करताना त्रुटी.');
INSERT INTO `lang_definitions` VALUES (174362, 3640, 33, 'त्रुटी फॉर्म नोंदणी करताना!');
INSERT INTO `lang_definitions` VALUES (174363, 3641, 33, 'त्रुटी फाइल जतन करताना');
INSERT INTO `lang_definitions` VALUES (174364, 3643, 33, 'दाखल लिहित असताना त्रुटी');
INSERT INTO `lang_definitions` VALUES (174365, 3646, 33, 'त्रुटी (चे) नवीन परिणाम पासून आली');
INSERT INTO `lang_definitions` VALUES (174366, 3651, 33, 'त्रुटी, फाइल अस्तित्वात नाही');
INSERT INTO `lang_definitions` VALUES (174367, 3652, 33, 'सर्व्हर डेटा गोळा करण्यासाठी त्रुटी अक्षम आहोत,');
INSERT INTO `lang_definitions` VALUES (174368, 3653, 33, 'त्रुटी, क्लायंट प्रमाणपत्र तयार करण्यात अक्षम.');
INSERT INTO `lang_definitions` VALUES (174369, 3654, 33, 'त्रुटी, admin.p12 प्रमाणपत्र तयार करण्यात अक्षम.');
INSERT INTO `lang_definitions` VALUES (174370, 3655, 33, 'त्रुटी, प्रमाणपत्र तयार करण्यात अक्षम.');
INSERT INTO `lang_definitions` VALUES (174371, 3656, 33, 'त्रुटी, सर्व्हर प्रमाणपत्र तयार करण्यात अक्षम.');
INSERT INTO `lang_definitions` VALUES (174372, 3658, 33, 'फाइल उघडू शकत नाही त्रुटी,');
INSERT INTO `lang_definitions` VALUES (174373, 3659, 33, 'त्रुटी, वापरकर्ता प्रमाणपत्र प्रमाणीकरण OpenEMR सक्षम नाही');
INSERT INTO `lang_definitions` VALUES (174374, 3663, 33, 'त्रुटी. आपण संग्रहण / Tar.php PHP विभाग स्थापित करणे आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (174375, 3664, 33, 'त्रुटी: table.sql, तुटलेली फॉर्म उघडू शकत नाही?');
INSERT INTO `lang_definitions` VALUES (174376, 3667, 33, 'त्रुटी: ओळीवर आयडी डुप्लीकेट');
INSERT INTO `lang_definitions` VALUES (174377, 3668, 33, 'त्रुटी: ओळीवर डुप्लीकेट नाव');
INSERT INTO `lang_definitions` VALUES (174378, 3669, 33, 'त्रुटी: फील्ड');
INSERT INTO `lang_definitions` VALUES (174379, 3670, 33, 'त्रुटी: ZipArchive कृपया PHP विभाग गहाळ');
INSERT INTO `lang_definitions` VALUES (174380, 3671, 33, 'त्रुटी: नाही ICD आयात डिरेक्ट्री.');
INSERT INTO `lang_definitions` VALUES (174381, 3672, 33, 'त्रुटी: पासवर्ड जुळत नाही. आपल्या टाइपिंग तपासा.');
INSERT INTO `lang_definitions` VALUES (174382, 3673, 33, 'त्रुटी: डॉन  \'टी सामना संकेतशब्द. आपल्या टाइपिंग तपासा.');
INSERT INTO `lang_definitions` VALUES (174383, 3674, 33, 'त्रुटी: फाइल अस्तित्वात नाही');
INSERT INTO `lang_definitions` VALUES (174384, 3675, 33, 'त्रुटी: खालील चल अवैध वर्ण आहेत');
INSERT INTO `lang_definitions` VALUES (174385, 3676, 33, 'त्रुटी: फाइल कॉपी करण्यास अक्षम.');
INSERT INTO `lang_definitions` VALUES (174386, 3677, 33, 'त्रुटी: डाउनलोड संग्रहण तयार करण्यास अक्षम');
INSERT INTO `lang_definitions` VALUES (174387, 3678, 33, 'त्रुटी: Zip संग्रहण तयार करण्यास अक्षम.');
INSERT INTO `lang_definitions` VALUES (174388, 3679, 33, 'त्रुटी: फाइल काढू अक्षम.');
INSERT INTO `lang_definitions` VALUES (174389, 3680, 33, 'त्रुटी: डेटाबेस मध्ये फाइल लोड करण्यात अक्षम.');
INSERT INTO `lang_definitions` VALUES (174390, 3681, 33, 'त्रुटी: आवृत्ती क्रमांक सेट करण्यास अक्षम.');
INSERT INTO `lang_definitions` VALUES (174391, 3682, 33, 'चुका');
INSERT INTO `lang_definitions` VALUES (174392, 3684, 33, 'eRx खाते स्थिती');
INSERT INTO `lang_definitions` VALUES (174393, 3685, 33, 'eRx नोंदी');
INSERT INTO `lang_definitions` VALUES (174394, 3686, 33, 'ERX नाव');
INSERT INTO `lang_definitions` VALUES (174395, 3687, 33, 'ERX पासवर्ड');
INSERT INTO `lang_definitions` VALUES (174396, 3688, 33, 'ERX भूमिका');
INSERT INTO `lang_definitions` VALUES (174397, 3689, 33, 'ERX वापरकर्ता');
INSERT INTO `lang_definitions` VALUES (174398, 3690, 33, 'Erythema:');
INSERT INTO `lang_definitions` VALUES (174399, 3691, 33, 'eSign');
INSERT INTO `lang_definitions` VALUES (174400, 3692, 33, 'eSign लॉग');
INSERT INTO `lang_definitions` VALUES (174401, 3693, 33, 'एस्किमो जातीचे');
INSERT INTO `lang_definitions` VALUES (174402, 3696, 33, 'मुद्दाम तयार केलेली भाषा');
INSERT INTO `lang_definitions` VALUES (174403, 3699, 33, 'स्थापना रुग्णांच्या');
INSERT INTO `lang_definitions` VALUES (174404, 3700, 33, 'एस्टोनियन');
INSERT INTO `lang_definitions` VALUES (174405, 3701, 33, 'वांशिक');
INSERT INTO `lang_definitions` VALUES (174406, 3702, 33, 'वांशिक किंवा शर्यत');
INSERT INTO `lang_definitions` VALUES (174407, 3703, 33, 'वांशिक-शर्यत यादी (addonly पर्यायी, लिहा)');
INSERT INTO `lang_definitions` VALUES (174408, 3706, 33, 'ETIN');
INSERT INTO `lang_definitions` VALUES (174409, 3709, 33, 'कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (174410, 3710, 33, 'कार्यक्रम लागतो');
INSERT INTO `lang_definitions` VALUES (174411, 3711, 33, 'कार्यक्रम वर्ग');
INSERT INTO `lang_definitions` VALUES (174412, 3712, 33, 'कार्यक्रम तारीख');
INSERT INTO `lang_definitions` VALUES (174413, 3714, 33, 'इव्हेंट वर्णन');
INSERT INTO `lang_definitions` VALUES (174414, 3715, 33, 'कार्यक्रम तपशील');
INSERT INTO `lang_definitions` VALUES (174415, 3716, 33, 'कार्यक्रमाची पुनरावृत्ती होत नाही');
INSERT INTO `lang_definitions` VALUES (174416, 3717, 33, 'कार्यक्रम कालावधी');
INSERT INTO `lang_definitions` VALUES (174417, 3718, 33, 'मिनिटांत कार्यक्रम कालावधी');
INSERT INTO `lang_definitions` VALUES (174418, 3719, 33, 'कार्यक्रम शुल्क');
INSERT INTO `lang_definitions` VALUES (174419, 3720, 33, 'कार्यक्रम स्थान');
INSERT INTO `lang_definitions` VALUES (174420, 3721, 33, 'कार्यक्रम प्रत्येक पुनरावृत्ती');
INSERT INTO `lang_definitions` VALUES (174421, 3722, 33, 'कार्यक्रम पुनरावृत्ती');
INSERT INTO `lang_definitions` VALUES (174422, 3723, 33, 'कार्यक्रम सुरू होण्याची वेळ');
INSERT INTO `lang_definitions` VALUES (174423, 3724, 33, 'कार्यक्रम शीर्षक');
INSERT INTO `lang_definitions` VALUES (174424, 3725, 33, 'कार्यक्रम शीर्षक');
INSERT INTO `lang_definitions` VALUES (174425, 3726, 33, 'कार्यक्रम वेबसाइट');
INSERT INTO `lang_definitions` VALUES (174426, 3727, 33, 'आगामी कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (174427, 3728, 33, 'इव्हेंट');
INSERT INTO `lang_definitions` VALUES (174428, 3729, 33, 'नवीन विंडोमध्ये उघडा आगामी कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (174429, 3731, 33, 'प्रत्येक');
INSERT INTO `lang_definitions` VALUES (174430, 3732, 33, 'प्रत्येक');
INSERT INTO `lang_definitions` VALUES (174431, 3734, 33, 'प्रत्येक 3 तास');
INSERT INTO `lang_definitions` VALUES (174432, 3736, 33, 'दर 4 तास');
INSERT INTO `lang_definitions` VALUES (174433, 3738, 33, 'प्रत्येक 5 तास');
INSERT INTO `lang_definitions` VALUES (174434, 3740, 33, 'प्रत्येक 6 तास');
INSERT INTO `lang_definitions` VALUES (174435, 3742, 33, 'प्रत्येक 8 तास');
INSERT INTO `lang_definitions` VALUES (174436, 3743, 33, 'प्रत्येक चौथ्या');
INSERT INTO `lang_definitions` VALUES (174437, 3745, 33, 'प्रत्येक इतर');
INSERT INTO `lang_definitions` VALUES (174438, 3746, 33, 'प्रत्येक तिसरा');
INSERT INTO `lang_definitions` VALUES (174439, 3747, 33, 'प्रत्येक, प्रत्येक इतर, प्रत्येक 3, इ');
INSERT INTO `lang_definitions` VALUES (174440, 3748, 33, 'यू');
INSERT INTO `lang_definitions` VALUES (174441, 3749, 33, 'परीक्षा व परीक्षा परिणाम');
INSERT INTO `lang_definitions` VALUES (174442, 3750, 33, 'परीक्षा, त्यांचे निकाल');
INSERT INTO `lang_definitions` VALUES (174443, 3753, 33, 'परीक्षा');
INSERT INTO `lang_definitions` VALUES (174444, 3754, 33, 'परीक्षा दिनांक');
INSERT INTO `lang_definitions` VALUES (174445, 3755, 33, 'उदाहरण');
INSERT INTO `lang_definitions` VALUES (174446, 3758, 33, 'उदाहरणे');
INSERT INTO `lang_definitions` VALUES (174447, 3760, 33, 'परीक्षा / कसोटी');
INSERT INTO `lang_definitions` VALUES (174448, 3762, 33, 'वगळता');
INSERT INTO `lang_definitions` VALUES (174449, 3763, 33, 'अति जोराचा');
INSERT INTO `lang_definitions` VALUES (174450, 3766, 33, 'वगळलेले रुग्णांना');
INSERT INTO `lang_definitions` VALUES (174451, 3767, 33, 'वर्जित');
INSERT INTO `lang_definitions` VALUES (174452, 3768, 33, 'विशेष प्रदाता संघटना (EPO जर)');
INSERT INTO `lang_definitions` VALUES (174453, 3770, 33, 'कार्यकारी कागद आकार');
INSERT INTO `lang_definitions` VALUES (174454, 3771, 33, 'व्यायाम');
INSERT INTO `lang_definitions` VALUES (174455, 3772, 33, 'व्यायाम नमुन्यांची');
INSERT INTO `lang_definitions` VALUES (174456, 3773, 33, 'व्यायाम नमुने');
INSERT INTO `lang_definitions` VALUES (174457, 3774, 33, 'अस्तित्वात');
INSERT INTO `lang_definitions` VALUES (174458, 3778, 33, 'प्रशासन पासून बाहेर पडा');
INSERT INTO `lang_definitions` VALUES (174459, 3782, 33, 'कालबाह्य');
INSERT INTO `lang_definitions` VALUES (174460, 3784, 33, 'विस्तृत करा');
INSERT INTO `lang_definitions` VALUES (174461, 3785, 33, 'विस्तृत');
INSERT INTO `lang_definitions` VALUES (174462, 3787, 33, 'सर्व विस्तृत करा');
INSERT INTO `lang_definitions` VALUES (174463, 3792, 33, 'विस्तृत दृश्य');
INSERT INTO `lang_definitions` VALUES (174464, 3793, 33, 'असल्याचे form_encounter.pid अपेक्षा');
INSERT INTO `lang_definitions` VALUES (174465, 3794, 33, 'समाप्ती');
INSERT INTO `lang_definitions` VALUES (174466, 3795, 33, 'कालावधी समाप्ती तारीख');
INSERT INTO `lang_definitions` VALUES (174467, 3797, 33, 'कालबाह्य होईल');
INSERT INTO `lang_definitions` VALUES (174468, 3798, 33, 'कालबाह्य');
INSERT INTO `lang_definitions` VALUES (174469, 3799, 33, 'निर्यात');
INSERT INTO `lang_definitions` VALUES (174470, 3800, 33, 'सी म्हणून निर्यात');
INSERT INTO `lang_definitions` VALUES (174471, 3802, 33, 'निर्यात संरचना');
INSERT INTO `lang_definitions` VALUES (174472, 3806, 33, 'निर्यात रुग्णांच्या लोकसंख्याशास्त्र');
INSERT INTO `lang_definitions` VALUES (174473, 3808, 33, 'निर्यात PQRI अहवाल');
INSERT INTO `lang_definitions` VALUES (174474, 3810, 33, 'निर्यात सी निवडलेले');
INSERT INTO `lang_definitions` VALUES (174475, 3811, 33, 'निर्यात संग्रह निवडलेला');
INSERT INTO `lang_definitions` VALUES (174476, 3812, 33, 'सी निर्यात');
INSERT INTO `lang_definitions` VALUES (174477, 3813, 33, 'बाह्य बिलिंग प्रणाली निर्यात');
INSERT INTO `lang_definitions` VALUES (174478, 3815, 33, 'विदेशी देश प्रदर्शनासह');
INSERT INTO `lang_definitions` VALUES (174479, 3816, 33, 'परदेशी झेप');
INSERT INTO `lang_definitions` VALUES (174480, 3818, 33, 'क्रमांक वेळ गोळा');
INSERT INTO `lang_definitions` VALUES (174481, 3820, 33, 'बाह्य');
INSERT INTO `lang_definitions` VALUES (174482, 3823, 33, 'बाह्य डेटा लोड');
INSERT INTO `lang_definitions` VALUES (174483, 3824, 33, 'बाह्य डेटाबेस आयात उपयुक्तता');
INSERT INTO `lang_definitions` VALUES (174484, 3828, 33, 'बाह्य आयडी');
INSERT INTO `lang_definitions` VALUES (174485, 3829, 33, 'बाह्य आयडी');
INSERT INTO `lang_definitions` VALUES (174486, 3830, 33, 'बाह्य अभिज्ञापक');
INSERT INTO `lang_definitions` VALUES (174487, 3831, 33, 'बाह्य फक्त');
INSERT INTO `lang_definitions` VALUES (174488, 3834, 33, 'बाह्य रेफरल');
INSERT INTO `lang_definitions` VALUES (174489, 3835, 33, 'बाह्य रेफरल Followups');
INSERT INTO `lang_definitions` VALUES (174490, 3836, 33, 'बाह्य संदर्भ?');
INSERT INTO `lang_definitions` VALUES (174491, 3837, 33, 'बाह्य संदर्भ');
INSERT INTO `lang_definitions` VALUES (174492, 3838, 33, 'Zip फाइल प्राप्त');
INSERT INTO `lang_definitions` VALUES (174493, 3839, 33, 'फाइल अवतरण. हे काही वेळ लागेल ...');
INSERT INTO `lang_definitions` VALUES (174494, 3840, 33, 'Exudate:');
INSERT INTO `lang_definitions` VALUES (174495, 3850, 33, 'नेत्र चिडचिड');
INSERT INTO `lang_definitions` VALUES (174496, 3856, 33, 'नेत्र वेदना');
INSERT INTO `lang_definitions` VALUES (174497, 3860, 33, 'नेत्र लालसरपणा');
INSERT INTO `lang_definitions` VALUES (174498, 3863, 33, 'डोळे');
INSERT INTO `lang_definitions` VALUES (174499, 3865, 33, 'परवेझ');
INSERT INTO `lang_definitions` VALUES (174500, 3866, 33, 'एफ / एच रक्त समस्या');
INSERT INTO `lang_definitions` VALUES (174501, 3867, 33, 'एफ / एच स्त्री अतिशय केसाळपणा मुख्यत: स्त्रियांमध्ये / Striae');
INSERT INTO `lang_definitions` VALUES (174502, 3868, 33, 'सुविधा');
INSERT INTO `lang_definitions` VALUES (174503, 3869, 33, 'सुविधा');
INSERT INTO `lang_definitions` VALUES (174504, 3870, 33, 'सुविधा');
INSERT INTO `lang_definitions` VALUES (174505, 3871, 33, 'सुविधा प्रशासन');
INSERT INTO `lang_definitions` VALUES (174506, 3872, 33, 'सुविधा शहर');
INSERT INTO `lang_definitions` VALUES (174507, 3873, 33, 'सुविधा कोड');
INSERT INTO `lang_definitions` VALUES (174508, 3875, 33, 'सुविधा देश कोड');
INSERT INTO `lang_definitions` VALUES (174509, 3876, 33, 'सुविधा फॅक्स');
INSERT INTO `lang_definitions` VALUES (174510, 3878, 33, 'सुविधा नाव');
INSERT INTO `lang_definitions` VALUES (174511, 3879, 33, 'सुविधा NPI');
INSERT INTO `lang_definitions` VALUES (174512, 3880, 33, 'सुविधा फोन');
INSERT INTO `lang_definitions` VALUES (174513, 3882, 33, 'सुविधा विशिष्ट वापरकर्ता माहिती');
INSERT INTO `lang_definitions` VALUES (174514, 3883, 33, 'सुविधा राज्य');
INSERT INTO `lang_definitions` VALUES (174515, 3884, 33, 'सुविधा स्ट्रीट');
INSERT INTO `lang_definitions` VALUES (174516, 3886, 33, 'सुविधा पिन');
INSERT INTO `lang_definitions` VALUES (174517, 3888, 33, 'सुविधा:');
INSERT INTO `lang_definitions` VALUES (174518, 3889, 33, 'अयशस्वी');
INSERT INTO `lang_definitions` VALUES (174519, 3890, 33, 'अयशस्वी');
INSERT INTO `lang_definitions` VALUES (174520, 3891, 33, 'अयशस्वी');
INSERT INTO `lang_definitions` VALUES (174521, 3893, 33, 'अयशस्वी रुग्णांना');
INSERT INTO `lang_definitions` VALUES (174522, 3896, 33, 'पोर्टल रुग्णाच्या जोडण्यात अयशस्वी');
INSERT INTO `lang_definitions` VALUES (174523, 3897, 33, 'एक अद्वितीय फाइलनाव मोजणी करण्यासाठी अयशस्वी');
INSERT INTO `lang_definitions` VALUES (174524, 3898, 33, 'तयार करण्यात अयशस्वी');
INSERT INTO `lang_definitions` VALUES (174525, 3901, 33, 'तात्पुरती फोल्डर तयार करण्यात अयशस्वी. CouchDB कार्य करणार नाही.');
INSERT INTO `lang_definitions` VALUES (174526, 3907, 33, 'अयशस्वी.');
INSERT INTO `lang_definitions` VALUES (174527, 3908, 33, 'अपयश');
INSERT INTO `lang_definitions` VALUES (174528, 3909, 33, 'अयशस्वी');
INSERT INTO `lang_definitions` VALUES (174529, 3910, 33, 'अयशस्वी सूचना: थेट संदेश पाठविणे अयशस्वी झाले.');
INSERT INTO `lang_definitions` VALUES (174530, 3916, 33, 'कौटुंबिक इतिहास');
INSERT INTO `lang_definitions` VALUES (174531, 3918, 33, 'काचबिंदू कौटुंबिक इतिहास');
INSERT INTO `lang_definitions` VALUES (174532, 3919, 33, 'कौटुंबिक इतिहास:');
INSERT INTO `lang_definitions` VALUES (174533, 3921, 33, 'कौटुंबिक भरणा');
INSERT INTO `lang_definitions` VALUES (174534, 3922, 33, 'कौटुंबिक आकार');
INSERT INTO `lang_definitions` VALUES (174535, 3923, 33, 'फॅन्सी');
INSERT INTO `lang_definitions` VALUES (174536, 3924, 33, 'फारसी Name');
INSERT INTO `lang_definitions` VALUES (174537, 3925, 33, 'फारसी');
INSERT INTO `lang_definitions` VALUES (174538, 3928, 33, 'पिता');
INSERT INTO `lang_definitions` VALUES (174539, 3929, 33, 'पूर्वजांचा इतिहास');
INSERT INTO `lang_definitions` VALUES (174540, 3930, 33, 'थकवा');
INSERT INTO `lang_definitions` VALUES (174541, 3931, 33, 'थकणे');
INSERT INTO `lang_definitions` VALUES (174542, 3933, 33, 'फॅक्स');
INSERT INTO `lang_definitions` VALUES (174543, 3934, 33, 'फॅक्स संख्या');
INSERT INTO `lang_definitions` VALUES (174544, 3935, 33, 'फॅक्स क्रमांक');
INSERT INTO `lang_definitions` VALUES (174545, 3937, 33, 'फॅक्स / स्कॅन');
INSERT INTO `lang_definitions` VALUES (174546, 3938, 33, 'फॅक्स मध्ये');
INSERT INTO `lang_definitions` VALUES (174547, 3939, 33, 'फॅक्स आउट');
INSERT INTO `lang_definitions` VALUES (174548, 3940, 33, 'वैशिष्ट्ये');
INSERT INTO `lang_definitions` VALUES (174549, 3941, 33, 'फेब्रुवारी');
INSERT INTO `lang_definitions` VALUES (174550, 3942, 33, 'फेब्रुवारी');
INSERT INTO `lang_definitions` VALUES (174551, 3943, 33, 'ECA च्या');
INSERT INTO `lang_definitions` VALUES (174552, 3944, 33, 'फेडरल ड्रग आयडी');
INSERT INTO `lang_definitions` VALUES (174553, 3945, 33, 'फेडरल EIN');
INSERT INTO `lang_definitions` VALUES (174554, 3946, 33, 'फेडरल टॅक्स ID');
INSERT INTO `lang_definitions` VALUES (174555, 3948, 33, 'शुल्क');
INSERT INTO `lang_definitions` VALUES (174556, 3949, 33, 'फी');
INSERT INTO `lang_definitions` VALUES (174557, 3950, 33, 'फी परवानगी नाही');
INSERT INTO `lang_definitions` VALUES (174558, 3951, 33, 'फी पत्रक');
INSERT INTO `lang_definitions` VALUES (174559, 3953, 33, 'फी पत्रक पर्याय');
INSERT INTO `lang_definitions` VALUES (174560, 3955, 33, 'शुल्क');
INSERT INTO `lang_definitions` VALUES (174561, 3956, 33, 'स्त्री');
INSERT INTO `lang_definitions` VALUES (174562, 3957, 33, 'स्त्री एपी');
INSERT INTO `lang_definitions` VALUES (174563, 3958, 33, 'स्त्री कंडोम');
INSERT INTO `lang_definitions` VALUES (174564, 3959, 33, 'स्त्री जी');
INSERT INTO `lang_definitions` VALUES (174565, 3960, 33, 'स्त्री एलसी');
INSERT INTO `lang_definitions` VALUES (174566, 3961, 33, 'स्त्री पी');
INSERT INTO `lang_definitions` VALUES (174567, 3962, 33, 'स्त्री लक्षणे');
INSERT INTO `lang_definitions` VALUES (174568, 3963, 33, 'स्त्री VSC');
INSERT INTO `lang_definitions` VALUES (174569, 3964, 33, 'प्राप्त');
INSERT INTO `lang_definitions` VALUES (174570, 3965, 33, 'पोर्टल खालील फाइल प्राप्त');
INSERT INTO `lang_definitions` VALUES (174571, 3966, 33, 'ताप');
INSERT INTO `lang_definitions` VALUES (174572, 3967, 33, 'ताप:');
INSERT INTO `lang_definitions` VALUES (174573, 3968, 33, 'FH रक्त समस्या');
INSERT INTO `lang_definitions` VALUES (174574, 3972, 33, 'Fibroids');
INSERT INTO `lang_definitions` VALUES (174575, 3974, 33, 'फील्ड');
INSERT INTO `lang_definitions` VALUES (174576, 3975, 33, 'फील्ड \'नाव\' निरर्थक असू शकत नाही');
INSERT INTO `lang_definitions` VALUES (174577, 3978, 33, 'फील्ड प्रकार लोकसंख्याशास्त्र मध्ये नियोक्ता किंवा ग्राहक देश वापरा.');
INSERT INTO `lang_definitions` VALUES (174578, 3979, 33, 'फील्ड प्रकार लोकसंख्याशास्त्र मध्ये नियोक्ता किंवा ग्राहक राज्य वापरा.');
INSERT INTO `lang_definitions` VALUES (174579, 3980, 33, 'फील्ड (चे) गहाळ आहेत!');
INSERT INTO `lang_definitions` VALUES (174580, 3985, 33, 'फिजीचा');
INSERT INTO `lang_definitions` VALUES (174581, 3986, 33, 'फाइल');
INSERT INTO `lang_definitions` VALUES (174582, 3989, 33, 'दस्तऐवजीकरण डिरेक्टरी मध्ये फाइल लॉग बॅकअप तयार करण्याची प्रक्रिया स्वयंचलित कसे जाणून घेण्यासाठी');
INSERT INTO `lang_definitions` VALUES (174583, 3990, 33, 'फाइल स्थान');
INSERT INTO `lang_definitions` VALUES (174584, 3991, 33, 'फाइल व्यवस्थापन');
INSERT INTO `lang_definitions` VALUES (174585, 3998, 33, 'फाइल विशेषाधिकार OpenEMR वापरकर्ता मंजूर.');
INSERT INTO `lang_definitions` VALUES (174586, 3999, 33, 'CouchDB फाइल भरपाई अयशस्वी');
INSERT INTO `lang_definitions` VALUES (174587, 4000, 33, 'फाइल कक्ष');
INSERT INTO `lang_definitions` VALUES (174588, 4001, 33, 'अपलोड फाइल');
INSERT INTO `lang_definitions` VALUES (174589, 4002, 33, 'अपलोड करण्यासाठी फाइल');
INSERT INTO `lang_definitions` VALUES (174590, 4003, 33, 'याच नावाचा फाइल आधिपासूनच स्थान अस्तित्वात नाही:');
INSERT INTO `lang_definitions` VALUES (174591, 4004, 33, 'फाइलनाव');
INSERT INTO `lang_definitions` VALUES (174592, 4005, 33, 'फाइलनाव \".pdf\" समाप्त करणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (174593, 4006, 33, 'फायली');
INSERT INTO `lang_definitions` VALUES (174594, 4011, 33, 'फिलिपिनो');
INSERT INTO `lang_definitions` VALUES (174595, 4013, 33, 'खाली पंक्ती कोणत्याही भरा.');
INSERT INTO `lang_definitions` VALUES (174596, 4014, 33, 'फक्त तर रुग्णांना-मेल सूचना पाठवणे येथे भरा');
INSERT INTO `lang_definitions` VALUES (174597, 4023, 33, 'खाली मूल्ये भरा');
INSERT INTO `lang_definitions` VALUES (174598, 4025, 33, 'रो भरा.');
INSERT INTO `lang_definitions` VALUES (174599, 4028, 33, 'फिल्टर');
INSERT INTO `lang_definitions` VALUES (174600, 4029, 33, 'स्थिर फिल्टर');
INSERT INTO `lang_definitions` VALUES (174601, 4030, 33, 'व्याख्या फिल्टर');
INSERT INTO `lang_definitions` VALUES (174602, 4031, 33, 'पासून फिल्टर');
INSERT INTO `lang_definitions` VALUES (174603, 4032, 33, 'फिल्टर');
INSERT INTO `lang_definitions` VALUES (174604, 4033, 33, 'फिल्टर');
INSERT INTO `lang_definitions` VALUES (174605, 4034, 33, 'अंतिम');
INSERT INTO `lang_definitions` VALUES (174606, 4035, 33, 'अंतिम निदान');
INSERT INTO `lang_definitions` VALUES (174607, 4036, 33, 'तज्ञांना अंतिम निदान');
INSERT INTO `lang_definitions` VALUES (174608, 4038, 33, 'आर्थिक');
INSERT INTO `lang_definitions` VALUES (174609, 4039, 33, 'आर्थिक बंद तारीख (वर्ष-mm-dd या)');
INSERT INTO `lang_definitions` VALUES (174610, 4040, 33, 'आर्थिक अहवाल - काहीही');
INSERT INTO `lang_definitions` VALUES (174611, 4042, 33, 'आर्थिक अहवाल - माझ्या चकमकी');
INSERT INTO `lang_definitions` VALUES (174612, 4045, 33, 'आर्थिक समीक्षा तारीख');
INSERT INTO `lang_definitions` VALUES (174613, 4046, 33, 'सेवा कोड वित्तीय सारांश');
INSERT INTO `lang_definitions` VALUES (174614, 4048, 33, 'शोधा');
INSERT INTO `lang_definitions` VALUES (174615, 4049, 33, 'उपलब्ध शोधा');
INSERT INTO `lang_definitions` VALUES (174616, 4050, 33, 'उपलब्ध नियुक्ती शोधा');
INSERT INTO `lang_definitions` VALUES (174617, 4053, 33, 'रुग्णांच्या शोधा');
INSERT INTO `lang_definitions` VALUES (174618, 4054, 33, 'रुग्णांच्या शिक्षण सामुग्री शोधा');
INSERT INTO `lang_definitions` VALUES (174619, 4056, 33, 'परिणाम');
INSERT INTO `lang_definitions` VALUES (174620, 4057, 33, 'तज्ञांना करून परिणाम');
INSERT INTO `lang_definitions` VALUES (174621, 4058, 33, 'ललित');
INSERT INTO `lang_definitions` VALUES (174622, 4060, 33, 'समाप्त देयके');
INSERT INTO `lang_definitions` VALUES (174623, 4062, 33, 'पूर्ण');
INSERT INTO `lang_definitions` VALUES (174624, 4064, 33, 'फिन्निश');
INSERT INTO `lang_definitions` VALUES (174625, 4065, 33, 'प्रथम');
INSERT INTO `lang_definitions` VALUES (174626, 4068, 33, 'आठवड्याच्या पहिल्या दिवशी');
INSERT INTO `lang_definitions` VALUES (174627, 4071, 33, 'पहिले नाव');
INSERT INTO `lang_definitions` VALUES (174628, 4072, 33, 'पहिले नाव');
INSERT INTO `lang_definitions` VALUES (174629, 4073, 33, 'पहिले नाव:');
INSERT INTO `lang_definitions` VALUES (174630, 4074, 33, 'प्रथम भेट द्या किंवा सल्ला');
INSERT INTO `lang_definitions` VALUES (174631, 4077, 33, 'नाव आडनाव');
INSERT INTO `lang_definitions` VALUES (174632, 4079, 33, 'फिटनेस');
INSERT INTO `lang_definitions` VALUES (174633, 4080, 33, 'फिटनेस स्तर');
INSERT INTO `lang_definitions` VALUES (174634, 4081, 33, 'आज या खेळाडू तंदुरुस्ती');
INSERT INTO `lang_definitions` VALUES (174635, 4082, 33, 'फिटनेस चाचणी');
INSERT INTO `lang_definitions` VALUES (174636, 4083, 33, 'फिटनेस खेळावे');
INSERT INTO `lang_definitions` VALUES (174637, 4084, 33, 'चकमकीत तारखा निराकरण - कोणत्याही चकमकी');
INSERT INTO `lang_definitions` VALUES (174638, 4086, 33, 'या निराकरण');
INSERT INTO `lang_definitions` VALUES (174639, 4088, 33, 'फ्लोरिडा');
INSERT INTO `lang_definitions` VALUES (174640, 4090, 33, 'फुशारकी');
INSERT INTO `lang_definitions` VALUES (174641, 4091, 33, 'फ्लो');
INSERT INTO `lang_definitions` VALUES (174642, 4108, 33, 'फ्लू हंगामात');
INSERT INTO `lang_definitions` VALUES (174643, 4109, 33, 'फ्लू सीझन');
INSERT INTO `lang_definitions` VALUES (174644, 4110, 33, 'फ्लू लसीकरण');
INSERT INTO `lang_definitions` VALUES (174645, 4111, 33, 'द्रवपदार्थ आणि इलेक्ट्रोलाइट्सचे समस्या');
INSERT INTO `lang_definitions` VALUES (174646, 4112, 33, 'FMS');
INSERT INTO `lang_definitions` VALUES (174647, 4113, 33, 'फोलिओ कागद आकार');
INSERT INTO `lang_definitions` VALUES (174648, 4114, 33, 'स्वतः अनुसरण करा');
INSERT INTO `lang_definitions` VALUES (174649, 4115, 33, 'प्रतिष्ठापन किंवा खालील डेटाबेस सुधारणा या सूचनांचे पालन करा');
INSERT INTO `lang_definitions` VALUES (174650, 4116, 33, 'पाठपुरावा');
INSERT INTO `lang_definitions` VALUES (174651, 4119, 33, 'कारण पाठपुरावा');
INSERT INTO `lang_definitions` VALUES (174652, 4121, 33, 'खालील नवीन सानुकूल स्थिर आहे:');
INSERT INTO `lang_definitions` VALUES (174653, 4122, 33, 'खालील नवीन सानुकूल भाषा:');
INSERT INTO `lang_definitions` VALUES (174654, 4123, 33, 'नवीन व्याख्या (भाषा, सतत, डेफिनेशन) खालीलप्रमाणे आहे:');
INSERT INTO `lang_definitions` VALUES (174655, 4124, 33, 'ऑडिट लॉग मध्ये खालील ओळी बदल केले गेले आहेत');
INSERT INTO `lang_definitions` VALUES (174656, 4125, 33, 'फॉलोअप सेवा');
INSERT INTO `lang_definitions` VALUES (174657, 4126, 33, 'Followups दशर्िवले');
INSERT INTO `lang_definitions` VALUES (174658, 4129, 33, 'अन्न सहन न होणे');
INSERT INTO `lang_definitions` VALUES (174659, 4130, 33, 'पाऊल');
INSERT INTO `lang_definitions` VALUES (174660, 4131, 33, 'पाऊल समस्या');
INSERT INTO `lang_definitions` VALUES (174661, 4132, 33, 'पाऊल:');
INSERT INTO `lang_definitions` VALUES (174662, 4133, 33, 'फुटबॉल दुखापती');
INSERT INTO `lang_definitions` VALUES (174663, 4134, 33, 'फुटबॉल इजा');
INSERT INTO `lang_definitions` VALUES (174664, 4135, 33, 'फुटबॉल इजा अहवाल');
INSERT INTO `lang_definitions` VALUES (174665, 4136, 33, 'पादत्राणे प्रकार');
INSERT INTO `lang_definitions` VALUES (174666, 4137, 33, 'साठी');
INSERT INTO `lang_definitions` VALUES (174667, 4138, 33, 'साठी');
INSERT INTO `lang_definitions` VALUES (174668, 4144, 33, 'कोड साठी');
INSERT INTO `lang_definitions` VALUES (174669, 4152, 33, 'चकमकीत दावे साठी');
INSERT INTO `lang_definitions` VALUES (174670, 4154, 33, 'उदाहरणार्थ:');
INSERT INTO `lang_definitions` VALUES (174671, 4158, 33, 'HCFA 02/12 बॉक्स 15 तारीख सूचित करते काय निर्देशीत करण्यासाठी पात्रता अन्य तारीख आहे');
INSERT INTO `lang_definitions` VALUES (174672, 4159, 33, 'चकमकीत वर निर्दिष्ट HCFA 02/12 दिसायला लागायच्या तारीख फॉर्म पात्रता आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (174673, 4161, 33, 'चलन साठी');
INSERT INTO `lang_definitions` VALUES (174674, 4163, 33, 'फक्त वैद्यकीय साठी, प्रस्तुत प्रदाता समान असल्याचे संदर्भ प्रदाता सक्ती.');
INSERT INTO `lang_definitions` VALUES (174675, 4165, 33, 'OBR placer ऑर्डर संख्या');
INSERT INTO `lang_definitions` VALUES (174676, 4166, 33, 'रुग्णाला');
INSERT INTO `lang_definitions` VALUES (174677, 4173, 33, 'उल्लेख संघटना / चिकित्सक साठी');
INSERT INTO `lang_definitions` VALUES (174678, 4176, 33, 'गेल्या');
INSERT INTO `lang_definitions` VALUES (174679, 4188, 33, 'चल साठी');
INSERT INTO `lang_definitions` VALUES (174680, 4189, 33, 'साठी:');
INSERT INTO `lang_definitions` VALUES (174681, 4190, 33, 'फोर्स बिलिंग विजेट ओपन');
INSERT INTO `lang_definitions` VALUES (174682, 4191, 33, 'फोर्स नवीन रुग्णांच्या तयार करा');
INSERT INTO `lang_definitions` VALUES (174683, 4193, 33, 'फोर्स दर्शवा');
INSERT INTO `lang_definitions` VALUES (174684, 4194, 33, 'आधीच सज्ज');
INSERT INTO `lang_definitions` VALUES (174685, 4195, 33, 'फॉर्म');
INSERT INTO `lang_definitions` VALUES (174686, 4196, 33, 'फॉर्म');
INSERT INTO `lang_definitions` VALUES (174687, 4197, 33, 'फॉर्म घटक आढळले नाही');
INSERT INTO `lang_definitions` VALUES (174688, 4199, 33, 'फॉर्म यशस्वीरित्या साइन इन');
INSERT INTO `lang_definitions` VALUES (174689, 4201, 33, 'स्वरूप');
INSERT INTO `lang_definitions` VALUES (174690, 4202, 33, 'स्वरूप');
INSERT INTO `lang_definitions` VALUES (174691, 4203, 33, 'वय प्रदर्शन स्वरूप');
INSERT INTO `lang_definitions` VALUES (174692, 4204, 33, 'एनडीसी साठी अयोग्य स्वरूपात');
INSERT INTO `lang_definitions` VALUES (174693, 4205, 33, 'स्वरूप सर्वात तारखा प्रदर्शित करण्यासाठी वापरली.');
INSERT INTO `lang_definitions` VALUES (174694, 4206, 33, 'स्वरूप सर्वात वेळा प्रदर्शित करण्यासाठी वापरली.');
INSERT INTO `lang_definitions` VALUES (174695, 4207, 33, 'रूपण अहवाल');
INSERT INTO `lang_definitions` VALUES (174696, 4208, 33, 'माजी धूम्रपान');
INSERT INTO `lang_definitions` VALUES (174697, 4209, 33, 'अर्ज');
INSERT INTO `lang_definitions` VALUES (174698, 4210, 33, 'अर्ज प्रशासन');
INSERT INTO `lang_definitions` VALUES (174699, 4215, 33, 'पुढे');
INSERT INTO `lang_definitions` VALUES (174700, 4219, 33, 'फॅक्स द्वारे फॉरवर्ड पृष्ठे');
INSERT INTO `lang_definitions` VALUES (174701, 4222, 33, 'अग्रेषित');
INSERT INTO `lang_definitions` VALUES (174702, 4225, 33, 'चौथ्या');
INSERT INTO `lang_definitions` VALUES (174703, 4227, 33, 'फ्रॅक्चर');
INSERT INTO `lang_definitions` VALUES (174704, 4228, 33, 'Navicula येथे फ्रॅक्चर');
INSERT INTO `lang_definitions` VALUES (174705, 4229, 33, 'फ्रॅक्चर बाजूकडील घोटा');
INSERT INTO `lang_definitions` VALUES (174706, 4230, 33, 'फ्रॅक्चर सरासरीचा घोटा');
INSERT INTO `lang_definitions` VALUES (174707, 4231, 33, 'फ्रॅक्चर पाचव्या (5) पायाभूत पायाचा घोटा व पायाची बोटे जोडणार्या पाच अस्थीपैकी एक');
INSERT INTO `lang_definitions` VALUES (174708, 4233, 33, 'फ्रेम समर्थन आवश्यक');
INSERT INTO `lang_definitions` VALUES (174709, 4235, 33, 'फ्रेंच');
INSERT INTO `lang_definitions` VALUES (174710, 4236, 33, 'फ्रेंच (कॅनेडियन)');
INSERT INTO `lang_definitions` VALUES (174711, 4237, 33, 'फ्रेंच (मानक)');
INSERT INTO `lang_definitions` VALUES (174712, 4238, 33, 'वारंवारता');
INSERT INTO `lang_definitions` VALUES (174713, 4239, 33, 'वारंवार सर्दी');
INSERT INTO `lang_definitions` VALUES (174714, 4240, 33, 'वारंवार आजार');
INSERT INTO `lang_definitions` VALUES (174715, 4241, 33, 'शुक्र');
INSERT INTO `lang_definitions` VALUES (174716, 4242, 33, 'शुक्रवारी');
INSERT INTO `lang_definitions` VALUES (174717, 4244, 33, 'पासून');
INSERT INTO `lang_definitions` VALUES (174718, 4245, 33, 'मधून');
INSERT INTO `lang_definitions` VALUES (174719, 4246, 33, 'पासून');
INSERT INTO `lang_definitions` VALUES (174720, 4247, 33, 'तारीख दिनांक करण्यासाठी पेक्षा जास्त होऊ शकत नाही.');
INSERT INTO `lang_definitions` VALUES (174721, 4253, 33, 'पासून:');
INSERT INTO `lang_definitions` VALUES (174722, 4254, 33, 'पासून:');
INSERT INTO `lang_definitions` VALUES (174723, 4255, 33, 'FROM_CITY');
INSERT INTO `lang_definitions` VALUES (174724, 4256, 33, 'FROM_EMAIL');
INSERT INTO `lang_definitions` VALUES (174725, 4257, 33, 'FROM_FNAME');
INSERT INTO `lang_definitions` VALUES (174726, 4258, 33, 'FROM_LNAME');
INSERT INTO `lang_definitions` VALUES (174727, 4259, 33, 'FROM_MNAME');
INSERT INTO `lang_definitions` VALUES (174728, 4260, 33, 'FROM_PHONE');
INSERT INTO `lang_definitions` VALUES (174729, 4261, 33, 'FROM_PHONECELL');
INSERT INTO `lang_definitions` VALUES (174730, 4262, 33, 'FROM_POSTAL');
INSERT INTO `lang_definitions` VALUES (174731, 4263, 33, 'FROM_STATE');
INSERT INTO `lang_definitions` VALUES (174732, 4264, 33, 'FROM_STREET');
INSERT INTO `lang_definitions` VALUES (174733, 4265, 33, 'FROM_TITLE');
INSERT INTO `lang_definitions` VALUES (174734, 4266, 33, 'FROM_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (174735, 4267, 33, 'एकही कार्यालय');
INSERT INTO `lang_definitions` VALUES (174736, 4268, 33, 'एकही कार्यालय पावत्या');
INSERT INTO `lang_definitions` VALUES (174737, 4269, 33, 'एकही कार्यालय पावत्या अहवाल');
INSERT INTO `lang_definitions` VALUES (174738, 4270, 33, 'फ्रंट \'आरईसी\'');
INSERT INTO `lang_definitions` VALUES (174739, 4271, 33, 'पुढचा अधिकार:');
INSERT INTO `lang_definitions` VALUES (174740, 4276, 33, 'Fula- Fulah- Pulaar- Pular');
INSERT INTO `lang_definitions` VALUES (174741, 4278, 33, 'पूर्ण नाव');
INSERT INTO `lang_definitions` VALUES (174742, 4280, 33, ', MySQL चालविण्याजोगी एक्जीक्यूटेबलच्या संचयीकाचे मार्ग पूर्ण.');
INSERT INTO `lang_definitions` VALUES (174743, 4281, 33, 'पर्ल चालविण्याजोगी एक्जीक्यूटेबलच्या संचयीकाचे मार्ग पूर्ण.');
INSERT INTO `lang_definitions` VALUES (174744, 4282, 33, 'घटना लॉग बॅकअप साठी निर्देशिका पूर्ण मार्ग.');
INSERT INTO `lang_definitions` VALUES (174745, 4283, 33, 'तात्पुरत्या फाइलकरीता वापरलेल्या निर्देशिका पूर्ण मार्ग.');
INSERT INTO `lang_definitions` VALUES (174746, 4284, 33, 'पूर्ण प्ले');
INSERT INTO `lang_definitions` VALUES (174747, 4286, 33, 'पूर्ण प्रशिक्षण');
INSERT INTO `lang_definitions` VALUES (174748, 4288, 33, 'पूर्णपणे अदा');
INSERT INTO `lang_definitions` VALUES (174749, 4295, 33, 'भविष्यातील');
INSERT INTO `lang_definitions` VALUES (174750, 4298, 33, 'जी');
INSERT INTO `lang_definitions` VALUES (174751, 4299, 33, 'जी / एल');
INSERT INTO `lang_definitions` VALUES (174752, 4301, 33, 'गॅलिशियन');
INSERT INTO `lang_definitions` VALUES (174753, 4302, 33, 'पित्त मूत्राशय अट');
INSERT INTO `lang_definitions` VALUES (174754, 4303, 33, 'पित्त दगड');
INSERT INTO `lang_definitions` VALUES (174755, 4304, 33, 'गेम कालावधी');
INSERT INTO `lang_definitions` VALUES (174756, 4305, 33, 'खेळ');
INSERT INTO `lang_definitions` VALUES (174757, 4306, 33, 'खेळ मिस');
INSERT INTO `lang_definitions` VALUES (174758, 4307, 33, 'खेळ / कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (174759, 4308, 33, 'खेळ / आगामी कार्यक्रम मिस');
INSERT INTO `lang_definitions` VALUES (174760, 4309, 33, 'गांडा');
INSERT INTO `lang_definitions` VALUES (174761, 4310, 33, 'जठराची सूज');
INSERT INTO `lang_definitions` VALUES (174762, 4311, 33, 'पोटासंबंधी वेदना');
INSERT INTO `lang_definitions` VALUES (174763, 4312, 33, 'लैंगिकदृष्ट्या कार्यशील');
INSERT INTO `lang_definitions` VALUES (174764, 4316, 33, 'GCAC सांख्यिकी अहवाल');
INSERT INTO `lang_definitions` VALUES (174765, 4317, 33, 'GCAC आकडेवारी');
INSERT INTO `lang_definitions` VALUES (174766, 4318, 33, 'GCAC भेट फॉर्म गहाळ आहे');
INSERT INTO `lang_definitions` VALUES (174767, 4319, 33, 'लिंग');
INSERT INTO `lang_definitions` VALUES (174768, 4320, 33, 'लिंग');
INSERT INTO `lang_definitions` VALUES (174769, 4321, 33, 'सामान्य');
INSERT INTO `lang_definitions` VALUES (174770, 4323, 33, 'सामान्य समस्या सूची');
INSERT INTO `lang_definitions` VALUES (174771, 4325, 33, 'सामान्य सेवा वर्ग');
INSERT INTO `lang_definitions` VALUES (174772, 4331, 33, 'व्युत्पन्न');
INSERT INTO `lang_definitions` VALUES (174773, 4332, 33, 'व्युत्पन्न व CMS 1500 कागद दावे डाउनलोड');
INSERT INTO `lang_definitions` VALUES (174774, 4334, 33, 'व्युत्पन्न आणि HCFA 1500 कागद दावे डाउनलोड');
INSERT INTO `lang_definitions` VALUES (174775, 4337, 33, 'व्युत्पन्न आणि X12 बॅच डाउनलोड');
INSERT INTO `lang_definitions` VALUES (174776, 4338, 33, 'व्युत्पन्न आणि X12 चकमकीत हक्क बॅच डाउनलोड');
INSERT INTO `lang_definitions` VALUES (174777, 4341, 33, 'व्युत्पन्न आणि इलेक्ट्रॉनिक परवानगी चांगले प्रसारित.');
INSERT INTO `lang_definitions` VALUES (174778, 4342, 33, '1500 सीएमएस व्युत्पन्न');
INSERT INTO `lang_definitions` VALUES (174779, 4343, 33, 'सीएमएस 1500 पीडीएफ व्युत्पन्न');
INSERT INTO `lang_definitions` VALUES (174780, 4344, 33, 'सीएमएस 1500 मजकूर व्युत्पन्न');
INSERT INTO `lang_definitions` VALUES (174781, 4345, 33, 'HCFA व्युत्पन्न');
INSERT INTO `lang_definitions` VALUES (174782, 4347, 33, 'चलन व्युत्पन्न');
INSERT INTO `lang_definitions` VALUES (174783, 4348, 33, 'पत्र व्युत्पन्न');
INSERT INTO `lang_definitions` VALUES (174784, 4349, 33, 'पत्र संबंधित व्युत्पन्न');
INSERT INTO `lang_definitions` VALUES (174785, 4351, 33, 'PQRI अहवाल व्युत्पन्न (पद्धत अ)');
INSERT INTO `lang_definitions` VALUES (174786, 4352, 33, 'PQRI अहवाल (पद्धत अ) व्युत्पन्न करा - 2011');
INSERT INTO `lang_definitions` VALUES (174787, 4353, 33, 'PQRI अहवाल व्युत्पन्न (पद्धत इ)');
INSERT INTO `lang_definitions` VALUES (174788, 4354, 33, 'PQRI अहवाल (पद्धत इ) व्युत्पन्न करा - 2011');
INSERT INTO `lang_definitions` VALUES (174789, 4357, 33, 'अहवाल व्युत्पन्न');
INSERT INTO `lang_definitions` VALUES (174790, 4365, 33, 'वापरकर्तानाव आणि संकेतशब्द व्युत्पन्न');
INSERT INTO `lang_definitions` VALUES (174791, 4366, 33, 'X12 व्युत्पन्न');
INSERT INTO `lang_definitions` VALUES (174792, 4368, 33, 'X12 चकमकीत व्युत्पन्न');
INSERT INTO `lang_definitions` VALUES (174793, 4370, 33, 'वर व्युत्पन्न');
INSERT INTO `lang_definitions` VALUES (174794, 4372, 33, 'निर्माण');
INSERT INTO `lang_definitions` VALUES (174795, 4377, 33, 'जननेंद्रिये व मूत्रमार्ग या दोन्हीशी संबंधित मूत्रजननमार्गसंबंधी');
INSERT INTO `lang_definitions` VALUES (174796, 4380, 33, 'जॉर्जियन');
INSERT INTO `lang_definitions` VALUES (174797, 4381, 33, 'जर्मन');
INSERT INTO `lang_definitions` VALUES (174798, 4386, 33, 'HL7 मिळवा');
INSERT INTO `lang_definitions` VALUES (174799, 4392, 33, 'काचबिंदू');
INSERT INTO `lang_definitions` VALUES (174800, 4393, 33, 'काचबिंदू कौटुंबिक इतिहास');
INSERT INTO `lang_definitions` VALUES (174801, 4395, 33, 'ग्लोबल');
INSERT INTO `lang_definitions` VALUES (174802, 4398, 33, 'ग्लोबल आयडी');
INSERT INTO `lang_definitions` VALUES (174803, 4399, 33, 'ग्लोबल सेटिंग्ज');
INSERT INTO `lang_definitions` VALUES (174804, 4400, 33, 'ग्लोबल');
INSERT INTO `lang_definitions` VALUES (174805, 4401, 33, 'जीएम / डॅनिअल');
INSERT INTO `lang_definitions` VALUES (174806, 4403, 33, 'जा');
INSERT INTO `lang_definitions` VALUES (174807, 4404, 33, 'जा');
INSERT INTO `lang_definitions` VALUES (174808, 4407, 33, 'जा');
INSERT INTO `lang_definitions` VALUES (174809, 4417, 33, 'या आठवड्यात जा');
INSERT INTO `lang_definitions` VALUES (174810, 4418, 33, 'आज जा');
INSERT INTO `lang_definitions` VALUES (174811, 4419, 33, 'लक्ष्य एक');
INSERT INTO `lang_definitions` VALUES (174812, 4420, 33, 'ध्येय आणि पद्धती');
INSERT INTO `lang_definitions` VALUES (174813, 4421, 33, 'लक्ष्य ब');
INSERT INTO `lang_definitions` VALUES (174814, 4422, 33, 'लक्ष्य सी');
INSERT INTO `lang_definitions` VALUES (174815, 4428, 33, 'इजा झाली ग्रेड');
INSERT INTO `lang_definitions` VALUES (174816, 4429, 33, 'श्रेणी:');
INSERT INTO `lang_definitions` VALUES (174817, 4430, 33, 'ग्रॅम');
INSERT INTO `lang_definitions` VALUES (174818, 4431, 33, 'एकूण');
INSERT INTO `lang_definitions` VALUES (174819, 4432, 33, 'ग्रँड बेरजा');
INSERT INTO `lang_definitions` VALUES (174820, 4435, 33, 'Graphable');
INSERT INTO `lang_definitions` VALUES (174821, 4437, 33, 'या पेक्षा मोठे');
INSERT INTO `lang_definitions` VALUES (174822, 4438, 33, 'या पेक्षा मोठे किंवा समान');
INSERT INTO `lang_definitions` VALUES (174823, 4439, 33, 'ग्रीक');
INSERT INTO `lang_definitions` VALUES (174824, 4440, 33, 'ग्रीक, आधुनिक');
INSERT INTO `lang_definitions` VALUES (174825, 4442, 33, 'गट');
INSERT INTO `lang_definitions` VALUES (174826, 4459, 33, 'गट नाव');
INSERT INTO `lang_definitions` VALUES (174827, 4460, 33, 'गट नावे रिक्त असू शकत नाही');
INSERT INTO `lang_definitions` VALUES (174828, 4461, 33, 'गट नावे नंबर किंवा मोकळी जागा सुरू करू शकत नाही.');
INSERT INTO `lang_definitions` VALUES (174829, 4462, 33, 'गट नाव नंबर सुरू करू शकत नाही.');
INSERT INTO `lang_definitions` VALUES (174830, 4463, 33, 'गट क्रमांक');
INSERT INTO `lang_definitions` VALUES (174831, 4465, 33, 'गट भरणा');
INSERT INTO `lang_definitions` VALUES (174832, 4471, 33, 'गट:');
INSERT INTO `lang_definitions` VALUES (174833, 4472, 33, 'GROUPNAME');
INSERT INTO `lang_definitions` VALUES (174834, 4475, 33, 'गट आणि प्रवेश नियंत्रण');
INSERT INTO `lang_definitions` VALUES (174835, 4476, 33, 'वाढ चार्ट');
INSERT INTO `lang_definitions` VALUES (174836, 4477, 33, 'वाढ-चार्ट');
INSERT INTO `lang_definitions` VALUES (174837, 4478, 33, 'gtts (थेंब)');
INSERT INTO `lang_definitions` VALUES (174838, 4479, 33, 'Guamanian');
INSERT INTO `lang_definitions` VALUES (174839, 4481, 33, 'गुआरानी');
INSERT INTO `lang_definitions` VALUES (174840, 4484, 33, 'पालक नाव');
INSERT INTO `lang_definitions` VALUES (174841, 4487, 33, 'गुजराती');
INSERT INTO `lang_definitions` VALUES (174842, 4489, 33, 'Gynecological परीक्षा');
INSERT INTO `lang_definitions` VALUES (174843, 4490, 33, 'ह');
INSERT INTO `lang_definitions` VALUES (174844, 4492, 33, 'h.s.');
INSERT INTO `lang_definitions` VALUES (174845, 4493, 33, 'एच / ओ हिपॅटायटीस');
INSERT INTO `lang_definitions` VALUES (174846, 4494, 33, 'यशस्वीरित्या हटविण्यात आले होते. कोणत्याही उप-विभाग उपस्थित असल्यास, खालील हलविले गेले');
INSERT INTO `lang_definitions` VALUES (174847, 4495, 33, 'Haematoma / थकवा');
INSERT INTO `lang_definitions` VALUES (174848, 4496, 33, 'है स्थिती');
INSERT INTO `lang_definitions` VALUES (174849, 4497, 33, 'Haitian- हैतीयन क्रेओल');
INSERT INTO `lang_definitions` VALUES (174850, 4499, 33, 'हाताचा + बोटांनी');
INSERT INTO `lang_definitions` VALUES (174851, 4500, 33, 'हाताचा समस्या');
INSERT INTO `lang_definitions` VALUES (174852, 4505, 33, 'हार्ड डिस्क');
INSERT INTO `lang_definitions` VALUES (174853, 4506, 33, '/ O वाईड दु: ख');
INSERT INTO `lang_definitions` VALUES (174854, 4507, 33, 'भेट दुवा साधला गेला आहे');
INSERT INTO `lang_definitions` VALUES (174855, 4508, 33, 'कालबाह्य झाले आहे');
INSERT INTO `lang_definitions` VALUES (174856, 4509, 33, 'हॅश');
INSERT INTO `lang_definitions` VALUES (174857, 4511, 33, 'हॅश या फाइल अस्तित्वात नाही. एक नवीन हॅश निर्माण झाले.');
INSERT INTO `lang_definitions` VALUES (174858, 4512, 33, 'हॅश जुळत नाही. डेटा तडजोड केली गेली आहे.');
INSERT INTO `lang_definitions` VALUES (174859, 4514, 33, 'हौसा');
INSERT INTO `lang_definitions` VALUES (174860, 4515, 33, 'हवाईयन');
INSERT INTO `lang_definitions` VALUES (174861, 4516, 33, 'घातक उपक्रम');
INSERT INTO `lang_definitions` VALUES (174862, 4517, 33, 'घातक उपक्रम');
INSERT INTO `lang_definitions` VALUES (174863, 4521, 33, 'HCFA गुण फरकाने बाकी');
INSERT INTO `lang_definitions` VALUES (174864, 4522, 33, 'HCFA समास');
INSERT INTO `lang_definitions` VALUES (174865, 4523, 33, 'गुण HCFA शीर्ष समास');
INSERT INTO `lang_definitions` VALUES (174866, 4524, 33, 'HCPCS प्रक्रिया / सेवा');
INSERT INTO `lang_definitions` VALUES (174867, 4527, 33, 'तो PostCalendar');
INSERT INTO `lang_definitions` VALUES (174868, 4528, 33, 'मुख्य');
INSERT INTO `lang_definitions` VALUES (174869, 4529, 33, 'डोके CIRC');
INSERT INTO `lang_definitions` VALUES (174870, 4530, 33, 'डोक्याचा घेर');
INSERT INTO `lang_definitions` VALUES (174871, 4531, 33, 'डोकेदुखी');
INSERT INTO `lang_definitions` VALUES (174872, 4532, 33, 'डोकेदुखी');
INSERT INTO `lang_definitions` VALUES (174873, 4534, 33, 'आरोग्य काळजी ऑपरेशन');
INSERT INTO `lang_definitions` VALUES (174874, 4535, 33, 'हेल्थ केअर ऑपरेशन्स');
INSERT INTO `lang_definitions` VALUES (174875, 4537, 33, 'आरोग्य केंद्र / चिकित्सालय');
INSERT INTO `lang_definitions` VALUES (174876, 4540, 33, 'आरोग्य देखभाल संघटना');
INSERT INTO `lang_definitions` VALUES (174877, 4541, 33, 'आरोग्य देखभाल संघटना (HMO) वैद्यकीय धोका');
INSERT INTO `lang_definitions` VALUES (174878, 4542, 33, 'कमी होणे सुनावणी');
INSERT INTO `lang_definitions` VALUES (174879, 4543, 33, 'हृदयविकाराचा झटका');
INSERT INTO `lang_definitions` VALUES (174880, 4544, 33, 'हृदयरोग');
INSERT INTO `lang_definitions` VALUES (174881, 4545, 33, 'हार्ट अयशस्वी');
INSERT INTO `lang_definitions` VALUES (174882, 4546, 33, 'हार्ट समस्या');
INSERT INTO `lang_definitions` VALUES (174883, 4547, 33, 'हार्ट समस्या');
INSERT INTO `lang_definitions` VALUES (174884, 4548, 33, 'हार्ट शस्त्रक्रिया');
INSERT INTO `lang_definitions` VALUES (174885, 4549, 33, 'हार्ट रोपण');
INSERT INTO `lang_definitions` VALUES (174886, 4550, 33, 'मनात:');
INSERT INTO `lang_definitions` VALUES (174887, 4551, 33, 'छातीत जळजळ');
INSERT INTO `lang_definitions` VALUES (174888, 4552, 33, 'उष्णता किंवा थंड');
INSERT INTO `lang_definitions` VALUES (174889, 4553, 33, 'उष्णता किंवा थंड');
INSERT INTO `lang_definitions` VALUES (174890, 4554, 33, 'हेवी तंबाखू धूम्रपान');
INSERT INTO `lang_definitions` VALUES (174891, 4555, 33, 'हिब्रू');
INSERT INTO `lang_definitions` VALUES (174892, 4556, 33, 'हिब्रू (आधुनिक)');
INSERT INTO `lang_definitions` VALUES (174893, 4557, 33, 'HEENT');
INSERT INTO `lang_definitions` VALUES (174894, 4558, 33, 'उंची');
INSERT INTO `lang_definitions` VALUES (174895, 4559, 33, 'उंची / लांबी');
INSERT INTO `lang_definitions` VALUES (174896, 4560, 33, 'मदत');
INSERT INTO `lang_definitions` VALUES (174897, 4561, 33, 'मदत');
INSERT INTO `lang_definitions` VALUES (174898, 4563, 33, 'जठरामधून रक्त ओकून पडणे');
INSERT INTO `lang_definitions` VALUES (174899, 4564, 33, 'Hematochezia');
INSERT INTO `lang_definitions` VALUES (174900, 4565, 33, 'Hematologic');
INSERT INTO `lang_definitions` VALUES (174901, 4566, 33, 'Hematuria');
INSERT INTO `lang_definitions` VALUES (174902, 4567, 33, 'हिमोग्लोबिन');
INSERT INTO `lang_definitions` VALUES (174903, 4568, 33, 'हिमोग्लोबिन A1C');
INSERT INTO `lang_definitions` VALUES (174904, 4569, 33, 'Hemoptysis');
INSERT INTO `lang_definitions` VALUES (174905, 4570, 33, 'हिपॅटायटीस');
INSERT INTO `lang_definitions` VALUES (174906, 4571, 33, 'हिपॅटायटीस अ 1');
INSERT INTO `lang_definitions` VALUES (174907, 4572, 33, 'हिपॅटायटीस 2');
INSERT INTO `lang_definitions` VALUES (174908, 4573, 33, 'हिपॅटायटीस ब 1');
INSERT INTO `lang_definitions` VALUES (174909, 4574, 33, 'हिपॅटायटीस ब 2');
INSERT INTO `lang_definitions` VALUES (174910, 4575, 33, 'हिपॅटायटीस ब 3');
INSERT INTO `lang_definitions` VALUES (174911, 4576, 33, 'येथे');
INSERT INTO `lang_definitions` VALUES (174912, 4579, 33, 'हरेरो');
INSERT INTO `lang_definitions` VALUES (174913, 4580, 33, 'अन्तर्गळ दुरुस्ती');
INSERT INTO `lang_definitions` VALUES (174914, 4581, 33, 'Herniated डिस्क');
INSERT INTO `lang_definitions` VALUES (174915, 4582, 33, 'नागीण');
INSERT INTO `lang_definitions` VALUES (174916, 4585, 33, 'घुटमळणे');
INSERT INTO `lang_definitions` VALUES (174917, 4586, 33, 'heyyo. तुम्ही येथे केले आहे');
INSERT INTO `lang_definitions` VALUES (174918, 4587, 33, 'Hib 1');
INSERT INTO `lang_definitions` VALUES (174919, 4588, 33, 'Hib 2');
INSERT INTO `lang_definitions` VALUES (174920, 4589, 33, 'Hib 3');
INSERT INTO `lang_definitions` VALUES (174921, 4590, 33, 'Hib 4');
INSERT INTO `lang_definitions` VALUES (174922, 4591, 33, 'लपलेली');
INSERT INTO `lang_definitions` VALUES (174923, 4592, 33, 'लपलेली आगामी कार्यक्रम प्रशासन');
INSERT INTO `lang_definitions` VALUES (174924, 4593, 33, 'लपवा');
INSERT INTO `lang_definitions` VALUES (174925, 4595, 33, 'तपशील लपवा');
INSERT INTO `lang_definitions` VALUES (174926, 4596, 33, 'अहवाल रिक्त ई-साइन इन करा नोंदी लपवा');
INSERT INTO `lang_definitions` VALUES (174927, 4597, 33, 'लपवा एनक्रिप्शन / डिक्रीपश्न पर्याय कागदपत्रांचे व्यवस्थापन मध्ये');
INSERT INTO `lang_definitions` VALUES (174928, 4599, 33, 'लपवा मेनू');
INSERT INTO `lang_definitions` VALUES (174929, 4601, 33, 'लपवा स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (174930, 4603, 33, 'लपवा / दाखवा स्तंभ');
INSERT INTO `lang_definitions` VALUES (174931, 4605, 33, 'उच्च');
INSERT INTO `lang_definitions` VALUES (174932, 4607, 33, 'उच्च रक्तदाब');
INSERT INTO `lang_definitions` VALUES (174933, 4609, 33, 'हिंदी');
INSERT INTO `lang_definitions` VALUES (174934, 4610, 33, 'हिप + मांडीचा सांधा');
INSERT INTO `lang_definitions` VALUES (174935, 4611, 33, 'हिप आणि मांडीचा सांधा');
INSERT INTO `lang_definitions` VALUES (174936, 4612, 33, 'हिप समस्या');
INSERT INTO `lang_definitions` VALUES (174937, 4613, 33, 'हिप बदलण्याचे');
INSERT INTO `lang_definitions` VALUES (174938, 4615, 33, 'HIPAA सूचना प्राप्त');
INSERT INTO `lang_definitions` VALUES (174939, 4616, 33, 'हिरी मॉटू');
INSERT INTO `lang_definitions` VALUES (174940, 4617, 33, 'अतिशय केसाळपणा मुख्यत: स्त्रियांमध्ये / Striae');
INSERT INTO `lang_definitions` VALUES (174941, 4618, 33, 'हिस्पॅनिक');
INSERT INTO `lang_definitions` VALUES (174942, 4619, 33, 'हिस्पॅनिक - इतर (यूएस मध्ये जन्मलेल्या)');
INSERT INTO `lang_definitions` VALUES (174943, 4620, 33, 'हिस्पॅनिक - इतर (अमेरिकेच्या बाहेरील जन्म)');
INSERT INTO `lang_definitions` VALUES (174944, 4621, 33, 'हिस्पॅनिक किंवा लॅटिनो');
INSERT INTO `lang_definitions` VALUES (174945, 4623, 33, 'इतिहास');
INSERT INTO `lang_definitions` VALUES (174946, 4629, 33, 'इतिहास डेटा');
INSERT INTO `lang_definitions` VALUES (174947, 4630, 33, 'इतिहास तारीख');
INSERT INTO `lang_definitions` VALUES (174948, 4632, 33, 'इतिहास तक्रारी');
INSERT INTO `lang_definitions` VALUES (174949, 4633, 33, 'इतिहास अधिकृत नाही');
INSERT INTO `lang_definitions` VALUES (174950, 4634, 33, 'हार्ट तक्रारी इतिहास');
INSERT INTO `lang_definitions` VALUES (174951, 4638, 33, 'हिट');
INSERT INTO `lang_definitions` VALUES (174952, 4639, 33, 'एचआयव्ही');
INSERT INTO `lang_definitions` VALUES (174953, 4649, 33, 'HL7 दर्शक');
INSERT INTO `lang_definitions` VALUES (174954, 4651, 33, 'HMOL / एल');
INSERT INTO `lang_definitions` VALUES (174955, 4652, 33, 'मंग');
INSERT INTO `lang_definitions` VALUES (174956, 4653, 33, '[की Ctrl] अनेक निवडी साठी दाबून ठेवा किंवा नीवड अशक्य करा करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (174957, 4655, 33, 'एकाधिक आयटम निवडण्यासाठी Ctrl दाबून ठेवा');
INSERT INTO `lang_definitions` VALUES (174958, 4656, 33, 'अनेक पथके निवडण्यासाठी Ctrl दाबून ठेवा');
INSERT INTO `lang_definitions` VALUES (174959, 4658, 33, 'मुख्यपृष्ठ');
INSERT INTO `lang_definitions` VALUES (174960, 4659, 33, 'मुख्यपृष्ठ फोन');
INSERT INTO `lang_definitions` VALUES (174961, 4660, 33, 'मुख्यपृष्ठ फोन नंबर');
INSERT INTO `lang_definitions` VALUES (174962, 4662, 33, 'बेघरांसाठी किंवा तत्सम?');
INSERT INTO `lang_definitions` VALUES (174963, 4664, 33, 'बेघर, इ');
INSERT INTO `lang_definitions` VALUES (174964, 4665, 33, 'बेघर, इ');
INSERT INTO `lang_definitions` VALUES (174965, 4666, 33, 'आकड्या');
INSERT INTO `lang_definitions` VALUES (174966, 4674, 33, 'होस्ट नाव');
INSERT INTO `lang_definitions` VALUES (174967, 4675, 33, 'नाव रिकामे असू शकत नाही होस्ट');
INSERT INTO `lang_definitions` VALUES (174968, 4677, 33, 'तास');
INSERT INTO `lang_definitions` VALUES (174969, 4678, 33, 'तास');
INSERT INTO `lang_definitions` VALUES (174970, 4681, 33, 'इजा कसे येऊ दिले नाही?');
INSERT INTO `lang_definitions` VALUES (174971, 4682, 33, 'कसे इजा ?: येऊ नाही');
INSERT INTO `lang_definitions` VALUES (174972, 4683, 33, 'ते आम्हाला कसे कळले');
INSERT INTO `lang_definitions` VALUES (174973, 4685, 33, 'किती महिने पुढे कार्यक्रम आगामी चौकशी?');
INSERT INTO `lang_definitions` VALUES (174974, 4692, 33, 'HPI:');
INSERT INTO `lang_definitions` VALUES (174975, 4694, 33, 'एचटी');
INSERT INTO `lang_definitions` VALUES (174976, 4695, 33, 'एचटीएमएल');
INSERT INTO `lang_definitions` VALUES (174977, 4696, 33, 'HTML आउटपुटपहा?');
INSERT INTO `lang_definitions` VALUES (174978, 4699, 33, 'Https OpenEMR समर्थन, LLC लॅब विनिमय सेवा लिंक.');
INSERT INTO `lang_definitions` VALUES (174979, 4701, 33, 'हंगेरियन');
INSERT INTO `lang_definitions` VALUES (174980, 4702, 33, 'Hylafax निर्देशिका');
INSERT INTO `lang_definitions` VALUES (174981, 4703, 33, 'Hylafax Enscript आदेश');
INSERT INTO `lang_definitions` VALUES (174982, 4704, 33, 'Hylafax सर्व्हर');
INSERT INTO `lang_definitions` VALUES (174983, 4705, 33, 'Hylafax सर्व्हर होस्टनाव.');
INSERT INTO `lang_definitions` VALUES (174984, 4706, 33, 'Hyperactive');
INSERT INTO `lang_definitions` VALUES (174985, 4708, 33, 'उच्च रक्तदाब');
INSERT INTO `lang_definitions` VALUES (174986, 4709, 33, 'उच्च रक्तदाब: रक्तदाब मापन');
INSERT INTO `lang_definitions` VALUES (174987, 4710, 33, 'उच्च रक्तदाब: ब्लड प्रेशर परिमाण (CQM)');
INSERT INTO `lang_definitions` VALUES (174988, 4711, 33, 'हायपरथायरॉईडीझमची');
INSERT INTO `lang_definitions` VALUES (174989, 4713, 33, 'हायपोथायरॉईडीझम');
INSERT INTO `lang_definitions` VALUES (174990, 4716, 33, 'Hysterectomy');
INSERT INTO `lang_definitions` VALUES (174991, 4717, 33, 'मी');
INSERT INTO `lang_definitions` VALUES (174992, 4718, 33, 'मी या वेळी व्यस्त आहे.');
INSERT INTO `lang_definitions` VALUES (174993, 4719, 33, 'मी वाचले परवानगी नाही');
INSERT INTO `lang_definitions` VALUES (174994, 4724, 33, 'ICD');
INSERT INTO `lang_definitions` VALUES (174995, 4725, 33, 'ICD10 निदान');
INSERT INTO `lang_definitions` VALUES (174996, 4726, 33, 'ICD10 प्रक्रिया / सेवा');
INSERT INTO `lang_definitions` VALUES (174997, 4727, 33, 'ICD9');
INSERT INTO `lang_definitions` VALUES (174998, 4728, 33, 'ICD9 निदान');
INSERT INTO `lang_definitions` VALUES (174999, 4729, 33, 'ICD9 प्रक्रिया / सेवा');
INSERT INTO `lang_definitions` VALUES (175000, 4730, 33, 'आईसलँडिक');
INSERT INTO `lang_definitions` VALUES (175001, 4734, 33, 'आयडी');
INSERT INTO `lang_definitions` VALUES (175002, 4736, 33, 'आयडी');
INSERT INTO `lang_definitions` VALUES (175003, 4738, 33, 'आयडी रिक्त असू शकत नाही');
INSERT INTO `lang_definitions` VALUES (175004, 4739, 33, 'ओळखपत्र');
INSERT INTO `lang_definitions` VALUES (175005, 4742, 33, 'IDays');
INSERT INTO `lang_definitions` VALUES (175006, 4743, 33, 'म्हणून ओळखले');
INSERT INTO `lang_definitions` VALUES (175007, 4745, 33, 'अभिज्ञापक (एक शब्द)');
INSERT INTO `lang_definitions` VALUES (175008, 4746, 33, 'कोड ओळखणे');
INSERT INTO `lang_definitions` VALUES (175009, 4747, 33, 'सत्र कालबाह्य सेकंद निष्क्रिय');
INSERT INTO `lang_definitions` VALUES (175010, 4748, 33, 'मी करतो');
INSERT INTO `lang_definitions` VALUES (175011, 4755, 33, 'सर्व कॉलम सर्व डेटा हा फॉर्म पूर्ण आहेत, तर');
INSERT INTO `lang_definitions` VALUES (175012, 4757, 33, 'बिलिंग देवासमोर नीतिमान वापरले जाते, तर निदान कोड प्रकारच्या नाव द्या.');
INSERT INTO `lang_definitions` VALUES (175013, 4763, 33, 'प्रविष्ट केला असल्यास, फक्त सेवा होती ज्यांनी निवडा');
INSERT INTO `lang_definitions` VALUES (175014, 4765, 33, 'तर नाव, lastname किंवा lastname, पहिले काही भाग');
INSERT INTO `lang_definitions` VALUES (175015, 4770, 33, 'करून देवून, तर');
INSERT INTO `lang_definitions` VALUES (175016, 4771, 33, 'व्यक्ती मृत असेल, तर मृत्यूच्या तारखेला प्रविष्ट करा.');
INSERT INTO `lang_definitions` VALUES (175017, 4775, 33, 'या SMTP वापरले असल्यास, server`s यजमाननाव किंवा IP पत्ता.');
INSERT INTO `lang_definitions` VALUES (175018, 4776, 33, 'या SMTP वापरले असल्यास, server`s TCP पोर्ट क्रमांक (सहसा 25).');
INSERT INTO `lang_definitions` VALUES (175019, 4803, 33, 'बेरोजगार तर विद्यार्थी प्रविष्ट');
INSERT INTO `lang_definitions` VALUES (175020, 4805, 33, 'YMD वय प्रदर्शन नीवडल्यास, फक्त वर्षे स्विच तेव्हा वर्षांत या मूल्य जुने रुग्णांना');
INSERT INTO `lang_definitions` VALUES (175021, 4814, 33, 'तुम्ही ePrescription ई-RX भूमिका बदलू असेल, तर ते ePrescription कार्यपद्धत प्रभाव पडू शकतो. आपण कोणत्याही अडचण असेल तर, आपल्या ePrescription विक्रेता संपर्क साधा.');
INSERT INTO `lang_definitions` VALUES (175022, 4824, 33, 'आपण एक सामना निवडा नसेल तर रुग्णाला निर्माण होईल.');
INSERT INTO `lang_definitions` VALUES (175023, 4833, 33, 'आपण इलेक्ट्रॉनिक व्यवहार अपलोड करण्यासाठी निवडलेली असेल, तर नंतर शोध विंडो X12 फाइल पासून जुळणारे पावत्या स्वतः redisplays. (खाली वर्णन केल्याप्रमाणे) आपण पैसे पाठवण्याच्या माहिती लागू करण्यापूर्वी कोणत्याही सुधारणा करण्यासाठी इच्छित असल्यास आपण या चलन संख्या कोणत्याही क्लिक करू शकता. बदल लागू करण्यासाठी, पृष्ठाच्या तळाशी प्रक्रिया ईआरए फाइल या बटणावर क्लिक करा. हे एक सविस्तर अहवाल एक नवीन विंडो निर्मिती होईल.');
INSERT INTO `lang_definitions` VALUES (175024, 4836, 33, 'आपण शोध पृष्ठामधील पे तारीख प्रवेश केला आहे तर, हे अन्यथा X12 फाइल घेतले जातात की पैसे आणि ऍडजस्ट पोस्टिंग तारीख पुन्हा लिहीले जातील. आपण इन्शुरन्स कंपनीला  \'चे प्रक्रिया तारीख ऐवजी आपल्या पोस्टिंग तारीख वापर अहवाल आपल्या पावत्या इच्छित असल्यास हा उद्देशांसाठी अहवाल उपयुक्त असू शकते. हे देखील दुय्यम दावे मध्ये ठेवले आहेत की आधी पैसे आणि ऍडजस्ट तारखा परिणाम होईल हे लक्षात ठेवा.');
INSERT INTO `lang_definitions` VALUES (175025, 4850, 33, 'आपण डेटा प्रकार बदलू किंवा पंक्ती किंवा स्तंभ जोडू इच्छित असल्यास');
INSERT INTO `lang_definitions` VALUES (175026, 4851, 33, 'आपण डेटाबेस सुधारणा करू इच्छित असल्यास, नंतर खालील डिरेक्टरी मध्ये डेटाबेस zip फाइल ठेवा');
INSERT INTO `lang_definitions` VALUES (175027, 4853, 33, 'ईग्बो');
INSERT INTO `lang_definitions` VALUES (175028, 4854, 33, 'दुर्लक्ष करा');
INSERT INTO `lang_definitions` VALUES (175029, 4856, 33, 'आजार');
INSERT INTO `lang_definitions` VALUES (175030, 4857, 33, 'आयएम');
INSERT INTO `lang_definitions` VALUES (175031, 4863, 33, 'इमेजिंग सेवा');
INSERT INTO `lang_definitions` VALUES (175032, 4865, 33, 'लसीकरण');
INSERT INTO `lang_definitions` VALUES (175033, 4867, 33, 'लसीकरण कोड');
INSERT INTO `lang_definitions` VALUES (175034, 4869, 33, 'लसीकरण तारीख');
INSERT INTO `lang_definitions` VALUES (175035, 4870, 33, 'लसीकरण कालावधी समाप्ती तारीख');
INSERT INTO `lang_definitions` VALUES (175036, 4872, 33, 'लसीकरण लोट क्रमांक');
INSERT INTO `lang_definitions` VALUES (175037, 4873, 33, 'लसीकरण निर्माता');
INSERT INTO `lang_definitions` VALUES (175038, 4878, 33, 'लसीकरण नोंदणी');
INSERT INTO `lang_definitions` VALUES (175039, 4881, 33, 'लसीकरण अहवाल');
INSERT INTO `lang_definitions` VALUES (175040, 4882, 33, 'लसीकरण सेवा');
INSERT INTO `lang_definitions` VALUES (175041, 4883, 33, 'लसीकरण शीर्षक');
INSERT INTO `lang_definitions` VALUES (175042, 4885, 33, 'लसीकरण');
INSERT INTO `lang_definitions` VALUES (175043, 4887, 33, 'लसीकरण');
INSERT INTO `lang_definitions` VALUES (175044, 4888, 33, 'Immunologic');
INSERT INTO `lang_definitions` VALUES (175045, 4893, 33, 'रोपण');
INSERT INTO `lang_definitions` VALUES (175046, 4894, 33, 'आयात');
INSERT INTO `lang_definitions` VALUES (175047, 4898, 33, 'ब्राउझर आयात प्रमाणपत्र.');
INSERT INTO `lang_definitions` VALUES (175048, 4899, 33, 'आयात संरचना');
INSERT INTO `lang_definitions` VALUES (175049, 4900, 33, 'आयात वेळ-टू-थेट साठी स्थगित');
INSERT INTO `lang_definitions` VALUES (175050, 4904, 33, 'आयात रुग्णांच्या');
INSERT INTO `lang_definitions` VALUES (175051, 4905, 33, 'रुग्णांच्या लोकसंख्याशास्त्र आयात');
INSERT INTO `lang_definitions` VALUES (175052, 4910, 33, 'महत्वाचे कोड');
INSERT INTO `lang_definitions` VALUES (175053, 4912, 33, 'महत्वाचे: या अपलोड साधन फक्त अद्याप प्रणाली मध्ये प्रवेश केला नाही की रुग्णांना दस्तऐवज अपलोड आहे. आधीच प्रणाली मध्ये लिहिला गेला ज्या रुग्णांना फाइल अपलोड करण्यासाठी, रुग्णांच्या सारांश स्क्रीन आत लिंक अपलोड साधनाचा वापर करा.');
INSERT INTO `lang_definitions` VALUES (175054, 4914, 33, 'लेखा आयात');
INSERT INTO `lang_definitions` VALUES (175055, 4920, 33, 'सुधारित');
INSERT INTO `lang_definitions` VALUES (175056, 4922, 33, 'मध्ये');
INSERT INTO `lang_definitions` VALUES (175057, 4923, 33, 'मध्ये');
INSERT INTO `lang_definitions` VALUES (175058, 4931, 33, 'प्रत्येक डोळ्यात');
INSERT INTO `lang_definitions` VALUES (175059, 4934, 33, 'डावा डोळा');
INSERT INTO `lang_definitions` VALUES (175060, 4935, 33, 'नाकपुडी मध्ये');
INSERT INTO `lang_definitions` VALUES (175061, 4936, 33, 'कार्यालय');
INSERT INTO `lang_definitions` VALUES (175062, 4947, 33, 'उजव्या डोळ्यात');
INSERT INTO `lang_definitions` VALUES (175063, 4958, 33, 'मध्ये घर');
INSERT INTO `lang_definitions` VALUES (175064, 4960, 33, 'निष्क्रिय');
INSERT INTO `lang_definitions` VALUES (175065, 4965, 33, 'निष्क्रिय दिवस');
INSERT INTO `lang_definitions` VALUES (175066, 4967, 33, 'इनबॉक्स');
INSERT INTO `lang_definitions` VALUES (175067, 4970, 33, 'चेकसम समाविष्ट');
INSERT INTO `lang_definitions` VALUES (175068, 4971, 33, 'समाविष्ट पूर्ण');
INSERT INTO `lang_definitions` VALUES (175069, 4974, 33, 'निष्क्रिय वापरकर्ते समाविष्ट');
INSERT INTO `lang_definitions` VALUES (175070, 4975, 33, 'अश्रेणीबद्ध समाविष्ट');
INSERT INTO `lang_definitions` VALUES (175071, 4976, 33, 'भागात तुम्ही लिहिलेला डेटा समाविष्ट करा');
INSERT INTO `lang_definitions` VALUES (175072, 4977, 33, 'मर्मस्थाने समाविष्ट');
INSERT INTO `lang_definitions` VALUES (175073, 4978, 33, 'मर्मस्थाने डेटा समाविष्ट करा?');
INSERT INTO `lang_definitions` VALUES (175074, 4981, 33, 'समावेश');
INSERT INTO `lang_definitions` VALUES (175075, 4982, 33, 'उत्पन्न');
INSERT INTO `lang_definitions` VALUES (175076, 4983, 33, 'लक्ष आवश्यक येणार्या परिणाम:');
INSERT INTO `lang_definitions` VALUES (175077, 4984, 33, 'अपूर्ण');
INSERT INTO `lang_definitions` VALUES (175078, 4985, 33, 'अपूर्ण गर्भपात उपचार');
INSERT INTO `lang_definitions` VALUES (175079, 4986, 33, 'आत्मसंयमाचा');
INSERT INTO `lang_definitions` VALUES (175080, 4987, 33, 'रचना डेटा म्हणून प्रमाणित EHR तंत्रज्ञान मध्ये क्लिनिकल प्रयोगशाळा चाचणी परिणाम अंतर्भूत.');
INSERT INTO `lang_definitions` VALUES (175081, 4988, 33, 'चुकीचा संकेतशब्द!');
INSERT INTO `lang_definitions` VALUES (175082, 4990, 33, 'वाढ:');
INSERT INTO `lang_definitions` VALUES (175083, 4991, 33, 'नुकसान भरपाई विमा');
INSERT INTO `lang_definitions` VALUES (175084, 4994, 33, 'अनिश्चित');
INSERT INTO `lang_definitions` VALUES (175085, 4995, 33, 'भारतीय');
INSERT INTO `lang_definitions` VALUES (175086, 4998, 33, 'विकृती सूचित करते');
INSERT INTO `lang_definitions` VALUES (175087, 5000, 33, 'या समस्येचे सध्या सक्रिय आहे, तर सूचित करते');
INSERT INTO `lang_definitions` VALUES (175088, 5002, 33, 'विशेष वापर निर्देश');
INSERT INTO `lang_definitions` VALUES (175089, 5003, 33, 'गरिब रुग्णांना');
INSERT INTO `lang_definitions` VALUES (175090, 5004, 33, 'गरिब रुग्णांना अहवाल');
INSERT INTO `lang_definitions` VALUES (175091, 5005, 33, 'Indigents');
INSERT INTO `lang_definitions` VALUES (175092, 5009, 33, 'इंडोनेशियन');
INSERT INTO `lang_definitions` VALUES (175093, 5010, 33, 'गर्भपात');
INSERT INTO `lang_definitions` VALUES (175094, 5012, 33, 'अपात्र');
INSERT INTO `lang_definitions` VALUES (175095, 5013, 33, 'संक्रमण / अब्सेस');
INSERT INTO `lang_definitions` VALUES (175096, 5014, 33, 'संक्रमण');
INSERT INTO `lang_definitions` VALUES (175097, 5015, 33, 'Infert Couns');
INSERT INTO `lang_definitions` VALUES (175098, 5016, 33, 'वंध्यत्व');
INSERT INTO `lang_definitions` VALUES (175099, 5017, 33, 'इन्फ्लूएन्झा 1');
INSERT INTO `lang_definitions` VALUES (175100, 5018, 33, 'इन्फ्लूएन्झा 2');
INSERT INTO `lang_definitions` VALUES (175101, 5019, 33, 'रुग्णांना इन्फ्लूएन्झा लसीकरण> = 50 वर्षांचा');
INSERT INTO `lang_definitions` VALUES (175102, 5020, 33, 'रुग्णांना इन्फ्लूएन्झा लसीकरण> = 50 वर्षे (CQM)');
INSERT INTO `lang_definitions` VALUES (175103, 5021, 33, 'इन्फ्लूएन्झा लस');
INSERT INTO `lang_definitions` VALUES (175104, 5022, 33, 'माहिती');
INSERT INTO `lang_definitions` VALUES (175105, 5023, 33, 'माहिती चाचणी 1');
INSERT INTO `lang_definitions` VALUES (175106, 5024, 33, 'माहिती चाचणी 2');
INSERT INTO `lang_definitions` VALUES (175107, 5025, 33, 'माहिती चाचणी 3');
INSERT INTO `lang_definitions` VALUES (175108, 5026, 33, 'माहिती चाचणी 4');
INSERT INTO `lang_definitions` VALUES (175109, 5027, 33, 'माहिती चाचणी 5');
INSERT INTO `lang_definitions` VALUES (175110, 5028, 33, 'माहिती चाचणी 6');
INSERT INTO `lang_definitions` VALUES (175111, 5034, 33, 'inhalations');
INSERT INTO `lang_definitions` VALUES (175112, 5036, 33, 'inhilations');
INSERT INTO `lang_definitions` VALUES (175113, 5038, 33, 'आरंभिक उपचार');
INSERT INTO `lang_definitions` VALUES (175114, 5039, 33, 'आरंभिक वापरकर्ता');
INSERT INTO `lang_definitions` VALUES (175115, 5041, 33, 'Inj / rehab');
INSERT INTO `lang_definitions` VALUES (175116, 5042, 33, 'Injectables');
INSERT INTO `lang_definitions` VALUES (175117, 5043, 33, 'इंजेक्शन');
INSERT INTO `lang_definitions` VALUES (175118, 5044, 33, 'जखमी शरीर भाग');
INSERT INTO `lang_definitions` VALUES (175119, 5045, 33, 'आउट जखमी');
INSERT INTO `lang_definitions` VALUES (175120, 5046, 33, 'इजा');
INSERT INTO `lang_definitions` VALUES (175121, 5047, 33, 'इजा पद्धती');
INSERT INTO `lang_definitions` VALUES (175122, 5048, 33, 'इजा विहंगावलोकन अहवाल');
INSERT INTO `lang_definitions` VALUES (175123, 5049, 33, 'इजा पाळत ठेवणे');
INSERT INTO `lang_definitions` VALUES (175124, 5050, 33, 'इजा प्रकार');
INSERT INTO `lang_definitions` VALUES (175125, 5051, 33, 'इजा / आजार संबंधित');
INSERT INTO `lang_definitions` VALUES (175126, 5052, 33, 'इनलाइन');
INSERT INTO `lang_definitions` VALUES (175127, 5055, 33, 'इनपुट एक MSH विभाग सुरू नाही');
INSERT INTO `lang_definitions` VALUES (175128, 5056, 33, 'इनपुट फील्ड');
INSERT INTO `lang_definitions` VALUES (175129, 5057, 33, 'भारतीय रुपया');
INSERT INTO `lang_definitions` VALUES (175130, 5058, 33, 'इन 1');
INSERT INTO `lang_definitions` VALUES (175131, 5059, 33, 'इन 2 किंवा 3 इन');
INSERT INTO `lang_definitions` VALUES (175132, 5060, 33, 'इन पत्ता');
INSERT INTO `lang_definitions` VALUES (175133, 5061, 33, 'इन समायोजित');
INSERT INTO `lang_definitions` VALUES (175134, 5062, 33, 'इन bundling');
INSERT INTO `lang_definitions` VALUES (175135, 5063, 33, 'इन कोड');
INSERT INTO `lang_definitions` VALUES (175136, 5064, 33, 'इन गट');
INSERT INTO `lang_definitions` VALUES (175137, 5065, 33, 'इन नाव');
INSERT INTO `lang_definitions` VALUES (175138, 5066, 33, 'इन overpaid');
INSERT INTO `lang_definitions` VALUES (175139, 5067, 33, 'इन धोरण');
INSERT INTO `lang_definitions` VALUES (175140, 5068, 33, 'इन परतावा');
INSERT INTO `lang_definitions` VALUES (175141, 5069, 33, 'इन सारांश');
INSERT INTO `lang_definitions` VALUES (175142, 5071, 33, 'Ins1');
INSERT INTO `lang_definitions` VALUES (175143, 5072, 33, 'Ins2');
INSERT INTO `lang_definitions` VALUES (175144, 5073, 33, 'Ins3');
INSERT INTO `lang_definitions` VALUES (175145, 5074, 33, 'समाविष्ट करा');
INSERT INTO `lang_definitions` VALUES (175146, 5075, 33, 'समाविष्ट करा अयशस्वी:');
INSERT INTO `lang_definitions` VALUES (175147, 5079, 33, 'सपाट दगडी पाट्या मध्ये जुन्या घटना घाला');
INSERT INTO `lang_definitions` VALUES (175148, 5085, 33, 'निद्रानाश');
INSERT INTO `lang_definitions` VALUES (175149, 5086, 33, 'लॉग तपासणी');
INSERT INTO `lang_definitions` VALUES (175150, 5087, 33, 'तपासणी');
INSERT INTO `lang_definitions` VALUES (175151, 5088, 33, 'अस्थिरता / सांधा अर्धवट निखळणे');
INSERT INTO `lang_definitions` VALUES (175152, 5089, 33, 'प्रतिष्ठापीत');
INSERT INTO `lang_definitions` VALUES (175153, 5090, 33, 'स्थापित');
INSERT INTO `lang_definitions` VALUES (175154, 5092, 33, 'कोड सेट स्थापित');
INSERT INTO `lang_definitions` VALUES (175155, 5093, 33, 'डीबी प्रतिष्ठापीत');
INSERT INTO `lang_definitions` VALUES (175156, 5100, 33, 'स्थापित प्रकाशन');
INSERT INTO `lang_definitions` VALUES (175157, 5102, 33, 'सूचना');
INSERT INTO `lang_definitions` VALUES (175158, 5103, 33, 'सूचना');
INSERT INTO `lang_definitions` VALUES (175159, 5105, 33, 'सूचना:');
INSERT INTO `lang_definitions` VALUES (175160, 5107, 33, 'उत्पादन ID अपूरी यादी');
INSERT INTO `lang_definitions` VALUES (175161, 5108, 33, 'मधुमेहावरील रामबाण उपाय अवलंबून मधुमेह');
INSERT INTO `lang_definitions` VALUES (175162, 5109, 33, 'विमा');
INSERT INTO `lang_definitions` VALUES (175163, 5110, 33, 'विमा');
INSERT INTO `lang_definitions` VALUES (175164, 5114, 33, 'विमा शिल्लक');
INSERT INTO `lang_definitions` VALUES (175165, 5115, 33, 'विमा शिल्लक मुळे');
INSERT INTO `lang_definitions` VALUES (175166, 5116, 33, 'विमा Comp');
INSERT INTO `lang_definitions` VALUES (175167, 5117, 33, 'विमा कंपन्या');
INSERT INTO `lang_definitions` VALUES (175168, 5118, 33, 'विमा कंपनी');
INSERT INTO `lang_definitions` VALUES (175169, 5119, 33, 'विमा कंपनी शोध जोडा /');
INSERT INTO `lang_definitions` VALUES (175170, 5121, 33, 'विमा डेटा');
INSERT INTO `lang_definitions` VALUES (175171, 5124, 33, 'फाइल विमा माहिती');
INSERT INTO `lang_definitions` VALUES (175172, 5126, 33, 'विमा क्रमांक');
INSERT INTO `lang_definitions` VALUES (175173, 5127, 33, 'विमा भरणा');
INSERT INTO `lang_definitions` VALUES (175174, 5129, 33, 'विमा प्रदाता');
INSERT INTO `lang_definitions` VALUES (175175, 5131, 33, 'विमा प्रकार');
INSERT INTO `lang_definitions` VALUES (175176, 5132, 33, 'इन्शुरन्सचे');
INSERT INTO `lang_definitions` VALUES (175177, 5133, 33, 'विम्याची');
INSERT INTO `lang_definitions` VALUES (175178, 5134, 33, 'प्रवेश निष्कर्ष');
INSERT INTO `lang_definitions` VALUES (175179, 5135, 33, 'प्रवेश दिनांक');
INSERT INTO `lang_definitions` VALUES (175180, 5138, 33, 'बौद्धिक नकार');
INSERT INTO `lang_definitions` VALUES (175181, 5141, 33, 'आंतरभाषिक');
INSERT INTO `lang_definitions` VALUES (175182, 5142, 33, 'बहुभाषी');
INSERT INTO `lang_definitions` VALUES (175183, 5149, 33, 'अंतर्गत त्रुटी - पृष्ठे नाही निवड करण्यात आली!');
INSERT INTO `lang_definitions` VALUES (175184, 5150, 33, 'अंतर्गत त्रुटी - रुग्ण आयडी प्रदान केला नाही होते!');
INSERT INTO `lang_definitions` VALUES (175185, 5151, 33, 'अंतर्गत त्रुटी अपलोड फाइल प्रवेश!');
INSERT INTO `lang_definitions` VALUES (175186, 5153, 33, 'अंतर्गत त्रुटी!');
INSERT INTO `lang_definitions` VALUES (175187, 5154, 33, 'अंतर्गत त्रुटी, नाही औषध ID निर्दिष्ट!');
INSERT INTO `lang_definitions` VALUES (175188, 5155, 33, 'अंतर्गत त्रुटी: MSH-10 शोधू शकत नाही');
INSERT INTO `lang_definitions` VALUES (175189, 5156, 33, 'अंतर्गत त्रुटी: हक्क');
INSERT INTO `lang_definitions` VALUES (175190, 5157, 33, 'अंतर्गत त्रुटी: चकमकीत \'');
INSERT INTO `lang_definitions` VALUES (175191, 5158, 33, 'अंतर्गत त्रुटी: PID किंवा चकमकीत गहाळ आहे.');
INSERT INTO `lang_definitions` VALUES (175192, 5159, 33, 'अंतर्गत त्रुटी: आम्ही चकमकीत असल्याचे दिसत नाही!');
INSERT INTO `lang_definitions` VALUES (175193, 5160, 33, 'अंतर्गत अभिज्ञापक (पी आय डी)');
INSERT INTO `lang_definitions` VALUES (175194, 5163, 33, 'अंतर्गत संदर्भ');
INSERT INTO `lang_definitions` VALUES (175195, 5164, 33, 'अंतर्गत वेळ गोळा');
INSERT INTO `lang_definitions` VALUES (175196, 5165, 33, 'आंतरराष्ट्रीय शुल्क');
INSERT INTO `lang_definitions` VALUES (175197, 5167, 33, 'इंटरप्रिटर');
INSERT INTO `lang_definitions` VALUES (175198, 5168, 33, 'इंटरप्रिटर आवश्यक?');
INSERT INTO `lang_definitions` VALUES (175199, 5169, 33, 'अंतर्गत फुफ्फुसाचा रोग');
INSERT INTO `lang_definitions` VALUES (175200, 5170, 33, 'मध्यांतर');
INSERT INTO `lang_definitions` VALUES (175201, 5171, 33, 'मध्यांतर (मिनिटे)');
INSERT INTO `lang_definitions` VALUES (175202, 5172, 33, 'संदेश धनादेश दरम्यान मध्यांतर (मॅन्युअल धनादेश शून्यावर सेट केले फक्त)');
INSERT INTO `lang_definitions` VALUES (175203, 5173, 33, 'हस्तक्षेप');
INSERT INTO `lang_definitions` VALUES (175204, 5174, 33, 'हस्तक्षेप प्रदान');
INSERT INTO `lang_definitions` VALUES (175205, 5175, 33, 'असहिष्णुता');
INSERT INTO `lang_definitions` VALUES (175206, 5178, 33, 'intramuscularly');
INSERT INTO `lang_definitions` VALUES (175207, 5181, 33, 'नसेतून');
INSERT INTO `lang_definitions` VALUES (175208, 5182, 33, 'परिचय');
INSERT INTO `lang_definitions` VALUES (175209, 5183, 33, 'इनुकिटुट्');
INSERT INTO `lang_definitions` VALUES (175210, 5184, 33, 'इनूपियाक');
INSERT INTO `lang_definitions` VALUES (175211, 5185, 33, 'अवैध वर्ण');
INSERT INTO `lang_definitions` VALUES (175212, 5192, 33, 'अवैध बांधता येणे डेटा एन्कोडिंग प्रकार');
INSERT INTO `lang_definitions` VALUES (175213, 5195, 33, 'अवैध लांबी');
INSERT INTO `lang_definitions` VALUES (175214, 5196, 33, 'अवैध नॉन-अंकीय वर्ण');
INSERT INTO `lang_definitions` VALUES (175215, 5197, 33, 'कोड स्रोत अवैध किंवा गहाळ देणारा');
INSERT INTO `lang_definitions` VALUES (175216, 5199, 33, 'अवैध प्राप्तकर्ता पत्ता नाही. कृपया पुन्हा प्रयत्न करा.');
INSERT INTO `lang_definitions` VALUES (175217, 5200, 33, 'अवैध सेवा कोड');
INSERT INTO `lang_definitions` VALUES (175218, 5201, 33, 'अवैध स्रोत नाव \"');
INSERT INTO `lang_definitions` VALUES (175219, 5203, 33, 'अवैध वापरकर्ता नाव किंवा संकेतशब्द');
INSERT INTO `lang_definitions` VALUES (175220, 5204, 33, 'InvAmt');
INSERT INTO `lang_definitions` VALUES (175221, 5205, 33, 'यादी');
INSERT INTO `lang_definitions` VALUES (175222, 5206, 33, 'यादी क्रियाकलाप');
INSERT INTO `lang_definitions` VALUES (175223, 5207, 33, 'यादी आणि औषधे आणि गैर-औषध दोन्ही उत्पादनांसाठी विक्री');
INSERT INTO `lang_definitions` VALUES (175224, 5208, 33, 'यादी आणि विक्री औषधे फक्त');
INSERT INTO `lang_definitions` VALUES (175225, 5209, 33, 'यादी ऑर्डर उपलब्ध नाही.');
INSERT INTO `lang_definitions` VALUES (175226, 5210, 33, 'यादी यादी');
INSERT INTO `lang_definitions` VALUES (175227, 5211, 33, 'यादी व्यवहार');
INSERT INTO `lang_definitions` VALUES (175228, 5212, 33, 'अशी यादी तयार करणे');
INSERT INTO `lang_definitions` VALUES (175229, 5213, 33, 'अशी यादी तयार करणे');
INSERT INTO `lang_definitions` VALUES (175230, 5215, 33, 'अशी यादी तयार करणे शिल्लक');
INSERT INTO `lang_definitions` VALUES (175231, 5216, 33, 'अशी यादी तयार करणे शिल्लक पोस्ट करू शकत नाही. कोणत्याही चकमकीत तयार आहे.');
INSERT INTO `lang_definitions` VALUES (175232, 5217, 33, 'अशी यादी तयार करणे तारीख');
INSERT INTO `lang_definitions` VALUES (175233, 5219, 33, 'अशी यादी तयार करणे नाही तारीख आहे!');
INSERT INTO `lang_definitions` VALUES (175234, 5220, 33, 'बील क्रमांक');
INSERT INTO `lang_definitions` VALUES (175235, 5221, 33, 'अशी यादी तयार करणे संदर्भ क्रमांक');
INSERT INTO `lang_definitions` VALUES (175236, 5222, 33, 'अशी यादी तयार करणे संदर्भ क्रमांक पूल, वापरले तर');
INSERT INTO `lang_definitions` VALUES (175237, 5223, 33, 'अशी यादी तयार करणे संदर्भ क्रमांक संचाची');
INSERT INTO `lang_definitions` VALUES (175238, 5224, 33, 'अशी यादी तयार करणे Refno तलाव');
INSERT INTO `lang_definitions` VALUES (175239, 5226, 33, 'अशी यादी तयार करणे:');
INSERT INTO `lang_definitions` VALUES (175240, 5237, 33, 'IPPF');
INSERT INTO `lang_definitions` VALUES (175241, 5238, 33, 'IPPF गर्भपात');
INSERT INTO `lang_definitions` VALUES (175242, 5239, 33, 'IPPF संततिनियमन');
INSERT INTO `lang_definitions` VALUES (175243, 5240, 33, 'साठी IPPF SRH डेटा');
INSERT INTO `lang_definitions` VALUES (175244, 5241, 33, 'IPPF सांख्यिकी अहवाल');
INSERT INTO `lang_definitions` VALUES (175245, 5242, 33, 'IPPF आकडेवारी');
INSERT INTO `lang_definitions` VALUES (175246, 5243, 33, 'IPV 1');
INSERT INTO `lang_definitions` VALUES (175247, 5244, 33, 'IPV 2');
INSERT INTO `lang_definitions` VALUES (175248, 5245, 33, 'IPV 3');
INSERT INTO `lang_definitions` VALUES (175249, 5246, 33, 'IPV 4');
INSERT INTO `lang_definitions` VALUES (175250, 5248, 33, 'आयरिश');
INSERT INTO `lang_definitions` VALUES (175251, 5249, 33, 'अनियमित हार्ट बीट');
INSERT INTO `lang_definitions` VALUES (175252, 5250, 33, 'चिडचिड');
INSERT INTO `lang_definitions` VALUES (175253, 5251, 33, 'चिडून');
INSERT INTO `lang_definitions` VALUES (175254, 5252, 33, 'खालील आकडेवारीचा भिन्न भाषा आवृत्ती आहे');
INSERT INTO `lang_definitions` VALUES (175255, 5253, 33, 'खालील डेटाबेस भिन्न आवृत्ती आहे');
INSERT INTO `lang_definitions` VALUES (175256, 5254, 33, 'खालील आकडेवारीचा अधिक अलीकडील आवृत्ती आहे');
INSERT INTO `lang_definitions` VALUES (175257, 5256, 33, 'आवश्यक फील्ड आहे.');
INSERT INTO `lang_definitions` VALUES (175258, 5257, 33, 'रूट नोड आहे आणि हटविले जाऊ शकत नाही.');
INSERT INTO `lang_definitions` VALUES (175259, 5258, 33, 'खालील डेटाबेस एक विस्तार आहे');
INSERT INTO `lang_definitions` VALUES (175260, 5262, 33, 'या CVX कोड आधीच अस्तित्वात लसीकरण मॅप ठीक आहे?');
INSERT INTO `lang_definitions` VALUES (175261, 5263, 33, 'गहाळ किंवा अज्ञात आहे');
INSERT INTO `lang_definitions` VALUES (175262, 5268, 33, '(दशांश अपूर्णांक ठिक) वैध नाही.');
INSERT INTO `lang_definitions` VALUES (175263, 5269, 33, 'कृपया PHP सुरक्षित मोड वापरत आहे?');
INSERT INTO `lang_definitions` VALUES (175264, 5273, 33, 'फॉर्म मांडणी मजकूर अनुवादित केले आहे का?');
INSERT INTO `lang_definitions` VALUES (175265, 5274, 33, 'याद्या मजकूर अनुवादित केले आहे का?');
INSERT INTO `lang_definitions` VALUES (175266, 5275, 33, 'फाइल कूटबद्ध आहे का?');
INSERT INTO `lang_definitions` VALUES (175267, 5276, 33, 'हे एक क्लिनिकल मुदत कोड प्रकार आहे?');
INSERT INTO `lang_definitions` VALUES (175268, 5277, 33, 'हे निदान प्रकार आहे?');
INSERT INTO `lang_definitions` VALUES (175269, 5278, 33, 'हे एक वैद्यकीय समस्या कोड प्रकार आहे?');
INSERT INTO `lang_definitions` VALUES (175270, 5279, 33, 'हे औषध प्रकार आहे?');
INSERT INTO `lang_definitions` VALUES (175271, 5280, 33, 'हे एक पद्धत / सेवा प्रकार आहे?');
INSERT INTO `lang_definitions` VALUES (175272, 5281, 33, 'हा सक्रिय आहे का?');
INSERT INTO `lang_definitions` VALUES (175273, 5282, 33, 'हा कोड प्रकार सक्रिय आहे का?');
INSERT INTO `lang_definitions` VALUES (175274, 5283, 33, 'दावे वापरले हा कोड प्रकार आहे?');
INSERT INTO `lang_definitions` VALUES (175275, 5285, 33, 'हे खरोखर ठीक आहे का?');
INSERT INTO `lang_definitions` VALUES (175276, 5286, 33, 'फी पत्रक लपवलेले हा प्रकार आहे का?');
INSERT INTO `lang_definitions` VALUES (175277, 5287, 33, 'हे बाह्य एस क्यू एल सपाट दगडी पाट्या वापरत आहे? ते आहे तर, नंतर स्वरूप निवडा.');
INSERT INTO `lang_definitions` VALUES (175278, 5288, 33, 'खूप लांब आहे');
INSERT INTO `lang_definitions` VALUES (175279, 5289, 33, 'आयएसओ 639-2 कोड');
INSERT INTO `lang_definitions` VALUES (175280, 5290, 33, 'अंक');
INSERT INTO `lang_definitions` VALUES (175281, 5291, 33, 'समस्या');
INSERT INTO `lang_definitions` VALUES (175282, 5292, 33, 'जारी केल्याचा दिनांक');
INSERT INTO `lang_definitions` VALUES (175283, 5293, 33, 'अंक आयडी');
INSERT INTO `lang_definitions` VALUES (175284, 5295, 33, 'अंक शीर्षक');
INSERT INTO `lang_definitions` VALUES (175285, 5296, 33, 'समस्या प्रकार');
INSERT INTO `lang_definitions` VALUES (175286, 5297, 33, 'समस्या प्रकार');
INSERT INTO `lang_definitions` VALUES (175287, 5298, 33, 'मुद्दे');
INSERT INTO `lang_definitions` VALUES (175288, 5299, 33, 'मुद्दे (दुखापती / वैद्यकीय / ऍलर्जी)');
INSERT INTO `lang_definitions` VALUES (175289, 5300, 33, 'मुद्दे (दुखापती / वैद्यकीय / ऍलर्जी):');
INSERT INTO `lang_definitions` VALUES (175290, 5302, 33, 'मुद्दे आणि Encounters');
INSERT INTO `lang_definitions` VALUES (175291, 5303, 33, 'मुद्दे आणि Encounters साठी');
INSERT INTO `lang_definitions` VALUES (175292, 5308, 33, 'मुद्दे अधिकृत नाही');
INSERT INTO `lang_definitions` VALUES (175293, 5309, 33, 'मुद्दे विभाग');
INSERT INTO `lang_definitions` VALUES (175294, 5364, 33, 'इटालियन');
INSERT INTO `lang_definitions` VALUES (175295, 5365, 33, 'आयटम');
INSERT INTO `lang_definitions` VALUES (175296, 5366, 33, 'आयटम');
INSERT INTO `lang_definitions` VALUES (175297, 5368, 33, 'आयटम');
INSERT INTO `lang_definitions` VALUES (175298, 5369, 33, 'आयटम अयशस्वी लोड');
INSERT INTO `lang_definitions` VALUES (175299, 5370, 33, 'IU / एल');
INSERT INTO `lang_definitions` VALUES (175300, 5371, 33, 'IUD');
INSERT INTO `lang_definitions` VALUES (175301, 5372, 33, 'चौथा');
INSERT INTO `lang_definitions` VALUES (175302, 5375, 33, 'जानेवारी');
INSERT INTO `lang_definitions` VALUES (175303, 5376, 33, 'जानेवारी');
INSERT INTO `lang_definitions` VALUES (175304, 5377, 33, 'जपानी');
INSERT INTO `lang_definitions` VALUES (175305, 5378, 33, 'कावीळ');
INSERT INTO `lang_definitions` VALUES (175306, 5379, 33, 'जावातील लोक किंवा त्यांची भाषा');
INSERT INTO `lang_definitions` VALUES (175307, 5380, 33, 'कामाचे स्वरूप');
INSERT INTO `lang_definitions` VALUES (175308, 5381, 33, 'नोकरी आयडी');
INSERT INTO `lang_definitions` VALUES (175309, 5382, 33, 'संयुक्त dislocations');
INSERT INTO `lang_definitions` VALUES (175310, 5383, 33, 'संयुक्त वेदना');
INSERT INTO `lang_definitions` VALUES (175311, 5384, 33, 'संयुक्त sprains');
INSERT INTO `lang_definitions` VALUES (175312, 5385, 33, 'जुलै');
INSERT INTO `lang_definitions` VALUES (175313, 5386, 33, 'जुलै');
INSERT INTO `lang_definitions` VALUES (175314, 5388, 33, 'जून');
INSERT INTO `lang_definitions` VALUES (175315, 5389, 33, 'जून');
INSERT INTO `lang_definitions` VALUES (175316, 5390, 33, 'फक्त चेक खालील माहिती आपण आपल्या शोध मापदंड ठेवले जेथे निळा क्षेत्र आहे. आपण रुग्णाला नाव, चार्ट क्रमांक, चकमकीत संख्या किंवा सेवा तारीख, किंवा या कोणत्याही संयोजनात शोधू शकता. आपण फक्त सर्व पावत्या, खुल्या पावत्या, किंवा (रुग्णाने) मुळे आहेत की पावत्या पाहू इच्छित की नाही हे निवडू शकता. शोध सुरू शोध बटणावर क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (175317, 5391, 33, 'फक्त माझे');
INSERT INTO `lang_definitions` VALUES (175318, 5392, 33, 'समर्थन नोंदी');
INSERT INTO `lang_definitions` VALUES (175319, 5393, 33, 'समायोजित');
INSERT INTO `lang_definitions` VALUES (175320, 5396, 33, 'समायोजित / सेव्ह');
INSERT INTO `lang_definitions` VALUES (175321, 5397, 33, 'जॉन {{जस्टिफाय शीर्षलेख}}');
INSERT INTO `lang_definitions` VALUES (175322, 5398, 33, 'के, येथे विश्रांती आहे');
INSERT INTO `lang_definitions` VALUES (175323, 5401, 33, 'कलाल्लिसुत, ग्रीनलँडिक');
INSERT INTO `lang_definitions` VALUES (175324, 5402, 33, 'कन्नड');
INSERT INTO `lang_definitions` VALUES (175325, 5403, 33, 'कनुरी');
INSERT INTO `lang_definitions` VALUES (175326, 5404, 33, 'काश्मिरी');
INSERT INTO `lang_definitions` VALUES (175327, 5405, 33, 'कझाक');
INSERT INTO `lang_definitions` VALUES (175328, 5407, 33, 'की');
INSERT INTO `lang_definitions` VALUES (175329, 5411, 33, 'कीवर्ड');
INSERT INTO `lang_definitions` VALUES (175330, 5412, 33, 'किलो');
INSERT INTO `lang_definitions` VALUES (175331, 5413, 33, 'किलो / मीटर ^ 2');
INSERT INTO `lang_definitions` VALUES (175332, 5414, 33, 'ख्मेर');
INSERT INTO `lang_definitions` VALUES (175333, 5415, 33, 'किडनी कर्करोग');
INSERT INTO `lang_definitions` VALUES (175334, 5416, 33, 'किडनी अयशस्वी');
INSERT INTO `lang_definitions` VALUES (175335, 5417, 33, 'किडनी इन्फेक्शन्स');
INSERT INTO `lang_definitions` VALUES (175336, 5418, 33, 'किडनी स्टोन्स');
INSERT INTO `lang_definitions` VALUES (175337, 5419, 33, 'किडनी रोपण');
INSERT INTO `lang_definitions` VALUES (175338, 5420, 33, 'किकुयू, Gikuyu');
INSERT INTO `lang_definitions` VALUES (175339, 5422, 33, 'किन्यारवांडा');
INSERT INTO `lang_definitions` VALUES (175340, 5424, 33, 'किरुन्दी');
INSERT INTO `lang_definitions` VALUES (175341, 5425, 33, 'गुडघा');
INSERT INTO `lang_definitions` VALUES (175342, 5426, 33, 'गुडघा समस्या');
INSERT INTO `lang_definitions` VALUES (175343, 5427, 33, 'गुडघा बदलण्याचे');
INSERT INTO `lang_definitions` VALUES (175344, 5428, 33, 'कोमी');
INSERT INTO `lang_definitions` VALUES (175345, 5429, 33, 'काँगो');
INSERT INTO `lang_definitions` VALUES (175346, 5430, 33, 'कोरियन');
INSERT INTO `lang_definitions` VALUES (175347, 5431, 33, 'कुर्दिश');
INSERT INTO `lang_definitions` VALUES (175348, 5432, 33, 'Kwanyama, क्वान्यामा');
INSERT INTO `lang_definitions` VALUES (175349, 5433, 33, 'किरगिझ');
INSERT INTO `lang_definitions` VALUES (175350, 5434, 33, 'लॅब');
INSERT INTO `lang_definitions` VALUES (175351, 5435, 33, 'लॅब दस्तऐवज');
INSERT INTO `lang_definitions` VALUES (175352, 5436, 33, 'लॅब एक्सचेंज साइट पत्ता');
INSERT INTO `lang_definitions` VALUES (175353, 5437, 33, 'लॅब एक्सचेंज साइट ID');
INSERT INTO `lang_definitions` VALUES (175354, 5438, 33, 'लॅब एक्सचेंज टोकन आयडी');
INSERT INTO `lang_definitions` VALUES (175355, 5439, 33, 'लॅब ऑर्डर');
INSERT INTO `lang_definitions` VALUES (175356, 5440, 33, 'लॅब विहंगावलोकन');
INSERT INTO `lang_definitions` VALUES (175357, 5441, 33, 'लॅब विहंगावलोकन');
INSERT INTO `lang_definitions` VALUES (175358, 5442, 33, 'लॅब क्वेरी स्थिती');
INSERT INTO `lang_definitions` VALUES (175359, 5444, 33, 'लॅब अहवाल');
INSERT INTO `lang_definitions` VALUES (175360, 5445, 33, 'लॅब निकाल');
INSERT INTO `lang_definitions` VALUES (175361, 5446, 33, 'लॅब परिणाम');
INSERT INTO `lang_definitions` VALUES (175362, 5448, 33, 'लॅब परिणाम वर्गवारी नाव');
INSERT INTO `lang_definitions` VALUES (175363, 5449, 33, 'लॅब परिणाम अहवाल');
INSERT INTO `lang_definitions` VALUES (175364, 5450, 33, 'लॅब सेवा');
INSERT INTO `lang_definitions` VALUES (175365, 5451, 33, 'लॅब परीक्षेचा निकाल');
INSERT INTO `lang_definitions` VALUES (175366, 5452, 33, 'लॅब / फाइल');
INSERT INTO `lang_definitions` VALUES (175367, 5453, 33, 'लेबल');
INSERT INTO `lang_definitions` VALUES (175368, 5454, 33, 'लेबल रिक्त असू शकत नाही');
INSERT INTO `lang_definitions` VALUES (175369, 5455, 33, 'लेबल स्तंभ');
INSERT INTO `lang_definitions` VALUES (175370, 5456, 33, 'हा प्रकार लेबल');
INSERT INTO `lang_definitions` VALUES (175371, 5458, 33, 'LabelCols 1 आणि 999 दरम्यान एक संख्या असणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (175372, 5459, 33, 'लेबले');
INSERT INTO `lang_definitions` VALUES (175373, 5463, 33, 'लॅब्ज');
INSERT INTO `lang_definitions` VALUES (175374, 5464, 33, 'छेद / त्वचा अट');
INSERT INTO `lang_definitions` VALUES (175375, 5465, 33, 'छेद / ओरखडा');
INSERT INTO `lang_definitions` VALUES (175376, 5470, 33, 'लँडस्केप');
INSERT INTO `lang_definitions` VALUES (175377, 5471, 33, 'भाषा');
INSERT INTO `lang_definitions` VALUES (175378, 5472, 33, 'भाषा कोड');
INSERT INTO `lang_definitions` VALUES (175379, 5473, 33, 'भाषा व्याख्या जोडले');
INSERT INTO `lang_definitions` VALUES (175380, 5474, 33, 'भाषा इंटरफेस साधन');
INSERT INTO `lang_definitions` VALUES (175381, 5476, 33, 'भाषा यादी (addonly पर्यायी, लिहा)');
INSERT INTO `lang_definitions` VALUES (175382, 5478, 33, 'भाषा नाव');
INSERT INTO `lang_definitions` VALUES (175383, 5479, 33, 'भाषा:');
INSERT INTO `lang_definitions` VALUES (175384, 5480, 33, 'लाओ');
INSERT INTO `lang_definitions` VALUES (175385, 5481, 33, 'लाओतिअन');
INSERT INTO `lang_definitions` VALUES (175386, 5485, 33, 'गेल्या');
INSERT INTO `lang_definitions` VALUES (175387, 5486, 33, 'अंतिम क्रियाकलाप तारीख');
INSERT INTO `lang_definitions` VALUES (175388, 5487, 33, 'गेल्या आंत्रपुच्छ काढून टाकणे');
INSERT INTO `lang_definitions` VALUES (175389, 5489, 33, 'अंतिम बिल तारीख:');
INSERT INTO `lang_definitions` VALUES (175390, 5490, 33, 'गेल्या स्तनाचा परीक्षा');
INSERT INTO `lang_definitions` VALUES (175391, 5491, 33, 'गेल्या कॅलेंडर वर्ष');
INSERT INTO `lang_definitions` VALUES (175392, 5492, 33, 'गेल्या मोतीबिंदू शस्त्रक्रिया');
INSERT INTO `lang_definitions` VALUES (175393, 5493, 33, 'गेल्या Cholecystestomy');
INSERT INTO `lang_definitions` VALUES (175394, 5495, 33, 'गेल्या आढळतात');
INSERT INTO `lang_definitions` VALUES (175395, 5496, 33, 'गेल्या GYN. परीक्षा');
INSERT INTO `lang_definitions` VALUES (175396, 5497, 33, 'गेल्या हार्ट शस्त्रक्रिया');
INSERT INTO `lang_definitions` VALUES (175397, 5498, 33, 'गेल्या अन्तर्गळ दुरुस्ती');
INSERT INTO `lang_definitions` VALUES (175398, 5499, 33, 'गेल्या हिप बदलण्याचे');
INSERT INTO `lang_definitions` VALUES (175399, 5500, 33, 'गेल्या Hysterectomy');
INSERT INTO `lang_definitions` VALUES (175400, 5501, 33, 'गेल्या गुडघा बदलण्याचे');
INSERT INTO `lang_definitions` VALUES (175401, 5502, 33, 'गेल्या पातळी बिल');
INSERT INTO `lang_definitions` VALUES (175402, 5503, 33, 'गेल्या मध्यमवयानंतरचा');
INSERT INTO `lang_definitions` VALUES (175403, 5504, 33, 'गेल्या मासिक पाळी');
INSERT INTO `lang_definitions` VALUES (175404, 5506, 33, 'शेवटचा महिना');
INSERT INTO `lang_definitions` VALUES (175405, 5507, 33, 'आडनाव');
INSERT INTO `lang_definitions` VALUES (175406, 5508, 33, 'आडनाव');
INSERT INTO `lang_definitions` VALUES (175407, 5513, 33, 'आडनाव:');
INSERT INTO `lang_definitions` VALUES (175408, 5514, 33, 'गेल्या शारीरिक परीक्षा');
INSERT INTO `lang_definitions` VALUES (175409, 5515, 33, 'गेल्या पुर: स्थ परीक्षा');
INSERT INTO `lang_definitions` VALUES (175410, 5516, 33, 'गेल्या मलमार्गविषयक परीक्षा');
INSERT INTO `lang_definitions` VALUES (175411, 5517, 33, 'शेवटचे पुनरावलोकन');
INSERT INTO `lang_definitions` VALUES (175412, 5518, 33, 'गेल्या चालवा सुरु');
INSERT INTO `lang_definitions` VALUES (175413, 5519, 33, 'शेवटी जतन केलेला');
INSERT INTO `lang_definitions` VALUES (175414, 5520, 33, 'गेल्या सिग्मा / Colonoscopy');
INSERT INTO `lang_definitions` VALUES (175415, 5522, 33, 'गेल्या एक किंवा दोन्ही गलग्रंथी काढून टाकणे');
INSERT INTO `lang_definitions` VALUES (175416, 5525, 33, 'गेल्या सुधारणा');
INSERT INTO `lang_definitions` VALUES (175417, 5526, 33, 'अखेरचे सत्यापित रोजी');
INSERT INTO `lang_definitions` VALUES (175418, 5527, 33, 'अंतिम भेट');
INSERT INTO `lang_definitions` VALUES (175419, 5528, 33, 'गेल्या क्ष-किरण');
INSERT INTO `lang_definitions` VALUES (175420, 5530, 33, 'कै पुनरावृत्ती (2-12 मो)');
INSERT INTO `lang_definitions` VALUES (175421, 5531, 33, 'बाजूकडील घोटा');
INSERT INTO `lang_definitions` VALUES (175422, 5532, 33, 'बाजूकडील घोटा:');
INSERT INTO `lang_definitions` VALUES (175423, 5533, 33, 'Laterality');
INSERT INTO `lang_definitions` VALUES (175424, 5534, 33, 'या पद्धतीचा Laterality, लागू असल्यास');
INSERT INTO `lang_definitions` VALUES (175425, 5535, 33, 'laterally आणि PMI परिणाम विस्थापित:');
INSERT INTO `lang_definitions` VALUES (175426, 5539, 33, 'ताज्या भेट द्या किंवा सल्ला');
INSERT INTO `lang_definitions` VALUES (175427, 5540, 33, 'लॅटिन');
INSERT INTO `lang_definitions` VALUES (175428, 5541, 33, 'लाट्वियन');
INSERT INTO `lang_definitions` VALUES (175429, 5547, 33, 'मांडणी');
INSERT INTO `lang_definitions` VALUES (175430, 5549, 33, 'मांडणी आधारित');
INSERT INTO `lang_definitions` VALUES (175431, 5551, 33, 'लेआउट संपादक');
INSERT INTO `lang_definitions` VALUES (175432, 5552, 33, 'मांडणी गट');
INSERT INTO `lang_definitions` VALUES (175433, 5556, 33, 'मांडणी शैली');
INSERT INTO `lang_definitions` VALUES (175434, 5558, 33, 'मांडणी आधारित भेट द्या अर्ज');
INSERT INTO `lang_definitions` VALUES (175435, 5559, 33, 'लेआउट');
INSERT INTO `lang_definitions` VALUES (175436, 5560, 33, 'लेगबाईज');
INSERT INTO `lang_definitions` VALUES (175437, 5563, 33, 'एलबीएस');
INSERT INTO `lang_definitions` VALUES (175438, 5571, 33, 'LDL');
INSERT INTO `lang_definitions` VALUES (175439, 5573, 33, 'सक्रिय अजूनही तर रिक्त सोडा');
INSERT INTO `lang_definitions` VALUES (175440, 5574, 33, 'मूळ फाइलनाव ठेवा करण्यासाठी रिक्त सोडा');
INSERT INTO `lang_definitions` VALUES (175441, 5575, 33, 'जसाच्या तसा पासवर्ड ठेवणे रिक्त सोडा.');
INSERT INTO `lang_definitions` VALUES (175442, 5580, 33, 'सह संदेश सोडा');
INSERT INTO `lang_definitions` VALUES (175443, 5582, 33, 'फॉर्म सोडा');
INSERT INTO `lang_definitions` VALUES (175444, 5583, 33, 'पास वाक्यांश रिक्त सोडून दस्तऐवज कूटबद्ध नाही');
INSERT INTO `lang_definitions` VALUES (175445, 5586, 33, 'बाकी');
INSERT INTO `lang_definitions` VALUES (175446, 5589, 33, 'डाव्या कानात');
INSERT INTO `lang_definitions` VALUES (175447, 5590, 33, 'डाव्या कानात');
INSERT INTO `lang_definitions` VALUES (175448, 5594, 33, 'डावा समास (मिमी)');
INSERT INTO `lang_definitions` VALUES (175449, 5599, 33, 'डावीकडे:');
INSERT INTO `lang_definitions` VALUES (175450, 5600, 33, 'डावीकडे:');
INSERT INTO `lang_definitions` VALUES (175451, 5601, 33, 'लेग वेदना / cramping');
INSERT INTO `lang_definitions` VALUES (175452, 5602, 33, 'कायदेशीर');
INSERT INTO `lang_definitions` VALUES (175453, 5604, 33, 'कायदेशीर कागद आकार');
INSERT INTO `lang_definitions` VALUES (175454, 5605, 33, 'संकेत:');
INSERT INTO `lang_definitions` VALUES (175455, 5606, 33, 'लांबी');
INSERT INTO `lang_definitions` VALUES (175456, 5607, 33, 'सुधारक लांबी, 0 तर कोणीही');
INSERT INTO `lang_definitions` VALUES (175457, 5613, 33, 'च्या पेक्षा कमी');
INSERT INTO `lang_definitions` VALUES (175458, 5614, 33, 'या पेक्षा कमी किंवा समान');
INSERT INTO `lang_definitions` VALUES (175459, 5615, 33, 'कमी-खाजगी माहिती (राइट, addonly पर्यायी)');
INSERT INTO `lang_definitions` VALUES (175460, 5620, 33, 'पत्र');
INSERT INTO `lang_definitions` VALUES (175461, 5621, 33, 'पत्र जनक');
INSERT INTO `lang_definitions` VALUES (175462, 5622, 33, 'पत्र कागद आकार');
INSERT INTO `lang_definitions` VALUES (175463, 5623, 33, 'त्या डॉक्टर चिन्हे नाव');
INSERT INTO `lang_definitions` VALUES (175464, 5624, 33, 'त्या रुग्णाची चिन्हे नाव');
INSERT INTO `lang_definitions` VALUES (175465, 5627, 33, 'निकड पातळी');
INSERT INTO `lang_definitions` VALUES (175466, 5630, 33, 'दायित्व');
INSERT INTO `lang_definitions` VALUES (175467, 5631, 33, 'दायित्व वैद्यकीय');
INSERT INTO `lang_definitions` VALUES (175468, 5633, 33, 'परवाना / आयडी');
INSERT INTO `lang_definitions` VALUES (175469, 5639, 33, 'LicensedPrescriber आडनाव');
INSERT INTO `lang_definitions` VALUES (175470, 5640, 33, 'LicensedPrescriber NPI');
INSERT INTO `lang_definitions` VALUES (175471, 5641, 33, 'LicensedPrescriber UPIN');
INSERT INTO `lang_definitions` VALUES (175472, 5644, 33, 'जीवनशैली');
INSERT INTO `lang_definitions` VALUES (175473, 5646, 33, 'जीवनशैली स्थिती');
INSERT INTO `lang_definitions` VALUES (175474, 5647, 33, 'लीगामेंट झीज तूट किंवा खेचले जाणे');
INSERT INTO `lang_definitions` VALUES (175475, 5648, 33, 'प्रकाश तंबाखू धूम्रपान');
INSERT INTO `lang_definitions` VALUES (175476, 5650, 33, 'लिंबूर्गिश, लिम्बर्गन Name, Limburger');
INSERT INTO `lang_definitions` VALUES (175477, 5651, 33, 'आगामी कार्यक्रम मर्यादा');
INSERT INTO `lang_definitions` VALUES (175478, 5654, 33, 'मर्यादा');
INSERT INTO `lang_definitions` VALUES (175479, 5656, 33, 'लिङ्गला');
INSERT INTO `lang_definitions` VALUES (175480, 5657, 33, 'दुवा');
INSERT INTO `lang_definitions` VALUES (175481, 5658, 33, 'रुग्णांच्या वेबसाईटशी लिंक करा');
INSERT INTO `lang_definitions` VALUES (175482, 5660, 33, 'लिंक्ड');
INSERT INTO `lang_definitions` VALUES (175483, 5661, 33, 'लिंक्ड दस्तऐवज');
INSERT INTO `lang_definitions` VALUES (175484, 5662, 33, 'लिंक्ड प्रक्रिया करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (175485, 5663, 33, 'दस्तऐवज लिंक');
INSERT INTO `lang_definitions` VALUES (175486, 5664, 33, 'प्रक्रिया करण्यासाठी लिंक');
INSERT INTO `lang_definitions` VALUES (175487, 5665, 33, 'यादी');
INSERT INTO `lang_definitions` VALUES (175488, 5666, 33, 'सूची बॉक्स');
INSERT INTO `lang_definitions` VALUES (175489, 5667, 33, 'यादी बॉक्स');
INSERT INTO `lang_definitions` VALUES (175490, 5668, 33, 'जोडू / W सूची बॉक्स');
INSERT INTO `lang_definitions` VALUES (175491, 5669, 33, 'जोडा / W सूची बॉक्स');
INSERT INTO `lang_definitions` VALUES (175492, 5671, 33, 'यादी संपादक');
INSERT INTO `lang_definitions` VALUES (175493, 5672, 33, 'यादी चकमकी');
INSERT INTO `lang_definitions` VALUES (175494, 5674, 33, 'यादी गट');
INSERT INTO `lang_definitions` VALUES (175495, 5675, 33, 'यादी विमा कंपन्या');
INSERT INTO `lang_definitions` VALUES (175496, 5677, 33, 'यादी आयटम संख्या सुरू करू शकत नाही.');
INSERT INTO `lang_definitions` VALUES (175497, 5678, 33, 'यादी आयटम बेकायदेशीर वर्ण आहे (आहेत).');
INSERT INTO `lang_definitions` VALUES (175498, 5680, 33, 'यादी याद्या');
INSERT INTO `lang_definitions` VALUES (175499, 5682, 33, 'यादी नाव');
INSERT INTO `lang_definitions` VALUES (175500, 5683, 33, 'यादी नावे संख्या सुरू करू शकत नाही.');
INSERT INTO `lang_definitions` VALUES (175501, 5688, 33, 'यादी चांगले');
INSERT INTO `lang_definitions` VALUES (175502, 5689, 33, 'वरील देश डेटा प्रकार पर्याय वापरले यादी.');
INSERT INTO `lang_definitions` VALUES (175503, 5690, 33, 'वरील राज्य डेटा प्रकार पर्याय वापरले यादी.');
INSERT INTO `lang_definitions` VALUES (175504, 5691, 33, 'न करता RFC 5425, TLS syslog सर्व्हरकडे पोर्ट ऐकणे.');
INSERT INTO `lang_definitions` VALUES (175505, 5693, 33, 'याद्या');
INSERT INTO `lang_definitions` VALUES (175506, 5695, 33, 'लिथुआनियन');
INSERT INTO `lang_definitions` VALUES (175507, 5696, 33, 'राहण्याची होईल');
INSERT INTO `lang_definitions` VALUES (175508, 5701, 33, 'LLL:');
INSERT INTO `lang_definitions` VALUES (175509, 5707, 33, 'एलएमपी');
INSERT INTO `lang_definitions` VALUES (175510, 5708, 33, 'लोड सर्वसमावेशक सारांश');
INSERT INTO `lang_definitions` VALUES (175511, 5709, 33, 'लोड व्याख्या');
INSERT INTO `lang_definitions` VALUES (175512, 5711, 33, 'लॅब संरचना लोड');
INSERT INTO `lang_definitions` VALUES (175513, 5712, 33, 'लिहायचं प्रश्न पर्याय लोड करा');
INSERT INTO `lang_definitions` VALUES (175514, 5713, 33, 'ऑर्डर व्याख्या लोड');
INSERT INTO `lang_definitions` VALUES (175515, 5714, 33, 'ऑर्डर प्रवेश प्रश्न लोड');
INSERT INTO `lang_definitions` VALUES (175516, 5715, 33, 'लोड यशस्वी. कोड समाविष्ट');
INSERT INTO `lang_definitions` VALUES (175517, 5717, 33, 'लोड करत आहे');
INSERT INTO `lang_definitions` VALUES (175518, 5721, 33, 'डेटाबेस मध्ये फायली लोड करत आहे. हे काही वेळ लागेल ...');
INSERT INTO `lang_definitions` VALUES (175519, 5723, 33, 'LOC');
INSERT INTO `lang_definitions` VALUES (175520, 5724, 33, 'स्थानिक');
INSERT INTO `lang_definitions` VALUES (175521, 5725, 33, 'स्थानिक सामग्री');
INSERT INTO `lang_definitions` VALUES (175522, 5726, 33, 'स्थानीय फाइलप्रणालीवरील');
INSERT INTO `lang_definitions` VALUES (175523, 5728, 33, 'लोकॅल');
INSERT INTO `lang_definitions` VALUES (175524, 5729, 33, 'परिसर');
INSERT INTO `lang_definitions` VALUES (175525, 5730, 33, 'स्थान');
INSERT INTO `lang_definitions` VALUES (175526, 5731, 33, 'तो स्वतः त्याच्या वापर नंतर फाइल हटवली शिफारसीय आहे त्यामुळे openemr मशीन स्थान आणि, संवेदनशील डाटा असू शकते');
INSERT INTO `lang_definitions` VALUES (175527, 5732, 33, 'या भरपूर स्थान');
INSERT INTO `lang_definitions` VALUES (175528, 5733, 33, 'निर्दिष्ट न स्थान');
INSERT INTO `lang_definitions` VALUES (175529, 5734, 33, 'स्थान जेथे Hylafax स्टोअर्स फॅक्स.');
INSERT INTO `lang_definitions` VALUES (175530, 5735, 33, 'स्कॅन साठवले जातात जेथे स्थान.');
INSERT INTO `lang_definitions` VALUES (175531, 5736, 33, 'स्थान:');
INSERT INTO `lang_definitions` VALUES (175532, 5737, 33, 'लॉक');
INSERT INTO `lang_definitions` VALUES (175533, 5738, 33, 'वैयक्तिकरित्या ई-साइन इन फॉर्म लॉक');
INSERT INTO `lang_definitions` VALUES (175534, 5739, 33, 'लॉक ई-साइन इन चकमकी आणि त्यांच्या फॉर्म');
INSERT INTO `lang_definitions` VALUES (175535, 5740, 33, 'लॉक करायचा?');
INSERT INTO `lang_definitions` VALUES (175536, 5741, 33, 'बंधिस्त');
INSERT INTO `lang_definitions` VALUES (175537, 5745, 33, 'प्रवेश करा');
INSERT INTO `lang_definitions` VALUES (175538, 5746, 33, 'प्रवेश करा');
INSERT INTO `lang_definitions` VALUES (175539, 5749, 33, 'बाहेर पडणे');
INSERT INTO `lang_definitions` VALUES (175540, 5752, 33, 'लॉग इन');
INSERT INTO `lang_definitions` VALUES (175541, 5753, 33, 'म्हणून लॉग इन');
INSERT INTO `lang_definitions` VALUES (175542, 5754, 33, 'म्हणून लॉग इन:');
INSERT INTO `lang_definitions` VALUES (175543, 5755, 33, 'लॉग आऊट केले.');
INSERT INTO `lang_definitions` VALUES (175544, 5756, 33, 'लॉग');
INSERT INTO `lang_definitions` VALUES (175545, 5757, 33, 'प्रवेश करा');
INSERT INTO `lang_definitions` VALUES (175546, 5758, 33, 'प्रवेश करा');
INSERT INTO `lang_definitions` VALUES (175547, 5761, 33, 'पोर्टल प्रवेश वर्डप्रेस वापरकर्ता लॉग-इन नाव');
INSERT INTO `lang_definitions` VALUES (175548, 5763, 33, 'दूर्रस्थ यजमानाशी लॉगिन करा');
INSERT INTO `lang_definitions` VALUES (175549, 5764, 33, 'या दूर्रस्थ यजमानाशी लॉगिन अयशस्वी');
INSERT INTO `lang_definitions` VALUES (175550, 5768, 33, 'बाहेर पडणे');
INSERT INTO `lang_definitions` VALUES (175551, 5769, 33, 'बाहेर पडणे');
INSERT INTO `lang_definitions` VALUES (175552, 5770, 33, 'नोंदी');
INSERT INTO `lang_definitions` VALUES (175553, 5771, 33, 'नोंदी दर्शक');
INSERT INTO `lang_definitions` VALUES (175554, 5776, 33, 'वर बघ');
INSERT INTO `lang_definitions` VALUES (175555, 5777, 33, 'लोट');
INSERT INTO `lang_definitions` VALUES (175556, 5778, 33, 'लोट आयडी गहाळ!');
INSERT INTO `lang_definitions` VALUES (175557, 5779, 33, 'लोट क्रमांक');
INSERT INTO `lang_definitions` VALUES (175558, 5780, 33, 'कमी');
INSERT INTO `lang_definitions` VALUES (175559, 5781, 33, 'निम्न प्राधान्य');
INSERT INTO `lang_definitions` VALUES (175560, 5782, 33, 'कमी चेंडू');
INSERT INTO `lang_definitions` VALUES (175561, 5784, 33, 'सर्वात कमी प्राधान्य');
INSERT INTO `lang_definitions` VALUES (175562, 5788, 33, 'ल्यूबा-कटांगा');
INSERT INTO `lang_definitions` VALUES (175563, 5791, 33, 'पाठीच्या मणक्याचे');
INSERT INTO `lang_definitions` VALUES (175564, 5792, 33, 'लंच');
INSERT INTO `lang_definitions` VALUES (175565, 5793, 33, 'लंच');
INSERT INTO `lang_definitions` VALUES (175566, 5794, 33, 'फुफ्फुसांचा कर्करोग');
INSERT INTO `lang_definitions` VALUES (175567, 5795, 33, 'फुफ्फुसांचा कर्करोग शस्त्रक्रिया');
INSERT INTO `lang_definitions` VALUES (175568, 5796, 33, 'फुफ्फुसे:');
INSERT INTO `lang_definitions` VALUES (175569, 5797, 33, 'फुफ्फुसे:');
INSERT INTO `lang_definitions` VALUES (175570, 5798, 33, 'त्वचाक्षय');
INSERT INTO `lang_definitions` VALUES (175571, 5799, 33, 'डायलर, Letzeburgesch');
INSERT INTO `lang_definitions` VALUES (175572, 5804, 33, 'एम');
INSERT INTO `lang_definitions` VALUES (175573, 5805, 33, 'एम.ए. वर्ग');
INSERT INTO `lang_definitions` VALUES (175574, 5806, 33, 'गर्भपात स्वीकार एम.ए. क्लायंट');
INSERT INTO `lang_definitions` VALUES (175575, 5807, 33, 'एम.ए. आकडेवारी');
INSERT INTO `lang_definitions` VALUES (175576, 5808, 33, 'मॅसेडोनियन');
INSERT INTO `lang_definitions` VALUES (175577, 5812, 33, 'मेल पाठविले');
INSERT INTO `lang_definitions` VALUES (175578, 5814, 33, 'मुख्य');
INSERT INTO `lang_definitions` VALUES (175579, 5815, 33, 'मुख्य पत्ता');
INSERT INTO `lang_definitions` VALUES (175580, 5821, 33, 'मुख्य शीर्ष पट्टीमध्ये स्क्रीन');
INSERT INTO `lang_definitions` VALUES (175581, 5824, 33, 'सक्रिय औषध ऍलर्जी यादी ठेवणे.');
INSERT INTO `lang_definitions` VALUES (175582, 5825, 33, 'सक्रिय औषधोपचार यादी ठेवणे.');
INSERT INTO `lang_definitions` VALUES (175583, 5826, 33, 'वर्तमान आणि सक्रिय निदान एक अप-टू-डेट समस्या यादी ठेवणे.');
INSERT INTO `lang_definitions` VALUES (175584, 5827, 33, 'वर्तमान श्रेणी बदल करा.');
INSERT INTO `lang_definitions` VALUES (175585, 5828, 33, 'नवीन नियुक्ती करा');
INSERT INTO `lang_definitions` VALUES (175586, 5831, 33, 'खात्री करा \"');
INSERT INTO `lang_definitions` VALUES (175587, 5832, 33, 'क्लिअरिंग हाऊस अपलोड बॅच मजकूर फायली आणि बिल चिन्हांकित होईल');
INSERT INTO `lang_definitions` VALUES (175588, 5833, 33, 'मालागासे');
INSERT INTO `lang_definitions` VALUES (175589, 5834, 33, 'धुसफूस:');
INSERT INTO `lang_definitions` VALUES (175590, 5835, 33, 'मलय');
INSERT INTO `lang_definitions` VALUES (175591, 5836, 33, 'मल्याळम');
INSERT INTO `lang_definitions` VALUES (175592, 5837, 33, 'पुरुष');
INSERT INTO `lang_definitions` VALUES (175593, 5838, 33, 'पुरुष कंडोम');
INSERT INTO `lang_definitions` VALUES (175594, 5839, 33, 'पुरुष VSC');
INSERT INTO `lang_definitions` VALUES (175595, 5840, 33, 'माल्टीज');
INSERT INTO `lang_definitions` VALUES (175596, 5841, 33, 'मध्यमवयानंतरचा');
INSERT INTO `lang_definitions` VALUES (175597, 5842, 33, 'व्यवस्थापित करा');
INSERT INTO `lang_definitions` VALUES (175598, 5843, 33, 'हूक्सचा व्यवस्थापित करा');
INSERT INTO `lang_definitions` VALUES (175599, 5845, 33, 'मॉड्यूल व्यवस्थापित करा');
INSERT INTO `lang_definitions` VALUES (175600, 5850, 33, 'भाषांतर व्यवस्थापित करा');
INSERT INTO `lang_definitions` VALUES (175601, 5851, 33, 'व्यवस्थापन');
INSERT INTO `lang_definitions` VALUES (175602, 5854, 33, 'अनिवार्य व निर्देशीत फील्ड');
INSERT INTO `lang_definitions` VALUES (175603, 5855, 33, 'फक्त अनिवार्य किंवा निर्दिष्ट फील्ड, dup चेक, नाही शोध');
INSERT INTO `lang_definitions` VALUES (175604, 5856, 33, 'अनिवार्य किंवा निर्दिष्ट फील्ड फक्त, शोध आणि dup तपासणी');
INSERT INTO `lang_definitions` VALUES (175605, 5859, 33, 'मॅन्युअल');
INSERT INTO `lang_definitions` VALUES (175606, 5860, 33, 'मॅन्युअल पोस्ट');
INSERT INTO `lang_definitions` VALUES (175607, 5864, 33, 'निर्माता');
INSERT INTO `lang_definitions` VALUES (175608, 5865, 33, 'मॅन्स्क');
INSERT INTO `lang_definitions` VALUES (175609, 5870, 33, 'मार्च');
INSERT INTO `lang_definitions` VALUES (175610, 5873, 33, 'मराठी (मराठी)');
INSERT INTO `lang_definitions` VALUES (175611, 5874, 33, 'मार्च');
INSERT INTO `lang_definitions` VALUES (175612, 5877, 33, 'वैवाहिक स्थिती');
INSERT INTO `lang_definitions` VALUES (175613, 5879, 33, 'मार्क बिल म्हणून');
INSERT INTO `lang_definitions` VALUES (175614, 5880, 33, 'मार्क बिल पण बिलिंग वगळा म्हणून');
INSERT INTO `lang_definitions` VALUES (175615, 5881, 33, 'मार्क साफ म्हणून');
INSERT INTO `lang_definitions` VALUES (175616, 5882, 33, 'मार्क बिल नाही');
INSERT INTO `lang_definitions` VALUES (175617, 5885, 33, 'पुनरावलोकन या अहवाल चिन्हांकित');
INSERT INTO `lang_definitions` VALUES (175618, 5886, 33, 'साफ म्हणून चिन्हांकित');
INSERT INTO `lang_definitions` VALUES (175619, 5887, 33, 'लग्न');
INSERT INTO `lang_definitions` VALUES (175620, 5888, 33, 'मार्शलीज');
INSERT INTO `lang_definitions` VALUES (175621, 5889, 33, 'मुखवटा');
INSERT INTO `lang_definitions` VALUES (175622, 5890, 33, 'चलन क्रमांकांसाठी मुखवटा');
INSERT INTO `lang_definitions` VALUES (175623, 5891, 33, 'रुग्णांच्या आयडी मास्क');
INSERT INTO `lang_definitions` VALUES (175624, 5892, 33, 'उत्पादन ID मास्क');
INSERT INTO `lang_definitions` VALUES (175625, 5894, 33, 'मॅच');
INSERT INTO `lang_definitions` VALUES (175626, 5895, 33, 'मॅच केस');
INSERT INTO `lang_definitions` VALUES (175627, 5896, 33, 'मॅच सापडले');
INSERT INTO `lang_definitions` VALUES (175628, 5905, 33, 'मॅट्रिक्स');
INSERT INTO `lang_definitions` VALUES (175629, 5907, 33, 'कमाल');
INSERT INTO `lang_definitions` VALUES (175630, 5910, 33, 'कमाल फाइल संख्या गाठली - रीलोड नावे खालील');
INSERT INTO `lang_definitions` VALUES (175631, 5912, 33, 'जबडयाच्या अधिकार:');
INSERT INTO `lang_definitions` VALUES (175632, 5913, 33, 'कमाल वय');
INSERT INTO `lang_definitions` VALUES (175633, 5914, 33, 'कमाल वर्ण');
INSERT INTO `lang_definitions` VALUES (175634, 5917, 33, 'बाहेर पडणे आधी सेकंद जास्तीत जास्त फालतू वेळ. मुलभूत 7200 (2 तास) आहे.');
INSERT INTO `lang_definitions` VALUES (175635, 5920, 33, 'कमाल वाजवी यादी, 0 लागू नाही तर');
INSERT INTO `lang_definitions` VALUES (175636, 5921, 33, 'कमाल आकार');
INSERT INTO `lang_definitions` VALUES (175637, 5922, 33, 'कमाल आकार (0 प्रविष्ट कोणत्याही आकाराचे परवानगी आहे)');
INSERT INTO `lang_definitions` VALUES (175638, 5924, 33, 'मे');
INSERT INTO `lang_definitions` VALUES (175639, 5926, 33, 'महानगरपालिका');
INSERT INTO `lang_definitions` VALUES (175640, 5927, 33, 'मेलबॉर्न क्रिकेट मैदान');
INSERT INTO `lang_definitions` VALUES (175641, 5929, 33, 'पासवर्ड बदलत असताना गेल्या तीन संकेतशब्द नाही अनुमती आहे याचा अर्थ.');
INSERT INTO `lang_definitions` VALUES (175642, 5931, 33, 'गट कोड मोजा');
INSERT INTO `lang_definitions` VALUES (175643, 5933, 33, 'मापन');
INSERT INTO `lang_definitions` VALUES (175644, 5939, 33, 'सरासरीचा घोटा:');
INSERT INTO `lang_definitions` VALUES (175645, 5940, 33, 'मेडीकेडची');
INSERT INTO `lang_definitions` VALUES (175646, 5942, 33, 'वैद्यकीय');
INSERT INTO `lang_definitions` VALUES (175647, 5943, 33, 'वैद्यकीय गर्भपात');
INSERT INTO `lang_definitions` VALUES (175648, 5944, 33, 'वैद्यकीय प्रशासन');
INSERT INTO `lang_definitions` VALUES (175649, 5946, 33, 'वैद्यकीय इतिहास');
INSERT INTO `lang_definitions` VALUES (175650, 5947, 33, 'वैद्यकीय अंक');
INSERT INTO `lang_definitions` VALUES (175651, 5948, 33, 'वैद्यकीय समस्या');
INSERT INTO `lang_definitions` VALUES (175652, 5951, 33, 'वैद्यकीय समस्या');
INSERT INTO `lang_definitions` VALUES (175653, 5952, 33, 'वैद्यकीय समस्या');
INSERT INTO `lang_definitions` VALUES (175654, 5953, 33, 'वैद्यकीय समस्या समस्या सूची');
INSERT INTO `lang_definitions` VALUES (175655, 5954, 33, 'वैद्यकीय समस्या');
INSERT INTO `lang_definitions` VALUES (175656, 5956, 33, 'वैद्यकीय नोंद');
INSERT INTO `lang_definitions` VALUES (175657, 5957, 33, 'वैद्यकीय नोंद #');
INSERT INTO `lang_definitions` VALUES (175658, 5959, 33, 'वैद्यकीय रेकॉर्ड');
INSERT INTO `lang_definitions` VALUES (175659, 5961, 33, 'पाठविलेला वैद्यकीय रेकॉर्ड');
INSERT INTO `lang_definitions` VALUES (175660, 5963, 33, 'वैद्यकीय सारांश दिले');
INSERT INTO `lang_definitions` VALUES (175661, 5964, 33, 'वैद्यकीय प्रणाली');
INSERT INTO `lang_definitions` VALUES (175662, 5965, 33, 'वैद्यकीय प्रकार');
INSERT INTO `lang_definitions` VALUES (175663, 5966, 33, 'वैद्यकीय / इतिहास (राइट, addonly पर्यायी)');
INSERT INTO `lang_definitions` VALUES (175664, 5968, 33, 'वैद्यकीय भाग ब');
INSERT INTO `lang_definitions` VALUES (175665, 5969, 33, 'वैद्यकीय संदर्भकर्त्यामध्ये प्रस्तुतकर्ता आहे');
INSERT INTO `lang_definitions` VALUES (175666, 5970, 33, 'औषधोपचार');
INSERT INTO `lang_definitions` VALUES (175667, 5971, 33, 'औषधोपचार ऍलर्जी यादी');
INSERT INTO `lang_definitions` VALUES (175668, 5972, 33, 'औषधोपचार समस्या सूची');
INSERT INTO `lang_definitions` VALUES (175669, 5973, 33, 'औषधोपचार यादी');
INSERT INTO `lang_definitions` VALUES (175670, 5974, 33, 'औषधोपचार सलोखा सादर?');
INSERT INTO `lang_definitions` VALUES (175671, 5975, 33, 'औषधे');
INSERT INTO `lang_definitions` VALUES (175672, 5978, 33, 'औषधे:');
INSERT INTO `lang_definitions` VALUES (175673, 5979, 33, 'औषध युनिट');
INSERT INTO `lang_definitions` VALUES (175674, 5980, 33, 'मध्यम');
INSERT INTO `lang_definitions` VALUES (175675, 5982, 33, 'MedlinePlus कनेक्ट');
INSERT INTO `lang_definitions` VALUES (175676, 5984, 33, 'सदस्य असोसिएशन सांख्यिकी अहवाल');
INSERT INTO `lang_definitions` VALUES (175677, 5986, 33, 'मेमरी समस्या');
INSERT INTO `lang_definitions` VALUES (175678, 5987, 33, 'पुरुष');
INSERT INTO `lang_definitions` VALUES (175679, 5988, 33, 'पुरुष आणि महिला');
INSERT INTO `lang_definitions` VALUES (175680, 5989, 33, 'पुरुष केवळ');
INSERT INTO `lang_definitions` VALUES (175681, 5990, 33, 'पहिली ऋतुप्राप्ती पहिल्यांदा मासिक पाळी येणे');
INSERT INTO `lang_definitions` VALUES (175682, 5991, 33, 'स्त्रियांच्या जीवनातील मासिकपाळी बंद होतो तो काळ');
INSERT INTO `lang_definitions` VALUES (175683, 5992, 33, 'मासिक फ्लो');
INSERT INTO `lang_definitions` VALUES (175684, 5993, 33, 'मासिक वारंवारता');
INSERT INTO `lang_definitions` VALUES (175685, 5994, 33, 'मानसिक आजार');
INSERT INTO `lang_definitions` VALUES (175686, 5998, 33, 'मेनू मजकूर');
INSERT INTO `lang_definitions` VALUES (175687, 5999, 33, 'मेनू');
INSERT INTO `lang_definitions` VALUES (175688, 6001, 33, 'विलीन');
INSERT INTO `lang_definitions` VALUES (175689, 6002, 33, 'पूर्ण विलीन करा.');
INSERT INTO `lang_definitions` VALUES (175690, 6003, 33, 'रुग्णांना विलीन');
INSERT INTO `lang_definitions` VALUES (175691, 6005, 33, 'संदेश');
INSERT INTO `lang_definitions` VALUES (175692, 6006, 33, 'संदेश आणि स्मरण केंद्र');
INSERT INTO `lang_definitions` VALUES (175693, 6009, 33, 'संदेश सामग्री तो एक दस्तऐवज म्हणून संग्रहित केले गेले आहे, त्यामुळे साधा मजकूर नाही.');
INSERT INTO `lang_definitions` VALUES (175694, 6010, 33, 'रुग्णाला ते संदेश');
INSERT INTO `lang_definitions` VALUES (175695, 6012, 33, 'संदेश पाठवला');
INSERT INTO `lang_definitions` VALUES (175696, 6013, 33, 'संदेश स्थिती');
INSERT INTO `lang_definitions` VALUES (175697, 6014, 33, 'संदेश शीर्षक');
INSERT INTO `lang_definitions` VALUES (175698, 6015, 33, 'रुग्णाला संदेश');
INSERT INTO `lang_definitions` VALUES (175699, 6017, 33, 'संदेश प्रकार');
INSERT INTO `lang_definitions` VALUES (175700, 6018, 33, 'संदेश:');
INSERT INTO `lang_definitions` VALUES (175701, 6019, 33, 'संदेश');
INSERT INTO `lang_definitions` VALUES (175702, 6022, 33, 'आपण आज पाठविले आहे संदेश');
INSERT INTO `lang_definitions` VALUES (175703, 6026, 33, 'पद्धत');
INSERT INTO `lang_definitions` VALUES (175704, 6027, 33, 'पद्धत आणि विशिष्ट उत्पादन');
INSERT INTO `lang_definitions` VALUES (175705, 6029, 33, 'जाणार्या मेल पाठवून पद्धत.');
INSERT INTO `lang_definitions` VALUES (175706, 6030, 33, 'विनाश पद्धत');
INSERT INTO `lang_definitions` VALUES (175707, 6031, 33, 'मेक्सिकन / MexAmer / Chicano');
INSERT INTO `lang_definitions` VALUES (175708, 6038, 33, 'मिग्रॅ');
INSERT INTO `lang_definitions` VALUES (175709, 6039, 33, 'मिग्रॅ / 1cc');
INSERT INTO `lang_definitions` VALUES (175710, 6040, 33, 'मिग्रॅ / 2cc');
INSERT INTO `lang_definitions` VALUES (175711, 6041, 33, 'मिग्रॅ / 3cc');
INSERT INTO `lang_definitions` VALUES (175712, 6042, 33, 'मिग्रॅ / 4cc');
INSERT INTO `lang_definitions` VALUES (175713, 6043, 33, 'मिग्रॅ / 5cc');
INSERT INTO `lang_definitions` VALUES (175714, 6044, 33, 'Mg / dl');
INSERT INTO `lang_definitions` VALUES (175715, 6046, 33, 'मध्य');
INSERT INTO `lang_definitions` VALUES (175716, 6047, 33, 'मधले नाव');
INSERT INTO `lang_definitions` VALUES (175717, 6048, 33, 'मधले नाव');
INSERT INTO `lang_definitions` VALUES (175718, 6051, 33, 'Midlevel Prescriber DEA');
INSERT INTO `lang_definitions` VALUES (175719, 6052, 33, 'Midlevel Prescriber नाव');
INSERT INTO `lang_definitions` VALUES (175720, 6053, 33, 'Midlevel Prescriber आडनाव');
INSERT INTO `lang_definitions` VALUES (175721, 6055, 33, 'Midlevel Prescriber पूर्वपद');
INSERT INTO `lang_definitions` VALUES (175722, 6056, 33, 'Midlevel Prescriber UPIN');
INSERT INTO `lang_definitions` VALUES (175723, 6061, 33, 'Mien');
INSERT INTO `lang_definitions` VALUES (175724, 6062, 33, 'स्थलांतरित किंवा हंगामी कार्यकर्ता?');
INSERT INTO `lang_definitions` VALUES (175725, 6064, 33, 'स्थलांतरित / हंगामी');
INSERT INTO `lang_definitions` VALUES (175726, 6065, 33, 'रशीद / CU.MM');
INSERT INTO `lang_definitions` VALUES (175727, 6069, 33, 'MIME प्रकार');
INSERT INTO `lang_definitions` VALUES (175728, 6070, 33, 'MimeType');
INSERT INTO `lang_definitions` VALUES (175729, 6071, 33, 'किमान');
INSERT INTO `lang_definitions` VALUES (175730, 6072, 33, 'मि');
INSERT INTO `lang_definitions` VALUES (175731, 6077, 33, 'किमान वय');
INSERT INTO `lang_definitions` VALUES (175732, 6080, 33, 'लघु संयुक्त ताण +/- सीरमी पटलाचा दाह यामध्ये बहुधा सांध्यात द्रव जमतो, संधिदाह व दीर्घकाळ दाह झाल्याने ऍकिलोसिस होतो');
INSERT INTO `lang_definitions` VALUES (175733, 6082, 33, 'मिनिट');
INSERT INTO `lang_definitions` VALUES (175734, 6083, 33, 'मिनिटे');
INSERT INTO `lang_definitions` VALUES (175735, 6084, 33, 'मिनिटे');
INSERT INTO `lang_definitions` VALUES (175736, 6086, 33, 'इतर');
INSERT INTO `lang_definitions` VALUES (175737, 6087, 33, 'इतर बिलिंग पर्याय');
INSERT INTO `lang_definitions` VALUES (175738, 6088, 33, 'HCFA-1500 इतर बिलिंग पर्याय');
INSERT INTO `lang_definitions` VALUES (175739, 6089, 33, 'इतर बिलिंग पर्याय HCFA');
INSERT INTO `lang_definitions` VALUES (175740, 6090, 33, 'विविध');
INSERT INTO `lang_definitions` VALUES (175741, 6092, 33, 'नाही');
INSERT INTO `lang_definitions` VALUES (175742, 6093, 33, 'गहाळ');
INSERT INTO `lang_definitions` VALUES (175743, 6094, 33, 'आवश्यक फील्ड गहाळ');
INSERT INTO `lang_definitions` VALUES (175744, 6097, 33, 'गहाळ शुल्क');
INSERT INTO `lang_definitions` VALUES (175745, 6100, 33, 'गहाळ Mods फक्त');
INSERT INTO `lang_definitions` VALUES (175746, 6101, 33, 'गहाळ किंवा अवैध');
INSERT INTO `lang_definitions` VALUES (175747, 6103, 33, 'पी आय डी गहाळ झाले आहे.');
INSERT INTO `lang_definitions` VALUES (175748, 6104, 33, 'गहाळ अहवाल तारीख');
INSERT INTO `lang_definitions` VALUES (175749, 6105, 33, 'कोड स्रोत देणारा नंतर स्लॅश गहाळ');
INSERT INTO `lang_definitions` VALUES (175750, 6111, 33, 'मिश्र');
INSERT INTO `lang_definitions` VALUES (175751, 6113, 33, 'मिली');
INSERT INTO `lang_definitions` VALUES (175752, 6114, 33, 'DD / MM / YYYY असे');
INSERT INTO `lang_definitions` VALUES (175753, 6115, 33, 'मि.मी. / एचजी');
INSERT INTO `lang_definitions` VALUES (175754, 6116, 33, 'mmHg');
INSERT INTO `lang_definitions` VALUES (175755, 6117, 33, 'एमएमआर 1');
INSERT INTO `lang_definitions` VALUES (175756, 6118, 33, 'एमएमआर 2');
INSERT INTO `lang_definitions` VALUES (175757, 6120, 33, 'मोबाइल');
INSERT INTO `lang_definitions` VALUES (175758, 6121, 33, 'भ्रमणध्वनी');
INSERT INTO `lang_definitions` VALUES (175759, 6125, 33, 'सुधारित केलेली');
INSERT INTO `lang_definitions` VALUES (175760, 6129, 33, 'मध्यम प्राधान्य');
INSERT INTO `lang_definitions` VALUES (175761, 6131, 33, 'मध्यम / निम्न प्राधान्य');
INSERT INTO `lang_definitions` VALUES (175762, 6133, 33, 'सुधारणा');
INSERT INTO `lang_definitions` VALUES (175763, 6139, 33, 'सुधारकांचे');
INSERT INTO `lang_definitions` VALUES (175764, 6140, 33, 'सुधारित');
INSERT INTO `lang_definitions` VALUES (175765, 6143, 33, 'देयके संपादीत');
INSERT INTO `lang_definitions` VALUES (175766, 6145, 33, 'ModLength');
INSERT INTO `lang_definitions` VALUES (175767, 6146, 33, 'विभाग');
INSERT INTO `lang_definitions` VALUES (175768, 6147, 33, 'विभाग निर्देशिका आढळले नाही');
INSERT INTO `lang_definitions` VALUES (175769, 6148, 33, 'विभाग इंस्टॉलर');
INSERT INTO `lang_definitions` VALUES (175770, 6149, 33, 'विभाग नाव');
INSERT INTO `lang_definitions` VALUES (175771, 6150, 33, 'विभाग नाव आधीच अस्तित्वात');
INSERT INTO `lang_definitions` VALUES (175772, 6151, 33, 'मॉड्यूल');
INSERT INTO `lang_definitions` VALUES (175773, 6153, 33, 'सोम');
INSERT INTO `lang_definitions` VALUES (175774, 6154, 33, 'शुक्र गुंतवणूकदारांच्या सोम');
INSERT INTO `lang_definitions` VALUES (175775, 6155, 33, 'सोम, बुध करा & amp; शुक्र');
INSERT INTO `lang_definitions` VALUES (175776, 6156, 33, 'सोमवारी');
INSERT INTO `lang_definitions` VALUES (175777, 6157, 33, 'मंगोलियन');
INSERT INTO `lang_definitions` VALUES (175778, 6160, 33, 'महिन्यात');
INSERT INTO `lang_definitions` VALUES (175779, 6161, 33, 'महिना');
INSERT INTO `lang_definitions` VALUES (175780, 6162, 33, 'महिना पहा');
INSERT INTO `lang_definitions` VALUES (175781, 6163, 33, 'महिना (चे)');
INSERT INTO `lang_definitions` VALUES (175782, 6164, 33, 'मासिक उत्पन्न');
INSERT INTO `lang_definitions` VALUES (175783, 6166, 33, 'महिने');
INSERT INTO `lang_definitions` VALUES (175784, 6179, 33, '100 पेक्षा जास्त रेकॉर्ड सापडले नाही. आपला शोध निकष लहान करा.');
INSERT INTO `lang_definitions` VALUES (175785, 6180, 33, 'अधिक 50 परिणाम पेक्षा, आपल्या शोध अधिक विशिष्ट करा.');
INSERT INTO `lang_definitions` VALUES (175786, 6184, 33, 'सर्वाधिक रकान्याच्या क्रम क्रमवारी बदलण्यासाठी क्लिक केले जाऊ शकते');
INSERT INTO `lang_definitions` VALUES (175787, 6186, 33, 'सर्वात अलीकडील');
INSERT INTO `lang_definitions` VALUES (175788, 6187, 33, 'सर्वात अलीकडील लॅब डेटा:');
INSERT INTO `lang_definitions` VALUES (175789, 6189, 33, 'सर्वात अलीकडील मर्मस्थाने पासून:');
INSERT INTO `lang_definitions` VALUES (175790, 6190, 33, 'आई');
INSERT INTO `lang_definitions` VALUES (175791, 6191, 33, 'आईचे नाव');
INSERT INTO `lang_definitions` VALUES (175792, 6192, 33, 'माता इतिहास');
INSERT INTO `lang_definitions` VALUES (175793, 6195, 33, 'तोंड');
INSERT INTO `lang_definitions` VALUES (175794, 6196, 33, 'हलवा');
INSERT INTO `lang_definitions` VALUES (175795, 6197, 33, 'वर्ग दस्तऐवज हलवा:');
INSERT INTO `lang_definitions` VALUES (175796, 6198, 33, 'खाली हलवा');
INSERT INTO `lang_definitions` VALUES (175797, 6199, 33, 'हलवा अयशस्वी झाले!');
INSERT INTO `lang_definitions` VALUES (175798, 6201, 33, 'रुग्णांच्या हलवा');
INSERT INTO `lang_definitions` VALUES (175799, 6202, 33, 'पुढे व्हा...');
INSERT INTO `lang_definitions` VALUES (175800, 6203, 33, 'पुढे जा');
INSERT INTO `lang_definitions` VALUES (175801, 6204, 33, 'हलवित');
INSERT INTO `lang_definitions` VALUES (175802, 6209, 33, 'श्री.');
INSERT INTO `lang_definitions` VALUES (175803, 6211, 33, 'MRN (पी आय डी)');
INSERT INTO `lang_definitions` VALUES (175804, 6215, 33, 'सौ.');
INSERT INTO `lang_definitions` VALUES (175805, 6217, 33, 'श्रीमती');
INSERT INTO `lang_definitions` VALUES (175806, 6218, 33, 'MSH-11');
INSERT INTO `lang_definitions` VALUES (175807, 6219, 33, 'MSH-3.1');
INSERT INTO `lang_definitions` VALUES (175808, 6220, 33, 'MSH-4.1');
INSERT INTO `lang_definitions` VALUES (175809, 6221, 33, 'MSH-5.1');
INSERT INTO `lang_definitions` VALUES (175810, 6222, 33, 'MSH-6.1');
INSERT INTO `lang_definitions` VALUES (175811, 6224, 33, 'MSH.8 संदेश प्रकार वैध नाही');
INSERT INTO `lang_definitions` VALUES (175812, 6226, 33, 'किमान आधारभूत किंमत कोड');
INSERT INTO `lang_definitions` VALUES (175813, 6227, 33, 'किमान आधारभूत किंमत REMIT ि कोड');
INSERT INTO `lang_definitions` VALUES (175814, 6230, 33, 'मल्टी भाषा साधन');
INSERT INTO `lang_definitions` VALUES (175815, 6234, 33, 'अनेक भागात');
INSERT INTO `lang_definitions` VALUES (175816, 6236, 33, 'एकाधिक फाइल्स Ctrl + click किंवा SHIFT + क्लिक करा वापरून त्यांना निवडून एका वेळी अपलोड केले जाऊ शकते.');
INSERT INTO `lang_definitions` VALUES (175817, 6237, 33, 'अनेक बरेच');
INSERT INTO `lang_definitions` VALUES (175818, 6238, 33, 'अनेक सुधारकांचे, अपूर्ण विराम किंवा मोकळी जागा वेगळे केले जाऊ शकतात 4 जास्तीत जास्त (M1: M2: M3: M4)');
INSERT INTO `lang_definitions` VALUES (175819, 6239, 33, 'अनेक निवडा यादी');
INSERT INTO `lang_definitions` VALUES (175820, 6242, 33, 'बहुजातीय');
INSERT INTO `lang_definitions` VALUES (175821, 6243, 33, 'कुरकुर:');
INSERT INTO `lang_definitions` VALUES (175822, 6244, 33, 'Musc दुखणे');
INSERT INTO `lang_definitions` VALUES (175823, 6245, 33, 'Musc वेदना');
INSERT INTO `lang_definitions` VALUES (175824, 6246, 33, 'Musc लालसरपणा');
INSERT INTO `lang_definitions` VALUES (175825, 6247, 33, 'Musc कडकपणा जाणवणे');
INSERT INTO `lang_definitions` VALUES (175826, 6248, 33, 'Musc सूज');
INSERT INTO `lang_definitions` VALUES (175827, 6249, 33, 'उबदार Musc');
INSERT INTO `lang_definitions` VALUES (175828, 6250, 33, 'स्नायू');
INSERT INTO `lang_definitions` VALUES (175829, 6251, 33, 'स्नायू इजा');
INSERT INTO `lang_definitions` VALUES (175830, 6252, 33, 'अस्थी व स्नायू दोन्ही संस्थांविषयी');
INSERT INTO `lang_definitions` VALUES (175831, 6256, 33, 'या SMTP प्रमाणीकरण वापरले नाही, तर रिक्त असणे आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (175832, 6259, 33, 'परस्पर परिभाषित');
INSERT INTO `lang_definitions` VALUES (175833, 6260, 33, 'करणे MVA');
INSERT INTO `lang_definitions` VALUES (175834, 6267, 33, 'मी स्वत:');
INSERT INTO `lang_definitions` VALUES (175835, 6269, 33, 'माओरी');
INSERT INTO `lang_definitions` VALUES (175836, 6271, 33, 'N / A');
INSERT INTO `lang_definitions` VALUES (175837, 6272, 33, 'एन / एक');
INSERT INTO `lang_definitions` VALUES (175838, 6274, 33, 'नाव');
INSERT INTO `lang_definitions` VALUES (175839, 6276, 33, 'नाव (अधिक क्लिक करा)');
INSERT INTO `lang_definitions` VALUES (175840, 6278, 33, '1 नाव');
INSERT INTO `lang_definitions` VALUES (175841, 6279, 33, '2 नाव');
INSERT INTO `lang_definitions` VALUES (175842, 6280, 33, 'नाव आणि लसीकरण प्रशासक शीर्षक');
INSERT INTO `lang_definitions` VALUES (175843, 6282, 33, 'EMR नाव');
INSERT INTO `lang_definitions` VALUES (175844, 6283, 33, 'नाव, उदाहरणार्थ icd9_274.11_en.pdf कारण codetype_code_language.pdf सारखी असणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (175845, 6284, 33, 'आगामी कार्यक्रम नाव');
INSERT INTO `lang_definitions` VALUES (175846, 6285, 33, 'विमा कंपनीचे नाव');
INSERT INTO `lang_definitions` VALUES (175847, 6286, 33, 'प्रदाता नाव');
INSERT INTO `lang_definitions` VALUES (175848, 6287, 33, 'रुग्ण स्मरणपत्रांकरिता प्रेषक नाव.');
INSERT INTO `lang_definitions` VALUES (175849, 6294, 33, 'नाव भाषांतर');
INSERT INTO `lang_definitions` VALUES (175850, 6295, 33, 'नाव / मूल्य');
INSERT INTO `lang_definitions` VALUES (175851, 6296, 33, 'नाव:');
INSERT INTO `lang_definitions` VALUES (175852, 6300, 33, 'नाकपुडया:');
INSERT INTO `lang_definitions` VALUES (175853, 6301, 33, 'नाकपुडया: सामान्य अधिकार');
INSERT INTO `lang_definitions` VALUES (175854, 6304, 33, 'अनुनासिक श्लेष्मल त्वचा गुलाबी, septum midline');
INSERT INTO `lang_definitions` VALUES (175855, 6305, 33, 'राष्ट्र टिपा');
INSERT INTO `lang_definitions` VALUES (175856, 6308, 33, 'राष्ट्र टिपा संरचीत करा');
INSERT INTO `lang_definitions` VALUES (175857, 6309, 33, 'राष्ट्र टिपा बटणे बदला');
INSERT INTO `lang_definitions` VALUES (175858, 6310, 33, 'राष्ट्रीयत्व');
INSERT INTO `lang_definitions` VALUES (175859, 6311, 33, 'NationNotes');
INSERT INTO `lang_definitions` VALUES (175860, 6312, 33, 'मूळ डेटा लोड');
INSERT INTO `lang_definitions` VALUES (175861, 6313, 33, 'मुळ हवाईयन किंवा इतर पॅसिफिक आयलॅंडर');
INSERT INTO `lang_definitions` VALUES (175862, 6318, 33, 'नऊरु');
INSERT INTO `lang_definitions` VALUES (175863, 6319, 33, 'मळमळणे');
INSERT INTO `lang_definitions` VALUES (175864, 6321, 33, 'नावाजो, Navaho');
INSERT INTO `lang_definitions` VALUES (175865, 6322, 33, 'नेव्हिगेशन');
INSERT INTO `lang_definitions` VALUES (175866, 6323, 33, 'सुचालन क्षेत्र चकमकीत फॉर्म समावेश');
INSERT INTO `lang_definitions` VALUES (175867, 6324, 33, 'सुचालन क्षेत्र frameset पूर्ण उंची वापरते');
INSERT INTO `lang_definitions` VALUES (175868, 6325, 33, 'सुचालन क्षेत्र भेट द्या अर्ज');
INSERT INTO `lang_definitions` VALUES (175869, 6326, 33, 'नेव्हिगेशन क्षेत्र रूंदी');
INSERT INTO `lang_definitions` VALUES (175870, 6328, 33, 'सुचालन मेनू रेडिओ बटण जोड समाविष्टीत आहे ज्यामध्ये');
INSERT INTO `lang_definitions` VALUES (175871, 6329, 33, 'नेव्हिगेशन मेनू एक झाड दृश्य आहे');
INSERT INTO `lang_definitions` VALUES (175872, 6330, 33, 'सुचालन एक सरकता मेनू वापरते');
INSERT INTO `lang_definitions` VALUES (175873, 6334, 33, 'एनडीसी');
INSERT INTO `lang_definitions` VALUES (175874, 6335, 33, 'एनडीसी डेटा');
INSERT INTO `lang_definitions` VALUES (175875, 6336, 33, 'एनडीसी क्रमांक');
INSERT INTO `lang_definitions` VALUES (175876, 6337, 33, 'डोंगा');
INSERT INTO `lang_definitions` VALUES (175877, 6348, 33, 'मान');
INSERT INTO `lang_definitions` VALUES (175878, 6349, 33, 'मान समस्या');
INSERT INTO `lang_definitions` VALUES (175879, 6350, 33, 'लवचिक मान');
INSERT INTO `lang_definitions` VALUES (175880, 6352, 33, 'वर्णन प्रविष्ट करणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (175881, 6353, 33, 'रिटर्न मूल्य प्रविष्ट करणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (175882, 6354, 33, 'अभिज्ञापक प्रविष्ट करणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (175883, 6355, 33, 'शीर्षक प्रविष्ट करणे आवश्यक');
INSERT INTO `lang_definitions` VALUES (175884, 6358, 33, 'प्रमाणिकरण गरज');
INSERT INTO `lang_definitions` VALUES (175885, 6359, 33, 'गरजा जस्टिफाय करा');
INSERT INTO `lang_definitions` VALUES (175886, 6360, 33, 'माध्यमिक बिलिंग गरज');
INSERT INTO `lang_definitions` VALUES (175887, 6361, 33, 'नकारात्मक');
INSERT INTO `lang_definitions` VALUES (175888, 6363, 33, 'नकारात्मक');
INSERT INTO `lang_definitions` VALUES (175889, 6368, 33, 'नेपाळी');
INSERT INTO `lang_definitions` VALUES (175890, 6369, 33, 'मज्जातंतू इजा');
INSERT INTO `lang_definitions` VALUES (175891, 6371, 33, 'मज्जासंस्थेसंबंधीचा स्थिती / मज्जातंतू नुकसान');
INSERT INTO `lang_definitions` VALUES (175892, 6373, 33, 'न्यूरो-नाण्यासारखा');
INSERT INTO `lang_definitions` VALUES (175893, 6374, 33, 'न्यूरो-अशक्तपणा');
INSERT INTO `lang_definitions` VALUES (175894, 6377, 33, 'Neurologic');
INSERT INTO `lang_definitions` VALUES (175895, 6381, 33, 'कधीही');
INSERT INTO `lang_definitions` VALUES (175896, 6382, 33, 'कधीही मद्यार्क');
INSERT INTO `lang_definitions` VALUES (175897, 6383, 33, 'कधीही धूम्रपान');
INSERT INTO `lang_definitions` VALUES (175898, 6384, 33, 'नवीन');
INSERT INTO `lang_definitions` VALUES (175899, 6385, 33, 'नवीन =>');
INSERT INTO `lang_definitions` VALUES (175900, 6386, 33, 'नवीन Acceptors');
INSERT INTO `lang_definitions` VALUES (175901, 6388, 33, 'नवीन ऍलर्जी');
INSERT INTO `lang_definitions` VALUES (175902, 6389, 33, 'नवीन दुरुस्ती विनंती');
INSERT INTO `lang_definitions` VALUES (175903, 6390, 33, 'नवीन नियुक्ती');
INSERT INTO `lang_definitions` VALUES (175904, 6391, 33, 'नवीन श्रेणी');
INSERT INTO `lang_definitions` VALUES (175905, 6392, 33, 'नवीन श्रेणी');
INSERT INTO `lang_definitions` VALUES (175906, 6393, 33, 'नवीन ग्राहक');
INSERT INTO `lang_definitions` VALUES (175907, 6394, 33, 'नवीन सल्ला');
INSERT INTO `lang_definitions` VALUES (175908, 6395, 33, 'नवीन पीक');
INSERT INTO `lang_definitions` VALUES (175909, 6396, 33, 'नवी व्याख्या संच जोडले');
INSERT INTO `lang_definitions` VALUES (175910, 6397, 33, 'नवीन दस्तऐवज');
INSERT INTO `lang_definitions` VALUES (175911, 6398, 33, 'नवीन दस्तऐवज');
INSERT INTO `lang_definitions` VALUES (175912, 6401, 33, 'नवीन आढळतात');
INSERT INTO `lang_definitions` VALUES (175913, 6402, 33, 'आयडी तयार नवीन चकमकीत');
INSERT INTO `lang_definitions` VALUES (175914, 6403, 33, 'नवीन चकमकीत फॉर्म');
INSERT INTO `lang_definitions` VALUES (175915, 6404, 33, 'नवीन चकमकी अधिकृत नाही');
INSERT INTO `lang_definitions` VALUES (175916, 6405, 33, 'नवीन Enctr');
INSERT INTO `lang_definitions` VALUES (175917, 6406, 33, 'नवीन सुविधा माहिती');
INSERT INTO `lang_definitions` VALUES (175918, 6407, 33, 'नवीन फाइल');
INSERT INTO `lang_definitions` VALUES (175919, 6408, 33, 'नवीन फायली');
INSERT INTO `lang_definitions` VALUES (175920, 6410, 33, 'नवीन गट');
INSERT INTO `lang_definitions` VALUES (175921, 6413, 33, 'नवीन गट माहिती');
INSERT INTO `lang_definitions` VALUES (175922, 6422, 33, 'नवीन Inj / स्थिती');
INSERT INTO `lang_definitions` VALUES (175923, 6425, 33, 'आगामी कार्यक्रम नवीन मर्यादा');
INSERT INTO `lang_definitions` VALUES (175924, 6426, 33, 'नवीन यादी');
INSERT INTO `lang_definitions` VALUES (175925, 6432, 33, 'नवीन ऑर्डर');
INSERT INTO `lang_definitions` VALUES (175926, 6433, 33, 'नवीन परिच्छेद');
INSERT INTO `lang_definitions` VALUES (175927, 6434, 33, 'नवीन पासवर्ड');
INSERT INTO `lang_definitions` VALUES (175928, 6435, 33, 'नवीन रुग्णांच्या');
INSERT INTO `lang_definitions` VALUES (175929, 6436, 33, 'नवी रुग्ण');
INSERT INTO `lang_definitions` VALUES (175930, 6437, 33, 'नवीन रुग्णांच्या आढळतात');
INSERT INTO `lang_definitions` VALUES (175931, 6438, 33, 'नवीन रुग्णांच्या फॉर्म');
INSERT INTO `lang_definitions` VALUES (175932, 6439, 33, 'नवीन रुग्णांच्या आयडी');
INSERT INTO `lang_definitions` VALUES (175933, 6442, 33, 'नवीन भरणा');
INSERT INTO `lang_definitions` VALUES (175934, 6443, 33, 'नवीन पोर्टल लॉगिन');
INSERT INTO `lang_definitions` VALUES (175935, 6445, 33, 'नवीन पं');
INSERT INTO `lang_definitions` VALUES (175936, 6447, 33, 'लॅब एक्सचेंज नवीन परिणाम');
INSERT INTO `lang_definitions` VALUES (175937, 6448, 33, 'नवीन शोध');
INSERT INTO `lang_definitions` VALUES (175938, 6449, 33, 'नवीन सबमिशन');
INSERT INTO `lang_definitions` VALUES (175939, 6451, 33, 'नवीन वापरकर्ता');
INSERT INTO `lang_definitions` VALUES (175940, 6452, 33, 'नवीन मूल्य');
INSERT INTO `lang_definitions` VALUES (175941, 6453, 33, 'नवीन भेट द्या');
INSERT INTO `lang_definitions` VALUES (175942, 6454, 33, 'नवीन / शोध');
INSERT INTO `lang_definitions` VALUES (175943, 6455, 33, 'NewCrop खाते स्थिती');
INSERT INTO `lang_definitions` VALUES (175944, 6456, 33, 'NewCrop प्रशासन');
INSERT INTO `lang_definitions` VALUES (175945, 6457, 33, 'NewCrop कॉल अयशस्वी');
INSERT INTO `lang_definitions` VALUES (175946, 6458, 33, 'NewCrop डॉक्टर');
INSERT INTO `lang_definitions` VALUES (175947, 6459, 33, 'NewCrop eRx खाते आयडी');
INSERT INTO `lang_definitions` VALUES (175948, 6463, 33, 'NewCrop eRx नाव');
INSERT INTO `lang_definitions` VALUES (175949, 6464, 33, 'NewCrop eRx भागीदार नाव');
INSERT INTO `lang_definitions` VALUES (175950, 6465, 33, 'NewCrop eRx पासवर्ड');
INSERT INTO `lang_definitions` VALUES (175951, 6466, 33, 'NewCrop eRX भूमिका');
INSERT INTO `lang_definitions` VALUES (175952, 6467, 33, 'NewCrop eRx भूमिका');
INSERT INTO `lang_definitions` VALUES (175953, 6468, 33, 'NewCrop eRx साइट पत्ता');
INSERT INTO `lang_definitions` VALUES (175954, 6469, 33, 'अॅलर्जी साठी NewCrop eRx SOAP विनंती वेळ-टू-थेट');
INSERT INTO `lang_definitions` VALUES (175955, 6470, 33, 'औषधे साठी NewCrop eRx SOAP विनंती वेळ-टू-थेट');
INSERT INTO `lang_definitions` VALUES (175956, 6473, 33, 'NewCrop eRx वेब सेवा पत्ता');
INSERT INTO `lang_definitions` VALUES (175957, 6474, 33, 'NewCrop व्यवस्थापक');
INSERT INTO `lang_definitions` VALUES (175958, 6475, 33, 'NewCrop MedEntry');
INSERT INTO `lang_definitions` VALUES (175959, 6476, 33, 'NewCrop Midlevel Prescriber');
INSERT INTO `lang_definitions` VALUES (175960, 6477, 33, 'NewCrop नर्स');
INSERT INTO `lang_definitions` VALUES (175961, 6478, 33, 'NewCrop देखरेख डॉक्टर');
INSERT INTO `lang_definitions` VALUES (175962, 6479, 33, 'घ्या');
INSERT INTO `lang_definitions` VALUES (175963, 6481, 33, 'वृत्तपत्र');
INSERT INTO `lang_definitions` VALUES (175964, 6482, 33, 'पुढील');
INSERT INTO `lang_definitions` VALUES (175965, 6484, 33, 'उद्या');
INSERT INTO `lang_definitions` VALUES (175966, 6485, 33, 'पुढील महिन्यात');
INSERT INTO `lang_definitions` VALUES (175967, 6486, 33, 'पुढील महिन्यात (मेनू ठेवण्यासाठी)');
INSERT INTO `lang_definitions` VALUES (175968, 6488, 33, 'पुढील अनुसूचित चालवा');
INSERT INTO `lang_definitions` VALUES (175969, 6491, 33, 'पुढील आठवडा');
INSERT INTO `lang_definitions` VALUES (175970, 6492, 33, 'पुढील वर्षी (मेनू ठेवण्यासाठी)');
INSERT INTO `lang_definitions` VALUES (175971, 6493, 33, 'निक नाव');
INSERT INTO `lang_definitions` VALUES (175972, 6494, 33, 'टोपणनाव');
INSERT INTO `lang_definitions` VALUES (175973, 6496, 33, 'रात्र घाम');
INSERT INTO `lang_definitions` VALUES (175974, 6498, 33, 'नॅथन, EXT जननेंद्रिये, vag श्लेष्मल त्वचा, गर्भाशय');
INSERT INTO `lang_definitions` VALUES (175975, 6499, 33, 'कोणत्याही');
INSERT INTO `lang_definitions` VALUES (175976, 6500, 33, 'नाही');
INSERT INTO `lang_definitions` VALUES (175977, 6502, 33, 'प्रवेश');
INSERT INTO `lang_definitions` VALUES (175978, 6503, 33, 'सक्रिय रुग्ण स्मरणपत्रे.');
INSERT INTO `lang_definitions` VALUES (175979, 6504, 33, 'कोणत्याही ग्रंथीचा कुठलाही रोग (2 भागात आवश्यक)');
INSERT INTO `lang_definitions` VALUES (175980, 6505, 33, 'आढळले नाही समायोजन कारण प्रकार');
INSERT INTO `lang_definitions` VALUES (175981, 6506, 33, 'कोणत्याही adnexal प्रेमळपणा / पशुपालकांना');
INSERT INTO `lang_definitions` VALUES (175982, 6508, 33, 'उपलब्ध नाही दुरुस्ती विनंत्या');
INSERT INTO `lang_definitions` VALUES (175983, 6509, 33, 'कोणत्याही नियुक्ती');
INSERT INTO `lang_definitions` VALUES (175984, 6513, 33, 'कोणत्याही ऑडिट लॉग निवडलेली तारीख श्रेणी आढळले छेडछाड.');
INSERT INTO `lang_definitions` VALUES (175985, 6515, 33, 'कोणत्याही बिलिंग प्रणाली सध्या सक्रिय आहे');
INSERT INTO `lang_definitions` VALUES (175986, 6516, 33, 'OFX निर्यात मध्ये समाविष्ट करण्यासाठी आढळली नाहीत बिले');
INSERT INTO `lang_definitions` VALUES (175987, 6517, 33, 'कोणत्याही बिले OFX निर्यात मध्ये समाविष्ट करण्यासाठी सापडले प्रवास');
INSERT INTO `lang_definitions` VALUES (175988, 6519, 33, 'कोणत्याही कोड निर्दिष्ट करण्यात आला!');
INSERT INTO `lang_definitions` VALUES (175989, 6520, 33, 'या उपक्रमातील परिभाषित नाही संरचना');
INSERT INTO `lang_definitions` VALUES (175990, 6523, 33, 'कोणत्याही निदान');
INSERT INTO `lang_definitions` VALUES (175991, 6526, 33, 'दस्तऐवज आढळले नाहीत');
INSERT INTO `lang_definitions` VALUES (175992, 6527, 33, 'कोणत्याही चकमकीत निर्माण करता येऊ शकते');
INSERT INTO `lang_definitions` VALUES (175993, 6529, 33, 'समाप्तीची तारीख नाही');
INSERT INTO `lang_definitions` VALUES (175994, 6530, 33, 'आढळले नाही नोंदी, नोंद जोडण्यासाठी खालील फॉर्म वापरा.');
INSERT INTO `lang_definitions` VALUES (175995, 6531, 33, 'कोणत्याही त्रुटी आढळल्या');
INSERT INTO `lang_definitions` VALUES (175996, 6532, 33, 'कोणत्याही आगामी कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (175997, 6534, 33, 'कोणत्याही फायली प्रतिष्ठापनासाठी आयोजित');
INSERT INTO `lang_definitions` VALUES (175998, 6536, 33, 'समूह निवड करण्यात आली');
INSERT INTO `lang_definitions` VALUES (175999, 6537, 33, 'कोणत्याही अन्तर्गळ');
INSERT INTO `lang_definitions` VALUES (176000, 6538, 33, 'या उपक्रमातील उपलब्ध नाही हूक्सचा');
INSERT INTO `lang_definitions` VALUES (176001, 6539, 33, 'या उपक्रमातील सक्षम केलेले कोणतेही हूक्सचा');
INSERT INTO `lang_definitions` VALUES (176002, 6540, 33, 'कोणत्याही इजा / आजार');
INSERT INTO `lang_definitions` VALUES (176003, 6541, 33, 'कोणत्याही विमा कंपन्या सापडले');
INSERT INTO `lang_definitions` VALUES (176004, 6544, 33, 'कोणत्याही समस्या नाहीत');
INSERT INTO `lang_definitions` VALUES (176005, 6545, 33, 'या घटनेचा नाही मुद्दे.');
INSERT INTO `lang_definitions` VALUES (176006, 6546, 33, 'निवडलेल्या विभागातील अंतर्गत कोणतेही आयटम नाहीत');
INSERT INTO `lang_definitions` VALUES (176007, 6547, 33, 'कोणतेही आयटम निवडले होते!');
INSERT INTO `lang_definitions` VALUES (176008, 6561, 33, 'कोणत्याही लॅब डेटा दस्तऐवजीकरण.');
INSERT INTO `lang_definitions` VALUES (176009, 6562, 33, 'कोणत्याही लॉग फाइल निवडलेली तारीख अस्तित्वात');
INSERT INTO `lang_definitions` VALUES (176010, 6565, 33, 'कोणत्याही पशुपालकांना, प्रेमळपणा');
INSERT INTO `lang_definitions` VALUES (176011, 6566, 33, 'दिलेल्या पुन्हा Idenitification कोड आढळले नाही सामन्यात रुग्णांच्या रेकॉर्ड');
INSERT INTO `lang_definitions` VALUES (176012, 6568, 33, 'जुळण्या आढळल्या नाहीत. पुन्हा शोध प्रयत्न करा.');
INSERT INTO `lang_definitions` VALUES (176013, 6569, 33, 'जुळण्या आढळल्या नाहीत.');
INSERT INTO `lang_definitions` VALUES (176014, 6570, 33, 'जुळण्या आढळल्या नाहीत. आता नवीन रुग्ण तयार करा?');
INSERT INTO `lang_definitions` VALUES (176015, 6571, 33, 'कोणतेही जुळणारे रेकॉर्ड सापडले');
INSERT INTO `lang_definitions` VALUES (176016, 6577, 33, 'नवीन परिणाम आढळले');
INSERT INTO `lang_definitions` VALUES (176017, 6578, 33, 'कोणत्याही टिपा');
INSERT INTO `lang_definitions` VALUES (176018, 6579, 33, 'कोणत्याही ogrganomegoly');
INSERT INTO `lang_definitions` VALUES (176019, 6580, 33, 'कोणत्याही संबंधी या काळात सापडले नाहीत.');
INSERT INTO `lang_definitions` VALUES (176020, 6583, 33, 'अन्य कोणताही फोन नंबर सूचीबद्ध');
INSERT INTO `lang_definitions` VALUES (176021, 6584, 33, 'पॅरामीटर निवड');
INSERT INTO `lang_definitions` VALUES (176022, 6585, 33, 'आढळली नाहीत भागीदार');
INSERT INTO `lang_definitions` VALUES (176023, 6586, 33, 'दिलेल्या निवड निकष आढळले नाही रुग्णांच्या रेकॉर्ड');
INSERT INTO `lang_definitions` VALUES (176024, 6587, 33, 'दिलेल्या पुन्हा ओळख कोड आढळले नाही रुग्णांच्या रेकॉर्ड');
INSERT INTO `lang_definitions` VALUES (176025, 6588, 33, 'कोणत्याही गौण सूज');
INSERT INTO `lang_definitions` VALUES (176026, 6589, 33, 'कोणत्याही औषध सापडले');
INSERT INTO `lang_definitions` VALUES (176027, 6590, 33, 'कोणत्याही चांगले आढळले');
INSERT INTO `lang_definitions` VALUES (176028, 6592, 33, 'कोणत्याही सादर आजार / दुखापत');
INSERT INTO `lang_definitions` VALUES (176029, 6593, 33, 'मागील नोंदी.');
INSERT INTO `lang_definitions` VALUES (176030, 6594, 33, 'कोणत्याही प्राथमिक व्यवसाय अस्तित्व सुविधा यादी निवडलेल्या');
INSERT INTO `lang_definitions` VALUES (176031, 6595, 33, 'नाही अगोदर चकमकी.');
INSERT INTO `lang_definitions` VALUES (176032, 6596, 33, 'या घटनेचा नाही कार्यपद्धती.');
INSERT INTO `lang_definitions` VALUES (176033, 6598, 33, 'कोणत्याही प्रदाते सापडले');
INSERT INTO `lang_definitions` VALUES (176034, 6599, 33, 'कोणत्याही पुरळ किंवा असामान्य विकृती');
INSERT INTO `lang_definitions` VALUES (176035, 6602, 33, 'कोणतीही रेकॉर्ड सापडले');
INSERT INTO `lang_definitions` VALUES (176036, 6604, 33, 'कोणत्याही रेकॉर्ड सापडले नाही. आपला शोध निकष विस्तृत करा.');
INSERT INTO `lang_definitions` VALUES (176037, 6607, 33, 'स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (176038, 6608, 33, 'कोणतेही परिणाम वरील शोध निकष, सापडले.');
INSERT INTO `lang_definitions` VALUES (176039, 6609, 33, 'परिणाम नाहीत');
INSERT INTO `lang_definitions` VALUES (176040, 6610, 33, 'कोणतेही परिणाम आढळले नाहीत');
INSERT INTO `lang_definitions` VALUES (176041, 6612, 33, 'कोणत्याही परिणाम साठी शोध सापडले');
INSERT INTO `lang_definitions` VALUES (176042, 6613, 33, 'कोणतेही परिणाम आढळले नाहीत, पुन्हा प्रयत्न करा.');
INSERT INTO `lang_definitions` VALUES (176043, 6614, 33, 'कोणतेही परिणाम, पुन्हा ट्रे करा.');
INSERT INTO `lang_definitions` VALUES (176044, 6615, 33, 'कोणतेही परिणाम, पुन्हा प्रयत्न करा.');
INSERT INTO `lang_definitions` VALUES (176045, 6617, 33, 'कोणत्याही सेटिंग्ज उपक्रमातील avaliable');
INSERT INTO `lang_definitions` VALUES (176046, 6618, 33, 'कोणताही शो');
INSERT INTO `lang_definitions` VALUES (176047, 6621, 33, 'फाइल नाही स्वाक्षर्या');
INSERT INTO `lang_definitions` VALUES (176048, 6622, 33, 'कोणत्याही सायनस दयाळूपणा:');
INSERT INTO `lang_definitions` VALUES (176049, 6623, 33, 'कोणत्याही त्वचा dimpling किंवा आईच्या गाठी');
INSERT INTO `lang_definitions` VALUES (176050, 6624, 33, 'नाही अशा CONTEXT NAME ना');
INSERT INTO `lang_definitions` VALUES (176051, 6625, 33, 'सारणी निवडले! एक टेबल निवडा.');
INSERT INTO `lang_definitions` VALUES (176052, 6626, 33, 'कोणत्याही testicular प्रेमळपणा, जनतेला');
INSERT INTO `lang_definitions` VALUES (176053, 6628, 33, 'कोणत्याही थरार किंवा heaves');
INSERT INTO `lang_definitions` VALUES (176054, 6629, 33, 'निवडलेला नाही ट्रॅक');
INSERT INTO `lang_definitions` VALUES (176055, 6630, 33, 'ट्रॅक दस्तऐवजीकरण गेले आहेत.');
INSERT INTO `lang_definitions` VALUES (176056, 6632, 33, 'कोणत्याही भेट');
INSERT INTO `lang_definitions` VALUES (176057, 6633, 33, 'कोणत्याही मर्मस्थाने दस्तऐवजीकरण गेले आहेत.');
INSERT INTO `lang_definitions` VALUES (176058, 6634, 33, 'नाही, रद्द करा');
INSERT INTO `lang_definitions` VALUES (176059, 6635, 33, 'ऑटो समावेश नाही-दोष विमा प्राथमिक आहे');
INSERT INTO `lang_definitions` VALUES (176060, 6636, 33, 'कोणत्याही:');
INSERT INTO `lang_definitions` VALUES (176061, 6637, 33, 'रात्री लघवी जास्त प्रमाणात होणे');
INSERT INTO `lang_definitions` VALUES (176062, 6638, 33, 'नॉन अदा');
INSERT INTO `lang_definitions` VALUES (176063, 6640, 33, 'नॉन अहवाल नोंदविले');
INSERT INTO `lang_definitions` VALUES (176064, 6641, 33, 'नॉन विशिष्ट इजा');
INSERT INTO `lang_definitions` VALUES (176065, 6642, 33, 'नॉन-इलेक्ट्रॉनिक');
INSERT INTO `lang_definitions` VALUES (176066, 6643, 33, 'नॉन-मधुमेहावरील रामबाण उपाय अवलंबून मधुमेह');
INSERT INTO `lang_definitions` VALUES (176067, 6644, 33, 'नॉन-विम्याची');
INSERT INTO `lang_definitions` VALUES (176068, 6646, 33, 'नॉन-SRH वैद्यकीय');
INSERT INTO `lang_definitions` VALUES (176069, 6647, 33, 'नॉन-SRH नॉन-वैद्यकीय');
INSERT INTO `lang_definitions` VALUES (176070, 6648, 33, 'काहीही');
INSERT INTO `lang_definitions` VALUES (176071, 6649, 33, 'कोणीही');
INSERT INTO `lang_definitions` VALUES (176072, 6650, 33, 'काहीही व्याख्या');
INSERT INTO `lang_definitions` VALUES (176073, 6652, 33, 'काहीही दस्तऐवजीकरण गेले आहेत');
INSERT INTO `lang_definitions` VALUES (176074, 6653, 33, 'वरीलपैकी काहीही नाही');
INSERT INTO `lang_definitions` VALUES (176075, 6654, 33, 'शीर्ष वितरण रो काहीही पूर्ण रिकामी होऊ शकतो.');
INSERT INTO `lang_definitions` VALUES (176076, 6683, 33, 'Noninsulin अवलंबून मधुमेह');
INSERT INTO `lang_definitions` VALUES (176077, 6684, 33, 'किंवा');
INSERT INTO `lang_definitions` VALUES (176078, 6685, 33, 'सामान्य');
INSERT INTO `lang_definitions` VALUES (176079, 6687, 33, 'सामान्य बी.एल.');
INSERT INTO `lang_definitions` VALUES (176080, 6688, 33, 'सामान्य कार्डिऍक परीक्षा:');
INSERT INTO `lang_definitions` VALUES (176081, 6689, 33, 'सामान्य कार्डिऍक परीक्षा:');
INSERT INTO `lang_definitions` VALUES (176082, 6690, 33, 'सामान्य फुफ्फुसांचा परीक्षा:');
INSERT INTO `lang_definitions` VALUES (176083, 6691, 33, 'सामान्य फुफ्फुसांचा परीक्षा:');
INSERT INTO `lang_definitions` VALUES (176084, 6692, 33, 'सामान्य कार्यालय भेट द्या');
INSERT INTO `lang_definitions` VALUES (176085, 6693, 33, 'सामान्य घशाखालील भाग:');
INSERT INTO `lang_definitions` VALUES (176086, 6694, 33, 'सामान्य अधिकार');
INSERT INTO `lang_definitions` VALUES (176087, 6695, 33, 'सामान्य अधिकार:');
INSERT INTO `lang_definitions` VALUES (176088, 6696, 33, 'सामान्य पहा');
INSERT INTO `lang_definitions` VALUES (176089, 6697, 33, 'सामान्य:');
INSERT INTO `lang_definitions` VALUES (176090, 6698, 33, 'साधारणपणे हे तपासले पाहिजे. नियंत्रण प्रवेश संबंधित नाही.');
INSERT INTO `lang_definitions` VALUES (176091, 6699, 33, 'उत्तरी देबेली');
INSERT INTO `lang_definitions` VALUES (176092, 6700, 33, 'नॉर्दन सामी');
INSERT INTO `lang_definitions` VALUES (176093, 6701, 33, 'नॉर्वेजियन');
INSERT INTO `lang_definitions` VALUES (176094, 6703, 33, 'नॉर्वेजियन बोकमाल');
INSERT INTO `lang_definitions` VALUES (176095, 6704, 33, 'नॉर्वेजियन न्योर्स्क');
INSERT INTO `lang_definitions` VALUES (176096, 6705, 33, 'नाक');
INSERT INTO `lang_definitions` VALUES (176097, 6706, 33, 'Nosebleed');
INSERT INTO `lang_definitions` VALUES (176098, 6707, 33, 'नाही एक पत्र किंवा संख्या');
INSERT INTO `lang_definitions` VALUES (176099, 6710, 33, 'सर्व फील्ड सर्व कोड किंवा कोड प्रकार आवश्यक आहेत नाही.');
INSERT INTO `lang_definitions` VALUES (176100, 6712, 33, 'परवानगी नाही');
INSERT INTO `lang_definitions` VALUES (176101, 6713, 33, 'प्रशासक गट हटवू परवानगी नाही');
INSERT INTO `lang_definitions` VALUES (176102, 6714, 33, 'संपादित करण्याची अनुमती नाही');
INSERT INTO `lang_definitions` VALUES (176103, 6715, 33, 'सर्व सुरक्षा वस्तू निष्क्रिय करण्याची परवानगी नाही');
INSERT INTO `lang_definitions` VALUES (176104, 6716, 33, 'नाही प्रशासक ACL यांना आधार देतो काही निष्क्रिय करण्याची परवानगी');
INSERT INTO `lang_definitions` VALUES (176105, 6717, 33, 'प्रशासक गट प्रशासक वापरकर्ता काढण्यासाठी परवानगी नाही');
INSERT INTO `lang_definitions` VALUES (176106, 6718, 33, 'प्रशासक गट या वापरकर्त्याच्या काढण्यासाठी परवानगी नाही');
INSERT INTO `lang_definitions` VALUES (176107, 6719, 33, 'लागू नाही');
INSERT INTO `lang_definitions` VALUES (176108, 6720, 33, 'PostCalendar विभाग प्रवेश करण्यास अधिकृत नाही');
INSERT INTO `lang_definitions` VALUES (176109, 6721, 33, 'अधिकृत नाही');
INSERT INTO `lang_definitions` VALUES (176110, 6722, 33, 'अधिकृत नाही');
INSERT INTO `lang_definitions` VALUES (176111, 6723, 33, 'या संघात अधिकृत नाही!');
INSERT INTO `lang_definitions` VALUES (176112, 6724, 33, 'या संघात अधिकृत नाही.');
INSERT INTO `lang_definitions` VALUES (176113, 6725, 33, 'वापरकर्ते व्यवस्थापित करण्यासाठी अधिकृत नाही!');
INSERT INTO `lang_definitions` VALUES (176114, 6726, 33, 'परिणाम साइन इन करण्यासाठी अधिकृत नाही');
INSERT INTO `lang_definitions` VALUES (176115, 6729, 33, 'उपलब्ध नाही');
INSERT INTO `lang_definitions` VALUES (176116, 6731, 33, 'बिल नाही');
INSERT INTO `lang_definitions` VALUES (176117, 6732, 33, 'चेक-इन केले नाही');
INSERT INTO `lang_definitions` VALUES (176118, 6733, 33, 'बाहेर तपासले नाही');
INSERT INTO `lang_definitions` VALUES (176119, 6734, 33, 'कोड नाही');
INSERT INTO `lang_definitions` VALUES (176120, 6736, 33, 'मुळे नाही');
INSERT INTO `lang_definitions` VALUES (176121, 6738, 33, 'तपासणी नाही');
INSERT INTO `lang_definitions` VALUES (176122, 6739, 33, 'तपासणी नाही:');
INSERT INTO `lang_definitions` VALUES (176123, 6740, 33, 'तपासणी नाही:');
INSERT INTO `lang_definitions` VALUES (176124, 6742, 33, 'आढळले नाही');
INSERT INTO `lang_definitions` VALUES (176125, 6744, 33, 'आढळले नाही!');
INSERT INTO `lang_definitions` VALUES (176126, 6745, 33, 'हिस्पॅनिक किंवा लॅटिनो नाही');
INSERT INTO `lang_definitions` VALUES (176127, 6746, 33, 'स्थापित नाही');
INSERT INTO `lang_definitions` VALUES (176128, 6747, 33, 'स्थापित नाही');
INSERT INTO `lang_definitions` VALUES (176129, 6751, 33, 'पासून पाहिले नाही');
INSERT INTO `lang_definitions` VALUES (176130, 6752, 33, 'पाठविले नाही');
INSERT INTO `lang_definitions` VALUES (176131, 6753, 33, 'नाही पण पाठविले');
INSERT INTO `lang_definitions` VALUES (176132, 6754, 33, 'हिन्दू नाही');
INSERT INTO `lang_definitions` VALUES (176133, 6755, 33, 'हिन्दू नाही.');
INSERT INTO `lang_definitions` VALUES (176134, 6758, 33, 'टीप');
INSERT INTO `lang_definitions` VALUES (176135, 6760, 33, 'टीप कोड');
INSERT INTO `lang_definitions` VALUES (176136, 6762, 33, 'तो आपण स्थापित क्लिक केल्यानंतर पूर्णपणे प्रक्रिया 5-10 मिनिटे लागतील टीप');
INSERT INTO `lang_definitions` VALUES (176137, 6763, 33, 'तुम्ही अपग्रेड क्लिक करा नंतर तो पूर्णपणे प्रक्रिया 5-10 मिनिटे लागतील टीप');
INSERT INTO `lang_definitions` VALUES (176138, 6764, 33, 'की ऑडिट लॉग लक्षात ठेवा वरील सक्षम करणे आवश्यक');
INSERT INTO `lang_definitions` VALUES (176139, 6771, 33, 'टीप प्रकार');
INSERT INTO `lang_definitions` VALUES (176140, 6772, 33, 'टीप: 12:00 दुपारी पंतप्रधान आहे, आहे नाही');
INSERT INTO `lang_definitions` VALUES (176141, 6773, 33, 'टीप: बाह्य डेटा आयात आपले हार्डवेअर संरचना अवलंबून एक तासापेक्षा अधिक घेऊ शकता. उदाहरणार्थ, RxNorm डेटा सारण्या एक 6 दशलक्ष पंक्ती जास्त असतात.');
INSERT INTO `lang_definitions` VALUES (176142, 6774, 33, 'सुचना: केवळ वर्षातून दोनदा आंतरराष्ट्रीय Snomed प्रकाशन सध्या समर्थीत आहे');
INSERT INTO `lang_definitions` VALUES (176143, 6776, 33, 'सुचना: केवळ पूर्ण मासिक RxNorm प्रकाशन सध्या समर्थीत आहे');
INSERT INTO `lang_definitions` VALUES (176144, 6780, 33, 'टीप: हा कोड अधिकृत वापरकर्ता नोंदलेली नाही. केवळ अधिकृत कोड प्रक्रिया उघडा वैद्यकीय बिल भरण्याची नेटवर्क अपलोड केले जाऊ शकते. आपण या कोड अपलोड करण्याची इच्छा असेल तर, येथे एक अधिकृत वापरकर्ता निवडा.');
INSERT INTO `lang_definitions` VALUES (176145, 6783, 33, 'सुचना: डुप्लिकेट नावे फायली अपलोड आपोआप पुनर्नामित करणे फाइल (उदाहरणार्थ, file.jpg file.1.jpg होईल) होऊ आहे. नाव रुग्ण दर, नाही श्रेणी प्रति अद्वितीय मानले जातात.');
INSERT INTO `lang_definitions` VALUES (176146, 6784, 33, 'सुचना: डुप्लिकेट नावे फायली अपलोड केलेल्या फाइल्स स्वयंचलितपणे नामकरण करतील. उदाहरणार्थ \'तो <i> file.jpg </ I>\' \'तो <i> file.jpg.1 </ I>\' होईल. नाव रुग्ण दर, नाही श्रेणी प्रति अद्वितीय मानले जातात.');
INSERT INTO `lang_definitions` VALUES (176147, 6785, 33, 'नोट्स');
INSERT INTO `lang_definitions` VALUES (176148, 6788, 33, 'नोट्स - कोणत्याही चकमकी (addonly पर्यायी, लिहा)');
INSERT INTO `lang_definitions` VALUES (176149, 6790, 33, 'नोट्स - माझ्या चकमकी (addonly पर्यायी, लिहा)');
INSERT INTO `lang_definitions` VALUES (176150, 6793, 33, 'अधिकृत नाही नोट्स');
INSERT INTO `lang_definitions` VALUES (176151, 6795, 33, 'मंजूरीसाठी प्रलंबित काहीही');
INSERT INTO `lang_definitions` VALUES (176152, 6796, 33, 'काहीही रेकॉर्ड');
INSERT INTO `lang_definitions` VALUES (176153, 6799, 33, 'काहीही ऍलर्जी साठी आयात करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (176154, 6800, 33, 'लिहून दिलेली औषधे व आयात काहीही');
INSERT INTO `lang_definitions` VALUES (176155, 6803, 33, 'दर्शवण्यासाठी काही नाही');
INSERT INTO `lang_definitions` VALUES (176156, 6804, 33, 'काहीही निवड करण्यात आली');
INSERT INTO `lang_definitions` VALUES (176157, 6807, 33, 'सूचना प्राप्त');
INSERT INTO `lang_definitions` VALUES (176158, 6808, 33, 'सूचना :: PostCalendar सादर / बदल');
INSERT INTO `lang_definitions` VALUES (176159, 6809, 33, 'सूचना');
INSERT INTO `lang_definitions` VALUES (176160, 6810, 33, 'सूचना ई-मेल पत्ता');
INSERT INTO `lang_definitions` VALUES (176161, 6815, 33, 'सूचना');
INSERT INTO `lang_definitions` VALUES (176162, 6816, 33, 'कार्यक्रम सबमिशनची / बदल बद्दल प्रशासन सूचित करा?');
INSERT INTO `lang_definitions` VALUES (176163, 6820, 33, 'नोव्हेंबर');
INSERT INTO `lang_definitions` VALUES (176164, 6821, 33, 'नोव्हेंबर');
INSERT INTO `lang_definitions` VALUES (176165, 6824, 33, 'आता पोस्ट:');
INSERT INTO `lang_definitions` VALUES (176166, 6825, 33, 'आता छपाई');
INSERT INTO `lang_definitions` VALUES (176167, 6826, 33, 'आता $ stmt_count स्टेटमेन्ट छपाई आणि चकमकी अद्ययावत करणे.');
INSERT INTO `lang_definitions` VALUES (176168, 6827, 33, 'आता $ stmt_count स्टेटमेन्ट छपाई आणि पावत्या अद्ययावत करणे.');
INSERT INTO `lang_definitions` VALUES (176169, 6828, 33, 'आता $ stmt_count स्टेटमेन्ट मुद्रण; चकमकी अद्यतनित केला जाणार नाही.');
INSERT INTO `lang_definitions` VALUES (176170, 6829, 33, 'आता $ stmt_count स्टेटमेन्ट मुद्रण; पावत्या अद्यतनित केला जाणार नाही.');
INSERT INTO `lang_definitions` VALUES (176171, 6834, 33, 'NPI');
INSERT INTO `lang_definitions` VALUES (176172, 6836, 33, 'NQF');
INSERT INTO `lang_definitions` VALUES (176173, 6837, 33, 'क्रमांक');
INSERT INTO `lang_definitions` VALUES (176174, 6838, 33, 'क्रमांक लॅब्ज');
INSERT INTO `lang_definitions` VALUES (176175, 6843, 33, 'वर्ष दृश्य स्तंभ संख्या.');
INSERT INTO `lang_definitions` VALUES (176176, 6850, 33, 'क्लायंट प्रमाणपत्र वैध आहे की दिवस संख्या.');
INSERT INTO `lang_definitions` VALUES (176177, 6852, 33, 'चलन, सहसा 0 किंवा 2 दशांश बिंदू नंतर अंक संख्या.');
INSERT INTO `lang_definitions` VALUES (176178, 6853, 33, 'चकमक क्रमांक प्रति पृष्ठ प्रदर्शित करण्यासाठी.');
INSERT INTO `lang_definitions` VALUES (176179, 6855, 33, 'जर असेल तर खेळ किंवा प्रसंग संख्या, नाही');
INSERT INTO `lang_definitions` VALUES (176180, 6856, 33, 'आगाऊ तास संख्या ईमेल सूचना पाठवू.');
INSERT INTO `lang_definitions` VALUES (176181, 6857, 33, 'आगाऊ तास संख्या फोन सूचना पाठविण्यासाठी.');
INSERT INTO `lang_definitions` VALUES (176182, 6858, 33, 'आगाऊ तास संख्या एसएमएस सूचना पाठवू.');
INSERT INTO `lang_definitions` VALUES (176183, 6862, 33, 'गेल्या इतिहास स्तंभ संख्या');
INSERT INTO `lang_definitions` VALUES (176184, 6863, 33, 'रुग्णांची संख्या रुग्ण यादीत प्रति पृष्ठ प्रदर्शित करण्यासाठी.');
INSERT INTO `lang_definitions` VALUES (176185, 6864, 33, 'नाण्यासारखा');
INSERT INTO `lang_definitions` VALUES (176186, 6865, 33, 'अंश');
INSERT INTO `lang_definitions` VALUES (176187, 6866, 33, 'अंकीय प्रदर्शन आदेश');
INSERT INTO `lang_definitions` VALUES (176188, 6867, 33, 'Nuosu');
INSERT INTO `lang_definitions` VALUES (176189, 6869, 33, 'पोषण');
INSERT INTO `lang_definitions` VALUES (176190, 6870, 33, 'पौष्टिक');
INSERT INTO `lang_definitions` VALUES (176191, 6871, 33, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (176192, 6872, 33, 'शनि, O2');
INSERT INTO `lang_definitions` VALUES (176193, 6874, 33, 'लठ्ठपणा मी');
INSERT INTO `lang_definitions` VALUES (176194, 6875, 33, 'लठ्ठपणा दुसरा');
INSERT INTO `lang_definitions` VALUES (176195, 6876, 33, 'लठ्ठपणा तिसरा');
INSERT INTO `lang_definitions` VALUES (176196, 6877, 33, 'उद्देश');
INSERT INTO `lang_definitions` VALUES (176197, 6885, 33, 'ऑक्सितान');
INSERT INTO `lang_definitions` VALUES (176198, 6886, 33, 'उद्योग');
INSERT INTO `lang_definitions` VALUES (176199, 6889, 33, 'घटना');
INSERT INTO `lang_definitions` VALUES (176200, 6890, 33, 'ऑक्टोबर');
INSERT INTO `lang_definitions` VALUES (176201, 6891, 33, 'ऑक्टोबर');
INSERT INTO `lang_definitions` VALUES (176202, 6892, 33, 'ओव्हरड्राफ्ट');
INSERT INTO `lang_definitions` VALUES (176203, 6895, 33, 'च्या');
INSERT INTO `lang_definitions` VALUES (176204, 6896, 33, 'प्रमाणात');
INSERT INTO `lang_definitions` VALUES (176205, 6897, 33, 'गोळ्या');
INSERT INTO `lang_definitions` VALUES (176206, 6898, 33, 'महिन्याच्या प्रत्येक');
INSERT INTO `lang_definitions` VALUES (176207, 6899, 33, 'Ofc टिपा');
INSERT INTO `lang_definitions` VALUES (176208, 6900, 33, 'बंद');
INSERT INTO `lang_definitions` VALUES (176209, 6907, 33, 'कार्यालय टिपा');
INSERT INTO `lang_definitions` VALUES (176210, 6908, 33, 'कार्यालय भेट द्या');
INSERT INTO `lang_definitions` VALUES (176211, 6909, 33, 'अधिकृत क्लिनिकल गुणवत्ता उपाय (CQM) माप गट');
INSERT INTO `lang_definitions` VALUES (176212, 6910, 33, 'रुग्णांच्या पोर्टल offsite HTTPS दुवा.');
INSERT INTO `lang_definitions` VALUES (176213, 6911, 33, 'रुग्णांच्या पोर्टल offsite HTTPS दुवा. (रुग्णांच्या दुवा)');
INSERT INTO `lang_definitions` VALUES (176214, 6912, 33, 'Offsite रुग्णांच्या पोर्टल पासवर्ड');
INSERT INTO `lang_definitions` VALUES (176215, 6913, 33, 'Offsite रुग्णांच्या पोर्टल पासवर्ड (नोंदणीकृत नाही, तर रिक्त ठेवा).');
INSERT INTO `lang_definitions` VALUES (176216, 6914, 33, 'Offsite रुग्णांच्या पोर्टल प्रदाता आयडी');
INSERT INTO `lang_definitions` VALUES (176217, 6915, 33, 'Offsite रुग्णांच्या पोर्टल प्रदाता आयडी (नोंदणीकृत नाही, तर रिक्त ठेवा).');
INSERT INTO `lang_definitions` VALUES (176218, 6916, 33, 'Offsite रुग्णांच्या पोर्टल साइट पत्ता');
INSERT INTO `lang_definitions` VALUES (176219, 6917, 33, 'Offsite रुग्णांच्या पोर्टल साइट पत्ता (रुग्णांच्या दुवा)');
INSERT INTO `lang_definitions` VALUES (176220, 6918, 33, 'Offsite रुग्णांच्या पोर्टल वापरकर्तानाव');
INSERT INTO `lang_definitions` VALUES (176221, 6919, 33, 'Offsite रुग्णांच्या पोर्टल वापरकर्तानाव (नोंदणीकृत नाही, तर रिक्त ठेवा).');
INSERT INTO `lang_definitions` VALUES (176222, 6920, 33, 'Offsite पोर्टल वेब सेवा अपयशी');
INSERT INTO `lang_definitions` VALUES (176223, 6921, 33, 'संतती');
INSERT INTO `lang_definitions` VALUES (176224, 6922, 33, 'संतती इतिहास');
INSERT INTO `lang_definitions` VALUES (176225, 6925, 33, 'सुगंधी');
INSERT INTO `lang_definitions` VALUES (176226, 6926, 33, 'Ojibwe, ओजिब्वा');
INSERT INTO `lang_definitions` VALUES (176227, 6927, 33, 'ठीक आहे');
INSERT INTO `lang_definitions` VALUES (176228, 6929, 33, 'या इतर पॉपअप विंडो बंद करण्यासाठी ओके?');
INSERT INTO `lang_definitions` VALUES (176229, 6930, 33, 'दिनांक GCAC समस्या दुवा ओके');
INSERT INTO `lang_definitions` VALUES (176230, 6931, 33, 'जुने');
INSERT INTO `lang_definitions` VALUES (176231, 6932, 33, 'ओल्ड चर्च स्लाव्होनिक, चर्च स्लाव्होनिक, ओल्ड बल्गेरियन');
INSERT INTO `lang_definitions` VALUES (176232, 6933, 33, 'जुने ग्राहक');
INSERT INTO `lang_definitions` VALUES (176233, 6934, 33, 'जुने फ्रॅक्चर नॉन / अस्थिभंगाचे अयोग्य सांघणे');
INSERT INTO `lang_definitions` VALUES (176234, 6935, 33, 'डाव्या मेनू जुन्या शैली मांडणी');
INSERT INTO `lang_definitions` VALUES (176235, 6936, 33, 'शोध किंवा दुप्पट चेक न जुन्या प्रकारची स्थिर फॉर्म');
INSERT INTO `lang_definitions` VALUES (176236, 6937, 33, 'जुने');
INSERT INTO `lang_definitions` VALUES (176237, 6940, 33, 'वगळणे');
INSERT INTO `lang_definitions` VALUES (176238, 6941, 33, 'मान्य वगळणे');
INSERT INTO `lang_definitions` VALUES (176239, 6942, 33, 'रुग्ण लोकसंख्याशास्त्र मध्ये नियोक्ता माहिती वगळणे');
INSERT INTO `lang_definitions` VALUES (176240, 6943, 33, 'बनवायला झटपट नियोक्ते');
INSERT INTO `lang_definitions` VALUES (176241, 6944, 33, 'नंतर डोस भाग होण्यासाठी कोणत्या फॉर्म, मार्ग आणि मध्यांतर वगळणे');
INSERT INTO `lang_definitions` VALUES (176242, 6945, 33, 'विमा वगळणे आणि लोकसंख्याशास्त्र काही इतर गोष्टी तयार');
INSERT INTO `lang_definitions` VALUES (176243, 6946, 33, 'अंतर्गत वापरकर्त्यांसाठी वगळणे?');
INSERT INTO `lang_definitions` VALUES (176244, 6947, 33, 'सहकारी वेतन आयोगाच्या पैसे पद्धत वगळणे');
INSERT INTO `lang_definitions` VALUES (176245, 6948, 33, 'autoassign करण्यासाठी वगळणे');
INSERT INTO `lang_definitions` VALUES (176246, 6949, 33, 'रोजी');
INSERT INTO `lang_definitions` VALUES (176247, 6950, 33, 'वर');
INSERT INTO `lang_definitions` VALUES (176248, 6956, 33, 'हातावर');
INSERT INTO `lang_definitions` VALUES (176249, 6959, 33, 'ऑर्डर रोजी');
INSERT INTO `lang_definitions` VALUES (176250, 6960, 33, 'साइटवर');
INSERT INTO `lang_definitions` VALUES (176251, 6975, 33, 'प्राथमिक व्यवसाय सुविधा सेट झाल्यावर, ते बदलले जाऊ नये. सुविधा बदलणे NewCrop ePrescription कार्य प्रभावित करेल.');
INSERT INTO `lang_definitions` VALUES (176252, 6979, 33, 'आपण आपला संकेतशब्द बदलला एकदा, आपण पुन्हा लॉग इन करणे आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (176253, 6996, 33, 'ऑनलाईन समर्थन');
INSERT INTO `lang_definitions` VALUES (176254, 6997, 33, 'ऑनलाईन समर्थन दुवा');
INSERT INTO `lang_definitions` VALUES (176255, 6999, 33, 'फक्त सक्रिय');
INSERT INTO `lang_definitions` VALUES (176256, 7000, 33, 'फक्त लागू प्रदाता किंवा collated यादी वरील निवड करण्यात आली होती तर. केवळ प्राथमिक प्रदाता प्राथमिक प्रदाता आहे की रुग्णांना निवडते. चकमकीत प्रदाता पाहिले आहे की सर्व रुग्णांना निवडते.');
INSERT INTO `lang_definitions` VALUES (176257, 7004, 33, 'फक्त तर बिलिंग स्थान');
INSERT INTO `lang_definitions` VALUES (176258, 7006, 33, 'फक्त निष्क्रिय');
INSERT INTO `lang_definitions` VALUES (176259, 7007, 33, 'फक्त माझे');
INSERT INTO `lang_definitions` VALUES (176260, 7011, 33, 'फक्त शो निदान अहवाल कोड');
INSERT INTO `lang_definitions` VALUES (176261, 7012, 33, 'फक्त शो सेवा कोड वित्त अहवाल कोड');
INSERT INTO `lang_definitions` VALUES (176262, 7013, 33, 'फक्त सक्रीय चांगले अपलोड');
INSERT INTO `lang_definitions` VALUES (176263, 7016, 33, 'चालू लक्षणे किंवा आजार दिसायला लागायच्या');
INSERT INTO `lang_definitions` VALUES (176264, 7017, 33, 'आजार दिसायला लागायच्या:');
INSERT INTO `lang_definitions` VALUES (176265, 7018, 33, 'Ilness दिसायला लागायच्या:');
INSERT INTO `lang_definitions` VALUES (176266, 7019, 33, 'सूज दिसायला लागायच्या:');
INSERT INTO `lang_definitions` VALUES (176267, 7022, 33, 'दिसायला लागायच्या / हॉस्पिटल. तारीख:');
INSERT INTO `lang_definitions` VALUES (176268, 7026, 33, 'Onsite रुग्णांच्या पोर्टल साइट पत्ता');
INSERT INTO `lang_definitions` VALUES (176269, 7030, 33, 'अरेरे!');
INSERT INTO `lang_definitions` VALUES (176270, 7031, 33, 'ओपन');
INSERT INTO `lang_definitions` VALUES (176271, 7040, 33, 'नवीन विंडोमध्ये उघडा');
INSERT INTO `lang_definitions` VALUES (176272, 7042, 33, 'ओपन रुग्णांच्या');
INSERT INTO `lang_definitions` VALUES (176273, 7046, 33, 'ओपन Today`s भेट द्या');
INSERT INTO `lang_definitions` VALUES (176274, 7071, 33, 'OpenEMR आधीच एक प्रमाणपत्र अधिकृतता कॉन्फिगर केले आहे.');
INSERT INTO `lang_definitions` VALUES (176275, 7074, 33, 'OpenEMR अर्ज वर्ग');
INSERT INTO `lang_definitions` VALUES (176276, 7076, 33, 'OpenEMR डेटाबेस अपग्रेड');
INSERT INTO `lang_definitions` VALUES (176277, 7077, 33, 'डी-ओळखीसाठी OpenEMR डेटाबेस अपग्रेड');
INSERT INTO `lang_definitions` VALUES (176278, 7078, 33, 'OpenEMR योगदान डिरेक्टरी मध्ये येणारे फाइल ओळखत नाही. तुम्ही, MySQL डेटाबेस मध्ये supported_external_dataloads टेबल मध्ये प्रकाशन संरचीत करणे आवश्यक आहे कारण हे सर्वात शक्यता आहे.');
INSERT INTO `lang_definitions` VALUES (176279, 7080, 33, 'तो क्लायंट प्रमाणपत्र तयार करू शकता करण्यापूर्वी OpenEMR प्रमाणपत्रे वापरण्यासाठी कॉन्फिगर केले जाऊ आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (176280, 7084, 33, 'OpenEMR वापरकर्ता प्रमाणीकरण करण्यासाठी Javascript आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (176281, 7085, 33, 'OpenEMR वापरकर्ते');
INSERT INTO `lang_definitions` VALUES (176282, 7086, 33, 'संबंधी');
INSERT INTO `lang_definitions` VALUES (176283, 7092, 33, 'Opthalmic');
INSERT INTO `lang_definitions` VALUES (176284, 7095, 33, 'पर्याय');
INSERT INTO `lang_definitions` VALUES (176285, 7097, 33, 'पर्याय दस्तऐवज संचय पद्धत जतन करणे.');
INSERT INTO `lang_definitions` VALUES (176286, 7098, 33, 'पर्याय यादी आणि उत्पादने विक्री समर्थन');
INSERT INTO `lang_definitions` VALUES (176287, 7099, 33, 'पर्यायी');
INSERT INTO `lang_definitions` VALUES (176288, 7100, 33, 'रुग्ण सारांश पृष्ठ पाहिले जाऊ शकते की एक ओळखपत्र प्रतिमा पर्यायी श्रेणी नाव.');
INSERT INTO `lang_definitions` VALUES (176289, 7101, 33, 'रुग्ण सारांश पृष्ठ पाहिले जाऊ शकते की फोटो प्रतिमा पर्यायी श्रेणी नाव.');
INSERT INTO `lang_definitions` VALUES (176290, 7102, 33, 'दस्तऐवजाची पर्यायी श्रेणी नाव रुग्णाच्या सारांश पृष्ठ या निर्देशित पानाशी जोडले आहेत. आपण त्यांच्या ओळखपत्र पाहण्यासाठी एक रुग्ण नावावर क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (176291, 7103, 33, 'परिणाम स्वहस्ते नोंद पर्यायी मुलभूत श्रेणी');
INSERT INTO `lang_definitions` VALUES (176292, 7104, 33, 'परिणाम स्वहस्ते नोंद पर्यायी मुलभूत युनिट');
INSERT INTO `lang_definitions` VALUES (176293, 7105, 33, 'पर्यायी गंतव्य नाव');
INSERT INTO `lang_definitions` VALUES (176294, 7107, 33, 'पर्यायी औषध नाव, वाइल्डकार्ड म्हणून% वापर');
INSERT INTO `lang_definitions` VALUES (176295, 7110, 33, 'पर्यायी लसीकरण नाव किंवा कोड, एक वाइल्डकार्ड म्हणून% वापर');
INSERT INTO `lang_definitions` VALUES (176296, 7111, 33, 'हा कार्यक्रम बद्दल माहिती पर्यायी');
INSERT INTO `lang_definitions` VALUES (176297, 7112, 33, 'पर्यायी भरपूर संख्या एक वाइल्डकार्ड म्हणून% वापर');
INSERT INTO `lang_definitions` VALUES (176298, 7113, 33, 'पर्यायी अंकीय रुग्ण आयडी');
INSERT INTO `lang_definitions` VALUES (176299, 7114, 33, 'पर्यायी प्रक्रिया कोड');
INSERT INTO `lang_definitions` VALUES (176300, 7115, 33, 'पर्यायी पद्धत / सेवा कोड');
INSERT INTO `lang_definitions` VALUES (176301, 7116, 33, 'पर्याय');
INSERT INTO `lang_definitions` VALUES (176302, 7117, 33, 'किंवा');
INSERT INTO `lang_definitions` VALUES (176303, 7118, 33, 'किंवा');
INSERT INTO `lang_definitions` VALUES (176304, 7119, 33, 'किंवा निवडा');
INSERT INTO `lang_definitions` VALUES (176305, 7120, 33, 'किंवा क्लिक करा आणि जलद निवड ड्रॅग करा.');
INSERT INTO `lang_definitions` VALUES (176306, 7122, 33, 'किंवा बाहेर');
INSERT INTO `lang_definitions` VALUES (176307, 7123, 33, 'किंवा यादी निवडा');
INSERT INTO `lang_definitions` VALUES (176308, 7124, 33, 'किंवा ते कमी करण्यासाठी Shift-क्लिक करा');
INSERT INTO `lang_definitions` VALUES (176309, 7125, 33, 'किंवा ईआरए फाइल अपलोड करा:');
INSERT INTO `lang_definitions` VALUES (176310, 7127, 33, 'तोंडावाटे');
INSERT INTO `lang_definitions` VALUES (176311, 7128, 33, 'तोंडावाटे श्लेष्मल त्वचा गुलाबी, स्पष्ट घसा');
INSERT INTO `lang_definitions` VALUES (176312, 7129, 33, 'ऑर्डर');
INSERT INTO `lang_definitions` VALUES (176313, 7131, 33, 'ऑर्डर आणि निकाल प्रकार');
INSERT INTO `lang_definitions` VALUES (176314, 7132, 33, 'ऑर्डर कॅटलॉग');
INSERT INTO `lang_definitions` VALUES (176315, 7133, 33, 'ऑर्डर तारीख');
INSERT INTO `lang_definitions` VALUES (176316, 7134, 33, 'ऑर्डर वर्णन');
INSERT INTO `lang_definitions` VALUES (176317, 7136, 33, 'पासून ऑर्डर');
INSERT INTO `lang_definitions` VALUES (176318, 7137, 33, 'क्रम आयडी');
INSERT INTO `lang_definitions` VALUES (176319, 7138, 33, 'ऑर्डर 1 आणि 999 दरम्यान एक संख्या असणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (176320, 7140, 33, 'ऑर्डर नाव');
INSERT INTO `lang_definitions` VALUES (176321, 7142, 33, 'ऑर्डर अग्रक्रम');
INSERT INTO `lang_definitions` VALUES (176322, 7143, 33, 'ऑर्डर प्रोसेसर');
INSERT INTO `lang_definitions` VALUES (176323, 7145, 33, 'ऑर्डर परिणाम');
INSERT INTO `lang_definitions` VALUES (176324, 7146, 33, 'ऑर्डर स्थिती');
INSERT INTO `lang_definitions` VALUES (176325, 7147, 33, 'ऑर्डर पुतळे');
INSERT INTO `lang_definitions` VALUES (176326, 7148, 33, 'ऑर्डर सारांश');
INSERT INTO `lang_definitions` VALUES (176327, 7149, 33, 'ऑर्डर ट्रॅक');
INSERT INTO `lang_definitions` VALUES (176328, 7150, 33, 'ऑर्डर प्रकार');
INSERT INTO `lang_definitions` VALUES (176329, 7152, 33, 'ऑर्डर / परिणाम प्रकार');
INSERT INTO `lang_definitions` VALUES (176330, 7153, 33, 'आदेश दिले');
INSERT INTO `lang_definitions` VALUES (176331, 7154, 33, 'करून आदेश दिले');
INSERT INTO `lang_definitions` VALUES (176332, 7155, 33, 'आदेश दिले प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (176333, 7159, 33, 'क्रम प्रदाता');
INSERT INTO `lang_definitions` VALUES (176334, 7163, 33, 'ऑर्डर मार्ग');
INSERT INTO `lang_definitions` VALUES (176335, 7166, 33, 'अवयव इजा');
INSERT INTO `lang_definitions` VALUES (176336, 7167, 33, 'संघटना');
INSERT INTO `lang_definitions` VALUES (176337, 7168, 33, 'संस्थेचे नाव');
INSERT INTO `lang_definitions` VALUES (176338, 7169, 33, 'संस्थात्मक एकक नाव');
INSERT INTO `lang_definitions` VALUES (176339, 7170, 33, 'संस्था');
INSERT INTO `lang_definitions` VALUES (176340, 7171, 33, 'X 3 orientated');
INSERT INTO `lang_definitions` VALUES (176341, 7175, 33, 'मूळ');
INSERT INTO `lang_definitions` VALUES (176342, 7176, 33, 'मूळ चेकसम');
INSERT INTO `lang_definitions` VALUES (176343, 7179, 33, 'ओरिया');
INSERT INTO `lang_definitions` VALUES (176344, 7180, 33, 'ओरोमो');
INSERT INTO `lang_definitions` VALUES (176345, 7181, 33, 'घशाखालील भाग:');
INSERT INTO `lang_definitions` VALUES (176346, 7184, 33, 'Orthopnea');
INSERT INTO `lang_definitions` VALUES (176347, 7188, 33, 'ओएस');
INSERT INTO `lang_definitions` VALUES (176348, 7189, 33, 'Osetoarthritis');
INSERT INTO `lang_definitions` VALUES (176349, 7190, 33, 'ओसेशियन Name, ओस्सेटिक');
INSERT INTO `lang_definitions` VALUES (176350, 7191, 33, 'अस्थीचिकित्सेबाबत');
INSERT INTO `lang_definitions` VALUES (176351, 7193, 33, 'इतर');
INSERT INTO `lang_definitions` VALUES (176352, 7194, 33, 'इतर');
INSERT INTO `lang_definitions` VALUES (176353, 7196, 33, 'इतर (स्पष्ट करा)');
INSERT INTO `lang_definitions` VALUES (176354, 7198, 33, 'इतर - हिन्दू');
INSERT INTO `lang_definitions` VALUES (176355, 7201, 33, 'इतर फेडरल कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (176356, 7202, 33, 'इतर HCFA');
INSERT INTO `lang_definitions` VALUES (176357, 7203, 33, 'इतर इजा इतरत्र निर्दिष्ट नाही');
INSERT INTO `lang_definitions` VALUES (176358, 7204, 33, 'इतर दायित्व विमा प्राथमिक आहे');
INSERT INTO `lang_definitions` VALUES (176359, 7206, 33, 'महिना');
INSERT INTO `lang_definitions` VALUES (176360, 7207, 33, 'इतर नॉन-फेडरल कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (176361, 7208, 33, 'इतर टिपा');
INSERT INTO `lang_definitions` VALUES (176362, 7209, 33, 'इतर सुसंबध्द लक्षणे');
INSERT INTO `lang_definitions` VALUES (176363, 7210, 33, 'इतर सुसंबध्द लक्षणे:');
INSERT INTO `lang_definitions` VALUES (176364, 7213, 33, 'इतर पोर्तुगाल resp');
INSERT INTO `lang_definitions` VALUES (176365, 7215, 33, 'वापर इजा चेंडू इतर ताण /');
INSERT INTO `lang_definitions` VALUES (176366, 7216, 33, 'सर्जिकल इतर');
INSERT INTO `lang_definitions` VALUES (176367, 7217, 33, 'इतर / जेनेरिक गर्भपात-संबंधित');
INSERT INTO `lang_definitions` VALUES (176368, 7219, 33, 'दुसरे काही');
INSERT INTO `lang_definitions` VALUES (176369, 7221, 33, 'अन्यथा आपण अस्तित्वातील डाटा पासून / संदर्भ नाश करीन.');
INSERT INTO `lang_definitions` VALUES (176370, 7224, 33, 'ऑटवा पायाचा घोटा नियम');
INSERT INTO `lang_definitions` VALUES (176371, 7225, 33, 'OU');
INSERT INTO `lang_definitions` VALUES (176372, 7227, 33, 'झेल.एकही');
INSERT INTO `lang_definitions` VALUES (176373, 7228, 33, 'कार्यालय आउट');
INSERT INTO `lang_definitions` VALUES (176374, 7230, 33, 'परदेशी रेफरल');
INSERT INTO `lang_definitions` VALUES (176375, 7231, 33, 'परिणाम');
INSERT INTO `lang_definitions` VALUES (176376, 7234, 33, 'आउटलुक');
INSERT INTO `lang_definitions` VALUES (176377, 7236, 33, 'आउटपुट प्रकार');
INSERT INTO `lang_definitions` VALUES (176378, 7239, 33, 'डिस्चार्ज एकूण स्थिती');
INSERT INTO `lang_definitions` VALUES (176379, 7240, 33, 'थकीत');
INSERT INTO `lang_definitions` VALUES (176380, 7244, 33, 'Overuse');
INSERT INTO `lang_definitions` VALUES (176381, 7245, 33, 'विहंगावलोकन');
INSERT INTO `lang_definitions` VALUES (176382, 7246, 33, 'जादा वजन');
INSERT INTO `lang_definitions` VALUES (176383, 7247, 33, 'HIPAA निवड पुन्हा खोडून');
INSERT INTO `lang_definitions` VALUES (176384, 7249, 33, 'ऑक्सिजन संपृक्तता');
INSERT INTO `lang_definitions` VALUES (176385, 7250, 33, 'औंस');
INSERT INTO `lang_definitions` VALUES (176386, 7251, 33, 'पी');
INSERT INTO `lang_definitions` VALUES (176387, 7252, 33, 'p.c.');
INSERT INTO `lang_definitions` VALUES (176388, 7253, 33, 'घेता');
INSERT INTO `lang_definitions` VALUES (176389, 7254, 33, 'p.r.n.');
INSERT INTO `lang_definitions` VALUES (176390, 7258, 33, 'पॅसिफिक आयलॅंडर');
INSERT INTO `lang_definitions` VALUES (176391, 7259, 33, 'Paedeatric');
INSERT INTO `lang_definitions` VALUES (176392, 7260, 33, 'पृष्ठ');
INSERT INTO `lang_definitions` VALUES (176393, 7263, 33, 'पृष्ठे');
INSERT INTO `lang_definitions` VALUES (176394, 7264, 33, 'सशुल्क');
INSERT INTO `lang_definitions` VALUES (176395, 7265, 33, 'तुम्ही वाटप करतो की देय रक्कम');
INSERT INTO `lang_definitions` VALUES (176396, 7266, 33, 'सशुल्क रक्कम');
INSERT INTO `lang_definitions` VALUES (176397, 7267, 33, 'सशुल्क मार्गे');
INSERT INTO `lang_definitions` VALUES (176398, 7268, 33, 'वेदना');
INSERT INTO `lang_definitions` VALUES (176399, 7271, 33, 'कापणे');
INSERT INTO `lang_definitions` VALUES (176400, 7274, 33, 'पँजाबी Name, पंजाबी');
INSERT INTO `lang_definitions` VALUES (176401, 7275, 33, 'प्रकल्पग्रस्त डाग');
INSERT INTO `lang_definitions` VALUES (176402, 7276, 33, 'पेपर');
INSERT INTO `lang_definitions` VALUES (176403, 7277, 33, 'कागद आकार');
INSERT INTO `lang_definitions` VALUES (176404, 7278, 33, 'अर्धांगवायू');
INSERT INTO `lang_definitions` VALUES (176405, 7279, 33, 'पालक');
INSERT INTO `lang_definitions` VALUES (176406, 7284, 33, 'पार्स HL7');
INSERT INTO `lang_definitions` VALUES (176407, 7289, 33, 'भागीदार');
INSERT INTO `lang_definitions` VALUES (176408, 7290, 33, 'भागीदार नाव');
INSERT INTO `lang_definitions` VALUES (176409, 7293, 33, 'पश्तो, पश्तो');
INSERT INTO `lang_definitions` VALUES (176410, 7294, 33, 'पास लिहिलंय');
INSERT INTO `lang_definitions` VALUES (176411, 7295, 33, 'दस्तऐवज उकल करण्यासाठी वाक्यांश पास');
INSERT INTO `lang_definitions` VALUES (176412, 7296, 33, 'उत्तीर्ण रुग्णांना');
INSERT INTO `lang_definitions` VALUES (176413, 7297, 33, 'निष्क्रीय अॅलर्ट');
INSERT INTO `lang_definitions` VALUES (176414, 7299, 33, 'निष्क्रीय अॅलर्ट नियम');
INSERT INTO `lang_definitions` VALUES (176415, 7301, 33, 'पासवर्ड');
INSERT INTO `lang_definitions` VALUES (176416, 7302, 33, 'पासवर्ड बदला');
INSERT INTO `lang_definitions` VALUES (176417, 7303, 33, 'संकेतशब्द बदल यशस्वी');
INSERT INTO `lang_definitions` VALUES (176418, 7304, 33, 'पासवर्ड यशस्वी बदला.');
INSERT INTO `lang_definitions` VALUES (176419, 7306, 33, 'पासवर्ड किमान आवश्यकता पूर्ण करत नाही आणि चार खालील आयटम किमान तीन असणे आवश्यक आहे: एक संख्या, एक छोटे आकार पत्र, एक लोअरकेस पत्र, विशेष अक्षर (नाही leter किंवा संख्या).');
INSERT INTO `lang_definitions` VALUES (176420, 7308, 33, 'पासवर्ड समाप्ती अतिरिक्त कालावधी');
INSERT INTO `lang_definitions` VALUES (176421, 7310, 33, 'फोन गेटवे पासवर्ड. Maviq द्वारे प्रदान स्वयंचलित VoIP सेवा. अधिक माहितीसाठी http://signup.maviq.com भेट द्या.');
INSERT INTO `lang_definitions` VALUES (176422, 7311, 33, 'एसएमएस गेटवे संकेतशब्द');
INSERT INTO `lang_definitions` VALUES (176423, 7312, 33, 'एसएमएस गेटवे पासवर्ड.');
INSERT INTO `lang_definitions` VALUES (176424, 7313, 33, 'वरील वापरकर्ता संकेतशब्द');
INSERT INTO `lang_definitions` VALUES (176425, 7314, 33, 'पासवर्ड सुरक्षा अलीकडे सुधारीत केले आहे.');
INSERT INTO `lang_definitions` VALUES (176426, 7315, 33, 'पासवर्ड CouchDB कनेक्ट करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (176427, 7316, 33, 'संकेतशब्द खूप लहान. किमान 8 वर्ण आवश्यक.');
INSERT INTO `lang_definitions` VALUES (176428, 7319, 33, 'पासवर्ड:');
INSERT INTO `lang_definitions` VALUES (176429, 7322, 33, 'पासवर्ड जुळत नका!');
INSERT INTO `lang_definitions` VALUES (176430, 7324, 33, 'मागील Appoinments');
INSERT INTO `lang_definitions` VALUES (176431, 7325, 33, 'मागील नियुक्ती प्रदर्शन विजेट');
INSERT INTO `lang_definitions` VALUES (176432, 7329, 33, 'गेल्या');
INSERT INTO `lang_definitions` VALUES (176433, 7330, 33, 'मागील मुळे');
INSERT INTO `lang_definitions` VALUES (176434, 7331, 33, 'गेल्या मुळे मध्यांतर (क्लिनिकल स्मरणपत्रे)');
INSERT INTO `lang_definitions` VALUES (176435, 7332, 33, 'गेल्या मुळे मध्यांतर (रुग्णांच्या स्मरणपत्रे)');
INSERT INTO `lang_definitions` VALUES (176436, 7333, 33, 'मागील चकमकीत यादी');
INSERT INTO `lang_definitions` VALUES (176437, 7334, 33, 'मागील Encounters');
INSERT INTO `lang_definitions` VALUES (176438, 7335, 33, 'मागील Encounters आणि दस्तऐवज');
INSERT INTO `lang_definitions` VALUES (176439, 7336, 33, 'गेल्या Encounters');
INSERT INTO `lang_definitions` VALUES (176440, 7344, 33, 'HL7 डेटा पेस्ट करा');
INSERT INTO `lang_definitions` VALUES (176441, 7345, 33, 'खाली दिलेल्या टेक्स्ट कक्षात आयात डेटा पेस्ट करा:');
INSERT INTO `lang_definitions` VALUES (176442, 7346, 33, 'पॅट');
INSERT INTO `lang_definitions` VALUES (176443, 7348, 33, 'ठिगळ');
INSERT INTO `lang_definitions` VALUES (176444, 7355, 33, 'इव्हेंट लॉग बॅकअप करीता मार्ग');
INSERT INTO `lang_definitions` VALUES (176445, 7356, 33, 'CA प्रमाणपत्र फाइल मार्ग');
INSERT INTO `lang_definitions` VALUES (176446, 7357, 33, 'सीए की फाइल मार्ग');
INSERT INTO `lang_definitions` VALUES (176447, 7358, 33, ', MySQL Binaries मार्ग');
INSERT INTO `lang_definitions` VALUES (176448, 7359, 33, 'पर्ल Binaries मार्ग');
INSERT INTO `lang_definitions` VALUES (176449, 7360, 33, 'तात्पुरत्या फाइल्स मार्ग');
INSERT INTO `lang_definitions` VALUES (176450, 7361, 33, 'रुग्णांच्या');
INSERT INTO `lang_definitions` VALUES (176451, 7362, 33, 'रुग्ण');
INSERT INTO `lang_definitions` VALUES (176452, 7363, 33, 'रुग्ण');
INSERT INTO `lang_definitions` VALUES (176453, 7365, 33, 'रुग्णांच्या पत्ता');
INSERT INTO `lang_definitions` VALUES (176454, 7366, 33, 'रुग्णांच्या पत्ता गहाळ आहे');
INSERT INTO `lang_definitions` VALUES (176455, 7369, 33, 'रुग्णांच्या ऍलर्जी');
INSERT INTO `lang_definitions` VALUES (176456, 7370, 33, 'रुग्णांच्या अॅलर्जी');
INSERT INTO `lang_definitions` VALUES (176457, 7373, 33, 'रुग्णांच्या नियुक्ती');
INSERT INTO `lang_definitions` VALUES (176458, 7374, 33, 'रुग्णांच्या शिल्लक');
INSERT INTO `lang_definitions` VALUES (176459, 7375, 33, 'रुग्णांच्या शिल्लक मुळे');
INSERT INTO `lang_definitions` VALUES (176460, 7379, 33, 'रुग्णांच्या चार्ट आयडी');
INSERT INTO `lang_definitions` VALUES (176461, 7381, 33, 'रुग्णांच्या चेकआऊट');
INSERT INTO `lang_definitions` VALUES (176462, 7382, 33, 'धीराने चेकआऊट');
INSERT INTO `lang_definitions` VALUES (176463, 7383, 33, 'रुग्णांच्या शहर');
INSERT INTO `lang_definitions` VALUES (176464, 7384, 33, 'रुग्णांच्या शहर गहाळ आहे');
INSERT INTO `lang_definitions` VALUES (176465, 7386, 33, 'पाठविले रुग्णांच्या दळणवळण');
INSERT INTO `lang_definitions` VALUES (176466, 7387, 33, 'पाठविलेला रुग्णांच्या Comunication');
INSERT INTO `lang_definitions` VALUES (176467, 7388, 33, 'रुग्णांच्या देश');
INSERT INTO `lang_definitions` VALUES (176468, 7389, 33, 'रुग्णांच्या देश गहाळ आहे. तसेच आपण ग्लोबल सेटिंग्ज मध्ये डीफॉल्ट रुग्णांच्या देश सेट केले नाही');
INSERT INTO `lang_definitions` VALUES (176469, 7390, 33, 'रुग्णांच्या व्याप्ती');
INSERT INTO `lang_definitions` VALUES (176470, 7394, 33, 'रुग्णांच्या डेटा');
INSERT INTO `lang_definitions` VALUES (176471, 7396, 33, 'जन्म रुग्णांच्या तारीख गहाळ आहे');
INSERT INTO `lang_definitions` VALUES (176472, 7401, 33, 'रुग्णांच्या तपशील');
INSERT INTO `lang_definitions` VALUES (176473, 7402, 33, 'रुग्णांच्या डीओबी');
INSERT INTO `lang_definitions` VALUES (176474, 7404, 33, 'रुग्णांच्या दस्तऐवज');
INSERT INTO `lang_definitions` VALUES (176475, 7410, 33, 'रुग्णांच्या शिक्षण');
INSERT INTO `lang_definitions` VALUES (176476, 7411, 33, 'रुग्णांच्या शिक्षण सामुग्री');
INSERT INTO `lang_definitions` VALUES (176477, 7412, 33, 'रुग्णांच्या आढळतात');
INSERT INTO `lang_definitions` VALUES (176478, 7413, 33, 'रुग्णांच्या चकमकीत फॉर्म');
INSERT INTO `lang_definitions` VALUES (176479, 7414, 33, 'रुग्णांच्या Encounters');
INSERT INTO `lang_definitions` VALUES (176480, 7415, 33, 'रुग्णांच्या फाइंडर');
INSERT INTO `lang_definitions` VALUES (176481, 7417, 33, 'रुग्णांच्या नाव');
INSERT INTO `lang_definitions` VALUES (176482, 7419, 33, 'रुग्णांच्या नाव गहाळ आहे');
INSERT INTO `lang_definitions` VALUES (176483, 7424, 33, 'रुग्णांच्या लिंग');
INSERT INTO `lang_definitions` VALUES (176484, 7425, 33, 'रुग्णांच्या लिंग गहाळ आहे');
INSERT INTO `lang_definitions` VALUES (176485, 7426, 33, 'रुग्णांच्या रुग्ण पोर्टल अधिकृत नाही.');
INSERT INTO `lang_definitions` VALUES (176486, 7428, 33, 'रुग्णांच्या इतिहास');
INSERT INTO `lang_definitions` VALUES (176487, 7429, 33, 'रुग्णांच्या इतिहास / जीवनशैली');
INSERT INTO `lang_definitions` VALUES (176488, 7430, 33, 'रुग्णांच्या मुख्यपृष्ठ फोन');
INSERT INTO `lang_definitions` VALUES (176489, 7431, 33, 'रुग्णांच्या आयडी');
INSERT INTO `lang_definitions` VALUES (176490, 7432, 33, 'रुग्णांच्या आयडी');
INSERT INTO `lang_definitions` VALUES (176491, 7433, 33, 'रुग्णांच्या ओळखपत्र');
INSERT INTO `lang_definitions` VALUES (176492, 7434, 33, 'रुग्णांच्या आयडी वर्गवारी नाव');
INSERT INTO `lang_definitions` VALUES (176493, 7437, 33, 'रुग्णांच्या लसीकरण');
INSERT INTO `lang_definitions` VALUES (176494, 7438, 33, 'रुग्णांच्या माहिती');
INSERT INTO `lang_definitions` VALUES (176495, 7440, 33, 'रुग्णांच्या सूचना');
INSERT INTO `lang_definitions` VALUES (176496, 7441, 33, 'रुग्णांच्या विमा वितरण');
INSERT INTO `lang_definitions` VALUES (176497, 7442, 33, 'रुग्णांच्या विमा वितरण अहवाल');
INSERT INTO `lang_definitions` VALUES (176498, 7445, 33, 'रुग्णांच्या मुद्दे');
INSERT INTO `lang_definitions` VALUES (176499, 7446, 33, 'रुग्णांच्या लेबल प्रकार');
INSERT INTO `lang_definitions` VALUES (176500, 7447, 33, 'रुग्णांच्या आडनाव');
INSERT INTO `lang_definitions` VALUES (176501, 7449, 33, 'रुग्णांच्या आडनाव गहाळ आहे');
INSERT INTO `lang_definitions` VALUES (176502, 7454, 33, 'रुग्णांच्या यादी');
INSERT INTO `lang_definitions` VALUES (176503, 7455, 33, 'रुग्णांच्या यादी स्तंभ');
INSERT INTO `lang_definitions` VALUES (176504, 7457, 33, 'रुग्णांच्या यादी नवीन विंडोमध्ये');
INSERT INTO `lang_definitions` VALUES (176505, 7458, 33, 'रुग्णांच्या यादी पृष्ठ आकार');
INSERT INTO `lang_definitions` VALUES (176506, 7460, 33, 'रुग्णांच्या शोधा चुका');
INSERT INTO `lang_definitions` VALUES (176507, 7463, 33, 'रुग्णांच्या वैद्यकीय समस्या');
INSERT INTO `lang_definitions` VALUES (176508, 7464, 33, 'रुग्णांच्या औषधे');
INSERT INTO `lang_definitions` VALUES (176509, 7470, 33, 'रुग्णांच्या नाव');
INSERT INTO `lang_definitions` VALUES (176510, 7472, 33, 'रुग्णांच्या नाव आणि पत्ता:');
INSERT INTO `lang_definitions` VALUES (176511, 7475, 33, 'रुग्णांच्या नाव आवश्यक');
INSERT INTO `lang_definitions` VALUES (176512, 7477, 33, 'रुग्णांच्या टीप');
INSERT INTO `lang_definitions` VALUES (176513, 7478, 33, 'रुग्णांच्या टीप प्रकार');
INSERT INTO `lang_definitions` VALUES (176514, 7479, 33, 'रुग्णांच्या टिपा');
INSERT INTO `lang_definitions` VALUES (176515, 7480, 33, 'रुग्णांच्या टीपा (पर्यायी addonly, लिहा)');
INSERT INTO `lang_definitions` VALUES (176516, 7482, 33, 'रुग्णांच्या क्रमांक');
INSERT INTO `lang_definitions` VALUES (176517, 7483, 33, 'रुग्णांच्या भरणा');
INSERT INTO `lang_definitions` VALUES (176518, 7485, 33, 'रुग्णांच्या फोटो वर्गवारी नाव');
INSERT INTO `lang_definitions` VALUES (176519, 7487, 33, 'रुग्णांच्या पोर्टल');
INSERT INTO `lang_definitions` VALUES (176520, 7490, 33, 'रुग्णांच्या पोर्टल कनेक्टिव्हिटी समस्या');
INSERT INTO `lang_definitions` VALUES (176521, 7492, 33, 'रुग्णांच्या पोर्टल बंद आहे');
INSERT INTO `lang_definitions` VALUES (176522, 7493, 33, 'रुग्णांच्या पोर्टल लॉग-इन');
INSERT INTO `lang_definitions` VALUES (176523, 7496, 33, 'रुग्णांच्या पोर्टल वेब पत्ता');
INSERT INTO `lang_definitions` VALUES (176524, 7497, 33, 'रुग्णांच्या छापील अहवाल');
INSERT INTO `lang_definitions` VALUES (176525, 7499, 33, 'रुग्णांच्या रेकॉर्ड अहवाल');
INSERT INTO `lang_definitions` VALUES (176526, 7500, 33, 'रुग्णांच्या रेकॉर्ड विनंती');
INSERT INTO `lang_definitions` VALUES (176527, 7501, 33, 'रुग्णांच्या रेकॉर्ड विनंती');
INSERT INTO `lang_definitions` VALUES (176528, 7503, 33, 'रुग्णांच्या स्मरणपत्र');
INSERT INTO `lang_definitions` VALUES (176529, 7505, 33, 'रुग्णांच्या स्मरणपत्र बॅच ईयोब');
INSERT INTO `lang_definitions` VALUES (176530, 7506, 33, 'रुग्णांच्या स्मरणपत्र निर्मिती प्रक्रिया प्राधान्य');
INSERT INTO `lang_definitions` VALUES (176531, 7507, 33, 'रुग्णांच्या स्मरणपत्र नियम');
INSERT INTO `lang_definitions` VALUES (176532, 7508, 33, 'रुग्णांच्या स्मरणपत्र प्रेषक ईमेल');
INSERT INTO `lang_definitions` VALUES (176533, 7509, 33, 'रुग्णांच्या स्मरणपत्र प्रेषकाचे नाव');
INSERT INTO `lang_definitions` VALUES (176534, 7510, 33, 'रुग्णांच्या स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (176535, 7514, 33, 'रुग्णांच्या अहवाल');
INSERT INTO `lang_definitions` VALUES (176536, 7518, 33, 'रुग्णांच्या विनंती');
INSERT INTO `lang_definitions` VALUES (176537, 7519, 33, 'रुग्णांच्या विनंती वैद्यकीय रेकॉर्ड');
INSERT INTO `lang_definitions` VALUES (176538, 7521, 33, 'रुग्णांच्या परिणाम');
INSERT INTO `lang_definitions` VALUES (176539, 7525, 33, 'रुग्णांच्या शोध परिणाम शैली');
INSERT INTO `lang_definitions` VALUES (176540, 7526, 33, 'रुग्णांच्या शोध जोडा / स्क्रीन');
INSERT INTO `lang_definitions` VALUES (176541, 7528, 33, 'रुग्णांच्या सेटिंग');
INSERT INTO `lang_definitions` VALUES (176542, 7533, 33, 'रुग्णांच्या राज्य');
INSERT INTO `lang_definitions` VALUES (176543, 7539, 33, 'रुग्णांच्या सारांश');
INSERT INTO `lang_definitions` VALUES (176544, 7542, 33, 'रुग्णांच्या व्यवहार');
INSERT INTO `lang_definitions` VALUES (176545, 7546, 33, 'रुग्णांच्या पिन');
INSERT INTO `lang_definitions` VALUES (176546, 7549, 33, 'आपण प्रविष्ट केलेला लोकसंख्याशास्त्रीय माहिती जुळत डाटाबेस सहनशील (चे).');
INSERT INTO `lang_definitions` VALUES (176547, 7550, 33, 'रुग्णांच्या / ग्राहक');
INSERT INTO `lang_definitions` VALUES (176548, 7551, 33, 'रुग्णांच्या:');
INSERT INTO `lang_definitions` VALUES (176549, 7552, 33, 'PatientID');
INSERT INTO `lang_definitions` VALUES (176550, 7553, 33, 'रुग्णांना');
INSERT INTO `lang_definitions` VALUES (176551, 7555, 33, 'रुग्णांना प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (176552, 7559, 33, 'द्या');
INSERT INTO `lang_definitions` VALUES (176553, 7560, 33, 'चेकबॉक्स \"पूर्ण झाले\" करण्यासाठी लक्ष द्या. इन्शुरन्सचे पूर्ण चिन्हांकित केली आहेत नंतर आम्ही बाकी अदा रुग्णाला विचारून सुरू होईल; आपण पूर्ण इन्शुरन्सचे सर्व चिन्हांकित अपयशी तर उर्वरित रक्कम गोळा जाणार नाही! रुग्णाला अदा करावी, असे समतोल आहे, तर या रुग्णाला स्टेटमेन्ट दिसणारे भाषा परिणाम होईल तसेच, नंतर, योग्य योग्य तारीख सेट.');
INSERT INTO `lang_definitions` VALUES (176554, 7563, 33, 'तारीख द्या:');
INSERT INTO `lang_definitions` VALUES (176555, 7566, 33, 'पे स्थिती');
INSERT INTO `lang_definitions` VALUES (176556, 7567, 33, 'ज्याला पैसे दिले तो मनुष्य नाव');
INSERT INTO `lang_definitions` VALUES (176557, 7568, 33, 'देणारा');
INSERT INTO `lang_definitions` VALUES (176558, 7572, 33, 'देणारा प्रकार');
INSERT INTO `lang_definitions` VALUES (176559, 7573, 33, 'भरणे');
INSERT INTO `lang_definitions` VALUES (176560, 7574, 33, 'अस्तित्व भरणे');
INSERT INTO `lang_definitions` VALUES (176561, 7575, 33, 'भरणा');
INSERT INTO `lang_definitions` VALUES (176562, 7576, 33, 'पैसे');
INSERT INTO `lang_definitions` VALUES (176563, 7577, 33, 'भरणा समायोजन कोड');
INSERT INTO `lang_definitions` VALUES (176564, 7578, 33, 'रक्कम');
INSERT INTO `lang_definitions` VALUES (176565, 7579, 33, 'भरणा रक्कम');
INSERT INTO `lang_definitions` VALUES (176566, 7580, 33, 'भरणा रक्कम संख्यात्मक असणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (176567, 7581, 33, 'भरणा वर्ग');
INSERT INTO `lang_definitions` VALUES (176568, 7583, 33, 'भरणा तारीख');
INSERT INTO `lang_definitions` VALUES (176569, 7584, 33, 'देयक वर प्रवेश केला');
INSERT INTO `lang_definitions` VALUES (176570, 7585, 33, 'पासून भरणा');
INSERT INTO `lang_definitions` VALUES (176571, 7586, 33, 'भरणा गेटवे');
INSERT INTO `lang_definitions` VALUES (176572, 7588, 33, 'भरणा इन');
INSERT INTO `lang_definitions` VALUES (176573, 7589, 33, 'भरणा यादी');
INSERT INTO `lang_definitions` VALUES (176574, 7590, 33, 'भरणा पद्धत');
INSERT INTO `lang_definitions` VALUES (176575, 7592, 33, 'करून भरणा क्रमवारी लावा');
INSERT INTO `lang_definitions` VALUES (176576, 7593, 33, 'भरणा स्थिती');
INSERT INTO `lang_definitions` VALUES (176577, 7597, 33, 'भरणा प्रकार');
INSERT INTO `lang_definitions` VALUES (176578, 7600, 33, 'कोड भरणा मूल्य');
INSERT INTO `lang_definitions` VALUES (176579, 7602, 33, 'देयके');
INSERT INTO `lang_definitions` VALUES (176580, 7606, 33, 'PCP');
INSERT INTO `lang_definitions` VALUES (176581, 7607, 33, 'PCT (%) पंक्ती');
INSERT INTO `lang_definitions` VALUES (176582, 7610, 33, 'पीडीएफ');
INSERT INTO `lang_definitions` VALUES (176583, 7614, 33, 'पीडीएफ डाउनलोड स्टेटमेन्ट निवडलेले');
INSERT INTO `lang_definitions` VALUES (176584, 7615, 33, 'पीडीएफ भाषा');
INSERT INTO `lang_definitions` VALUES (176585, 7620, 33, 'फॉन्ट आणि नितंब');
INSERT INTO `lang_definitions` VALUES (176586, 7621, 33, 'Pemphigus');
INSERT INTO `lang_definitions` VALUES (176587, 7624, 33, 'प्रलंबित');
INSERT INTO `lang_definitions` VALUES (176588, 7626, 33, 'मंजूरीसाठी प्रलंबित');
INSERT INTO `lang_definitions` VALUES (176589, 7629, 33, 'एफ / यू प्रलंबित');
INSERT INTO `lang_definitions` VALUES (176590, 7630, 33, 'प्रलंबित फॉलोअप');
INSERT INTO `lang_definitions` VALUES (176591, 7631, 33, 'परिणाम पासून प्रलंबित फॉलोअप');
INSERT INTO `lang_definitions` VALUES (176592, 7632, 33, 'ऑर्डर प्रलंबित');
INSERT INTO `lang_definitions` VALUES (176593, 7633, 33, 'प्रलंबित द्यावे');
INSERT INTO `lang_definitions` VALUES (176594, 7634, 33, 'प्रलंबित पुनरावलोकन');
INSERT INTO `lang_definitions` VALUES (176595, 7635, 33, 'प्रलंबित Rx संख्या');
INSERT INTO `lang_definitions` VALUES (176596, 7638, 33, 'पेनिंग्टन फर्म OpenEMR विरुद्ध');
INSERT INTO `lang_definitions` VALUES (176597, 7639, 33, 'पाचक व्रण रोग');
INSERT INTO `lang_definitions` VALUES (176598, 7640, 33, 'चकमकीत प्रति');
INSERT INTO `lang_definitions` VALUES (176599, 7641, 33, 'मि दर');
INSERT INTO `lang_definitions` VALUES (176600, 7642, 33, 'प्रति नाकपुडी');
INSERT INTO `lang_definitions` VALUES (176601, 7643, 33, 'नाकपुडी दर');
INSERT INTO `lang_definitions` VALUES (176602, 7644, 33, 'प्रति Oris');
INSERT INTO `lang_definitions` VALUES (176603, 7645, 33, 'oris दर');
INSERT INTO `lang_definitions` VALUES (176604, 7646, 33, 'गुदाशय प्रति');
INSERT INTO `lang_definitions` VALUES (176605, 7647, 33, 'गुदाशय दर');
INSERT INTO `lang_definitions` VALUES (176606, 7648, 33, 'टक्के');
INSERT INTO `lang_definitions` VALUES (176607, 7652, 33, 'शतमान');
INSERT INTO `lang_definitions` VALUES (176608, 7653, 33, 'सच्छिद्र अधिकार:');
INSERT INTO `lang_definitions` VALUES (176609, 7654, 33, 'शोध सुरू');
INSERT INTO `lang_definitions` VALUES (176610, 7655, 33, 'ही क्रिया');
INSERT INTO `lang_definitions` VALUES (176611, 7656, 33, 'कामगिरी टक्केवारी');
INSERT INTO `lang_definitions` VALUES (176612, 7659, 33, 'सुरू प्रयोगशाळा सुविधा');
INSERT INTO `lang_definitions` VALUES (176613, 7661, 33, 'कालावधी');
INSERT INTO `lang_definitions` VALUES (176614, 7662, 33, 'वापरकर्ता एक कालबाह्य पासवर्ड प्रवेश करू शकता, जेथे दिवसांत कालावधी.');
INSERT INTO `lang_definitions` VALUES (176615, 7663, 33, 'Perioperative केअर');
INSERT INTO `lang_definitions` VALUES (176616, 7665, 33, 'गौण');
INSERT INTO `lang_definitions` VALUES (176617, 7668, 33, 'Unsalted संकेतशब्द परवानगी');
INSERT INTO `lang_definitions` VALUES (176618, 7669, 33, 'पर्शियन');
INSERT INTO `lang_definitions` VALUES (176619, 7670, 33, 'फारसी (फारसी)');
INSERT INTO `lang_definitions` VALUES (176620, 7671, 33, 'व्यक्ती');
INSERT INTO `lang_definitions` VALUES (176621, 7672, 33, 'वैयक्तिकृत');
INSERT INTO `lang_definitions` VALUES (176622, 7675, 33, 'पदव्युत्तर');
INSERT INTO `lang_definitions` VALUES (176623, 7676, 33, 'Pharm');
INSERT INTO `lang_definitions` VALUES (176624, 7677, 33, 'Pharm कॉम संख्या');
INSERT INTO `lang_definitions` VALUES (176625, 7678, 33, 'औषध');
INSERT INTO `lang_definitions` VALUES (176626, 7680, 33, 'फार्मसी');
INSERT INTO `lang_definitions` VALUES (176627, 7681, 33, 'फार्मसी दवाखान्याला');
INSERT INTO `lang_definitions` VALUES (176628, 7688, 33, 'Pheumothorax');
INSERT INTO `lang_definitions` VALUES (176629, 7689, 33, 'सीसीडीची पाठवा परवानगी द्या phiMail');
INSERT INTO `lang_definitions` VALUES (176630, 7690, 33, 'phiMail CCR पाठवा परवानगी द्या');
INSERT INTO `lang_definitions` VALUES (176631, 7691, 33, 'phiMail संदेश मध्यांतर (मिनिटे) तपासा');
INSERT INTO `lang_definitions` VALUES (176632, 7692, 33, 'phiMail सूचना वापरकर्ता');
INSERT INTO `lang_definitions` VALUES (176633, 7693, 33, 'phiMail पासवर्ड');
INSERT INTO `lang_definitions` VALUES (176634, 7694, 33, 'phiMail सर्व्हर पत्ता');
INSERT INTO `lang_definitions` VALUES (176635, 7695, 33, 'phiMail वापरकर्तानाव');
INSERT INTO `lang_definitions` VALUES (176636, 7697, 33, 'फोन');
INSERT INTO `lang_definitions` VALUES (176637, 7699, 33, 'फोन कॉल सूची');
INSERT INTO `lang_definitions` VALUES (176638, 7701, 33, 'फोन कॉल यादी अहवाल');
INSERT INTO `lang_definitions` VALUES (176639, 7703, 33, 'फोन सेल');
INSERT INTO `lang_definitions` VALUES (176640, 7705, 33, 'फोन गेटवे पासवर्ड');
INSERT INTO `lang_definitions` VALUES (176641, 7706, 33, 'फोन गेटवे URL मध्ये');
INSERT INTO `lang_definitions` VALUES (176642, 7707, 33, 'फोन गेटवे वापरकर्तानाव');
INSERT INTO `lang_definitions` VALUES (176643, 7708, 33, 'फोन मुख्यपृष्ठ');
INSERT INTO `lang_definitions` VALUES (176644, 7709, 33, 'फोन सूचना तास');
INSERT INTO `lang_definitions` VALUES (176645, 7710, 33, 'फोन नंबर');
INSERT INTO `lang_definitions` VALUES (176646, 7711, 33, 'फोन नंबर');
INSERT INTO `lang_definitions` VALUES (176647, 7715, 33, 'प्रकाश सहन न होणे');
INSERT INTO `lang_definitions` VALUES (176648, 7716, 33, 'फोटो');
INSERT INTO `lang_definitions` VALUES (176649, 7717, 33, 'कृपया PHP संकुचित');
INSERT INTO `lang_definitions` VALUES (176650, 7718, 33, 'कृपया PHP वलय विभाग आपल्या सर्व्हर सक्षम करणे आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (176651, 7720, 33, 'कृपया PHP मिळवला');
INSERT INTO `lang_definitions` VALUES (176652, 7721, 33, 'PHP-GACL प्रवेश नियंत्रणे बंद आहेत');
INSERT INTO `lang_definitions` VALUES (176653, 7722, 33, 'कृपया PHP-gacl स्थापित नाही');
INSERT INTO `lang_definitions` VALUES (176654, 7723, 33, 'शारीरिक परीक्षा');
INSERT INTO `lang_definitions` VALUES (176655, 7725, 33, 'फिजिशियन विनंती');
INSERT INTO `lang_definitions` VALUES (176656, 7726, 33, 'फिजिशियन स्वाक्षरी');
INSERT INTO `lang_definitions` VALUES (176657, 7729, 33, 'डॉक्टरांची');
INSERT INTO `lang_definitions` VALUES (176658, 7733, 33, 'निवडा');
INSERT INTO `lang_definitions` VALUES (176659, 7734, 33, 'निवडा');
INSERT INTO `lang_definitions` VALUES (176660, 7735, 33, 'एक सीएसएस थीम निवडा.');
INSERT INTO `lang_definitions` VALUES (176661, 7738, 33, 'पी आय डी');
INSERT INTO `lang_definitions` VALUES (176662, 7740, 33, 'पी आय डी (ओटीपोटाच्या दाहक रोग)');
INSERT INTO `lang_definitions` VALUES (176663, 7741, 33, 'गोळी आकार');
INSERT INTO `lang_definitions` VALUES (176664, 7742, 33, 'गोळ्या');
INSERT INTO `lang_definitions` VALUES (176665, 7745, 33, 'प्रतिष्ठापीत करण्यासाठी पर्याय इच्छित असल्यास खालील निर्देशिका मध्ये डेटाबेस zip फाइल ठेवा');
INSERT INTO `lang_definitions` VALUES (176666, 7746, 33, 'खालील निर्देशिका मध्ये डाउनलोड ICD 10 डेटाबेस झिप फाइल ठेवा');
INSERT INTO `lang_definitions` VALUES (176667, 7747, 33, 'खालील निर्देशिका मध्ये डाउनलोड ICD 9 डेटाबेस zip फाइल ठेवा');
INSERT INTO `lang_definitions` VALUES (176668, 7748, 33, 'खालील निर्देशिका मध्ये डाउनलोड RxNorm डेटाबेस zip फाइल ठेवा');
INSERT INTO `lang_definitions` VALUES (176669, 7749, 33, 'खालील निर्देशिका मध्ये डाउनलोड Snomed डेटाबेस zip फाइल ठेवा');
INSERT INTO `lang_definitions` VALUES (176670, 7752, 33, 'प्लेसहोल्डर');
INSERT INTO `lang_definitions` VALUES (176671, 7753, 33, 'प्लेसहोल्डर (रिक्त ACLs करीता राखून ठेवेल)');
INSERT INTO `lang_definitions` VALUES (176672, 7756, 33, 'साधा मजकूर');
INSERT INTO `lang_definitions` VALUES (176673, 7757, 33, 'योजना');
INSERT INTO `lang_definitions` VALUES (176674, 7762, 33, 'योजनेचे नाव');
INSERT INTO `lang_definitions` VALUES (176675, 7768, 33, 'योजना सेट');
INSERT INTO `lang_definitions` VALUES (176676, 7773, 33, 'योजना:');
INSERT INTO `lang_definitions` VALUES (176677, 7776, 33, 'योजना');
INSERT INTO `lang_definitions` VALUES (176678, 7778, 33, 'प्लेअर');
INSERT INTO `lang_definitions` VALUES (176679, 7779, 33, 'जागा');
INSERT INTO `lang_definitions` VALUES (176680, 7780, 33, 'वरील माहिती चुकीची असेल तर कॉल करा');
INSERT INTO `lang_definitions` VALUES (176681, 7784, 33, 'कृपया आपला संकेतशब्द बदला.');
INSERT INTO `lang_definitions` VALUES (176682, 7785, 33, 'एक फाइल निवडा');
INSERT INTO `lang_definitions` VALUES (176683, 7786, 33, 'एक रुग्ण निवडा');
INSERT INTO `lang_definitions` VALUES (176684, 7787, 33, 'सूचीमधून एक वैध निवड निवडा.');
INSERT INTO `lang_definitions` VALUES (176685, 7788, 33, 'एक वैध निवड निवडा.');
INSERT INTO `lang_definitions` VALUES (176686, 7789, 33, 'एक मूल्य निवडा');
INSERT INTO `lang_definitions` VALUES (176687, 7790, 33, 'वरील तारीख श्रेणी मापदंड निवडा, आणि परिणाम पाहण्यासाठी रिफ्रेश क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (176688, 7791, 33, 'योग्य रूपण EDI-271 फाइल निवडा');
INSERT INTO `lang_definitions` VALUES (176689, 7792, 33, 'डे ओळखले डेटा डाउनलोड करण्यासाठी डाउनलोड बटण क्लिक करा');
INSERT INTO `lang_definitions` VALUES (176690, 7793, 33, 'पुन्हा ओळखले डेटा डाउनलोड करण्यासाठी डाउनलोड बटण क्लिक करा');
INSERT INTO `lang_definitions` VALUES (176691, 7795, 33, 'ही विंडो बंद करा.');
INSERT INTO `lang_definitions` VALUES (176692, 7796, 33, 'नवीन नाव तुलना करा');
INSERT INTO `lang_definitions` VALUES (176693, 7802, 33, 'पुढे जाण्यापूर्वी मूल्य (चे) दुरुस्त करा!');
INSERT INTO `lang_definitions` VALUES (176694, 7803, 33, 'पुढे जाण्यापूर्वी खालील निर्देशिका तयार करा');
INSERT INTO `lang_definitions` VALUES (176695, 7805, 33, 'तो facimile द्वारे प्राप्त केले जात नाही तोपर्यंत या नियम मान्य करू नका.');
INSERT INTO `lang_definitions` VALUES (176696, 7806, 33, 'तो पुस्तक द्वारे प्राप्त केले जात नाही तोपर्यंत या नियम मान्य करू नका.');
INSERT INTO `lang_definitions` VALUES (176697, 7807, 33, 'आपल्या ब्राउझर थांबवू किंवा हा लेख जास्त 10 मिनिटे कालावधी पश्चात आहेत तोपर्यंत चालत असताना बटण रीलोड वापरू नका कृपया, ही प्रक्रिया सर्व्हरवर थांबवू आणि uneccesary संसाधने नष्ट करीन होत नाही.');
INSERT INTO `lang_definitions` VALUES (176698, 7808, 33, 'वलय विस्तार सक्षम करा कृपया');
INSERT INTO `lang_definitions` VALUES (176699, 7809, 33, 'OpenSSL विस्तार सक्षम करा कृपया');
INSERT INTO `lang_definitions` VALUES (176700, 7810, 33, 'SOAP विस्तार सक्षम करा कृपया');
INSERT INTO `lang_definitions` VALUES (176701, 7811, 33, 'एक्स एम एल विस्तार सक्षम करा कृपया');
INSERT INTO `lang_definitions` VALUES (176702, 7813, 33, 'पुनरावलोकन अंतिम तारीख प्रविष्ट करा.');
INSERT INTO `lang_definitions` VALUES (176703, 7814, 33, 'एक तारीख प्रविष्ट करा.');
INSERT INTO `lang_definitions` VALUES (176704, 7816, 33, 'योग्य तारीख प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (176705, 7818, 33, 'कृपया संदेश प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (176706, 7819, 33, 'फक्त संख्या आणि एक दशांश चिन्ह वापरून आर्थिक रक्कम प्रविष्ट करा.');
INSERT INTO `lang_definitions` VALUES (176707, 7821, 33, 'एक नवीन संकेतशब्द प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (176708, 7822, 33, 'कृपया नाव प्रविष्ट करा!');
INSERT INTO `lang_definitions` VALUES (176709, 7824, 33, 'वर वैध थेट पत्ता प्रविष्ट करा.');
INSERT INTO `lang_definitions` VALUES (176710, 7825, 33, 'किमान आयटमची नाव प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (176711, 7826, 33, 'किमान ट्रॅक नाव प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (176712, 7828, 33, 'योग्य पुन्हा ओळख कोड प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (176713, 7829, 33, 'तारीख सुरू पेक्षा अंतिम तारीख मोठे प्रविष्ट करा!');
INSERT INTO `lang_definitions` VALUES (176714, 7832, 33, 'नवीन शोध स्ट्रिंग प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (176715, 7833, 33, 'योग्य पुन्हा ओळख कोड प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (176716, 7834, 33, 'संकेतशब्द प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (176717, 7843, 33, 'चेक क्रमांक भरा');
INSERT INTO `lang_definitions` VALUES (176718, 7844, 33, 'भरा कृपया तपासा / संदर्भ क्रमांक');
INSERT INTO `lang_definitions` VALUES (176719, 7845, 33, 'तारीख भरा');
INSERT INTO `lang_definitions` VALUES (176720, 7846, 33, 'भरणा रक्कम भरा');
INSERT INTO `lang_definitions` VALUES (176721, 7847, 33, 'भरणा वर्ग भरा');
INSERT INTO `lang_definitions` VALUES (176722, 7848, 33, 'पासून भरणा भरा');
INSERT INTO `lang_definitions` VALUES (176723, 7849, 33, 'पोस्ट करण्यासाठी तारीख भरा');
INSERT INTO `lang_definitions` VALUES (176724, 7850, 33, 'पुढे जाण्याआधी भरा.');
INSERT INTO `lang_definitions` VALUES (176725, 7854, 33, 'भेट कारण सूचित करा');
INSERT INTO `lang_definitions` VALUES (176726, 7855, 33, 'इनपुट शोध निकष अधिक आणि अहवाल सुरू करण्यासाठी सबमिट करा क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (176727, 7856, 33, 'इनपुट शोध निकष वरील, आणि क्लिक करा परिणाम पाहण्यासाठी सबमिट करा.');
INSERT INTO `lang_definitions` VALUES (176728, 7857, 33, 'इनपुट शोध निकष वरील, आणि क्लिक करा परिणाम पाहण्यासाठी सबमिट करा. (परिणाम एक पॉप अप विंडो मध्ये प्रदर्शित केले जाईल)');
INSERT INTO `lang_definitions` VALUES (176729, 7858, 33, 'पुन्हा लॉगिन करा.');
INSERT INTO `lang_definitions` VALUES (176730, 7859, 33, 'या काही मिनिटे पर्यंत, खूप वेळ लागू शकतो कृपया लक्षात घ्या की, आपल्या वेब ब्राउझर या वेळी अतिशय सक्रिय दिसून पण एक बिल निर्मिती एक क्लिष्ट प्रक्रिया आहे आणि आपल्या वेब ब्राउझर केवळ अधिक माहितीसाठी वाट पाहत आहे शकत नाही.');
INSERT INTO `lang_definitions` VALUES (176731, 7860, 33, 'कृपया लक्षात ठेवा: स्थिर केस सेन्सेटिव्ह आहेत आणि कोणत्याही स्ट्रिंग परवानगी आहे.');
INSERT INTO `lang_definitions` VALUES (176732, 7861, 33, 'फक्त अक्षर वर्ण वापरा');
INSERT INTO `lang_definitions` VALUES (176733, 7862, 33, 'फक्त एकही मोकळी जागा सह अक्षर वर्ण वापरा');
INSERT INTO `lang_definitions` VALUES (176734, 7863, 33, 'ही रक्कम अदा करा');
INSERT INTO `lang_definitions` VALUES (176735, 7864, 33, 'खालील निर्देशिका मध्ये तुमचा प्रतिष्ठापन फाइल ठेवा');
INSERT INTO `lang_definitions` VALUES (176736, 7867, 33, 'पहा करा');
INSERT INTO `lang_definitions` VALUES (176737, 7868, 33, 'पासवर्ड रीसेट करा.');
INSERT INTO `lang_definitions` VALUES (176738, 7869, 33, 'डी-ओळख खेळत आधी अपॅची सर्व्हर पुन्हा सुरू करा');
INSERT INTO `lang_definitions` VALUES (176739, 7874, 33, 'संलग्न पीडीएफ पहा.');
INSERT INTO `lang_definitions` VALUES (176740, 7875, 33, 'कृपया निवडा');
INSERT INTO `lang_definitions` VALUES (176741, 7877, 33, 'कृपया एक भाषा निवडा');
INSERT INTO `lang_definitions` VALUES (176742, 7878, 33, 'एक रुग्णांच्या निवडा.');
INSERT INTO `lang_definitions` VALUES (176743, 7879, 33, 'आपल्या सुविधा कर ID म्हणून \'कर आयडी\' एक प्राथमिक व्यवसाय अस्तित्व सुविधा निवडा. आपण स्वतंत्र व्यवसायी असाल तर, कृपया आपल्या कर आयडी वापरा. या NewCrop प्रणाली मध्ये तुमची ओळख वापरले जाते.');
INSERT INTO `lang_definitions` VALUES (176744, 7881, 33, 'एक प्रक्रिया प्रदाता सिलेक्ट करा');
INSERT INTO `lang_definitions` VALUES (176745, 7882, 33, 'एक प्राप्तकर्ता निवडा');
INSERT INTO `lang_definitions` VALUES (176746, 7884, 33, 'प्रारंभ तारीख आणि शेवटी तारीख निवडा');
INSERT INTO `lang_definitions` VALUES (176747, 7885, 33, 'एक वैध प्राप्तकर्ता निवडा');
INSERT INTO `lang_definitions` VALUES (176748, 7886, 33, 'एक सक्रिय गट निवडा');
INSERT INTO `lang_definitions` VALUES (176749, 7888, 33, 'कोड एक समायोजन कारण निवडा');
INSERT INTO `lang_definitions` VALUES (176750, 7889, 33, 'एक कार्यक्रम निवडा');
INSERT INTO `lang_definitions` VALUES (176751, 7891, 33, 'कोणत्याही शोध पर्याय निवडा.');
INSERT INTO `lang_definitions` VALUES (176752, 7894, 33, 'किमान एक नियम निवडा करा!');
INSERT INTO `lang_definitions` VALUES (176753, 7895, 33, 'चकमकीत निवडा');
INSERT INTO `lang_definitions` VALUES (176754, 7899, 33, 'कॉपी किंवा अग्रेषित करण्यासाठी इच्छित पाने निवडा:');
INSERT INTO `lang_definitions` VALUES (176755, 7900, 33, 'भरणा पद्धत निवडा');
INSERT INTO `lang_definitions` VALUES (176756, 7903, 33, 'भरणा प्रकार निवडा करा.');
INSERT INTO `lang_definitions` VALUES (176757, 7904, 33, 'भेट श्रेणी निवडा');
INSERT INTO `lang_definitions` VALUES (176758, 7905, 33, '270 बॅच तयार करणे आवश्यक X12 भागीदार निवडा, कृपया');
INSERT INTO `lang_definitions` VALUES (176759, 7906, 33, 'सेट करा');
INSERT INTO `lang_definitions` VALUES (176760, 7907, 33, 'शून्य परत de_identification_config वेरियेबल सेट करा');
INSERT INTO `lang_definitions` VALUES (176761, 7910, 33, 'नवीन डे ओळख प्रक्रिया सुरू करा');
INSERT INTO `lang_definitions` VALUES (176762, 7913, 33, 'डे ओळख प्रक्रीया, कार्य, टेबल समाविष्ट करण्यासाठी OpenEMR डेटाबेस श्रेणीसुधारित करा');
INSERT INTO `lang_definitions` VALUES (176763, 7915, 33, 'अधिक माहिती साठी डी ओळख त्रुटी लॉग टेबल पहा');
INSERT INTO `lang_definitions` VALUES (176764, 7916, 33, 'काही वेळानंतर डे ओळख स्क्रीन भेट द्या');
INSERT INTO `lang_definitions` VALUES (176765, 7917, 33, 'काही वेळानंतर पुन्हा ओळख स्क्रीन भेट द्या');
INSERT INTO `lang_definitions` VALUES (176766, 7918, 33, 'काही वेळानंतर स्क्रीन भेट द्या');
INSERT INTO `lang_definitions` VALUES (176767, 7920, 33, 'प्लॉट आयटम');
INSERT INTO `lang_definitions` VALUES (176768, 7921, 33, 'प्लॉट निवडलेले आयटम');
INSERT INTO `lang_definitions` VALUES (176769, 7922, 33, 'अनेकवचनी');
INSERT INTO `lang_definitions` VALUES (176770, 7926, 33, 'पंतप्रधान');
INSERT INTO `lang_definitions` VALUES (176771, 7927, 33, 'पंतप्रधान कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (176772, 7933, 33, 'PMT पद्धत');
INSERT INTO `lang_definitions` VALUES (176773, 7934, 33, 'PND');
INSERT INTO `lang_definitions` VALUES (176774, 7935, 33, 'Pneumococcal धातूंचा गण 1');
INSERT INTO `lang_definitions` VALUES (176775, 7936, 33, 'Pneumococcal धातू चालवणे 2');
INSERT INTO `lang_definitions` VALUES (176776, 7937, 33, 'Pneumococcal धातू चालवणे 3');
INSERT INTO `lang_definitions` VALUES (176777, 7938, 33, 'Pneumococcal धातूंचा गण 4');
INSERT INTO `lang_definitions` VALUES (176778, 7939, 33, 'Pneumococcal लस');
INSERT INTO `lang_definitions` VALUES (176779, 7940, 33, 'न्यूमोनिया लसीकरण');
INSERT INTO `lang_definitions` VALUES (176780, 7941, 33, 'जुने प्रौढांसाठी न्यूमोनिया लसीकरण स्थिती');
INSERT INTO `lang_definitions` VALUES (176781, 7942, 33, 'जुने प्रौढांसाठी न्यूमोनिया लसीकरण स्थिती (CQM)');
INSERT INTO `lang_definitions` VALUES (176782, 7943, 33, 'Podiatric');
INSERT INTO `lang_definitions` VALUES (176783, 7944, 33, 'Podiatry');
INSERT INTO `lang_definitions` VALUES (176784, 7946, 33, 'सेवा पॉइंट (पीओएस)');
INSERT INTO `lang_definitions` VALUES (176785, 7947, 33, 'धोरण');
INSERT INTO `lang_definitions` VALUES (176786, 7950, 33, 'धोरण कोणत्याही');
INSERT INTO `lang_definitions` VALUES (176787, 7951, 33, 'धोरण क्रमांक');
INSERT INTO `lang_definitions` VALUES (176788, 7952, 33, 'पोलिश');
INSERT INTO `lang_definitions` VALUES (176789, 7953, 33, 'Polydypsia');
INSERT INTO `lang_definitions` VALUES (176790, 7955, 33, 'Polyps');
INSERT INTO `lang_definitions` VALUES (176791, 7956, 33, 'द्रवपदार्थाच्या अतिसेवनाने किंवा मधुमेहामुळे लघवीला फार होणे');
INSERT INTO `lang_definitions` VALUES (176792, 7957, 33, 'गरीब भूक');
INSERT INTO `lang_definitions` VALUES (176793, 7958, 33, 'गरीब फिरत');
INSERT INTO `lang_definitions` VALUES (176794, 7959, 33, 'गरीब सुनावणी');
INSERT INTO `lang_definitions` VALUES (176795, 7962, 33, 'पॉप अप हे अहवाल पाहण्यासाठी सक्षम करणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (176796, 7964, 33, 'घटना वर्ष दृश्य वसाहत?');
INSERT INTO `lang_definitions` VALUES (176797, 7965, 33, 'पॉपअप');
INSERT INTO `lang_definitions` VALUES (176798, 7967, 33, 'पोर्टल');
INSERT INTO `lang_definitions` VALUES (176799, 7969, 33, 'पोर्टल क्रियाकलाप');
INSERT INTO `lang_definitions` VALUES (176800, 7976, 33, 'पोर्टल आयडी');
INSERT INTO `lang_definitions` VALUES (176801, 7977, 33, 'पोर्टल आयडी पोर्टल विनंती जुळत नाही!');
INSERT INTO `lang_definitions` VALUES (176802, 7980, 33, 'पोर्टल पासवर्ड गहाळ आहे');
INSERT INTO `lang_definitions` VALUES (176803, 7982, 33, 'पोर्टल विनंत्या');
INSERT INTO `lang_definitions` VALUES (176804, 7984, 33, 'पोर्ट्रेट');
INSERT INTO `lang_definitions` VALUES (176805, 7985, 33, 'पोर्तुगीज');
INSERT INTO `lang_definitions` VALUES (176806, 7987, 33, 'पोर्तुगीज (ब्राझिलियन)');
INSERT INTO `lang_definitions` VALUES (176807, 7988, 33, 'पोर्तुगीज (युरोपियन)');
INSERT INTO `lang_definitions` VALUES (176808, 7989, 33, 'पीओएस कोड');
INSERT INTO `lang_definitions` VALUES (176809, 7990, 33, 'स्थिती');
INSERT INTO `lang_definitions` VALUES (176810, 7992, 33, 'सकारात्मक');
INSERT INTO `lang_definitions` VALUES (176811, 7993, 33, 'सकारात्मक');
INSERT INTO `lang_definitions` VALUES (176812, 7996, 33, 'पोस्ट साठी');
INSERT INTO `lang_definitions` VALUES (176813, 7998, 33, 'पोस्ट नाक ठिबक');
INSERT INTO `lang_definitions` VALUES (176814, 8000, 33, 'पोस्ट देयके');
INSERT INTO `lang_definitions` VALUES (176815, 8001, 33, 'पोस्ट होणारी');
INSERT INTO `lang_definitions` VALUES (176816, 8002, 33, 'बिल म्हणून लेखा खूण पोस्ट');
INSERT INTO `lang_definitions` VALUES (176817, 8003, 33, 'तारीख करण्यासाठी पोस्ट करा');
INSERT INTO `lang_definitions` VALUES (176818, 8004, 33, 'तारीख करण्यासाठी पोस्ट आज पेक्षा जास्त असू शकत नाही');
INSERT INTO `lang_definitions` VALUES (176819, 8006, 33, 'तारीख करण्यासाठी पोस्ट आर्थिक बंद होण्याची तारीख पेक्षा जास्त असणे आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (176820, 8007, 33, 'पोस्ट-गर्भपात केअर');
INSERT INTO `lang_definitions` VALUES (176821, 8008, 33, 'पोस्ट-गर्भपात संततिनियमन');
INSERT INTO `lang_definitions` VALUES (176822, 8009, 33, 'पोस्ट-गर्भपात समुपदेशन');
INSERT INTO `lang_definitions` VALUES (176823, 8010, 33, 'पोस्ट-गर्भपात फॉलोअप');
INSERT INTO `lang_definitions` VALUES (176824, 8011, 33, 'पोस्टल');
INSERT INTO `lang_definitions` VALUES (176825, 8012, 33, 'पिन कोड');
INSERT INTO `lang_definitions` VALUES (176826, 8013, 33, 'पिन कोड');
INSERT INTO `lang_definitions` VALUES (176827, 8015, 33, 'PostCalendar');
INSERT INTO `lang_definitions` VALUES (176828, 8016, 33, 'PostCalendar प्रशासन');
INSERT INTO `lang_definitions` VALUES (176829, 8017, 33, 'PostCalendar वर्ग सेटिंग्ज');
INSERT INTO `lang_definitions` VALUES (176830, 8018, 33, 'PostCalendar ग्लोबल सेटिंग्ज');
INSERT INTO `lang_definitions` VALUES (176831, 8023, 33, 'वर पोस्टेड');
INSERT INTO `lang_definitions` VALUES (176832, 8026, 33, 'पोस्ट तारीख');
INSERT INTO `lang_definitions` VALUES (176833, 8028, 33, 'स्थिती {स्थिती साठी {संक्षेप}}');
INSERT INTO `lang_definitions` VALUES (176834, 8032, 33, 'द्वारा समर्थित');
INSERT INTO `lang_definitions` VALUES (176835, 8033, 33, 'PPE + मागील सह / Surg HX');
INSERT INTO `lang_definitions` VALUES (176836, 8034, 33, 'PQRI');
INSERT INTO `lang_definitions` VALUES (176837, 8035, 33, 'PQRI नोंदणी आयडी');
INSERT INTO `lang_definitions` VALUES (176838, 8036, 33, 'PQRI नोंदणी नाव');
INSERT INTO `lang_definitions` VALUES (176839, 8037, 33, 'सराव');
INSERT INTO `lang_definitions` VALUES (176840, 8038, 33, 'सराव डीफॉल्ट सेटिंग');
INSERT INTO `lang_definitions` VALUES (176841, 8039, 33, 'सराव सेटिंग्ज');
INSERT INTO `lang_definitions` VALUES (176842, 8041, 33, 'चिकित्सक');
INSERT INTO `lang_definitions` VALUES (176843, 8042, 33, 'पूर्व सहभाग मूल्यांकन');
INSERT INTO `lang_definitions` VALUES (176844, 8043, 33, 'पूर्व पे');
INSERT INTO `lang_definitions` VALUES (176845, 8044, 33, 'पूर्व भरणा');
INSERT INTO `lang_definitions` VALUES (176846, 8045, 33, 'पूर्व गर्भपात सल्ला');
INSERT INTO `lang_definitions` VALUES (176847, 8046, 33, 'पूर्व गर्भपात समुपदेशन');
INSERT INTO `lang_definitions` VALUES (176848, 8048, 33, 'प्राधान्य मांजर');
INSERT INTO `lang_definitions` VALUES (176849, 8049, 33, 'प्राधान्य');
INSERT INTO `lang_definitions` VALUES (176850, 8050, 33, 'प्राधान्ये');
INSERT INTO `lang_definitions` VALUES (176851, 8052, 33, 'प्राधान्य इव्हेंट वर्ग');
INSERT INTO `lang_definitions` VALUES (176852, 8053, 33, 'प्राधान्य भाषा');
INSERT INTO `lang_definitions` VALUES (176853, 8054, 33, 'पसंतीचे फार्मसी');
INSERT INTO `lang_definitions` VALUES (176854, 8055, 33, 'पसंतीचे प्रदाता संघटना (PPO)');
INSERT INTO `lang_definitions` VALUES (176855, 8056, 33, 'Preg कसोटी');
INSERT INTO `lang_definitions` VALUES (176856, 8057, 33, 'प्राथमिक');
INSERT INTO `lang_definitions` VALUES (176857, 8058, 33, 'अहवाल चालवा करण्यासाठी तयारी');
INSERT INTO `lang_definitions` VALUES (176858, 8059, 33, 'प्रिपेमेंट');
INSERT INTO `lang_definitions` VALUES (176859, 8061, 33, 'नियम');
INSERT INTO `lang_definitions` VALUES (176860, 8063, 33, 'नियम त्याच्या मर्यादा गाठली आहे');
INSERT INTO `lang_definitions` VALUES (176861, 8064, 33, 'डॉक्टरांनी सांगितलेली इतिहास');
INSERT INTO `lang_definitions` VALUES (176862, 8065, 33, 'नियम इतिहास आयात यशस्वीरित्या पूर्ण');
INSERT INTO `lang_definitions` VALUES (176863, 8066, 33, 'डॉक्टरांनी सांगितलेली लेबल');
INSERT INTO `lang_definitions` VALUES (176864, 8067, 33, 'डॉक्टरांनी सांगितलेली अहवाल');
INSERT INTO `lang_definitions` VALUES (176865, 8070, 33, 'चांगले');
INSERT INTO `lang_definitions` VALUES (176866, 8073, 33, 'चांगले आणि Dispensations');
INSERT INTO `lang_definitions` VALUES (176867, 8074, 33, 'चांगले आणि इतर संदर्भ');
INSERT INTO `lang_definitions` VALUES (176868, 8075, 33, 'तज्ञांना करून चांगले आणि / किंवा संदर्भ');
INSERT INTO `lang_definitions` VALUES (176869, 8076, 33, 'चांगले अहवाल');
INSERT INTO `lang_definitions` VALUES (176870, 8077, 33, 'चांगले / संदर्भ');
INSERT INTO `lang_definitions` VALUES (176871, 8078, 33, 'सध्याची');
INSERT INTO `lang_definitions` VALUES (176872, 8079, 33, 'सादर तक्रार');
INSERT INTO `lang_definitions` VALUES (176873, 8080, 33, 'सादर अंक (चे)');
INSERT INTO `lang_definitions` VALUES (176874, 8081, 33, 'प्रेस पुढे जाण्यासाठी सुरू ठेवा');
INSERT INTO `lang_definitions` VALUES (176875, 8084, 33, 'असे गृहीत धरले निदान');
INSERT INTO `lang_definitions` VALUES (176876, 8085, 33, 'तज्ञांना करून असे गृहीत धरले निदान');
INSERT INTO `lang_definitions` VALUES (176877, 8086, 33, 'मागील');
INSERT INTO `lang_definitions` VALUES (176878, 8087, 33, 'मागील सह / Surg HX');
INSERT INTO `lang_definitions` VALUES (176879, 8088, 33, 'मागील. या महिन्यापासून (मेनू ठेवण्यासाठी)');
INSERT INTO `lang_definitions` VALUES (176880, 8089, 33, 'मागील. या वर्षापासून (मेनू ठेवण्यासाठी)');
INSERT INTO `lang_definitions` VALUES (176881, 8091, 33, 'निवारक केअर');
INSERT INTO `lang_definitions` VALUES (176882, 8092, 33, 'प्रतिबंध rehab');
INSERT INTO `lang_definitions` VALUES (176883, 8094, 33, 'इव्हेंटचे पूर्वावलोकन');
INSERT INTO `lang_definitions` VALUES (176884, 8097, 33, 'पूर्वावलोकन');
INSERT INTO `lang_definitions` VALUES (176885, 8098, 33, 'मागील');
INSERT INTO `lang_definitions` VALUES (176886, 8099, 33, 'मागील सल्लामसलत');
INSERT INTO `lang_definitions` VALUES (176887, 8100, 33, 'मागील दिवस');
INSERT INTO `lang_definitions` VALUES (176888, 8102, 33, 'मागील इतिहास / स्क्रिनिंग');
INSERT INTO `lang_definitions` VALUES (176889, 8103, 33, 'मागील महिना');
INSERT INTO `lang_definitions` VALUES (176890, 8104, 33, 'मागील आठवडा');
INSERT INTO `lang_definitions` VALUES (176891, 8105, 33, 'किंमत');
INSERT INTO `lang_definitions` VALUES (176892, 8108, 33, 'किंमत सूट');
INSERT INTO `lang_definitions` VALUES (176893, 8109, 33, 'किंमत पातळी');
INSERT INTO `lang_definitions` VALUES (176894, 8111, 33, 'किंमत स्तर:');
INSERT INTO `lang_definitions` VALUES (176895, 8113, 33, 'किंमती');
INSERT INTO `lang_definitions` VALUES (176896, 8114, 33, 'प्राथमिक');
INSERT INTO `lang_definitions` VALUES (176897, 8115, 33, 'प्राथमिक व्यवसाय अस्तित्व');
INSERT INTO `lang_definitions` VALUES (176898, 8116, 33, 'प्राथमिक व्यवसाय अस्तित्व कर आयडी NewCrop ePrescription खाते आयडी म्हणून वापरले जाते. सुविधा बदलणे NewCrop कार्य प्रभावित करेल.');
INSERT INTO `lang_definitions` VALUES (176899, 8125, 33, 'प्राथमिक इन');
INSERT INTO `lang_definitions` VALUES (176900, 8126, 33, 'प्राथमिक विमा');
INSERT INTO `lang_definitions` VALUES (176901, 8127, 33, 'प्राथमिक विमा डेटा');
INSERT INTO `lang_definitions` VALUES (176902, 8128, 33, 'प्राथमिक विमा प्रदाता');
INSERT INTO `lang_definitions` VALUES (176903, 8129, 33, 'प्राथमिक प्रदाता');
INSERT INTO `lang_definitions` VALUES (176904, 8130, 33, 'प्रिंट');
INSERT INTO `lang_definitions` VALUES (176905, 8131, 33, 'प्रिंट (एचटीएमएल)');
INSERT INTO `lang_definitions` VALUES (176906, 8132, 33, '(PDF) मुद्रित');
INSERT INTO `lang_definitions` VALUES (176907, 8133, 33, 'प्रिंट संशोधन');
INSERT INTO `lang_definitions` VALUES (176908, 8134, 33, 'कोणतीही चकमकीत छापा');
INSERT INTO `lang_definitions` VALUES (176909, 8135, 33, 'कोरे रेफरल फॉर्म प्रिंट');
INSERT INTO `lang_definitions` VALUES (176910, 8136, 33, 'प्रिंट आदेश');
INSERT INTO `lang_definitions` VALUES (176911, 8138, 33, 'प्रिंट तारीख');
INSERT INTO `lang_definitions` VALUES (176912, 8142, 33, 'संपूर्ण सूची छापा');
INSERT INTO `lang_definitions` VALUES (176913, 8143, 33, 'प्रिंट स्वरूप');
INSERT INTO `lang_definitions` VALUES (176914, 8144, 33, 'चार पॅनेल छापा');
INSERT INTO `lang_definitions` VALUES (176915, 8147, 33, 'प्रिंट संदेश');
INSERT INTO `lang_definitions` VALUES (176916, 8148, 33, 'प्रिंट अनेक');
INSERT INTO `lang_definitions` VALUES (176917, 8149, 33, 'फॅक्स करण्यासाठी मल्टिपल प्रिंट');
INSERT INTO `lang_definitions` VALUES (176918, 8150, 33, 'प्रिंट नाव, चिन्ह आणि तारीख.');
INSERT INTO `lang_definitions` VALUES (176919, 8151, 33, 'प्रिंट टिपा');
INSERT INTO `lang_definitions` VALUES (176920, 8152, 33, 'प्रिंट पृष्ठ 1');
INSERT INTO `lang_definitions` VALUES (176921, 8153, 33, 'प्रिंट पृष्ठ 2');
INSERT INTO `lang_definitions` VALUES (176922, 8154, 33, 'रुग्णांच्या पत्ता लेबल छापा');
INSERT INTO `lang_definitions` VALUES (176923, 8156, 33, 'प्रदाता करून प्रिंट पावत्या');
INSERT INTO `lang_definitions` VALUES (176924, 8157, 33, 'प्रिंट नोंद');
INSERT INTO `lang_definitions` VALUES (176925, 8163, 33, 'निवडलेले स्टेटमेन्ट छापा');
INSERT INTO `lang_definitions` VALUES (176926, 8164, 33, 'प्रिंट शॉट नोंद');
INSERT INTO `lang_definitions` VALUES (176927, 8166, 33, 'या घटनेचा छापा');
INSERT INTO `lang_definitions` VALUES (176928, 8168, 33, 'ही टीप छापा');
INSERT INTO `lang_definitions` VALUES (176929, 8169, 33, 'या टीप छापा');
INSERT INTO `lang_definitions` VALUES (176930, 8171, 33, 'फॅक्स वर मुद्रण करा');
INSERT INTO `lang_definitions` VALUES (176931, 8172, 33, 'प्रिंट पहा');
INSERT INTO `lang_definitions` VALUES (176932, 8173, 33, 'मुद्रण');
INSERT INTO `lang_definitions` VALUES (176933, 8174, 33, 'प्रिंट आवृत्ती');
INSERT INTO `lang_definitions` VALUES (176934, 8175, 33, 'छापील');
INSERT INTO `lang_definitions` VALUES (176935, 8178, 33, 'मुद्रण परिणाम:');
INSERT INTO `lang_definitions` VALUES (176936, 8179, 33, 'मुद्रण वगळले; चाचणी आउटपुट पहा');
INSERT INTO `lang_definitions` VALUES (176937, 8180, 33, 'मुद्रण वगळले; चाचणी आउटपुट पहा');
INSERT INTO `lang_definitions` VALUES (176938, 8182, 33, 'आधी प्रमाणिकरण');
INSERT INTO `lang_definitions` VALUES (176939, 8184, 33, 'आधी प्राधिकृत फॉर्म');
INSERT INTO `lang_definitions` VALUES (176940, 8189, 33, 'आधी भेट द्या');
INSERT INTO `lang_definitions` VALUES (176941, 8191, 33, 'प्राधान्य');
INSERT INTO `lang_definitions` VALUES (176942, 8192, 33, 'प्राधान्य');
INSERT INTO `lang_definitions` VALUES (176943, 8196, 33, 'खाजगी');
INSERT INTO `lang_definitions` VALUES (176944, 8197, 33, 'समस्या');
INSERT INTO `lang_definitions` VALUES (176945, 8198, 33, 'समस्या DX');
INSERT INTO `lang_definitions` VALUES (176946, 8199, 33, 'समस्या यादी');
INSERT INTO `lang_definitions` VALUES (176947, 8200, 33, 'समस्या');
INSERT INTO `lang_definitions` VALUES (176948, 8202, 33, 'समस्या / समस्या');
INSERT INTO `lang_definitions` VALUES (176949, 8203, 33, 'Proc फलंदाज');
INSERT INTO `lang_definitions` VALUES (176950, 8204, 33, 'Proc मांजर');
INSERT INTO `lang_definitions` VALUES (176951, 8205, 33, 'Proc लोड');
INSERT INTO `lang_definitions` VALUES (176952, 8206, 33, 'Proc प्रलंबित रेव');
INSERT INTO `lang_definitions` VALUES (176953, 8207, 33, 'Proc नीति');
INSERT INTO `lang_definitions` VALUES (176954, 8208, 33, 'Proc द्यावे');
INSERT INTO `lang_definitions` VALUES (176955, 8209, 33, 'प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (176956, 8210, 33, 'प्रक्रिया शरीर साइट');
INSERT INTO `lang_definitions` VALUES (176957, 8212, 33, 'प्रक्रिया बुलियन परिणाम');
INSERT INTO `lang_definitions` VALUES (176958, 8214, 33, 'संहिता');
INSERT INTO `lang_definitions` VALUES (176959, 8215, 33, 'प्रक्रिया कोड');
INSERT INTO `lang_definitions` VALUES (176960, 8216, 33, 'प्रक्रिया Lateralities');
INSERT INTO `lang_definitions` VALUES (176961, 8218, 33, 'प्रक्रिया नाव');
INSERT INTO `lang_definitions` VALUES (176962, 8220, 33, 'प्रक्रिया ऑर्डर');
INSERT INTO `lang_definitions` VALUES (176963, 8221, 33, 'प्रक्रिया करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (176964, 8223, 33, 'प्रक्रिया ऑर्डर');
INSERT INTO `lang_definitions` VALUES (176965, 8224, 33, 'प्रक्रिया ऑर्डर सापडली नाही');
INSERT INTO `lang_definitions` VALUES (176966, 8226, 33, 'प्रक्रिया आदेश व अहवाल');
INSERT INTO `lang_definitions` VALUES (176967, 8227, 33, 'प्रक्रिया शोधक');
INSERT INTO `lang_definitions` VALUES (176968, 8228, 33, 'प्रक्रिया प्रदाता');
INSERT INTO `lang_definitions` VALUES (176969, 8229, 33, 'प्रक्रिया प्रदाता');
INSERT INTO `lang_definitions` VALUES (176970, 8231, 33, 'प्रक्रिया प्रदाते');
INSERT INTO `lang_definitions` VALUES (176971, 8232, 33, 'प्रक्रिया अहवाल');
INSERT INTO `lang_definitions` VALUES (176972, 8235, 33, 'प्रक्रिया अहवाल पुतळे');
INSERT INTO `lang_definitions` VALUES (176973, 8237, 33, 'प्रक्रिया परिणाम असाधारण');
INSERT INTO `lang_definitions` VALUES (176974, 8238, 33, 'प्रक्रिया परिणाम पुतळे');
INSERT INTO `lang_definitions` VALUES (176975, 8240, 33, 'प्रक्रिया परिणाम');
INSERT INTO `lang_definitions` VALUES (176976, 8241, 33, 'प्रक्रिया मार्ग');
INSERT INTO `lang_definitions` VALUES (176977, 8243, 33, 'प्रक्रिया नमुना प्रकार');
INSERT INTO `lang_definitions` VALUES (176978, 8245, 33, 'प्रक्रिया सांख्यिकी अहवाल');
INSERT INTO `lang_definitions` VALUES (176979, 8248, 33, 'प्रक्रिया प्रकार');
INSERT INTO `lang_definitions` VALUES (176980, 8249, 33, 'प्रक्रिया प्रकार');
INSERT INTO `lang_definitions` VALUES (176981, 8251, 33, 'प्रक्रिया युनिट');
INSERT INTO `lang_definitions` VALUES (176982, 8253, 33, 'प्रक्रिया / सेवा');
INSERT INTO `lang_definitions` VALUES (176983, 8254, 33, 'प्रक्रियांची');
INSERT INTO `lang_definitions` VALUES (176984, 8256, 33, 'प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (176985, 8257, 33, 'प्रक्रिया आणि स्मरणपत्रे पाठवा');
INSERT INTO `lang_definitions` VALUES (176986, 8258, 33, 'प्रक्रिया ईआरए फाइल');
INSERT INTO `lang_definitions` VALUES (176987, 8260, 33, 'सी रेकॉर्ड नवीन फाइल प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (176988, 8261, 33, 'प्रक्रिया स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (176989, 8262, 33, 'प्रक्रिया काही वेळ लागतो');
INSERT INTO `lang_definitions` VALUES (176990, 8263, 33, 'प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (176991, 8264, 33, 'करून प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (176992, 8265, 33, 'प्रक्रिया तारीख');
INSERT INTO `lang_definitions` VALUES (176993, 8266, 33, 'यशस्वीरित्या प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (176994, 8267, 33, 'प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (176995, 8268, 33, 'प्रक्रिया आणि पाठवत रुग्णांच्या स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (176996, 8271, 33, 'रुग्णांच्या स्मरणपत्रे प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (176997, 8272, 33, 'प्रक्रिया वेळ');
INSERT INTO `lang_definitions` VALUES (176998, 8274, 33, 'उत्पादन');
INSERT INTO `lang_definitions` VALUES (176999, 8276, 33, 'उत्पादन नियमनाच्या पद्धत');
INSERT INTO `lang_definitions` VALUES (177000, 8278, 33, 'उत्पादन');
INSERT INTO `lang_definitions` VALUES (177001, 8279, 33, 'उत्पादने');
INSERT INTO `lang_definitions` VALUES (177002, 8280, 33, 'उत्पादने पण डॉक्टरांनी सांगितलेली औषधे आणि नाही टेम्पलेट');
INSERT INTO `lang_definitions` VALUES (177003, 8282, 33, 'प्रा');
INSERT INTO `lang_definitions` VALUES (177004, 8290, 33, 'प्रगती टिपा');
INSERT INTO `lang_definitions` VALUES (177005, 8295, 33, 'पुर: स्थ कर्करोग');
INSERT INTO `lang_definitions` VALUES (177006, 8296, 33, 'पुर: स्थ कर्करोग स्क्रीनिंग');
INSERT INTO `lang_definitions` VALUES (177007, 8297, 33, 'पुर: स्थ परीक्षा');
INSERT INTO `lang_definitions` VALUES (177008, 8298, 33, 'पुर: स्थ समस्या');
INSERT INTO `lang_definitions` VALUES (177009, 8299, 33, '/ O enlrgmt, गाठी, निविदा वाईड पुर: स्थ');
INSERT INTO `lang_definitions` VALUES (177010, 8302, 33, 'प्रोटोकॉल');
INSERT INTO `lang_definitions` VALUES (177011, 8304, 33, 'संपूर्ण मार्ग प्रदान');
INSERT INTO `lang_definitions` VALUES (177012, 8305, 33, 'फाइल परिपूर्ण मार्ग प्रदान');
INSERT INTO `lang_definitions` VALUES (177013, 8309, 33, 'प्रत्येक कार्यालय भेट रुग्णांना वैद्यकीय सारांश द्या.');
INSERT INTO `lang_definitions` VALUES (177014, 8311, 33, 'विनंतीनुसार, (निदान चाचणी परिणाम, समस्या यादी, औषधोपचार सूची, औषधोपचार ऍलर्जी समावेश) त्यांच्या आरोग्याची माहिती इलेक्ट्रॉनिक प्रत असलेल्या रुग्णांना द्या.');
INSERT INTO `lang_definitions` VALUES (177015, 8312, 33, 'मालिका उपलब्ध असल्याने माहिती चार व्यवसाय दिवसांच्या आत (लॅब परिणाम, समस्या यादी, औषधोपचार सूची, औषधोपचार ऍलर्जी समावेश) त्यांच्या आरोग्याची माहिती वेळेवर इलेक्ट्रॉनिक प्रवेश असलेल्या रुग्णांना द्या.');
INSERT INTO `lang_definitions` VALUES (177016, 8313, 33, 'भेटीची रुग्णाला रेकॉर्ड द्या');
INSERT INTO `lang_definitions` VALUES (177017, 8315, 33, 'वैध ई-मेल पत्ता द्या');
INSERT INTO `lang_definitions` VALUES (177018, 8316, 33, 'क्लिनिकल सारांश प्रदान?');
INSERT INTO `lang_definitions` VALUES (177019, 8317, 33, 'प्रदान शिक्षण संसाधन (चे)?');
INSERT INTO `lang_definitions` VALUES (177020, 8318, 33, 'प्रदाता');
INSERT INTO `lang_definitions` VALUES (177021, 8322, 33, 'प्रदाता आयडी');
INSERT INTO `lang_definitions` VALUES (177022, 8323, 33, 'प्रदाता आयडी');
INSERT INTO `lang_definitions` VALUES (177023, 8324, 33, 'निर्देशीतचौकटीतदर्शवा सुविधा येथे प्रदाता आयडी');
INSERT INTO `lang_definitions` VALUES (177024, 8325, 33, 'प्रदाता जुळणारे चुका');
INSERT INTO `lang_definitions` VALUES (177025, 8330, 33, 'प्रदाता क्रमांक');
INSERT INTO `lang_definitions` VALUES (177026, 8333, 33, 'प्रदाता नातेसंबंध');
INSERT INTO `lang_definitions` VALUES (177027, 8336, 33, 'प्रदाता:');
INSERT INTO `lang_definitions` VALUES (177028, 8337, 33, 'प्रदाते');
INSERT INTO `lang_definitions` VALUES (177029, 8338, 33, 'प्रदाते NPI');
INSERT INTO `lang_definitions` VALUES (177030, 8339, 33, 'प्रदाते संपूर्ण कॅलेंडर पहा');
INSERT INTO `lang_definitions` VALUES (177031, 8341, 33, 'Prv');
INSERT INTO `lang_definitions` VALUES (177032, 8342, 33, 'PSA');
INSERT INTO `lang_definitions` VALUES (177033, 8343, 33, 'सोरायसिस');
INSERT INTO `lang_definitions` VALUES (177034, 8345, 33, 'Psych निदान');
INSERT INTO `lang_definitions` VALUES (177035, 8346, 33, 'Psych औषधोपचार');
INSERT INTO `lang_definitions` VALUES (177036, 8347, 33, 'मानसिक');
INSERT INTO `lang_definitions` VALUES (177037, 8348, 33, 'मानसिक संक्षिप्त पत्र');
INSERT INTO `lang_definitions` VALUES (177038, 8349, 33, 'मानसिक निदान');
INSERT INTO `lang_definitions` VALUES (177039, 8350, 33, 'मानसिक परीक्षा');
INSERT INTO `lang_definitions` VALUES (177040, 8352, 33, 'मानसिक इतिहास');
INSERT INTO `lang_definitions` VALUES (177041, 8353, 33, 'मानसिक घेणे');
INSERT INTO `lang_definitions` VALUES (177042, 8354, 33, 'मानसिक औषधोपचार');
INSERT INTO `lang_definitions` VALUES (177043, 8358, 33, 'पं%');
INSERT INTO `lang_definitions` VALUES (177044, 8360, 33, 'पं टिपा');
INSERT INTO `lang_definitions` VALUES (177045, 8361, 33, 'पं टिपा / प्रमाणिकरण');
INSERT INTO `lang_definitions` VALUES (177046, 8362, 33, 'पं overpaid');
INSERT INTO `lang_definitions` VALUES (177047, 8364, 33, 'पं अदा');
INSERT INTO `lang_definitions` VALUES (177048, 8365, 33, 'पं आरईसी विनंती');
INSERT INTO `lang_definitions` VALUES (177049, 8366, 33, 'पं परतावा');
INSERT INTO `lang_definitions` VALUES (177050, 8367, 33, 'पं जाहीर');
INSERT INTO `lang_definitions` VALUES (177051, 8368, 33, 'पं अहवाल');
INSERT INTO `lang_definitions` VALUES (177052, 8369, 33, 'पी.टी. विद्यार्थी, किंवा रिक्त सोडा');
INSERT INTO `lang_definitions` VALUES (177053, 8370, 33, 'PT_CITY');
INSERT INTO `lang_definitions` VALUES (177054, 8371, 33, 'PT_DOB');
INSERT INTO `lang_definitions` VALUES (177055, 8372, 33, 'PT_EMAIL');
INSERT INTO `lang_definitions` VALUES (177056, 8373, 33, 'PT_FNAME');
INSERT INTO `lang_definitions` VALUES (177057, 8374, 33, 'PT_LNAME');
INSERT INTO `lang_definitions` VALUES (177058, 8375, 33, 'PT_MNAME');
INSERT INTO `lang_definitions` VALUES (177059, 8376, 33, 'PT_PHONE_CELL');
INSERT INTO `lang_definitions` VALUES (177060, 8377, 33, 'PT_PHONE_HOME');
INSERT INTO `lang_definitions` VALUES (177061, 8378, 33, 'PT_POSTAL');
INSERT INTO `lang_definitions` VALUES (177062, 8379, 33, 'PT_SSN');
INSERT INTO `lang_definitions` VALUES (177063, 8380, 33, 'PT_STATE');
INSERT INTO `lang_definitions` VALUES (177064, 8381, 33, 'PT_STREET');
INSERT INTO `lang_definitions` VALUES (177065, 8383, 33, 'सार्वजनिक');
INSERT INTO `lang_definitions` VALUES (177066, 8387, 33, 'सार्वजनिक आरोग्य सेवा (PHS) पर्यंत किंवा इतर फेडरल एजन्सी');
INSERT INTO `lang_definitions` VALUES (177067, 8394, 33, 'पोर्टो रिकन');
INSERT INTO `lang_definitions` VALUES (177068, 8396, 33, 'फुफ्फुसे');
INSERT INTO `lang_definitions` VALUES (177069, 8398, 33, 'पल्स');
INSERT INTO `lang_definitions` VALUES (177070, 8399, 33, 'पंजाबी');
INSERT INTO `lang_definitions` VALUES (177071, 8401, 33, 'खरेदी');
INSERT INTO `lang_definitions` VALUES (177072, 8402, 33, 'खरेदी / परत');
INSERT INTO `lang_definitions` VALUES (177073, 8403, 33, 'खरेदी');
INSERT INTO `lang_definitions` VALUES (177074, 8406, 33, 'पी {{जस्टिफाय शीर्षलेख}}');
INSERT INTO `lang_definitions` VALUES (177075, 8407, 33, 'पाली');
INSERT INTO `lang_definitions` VALUES (177076, 8408, 33, 'q.3h');
INSERT INTO `lang_definitions` VALUES (177077, 8409, 33, 'q.4h');
INSERT INTO `lang_definitions` VALUES (177078, 8410, 33, 'q.5h');
INSERT INTO `lang_definitions` VALUES (177079, 8411, 33, 'q.6h');
INSERT INTO `lang_definitions` VALUES (177080, 8412, 33, 'q.8h');
INSERT INTO `lang_definitions` VALUES (177081, 8413, 33, 'q.d.');
INSERT INTO `lang_definitions` VALUES (177082, 8414, 33, 'q.i.d.');
INSERT INTO `lang_definitions` VALUES (177083, 8417, 33, 'QOH');
INSERT INTO `lang_definitions` VALUES (177084, 8418, 33, 'QOH मासिक वापर पेक्षा कमी आहे');
INSERT INTO `lang_definitions` VALUES (177085, 8419, 33, 'Qty');
INSERT INTO `lang_definitions` VALUES (177086, 8420, 33, 'QTY');
INSERT INTO `lang_definitions` VALUES (177087, 8421, 33, 'गुणवत्ता');
INSERT INTO `lang_definitions` VALUES (177088, 8422, 33, 'गुणवत्ता उपाय (CQM)');
INSERT INTO `lang_definitions` VALUES (177089, 8423, 33, 'प्रमाण');
INSERT INTO `lang_definitions` VALUES (177090, 8425, 33, 'एनडीसी संख्या');
INSERT INTO `lang_definitions` VALUES (177091, 8426, 33, 'हाताला प्रमाण');
INSERT INTO `lang_definitions` VALUES (177092, 8427, 33, 'प्रमाण निरुपयोगी दिसते');
INSERT INTO `lang_definitions` VALUES (177093, 8429, 33, 'क्वेचुआ');
INSERT INTO `lang_definitions` VALUES (177094, 8431, 33, 'प्रश्न चिन्ह');
INSERT INTO `lang_definitions` VALUES (177095, 8432, 33, 'HCFA बॅच प्रक्रिया रांगेत');
INSERT INTO `lang_definitions` VALUES (177096, 8433, 33, 'HCFA बॅच प्रक्रिया व छपाई रांगेत');
INSERT INTO `lang_definitions` VALUES (177097, 8434, 33, 'यूबी-92 बॅच प्रक्रिया रांगेत');
INSERT INTO `lang_definitions` VALUES (177098, 8435, 33, 'यूबी-92 बॅच प्रक्रिया व छपाई रांगेत');
INSERT INTO `lang_definitions` VALUES (177099, 8436, 33, 'रांगेत आहे');
INSERT INTO `lang_definitions` VALUES (177100, 8437, 33, 'रांगेत आहे आगामी कार्यक्रम प्रशासन');
INSERT INTO `lang_definitions` VALUES (177101, 8438, 33, 'रांगेत');
INSERT INTO `lang_definitions` VALUES (177102, 8440, 33, 'रांगेत सबमिशन प्रशासन');
INSERT INTO `lang_definitions` VALUES (177103, 8442, 33, 'बाहेर पडा');
INSERT INTO `lang_definitions` VALUES (177104, 8443, 33, 'मद्यार्क बाहेर पडा');
INSERT INTO `lang_definitions` VALUES (177105, 8445, 33, 'आर');
INSERT INTO `lang_definitions` VALUES (177106, 8451, 33, 'रुग्णांच्या, आढळतात, किंवा ट्रेस साठी RA चा');
INSERT INTO `lang_definitions` VALUES (177107, 8452, 33, 'शर्यत');
INSERT INTO `lang_definitions` VALUES (177108, 8453, 33, 'शर्यत आणि धर्म');
INSERT INTO `lang_definitions` VALUES (177109, 8454, 33, 'शर्यत / धर्म');
INSERT INTO `lang_definitions` VALUES (177110, 8456, 33, 'रेडिओ');
INSERT INTO `lang_definitions` VALUES (177111, 8457, 33, 'रेडिओ बटण');
INSERT INTO `lang_definitions` VALUES (177112, 8462, 33, 'श्रेणी');
INSERT INTO `lang_definitions` VALUES (177113, 8463, 33, 'पुरळ उठणे');
INSERT INTO `lang_definitions` VALUES (177114, 8464, 33, 'दर');
INSERT INTO `lang_definitions` VALUES (177115, 8466, 33, 'प्रमाण');
INSERT INTO `lang_definitions` VALUES (177116, 8467, 33, 'कच्चा अहवाल');
INSERT INTO `lang_definitions` VALUES (177117, 8475, 33, 'ओळख पुन्हा');
INSERT INTO `lang_definitions` VALUES (177118, 8476, 33, 'ओळख प्रक्रिया पूर्ण पुन्हा');
INSERT INTO `lang_definitions` VALUES (177119, 8477, 33, 'ओळख पुन्हा प्रक्रिया सुरु आहे');
INSERT INTO `lang_definitions` VALUES (177120, 8478, 33, 'पुन्हा ओळख येथे साठवले जाईल');
INSERT INTO `lang_definitions` VALUES (177121, 8479, 33, '-इजा पुन्हा?');
INSERT INTO `lang_definitions` VALUES (177122, 8480, 33, 'पुन्हा-उघडा');
INSERT INTO `lang_definitions` VALUES (177123, 8482, 33, 'पुन्हा-उघडले');
INSERT INTO `lang_definitions` VALUES (177124, 8484, 33, 'प्रतिक्रिया');
INSERT INTO `lang_definitions` VALUES (177125, 8486, 33, 'प्रतिक्रिया');
INSERT INTO `lang_definitions` VALUES (177126, 8489, 33, 'वाचा');
INSERT INTO `lang_definitions` VALUES (177127, 8495, 33, 'केवळ-वाचनीय इतिहास');
INSERT INTO `lang_definitions` VALUES (177128, 8496, 33, 'खरे नाव');
INSERT INTO `lang_definitions` VALUES (177129, 8497, 33, 'खरोखर हटवू');
INSERT INTO `lang_definitions` VALUES (177130, 8498, 33, 'कारण');
INSERT INTO `lang_definitions` VALUES (177131, 8499, 33, 'कारण मृत');
INSERT INTO `lang_definitions` VALUES (177132, 8500, 33, 'मृत्यू कारण');
INSERT INTO `lang_definitions` VALUES (177133, 8502, 33, 'संदर्भ कारण');
INSERT INTO `lang_definitions` VALUES (177134, 8504, 33, 'भेट कारण');
INSERT INTO `lang_definitions` VALUES (177135, 8506, 33, 'कारण / फॉर्म');
INSERT INTO `lang_definitions` VALUES (177136, 8521, 33, 'पावती');
INSERT INTO `lang_definitions` VALUES (177137, 8522, 33, 'भरणा पावती');
INSERT INTO `lang_definitions` VALUES (177138, 8523, 33, 'पावती');
INSERT INTO `lang_definitions` VALUES (177139, 8524, 33, 'भरणा पद्धत अहवालाद्वारे पावत्या');
INSERT INTO `lang_definitions` VALUES (177140, 8525, 33, 'पावत्या सारांश');
INSERT INTO `lang_definitions` VALUES (177141, 8526, 33, 'प्राप्त');
INSERT INTO `lang_definitions` VALUES (177142, 8527, 33, 'प्राप्त');
INSERT INTO `lang_definitions` VALUES (177143, 8528, 33, 'प्राप्त फॅक्स');
INSERT INTO `lang_definitions` VALUES (177144, 8530, 33, 'प्राप्त, पुनरावलोकन नाही');
INSERT INTO `lang_definitions` VALUES (177145, 8531, 33, 'प्राप्त, पुनरावलोकन न केलेले');
INSERT INTO `lang_definitions` VALUES (177146, 8532, 33, 'स्वीकारणारा');
INSERT INTO `lang_definitions` VALUES (177147, 8533, 33, 'स्वीकारणारा आयडी');
INSERT INTO `lang_definitions` VALUES (177148, 8534, 33, 'स्वीकारणारा आयडी (ISA08)');
INSERT INTO `lang_definitions` VALUES (177149, 8535, 33, 'स्वीकारणारा आयडी क्वालिफायर (ISA07)');
INSERT INTO `lang_definitions` VALUES (177150, 8536, 33, 'स्वीकारणारा आयडी');
INSERT INTO `lang_definitions` VALUES (177151, 8540, 33, 'अलीकडील तीन संकेतशब्द परवानगी नाही.');
INSERT INTO `lang_definitions` VALUES (177152, 8542, 33, 'प्राप्तकर्ता');
INSERT INTO `lang_definitions` VALUES (177153, 8543, 33, 'प्राप्तकर्ता यादी रिक्त आहे');
INSERT INTO `lang_definitions` VALUES (177154, 8544, 33, 'प्राप्तकर्ता नाव');
INSERT INTO `lang_definitions` VALUES (177155, 8545, 33, 'प्रकटीकरण प्राप्त');
INSERT INTO `lang_definitions` VALUES (177156, 8546, 33, 'प्राप्तकर्ता स्थिती पूर्ण झाले नसल्यास आवश्यक');
INSERT INTO `lang_definitions` VALUES (177157, 8549, 33, 'शिफारस');
INSERT INTO `lang_definitions` VALUES (177158, 8551, 33, 'अनुसरण साठी शिफारस');
INSERT INTO `lang_definitions` VALUES (177159, 8552, 33, 'शिफारसी');
INSERT INTO `lang_definitions` VALUES (177160, 8553, 33, 'शिफारसी आणि उपचार');
INSERT INTO `lang_definitions` VALUES (177161, 8554, 33, 'तज्ञांना केलेल्या शिफारसी');
INSERT INTO `lang_definitions` VALUES (177162, 8557, 33, 'नोंद');
INSERT INTO `lang_definitions` VALUES (177163, 8558, 33, 'रेकॉर्ड आधीच अस्तित्वात');
INSERT INTO `lang_definitions` VALUES (177164, 8564, 33, 'महत्वाच्या चिन्हे मध्ये रेकॉर्ड आणि चार्ट बदल.');
INSERT INTO `lang_definitions` VALUES (177165, 8565, 33, 'नोंद लोकसंख्याशास्त्र.');
INSERT INTO `lang_definitions` VALUES (177166, 8566, 33, 'रेकॉर्ड प्रकटीकरण');
INSERT INTO `lang_definitions` VALUES (177167, 8567, 33, 'फिटनेस नोंद');
INSERT INTO `lang_definitions` VALUES (177168, 8568, 33, 'रेकॉर्ड भरणा');
INSERT INTO `lang_definitions` VALUES (177169, 8570, 33, 'रेकॉर्ड विनंती तारीख');
INSERT INTO `lang_definitions` VALUES (177170, 8571, 33, '13 वर्षे किंवा त्यापेक्षा जास्त वयाचे रुग्णांना नोंद धूम्रपान स्थिती.');
INSERT INTO `lang_definitions` VALUES (177171, 8572, 33, 'रेकॉर्ड');
INSERT INTO `lang_definitions` VALUES (177172, 8573, 33, 'रेकॉर्ड सापडले');
INSERT INTO `lang_definitions` VALUES (177173, 8574, 33, 'रेकॉर्ड सापडले नाही.');
INSERT INTO `lang_definitions` VALUES (177174, 8576, 33, 'मनोरंजनाच्या औषध वापर');
INSERT INTO `lang_definitions` VALUES (177175, 8577, 33, 'अंमली औषधे');
INSERT INTO `lang_definitions` VALUES (177176, 8578, 33, 'मलमार्गविषयक');
INSERT INTO `lang_definitions` VALUES (177177, 8579, 33, 'मलमार्गविषयक परीक्षा');
INSERT INTO `lang_definitions` VALUES (177178, 8580, 33, 'rectally');
INSERT INTO `lang_definitions` VALUES (177179, 8592, 33, 'पुनर्निर्देशन');
INSERT INTO `lang_definitions` VALUES (177180, 8593, 33, 'लालसरपणा');
INSERT INTO `lang_definitions` VALUES (177181, 8595, 33, 'कमी:');
INSERT INTO `lang_definitions` VALUES (177182, 8597, 33, 'पहा');
INSERT INTO `lang_definitions` VALUES (177183, 8598, 33, 'करून पहा');
INSERT INTO `lang_definitions` VALUES (177184, 8599, 33, 'तारीख पहा');
INSERT INTO `lang_definitions` VALUES (177185, 8600, 33, 'पहा');
INSERT INTO `lang_definitions` VALUES (177186, 8603, 33, 'संदर्भ वर्गीकरण (धोका पातळी)');
INSERT INTO `lang_definitions` VALUES (177187, 8604, 33, 'परिणाम संदर्भ श्रेणी');
INSERT INTO `lang_definitions` VALUES (177188, 8605, 33, 'संदर्भ कारण');
INSERT INTO `lang_definitions` VALUES (177189, 8608, 33, 'Referer');
INSERT INTO `lang_definitions` VALUES (177190, 8609, 33, 'Referer नाव आणि स्वाक्षरी');
INSERT INTO `lang_definitions` VALUES (177191, 8610, 33, 'रेफरल');
INSERT INTO `lang_definitions` VALUES (177192, 8611, 33, 'करून रेफरल');
INSERT INTO `lang_definitions` VALUES (177193, 8612, 33, 'रेफरल कार्ड');
INSERT INTO `lang_definitions` VALUES (177194, 8613, 33, 'रेफरल तारीख');
INSERT INTO `lang_definitions` VALUES (177195, 8614, 33, 'रेफरल फॉर्म');
INSERT INTO `lang_definitions` VALUES (177196, 8615, 33, 'रेफरल प्रपत्र');
INSERT INTO `lang_definitions` VALUES (177197, 8616, 33, 'रेफरल आयडी');
INSERT INTO `lang_definitions` VALUES (177198, 8619, 33, 'रेफरल स्रोत');
INSERT INTO `lang_definitions` VALUES (177199, 8620, 33, 'Encounters साठी रेफरल स्रोत');
INSERT INTO `lang_definitions` VALUES (177200, 8621, 33, 'करण्यासाठी रेफरल');
INSERT INTO `lang_definitions` VALUES (177201, 8622, 33, 'संदर्भ');
INSERT INTO `lang_definitions` VALUES (177202, 8623, 33, 'संदर्भ अहवाल');
INSERT INTO `lang_definitions` VALUES (177203, 8624, 33, 'यांच्या संदर्भाने');
INSERT INTO `lang_definitions` VALUES (177204, 8625, 33, 'यांच्या संदर्भाने');
INSERT INTO `lang_definitions` VALUES (177205, 8627, 33, 'संदर्भित');
INSERT INTO `lang_definitions` VALUES (177206, 8628, 33, 'संदर्भकर्त्यामध्ये');
INSERT INTO `lang_definitions` VALUES (177207, 8629, 33, 'संदर्भकर्त्यामध्ये पत्ता');
INSERT INTO `lang_definitions` VALUES (177208, 8630, 33, 'संदर्भकर्त्यामध्ये निदान');
INSERT INTO `lang_definitions` VALUES (177209, 8631, 33, 'संदर्भकर्त्यामध्ये निदान');
INSERT INTO `lang_definitions` VALUES (177210, 8633, 33, 'संदर्भ वैद्य आणि सराव');
INSERT INTO `lang_definitions` VALUES (177211, 8635, 33, 'संदर्भ प्रदाता');
INSERT INTO `lang_definitions` VALUES (177212, 8636, 33, 'भरण्यासाठी');
INSERT INTO `lang_definitions` VALUES (177213, 8639, 33, 'Refills');
INSERT INTO `lang_definitions` VALUES (177214, 8640, 33, 'refills');
INSERT INTO `lang_definitions` VALUES (177215, 8641, 33, 'सामान्य reflexes');
INSERT INTO `lang_definitions` VALUES (177216, 8645, 33, 'रिफ्रेश');
INSERT INTO `lang_definitions` VALUES (177217, 8648, 33, 'रीफ्रेश स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (177218, 8651, 33, 'राज्य नकार दिला');
INSERT INTO `lang_definitions` VALUES (177219, 8652, 33, 'reg_re');
INSERT INTO `lang_definitions` VALUES (177220, 8655, 33, 'नोंदणी');
INSERT INTO `lang_definitions` VALUES (177221, 8656, 33, 'नोंदणी');
INSERT INTO `lang_definitions` VALUES (177222, 8662, 33, 'नोंदणीकृत');
INSERT INTO `lang_definitions` VALUES (177223, 8663, 33, 'नोंदणीकृत');
INSERT INTO `lang_definitions` VALUES (177224, 8666, 33, 'नोंदणीकृत मॉड्यूल');
INSERT INTO `lang_definitions` VALUES (177225, 8668, 33, 'नोंदणी दिनांक');
INSERT INTO `lang_definitions` VALUES (177226, 8671, 33, 'नोंदणी फॉर्म');
INSERT INTO `lang_definitions` VALUES (177227, 8672, 33, 'पुनर्वसन');
INSERT INTO `lang_definitions` VALUES (177228, 8674, 33, 'नाकारले');
INSERT INTO `lang_definitions` VALUES (177229, 8675, 33, 'दुराचरण संभाव्य');
INSERT INTO `lang_definitions` VALUES (177230, 8676, 33, 'संबंधित');
INSERT INTO `lang_definitions` VALUES (177231, 8677, 33, 'संबंधित');
INSERT INTO `lang_definitions` VALUES (177232, 8678, 33, 'संबंधित समस्या');
INSERT INTO `lang_definitions` VALUES (177233, 8679, 33, 'संबंधित रुग्णांच्या टिपा');
INSERT INTO `lang_definitions` VALUES (177234, 8680, 33, 'नाते (चे) / मुले');
INSERT INTO `lang_definitions` VALUES (177235, 8681, 33, 'संबंध');
INSERT INTO `lang_definitions` VALUES (177236, 8682, 33, 'नातेसंबंध');
INSERT INTO `lang_definitions` VALUES (177237, 8683, 33, 'या घटकाच्या सापेक्ष क्रम');
INSERT INTO `lang_definitions` VALUES (177238, 8684, 33, 'नातेवाईक');
INSERT INTO `lang_definitions` VALUES (177239, 8686, 33, 'नातेवाईक रक्तदाब');
INSERT INTO `lang_definitions` VALUES (177240, 8687, 33, 'नातेवाईक कर्करोग');
INSERT INTO `lang_definitions` VALUES (177241, 8688, 33, 'नातेवाईक मधुमेह');
INSERT INTO `lang_definitions` VALUES (177242, 8689, 33, 'नातेवाईक अपस्मार');
INSERT INTO `lang_definitions` VALUES (177243, 8690, 33, 'नातेवाईक हार्ट');
INSERT INTO `lang_definitions` VALUES (177244, 8691, 33, 'नातेवाईक मानसिक आजार');
INSERT INTO `lang_definitions` VALUES (177245, 8692, 33, 'नातेवाईक स्ट्रोक');
INSERT INTO `lang_definitions` VALUES (177246, 8693, 33, 'नातेवाईक आत्महत्या');
INSERT INTO `lang_definitions` VALUES (177247, 8694, 33, 'नातेवाईक क्षयरोग');
INSERT INTO `lang_definitions` VALUES (177248, 8695, 33, 'रिले आरोग्य श्रेय हे वापरकर्ता खाते गहाळ आहेत.');
INSERT INTO `lang_definitions` VALUES (177249, 8696, 33, 'रिले आरोग्य आयडी');
INSERT INTO `lang_definitions` VALUES (177250, 8698, 33, 'प्रकाशन तारीख');
INSERT INTO `lang_definitions` VALUES (177251, 8700, 33, 'धर्म');
INSERT INTO `lang_definitions` VALUES (177252, 8705, 33, 'कृपया पुन्हा लॉगिन');
INSERT INTO `lang_definitions` VALUES (177253, 8706, 33, 'Remdr');
INSERT INTO `lang_definitions` VALUES (177254, 8709, 33, 'निवडलेले सुविधा लक्षात ठेवा');
INSERT INTO `lang_definitions` VALUES (177255, 8712, 33, 'स्मरण');
INSERT INTO `lang_definitions` VALUES (177256, 8715, 33, 'स्मरण कालांतराने');
INSERT INTO `lang_definitions` VALUES (177257, 8716, 33, 'स्मरण पण पाठविलेला नाही');
INSERT INTO `lang_definitions` VALUES (177258, 8720, 33, 'स्मरण रोजी पाठविले');
INSERT INTO `lang_definitions` VALUES (177259, 8725, 33, 'स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (177260, 8726, 33, 'REMIT ि ते');
INSERT INTO `lang_definitions` VALUES (177261, 8727, 33, 'दूरस्थ होस्ट');
INSERT INTO `lang_definitions` VALUES (177262, 8729, 33, 'काढा');
INSERT INTO `lang_definitions` VALUES (177263, 8733, 33, 'गट काढा');
INSERT INTO `lang_definitions` VALUES (177264, 8734, 33, 'गट फॉर्म काढा');
INSERT INTO `lang_definitions` VALUES (177265, 8738, 33, 'लसीकरण समर्थन काढून');
INSERT INTO `lang_definitions` VALUES (177266, 8739, 33, 'PhpMyAdmin समर्थन काढून');
INSERT INTO `lang_definitions` VALUES (177267, 8740, 33, 'चांगले समर्थन काढून');
INSERT INTO `lang_definitions` VALUES (177268, 8742, 33, 'चार्ट ट्रॅकर वैशिष्ट्य काढून');
INSERT INTO `lang_definitions` VALUES (177269, 8743, 33, 'मूत्रपिंडासंबंधीचा स्टोन्स');
INSERT INTO `lang_definitions` VALUES (177270, 8744, 33, 'पुनर्नामित करा');
INSERT INTO `lang_definitions` VALUES (177271, 8745, 33, 'गट पुनर्नामित करा');
INSERT INTO `lang_definitions` VALUES (177272, 8746, 33, 'प्रस्तुतीकरण');
INSERT INTO `lang_definitions` VALUES (177273, 8747, 33, 'प्रस्तुत प्रदाता');
INSERT INTO `lang_definitions` VALUES (177274, 8748, 33, 'प्रस्तुत प्रदाता क्रमांक');
INSERT INTO `lang_definitions` VALUES (177275, 8750, 33, 'पुन्हा क्रमवारी लावा');
INSERT INTO `lang_definitions` VALUES (177276, 8751, 33, 'पुन्हा क्रमवारी लावा वेळी');
INSERT INTO `lang_definitions` VALUES (177277, 8752, 33, 'पुन्हा क्रमवारी लावा बिंदू गाठली आहे');
INSERT INTO `lang_definitions` VALUES (177278, 8753, 33, 'लागू नाही तर बिंदू, 0 पुन्हा ऑर्डर');
INSERT INTO `lang_definitions` VALUES (177279, 8754, 33, 'रिपब्लिक');
INSERT INTO `lang_definitions` VALUES (177280, 8756, 33, 'नवीन संकेतशब्द पुन्हा करा');
INSERT INTO `lang_definitions` VALUES (177281, 8758, 33, 'वारंवार कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (177282, 8759, 33, 'माहिती पुनरावृत्ती:');
INSERT INTO `lang_definitions` VALUES (177283, 8760, 33, 'पुनरावृत्ती');
INSERT INTO `lang_definitions` VALUES (177284, 8761, 33, 'बदलली');
INSERT INTO `lang_definitions` VALUES (177285, 8763, 33, 'संपूर्ण कोड संच बदला');
INSERT INTO `lang_definitions` VALUES (177286, 8766, 33, 'बदलले');
INSERT INTO `lang_definitions` VALUES (177287, 8771, 33, 'प्रत्युत्तर द्या उत्तर रद्द तारीख');
INSERT INTO `lang_definitions` VALUES (177288, 8772, 33, 'प्रतिसाद द्या');
INSERT INTO `lang_definitions` VALUES (177289, 8774, 33, 'अहवाल');
INSERT INTO `lang_definitions` VALUES (177290, 8776, 33, 'अहवाल - क्लिनिकल');
INSERT INTO `lang_definitions` VALUES (177291, 8779, 33, 'करून अहवाल');
INSERT INTO `lang_definitions` VALUES (177292, 8782, 33, 'अहवाल एंड (आरोपांमुळे केअर तारीख)');
INSERT INTO `lang_definitions` VALUES (177293, 8783, 33, 'अहवाल रुग्णाला पाठविण्यात आले आहे.');
INSERT INTO `lang_definitions` VALUES (177294, 8784, 33, 'इतिहास / परिणाम नोंदवा');
INSERT INTO `lang_definitions` VALUES (177295, 8786, 33, 'अहवाल परिणाम');
INSERT INTO `lang_definitions` VALUES (177296, 8787, 33, 'अहवाल परिणाम / इतिहास');
INSERT INTO `lang_definitions` VALUES (177297, 8788, 33, 'अहवाल प्रारंभ (असे गृहीत धरले केअर तारीख)');
INSERT INTO `lang_definitions` VALUES (177298, 8789, 33, 'अहवाल स्थिती');
INSERT INTO `lang_definitions` VALUES (177299, 8790, 33, 'अहवाल बेरजा');
INSERT INTO `lang_definitions` VALUES (177300, 8792, 33, 'अहवाल / फॉर्म');
INSERT INTO `lang_definitions` VALUES (177301, 8794, 33, 'Reportable');
INSERT INTO `lang_definitions` VALUES (177302, 8795, 33, 'नोंदविले');
INSERT INTO `lang_definitions` VALUES (177303, 8796, 33, 'नोंदविले तारीख');
INSERT INTO `lang_definitions` VALUES (177304, 8797, 33, 'अहवाल');
INSERT INTO `lang_definitions` VALUES (177305, 8801, 33, 'विनंती वर्णन');
INSERT INTO `lang_definitions` VALUES (177306, 8803, 33, 'विनंती गहाळ आहे!');
INSERT INTO `lang_definitions` VALUES (177307, 8804, 33, 'विनंती दुर्लक्ष - दावे प्रक्रिया आधीच चालू आहे!');
INSERT INTO `lang_definitions` VALUES (177308, 8809, 33, 'विनंती स्थिती');
INSERT INTO `lang_definitions` VALUES (177309, 8810, 33, 'विनंती प्रकार');
INSERT INTO `lang_definitions` VALUES (177310, 8811, 33, 'विनंती प्रकार अंमलबजावणी झाली नाही');
INSERT INTO `lang_definitions` VALUES (177311, 8813, 33, 'विनंती');
INSERT INTO `lang_definitions` VALUES (177312, 8814, 33, 'विनंती तारीख');
INSERT INTO `lang_definitions` VALUES (177313, 8815, 33, 'विनंतीकृत सेवा');
INSERT INTO `lang_definitions` VALUES (177314, 8819, 33, 'मजबूत संकेतशब्द आवश्यक');
INSERT INTO `lang_definitions` VALUES (177315, 8820, 33, 'युनिक संकेतशब्द आवश्यक');
INSERT INTO `lang_definitions` VALUES (177316, 8821, 33, 'आवश्यक');
INSERT INTO `lang_definitions` VALUES (177317, 8823, 33, 'आवश्यक सहकारी पे');
INSERT INTO `lang_definitions` VALUES (177318, 8824, 33, 'आवश्यक फील्ड गहाळ: अपलोड करण्यासाठी EDI-271 फाइल निवडा');
INSERT INTO `lang_definitions` VALUES (177319, 8825, 33, 'आवश्यक फील्ड गहाळ: प्रथम नाव प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (177320, 8826, 33, 'आवश्यक फील्ड गहाळ: अंतिम नाव प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (177321, 8827, 33, 'आवश्यक फील्ड गहाळ: वापरकर्ता नाव प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (177322, 8828, 33, 'जरूरी माहिती');
INSERT INTO `lang_definitions` VALUES (177323, 8829, 33, 'आवश्यकता');
INSERT INTO `lang_definitions` VALUES (177324, 8832, 33, 'राखीव');
INSERT INTO `lang_definitions` VALUES (177325, 8833, 33, 'राखीव');
INSERT INTO `lang_definitions` VALUES (177326, 8834, 33, 'अनुसूचित सुट्टीतील वेळ परिभाषित करण्यासाठी वापरासाठी राखीव');
INSERT INTO `lang_definitions` VALUES (177327, 8835, 33, 'एक प्रदाता उपलब्ध भेटी नसेल तेव्हा परिभाषित करण्यासाठी राखीव.');
INSERT INTO `lang_definitions` VALUES (177328, 8836, 33, 'नमूद केल्याप्रमाणे एक घटना नाही तेव्हा परिभाषित करण्यासाठी राखीव.');
INSERT INTO `lang_definitions` VALUES (177329, 8837, 33, 'एक प्रदाता नंतर भेटी haveavailable शकते तेव्हा राखीव todefine.');
INSERT INTO `lang_definitions` VALUES (177330, 8838, 33, 'रीसेट करा');
INSERT INTO `lang_definitions` VALUES (177331, 8842, 33, 'Offsite Portal ेय रीसेट करा');
INSERT INTO `lang_definitions` VALUES (177332, 8844, 33, 'Onsite Portal ेय रीसेट करा');
INSERT INTO `lang_definitions` VALUES (177333, 8850, 33, 'Resn');
INSERT INTO `lang_definitions` VALUES (177334, 8852, 33, 'सोडवलेले');
INSERT INTO `lang_definitions` VALUES (177335, 8855, 33, 'श्वसन');
INSERT INTO `lang_definitions` VALUES (177336, 8856, 33, 'कृत्रिम श्वासोच्छ्वास प्रयत्न unlabored');
INSERT INTO `lang_definitions` VALUES (177337, 8857, 33, 'श्वसन');
INSERT INTO `lang_definitions` VALUES (177338, 8864, 33, 'वापरकर्ता प्रशासन सेट वेळापत्रक सुविधा नसलेल्या अधिकृत वापरकर्त्यांना प्रतिबंधित करा.');
INSERT INTO `lang_definitions` VALUES (177339, 8865, 33, 'सुविधा वापरकर्ते प्रतिबंधित');
INSERT INTO `lang_definitions` VALUES (177340, 8866, 33, 'प्रतिबंधित प्रशिक्षण');
INSERT INTO `lang_definitions` VALUES (177341, 8867, 33, 'निकाल');
INSERT INTO `lang_definitions` VALUES (177342, 8868, 33, 'निकाल नाव');
INSERT INTO `lang_definitions` VALUES (177343, 8869, 33, 'निकाल स्थिती');
INSERT INTO `lang_definitions` VALUES (177344, 8870, 33, 'परिणाम स्थिती किंवा विकृती गहाळ आहे');
INSERT INTO `lang_definitions` VALUES (177345, 8871, 33, 'निकाल, एक वाइल्डकार्ड म्हणून% वापर');
INSERT INTO `lang_definitions` VALUES (177346, 8872, 33, 'परिणाम');
INSERT INTO `lang_definitions` VALUES (177347, 8873, 33, 'परिणाम आणि');
INSERT INTO `lang_definitions` VALUES (177348, 8874, 33, 'परिणाम साठी शोध सापडले');
INSERT INTO `lang_definitions` VALUES (177349, 8875, 33, 'परिणाम गट');
INSERT INTO `lang_definitions` VALUES (177350, 8876, 33, 'परिणाम फक्त');
INSERT INTO `lang_definitions` VALUES (177351, 8877, 33, 'परिणाम मार्ग');
INSERT INTO `lang_definitions` VALUES (177352, 8879, 33, 'प्रति पृष्ठ परिणाम');
INSERT INTO `lang_definitions` VALUES (177353, 8880, 33, 'परिणाम / माहिती');
INSERT INTO `lang_definitions` VALUES (177354, 8884, 33, 'रेटिनासंबंधी परीक्षा');
INSERT INTO `lang_definitions` VALUES (177355, 8885, 33, 'उजव्या मागे:');
INSERT INTO `lang_definitions` VALUES (177356, 8886, 33, 'परत');
INSERT INTO `lang_definitions` VALUES (177357, 8887, 33, 'आपल्या देयक भाग वरील परत');
INSERT INTO `lang_definitions` VALUES (177358, 8890, 33, 'कॅलेंडर कडे परत');
INSERT INTO `lang_definitions` VALUES (177359, 8891, 33, 'परिणाम अहवाल द्या परत');
INSERT INTO `lang_definitions` VALUES (177360, 8892, 33, 'या पृष्ठावर परत जा आणि आपण ICD10 विभाग हेडर वर क्लिक करून ICD10 प्रतिष्ठापन प्रक्रिया पूर्ण करण्यास सक्षम असेल');
INSERT INTO `lang_definitions` VALUES (177361, 8893, 33, 'या पृष्ठावर परत जा आणि आपण ICD9 विभाग हेडर वर क्लिक करून ICD9 प्रतिष्ठापन प्रक्रिया पूर्ण करण्यास सक्षम असेल');
INSERT INTO `lang_definitions` VALUES (177362, 8894, 33, 'या पृष्ठावर परत जा आणि आपण RXNORM विभाग हेडर वर क्लिक करून RxNorm प्रतिष्ठापन प्रक्रिया पूर्ण करण्यास सक्षम असेल');
INSERT INTO `lang_definitions` VALUES (177363, 8895, 33, 'या पृष्ठावर परत जा आणि आपण SNOMED विभाग हेडर वर क्लिक करून Snomed प्रतिष्ठापन प्रक्रिया पूर्ण करण्यास सक्षम असेल');
INSERT INTO `lang_definitions` VALUES (177364, 8897, 33, 'परत मूल्य');
INSERT INTO `lang_definitions` VALUES (177365, 8898, 33, 'परत भेट द्या');
INSERT INTO `lang_definitions` VALUES (177366, 8899, 33, 'प्ले परत');
INSERT INTO `lang_definitions` VALUES (177367, 8901, 33, 'चारपैकी तीन संकेतशब्द पुनर्वापरासाठी नाही परवानगी!');
INSERT INTO `lang_definitions` VALUES (177368, 8909, 33, 'पुनरावलोकन');
INSERT INTO `lang_definitions` VALUES (177369, 8910, 33, 'पुनरावलोकन व मंजूर');
INSERT INTO `lang_definitions` VALUES (177370, 8914, 33, 'PMH पुनरावलोकन:');
INSERT INTO `lang_definitions` VALUES (177371, 8917, 33, 'प्रणाली पुनरावलोकन');
INSERT INTO `lang_definitions` VALUES (177372, 8918, 33, 'सिस्टम तपासणी पुनरावलोकन');
INSERT INTO `lang_definitions` VALUES (177373, 8921, 33, 'पुनरावलोकन');
INSERT INTO `lang_definitions` VALUES (177374, 8924, 33, 'आवृत्ती');
INSERT INTO `lang_definitions` VALUES (177375, 8925, 33, 'संधी वांत');
INSERT INTO `lang_definitions` VALUES (177376, 8926, 33, 'Rheumotoid संधिवात');
INSERT INTO `lang_definitions` VALUES (177377, 8928, 33, 'उजव्या');
INSERT INTO `lang_definitions` VALUES (177378, 8931, 33, 'उजवा कान');
INSERT INTO `lang_definitions` VALUES (177379, 8932, 33, 'उजवा कान');
INSERT INTO `lang_definitions` VALUES (177380, 8936, 33, 'उजवा समास (मिमी)');
INSERT INTO `lang_definitions` VALUES (177381, 8940, 33, 'उजवीकडे:');
INSERT INTO `lang_definitions` VALUES (177382, 8941, 33, 'कान मध्ये चव अजूनही जिभेवर');
INSERT INTO `lang_definitions` VALUES (177383, 8942, 33, 'कान मध्ये चव अजूनही जिभेवर');
INSERT INTO `lang_definitions` VALUES (177384, 8944, 33, 'जोखीम घटक');
INSERT INTO `lang_definitions` VALUES (177385, 8945, 33, 'जोखीम स्तर');
INSERT INTO `lang_definitions` VALUES (177386, 8949, 33, 'RLL:');
INSERT INTO `lang_definitions` VALUES (177387, 8955, 33, 'रॉम');
INSERT INTO `lang_definitions` VALUES (177388, 8956, 33, 'रोमानियन');
INSERT INTO `lang_definitions` VALUES (177389, 8957, 33, 'रोमांश');
INSERT INTO `lang_definitions` VALUES (177390, 8963, 33, 'रोस्टर');
INSERT INTO `lang_definitions` VALUES (177391, 8966, 33, 'मार्ग');
INSERT INTO `lang_definitions` VALUES (177392, 8967, 33, 'प्रशासन मार्ग, लागू असल्यास');
INSERT INTO `lang_definitions` VALUES (177393, 8968, 33, 'पराभव');
INSERT INTO `lang_definitions` VALUES (177394, 8969, 33, 'पंक्ती');
INSERT INTO `lang_definitions` VALUES (177395, 8971, 33, 'मोर न RRR');
INSERT INTO `lang_definitions` VALUES (177396, 8972, 33, 'घासणे:');
INSERT INTO `lang_definitions` VALUES (177397, 8973, 33, 'Rubs:');
INSERT INTO `lang_definitions` VALUES (177398, 8974, 33, 'नियम');
INSERT INTO `lang_definitions` VALUES (177399, 8975, 33, 'नियम जोडा');
INSERT INTO `lang_definitions` VALUES (177400, 8976, 33, 'नियम तपशील');
INSERT INTO `lang_definitions` VALUES (177401, 8978, 33, 'नियम संपादित करा');
INSERT INTO `lang_definitions` VALUES (177402, 8981, 33, 'सेट राज्य');
INSERT INTO `lang_definitions` VALUES (177403, 8982, 33, 'नियम सेट आणि योजना सेट निवडी सुसंगत नाहीत. निराकरण करा आणि पुन्हा सबमिट करा.');
INSERT INTO `lang_definitions` VALUES (177404, 8984, 33, 'नियम');
INSERT INTO `lang_definitions` VALUES (177405, 8986, 33, 'नियम संरचना');
INSERT INTO `lang_definitions` VALUES (177406, 8989, 33, 'आदेश कार्यरत:');
INSERT INTO `lang_definitions` VALUES (177407, 8990, 33, 'फुटणे');
INSERT INTO `lang_definitions` VALUES (177408, 8992, 33, 'रशियन');
INSERT INTO `lang_definitions` VALUES (177409, 8995, 33, 'RX');
INSERT INTO `lang_definitions` VALUES (177410, 8996, 33, 'RX');
INSERT INTO `lang_definitions` VALUES (177411, 8997, 33, 'RX तळ समास (पीएक्स)');
INSERT INTO `lang_definitions` VALUES (177412, 9001, 33, 'RX DEA # सक्षम');
INSERT INTO `lang_definitions` VALUES (177413, 9002, 33, 'RX NPI सक्षम');
INSERT INTO `lang_definitions` VALUES (177414, 9003, 33, 'RX राज्य एलआयसी सक्षम करा. #');
INSERT INTO `lang_definitions` VALUES (177415, 9007, 33, 'RX डावा समास (पीएक्स)');
INSERT INTO `lang_definitions` VALUES (177416, 9010, 33, 'RX कागद आकार');
INSERT INTO `lang_definitions` VALUES (177417, 9013, 33, 'RX उजवा समास (पीएक्स)');
INSERT INTO `lang_definitions` VALUES (177418, 9014, 33, 'RX शो DEA #');
INSERT INTO `lang_definitions` VALUES (177419, 9015, 33, 'RX शो NPI');
INSERT INTO `lang_definitions` VALUES (177420, 9016, 33, 'RX शो राज्य एलआयसी. #');
INSERT INTO `lang_definitions` VALUES (177421, 9017, 33, 'RX शीर्ष समास (पीएक्स)');
INSERT INTO `lang_definitions` VALUES (177422, 9022, 33, 'RXCUI औषधोपचार');
INSERT INTO `lang_definitions` VALUES (177423, 9023, 33, 'RxNorm');
INSERT INTO `lang_definitions` VALUES (177424, 9024, 33, 'RxNorm डेटाबेस');
INSERT INTO `lang_definitions` VALUES (177425, 9028, 33, 'एस');
INSERT INTO `lang_definitions` VALUES (177426, 9029, 33, 'S.S.');
INSERT INTO `lang_definitions` VALUES (177427, 9030, 33, 'S3,:');
INSERT INTO `lang_definitions` VALUES (177428, 9031, 33, 'वर S4:');
INSERT INTO `lang_definitions` VALUES (177429, 9032, 33, 'एसए * * परवाना वाचण्यासाठी दस्तऐवज / license.txt किंवा ला भेट द्या वाचा * http://www.gnu.org/copyleft/gpl.html * * / // ============ ================================================== =========== //');
INSERT INTO `lang_definitions` VALUES (177430, 9034, 33, 'विक्री');
INSERT INTO `lang_definitions` VALUES (177431, 9035, 33, 'विक्री');
INSERT INTO `lang_definitions` VALUES (177432, 9036, 33, 'आयटम विक्री');
INSERT INTO `lang_definitions` VALUES (177433, 9037, 33, 'उत्पादन अहवाल विक्री');
INSERT INTO `lang_definitions` VALUES (177434, 9038, 33, 'लाळ');
INSERT INTO `lang_definitions` VALUES (177435, 9039, 33, 'त्याच दिवशी');
INSERT INTO `lang_definitions` VALUES (177436, 9040, 33, 'सामोअन');
INSERT INTO `lang_definitions` VALUES (177437, 9041, 33, 'नमुना');
INSERT INTO `lang_definitions` VALUES (177438, 9042, 33, 'मंजूरी प्रकार');
INSERT INTO `lang_definitions` VALUES (177439, 9043, 33, 'सांगो');
INSERT INTO `lang_definitions` VALUES (177440, 9045, 33, 'संस्कृत (Saṁskṛta)');
INSERT INTO `lang_definitions` VALUES (177441, 9046, 33, 'सर्दिनियन');
INSERT INTO `lang_definitions` VALUES (177442, 9047, 33, 'शनि');
INSERT INTO `lang_definitions` VALUES (177443, 9048, 33, 'शनि करा & amp; सन');
INSERT INTO `lang_definitions` VALUES (177444, 9049, 33, 'शनिवारी');
INSERT INTO `lang_definitions` VALUES (177445, 9050, 33, 'जतन करा');
INSERT INTO `lang_definitions` VALUES (177446, 9051, 33, 'सेव्ह');
INSERT INTO `lang_definitions` VALUES (177447, 9055, 33, 'जतन करा आणि बंद करा');
INSERT INTO `lang_definitions` VALUES (177448, 9057, 33, 'जतन करा आणि विनंती हटवा');
INSERT INTO `lang_definitions` VALUES (177449, 9058, 33, 'जतन करा आणि न्याय देणे');
INSERT INTO `lang_definitions` VALUES (177450, 9060, 33, 'जतन करा आणि प्रक्षेपित');
INSERT INTO `lang_definitions` VALUES (177451, 9061, 33, 'नवीन म्हणून जतन करा');
INSERT INTO `lang_definitions` VALUES (177452, 9063, 33, 'नवीन टीप जतन करा');
INSERT INTO `lang_definitions` VALUES (177453, 9066, 33, 'जतन करा प्रमाणपत्र सेटिंग्ज');
INSERT INTO `lang_definitions` VALUES (177454, 9067, 33, 'बदल जतन करा');
INSERT INTO `lang_definitions` VALUES (177455, 9075, 33, 'जतन करा फॉर्म');
INSERT INTO `lang_definitions` VALUES (177456, 9076, 33, 'जतन करा लसीकरण');
INSERT INTO `lang_definitions` VALUES (177457, 9078, 33, 'नवीन क्षेत्र जतन करा');
INSERT INTO `lang_definitions` VALUES (177458, 9079, 33, 'नवीन गट जतन करा');
INSERT INTO `lang_definitions` VALUES (177459, 9080, 33, 'नवीन यादी जतन करा');
INSERT INTO `lang_definitions` VALUES (177460, 9081, 33, 'नवीन टेम्पलेट जतन');
INSERT INTO `lang_definitions` VALUES (177461, 9082, 33, 'वगळणे निवडी जतन करा');
INSERT INTO `lang_definitions` VALUES (177462, 9083, 33, 'रुग्णांच्या लोकसंख्याशास्त्र जतन करा');
INSERT INTO `lang_definitions` VALUES (177463, 9087, 33, 'चार्ट आयडी यशस्वी जतन करा');
INSERT INTO `lang_definitions` VALUES (177464, 9089, 33, 'जतन करा व्यवहार');
INSERT INTO `lang_definitions` VALUES (177465, 9090, 33, 'यशस्वीरित्या जतन');
INSERT INTO `lang_definitions` VALUES (177466, 9098, 33, 'स्कॅन');
INSERT INTO `lang_definitions` VALUES (177467, 9099, 33, 'स्कॅन चकमकीत टीप');
INSERT INTO `lang_definitions` VALUES (177468, 9100, 33, 'स्कॅनर निर्देशिका');
INSERT INTO `lang_definitions` VALUES (177469, 9101, 33, 'मध्ये स्कॅनर');
INSERT INTO `lang_definitions` VALUES (177470, 9104, 33, 'वेळापत्रक');
INSERT INTO `lang_definitions` VALUES (177471, 9106, 33, 'वेळापत्रक सुविधा:');
INSERT INTO `lang_definitions` VALUES (177472, 9117, 33, 'स्कूल सुचना');
INSERT INTO `lang_definitions` VALUES (177473, 9122, 33, 'कशेरूदंडाच्या एका बाजूला असलेला बाक');
INSERT INTO `lang_definitions` VALUES (177474, 9125, 33, 'स्कॉटिश गॅलिक Gaelic-');
INSERT INTO `lang_definitions` VALUES (177475, 9127, 33, 'स्क्रीनिंग / चाचणी');
INSERT INTO `lang_definitions` VALUES (177476, 9133, 33, 'शॉन');
INSERT INTO `lang_definitions` VALUES (177477, 9134, 33, 'शॉन पत्ता');
INSERT INTO `lang_definitions` VALUES (177478, 9135, 33, 'शॉन शहर');
INSERT INTO `lang_definitions` VALUES (177479, 9136, 33, 'शॉन देश');
INSERT INTO `lang_definitions` VALUES (177480, 9137, 33, 'शॉन परिसर');
INSERT INTO `lang_definitions` VALUES (177481, 9138, 33, 'शॉन पोस्टल कोड');
INSERT INTO `lang_definitions` VALUES (177482, 9139, 33, 'शॉन राज्य');
INSERT INTO `lang_definitions` VALUES (177483, 9140, 33, 'शॉन पिन कोड');
INSERT INTO `lang_definitions` VALUES (177484, 9141, 33, 'शोध');
INSERT INTO `lang_definitions` VALUES (177485, 9143, 33, 'शोध');
INSERT INTO `lang_definitions` VALUES (177486, 9144, 33, 'पुन्हा शोध');
INSERT INTO `lang_definitions` VALUES (177487, 9145, 33, 'सर्व स्तंभ शोधा');
INSERT INTO `lang_definitions` VALUES (177488, 9150, 33, 'शोध घ्या:');
INSERT INTO `lang_definitions` VALUES (177489, 9152, 33, 'शोधा');
INSERT INTO `lang_definitions` VALUES (177490, 9156, 33, 'शोध घ्या:');
INSERT INTO `lang_definitions` VALUES (177491, 9158, 33, 'शोध');
INSERT INTO `lang_definitions` VALUES (177492, 9159, 33, 'शोधा');
INSERT INTO `lang_definitions` VALUES (177493, 9161, 33, 'शोधा किंवा रुग्णांच्या जोडा');
INSERT INTO `lang_definitions` VALUES (177494, 9164, 33, 'शोध भरणा');
INSERT INTO `lang_definitions` VALUES (177495, 9167, 33, 'शोध परिणाम');
INSERT INTO `lang_definitions` VALUES (177496, 9168, 33, 'शोध परिणाम:');
INSERT INTO `lang_definitions` VALUES (177497, 9169, 33, 'शोध निवडलेले');
INSERT INTO `lang_definitions` VALUES (177498, 9171, 33, 'शोध स्ट्रिंग डेटाबेसमध्ये यादी जुळत नाही');
INSERT INTO `lang_definitions` VALUES (177499, 9172, 33, 'शोध स्ट्रिंग किमान तीन वर्ण असणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (177500, 9174, 33, 'शोध मजकूर');
INSERT INTO `lang_definitions` VALUES (177501, 9175, 33, 'कार्यक्रम शोधा');
INSERT INTO `lang_definitions` VALUES (177502, 9178, 33, 'शोध जोडा /');
INSERT INTO `lang_definitions` VALUES (177503, 9179, 33, 'शोध जोडा / ववमाकते');
INSERT INTO `lang_definitions` VALUES (177504, 9181, 33, 'भेटी शोध');
INSERT INTO `lang_definitions` VALUES (177505, 9182, 33, 'शोध घेत आहे ...');
INSERT INTO `lang_definitions` VALUES (177506, 9184, 33, 'Seatbelt वापर');
INSERT INTO `lang_definitions` VALUES (177507, 9185, 33, 'Seatbelt वापरा');
INSERT INTO `lang_definitions` VALUES (177508, 9186, 33, 'दुसरा');
INSERT INTO `lang_definitions` VALUES (177509, 9189, 33, 'माध्यमिक');
INSERT INTO `lang_definitions` VALUES (177510, 9191, 33, 'माध्यमिक विमा');
INSERT INTO `lang_definitions` VALUES (177511, 9192, 33, 'माध्यमिक विमा डेटा');
INSERT INTO `lang_definitions` VALUES (177512, 9193, 33, 'माध्यमिक विमा प्रदाता');
INSERT INTO `lang_definitions` VALUES (177513, 9194, 33, 'माध्यमिक वैद्यकीय प्रकार');
INSERT INTO `lang_definitions` VALUES (177514, 9196, 33, 'कलम आयडी');
INSERT INTO `lang_definitions` VALUES (177515, 9197, 33, 'कलम आयडी आणि नाव रिकामे असू शकत नाही');
INSERT INTO `lang_definitions` VALUES (177516, 9198, 33, 'विभागाचे नाव');
INSERT INTO `lang_definitions` VALUES (177517, 9199, 33, 'कलम यशस्वीरित्या जतन');
INSERT INTO `lang_definitions` VALUES (177518, 9207, 33, 'सुरक्षा');
INSERT INTO `lang_definitions` VALUES (177519, 9208, 33, 'सर्व पाहा');
INSERT INTO `lang_definitions` VALUES (177520, 9210, 33, 'अधिकृत पहा');
INSERT INTO `lang_definitions` VALUES (177521, 9213, 33, 'वाढ-चार्ट पहा');
INSERT INTO `lang_definitions` VALUES (177522, 9214, 33, 'व्युत्पन्न दावे शेवटच्या सेटमध्ये संदेश पहा');
INSERT INTO `lang_definitions` VALUES (177523, 9218, 33, 'पासून पाहिले');
INSERT INTO `lang_definitions` VALUES (177524, 9220, 33, 'या विभागाचा नाव');
INSERT INTO `lang_definitions` VALUES (177525, 9221, 33, 'विभागांना बॅच दावा');
INSERT INTO `lang_definitions` VALUES (177526, 9222, 33, 'फेफरे येतात');
INSERT INTO `lang_definitions` VALUES (177527, 9223, 33, 'Sel');
INSERT INTO `lang_definitions` VALUES (177528, 9224, 33, 'निवडा');
INSERT INTO `lang_definitions` VALUES (177529, 9225, 33, 'निवडा');
INSERT INTO `lang_definitions` VALUES (177530, 9227, 33, 'एक घटक निवडा');
INSERT INTO `lang_definitions` VALUES (177531, 9228, 33, 'एक संदर्भ निवडा');
INSERT INTO `lang_definitions` VALUES (177532, 9232, 33, 'पंक्ती टक्केवारी निवडा किंवा किंवा तारखा निवडण्यासाठी');
INSERT INTO `lang_definitions` VALUES (177533, 9235, 33, 'एक वेळ कालावधी निवडा');
INSERT INTO `lang_definitions` VALUES (177534, 9236, 33, 'वापरकर्ता निवडा');
INSERT INTO `lang_definitions` VALUES (177535, 9239, 33, 'सर्व निवडा');
INSERT INTO `lang_definitions` VALUES (177536, 9241, 33, 'दुरुस्ती तारिख निवडा');
INSERT INTO `lang_definitions` VALUES (177537, 9242, 33, 'प्रिंट दुरुस्त्या निवडा');
INSERT INTO `lang_definitions` VALUES (177538, 9248, 33, 'मुद्रण साठी CAMOS नोंदी निवडा');
INSERT INTO `lang_definitions` VALUES (177539, 9250, 33, 'श्रेणी निवडा');
INSERT INTO `lang_definitions` VALUES (177540, 9253, 33, 'संप्रेषण प्राधान्ये निवडा');
INSERT INTO `lang_definitions` VALUES (177541, 9254, 33, 'हटवू संबंधित चेकबॉक्स निवडा');
INSERT INTO `lang_definitions` VALUES (177542, 9256, 33, 'निवडा निकष काढा');
INSERT INTO `lang_definitions` VALUES (177543, 9257, 33, 'सी टेबल निवडा');
INSERT INTO `lang_definitions` VALUES (177544, 9260, 33, 'डे ओळख डेटा आवश्यक निवडा');
INSERT INTO `lang_definitions` VALUES (177545, 9261, 33, 'निवडा डेटा डी ओळखले डेटा समाविष्ट करणे');
INSERT INTO `lang_definitions` VALUES (177546, 9262, 33, 'तारीख निवडा');
INSERT INTO `lang_definitions` VALUES (177547, 9264, 33, 'इच्छित संघात निवडा');
INSERT INTO `lang_definitions` VALUES (177548, 9265, 33, 'निवडा निदान');
INSERT INTO `lang_definitions` VALUES (177549, 9267, 33, 'डे ओळख विनंती निदान निवडा');
INSERT INTO `lang_definitions` VALUES (177550, 9271, 33, 'निवडा औषध');
INSERT INTO `lang_definitions` VALUES (177551, 9272, 33, 'निवडा औषधे');
INSERT INTO `lang_definitions` VALUES (177552, 9273, 33, 'डे ओळख विनंती निवडा औषधे');
INSERT INTO `lang_definitions` VALUES (177553, 9274, 33, 'निवडा EDI-271 फाइल');
INSERT INTO `lang_definitions` VALUES (177554, 9275, 33, 'निवडा आढळतात');
INSERT INTO `lang_definitions` VALUES (177555, 9276, 33, 'निवडा क्षेत्र');
INSERT INTO `lang_definitions` VALUES (177556, 9278, 33, 'निवडा फील्ड');
INSERT INTO `lang_definitions` VALUES (177557, 9279, 33, 'मुद्रणासाठी निवडा');
INSERT INTO `lang_definitions` VALUES (177558, 9285, 33, 'निवडा लसीकरण');
INSERT INTO `lang_definitions` VALUES (177559, 9286, 33, 'डे ओळख विनंती लसीकरण निवडा');
INSERT INTO `lang_definitions` VALUES (177560, 9287, 33, 'टाइप करून, विमा निवडा');
INSERT INTO `lang_definitions` VALUES (177561, 9288, 33, 'निवडा अंक');
INSERT INTO `lang_definitions` VALUES (177562, 9289, 33, 'आयटम निवडा');
INSERT INTO `lang_definitions` VALUES (177563, 9291, 33, 'भाषा निवडा');
INSERT INTO `lang_definitions` VALUES (177564, 9297, 33, 'एक निवडा');
INSERT INTO `lang_definitions` VALUES (177565, 9298, 33, 'सेवा समायोजित करण्यासाठी एक किंवा अधिक निदान कोड निवडा');
INSERT INTO `lang_definitions` VALUES (177566, 9299, 33, 'अपलोड करण्यासाठी एक किंवा अधिक फायली निवडा');
INSERT INTO `lang_definitions` VALUES (177567, 9303, 33, 'निवडा आउटपुट');
INSERT INTO `lang_definitions` VALUES (177568, 9311, 33, 'विनंती निवडा');
INSERT INTO `lang_definitions` VALUES (177569, 9314, 33, 'निवडा स्रोत');
INSERT INTO `lang_definitions` VALUES (177570, 9317, 33, 'निवडा साचा');
INSERT INTO `lang_definitions` VALUES (177571, 9321, 33, 'निर्यात संरचना आयटम निवडा');
INSERT INTO `lang_definitions` VALUES (177572, 9328, 33, 'या दिवशी कोणत्याही नाही कार्यक्रमांसाठी प्रामुख्याने जबाबदार समस्या निवडा');
INSERT INTO `lang_definitions` VALUES (177573, 9333, 33, 'डाव्या nav स्क्रीन मध्ये पॉपअप पासून रुग्ण पत्ता लेबले मुद्रित निवडा.');
INSERT INTO `lang_definitions` VALUES (177574, 9335, 33, 'ट्रॅक निवडा');
INSERT INTO `lang_definitions` VALUES (177575, 9338, 33, 'निवडा वापरकर्ता');
INSERT INTO `lang_definitions` VALUES (177576, 9340, 33, 'ड्रापडाउनसूची पासून निवडा वापरकर्ते');
INSERT INTO `lang_definitions` VALUES (177577, 9341, 33, 'जर असेल तर, लॉगिन निवड केली जाऊ शकते, जे भाषा निवडा. (फक्त समर्पक परवानगी सर्व भाषा बंद आहे वरील)');
INSERT INTO `lang_definitions` VALUES (177578, 9343, 33, 'गट नष्ट करण्यासाठी होय निवडा');
INSERT INTO `lang_definitions` VALUES (177579, 9349, 33, 'निवडलेले');
INSERT INTO `lang_definitions` VALUES (177580, 9350, 33, 'निवडलेले आढळतात');
INSERT INTO `lang_definitions` VALUES (177581, 9355, 33, 'या (ही एक गट काम नाही आहे) प्रत्येक प्राप्तकर्ता प्रक्रिया करणे आवश्यक आहे की एक संदेश तयार होईल निवडणे.');
INSERT INTO `lang_definitions` VALUES (177582, 9357, 33, 'स्वत:');
INSERT INTO `lang_definitions` VALUES (177583, 9358, 33, 'स्वत: ची पे');
INSERT INTO `lang_definitions` VALUES (177584, 9360, 33, 'पाठवा');
INSERT INTO `lang_definitions` VALUES (177585, 9361, 33, 'एक दि स्मरणपत्र पाठवा');
INSERT INTO `lang_definitions` VALUES (177586, 9362, 33, 'एक स्मरणपत्र पाठवा');
INSERT INTO `lang_definitions` VALUES (177587, 9369, 33, 'प्रगतीपथावर पाठवा');
INSERT INTO `lang_definitions` VALUES (177588, 9372, 33, 'संदेश पाठवा');
INSERT INTO `lang_definitions` VALUES (177589, 9378, 33, 'स्मरणपत्रे बॅच पाठवा');
INSERT INTO `lang_definitions` VALUES (177590, 9379, 33, 'प्रतिबंधात्मक / पाठपुरावा काळजी धीराने प्राधान्य टक्के रुग्णांना स्मरणपत्रे पाठवा.');
INSERT INTO `lang_definitions` VALUES (177591, 9383, 33, 'संदर्भ सह सारांश पाठवा');
INSERT INTO `lang_definitions` VALUES (177592, 9384, 33, 'या फाइल पाठवा');
INSERT INTO `lang_definitions` VALUES (177593, 9385, 33, 'हा संदेश पाठवा');
INSERT INTO `lang_definitions` VALUES (177594, 9386, 33, 'ला पाठवणे');
INSERT INTO `lang_definitions` VALUES (177595, 9389, 33, 'सर्व पाठवा');
INSERT INTO `lang_definitions` VALUES (177596, 9392, 33, 'पोर्टल पाठवा');
INSERT INTO `lang_definitions` VALUES (177597, 9393, 33, 'पोर्टल पाठवा');
INSERT INTO `lang_definitions` VALUES (177598, 9395, 33, 'प्रेषक');
INSERT INTO `lang_definitions` VALUES (177599, 9396, 33, 'प्रेषक ID');
INSERT INTO `lang_definitions` VALUES (177600, 9397, 33, 'प्रेषक ID (ISA06)');
INSERT INTO `lang_definitions` VALUES (177601, 9398, 33, 'प्रेषक ID क्वालिफायर (ISA05)');
INSERT INTO `lang_definitions` VALUES (177602, 9399, 33, 'प्रेषक आयडी');
INSERT INTO `lang_definitions` VALUES (177603, 9406, 33, 'करण्यासाठी पाठवत आहे');
INSERT INTO `lang_definitions` VALUES (177604, 9407, 33, 'संवेदनांचा');
INSERT INTO `lang_definitions` VALUES (177605, 9411, 33, 'संवेदनशीलता:');
INSERT INTO `lang_definitions` VALUES (177606, 9412, 33, 'ज्ञानेंद्रियांचा परीक्षा सामान्य');
INSERT INTO `lang_definitions` VALUES (177607, 9413, 33, 'पाठविलेला');
INSERT INTO `lang_definitions` VALUES (177608, 9414, 33, 'पाठविले - पुष्टी');
INSERT INTO `lang_definitions` VALUES (177609, 9415, 33, 'करून पाठविलेला सर्व करिता रिक्त सोडा');
INSERT INTO `lang_definitions` VALUES (177610, 9416, 33, 'पाठविले:');
INSERT INTO `lang_definitions` VALUES (177611, 9417, 33, 'तारीख पाठविली');
INSERT INTO `lang_definitions` VALUES (177612, 9418, 33, 'प्रेषित आयटम्स');
INSERT INTO `lang_definitions` VALUES (177613, 9419, 33, 'वैद्यकीय रेकॉर्ड पाठविले?');
INSERT INTO `lang_definitions` VALUES (177614, 9420, 33, 'यशस्वीरित्या पाठवले');
INSERT INTO `lang_definitions` VALUES (177615, 9423, 33, 'प्रिंटर पाठविले.');
INSERT INTO `lang_definitions` VALUES (177616, 9424, 33, 'सर्व रिक्त सोडा पाठविले');
INSERT INTO `lang_definitions` VALUES (177617, 9425, 33, 'यांना प्रेषित:');
INSERT INTO `lang_definitions` VALUES (177618, 9426, 33, 'पाठवला, पण चेंडू अद्याप पुष्टी नाही.');
INSERT INTO `lang_definitions` VALUES (177619, 9427, 33, 'पाठविलेला प्राप्त झाले नाही');
INSERT INTO `lang_definitions` VALUES (177620, 9429, 33, 'सप्टेंबर');
INSERT INTO `lang_definitions` VALUES (177621, 9430, 33, 'विभक्त');
INSERT INTO `lang_definitions` VALUES (177622, 9431, 33, 'सप्टेंबर');
INSERT INTO `lang_definitions` VALUES (177623, 9432, 33, 'Seq');
INSERT INTO `lang_definitions` VALUES (177624, 9433, 33, 'क्रम');
INSERT INTO `lang_definitions` VALUES (177625, 9434, 33, 'सर्बियन');
INSERT INTO `lang_definitions` VALUES (177626, 9435, 33, 'Serv रिपब्लिक');
INSERT INTO `lang_definitions` VALUES (177627, 9438, 33, 'सर्व्हर ऑफलाइन असू शकते');
INSERT INTO `lang_definitions` VALUES (177628, 9439, 33, 'सर्व्हर संदेश:');
INSERT INTO `lang_definitions` VALUES (177629, 9442, 33, 'सेवा');
INSERT INTO `lang_definitions` VALUES (177630, 9444, 33, 'सेवा वर्ग');
INSERT INTO `lang_definitions` VALUES (177631, 9445, 33, 'सेवा कोड');
INSERT INTO `lang_definitions` VALUES (177632, 9446, 33, 'सेवा कोड वित्त अहवाल');
INSERT INTO `lang_definitions` VALUES (177633, 9447, 33, 'सेवा कोड');
INSERT INTO `lang_definitions` VALUES (177634, 9448, 33, 'सेवा तारीख');
INSERT INTO `lang_definitions` VALUES (177635, 9451, 33, 'सेवा दिनांक:');
INSERT INTO `lang_definitions` VALUES (177636, 9455, 33, 'सेवा स्थान');
INSERT INTO `lang_definitions` VALUES (177637, 9456, 33, 'सेवा नाव');
INSERT INTO `lang_definitions` VALUES (177638, 9457, 33, 'सेवा तज्ञांना द्वारे प्रदान');
INSERT INTO `lang_definitions` VALUES (177639, 9459, 33, 'सेवा अहवाल');
INSERT INTO `lang_definitions` VALUES (177640, 9460, 33, 'फक्त अहवाल सेवा');
INSERT INTO `lang_definitions` VALUES (177641, 9461, 33, 'सेवा');
INSERT INTO `lang_definitions` VALUES (177642, 9462, 33, 'वर्ग करून सेवा');
INSERT INTO `lang_definitions` VALUES (177643, 9463, 33, 'सेवा प्रदान');
INSERT INTO `lang_definitions` VALUES (177644, 9464, 33, 'सेवा प्रदान');
INSERT INTO `lang_definitions` VALUES (177645, 9465, 33, 'सेवा / उत्पादने');
INSERT INTO `lang_definitions` VALUES (177646, 9466, 33, 'सत्र प्रकार');
INSERT INTO `lang_definitions` VALUES (177647, 9467, 33, 'सेट');
INSERT INTO `lang_definitions` VALUES (177648, 9468, 33, 'लॉगिन दरम्यान निवडले सुविधा लक्षात एक सुविधा कुकी सेट करा.');
INSERT INTO `lang_definitions` VALUES (177649, 9469, 33, 'पूर्ण म्हणून सेट करा');
INSERT INTO `lang_definitions` VALUES (177650, 9475, 33, 'CDR इंजिन आधारित अहवाल सेट प्रक्रिया प्राधान्य.');
INSERT INTO `lang_definitions` VALUES (177651, 9476, 33, '(पूर्ण क्लिनिकमध्ये मोडमध्ये) रुग्णांच्या स्मरणपत्रे निर्मितीसाठी सेट प्रक्रिया प्राधान्य.');
INSERT INTO `lang_definitions` VALUES (177652, 9478, 33, 'पूर्ण अचूक पथ या सेट करा. HTTPS वरील ग्राहकाला SSL प्रमाणपत्र तयार करण्यासाठी.');
INSERT INTO `lang_definitions` VALUES (177653, 9479, 33, 'करण्यासाठी सेट');
INSERT INTO `lang_definitions` VALUES (177654, 9480, 33, 'डीफॉल्ट सेट');
INSERT INTO `lang_definitions` VALUES (177655, 9486, 33, 'डेटाबेस मध्ये आवृत्ती क्रमांक सेट करत आहे ...');
INSERT INTO `lang_definitions` VALUES (177656, 9488, 33, 'सेटिंग्ज');
INSERT INTO `lang_definitions` VALUES (177657, 9493, 33, 'तीव्र मांडली आहे');
INSERT INTO `lang_definitions` VALUES (177658, 9496, 33, 'वेदना तीव्रता');
INSERT INTO `lang_definitions` VALUES (177659, 9497, 33, 'वेदना तीव्रता:');
INSERT INTO `lang_definitions` VALUES (177660, 9498, 33, 'लिंग');
INSERT INTO `lang_definitions` VALUES (177661, 9499, 33, 'अश्लील रोग संसर्गजन्य');
INSERT INTO `lang_definitions` VALUES (177662, 9500, 33, 'केलेला SFTP');
INSERT INTO `lang_definitions` VALUES (177663, 9502, 33, 'SHA-1 हॅश');
INSERT INTO `lang_definitions` VALUES (177664, 9503, 33, 'सामायिकरण');
INSERT INTO `lang_definitions` VALUES (177665, 9504, 33, 'सर्व्हर पासून छपाई साठी शेल आदेश.');
INSERT INTO `lang_definitions` VALUES (177666, 9506, 33, 'शोना');
INSERT INTO `lang_definitions` VALUES (177667, 9507, 33, 'लघु वर्णन');
INSERT INTO `lang_definitions` VALUES (177668, 9510, 33, 'धाप लागणे');
INSERT INTO `lang_definitions` VALUES (177669, 9511, 33, 'धाप लागणे');
INSERT INTO `lang_definitions` VALUES (177670, 9512, 33, 'श्वास 2 लागणे');
INSERT INTO `lang_definitions` VALUES (177671, 9513, 33, 'शॉट नोंद');
INSERT INTO `lang_definitions` VALUES (177672, 9514, 33, 'म्हणून नोंद शॉट:');
INSERT INTO `lang_definitions` VALUES (177673, 9515, 33, 'सक्षम पाहिजे');
INSERT INTO `lang_definitions` VALUES (177674, 9516, 33, 'nnnnn-NNNN-एन जसे पाहिजे');
INSERT INTO `lang_definitions` VALUES (177675, 9517, 33, 'दोन अक्षरे असावे');
INSERT INTO `lang_definitions` VALUES (177676, 9518, 33, '10 अंक असणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (177677, 9519, 33, 'केवळ 10 अंक असणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (177678, 9520, 33, 'खांदा');
INSERT INTO `lang_definitions` VALUES (177679, 9521, 33, 'खांदा + गळ्याभोवतालचे हाड');
INSERT INTO `lang_definitions` VALUES (177680, 9522, 33, 'खांदा समस्या');
INSERT INTO `lang_definitions` VALUES (177681, 9523, 33, 'दर्शवा');
INSERT INTO `lang_definitions` VALUES (177682, 9524, 33, 'सक्रिय दर्शवा');
INSERT INTO `lang_definitions` VALUES (177683, 9527, 33, 'सगळं दाखवा');
INSERT INTO `lang_definitions` VALUES (177684, 9529, 33, 'सर्व प्रक्रीया दर्शवा');
INSERT INTO `lang_definitions` VALUES (177685, 9531, 33, 'सर्व व्यवहार दर्शवा');
INSERT INTO `lang_definitions` VALUES (177686, 9532, 33, 'म्हणून व्यस्त दर्शवा');
INSERT INTO `lang_definitions` VALUES (177687, 9533, 33, 'दाखवा अधिकृत');
INSERT INTO `lang_definitions` VALUES (177688, 9534, 33, 'शो उपलब्ध टाइम्स');
INSERT INTO `lang_definitions` VALUES (177689, 9535, 33, 'दर्शवा अमेरिका आणि मेट्रिक दोन्ही (मुख्य युनिट मेट्रिक आहे)');
INSERT INTO `lang_definitions` VALUES (177690, 9536, 33, 'दर्शवा अमेरिका आणि मेट्रिक (मुख्य युनिट अमेरिकन आहे) दोन्ही');
INSERT INTO `lang_definitions` VALUES (177691, 9540, 33, 'तपशील दाखवा');
INSERT INTO `lang_definitions` VALUES (177692, 9542, 33, 'शो चुका फक्त?');
INSERT INTO `lang_definitions` VALUES (177693, 9544, 33, 'आलेख दर्शवा');
INSERT INTO `lang_definitions` VALUES (177694, 9546, 33, 'Mouseover कार्यक्रम मजकूर घिरट्या दिसून येते?');
INSERT INTO `lang_definitions` VALUES (177695, 9547, 33, 'दर्शवा किती इव्हेंट्स प्रशासन पृष्ठांवर?');
INSERT INTO `lang_definitions` VALUES (177696, 9548, 33, 'शो निष्क्रिय');
INSERT INTO `lang_definitions` VALUES (177697, 9552, 33, 'मेनू दर्शवा');
INSERT INTO `lang_definitions` VALUES (177698, 9553, 33, 'मेट्रिक केवळ दर्शवा');
INSERT INTO `lang_definitions` VALUES (177699, 9556, 33, 'टिपा दर्शवा');
INSERT INTO `lang_definitions` VALUES (177700, 9558, 33, 'वगळले नाही फक्त प्रक्रीया दर्शवा');
INSERT INTO `lang_definitions` VALUES (177701, 9561, 33, 'रुग्णांच्या टिपा दर्शवा');
INSERT INTO `lang_definitions` VALUES (177702, 9562, 33, 'शो पाउंड आणि औन्स');
INSERT INTO `lang_definitions` VALUES (177703, 9563, 33, 'दशांश मूल्य म्हणून दर्शवा पाउंड');
INSERT INTO `lang_definitions` VALUES (177704, 9564, 33, 'प्राथमिक पूर्ण दर्शवा');
INSERT INTO `lang_definitions` VALUES (177705, 9568, 33, 'शो स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (177706, 9569, 33, 'शो अहवाल');
INSERT INTO `lang_definitions` VALUES (177707, 9570, 33, 'दर्शवा शोध / ब्लॉक दुवे सादर?');
INSERT INTO `lang_definitions` VALUES (177708, 9574, 33, 'ऍड यादी विजेट सानुकूल राज्य फॉर्म (शीर्षक आणि संक्षेप विचारेल) दर्शवा.');
INSERT INTO `lang_definitions` VALUES (177709, 9577, 33, 'नाही समस्या या वर्गात प्रविष्ट केले, तरी रुग्णाला सारांश स्क्रीन वर या वर्गात दर्शवा.');
INSERT INTO `lang_definitions` VALUES (177710, 9579, 33, 'दर्शवा ट्रॅक इतिहास');
INSERT INTO `lang_definitions` VALUES (177711, 9580, 33, 'शो बिल न केलेली फक्त');
INSERT INTO `lang_definitions` VALUES (177712, 9581, 33, 'केवळ यूएस दर्शवा');
INSERT INTO `lang_definitions` VALUES (177713, 9585, 33, 'दर्शवित');
INSERT INTO `lang_definitions` VALUES (177714, 9589, 33, 'परिणाम दर्शवित');
INSERT INTO `lang_definitions` VALUES (177715, 9593, 33, 'भावंडे इतिहास');
INSERT INTO `lang_definitions` VALUES (177716, 9595, 33, 'भावंड');
INSERT INTO `lang_definitions` VALUES (177717, 9596, 33, 'विळा सेल');
INSERT INTO `lang_definitions` VALUES (177718, 9597, 33, 'Sig');
INSERT INTO `lang_definitions` VALUES (177719, 9598, 33, 'सिग्मा / Colonoscopy');
INSERT INTO `lang_definitions` VALUES (177720, 9599, 33, 'साइन इन करा');
INSERT INTO `lang_definitions` VALUES (177721, 9601, 33, 'लॅब परिणाम (, लेखन addonly पर्यायी) साइन इन करा');
INSERT INTO `lang_definitions` VALUES (177722, 9603, 33, 'साइन इन करा परिणाम');
INSERT INTO `lang_definitions` VALUES (177723, 9606, 33, 'स्वाक्षरी');
INSERT INTO `lang_definitions` VALUES (177724, 9607, 33, 'फाइल सही');
INSERT INTO `lang_definitions` VALUES (177725, 9609, 33, 'स्वाक्षरी:');
INSERT INTO `lang_definitions` VALUES (177726, 9612, 33, 'साइन इन Rx');
INSERT INTO `lang_definitions` VALUES (177727, 9614, 33, 'महत्त्वाच्या सूज:');
INSERT INTO `lang_definitions` VALUES (177728, 9615, 33, 'सरलीकृत');
INSERT INTO `lang_definitions` VALUES (177729, 9616, 33, 'सरलीकृत सहकारी पे');
INSERT INTO `lang_definitions` VALUES (177730, 9617, 33, 'सरलीकृत लोकसंख्याशास्त्र');
INSERT INTO `lang_definitions` VALUES (177731, 9618, 33, 'सरलीकृत चांगले');
INSERT INTO `lang_definitions` VALUES (177732, 9619, 33, 'असल्याने');
INSERT INTO `lang_definitions` VALUES (177733, 9620, 33, 'विनम्र,');
INSERT INTO `lang_definitions` VALUES (177734, 9621, 33, 'सिंधी');
INSERT INTO `lang_definitions` VALUES (177735, 9622, 33, 'सिंगल');
INSERT INTO `lang_definitions` VALUES (177736, 9624, 33, 'सिंगल-निवड यादी');
INSERT INTO `lang_definitions` VALUES (177737, 9625, 33, 'यादीत जोडण्यासाठी क्षमता सिंगल निवड यादी');
INSERT INTO `lang_definitions` VALUES (177738, 9626, 33, 'असामान्य');
INSERT INTO `lang_definitions` VALUES (177739, 9627, 33, 'सिंहली');
INSERT INTO `lang_definitions` VALUES (177740, 9628, 33, 'सिंहली, सिंहली');
INSERT INTO `lang_definitions` VALUES (177741, 9629, 33, 'सायनस समस्या');
INSERT INTO `lang_definitions` VALUES (177742, 9630, 33, 'सायनस शस्त्रक्रिया');
INSERT INTO `lang_definitions` VALUES (177743, 9631, 33, 'सायनस प्रेमळपणा:');
INSERT INTO `lang_definitions` VALUES (177744, 9632, 33, 'सायनुसायटिस');
INSERT INTO `lang_definitions` VALUES (177745, 9634, 33, 'साइट');
INSERT INTO `lang_definitions` VALUES (177746, 9637, 33, 'साइट ID');
INSERT INTO `lang_definitions` VALUES (177747, 9638, 33, 'वैद्यकीय माहिती एकत्रीकरण, एलएलसी लॅब एक्सचेंज सेवा साइट ID.');
INSERT INTO `lang_definitions` VALUES (177748, 9639, 33, 'OpenEMR समर्थन, LLC लॅब विनिमय सेवा साइट आयडी.');
INSERT INTO `lang_definitions` VALUES (177749, 9643, 33, 'आकार');
INSERT INTO `lang_definitions` VALUES (177750, 9646, 33, 'आकार 1 आणि 999 दरम्यान एक संख्या असणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (177751, 9648, 33, 'आकार / यादी');
INSERT INTO `lang_definitions` VALUES (177752, 9650, 33, 'त्वचा');
INSERT INTO `lang_definitions` VALUES (177753, 9651, 33, 'त्वचा कर्करोग');
INSERT INTO `lang_definitions` VALUES (177754, 9652, 33, 'त्वचा रोग');
INSERT INTO `lang_definitions` VALUES (177755, 9653, 33, 'इतर त्वचा');
INSERT INTO `lang_definitions` VALUES (177756, 9654, 33, 'रुग्णांच्या नोंदी प्राधिकृत जा');
INSERT INTO `lang_definitions` VALUES (177757, 9659, 33, 'वगळण्याबद्दल विभाग');
INSERT INTO `lang_definitions` VALUES (177758, 9660, 33, 'सोडून देत एस क्यू एल-लेजर डंप - विंडोज सर्व्हर लागू नाही');
INSERT INTO `lang_definitions` VALUES (177759, 9664, 33, 'झोप नमुन्यांची');
INSERT INTO `lang_definitions` VALUES (177760, 9665, 33, 'झोप नमुने');
INSERT INTO `lang_definitions` VALUES (177761, 9666, 33, 'झोपलेला');
INSERT INTO `lang_definitions` VALUES (177762, 9668, 33, 'स्लोव्हाक');
INSERT INTO `lang_definitions` VALUES (177763, 9669, 33, 'स्लोवेन');
INSERT INTO `lang_definitions` VALUES (177764, 9670, 33, 'एस.एम. कर्ज वाईड ओ /');
INSERT INTO `lang_definitions` VALUES (177765, 9675, 33, 'Smarty कॅशे साफ केले गेले');
INSERT INTO `lang_definitions` VALUES (177766, 9676, 33, 'धूम्रपान, अज्ञात वर्तमान स्थिती');
INSERT INTO `lang_definitions` VALUES (177767, 9678, 33, 'धूम्रपान स्थिती');
INSERT INTO `lang_definitions` VALUES (177768, 9680, 33, 'एसएमएस प्रमाणिकरण');
INSERT INTO `lang_definitions` VALUES (177769, 9683, 33, 'एसएमएस गेटवे');
INSERT INTO `lang_definitions` VALUES (177770, 9684, 33, 'एसएमएस गेटवे API की');
INSERT INTO `lang_definitions` VALUES (177771, 9685, 33, 'एसएमएस गेटवे API की');
INSERT INTO `lang_definitions` VALUES (177772, 9686, 33, 'एसएमएस गेटवे पासवर्ड');
INSERT INTO `lang_definitions` VALUES (177773, 9687, 33, 'एसएमएस गेटवे वापरकर्तानाव');
INSERT INTO `lang_definitions` VALUES (177774, 9689, 33, 'एसएमएस अधिसूचना');
INSERT INTO `lang_definitions` VALUES (177775, 9690, 33, 'एसएमएस अधिसूचना तास');
INSERT INTO `lang_definitions` VALUES (177776, 9693, 33, 'एसएमएस पाठवा आधी');
INSERT INTO `lang_definitions` VALUES (177777, 9694, 33, 'एसएमएस पाठविले');
INSERT INTO `lang_definitions` VALUES (177778, 9697, 33, 'SMS मजकूर, वापरता येण्याजोगे टॅग: *** *** की NAME, *** *** प्रदात्याकडून, *** *** हे DATE, *** *** startTime, *** ENDTIME *** प्रवास म्हणजे प्रिय *** *** NAME ना');
INSERT INTO `lang_definitions` VALUES (177779, 9701, 33, 'एसएमएस / ई-मेल अॅलर्ट सेटिंग्ज');
INSERT INTO `lang_definitions` VALUES (177780, 9703, 33, 'प्रमाणीकरणासाठी या SMTP संकेतशब्द');
INSERT INTO `lang_definitions` VALUES (177781, 9706, 33, 'SMTP सर्व्हर यजमाननाव');
INSERT INTO `lang_definitions` VALUES (177782, 9707, 33, 'SMTP सर्व्हर पोर्ट क्रमांक');
INSERT INTO `lang_definitions` VALUES (177783, 9708, 33, 'प्रमाणीकरणासाठी या SMTP वापरकर्ता');
INSERT INTO `lang_definitions` VALUES (177784, 9709, 33, 'SNOMED');
INSERT INTO `lang_definitions` VALUES (177785, 9710, 33, 'SNOMED (RF1) क्लिनिकल मुदत');
INSERT INTO `lang_definitions` VALUES (177786, 9711, 33, 'SNOMED (RF1) निदान');
INSERT INTO `lang_definitions` VALUES (177787, 9712, 33, 'SNOMED (RF1) प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (177788, 9714, 33, 'SNOMED (RF2) निदान');
INSERT INTO `lang_definitions` VALUES (177789, 9716, 33, 'SNOMED क्लिनिकल मुदत');
INSERT INTO `lang_definitions` VALUES (177790, 9717, 33, 'SNOMED डेटाबेस');
INSERT INTO `lang_definitions` VALUES (177791, 9718, 33, 'SNOMED निदान');
INSERT INTO `lang_definitions` VALUES (177792, 9719, 33, 'SNOMED प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (177793, 9721, 33, 'धम्माल');
INSERT INTO `lang_definitions` VALUES (177794, 9722, 33, 'SOAP');
INSERT INTO `lang_definitions` VALUES (177795, 9726, 33, 'सामाजिक अडचणी');
INSERT INTO `lang_definitions` VALUES (177796, 9729, 33, 'सामाजिक इतिहास:');
INSERT INTO `lang_definitions` VALUES (177797, 9730, 33, 'सामाजिक सुरक्षा क्रमांक');
INSERT INTO `lang_definitions` VALUES (177798, 9732, 33, 'उपाय');
INSERT INTO `lang_definitions` VALUES (177799, 9733, 33, 'सोमाली');
INSERT INTO `lang_definitions` VALUES (177800, 9734, 33, 'मनाहून भिन्न अशा शरीराविषयी संदर्भ');
INSERT INTO `lang_definitions` VALUES (177801, 9735, 33, 'काही अधिकृत प्रदर्शित केले गेलेले नाहीत. सर्व पाहण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (177802, 9736, 33, 'काही कोड प्रदर्शित केले गेलेले नाहीत.');
INSERT INTO `lang_definitions` VALUES (177803, 9737, 33, 'काही चकमकी प्रदर्शित केले गेलेले नाहीत. सर्व पाहण्यासाठी येथे क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (177804, 9738, 33, 'काही त्रुटी डे ओळख प्रक्रिया दरम्यान आली आहे');
INSERT INTO `lang_definitions` VALUES (177805, 9740, 33, 'काही नोट्स प्रदर्शित केले गेलेले नाहीत.');
INSERT INTO `lang_definitions` VALUES (177806, 9741, 33, 'काही कार्यालय नोट्स प्रदर्शित केले गेलेले नाहीत. सर्व पाहण्यासाठी येथे क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (177807, 9743, 33, 'काही शब्द');
INSERT INTO `lang_definitions` VALUES (177808, 9744, 33, 'कोणीतरी दुसरे फक्त या भेट बदलले आहे. हे पृष्ठ रद्द करा आणि पुन्हा प्रयत्न करा.');
INSERT INTO `lang_definitions` VALUES (177809, 9747, 33, 'काहीतरी चूक झाली. कृपया पुन्हा प्रयत्न करा.');
INSERT INTO `lang_definitions` VALUES (177810, 9748, 33, 'लवकरच मुळे मध्यांतर (क्लिनिकल स्मरणपत्रे)');
INSERT INTO `lang_definitions` VALUES (177811, 9749, 33, 'लवकरच मुळे मध्यांतर (रुग्णांच्या स्मरणपत्रे)');
INSERT INTO `lang_definitions` VALUES (177812, 9750, 33, 'घसा खवखवणे');
INSERT INTO `lang_definitions` VALUES (177813, 9751, 33, 'क्षमस्व नाही नियुक्ती मुदत आहे');
INSERT INTO `lang_definitions` VALUES (177814, 9754, 33, 'क्षमस्व, आपली फाइल अपलोड करताना समस्या आली');
INSERT INTO `lang_definitions` VALUES (177815, 9758, 33, 'नुसार क्रमवारी लावा');
INSERT INTO `lang_definitions` VALUES (177816, 9759, 33, 'क्रमवारी लावा करून');
INSERT INTO `lang_definitions` VALUES (177817, 9761, 33, 'चेकसम लावा');
INSERT INTO `lang_definitions` VALUES (177818, 9762, 33, 'टिप्पण्या क्रमवारी लावा');
INSERT INTO `lang_definitions` VALUES (177819, 9763, 33, 'सीआरटी वापरकर्ता द्वारे क्रमवारीत लावा');
INSERT INTO `lang_definitions` VALUES (177820, 9764, 33, 'तारखेप्रमाणे लावा');
INSERT INTO `lang_definitions` VALUES (177821, 9765, 33, 'तारीख / वेळ लावा');
INSERT INTO `lang_definitions` VALUES (177822, 9766, 33, 'इव्हेंट लावा');
INSERT INTO `lang_definitions` VALUES (177823, 9767, 33, 'गट क्रमवारी लावा');
INSERT INTO `lang_definitions` VALUES (177824, 9768, 33, 'नवीन चेकसम लावा');
INSERT INTO `lang_definitions` VALUES (177825, 9769, 33, 'जुन्या चेकसम लावा');
INSERT INTO `lang_definitions` VALUES (177826, 9770, 33, 'PatientID लावा');
INSERT INTO `lang_definitions` VALUES (177827, 9772, 33, 'यशस्वी लावा');
INSERT INTO `lang_definitions` VALUES (177828, 9773, 33, 'लुडबुड तारीख / वेळ लावा');
INSERT INTO `lang_definitions` VALUES (177829, 9774, 33, 'वापरकर्ता द्वारे क्रमवारीत लावा');
INSERT INTO `lang_definitions` VALUES (177830, 9775, 33, 'लस लावा');
INSERT INTO `lang_definitions` VALUES (177831, 9776, 33, 'क्रमवारी लावा खाली');
INSERT INTO `lang_definitions` VALUES (177832, 9777, 33, 'क्रमवारी लावा परिणाम');
INSERT INTO `lang_definitions` VALUES (177833, 9778, 33, 'क्रमवारी लावा अप');
INSERT INTO `lang_definitions` VALUES (177834, 9779, 33, 'स्रोत');
INSERT INTO `lang_definitions` VALUES (177835, 9781, 33, 'स्त्रोत फाइल');
INSERT INTO `lang_definitions` VALUES (177836, 9782, 33, 'स्त्रोत फाइल पथ');
INSERT INTO `lang_definitions` VALUES (177837, 9783, 33, 'स्त्रोत कोड गहाळ आहे');
INSERT INTO `lang_definitions` VALUES (177838, 9784, 33, 'स्रोत लोट');
INSERT INTO `lang_definitions` VALUES (177839, 9786, 33, 'स्रोत रुग्णांच्या');
INSERT INTO `lang_definitions` VALUES (177840, 9787, 33, 'स्रोत रुग्ण नाही डीओबी आहे');
INSERT INTO `lang_definitions` VALUES (177841, 9788, 33, 'स्रोत रुग्ण आढळले नाही');
INSERT INTO `lang_definitions` VALUES (177842, 9789, 33, 'स्त्रोत:');
INSERT INTO `lang_definitions` VALUES (177843, 9790, 33, 'दक्षिणात्य देबेली');
INSERT INTO `lang_definitions` VALUES (177844, 9791, 33, 'सेसोथो');
INSERT INTO `lang_definitions` VALUES (177845, 9792, 33, 'जागा');
INSERT INTO `lang_definitions` VALUES (177846, 9793, 33, 'स्पेस');
INSERT INTO `lang_definitions` VALUES (177847, 9795, 33, 'स्पॅनिश');
INSERT INTO `lang_definitions` VALUES (177848, 9796, 33, 'स्पॅनिश (लॅटिन अमेरिकन)');
INSERT INTO `lang_definitions` VALUES (177849, 9797, 33, 'स्पॅनिश (स्पेन)');
INSERT INTO `lang_definitions` VALUES (177850, 9798, 33, 'Spanish- कॅस्टेलियन');
INSERT INTO `lang_definitions` VALUES (177851, 9799, 33, 'विशेष वर्ण अनुमत नाहीत');
INSERT INTO `lang_definitions` VALUES (177852, 9800, 33, 'मर्मस्थाने फॉर्म विशेष उपचार');
INSERT INTO `lang_definitions` VALUES (177853, 9801, 33, 'स्पेशॅलिस्ट');
INSERT INTO `lang_definitions` VALUES (177854, 9802, 33, 'स्पेशॅलिस्ट नाव आणि स्वाक्षरी');
INSERT INTO `lang_definitions` VALUES (177855, 9804, 33, 'विशेष');
INSERT INTO `lang_definitions` VALUES (177856, 9805, 33, 'विशेष प्रणाल्या');
INSERT INTO `lang_definitions` VALUES (177857, 9806, 33, 'विशेष:');
INSERT INTO `lang_definitions` VALUES (177858, 9807, 33, 'विशिष्ट');
INSERT INTO `lang_definitions` VALUES (177859, 9808, 33, 'विशिष्ट अर्ज');
INSERT INTO `lang_definitions` VALUES (177860, 9809, 33, 'विशिष्ट नियमनाच्या सेवा');
INSERT INTO `lang_definitions` VALUES (177861, 9810, 33, 'विशिष्ट निकाल');
INSERT INTO `lang_definitions` VALUES (177862, 9811, 33, 'विशिष्ट सेवा');
INSERT INTO `lang_definitions` VALUES (177863, 9812, 33, 'निर्दिष्ट');
INSERT INTO `lang_definitions` VALUES (177864, 9813, 33, 'कोड स्वरूपण निर्दिष्ट करते. # = अंक * = कोणत्याही वर्ण. रिक्त वापरले तर नाही.');
INSERT INTO `lang_definitions` VALUES (177865, 9814, 33, 'कोड स्वरूपण निर्दिष्ट करते. # = अंक @ = अल्फा, * = कोणत्याही वर्ण. रिक्त वापरले तर नाही.');
INSERT INTO `lang_definitions` VALUES (177866, 9815, 33, 'अशी यादी तयार करणे संदर्भ क्रमांक स्वरूपण निर्दिष्ट करते. # = अंक * = कोणत्याही वर्ण. रिक्त वापरले तर नाही.');
INSERT INTO `lang_definitions` VALUES (177867, 9816, 33, 'अशी यादी तयार करणे संदर्भ क्रमांक स्वरूपण निर्दिष्ट करते. # = अंक @ = अल्फा, * = कोणत्याही वर्ण. रिक्त वापरले तर नाही.');
INSERT INTO `lang_definitions` VALUES (177868, 9817, 33, 'उत्पादन एनडीसी फील्ड स्वरूपण निर्दिष्ट करते. # = अंक * = कोणत्याही वर्ण. रिक्त वापरले तर नाही.');
INSERT INTO `lang_definitions` VALUES (177869, 9818, 33, 'उत्पादन एनडीसी फील्ड स्वरूपण निर्दिष्ट करते. # = अंक @ = अल्फा, * = कोणत्याही वर्ण. रिक्त वापरले तर नाही.');
INSERT INTO `lang_definitions` VALUES (177870, 9819, 33, 'बाह्य रुग्ण आयडी स्वरूपण निर्दिष्ट करते. # = अंक * = कोणत्याही वर्ण. रिक्त वापरले तर नाही.');
INSERT INTO `lang_definitions` VALUES (177871, 9820, 33, 'बाह्य रुग्ण आयडी स्वरूपण निर्दिष्ट करते. # = अंक @ = अल्फा, * = कोणत्याही वर्ण. रिक्त वापरले तर नाही.');
INSERT INTO `lang_definitions` VALUES (177872, 9823, 33, 'नमुना');
INSERT INTO `lang_definitions` VALUES (177873, 9824, 33, 'नमुना संख्या / अभिज्ञापक');
INSERT INTO `lang_definitions` VALUES (177874, 9825, 33, 'नमुना प्रकार');
INSERT INTO `lang_definitions` VALUES (177875, 9827, 33, 'भाषण शुद्धलेखन');
INSERT INTO `lang_definitions` VALUES (177876, 9828, 33, 'Spermicides');
INSERT INTO `lang_definitions` VALUES (177877, 9831, 33, 'शस्त्रक्रियेद्वार प्लीहा काढून टाकणे');
INSERT INTO `lang_definitions` VALUES (177878, 9832, 33, 'पती, पत्नी');
INSERT INTO `lang_definitions` VALUES (177879, 9833, 33, 'पती इतिहास');
INSERT INTO `lang_definitions` VALUES (177880, 9834, 33, 'खाकरा');
INSERT INTO `lang_definitions` VALUES (177881, 9835, 33, 'खाकरा:');
INSERT INTO `lang_definitions` VALUES (177882, 9836, 33, 'SQ');
INSERT INTO `lang_definitions` VALUES (177883, 9837, 33, 'एस क्यू एल');
INSERT INTO `lang_definitions` VALUES (177884, 9839, 33, 'संघ');
INSERT INTO `lang_definitions` VALUES (177885, 9840, 33, 'संघ सदस्यत्व');
INSERT INTO `lang_definitions` VALUES (177886, 9841, 33, 'संघ');
INSERT INTO `lang_definitions` VALUES (177887, 9843, 33, 'SRH');
INSERT INTO `lang_definitions` VALUES (177888, 9844, 33, 'SRH - कुटुंब नियोजन');
INSERT INTO `lang_definitions` VALUES (177889, 9845, 33, 'SRH नॉन कुटुंब नियोजन');
INSERT INTO `lang_definitions` VALUES (177890, 9846, 33, 'SRH संदर्भ');
INSERT INTO `lang_definitions` VALUES (177891, 9847, 33, 'SRH भेट द्या फॉर्म');
INSERT INTO `lang_definitions` VALUES (177892, 9848, 33, 'SRV तारीख');
INSERT INTO `lang_definitions` VALUES (177893, 9849, 33, 'एस');
INSERT INTO `lang_definitions` VALUES (177894, 9850, 33, 'SSL प्रमाणपत्र प्रशासन');
INSERT INTO `lang_definitions` VALUES (177895, 9851, 33, 'SSN');
INSERT INTO `lang_definitions` VALUES (177896, 9852, 33, 'स्थिरता');
INSERT INTO `lang_definitions` VALUES (177897, 9854, 33, 'आयोजित रिलीझ');
INSERT INTO `lang_definitions` VALUES (177898, 9855, 33, 'मानक');
INSERT INTO `lang_definitions` VALUES (177899, 9857, 33, 'स्टॅन्डर्ड कोड');
INSERT INTO `lang_definitions` VALUES (177900, 9860, 33, 'मानक उपाय');
INSERT INTO `lang_definitions` VALUES (177901, 9861, 33, 'मानक उपाय (सक्रिय सूचना)');
INSERT INTO `lang_definitions` VALUES (177902, 9862, 33, 'मानक उपाय (निष्क्रीय सूचना)');
INSERT INTO `lang_definitions` VALUES (177903, 9863, 33, 'मानक उपाय (रुग्णांच्या स्मरणपत्रे)');
INSERT INTO `lang_definitions` VALUES (177904, 9864, 33, 'मानक नाव');
INSERT INTO `lang_definitions` VALUES (177905, 9865, 33, 'मानक; सरलीकृत: केवळ शीर्षक, तारीख, टिप्पण्या आणि सक्रीय चेकबॉक्स सुरू; नाही निदान, घटना, शेवटी तारीख, संदर्भित-किंवा खेळ फील्ड. ; फुटबॉल इजा');
INSERT INTO `lang_definitions` VALUES (177906, 9866, 33, 'प्रारंभ');
INSERT INTO `lang_definitions` VALUES (177907, 9867, 33, '(वर्ष-mm-dd या) सुरू करा:');
INSERT INTO `lang_definitions` VALUES (177908, 9868, 33, 'आणखी अहवाल प्रारंभ');
INSERT INTO `lang_definitions` VALUES (177909, 9874, 33, 'प्रारंभ तारीख');
INSERT INTO `lang_definitions` VALUES (177910, 9876, 33, 'या क्लिनिक येथे प्रारंभ तारीख');
INSERT INTO `lang_definitions` VALUES (177911, 9877, 33, 'प्रारंभ तारीख अंतिम तारखेपूर्वी पेक्षा जास्त असू नये');
INSERT INTO `lang_definitions` VALUES (177912, 9878, 33, 'प्रारंभ तारीख:');
INSERT INTO `lang_definitions` VALUES (177913, 9879, 33, 'प्रारंभ तारीख:');
INSERT INTO `lang_definitions` VALUES (177914, 9881, 33, 'प्रारंभ वेळ');
INSERT INTO `lang_definitions` VALUES (177915, 9884, 33, 'तारीख सुरू करत आहे');
INSERT INTO `lang_definitions` VALUES (177916, 9888, 33, 'stat');
INSERT INTO `lang_definitions` VALUES (177917, 9889, 33, 'राज्य');
INSERT INTO `lang_definitions` VALUES (177918, 9890, 33, 'स्टेट डेटा प्रकार');
INSERT INTO `lang_definitions` VALUES (177919, 9891, 33, 'राज्य एलआयसी. #');
INSERT INTO `lang_definitions` VALUES (177920, 9892, 33, 'राज्य परवाना क्रमांक');
INSERT INTO `lang_definitions` VALUES (177921, 9893, 33, 'राज्य यादी');
INSERT INTO `lang_definitions` VALUES (177922, 9894, 33, 'राज्य यादी (राइट, addonly पर्यायी)');
INSERT INTO `lang_definitions` VALUES (177923, 9896, 33, 'राज्य यादी विजेट सानुकूल फील्ड');
INSERT INTO `lang_definitions` VALUES (177924, 9897, 33, 'राज्य किंवा प्रांत');
INSERT INTO `lang_definitions` VALUES (177925, 9898, 33, 'राज्य / परिसर');
INSERT INTO `lang_definitions` VALUES (177926, 9899, 33, 'राज्य / परगणा');
INSERT INTO `lang_definitions` VALUES (177927, 9903, 33, 'निवेदन सारांश');
INSERT INTO `lang_definitions` VALUES (177928, 9904, 33, 'स्टेटमेन्ट आणि अद्यतनित पावत्या.');
INSERT INTO `lang_definitions` VALUES (177929, 9906, 33, 'स्टेटमेन्ट पाठवलेले:');
INSERT INTO `lang_definitions` VALUES (177930, 9907, 33, 'स्टेटमेन्ट; पावत्या अद्यतनित केला जाणार नाही.');
INSERT INTO `lang_definitions` VALUES (177931, 9908, 33, 'स्टॅटिक मजकूर');
INSERT INTO `lang_definitions` VALUES (177932, 9909, 33, 'सांख्यिकी');
INSERT INTO `lang_definitions` VALUES (177933, 9910, 33, 'आकडेवारी');
INSERT INTO `lang_definitions` VALUES (177934, 9911, 33, 'स्थिती');
INSERT INTO `lang_definitions` VALUES (177935, 9914, 33, 'प्रवेश स्थिती');
INSERT INTO `lang_definitions` VALUES (177936, 9915, 33, 'दावा स्थिती');
INSERT INTO `lang_definitions` VALUES (177937, 9916, 33, 'स्टेटस को\'');
INSERT INTO `lang_definitions` VALUES (177938, 9918, 33, 'एसटीडी / एड्स Couns');
INSERT INTO `lang_definitions` VALUES (177939, 9919, 33, 'Stength आणि वातानुकूलन');
INSERT INTO `lang_definitions` VALUES (177940, 9924, 33, 'अपलोड CCR एक्स एम एल स्टेप्स');
INSERT INTO `lang_definitions` VALUES (177941, 9925, 33, 'डीएसएम चौथा डेटाबेस प्रतिष्ठापीत करण्यासाठी पायऱ्या');
INSERT INTO `lang_definitions` VALUES (177942, 9926, 33, 'ICD 10 डेटाबेस प्रतिष्ठापीत करण्यासाठी पायऱ्या');
INSERT INTO `lang_definitions` VALUES (177943, 9927, 33, 'ICD 9 डेटाबेस प्रतिष्ठापीत करण्यासाठी पायऱ्या');
INSERT INTO `lang_definitions` VALUES (177944, 9928, 33, 'RxNorm डेटाबेस प्रतिष्ठापीत करण्यासाठी पायऱ्या');
INSERT INTO `lang_definitions` VALUES (177945, 9929, 33, 'Snomed डेटाबेस प्रतिष्ठापीत करण्यासाठी पायऱ्या');
INSERT INTO `lang_definitions` VALUES (177946, 9932, 33, 'ताठ सांधे');
INSERT INTO `lang_definitions` VALUES (177947, 9933, 33, 'कडक होणे');
INSERT INTO `lang_definitions` VALUES (177948, 9935, 33, 'शेअर महिने');
INSERT INTO `lang_definitions` VALUES (177949, 9936, 33, 'पोटात सुधारणांमुळे');
INSERT INTO `lang_definitions` VALUES (177950, 9937, 33, 'थांबवा');
INSERT INTO `lang_definitions` VALUES (177951, 9942, 33, 'संचयित हॅश');
INSERT INTO `lang_definitions` VALUES (177952, 9944, 33, 'स्नायू ताण');
INSERT INTO `lang_definitions` VALUES (177953, 9946, 33, 'प्रवाह');
INSERT INTO `lang_definitions` VALUES (177954, 9947, 33, 'स्ट्रीट');
INSERT INTO `lang_definitions` VALUES (177955, 9948, 33, 'मार्ग पत्ता');
INSERT INTO `lang_definitions` VALUES (177956, 9949, 33, 'स्ट्रीट आणि क्रमांक');
INSERT INTO `lang_definitions` VALUES (177957, 9950, 33, 'शक्ती');
INSERT INTO `lang_definitions` VALUES (177958, 9951, 33, 'शक्ती आणि वातानुकूलन');
INSERT INTO `lang_definitions` VALUES (177959, 9952, 33, 'गळ्याचा आजार');
INSERT INTO `lang_definitions` VALUES (177960, 9953, 33, 'ताण फ्रॅक्चर');
INSERT INTO `lang_definitions` VALUES (177961, 9954, 33, 'ताण चाचणी');
INSERT INTO `lang_definitions` VALUES (177962, 9956, 33, 'स्ट्रोक');
INSERT INTO `lang_definitions` VALUES (177963, 9958, 33, 'अनेक, एक छोटे आकार पत्र, एक लोअरकेस पत्र, विशेष अक्षर: तीव्र पासवर्ड कमीत कमी 8 वर्ण, आणि किमान तीन अर्थ.');
INSERT INTO `lang_definitions` VALUES (177964, 9960, 33, 'शैली');
INSERT INTO `lang_definitions` VALUES (177965, 9961, 33, 'फॉर्म शैली नवीन रुग्ण समाविष्ट करण्यासाठी वापरले');
INSERT INTO `lang_definitions` VALUES (177966, 9965, 33, 'उप-श्रेणी');
INSERT INTO `lang_definitions` VALUES (177967, 9966, 33, 'उप-एकूण');
INSERT INTO `lang_definitions` VALUES (177968, 9967, 33, 'उपवर्ग');
INSERT INTO `lang_definitions` VALUES (177969, 9968, 33, 'उपवर्ग');
INSERT INTO `lang_definitions` VALUES (177970, 9969, 33, 'subcutaneously');
INSERT INTO `lang_definitions` VALUES (177971, 9970, 33, 'विषय');
INSERT INTO `lang_definitions` VALUES (177972, 9971, 33, 'काल्पनिक');
INSERT INTO `lang_definitions` VALUES (177973, 9972, 33, 'जिभेच्या खाली');
INSERT INTO `lang_definitions` VALUES (177974, 9973, 33, 'जिभेच्या खाली');
INSERT INTO `lang_definitions` VALUES (177975, 9974, 33, 'सबमिट');
INSERT INTO `lang_definitions` VALUES (177976, 9975, 33, 'सादर');
INSERT INTO `lang_definitions` VALUES (177977, 9976, 33, 'सर्व सामग्री सबमिट');
INSERT INTO `lang_definitions` VALUES (177978, 9977, 33, 'सबमिट करा आणि विनंती हटवा');
INSERT INTO `lang_definitions` VALUES (177979, 9979, 33, 'इव्हेंट सबमिट');
INSERT INTO `lang_definitions` VALUES (177980, 9980, 33, 'फॉर्म सादर करतेवेळी');
INSERT INTO `lang_definitions` VALUES (177981, 9982, 33, 'निवडलेले सामग्री सबमिट');
INSERT INTO `lang_definitions` VALUES (177982, 9984, 33, 'सादर');
INSERT INTO `lang_definitions` VALUES (177983, 9985, 33, 'सादर केलेल्या');
INSERT INTO `lang_definitions` VALUES (177984, 9986, 33, 'सबमिट EDI एक्सेस नंबर (PER06)');
INSERT INTO `lang_definitions` VALUES (177985, 9987, 33, 'ग्राहक');
INSERT INTO `lang_definitions` VALUES (177986, 9988, 33, 'ग्राहक पत्ता');
INSERT INTO `lang_definitions` VALUES (177987, 9989, 33, 'ग्राहक शहर');
INSERT INTO `lang_definitions` VALUES (177988, 9990, 33, 'ग्राहक देश');
INSERT INTO `lang_definitions` VALUES (177989, 9991, 33, 'जन्म ग्राहक दिनांक');
INSERT INTO `lang_definitions` VALUES (177990, 9992, 33, 'ग्राहक नियोक्ता');
INSERT INTO `lang_definitions` VALUES (177991, 9993, 33, 'ग्राहक नियोक्ता (SE) मध्ये');
INSERT INTO `lang_definitions` VALUES (177992, 9994, 33, 'ग्राहक नियोक्ता पत्ता');
INSERT INTO `lang_definitions` VALUES (177993, 9995, 33, 'ग्राहक नियोक्ता शहर');
INSERT INTO `lang_definitions` VALUES (177994, 9996, 33, 'ग्राहक नियोक्ता देश');
INSERT INTO `lang_definitions` VALUES (177995, 9997, 33, 'ग्राहक नियोक्ता राज्य');
INSERT INTO `lang_definitions` VALUES (177996, 9998, 33, 'ग्राहक नियोक्ता स्ट्रीट');
INSERT INTO `lang_definitions` VALUES (177997, 9999, 33, 'ग्राहक नियोक्ता पिन');
INSERT INTO `lang_definitions` VALUES (177998, 10000, 33, 'ग्राहक नियोक्ता पिन कोड');
INSERT INTO `lang_definitions` VALUES (177999, 10001, 33, 'ग्राहक नाव');
INSERT INTO `lang_definitions` VALUES (178000, 10002, 33, 'ग्राहक गेल्या नाव');
INSERT INTO `lang_definitions` VALUES (178001, 10004, 33, 'ग्राहक मध्य नाव');
INSERT INTO `lang_definitions` VALUES (178002, 10005, 33, 'ग्राहक फोन');
INSERT INTO `lang_definitions` VALUES (178003, 10006, 33, 'ग्राहक संबंध');
INSERT INTO `lang_definitions` VALUES (178004, 10007, 33, 'ग्राहक संबंध स्वत: ची नाही आहे पण नाव एकच आहे! हे खरोखर ठीक आहे का?');
INSERT INTO `lang_definitions` VALUES (178005, 10008, 33, 'ग्राहक संबंध स्वत: ची नाही पण एस संख्या समान आहे!');
INSERT INTO `lang_definitions` VALUES (178006, 10009, 33, 'ग्राहक संबंध स्वत: ची पण नाव भिन्न आहे! हे खरोखर ठीक आहे का?');
INSERT INTO `lang_definitions` VALUES (178007, 10010, 33, 'ग्राहक संबंध स्वत: ची आहे पण एस संख्या भिन्न आहे!');
INSERT INTO `lang_definitions` VALUES (178008, 10011, 33, 'ग्राहक लिंग');
INSERT INTO `lang_definitions` VALUES (178009, 10012, 33, 'ग्राहक एस');
INSERT INTO `lang_definitions` VALUES (178010, 10013, 33, 'ग्राहक राज्य');
INSERT INTO `lang_definitions` VALUES (178011, 10014, 33, 'ग्राहक पिन');
INSERT INTO `lang_definitions` VALUES (178012, 10017, 33, 'Subscribter फोन');
INSERT INTO `lang_definitions` VALUES (178013, 10020, 33, 'पर्याय');
INSERT INTO `lang_definitions` VALUES (178014, 10021, 33, 'पर्याय परवानगी');
INSERT INTO `lang_definitions` VALUES (178015, 10024, 33, 'यशस्वी');
INSERT INTO `lang_definitions` VALUES (178016, 10025, 33, 'यश');
INSERT INTO `lang_definitions` VALUES (178017, 10026, 33, 'लॅब निकाल यशस्वी खात्री पावती');
INSERT INTO `lang_definitions` VALUES (178018, 10027, 33, 'यश मिळवणे लॅब परिणाम');
INSERT INTO `lang_definitions` VALUES (178019, 10028, 33, 'लॅब एक्सचेंज नेटवर्कपासून यशस्वी प्राप्त करणे परिणाम');
INSERT INTO `lang_definitions` VALUES (178020, 10030, 33, 'यशस्वीरित्या जोडले श्रेणी');
INSERT INTO `lang_definitions` VALUES (178021, 10031, 33, 'यशस्वीरित्या श्रेणी जोडले');
INSERT INTO `lang_definitions` VALUES (178022, 10033, 33, 'यशस्वीपणे हटविले');
INSERT INTO `lang_definitions` VALUES (178023, 10034, 33, 'यशस्वीरित्या तपशील आयात केला. प्रलंबित मंजूरी स्क्रीन रुग्ण मंजूर करा');
INSERT INTO `lang_definitions` VALUES (178024, 10035, 33, 'यशस्वीरित्या डेटाबेस स्थापित.');
INSERT INTO `lang_definitions` VALUES (178025, 10036, 33, 'यशस्वीरित्या खालील डेटाबेस स्थापित');
INSERT INTO `lang_definitions` VALUES (178026, 10037, 33, 'यशस्वीरित्या सुधारित');
INSERT INTO `lang_definitions` VALUES (178027, 10039, 33, 'यशस्वीपणे वाटप करू Saved.Would?');
INSERT INTO `lang_definitions` VALUES (178028, 10040, 33, 'यशस्वीपणे वितरित करा, करू Saved.Would?');
INSERT INTO `lang_definitions` VALUES (178029, 10042, 33, 'यशस्वीरित्या संग्रहीत झाले.');
INSERT INTO `lang_definitions` VALUES (178030, 10044, 33, 'यशस्वीरित्या डेटाबेस सुधारीत.');
INSERT INTO `lang_definitions` VALUES (178031, 10045, 33, 'यशस्वीरित्या खालील डेटाबेस सुधारीत');
INSERT INTO `lang_definitions` VALUES (178032, 10046, 33, 'यशस्वीरित्या.');
INSERT INTO `lang_definitions` VALUES (178033, 10049, 33, 'आत्महत्या');
INSERT INTO `lang_definitions` VALUES (178034, 10051, 33, 'सारांश');
INSERT INTO `lang_definitions` VALUES (178035, 10052, 33, 'सारांश');
INSERT INTO `lang_definitions` VALUES (178036, 10058, 33, 'सन');
INSERT INTO `lang_definitions` VALUES (178037, 10059, 33, 'सुंदानीज');
INSERT INTO `lang_definitions` VALUES (178038, 10060, 33, 'रविवारी');
INSERT INTO `lang_definitions` VALUES (178039, 10061, 33, 'Superbill');
INSERT INTO `lang_definitions` VALUES (178040, 10062, 33, 'Superbill कोड');
INSERT INTO `lang_definitions` VALUES (178041, 10063, 33, 'Superbill कोड प्रशासन');
INSERT INTO `lang_definitions` VALUES (178042, 10065, 33, 'Superbill अहवाल');
INSERT INTO `lang_definitions` VALUES (178043, 10066, 33, 'Superbill / फी पत्रक');
INSERT INTO `lang_definitions` VALUES (178044, 10067, 33, 'Superbills');
INSERT INTO `lang_definitions` VALUES (178045, 10068, 33, 'कधी कधी आढळतात फॉर्म किंवा मार्गाचे डाव सावरला म्हणून संदर्भित Superbills, सर्वात वैद्यकीय पद्धती एक अत्यावश्यक भाग आहेत.');
INSERT INTO `lang_definitions` VALUES (178046, 10069, 33, 'Superuser');
INSERT INTO `lang_definitions` VALUES (178047, 10071, 33, 'देखरेख');
INSERT INTO `lang_definitions` VALUES (178048, 10073, 33, 'डॉक्टर DEA देखरेख');
INSERT INTO `lang_definitions` VALUES (178049, 10074, 33, 'देखरेख डॉक्टर नाव');
INSERT INTO `lang_definitions` VALUES (178050, 10075, 33, 'देखरेख डॉक्टर आडनाव');
INSERT INTO `lang_definitions` VALUES (178051, 10076, 33, 'डॉक्टर NPI देखरेख');
INSERT INTO `lang_definitions` VALUES (178052, 10077, 33, 'डॉक्टर UPIN देखरेख');
INSERT INTO `lang_definitions` VALUES (178053, 10081, 33, 'पुरवठादार सुविधा नाव');
INSERT INTO `lang_definitions` VALUES (178054, 10082, 33, 'अनेक प्रदाते लागू समर्थन कॅलेंडर कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (178055, 10083, 33, 'बॅकअप पृष्ठाद्वारे संरचना डाटाचे समर्थन आयात / निर्यात.');
INSERT INTO `lang_definitions` VALUES (178056, 10084, 33, 'समर्थन मल्टी प्रदाता आगामी कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (178057, 10088, 33, 'TripleDES एनक्रिप्शन / डिक्रिप्शन फक्त समर्थन पुरवतो.');
INSERT INTO `lang_definitions` VALUES (178058, 10090, 33, 'पृष्ठभाग प्रकार');
INSERT INTO `lang_definitions` VALUES (178059, 10092, 33, 'शस्त्रक्रिया');
INSERT INTO `lang_definitions` VALUES (178060, 10093, 33, 'शस्त्रक्रिया');
INSERT INTO `lang_definitions` VALUES (178061, 10094, 33, 'शस्त्रक्रिया समस्या सूची');
INSERT INTO `lang_definitions` VALUES (178062, 10095, 33, 'निलंबित');
INSERT INTO `lang_definitions` VALUES (178063, 10096, 33, 'निलंबन');
INSERT INTO `lang_definitions` VALUES (178064, 10098, 33, 'SVC तारीख');
INSERT INTO `lang_definitions` VALUES (178065, 10099, 33, 'SVC दिनांक:');
INSERT INTO `lang_definitions` VALUES (178066, 10100, 33, 'स्वाहिली');
INSERT INTO `lang_definitions` VALUES (178067, 10101, 33, 'स्वाती');
INSERT INTO `lang_definitions` VALUES (178068, 10102, 33, 'घाम येणे:');
INSERT INTO `lang_definitions` VALUES (178069, 10103, 33, 'स्वीडिश');
INSERT INTO `lang_definitions` VALUES (178070, 10104, 33, 'सूज');
INSERT INTO `lang_definitions` VALUES (178071, 10105, 33, 'उजव्या सूज');
INSERT INTO `lang_definitions` VALUES (178072, 10106, 33, 'सुजलेल्या सांधे');
INSERT INTO `lang_definitions` VALUES (178073, 10107, 33, 'सुजलेल्या लसीका नोडस्');
INSERT INTO `lang_definitions` VALUES (178074, 10108, 33, 'चलन दशांश चिन्ह म्हणून वापरले प्रतीक. दशांश स्थाने 0 आहे वापरले नाही.');
INSERT INTO `lang_definitions` VALUES (178075, 10109, 33, 'प्रतीक चलन हजारो विलग करण्यासाठी केला.');
INSERT INTO `lang_definitions` VALUES (178076, 10110, 33, 'लक्षणे');
INSERT INTO `lang_definitions` VALUES (178077, 10111, 33, 'समक्रमित करा');
INSERT INTO `lang_definitions` VALUES (178078, 10112, 33, 'सानुकूल भाषा टेबल अनुवाद समक्रमित करा.');
INSERT INTO `lang_definitions` VALUES (178079, 10113, 33, 'नवीन सानुकूल सतत समक्रमित:');
INSERT INTO `lang_definitions` VALUES (178080, 10114, 33, 'नवीन सानुकूल भाषा समक्रमित:');
INSERT INTO `lang_definitions` VALUES (178081, 10115, 33, 'नवीन व्याख्या समक्रमित (भाषा, सतत, व्याख्या):');
INSERT INTO `lang_definitions` VALUES (178082, 10116, 33, 'बेशुद्धावस्था');
INSERT INTO `lang_definitions` VALUES (178083, 10117, 33, 'सिंड्रोमिक पाळत ठेवणे');
INSERT INTO `lang_definitions` VALUES (178084, 10118, 33, 'सिंड्रोमिक पाळत ठेवणे - नॉन तक्रार केलेल्या समस्या');
INSERT INTO `lang_definitions` VALUES (178085, 10119, 33, 'सिंड्रोमिक पाळत ठेवणे अहवाल');
INSERT INTO `lang_definitions` VALUES (178086, 10120, 33, 'सीरमी पटलाचा दाह यामध्ये बहुधा सांध्यात द्रव जमतो, संधिदाह व दीर्घकाळ दाह झाल्याने ऍकिलोसिस होतो, अतिक्रमण, बर्साचा दाह');
INSERT INTO `lang_definitions` VALUES (178087, 10121, 33, 'प्रणाली');
INSERT INTO `lang_definitions` VALUES (178088, 10128, 33, 'टी');
INSERT INTO `lang_definitions` VALUES (178089, 10130, 33, 't.i.d.');
INSERT INTO `lang_definitions` VALUES (178090, 10131, 33, 'T.V.');
INSERT INTO `lang_definitions` VALUES (178091, 10133, 33, 'टेबल');
INSERT INTO `lang_definitions` VALUES (178092, 10137, 33, 'टेबल निर्माण होऊ शकली नाही');
INSERT INTO `lang_definitions` VALUES (178093, 10138, 33, 'टेबल अद्यतन अयशस्वी');
INSERT INTO `lang_definitions` VALUES (178094, 10139, 33, 'सपाट दगडी पाट्या');
INSERT INTO `lang_definitions` VALUES (178095, 10140, 33, 'टॅबलेट');
INSERT INTO `lang_definitions` VALUES (178096, 10144, 33, 'चकमकीत टॅग');
INSERT INTO `lang_definitions` VALUES (178097, 10146, 33, 'टागालॉग');
INSERT INTO `lang_definitions` VALUES (178098, 10147, 33, 'ताहितीयन');
INSERT INTO `lang_definitions` VALUES (178099, 10148, 33, 'ताजिक');
INSERT INTO `lang_definitions` VALUES (178100, 10149, 33, 'घ्या');
INSERT INTO `lang_definitions` VALUES (178101, 10151, 33, 'ड्रॉप डाऊन पासून, विमा घ्या');
INSERT INTO `lang_definitions` VALUES (178102, 10152, 33, 'ड्रॉप डाऊन पासून, त्यांच्या लायकीप्रमाणे');
INSERT INTO `lang_definitions` VALUES (178103, 10153, 33, 'परत घेणे');
INSERT INTO `lang_definitions` VALUES (178104, 10154, 33, 'वेळ लागतो');
INSERT INTO `lang_definitions` VALUES (178105, 10157, 33, 'उंच नेव्हिगेशन क्षेत्र');
INSERT INTO `lang_definitions` VALUES (178106, 10158, 33, 'तामिळ');
INSERT INTO `lang_definitions` VALUES (178107, 10159, 33, 'लुडबुड तारीख');
INSERT INTO `lang_definitions` VALUES (178108, 10160, 33, 'बदल चेकसम');
INSERT INTO `lang_definitions` VALUES (178109, 10161, 33, 'लक्ष्य आणि स्रोत डीओबी जुळत नाही');
INSERT INTO `lang_definitions` VALUES (178110, 10162, 33, 'लक्ष्य आणि स्रोत PID समान असू शकत नाहीत!');
INSERT INTO `lang_definitions` VALUES (178111, 10163, 33, 'लक्ष्य आणि स्रोत SSN जुळत नाही');
INSERT INTO `lang_definitions` VALUES (178112, 10164, 33, 'लक्ष्य तारीख');
INSERT INTO `lang_definitions` VALUES (178113, 10165, 33, 'लक्ष्य रुग्णांच्या');
INSERT INTO `lang_definitions` VALUES (178114, 10166, 33, 'लक्ष्य रुग्ण नाही डीओबी आहे');
INSERT INTO `lang_definitions` VALUES (178115, 10167, 33, 'लक्ष्य रुग्ण आढळले नाही');
INSERT INTO `lang_definitions` VALUES (178116, 10168, 33, 'लक्ष्य / हिंसक गट');
INSERT INTO `lang_definitions` VALUES (178117, 10171, 33, 'तातार');
INSERT INTO `lang_definitions` VALUES (178118, 10173, 33, 'कर आयडी');
INSERT INTO `lang_definitions` VALUES (178119, 10174, 33, 'कर दर');
INSERT INTO `lang_definitions` VALUES (178120, 10175, 33, 'कर');
INSERT INTO `lang_definitions` VALUES (178121, 10176, 33, 'वर्गीकरणाची तत्वे');
INSERT INTO `lang_definitions` VALUES (178122, 10181, 33, 'टीडी');
INSERT INTO `lang_definitions` VALUES (178123, 10182, 33, 'टीम इजा विहंगावलोकन');
INSERT INTO `lang_definitions` VALUES (178124, 10183, 33, 'टीम रोस्टर');
INSERT INTO `lang_definitions` VALUES (178125, 10184, 33, 'टीम रोस्टर पहा');
INSERT INTO `lang_definitions` VALUES (178126, 10185, 33, 'टीम / पथक');
INSERT INTO `lang_definitions` VALUES (178127, 10187, 33, 'तेल');
INSERT INTO `lang_definitions` VALUES (178128, 10189, 33, 'टेलिफोन देश कोड');
INSERT INTO `lang_definitions` VALUES (178129, 10191, 33, 'तेलगू');
INSERT INTO `lang_definitions` VALUES (178130, 10192, 33, 'ताप');
INSERT INTO `lang_definitions` VALUES (178131, 10193, 33, 'ताप स्थान');
INSERT INTO `lang_definitions` VALUES (178132, 10194, 33, 'ताप पद्धत');
INSERT INTO `lang_definitions` VALUES (178133, 10196, 33, 'तापमान');
INSERT INTO `lang_definitions` VALUES (178134, 10197, 33, 'साचा');
INSERT INTO `lang_definitions` VALUES (178135, 10198, 33, 'साचा नाव');
INSERT INTO `lang_definitions` VALUES (178136, 10199, 33, 'साचा नाव नंबर सुरू करू शकत नाही.');
INSERT INTO `lang_definitions` VALUES (178137, 10201, 33, 'साचा:');
INSERT INTO `lang_definitions` VALUES (178138, 10202, 33, 'टेम्पलेट');
INSERT INTO `lang_definitions` VALUES (178139, 10205, 33, 'ऐहिक आर्टरी');
INSERT INTO `lang_definitions` VALUES (178140, 10208, 33, 'कक्लेनिअस इजा');
INSERT INTO `lang_definitions` VALUES (178141, 10209, 33, 'Tendonitis / osis / बर्साचा दाह');
INSERT INTO `lang_definitions` VALUES (178142, 10211, 33, 'घुटमळणारा चलन संदर्भ नाही');
INSERT INTO `lang_definitions` VALUES (178143, 10213, 33, 'दर्जा');
INSERT INTO `lang_definitions` VALUES (178144, 10214, 33, 'तृतीय विमा');
INSERT INTO `lang_definitions` VALUES (178145, 10215, 33, 'तृतीय विमा डेटा');
INSERT INTO `lang_definitions` VALUES (178146, 10216, 33, 'तृतीय विमा प्रदाता');
INSERT INTO `lang_definitions` VALUES (178147, 10219, 33, 'कसोटी शेड्युलिंग');
INSERT INTO `lang_definitions` VALUES (178148, 10220, 33, 'कसोटी प्रणाली');
INSERT INTO `lang_definitions` VALUES (178149, 10223, 33, 'मजकूर');
INSERT INTO `lang_definitions` VALUES (178150, 10224, 33, 'मजकूर निदान');
INSERT INTO `lang_definitions` VALUES (178151, 10225, 33, 'मजकूर क्षेत्रात');
INSERT INTO `lang_definitions` VALUES (178152, 10233, 33, 'मजकूर-तारीख');
INSERT INTO `lang_definitions` VALUES (178153, 10234, 33, 'मजकूर-तारीख');
INSERT INTO `lang_definitions` VALUES (178154, 10235, 33, 'Textarea');
INSERT INTO `lang_definitions` VALUES (178155, 10236, 33, 'textarea');
INSERT INTO `lang_definitions` VALUES (178156, 10237, 33, 'मजकूरबॉक्स');
INSERT INTO `lang_definitions` VALUES (178157, 10238, 33, 'मजकूर बॉक्स');
INSERT INTO `lang_definitions` VALUES (178158, 10239, 33, 'मजकूरबॉक्स यादी');
INSERT INTO `lang_definitions` VALUES (178159, 10240, 33, 'बॉक्स यादी');
INSERT INTO `lang_definitions` VALUES (178160, 10241, 33, 'थाई');
INSERT INTO `lang_definitions` VALUES (178161, 10242, 33, 'धन्यवाद');
INSERT INTO `lang_definitions` VALUES (178162, 10245, 33, 'निवड केल्याबद्दल धन्यवाद');
INSERT INTO `lang_definitions` VALUES (178163, 10247, 33, 'साफ करा\' बटणावर क्लिक करा सर्व भाष्य काढेल.');
INSERT INTO `lang_definitions` VALUES (178164, 10254, 33, 'उपरोक्त विधान अयशस्वी');
INSERT INTO `lang_definitions` VALUES (178165, 10264, 33, 'अपॅची SSL सर्व्हर प्रमाणपत्र आणि सार्वजनिक की');
INSERT INTO `lang_definitions` VALUES (178166, 10281, 33, 'प्रमाणपत्र');
INSERT INTO `lang_definitions` VALUES (178167, 10284, 33, 'हक्क फाइल:');
INSERT INTO `lang_definitions` VALUES (178168, 10290, 33, 'सुसंगत आयोजित अमेरिकन विस्तार SNOMED संकुल आधिपासूनच प्रतिष्ठापीत केले गेले आहे.');
INSERT INTO `lang_definitions` VALUES (178169, 10296, 33, 'संबंधित खाजगी की');
INSERT INTO `lang_definitions` VALUES (178170, 10305, 33, 'माहिती एकाग्रता चाचणी हा फॉर्म अयशस्वी झाले');
INSERT INTO `lang_definitions` VALUES (178171, 10322, 33, 'नकार कोड आहे');
INSERT INTO `lang_definitions` VALUES (178172, 10323, 33, 'नकार गट कोड आहे');
INSERT INTO `lang_definitions` VALUES (178173, 10328, 33, 'गंतव्य फॉर्म बंद करण्यात आले');
INSERT INTO `lang_definitions` VALUES (178174, 10330, 33, 'गंतव्य फॉर्म बंद होते; मी तुमची निवड वर कार्य करू शकत नाही.');
INSERT INTO `lang_definitions` VALUES (178175, 10343, 33, 'ही प्रक्रिया करत अस्तित्व');
INSERT INTO `lang_definitions` VALUES (178176, 10346, 33, 'काळजी काळजी किंवा प्रदाता दुसर्या सेटिंग एक रुग्ण प्राप्त किंवा चकमकीत औषध समेट सुरू संबंधित आहे विश्वास ठेवतो मालिका, पात्र हॉस्पिटल किंवा CAH.');
INSERT INTO `lang_definitions` VALUES (178177, 10349, 33, 'काळजी काळजी किंवा प्रदाता दुसर्या सेटिंग त्यांच्या रुग्ण संक्रमणे किंवा काळजी किंवा संदर्भ प्रत्येक संक्रमण काळजी रेकॉर्ड सारांश देणे आवश्यक आहे काळजी दुसर्या प्रदाता त्यांच्या रुग्णाला जर संदर्भ कोण मालिका, पात्र हॉस्पिटल किंवा CAH.');
INSERT INTO `lang_definitions` VALUES (178178, 10350, 33, 'कार्यक्रम (चे) मंजूर झालेली आहेत.');
INSERT INTO `lang_definitions` VALUES (178179, 10351, 33, 'कार्यक्रम (चे) लपवली गेली आहे.');
INSERT INTO `lang_definitions` VALUES (178180, 10352, 33, 'निर्यात डेटा खालील मजकूर क्षेत्रात दिसून येत आहे. आपण कॉपी आणि एक ई-मेल किंवा इतर कोणत्याही इच्छित गंतव्य पेस्ट करू शकता.');
INSERT INTO `lang_definitions` VALUES (178181, 10354, 33, 'निर्यात डेटा खालील मजकूर क्षेत्रात दिसून येत आहे. आपण कॉपी आणि एक ई-मेल किंवा इतर कोणत्याही इच्छित गंतव्य पेस्ट करू शकता.');
INSERT INTO `lang_definitions` VALUES (178182, 10355, 33, 'निर्यात डेटा खालील मजकूर क्षेत्रात दिसून येत आहे. आपण कॉपी आणि एक ई-मेल किंवा इतर कोणत्याही इच्छित गंतव्य पेस्ट करू शकता. {{पुढील भाषांतर तयार दरम्यान हटवणे मार्क}}');
INSERT INTO `lang_definitions` VALUES (178183, 10358, 33, 'फाइल CouchDB जतन केले जाऊ शकत नाही.');
INSERT INTO `lang_definitions` VALUES (178184, 10359, 33, 'फाइल यशस्वी ही त्रुटी सहसा स्टोरेज प्रणाली वरील परवानग्या समस्या संबंधित आहे, असे नामकरण करण्यात जाऊ शकत नाही.');
INSERT INTO `lang_definitions` VALUES (178185, 10360, 33, 'फाइल यशस्वी संग्रहित केले जाऊ शकत नाही, ही त्रुटी सहसा स्टोरेज प्रणाली वरील परवानग्या समस्या संबंधित आहे');
INSERT INTO `lang_definitions` VALUES (178186, 10364, 33, 'पहिल्या (\"लक्ष्य\") चार्ट सर्वाधिक संपूर्ण आणि अचूक मानले जाते की एक आहे. लोकसंख्याशास्त्र, हे एक इतिहास आणि विमा विभाग राहतील.');
INSERT INTO `lang_definitions` VALUES (178187, 10374, 33, 'पहिले पाऊल युनिफाइड वैद्यकीय भाषा प्रणाली वेब साइट खाते उघडण्यासाठी आहे');
INSERT INTO `lang_definitions` VALUES (178188, 10380, 33, 'खालील कॅलेंडर कार्यक्रम जोडले गेले आहे:');
INSERT INTO `lang_definitions` VALUES (178189, 10381, 33, 'खालील कॅलेंडर कार्यक्रम modifed केले आहे:');
INSERT INTO `lang_definitions` VALUES (178190, 10382, 33, 'खालील आपल्या वर्गात यादी काढला जाईल');
INSERT INTO `lang_definitions` VALUES (178191, 10383, 33, 'खालील डेटाबेस प्रकाशन सध्या स्थापित केले आहे');
INSERT INTO `lang_definitions` VALUES (178192, 10384, 33, 'खालील कागदपत्रे या थेट संदेशात संलग्न होते:');
INSERT INTO `lang_definitions` VALUES (178193, 10386, 33, 'खालील EDI फाईल अपलोड झाली आहे');
INSERT INTO `lang_definitions` VALUES (178194, 10388, 33, 'खालील आणीबाणी लॉगिन वापरकर्ता सक्रिय आहे:');
INSERT INTO `lang_definitions` VALUES (178195, 10389, 33, 'खालील त्रुटी आली');
INSERT INTO `lang_definitions` VALUES (178196, 10390, 33, 'खालील क्षेत्र अवैध मूल्य आहे');
INSERT INTO `lang_definitions` VALUES (178197, 10392, 33, 'खालील फील्ड आवश्यक आहेत');
INSERT INTO `lang_definitions` VALUES (178198, 10394, 33, 'खालील फील्ड विनंती पाठविण्यासाठी भरले पाहिजेत.');
INSERT INTO `lang_definitions` VALUES (178199, 10395, 33, 'खालील आंतरराष्ट्रीय Snomed प्रकाशन भाषा समर्थित आहेत');
INSERT INTO `lang_definitions` VALUES (178200, 10397, 33, 'खालील समस्या त्याच निदान कोड आहे. चकमकीत समस्या अद्यतनित केला जाणार नाही. त्याऐवजी चकमकीत संवादचा वापर करा.');
INSERT INTO `lang_definitions` VALUES (178201, 10406, 33, 'ATNA ऑडिट रेपॉजिटरी मशीन यजमाननाव.');
INSERT INTO `lang_definitions` VALUES (178202, 10418, 33, 'प्रारंभिक विंडो अशी यादी तयार करणे शोध पृष्ठ आहे. शीर्षस्थानी आपण एक स्रोत (उदा तपासणी संख्या) मध्ये प्रवेश करू शकते, तारीख द्या आणि रक्कम तपासा. \'टी प्रत्येक दावा पुन्हा प्रती आणि त्यांना प्रविष्ट करणे आवश्यक आहे  आपण डॉन जेणेकरून स्रोत आणि वेतन तारीख कारण आहे. आपण प्रविष्ट की रक्कम आपण पूर्ण करता तेव्हा शून्य येथे समाप्त होईल, अशी आशा पैसे भाग दिले आहे आणि आहे की प्रत्येक अशी यादी तयार करणे साठी कमी करता येईल.');
INSERT INTO `lang_definitions` VALUES (178203, 10420, 33, 'स्थापना निर्देशिका तयार करणे आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (178204, 10421, 33, 'स्थापित आंतरराष्ट्रीय SNOMED आवृत्ती आयोजित अमेरिकन विस्तार SNOMED पॅकेज सुसंगत नाही.');
INSERT INTO `lang_definitions` VALUES (178205, 10422, 33, 'स्थापित आंतरराष्ट्रीय SNOMED आवृत्ती कालबाह्य आहे आणि आयोजित अमेरिकन विस्तार SNOMED फाइल सुसंगत नाही.');
INSERT INTO `lang_definitions` VALUES (178206, 10423, 33, 'प्रतिष्ठापीत आवृत्ती आणि आयोजित फाईल्स समान आहेत.');
INSERT INTO `lang_definitions` VALUES (178207, 10424, 33, 'प्रतिष्ठापीत आवृत्ती आयोजित फाइल अधिक अलीकडील आवृत्ती आहे.');
INSERT INTO `lang_definitions` VALUES (178208, 10431, 33, 'फॉर्म वापरकर्ता दिसते की लेबल');
INSERT INTO `lang_definitions` VALUES (178209, 10438, 33, 'लांबी वर्ण खालील संख्या जास्त नसावी');
INSERT INTO `lang_definitions` VALUES (178210, 10442, 33, 'दोन चार्ट साठी SSN आणि डीओबी एकसारखे आहेत तोपर्यंत विलीन करणार नाही. DOBs रिक्त असू शकत नाही.');
INSERT INTO `lang_definitions` VALUES (178211, 10443, 33, 'संदेश यावेळी पाठवले जाऊ शकत नाही.');
INSERT INTO `lang_definitions` VALUES (178212, 10458, 33, 'नवीन श्रेणी एक उप-श्रेणी असेल');
INSERT INTO `lang_definitions` VALUES (178213, 10460, 33, 'नवीन पासवर्ड वर्तमान संकेतशब्द समान असू शकत नाही.');
INSERT INTO `lang_definitions` VALUES (178214, 10461, 33, 'नवीन पासवर्ड फील्ड समान नाहीत.');
INSERT INTO `lang_definitions` VALUES (178215, 10471, 33, 'आयोजित फाइल्स नंबर चूक आहे. केवळ आपण श्रेणीसुधारित / प्रतिष्ठापीत करण्यासाठी इच्छा आहे की फाइल ठेवा.');
INSERT INTO `lang_definitions` VALUES (178216, 10472, 33, 'आयोजित फाइल्स नंबर चूक आहे. केवळ आपण श्रेणीसुधारित / प्रतिष्ठापीत करण्यासाठी इच्छा आहे की फाइल ठेवा.');
INSERT INTO `lang_definitions` VALUES (178217, 10479, 33, 'पान लोकसंख्याशास्त्र पुनर्निर्देशित केले जाईल. आपण पुन्हा NewCrop देशातील क्षेत्र आणि रेट क्लिक संपादित करू शकता.');
INSERT INTO `lang_definitions` VALUES (178218, 10482, 33, 'पासवर्ड कमीत कमी आठ वर्ण, आणि पाहिजे करणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (178219, 10483, 33, 'आपण प्रविष्ट केलेला संकेतशब्द अवैध आहे');
INSERT INTO `lang_definitions` VALUES (178220, 10486, 33, 'रुग्ण रेकॉर्ड विनंती नोंद करण्यात आली आहे.');
INSERT INTO `lang_definitions` VALUES (178221, 10487, 33, 'रुग्ण स्मरणपत्रे पाठवली गेली आहेत');
INSERT INTO `lang_definitions` VALUES (178222, 10488, 33, 'रुग्ण स्मरणपत्रे अद्यतनित केले गेले आहेत');
INSERT INTO `lang_definitions` VALUES (178223, 10489, 33, 'रुग्ण हा फॉर्म सबमिट करताना लॉग इन झाले नाही');
INSERT INTO `lang_definitions` VALUES (178224, 10493, 33, 'या date.This खाली जाऊ शकत नाही पोस्ट पैसे खात्री मागील तारखा अंतिम अहवाल कोणीही पोस्ट घेतल्यानंतर.');
INSERT INTO `lang_definitions` VALUES (178225, 10495, 33, 'पोर्टल या रुग्ण आणि फॉर्म डेटा आहे. आता तो लोड?');
INSERT INTO `lang_definitions` VALUES (178226, 10505, 33, 'कच्चा डेटा फीड प्रकाशन पासून मिळू शकते');
INSERT INTO `lang_definitions` VALUES (178227, 10509, 33, 'उर्वरित माहिती खाली आपण स्वतः पोस्ट आहेत, किंवा आपण स्वहस्ते दुरुस्त्या करत आहात लागू होतो फक्त जर.');
INSERT INTO `lang_definitions` VALUES (178228, 10512, 33, 'विनंती केलेला दस्तऐवज फाइलप्रणालीवरील अपेक्षित स्थान उपस्थित नाही किंवा त्यात प्रवेश करण्यासाठी पुरेसे परवानगी नाहीत');
INSERT INTO `lang_definitions` VALUES (178229, 10513, 33, 'विनंती केलेला दस्तऐवज फाइलप्रणालीवरील अपेक्षित स्थान उपस्थित नाही किंवा त्यात प्रवेश करण्यासाठी पुरेसे परवानगी नाहीत.');
INSERT INTO `lang_definitions` VALUES (178230, 10524, 33, 'दुसरा (\"स्रोत\") चार्ट त्याच्या लोकसंख्याशास्त्र, इतिहास आणि विमा विभाग टाकून आहे. त्याची इतर डेटा लक्ष्य चार्ट मध्ये विलीन केले जातील.');
INSERT INTO `lang_definitions` VALUES (178231, 10537, 33, 'स्त्रोत आणि तारिक स्तंभ म्हणून साधारणपणे आपण त्या स्पर्श करण्याची आवश्यकता नाही, पहिल्या पानावरील कॉपी केले आहेत. आपण समायोजित स्तंभ, किंवा दोन्ही, पे कॉलममध्ये समायोजन रक्कम भरणा रक्कम लावू शकता. आपण आपोआप त्या ओळीवर आयटम शुल्क उर्वरित बंद लिहितात की एक समायोजन मूल्य मोजणी करण्यासाठी उजवीकडे \"प\" क्लिक करू शकता.');
INSERT INTO `lang_definitions` VALUES (178232, 10540, 33, 'आयोजित फायली तारखा सर्व समान प्रकाशन पासून नाहीत सोडा.');
INSERT INTO `lang_definitions` VALUES (178233, 10541, 33, 'आयोजित फायली आवृत्ती त्याच प्रकाशन सर्व नाही.');
INSERT INTO `lang_definitions` VALUES (178234, 10542, 33, 'आयोजित अमेरिकन विस्तार SNOMED संकुल आंतरराष्ट्रीय SNOMED संकुल स्थापित करण्यात आले आहे नंतर होईपर्यंत स्थापित केले जाऊ शकत नाही.');
INSERT INTO `lang_definitions` VALUES (178235, 10557, 33, 'कॅलेंडर वेळ ग्रॅन्यूलॅरिटी आणि नियोजित भेट स्लॉट मिनीटे लहान मध्यांतर.');
INSERT INTO `lang_definitions` VALUES (178236, 10562, 33, 'सध्याच्या भाषा फॉर्म दिसेल भाषांतरीत लेबल');
INSERT INTO `lang_definitions` VALUES (178237, 10563, 33, 'सध्याच्या भाषा दिसून येईल की, अनुवादित शीर्षक');
INSERT INTO `lang_definitions` VALUES (178238, 10564, 33, 'चालू भाषेत वर्णन अनुवादासाठी');
INSERT INTO `lang_definitions` VALUES (178239, 10565, 33, 'अनुवाद सपाट दगडी पाट्या समक्रमित केले जातात.');
INSERT INTO `lang_definitions` VALUES (178240, 10566, 33, 'या घटकाच्या प्रकार');
INSERT INTO `lang_definitions` VALUES (178241, 10586, 33, 'ही प्रक्रिया किंवा परिणाम ओळख विक्रेता-निर्देशीत कोड');
INSERT INTO `lang_definitions` VALUES (178242, 10591, 33, 'X12 फाइल तसेच परिणामी एचटीएमएल उत्पादन अहवाल मुख्य OpenEMR स्थापना निर्देशिका च्या \"युग\" उपनिर्देशिकेत संग्रहीत केले जाते. आपण वेळोवेळी या संग्रह पहा इच्छित असेल. URL आहे');
INSERT INTO `lang_definitions` VALUES (178243, 10593, 33, 'Zip फाइल खालील आयटम समाविष्ट असेल');
INSERT INTO `lang_definitions` VALUES (178244, 10594, 33, 'थीम');
INSERT INTO `lang_definitions` VALUES (178245, 10600, 33, 'मग कच्चा डेटा फीड प्रकाशन पासून मिळू शकते');
INSERT INTO `lang_definitions` VALUES (178246, 10601, 33, 'उपचारात्मक इंजेक्शन');
INSERT INTO `lang_definitions` VALUES (178247, 10607, 33, 'आहेत');
INSERT INTO `lang_definitions` VALUES (178248, 10610, 33, 'नाही चांगले सध्या आहेत');
INSERT INTO `lang_definitions` VALUES (178249, 10611, 33, 'आपल्या सबमिशन त्रुटी आहेत. हे खाली वर्णन केलेल्या आहेत.');
INSERT INTO `lang_definitions` VALUES (178250, 10614, 33, 'पोर्टल लॉगिन सह अनेक रुग्णांना आहेत');
INSERT INTO `lang_definitions` VALUES (178251, 10616, 33, 'बाहेर तपासले नाही चार्ट आहेत.');
INSERT INTO `lang_definitions` VALUES (178252, 10618, 33, 'या रुग्णाला रेकॉर्ड नाही माहिती आहेत.');
INSERT INTO `lang_definitions` VALUES (178253, 10621, 33, 'कोणतीही नवीन सबमिशन आहेत');
INSERT INTO `lang_definitions` VALUES (178254, 10622, 33, 'या रुग्णाला फाइल नाही नोट्स आहेत.');
INSERT INTO `lang_definitions` VALUES (178255, 10624, 33, 'या रुग्णाला फाइल नाही व्यवहार आहेत.');
INSERT INTO `lang_definitions` VALUES (178256, 10639, 33, 'पाठवून एक मेल त्रुटी झाली आहे');
INSERT INTO `lang_definitions` VALUES (178257, 10642, 33, 'नावाचा एक वर्गात आधीच आहे');
INSERT INTO `lang_definitions` VALUES (178258, 10643, 33, 'नावाचा एक फक्त खालील उपवर्ग तेथे आधीच आहे');
INSERT INTO `lang_definitions` VALUES (178259, 10644, 33, 'नावाच्या एका आयटम आधीपासून आहे');
INSERT INTO `lang_definitions` VALUES (178260, 10645, 33, 'खुले रुग्ण रेकॉर्ड विनंती आधीपासूनच आहे.');
INSERT INTO `lang_definitions` VALUES (178261, 10646, 33, 'ए खाते नाही COA नोंद आहे');
INSERT INTO `lang_definitions` VALUES (178262, 10647, 33, 'रोख खाते नाही COA नोंद आहे');
INSERT INTO `lang_definitions` VALUES (178263, 10648, 33, 'उत्पन्न खाते नाही COA नोंद आहे');
INSERT INTO `lang_definitions` VALUES (178264, 10649, 33, 'सध्याचे कोणतेही रुग्ण आहे');
INSERT INTO `lang_definitions` VALUES (178265, 10650, 33, 'या विषयावर कोणतेही स्थानिक सामग्री आहे.');
INSERT INTO `lang_definitions` VALUES (178266, 10651, 33, 'अशी यादी तयार करणे आयडी नाही जुळणी आहे');
INSERT INTO `lang_definitions` VALUES (178267, 10652, 33, 'अशी यादी तयार करणे आयडी नाही सामना = आहे');
INSERT INTO `lang_definitions` VALUES (178268, 10653, 33, 'सेवा आयडी नाही भाग नोंद आहे');
INSERT INTO `lang_definitions` VALUES (178269, 10654, 33, 'पोर्टल लॉगिन नाही रुग्ण आहे');
INSERT INTO `lang_definitions` VALUES (178270, 10655, 33, 'संदेश पाठविताना एक समस्या आली.');
INSERT INTO `lang_definitions` VALUES (178271, 10656, 33, 'आपल्या विनंतीवर प्रक्रिया करताना एक त्रुटी आली.');
INSERT INTO `lang_definitions` VALUES (178272, 10657, 33, 'खालील स्ट्रिंग एक OpenEMR एस क्यू एल अंतर्मुख त्रुटी आली होती');
INSERT INTO `lang_definitions` VALUES (178273, 10661, 33, 'हे 2012 दुवे आहेत');
INSERT INTO `lang_definitions` VALUES (178274, 10682, 33, 'उजव्या thickened:');
INSERT INTO `lang_definitions` VALUES (178275, 10683, 33, 'मांडीवर');
INSERT INTO `lang_definitions` VALUES (178276, 10684, 33, 'मांडीवर + गुडघ्याच्या मागच्या दोन स्नायूंना जोडणारा दोरीसारखा दिसणारा स्नायू');
INSERT INTO `lang_definitions` VALUES (178277, 10685, 33, 'कार्यालय मागे गोष्टी फक्त वाचू शकता');
INSERT INTO `lang_definitions` VALUES (178278, 10686, 33, 'कार्यालय परत गोष्टी वाचा प्रविष्ट पण नाही संपादीत करू शकता');
INSERT INTO `lang_definitions` VALUES (178279, 10687, 33, 'कार्यालय परत गोष्टी वाचा आणि सुधारित करू शकतो');
INSERT INTO `lang_definitions` VALUES (178280, 10688, 33, 'कार्यालय परत गोष्टी वाचा आणि अंशतः संपादीत करू शकता');
INSERT INTO `lang_definitions` VALUES (178281, 10689, 33, 'चिकित्सक फक्त वाचू शकता गोष्टी');
INSERT INTO `lang_definitions` VALUES (178282, 10690, 33, 'चिकित्सक वाचा आणि प्रविष्ट पण नाही संपादीत करू शकता गोष्टी');
INSERT INTO `lang_definitions` VALUES (178283, 10691, 33, 'चिकित्सक वाचा आणि सुधारित करू शकतो गोष्टी');
INSERT INTO `lang_definitions` VALUES (178284, 10692, 33, 'चिकित्सक वाचा आणि अंशतः संपादीत करू शकता गोष्टी');
INSERT INTO `lang_definitions` VALUES (178285, 10693, 33, 'एकही कार्यालय फक्त वाचू शकतात गोष्टी');
INSERT INTO `lang_definitions` VALUES (178286, 10694, 33, 'एकही कार्यालय वाचा आणि प्रविष्ट पण नाही संपादीत करू शकता गोष्टी');
INSERT INTO `lang_definitions` VALUES (178287, 10695, 33, 'एकही कार्यालय वाचा आणि सुधारित करू शकतो गोष्टी');
INSERT INTO `lang_definitions` VALUES (178288, 10696, 33, 'एकही कार्यालय वाचा आणि अंशतः संपादीत करू शकता गोष्टी');
INSERT INTO `lang_definitions` VALUES (178289, 10697, 33, 'डॉक्टरांची फक्त वाचू शकता गोष्टी');
INSERT INTO `lang_definitions` VALUES (178290, 10698, 33, 'डॉक्टरांची वाचा आणि प्रविष्ट पण नाही संपादीत करू शकता गोष्टी');
INSERT INTO `lang_definitions` VALUES (178291, 10699, 33, 'डॉक्टरांची वाचा आणि सुधारित करू शकतो गोष्टी');
INSERT INTO `lang_definitions` VALUES (178292, 10700, 33, 'डॉक्टरांची वाचा आणि अंशतः संपादीत करू शकता गोष्टी');
INSERT INTO `lang_definitions` VALUES (178293, 10701, 33, 'तिसरा');
INSERT INTO `lang_definitions` VALUES (178294, 10704, 33, 'ही क्रिया पूर्ववत केली जाऊ शकत नाही.');
INSERT INTO `lang_definitions` VALUES (178295, 10705, 33, 'ही क्रिया पूर्ववत केली जाऊ शकत नाही.');
INSERT INTO `lang_definitions` VALUES (178296, 10707, 33, 'ही क्रिया लॉग इन केले जाईल');
INSERT INTO `lang_definitions` VALUES (178297, 10712, 33, 'या नियोजित भेट स्लॉट आधीच तरीही हे वापरू वापरले जाते?');
INSERT INTO `lang_definitions` VALUES (178298, 10713, 33, 'या नियोजित भेट स्लॉट उपलब्ध नाही, कृपया दुसरे निवडा.');
INSERT INTO `lang_definitions` VALUES (178299, 10714, 33, 'हे कॅलेंडर वर्ष');
INSERT INTO `lang_definitions` VALUES (178300, 10715, 33, 'हा हक्क रद्द करण्यात आली आहे.');
INSERT INTO `lang_definitions` VALUES (178301, 10716, 33, 'हा हक्क बंद केले गेले आहे.');
INSERT INTO `lang_definitions` VALUES (178302, 10717, 33, 'हा हक्क denied.Reason आहे: -');
INSERT INTO `lang_definitions` VALUES (178303, 10718, 33, 'हा हक्क पुढील स्तरावर पाठविली जाणार आहे.');
INSERT INTO `lang_definitions` VALUES (178304, 10725, 33, 'हा कोड प्रकार संबंध स्वीकारत नाही.');
INSERT INTO `lang_definitions` VALUES (178305, 10727, 33, 'या संदर्भात हटविले जाईल श्रेणी, समाविष्टीत आहे. आपण अद्याप सुरू ठेवू इच्छिता?');
INSERT INTO `lang_definitions` VALUES (178306, 10730, 33, 'या भेटी कॅलेंडरवर प्रदर्शित कसे ठरवते.');
INSERT INTO `lang_definitions` VALUES (178307, 10731, 33, 'या नियुक्ती वापरली रंग स्कीमा द्वारे निश्चित केले जाते');
INSERT INTO `lang_definitions` VALUES (178308, 10734, 33, 'या घटनेचा');
INSERT INTO `lang_definitions` VALUES (178309, 10735, 33, 'या घटनेचा बिल आले आहे. आपण तो बदलू गरज असेल तर, तो पुन्हा उघडले करणे आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (178310, 10737, 33, 'या घटनेचा लॉक केलेले आहे. कोणत्याही नवीन फॉर्म जोडले जाऊ शकते.');
INSERT INTO `lang_definitions` VALUES (178311, 10740, 33, 'हे वैशिष्ट्य अद्याप उपलब्ध नाही');
INSERT INTO `lang_definitions` VALUES (178312, 10742, 33, 'हा पर्याय अतिशय प्रायोगिक आणि नाही पूर्णपणे चाचणी केली आहे. आपल्या स्वत: च्या जोखमीवर वापरा!');
INSERT INTO `lang_definitions` VALUES (178313, 10753, 33, 'या चलन संख्या बदलण्यात आला आहे');
INSERT INTO `lang_definitions` VALUES (178314, 10763, 33, 'या मुख्य चार्ट विलीन आणि नंतर हटविली जाऊ आहे की चार्ट आहे.');
INSERT INTO `lang_definitions` VALUES (178315, 10772, 33, 'या विलीन डेटा प्राप्त आहे की मुख्य चार्ट आहे.');
INSERT INTO `lang_definitions` VALUES (178316, 10784, 33, 'हे स्थान');
INSERT INTO `lang_definitions` VALUES (178317, 10786, 33, 'हा संदेश मजकूर आपोआप जतन केला नाही. कॉपी सामग्री ते योग्य जतन आणि.');
INSERT INTO `lang_definitions` VALUES (178318, 10788, 33, 'हे विभाग द्वारे वापरले जात आहे');
INSERT INTO `lang_definitions` VALUES (178319, 10789, 33, 'या विभागाचा चाचणी मोड मध्ये आहे. डेटाबेस बदलले जाणार नाही.');
INSERT INTO `lang_definitions` VALUES (178320, 10792, 33, 'या विभागाचा EOB डेटा कार्यक्षम प्रवेश प्रोत्साहन देते.');
INSERT INTO `lang_definitions` VALUES (178321, 10793, 33, 'तारीख करण्यासाठी हा महिना');
INSERT INTO `lang_definitions` VALUES (178322, 10797, 33, 'ही ऑर्डर आधीच प्रसारित होते');
INSERT INTO `lang_definitions` VALUES (178323, 10798, 33, 'हे पृष्ठ आपल्याला आपण स्थापित आणि सुधारणा करू शकता, असे समर्थीत बाह्य dataloads प्रत्येक पुनरावलोकन करण्यास परवानगी देते. खाली प्रत्येक विभाग व्याज विशिष्ट डेटाबेस स्थिती पुनरावलोकन विभाग शिर्षक वर क्लिक करून विस्तृत जाऊ शकते.');
INSERT INTO `lang_definitions` VALUES (178324, 10799, 33, 'सुरक्षा कारणांसाठी निष्क्रिय हे पान.');
INSERT INTO `lang_definitions` VALUES (178325, 10801, 33, 'आम्ही प्रत्येक वेळी कृपया पुन्हा लॉगिन क्लिक करा करण्याची गरज नाही, त्यामुळे इनलाइन होईल हे पान, लॉगीन पेज यांचा समावेश आहे.');
INSERT INTO `lang_definitions` VALUES (178326, 10804, 33, 'या रुग्ण नाही क्रियाकलाप आहे.');
INSERT INTO `lang_definitions` VALUES (178327, 10805, 33, 'या रुग्ण आयडी आधीच वापरात आहे!');
INSERT INTO `lang_definitions` VALUES (178328, 10807, 33, 'हे उत्पादन कोठार केवळ एकच भरपूर परवानगी देतो.');
INSERT INTO `lang_definitions` VALUES (178329, 10808, 33, 'हा प्रोटोकॉल लागू केले नाही');
INSERT INTO `lang_definitions` VALUES (178330, 10809, 33, 'हा अहवाल सध्या केवळ ICD9 कोड काम.');
INSERT INTO `lang_definitions` VALUES (178331, 10818, 33, 'या बॉक्समध्ये 31 तारीख समाविष्ट करण्यासाठी नाही हे निश्चित करते.');
INSERT INTO `lang_definitions` VALUES (178332, 10819, 33, 'या बिलिंग विभाग निर्माण पाहिजे फॉर्म कोणत्या पुनरावृत्ती निर्देशीत करते');
INSERT INTO `lang_definitions` VALUES (178333, 10821, 33, 'ही पद्धत आपण पुढील वापरासाठी जतन करण्यासाठी जी फाइल निर्माण होईल. फाइल पुन्हा निर्माण होऊ शकत नाही. आपण पुढे जाऊ इच्छिता का?');
INSERT INTO `lang_definitions` VALUES (178334, 10822, 33, 'या वापरकर्ता कोणत्याही गटाचे सदस्य नाही');
INSERT INTO `lang_definitions` VALUES (178335, 10823, 33, 'या वापरकर्ता नवीन येणारे थेट संदेश सूचना प्राप्त होईल');
INSERT INTO `lang_definitions` VALUES (178336, 10824, 33, 'या उपयुक्तता प्रायोगिक अवस्थेत आहे. ती वापरत करण्यापूर्वी आपल्या डेटाबेस आणि दस्तऐवज बॅकअप!');
INSERT INTO `lang_definitions` VALUES (178337, 10826, 33, 'या भेट नवीन गर्भनिरोधक वापर सुरु');
INSERT INTO `lang_definitions` VALUES (178338, 10827, 33, 'या भेट GCAC फॉर्म, रेफरल किंवा प्रक्रिया सेवा आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (178339, 10828, 33, 'हे आता नापसंत जुन्या मेट्रिक फक्त-मर्मस्थाने फॉर्म होता.');
INSERT INTO `lang_definitions` VALUES (178340, 10829, 33, 'तारीख या आठवड्यात');
INSERT INTO `lang_definitions` VALUES (178341, 10831, 33, 'या CCR (संगोपन अिभलेख सातत्य) आणि सीसीडीची (संगोपन डॉक्युमेंट सातत्य) अहवाल सक्रिय करणार नाही.');
INSERT INTO `lang_definitions` VALUES (178342, 10834, 33, 'या डिबगिंग ( \'बनावट \') भाषा निवड अनुमती देईल.');
INSERT INTO `lang_definitions` VALUES (178343, 10838, 33, 'हे शारीरिक डेटा अपडेट एक \"कोरडे एकही रन नाही\" असेल.');
INSERT INTO `lang_definitions` VALUES (178344, 10843, 33, 'या डांबर स्वरूपात बॅकअप तयार आणि नंतर आपण सुरक्षित करू शकता त्यामुळे आपल्या वेब ब्राउझर पाठविले जाईल');
INSERT INTO `lang_definitions` VALUES (178345, 10844, 33, 'या एनक्रिप्शन व डिक्रिप्शन वैशिष्ट्ये दस्तऐवज निष्क्रिय, आणि UI त्यांना मदत करणार नाही.');
INSERT INTO `lang_definitions` VALUES (178346, 10845, 33, 'या ज्या मुलांना पालक चकमकीत सर्व प्रकारच्या संपादन बटणावर अक्षम ई-स्वाक्षरी केलेले आहे');
INSERT INTO `lang_definitions` VALUES (178347, 10846, 33, 'या ई-स्वाक्षरी केलेले आहे की, कोणत्याही स्वरूपात संपादन बटणावर अक्षम करेल');
INSERT INTO `lang_definitions` VALUES (178348, 10850, 33, 'ही व्यक्ती फॉर्म ऐवजी, एक संपूर्ण चकमकीत साइन इन सक्षम होईल');
INSERT INTO `lang_definitions` VALUES (178349, 10851, 33, 'या स्वतंत्रपणे वैयक्तिक फॉर्म साइन इन सक्षम होईल');
INSERT INTO `lang_definitions` VALUES (178350, 10854, 33, 'हे नेहमी खुली असल्याचे रुग्णांच्या सारांश स्क्रीन मध्ये बिलिंग विजेट सक्ती करेल.');
INSERT INTO `lang_definitions` VALUES (178351, 10855, 33, 'या लॉक वापरकर्ता (स्वतंत्र लॉकिंग आणि साइन इन) पर्याय देईल');
INSERT INTO `lang_definitions` VALUES (178352, 10857, 33, 'हा रुग्ण अहवाल रिक्त ई-चिन्ह नोंदी लपवेल');
INSERT INTO `lang_definitions` VALUES (178353, 10859, 33, 'हा एक दोन रुग्ण चार्ट विलीन होईल. एक रुग्ण चुकून डुप्लीकेट केले आहे तेव्हा तो उपयुक्त आहे. अनेकदा घडते, तर आपल्या कार्यालयात प्रक्रीया निराकरण - नियमितपणे या चालवू नका!');
INSERT INTO `lang_definitions` VALUES (178354, 10860, 33, 'हा ई-चांगले साइट होणार प्रतिबंधित करणार नाही.');
INSERT INTO `lang_definitions` VALUES (178355, 10867, 33, 'या मानक CVX लसीकरण यादी ऐवजी सानुकूल लसीकरण यादी वापरेल.');
INSERT INTO `lang_definitions` VALUES (178356, 10871, 33, 'वक्षस्थळाविषयी मणक्याचे');
INSERT INTO `lang_definitions` VALUES (178357, 10873, 33, 'Thous / CU.MM');
INSERT INTO `lang_definitions` VALUES (178358, 10878, 33, 'घसा');
INSERT INTO `lang_definitions` VALUES (178359, 10879, 33, 'घसा कर्करोग');
INSERT INTO `lang_definitions` VALUES (178360, 10880, 33, 'घसा कर्करोग शस्त्रक्रिया');
INSERT INTO `lang_definitions` VALUES (178361, 10881, 33, 'रक्त गोठणे / स्ट्रोक');
INSERT INTO `lang_definitions` VALUES (178362, 10882, 33, 'गुरु');
INSERT INTO `lang_definitions` VALUES (178363, 10884, 33, 'Thurdsay');
INSERT INTO `lang_definitions` VALUES (178364, 10885, 33, 'गुरुवारी');
INSERT INTO `lang_definitions` VALUES (178365, 10887, 33, 'सामान्य थायरॉईड');
INSERT INTO `lang_definitions` VALUES (178366, 10888, 33, 'थायरॉईड समस्या');
INSERT INTO `lang_definitions` VALUES (178367, 10890, 33, 'TIA');
INSERT INTO `lang_definitions` VALUES (178368, 10891, 33, 'तिबेटी मानक, तिबेटी, केंद्रीय');
INSERT INTO `lang_definitions` VALUES (178369, 10892, 33, 'Tid');
INSERT INTO `lang_definitions` VALUES (178370, 10901, 33, 'टिग्रिन्या');
INSERT INTO `lang_definitions` VALUES (178371, 10902, 33, 'वेळ');
INSERT INTO `lang_definitions` VALUES (178372, 10903, 33, 'वेळ प्रदर्शन स्वरूप');
INSERT INTO `lang_definitions` VALUES (178373, 10904, 33, 'जोडा (मिनिटे 1-60) वेळ बढती');
INSERT INTO `lang_definitions` VALUES (178374, 10905, 33, 'वेळ निवड');
INSERT INTO `lang_definitions` VALUES (178375, 10907, 33, 'वेळ स्लॉट खुले आहे, बचत कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (178376, 10909, 33, 'वेळ-टू-थेट सेकंदात अॅलर्जी SOAP विनंती');
INSERT INTO `lang_definitions` VALUES (178377, 10910, 33, 'वेळ-टू-थेट सेकंदात औषधे SOAP विनंती');
INSERT INTO `lang_definitions` VALUES (178378, 10913, 33, 'समयोचित कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (178379, 10914, 33, 'टाइम्स अरे (एन / अ)');
INSERT INTO `lang_definitions` VALUES (178380, 10915, 33, 'शिक्का आणि मजकूर');
INSERT INTO `lang_definitions` VALUES (178381, 10917, 33, 'टीआयएन');
INSERT INTO `lang_definitions` VALUES (178382, 10918, 33, 'कानांतील गुणगुण किंवा तत्सम होणारा आवाज');
INSERT INTO `lang_definitions` VALUES (178383, 10920, 33, 'शीर्षक');
INSERT INTO `lang_definitions` VALUES (178384, 10923, 33, 'शीर्षक व्ही');
INSERT INTO `lang_definitions` VALUES (178385, 10924, 33, 'TitleCols 1 आणि 999 दरम्यान एक संख्या असणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (178386, 10925, 33, 'शोध शिर्षके फाईल नाव');
INSERT INTO `lang_definitions` VALUES (178387, 10926, 33, 'तिलकरत्ने  \'एस:');
INSERT INTO `lang_definitions` VALUES (178388, 10927, 33, 'TMS / EAMs / कायर्कारी अिभयंता, EXT नाक');
INSERT INTO `lang_definitions` VALUES (178389, 10928, 33, 'करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (178390, 10929, 33, 'ते');
INSERT INTO `lang_definitions` VALUES (178391, 10930, 33, 'ते');
INSERT INTO `lang_definitions` VALUES (178392, 10931, 33, 'फाइल परिपूर्ण मार्ग');
INSERT INTO `lang_definitions` VALUES (178393, 10936, 33, 'नोट्स जोडण्यासाठी, क्लिक करा');
INSERT INTO `lang_definitions` VALUES (178394, 10937, 33, 'टीपा जोडण्यासाठी इथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (178395, 10938, 33, 'प्रभावित क्षेत्र');
INSERT INTO `lang_definitions` VALUES (178396, 10939, 33, 'प्रभावित क्षेत्र');
INSERT INTO `lang_definitions` VALUES (178397, 10942, 33, 'आपोआप विशिष्ट नमुना उघडण्यासाठी. काही क्रीडा संघ येथे football_injury_audit वापरा.');
INSERT INTO `lang_definitions` VALUES (178398, 10944, 33, 'बिलिंग पहा');
INSERT INTO `lang_definitions` VALUES (178399, 10945, 33, 'वर्गात');
INSERT INTO `lang_definitions` VALUES (178400, 10947, 33, 'क्लिनिकल पहा');
INSERT INTO `lang_definitions` VALUES (178401, 10949, 33, 'Copay करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (178402, 10952, 33, 'तारीख करण्यासाठी तारखेपासून पेक्षा नंतर असणे आवश्यक आहे!');
INSERT INTO `lang_definitions` VALUES (178403, 10953, 33, 'Ded\'ble करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (178404, 10956, 33, 'Dems करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (178405, 10958, 33, ', क्लाएंट साइड SSL प्रमाणपत्र अक्षम करण्यासाठी अपॅची संरचना फाइल आणि संच ओळी वरील टिप्पणी');
INSERT INTO `lang_definitions` VALUES (178406, 10960, 33, 'HTTPS वरील अक्षम करण्यासाठी, अपॅची संरचना फाइल वरील ओळी टिप्पणी आणि Apache सर्व्हर पुन्हा सुरू करा.');
INSERT INTO `lang_definitions` VALUES (178407, 10965, 33, 'क्लायंट बाजूला SSL प्रमाणपत्र सक्षम करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (178408, 10966, 33, 'क्लायंट बाजूला SSL प्रमाणपत्र प्रमाणीकरण सक्षम करा करायचे असल्यास, https केले आहे.');
INSERT INTO `lang_definitions` VALUES (178409, 10970, 33, 'फक्त HTTPS वरील सक्षम करण्यासाठी, वरील बदल सुरू आणि Apache सर्व्हर पुन्हा सुरू करा. आपण देखील क्लाएंट साइड प्रमाणपत्र संयोजीत करू इच्छित असल्यास, पुढील विभागात कॉन्फिगर करा.');
INSERT INTO `lang_definitions` VALUES (178410, 10972, 33, 'Enctr करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (178411, 10973, 33, 'लिंग फिल्टर');
INSERT INTO `lang_definitions` VALUES (178412, 10980, 33, 'इतिहास');
INSERT INTO `lang_definitions` VALUES (178413, 10982, 33, 'मुद्दे');
INSERT INTO `lang_definitions` VALUES (178414, 10984, 33, 'या घटनेचा दुवा / सध्याच्या समस्या सल्ला क्लिक करा');
INSERT INTO `lang_definitions` VALUES (178415, 10985, 33, '/ या घटनेचा निर्देशित पानाशी जोडले आहेत अस्तित्वातील समस्या सल्ला, तो प्रकाशित करा आणि मग [जतन] क्लिक करा वरील इच्छित समस्या क्लिक करा. अनेक समस्या निवडण्यासाठी [की Ctrl] बटण दाबून ठेवा.');
INSERT INTO `lang_definitions` VALUES (178416, 10987, 33, 'पुन्हा लॉगिन करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (178417, 10992, 33, 'माहिती रेकॉर्ड करण्यासाठी, क्लिक करा');
INSERT INTO `lang_definitions` VALUES (178418, 10997, 33, 'चालविण्यासाठी');
INSERT INTO `lang_definitions` VALUES (178419, 11001, 33, 'सेटअप HTTPS क्लायंट प्रमाणपत्र प्रमाणीकरण असलेल्या प्रवेश करण्यासाठी, पुढील गोष्टी');
INSERT INTO `lang_definitions` VALUES (178420, 11002, 33, 'त्वचा करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (178421, 11003, 33, 'त्वचा');
INSERT INTO `lang_definitions` VALUES (178422, 11005, 33, 'या भेट?');
INSERT INTO `lang_definitions` VALUES (178423, 11006, 33, 'CCR आधीच रुग्ण रुग्णांच्या सारांश Screen-> कागदपत्रे वापर विद्यमान दस्तऐवज अपलोड करा. नवीन रुग्ण वापर CCR दस्तऐवज Miscellanous-> नवीन दस्तऐवज स्क्रीन');
INSERT INTO `lang_definitions` VALUES (178424, 11010, 33, 'करण्यासाठी:');
INSERT INTO `lang_definitions` VALUES (178425, 11011, 33, 'करण्यासाठी:');
INSERT INTO `lang_definitions` VALUES (178426, 11012, 33, 'TO_CITY');
INSERT INTO `lang_definitions` VALUES (178427, 11013, 33, 'TO_FAX');
INSERT INTO `lang_definitions` VALUES (178428, 11014, 33, 'TO_FNAME');
INSERT INTO `lang_definitions` VALUES (178429, 11015, 33, 'TO_LNAME');
INSERT INTO `lang_definitions` VALUES (178430, 11016, 33, 'TO_MNAME');
INSERT INTO `lang_definitions` VALUES (178431, 11017, 33, 'TO_ORGANIZATION');
INSERT INTO `lang_definitions` VALUES (178432, 11018, 33, 'TO_PHONE');
INSERT INTO `lang_definitions` VALUES (178433, 11019, 33, 'TO_PHONECELL');
INSERT INTO `lang_definitions` VALUES (178434, 11020, 33, 'TO_POSTAL');
INSERT INTO `lang_definitions` VALUES (178435, 11021, 33, 'TO_STATE');
INSERT INTO `lang_definitions` VALUES (178436, 11022, 33, 'TO_STREET');
INSERT INTO `lang_definitions` VALUES (178437, 11023, 33, 'TO_TITLE');
INSERT INTO `lang_definitions` VALUES (178438, 11024, 33, 'TO_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (178439, 11025, 33, 'तंबाखू');
INSERT INTO `lang_definitions` VALUES (178440, 11026, 33, 'तंबाखू समाप्ती हस्तक्षेप');
INSERT INTO `lang_definitions` VALUES (178441, 11027, 33, 'तंबाखू समाप्ती हस्तक्षेप (CQM)');
INSERT INTO `lang_definitions` VALUES (178442, 11028, 33, 'तंबाखूचा वापर');
INSERT INTO `lang_definitions` VALUES (178443, 11029, 33, 'तंबाखूचा वापर');
INSERT INTO `lang_definitions` VALUES (178444, 11030, 33, 'तंबाखूचा वापर मूल्यांकन');
INSERT INTO `lang_definitions` VALUES (178445, 11031, 33, 'तंबाखूचा वापर मूल्यांकन (CQM)');
INSERT INTO `lang_definitions` VALUES (178446, 11032, 33, 'आज');
INSERT INTO `lang_definitions` VALUES (178447, 11033, 33, 'आज');
INSERT INTO `lang_definitions` VALUES (178448, 11034, 33, 'आज');
INSERT INTO `lang_definitions` VALUES (178449, 11035, 33, 'आज  \'चे शिल्लक');
INSERT INTO `lang_definitions` VALUES (178450, 11036, 33, 'आज  \'चे शुल्क');
INSERT INTO `lang_definitions` VALUES (178451, 11037, 33, 'आज  \'चे दिनांक');
INSERT INTO `lang_definitions` VALUES (178452, 11038, 33, 'आज  \'चे आगामी कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (178453, 11040, 33, 'टॉगल सर्व');
INSERT INTO `lang_definitions` VALUES (178454, 11044, 33, 'वैद्यकीय माहिती एकत्रीकरण, एलएलसी लॅब एक्सचेंज सेवा टोकन आयडी.');
INSERT INTO `lang_definitions` VALUES (178455, 11045, 33, 'OpenEMR समर्थन, LLC लॅब एक्सचेंज सेवा टोकन आयडी.');
INSERT INTO `lang_definitions` VALUES (178456, 11046, 33, 'टोंगा (टोंगा बेटे)');
INSERT INTO `lang_definitions` VALUES (178457, 11047, 33, 'एक किंवा दोन्ही गलग्रंथी काढून टाकणे');
INSERT INTO `lang_definitions` VALUES (178458, 11048, 33, 'एक किंवा दोन्ही गलग्रंथी काढून टाकणे');
INSERT INTO `lang_definitions` VALUES (178459, 11050, 33, 'शीर्ष');
INSERT INTO `lang_definitions` VALUES (178460, 11052, 33, 'शीर्ष समास (मिमी)');
INSERT INTO `lang_definitions` VALUES (178461, 11053, 33, 'विषय');
INSERT INTO `lang_definitions` VALUES (178462, 11054, 33, 'एकूण');
INSERT INTO `lang_definitions` VALUES (178463, 11055, 33, 'एकूण');
INSERT INTO `lang_definitions` VALUES (178464, 11056, 33, 'एकूण सक्रिय क्रिया');
INSERT INTO `lang_definitions` VALUES (178465, 11057, 33, 'सुधारणा नंतर एकूण सक्रिय स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (178466, 11058, 33, 'सुधारणा करण्यापूर्वी एकूण सक्रिय स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (178467, 11060, 33, 'मुळे एकूण रक्कम');
INSERT INTO `lang_definitions` VALUES (178468, 11061, 33, 'एकूण किती रक्कम');
INSERT INTO `lang_definitions` VALUES (178469, 11062, 33, 'एकूण शिल्लक मुळे');
INSERT INTO `lang_definitions` VALUES (178470, 11063, 33, 'एकूण शुल्क');
INSERT INTO `lang_definitions` VALUES (178471, 11064, 33, 'एकूण शुल्क');
INSERT INTO `lang_definitions` VALUES (178472, 11065, 33, 'एकूण ग्राहक');
INSERT INTO `lang_definitions` VALUES (178473, 11067, 33, 'एकूण खर्च');
INSERT INTO `lang_definitions` VALUES (178474, 11068, 33, 'चेक संख्या खालील एकूण वितरण पूर्ण नाही आहे');
INSERT INTO `lang_definitions` VALUES (178475, 11069, 33, 'एकूण नोंदी');
INSERT INTO `lang_definitions` VALUES (178476, 11070, 33, 'ई-मेल द्वारे पाठवले एकूण अयशस्वी स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (178477, 11071, 33, 'फोन द्वारे पाठवले एकूण अयशस्वी स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (178478, 11072, 33, 'एकूण');
INSERT INTO `lang_definitions` VALUES (178479, 11073, 33, 'एकूण');
INSERT INTO `lang_definitions` VALUES (178480, 11074, 33, 'श्रेणी एकूण');
INSERT INTO `lang_definitions` VALUES (178481, 11075, 33, 'एकूण डोस स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (178482, 11078, 33, 'एकूण नवीन स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (178483, 11079, 33, 'भेटी एकूण संख्या');
INSERT INTO `lang_definitions` VALUES (178484, 11081, 33, 'लसीकरण एकूण संख्या');
INSERT INTO `lang_definitions` VALUES (178485, 11082, 33, 'मुद्दे एकूण संख्या');
INSERT INTO `lang_definitions` VALUES (178486, 11084, 33, 'रुग्णांना एकूण संख्या');
INSERT INTO `lang_definitions` VALUES (178487, 11087, 33, 'एकूण रुग्णांच्या शिल्लक');
INSERT INTO `lang_definitions` VALUES (178488, 11089, 33, 'एकूण रुग्णांना');
INSERT INTO `lang_definitions` VALUES (178489, 11093, 33, 'एकूण रेकॉर्ड सापडले');
INSERT INTO `lang_definitions` VALUES (178490, 11095, 33, 'एकूण SRH आणि कुटुंब नियोजन');
INSERT INTO `lang_definitions` VALUES (178491, 11096, 33, 'ई-मेल द्वारे पाठवले एकूण यशस्वी स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (178492, 11097, 33, 'फोन द्वारे पाठवले एकूण यशस्वी स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (178493, 11100, 33, 'एकूण जसाच्या तसा स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (178494, 11101, 33, 'प्रक्रिया पाठवून नंतर एकूण न पाठविलेले स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (178495, 11102, 33, 'सुधारणा नंतर एकूण न पाठविलेले स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (178496, 11103, 33, 'पाठवून प्रक्रिया करण्यापूर्वी एकूण न पाठविलेले स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (178497, 11104, 33, 'सुधारणा करण्यापूर्वी एकूण न पाठविलेले स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (178498, 11105, 33, 'एकूण अद्यतनित केले स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (178499, 11106, 33, 'बेरीज');
INSERT INTO `lang_definitions` VALUES (178500, 11107, 33, 'साठी बेरीज');
INSERT INTO `lang_definitions` VALUES (178501, 11108, 33, 'साठी बेरीज');
INSERT INTO `lang_definitions` VALUES (178502, 11123, 33, 'ते {{}} श्रेणी');
INSERT INTO `lang_definitions` VALUES (178503, 11128, 33, 'ट्रॅक');
INSERT INTO `lang_definitions` VALUES (178504, 11129, 33, 'ट्रॅक अहवाल');
INSERT INTO `lang_definitions` VALUES (178505, 11130, 33, 'ट्रॅक');
INSERT INTO `lang_definitions` VALUES (178506, 11135, 33, 'प्रशिक्षण प्रकार');
INSERT INTO `lang_definitions` VALUES (178507, 11136, 33, 'व्यवहार');
INSERT INTO `lang_definitions` VALUES (178508, 11137, 33, 'व्यवहार');
INSERT INTO `lang_definitions` VALUES (178509, 11138, 33, 'व्यवहार');
INSERT INTO `lang_definitions` VALUES (178510, 11139, 33, 'गंतव्य खूप व्यवहार अयशस्वी, अपुरा प्रमाणात');
INSERT INTO `lang_definitions` VALUES (178511, 11140, 33, 'व्यवहार अयशस्वी, प्रमाणात पेक्षा कमी शून्य आहे');
INSERT INTO `lang_definitions` VALUES (178512, 11142, 33, 'व्यवहार प्रकार');
INSERT INTO `lang_definitions` VALUES (178513, 11143, 33, 'व्यवहार');
INSERT INTO `lang_definitions` VALUES (178514, 11144, 33, 'व्यवहार');
INSERT INTO `lang_definitions` VALUES (178515, 11145, 33, 'व्यवहार (पर्यायी लिहा)');
INSERT INTO `lang_definitions` VALUES (178516, 11151, 33, 'व्यवहार / संदर्भ');
INSERT INTO `lang_definitions` VALUES (178517, 11153, 33, 'ट्रान्सफर');
INSERT INTO `lang_definitions` VALUES (178518, 11154, 33, 'ट्रान्सफर तारीख');
INSERT INTO `lang_definitions` VALUES (178519, 11155, 33, 'स्रोत खूप अयशस्वी, अपुरा प्रमाणात हस्तांतरण');
INSERT INTO `lang_definitions` VALUES (178520, 11156, 33, 'ट्रान्सफर सारांश');
INSERT INTO `lang_definitions` VALUES (178521, 11157, 33, 'हस्तांतरण');
INSERT INTO `lang_definitions` VALUES (178522, 11160, 33, 'हस्तांतरणासाठी');
INSERT INTO `lang_definitions` VALUES (178523, 11162, 33, 'काळजी संक्रमण / हस्तांतरण?');
INSERT INTO `lang_definitions` VALUES (178524, 11163, 33, 'एक्सेस कंट्रोल गट अनुवाद');
INSERT INTO `lang_definitions` VALUES (178525, 11164, 33, 'नियुक्ती श्रेणी भाषांतर');
INSERT INTO `lang_definitions` VALUES (178526, 11165, 33, 'दस्तऐवज श्रेणी भाषांतर');
INSERT INTO `lang_definitions` VALUES (178527, 11166, 33, 'लेआउट अनुवाद');
INSERT INTO `lang_definitions` VALUES (178528, 11167, 33, 'याद्या भाषांतर');
INSERT INTO `lang_definitions` VALUES (178529, 11168, 33, 'रुग्णांच्या टीप शोध शिर्षके फाईल नाव अनुवाद');
INSERT INTO `lang_definitions` VALUES (178530, 11169, 33, 'या अनुवाद');
INSERT INTO `lang_definitions` VALUES (178531, 11170, 33, 'भाषांतर');
INSERT INTO `lang_definitions` VALUES (178532, 11171, 33, 'अनुवाद');
INSERT INTO `lang_definitions` VALUES (178533, 11172, 33, 'प्रक्षेपित');
INSERT INTO `lang_definitions` VALUES (178534, 11175, 33, 'प्रसारित अयशस्वी');
INSERT INTO `lang_definitions` VALUES (178535, 11177, 33, 'निवडलेले ऑर्डर प्रक्षेपित');
INSERT INTO `lang_definitions` VALUES (178536, 11179, 33, 'शरीराला झालेली जखम');
INSERT INTO `lang_definitions` VALUES (178537, 11180, 33, 'उपचार');
INSERT INTO `lang_definitions` VALUES (178538, 11182, 33, 'उपचार गोल');
INSERT INTO `lang_definitions` VALUES (178539, 11183, 33, 'उपचार योजना');
INSERT INTO `lang_definitions` VALUES (178540, 11184, 33, 'उपचार नियोजन');
INSERT INTO `lang_definitions` VALUES (178541, 11185, 33, 'उपचार प्राप्त');
INSERT INTO `lang_definitions` VALUES (178542, 11186, 33, 'उपचार:');
INSERT INTO `lang_definitions` VALUES (178543, 11187, 33, 'उपचार:');
INSERT INTO `lang_definitions` VALUES (178544, 11189, 33, 'कल');
INSERT INTO `lang_definitions` VALUES (178545, 11190, 33, 'trftime ($ month_format, mktime (0, 0, 0, $ मी, 1, 2000))); $ month_value');
INSERT INTO `lang_definitions` VALUES (178546, 11195, 33, 'कारक बिंदू / निराळा सिंड्रोम / Doms / आडकाठी करणे');
INSERT INTO `lang_definitions` VALUES (178547, 11196, 33, 'Trimalleolar');
INSERT INTO `lang_definitions` VALUES (178548, 11199, 33, 'ट्रंक आणि उदर');
INSERT INTO `lang_definitions` VALUES (178549, 11200, 33, 'विश्वसनीय थेट ई-मेल पत्ता');
INSERT INTO `lang_definitions` VALUES (178550, 11201, 33, 'विश्वसनीय ईमेल');
INSERT INTO `lang_definitions` VALUES (178551, 11203, 33, 'विद्यमान वापरकर्तानाव वापरकर्ता तयार करण्याचा प्रयत्न करत आहे!');
INSERT INTO `lang_definitions` VALUES (178552, 11204, 33, 'सोंगा');
INSERT INTO `lang_definitions` VALUES (178553, 11205, 33, 'टीस्पून');
INSERT INTO `lang_definitions` VALUES (178554, 11206, 33, 'त्स्वाना');
INSERT INTO `lang_definitions` VALUES (178555, 11207, 33, 'TTS');
INSERT INTO `lang_definitions` VALUES (178556, 11208, 33, 'क्षयरोग');
INSERT INTO `lang_definitions` VALUES (178557, 11209, 33, 'मंगळ');
INSERT INTO `lang_definitions` VALUES (178558, 11210, 33, 'मंगळ केलेले & amp; Thur');
INSERT INTO `lang_definitions` VALUES (178559, 11211, 33, 'मंगळवारी');
INSERT INTO `lang_definitions` VALUES (178560, 11212, 33, 'Tumour');
INSERT INTO `lang_definitions` VALUES (178561, 11213, 33, 'तुर्की');
INSERT INTO `lang_definitions` VALUES (178562, 11214, 33, 'तुर्की');
INSERT INTO `lang_definitions` VALUES (178563, 11221, 33, 'ट्वी');
INSERT INTO `lang_definitions` VALUES (178564, 11222, 33, 'दररोज दोनदा');
INSERT INTO `lang_definitions` VALUES (178565, 11226, 33, 'मध्यकर्णाविषयी पडदा');
INSERT INTO `lang_definitions` VALUES (178566, 11227, 33, 'प्रकार');
INSERT INTO `lang_definitions` VALUES (178567, 11231, 33, 'प्रकार आयडी किंवा (मोकळी जागा समावेश) Name.3 किमान इतके वर्ण.');
INSERT INTO `lang_definitions` VALUES (178568, 11238, 33, 'स्तंभ प्रकार रुग्ण शोध परिणाम प्रदर्शित');
INSERT INTO `lang_definitions` VALUES (178569, 11239, 33, 'प्रकटीकरण प्रकार');
INSERT INTO `lang_definitions` VALUES (178570, 11240, 33, 'आगामी कार्यक्रम प्रकार');
INSERT INTO `lang_definitions` VALUES (178571, 11242, 33, 'स्क्रीन लेआउट प्रकार');
INSERT INTO `lang_definitions` VALUES (178572, 11243, 33, 'टाइप करा किंवा येथे रुग्ण अभिज्ञापक स्कॅन');
INSERT INTO `lang_definitions` VALUES (178573, 11248, 33, 'येथे आपला संदेश टाइप करा');
INSERT INTO `lang_definitions` VALUES (178574, 11249, 33, 'ऑर्डर आणि परिणाम प्रकार');
INSERT INTO `lang_definitions` VALUES (178575, 11270, 33, 'कॅल्गरी स्पोर्ट्स मेडिसिन केंद्र विद्यापीठ द्वारे प्रदान UCSMC कोड');
INSERT INTO `lang_definitions` VALUES (178576, 11271, 33, 'युक्रेनियन');
INSERT INTO `lang_definitions` VALUES (178577, 11272, 33, 'Ulcerations');
INSERT INTO `lang_definitions` VALUES (178578, 11273, 33, 'वाया गेलेल्या आतड्याला आलेली सूज');
INSERT INTO `lang_definitions` VALUES (178579, 11274, 33, 'अल्सर:');
INSERT INTO `lang_definitions` VALUES (178580, 11276, 33, 'निर्देशिका प्रवेश करण्यात अक्षम');
INSERT INTO `lang_definitions` VALUES (178581, 11277, 33, 'URL मध्ये प्रवेश करण्यात अक्षम');
INSERT INTO `lang_definitions` VALUES (178582, 11278, 33, 'तयार करण्यात अक्षम');
INSERT INTO `lang_definitions` VALUES (178583, 11279, 33, 'रुग्ण दस्तऐवज उपनिर्देशिकेत तयार करण्यात अक्षम');
INSERT INTO `lang_definitions` VALUES (178584, 11287, 33, 'या फाइल मध्ये डेटा शोधण्यात अक्षम.');
INSERT INTO `lang_definitions` VALUES (178585, 11288, 33, 'Ar_activity या देयक जुळण्यासाठी अक्षम');
INSERT INTO `lang_definitions` VALUES (178586, 11289, 33, 'लिहिण्याची परवानगी द्या अर्ज संरचना संपादीत करणे अक्षम');
INSERT INTO `lang_definitions` VALUES (178587, 11291, 33, 'लागू न केलेले');
INSERT INTO `lang_definitions` VALUES (178588, 11292, 33, 'नियुक्त न');
INSERT INTO `lang_definitions` VALUES (178589, 11293, 33, 'अनधिकृत');
INSERT INTO `lang_definitions` VALUES (178590, 11294, 33, 'EPrescription अनधिकृत प्रवेश');
INSERT INTO `lang_definitions` VALUES (178591, 11295, 33, 'अनधिकृत प्रवेश.');
INSERT INTO `lang_definitions` VALUES (178592, 11296, 33, 'बिल न केलेली');
INSERT INTO `lang_definitions` VALUES (178593, 11297, 33, 'बिल न केलेली फक्त');
INSERT INTO `lang_definitions` VALUES (178594, 11300, 33, 'जिभेखाली');
INSERT INTO `lang_definitions` VALUES (178595, 11303, 33, 'कमी वजनाचे');
INSERT INTO `lang_definitions` VALUES (178596, 11304, 33, 'Undiagnosed');
INSERT INTO `lang_definitions` VALUES (178597, 11305, 33, 'अवितरित');
INSERT INTO `lang_definitions` VALUES (178598, 11306, 33, 'अवितरित');
INSERT INTO `lang_definitions` VALUES (178599, 11307, 33, 'अवितरित आहे');
INSERT INTO `lang_definitions` VALUES (178600, 11309, 33, 'चेकआऊट पूर्ववत करा');
INSERT INTO `lang_definitions` VALUES (178601, 11311, 33, 'युनिक ग्राहक');
INSERT INTO `lang_definitions` VALUES (178602, 11312, 33, 'हा प्रकार युनिक मनुष्य-वाचण्यायोग्य अभिज्ञापक');
INSERT INTO `lang_definitions` VALUES (178603, 11315, 33, 'युनिक नवीन ग्राहक');
INSERT INTO `lang_definitions` VALUES (178604, 11316, 33, 'हा प्रकार युनिक अंकीय अभिज्ञापक');
INSERT INTO `lang_definitions` VALUES (178605, 11317, 33, 'युनिक पाहिले रुग्णांना');
INSERT INTO `lang_definitions` VALUES (178606, 11318, 33, 'युनिक पाहिले रुग्णांना अहवाल');
INSERT INTO `lang_definitions` VALUES (178607, 11319, 33, 'युनिक पोलीस अधीक्षक');
INSERT INTO `lang_definitions` VALUES (178608, 11320, 33, 'युनिट');
INSERT INTO `lang_definitions` VALUES (178609, 11321, 33, 'युनिट');
INSERT INTO `lang_definitions` VALUES (178610, 11322, 33, 'युनिट');
INSERT INTO `lang_definitions` VALUES (178611, 11323, 33, 'परिणाम मूल्य लागू युनिट');
INSERT INTO `lang_definitions` VALUES (178612, 11324, 33, 'भेट द्या फॉर्म युनिट');
INSERT INTO `lang_definitions` VALUES (178613, 11325, 33, 'युनिट एक संख्या असणे आवश्यक');
INSERT INTO `lang_definitions` VALUES (178614, 11326, 33, 'युनिट व्याख्या नाही');
INSERT INTO `lang_definitions` VALUES (178615, 11327, 33, 'युनिट / एल');
INSERT INTO `lang_definitions` VALUES (178616, 11328, 33, 'अज्ञात');
INSERT INTO `lang_definitions` VALUES (178617, 11329, 33, 'अज्ञात (लॉग इन पहा)');
INSERT INTO `lang_definitions` VALUES (178618, 11331, 33, 'अज्ञात कधीही smoked तर');
INSERT INTO `lang_definitions` VALUES (178619, 11332, 33, 'अज्ञात वा N / A');
INSERT INTO `lang_definitions` VALUES (178620, 11335, 33, 'अज्ञात वापरकर्ता आयडी:');
INSERT INTO `lang_definitions` VALUES (178621, 11344, 33, 'रुग्ण दुवा रद्द');
INSERT INTO `lang_definitions` VALUES (178622, 11345, 33, 'अनामित विमा कंपनी');
INSERT INTO `lang_definitions` VALUES (178623, 11346, 33, 'नोंदणी रद्द');
INSERT INTO `lang_definitions` VALUES (178624, 11347, 33, 'नोंदणी रद्द मॉड्यूल');
INSERT INTO `lang_definitions` VALUES (178625, 11349, 33, 'सर्व न निवडलेले करा');
INSERT INTO `lang_definitions` VALUES (178626, 11350, 33, 'न निवडलेले');
INSERT INTO `lang_definitions` VALUES (178627, 11351, 33, 'निर्दिष्ट न केलेले');
INSERT INTO `lang_definitions` VALUES (178628, 11352, 33, 'भागात तुम्ही लिहिलेला');
INSERT INTO `lang_definitions` VALUES (178629, 11354, 33, 'असमर्थित डाटाबेस लोड फाइल');
INSERT INTO `lang_definitions` VALUES (178630, 11356, 33, 'पर्यंत');
INSERT INTO `lang_definitions` VALUES (178631, 11359, 33, 'जन्मत: च मेलेल्या दाखल');
INSERT INTO `lang_definitions` VALUES (178632, 11360, 33, 'न वापरलेले');
INSERT INTO `lang_definitions` VALUES (178633, 11361, 33, 'UOR');
INSERT INTO `lang_definitions` VALUES (178634, 11362, 33, 'इथपर्यंत');
INSERT INTO `lang_definitions` VALUES (178635, 11364, 33, 'आगामी नियुक्ती');
INSERT INTO `lang_definitions` VALUES (178636, 11365, 33, 'पुढील कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (178637, 11366, 33, 'अद्यतन');
INSERT INTO `lang_definitions` VALUES (178638, 11367, 33, 'सुधारणा');
INSERT INTO `lang_definitions` VALUES (178639, 11368, 33, 'सक्रिय अद्यतन');
INSERT INTO `lang_definitions` VALUES (178640, 11371, 33, 'फाईली अद्यतनित करा');
INSERT INTO `lang_definitions` VALUES (178641, 11372, 33, 'अद्यतन माहिती');
INSERT INTO `lang_definitions` VALUES (178642, 11374, 33, 'अद्यतन यादी');
INSERT INTO `lang_definitions` VALUES (178643, 11377, 33, 'अद्यतन प्रदाता क्रमांक');
INSERT INTO `lang_definitions` VALUES (178644, 11378, 33, 'अद्यतन निवडलेले आयटम');
INSERT INTO `lang_definitions` VALUES (178645, 11383, 33, 'फाइलमध्ये खालील चलने अद्यतनित करा');
INSERT INTO `lang_definitions` VALUES (178646, 11384, 33, 'वापरकर्ता अद्यतनित करा माहिती');
INSERT INTO `lang_definitions` VALUES (178647, 11390, 33, 'लोकसंख्याशास्त्र अद्यतनित करीत आहे अधिकृत नाही.');
INSERT INTO `lang_definitions` VALUES (178648, 11391, 33, 'जागतिक संरचना पूर्वनिर्धारित अद्यतनित करीत आहे');
INSERT INTO `lang_definitions` VALUES (178649, 11392, 33, 'आवृत्ती निर्देशक अद्यतनित करीत आहे');
INSERT INTO `lang_definitions` VALUES (178650, 11393, 33, 'श्रेणीसुधारित करा');
INSERT INTO `lang_definitions` VALUES (178651, 11394, 33, 'अपग्रेड');
INSERT INTO `lang_definitions` VALUES (178652, 11396, 33, 'अपग्रेड डेटाबेस');
INSERT INTO `lang_definitions` VALUES (178653, 11398, 33, 'डी-ओळख प्रक्रिया आवश्यक प्रक्रियांची, कार्य आणि सपाट दगडी पाट्या समाविष्ट करण्यासाठी OpenEMR डेटाबेस सुधारणा');
INSERT INTO `lang_definitions` VALUES (178654, 11399, 33, 'सुधारणा सुरू राहील');
INSERT INTO `lang_definitions` VALUES (178655, 11400, 33, 'UPIN');
INSERT INTO `lang_definitions` VALUES (178656, 11401, 33, 'अपलोड करा');
INSERT INTO `lang_definitions` VALUES (178657, 11403, 33, 'टेम्पलेट अपलोड करा');
INSERT INTO `lang_definitions` VALUES (178658, 11405, 33, 'अपलोड करा आणि स्थापित');
INSERT INTO `lang_definitions` VALUES (178659, 11406, 33, 'कॉन्फिगरेशन डेटा अपलोड करा');
INSERT INTO `lang_definitions` VALUES (178660, 11407, 33, 'अपलोड करा दस्तऐवज');
INSERT INTO `lang_definitions` VALUES (178661, 11408, 33, 'अपलोड करा अयशस्वी झाले!');
INSERT INTO `lang_definitions` VALUES (178662, 11410, 33, 'प्रतिमा अपलोड करा');
INSERT INTO `lang_definitions` VALUES (178663, 11411, 33, 'आयात फाइल अपलोड करा:');
INSERT INTO `lang_definitions` VALUES (178664, 11413, 33, 'रुग्ण शिक्षण पीडीएफ अपलोड करा');
INSERT INTO `lang_definitions` VALUES (178665, 11414, 33, 'अपलोड करा यशस्वीरित्या प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (178666, 11415, 33, 'अपलोड करा अहवाल');
INSERT INTO `lang_definitions` VALUES (178667, 11417, 33, 'श्रेणी CCR अंतर्गत XML फाइल अपलोड करा');
INSERT INTO `lang_definitions` VALUES (178668, 11418, 33, 'या फाइल अपलोड करा:');
INSERT INTO `lang_definitions` VALUES (178669, 11421, 33, 'एक चलन संख्या \"मॅन्युअल पोस्टिंग विंडो\" क्लिक यावर दिसते. येथे आपण, बीजक देय तारीख आणि नोट्स बदलू तुम्ही पोस्ट ज्यांच्याकडून पक्ष निवडा, आणि सर्व अपेक्षा paymants प्राप्त केले आहेत, जे इन्शुरन्सचे निवडू शकता. प्रत्येक बिलिंग कोड जे एक रक्कम आकारण्यात आला सर्वात महत्त्वाचे म्हणजे, आपण पेमेंट आणि समायोजन माहिती दाखल करू शकता.');
INSERT INTO `lang_definitions` VALUES (178670, 11426, 33, 'शोध केल्यानंतर आपण पावत्या एक यादी दिली जाते. आपण मॅन्युअल पोस्टिंग डेटा एंट्री पृष्ठ आहे जे एक दुसरा विंडो उघडण्यासाठी बीजक क्रमांक एक वर क्लिक करू शकता. जेव्हा तुम्ही सहनशील धनादेश एकही कार्यालय कर्मचारी दिसेल की एक लक्षात ठेवा प्रविष्ट करू इच्छित असल्यास आपण एक रुग्ण नावावर क्लिक करा शकते, व तुम्ही रुग्णाला स्टेटमेन्ट वर दिसतात आणि त्या स्टेटमेन्ट मुद्रित करण्यासाठी पावत्या निवडू शकता.');
INSERT INTO `lang_definitions` VALUES (178671, 11429, 33, 'उच्च हाताने');
INSERT INTO `lang_definitions` VALUES (178672, 11431, 33, 'उर्दू');
INSERT INTO `lang_definitions` VALUES (178673, 11432, 33, 'निकड');
INSERT INTO `lang_definitions` VALUES (178674, 11436, 33, 'लघवी');
INSERT INTO `lang_definitions` VALUES (178675, 11437, 33, 'लघवी dribbling');
INSERT INTO `lang_definitions` VALUES (178676, 11438, 33, 'लघवी वारंवारता');
INSERT INTO `lang_definitions` VALUES (178677, 11439, 33, 'लघवी अनिश्चितता');
INSERT INTO `lang_definitions` VALUES (178678, 11440, 33, 'लघवी Microalbumin');
INSERT INTO `lang_definitions` VALUES (178679, 11441, 33, 'लघवी प्रवाह');
INSERT INTO `lang_definitions` VALUES (178680, 11442, 33, 'लघवी निकडीच्या');
INSERT INTO `lang_definitions` VALUES (178681, 11443, 33, 'URL मध्ये');
INSERT INTO `lang_definitions` VALUES (178682, 11445, 33, 'OpenEMR समर्थन URL.');
INSERT INTO `lang_definitions` VALUES (178683, 11447, 33, 'फोन गेटवे URL. Maviq द्वारे प्रदान स्वयंचलित VoIP सेवा. अधिक माहितीसाठी http://signup.maviq.com भेट द्या.');
INSERT INTO `lang_definitions` VALUES (178684, 11448, 33, 'पोर्टल समर्थन वर्डप्रेस साइटसाठी URL');
INSERT INTO `lang_definitions` VALUES (178685, 11451, 33, 'वापर');
INSERT INTO `lang_definitions` VALUES (178686, 11453, 33, 'वापर सूचक (ISA15)');
INSERT INTO `lang_definitions` VALUES (178687, 11456, 33, 'फक्त त्या स्तंभ वर्गीकरण शेतात एकटे% वापरा');
INSERT INTO `lang_definitions` VALUES (178688, 11457, 33, '24 तास वेळ स्वरूप वापरायचे?');
INSERT INTO `lang_definitions` VALUES (178689, 11465, 33, 'योग्य असेल तर रुग्णाला त्या स्रोत रुग्ण-विशिष्ट शिक्षण संसाधने ओळखणे आणि प्रदान करण्यासाठी प्रमाणित EHR तंत्रज्ञानाचा वापर.');
INSERT INTO `lang_definitions` VALUES (178690, 11466, 33, 'वापर शुल्क पॅनेल');
INSERT INTO `lang_definitions` VALUES (178691, 11467, 33, 'थेट राज्य, स्थानिक आणि व्यावसायिक निर्देशानुसार वैद्यकीय नोंद मध्ये आदेश प्रविष्ट करू शकता अशा कोणत्याही परवाना आरोग्य व्यावसायिक केलेल्या औषध ऑर्डर CPOE वापरा.');
INSERT INTO `lang_definitions` VALUES (178692, 11474, 33, 'सानुकूल लसीकरण यादी वापरा');
INSERT INTO `lang_definitions` VALUES (178693, 11476, 33, 'वापर तारीख श्रेणी');
INSERT INTO `lang_definitions` VALUES (178694, 11477, 33, 'वापरा डीफॉल्ट');
INSERT INTO `lang_definitions` VALUES (178695, 11478, 33, 'काढा हटवा पर्याय वापरा.');
INSERT INTO `lang_definitions` VALUES (178696, 11479, 33, 'आंतरराष्ट्रीय तारीख शैली वापरण्यासाठी?');
INSERT INTO `lang_definitions` VALUES (178697, 11483, 33, 'वापर स्रोत फाइलनाव');
INSERT INTO `lang_definitions` VALUES (178698, 11486, 33, 'खरेदी किंवा हस्तांतरण खालील फील्ड वापरा.');
INSERT INTO `lang_definitions` VALUES (178699, 11490, 33, 'फक्त नवीन प्रतिष्ठापीत साइट हे वैशिष्ट्य वापरा,');
INSERT INTO `lang_definitions` VALUES (178700, 11493, 33, 'विषय वापरा?');
INSERT INTO `lang_definitions` VALUES (178701, 11496, 33, 'वापरकर्ता');
INSERT INTO `lang_definitions` VALUES (178702, 11498, 33, 'वापरकर्ता / गट');
INSERT INTO `lang_definitions` VALUES (178703, 11499, 33, 'वापरकर्ता प्रशासन');
INSERT INTO `lang_definitions` VALUES (178704, 11500, 33, 'वापरकर्ता व सुविधा प्रशासन');
INSERT INTO `lang_definitions` VALUES (178705, 11501, 33, 'वापरकर्ता व गट प्रशासन');
INSERT INTO `lang_definitions` VALUES (178706, 11502, 33, 'वापरकर्ता हटविला जाऊ शकत नाही');
INSERT INTO `lang_definitions` VALUES (178707, 11503, 33, 'वापरकर्ता प्रमाणपत्र प्रमाणीकरण अक्षम आहे');
INSERT INTO `lang_definitions` VALUES (178708, 11507, 33, 'वापरकर्ता परिभाषित');
INSERT INTO `lang_definitions` VALUES (178709, 11508, 33, 'वापरकर्ता परिभाषित क्षेत्र 11');
INSERT INTO `lang_definitions` VALUES (178710, 11509, 33, 'वापरकर्ता परिभाषित क्षेत्र 12');
INSERT INTO `lang_definitions` VALUES (178711, 11510, 33, 'वापरकर्ता परिभाषित फील्ड');
INSERT INTO `lang_definitions` VALUES (178712, 11511, 33, 'वापरकर्ता परिभाषित यादी 1');
INSERT INTO `lang_definitions` VALUES (178713, 11512, 33, 'वापरकर्ता परिभाषित यादी 2');
INSERT INTO `lang_definitions` VALUES (178714, 11513, 33, 'वापरकर्ता परिभाषित यादी 3');
INSERT INTO `lang_definitions` VALUES (178715, 11514, 33, 'वापरकर्ता परिभाषित यादी 4');
INSERT INTO `lang_definitions` VALUES (178716, 11515, 33, 'वापरकर्ता परिभाषित यादी 5');
INSERT INTO `lang_definitions` VALUES (178717, 11516, 33, 'वापरकर्ता परिभाषित यादी 6');
INSERT INTO `lang_definitions` VALUES (178718, 11517, 33, 'वापरकर्ता परिभाषित यादी 7');
INSERT INTO `lang_definitions` VALUES (178719, 11518, 33, 'वापरकर्ता परिभाषित मजकूर 1');
INSERT INTO `lang_definitions` VALUES (178720, 11519, 33, 'वापरकर्ता परिभाषित मजकूर 2');
INSERT INTO `lang_definitions` VALUES (178721, 11520, 33, 'वापरकर्ता परिभाषित मजकूर 3');
INSERT INTO `lang_definitions` VALUES (178722, 11521, 33, 'वापरकर्ता परिभाषित मजकूर 4');
INSERT INTO `lang_definitions` VALUES (178723, 11522, 33, 'वापरकर्ता परिभाषित मजकूर 5');
INSERT INTO `lang_definitions` VALUES (178724, 11523, 33, 'वापरकर्ता परिभाषित मजकूर 6');
INSERT INTO `lang_definitions` VALUES (178725, 11524, 33, 'वापरकर्ता परिभाषित मजकूर 7');
INSERT INTO `lang_definitions` VALUES (178726, 11525, 33, 'वापरकर्ता परिभाषित मजकूर 8');
INSERT INTO `lang_definitions` VALUES (178727, 11526, 33, 'वापरकर्ता नाव');
INSERT INTO `lang_definitions` VALUES (178728, 11530, 33, 'वापरकर्ता लॉगॉन (वरील दुसरे 03 मोकळी जागा सोडल्यास) (ISA02)');
INSERT INTO `lang_definitions` VALUES (178729, 11531, 33, 'वापरकर्ता लॉगऑन आवश्यक सूचक (ISA01 ~ 00 किंवा 03 वापर करा)');
INSERT INTO `lang_definitions` VALUES (178730, 11532, 33, 'उपयोगकर्ता पुस्तिका');
INSERT INTO `lang_definitions` VALUES (178731, 11533, 33, 'वापरकर्ता सदस्यता');
INSERT INTO `lang_definitions` VALUES (178732, 11534, 33, 'वापरकर्ता नाव');
INSERT INTO `lang_definitions` VALUES (178733, 11536, 33, 'वापरकर्ता नाव किंवा होस्ट नाव रिकामे असू शकत नाही');
INSERT INTO `lang_definitions` VALUES (178734, 11537, 33, 'वापरकर्ता किंवा होस्ट नाव');
INSERT INTO `lang_definitions` VALUES (178735, 11539, 33, 'वापरकर्ता संकेतशब्द (ISA04 ~ तर वरील 01, जिथे रजा मोकळी जागा)');
INSERT INTO `lang_definitions` VALUES (178736, 11540, 33, 'वापरकर्ता संकेतशब्द सूचक (ISA03 ~ 00 किंवा 01 वापर करा) आवश्यक');
INSERT INTO `lang_definitions` VALUES (178737, 11541, 33, 'वापरकर्ता सेटिंग्ज');
INSERT INTO `lang_definitions` VALUES (178738, 11543, 33, 'वापरकर्ता विशिष्ट सेटिंग');
INSERT INTO `lang_definitions` VALUES (178739, 11544, 33, 'वापरकर्ता  \'चे नवीन पासवर्ड');
INSERT INTO `lang_definitions` VALUES (178740, 11553, 33, 'वापरकर्तानाव');
INSERT INTO `lang_definitions` VALUES (178741, 11555, 33, 'फोन गेटवे वापरकर्त्याचे नाव. Maviq द्वारे प्रदान स्वयंचलित VoIP सेवा. अधिक माहितीसाठी http://signup.maviq.com भेट द्या.');
INSERT INTO `lang_definitions` VALUES (178742, 11556, 33, 'एसएमएस गेटवे वापरकर्त्याचे नाव');
INSERT INTO `lang_definitions` VALUES (178743, 11557, 33, 'एसएमएस गेटवे वापरकर्त्याचे नाव.');
INSERT INTO `lang_definitions` VALUES (178744, 11558, 33, 'CouchDB कनेक्ट वापरकर्त्याचे नाव');
INSERT INTO `lang_definitions` VALUES (178745, 11559, 33, 'वापरकर्तानाव:');
INSERT INTO `lang_definitions` VALUES (178746, 11560, 33, 'वापरकर्ते');
INSERT INTO `lang_definitions` VALUES (178747, 11564, 33, 'वापरकर्ते / गट / नोंदी प्रशासन');
INSERT INTO `lang_definitions` VALUES (178748, 11574, 33, 'PHP <a href=\"http://php.net/strftime\"> जेही काही strftime </a> स्वरूप वापरत');
INSERT INTO `lang_definitions` VALUES (178749, 11583, 33, 'UTIs');
INSERT INTO `lang_definitions` VALUES (178750, 11584, 33, 'उईघुर, उईघुर');
INSERT INTO `lang_definitions` VALUES (178751, 11585, 33, 'उझ्बेक');
INSERT INTO `lang_definitions` VALUES (178752, 11588, 33, 'सुट्टीतील');
INSERT INTO `lang_definitions` VALUES (178753, 11589, 33, 'सुट्टीतील');
INSERT INTO `lang_definitions` VALUES (178754, 11590, 33, 'लस');
INSERT INTO `lang_definitions` VALUES (178755, 11593, 33, 'योनीतून रिंग');
INSERT INTO `lang_definitions` VALUES (178756, 11594, 33, 'समारोप');
INSERT INTO `lang_definitions` VALUES (178757, 11596, 33, 'सत्यापित');
INSERT INTO `lang_definitions` VALUES (178758, 11609, 33, 'मूल्य');
INSERT INTO `lang_definitions` VALUES (178759, 11610, 33, 'मूल्य 1');
INSERT INTO `lang_definitions` VALUES (178760, 11611, 33, 'मूल्य 2');
INSERT INTO `lang_definitions` VALUES (178761, 11613, 33, 'मूल्य संख्यात्मक असावे');
INSERT INTO `lang_definitions` VALUES (178762, 11614, 33, 'Var1');
INSERT INTO `lang_definitions` VALUES (178763, 11615, 33, 'Var2');
INSERT INTO `lang_definitions` VALUES (178764, 11616, 33, 'एक वेरियेबल डी-ओळख सुधारणा स्क्रिप्ट चालवितेवेळी');
INSERT INTO `lang_definitions` VALUES (178765, 11619, 33, 'कांजण्या 1');
INSERT INTO `lang_definitions` VALUES (178766, 11620, 33, 'कांजण्या 2');
INSERT INTO `lang_definitions` VALUES (178767, 11621, 33, 'अशुद्ध रक्तवाहिन्या फुगून झालेल्या गाठींचा नसा');
INSERT INTO `lang_definitions` VALUES (178768, 11623, 33, 'रक्तवहिन्यासंबंधीचा स्थिती');
INSERT INTO `lang_definitions` VALUES (178769, 11624, 33, 'रक्तवहिन्यासंबंधीचा इजा');
INSERT INTO `lang_definitions` VALUES (178770, 11625, 33, 'रक्तवहिन्यासंबंधीचा शस्त्रक्रिया');
INSERT INTO `lang_definitions` VALUES (178771, 11629, 33, 'व्हेंदा');
INSERT INTO `lang_definitions` VALUES (178772, 11630, 33, 'विक्रेता');
INSERT INTO `lang_definitions` VALUES (178773, 11634, 33, 'आवृत्ती');
INSERT INTO `lang_definitions` VALUES (178774, 11653, 33, 'भोवळ');
INSERT INTO `lang_definitions` VALUES (178775, 11656, 33, 'Veteran`s प्रशासन');
INSERT INTO `lang_definitions` VALUES (178776, 11657, 33, 'वृद्धांची प्रशासन योजना');
INSERT INTO `lang_definitions` VALUES (178777, 11659, 33, 'VFC');
INSERT INTO `lang_definitions` VALUES (178778, 11666, 33, 'व्हिएतनामी');
INSERT INTO `lang_definitions` VALUES (178779, 11667, 33, 'पहा');
INSERT INTO `lang_definitions` VALUES (178780, 11668, 33, 'दृश्य');
INSERT INTO `lang_definitions` VALUES (178781, 11670, 33, 'पहा अॅलर्जी');
INSERT INTO `lang_definitions` VALUES (178782, 11671, 33, 'एक x12-835 ईआरए फाइल पहा');
INSERT INTO `lang_definitions` VALUES (178783, 11672, 33, 'पहा बॅच दावा x12 मजकूर');
INSERT INTO `lang_definitions` VALUES (178784, 11676, 33, 'व्यापक रुग्णांच्या अहवाल पहा');
INSERT INTO `lang_definitions` VALUES (178785, 11677, 33, 'सी सपाट दगडी पाट्या पहा');
INSERT INTO `lang_definitions` VALUES (178786, 11679, 33, 'पहा दस्तऐवज');
INSERT INTO `lang_definitions` VALUES (178787, 11681, 33, 'पहा चकमकीत');
INSERT INTO `lang_definitions` VALUES (178788, 11682, 33, 'पहा ईआरए x12 मजकूर');
INSERT INTO `lang_definitions` VALUES (178789, 11683, 33, 'एक पॉपअप विंडो मध्ये पहा कार्यक्रम?');
INSERT INTO `lang_definitions` VALUES (178790, 11684, 33, 'पहा सुविधा विशिष्ट वापरकर्ता माहिती');
INSERT INTO `lang_definitions` VALUES (178791, 11686, 33, 'स्थानिक x12 फाइल पहा');
INSERT INTO `lang_definitions` VALUES (178792, 11687, 33, 'पहा लॉग');
INSERT INTO `lang_definitions` VALUES (178793, 11690, 33, 'पहा पृष्ठ 1');
INSERT INTO `lang_definitions` VALUES (178794, 11691, 33, 'पहा पृष्ठ 2');
INSERT INTO `lang_definitions` VALUES (178795, 11692, 33, 'पहा मागील आणि भविष्यातील स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (178796, 11695, 33, 'पहा रुग्णांच्या');
INSERT INTO `lang_definitions` VALUES (178797, 11700, 33, 'पहा संबंधित चकमकी');
INSERT INTO `lang_definitions` VALUES (178798, 11701, 33, 'अहवाल पहा');
INSERT INTO `lang_definitions` VALUES (178799, 11702, 33, 'रीडमी फाइल पहा');
INSERT INTO `lang_definitions` VALUES (178800, 11712, 33, 'पहा / संपादित करा अॅलर्जी');
INSERT INTO `lang_definitions` VALUES (178801, 11713, 33, 'पहा / संपादित करा समस्या');
INSERT INTO `lang_definitions` VALUES (178802, 11714, 33, 'पहा / प्रिंट');
INSERT INTO `lang_definitions` VALUES (178803, 11717, 33, 'पहा:');
INSERT INTO `lang_definitions` VALUES (178804, 11718, 33, 'व्हिसा');
INSERT INTO `lang_definitions` VALUES (178805, 11719, 33, 'व्हिसा / एम / एमेक्स / विरूद्ध');
INSERT INTO `lang_definitions` VALUES (178806, 11721, 33, 'त्यासंबंधी नुकसान / शरीराला झालेली जखम / शस्त्रक्रिया');
INSERT INTO `lang_definitions` VALUES (178807, 11727, 33, 'भेट द्या वर्ग');
INSERT INTO `lang_definitions` VALUES (178808, 11728, 33, 'वर्ग भेट द्या:');
INSERT INTO `lang_definitions` VALUES (178809, 11729, 33, 'भेटीची तारीख');
INSERT INTO `lang_definitions` VALUES (178810, 11730, 33, 'भेटीची तारीख');
INSERT INTO `lang_definitions` VALUES (178811, 11734, 33, 'भेट द्या अर्ज');
INSERT INTO `lang_definitions` VALUES (178812, 11736, 33, 'इतिहासास भेट द्या');
INSERT INTO `lang_definitions` VALUES (178813, 11745, 33, 'भेटी');
INSERT INTO `lang_definitions` VALUES (178814, 11746, 33, 'पासून भेटी');
INSERT INTO `lang_definitions` VALUES (178815, 11751, 33, 'महत्वाच्या चिन्हे');
INSERT INTO `lang_definitions` VALUES (178816, 11752, 33, 'मर्मस्थाने');
INSERT INTO `lang_definitions` VALUES (178817, 11753, 33, 'मर्मस्थाने (मेट्रिक)');
INSERT INTO `lang_definitions` VALUES (178818, 11754, 33, 'मर्मस्थाने फॉर्म पर्याय');
INSERT INTO `lang_definitions` VALUES (178819, 11756, 33, 'आवाज');
INSERT INTO `lang_definitions` VALUES (178820, 11758, 33, 'आवाज पाठविले');
INSERT INTO `lang_definitions` VALUES (178821, 11762, 33, 'ओलापुक');
INSERT INTO `lang_definitions` VALUES (178822, 11763, 33, 'उलट्या होणे');
INSERT INTO `lang_definitions` VALUES (178823, 11767, 33, 'प');
INSERT INTO `lang_definitions` VALUES (178824, 11770, 33, 'कंबर CIRC');
INSERT INTO `lang_definitions` VALUES (178825, 11771, 33, 'कंबर परीघ');
INSERT INTO `lang_definitions` VALUES (178826, 11772, 33, 'प्रतीक्षा करीत आहे');
INSERT INTO `lang_definitions` VALUES (178827, 11773, 33, 'आत या');
INSERT INTO `lang_definitions` VALUES (178828, 11775, 33, 'वालून');
INSERT INTO `lang_definitions` VALUES (178829, 11776, 33, 'वॉल्ट पेनिंग्टन');
INSERT INTO `lang_definitions` VALUES (178830, 11778, 33, 'वखार');
INSERT INTO `lang_definitions` VALUES (178831, 11780, 33, 'वखार कमाल, 0 लागू नाही तर');
INSERT INTO `lang_definitions` VALUES (178832, 11781, 33, 'वखार किमान 0 लागू नाही तर');
INSERT INTO `lang_definitions` VALUES (178833, 11782, 33, 'गोदामांची');
INSERT INTO `lang_definitions` VALUES (178834, 11783, 33, 'उबदार');
INSERT INTO `lang_definitions` VALUES (178835, 11786, 33, 'चेतावणी');
INSERT INTO `lang_definitions` VALUES (178836, 11787, 33, 'चेतावणी');
INSERT INTO `lang_definitions` VALUES (178837, 11789, 33, 'चेतावणी, आधीच डेटाबेस मध्ये अस्तित्वात क्रमांक तपासा');
INSERT INTO `lang_definitions` VALUES (178838, 11790, 33, 'चेतावणी, रुग्णाला समस्या यादीत संदिग्ध कोड आहे!');
INSERT INTO `lang_definitions` VALUES (178839, 11791, 33, 'चेतावणी: एक भेट आधीच आज या रुग्णाला तयार केला होता!');
INSERT INTO `lang_definitions` VALUES (178840, 11794, 33, 'चेतावणी: आपण 2012-10-31 स्पॅनिश आवृत्ती वापरत असाल तर, नंतर आपण (जाहीर फाइल  \"डबल झिप \" होते कारण हे आहे) योगदान / snomed मध्ये ठेऊन आधी एकदा तो अनझिप करणे आवश्यक आहे लक्षात ठेवा.');
INSERT INTO `lang_definitions` VALUES (178841, 11796, 33, 'चेतावणी: रुग्णांच्या आयडी अद्वितीय नाही!');
INSERT INTO `lang_definitions` VALUES (178842, 11799, 33, 'चेतावणी: हा अपलोड फाइल पासून डेटा संरचना माहिती खोडून पुन्हा होईल!');
INSERT INTO `lang_definitions` VALUES (178843, 11801, 33, 'सावधानता');
INSERT INTO `lang_definitions` VALUES (178844, 11803, 33, 'आधीच अपलोड केले');
INSERT INTO `lang_definitions` VALUES (178845, 11804, 33, 'सापडले नाही');
INSERT INTO `lang_definitions` VALUES (178846, 11805, 33, 'आम्ही योग्य शिल्लक प्रॉम्प्ट पेमेंट प्रशंसा');
INSERT INTO `lang_definitions` VALUES (178847, 11809, 33, 'आम्ही आमच्या बाह्यरुग्ण विभागातील मानिसक चिकित्सालय मूल्यमापन आणि उपचारांसाठी आपल्या वरील रुग्ण पाहिले आहे. या रेफरल धन्यवाद.');
INSERT INTO `lang_definitions` VALUES (178848, 11821, 33, 'अशक्तपणा');
INSERT INTO `lang_definitions` VALUES (178849, 11826, 33, 'वेब शोध');
INSERT INTO `lang_definitions` VALUES (178850, 11827, 33, 'वेबसाइट');
INSERT INTO `lang_definitions` VALUES (178851, 11828, 33, 'Onsite रुग्णांच्या पोर्टल वेबसाइट दुवा.');
INSERT INTO `lang_definitions` VALUES (178852, 11832, 33, 'बुध');
INSERT INTO `lang_definitions` VALUES (178853, 11833, 33, 'बुधवारी');
INSERT INTO `lang_definitions` VALUES (178854, 11834, 33, 'आठवडा');
INSERT INTO `lang_definitions` VALUES (178855, 11835, 33, 'आठवड्यात');
INSERT INTO `lang_definitions` VALUES (178856, 11836, 33, 'आठवडा पहा');
INSERT INTO `lang_definitions` VALUES (178857, 11837, 33, 'आठवडा (चे)');
INSERT INTO `lang_definitions` VALUES (178858, 11838, 33, 'साप्ताहिक एक्सपोजर्स्');
INSERT INTO `lang_definitions` VALUES (178859, 11839, 33, 'आठवडे');
INSERT INTO `lang_definitions` VALUES (178860, 11840, 33, 'आठवडे');
INSERT INTO `lang_definitions` VALUES (178861, 11841, 33, 'वजन');
INSERT INTO `lang_definitions` VALUES (178862, 11842, 33, 'मुले आणि पौगंडावस्थेतील वजन मूल्यांकन आणि समुपदेशन');
INSERT INTO `lang_definitions` VALUES (178863, 11843, 33, 'मुले आणि पौगंडावस्थेतील वजन मूल्यांकन आणि समुपदेशन (CQM)');
INSERT INTO `lang_definitions` VALUES (178864, 11844, 33, 'वजन बदला');
INSERT INTO `lang_definitions` VALUES (178865, 11845, 33, 'वजन कमी होणे');
INSERT INTO `lang_definitions` VALUES (178866, 11846, 33, 'वजन कमी होणे चिकित्सालय');
INSERT INTO `lang_definitions` VALUES (178867, 11847, 33, 'आपले स्वागत आहे');
INSERT INTO `lang_definitions` VALUES (178868, 11849, 33, 'वेल्श');
INSERT INTO `lang_definitions` VALUES (178869, 11859, 33, 'पाश्चात्य फ्रिशियन');
INSERT INTO `lang_definitions` VALUES (178870, 11862, 33, 'काय गणना करावी आहे?');
INSERT INTO `lang_definitions` VALUES (178871, 11864, 33, 'Wheezes:');
INSERT INTO `lang_definitions` VALUES (178872, 11865, 33, 'घरघर');
INSERT INTO `lang_definitions` VALUES (178873, 11866, 33, 'घरघर:');
INSERT INTO `lang_definitions` VALUES (178874, 11876, 33, 'पूर्ण झाल्यानंतर, आपल्या आवडी लागू करण्यासाठी (खाली) सबमिट करा क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (178875, 11882, 33, 'कोठे स्कॅन संबंधित शकते किंवा कागदी दस्तऐवज मिलेल?');
INSERT INTO `lang_definitions` VALUES (178876, 11884, 33, 'विम्याची की नाही');
INSERT INTO `lang_definitions` VALUES (178877, 11890, 33, 'Whiplash');
INSERT INTO `lang_definitions` VALUES (178878, 11891, 33, 'व्हाइट');
INSERT INTO `lang_definitions` VALUES (178879, 11894, 33, 'कोण');
INSERT INTO `lang_definitions` VALUES (178880, 11895, 33, 'कोण काय?');
INSERT INTO `lang_definitions` VALUES (178881, 11897, 33, 'विधवा झालेली किंवा विधुर झालेला');
INSERT INTO `lang_definitions` VALUES (178882, 11898, 33, 'रूंदी');
INSERT INTO `lang_definitions` VALUES (178883, 11900, 33, 'डाव्या सुचालन फ्रेम पिक्सेल मध्ये रुंदी.');
INSERT INTO `lang_definitions` VALUES (178884, 11904, 33, 'चेक केलेले आयटम प्लॉट');
INSERT INTO `lang_definitions` VALUES (178885, 11906, 33, 'प्राधान्यकृत भाषा');
INSERT INTO `lang_definitions` VALUES (178886, 11907, 33, 'सह निवडले:');
INSERT INTO `lang_definitions` VALUES (178887, 11908, 33, 'जुन्या नाव');
INSERT INTO `lang_definitions` VALUES (178888, 11911, 33, 'ज्याच्यापाशी आम्हांला एक संदेश देऊ शकतात?');
INSERT INTO `lang_definitions` VALUES (178889, 11912, 33, 'स्थगित');
INSERT INTO `lang_definitions` VALUES (178890, 11913, 33, 'तासांच्या आत');
INSERT INTO `lang_definitions` VALUES (178891, 11914, 33, 'तासांच्या आत:');
INSERT INTO `lang_definitions` VALUES (178892, 11915, 33, 'मिनिटातच');
INSERT INTO `lang_definitions` VALUES (178893, 11916, 33, 'मिनिटातच:');
INSERT INTO `lang_definitions` VALUES (178894, 11917, 33, 'सुविधा न करता');
INSERT INTO `lang_definitions` VALUES (178895, 11918, 33, 'प्रदाता न करता');
INSERT INTO `lang_definitions` VALUES (178896, 11919, 33, 'अद्यतन न करता');
INSERT INTO `lang_definitions` VALUES (178897, 11920, 33, 'साक्षीदार');
INSERT INTO `lang_definitions` VALUES (178898, 11921, 33, 'आठवडा');
INSERT INTO `lang_definitions` VALUES (178899, 11922, 33, 'WNL');
INSERT INTO `lang_definitions` VALUES (178900, 11923, 33, 'वोलोफ');
INSERT INTO `lang_definitions` VALUES (178901, 11924, 33, 'महिला');
INSERT INTO `lang_definitions` VALUES (178902, 11925, 33, 'महिला केवळ');
INSERT INTO `lang_definitions` VALUES (178903, 11926, 33, 'वर्डप्रेस पोर्टल');
INSERT INTO `lang_definitions` VALUES (178904, 11927, 33, 'कार्य');
INSERT INTO `lang_definitions` VALUES (178905, 11928, 33, 'कार्य सुचना');
INSERT INTO `lang_definitions` VALUES (178906, 11929, 33, 'कार्य फोन');
INSERT INTO `lang_definitions` VALUES (178907, 11930, 33, 'कार्य फोन नंबर');
INSERT INTO `lang_definitions` VALUES (178908, 11931, 33, 'संबंधित कार्य?');
INSERT INTO `lang_definitions` VALUES (178909, 11932, 33, 'कार्य / शिक्षण / छंद');
INSERT INTO `lang_definitions` VALUES (178910, 11933, 33, 'कार्य / शाळा टीप');
INSERT INTO `lang_definitions` VALUES (178911, 11934, 33, 'काम करवून घेणे');
INSERT INTO `lang_definitions` VALUES (178912, 11935, 33, 'Worker`s नुकसान भरपाई');
INSERT INTO `lang_definitions` VALUES (178913, 11936, 33, 'कामगार भरपाई आरोग्य योजना');
INSERT INTO `lang_definitions` VALUES (178914, 11937, 33, 'नियोक्ता गट आरोग्य योजना ज्येष्ठ नागरीक लाभार्थी किंवा जोडीदार काम');
INSERT INTO `lang_definitions` VALUES (178915, 11940, 33, 'कार्यरत आहे ... हे एक मिनिट लागू शकतो.');
INSERT INTO `lang_definitions` VALUES (178916, 11941, 33, 'वाईट');
INSERT INTO `lang_definitions` VALUES (178917, 11942, 33, 'तुम्ही जागतिक खाते लागू करण्यासाठी रक्कम इच्छिता?');
INSERT INTO `lang_definitions` VALUES (178918, 11943, 33, 'आपण साफ म्हणून त्यांना चिन्हांकित करणे आवडेल.');
INSERT INTO `lang_definitions` VALUES (178919, 11944, 33, 'आपण वाटप करू इच्छिता?');
INSERT INTO `lang_definitions` VALUES (178920, 11945, 33, 'आपण या रुग्णांच्या वितरण रद्द करू इच्छिता?');
INSERT INTO `lang_definitions` VALUES (178921, 11946, 33, 'आपण भरणा वितरण हटवा करू इच्छिता?');
INSERT INTO `lang_definitions` VALUES (178922, 11947, 33, 'देयके हटवा करू इच्छिता?');
INSERT INTO `lang_definitions` VALUES (178923, 11948, 33, 'आपण समाप्त पेमेंट संपादीत करा व करू इच्छिता?');
INSERT INTO `lang_definitions` VALUES (178924, 11949, 33, 'देयके संपादीत करू इच्छिता?');
INSERT INTO `lang_definitions` VALUES (178925, 11950, 33, 'आपण समाप्त पेमेंट पोस्ट करा आणि करू इच्छिता?');
INSERT INTO `lang_definitions` VALUES (178926, 11951, 33, 'देयके पोस्ट करू इच्छिता?');
INSERT INTO `lang_definitions` VALUES (178927, 11952, 33, 'आपण जतन करू इच्छिता?');
INSERT INTO `lang_definitions` VALUES (178928, 11953, 33, 'मनगट');
INSERT INTO `lang_definitions` VALUES (178929, 11954, 33, 'मनगट आणि हात');
INSERT INTO `lang_definitions` VALUES (178930, 11955, 33, 'मनगट समस्या');
INSERT INTO `lang_definitions` VALUES (178931, 11956, 33, 'लिहा');
INSERT INTO `lang_definitions` VALUES (178932, 11958, 33, 'बंद लिहू');
INSERT INTO `lang_definitions` VALUES (178933, 11959, 33, 'एकदा लिहा');
INSERT INTO `lang_definitions` VALUES (178934, 11960, 33, 'wsome');
INSERT INTO `lang_definitions` VALUES (178935, 11963, 33, 'WT');
INSERT INTO `lang_definitions` VALUES (178936, 11966, 33, 'नाम रद्द');
INSERT INTO `lang_definitions` VALUES (178937, 11967, 33, 'नाम रद्द');
INSERT INTO `lang_definitions` VALUES (178938, 11969, 33, 'क्ष-किरण');
INSERT INTO `lang_definitions` VALUES (178939, 11970, 33, 'एक्स-रे इंटरप्रिटेशन');
INSERT INTO `lang_definitions` VALUES (178940, 11971, 33, 'एक्स-रे इंटरप्रिटेशन');
INSERT INTO `lang_definitions` VALUES (178941, 11975, 33, 'X12 फक्त: बदलण्याचे दावा');
INSERT INTO `lang_definitions` VALUES (178942, 11978, 33, 'X12 भागीदार');
INSERT INTO `lang_definitions` VALUES (178943, 11979, 33, 'X12 भागीदार');
INSERT INTO `lang_definitions` VALUES (178944, 11981, 33, 'x12 मजकूर');
INSERT INTO `lang_definitions` VALUES (178945, 11982, 33, 'खोसा');
INSERT INTO `lang_definitions` VALUES (178946, 11987, 33, 'युवराज');
INSERT INTO `lang_definitions` VALUES (178947, 11988, 33, 'वर्ष');
INSERT INTO `lang_definitions` VALUES (178948, 11989, 33, 'वर्ष');
INSERT INTO `lang_definitions` VALUES (178949, 11990, 33, 'वर्ष पहा');
INSERT INTO `lang_definitions` VALUES (178950, 11991, 33, 'वर्ष (चे)');
INSERT INTO `lang_definitions` VALUES (178951, 11992, 33, 'वर्ष');
INSERT INTO `lang_definitions` VALUES (178952, 11994, 33, 'वर्षे किंवा महिने');
INSERT INTO `lang_definitions` VALUES (178953, 11995, 33, 'वर्ष, महिने आणि दिवस');
INSERT INTO `lang_definitions` VALUES (178954, 11996, 33, 'होय');
INSERT INTO `lang_definitions` VALUES (178955, 11997, 33, 'होय');
INSERT INTO `lang_definitions` VALUES (178956, 11998, 33, 'होय');
INSERT INTO `lang_definitions` VALUES (178957, 11999, 33, 'होय!');
INSERT INTO `lang_definitions` VALUES (178958, 12000, 33, 'होय, हटवा आणि लॉग');
INSERT INTO `lang_definitions` VALUES (178959, 12002, 33, 'होय नाही');
INSERT INTO `lang_definitions` VALUES (178960, 12003, 33, 'होय:');
INSERT INTO `lang_definitions` VALUES (178961, 12004, 33, 'यिद्दी');
INSERT INTO `lang_definitions` VALUES (178962, 12005, 33, 'योरूबा');
INSERT INTO `lang_definitions` VALUES (178963, 12008, 33, 'आपण कायमचे विद्यमान टेम्प्लेट पुनर्स्थित आहेत. तुम्हाला नक्की पुढे जायचे?');
INSERT INTO `lang_definitions` VALUES (178964, 12011, 33, 'आपण देवाची कृपा लॉग-इन काळात आहेत. आपल्याला आपला संकेतशब्द बदला');
INSERT INTO `lang_definitions` VALUES (178965, 12012, 33, 'आपण हा कार्यक्रम हटवू परवानगी नाही');
INSERT INTO `lang_definitions` VALUES (178966, 12013, 33, 'हा कार्यक्रम संपादित करण्याची परवानगी नाही');
INSERT INTO `lang_definitions` VALUES (178967, 12014, 33, 'आपण या अधिकृत नाही.');
INSERT INTO `lang_definitions` VALUES (178968, 12016, 33, 'आपण या संघात प्रवेश करण्यास अधिकृत नाही आहेत.');
INSERT INTO `lang_definitions` VALUES (178969, 12017, 33, 'आपण / संपादित करा मुद्दे जोडण्यासाठी अधिकृत नाही');
INSERT INTO `lang_definitions` VALUES (178970, 12018, 33, 'आपण भेटी शेड्यूल अधिकृत नाही.');
INSERT INTO `lang_definitions` VALUES (178971, 12019, 33, 'आपण या चकमकीत पाहण्यासाठी अधिकृत नाही.');
INSERT INTO `lang_definitions` VALUES (178972, 12021, 33, 'आपण जुन्या चकमकीत विरुद्ध पोस्ट आहेत?');
INSERT INTO `lang_definitions` VALUES (178973, 12038, 33, 'आपण थेट हे कार्य प्रवेश करू शकत नाही.');
INSERT INTO `lang_definitions` VALUES (178974, 12050, 33, 'आपण थेट या पृष्ठावर प्रवेश करू शकत नाही.');
INSERT INTO `lang_definitions` VALUES (178975, 12051, 33, 'आपण एक श्रेणी एक रिक्त मूल्य जोडू शकत नाही!');
INSERT INTO `lang_definitions` VALUES (178976, 12052, 33, 'आपण फक्त खालील उपवर्ग एक रिक्त मूल्य जोडू शकत नाही!');
INSERT INTO `lang_definitions` VALUES (178977, 12053, 33, 'आपण एक आयटम एक रिक्त मूल्य जोडू शकत नाही!');
INSERT INTO `lang_definitions` VALUES (178978, 12055, 33, 'आपण होय एक पूर्ण मूल्य भावी तारीख प्रविष्ट करू शकत नाही.');
INSERT INTO `lang_definitions` VALUES (178979, 12057, 33, 'आपण कोणत्याही क्रिया निवडा नाही.');
INSERT INTO `lang_definitions` VALUES (178980, 12058, 33, 'आपण पाहण्यासाठी प्रवेश नाही / हे लक्षात ठेवा संपादित');
INSERT INTO `lang_definitions` VALUES (178981, 12061, 33, 'आपण लॉक केलेले आहे, जे सामग्री बदलू करण्याचा प्रयत्न केला आहे. आपण हे करू इच्छित असल्यास लॉक काढून टाका. ओळ, काढून टाकणे, अनलॉक करण्यासाठी, \'/ * लॉक :: * /\'');
INSERT INTO `lang_definitions` VALUES (178982, 12063, 33, 'आपण यशस्वीरित्या लॉग आउट केले आहे.');
INSERT INTO `lang_definitions` VALUES (178983, 12074, 33, 'आपण फक्त फाइल .txt अपलोड करू शकता');
INSERT INTO `lang_definitions` VALUES (178984, 12075, 33, 'आपण वैकल्पिकरित्या एक फाइल पासून HL7 परिणाम अपलोड करू शकता');
INSERT INTO `lang_definitions` VALUES (178985, 12076, 33, 'आपण नवीन रुग्णांच्या चकमकीत स्वरूपात मुलभूत तक्रार म्हणून मजकूर येथे ठेवा शकते.');
INSERT INTO `lang_definitions` VALUES (178986, 12085, 33, 'आपण दस्तऐवज कूटबद्ध करण्यासाठी पास वाक्यांश प्रविष्ट करणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (178987, 12087, 33, 'आपण वापरकर्ता संकेतशब्द बदलण्यासाठी आपल्या स्वत: च्या संकेतशब्द प्रविष्ट करणे आवश्यक आहे. जसाच्या तसा पासवर्ड ठेवणे रिक्त सोडा.');
INSERT INTO `lang_definitions` VALUES (178988, 12090, 33, 'आपण प्रथम निवडण्यासाठी किंवा रुग्णाला जोडणे आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (178989, 12091, 33, 'आपण प्रथम निवडा किंवा चकमकीत तयार करणे आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (178990, 12092, 33, 'आपण भेट श्रेणी निवडणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (178991, 12093, 33, 'आपण भेट श्रेणी निवडणे आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (178992, 12094, 33, 'आपण सुरू ठेवण्यासाठी काही फील्ड निवडणे आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (178993, 12104, 33, 'हा हक्क यशस्वीरित्या निर्माण दर्शन दिले असेल तर तुम्ही हा चाचणी चालू पाहिजे परंतु प्रत्यक्ष हक्क फाइल कोणताही डेटा किंवा असू नवं पुस्तक घेऊन येतो डेटा रक्कम केवळ एक अपूर्ण भाग असू शकत नाही. X12 तो दावा योग्य पूर्ण असेल तर निर्धारित करण्यासाठी एक अधिक कठीण प्रक्रिया आहे दावा ते, वाचनीय मानवी आहेत कारण HCFA हक्क स्पष्ट आहे.');
INSERT INTO `lang_definitions` VALUES (178994, 12106, 33, 'आपण कमीत कमी एक संदर्भ निवडा पाहिजे');
INSERT INTO `lang_definitions` VALUES (178995, 12107, 33, 'आपण कमीत कमी एक प्रदाता निवडा पाहिजे');
INSERT INTO `lang_definitions` VALUES (178996, 12118, 33, 'आपले क्लिनिकल अहवाल');
INSERT INTO `lang_definitions` VALUES (178997, 12122, 33, 'आपले अंतिम तारीख अवैध आहे');
INSERT INTO `lang_definitions` VALUES (178998, 12123, 33, 'आपला कार्यक्रम हटवला गेला आहे.');
INSERT INTO `lang_definitions` VALUES (178999, 12124, 33, 'आपला कार्यक्रम बदलण्यात आला आहे.');
INSERT INTO `lang_definitions` VALUES (179000, 12125, 33, 'आपला कार्यक्रम सादर केले गेले.');
INSERT INTO `lang_definitions` VALUES (179001, 12127, 33, 'आपली फाईल बरीच मोठी आहे');
INSERT INTO `lang_definitions` VALUES (179002, 12131, 33, 'आपले लॅब परिणाम');
INSERT INTO `lang_definitions` VALUES (179003, 12132, 33, 'आपले यादी नाव नाव गरजा पूर्ण करण्यासाठी बदलण्यात आले आहे.');
INSERT INTO `lang_definitions` VALUES (179004, 12133, 33, 'आपला संदेश डिलिव्हरी सादर करण्यात आला होता');
INSERT INTO `lang_definitions` VALUES (179005, 12134, 33, 'या वर्गात, प्रक्रिया किंवा परिणाम आपले नाव');
INSERT INTO `lang_definitions` VALUES (179006, 12139, 33, 'आपला संकेतशब्द');
INSERT INTO `lang_definitions` VALUES (179007, 12140, 33, 'आपला संकेतशब्द कालबाह्य झाला. कृपया आपला संकेतशब्द बदला.');
INSERT INTO `lang_definitions` VALUES (179008, 12141, 33, 'आपला पासवर्ड कालबाह्य होत आहे');
INSERT INTO `lang_definitions` VALUES (179009, 12143, 33, 'आपला संकेतशब्द आज कालबाह्य. कृपया आपला संकेतशब्द बदला.');
INSERT INTO `lang_definitions` VALUES (179010, 12144, 33, 'तुमचा पासवर्ड तुमच्या स्वाक्षरी आहे');
INSERT INTO `lang_definitions` VALUES (179011, 12146, 33, 'आपले PostCalendar संरचना पूर्वनिर्धारित वापर रीसेट केले आहे.');
INSERT INTO `lang_definitions` VALUES (179012, 12147, 33, 'आपले PostCalendar संरचना सुधारीत केले आहे.');
INSERT INTO `lang_definitions` VALUES (179013, 12148, 33, 'आपले पुनरावृत्ती वारंवारता एक पूर्णांक असणे आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (179014, 12149, 33, 'आपले पुनरावृत्ती वारंवारता किमान 1 असणे आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (179015, 12151, 33, 'आपले प्रारंभ तारीख आपल्या अंतिम तारीख पेक्षा जास्त आहे');
INSERT INTO `lang_definitions` VALUES (179016, 12152, 33, 'आपले प्रारंभ तारीख अवैध आहे');
INSERT INTO `lang_definitions` VALUES (179017, 12153, 33, 'आपले सबमिशन अयशस्वी.');
INSERT INTO `lang_definitions` VALUES (179018, 12156, 33, 'वर्ष-mm-dd या');
INSERT INTO `lang_definitions` VALUES (179019, 12157, 33, 'YYYY-MM-डीडी');
INSERT INTO `lang_definitions` VALUES (179020, 12158, 33, 'वर्ष-mm-dd या तारीख दस्तऐवज संबद्ध');
INSERT INTO `lang_definitions` VALUES (179021, 12159, 33, 'वर्ष-mm-dd या तारीख नष्ट');
INSERT INTO `lang_definitions` VALUES (179022, 12160, 33, 'जन्म वर्ष-mm-dd या तारीख');
INSERT INTO `lang_definitions` VALUES (179023, 12161, 33, 'जन्म वर्ष-mm-dd या तारीख');
INSERT INTO `lang_definitions` VALUES (179024, 12162, 33, 'समाप्तिची वर्ष-mm-dd या तारीख');
INSERT INTO `lang_definitions` VALUES (179025, 12163, 33, 'दिसायला लागायच्या किंवा दवाखान्यात भरती वर्ष-mm-dd या तारीख');
INSERT INTO `lang_definitions` VALUES (179026, 12164, 33, 'वर्ष-mm-dd या लागायच्या, शस्त्रक्रिया तारीख किंवा औषधोपचार सुरू');
INSERT INTO `lang_definitions` VALUES (179027, 12165, 33, 'खरेदी किंवा हस्तांतरण वर्ष-mm-dd या तारीख');
INSERT INTO `lang_definitions` VALUES (179028, 12166, 33, 'वर्ष-mm-dd या पुनर्प्राप्ती तारीख किंवा औषधोपचार शेवटी');
INSERT INTO `lang_definitions` VALUES (179029, 12167, 33, 'परत वर्ष-mm-dd या तारीख खेळण्यासाठी');
INSERT INTO `lang_definitions` VALUES (179030, 12168, 33, 'सेवा वर्ष-mm-dd या तारीख');
INSERT INTO `lang_definitions` VALUES (179031, 12169, 33, 'या पत्राची वर्ष-mm-dd या तारीख');
INSERT INTO `lang_definitions` VALUES (179032, 12170, 33, 'वर्ष-mm-dd या अद्ययावत खेळण्यासाठी परत');
INSERT INTO `lang_definitions` VALUES (179033, 12171, 33, 'वर्ष-mm-dd या दस्तऐवज तारीख');
INSERT INTO `lang_definitions` VALUES (179034, 12173, 33, 'वर्ष-mm-dd या कार्यक्रम तारीख किंवा सुरू तारीख');
INSERT INTO `lang_definitions` VALUES (179035, 12174, 33, 'वर्ष-mm-dd या एच: मीटर शेवटची तारीख');
INSERT INTO `lang_definitions` VALUES (179036, 12175, 33, 'वर्ष-mm-dd या एच: मीटर समाप्ती तारीख');
INSERT INTO `lang_definitions` VALUES (179037, 12176, 33, 'वर्ष-mm-dd या एच: मीटर प्रारंभ तारीख');
INSERT INTO `lang_definitions` VALUES (179038, 12177, 33, 'वर्ष-mm-dd या एच: मीटर प्रारंभ तारीख');
INSERT INTO `lang_definitions` VALUES (179039, 12178, 33, 'वर्ष-MM-DD HH:-mm-ss');
INSERT INTO `lang_definitions` VALUES (179040, 12179, 33, 'वर्ष-mm-dd या तास (24): मिनिटे');
INSERT INTO `lang_definitions` VALUES (179041, 12180, 33, 'हा कार्यक्रम करण्याची शेवटची तारीख वर्ष-mm-dd');
INSERT INTO `lang_definitions` VALUES (179042, 12183, 33, 'ZEF विभाग अंतर्गत त्रुटी');
INSERT INTO `lang_definitions` VALUES (179043, 12184, 33, 'तुलनात्मक अभ्यासात विभाग');
INSERT INTO `lang_definitions` VALUES (179044, 12186, 33, 'शून्य');
INSERT INTO `lang_definitions` VALUES (179045, 12187, 33, 'झुआंग, चुआंग');
INSERT INTO `lang_definitions` VALUES (179046, 12188, 33, 'पिन');
INSERT INTO `lang_definitions` VALUES (179047, 12189, 33, 'पिनकोड');
INSERT INTO `lang_definitions` VALUES (179048, 12191, 33, 'पिन / देश:');
INSERT INTO `lang_definitions` VALUES (179049, 12196, 33, 'झुलू');
INSERT INTO `lang_definitions` VALUES (179050, 12197, 33, ' पण');
INSERT INTO `lang_definitions` VALUES (179051, 12198, 33, '  प्रवेश करता येत नाही.');
INSERT INTO `lang_definitions` VALUES (179052, 12199, 33, ' आपण खरोखर हटवू इच्छिता का');
INSERT INTO `lang_definitions` VALUES (179053, 12200, 33, ' औषध');
INSERT INTO `lang_definitions` VALUES (179054, 12201, 33, ' ईमेल पाठवले नाही');
INSERT INTO `lang_definitions` VALUES (179055, 12202, 33, ' पासून');
INSERT INTO `lang_definitions` VALUES (179056, 12203, 33, ' तयार केले गेले आहे.');
INSERT INTO `lang_definitions` VALUES (179057, 12204, 33, ' करण्यात आली आहे पुन्हा उघडले.');
INSERT INTO `lang_definitions` VALUES (179058, 12205, 33, ' इतिहास');
INSERT INTO `lang_definitions` VALUES (179059, 12206, 33, ' क्रमांक नाही');
INSERT INTO `lang_definitions` VALUES (179060, 12207, 33, ' पुन्हा बिलिंग तयार आहे.');
INSERT INTO `lang_definitions` VALUES (179061, 12208, 33, ' LLL:');
INSERT INTO `lang_definitions` VALUES (179062, 12209, 33, ' लोट');
INSERT INTO `lang_definitions` VALUES (179063, 12210, 33, ' मेडीकेडची मूळ संदर्भ क्रमांक');
INSERT INTO `lang_definitions` VALUES (179064, 12211, 33, ' मि');
INSERT INTO `lang_definitions` VALUES (179065, 12212, 33, ' आढळले नाही!');
INSERT INTO `lang_definitions` VALUES (179066, 12213, 33, ' अनेक ब्राउझरमध्ये Pecularities आउटपुट खाली अचानक jerks आपल्या स्क्रीन प्रवेश करतो आणि गोष्टी क्रॅश असावे तरी म्हणून दिसते जेथे अनेक सेकंद लांब थांबणे आहेत शकतो. त्या बाबतीत नाही, शेवटी आपण आउटपुट ओळ ओळ येताना पाहतील. खाली दिसणार्या घडणारा संख्या असू शकते, हे अगदी दुसरे काहीच तरी वर जात क्रियाकलाप आहे प्रदर्शित केले जाऊ शकते सूचित आहे. या संख्या बिलिंग सामग्री आलटून पालटून जाईल आणि त्या सामान्य आहे.');
INSERT INTO `lang_definitions` VALUES (179067, 12214, 33, ' नियम त्याच्या मर्यादा गाठली आहे');
INSERT INTO `lang_definitions` VALUES (179068, 12215, 33, ' पर्यंत');
INSERT INTO `lang_definitions` VALUES (179069, 12216, 33, ' सुधारणा डेटाबेसमध्ये नाही, अयशस्वी?');
INSERT INTO `lang_definitions` VALUES (179070, 12217, 33, ' फक्त बिल म्हणून चिन्हांकित करण्यात आला.');
INSERT INTO `lang_definitions` VALUES (179071, 12218, 33, ' यशस्वीरित्या रांगेत होते.');
INSERT INTO `lang_definitions` VALUES (179072, 12219, 33, '! / O भेट वाईड बाकी');
INSERT INTO `lang_definitions` VALUES (179073, 12220, 33, '\"कोड');
INSERT INTO `lang_definitions` VALUES (179074, 12221, 33, '\"PostCalendar सेटिंग्ज चेक-इन केले आहे!');
INSERT INTO `lang_definitions` VALUES (179075, 12222, 33, '# इन / कल्ला समस्या');
INSERT INTO `lang_definitions` VALUES (179076, 12223, 33, 'गोळ्या #:');
INSERT INTO `lang_definitions` VALUES (179077, 12224, 33, '$');
INSERT INTO `lang_definitions` VALUES (179078, 12225, 33, '$ केले कोडींग');
INSERT INTO `lang_definitions` VALUES (179079, 12226, 33, '$ लेबल (वर्ष-mm-dd या):');
INSERT INTO `lang_definitions` VALUES (179080, 12227, 33, '%');
INSERT INTO `lang_definitions` VALUES (179081, 12228, 33, '% रद्द <24');
INSERT INTO `lang_definitions` VALUES (179082, 12229, 33, '% रद्द <24');
INSERT INTO `lang_definitions` VALUES (179083, 12230, 33, 'विद्यमान पण नाही पाहिजे.');
INSERT INTO `lang_definitions` VALUES (179084, 12231, 33, '(% _ कुठलेही अक्षर सामने, कोणत्याही स्ट्रिंग सामने)');
INSERT INTO `lang_definitions` VALUES (179085, 12232, 33, '([Ctrl] + अनेक प्राप्तकर्ता निवडण्यासाठी क्लिक करा)');
INSERT INTO `lang_definitions` VALUES (179086, 12233, 33, '(परत)');
INSERT INTO `lang_definitions` VALUES (179087, 12234, 33, '(संपादित करण्यासाठी क्लिक करा)');
INSERT INTO `lang_definitions` VALUES (179088, 12235, 33, '(स्वयंचलित VOIP पुढील प्रक्रिया सेवा प्रदाता पाठविले आहे, तर ई-मेल वितरण तातडीने आहे.)');
INSERT INTO `lang_definitions` VALUES (179089, 12236, 33, '(अधिक)');
INSERT INTO `lang_definitions` VALUES (179090, 12237, 33, '(नवीन रुग्णांच्या)');
INSERT INTO `lang_definitions` VALUES (179091, 12238, 33, '(नोट्स आणि अधिकृत)');
INSERT INTO `lang_definitions` VALUES (179092, 12239, 33, '(रुग्णांच्या टिपा)');
INSERT INTO `lang_definitions` VALUES (179093, 12240, 33, '(या एक निवडा, किंवा आपल्या स्वत: शीर्षक टाइप करा)');
INSERT INTO `lang_definitions` VALUES (179094, 12241, 33, '(Shift-) वर क्लिक करा किंवा ड्रॅग मूल्य बदलण्यासाठी');
INSERT INTO `lang_definitions` VALUES (179095, 12242, 33, '* स्मरण केले');
INSERT INTO `lang_definitions` VALUES (179096, 12243, 33, '** मुद्दे शस्त्रक्रिया हलवा करा!');
INSERT INTO `lang_definitions` VALUES (179097, 12244, 33, '* आवश्यक');
INSERT INTO `lang_definitions` VALUES (179098, 12245, 33, '#ERROR!');
INSERT INTO `lang_definitions` VALUES (179099, 12249, 33, '- नाही');
INSERT INTO `lang_definitions` VALUES (179100, 12251, 33, '- सर्व -');
INSERT INTO `lang_definitions` VALUES (179101, 12252, 33, '--Select Role--');
INSERT INTO `lang_definitions` VALUES (179102, 12253, 33, '.');
INSERT INTO `lang_definitions` VALUES (179103, 12254, 33, '0');
INSERT INTO `lang_definitions` VALUES (179104, 12255, 33, '0-10');
INSERT INTO `lang_definitions` VALUES (179105, 12256, 33, '0-24');
INSERT INTO `lang_definitions` VALUES (179106, 12257, 33, '02/12 {{ग्लोबल मध्ये सीएमएस 1500 स्वरूप तारीख पुनरावृत्ती सेटिंग}}');
INSERT INTO `lang_definitions` VALUES (179107, 12258, 33, '08/05 {{ग्लोबल मध्ये सीएमएस 1500 स्वरूप तारीख पुनरावृत्ती सेटिंग}}');
INSERT INTO `lang_definitions` VALUES (179108, 12259, 33, '1');
INSERT INTO `lang_definitions` VALUES (179109, 12260, 33, '1 = उत्तर अमेरिका. इतर देश कोड यादी http://www.wtng.info/ पहा.');
INSERT INTO `lang_definitions` VALUES (179110, 12261, 33, 'आता 1 दिवस');
INSERT INTO `lang_definitions` VALUES (179111, 12262, 33, 'आता 1 महिना');
INSERT INTO `lang_definitions` VALUES (179112, 12263, 33, '1 आठवडा आता पासून');
INSERT INTO `lang_definitions` VALUES (179113, 12264, 33, '1 वर्ष आता पासून');
INSERT INTO `lang_definitions` VALUES (179114, 12265, 33, 'पाय नाण्यासारखा किंवा फिकट गुलाबी रंग 4. चढवणे पाय आणि पाय विकसित तोपर्यंत दोन दिवस 1.Rest 2. बर्फ 3. संक्षेप ठिकाणी जमिनीच्या पृष्ठभागावर खत घालणे सोडून');
INSERT INTO `lang_definitions` VALUES (179115, 12266, 33, '11-14');
INSERT INTO `lang_definitions` VALUES (179116, 12267, 33, '12 तास');
INSERT INTO `lang_definitions` VALUES (179117, 12268, 33, '15-19');
INSERT INTO `lang_definitions` VALUES (179118, 12270, 33, '1');
INSERT INTO `lang_definitions` VALUES (179119, 12272, 33, '2');
INSERT INTO `lang_definitions` VALUES (179120, 12273, 33, '2 दिवस आता पासून');
INSERT INTO `lang_definitions` VALUES (179121, 12274, 33, '2 महिने आता पासून');
INSERT INTO `lang_definitions` VALUES (179122, 12275, 33, '2 आठवडे आता पासून');
INSERT INTO `lang_definitions` VALUES (179123, 12276, 33, '2 वर्षे आता पासून');
INSERT INTO `lang_definitions` VALUES (179124, 12277, 33, '2-20 वर्षे');
INSERT INTO `lang_definitions` VALUES (179125, 12278, 33, '20-24');
INSERT INTO `lang_definitions` VALUES (179126, 12279, 33, '2011 ऑटोमेटेड माप गणना (एएमसी)');
INSERT INTO `lang_definitions` VALUES (179127, 12280, 33, '2011 क्लिनिकल गुणवत्ता उपाय (CQM)');
INSERT INTO `lang_definitions` VALUES (179128, 12281, 33, '2011 अधिकृत क्लिनिकल गुणवत्ता उपाय (CQM) माप गट');
INSERT INTO `lang_definitions` VALUES (179129, 12282, 33, '2014 ऑटोमेटेड माप गणना (एएमसी)');
INSERT INTO `lang_definitions` VALUES (179130, 12285, 33, '2014 क्लिनिकल गुणवत्ता उपाय (CQM)');
INSERT INTO `lang_definitions` VALUES (179131, 12286, 33, '2014 अधिकृत क्लिनिकल गुणवत्ता उपाय (CQM) माप गट');
INSERT INTO `lang_definitions` VALUES (179132, 12287, 33, '2111-13');
INSERT INTO `lang_definitions` VALUES (179133, 12288, 33, '24 तास');
INSERT INTO `lang_definitions` VALUES (179134, 12289, 33, '25+');
INSERT INTO `lang_definitions` VALUES (179135, 12290, 33, '25-29');
INSERT INTO `lang_definitions` VALUES (179136, 12293, 33, '2');
INSERT INTO `lang_definitions` VALUES (179137, 12296, 33, '3 दिवस आता पासून');
INSERT INTO `lang_definitions` VALUES (179138, 12297, 33, '3 महिने');
INSERT INTO `lang_definitions` VALUES (179139, 12298, 33, '3 महिने आता पासून');
INSERT INTO `lang_definitions` VALUES (179140, 12299, 33, '3 वेळा दररोज');
INSERT INTO `lang_definitions` VALUES (179141, 12300, 33, '3 आठवडे आता पासून');
INSERT INTO `lang_definitions` VALUES (179142, 12301, 33, '30-34');
INSERT INTO `lang_definitions` VALUES (179143, 12302, 33, '35-39');
INSERT INTO `lang_definitions` VALUES (179144, 12304, 33, '3');
INSERT INTO `lang_definitions` VALUES (179145, 12307, 33, '4 दिवस आता पासून');
INSERT INTO `lang_definitions` VALUES (179146, 12308, 33, '4 महिने');
INSERT INTO `lang_definitions` VALUES (179147, 12309, 33, '4 महिने आता पासून');
INSERT INTO `lang_definitions` VALUES (179148, 12310, 33, '4 वेळा रोज');
INSERT INTO `lang_definitions` VALUES (179149, 12311, 33, '4 आठवडे आता पासून');
INSERT INTO `lang_definitions` VALUES (179150, 12312, 33, '40-44');
INSERT INTO `lang_definitions` VALUES (179151, 12313, 33, '45+');
INSERT INTO `lang_definitions` VALUES (179152, 12314, 33, '465,9, URI वर');
INSERT INTO `lang_definitions` VALUES (179153, 12315, 33, '466,0, ब्राँकायटिस, तीव्र NOS');
INSERT INTO `lang_definitions` VALUES (179154, 12316, 33, '486,0, न्यूमोनिया, तीव्र');
INSERT INTO `lang_definitions` VALUES (179155, 12317, 33, '491,21, COPD तीव्रता');
INSERT INTO `lang_definitions` VALUES (179156, 12318, 33, '491,8, ब्राँकायटिस, तीव्र');
INSERT INTO `lang_definitions` VALUES (179157, 12319, 33, '493,92, दमा, तीव्र Exac.');
INSERT INTO `lang_definitions` VALUES (179158, 12320, 33, '496,0, COPD');
INSERT INTO `lang_definitions` VALUES (179159, 12323, 33, '4');
INSERT INTO `lang_definitions` VALUES (179160, 12326, 33, '5 दिवस आता पासून');
INSERT INTO `lang_definitions` VALUES (179161, 12327, 33, '5 महिने आता पासून');
INSERT INTO `lang_definitions` VALUES (179162, 12328, 33, '5 आठवडे आता पासून');
INSERT INTO `lang_definitions` VALUES (179163, 12329, 33, '519,7, श्वासवाहिन्यांमधील बिनपट्टयांच्या स्नायूंच्या आकस्मिक आकुंचनामुळे श्वसनास होणारा अडथळा');
INSERT INTO `lang_definitions` VALUES (179164, 12331, 33, '5');
INSERT INTO `lang_definitions` VALUES (179165, 12333, 33, '6 दिवस आता पासून');
INSERT INTO `lang_definitions` VALUES (179166, 12334, 33, '6 महिने');
INSERT INTO `lang_definitions` VALUES (179167, 12335, 33, '6 महिने आता पासून');
INSERT INTO `lang_definitions` VALUES (179168, 12336, 33, '6 आठवडे आता पासून');
INSERT INTO `lang_definitions` VALUES (179169, 12337, 33, '6');
INSERT INTO `lang_definitions` VALUES (179170, 12339, 33, '7 महिने आता पासून');
INSERT INTO `lang_definitions` VALUES (179171, 12340, 33, '8 महिने आता पासून');
INSERT INTO `lang_definitions` VALUES (179172, 12342, 33, '824,0 फ्रॅक्चर, सरासरीचा घोटा, बंद');
INSERT INTO `lang_definitions` VALUES (179173, 12343, 33, '824,2 फ्रॅक्चर, बाजूकडील घोटा, बंद');
INSERT INTO `lang_definitions` VALUES (179174, 12344, 33, '824,6 फ्रॅक्चर, Trimalleolar बंद');
INSERT INTO `lang_definitions` VALUES (179175, 12345, 33, '825,32 फ्रॅक्चर, होडीच्या आकाराचे च्या (घोट्याच्या)');
INSERT INTO `lang_definitions` VALUES (179176, 12346, 33, '825,35 फ्रॅक्चर पाचव्या (5) पायाभूत पायाचा घोटा व पायाची बोटे जोडणार्या पाच अस्थीपैकी एक');
INSERT INTO `lang_definitions` VALUES (179177, 12347, 33, '845,00 घोट्याच्या लचक NOS');
INSERT INTO `lang_definitions` VALUES (179178, 12348, 33, '845,01 लचक सरासरीचा (त्रिकोणी) अल्प.');
INSERT INTO `lang_definitions` VALUES (179179, 12349, 33, '845,02 लचक, Calcaneal fibular');
INSERT INTO `lang_definitions` VALUES (179180, 12350, 33, '9 महिने आता पासून');
INSERT INTO `lang_definitions` VALUES (179181, 12351, 33, '99212 स्थापना - uncomplicated');
INSERT INTO `lang_definitions` VALUES (179182, 12352, 33, '99213 स्थापना - कमी जटिलता');
INSERT INTO `lang_definitions` VALUES (179183, 12353, 33, '<परीक्षा खोलीत');
INSERT INTO `lang_definitions` VALUES (179184, 12357, 33, '> बाहेर चेक-इन');
INSERT INTO `lang_definitions` VALUES (179185, 12359, 33, '?');
INSERT INTO `lang_definitions` VALUES (179186, 12361, 33, '? कोणताही शो');
INSERT INTO `lang_definitions` VALUES (179187, 12362, 33, '@ आगमन');
INSERT INTO `lang_definitions` VALUES (179188, 12364, 33, '[बदला पहा]');
INSERT INTO `lang_definitions` VALUES (179189, 12365, 33, '[शेवटच्या चकमकीत तारीख]');
INSERT INTO `lang_definitions` VALUES (179190, 12366, 33, '[शेवटच्या चकमकीत असल्याने दिवस]');
INSERT INTO `lang_definitions` VALUES (179191, 12367, 33, '[EOBs]');
INSERT INTO `lang_definitions` VALUES (179192, 12368, 33, '[निर्यात OFX]');
INSERT INTO `lang_definitions` VALUES (179193, 12369, 33, '[शिफारस केलेली नाही]');
INSERT INTO `lang_definitions` VALUES (179194, 12370, 33, '[चकमक क्रमांक]');
INSERT INTO `lang_definitions` VALUES (179195, 12371, 33, '[अहवाल]');
INSERT INTO `lang_definitions` VALUES (179196, 12372, 33, '[सर्व निवडा]');
INSERT INTO `lang_definitions` VALUES (179197, 12373, 33, '[एस क्यू एल-लेजर]');
INSERT INTO `lang_definitions` VALUES (179198, 12374, 33, '[प्रारंभ बॅच प्रक्रिया]');
INSERT INTO `lang_definitions` VALUES (179199, 12375, 33, '[पहा लॉग]');
INSERT INTO `lang_definitions` VALUES (179200, 12376, 33, '[पहा प्रिंट अहवाल]');
INSERT INTO `lang_definitions` VALUES (179201, 12378, 33, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (179202, 12379, 33, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (179203, 12380, 33, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (179204, 12381, 33, '~ उशीरा आगमन');
INSERT INTO `lang_definitions` VALUES (179205, 1, 34, 'ஒரு');
INSERT INTO `lang_definitions` VALUES (179206, 2, 34, 'கட்டணம் கண்டறிய ஒரு காசோலை எண் அல்லது கூற்று எண்');
INSERT INTO `lang_definitions` VALUES (179207, 4, 34, 'நிர்வாகி பயனருக்கு  வாடிக்கையாளர் (கிளையன்ட்) சான்றிதழ்');
INSERT INTO `lang_definitions` VALUES (179208, 6, 34, 'ஒரு மருத்துவ ஆவணம் இணைக்கப்பட்டுள்ளது');
INSERT INTO `lang_definitions` VALUES (179209, 7, 34, 'ஒரு மருத்துவ ஆவணம் இணைக்கப்பட்டுள்ளது');
INSERT INTO `lang_definitions` VALUES (179210, 8, 34, 'இந்த வகை குறியீடு ஏற்கனவே தேர்ந்தெடுக்கப்பட்டுள்ளது. ௮தனை மாற்ற முதலில் ௮தனை அழிக்கவும்.');
INSERT INTO `lang_definitions` VALUES (179211, 13, 34, 'ஒரு விநியோகி தேவை');
INSERT INTO `lang_definitions` VALUES (179212, 20, 34, 'ஒரு கிடங்கு ௭ன் தேவை');
INSERT INTO `lang_definitions` VALUES (179213, 21, 34, 'ஒரு கிடங்கு ௭ன் தேவை');
INSERT INTO `lang_definitions` VALUES (179214, 28, 34, 'ஒரு ௭ன்');
INSERT INTO `lang_definitions` VALUES (179215, 30, 34, 'இந்த ஐடி ௨டன் ஒரு நோயாளி ஏற்கனவே உள்ளார்.');
INSERT INTO `lang_definitions` VALUES (179216, 31, 34, 'இந்த  ௨டன் ஒரு நோயாளி ஏற்கனவே உள்ளார்.');
INSERT INTO `lang_definitions` VALUES (179217, 43, 34, 'एक सिफ़ारिश प्रत्येक visit के लिए निर्दिष्ट की जा सकती है.');
INSERT INTO `lang_definitions` VALUES (179218, 44, 34, 'एक संबंधित IPPF कोड की आवश्यकता है!');
INSERT INTO `lang_definitions` VALUES (179219, 49, 34, 'एक विशेष character');
INSERT INTO `lang_definitions` VALUES (179220, 53, 34, 'इस क्षेत्र को पहचान करने के लिए एक अनूठा मूल्य, उपयोगकर्ता नहीं देख सकते हैं');
INSERT INTO `lang_definitions` VALUES (179221, 58, 34, 'காலை');
INSERT INTO `lang_definitions` VALUES (179222, 62, 34, 'ஏபீ');
INSERT INTO `lang_definitions` VALUES (179223, 63, 34, 'சுருக்கம்');
INSERT INTO `lang_definitions` VALUES (179224, 65, 34, 'उदर');
INSERT INTO `lang_definitions` VALUES (179225, 66, 34, 'वजन चार कदम (4) को सहन करने में सक्षम');
INSERT INTO `lang_definitions` VALUES (179226, 67, 34, 'असामान्य');
INSERT INTO `lang_definitions` VALUES (179227, 68, 34, 'असामान्य 1');
INSERT INTO `lang_definitions` VALUES (179228, 70, 34, 'असामान्य');
INSERT INTO `lang_definitions` VALUES (179229, 71, 34, 'असामान्य रक्त परीक्षण');
INSERT INTO `lang_definitions` VALUES (179230, 72, 34, 'असामान्य बाल विकास');
INSERT INTO `lang_definitions` VALUES (179231, 73, 34, 'असामान्य मेम्मोग्राम');
INSERT INTO `lang_definitions` VALUES (179232, 75, 34, 'गर्भपात');
INSERT INTO `lang_definitions` VALUES (179233, 76, 34, 'गर्भपात संबंधित समस्याएं');
INSERT INTO `lang_definitions` VALUES (179234, 77, 34, 'गर्भपात विधि');
INSERT INTO `lang_definitions` VALUES (179235, 78, 34, 'गर्भपात संबंधी श्रेणियाँ');
INSERT INTO `lang_definitions` VALUES (179236, 79, 34, 'गर्भपात');
INSERT INTO `lang_definitions` VALUES (179237, 82, 34, 'कैलेंडर के बारे में');
INSERT INTO `lang_definitions` VALUES (179238, 85, 34, 'डायग्नोसिस द्वारा absences');
INSERT INTO `lang_definitions` VALUES (179239, 87, 34, 'आवंटित कार्य स्वीकार करें');
INSERT INTO `lang_definitions` VALUES (179240, 89, 34, 'के लिए भुगतान स्वीकार');
INSERT INTO `lang_definitions` VALUES (179241, 90, 34, 'के लिए भुगतान स्वीकार');
INSERT INTO `lang_definitions` VALUES (179242, 91, 34, 'आवंटित कार्य स्वीकार करें');
INSERT INTO `lang_definitions` VALUES (179243, 93, 34, 'एक्सेस नियंत्रण');
INSERT INTO `lang_definitions` VALUES (179244, 94, 34, 'एक्सेस नियंत्रण सूची का प्रशासन');
INSERT INTO `lang_definitions` VALUES (179245, 102, 34, 'अनुमति नहीं');
INSERT INTO `lang_definitions` VALUES (179246, 103, 34, 'प्रवेश अनधिकृत');
INSERT INTO `lang_definitions` VALUES (179247, 105, 34, 'अपने रोगी पोर्टल को एक्सेस करिये');
INSERT INTO `lang_definitions` VALUES (179248, 113, 34, 'खातेदार का नाम');
INSERT INTO `lang_definitions` VALUES (179249, 117, 34, 'अच्कोउन्तिंग');
INSERT INTO `lang_definitions` VALUES (179250, 122, 34, 'दर्द');
INSERT INTO `lang_definitions` VALUES (179251, 124, 34, 'आभार का अनुरोध( (आई एश ए14)');
INSERT INTO `lang_definitions` VALUES (179252, 125, 34, 'अच्क्नोव्लेद्ग्मेंट्स, लाइसेंसिंग और प्रमाणन');
INSERT INTO `lang_definitions` VALUES (179253, 126, 34, 'ए सी ल');
INSERT INTO `lang_definitions` VALUES (179254, 127, 34, 'ए सि ल प्रशासन');
INSERT INTO `lang_definitions` VALUES (179255, 129, 34, 'ए सि ल प्रशासन की अनुमति नहीं है');
INSERT INTO `lang_definitions` VALUES (179256, 133, 34, 'मुँहासा');
INSERT INTO `lang_definitions` VALUES (179257, 136, 34, 'कार्य');
INSERT INTO `lang_definitions` VALUES (179258, 137, 34, 'कार्य की तारीख');
INSERT INTO `lang_definitions` VALUES (179259, 138, 34, 'कार्रवाई');
INSERT INTO `lang_definitions` VALUES (179260, 142, 34, 'कार्रवाई');
INSERT INTO `lang_definitions` VALUES (179261, 144, 34, 'सीसीआर / सीसीडी रिपोर्टिंग सक्रिय करना');
INSERT INTO `lang_definitions` VALUES (179262, 148, 34, 'सक्रिय');
INSERT INTO `lang_definitions` VALUES (179263, 150, 34, 'सक्रिय चेतावनी');
INSERT INTO `lang_definitions` VALUES (179264, 152, 34, 'सक्रिय चेतावनी नियम');
INSERT INTO `lang_definitions` VALUES (179265, 153, 34, 'सक्रिय चेतावनियाँ / अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (179266, 158, 34, 'सक्रिय भेंट');
INSERT INTO `lang_definitions` VALUES (179267, 160, 34, 'सक्रिय सूचियाँ');
INSERT INTO `lang_definitions` VALUES (179268, 162, 34, 'सक्रिय रोगी');
INSERT INTO `lang_definitions` VALUES (179269, 163, 34, 'सक्रिय योजनाएं');
INSERT INTO `lang_definitions` VALUES (179270, 173, 34, 'हलचल');
INSERT INTO `lang_definitions` VALUES (179271, 174, 34, 'गतिविधि प्रकार');
INSERT INTO `lang_definitions` VALUES (179272, 185, 34, 'तीव्र नशा / आहरण');
INSERT INTO `lang_definitions` VALUES (179273, 187, 34, 'पुरानी पर तीव्र');
INSERT INTO `lang_definitions` VALUES (179274, 189, 34, 'जोड़ें');
INSERT INTO `lang_definitions` VALUES (179275, 190, 34, 'जोड़ें');
INSERT INTO `lang_definitions` VALUES (179276, 191, 34, 'जोड़ें');
INSERT INTO `lang_definitions` VALUES (179277, 192, 34, 'एक कंपनी जोड़ें');
INSERT INTO `lang_definitions` VALUES (179278, 197, 34, 'एक फार्मेसी जोड़ें');
INSERT INTO `lang_definitions` VALUES (179279, 200, 34, 'के लिए एक घटना जोड़ें');
INSERT INTO `lang_definitions` VALUES (179280, 202, 34, 'एक नई टिप्पणी के रूप में जोड़ें');
INSERT INTO `lang_definitions` VALUES (179281, 203, 34, 'नए रूप में जोड़ें');
INSERT INTO `lang_definitions` VALUES (179282, 206, 34, 'बटन जोड़ें');
INSERT INTO `lang_definitions` VALUES (179283, 207, 34, 'Add Buttons for Special Chars,Texts to be Displayed on Top of the Editor for inclusion to the text on a Click');
INSERT INTO `lang_definitions` VALUES (179284, 208, 34, 'श्रेणी जोड़ें');
INSERT INTO `lang_definitions` VALUES (179285, 209, 34, 'स्थिर जोड़ें');
INSERT INTO `lang_definitions` VALUES (179286, 210, 34, 'संदर्भ जोड़ें');
INSERT INTO `lang_definitions` VALUES (179287, 211, 34, 'copay जोड़ें');
INSERT INTO `lang_definitions` VALUES (179288, 212, 34, 'मापदंड जोड़ें');
INSERT INTO `lang_definitions` VALUES (179289, 213, 34, 'पसंदीदा बटन जोड़ें');
INSERT INTO `lang_definitions` VALUES (179290, 216, 34, 'निदान जोड़ें');
INSERT INTO `lang_definitions` VALUES (179291, 217, 34, 'दवा जोड़ें');
INSERT INTO `lang_definitions` VALUES (179292, 220, 34, 'भेंट जोड़ें');
INSERT INTO `lang_definitions` VALUES (179293, 221, 34, 'भेंट/टिप्पणी जोड़ें');
INSERT INTO `lang_definitions` VALUES (179294, 222, 34, 'सुविधा केंद्र जोड़ें');
INSERT INTO `lang_definitions` VALUES (179295, 223, 34, 'क्षेत्र जोड़ें');
INSERT INTO `lang_definitions` VALUES (179296, 224, 34, 'अपाचे विन्यास फ़ाइल में निम्नलिखित लाइनें जोड़ें');
INSERT INTO `lang_definitions` VALUES (179297, 225, 34, 'समूह जोड़ें');
INSERT INTO `lang_definitions` VALUES (179298, 227, 34, 'आईसीडी कोड जोड़ें');
INSERT INTO `lang_definitions` VALUES (179299, 228, 34, 'टीकाकरण जोड़ें');
INSERT INTO `lang_definitions` VALUES (179300, 229, 34, 'जोडना अधिकृत नहीं है!');
INSERT INTO `lang_definitions` VALUES (179301, 230, 34, 'अंक जोड़ें');
INSERT INTO `lang_definitions` VALUES (179302, 232, 34, 'भाषा जोड़ें');
INSERT INTO `lang_definitions` VALUES (179303, 238, 34, 'नए जोड़ें');
INSERT INTO `lang_definitions` VALUES (179304, 239, 34, 'नए जोड़ें');
INSERT INTO `lang_definitions` VALUES (179305, 240, 34, 'नई श्रेणी जोड़ें:');
INSERT INTO `lang_definitions` VALUES (179306, 241, 34, 'अपाचे विन्यास फाइल के लिए नया प्रमाणपत्र जोड़ें');
INSERT INTO `lang_definitions` VALUES (179307, 249, 34, 'नया समूह जोड़ें');
INSERT INTO `lang_definitions` VALUES (179308, 251, 34, 'नया लॉट और लेन - देन जोड़ें');
INSERT INTO `lang_definitions` VALUES (179309, 253, 34, 'नई टिप्पणी जोड़ें');
INSERT INTO `lang_definitions` VALUES (179310, 254, 34, 'नई टिप्पणी जोड़ें');
INSERT INTO `lang_definitions` VALUES (179311, 255, 34, 'नया साथी जोड़ें');
INSERT INTO `lang_definitions` VALUES (179312, 264, 34, 'टिप्पणी जोड़ें');
INSERT INTO `lang_definitions` VALUES (179313, 268, 34, 'रोगी रिकॉर्ड जोड़ें');
INSERT INTO `lang_definitions` VALUES (179314, 269, 34, 'पर्चे जोड़ें');
INSERT INTO `lang_definitions` VALUES (179315, 270, 34, 'प्रक्रिया जोड़ें');
INSERT INTO `lang_definitions` VALUES (179316, 271, 34, 'प्रदाता का नंबर जोड़ें');
INSERT INTO `lang_definitions` VALUES (179317, 273, 34, 'पुनर्वसन जोड़ें');
INSERT INTO `lang_definitions` VALUES (179318, 274, 34, 'नियम जोड़ें');
INSERT INTO `lang_definitions` VALUES (179319, 277, 34, 'में जोड़ें');
INSERT INTO `lang_definitions` VALUES (179320, 281, 34, 'दवा सूची में जोड़ें');
INSERT INTO `lang_definitions` VALUES (179321, 282, 34, 'शीर्ष स्तर जोड़ें');
INSERT INTO `lang_definitions` VALUES (179322, 283, 34, 'लेन - देन जोड़ें');
INSERT INTO `lang_definitions` VALUES (179323, 284, 34, 'उपयोगकर्ता का नाम जोड़ें');
INSERT INTO `lang_definitions` VALUES (179324, 285, 34, 'उपयोगकर्ता को समूह में जोड़ें');
INSERT INTO `lang_definitions` VALUES (179325, 287, 34, 'जोड़ें / संपादित करें eRx');
INSERT INTO `lang_definitions` VALUES (179326, 289, 34, 'रोगी लेनदेन जोड़ें/संपादित करें');
INSERT INTO `lang_definitions` VALUES (179327, 290, 34, 'जोड़ा गया');
INSERT INTO `lang_definitions` VALUES (179328, 293, 34, 'जनसांख्यिकी जोड़ना अधिकृत नहीं है');
INSERT INTO `lang_definitions` VALUES (179329, 295, 34, 'एडिसन Syndrom');
INSERT INTO `lang_definitions` VALUES (179330, 296, 34, 'एडिसन सिंड्रोम');
INSERT INTO `lang_definitions` VALUES (179331, 297, 34, 'अतिरिक्त विशेषताओं');
INSERT INTO `lang_definitions` VALUES (179332, 300, 34, 'अतिरिक्त निदान:');
INSERT INTO `lang_definitions` VALUES (179333, 305, 34, 'अतिरिक्त इतिहास');
INSERT INTO `lang_definitions` VALUES (179334, 306, 34, 'अतिरिक्त इतिहास टिप्पणी');
INSERT INTO `lang_definitions` VALUES (179335, 307, 34, 'अतिरिक्त जानकारी');
INSERT INTO `lang_definitions` VALUES (179336, 310, 34, 'अतिरिक्त लैब्स');
INSERT INTO `lang_definitions` VALUES (179337, 311, 34, 'अतिरिक्त टिप्पणी');
INSERT INTO `lang_definitions` VALUES (179338, 313, 34, 'इस परिणाम या सिफारिश के लिए अतिरिक्त टिप्पणी');
INSERT INTO `lang_definitions` VALUES (179339, 314, 34, 'अतिरिक्त टिप्पणी');
INSERT INTO `lang_definitions` VALUES (179340, 315, 34, 'अतिरिक्त टिप्पणी');
INSERT INTO `lang_definitions` VALUES (179341, 317, 34, 'अतिरिक्त एक्स - रे नोट्स:');
INSERT INTO `lang_definitions` VALUES (179342, 318, 34, 'Additionally, the corresponding US Snomed Extension Package can be imported separately after installing the International (English version) Snomed Release');
INSERT INTO `lang_definitions` VALUES (179343, 320, 34, 'केवल जोड़ें');
INSERT INTO `lang_definitions` VALUES (179344, 322, 34, 'पता पुस्तिका');
INSERT INTO `lang_definitions` VALUES (179345, 323, 34, 'पता पुस्तिका');
INSERT INTO `lang_definitions` VALUES (179346, 324, 34, 'पता');
INSERT INTO `lang_definitions` VALUES (179347, 327, 34, 'पता पुस्तिका');
INSERT INTO `lang_definitions` VALUES (179348, 328, 34, 'इस प्रक्रिया कर रही कंपनी के लिए पता पुस्तिका प्रवेश');
INSERT INTO `lang_definitions` VALUES (179349, 329, 34, 'वितरक के लिए पता पुस्तिका प्रवेश');
INSERT INTO `lang_definitions` VALUES (179350, 330, 34, 'विक्रेता के लिए पता पुस्तिका प्रवेश');
INSERT INTO `lang_definitions` VALUES (179351, 331, 34, 'पता पुस्तिका प्रकार');
INSERT INTO `lang_definitions` VALUES (179352, 339, 34, 'पता 1');
INSERT INTO `lang_definitions` VALUES (179353, 340, 34, 'पता 2');
INSERT INTO `lang_definitions` VALUES (179354, 342, 34, 'पाने वाला');
INSERT INTO `lang_definitions` VALUES (179355, 345, 34, 'समायोजन');
INSERT INTO `lang_definitions` VALUES (179356, 346, 34, 'समायोजन राशि');
INSERT INTO `lang_definitions` VALUES (179357, 347, 34, 'समायोजित करें');
INSERT INTO `lang_definitions` VALUES (179358, 348, 34, 'समायोजन');
INSERT INTO `lang_definitions` VALUES (179359, 349, 34, 'समायोजन राशि');
INSERT INTO `lang_definitions` VALUES (179360, 350, 34, 'समायोजन कारण');
INSERT INTO `lang_definitions` VALUES (179361, 352, 34, 'कोड के लिए समायोजन मूल्य');
INSERT INTO `lang_definitions` VALUES (179362, 353, 34, 'समायोजन');
INSERT INTO `lang_definitions` VALUES (179363, 354, 34, 'प्रशासक समायोजित');
INSERT INTO `lang_definitions` VALUES (179364, 355, 34, 'प्रशासन');
INSERT INTO `lang_definitions` VALUES (179365, 356, 34, 'प्रशासनिक ईमेल एड्रेस');
INSERT INTO `lang_definitions` VALUES (179366, 357, 34, 'के माध्यम प्रशासन');
INSERT INTO `lang_definitions` VALUES (179367, 359, 34, 'प्रशासित');
INSERT INTO `lang_definitions` VALUES (179368, 360, 34, 'द्वारा प्रशासित');
INSERT INTO `lang_definitions` VALUES (179369, 362, 34, 'प्रशासित स्थल का');
INSERT INTO `lang_definitions` VALUES (179370, 363, 34, 'प्रशासन');
INSERT INTO `lang_definitions` VALUES (179371, 365, 34, 'प्रशासन साइट');
INSERT INTO `lang_definitions` VALUES (179372, 366, 34, 'प्रशासक');
INSERT INTO `lang_definitions` VALUES (179373, 367, 34, 'प्रशासक कुछ भी कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (179374, 368, 34, 'तिथि एडमिट');
INSERT INTO `lang_definitions` VALUES (179375, 371, 34, 'वयस्क वजन जांच और अनुवर्ती');
INSERT INTO `lang_definitions` VALUES (179376, 372, 34, 'वयस्क वजन जांच और अनुवर्ती (CQM)');
INSERT INTO `lang_definitions` VALUES (179377, 373, 34, 'अग्रिम निर्देशक');
INSERT INTO `lang_definitions` VALUES (179378, 374, 34, 'अग्रिम निर्देशों के');
INSERT INTO `lang_definitions` VALUES (179379, 375, 34, 'अग्रिम निर्देशों की चेतावनी');
INSERT INTO `lang_definitions` VALUES (179380, 377, 34, 'उन्नत');
INSERT INTO `lang_definitions` VALUES (179381, 380, 34, 'परामर्श');
INSERT INTO `lang_definitions` VALUES (179382, 382, 34, 'सामान्य को प्रभावित');
INSERT INTO `lang_definitions` VALUES (179383, 386, 34, 'घंटे कॉल के बाद');
INSERT INTO `lang_definitions` VALUES (179384, 387, 34, 'After migration from the old password mechanisms where passwords are stored in the users table without salt is complete, this flag should be set to false so that only authentication by the new method is possible');
INSERT INTO `lang_definitions` VALUES (179385, 388, 34, 'After performing above configurations, import the admin client certificate to the browser and restart Apache server (empty password).');
INSERT INTO `lang_definitions` VALUES (179386, 390, 34, 'पीडीऍफ़ सेव करने के बाद, ऐरर चेक करने के लिये view logs को क्लिक करे');
INSERT INTO `lang_definitions` VALUES (179387, 393, 34, 'टेक्स्ट सेव करने के बाद, ऐरर चेक करने के लिये [View Log] को क्लिक करे');
INSERT INTO `lang_definitions` VALUES (179388, 396, 34, 'अपने बैच सहेजने के बाद, त्रुटियों की जाँच करने के लिए [View Log] क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (179389, 399, 34, 'जानकारी सही ढंग से प्रवेश करने के बाद, Save बटन क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (179390, 404, 34, 'देखभाल के बाद योजना');
INSERT INTO `lang_definitions` VALUES (179391, 406, 34, 'पुन');
INSERT INTO `lang_definitions` VALUES (179392, 407, 34, 'उम्र');
INSERT INTO `lang_definitions` VALUES (179393, 409, 34, 'के द्वारा उम्र');
INSERT INTO `lang_definitions` VALUES (179394, 410, 34, 'आयु श्रेणी');
INSERT INTO `lang_definitions` VALUES (179395, 411, 34, 'उम्र डेटा सीमा से बाहर है.');
INSERT INTO `lang_definitions` VALUES (179396, 412, 34, 'उम्र प्रदर्शन स्वरूप');
INSERT INTO `lang_definitions` VALUES (179397, 413, 34, 'से उम्र के लिए आयु स्वरूप मान्य नहीं है');
INSERT INTO `lang_definitions` VALUES (179398, 414, 34, 'तक की उम्र के लिए आयु स्वरूप मान्य नहीं है');
INSERT INTO `lang_definitions` VALUES (179399, 415, 34, 'से उम्र');
INSERT INTO `lang_definitions` VALUES (179400, 416, 34, 'प्रदर्शन स्वरूप परिवर्तन के लिए वर्ष में आयु');
INSERT INTO `lang_definitions` VALUES (179401, 417, 34, 'आयु अधिकतम');
INSERT INTO `lang_definitions` VALUES (179402, 418, 34, 'उम्र मिनट');
INSERT INTO `lang_definitions` VALUES (179403, 419, 34, 'आयु सीमा');
INSERT INTO `lang_definitions` VALUES (179404, 421, 34, 'उम्र के कॉलम:');
INSERT INTO `lang_definitions` VALUES (179405, 423, 34, 'अल्बानियन');
INSERT INTO `lang_definitions` VALUES (179406, 424, 34, 'शराब');
INSERT INTO `lang_definitions` VALUES (179407, 425, 34, 'शराब का सेवन');
INSERT INTO `lang_definitions` VALUES (179408, 428, 34, 'चेतावनी गणना');
INSERT INTO `lang_definitions` VALUES (179409, 435, 34, 'चेतावनियाँ');
INSERT INTO `lang_definitions` VALUES (179410, 439, 34, 'ALEUT');
INSERT INTO `lang_definitions` VALUES (179411, 440, 34, 'सब');
INSERT INTO `lang_definitions` VALUES (179412, 441, 34, 'समस्त');
INSERT INTO `lang_definitions` VALUES (179413, 443, 34, 'सभी (Collated स्वरूप ए)');
INSERT INTO `lang_definitions` VALUES (179414, 444, 34, 'सभी (Collated स्वरूप बी)');
INSERT INTO `lang_definitions` VALUES (179415, 445, 34, 'सभी (संचयी)');
INSERT INTO `lang_definitions` VALUES (179416, 448, 34, 'सभी श्रेणियाँ');
INSERT INTO `lang_definitions` VALUES (179417, 450, 34, 'सभी संहिताएं');
INSERT INTO `lang_definitions` VALUES (179418, 453, 34, 'सारे दिन');
INSERT INTO `lang_definitions` VALUES (179419, 454, 34, 'सारे दिन का इवेंट');
INSERT INTO `lang_definitions` VALUES (179420, 455, 34, 'सभी जनसांख्यिकी क्षेत्रों,खोज और दोहराव की जांच के साथ');
INSERT INTO `lang_definitions` VALUES (179421, 457, 34, 'सारी सुविधाओं');
INSERT INTO `lang_definitions` VALUES (179422, 458, 34, 'सभी चोट लगने की घटनाएं / समस्याएँ / मुद्दे');
INSERT INTO `lang_definitions` VALUES (179423, 459, 34, 'सारी भाषाओ की अनुमति है');
INSERT INTO `lang_definitions` VALUES (179424, 462, 34, 'पहला नाम का हिस्सा या पूरा');
INSERT INTO `lang_definitions` VALUES (179425, 463, 34, 'अंतिम नाम का हिस्सा या पूरा');
INSERT INTO `lang_definitions` VALUES (179426, 464, 34, 'संगठन नाम का हिस्सा या पूरा');
INSERT INTO `lang_definitions` VALUES (179427, 468, 34, 'सारे उत्पादों');
INSERT INTO `lang_definitions` VALUES (179428, 469, 34, 'सारे providers');
INSERT INTO `lang_definitions` VALUES (179429, 470, 34, 'सब की समीक्षा की और सब नकारात्मक:');
INSERT INTO `lang_definitions` VALUES (179430, 475, 34, 'सारे विषयों');
INSERT INTO `lang_definitions` VALUES (179431, 478, 34, 'सारे उपयोगकर्ताओं');
INSERT INTO `lang_definitions` VALUES (179432, 479, 34, 'एलर्जी');
INSERT INTO `lang_definitions` VALUES (179433, 481, 34, 'एलर्जी');
INSERT INTO `lang_definitions` VALUES (179434, 484, 34, 'एलर्जी:');
INSERT INTO `lang_definitions` VALUES (179435, 485, 34, 'एलर्जी');
INSERT INTO `lang_definitions` VALUES (179436, 486, 34, 'एलर्जी आयात सफलतापूर्वक पूरा');
INSERT INTO `lang_definitions` VALUES (179437, 487, 34, 'एलर्जी समस्या सूची');
INSERT INTO `lang_definitions` VALUES (179438, 488, 34, 'एलर्जी रिएक्शन');
INSERT INTO `lang_definitions` VALUES (179439, 491, 34, 'आबंटित करें');
INSERT INTO `lang_definitions` VALUES (179440, 492, 34, 'अनुमति दें');
INSERT INTO `lang_definitions` VALUES (179441, 494, 34, 'लॉग इन पर मेनू पर विकल्प के रूप में सभी उपलब्ध भाषाओं की अनुमति दें.');
INSERT INTO `lang_definitions` VALUES (179442, 496, 34, 'प्रक्रियाओं या शुल्क नहीं बल्कि निदान युक्त दावों के निर्माण की अनुमति दें. अधिकांश क्लीनिक यह नहीं चाहता.');
INSERT INTO `lang_definitions` VALUES (179443, 497, 34, 'भाषा डीबगिंग की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (179444, 500, 34, 'ईमेल की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (179445, 501, 34, 'ईमेल संदेशों को अनुमति दें?');
INSERT INTO `lang_definitions` VALUES (179446, 502, 34, 'ईमेल की अनुमति दें?');
INSERT INTO `lang_definitions` VALUES (179447, 503, 34, 'दावा मुठभेड़ की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (179448, 506, 34, 'स्वास्थ्य सूचना एक्सचेंज की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (179449, 508, 34, 'टीकाकरण की जानकारी साझा करने की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (179450, 509, 34, 'प्रतिरक्षण रजिस्ट्री उपयोग की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (179451, 512, 34, 'मेल संदेश की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (179452, 533, 34, 'रोगी पोर्टल की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (179453, 541, 34, 'एसएमएस की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (179454, 542, 34, 'एसएमएस (पाठ संदेश) की अनुमति दें?');
INSERT INTO `lang_definitions` VALUES (179455, 544, 34, 'प्रस्तुत घटनाओं तुरन्त सक्रिय किए जाने की अनुमति दें?');
INSERT INTO `lang_definitions` VALUES (179456, 545, 34, 'टेलीफोन संदेशों को अनुमति दें?');
INSERT INTO `lang_definitions` VALUES (179457, 547, 34, 'उपयोगकर्ताओं को वैश्विक घटनाक्रम प्रकाशित करने की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (179458, 548, 34, 'उपयोगकर्ताओं को व्यक्तिगत कैलेंडर को प्रकाशित करने की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (179459, 554, 34, 'वॉयस संदेश की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (179460, 555, 34, 'अनुमति दे दी');
INSERT INTO `lang_definitions` VALUES (179461, 556, 34, 'अनुमति दी भाषाएँ');
INSERT INTO `lang_definitions` VALUES (179462, 558, 34, 'अनुमति दी (ग)');
INSERT INTO `lang_definitions` VALUES (179463, 566, 34, 'पहले से मौजूद है');
INSERT INTO `lang_definitions` VALUES (179464, 568, 34, 'पहले से ही मौजूद है.');
INSERT INTO `lang_definitions` VALUES (179465, 570, 34, 'पहले से ही इस्तेमाल किया, किसी अन्य पहचानकर्ता का चयन करें');
INSERT INTO `lang_definitions` VALUES (179466, 571, 34, 'पहले से ही इस्तेमाल किया, किसी अन्य शीर्षक का चयन करें');
INSERT INTO `lang_definitions` VALUES (179467, 573, 34, 'वैकल्पिक पता');
INSERT INTO `lang_definitions` VALUES (179468, 577, 34, 'बदलना');
INSERT INTO `lang_definitions` VALUES (179469, 584, 34, 'Alternatively, you may use the search page to upload an electronic remittance (X12 835) file that you have obtained from your payer or clearinghouse. You can do this by clicking the Browse button and selecting the file to upload, and then clicking Search to perform the upload and display the corresponding invoices. In this case the other parameters mentioned above do not apply and will be ignored. Uploading saves the file but does not yet process its contents -- that is done separately as described below.');
INSERT INTO `lang_definitions` VALUES (179470, 586, 34, 'पूर्वाह्न');
INSERT INTO `lang_definitions` VALUES (179471, 587, 34, 'पूर्वाह्न कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (179472, 592, 34, 'एएमसी');
INSERT INTO `lang_definitions` VALUES (179473, 593, 34, 'एएमसी ट्रैकिंग');
INSERT INTO `lang_definitions` VALUES (179474, 600, 34, 'मौजूदा नोट में संशोधन');
INSERT INTO `lang_definitions` VALUES (179475, 610, 34, 'अमेरिकी भारतीय');
INSERT INTO `lang_definitions` VALUES (179476, 611, 34, 'अमेरिकी भारतीय या अलास्का मूल निवासी');
INSERT INTO `lang_definitions` VALUES (179477, 613, 34, 'अम्हरी (भाषा)');
INSERT INTO `lang_definitions` VALUES (179478, 614, 34, 'राशि');
INSERT INTO `lang_definitions` VALUES (179479, 615, 34, 'प्रशासित राशि');
INSERT INTO `lang_definitions` VALUES (179480, 617, 34, 'राशि');
INSERT INTO `lang_definitions` VALUES (179481, 620, 34, 'बकाया राशि');
INSERT INTO `lang_definitions` VALUES (179482, 621, 34, 'इश जांच कि राशि');
INSERT INTO `lang_definitions` VALUES (179483, 622, 34, 'प्रदाय राशि');
INSERT INTO `lang_definitions` VALUES (179484, 623, 34, 'राशि:');
INSERT INTO `lang_definitions` VALUES (179485, 626, 34, 'राशि बिल किया');
INSERT INTO `lang_definitions` VALUES (179486, 630, 34, 'बाद में शुरू की तारीख से एक समापन दिनांक, दोहराया घटनाओं के लिए आवश्यक है!');
INSERT INTO `lang_definitions` VALUES (179487, 632, 34, 'OpenEMR वेब डायरेक्टरी ट्री डंपिंग समय एक त्रुटि हुई');
INSERT INTO `lang_definitions` VALUES (179488, 633, 34, 'PhpGACL वेब डायरेक्टरी ट्री डंपिंग समय एक त्रुटि हुई');
INSERT INTO `lang_definitions` VALUES (179489, 634, 34, 'SQL लेजर वेब डायरेक्टरी ट्री डंपिंग समय एक त्रुटि हुई');
INSERT INTO `lang_definitions` VALUES (179490, 638, 34, 'एक अधूरा GCAC मुद्दा बनाया और जोड़ा गया है. किसी को बाद में इसे पूरा करने की आवश्यकता होगी.');
INSERT INTO `lang_definitions` VALUES (179491, 644, 34, 'एक अनपेक्षित त्रुटि हुई है.');
INSERT INTO `lang_definitions` VALUES (179492, 646, 34, 'एक अपरकेस अक्षर');
INSERT INTO `lang_definitions` VALUES (179493, 648, 34, 'और');
INSERT INTO `lang_definitions` VALUES (179494, 649, 34, 'और');
INSERT INTO `lang_definitions` VALUES (179495, 650, 34, 'और');
INSERT INTO `lang_definitions` VALUES (179496, 651, 34, 'और');
INSERT INTO `lang_definitions` VALUES (179497, 652, 34, 'और सभी अधीनस्थ डेटा? इस क्रिया को लॉग इन किया जाएगा');
INSERT INTO `lang_definitions` VALUES (179498, 653, 34, 'और संशोधक');
INSERT INTO `lang_definitions` VALUES (179499, 654, 34, 'और संसाधित.');
INSERT INTO `lang_definitions` VALUES (179500, 656, 34, 'और Apache सर्वर को पुनरारंभ करें.');
INSERT INTO `lang_definitions` VALUES (179501, 657, 34, 'और कारण है');
INSERT INTO `lang_definitions` VALUES (179502, 659, 34, 'रक्ताल्पता');
INSERT INTO `lang_definitions` VALUES (179503, 660, 34, 'टखना');
INSERT INTO `lang_definitions` VALUES (179504, 661, 34, 'टखने + एड़ी');
INSERT INTO `lang_definitions` VALUES (179505, 662, 34, 'टखने मूल्यांकन प्रपत्र');
INSERT INTO `lang_definitions` VALUES (179506, 663, 34, 'टखने की समस्याएं');
INSERT INTO `lang_definitions` VALUES (179507, 664, 34, 'अचलताकारक Sondlilitis');
INSERT INTO `lang_definitions` VALUES (179508, 665, 34, 'अचलताकारक Spondlilitis');
INSERT INTO `lang_definitions` VALUES (179509, 666, 34, 'अरुचि');
INSERT INTO `lang_definitions` VALUES (179510, 667, 34, 'Another thing you can do in the posting window is request secondary billing. If you select this checkbox before saving, then the original claim will be re-opened and queued on the Billing page, and will be processed during the next billing run.');
INSERT INTO `lang_definitions` VALUES (179511, 671, 34, 'पूर्व');
INSERT INTO `lang_definitions` VALUES (179512, 676, 34, 'गुदा nl, नहीं मलाशय कोमलता / जन');
INSERT INTO `lang_definitions` VALUES (179513, 677, 34, 'चिंता');
INSERT INTO `lang_definitions` VALUES (179514, 679, 34, 'कोई भी');
INSERT INTO `lang_definitions` VALUES (179515, 682, 34, 'कोई भी श्रेणी');
INSERT INTO `lang_definitions` VALUES (179516, 688, 34, 'वांछित कोड या उसके वर्णन के किसी भी भाग');
INSERT INTO `lang_definitions` VALUES (179517, 689, 34, 'वांछित विशेषता के किसी भी भाग');
INSERT INTO `lang_definitions` VALUES (179518, 690, 34, 'दवा आईडी या नशीली दवाओं के नाम का कोई भी हिस्सा');
INSERT INTO `lang_definitions` VALUES (179519, 691, 34, 'प्रतिरक्षण आईडी या टीकाकरण के नाम का कोई भी हिस्सा');
INSERT INTO `lang_definitions` VALUES (179520, 692, 34, 'रोगी नाम का कोई भी हिस्सा, या  \"पिछले, पहले \", या  \"XY \"');
INSERT INTO `lang_definitions` VALUES (179521, 693, 34, 'कोई भी अन्य प्रासंगिक जानकारी');
INSERT INTO `lang_definitions` VALUES (179522, 699, 34, 'एसएमएस गेटवे के लिए API का चाबी.');
INSERT INTO `lang_definitions` VALUES (179523, 703, 34, 'श्वासरोध');
INSERT INTO `lang_definitions` VALUES (179524, 710, 34, 'उपस्थिति');
INSERT INTO `lang_definitions` VALUES (179525, 711, 34, 'सूरत:');
INSERT INTO `lang_definitions` VALUES (179526, 714, 34, 'इस नोट को जोड़ें');
INSERT INTO `lang_definitions` VALUES (179527, 716, 34, 'मौजूदा नोट को जोड़ें');
INSERT INTO `lang_definitions` VALUES (179528, 717, 34, 'इस नोट को जोड़ें');
INSERT INTO `lang_definitions` VALUES (179529, 718, 34, 'इस नोट को जोड़ें');
INSERT INTO `lang_definitions` VALUES (179530, 719, 34, 'उपांत्र - उच्छेदन');
INSERT INTO `lang_definitions` VALUES (179531, 721, 34, 'मरीजों को लागू');
INSERT INTO `lang_definitions` VALUES (179532, 722, 34, 'आवेदन');
INSERT INTO `lang_definitions` VALUES (179533, 723, 34, 'प्रवेश पृष्ठ और मुख्य विंडो शीर्षक के लिए आवेदन नाम.');
INSERT INTO `lang_definitions` VALUES (179534, 724, 34, 'आवेदन रिसीवर संहिता (GS03 - खाली ISA08 उपयोग किया जाएगा)');
INSERT INTO `lang_definitions` VALUES (179535, 725, 34, 'आवेदन प्रेषक संहिता (GS02)');
INSERT INTO `lang_definitions` VALUES (179536, 726, 34, 'आवेदन शीर्षक');
INSERT INTO `lang_definitions` VALUES (179537, 727, 34, 'नब्ज फार्म और ग्रोथ चार्ट पर लागू होता है');
INSERT INTO `lang_definitions` VALUES (179538, 728, 34, 'नब्ज फार्म पर लागू होता है');
INSERT INTO `lang_definitions` VALUES (179539, 729, 34, 'केवल इस और भविष्य की सभी घटनाओं के लिए, या सभी घटनाओं को वर्तमान घटना में परिवर्तन लागू करें?');
INSERT INTO `lang_definitions` VALUES (179540, 730, 34, 'प्रभावित क्षेत्र के लिए लागू');
INSERT INTO `lang_definitions` VALUES (179541, 731, 34, 'त्वचा के लिए लागू');
INSERT INTO `lang_definitions` VALUES (179542, 732, 34, 'लागू करना');
INSERT INTO `lang_definitions` VALUES (179543, 733, 34, 'साइट पर पैच लागू करना');
INSERT INTO `lang_definitions` VALUES (179544, 734, 34, 'नियुक्ति');
INSERT INTO `lang_definitions` VALUES (179545, 736, 34, 'नियुक्ति तिथि');
INSERT INTO `lang_definitions` VALUES (179546, 742, 34, 'नियुक्ति प्रदर्शन शैली');
INSERT INTO `lang_definitions` VALUES (179547, 744, 34, 'नियुक्ति अनुस्मारक नियम');
INSERT INTO `lang_definitions` VALUES (179548, 746, 34, 'नियुक्ति स्थिति');
INSERT INTO `lang_definitions` VALUES (179549, 747, 34, 'नियुक्ति स्थितियां');
INSERT INTO `lang_definitions` VALUES (179550, 748, 34, 'भीतर नियुक्ति');
INSERT INTO `lang_definitions` VALUES (179551, 749, 34, 'नियुक्ति / घटना का रंग');
INSERT INTO `lang_definitions` VALUES (179552, 750, 34, 'नियुक्ति');
INSERT INTO `lang_definitions` VALUES (179553, 751, 34, 'नियुक्ति (वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (179554, 752, 34, 'नियुक्ति (लिखने, wsome वैकल्पिक)');
INSERT INTO `lang_definitions` VALUES (179555, 758, 34, 'नियुक्ति और मुठभेड़ों');
INSERT INTO `lang_definitions` VALUES (179556, 760, 34, 'नियुक्ति रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (179557, 761, 34, 'नियुक्तियों मुठभेड़ों की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (179558, 764, 34, 'स्वीकृत करें');
INSERT INTO `lang_definitions` VALUES (179559, 767, 34, 'स्वीकृत किया');
INSERT INTO `lang_definitions` VALUES (179560, 768, 34, 'स्वीकृत किया घटनाक्रम प्रशासन');
INSERT INTO `lang_definitions` VALUES (179561, 774, 34, 'Appt-मुठभेड़');
INSERT INTO `lang_definitions` VALUES (179562, 776, 34, 'Appts');
INSERT INTO `lang_definitions` VALUES (179563, 779, 34, 'अप्रैल');
INSERT INTO `lang_definitions` VALUES (179564, 780, 34, 'अप्रैल');
INSERT INTO `lang_definitions` VALUES (179565, 782, 34, 'अरबी भाषा');
INSERT INTO `lang_definitions` VALUES (179566, 784, 34, 'संग्रह');
INSERT INTO `lang_definitions` VALUES (179567, 787, 34, 'क्या एसीएल समूह नामों का अनुवाद किया जाना है?');
INSERT INTO `lang_definitions` VALUES (179568, 788, 34, 'क्या नियुक्ति श्रेणी नामों का अनुवाद किया जाना है?');
INSERT INTO `lang_definitions` VALUES (179569, 789, 34, 'क्या दस्तावेज़ श्रेणी नामों का अनुवाद किया जाना है?');
INSERT INTO `lang_definitions` VALUES (179570, 790, 34, 'क्या इस प्रकार के लिए शुल्क चार्ज किया जाता है ?');
INSERT INTO `lang_definitions` VALUES (179571, 793, 34, 'क्या रोगी नोट खिताब का अनुवाद किया जाना हैं ?');
INSERT INTO `lang_definitions` VALUES (179572, 794, 34, 'क्या कोड बाहरी एसक्यूएल टेबल (0 -NO, 1 - ICD10 , 2 SNOMED ( RF1 ) , 3 SNOMED ( RF2 ) ) में संग्रहीत कर रहे हैं?');
INSERT INTO `lang_definitions` VALUES (179573, 795, 34, 'क्या आप इस यात्रा के लिए एक नया GCAC मुद्दे को पूरा करने के लिए तैयार हैं?');
INSERT INTO `lang_definitions` VALUES (179574, 797, 34, 'क्या आप आज के लिए पोस्ट करने के लिए सहमत है?');
INSERT INTO `lang_definitions` VALUES (179575, 798, 34, 'क्या आप इन घटनाओं को मंजूरी देना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (179576, 801, 34, 'क्या आप पूरी तरह से इस फार्म को दूर करना चाहते हैं ?');
INSERT INTO `lang_definitions` VALUES (179577, 804, 34, 'क्या आप इस खुलासे को हटाना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (179578, 805, 34, 'क्या आप इस घटना को हटाना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (179579, 806, 34, 'क्या आप डेटाबेस से इस आइटम को हटाना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (179580, 808, 34, 'क्या आप इस नोट को हटाना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (179581, 810, 34, 'क्या आप इन घटनाओं को संपादित करना चाहते हैं ?');
INSERT INTO `lang_definitions` VALUES (179582, 811, 34, 'क्या आप इन घटनाओं को छिपाने चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (179583, 814, 34, 'क्या आप इन घटनाओं को देखने चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (179584, 815, 34, 'क्या आप पूरे नाम समूह को नष्ट करना चाहते हैं');
INSERT INTO `lang_definitions` VALUES (179585, 816, 34, 'क्या आप पूरी सूची को हटाना चाहते हैं');
INSERT INTO `lang_definitions` VALUES (179586, 817, 34, 'क्या आप क्षेत्र को नष्ट करना चाहते हैं');
INSERT INTO `lang_definitions` VALUES (179587, 818, 34, 'क्या आप चयनित क्षेत्रों को नष्ट करना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (179588, 819, 34, 'यदि आप इन कार्यों को जारी रखना चाहते है?');
INSERT INTO `lang_definitions` VALUES (179589, 820, 34, 'क्षेत्र निर्दिष्ट नहीं');
INSERT INTO `lang_definitions` VALUES (179590, 821, 34, 'बांह');
INSERT INTO `lang_definitions` VALUES (179591, 822, 34, 'आर्मीनियाई');
INSERT INTO `lang_definitions` VALUES (179592, 829, 34, 'arrythmia');
INSERT INTO `lang_definitions` VALUES (179593, 830, 34, 'गठिया');
INSERT INTO `lang_definitions` VALUES (179594, 831, 34, 'गठिया / DEGEN संयुक्त diseas');
INSERT INTO `lang_definitions` VALUES (179595, 832, 34, 'गठिया / DEGEN संयुक्त रोग');
INSERT INTO `lang_definitions` VALUES (179596, 836, 34, 'जैसा');
INSERT INTO `lang_definitions` VALUES (179597, 838, 34, 'के रूप में');
INSERT INTO `lang_definitions` VALUES (179598, 845, 34, 'एशियाई');
INSERT INTO `lang_definitions` VALUES (179599, 848, 34, 'मूल्यांकन');
INSERT INTO `lang_definitions` VALUES (179600, 853, 34, 'को सौंपा');
INSERT INTO `lang_definitions` VALUES (179601, 854, 34, 'सहायक');
INSERT INTO `lang_definitions` VALUES (179602, 861, 34, 'दमा');
INSERT INTO `lang_definitions` VALUES (179603, 862, 34, 'में');
INSERT INTO `lang_definitions` VALUES (179604, 863, 34, 'आप सभी का चयन करें तो कम से कम एक खोज पैरामीटर जरूरी है.');
INSERT INTO `lang_definitions` VALUES (179605, 866, 34, 'Navicular में');
INSERT INTO `lang_definitions` VALUES (179606, 867, 34, ': Navicular में');
INSERT INTO `lang_definitions` VALUES (179607, 868, 34, 'एथलेटिक टीम');
INSERT INTO `lang_definitions` VALUES (179608, 869, 34, 'एथलेटिक टीम');
INSERT INTO `lang_definitions` VALUES (179609, 870, 34, 'एथलेटिक/चोट');
INSERT INTO `lang_definitions` VALUES (179610, 871, 34, 'Atna ऑडिट सीए प्रमाणपत्र');
INSERT INTO `lang_definitions` VALUES (179611, 872, 34, 'Atna ऑडिट मेजबान');
INSERT INTO `lang_definitions` VALUES (179612, 873, 34, 'Atna ऑडिट स्थानीय प्रमाण पत्र');
INSERT INTO `lang_definitions` VALUES (179613, 874, 34, 'Atna ऑडिट बंदरगाह');
INSERT INTO `lang_definitions` VALUES (179614, 877, 34, 'ध्यान');
INSERT INTO `lang_definitions` VALUES (179615, 879, 34, 'ध्यान');
INSERT INTO `lang_definitions` VALUES (179616, 883, 34, 'ऑडिट सीडीआर इंजन प्रश्न');
INSERT INTO `lang_definitions` VALUES (179617, 890, 34, 'ऑडिट लॉगिंग बैकअप');
INSERT INTO `lang_definitions` VALUES (179618, 891, 34, 'ऑडिट विविध लॉगिंग');
INSERT INTO `lang_definitions` VALUES (179619, 892, 34, 'ऑडिट लॉगिंग आदेश');
INSERT INTO `lang_definitions` VALUES (179620, 893, 34, 'ऑडिट लॉगिंग रोगी रिकॉर्ड');
INSERT INTO `lang_definitions` VALUES (179621, 894, 34, 'ऑडिट लॉगिंग निर्धारण');
INSERT INTO `lang_definitions` VALUES (179622, 895, 34, 'ऑडिट लॉगिंग सुरक्षा प्रशासन');
INSERT INTO `lang_definitions` VALUES (179623, 896, 34, 'ऑडिट लॉगिंग चुनिए प्रश्न');
INSERT INTO `lang_definitions` VALUES (179624, 898, 34, 'अगस्त');
INSERT INTO `lang_definitions` VALUES (179625, 899, 34, 'अगस्त');
INSERT INTO `lang_definitions` VALUES (179626, 901, 34, 'प्रमाणीकरण');
INSERT INTO `lang_definitions` VALUES (179627, 902, 34, 'प्रमाणन / नोट्स');
INSERT INTO `lang_definitions` VALUES (179628, 922, 34, 'प्राधिकरण समूह');
INSERT INTO `lang_definitions` VALUES (179629, 923, 34, 'प्राधिकरण स्थिति');
INSERT INTO `lang_definitions` VALUES (179630, 924, 34, 'प्राधिकरण');
INSERT INTO `lang_definitions` VALUES (179631, 925, 34, 'अधिकार देना');
INSERT INTO `lang_definitions` VALUES (179632, 926, 34, 'अधिकृत करें - किसी भी मुठभेड़ों');
INSERT INTO `lang_definitions` VALUES (179633, 928, 34, 'अधिकृत - मेरे मुठभेड़ों');
INSERT INTO `lang_definitions` VALUES (179634, 933, 34, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (179635, 934, 34, 'अधिकृत');
INSERT INTO `lang_definitions` VALUES (179636, 936, 34, 'केवल अधिकृत');
INSERT INTO `lang_definitions` VALUES (179637, 941, 34, 'स्वचालित भेजें');
INSERT INTO `lang_definitions` VALUES (179638, 944, 34, 'नई मुठभेड़ों स्वचालित बनाएँ');
INSERT INTO `lang_definitions` VALUES (179639, 945, 34, 'स्वचालित जनित');
INSERT INTO `lang_definitions` VALUES (179640, 947, 34, 'स्वचालित उपाय गणना (एएमसी)');
INSERT INTO `lang_definitions` VALUES (179641, 952, 34, 'स्वचालित उपाय गणना (एएमसी) ट्रैकिंग');
INSERT INTO `lang_definitions` VALUES (179642, 953, 34, 'स्वचालित उपाय (एएमसी)');
INSERT INTO `lang_definitions` VALUES (179643, 955, 34, 'स्वचालित');
INSERT INTO `lang_definitions` VALUES (179644, 959, 34, 'स्वचालित रूप से एक नया मुठभेड़ बनाना जब नियुक्ति स्थिति \"@\" (आ गया). सेट किया जाता है.');
INSERT INTO `lang_definitions` VALUES (179645, 962, 34, 'मोटर वाहन चिकित्सा');
INSERT INTO `lang_definitions` VALUES (179646, 964, 34, 'स्वतः सहेजा');
INSERT INTO `lang_definitions` VALUES (179647, 967, 34, 'उपलब्ध श्रेणियों');
INSERT INTO `lang_definitions` VALUES (179648, 971, 34, 'उपलब्ध टाइम्स');
INSERT INTO `lang_definitions` VALUES (179649, 976, 34, 'औसत मासिक');
INSERT INTO `lang_definitions` VALUES (179650, 980, 34, 'अलगाव / अलगाव फ्रैक्चर');
INSERT INTO `lang_definitions` VALUES (179651, 981, 34, 'अलगाव पार्श्व malleolus');
INSERT INTO `lang_definitions` VALUES (179652, 982, 34, 'अलगाव औसत दर्जे malleolus');
INSERT INTO `lang_definitions` VALUES (179653, 983, 34, 'जागरूकता आधारित');
INSERT INTO `lang_definitions` VALUES (179654, 985, 34, 'कांख - संबंधी');
INSERT INTO `lang_definitions` VALUES (179655, 992, 34, 'दिन में दो बार');
INSERT INTO `lang_definitions` VALUES (179656, 993, 34, 'वापस जाएँ');
INSERT INTO `lang_definitions` VALUES (179657, 994, 34, 'वापस जाएँ');
INSERT INTO `lang_definitions` VALUES (179658, 995, 34, 'वापस जाएँ आठ दौरा');
INSERT INTO `lang_definitions` VALUES (179659, 996, 34, 'वापस जाएँ ग्यारह दौरा');
INSERT INTO `lang_definitions` VALUES (179660, 997, 34, 'वापस जाएँ पांच दौरा');
INSERT INTO `lang_definitions` VALUES (179661, 998, 34, 'वापस जाएँ चार दौरों');
INSERT INTO `lang_definitions` VALUES (179662, 999, 34, 'वापस जाएँ नौ दौरा');
INSERT INTO `lang_definitions` VALUES (179663, 1000, 34, 'वापस जाएँ से एक यात्रा');
INSERT INTO `lang_definitions` VALUES (179664, 1001, 34, 'पीठ दर्द');
INSERT INTO `lang_definitions` VALUES (179665, 1002, 34, 'पीठ की समस्याएं');
INSERT INTO `lang_definitions` VALUES (179666, 1003, 34, 'वापस जाएँ सात दौरा');
INSERT INTO `lang_definitions` VALUES (179667, 1004, 34, 'वापस जाएँ छह दौरा');
INSERT INTO `lang_definitions` VALUES (179668, 1005, 34, 'सर्जरी पर वापस जाएँ');
INSERT INTO `lang_definitions` VALUES (179669, 1006, 34, 'वापस जाएँ दस दौरा');
INSERT INTO `lang_definitions` VALUES (179670, 1007, 34, 'वापस जाएँ तीन दौरों');
INSERT INTO `lang_definitions` VALUES (179671, 1008, 34, 'व्यवस्थापक पृष्ठ पर वापस');
INSERT INTO `lang_definitions` VALUES (179672, 1013, 34, 'मरीज जानकारी पर वापस');
INSERT INTO `lang_definitions` VALUES (179673, 1015, 34, 'उपयोगकर्ता पर वापस');
INSERT INTO `lang_definitions` VALUES (179674, 1016, 34, 'दृश्य पर वापस');
INSERT INTO `lang_definitions` VALUES (179675, 1017, 34, 'वापस जाएँ बारह दौरा');
INSERT INTO `lang_definitions` VALUES (179676, 1018, 34, 'वापस जाएँ दो यात्राओं');
INSERT INTO `lang_definitions` VALUES (179677, 1019, 34, 'पृष्ठभूमि सेवाएं');
INSERT INTO `lang_definitions` VALUES (179678, 1020, 34, 'बैकअप');
INSERT INTO `lang_definitions` VALUES (179679, 1022, 34, 'बैकअप फ़ाइल बना दिया गया है. अब डाउनलोड भेज देंगे.');
INSERT INTO `lang_definitions` VALUES (179680, 1024, 34, 'सफलतापूर्वक में लिया बैकअप');
INSERT INTO `lang_definitions` VALUES (179681, 1025, 34, 'बुरा चेक');
INSERT INTO `lang_definitions` VALUES (179682, 1026, 34, 'डूबत कर्ज');
INSERT INTO `lang_definitions` VALUES (179683, 1027, 34, 'बहासा इंडोनेशिया');
INSERT INTO `lang_definitions` VALUES (179684, 1028, 34, 'शेष');
INSERT INTO `lang_definitions` VALUES (179685, 1031, 34, 'शेष');
INSERT INTO `lang_definitions` VALUES (179686, 1032, 34, 'शेष');
INSERT INTO `lang_definitions` VALUES (179687, 1033, 34, 'शेष राशि');
INSERT INTO `lang_definitions` VALUES (179688, 1034, 34, 'शेष रकम');
INSERT INTO `lang_definitions` VALUES (179689, 1038, 34, 'बैंक ड्राफ्ट');
INSERT INTO `lang_definitions` VALUES (179690, 1042, 34, 'पांचवीं के बेस (5) Metarsal');
INSERT INTO `lang_definitions` VALUES (179691, 1043, 34, 'पांचवें (5) Metarsal का आधार:');
INSERT INTO `lang_definitions` VALUES (179692, 1050, 34, 'बैच दावा');
INSERT INTO `lang_definitions` VALUES (179693, 1051, 34, 'बैच संचार उपकरण');
INSERT INTO `lang_definitions` VALUES (179694, 1053, 34, 'बैच भुगतान एंट्री');
INSERT INTO `lang_definitions` VALUES (179695, 1054, 34, 'बैच भुगतान');
INSERT INTO `lang_definitions` VALUES (179696, 1055, 34, 'बैच संसाधन शुरू किया, इसमें कुछ समय लग सकता है.');
INSERT INTO `lang_definitions` VALUES (179697, 1056, 34, 'बैच परिणाम');
INSERT INTO `lang_definitions` VALUES (179698, 1057, 34, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (179699, 1063, 34, 'क्योंकि वह आईडी मौजूद नहीं है');
INSERT INTO `lang_definitions` VALUES (179700, 1072, 34, 'प्रारंभ करना');
INSERT INTO `lang_definitions` VALUES (179701, 1074, 34, 'प्रारंभ तिथि');
INSERT INTO `lang_definitions` VALUES (179702, 1077, 34, 'सेवा शुरुआत की तारीख yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (179703, 1078, 34, 'दिन के घंटे की शुरुआत कैलेंडर की घटनाओं के लिए');
INSERT INTO `lang_definitions` VALUES (179704, 1082, 34, 'डकार');
INSERT INTO `lang_definitions` VALUES (179705, 1086, 34, 'बंगाली');
INSERT INTO `lang_definitions` VALUES (179706, 1089, 34, 'के बीच');
INSERT INTO `lang_definitions` VALUES (179707, 1095, 34, 'द्विपक्षीय');
INSERT INTO `lang_definitions` VALUES (179708, 1096, 34, 'द्विपक्षीय:');
INSERT INTO `lang_definitions` VALUES (179709, 1099, 34, 'बिल की तारीख:');
INSERT INTO `lang_definitions` VALUES (179710, 1101, 34, 'बिल / लीजिए');
INSERT INTO `lang_definitions` VALUES (179711, 1102, 34, 'बिल भेजा');
INSERT INTO `lang_definitions` VALUES (179712, 1104, 34, 'बिलिंग');
INSERT INTO `lang_definitions` VALUES (179713, 1105, 34, 'बिलिंग (वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (179714, 1109, 34, 'बिलिंग ध्यान दें');
INSERT INTO `lang_definitions` VALUES (179715, 1111, 34, 'निवेदित सेवा के लिए बिलिंग कोड');
INSERT INTO `lang_definitions` VALUES (179716, 1112, 34, 'बिलिंग कोड');
INSERT INTO `lang_definitions` VALUES (179717, 1113, 34, 'बिलिंग डाटा');
INSERT INTO `lang_definitions` VALUES (179718, 1114, 34, 'बिलिंग विभाग');
INSERT INTO `lang_definitions` VALUES (179719, 1115, 34, 'बिलिंग सुविधा');
INSERT INTO `lang_definitions` VALUES (179720, 1117, 34, 'बिलिंग जानकारी');
INSERT INTO `lang_definitions` VALUES (179721, 1118, 34, 'बिलिंग स्थान');
INSERT INTO `lang_definitions` VALUES (179722, 1125, 34, 'बिलिंग प्रबंधक');
INSERT INTO `lang_definitions` VALUES (179723, 1126, 34, 'बिलिंग नोट');
INSERT INTO `lang_definitions` VALUES (179724, 1127, 34, 'के लिए बिलिंग नोट');
INSERT INTO `lang_definitions` VALUES (179725, 1128, 34, 'बिलिंग नोट:');
INSERT INTO `lang_definitions` VALUES (179726, 1130, 34, 'बिलिंग कतार परिणाम:');
INSERT INTO `lang_definitions` VALUES (179727, 1131, 34, 'बिलिंग की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (179728, 1132, 34, 'बिलिंग स्थिति');
INSERT INTO `lang_definitions` VALUES (179729, 1133, 34, 'बिलिंग स्थिति = unbilled');
INSERT INTO `lang_definitions` VALUES (179730, 1134, 34, 'के लिए बिल');
INSERT INTO `lang_definitions` VALUES (179731, 1138, 34, 'बायोप्सी');
INSERT INTO `lang_definitions` VALUES (179732, 1140, 34, 'जन्म तिथि');
INSERT INTO `lang_definitions` VALUES (179733, 1141, 34, 'जन्म - 24 महीने');
INSERT INTO `lang_definitions` VALUES (179734, 1144, 34, 'काला');
INSERT INTO `lang_definitions` VALUES (179735, 1147, 34, 'ब्लैक लंग');
INSERT INTO `lang_definitions` VALUES (179736, 1148, 34, 'काले या अफ्रीकी अमेरिकी');
INSERT INTO `lang_definitions` VALUES (179737, 1149, 34, 'मूत्राशय कैंसर');
INSERT INTO `lang_definitions` VALUES (179738, 1150, 34, 'मूत्राशय में संक्रमण');
INSERT INTO `lang_definitions` VALUES (179739, 1152, 34, 'खाली फार्म');
INSERT INTO `lang_definitions` VALUES (179740, 1153, 34, 'रक्त स्राव समस्याएं');
INSERT INTO `lang_definitions` VALUES (179741, 1154, 34, 'ब्लाइंड स्पॉट');
INSERT INTO `lang_definitions` VALUES (179742, 1156, 34, 'सूजन');
INSERT INTO `lang_definitions` VALUES (179743, 1158, 34, 'अवरोधित');
INSERT INTO `lang_definitions` VALUES (179744, 1159, 34, 'खून');
INSERT INTO `lang_definitions` VALUES (179745, 1160, 34, 'रक्तचाप');
INSERT INTO `lang_definitions` VALUES (179746, 1161, 34, 'रक्तचाप');
INSERT INTO `lang_definitions` VALUES (179747, 1162, 34, 'खूनी नाक');
INSERT INTO `lang_definitions` VALUES (179748, 1163, 34, 'ब्लू क्रॉस ब्लू शील्ड');
INSERT INTO `lang_definitions` VALUES (179749, 1165, 34, 'Blue lines in this report are informational. Black lines show previously existing information. Green lines show changes that were successfully applied. Red lines indicate errors, or changes that were not applied; these must be processed manually. Currently denied claims and payment reversals are not handled automatically and so will appear in red.');
INSERT INTO `lang_definitions` VALUES (179750, 1166, 34, 'धुंधला विजन');
INSERT INTO `lang_definitions` VALUES (179751, 1167, 34, 'बीएमआई');
INSERT INTO `lang_definitions` VALUES (179752, 1168, 34, 'बीएमआई स्थिति');
INSERT INTO `lang_definitions` VALUES (179753, 1170, 34, 'शारीरिक क्षेत्र');
INSERT INTO `lang_definitions` VALUES (179754, 1171, 34, 'शरीर साइट');
INSERT INTO `lang_definitions` VALUES (179755, 1172, 34, 'शरीर साइट, यदि लागू हो');
INSERT INTO `lang_definitions` VALUES (179756, 1173, 34, 'अस्थि कोमलता:');
INSERT INTO `lang_definitions` VALUES (179757, 1174, 34, 'अस्थि कोमलता: औसत दर्जे Malleolus');
INSERT INTO `lang_definitions` VALUES (179758, 1175, 34, 'बूलियन');
INSERT INTO `lang_definitions` VALUES (179759, 1177, 34, 'bot');
INSERT INTO `lang_definitions` VALUES (179760, 1179, 34, 'दोनों कान');
INSERT INTO `lang_definitions` VALUES (179761, 1180, 34, 'दोनों कानों');
INSERT INTO `lang_definitions` VALUES (179762, 1183, 34, 'तल');
INSERT INTO `lang_definitions` VALUES (179763, 1187, 34, 'बॉक्स 10 ए रोजगार संबंधित');
INSERT INTO `lang_definitions` VALUES (179764, 1189, 34, 'बॉक्स 10 बी वाहन दुर्घटना');
INSERT INTO `lang_definitions` VALUES (179765, 1191, 34, 'बॉक्स 10 सी. अन्य दुर्घटना');
INSERT INTO `lang_definitions` VALUES (179766, 1205, 34, 'बॉक्स 15. एक या समान बीमारी की तिथि (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (179767, 1211, 34, 'बॉक्स 16. (Yyyy-mm-dd) से काम करने में असमर्थ दिनांक:');
INSERT INTO `lang_definitions` VALUES (179768, 1215, 34, 'बॉक्स 16. (Yyyy-mm-dd) तक काम करने में असमर्थ दिनांक:');
INSERT INTO `lang_definitions` VALUES (179769, 1227, 34, 'बॉक्स 18. से अस्पताल में भर्ती होने की तारीख (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (179770, 1231, 34, 'बॉक्स 18. तक अस्पताल में भर्ती तिथि (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (179771, 1235, 34, 'बॉक्स 20. बाहर लैब का उपयोग किया है?');
INSERT INTO `lang_definitions` VALUES (179772, 1239, 34, 'बॉक्स 22. मेडिकेड resubmission संहिता (आईसीडी -9)');
INSERT INTO `lang_definitions` VALUES (179773, 1243, 34, 'बॉक्स 23. पूर्व प्राधिकरण नंबर');
INSERT INTO `lang_definitions` VALUES (179774, 1244, 34, 'रक्तचाप');
INSERT INTO `lang_definitions` VALUES (179775, 1245, 34, 'रक्तचाप डायस्टोलिक');
INSERT INTO `lang_definitions` VALUES (179776, 1246, 34, 'रक्तचाप सिस्टोलिक');
INSERT INTO `lang_definitions` VALUES (179777, 1248, 34, 'बीपीडी');
INSERT INTO `lang_definitions` VALUES (179778, 1252, 34, 'बीपीएस');
INSERT INTO `lang_definitions` VALUES (179779, 1254, 34, 'ब्राजील पुर्तगाली');
INSERT INTO `lang_definitions` VALUES (179780, 1255, 34, 'स्तन');
INSERT INTO `lang_definitions` VALUES (179781, 1256, 34, 'स्तन बायोप्सी');
INSERT INTO `lang_definitions` VALUES (179782, 1257, 34, 'स्तन निर्वहन');
INSERT INTO `lang_definitions` VALUES (179783, 1258, 34, 'स्तन रोग');
INSERT INTO `lang_definitions` VALUES (179784, 1259, 34, 'स्तन परीक्षा');
INSERT INTO `lang_definitions` VALUES (179785, 1260, 34, 'स्तन मास');
INSERT INTO `lang_definitions` VALUES (179786, 1262, 34, 'सांस ध्वनि:');
INSERT INTO `lang_definitions` VALUES (179787, 1265, 34, 'टूटी हड्डी');
INSERT INTO `lang_definitions` VALUES (179788, 1267, 34, 'ब्रोंकाइटिस पर्चा');
INSERT INTO `lang_definitions` VALUES (179789, 1270, 34, 'ब्राउज़ करें');
INSERT INTO `lang_definitions` VALUES (179790, 1271, 34, 'रिकार्ड के लिए ब्राउज़ करें');
INSERT INTO `lang_definitions` VALUES (179791, 1272, 34, 'रक्तगुल्म/चोट');
INSERT INTO `lang_definitions` VALUES (179792, 1276, 34, 'राइट उभार:');
INSERT INTO `lang_definitions` VALUES (179793, 1278, 34, 'पेशाब के साथ जलन');
INSERT INTO `lang_definitions` VALUES (179794, 1279, 34, 'पेशाब के साथ जलन');
INSERT INTO `lang_definitions` VALUES (179795, 1282, 34, 'व्यस्त');
INSERT INTO `lang_definitions` VALUES (179796, 1283, 34, 'लेकिन अभी तक क्रियान्वित नहीं.');
INSERT INTO `lang_definitions` VALUES (179797, 1284, 34, 'कूल्हे');
INSERT INTO `lang_definitions` VALUES (179798, 1285, 34, 'कूल्हे + एस.आई.');
INSERT INTO `lang_definitions` VALUES (179799, 1286, 34, 'द्वारा');
INSERT INTO `lang_definitions` VALUES (179800, 1287, 34, 'द्वारा');
INSERT INTO `lang_definitions` VALUES (179801, 1293, 34, 'मुंह से');
INSERT INTO `lang_definitions` VALUES (179802, 1295, 34, 'स्रोत/द्वारा');
INSERT INTO `lang_definitions` VALUES (179803, 1296, 34, 'द्वारा:');
INSERT INTO `lang_definitions` VALUES (179804, 1299, 34, 'सी');
INSERT INTO `lang_definitions` VALUES (179805, 1301, 34, 'सीए प्रमाणपत्र आरएफसी 5425 टीएलएस syslog सर्वर की पुष्टि करने के लिए');
INSERT INTO `lang_definitions` VALUES (179806, 1302, 34, 'Cache लाइफटाइम (सेकंड में)');
INSERT INTO `lang_definitions` VALUES (179807, 1303, 34, 'Cache टेम्पलेट उत्पादन?');
INSERT INTO `lang_definitions` VALUES (179808, 1305, 34, 'कैफीन की खपत');
INSERT INTO `lang_definitions` VALUES (179809, 1306, 34, 'कैलेंडर');
INSERT INTO `lang_definitions` VALUES (179810, 1307, 34, 'कैलेंडर समाप्त घंटे');
INSERT INTO `lang_definitions` VALUES (179811, 1308, 34, 'कैलेंडर अंतराल');
INSERT INTO `lang_definitions` VALUES (179812, 1309, 34, 'कैलेंडर स्क्रीन');
INSERT INTO `lang_definitions` VALUES (179813, 1310, 34, 'कैलेंडर सेटिंग्स');
INSERT INTO `lang_definitions` VALUES (179814, 1312, 34, 'कैलेंडर शुरू घंटे');
INSERT INTO `lang_definitions` VALUES (179815, 1313, 34, 'कैलेंडर UI');
INSERT INTO `lang_definitions` VALUES (179816, 1314, 34, 'कैलेंडर देखें');
INSERT INTO `lang_definitions` VALUES (179817, 1317, 34, '(AddForm) को बुलाओ यहाँ जाता है <br>');
INSERT INTO `lang_definitions` VALUES (179818, 1321, 34, 'कैलोरी');
INSERT INTO `lang_definitions` VALUES (179819, 1322, 34, 'कम्बोडियन');
INSERT INTO `lang_definitions` VALUES (179820, 1323, 34, 'CAMOS');
INSERT INTO `lang_definitions` VALUES (179821, 1329, 34, 'रद्द करें');
INSERT INTO `lang_definitions` VALUES (179822, 1332, 34, 'परिवर्तनों को निरस्त करें');
INSERT INTO `lang_definitions` VALUES (179823, 1333, 34, 'रद्द');
INSERT INTO `lang_definitions` VALUES (179824, 1335, 34, 'कैंसर');
INSERT INTO `lang_definitions` VALUES (179825, 1336, 34, 'कैंसर स्क्रीनिंग: पेट के कैंसर स्क्रीनिंग');
INSERT INTO `lang_definitions` VALUES (179826, 1337, 34, 'कैंसर स्क्रीनिंग: मैमोग्राम');
INSERT INTO `lang_definitions` VALUES (179827, 1338, 34, 'कैंसर स्क्रीनिंग: पैप स्मियर');
INSERT INTO `lang_definitions` VALUES (179828, 1339, 34, 'कैंसर स्क्रीनिंग: प्रोस्टेट कैंसर स्क्रीनिंग');
INSERT INTO `lang_definitions` VALUES (179829, 1340, 34, 'प्रविष्टि नहीं जोड़ सकते हैं क्योंकि यह पहले से ही मौजूद है');
INSERT INTO `lang_definitions` VALUES (179830, 1341, 34, 'प्रविष्टि जोड़ / अपडेट नहीं कर सकते क्योंकि एक डुप्लीकेट पहले से मौजूद है');
INSERT INTO `lang_definitions` VALUES (179831, 1342, 34, 'संग्रहीत नहीं किया जा सकता नजरअंदाज कर दिया.');
INSERT INTO `lang_definitions` VALUES (179832, 1343, 34, 'जेपीईजी में परिवर्तित नहीं किया जा सकता . शायद ImageMagick स्थापित नहीं है ?');
INSERT INTO `lang_definitions` VALUES (179833, 1344, 34, 'हटाया नहीं जा सकता , नजरअंदाज कर दिया.');
INSERT INTO `lang_definitions` VALUES (179834, 1345, 34, 'इनलाइन प्रदर्शित नहीं किया जा सकता है क्योंकि इस तरह के प्रकार ब्राउज़र द्वारा समर्थित नहीं है .');
INSERT INTO `lang_definitions` VALUES (179835, 1346, 34, 'इनलाइन प्रदर्शित नहीं किया जा सकता है क्योंकि इस तरह के प्रकार ब्राउज़र द्वारा समर्थित नहीं है .');
INSERT INTO `lang_definitions` VALUES (179836, 1347, 34, 'इनलाइन प्रदर्शित नहीं किया जा सकता है क्योंकि इस तरह के प्रकार ब्राउज़र द्वारा समर्थित नहीं है .');
INSERT INTO `lang_definitions` VALUES (179837, 1349, 34, 'नहीं बना सकता');
INSERT INTO `lang_definitions` VALUES (179838, 1354, 34, 'नहीं मिल सकता');
INSERT INTO `lang_definitions` VALUES (179839, 1355, 34, 'एक गंतव्य फ़ाइल नाम नहीं खोज सके');
INSERT INTO `lang_definitions` VALUES (179840, 1358, 34, 'एसक्यूएल खाताबही ग्राहक आईडी से मरीज ​​को नहीं खोज सके');
INSERT INTO `lang_definitions` VALUES (179841, 1359, 34, 'में उपसंहार दस्तावेज़ संदर्भ नहीं मिल सकता है');
INSERT INTO `lang_definitions` VALUES (179842, 1360, 34, 'एसक्यूएल खाताबही कर्मचारी से प्रदाता नहीं खोज सके');
INSERT INTO `lang_definitions` VALUES (179843, 1361, 34, 'Payments. संशोधित नहीं कर सकते Undistributed नकारात्मक है .');
INSERT INTO `lang_definitions` VALUES (179844, 1363, 34, 'नहीं खोल सकता');
INSERT INTO `lang_definitions` VALUES (179845, 1364, 34, 'Insurance पोस्ट नहीं कर सकते.चयनित रोगी पैसे भर रहे है.');
INSERT INTO `lang_definitions` VALUES (179846, 1365, 34, 'चयनित Patient के लिए पोस्ट नहीं कर सकते.बीमा कंपनी पैसे भर रहे है.');
INSERT INTO `lang_definitions` VALUES (179847, 1366, 34, 'Payments पोस्ट नहीं कर सकते Undistributed नकारात्मक है .');
INSERT INTO `lang_definitions` VALUES (179848, 1367, 34, 'पढ़ा नहीं जा सकता');
INSERT INTO `lang_definitions` VALUES (179849, 1368, 34, 'निर्देशिका पढ़ा नहीं जा सकता');
INSERT INTO `lang_definitions` VALUES (179850, 1369, 34, 'अद्यतन नहीं कर सकता क्योंकि आप मौजूदा प्रविष्टि संपादन नहीं कर रहे हैं !');
INSERT INTO `lang_definitions` VALUES (179851, 1370, 34, 'कैपिटलाइज़');
INSERT INTO `lang_definitions` VALUES (179852, 1372, 34, 'कैप्सूल');
INSERT INTO `lang_definitions` VALUES (179853, 1373, 34, 'कार्ड');
INSERT INTO `lang_definitions` VALUES (179854, 1382, 34, 'कार्डियक कैथेटेराइज़ेशन');
INSERT INTO `lang_definitions` VALUES (179855, 1383, 34, 'कार्डिएक इको');
INSERT INTO `lang_definitions` VALUES (179856, 1384, 34, 'कार्डियोवास्कुलर');
INSERT INTO `lang_definitions` VALUES (179857, 1396, 34, 'उपास्थि / उपास्थिपरक / डिस्क क्षति');
INSERT INTO `lang_definitions` VALUES (179858, 1397, 34, 'उपास्थि चोट');
INSERT INTO `lang_definitions` VALUES (179859, 1398, 34, 'Cartoid स्पंदन nl, पेडल दालों nl');
INSERT INTO `lang_definitions` VALUES (179860, 1400, 34, 'नकद');
INSERT INTO `lang_definitions` VALUES (179861, 1401, 34, 'नकद');
INSERT INTO `lang_definitions` VALUES (179862, 1402, 34, 'नकद प्राप्तियां');
INSERT INTO `lang_definitions` VALUES (179863, 1403, 34, 'प्रदाता द्वारा नकद प्राप्तियां');
INSERT INTO `lang_definitions` VALUES (179864, 1406, 34, 'मोतियाबिंद सर्जरी');
INSERT INTO `lang_definitions` VALUES (179865, 1407, 34, 'मोतियाबिंद');
INSERT INTO `lang_definitions` VALUES (179866, 1408, 34, 'श्रेणियाँ');
INSERT INTO `lang_definitions` VALUES (179867, 1409, 34, 'के लिए श्रेणियाँ');
INSERT INTO `lang_definitions` VALUES (179868, 1410, 34, 'श्रेणी');
INSERT INTO `lang_definitions` VALUES (179869, 1411, 34, 'श्रेणी');
INSERT INTO `lang_definitions` VALUES (179870, 1412, 34, 'श्रेणी');
INSERT INTO `lang_definitions` VALUES (179871, 1416, 34, 'श्रेणी विवरण');
INSERT INTO `lang_definitions` VALUES (179872, 1417, 34, 'श्रेणी सीमाएं');
INSERT INTO `lang_definitions` VALUES (179873, 1418, 34, 'श्रेणी नाम');
INSERT INTO `lang_definitions` VALUES (179874, 1419, 34, 'श्रेणी नाम खाली है');
INSERT INTO `lang_definitions` VALUES (179875, 1420, 34, 'श्रेणी / शीर्षक');
INSERT INTO `lang_definitions` VALUES (179876, 1421, 34, 'कोकेशियान');
INSERT INTO `lang_definitions` VALUES (179877, 1422, 34, 'प्राप्तियों को मुठभेड़ / प्राथमिक प्रदाता की जानकारी प्रिंट करने के लिए मजबूर करता है');
INSERT INTO `lang_definitions` VALUES (179878, 1442, 34, 'सीडीआर');
INSERT INTO `lang_definitions` VALUES (179879, 1443, 34, 'सीडीआर प्रसंस्करण प्राथमिकता रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (179880, 1444, 34, 'मोबाइल फ़ोन');
INSERT INTO `lang_definitions` VALUES (179881, 1445, 34, 'मोबाइल फ़ोन');
INSERT INTO `lang_definitions` VALUES (179882, 1447, 34, 'सेल फोन नंबर');
INSERT INTO `lang_definitions` VALUES (179883, 1449, 34, 'केन्द्रीय प्रमाणन');
INSERT INTO `lang_definitions` VALUES (179884, 1451, 34, 'केन्द्रीय / दक्षिण अमेरिका');
INSERT INTO `lang_definitions` VALUES (179885, 1452, 34, 'प्रमाणपत्र प्राधिकार CRT फ़ाइल स्थान खाली नहीं हो सकता');
INSERT INTO `lang_definitions` VALUES (179886, 1453, 34, 'प्रमाणपत्र प्राधिकरण चाबी फ़ाइल स्थान खाली नहीं हो सकता');
INSERT INTO `lang_definitions` VALUES (179887, 1454, 34, 'आरएफसी 5425 टीएलएस syslog सर्वर को भेजने के लिए प्रमाण पत्र.');
INSERT INTO `lang_definitions` VALUES (179888, 1455, 34, 'प्रमाणपत्र प्रयोक्ता');
INSERT INTO `lang_definitions` VALUES (179889, 1456, 34, 'प्रमाण पत्र');
INSERT INTO `lang_definitions` VALUES (179890, 1458, 34, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (179891, 1459, 34, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (179892, 1460, 34, 'परिवर्तन');
INSERT INTO `lang_definitions` VALUES (179893, 1461, 34, 'परिवर्तन');
INSERT INTO `lang_definitions` VALUES (179894, 1462, 34, 'गतिविधि बदलें');
INSERT INTO `lang_definitions` VALUES (179895, 1466, 34, 'बदलें विफल रहा है! CouchDB कनेक्ट त्रुटि?');
INSERT INTO `lang_definitions` VALUES (179896, 1467, 34, 'दृष्टि में बदलें');
INSERT INTO `lang_definitions` VALUES (179897, 1468, 34, 'दृष्टि में बदलें');
INSERT INTO `lang_definitions` VALUES (179898, 1470, 34, 'पासवर्ड बदलें');
INSERT INTO `lang_definitions` VALUES (179899, 1475, 34, 'बदली गई');
INSERT INTO `lang_definitions` VALUES (179900, 1476, 34, 'बदल गया आंत्र');
INSERT INTO `lang_definitions` VALUES (179901, 1479, 34, 'दस्तावेज़ के लिए रोगी आईडी बदल रहा है');
INSERT INTO `lang_definitions` VALUES (179902, 1484, 34, 'विशेषताएँ');
INSERT INTO `lang_definitions` VALUES (179903, 1485, 34, 'वर्ण शेष');
INSERT INTO `lang_definitions` VALUES (179904, 1486, 34, 'प्रभार');
INSERT INTO `lang_definitions` VALUES (179905, 1487, 34, 'प्रभारी समायोजन');
INSERT INTO `lang_definitions` VALUES (179906, 1488, 34, 'Coded प्रभार');
INSERT INTO `lang_definitions` VALUES (179907, 1490, 34, 'प्रभार');
INSERT INTO `lang_definitions` VALUES (179908, 1491, 34, 'चार्ट');
INSERT INTO `lang_definitions` VALUES (179909, 1492, 34, 'चार्ट गतिविधि');
INSERT INTO `lang_definitions` VALUES (179910, 1493, 34, 'चार्ट Check-in/out गतिविधि रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (179911, 1495, 34, 'चार्ट आईडी');
INSERT INTO `lang_definitions` VALUES (179912, 1496, 34, 'चार्ट आईडी');
INSERT INTO `lang_definitions` VALUES (179913, 1498, 34, 'चार्ट स्थान गतिविधि');
INSERT INTO `lang_definitions` VALUES (179914, 1499, 34, 'चार्ट नोट');
INSERT INTO `lang_definitions` VALUES (179915, 1500, 34, 'चार्ट संख्या');
INSERT INTO `lang_definitions` VALUES (179916, 1502, 34, 'चार्ट संग्रहण स्थान');
INSERT INTO `lang_definitions` VALUES (179917, 1504, 34, 'चार्ट ट्रैकर');
INSERT INTO `lang_definitions` VALUES (179918, 1505, 34, 'चार्ट TRK');
INSERT INTO `lang_definitions` VALUES (179919, 1508, 34, 'चार्ट चेक आउट');
INSERT INTO `lang_definitions` VALUES (179920, 1509, 34, 'चार्ट आउट');
INSERT INTO `lang_definitions` VALUES (179921, 1513, 34, 'चेक');
INSERT INTO `lang_definitions` VALUES (179922, 1514, 34, 'चेक');
INSERT INTO `lang_definitions` VALUES (179923, 1515, 34, 'सभी की जाँच करें');
INSERT INTO `lang_definitions` VALUES (179924, 1517, 34, 'राशि की जांच करें');
INSERT INTO `lang_definitions` VALUES (179925, 1519, 34, 'तिथि की जांच करें');
INSERT INTO `lang_definitions` VALUES (179926, 1521, 34, 'कस्टम भाषा तालिका के साथ अनुवाद के मतभेद के लिए जाँच करें.');
INSERT INTO `lang_definitions` VALUES (179927, 1527, 34, 'जांच करें');
INSERT INTO `lang_definitions` VALUES (179928, 1528, 34, 'इनपुट डाटा की जांच करें');
INSERT INTO `lang_definitions` VALUES (179929, 1530, 34, 'लैब परिणाम की जाँच करें');
INSERT INTO `lang_definitions` VALUES (179930, 1531, 34, 'जाँच का निशान समीक्षा का संकेत है.');
INSERT INTO `lang_definitions` VALUES (179931, 1532, 34, 'चेक नंबर');
INSERT INTO `lang_definitions` VALUES (179932, 1533, 34, 'चेक नंबर');
INSERT INTO `lang_definitions` VALUES (179933, 1536, 34, 'चेक भुगतान');
INSERT INTO `lang_definitions` VALUES (179934, 1537, 34, 'यह एक एन्क्रिप्टेड फ़ाइल है तो बॉक्स चेक करें');
INSERT INTO `lang_definitions` VALUES (179935, 1541, 34, 'प्रदाताओं को डिफ़ॉल्ट सभी नियुक्तियों दिखाने के लिए और ना की सिर्फ अपने मत की, आप यह चेक करें.');
INSERT INTO `lang_definitions` VALUES (179936, 1543, 34, 'इस निदान से समस्या पैदा करने के लिए बॉक्स चेक करें');
INSERT INTO `lang_definitions` VALUES (179937, 1545, 34, 'चेक/EOB तिथि');
INSERT INTO `lang_definitions` VALUES (179938, 1547, 34, 'चेक/EOB नंबर');
INSERT INTO `lang_definitions` VALUES (179939, 1548, 34, 'चेक/संदर्भ संख्या');
INSERT INTO `lang_definitions` VALUES (179940, 1549, 34, 'चेक/संदर्भ संख्या');
INSERT INTO `lang_definitions` VALUES (179941, 1550, 34, 'चेकबॉक्स सूची');
INSERT INTO `lang_definitions` VALUES (179942, 1551, 34, 'चेकबॉक्स सूची');
INSERT INTO `lang_definitions` VALUES (179943, 1552, 34, 'चेकबॉक्स w / टेक्स्ट');
INSERT INTO `lang_definitions` VALUES (179944, 1553, 34, 'चेकबॉक्स w / टेक्स्ट');
INSERT INTO `lang_definitions` VALUES (179945, 1557, 34, 'जाँच की');
INSERT INTO `lang_definitions` VALUES (179946, 1559, 34, 'जाँच बॉक्स = हाँ, खाली = नहीं');
INSERT INTO `lang_definitions` VALUES (179947, 1568, 34, 'जांच');
INSERT INTO `lang_definitions` VALUES (179948, 1569, 34, 'checksum');
INSERT INTO `lang_definitions` VALUES (179949, 1570, 34, 'छाती');
INSERT INTO `lang_definitions` VALUES (179950, 1571, 34, 'छाती CTAB');
INSERT INTO `lang_definitions` VALUES (179951, 1572, 34, 'सीने में दर्द');
INSERT INTO `lang_definitions` VALUES (179952, 1573, 34, 'सीने में दर्द:');
INSERT INTO `lang_definitions` VALUES (179953, 1574, 34, 'सीने में दर्द');
INSERT INTO `lang_definitions` VALUES (179954, 1576, 34, 'Chg');
INSERT INTO `lang_definitions` VALUES (179955, 1578, 34, 'मुख्य शिकायत');
INSERT INTO `lang_definitions` VALUES (179956, 1581, 34, 'बच्चा');
INSERT INTO `lang_definitions` VALUES (179957, 1583, 34, 'बचपन प्रतिरक्षण स्थिति (CQM)');
INSERT INTO `lang_definitions` VALUES (179958, 1584, 34, 'ठंड लगना');
INSERT INTO `lang_definitions` VALUES (179959, 1585, 34, 'चीनी');
INSERT INTO `lang_definitions` VALUES (179960, 1586, 34, 'चीनी (सरलीकृत)');
INSERT INTO `lang_definitions` VALUES (179961, 1587, 34, 'चीनी (पारंपरिक)');
INSERT INTO `lang_definitions` VALUES (179962, 1589, 34, 'विकल्प');
INSERT INTO `lang_definitions` VALUES (179963, 1590, 34, 'ऑपरेशन द्वारा पित्ताशय को काट कर निकाल देना');
INSERT INTO `lang_definitions` VALUES (179964, 1592, 34, 'ऑपरेशन द्वारा पित्ताशय को काट कर निकाल देना');
INSERT INTO `lang_definitions` VALUES (179965, 1593, 34, 'चुनें');
INSERT INTO `lang_definitions` VALUES (179966, 1596, 34, 'एक अनुभाग चुनें और इसके भीतर एक आइटम क्लिक करें, तो दूसरे भाग में आप संबंधित वस्तुओं पर प्रकाश डाला देखेंगे, और आप रिश्ते जोड़ने के लिए और नष्ट करने के लिए अनुभाग में क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (179967, 1597, 34, 'मानदंड चुनें');
INSERT INTO `lang_definitions` VALUES (179968, 1602, 34, 'फ़ाइल चुनें');
INSERT INTO `lang_definitions` VALUES (179969, 1603, 34, 'सूची से चुनें');
INSERT INTO `lang_definitions` VALUES (179970, 1605, 34, 'सूची चुनें');
INSERT INTO `lang_definitions` VALUES (179971, 1611, 34, 'इस मुठभेड़ रिपोर्ट के लिए प्रिंट प्रारूप चुनें.');
INSERT INTO `lang_definitions` VALUES (179972, 1615, 34, 'क्रोनिक ब्रोन्काइटिस');
INSERT INTO `lang_definitions` VALUES (179973, 1616, 34, 'क्रोनिक जोड़ों का दर्द');
INSERT INTO `lang_definitions` VALUES (179974, 1617, 34, 'क्रोनिक किडनी रोग (सीकेडी)');
INSERT INTO `lang_definitions` VALUES (179975, 1620, 34, 'क्रोनिक synovitis / बहाव / जोड़ों के दर्द / गाउट');
INSERT INTO `lang_definitions` VALUES (179976, 1622, 34, 'आवर्तक / क्रोनिक');
INSERT INTO `lang_definitions` VALUES (179977, 1625, 34, 'यकृद्दाल्युदर');
INSERT INTO `lang_definitions` VALUES (179978, 1626, 34, 'यकृद्दाल्युदर');
INSERT INTO `lang_definitions` VALUES (179979, 1627, 34, 'शहर');
INSERT INTO `lang_definitions` VALUES (179980, 1629, 34, 'शहर का नाम');
INSERT INTO `lang_definitions` VALUES (179981, 1630, 34, 'शहर, राज्य');
INSERT INTO `lang_definitions` VALUES (179982, 1631, 34, 'शहर, राज्य ज़िप');
INSERT INTO `lang_definitions` VALUES (179983, 1633, 34, 'शहर / राज्य');
INSERT INTO `lang_definitions` VALUES (179984, 1634, 34, 'दावा');
INSERT INTO `lang_definitions` VALUES (179985, 1635, 34, 'दावा');
INSERT INTO `lang_definitions` VALUES (179986, 1637, 34, 'दावा स्थिति');
INSERT INTO `lang_definitions` VALUES (179987, 1638, 34, 'दावा परीक्षण पूरा कर लिया है');
INSERT INTO `lang_definitions` VALUES (179988, 1639, 34, 'दावा प्रकार');
INSERT INTO `lang_definitions` VALUES (179989, 1640, 34, 'दावा दाखिल करने के लिए उत्पन्न किया गया');
INSERT INTO `lang_definitions` VALUES (179990, 1641, 34, 'दावा दाखिल करने के लिए उत्पन्न किया गया');
INSERT INTO `lang_definitions` VALUES (179991, 1642, 34, 'दावा');
INSERT INTO `lang_definitions` VALUES (179992, 1645, 34, 'वर्गीकरण');
INSERT INTO `lang_definitions` VALUES (179993, 1646, 34, 'साफ़');
INSERT INTO `lang_definitions` VALUES (179994, 1649, 34, 'स्पष्ट सक्रिय रोगी');
INSERT INTO `lang_definitions` VALUES (179995, 1651, 34, 'सभी साफ़');
INSERT INTO `lang_definitions` VALUES (179996, 1654, 34, 'स्पष्ट HL7 के डाटा');
INSERT INTO `lang_definitions` VALUES (179997, 1655, 34, 'स्पष्ट औचित्य');
INSERT INTO `lang_definitions` VALUES (179998, 1659, 34, 'स्पष्ट समझदार cache');
INSERT INTO `lang_definitions` VALUES (179999, 1661, 34, 'क्लीयरिंग हाउस की जानकारी ईडीआई 270 बैच के निर्माण के लिए जरूरी है.');
INSERT INTO `lang_definitions` VALUES (180000, 1662, 34, 'CLIA संख्या');
INSERT INTO `lang_definitions` VALUES (180001, 1663, 34, 'क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180002, 1664, 34, 'Click \'export\' to export your Category, Subcategory, Item, Content data to a text file. Any resemblance of this file to an XML file is purely coincidental. The opening and closing tags must be on the same line, they must be lowercase with no spaces. To import, browse for a file and click \'import\'. If the data is completely different, it will merge with your existing data. If there are similar item names, The old one will be kept and the new one saved with a number added to the end.');
INSERT INTO `lang_definitions` VALUES (180003, 1667, 34, 'एक नई टिप्पणी जोड़ने के लिए ग्राफिक पर एक जगह क्लिक करें, इसे निकालने के लिए इसे फिर से क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180004, 1671, 34, 'ssl.zip फ़ाइल में प्रमाण पत्र डाउनलोड करने के लिए प्रमाणपत्र डाउनलोड क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180005, 1672, 34, 'अधिक जानकारी के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180006, 1673, 34, 'अधिक जानकारी के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180007, 1674, 34, 'आदेश सारांश के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180008, 1675, 34, 'परिणामों के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180009, 1678, 34, 'यहां क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180010, 1679, 34, 'एक नए मरीज ​​को जोड़ने के लिए यहां क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (180011, 1680, 34, 'नई चोट परिवर्तन की स्थिति जोड़ने के लिए और दैनिक गतिविधियों को संपादित करने के लिए यहाँ क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180012, 1682, 34, 'एक तिथि का चयन करने के लिए यहां क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180013, 1683, 34, 'एक तारीख और समय का चयन करने के लिए यहां क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180014, 1684, 34, 'एक शुरुआत की तारीख चुनने के लिए यहां क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180015, 1707, 34, 'खोज करने के लिए यहाँ क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180016, 1710, 34, 'प्राथमिकता, वर्ग और उपनाम सेटिंग को अपडेट करने के लिए यहां क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180017, 1714, 34, 'सभी को देखने के लिए यहां क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (180018, 1715, 34, 'दृश्य और ग्राफ के लिए यहां क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180019, 1717, 34, 'सभी नब्ज देखने और ग्राफ के लिए यहां क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (180020, 1718, 34, 'रोगी विवरण देखने के लिए यहां क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180021, 1719, 34, 'उन सब को देखने के लिए यहां क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (180022, 1720, 34, 'अधिक विवरण देखने / संपादित करने के लिए यहां क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180023, 1723, 34, 'निम्नलिखित तारीख से डेटाबेस रिलीज स्थापित करने के लिए स्थापित बटन पर क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180024, 1730, 34, 'इसे बढ़ाने के लिए किसी भी समय भागों पर क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180025, 1751, 34, 'रोगी फ़ाइल खोलने के लिए रोगी का नाम क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180026, 1753, 34, 'सभी परिणाम देखने के लिए ताज़ा बटन क्लिक करें. विशिष्ट परिणामों देखने के लिए ऊपर खोज मापदंड input करें.');
INSERT INTO `lang_definitions` VALUES (180027, 1777, 34, 'एक निदान जोड़ने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180028, 1779, 34, 'नए घटकों को जोड़ने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180029, 1780, 34, 'नए परामर्श जोड़ने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180030, 1785, 34, 'डाउनलोड करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180031, 1786, 34, 'संपादित करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180032, 1787, 34, 'विवरण को संपादित करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180033, 1788, 34, 'इस घटना को संपादित करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180034, 1790, 34, 'रिपोर्ट उत्पन्न करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180035, 1800, 34, 'मुद्रित करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180036, 1801, 34, 'नया(जोड़) लॉट प्राप्त करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180037, 1805, 34, 'चुनने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180038, 1806, 34, 'चुनने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180039, 1808, 34, 'इस प्रक्रिया के लिए एक उद्योग मानक कोड को चुनने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180040, 1811, 34, 'वैकल्पिक प्रक्रिया कोड को चुनने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180041, 1813, 34, 'CVX कोड का चयन करने या बदलने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180042, 1814, 34, 'निदान का चयन करने या बदलने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180043, 1815, 34, 'सेवा कोड का चयन करने या बदलने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180044, 1816, 34, 'रोगी को चुनने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180045, 1817, 34, 'संबंधित कोड को चुनने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180046, 1819, 34, 'अगर यह परिणाम असामान्य है तो सेवाएं प्रदर्शन करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180047, 1822, 34, 'वांछित प्रक्रिया को चुनने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180048, 1829, 34, 'सॉर्ट करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180049, 1831, 34, 'देखने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180050, 1833, 34, 'देखने या संपादित करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180051, 1834, 34, 'देखने या संपादित करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180052, 1836, 34, 'निम्नलिखित तारीख से डेटाबेस रिहाई नवीनीकृत करने के लिए अपग्रेड बटन क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180053, 1839, 34, 'क्लिक करें:');
INSERT INTO `lang_definitions` VALUES (180054, 1862, 34, 'क्लाइंट प्रमाणपत्र समाप्ति दिन');
INSERT INTO `lang_definitions` VALUES (180055, 1864, 34, 'क्लाइंट प्रमाणपत्र की मान्यता अवधि');
INSERT INTO `lang_definitions` VALUES (180056, 1865, 34, 'क्लाइंट प्रमाणपत्र वैधता एक वैध संख्या होनी चाहिए.');
INSERT INTO `lang_definitions` VALUES (180057, 1866, 34, 'ग्राहकों का कॉपी');
INSERT INTO `lang_definitions` VALUES (180058, 1869, 34, 'ग्राहकों का चिकित्सा के इतिहास सारांश');
INSERT INTO `lang_definitions` VALUES (180059, 1870, 34, 'ग्राहक का नाम');
INSERT INTO `lang_definitions` VALUES (180060, 1872, 34, 'हमारे ग्राहकों का नंबर');
INSERT INTO `lang_definitions` VALUES (180061, 1873, 34, 'ग्राहक प्रोफाइल - नए ग्राहकों को');
INSERT INTO `lang_definitions` VALUES (180062, 1874, 34, 'ग्राहक प्रोफाइल - अद्वितीय ग्राहक');
INSERT INTO `lang_definitions` VALUES (180063, 1878, 34, 'ग्राहक');
INSERT INTO `lang_definitions` VALUES (180064, 1879, 34, 'क्लिनिक');
INSERT INTO `lang_definitions` VALUES (180065, 1880, 34, 'क्लिनिक कॉपी');
INSERT INTO `lang_definitions` VALUES (180066, 1881, 34, 'क्लिनिक डेली रिकॉर्ड');
INSERT INTO `lang_definitions` VALUES (180067, 1882, 34, 'क्लिनिक आईडी');
INSERT INTO `lang_definitions` VALUES (180068, 1883, 34, 'नैदानिक');
INSERT INTO `lang_definitions` VALUES (180069, 1884, 34, 'क्लीनिकल निर्णय नियम चेतावनी प्रबंधक');
INSERT INTO `lang_definitions` VALUES (180070, 1886, 34, 'क्लीनिकल इतिहास');
INSERT INTO `lang_definitions` VALUES (180071, 1889, 34, 'क्लीनिकल योजनाएं');
INSERT INTO `lang_definitions` VALUES (180072, 1890, 34, 'क्लीनिकल गुणवत्ता उपाय (CQM)');
INSERT INTO `lang_definitions` VALUES (180073, 1893, 34, 'क्लीनिकल अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (180074, 1897, 34, 'क्लीनिकल रिपोर्टें');
INSERT INTO `lang_definitions` VALUES (180075, 1898, 34, 'क्लीनिकल नियम कार्रवाई श्रेणी');
INSERT INTO `lang_definitions` VALUES (180076, 1899, 34, 'क्लीनिकल नियम कार्रवाई आइटम');
INSERT INTO `lang_definitions` VALUES (180077, 1900, 34, 'क्लीनिकल नियम फ़िल्टर के तरीके');
INSERT INTO `lang_definitions` VALUES (180078, 1901, 34, 'क्लीनिकल नियम लक्षित तरीके');
INSERT INTO `lang_definitions` VALUES (180079, 1902, 34, 'क्लीनिकल नियम');
INSERT INTO `lang_definitions` VALUES (180080, 1903, 34, 'क्लीनिकल नियम उम्र अंतराल');
INSERT INTO `lang_definitions` VALUES (180081, 1904, 34, 'क्लीनिकल नियम तुलना');
INSERT INTO `lang_definitions` VALUES (180082, 1905, 34, 'क्लीनिकल नियम मुठभेड़ प्रकार');
INSERT INTO `lang_definitions` VALUES (180083, 1906, 34, 'क्लीनिकल नियम अनुस्मारक लंबित विकल्प');
INSERT INTO `lang_definitions` VALUES (180084, 1907, 34, 'क्लीनिकल नियम अनुस्मारक निष्क्रियता विकल्प');
INSERT INTO `lang_definitions` VALUES (180085, 1908, 34, 'क्लीनिकल नियम अनुस्मारक अंतराल');
INSERT INTO `lang_definitions` VALUES (180086, 1909, 34, 'क्लीनिकल नियम अनुस्मारक तरीके');
INSERT INTO `lang_definitions` VALUES (180087, 1910, 34, 'क्लीनिकल नियम लक्षित अंतराल');
INSERT INTO `lang_definitions` VALUES (180088, 1911, 34, 'क्लीनिकल लक्ष्य');
INSERT INTO `lang_definitions` VALUES (180089, 1912, 34, 'क्लीनिकल अवधि');
INSERT INTO `lang_definitions` VALUES (180090, 1913, 34, 'क्लीनिकल अवधि संहिता (ओं)');
INSERT INTO `lang_definitions` VALUES (180091, 1915, 34, 'चिकित्सकों के लिए');
INSERT INTO `lang_definitions` VALUES (180092, 1916, 34, 'क्लोन');
INSERT INTO `lang_definitions` VALUES (180093, 1917, 34, 'पिछले भेंट क्लोन करें');
INSERT INTO `lang_definitions` VALUES (180094, 1918, 34, 'बंद करें');
INSERT INTO `lang_definitions` VALUES (180095, 1925, 34, 'खिड़की बन्द कीजिये');
INSERT INTO `lang_definitions` VALUES (180096, 1927, 34, 'बंद');
INSERT INTO `lang_definitions` VALUES (180097, 1928, 34, 'से.मी.');
INSERT INTO `lang_definitions` VALUES (180098, 1931, 34, 'सीएमएस 1500 मार्जिन्स');
INSERT INTO `lang_definitions` VALUES (180099, 1940, 34, 'सीएमएस आईडी');
INSERT INTO `lang_definitions` VALUES (180100, 1955, 34, 'CN2 -12 बरकरार');
INSERT INTO `lang_definitions` VALUES (180101, 1958, 34, 'सह- पे');
INSERT INTO `lang_definitions` VALUES (180102, 1959, 34, 'सह- पे भुगतान किया');
INSERT INTO `lang_definitions` VALUES (180103, 1962, 34, 'सह- पे');
INSERT INTO `lang_definitions` VALUES (180104, 1964, 34, 'कोड');
INSERT INTO `lang_definitions` VALUES (180105, 1965, 34, 'कोड');
INSERT INTO `lang_definitions` VALUES (180106, 1967, 34, 'कोड खोजक');
INSERT INTO `lang_definitions` VALUES (180107, 1968, 34, 'कोड दो अक्षर लोअरकेस होना चाहिए');
INSERT INTO `lang_definitions` VALUES (180108, 1969, 34, 'मुद्रा संकेत करने के लिए कोड या प्रतीक');
INSERT INTO `lang_definitions` VALUES (180109, 1971, 34, 'कोड पाठ');
INSERT INTO `lang_definitions` VALUES (180110, 1973, 34, 'कोड प्रकार');
INSERT INTO `lang_definitions` VALUES (180111, 1976, 34, 'कोड प्रकार');
INSERT INTO `lang_definitions` VALUES (180112, 1977, 34, 'कोड्स');
INSERT INTO `lang_definitions` VALUES (180113, 1978, 34, 'कोडित किया');
INSERT INTO `lang_definitions` VALUES (180114, 1979, 34, 'कोड्स');
INSERT INTO `lang_definitions` VALUES (180115, 1981, 34, 'कोडिंग');
INSERT INTO `lang_definitions` VALUES (180116, 1983, 34, 'कोडिंग - किसी मुठभेड़ों (लिखने, wsome वैकल्पिक)');
INSERT INTO `lang_definitions` VALUES (180117, 1985, 34, 'कोडिंग - मेरे मुठभेड़ों (लिखने, wsome वैकल्पिक)');
INSERT INTO `lang_definitions` VALUES (180118, 1990, 34, 'कोडिंग अधिकृत नहीं');
INSERT INTO `lang_definitions` VALUES (180119, 1991, 34, 'कॉफ़ी');
INSERT INTO `lang_definitions` VALUES (180120, 1994, 34, 'सहबीमा');
INSERT INTO `lang_definitions` VALUES (180121, 1995, 34, 'Coll w / ओ');
INSERT INTO `lang_definitions` VALUES (180122, 1997, 34, 'संकुचित करें');
INSERT INTO `lang_definitions` VALUES (180123, 1998, 34, 'संकुचित करें');
INSERT INTO `lang_definitions` VALUES (180124, 1999, 34, 'सभी संकुचित करें');
INSERT INTO `lang_definitions` VALUES (180125, 2000, 34, 'सभी संकुचित करें');
INSERT INTO `lang_definitions` VALUES (180126, 2001, 34, 'सभी संकुचित करें');
INSERT INTO `lang_definitions` VALUES (180127, 2005, 34, 'संग्रह की तिथि');
INSERT INTO `lang_definitions` VALUES (180128, 2007, 34, 'संग्रह');
INSERT INTO `lang_definitions` VALUES (180129, 2008, 34, 'संग्रह रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (180130, 2009, 34, 'पेट के कैंसर');
INSERT INTO `lang_definitions` VALUES (180131, 2010, 34, 'पेट के कैंसर स्क्रीनिंग');
INSERT INTO `lang_definitions` VALUES (180132, 2011, 34, 'पेट के कैंसर सर्जरी');
INSERT INTO `lang_definitions` VALUES (180133, 2012, 34, 'बृहदांत्रदर्शन');
INSERT INTO `lang_definitions` VALUES (180134, 2013, 34, 'बृहदांत्रदर्शन');
INSERT INTO `lang_definitions` VALUES (180135, 2014, 34, 'रंग');
INSERT INTO `lang_definitions` VALUES (180136, 2020, 34, 'रंग: Abbr');
INSERT INTO `lang_definitions` VALUES (180137, 2021, 34, 'कॉलम');
INSERT INTO `lang_definitions` VALUES (180138, 2022, 34, 'कॉलम');
INSERT INTO `lang_definitions` VALUES (180139, 2024, 34, 'संयोजन लॉट');
INSERT INTO `lang_definitions` VALUES (180140, 2025, 34, 'अल्पविराम');
INSERT INTO `lang_definitions` VALUES (180141, 2027, 34, 'टिप्पणी');
INSERT INTO `lang_definitions` VALUES (180142, 2028, 34, 'टिप्पणियां');
INSERT INTO `lang_definitions` VALUES (180143, 2030, 34, 'यह परिणाम या सिफारिश के लिए टिप्पणियाँ');
INSERT INTO `lang_definitions` VALUES (180144, 2031, 34, 'वाणिज्यिक बीमा कंपनी');
INSERT INTO `lang_definitions` VALUES (180145, 2032, 34, 'परिवर्तन कमेटी');
INSERT INTO `lang_definitions` VALUES (180146, 2036, 34, 'संचार');
INSERT INTO `lang_definitions` VALUES (180147, 2039, 34, 'कंपनी');
INSERT INTO `lang_definitions` VALUES (180148, 2040, 34, 'कंपनी का नाम');
INSERT INTO `lang_definitions` VALUES (180149, 2041, 34, 'पूरा');
INSERT INTO `lang_definitions` VALUES (180150, 2043, 34, 'पूरा');
INSERT INTO `lang_definitions` VALUES (180151, 2046, 34, 'पूरे किए?');
INSERT INTO `lang_definitions` VALUES (180152, 2049, 34, 'सेवा प्रदाता द्वारा जटिलताओं');
INSERT INTO `lang_definitions` VALUES (180153, 2050, 34, 'गर्भपात की जटिलताओं');
INSERT INTO `lang_definitions` VALUES (180154, 2051, 34, 'अवयव');
INSERT INTO `lang_definitions` VALUES (180155, 2057, 34, 'कंप्यूटर एडेड मेडिकल आदेश सिस्टम');
INSERT INTO `lang_definitions` VALUES (180156, 2058, 34, 'निष्कर्ष');
INSERT INTO `lang_definitions` VALUES (180157, 2064, 34, 'विन्यास');
INSERT INTO `lang_definitions` VALUES (180158, 2065, 34, 'विन्यास निर्यात / आयात');
INSERT INTO `lang_definitions` VALUES (180159, 2067, 34, 'ग्राहक साइड का SSL प्रमाणपत्र का उपयोग करने के लिए अपाचे और OpenEMR विन्यस्त करें.');
INSERT INTO `lang_definitions` VALUES (180160, 2068, 34, 'ग्राहक साइड SSL प्रमाणपत्र का उपयोग करने के लिए अपाचे कॉन्फ़िगर करें.');
INSERT INTO `lang_definitions` VALUES (180161, 2069, 34, 'HTTPS का उपयोग करने के लिए अपाचे कॉन्फ़िगर करें.');
INSERT INTO `lang_definitions` VALUES (180162, 2070, 34, 'ग्राहक साइड SSL प्रमाणपत्र का उपयोग करने के लिए Openemr कॉन्फ़िगर करें.');
INSERT INTO `lang_definitions` VALUES (180163, 2079, 34, 'नई रोगी बनाने के लिए पुष्टि');
INSERT INTO `lang_definitions` VALUES (180164, 2081, 34, 'नए पासवर्ड की पुष्टि');
INSERT INTO `lang_definitions` VALUES (180165, 2083, 34, 'भुगतान की पुष्टि');
INSERT INTO `lang_definitions` VALUES (180166, 2092, 34, 'जन्मजात');
INSERT INTO `lang_definitions` VALUES (180167, 2094, 34, 'Conjuntiva, पुतली');
INSERT INTO `lang_definitions` VALUES (180168, 2097, 34, 'कनेक्टर्स');
INSERT INTO `lang_definitions` VALUES (180169, 2098, 34, 'स्थिर');
INSERT INTO `lang_definitions` VALUES (180170, 2100, 34, 'स्थिर नाम');
INSERT INTO `lang_definitions` VALUES (180171, 2101, 34, 'स्थिर नाम रिक्त है');
INSERT INTO `lang_definitions` VALUES (180172, 2102, 34, 'स्थिरांक');
INSERT INTO `lang_definitions` VALUES (180173, 2103, 34, 'कब्ज');
INSERT INTO `lang_definitions` VALUES (180174, 2104, 34, 'संवैधानिक');
INSERT INTO `lang_definitions` VALUES (180175, 2107, 34, 'परामर्श संक्षिप्त विवरण');
INSERT INTO `lang_definitions` VALUES (180176, 2109, 34, 'संपर्क');
INSERT INTO `lang_definitions` VALUES (180177, 2110, 34, 'ईमेल संपर्क');
INSERT INTO `lang_definitions` VALUES (180178, 2111, 34, 'ईमेल पता');
INSERT INTO `lang_definitions` VALUES (180179, 2112, 34, 'PhiMail प्रत्यक्ष संदेश सेवा की सदस्यता के लिए ईएमआर प्रत्यक्ष संपर्क करें');
INSERT INTO `lang_definitions` VALUES (180180, 2113, 34, 'संपर्क जानकारी');
INSERT INTO `lang_definitions` VALUES (180181, 2117, 34, 'सम्पर्क लेंस');
INSERT INTO `lang_definitions` VALUES (180182, 2118, 34, 'लैब विनिमय सेवा के लिए http://mi-squared.com मेडिकल इन्फोर्मेशन इंटीग्रेशन, LLC संपर्क करें.');
INSERT INTO `lang_definitions` VALUES (180183, 2119, 34, 'eRX सेवा सदस्यता लेने के लिए ZH हेल्थकेयर http://zhservices.com या http://mi-squared.com मेडिकल इन्फोर्मेशन इंटीग्रेशन, LLC संपर्क करें');
INSERT INTO `lang_definitions` VALUES (180184, 2122, 34, 'संपर्क नाम');
INSERT INTO `lang_definitions` VALUES (180185, 2125, 34, 'संपर्क व्यक्ति');
INSERT INTO `lang_definitions` VALUES (180186, 2127, 34, 'फोन नंबर संपर्क');
INSERT INTO `lang_definitions` VALUES (180187, 2129, 34, 'ERX सेवा सदस्यता लेने के लिए संपर्क ZMG, LLC (zmghealth@gmail.com)');
INSERT INTO `lang_definitions` VALUES (180188, 2131, 34, 'चार निम्नलिखित आइटम के कम से कम तीन होते हैं:');
INSERT INTO `lang_definitions` VALUES (180189, 2132, 34, 'कंटेनर समूह का नाम');
INSERT INTO `lang_definitions` VALUES (180190, 2133, 34, 'सामग्री');
INSERT INTO `lang_definitions` VALUES (180191, 2134, 34, 'सामग्री');
INSERT INTO `lang_definitions` VALUES (180192, 2136, 34, 'प्रसंग');
INSERT INTO `lang_definitions` VALUES (180193, 2137, 34, 'प्रसंग नाम खाली नहीं हो सकता');
INSERT INTO `lang_definitions` VALUES (180194, 2138, 34, 'जारी');
INSERT INTO `lang_definitions` VALUES (180195, 2142, 34, 'केयर दस्तावेज़ की निरंतरता (सीसीडी)');
INSERT INTO `lang_definitions` VALUES (180196, 2145, 34, 'केयर रिकार्ड की निरंतरता (सीसीआर)');
INSERT INTO `lang_definitions` VALUES (180197, 2146, 34, 'कॉन्ट्रा ग्राहकों');
INSERT INTO `lang_definitions` VALUES (180198, 2147, 34, 'कंट्रसेपशन');
INSERT INTO `lang_definitions` VALUES (180199, 2148, 34, 'गर्भनिरोध मुद्दे');
INSERT INTO `lang_definitions` VALUES (180200, 2149, 34, 'गर्भनिरोधक जटिलता (बताएं)');
INSERT INTO `lang_definitions` VALUES (180201, 2150, 34, 'गर्भनिरोधक विधि');
INSERT INTO `lang_definitions` VALUES (180202, 2151, 34, 'गर्भनिरोधक उत्पाद');
INSERT INTO `lang_definitions` VALUES (180203, 2152, 34, 'गर्भ निरोधक सेवाओं को पहले से शुरू');
INSERT INTO `lang_definitions` VALUES (180204, 2153, 34, 'निरोधकों प्रारंभ');
INSERT INTO `lang_definitions` VALUES (180205, 2158, 34, 'नियंत्रण आईडी');
INSERT INTO `lang_definitions` VALUES (180206, 2159, 34, 'नियंत्रण नंबर');
INSERT INTO `lang_definitions` VALUES (180207, 2168, 34, 'सह-पे');
INSERT INTO `lang_definitions` VALUES (180208, 2169, 34, 'सह-पे');
INSERT INTO `lang_definitions` VALUES (180209, 2170, 34, 'सह-पे');
INSERT INTO `lang_definitions` VALUES (180210, 2171, 34, 'सह-पे सकारात्मक नहीं');
INSERT INTO `lang_definitions` VALUES (180211, 2173, 34, 'सह-पे');
INSERT INTO `lang_definitions` VALUES (180212, 2174, 34, 'सीओपीडी');
INSERT INTO `lang_definitions` VALUES (180213, 2175, 34, 'रोगी चार्ट के लिए पृष्ठ कॉपी करें');
INSERT INTO `lang_definitions` VALUES (180214, 2177, 34, 'कॉपी मूल्यों');
INSERT INTO `lang_definitions` VALUES (180215, 2178, 34, 'डेटाबेस फाइल कॉपी कर रहा है. कुछ समय ले जाएगा ...');
INSERT INTO `lang_definitions` VALUES (180216, 2179, 34, 'कॉपीराइट सूचना');
INSERT INTO `lang_definitions` VALUES (180217, 2184, 34, 'कोरोनरी धमनी बाईपास');
INSERT INTO `lang_definitions` VALUES (180218, 2185, 34, 'कोरोनरी धमनी बाइपास ग्राफ़्ट (CABG)');
INSERT INTO `lang_definitions` VALUES (180219, 2186, 34, 'सुधारा');
INSERT INTO `lang_definitions` VALUES (180220, 2188, 34, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (180221, 2189, 34, 'CouchDB के कनेक्शन विफल.');
INSERT INTO `lang_definitions` VALUES (180222, 2191, 34, 'CouchDB के डाटाबेस');
INSERT INTO `lang_definitions` VALUES (180223, 2192, 34, 'CouchDB के डेटाबेस का नाम');
INSERT INTO `lang_definitions` VALUES (180224, 2195, 34, 'CouchDB के मेजबान');
INSERT INTO `lang_definitions` VALUES (180225, 2196, 34, 'CouchDB होस्टनाम');
INSERT INTO `lang_definitions` VALUES (180226, 2197, 34, 'CouchDB के प्रवेश सक्षम');
INSERT INTO `lang_definitions` VALUES (180227, 2198, 34, 'CouchDB पासवर्ड');
INSERT INTO `lang_definitions` VALUES (180228, 2199, 34, 'CouchDB के पोर्ट');
INSERT INTO `lang_definitions` VALUES (180229, 2200, 34, 'CouchDB के पोर्ट');
INSERT INTO `lang_definitions` VALUES (180230, 2203, 34, 'CouchDB उपयोगकर्ता नाम');
INSERT INTO `lang_definitions` VALUES (180231, 2204, 34, 'खाँसी:');
INSERT INTO `lang_definitions` VALUES (180232, 2205, 34, 'खाँसी:');
INSERT INTO `lang_definitions` VALUES (180233, 2211, 34, 'फ़ाइल नहीं पढ़ सका');
INSERT INTO `lang_definitions` VALUES (180234, 2214, 34, 'ईमेल नहीं भेजा जा सका,कारण एक सर्वर की समस्या');
INSERT INTO `lang_definitions` VALUES (180235, 2216, 34, 'ईमेल नहीं भेजा जा सका,कारण एक सर्वर की समस्या');
INSERT INTO `lang_definitions` VALUES (180236, 2217, 34, 'बैकअप निर्देशिका नहीं बना सका:');
INSERT INTO `lang_definitions` VALUES (180237, 2218, 34, 'निर्देशिका हटा नहीं सका:');
INSERT INTO `lang_definitions` VALUES (180238, 2219, 34, 'पुराने बैकअप फ़ाइल हटा नहीं सका:');
INSERT INTO `lang_definitions` VALUES (180239, 2220, 34, 'पुराने निर्यात फ़ाइल हटा नहीं सका:');
INSERT INTO `lang_definitions` VALUES (180240, 2221, 34, 'Coumadin प्रबंधन - INR निगरानी');
INSERT INTO `lang_definitions` VALUES (180241, 2222, 34, 'विधि द्वारा परामर्श');
INSERT INTO `lang_definitions` VALUES (180242, 2223, 34, 'परामर्श');
INSERT INTO `lang_definitions` VALUES (180243, 2224, 34, 'परामर्श गतिविधियों');
INSERT INTO `lang_definitions` VALUES (180244, 2227, 34, 'जवाबी रेफरल फार्म');
INSERT INTO `lang_definitions` VALUES (180245, 2228, 34, 'जवाबी रेफरल');
INSERT INTO `lang_definitions` VALUES (180246, 2229, 34, 'देश');
INSERT INTO `lang_definitions` VALUES (180247, 2231, 34, 'देश डेटा प्रकार');
INSERT INTO `lang_definitions` VALUES (180248, 2232, 34, 'देश सूची');
INSERT INTO `lang_definitions` VALUES (180249, 2233, 34, 'देश सूची (लिखने, addonly वैकल्पिक)');
INSERT INTO `lang_definitions` VALUES (180250, 2235, 34, 'देश का नाम दो अक्षरों में प्रतिनिधित्व होना चाहिए. (उदाहरण: यूनाइटेड स्टेट्स यूएस है)');
INSERT INTO `lang_definitions` VALUES (180251, 2236, 34, 'काउंटी');
INSERT INTO `lang_definitions` VALUES (180252, 2238, 34, 'कूपन');
INSERT INTO `lang_definitions` VALUES (180253, 2245, 34, 'CPT');
INSERT INTO `lang_definitions` VALUES (180254, 2246, 34, 'CPT कोड');
INSERT INTO `lang_definitions` VALUES (180255, 2247, 34, 'CPT कोड');
INSERT INTO `lang_definitions` VALUES (180256, 2248, 34, 'CPT4 प्रक्रिया / सेवा');
INSERT INTO `lang_definitions` VALUES (180257, 2249, 34, 'CPTII प्रदर्शन मापने के');
INSERT INTO `lang_definitions` VALUES (180258, 2250, 34, 'CQM');
INSERT INTO `lang_definitions` VALUES (180259, 2252, 34, 'crackles:');
INSERT INTO `lang_definitions` VALUES (180260, 2255, 34, 'क्रीम');
INSERT INTO `lang_definitions` VALUES (180261, 2256, 34, 'प्रत्येक उपयोगकर्ता या ग्राहक मशीन के लिए एक क्लाइंट साइड SSL प्रमाणपत्र बनाएं.');
INSERT INTO `lang_definitions` VALUES (180262, 2257, 34, 'एक उपयोगकर्ता या होस्ट नाम के लिए एक क्लाइंट साइड SSL प्रमाणपत्र बनाएं.');
INSERT INTO `lang_definitions` VALUES (180263, 2269, 34, 'एक घटना बनाएँ');
INSERT INTO `lang_definitions` VALUES (180264, 2273, 34, 'पूर्ण बैकअप बनाएँ और डाउनलोड करें');
INSERT INTO `lang_definitions` VALUES (180265, 2275, 34, 'बैकअप बनाएँ');
INSERT INTO `lang_definitions` VALUES (180266, 2276, 34, 'बैच बनाएँ');
INSERT INTO `lang_definitions` VALUES (180267, 2277, 34, 'क्लाइंट प्रमाणपत्र बनाएं');
INSERT INTO `lang_definitions` VALUES (180268, 2278, 34, 'क्लाइंट साइड SSL प्रमाणपत्र बनाएं');
INSERT INTO `lang_definitions` VALUES (180269, 2281, 34, 'डुप्लिकेट बनाएँ');
INSERT INTO `lang_definitions` VALUES (180270, 2283, 34, 'Eventlog बैकअप बनाएँ');
INSERT INTO `lang_definitions` VALUES (180271, 2285, 34, 'नया मुद्दा बनाएं');
INSERT INTO `lang_definitions` VALUES (180272, 2287, 34, 'नई रोगी बनाएँ');
INSERT INTO `lang_definitions` VALUES (180273, 2290, 34, 'Offsite पोर्टल पहचान बनाएं');
INSERT INTO `lang_definitions` VALUES (180274, 2292, 34, 'ऑनसाइट पोर्टल पहचान बनाएं');
INSERT INTO `lang_definitions` VALUES (180275, 2294, 34, 'रोगी नोट बनाएँ');
INSERT INTO `lang_definitions` VALUES (180276, 2296, 34, 'SSL प्रमाणपत्र प्राधिकरण और सर्वर प्रमाण पत्र बनाएँ.');
INSERT INTO `lang_definitions` VALUES (180277, 2297, 34, 'भेंट बनाएँ');
INSERT INTO `lang_definitions` VALUES (180278, 2298, 34, 'बनाया गया');
INSERT INTO `lang_definitions` VALUES (180279, 2306, 34, 'निर्यात फ़ाइल बना रहा है');
INSERT INTO `lang_definitions` VALUES (180280, 2308, 34, 'रिमोट होस्ट पर यह फ़ाइल बनाने में विफल रहा है');
INSERT INTO `lang_definitions` VALUES (180281, 2309, 34, 'प्रजापति');
INSERT INTO `lang_definitions` VALUES (180282, 2311, 34, 'क्रेडिट');
INSERT INTO `lang_definitions` VALUES (180283, 2312, 34, 'क्रेडिट कार्ड');
INSERT INTO `lang_definitions` VALUES (180284, 2314, 34, 'क्रेडिट');
INSERT INTO `lang_definitions` VALUES (180285, 2316, 34, 'मापदंड');
INSERT INTO `lang_definitions` VALUES (180286, 2319, 34, 'Crohn  का रोग');
INSERT INTO `lang_definitions` VALUES (180287, 2320, 34, 'Crohns रोग');
INSERT INTO `lang_definitions` VALUES (180288, 2323, 34, 'सीएसवी निर्यात');
INSERT INTO `lang_definitions` VALUES (180289, 2324, 34, 'CSV फाइल');
INSERT INTO `lang_definitions` VALUES (180290, 2325, 34, 'CSV टेबल्स');
INSERT INTO `lang_definitions` VALUES (180291, 2330, 34, 'CU.MM');
INSERT INTO `lang_definitions` VALUES (180292, 2331, 34, 'क्यूबा');
INSERT INTO `lang_definitions` VALUES (180293, 2333, 34, 'मुद्रा दशमलव स्थान');
INSERT INTO `lang_definitions` VALUES (180294, 2334, 34, 'मुद्रा दशमलव बिंदु प्रतीक');
INSERT INTO `lang_definitions` VALUES (180295, 2335, 34, 'मुद्रा Designator');
INSERT INTO `lang_definitions` VALUES (180296, 2336, 34, 'मुद्रा हजारों विभाजक');
INSERT INTO `lang_definitions` VALUES (180297, 2337, 34, 'वर्तमान');
INSERT INTO `lang_definitions` VALUES (180298, 2338, 34, 'वर्तमान शराब');
INSERT INTO `lang_definitions` VALUES (180299, 2341, 34, 'वर्तमान परामर्श');
INSERT INTO `lang_definitions` VALUES (180300, 2342, 34, 'वर्तमान मानदंड');
INSERT INTO `lang_definitions` VALUES (180301, 2344, 34, 'वर्तमान दिन उजागर रंग');
INSERT INTO `lang_definitions` VALUES (180302, 2345, 34, 'वर्तमान में हर दिन धूम्रपान');
INSERT INTO `lang_definitions` VALUES (180303, 2347, 34, 'वर्तमान फ़ाइल नाम बदल गया था');
INSERT INTO `lang_definitions` VALUES (180304, 2349, 34, 'वर्तमान हैश');
INSERT INTO `lang_definitions` VALUES (180305, 2350, 34, 'वर्तमान स्थान');
INSERT INTO `lang_definitions` VALUES (180306, 2352, 34, 'वर्तमान दवाएं');
INSERT INTO `lang_definitions` VALUES (180307, 2354, 34, 'वर्तमान पासवर्ड');
INSERT INTO `lang_definitions` VALUES (180308, 2356, 34, 'वर्तमान रोगी');
INSERT INTO `lang_definitions` VALUES (180309, 2361, 34, 'वर्तमान मनोरंजनात्मक औषध');
INSERT INTO `lang_definitions` VALUES (180310, 2363, 34, 'वर्तमान में कुछ दिन धूम्रपान');
INSERT INTO `lang_definitions` VALUES (180311, 2371, 34, 'वर्तमान में सक्रिय');
INSERT INTO `lang_definitions` VALUES (180312, 2375, 34, 'वर्तमान में चल रहा है');
INSERT INTO `lang_definitions` VALUES (180313, 2377, 34, 'वर्तमान में सुविधाएं नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (180314, 2379, 34, 'सिंड्रोम कुशिंग');
INSERT INTO `lang_definitions` VALUES (180315, 2380, 34, 'सिंड्रोम कुशिंग');
INSERT INTO `lang_definitions` VALUES (180316, 2383, 34, 'रिवाज');
INSERT INTO `lang_definitions` VALUES (180317, 2390, 34, 'कस्टम इनपुट?');
INSERT INTO `lang_definitions` VALUES (180318, 2395, 34, 'कस्टम तालिका');
INSERT INTO `lang_definitions` VALUES (180319, 2402, 34, 'CVX कोड');
INSERT INTO `lang_definitions` VALUES (180320, 2403, 34, 'CVX कोड मैपिंग');
INSERT INTO `lang_definitions` VALUES (180321, 2404, 34, 'CVX टीकाकरण');
INSERT INTO `lang_definitions` VALUES (180322, 2406, 34, 'चक्र');
INSERT INTO `lang_definitions` VALUES (180323, 2412, 34, 'CYP');
INSERT INTO `lang_definitions` VALUES (180324, 2413, 34, 'CYP फैक्टर');
INSERT INTO `lang_definitions` VALUES (180325, 2414, 34, 'CYP रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (180326, 2415, 34, 'चेक देश');
INSERT INTO `lang_definitions` VALUES (180327, 2416, 34, 'डी');
INSERT INTO `lang_definitions` VALUES (180328, 2417, 34, 'डी एंड सी');
INSERT INTO `lang_definitions` VALUES (180329, 2418, 34, 'डी और ई');
INSERT INTO `lang_definitions` VALUES (180330, 2420, 34, 'D.O.B.');
INSERT INTO `lang_definitions` VALUES (180331, 2421, 34, 'दैनिक');
INSERT INTO `lang_definitions` VALUES (180332, 2422, 34, 'डेली रिकॉर्ड');
INSERT INTO `lang_definitions` VALUES (180333, 2425, 34, 'डेनिश');
INSERT INTO `lang_definitions` VALUES (180334, 2429, 34, 'एक जैसे डेटा डेटाबेस में पहले से ही है, कोड / या वर्णन बदलें');
INSERT INTO `lang_definitions` VALUES (180335, 2430, 34, 'एक जैसे डेटा डेटाबेस में पहले से ही है, कृपया स्थिर नाम बदलें');
INSERT INTO `lang_definitions` VALUES (180336, 2431, 34, 'डेटा कॉलम');
INSERT INTO `lang_definitions` VALUES (180337, 2434, 34, 'डेटा त्रुटि');
INSERT INTO `lang_definitions` VALUES (180338, 2439, 34, 'डेटा प्रकार');
INSERT INTO `lang_definitions` VALUES (180339, 2440, 34, 'डेटाबेस');
INSERT INTO `lang_definitions` VALUES (180340, 2442, 34, 'डाटाबेस स्थापित नहीं है.');
INSERT INTO `lang_definitions` VALUES (180341, 2444, 34, 'डाटाबेस पैच');
INSERT INTO `lang_definitions` VALUES (180342, 2445, 34, 'डेटाबेस रिपोर्टिंग');
INSERT INTO `lang_definitions` VALUES (180343, 2447, 34, 'डेटाबेस नवीनीकरण समाप्त हो गया.');
INSERT INTO `lang_definitions` VALUES (180344, 2448, 34, 'DataCols 1 और 999 के बीच में होनी चाहिए');
INSERT INTO `lang_definitions` VALUES (180345, 2449, 34, 'तिथि');
INSERT INTO `lang_definitions` VALUES (180346, 2450, 34, 'तिथि');
INSERT INTO `lang_definitions` VALUES (180347, 2451, 34, 'दिनांक और समय प्रशासित');
INSERT INTO `lang_definitions` VALUES (180348, 2453, 34, 'प्रशासित तिथि');
INSERT INTO `lang_definitions` VALUES (180349, 2454, 34, 'नमूना संग्रह की तिथि और समय');
INSERT INTO `lang_definitions` VALUES (180350, 2455, 34, 'इस अवलोकन की तिथि और समय');
INSERT INTO `lang_definitions` VALUES (180351, 2457, 34, 'तिथि और समय नमूना एकत्र किया गया था');
INSERT INTO `lang_definitions` VALUES (180352, 2458, 34, 'तिथि आज से बड़ी नहीं हो सकती');
INSERT INTO `lang_definitions` VALUES (180353, 2459, 34, 'शुरू तिथि गर्भनिरोधक सेवाएं प्रदान की');
INSERT INTO `lang_definitions` VALUES (180354, 2460, 34, 'तिथि निर्माण');
INSERT INTO `lang_definitions` VALUES (180355, 2461, 34, 'मृतक तिथि');
INSERT INTO `lang_definitions` VALUES (180356, 2462, 34, 'तिथि तबाह');
INSERT INTO `lang_definitions` VALUES (180357, 2463, 34, 'तिथि प्रदर्शन स्वरूप');
INSERT INTO `lang_definitions` VALUES (180358, 2464, 34, 'नियुक्ति अंत के लिए तिथि प्रारूप मान्य नहीं है');
INSERT INTO `lang_definitions` VALUES (180359, 2465, 34, 'नियुक्ति प्रारंभ के लिए तिथि प्रारूप मान्य नहीं है');
INSERT INTO `lang_definitions` VALUES (180360, 2466, 34, 'अगले नियुक्ति के लिए तिथि प्रारूप मान्य नहीं है');
INSERT INTO `lang_definitions` VALUES (180361, 2467, 34, 'के बाद से नहीं देखा के लिए तिथि प्रारूप मान्य नहीं है');
INSERT INTO `lang_definitions` VALUES (180362, 2469, 34, 'जब से देखा के लिए तिथि प्रारूप मान्य नहीं है');
INSERT INTO `lang_definitions` VALUES (180363, 2470, 34, 'तिथि प्रतिरक्षण सूचना वक्तव्य निश्चित');
INSERT INTO `lang_definitions` VALUES (180364, 2471, 34, 'कोड के लिए तिथि लापता');
INSERT INTO `lang_definitions` VALUES (180365, 2472, 34, 'तिथि मास्टर मानदंड');
INSERT INTO `lang_definitions` VALUES (180366, 2475, 34, 'बैंक जमा YYYY-MM-DD की तिथि');
INSERT INTO `lang_definitions` VALUES (180367, 2476, 34, 'बिलिंग की तिथि');
INSERT INTO `lang_definitions` VALUES (180368, 2477, 34, 'जन्म तिथि');
INSERT INTO `lang_definitions` VALUES (180369, 2478, 34, 'जन्म तिथि');
INSERT INTO `lang_definitions` VALUES (180370, 2479, 34, 'जन्म तिथि');
INSERT INTO `lang_definitions` VALUES (180371, 2481, 34, 'प्रवेश की तिथि');
INSERT INTO `lang_definitions` VALUES (180372, 2483, 34, 'चोट की तिथि');
INSERT INTO `lang_definitions` VALUES (180373, 2487, 34, 'भुगतान YYYY-MM-DD की तिथि');
INSERT INTO `lang_definitions` VALUES (180374, 2489, 34, 'सिफ़ारिश की तिथि');
INSERT INTO `lang_definitions` VALUES (180375, 2491, 34, 'उत्तर की तिथि');
INSERT INTO `lang_definitions` VALUES (180376, 2492, 34, 'रिपोर्ट की तिथि');
INSERT INTO `lang_definitions` VALUES (180377, 2493, 34, 'सेवा की तिथि');
INSERT INTO `lang_definitions` VALUES (180378, 2495, 34, 'सेवा की तिथि');
INSERT INTO `lang_definitions` VALUES (180379, 2496, 34, 'आज = सर्विस की तिथि');
INSERT INTO `lang_definitions` VALUES (180380, 2498, 34, 'सेवा dd / mm / yyyy की तिथि');
INSERT INTO `lang_definitions` VALUES (180381, 2499, 34, 'सेवा की तिथि:');
INSERT INTO `lang_definitions` VALUES (180382, 2500, 34, 'हस्ताक्षर की तिथि');
INSERT INTO `lang_definitions` VALUES (180383, 2501, 34, 'स्थिति को बदलने की तिथि');
INSERT INTO `lang_definitions` VALUES (180384, 2503, 34, 'इस आदेश की तिथि');
INSERT INTO `lang_definitions` VALUES (180385, 2504, 34, 'इस रिपोर्ट की तिथि');
INSERT INTO `lang_definitions` VALUES (180386, 2505, 34, 'VIS बयान की तिथि');
INSERT INTO `lang_definitions` VALUES (180387, 2506, 34, 'तिथि आदेश दिया');
INSERT INTO `lang_definitions` VALUES (180388, 2509, 34, 'तिथि चयनकर्ता');
INSERT INTO `lang_definitions` VALUES (180389, 2510, 34, 'भेजा गया तिथि');
INSERT INTO `lang_definitions` VALUES (180390, 2511, 34, 'तिथि संदेश भेजा गया था');
INSERT INTO `lang_definitions` VALUES (180391, 2513, 34, 'तिथि मान रिक्त नहीं हो सकता.');
INSERT INTO `lang_definitions` VALUES (180392, 2516, 34, 'तिथि / Appt');
INSERT INTO `lang_definitions` VALUES (180393, 2517, 34, 'तिथि / नोट्स');
INSERT INTO `lang_definitions` VALUES (180394, 2518, 34, 'तिथि / अंतिम की नोट्स');
INSERT INTO `lang_definitions` VALUES (180395, 2519, 34, 'तिथि / समय');
INSERT INTO `lang_definitions` VALUES (180396, 2520, 34, 'तिथि');
INSERT INTO `lang_definitions` VALUES (180397, 2523, 34, 'संदेश लॉग तिथि');
INSERT INTO `lang_definitions` VALUES (180398, 2526, 34, 'दिन');
INSERT INTO `lang_definitions` VALUES (180399, 2527, 34, 'दिन');
INSERT INTO `lang_definitions` VALUES (180400, 2530, 34, 'दिन देखें');
INSERT INTO `lang_definitions` VALUES (180401, 2531, 34, 'दिन');
INSERT INTO `lang_definitions` VALUES (180402, 2532, 34, 'दिन सोमवार - शुक्रवार');
INSERT INTO `lang_definitions` VALUES (180403, 2533, 34, 'दिन');
INSERT INTO `lang_definitions` VALUES (180404, 2534, 34, 'दिन');
INSERT INTO `lang_definitions` VALUES (180405, 2535, 34, 'दिन पहले');
INSERT INTO `lang_definitions` VALUES (180406, 2536, 34, 'दिन और खेल छूटे');
INSERT INTO `lang_definitions` VALUES (180407, 2537, 34, 'पिछले मुठभेड़ से दिन');
INSERT INTO `lang_definitions` VALUES (180408, 2538, 34, 'छूटे दिन');
INSERT INTO `lang_definitions` VALUES (180409, 2541, 34, 'प्रति दिन कॉलम');
INSERT INTO `lang_definitions` VALUES (180410, 2543, 34, 'दिन/Col:');
INSERT INTO `lang_definitions` VALUES (180411, 2544, 34, 'DB स्थापित');
INSERT INTO `lang_definitions` VALUES (180412, 2545, 34, 'DD / MM / YYYY');
INSERT INTO `lang_definitions` VALUES (180413, 2546, 34, 'De Identification');
INSERT INTO `lang_definitions` VALUES (180414, 2547, 34, 'De Identification की प्रक्रिया पूरी हो गई');
INSERT INTO `lang_definitions` VALUES (180415, 2548, 34, 'De Identification की प्रक्रिया चल रही है');
INSERT INTO `lang_definitions` VALUES (180416, 2549, 34, 'De Identification की प्रक्रिया शुरू कर दिई और पृष्ठभूमि में चल रही है');
INSERT INTO `lang_definitions` VALUES (180417, 2550, 34, 'De Identification डेटा शायद पूरा नहीं');
INSERT INTO `lang_definitions` VALUES (180418, 2551, 34, 'में De Identification फ़ाइल सहेजा जाएगा');
INSERT INTO `lang_definitions` VALUES (180419, 2552, 34, 'डीईए');
INSERT INTO `lang_definitions` VALUES (180420, 2558, 34, 'बहरा');
INSERT INTO `lang_definitions` VALUES (180421, 2562, 34, 'डिबग जानकारी');
INSERT INTO `lang_definitions` VALUES (180422, 2564, 34, 'डीबगिंग');
INSERT INTO `lang_definitions` VALUES (180423, 2565, 34, 'दिसम्बर');
INSERT INTO `lang_definitions` VALUES (180424, 2567, 34, 'स्वर्गीय');
INSERT INTO `lang_definitions` VALUES (180425, 2574, 34, 'दिसंबर');
INSERT INTO `lang_definitions` VALUES (180426, 2578, 34, 'दशमलव पाउंड या पाउंड और औंस # द्वारा अलग (जैसे 5 # 4)');
INSERT INTO `lang_definitions` VALUES (180427, 2580, 34, 'कटौती योग्य');
INSERT INTO `lang_definitions` VALUES (180428, 2581, 34, 'कटौती योग्य मुलाकात');
INSERT INTO `lang_definitions` VALUES (180429, 2583, 34, 'डिफ़ॉल्ट');
INSERT INTO `lang_definitions` VALUES (180430, 2585, 34, 'डिफ़ॉल्ट कैलेंडर देखें');
INSERT INTO `lang_definitions` VALUES (180431, 2587, 34, 'डिफ़ॉल्ट मुठभेड़ पर्चा आईडी');
INSERT INTO `lang_definitions` VALUES (180432, 2589, 34, 'डिफ़ॉल्ट सुविधा');
INSERT INTO `lang_definitions` VALUES (180433, 2594, 34, 'डिफ़ॉल्ट भाषा');
INSERT INTO `lang_definitions` VALUES (180434, 2595, 34, 'डिफ़ॉल्ट भाषा यदि कोई अन्य की अनुमति नहीं है या चुना नहीं जाता है.');
INSERT INTO `lang_definitions` VALUES (180435, 2598, 34, 'डिफ़ॉल्ट सूची (, addonly वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (180436, 2600, 34, 'डिफ़ॉल्ट विधि');
INSERT INTO `lang_definitions` VALUES (180437, 2601, 34, 'डिफ़ॉल्ट पासवर्ड समाप्त दिन');
INSERT INTO `lang_definitions` VALUES (180438, 2602, 34, 'डिफ़ॉल्ट पासवर्ड समाप्त अवधि दिन में. 0 इसका मतलब है सुविधा अक्षम है.');
INSERT INTO `lang_definitions` VALUES (180439, 2603, 34, 'डिफ़ॉल्ट रोगी देश');
INSERT INTO `lang_definitions` VALUES (180440, 2606, 34, 'डिफ़ॉल्ट प्राथमिकता');
INSERT INTO `lang_definitions` VALUES (180441, 2607, 34, 'डिफ़ॉल्ट प्रदाता');
INSERT INTO `lang_definitions` VALUES (180442, 2609, 34, 'डिफ़ॉल्ट सीमा');
INSERT INTO `lang_definitions` VALUES (180443, 2610, 34, 'भेंट के लिए डिफ़ॉल्ट कारण');
INSERT INTO `lang_definitions` VALUES (180444, 2615, 34, 'डिफ़ॉल्ट सेटिंग');
INSERT INTO `lang_definitions` VALUES (180445, 2617, 34, 'रोगी सूची में नई विंडो चेकबॉक्स की डिफ़ॉल्ट स्थिति.');
INSERT INTO `lang_definitions` VALUES (180446, 2618, 34, 'डिफ़ॉल्ट टेम्पलेट');
INSERT INTO `lang_definitions` VALUES (180447, 2624, 34, 'डिफ़ॉल्ट इकाइयों');
INSERT INTO `lang_definitions` VALUES (180448, 2626, 34, 'डिफ़ॉल्ट मूल्य');
INSERT INTO `lang_definitions` VALUES (180449, 2628, 34, 'डिफ़ॉल्ट वेयरहाउस');
INSERT INTO `lang_definitions` VALUES (180450, 2629, 34, 'डिफ़ॉल्ट X 12 साथी');
INSERT INTO `lang_definitions` VALUES (180451, 2630, 34, 'डिफ़ॉल्ट / ग्लोबल');
INSERT INTO `lang_definitions` VALUES (180452, 2635, 34, 'को हटाएँ');
INSERT INTO `lang_definitions` VALUES (180453, 2636, 34, 'को हटाएँ');
INSERT INTO `lang_definitions` VALUES (180454, 2637, 34, 'विलंबित पुनरावर्तन (> 12 मो)');
INSERT INTO `lang_definitions` VALUES (180455, 2638, 34, 'को हटाएँ');
INSERT INTO `lang_definitions` VALUES (180456, 2639, 34, 'हटाना');
INSERT INTO `lang_definitions` VALUES (180457, 2640, 34, 'आईडी (s) के साथ श्रेणियाँ हटाएँ:');
INSERT INTO `lang_definitions` VALUES (180458, 2641, 34, 'श्रेणी को हटाएँ');
INSERT INTO `lang_definitions` VALUES (180459, 2644, 34, 'को हटाएँ विफल रहा है!');
INSERT INTO `lang_definitions` VALUES (180460, 2645, 34, 'समूह को हटाएँ');
INSERT INTO `lang_definitions` VALUES (180461, 2646, 34, 'सूची को हटाएँ');
INSERT INTO `lang_definitions` VALUES (180462, 2648, 34, 'पृष्ठों को हटाएँ');
INSERT INTO `lang_definitions` VALUES (180463, 2649, 34, 'रोगी, मुठभेड़, फार्म, अंक, दस्तावेज, भुगतान, बिलिंग या लेनदेन हटाएं');
INSERT INTO `lang_definitions` VALUES (180464, 2651, 34, 'पंक्ति हटाएँ');
INSERT INTO `lang_definitions` VALUES (180465, 2652, 34, 'चयनित आइटम हटाएं');
INSERT INTO `lang_definitions` VALUES (180466, 2655, 34, 'को हटाएँ सफल.');
INSERT INTO `lang_definitions` VALUES (180467, 2656, 34, 'इस दस्तावेज़ को हटाएं');
INSERT INTO `lang_definitions` VALUES (180468, 2657, 34, 'इस फार्म को हटाएँ');
INSERT INTO `lang_definitions` VALUES (180469, 2659, 34, 'इस नोट को हटाएं');
INSERT INTO `lang_definitions` VALUES (180470, 2661, 34, 'सफलतापूर्वक नष्ट कर दिया.');
INSERT INTO `lang_definitions` VALUES (180471, 2662, 34, 'हटा रहा है!');
INSERT INTO `lang_definitions` VALUES (180472, 2663, 34, 'इस घटना को एक बार हटाया तो पूर्ववत नहीं किया जा सकता, वह चला गया है, यह ठीक नहीं किया जा सकता! क्या आप इस घटना को हटाना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (180473, 2666, 34, 'वितरण की पुष्टि');
INSERT INTO `lang_definitions` VALUES (180474, 2668, 34, 'वर्तमान निर्दिष्ट पते पर प्रत्यक्ष वितरण की अनुमति नहीं है!');
INSERT INTO `lang_definitions` VALUES (180475, 2670, 34, 'संलग्न नैदानिक ​​दस्तावेज़ का वितरण, रोगी द्वारा अनुरोध किया गया था!');
INSERT INTO `lang_definitions` VALUES (180476, 2671, 34, 'मनोभ्रंश');
INSERT INTO `lang_definitions` VALUES (180477, 2673, 34, 'जनसांख्यिकी');
INSERT INTO `lang_definitions` VALUES (180478, 2674, 34, 'जनसांख्यिकी (, addonly वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (180479, 2678, 34, 'जनसांख्यिकी फ़िल्टर मापदंड');
INSERT INTO `lang_definitions` VALUES (180480, 2680, 34, 'जनसांख्यिकी अधिकृत नहीं.');
INSERT INTO `lang_definitions` VALUES (180481, 2681, 34, 'जनसांख्यिकी अधिकृत नहीं.');
INSERT INTO `lang_definitions` VALUES (180482, 2682, 34, 'से इनकार किया');
INSERT INTO `lang_definitions` VALUES (180483, 2684, 34, 'भाजक');
INSERT INTO `lang_definitions` VALUES (180484, 2687, 34, 'दंत चिकित्सा');
INSERT INTO `lang_definitions` VALUES (180485, 2688, 34, 'दंत चिकित्सा समस्या सूची');
INSERT INTO `lang_definitions` VALUES (180486, 2689, 34, 'दंत चिकित्सा मुद्दों पर');
INSERT INTO `lang_definitions` VALUES (180487, 2694, 34, 'Depending on the type of bill you are testing you will see HCFA like output on a blank page for HCFA bills, you will see many lines of somewhat garbled text and information if you are testing an X12 claim. That garbled text is the X12 EDI 4010A format. Occasionally you will see odd characters that look like dominoes or squiglies, these are control characters such as page feeds and are normal.');
INSERT INTO `lang_definitions` VALUES (180488, 2696, 34, 'जमा तिथि');
INSERT INTO `lang_definitions` VALUES (180489, 2697, 34, 'जमा तिथि आज से बड़ी नहीं हो सकती');
INSERT INTO `lang_definitions` VALUES (180490, 2698, 34, 'जमा तिथि:');
INSERT INTO `lang_definitions` VALUES (180491, 2699, 34, 'अवसादग्रस्त');
INSERT INTO `lang_definitions` VALUES (180492, 2700, 34, 'अवसाद');
INSERT INTO `lang_definitions` VALUES (180493, 2706, 34, 'विवरण');
INSERT INTO `lang_definitions` VALUES (180494, 2707, 34, 'विवरण');
INSERT INTO `lang_definitions` VALUES (180495, 2709, 34, 'प्रकटीकरण का विवरण');
INSERT INTO `lang_definitions` VALUES (180496, 2710, 34, 'इस प्रक्रिया या परिणाम कोड का विवरण');
INSERT INTO `lang_definitions` VALUES (180497, 2711, 34, 'विवरण अनुवाद');
INSERT INTO `lang_definitions` VALUES (180498, 2713, 34, 'गंतव्य');
INSERT INTO `lang_definitions` VALUES (180499, 2714, 34, 'गंतव्य फ़ाइलनाम');
INSERT INTO `lang_definitions` VALUES (180500, 2716, 34, 'लॉट नष्ट');
INSERT INTO `lang_definitions` VALUES (180501, 2717, 34, 'नष्ट ...');
INSERT INTO `lang_definitions` VALUES (180502, 2718, 34, 'नष्ट कर दिया');
INSERT INTO `lang_definitions` VALUES (180503, 2719, 34, 'दवाओं को नष्ट कर दिया!');
INSERT INTO `lang_definitions` VALUES (180504, 2720, 34, 'दवाओं की रिपोर्ट को नष्ट कर दिया!');
INSERT INTO `lang_definitions` VALUES (180505, 2721, 34, 'विवरण');
INSERT INTO `lang_definitions` VALUES (180506, 2726, 34, 'विवरण');
INSERT INTO `lang_definitions` VALUES (180507, 2728, 34, 'विकासात्मक विषमता');
INSERT INTO `lang_definitions` VALUES (180508, 2730, 34, 'मधुमेह');
INSERT INTO `lang_definitions` VALUES (180509, 2731, 34, 'बहुमूत्ररोग');
INSERT INTO `lang_definitions` VALUES (180510, 2732, 34, 'मधुमेह: रक्तचाप प्रबंधन (CQM)');
INSERT INTO `lang_definitions` VALUES (180511, 2733, 34, 'मधुमेह: नेत्र परीक्षा');
INSERT INTO `lang_definitions` VALUES (180512, 2734, 34, 'मधुमेह: नेत्र परीक्षा (CQM)');
INSERT INTO `lang_definitions` VALUES (180513, 2735, 34, 'मधुमेह: पैर परीक्षा');
INSERT INTO `lang_definitions` VALUES (180514, 2736, 34, 'मधुमेह: पैर परीक्षा (CQM)');
INSERT INTO `lang_definitions` VALUES (180515, 2737, 34, 'मधुमेह: एचबीए 1 सी खराब नियंत्रण (CQM)');
INSERT INTO `lang_definitions` VALUES (180516, 2738, 34, 'मधुमेह: हीमोग्लोबिन ए 1 सी');
INSERT INTO `lang_definitions` VALUES (180517, 2739, 34, 'मधुमेह: एलडीएल प्रबंधन और नियंत्रण (CQM)');
INSERT INTO `lang_definitions` VALUES (180518, 2740, 34, 'मधुमेह: मूत्र में Microalbumin');
INSERT INTO `lang_definitions` VALUES (180519, 2741, 34, 'निदान');
INSERT INTO `lang_definitions` VALUES (180520, 2742, 34, 'निदान');
INSERT INTO `lang_definitions` VALUES (180521, 2743, 34, 'निदान');
INSERT INTO `lang_definitions` VALUES (180522, 2744, 34, 'निदान कोड');
INSERT INTO `lang_definitions` VALUES (180523, 2747, 34, 'निदान तिथि');
INSERT INTO `lang_definitions` VALUES (180524, 2749, 34, 'निदान एक जुड़े हुए मुठभेड़ में कोडित किया जाना चाहिए');
INSERT INTO `lang_definitions` VALUES (180525, 2750, 34, 'निदान का नाम');
INSERT INTO `lang_definitions` VALUES (180526, 2751, 34, 'निदान की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (180527, 2752, 34, 'निदान रिपोर्टिंग');
INSERT INTO `lang_definitions` VALUES (180528, 2753, 34, 'केवल निदान रिपोर्टिंग');
INSERT INTO `lang_definitions` VALUES (180529, 2754, 34, 'निदान शीर्षक');
INSERT INTO `lang_definitions` VALUES (180530, 2755, 34, 'निदान:');
INSERT INTO `lang_definitions` VALUES (180531, 2756, 34, 'निदान:');
INSERT INTO `lang_definitions` VALUES (180532, 2758, 34, 'नैदानिक टेस्ट:');
INSERT INTO `lang_definitions` VALUES (180533, 2760, 34, 'डायल');
INSERT INTO `lang_definitions` VALUES (180534, 2763, 34, 'Diaphragms / कैप्स');
INSERT INTO `lang_definitions` VALUES (180535, 2764, 34, 'दस्त');
INSERT INTO `lang_definitions` VALUES (180536, 2767, 34, 'श्रुतलेख');
INSERT INTO `lang_definitions` VALUES (180537, 2768, 34, 'श्रुतलेख:');
INSERT INTO `lang_definitions` VALUES (180538, 2769, 34, 'आपने HIPAA नोटिस की एक प्रति प्राप्त किया है?');
INSERT INTO `lang_definitions` VALUES (180539, 2770, 34, 'फैलाना:');
INSERT INTO `lang_definitions` VALUES (180540, 2771, 34, 'डिजिटली हस्ताक्षरित');
INSERT INTO `lang_definitions` VALUES (180541, 2781, 34, 'प्रत्यक्ष मेल');
INSERT INTO `lang_definitions` VALUES (180542, 2782, 34, 'प्रत्यक्ष संदेश लॉग');
INSERT INTO `lang_definitions` VALUES (180543, 2783, 34, 'प्रत्यक्ष संदेश प्राप्त किया.');
INSERT INTO `lang_definitions` VALUES (180544, 2784, 34, 'प्रत्यक्ष संदेश सेवा वर्तमान में अनुपलब्ध है.');
INSERT INTO `lang_definitions` VALUES (180545, 2785, 34, 'प्रत्यक्ष संदेश भेजने में विफलता .');
INSERT INTO `lang_definitions` VALUES (180546, 2787, 34, 'निर्देशक का नाम');
INSERT INTO `lang_definitions` VALUES (180547, 2788, 34, 'निर्देशिका हटाना विफल, जारी है.');
INSERT INTO `lang_definitions` VALUES (180548, 2789, 34, 'विकलांगता');
INSERT INTO `lang_definitions` VALUES (180549, 2794, 34, 'कैलेंडर निष्क्रिय करें');
INSERT INTO `lang_definitions` VALUES (180550, 2795, 34, 'चार्ट ट्रैकर निष्क्रिय करें');
INSERT INTO `lang_definitions` VALUES (180551, 2798, 34, 'टीकाकरण निष्क्रिय करें');
INSERT INTO `lang_definitions` VALUES (180552, 2800, 34, 'निष्क्रिय करें पुराने मीट्रिक नब्ज पर्चा');
INSERT INTO `lang_definitions` VALUES (180553, 2802, 34, 'phpMyAdmin निष्क्रिय करें');
INSERT INTO `lang_definitions` VALUES (180554, 2803, 34, 'नुस्खे निष्क्रिय करें');
INSERT INTO `lang_definitions` VALUES (180555, 2804, 34, 'उपयोगकर्ता समूह निष्क्रिय करें');
INSERT INTO `lang_definitions` VALUES (180556, 2805, 34, 'निष्क्रिय कर दिया');
INSERT INTO `lang_definitions` VALUES (180557, 2806, 34, 'निष्क्रिय कर दिया');
INSERT INTO `lang_definitions` VALUES (180558, 2807, 34, 'बड़े समूह स्वास्थ्य योजना(LGHP) के 65 साल से कम उम्र के लाभार्थी निष्क्रिय करें!');
INSERT INTO `lang_definitions` VALUES (180559, 2812, 34, 'DISC');
INSERT INTO `lang_definitions` VALUES (180560, 2815, 34, 'निर्वहन');
INSERT INTO `lang_definitions` VALUES (180561, 2816, 34, 'मूत्रमार्ग से निर्वहन');
INSERT INTO `lang_definitions` VALUES (180562, 2818, 34, 'राइट निर्वहन');
INSERT INTO `lang_definitions` VALUES (180563, 2819, 34, 'राइट निर्वहन:');
INSERT INTO `lang_definitions` VALUES (180564, 2823, 34, 'छुट्टी दे दी');
INSERT INTO `lang_definitions` VALUES (180565, 2825, 34, 'प्रकटीकरण जानकारी');
INSERT INTO `lang_definitions` VALUES (180566, 2826, 34, 'प्रकटीकरण के प्रकार');
INSERT INTO `lang_definitions` VALUES (180567, 2827, 34, 'प्रकटीकरण के प्रकार');
INSERT INTO `lang_definitions` VALUES (180568, 2828, 34, 'खुलासे');
INSERT INTO `lang_definitions` VALUES (180569, 2833, 34, 'छूट');
INSERT INTO `lang_definitions` VALUES (180570, 2834, 34, 'छूट राशि');
INSERT INTO `lang_definitions` VALUES (180571, 2835, 34, 'सबसे कम स्तर');
INSERT INTO `lang_definitions` VALUES (180572, 2836, 34, 'छूट के प्रतिशत');
INSERT INTO `lang_definitions` VALUES (180573, 2837, 34, 'मौद्रिक मात्रा में छूट');
INSERT INTO `lang_definitions` VALUES (180574, 2838, 34, 'चेकआउट समय में छूट,धन राशि के रूप में दर्ज कर रहे हैं, प्रतिशत के रूप में नहीं!');
INSERT INTO `lang_definitions` VALUES (180575, 2839, 34, 'असतत नतीजे');
INSERT INTO `lang_definitions` VALUES (180576, 2841, 34, 'रोग');
INSERT INTO `lang_definitions` VALUES (180577, 2843, 34, 'विस्थापन');
INSERT INTO `lang_definitions` VALUES (180578, 2847, 34, 'disp #');
INSERT INTO `lang_definitions` VALUES (180579, 2848, 34, 'भेजना');
INSERT INTO `lang_definitions` VALUES (180580, 2849, 34, 'तक भेजने के प्राप्त दस्तावेज');
INSERT INTO `lang_definitions` VALUES (180581, 2853, 34, 'तिरस्कृत');
INSERT INTO `lang_definitions` VALUES (180582, 2856, 34, 'जनसांख्यिकी पेज में अग्रिम निर्देश प्रदर्शित करें!');
INSERT INTO `lang_definitions` VALUES (180583, 2859, 34, 'घटना ब्लॉक में दिनांक प्रदर्शित करें?');
INSERT INTO `lang_definitions` VALUES (180584, 2860, 34, 'अमेरिका तौल स्वरूप प्रदर्शित करें');
INSERT INTO `lang_definitions` VALUES (180585, 2861, 34, 'कितने घटनाओं को प्रदर्शित करें?');
INSERT INTO `lang_definitions` VALUES (180586, 2865, 34, 'ब्लॉक में स्थान प्रदर्शित करें?');
INSERT INTO `lang_definitions` VALUES (180587, 2866, 34, 'प्रदर्शन नाम');
INSERT INTO `lang_definitions` VALUES (180588, 2868, 34, 'कैलेंडर प्रदर्शित करें?');
INSERT INTO `lang_definitions` VALUES (180589, 2875, 34, 'आज के घटनाओं को ब्लॉक में प्रदर्शित करें?');
INSERT INTO `lang_definitions` VALUES (180590, 2876, 34, 'ब्लॉक में विषय दिखायें?');
INSERT INTO `lang_definitions` VALUES (180591, 2877, 34, 'ब्लॉक में आगामी घटनाएँ दिखायें?');
INSERT INTO `lang_definitions` VALUES (180592, 2879, 34, 'दिखाए गए कॉलम');
INSERT INTO `lang_definitions` VALUES (180593, 2880, 34, 'सबसे हाल ही में के खुलासे की निम्नलिखित संख्या प्रदर्शित हो रही हैं.');
INSERT INTO `lang_definitions` VALUES (180594, 2882, 34, 'सबसे हाल ही में के नोट्स की निम्नलिखित संख्या प्रदर्शित हो रही हैं');
INSERT INTO `lang_definitions` VALUES (180595, 2883, 34, 'सबसे हाल ही में के नोट्स की निम्नलिखित संख्या प्रदर्शित हो रही हैं');
INSERT INTO `lang_definitions` VALUES (180596, 2890, 34, 'वितरण');
INSERT INTO `lang_definitions` VALUES (180597, 2891, 34, 'वितरण');
INSERT INTO `lang_definitions` VALUES (180598, 2892, 34, 'वितरक');
INSERT INTO `lang_definitions` VALUES (180599, 2897, 34, 'विपुटीप्रदाह');
INSERT INTO `lang_definitions` VALUES (180600, 2898, 34, 'विपुटीप्रदाह सर्जरी');
INSERT INTO `lang_definitions` VALUES (180601, 2899, 34, 'विपुटीप्रदाह');
INSERT INTO `lang_definitions` VALUES (180602, 2900, 34, 'विपुटीप्रदाह सर्जरी');
INSERT INTO `lang_definitions` VALUES (180603, 2901, 34, 'तलाकशुदा');
INSERT INTO `lang_definitions` VALUES (180604, 2902, 34, 'चक्कर आना:');
INSERT INTO `lang_definitions` VALUES (180605, 2905, 34, 'न बदलें');
INSERT INTO `lang_definitions` VALUES (180606, 2907, 34, 'NewCrop पर अपलोड की एलर्जी प्रदर्शित नहीं करें');
INSERT INTO `lang_definitions` VALUES (180607, 2909, 34, 'NewCrop पर अपलोड की दवाएं प्रदर्शित नहीं करें');
INSERT INTO `lang_definitions` VALUES (180608, 2912, 34, 'कैलेंडर प्रदर्शित नहीं करें.');
INSERT INTO `lang_definitions` VALUES (180609, 2916, 34, 'कोई भी उत्पाद बेचना नहीं और इनवेंटरी नहीं करें');
INSERT INTO `lang_definitions` VALUES (180610, 2919, 34, 'रोगी नोटों को प्रमाणित होने की आवश्यकता नहीं है');
INSERT INTO `lang_definitions` VALUES (180611, 2920, 34, 'आदेश पुनर्जीवित नहीं करो');
INSERT INTO `lang_definitions` VALUES (180612, 2921, 34, 'न सहेजें');
INSERT INTO `lang_definitions` VALUES (180613, 2922, 34, 'स्थानापन्न मत करें');
INSERT INTO `lang_definitions` VALUES (180614, 2925, 34, 'कुछ न करो');
INSERT INTO `lang_definitions` VALUES (180615, 2929, 34, 'आप वास्तव में मिटाना चाहते हैं');
INSERT INTO `lang_definitions` VALUES (180616, 2930, 34, 'आप वास्तव में चयन को हटाना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (180617, 2931, 34, 'आप वास्तव में इस समूह को हटाना चाहते हैं');
INSERT INTO `lang_definitions` VALUES (180618, 2934, 34, 'क्या आप जारी रखना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (180619, 2935, 34, 'आप वाकई इसे हटाना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (180620, 2936, 34, 'आप हटाना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (180621, 2937, 34, 'आप इस रिकॉर्ड को दूर करना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (180622, 2938, 34, 'आप नए रोगी जोड़ना जारी रखना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (180623, 2939, 34, 'आप नए नाम के साथ जारी रखना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (180624, 2940, 34, 'आप स्थायी रूप से इस प्रतिरक्षण रिकॉर्ड को नष्ट करना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (180625, 2941, 34, 'जन्म तिथि');
INSERT INTO `lang_definitions` VALUES (180626, 2942, 34, 'जन्म तिथि यदि संभव हो तो कृपया, दर्ज करें!');
INSERT INTO `lang_definitions` VALUES (180627, 2944, 34, 'दस्तावेज़');
INSERT INTO `lang_definitions` VALUES (180628, 2945, 34, 'चिकित्सक');
INSERT INTO `lang_definitions` VALUES (180629, 2946, 34, 'डॉक्टर:');
INSERT INTO `lang_definitions` VALUES (180630, 2947, 34, 'डॉक्टर का नाम और हस्ताक्षर');
INSERT INTO `lang_definitions` VALUES (180631, 2948, 34, 'दस्तावेज़');
INSERT INTO `lang_definitions` VALUES (180632, 2949, 34, 'दस्तावेज़');
INSERT INTO `lang_definitions` VALUES (180633, 2951, 34, 'दस्तावेज़ श्रेणियाँ');
INSERT INTO `lang_definitions` VALUES (180634, 2958, 34, 'दस्तावेज़ रोगी आईडी पे स्थानांतरित नहीं किया जा सकता है!');
INSERT INTO `lang_definitions` VALUES (180635, 2960, 34, 'दस्तावेज़ तिथि');
INSERT INTO `lang_definitions` VALUES (180636, 2961, 34, 'दस्तावेज की तारीख और मुद्दा सफलतापूर्वक अपडेट');
INSERT INTO `lang_definitions` VALUES (180637, 2962, 34, 'दस्तावेज़ ID');
INSERT INTO `lang_definitions` VALUES (180638, 2965, 34, 'दस्तावेज नई श्रेणी में ले जाया गया');
INSERT INTO `lang_definitions` VALUES (180639, 2966, 34, 'दस्तावेज़ रोगी आईडी में ले जाया गया');
INSERT INTO `lang_definitions` VALUES (180640, 2968, 34, 'दस्तावेज़ अखंडता जांच पारित कर दिया.');
INSERT INTO `lang_definitions` VALUES (180641, 2969, 34, 'दस्तावेज़ संग्रहण विधि');
INSERT INTO `lang_definitions` VALUES (180642, 2970, 34, 'दस्तावेज़ को सफलतापूर्वक नाम दिया.');
INSERT INTO `lang_definitions` VALUES (180643, 2976, 34, 'दस्तावेज / इमेजिंग स्टोर');
INSERT INTO `lang_definitions` VALUES (180644, 2978, 34, 'दस्तावेज');
INSERT INTO `lang_definitions` VALUES (180645, 2980, 34, 'दस्तावेज़ (, addonly वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (180646, 2989, 34, 'DOE');
INSERT INTO `lang_definitions` VALUES (180647, 2994, 34, 'PV1 मुठभेड़ संख्या मेल नहीं खाता');
INSERT INTO `lang_definitions` VALUES (180648, 2995, 34, 'मान्य नहीं लगता');
INSERT INTO `lang_definitions` VALUES (180649, 2996, 34, 'इस प्रकार संबंधित कोड की अनुमति है?');
INSERT INTO `lang_definitions` VALUES (180650, 2997, 34, 'घरेलू साथी');
INSERT INTO `lang_definitions` VALUES (180651, 2998, 34, 'नहीं सहेजें');
INSERT INTO `lang_definitions` VALUES (180652, 2999, 34, 'नहीं सहेजें');
INSERT INTO `lang_definitions` VALUES (180653, 3000, 34, 'परिवर्तन नहीं सहेजें');
INSERT INTO `lang_definitions` VALUES (180654, 3002, 34, 'पूर्ण');
INSERT INTO `lang_definitions` VALUES (180655, 3004, 34, 'हो गया:');
INSERT INTO `lang_definitions` VALUES (180656, 3005, 34, 'हो गया. अब डाउनलोड भेज देंगे.');
INSERT INTO `lang_definitions` VALUES (180657, 3006, 34, 'DOS');
INSERT INTO `lang_definitions` VALUES (180658, 3007, 34, 'खुराक');
INSERT INTO `lang_definitions` VALUES (180659, 3011, 34, 'संपादित करने के लिए डबल क्लिक करें');
INSERT INTO `lang_definitions` VALUES (180660, 3013, 34, 'व्दिगुण दृष्टि');
INSERT INTO `lang_definitions` VALUES (180661, 3014, 34, 'डाउनलोड');
INSERT INTO `lang_definitions` VALUES (180662, 3019, 34, 'वैसे भी डाउनलोड करें');
INSERT INTO `lang_definitions` VALUES (180663, 3020, 34, 'बिलिंग फ़ाइल डाउनलोड करें लेखांकन मे पोस्ट करें और बिल भेजा मार्क करें!');
INSERT INTO `lang_definitions` VALUES (180664, 3022, 34, 'प्रमाणपत्र डाउनलोड करें');
INSERT INTO `lang_definitions` VALUES (180665, 3023, 34, 'डाउनलोड विन्यास डेटा');
INSERT INTO `lang_definitions` VALUES (180666, 3027, 34, 'एन्क्रिप्टेड फाइल को डाउनलोड करें');
INSERT INTO `lang_definitions` VALUES (180667, 3033, 34, 'डाउनलोड पीडीएफ');
INSERT INTO `lang_definitions` VALUES (180668, 3037, 34, 'चयनित विवरण डाउनलोड करें');
INSERT INTO `lang_definitions` VALUES (180669, 3039, 34, 'डॉ. जाँचें');
INSERT INTO `lang_definitions` VALUES (180670, 3040, 34, 'डॉ. भेंट');
INSERT INTO `lang_definitions` VALUES (180671, 3041, 34, 'डॉ.');
INSERT INTO `lang_definitions` VALUES (180672, 3045, 34, 'शिफ्ट के लिए खींचें');
INSERT INTO `lang_definitions` VALUES (180673, 3047, 34, 'ड्रिब्लिंग');
INSERT INTO `lang_definitions` VALUES (180674, 3048, 34, 'चालक लाइसेंस या राज्य आईडी');
INSERT INTO `lang_definitions` VALUES (180675, 3050, 34, 'दवा');
INSERT INTO `lang_definitions` VALUES (180676, 3053, 34, 'दवा खोजक');
INSERT INTO `lang_definitions` VALUES (180677, 3054, 34, 'दवा फॉर्म्स');
INSERT INTO `lang_definitions` VALUES (180678, 3055, 34, 'दवा आईडी लापता!');
INSERT INTO `lang_definitions` VALUES (180679, 3056, 34, 'दवा अंतराल');
INSERT INTO `lang_definitions` VALUES (180680, 3057, 34, 'दवा सूची');
INSERT INTO `lang_definitions` VALUES (180681, 3059, 34, 'दवा का नाम');
INSERT INTO `lang_definitions` VALUES (180682, 3061, 34, 'दवा मार्ग');
INSERT INTO `lang_definitions` VALUES (180683, 3066, 34, 'दवा इकाइयों');
INSERT INTO `lang_definitions` VALUES (180684, 3072, 34, 'दवा');
INSERT INTO `lang_definitions` VALUES (180685, 3073, 34, 'दवा और उत्पाद');
INSERT INTO `lang_definitions` VALUES (180686, 3074, 34, 'शुष्क मुँह');
INSERT INTO `lang_definitions` VALUES (180687, 3075, 34, 'DSMIV निदान');
INSERT INTO `lang_definitions` VALUES (180688, 3076, 34, 'डीटी 1');
INSERT INTO `lang_definitions` VALUES (180689, 3077, 34, 'डीटी 2');
INSERT INTO `lang_definitions` VALUES (180690, 3078, 34, 'डीटी 3');
INSERT INTO `lang_definitions` VALUES (180691, 3079, 34, 'डीटी 4');
INSERT INTO `lang_definitions` VALUES (180692, 3080, 34, 'डीटी 5');
INSERT INTO `lang_definitions` VALUES (180693, 3081, 34, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (180694, 3082, 34, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (180695, 3083, 34, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (180696, 3084, 34, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (180697, 3085, 34, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (180698, 3087, 34, 'देय');
INSERT INTO `lang_definitions` VALUES (180699, 3088, 34, 'देय तिथि');
INSERT INTO `lang_definitions` VALUES (180700, 3090, 34, 'देय तारीख dd / mm / yyyy या YYYY-MM-DD');
INSERT INTO `lang_definitions` VALUES (180701, 3091, 34, 'देय तिथि:');
INSERT INTO `lang_definitions` VALUES (180702, 3092, 34, 'देय बीमा');
INSERT INTO `lang_definitions` VALUES (180703, 3093, 34, 'देय रोगी');
INSERT INTO `lang_definitions` VALUES (180704, 3094, 34, 'जल्द ही देय');
INSERT INTO `lang_definitions` VALUES (180705, 3095, 34, 'देय स्थिति');
INSERT INTO `lang_definitions` VALUES (180706, 3096, 34, 'देय स्थिति अपडेट');
INSERT INTO `lang_definitions` VALUES (180707, 3097, 34, 'OpenEMR डेटाबेस डम्पिंग');
INSERT INTO `lang_definitions` VALUES (180708, 3098, 34, 'OpenEMR वेब निर्देशिका वृक्ष डम्पिंग');
INSERT INTO `lang_definitions` VALUES (180709, 3099, 34, 'PhpGACL डेटाबेस डम्पिंग');
INSERT INTO `lang_definitions` VALUES (180710, 3100, 34, 'PhpGACL वेब निर्देशिका वृक्ष डम्पिंग');
INSERT INTO `lang_definitions` VALUES (180711, 3101, 34, 'एसक्यूएल लेजर डेटाबेस डम्पिंग');
INSERT INTO `lang_definitions` VALUES (180712, 3102, 34, 'डम्पिंग एसक्यूएल लेजर वेब निर्देशिका वृक्ष');
INSERT INTO `lang_definitions` VALUES (180713, 3103, 34, 'दोहराया जाँच');
INSERT INTO `lang_definitions` VALUES (180714, 3108, 34, 'लाइन पर दोहराया आईडी');
INSERT INTO `lang_definitions` VALUES (180715, 3109, 34, 'लाइन पर दोहराया नाम');
INSERT INTO `lang_definitions` VALUES (180716, 3110, 34, 'दोहराव चेतावनी');
INSERT INTO `lang_definitions` VALUES (180717, 3111, 34, 'वकील के टिकाऊ शक्ति');
INSERT INTO `lang_definitions` VALUES (180718, 3112, 34, 'अवधि');
INSERT INTO `lang_definitions` VALUES (180719, 3113, 34, 'अवधि');
INSERT INTO `lang_definitions` VALUES (180720, 3114, 34, 'डच देश');
INSERT INTO `lang_definitions` VALUES (180721, 3116, 34, 'Dx Rep');
INSERT INTO `lang_definitions` VALUES (180722, 3117, 34, 'निगलने में कठिनाई');
INSERT INTO `lang_definitions` VALUES (180723, 3118, 34, 'श्वासकष्ट:');
INSERT INTO `lang_definitions` VALUES (180724, 3119, 34, 'मूत्रकृच्छता सम्बन्धी');
INSERT INTO `lang_definitions` VALUES (180725, 3128, 34, 'ई पर्चे?');
INSERT INTO `lang_definitions` VALUES (180726, 3129, 34, 'ई की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (180727, 3130, 34, 'ई Rx');
INSERT INTO `lang_definitions` VALUES (180728, 3132, 34, 'ई Rx नवीकरण');
INSERT INTO `lang_definitions` VALUES (180729, 3135, 34, 'प्रत्येक प्राप्तकर्ता,अपने स्वयं के संदेशों को पूरा हो गया के रूप में सेट कर दे');
INSERT INTO `lang_definitions` VALUES (180730, 3140, 34, 'प्रारंभिक पुनरावृत्ति (<2 मो)');
INSERT INTO `lang_definitions` VALUES (180731, 3141, 34, 'कान');
INSERT INTO `lang_definitions` VALUES (180732, 3148, 34, 'ईसीजी');
INSERT INTO `lang_definitions` VALUES (180733, 3149, 34, 'eClaims');
INSERT INTO `lang_definitions` VALUES (180734, 3152, 34, 'सूजन');
INSERT INTO `lang_definitions` VALUES (180735, 3154, 34, 'ईडीआई इतिहास');
INSERT INTO `lang_definitions` VALUES (180736, 3155, 34, 'ईडीआई इतिहास');
INSERT INTO `lang_definitions` VALUES (180737, 3156, 34, 'ईडीआई इतिहास (शुल्क मे) ईडीआई दावा प्रतिक्रिया फ़ाइल भंडारण और व्याख्या के लिए!');
INSERT INTO `lang_definitions` VALUES (180738, 3157, 34, 'ईडीआई-271 फाइल अपलोड');
INSERT INTO `lang_definitions` VALUES (180739, 3158, 34, 'ईडीआई-271 रिस्पांस फाइल अपलोड');
INSERT INTO `lang_definitions` VALUES (180740, 3159, 34, 'संपादित करें');
INSERT INTO `lang_definitions` VALUES (180741, 3160, 34, 'संपादित करें');
INSERT INTO `lang_definitions` VALUES (180742, 3161, 34, 'संपादित करें एलर्जी');
INSERT INTO `lang_definitions` VALUES (180743, 3163, 34, 'संपादित करें श्रेणियाँ');
INSERT INTO `lang_definitions` VALUES (180744, 3165, 34, 'संपादित करें परिभाषाएँ');
INSERT INTO `lang_definitions` VALUES (180745, 3166, 34, 'संपादित करें परिभाषाएँ');
INSERT INTO `lang_definitions` VALUES (180746, 3167, 34, 'के लिए संपादित करें निदान');
INSERT INTO `lang_definitions` VALUES (180747, 3168, 34, 'संपादित करें प्रकटीकरण');
INSERT INTO `lang_definitions` VALUES (180748, 3173, 34, 'संपादित करें सुविधाएं');
INSERT INTO `lang_definitions` VALUES (180749, 3174, 34, 'संपादित करें सुविधा');
INSERT INTO `lang_definitions` VALUES (180750, 3175, 34, 'संपादित करें सुविधा सूचना');
INSERT INTO `lang_definitions` VALUES (180751, 3176, 34, 'संपादित करें सुविधा उपयोगकर्ता विशिष्ट जानकारी');
INSERT INTO `lang_definitions` VALUES (180752, 3177, 34, 'संपादित करें फ़ाइल में');
INSERT INTO `lang_definitions` VALUES (180753, 3178, 34, 'संपादित करें फार्म');
INSERT INTO `lang_definitions` VALUES (180754, 3179, 34, 'संपादित करें वैश्विक सेटिंग्स');
INSERT INTO `lang_definitions` VALUES (180755, 3181, 34, 'संपादन अधिकृत नहीं है!');
INSERT INTO `lang_definitions` VALUES (180756, 3183, 34, 'संपादित करें लेआउट');
INSERT INTO `lang_definitions` VALUES (180757, 3185, 34, 'संपादित करें सूची');
INSERT INTO `lang_definitions` VALUES (180758, 3188, 34, 'संपादित करें पेमेंट');
INSERT INTO `lang_definitions` VALUES (180759, 3189, 34, 'संपादित करें संरचना');
INSERT INTO `lang_definitions` VALUES (180760, 3192, 34, 'उपयोगकर्ता संपादित करें');
INSERT INTO `lang_definitions` VALUES (180761, 3193, 34, 'उपयोगकर्ता सेटिंग्स संपादित करें');
INSERT INTO `lang_definitions` VALUES (180762, 3196, 34, 'शिक्षा');
INSERT INTO `lang_definitions` VALUES (180763, 3197, 34, 'शिक्षा तिथि');
INSERT INTO `lang_definitions` VALUES (180764, 3199, 34, 'अधिक जानकारी के लिए * जीएनयू जनरल पब्लिक लाइसेंस ee. ** आपको इस कार्यक्रम के साथ साथ जीएनयू जनरल पब्लिक लाइसेंस * की एक प्रतिलिपि प्राप्त हुई होगी, नहीं तो, नि: शुल्क के लिए लिख');
INSERT INTO `lang_definitions` VALUES (180765, 3200, 34, 'प्रभावी तिथि');
INSERT INTO `lang_definitions` VALUES (180766, 3202, 34, 'प्रभाव');
INSERT INTO `lang_definitions` VALUES (180767, 3204, 34, 'ईआईऍन');
INSERT INTO `lang_definitions` VALUES (180768, 3207, 34, 'ejaculations');
INSERT INTO `lang_definitions` VALUES (180769, 3208, 34, 'कोहनी');
INSERT INTO `lang_definitions` VALUES (180770, 3209, 34, 'कोहनी की समस्याएं');
INSERT INTO `lang_definitions` VALUES (180771, 3210, 34, 'इलेक्ट्रोनिक');
INSERT INTO `lang_definitions` VALUES (180772, 3214, 34, 'इलेक्ट्रॉनिक remits');
INSERT INTO `lang_definitions` VALUES (180773, 3215, 34, 'इलेक्ट्रॉनिक रिपोर्टें');
INSERT INTO `lang_definitions` VALUES (180774, 3218, 34, 'पात्रता');
INSERT INTO `lang_definitions` VALUES (180775, 3219, 34, 'पात्रता 270 बैच की जाँच');
INSERT INTO `lang_definitions` VALUES (180776, 3220, 34, 'पात्रता प्रतिक्रिया');
INSERT INTO `lang_definitions` VALUES (180777, 3222, 34, 'बच्चों के वैक्सीन की आपूर्ति के लिए पात्रता स्थिति');
INSERT INTO `lang_definitions` VALUES (180778, 3223, 34, 'पात्र');
INSERT INTO `lang_definitions` VALUES (180779, 3225, 34, 'ईमेल');
INSERT INTO `lang_definitions` VALUES (180780, 3228, 34, 'ईमेल का पता');
INSERT INTO `lang_definitions` VALUES (180781, 3230, 34, 'रोगी अनुस्मारक के लिए प्रेषक का ईमेल पता. रोगी अनुस्मारक के उत्तरों को इस पते पर भेज दिया जाएगा.अपने क्लिनिक के डोमेन से एक पते का उपयोग करना आवश्यक है. यह रोगी अनुस्मारक को जंक मेल फोल्डर में जाने से रोकने में मदद करता है!');
INSERT INTO `lang_definitions` VALUES (180782, 3231, 34, 'ईमेल पता, यदि कोई हो, प्रशासनिक सूचनाएं प्राप्त करने के लिए.');
INSERT INTO `lang_definitions` VALUES (180783, 3232, 34, 'ईमेल पता, यदि कोई हो, आपातकालीन लॉगिन उपयोगकर्ता सक्रियण संदेश प्राप्त करने के लिए.');
INSERT INTO `lang_definitions` VALUES (180784, 3233, 34, 'ईमेल प्रमाणीकरण');
INSERT INTO `lang_definitions` VALUES (180785, 3236, 34, 'Batchcom से ईमेल');
INSERT INTO `lang_definitions` VALUES (180786, 3238, 34, 'ईमेल सूचना');
INSERT INTO `lang_definitions` VALUES (180787, 3239, 34, 'ईमेल सूचना के घंटे');
INSERT INTO `lang_definitions` VALUES (180788, 3240, 34, 'ईमेल सूचना रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (180789, 3244, 34, 'ईमेल पहले भेजा गया');
INSERT INTO `lang_definitions` VALUES (180790, 3245, 34, 'ईमेल प्रेषक');
INSERT INTO `lang_definitions` VALUES (180791, 3246, 34, 'ईमेल भेजा गया');
INSERT INTO `lang_definitions` VALUES (180792, 3247, 34, 'ईमेल भेजा');
INSERT INTO `lang_definitions` VALUES (180793, 3248, 34, 'ईमेल विषय');
INSERT INTO `lang_definitions` VALUES (180794, 3251, 34, 'ईमेल पाठ, उपयोगी टैग: *** नाम ***, यानी प्रिय *** नाम ***');
INSERT INTO `lang_definitions` VALUES (180795, 3252, 34, 'ईमेल पाठ, उपयोगी टैग: *** नाम ***, यानी प्रिय *** नाम *** {. {अनुवाद नहीं है *** नाम *** यह निरंतर के तत्वों}}');
INSERT INTO `lang_definitions` VALUES (180796, 3253, 34, 'ईमेल परिवहन विधि');
INSERT INTO `lang_definitions` VALUES (180797, 3254, 34, 'ईमेल निम्न पते पर भेजा गया था');
INSERT INTO `lang_definitions` VALUES (180798, 3259, 34, 'आपातकालीन संपर्क');
INSERT INTO `lang_definitions` VALUES (180799, 3260, 34, 'आपातकालीन संपर्क अधिकारी');
INSERT INTO `lang_definitions` VALUES (180800, 3261, 34, 'आपातकालीन संपर्क फोन नंबर');
INSERT INTO `lang_definitions` VALUES (180801, 3262, 34, 'आपातकालीन गर्भनिरोधक');
INSERT INTO `lang_definitions` VALUES (180802, 3263, 34, 'इमरजेंसी प्रवेश');
INSERT INTO `lang_definitions` VALUES (180803, 3264, 34, 'इमरजेंसी लॉग इन एसीएल चुना है.अब भी उपयोगकर्ता सक्रिय स्थिति में है, उपयोगकर्ता को निष्क्रिय करें और आपात स्थितियों के दौरान जरूरत पड़ने पर ही सक्रिय करें.सक्रिय या निष्क्रिय करने के लिए के लिए प्रशासन> उपयोगकर्ता मे जाएँ!');
INSERT INTO `lang_definitions` VALUES (180804, 3265, 34, 'इमरजेंसी लॉग इन सक्रियकरण ईमेल परिचालित किया जाएगा जब केवल इंटरफेस / globals.php फ़ाइल में निम्न सेटिंग्स कॉन्फ़िगर किया जाता है!');
INSERT INTO `lang_definitions` VALUES (180805, 3266, 34, 'इमरजेंसी लॉग इन ईमेल पता');
INSERT INTO `lang_definitions` VALUES (180806, 3267, 34, 'इमरजेंसी लॉग इन उपयोगकर्ता कुछ भी कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (180807, 3268, 34, 'आपातकालीन फोन');
INSERT INTO `lang_definitions` VALUES (180808, 3270, 34, 'भावनात्मक / व्यवहार स्थितियां और जटिलताएं');
INSERT INTO `lang_definitions` VALUES (180809, 3271, 34, 'वातस्फीति');
INSERT INTO `lang_definitions` VALUES (180810, 3272, 34, 'कर्मचारी');
INSERT INTO `lang_definitions` VALUES (180811, 3273, 34, 'नियोक्ता');
INSERT INTO `lang_definitions` VALUES (180812, 3274, 34, 'नियोक्ता पता');
INSERT INTO `lang_definitions` VALUES (180813, 3275, 34, 'नियोक्ता डाटा');
INSERT INTO `lang_definitions` VALUES (180814, 3276, 34, 'नियोक्ता का नाम');
INSERT INTO `lang_definitions` VALUES (180815, 3277, 34, 'खाली');
INSERT INTO `lang_definitions` VALUES (180816, 3278, 34, 'खाली');
INSERT INTO `lang_definitions` VALUES (180817, 3279, 34, 'खाली पासवर्ड की अनुमति नहीं');
INSERT INTO `lang_definitions` VALUES (180818, 3281, 34, 'ईमेल घंटे में खाली मूल्य');
INSERT INTO `lang_definitions` VALUES (180819, 3282, 34, 'ईमेल प्रेषक में खाली मूल्य');
INSERT INTO `lang_definitions` VALUES (180820, 3283, 34, 'ईमेल विषय में खाली मूल्य');
INSERT INTO `lang_definitions` VALUES (180821, 3284, 34, 'ईमेल पाठ में खाली मूल्य');
INSERT INTO `lang_definitions` VALUES (180822, 3285, 34, 'प्रदाता का नाम में खाली मूल्य');
INSERT INTO `lang_definitions` VALUES (180823, 3286, 34, 'पासवर्ड में खाली मूल्य');
INSERT INTO `lang_definitions` VALUES (180824, 3287, 34, 'एसएमएस घंटे में खाली मूल्य');
INSERT INTO `lang_definitions` VALUES (180825, 3288, 34, 'एसएमएस पाठ में खाली मूल्य');
INSERT INTO `lang_definitions` VALUES (180826, 3289, 34, 'उपयोगकर्ता नाम में खाली मूल्य');
INSERT INTO `lang_definitions` VALUES (180827, 3298, 34, 'एएमसी उत्साह सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180828, 3300, 34, 'एएमसी रिपोर्टिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180829, 3301, 34, 'एएमसी ट्रैकिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180830, 3303, 34, 'ATNA अंकेक्षण सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180831, 3305, 34, 'ऑडिट लॉगिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180832, 3306, 34, 'ऑडिट ट्रेल और नोड प्रमाणीकरण (ATNA)सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180833, 3307, 34, 'स्वचालित उपाय गणना सक्रिय करें(एएमसी) रिपोर्टिंग');
INSERT INTO `lang_definitions` VALUES (180834, 3312, 34, 'क्लाएंट एसएसएल सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180835, 3313, 34, 'ग्राहक एसएसएल प्रमाणपत्र प्रमाणन को सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180836, 3315, 34, 'नैदानिक ​​निर्णय नियम सक्रिय करें (सीडीआर)');
INSERT INTO `lang_definitions` VALUES (180837, 3318, 34, '(CQM) रिपोर्टिंग क्लीनिकल गुणवत्ता के उपाय सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180838, 3319, 34, 'क्लीनिकल अनुस्मारक पॉपअप सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180839, 3320, 34, 'क्लीनिकल अनुस्मारक विजेट सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180840, 3324, 34, 'CQM रिपोर्टिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180841, 3329, 34, 'बाएँ मेनू में ईडीआई इतिहास सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180842, 3334, 34, 'बाएँ मेनू में फीस सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180843, 3341, 34, 'Hylafax समर्थन सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180844, 3343, 34, 'NewCrop ERX के लिए आयात स्थिति संदेश सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180845, 3347, 34, 'लैब विनिमय सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180846, 3349, 34, 'CouchDB में दस्तावेज़ अपलोड / डाउनलोड करने के लिए लॉग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180847, 3350, 34, 'सभी SQL चयन प्रश्नों की लॉगिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180848, 3351, 34, 'बैकअप से संबंधित गतिविधियों की लॉगिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180849, 3352, 34, 'सीडीआर इंजन प्रश्नों की लॉगिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180850, 3353, 34, 'विविध गतिविधियों की लॉगिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180851, 3354, 34, 'गतिविधियों आदेश देने की लॉगिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180852, 3355, 34, 'रोगी रिकॉर्ड संशोधनों की लॉगिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180853, 3356, 34, 'समय निर्धारण गतिविधियों की लॉगिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180854, 3357, 34, 'सुरक्षा और प्रशासन की गतिविधियों की लॉगिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180855, 3360, 34, 'NewCrop ERX सेवा सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180856, 3365, 34, 'Offsite रोगी पोर्टल सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180857, 3366, 34, 'Offsite रोगी पोर्टल सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180858, 3368, 34, 'Onsite रोगी पोर्टल सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180859, 3371, 34, 'Onsite रोगी पोर्टल सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180860, 3385, 34, 'रोगी अनुस्मारक विजेट सक्षम करें');
INSERT INTO `lang_definitions` VALUES (180861, 3387, 34, 'PhiMail प्रत्यक्ष संदेश सेवा सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180862, 3389, 34, 'स्वचालित उपाय गणना (एएमसी) के लिए आवश्यक डेटा के लिए उत्साह सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180863, 3391, 34, 'स्वचालित उपाय गणना के लिए ट्रैकिंग तिथि (एएमसी) की रिपोर्टिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180864, 3392, 34, 'स्कैनर समर्थन सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180865, 3396, 34, 'मैडिकल इन्फोर्मेशन इंटीग्रेशन, LLC लैब विनिमय सेवा को सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180866, 3397, 34, 'OpenEMR समर्थन LLC लैब विनिमय सेवा को सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180867, 3398, 34, 'उपयोगकर्ता प्रमाणपत्र प्रमाणीकरण सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180868, 3403, 34, 'ZMG, LLC ERX सेवा सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (180869, 3404, 34, 'सक्रिय किया');
INSERT INTO `lang_definitions` VALUES (180870, 3412, 34, 'Enables the old Charges panel for entering billing codes and payments. Not recommended, use the Fee Sheet instead.');
INSERT INTO `lang_definitions` VALUES (180871, 3415, 34, 'मुठभेड़');
INSERT INTO `lang_definitions` VALUES (180872, 3417, 34, 'मुठभेड़');
INSERT INTO `lang_definitions` VALUES (180873, 3418, 34, 'मुठभेड़');
INSERT INTO `lang_definitions` VALUES (180874, 3419, 34, 'मुठभेड़');
INSERT INTO `lang_definitions` VALUES (180875, 3420, 34, 'मुठभेड़');
INSERT INTO `lang_definitions` VALUES (180876, 3421, 34, 'मुठभेड़ एक्यूट inpatient या ED');
INSERT INTO `lang_definitions` VALUES (180877, 3427, 34, 'मुठभेड़ तिथि');
INSERT INTO `lang_definitions` VALUES (180878, 3430, 34, 'मुठभेड़ ईडीआई रिकॉर्ड');
INSERT INTO `lang_definitions` VALUES (180879, 3432, 34, 'मुठभेड़ फॉर्म्स');
INSERT INTO `lang_definitions` VALUES (180880, 3433, 34, 'मुठभेड़ स्वास्थ्य और व्यवहार मूल्यांकन');
INSERT INTO `lang_definitions` VALUES (180881, 3434, 34, 'मुठभेड़ इतिहास');
INSERT INTO `lang_definitions` VALUES (180882, 3435, 34, 'मुठभेड़ आईडी');
INSERT INTO `lang_definitions` VALUES (180883, 3436, 34, 'मुठभेड़ इन्फ्लूएंजा');
INSERT INTO `lang_definitions` VALUES (180884, 3439, 34, 'मुठभेड़ संख्या');
INSERT INTO `lang_definitions` VALUES (180885, 3441, 34, 'मुठभेड़ नर्सिंग छुट्टी के');
INSERT INTO `lang_definitions` VALUES (180886, 3442, 34, 'मुठभेड़ नर्सिंग सुविधा');
INSERT INTO `lang_definitions` VALUES (180887, 3443, 34, 'मुठभेड़ व्यावसायिक चिकित्सा');
INSERT INTO `lang_definitions` VALUES (180888, 3444, 34, 'मुठभेड़ कार्यालय का दौरा');
INSERT INTO `lang_definitions` VALUES (180889, 3445, 34, 'मुठभेड़ आउट पेशेंट');
INSERT INTO `lang_definitions` VALUES (180890, 3446, 34, 'मुठभेड़ आउट पेशेंट डब्ल्यू / पीसीपी और OBGYN');
INSERT INTO `lang_definitions` VALUES (180891, 3447, 34, 'मुठभेड़ पृष्ठ आकार');
INSERT INTO `lang_definitions` VALUES (180892, 3448, 34, 'मुठभेड़ भुगतान');
INSERT INTO `lang_definitions` VALUES (180893, 3449, 34, 'मुठभेड़ गर्भावस्था');
INSERT INTO `lang_definitions` VALUES (180894, 3450, 34, 'मुठभेड़ निवारक चिकित्सा - व्यक्तिगत परामर्श');
INSERT INTO `lang_definitions` VALUES (180895, 3451, 34, 'मुठभेड़ निवारक चिकित्सा 40 और पुराने');
INSERT INTO `lang_definitions` VALUES (180896, 3452, 34, 'मुठभेड़ निवारक चिकित्सा समूह के परामर्श');
INSERT INTO `lang_definitions` VALUES (180897, 3453, 34, 'मुठभेड़ निवारक चिकित्सा अन्य सेवाएं');
INSERT INTO `lang_definitions` VALUES (180898, 3454, 34, 'मुठभेड़ निवारक चिकित्सा सेवाओं 18 और पुराने');
INSERT INTO `lang_definitions` VALUES (180899, 3457, 34, 'मुठभेड़ मनोरोग और मनोवैज्ञानिक');
INSERT INTO `lang_definitions` VALUES (180900, 3458, 34, 'मुठभेड़ के आँकड़े');
INSERT INTO `lang_definitions` VALUES (180901, 3459, 34, 'मुठभेड़ सारांश');
INSERT INTO `lang_definitions` VALUES (180902, 3461, 34, 'मुठभेड़ कोडित था');
INSERT INTO `lang_definitions` VALUES (180903, 3462, 34, 'मुठभेड़:');
INSERT INTO `lang_definitions` VALUES (180904, 3463, 34, 'मुठभेड़: मुठभेड़ अतीव्र inpt, आउट पेशेंट, या नेत्र विज्ञान के');
INSERT INTO `lang_definitions` VALUES (180905, 3464, 34, 'मुठभेड़');
INSERT INTO `lang_definitions` VALUES (180906, 3465, 34, 'मुठभेड़ और प्रपत्र');
INSERT INTO `lang_definitions` VALUES (180907, 3466, 34, 'मुठभेड़ और प्रपत्र');
INSERT INTO `lang_definitions` VALUES (180908, 3467, 34, 'अधिकृत नहीं मुठभेड़');
INSERT INTO `lang_definitions` VALUES (180909, 3468, 34, 'मुठभेड़ की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (180910, 3469, 34, 'मुठभेड़ धारा');
INSERT INTO `lang_definitions` VALUES (180911, 3471, 34, 'एन्क्रिप्शन');
INSERT INTO `lang_definitions` VALUES (180912, 3472, 34, 'अंत');
INSERT INTO `lang_definitions` VALUES (180913, 3473, 34, 'अंत (YYYY-MM-DD):');
INSERT INTO `lang_definitions` VALUES (180914, 3474, 34, 'अंत तिथि');
INSERT INTO `lang_definitions` VALUES (180915, 3475, 34, 'अंतिम तिथि');
INSERT INTO `lang_definitions` VALUES (180916, 3480, 34, 'अंतिम तिथि प्रारम्भ तिथि से अधिक होनी चाहिए');
INSERT INTO `lang_definitions` VALUES (180917, 3482, 34, 'अंत तिथि:');
INSERT INTO `lang_definitions` VALUES (180918, 3487, 34, 'अंत समय');
INSERT INTO `lang_definitions` VALUES (180919, 3489, 34, 'कार्यदाता समूह योजना के साथ MCP में अंत मंच वृक्क रोग के लाभार्थी');
INSERT INTO `lang_definitions` VALUES (180920, 3492, 34, 'सेवा समाप्त होने की तिथि YYYY-MM-DD');
INSERT INTO `lang_definitions` VALUES (180921, 3493, 34, 'खत्म होने वाली DOS dd / mm / yyyy, एक सीमा में प्रवेश करने के लिए!');
INSERT INTO `lang_definitions` VALUES (180922, 3494, 34, 'कैलेंडर की घटनाओं के लिए दिन के समाप्त घंटे.');
INSERT INTO `lang_definitions` VALUES (180923, 3495, 34, 'Endo असामान्य रक्त');
INSERT INTO `lang_definitions` VALUES (180924, 3496, 34, 'अंत: स्त्रावी');
INSERT INTO `lang_definitions` VALUES (180925, 3497, 34, 'अंत: दर्शन');
INSERT INTO `lang_definitions` VALUES (180926, 3502, 34, 'अंग्रेज़ी');
INSERT INTO `lang_definitions` VALUES (180927, 3503, 34, 'अंग्रेज़ी');
INSERT INTO `lang_definitions` VALUES (180928, 3504, 34, 'अंग्रेजी (भारतीय)');
INSERT INTO `lang_definitions` VALUES (180929, 3505, 34, 'अंग्रेजी (मानक)');
INSERT INTO `lang_definitions` VALUES (180930, 3506, 34, 'Hylafax द्वारा इस्तेमाल किया Enscript आदेश.');
INSERT INTO `lang_definitions` VALUES (180931, 3507, 34, 'OpenEMR के लिए निर्देशिका में लिखने के विशेषाधिकार सुनिश्चित करें!');
INSERT INTO `lang_definitions` VALUES (180932, 3509, 34, 'इ एन टी निर्वहन');
INSERT INTO `lang_definitions` VALUES (180933, 3510, 34, 'इ एन टी दर्द');
INSERT INTO `lang_definitions` VALUES (180934, 3513, 34, 'इसको समाहित नहीं करने वाले सभी चालान बाहर करने के लिए एक निदान कोड दर्ज करें!');
INSERT INTO `lang_definitions` VALUES (180935, 3518, 34, 'यहाँ शरीर के अक्षर दर्ज करें');
INSERT INTO `lang_definitions` VALUES (180936, 3520, 34, 'डाटाबेस रूट पासवर्ड दर्ज करें');
INSERT INTO `lang_definitions` VALUES (180937, 3521, 34, 'डाटाबेस जड़ उपयोगकर्ता नाम दर्ज करें');
INSERT INTO `lang_definitions` VALUES (180938, 3529, 34, 'निदान दर्ज करें');
INSERT INTO `lang_definitions` VALUES (180939, 3530, 34, 'दवा दर्ज करें');
INSERT INTO `lang_definitions` VALUES (180940, 3533, 34, 'मुठभेड़ दर्ज करें');
INSERT INTO `lang_definitions` VALUES (180941, 3534, 34, 'मुठभेड़ संख्या दर्ज करें');
INSERT INTO `lang_definitions` VALUES (180942, 3537, 34, 'टीकाकरण दर्ज करें');
INSERT INTO `lang_definitions` VALUES (180943, 3538, 34, 'कुंजी दर्ज करें');
INSERT INTO `lang_definitions` VALUES (180944, 3544, 34, 'नए राज्य दर्ज करें');
INSERT INTO `lang_definitions` VALUES (180945, 3549, 34, 'प्राप्तकर्ता का  \'प्रत्यक्ष पता दर्ज करें');
INSERT INTO `lang_definitions` VALUES (180946, 3569, 34, 'पुनः पहचान कोड दर्ज करें');
INSERT INTO `lang_definitions` VALUES (180947, 3581, 34, 'ऊपर अपने खोज मापदंड दर्ज करें');
INSERT INTO `lang_definitions` VALUES (180948, 3584, 34, 'त्रुटि में दर्ज किया');
INSERT INTO `lang_definitions` VALUES (180949, 3586, 34, 'प्रविष्टियों');
INSERT INTO `lang_definitions` VALUES (180950, 3591, 34, 'पर्यावरण');
INSERT INTO `lang_definitions` VALUES (180951, 3592, 34, 'EOB डाटा एंट्री');
INSERT INTO `lang_definitions` VALUES (180952, 3596, 34, 'EOB पोस्टिंग - इलेक्ट्रॉनिक प्रेषण');
INSERT INTO `lang_definitions` VALUES (180953, 3597, 34, 'EOB पोस्टिंग - निर्देश');
INSERT INTO `lang_definitions` VALUES (180954, 3598, 34, 'EOB पोस्टिंग - चालान');
INSERT INTO `lang_definitions` VALUES (180955, 3599, 34, 'EOB पोस्टिंग - रोगी नोट');
INSERT INTO `lang_definitions` VALUES (180956, 3600, 34, 'EOB पोस्टिंग - खोज');
INSERT INTO `lang_definitions` VALUES (180957, 3602, 34, 'मिर्गी');
INSERT INTO `lang_definitions` VALUES (180958, 3608, 34, 'ERA');
INSERT INTO `lang_definitions` VALUES (180959, 3609, 34, 'ERA फ़ाइलें');
INSERT INTO `lang_definitions` VALUES (180960, 3610, 34, 'ERA पोस्टिंग');
INSERT INTO `lang_definitions` VALUES (180961, 3612, 34, 'मिटाना');
INSERT INTO `lang_definitions` VALUES (180962, 3614, 34, 'इरेक्शन');
INSERT INTO `lang_definitions` VALUES (180963, 3615, 34, 'त्रुटि');
INSERT INTO `lang_definitions` VALUES (180964, 3617, 34, 'प्रयोगशाला के परिणाम प्राप्त होने की त्रुटि की पुष्टि');
INSERT INTO `lang_definitions` VALUES (180965, 3620, 34, 'लैब एक्सचेंज नेटवर्क से प्रयोगशाला के परिणाम प्राप्त करने में त्रुटि');
INSERT INTO `lang_definitions` VALUES (180966, 3621, 34, 'लिंग चयन में त्रुटि');
INSERT INTO `lang_definitions` VALUES (180967, 3622, 34, 'HIPAA चयन में त्रुटि');
INSERT INTO `lang_definitions` VALUES (180968, 3623, 34, 'प्रक्रिया चयन में त्रुटि');
INSERT INTO `lang_definitions` VALUES (180969, 3624, 34, 'एसएमएस गेटवे चयन में त्रुटि');
INSERT INTO `lang_definitions` VALUES (180970, 3625, 34, 'छंटनी करें चयन में त्रुटि');
INSERT INTO `lang_definitions` VALUES (180971, 3626, 34, 'फ़ाइल का gzip संपीड़न में त्रुटि:');
INSERT INTO `lang_definitions` VALUES (180972, 3627, 34, 'हाँ या नहीं विकल्प में त्रुटि');
INSERT INTO `lang_definitions` VALUES (180973, 3630, 34, 'अपलोड की गई फ़ाइल पढ़ने के लिए खोलने में त्रुटि');
INSERT INTO `lang_definitions` VALUES (180974, 3631, 34, 'फ़ाइल प्रक्रिया में त्रुटि');
INSERT INTO `lang_definitions` VALUES (180975, 3632, 34, 'अपलोड प्रक्रिया में त्रुटि');
INSERT INTO `lang_definitions` VALUES (180976, 3633, 34, 'त्रुटि संदेश हटा रहा है');
INSERT INTO `lang_definitions` VALUES (180977, 3634, 34, 'लैब एक्सचेंज नेटवर्क से परिणाम पाने में त्रुटि');
INSERT INTO `lang_definitions` VALUES (180978, 3635, 34, 'मूल्यों को पुन: प्राप्त करने में त्रुटि.');
INSERT INTO `lang_definitions` VALUES (180979, 3637, 34, 'OpenEMR उपयोगकर्ता के लिए फ़ाइल विशेषाधिकार देने में त्रुटि.');
INSERT INTO `lang_definitions` VALUES (180980, 3640, 34, 'फॉर्म पंजीकरण करने के दौरान त्रुटि!');
INSERT INTO `lang_definitions` VALUES (180981, 3641, 34, 'फ़ाइल सहेजने के दौरान त्रुटि.');
INSERT INTO `lang_definitions` VALUES (180982, 3643, 34, 'फ़ाइल लिखने के दौरान त्रुटि');
INSERT INTO `lang_definitions` VALUES (180983, 3646, 34, 'त्रुटि (ओं) नए परिणामों का सामना करते समय.');
INSERT INTO `lang_definitions` VALUES (180984, 3651, 34, 'त्रुटि, फ़ाइल मौजूद नहीं है');
INSERT INTO `lang_definitions` VALUES (180985, 3652, 34, 'त्रुटि, सर्वर से डाटा एकत्र करने में असमर्थ');
INSERT INTO `lang_definitions` VALUES (180986, 3653, 34, 'त्रुटि, क्लाइंट प्रमाण पत्र नहीं बना सके.');
INSERT INTO `lang_definitions` VALUES (180987, 3654, 34, 'त्रुटि, admin.p12 प्रमाण पत्र नहीं बना सके.');
INSERT INTO `lang_definitions` VALUES (180988, 3655, 34, 'त्रुटि, प्रमाणपत्र प्राधिकार प्रमाण पत्र नहीं बना सके.');
INSERT INTO `lang_definitions` VALUES (180989, 3656, 34, 'त्रुटि, सर्वर प्रमाणपत्र बनाने में असमर्थ.');
INSERT INTO `lang_definitions` VALUES (180990, 3658, 34, 'त्रुटि, को खोलने में असमर्थ फ़ाइल');
INSERT INTO `lang_definitions` VALUES (180991, 3659, 34, 'त्रुटि, उपयोगकर्ता प्रमाणपत्र प्रमाणीकरण OpenEMR में सक्षम नहीं है');
INSERT INTO `lang_definitions` VALUES (180992, 3663, 34, 'त्रुटि. आप संग्रह / Tar.php PHP मॉड्यूल स्थापित करने की जरूरत है.');
INSERT INTO `lang_definitions` VALUES (180993, 3664, 34, 'त्रुटि: table.sql, टूटे फार्म को नहीं खोल सकता है?');
INSERT INTO `lang_definitions` VALUES (180994, 3667, 34, 'त्रुटि: लाइन पर आईडी दोहराया');
INSERT INTO `lang_definitions` VALUES (180995, 3668, 34, 'त्रुटि: लाइन पर नाम दोहराया');
INSERT INTO `lang_definitions` VALUES (180996, 3669, 34, 'त्रुटि: फील्ड');
INSERT INTO `lang_definitions` VALUES (180997, 3670, 34, 'त्रुटि: ZipArchive php मॉड्यूल लापता');
INSERT INTO `lang_definitions` VALUES (180998, 3671, 34, 'त्रुटि: आईसीडी आयात निर्देशिका नहीं.');
INSERT INTO `lang_definitions` VALUES (180999, 3672, 34, 'त्रुटि: पासवर्ड मेल नहीं खाते. अपनी टाइपिंग की जांच करें.');
INSERT INTO `lang_definitions` VALUES (181000, 3673, 34, 'त्रुटि: पासवर्ड मेल नहीं खाते. अपनी टाइपिंग की जांच करें.');
INSERT INTO `lang_definitions` VALUES (181001, 3674, 34, 'त्रुटि: फ़ाइल मौजूद नहीं है');
INSERT INTO `lang_definitions` VALUES (181002, 3675, 34, 'त्रुटि: निम्नलिखित चर का अमान्य वर्ण हैं');
INSERT INTO `lang_definitions` VALUES (181003, 3676, 34, 'त्रुटि: फाइल कॉपी करने में असमर्थ.');
INSERT INTO `lang_definitions` VALUES (181004, 3677, 34, 'त्रुटि: नया संग्रह बनाने में असमर्थ');
INSERT INTO `lang_definitions` VALUES (181005, 3678, 34, 'त्रुटि: ज़िप संग्रह बनाने में असमर्थ.');
INSERT INTO `lang_definitions` VALUES (181006, 3679, 34, 'त्रुटि: फ़ाइल निकालने में असमर्थ.');
INSERT INTO `lang_definitions` VALUES (181007, 3680, 34, 'त्रुटि: डेटाबेस में फ़ाइल लोड करने में असमर्थ.');
INSERT INTO `lang_definitions` VALUES (181008, 3681, 34, 'त्रुटि: संस्करण संख्या निर्धारित करने में असमर्थ.');
INSERT INTO `lang_definitions` VALUES (181009, 3682, 34, 'त्रुटियाँ');
INSERT INTO `lang_definitions` VALUES (181010, 3684, 34, 'ERX खाते की स्थिति');
INSERT INTO `lang_definitions` VALUES (181011, 3685, 34, 'ERX लॉग्स');
INSERT INTO `lang_definitions` VALUES (181012, 3686, 34, 'ERX नाम');
INSERT INTO `lang_definitions` VALUES (181013, 3687, 34, 'ERX पारण');
INSERT INTO `lang_definitions` VALUES (181014, 3688, 34, 'ERX भूमिका');
INSERT INTO `lang_definitions` VALUES (181015, 3689, 34, 'ERX उपयोगकर्ता');
INSERT INTO `lang_definitions` VALUES (181016, 3690, 34, 'पर्विल:');
INSERT INTO `lang_definitions` VALUES (181017, 3693, 34, 'एस्किमो');
INSERT INTO `lang_definitions` VALUES (181018, 3699, 34, 'स्थापित रोगी');
INSERT INTO `lang_definitions` VALUES (181019, 3700, 34, 'एस्तोनियावासी');
INSERT INTO `lang_definitions` VALUES (181020, 3701, 34, 'नस्ल');
INSERT INTO `lang_definitions` VALUES (181021, 3702, 34, 'नस्ल या जाति');
INSERT INTO `lang_definitions` VALUES (181022, 3703, 34, 'नस्ल रेस सूची (लिखना addonly, वैकल्पिक )');
INSERT INTO `lang_definitions` VALUES (181023, 3706, 34, 'ETIN');
INSERT INTO `lang_definitions` VALUES (181024, 3709, 34, 'घटना');
INSERT INTO `lang_definitions` VALUES (181025, 3710, 34, 'घटना शुरू होती है');
INSERT INTO `lang_definitions` VALUES (181026, 3711, 34, 'घटना श्रेणी');
INSERT INTO `lang_definitions` VALUES (181027, 3712, 34, 'घटना दिनांक');
INSERT INTO `lang_definitions` VALUES (181028, 3714, 34, 'घटना विवरण');
INSERT INTO `lang_definitions` VALUES (181029, 3715, 34, 'घटना विवरण');
INSERT INTO `lang_definitions` VALUES (181030, 3716, 34, 'घटना दोहराया नहीं करता');
INSERT INTO `lang_definitions` VALUES (181031, 3717, 34, 'घटना अवधि');
INSERT INTO `lang_definitions` VALUES (181032, 3718, 34, 'मिनटों में घटना की अवधि');
INSERT INTO `lang_definitions` VALUES (181033, 3719, 34, 'घटना का शुल्क');
INSERT INTO `lang_definitions` VALUES (181034, 3720, 34, 'घटना स्थान');
INSERT INTO `lang_definitions` VALUES (181035, 3721, 34, 'घटना दोहराता है हर');
INSERT INTO `lang_definitions` VALUES (181036, 3722, 34, 'घटना इस पर दोहराता है');
INSERT INTO `lang_definitions` VALUES (181037, 3723, 34, 'घटना का समय शुरू');
INSERT INTO `lang_definitions` VALUES (181038, 3724, 34, 'घटना शीर्षक');
INSERT INTO `lang_definitions` VALUES (181039, 3725, 34, 'घटना शीर्षक');
INSERT INTO `lang_definitions` VALUES (181040, 3726, 34, 'घटना वेबसाइट');
INSERT INTO `lang_definitions` VALUES (181041, 3727, 34, 'घटनाक्रम');
INSERT INTO `lang_definitions` VALUES (181042, 3728, 34, 'के लिए घटनाक्रम');
INSERT INTO `lang_definitions` VALUES (181043, 3729, 34, 'घटनाक्रम नए विंडो में खुलेगा');
INSERT INTO `lang_definitions` VALUES (181044, 3731, 34, 'हर');
INSERT INTO `lang_definitions` VALUES (181045, 3732, 34, 'हर');
INSERT INTO `lang_definitions` VALUES (181046, 3734, 34, 'हर 3 घंटे');
INSERT INTO `lang_definitions` VALUES (181047, 3736, 34, 'हर 4 घंटे');
INSERT INTO `lang_definitions` VALUES (181048, 3738, 34, 'हर 5 घंटे');
INSERT INTO `lang_definitions` VALUES (181049, 3740, 34, 'हर 6 घंटे');
INSERT INTO `lang_definitions` VALUES (181050, 3742, 34, 'हर 8 घंटे');
INSERT INTO `lang_definitions` VALUES (181051, 3743, 34, 'हर चौथे');
INSERT INTO `lang_definitions` VALUES (181052, 3745, 34, 'हर दूसरे');
INSERT INTO `lang_definitions` VALUES (181053, 3746, 34, 'हर तीसरे');
INSERT INTO `lang_definitions` VALUES (181054, 3747, 34, 'हर, हर दूसरे, हर 3, आदि');
INSERT INTO `lang_definitions` VALUES (181055, 3749, 34, 'परीक्षा और परीक्षा परिणाम');
INSERT INTO `lang_definitions` VALUES (181056, 3750, 34, 'परीक्षा परिणाम');
INSERT INTO `lang_definitions` VALUES (181057, 3753, 34, 'परीक्षा');
INSERT INTO `lang_definitions` VALUES (181058, 3754, 34, 'परीक्षा तिथि');
INSERT INTO `lang_definitions` VALUES (181059, 3755, 34, 'उदाहरण');
INSERT INTO `lang_definitions` VALUES (181060, 3758, 34, 'उदाहरण');
INSERT INTO `lang_definitions` VALUES (181061, 3760, 34, 'परीक्षा / टेस्ट');
INSERT INTO `lang_definitions` VALUES (181062, 3762, 34, 'को छोड़कर');
INSERT INTO `lang_definitions` VALUES (181063, 3763, 34, 'अत्यधिक फाड़');
INSERT INTO `lang_definitions` VALUES (181064, 3766, 34, 'निकाले गए मरीजों को');
INSERT INTO `lang_definitions` VALUES (181065, 3767, 34, 'अपवर्जन');
INSERT INTO `lang_definitions` VALUES (181066, 3768, 34, 'विशेष प्रदाता संगठन (ईपीओ)');
INSERT INTO `lang_definitions` VALUES (181067, 3770, 34, 'कार्यकारी पेपर आकार');
INSERT INTO `lang_definitions` VALUES (181068, 3771, 34, 'व्यायाम');
INSERT INTO `lang_definitions` VALUES (181069, 3772, 34, 'व्यायाम पैटर्न');
INSERT INTO `lang_definitions` VALUES (181070, 3773, 34, 'व्यायाम पैटर्न्स');
INSERT INTO `lang_definitions` VALUES (181071, 3774, 34, 'मौजूद');
INSERT INTO `lang_definitions` VALUES (181072, 3778, 34, 'प्रशासन की ओर से बाहर निकलें');
INSERT INTO `lang_definitions` VALUES (181073, 3782, 34, 'विस्तृत करें');
INSERT INTO `lang_definitions` VALUES (181074, 3784, 34, 'विस्तृत करें');
INSERT INTO `lang_definitions` VALUES (181075, 3785, 34, 'विस्तृत करें');
INSERT INTO `lang_definitions` VALUES (181076, 3787, 34, 'सभी का विस्तार');
INSERT INTO `lang_definitions` VALUES (181077, 3792, 34, 'विस्तारित देखें');
INSERT INTO `lang_definitions` VALUES (181078, 3793, 34, 'form_encounter.pid होने की उम्मीद');
INSERT INTO `lang_definitions` VALUES (181079, 3794, 34, 'समाप्ति');
INSERT INTO `lang_definitions` VALUES (181080, 3795, 34, 'समय समाप्ति तिथि');
INSERT INTO `lang_definitions` VALUES (181081, 3797, 34, 'समाप्त हो रहा');
INSERT INTO `lang_definitions` VALUES (181082, 3798, 34, 'में समाप्त हो रहा है');
INSERT INTO `lang_definitions` VALUES (181083, 3799, 34, 'निर्यात');
INSERT INTO `lang_definitions` VALUES (181084, 3800, 34, 'सीएसवी के रूप में निर्यात');
INSERT INTO `lang_definitions` VALUES (181085, 3802, 34, 'निर्यात विन्यास');
INSERT INTO `lang_definitions` VALUES (181086, 3806, 34, 'निर्यात रोगी जनसांख्यिकी');
INSERT INTO `lang_definitions` VALUES (181087, 3808, 34, 'निर्यात PQRI रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (181088, 3810, 34, 'सीएसवी के रूप में चयनित निर्यात');
INSERT INTO `lang_definitions` VALUES (181089, 3811, 34, 'संग्रह के लिए चयनित निर्यात');
INSERT INTO `lang_definitions` VALUES (181090, 3812, 34, 'सीएसवी निर्यात');
INSERT INTO `lang_definitions` VALUES (181091, 3813, 34, 'बाहरी बिलिंग प्रणाली के लिए निर्यात');
INSERT INTO `lang_definitions` VALUES (181092, 3815, 34, 'विदेशी देशों के लिए एक्सपोजर');
INSERT INTO `lang_definitions` VALUES (181093, 3816, 34, 'विदेशी देशों के लिए एक्सपोजर');
INSERT INTO `lang_definitions` VALUES (181094, 3818, 34, 'एक्सटेंशन समय एकत्रित');
INSERT INTO `lang_definitions` VALUES (181095, 3820, 34, 'बाहरी');
INSERT INTO `lang_definitions` VALUES (181096, 3823, 34, 'बाहरी डेटा लोड');
INSERT INTO `lang_definitions` VALUES (181097, 3824, 34, 'बाहरी डेटाबेस आयात उपयोगिता');
INSERT INTO `lang_definitions` VALUES (181098, 3828, 34, 'बाहरी आईडी');
INSERT INTO `lang_definitions` VALUES (181099, 3829, 34, 'बाहरी आईडी');
INSERT INTO `lang_definitions` VALUES (181100, 3830, 34, 'बाहरी पहचानकर्ता');
INSERT INTO `lang_definitions` VALUES (181101, 3831, 34, 'विदेश केवल');
INSERT INTO `lang_definitions` VALUES (181102, 3834, 34, 'बाहरी सिफ़ारिश');
INSERT INTO `lang_definitions` VALUES (181103, 3835, 34, 'बाहरी सिफ़ारिश followups');
INSERT INTO `lang_definitions` VALUES (181104, 3836, 34, 'बाहरी सिफ़ारिश?');
INSERT INTO `lang_definitions` VALUES (181105, 3837, 34, 'बाहरी सिफ़ारिशों के');
INSERT INTO `lang_definitions` VALUES (181106, 3838, 34, 'Zip फ़ाइल निकालें');
INSERT INTO `lang_definitions` VALUES (181107, 3839, 34, 'फ़ाइल निकाल रहा है. यह कुछ समय लगेगा ...');
INSERT INTO `lang_definitions` VALUES (181108, 3840, 34, 'पीब:');
INSERT INTO `lang_definitions` VALUES (181109, 3850, 34, 'आंख में जलन');
INSERT INTO `lang_definitions` VALUES (181110, 3856, 34, 'आंख में दर्द');
INSERT INTO `lang_definitions` VALUES (181111, 3860, 34, 'आँख लालिमा');
INSERT INTO `lang_definitions` VALUES (181112, 3863, 34, 'आंखें');
INSERT INTO `lang_definitions` VALUES (181113, 3865, 34, 'एफ');
INSERT INTO `lang_definitions` VALUES (181114, 3866, 34, 'एफ / एच रक्त की समस्याएं');
INSERT INTO `lang_definitions` VALUES (181115, 3867, 34, 'एफ / एच महिला Hirsutism / striae');
INSERT INTO `lang_definitions` VALUES (181116, 3868, 34, 'सुविधाएं');
INSERT INTO `lang_definitions` VALUES (181117, 3869, 34, 'सुविधा');
INSERT INTO `lang_definitions` VALUES (181118, 3870, 34, 'सुविधा');
INSERT INTO `lang_definitions` VALUES (181119, 3871, 34, 'सुविधा प्रशासन');
INSERT INTO `lang_definitions` VALUES (181120, 3872, 34, 'सुविधा शहर');
INSERT INTO `lang_definitions` VALUES (181121, 3873, 34, 'सुविधा कोड');
INSERT INTO `lang_definitions` VALUES (181122, 3875, 34, 'सुविधा देश कोड');
INSERT INTO `lang_definitions` VALUES (181123, 3876, 34, 'सुविधा फैक्स');
INSERT INTO `lang_definitions` VALUES (181124, 3878, 34, 'सुविधा नाम');
INSERT INTO `lang_definitions` VALUES (181125, 3879, 34, 'सुविधा NPI');
INSERT INTO `lang_definitions` VALUES (181126, 3880, 34, 'सुविधा फोन');
INSERT INTO `lang_definitions` VALUES (181127, 3882, 34, 'सुविधा उपयोगकर्ता विशिष्ट जानकारी');
INSERT INTO `lang_definitions` VALUES (181128, 3883, 34, 'सुविधा राज्य');
INSERT INTO `lang_definitions` VALUES (181129, 3884, 34, 'सुविधा स्ट्रीट');
INSERT INTO `lang_definitions` VALUES (181130, 3886, 34, 'सुविधा पिन');
INSERT INTO `lang_definitions` VALUES (181131, 3888, 34, 'सुविधा:');
INSERT INTO `lang_definitions` VALUES (181132, 3889, 34, 'विफल');
INSERT INTO `lang_definitions` VALUES (181133, 3890, 34, 'विफल');
INSERT INTO `lang_definitions` VALUES (181134, 3891, 34, 'विफल');
INSERT INTO `lang_definitions` VALUES (181135, 3901, 34, 'अस्थायी फ़ोल्डर बनाने में विफल. CouchDB काम नहीं करेगा.');
INSERT INTO `lang_definitions` VALUES (181136, 3907, 34, 'विफल.');
INSERT INTO `lang_definitions` VALUES (181137, 3908, 34, 'विफलता');
INSERT INTO `lang_definitions` VALUES (181138, 3916, 34, 'पारिवारिक इतिहास');
INSERT INTO `lang_definitions` VALUES (181139, 3918, 34, 'ग्लूकोमा का पारिवारिक इतिहास');
INSERT INTO `lang_definitions` VALUES (181140, 3919, 34, 'पारिवारिक इतिहास:');
INSERT INTO `lang_definitions` VALUES (181141, 3921, 34, 'पारिवारिक भुगतान');
INSERT INTO `lang_definitions` VALUES (181142, 3922, 34, 'परिवार का आकार');
INSERT INTO `lang_definitions` VALUES (181143, 3923, 34, 'पसंद');
INSERT INTO `lang_definitions` VALUES (181144, 3925, 34, 'फारसी');
INSERT INTO `lang_definitions` VALUES (181145, 3928, 34, 'पिता');
INSERT INTO `lang_definitions` VALUES (181146, 3930, 34, 'थकान');
INSERT INTO `lang_definitions` VALUES (181147, 3931, 34, 'थका हुआ');
INSERT INTO `lang_definitions` VALUES (181148, 3933, 34, 'फैक्स');
INSERT INTO `lang_definitions` VALUES (181149, 3934, 34, 'फैक्स गणना');
INSERT INTO `lang_definitions` VALUES (181150, 3935, 34, 'फैक्स नंबर');
INSERT INTO `lang_definitions` VALUES (181151, 3937, 34, 'फैक्स / स्कैन');
INSERT INTO `lang_definitions` VALUES (181152, 3938, 34, 'फ़ैक्स अंदर');
INSERT INTO `lang_definitions` VALUES (181153, 3939, 34, 'फ़ैक्स बाहर');
INSERT INTO `lang_definitions` VALUES (181154, 3940, 34, 'विशेषताएँ');
INSERT INTO `lang_definitions` VALUES (181155, 3941, 34, 'फरवरी');
INSERT INTO `lang_definitions` VALUES (181156, 3942, 34, 'फरवरी');
INSERT INTO `lang_definitions` VALUES (181157, 3943, 34, 'FECA');
INSERT INTO `lang_definitions` VALUES (181158, 3944, 34, 'फेडरल ड्रग आईडी');
INSERT INTO `lang_definitions` VALUES (181159, 3945, 34, 'फेडरल ईआईऍन');
INSERT INTO `lang_definitions` VALUES (181160, 3946, 34, 'फेडरल कर आईडी');
INSERT INTO `lang_definitions` VALUES (181161, 3948, 34, 'शुल्क');
INSERT INTO `lang_definitions` VALUES (181162, 3949, 34, 'शुल्क');
INSERT INTO `lang_definitions` VALUES (181163, 3950, 34, 'शुल्क की अनुमति नहीं है');
INSERT INTO `lang_definitions` VALUES (181164, 3951, 34, 'शुल्क पत्रक');
INSERT INTO `lang_definitions` VALUES (181165, 3953, 34, 'शुल्क पत्रक विकल्प');
INSERT INTO `lang_definitions` VALUES (181166, 3955, 34, 'शुल्क');
INSERT INTO `lang_definitions` VALUES (181167, 3956, 34, 'महिला');
INSERT INTO `lang_definitions` VALUES (181168, 3957, 34, 'महिला एपी');
INSERT INTO `lang_definitions` VALUES (181169, 3958, 34, 'महिला कंडोम');
INSERT INTO `lang_definitions` VALUES (181170, 3959, 34, 'महिला जी');
INSERT INTO `lang_definitions` VALUES (181171, 3960, 34, 'महिला LC');
INSERT INTO `lang_definitions` VALUES (181172, 3961, 34, 'महिला P');
INSERT INTO `lang_definitions` VALUES (181173, 3962, 34, 'महिला लक्षण');
INSERT INTO `lang_definitions` VALUES (181174, 3963, 34, 'महिला VSC');
INSERT INTO `lang_definitions` VALUES (181175, 3966, 34, 'बुखार');
INSERT INTO `lang_definitions` VALUES (181176, 3967, 34, 'बुखार:');
INSERT INTO `lang_definitions` VALUES (181177, 3968, 34, 'एफ एच रक्त की समस्याएं');
INSERT INTO `lang_definitions` VALUES (181178, 3972, 34, 'फाइब्रॉएड');
INSERT INTO `lang_definitions` VALUES (181179, 3978, 34, 'जनसांख्यिकी में नियोक्ता या ग्राहक के देश के लिए उपयोग करने के लिए फ़ील्ड प्रकार.');
INSERT INTO `lang_definitions` VALUES (181180, 3979, 34, 'जनसांख्यिकी में नियोक्ता या ग्राहक के राज्य के लिए उपयोग करने के लिए फ़ील्ड प्रकार.');
INSERT INTO `lang_definitions` VALUES (181181, 3980, 34, 'फील्ड (ओं) लापता हैं!');
INSERT INTO `lang_definitions` VALUES (181182, 3986, 34, 'फ़ाइल');
INSERT INTO `lang_definitions` VALUES (181183, 3989, 34, 'लॉग बैकअप बनाने की प्रक्रिया को स्वचालित कैसे करें यह जानने के लिए प्रलेखन निर्देशिका में फाइल!');
INSERT INTO `lang_definitions` VALUES (181184, 3990, 34, 'फ़ाइल स्थान');
INSERT INTO `lang_definitions` VALUES (181185, 3991, 34, 'फ़ाइल प्रबंधन');
INSERT INTO `lang_definitions` VALUES (181186, 3998, 34, 'फ़ाइल का विशेषाधिकार OpenEMR उपयोगकर्ता के लिए दीया गया.');
INSERT INTO `lang_definitions` VALUES (181187, 3999, 34, 'CouchDB से फ़ाइल पुनर्प्राप्ति विफल रहा');
INSERT INTO `lang_definitions` VALUES (181188, 4000, 34, 'फ़ाइल कक्ष');
INSERT INTO `lang_definitions` VALUES (181189, 4001, 34, 'अपलोड करने के लिए फ़ाइल');
INSERT INTO `lang_definitions` VALUES (181190, 4002, 34, 'अपलोड करने के लिए फ़ाइल');
INSERT INTO `lang_definitions` VALUES (181191, 4003, 34, 'उसी नाम के साथ फ़ाइल पहले से ही स्थान पर मौजूद है:');
INSERT INTO `lang_definitions` VALUES (181192, 4004, 34, 'फाईल का नाम');
INSERT INTO `lang_definitions` VALUES (181193, 4006, 34, 'फ़ाइलें');
INSERT INTO `lang_definitions` VALUES (181194, 4011, 34, 'फिलिपिनो देश');
INSERT INTO `lang_definitions` VALUES (181195, 4013, 34, 'नीचे की पंक्ति में से कोई भी भरें.');
INSERT INTO `lang_definitions` VALUES (181196, 4014, 34, 'यहां भरें अगर आप रोगियों को ईमेल सूचना भेज रहे हैं!');
INSERT INTO `lang_definitions` VALUES (181197, 4023, 34, 'नीचे दिए गए मूल्यों में भरें');
INSERT INTO `lang_definitions` VALUES (181198, 4025, 34, 'पंक्ति भरें.');
INSERT INTO `lang_definitions` VALUES (181199, 4028, 34, 'फिल्टर');
INSERT INTO `lang_definitions` VALUES (181200, 4029, 34, 'स्थिरांक के लिए फ़िल्टर');
INSERT INTO `lang_definitions` VALUES (181201, 4030, 34, 'परिभाषा के लिए फ़िल्टर');
INSERT INTO `lang_definitions` VALUES (181202, 4031, 34, 'से फ़िल्टर किया');
INSERT INTO `lang_definitions` VALUES (181203, 4032, 34, 'फ़िल्टर');
INSERT INTO `lang_definitions` VALUES (181204, 4033, 34, 'फिल्टर');
INSERT INTO `lang_definitions` VALUES (181205, 4034, 34, 'अंतिम');
INSERT INTO `lang_definitions` VALUES (181206, 4035, 34, 'अंतिम निदान');
INSERT INTO `lang_definitions` VALUES (181207, 4036, 34, 'विशेषज्ञ द्वारा अंतिम निदान');
INSERT INTO `lang_definitions` VALUES (181208, 4038, 34, 'वित्तीय');
INSERT INTO `lang_definitions` VALUES (181209, 4039, 34, 'वित्तीय बंद तिथि (YYYY-MM-DD)');
INSERT INTO `lang_definitions` VALUES (181210, 4040, 34, 'वित्तीय रिपोर्टिंग - कुछ भी');
INSERT INTO `lang_definitions` VALUES (181211, 4042, 34, 'वित्तीय रिपोर्टिंग - मेरे मुठभेड़ों के');
INSERT INTO `lang_definitions` VALUES (181212, 4045, 34, 'वित्तीय समीक्षा दिनांक');
INSERT INTO `lang_definitions` VALUES (181213, 4046, 34, 'सेवा संहिता द्वारा वित्तीय सारांश');
INSERT INTO `lang_definitions` VALUES (181214, 4048, 34, 'खोजें');
INSERT INTO `lang_definitions` VALUES (181215, 4049, 34, 'उपलब्ध खोजें');
INSERT INTO `lang_definitions` VALUES (181216, 4050, 34, 'उपलब्ध नियुक्तियों खोजें');
INSERT INTO `lang_definitions` VALUES (181217, 4053, 34, 'रोगी खोजें');
INSERT INTO `lang_definitions` VALUES (181218, 4054, 34, 'रोगी शिक्षा सामग्री खोजें');
INSERT INTO `lang_definitions` VALUES (181219, 4056, 34, 'निष्कर्ष');
INSERT INTO `lang_definitions` VALUES (181220, 4057, 34, 'विशेषज्ञ द्वारा निष्कर्ष');
INSERT INTO `lang_definitions` VALUES (181221, 4058, 34, 'जुर्माना');
INSERT INTO `lang_definitions` VALUES (181222, 4060, 34, 'भुगतान समाप्त');
INSERT INTO `lang_definitions` VALUES (181223, 4062, 34, 'समाप्त');
INSERT INTO `lang_definitions` VALUES (181224, 4065, 34, 'पहला');
INSERT INTO `lang_definitions` VALUES (181225, 4068, 34, 'सप्ताह का पहला दिन');
INSERT INTO `lang_definitions` VALUES (181226, 4071, 34, 'पहला नाम');
INSERT INTO `lang_definitions` VALUES (181227, 4072, 34, 'पहला नाम');
INSERT INTO `lang_definitions` VALUES (181228, 4073, 34, 'पहला नाम:');
INSERT INTO `lang_definitions` VALUES (181229, 4079, 34, 'स्वास्थ्य');
INSERT INTO `lang_definitions` VALUES (181230, 4080, 34, 'स्वास्थ्य स्तर');
INSERT INTO `lang_definitions` VALUES (181231, 4081, 34, 'इस दिन पर इस खिलाड़ी के लिए फिटनेस स्तर');
INSERT INTO `lang_definitions` VALUES (181232, 4083, 34, 'खेलने के लिए फिटनेस');
INSERT INTO `lang_definitions` VALUES (181233, 4084, 34, 'मुठभेड़ तिथियाँ तय करें - किसी भी मुठभेड़ों के');
INSERT INTO `lang_definitions` VALUES (181234, 4086, 34, 'इसे ठीक करें');
INSERT INTO `lang_definitions` VALUES (181235, 4088, 34, 'FL');
INSERT INTO `lang_definitions` VALUES (181236, 4090, 34, 'पेट फूलना');
INSERT INTO `lang_definitions` VALUES (181237, 4091, 34, 'प्रवाह');
INSERT INTO `lang_definitions` VALUES (181238, 4108, 34, 'फ्लू के मौसम');
INSERT INTO `lang_definitions` VALUES (181239, 4109, 34, 'फ्लू के मौसम');
INSERT INTO `lang_definitions` VALUES (181240, 4110, 34, 'फ्लू टीकाकरण');
INSERT INTO `lang_definitions` VALUES (181241, 4111, 34, 'तरल और इलेक्ट्रोलाइट समस्या');
INSERT INTO `lang_definitions` VALUES (181242, 4112, 34, 'FMS');
INSERT INTO `lang_definitions` VALUES (181243, 4113, 34, 'फोलियो पेपर आकार');
INSERT INTO `lang_definitions` VALUES (181244, 4114, 34, 'मैन्युअल रूप से पालन करें');
INSERT INTO `lang_definitions` VALUES (181245, 4115, 34, 'निम्नलिखित डेटाबेस को स्थापित करने या उन्नयन करने के लिए इन निर्देशों का पालन करें');
INSERT INTO `lang_definitions` VALUES (181246, 4116, 34, 'फ़ॉलोअप');
INSERT INTO `lang_definitions` VALUES (181247, 4119, 34, 'फ़ॉलोअप कारण');
INSERT INTO `lang_definitions` VALUES (181248, 4121, 34, 'के बाद एक नए कस्टम स्थिर है:');
INSERT INTO `lang_definitions` VALUES (181249, 4122, 34, 'के बाद एक नए कस्टम भाषा है:');
INSERT INTO `lang_definitions` VALUES (181250, 4123, 34, 'के बाद एक नई परिभाषा (भाषा, लगातार, परिभाषा) है:');
INSERT INTO `lang_definitions` VALUES (181251, 4125, 34, 'फॉलोअप सेवाएँ');
INSERT INTO `lang_definitions` VALUES (181252, 4126, 34, 'फ़ॉलोअप के संकेत');
INSERT INTO `lang_definitions` VALUES (181253, 4129, 34, 'खाद्य असहिष्णुता');
INSERT INTO `lang_definitions` VALUES (181254, 4130, 34, 'पैर');
INSERT INTO `lang_definitions` VALUES (181255, 4131, 34, 'पैर की समस्याओं के');
INSERT INTO `lang_definitions` VALUES (181256, 4132, 34, 'पैर:');
INSERT INTO `lang_definitions` VALUES (181257, 4133, 34, 'फुटबॉल चोट लगने की घटनाएं');
INSERT INTO `lang_definitions` VALUES (181258, 4134, 34, 'फुटबॉल चोट');
INSERT INTO `lang_definitions` VALUES (181259, 4135, 34, 'फुटबॉल चोट रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (181260, 4136, 34, 'जूते के प्रकार');
INSERT INTO `lang_definitions` VALUES (181261, 4137, 34, 'के लिए');
INSERT INTO `lang_definitions` VALUES (181262, 4138, 34, 'के लिए');
INSERT INTO `lang_definitions` VALUES (181263, 4144, 34, 'कोड के लिए');
INSERT INTO `lang_definitions` VALUES (181264, 4152, 34, 'मुठभेड़ दावों के लिए');
INSERT INTO `lang_definitions` VALUES (181265, 4154, 34, 'उदाहरण के लिए:');
INSERT INTO `lang_definitions` VALUES (181266, 4161, 34, 'चालान के लिए');
INSERT INTO `lang_definitions` VALUES (181267, 4163, 34, 'Medicare के लिए केवल, जिक्र प्रदाता और प्रतिपादन प्रदाता के रूप एक ही होने पर मजबूर करता है.');
INSERT INTO `lang_definitions` VALUES (181268, 4165, 34, 'OBR placer क्रम संख्या के लिए');
INSERT INTO `lang_definitions` VALUES (181269, 4173, 34, 'Referred संगठन / चिकित्सक के लिए');
INSERT INTO `lang_definitions` VALUES (181270, 4176, 34, 'अतीत के लिए');
INSERT INTO `lang_definitions` VALUES (181271, 4188, 34, 'चर के लिए');
INSERT INTO `lang_definitions` VALUES (181272, 4189, 34, 'के लिए:');
INSERT INTO `lang_definitions` VALUES (181273, 4190, 34, 'जबरदस्ती बिलिंग विजेट ओपन करो');
INSERT INTO `lang_definitions` VALUES (181274, 4191, 34, 'जबरदस्ती नए रोगी बनाएँ');
INSERT INTO `lang_definitions` VALUES (181275, 4193, 34, 'जबरदस्ती दिखाएँ');
INSERT INTO `lang_definitions` VALUES (181276, 4194, 34, 'प्रकोष्ठ');
INSERT INTO `lang_definitions` VALUES (181277, 4195, 34, 'प्रपत्र');
INSERT INTO `lang_definitions` VALUES (181278, 4196, 34, 'प्रपत्र');
INSERT INTO `lang_definitions` VALUES (181279, 4201, 34, 'प्रारूप');
INSERT INTO `lang_definitions` VALUES (181280, 4202, 34, 'प्रारूप');
INSERT INTO `lang_definitions` VALUES (181281, 4203, 34, 'उम्र प्रदर्शन के लिए प्रारूप');
INSERT INTO `lang_definitions` VALUES (181282, 4204, 34, 'एनडीसी के लिए गलत प्रारूप');
INSERT INTO `lang_definitions` VALUES (181283, 4205, 34, 'प्रारूप ज्यादातर तिथियाँ प्रदर्शित करने के लिए इस्तेमाल किया.');
INSERT INTO `lang_definitions` VALUES (181284, 4206, 34, 'प्रारूप ज्यादातर समय प्रदर्शित करने के लिए इस्तेमाल किया.');
INSERT INTO `lang_definitions` VALUES (181285, 4207, 34, 'प्रारूपित रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (181286, 4208, 34, 'पुराना धूम्रपान करनेवाला');
INSERT INTO `lang_definitions` VALUES (181287, 4209, 34, 'फार्म');
INSERT INTO `lang_definitions` VALUES (181288, 4210, 34, 'फार्म प्रशासन');
INSERT INTO `lang_definitions` VALUES (181289, 4215, 34, 'आगे');
INSERT INTO `lang_definitions` VALUES (181290, 4219, 34, 'फैक्स के जरिए फॉरवर्ड पन्ने');
INSERT INTO `lang_definitions` VALUES (181291, 4222, 34, 'अग्रेषित किया');
INSERT INTO `lang_definitions` VALUES (181292, 4225, 34, 'चौथा');
INSERT INTO `lang_definitions` VALUES (181293, 4227, 34, 'अस्थिभंग');
INSERT INTO `lang_definitions` VALUES (181294, 4228, 34, 'Navicula में अस्थिभंग');
INSERT INTO `lang_definitions` VALUES (181295, 4229, 34, 'अस्थिभंग पार्श्व malleolus');
INSERT INTO `lang_definitions` VALUES (181296, 4230, 34, 'अस्थिभंग औसत दर्जे malleolus');
INSERT INTO `lang_definitions` VALUES (181297, 4231, 34, 'फ्रैक्चर, पांचवें आधार (5) metatarsal');
INSERT INTO `lang_definitions` VALUES (181298, 4233, 34, 'आवश्यक फ्रेम समर्थन');
INSERT INTO `lang_definitions` VALUES (181299, 4235, 34, 'फ्रेंच');
INSERT INTO `lang_definitions` VALUES (181300, 4236, 34, 'फ्रेंच (कनाडा)');
INSERT INTO `lang_definitions` VALUES (181301, 4237, 34, 'फ्रेंच (मानक)');
INSERT INTO `lang_definitions` VALUES (181302, 4238, 34, 'आवृत्ति');
INSERT INTO `lang_definitions` VALUES (181303, 4239, 34, 'लगातार जुकाम');
INSERT INTO `lang_definitions` VALUES (181304, 4240, 34, 'लगातार बीमारी');
INSERT INTO `lang_definitions` VALUES (181305, 4241, 34, 'शुक्र');
INSERT INTO `lang_definitions` VALUES (181306, 4242, 34, 'शुक्रवार');
INSERT INTO `lang_definitions` VALUES (181307, 4244, 34, 'से');
INSERT INTO `lang_definitions` VALUES (181308, 4245, 34, 'से');
INSERT INTO `lang_definitions` VALUES (181309, 4246, 34, 'से');
INSERT INTO `lang_definitions` VALUES (181310, 4247, 34, 'से तिथि आज तिथि से बड़ी नहीं हो सकती.');
INSERT INTO `lang_definitions` VALUES (181311, 4253, 34, 'से:');
INSERT INTO `lang_definitions` VALUES (181312, 4254, 34, 'से:');
INSERT INTO `lang_definitions` VALUES (181313, 4255, 34, 'FROM_CITY');
INSERT INTO `lang_definitions` VALUES (181314, 4257, 34, 'FROM_FNAME');
INSERT INTO `lang_definitions` VALUES (181315, 4258, 34, 'FROM_LNAME');
INSERT INTO `lang_definitions` VALUES (181316, 4259, 34, 'FROM_MNAME');
INSERT INTO `lang_definitions` VALUES (181317, 4261, 34, 'FROM_PHONECELL');
INSERT INTO `lang_definitions` VALUES (181318, 4262, 34, 'FROM_POSTAL');
INSERT INTO `lang_definitions` VALUES (181319, 4263, 34, 'FROM_STATE');
INSERT INTO `lang_definitions` VALUES (181320, 4264, 34, 'FROM_STREET');
INSERT INTO `lang_definitions` VALUES (181321, 4265, 34, 'FROM_TITLE');
INSERT INTO `lang_definitions` VALUES (181322, 4266, 34, 'FROM_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (181323, 4267, 34, 'फ्रंट ऑफिस');
INSERT INTO `lang_definitions` VALUES (181324, 4268, 34, 'फ्रंट ऑफिस प्राप्ति');
INSERT INTO `lang_definitions` VALUES (181325, 4269, 34, 'फ्रंट ऑफिस प्राप्ति की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (181326, 4270, 34, 'फ्रंट आरईसी');
INSERT INTO `lang_definitions` VALUES (181327, 4271, 34, 'ललाट दाएँ:');
INSERT INTO `lang_definitions` VALUES (181328, 4278, 34, 'पूरा नाम');
INSERT INTO `lang_definitions` VALUES (181329, 4280, 34, 'MySQL निष्पादनयोग्य वाली निर्देशिका के लिए पूर्ण पथ.');
INSERT INTO `lang_definitions` VALUES (181330, 4281, 34, 'पर्ल निष्पादनयोग्य वाली निर्देशिका के लिए पूर्ण पथ.');
INSERT INTO `lang_definitions` VALUES (181331, 4282, 34, 'घटना लॉग बैकअप के लिए निर्देशिका के लिए पूर्ण पथ.');
INSERT INTO `lang_definitions` VALUES (181332, 4283, 34, 'अस्थायी फ़ाइलों में उपयोग करने के लिए निर्देशिका पूर्ण पथ.');
INSERT INTO `lang_definitions` VALUES (181333, 4284, 34, 'पूरा खेल');
INSERT INTO `lang_definitions` VALUES (181334, 4286, 34, 'पूर्ण प्रशिक्षण');
INSERT INTO `lang_definitions` VALUES (181335, 4288, 34, 'पूर्णत: चुकता');
INSERT INTO `lang_definitions` VALUES (181336, 4298, 34, 'जी');
INSERT INTO `lang_definitions` VALUES (181337, 4299, 34, 'जी / डीएल');
INSERT INTO `lang_definitions` VALUES (181338, 4302, 34, 'पित्ताशय की स्थिति');
INSERT INTO `lang_definitions` VALUES (181339, 4303, 34, 'पित्त की पथरी');
INSERT INTO `lang_definitions` VALUES (181340, 4304, 34, 'खेल अवधि');
INSERT INTO `lang_definitions` VALUES (181341, 4305, 34, 'खेल');
INSERT INTO `lang_definitions` VALUES (181342, 4306, 34, 'छूटे खेल');
INSERT INTO `lang_definitions` VALUES (181343, 4307, 34, 'खेल / घटनाओं');
INSERT INTO `lang_definitions` VALUES (181344, 4308, 34, 'खेल / घटनाओं के लिए याद');
INSERT INTO `lang_definitions` VALUES (181345, 4310, 34, 'जठरशोथ');
INSERT INTO `lang_definitions` VALUES (181346, 4311, 34, 'जठरांत्र दर्द');
INSERT INTO `lang_definitions` VALUES (181347, 4312, 34, 'जठरांत्र');
INSERT INTO `lang_definitions` VALUES (181348, 4316, 34, 'GCAC सांख्यिकी रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (181349, 4317, 34, 'GCAC आँकड़े');
INSERT INTO `lang_definitions` VALUES (181350, 4318, 34, 'GCAC यात्रा फार्म लापता है');
INSERT INTO `lang_definitions` VALUES (181351, 4319, 34, 'लिंग');
INSERT INTO `lang_definitions` VALUES (181352, 4320, 34, 'लिंग');
INSERT INTO `lang_definitions` VALUES (181353, 4321, 34, 'सामान्य');
INSERT INTO `lang_definitions` VALUES (181354, 4323, 34, 'सामान्य मुद्दा सूची');
INSERT INTO `lang_definitions` VALUES (181355, 4325, 34, 'सामान्य सेवा श्रेणी');
INSERT INTO `lang_definitions` VALUES (181356, 4332, 34, 'उत्पन्न और डाउनलोड करें सीएमएस 1500 काग़ज़ का दावा');
INSERT INTO `lang_definitions` VALUES (181357, 4334, 34, 'उत्पन्न और डाउनलोड करें HCFA 1500 काग़ज़ का दावा');
INSERT INTO `lang_definitions` VALUES (181358, 4337, 34, 'X 12 बैच पैदा और डाउनलोड करें');
INSERT INTO `lang_definitions` VALUES (181359, 4338, 34, 'X12 मुठभेड़ दावा बैच पैदा और डाउनलोड करें');
INSERT INTO `lang_definitions` VALUES (181360, 4341, 34, 'इलेक्ट्रॉनिक अनुमत नुस्खे उत्पन्न और संचारित करें.');
INSERT INTO `lang_definitions` VALUES (181361, 4342, 34, 'सीएमएस 1500 उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (181362, 4343, 34, 'सीएमएस 1500 पीडीएफ उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (181363, 4344, 34, 'सीएमएस 1500 पाठ उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (181364, 4345, 34, 'HCFA उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (181365, 4347, 34, 'चालान उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (181366, 4348, 34, 'पत्र उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (181367, 4349, 34, 'के बारे में पत्र उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (181368, 4351, 34, 'PQRI रिपोर्ट उत्पन्न करें (पद्धति A)');
INSERT INTO `lang_definitions` VALUES (181369, 4353, 34, 'PQRI रिपोर्ट उत्पन्न करें (पद्धति E)');
INSERT INTO `lang_definitions` VALUES (181370, 4357, 34, 'रिपोर्ट उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (181371, 4365, 34, 'उपयोगकर्ता नाम और पासवर्ड उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (181372, 4366, 34, 'X12 उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (181373, 4368, 34, 'X12 मुठभेड़ उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (181374, 4370, 34, 'पर उत्पन्न किया');
INSERT INTO `lang_definitions` VALUES (181375, 4372, 34, 'उत्पन्न करता है');
INSERT INTO `lang_definitions` VALUES (181376, 4377, 34, 'genitourinary');
INSERT INTO `lang_definitions` VALUES (181377, 4381, 34, 'जर्मन');
INSERT INTO `lang_definitions` VALUES (181378, 4386, 34, 'HL7 प्राप्त करें');
INSERT INTO `lang_definitions` VALUES (181379, 4392, 34, 'मोतियाबिंद');
INSERT INTO `lang_definitions` VALUES (181380, 4393, 34, 'ग्लूकोमा परिवार इतिहास');
INSERT INTO `lang_definitions` VALUES (181381, 4395, 34, 'वैश्विक');
INSERT INTO `lang_definitions` VALUES (181382, 4398, 34, 'वैश्विक आईडी');
INSERT INTO `lang_definitions` VALUES (181383, 4399, 34, 'वैश्विक सेटिंग्स');
INSERT INTO `lang_definitions` VALUES (181384, 4400, 34, 'वैश्विक');
INSERT INTO `lang_definitions` VALUES (181385, 4401, 34, 'जीएम / डीएल');
INSERT INTO `lang_definitions` VALUES (181386, 4403, 34, 'जाएँ');
INSERT INTO `lang_definitions` VALUES (181387, 4404, 34, 'जाएँ');
INSERT INTO `lang_definitions` VALUES (181388, 4407, 34, 'पर जाएँ');
INSERT INTO `lang_definitions` VALUES (181389, 4417, 34, 'सप्ताह के पर जाएँ');
INSERT INTO `lang_definitions` VALUES (181390, 4418, 34, 'आज जाएँ');
INSERT INTO `lang_definitions` VALUES (181391, 4419, 34, 'लक्ष्य A');
INSERT INTO `lang_definitions` VALUES (181392, 4420, 34, 'लक्ष्य और तरीके');
INSERT INTO `lang_definitions` VALUES (181393, 4421, 34, 'लक्ष्य B');
INSERT INTO `lang_definitions` VALUES (181394, 4422, 34, 'लक्ष्य C');
INSERT INTO `lang_definitions` VALUES (181395, 4428, 34, 'चोट के ग्रेड');
INSERT INTO `lang_definitions` VALUES (181396, 4429, 34, 'ग्रेड:');
INSERT INTO `lang_definitions` VALUES (181397, 4430, 34, 'ग्राम');
INSERT INTO `lang_definitions` VALUES (181398, 4431, 34, 'महायोग');
INSERT INTO `lang_definitions` VALUES (181399, 4432, 34, 'महायोग');
INSERT INTO `lang_definitions` VALUES (181400, 4435, 34, 'Graphable');
INSERT INTO `lang_definitions` VALUES (181401, 4437, 34, 'से अधिक');
INSERT INTO `lang_definitions` VALUES (181402, 4438, 34, 'इससे बड़ा या इसके बराबर');
INSERT INTO `lang_definitions` VALUES (181403, 4439, 34, 'ग्रीक');
INSERT INTO `lang_definitions` VALUES (181404, 4442, 34, 'समूह');
INSERT INTO `lang_definitions` VALUES (181405, 4459, 34, 'समूह नाम');
INSERT INTO `lang_definitions` VALUES (181406, 4460, 34, 'समूह नाम खाली नहीं हो सकता');
INSERT INTO `lang_definitions` VALUES (181407, 4461, 34, 'समूह नाम, संख्या या रिक्त स्थान के साथ शुरू नहीं कर सकते.');
INSERT INTO `lang_definitions` VALUES (181408, 4462, 34, 'समूह नाम, संख्या के साथ शुरू नहीं कर सकते.');
INSERT INTO `lang_definitions` VALUES (181409, 4463, 34, 'समूह संख्या');
INSERT INTO `lang_definitions` VALUES (181410, 4465, 34, 'समूह भुगतान');
INSERT INTO `lang_definitions` VALUES (181411, 4471, 34, 'समूह:');
INSERT INTO `lang_definitions` VALUES (181412, 4472, 34, 'GROUPNAME');
INSERT INTO `lang_definitions` VALUES (181413, 4475, 34, 'समूह और प्रवेश नियंत्रण');
INSERT INTO `lang_definitions` VALUES (181414, 4476, 34, 'विकास तालिका');
INSERT INTO `lang_definitions` VALUES (181415, 4477, 34, 'विकास तालिका');
INSERT INTO `lang_definitions` VALUES (181416, 4478, 34, 'gtts (बूँदें)');
INSERT INTO `lang_definitions` VALUES (181417, 4479, 34, 'Guamanian');
INSERT INTO `lang_definitions` VALUES (181418, 4484, 34, 'अभिभावक नाम');
INSERT INTO `lang_definitions` VALUES (181419, 4489, 34, 'स्त्री रोग परीक्षा');
INSERT INTO `lang_definitions` VALUES (181420, 4490, 34, 'h');
INSERT INTO `lang_definitions` VALUES (181421, 4492, 34, 'H.S.');
INSERT INTO `lang_definitions` VALUES (181422, 4493, 34, 'H / O हेपेटाइटिस');
INSERT INTO `lang_definitions` VALUES (181423, 4494, 34, 'सफलतापूर्वक हटा दिया गया था. वर्तमान में किसी भी उप श्रेणियों को नीचे स्थानांतरित किया है!');
INSERT INTO `lang_definitions` VALUES (181424, 4495, 34, 'Haematoma / चोट');
INSERT INTO `lang_definitions` VALUES (181425, 4496, 34, 'HAI स्थिति');
INSERT INTO `lang_definitions` VALUES (181426, 4499, 34, 'हाथ + उंगलियों');
INSERT INTO `lang_definitions` VALUES (181427, 4500, 34, 'हाथ की समस्याएं');
INSERT INTO `lang_definitions` VALUES (181428, 4505, 34, 'हार्ड डिस्क');
INSERT INTO `lang_definitions` VALUES (181429, 4506, 34, 'कठिनाई w / o');
INSERT INTO `lang_definitions` VALUES (181430, 4507, 34, 'दौरा करने के लिए जोड़ा गया है');
INSERT INTO `lang_definitions` VALUES (181431, 4508, 34, 'समाप्त हो गया है');
INSERT INTO `lang_definitions` VALUES (181432, 4509, 34, 'हैश');
INSERT INTO `lang_definitions` VALUES (181433, 4511, 34, 'हैश इस फ़ाइल के लिए मौजूद नहीं था. एक नया हैश उत्पन्न किया गया था.');
INSERT INTO `lang_definitions` VALUES (181434, 4512, 34, 'हैश से मेल नहीं खाता. डेटा अखंडता समझौता किया गया है.');
INSERT INTO `lang_definitions` VALUES (181435, 4515, 34, 'Hawaiian');
INSERT INTO `lang_definitions` VALUES (181436, 4516, 34, 'खतरनाक गतिविधियों');
INSERT INTO `lang_definitions` VALUES (181437, 4517, 34, 'खतरनाक गतिविधियों');
INSERT INTO `lang_definitions` VALUES (181438, 4521, 34, 'HCFA अंक में मार्जिन छोड़ा');
INSERT INTO `lang_definitions` VALUES (181439, 4522, 34, 'HCFA मार्जिन्स');
INSERT INTO `lang_definitions` VALUES (181440, 4523, 34, 'अंक में HCFA शीर्ष मार्जिन');
INSERT INTO `lang_definitions` VALUES (181441, 4524, 34, 'HCPCS प्रक्रिया / सेवा');
INSERT INTO `lang_definitions` VALUES (181442, 4527, 34, 'वह PostCalendar');
INSERT INTO `lang_definitions` VALUES (181443, 4528, 34, 'सिर');
INSERT INTO `lang_definitions` VALUES (181444, 4529, 34, 'सिर परिधि');
INSERT INTO `lang_definitions` VALUES (181445, 4530, 34, 'सिर परिधि');
INSERT INTO `lang_definitions` VALUES (181446, 4531, 34, 'सिरदर्द');
INSERT INTO `lang_definitions` VALUES (181447, 4532, 34, 'सिरदर्द');
INSERT INTO `lang_definitions` VALUES (181448, 4534, 34, 'स्वास्थ्य देखभाल संचालन');
INSERT INTO `lang_definitions` VALUES (181449, 4535, 34, 'स्वास्थ संबंधी संचालन');
INSERT INTO `lang_definitions` VALUES (181450, 4537, 34, 'स्वास्थ्य केन्द्र / क्लिनिक');
INSERT INTO `lang_definitions` VALUES (181451, 4540, 34, 'स्वास्थ्य रखरखाव संगठन');
INSERT INTO `lang_definitions` VALUES (181452, 4541, 34, 'स्वास्थ्य रखरखाव संगठन (HMO) Medicare जोखिम');
INSERT INTO `lang_definitions` VALUES (181453, 4542, 34, 'सुनवाई हानि');
INSERT INTO `lang_definitions` VALUES (181454, 4543, 34, 'दिल का दौरा');
INSERT INTO `lang_definitions` VALUES (181455, 4544, 34, 'दिल की बीमारी');
INSERT INTO `lang_definitions` VALUES (181456, 4545, 34, 'दिल की विफलता');
INSERT INTO `lang_definitions` VALUES (181457, 4546, 34, 'दिल की समस्या');
INSERT INTO `lang_definitions` VALUES (181458, 4547, 34, 'दिल की समस्याओं');
INSERT INTO `lang_definitions` VALUES (181459, 4548, 34, 'दिल की सर्जरी');
INSERT INTO `lang_definitions` VALUES (181460, 4549, 34, 'दिल का प्रत्यारोपण');
INSERT INTO `lang_definitions` VALUES (181461, 4550, 34, 'दिल:');
INSERT INTO `lang_definitions` VALUES (181462, 4551, 34, 'असंतोष');
INSERT INTO `lang_definitions` VALUES (181463, 4552, 34, 'गर्मी या सर्दी');
INSERT INTO `lang_definitions` VALUES (181464, 4553, 34, 'गर्मी या सर्दी');
INSERT INTO `lang_definitions` VALUES (181465, 4554, 34, 'भारी तम्बाकू धूम्रपान');
INSERT INTO `lang_definitions` VALUES (181466, 4555, 34, 'Hebrew');
INSERT INTO `lang_definitions` VALUES (181467, 4557, 34, 'HEENT');
INSERT INTO `lang_definitions` VALUES (181468, 4558, 34, 'ऊंचाई');
INSERT INTO `lang_definitions` VALUES (181469, 4560, 34, 'मदद');
INSERT INTO `lang_definitions` VALUES (181470, 4561, 34, 'मदद');
INSERT INTO `lang_definitions` VALUES (181471, 4563, 34, 'खून की उल्टी');
INSERT INTO `lang_definitions` VALUES (181472, 4564, 34, 'Hematochezia');
INSERT INTO `lang_definitions` VALUES (181473, 4565, 34, 'hematologic');
INSERT INTO `lang_definitions` VALUES (181474, 4566, 34, 'रक्तमेह');
INSERT INTO `lang_definitions` VALUES (181475, 4567, 34, 'हीमोग्लोबिन');
INSERT INTO `lang_definitions` VALUES (181476, 4568, 34, 'हीमोग्लोबिन A1C');
INSERT INTO `lang_definitions` VALUES (181477, 4569, 34, 'बलगम में खून आना');
INSERT INTO `lang_definitions` VALUES (181478, 4570, 34, 'हेपेटाइटिस');
INSERT INTO `lang_definitions` VALUES (181479, 4571, 34, 'हेपेटाइटिस A1');
INSERT INTO `lang_definitions` VALUES (181480, 4572, 34, 'हेपेटाइटिस A2');
INSERT INTO `lang_definitions` VALUES (181481, 4573, 34, 'हेपेटाइटिस B1');
INSERT INTO `lang_definitions` VALUES (181482, 4574, 34, 'हेपेटाइटिस B2');
INSERT INTO `lang_definitions` VALUES (181483, 4575, 34, 'हेपेटाइटिस B3');
INSERT INTO `lang_definitions` VALUES (181484, 4576, 34, 'यहां');
INSERT INTO `lang_definitions` VALUES (181485, 4580, 34, 'हर्निया की मरम्मत');
INSERT INTO `lang_definitions` VALUES (181486, 4581, 34, 'हर्नियेटेड डिस्क');
INSERT INTO `lang_definitions` VALUES (181487, 4582, 34, 'परिसर्प');
INSERT INTO `lang_definitions` VALUES (181488, 4585, 34, 'संदेह');
INSERT INTO `lang_definitions` VALUES (181489, 4586, 34, 'heyyo. तुम क्या करने के लिए यहां आया');
INSERT INTO `lang_definitions` VALUES (181490, 4587, 34, 'हिब 1');
INSERT INTO `lang_definitions` VALUES (181491, 4588, 34, 'हिब 2');
INSERT INTO `lang_definitions` VALUES (181492, 4589, 34, 'हिब 3');
INSERT INTO `lang_definitions` VALUES (181493, 4590, 34, 'हिब 4');
INSERT INTO `lang_definitions` VALUES (181494, 4591, 34, 'छिपा हुआ');
INSERT INTO `lang_definitions` VALUES (181495, 4592, 34, 'छिपे हुए घटनाक्रम प्रशासन');
INSERT INTO `lang_definitions` VALUES (181496, 4593, 34, 'छिपाएँ');
INSERT INTO `lang_definitions` VALUES (181497, 4595, 34, 'विवरण छिपाएँ');
INSERT INTO `lang_definitions` VALUES (181498, 4597, 34, 'दस्तावेज़ प्रबंधन में एन्क्रिप्शन / डिक्रिप्शन विकल्प छिपाएँ');
INSERT INTO `lang_definitions` VALUES (181499, 4599, 34, 'मेनू छिपाएँ');
INSERT INTO `lang_definitions` VALUES (181500, 4601, 34, 'अनुस्मारक छुपाएं');
INSERT INTO `lang_definitions` VALUES (181501, 4603, 34, 'स्तंभ छिपाएँ / दिखाएँ');
INSERT INTO `lang_definitions` VALUES (181502, 4605, 34, 'उच्च');
INSERT INTO `lang_definitions` VALUES (181503, 4607, 34, 'उच्च रक्तचाप');
INSERT INTO `lang_definitions` VALUES (181504, 4609, 34, 'हिंदी');
INSERT INTO `lang_definitions` VALUES (181505, 4610, 34, 'कूल्हे + ऊसन्धि');
INSERT INTO `lang_definitions` VALUES (181506, 4611, 34, 'कूल्हे और कमर');
INSERT INTO `lang_definitions` VALUES (181507, 4612, 34, 'कूल्हे की समस्याओं');
INSERT INTO `lang_definitions` VALUES (181508, 4613, 34, 'कूल्हे बदलने');
INSERT INTO `lang_definitions` VALUES (181509, 4615, 34, 'HIPAA नोटिस मिला');
INSERT INTO `lang_definitions` VALUES (181510, 4617, 34, 'अतिरोमता / striae');
INSERT INTO `lang_definitions` VALUES (181511, 4618, 34, 'हिस्पैनिक');
INSERT INTO `lang_definitions` VALUES (181512, 4619, 34, 'हिस्पैनिक - अन्य (अमेरिका में) का जन्म');
INSERT INTO `lang_definitions` VALUES (181513, 4620, 34, 'हिस्पैनिक - अन्य (अमेरिका के बाहर जन्मे)');
INSERT INTO `lang_definitions` VALUES (181514, 4621, 34, 'हिस्पैनिक या लैटिनो');
INSERT INTO `lang_definitions` VALUES (181515, 4623, 34, 'इतिहास');
INSERT INTO `lang_definitions` VALUES (181516, 4629, 34, 'इतिहास डाटा');
INSERT INTO `lang_definitions` VALUES (181517, 4630, 34, 'इतिहास तिथि');
INSERT INTO `lang_definitions` VALUES (181518, 4632, 34, 'बड़बड़ाहट इतिहास');
INSERT INTO `lang_definitions` VALUES (181519, 4633, 34, 'इतिहास अधिकृत नहीं');
INSERT INTO `lang_definitions` VALUES (181520, 4634, 34, 'दिल बड़बड़ाहट का इतिहास');
INSERT INTO `lang_definitions` VALUES (181521, 4638, 34, 'हिट्स');
INSERT INTO `lang_definitions` VALUES (181522, 4639, 34, 'एचआईवी');
INSERT INTO `lang_definitions` VALUES (181523, 4649, 34, 'HL7 दर्शक');
INSERT INTO `lang_definitions` VALUES (181524, 4651, 34, 'HMOL / L');
INSERT INTO `lang_definitions` VALUES (181525, 4652, 34, 'Hmong');
INSERT INTO `lang_definitions` VALUES (181526, 4653, 34, 'एकाधिक चयन या हटाने के लिए [Ctrl] दबाए रखें');
INSERT INTO `lang_definitions` VALUES (181527, 4655, 34, 'एकाधिक आइटम्स का चयन करने के लिए CTRL दबाए रखें');
INSERT INTO `lang_definitions` VALUES (181528, 4656, 34, 'कई दस्तों का चयन करने के लिए CTRL दबाए रखें');
INSERT INTO `lang_definitions` VALUES (181529, 4658, 34, 'घर');
INSERT INTO `lang_definitions` VALUES (181530, 4659, 34, 'घर का फोन');
INSERT INTO `lang_definitions` VALUES (181531, 4660, 34, 'घर का फोन नंबर');
INSERT INTO `lang_definitions` VALUES (181532, 4662, 34, 'बेघर या समान?');
INSERT INTO `lang_definitions` VALUES (181533, 4664, 34, 'बेघर, आदि');
INSERT INTO `lang_definitions` VALUES (181534, 4665, 34, 'बेघर, आदि');
INSERT INTO `lang_definitions` VALUES (181535, 4674, 34, 'मेजबान नाम');
INSERT INTO `lang_definitions` VALUES (181536, 4675, 34, 'मेजबान नाम खाली नहीं हो सकता');
INSERT INTO `lang_definitions` VALUES (181537, 4677, 34, 'घंटा');
INSERT INTO `lang_definitions` VALUES (181538, 4678, 34, 'घंटे');
INSERT INTO `lang_definitions` VALUES (181539, 4681, 34, 'चोट कैसे आया?');
INSERT INTO `lang_definitions` VALUES (181540, 4682, 34, 'चोट कैसे आया?');
INSERT INTO `lang_definitions` VALUES (181541, 4683, 34, 'हमारे बारे में कैसे सुना');
INSERT INTO `lang_definitions` VALUES (181542, 4685, 34, 'आने वाली घटनाओं के लिए क्वेरी करने के लिए कितने महीने आगे?');
INSERT INTO `lang_definitions` VALUES (181543, 4692, 34, 'HPI:');
INSERT INTO `lang_definitions` VALUES (181544, 4694, 34, 'HT');
INSERT INTO `lang_definitions` VALUES (181545, 4695, 34, 'HTML के');
INSERT INTO `lang_definitions` VALUES (181546, 4696, 34, 'HTML उत्पादन?');
INSERT INTO `lang_definitions` VALUES (181547, 4699, 34, 'OpenEMR समर्थन LLC लैब विनिमय सेवा के लिए HTTPS लिंक.');
INSERT INTO `lang_definitions` VALUES (181548, 4701, 34, 'हंगेरी');
INSERT INTO `lang_definitions` VALUES (181549, 4702, 34, 'Hylafax निर्देशिका');
INSERT INTO `lang_definitions` VALUES (181550, 4703, 34, 'Hylafax Enscript कमान');
INSERT INTO `lang_definitions` VALUES (181551, 4704, 34, 'Hylafax सर्वर');
INSERT INTO `lang_definitions` VALUES (181552, 4705, 34, 'Hylafax सर्वर मेजबाननाम.');
INSERT INTO `lang_definitions` VALUES (181553, 4706, 34, 'अतिसक्रिय');
INSERT INTO `lang_definitions` VALUES (181554, 4708, 34, 'अतिरक्तदाब');
INSERT INTO `lang_definitions` VALUES (181555, 4709, 34, 'उच्च रक्तचाप: रक्तचाप मापन');
INSERT INTO `lang_definitions` VALUES (181556, 4710, 34, 'उच्च रक्तचाप: रक्तचाप मापन (CQM)');
INSERT INTO `lang_definitions` VALUES (181557, 4711, 34, 'अतिगलग्रंथिता');
INSERT INTO `lang_definitions` VALUES (181558, 4713, 34, 'अल्पगलग्रंथिता');
INSERT INTO `lang_definitions` VALUES (181559, 4716, 34, 'जरायूच्छेदन');
INSERT INTO `lang_definitions` VALUES (181560, 4717, 34, 'मैं');
INSERT INTO `lang_definitions` VALUES (181561, 4718, 34, 'मैं इस समय के दौरान व्यस्त हूँ.');
INSERT INTO `lang_definitions` VALUES (181562, 4719, 34, 'मुझे पढ़ने के लिए अनुमति नहीं है');
INSERT INTO `lang_definitions` VALUES (181563, 4724, 34, 'ICD');
INSERT INTO `lang_definitions` VALUES (181564, 4725, 34, 'ICD10 निदान');
INSERT INTO `lang_definitions` VALUES (181565, 4726, 34, 'ICD10 प्रक्रिया / सेवा');
INSERT INTO `lang_definitions` VALUES (181566, 4727, 34, 'ICD9');
INSERT INTO `lang_definitions` VALUES (181567, 4728, 34, 'ICD9 निदान');
INSERT INTO `lang_definitions` VALUES (181568, 4729, 34, 'ICD9 प्रक्रिया / सेवा');
INSERT INTO `lang_definitions` VALUES (181569, 4734, 34, 'ID');
INSERT INTO `lang_definitions` VALUES (181570, 4736, 34, 'ID');
INSERT INTO `lang_definitions` VALUES (181571, 4738, 34, 'ID खाली नहीं हो सकता');
INSERT INTO `lang_definitions` VALUES (181572, 4739, 34, 'ID कार्ड');
INSERT INTO `lang_definitions` VALUES (181573, 4742, 34, 'IDays');
INSERT INTO `lang_definitions` VALUES (181574, 4743, 34, 'के रूप में पहचान');
INSERT INTO `lang_definitions` VALUES (181575, 4745, 34, 'पहचानकर्ता (एक शब्द)');
INSERT INTO `lang_definitions` VALUES (181576, 4746, 34, 'कोड की पहचान');
INSERT INTO `lang_definitions` VALUES (181577, 4747, 34, 'निष्क्रिय सत्र मध्यांतर सेकंड');
INSERT INTO `lang_definitions` VALUES (181578, 4755, 34, 'अगर सभी स्तंभों के लिए सभी डेटा इस फार्म के लिए पूरा हो गया है');
INSERT INTO `lang_definitions` VALUES (181579, 4757, 34, 'बिलिंग औचित्य प्रयोग किया जाता है, तो निदान कोड प्रकार का नाम दर्ज करें.');
INSERT INTO `lang_definitions` VALUES (181580, 4763, 34, 'दर्ज किया गया है, तो केवल उन का चयन करें, जिसने इस सेवा का इस्तेमाल किया है!');
INSERT INTO `lang_definitions` VALUES (181581, 4765, 34, 'यदि नाम, अंतिम नाम या LastName, FirstName का कोई भी हिस्सा');
INSERT INTO `lang_definitions` VALUES (181582, 4770, 34, 'द्वारा भुगतान करते हैं तो');
INSERT INTO `lang_definitions` VALUES (181583, 4771, 34, 'व्यक्ति मृत है, तो मृत्यु की तारीख दर्ज करें.');
INSERT INTO `lang_definitions` VALUES (181584, 4775, 34, 'SMTP प्रयोग किया जाता है, तो सर्वर `मेजबाननाम या IP पता है.');
INSERT INTO `lang_definitions` VALUES (181585, 4776, 34, 'SMTP प्रयोग किया जाता है, तो सर्वर `TCP पोर्ट संख्या (आमतौर पर 25) है.');
INSERT INTO `lang_definitions` VALUES (181586, 4803, 34, 'अगर बेरोजगार दर्ज विद्यार्थी');
INSERT INTO `lang_definitions` VALUES (181587, 4805, 34, 'अगर YMD उम्र प्रदर्शन के लिए चुना जाता है, तो वर्षों में स्विच करें जब इस मान से रोगियों बड़े है!');
INSERT INTO `lang_definitions` VALUES (181588, 4814, 34, 'आप ePrescription के लिए ई RX रोल बदलते हैं, तो ePrescription कार्यप्रवाह प्रभावित हो सकता है. आपको किसी भी कठिनाई का सामना करना पड़ता है, तो आप ePrescription विक्रेता से संपर्क करें.');
INSERT INTO `lang_definitions` VALUES (181589, 4833, 34, 'If you have chosen to upload electronic remittances, then the search window redisplays itself with the matching invoices from the X12 file. You may click on any of these invoice numbers (as described below) if you wish to make any corrections before the remittance information is applied. To apply the changes, click the Process ERA File button at the bottom of the page. This will produce a new window with a detailed report.');
INSERT INTO `lang_definitions` VALUES (181590, 4836, 34, 'If you have entered a Pay Date in the search page, this will override the posting date of payments and adjustments that are otherwise taken from the X12 file. This may be useful for reporting purposes, if you want your receipts reporting to use your posting date rather than the insurance company\'s processing date. Note that this will also affect dates of prior payments and adjustments that are put into secondary claims.');
INSERT INTO `lang_definitions` VALUES (181591, 4850, 34, 'यदि आप डेटा प्रकार बदलना चाहते हैं, या पंक्तियाँ या स्तंभ जोड़ना चाहते हैं');
INSERT INTO `lang_definitions` VALUES (181592, 4851, 34, 'यदि आप डेटाबेस नवीनीकरण करना चाहते हैं, तो निम्न निर्देशिका में डेटाबेस ज़िप फ़ाइल रखें');
INSERT INTO `lang_definitions` VALUES (181593, 4854, 34, 'ध्यान न दें');
INSERT INTO `lang_definitions` VALUES (181594, 4856, 34, 'बीमारी');
INSERT INTO `lang_definitions` VALUES (181595, 4857, 34, 'IM');
INSERT INTO `lang_definitions` VALUES (181596, 4863, 34, 'इमेजिंग सेवा');
INSERT INTO `lang_definitions` VALUES (181597, 4865, 34, 'टीकाकरण');
INSERT INTO `lang_definitions` VALUES (181598, 4867, 34, 'टीकाकरण कोड');
INSERT INTO `lang_definitions` VALUES (181599, 4869, 34, 'टीकाकरण की तिथि');
INSERT INTO `lang_definitions` VALUES (181600, 4870, 34, 'टीकाकरण समाप्ति तिथि');
INSERT INTO `lang_definitions` VALUES (181601, 4872, 34, 'टीकाकरण बहुत संख्या');
INSERT INTO `lang_definitions` VALUES (181602, 4873, 34, 'टीकाकरण निर्माता');
INSERT INTO `lang_definitions` VALUES (181603, 4878, 34, 'टीकाकरण रजिस्ट्री');
INSERT INTO `lang_definitions` VALUES (181604, 4882, 34, 'टीकाकरण सेवा');
INSERT INTO `lang_definitions` VALUES (181605, 4883, 34, 'टीकाकरण शीर्षक');
INSERT INTO `lang_definitions` VALUES (181606, 4885, 34, 'टीकाकरण');
INSERT INTO `lang_definitions` VALUES (181607, 4887, 34, 'बचाव करना');
INSERT INTO `lang_definitions` VALUES (181608, 4888, 34, 'immunologic');
INSERT INTO `lang_definitions` VALUES (181609, 4893, 34, 'समाविष्ट');
INSERT INTO `lang_definitions` VALUES (181610, 4894, 34, 'आयात');
INSERT INTO `lang_definitions` VALUES (181611, 4898, 34, 'ब्राउज़र के लिए प्रमाणपत्र आयात करें.');
INSERT INTO `lang_definitions` VALUES (181612, 4899, 34, 'आयात विन्यास');
INSERT INTO `lang_definitions` VALUES (181613, 4904, 34, 'आयात रोगी');
INSERT INTO `lang_definitions` VALUES (181614, 4905, 34, 'आयात रोगी जनसांख्यिकी');
INSERT INTO `lang_definitions` VALUES (181615, 4910, 34, 'महत्वपूर्ण संहिताएं');
INSERT INTO `lang_definitions` VALUES (181616, 4912, 34, 'IMPORTANT: This upload tool is only for uploading documents on patients that are not yet entered into the system. To upload files for patients whom already have been entered into the system, please use the upload tool linked within the Patient Summary screen.');
INSERT INTO `lang_definitions` VALUES (181617, 4914, 34, 'लेखांकन से आयातित');
INSERT INTO `lang_definitions` VALUES (181618, 4920, 34, 'उन्नत');
INSERT INTO `lang_definitions` VALUES (181619, 4922, 34, 'में');
INSERT INTO `lang_definitions` VALUES (181620, 4923, 34, 'में');
INSERT INTO `lang_definitions` VALUES (181621, 4931, 34, 'हर आंख में');
INSERT INTO `lang_definitions` VALUES (181622, 4934, 34, 'बाईं आंख में');
INSERT INTO `lang_definitions` VALUES (181623, 4935, 34, 'नथुने में');
INSERT INTO `lang_definitions` VALUES (181624, 4936, 34, 'कार्यालय में');
INSERT INTO `lang_definitions` VALUES (181625, 4947, 34, 'दाहिनी आंख में');
INSERT INTO `lang_definitions` VALUES (181626, 4958, 34, 'घर में');
INSERT INTO `lang_definitions` VALUES (181627, 4960, 34, 'निष्क्रिय');
INSERT INTO `lang_definitions` VALUES (181628, 4965, 34, 'निष्क्रिय दिन');
INSERT INTO `lang_definitions` VALUES (181629, 4967, 34, 'इनबॉक्स');
INSERT INTO `lang_definitions` VALUES (181630, 4970, 34, 'Checksum शामिल करें');
INSERT INTO `lang_definitions` VALUES (181631, 4971, 34, 'पूरे किए गए शामिल करें');
INSERT INTO `lang_definitions` VALUES (181632, 4974, 34, 'निष्क्रिय उपयोगकर्ताओं को शामिल करें');
INSERT INTO `lang_definitions` VALUES (181633, 4975, 34, 'Uncategorized शामिल करें');
INSERT INTO `lang_definitions` VALUES (181634, 4976, 34, 'असंरचित डेटा शामिल');
INSERT INTO `lang_definitions` VALUES (181635, 4977, 34, 'नब्ज शामिल करें');
INSERT INTO `lang_definitions` VALUES (181636, 4978, 34, 'नब्ज डेटा शामिल हैं?');
INSERT INTO `lang_definitions` VALUES (181637, 4981, 34, 'समावेश');
INSERT INTO `lang_definitions` VALUES (181638, 4982, 34, 'आमदनी');
INSERT INTO `lang_definitions` VALUES (181639, 4984, 34, 'अधूरा');
INSERT INTO `lang_definitions` VALUES (181640, 4985, 34, 'अपूर्ण गर्भपात उपचार');
INSERT INTO `lang_definitions` VALUES (181641, 4986, 34, 'असंयमिता');
INSERT INTO `lang_definitions` VALUES (181642, 4987, 34, 'नैदानिक ​​प्रयोगशाला परीक्षण के परिणाम संरचित डेटा के रूप में प्रमाणित EHR प्रौद्योगिकी में शामिल करें.');
INSERT INTO `lang_definitions` VALUES (181643, 4988, 34, 'गलत पासवर्ड!');
INSERT INTO `lang_definitions` VALUES (181644, 4990, 34, 'वृद्धि हुई:');
INSERT INTO `lang_definitions` VALUES (181645, 4991, 34, 'क्षतिपूर्ति बीमा');
INSERT INTO `lang_definitions` VALUES (181646, 4994, 34, 'अनिश्चित');
INSERT INTO `lang_definitions` VALUES (181647, 4995, 34, 'भारतीय');
INSERT INTO `lang_definitions` VALUES (181648, 4998, 34, 'विषमता संकेत करता है');
INSERT INTO `lang_definitions` VALUES (181649, 5000, 34, 'संकेत करता है अगर, यह समस्या इस समय सक्रिय है');
INSERT INTO `lang_definitions` VALUES (181650, 5002, 34, 'विशेष उपयोग के लिए संकेतक');
INSERT INTO `lang_definitions` VALUES (181651, 5003, 34, 'जरूरतमंद मरीजों को');
INSERT INTO `lang_definitions` VALUES (181652, 5004, 34, 'गरीब मरीजों की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (181653, 5005, 34, 'indigents');
INSERT INTO `lang_definitions` VALUES (181654, 5010, 34, 'प्रेरित गर्भपात');
INSERT INTO `lang_definitions` VALUES (181655, 5012, 34, 'अयोग्य');
INSERT INTO `lang_definitions` VALUES (181656, 5013, 34, 'संक्रमण / फोड़ा');
INSERT INTO `lang_definitions` VALUES (181657, 5014, 34, 'संक्रमण');
INSERT INTO `lang_definitions` VALUES (181658, 5015, 34, 'Infert Couns');
INSERT INTO `lang_definitions` VALUES (181659, 5016, 34, 'बांझपन');
INSERT INTO `lang_definitions` VALUES (181660, 5017, 34, 'इन्फ्लुएंजा 1');
INSERT INTO `lang_definitions` VALUES (181661, 5018, 34, 'इन्फ्लुएंजा 2');
INSERT INTO `lang_definitions` VALUES (181662, 5019, 34, 'इन्फ्लूएंजा टीकाकरण के मरीजों के लिए> = 50 साल की उम्र');
INSERT INTO `lang_definitions` VALUES (181663, 5020, 34, 'मरीजों के लिए इन्फ्लूएंजा टीकाकरण> = 50 साल की उम्र (CQM)');
INSERT INTO `lang_definitions` VALUES (181664, 5021, 34, 'इन्फ्लुएंजा वैक्सीन');
INSERT INTO `lang_definitions` VALUES (181665, 5022, 34, 'जानकारी');
INSERT INTO `lang_definitions` VALUES (181666, 5023, 34, 'जानकारी परीक्षण 1');
INSERT INTO `lang_definitions` VALUES (181667, 5024, 34, 'जानकारी परीक्षण 2');
INSERT INTO `lang_definitions` VALUES (181668, 5025, 34, 'जानकारी टेस्ट 3');
INSERT INTO `lang_definitions` VALUES (181669, 5026, 34, 'जानकारी टेस्ट 4');
INSERT INTO `lang_definitions` VALUES (181670, 5027, 34, 'जानकारी परीक्षण 5');
INSERT INTO `lang_definitions` VALUES (181671, 5028, 34, 'जानकारी परीक्षण 6');
INSERT INTO `lang_definitions` VALUES (181672, 5034, 34, 'inhalations');
INSERT INTO `lang_definitions` VALUES (181673, 5036, 34, 'inhilations');
INSERT INTO `lang_definitions` VALUES (181674, 5039, 34, 'प्रारंभिक उपयोगकर्ता');
INSERT INTO `lang_definitions` VALUES (181675, 5041, 34, 'Inj / पुनर्वसन');
INSERT INTO `lang_definitions` VALUES (181676, 5042, 34, 'injectables');
INSERT INTO `lang_definitions` VALUES (181677, 5043, 34, 'Injection');
INSERT INTO `lang_definitions` VALUES (181678, 5044, 34, 'चोटिल शरीर के अंग');
INSERT INTO `lang_definitions` VALUES (181679, 5045, 34, 'चोटिल बाहर');
INSERT INTO `lang_definitions` VALUES (181680, 5046, 34, 'चोट');
INSERT INTO `lang_definitions` VALUES (181681, 5047, 34, 'चोट तंत्र');
INSERT INTO `lang_definitions` VALUES (181682, 5048, 34, 'चोट अवलोकन रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (181683, 5049, 34, 'चोट निगरानी');
INSERT INTO `lang_definitions` VALUES (181684, 5050, 34, 'चोट के प्रकार');
INSERT INTO `lang_definitions` VALUES (181685, 5051, 34, 'चोट / बीमारी से संबंधित');
INSERT INTO `lang_definitions` VALUES (181686, 5055, 34, 'इनपुट एक MSH खंड से शुरू नहीं होता');
INSERT INTO `lang_definitions` VALUES (181687, 5056, 34, 'इनपुट क्षेत्रों');
INSERT INTO `lang_definitions` VALUES (181688, 5057, 34, 'INR');
INSERT INTO `lang_definitions` VALUES (181689, 5058, 34, 'Ins 1');
INSERT INTO `lang_definitions` VALUES (181690, 5059, 34, 'Ins 2 या Ins 3');
INSERT INTO `lang_definitions` VALUES (181691, 5060, 34, 'Ins पता');
INSERT INTO `lang_definitions` VALUES (181692, 5061, 34, 'Ins समायोजित');
INSERT INTO `lang_definitions` VALUES (181693, 5062, 34, 'Ins bundling');
INSERT INTO `lang_definitions` VALUES (181694, 5063, 34, 'Ins कोड');
INSERT INTO `lang_definitions` VALUES (181695, 5064, 34, 'Ins समूह');
INSERT INTO `lang_definitions` VALUES (181696, 5065, 34, 'Ins का नाम');
INSERT INTO `lang_definitions` VALUES (181697, 5066, 34, 'Ins overpaid');
INSERT INTO `lang_definitions` VALUES (181698, 5067, 34, 'Ins नीति');
INSERT INTO `lang_definitions` VALUES (181699, 5068, 34, 'Ins धन वापसी');
INSERT INTO `lang_definitions` VALUES (181700, 5069, 34, 'Ins सारांश');
INSERT INTO `lang_definitions` VALUES (181701, 5071, 34, 'Ins1');
INSERT INTO `lang_definitions` VALUES (181702, 5072, 34, 'Ins2');
INSERT INTO `lang_definitions` VALUES (181703, 5073, 34, 'Ins3');
INSERT INTO `lang_definitions` VALUES (181704, 5075, 34, 'डालें विफल:');
INSERT INTO `lang_definitions` VALUES (181705, 5079, 34, 'तालिकाओं में पुरानी घटनाओं को डालें');
INSERT INTO `lang_definitions` VALUES (181706, 5085, 34, 'अनिद्रा');
INSERT INTO `lang_definitions` VALUES (181707, 5086, 34, 'प्रवेश का निरीक्षण');
INSERT INTO `lang_definitions` VALUES (181708, 5087, 34, 'निरीक्षण');
INSERT INTO `lang_definitions` VALUES (181709, 5088, 34, 'अस्थिरता / अनुसन्धिच्युति');
INSERT INTO `lang_definitions` VALUES (181710, 5089, 34, 'स्थापित करें');
INSERT INTO `lang_definitions` VALUES (181711, 5090, 34, 'स्थापित करें');
INSERT INTO `lang_definitions` VALUES (181712, 5093, 34, 'DB स्थापित करें');
INSERT INTO `lang_definitions` VALUES (181713, 5100, 34, 'स्थापित प्रकाशनी');
INSERT INTO `lang_definitions` VALUES (181714, 5102, 34, 'निर्देश दिए');
INSERT INTO `lang_definitions` VALUES (181715, 5103, 34, 'निर्देश');
INSERT INTO `lang_definitions` VALUES (181716, 5105, 34, 'निर्देश:');
INSERT INTO `lang_definitions` VALUES (181717, 5107, 34, 'उत्पाद ID के लिए अपर्याप्त सूची');
INSERT INTO `lang_definitions` VALUES (181718, 5108, 34, 'इंसुलिन निर्भर मधुमेह');
INSERT INTO `lang_definitions` VALUES (181719, 5109, 34, 'बीमा');
INSERT INTO `lang_definitions` VALUES (181720, 5110, 34, 'बीमा');
INSERT INTO `lang_definitions` VALUES (181721, 5114, 34, 'बीमा शेष राशि');
INSERT INTO `lang_definitions` VALUES (181722, 5115, 34, 'बीमा शेष राशि लंबित');
INSERT INTO `lang_definitions` VALUES (181723, 5116, 34, 'बीमा COMP');
INSERT INTO `lang_definitions` VALUES (181724, 5117, 34, 'बीमा कंपनियां');
INSERT INTO `lang_definitions` VALUES (181725, 5118, 34, 'इंश्योरेंस कंपनी');
INSERT INTO `lang_definitions` VALUES (181726, 5119, 34, 'इंश्योरेंस कंपनी खोज / जोड़ें');
INSERT INTO `lang_definitions` VALUES (181727, 5121, 34, 'बीमा डाटा');
INSERT INTO `lang_definitions` VALUES (181728, 5124, 34, 'फाइल पर बीमा जानकारी');
INSERT INTO `lang_definitions` VALUES (181729, 5126, 34, 'बीमा अंक');
INSERT INTO `lang_definitions` VALUES (181730, 5127, 34, 'बीमा भुगतान');
INSERT INTO `lang_definitions` VALUES (181731, 5129, 34, 'बीमा प्रदाता');
INSERT INTO `lang_definitions` VALUES (181732, 5133, 34, 'बीमित');
INSERT INTO `lang_definitions` VALUES (181733, 5134, 34, 'इनटेक निष्कर्ष');
INSERT INTO `lang_definitions` VALUES (181734, 5135, 34, 'इनटेक तिथि');
INSERT INTO `lang_definitions` VALUES (181735, 5138, 34, 'बौद्धिक गिरावट');
INSERT INTO `lang_definitions` VALUES (181736, 5149, 34, 'आंतरिक त्रुटि - पृष्ठों को चयन किया गया नहीं!');
INSERT INTO `lang_definitions` VALUES (181737, 5150, 34, 'आंतरिक त्रुटि - रोगी ID प्रदान नहीं किया गया!');
INSERT INTO `lang_definitions` VALUES (181738, 5151, 34, 'आंतरिक त्रुटि अपलोड की गई फ़ाइल तक पहुँचने में!');
INSERT INTO `lang_definitions` VALUES (181739, 5153, 34, 'आंतरिक त्रुटि!');
INSERT INTO `lang_definitions` VALUES (181740, 5154, 34, 'आंतरिक त्रुटि, दवा ID निर्दिष्ट नहीं!');
INSERT INTO `lang_definitions` VALUES (181741, 5155, 34, 'आंतरिक त्रुटि: MSH-10 नहीं खोज सके');
INSERT INTO `lang_definitions` VALUES (181742, 5156, 34, 'आंतरिक त्रुटि: दावा');
INSERT INTO `lang_definitions` VALUES (181743, 5157, 34, 'आंतरिक त्रुटि: मुठभेड़ \'');
INSERT INTO `lang_definitions` VALUES (181744, 5158, 34, 'आंतरिक त्रुटि: pid ​​या मुठभेड़ लापता है.');
INSERT INTO `lang_definitions` VALUES (181745, 5159, 34, 'आंतरिक त्रुटि: हम एक मुठभेड़ में हो ऐसा नहीं लगता है!');
INSERT INTO `lang_definitions` VALUES (181746, 5160, 34, 'आंतरिक पहचानकर्ता (pid​​)');
INSERT INTO `lang_definitions` VALUES (181747, 5163, 34, 'आंतरिक सिफ़ारिशों के');
INSERT INTO `lang_definitions` VALUES (181748, 5164, 34, 'आंतरिक समय एकत्रित');
INSERT INTO `lang_definitions` VALUES (181749, 5165, 34, 'अंतर्राष्ट्रीय कर्तव्य');
INSERT INTO `lang_definitions` VALUES (181750, 5167, 34, 'दुभाषिया');
INSERT INTO `lang_definitions` VALUES (181751, 5168, 34, 'दुभाषिए की जरूरत?');
INSERT INTO `lang_definitions` VALUES (181752, 5169, 34, 'अंतरालीय फेफड़े की बीमारी');
INSERT INTO `lang_definitions` VALUES (181753, 5170, 34, 'अंतराल');
INSERT INTO `lang_definitions` VALUES (181754, 5171, 34, 'अंतराल (मिनट)');
INSERT INTO `lang_definitions` VALUES (181755, 5172, 34, 'संदेश जाँच के बीच अंतराल (केवल मैनुअल जाँच के लिए शून्य पर सेट करें)');
INSERT INTO `lang_definitions` VALUES (181756, 5173, 34, 'हस्तक्षेप');
INSERT INTO `lang_definitions` VALUES (181757, 5174, 34, 'परंतु हस्तक्षेप');
INSERT INTO `lang_definitions` VALUES (181758, 5175, 34, 'असहिष्णुता');
INSERT INTO `lang_definitions` VALUES (181759, 5178, 34, 'अंतर्पेशीय');
INSERT INTO `lang_definitions` VALUES (181760, 5181, 34, 'नसों में');
INSERT INTO `lang_definitions` VALUES (181761, 5182, 34, 'परिचय');
INSERT INTO `lang_definitions` VALUES (181762, 5185, 34, 'अमान्य वर्ण');
INSERT INTO `lang_definitions` VALUES (181763, 5195, 34, 'अमान्य लंबाई');
INSERT INTO `lang_definitions` VALUES (181764, 5196, 34, 'अमान्य गैर संख्यात्मक चरित्र में');
INSERT INTO `lang_definitions` VALUES (181765, 5197, 34, 'कोड के लिए स्रोत में अमान्य या अनुपस्थित दाता');
INSERT INTO `lang_definitions` VALUES (181766, 5199, 34, 'प्राप्तकर्ता का पता अमान्य. पुन: प्रयास करें.');
INSERT INTO `lang_definitions` VALUES (181767, 5200, 34, 'अमान्य सेवा संहिताएं');
INSERT INTO `lang_definitions` VALUES (181768, 5201, 34, 'अवैध स्रोत पद \"');
INSERT INTO `lang_definitions` VALUES (181769, 5203, 34, 'अमान्य उपयोगकर्ता नाम या पासवर्ड');
INSERT INTO `lang_definitions` VALUES (181770, 5204, 34, 'InvAmt');
INSERT INTO `lang_definitions` VALUES (181771, 5205, 34, 'इनवेंटरी');
INSERT INTO `lang_definitions` VALUES (181772, 5206, 34, 'इन्वेंटरी गतिविधि');
INSERT INTO `lang_definitions` VALUES (181773, 5207, 34, 'दवाओं और गैर दवा उत्पादों, दोनों को इन्वेंटरी और बेचते हैं!');
INSERT INTO `lang_definitions` VALUES (181774, 5208, 34, 'केवल दवाओं इन्वेंटरी और बेचते हैं!');
INSERT INTO `lang_definitions` VALUES (181775, 5209, 34, 'इन्वेंटरी इस आदेश के लिए उपलब्ध नहीं है.');
INSERT INTO `lang_definitions` VALUES (181776, 5210, 34, 'इन्वेंट्री सूची');
INSERT INTO `lang_definitions` VALUES (181777, 5211, 34, 'इन्वेंटरी लेनदेन');
INSERT INTO `lang_definitions` VALUES (181778, 5212, 34, 'बीजक');
INSERT INTO `lang_definitions` VALUES (181779, 5213, 34, 'बीजक');
INSERT INTO `lang_definitions` VALUES (181780, 5215, 34, 'चालान शेष');
INSERT INTO `lang_definitions` VALUES (181781, 5216, 34, 'चालान शेष तैनात नहीं किया जा सकता.मुठभेड़ बनाई नहीं गई है.');
INSERT INTO `lang_definitions` VALUES (181782, 5217, 34, 'चालान तिथि');
INSERT INTO `lang_definitions` VALUES (181783, 5219, 34, 'चालान तिथि नहीं है!');
INSERT INTO `lang_definitions` VALUES (181784, 5220, 34, 'चालान संख्या');
INSERT INTO `lang_definitions` VALUES (181785, 5221, 34, 'चालान संदर्भ संख्या');
INSERT INTO `lang_definitions` VALUES (181786, 5222, 34, 'चालान संदर्भ संख्या पूल, अगर इस्तेमाल किया है!');
INSERT INTO `lang_definitions` VALUES (181787, 5223, 34, 'चालान संदर्भ संख्या ताल');
INSERT INTO `lang_definitions` VALUES (181788, 5224, 34, 'चालान Refno तरणताल');
INSERT INTO `lang_definitions` VALUES (181789, 5226, 34, 'चालान:');
INSERT INTO `lang_definitions` VALUES (181790, 5237, 34, 'IPPF');
INSERT INTO `lang_definitions` VALUES (181791, 5238, 34, 'IPPF गर्भपात');
INSERT INTO `lang_definitions` VALUES (181792, 5239, 34, 'IPPF गर्भनिरोध');
INSERT INTO `lang_definitions` VALUES (181793, 5240, 34, 'IPPF SRH डेटा के लिए');
INSERT INTO `lang_definitions` VALUES (181794, 5241, 34, 'IPPF सांख्यिकी रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (181795, 5242, 34, 'IPPF आँकड़े');
INSERT INTO `lang_definitions` VALUES (181796, 5243, 34, 'IPV 1');
INSERT INTO `lang_definitions` VALUES (181797, 5244, 34, 'IPV 2');
INSERT INTO `lang_definitions` VALUES (181798, 5245, 34, 'IPV 3');
INSERT INTO `lang_definitions` VALUES (181799, 5246, 34, 'IPV 4');
INSERT INTO `lang_definitions` VALUES (181800, 5249, 34, 'अनियमित दिल की धड़कन');
INSERT INTO `lang_definitions` VALUES (181801, 5250, 34, 'चिड़चिड़ापन');
INSERT INTO `lang_definitions` VALUES (181802, 5251, 34, 'जलन');
INSERT INTO `lang_definitions` VALUES (181803, 5252, 34, 'निम्नलिखित डेटाबेस की एक अलग भाषा संस्करण है');
INSERT INTO `lang_definitions` VALUES (181804, 5253, 34, 'निम्नलिखित डेटाबेस का एक अलग संस्करण है');
INSERT INTO `lang_definitions` VALUES (181805, 5254, 34, 'निम्नलिखित डेटाबेस के नवीनतम संस्करण है');
INSERT INTO `lang_definitions` VALUES (181806, 5256, 34, 'क्षेत्र जरूरी है.');
INSERT INTO `lang_definitions` VALUES (181807, 5257, 34, 'एक रूट नोड है और नष्ट नहीं किया जा सकता है.');
INSERT INTO `lang_definitions` VALUES (181808, 5258, 34, 'निम्नलिखित डेटाबेस का एक विस्तार है');
INSERT INTO `lang_definitions` VALUES (181809, 5263, 34, 'गलत या अज्ञात है');
INSERT INTO `lang_definitions` VALUES (181810, 5268, 34, '(दशमलव अंश ठीक हैं) वैध नहीं है.');
INSERT INTO `lang_definitions` VALUES (181811, 5269, 34, 'क्या PHP सुरक्षित मोड का उपयोग कर रहा है?');
INSERT INTO `lang_definitions` VALUES (181812, 5273, 34, 'क्या प्रपत्र लेआउट से पाठ अनुवादित किया जा रहा है?');
INSERT INTO `lang_definitions` VALUES (181813, 5274, 34, 'क्या सूची से पाठ अनुवादित किया जा रहा है?');
INSERT INTO `lang_definitions` VALUES (181814, 5275, 34, 'क्या फ़ाइल एन्क्रिप्टेड है?');
INSERT INTO `lang_definitions` VALUES (181815, 5276, 34, 'क्या यह एक नैदानिक ​​शब्द कोड प्रकार है?');
INSERT INTO `lang_definitions` VALUES (181816, 5277, 34, 'क्या यह एक निदान प्रकार है?');
INSERT INTO `lang_definitions` VALUES (181817, 5278, 34, 'क्या यह एक चिकित्सा समस्या कोड प्रकार है?');
INSERT INTO `lang_definitions` VALUES (181818, 5280, 34, 'क्या यह एक प्रक्रिया / सेवा प्रकार है?');
INSERT INTO `lang_definitions` VALUES (181819, 5281, 34, 'क्या यह सक्रिय है?');
INSERT INTO `lang_definitions` VALUES (181820, 5282, 34, 'क्या यह कोड प्रकार सक्रिय है?');
INSERT INTO `lang_definitions` VALUES (181821, 5283, 34, 'क्या यह कोड प्रकार दावों में किया जाता है?');
INSERT INTO `lang_definitions` VALUES (181822, 5286, 34, 'क्या इस प्रकार के शुल्क चादर में छिपा हुआ है?');
INSERT INTO `lang_definitions` VALUES (181823, 5287, 34, 'क्या यह बाहरी SQL तालिकाओं का उपयोग कर रहा है? अगर ऐसा है, तो स्वरूप चुनें.');
INSERT INTO `lang_definitions` VALUES (181824, 5288, 34, 'बहुत लंबा है');
INSERT INTO `lang_definitions` VALUES (181825, 5290, 34, 'समस्या');
INSERT INTO `lang_definitions` VALUES (181826, 5291, 34, 'समस्या');
INSERT INTO `lang_definitions` VALUES (181827, 5292, 34, 'अंक तिथि');
INSERT INTO `lang_definitions` VALUES (181828, 5293, 34, 'समस्या ID');
INSERT INTO `lang_definitions` VALUES (181829, 5295, 34, 'समस्या शीर्षक');
INSERT INTO `lang_definitions` VALUES (181830, 5296, 34, 'समस्या प्रकार');
INSERT INTO `lang_definitions` VALUES (181831, 5297, 34, 'समस्या प्रकार');
INSERT INTO `lang_definitions` VALUES (181832, 5298, 34, 'समस्या');
INSERT INTO `lang_definitions` VALUES (181833, 5299, 34, 'समस्या (चोट लगने / चिकित्सा / एलर्जी)');
INSERT INTO `lang_definitions` VALUES (181834, 5300, 34, 'समस्या (चोट लगने / चिकित्सा / एलर्जी):');
INSERT INTO `lang_definitions` VALUES (181835, 5302, 34, 'समस्या और मुठभेड़ों');
INSERT INTO `lang_definitions` VALUES (181836, 5303, 34, 'के लिए समस्या और मुठभेड़ों');
INSERT INTO `lang_definitions` VALUES (181837, 5308, 34, 'समस्या अधिकृत नहीं');
INSERT INTO `lang_definitions` VALUES (181838, 5309, 34, 'समस्या अनुभाग');
INSERT INTO `lang_definitions` VALUES (181839, 5364, 34, 'Italian');
INSERT INTO `lang_definitions` VALUES (181840, 5365, 34, 'वस्तु');
INSERT INTO `lang_definitions` VALUES (181841, 5366, 34, 'वस्तु');
INSERT INTO `lang_definitions` VALUES (181842, 5368, 34, 'वस्तु');
INSERT INTO `lang_definitions` VALUES (181843, 5369, 34, 'वस्तु विफल लोड');
INSERT INTO `lang_definitions` VALUES (181844, 5370, 34, 'IU / L');
INSERT INTO `lang_definitions` VALUES (181845, 5371, 34, 'IUD');
INSERT INTO `lang_definitions` VALUES (181846, 5372, 34, 'चतुर्थ');
INSERT INTO `lang_definitions` VALUES (181847, 5375, 34, 'जनवरी');
INSERT INTO `lang_definitions` VALUES (181848, 5376, 34, 'जनवरी');
INSERT INTO `lang_definitions` VALUES (181849, 5377, 34, 'जापानी');
INSERT INTO `lang_definitions` VALUES (181850, 5378, 34, 'पीलिया');
INSERT INTO `lang_definitions` VALUES (181851, 5380, 34, 'कार्य विवरण');
INSERT INTO `lang_definitions` VALUES (181852, 5381, 34, 'नौकरी आईडी');
INSERT INTO `lang_definitions` VALUES (181853, 5382, 34, 'जोड़ों का dislocations');
INSERT INTO `lang_definitions` VALUES (181854, 5383, 34, 'जोड़ों का दर्द');
INSERT INTO `lang_definitions` VALUES (181855, 5384, 34, 'जोड़ों की मोच');
INSERT INTO `lang_definitions` VALUES (181856, 5385, 34, 'जुलाई');
INSERT INTO `lang_definitions` VALUES (181857, 5386, 34, 'जुलाई');
INSERT INTO `lang_definitions` VALUES (181858, 5388, 34, 'जून');
INSERT INTO `lang_definitions` VALUES (181859, 5389, 34, 'जून');
INSERT INTO `lang_definitions` VALUES (181860, 5390, 34, 'Just below the check information is a blue area where you put in your search parameters. You can search by patient name, chart number, encounter number or date of service, or any combination of these. You may also select whether you want to see all invoices, open invoices, or only invoices that are due (by the patient). Click the Search button to perform the search.');
INSERT INTO `lang_definitions` VALUES (181861, 5391, 34, 'बस मेरा');
INSERT INTO `lang_definitions` VALUES (181862, 5392, 34, 'औचित्य प्रविष्टियां');
INSERT INTO `lang_definitions` VALUES (181863, 5393, 34, 'औचित्य');
INSERT INTO `lang_definitions` VALUES (181864, 5396, 34, 'औचित्य / सहेजें');
INSERT INTO `lang_definitions` VALUES (181865, 5397, 34, 'J {{शीर्ष औचित्य करें}}');
INSERT INTO `lang_definitions` VALUES (181866, 5398, 34, 'K, बाकी यहाँ है');
INSERT INTO `lang_definitions` VALUES (181867, 5407, 34, 'चाबी');
INSERT INTO `lang_definitions` VALUES (181868, 5411, 34, 'खोजशब्द');
INSERT INTO `lang_definitions` VALUES (181869, 5412, 34, 'किलोग्राम');
INSERT INTO `lang_definitions` VALUES (181870, 5413, 34, 'किग्रा / m ^ 2');
INSERT INTO `lang_definitions` VALUES (181871, 5415, 34, 'गुर्दे के कैंसर');
INSERT INTO `lang_definitions` VALUES (181872, 5416, 34, 'गुर्दे की विफलता');
INSERT INTO `lang_definitions` VALUES (181873, 5417, 34, 'गुर्दे में संक्रमण');
INSERT INTO `lang_definitions` VALUES (181874, 5418, 34, 'गुर्दे की पथरी');
INSERT INTO `lang_definitions` VALUES (181875, 5419, 34, 'गुर्दा प्रत्यारोपण');
INSERT INTO `lang_definitions` VALUES (181876, 5425, 34, 'घुटना');
INSERT INTO `lang_definitions` VALUES (181877, 5426, 34, 'घुटने की समस्याओं');
INSERT INTO `lang_definitions` VALUES (181878, 5427, 34, 'घुटने रिप्लेसमेंट');
INSERT INTO `lang_definitions` VALUES (181879, 5430, 34, 'कोरियाई');
INSERT INTO `lang_definitions` VALUES (181880, 5434, 34, 'लैब');
INSERT INTO `lang_definitions` VALUES (181881, 5436, 34, 'लैब एक्सचेंज साइट पता');
INSERT INTO `lang_definitions` VALUES (181882, 5437, 34, 'लैब एक्सचेंज साइट ID');
INSERT INTO `lang_definitions` VALUES (181883, 5438, 34, 'लैब विनिमय टोकन ID');
INSERT INTO `lang_definitions` VALUES (181884, 5442, 34, 'लैब प्रश्न स्थिति');
INSERT INTO `lang_definitions` VALUES (181885, 5444, 34, 'लैब की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (181886, 5445, 34, 'लैब नतीजे');
INSERT INTO `lang_definitions` VALUES (181887, 5446, 34, 'लैब परिणाम');
INSERT INTO `lang_definitions` VALUES (181888, 5449, 34, 'लैब परिणाम की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (181889, 5450, 34, 'लैब सेवा');
INSERT INTO `lang_definitions` VALUES (181890, 5451, 34, 'लैब परीक्षण के परिणाम');
INSERT INTO `lang_definitions` VALUES (181891, 5453, 34, 'लेबल');
INSERT INTO `lang_definitions` VALUES (181892, 5454, 34, 'लेबल खाली नहीं हो सकता');
INSERT INTO `lang_definitions` VALUES (181893, 5455, 34, 'लेबल Cols');
INSERT INTO `lang_definitions` VALUES (181894, 5456, 34, 'इस प्रकार के लिए लेबल');
INSERT INTO `lang_definitions` VALUES (181895, 5458, 34, 'LabelCols 1 और 999 के बीच में होनी चाहिए');
INSERT INTO `lang_definitions` VALUES (181896, 5459, 34, 'लेबल');
INSERT INTO `lang_definitions` VALUES (181897, 5463, 34, 'लैब्स');
INSERT INTO `lang_definitions` VALUES (181898, 5464, 34, 'फटन / त्वचा हालत');
INSERT INTO `lang_definitions` VALUES (181899, 5465, 34, 'फटन / घर्षण');
INSERT INTO `lang_definitions` VALUES (181900, 5471, 34, 'भाषा');
INSERT INTO `lang_definitions` VALUES (181901, 5472, 34, 'भाषा कोड');
INSERT INTO `lang_definitions` VALUES (181902, 5473, 34, 'भाषा परिभाषा जोड़े');
INSERT INTO `lang_definitions` VALUES (181903, 5474, 34, 'भाषा इंटरफ़ेस उपकरण');
INSERT INTO `lang_definitions` VALUES (181904, 5476, 34, 'भाषा सूची (addonly वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (181905, 5478, 34, 'भाषा का नाम');
INSERT INTO `lang_definitions` VALUES (181906, 5479, 34, 'भाषा:');
INSERT INTO `lang_definitions` VALUES (181907, 5481, 34, 'Laotian');
INSERT INTO `lang_definitions` VALUES (181908, 5485, 34, 'अंतिम');
INSERT INTO `lang_definitions` VALUES (181909, 5486, 34, 'पिछली गतिविधि तिथि');
INSERT INTO `lang_definitions` VALUES (181910, 5489, 34, 'अंतिम बिल की तारीख:');
INSERT INTO `lang_definitions` VALUES (181911, 5491, 34, 'पिछले साल');
INSERT INTO `lang_definitions` VALUES (181912, 5495, 34, 'पिछले मुठभेड़');
INSERT INTO `lang_definitions` VALUES (181913, 5502, 34, 'अंतिम स्तर बिल');
INSERT INTO `lang_definitions` VALUES (181914, 5506, 34, 'पिछले माह');
INSERT INTO `lang_definitions` VALUES (181915, 5507, 34, 'अंतिम नाम');
INSERT INTO `lang_definitions` VALUES (181916, 5508, 34, 'अंतिम नाम');
INSERT INTO `lang_definitions` VALUES (181917, 5513, 34, 'अंतिम नाम:');
INSERT INTO `lang_definitions` VALUES (181918, 5517, 34, 'अंतिम समीक्षित');
INSERT INTO `lang_definitions` VALUES (181919, 5518, 34, 'आखिरी रन, पर शुरू कर दिया');
INSERT INTO `lang_definitions` VALUES (181920, 5519, 34, 'अंतिम सहेजा गया');
INSERT INTO `lang_definitions` VALUES (181921, 5525, 34, 'के द्वारा अंतिम अद्यतन');
INSERT INTO `lang_definitions` VALUES (181922, 5526, 34, 'पर अंतिम सत्यापित किया');
INSERT INTO `lang_definitions` VALUES (181923, 5527, 34, 'पिछली यात्रा के');
INSERT INTO `lang_definitions` VALUES (181924, 5530, 34, 'पिछली पुनरावृत्ति (2-12 मो)');
INSERT INTO `lang_definitions` VALUES (181925, 5531, 34, 'पार्श्विकता Malleolus');
INSERT INTO `lang_definitions` VALUES (181926, 5532, 34, 'पार्श्विकता malleolus:');
INSERT INTO `lang_definitions` VALUES (181927, 5533, 34, 'पार्श्विकता');
INSERT INTO `lang_definitions` VALUES (181928, 5534, 34, 'इस प्रक्रिया की पार्श्विकता, यदि लागू हो');
INSERT INTO `lang_definitions` VALUES (181929, 5535, 34, 'पार्श्विक विस्थापित PMI:');
INSERT INTO `lang_definitions` VALUES (181930, 5549, 34, 'लेआउट आधारित');
INSERT INTO `lang_definitions` VALUES (181931, 5551, 34, 'लेआउट संपादक');
INSERT INTO `lang_definitions` VALUES (181932, 5552, 34, 'लेआउट समूह');
INSERT INTO `lang_definitions` VALUES (181933, 5556, 34, 'लेआउट शैली');
INSERT INTO `lang_definitions` VALUES (181934, 5558, 34, 'लेआउट आधारित भेंट फॉर्म्स');
INSERT INTO `lang_definitions` VALUES (181935, 5559, 34, 'लेआउट');
INSERT INTO `lang_definitions` VALUES (181936, 5560, 34, 'lb');
INSERT INTO `lang_definitions` VALUES (181937, 5563, 34, 'lbs');
INSERT INTO `lang_definitions` VALUES (181938, 5571, 34, 'LDL');
INSERT INTO `lang_definitions` VALUES (181939, 5573, 34, 'अगर अभी भी सक्रिय है, तो खाली छोड़ दें');
INSERT INTO `lang_definitions` VALUES (181940, 5574, 34, 'मूल फ़ाइलनाम रखने के लिए खाली छोड़ दें');
INSERT INTO `lang_definitions` VALUES (181941, 5575, 34, 'पासवर्ड को अपरिवर्तित रखने के लिए खाली छोड़ दें.');
INSERT INTO `lang_definitions` VALUES (181942, 5580, 34, 'के साथ संदेश छोड़ दें');
INSERT INTO `lang_definitions` VALUES (181943, 5582, 34, 'फार्म छोड़ दें');
INSERT INTO `lang_definitions` VALUES (181944, 5583, 34, 'पास वाक्यांश को खाली छोड़ने से दस्तावेज़ एन्क्रिप्ट नहीं होगा');
INSERT INTO `lang_definitions` VALUES (181945, 5586, 34, 'बाएं');
INSERT INTO `lang_definitions` VALUES (181946, 5589, 34, 'बाएं कान');
INSERT INTO `lang_definitions` VALUES (181947, 5590, 34, 'बाएं कान');
INSERT INTO `lang_definitions` VALUES (181948, 5599, 34, 'बाएं');
INSERT INTO `lang_definitions` VALUES (181949, 5600, 34, 'बाएं');
INSERT INTO `lang_definitions` VALUES (181950, 5601, 34, 'पैर में दर्द / ऐंठन');
INSERT INTO `lang_definitions` VALUES (181951, 5602, 34, 'कानूनी');
INSERT INTO `lang_definitions` VALUES (181952, 5604, 34, 'कानूनी कागज़ आकार');
INSERT INTO `lang_definitions` VALUES (181953, 5605, 34, 'लिजेंड:');
INSERT INTO `lang_definitions` VALUES (181954, 5606, 34, 'लंबाई');
INSERT INTO `lang_definitions` VALUES (181955, 5607, 34, 'संशोधक की लंबाई, 0 अगर कोई नहीं है');
INSERT INTO `lang_definitions` VALUES (181956, 5613, 34, 'से भी कम');
INSERT INTO `lang_definitions` VALUES (181957, 5614, 34, 'से भी कम या बराबर');
INSERT INTO `lang_definitions` VALUES (181958, 5615, 34, 'कम निजी जानकारी (, addonly वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (181959, 5620, 34, 'पत्र');
INSERT INTO `lang_definitions` VALUES (181960, 5621, 34, 'पत्र उत्पन्नकर्ता');
INSERT INTO `lang_definitions` VALUES (181961, 5622, 34, 'पत्र कागज आकार');
INSERT INTO `lang_definitions` VALUES (181962, 5623, 34, 'लेटरहेड पर, उस डॉक्टर के हस्ताक्षर');
INSERT INTO `lang_definitions` VALUES (181963, 5624, 34, 'लेटरहेड पर, उस मरीज के हस्ताक्षर');
INSERT INTO `lang_definitions` VALUES (181964, 5627, 34, 'तात्कालिकता का स्तर');
INSERT INTO `lang_definitions` VALUES (181965, 5630, 34, 'दायित्व');
INSERT INTO `lang_definitions` VALUES (181966, 5631, 34, 'दायित्व मैडिकल');
INSERT INTO `lang_definitions` VALUES (181967, 5633, 34, 'लाइसेंस / ID');
INSERT INTO `lang_definitions` VALUES (181968, 5639, 34, 'LicensedPrescriber अंतिम नाम');
INSERT INTO `lang_definitions` VALUES (181969, 5640, 34, 'LicensedPrescriber NPI');
INSERT INTO `lang_definitions` VALUES (181970, 5641, 34, 'LicensedPrescriber UPIN');
INSERT INTO `lang_definitions` VALUES (181971, 5644, 34, 'जीवन शैली');
INSERT INTO `lang_definitions` VALUES (181972, 5646, 34, 'जीवन शैली स्थिति');
INSERT INTO `lang_definitions` VALUES (181973, 5647, 34, 'अस्थिबंध फटी या मोच');
INSERT INTO `lang_definitions` VALUES (181974, 5648, 34, 'लाइट तम्बाकू धूम्रपान करने वाला');
INSERT INTO `lang_definitions` VALUES (181975, 5651, 34, 'घटनाक्रम की सीमा');
INSERT INTO `lang_definitions` VALUES (181976, 5654, 34, 'सीमाएं');
INSERT INTO `lang_definitions` VALUES (181977, 5657, 34, 'जुड़ा हुआ');
INSERT INTO `lang_definitions` VALUES (181978, 5658, 34, 'रोगी के लिए जुड़ा हुआ');
INSERT INTO `lang_definitions` VALUES (181979, 5660, 34, 'जुड़ा हुआ');
INSERT INTO `lang_definitions` VALUES (181980, 5661, 34, 'जुड़ा हुआ दस्तावेज़');
INSERT INTO `lang_definitions` VALUES (181981, 5662, 34, 'जुड़ा हुआ प्रक्रिया आदेश');
INSERT INTO `lang_definitions` VALUES (181982, 5663, 34, 'दस्तावेज़ से जुड़ा हुआ');
INSERT INTO `lang_definitions` VALUES (181983, 5664, 34, 'प्रक्रिया आदेश से जुड़ा हुआ');
INSERT INTO `lang_definitions` VALUES (181984, 5665, 34, 'सूची');
INSERT INTO `lang_definitions` VALUES (181985, 5666, 34, 'सूची बॉक्स');
INSERT INTO `lang_definitions` VALUES (181986, 5667, 34, 'सूची बॉक्स');
INSERT INTO `lang_definitions` VALUES (181987, 5668, 34, 'सूची बॉक्स W / जोड़');
INSERT INTO `lang_definitions` VALUES (181988, 5669, 34, 'सूची बॉक्स W / जोड़');
INSERT INTO `lang_definitions` VALUES (181989, 5671, 34, 'सूची संपादक');
INSERT INTO `lang_definitions` VALUES (181990, 5672, 34, 'सूची मुठभेड़ों की');
INSERT INTO `lang_definitions` VALUES (181991, 5674, 34, 'सूची समूहों');
INSERT INTO `lang_definitions` VALUES (181992, 5675, 34, 'सूची बीमा कंपनियों की');
INSERT INTO `lang_definitions` VALUES (181993, 5677, 34, 'सूची आइटम नंबर के साथ शुरू नहीं कर सकते हैं.');
INSERT INTO `lang_definitions` VALUES (181994, 5678, 34, 'सूची आइटम अवैध चरित्र (o) शामिल हैं.');
INSERT INTO `lang_definitions` VALUES (181995, 5680, 34, 'सूची सूचियों');
INSERT INTO `lang_definitions` VALUES (181996, 5682, 34, 'सूची नाम');
INSERT INTO `lang_definitions` VALUES (181997, 5683, 34, 'सूची के नाम संख्या के साथ शुरू नहीं कर सकते.');
INSERT INTO `lang_definitions` VALUES (181998, 5688, 34, 'सूची नुस्खे');
INSERT INTO `lang_definitions` VALUES (181999, 5689, 34, 'ऊपर के देश डेटा प्रकार विकल्प द्वारा इस्तेमाल किया हुआ सूची.');
INSERT INTO `lang_definitions` VALUES (182000, 5690, 34, 'ऊपर के राज्य डेटा प्रकार विकल्प द्वारा इस्तेमाल किया हुआ सूची.');
INSERT INTO `lang_definitions` VALUES (182001, 5691, 34, 'आरएफसी 5425 टीएलएस syslog सर्वर के सुनने के बंदरगाह.');
INSERT INTO `lang_definitions` VALUES (182002, 5693, 34, 'सूचियां');
INSERT INTO `lang_definitions` VALUES (182003, 5695, 34, 'लिथुआनियाई');
INSERT INTO `lang_definitions` VALUES (182004, 5696, 34, 'लिविंग विल');
INSERT INTO `lang_definitions` VALUES (182005, 5701, 34, 'LLL:');
INSERT INTO `lang_definitions` VALUES (182006, 5707, 34, 'LMP');
INSERT INTO `lang_definitions` VALUES (182007, 5708, 34, 'संग्रह लोड करें');
INSERT INTO `lang_definitions` VALUES (182008, 5709, 34, 'परिभाषाएँ लोड करें');
INSERT INTO `lang_definitions` VALUES (182009, 5711, 34, 'लैब विन्यास लोड करें');
INSERT INTO `lang_definitions` VALUES (182010, 5712, 34, 'OE प्रश्न विकल्प लोड करें');
INSERT INTO `lang_definitions` VALUES (182011, 5713, 34, 'आदेश परिभाषाएँ लोड करें');
INSERT INTO `lang_definitions` VALUES (182012, 5714, 34, 'आदेश प्रविष्टि प्रश्न लोड करें');
INSERT INTO `lang_definitions` VALUES (182013, 5717, 34, 'लोड हो रहा है');
INSERT INTO `lang_definitions` VALUES (182014, 5721, 34, 'डेटाबेस में फाइल लोड हो रहा. इस में कुछ समय लगेगा ...');
INSERT INTO `lang_definitions` VALUES (182015, 5723, 34, 'नियंत्रण रेखा');
INSERT INTO `lang_definitions` VALUES (182016, 5724, 34, 'स्थानीय');
INSERT INTO `lang_definitions` VALUES (182017, 5728, 34, 'स्थानीय');
INSERT INTO `lang_definitions` VALUES (182018, 5729, 34, 'इलाका');
INSERT INTO `lang_definitions` VALUES (182019, 5730, 34, 'स्थान');
INSERT INTO `lang_definitions` VALUES (182020, 5731, 34, 'openemr मशीन का स्थान और संवेदनशील डेटा हो सकता है, इसलिए यह मैन्युअल रूप से इसके उपयोग के बाद फ़ाइलों को हटाने की सिफारिश की है');
INSERT INTO `lang_definitions` VALUES (182021, 5732, 34, 'इस स्थल का स्थान');
INSERT INTO `lang_definitions` VALUES (182022, 5733, 34, 'अनिर्दिष्ट स्थान');
INSERT INTO `lang_definitions` VALUES (182023, 5734, 34, 'स्थान, जहां Hylafax फैक्स जमा हो जाते है.');
INSERT INTO `lang_definitions` VALUES (182024, 5735, 34, 'स्थान, जहां स्कैन जमा हो जाते है.');
INSERT INTO `lang_definitions` VALUES (182025, 5736, 34, 'स्थान:');
INSERT INTO `lang_definitions` VALUES (182026, 5737, 34, 'ताला');
INSERT INTO `lang_definitions` VALUES (182027, 5745, 34, 'में प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (182028, 5746, 34, 'में प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (182029, 5749, 34, 'बाहर प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (182030, 5752, 34, 'में प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (182031, 5753, 34, 'के रूप में प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (182032, 5754, 34, 'इन के रूप में प्रवेश करें:');
INSERT INTO `lang_definitions` VALUES (182033, 5755, 34, 'बाहर प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (182034, 5756, 34, 'प्रवेश कर रहा है');
INSERT INTO `lang_definitions` VALUES (182035, 5757, 34, 'में प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (182036, 5758, 34, 'में प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (182037, 5763, 34, 'दूरस्थ मेजबान में प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (182038, 5764, 34, 'दूरस्थ मेजबान में प्रवेश विफल रहा है');
INSERT INTO `lang_definitions` VALUES (182039, 5768, 34, 'बाहर प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (182040, 5769, 34, 'बाहर प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (182041, 5770, 34, 'लॉग्स');
INSERT INTO `lang_definitions` VALUES (182042, 5771, 34, 'लॉग्स दर्शक');
INSERT INTO `lang_definitions` VALUES (182043, 5776, 34, 'झांकना');
INSERT INTO `lang_definitions` VALUES (182044, 5777, 34, 'लॉट');
INSERT INTO `lang_definitions` VALUES (182045, 5778, 34, 'लॉट ID लापता!');
INSERT INTO `lang_definitions` VALUES (182046, 5779, 34, 'लॉट संख्या');
INSERT INTO `lang_definitions` VALUES (182047, 5780, 34, 'कम');
INSERT INTO `lang_definitions` VALUES (182048, 5781, 34, 'कम प्राथमिकता');
INSERT INTO `lang_definitions` VALUES (182049, 5782, 34, 'निचले पैर');
INSERT INTO `lang_definitions` VALUES (182050, 5784, 34, 'न्यूनतम प्राथमिकता');
INSERT INTO `lang_definitions` VALUES (182051, 5791, 34, 'काठ का रीढ़');
INSERT INTO `lang_definitions` VALUES (182052, 5792, 34, 'दोपहर का भोजन');
INSERT INTO `lang_definitions` VALUES (182053, 5793, 34, 'दोपहर का भोजन');
INSERT INTO `lang_definitions` VALUES (182054, 5794, 34, 'फेफड़ों का कैंसर');
INSERT INTO `lang_definitions` VALUES (182055, 5795, 34, 'फेफड़ों की कैंसर सर्जरी');
INSERT INTO `lang_definitions` VALUES (182056, 5796, 34, 'फेफड़ों:');
INSERT INTO `lang_definitions` VALUES (182057, 5797, 34, 'फेफड़े:');
INSERT INTO `lang_definitions` VALUES (182058, 5798, 34, 'ल्युपस');
INSERT INTO `lang_definitions` VALUES (182059, 5804, 34, 'M');
INSERT INTO `lang_definitions` VALUES (182060, 5805, 34, 'MA श्रेणी');
INSERT INTO `lang_definitions` VALUES (182061, 5806, 34, 'MA क्लाइंट को गर्भपात स्वीकार');
INSERT INTO `lang_definitions` VALUES (182062, 5807, 34, 'MA आँकड़े');
INSERT INTO `lang_definitions` VALUES (182063, 5812, 34, 'भेजी गई मेल');
INSERT INTO `lang_definitions` VALUES (182064, 5814, 34, 'मुख्य');
INSERT INTO `lang_definitions` VALUES (182065, 5815, 34, 'मुख्य पता');
INSERT INTO `lang_definitions` VALUES (182066, 5821, 34, 'मुख्य शीर्ष फलक स्क्रीन');
INSERT INTO `lang_definitions` VALUES (182067, 5824, 34, 'सक्रिय दवा एलर्जी सूची बनाए.');
INSERT INTO `lang_definitions` VALUES (182068, 5825, 34, 'सक्रिय दवा सूची बनाए.');
INSERT INTO `lang_definitions` VALUES (182069, 5826, 34, 'वर्तमान और सक्रिय निदान की अब तक की एक समस्या सूची बनाए.');
INSERT INTO `lang_definitions` VALUES (182070, 5827, 34, 'मौजूदा श्रेणियों में संशोधन करें.');
INSERT INTO `lang_definitions` VALUES (182071, 5828, 34, 'के लिए नई नियुक्ति करें');
INSERT INTO `lang_definitions` VALUES (182072, 5831, 34, 'सुनिश्चित करें');
INSERT INTO `lang_definitions` VALUES (182073, 5832, 34, 'क्लियरिंग हाउस को अपलोड करने और बिल भेजा गया है, के रूप में चिन्हित कर देने के लिए बैच टेक्स्ट फाइल बना रहे है!');
INSERT INTO `lang_definitions` VALUES (182074, 5834, 34, 'अस्वस्थता:');
INSERT INTO `lang_definitions` VALUES (182075, 5837, 34, 'पुस्र्ष');
INSERT INTO `lang_definitions` VALUES (182076, 5838, 34, 'पुरुष कंडोम');
INSERT INTO `lang_definitions` VALUES (182077, 5839, 34, 'पुस्र्ष VSC');
INSERT INTO `lang_definitions` VALUES (182078, 5841, 34, 'मैमोग्राम');
INSERT INTO `lang_definitions` VALUES (182079, 5842, 34, 'प्रबंधित करें');
INSERT INTO `lang_definitions` VALUES (182080, 5850, 34, 'अनुवाद प्रबंधन');
INSERT INTO `lang_definitions` VALUES (182081, 5851, 34, 'प्रबंधन');
INSERT INTO `lang_definitions` VALUES (182082, 5854, 34, 'अनिवार्य और निर्दिष्ट क्षेत्रों के');
INSERT INTO `lang_definitions` VALUES (182083, 5855, 34, 'केवल अनिवार्य या निर्दिष्ट क्षेत्र, DUP की जांच, कोई खोज नहीं');
INSERT INTO `lang_definitions` VALUES (182084, 5856, 34, 'केवल अनिवार्य या निर्दिष्ट क्षेत्र, खोज और DUP चेक');
INSERT INTO `lang_definitions` VALUES (182085, 5859, 34, 'मैनुअल');
INSERT INTO `lang_definitions` VALUES (182086, 5860, 34, 'मैनुअल पोस्टिंग');
INSERT INTO `lang_definitions` VALUES (182087, 5864, 34, 'निर्माता');
INSERT INTO `lang_definitions` VALUES (182088, 5870, 34, 'मार्च');
INSERT INTO `lang_definitions` VALUES (182089, 5874, 34, 'मार्च');
INSERT INTO `lang_definitions` VALUES (182090, 5877, 34, 'वैवाहिक स्थिति');
INSERT INTO `lang_definitions` VALUES (182091, 5880, 34, 'बिल भेजा लेकिन बिलिंग को छोड़ दिया के रूप में चिह्नित करें');
INSERT INTO `lang_definitions` VALUES (182092, 5881, 34, 'मंजूरी दे दी के रूप में चिह्नित करें');
INSERT INTO `lang_definitions` VALUES (182093, 5882, 34, 'बिल किया नहीं के रूप में चिह्नित करें');
INSERT INTO `lang_definitions` VALUES (182094, 5885, 34, 'इन रिपोर्टों की समीक्षा कर दी के रूप में चिह्नित करें');
INSERT INTO `lang_definitions` VALUES (182095, 5886, 34, 'मंजूरी दे दी के रूप में चिह्नित किया');
INSERT INTO `lang_definitions` VALUES (182096, 5887, 34, 'विवाहित');
INSERT INTO `lang_definitions` VALUES (182097, 5889, 34, 'मुखौटा');
INSERT INTO `lang_definitions` VALUES (182098, 5890, 34, 'चालान नंबर के लिए मास्क');
INSERT INTO `lang_definitions` VALUES (182099, 5891, 34, 'रोगी IDs के लिए मास्क');
INSERT INTO `lang_definitions` VALUES (182100, 5892, 34, 'उत्पाद IDs के लिए मास्क');
INSERT INTO `lang_definitions` VALUES (182101, 5894, 34, 'मिलान');
INSERT INTO `lang_definitions` VALUES (182102, 5895, 34, 'केस मिलाएँ');
INSERT INTO `lang_definitions` VALUES (182103, 5907, 34, 'अधिकतम');
INSERT INTO `lang_definitions` VALUES (182104, 5910, 34, 'अधिकतम फ़ाइल गिनती तक पहुँच गया - नीचे नामों को फिर से लोड करें');
INSERT INTO `lang_definitions` VALUES (182105, 5912, 34, 'दाएँ दाढ़ की हड्डी:');
INSERT INTO `lang_definitions` VALUES (182106, 5913, 34, 'अधिकतम आयु');
INSERT INTO `lang_definitions` VALUES (182107, 5914, 34, 'अधिकतम अक्षर');
INSERT INTO `lang_definitions` VALUES (182108, 5917, 34, 'लॉगआउट से पहले, सेकंड में अधिकतम निष्क्रिय समय. डिफ़ॉल्ट 7200 (2 घंटे) है.');
INSERT INTO `lang_definitions` VALUES (182109, 5920, 34, 'अधिकतम उचित सूची, अगर कोई लागू नहीं तो 0');
INSERT INTO `lang_definitions` VALUES (182110, 5921, 34, 'अधिकतम आकार');
INSERT INTO `lang_definitions` VALUES (182111, 5922, 34, 'अधिकतम आकार (कोई भी आकार प्रवेश करने की अनुमति देगा 0 )');
INSERT INTO `lang_definitions` VALUES (182112, 5924, 34, 'मई');
INSERT INTO `lang_definitions` VALUES (182113, 5926, 34, 'MC');
INSERT INTO `lang_definitions` VALUES (182114, 5927, 34, 'मिलीग्राम');
INSERT INTO `lang_definitions` VALUES (182115, 5929, 34, 'इसका मतलब है, एक पासवर्ड बदलने पर पिछले तीन पासवर्ड का उपयोग की अनुमति नहीं है');
INSERT INTO `lang_definitions` VALUES (182116, 5931, 34, 'समूह कोड उपाय');
INSERT INTO `lang_definitions` VALUES (182117, 5933, 34, 'माप');
INSERT INTO `lang_definitions` VALUES (182118, 5939, 34, 'औसत दर्जे की malleolus:');
INSERT INTO `lang_definitions` VALUES (182119, 5940, 34, 'Medicaid');
INSERT INTO `lang_definitions` VALUES (182120, 5942, 34, 'मैडिकल');
INSERT INTO `lang_definitions` VALUES (182121, 5943, 34, 'मैडिकल गर्भपात');
INSERT INTO `lang_definitions` VALUES (182122, 5944, 34, 'मैडिकल प्रशासन');
INSERT INTO `lang_definitions` VALUES (182123, 5946, 34, 'मैडिकल इतिहास');
INSERT INTO `lang_definitions` VALUES (182124, 5947, 34, 'मैडिकल मुद्दा');
INSERT INTO `lang_definitions` VALUES (182125, 5948, 34, 'मैडिकल मुद्दा');
INSERT INTO `lang_definitions` VALUES (182126, 5951, 34, 'मैडिकल समस्या');
INSERT INTO `lang_definitions` VALUES (182127, 5952, 34, 'मैडिकल समस्या');
INSERT INTO `lang_definitions` VALUES (182128, 5953, 34, 'मैडिकल समस्या समस्या सूची');
INSERT INTO `lang_definitions` VALUES (182129, 5954, 34, 'मैडिकल समस्याओं');
INSERT INTO `lang_definitions` VALUES (182130, 5956, 34, 'मैडिकल रिकार्ड');
INSERT INTO `lang_definitions` VALUES (182131, 5957, 34, 'मैडिकल रिकार्ड #');
INSERT INTO `lang_definitions` VALUES (182132, 5959, 34, 'मैडिकल रिकॉर्ड्स');
INSERT INTO `lang_definitions` VALUES (182133, 5961, 34, 'मैडिकल रिकॉर्ड्स भेजे गए');
INSERT INTO `lang_definitions` VALUES (182134, 5963, 34, 'मैडिकल सारांश दिया');
INSERT INTO `lang_definitions` VALUES (182135, 5964, 34, 'मैडिकल प्रणाली');
INSERT INTO `lang_definitions` VALUES (182136, 5965, 34, 'मैडिकल प्रकार');
INSERT INTO `lang_definitions` VALUES (182137, 5966, 34, 'मैडिकल / इतिहास (addonly वैकल्पिक लिखने,)');
INSERT INTO `lang_definitions` VALUES (182138, 5968, 34, 'Medicare भाग B');
INSERT INTO `lang_definitions` VALUES (182139, 5969, 34, 'Medicare संदर्भकर्ता प्रतिपादक है');
INSERT INTO `lang_definitions` VALUES (182140, 5970, 34, 'दवा');
INSERT INTO `lang_definitions` VALUES (182141, 5971, 34, 'दवा एलर्जी की सूची');
INSERT INTO `lang_definitions` VALUES (182142, 5972, 34, 'दवा समस्या सूची');
INSERT INTO `lang_definitions` VALUES (182143, 5973, 34, 'दवा कंपनियों की सूची');
INSERT INTO `lang_definitions` VALUES (182144, 5974, 34, 'दवा सुलह किया?');
INSERT INTO `lang_definitions` VALUES (182145, 5975, 34, 'दवाएं');
INSERT INTO `lang_definitions` VALUES (182146, 5978, 34, 'दवाएं:');
INSERT INTO `lang_definitions` VALUES (182147, 5979, 34, 'चिकित्सा यूनिट्स');
INSERT INTO `lang_definitions` VALUES (182148, 5980, 34, 'माध्यम');
INSERT INTO `lang_definitions` VALUES (182149, 5984, 34, 'सदस्य संघ सांख्यिकी रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (182150, 5986, 34, 'मेमोरी समस्याएं');
INSERT INTO `lang_definitions` VALUES (182151, 5987, 34, 'पुरूष');
INSERT INTO `lang_definitions` VALUES (182152, 5988, 34, 'पुरुष और महिला');
INSERT INTO `lang_definitions` VALUES (182153, 5989, 34, 'केवल पुरुषों के');
INSERT INTO `lang_definitions` VALUES (182154, 5990, 34, 'रजोदर्शन');
INSERT INTO `lang_definitions` VALUES (182155, 5991, 34, 'रजोनिवृत्ति');
INSERT INTO `lang_definitions` VALUES (182156, 5992, 34, 'मासिक धर्म प्रवाह');
INSERT INTO `lang_definitions` VALUES (182157, 5993, 34, 'मासिक धर्म आवृत्ति');
INSERT INTO `lang_definitions` VALUES (182158, 5994, 34, 'मानसिक बीमारी');
INSERT INTO `lang_definitions` VALUES (182159, 6001, 34, 'मिलाएं');
INSERT INTO `lang_definitions` VALUES (182160, 6002, 34, 'पूरा मिलाएं.');
INSERT INTO `lang_definitions` VALUES (182161, 6003, 34, 'मरीजों को मिलाएं');
INSERT INTO `lang_definitions` VALUES (182162, 6005, 34, 'संदेश');
INSERT INTO `lang_definitions` VALUES (182163, 6006, 34, 'संदेश और अनुस्मारक केंद्र');
INSERT INTO `lang_definitions` VALUES (182164, 6009, 34, 'संदेश सामग्री सादा टेक्स्ट नहीं है इसलिए, यह एक दस्तावेज के रूप में जमा किया गया है!');
INSERT INTO `lang_definitions` VALUES (182165, 6012, 34, 'भेजे गए संदेश');
INSERT INTO `lang_definitions` VALUES (182166, 6013, 34, 'संदेश स्थिति');
INSERT INTO `lang_definitions` VALUES (182167, 6017, 34, 'संदेश प्रकार');
INSERT INTO `lang_definitions` VALUES (182168, 6018, 34, 'संदेश:');
INSERT INTO `lang_definitions` VALUES (182169, 6019, 34, 'संदेश');
INSERT INTO `lang_definitions` VALUES (182170, 6022, 34, 'आपने आज भेजे गए संदेश');
INSERT INTO `lang_definitions` VALUES (182171, 6026, 34, 'विधि');
INSERT INTO `lang_definitions` VALUES (182172, 6027, 34, 'विधि और विशिष्ट उत्पाद');
INSERT INTO `lang_definitions` VALUES (182173, 6029, 34, 'निवर्तमान ईमेल भेजने के लिए विधि.');
INSERT INTO `lang_definitions` VALUES (182174, 6030, 34, 'विनाश की विधि');
INSERT INTO `lang_definitions` VALUES (182175, 6031, 34, 'मैक्सिकन / MexAmer / Chicano');
INSERT INTO `lang_definitions` VALUES (182176, 6038, 34, 'मिलीग्राम');
INSERT INTO `lang_definitions` VALUES (182177, 6039, 34, 'mg/1cc');
INSERT INTO `lang_definitions` VALUES (182178, 6040, 34, 'mg/2cc');
INSERT INTO `lang_definitions` VALUES (182179, 6041, 34, 'mg/3cc');
INSERT INTO `lang_definitions` VALUES (182180, 6042, 34, 'mg/4cc');
INSERT INTO `lang_definitions` VALUES (182181, 6043, 34, 'mg/5cc');
INSERT INTO `lang_definitions` VALUES (182182, 6044, 34, 'MG / DL');
INSERT INTO `lang_definitions` VALUES (182183, 6046, 34, 'मध्य');
INSERT INTO `lang_definitions` VALUES (182184, 6047, 34, 'मध्य नाम');
INSERT INTO `lang_definitions` VALUES (182185, 6048, 34, 'मध्य नाम');
INSERT INTO `lang_definitions` VALUES (182186, 6051, 34, 'Midlevel prescriber DEA');
INSERT INTO `lang_definitions` VALUES (182187, 6052, 34, 'Midlevel prescriber प्रथम नाम');
INSERT INTO `lang_definitions` VALUES (182188, 6053, 34, 'Midlevel prescriber अंतिम नाम');
INSERT INTO `lang_definitions` VALUES (182189, 6055, 34, 'Midlevel prescriber उपसर्ग');
INSERT INTO `lang_definitions` VALUES (182190, 6056, 34, 'Midlevel prescriber UPIN');
INSERT INTO `lang_definitions` VALUES (182191, 6061, 34, 'Mien');
INSERT INTO `lang_definitions` VALUES (182192, 6062, 34, 'प्रवासी या मौसमी कार्यकर्ता?');
INSERT INTO `lang_definitions` VALUES (182193, 6064, 34, 'प्रवासी / मौसमी');
INSERT INTO `lang_definitions` VALUES (182194, 6065, 34, 'लाख / CU.MM');
INSERT INTO `lang_definitions` VALUES (182195, 6070, 34, 'माइम प्रकार');
INSERT INTO `lang_definitions` VALUES (182196, 6071, 34, 'मिनट');
INSERT INTO `lang_definitions` VALUES (182197, 6072, 34, 'मिनट');
INSERT INTO `lang_definitions` VALUES (182198, 6077, 34, 'न्यूनतम आयु');
INSERT INTO `lang_definitions` VALUES (182199, 6080, 34, 'मामूली जोड़ों का तनाव / - श्लेषक कलाशोथ');
INSERT INTO `lang_definitions` VALUES (182200, 6082, 34, 'मिनट');
INSERT INTO `lang_definitions` VALUES (182201, 6083, 34, 'मिनट');
INSERT INTO `lang_definitions` VALUES (182202, 6084, 34, 'मिनट');
INSERT INTO `lang_definitions` VALUES (182203, 6086, 34, 'विविध');
INSERT INTO `lang_definitions` VALUES (182204, 6087, 34, 'विविध बिलिंग विकल्प');
INSERT INTO `lang_definitions` VALUES (182205, 6088, 34, 'HCFA-1500 के लिए विविध बिलिंग विकल्प');
INSERT INTO `lang_definitions` VALUES (182206, 6089, 34, 'विविध बिलिंग विकल्प HCFA');
INSERT INTO `lang_definitions` VALUES (182207, 6090, 34, 'विविध');
INSERT INTO `lang_definitions` VALUES (182208, 6092, 34, 'छूटे');
INSERT INTO `lang_definitions` VALUES (182209, 6093, 34, 'छूटे हुए');
INSERT INTO `lang_definitions` VALUES (182210, 6094, 34, 'एक आवश्यक फ़ील्ड छूटी');
INSERT INTO `lang_definitions` VALUES (182211, 6097, 34, 'छूटा शुल्क');
INSERT INTO `lang_definitions` VALUES (182212, 6100, 34, 'केवल Mods छूटा');
INSERT INTO `lang_definitions` VALUES (182213, 6101, 34, 'छूटा या अमान्य');
INSERT INTO `lang_definitions` VALUES (182214, 6103, 34, 'छूटे PID​​.');
INSERT INTO `lang_definitions` VALUES (182215, 6104, 34, 'छूटे रिपोर्ट दिनांक');
INSERT INTO `lang_definitions` VALUES (182216, 6105, 34, 'कोड के लिए स्रोत में दाता के बाद स्लैश छूटा');
INSERT INTO `lang_definitions` VALUES (182217, 6111, 34, 'मिश्रित');
INSERT INTO `lang_definitions` VALUES (182218, 6113, 34, 'मिलीलीटर');
INSERT INTO `lang_definitions` VALUES (182219, 6114, 34, 'MM / DD / YYYY');
INSERT INTO `lang_definitions` VALUES (182220, 6115, 34, 'mm / hg');
INSERT INTO `lang_definitions` VALUES (182221, 6116, 34, 'mmHg');
INSERT INTO `lang_definitions` VALUES (182222, 6117, 34, 'MMR 1');
INSERT INTO `lang_definitions` VALUES (182223, 6118, 34, 'MMR 2');
INSERT INTO `lang_definitions` VALUES (182224, 6120, 34, 'मोबाइल');
INSERT INTO `lang_definitions` VALUES (182225, 6121, 34, 'मोबाइल फोन');
INSERT INTO `lang_definitions` VALUES (182226, 6125, 34, 'MOD');
INSERT INTO `lang_definitions` VALUES (182227, 6129, 34, 'मध्यम प्राथमिकता');
INSERT INTO `lang_definitions` VALUES (182228, 6131, 34, 'मध्यम / कम प्राथमिकता');
INSERT INTO `lang_definitions` VALUES (182229, 6133, 34, 'संशोधक');
INSERT INTO `lang_definitions` VALUES (182230, 6139, 34, 'संशोधक');
INSERT INTO `lang_definitions` VALUES (182231, 6140, 34, 'संशोधित करें');
INSERT INTO `lang_definitions` VALUES (182232, 6143, 34, 'भुगतान संशोधित करें');
INSERT INTO `lang_definitions` VALUES (182233, 6145, 34, 'ModLength');
INSERT INTO `lang_definitions` VALUES (182234, 6153, 34, 'सोम');
INSERT INTO `lang_definitions` VALUES (182235, 6154, 34, 'सोम से शुक्र');
INSERT INTO `lang_definitions` VALUES (182236, 6155, 34, 'सोम, बुध और शुक्र');
INSERT INTO `lang_definitions` VALUES (182237, 6156, 34, 'सोमवार');
INSERT INTO `lang_definitions` VALUES (182238, 6160, 34, 'माह');
INSERT INTO `lang_definitions` VALUES (182239, 6161, 34, 'माह');
INSERT INTO `lang_definitions` VALUES (182240, 6162, 34, 'माह दृश्य');
INSERT INTO `lang_definitions` VALUES (182241, 6163, 34, 'महीने (s)');
INSERT INTO `lang_definitions` VALUES (182242, 6164, 34, 'मासिक आय');
INSERT INTO `lang_definitions` VALUES (182243, 6166, 34, 'महीने');
INSERT INTO `lang_definitions` VALUES (182244, 6179, 34, '100 से अधिक रिकॉर्ड पाया. अपने खोज मापदंड को संकीर्ण करें.');
INSERT INTO `lang_definitions` VALUES (182245, 6180, 34, '50 से अधिक परिणाम, अपनी खोज अधिक विशिष्ट करें.');
INSERT INTO `lang_definitions` VALUES (182246, 6184, 34, 'क्रमबद्ध बदलने के लिए अधिकांश कॉलम हेडर क्लिक किया जा सकता है');
INSERT INTO `lang_definitions` VALUES (182247, 6186, 34, 'से अंतिम');
INSERT INTO `lang_definitions` VALUES (182248, 6189, 34, 'से सबसे हाल नब्ज:');
INSERT INTO `lang_definitions` VALUES (182249, 6190, 34, 'माँ');
INSERT INTO `lang_definitions` VALUES (182250, 6191, 34, 'माँ का नाम');
INSERT INTO `lang_definitions` VALUES (182251, 6195, 34, 'मुंह');
INSERT INTO `lang_definitions` VALUES (182252, 6196, 34, 'ले जाएँ');
INSERT INTO `lang_definitions` VALUES (182253, 6197, 34, 'श्रेणी तक ले जाएँ:');
INSERT INTO `lang_definitions` VALUES (182254, 6198, 34, 'नीचे ले जाएँ');
INSERT INTO `lang_definitions` VALUES (182255, 6199, 34, 'ले जाएँ विफल रहा है!');
INSERT INTO `lang_definitions` VALUES (182256, 6201, 34, 'रोगी में ले जाएँ');
INSERT INTO `lang_definitions` VALUES (182257, 6202, 34, 'में ले जाएँ ...');
INSERT INTO `lang_definitions` VALUES (182258, 6203, 34, 'ऊपर ले जाएँ');
INSERT INTO `lang_definitions` VALUES (182259, 6204, 34, 'ले जा रहा है');
INSERT INTO `lang_definitions` VALUES (182260, 6209, 34, 'श्री');
INSERT INTO `lang_definitions` VALUES (182261, 6211, 34, 'MRN (pid​​)');
INSERT INTO `lang_definitions` VALUES (182262, 6215, 34, 'श्रीमती');
INSERT INTO `lang_definitions` VALUES (182263, 6217, 34, 'सुश्री');
INSERT INTO `lang_definitions` VALUES (182264, 6218, 34, 'MSH-11');
INSERT INTO `lang_definitions` VALUES (182265, 6219, 34, 'MSH-3.1');
INSERT INTO `lang_definitions` VALUES (182266, 6220, 34, 'MSH-4.1');
INSERT INTO `lang_definitions` VALUES (182267, 6221, 34, 'MSH-5.1');
INSERT INTO `lang_definitions` VALUES (182268, 6222, 34, 'MSH-6.1');
INSERT INTO `lang_definitions` VALUES (182269, 6226, 34, 'MSP कोड');
INSERT INTO `lang_definitions` VALUES (182270, 6227, 34, 'MSP परिहार संहिताओं');
INSERT INTO `lang_definitions` VALUES (182271, 6230, 34, 'बहु भाषा उपकरण');
INSERT INTO `lang_definitions` VALUES (182272, 6234, 34, 'कई क्षेत्रों में');
INSERT INTO `lang_definitions` VALUES (182273, 6236, 34, 'एकाधिक फ़ाइलों को Ctrl + क्लिक या SHIFT + क्लिक का उपयोग कर, एक समय में अपलोड किया जा सकता है.');
INSERT INTO `lang_definitions` VALUES (182274, 6237, 34, 'एकाधिक लॉट');
INSERT INTO `lang_definitions` VALUES (182275, 6238, 34, 'एकाधिक संशोधक, कोलन या रिक्त स्थान के द्वारा अलग किया जा सकता है, अधिकतम 4 (M1:M2:M3:M4)');
INSERT INTO `lang_definitions` VALUES (182276, 6242, 34, 'बहुजातीय');
INSERT INTO `lang_definitions` VALUES (182277, 6243, 34, 'दिल बड़बड़ाहट:');
INSERT INTO `lang_definitions` VALUES (182278, 6244, 34, 'मांसपेशी दर्द');
INSERT INTO `lang_definitions` VALUES (182279, 6245, 34, 'मांसपेशी दर्द');
INSERT INTO `lang_definitions` VALUES (182280, 6246, 34, 'मांसपेशी लाली');
INSERT INTO `lang_definitions` VALUES (182281, 6247, 34, 'मांसपेशी अकड़न');
INSERT INTO `lang_definitions` VALUES (182282, 6248, 34, 'मांसपेशी सूजन');
INSERT INTO `lang_definitions` VALUES (182283, 6249, 34, 'मांसपेशी गर्म');
INSERT INTO `lang_definitions` VALUES (182284, 6250, 34, 'मांसपेशी');
INSERT INTO `lang_definitions` VALUES (182285, 6251, 34, 'मांसपेशी की चोट');
INSERT INTO `lang_definitions` VALUES (182286, 6252, 34, 'पेशीकंकालीय');
INSERT INTO `lang_definitions` VALUES (182287, 6256, 34, 'SMTP प्रमाणीकरण का उपयोग नहीं किया जाता है तो खाली होना चाहिए.');
INSERT INTO `lang_definitions` VALUES (182288, 6259, 34, 'परस्पर में परिभाषित');
INSERT INTO `lang_definitions` VALUES (182289, 6260, 34, 'MVA');
INSERT INTO `lang_definitions` VALUES (182290, 6267, 34, 'मैं स्वयं');
INSERT INTO `lang_definitions` VALUES (182291, 6271, 34, 'N / A');
INSERT INTO `lang_definitions` VALUES (182292, 6272, 34, 'n /');
INSERT INTO `lang_definitions` VALUES (182293, 6274, 34, 'नाम');
INSERT INTO `lang_definitions` VALUES (182294, 6276, 34, 'नाम (अधिक के लिए क्लिक करें)');
INSERT INTO `lang_definitions` VALUES (182295, 6278, 34, '1 नाम');
INSERT INTO `lang_definitions` VALUES (182296, 6279, 34, '2 नाम');
INSERT INTO `lang_definitions` VALUES (182297, 6280, 34, 'नाम और प्रतिरक्षण प्रशासक का शीर्षक');
INSERT INTO `lang_definitions` VALUES (182298, 6284, 34, 'घटनाक्रम के नाम');
INSERT INTO `lang_definitions` VALUES (182299, 6285, 34, 'बीमा कंपनी के नाम');
INSERT INTO `lang_definitions` VALUES (182300, 6286, 34, 'प्रदाता के नाम');
INSERT INTO `lang_definitions` VALUES (182301, 6287, 34, 'रोगी अनुस्मारक के लिए भेजने वाले का नाम.');
INSERT INTO `lang_definitions` VALUES (182302, 6294, 34, 'नाम अनुवाद');
INSERT INTO `lang_definitions` VALUES (182303, 6295, 34, 'नाम / मान');
INSERT INTO `lang_definitions` VALUES (182304, 6296, 34, 'नाम:');
INSERT INTO `lang_definitions` VALUES (182305, 6300, 34, 'nares:');
INSERT INTO `lang_definitions` VALUES (182306, 6301, 34, 'Nares: सामान्य दाएँ');
INSERT INTO `lang_definitions` VALUES (182307, 6304, 34, 'अनुनासिक श्लेष्म गुलाबी, सेप्टम midline');
INSERT INTO `lang_definitions` VALUES (182308, 6305, 34, 'नेशन नोट्स');
INSERT INTO `lang_definitions` VALUES (182309, 6308, 34, 'नेशन नोट्स कॉन्फ़िगर');
INSERT INTO `lang_definitions` VALUES (182310, 6309, 34, 'नेशन नोट्स बटन बदलें');
INSERT INTO `lang_definitions` VALUES (182311, 6310, 34, 'राष्ट्रीयता');
INSERT INTO `lang_definitions` VALUES (182312, 6311, 34, 'NationNotes');
INSERT INTO `lang_definitions` VALUES (182313, 6313, 34, 'देशी हवाईयन या अन्य प्रशांत द्वीप');
INSERT INTO `lang_definitions` VALUES (182314, 6319, 34, 'मतली');
INSERT INTO `lang_definitions` VALUES (182315, 6322, 34, 'संचरण');
INSERT INTO `lang_definitions` VALUES (182316, 6323, 34, 'संचरण क्षेत्र मुठभेड़ फार्म शामिल');
INSERT INTO `lang_definitions` VALUES (182317, 6324, 34, 'संचरण क्षेत्र फ़्रेमसेट की पूरी ऊंचाई का उपयोग करता है');
INSERT INTO `lang_definitions` VALUES (182318, 6325, 34, 'संचरण क्षेत्र की यात्रा के फार्म');
INSERT INTO `lang_definitions` VALUES (182319, 6326, 34, 'संचरण क्षेत्र चौड़ाई');
INSERT INTO `lang_definitions` VALUES (182320, 6328, 34, 'संचरण मेनू रेडियो बटन जोड़ी के आकृति की में हैं');
INSERT INTO `lang_definitions` VALUES (182321, 6329, 34, 'संचरण मेनू एक पेड़ की आकृति में है');
INSERT INTO `lang_definitions` VALUES (182322, 6330, 34, 'संचरण एक स्लाइडिंग मेनू की आकृति में है');
INSERT INTO `lang_definitions` VALUES (182323, 6334, 34, 'NDC');
INSERT INTO `lang_definitions` VALUES (182324, 6335, 34, 'NDC डाटा');
INSERT INTO `lang_definitions` VALUES (182325, 6336, 34, 'NDC संख्या');
INSERT INTO `lang_definitions` VALUES (182326, 6348, 34, 'गर्दन की');
INSERT INTO `lang_definitions` VALUES (182327, 6349, 34, 'गर्दन की समस्याओं');
INSERT INTO `lang_definitions` VALUES (182328, 6350, 34, 'गर्दन की कोमलता');
INSERT INTO `lang_definitions` VALUES (182329, 6352, 34, 'एक विवरण दर्ज करने की आवश्यकता');
INSERT INTO `lang_definitions` VALUES (182330, 6353, 34, 'एक मान दर्ज करने की आवश्यकता');
INSERT INTO `lang_definitions` VALUES (182331, 6354, 34, 'पहचानकर्ता दर्ज करने की आवश्यकता');
INSERT INTO `lang_definitions` VALUES (182332, 6355, 34, 'शीर्षक दर्ज करने की आवश्यकता');
INSERT INTO `lang_definitions` VALUES (182333, 6358, 34, 'अधिकृत करने की जरूरत');
INSERT INTO `lang_definitions` VALUES (182334, 6359, 34, 'जस्टिफाई करने की जरूरत');
INSERT INTO `lang_definitions` VALUES (182335, 6360, 34, 'द्वितीयक बिलिंग की जरूरत');
INSERT INTO `lang_definitions` VALUES (182336, 6361, 34, 'नकारात्मक');
INSERT INTO `lang_definitions` VALUES (182337, 6363, 34, 'नकारात्मक');
INSERT INTO `lang_definitions` VALUES (182338, 6369, 34, 'तंत्रिका चोट');
INSERT INTO `lang_definitions` VALUES (182339, 6371, 34, 'तंत्रिका की स्थिति / तंत्रिका क्षति');
INSERT INTO `lang_definitions` VALUES (182340, 6373, 34, 'न्यूरो सन्न');
INSERT INTO `lang_definitions` VALUES (182341, 6374, 34, 'न्यूरो कमजोरी');
INSERT INTO `lang_definitions` VALUES (182342, 6377, 34, 'neurologic');
INSERT INTO `lang_definitions` VALUES (182343, 6381, 34, 'कभी नहीं');
INSERT INTO `lang_definitions` VALUES (182344, 6382, 34, 'कभी भी शराब पीने वाला नहीं');
INSERT INTO `lang_definitions` VALUES (182345, 6383, 34, 'कभी भी धूम्रपान करने वाला नहीं');
INSERT INTO `lang_definitions` VALUES (182346, 6384, 34, 'नया');
INSERT INTO `lang_definitions` VALUES (182347, 6385, 34, 'नया =>');
INSERT INTO `lang_definitions` VALUES (182348, 6386, 34, 'नया स्वीकार करने वाल');
INSERT INTO `lang_definitions` VALUES (182349, 6388, 34, 'नई एलर्जी');
INSERT INTO `lang_definitions` VALUES (182350, 6390, 34, 'नई नियुक्ति');
INSERT INTO `lang_definitions` VALUES (182351, 6391, 34, 'नई श्रेणियां');
INSERT INTO `lang_definitions` VALUES (182352, 6392, 34, 'नया श्रेणी');
INSERT INTO `lang_definitions` VALUES (182353, 6393, 34, 'नया ग्राहक');
INSERT INTO `lang_definitions` VALUES (182354, 6394, 34, 'नया परामर्श');
INSERT INTO `lang_definitions` VALUES (182355, 6395, 34, 'New Crop');
INSERT INTO `lang_definitions` VALUES (182356, 6396, 34, 'नई परिभाषा जोड़ी गई');
INSERT INTO `lang_definitions` VALUES (182357, 6397, 34, 'नए दस्तावेज़');
INSERT INTO `lang_definitions` VALUES (182358, 6398, 34, 'नए दस्तावेज़');
INSERT INTO `lang_definitions` VALUES (182359, 6401, 34, 'नई मुठभेड़');
INSERT INTO `lang_definitions` VALUES (182360, 6402, 34, 'ID के साथ बनाई गई नई मुठभेड़');
INSERT INTO `lang_definitions` VALUES (182361, 6403, 34, 'नई मुठभेड़ फार्म');
INSERT INTO `lang_definitions` VALUES (182362, 6404, 34, 'नई मुठभेड़ अधिकृत नहीं');
INSERT INTO `lang_definitions` VALUES (182363, 6405, 34, 'नई Enctr');
INSERT INTO `lang_definitions` VALUES (182364, 6406, 34, 'नई सुविधा की जानकारी');
INSERT INTO `lang_definitions` VALUES (182365, 6407, 34, 'नई फ़ाइल');
INSERT INTO `lang_definitions` VALUES (182366, 6408, 34, 'नई फ़ाइलें');
INSERT INTO `lang_definitions` VALUES (182367, 6410, 34, 'नया समूह');
INSERT INTO `lang_definitions` VALUES (182368, 6413, 34, 'नया समूह जानकारी');
INSERT INTO `lang_definitions` VALUES (182369, 6422, 34, 'नई Inj / स्थिति');
INSERT INTO `lang_definitions` VALUES (182370, 6425, 34, 'घटनाक्रम की नई सीमा');
INSERT INTO `lang_definitions` VALUES (182371, 6426, 34, 'नई सूची');
INSERT INTO `lang_definitions` VALUES (182372, 6432, 34, 'नए आदेश');
INSERT INTO `lang_definitions` VALUES (182373, 6433, 34, 'नया अनुच्छेद');
INSERT INTO `lang_definitions` VALUES (182374, 6434, 34, 'नया पासवर्ड');
INSERT INTO `lang_definitions` VALUES (182375, 6435, 34, 'नए रोगी');
INSERT INTO `lang_definitions` VALUES (182376, 6436, 34, 'नए रोगी');
INSERT INTO `lang_definitions` VALUES (182377, 6437, 34, 'नया रोगी मुठभेड़');
INSERT INTO `lang_definitions` VALUES (182378, 6438, 34, 'नया रोगी फार्म');
INSERT INTO `lang_definitions` VALUES (182379, 6439, 34, 'नया रोगी ID');
INSERT INTO `lang_definitions` VALUES (182380, 6442, 34, 'नया भुगतान');
INSERT INTO `lang_definitions` VALUES (182381, 6445, 34, 'नया Pt');
INSERT INTO `lang_definitions` VALUES (182382, 6447, 34, 'लैब मुद्रा से नए परिणाम');
INSERT INTO `lang_definitions` VALUES (182383, 6448, 34, 'नई खोज');
INSERT INTO `lang_definitions` VALUES (182384, 6449, 34, 'नई प्रस्तुतियाँ');
INSERT INTO `lang_definitions` VALUES (182385, 6451, 34, 'नया उपयोगकर्ता');
INSERT INTO `lang_definitions` VALUES (182386, 6453, 34, 'नई भेंट');
INSERT INTO `lang_definitions` VALUES (182387, 6454, 34, 'नई / खोज');
INSERT INTO `lang_definitions` VALUES (182388, 6455, 34, 'NewCrop खाते की स्थिति');
INSERT INTO `lang_definitions` VALUES (182389, 6456, 34, 'NewCrop व्यवस्थापक');
INSERT INTO `lang_definitions` VALUES (182390, 6457, 34, 'NewCrop कॉल विफल');
INSERT INTO `lang_definitions` VALUES (182391, 6458, 34, 'NewCrop डॉक्टर');
INSERT INTO `lang_definitions` VALUES (182392, 6463, 34, 'NewCrop eRx नाम');
INSERT INTO `lang_definitions` VALUES (182393, 6464, 34, 'NewCrop eRx साथी का नाम');
INSERT INTO `lang_definitions` VALUES (182394, 6465, 34, 'NewCrop eRx पासवर्ड');
INSERT INTO `lang_definitions` VALUES (182395, 6466, 34, 'NewCrop eRx भूमिका');
INSERT INTO `lang_definitions` VALUES (182396, 6467, 34, 'NewCrop eRx भूमिका');
INSERT INTO `lang_definitions` VALUES (182397, 6468, 34, 'NewCrop eRx साइट पता');
INSERT INTO `lang_definitions` VALUES (182398, 6473, 34, 'NewCrop eRx वेब सेवा पता');
INSERT INTO `lang_definitions` VALUES (182399, 6474, 34, 'NewCrop प्रबंधक');
INSERT INTO `lang_definitions` VALUES (182400, 6475, 34, 'NewCrop MedEntry');
INSERT INTO `lang_definitions` VALUES (182401, 6476, 34, 'NewCrop midlevel prescriber');
INSERT INTO `lang_definitions` VALUES (182402, 6477, 34, 'NewCrop नर्स');
INSERT INTO `lang_definitions` VALUES (182403, 6478, 34, 'NewCrop पर्यवेक्षण डॉक्टर');
INSERT INTO `lang_definitions` VALUES (182404, 6481, 34, 'अख़बार');
INSERT INTO `lang_definitions` VALUES (182405, 6482, 34, 'अगला');
INSERT INTO `lang_definitions` VALUES (182406, 6484, 34, 'अगले दिन');
INSERT INTO `lang_definitions` VALUES (182407, 6485, 34, 'अगले महीने');
INSERT INTO `lang_definitions` VALUES (182408, 6486, 34, 'अगले महीने (मेनू के लिए पकड़)');
INSERT INTO `lang_definitions` VALUES (182409, 6488, 34, 'अगला अनुसूचित चलाए');
INSERT INTO `lang_definitions` VALUES (182410, 6491, 34, 'अगले सप्ताह');
INSERT INTO `lang_definitions` VALUES (182411, 6492, 34, 'अगले साल (मेनू के लिए पकड़)');
INSERT INTO `lang_definitions` VALUES (182412, 6494, 34, 'उपनाम');
INSERT INTO `lang_definitions` VALUES (182413, 6496, 34, 'रात को पसीना');
INSERT INTO `lang_definitions` VALUES (182414, 6498, 34, 'Nl ext जननांग, VAG म्यूकोसा, गर्भाशय ग्रीवा');
INSERT INTO `lang_definitions` VALUES (182415, 6499, 34, 'नहीं');
INSERT INTO `lang_definitions` VALUES (182416, 6500, 34, 'नहीं');
INSERT INTO `lang_definitions` VALUES (182417, 6502, 34, 'पहुंच नहीं');
INSERT INTO `lang_definitions` VALUES (182418, 6503, 34, 'सक्रिय रोगी अनुस्मारक नहीं.');
INSERT INTO `lang_definitions` VALUES (182419, 6504, 34, 'ग्रंथिरोग नहीं है (आवश्यक 2 क्षेत्रों)');
INSERT INTO `lang_definitions` VALUES (182420, 6505, 34, 'कोई समायोजन कारण प्रकार मिला नहीं');
INSERT INTO `lang_definitions` VALUES (182421, 6506, 34, 'उपांगीय Tenderness / Masses नहीं है');
INSERT INTO `lang_definitions` VALUES (182422, 6509, 34, 'कोई नियुक्तिया नहीं है');
INSERT INTO `lang_definitions` VALUES (182423, 6515, 34, 'बिलिंग प्रणाली वर्तमान में सक्रिय नहीं है');
INSERT INTO `lang_definitions` VALUES (182424, 6516, 34, 'OFX निर्यात में शामिल करने के लिए, नहीं मिला बिल');
INSERT INTO `lang_definitions` VALUES (182425, 6517, 34, 'OFX निर्यात में शामिल करने के लिए, नहीं मिला बिल <br>');
INSERT INTO `lang_definitions` VALUES (182426, 6519, 34, 'कोड निर्दिष्ट किया गया नहीं था!');
INSERT INTO `lang_definitions` VALUES (182427, 6523, 34, 'कोई निदान नहीं है');
INSERT INTO `lang_definitions` VALUES (182428, 6526, 34, 'कोई दस्तावेज मिला नहीं है');
INSERT INTO `lang_definitions` VALUES (182429, 6527, 34, 'मुठभेड़ नहीं बनाया जा सकता है');
INSERT INTO `lang_definitions` VALUES (182430, 6529, 34, 'कोई अंतिम तिथि नहीं है');
INSERT INTO `lang_definitions` VALUES (182431, 6530, 34, 'प्रविष्टियों मिली नहीं, एक प्रविष्टि जोड़ने के लिए नीचे दिए गए फ़ॉर्म का उपयोग करें.');
INSERT INTO `lang_definitions` VALUES (182432, 6531, 34, 'कोई त्रुटि मिली नहीं');
INSERT INTO `lang_definitions` VALUES (182433, 6532, 34, 'कोई इवेंट नहीं');
INSERT INTO `lang_definitions` VALUES (182434, 6534, 34, 'स्थापना के लिए कोई फाइल मंचन नहीं');
INSERT INTO `lang_definitions` VALUES (182435, 6536, 34, 'समूह का चयन किया गया नहीं है');
INSERT INTO `lang_definitions` VALUES (182436, 6537, 34, 'हर्निया नहीं है');
INSERT INTO `lang_definitions` VALUES (182437, 6540, 34, 'कोई चोट / बीमारी नहीं है');
INSERT INTO `lang_definitions` VALUES (182438, 6541, 34, 'बीमा कंपनियों नहीं मिला');
INSERT INTO `lang_definitions` VALUES (182439, 6544, 34, 'कोई मुद्दे नहीं');
INSERT INTO `lang_definitions` VALUES (182440, 6545, 34, 'इस मुठभेड़ में कोई मुद्दे नहीं');
INSERT INTO `lang_definitions` VALUES (182441, 6546, 34, 'चयनित श्रेणी में कोई आइटम नहीं');
INSERT INTO `lang_definitions` VALUES (182442, 6547, 34, 'कोई आइटम चयन किया गया नहीं था!');
INSERT INTO `lang_definitions` VALUES (182443, 6562, 34, 'कोई लॉग फ़ाइल चयनित तिथि के लिए मौजूद नहीं हैं');
INSERT INTO `lang_definitions` VALUES (182444, 6565, 34, 'masses, tenderness नहीं है');
INSERT INTO `lang_definitions` VALUES (182445, 6566, 34, 'Re Idenitification कोड के लिए कोई रोगी रिकॉर्ड नहीं मिला');
INSERT INTO `lang_definitions` VALUES (182446, 6568, 34, 'कोई मेल नहीं मिला. फिर से प्रयास करें.');
INSERT INTO `lang_definitions` VALUES (182447, 6569, 34, 'कोई मेल नहीं मिला');
INSERT INTO `lang_definitions` VALUES (182448, 6570, 34, 'कोई मेल नहीं मिला. अब नए रोगी बनाएँ?');
INSERT INTO `lang_definitions` VALUES (182449, 6571, 34, 'मेल खाता रिकॉर्ड नहीं पाया');
INSERT INTO `lang_definitions` VALUES (182450, 6577, 34, 'नया परिणाम नहीं मिला');
INSERT INTO `lang_definitions` VALUES (182451, 6578, 34, 'नोट नहीं है');
INSERT INTO `lang_definitions` VALUES (182452, 6579, 34, 'ogrganomegoly नहीं है');
INSERT INTO `lang_definitions` VALUES (182453, 6580, 34, 'इस अवधि के लिए अवसर नहीं पाए गए.');
INSERT INTO `lang_definitions` VALUES (182454, 6583, 34, 'अन्य फोन नंबर सूचीबद्ध नहीं');
INSERT INTO `lang_definitions` VALUES (182455, 6585, 34, 'पार्टनर्स नहीं मिले');
INSERT INTO `lang_definitions` VALUES (182456, 6586, 34, 'दिए चयन मानदंड के लिए कोई रोगी रिकॉर्ड नहीं मिला');
INSERT INTO `lang_definitions` VALUES (182457, 6587, 34, 'Re identification कोड के लिए कोई रोगी रिकॉर्ड नहीं मिला');
INSERT INTO `lang_definitions` VALUES (182458, 6588, 34, 'कोई परिधीय शोफ नहीं है');
INSERT INTO `lang_definitions` VALUES (182459, 6589, 34, 'फ़ार्मेसियां नहीं मिली');
INSERT INTO `lang_definitions` VALUES (182460, 6590, 34, 'नुस्खे नहीं मिले');
INSERT INTO `lang_definitions` VALUES (182461, 6592, 34, 'बीमारी / चोट नहीं है');
INSERT INTO `lang_definitions` VALUES (182462, 6593, 34, 'पिछली प्रविष्टियां नहीं है.');
INSERT INTO `lang_definitions` VALUES (182463, 6594, 34, 'सुविधा सूची में कोई प्राथमिक व्यापार इकाई चयनित नहीं है');
INSERT INTO `lang_definitions` VALUES (182464, 6595, 34, 'कोई पूर्व मुठभेड़ नहीं है.');
INSERT INTO `lang_definitions` VALUES (182465, 6596, 34, 'इस मुठभेड़ में कोई प्रक्रिया नहीं है.');
INSERT INTO `lang_definitions` VALUES (182466, 6598, 34, 'प्रदाता नहीं मिला');
INSERT INTO `lang_definitions` VALUES (182467, 6599, 34, 'लाल चकत्ते या असामान्य घाव नहीं है.');
INSERT INTO `lang_definitions` VALUES (182468, 6602, 34, 'रिकॉर्ड नहीं मिला');
INSERT INTO `lang_definitions` VALUES (182469, 6604, 34, 'कोई रिकॉर्ड नहीं मिला. आपके खोज मानदंडों का विस्तार करें.');
INSERT INTO `lang_definitions` VALUES (182470, 6607, 34, 'कोई अनुस्मारक नहीं है');
INSERT INTO `lang_definitions` VALUES (182471, 6608, 34, 'ऊपर के खोज मापदंड के लिए कोई परिणाम नहीं मिला.');
INSERT INTO `lang_definitions` VALUES (182472, 6609, 34, 'कोई परिणाम नहीं है');
INSERT INTO `lang_definitions` VALUES (182473, 6610, 34, 'कोई परिणाम नहीं मिले');
INSERT INTO `lang_definitions` VALUES (182474, 6612, 34, 'खोज के लिए कोई परिणाम नहीं मिले');
INSERT INTO `lang_definitions` VALUES (182475, 6613, 34, 'कोई परिणाम नहीं मिले, पुन: प्रयास करें.');
INSERT INTO `lang_definitions` VALUES (182476, 6614, 34, 'कोई परिणाम नहीं, कृपया पुनः प्रयास करें.');
INSERT INTO `lang_definitions` VALUES (182477, 6615, 34, 'कोई परिणाम नहीं, कृपया पुनः प्रयास करें.');
INSERT INTO `lang_definitions` VALUES (182478, 6618, 34, 'नहीं दिखाएँ');
INSERT INTO `lang_definitions` VALUES (182479, 6622, 34, 'साइनस Tenderness नहीं है:');
INSERT INTO `lang_definitions` VALUES (182480, 6623, 34, 'त्वचा प्रगर्तन या स्तन पिंड नहीं है:');
INSERT INTO `lang_definitions` VALUES (182481, 6624, 34, 'ऐसी कोई संदर्भ नाम नहीं है:');
INSERT INTO `lang_definitions` VALUES (182482, 6625, 34, 'कोई तालिका चयनित नहीं है! टेबल चुनें.');
INSERT INTO `lang_definitions` VALUES (182483, 6626, 34, 'कोई वृषण Tenderness नहीं है, masses');
INSERT INTO `lang_definitions` VALUES (182484, 6628, 34, 'कोई रोमांच या पलीता नहीं है');
INSERT INTO `lang_definitions` VALUES (182485, 6632, 34, 'कोई यात्रा नहीं है');
INSERT INTO `lang_definitions` VALUES (182486, 6633, 34, 'कोई नब्ज दर्ज किया गया नहीं है.');
INSERT INTO `lang_definitions` VALUES (182487, 6634, 34, 'नहीं, रद्द');
INSERT INTO `lang_definitions` VALUES (182488, 6635, 34, 'कोई बीमा गलती नहीं है ऑटो प्राथमिक है');
INSERT INTO `lang_definitions` VALUES (182489, 6636, 34, 'नहीं:');
INSERT INTO `lang_definitions` VALUES (182490, 6637, 34, 'निशामेह');
INSERT INTO `lang_definitions` VALUES (182491, 6638, 34, 'भुगतान नहीं');
INSERT INTO `lang_definitions` VALUES (182492, 6640, 34, 'गैर प्रतिवेदित रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (182493, 6641, 34, 'गैर विशिष्ट चोट');
INSERT INTO `lang_definitions` VALUES (182494, 6642, 34, 'गैर इलेक्ट्रॉनिक');
INSERT INTO `lang_definitions` VALUES (182495, 6643, 34, 'गैर इंसुलिन निर्भर मधुमेह');
INSERT INTO `lang_definitions` VALUES (182496, 6644, 34, 'गैर बीमाकृत');
INSERT INTO `lang_definitions` VALUES (182497, 6646, 34, 'गैर SRH मेडिकल');
INSERT INTO `lang_definitions` VALUES (182498, 6647, 34, 'गैर SRH गैर मेडिकल');
INSERT INTO `lang_definitions` VALUES (182499, 6648, 34, 'कोई नहीं');
INSERT INTO `lang_definitions` VALUES (182500, 6649, 34, 'कोई नहीं');
INSERT INTO `lang_definitions` VALUES (182501, 6650, 34, 'कोई भी परिभाषित नहीं किया');
INSERT INTO `lang_definitions` VALUES (182502, 6652, 34, 'कोई भी प्रलेखित नहीं किया गया है');
INSERT INTO `lang_definitions` VALUES (182503, 6653, 34, 'उपरोक्त में से कोई भी नहीं');
INSERT INTO `lang_definitions` VALUES (182504, 6654, 34, 'शीर्ष वितरण पंक्ति में से कोई भी पूरी तरह से खाली नहीं हो सकता है.');
INSERT INTO `lang_definitions` VALUES (182505, 6683, 34, 'गैरइंसुलिन निर्भर मधुमेह');
INSERT INTO `lang_definitions` VALUES (182506, 6684, 34, 'Nor');
INSERT INTO `lang_definitions` VALUES (182507, 6685, 34, 'सामान्य');
INSERT INTO `lang_definitions` VALUES (182508, 6687, 34, 'सामान्य BL');
INSERT INTO `lang_definitions` VALUES (182509, 6688, 34, 'सामान्य कार्डिएक परीक्षा:');
INSERT INTO `lang_definitions` VALUES (182510, 6689, 34, 'सामान्य कार्डिएक परीक्षा:');
INSERT INTO `lang_definitions` VALUES (182511, 6690, 34, 'सामान्य फेफड़ों परीक्षा:');
INSERT INTO `lang_definitions` VALUES (182512, 6691, 34, 'सामान्य फेफड़ों परीक्षा:');
INSERT INTO `lang_definitions` VALUES (182513, 6692, 34, 'सामान्य कार्यालय यात्रा');
INSERT INTO `lang_definitions` VALUES (182514, 6693, 34, 'सामान्य oropharynx:');
INSERT INTO `lang_definitions` VALUES (182515, 6694, 34, 'सामान्य दाएँ');
INSERT INTO `lang_definitions` VALUES (182516, 6695, 34, 'सामान्य दाएँ:');
INSERT INTO `lang_definitions` VALUES (182517, 6696, 34, 'सामान्य दृश्य');
INSERT INTO `lang_definitions` VALUES (182518, 6697, 34, 'सामान्य:');
INSERT INTO `lang_definitions` VALUES (182519, 6698, 34, 'आम तौर पर इसकी जाँच की जानी चाहिए. अभिगम नियंत्रण से संबंधित नहीं है.');
INSERT INTO `lang_definitions` VALUES (182520, 6701, 34, 'नार्वेजियन');
INSERT INTO `lang_definitions` VALUES (182521, 6705, 34, 'नाक');
INSERT INTO `lang_definitions` VALUES (182522, 6706, 34, 'नकसीर');
INSERT INTO `lang_definitions` VALUES (182523, 6707, 34, 'एक अक्षर या संख्या नहीं');
INSERT INTO `lang_definitions` VALUES (182524, 6710, 34, 'सभी क्षेत्रों सभी कोड या कोड प्रकार के लिए आवश्यक नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (182525, 6712, 34, 'अनुमति नहीं');
INSERT INTO `lang_definitions` VALUES (182526, 6713, 34, 'व्यवस्थापकों के समूह को नष्ट करने की अनुमति नहीं');
INSERT INTO `lang_definitions` VALUES (182527, 6714, 34, 'संपादित करने की अनुमति नहीं');
INSERT INTO `lang_definitions` VALUES (182528, 6715, 34, 'सभी सुरक्षा वस्तुओं को निष्क्रिय करने की अनुमति नहीं');
INSERT INTO `lang_definitions` VALUES (182529, 6716, 34, 'व्यवस्थापकों के ACL से कुछ भी निष्क्रिय करने की अनुमति नहीं');
INSERT INTO `lang_definitions` VALUES (182530, 6717, 34, 'व्यवस्थापकों के समूह से व्यवस्थापक उपयोगकर्ता को हटाने की अनुमति नहीं');
INSERT INTO `lang_definitions` VALUES (182531, 6718, 34, 'व्यवस्थापकों के समूह से इस उपयोगकर्ता को हटाने की अनुमति नहीं');
INSERT INTO `lang_definitions` VALUES (182532, 6719, 34, 'लागू नहीं');
INSERT INTO `lang_definitions` VALUES (182533, 6720, 34, 'PostCalendar मॉड्यूल का उपयोग करने के लिए अधिकृत नहीं');
INSERT INTO `lang_definitions` VALUES (182534, 6721, 34, 'अधिकृत नहीं');
INSERT INTO `lang_definitions` VALUES (182535, 6722, 34, 'अनुमति नहीं');
INSERT INTO `lang_definitions` VALUES (182536, 6723, 34, 'इस दस्ते के लिए अधिकृत नहीं!');
INSERT INTO `lang_definitions` VALUES (182537, 6724, 34, 'इस दस्ते के लिए अधिकृत नहीं है.');
INSERT INTO `lang_definitions` VALUES (182538, 6725, 34, 'उपयोगकर्ताओं को प्रबंधित करने के लिए अधिकृत नहीं!');
INSERT INTO `lang_definitions` VALUES (182539, 6726, 34, 'परिणामों पर हस्ताक्षर के लिए अधिकृत नहीं');
INSERT INTO `lang_definitions` VALUES (182540, 6729, 34, 'उपलब्ध नहीं');
INSERT INTO `lang_definitions` VALUES (182541, 6731, 34, 'बिल नहीं भेजा');
INSERT INTO `lang_definitions` VALUES (182542, 6732, 34, 'जाँच नहीं की');
INSERT INTO `lang_definitions` VALUES (182543, 6733, 34, 'बाहर नहीं गए');
INSERT INTO `lang_definitions` VALUES (182544, 6734, 34, 'कोडित नहीं');
INSERT INTO `lang_definitions` VALUES (182545, 6736, 34, 'देय नहीं');
INSERT INTO `lang_definitions` VALUES (182546, 6738, 34, 'जांच नहीं की');
INSERT INTO `lang_definitions` VALUES (182547, 6739, 34, 'जांच नहीं की:');
INSERT INTO `lang_definitions` VALUES (182548, 6740, 34, 'जांच नहीं की:');
INSERT INTO `lang_definitions` VALUES (182549, 6742, 34, 'नहीं मिला');
INSERT INTO `lang_definitions` VALUES (182550, 6744, 34, 'नहीं मिला!');
INSERT INTO `lang_definitions` VALUES (182551, 6745, 34, 'हिस्पैनिक या लैटिनो नहीं');
INSERT INTO `lang_definitions` VALUES (182552, 6746, 34, 'स्थापित नहीं');
INSERT INTO `lang_definitions` VALUES (182553, 6751, 34, 'के बाद नहीं देखा');
INSERT INTO `lang_definitions` VALUES (182554, 6752, 34, 'नहीं भेजा');
INSERT INTO `lang_definitions` VALUES (182555, 6753, 34, 'अभी तक नहीं भेजा');
INSERT INTO `lang_definitions` VALUES (182556, 6754, 34, 'निर्दिष्ट नहीं');
INSERT INTO `lang_definitions` VALUES (182557, 6755, 34, 'निर्दिष्ट नहीं.');
INSERT INTO `lang_definitions` VALUES (182558, 6758, 34, 'टिप्पणी');
INSERT INTO `lang_definitions` VALUES (182559, 6760, 34, 'संहिताएं टिप्पणी');
INSERT INTO `lang_definitions` VALUES (182560, 6762, 34, 'ध्यान दें स्थापित क्लिक करने के बाद पूरी तरह से संसाधित करने के लिए यह 5-10 मिनट का समय ले लेगा');
INSERT INTO `lang_definitions` VALUES (182561, 6763, 34, 'ध्यान दें उन्नयन क्लिक करने के बाद पूरी तरह से संसाधित करने के लिए यह 5-10 मिनट का समय ले लेगा');
INSERT INTO `lang_definitions` VALUES (182562, 6764, 34, 'ऑडिट लॉगिंग सक्रिय करने की जरूरत पर ध्यान दें');
INSERT INTO `lang_definitions` VALUES (182563, 6771, 34, 'ध्यान दें प्रकार');
INSERT INTO `lang_definitions` VALUES (182564, 6772, 34, 'ध्यान दें: 12:00 दोपहर अपराह्न है,पूर्वाह्न नहीं');
INSERT INTO `lang_definitions` VALUES (182565, 6773, 34, 'ध्यान दें: अपने हार्डवेयर विन्यास के आधार पर बाहरी डेटा आयात को एक घंटे से भी अधिक समय लग सकता है. उदाहरण के लिए, RxNorm डेटा तालिकाओं में 6 मिलियन पंक्तियों से अधिक होते हैं.');
INSERT INTO `lang_definitions` VALUES (182566, 6774, 34, 'ध्यान दें: केवल द्विवार्षिक अंतर्राष्ट्रीय Snomed रिलीज वर्तमान में समर्थित है');
INSERT INTO `lang_definitions` VALUES (182567, 6776, 34, 'ध्यान दें: केवल पूर्ण मासिक RxNorm रिलीज वर्तमान में समर्थित है');
INSERT INTO `lang_definitions` VALUES (182568, 6780, 34, 'ध्यान दें: यह कोड एक अधिकृत उपयोगकर्ता द्वारा दर्ज नहीं किया गया था.प्रसंस्करण के लिए केवल अधिकृत कोड ओपन चिकित्सा बिलिंग नेटवर्क पर अपलोड किया जा सकता है. आप इन कोड को अपलोड करना चाहते हैं, तो यहाँ एक अधिकृत उपयोगकर्ता का चयन करें.');
INSERT INTO `lang_definitions` VALUES (182569, 6783, 34, 'ध्यान दें: यदि आप नकली नामों के साथ फाइल अपलोड करते हैं तो स्वचालित रूप से फ़ाइल का नाम बदल दिया जाएगा (उदाहरण के लिए, file.jpg file.1.jpg हो जाएगा). Filenames , रोगी के प्रति अनूठा माना जाता है श्रेणी के अनुसार नहीं.');
INSERT INTO `lang_definitions` VALUES (182570, 6784, 34, 'ध्यान दें: यदि आप नकली नामों के साथ फाइल अपलोड करते हैं तो स्वचालित रूप से फ़ाइल का नाम बदल दिया जाएगा उदाहरण के लिए \'<i> file.jpg </ i>\' <i> file.jpg.1 </ i> \' बन जाएगा. Filenames , रोगी के प्रति अनूठा माना जाता है श्रेणी के अनुसार नहीं.');
INSERT INTO `lang_definitions` VALUES (182571, 6785, 34, 'टिप्पणी');
INSERT INTO `lang_definitions` VALUES (182572, 6788, 34, 'टिप्पणी - किसी भी मुठभेड़ों के (addonly वैकल्पिक लिखने,)');
INSERT INTO `lang_definitions` VALUES (182573, 6790, 34, 'टिप्पणी - मेरे मुठभेड़ों के (addonly वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (182574, 6793, 34, 'टिप्पणी अधिकृत नहीं');
INSERT INTO `lang_definitions` VALUES (182575, 6796, 34, 'रिकॉर्ड कुछ भी नहीं');
INSERT INTO `lang_definitions` VALUES (182576, 6799, 34, 'एलर्जी के लिए आयात करने के लिए कुछ भी नहीं');
INSERT INTO `lang_definitions` VALUES (182577, 6800, 34, 'पर्चे के लिए आयात करने के लिए कुछ भी नहीं');
INSERT INTO `lang_definitions` VALUES (182578, 6803, 34, 'दिखाने के लिए कुछ भी नहीं');
INSERT INTO `lang_definitions` VALUES (182579, 6804, 34, 'कुछ भी नहीं चुना गया था');
INSERT INTO `lang_definitions` VALUES (182580, 6808, 34, 'सूचना :: PostCalendar सबमिशन / संशोधन');
INSERT INTO `lang_definitions` VALUES (182581, 6809, 34, 'सूचना');
INSERT INTO `lang_definitions` VALUES (182582, 6810, 34, 'सूचना ईमेल पता');
INSERT INTO `lang_definitions` VALUES (182583, 6815, 34, 'सूचनाएं');
INSERT INTO `lang_definitions` VALUES (182584, 6816, 34, 'घटना सबमिशन / संशोधन के बारे में व्यवस्थापक को सूचित करें?');
INSERT INTO `lang_definitions` VALUES (182585, 6820, 34, 'नवम्बर');
INSERT INTO `lang_definitions` VALUES (182586, 6821, 34, 'नवम्बर');
INSERT INTO `lang_definitions` VALUES (182587, 6824, 34, 'अब के लिए पोस्टिंग:');
INSERT INTO `lang_definitions` VALUES (182588, 6825, 34, 'अब छपाई कर रहा है');
INSERT INTO `lang_definitions` VALUES (182589, 6826, 34, 'अब $ stmt_count बयान छपाई और मुठभेड़ों का अद्यतन कर रहा है.');
INSERT INTO `lang_definitions` VALUES (182590, 6827, 34, 'अब $ stmt_count बयान छपाई और चालान अद्यतन कर रहा है.');
INSERT INTO `lang_definitions` VALUES (182591, 6828, 34, 'अब $ stmt_count बयान छपाई, मुठभेड़ों का अद्यतन नहीं किया जाएगा.');
INSERT INTO `lang_definitions` VALUES (182592, 6829, 34, 'अब $ stmt_count बयान छपाई, चालान अद्यतन नहीं किया जाएगा.');
INSERT INTO `lang_definitions` VALUES (182593, 6834, 34, 'NPI');
INSERT INTO `lang_definitions` VALUES (182594, 6836, 34, 'NQF');
INSERT INTO `lang_definitions` VALUES (182595, 6837, 34, 'संख्या');
INSERT INTO `lang_definitions` VALUES (182596, 6838, 34, 'संख्या लैब्स');
INSERT INTO `lang_definitions` VALUES (182597, 6843, 34, 'वर्ष दृश्य में स्तंभों की संख्या.');
INSERT INTO `lang_definitions` VALUES (182598, 6850, 34, 'ग्राहक प्रमाणपत्र वैध होने कि दिनों की संख्या.');
INSERT INTO `lang_definitions` VALUES (182599, 6852, 34, 'मुद्रा के लिए दशमलव बिंदु के बाद अंकों की संख्या, आमतौर पर 0 या 2.');
INSERT INTO `lang_definitions` VALUES (182600, 6853, 34, 'प्रति पृष्ठ प्रदर्शित करने के लिए मुठभेड़ों की संख्या.');
INSERT INTO `lang_definitions` VALUES (182601, 6855, 34, 'चूक गए, खेल या घटनाओं की संख्या, यदि कोई हो');
INSERT INTO `lang_definitions` VALUES (182602, 6856, 34, 'ईमेल सूचना भेजने के लिए अग्रिम में घंटे की संख्या.');
INSERT INTO `lang_definitions` VALUES (182603, 6857, 34, 'फोन अधिसूचना भेजने के लिए अग्रिम में घंटे की संख्या.');
INSERT INTO `lang_definitions` VALUES (182604, 6858, 34, 'एसएमएस सूचनाएं भेजने के लिए अग्रिम में घंटे की संख्या.');
INSERT INTO `lang_definitions` VALUES (182605, 6862, 34, 'अतीत के इतिहास के स्तम्भों की संख्या');
INSERT INTO `lang_definitions` VALUES (182606, 6863, 34, 'रोगी सूची में प्रति पृष्ठ प्रदर्शित करने के लिए रोगियों की संख्या.');
INSERT INTO `lang_definitions` VALUES (182607, 6864, 34, 'सुन्नता');
INSERT INTO `lang_definitions` VALUES (182608, 6865, 34, 'अंश');
INSERT INTO `lang_definitions` VALUES (182609, 6866, 34, 'संख्यात्मक प्रदर्शन का क्रम');
INSERT INTO `lang_definitions` VALUES (182610, 6869, 34, 'पोषण');
INSERT INTO `lang_definitions` VALUES (182611, 6871, 34, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (182612, 6872, 34, 'O2 Sat');
INSERT INTO `lang_definitions` VALUES (182613, 6874, 34, 'मोटापा I');
INSERT INTO `lang_definitions` VALUES (182614, 6875, 34, 'मोटापा II');
INSERT INTO `lang_definitions` VALUES (182615, 6876, 34, 'मोटापा III');
INSERT INTO `lang_definitions` VALUES (182616, 6877, 34, 'लक्ष्य');
INSERT INTO `lang_definitions` VALUES (182617, 6886, 34, 'व्यवसाय');
INSERT INTO `lang_definitions` VALUES (182618, 6889, 34, 'घटना');
INSERT INTO `lang_definitions` VALUES (182619, 6890, 34, 'अक्टूबर');
INSERT INTO `lang_definitions` VALUES (182620, 6891, 34, 'अक्टूबर');
INSERT INTO `lang_definitions` VALUES (182621, 6892, 34, 'OD');
INSERT INTO `lang_definitions` VALUES (182622, 6895, 34, 'की');
INSERT INTO `lang_definitions` VALUES (182623, 6896, 34, 'मात्रा की');
INSERT INTO `lang_definitions` VALUES (182624, 6897, 34, 'गोलियों की');
INSERT INTO `lang_definitions` VALUES (182625, 6898, 34, 'महीने के हर');
INSERT INTO `lang_definitions` VALUES (182626, 6899, 34, 'OFC नोट्स');
INSERT INTO `lang_definitions` VALUES (182627, 6900, 34, 'बंद');
INSERT INTO `lang_definitions` VALUES (182628, 6907, 34, 'कार्यालय नोट्स');
INSERT INTO `lang_definitions` VALUES (182629, 6908, 34, 'कार्यालय यात्रा');
INSERT INTO `lang_definitions` VALUES (182630, 6909, 34, 'आधिकारिक क्लीनिकल क्वालिटी उपाय (CQM) उपाय समूह');
INSERT INTO `lang_definitions` VALUES (182631, 6910, 34, 'रोगी पोर्टल के लिए offsite Https लिंक.');
INSERT INTO `lang_definitions` VALUES (182632, 6911, 34, 'रोगी पोर्टल के लिए offsite Https लिंक. (रोगी लिंक)');
INSERT INTO `lang_definitions` VALUES (182633, 6912, 34, 'Offsite रोगी पोर्टल पारण');
INSERT INTO `lang_definitions` VALUES (182634, 6913, 34, 'Offsite रोगी पोर्टल पारण(पंजीकृत नहीं तो रिक्त डाल).');
INSERT INTO `lang_definitions` VALUES (182635, 6914, 34, 'Offsite रोगी पोर्टल प्रदाता ID');
INSERT INTO `lang_definitions` VALUES (182636, 6915, 34, 'Offsite रोगी पोर्टल प्रदाता ID (पंजीकृत नहीं तो रिक्त डाल).');
INSERT INTO `lang_definitions` VALUES (182637, 6916, 34, 'Offsite रोगी पोर्टल साइट पता');
INSERT INTO `lang_definitions` VALUES (182638, 6917, 34, 'Offsite रोगी पोर्टल साइट पता (रोगी लिंक)');
INSERT INTO `lang_definitions` VALUES (182639, 6918, 34, 'Offsite रोगी पोर्टल उपयोगकर्ता नाम');
INSERT INTO `lang_definitions` VALUES (182640, 6919, 34, 'Offsite रोगी पोर्टल उपयोगकर्ता नाम (पंजीकृत नहीं तो रिक्त डाल).');
INSERT INTO `lang_definitions` VALUES (182641, 6921, 34, 'वंशज');
INSERT INTO `lang_definitions` VALUES (182642, 6925, 34, 'मरहम');
INSERT INTO `lang_definitions` VALUES (182643, 6927, 34, 'ठीक है');
INSERT INTO `lang_definitions` VALUES (182644, 6930, 34, 'दिनांक GCAC मुद्दे से जोड़ने के लिए ठीक है');
INSERT INTO `lang_definitions` VALUES (182645, 6931, 34, 'पुराना');
INSERT INTO `lang_definitions` VALUES (182646, 6933, 34, 'पुराने ग्राहकों के');
INSERT INTO `lang_definitions` VALUES (182647, 6934, 34, 'पुरानी फ्रैक्चर गैर / कुसम्मिलन');
INSERT INTO `lang_definitions` VALUES (182648, 6935, 34, 'बाएँ मेनू के बिना पुरानी शैली लेआउट');
INSERT INTO `lang_definitions` VALUES (182649, 6936, 34, 'खोज या दोहराव जाँच के बिना पुरानी शैली स्थिर फार्म');
INSERT INTO `lang_definitions` VALUES (182650, 6940, 34, 'छोड़ दे');
INSERT INTO `lang_definitions` VALUES (182651, 6941, 34, 'परिधियों छोड़ दे');
INSERT INTO `lang_definitions` VALUES (182652, 6942, 34, 'रोगी जनसांख्यिकी में नियोक्ता जानकारी छोड़ दे');
INSERT INTO `lang_definitions` VALUES (182653, 6943, 34, 'नियोक्ता छोड़ दे');
INSERT INTO `lang_definitions` VALUES (182654, 6944, 34, 'रूप, मार्ग और अंतराल छोड़ दे, जो खुराक का हिस्सा बन गया');
INSERT INTO `lang_definitions` VALUES (182655, 6945, 34, 'जनसांख्यिकी रूप से बीमा और कुछ अन्य चीजों को छोड़ दे');
INSERT INTO `lang_definitions` VALUES (182656, 6946, 34, 'आंतरिक उपयोगकर्ताओं छोड़ दे?');
INSERT INTO `lang_definitions` VALUES (182657, 6947, 34, 'सह भुगतान पैनल से भुगतान की विधि छोड़ दे');
INSERT INTO `lang_definitions` VALUES (182658, 6948, 34, 'autoassign को छोड़ दे');
INSERT INTO `lang_definitions` VALUES (182659, 6949, 34, 'पर');
INSERT INTO `lang_definitions` VALUES (182660, 6950, 34, 'पर');
INSERT INTO `lang_definitions` VALUES (182661, 6956, 34, 'हाथ में');
INSERT INTO `lang_definitions` VALUES (182662, 6959, 34, 'आदेश पर');
INSERT INTO `lang_definitions` VALUES (182663, 6960, 34, 'साइट पर');
INSERT INTO `lang_definitions` VALUES (182664, 6975, 34, 'प्राथमिक व्यापार सुविधा एक बार स्थापित किया तो यह बदलना नहीं चाहिए. सुविधा को बदलना NewCrop ePrescription के कार्यकरण को प्रभावित करेगा.');
INSERT INTO `lang_definitions` VALUES (182665, 6979, 34, 'यदि आप अपना पासवर्ड बदल लें, तो आपको फिर से लॉगिन करना होगा.');
INSERT INTO `lang_definitions` VALUES (182666, 6996, 34, 'ऑनलाइन सहायता');
INSERT INTO `lang_definitions` VALUES (182667, 6997, 34, 'ऑनलाइन सहायता लिंक');
INSERT INTO `lang_definitions` VALUES (182668, 6999, 34, 'केवल सक्रिय');
INSERT INTO `lang_definitions` VALUES (182669, 7000, 34, 'Only applicable if a provider or collated list was chosen above. PRIMARY only selects patients that the provider is the primary provider. ENCOUNTER selects all patients that the provider has seen.');
INSERT INTO `lang_definitions` VALUES (182670, 7004, 34, 'अगर केवल बिलिंग स्थान');
INSERT INTO `lang_definitions` VALUES (182671, 7006, 34, 'केवल निष्क्रिय');
INSERT INTO `lang_definitions` VALUES (182672, 7007, 34, 'केवल मेरा');
INSERT INTO `lang_definitions` VALUES (182673, 7011, 34, 'केवल निदान रिपोर्टिंग संहिताएं दिखाएँ');
INSERT INTO `lang_definitions` VALUES (182674, 7012, 34, 'केवल सेवा संहिता वित्त संहिताओं रिपोर्टिंग दिखाएँ');
INSERT INTO `lang_definitions` VALUES (182675, 7013, 34, 'केवल सक्रिय नुस्खे अपलोड करें');
INSERT INTO `lang_definitions` VALUES (182676, 7017, 34, 'बीमारी की शुरुआत:');
INSERT INTO `lang_definitions` VALUES (182677, 7018, 34, 'बीमारी की शुरुआत:');
INSERT INTO `lang_definitions` VALUES (182678, 7019, 34, 'सूजन की शुरुआत:');
INSERT INTO `lang_definitions` VALUES (182679, 7022, 34, 'शुरुआत / अस्पताल. तिथि:');
INSERT INTO `lang_definitions` VALUES (182680, 7026, 34, 'ऑनसाइट रोगी पोर्टल साइट पता');
INSERT INTO `lang_definitions` VALUES (182681, 7030, 34, 'उफ़!');
INSERT INTO `lang_definitions` VALUES (182682, 7031, 34, 'खुला');
INSERT INTO `lang_definitions` VALUES (182683, 7040, 34, 'नई विंडो में खोलें');
INSERT INTO `lang_definitions` VALUES (182684, 7046, 34, 'खोलें आज की भेंट');
INSERT INTO `lang_definitions` VALUES (182685, 7071, 34, 'OpenEMR में पहले से ही एक प्रमाणपत्र प्राधिकार कॉन्फ़िगर है.');
INSERT INTO `lang_definitions` VALUES (182686, 7074, 34, 'OpenEMR आवेदन श्रेणी');
INSERT INTO `lang_definitions` VALUES (182687, 7076, 34, 'OpenEMR डेटाबेस नवीनीकरण');
INSERT INTO `lang_definitions` VALUES (182688, 7077, 34, 'De-IDENTIFICATION के लिए OpenEMR डेटाबेस नवीनीकरण');
INSERT INTO `lang_definitions` VALUES (182689, 7078, 34, 'OpenEMR योगदान निर्देशिका में आने वाली फ़ाइल को नहीं पहचानता है. क्योंकि संभावना यह है, आपको MySQL डाटाबेस में supported_external_dataloads तालिका के रिलीज, विन्यस्त करने की जरूरत है.');
INSERT INTO `lang_definitions` VALUES (182690, 7080, 34, 'क्लाइंट प्रमाण पत्र बनाने से पहले OpenEMR प्रमाण पत्र का उपयोग करने के लिए कॉन्फ़िगर किया जाना चाहिए.');
INSERT INTO `lang_definitions` VALUES (182691, 7084, 34, 'OpenEMR को उपयोगकर्ता प्रमाणीकरण करने के लिए जावास्क्रिप्ट की आवश्यकता है.');
INSERT INTO `lang_definitions` VALUES (182692, 7085, 34, 'OpenEMR उपयोगकर्ता');
INSERT INTO `lang_definitions` VALUES (182693, 7086, 34, 'उद्घाटन');
INSERT INTO `lang_definitions` VALUES (182694, 7092, 34, 'ऑप्थाल्मिक');
INSERT INTO `lang_definitions` VALUES (182695, 7095, 34, 'विकल्प');
INSERT INTO `lang_definitions` VALUES (182696, 7097, 34, 'दस्तावेज़ भंडारण की पद्धति सहेजने के लिए विकल्प.');
INSERT INTO `lang_definitions` VALUES (182697, 7098, 34, 'उत्पादों की बिक्री और सूची का समर्थन करने के विकल्प');
INSERT INTO `lang_definitions` VALUES (182698, 7099, 34, 'वैकल्पिक');
INSERT INTO `lang_definitions` VALUES (182699, 7100, 34, 'आईडी कार्ड छवि के लिए वैकल्पिक श्रेणी नाम, रोगी सारांश पृष्ठ पर देखा जा सकता है.');
INSERT INTO `lang_definitions` VALUES (182700, 7101, 34, 'फोटो छवियों के लिए वैकल्पिक श्रेणी नाम रोगी सारांश पृष्ठ में देखा जा सकता है');
INSERT INTO `lang_definitions` VALUES (182701, 7102, 34, 'रोगी सारांश पेज से लिंक करने के लिए एक दस्तावेज़ का वैकल्पिक श्रेणी नाम. आपको उनके आईडी कार्ड देखने के लिए एक रोगी के नाम पर क्लिक करने देता है.');
INSERT INTO `lang_definitions` VALUES (182702, 7103, 34, 'परिणामों को मैनुअल प्रविष्टि करने के लिए वैकल्पिक डिफॉल्ट सीमा');
INSERT INTO `lang_definitions` VALUES (182703, 7104, 34, 'परिणामों को मैनुअल प्रविष्टि करने के लिए वैकल्पिक डिफॉल्ट इकाइयों');
INSERT INTO `lang_definitions` VALUES (182704, 7105, 34, 'वैकल्पिक गंतव्य नाम');
INSERT INTO `lang_definitions` VALUES (182705, 7107, 34, 'वैकल्पिक दवा के नाम, % का उपयोग वाइल्डकार्ड के रूप में करें');
INSERT INTO `lang_definitions` VALUES (182706, 7111, 34, 'इस घटना के बारे में वैकल्पिक जानकारी');
INSERT INTO `lang_definitions` VALUES (182707, 7112, 34, 'वैकल्पिक lot संख्या, % का उपयोग वाइल्डकार्ड के रूप में करें');
INSERT INTO `lang_definitions` VALUES (182708, 7113, 34, 'वैकल्पिक सांख्यिक रोगी ID');
INSERT INTO `lang_definitions` VALUES (182709, 7114, 34, 'वैकल्पिक प्रक्रिया संहिता');
INSERT INTO `lang_definitions` VALUES (182710, 7115, 34, 'वैकल्पिक प्रक्रिया / सेवा संहिता');
INSERT INTO `lang_definitions` VALUES (182711, 7116, 34, 'विकल्प');
INSERT INTO `lang_definitions` VALUES (182712, 7117, 34, 'या');
INSERT INTO `lang_definitions` VALUES (182713, 7118, 34, 'या');
INSERT INTO `lang_definitions` VALUES (182714, 7119, 34, 'या चयन करें');
INSERT INTO `lang_definitions` VALUES (182715, 7120, 34, 'या खींचें और क्लिक करें तेजी से चयन के लिए .');
INSERT INTO `lang_definitions` VALUES (182716, 7122, 34, 'या बाहर करने के लिए');
INSERT INTO `lang_definitions` VALUES (182717, 7124, 34, 'या इसे कम करने के लिए Shift-क्लिक करें');
INSERT INTO `lang_definitions` VALUES (182718, 7125, 34, 'या ERA फाइल अपलोड करें:');
INSERT INTO `lang_definitions` VALUES (182719, 7127, 34, 'मौखिक');
INSERT INTO `lang_definitions` VALUES (182720, 7128, 34, 'मौखिक mucosa गुलाबी, गला साफ');
INSERT INTO `lang_definitions` VALUES (182721, 7129, 34, 'आदेश');
INSERT INTO `lang_definitions` VALUES (182722, 7131, 34, 'आदेश और परिणाम के प्रकार');
INSERT INTO `lang_definitions` VALUES (182723, 7132, 34, 'आदेश सूची');
INSERT INTO `lang_definitions` VALUES (182724, 7133, 34, 'आदेश तिथि');
INSERT INTO `lang_definitions` VALUES (182725, 7136, 34, 'से आदेश');
INSERT INTO `lang_definitions` VALUES (182726, 7137, 34, 'आदेश ID');
INSERT INTO `lang_definitions` VALUES (182727, 7138, 34, 'आदेश 1 और 999 के बीच में होनी चाहिए');
INSERT INTO `lang_definitions` VALUES (182728, 7140, 34, 'आदेश नाम');
INSERT INTO `lang_definitions` VALUES (182729, 7142, 34, 'आदेश प्राथमिकताएं');
INSERT INTO `lang_definitions` VALUES (182730, 7143, 34, 'आदेश संसाधक');
INSERT INTO `lang_definitions` VALUES (182731, 7145, 34, 'आदेश परिणाम');
INSERT INTO `lang_definitions` VALUES (182732, 7146, 34, 'आदेश स्थिति');
INSERT INTO `lang_definitions` VALUES (182733, 7147, 34, 'आदेश की स्थिती');
INSERT INTO `lang_definitions` VALUES (182734, 7148, 34, 'आदेश सारांश');
INSERT INTO `lang_definitions` VALUES (182735, 7150, 34, 'आदेश के प्रकार');
INSERT INTO `lang_definitions` VALUES (182736, 7152, 34, 'आदेश / परिणाम प्रकार');
INSERT INTO `lang_definitions` VALUES (182737, 7153, 34, 'आदेशित');
INSERT INTO `lang_definitions` VALUES (182738, 7154, 34, 'द्वारा आदेश');
INSERT INTO `lang_definitions` VALUES (182739, 7155, 34, 'आदेश दिए प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (182740, 7159, 34, 'आदेश देते प्रदाता');
INSERT INTO `lang_definitions` VALUES (182741, 7163, 34, 'आदेश पथ');
INSERT INTO `lang_definitions` VALUES (182742, 7166, 34, 'अंग चोट');
INSERT INTO `lang_definitions` VALUES (182743, 7167, 34, 'संगठन');
INSERT INTO `lang_definitions` VALUES (182744, 7168, 34, 'संगठन का नाम');
INSERT INTO `lang_definitions` VALUES (182745, 7169, 34, 'संगठन इकाई का नाम');
INSERT INTO `lang_definitions` VALUES (182746, 7170, 34, 'संगठन');
INSERT INTO `lang_definitions` VALUES (182747, 7171, 34, 'केंद्रित x 3');
INSERT INTO `lang_definitions` VALUES (182748, 7175, 34, 'मूल');
INSERT INTO `lang_definitions` VALUES (182749, 7181, 34, 'oropharynx:');
INSERT INTO `lang_definitions` VALUES (182750, 7184, 34, 'Orthopnea');
INSERT INTO `lang_definitions` VALUES (182751, 7188, 34, 'OS');
INSERT INTO `lang_definitions` VALUES (182752, 7189, 34, 'Osetoarthritis');
INSERT INTO `lang_definitions` VALUES (182753, 7193, 34, 'अन्य');
INSERT INTO `lang_definitions` VALUES (182754, 7194, 34, 'अन्य');
INSERT INTO `lang_definitions` VALUES (182755, 7196, 34, 'अन्य ( निर्दिष्ट करें)');
INSERT INTO `lang_definitions` VALUES (182756, 7198, 34, 'अन्य - निर्दिष्ट');
INSERT INTO `lang_definitions` VALUES (182757, 7201, 34, 'अन्य संघीय कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (182758, 7202, 34, 'अन्य HCFA');
INSERT INTO `lang_definitions` VALUES (182759, 7203, 34, 'अन्य चोट कहीं निर्दिष्ट नहीं');
INSERT INTO `lang_definitions` VALUES (182760, 7204, 34, 'अन्य देयता बीमा प्राथमिक है');
INSERT INTO `lang_definitions` VALUES (182761, 7206, 34, 'अन्य महीने');
INSERT INTO `lang_definitions` VALUES (182762, 7207, 34, 'अन्य गैर संघीय कार्यक्रमों');
INSERT INTO `lang_definitions` VALUES (182763, 7208, 34, 'अन्य नोट्स');
INSERT INTO `lang_definitions` VALUES (182764, 7209, 34, 'अन्य प्रासंगिक लक्षण');
INSERT INTO `lang_definitions` VALUES (182765, 7210, 34, 'अन्य प्रासंगिक लक्षण:');
INSERT INTO `lang_definitions` VALUES (182766, 7213, 34, 'अन्य pt resp');
INSERT INTO `lang_definitions` VALUES (182767, 7215, 34, 'अन्य तनाव / अतिरिक्त उपयोग चोट');
INSERT INTO `lang_definitions` VALUES (182768, 7216, 34, 'अन्य सर्जिकल');
INSERT INTO `lang_definitions` VALUES (182769, 7217, 34, 'अन्य / सामान्य गर्भपात से संबंधित');
INSERT INTO `lang_definitions` VALUES (182770, 7219, 34, 'दूसरों के');
INSERT INTO `lang_definitions` VALUES (182771, 7221, 34, 'अन्यथा आप मौजूदा डेटा से / संदर्भ नष्ट कर देंगे.');
INSERT INTO `lang_definitions` VALUES (182772, 7224, 34, 'ओटावा टखने नियम');
INSERT INTO `lang_definitions` VALUES (182773, 7225, 34, 'OU');
INSERT INTO `lang_definitions` VALUES (182774, 7227, 34, 'बाहर');
INSERT INTO `lang_definitions` VALUES (182775, 7228, 34, 'कार्यालय से बाहर');
INSERT INTO `lang_definitions` VALUES (182776, 7230, 34, 'आउटबाउंड रेफरल');
INSERT INTO `lang_definitions` VALUES (182777, 7231, 34, 'परिणाम');
INSERT INTO `lang_definitions` VALUES (182778, 7234, 34, 'दृष्टिकोण');
INSERT INTO `lang_definitions` VALUES (182779, 7239, 34, 'छुट्टी की समग्र स्थिति');
INSERT INTO `lang_definitions` VALUES (182780, 7240, 34, 'अतिदेय');
INSERT INTO `lang_definitions` VALUES (182781, 7244, 34, 'अति प्रयोग');
INSERT INTO `lang_definitions` VALUES (182782, 7245, 34, 'अवलोकन');
INSERT INTO `lang_definitions` VALUES (182783, 7246, 34, 'अधिक वजन');
INSERT INTO `lang_definitions` VALUES (182784, 7247, 34, 'HIPAA चुनाव अधिलेखित करें');
INSERT INTO `lang_definitions` VALUES (182785, 7249, 34, 'ऑक्सीजन संतृप्ति');
INSERT INTO `lang_definitions` VALUES (182786, 7250, 34, 'oz');
INSERT INTO `lang_definitions` VALUES (182787, 7251, 34, 'P');
INSERT INTO `lang_definitions` VALUES (182788, 7252, 34, 'p.c.');
INSERT INTO `lang_definitions` VALUES (182789, 7253, 34, 'दोपहर बाद');
INSERT INTO `lang_definitions` VALUES (182790, 7254, 34, 'p.r.n.');
INSERT INTO `lang_definitions` VALUES (182791, 7258, 34, 'प्रशांत द्वीप');
INSERT INTO `lang_definitions` VALUES (182792, 7259, 34, 'Paedeatric');
INSERT INTO `lang_definitions` VALUES (182793, 7260, 34, 'पृष्ठ');
INSERT INTO `lang_definitions` VALUES (182794, 7263, 34, 'पृष्ठों के');
INSERT INTO `lang_definitions` VALUES (182795, 7264, 34, 'भुगतान किया');
INSERT INTO `lang_definitions` VALUES (182796, 7265, 34, 'आप भुगतान की गई राशि की अनुमति दे देंगे');
INSERT INTO `lang_definitions` VALUES (182797, 7266, 34, 'भुगतान की गई राशि');
INSERT INTO `lang_definitions` VALUES (182798, 7267, 34, 'के माध्यम से भुगतान');
INSERT INTO `lang_definitions` VALUES (182799, 7268, 34, 'दर्द');
INSERT INTO `lang_definitions` VALUES (182800, 7271, 34, 'घबराहट');
INSERT INTO `lang_definitions` VALUES (182801, 7275, 34, 'पैप स्मीयर');
INSERT INTO `lang_definitions` VALUES (182802, 7276, 34, 'काग़ज़');
INSERT INTO `lang_definitions` VALUES (182803, 7277, 34, 'पेपर आकार');
INSERT INTO `lang_definitions` VALUES (182804, 7278, 34, 'पक्षाघात');
INSERT INTO `lang_definitions` VALUES (182805, 7284, 34, 'विश्लेषण HL7');
INSERT INTO `lang_definitions` VALUES (182806, 7289, 34, 'साथी');
INSERT INTO `lang_definitions` VALUES (182807, 7290, 34, 'साथी का नाम');
INSERT INTO `lang_definitions` VALUES (182808, 7294, 34, 'वाक्यांश पास करें');
INSERT INTO `lang_definitions` VALUES (182809, 7295, 34, 'दस्तावेज को डिक्रिप्ट करने के लिए वाक्यांश पास करें');
INSERT INTO `lang_definitions` VALUES (182810, 7296, 34, 'मृत रोगी');
INSERT INTO `lang_definitions` VALUES (182811, 7297, 34, 'निष्क्रिय चेतावनी');
INSERT INTO `lang_definitions` VALUES (182812, 7299, 34, 'निष्क्रिय चेतावनी नियम');
INSERT INTO `lang_definitions` VALUES (182813, 7301, 34, 'पासवर्ड');
INSERT INTO `lang_definitions` VALUES (182814, 7302, 34, 'पासवर्ड परिवर्तन करें');
INSERT INTO `lang_definitions` VALUES (182815, 7303, 34, 'पासवर्ड परिवर्तन सफल');
INSERT INTO `lang_definitions` VALUES (182816, 7304, 34, 'पासवर्ड परिवर्तन सफल');
INSERT INTO `lang_definitions` VALUES (182817, 7306, 34, 'पासवर्ड न्यूनतम आवश्यकताओं को पूरा नहीं करता है और चार निम्न वस्तुओं में से कम से कम तीन को शामिल करना चाहिए: एक नंबर, एक लोअरकेस अक्षर, एक अपरकेस अक्षर, एक विशेष चरित्र (एक अक्षर या संख्या नहीं).');
INSERT INTO `lang_definitions` VALUES (182818, 7308, 34, 'पासवर्ड समाप्त ग्रेस अवधि');
INSERT INTO `lang_definitions` VALUES (182819, 7310, 34, 'फोन प्रवेश द्वार के लिए पासवर्ड. Maviq द्वारा स्वचालित VOIP सेवा प्रदान की . अधिक जानकारी के लिए http://signup.maviq.com जाएँ.');
INSERT INTO `lang_definitions` VALUES (182820, 7311, 34, 'SMS गेटवे के लिए पासवर्ड');
INSERT INTO `lang_definitions` VALUES (182821, 7312, 34, 'SMS गेटवे के लिए पासवर्ड.');
INSERT INTO `lang_definitions` VALUES (182822, 7314, 34, 'पासवर्ड सुरक्षा हाल ही में उन्नत किया गया है.');
INSERT INTO `lang_definitions` VALUES (182823, 7315, 34, 'CouchDB से कनेक्ट करने के लिए पासवर्ड');
INSERT INTO `lang_definitions` VALUES (182824, 7316, 34, 'बहुत छोटा पासवर्ड . आवश्यक न्यूनतम 8 वर्ण.');
INSERT INTO `lang_definitions` VALUES (182825, 7319, 34, 'पासवर्ड:');
INSERT INTO `lang_definitions` VALUES (182826, 7322, 34, 'पासवर्ड मेल नहीं खाते!');
INSERT INTO `lang_definitions` VALUES (182827, 7324, 34, 'अतीत Appoinments');
INSERT INTO `lang_definitions` VALUES (182828, 7325, 34, 'अतीत नियुक्तियां प्रदर्शन विजेट');
INSERT INTO `lang_definitions` VALUES (182829, 7329, 34, 'पिछला देय');
INSERT INTO `lang_definitions` VALUES (182830, 7330, 34, 'पिछला देय');
INSERT INTO `lang_definitions` VALUES (182831, 7331, 34, 'पिछला देय अंतराल (क्लीनिकल अनुस्मारक)');
INSERT INTO `lang_definitions` VALUES (182832, 7332, 34, 'पिछला देय अंतराल (रोगी अनुस्मारक)');
INSERT INTO `lang_definitions` VALUES (182833, 7333, 34, 'अतीत मुठभेड़ सूची');
INSERT INTO `lang_definitions` VALUES (182834, 7334, 34, 'अतीत मुठभेड़');
INSERT INTO `lang_definitions` VALUES (182835, 7335, 34, 'अतीत मुठभेड़ और दस्तावेज');
INSERT INTO `lang_definitions` VALUES (182836, 7336, 34, 'के लिए अतीत मुठभेड़');
INSERT INTO `lang_definitions` VALUES (182837, 7344, 34, 'HL7 डेटा चिपकाएँ');
INSERT INTO `lang_definitions` VALUES (182838, 7345, 34, 'नीचे दिए गए पाठ क्षेत्र में आयात करने के लिए डेटा चिपकाएँ:');
INSERT INTO `lang_definitions` VALUES (182839, 7346, 34, 'थपथपाना');
INSERT INTO `lang_definitions` VALUES (182840, 7348, 34, 'पैच');
INSERT INTO `lang_definitions` VALUES (182841, 7355, 34, 'इवेंट लॉग बैकअप के लिए पथ');
INSERT INTO `lang_definitions` VALUES (182842, 7356, 34, 'CA प्रमाणपत्र फ़ाइल के लिए पथ');
INSERT INTO `lang_definitions` VALUES (182843, 7357, 34, 'CA कुंजी फ़ाइल के लिए पथ');
INSERT INTO `lang_definitions` VALUES (182844, 7358, 34, 'MySQL बायनेरिज़ के लिए पथ');
INSERT INTO `lang_definitions` VALUES (182845, 7359, 34, 'पर्ल बायनेरिज़ के लिए पथ');
INSERT INTO `lang_definitions` VALUES (182846, 7360, 34, 'अस्थाई फ़ाइलें के लिए पथ');
INSERT INTO `lang_definitions` VALUES (182847, 7361, 34, 'रोगी');
INSERT INTO `lang_definitions` VALUES (182848, 7362, 34, 'रोगी');
INSERT INTO `lang_definitions` VALUES (182849, 7363, 34, 'रोगी');
INSERT INTO `lang_definitions` VALUES (182850, 7365, 34, 'रोगी का पता');
INSERT INTO `lang_definitions` VALUES (182851, 7366, 34, 'रोगी का पता लापता है');
INSERT INTO `lang_definitions` VALUES (182852, 7369, 34, 'रोगी एलर्जी');
INSERT INTO `lang_definitions` VALUES (182853, 7370, 34, 'रोगी एलर्जी');
INSERT INTO `lang_definitions` VALUES (182854, 7373, 34, 'रोगी की नियुक्ति');
INSERT INTO `lang_definitions` VALUES (182855, 7374, 34, 'रोगी बैलेंस');
INSERT INTO `lang_definitions` VALUES (182856, 7375, 34, 'रोगी देय शेष राशि');
INSERT INTO `lang_definitions` VALUES (182857, 7379, 34, 'रोगी चार्ट आईडी');
INSERT INTO `lang_definitions` VALUES (182858, 7381, 34, 'रोगी चेकआउट');
INSERT INTO `lang_definitions` VALUES (182859, 7382, 34, 'के लिए रोगी चेकआउट');
INSERT INTO `lang_definitions` VALUES (182860, 7383, 34, 'रोगी शहर');
INSERT INTO `lang_definitions` VALUES (182861, 7384, 34, 'रोगी शहर लापता है.');
INSERT INTO `lang_definitions` VALUES (182862, 7386, 34, 'रोगी संचार भेजा');
INSERT INTO `lang_definitions` VALUES (182863, 7387, 34, 'रोगी संचार भेजा');
INSERT INTO `lang_definitions` VALUES (182864, 7388, 34, 'रोगी देश');
INSERT INTO `lang_definitions` VALUES (182865, 7389, 34, 'रोगी देश लापता है. इसके अलावा आप वैश्विक सेटिंग्स में डिफ़ॉल्ट रोगी देश सेट नहीं किया है');
INSERT INTO `lang_definitions` VALUES (182866, 7390, 34, 'रोगी कवरेज');
INSERT INTO `lang_definitions` VALUES (182867, 7394, 34, 'रोगी डेटा');
INSERT INTO `lang_definitions` VALUES (182868, 7396, 34, 'रोगी जन्म तारीख लापता है.');
INSERT INTO `lang_definitions` VALUES (182869, 7401, 34, 'रोगी का विवरण');
INSERT INTO `lang_definitions` VALUES (182870, 7402, 34, 'रोगी जन्म तिथि');
INSERT INTO `lang_definitions` VALUES (182871, 7404, 34, 'रोगी दस्तावेज');
INSERT INTO `lang_definitions` VALUES (182872, 7410, 34, 'रोगी शिक्षा');
INSERT INTO `lang_definitions` VALUES (182873, 7411, 34, 'रोगी शिक्षा सामग्री');
INSERT INTO `lang_definitions` VALUES (182874, 7412, 34, 'रोगी मुठभेड़');
INSERT INTO `lang_definitions` VALUES (182875, 7413, 34, 'रोगी मुठभेड़ पर्चा');
INSERT INTO `lang_definitions` VALUES (182876, 7414, 34, 'रोगी मुठभेड़');
INSERT INTO `lang_definitions` VALUES (182877, 7415, 34, 'रोगी खोजक');
INSERT INTO `lang_definitions` VALUES (182878, 7417, 34, 'रोगी पहला नाम');
INSERT INTO `lang_definitions` VALUES (182879, 7419, 34, 'रोगी पहला नाम लापता है');
INSERT INTO `lang_definitions` VALUES (182880, 7424, 34, 'रोगी लिंग');
INSERT INTO `lang_definitions` VALUES (182881, 7425, 34, 'रोगी लिंग लापता है');
INSERT INTO `lang_definitions` VALUES (182882, 7426, 34, 'रोगी को रोगी पोर्टल अधिकृत नहीं किया गया है.');
INSERT INTO `lang_definitions` VALUES (182883, 7428, 34, 'रोगी इतिहास');
INSERT INTO `lang_definitions` VALUES (182884, 7429, 34, 'रोगी इतिहास / लाइफस्टाइल');
INSERT INTO `lang_definitions` VALUES (182885, 7430, 34, 'रोगी घर फोन');
INSERT INTO `lang_definitions` VALUES (182886, 7431, 34, 'रोगी ID');
INSERT INTO `lang_definitions` VALUES (182887, 7432, 34, 'रोगी ID');
INSERT INTO `lang_definitions` VALUES (182888, 7433, 34, 'रोगी ID कार्ड');
INSERT INTO `lang_definitions` VALUES (182889, 7434, 34, 'रोगी ID श्रेणी का नाम');
INSERT INTO `lang_definitions` VALUES (182890, 7437, 34, 'रोगी टीकाकरण');
INSERT INTO `lang_definitions` VALUES (182891, 7438, 34, 'रोगी सूचना');
INSERT INTO `lang_definitions` VALUES (182892, 7440, 34, 'रोगी निर्देश');
INSERT INTO `lang_definitions` VALUES (182893, 7441, 34, 'रोगी बीमा वितरण');
INSERT INTO `lang_definitions` VALUES (182894, 7442, 34, 'रोगी बीमा वितरण की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (182895, 7445, 34, 'रोगी समस्याएँ');
INSERT INTO `lang_definitions` VALUES (182896, 7447, 34, 'रोगी अंतिम नाम');
INSERT INTO `lang_definitions` VALUES (182897, 7449, 34, 'रोगी अंतिम नाम लापता है');
INSERT INTO `lang_definitions` VALUES (182898, 7454, 34, 'रोगी सूची');
INSERT INTO `lang_definitions` VALUES (182899, 7455, 34, 'रोगी सूची स्तंभ');
INSERT INTO `lang_definitions` VALUES (182900, 7457, 34, 'रोगी सूची नई विंडो');
INSERT INTO `lang_definitions` VALUES (182901, 7458, 34, 'रोगी सूची पृष्ठ आकार');
INSERT INTO `lang_definitions` VALUES (182902, 7460, 34, 'रोगी देखने का त्रुटियाँ');
INSERT INTO `lang_definitions` VALUES (182903, 7463, 34, 'रोगी मेडिकल समस्याएं');
INSERT INTO `lang_definitions` VALUES (182904, 7464, 34, 'रोगी की दवाएं');
INSERT INTO `lang_definitions` VALUES (182905, 7470, 34, 'रोगी का नाम');
INSERT INTO `lang_definitions` VALUES (182906, 7472, 34, 'रोगी का नाम व पता');
INSERT INTO `lang_definitions` VALUES (182907, 7475, 34, 'रोगी का नाम आवश्यक');
INSERT INTO `lang_definitions` VALUES (182908, 7477, 34, 'रोगी नोट');
INSERT INTO `lang_definitions` VALUES (182909, 7478, 34, 'रोगी नोट के प्रकार');
INSERT INTO `lang_definitions` VALUES (182910, 7479, 34, 'रोगी नोट्स');
INSERT INTO `lang_definitions` VALUES (182911, 7480, 34, 'रोगी नोट्स (, addonly वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (182912, 7482, 34, 'रोगी संख्या');
INSERT INTO `lang_definitions` VALUES (182913, 7483, 34, 'रोगी भुगतान');
INSERT INTO `lang_definitions` VALUES (182914, 7485, 34, 'रोगी फोटो श्रेणी का नाम');
INSERT INTO `lang_definitions` VALUES (182915, 7487, 34, 'रोगी पोर्टल');
INSERT INTO `lang_definitions` VALUES (182916, 7492, 34, 'रोगी पोर्टल बंद कर दिया है');
INSERT INTO `lang_definitions` VALUES (182917, 7493, 34, 'रोगी पोर्टल लॉगइन');
INSERT INTO `lang_definitions` VALUES (182918, 7496, 34, 'रोगी पोर्टल वेब पता');
INSERT INTO `lang_definitions` VALUES (182919, 7497, 34, 'रोगी मुद्रित रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (182920, 7499, 34, 'रोगी रिकॉर्ड की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (182921, 7500, 34, 'रोगी रिकॉर्ड अनुरोध');
INSERT INTO `lang_definitions` VALUES (182922, 7501, 34, 'रोगी रिकॉर्ड अनुरोध');
INSERT INTO `lang_definitions` VALUES (182923, 7503, 34, 'रोगी अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (182924, 7505, 34, 'रोगी अनुस्मारक बैच के कार्य');
INSERT INTO `lang_definitions` VALUES (182925, 7506, 34, 'रोगी अनुस्मारक निर्माण प्रसंस्करण प्राथमिकता');
INSERT INTO `lang_definitions` VALUES (182926, 7507, 34, 'रोगी अनुस्मारक नियम');
INSERT INTO `lang_definitions` VALUES (182927, 7508, 34, 'रोगी अनुस्मारक प्रेषक का ईमेल');
INSERT INTO `lang_definitions` VALUES (182928, 7509, 34, 'रोगी अनुस्मारक प्रेषक का नाम');
INSERT INTO `lang_definitions` VALUES (182929, 7510, 34, 'रोगी अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (182930, 7514, 34, 'रोगी की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (182931, 7518, 34, 'रोगी अनुरोध');
INSERT INTO `lang_definitions` VALUES (182932, 7519, 34, 'रोगी अनुरोधित मेडिकल रिकॉर्ड्स');
INSERT INTO `lang_definitions` VALUES (182933, 7521, 34, 'रोगी परिणाम');
INSERT INTO `lang_definitions` VALUES (182934, 7525, 34, 'रोगी खोज परिणाम शैली');
INSERT INTO `lang_definitions` VALUES (182935, 7526, 34, 'रोगी खोज / स्क्रीन जोड़ें');
INSERT INTO `lang_definitions` VALUES (182936, 7528, 34, 'रोगी की स्थापना');
INSERT INTO `lang_definitions` VALUES (182937, 7533, 34, 'रोगी स्टेट');
INSERT INTO `lang_definitions` VALUES (182938, 7539, 34, 'रोगी सारांश');
INSERT INTO `lang_definitions` VALUES (182939, 7542, 34, 'रोगी लेनदेन');
INSERT INTO `lang_definitions` VALUES (182940, 7546, 34, 'रोगी पिन');
INSERT INTO `lang_definitions` VALUES (182941, 7549, 34, 'आपके द्वारा दर्ज, जनसांख्यिकीय जानकारी से मेल खाने वाल रोगी डेटाबेस में.');
INSERT INTO `lang_definitions` VALUES (182942, 7550, 34, 'रोगी / ग्राहक');
INSERT INTO `lang_definitions` VALUES (182943, 7551, 34, 'रोगी:');
INSERT INTO `lang_definitions` VALUES (182944, 7552, 34, 'PatientID');
INSERT INTO `lang_definitions` VALUES (182945, 7553, 34, 'रोगियों के');
INSERT INTO `lang_definitions` VALUES (182946, 7555, 34, 'प्रसंस्कृत रोगियों के');
INSERT INTO `lang_definitions` VALUES (182947, 7559, 34, 'वेतन');
INSERT INTO `lang_definitions` VALUES (182948, 7560, 34, 'Pay attention to the \"Done with\" checkboxes. After the insurances are marked complete then we will start asking the patient to pay the remaining balance; if you fail to mark all of the insurances complete then the remaining amount will not be collected! Also if there is a balance that the patient should pay, then set the due date appropriately, as this will affect the language that appears on patient statements.');
INSERT INTO `lang_definitions` VALUES (182949, 7563, 34, 'भुगतान तिथिें:');
INSERT INTO `lang_definitions` VALUES (182950, 7566, 34, 'वेतन स्थिति');
INSERT INTO `lang_definitions` VALUES (182951, 7567, 34, 'प्राप्तकर्ता का नाम');
INSERT INTO `lang_definitions` VALUES (182952, 7568, 34, 'दाता');
INSERT INTO `lang_definitions` VALUES (182953, 7572, 34, 'भुगतानकर्ता प्रकार');
INSERT INTO `lang_definitions` VALUES (182954, 7573, 34, 'भर रहे');
INSERT INTO `lang_definitions` VALUES (182955, 7574, 34, 'भर रहे एंटिटी');
INSERT INTO `lang_definitions` VALUES (182956, 7575, 34, 'भुगतान');
INSERT INTO `lang_definitions` VALUES (182957, 7576, 34, 'भुगतान');
INSERT INTO `lang_definitions` VALUES (182958, 7577, 34, 'भुगतान एडजस्टमेंट कोड');
INSERT INTO `lang_definitions` VALUES (182959, 7578, 34, 'के खिलाफ भुगतान');
INSERT INTO `lang_definitions` VALUES (182960, 7579, 34, 'भुगतान राशि');
INSERT INTO `lang_definitions` VALUES (182961, 7580, 34, 'भुगतान राशि संख्यात्मक होनी चाहिए');
INSERT INTO `lang_definitions` VALUES (182962, 7581, 34, 'भुगतान श्रेणी');
INSERT INTO `lang_definitions` VALUES (182963, 7583, 34, 'भुगतान की तिथि');
INSERT INTO `lang_definitions` VALUES (182964, 7584, 34, 'पर भुगतान प्रवेश किया');
INSERT INTO `lang_definitions` VALUES (182965, 7585, 34, 'इससे भुगतान');
INSERT INTO `lang_definitions` VALUES (182966, 7586, 34, 'भुगतान द्वार');
INSERT INTO `lang_definitions` VALUES (182967, 7588, 34, 'भुगतान Ins');
INSERT INTO `lang_definitions` VALUES (182968, 7589, 34, 'भुगतान सूची');
INSERT INTO `lang_definitions` VALUES (182969, 7590, 34, 'भुगतान पद्धति');
INSERT INTO `lang_definitions` VALUES (182970, 7592, 34, 'भुगतान छंटनी करें');
INSERT INTO `lang_definitions` VALUES (182971, 7593, 34, 'भुगतान की स्थिति');
INSERT INTO `lang_definitions` VALUES (182972, 7597, 34, 'भुगतान के प्रकार');
INSERT INTO `lang_definitions` VALUES (182973, 7600, 34, 'कोड के लिए भुगतान मूल्य');
INSERT INTO `lang_definitions` VALUES (182974, 7602, 34, 'भुगतान');
INSERT INTO `lang_definitions` VALUES (182975, 7606, 34, 'PCP');
INSERT INTO `lang_definitions` VALUES (182976, 7607, 34, 'पंक्तियों की pct (%)');
INSERT INTO `lang_definitions` VALUES (182977, 7610, 34, 'PDF');
INSERT INTO `lang_definitions` VALUES (182978, 7614, 34, 'PDF डाउनलोड चयनित वक्तव्य');
INSERT INTO `lang_definitions` VALUES (182979, 7620, 34, 'कमर और कूल्हे');
INSERT INTO `lang_definitions` VALUES (182980, 7621, 34, 'Pemphigus');
INSERT INTO `lang_definitions` VALUES (182981, 7624, 34, 'लंबित');
INSERT INTO `lang_definitions` VALUES (182982, 7629, 34, 'लंबित F / U');
INSERT INTO `lang_definitions` VALUES (182983, 7630, 34, 'लंबित फॉलोअप');
INSERT INTO `lang_definitions` VALUES (182984, 7631, 34, 'परिणाम से फॉलोअप लंबित');
INSERT INTO `lang_definitions` VALUES (182985, 7632, 34, 'लंबित आदेश');
INSERT INTO `lang_definitions` VALUES (182986, 7633, 34, 'लंबित Res');
INSERT INTO `lang_definitions` VALUES (182987, 7634, 34, 'लंबित समीक्षा');
INSERT INTO `lang_definitions` VALUES (182988, 7635, 34, 'लंबित Rx गणना');
INSERT INTO `lang_definitions` VALUES (182989, 7638, 34, 'Pennington फर्म OpenEMR V');
INSERT INTO `lang_definitions` VALUES (182990, 7639, 34, 'पेप्टिक अल्सर रोग');
INSERT INTO `lang_definitions` VALUES (182991, 7640, 34, 'प्रति मुठभेड़');
INSERT INTO `lang_definitions` VALUES (182992, 7641, 34, 'प्रति मिनट');
INSERT INTO `lang_definitions` VALUES (182993, 7642, 34, 'प्रति नथुने');
INSERT INTO `lang_definitions` VALUES (182994, 7643, 34, 'प्रति नथुने');
INSERT INTO `lang_definitions` VALUES (182995, 7644, 34, 'प्रति Oris');
INSERT INTO `lang_definitions` VALUES (182996, 7645, 34, 'प्रति Oris');
INSERT INTO `lang_definitions` VALUES (182997, 7646, 34, 'प्रति मलाशय');
INSERT INTO `lang_definitions` VALUES (182998, 7647, 34, 'प्रति मलाशय');
INSERT INTO `lang_definitions` VALUES (182999, 7648, 34, 'प्रतिशत');
INSERT INTO `lang_definitions` VALUES (183000, 7652, 34, 'प्रतिशतक');
INSERT INTO `lang_definitions` VALUES (183001, 7653, 34, 'छिद्रित दाएँ:');
INSERT INTO `lang_definitions` VALUES (183002, 7654, 34, 'खोज करना');
INSERT INTO `lang_definitions` VALUES (183003, 7655, 34, 'यह क्रिया करें');
INSERT INTO `lang_definitions` VALUES (183004, 7656, 34, 'प्रदर्शन का प्रतिशत');
INSERT INTO `lang_definitions` VALUES (183005, 7659, 34, 'काम कर रही प्रयोगशाला सुविधा');
INSERT INTO `lang_definitions` VALUES (183006, 7661, 34, 'अवधि');
INSERT INTO `lang_definitions` VALUES (183007, 7662, 34, 'दिन में अवधि, जहां एक उपयोगकर्ता समाप्त पासवर्ड के साथ प्रवेश कर सकते हैं.');
INSERT INTO `lang_definitions` VALUES (183008, 7663, 34, 'perioperative देखभाल');
INSERT INTO `lang_definitions` VALUES (183009, 7665, 34, 'परिधीय');
INSERT INTO `lang_definitions` VALUES (183010, 7668, 34, 'अनसाल्टेड पासवर्ड को अनुमति दें');
INSERT INTO `lang_definitions` VALUES (183011, 7669, 34, 'Persian');
INSERT INTO `lang_definitions` VALUES (183012, 7671, 34, 'व्यक्ति');
INSERT INTO `lang_definitions` VALUES (183013, 7672, 34, 'व्यक्तिगत बनाएं');
INSERT INTO `lang_definitions` VALUES (183014, 7675, 34, 'PG');
INSERT INTO `lang_definitions` VALUES (183015, 7676, 34, 'Pharm');
INSERT INTO `lang_definitions` VALUES (183016, 7677, 34, 'Pharm Com गणना');
INSERT INTO `lang_definitions` VALUES (183017, 7678, 34, 'फ़ार्मेसियां');
INSERT INTO `lang_definitions` VALUES (183018, 7680, 34, 'फार्मेसी');
INSERT INTO `lang_definitions` VALUES (183019, 7681, 34, 'फार्मेसी डिस्पेंसरी');
INSERT INTO `lang_definitions` VALUES (183020, 7688, 34, 'Pheumothorax');
INSERT INTO `lang_definitions` VALUES (183021, 7691, 34, 'phiMail संदेश अंतराल की जाँच (मिनट)');
INSERT INTO `lang_definitions` VALUES (183022, 7692, 34, 'phiMail अधिसूचना उपयोगकर्ता');
INSERT INTO `lang_definitions` VALUES (183023, 7693, 34, 'phiMail पारण');
INSERT INTO `lang_definitions` VALUES (183024, 7694, 34, 'phiMail सर्वर पता');
INSERT INTO `lang_definitions` VALUES (183025, 7695, 34, 'phiMail उपयोगकर्ता नाम');
INSERT INTO `lang_definitions` VALUES (183026, 7697, 34, 'फ़ोन');
INSERT INTO `lang_definitions` VALUES (183027, 7699, 34, 'फोन कॉल की सूची');
INSERT INTO `lang_definitions` VALUES (183028, 7701, 34, 'फोन कॉल की सूची की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (183029, 7705, 34, 'फोन प्रवेश द्वार पारण');
INSERT INTO `lang_definitions` VALUES (183030, 7706, 34, 'फोन प्रवेश द्वार URL');
INSERT INTO `lang_definitions` VALUES (183031, 7707, 34, 'फोन प्रवेश द्वार उपयोगकर्ता नाम');
INSERT INTO `lang_definitions` VALUES (183032, 7709, 34, 'फोन अधिसूचना घंटे');
INSERT INTO `lang_definitions` VALUES (183033, 7711, 34, 'फोन नंबर');
INSERT INTO `lang_definitions` VALUES (183034, 7715, 34, 'प्रकाश की असहनीयता');
INSERT INTO `lang_definitions` VALUES (183035, 7716, 34, 'तस्वीरें');
INSERT INTO `lang_definitions` VALUES (183036, 7717, 34, 'PHP संकुचित');
INSERT INTO `lang_definitions` VALUES (183037, 7718, 34, 'PHP CURL मॉड्यूल अपने सर्वर में सक्षम होना चाहिए.');
INSERT INTO `lang_definitions` VALUES (183038, 7720, 34, 'PHP निकाला');
INSERT INTO `lang_definitions` VALUES (183039, 7721, 34, 'PHP-GACL पहुँच नियंत्रण बंद कर दिया हैं');
INSERT INTO `lang_definitions` VALUES (183040, 7722, 34, 'PHP-GACL स्थापित नहीं है');
INSERT INTO `lang_definitions` VALUES (183041, 7723, 34, 'शारीरिक परीक्षा');
INSERT INTO `lang_definitions` VALUES (183042, 7725, 34, 'चिकित्सक अनुरोध');
INSERT INTO `lang_definitions` VALUES (183043, 7726, 34, 'चिकित्सक हस्ताक्षर');
INSERT INTO `lang_definitions` VALUES (183044, 7729, 34, 'चिकित्सक');
INSERT INTO `lang_definitions` VALUES (183045, 7733, 34, 'चुनना');
INSERT INTO `lang_definitions` VALUES (183046, 7734, 34, 'चुनना');
INSERT INTO `lang_definitions` VALUES (183047, 7735, 34, 'एक CSS थीम उठाओ.');
INSERT INTO `lang_definitions` VALUES (183048, 7738, 34, 'PID');
INSERT INTO `lang_definitions` VALUES (183049, 7740, 34, 'PID ​​(श्रोणि सूजन बीमारी)');
INSERT INTO `lang_definitions` VALUES (183050, 7741, 34, 'गोली आकार');
INSERT INTO `lang_definitions` VALUES (183051, 7742, 34, 'गोलियां');
INSERT INTO `lang_definitions` VALUES (183052, 7745, 34, 'संस्थापित का विकल्प चाहत है, तो निम्न निर्देशिका में डेटाबेस ज़िप फ़ाइल रखें');
INSERT INTO `lang_definitions` VALUES (183053, 7746, 34, 'निम्नलिखित निर्देशिका में डाउनलोड किया ICD 10 डेटाबेस ज़िप फाइल रखें');
INSERT INTO `lang_definitions` VALUES (183054, 7747, 34, 'निम्नलिखित निर्देशिका में डाउनलोड किया ICD 9 डेटाबेस ज़िप फ़ाइल रखें');
INSERT INTO `lang_definitions` VALUES (183055, 7748, 34, 'निम्नलिखित निर्देशिका में डाउनलोड किया RxNorm डेटाबेस ज़िप फ़ाइल रखें');
INSERT INTO `lang_definitions` VALUES (183056, 7749, 34, 'निम्नलिखित निर्देशिका में डाउनलोड किया Snomed डेटाबेस ज़िप फ़ाइल रखें');
INSERT INTO `lang_definitions` VALUES (183057, 7752, 34, 'प्लेसहोल्डर');
INSERT INTO `lang_definitions` VALUES (183058, 7753, 34, 'प्लेसहोल्डर (रिक्त ACLs बनाए रखता है)');
INSERT INTO `lang_definitions` VALUES (183059, 7756, 34, 'सादा पाठ');
INSERT INTO `lang_definitions` VALUES (183060, 7757, 34, 'योजना');
INSERT INTO `lang_definitions` VALUES (183061, 7762, 34, 'योजना का नाम');
INSERT INTO `lang_definitions` VALUES (183062, 7768, 34, 'योजना तैयार');
INSERT INTO `lang_definitions` VALUES (183063, 7773, 34, 'योजना:');
INSERT INTO `lang_definitions` VALUES (183064, 7776, 34, 'योजनाएं');
INSERT INTO `lang_definitions` VALUES (183065, 7778, 34, 'खिलाड़ी');
INSERT INTO `lang_definitions` VALUES (183066, 7779, 34, 'खेलने का स्थान');
INSERT INTO `lang_definitions` VALUES (183067, 7780, 34, 'जानकारी के ऊपर किसी भी गलत है, तो कॉल करें');
INSERT INTO `lang_definitions` VALUES (183068, 7784, 34, 'अपना पासवर्ड बदल दें.');
INSERT INTO `lang_definitions` VALUES (183069, 7785, 34, 'एक फ़ाइल का चयन करें');
INSERT INTO `lang_definitions` VALUES (183070, 7786, 34, 'एक रोगी का चयन करें');
INSERT INTO `lang_definitions` VALUES (183071, 7787, 34, 'सूची से एक वैध चयन करें');
INSERT INTO `lang_definitions` VALUES (183072, 7788, 34, 'एक वैध चयन करें');
INSERT INTO `lang_definitions` VALUES (183073, 7789, 34, 'के लिए एक मूल्य का चयन करें');
INSERT INTO `lang_definitions` VALUES (183074, 7790, 34, 'ऊपर तिथि सीमा मापदंड का चयन करें, और परिणाम देखने के लिए ताज़ा बटन क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (183075, 7791, 34, 'उचित स्वरूपित EDI-271 फ़ाइल का चयन करें');
INSERT INTO `lang_definitions` VALUES (183076, 7792, 34, 'De Identification डेटा डाउनलोड करने के लिए डाउनलोड बटन पर क्लिक करें');
INSERT INTO `lang_definitions` VALUES (183077, 7793, 34, 'De Identification डेटा डाउनलोड करने के लिए डाउनलोड बटन पर क्लिक करें');
INSERT INTO `lang_definitions` VALUES (183078, 7795, 34, 'इस विंडो को बंद करें.');
INSERT INTO `lang_definitions` VALUES (183079, 7796, 34, 'नए नाम की तुलना करें');
INSERT INTO `lang_definitions` VALUES (183080, 7803, 34, 'आगे बढ़ने से पहले निम्न निर्देशिका बनाएँ');
INSERT INTO `lang_definitions` VALUES (183081, 7805, 34, 'इस पर्चे को स्वीकार नहीं करें जब तक यह facimile के माध्यम से प्राप्त न किया जाए');
INSERT INTO `lang_definitions` VALUES (183082, 7806, 34, 'इस पर्चे को स्वीकार नहीं करें जब तक यह facsimile के माध्यम से प्राप्त न किया जाए');
INSERT INTO `lang_definitions` VALUES (183083, 7807, 34, 'आपके ब्राउज़र को रोकने या फिर से लोड करने के बटन का उपयोग न करें जब तक इस पेज के चलने के अधिक से अधिक 10 मिनट गुजर जाए, इससे सर्वर प्रक्रिया पर रोक नहीं होगी और uneccesary संसाधनों की खपत नहीं होगी.');
INSERT INTO `lang_definitions` VALUES (183084, 7808, 34, 'CURL विस्तार सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (183085, 7809, 34, 'OPENSSL विस्तार सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (183086, 7810, 34, 'SOAP विस्तार सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (183087, 7811, 34, 'Xml एक्सटेंशन सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (183088, 7813, 34, 'अंतिम समीक्षा के लिए एक तिथि दर्ज करें.');
INSERT INTO `lang_definitions` VALUES (183089, 7814, 34, 'एक तिथि दर्ज करें.');
INSERT INTO `lang_definitions` VALUES (183090, 7816, 34, 'एक देय तारीख दर्ज करें');
INSERT INTO `lang_definitions` VALUES (183091, 7818, 34, 'एक संदेश दर्ज करें');
INSERT INTO `lang_definitions` VALUES (183092, 7819, 34, 'संख्या और एक दशमलव बिंदु उपयोग कर के एक मौद्रिक राशि दर्ज करें.');
INSERT INTO `lang_definitions` VALUES (183093, 7821, 34, 'एक नया पासवर्ड दर्ज करें');
INSERT INTO `lang_definitions` VALUES (183094, 7822, 34, 'एक शीर्षक दर्ज करें!');
INSERT INTO `lang_definitions` VALUES (183095, 7824, 34, 'ऊपर एक वैध प्रत्यक्ष पता दाखिल करें.');
INSERT INTO `lang_definitions` VALUES (183096, 7828, 34, 'सही Re Identification कोड दर्ज करें');
INSERT INTO `lang_definitions` VALUES (183097, 7832, 34, 'नई खोज स्ट्रिंग दर्ज करें');
INSERT INTO `lang_definitions` VALUES (183098, 7833, 34, 'सही Re Identification कोड दर्ज करें');
INSERT INTO `lang_definitions` VALUES (183099, 7834, 34, 'पासवर्ड दर्ज करें');
INSERT INTO `lang_definitions` VALUES (183100, 7843, 34, 'चेक संख्या भरें');
INSERT INTO `lang_definitions` VALUES (183101, 7844, 34, 'चेक / रेफरी संख्या भरें');
INSERT INTO `lang_definitions` VALUES (183102, 7845, 34, 'तिथि भरें');
INSERT INTO `lang_definitions` VALUES (183103, 7846, 34, 'भुगतान राशि भरें');
INSERT INTO `lang_definitions` VALUES (183104, 7847, 34, 'भुगतान श्रेणी भरें');
INSERT INTO `lang_definitions` VALUES (183105, 7848, 34, 'इससे भुगतान भरें');
INSERT INTO `lang_definitions` VALUES (183106, 7849, 34, 'तिथि तक पोस्ट भरें');
INSERT INTO `lang_definitions` VALUES (183107, 7850, 34, 'जारी रखने से पहले उन्हें भरें.');
INSERT INTO `lang_definitions` VALUES (183108, 7854, 34, 'कृपया दौरे कारण बताएं');
INSERT INTO `lang_definitions` VALUES (183109, 7855, 34, 'कृपया ऊपर खोज मापदंड भरें, और रिपोर्ट शुरू करने के लिए सबमिट क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (183110, 7856, 34, 'कृपया ऊपर खोज मापदंड भरें, और परिणाम देखने के लिए सबमिट क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (183111, 7857, 34, 'कृपया ऊपर खोज मापदंड भरें, और परिणाम देखने के लिए सबमिट क्लिक करें. (परिणाम एक पॉप अप विंडो में प्रदर्शित किया जाएगा)');
INSERT INTO `lang_definitions` VALUES (183112, 7858, 34, 'फिर से लॉगिन करें.');
INSERT INTO `lang_definitions` VALUES (183113, 7859, 34, 'Please note that this can take a very long time, up to several minutes, your web browser may not appear very active during this time but generating a bill is a complicated process and your web browser is merely waiting for more information.');
INSERT INTO `lang_definitions` VALUES (183114, 7860, 34, 'कृपया ध्यान दें: स्थिरांक, केस संवेदनशील है और कोई भी स्ट्रिंग की अनुमति दी गई है.');
INSERT INTO `lang_definitions` VALUES (183115, 7861, 34, 'केवल वर्णमाला के अक्षरों का प्रयोग करें');
INSERT INTO `lang_definitions` VALUES (183116, 7862, 34, 'केवल बिना रिक्त स्थान के वर्णमाला के अक्षरों का प्रयोग करें');
INSERT INTO `lang_definitions` VALUES (183117, 7863, 34, 'इस राशि का भुगतान करें');
INSERT INTO `lang_definitions` VALUES (183118, 7864, 34, 'अपने स्थापित फाइलें निम्न निर्देशिका में रखें');
INSERT INTO `lang_definitions` VALUES (183119, 7867, 34, 'कृपया देखें');
INSERT INTO `lang_definitions` VALUES (183120, 7868, 34, 'पासवर्ड रीसेट करें.');
INSERT INTO `lang_definitions` VALUES (183121, 7869, 34, 'De-identification को चलने से पहले अपाचे सर्वर को पुनः प्रारंभ करें');
INSERT INTO `lang_definitions` VALUES (183122, 7875, 34, 'कृपया चुनें');
INSERT INTO `lang_definitions` VALUES (183123, 7877, 34, 'एक भाषा का चयन करें');
INSERT INTO `lang_definitions` VALUES (183124, 7878, 34, 'एक रोगी का चयन करें.');
INSERT INTO `lang_definitions` VALUES (183125, 7879, 34, 'Please select a Primary Business Entity facility with \'Tax ID\' as your facility Tax ID. If you are an individual practitioner, use your tax id. This is used for identifying you in the NewCrop system.');
INSERT INTO `lang_definitions` VALUES (183126, 7882, 34, 'कृपया एक प्राप्तकर्ता का चयन करें');
INSERT INTO `lang_definitions` VALUES (183127, 7884, 34, 'एक प्रारंभ तिथि और समाप्ति तिथि का चयन करें');
INSERT INTO `lang_definitions` VALUES (183128, 7885, 34, 'एक वैध प्राप्तकर्ता का चयन करें');
INSERT INTO `lang_definitions` VALUES (183129, 7888, 34, 'कोड के लिए एक समायोजन कारण का चयन करें');
INSERT INTO `lang_definitions` VALUES (183130, 7889, 34, 'एक घटना का चयन करें');
INSERT INTO `lang_definitions` VALUES (183131, 7891, 34, 'कोई भी खोज विकल्प चुनें.');
INSERT INTO `lang_definitions` VALUES (183132, 7894, 34, 'कम से कम एक पर्चे का चयन करें!');
INSERT INTO `lang_definitions` VALUES (183133, 7899, 34, 'कॉपी या अग्रेषित करने के लिए वांछित पृष्ठों का चयन करें:');
INSERT INTO `lang_definitions` VALUES (183134, 7900, 34, 'कृपया भुगतान पद्धति का चयन करें');
INSERT INTO `lang_definitions` VALUES (183135, 7903, 34, 'भुगतान के प्रकार का चयन करें.');
INSERT INTO `lang_definitions` VALUES (183136, 7905, 34, '270 बैच बनाने के लिए आवश्यक X12 साथी, का चयन करें');
INSERT INTO `lang_definitions` VALUES (183137, 7906, 34, 'सेट करें');
INSERT INTO `lang_definitions` VALUES (183138, 7907, 34, 'de_identification_config चर को वापस शून्य पर सेट करें');
INSERT INTO `lang_definitions` VALUES (183139, 7910, 34, 'नई De Identification प्रक्रिया शुरू करें');
INSERT INTO `lang_definitions` VALUES (183140, 7913, 34, 'De Identification प्रक्रियाओं, समारोह, टेबल शामिल करने के लिए OpenEMR डाटाबेस अपग्रेड करें');
INSERT INTO `lang_definitions` VALUES (183141, 7915, 34, 'अधिक जानकारी के लिए De Identification त्रुटि लॉग तालिका देखें');
INSERT INTO `lang_definitions` VALUES (183142, 7916, 34, 'कुछ समय के बाद De Identification स्क्रीन पर जाएँ');
INSERT INTO `lang_definitions` VALUES (183143, 7917, 34, 'कुछ समय बाद De Identification स्क्रीन पर जाएँ');
INSERT INTO `lang_definitions` VALUES (183144, 7918, 34, 'कुछ समय के बाद स्क्रीन पर जाएँ');
INSERT INTO `lang_definitions` VALUES (183145, 7922, 34, 'बहुवचन');
INSERT INTO `lang_definitions` VALUES (183146, 7926, 34, 'PM');
INSERT INTO `lang_definitions` VALUES (183147, 7927, 34, 'PM कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (183148, 7933, 34, 'PMT विधि');
INSERT INTO `lang_definitions` VALUES (183149, 7934, 34, 'PND');
INSERT INTO `lang_definitions` VALUES (183150, 7935, 34, 'न्यूमोकोकल संयुग्म 1');
INSERT INTO `lang_definitions` VALUES (183151, 7936, 34, 'न्यूमोकोकल संयुग्म 2');
INSERT INTO `lang_definitions` VALUES (183152, 7937, 34, 'न्यूमोकोकल संयुग्म 3');
INSERT INTO `lang_definitions` VALUES (183153, 7938, 34, 'न्यूमोकोकल संयुग्म 4');
INSERT INTO `lang_definitions` VALUES (183154, 7939, 34, 'न्यूमोकोकल टीका');
INSERT INTO `lang_definitions` VALUES (183155, 7940, 34, 'निमोनिया टीकाकरण');
INSERT INTO `lang_definitions` VALUES (183156, 7941, 34, 'पुराने वयस्कों के लिए निमोनिया टीकाकरण की स्थिति');
INSERT INTO `lang_definitions` VALUES (183157, 7942, 34, 'पुराने वयस्कों के लिए निमोनिया टीकाकरण की स्थिति (CQM)');
INSERT INTO `lang_definitions` VALUES (183158, 7943, 34, 'Podiatric');
INSERT INTO `lang_definitions` VALUES (183159, 7946, 34, 'सेवा के बिंदु (पीओएस)');
INSERT INTO `lang_definitions` VALUES (183160, 7947, 34, 'पॉलिसी');
INSERT INTO `lang_definitions` VALUES (183161, 7950, 34, 'पॉलिसी No');
INSERT INTO `lang_definitions` VALUES (183162, 7951, 34, 'पॉलिसी नंबर');
INSERT INTO `lang_definitions` VALUES (183163, 7952, 34, 'पोलिश देश');
INSERT INTO `lang_definitions` VALUES (183164, 7953, 34, 'Polydypsia');
INSERT INTO `lang_definitions` VALUES (183165, 7955, 34, 'polyps');
INSERT INTO `lang_definitions` VALUES (183166, 7956, 34, 'बहुमूत्रता');
INSERT INTO `lang_definitions` VALUES (183167, 7957, 34, 'कमजोर भूख');
INSERT INTO `lang_definitions` VALUES (183168, 7958, 34, 'कमजोर वितरण');
INSERT INTO `lang_definitions` VALUES (183169, 7959, 34, 'कमजोर सुनवाई');
INSERT INTO `lang_definitions` VALUES (183170, 7962, 34, 'इन रिपोर्टों को देखने के लिए पॉप अप सक्रिय होने की जरूरत');
INSERT INTO `lang_definitions` VALUES (183171, 7964, 34, 'घटनाओं के साथ वर्ष दिखाएं?');
INSERT INTO `lang_definitions` VALUES (183172, 7965, 34, 'पॉपअप');
INSERT INTO `lang_definitions` VALUES (183173, 7967, 34, 'पोर्टल');
INSERT INTO `lang_definitions` VALUES (183174, 7969, 34, 'पोर्टल गतिविधि');
INSERT INTO `lang_definitions` VALUES (183175, 7985, 34, 'पुर्तगाली');
INSERT INTO `lang_definitions` VALUES (183176, 7987, 34, 'पुर्तगाली (ब्राजील)');
INSERT INTO `lang_definitions` VALUES (183177, 7988, 34, 'पुर्तगाली (यूरोपीय)');
INSERT INTO `lang_definitions` VALUES (183178, 7989, 34, 'POS कोड');
INSERT INTO `lang_definitions` VALUES (183179, 7992, 34, 'सकारात्मक');
INSERT INTO `lang_definitions` VALUES (183180, 7993, 34, 'सकारात्मक');
INSERT INTO `lang_definitions` VALUES (183181, 7996, 34, 'के लिए पोस्ट');
INSERT INTO `lang_definitions` VALUES (183182, 7998, 34, 'नाक ड्रिप');
INSERT INTO `lang_definitions` VALUES (183183, 8000, 34, 'पोस्ट भुगतान');
INSERT INTO `lang_definitions` VALUES (183184, 8001, 34, 'सर्जरी के बाद');
INSERT INTO `lang_definitions` VALUES (183185, 8002, 34, 'बिल भेजा के रूप में लेखा और मार्क को पोस्ट');
INSERT INTO `lang_definitions` VALUES (183186, 8003, 34, 'तिथि तक पोस्ट');
INSERT INTO `lang_definitions` VALUES (183187, 8004, 34, 'तिथि तक पोस्ट आज की तुलना में अधिक नहीं हो सकता');
INSERT INTO `lang_definitions` VALUES (183188, 8006, 34, 'तिथि तक पोस्ट वित्तीय समाप्ति तिथि से बड़ा होना चाहिए.');
INSERT INTO `lang_definitions` VALUES (183189, 8007, 34, 'गर्भपात के बाद की देखभाल');
INSERT INTO `lang_definitions` VALUES (183190, 8008, 34, 'गर्भपात के बाद गर्भनिरोध');
INSERT INTO `lang_definitions` VALUES (183191, 8009, 34, 'गर्भपात के बाद परामर्श');
INSERT INTO `lang_definitions` VALUES (183192, 8010, 34, 'गर्भपात के बाद फॉलोअप');
INSERT INTO `lang_definitions` VALUES (183193, 8011, 34, 'डाक का');
INSERT INTO `lang_definitions` VALUES (183194, 8012, 34, 'पोस्टल कोड');
INSERT INTO `lang_definitions` VALUES (183195, 8013, 34, 'पोस्टल कोड');
INSERT INTO `lang_definitions` VALUES (183196, 8015, 34, 'PostCalendar');
INSERT INTO `lang_definitions` VALUES (183197, 8016, 34, 'PostCalendar प्रशासन');
INSERT INTO `lang_definitions` VALUES (183198, 8017, 34, 'PostCalendar श्रेणी सेटिंग्स');
INSERT INTO `lang_definitions` VALUES (183199, 8018, 34, 'PostCalendar वैश्विक सेटिंग्स');
INSERT INTO `lang_definitions` VALUES (183200, 8023, 34, 'पर पोस्ट किया');
INSERT INTO `lang_definitions` VALUES (183201, 8026, 34, 'पोस्टिंग तिथि');
INSERT INTO `lang_definitions` VALUES (183202, 8032, 34, 'द्वारा संचालित');
INSERT INTO `lang_definitions` VALUES (183203, 8033, 34, 'PPE + पिछला Med / सर्जन Hx');
INSERT INTO `lang_definitions` VALUES (183204, 8034, 34, 'PQRI');
INSERT INTO `lang_definitions` VALUES (183205, 8035, 34, 'PQRI रजिस्ट्री ID');
INSERT INTO `lang_definitions` VALUES (183206, 8036, 34, 'PQRI रजिस्ट्री नाम');
INSERT INTO `lang_definitions` VALUES (183207, 8037, 34, 'प्रैक्टिस');
INSERT INTO `lang_definitions` VALUES (183208, 8038, 34, 'प्रैक्टिस डिफ़ॉल्ट सेटिंग');
INSERT INTO `lang_definitions` VALUES (183209, 8039, 34, 'अभ्यास सेटिंग');
INSERT INTO `lang_definitions` VALUES (183210, 8041, 34, 'व्यवसायी');
INSERT INTO `lang_definitions` VALUES (183211, 8043, 34, 'पूर्व भुगतान');
INSERT INTO `lang_definitions` VALUES (183212, 8044, 34, 'पूर्व भुगतान');
INSERT INTO `lang_definitions` VALUES (183213, 8045, 34, 'पूर्व गर्भपात परामर्श');
INSERT INTO `lang_definitions` VALUES (183214, 8046, 34, 'पूर्व गर्भपात परामर्श');
INSERT INTO `lang_definitions` VALUES (183215, 8048, 34, 'pref Cat');
INSERT INTO `lang_definitions` VALUES (183216, 8050, 34, 'प्राथमिकताएं');
INSERT INTO `lang_definitions` VALUES (183217, 8052, 34, 'पसंदीदा इवेंट श्रेणी');
INSERT INTO `lang_definitions` VALUES (183218, 8053, 34, 'पसंदीदा भाषा');
INSERT INTO `lang_definitions` VALUES (183219, 8054, 34, 'पसंदीदा फार्मेसी');
INSERT INTO `lang_definitions` VALUES (183220, 8055, 34, 'पसंदीदा प्रदाता संगठन (पी.पी.ओ.)');
INSERT INTO `lang_definitions` VALUES (183221, 8056, 34, 'preg टेस्ट');
INSERT INTO `lang_definitions` VALUES (183222, 8057, 34, 'प्रारंभिक');
INSERT INTO `lang_definitions` VALUES (183223, 8058, 34, 'रिपोर्ट चलाने की तैयारी');
INSERT INTO `lang_definitions` VALUES (183224, 8059, 34, 'पूर्व भुगतान');
INSERT INTO `lang_definitions` VALUES (183225, 8061, 34, 'पर्चे');
INSERT INTO `lang_definitions` VALUES (183226, 8063, 34, 'पर्चे की अपनी सीमा तक पहुँच गया है');
INSERT INTO `lang_definitions` VALUES (183227, 8064, 34, 'पर्चे का इतिहास');
INSERT INTO `lang_definitions` VALUES (183228, 8065, 34, 'पर्चे का इतिहास आयात सफलतापूर्वक पूरा');
INSERT INTO `lang_definitions` VALUES (183229, 8066, 34, 'पर्चे लेबल');
INSERT INTO `lang_definitions` VALUES (183230, 8067, 34, 'पर्चे की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (183231, 8070, 34, 'पर्चे');
INSERT INTO `lang_definitions` VALUES (183232, 8073, 34, 'पर्चे और बांटना');
INSERT INTO `lang_definitions` VALUES (183233, 8074, 34, 'पर्चे और अन्य रेफरल');
INSERT INTO `lang_definitions` VALUES (183234, 8075, 34, 'विशेषज्ञ द्वारा पर्चे और / या रेफरल');
INSERT INTO `lang_definitions` VALUES (183235, 8076, 34, 'पर्चे की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (183236, 8077, 34, 'पर्चे / सिफ़ारिशों की');
INSERT INTO `lang_definitions` VALUES (183237, 8078, 34, 'वर्तमान');
INSERT INTO `lang_definitions` VALUES (183238, 8079, 34, 'पेश शिकायत');
INSERT INTO `lang_definitions` VALUES (183239, 8080, 34, 'पेश समस्या (ओं)');
INSERT INTO `lang_definitions` VALUES (183240, 8081, 34, 'दबाएँ आगे बढ़ने के लिए जारी');
INSERT INTO `lang_definitions` VALUES (183241, 8084, 34, 'प्रकल्पित निदान');
INSERT INTO `lang_definitions` VALUES (183242, 8085, 34, 'विशेषज्ञ द्वारा परिकल्पित निदान');
INSERT INTO `lang_definitions` VALUES (183243, 8086, 34, 'पिछला');
INSERT INTO `lang_definitions` VALUES (183244, 8087, 34, 'पिछला Med / Surg Hx');
INSERT INTO `lang_definitions` VALUES (183245, 8088, 34, 'पिछला. माह (मेनू के लिए पकड़)');
INSERT INTO `lang_definitions` VALUES (183246, 8089, 34, 'पिछला. वर्ष (मेनू के लिए पकड़)');
INSERT INTO `lang_definitions` VALUES (183247, 8091, 34, 'निरोधक देखभाल');
INSERT INTO `lang_definitions` VALUES (183248, 8094, 34, 'पूर्वावलोकन इवेंट');
INSERT INTO `lang_definitions` VALUES (183249, 8097, 34, 'का पूर्वावलोकन');
INSERT INTO `lang_definitions` VALUES (183250, 8098, 34, 'पिछला');
INSERT INTO `lang_definitions` VALUES (183251, 8099, 34, 'पिछले परामर्श');
INSERT INTO `lang_definitions` VALUES (183252, 8100, 34, 'पिछले दिन');
INSERT INTO `lang_definitions` VALUES (183253, 8102, 34, 'पिछले इतिहास / स्क्रीनिंग');
INSERT INTO `lang_definitions` VALUES (183254, 8103, 34, 'पिछले माह');
INSERT INTO `lang_definitions` VALUES (183255, 8104, 34, 'पिछला सप्ताह');
INSERT INTO `lang_definitions` VALUES (183256, 8105, 34, 'कीमत');
INSERT INTO `lang_definitions` VALUES (183257, 8108, 34, 'कीमत छूट');
INSERT INTO `lang_definitions` VALUES (183258, 8109, 34, 'कीमत स्तर');
INSERT INTO `lang_definitions` VALUES (183259, 8111, 34, 'कीमत स्तर:');
INSERT INTO `lang_definitions` VALUES (183260, 8113, 34, 'कीमतें');
INSERT INTO `lang_definitions` VALUES (183261, 8114, 34, 'प्राथमिक');
INSERT INTO `lang_definitions` VALUES (183262, 8115, 34, 'प्राथमिक व्यापार इकाई');
INSERT INTO `lang_definitions` VALUES (183263, 8116, 34, 'प्राथमिक व्यापार इकाई कर आईडी NewCrop ePrescription के लिए खाता आईडी के रूप में प्रयोग किया जाता है. सुविधा को बदलना NewCrop के कार्यकरण को प्रभावित करेगा.');
INSERT INTO `lang_definitions` VALUES (183264, 8125, 34, 'प्राथमिक इन्स');
INSERT INTO `lang_definitions` VALUES (183265, 8126, 34, 'प्राथमिक बीमा');
INSERT INTO `lang_definitions` VALUES (183266, 8127, 34, 'प्राथमिक बीमा डाटा');
INSERT INTO `lang_definitions` VALUES (183267, 8128, 34, 'प्राथमिक बीमा प्रदाता');
INSERT INTO `lang_definitions` VALUES (183268, 8129, 34, 'प्राथमिक प्रदाता');
INSERT INTO `lang_definitions` VALUES (183269, 8130, 34, 'छापें');
INSERT INTO `lang_definitions` VALUES (183270, 8131, 34, 'छापें (HTML)');
INSERT INTO `lang_definitions` VALUES (183271, 8132, 34, 'छापें (PDF)');
INSERT INTO `lang_definitions` VALUES (183272, 8134, 34, 'कोई भी मुठभेड़ छापें');
INSERT INTO `lang_definitions` VALUES (183273, 8135, 34, 'खाली रेफरल प्रपत्र छापें');
INSERT INTO `lang_definitions` VALUES (183274, 8136, 34, 'आदेश छापें');
INSERT INTO `lang_definitions` VALUES (183275, 8138, 34, 'तिथि छापें');
INSERT INTO `lang_definitions` VALUES (183276, 8143, 34, 'सरूप छापें');
INSERT INTO `lang_definitions` VALUES (183277, 8144, 34, 'चार कक्ष छापें');
INSERT INTO `lang_definitions` VALUES (183278, 8147, 34, 'संदेश छापें');
INSERT INTO `lang_definitions` VALUES (183279, 8148, 34, 'अनेक छापें');
INSERT INTO `lang_definitions` VALUES (183280, 8149, 34, 'फैक्स करने के लिए अनेक प्रिंट');
INSERT INTO `lang_definitions` VALUES (183281, 8150, 34, 'नाम, हस्ताक्षर और तिथि छापें.');
INSERT INTO `lang_definitions` VALUES (183282, 8151, 34, 'नोट्स छापें');
INSERT INTO `lang_definitions` VALUES (183283, 8152, 34, 'पृष्ठ 1 छापें');
INSERT INTO `lang_definitions` VALUES (183284, 8153, 34, 'पृष्ठ 2 छापें');
INSERT INTO `lang_definitions` VALUES (183285, 8156, 34, 'प्रदाता द्वारा प्राप्तियां छापें');
INSERT INTO `lang_definitions` VALUES (183286, 8157, 34, 'अभिलेख छापें');
INSERT INTO `lang_definitions` VALUES (183287, 8163, 34, 'चयनित वक्तव्य छापें');
INSERT INTO `lang_definitions` VALUES (183288, 8164, 34, 'शॉट रिकॉर्ड छापें');
INSERT INTO `lang_definitions` VALUES (183289, 8166, 34, 'यह मुठभेड़ छापें');
INSERT INTO `lang_definitions` VALUES (183290, 8168, 34, 'यह टिप्पणी छापें');
INSERT INTO `lang_definitions` VALUES (183291, 8169, 34, 'यह टिप्पणी छापें');
INSERT INTO `lang_definitions` VALUES (183292, 8171, 34, 'फैक्स करने के लिए छापें');
INSERT INTO `lang_definitions` VALUES (183293, 8172, 34, 'दृश्य छापें');
INSERT INTO `lang_definitions` VALUES (183294, 8173, 34, 'छापने योग्य');
INSERT INTO `lang_definitions` VALUES (183295, 8174, 34, 'छापने योग्य संस्करण');
INSERT INTO `lang_definitions` VALUES (183296, 8175, 34, 'छपी');
INSERT INTO `lang_definitions` VALUES (183297, 8178, 34, 'छपाई परिणाम:');
INSERT INTO `lang_definitions` VALUES (183298, 8179, 34, 'छपाई छोड़ दिया; में परीक्षण उत्पादन देखें');
INSERT INTO `lang_definitions` VALUES (183299, 8180, 34, 'छपाई छोड़ दिया; में परीक्षण उत्पादन देखें');
INSERT INTO `lang_definitions` VALUES (183300, 8182, 34, 'पूर्व प्राधिकरण');
INSERT INTO `lang_definitions` VALUES (183301, 8184, 34, 'पूर्व प्राधिकरण प्रपत्र');
INSERT INTO `lang_definitions` VALUES (183302, 8189, 34, 'पूर्व भेंट');
INSERT INTO `lang_definitions` VALUES (183303, 8191, 34, 'प्राथमिकता');
INSERT INTO `lang_definitions` VALUES (183304, 8192, 34, 'प्राथमिकता');
INSERT INTO `lang_definitions` VALUES (183305, 8196, 34, 'निजी');
INSERT INTO `lang_definitions` VALUES (183306, 8197, 34, 'समस्या');
INSERT INTO `lang_definitions` VALUES (183307, 8198, 34, 'समस्या DX');
INSERT INTO `lang_definitions` VALUES (183308, 8199, 34, 'समस्या सूची');
INSERT INTO `lang_definitions` VALUES (183309, 8202, 34, 'समस्याओं / मुद्दों');
INSERT INTO `lang_definitions` VALUES (183310, 8203, 34, 'Proc Bat');
INSERT INTO `lang_definitions` VALUES (183311, 8204, 34, 'Proc Cat');
INSERT INTO `lang_definitions` VALUES (183312, 8205, 34, 'Proc Load');
INSERT INTO `lang_definitions` VALUES (183313, 8206, 34, 'Proc Pending Rev');
INSERT INTO `lang_definitions` VALUES (183314, 8207, 34, 'Proc Prov');
INSERT INTO `lang_definitions` VALUES (183315, 8208, 34, 'Proc Res');
INSERT INTO `lang_definitions` VALUES (183316, 8209, 34, 'प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (183317, 8210, 34, 'प्रक्रिया शारीरिक साइटें');
INSERT INTO `lang_definitions` VALUES (183318, 8212, 34, 'प्रक्रिया बूलियन परिणाम');
INSERT INTO `lang_definitions` VALUES (183319, 8214, 34, 'प्रक्रिया संहिता');
INSERT INTO `lang_definitions` VALUES (183320, 8215, 34, 'प्रक्रिया संहिता');
INSERT INTO `lang_definitions` VALUES (183321, 8216, 34, 'प्रक्रिया Lateralities');
INSERT INTO `lang_definitions` VALUES (183322, 8218, 34, 'प्रक्रिया का नाम');
INSERT INTO `lang_definitions` VALUES (183323, 8220, 34, 'प्रक्रिया आदेश');
INSERT INTO `lang_definitions` VALUES (183324, 8221, 34, 'प्रक्रिया आदेश');
INSERT INTO `lang_definitions` VALUES (183325, 8223, 34, 'के लिए प्रक्रिया आदेश');
INSERT INTO `lang_definitions` VALUES (183326, 8226, 34, 'प्रक्रिया के आदेश और रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (183327, 8227, 34, 'प्रक्रिया पिकर');
INSERT INTO `lang_definitions` VALUES (183328, 8228, 34, 'प्रक्रिया प्रदाता');
INSERT INTO `lang_definitions` VALUES (183329, 8229, 34, 'प्रक्रिया प्रदाता');
INSERT INTO `lang_definitions` VALUES (183330, 8231, 34, 'प्रक्रिया प्रदाता');
INSERT INTO `lang_definitions` VALUES (183331, 8232, 34, 'प्रक्रिया की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (183332, 8235, 34, 'प्रक्रिया रिपोर्ट की स्थितियां');
INSERT INTO `lang_definitions` VALUES (183333, 8237, 34, 'असामान्य प्रक्रिया रिजल्ट');
INSERT INTO `lang_definitions` VALUES (183334, 8238, 34, 'प्रक्रिया नतीजे की स्थितियां');
INSERT INTO `lang_definitions` VALUES (183335, 8240, 34, 'प्रक्रिया का परिणाम');
INSERT INTO `lang_definitions` VALUES (183336, 8241, 34, 'प्रक्रिया मार्ग');
INSERT INTO `lang_definitions` VALUES (183337, 8243, 34, 'प्रक्रिया नमूना प्रकार');
INSERT INTO `lang_definitions` VALUES (183338, 8245, 34, 'प्रक्रिया सांख्यिकी रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (183339, 8248, 34, 'प्रक्रिया के प्रकार');
INSERT INTO `lang_definitions` VALUES (183340, 8249, 34, 'प्रक्रिया के प्रकार');
INSERT INTO `lang_definitions` VALUES (183341, 8251, 34, 'प्रक्रिया इकाइयां');
INSERT INTO `lang_definitions` VALUES (183342, 8253, 34, 'प्रक्रिया / सेवा');
INSERT INTO `lang_definitions` VALUES (183343, 8254, 34, 'प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (183344, 8256, 34, 'की प्रक्रिया करें');
INSERT INTO `lang_definitions` VALUES (183345, 8257, 34, 'प्रक्रिया करें और अनुस्मारक भेजें');
INSERT INTO `lang_definitions` VALUES (183346, 8258, 34, 'ERA फ़ाइल की प्रक्रिया करें');
INSERT INTO `lang_definitions` VALUES (183347, 8260, 34, 'CSV रिकॉर्ड के लिए नई फ़ाइलों की प्रक्रिया करें');
INSERT INTO `lang_definitions` VALUES (183348, 8261, 34, 'अनुस्मारक की प्रक्रिया करें');
INSERT INTO `lang_definitions` VALUES (183349, 8262, 34, 'इस प्रक्रिया में कुछ समय लगता है');
INSERT INTO `lang_definitions` VALUES (183350, 8263, 34, 'प्रक्रिया किया');
INSERT INTO `lang_definitions` VALUES (183351, 8264, 34, 'द्वारा प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (183352, 8265, 34, 'प्रक्रिया तिथि');
INSERT INTO `lang_definitions` VALUES (183353, 8266, 34, 'सफलतापूर्वक प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (183354, 8267, 34, 'प्रक्रिया कर रहा है');
INSERT INTO `lang_definitions` VALUES (183355, 8268, 34, 'प्रक्रिया कर रहा है और रोगी अनुस्मारक भेज रहा है');
INSERT INTO `lang_definitions` VALUES (183356, 8271, 34, 'रोगी अनुस्मारक प्रक्रिया कर रहा है');
INSERT INTO `lang_definitions` VALUES (183357, 8272, 34, 'प्रक्रिया समय');
INSERT INTO `lang_definitions` VALUES (183358, 8274, 34, 'उत्पाद');
INSERT INTO `lang_definitions` VALUES (183359, 8276, 34, 'उत्पाद गर्भनिरोधक विधि');
INSERT INTO `lang_definitions` VALUES (183360, 8278, 34, 'उत्पादन');
INSERT INTO `lang_definitions` VALUES (183361, 8279, 34, 'उत्पाद');
INSERT INTO `lang_definitions` VALUES (183362, 8280, 34, 'उत्पाद लेकिन कोई दवाओं का सेवन नहीं और कोई टेम्पलेट्स नहीं');
INSERT INTO `lang_definitions` VALUES (183363, 8282, 34, 'प्रोफेसर');
INSERT INTO `lang_definitions` VALUES (183364, 8290, 34, 'प्रगति नोट्स');
INSERT INTO `lang_definitions` VALUES (183365, 8295, 34, 'प्रोस्टेट कैंसर');
INSERT INTO `lang_definitions` VALUES (183366, 8296, 34, 'प्रोस्टेट कैंसर स्क्रीनिंग');
INSERT INTO `lang_definitions` VALUES (183367, 8297, 34, 'प्रोस्टेट परीक्षा');
INSERT INTO `lang_definitions` VALUES (183368, 8298, 34, 'प्रोस्टेट की समस्याएं');
INSERT INTO `lang_definitions` VALUES (183369, 8299, 34, 'प्रोस्टेट w/o enlrgmt, पिंड, tender');
INSERT INTO `lang_definitions` VALUES (183370, 8302, 34, 'प्रोटोकॉल');
INSERT INTO `lang_definitions` VALUES (183371, 8304, 34, 'पूर्ण पथ प्रदान करें');
INSERT INTO `lang_definitions` VALUES (183372, 8305, 34, 'फ़ाइल का पूर्ण पथ प्रदान करें');
INSERT INTO `lang_definitions` VALUES (183373, 8309, 34, 'प्रत्येक कार्यालय के दौरे के लिए रोगियों को नैदानिक ​​सारांश प्रदान प्रदान करें.');
INSERT INTO `lang_definitions` VALUES (183374, 8311, 34, 'Provide patients with an electronic copy of their health information (including diagnostic test results, problem list, medication lists, medication allergies), upon request.');
INSERT INTO `lang_definitions` VALUES (183375, 8312, 34, 'Provide patients with timely electronic access to their health information (including lab results, problem list, medication lists, medication allergies) within four business days of the information being available to the EP.');
INSERT INTO `lang_definitions` VALUES (183376, 8313, 34, 'यात्रा के लिए रोगी को रिकॉर्ड प्रदान करें');
INSERT INTO `lang_definitions` VALUES (183377, 8315, 34, 'मान्य ईमेल पता प्रदान करें');
INSERT INTO `lang_definitions` VALUES (183378, 8316, 34, 'क्लीनिकल सारांश प्रदान की?');
INSERT INTO `lang_definitions` VALUES (183379, 8317, 34, 'शिक्षा संसाधन प्रदान की?');
INSERT INTO `lang_definitions` VALUES (183380, 8318, 34, 'प्रदाता');
INSERT INTO `lang_definitions` VALUES (183381, 8322, 34, 'प्रदाता Id');
INSERT INTO `lang_definitions` VALUES (183382, 8323, 34, 'प्रदाता ID');
INSERT INTO `lang_definitions` VALUES (183383, 8324, 34, 'निर्दिष्ट सुविधा प्रदाता ID');
INSERT INTO `lang_definitions` VALUES (183384, 8325, 34, 'प्रदाता मिलान त्रुटियाँ');
INSERT INTO `lang_definitions` VALUES (183385, 8330, 34, 'प्रदाता संख्या');
INSERT INTO `lang_definitions` VALUES (183386, 8333, 34, 'प्रदाता रिश्ता');
INSERT INTO `lang_definitions` VALUES (183387, 8336, 34, 'प्रदाता:');
INSERT INTO `lang_definitions` VALUES (183388, 8337, 34, 'प्रदाता');
INSERT INTO `lang_definitions` VALUES (183389, 8338, 34, 'प्रदाता NPI');
INSERT INTO `lang_definitions` VALUES (183390, 8339, 34, 'प्रदाता पूरा कैलेंडर देखें');
INSERT INTO `lang_definitions` VALUES (183391, 8341, 34, 'prv');
INSERT INTO `lang_definitions` VALUES (183392, 8342, 34, 'PSA');
INSERT INTO `lang_definitions` VALUES (183393, 8343, 34, 'सोरायसिस');
INSERT INTO `lang_definitions` VALUES (183394, 8345, 34, 'मनोवैज्ञानिक निदान');
INSERT INTO `lang_definitions` VALUES (183395, 8346, 34, 'मनोवैज्ञानिक दवा');
INSERT INTO `lang_definitions` VALUES (183396, 8347, 34, 'मानसिक रोगों का');
INSERT INTO `lang_definitions` VALUES (183397, 8348, 34, 'मनोरोग संक्षिप्त पत्र');
INSERT INTO `lang_definitions` VALUES (183398, 8349, 34, 'मनोरोग निदान');
INSERT INTO `lang_definitions` VALUES (183399, 8350, 34, 'मनोरोग परीक्षा');
INSERT INTO `lang_definitions` VALUES (183400, 8352, 34, 'मनोरोग इतिहास');
INSERT INTO `lang_definitions` VALUES (183401, 8353, 34, 'मनोरोग सेवन');
INSERT INTO `lang_definitions` VALUES (183402, 8354, 34, 'मनोरोग चिकित्सा');
INSERT INTO `lang_definitions` VALUES (183403, 8358, 34, 'Pt %');
INSERT INTO `lang_definitions` VALUES (183404, 8360, 34, 'Pt टिप्पणी');
INSERT INTO `lang_definitions` VALUES (183405, 8361, 34, 'Pt टिप्पणी / Auth');
INSERT INTO `lang_definitions` VALUES (183406, 8362, 34, 'Pt अधिक भुगतान');
INSERT INTO `lang_definitions` VALUES (183407, 8364, 34, 'Pt भुगतान किया');
INSERT INTO `lang_definitions` VALUES (183408, 8365, 34, 'Pt Rec अनुरोध');
INSERT INTO `lang_definitions` VALUES (183409, 8366, 34, 'Pt धन वापसी');
INSERT INTO `lang_definitions` VALUES (183410, 8367, 34, 'Pt रिहाई');
INSERT INTO `lang_definitions` VALUES (183411, 8368, 34, 'Pt रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (183412, 8369, 34, 'PT छात्र, या खाली छोड़ दें');
INSERT INTO `lang_definitions` VALUES (183413, 8370, 34, 'PT_CITY');
INSERT INTO `lang_definitions` VALUES (183414, 8371, 34, 'PT_DOB');
INSERT INTO `lang_definitions` VALUES (183415, 8373, 34, 'PT_FNAME');
INSERT INTO `lang_definitions` VALUES (183416, 8374, 34, 'PT_LNAME');
INSERT INTO `lang_definitions` VALUES (183417, 8375, 34, 'PT_MNAME');
INSERT INTO `lang_definitions` VALUES (183418, 8378, 34, 'PT_POSTAL');
INSERT INTO `lang_definitions` VALUES (183419, 8380, 34, 'PT_STATE');
INSERT INTO `lang_definitions` VALUES (183420, 8381, 34, 'PT_STREET');
INSERT INTO `lang_definitions` VALUES (183421, 8383, 34, 'सार्वजनिक');
INSERT INTO `lang_definitions` VALUES (183422, 8387, 34, 'सार्वजनिक स्वास्थ्य सेवा (PHS) या अन्य संघीय एजेंसी');
INSERT INTO `lang_definitions` VALUES (183423, 8394, 34, 'प्योर्टो रिको');
INSERT INTO `lang_definitions` VALUES (183424, 8396, 34, 'फुफ्फुसीय');
INSERT INTO `lang_definitions` VALUES (183425, 8398, 34, 'नाड़ी');
INSERT INTO `lang_definitions` VALUES (183426, 8399, 34, 'पंजाबी');
INSERT INTO `lang_definitions` VALUES (183427, 8401, 34, 'खरीद');
INSERT INTO `lang_definitions` VALUES (183428, 8402, 34, 'खरीद / वापसी');
INSERT INTO `lang_definitions` VALUES (183429, 8403, 34, 'खरीदारियां');
INSERT INTO `lang_definitions` VALUES (183430, 8406, 34, 'P {{हैडर जस्टिफाई}}');
INSERT INTO `lang_definitions` VALUES (183431, 8408, 34, 'q.3h');
INSERT INTO `lang_definitions` VALUES (183432, 8409, 34, 'q.4h');
INSERT INTO `lang_definitions` VALUES (183433, 8410, 34, 'q.5h');
INSERT INTO `lang_definitions` VALUES (183434, 8411, 34, 'q.6h');
INSERT INTO `lang_definitions` VALUES (183435, 8412, 34, 'q.8h');
INSERT INTO `lang_definitions` VALUES (183436, 8413, 34, 'q.d.');
INSERT INTO `lang_definitions` VALUES (183437, 8414, 34, 'q.i.d.');
INSERT INTO `lang_definitions` VALUES (183438, 8417, 34, 'QOH');
INSERT INTO `lang_definitions` VALUES (183439, 8418, 34, 'QOH मासिक उपयोग की तुलना में कम है');
INSERT INTO `lang_definitions` VALUES (183440, 8419, 34, 'मात्रा');
INSERT INTO `lang_definitions` VALUES (183441, 8420, 34, 'मात्रा');
INSERT INTO `lang_definitions` VALUES (183442, 8421, 34, 'गुणवत्ता');
INSERT INTO `lang_definitions` VALUES (183443, 8422, 34, 'गुणवत्ता के उपाय (CQM)');
INSERT INTO `lang_definitions` VALUES (183444, 8423, 34, 'मात्रा');
INSERT INTO `lang_definitions` VALUES (183445, 8425, 34, 'NDC के लिए मात्रा');
INSERT INTO `lang_definitions` VALUES (183446, 8426, 34, 'हाथ में मात्रा');
INSERT INTO `lang_definitions` VALUES (183447, 8427, 34, 'मात्रा व्यर्थ लगता है');
INSERT INTO `lang_definitions` VALUES (183448, 8431, 34, 'प्रश्नचिह्न');
INSERT INTO `lang_definitions` VALUES (183449, 8432, 34, 'HCFA बैच प्रक्रिया के लिए कतार');
INSERT INTO `lang_definitions` VALUES (183450, 8433, 34, 'HCFA बैच प्रक्रिया और छपाई के लिए कतार');
INSERT INTO `lang_definitions` VALUES (183451, 8434, 34, 'UB -92 बैच प्रक्रिया के लिए कतार');
INSERT INTO `lang_definitions` VALUES (183452, 8435, 34, 'UB -92 बैच प्रक्रिया और छपाई के लिए कतार');
INSERT INTO `lang_definitions` VALUES (183453, 8436, 34, 'पंक्तिबद्ध');
INSERT INTO `lang_definitions` VALUES (183454, 8437, 34, 'कतारबद्ध घटनाक्रम प्रशासन');
INSERT INTO `lang_definitions` VALUES (183455, 8438, 34, 'के लिए कतारबद्ध');
INSERT INTO `lang_definitions` VALUES (183456, 8440, 34, 'पंक्तिबद्ध प्रस्तुतियाँ प्रशासन');
INSERT INTO `lang_definitions` VALUES (183457, 8442, 34, 'छोड़ना');
INSERT INTO `lang_definitions` VALUES (183458, 8443, 34, 'शराब छोड़ो');
INSERT INTO `lang_definitions` VALUES (183459, 8445, 34, 'R');
INSERT INTO `lang_definitions` VALUES (183460, 8451, 34, 'रोगी, मुठभेड़, या पता लगाने के लिए RA');
INSERT INTO `lang_definitions` VALUES (183461, 8452, 34, 'नस्ल');
INSERT INTO `lang_definitions` VALUES (183462, 8453, 34, 'नस्ल और राष्ट्रीयता');
INSERT INTO `lang_definitions` VALUES (183463, 8454, 34, 'जाति / जातीयता');
INSERT INTO `lang_definitions` VALUES (183464, 8456, 34, 'रेडियो');
INSERT INTO `lang_definitions` VALUES (183465, 8457, 34, 'रेडियो बटन');
INSERT INTO `lang_definitions` VALUES (183466, 8462, 34, 'सीमा');
INSERT INTO `lang_definitions` VALUES (183467, 8463, 34, 'चकत्ते');
INSERT INTO `lang_definitions` VALUES (183468, 8464, 34, 'दर');
INSERT INTO `lang_definitions` VALUES (183469, 8466, 34, 'अनुपात');
INSERT INTO `lang_definitions` VALUES (183470, 8467, 34, 'कच्चा रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (183471, 8475, 34, 'पुन: पहचान');
INSERT INTO `lang_definitions` VALUES (183472, 8476, 34, 'पुन: पहचान की प्रक्रिया पूरा हो गया है');
INSERT INTO `lang_definitions` VALUES (183473, 8477, 34, 'पुन: पहचान की प्रक्रिया चल रही है');
INSERT INTO `lang_definitions` VALUES (183474, 8478, 34, 'पुन: पहचान फ़ाइल सहेजा जाएगा');
INSERT INTO `lang_definitions` VALUES (183475, 8479, 34, 'फिर से चोट?');
INSERT INTO `lang_definitions` VALUES (183476, 8480, 34, 'फिर से खोलने');
INSERT INTO `lang_definitions` VALUES (183477, 8482, 34, 'फिर से खोला');
INSERT INTO `lang_definitions` VALUES (183478, 8484, 34, 'प्रतिक्रिया');
INSERT INTO `lang_definitions` VALUES (183479, 8486, 34, 'प्रतिक्रिया');
INSERT INTO `lang_definitions` VALUES (183480, 8489, 34, 'पढ़ना');
INSERT INTO `lang_definitions` VALUES (183481, 8496, 34, 'असल नाम');
INSERT INTO `lang_definitions` VALUES (183482, 8497, 34, 'वास्तव में हटाना');
INSERT INTO `lang_definitions` VALUES (183483, 8498, 34, 'कारण');
INSERT INTO `lang_definitions` VALUES (183484, 8499, 34, 'कारण मृतक');
INSERT INTO `lang_definitions` VALUES (183485, 8500, 34, 'मृत्यु के लिए कारण');
INSERT INTO `lang_definitions` VALUES (183486, 8502, 34, 'संदर्भ के लिए कारण');
INSERT INTO `lang_definitions` VALUES (183487, 8504, 34, 'यात्रा के लिए कारण');
INSERT INTO `lang_definitions` VALUES (183488, 8506, 34, 'कारण / प्रपत्र');
INSERT INTO `lang_definitions` VALUES (183489, 8521, 34, 'प्राप्ति');
INSERT INTO `lang_definitions` VALUES (183490, 8522, 34, 'भुगतान के लिए प्राप्ति');
INSERT INTO `lang_definitions` VALUES (183491, 8523, 34, 'प्राप्ति उत्पन्न');
INSERT INTO `lang_definitions` VALUES (183492, 8524, 34, 'भुगतान की विधि की रिपोर्ट से प्राप्तियां');
INSERT INTO `lang_definitions` VALUES (183493, 8525, 34, 'प्राप्तियां सारांश');
INSERT INTO `lang_definitions` VALUES (183494, 8526, 34, 'प्राप्त');
INSERT INTO `lang_definitions` VALUES (183495, 8527, 34, 'के द्वारा प्राप्त किया');
INSERT INTO `lang_definitions` VALUES (183496, 8528, 34, 'फैक्स प्राप्त');
INSERT INTO `lang_definitions` VALUES (183497, 8530, 34, 'प्राप्त, समीक्षा नहीं की');
INSERT INTO `lang_definitions` VALUES (183498, 8532, 34, 'पानेवाला');
INSERT INTO `lang_definitions` VALUES (183499, 8533, 34, 'पानेवाला ID');
INSERT INTO `lang_definitions` VALUES (183500, 8534, 34, 'पानेवाला आईडी (ISA08)');
INSERT INTO `lang_definitions` VALUES (183501, 8535, 34, 'पानेवाला आईडी क्वालीफायर (ISA07)');
INSERT INTO `lang_definitions` VALUES (183502, 8536, 34, 'पानेवाला आईडी के');
INSERT INTO `lang_definitions` VALUES (183503, 8540, 34, 'हाल के तीन पासवर्ड की अनुमति नहीं है.');
INSERT INTO `lang_definitions` VALUES (183504, 8542, 34, 'प्राप्तकर्ता');
INSERT INTO `lang_definitions` VALUES (183505, 8543, 34, 'प्राप्तकर्ता सूची खाली है');
INSERT INTO `lang_definitions` VALUES (183506, 8544, 34, 'प्राप्तकर्ता का नाम');
INSERT INTO `lang_definitions` VALUES (183507, 8545, 34, 'प्रकटीकरण के प्राप्तकर्ता');
INSERT INTO `lang_definitions` VALUES (183508, 8546, 34, 'प्राप्तकर्ता आवश्यक जब तक status हो गया है होता नहीं');
INSERT INTO `lang_definitions` VALUES (183509, 8549, 34, 'सिफारिश');
INSERT INTO `lang_definitions` VALUES (183510, 8551, 34, 'फिर से दौरा के लिए सिफारिश');
INSERT INTO `lang_definitions` VALUES (183511, 8552, 34, 'सिफारिशें');
INSERT INTO `lang_definitions` VALUES (183512, 8553, 34, 'सिफारिशें और उपचार');
INSERT INTO `lang_definitions` VALUES (183513, 8554, 34, 'विशेषज्ञ द्वारा सिफारिशें');
INSERT INTO `lang_definitions` VALUES (183514, 8557, 34, 'रिकॉर्ड');
INSERT INTO `lang_definitions` VALUES (183515, 8558, 34, 'रिकॉर्ड पहले से ही मौजूद');
INSERT INTO `lang_definitions` VALUES (183516, 8564, 34, 'महत्वपूर्ण लक्षण में रिकॉर्ड और चार्ट बदल जाता है.');
INSERT INTO `lang_definitions` VALUES (183517, 8565, 34, 'रिकॉर्ड जनसांख्यिकी.');
INSERT INTO `lang_definitions` VALUES (183518, 8566, 34, 'रिकॉर्ड प्रकटीकरण');
INSERT INTO `lang_definitions` VALUES (183519, 8567, 34, 'स्वास्थ्य का रिकॉर्ड');
INSERT INTO `lang_definitions` VALUES (183520, 8568, 34, 'भुगतान रिकॉर्ड');
INSERT INTO `lang_definitions` VALUES (183521, 8570, 34, 'रिकॉर्ड अनुरोध तिथि');
INSERT INTO `lang_definitions` VALUES (183522, 8571, 34, '13 साल की उम्र या पुराने रोगियों के लिए रिकॉर्ड धूम्रपान की स्थिति.');
INSERT INTO `lang_definitions` VALUES (183523, 8572, 34, 'रिकॉर्ड्स');
INSERT INTO `lang_definitions` VALUES (183524, 8573, 34, 'रिकार्ड मिले');
INSERT INTO `lang_definitions` VALUES (183525, 8574, 34, 'रिकार्ड मिले');
INSERT INTO `lang_definitions` VALUES (183526, 8576, 34, 'मनोरंजक दवाओं का उपयोग');
INSERT INTO `lang_definitions` VALUES (183527, 8577, 34, 'मनोरंजनात्मक दवाएं');
INSERT INTO `lang_definitions` VALUES (183528, 8578, 34, 'मलाशय के');
INSERT INTO `lang_definitions` VALUES (183529, 8579, 34, 'मलाशय परीक्षा');
INSERT INTO `lang_definitions` VALUES (183530, 8580, 34, 'मलाशय');
INSERT INTO `lang_definitions` VALUES (183531, 8592, 34, 'पुनप्रेषण');
INSERT INTO `lang_definitions` VALUES (183532, 8593, 34, 'लाली');
INSERT INTO `lang_definitions` VALUES (183533, 8595, 34, 'कम:');
INSERT INTO `lang_definitions` VALUES (183534, 8597, 34, 'संदर्भ');
INSERT INTO `lang_definitions` VALUES (183535, 8598, 34, 'द्वारा संदर्भ');
INSERT INTO `lang_definitions` VALUES (183536, 8599, 34, 'संदर्भ तिथि');
INSERT INTO `lang_definitions` VALUES (183537, 8600, 34, 'को संदर्भ');
INSERT INTO `lang_definitions` VALUES (183538, 8603, 34, 'संदर्भ वर्गीकरण (जोखिम स्तर)');
INSERT INTO `lang_definitions` VALUES (183539, 8604, 34, 'परिणामों के संदर्भ सीमा');
INSERT INTO `lang_definitions` VALUES (183540, 8605, 34, 'संदर्भ कारण');
INSERT INTO `lang_definitions` VALUES (183541, 8609, 34, 'Referer नाम और हस्ताक्षर');
INSERT INTO `lang_definitions` VALUES (183542, 8610, 34, 'रेफरल');
INSERT INTO `lang_definitions` VALUES (183543, 8611, 34, 'द्वारा रेफरल');
INSERT INTO `lang_definitions` VALUES (183544, 8612, 34, 'सिफ़ारिश कार्ड');
INSERT INTO `lang_definitions` VALUES (183545, 8613, 34, 'सिफ़ारिश तिथि');
INSERT INTO `lang_definitions` VALUES (183546, 8614, 34, 'सिफ़ारिश पर्चा');
INSERT INTO `lang_definitions` VALUES (183547, 8615, 34, 'रेफरल फार्म');
INSERT INTO `lang_definitions` VALUES (183548, 8616, 34, 'रेफरल आईडी');
INSERT INTO `lang_definitions` VALUES (183549, 8619, 34, 'सिफारिश स्रोत');
INSERT INTO `lang_definitions` VALUES (183550, 8620, 34, 'मुठभेड़ों के लिए सिफारिश स्रोत');
INSERT INTO `lang_definitions` VALUES (183551, 8621, 34, 'को सिफ़ारिश');
INSERT INTO `lang_definitions` VALUES (183552, 8622, 34, 'सिफ़ारिश');
INSERT INTO `lang_definitions` VALUES (183553, 8623, 34, 'सिफ़ारिश रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (183554, 8624, 34, 'द्वारा सिफ़ारिश');
INSERT INTO `lang_definitions` VALUES (183555, 8625, 34, 'द्वारा सिफ़ारिश');
INSERT INTO `lang_definitions` VALUES (183556, 8627, 34, 'को सिफ़ारिश');
INSERT INTO `lang_definitions` VALUES (183557, 8628, 34, 'सिफ़ारिश करनेवाला');
INSERT INTO `lang_definitions` VALUES (183558, 8630, 34, 'सिफारिश करनेवाला से निदान');
INSERT INTO `lang_definitions` VALUES (183559, 8631, 34, 'सिफारिश करनेवाला से निदान');
INSERT INTO `lang_definitions` VALUES (183560, 8633, 34, 'सिफारिश करनेवाला चिकित्सक और प्रैक्टिस');
INSERT INTO `lang_definitions` VALUES (183561, 8635, 34, 'सिफारिश करनेवाला प्रदाता');
INSERT INTO `lang_definitions` VALUES (183562, 8636, 34, 'फिर से भरना');
INSERT INTO `lang_definitions` VALUES (183563, 8639, 34, 'केवल एक बार');
INSERT INTO `lang_definitions` VALUES (183564, 8640, 34, 'केवल एक बार');
INSERT INTO `lang_definitions` VALUES (183565, 8641, 34, 'सामान्य सजगता');
INSERT INTO `lang_definitions` VALUES (183566, 8645, 34, 'ताज़ा करे');
INSERT INTO `lang_definitions` VALUES (183567, 8648, 34, 'अनुस्मारक ताज़ा कर रहा है');
INSERT INTO `lang_definitions` VALUES (183568, 8651, 34, 'स्टेट करने से इनकार कर दिया');
INSERT INTO `lang_definitions` VALUES (183569, 8652, 34, 'reg_re');
INSERT INTO `lang_definitions` VALUES (183570, 8656, 34, 'पंजीकरण');
INSERT INTO `lang_definitions` VALUES (183571, 8662, 34, 'पंजीकृत');
INSERT INTO `lang_definitions` VALUES (183572, 8663, 34, 'पंजीकृत');
INSERT INTO `lang_definitions` VALUES (183573, 8668, 34, 'पंजीकरण की तिथि');
INSERT INTO `lang_definitions` VALUES (183574, 8671, 34, 'पंजीकरण प्रपत्र');
INSERT INTO `lang_definitions` VALUES (183575, 8672, 34, 'पुनर्वास');
INSERT INTO `lang_definitions` VALUES (183576, 8675, 34, 'पलटाना संभावित');
INSERT INTO `lang_definitions` VALUES (183577, 8676, 34, 'से संबंधित हैं');
INSERT INTO `lang_definitions` VALUES (183578, 8677, 34, 'संबंधित');
INSERT INTO `lang_definitions` VALUES (183579, 8678, 34, 'संबंधित मुद्दा');
INSERT INTO `lang_definitions` VALUES (183580, 8679, 34, 'संबंधित रोगी टिप्पणी');
INSERT INTO `lang_definitions` VALUES (183581, 8680, 34, 'रिश्ता / बच्चे');
INSERT INTO `lang_definitions` VALUES (183582, 8681, 34, 'संबंध');
INSERT INTO `lang_definitions` VALUES (183583, 8682, 34, 'संबंध');
INSERT INTO `lang_definitions` VALUES (183584, 8683, 34, 'इस इकाई के सापेक्ष आदेश देने');
INSERT INTO `lang_definitions` VALUES (183585, 8684, 34, 'रिश्तेदार');
INSERT INTO `lang_definitions` VALUES (183586, 8695, 34, 'रिले स्वास्थ्य साख इस उपयोगकर्ता खाते से लापता हैं.');
INSERT INTO `lang_definitions` VALUES (183587, 8696, 34, 'रिले स्वास्थ्य ID');
INSERT INTO `lang_definitions` VALUES (183588, 8698, 34, 'रिलीज़ तिथि');
INSERT INTO `lang_definitions` VALUES (183589, 8700, 34, 'धर्म');
INSERT INTO `lang_definitions` VALUES (183590, 8705, 34, 'दोबारा लॉगिन');
INSERT INTO `lang_definitions` VALUES (183591, 8706, 34, 'Remdr');
INSERT INTO `lang_definitions` VALUES (183592, 8709, 34, 'चयनित सुविधा याद रखें');
INSERT INTO `lang_definitions` VALUES (183593, 8712, 34, 'अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (183594, 8715, 34, 'अनुस्मारक अंतराल');
INSERT INTO `lang_definitions` VALUES (183595, 8716, 34, 'अनुस्मारक अभी तक नहीं भेजा');
INSERT INTO `lang_definitions` VALUES (183596, 8720, 34, 'पर अनुस्मारक भेजा');
INSERT INTO `lang_definitions` VALUES (183597, 8725, 34, 'अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (183598, 8726, 34, 'परिहार');
INSERT INTO `lang_definitions` VALUES (183599, 8727, 34, 'दूरस्थ मेजबान');
INSERT INTO `lang_definitions` VALUES (183600, 8729, 34, 'हटाना');
INSERT INTO `lang_definitions` VALUES (183601, 8733, 34, 'समूह हटाएं');
INSERT INTO `lang_definitions` VALUES (183602, 8734, 34, 'समूह के रूप में निकालें');
INSERT INTO `lang_definitions` VALUES (183603, 8738, 34, 'टीकाकरण के लिए समर्थन निकालता है');
INSERT INTO `lang_definitions` VALUES (183604, 8739, 34, 'PhpMyAdmin के लिए समर्थन निकालता है');
INSERT INTO `lang_definitions` VALUES (183605, 8740, 34, 'नुस्खे के लिए समर्थन निकालता है');
INSERT INTO `lang_definitions` VALUES (183606, 8742, 34, 'चार्ट ट्रैकर सुविधा निकालता है');
INSERT INTO `lang_definitions` VALUES (183607, 8743, 34, 'गुर्दे की पथरी');
INSERT INTO `lang_definitions` VALUES (183608, 8744, 34, 'नाम बदलें');
INSERT INTO `lang_definitions` VALUES (183609, 8745, 34, 'समूह का नाम बदलें');
INSERT INTO `lang_definitions` VALUES (183610, 8746, 34, 'प्रस्तुत कर रहा');
INSERT INTO `lang_definitions` VALUES (183611, 8747, 34, 'प्रस्तुत कर रहा प्रदाता');
INSERT INTO `lang_definitions` VALUES (183612, 8748, 34, 'प्रस्तुत कर रहा प्रदाता संख्या');
INSERT INTO `lang_definitions` VALUES (183613, 8750, 34, 'पुन: व्यवस्थित करें');
INSERT INTO `lang_definitions` VALUES (183614, 8751, 34, 'पर पुन: व्यवस्थित करें');
INSERT INTO `lang_definitions` VALUES (183615, 8752, 34, 'पुन: व्यवस्थित बिंदु पहुंच गया है');
INSERT INTO `lang_definitions` VALUES (183616, 8753, 34, 'पुन: व्यवस्थित बिंदु, 0 यदि लागू नहीं');
INSERT INTO `lang_definitions` VALUES (183617, 8754, 34, 'Rep');
INSERT INTO `lang_definitions` VALUES (183618, 8756, 34, 'नया पासवर्ड दोहराएँ');
INSERT INTO `lang_definitions` VALUES (183619, 8758, 34, 'घटना दोहराए जाने');
INSERT INTO `lang_definitions` VALUES (183620, 8759, 34, 'जानकारी दोहरा रहा है:');
INSERT INTO `lang_definitions` VALUES (183621, 8760, 34, 'दोहराता है');
INSERT INTO `lang_definitions` VALUES (183622, 8761, 34, 'बदलें');
INSERT INTO `lang_definitions` VALUES (183623, 8771, 34, 'तिथि दें');
INSERT INTO `lang_definitions` VALUES (183624, 8772, 34, 'से उत्तर');
INSERT INTO `lang_definitions` VALUES (183625, 8774, 34, 'रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (183626, 8776, 34, 'रिपोर्ट - क्लीनिकल');
INSERT INTO `lang_definitions` VALUES (183627, 8779, 34, 'द्वारा रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (183628, 8784, 34, 'रिपोर्ट इतिहास / परिणाम');
INSERT INTO `lang_definitions` VALUES (183629, 8786, 34, 'रिपोर्ट परिणाम');
INSERT INTO `lang_definitions` VALUES (183630, 8787, 34, 'रिपोर्ट परिणाम / इतिहास');
INSERT INTO `lang_definitions` VALUES (183631, 8789, 34, 'रिपोर्ट स्थिति');
INSERT INTO `lang_definitions` VALUES (183632, 8790, 34, 'रिपोर्ट योग');
INSERT INTO `lang_definitions` VALUES (183633, 8792, 34, 'रिपोर्ट / प्रपत्र');
INSERT INTO `lang_definitions` VALUES (183634, 8794, 34, 'रिपोर्ट योग्य');
INSERT INTO `lang_definitions` VALUES (183635, 8795, 34, 'रिपोर्टेड');
INSERT INTO `lang_definitions` VALUES (183636, 8796, 34, 'रिपोर्टेड तिथि');
INSERT INTO `lang_definitions` VALUES (183637, 8797, 34, 'रिपोर्टें');
INSERT INTO `lang_definitions` VALUES (183638, 8804, 34, 'अनुरोध पर ध्यान नहीं दिया - दावा प्रसंस्करण पहले से ही चल रहा है!');
INSERT INTO `lang_definitions` VALUES (183639, 8815, 34, 'सेवा का अनुरोध');
INSERT INTO `lang_definitions` VALUES (183640, 8819, 34, 'मजबूत पासवर्ड की आवश्यकता');
INSERT INTO `lang_definitions` VALUES (183641, 8820, 34, 'अद्वितीय पासवर्ड की आवश्यकता');
INSERT INTO `lang_definitions` VALUES (183642, 8821, 34, 'अपेक्षित');
INSERT INTO `lang_definitions` VALUES (183643, 8823, 34, 'आवश्यक सह वेतन');
INSERT INTO `lang_definitions` VALUES (183644, 8824, 34, 'आवश्यक फ़ील्ड गुम: अपलोड करने के लिए EDI-271 फ़ाइल का चयन करें');
INSERT INTO `lang_definitions` VALUES (183645, 8825, 34, 'आवश्यक फ़ील्ड गुम: पहला नाम दर्ज करें');
INSERT INTO `lang_definitions` VALUES (183646, 8826, 34, 'आवश्यक फ़ील्ड गुम: अंतिम नाम दर्ज करें');
INSERT INTO `lang_definitions` VALUES (183647, 8827, 34, 'आवश्यक फ़ील्ड गुम: उपयोगकर्ता नाम दर्ज करें');
INSERT INTO `lang_definitions` VALUES (183648, 8828, 34, 'आवश्यक फ़ील्ड');
INSERT INTO `lang_definitions` VALUES (183649, 8829, 34, 'आवश्यकताएँ');
INSERT INTO `lang_definitions` VALUES (183650, 8832, 34, 'आरक्षित');
INSERT INTO `lang_definitions` VALUES (183651, 8833, 34, 'आरक्षित');
INSERT INTO `lang_definitions` VALUES (183652, 8834, 34, 'अनुसूचित अवकाश समय को परिभाषित करने के लिए उपयोग के लिए आरक्षित');
INSERT INTO `lang_definitions` VALUES (183653, 8835, 34, 'जब एक प्रदाता के लिए नियुक्तियों उपलब्ध नहीं है, तो परिभाषित करने के आरक्षित.');
INSERT INTO `lang_definitions` VALUES (183654, 8836, 34, 'निर्दिष्ट रूप में घटना घटि नहीं तो परिभाषित करने के लिए आरक्षित.');
INSERT INTO `lang_definitions` VALUES (183655, 8837, 34, 'जब प्रदाता के लिए नियुक्तियों उपलब्ध है, तो परिभाषित करने के लिए आरक्षित.');
INSERT INTO `lang_definitions` VALUES (183656, 8838, 34, 'रीसेट करें');
INSERT INTO `lang_definitions` VALUES (183657, 8842, 34, 'Offsite पोर्टल पहचान रीसेट करें');
INSERT INTO `lang_definitions` VALUES (183658, 8844, 34, 'ऑनसाइट पोर्टल पहचान रीसेट करें');
INSERT INTO `lang_definitions` VALUES (183659, 8850, 34, 'Resn');
INSERT INTO `lang_definitions` VALUES (183660, 8852, 34, 'संकल्प');
INSERT INTO `lang_definitions` VALUES (183661, 8855, 34, 'श्वसन');
INSERT INTO `lang_definitions` VALUES (183662, 8856, 34, 'श्वासयंत्र प्रयास अनुपाजिंत');
INSERT INTO `lang_definitions` VALUES (183663, 8857, 34, 'श्वसन');
INSERT INTO `lang_definitions` VALUES (183664, 8864, 34, 'उपयोगकर्ता व्यवस्थापक में निर्धारित कार्यक्रम सुविधाएं को गैर अधिकृत उपयोगकर्ताओं को सीमित करें.');
INSERT INTO `lang_definitions` VALUES (183665, 8865, 34, 'सुविधाएं के लिए उपयोगकर्ताओं को सीमित');
INSERT INTO `lang_definitions` VALUES (183666, 8866, 34, 'सीमित प्रशिक्षण');
INSERT INTO `lang_definitions` VALUES (183667, 8867, 34, 'परिणाम');
INSERT INTO `lang_definitions` VALUES (183668, 8868, 34, 'परिणाम नाम');
INSERT INTO `lang_definitions` VALUES (183669, 8869, 34, 'परिणाम स्थिति');
INSERT INTO `lang_definitions` VALUES (183670, 8870, 34, 'परिणाम स्थिति या विषमता लापता है');
INSERT INTO `lang_definitions` VALUES (183671, 8871, 34, 'परिणामस्वरूप, एक वाइल्डकार्ड के रूप में % का उपयोग');
INSERT INTO `lang_definitions` VALUES (183672, 8872, 34, 'परिणाम');
INSERT INTO `lang_definitions` VALUES (183673, 8873, 34, 'परिणाम और');
INSERT INTO `lang_definitions` VALUES (183674, 8874, 34, 'खोज के लिए परिणाम मिले');
INSERT INTO `lang_definitions` VALUES (183675, 8875, 34, 'परिणाम समूह');
INSERT INTO `lang_definitions` VALUES (183676, 8877, 34, 'परिणाम पथ');
INSERT INTO `lang_definitions` VALUES (183677, 8879, 34, 'प्रति पृष्ठ परिणाम');
INSERT INTO `lang_definitions` VALUES (183678, 8880, 34, 'परिणाम / विवरण');
INSERT INTO `lang_definitions` VALUES (183679, 8884, 34, 'रेटिना परीक्षा');
INSERT INTO `lang_definitions` VALUES (183680, 8885, 34, 'राइट मुकर:');
INSERT INTO `lang_definitions` VALUES (183681, 8886, 34, 'लौटें');
INSERT INTO `lang_definitions` VALUES (183682, 8887, 34, 'अपने भुगतान के साथ ऊपर भाग लौटाएँ');
INSERT INTO `lang_definitions` VALUES (183683, 8890, 34, 'कैलेंडर पर लौटें');
INSERT INTO `lang_definitions` VALUES (183684, 8891, 34, 'परिणाम की रिपोर्ट पर लौटें');
INSERT INTO `lang_definitions` VALUES (183685, 8892, 34, 'इस पृष्ठ पर लौटें और आप ICD10 अनुभाग शीर्षक पर क्लिक करके ICD10 स्थापना प्रक्रिया को पूरा करने में सक्षम होगे');
INSERT INTO `lang_definitions` VALUES (183686, 8893, 34, 'इस पृष्ठ पर लौटें और आप ICD9 अनुभाग शीर्षक पर क्लिक करके ICD9 स्थापना प्रक्रिया को पूरा करने में सक्षम होगे');
INSERT INTO `lang_definitions` VALUES (183687, 8894, 34, 'इस पृष्ठ पर लौटें और आप RXNORM अनुभाग शीर्षक पर क्लिक करके RxNorm स्थापना प्रक्रिया को पूरा करने में सक्षम होगे');
INSERT INTO `lang_definitions` VALUES (183688, 8895, 34, 'इस पृष्ठ पर लौटें और आप SNOMED अनुभाग शीर्षक पर क्लिक करके Snomed स्थापना प्रक्रिया को पूरा करने में सक्षम होगे');
INSERT INTO `lang_definitions` VALUES (183689, 8897, 34, 'मूल्य लौटें');
INSERT INTO `lang_definitions` VALUES (183690, 8898, 34, 'वापसी यात्रा');
INSERT INTO `lang_definitions` VALUES (183691, 8899, 34, 'खेलने वापस');
INSERT INTO `lang_definitions` VALUES (183692, 8901, 34, 'पिछले तीन पासवर्ड के पुन: उपयोग की अनुमति नहीं है!');
INSERT INTO `lang_definitions` VALUES (183693, 8914, 34, 'PMH की समीक्षा करें:');
INSERT INTO `lang_definitions` VALUES (183694, 8917, 34, 'प्रणाली की समीक्षा');
INSERT INTO `lang_definitions` VALUES (183695, 8918, 34, 'सिस्टम जांच की समीक्षा');
INSERT INTO `lang_definitions` VALUES (183696, 8921, 34, 'समीक्षित');
INSERT INTO `lang_definitions` VALUES (183697, 8924, 34, 'संशोधन');
INSERT INTO `lang_definitions` VALUES (183698, 8925, 34, 'Rheumotoid गठिया');
INSERT INTO `lang_definitions` VALUES (183699, 8926, 34, 'Rheumotoid गठिया');
INSERT INTO `lang_definitions` VALUES (183700, 8928, 34, 'दाएँ');
INSERT INTO `lang_definitions` VALUES (183701, 8931, 34, 'दाएँ कान');
INSERT INTO `lang_definitions` VALUES (183702, 8932, 34, 'दाएँ कान');
INSERT INTO `lang_definitions` VALUES (183703, 8940, 34, 'दाएँ');
INSERT INTO `lang_definitions` VALUES (183704, 8941, 34, 'कानों में बज रहा');
INSERT INTO `lang_definitions` VALUES (183705, 8942, 34, 'कानों में बज रहा');
INSERT INTO `lang_definitions` VALUES (183706, 8944, 34, 'जोखिम कारक');
INSERT INTO `lang_definitions` VALUES (183707, 8945, 34, 'जोखिम का स्तर');
INSERT INTO `lang_definitions` VALUES (183708, 8949, 34, 'RLL:');
INSERT INTO `lang_definitions` VALUES (183709, 8955, 34, 'ROM');
INSERT INTO `lang_definitions` VALUES (183710, 8956, 34, 'रोमानियाई देश');
INSERT INTO `lang_definitions` VALUES (183711, 8963, 34, 'रोस्टर');
INSERT INTO `lang_definitions` VALUES (183712, 8966, 34, 'मार्ग');
INSERT INTO `lang_definitions` VALUES (183713, 8967, 34, 'प्रशासन का मार्ग, यदि लागू हो');
INSERT INTO `lang_definitions` VALUES (183714, 8968, 34, 'मार्ग किया');
INSERT INTO `lang_definitions` VALUES (183715, 8969, 34, 'पंक्तियाँ');
INSERT INTO `lang_definitions` VALUES (183716, 8971, 34, 'MOR बिना RRR');
INSERT INTO `lang_definitions` VALUES (183717, 8972, 34, 'रगड़ो:');
INSERT INTO `lang_definitions` VALUES (183718, 8973, 34, 'रगड़ो:');
INSERT INTO `lang_definitions` VALUES (183719, 8974, 34, 'नियम');
INSERT INTO `lang_definitions` VALUES (183720, 8975, 34, 'नियम जोड़ें');
INSERT INTO `lang_definitions` VALUES (183721, 8976, 34, 'नियम विस्तार');
INSERT INTO `lang_definitions` VALUES (183722, 8978, 34, 'नियम संपादित करें');
INSERT INTO `lang_definitions` VALUES (183723, 8981, 34, 'नियम सेट करें');
INSERT INTO `lang_definitions` VALUES (183724, 8984, 34, 'नियम');
INSERT INTO `lang_definitions` VALUES (183725, 8986, 34, 'नियम विन्यास');
INSERT INTO `lang_definitions` VALUES (183726, 8989, 34, 'कमांड चलाने:');
INSERT INTO `lang_definitions` VALUES (183727, 8990, 34, 'टूटना');
INSERT INTO `lang_definitions` VALUES (183728, 8992, 34, 'रूसी देश');
INSERT INTO `lang_definitions` VALUES (183729, 8995, 34, 'RX');
INSERT INTO `lang_definitions` VALUES (183730, 8996, 34, 'RX');
INSERT INTO `lang_definitions` VALUES (183731, 8997, 34, 'Rx नीचे मार्जिन (px)');
INSERT INTO `lang_definitions` VALUES (183732, 9001, 34, 'Rx DEA # सक्षम करें');
INSERT INTO `lang_definitions` VALUES (183733, 9002, 34, 'Rx NPI सक्षम करें');
INSERT INTO `lang_definitions` VALUES (183734, 9003, 34, 'Rx राज्य Lic सक्षम करें. #');
INSERT INTO `lang_definitions` VALUES (183735, 9007, 34, 'Rx वाम मार्जिन (px)');
INSERT INTO `lang_definitions` VALUES (183736, 9010, 34, 'Rx पेपर आकार');
INSERT INTO `lang_definitions` VALUES (183737, 9013, 34, 'Rx दाएँ मार्जिन (px)');
INSERT INTO `lang_definitions` VALUES (183738, 9014, 34, 'Rx दिखाएँ DEA #');
INSERT INTO `lang_definitions` VALUES (183739, 9015, 34, 'Rx दिखाएँ NPI');
INSERT INTO `lang_definitions` VALUES (183740, 9016, 34, 'Rx दिखाएँ राज्य Lic. #');
INSERT INTO `lang_definitions` VALUES (183741, 9017, 34, 'Rx शीर्ष मार्जिन (px)');
INSERT INTO `lang_definitions` VALUES (183742, 9023, 34, 'RxNorm');
INSERT INTO `lang_definitions` VALUES (183743, 9024, 34, 'RxNorm डाटाबेस');
INSERT INTO `lang_definitions` VALUES (183744, 9028, 34, 'S');
INSERT INTO `lang_definitions` VALUES (183745, 9029, 34, 's.s.');
INSERT INTO `lang_definitions` VALUES (183746, 9030, 34, 'S3:');
INSERT INTO `lang_definitions` VALUES (183747, 9031, 34, 'S4:');
INSERT INTO `lang_definitions` VALUES (183748, 9032, 34, 'SA ** लाइसेंस पढ़ने के लिए पढ़ें Docs / license.txt या कृपया जाओ * http://www.gnu.org/copyleft/gpl.html ** / / / ============ ================================================== =========== / /');
INSERT INTO `lang_definitions` VALUES (183749, 9034, 34, 'बिक्री');
INSERT INTO `lang_definitions` VALUES (183750, 9035, 34, 'बिक्री');
INSERT INTO `lang_definitions` VALUES (183751, 9036, 34, 'आइटम द्वारा बिक्री');
INSERT INTO `lang_definitions` VALUES (183752, 9037, 34, 'उत्पाद की रिपोर्ट द्वारा बिक्री');
INSERT INTO `lang_definitions` VALUES (183753, 9038, 34, 'लार');
INSERT INTO `lang_definitions` VALUES (183754, 9039, 34, 'उसी दिन');
INSERT INTO `lang_definitions` VALUES (183755, 9040, 34, 'सैमो का (निवासी) या सैमोई (भाषा)');
INSERT INTO `lang_definitions` VALUES (183756, 9041, 34, 'नमूना');
INSERT INTO `lang_definitions` VALUES (183757, 9042, 34, 'स्वीकृति के प्रकार');
INSERT INTO `lang_definitions` VALUES (183758, 9047, 34, 'शनि');
INSERT INTO `lang_definitions` VALUES (183759, 9048, 34, 'शनि औरamp रवि');
INSERT INTO `lang_definitions` VALUES (183760, 9049, 34, 'शनिवार');
INSERT INTO `lang_definitions` VALUES (183761, 9050, 34, 'सहेजें');
INSERT INTO `lang_definitions` VALUES (183762, 9051, 34, 'सहेजें');
INSERT INTO `lang_definitions` VALUES (183763, 9055, 34, 'सहेजें और बंद करें');
INSERT INTO `lang_definitions` VALUES (183764, 9058, 34, 'सहेजें और बांटना');
INSERT INTO `lang_definitions` VALUES (183765, 9060, 34, 'सहेजें और संचारित करें');
INSERT INTO `lang_definitions` VALUES (183766, 9061, 34, 'नए रूप में सहेजें');
INSERT INTO `lang_definitions` VALUES (183767, 9063, 34, 'नए नोट के रूप में सहेजें');
INSERT INTO `lang_definitions` VALUES (183768, 9066, 34, 'प्रमाणपत्र जमावट सहेजें');
INSERT INTO `lang_definitions` VALUES (183769, 9067, 34, 'परिवर्तन सहेजें');
INSERT INTO `lang_definitions` VALUES (183770, 9075, 34, 'प्रपत्र सहेजें');
INSERT INTO `lang_definitions` VALUES (183771, 9076, 34, 'टीकाकरण सहेजें');
INSERT INTO `lang_definitions` VALUES (183772, 9078, 34, 'नई फील्ड सहेजें');
INSERT INTO `lang_definitions` VALUES (183773, 9079, 34, 'नया समूह सहेजें');
INSERT INTO `lang_definitions` VALUES (183774, 9080, 34, 'नई सूची सहेजें');
INSERT INTO `lang_definitions` VALUES (183775, 9081, 34, 'नई टेम्पलेट सहेजें');
INSERT INTO `lang_definitions` VALUES (183776, 9082, 34, 'चयन चूक को सहेजें');
INSERT INTO `lang_definitions` VALUES (183777, 9083, 34, 'रोगी जनसांख्यिकी सहेजें');
INSERT INTO `lang_definitions` VALUES (183778, 9087, 34, 'चार्ट ID के लिए सहेजें सफल');
INSERT INTO `lang_definitions` VALUES (183779, 9089, 34, 'लेनदेन सहेजें');
INSERT INTO `lang_definitions` VALUES (183780, 9098, 34, 'स्कैन किए गए');
INSERT INTO `lang_definitions` VALUES (183781, 9099, 34, 'मुठभेड़ नोट स्कैन किए');
INSERT INTO `lang_definitions` VALUES (183782, 9100, 34, 'स्कैनर निर्देशिका');
INSERT INTO `lang_definitions` VALUES (183783, 9101, 34, 'स्कैनर');
INSERT INTO `lang_definitions` VALUES (183784, 9104, 34, 'अनुसूची');
INSERT INTO `lang_definitions` VALUES (183785, 9106, 34, 'अनुसूची सुविधाएं:');
INSERT INTO `lang_definitions` VALUES (183786, 9117, 34, 'स्कूल नोट');
INSERT INTO `lang_definitions` VALUES (183787, 9122, 34, 'पार्श्वकुब्जता');
INSERT INTO `lang_definitions` VALUES (183788, 9133, 34, 'SE');
INSERT INTO `lang_definitions` VALUES (183789, 9134, 34, 'SE पता');
INSERT INTO `lang_definitions` VALUES (183790, 9135, 34, 'SE सिटी');
INSERT INTO `lang_definitions` VALUES (183791, 9136, 34, 'SE देश');
INSERT INTO `lang_definitions` VALUES (183792, 9137, 34, 'SE लोकैलिटी');
INSERT INTO `lang_definitions` VALUES (183793, 9138, 34, 'SE कोड');
INSERT INTO `lang_definitions` VALUES (183794, 9139, 34, 'SE राज्य');
INSERT INTO `lang_definitions` VALUES (183795, 9140, 34, 'SE ज़िप कोड');
INSERT INTO `lang_definitions` VALUES (183796, 9141, 34, 'खोजें');
INSERT INTO `lang_definitions` VALUES (183797, 9143, 34, 'खोजें');
INSERT INTO `lang_definitions` VALUES (183798, 9144, 34, 'फिर से खोजें');
INSERT INTO `lang_definitions` VALUES (183799, 9145, 34, 'सभी कॉलम खोजें');
INSERT INTO `lang_definitions` VALUES (183800, 9150, 34, 'के द्वारा खोजें:');
INSERT INTO `lang_definitions` VALUES (183801, 9152, 34, 'के लिए खोजें');
INSERT INTO `lang_definitions` VALUES (183802, 9156, 34, 'के लिए खोजें:');
INSERT INTO `lang_definitions` VALUES (183803, 9158, 34, 'में खोजें');
INSERT INTO `lang_definitions` VALUES (183804, 9159, 34, 'में खोजें');
INSERT INTO `lang_definitions` VALUES (183805, 9161, 34, 'खोजें या जोड़ें रोगी');
INSERT INTO `lang_definitions` VALUES (183806, 9164, 34, 'भुगतान खोजें');
INSERT INTO `lang_definitions` VALUES (183807, 9167, 34, 'परिणाम खोजें');
INSERT INTO `lang_definitions` VALUES (183808, 9168, 34, 'परिणाम खोजें:');
INSERT INTO `lang_definitions` VALUES (183809, 9169, 34, 'चुनी गई खोजें');
INSERT INTO `lang_definitions` VALUES (183810, 9171, 34, 'खोज स्ट्रिंग डेटाबेस में सूची के साथ मेल नहीं खाता');
INSERT INTO `lang_definitions` VALUES (183811, 9172, 34, 'खोज स्ट्रिंग कम से कम तीन अक्षर होना चाहिए');
INSERT INTO `lang_definitions` VALUES (183812, 9174, 34, 'खोजें पाठ');
INSERT INTO `lang_definitions` VALUES (183813, 9175, 34, 'घटनाक्रम खोजें');
INSERT INTO `lang_definitions` VALUES (183814, 9178, 34, 'खोजें / जोड़ें');
INSERT INTO `lang_definitions` VALUES (183815, 9179, 34, 'खोजें / बीमाकर्ता जोड़ें');
INSERT INTO `lang_definitions` VALUES (183816, 9181, 34, 'नियुक्तियों के लिए खोजें');
INSERT INTO `lang_definitions` VALUES (183817, 9182, 34, 'खोज रहा है ...');
INSERT INTO `lang_definitions` VALUES (183818, 9184, 34, 'सीट बेल्ट का उपयोग करें');
INSERT INTO `lang_definitions` VALUES (183819, 9185, 34, 'सीट बेल्ट का प्रयोग करें');
INSERT INTO `lang_definitions` VALUES (183820, 9186, 34, 'द्वितीय');
INSERT INTO `lang_definitions` VALUES (183821, 9189, 34, 'द्वितीयक');
INSERT INTO `lang_definitions` VALUES (183822, 9191, 34, 'द्वितीयक बीमा');
INSERT INTO `lang_definitions` VALUES (183823, 9192, 34, 'द्वितीयक बीमा डाटा');
INSERT INTO `lang_definitions` VALUES (183824, 9193, 34, 'द्वितीयक बीमा प्रदाता');
INSERT INTO `lang_definitions` VALUES (183825, 9194, 34, 'द्वितीयक चिकित्सा प्रकार');
INSERT INTO `lang_definitions` VALUES (183826, 9207, 34, 'सुरक्षा');
INSERT INTO `lang_definitions` VALUES (183827, 9208, 34, 'सभी देखें');
INSERT INTO `lang_definitions` VALUES (183828, 9210, 34, 'प्राधिकरण देखें');
INSERT INTO `lang_definitions` VALUES (183829, 9213, 34, 'ग्रोथ चार्ट देखें');
INSERT INTO `lang_definitions` VALUES (183830, 9214, 34, 'उत्पन्न दावों के अंतिम सेट से संदेश देखें');
INSERT INTO `lang_definitions` VALUES (183831, 9218, 34, 'के बाद से देखा');
INSERT INTO `lang_definitions` VALUES (183832, 9220, 34, 'अनुभाग का नाम');
INSERT INTO `lang_definitions` VALUES (183833, 9221, 34, 'अनुभाग बैच दावा');
INSERT INTO `lang_definitions` VALUES (183834, 9222, 34, 'बरामदगी');
INSERT INTO `lang_definitions` VALUES (183835, 9223, 34, 'Sel');
INSERT INTO `lang_definitions` VALUES (183836, 9224, 34, 'चयन');
INSERT INTO `lang_definitions` VALUES (183837, 9225, 34, 'चयन');
INSERT INTO `lang_definitions` VALUES (183838, 9228, 34, 'एक संदर्भ का चयन करें');
INSERT INTO `lang_definitions` VALUES (183839, 9232, 34, 'एक प्रतिशत पंक्तियों चुनें या या तिथियाँ का चयन करें');
INSERT INTO `lang_definitions` VALUES (183840, 9235, 34, 'एक समय अवधि का चयन करें');
INSERT INTO `lang_definitions` VALUES (183841, 9236, 34, 'एक उपयोगकर्ता का चयन करें');
INSERT INTO `lang_definitions` VALUES (183842, 9239, 34, 'सभी चुनें');
INSERT INTO `lang_definitions` VALUES (183843, 9248, 34, 'छपाई के लिए CAMOS प्रविष्टियों का चयन करें');
INSERT INTO `lang_definitions` VALUES (183844, 9250, 34, 'श्रेणी का चयन करें');
INSERT INTO `lang_definitions` VALUES (183845, 9254, 34, 'हटाने के लिए संगत चेकबॉक्स चुनें');
INSERT INTO `lang_definitions` VALUES (183846, 9256, 34, 'हटाने के लिए मापदंडों का चयन करें');
INSERT INTO `lang_definitions` VALUES (183847, 9257, 34, 'CSV तालिका का चयन करें');
INSERT INTO `lang_definitions` VALUES (183848, 9260, 34, 'De Identification के लिए आवश्यक डाटा चयन करें');
INSERT INTO `lang_definitions` VALUES (183849, 9261, 34, 'De Identified डेटा में शामिल करने के लिए डेटा चयन करें');
INSERT INTO `lang_definitions` VALUES (183850, 9262, 34, 'तिथि का चयन करें');
INSERT INTO `lang_definitions` VALUES (183851, 9264, 34, 'इच्छित दस्ते का चयन करें');
INSERT INTO `lang_definitions` VALUES (183852, 9265, 34, 'निदान का चयन करें');
INSERT INTO `lang_definitions` VALUES (183853, 9267, 34, 'डी पहचान अनुरोध के लिए निदान का चयन करें');
INSERT INTO `lang_definitions` VALUES (183854, 9271, 34, 'दवाओं का चयन करें');
INSERT INTO `lang_definitions` VALUES (183855, 9272, 34, 'दवाओं का चयन करें');
INSERT INTO `lang_definitions` VALUES (183856, 9273, 34, 'डी पहचान अनुरोध के लिए ड्रग्स का चयन करें');
INSERT INTO `lang_definitions` VALUES (183857, 9274, 34, 'ईडीआई-271 फ़ाइल चुनें');
INSERT INTO `lang_definitions` VALUES (183858, 9276, 34, 'क्षेत्र चुनें');
INSERT INTO `lang_definitions` VALUES (183859, 9278, 34, 'क्षेत्र चुनें');
INSERT INTO `lang_definitions` VALUES (183860, 9279, 34, 'छपाई के लिए चयन करें');
INSERT INTO `lang_definitions` VALUES (183861, 9285, 34, 'टीकाकरण का चयन करें');
INSERT INTO `lang_definitions` VALUES (183862, 9286, 34, 'डी पहचान अनुरोध के लिए टीकाकरण का चयन करें');
INSERT INTO `lang_definitions` VALUES (183863, 9287, 34, 'टाइप करके, बीमा का चयन करें');
INSERT INTO `lang_definitions` VALUES (183864, 9288, 34, 'समस्या चुनें');
INSERT INTO `lang_definitions` VALUES (183865, 9291, 34, 'भाषा चुने');
INSERT INTO `lang_definitions` VALUES (183866, 9297, 34, 'एक का चयन करें');
INSERT INTO `lang_definitions` VALUES (183867, 9298, 34, 'सेवा का औचित्य साबित करने के लिए एक या एक से अधिक निदान कोड का चयन करें');
INSERT INTO `lang_definitions` VALUES (183868, 9299, 34, 'अपलोड करने के लिए एक या एक से अधिक फाइलों का चयन करें');
INSERT INTO `lang_definitions` VALUES (183869, 9321, 34, 'निर्यात करने के लिए विन्यास आइटम्स का चयन करें');
INSERT INTO `lang_definitions` VALUES (183870, 9328, 34, 'इस दिन,चूक गए घटनाओं के लिए मुख्य रूप से जिम्मेदार, मुद्दे का चयन करें');
INSERT INTO `lang_definitions` VALUES (183871, 9338, 34, 'चुनें प्रयोक्ता');
INSERT INTO `lang_definitions` VALUES (183872, 9340, 34, 'ड्रॉपडाउन सूची से उपयोगकर्ता चुनें');
INSERT INTO `lang_definitions` VALUES (183873, 9341, 34, 'कोई भाषा का चयन करें, यदि कोई हो, लॉग इन पर चुना जा सकता है. (केवल उचित अगर ऊपर सभी भाषाएँ बंद कर दिया है तो)');
INSERT INTO `lang_definitions` VALUES (183874, 9343, 34, 'समूह हटाने की पुष्टि करने के लिए हाँ का चयन करें');
INSERT INTO `lang_definitions` VALUES (183875, 9349, 34, 'चयनित');
INSERT INTO `lang_definitions` VALUES (183876, 9350, 34, 'चयनित मुठभेड़');
INSERT INTO `lang_definitions` VALUES (183877, 9355, 34, 'इसका चयन करना एक संदेश पैदा करेगा, लिए जिसे व्यक्तिगत रूप से प्रत्येक प्राप्तकर्ता के द्वारा संसाधित करने की आवश्यकता है. (यह एक समूह काम नहीं है).');
INSERT INTO `lang_definitions` VALUES (183878, 9357, 34, 'स्वयं');
INSERT INTO `lang_definitions` VALUES (183879, 9358, 34, 'स्वयं को अदा करें');
INSERT INTO `lang_definitions` VALUES (183880, 9360, 34, 'भेजें');
INSERT INTO `lang_definitions` VALUES (183881, 9361, 34, 'एक दिनांकित अनुस्मारक भेजें');
INSERT INTO `lang_definitions` VALUES (183882, 9362, 34, 'एक अनुस्मारक भेजें');
INSERT INTO `lang_definitions` VALUES (183883, 9369, 34, 'भेजें प्रगति पर');
INSERT INTO `lang_definitions` VALUES (183884, 9372, 34, 'संदेश भेजें');
INSERT INTO `lang_definitions` VALUES (183885, 9378, 34, 'अनुस्मारक बैच भेजें');
INSERT INTO `lang_definitions` VALUES (183886, 9379, 34, 'निवारक / अनुवर्ती कार्रवाई की देखभाल के लिए रोगी वरीयता प्रति रोगियों को अनुस्मारक भेजें.');
INSERT INTO `lang_definitions` VALUES (183887, 9383, 34, 'सिफ़ारिशों के साथ सारांश भेजें');
INSERT INTO `lang_definitions` VALUES (183888, 9384, 34, 'इस फाइल को भेजें');
INSERT INTO `lang_definitions` VALUES (183889, 9385, 34, 'यह संदेश भेजें');
INSERT INTO `lang_definitions` VALUES (183890, 9386, 34, 'को भेजें');
INSERT INTO `lang_definitions` VALUES (183891, 9389, 34, 'सभी को भेजें');
INSERT INTO `lang_definitions` VALUES (183892, 9395, 34, 'प्रेषक');
INSERT INTO `lang_definitions` VALUES (183893, 9396, 34, 'प्रेषक ID');
INSERT INTO `lang_definitions` VALUES (183894, 9397, 34, 'प्रेषक ID (ISA06)');
INSERT INTO `lang_definitions` VALUES (183895, 9398, 34, 'प्रेषक ID क्वालीफायर (ISA05)');
INSERT INTO `lang_definitions` VALUES (183896, 9399, 34, 'प्रेषक IDs के');
INSERT INTO `lang_definitions` VALUES (183897, 9406, 34, 'के लिए भेजा जा रहा है');
INSERT INTO `lang_definitions` VALUES (183898, 9407, 34, 'संवेदनशीलता');
INSERT INTO `lang_definitions` VALUES (183899, 9411, 34, 'संवेदनशीलता:');
INSERT INTO `lang_definitions` VALUES (183900, 9412, 34, 'संवेदी परीक्षा सामान्य');
INSERT INTO `lang_definitions` VALUES (183901, 9413, 34, 'भेजे गए');
INSERT INTO `lang_definitions` VALUES (183902, 9415, 34, 'द्वारा भेजे गए, सभी के लिए खाली छोड़ें');
INSERT INTO `lang_definitions` VALUES (183903, 9417, 34, 'तिथि भेजी गई');
INSERT INTO `lang_definitions` VALUES (183904, 9418, 34, 'आइटम भेजे गए');
INSERT INTO `lang_definitions` VALUES (183905, 9419, 34, 'मेडिकल रिकॉर्ड्स भेजा है?');
INSERT INTO `lang_definitions` VALUES (183906, 9420, 34, 'सफलतापूर्वक भेजा');
INSERT INTO `lang_definitions` VALUES (183907, 9423, 34, 'प्रिंटर के लिए भेजा.');
INSERT INTO `lang_definitions` VALUES (183908, 9424, 34, 'सभी के लिए खाली छोड़ दें, के लिए भेजा');
INSERT INTO `lang_definitions` VALUES (183909, 9426, 34, 'भेजा है, लेकिन अभी तक पुष्टि नहीं की.');
INSERT INTO `lang_definitions` VALUES (183910, 9427, 34, 'भेजा गया, प्राप्त नहीं');
INSERT INTO `lang_definitions` VALUES (183911, 9429, 34, 'सितंबर');
INSERT INTO `lang_definitions` VALUES (183912, 9430, 34, 'अलग किए गए');
INSERT INTO `lang_definitions` VALUES (183913, 9431, 34, 'सितंबर');
INSERT INTO `lang_definitions` VALUES (183914, 9432, 34, 'seq');
INSERT INTO `lang_definitions` VALUES (183915, 9433, 34, 'अनुक्रम');
INSERT INTO `lang_definitions` VALUES (183916, 9435, 34, 'Serv Rep');
INSERT INTO `lang_definitions` VALUES (183917, 9442, 34, 'सेवा');
INSERT INTO `lang_definitions` VALUES (183918, 9444, 34, 'सेवा श्रेणी');
INSERT INTO `lang_definitions` VALUES (183919, 9445, 34, 'सेवा संहिता');
INSERT INTO `lang_definitions` VALUES (183920, 9446, 34, 'सेवा संहिता वित्त रिपोर्टिंग');
INSERT INTO `lang_definitions` VALUES (183921, 9447, 34, 'सेवा संहिताएं');
INSERT INTO `lang_definitions` VALUES (183922, 9448, 34, 'सेवा दिनांक');
INSERT INTO `lang_definitions` VALUES (183923, 9451, 34, 'सेवा दिनांक:');
INSERT INTO `lang_definitions` VALUES (183924, 9455, 34, 'सेवा स्थान');
INSERT INTO `lang_definitions` VALUES (183925, 9456, 34, 'सेवा का नाम');
INSERT INTO `lang_definitions` VALUES (183926, 9457, 34, 'विशेषज्ञ द्वारा प्रदान की सेवा');
INSERT INTO `lang_definitions` VALUES (183927, 9459, 34, 'सेवा रिपोर्टिंग');
INSERT INTO `lang_definitions` VALUES (183928, 9460, 34, 'केवल रिपोर्टिंग सेवा');
INSERT INTO `lang_definitions` VALUES (183929, 9461, 34, 'सेवाएं');
INSERT INTO `lang_definitions` VALUES (183930, 9462, 34, 'श्रेणी द्वारा सेवाएं');
INSERT INTO `lang_definitions` VALUES (183931, 9463, 34, 'प्रदान की सेवाएं');
INSERT INTO `lang_definitions` VALUES (183932, 9464, 34, 'प्रदान की सेवाएं');
INSERT INTO `lang_definitions` VALUES (183933, 9465, 34, 'सेवाएं /उत्पादों के');
INSERT INTO `lang_definitions` VALUES (183934, 9466, 34, 'सत्र प्रकार');
INSERT INTO `lang_definitions` VALUES (183935, 9467, 34, 'समूह');
INSERT INTO `lang_definitions` VALUES (183936, 9468, 34, 'लॉगिन के बीच चयनित सुविधा याद करने के लिए एक सुविधा कुकी सेट करें.');
INSERT INTO `lang_definitions` VALUES (183937, 9469, 34, 'पूर्ण के रूप में सेट करें');
INSERT INTO `lang_definitions` VALUES (183938, 9475, 34, 'CDR इंजन आधारित रिपोर्ट के लिए प्रसंस्करण प्राथमिकता सेट करें.');
INSERT INTO `lang_definitions` VALUES (183939, 9476, 34, '(पूर्ण क्लिनिक मोड में) रोगी अनुस्मारक के निर्माण के लिए प्रसंस्करण प्राथमिकता सेट करें.');
INSERT INTO `lang_definitions` VALUES (183940, 9478, 34, 'पूर्ण निरपेक्ष पथ पर सेट करें. HTTPS के लिए ग्राहक SSL प्रमाणपत्र बनाने के लिए.');
INSERT INTO `lang_definitions` VALUES (183941, 9479, 34, 'के लिए सेट');
INSERT INTO `lang_definitions` VALUES (183942, 9480, 34, 'डिफ़ॉल्ट सेट');
INSERT INTO `lang_definitions` VALUES (183943, 9486, 34, 'डेटाबेस में संस्करण संख्या सेट कर रहा है ...');
INSERT INTO `lang_definitions` VALUES (183944, 9488, 34, 'सेटिंग्स');
INSERT INTO `lang_definitions` VALUES (183945, 9493, 34, 'गंभीर माइग्रेन');
INSERT INTO `lang_definitions` VALUES (183946, 9496, 34, 'दर्द की तीव्रता');
INSERT INTO `lang_definitions` VALUES (183947, 9497, 34, 'दर्द की तीव्रता:');
INSERT INTO `lang_definitions` VALUES (183948, 9498, 34, 'लिंग');
INSERT INTO `lang_definitions` VALUES (183949, 9499, 34, 'यौन संचारित रोग');
INSERT INTO `lang_definitions` VALUES (183950, 9500, 34, 'SFTP');
INSERT INTO `lang_definitions` VALUES (183951, 9502, 34, 'शा -1 हैश');
INSERT INTO `lang_definitions` VALUES (183952, 9503, 34, 'सहभाजन');
INSERT INTO `lang_definitions` VALUES (183953, 9504, 34, 'सर्वर से छपाई के लिए शैल कमांड.');
INSERT INTO `lang_definitions` VALUES (183954, 9507, 34, 'लघु विवरण');
INSERT INTO `lang_definitions` VALUES (183955, 9510, 34, 'सांस की तकलीफ');
INSERT INTO `lang_definitions` VALUES (183956, 9511, 34, 'सांस की तकलीफ');
INSERT INTO `lang_definitions` VALUES (183957, 9512, 34, 'सांस की तकलीफ 2');
INSERT INTO `lang_definitions` VALUES (183958, 9513, 34, 'लघु रिकॉर्ड');
INSERT INTO `lang_definitions` VALUES (183959, 9514, 34, 'तक लघु रिकॉर्ड');
INSERT INTO `lang_definitions` VALUES (183960, 9516, 34, 'nnnnn-nnnn-nn तरह होना चाहिए');
INSERT INTO `lang_definitions` VALUES (183961, 9517, 34, 'दो पत्र होने चाहिए');
INSERT INTO `lang_definitions` VALUES (183962, 9518, 34, '10 अंक होने चाहिए');
INSERT INTO `lang_definitions` VALUES (183963, 9519, 34, 'केवल 10 अंक होने चाहिए');
INSERT INTO `lang_definitions` VALUES (183964, 9520, 34, 'कंधा');
INSERT INTO `lang_definitions` VALUES (183965, 9521, 34, 'कंधा + हंसली');
INSERT INTO `lang_definitions` VALUES (183966, 9522, 34, 'कंधे की समस्या');
INSERT INTO `lang_definitions` VALUES (183967, 9523, 34, 'प्रदर्शन');
INSERT INTO `lang_definitions` VALUES (183968, 9524, 34, 'सक्रिय दिखाएँ');
INSERT INTO `lang_definitions` VALUES (183969, 9527, 34, 'सभी दिखाएँ');
INSERT INTO `lang_definitions` VALUES (183970, 9529, 34, 'सभी प्रक्रियाओं को दिखाएँ');
INSERT INTO `lang_definitions` VALUES (183971, 9531, 34, 'सभी लेनदेन दिखाएँ');
INSERT INTO `lang_definitions` VALUES (183972, 9532, 34, 'व्यस्त दिखाएँ');
INSERT INTO `lang_definitions` VALUES (183973, 9533, 34, 'केवल अधिकृत दिखाएँ');
INSERT INTO `lang_definitions` VALUES (183974, 9534, 34, 'उपलब्ध समय दिखाएँ');
INSERT INTO `lang_definitions` VALUES (183975, 9535, 34, 'अमेरिका और मीट्रिक दोनों दिखाएँ (मुख्य इकाई मीट्रिक है)');
INSERT INTO `lang_definitions` VALUES (183976, 9536, 34, 'अमेरिका और मीट्रिक दोनों दिखाएँ (मुख्य इकाई अमेरिका है)');
INSERT INTO `lang_definitions` VALUES (183977, 9540, 34, 'विवरण दिखाएँ');
INSERT INTO `lang_definitions` VALUES (183978, 9542, 34, 'केवल त्रुटियों को दिखाएँ?');
INSERT INTO `lang_definitions` VALUES (183979, 9544, 34, 'ग्राफ़ दिखाएं');
INSERT INTO `lang_definitions` VALUES (183980, 9546, 34, 'Mouseover पर मँडरा घटना पाठ दिखाएं?');
INSERT INTO `lang_definitions` VALUES (183981, 9547, 34, 'व्यवस्थापक पृष्ठों पर कितने घटनाओं को दिखाएं?');
INSERT INTO `lang_definitions` VALUES (183982, 9548, 34, 'निष्क्रिय दिखाएँ');
INSERT INTO `lang_definitions` VALUES (183983, 9552, 34, 'मेनू दिखाएं');
INSERT INTO `lang_definitions` VALUES (183984, 9553, 34, 'मीट्रिक ही दिखाएँ');
INSERT INTO `lang_definitions` VALUES (183985, 9556, 34, 'टिप्पणी दिखाएँ');
INSERT INTO `lang_definitions` VALUES (183986, 9558, 34, 'केवल न छोड़े गए प्रक्रियाओं को दिखाएँ');
INSERT INTO `lang_definitions` VALUES (183987, 9561, 34, 'रोगी टिप्पणी दिखाएँ');
INSERT INTO `lang_definitions` VALUES (183988, 9562, 34, 'पाउंड और औंस दिखाएँ');
INSERT INTO `lang_definitions` VALUES (183989, 9563, 34, 'दशमलव मान के रूप में पाउंड दिखाएँ');
INSERT INTO `lang_definitions` VALUES (183990, 9564, 34, 'प्राथमिक पूरा दिखाएँ');
INSERT INTO `lang_definitions` VALUES (183991, 9568, 34, 'अनुस्मारक दिखाएँ');
INSERT INTO `lang_definitions` VALUES (183992, 9569, 34, 'रिपोर्ट दिखाएँ');
INSERT INTO `lang_definitions` VALUES (183993, 9570, 34, 'खोज / पेश लिंक ब्लॉक में दिखाएँ?');
INSERT INTO `lang_definitions` VALUES (183994, 9574, 34, 'सूची जोड़ें विजेट के लिए कस्टम राज्य प्रपत्र (शीर्षक और संक्षिप्त के लिए पूछेंगे) दिखाएँ.');
INSERT INTO `lang_definitions` VALUES (183995, 9577, 34, 'मरीज ​​सारांश स्क्रीन पर यह श्रेणी दिखाये, भले ही इस श्रेणी के लिए कोई समस्या नहीं दर्ज किया गया है.');
INSERT INTO `lang_definitions` VALUES (183996, 9580, 34, 'केवल unbilled दिखाएँ');
INSERT INTO `lang_definitions` VALUES (183997, 9581, 34, 'अमेरिका ही दिखाएँ');
INSERT INTO `lang_definitions` VALUES (183998, 9585, 34, 'दिखा रहा है');
INSERT INTO `lang_definitions` VALUES (183999, 9589, 34, 'परिणाम दिखा रहा है');
INSERT INTO `lang_definitions` VALUES (184000, 9595, 34, 'सहोदर');
INSERT INTO `lang_definitions` VALUES (184001, 9596, 34, 'सिकल सेल');
INSERT INTO `lang_definitions` VALUES (184002, 9597, 34, 'हस्ताक्षर');
INSERT INTO `lang_definitions` VALUES (184003, 9598, 34, 'Sigmoid/Colonoscopy');
INSERT INTO `lang_definitions` VALUES (184004, 9601, 34, 'प्रयोगशाला के परिणाम पर हस्ताक्षर (addonly वैकल्पिक, लिखने)');
INSERT INTO `lang_definitions` VALUES (184005, 9603, 34, 'परिणाम पर हस्ताक्षर');
INSERT INTO `lang_definitions` VALUES (184006, 9606, 34, 'हस्ताक्षर');
INSERT INTO `lang_definitions` VALUES (184007, 9609, 34, 'हस्ताक्षर:');
INSERT INTO `lang_definitions` VALUES (184008, 9612, 34, 'Rx पर हस्ताक्षर किए');
INSERT INTO `lang_definitions` VALUES (184009, 9614, 34, 'उल्लेखनीय सूजन:');
INSERT INTO `lang_definitions` VALUES (184010, 9615, 34, 'सरलीकृत');
INSERT INTO `lang_definitions` VALUES (184011, 9616, 34, 'सरलीकृत सह भुगतान');
INSERT INTO `lang_definitions` VALUES (184012, 9617, 34, 'सरलीकृत जनसांख्यिकी');
INSERT INTO `lang_definitions` VALUES (184013, 9618, 34, 'सरलीकृत नुस्खे');
INSERT INTO `lang_definitions` VALUES (184014, 9619, 34, 'तब से');
INSERT INTO `lang_definitions` VALUES (184015, 9620, 34, 'निष्ठा से,');
INSERT INTO `lang_definitions` VALUES (184016, 9622, 34, 'एक');
INSERT INTO `lang_definitions` VALUES (184017, 9624, 34, 'एकल चयन सूची');
INSERT INTO `lang_definitions` VALUES (184018, 9625, 34, 'सूची में जोड़ने के क्षमता के साथ एकल चयन सूची');
INSERT INTO `lang_definitions` VALUES (184019, 9626, 34, 'एकमात्र');
INSERT INTO `lang_definitions` VALUES (184020, 9629, 34, 'साइनस की समस्या');
INSERT INTO `lang_definitions` VALUES (184021, 9630, 34, 'साइनस सर्जरी');
INSERT INTO `lang_definitions` VALUES (184022, 9631, 34, 'साइनस Tenderness:');
INSERT INTO `lang_definitions` VALUES (184023, 9632, 34, 'शिरानालशोथ');
INSERT INTO `lang_definitions` VALUES (184024, 9634, 34, 'स्थल');
INSERT INTO `lang_definitions` VALUES (184025, 9637, 34, 'स्थल ID');
INSERT INTO `lang_definitions` VALUES (184026, 9638, 34, 'मैडिकल इन्फोर्मेशन इंटीग्रेशन, LLC लैब विनिमय सेवा के लिए साइट ID.');
INSERT INTO `lang_definitions` VALUES (184027, 9639, 34, 'OpenEMR समर्थन LLC लैब विनिमय सेवा के लिए साइट ID.');
INSERT INTO `lang_definitions` VALUES (184028, 9643, 34, 'आकार');
INSERT INTO `lang_definitions` VALUES (184029, 9646, 34, 'आकार 1 और 999 के बीच में होनी चाहिए');
INSERT INTO `lang_definitions` VALUES (184030, 9648, 34, 'आकार / सूची');
INSERT INTO `lang_definitions` VALUES (184031, 9650, 34, 'त्वचा');
INSERT INTO `lang_definitions` VALUES (184032, 9651, 34, 'त्वचा कैंसर');
INSERT INTO `lang_definitions` VALUES (184033, 9652, 34, 'त्वचा रोग');
INSERT INTO `lang_definitions` VALUES (184034, 9653, 34, 'त्वचा अन्य');
INSERT INTO `lang_definitions` VALUES (184035, 9654, 34, 'रोगी टिप्पणी का प्राधिकरण छोड़ें');
INSERT INTO `lang_definitions` VALUES (184036, 9659, 34, 'अनुभाग छोड़ा जा रहा');
INSERT INTO `lang_definitions` VALUES (184037, 9660, 34, 'SQL लेजर डंप छोड़ा जा रहा - विंडोज सर्वर के लिए लागू नहीं');
INSERT INTO `lang_definitions` VALUES (184038, 9664, 34, 'सोने की प्रवृत्ति');
INSERT INTO `lang_definitions` VALUES (184039, 9665, 34, 'सोने की प्रवृत्ति');
INSERT INTO `lang_definitions` VALUES (184040, 9666, 34, 'शयन');
INSERT INTO `lang_definitions` VALUES (184041, 9668, 34, 'स्लोवाक देश');
INSERT INTO `lang_definitions` VALUES (184042, 9670, 34, 'SM ऋण w / o');
INSERT INTO `lang_definitions` VALUES (184043, 9675, 34, 'समझदार कैश साफ कर दिया गया है');
INSERT INTO `lang_definitions` VALUES (184044, 9676, 34, 'धूम्रपान करनेवाला, वर्तमान स्थिति अज्ञात');
INSERT INTO `lang_definitions` VALUES (184045, 9678, 34, 'धूम्रपान की स्थिति');
INSERT INTO `lang_definitions` VALUES (184046, 9680, 34, 'SMS Auth');
INSERT INTO `lang_definitions` VALUES (184047, 9683, 34, 'SMS गेटवे');
INSERT INTO `lang_definitions` VALUES (184048, 9684, 34, 'SMS गेटवे API कुंजी');
INSERT INTO `lang_definitions` VALUES (184049, 9685, 34, 'SMS गेटवे API कुंजी');
INSERT INTO `lang_definitions` VALUES (184050, 9686, 34, 'SMS गेटवे पारण');
INSERT INTO `lang_definitions` VALUES (184051, 9687, 34, 'SMS गेटवे उपयोगकर्ता नाम');
INSERT INTO `lang_definitions` VALUES (184052, 9689, 34, 'SMS अधिसूचना');
INSERT INTO `lang_definitions` VALUES (184053, 9690, 34, 'SMS अधिसूचना घंटे');
INSERT INTO `lang_definitions` VALUES (184054, 9693, 34, 'से पहले SMS भेजा');
INSERT INTO `lang_definitions` VALUES (184055, 9694, 34, 'SMS भेजा');
INSERT INTO `lang_definitions` VALUES (184056, 9697, 34, 'SMS पाठ, उपयोगी टैग: ***NAME***, ***PROVIDER***, ***DATE***, ***STARTTIME***, ***ENDTIME***<br> i.e. Dear ***NAME***');
INSERT INTO `lang_definitions` VALUES (184057, 9701, 34, 'SMS के / ईमेल अलर्ट सेटिंग');
INSERT INTO `lang_definitions` VALUES (184058, 9703, 34, 'प्रमाणीकरण के लिए SMTP पारण');
INSERT INTO `lang_definitions` VALUES (184059, 9706, 34, 'SMTP सर्वर होस्ट नाम');
INSERT INTO `lang_definitions` VALUES (184060, 9707, 34, 'SMTP सर्वर पोर्ट नंबर');
INSERT INTO `lang_definitions` VALUES (184061, 9708, 34, 'प्रमाणीकरण के लिए SMTP उपयोगकर्ता');
INSERT INTO `lang_definitions` VALUES (184062, 9709, 34, 'SNOMED');
INSERT INTO `lang_definitions` VALUES (184063, 9710, 34, 'SNOMED (RF1) नैदानिक ​​शब्द');
INSERT INTO `lang_definitions` VALUES (184064, 9711, 34, 'SNOMED (RF1) निदान');
INSERT INTO `lang_definitions` VALUES (184065, 9712, 34, 'SNOMED (RF1) प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (184066, 9714, 34, 'SNOMED (RF2) निदान');
INSERT INTO `lang_definitions` VALUES (184067, 9716, 34, 'SNOMED नैदानिक ​​शब्द');
INSERT INTO `lang_definitions` VALUES (184068, 9717, 34, 'SNOMED डाटाबेस');
INSERT INTO `lang_definitions` VALUES (184069, 9718, 34, 'SNOMED निदान');
INSERT INTO `lang_definitions` VALUES (184070, 9719, 34, 'SNOMED प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (184071, 9721, 34, 'खर्राटे');
INSERT INTO `lang_definitions` VALUES (184072, 9722, 34, 'SOAP');
INSERT INTO `lang_definitions` VALUES (184073, 9726, 34, 'सामाजिक कठिनाइयों');
INSERT INTO `lang_definitions` VALUES (184074, 9729, 34, 'सामाजिक इतिहास:');
INSERT INTO `lang_definitions` VALUES (184075, 9730, 34, 'सामाजिक सुरक्षा नंबर');
INSERT INTO `lang_definitions` VALUES (184076, 9732, 34, 'समाधान');
INSERT INTO `lang_definitions` VALUES (184077, 9734, 34, 'सोमेटिक संदर्भ');
INSERT INTO `lang_definitions` VALUES (184078, 9735, 34, 'कुछ प्राधिकरण प्रदर्शित नहीं. सभी को देखने के लिए यहां क्लिक करें');
INSERT INTO `lang_definitions` VALUES (184079, 9736, 34, 'कुछ कोड प्रदर्शित नहीं.');
INSERT INTO `lang_definitions` VALUES (184080, 9737, 34, 'कुछ मुठभेड़ प्रदर्शित नहीं. सभी को देखने के लिए यहां क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (184081, 9738, 34, 'कुछ त्रुटि De Identification की प्रक्रिया के दौरान उत्पन्न हुई');
INSERT INTO `lang_definitions` VALUES (184082, 9740, 34, 'कुछ नोट्स प्रदर्शित नहीं.');
INSERT INTO `lang_definitions` VALUES (184083, 9741, 34, 'कुछ कार्यालय नोट्स प्रदर्शित नहीं. सभी को देखने के लिए यहां क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (184084, 9743, 34, 'कुछ शब्द');
INSERT INTO `lang_definitions` VALUES (184085, 9747, 34, 'कुछ गलत हो गया. पुन: प्रयास करें.');
INSERT INTO `lang_definitions` VALUES (184086, 9748, 34, 'जल्द ही लंबित अंतराल (क्लीनिकल अनुस्मारक)');
INSERT INTO `lang_definitions` VALUES (184087, 9749, 34, 'जल्द ही लंबित अंतराल (रोगी अनुस्मारक)');
INSERT INTO `lang_definitions` VALUES (184088, 9750, 34, 'गले में ख़राश');
INSERT INTO `lang_definitions` VALUES (184089, 9751, 34, 'क्षमा कोई नियुक्ति तय नहीं हो गई है');
INSERT INTO `lang_definitions` VALUES (184090, 9754, 34, 'क्षमा करें, आपकी फ़ाइल अपलोड करने में कोई समस्या थी');
INSERT INTO `lang_definitions` VALUES (184091, 9758, 34, 'क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (184092, 9759, 34, 'क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (184093, 9761, 34, 'क्रमबद्ध Checksum द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (184094, 9762, 34, 'टिप्पणियाँ द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (184095, 9763, 34, 'Crt प्रयोक्ता द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (184096, 9764, 34, 'तिथि द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (184097, 9765, 34, 'तिथि / समय द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (184098, 9766, 34, 'घटना द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (184099, 9767, 34, 'समूह द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (184100, 9770, 34, 'PatientID द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (184101, 9772, 34, 'क्रमबद्ध सफलता से');
INSERT INTO `lang_definitions` VALUES (184102, 9774, 34, 'उपयोगकर्ता द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (184103, 9775, 34, 'टीकाकरण द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (184104, 9776, 34, 'नीचे क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (184105, 9777, 34, 'परिणाम द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (184106, 9778, 34, 'ऊपर क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (184107, 9779, 34, 'स्रोत');
INSERT INTO `lang_definitions` VALUES (184108, 9781, 34, 'स्रोत फ़ाइल');
INSERT INTO `lang_definitions` VALUES (184109, 9782, 34, 'स्रोत फ़ाइल पथ');
INSERT INTO `lang_definitions` VALUES (184110, 9783, 34, 'स्रोत कोड के लिए लापता है');
INSERT INTO `lang_definitions` VALUES (184111, 9784, 34, 'स्रोत लॉट');
INSERT INTO `lang_definitions` VALUES (184112, 9786, 34, 'स्रोत रोगी');
INSERT INTO `lang_definitions` VALUES (184113, 9787, 34, 'स्रोत रोगी को जन्म तिथि नहीं है');
INSERT INTO `lang_definitions` VALUES (184114, 9788, 34, 'स्रोत रोगी नहीं मिला');
INSERT INTO `lang_definitions` VALUES (184115, 9789, 34, 'स्रोत:');
INSERT INTO `lang_definitions` VALUES (184116, 9792, 34, 'अंतरिक्ष');
INSERT INTO `lang_definitions` VALUES (184117, 9793, 34, 'अंतरिक्ष');
INSERT INTO `lang_definitions` VALUES (184118, 9795, 34, 'स्पेनिश देश');
INSERT INTO `lang_definitions` VALUES (184119, 9796, 34, 'स्पेनिश (लैटिन अमेरिकी)');
INSERT INTO `lang_definitions` VALUES (184120, 9797, 34, 'स्पेनिश (स्पेन)');
INSERT INTO `lang_definitions` VALUES (184121, 9799, 34, 'विशेष वर्ण की अनुमति नहीं है');
INSERT INTO `lang_definitions` VALUES (184122, 9800, 34, 'नब्ज प्रपत्र के लिए विशेष उपचार');
INSERT INTO `lang_definitions` VALUES (184123, 9801, 34, 'विशेषज्ञ');
INSERT INTO `lang_definitions` VALUES (184124, 9802, 34, 'विशेषज्ञ का नाम और हस्ताक्षर');
INSERT INTO `lang_definitions` VALUES (184125, 9804, 34, 'विशेषता');
INSERT INTO `lang_definitions` VALUES (184126, 9805, 34, 'विशेषता प्रणाली');
INSERT INTO `lang_definitions` VALUES (184127, 9806, 34, 'विशेषता:');
INSERT INTO `lang_definitions` VALUES (184128, 9807, 34, 'विशिष्ट');
INSERT INTO `lang_definitions` VALUES (184129, 9808, 34, 'विशिष्ट अनुप्रयोग');
INSERT INTO `lang_definitions` VALUES (184130, 9809, 34, 'विशिष्ट गर्भनिरोधक सेवा');
INSERT INTO `lang_definitions` VALUES (184131, 9810, 34, 'विशिष्ट परिणाम');
INSERT INTO `lang_definitions` VALUES (184132, 9811, 34, 'विशिष्ट सेवा');
INSERT INTO `lang_definitions` VALUES (184133, 9812, 34, 'निर्दिष्ट');
INSERT INTO `lang_definitions` VALUES (184134, 9813, 34, 'Specifies formatting for codes. # = digit, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (184135, 9814, 34, 'Specifies formatting for codes. # = digit, @ = alpha, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (184136, 9815, 34, 'Specifies formatting for invoice reference numbers. # = digit, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (184137, 9816, 34, 'Specifies formatting for invoice reference numbers. # = digit, @ = alpha, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (184138, 9817, 34, 'Specifies formatting for product NDC fields. # = digit, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (184139, 9818, 34, 'Specifies formatting for product NDC fields. # = digit, @ = alpha, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (184140, 9819, 34, 'Specifies formatting for the external patient ID. # = digit, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (184141, 9820, 34, 'Specifies formatting for the external patient ID. # = digit, @ = alpha, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (184142, 9823, 34, 'नमूना');
INSERT INTO `lang_definitions` VALUES (184143, 9824, 34, 'नमूना संख्या / पहचानकर्ता');
INSERT INTO `lang_definitions` VALUES (184144, 9825, 34, 'नमूना प्रकार');
INSERT INTO `lang_definitions` VALUES (184145, 9827, 34, 'भाषण श्रुतलेख');
INSERT INTO `lang_definitions` VALUES (184146, 9828, 34, 'शुक्राणुनाशक');
INSERT INTO `lang_definitions` VALUES (184147, 9831, 34, 'स्प्लेनेक्टोमी');
INSERT INTO `lang_definitions` VALUES (184148, 9832, 34, 'पति');
INSERT INTO `lang_definitions` VALUES (184149, 9834, 34, 'थूक');
INSERT INTO `lang_definitions` VALUES (184150, 9835, 34, 'थूक:');
INSERT INTO `lang_definitions` VALUES (184151, 9836, 34, 'SQ');
INSERT INTO `lang_definitions` VALUES (184152, 9839, 34, 'दस्ता');
INSERT INTO `lang_definitions` VALUES (184153, 9840, 34, 'दस्ते सदस्यता');
INSERT INTO `lang_definitions` VALUES (184154, 9841, 34, 'दस्ते');
INSERT INTO `lang_definitions` VALUES (184155, 9843, 34, 'SRH');
INSERT INTO `lang_definitions` VALUES (184156, 9844, 34, 'SRH - परिवार नियोजन');
INSERT INTO `lang_definitions` VALUES (184157, 9845, 34, 'SRH गैर परिवार नियोजन');
INSERT INTO `lang_definitions` VALUES (184158, 9846, 34, 'SRH सिफ़ारिशें');
INSERT INTO `lang_definitions` VALUES (184159, 9847, 34, 'SRH भेंट प्रपत्र');
INSERT INTO `lang_definitions` VALUES (184160, 9848, 34, 'SRV तिथि');
INSERT INTO `lang_definitions` VALUES (184161, 9849, 34, 'SS');
INSERT INTO `lang_definitions` VALUES (184162, 9850, 34, 'SSL प्रमाणपत्र प्रशासन');
INSERT INTO `lang_definitions` VALUES (184163, 9851, 34, 'SSN');
INSERT INTO `lang_definitions` VALUES (184164, 9852, 34, 'स्थिरता');
INSERT INTO `lang_definitions` VALUES (184165, 9854, 34, 'रिलीज स्टेज्ड');
INSERT INTO `lang_definitions` VALUES (184166, 9855, 34, 'मानक');
INSERT INTO `lang_definitions` VALUES (184167, 9857, 34, 'मानक कोड');
INSERT INTO `lang_definitions` VALUES (184168, 9860, 34, 'मानक उपाय');
INSERT INTO `lang_definitions` VALUES (184169, 9861, 34, 'मानक उपाय (सक्रिय अलर्ट)');
INSERT INTO `lang_definitions` VALUES (184170, 9862, 34, 'मानक उपाय (निष्क्रिय अलर्ट)');
INSERT INTO `lang_definitions` VALUES (184171, 9863, 34, 'मानक उपाय (रोगी अनुस्मारक)');
INSERT INTO `lang_definitions` VALUES (184172, 9864, 34, 'मानक नाम');
INSERT INTO `lang_definitions` VALUES (184173, 9865, 34, 'Standard; Simplified: only title, start date, comments and an Active checkbox;no diagnosis, occurrence, end date, referred-by or sports fields. ; Football Injury');
INSERT INTO `lang_definitions` VALUES (184174, 9866, 34, 'प्रारंभ');
INSERT INTO `lang_definitions` VALUES (184175, 9867, 34, 'प्रारंभ (YYYY-MM-DD) :');
INSERT INTO `lang_definitions` VALUES (184176, 9868, 34, 'एक अन्य रिपोर्ट प्रारंभ');
INSERT INTO `lang_definitions` VALUES (184177, 9874, 34, 'प्रारंभ तिथि');
INSERT INTO `lang_definitions` VALUES (184178, 9876, 34, 'इस क्लिनिक में प्रारंभ तिथि');
INSERT INTO `lang_definitions` VALUES (184179, 9877, 34, 'प्रारंभ तिथि समाप्ति तिथि से बड़ा नहीं होना चाहिए');
INSERT INTO `lang_definitions` VALUES (184180, 9878, 34, 'प्रारंभ तिथि:');
INSERT INTO `lang_definitions` VALUES (184181, 9879, 34, 'प्रारंभ तिथि:');
INSERT INTO `lang_definitions` VALUES (184182, 9881, 34, 'प्रारंभ समय');
INSERT INTO `lang_definitions` VALUES (184183, 9884, 34, 'तिथि शुरू');
INSERT INTO `lang_definitions` VALUES (184184, 9888, 34, 'stat');
INSERT INTO `lang_definitions` VALUES (184185, 9889, 34, 'राज्य');
INSERT INTO `lang_definitions` VALUES (184186, 9890, 34, 'राज्य डेटा प्रकार');
INSERT INTO `lang_definitions` VALUES (184187, 9891, 34, 'राज्य एलआईसी. #');
INSERT INTO `lang_definitions` VALUES (184188, 9892, 34, 'राज्य लाइसेंस संख्या');
INSERT INTO `lang_definitions` VALUES (184189, 9893, 34, 'राज्य सूची');
INSERT INTO `lang_definitions` VALUES (184190, 9894, 34, 'राज्य सूची (addonly वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (184191, 9896, 34, 'राज्य सूची विजेट कस्टम फील्ड्स');
INSERT INTO `lang_definitions` VALUES (184192, 9897, 34, 'राज्य या प्रांत');
INSERT INTO `lang_definitions` VALUES (184193, 9898, 34, 'राज्य / इलाका');
INSERT INTO `lang_definitions` VALUES (184194, 9899, 34, 'राज्य / पैरिश');
INSERT INTO `lang_definitions` VALUES (184195, 9903, 34, 'बयान सारांश');
INSERT INTO `lang_definitions` VALUES (184196, 9904, 34, 'बयान और अद्यतन चालान.');
INSERT INTO `lang_definitions` VALUES (184197, 9906, 34, 'भेजे गए बयान:');
INSERT INTO `lang_definitions` VALUES (184198, 9907, 34, 'बयान; चालान अद्यतन नहीं किया जाएगा.');
INSERT INTO `lang_definitions` VALUES (184199, 9908, 34, 'स्टेटिक पाठ');
INSERT INTO `lang_definitions` VALUES (184200, 9909, 34, 'आंकड़े');
INSERT INTO `lang_definitions` VALUES (184201, 9910, 34, 'आँकड़े');
INSERT INTO `lang_definitions` VALUES (184202, 9911, 34, 'स्थिति');
INSERT INTO `lang_definitions` VALUES (184203, 9914, 34, 'प्रवेश की स्थिति');
INSERT INTO `lang_definitions` VALUES (184204, 9915, 34, 'दावे की स्थिति');
INSERT INTO `lang_definitions` VALUES (184205, 9916, 34, 'यथास्थिति');
INSERT INTO `lang_definitions` VALUES (184206, 9918, 34, 'STD / AIDS Couns');
INSERT INTO `lang_definitions` VALUES (184207, 9919, 34, 'Stength और कंडीशनिंग');
INSERT INTO `lang_definitions` VALUES (184208, 9925, 34, 'DSM IV डेटाबेस को स्थापित करने के लिए कदम');
INSERT INTO `lang_definitions` VALUES (184209, 9926, 34, 'आईसीडी 10 डेटाबेस को स्थापित करने के लिए कदम');
INSERT INTO `lang_definitions` VALUES (184210, 9927, 34, 'आईसीडी 9 डेटाबेस को स्थापित करने के लिए कदम');
INSERT INTO `lang_definitions` VALUES (184211, 9928, 34, 'RxNorm डेटाबेस को स्थापित करने के लिए कदम');
INSERT INTO `lang_definitions` VALUES (184212, 9929, 34, 'Snomed डेटाबेस को स्थापित करने के लिए कदम');
INSERT INTO `lang_definitions` VALUES (184213, 9932, 34, 'कड़े जोड़');
INSERT INTO `lang_definitions` VALUES (184214, 9933, 34, 'कठोरता');
INSERT INTO `lang_definitions` VALUES (184215, 9935, 34, 'स्टॉक महीने');
INSERT INTO `lang_definitions` VALUES (184216, 9936, 34, 'पेट में दर्द');
INSERT INTO `lang_definitions` VALUES (184217, 9942, 34, 'संग्रहित हैश');
INSERT INTO `lang_definitions` VALUES (184218, 9944, 34, 'मांसपेशियों का तनाव');
INSERT INTO `lang_definitions` VALUES (184219, 9946, 34, 'धारा');
INSERT INTO `lang_definitions` VALUES (184220, 9947, 34, 'सड़क');
INSERT INTO `lang_definitions` VALUES (184221, 9948, 34, 'सड़क पता');
INSERT INTO `lang_definitions` VALUES (184222, 9949, 34, 'सड़क और संख्या');
INSERT INTO `lang_definitions` VALUES (184223, 9950, 34, 'शक्ति');
INSERT INTO `lang_definitions` VALUES (184224, 9952, 34, 'strep गले का');
INSERT INTO `lang_definitions` VALUES (184225, 9953, 34, 'तनाव अस्थिभंग');
INSERT INTO `lang_definitions` VALUES (184226, 9954, 34, 'तनाव टेस्ट');
INSERT INTO `lang_definitions` VALUES (184227, 9956, 34, 'स्ट्रोक');
INSERT INTO `lang_definitions` VALUES (184228, 9958, 34, 'मजबूत पासवर्ड का मतलब है कम से कम 8 वर्ण, और निम्न में से कम से कम तीन: एक नंबर, एक छोटा अक्षर, एक अपरकेस पत्र, एक विशेष चरित्र.');
INSERT INTO `lang_definitions` VALUES (184229, 9960, 34, 'शैली');
INSERT INTO `lang_definitions` VALUES (184230, 9961, 34, 'नए रोगियों को जोड़ने के लिए इस्तेमाल की प्रपत्र की शैली');
INSERT INTO `lang_definitions` VALUES (184231, 9965, 34, 'उप-श्रेणी');
INSERT INTO `lang_definitions` VALUES (184232, 9966, 34, 'उप - कुल');
INSERT INTO `lang_definitions` VALUES (184233, 9967, 34, 'उपश्रेणी');
INSERT INTO `lang_definitions` VALUES (184234, 9968, 34, 'उपश्रेणी');
INSERT INTO `lang_definitions` VALUES (184235, 9969, 34, 'subcutaneously');
INSERT INTO `lang_definitions` VALUES (184236, 9970, 34, 'विषय');
INSERT INTO `lang_definitions` VALUES (184237, 9971, 34, 'आत्मनिष्ठ');
INSERT INTO `lang_definitions` VALUES (184238, 9972, 34, 'sublingual');
INSERT INTO `lang_definitions` VALUES (184239, 9973, 34, 'sublingual');
INSERT INTO `lang_definitions` VALUES (184240, 9974, 34, 'जमा करना');
INSERT INTO `lang_definitions` VALUES (184241, 9975, 34, 'जमा करना');
INSERT INTO `lang_definitions` VALUES (184242, 9976, 34, 'सभी सामग्री जमा करें');
INSERT INTO `lang_definitions` VALUES (184243, 9979, 34, 'घटना जमा करें');
INSERT INTO `lang_definitions` VALUES (184244, 9980, 34, 'प्रपत्र जमा करें');
INSERT INTO `lang_definitions` VALUES (184245, 9982, 34, 'चुना गया कंटेन्ट जमा करें');
INSERT INTO `lang_definitions` VALUES (184246, 9984, 34, 'जमा किया');
INSERT INTO `lang_definitions` VALUES (184247, 9985, 34, 'द्वारा जमा किया');
INSERT INTO `lang_definitions` VALUES (184248, 9986, 34, 'जमाकर्ता ईडीआई पहुंच नंबर (PER06)');
INSERT INTO `lang_definitions` VALUES (184249, 9987, 34, 'अभिदाता');
INSERT INTO `lang_definitions` VALUES (184250, 9988, 34, 'अभिदाता पता');
INSERT INTO `lang_definitions` VALUES (184251, 9992, 34, 'अभिदाता नियोक्ता');
INSERT INTO `lang_definitions` VALUES (184252, 9993, 34, 'अभिदाता नियोक्ता (एसई)');
INSERT INTO `lang_definitions` VALUES (184253, 9994, 34, 'अभिदाता नियोक्ता पता');
INSERT INTO `lang_definitions` VALUES (184254, 9995, 34, 'अभिदाता नियोक्ता सिटी');
INSERT INTO `lang_definitions` VALUES (184255, 9996, 34, 'अभिदाता नियोक्ता देश');
INSERT INTO `lang_definitions` VALUES (184256, 9997, 34, 'अभिदाता नियोक्ता राज्य');
INSERT INTO `lang_definitions` VALUES (184257, 10000, 34, 'अभिदाता नियोक्ता पिन कोड');
INSERT INTO `lang_definitions` VALUES (184258, 10005, 34, 'अभिदाता फोन');
INSERT INTO `lang_definitions` VALUES (184259, 10006, 34, 'अभिदाता रिश्ता');
INSERT INTO `lang_definitions` VALUES (184260, 10007, 34, 'अभिदाता संबंध स्वयं नहीं है लेकिन नाम एक ही है! यह वास्तव में ठीक है?');
INSERT INTO `lang_definitions` VALUES (184261, 10008, 34, 'अभिदाता संबंध स्वयं नहीं है लेकिन SS संख्या एक ही है!');
INSERT INTO `lang_definitions` VALUES (184262, 10009, 34, 'अभिदाता संबंध स्वयं है लेकिन नाम अलग है! यह वास्तव में ठीक है?');
INSERT INTO `lang_definitions` VALUES (184263, 10010, 34, 'अभिदाता संबंध स्वयं है लेकिन SS संख्या अलग है!');
INSERT INTO `lang_definitions` VALUES (184264, 10011, 34, 'अभिदाता लिंग');
INSERT INTO `lang_definitions` VALUES (184265, 10020, 34, 'प्रतिस्थापन');
INSERT INTO `lang_definitions` VALUES (184266, 10021, 34, 'अनुमति दी प्रतिस्थापन की');
INSERT INTO `lang_definitions` VALUES (184267, 10024, 34, 'सफलता');
INSERT INTO `lang_definitions` VALUES (184268, 10025, 34, 'सफलता');
INSERT INTO `lang_definitions` VALUES (184269, 10026, 34, 'प्रयोगशाला परिणाम की सफलता की पुष्टि रसीद');
INSERT INTO `lang_definitions` VALUES (184270, 10027, 34, 'प्रयोगशाला के परिणाम प्राप्ति में सफलता');
INSERT INTO `lang_definitions` VALUES (184271, 10028, 34, 'लैब एक्सचेंज नेटवर्क से परिणाम प्राप्ति में सफलता');
INSERT INTO `lang_definitions` VALUES (184272, 10030, 34, 'सफलतापूर्वक श्रेणी जोड़ा');
INSERT INTO `lang_definitions` VALUES (184273, 10031, 34, 'सफलतापूर्वक, श्रेणी में जोड़ा');
INSERT INTO `lang_definitions` VALUES (184274, 10033, 34, 'सफलतापूर्वक नष्ट कर दिया');
INSERT INTO `lang_definitions` VALUES (184275, 10035, 34, 'सफलतापूर्वक डेटाबेस स्थापित.');
INSERT INTO `lang_definitions` VALUES (184276, 10036, 34, 'सफलतापूर्वक निम्न डेटाबेस स्थापित');
INSERT INTO `lang_definitions` VALUES (184277, 10037, 34, 'सफलतापूर्वक संशोधित');
INSERT INTO `lang_definitions` VALUES (184278, 10039, 34, 'सफलतापूर्वक सहेजा गया. आप आवंटित करना चाहेंगे?');
INSERT INTO `lang_definitions` VALUES (184279, 10040, 34, 'सफलतापूर्वक सहेजा गया. आप वितरित करना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (184280, 10042, 34, 'सफलतापूर्वक संग्रहीत.');
INSERT INTO `lang_definitions` VALUES (184281, 10044, 34, 'सफलतापूर्वक डेटाबेस का उन्नयन.');
INSERT INTO `lang_definitions` VALUES (184282, 10045, 34, 'सफलतापूर्वक निम्न डेटाबेस उन्नत बनाया');
INSERT INTO `lang_definitions` VALUES (184283, 10046, 34, 'सफलतापूर्वक.');
INSERT INTO `lang_definitions` VALUES (184284, 10049, 34, 'आत्महत्या');
INSERT INTO `lang_definitions` VALUES (184285, 10051, 34, 'सारांश');
INSERT INTO `lang_definitions` VALUES (184286, 10052, 34, 'का सारांश');
INSERT INTO `lang_definitions` VALUES (184287, 10058, 34, 'Sun');
INSERT INTO `lang_definitions` VALUES (184288, 10060, 34, 'रविवार');
INSERT INTO `lang_definitions` VALUES (184289, 10061, 34, 'Superbill');
INSERT INTO `lang_definitions` VALUES (184290, 10062, 34, 'Superbill संहिताएं');
INSERT INTO `lang_definitions` VALUES (184291, 10063, 34, 'Superbill संहिताएं प्रशासन');
INSERT INTO `lang_definitions` VALUES (184292, 10065, 34, 'Superbill रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (184293, 10066, 34, 'Superbill / शुल्क शीट');
INSERT INTO `lang_definitions` VALUES (184294, 10067, 34, 'Superbills');
INSERT INTO `lang_definitions` VALUES (184295, 10068, 34, 'Superbills कभी कभी मुठभेड़ प्रपत्र या रूटिंग स्लिप्स के रूप में संदर्भित किया जाता है, अधिकांश चिकित्सा पद्धतियों का एक आवश्यक हिस्सा हैं.');
INSERT INTO `lang_definitions` VALUES (184296, 10069, 34, 'उत्कृष्ट उपयोगकर्ता');
INSERT INTO `lang_definitions` VALUES (184297, 10071, 34, 'पर्यवेक्षण');
INSERT INTO `lang_definitions` VALUES (184298, 10073, 34, 'पर्यवेक्षण डॉक्टर डीईए');
INSERT INTO `lang_definitions` VALUES (184299, 10074, 34, 'पर्यवेक्षण डॉक्टर पहले नाम');
INSERT INTO `lang_definitions` VALUES (184300, 10075, 34, 'पर्यवेक्षण डॉक्टर अंतिम नाम');
INSERT INTO `lang_definitions` VALUES (184301, 10076, 34, 'पर्यवेक्षण डॉक्टर NPI');
INSERT INTO `lang_definitions` VALUES (184302, 10077, 34, 'पर्यवेक्षण डॉक्टर UPIN');
INSERT INTO `lang_definitions` VALUES (184303, 10081, 34, 'प्रदायक सुविधा नाम');
INSERT INTO `lang_definitions` VALUES (184304, 10082, 34, 'कई प्रदाताओं पर लागू होने वाली कैलेंडर घटनाओं का समर्थन करें');
INSERT INTO `lang_definitions` VALUES (184305, 10083, 34, 'बैकअप पृष्ठ के माध्यम से विन्यास डेटा का आयात /निर्यात समर्थन करें.');
INSERT INTO `lang_definitions` VALUES (184306, 10084, 34, 'मल्टी प्रदाता घटनाक्रम का समर्थन करें');
INSERT INTO `lang_definitions` VALUES (184307, 10088, 34, 'TripleDES एन्क्रिप्शन / डिक्रिप्शन ही समर्थन करता है.');
INSERT INTO `lang_definitions` VALUES (184308, 10090, 34, 'भूतल के प्रकार');
INSERT INTO `lang_definitions` VALUES (184309, 10092, 34, 'सर्जरी');
INSERT INTO `lang_definitions` VALUES (184310, 10093, 34, 'सर्जरी');
INSERT INTO `lang_definitions` VALUES (184311, 10094, 34, 'सर्जरी समस्या सूची');
INSERT INTO `lang_definitions` VALUES (184312, 10095, 34, 'निलंबित');
INSERT INTO `lang_definitions` VALUES (184313, 10096, 34, 'निलंबन');
INSERT INTO `lang_definitions` VALUES (184314, 10098, 34, 'Svc तिथि');
INSERT INTO `lang_definitions` VALUES (184315, 10099, 34, 'Svc तिथि:');
INSERT INTO `lang_definitions` VALUES (184316, 10102, 34, 'पसीना:');
INSERT INTO `lang_definitions` VALUES (184317, 10103, 34, 'स्वीडिश देश');
INSERT INTO `lang_definitions` VALUES (184318, 10104, 34, 'सूजन');
INSERT INTO `lang_definitions` VALUES (184319, 10105, 34, 'सूजन अधिकार');
INSERT INTO `lang_definitions` VALUES (184320, 10106, 34, 'जोड़ों में सूजन');
INSERT INTO `lang_definitions` VALUES (184321, 10107, 34, 'सूजी हुई लिम्फ नोड्स');
INSERT INTO `lang_definitions` VALUES (184322, 10108, 34, 'मुद्रा के लिए दशमलव बिंदु के रूप में इस्तेमाल किया प्रतीक. दशमलव स्थान 0 है, तो उपयोग नहीं किया जाता.');
INSERT INTO `lang_definitions` VALUES (184323, 10109, 34, 'मुद्रा के लिए हजार अलग करने के लिए इस्तेमाल किया प्रतीक.');
INSERT INTO `lang_definitions` VALUES (184324, 10110, 34, 'लक्षण');
INSERT INTO `lang_definitions` VALUES (184325, 10111, 34, 'समकालित करें');
INSERT INTO `lang_definitions` VALUES (184326, 10112, 34, 'कस्टम भाषा तालिका के साथ अनुवाद समकालित करें.');
INSERT INTO `lang_definitions` VALUES (184327, 10113, 34, 'नए कस्टम निरंतर समकालित करें:');
INSERT INTO `lang_definitions` VALUES (184328, 10114, 34, 'नए कस्टम भाषा समकालित करें:');
INSERT INTO `lang_definitions` VALUES (184329, 10115, 34, 'नई परिभाषा (भाषा, स्थिर, परिभाषा) समकालित करें:');
INSERT INTO `lang_definitions` VALUES (184330, 10116, 34, 'बेहोशी');
INSERT INTO `lang_definitions` VALUES (184331, 10117, 34, 'संलक्षण निगरानी');
INSERT INTO `lang_definitions` VALUES (184332, 10118, 34, 'संलक्षण निगरानी - गैर मुद्दों की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (184333, 10119, 34, 'संलक्षण निगरानी रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (184334, 10120, 34, 'श्लेषक कलाशोथ, चोट, स्नेहपुटीशोथ');
INSERT INTO `lang_definitions` VALUES (184335, 10121, 34, 'प्रणाली');
INSERT INTO `lang_definitions` VALUES (184336, 10128, 34, 'T');
INSERT INTO `lang_definitions` VALUES (184337, 10130, 34, 't.i.d.');
INSERT INTO `lang_definitions` VALUES (184338, 10131, 34, 'दूरदर्शन');
INSERT INTO `lang_definitions` VALUES (184339, 10133, 34, 'तालिका');
INSERT INTO `lang_definitions` VALUES (184340, 10137, 34, 'तालिका निर्माण विफल');
INSERT INTO `lang_definitions` VALUES (184341, 10138, 34, 'तालिका अद्यतन विफल');
INSERT INTO `lang_definitions` VALUES (184342, 10140, 34, 'गोली');
INSERT INTO `lang_definitions` VALUES (184343, 10146, 34, 'टेगलॉग');
INSERT INTO `lang_definitions` VALUES (184344, 10149, 34, 'लेना');
INSERT INTO `lang_definitions` VALUES (184345, 10151, 34, 'ड्रॉप डाउन से, बीमा ले');
INSERT INTO `lang_definitions` VALUES (184346, 10152, 34, 'ड्रॉप डाउन से, से भुगतान ले');
INSERT INTO `lang_definitions` VALUES (184347, 10153, 34, 'Takeback');
INSERT INTO `lang_definitions` VALUES (184348, 10154, 34, 'समय लेता है');
INSERT INTO `lang_definitions` VALUES (184349, 10157, 34, 'लंबा नेविगेशन क्षेत्र');
INSERT INTO `lang_definitions` VALUES (184350, 10161, 34, 'लक्ष्य और स्रोत जन्म तिथि से मेल नहीं खाते');
INSERT INTO `lang_definitions` VALUES (184351, 10162, 34, 'लक्ष्य और स्रोत pid ​​मेल नहीं खा सकता!');
INSERT INTO `lang_definitions` VALUES (184352, 10163, 34, 'लक्ष्य और स्रोत SSN मेल नहीं खाते');
INSERT INTO `lang_definitions` VALUES (184353, 10164, 34, 'लक्ष्य तिथि');
INSERT INTO `lang_definitions` VALUES (184354, 10165, 34, 'लक्ष्य रोगी');
INSERT INTO `lang_definitions` VALUES (184355, 10166, 34, 'लक्ष्य रोगी की कोई जन्म तिथि नहीं है');
INSERT INTO `lang_definitions` VALUES (184356, 10167, 34, 'लक्ष्य रोगी नहीं मिला');
INSERT INTO `lang_definitions` VALUES (184357, 10168, 34, 'टारगेट / कार्रवाई समूह');
INSERT INTO `lang_definitions` VALUES (184358, 10173, 34, 'कर आईडी');
INSERT INTO `lang_definitions` VALUES (184359, 10174, 34, 'कर की दर');
INSERT INTO `lang_definitions` VALUES (184360, 10175, 34, 'करों');
INSERT INTO `lang_definitions` VALUES (184361, 10176, 34, 'वर्गीकरण');
INSERT INTO `lang_definitions` VALUES (184362, 10181, 34, 'td');
INSERT INTO `lang_definitions` VALUES (184363, 10182, 34, 'टीम चोट अवलोकन');
INSERT INTO `lang_definitions` VALUES (184364, 10183, 34, 'टीम रोस्टर');
INSERT INTO `lang_definitions` VALUES (184365, 10184, 34, 'टीम रोस्टर देखें');
INSERT INTO `lang_definitions` VALUES (184366, 10185, 34, 'टीम / दस्ते');
INSERT INTO `lang_definitions` VALUES (184367, 10187, 34, 'Tel');
INSERT INTO `lang_definitions` VALUES (184368, 10189, 34, 'देश का टेलीफोन कोड');
INSERT INTO `lang_definitions` VALUES (184369, 10192, 34, 'अस्थायी');
INSERT INTO `lang_definitions` VALUES (184370, 10193, 34, 'अस्थायी स्थान');
INSERT INTO `lang_definitions` VALUES (184371, 10194, 34, 'अस्थायी विधि');
INSERT INTO `lang_definitions` VALUES (184372, 10196, 34, 'तापमान');
INSERT INTO `lang_definitions` VALUES (184373, 10197, 34, 'साँचा');
INSERT INTO `lang_definitions` VALUES (184374, 10198, 34, 'साँचा नाम');
INSERT INTO `lang_definitions` VALUES (184375, 10199, 34, 'साँचा नामों की संख्या के साथ शुरू नहीं कर सकते.');
INSERT INTO `lang_definitions` VALUES (184376, 10201, 34, 'साँचा:');
INSERT INTO `lang_definitions` VALUES (184377, 10202, 34, 'साँचा');
INSERT INTO `lang_definitions` VALUES (184378, 10205, 34, 'लौकिक धमनी');
INSERT INTO `lang_definitions` VALUES (184379, 10208, 34, 'पट्टा चोट');
INSERT INTO `lang_definitions` VALUES (184380, 10209, 34, 'Tendonitis / Osis / स्नेहपुटीशोथ');
INSERT INTO `lang_definitions` VALUES (184381, 10211, 34, 'अंतरिम चालान रेफरी No');
INSERT INTO `lang_definitions` VALUES (184382, 10213, 34, 'तृतीयक');
INSERT INTO `lang_definitions` VALUES (184383, 10214, 34, 'तृतीयक बीमा');
INSERT INTO `lang_definitions` VALUES (184384, 10215, 34, 'तृतीयक बीमा डाटा');
INSERT INTO `lang_definitions` VALUES (184385, 10216, 34, 'तृतीयक बीमा प्रदाता');
INSERT INTO `lang_definitions` VALUES (184386, 10219, 34, 'निर्धारण की परीक्षा');
INSERT INTO `lang_definitions` VALUES (184387, 10220, 34, 'प्रणाली की परीक्षा');
INSERT INTO `lang_definitions` VALUES (184388, 10223, 34, 'पाठ');
INSERT INTO `lang_definitions` VALUES (184389, 10224, 34, 'पाठ निदान');
INSERT INTO `lang_definitions` VALUES (184390, 10225, 34, 'पाठ क्षेत्र');
INSERT INTO `lang_definitions` VALUES (184391, 10233, 34, 'पाठ तारीख');
INSERT INTO `lang_definitions` VALUES (184392, 10234, 34, 'पाठ तारीख');
INSERT INTO `lang_definitions` VALUES (184393, 10235, 34, 'पाठ क्षेत्र');
INSERT INTO `lang_definitions` VALUES (184394, 10236, 34, 'पाठ क्षेत्र');
INSERT INTO `lang_definitions` VALUES (184395, 10237, 34, 'पाठ बॉक्स');
INSERT INTO `lang_definitions` VALUES (184396, 10238, 34, 'पाठ बॉक्स');
INSERT INTO `lang_definitions` VALUES (184397, 10239, 34, 'पाठ बॉक्स सूची');
INSERT INTO `lang_definitions` VALUES (184398, 10240, 34, 'पाठ बॉक्स सूची');
INSERT INTO `lang_definitions` VALUES (184399, 10241, 34, 'Thai');
INSERT INTO `lang_definitions` VALUES (184400, 10242, 34, 'शुक्रिया');
INSERT INTO `lang_definitions` VALUES (184401, 10245, 34, 'चुनने के लिए धन्यवाद');
INSERT INTO `lang_definitions` VALUES (184402, 10247, 34, 'साफ\' बटन सभी एनोटेशन हटा देगा.');
INSERT INTO `lang_definitions` VALUES (184403, 10254, 34, 'उपरोक्त बयान विफल रहा है');
INSERT INTO `lang_definitions` VALUES (184404, 10264, 34, 'अपाचे SSL सर्वर प्रमाणपत्र और सार्वजनिक कुंजी');
INSERT INTO `lang_definitions` VALUES (184405, 10281, 34, 'प्रमाणपत्र प्राधिकारी प्रमाणपत्र');
INSERT INTO `lang_definitions` VALUES (184406, 10284, 34, 'दावा फाइल:');
INSERT INTO `lang_definitions` VALUES (184407, 10290, 34, 'अमेरिका एक्सटेंशन की संगत अवस्था SNOMED पैकेज पहले से ही स्थापित किया गया है.');
INSERT INTO `lang_definitions` VALUES (184408, 10296, 34, 'समतुल्य निजी कुंजी');
INSERT INTO `lang_definitions` VALUES (184409, 10322, 34, 'इनकार कोड है');
INSERT INTO `lang_definitions` VALUES (184410, 10323, 34, 'इनकार समूह कोड है');
INSERT INTO `lang_definitions` VALUES (184411, 10328, 34, 'गंतव्य प्रपत्र बंद कर दिया था');
INSERT INTO `lang_definitions` VALUES (184412, 10330, 34, 'गंतव्य प्रपत्र बंद था, मैं आपके चयन पर कार्य नहीं कर सकता.');
INSERT INTO `lang_definitions` VALUES (184413, 10343, 34, 'इस प्रक्रिया का प्रदर्शन करनेवाली संस्था');
INSERT INTO `lang_definitions` VALUES (184414, 10346, 34, 'ईपी, पात्र अस्पताल या CAH, जो मरीज को प्राप्त करता है, एक सेवा सेटिंग से या सेवा प्रदाता से या मुठभेड़ प्रासंगिक है, ऐसा मानता ​​है, उसने Medical Reconciliation करना चाहिए.');
INSERT INTO `lang_definitions` VALUES (184415, 10349, 34, 'ईपी, पात्र अस्पताल या CAH जो अपने रोगी को किसी अन्य सेवा केन्द्र या सेवा प्रदाता के पास स्थानांतरण करता है, या अपने रोगी को किसी अन्य सेवा केन्द्र या सेवा प्रदाता के पास संदर्भित करता है, उनको प्रत्येक स्थानांतरण या संदर्भ के लिए देखभाल रिकॉर्ड का सारांश प्रदान करना चाहिए.');
INSERT INTO `lang_definitions` VALUES (184416, 10350, 34, 'घटना को मंजूरी दे दी गई है.');
INSERT INTO `lang_definitions` VALUES (184417, 10351, 34, 'घटना छिपे हुए हैं.');
INSERT INTO `lang_definitions` VALUES (184418, 10352, 34, 'निर्यात डेटा नीचे पाठ क्षेत्र में दिखाई देता है. आप एक ईमेल में या किसी भी अन्य इच्छित गंतव्य में यह कॉपी और पेस्ट कर सकते हैं.');
INSERT INTO `lang_definitions` VALUES (184419, 10354, 34, 'निर्यात डेटा नीचे पाठ क्षेत्र में दिखाई देता है. आप एक ईमेल में या किसी भी अन्य इच्छित गंतव्य में यह कॉपी और पेस्ट कर सकते हैं.');
INSERT INTO `lang_definitions` VALUES (184420, 10355, 34, 'निर्यात डेटा नीचे पाठ क्षेत्र में दिखाई देता है. आप एक ईमेल में या किसी भी अन्य इच्छित गंतव्य में यह कॉपी और पेस्ट कर सकते हैं.');
INSERT INTO `lang_definitions` VALUES (184421, 10358, 34, 'फ़ाइल CouchDB में सहेजा नहीं जा सका.');
INSERT INTO `lang_definitions` VALUES (184422, 10359, 34, 'फ़ाइल का सफलतापूर्वक नाम बदला नहीं जा सकता है, यह त्रुटि आमतौर पर संग्रहण प्रणाली पर अनुमति की समस्या से संबंधित है.');
INSERT INTO `lang_definitions` VALUES (184423, 10360, 34, 'फ़ाइल का सफलतापूर्वक संग्रहीत नहीं किया जा सकता है, यह त्रुटि आमतौर पर संग्रहण प्रणाली पर अनुमति की समस्या से संबंधित है.');
INSERT INTO `lang_definitions` VALUES (184424, 10364, 34, 'प्रथम (\"लक्ष्य\") चार्ट सबसे पूर्ण और सही माना जाता है. जनसांख्यिकी, इतिहास और बीमा वर्ग बनाए रखा जाएगा.');
INSERT INTO `lang_definitions` VALUES (184425, 10374, 34, 'पहला कदम एकीकृत मेडिकल भाषा प्रणाली वेब साइट में खाता खोलने का है.');
INSERT INTO `lang_definitions` VALUES (184426, 10380, 34, 'निम्नलिखित कैलेंडर घटना जोड़ा गया है:');
INSERT INTO `lang_definitions` VALUES (184427, 10381, 34, 'निम्नलिखित कैलेंडर घटना modifed किया गया है:');
INSERT INTO `lang_definitions` VALUES (184428, 10382, 34, 'निम्नलिखित श्रेणियां अपने श्रेणी सूची में से हटा दिया जाएगा');
INSERT INTO `lang_definitions` VALUES (184429, 10383, 34, 'निम्नलिखित डेटाबेस रिहाई वर्तमान में स्थापित है');
INSERT INTO `lang_definitions` VALUES (184430, 10384, 34, 'निम्नलिखित दस्तावेज इस सीधे संदेश से जुड़े थे:');
INSERT INTO `lang_definitions` VALUES (184431, 10386, 34, 'निम्नलिखित EDI फ़ाइल का अपलोड कर दिया गया है');
INSERT INTO `lang_definitions` VALUES (184432, 10388, 34, 'निम्नलिखित इमरजेंसी लॉगिन उपयोगकर्ता सक्रिय है:');
INSERT INTO `lang_definitions` VALUES (184433, 10389, 34, 'निम्न त्रुटियाँ उत्पन्न हुई');
INSERT INTO `lang_definitions` VALUES (184434, 10392, 34, 'निम्नलिखित क्षेत्र आवश्यक हैं');
INSERT INTO `lang_definitions` VALUES (184435, 10394, 34, 'निम्नलिखित क्षेत्र अनुरोध भेजने के लिए भरे जाने है.');
INSERT INTO `lang_definitions` VALUES (184436, 10395, 34, 'निम्नलिखित अंतर्राष्ट्रीय Snomed रिलीज भाषाएँ समर्थित हैं');
INSERT INTO `lang_definitions` VALUES (184437, 10397, 34, 'निम्न समस्याओं के लिए मेल खाते निदान कोड है. मुठभेड़ मुद्दों को अद्यतन नहीं किया जाएगा. बजाय मुठभेड़ इंटरफ़ेस का उपयोग करें.');
INSERT INTO `lang_definitions` VALUES (184438, 10406, 34, 'ATNA ऑडिट रिपोजिटरी मशीन का मेजबाननाम.');
INSERT INTO `lang_definitions` VALUES (184439, 10418, 34, 'प्रारंभिक खिड़की चालान खोज पृष्ठ है. शीर्ष पर आप एक स्रोत (जैसे चेक नंबर) , भुगतान तारीख और चेक राशि दर्ज कर सकते हैं. स्रोत और भुगतान की तारीख का कारण, आपको प्रत्येक दावे के लिए, फिर से उन्हें प्रवेश करने की जरूरत नहीं है. आपके द्वारा दर्ज की राशि भुगतान का हिस्सा है और प्रत्येक चालान के लिए कम हो जाएगा और शून्य पर खत्म हो जाएगा.');
INSERT INTO `lang_definitions` VALUES (184440, 10420, 34, 'स्थापना निर्देशिका पैदा किए जाने की जरूरत है.');
INSERT INTO `lang_definitions` VALUES (184441, 10421, 34, 'स्थापित अंतरराष्ट्रीय SNOMED संस्करण staged अमेरिका एक्सटेंशन SNOMED पैकेज के साथ संगत नहीं है.');
INSERT INTO `lang_definitions` VALUES (184442, 10422, 34, 'स्थापित अंतरराष्ट्रीय SNOMED संस्करण पुराना है और staged अमेरिका एक्सटेंशन SNOMED फ़ाइल के साथ संगत नहीं है.');
INSERT INTO `lang_definitions` VALUES (184443, 10423, 34, 'स्थापित संस्करण और staged फ़ाइलें समान हैं.');
INSERT INTO `lang_definitions` VALUES (184444, 10424, 34, 'स्थापित संस्करण staged फ़ाइलों की तुलना में एक अधिक नवीन संस्करण है.');
INSERT INTO `lang_definitions` VALUES (184445, 10431, 34, 'लेबल जो प्रपत्र पर उपयोगकर्ता के लिए प्रकट होता है');
INSERT INTO `lang_definitions` VALUES (184446, 10438, 34, 'अक्षरों की लंबाई संख्या निम्नलिखित से अधिक न हो');
INSERT INTO `lang_definitions` VALUES (184447, 10442, 34, 'मर्ज नहीं चलेंगे, जब तक दो चार्ट्स के लिए SSN और जन्म तिथि समान हो. जन्म तिथि खाली नहीं हो सकता.');
INSERT INTO `lang_definitions` VALUES (184448, 10443, 34, 'संदेश इस समय नहीं भेजा जा सका.');
INSERT INTO `lang_definitions` VALUES (184449, 10458, 34, 'नई श्रेणी इसकि एक उप श्रेणी हो जाएगा');
INSERT INTO `lang_definitions` VALUES (184450, 10460, 34, 'नया पासवर्ड वर्तमान पासवर्ड के समान नहीं हो सकता.');
INSERT INTO `lang_definitions` VALUES (184451, 10461, 34, 'नया पासवर्ड क्षेत्र समान नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (184452, 10471, 34, 'staged फ़ाइलों की संख्या गलत है. केवल वे फ़ाइल रखना जो आप उन्नयन / स्थापित करना चाहते हैं .');
INSERT INTO `lang_definitions` VALUES (184453, 10472, 34, 'staged फ़ाइलों की संख्या गलत है. केवल वे फ़ाइल रखना जो आप उन्नयन / स्थापित करना चाहते हैं .');
INSERT INTO `lang_definitions` VALUES (184454, 10479, 34, 'पेज जनसांख्यिकी पर पुनः निर्देशित किया जाएगा. आप देश के क्षेत्र को संपादित करें और फिर NewCrop के लिए क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (184455, 10482, 34, 'पासवर्ड कम से कम आठ अक्षरों का होना चाहिए, और');
INSERT INTO `lang_definitions` VALUES (184456, 10486, 34, 'रोगी रिकॉर्ड अनुरोध दर्ज किया गया है');
INSERT INTO `lang_definitions` VALUES (184457, 10487, 34, 'रोगी अनुस्मारक भेज दिया गया है');
INSERT INTO `lang_definitions` VALUES (184458, 10488, 34, 'रोगी अनुस्मारक अद्यतन किया गया है');
INSERT INTO `lang_definitions` VALUES (184459, 10493, 34, 'पोस्ट किया भुगतान इस तिथि से पहले नहीं हो सकता है, अंतिम रिपोर्ट लेने के बाद, पिछले तिथियों के रिपोर्ट पोस्ट नहीं करें.');
INSERT INTO `lang_definitions` VALUES (184460, 10505, 34, 'से कच्चे डेटा फीड रिलीज प्राप्त किया जा सकता है');
INSERT INTO `lang_definitions` VALUES (184461, 10509, 34, 'नीचे दिए गए शेष जानकारी, आप मैन्युअल पोस्ट कर रहे हैं, या आप मैन्युअल सुधार कर रहे हैं केवल तभी लागू होता है.');
INSERT INTO `lang_definitions` VALUES (184462, 10513, 34, 'अनुरोध किया गया दस्तावेज़ फाइल सिस्टम पर उम्मीद स्थान पर मौजूद नहीं है या इसे उपयोग करने के लिए पर्याप्त अनुमतियाँ नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (184463, 10524, 34, 'दूसरा (\"स्रोत\") चार्ट जनसांख्यिकी, इतिहास और बीमा वर्गों को बंद कर देगा. उसके अन्य डेटा लक्षित चार्ट में विलय हो जाएगा.');
INSERT INTO `lang_definitions` VALUES (184464, 10537, 34, 'The Source and Date columns are copied from the first page, so normally you will not need to touch those. You can put a payment amount in the Pay column, an adjustment amount in the Adjust column, or both. You can also click the \"W\" on the right to automatically compute an adjustment value that writes off the remainder of the charge for that line item.');
INSERT INTO `lang_definitions` VALUES (184465, 10540, 34, 'मंचन फ़ाइलों की सब रिहाई तिथियाँ वही रिहाई से नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (184466, 10541, 34, 'मंचन फ़ाइलों का सब संशोधन, वही रिलीज से नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (184467, 10542, 34, 'मंचन किया अमेरिका एक्सटेंशन SNOMED पैकेज स्थापित नहीं किया जा सकता जब तक, अंतर्राष्ट्रीय SNOMED पैकेज स्थापित किया जाय!');
INSERT INTO `lang_definitions` VALUES (184468, 10557, 34, 'कैलेंडर का समय विघटन और नियुक्ति स्लॉट के लिए मिनटों में सबसे छोटा अंतराल.');
INSERT INTO `lang_definitions` VALUES (184469, 10562, 34, 'अनुवादित लेबल वर्तमान भाषा में फार्म पर प्रदर्शित होगा');
INSERT INTO `lang_definitions` VALUES (184470, 10563, 34, 'अनुवादित शीर्षक जो वर्तमान भाषा में प्रदर्शित होगा');
INSERT INTO `lang_definitions` VALUES (184471, 10564, 34, 'वर्तमान भाषा में विवरण का अनुवाद');
INSERT INTO `lang_definitions` VALUES (184472, 10565, 34, 'अनुवाद तालिकाएँ सिंक्रनाइज़ हैं.');
INSERT INTO `lang_definitions` VALUES (184473, 10566, 34, 'इस इकाई के प्रकार');
INSERT INTO `lang_definitions` VALUES (184474, 10586, 34, 'इस प्रक्रिया या परिणाम की पहचान करनेवाला विक्रेता विशेष कोड');
INSERT INTO `lang_definitions` VALUES (184475, 10591, 34, 'X 12 फाइलें और परिणामस्वरूप HTML उत्पादन रिपोर्ट्स मुख्य OpenEMR स्थापना निर्देशिका के \"युग\" उपनिर्देशिका में संग्रहीत हैं. आप समय समय पर इन अभिलेखागार का उल्लेख करना चाहते होगे. यूआरएल है');
INSERT INTO `lang_definitions` VALUES (184476, 10593, 34, 'ज़िप फ़ाइल में निम्न आइटम्स शामिल होंगे');
INSERT INTO `lang_definitions` VALUES (184477, 10594, 34, 'थीम');
INSERT INTO `lang_definitions` VALUES (184478, 10600, 34, 'फिर कच्चा डेटा फीड रिलीज से प्राप्त किया जा सकता है');
INSERT INTO `lang_definitions` VALUES (184479, 10601, 34, 'चिकित्सीय इंजेक्शन');
INSERT INTO `lang_definitions` VALUES (184480, 10607, 34, 'वहाँ हैं');
INSERT INTO `lang_definitions` VALUES (184481, 10610, 34, 'वर्तमान में कोई नुस्खे नहीं');
INSERT INTO `lang_definitions` VALUES (184482, 10611, 34, 'आपके सबमिशन में त्रुटियाँ हैं. ये नीचे उल्लिखित हैं.');
INSERT INTO `lang_definitions` VALUES (184483, 10616, 34, 'चेक आउट किया कोई चार्ट नहीं हैं');
INSERT INTO `lang_definitions` VALUES (184484, 10618, 34, 'इस रोगी के लिए कोई खुलासे दर्ज नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (184485, 10621, 34, 'कोई नई प्रस्तुतियाँ नहीं हैं');
INSERT INTO `lang_definitions` VALUES (184486, 10622, 34, 'इस रोगी के लिए फाइल पर कोई टिप्पणी नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (184487, 10624, 34, 'इस रोगी के लिए फाइल पर कोई लेनदेन नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (184488, 10639, 34, 'के लिए भेजने के लिए एक मेल त्रुटि हैं.');
INSERT INTO `lang_definitions` VALUES (184489, 10642, 34, 'पहले से ही एक श्रेणी नामित है');
INSERT INTO `lang_definitions` VALUES (184490, 10643, 34, 'पहले से ही एक उपश्रेणी नामित है');
INSERT INTO `lang_definitions` VALUES (184491, 10644, 34, 'पहले से ही एक आइटम नामित है');
INSERT INTO `lang_definitions` VALUES (184492, 10645, 34, 'एक रोगी रिकॉर्ड अनुरोध वहां पहले से ही खुला है.');
INSERT INTO `lang_definitions` VALUES (184493, 10646, 34, 'AR खाते के लिए कोई COA प्रविष्टि नहीं है');
INSERT INTO `lang_definitions` VALUES (184494, 10647, 34, 'नकदी खाते के लिए कोई COA प्रविष्टि नहीं है');
INSERT INTO `lang_definitions` VALUES (184495, 10648, 34, 'आय खाते के लिए कोई COA प्रविष्टि नहीं है');
INSERT INTO `lang_definitions` VALUES (184496, 10649, 34, 'वर्तमान रोगी नहीं है');
INSERT INTO `lang_definitions` VALUES (184497, 10651, 34, 'चालान आईडी के लिए कोई मेल नहीं है');
INSERT INTO `lang_definitions` VALUES (184498, 10652, 34, 'चालान आईडी के लिए कोई मेल नहीं है=');
INSERT INTO `lang_definitions` VALUES (184499, 10653, 34, 'सेवाएँ ID के लिए कोई हिस्से प्रविष्टि नहीं है');
INSERT INTO `lang_definitions` VALUES (184500, 10655, 34, 'संदेश भेजने में कोई समस्या थी.');
INSERT INTO `lang_definitions` VALUES (184501, 10656, 34, 'आपका अनुरोध संसाधित करते समय एक त्रुटि हुई थी.');
INSERT INTO `lang_definitions` VALUES (184502, 10657, 34, 'निम्न स्ट्रिंग के एक OpenEMR एसक्यूएल भागने की त्रुटि थी');
INSERT INTO `lang_definitions` VALUES (184503, 10661, 34, 'ये 2012 लिंक हैं');
INSERT INTO `lang_definitions` VALUES (184504, 10682, 34, 'दाएँ गाढ़ा:');
INSERT INTO `lang_definitions` VALUES (184505, 10683, 34, 'जांघ');
INSERT INTO `lang_definitions` VALUES (184506, 10684, 34, 'जांघ + हैमस्ट्रिंग');
INSERT INTO `lang_definitions` VALUES (184507, 10685, 34, 'चीजें जो बैक कार्यालय केवल पढ़ सकते हैं');
INSERT INTO `lang_definitions` VALUES (184508, 10686, 34, 'चीजें जो बैक कार्यालय केवल पढ़ और प्रविष्टि कर सकते हैं लेकिन संशोधित नहीं कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (184509, 10687, 34, 'चीजें जो बैक कार्यालय पढ़ सकते हैं और संशोधित कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (184510, 10688, 34, 'चीजें जो बैक कार्यालय पढ़ सकते हैं और अंशत: संशोधित कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (184511, 10689, 34, 'चीजें जो चिकित्सक केवल पढ़ सकते हैं');
INSERT INTO `lang_definitions` VALUES (184512, 10690, 34, 'चीजें जो चिकित्सक केवल पढ़ और प्रविष्टि कर सकते हैं लेकिन संशोधित नहीं कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (184513, 10691, 34, 'चीजें जो चिकित्सक पढ़ सकते हैं और संशोधित कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (184514, 10692, 34, 'चीजें जो चिकित्सक पढ़ सकते हैं और अंशत: संशोधित कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (184515, 10693, 34, 'चीजें जो प्रमुख कार्यालय केवल पढ़ सकते हैं');
INSERT INTO `lang_definitions` VALUES (184516, 10694, 34, 'चीजें जो प्रमुख कार्यालय केवल पढ़ और प्रविष्टि कर सकते हैं लेकिन संशोधित नहीं कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (184517, 10695, 34, 'चीजें जो प्रमुख कार्यालय पढ़ सकते हैं और संशोधित कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (184518, 10696, 34, 'चीजें जो प्रमुख कार्यालय पढ़ सकते हैं और अंशत: संशोधित कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (184519, 10697, 34, 'चीजें जो वैद्य केवल पढ़ सकते हैं');
INSERT INTO `lang_definitions` VALUES (184520, 10698, 34, 'चीजें जो वैद्य केवल पढ़ और प्रविष्टि कर सकते हैं लेकिन संशोधित नहीं कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (184521, 10699, 34, 'चीजें जो वैद्य पढ़ सकते हैं और संशोधित कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (184522, 10700, 34, 'चीजें जो वैद्य पढ़ सकते हैं और अंशत: संशोधित कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (184523, 10701, 34, 'तृतीय');
INSERT INTO `lang_definitions` VALUES (184524, 10704, 34, 'यह क्रिया पीछे लौट नहीं सकती.');
INSERT INTO `lang_definitions` VALUES (184525, 10705, 34, 'यह क्रिया पीछे लौट नहीं सकती.');
INSERT INTO `lang_definitions` VALUES (184526, 10707, 34, 'यह क्रिया लॉग करेंगे');
INSERT INTO `lang_definitions` VALUES (184527, 10712, 34, 'यह नियुक्ति स्लॉट पहले से ही उपयोग में हैं, फिर भी उपयोग करें');
INSERT INTO `lang_definitions` VALUES (184528, 10713, 34, 'यह नियुक्ति स्लॉट उपलब्ध नहीं है, किसी अन्य का चयन करें.');
INSERT INTO `lang_definitions` VALUES (184529, 10714, 34, 'इस कैलेंडर वर्ष में');
INSERT INTO `lang_definitions` VALUES (184530, 10715, 34, 'यह दावा रद्द कर दिया गया है.');
INSERT INTO `lang_definitions` VALUES (184531, 10716, 34, 'यह दावा बंद कर दिया गया है.');
INSERT INTO `lang_definitions` VALUES (184532, 10717, 34, 'यह दावा इनकार कर दिया गया है. कारण: -');
INSERT INTO `lang_definitions` VALUES (184533, 10718, 34, 'यह दावा अगले स्तर के लिए भेज दिया गया है.');
INSERT INTO `lang_definitions` VALUES (184534, 10725, 34, 'यह कोड टाइप संबंधों को स्वीकार नहीं करता.');
INSERT INTO `lang_definitions` VALUES (184535, 10727, 34, 'इस संदर्भ में वर्ग शामिल हैं जो हटा दिया जाएगा. आप अभी भी जारी रखना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (184536, 10730, 34, 'नियुक्तियों कैलेंडर में कैसे प्रदर्शित हो, यह निर्धारित करता है.');
INSERT INTO `lang_definitions` VALUES (184537, 10731, 34, 'यह नियुक्ति के लिए कौन सा रंग स्कीमा प्रयोग हो, यह निर्धारित करता है.');
INSERT INTO `lang_definitions` VALUES (184538, 10734, 34, 'यह मुठभेड़');
INSERT INTO `lang_definitions` VALUES (184539, 10735, 34, 'इस मुठभेड़ का बिल भेजा गया है. इसे बदलने के लिए, इसे फिर से खोला जाना चाहिए.');
INSERT INTO `lang_definitions` VALUES (184540, 10740, 34, 'यह सुविधा अभी तक उपलब्ध नहीं है');
INSERT INTO `lang_definitions` VALUES (184541, 10742, 34, 'यह सुविधा बहुत प्रयोगात्मक है और पूरी तरह से परीक्षण नहीं किया है. अपने जोखिम पर प्रयोग करें!');
INSERT INTO `lang_definitions` VALUES (184542, 10753, 34, 'चालान संख्या को इस में बदल दिया गया है');
INSERT INTO `lang_definitions` VALUES (184543, 10763, 34, 'यह चार्ट मुख्य चार्ट में विलय कर दिया जायगा और फिर हटा दिया जायगा.');
INSERT INTO `lang_definitions` VALUES (184544, 10772, 34, 'यह मर्ज किए गए डेटा प्राप्त करने के लिए मुख्य चार्ट है.');
INSERT INTO `lang_definitions` VALUES (184545, 10784, 34, 'इस स्थान');
INSERT INTO `lang_definitions` VALUES (184546, 10789, 34, 'यह मॉड्यूल परीक्षण मोड में है. डेटाबेस बदला नहीं जाएगा.');
INSERT INTO `lang_definitions` VALUES (184547, 10792, 34, 'यह मॉड्यूल EOB डेटा के प्रभावी प्रविष्टि को बढ़ावा देता है.');
INSERT INTO `lang_definitions` VALUES (184548, 10793, 34, 'इस महीने से तिथि तक');
INSERT INTO `lang_definitions` VALUES (184549, 10798, 34, 'यह पृष्ठ आपको, समर्थित बाहरी dataloads की समीक्षा करने की अनुमति देता है जो आप स्थापित और उन्नयन कर सकते हैं.नीचे प्रत्येक खंड का खंड शीर्षक पर क्लिक करके विस्तार किया जा सकता है, विशेष डेटाबेस की स्थिति की समीक्षा करने के लिए.');
INSERT INTO `lang_definitions` VALUES (184550, 10799, 34, 'इस पृष्ठ को सुरक्षा कारणों के लिए निष्क्रिय कर दिया.');
INSERT INTO `lang_definitions` VALUES (184551, 10801, 34, 'यह पृष्ठ इनलाइन प्रवेश पृष्ठ शामिल करेगा, हमे हर बार दोबारा लॉगिन क्लिक करने की जरूरत नहीं है.');
INSERT INTO `lang_definitions` VALUES (184552, 10804, 34, 'इस रोगी की कोई गतिविधि नहीं है.');
INSERT INTO `lang_definitions` VALUES (184553, 10805, 34, 'यह रोगी आईडी पहले से ही उपयोग में है!');
INSERT INTO `lang_definitions` VALUES (184554, 10807, 34, 'यह उत्पाद हर गोदाम में केवल एक लॉट की अनुमति देता है.');
INSERT INTO `lang_definitions` VALUES (184555, 10808, 34, 'यह प्रोटोकॉल लागू नहीं है');
INSERT INTO `lang_definitions` VALUES (184556, 10809, 34, 'यह रिपोर्ट वर्तमान में केवल ICD9 कोड के लिए काम करता है.');
INSERT INTO `lang_definitions` VALUES (184557, 10821, 34, 'यह कदम एक फाइल उत्पन्न करेगा जो आप भविष्य में उपयोग के लिए सहेजें. फाइल फिर से उत्पन्न नहीं हो सकती. क्या आप आगे बढ़ना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (184558, 10822, 34, 'यह उपयोगकर्ता किसी भी समूह का सदस्य नहीं है');
INSERT INTO `lang_definitions` VALUES (184559, 10823, 34, 'यह उपयोगकर्ता नए आने वाले सीधे संदेश की सूचना प्राप्त करेंगे');
INSERT INTO `lang_definitions` VALUES (184560, 10824, 34, 'यह सुविधा प्रायोगिक है. यह प्रयोग करने से पहले अपने डेटाबेस और दस्तावेजों का बैकअप लें!');
INSERT INTO `lang_definitions` VALUES (184561, 10826, 34, 'यह दौरे में नए गर्भनिरोधक का उपयोग शुरू होता है');
INSERT INTO `lang_definitions` VALUES (184562, 10827, 34, 'यह दौरे को एक GCAC फार्म, रेफरल या प्रक्रिया सेवा की जरूरत होगी.');
INSERT INTO `lang_definitions` VALUES (184563, 10828, 34, 'यह पुराना केवल मीट्रिक नब्ज फार्म था, अब पदावनत है.');
INSERT INTO `lang_definitions` VALUES (184564, 10829, 34, 'इस सप्ताह से तिथि तक');
INSERT INTO `lang_definitions` VALUES (184565, 10831, 34, 'यह सीसीआर (केयर रिकॉर्ड की निरंतरता) और सीसीडी (केयर दस्तावेज़ की निरंतरता) रिपोर्टिंग को चालू कर पायेगा.');
INSERT INTO `lang_definitions` VALUES (184566, 10834, 34, 'यह डिबगिंग ( \'डमी \') भाषा का चयन करने की अनुमति देगा.');
INSERT INTO `lang_definitions` VALUES (184567, 10838, 34, 'यह भौतिक डेटा अद्यतन के बिना \"चलाना\" हो जाएगा.');
INSERT INTO `lang_definitions` VALUES (184568, 10843, 34, 'यह टार प्रारूप में एक बैकअप बनाएगा और अपने वेब ब्राउज़र को भेज देगा तब आप इसे सहेज सकते हैं');
INSERT INTO `lang_definitions` VALUES (184569, 10844, 34, 'यह दस्तावेज़ एन्क्रिप्शन और डिक्रिप्शन सुविधाओं को निष्क्रिय करेगा, और यूआई में उन्हें छुपा देगा.');
INSERT INTO `lang_definitions` VALUES (184570, 10854, 34, 'यह बिलिंग विजेट रोगी को सारांश स्क्रीन में हमेशा खुला होने के लिए मजबूर करेगा.');
INSERT INTO `lang_definitions` VALUES (184571, 10859, 34, 'यह एक में दो रोगी चार्ट विलय करेगा. यह उपयोगी है जब एक मरीज को गलती से दोहराया गया है. अगर यह अक्सर होता है, तो अपने कार्यालय प्रक्रियाओं को ठीक करें - नियमित रूप से यह चलना नहीं है!');
INSERT INTO `lang_definitions` VALUES (184572, 10860, 34, 'यह e-Prescriptions साइट पर जाने से नहीं रोकेगा.');
INSERT INTO `lang_definitions` VALUES (184573, 10867, 34, 'यह कस्टम टीकाकरण सूची के बजाय मानक CVX टीकाकरण सूची का उपयोग करेगा.');
INSERT INTO `lang_definitions` VALUES (184574, 10871, 34, 'थोरैसिक रीढ़');
INSERT INTO `lang_definitions` VALUES (184575, 10873, 34, 'Thous / CU.MM');
INSERT INTO `lang_definitions` VALUES (184576, 10878, 34, 'गला');
INSERT INTO `lang_definitions` VALUES (184577, 10879, 34, 'गले के कैंसर');
INSERT INTO `lang_definitions` VALUES (184578, 10880, 34, 'गले के कैंसर सर्जरी');
INSERT INTO `lang_definitions` VALUES (184579, 10881, 34, 'घनास्त्रता / स्ट्रोक');
INSERT INTO `lang_definitions` VALUES (184580, 10882, 34, 'गुरु');
INSERT INTO `lang_definitions` VALUES (184581, 10884, 34, 'बृहस्पतिवार');
INSERT INTO `lang_definitions` VALUES (184582, 10885, 34, 'बृहस्पतिवार');
INSERT INTO `lang_definitions` VALUES (184583, 10887, 34, 'थायराइड सामान्य');
INSERT INTO `lang_definitions` VALUES (184584, 10888, 34, 'थायराइड समस्याएं');
INSERT INTO `lang_definitions` VALUES (184585, 10890, 34, 'TIA');
INSERT INTO `lang_definitions` VALUES (184586, 10892, 34, 'TID');
INSERT INTO `lang_definitions` VALUES (184587, 10902, 34, 'समय');
INSERT INTO `lang_definitions` VALUES (184588, 10903, 34, 'समय प्रदर्शन स्वरूप');
INSERT INTO `lang_definitions` VALUES (184589, 10904, 34, 'समय वृद्धि जोड़ने के लिए (मिनट 1-60)');
INSERT INTO `lang_definitions` VALUES (184590, 10905, 34, 'समय चयन');
INSERT INTO `lang_definitions` VALUES (184591, 10907, 34, 'समय स्लॉट खुला है, सहेजें.');
INSERT INTO `lang_definitions` VALUES (184592, 10913, 34, 'समयबद्ध घटना');
INSERT INTO `lang_definitions` VALUES (184593, 10914, 34, 'समय सरणी (N / A)');
INSERT INTO `lang_definitions` VALUES (184594, 10915, 34, 'टाइमस्टैम्प और पाठ');
INSERT INTO `lang_definitions` VALUES (184595, 10917, 34, 'TIN');
INSERT INTO `lang_definitions` VALUES (184596, 10918, 34, 'टिनिटस');
INSERT INTO `lang_definitions` VALUES (184597, 10920, 34, 'शीर्षक');
INSERT INTO `lang_definitions` VALUES (184598, 10923, 34, 'शीर्षक V');
INSERT INTO `lang_definitions` VALUES (184599, 10924, 34, 'TitleCols 1 और 999 के बीच में होनी चाहिए');
INSERT INTO `lang_definitions` VALUES (184600, 10925, 34, 'शीर्षक');
INSERT INTO `lang_definitions` VALUES (184601, 10926, 34, 'TM  \'S:');
INSERT INTO `lang_definitions` VALUES (184602, 10927, 34, 'TMs / EAMs / EE, ext नाक');
INSERT INTO `lang_definitions` VALUES (184603, 10928, 34, 'तक');
INSERT INTO `lang_definitions` VALUES (184604, 10929, 34, 'तक');
INSERT INTO `lang_definitions` VALUES (184605, 10930, 34, 'तक');
INSERT INTO `lang_definitions` VALUES (184606, 10931, 34, 'फ़ाइल का पूर्ण पथ के लिए');
INSERT INTO `lang_definitions` VALUES (184607, 10936, 34, 'नोट जोड़ने के लिए, कृपया क्लिक करें');
INSERT INTO `lang_definitions` VALUES (184608, 10937, 34, 'नोट जोड़ने के लिए यहां क्लिक करें');
INSERT INTO `lang_definitions` VALUES (184609, 10938, 34, 'प्रभावित क्षेत्र के लिए');
INSERT INTO `lang_definitions` VALUES (184610, 10939, 34, 'प्रभावित क्षेत्र के लिए');
INSERT INTO `lang_definitions` VALUES (184611, 10942, 34, 'स्वचालित रूप से निर्दिष्ट प्रपत्र खोलने के लिए. कुछ खेल की टीमें यहाँ football_injury_audit का उपयोग करती है.');
INSERT INTO `lang_definitions` VALUES (184612, 10944, 34, 'बिलिंग देखने के लिए');
INSERT INTO `lang_definitions` VALUES (184613, 10945, 34, 'श्रेणी के लिए');
INSERT INTO `lang_definitions` VALUES (184614, 10947, 34, 'क्लीनिकल देखने के लिए');
INSERT INTO `lang_definitions` VALUES (184615, 10949, 34, 'copay के लिए');
INSERT INTO `lang_definitions` VALUES (184616, 10953, 34, 'ded\'ble के लिए');
INSERT INTO `lang_definitions` VALUES (184617, 10956, 34, 'Dems के लिए');
INSERT INTO `lang_definitions` VALUES (184618, 10958, 34, 'ग्राहक पक्ष SSL प्रमाणपत्र निष्क्रिय करने के लिए अपाचे विन्यास फाइल और सेट में उपरोक्त पंक्तियों की टिप्पणी करें');
INSERT INTO `lang_definitions` VALUES (184619, 10960, 34, 'HTTPS निष्क्रिय करने के लिए, अपाचे विन्यास फाइल में उपरोक्त पंक्तियों की टिप्पणी करें और अपाचे सर्वर को पुनः आरंभ करें');
INSERT INTO `lang_definitions` VALUES (184620, 10965, 34, 'क्लाइंट पक्ष SSL प्रमाणपत्र सक्रिय करने के लिए');
INSERT INTO `lang_definitions` VALUES (184621, 10966, 34, 'क्लाइंट पक्ष SSL प्रमाणपत्र प्रमाणीकरण सक्रिय करने के लिए, HTTPS सक्रिय होना चाहिए.');
INSERT INTO `lang_definitions` VALUES (184622, 10970, 34, 'केवल HTTPS सक्रिय करने के लिए उपरोक्त परिवर्तन करें और अपाचे सर्वर को पुनः आरंभ करें. यदि आप ग्राहक पक्ष प्रमाण पत्र विन्यस्त करना चाहते हैं, तो अगले भाग में उन्हें विन्यस्त करें.');
INSERT INTO `lang_definitions` VALUES (184623, 10972, 34, 'Enctr करें');
INSERT INTO `lang_definitions` VALUES (184624, 10973, 34, 'सेक्स के द्वारा फिल्टर करने के लिए');
INSERT INTO `lang_definitions` VALUES (184625, 10980, 34, 'इतिहास');
INSERT INTO `lang_definitions` VALUES (184626, 10982, 34, 'मुद्दों के लिए');
INSERT INTO `lang_definitions` VALUES (184627, 10984, 34, 'मुठभेड़ / परामर्श मौजूदा मुद्दे को लिंक करने के लिए, क्लिक करें');
INSERT INTO `lang_definitions` VALUES (184628, 10985, 34, 'मुठभेड़ / परामर्श मौजूदा मुद्दे को लिंक करने के लिए, उपरोक्त इच्छित मुद्दे पर क्लिक करके हाइलाइट करें और [सेव] क्लिक करें.कई मुद्दों पर चयन करने के लिए [Ctrl] बटन दबाए रखें.');
INSERT INTO `lang_definitions` VALUES (184629, 10987, 34, 'फिर से प्रवेश करने के लिए');
INSERT INTO `lang_definitions` VALUES (184630, 10992, 34, 'खुलासे रिकॉर्ड करने के लिए, कृपया क्लिक करें');
INSERT INTO `lang_definitions` VALUES (184631, 10997, 34, 'चलाने के लिए');
INSERT INTO `lang_definitions` VALUES (184632, 11001, 34, 'क्लाइंट प्रमाण पत्र प्रमाणीकरण के साथ HTTPS पहुँच सेटअप के लिए, निम्न कार्य करें');
INSERT INTO `lang_definitions` VALUES (184633, 11002, 34, 'त्वचा के लिए');
INSERT INTO `lang_definitions` VALUES (184634, 11003, 34, 'त्वचा के लिए');
INSERT INTO `lang_definitions` VALUES (184635, 11005, 34, 'इस दौरे के लिए?');
INSERT INTO `lang_definitions` VALUES (184636, 11010, 34, 'करने के लिए:');
INSERT INTO `lang_definitions` VALUES (184637, 11011, 34, 'करने के लिए:');
INSERT INTO `lang_definitions` VALUES (184638, 11012, 34, 'TO_CITY');
INSERT INTO `lang_definitions` VALUES (184639, 11013, 34, 'TO_FAX');
INSERT INTO `lang_definitions` VALUES (184640, 11014, 34, 'TO_FNAME');
INSERT INTO `lang_definitions` VALUES (184641, 11015, 34, 'TO_LNAME');
INSERT INTO `lang_definitions` VALUES (184642, 11016, 34, 'TO_MNAME');
INSERT INTO `lang_definitions` VALUES (184643, 11017, 34, 'TO_ORGANIZATION');
INSERT INTO `lang_definitions` VALUES (184644, 11020, 34, 'TO_POSTAL');
INSERT INTO `lang_definitions` VALUES (184645, 11021, 34, 'TO_STATE');
INSERT INTO `lang_definitions` VALUES (184646, 11022, 34, 'TO_STREET');
INSERT INTO `lang_definitions` VALUES (184647, 11023, 34, 'TO_TITLE');
INSERT INTO `lang_definitions` VALUES (184648, 11024, 34, 'TO_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (184649, 11025, 34, 'तम्बाकू');
INSERT INTO `lang_definitions` VALUES (184650, 11026, 34, 'तम्बाकू बंद हस्तक्षेप');
INSERT INTO `lang_definitions` VALUES (184651, 11027, 34, 'तम्बाकू बंद हस्तक्षेप (CQM)');
INSERT INTO `lang_definitions` VALUES (184652, 11028, 34, 'तम्बाकू का उपयोग');
INSERT INTO `lang_definitions` VALUES (184653, 11030, 34, 'तंबाकू का उपयोग आकलन');
INSERT INTO `lang_definitions` VALUES (184654, 11031, 34, 'तंबाकू का उपयोग आकलन (CQM)');
INSERT INTO `lang_definitions` VALUES (184655, 11032, 34, 'आज');
INSERT INTO `lang_definitions` VALUES (184656, 11033, 34, 'आज');
INSERT INTO `lang_definitions` VALUES (184657, 11034, 34, 'आज');
INSERT INTO `lang_definitions` VALUES (184658, 11035, 34, 'आज की शेष राशि');
INSERT INTO `lang_definitions` VALUES (184659, 11036, 34, 'आज का शुल्क');
INSERT INTO `lang_definitions` VALUES (184660, 11037, 34, 'आज की तिथि');
INSERT INTO `lang_definitions` VALUES (184661, 11038, 34, 'आज का घटनाक्रम');
INSERT INTO `lang_definitions` VALUES (184662, 11044, 34, 'मैडिकल इन्फोर्मेशन एकता, LLC लैब विनिमय सेवा के लिए टोकन ID.');
INSERT INTO `lang_definitions` VALUES (184663, 11045, 34, 'OpenEMR समर्थन LLC लैब विनिमय सेवा के लिए टोकन ID.');
INSERT INTO `lang_definitions` VALUES (184664, 11047, 34, 'गलतुण्डिका उच्छेदन');
INSERT INTO `lang_definitions` VALUES (184665, 11050, 34, 'शीर्ष');
INSERT INTO `lang_definitions` VALUES (184666, 11053, 34, 'विषय');
INSERT INTO `lang_definitions` VALUES (184667, 11054, 34, 'संपूर्ण');
INSERT INTO `lang_definitions` VALUES (184668, 11055, 34, 'संपूर्ण');
INSERT INTO `lang_definitions` VALUES (184669, 11056, 34, 'कुल सक्रिय कार्रवाई');
INSERT INTO `lang_definitions` VALUES (184670, 11057, 34, 'अद्यतन करने के बाद कुल सक्रिय अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (184671, 11058, 34, 'अद्यतन करने से पहले कुल सक्रिय अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (184672, 11060, 34, 'देय कुल राशि');
INSERT INTO `lang_definitions` VALUES (184673, 11061, 34, 'कुल राशि भुगतान');
INSERT INTO `lang_definitions` VALUES (184674, 11062, 34, 'देय कुल शेष राशि');
INSERT INTO `lang_definitions` VALUES (184675, 11063, 34, 'कुल शुल्क');
INSERT INTO `lang_definitions` VALUES (184676, 11064, 34, 'कुल शुल्क');
INSERT INTO `lang_definitions` VALUES (184677, 11065, 34, 'कुल ग्राहक');
INSERT INTO `lang_definitions` VALUES (184678, 11067, 34, 'कुल मूल्य');
INSERT INTO `lang_definitions` VALUES (184679, 11068, 34, 'निम्नलिखित चेक संख्या के लिए कुल वितरण पूर्ण नहीं है');
INSERT INTO `lang_definitions` VALUES (184680, 11069, 34, 'कुल प्रविष्टियां');
INSERT INTO `lang_definitions` VALUES (184681, 11070, 34, 'ईमेल के माध्यम से भेजा कुल विफल अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (184682, 11071, 34, 'फोन के माध्यम से भेजा कुल विफल अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (184683, 11072, 34, 'के लिए कुल');
INSERT INTO `lang_definitions` VALUES (184684, 11073, 34, 'के लिए कुल');
INSERT INTO `lang_definitions` VALUES (184685, 11074, 34, 'श्रेणी के लिए कुल');
INSERT INTO `lang_definitions` VALUES (184686, 11075, 34, 'कुल निष्क्रिय अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (184687, 11078, 34, 'कुल नई अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (184688, 11079, 34, 'नियुक्तियों की कुल संख्या');
INSERT INTO `lang_definitions` VALUES (184689, 11081, 34, 'टीकाकरण की कुल संख्या');
INSERT INTO `lang_definitions` VALUES (184690, 11082, 34, 'मामलों की कुल संख्या');
INSERT INTO `lang_definitions` VALUES (184691, 11084, 34, 'रोगियों की कुल संख्या');
INSERT INTO `lang_definitions` VALUES (184692, 11087, 34, 'कुल रोगी शेष राशि');
INSERT INTO `lang_definitions` VALUES (184693, 11089, 34, 'कुल रोगी');
INSERT INTO `lang_definitions` VALUES (184694, 11093, 34, 'कुल रिकॉर्ड');
INSERT INTO `lang_definitions` VALUES (184695, 11095, 34, 'कुल SRH और परिवार नियोजन');
INSERT INTO `lang_definitions` VALUES (184696, 11096, 34, 'ईमेल के माध्यम से भेजा कुल सफल अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (184697, 11097, 34, 'फोन के माध्यम से भेजा कुल सफल अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (184698, 11100, 34, 'कुल अपरिवर्तित अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (184699, 11101, 34, 'प्रक्रिया भेजने के बाद नहीं भेजे गए कुल अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (184700, 11102, 34, 'अद्यतन करने के बाद नहीं भेजे गए कुल अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (184701, 11103, 34, 'प्रक्रिया भेजने से पहले नहीं भेजे गए कुल अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (184702, 11104, 34, 'अद्यतन करने से पहले नहीं भेजे गए कुल अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (184703, 11105, 34, 'कुल अद्यतन अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (184704, 11106, 34, 'कुलयोग');
INSERT INTO `lang_definitions` VALUES (184705, 11107, 34, 'के लिए कुलयोग');
INSERT INTO `lang_definitions` VALUES (184706, 11108, 34, 'के लिए कुलयोग');
INSERT INTO `lang_definitions` VALUES (184707, 11123, 34, 'को {{रेंज}}');
INSERT INTO `lang_definitions` VALUES (184708, 11135, 34, 'प्रशिक्षण के प्रकार');
INSERT INTO `lang_definitions` VALUES (184709, 11136, 34, 'लेन - देन');
INSERT INTO `lang_definitions` VALUES (184710, 11137, 34, 'लेन - देन');
INSERT INTO `lang_definitions` VALUES (184711, 11138, 34, 'लेन - देन');
INSERT INTO `lang_definitions` VALUES (184712, 11139, 34, 'लेन - देन विफल रहा है गंतव्य स्थल में अपर्याप्त मात्रा.');
INSERT INTO `lang_definitions` VALUES (184713, 11140, 34, 'लेन - देन विफल रहा है, मात्रा शून्य से भी कम है');
INSERT INTO `lang_definitions` VALUES (184714, 11142, 34, 'लेन - देन के प्रकार');
INSERT INTO `lang_definitions` VALUES (184715, 11143, 34, 'लेनदेन');
INSERT INTO `lang_definitions` VALUES (184716, 11144, 34, 'लेनदेन');
INSERT INTO `lang_definitions` VALUES (184717, 11145, 34, 'लेनदेन (वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (184718, 11151, 34, 'लेनदेन / सिफ़ारिश');
INSERT INTO `lang_definitions` VALUES (184719, 11153, 34, 'स्थानांतरण');
INSERT INTO `lang_definitions` VALUES (184720, 11154, 34, 'स्थानांतरण की तारीख');
INSERT INTO `lang_definitions` VALUES (184721, 11155, 34, 'स्थानांतरण स्रोत बहुत में, अपर्याप्त मात्रा में विफल रहा है');
INSERT INTO `lang_definitions` VALUES (184722, 11156, 34, 'स्थानांतरण सारांश');
INSERT INTO `lang_definitions` VALUES (184723, 11157, 34, 'पर स्थानांतरण');
INSERT INTO `lang_definitions` VALUES (184724, 11160, 34, 'स्थानांतरण');
INSERT INTO `lang_definitions` VALUES (184725, 11162, 34, 'देखभाल के स्थानांतरण / स्थानांतरण?');
INSERT INTO `lang_definitions` VALUES (184726, 11163, 34, 'प्रवेश नियंत्रण समूह अनुवाद');
INSERT INTO `lang_definitions` VALUES (184727, 11164, 34, 'नियुक्ति श्रेणियाँ अनुवाद');
INSERT INTO `lang_definitions` VALUES (184728, 11165, 34, 'दस्तावेज़ श्रेणियाँ अनुवाद');
INSERT INTO `lang_definitions` VALUES (184729, 11166, 34, 'लेआउट अनुवाद करें');
INSERT INTO `lang_definitions` VALUES (184730, 11167, 34, 'सूचियां अनुवाद करें');
INSERT INTO `lang_definitions` VALUES (184731, 11168, 34, 'रोगी नोट टाइटल अनुवाद करें');
INSERT INTO `lang_definitions` VALUES (184732, 11169, 34, 'यह अनुवाद करें');
INSERT INTO `lang_definitions` VALUES (184733, 11170, 34, 'अनुवाद');
INSERT INTO `lang_definitions` VALUES (184734, 11171, 34, 'अनुवाद');
INSERT INTO `lang_definitions` VALUES (184735, 11172, 34, 'संचारित करें');
INSERT INTO `lang_definitions` VALUES (184736, 11175, 34, 'संचारित विफल रहा');
INSERT INTO `lang_definitions` VALUES (184737, 11177, 34, 'चयनित आदेश संचारित करें');
INSERT INTO `lang_definitions` VALUES (184738, 11179, 34, 'आघात');
INSERT INTO `lang_definitions` VALUES (184739, 11180, 34, 'उपचार');
INSERT INTO `lang_definitions` VALUES (184740, 11182, 34, 'उपचार लक्ष्य');
INSERT INTO `lang_definitions` VALUES (184741, 11183, 34, 'उपचार योजना');
INSERT INTO `lang_definitions` VALUES (184742, 11184, 34, 'उपचार योजना');
INSERT INTO `lang_definitions` VALUES (184743, 11185, 34, 'प्राप्त उपचार');
INSERT INTO `lang_definitions` VALUES (184744, 11186, 34, 'उपचार:');
INSERT INTO `lang_definitions` VALUES (184745, 11187, 34, 'उपचार:');
INSERT INTO `lang_definitions` VALUES (184746, 11189, 34, 'रुझान');
INSERT INTO `lang_definitions` VALUES (184747, 11190, 34, 'trftime ($ month_format, mktime (0, 0, 0, $ , 1, 2000))); $ month_value');
INSERT INTO `lang_definitions` VALUES (184748, 11195, 34, 'ट्रिगर बिंदु / कम्पार्टमेंट सिंड्रोम / DOMS / ऐंठन');
INSERT INTO `lang_definitions` VALUES (184749, 11196, 34, 'Trimalleolar');
INSERT INTO `lang_definitions` VALUES (184750, 11199, 34, 'ट्रंक और उदर');
INSERT INTO `lang_definitions` VALUES (184751, 11203, 34, 'मौजूदा उपयोगकर्ता नाम के साथ उपयोगकर्ता बनाने की कोशिश कर रहा है!');
INSERT INTO `lang_definitions` VALUES (184752, 11205, 34, 'चम्मच');
INSERT INTO `lang_definitions` VALUES (184753, 11207, 34, 'TTS');
INSERT INTO `lang_definitions` VALUES (184754, 11208, 34, 'क्षय रोग');
INSERT INTO `lang_definitions` VALUES (184755, 11209, 34, 'मंगल');
INSERT INTO `lang_definitions` VALUES (184756, 11210, 34, 'मंगल और amp');
INSERT INTO `lang_definitions` VALUES (184757, 11211, 34, 'मंगलवार');
INSERT INTO `lang_definitions` VALUES (184758, 11212, 34, 'अर्बुद');
INSERT INTO `lang_definitions` VALUES (184759, 11213, 34, 'तुर्की');
INSERT INTO `lang_definitions` VALUES (184760, 11222, 34, 'प्रतिदिन दो बार');
INSERT INTO `lang_definitions` VALUES (184761, 11226, 34, 'कान की झिल्ली');
INSERT INTO `lang_definitions` VALUES (184762, 11227, 34, 'टाइप');
INSERT INTO `lang_definitions` VALUES (184763, 11231, 34, '(रिक्त स्थानों सहित) टाइप ID या नाम. 3 अक्षर न्यूनतम.');
INSERT INTO `lang_definitions` VALUES (184764, 11238, 34, 'रोगी खोज परिणामों के लिए प्रदर्शित स्तंभों के प्रकार');
INSERT INTO `lang_definitions` VALUES (184765, 11239, 34, 'प्रकटीकरण के प्रकार');
INSERT INTO `lang_definitions` VALUES (184766, 11240, 34, 'घटना के प्रकार');
INSERT INTO `lang_definitions` VALUES (184767, 11242, 34, 'स्क्रीन लेआउट के प्रकार');
INSERT INTO `lang_definitions` VALUES (184768, 11243, 34, 'यहाँ रोगी पहचानकर्ता टाइप या स्कैन करें');
INSERT INTO `lang_definitions` VALUES (184769, 11248, 34, 'यहाँ अपना संदेश टाइप करें');
INSERT INTO `lang_definitions` VALUES (184770, 11249, 34, 'आदेश और परिणाम के प्रकार');
INSERT INTO `lang_definitions` VALUES (184771, 11270, 34, 'कैलगरी विश्वविद्यालय खेल चिकित्सा केन्द्र द्वारा प्रदान की UCSMC कोड');
INSERT INTO `lang_definitions` VALUES (184772, 11271, 34, 'यूक्रेनी देश');
INSERT INTO `lang_definitions` VALUES (184773, 11272, 34, 'ulcerations');
INSERT INTO `lang_definitions` VALUES (184774, 11273, 34, 'सव्रण बृहदांत्रशोथ');
INSERT INTO `lang_definitions` VALUES (184775, 11274, 34, 'अल्सर:');
INSERT INTO `lang_definitions` VALUES (184776, 11278, 34, 'बनाने में असमर्थ');
INSERT INTO `lang_definitions` VALUES (184777, 11288, 34, 'Ar_activity में यह भुगतान का मिलान करने में असमर्थ');
INSERT INTO `lang_definitions` VALUES (184778, 11291, 34, 'अप्रयोजित');
INSERT INTO `lang_definitions` VALUES (184779, 11292, 34, 'सौंपा नहीं');
INSERT INTO `lang_definitions` VALUES (184780, 11293, 34, 'अनाधिकृत');
INSERT INTO `lang_definitions` VALUES (184781, 11294, 34, 'EPrescription को अनाधिकृत पहुँच');
INSERT INTO `lang_definitions` VALUES (184782, 11295, 34, 'अनाधिकृत उपयोग.');
INSERT INTO `lang_definitions` VALUES (184783, 11296, 34, 'unbilled');
INSERT INTO `lang_definitions` VALUES (184784, 11297, 34, 'केवल unbilled');
INSERT INTO `lang_definitions` VALUES (184785, 11300, 34, 'जीभ के नीचे');
INSERT INTO `lang_definitions` VALUES (184786, 11303, 34, 'वजन');
INSERT INTO `lang_definitions` VALUES (184787, 11304, 34, 'undiagnosed');
INSERT INTO `lang_definitions` VALUES (184788, 11305, 34, 'अवितरित');
INSERT INTO `lang_definitions` VALUES (184789, 11306, 34, 'अवितरित');
INSERT INTO `lang_definitions` VALUES (184790, 11307, 34, 'अवितरित है');
INSERT INTO `lang_definitions` VALUES (184791, 11309, 34, 'चेकआउट पूर्ववत्');
INSERT INTO `lang_definitions` VALUES (184792, 11311, 34, 'अद्वितीय ग्राहक');
INSERT INTO `lang_definitions` VALUES (184793, 11312, 34, 'इस प्रकार के लिए अद्वितीय मानव पठनीय पहचानकर्ता');
INSERT INTO `lang_definitions` VALUES (184794, 11315, 34, 'अद्वितीय नए ग्राहक');
INSERT INTO `lang_definitions` VALUES (184795, 11316, 34, 'इस प्रकार के लिए अद्वितीय संख्यात्मक पहचानकर्ता');
INSERT INTO `lang_definitions` VALUES (184796, 11317, 34, 'अद्वितीय देखे मरीज');
INSERT INTO `lang_definitions` VALUES (184797, 11318, 34, 'अद्वितीय देखे मरीजों की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (184798, 11319, 34, 'अद्वितीय सपा');
INSERT INTO `lang_definitions` VALUES (184799, 11320, 34, 'इकाई');
INSERT INTO `lang_definitions` VALUES (184800, 11321, 34, 'इकाइयां');
INSERT INTO `lang_definitions` VALUES (184801, 11322, 34, 'इकाइयां');
INSERT INTO `lang_definitions` VALUES (184802, 11323, 34, 'परिणाम मूल्य को लागू इकाइयां');
INSERT INTO `lang_definitions` VALUES (184803, 11324, 34, 'दौरा प्रपत्र के लिए इकाइयां');
INSERT INTO `lang_definitions` VALUES (184804, 11325, 34, 'इकाइयां एक संख्या होनी चाहिए');
INSERT INTO `lang_definitions` VALUES (184805, 11326, 34, 'इकाइयां परिभाषित नहीं');
INSERT INTO `lang_definitions` VALUES (184806, 11327, 34, 'इकाइयां / L');
INSERT INTO `lang_definitions` VALUES (184807, 11328, 34, 'अज्ञात');
INSERT INTO `lang_definitions` VALUES (184808, 11331, 34, 'अज्ञात अगर कभी धूम्रपान किया है');
INSERT INTO `lang_definitions` VALUES (184809, 11332, 34, 'अज्ञात या N / A');
INSERT INTO `lang_definitions` VALUES (184810, 11335, 34, 'अज्ञात उपयोगकर्ता ID:');
INSERT INTO `lang_definitions` VALUES (184811, 11344, 34, 'रोगी की लिंक रद्द');
INSERT INTO `lang_definitions` VALUES (184812, 11345, 34, 'बेनाम बीमा कंपनी');
INSERT INTO `lang_definitions` VALUES (184813, 11346, 34, 'अपंजीकृत');
INSERT INTO `lang_definitions` VALUES (184814, 11349, 34, 'सभी का चयन रद्द');
INSERT INTO `lang_definitions` VALUES (184815, 11350, 34, 'अचयनित');
INSERT INTO `lang_definitions` VALUES (184816, 11351, 34, 'अनिर्दिष्ट');
INSERT INTO `lang_definitions` VALUES (184817, 11352, 34, 'असंरचित');
INSERT INTO `lang_definitions` VALUES (184818, 11354, 34, 'असमर्थित डेटाबेस लोड फ़ाइल');
INSERT INTO `lang_definitions` VALUES (184819, 11356, 34, 'जब तक');
INSERT INTO `lang_definitions` VALUES (184820, 11359, 34, 'अकाल दाखिल');
INSERT INTO `lang_definitions` VALUES (184821, 11360, 34, 'अप्रयुक्त');
INSERT INTO `lang_definitions` VALUES (184822, 11361, 34, 'uor');
INSERT INTO `lang_definitions` VALUES (184823, 11362, 34, 'तक है');
INSERT INTO `lang_definitions` VALUES (184824, 11364, 34, 'आगामी नियुक्तियां');
INSERT INTO `lang_definitions` VALUES (184825, 11365, 34, 'आगामी घटनाएँ');
INSERT INTO `lang_definitions` VALUES (184826, 11366, 34, 'अद्यतन');
INSERT INTO `lang_definitions` VALUES (184827, 11367, 34, 'अद्यतन');
INSERT INTO `lang_definitions` VALUES (184828, 11368, 34, 'अद्यतन सक्रिय');
INSERT INTO `lang_definitions` VALUES (184829, 11371, 34, 'अद्यतन फ़ाइलें');
INSERT INTO `lang_definitions` VALUES (184830, 11372, 34, 'अद्यतन जानकारी');
INSERT INTO `lang_definitions` VALUES (184831, 11374, 34, 'अद्यतन सूची');
INSERT INTO `lang_definitions` VALUES (184832, 11377, 34, 'अद्यतन प्रदाता संख्या');
INSERT INTO `lang_definitions` VALUES (184833, 11378, 34, 'अद्यतन आइटम चयनित');
INSERT INTO `lang_definitions` VALUES (184834, 11383, 34, 'फ़ाइल में निम्न चर अद्यतन करें');
INSERT INTO `lang_definitions` VALUES (184835, 11384, 34, 'अद्यतन उपयोगकर्ता जानकारी');
INSERT INTO `lang_definitions` VALUES (184836, 11390, 34, 'अद्यतन हो रहा जनसांख्यिकी अधिकृत नहीं है.');
INSERT INTO `lang_definitions` VALUES (184837, 11391, 34, 'वैश्विक विन्यास डिफ़ॉल्ट्स अद्यतन हो रहा है');
INSERT INTO `lang_definitions` VALUES (184838, 11392, 34, 'संस्करण संकेतक अद्यतन हो रहा है');
INSERT INTO `lang_definitions` VALUES (184839, 11393, 34, 'उन्नयन');
INSERT INTO `lang_definitions` VALUES (184840, 11394, 34, 'उन्नयन करें');
INSERT INTO `lang_definitions` VALUES (184841, 11396, 34, 'डेटाबेस उन्नयन');
INSERT INTO `lang_definitions` VALUES (184842, 11398, 34, 'प्रक्रिया, कार्य और तालिकाएँ शामिल करने के लिए OpenEMR डेटाबेस उन्नयन करें. de-identification की प्रक्रिया के लिए आवश्यक है.');
INSERT INTO `lang_definitions` VALUES (184843, 11399, 34, 'उन्नयन जारी रहेगा');
INSERT INTO `lang_definitions` VALUES (184844, 11400, 34, 'UPIN');
INSERT INTO `lang_definitions` VALUES (184845, 11401, 34, 'अपलोड');
INSERT INTO `lang_definitions` VALUES (184846, 11406, 34, 'विन्यास डाटा अपलोड');
INSERT INTO `lang_definitions` VALUES (184847, 11407, 34, 'दस्तावेज़ अपलोड करें');
INSERT INTO `lang_definitions` VALUES (184848, 11408, 34, 'अपलोड असफल!');
INSERT INTO `lang_definitions` VALUES (184849, 11410, 34, 'के लिए तस्वीर अपलोड करें');
INSERT INTO `lang_definitions` VALUES (184850, 11411, 34, 'आयात फ़ाइल अपलोड करें:');
INSERT INTO `lang_definitions` VALUES (184851, 11414, 34, 'अपलोड सफलतापूर्वक संसाधित');
INSERT INTO `lang_definitions` VALUES (184852, 11415, 34, 'अपलोड की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (184853, 11418, 34, 'इस फाइल को अपलोड करें:');
INSERT INTO `lang_definitions` VALUES (184854, 11421, 34, 'Upon clicking an invoice number the \"manual posting window\" appears. Here you can change the due date and notes for the invoice, select the party for whom you are posting, and select the insurances for which all expected paymants have been received. Most importantly, for each billing code for which an amount was charged, you can enter payment and adjustment information.');
INSERT INTO `lang_definitions` VALUES (184855, 11426, 34, 'Upon searching you are presented with a list of invoices. You may click on one of the invoice numbers to open a second window, which is the data entry page for manual posting. You may also click on a patient name if you want to enter a note that the front office staff will see when the patient checks in, and you may select invoices to appear on patient statements and print those statements.');
INSERT INTO `lang_definitions` VALUES (184856, 11429, 34, 'ऊपरी बांह');
INSERT INTO `lang_definitions` VALUES (184857, 11432, 34, 'अत्यावश्यकता');
INSERT INTO `lang_definitions` VALUES (184858, 11436, 34, 'मूत्र');
INSERT INTO `lang_definitions` VALUES (184859, 11437, 34, 'मूत्र ड्रिब्लिंग');
INSERT INTO `lang_definitions` VALUES (184860, 11438, 34, 'मूत्र फ्रीक्वेंसी');
INSERT INTO `lang_definitions` VALUES (184861, 11439, 34, 'मूत्र संदेह');
INSERT INTO `lang_definitions` VALUES (184862, 11440, 34, 'मूत्र Microalbumin');
INSERT INTO `lang_definitions` VALUES (184863, 11441, 34, 'मूत्र धारा');
INSERT INTO `lang_definitions` VALUES (184864, 11442, 34, 'मूत्र तात्कालिकता');
INSERT INTO `lang_definitions` VALUES (184865, 11443, 34, 'URL');
INSERT INTO `lang_definitions` VALUES (184866, 11445, 34, 'OpenEMR समर्थन के लिए URL.');
INSERT INTO `lang_definitions` VALUES (184867, 11447, 34, 'फोन प्रवेश द्वार के लिए URL. Maviq द्वारा प्रदान की स्वचालित VOIP सेवा. अधिक जानकारी के लिए http://signup.maviq.com जाएँ.');
INSERT INTO `lang_definitions` VALUES (184868, 11451, 34, 'प्रयोग');
INSERT INTO `lang_definitions` VALUES (184869, 11453, 34, 'उपयोग संकेतक (ISA15)');
INSERT INTO `lang_definitions` VALUES (184870, 11456, 34, 'बस उस स्तंभ पर सॉर्ट करने के लिए एक क्षेत्र में अकेले% का प्रयोग करें');
INSERT INTO `lang_definitions` VALUES (184871, 11457, 34, '24 घंटे समय स्वरूप का उपयोग करें?');
INSERT INTO `lang_definitions` VALUES (184872, 11465, 34, 'Use certified EHR technology to identify patient-specific education resources and provide those resources to the patient if appropriate.');
INSERT INTO `lang_definitions` VALUES (184873, 11466, 34, 'शुल्क पैनल का प्रयोग करें');
INSERT INTO `lang_definitions` VALUES (184874, 11467, 34, 'Use CPOE for medication orders directly entered by any licensed healthcare professional who can enter orders into the medical record per state, local and professional guidelines.');
INSERT INTO `lang_definitions` VALUES (184875, 11474, 34, 'पसंदीदा टीकाकरण सूची का प्रयोग करें');
INSERT INTO `lang_definitions` VALUES (184876, 11476, 34, 'तिथि श्रेणी का उपयोग करें');
INSERT INTO `lang_definitions` VALUES (184877, 11477, 34, 'डिफ़ॉल्ट का उपयोग करें');
INSERT INTO `lang_definitions` VALUES (184878, 11478, 34, 'निकालने के लिए हटाएँ विकल्प का प्रयोग करें.');
INSERT INTO `lang_definitions` VALUES (184879, 11479, 34, 'अंतरराष्ट्रीय तिथि शैली का उपयोग करें?');
INSERT INTO `lang_definitions` VALUES (184880, 11483, 34, 'स्रोत फ़ाइल नाम का उपयोग करें');
INSERT INTO `lang_definitions` VALUES (184881, 11486, 34, 'एक खरीद या हस्तांतरण के लिए नीचे दिए गए फ़ील्ड का उपयोग करें.');
INSERT INTO `lang_definitions` VALUES (184882, 11490, 34, 'केवल नव स्थापित साइटों के साथ इस सुविधा का उपयोग करें,');
INSERT INTO `lang_definitions` VALUES (184883, 11493, 34, 'विषयों का प्रयोग करें?');
INSERT INTO `lang_definitions` VALUES (184884, 11496, 34, 'उपयोगकर्ता');
INSERT INTO `lang_definitions` VALUES (184885, 11498, 34, 'उपयोगकर्ता / समूह');
INSERT INTO `lang_definitions` VALUES (184886, 11499, 34, 'उपयोगकर्ता का प्रशासन');
INSERT INTO `lang_definitions` VALUES (184887, 11500, 34, 'उपयोगकर्ता और सुविधा प्रशासन');
INSERT INTO `lang_definitions` VALUES (184888, 11501, 34, 'उपयोगकर्ता और समूह प्रशासन');
INSERT INTO `lang_definitions` VALUES (184889, 11503, 34, 'उपयोगकर्ता प्रमाणपत्र प्रमाणीकरण निष्क्रिय किया जाता है');
INSERT INTO `lang_definitions` VALUES (184890, 11507, 34, 'उपयोगकर्ता परिभाषित');
INSERT INTO `lang_definitions` VALUES (184891, 11508, 34, 'उपयोगकर्ता निर्धारित क्षेत्र 11');
INSERT INTO `lang_definitions` VALUES (184892, 11509, 34, 'उपयोगकर्ता निर्धारित क्षेत्र 12');
INSERT INTO `lang_definitions` VALUES (184893, 11510, 34, 'उपयोगकर्ता निर्धारित फील्ड');
INSERT INTO `lang_definitions` VALUES (184894, 11511, 34, 'उपयोगकर्ता निर्धारित सूची 1');
INSERT INTO `lang_definitions` VALUES (184895, 11512, 34, 'उपयोगकर्ता निर्धारित सूची 2');
INSERT INTO `lang_definitions` VALUES (184896, 11513, 34, 'उपयोगकर्ता निर्धारित सूची 3');
INSERT INTO `lang_definitions` VALUES (184897, 11514, 34, 'उपयोगकर्ता निर्धारित सूची 4');
INSERT INTO `lang_definitions` VALUES (184898, 11515, 34, 'उपयोगकर्ता निर्धारित सूची 5');
INSERT INTO `lang_definitions` VALUES (184899, 11516, 34, 'उपयोगकर्ता निर्धारित सूची 6');
INSERT INTO `lang_definitions` VALUES (184900, 11517, 34, 'उपयोगकर्ता परिभाषित सूची 7');
INSERT INTO `lang_definitions` VALUES (184901, 11518, 34, 'उपयोगकर्ता परिभाषित पाठ 1');
INSERT INTO `lang_definitions` VALUES (184902, 11519, 34, 'उपयोगकर्ता परिभाषित पाठ 2');
INSERT INTO `lang_definitions` VALUES (184903, 11520, 34, 'उपयोगकर्ता परिभाषित पाठ 3');
INSERT INTO `lang_definitions` VALUES (184904, 11521, 34, 'उपयोगकर्ता परिभाषित पाठ 4');
INSERT INTO `lang_definitions` VALUES (184905, 11522, 34, 'उपयोगकर्ता परिभाषित पाठ 5');
INSERT INTO `lang_definitions` VALUES (184906, 11523, 34, 'उपयोगकर्ता परिभाषित पाठ 6');
INSERT INTO `lang_definitions` VALUES (184907, 11524, 34, 'उपयोगकर्ता परिभाषित पाठ 7');
INSERT INTO `lang_definitions` VALUES (184908, 11525, 34, 'उपयोगकर्ता परिभाषित पाठ 8');
INSERT INTO `lang_definitions` VALUES (184909, 11526, 34, 'उपयोगकर्ता का प्रथम नाम');
INSERT INTO `lang_definitions` VALUES (184910, 11530, 34, 'उपयोगकर्ता लॉगऑन (अगर 03 से ऊपर है, बाकी रिक्त स्थान छोड़ दे) (ISA02)');
INSERT INTO `lang_definitions` VALUES (184911, 11531, 34, 'उपयोगकर्ता लॉगऑन आवश्यक संकेतक (ISA01 ~ 00 या 03 का उपयोग करें)');
INSERT INTO `lang_definitions` VALUES (184912, 11532, 34, 'उपयोगकर्ता पुस्तिका');
INSERT INTO `lang_definitions` VALUES (184913, 11533, 34, 'उपयोगकर्ता सदस्यता');
INSERT INTO `lang_definitions` VALUES (184914, 11534, 34, 'उपयोगकर्ता नाम');
INSERT INTO `lang_definitions` VALUES (184915, 11536, 34, 'उपयोगकर्ता नाम या होस्ट नाम खाली नहीं हो सकता');
INSERT INTO `lang_definitions` VALUES (184916, 11537, 34, 'उपयोगकर्ता या होस्ट नाम');
INSERT INTO `lang_definitions` VALUES (184917, 11539, 34, 'उपयोगकर्ता का पासवर्ड (ISA04 ~ अगर 01 से ऊपर है, बाकी रिक्त स्थान दें)');
INSERT INTO `lang_definitions` VALUES (184918, 11540, 34, 'उपयोगकर्ता पासवर्ड संकेतक आवश्यक (ISA03 ~ 00 या 01 का उपयोग करें)');
INSERT INTO `lang_definitions` VALUES (184919, 11541, 34, 'उपयोगकर्ता सेटिंग्स');
INSERT INTO `lang_definitions` VALUES (184920, 11543, 34, 'उपयोगकर्ता विशिष्ट सेटिंग');
INSERT INTO `lang_definitions` VALUES (184921, 11544, 34, 'उपयोगकर्ता  \'नया पासवर्ड');
INSERT INTO `lang_definitions` VALUES (184922, 11553, 34, 'उपयोगकर्ता नाम');
INSERT INTO `lang_definitions` VALUES (184923, 11555, 34, 'फोन प्रवेश द्वार के लिए उपयोगकर्ता नाम. Maviq द्वारा प्रदान की स्वचालित VOIP सेवा. अधिक जानकारी के लिए http://signup.maviq.com जाएँ.');
INSERT INTO `lang_definitions` VALUES (184924, 11556, 34, 'SMS गेटवे के लिए उपयोगकर्ता नाम');
INSERT INTO `lang_definitions` VALUES (184925, 11557, 34, 'SMS गेटवे के लिए उपयोगकर्ता नाम.');
INSERT INTO `lang_definitions` VALUES (184926, 11558, 34, 'CouchDB से कनेक्ट करने के लिए उपयोगकर्ता नाम');
INSERT INTO `lang_definitions` VALUES (184927, 11559, 34, 'उपयोगकर्ता नाम:');
INSERT INTO `lang_definitions` VALUES (184928, 11560, 34, 'उपयोगकर्ता');
INSERT INTO `lang_definitions` VALUES (184929, 11564, 34, 'उपयोगकर्ता / समूह / लॉग्स प्रशासन');
INSERT INTO `lang_definitions` VALUES (184930, 11574, 34, 'PHP <a href=\"http://php.net/strftime\"> strftime </ a> प्रारूप का उपयोग करता है');
INSERT INTO `lang_definitions` VALUES (184931, 11583, 34, 'UTIs');
INSERT INTO `lang_definitions` VALUES (184932, 11588, 34, 'छुट्टी');
INSERT INTO `lang_definitions` VALUES (184933, 11589, 34, 'छुट्टी');
INSERT INTO `lang_definitions` VALUES (184934, 11590, 34, 'टीका');
INSERT INTO `lang_definitions` VALUES (184935, 11593, 34, 'योनि अंगूठी');
INSERT INTO `lang_definitions` VALUES (184936, 11594, 34, 'बिदाई का');
INSERT INTO `lang_definitions` VALUES (184937, 11596, 34, 'वैधीकृत करें');
INSERT INTO `lang_definitions` VALUES (184938, 11609, 34, 'मूल्य');
INSERT INTO `lang_definitions` VALUES (184939, 11610, 34, 'मूल्य 1');
INSERT INTO `lang_definitions` VALUES (184940, 11611, 34, 'मूल्य 2');
INSERT INTO `lang_definitions` VALUES (184941, 11613, 34, 'मूल्य एक संख्या होना चाहिए');
INSERT INTO `lang_definitions` VALUES (184942, 11614, 34, 'चर1');
INSERT INTO `lang_definitions` VALUES (184943, 11615, 34, 'चर2');
INSERT INTO `lang_definitions` VALUES (184944, 11616, 34, 'de-identification उन्नयन स्क्रिप्ट को चलाने के लिए एक चर');
INSERT INTO `lang_definitions` VALUES (184945, 11619, 34, 'वेरिसेला 1');
INSERT INTO `lang_definitions` VALUES (184946, 11620, 34, 'वेरिसेला 2');
INSERT INTO `lang_definitions` VALUES (184947, 11621, 34, 'वैरिकाज़ नसों के');
INSERT INTO `lang_definitions` VALUES (184948, 11623, 34, 'संवहनी हालत');
INSERT INTO `lang_definitions` VALUES (184949, 11624, 34, 'संवहनी चोट');
INSERT INTO `lang_definitions` VALUES (184950, 11625, 34, 'संवहनी सर्जरी');
INSERT INTO `lang_definitions` VALUES (184951, 11630, 34, 'विक्रेता');
INSERT INTO `lang_definitions` VALUES (184952, 11634, 34, 'संस्करण');
INSERT INTO `lang_definitions` VALUES (184953, 11653, 34, 'सिर का चक्कर');
INSERT INTO `lang_definitions` VALUES (184954, 11656, 34, 'दिग्गजों का प्रशासन');
INSERT INTO `lang_definitions` VALUES (184955, 11657, 34, 'दिग्गजों का प्रशासन की योजना');
INSERT INTO `lang_definitions` VALUES (184956, 11659, 34, 'VFC');
INSERT INTO `lang_definitions` VALUES (184957, 11666, 34, 'Vietnamese');
INSERT INTO `lang_definitions` VALUES (184958, 11667, 34, 'देखें');
INSERT INTO `lang_definitions` VALUES (184959, 11668, 34, 'देखें');
INSERT INTO `lang_definitions` VALUES (184960, 11670, 34, 'देखें एलर्जी');
INSERT INTO `lang_definitions` VALUES (184961, 11671, 34, 'एक x12-835 काल फ़ाइल देखें');
INSERT INTO `lang_definitions` VALUES (184962, 11672, 34, 'देखें बैच दावा x12 पाठ');
INSERT INTO `lang_definitions` VALUES (184963, 11676, 34, 'व्यापक रोगी की रिपोर्ट देखें');
INSERT INTO `lang_definitions` VALUES (184964, 11677, 34, 'CSV टेबल देखें');
INSERT INTO `lang_definitions` VALUES (184965, 11679, 34, 'देखें दस्तावेज');
INSERT INTO `lang_definitions` VALUES (184966, 11681, 34, 'देखें मुठभेड़');
INSERT INTO `lang_definitions` VALUES (184967, 11682, 34, 'देखें युग x12 पाठ');
INSERT INTO `lang_definitions` VALUES (184968, 11683, 34, 'एक पॉप अप विंडो में घटनाएँ देखें?');
INSERT INTO `lang_definitions` VALUES (184969, 11684, 34, 'सुविधा उपयोगकर्ता विशिष्ट जानकारी देखें');
INSERT INTO `lang_definitions` VALUES (184970, 11686, 34, 'स्थानीय x12 फ़ाइल देखें');
INSERT INTO `lang_definitions` VALUES (184971, 11687, 34, 'देखें लॉग');
INSERT INTO `lang_definitions` VALUES (184972, 11690, 34, 'देखें पृष्ठ 1');
INSERT INTO `lang_definitions` VALUES (184973, 11691, 34, 'देखें पृष्ठ 2');
INSERT INTO `lang_definitions` VALUES (184974, 11692, 34, 'अतीत और भविष्य अनुस्मारक देखें');
INSERT INTO `lang_definitions` VALUES (184975, 11695, 34, 'रोगी देखें');
INSERT INTO `lang_definitions` VALUES (184976, 11700, 34, 'संबंधित मुठभेड़ देखें');
INSERT INTO `lang_definitions` VALUES (184977, 11701, 34, 'रिपोर्ट देखें');
INSERT INTO `lang_definitions` VALUES (184978, 11702, 34, 'README फाइल देखें');
INSERT INTO `lang_definitions` VALUES (184979, 11712, 34, 'देखें / संपादन करें एलर्जी');
INSERT INTO `lang_definitions` VALUES (184980, 11713, 34, 'देखें / संपादन करें समस्या');
INSERT INTO `lang_definitions` VALUES (184981, 11714, 34, 'देखें / छापें');
INSERT INTO `lang_definitions` VALUES (184982, 11717, 34, 'देखें:');
INSERT INTO `lang_definitions` VALUES (184983, 11718, 34, 'VISA');
INSERT INTO `lang_definitions` VALUES (184984, 11719, 34, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (184985, 11721, 34, 'आंत का नुकसान / आघात / सर्जरी');
INSERT INTO `lang_definitions` VALUES (184986, 11728, 34, 'श्रेणी पर जाएँ:');
INSERT INTO `lang_definitions` VALUES (184987, 11729, 34, 'तिथि पर जाएँ');
INSERT INTO `lang_definitions` VALUES (184988, 11730, 34, 'तिथि पर जाएँ');
INSERT INTO `lang_definitions` VALUES (184989, 11734, 34, 'प्रपत्र पर जाएँ');
INSERT INTO `lang_definitions` VALUES (184990, 11736, 34, 'इतिहास पर जाएँ');
INSERT INTO `lang_definitions` VALUES (184991, 11745, 34, 'दौरा');
INSERT INTO `lang_definitions` VALUES (184992, 11746, 34, 'से दौरा');
INSERT INTO `lang_definitions` VALUES (184993, 11751, 34, 'महत्वपूर्ण लक्षण');
INSERT INTO `lang_definitions` VALUES (184994, 11752, 34, 'नब्ज');
INSERT INTO `lang_definitions` VALUES (184995, 11753, 34, 'नब्ज (मैट्रिक)');
INSERT INTO `lang_definitions` VALUES (184996, 11754, 34, 'नब्ज विकल्प प्रपत्र');
INSERT INTO `lang_definitions` VALUES (184997, 11756, 34, 'आवाज़');
INSERT INTO `lang_definitions` VALUES (184998, 11758, 34, 'आवाज भेजा गया');
INSERT INTO `lang_definitions` VALUES (184999, 11763, 34, 'उल्टी');
INSERT INTO `lang_definitions` VALUES (185000, 11767, 34, 'W');
INSERT INTO `lang_definitions` VALUES (185001, 11770, 34, 'कमर परिधि');
INSERT INTO `lang_definitions` VALUES (185002, 11771, 34, 'कमर परिधि');
INSERT INTO `lang_definitions` VALUES (185003, 11772, 34, 'प्रतीक्षा');
INSERT INTO `lang_definitions` VALUES (185004, 11773, 34, 'चल आना');
INSERT INTO `lang_definitions` VALUES (185005, 11776, 34, 'वॉल्ट Pennington');
INSERT INTO `lang_definitions` VALUES (185006, 11778, 34, 'गोदाम');
INSERT INTO `lang_definitions` VALUES (185007, 11780, 34, 'गोदाम अधिकतम, अगर लागू नहीं तो 0');
INSERT INTO `lang_definitions` VALUES (185008, 11781, 34, 'गोदाम न्यूनतम, अगर लागू नहीं तो 0');
INSERT INTO `lang_definitions` VALUES (185009, 11782, 34, 'गोदामों के');
INSERT INTO `lang_definitions` VALUES (185010, 11783, 34, 'गर्म');
INSERT INTO `lang_definitions` VALUES (185011, 11786, 34, 'चेतावनी');
INSERT INTO `lang_definitions` VALUES (185012, 11787, 34, 'चेतावनी');
INSERT INTO `lang_definitions` VALUES (185013, 11789, 34, 'चेतावनी, चेक नंबर पहले से ही डेटाबेस में मौजूद');
INSERT INTO `lang_definitions` VALUES (185014, 11790, 34, 'चेतावनी, रोगी की समस्याओं की सूची में अस्पष्ट कोड है!');
INSERT INTO `lang_definitions` VALUES (185015, 11791, 34, 'चेतावनी: एक दौरा पहले से ही आज इस रोगी के लिए बनाया गया था!');
INSERT INTO `lang_definitions` VALUES (185016, 11794, 34, 'चेतावनी: यदि आप 2012/10/31 स्पेनिश संस्करण का उपयोग कर रहे हैं, तो आप contrib / snomed में रखने से पहले एक बार इसे खोल दे (क्योंकि यह जारी की फाइल  \"डबल ज़िपित \" , है).');
INSERT INTO `lang_definitions` VALUES (185017, 11796, 34, 'चेतावनी: रोगी ID अनन्य नहीं है!');
INSERT INTO `lang_definitions` VALUES (185018, 11799, 34, 'चेतावनी: यह अपलोड की गई फ़ाइल के डेटा से, विन्यास जानकारी को अधिलेखित कर देगा!');
INSERT INTO `lang_definitions` VALUES (185019, 11801, 34, 'चेतावनी');
INSERT INTO `lang_definitions` VALUES (185020, 11803, 34, 'पहले से ही अपलोड किया गया था');
INSERT INTO `lang_definitions` VALUES (185021, 11804, 34, 'नहीं मिला');
INSERT INTO `lang_definitions` VALUES (185022, 11805, 34, 'हम शेष राशि के शीघ्र भुगतान की सराहना करते हैं');
INSERT INTO `lang_definitions` VALUES (185023, 11809, 34, 'हमने हमारे आउट पेशेंट मनोरोग क्लिनिक में मूल्यांकन और उपचार के लिए आपके उपरोक्त रोगी को देखा है. इस सिफ़ारिश के लिए धन्यवाद.');
INSERT INTO `lang_definitions` VALUES (185024, 11821, 34, 'कमजोरी');
INSERT INTO `lang_definitions` VALUES (185025, 11826, 34, 'वेब खोज');
INSERT INTO `lang_definitions` VALUES (185026, 11827, 34, 'वेबसाइट');
INSERT INTO `lang_definitions` VALUES (185027, 11828, 34, 'ऑनसाइट रोगी पोर्टल के लिए वेबसाइट लिंक.');
INSERT INTO `lang_definitions` VALUES (185028, 11832, 34, 'बुधवार');
INSERT INTO `lang_definitions` VALUES (185029, 11833, 34, 'बुधवार');
INSERT INTO `lang_definitions` VALUES (185030, 11834, 34, 'सप्ताह');
INSERT INTO `lang_definitions` VALUES (185031, 11835, 34, 'सप्ताह');
INSERT INTO `lang_definitions` VALUES (185032, 11836, 34, 'सप्ताह दृश्य');
INSERT INTO `lang_definitions` VALUES (185033, 11837, 34, 'सप्ताह (s)');
INSERT INTO `lang_definitions` VALUES (185034, 11838, 34, 'साप्ताहिक एक्सपोज़र');
INSERT INTO `lang_definitions` VALUES (185035, 11839, 34, 'सप्ताह');
INSERT INTO `lang_definitions` VALUES (185036, 11840, 34, 'सप्ताह');
INSERT INTO `lang_definitions` VALUES (185037, 11841, 34, 'वज़न');
INSERT INTO `lang_definitions` VALUES (185038, 11842, 34, 'बच्चों और किशोरों के लिए वजन आकलन और परामर्श');
INSERT INTO `lang_definitions` VALUES (185039, 11843, 34, 'बच्चों और किशोरों के लिए वजन आकलन और परामर्श (CQM)');
INSERT INTO `lang_definitions` VALUES (185040, 11844, 34, 'वजन में परिवर्तन');
INSERT INTO `lang_definitions` VALUES (185041, 11845, 34, 'वजन घटाने के');
INSERT INTO `lang_definitions` VALUES (185042, 11846, 34, 'वजन घटाने के क्लिनिक');
INSERT INTO `lang_definitions` VALUES (185043, 11847, 34, 'आपका स्वागत है');
INSERT INTO `lang_definitions` VALUES (185044, 11862, 34, 'क्या गिना जा रहा है?');
INSERT INTO `lang_definitions` VALUES (185045, 11864, 34, 'घरघराहट');
INSERT INTO `lang_definitions` VALUES (185046, 11865, 34, 'घरघराहट');
INSERT INTO `lang_definitions` VALUES (185047, 11866, 34, 'घरघराहट:');
INSERT INTO `lang_definitions` VALUES (185048, 11882, 34, 'कहां संबंधित, स्कैन किया हुआ या कागज दस्तावेज़ पाया जा सकता है?');
INSERT INTO `lang_definitions` VALUES (185049, 11884, 34, 'क्या बीमित है');
INSERT INTO `lang_definitions` VALUES (185050, 11890, 34, 'चोट');
INSERT INTO `lang_definitions` VALUES (185051, 11891, 34, 'सफ़ेद');
INSERT INTO `lang_definitions` VALUES (185052, 11894, 34, 'कौन');
INSERT INTO `lang_definitions` VALUES (185053, 11895, 34, 'किसने जवाब दिया?');
INSERT INTO `lang_definitions` VALUES (185054, 11897, 34, 'विधवा');
INSERT INTO `lang_definitions` VALUES (185055, 11898, 34, 'चौडाई');
INSERT INTO `lang_definitions` VALUES (185056, 11900, 34, 'बाएं नेविगेशन फ्रेम की पिक्सल में चौड़ाई.');
INSERT INTO `lang_definitions` VALUES (185057, 11907, 34, 'चयनित के साथ:');
INSERT INTO `lang_definitions` VALUES (185058, 11908, 34, 'पुराने नाम के साथ');
INSERT INTO `lang_definitions` VALUES (185059, 11911, 34, 'किसके साथ हम संदेश छोड़ सकते हैं?');
INSERT INTO `lang_definitions` VALUES (185060, 11912, 34, 'पर रोक लगाई');
INSERT INTO `lang_definitions` VALUES (185061, 11913, 34, 'घंटे के भीतर');
INSERT INTO `lang_definitions` VALUES (185062, 11914, 34, 'घंटे के भीतर:');
INSERT INTO `lang_definitions` VALUES (185063, 11915, 34, 'मिनट के भीतर');
INSERT INTO `lang_definitions` VALUES (185064, 11916, 34, 'मिनट के भीतर:');
INSERT INTO `lang_definitions` VALUES (185065, 11917, 34, 'सुविधा के बिना');
INSERT INTO `lang_definitions` VALUES (185066, 11918, 34, 'प्रदाता के बिना');
INSERT INTO `lang_definitions` VALUES (185067, 11919, 34, 'अद्यतन के बिना');
INSERT INTO `lang_definitions` VALUES (185068, 11920, 34, 'गवाह');
INSERT INTO `lang_definitions` VALUES (185069, 11921, 34, 'सप्ताह');
INSERT INTO `lang_definitions` VALUES (185070, 11922, 34, 'WNL');
INSERT INTO `lang_definitions` VALUES (185071, 11924, 34, 'महिला');
INSERT INTO `lang_definitions` VALUES (185072, 11925, 34, 'केवल महिलाएं');
INSERT INTO `lang_definitions` VALUES (185073, 11927, 34, 'काम');
INSERT INTO `lang_definitions` VALUES (185074, 11928, 34, 'काम टिप्पणी');
INSERT INTO `lang_definitions` VALUES (185075, 11929, 34, 'कार्यालय का फोन');
INSERT INTO `lang_definitions` VALUES (185076, 11930, 34, 'कार्यालय का फ़ोन नंबर');
INSERT INTO `lang_definitions` VALUES (185077, 11931, 34, 'संबंधित काम?');
INSERT INTO `lang_definitions` VALUES (185078, 11932, 34, 'कार्य / शिक्षा / शौक');
INSERT INTO `lang_definitions` VALUES (185079, 11933, 34, 'काम / स्कूल टिप्पणी');
INSERT INTO `lang_definitions` VALUES (185080, 11934, 34, 'कार्यदिवस');
INSERT INTO `lang_definitions` VALUES (185081, 11935, 34, 'कार्यकर्ता मुआवजा');
INSERT INTO `lang_definitions` VALUES (185082, 11936, 34, 'श्रमिक मुआवजा स्वास्थ्य योजना');
INSERT INTO `lang_definitions` VALUES (185083, 11937, 34, 'नियोक्ता समूह स्वास्थ्य योजना के साथ कार्य वृद्ध लाभार्थी या पति');
INSERT INTO `lang_definitions` VALUES (185084, 11940, 34, 'काम चल रहा... इसमें एक मिनट लग सकता हैं.');
INSERT INTO `lang_definitions` VALUES (185085, 11941, 34, 'बदतर');
INSERT INTO `lang_definitions` VALUES (185086, 11942, 34, 'आप ग्लोबल खाते पर शेष राशि लागू करना चाहेंगे?');
INSERT INTO `lang_definitions` VALUES (185087, 11943, 34, 'आप मंजूर के रूप में उन्हें चिह्नित करना चाहते हैं.');
INSERT INTO `lang_definitions` VALUES (185088, 11944, 34, 'आप आवंटित करना चाहेंगे?');
INSERT INTO `lang_definitions` VALUES (185089, 11945, 34, 'आप इस मरीज के लिए वितरण रद्द करना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (185090, 11946, 34, 'आप भुगतान वितरण हटाना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (185091, 11947, 34, 'आप भुगतान हटाना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (185092, 11948, 34, 'आप भुगतान संशोधित और समाप्त करना चाहेंगे?');
INSERT INTO `lang_definitions` VALUES (185093, 11949, 34, 'आप भुगतान रूपांतरित करना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (185094, 11950, 34, 'आप भुगतान पोस्ट और समाप्त करना चाहेंगे?');
INSERT INTO `lang_definitions` VALUES (185095, 11951, 34, 'आप भुगतान पोस्ट करना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (185096, 11952, 34, 'आप सहेजना चाहेंगे?');
INSERT INTO `lang_definitions` VALUES (185097, 11953, 34, 'कलाई');
INSERT INTO `lang_definitions` VALUES (185098, 11954, 34, 'कलाई और हाथ');
INSERT INTO `lang_definitions` VALUES (185099, 11955, 34, 'कलाई की समस्याएं');
INSERT INTO `lang_definitions` VALUES (185100, 11956, 34, 'लिखना');
INSERT INTO `lang_definitions` VALUES (185101, 11958, 34, 'लिख डालना');
INSERT INTO `lang_definitions` VALUES (185102, 11960, 34, 'wsome');
INSERT INTO `lang_definitions` VALUES (185103, 11963, 34, 'WT');
INSERT INTO `lang_definitions` VALUES (185104, 11966, 34, 'X रद्द');
INSERT INTO `lang_definitions` VALUES (185105, 11967, 34, 'X रद्द');
INSERT INTO `lang_definitions` VALUES (185106, 11969, 34, 'एक्स - रे');
INSERT INTO `lang_definitions` VALUES (185107, 11970, 34, 'एक्सरे व्याख्या:');
INSERT INTO `lang_definitions` VALUES (185108, 11971, 34, 'एक्स रे व्याख्या:');
INSERT INTO `lang_definitions` VALUES (185109, 11975, 34, 'X12 केवल: रिप्लेसमेंट दावा');
INSERT INTO `lang_definitions` VALUES (185110, 11978, 34, 'X 12 साथी');
INSERT INTO `lang_definitions` VALUES (185111, 11979, 34, 'X12 पार्टनर्स');
INSERT INTO `lang_definitions` VALUES (185112, 11981, 34, 'x12 पाठ');
INSERT INTO `lang_definitions` VALUES (185113, 11987, 34, 'Y');
INSERT INTO `lang_definitions` VALUES (185114, 11988, 34, 'साल');
INSERT INTO `lang_definitions` VALUES (185115, 11989, 34, 'साल');
INSERT INTO `lang_definitions` VALUES (185116, 11990, 34, 'साल दृश्य');
INSERT INTO `lang_definitions` VALUES (185117, 11991, 34, 'साल');
INSERT INTO `lang_definitions` VALUES (185118, 11992, 34, 'साल');
INSERT INTO `lang_definitions` VALUES (185119, 11994, 34, 'साल या महीने');
INSERT INTO `lang_definitions` VALUES (185120, 11995, 34, 'साल, महीने और दिन');
INSERT INTO `lang_definitions` VALUES (185121, 11996, 34, 'हां');
INSERT INTO `lang_definitions` VALUES (185122, 11997, 34, 'हाँ');
INSERT INTO `lang_definitions` VALUES (185123, 11998, 34, 'हां');
INSERT INTO `lang_definitions` VALUES (185124, 11999, 34, 'हाँ!');
INSERT INTO `lang_definitions` VALUES (185125, 12000, 34, 'हाँ, हटाएँ और प्रवेश');
INSERT INTO `lang_definitions` VALUES (185126, 12002, 34, 'हां / नहीं');
INSERT INTO `lang_definitions` VALUES (185127, 12003, 34, 'हाँ:');
INSERT INTO `lang_definitions` VALUES (185128, 12004, 34, 'Yiddish');
INSERT INTO `lang_definitions` VALUES (185129, 12008, 34, 'आप स्थायी रूप से मौजूदा टेम्पलेट को बदलने वाले हैं. क्या आप जारी रखना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (185130, 12011, 34, 'आप ग्रेस लॉगइन अवधि में हैं. पहले अपने पासवर्ड बदलें');
INSERT INTO `lang_definitions` VALUES (185131, 12012, 34, 'आपको इस घटना को हटाने की अनुमति नहीं है');
INSERT INTO `lang_definitions` VALUES (185132, 12013, 34, 'आपको इस घटना को संपादित करने की अनुमति नहीं है');
INSERT INTO `lang_definitions` VALUES (185133, 12014, 34, 'आप इस बात के लिए अधिकृत नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (185134, 12016, 34, 'आप इस दस्ते का उपयोग करने के लिए अधिकृत नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (185135, 12017, 34, 'आप मुद्दों को जोड़ने/संपादन करने के लिए अधिकृत नहीं हैं');
INSERT INTO `lang_definitions` VALUES (185136, 12018, 34, 'आप अपॉइंटमेंट शेड्यूल करने के लिए अधिकृत नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (185137, 12019, 34, 'आप इस मुठभेड़ को देखने के लिए अधिकृत नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (185138, 12021, 34, 'आप एक पुराने मुठभेड़ के खिलाफ पोस्ट कर रहे हैं?');
INSERT INTO `lang_definitions` VALUES (185139, 12038, 34, 'आप सीधे इस फ़ंक्शन का उपयोग नहीं कर सकते हैं.');
INSERT INTO `lang_definitions` VALUES (185140, 12050, 34, 'आप सीधे इस पेज का उपयोग नहीं कर सकते हैं.');
INSERT INTO `lang_definitions` VALUES (185141, 12051, 34, 'आप एक श्रेणी के लिए एक खाली मूल्य नहीं जोड़ सकते हैं!');
INSERT INTO `lang_definitions` VALUES (185142, 12052, 34, 'आप एक उपश्रेणी के लिए एक खाली मूल्य नहीं जोड़ सकते हैं!');
INSERT INTO `lang_definitions` VALUES (185143, 12053, 34, 'आप एक आइटम के लिए एक खाली मूल्य नहीं जोड़ सकते हैं!');
INSERT INTO `lang_definitions` VALUES (185144, 12055, 34, 'आप पूरा मूल्य YES के साथ एक भविष्य की तिथि प्रवेश नहीं कर सकते हैं.');
INSERT INTO `lang_definitions` VALUES (185145, 12057, 34, 'आपने किसी भी कार्रवाई का चयन नहीं किया हैं.');
INSERT INTO `lang_definitions` VALUES (185146, 12058, 34, 'आपको यह नोट देखने/संपादन करने के लिए अनुमति नहीं है');
INSERT INTO `lang_definitions` VALUES (185147, 12061, 34, 'आपने अवरोधित सामग्री में परिवर्तन करने का प्रयास किया है. आप ऐसा करना चाहते हैं, तो ताला निकालें. , अनलॉक लाइन निकालने के लिए, \'/ * ताला :: * /\'');
INSERT INTO `lang_definitions` VALUES (185148, 12063, 34, 'आप सफलतापूर्वक लॉग आउट कर चुके.');
INSERT INTO `lang_definitions` VALUES (185149, 12074, 34, 'आप Txt फ़ाइलें अपलोड कर सकते हैं.');
INSERT INTO `lang_definitions` VALUES (185150, 12075, 34, 'आप वैकल्पिक रूप से एक फ़ाइल से HL7 परिणाम अपलोड कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (185151, 12076, 34, 'आप नया रोगी मुठभेड़ फार्म में डिफ़ॉल्ट शिकायत के रूप में यहाँ पाठ डाल सकता है.');
INSERT INTO `lang_definitions` VALUES (185152, 12085, 34, 'आपको दस्तावेज़ एन्क्रिप्ट करने के लिए एक पास वाक्यांश दर्ज करना आवश्यक है');
INSERT INTO `lang_definitions` VALUES (185153, 12087, 34, 'आप उपयोगकर्ता की पासवर्ड को बदलने के लिए अपनी खुद की पासवर्ड दर्ज करें. पासवर्ड अपरिवर्तित रखने के लिए खाली छोड़ दें.');
INSERT INTO `lang_definitions` VALUES (185154, 12090, 34, 'आपको पहले एक रोगी को जोड़ना होगा या चयन करना होगा');
INSERT INTO `lang_definitions` VALUES (185155, 12091, 34, 'आपको पहले एक मुठभेड़ बनाना होगा या चयन करना होगा');
INSERT INTO `lang_definitions` VALUES (185156, 12092, 34, 'आपको एक यात्रा श्रेणी का चयन करना होगा');
INSERT INTO `lang_definitions` VALUES (185157, 12093, 34, 'आपको एक यात्रा श्रेणी का चयन करना होगा.');
INSERT INTO `lang_definitions` VALUES (185158, 12094, 34, 'आपको जारी रखने के लिए कुछ क्षेत्रों का चयन करना होगा.');
INSERT INTO `lang_definitions` VALUES (185159, 12104, 34, 'You should be running this test if this claim appeared to generate successfully but the actual claim file does not contain any data or only an unfinished portion of the amount of data it is supposed to contain. It is obvious with HCFA claims because they are human readable, with X12 claims it is a more difficult process to determine if the claim is properly complete.');
INSERT INTO `lang_definitions` VALUES (185160, 12106, 34, 'आपको कम से कम एक संदर्भ का चयन करना चाहिए');
INSERT INTO `lang_definitions` VALUES (185161, 12107, 34, 'आपको कम से कम एक प्रदाता का चयन करना चाहिए');
INSERT INTO `lang_definitions` VALUES (185162, 12122, 34, 'आपकी समाप्ति तिथि अमान्य है');
INSERT INTO `lang_definitions` VALUES (185163, 12123, 34, 'आपकी घटना हटा दी गई है.');
INSERT INTO `lang_definitions` VALUES (185164, 12124, 34, 'आपकी घटना को संशोधित किया गया है.');
INSERT INTO `lang_definitions` VALUES (185165, 12125, 34, 'आपकी घटना प्रस्तुत कि गई है.');
INSERT INTO `lang_definitions` VALUES (185166, 12127, 34, 'आपकी फ़ाइल बहुत बड़ी है');
INSERT INTO `lang_definitions` VALUES (185167, 12132, 34, 'आपकी सूची का नाम नामकरण आवश्यकताओं को पूरा करने के लिए बदल दिया गया है.');
INSERT INTO `lang_definitions` VALUES (185168, 12133, 34, 'आपका संदेश प्रति वितरण के लिए प्रस्तुत किया गया था');
INSERT INTO `lang_definitions` VALUES (185169, 12134, 34, 'इस श्रेणी, प्रक्रिया या परिणाम के लिए आपका नाम');
INSERT INTO `lang_definitions` VALUES (185170, 12139, 34, 'आपका पासवर्ड');
INSERT INTO `lang_definitions` VALUES (185171, 12140, 34, 'आपका पासवर्ड समाप्त हो गया है. अपना पासवर्ड बदल दें.');
INSERT INTO `lang_definitions` VALUES (185172, 12141, 34, 'आपका पासवर्ड को समाप्त हो रहा है');
INSERT INTO `lang_definitions` VALUES (185173, 12143, 34, 'आपका पासवर्ड आज समाप्त हो रहा है. अपना पासवर्ड बदल दें.');
INSERT INTO `lang_definitions` VALUES (185174, 12146, 34, 'आपका PostCalendar विन्यास, डिफ़ॉल्ट का उपयोग करने के लिए रीसेट किया गया है.');
INSERT INTO `lang_definitions` VALUES (185175, 12147, 34, 'आपका PostCalendar विन्यास अद्यतन किया गया है.');
INSERT INTO `lang_definitions` VALUES (185176, 12148, 34, 'आपकी दोहराई जाने वाली आवृत्ति एक पूर्णांक होनी चाहिए.');
INSERT INTO `lang_definitions` VALUES (185177, 12149, 34, 'आपकी दोहराई जाने वाली आवृत्ति कम से कम 1 होनी चाहिए.');
INSERT INTO `lang_definitions` VALUES (185178, 12151, 34, 'आपकी आरंभ तिथि अपने अंत तिथि से अधिक है');
INSERT INTO `lang_definitions` VALUES (185179, 12152, 34, 'आपकी आरंभ तिथि अमान्य है');
INSERT INTO `lang_definitions` VALUES (185180, 12153, 34, 'आपका सबमिशन असफल रहा.');
INSERT INTO `lang_definitions` VALUES (185181, 12156, 34, 'yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (185182, 12157, 34, 'YYYY-MM-DD');
INSERT INTO `lang_definitions` VALUES (185183, 12158, 34, 'इस दस्तावेज़ के साथ जुड़े YYYY-MM-DD तिथि');
INSERT INTO `lang_definitions` VALUES (185184, 12159, 34, 'yyyy-mm-dd तिथि नष्ट');
INSERT INTO `lang_definitions` VALUES (185185, 12160, 34, 'yyyy-mm-dd जन्म तिथि');
INSERT INTO `lang_definitions` VALUES (185186, 12161, 34, 'yyyy-mm-dd जन्म तिथि');
INSERT INTO `lang_definitions` VALUES (185187, 12162, 34, 'yyyy-mm-dd समय समाप्ति की तिथि');
INSERT INTO `lang_definitions` VALUES (185188, 12163, 34, 'yyyy-mm-dd शुरुआत या अस्पताल में भर्ती की तिथि');
INSERT INTO `lang_definitions` VALUES (185189, 12164, 34, 'yyyy-mm-dd शुरुआत, सर्जरी या दवा की शुरुआत की तिथि');
INSERT INTO `lang_definitions` VALUES (185190, 12165, 34, 'yyyy-mm-dd खरीद या स्थानांतरण की तिथि');
INSERT INTO `lang_definitions` VALUES (185191, 12166, 34, 'yyyy-mm-dd वसूली या दवा की समाप्ति की तिथि');
INSERT INTO `lang_definitions` VALUES (185192, 12167, 34, 'yyyy-mm-dd खेलने के लिए वापसी की तिथि');
INSERT INTO `lang_definitions` VALUES (185193, 12168, 34, 'yyyy-mm-dd सेवा की तिथि');
INSERT INTO `lang_definitions` VALUES (185194, 12169, 34, 'yyyy-mm-dd इस पत्र की तिथि');
INSERT INTO `lang_definitions` VALUES (185195, 12170, 34, 'yyyy-mm-dd खेलने के लिए लौट आए तिथि');
INSERT INTO `lang_definitions` VALUES (185196, 12171, 34, 'yyyy-mm-dd दस्तावेज़ तिथि');
INSERT INTO `lang_definitions` VALUES (185197, 12173, 34, 'yyyy-mm-dd घटना तिथि या शुरू होने की तिथि');
INSERT INTO `lang_definitions` VALUES (185198, 12178, 34, 'yyyy-mm-dd hh:mm:ss');
INSERT INTO `lang_definitions` VALUES (185199, 12179, 34, 'yyyy-mm-dd घंटे (24): मिनट');
INSERT INTO `lang_definitions` VALUES (185200, 12180, 34, 'yyyy-mm-dd इस घटना की अंतिम तिथि');
INSERT INTO `lang_definitions` VALUES (185201, 12186, 34, 'शून्य');
INSERT INTO `lang_definitions` VALUES (185202, 12188, 34, 'पिन');
INSERT INTO `lang_definitions` VALUES (185203, 12189, 34, 'पिन कोड');
INSERT INTO `lang_definitions` VALUES (185204, 12191, 34, 'ज़िप / देश:');
INSERT INTO `lang_definitions` VALUES (185205, 12196, 34, 'पिन');
INSERT INTO `lang_definitions` VALUES (185206, 12197, 34, 'लेकिन था');
INSERT INTO `lang_definitions` VALUES (185207, 12198, 34, 'नहीं पहुंचा जा सका.');
INSERT INTO `lang_definitions` VALUES (185208, 12199, 34, 'आप वास्तव में मिटाना चाहते हैं');
INSERT INTO `lang_definitions` VALUES (185209, 12200, 34, 'दवा');
INSERT INTO `lang_definitions` VALUES (185210, 12201, 34, 'नहीं भेजा ईमेल');
INSERT INTO `lang_definitions` VALUES (185211, 12202, 34, 'से');
INSERT INTO `lang_definitions` VALUES (185212, 12203, 34, 'बनाया गया है.');
INSERT INTO `lang_definitions` VALUES (185213, 12204, 34, 'फिर से खोल दिया गया है.');
INSERT INTO `lang_definitions` VALUES (185214, 12205, 34, 'इतिहास');
INSERT INTO `lang_definitions` VALUES (185215, 12206, 34, 'एक नंबर नहीं है');
INSERT INTO `lang_definitions` VALUES (185216, 12207, 34, 'फिर से बिलिंग के लिए तैयार है.');
INSERT INTO `lang_definitions` VALUES (185217, 12208, 34, 'LLL:');
INSERT INTO `lang_definitions` VALUES (185218, 12209, 34, 'Lot');
INSERT INTO `lang_definitions` VALUES (185219, 12210, 34, 'Medicaid मूल संदर्भ संख्या');
INSERT INTO `lang_definitions` VALUES (185220, 12211, 34, 'मिनट');
INSERT INTO `lang_definitions` VALUES (185221, 12212, 34, 'नहीं मिला!');
INSERT INTO `lang_definitions` VALUES (185222, 12213, 34, 'Pecularities in many browsers may mean that the output below enters your screen in sudden jerks and that there are long pauses of several seconds where it appears as though things may have crashed. That is not the case, you will eventually see output coming out line by line. There may be sequential numbers appearing below, this is to indicate that even though nothing else may be displaying there is activity going on. These numbers will be interspersed with the content of the billing and that is normal.');
INSERT INTO `lang_definitions` VALUES (185223, 12214, 34, 'पर्चे की अपनी सीमा तक पहुँच गया है');
INSERT INTO `lang_definitions` VALUES (185224, 12215, 34, 'जब तक');
INSERT INTO `lang_definitions` VALUES (185225, 12216, 34, 'अद्यतन विफल रहा है, डेटाबेस में नहीं ?');
INSERT INTO `lang_definitions` VALUES (185226, 12217, 34, 'केवल बिल भेजा के रूप में चिह्नित किया गया था.');
INSERT INTO `lang_definitions` VALUES (185227, 12218, 34, 'सफलतापूर्वक पंक्तिबद्ध किया गया था.');
INSERT INTO `lang_definitions` VALUES (185228, 12219, 34, '! चला गया w / o दौरा');
INSERT INTO `lang_definitions` VALUES (185229, 12220, 34, 'कोड के लिए');
INSERT INTO `lang_definitions` VALUES (185230, 12221, 34, 'PostCalendar सेटिंग्स में जाँच की है!');
INSERT INTO `lang_definitions` VALUES (185231, 12222, 34, '# Ins / Fin मुद्दा');
INSERT INTO `lang_definitions` VALUES (185232, 12223, 34, '# गोलियों की');
INSERT INTO `lang_definitions` VALUES (185233, 12224, 34, '$');
INSERT INTO `lang_definitions` VALUES (185234, 12225, 34, '$ कोडिंग किया');
INSERT INTO `lang_definitions` VALUES (185235, 12226, 34, '$ लेबल (YYYY-MM-DD):');
INSERT INTO `lang_definitions` VALUES (185236, 12227, 34, '%');
INSERT INTO `lang_definitions` VALUES (185237, 12228, 34, '% रद्द <24');
INSERT INTO `lang_definitions` VALUES (185238, 12229, 34, '% रद्द <24');
INSERT INTO `lang_definitions` VALUES (185239, 12230, 34, 'मौजूद होना चाहिए, लेकिन नहीं .');
INSERT INTO `lang_definitions` VALUES (185240, 12231, 34, '(% किसी स्ट्रिंग से मेल खाता है, _ कोई भी वर्ण से मेल खाता है)');
INSERT INTO `lang_definitions` VALUES (185241, 12232, 34, '([Ctrl] + एकाधिक प्राप्तकर्ताओं को चुनने के लिए क्लिक करें)');
INSERT INTO `lang_definitions` VALUES (185242, 12233, 34, '(वापस)');
INSERT INTO `lang_definitions` VALUES (185243, 12234, 34, '(संपादित करने के लिए क्लिक करें)');
INSERT INTO `lang_definitions` VALUES (185244, 12235, 34, '(ईमेल वितरण तत्काल है, जबकि ऑटोमेटेड VOIP आगे की प्रक्रिया के लिए सेवा प्रदाता को भेजा है)');
INSERT INTO `lang_definitions` VALUES (185245, 12236, 34, '(अधिक)');
INSERT INTO `lang_definitions` VALUES (185246, 12237, 34, '(नए रोगी)');
INSERT INTO `lang_definitions` VALUES (185247, 12238, 34, '(नोट्स और प्राधिकरण)');
INSERT INTO `lang_definitions` VALUES (185248, 12239, 34, '(रोगी नोट्स)');
INSERT INTO `lang_definitions` VALUES (185249, 12240, 34, '(इनमें से किसी एक का चयन करें, या अपना खुद का शीर्षक लिखें)');
INSERT INTO `lang_definitions` VALUES (185250, 12241, 34, '(शिफ्ट)क्लिक करें या खींचें, मान बदलने के लिए');
INSERT INTO `lang_definitions` VALUES (185251, 12242, 34, '* अनुस्मारक किया');
INSERT INTO `lang_definitions` VALUES (185252, 12243, 34, '** कृपया सर्जरी को समस्याएँ में स्थानांतरित करना!');
INSERT INTO `lang_definitions` VALUES (185253, 12244, 34, '* आवश्यक');
INSERT INTO `lang_definitions` VALUES (185254, 12245, 34, '+ चार्ट निकाला');
INSERT INTO `lang_definitions` VALUES (185255, 12249, 34, '- कोई नहीं');
INSERT INTO `lang_definitions` VALUES (185256, 12251, 34, '- सभी -');
INSERT INTO `lang_definitions` VALUES (185257, 12252, 34, '- रोल का चयन करें -');
INSERT INTO `lang_definitions` VALUES (185258, 12253, 34, '.');
INSERT INTO `lang_definitions` VALUES (185259, 12254, 34, '0');
INSERT INTO `lang_definitions` VALUES (185260, 12255, 34, '0-10');
INSERT INTO `lang_definitions` VALUES (185261, 12256, 34, '0-24');
INSERT INTO `lang_definitions` VALUES (185262, 12259, 34, '1');
INSERT INTO `lang_definitions` VALUES (185263, 12260, 34, '1 = उत्तर अमेरिका. अन्य देश कोड की सूची के लिए http://www.wtng.info/ देखें.');
INSERT INTO `lang_definitions` VALUES (185264, 12261, 34, 'अब से 1 दिन');
INSERT INTO `lang_definitions` VALUES (185265, 12262, 34, 'अब से 1 महीने');
INSERT INTO `lang_definitions` VALUES (185266, 12263, 34, 'अब से 1 सप्ताह');
INSERT INTO `lang_definitions` VALUES (185267, 12264, 34, 'अब से 1 वर्ष');
INSERT INTO `lang_definitions` VALUES (185268, 12265, 34, '1.आराम करें. 2. दो दिनों के लिए बर्फ. 3 संपीड़न, जगह में ड्रेसिंग छोड़ दें. जब तक पैर सुन्न या पीला रंग विकसित नहीं हो 4 पैर उठाओ');
INSERT INTO `lang_definitions` VALUES (185269, 12266, 34, '11-14');
INSERT INTO `lang_definitions` VALUES (185270, 12267, 34, '12 घंटे');
INSERT INTO `lang_definitions` VALUES (185271, 12268, 34, '15-19');
INSERT INTO `lang_definitions` VALUES (185272, 12272, 34, '2');
INSERT INTO `lang_definitions` VALUES (185273, 12273, 34, 'अब से 2 दिन');
INSERT INTO `lang_definitions` VALUES (185274, 12274, 34, 'अब से 2 महीने');
INSERT INTO `lang_definitions` VALUES (185275, 12275, 34, 'अब से 2 सप्ताह');
INSERT INTO `lang_definitions` VALUES (185276, 12276, 34, 'अब से 2 साल');
INSERT INTO `lang_definitions` VALUES (185277, 12277, 34, '2-20 साल');
INSERT INTO `lang_definitions` VALUES (185278, 12278, 34, '20-24');
INSERT INTO `lang_definitions` VALUES (185279, 12287, 34, '2111-13');
INSERT INTO `lang_definitions` VALUES (185280, 12288, 34, '24 घंटा');
INSERT INTO `lang_definitions` VALUES (185281, 12289, 34, '25 +');
INSERT INTO `lang_definitions` VALUES (185282, 12290, 34, '25-29');
INSERT INTO `lang_definitions` VALUES (185283, 12293, 34, '2');
INSERT INTO `lang_definitions` VALUES (185284, 12296, 34, 'अब से 3 दिन');
INSERT INTO `lang_definitions` VALUES (185285, 12297, 34, '3 महीने');
INSERT INTO `lang_definitions` VALUES (185286, 12298, 34, 'अब से 3 महीने');
INSERT INTO `lang_definitions` VALUES (185287, 12299, 34, 'प्रतिदिन 3 बार');
INSERT INTO `lang_definitions` VALUES (185288, 12300, 34, 'अब से 3 सप्ताह');
INSERT INTO `lang_definitions` VALUES (185289, 12301, 34, '30-34');
INSERT INTO `lang_definitions` VALUES (185290, 12302, 34, '35-39');
INSERT INTO `lang_definitions` VALUES (185291, 12304, 34, '3 री');
INSERT INTO `lang_definitions` VALUES (185292, 12307, 34, 'अब से 4 दिन');
INSERT INTO `lang_definitions` VALUES (185293, 12308, 34, '4 महीने');
INSERT INTO `lang_definitions` VALUES (185294, 12309, 34, 'अब से 4 महीने');
INSERT INTO `lang_definitions` VALUES (185295, 12310, 34, 'प्रतिदिन 4 बार');
INSERT INTO `lang_definitions` VALUES (185296, 12311, 34, 'अब से 4 सप्ताह');
INSERT INTO `lang_definitions` VALUES (185297, 12312, 34, '40-44');
INSERT INTO `lang_definitions` VALUES (185298, 12313, 34, '45 +');
INSERT INTO `lang_definitions` VALUES (185299, 12314, 34, '465.9, URI');
INSERT INTO `lang_definitions` VALUES (185300, 12315, 34, '466.0, ब्रोंकाइटिस, तीव्र NOS');
INSERT INTO `lang_definitions` VALUES (185301, 12316, 34, '486.0, निमोनिया, तीव्र');
INSERT INTO `lang_definitions` VALUES (185302, 12317, 34, '491.21, COPD तेज़ हो जाना');
INSERT INTO `lang_definitions` VALUES (185303, 12318, 34, '491.8, ब्रोंकाइटिस, जीर्ण');
INSERT INTO `lang_definitions` VALUES (185304, 12319, 34, '493.92, अस्थमा, तीव्र exac.');
INSERT INTO `lang_definitions` VALUES (185305, 12320, 34, '496.0, COPD');
INSERT INTO `lang_definitions` VALUES (185306, 12323, 34, '4');
INSERT INTO `lang_definitions` VALUES (185307, 12326, 34, 'अब से 5 दिन');
INSERT INTO `lang_definitions` VALUES (185308, 12327, 34, 'अब से 5 महीने');
INSERT INTO `lang_definitions` VALUES (185309, 12328, 34, 'अब से 5 सप्ताह');
INSERT INTO `lang_definitions` VALUES (185310, 12329, 34, '519.7, श्वसनी - आकर्ष');
INSERT INTO `lang_definitions` VALUES (185311, 12331, 34, '5');
INSERT INTO `lang_definitions` VALUES (185312, 12333, 34, 'अब से 6 दिन');
INSERT INTO `lang_definitions` VALUES (185313, 12334, 34, '6 महीने');
INSERT INTO `lang_definitions` VALUES (185314, 12335, 34, 'अब से 6 महीने');
INSERT INTO `lang_definitions` VALUES (185315, 12336, 34, 'अब से 6 सप्ताह');
INSERT INTO `lang_definitions` VALUES (185316, 12337, 34, '6');
INSERT INTO `lang_definitions` VALUES (185317, 12339, 34, 'अब से 7 महीने');
INSERT INTO `lang_definitions` VALUES (185318, 12340, 34, 'अब से 8 महीने');
INSERT INTO `lang_definitions` VALUES (185319, 12342, 34, '824.0 फ्रैक्चर, औसत दर्जे का malleolus, बंद हुआ');
INSERT INTO `lang_definitions` VALUES (185320, 12343, 34, '824.2 फ्रैक्चर, पार्श्व malleolus, बंद');
INSERT INTO `lang_definitions` VALUES (185321, 12344, 34, '824.6 फ्रैक्चर, Trimalleolar, बंद');
INSERT INTO `lang_definitions` VALUES (185322, 12345, 34, '825.32 फ्रैक्चर, Navicular की (टखने)');
INSERT INTO `lang_definitions` VALUES (185323, 12346, 34, '825.35 फ्रैक्चर, पांचवें (5) metatarsal के आधार');
INSERT INTO `lang_definitions` VALUES (185324, 12347, 34, '845.00 टखने की मोच NOS');
INSERT INTO `lang_definitions` VALUES (185325, 12348, 34, '845.01 मोच औसत दर्जे (तिकोना) Lig.');
INSERT INTO `lang_definitions` VALUES (185326, 12349, 34, '845.02 मोच, केलकेनीयल अनुजंघास्थिक');
INSERT INTO `lang_definitions` VALUES (185327, 12350, 34, 'अब से 9 माह');
INSERT INTO `lang_definitions` VALUES (185328, 12351, 34, '99212 स्थापित - सीधी');
INSERT INTO `lang_definitions` VALUES (185329, 12352, 34, '99,213 स्थापित - कम जटिलता');
INSERT INTO `lang_definitions` VALUES (185330, 12353, 34, '<चिकित्सक कक्ष में');
INSERT INTO `lang_definitions` VALUES (185331, 12357, 34, '> बाहर गए');
INSERT INTO `lang_definitions` VALUES (185332, 12359, 34, '?');
INSERT INTO `lang_definitions` VALUES (185333, 12361, 34, '? नहीं आया');
INSERT INTO `lang_definitions` VALUES (185334, 12362, 34, '@ पहुंचे');
INSERT INTO `lang_definitions` VALUES (185335, 12364, 34, '[दृश्य बदलें]');
INSERT INTO `lang_definitions` VALUES (185336, 12365, 34, '[पिछले मुठभेड़ की तिथि]');
INSERT INTO `lang_definitions` VALUES (185337, 12366, 34, '[अंतिम मुठभेड़ के बाद से दिन]');
INSERT INTO `lang_definitions` VALUES (185338, 12367, 34, '[EOBs]');
INSERT INTO `lang_definitions` VALUES (185339, 12368, 34, '[निर्यात OFX]');
INSERT INTO `lang_definitions` VALUES (185340, 12369, 34, '[सिफारिश नहीं]');
INSERT INTO `lang_definitions` VALUES (185341, 12370, 34, '[मुठभेड़ों की संख्या]');
INSERT INTO `lang_definitions` VALUES (185342, 12371, 34, '[रिपोर्टें]');
INSERT INTO `lang_definitions` VALUES (185343, 12372, 34, '[सभी का चयन]');
INSERT INTO `lang_definitions` VALUES (185344, 12373, 34, '[SQL लेजर]');
INSERT INTO `lang_definitions` VALUES (185345, 12374, 34, '[बैच प्रोसेसिंग प्रारंभ]');
INSERT INTO `lang_definitions` VALUES (185346, 12375, 34, '[देखें log]');
INSERT INTO `lang_definitions` VALUES (185347, 12376, 34, '[मुद्रण योग्य रिपोर्ट देखें]');
INSERT INTO `lang_definitions` VALUES (185348, 12378, 34, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (185349, 12379, 34, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (185350, 12380, 34, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (185351, 12381, 34, '~ देर से पहुंचे');
INSERT INTO `lang_definitions` VALUES (185352, 1, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185353, 2, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185354, 3, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185355, 4, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185356, 5, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185357, 6, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185358, 7, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185359, 8, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185360, 9, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185361, 10, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185362, 11, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185363, 12, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185364, 13, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185365, 14, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185366, 15, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185367, 16, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185368, 17, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185369, 18, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185370, 19, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185371, 20, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185372, 21, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185373, 22, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185374, 23, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185375, 24, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185376, 25, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185377, 26, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185378, 27, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185379, 28, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185380, 29, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185381, 30, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185382, 31, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185383, 32, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185384, 33, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185385, 34, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185386, 35, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185387, 36, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185388, 37, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185389, 38, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185390, 39, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185391, 40, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185392, 41, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185393, 42, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185394, 43, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185395, 44, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185396, 45, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185397, 46, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185398, 47, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185399, 48, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185400, 49, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185401, 50, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185402, 51, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185403, 52, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185404, 53, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185405, 54, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185406, 55, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185407, 56, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185408, 57, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185409, 58, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185410, 59, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185411, 60, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185412, 61, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185413, 62, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185414, 63, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185415, 64, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185416, 65, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185417, 66, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185418, 67, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185419, 68, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185420, 69, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185421, 70, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185422, 71, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185423, 72, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185424, 73, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185425, 74, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185426, 75, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185427, 76, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185428, 77, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185429, 78, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185430, 79, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185431, 80, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185432, 81, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185433, 82, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185434, 83, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185435, 84, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185436, 85, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185437, 86, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185438, 87, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185439, 88, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185440, 89, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185441, 90, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185442, 91, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185443, 92, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185444, 93, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185445, 94, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185446, 95, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185447, 96, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185448, 97, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185449, 98, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185450, 99, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185451, 100, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185452, 101, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185453, 102, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185454, 103, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185455, 104, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185456, 105, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185457, 106, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185458, 107, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185459, 108, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185460, 109, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185461, 110, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185462, 111, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185463, 112, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185464, 113, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185465, 114, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185466, 115, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185467, 116, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185468, 117, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185469, 118, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185470, 119, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185471, 120, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185472, 121, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185473, 122, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185474, 123, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185475, 124, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185476, 125, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185477, 126, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185478, 127, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185479, 128, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185480, 129, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185481, 130, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185482, 131, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185483, 132, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185484, 133, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185485, 134, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185486, 135, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185487, 136, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185488, 137, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185489, 138, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185490, 139, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185491, 140, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185492, 141, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185493, 142, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185494, 143, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185495, 144, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185496, 145, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185497, 146, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185498, 147, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185499, 148, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185500, 149, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185501, 150, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185502, 151, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185503, 152, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185504, 153, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185505, 154, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185506, 155, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185507, 156, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185508, 157, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185509, 158, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185510, 159, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185511, 160, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185512, 161, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185513, 162, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185514, 163, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185515, 164, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185516, 165, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185517, 166, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185518, 167, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185519, 168, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185520, 169, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185521, 170, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185522, 171, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185523, 172, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185524, 173, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185525, 174, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185526, 175, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185527, 176, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185528, 177, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185529, 178, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185530, 179, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185531, 180, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185532, 181, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185533, 182, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185534, 183, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185535, 184, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185536, 185, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185537, 186, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185538, 187, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185539, 188, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185540, 189, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185541, 190, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185542, 191, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185543, 192, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185544, 193, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185545, 194, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185546, 195, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185547, 196, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185548, 197, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185549, 198, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185550, 199, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185551, 200, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185552, 201, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185553, 202, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185554, 203, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185555, 204, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185556, 205, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185557, 206, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185558, 207, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185559, 208, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185560, 209, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185561, 210, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185562, 211, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185563, 212, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185564, 213, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185565, 214, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185566, 215, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185567, 216, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185568, 217, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185569, 218, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185570, 219, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185571, 220, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185572, 221, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185573, 222, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185574, 223, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185575, 224, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185576, 225, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185577, 226, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185578, 227, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185579, 228, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185580, 229, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185581, 230, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185582, 231, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185583, 232, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185584, 233, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185585, 234, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185586, 235, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185587, 236, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185588, 237, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185589, 238, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185590, 239, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185591, 240, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185592, 241, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185593, 242, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185594, 243, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185595, 244, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185596, 245, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185597, 246, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185598, 247, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185599, 248, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185600, 249, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185601, 250, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185602, 251, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185603, 252, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185604, 253, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185605, 254, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185606, 255, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185607, 256, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185608, 257, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185609, 258, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185610, 259, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185611, 260, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185612, 261, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185613, 262, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185614, 263, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185615, 264, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185616, 265, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185617, 266, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185618, 267, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185619, 268, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185620, 269, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185621, 270, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185622, 271, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185623, 272, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185624, 273, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185625, 274, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185626, 275, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185627, 276, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185628, 277, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185629, 278, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185630, 279, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185631, 280, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185632, 281, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185633, 282, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185634, 283, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185635, 284, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185636, 285, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185637, 286, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185638, 287, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185639, 288, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185640, 289, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185641, 290, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185642, 291, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185643, 292, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185644, 293, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185645, 294, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185646, 295, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185647, 296, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185648, 297, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185649, 298, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185650, 299, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185651, 300, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185652, 301, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185653, 302, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185654, 303, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185655, 304, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185656, 305, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185657, 306, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185658, 307, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185659, 308, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185660, 309, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185661, 310, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185662, 311, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185663, 312, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185664, 313, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185665, 314, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185666, 315, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185667, 316, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185668, 317, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185669, 318, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185670, 319, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185671, 320, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185672, 321, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185673, 322, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185674, 323, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185675, 324, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185676, 325, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185677, 326, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185678, 327, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185679, 328, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185680, 329, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185681, 330, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185682, 331, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185683, 332, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185684, 333, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185685, 334, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185686, 335, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185687, 336, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185688, 337, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185689, 338, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185690, 339, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185691, 340, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185692, 341, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185693, 342, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185694, 343, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185695, 344, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185696, 345, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185697, 346, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185698, 347, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185699, 348, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185700, 349, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185701, 350, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185702, 351, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185703, 352, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185704, 353, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185705, 354, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185706, 355, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185707, 356, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185708, 357, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185709, 358, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185710, 359, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185711, 360, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185712, 361, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185713, 362, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185714, 363, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185715, 364, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185716, 365, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185717, 366, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185718, 367, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185719, 368, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185720, 369, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185721, 370, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185722, 371, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185723, 372, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185724, 373, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185725, 374, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185726, 375, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185727, 376, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185728, 377, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185729, 378, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185730, 379, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185731, 380, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185732, 381, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185733, 382, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185734, 383, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185735, 384, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185736, 385, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185737, 386, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185738, 387, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185739, 388, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185740, 389, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185741, 390, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185742, 391, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185743, 392, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185744, 393, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185745, 394, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185746, 395, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185747, 396, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185748, 397, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185749, 398, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185750, 399, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185751, 400, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185752, 401, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185753, 402, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185754, 403, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185755, 404, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185756, 405, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185757, 406, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185758, 407, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185759, 408, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185760, 409, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185761, 410, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185762, 411, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185763, 412, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185764, 413, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185765, 414, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185766, 415, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185767, 416, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185768, 417, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185769, 418, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185770, 419, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185771, 420, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185772, 421, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185773, 422, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185774, 423, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185775, 424, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185776, 425, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185777, 426, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185778, 427, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185779, 428, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185780, 429, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185781, 430, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185782, 431, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185783, 432, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185784, 433, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185785, 434, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185786, 435, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185787, 436, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185788, 437, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185789, 438, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185790, 439, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185791, 440, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185792, 441, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185793, 442, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185794, 443, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185795, 444, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185796, 445, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185797, 446, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185798, 447, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185799, 448, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185800, 449, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185801, 450, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185802, 451, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185803, 452, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185804, 453, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185805, 454, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185806, 455, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185807, 456, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185808, 457, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185809, 458, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185810, 459, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185811, 460, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185812, 461, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185813, 462, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185814, 463, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185815, 464, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185816, 465, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185817, 466, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185818, 467, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185819, 468, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185820, 469, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185821, 470, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185822, 471, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185823, 472, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185824, 473, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185825, 474, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185826, 475, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185827, 476, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185828, 477, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185829, 478, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185830, 479, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185831, 480, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185832, 481, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185833, 482, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185834, 483, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185835, 484, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185836, 485, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185837, 486, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185838, 487, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185839, 488, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185840, 489, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185841, 490, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185842, 491, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185843, 492, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185844, 493, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185845, 494, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185846, 495, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185847, 496, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185848, 497, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185849, 498, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185850, 499, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185851, 500, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185852, 501, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185853, 502, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185854, 503, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185855, 504, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185856, 505, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185857, 506, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185858, 507, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185859, 508, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185860, 509, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185861, 510, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185862, 511, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185863, 512, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185864, 513, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185865, 514, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185866, 515, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185867, 516, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185868, 517, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185869, 518, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185870, 519, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185871, 520, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185872, 521, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185873, 522, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185874, 523, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185875, 524, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185876, 525, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185877, 526, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185878, 527, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185879, 528, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185880, 529, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185881, 530, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185882, 531, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185883, 532, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185884, 533, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185885, 534, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185886, 535, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185887, 536, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185888, 537, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185889, 538, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185890, 539, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185891, 540, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185892, 541, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185893, 542, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185894, 543, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185895, 544, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185896, 545, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185897, 546, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185898, 547, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185899, 548, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185900, 549, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185901, 550, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185902, 551, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185903, 552, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185904, 553, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185905, 554, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185906, 555, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185907, 556, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185908, 557, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185909, 558, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185910, 559, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185911, 560, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185912, 561, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185913, 562, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185914, 563, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185915, 564, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185916, 565, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185917, 566, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185918, 567, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185919, 568, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185920, 569, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185921, 570, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185922, 571, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185923, 572, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185924, 573, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185925, 574, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185926, 575, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185927, 576, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185928, 577, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185929, 578, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185930, 579, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185931, 580, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185932, 581, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185933, 582, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185934, 583, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185935, 584, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185936, 585, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185937, 586, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185938, 587, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185939, 588, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185940, 589, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185941, 590, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185942, 591, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185943, 592, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185944, 593, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185945, 594, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185946, 595, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185947, 596, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185948, 597, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185949, 598, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185950, 599, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185951, 600, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185952, 601, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185953, 602, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185954, 603, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185955, 604, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185956, 605, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185957, 606, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185958, 607, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185959, 608, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185960, 609, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185961, 610, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185962, 611, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185963, 612, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185964, 613, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185965, 614, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185966, 615, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185967, 616, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185968, 617, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185969, 618, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185970, 619, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185971, 620, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185972, 621, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185973, 622, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185974, 623, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185975, 624, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185976, 625, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185977, 626, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185978, 627, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185979, 628, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185980, 629, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185981, 630, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185982, 631, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185983, 632, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185984, 633, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185985, 634, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185986, 635, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185987, 636, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185988, 637, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185989, 638, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185990, 639, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185991, 640, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185992, 641, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185993, 642, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185994, 643, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185995, 644, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185996, 645, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185997, 646, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185998, 647, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (185999, 648, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186000, 649, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186001, 650, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186002, 651, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186003, 652, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186004, 653, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186005, 654, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186006, 655, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186007, 656, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186008, 657, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186009, 658, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186010, 659, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186011, 660, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186012, 661, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186013, 662, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186014, 663, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186015, 664, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186016, 665, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186017, 666, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186018, 667, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186019, 668, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186020, 669, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186021, 670, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186022, 671, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186023, 672, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186024, 673, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186025, 674, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186026, 675, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186027, 676, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186028, 677, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186029, 678, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186030, 679, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186031, 680, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186032, 681, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186033, 682, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186034, 683, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186035, 684, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186036, 685, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186037, 686, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186038, 687, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186039, 688, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186040, 689, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186041, 690, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186042, 691, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186043, 692, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186044, 693, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186045, 694, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186046, 695, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186047, 696, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186048, 697, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186049, 698, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186050, 699, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186051, 700, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186052, 701, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186053, 702, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186054, 703, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186055, 704, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186056, 705, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186057, 706, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186058, 707, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186059, 708, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186060, 709, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186061, 710, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186062, 711, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186063, 712, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186064, 713, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186065, 714, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186066, 715, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186067, 716, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186068, 717, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186069, 718, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186070, 719, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186071, 720, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186072, 721, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186073, 722, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186074, 723, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186075, 724, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186076, 725, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186077, 726, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186078, 727, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186079, 728, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186080, 729, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186081, 730, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186082, 731, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186083, 732, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186084, 733, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186085, 734, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186086, 735, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186087, 736, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186088, 737, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186089, 738, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186090, 739, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186091, 740, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186092, 741, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186093, 742, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186094, 743, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186095, 744, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186096, 745, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186097, 746, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186098, 747, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186099, 748, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186100, 749, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186101, 750, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186102, 751, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186103, 752, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186104, 753, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186105, 754, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186106, 755, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186107, 756, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186108, 757, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186109, 758, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186110, 759, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186111, 760, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186112, 761, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186113, 762, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186114, 763, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186115, 764, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186116, 765, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186117, 766, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186118, 767, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186119, 768, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186120, 769, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186121, 770, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186122, 771, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186123, 772, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186124, 773, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186125, 774, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186126, 775, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186127, 776, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186128, 777, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186129, 778, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186130, 779, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186131, 780, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186132, 781, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186133, 782, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186134, 783, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186135, 784, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186136, 785, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186137, 786, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186138, 787, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186139, 788, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186140, 789, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186141, 790, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186142, 791, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186143, 792, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186144, 793, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186145, 794, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186146, 795, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186147, 796, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186148, 797, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186149, 798, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186150, 799, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186151, 800, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186152, 801, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186153, 802, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186154, 803, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186155, 804, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186156, 805, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186157, 806, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186158, 807, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186159, 808, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186160, 809, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186161, 810, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186162, 811, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186163, 812, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186164, 813, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186165, 814, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186166, 815, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186167, 816, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186168, 817, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186169, 818, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186170, 819, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186171, 820, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186172, 821, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186173, 822, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186174, 823, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186175, 824, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186176, 825, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186177, 826, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186178, 827, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186179, 828, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186180, 829, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186181, 830, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186182, 831, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186183, 832, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186184, 833, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186185, 834, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186186, 835, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186187, 836, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186188, 837, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186189, 838, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186190, 839, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186191, 840, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186192, 841, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186193, 842, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186194, 843, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186195, 844, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186196, 845, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186197, 846, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186198, 847, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186199, 848, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186200, 849, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186201, 850, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186202, 851, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186203, 852, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186204, 853, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186205, 854, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186206, 855, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186207, 856, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186208, 857, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186209, 858, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186210, 859, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186211, 860, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186212, 861, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186213, 862, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186214, 863, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186215, 864, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186216, 865, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186217, 866, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186218, 867, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186219, 868, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186220, 869, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186221, 870, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186222, 871, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186223, 872, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186224, 873, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186225, 874, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186226, 875, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186227, 876, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186228, 877, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186229, 878, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186230, 879, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186231, 880, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186232, 881, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186233, 882, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186234, 883, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186235, 884, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186236, 885, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186237, 886, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186238, 887, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186239, 888, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186240, 889, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186241, 890, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186242, 891, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186243, 892, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186244, 893, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186245, 894, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186246, 895, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186247, 896, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186248, 897, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186249, 898, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186250, 899, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186251, 900, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186252, 901, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186253, 902, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186254, 903, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186255, 904, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186256, 905, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186257, 906, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186258, 907, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186259, 908, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186260, 909, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186261, 910, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186262, 911, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186263, 912, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186264, 913, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186265, 914, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186266, 915, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186267, 916, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186268, 917, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186269, 918, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186270, 919, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186271, 920, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186272, 921, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186273, 922, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186274, 923, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186275, 924, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186276, 925, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186277, 926, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186278, 927, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186279, 928, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186280, 929, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186281, 930, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186282, 931, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186283, 932, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186284, 933, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186285, 934, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186286, 935, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186287, 936, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186288, 937, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186289, 938, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186290, 939, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186291, 940, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186292, 941, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186293, 942, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186294, 943, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186295, 944, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186296, 945, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186297, 946, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186298, 947, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186299, 948, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186300, 949, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186301, 950, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186302, 951, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186303, 952, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186304, 953, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186305, 954, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186306, 955, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186307, 956, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186308, 957, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186309, 958, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186310, 959, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186311, 960, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186312, 961, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186313, 962, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186314, 963, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186315, 964, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186316, 965, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186317, 966, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186318, 967, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186319, 968, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186320, 969, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186321, 970, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186322, 971, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186323, 972, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186324, 973, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186325, 974, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186326, 975, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186327, 976, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186328, 977, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186329, 978, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186330, 979, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186331, 980, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186332, 981, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186333, 982, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186334, 983, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186335, 984, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186336, 985, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186337, 986, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186338, 987, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186339, 988, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186340, 989, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186341, 990, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186342, 991, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186343, 992, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186344, 993, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186345, 994, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186346, 995, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186347, 996, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186348, 997, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186349, 998, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186350, 999, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186351, 1000, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186352, 1001, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186353, 1002, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186354, 1003, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186355, 1004, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186356, 1005, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186357, 1006, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186358, 1007, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186359, 1008, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186360, 1009, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186361, 1010, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186362, 1011, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186363, 1012, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186364, 1013, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186365, 1014, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186366, 1015, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186367, 1016, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186368, 1017, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186369, 1018, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186370, 1019, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186371, 1020, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186372, 1021, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186373, 1022, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186374, 1023, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186375, 1024, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186376, 1025, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186377, 1026, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186378, 1027, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186379, 1028, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186380, 1029, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186381, 1030, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186382, 1031, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186383, 1032, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186384, 1033, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186385, 1034, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186386, 1035, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186387, 1036, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186388, 1037, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186389, 1038, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186390, 1039, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186391, 1040, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186392, 1041, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186393, 1042, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186394, 1043, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186395, 1044, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186396, 1045, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186397, 1046, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186398, 1047, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186399, 1048, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186400, 1049, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186401, 1050, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186402, 1051, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186403, 1052, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186404, 1053, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186405, 1054, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186406, 1055, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186407, 1056, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186408, 1057, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186409, 1058, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186410, 1059, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186411, 1060, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186412, 1061, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186413, 1062, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186414, 1063, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186415, 1064, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186416, 1065, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186417, 1066, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186418, 1067, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186419, 1068, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186420, 1069, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186421, 1070, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186422, 1071, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186423, 1072, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186424, 1073, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186425, 1074, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186426, 1075, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186427, 1076, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186428, 1077, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186429, 1078, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186430, 1079, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186431, 1080, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186432, 1081, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186433, 1082, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186434, 1083, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186435, 1084, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186436, 1085, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186437, 1086, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186438, 1087, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186439, 1088, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186440, 1089, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186441, 1090, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186442, 1091, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186443, 1092, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186444, 1093, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186445, 1094, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186446, 1095, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186447, 1096, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186448, 1097, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186449, 1098, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186450, 1099, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186451, 1100, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186452, 1101, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186453, 1102, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186454, 1103, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186455, 1104, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186456, 1105, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186457, 1106, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186458, 1107, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186459, 1108, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186460, 1109, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186461, 1110, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186462, 1111, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186463, 1112, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186464, 1113, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186465, 1114, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186466, 1115, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186467, 1116, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186468, 1117, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186469, 1118, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186470, 1119, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186471, 1120, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186472, 1121, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186473, 1122, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186474, 1123, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186475, 1124, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186476, 1125, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186477, 1126, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186478, 1127, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186479, 1128, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186480, 1129, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186481, 1130, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186482, 1131, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186483, 1132, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186484, 1133, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186485, 1134, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186486, 1135, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186487, 1136, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186488, 1137, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186489, 1138, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186490, 1139, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186491, 1140, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186492, 1141, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186493, 1142, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186494, 1143, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186495, 1144, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186496, 1145, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186497, 1146, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186498, 1147, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186499, 1148, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186500, 1149, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186501, 1150, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186502, 1151, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186503, 1152, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186504, 1153, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186505, 1154, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186506, 1155, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186507, 1156, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186508, 1157, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186509, 1158, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186510, 1159, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186511, 1160, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186512, 1161, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186513, 1162, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186514, 1163, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186515, 1164, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186516, 1165, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186517, 1166, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186518, 1167, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186519, 1168, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186520, 1169, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186521, 1170, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186522, 1171, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186523, 1172, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186524, 1173, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186525, 1174, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186526, 1175, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186527, 1176, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186528, 1177, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186529, 1178, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186530, 1179, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186531, 1180, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186532, 1181, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186533, 1182, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186534, 1183, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186535, 1184, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186536, 1185, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186537, 1186, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186538, 1187, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186539, 1188, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186540, 1189, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186541, 1190, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186542, 1191, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186543, 1192, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186544, 1193, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186545, 1194, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186546, 1195, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186547, 1196, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186548, 1197, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186549, 1198, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186550, 1199, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186551, 1200, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186552, 1201, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186553, 1202, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186554, 1203, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186555, 1204, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186556, 1205, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186557, 1206, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186558, 1207, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186559, 1208, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186560, 1209, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186561, 1210, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186562, 1211, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186563, 1212, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186564, 1213, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186565, 1214, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186566, 1215, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186567, 1216, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186568, 1217, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186569, 1218, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186570, 1219, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186571, 1220, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186572, 1221, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186573, 1222, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186574, 1223, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186575, 1224, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186576, 1225, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186577, 1226, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186578, 1227, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186579, 1228, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186580, 1229, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186581, 1230, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186582, 1231, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186583, 1232, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186584, 1233, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186585, 1234, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186586, 1235, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186587, 1236, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186588, 1237, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186589, 1238, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186590, 1239, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186591, 1240, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186592, 1241, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186593, 1242, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186594, 1243, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186595, 1244, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186596, 1245, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186597, 1246, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186598, 1247, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186599, 1248, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186600, 1249, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186601, 1250, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186602, 1251, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186603, 1252, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186604, 1253, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186605, 1254, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186606, 1255, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186607, 1256, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186608, 1257, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186609, 1258, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186610, 1259, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186611, 1260, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186612, 1261, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186613, 1262, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186614, 1263, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186615, 1264, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186616, 1265, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186617, 1266, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186618, 1267, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186619, 1268, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186620, 1269, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186621, 1270, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186622, 1271, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186623, 1272, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186624, 1273, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186625, 1274, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186626, 1275, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186627, 1276, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186628, 1277, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186629, 1278, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186630, 1279, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186631, 1280, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186632, 1281, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186633, 1282, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186634, 1283, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186635, 1284, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186636, 1285, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186637, 1286, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186638, 1287, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186639, 1288, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186640, 1289, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186641, 1290, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186642, 1291, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186643, 1292, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186644, 1293, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186645, 1294, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186646, 1295, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186647, 1296, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186648, 1297, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186649, 1298, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186650, 1299, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186651, 1300, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186652, 1301, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186653, 1302, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186654, 1303, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186655, 1304, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186656, 1305, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186657, 1306, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186658, 1307, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186659, 1308, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186660, 1309, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186661, 1310, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186662, 1311, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186663, 1312, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186664, 1313, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186665, 1314, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186666, 1315, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186667, 1316, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186668, 1317, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186669, 1318, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186670, 1319, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186671, 1320, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186672, 1321, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186673, 1322, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186674, 1323, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186675, 1324, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186676, 1325, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186677, 1326, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186678, 1327, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186679, 1328, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186680, 1329, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186681, 1330, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186682, 1331, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186683, 1332, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186684, 1333, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186685, 1334, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186686, 1335, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186687, 1336, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186688, 1337, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186689, 1338, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186690, 1339, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186691, 1340, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186692, 1341, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186693, 1342, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186694, 1343, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186695, 1344, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186696, 1345, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186697, 1346, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186698, 1347, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186699, 1348, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186700, 1349, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186701, 1350, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186702, 1351, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186703, 1352, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186704, 1353, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186705, 1354, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186706, 1355, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186707, 1356, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186708, 1357, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186709, 1358, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186710, 1359, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186711, 1360, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186712, 1361, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186713, 1362, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186714, 1363, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186715, 1364, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186716, 1365, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186717, 1366, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186718, 1367, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186719, 1368, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186720, 1369, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186721, 1370, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186722, 1371, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186723, 1372, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186724, 1373, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186725, 1374, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186726, 1375, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186727, 1376, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186728, 1377, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186729, 1378, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186730, 1379, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186731, 1380, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186732, 1381, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186733, 1382, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186734, 1383, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186735, 1384, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186736, 1385, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186737, 1386, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186738, 1387, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186739, 1388, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186740, 1389, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186741, 1390, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186742, 1391, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186743, 1392, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186744, 1393, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186745, 1394, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186746, 1395, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186747, 1396, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186748, 1397, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186749, 1398, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186750, 1399, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186751, 1400, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186752, 1401, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186753, 1402, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186754, 1403, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186755, 1404, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186756, 1405, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186757, 1406, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186758, 1407, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186759, 1408, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186760, 1409, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186761, 1410, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186762, 1411, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186763, 1412, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186764, 1413, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186765, 1414, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186766, 1415, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186767, 1416, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186768, 1417, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186769, 1418, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186770, 1419, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186771, 1420, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186772, 1421, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186773, 1422, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186774, 1423, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186775, 1424, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186776, 1425, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186777, 1426, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186778, 1427, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186779, 1428, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186780, 1429, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186781, 1430, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186782, 1431, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186783, 1432, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186784, 1433, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186785, 1434, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186786, 1435, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186787, 1436, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186788, 1437, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186789, 1438, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186790, 1439, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186791, 1440, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186792, 1441, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186793, 1442, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186794, 1443, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186795, 1444, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186796, 1445, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186797, 1446, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186798, 1447, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186799, 1448, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186800, 1449, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186801, 1450, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186802, 1451, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186803, 1452, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186804, 1453, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186805, 1454, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186806, 1455, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186807, 1456, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186808, 1457, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186809, 1458, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186810, 1459, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186811, 1460, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186812, 1461, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186813, 1462, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186814, 1463, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186815, 1464, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186816, 1465, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186817, 1466, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186818, 1467, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186819, 1468, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186820, 1469, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186821, 1470, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186822, 1471, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186823, 1472, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186824, 1473, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186825, 1474, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186826, 1475, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186827, 1476, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186828, 1477, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186829, 1478, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186830, 1479, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186831, 1480, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186832, 1481, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186833, 1482, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186834, 1483, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186835, 1484, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186836, 1485, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186837, 1486, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186838, 1487, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186839, 1488, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186840, 1489, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186841, 1490, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186842, 1491, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186843, 1492, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186844, 1493, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186845, 1494, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186846, 1495, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186847, 1496, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186848, 1497, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186849, 1498, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186850, 1499, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186851, 1500, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186852, 1501, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186853, 1502, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186854, 1503, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186855, 1504, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186856, 1505, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186857, 1506, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186858, 1507, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186859, 1508, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186860, 1509, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186861, 1510, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186862, 1511, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186863, 1512, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186864, 1513, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186865, 1514, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186866, 1515, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186867, 1516, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186868, 1517, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186869, 1518, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186870, 1519, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186871, 1520, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186872, 1521, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186873, 1522, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186874, 1523, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186875, 1524, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186876, 1525, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186877, 1526, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186878, 1527, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186879, 1528, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186880, 1529, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186881, 1530, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186882, 1531, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186883, 1532, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186884, 1533, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186885, 1534, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186886, 1535, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186887, 1536, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186888, 1537, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186889, 1538, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186890, 1539, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186891, 1540, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186892, 1541, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186893, 1542, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186894, 1543, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186895, 1544, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186896, 1545, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186897, 1546, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186898, 1547, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186899, 1548, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186900, 1549, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186901, 1550, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186902, 1551, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186903, 1552, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186904, 1553, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186905, 1554, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186906, 1555, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186907, 1556, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186908, 1557, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186909, 1558, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186910, 1559, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186911, 1560, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186912, 1561, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186913, 1562, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186914, 1563, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186915, 1564, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186916, 1565, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186917, 1566, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186918, 1567, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186919, 1568, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186920, 1569, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186921, 1570, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186922, 1571, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186923, 1572, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186924, 1573, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186925, 1574, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186926, 1575, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186927, 1576, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186928, 1577, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186929, 1578, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186930, 1579, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186931, 1580, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186932, 1581, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186933, 1582, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186934, 1583, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186935, 1584, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186936, 1585, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186937, 1586, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186938, 1587, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186939, 1588, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186940, 1589, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186941, 1590, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186942, 1591, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186943, 1592, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186944, 1593, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186945, 1594, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186946, 1595, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186947, 1596, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186948, 1597, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186949, 1598, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186950, 1599, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186951, 1600, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186952, 1601, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186953, 1602, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186954, 1603, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186955, 1604, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186956, 1605, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186957, 1606, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186958, 1607, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186959, 1608, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186960, 1609, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186961, 1610, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186962, 1611, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186963, 1612, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186964, 1613, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186965, 1614, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186966, 1615, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186967, 1616, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186968, 1617, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186969, 1618, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186970, 1619, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186971, 1620, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186972, 1621, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186973, 1622, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186974, 1623, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186975, 1624, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186976, 1625, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186977, 1626, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186978, 1627, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186979, 1628, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186980, 1629, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186981, 1630, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186982, 1631, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186983, 1632, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186984, 1633, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186985, 1634, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186986, 1635, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186987, 1636, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186988, 1637, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186989, 1638, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186990, 1639, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186991, 1640, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186992, 1641, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186993, 1642, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186994, 1643, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186995, 1644, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186996, 1645, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186997, 1646, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186998, 1647, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (186999, 1648, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187000, 1649, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187001, 1650, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187002, 1651, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187003, 1652, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187004, 1653, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187005, 1654, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187006, 1655, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187007, 1656, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187008, 1657, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187009, 1658, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187010, 1659, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187011, 1660, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187012, 1661, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187013, 1662, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187014, 1663, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187015, 1664, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187016, 1665, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187017, 1666, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187018, 1667, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187019, 1668, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187020, 1669, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187021, 1670, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187022, 1671, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187023, 1672, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187024, 1673, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187025, 1674, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187026, 1675, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187027, 1676, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187028, 1677, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187029, 1678, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187030, 1679, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187031, 1680, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187032, 1681, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187033, 1682, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187034, 1683, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187035, 1684, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187036, 1685, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187037, 1686, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187038, 1687, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187039, 1688, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187040, 1689, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187041, 1690, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187042, 1691, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187043, 1692, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187044, 1693, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187045, 1694, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187046, 1695, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187047, 1696, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187048, 1697, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187049, 1698, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187050, 1699, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187051, 1700, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187052, 1701, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187053, 1702, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187054, 1703, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187055, 1704, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187056, 1705, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187057, 1706, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187058, 1707, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187059, 1708, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187060, 1709, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187061, 1710, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187062, 1711, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187063, 1712, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187064, 1713, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187065, 1714, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187066, 1715, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187067, 1716, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187068, 1717, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187069, 1718, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187070, 1719, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187071, 1720, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187072, 1721, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187073, 1722, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187074, 1723, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187075, 1724, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187076, 1725, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187077, 1726, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187078, 1727, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187079, 1728, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187080, 1729, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187081, 1730, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187082, 1731, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187083, 1732, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187084, 1733, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187085, 1734, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187086, 1735, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187087, 1736, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187088, 1737, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187089, 1738, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187090, 1739, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187091, 1740, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187092, 1741, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187093, 1742, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187094, 1743, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187095, 1744, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187096, 1745, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187097, 1746, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187098, 1747, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187099, 1748, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187100, 1749, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187101, 1750, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187102, 1751, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187103, 1752, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187104, 1753, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187105, 1754, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187106, 1755, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187107, 1756, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187108, 1757, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187109, 1758, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187110, 1759, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187111, 1760, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187112, 1761, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187113, 1762, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187114, 1763, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187115, 1764, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187116, 1765, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187117, 1766, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187118, 1767, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187119, 1768, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187120, 1769, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187121, 1770, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187122, 1771, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187123, 1772, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187124, 1773, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187125, 1774, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187126, 1775, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187127, 1776, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187128, 1777, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187129, 1778, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187130, 1779, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187131, 1780, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187132, 1781, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187133, 1782, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187134, 1783, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187135, 1784, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187136, 1785, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187137, 1786, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187138, 1787, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187139, 1788, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187140, 1789, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187141, 1790, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187142, 1791, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187143, 1792, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187144, 1793, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187145, 1794, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187146, 1795, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187147, 1796, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187148, 1797, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187149, 1798, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187150, 1799, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187151, 1800, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187152, 1801, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187153, 1802, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187154, 1803, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187155, 1804, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187156, 1805, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187157, 1806, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187158, 1807, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187159, 1808, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187160, 1809, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187161, 1810, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187162, 1811, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187163, 1812, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187164, 1813, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187165, 1814, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187166, 1815, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187167, 1816, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187168, 1817, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187169, 1818, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187170, 1819, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187171, 1820, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187172, 1821, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187173, 1822, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187174, 1823, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187175, 1824, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187176, 1825, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187177, 1826, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187178, 1827, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187179, 1828, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187180, 1829, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187181, 1830, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187182, 1831, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187183, 1832, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187184, 1833, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187185, 1834, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187186, 1835, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187187, 1836, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187188, 1837, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187189, 1838, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187190, 1839, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187191, 1840, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187192, 1841, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187193, 1842, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187194, 1843, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187195, 1844, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187196, 1845, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187197, 1846, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187198, 1847, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187199, 1848, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187200, 1849, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187201, 1850, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187202, 1851, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187203, 1852, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187204, 1853, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187205, 1854, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187206, 1855, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187207, 1856, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187208, 1857, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187209, 1858, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187210, 1859, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187211, 1860, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187212, 1861, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187213, 1862, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187214, 1863, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187215, 1864, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187216, 1865, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187217, 1866, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187218, 1867, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187219, 1868, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187220, 1869, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187221, 1870, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187222, 1871, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187223, 1872, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187224, 1873, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187225, 1874, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187226, 1875, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187227, 1876, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187228, 1877, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187229, 1878, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187230, 1879, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187231, 1880, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187232, 1881, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187233, 1882, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187234, 1883, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187235, 1884, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187236, 1885, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187237, 1886, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187238, 1887, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187239, 1888, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187240, 1889, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187241, 1890, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187242, 1891, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187243, 1892, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187244, 1893, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187245, 1894, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187246, 1895, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187247, 1896, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187248, 1897, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187249, 1898, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187250, 1899, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187251, 1900, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187252, 1901, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187253, 1902, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187254, 1903, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187255, 1904, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187256, 1905, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187257, 1906, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187258, 1907, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187259, 1908, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187260, 1909, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187261, 1910, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187262, 1911, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187263, 1912, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187264, 1913, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187265, 1914, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187266, 1915, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187267, 1916, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187268, 1917, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187269, 1918, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187270, 1919, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187271, 1920, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187272, 1921, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187273, 1922, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187274, 1923, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187275, 1924, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187276, 1925, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187277, 1926, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187278, 1927, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187279, 1928, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187280, 1929, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187281, 1930, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187282, 1931, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187283, 1932, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187284, 1933, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187285, 1934, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187286, 1935, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187287, 1936, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187288, 1937, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187289, 1938, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187290, 1939, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187291, 1940, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187292, 1941, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187293, 1942, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187294, 1943, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187295, 1944, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187296, 1945, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187297, 1946, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187298, 1947, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187299, 1948, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187300, 1949, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187301, 1950, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187302, 1951, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187303, 1952, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187304, 1953, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187305, 1954, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187306, 1955, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187307, 1956, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187308, 1957, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187309, 1958, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187310, 1959, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187311, 1960, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187312, 1961, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187313, 1962, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187314, 1963, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187315, 1964, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187316, 1965, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187317, 1966, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187318, 1967, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187319, 1968, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187320, 1969, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187321, 1970, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187322, 1971, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187323, 1972, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187324, 1973, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187325, 1974, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187326, 1975, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187327, 1976, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187328, 1977, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187329, 1978, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187330, 1979, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187331, 1980, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187332, 1981, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187333, 1982, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187334, 1983, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187335, 1984, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187336, 1985, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187337, 1986, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187338, 1987, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187339, 1988, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187340, 1989, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187341, 1990, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187342, 1991, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187343, 1992, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187344, 1993, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187345, 1994, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187346, 1995, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187347, 1996, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187348, 1997, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187349, 1998, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187350, 1999, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187351, 2000, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187352, 2001, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187353, 2002, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187354, 2003, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187355, 2004, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187356, 2005, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187357, 2006, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187358, 2007, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187359, 2008, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187360, 2009, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187361, 2010, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187362, 2011, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187363, 2012, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187364, 2013, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187365, 2014, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187366, 2015, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187367, 2016, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187368, 2017, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187369, 2018, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187370, 2019, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187371, 2020, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187372, 2021, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187373, 2022, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187374, 2023, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187375, 2024, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187376, 2025, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187377, 2026, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187378, 2027, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187379, 2028, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187380, 2029, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187381, 2030, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187382, 2031, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187383, 2032, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187384, 2033, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187385, 2034, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187386, 2035, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187387, 2036, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187388, 2037, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187389, 2038, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187390, 2039, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187391, 2040, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187392, 2041, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187393, 2042, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187394, 2043, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187395, 2044, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187396, 2045, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187397, 2046, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187398, 2047, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187399, 2048, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187400, 2049, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187401, 2050, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187402, 2051, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187403, 2052, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187404, 2053, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187405, 2054, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187406, 2055, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187407, 2056, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187408, 2057, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187409, 2058, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187410, 2059, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187411, 2060, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187412, 2061, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187413, 2062, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187414, 2063, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187415, 2064, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187416, 2065, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187417, 2066, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187418, 2067, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187419, 2068, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187420, 2069, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187421, 2070, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187422, 2071, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187423, 2072, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187424, 2073, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187425, 2074, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187426, 2075, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187427, 2076, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187428, 2077, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187429, 2078, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187430, 2079, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187431, 2080, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187432, 2081, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187433, 2082, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187434, 2083, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187435, 2084, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187436, 2085, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187437, 2086, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187438, 2087, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187439, 2088, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187440, 2089, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187441, 2090, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187442, 2091, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187443, 2092, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187444, 2093, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187445, 2094, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187446, 2095, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187447, 2096, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187448, 2097, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187449, 2098, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187450, 2099, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187451, 2100, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187452, 2101, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187453, 2102, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187454, 2103, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187455, 2104, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187456, 2105, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187457, 2106, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187458, 2107, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187459, 2108, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187460, 2109, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187461, 2110, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187462, 2111, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187463, 2112, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187464, 2113, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187465, 2114, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187466, 2115, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187467, 2116, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187468, 2117, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187469, 2118, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187470, 2119, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187471, 2120, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187472, 2121, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187473, 2122, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187474, 2123, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187475, 2124, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187476, 2125, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187477, 2126, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187478, 2127, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187479, 2128, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187480, 2129, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187481, 2130, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187482, 2131, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187483, 2132, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187484, 2133, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187485, 2134, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187486, 2135, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187487, 2136, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187488, 2137, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187489, 2138, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187490, 2139, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187491, 2140, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187492, 2141, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187493, 2142, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187494, 2143, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187495, 2144, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187496, 2145, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187497, 2146, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187498, 2147, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187499, 2148, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187500, 2149, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187501, 2150, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187502, 2151, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187503, 2152, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187504, 2153, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187505, 2154, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187506, 2155, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187507, 2156, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187508, 2157, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187509, 2158, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187510, 2159, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187511, 2160, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187512, 2161, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187513, 2162, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187514, 2163, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187515, 2164, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187516, 2165, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187517, 2166, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187518, 2167, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187519, 2168, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187520, 2169, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187521, 2170, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187522, 2171, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187523, 2172, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187524, 2173, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187525, 2174, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187526, 2175, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187527, 2176, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187528, 2177, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187529, 2178, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187530, 2179, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187531, 2180, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187532, 2181, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187533, 2182, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187534, 2183, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187535, 2184, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187536, 2185, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187537, 2186, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187538, 2187, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187539, 2188, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187540, 2189, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187541, 2190, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187542, 2191, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187543, 2192, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187544, 2193, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187545, 2194, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187546, 2195, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187547, 2196, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187548, 2197, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187549, 2198, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187550, 2199, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187551, 2200, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187552, 2201, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187553, 2202, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187554, 2203, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187555, 2204, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187556, 2205, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187557, 2206, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187558, 2207, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187559, 2208, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187560, 2209, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187561, 2210, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187562, 2211, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187563, 2212, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187564, 2213, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187565, 2214, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187566, 2215, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187567, 2216, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187568, 2217, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187569, 2218, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187570, 2219, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187571, 2220, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187572, 2221, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187573, 2222, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187574, 2223, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187575, 2224, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187576, 2225, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187577, 2226, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187578, 2227, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187579, 2228, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187580, 2229, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187581, 2230, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187582, 2231, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187583, 2232, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187584, 2233, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187585, 2234, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187586, 2235, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187587, 2236, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187588, 2237, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187589, 2238, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187590, 2239, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187591, 2240, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187592, 2241, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187593, 2242, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187594, 2243, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187595, 2244, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187596, 2245, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187597, 2246, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187598, 2247, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187599, 2248, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187600, 2249, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187601, 2250, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187602, 2251, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187603, 2252, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187604, 2253, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187605, 2254, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187606, 2255, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187607, 2256, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187608, 2257, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187609, 2258, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187610, 2259, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187611, 2260, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187612, 2261, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187613, 2262, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187614, 2263, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187615, 2264, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187616, 2265, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187617, 2266, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187618, 2267, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187619, 2268, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187620, 2269, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187621, 2270, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187622, 2271, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187623, 2272, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187624, 2273, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187625, 2274, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187626, 2275, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187627, 2276, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187628, 2277, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187629, 2278, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187630, 2279, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187631, 2280, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187632, 2281, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187633, 2282, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187634, 2283, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187635, 2284, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187636, 2285, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187637, 2286, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187638, 2287, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187639, 2288, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187640, 2289, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187641, 2290, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187642, 2291, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187643, 2292, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187644, 2293, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187645, 2294, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187646, 2295, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187647, 2296, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187648, 2297, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187649, 2298, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187650, 2299, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187651, 2300, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187652, 2301, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187653, 2302, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187654, 2303, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187655, 2304, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187656, 2305, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187657, 2306, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187658, 2307, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187659, 2308, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187660, 2309, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187661, 2310, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187662, 2311, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187663, 2312, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187664, 2313, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187665, 2314, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187666, 2315, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187667, 2316, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187668, 2317, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187669, 2318, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187670, 2319, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187671, 2320, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187672, 2321, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187673, 2322, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187674, 2323, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187675, 2324, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187676, 2325, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187677, 2326, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187678, 2327, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187679, 2328, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187680, 2329, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187681, 2330, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187682, 2331, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187683, 2332, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187684, 2333, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187685, 2334, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187686, 2335, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187687, 2336, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187688, 2337, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187689, 2338, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187690, 2339, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187691, 2340, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187692, 2341, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187693, 2342, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187694, 2343, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187695, 2344, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187696, 2345, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187697, 2346, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187698, 2347, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187699, 2348, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187700, 2349, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187701, 2350, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187702, 2351, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187703, 2352, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187704, 2353, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187705, 2354, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187706, 2355, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187707, 2356, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187708, 2357, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187709, 2358, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187710, 2359, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187711, 2360, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187712, 2361, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187713, 2362, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187714, 2363, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187715, 2364, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187716, 2365, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187717, 2366, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187718, 2367, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187719, 2368, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187720, 2369, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187721, 2370, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187722, 2371, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187723, 2372, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187724, 2373, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187725, 2374, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187726, 2375, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187727, 2376, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187728, 2377, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187729, 2378, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187730, 2379, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187731, 2380, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187732, 2381, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187733, 2382, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187734, 2383, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187735, 2384, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187736, 2385, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187737, 2386, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187738, 2387, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187739, 2388, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187740, 2389, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187741, 2390, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187742, 2391, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187743, 2392, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187744, 2393, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187745, 2394, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187746, 2395, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187747, 2396, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187748, 2397, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187749, 2398, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187750, 2399, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187751, 2400, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187752, 2401, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187753, 2402, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187754, 2403, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187755, 2404, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187756, 2405, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187757, 2406, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187758, 2407, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187759, 2408, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187760, 2409, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187761, 2410, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187762, 2411, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187763, 2412, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187764, 2413, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187765, 2414, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187766, 2415, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187767, 2416, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187768, 2417, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187769, 2418, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187770, 2419, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187771, 2420, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187772, 2421, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187773, 2422, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187774, 2423, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187775, 2424, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187776, 2425, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187777, 2426, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187778, 2427, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187779, 2428, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187780, 2429, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187781, 2430, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187782, 2431, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187783, 2432, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187784, 2433, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187785, 2434, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187786, 2435, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187787, 2436, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187788, 2437, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187789, 2438, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187790, 2439, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187791, 2440, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187792, 2441, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187793, 2442, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187794, 2443, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187795, 2444, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187796, 2445, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187797, 2446, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187798, 2447, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187799, 2448, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187800, 2449, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187801, 2450, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187802, 2451, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187803, 2452, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187804, 2453, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187805, 2454, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187806, 2455, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187807, 2456, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187808, 2457, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187809, 2458, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187810, 2459, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187811, 2460, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187812, 2461, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187813, 2462, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187814, 2463, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187815, 2464, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187816, 2465, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187817, 2466, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187818, 2467, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187819, 2468, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187820, 2469, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187821, 2470, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187822, 2471, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187823, 2472, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187824, 2473, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187825, 2474, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187826, 2475, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187827, 2476, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187828, 2477, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187829, 2478, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187830, 2479, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187831, 2480, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187832, 2481, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187833, 2482, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187834, 2483, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187835, 2484, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187836, 2485, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187837, 2486, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187838, 2487, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187839, 2488, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187840, 2489, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187841, 2490, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187842, 2491, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187843, 2492, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187844, 2493, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187845, 2494, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187846, 2495, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187847, 2496, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187848, 2497, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187849, 2498, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187850, 2499, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187851, 2500, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187852, 2501, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187853, 2502, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187854, 2503, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187855, 2504, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187856, 2505, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187857, 2506, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187858, 2507, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187859, 2508, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187860, 2509, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187861, 2510, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187862, 2511, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187863, 2512, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187864, 2513, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187865, 2514, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187866, 2515, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187867, 2516, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187868, 2517, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187869, 2518, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187870, 2519, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187871, 2520, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187872, 2521, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187873, 2522, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187874, 2523, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187875, 2524, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187876, 2525, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187877, 2526, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187878, 2527, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187879, 2528, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187880, 2529, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187881, 2530, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187882, 2531, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187883, 2532, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187884, 2533, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187885, 2534, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187886, 2535, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187887, 2536, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187888, 2537, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187889, 2538, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187890, 2539, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187891, 2540, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187892, 2541, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187893, 2542, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187894, 2543, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187895, 2544, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187896, 2545, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187897, 2546, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187898, 2547, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187899, 2548, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187900, 2549, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187901, 2550, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187902, 2551, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187903, 2552, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187904, 2553, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187905, 2554, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187906, 2555, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187907, 2556, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187908, 2557, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187909, 2558, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187910, 2559, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187911, 2560, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187912, 2561, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187913, 2562, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187914, 2563, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187915, 2564, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187916, 2565, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187917, 2566, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187918, 2567, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187919, 2568, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187920, 2569, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187921, 2570, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187922, 2571, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187923, 2572, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187924, 2573, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187925, 2574, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187926, 2575, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187927, 2576, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187928, 2577, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187929, 2578, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187930, 2579, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187931, 2580, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187932, 2581, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187933, 2582, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187934, 2583, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187935, 2584, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187936, 2585, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187937, 2586, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187938, 2587, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187939, 2588, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187940, 2589, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187941, 2590, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187942, 2591, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187943, 2592, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187944, 2593, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187945, 2594, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187946, 2595, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187947, 2596, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187948, 2597, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187949, 2598, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187950, 2599, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187951, 2600, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187952, 2601, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187953, 2602, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187954, 2603, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187955, 2604, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187956, 2605, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187957, 2606, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187958, 2607, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187959, 2608, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187960, 2609, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187961, 2610, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187962, 2611, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187963, 2612, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187964, 2613, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187965, 2614, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187966, 2615, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187967, 2616, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187968, 2617, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187969, 2618, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187970, 2619, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187971, 2620, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187972, 2621, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187973, 2622, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187974, 2623, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187975, 2624, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187976, 2625, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187977, 2626, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187978, 2627, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187979, 2628, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187980, 2629, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187981, 2630, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187982, 2631, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187983, 2632, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187984, 2633, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187985, 2634, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187986, 2635, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187987, 2636, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187988, 2637, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187989, 2638, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187990, 2639, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187991, 2640, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187992, 2641, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187993, 2642, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187994, 2643, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187995, 2644, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187996, 2645, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187997, 2646, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187998, 2647, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (187999, 2648, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188000, 2649, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188001, 2650, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188002, 2651, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188003, 2652, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188004, 2653, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188005, 2654, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188006, 2655, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188007, 2656, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188008, 2657, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188009, 2658, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188010, 2659, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188011, 2660, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188012, 2661, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188013, 2662, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188014, 2663, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188015, 2664, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188016, 2665, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188017, 2666, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188018, 2667, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188019, 2668, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188020, 2669, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188021, 2670, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188022, 2671, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188023, 2672, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188024, 2673, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188025, 2674, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188026, 2675, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188027, 2676, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188028, 2677, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188029, 2678, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188030, 2679, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188031, 2680, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188032, 2681, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188033, 2682, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188034, 2683, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188035, 2684, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188036, 2685, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188037, 2686, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188038, 2687, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188039, 2688, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188040, 2689, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188041, 2690, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188042, 2691, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188043, 2692, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188044, 2693, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188045, 2694, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188046, 2695, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188047, 2696, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188048, 2697, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188049, 2698, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188050, 2699, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188051, 2700, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188052, 2701, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188053, 2702, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188054, 2703, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188055, 2704, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188056, 2705, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188057, 2706, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188058, 2707, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188059, 2708, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188060, 2709, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188061, 2710, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188062, 2711, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188063, 2712, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188064, 2713, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188065, 2714, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188066, 2715, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188067, 2716, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188068, 2717, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188069, 2718, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188070, 2719, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188071, 2720, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188072, 2721, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188073, 2722, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188074, 2723, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188075, 2724, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188076, 2725, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188077, 2726, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188078, 2727, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188079, 2728, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188080, 2729, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188081, 2730, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188082, 2731, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188083, 2732, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188084, 2733, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188085, 2734, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188086, 2735, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188087, 2736, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188088, 2737, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188089, 2738, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188090, 2739, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188091, 2740, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188092, 2741, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188093, 2742, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188094, 2743, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188095, 2744, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188096, 2745, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188097, 2746, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188098, 2747, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188099, 2748, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188100, 2749, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188101, 2750, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188102, 2751, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188103, 2752, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188104, 2753, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188105, 2754, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188106, 2755, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188107, 2756, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188108, 2757, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188109, 2758, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188110, 2759, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188111, 2760, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188112, 2761, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188113, 2762, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188114, 2763, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188115, 2764, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188116, 2765, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188117, 2766, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188118, 2767, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188119, 2768, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188120, 2769, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188121, 2770, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188122, 2771, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188123, 2772, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188124, 2773, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188125, 2774, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188126, 2775, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188127, 2776, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188128, 2777, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188129, 2778, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188130, 2779, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188131, 2780, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188132, 2781, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188133, 2782, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188134, 2783, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188135, 2784, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188136, 2785, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188137, 2786, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188138, 2787, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188139, 2788, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188140, 2789, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188141, 2790, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188142, 2791, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188143, 2792, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188144, 2793, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188145, 2794, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188146, 2795, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188147, 2796, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188148, 2797, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188149, 2798, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188150, 2799, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188151, 2800, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188152, 2801, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188153, 2802, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188154, 2803, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188155, 2804, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188156, 2805, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188157, 2806, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188158, 2807, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188159, 2808, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188160, 2809, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188161, 2810, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188162, 2811, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188163, 2812, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188164, 2813, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188165, 2814, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188166, 2815, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188167, 2816, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188168, 2817, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188169, 2818, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188170, 2819, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188171, 2820, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188172, 2821, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188173, 2822, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188174, 2823, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188175, 2824, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188176, 2825, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188177, 2826, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188178, 2827, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188179, 2828, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188180, 2829, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188181, 2830, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188182, 2831, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188183, 2832, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188184, 2833, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188185, 2834, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188186, 2835, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188187, 2836, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188188, 2837, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188189, 2838, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188190, 2839, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188191, 2840, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188192, 2841, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188193, 2842, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188194, 2843, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188195, 2844, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188196, 2845, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188197, 2846, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188198, 2847, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188199, 2848, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188200, 2849, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188201, 2850, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188202, 2851, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188203, 2852, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188204, 2853, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188205, 2854, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188206, 2855, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188207, 2856, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188208, 2857, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188209, 2858, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188210, 2859, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188211, 2860, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188212, 2861, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188213, 2862, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188214, 2863, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188215, 2864, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188216, 2865, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188217, 2866, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188218, 2867, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188219, 2868, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188220, 2869, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188221, 2870, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188222, 2871, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188223, 2872, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188224, 2873, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188225, 2874, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188226, 2875, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188227, 2876, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188228, 2877, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188229, 2878, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188230, 2879, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188231, 2880, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188232, 2881, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188233, 2882, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188234, 2883, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188235, 2884, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188236, 2885, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188237, 2886, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188238, 2887, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188239, 2888, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188240, 2889, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188241, 2890, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188242, 2891, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188243, 2892, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188244, 2893, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188245, 2894, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188246, 2895, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188247, 2896, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188248, 2897, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188249, 2898, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188250, 2899, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188251, 2900, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188252, 2901, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188253, 2902, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188254, 2903, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188255, 2904, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188256, 2905, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188257, 2906, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188258, 2907, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188259, 2908, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188260, 2909, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188261, 2910, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188262, 2911, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188263, 2912, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188264, 2913, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188265, 2914, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188266, 2915, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188267, 2916, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188268, 2917, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188269, 2918, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188270, 2919, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188271, 2920, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188272, 2921, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188273, 2922, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188274, 2923, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188275, 2924, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188276, 2925, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188277, 2926, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188278, 2927, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188279, 2928, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188280, 2929, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188281, 2930, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188282, 2931, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188283, 2932, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188284, 2933, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188285, 2934, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188286, 2935, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188287, 2936, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188288, 2937, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188289, 2938, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188290, 2939, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188291, 2940, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188292, 2941, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188293, 2942, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188294, 2943, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188295, 2944, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188296, 2945, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188297, 2946, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188298, 2947, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188299, 2948, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188300, 2949, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188301, 2950, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188302, 2951, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188303, 2952, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188304, 2953, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188305, 2954, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188306, 2955, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188307, 2956, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188308, 2957, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188309, 2958, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188310, 2959, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188311, 2960, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188312, 2961, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188313, 2962, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188314, 2963, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188315, 2964, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188316, 2965, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188317, 2966, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188318, 2967, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188319, 2968, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188320, 2969, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188321, 2970, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188322, 2971, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188323, 2972, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188324, 2973, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188325, 2974, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188326, 2975, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188327, 2976, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188328, 2977, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188329, 2978, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188330, 2979, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188331, 2980, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188332, 2981, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188333, 2982, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188334, 2983, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188335, 2984, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188336, 2985, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188337, 2986, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188338, 2987, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188339, 2988, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188340, 2989, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188341, 2990, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188342, 2991, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188343, 2992, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188344, 2993, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188345, 2994, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188346, 2995, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188347, 2996, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188348, 2997, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188349, 2998, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188350, 2999, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188351, 3000, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188352, 3001, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188353, 3002, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188354, 3003, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188355, 3004, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188356, 3005, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188357, 3006, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188358, 3007, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188359, 3008, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188360, 3009, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188361, 3010, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188362, 3011, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188363, 3012, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188364, 3013, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188365, 3014, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188366, 3015, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188367, 3016, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188368, 3017, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188369, 3018, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188370, 3019, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188371, 3020, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188372, 3021, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188373, 3022, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188374, 3023, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188375, 3024, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188376, 3025, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188377, 3026, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188378, 3027, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188379, 3028, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188380, 3029, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188381, 3030, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188382, 3031, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188383, 3032, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188384, 3033, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188385, 3034, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188386, 3035, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188387, 3036, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188388, 3037, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188389, 3038, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188390, 3039, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188391, 3040, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188392, 3041, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188393, 3042, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188394, 3043, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188395, 3044, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188396, 3045, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188397, 3046, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188398, 3047, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188399, 3048, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188400, 3049, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188401, 3050, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188402, 3051, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188403, 3052, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188404, 3053, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188405, 3054, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188406, 3055, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188407, 3056, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188408, 3057, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188409, 3058, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188410, 3059, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188411, 3060, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188412, 3061, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188413, 3062, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188414, 3063, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188415, 3064, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188416, 3065, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188417, 3066, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188418, 3067, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188419, 3068, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188420, 3069, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188421, 3070, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188422, 3071, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188423, 3072, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188424, 3073, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188425, 3074, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188426, 3075, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188427, 3076, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188428, 3077, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188429, 3078, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188430, 3079, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188431, 3080, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188432, 3081, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188433, 3082, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188434, 3083, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188435, 3084, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188436, 3085, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188437, 3086, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188438, 3087, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188439, 3088, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188440, 3089, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188441, 3090, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188442, 3091, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188443, 3092, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188444, 3093, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188445, 3094, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188446, 3095, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188447, 3096, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188448, 3097, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188449, 3098, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188450, 3099, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188451, 3100, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188452, 3101, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188453, 3102, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188454, 3103, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188455, 3104, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188456, 3105, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188457, 3106, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188458, 3107, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188459, 3108, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188460, 3109, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188461, 3110, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188462, 3111, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188463, 3112, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188464, 3113, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188465, 3114, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188466, 3115, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188467, 3116, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188468, 3117, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188469, 3118, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188470, 3119, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188471, 3120, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188472, 3121, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188473, 3122, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188474, 3123, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188475, 3124, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188476, 3125, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188477, 3126, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188478, 3127, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188479, 3128, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188480, 3129, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188481, 3130, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188482, 3131, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188483, 3132, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188484, 3133, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188485, 3134, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188486, 3135, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188487, 3136, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188488, 3137, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188489, 3138, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188490, 3139, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188491, 3140, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188492, 3141, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188493, 3142, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188494, 3143, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188495, 3144, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188496, 3145, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188497, 3146, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188498, 3147, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188499, 3148, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188500, 3149, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188501, 3150, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188502, 3151, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188503, 3152, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188504, 3153, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188505, 3154, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188506, 3155, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188507, 3156, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188508, 3157, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188509, 3158, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188510, 3159, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188511, 3160, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188512, 3161, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188513, 3162, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188514, 3163, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188515, 3164, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188516, 3165, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188517, 3166, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188518, 3167, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188519, 3168, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188520, 3169, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188521, 3170, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188522, 3171, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188523, 3172, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188524, 3173, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188525, 3174, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188526, 3175, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188527, 3176, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188528, 3177, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188529, 3178, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188530, 3179, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188531, 3180, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188532, 3181, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188533, 3182, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188534, 3183, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188535, 3184, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188536, 3185, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188537, 3186, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188538, 3187, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188539, 3188, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188540, 3189, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188541, 3190, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188542, 3191, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188543, 3192, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188544, 3193, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188545, 3194, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188546, 3195, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188547, 3196, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188548, 3197, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188549, 3198, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188550, 3199, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188551, 3200, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188552, 3201, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188553, 3202, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188554, 3203, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188555, 3204, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188556, 3205, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188557, 3206, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188558, 3207, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188559, 3208, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188560, 3209, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188561, 3210, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188562, 3211, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188563, 3212, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188564, 3213, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188565, 3214, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188566, 3215, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188567, 3216, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188568, 3217, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188569, 3218, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188570, 3219, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188571, 3220, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188572, 3221, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188573, 3222, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188574, 3223, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188575, 3224, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188576, 3225, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188577, 3226, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188578, 3227, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188579, 3228, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188580, 3229, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188581, 3230, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188582, 3231, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188583, 3232, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188584, 3233, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188585, 3234, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188586, 3235, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188587, 3236, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188588, 3237, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188589, 3238, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188590, 3239, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188591, 3240, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188592, 3241, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188593, 3242, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188594, 3243, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188595, 3244, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188596, 3245, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188597, 3246, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188598, 3247, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188599, 3248, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188600, 3249, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188601, 3250, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188602, 3251, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188603, 3252, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188604, 3253, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188605, 3254, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188606, 3255, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188607, 3256, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188608, 3257, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188609, 3258, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188610, 3259, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188611, 3260, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188612, 3261, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188613, 3262, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188614, 3263, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188615, 3264, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188616, 3265, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188617, 3266, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188618, 3267, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188619, 3268, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188620, 3269, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188621, 3270, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188622, 3271, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188623, 3272, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188624, 3273, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188625, 3274, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188626, 3275, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188627, 3276, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188628, 3277, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188629, 3278, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188630, 3279, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188631, 3280, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188632, 3281, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188633, 3282, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188634, 3283, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188635, 3284, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188636, 3285, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188637, 3286, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188638, 3287, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188639, 3288, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188640, 3289, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188641, 3290, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188642, 3291, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188643, 3292, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188644, 3293, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188645, 3294, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188646, 3295, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188647, 3296, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188648, 3297, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188649, 3298, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188650, 3299, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188651, 3300, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188652, 3301, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188653, 3302, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188654, 3303, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188655, 3304, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188656, 3305, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188657, 3306, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188658, 3307, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188659, 3308, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188660, 3309, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188661, 3310, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188662, 3311, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188663, 3312, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188664, 3313, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188665, 3314, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188666, 3315, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188667, 3316, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188668, 3317, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188669, 3318, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188670, 3319, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188671, 3320, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188672, 3321, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188673, 3322, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188674, 3323, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188675, 3324, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188676, 3325, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188677, 3326, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188678, 3327, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188679, 3328, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188680, 3329, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188681, 3330, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188682, 3331, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188683, 3332, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188684, 3333, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188685, 3334, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188686, 3335, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188687, 3336, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188688, 3337, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188689, 3338, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188690, 3339, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188691, 3340, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188692, 3341, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188693, 3342, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188694, 3343, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188695, 3344, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188696, 3345, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188697, 3346, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188698, 3347, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188699, 3348, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188700, 3349, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188701, 3350, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188702, 3351, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188703, 3352, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188704, 3353, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188705, 3354, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188706, 3355, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188707, 3356, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188708, 3357, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188709, 3358, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188710, 3359, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188711, 3360, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188712, 3361, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188713, 3362, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188714, 3363, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188715, 3364, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188716, 3365, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188717, 3366, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188718, 3367, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188719, 3368, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188720, 3369, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188721, 3370, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188722, 3371, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188723, 3372, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188724, 3373, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188725, 3374, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188726, 3375, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188727, 3376, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188728, 3377, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188729, 3378, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188730, 3379, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188731, 3380, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188732, 3381, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188733, 3382, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188734, 3383, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188735, 3384, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188736, 3385, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188737, 3386, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188738, 3387, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188739, 3388, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188740, 3389, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188741, 3390, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188742, 3391, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188743, 3392, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188744, 3393, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188745, 3394, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188746, 3395, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188747, 3396, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188748, 3397, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188749, 3398, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188750, 3399, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188751, 3400, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188752, 3401, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188753, 3402, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188754, 3403, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188755, 3404, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188756, 3405, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188757, 3406, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188758, 3407, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188759, 3408, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188760, 3409, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188761, 3410, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188762, 3411, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188763, 3412, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188764, 3413, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188765, 3414, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188766, 3415, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188767, 3416, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188768, 3417, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188769, 3418, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188770, 3419, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188771, 3420, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188772, 3421, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188773, 3422, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188774, 3423, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188775, 3424, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188776, 3425, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188777, 3426, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188778, 3427, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188779, 3428, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188780, 3429, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188781, 3430, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188782, 3431, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188783, 3432, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188784, 3433, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188785, 3434, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188786, 3435, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188787, 3436, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188788, 3437, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188789, 3438, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188790, 3439, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188791, 3440, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188792, 3441, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188793, 3442, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188794, 3443, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188795, 3444, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188796, 3445, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188797, 3446, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188798, 3447, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188799, 3448, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188800, 3449, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188801, 3450, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188802, 3451, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188803, 3452, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188804, 3453, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188805, 3454, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188806, 3455, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188807, 3456, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188808, 3457, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188809, 3458, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188810, 3459, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188811, 3460, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188812, 3461, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188813, 3462, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188814, 3463, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188815, 3464, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188816, 3465, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188817, 3466, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188818, 3467, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188819, 3468, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188820, 3469, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188821, 3470, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188822, 3471, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188823, 3472, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188824, 3473, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188825, 3474, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188826, 3475, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188827, 3476, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188828, 3477, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188829, 3478, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188830, 3479, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188831, 3480, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188832, 3481, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188833, 3482, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188834, 3483, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188835, 3484, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188836, 3485, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188837, 3486, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188838, 3487, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188839, 3488, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188840, 3489, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188841, 3490, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188842, 3491, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188843, 3492, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188844, 3493, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188845, 3494, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188846, 3495, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188847, 3496, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188848, 3497, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188849, 3498, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188850, 3499, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188851, 3500, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188852, 3501, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188853, 3502, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188854, 3503, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188855, 3504, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188856, 3505, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188857, 3506, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188858, 3507, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188859, 3508, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188860, 3509, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188861, 3510, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188862, 3511, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188863, 3512, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188864, 3513, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188865, 3514, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188866, 3515, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188867, 3516, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188868, 3517, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188869, 3518, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188870, 3519, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188871, 3520, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188872, 3521, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188873, 3522, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188874, 3523, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188875, 3524, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188876, 3525, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188877, 3526, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188878, 3527, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188879, 3528, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188880, 3529, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188881, 3530, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188882, 3531, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188883, 3532, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188884, 3533, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188885, 3534, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188886, 3535, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188887, 3536, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188888, 3537, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188889, 3538, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188890, 3539, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188891, 3540, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188892, 3541, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188893, 3542, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188894, 3543, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188895, 3544, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188896, 3545, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188897, 3546, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188898, 3547, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188899, 3548, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188900, 3549, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188901, 3550, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188902, 3551, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188903, 3552, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188904, 3553, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188905, 3554, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188906, 3555, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188907, 3556, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188908, 3557, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188909, 3558, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188910, 3559, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188911, 3560, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188912, 3561, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188913, 3562, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188914, 3563, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188915, 3564, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188916, 3565, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188917, 3566, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188918, 3567, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188919, 3568, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188920, 3569, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188921, 3570, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188922, 3571, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188923, 3572, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188924, 3573, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188925, 3574, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188926, 3575, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188927, 3576, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188928, 3577, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188929, 3578, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188930, 3579, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188931, 3580, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188932, 3581, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188933, 3582, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188934, 3583, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188935, 3584, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188936, 3585, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188937, 3586, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188938, 3587, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188939, 3588, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188940, 3589, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188941, 3590, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188942, 3591, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188943, 3592, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188944, 3593, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188945, 3594, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188946, 3595, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188947, 3596, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188948, 3597, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188949, 3598, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188950, 3599, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188951, 3600, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188952, 3601, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188953, 3602, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188954, 3603, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188955, 3604, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188956, 3605, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188957, 3606, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188958, 3607, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188959, 3608, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188960, 3609, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188961, 3610, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188962, 3611, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188963, 3612, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188964, 3613, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188965, 3614, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188966, 3615, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188967, 3616, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188968, 3617, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188969, 3618, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188970, 3619, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188971, 3620, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188972, 3621, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188973, 3622, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188974, 3623, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188975, 3624, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188976, 3625, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188977, 3626, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188978, 3627, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188979, 3628, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188980, 3629, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188981, 3630, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188982, 3631, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188983, 3632, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188984, 3633, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188985, 3634, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188986, 3635, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188987, 3636, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188988, 3637, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188989, 3638, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188990, 3639, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188991, 3640, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188992, 3641, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188993, 3642, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188994, 3643, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188995, 3644, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188996, 3645, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188997, 3646, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188998, 3647, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (188999, 3648, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189000, 3649, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189001, 3650, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189002, 3651, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189003, 3652, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189004, 3653, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189005, 3654, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189006, 3655, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189007, 3656, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189008, 3657, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189009, 3658, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189010, 3659, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189011, 3660, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189012, 3661, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189013, 3662, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189014, 3663, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189015, 3664, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189016, 3665, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189017, 3666, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189018, 3667, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189019, 3668, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189020, 3669, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189021, 3670, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189022, 3671, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189023, 3672, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189024, 3673, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189025, 3674, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189026, 3675, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189027, 3676, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189028, 3677, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189029, 3678, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189030, 3679, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189031, 3680, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189032, 3681, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189033, 3682, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189034, 3683, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189035, 3684, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189036, 3685, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189037, 3686, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189038, 3687, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189039, 3688, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189040, 3689, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189041, 3690, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189042, 3691, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189043, 3692, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189044, 3693, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189045, 3694, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189046, 3695, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189047, 3696, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189048, 3697, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189049, 3698, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189050, 3699, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189051, 3700, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189052, 3701, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189053, 3702, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189054, 3703, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189055, 3704, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189056, 3705, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189057, 3706, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189058, 3707, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189059, 3708, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189060, 3709, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189061, 3710, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189062, 3711, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189063, 3712, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189064, 3713, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189065, 3714, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189066, 3715, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189067, 3716, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189068, 3717, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189069, 3718, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189070, 3719, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189071, 3720, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189072, 3721, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189073, 3722, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189074, 3723, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189075, 3724, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189076, 3725, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189077, 3726, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189078, 3727, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189079, 3728, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189080, 3729, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189081, 3730, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189082, 3731, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189083, 3732, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189084, 3733, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189085, 3734, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189086, 3735, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189087, 3736, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189088, 3737, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189089, 3738, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189090, 3739, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189091, 3740, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189092, 3741, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189093, 3742, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189094, 3743, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189095, 3744, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189096, 3745, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189097, 3746, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189098, 3747, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189099, 3748, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189100, 3749, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189101, 3750, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189102, 3751, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189103, 3752, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189104, 3753, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189105, 3754, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189106, 3755, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189107, 3756, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189108, 3757, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189109, 3758, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189110, 3759, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189111, 3760, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189112, 3761, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189113, 3762, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189114, 3763, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189115, 3764, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189116, 3765, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189117, 3766, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189118, 3767, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189119, 3768, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189120, 3769, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189121, 3770, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189122, 3771, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189123, 3772, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189124, 3773, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189125, 3774, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189126, 3775, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189127, 3776, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189128, 3777, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189129, 3778, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189130, 3779, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189131, 3780, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189132, 3781, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189133, 3782, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189134, 3783, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189135, 3784, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189136, 3785, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189137, 3786, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189138, 3787, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189139, 3788, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189140, 3789, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189141, 3790, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189142, 3791, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189143, 3792, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189144, 3793, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189145, 3794, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189146, 3795, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189147, 3796, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189148, 3797, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189149, 3798, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189150, 3799, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189151, 3800, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189152, 3801, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189153, 3802, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189154, 3803, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189155, 3804, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189156, 3805, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189157, 3806, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189158, 3807, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189159, 3808, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189160, 3809, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189161, 3810, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189162, 3811, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189163, 3812, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189164, 3813, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189165, 3814, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189166, 3815, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189167, 3816, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189168, 3817, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189169, 3818, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189170, 3819, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189171, 3820, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189172, 3821, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189173, 3822, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189174, 3823, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189175, 3824, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189176, 3825, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189177, 3826, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189178, 3827, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189179, 3828, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189180, 3829, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189181, 3830, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189182, 3831, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189183, 3832, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189184, 3833, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189185, 3834, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189186, 3835, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189187, 3836, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189188, 3837, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189189, 3838, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189190, 3839, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189191, 3840, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189192, 3841, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189193, 3842, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189194, 3843, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189195, 3844, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189196, 3845, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189197, 3846, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189198, 3847, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189199, 3848, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189200, 3849, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189201, 3850, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189202, 3851, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189203, 3852, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189204, 3853, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189205, 3854, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189206, 3855, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189207, 3856, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189208, 3857, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189209, 3858, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189210, 3859, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189211, 3860, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189212, 3861, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189213, 3862, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189214, 3863, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189215, 3864, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189216, 3865, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189217, 3866, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189218, 3867, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189219, 3868, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189220, 3869, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189221, 3870, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189222, 3871, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189223, 3872, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189224, 3873, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189225, 3874, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189226, 3875, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189227, 3876, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189228, 3877, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189229, 3878, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189230, 3879, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189231, 3880, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189232, 3881, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189233, 3882, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189234, 3883, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189235, 3884, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189236, 3885, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189237, 3886, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189238, 3887, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189239, 3888, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189240, 3889, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189241, 3890, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189242, 3891, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189243, 3892, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189244, 3893, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189245, 3894, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189246, 3895, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189247, 3896, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189248, 3897, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189249, 3898, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189250, 3899, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189251, 3900, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189252, 3901, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189253, 3902, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189254, 3903, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189255, 3904, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189256, 3905, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189257, 3906, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189258, 3907, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189259, 3908, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189260, 3909, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189261, 3910, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189262, 3911, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189263, 3912, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189264, 3913, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189265, 3914, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189266, 3915, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189267, 3916, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189268, 3917, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189269, 3918, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189270, 3919, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189271, 3920, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189272, 3921, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189273, 3922, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189274, 3923, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189275, 3924, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189276, 3925, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189277, 3926, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189278, 3927, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189279, 3928, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189280, 3929, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189281, 3930, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189282, 3931, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189283, 3932, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189284, 3933, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189285, 3934, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189286, 3935, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189287, 3936, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189288, 3937, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189289, 3938, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189290, 3939, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189291, 3940, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189292, 3941, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189293, 3942, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189294, 3943, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189295, 3944, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189296, 3945, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189297, 3946, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189298, 3947, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189299, 3948, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189300, 3949, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189301, 3950, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189302, 3951, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189303, 3952, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189304, 3953, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189305, 3954, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189306, 3955, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189307, 3956, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189308, 3957, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189309, 3958, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189310, 3959, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189311, 3960, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189312, 3961, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189313, 3962, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189314, 3963, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189315, 3964, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189316, 3965, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189317, 3966, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189318, 3967, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189319, 3968, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189320, 3969, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189321, 3970, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189322, 3971, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189323, 3972, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189324, 3973, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189325, 3974, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189326, 3975, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189327, 3976, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189328, 3977, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189329, 3978, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189330, 3979, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189331, 3980, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189332, 3981, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189333, 3982, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189334, 3983, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189335, 3984, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189336, 3985, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189337, 3986, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189338, 3987, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189339, 3988, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189340, 3989, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189341, 3990, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189342, 3991, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189343, 3992, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189344, 3993, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189345, 3994, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189346, 3995, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189347, 3996, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189348, 3997, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189349, 3998, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189350, 3999, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189351, 4000, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189352, 4001, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189353, 4002, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189354, 4003, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189355, 4004, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189356, 4005, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189357, 4006, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189358, 4007, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189359, 4008, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189360, 4009, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189361, 4010, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189362, 4011, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189363, 4012, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189364, 4013, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189365, 4014, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189366, 4015, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189367, 4016, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189368, 4017, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189369, 4018, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189370, 4019, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189371, 4020, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189372, 4021, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189373, 4022, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189374, 4023, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189375, 4024, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189376, 4025, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189377, 4026, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189378, 4027, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189379, 4028, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189380, 4029, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189381, 4030, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189382, 4031, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189383, 4032, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189384, 4033, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189385, 4034, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189386, 4035, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189387, 4036, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189388, 4037, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189389, 4038, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189390, 4039, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189391, 4040, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189392, 4041, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189393, 4042, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189394, 4043, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189395, 4044, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189396, 4045, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189397, 4046, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189398, 4047, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189399, 4048, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189400, 4049, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189401, 4050, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189402, 4051, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189403, 4052, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189404, 4053, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189405, 4054, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189406, 4055, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189407, 4056, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189408, 4057, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189409, 4058, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189410, 4059, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189411, 4060, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189412, 4061, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189413, 4062, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189414, 4063, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189415, 4064, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189416, 4065, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189417, 4066, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189418, 4067, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189419, 4068, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189420, 4069, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189421, 4070, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189422, 4071, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189423, 4072, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189424, 4073, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189425, 4074, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189426, 4075, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189427, 4076, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189428, 4077, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189429, 4078, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189430, 4079, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189431, 4080, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189432, 4081, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189433, 4082, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189434, 4083, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189435, 4084, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189436, 4085, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189437, 4086, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189438, 4087, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189439, 4088, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189440, 4089, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189441, 4090, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189442, 4091, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189443, 4092, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189444, 4093, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189445, 4094, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189446, 4095, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189447, 4096, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189448, 4097, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189449, 4098, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189450, 4099, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189451, 4100, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189452, 4101, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189453, 4102, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189454, 4103, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189455, 4104, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189456, 4105, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189457, 4106, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189458, 4107, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189459, 4108, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189460, 4109, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189461, 4110, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189462, 4111, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189463, 4112, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189464, 4113, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189465, 4114, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189466, 4115, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189467, 4116, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189468, 4117, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189469, 4118, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189470, 4119, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189471, 4120, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189472, 4121, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189473, 4122, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189474, 4123, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189475, 4124, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189476, 4125, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189477, 4126, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189478, 4127, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189479, 4128, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189480, 4129, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189481, 4130, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189482, 4131, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189483, 4132, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189484, 4133, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189485, 4134, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189486, 4135, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189487, 4136, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189488, 4137, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189489, 4138, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189490, 4139, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189491, 4140, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189492, 4141, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189493, 4142, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189494, 4143, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189495, 4144, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189496, 4145, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189497, 4146, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189498, 4147, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189499, 4148, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189500, 4149, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189501, 4150, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189502, 4151, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189503, 4152, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189504, 4153, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189505, 4154, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189506, 4155, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189507, 4156, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189508, 4157, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189509, 4158, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189510, 4159, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189511, 4160, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189512, 4161, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189513, 4162, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189514, 4163, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189515, 4164, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189516, 4165, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189517, 4166, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189518, 4167, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189519, 4168, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189520, 4169, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189521, 4170, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189522, 4171, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189523, 4172, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189524, 4173, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189525, 4174, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189526, 4175, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189527, 4176, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189528, 4177, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189529, 4178, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189530, 4179, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189531, 4180, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189532, 4181, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189533, 4182, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189534, 4183, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189535, 4184, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189536, 4185, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189537, 4186, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189538, 4187, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189539, 4188, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189540, 4189, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189541, 4190, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189542, 4191, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189543, 4192, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189544, 4193, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189545, 4194, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189546, 4195, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189547, 4196, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189548, 4197, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189549, 4198, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189550, 4199, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189551, 4200, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189552, 4201, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189553, 4202, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189554, 4203, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189555, 4204, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189556, 4205, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189557, 4206, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189558, 4207, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189559, 4208, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189560, 4209, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189561, 4210, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189562, 4211, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189563, 4212, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189564, 4213, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189565, 4214, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189566, 4215, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189567, 4216, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189568, 4217, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189569, 4218, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189570, 4219, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189571, 4220, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189572, 4221, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189573, 4222, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189574, 4223, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189575, 4224, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189576, 4225, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189577, 4226, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189578, 4227, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189579, 4228, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189580, 4229, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189581, 4230, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189582, 4231, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189583, 4232, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189584, 4233, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189585, 4234, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189586, 4235, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189587, 4236, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189588, 4237, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189589, 4238, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189590, 4239, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189591, 4240, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189592, 4241, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189593, 4242, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189594, 4243, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189595, 4244, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189596, 4245, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189597, 4246, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189598, 4247, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189599, 4248, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189600, 4249, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189601, 4250, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189602, 4251, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189603, 4252, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189604, 4253, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189605, 4254, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189606, 4255, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189607, 4256, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189608, 4257, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189609, 4258, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189610, 4259, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189611, 4260, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189612, 4261, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189613, 4262, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189614, 4263, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189615, 4264, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189616, 4265, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189617, 4266, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189618, 4267, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189619, 4268, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189620, 4269, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189621, 4270, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189622, 4271, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189623, 4272, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189624, 4273, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189625, 4274, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189626, 4275, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189627, 4276, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189628, 4277, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189629, 4278, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189630, 4279, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189631, 4280, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189632, 4281, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189633, 4282, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189634, 4283, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189635, 4284, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189636, 4285, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189637, 4286, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189638, 4287, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189639, 4288, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189640, 4289, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189641, 4290, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189642, 4291, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189643, 4292, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189644, 4293, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189645, 4294, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189646, 4295, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189647, 4296, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189648, 4297, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189649, 4298, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189650, 4299, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189651, 4300, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189652, 4301, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189653, 4302, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189654, 4303, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189655, 4304, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189656, 4305, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189657, 4306, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189658, 4307, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189659, 4308, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189660, 4309, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189661, 4310, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189662, 4311, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189663, 4312, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189664, 4313, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189665, 4314, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189666, 4315, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189667, 4316, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189668, 4317, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189669, 4318, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189670, 4319, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189671, 4320, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189672, 4321, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189673, 4322, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189674, 4323, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189675, 4324, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189676, 4325, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189677, 4326, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189678, 4327, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189679, 4328, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189680, 4329, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189681, 4330, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189682, 4331, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189683, 4332, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189684, 4333, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189685, 4334, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189686, 4335, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189687, 4336, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189688, 4337, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189689, 4338, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189690, 4339, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189691, 4340, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189692, 4341, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189693, 4342, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189694, 4343, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189695, 4344, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189696, 4345, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189697, 4346, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189698, 4347, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189699, 4348, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189700, 4349, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189701, 4350, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189702, 4351, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189703, 4352, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189704, 4353, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189705, 4354, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189706, 4355, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189707, 4356, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189708, 4357, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189709, 4358, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189710, 4359, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189711, 4360, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189712, 4361, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189713, 4362, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189714, 4363, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189715, 4364, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189716, 4365, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189717, 4366, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189718, 4367, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189719, 4368, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189720, 4369, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189721, 4370, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189722, 4371, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189723, 4372, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189724, 4373, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189725, 4374, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189726, 4375, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189727, 4376, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189728, 4377, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189729, 4378, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189730, 4379, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189731, 4380, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189732, 4381, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189733, 4382, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189734, 4383, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189735, 4384, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189736, 4385, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189737, 4386, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189738, 4387, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189739, 4388, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189740, 4389, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189741, 4390, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189742, 4391, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189743, 4392, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189744, 4393, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189745, 4394, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189746, 4395, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189747, 4396, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189748, 4397, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189749, 4398, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189750, 4399, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189751, 4400, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189752, 4401, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189753, 4402, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189754, 4403, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189755, 4404, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189756, 4405, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189757, 4406, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189758, 4407, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189759, 4408, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189760, 4409, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189761, 4410, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189762, 4411, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189763, 4412, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189764, 4413, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189765, 4414, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189766, 4415, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189767, 4416, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189768, 4417, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189769, 4418, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189770, 4419, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189771, 4420, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189772, 4421, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189773, 4422, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189774, 4423, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189775, 4424, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189776, 4425, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189777, 4426, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189778, 4427, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189779, 4428, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189780, 4429, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189781, 4430, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189782, 4431, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189783, 4432, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189784, 4433, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189785, 4434, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189786, 4435, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189787, 4436, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189788, 4437, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189789, 4438, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189790, 4439, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189791, 4440, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189792, 4441, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189793, 4442, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189794, 4443, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189795, 4444, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189796, 4445, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189797, 4446, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189798, 4447, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189799, 4448, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189800, 4449, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189801, 4450, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189802, 4451, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189803, 4452, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189804, 4453, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189805, 4454, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189806, 4455, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189807, 4456, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189808, 4457, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189809, 4458, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189810, 4459, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189811, 4460, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189812, 4461, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189813, 4462, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189814, 4463, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189815, 4464, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189816, 4465, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189817, 4466, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189818, 4467, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189819, 4468, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189820, 4469, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189821, 4470, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189822, 4471, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189823, 4472, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189824, 4473, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189825, 4474, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189826, 4475, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189827, 4476, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189828, 4477, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189829, 4478, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189830, 4479, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189831, 4480, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189832, 4481, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189833, 4482, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189834, 4483, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189835, 4484, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189836, 4485, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189837, 4486, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189838, 4487, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189839, 4488, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189840, 4489, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189841, 4490, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189842, 4491, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189843, 4492, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189844, 4493, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189845, 4494, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189846, 4495, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189847, 4496, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189848, 4497, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189849, 4498, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189850, 4499, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189851, 4500, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189852, 4501, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189853, 4502, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189854, 4503, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189855, 4504, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189856, 4505, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189857, 4506, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189858, 4507, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189859, 4508, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189860, 4509, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189861, 4510, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189862, 4511, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189863, 4512, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189864, 4513, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189865, 4514, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189866, 4515, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189867, 4516, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189868, 4517, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189869, 4518, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189870, 4519, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189871, 4520, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189872, 4521, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189873, 4522, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189874, 4523, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189875, 4524, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189876, 4525, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189877, 4526, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189878, 4527, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189879, 4528, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189880, 4529, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189881, 4530, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189882, 4531, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189883, 4532, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189884, 4533, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189885, 4534, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189886, 4535, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189887, 4536, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189888, 4537, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189889, 4538, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189890, 4539, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189891, 4540, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189892, 4541, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189893, 4542, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189894, 4543, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189895, 4544, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189896, 4545, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189897, 4546, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189898, 4547, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189899, 4548, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189900, 4549, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189901, 4550, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189902, 4551, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189903, 4552, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189904, 4553, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189905, 4554, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189906, 4555, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189907, 4556, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189908, 4557, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189909, 4558, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189910, 4559, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189911, 4560, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189912, 4561, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189913, 4562, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189914, 4563, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189915, 4564, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189916, 4565, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189917, 4566, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189918, 4567, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189919, 4568, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189920, 4569, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189921, 4570, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189922, 4571, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189923, 4572, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189924, 4573, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189925, 4574, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189926, 4575, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189927, 4576, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189928, 4577, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189929, 4578, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189930, 4579, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189931, 4580, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189932, 4581, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189933, 4582, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189934, 4583, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189935, 4584, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189936, 4585, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189937, 4586, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189938, 4587, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189939, 4588, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189940, 4589, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189941, 4590, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189942, 4591, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189943, 4592, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189944, 4593, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189945, 4594, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189946, 4595, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189947, 4596, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189948, 4597, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189949, 4598, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189950, 4599, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189951, 4600, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189952, 4601, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189953, 4602, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189954, 4603, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189955, 4604, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189956, 4605, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189957, 4606, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189958, 4607, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189959, 4608, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189960, 4609, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189961, 4610, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189962, 4611, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189963, 4612, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189964, 4613, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189965, 4614, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189966, 4615, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189967, 4616, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189968, 4617, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189969, 4618, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189970, 4619, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189971, 4620, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189972, 4621, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189973, 4622, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189974, 4623, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189975, 4624, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189976, 4625, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189977, 4626, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189978, 4627, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189979, 4628, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189980, 4629, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189981, 4630, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189982, 4631, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189983, 4632, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189984, 4633, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189985, 4634, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189986, 4635, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189987, 4636, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189988, 4637, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189989, 4638, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189990, 4639, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189991, 4640, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189992, 4641, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189993, 4642, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189994, 4643, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189995, 4644, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189996, 4645, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189997, 4646, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189998, 4647, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (189999, 4648, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190000, 4649, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190001, 4650, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190002, 4651, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190003, 4652, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190004, 4653, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190005, 4654, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190006, 4655, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190007, 4656, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190008, 4657, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190009, 4658, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190010, 4659, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190011, 4660, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190012, 4661, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190013, 4662, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190014, 4663, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190015, 4664, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190016, 4665, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190017, 4666, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190018, 4667, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190019, 4668, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190020, 4669, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190021, 4670, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190022, 4671, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190023, 4672, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190024, 4673, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190025, 4674, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190026, 4675, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190027, 4676, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190028, 4677, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190029, 4678, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190030, 4679, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190031, 4680, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190032, 4681, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190033, 4682, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190034, 4683, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190035, 4684, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190036, 4685, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190037, 4686, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190038, 4687, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190039, 4688, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190040, 4689, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190041, 4690, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190042, 4691, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190043, 4692, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190044, 4693, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190045, 4694, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190046, 4695, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190047, 4696, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190048, 4697, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190049, 4698, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190050, 4699, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190051, 4700, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190052, 4701, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190053, 4702, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190054, 4703, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190055, 4704, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190056, 4705, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190057, 4706, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190058, 4707, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190059, 4708, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190060, 4709, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190061, 4710, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190062, 4711, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190063, 4712, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190064, 4713, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190065, 4714, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190066, 4715, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190067, 4716, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190068, 4717, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190069, 4718, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190070, 4719, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190071, 4720, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190072, 4721, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190073, 4722, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190074, 4723, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190075, 4724, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190076, 4725, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190077, 4726, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190078, 4727, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190079, 4728, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190080, 4729, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190081, 4730, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190082, 4731, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190083, 4732, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190084, 4733, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190085, 4734, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190086, 4735, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190087, 4736, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190088, 4737, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190089, 4738, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190090, 4739, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190091, 4740, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190092, 4741, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190093, 4742, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190094, 4743, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190095, 4744, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190096, 4745, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190097, 4746, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190098, 4747, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190099, 4748, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190100, 4749, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190101, 4750, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190102, 4751, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190103, 4752, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190104, 4753, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190105, 4754, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190106, 4755, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190107, 4756, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190108, 4757, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190109, 4758, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190110, 4759, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190111, 4760, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190112, 4761, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190113, 4762, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190114, 4763, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190115, 4764, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190116, 4765, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190117, 4766, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190118, 4767, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190119, 4768, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190120, 4769, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190121, 4770, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190122, 4771, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190123, 4772, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190124, 4773, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190125, 4774, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190126, 4775, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190127, 4776, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190128, 4777, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190129, 4778, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190130, 4779, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190131, 4780, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190132, 4781, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190133, 4782, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190134, 4783, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190135, 4784, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190136, 4785, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190137, 4786, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190138, 4787, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190139, 4788, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190140, 4789, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190141, 4790, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190142, 4791, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190143, 4792, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190144, 4793, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190145, 4794, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190146, 4795, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190147, 4796, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190148, 4797, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190149, 4798, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190150, 4799, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190151, 4800, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190152, 4801, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190153, 4802, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190154, 4803, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190155, 4804, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190156, 4805, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190157, 4806, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190158, 4807, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190159, 4808, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190160, 4809, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190161, 4810, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190162, 4811, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190163, 4812, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190164, 4813, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190165, 4814, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190166, 4815, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190167, 4816, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190168, 4817, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190169, 4818, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190170, 4819, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190171, 4820, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190172, 4821, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190173, 4822, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190174, 4823, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190175, 4824, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190176, 4825, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190177, 4826, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190178, 4827, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190179, 4828, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190180, 4829, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190181, 4830, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190182, 4831, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190183, 4832, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190184, 4833, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190185, 4834, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190186, 4835, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190187, 4836, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190188, 4837, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190189, 4838, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190190, 4839, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190191, 4840, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190192, 4841, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190193, 4842, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190194, 4843, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190195, 4844, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190196, 4845, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190197, 4846, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190198, 4847, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190199, 4848, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190200, 4849, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190201, 4850, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190202, 4851, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190203, 4852, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190204, 4853, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190205, 4854, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190206, 4855, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190207, 4856, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190208, 4857, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190209, 4858, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190210, 4859, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190211, 4860, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190212, 4861, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190213, 4862, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190214, 4863, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190215, 4864, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190216, 4865, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190217, 4866, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190218, 4867, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190219, 4868, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190220, 4869, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190221, 4870, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190222, 4871, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190223, 4872, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190224, 4873, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190225, 4874, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190226, 4875, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190227, 4876, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190228, 4877, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190229, 4878, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190230, 4879, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190231, 4880, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190232, 4881, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190233, 4882, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190234, 4883, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190235, 4884, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190236, 4885, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190237, 4886, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190238, 4887, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190239, 4888, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190240, 4889, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190241, 4890, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190242, 4891, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190243, 4892, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190244, 4893, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190245, 4894, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190246, 4895, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190247, 4896, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190248, 4897, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190249, 4898, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190250, 4899, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190251, 4900, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190252, 4901, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190253, 4902, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190254, 4903, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190255, 4904, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190256, 4905, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190257, 4906, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190258, 4907, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190259, 4908, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190260, 4909, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190261, 4910, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190262, 4911, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190263, 4912, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190264, 4913, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190265, 4914, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190266, 4915, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190267, 4916, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190268, 4917, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190269, 4918, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190270, 4919, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190271, 4920, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190272, 4921, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190273, 4922, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190274, 4923, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190275, 4924, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190276, 4925, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190277, 4926, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190278, 4927, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190279, 4928, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190280, 4929, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190281, 4930, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190282, 4931, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190283, 4932, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190284, 4933, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190285, 4934, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190286, 4935, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190287, 4936, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190288, 4937, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190289, 4938, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190290, 4939, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190291, 4940, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190292, 4941, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190293, 4942, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190294, 4943, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190295, 4944, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190296, 4945, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190297, 4946, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190298, 4947, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190299, 4948, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190300, 4949, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190301, 4950, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190302, 4951, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190303, 4952, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190304, 4953, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190305, 4954, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190306, 4955, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190307, 4956, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190308, 4957, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190309, 4958, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190310, 4959, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190311, 4960, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190312, 4961, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190313, 4962, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190314, 4963, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190315, 4964, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190316, 4965, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190317, 4966, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190318, 4967, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190319, 4968, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190320, 4969, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190321, 4970, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190322, 4971, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190323, 4972, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190324, 4973, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190325, 4974, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190326, 4975, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190327, 4976, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190328, 4977, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190329, 4978, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190330, 4979, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190331, 4980, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190332, 4981, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190333, 4982, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190334, 4983, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190335, 4984, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190336, 4985, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190337, 4986, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190338, 4987, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190339, 4988, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190340, 4989, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190341, 4990, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190342, 4991, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190343, 4992, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190344, 4993, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190345, 4994, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190346, 4995, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190347, 4996, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190348, 4997, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190349, 4998, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190350, 4999, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190351, 5000, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190352, 5001, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190353, 5002, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190354, 5003, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190355, 5004, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190356, 5005, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190357, 5006, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190358, 5007, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190359, 5008, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190360, 5009, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190361, 5010, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190362, 5011, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190363, 5012, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190364, 5013, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190365, 5014, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190366, 5015, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190367, 5016, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190368, 5017, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190369, 5018, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190370, 5019, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190371, 5020, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190372, 5021, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190373, 5022, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190374, 5023, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190375, 5024, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190376, 5025, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190377, 5026, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190378, 5027, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190379, 5028, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190380, 5029, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190381, 5030, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190382, 5031, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190383, 5032, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190384, 5033, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190385, 5034, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190386, 5035, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190387, 5036, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190388, 5037, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190389, 5038, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190390, 5039, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190391, 5040, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190392, 5041, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190393, 5042, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190394, 5043, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190395, 5044, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190396, 5045, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190397, 5046, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190398, 5047, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190399, 5048, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190400, 5049, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190401, 5050, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190402, 5051, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190403, 5052, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190404, 5053, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190405, 5054, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190406, 5055, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190407, 5056, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190408, 5057, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190409, 5058, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190410, 5059, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190411, 5060, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190412, 5061, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190413, 5062, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190414, 5063, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190415, 5064, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190416, 5065, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190417, 5066, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190418, 5067, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190419, 5068, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190420, 5069, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190421, 5070, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190422, 5071, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190423, 5072, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190424, 5073, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190425, 5074, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190426, 5075, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190427, 5076, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190428, 5077, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190429, 5078, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190430, 5079, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190431, 5080, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190432, 5081, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190433, 5082, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190434, 5083, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190435, 5084, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190436, 5085, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190437, 5086, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190438, 5087, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190439, 5088, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190440, 5089, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190441, 5090, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190442, 5091, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190443, 5092, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190444, 5093, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190445, 5094, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190446, 5095, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190447, 5096, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190448, 5097, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190449, 5098, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190450, 5099, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190451, 5100, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190452, 5101, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190453, 5102, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190454, 5103, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190455, 5104, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190456, 5105, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190457, 5106, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190458, 5107, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190459, 5108, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190460, 5109, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190461, 5110, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190462, 5111, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190463, 5112, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190464, 5113, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190465, 5114, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190466, 5115, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190467, 5116, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190468, 5117, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190469, 5118, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190470, 5119, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190471, 5120, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190472, 5121, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190473, 5122, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190474, 5123, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190475, 5124, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190476, 5125, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190477, 5126, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190478, 5127, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190479, 5128, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190480, 5129, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190481, 5130, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190482, 5131, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190483, 5132, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190484, 5133, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190485, 5134, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190486, 5135, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190487, 5136, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190488, 5137, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190489, 5138, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190490, 5139, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190491, 5140, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190492, 5141, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190493, 5142, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190494, 5143, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190495, 5144, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190496, 5145, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190497, 5146, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190498, 5147, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190499, 5148, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190500, 5149, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190501, 5150, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190502, 5151, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190503, 5152, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190504, 5153, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190505, 5154, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190506, 5155, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190507, 5156, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190508, 5157, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190509, 5158, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190510, 5159, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190511, 5160, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190512, 5161, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190513, 5162, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190514, 5163, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190515, 5164, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190516, 5165, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190517, 5166, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190518, 5167, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190519, 5168, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190520, 5169, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190521, 5170, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190522, 5171, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190523, 5172, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190524, 5173, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190525, 5174, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190526, 5175, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190527, 5176, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190528, 5177, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190529, 5178, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190530, 5179, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190531, 5180, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190532, 5181, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190533, 5182, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190534, 5183, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190535, 5184, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190536, 5185, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190537, 5186, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190538, 5187, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190539, 5188, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190540, 5189, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190541, 5190, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190542, 5191, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190543, 5192, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190544, 5193, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190545, 5194, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190546, 5195, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190547, 5196, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190548, 5197, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190549, 5198, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190550, 5199, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190551, 5200, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190552, 5201, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190553, 5202, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190554, 5203, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190555, 5204, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190556, 5205, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190557, 5206, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190558, 5207, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190559, 5208, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190560, 5209, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190561, 5210, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190562, 5211, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190563, 5212, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190564, 5213, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190565, 5214, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190566, 5215, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190567, 5216, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190568, 5217, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190569, 5218, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190570, 5219, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190571, 5220, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190572, 5221, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190573, 5222, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190574, 5223, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190575, 5224, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190576, 5225, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190577, 5226, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190578, 5227, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190579, 5228, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190580, 5229, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190581, 5230, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190582, 5231, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190583, 5232, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190584, 5233, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190585, 5234, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190586, 5235, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190587, 5236, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190588, 5237, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190589, 5238, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190590, 5239, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190591, 5240, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190592, 5241, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190593, 5242, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190594, 5243, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190595, 5244, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190596, 5245, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190597, 5246, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190598, 5247, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190599, 5248, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190600, 5249, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190601, 5250, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190602, 5251, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190603, 5252, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190604, 5253, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190605, 5254, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190606, 5255, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190607, 5256, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190608, 5257, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190609, 5258, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190610, 5259, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190611, 5260, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190612, 5261, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190613, 5262, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190614, 5263, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190615, 5264, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190616, 5265, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190617, 5266, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190618, 5267, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190619, 5268, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190620, 5269, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190621, 5270, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190622, 5271, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190623, 5272, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190624, 5273, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190625, 5274, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190626, 5275, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190627, 5276, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190628, 5277, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190629, 5278, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190630, 5279, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190631, 5280, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190632, 5281, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190633, 5282, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190634, 5283, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190635, 5284, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190636, 5285, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190637, 5286, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190638, 5287, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190639, 5288, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190640, 5289, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190641, 5290, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190642, 5291, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190643, 5292, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190644, 5293, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190645, 5294, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190646, 5295, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190647, 5296, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190648, 5297, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190649, 5298, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190650, 5299, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190651, 5300, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190652, 5301, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190653, 5302, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190654, 5303, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190655, 5304, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190656, 5305, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190657, 5306, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190658, 5307, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190659, 5308, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190660, 5309, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190661, 5310, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190662, 5311, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190663, 5312, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190664, 5313, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190665, 5314, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190666, 5315, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190667, 5316, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190668, 5317, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190669, 5318, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190670, 5319, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190671, 5320, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190672, 5321, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190673, 5322, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190674, 5323, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190675, 5324, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190676, 5325, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190677, 5326, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190678, 5327, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190679, 5328, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190680, 5329, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190681, 5330, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190682, 5331, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190683, 5332, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190684, 5333, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190685, 5334, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190686, 5335, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190687, 5336, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190688, 5337, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190689, 5338, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190690, 5339, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190691, 5340, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190692, 5341, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190693, 5342, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190694, 5343, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190695, 5344, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190696, 5345, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190697, 5346, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190698, 5347, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190699, 5348, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190700, 5349, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190701, 5350, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190702, 5351, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190703, 5352, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190704, 5353, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190705, 5354, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190706, 5355, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190707, 5356, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190708, 5357, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190709, 5358, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190710, 5359, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190711, 5360, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190712, 5361, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190713, 5362, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190714, 5363, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190715, 5364, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190716, 5365, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190717, 5366, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190718, 5367, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190719, 5368, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190720, 5369, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190721, 5370, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190722, 5371, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190723, 5372, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190724, 5373, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190725, 5374, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190726, 5375, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190727, 5376, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190728, 5377, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190729, 5378, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190730, 5379, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190731, 5380, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190732, 5381, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190733, 5382, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190734, 5383, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190735, 5384, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190736, 5385, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190737, 5386, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190738, 5387, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190739, 5388, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190740, 5389, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190741, 5390, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190742, 5391, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190743, 5392, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190744, 5393, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190745, 5394, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190746, 5395, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190747, 5396, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190748, 5397, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190749, 5398, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190750, 5399, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190751, 5400, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190752, 5401, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190753, 5402, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190754, 5403, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190755, 5404, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190756, 5405, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190757, 5406, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190758, 5407, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190759, 5408, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190760, 5409, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190761, 5410, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190762, 5411, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190763, 5412, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190764, 5413, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190765, 5414, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190766, 5415, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190767, 5416, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190768, 5417, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190769, 5418, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190770, 5419, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190771, 5420, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190772, 5421, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190773, 5422, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190774, 5423, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190775, 5424, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190776, 5425, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190777, 5426, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190778, 5427, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190779, 5428, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190780, 5429, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190781, 5430, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190782, 5431, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190783, 5432, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190784, 5433, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190785, 5434, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190786, 5435, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190787, 5436, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190788, 5437, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190789, 5438, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190790, 5439, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190791, 5440, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190792, 5441, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190793, 5442, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190794, 5443, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190795, 5444, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190796, 5445, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190797, 5446, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190798, 5447, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190799, 5448, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190800, 5449, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190801, 5450, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190802, 5451, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190803, 5452, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190804, 5453, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190805, 5454, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190806, 5455, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190807, 5456, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190808, 5457, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190809, 5458, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190810, 5459, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190811, 5460, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190812, 5461, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190813, 5462, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190814, 5463, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190815, 5464, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190816, 5465, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190817, 5466, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190818, 5467, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190819, 5468, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190820, 5469, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190821, 5470, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190822, 5471, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190823, 5472, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190824, 5473, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190825, 5474, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190826, 5475, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190827, 5476, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190828, 5477, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190829, 5478, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190830, 5479, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190831, 5480, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190832, 5481, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190833, 5482, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190834, 5483, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190835, 5484, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190836, 5485, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190837, 5486, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190838, 5487, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190839, 5488, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190840, 5489, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190841, 5490, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190842, 5491, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190843, 5492, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190844, 5493, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190845, 5494, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190846, 5495, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190847, 5496, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190848, 5497, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190849, 5498, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190850, 5499, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190851, 5500, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190852, 5501, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190853, 5502, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190854, 5503, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190855, 5504, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190856, 5505, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190857, 5506, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190858, 5507, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190859, 5508, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190860, 5509, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190861, 5510, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190862, 5511, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190863, 5512, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190864, 5513, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190865, 5514, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190866, 5515, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190867, 5516, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190868, 5517, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190869, 5518, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190870, 5519, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190871, 5520, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190872, 5521, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190873, 5522, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190874, 5523, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190875, 5524, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190876, 5525, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190877, 5526, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190878, 5527, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190879, 5528, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190880, 5529, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190881, 5530, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190882, 5531, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190883, 5532, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190884, 5533, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190885, 5534, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190886, 5535, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190887, 5536, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190888, 5537, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190889, 5538, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190890, 5539, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190891, 5540, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190892, 5541, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190893, 5542, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190894, 5543, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190895, 5544, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190896, 5545, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190897, 5546, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190898, 5547, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190899, 5548, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190900, 5549, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190901, 5550, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190902, 5551, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190903, 5552, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190904, 5553, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190905, 5554, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190906, 5555, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190907, 5556, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190908, 5557, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190909, 5558, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190910, 5559, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190911, 5560, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190912, 5561, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190913, 5562, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190914, 5563, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190915, 5564, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190916, 5565, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190917, 5566, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190918, 5567, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190919, 5568, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190920, 5569, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190921, 5570, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190922, 5571, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190923, 5572, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190924, 5573, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190925, 5574, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190926, 5575, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190927, 5576, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190928, 5577, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190929, 5578, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190930, 5579, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190931, 5580, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190932, 5581, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190933, 5582, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190934, 5583, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190935, 5584, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190936, 5585, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190937, 5586, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190938, 5587, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190939, 5588, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190940, 5589, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190941, 5590, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190942, 5591, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190943, 5592, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190944, 5593, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190945, 5594, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190946, 5595, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190947, 5596, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190948, 5597, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190949, 5598, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190950, 5599, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190951, 5600, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190952, 5601, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190953, 5602, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190954, 5603, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190955, 5604, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190956, 5605, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190957, 5606, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190958, 5607, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190959, 5608, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190960, 5609, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190961, 5610, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190962, 5611, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190963, 5612, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190964, 5613, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190965, 5614, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190966, 5615, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190967, 5616, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190968, 5617, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190969, 5618, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190970, 5619, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190971, 5620, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190972, 5621, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190973, 5622, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190974, 5623, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190975, 5624, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190976, 5625, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190977, 5626, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190978, 5627, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190979, 5628, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190980, 5629, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190981, 5630, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190982, 5631, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190983, 5632, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190984, 5633, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190985, 5634, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190986, 5635, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190987, 5636, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190988, 5637, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190989, 5638, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190990, 5639, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190991, 5640, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190992, 5641, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190993, 5642, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190994, 5643, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190995, 5644, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190996, 5645, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190997, 5646, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190998, 5647, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (190999, 5648, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191000, 5649, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191001, 5650, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191002, 5651, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191003, 5652, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191004, 5653, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191005, 5654, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191006, 5655, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191007, 5656, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191008, 5657, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191009, 5658, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191010, 5659, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191011, 5660, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191012, 5661, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191013, 5662, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191014, 5663, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191015, 5664, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191016, 5665, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191017, 5666, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191018, 5667, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191019, 5668, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191020, 5669, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191021, 5670, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191022, 5671, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191023, 5672, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191024, 5673, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191025, 5674, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191026, 5675, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191027, 5676, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191028, 5677, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191029, 5678, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191030, 5679, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191031, 5680, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191032, 5681, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191033, 5682, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191034, 5683, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191035, 5684, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191036, 5685, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191037, 5686, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191038, 5687, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191039, 5688, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191040, 5689, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191041, 5690, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191042, 5691, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191043, 5692, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191044, 5693, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191045, 5694, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191046, 5695, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191047, 5696, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191048, 5697, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191049, 5698, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191050, 5699, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191051, 5700, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191052, 5701, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191053, 5702, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191054, 5703, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191055, 5704, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191056, 5705, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191057, 5706, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191058, 5707, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191059, 5708, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191060, 5709, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191061, 5710, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191062, 5711, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191063, 5712, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191064, 5713, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191065, 5714, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191066, 5715, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191067, 5716, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191068, 5717, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191069, 5718, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191070, 5719, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191071, 5720, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191072, 5721, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191073, 5722, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191074, 5723, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191075, 5724, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191076, 5725, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191077, 5726, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191078, 5727, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191079, 5728, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191080, 5729, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191081, 5730, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191082, 5731, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191083, 5732, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191084, 5733, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191085, 5734, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191086, 5735, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191087, 5736, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191088, 5737, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191089, 5738, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191090, 5739, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191091, 5740, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191092, 5741, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191093, 5742, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191094, 5743, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191095, 5744, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191096, 5745, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191097, 5746, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191098, 5747, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191099, 5748, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191100, 5749, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191101, 5750, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191102, 5751, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191103, 5752, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191104, 5753, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191105, 5754, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191106, 5755, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191107, 5756, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191108, 5757, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191109, 5758, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191110, 5759, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191111, 5760, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191112, 5761, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191113, 5762, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191114, 5763, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191115, 5764, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191116, 5765, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191117, 5766, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191118, 5767, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191119, 5768, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191120, 5769, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191121, 5770, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191122, 5771, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191123, 5772, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191124, 5773, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191125, 5774, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191126, 5775, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191127, 5776, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191128, 5777, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191129, 5778, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191130, 5779, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191131, 5780, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191132, 5781, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191133, 5782, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191134, 5783, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191135, 5784, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191136, 5785, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191137, 5786, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191138, 5787, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191139, 5788, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191140, 5789, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191141, 5790, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191142, 5791, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191143, 5792, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191144, 5793, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191145, 5794, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191146, 5795, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191147, 5796, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191148, 5797, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191149, 5798, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191150, 5799, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191151, 5800, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191152, 5801, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191153, 5802, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191154, 5803, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191155, 5804, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191156, 5805, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191157, 5806, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191158, 5807, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191159, 5808, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191160, 5809, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191161, 5810, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191162, 5811, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191163, 5812, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191164, 5813, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191165, 5814, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191166, 5815, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191167, 5816, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191168, 5817, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191169, 5818, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191170, 5819, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191171, 5820, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191172, 5821, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191173, 5822, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191174, 5823, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191175, 5824, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191176, 5825, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191177, 5826, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191178, 5827, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191179, 5828, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191180, 5829, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191181, 5830, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191182, 5831, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191183, 5832, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191184, 5833, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191185, 5834, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191186, 5835, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191187, 5836, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191188, 5837, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191189, 5838, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191190, 5839, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191191, 5840, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191192, 5841, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191193, 5842, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191194, 5843, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191195, 5844, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191196, 5845, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191197, 5846, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191198, 5847, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191199, 5848, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191200, 5849, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191201, 5850, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191202, 5851, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191203, 5852, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191204, 5853, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191205, 5854, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191206, 5855, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191207, 5856, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191208, 5857, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191209, 5858, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191210, 5859, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191211, 5860, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191212, 5861, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191213, 5862, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191214, 5863, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191215, 5864, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191216, 5865, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191217, 5866, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191218, 5867, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191219, 5868, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191220, 5869, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191221, 5870, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191222, 5871, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191223, 5872, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191224, 5873, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191225, 5874, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191226, 5875, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191227, 5876, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191228, 5877, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191229, 5878, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191230, 5879, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191231, 5880, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191232, 5881, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191233, 5882, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191234, 5883, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191235, 5884, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191236, 5885, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191237, 5886, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191238, 5887, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191239, 5888, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191240, 5889, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191241, 5890, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191242, 5891, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191243, 5892, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191244, 5893, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191245, 5894, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191246, 5895, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191247, 5896, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191248, 5897, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191249, 5898, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191250, 5899, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191251, 5900, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191252, 5901, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191253, 5902, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191254, 5903, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191255, 5904, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191256, 5905, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191257, 5906, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191258, 5907, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191259, 5908, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191260, 5909, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191261, 5910, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191262, 5911, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191263, 5912, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191264, 5913, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191265, 5914, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191266, 5915, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191267, 5916, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191268, 5917, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191269, 5918, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191270, 5919, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191271, 5920, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191272, 5921, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191273, 5922, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191274, 5923, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191275, 5924, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191276, 5925, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191277, 5926, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191278, 5927, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191279, 5928, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191280, 5929, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191281, 5930, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191282, 5931, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191283, 5932, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191284, 5933, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191285, 5934, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191286, 5935, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191287, 5936, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191288, 5937, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191289, 5938, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191290, 5939, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191291, 5940, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191292, 5941, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191293, 5942, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191294, 5943, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191295, 5944, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191296, 5945, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191297, 5946, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191298, 5947, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191299, 5948, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191300, 5949, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191301, 5950, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191302, 5951, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191303, 5952, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191304, 5953, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191305, 5954, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191306, 5955, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191307, 5956, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191308, 5957, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191309, 5958, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191310, 5959, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191311, 5960, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191312, 5961, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191313, 5962, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191314, 5963, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191315, 5964, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191316, 5965, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191317, 5966, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191318, 5967, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191319, 5968, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191320, 5969, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191321, 5970, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191322, 5971, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191323, 5972, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191324, 5973, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191325, 5974, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191326, 5975, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191327, 5976, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191328, 5977, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191329, 5978, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191330, 5979, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191331, 5980, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191332, 5981, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191333, 5982, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191334, 5983, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191335, 5984, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191336, 5985, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191337, 5986, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191338, 5987, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191339, 5988, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191340, 5989, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191341, 5990, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191342, 5991, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191343, 5992, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191344, 5993, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191345, 5994, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191346, 5995, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191347, 5996, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191348, 5997, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191349, 5998, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191350, 5999, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191351, 6000, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191352, 6001, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191353, 6002, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191354, 6003, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191355, 6004, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191356, 6005, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191357, 6006, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191358, 6007, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191359, 6008, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191360, 6009, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191361, 6010, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191362, 6011, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191363, 6012, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191364, 6013, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191365, 6014, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191366, 6015, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191367, 6016, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191368, 6017, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191369, 6018, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191370, 6019, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191371, 6020, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191372, 6021, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191373, 6022, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191374, 6023, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191375, 6024, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191376, 6025, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191377, 6026, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191378, 6027, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191379, 6028, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191380, 6029, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191381, 6030, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191382, 6031, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191383, 6032, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191384, 6033, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191385, 6034, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191386, 6035, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191387, 6036, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191388, 6037, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191389, 6038, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191390, 6039, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191391, 6040, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191392, 6041, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191393, 6042, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191394, 6043, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191395, 6044, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191396, 6045, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191397, 6046, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191398, 6047, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191399, 6048, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191400, 6049, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191401, 6050, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191402, 6051, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191403, 6052, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191404, 6053, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191405, 6054, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191406, 6055, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191407, 6056, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191408, 6057, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191409, 6058, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191410, 6059, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191411, 6060, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191412, 6061, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191413, 6062, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191414, 6063, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191415, 6064, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191416, 6065, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191417, 6066, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191418, 6067, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191419, 6068, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191420, 6069, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191421, 6070, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191422, 6071, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191423, 6072, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191424, 6073, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191425, 6074, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191426, 6075, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191427, 6076, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191428, 6077, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191429, 6078, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191430, 6079, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191431, 6080, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191432, 6081, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191433, 6082, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191434, 6083, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191435, 6084, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191436, 6085, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191437, 6086, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191438, 6087, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191439, 6088, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191440, 6089, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191441, 6090, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191442, 6091, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191443, 6092, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191444, 6093, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191445, 6094, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191446, 6095, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191447, 6096, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191448, 6097, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191449, 6098, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191450, 6099, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191451, 6100, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191452, 6101, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191453, 6102, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191454, 6103, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191455, 6104, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191456, 6105, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191457, 6106, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191458, 6107, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191459, 6108, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191460, 6109, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191461, 6110, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191462, 6111, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191463, 6112, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191464, 6113, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191465, 6114, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191466, 6115, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191467, 6116, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191468, 6117, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191469, 6118, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191470, 6119, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191471, 6120, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191472, 6121, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191473, 6122, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191474, 6123, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191475, 6124, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191476, 6125, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191477, 6126, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191478, 6127, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191479, 6128, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191480, 6129, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191481, 6130, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191482, 6131, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191483, 6132, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191484, 6133, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191485, 6134, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191486, 6135, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191487, 6136, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191488, 6137, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191489, 6138, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191490, 6139, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191491, 6140, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191492, 6141, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191493, 6142, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191494, 6143, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191495, 6144, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191496, 6145, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191497, 6146, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191498, 6147, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191499, 6148, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191500, 6149, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191501, 6150, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191502, 6151, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191503, 6152, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191504, 6153, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191505, 6154, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191506, 6155, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191507, 6156, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191508, 6157, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191509, 6158, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191510, 6159, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191511, 6160, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191512, 6161, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191513, 6162, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191514, 6163, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191515, 6164, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191516, 6165, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191517, 6166, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191518, 6167, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191519, 6168, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191520, 6169, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191521, 6170, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191522, 6171, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191523, 6172, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191524, 6173, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191525, 6174, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191526, 6175, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191527, 6176, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191528, 6177, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191529, 6178, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191530, 6179, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191531, 6180, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191532, 6181, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191533, 6182, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191534, 6183, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191535, 6184, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191536, 6185, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191537, 6186, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191538, 6187, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191539, 6188, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191540, 6189, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191541, 6190, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191542, 6191, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191543, 6192, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191544, 6193, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191545, 6194, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191546, 6195, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191547, 6196, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191548, 6197, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191549, 6198, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191550, 6199, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191551, 6200, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191552, 6201, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191553, 6202, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191554, 6203, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191555, 6204, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191556, 6205, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191557, 6206, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191558, 6207, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191559, 6208, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191560, 6209, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191561, 6210, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191562, 6211, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191563, 6212, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191564, 6213, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191565, 6214, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191566, 6215, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191567, 6216, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191568, 6217, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191569, 6218, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191570, 6219, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191571, 6220, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191572, 6221, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191573, 6222, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191574, 6223, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191575, 6224, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191576, 6225, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191577, 6226, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191578, 6227, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191579, 6228, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191580, 6229, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191581, 6230, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191582, 6231, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191583, 6232, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191584, 6233, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191585, 6234, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191586, 6235, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191587, 6236, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191588, 6237, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191589, 6238, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191590, 6239, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191591, 6240, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191592, 6241, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191593, 6242, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191594, 6243, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191595, 6244, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191596, 6245, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191597, 6246, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191598, 6247, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191599, 6248, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191600, 6249, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191601, 6250, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191602, 6251, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191603, 6252, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191604, 6253, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191605, 6254, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191606, 6255, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191607, 6256, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191608, 6257, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191609, 6258, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191610, 6259, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191611, 6260, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191612, 6261, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191613, 6262, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191614, 6263, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191615, 6264, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191616, 6265, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191617, 6266, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191618, 6267, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191619, 6268, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191620, 6269, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191621, 6270, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191622, 6271, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191623, 6272, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191624, 6273, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191625, 6274, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191626, 6275, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191627, 6276, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191628, 6277, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191629, 6278, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191630, 6279, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191631, 6280, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191632, 6281, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191633, 6282, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191634, 6283, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191635, 6284, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191636, 6285, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191637, 6286, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191638, 6287, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191639, 6288, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191640, 6289, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191641, 6290, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191642, 6291, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191643, 6292, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191644, 6293, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191645, 6294, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191646, 6295, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191647, 6296, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191648, 6297, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191649, 6298, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191650, 6299, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191651, 6300, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191652, 6301, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191653, 6302, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191654, 6303, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191655, 6304, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191656, 6305, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191657, 6306, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191658, 6307, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191659, 6308, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191660, 6309, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191661, 6310, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191662, 6311, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191663, 6312, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191664, 6313, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191665, 6314, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191666, 6315, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191667, 6316, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191668, 6317, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191669, 6318, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191670, 6319, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191671, 6320, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191672, 6321, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191673, 6322, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191674, 6323, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191675, 6324, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191676, 6325, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191677, 6326, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191678, 6327, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191679, 6328, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191680, 6329, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191681, 6330, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191682, 6331, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191683, 6332, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191684, 6333, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191685, 6334, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191686, 6335, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191687, 6336, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191688, 6337, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191689, 6338, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191690, 6339, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191691, 6340, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191692, 6341, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191693, 6342, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191694, 6343, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191695, 6344, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191696, 6345, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191697, 6346, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191698, 6347, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191699, 6348, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191700, 6349, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191701, 6350, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191702, 6351, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191703, 6352, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191704, 6353, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191705, 6354, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191706, 6355, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191707, 6356, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191708, 6357, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191709, 6358, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191710, 6359, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191711, 6360, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191712, 6361, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191713, 6362, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191714, 6363, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191715, 6364, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191716, 6365, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191717, 6366, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191718, 6367, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191719, 6368, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191720, 6369, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191721, 6370, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191722, 6371, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191723, 6372, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191724, 6373, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191725, 6374, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191726, 6375, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191727, 6376, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191728, 6377, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191729, 6378, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191730, 6379, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191731, 6380, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191732, 6381, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191733, 6382, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191734, 6383, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191735, 6384, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191736, 6385, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191737, 6386, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191738, 6387, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191739, 6388, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191740, 6389, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191741, 6390, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191742, 6391, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191743, 6392, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191744, 6393, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191745, 6394, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191746, 6395, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191747, 6396, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191748, 6397, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191749, 6398, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191750, 6399, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191751, 6400, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191752, 6401, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191753, 6402, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191754, 6403, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191755, 6404, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191756, 6405, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191757, 6406, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191758, 6407, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191759, 6408, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191760, 6409, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191761, 6410, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191762, 6411, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191763, 6412, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191764, 6413, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191765, 6414, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191766, 6415, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191767, 6416, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191768, 6417, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191769, 6418, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191770, 6419, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191771, 6420, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191772, 6421, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191773, 6422, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191774, 6423, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191775, 6424, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191776, 6425, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191777, 6426, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191778, 6427, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191779, 6428, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191780, 6429, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191781, 6430, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191782, 6431, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191783, 6432, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191784, 6433, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191785, 6434, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191786, 6435, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191787, 6436, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191788, 6437, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191789, 6438, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191790, 6439, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191791, 6440, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191792, 6441, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191793, 6442, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191794, 6443, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191795, 6444, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191796, 6445, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191797, 6446, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191798, 6447, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191799, 6448, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191800, 6449, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191801, 6450, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191802, 6451, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191803, 6452, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191804, 6453, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191805, 6454, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191806, 6455, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191807, 6456, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191808, 6457, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191809, 6458, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191810, 6459, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191811, 6460, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191812, 6461, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191813, 6462, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191814, 6463, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191815, 6464, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191816, 6465, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191817, 6466, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191818, 6467, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191819, 6468, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191820, 6469, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191821, 6470, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191822, 6471, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191823, 6472, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191824, 6473, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191825, 6474, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191826, 6475, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191827, 6476, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191828, 6477, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191829, 6478, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191830, 6479, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191831, 6480, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191832, 6481, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191833, 6482, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191834, 6483, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191835, 6484, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191836, 6485, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191837, 6486, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191838, 6487, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191839, 6488, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191840, 6489, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191841, 6490, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191842, 6491, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191843, 6492, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191844, 6493, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191845, 6494, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191846, 6495, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191847, 6496, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191848, 6497, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191849, 6498, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191850, 6499, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191851, 6500, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191852, 6501, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191853, 6502, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191854, 6503, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191855, 6504, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191856, 6505, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191857, 6506, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191858, 6507, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191859, 6508, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191860, 6509, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191861, 6510, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191862, 6511, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191863, 6512, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191864, 6513, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191865, 6514, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191866, 6515, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191867, 6516, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191868, 6517, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191869, 6518, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191870, 6519, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191871, 6520, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191872, 6521, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191873, 6522, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191874, 6523, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191875, 6524, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191876, 6525, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191877, 6526, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191878, 6527, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191879, 6528, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191880, 6529, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191881, 6530, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191882, 6531, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191883, 6532, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191884, 6533, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191885, 6534, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191886, 6535, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191887, 6536, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191888, 6537, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191889, 6538, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191890, 6539, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191891, 6540, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191892, 6541, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191893, 6542, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191894, 6543, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191895, 6544, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191896, 6545, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191897, 6546, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191898, 6547, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191899, 6548, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191900, 6549, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191901, 6550, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191902, 6551, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191903, 6552, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191904, 6553, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191905, 6554, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191906, 6555, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191907, 6556, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191908, 6557, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191909, 6558, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191910, 6559, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191911, 6560, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191912, 6561, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191913, 6562, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191914, 6563, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191915, 6564, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191916, 6565, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191917, 6566, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191918, 6567, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191919, 6568, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191920, 6569, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191921, 6570, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191922, 6571, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191923, 6572, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191924, 6573, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191925, 6574, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191926, 6575, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191927, 6576, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191928, 6577, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191929, 6578, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191930, 6579, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191931, 6580, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191932, 6581, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191933, 6582, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191934, 6583, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191935, 6584, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191936, 6585, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191937, 6586, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191938, 6587, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191939, 6588, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191940, 6589, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191941, 6590, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191942, 6591, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191943, 6592, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191944, 6593, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191945, 6594, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191946, 6595, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191947, 6596, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191948, 6597, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191949, 6598, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191950, 6599, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191951, 6600, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191952, 6601, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191953, 6602, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191954, 6603, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191955, 6604, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191956, 6605, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191957, 6606, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191958, 6607, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191959, 6608, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191960, 6609, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191961, 6610, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191962, 6611, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191963, 6612, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191964, 6613, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191965, 6614, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191966, 6615, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191967, 6616, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191968, 6617, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191969, 6618, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191970, 6619, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191971, 6620, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191972, 6621, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191973, 6622, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191974, 6623, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191975, 6624, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191976, 6625, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191977, 6626, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191978, 6627, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191979, 6628, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191980, 6629, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191981, 6630, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191982, 6631, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191983, 6632, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191984, 6633, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191985, 6634, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191986, 6635, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191987, 6636, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191988, 6637, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191989, 6638, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191990, 6639, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191991, 6640, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191992, 6641, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191993, 6642, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191994, 6643, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191995, 6644, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191996, 6645, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191997, 6646, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191998, 6647, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (191999, 6648, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192000, 6649, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192001, 6650, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192002, 6651, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192003, 6652, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192004, 6653, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192005, 6654, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192006, 6655, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192007, 6656, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192008, 6657, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192009, 6658, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192010, 6659, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192011, 6660, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192012, 6661, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192013, 6662, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192014, 6663, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192015, 6664, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192016, 6665, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192017, 6666, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192018, 6667, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192019, 6668, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192020, 6669, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192021, 6670, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192022, 6671, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192023, 6672, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192024, 6673, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192025, 6674, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192026, 6675, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192027, 6676, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192028, 6677, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192029, 6678, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192030, 6679, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192031, 6680, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192032, 6681, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192033, 6682, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192034, 6683, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192035, 6684, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192036, 6685, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192037, 6686, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192038, 6687, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192039, 6688, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192040, 6689, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192041, 6690, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192042, 6691, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192043, 6692, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192044, 6693, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192045, 6694, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192046, 6695, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192047, 6696, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192048, 6697, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192049, 6698, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192050, 6699, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192051, 6700, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192052, 6701, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192053, 6702, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192054, 6703, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192055, 6704, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192056, 6705, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192057, 6706, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192058, 6707, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192059, 6708, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192060, 6709, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192061, 6710, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192062, 6711, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192063, 6712, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192064, 6713, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192065, 6714, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192066, 6715, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192067, 6716, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192068, 6717, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192069, 6718, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192070, 6719, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192071, 6720, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192072, 6721, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192073, 6722, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192074, 6723, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192075, 6724, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192076, 6725, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192077, 6726, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192078, 6727, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192079, 6728, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192080, 6729, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192081, 6730, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192082, 6731, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192083, 6732, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192084, 6733, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192085, 6734, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192086, 6735, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192087, 6736, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192088, 6737, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192089, 6738, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192090, 6739, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192091, 6740, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192092, 6741, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192093, 6742, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192094, 6743, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192095, 6744, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192096, 6745, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192097, 6746, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192098, 6747, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192099, 6748, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192100, 6749, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192101, 6750, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192102, 6751, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192103, 6752, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192104, 6753, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192105, 6754, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192106, 6755, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192107, 6756, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192108, 6757, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192109, 6758, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192110, 6759, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192111, 6760, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192112, 6761, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192113, 6762, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192114, 6763, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192115, 6764, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192116, 6765, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192117, 6766, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192118, 6767, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192119, 6768, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192120, 6769, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192121, 6770, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192122, 6771, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192123, 6772, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192124, 6773, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192125, 6774, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192126, 6775, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192127, 6776, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192128, 6777, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192129, 6778, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192130, 6779, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192131, 6780, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192132, 6781, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192133, 6782, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192134, 6783, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192135, 6784, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192136, 6785, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192137, 6786, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192138, 6787, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192139, 6788, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192140, 6789, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192141, 6790, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192142, 6791, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192143, 6792, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192144, 6793, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192145, 6794, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192146, 6795, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192147, 6796, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192148, 6797, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192149, 6798, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192150, 6799, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192151, 6800, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192152, 6801, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192153, 6802, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192154, 6803, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192155, 6804, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192156, 6805, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192157, 6806, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192158, 6807, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192159, 6808, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192160, 6809, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192161, 6810, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192162, 6811, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192163, 6812, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192164, 6813, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192165, 6814, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192166, 6815, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192167, 6816, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192168, 6817, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192169, 6818, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192170, 6819, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192171, 6820, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192172, 6821, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192173, 6822, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192174, 6823, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192175, 6824, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192176, 6825, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192177, 6826, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192178, 6827, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192179, 6828, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192180, 6829, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192181, 6830, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192182, 6831, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192183, 6832, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192184, 6833, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192185, 6834, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192186, 6835, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192187, 6836, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192188, 6837, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192189, 6838, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192190, 6839, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192191, 6840, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192192, 6841, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192193, 6842, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192194, 6843, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192195, 6844, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192196, 6845, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192197, 6846, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192198, 6847, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192199, 6848, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192200, 6849, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192201, 6850, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192202, 6851, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192203, 6852, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192204, 6853, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192205, 6854, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192206, 6855, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192207, 6856, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192208, 6857, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192209, 6858, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192210, 6859, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192211, 6860, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192212, 6861, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192213, 6862, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192214, 6863, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192215, 6864, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192216, 6865, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192217, 6866, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192218, 6867, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192219, 6868, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192220, 6869, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192221, 6870, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192222, 6871, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192223, 6872, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192224, 6873, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192225, 6874, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192226, 6875, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192227, 6876, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192228, 6877, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192229, 6878, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192230, 6879, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192231, 6880, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192232, 6881, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192233, 6882, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192234, 6883, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192235, 6884, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192236, 6885, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192237, 6886, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192238, 6887, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192239, 6888, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192240, 6889, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192241, 6890, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192242, 6891, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192243, 6892, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192244, 6893, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192245, 6894, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192246, 6895, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192247, 6896, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192248, 6897, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192249, 6898, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192250, 6899, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192251, 6900, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192252, 6901, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192253, 6902, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192254, 6903, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192255, 6904, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192256, 6905, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192257, 6906, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192258, 6907, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192259, 6908, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192260, 6909, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192261, 6910, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192262, 6911, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192263, 6912, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192264, 6913, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192265, 6914, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192266, 6915, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192267, 6916, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192268, 6917, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192269, 6918, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192270, 6919, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192271, 6920, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192272, 6921, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192273, 6922, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192274, 6923, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192275, 6924, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192276, 6925, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192277, 6926, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192278, 6927, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192279, 6928, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192280, 6929, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192281, 6930, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192282, 6931, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192283, 6932, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192284, 6933, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192285, 6934, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192286, 6935, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192287, 6936, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192288, 6937, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192289, 6938, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192290, 6939, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192291, 6940, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192292, 6941, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192293, 6942, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192294, 6943, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192295, 6944, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192296, 6945, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192297, 6946, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192298, 6947, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192299, 6948, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192300, 6949, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192301, 6950, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192302, 6951, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192303, 6952, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192304, 6953, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192305, 6954, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192306, 6955, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192307, 6956, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192308, 6957, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192309, 6958, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192310, 6959, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192311, 6960, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192312, 6961, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192313, 6962, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192314, 6963, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192315, 6964, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192316, 6965, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192317, 6966, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192318, 6967, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192319, 6968, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192320, 6969, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192321, 6970, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192322, 6971, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192323, 6972, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192324, 6973, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192325, 6974, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192326, 6975, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192327, 6976, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192328, 6977, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192329, 6978, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192330, 6979, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192331, 6980, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192332, 6981, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192333, 6982, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192334, 6983, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192335, 6984, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192336, 6985, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192337, 6986, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192338, 6987, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192339, 6988, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192340, 6989, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192341, 6990, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192342, 6991, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192343, 6992, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192344, 6993, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192345, 6994, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192346, 6995, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192347, 6996, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192348, 6997, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192349, 6998, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192350, 6999, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192351, 7000, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192352, 7001, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192353, 7002, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192354, 7003, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192355, 7004, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192356, 7005, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192357, 7006, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192358, 7007, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192359, 7008, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192360, 7009, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192361, 7010, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192362, 7011, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192363, 7012, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192364, 7013, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192365, 7014, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192366, 7015, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192367, 7016, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192368, 7017, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192369, 7018, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192370, 7019, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192371, 7020, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192372, 7021, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192373, 7022, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192374, 7023, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192375, 7024, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192376, 7025, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192377, 7026, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192378, 7027, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192379, 7028, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192380, 7029, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192381, 7030, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192382, 7031, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192383, 7032, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192384, 7033, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192385, 7034, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192386, 7035, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192387, 7036, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192388, 7037, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192389, 7038, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192390, 7039, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192391, 7040, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192392, 7041, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192393, 7042, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192394, 7043, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192395, 7044, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192396, 7045, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192397, 7046, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192398, 7047, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192399, 7048, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192400, 7049, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192401, 7050, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192402, 7051, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192403, 7052, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192404, 7053, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192405, 7054, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192406, 7055, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192407, 7056, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192408, 7057, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192409, 7058, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192410, 7059, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192411, 7060, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192412, 7061, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192413, 7062, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192414, 7063, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192415, 7064, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192416, 7065, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192417, 7066, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192418, 7067, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192419, 7068, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192420, 7069, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192421, 7070, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192422, 7071, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192423, 7072, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192424, 7073, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192425, 7074, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192426, 7075, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192427, 7076, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192428, 7077, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192429, 7078, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192430, 7079, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192431, 7080, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192432, 7081, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192433, 7082, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192434, 7083, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192435, 7084, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192436, 7085, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192437, 7086, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192438, 7087, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192439, 7088, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192440, 7089, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192441, 7090, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192442, 7091, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192443, 7092, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192444, 7093, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192445, 7094, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192446, 7095, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192447, 7096, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192448, 7097, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192449, 7098, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192450, 7099, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192451, 7100, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192452, 7101, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192453, 7102, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192454, 7103, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192455, 7104, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192456, 7105, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192457, 7106, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192458, 7107, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192459, 7108, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192460, 7109, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192461, 7110, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192462, 7111, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192463, 7112, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192464, 7113, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192465, 7114, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192466, 7115, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192467, 7116, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192468, 7117, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192469, 7118, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192470, 7119, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192471, 7120, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192472, 7121, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192473, 7122, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192474, 7123, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192475, 7124, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192476, 7125, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192477, 7126, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192478, 7127, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192479, 7128, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192480, 7129, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192481, 7130, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192482, 7131, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192483, 7132, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192484, 7133, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192485, 7134, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192486, 7135, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192487, 7136, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192488, 7137, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192489, 7138, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192490, 7139, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192491, 7140, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192492, 7141, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192493, 7142, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192494, 7143, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192495, 7144, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192496, 7145, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192497, 7146, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192498, 7147, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192499, 7148, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192500, 7149, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192501, 7150, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192502, 7151, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192503, 7152, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192504, 7153, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192505, 7154, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192506, 7155, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192507, 7156, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192508, 7157, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192509, 7158, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192510, 7159, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192511, 7160, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192512, 7161, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192513, 7162, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192514, 7163, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192515, 7164, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192516, 7165, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192517, 7166, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192518, 7167, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192519, 7168, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192520, 7169, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192521, 7170, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192522, 7171, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192523, 7172, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192524, 7173, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192525, 7174, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192526, 7175, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192527, 7176, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192528, 7177, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192529, 7178, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192530, 7179, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192531, 7180, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192532, 7181, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192533, 7182, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192534, 7183, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192535, 7184, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192536, 7185, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192537, 7186, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192538, 7187, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192539, 7188, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192540, 7189, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192541, 7190, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192542, 7191, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192543, 7192, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192544, 7193, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192545, 7194, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192546, 7195, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192547, 7196, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192548, 7197, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192549, 7198, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192550, 7199, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192551, 7200, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192552, 7201, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192553, 7202, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192554, 7203, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192555, 7204, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192556, 7205, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192557, 7206, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192558, 7207, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192559, 7208, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192560, 7209, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192561, 7210, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192562, 7211, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192563, 7212, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192564, 7213, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192565, 7214, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192566, 7215, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192567, 7216, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192568, 7217, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192569, 7218, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192570, 7219, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192571, 7220, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192572, 7221, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192573, 7222, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192574, 7223, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192575, 7224, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192576, 7225, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192577, 7226, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192578, 7227, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192579, 7228, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192580, 7229, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192581, 7230, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192582, 7231, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192583, 7232, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192584, 7233, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192585, 7234, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192586, 7235, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192587, 7236, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192588, 7237, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192589, 7238, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192590, 7239, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192591, 7240, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192592, 7241, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192593, 7242, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192594, 7243, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192595, 7244, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192596, 7245, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192597, 7246, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192598, 7247, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192599, 7248, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192600, 7249, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192601, 7250, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192602, 7251, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192603, 7252, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192604, 7253, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192605, 7254, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192606, 7255, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192607, 7256, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192608, 7257, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192609, 7258, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192610, 7259, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192611, 7260, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192612, 7261, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192613, 7262, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192614, 7263, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192615, 7264, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192616, 7265, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192617, 7266, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192618, 7267, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192619, 7268, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192620, 7269, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192621, 7270, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192622, 7271, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192623, 7272, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192624, 7273, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192625, 7274, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192626, 7275, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192627, 7276, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192628, 7277, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192629, 7278, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192630, 7279, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192631, 7280, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192632, 7281, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192633, 7282, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192634, 7283, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192635, 7284, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192636, 7285, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192637, 7286, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192638, 7287, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192639, 7288, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192640, 7289, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192641, 7290, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192642, 7291, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192643, 7292, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192644, 7293, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192645, 7294, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192646, 7295, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192647, 7296, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192648, 7297, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192649, 7298, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192650, 7299, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192651, 7300, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192652, 7301, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192653, 7302, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192654, 7303, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192655, 7304, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192656, 7305, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192657, 7306, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192658, 7307, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192659, 7308, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192660, 7309, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192661, 7310, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192662, 7311, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192663, 7312, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192664, 7313, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192665, 7314, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192666, 7315, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192667, 7316, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192668, 7317, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192669, 7318, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192670, 7319, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192671, 7320, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192672, 7321, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192673, 7322, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192674, 7323, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192675, 7324, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192676, 7325, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192677, 7326, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192678, 7327, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192679, 7328, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192680, 7329, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192681, 7330, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192682, 7331, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192683, 7332, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192684, 7333, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192685, 7334, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192686, 7335, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192687, 7336, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192688, 7337, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192689, 7338, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192690, 7339, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192691, 7340, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192692, 7341, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192693, 7342, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192694, 7343, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192695, 7344, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192696, 7345, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192697, 7346, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192698, 7347, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192699, 7348, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192700, 7349, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192701, 7350, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192702, 7351, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192703, 7352, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192704, 7353, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192705, 7354, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192706, 7355, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192707, 7356, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192708, 7357, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192709, 7358, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192710, 7359, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192711, 7360, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192712, 7361, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192713, 7362, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192714, 7363, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192715, 7364, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192716, 7365, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192717, 7366, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192718, 7367, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192719, 7368, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192720, 7369, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192721, 7370, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192722, 7371, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192723, 7372, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192724, 7373, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192725, 7374, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192726, 7375, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192727, 7376, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192728, 7377, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192729, 7378, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192730, 7379, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192731, 7380, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192732, 7381, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192733, 7382, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192734, 7383, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192735, 7384, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192736, 7385, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192737, 7386, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192738, 7387, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192739, 7388, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192740, 7389, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192741, 7390, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192742, 7391, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192743, 7392, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192744, 7393, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192745, 7394, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192746, 7395, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192747, 7396, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192748, 7397, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192749, 7398, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192750, 7399, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192751, 7400, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192752, 7401, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192753, 7402, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192754, 7403, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192755, 7404, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192756, 7405, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192757, 7406, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192758, 7407, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192759, 7408, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192760, 7409, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192761, 7410, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192762, 7411, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192763, 7412, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192764, 7413, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192765, 7414, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192766, 7415, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192767, 7416, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192768, 7417, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192769, 7418, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192770, 7419, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192771, 7420, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192772, 7421, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192773, 7422, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192774, 7423, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192775, 7424, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192776, 7425, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192777, 7426, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192778, 7427, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192779, 7428, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192780, 7429, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192781, 7430, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192782, 7431, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192783, 7432, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192784, 7433, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192785, 7434, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192786, 7435, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192787, 7436, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192788, 7437, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192789, 7438, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192790, 7439, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192791, 7440, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192792, 7441, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192793, 7442, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192794, 7443, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192795, 7444, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192796, 7445, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192797, 7446, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192798, 7447, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192799, 7448, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192800, 7449, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192801, 7450, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192802, 7451, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192803, 7452, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192804, 7453, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192805, 7454, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192806, 7455, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192807, 7456, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192808, 7457, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192809, 7458, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192810, 7459, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192811, 7460, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192812, 7461, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192813, 7462, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192814, 7463, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192815, 7464, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192816, 7465, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192817, 7466, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192818, 7467, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192819, 7468, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192820, 7469, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192821, 7470, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192822, 7471, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192823, 7472, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192824, 7473, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192825, 7474, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192826, 7475, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192827, 7476, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192828, 7477, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192829, 7478, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192830, 7479, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192831, 7480, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192832, 7481, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192833, 7482, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192834, 7483, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192835, 7484, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192836, 7485, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192837, 7486, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192838, 7487, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192839, 7488, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192840, 7489, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192841, 7490, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192842, 7491, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192843, 7492, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192844, 7493, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192845, 7494, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192846, 7495, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192847, 7496, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192848, 7497, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192849, 7498, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192850, 7499, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192851, 7500, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192852, 7501, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192853, 7502, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192854, 7503, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192855, 7504, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192856, 7505, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192857, 7506, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192858, 7507, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192859, 7508, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192860, 7509, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192861, 7510, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192862, 7511, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192863, 7512, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192864, 7513, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192865, 7514, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192866, 7515, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192867, 7516, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192868, 7517, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192869, 7518, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192870, 7519, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192871, 7520, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192872, 7521, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192873, 7522, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192874, 7523, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192875, 7524, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192876, 7525, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192877, 7526, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192878, 7527, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192879, 7528, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192880, 7529, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192881, 7530, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192882, 7531, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192883, 7532, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192884, 7533, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192885, 7534, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192886, 7535, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192887, 7536, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192888, 7537, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192889, 7538, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192890, 7539, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192891, 7540, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192892, 7541, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192893, 7542, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192894, 7543, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192895, 7544, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192896, 7545, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192897, 7546, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192898, 7547, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192899, 7548, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192900, 7549, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192901, 7550, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192902, 7551, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192903, 7552, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192904, 7553, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192905, 7554, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192906, 7555, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192907, 7556, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192908, 7557, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192909, 7558, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192910, 7559, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192911, 7560, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192912, 7561, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192913, 7562, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192914, 7563, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192915, 7564, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192916, 7565, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192917, 7566, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192918, 7567, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192919, 7568, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192920, 7569, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192921, 7570, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192922, 7571, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192923, 7572, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192924, 7573, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192925, 7574, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192926, 7575, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192927, 7576, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192928, 7577, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192929, 7578, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192930, 7579, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192931, 7580, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192932, 7581, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192933, 7582, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192934, 7583, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192935, 7584, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192936, 7585, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192937, 7586, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192938, 7587, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192939, 7588, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192940, 7589, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192941, 7590, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192942, 7591, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192943, 7592, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192944, 7593, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192945, 7594, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192946, 7595, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192947, 7596, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192948, 7597, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192949, 7598, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192950, 7599, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192951, 7600, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192952, 7601, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192953, 7602, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192954, 7603, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192955, 7604, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192956, 7605, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192957, 7606, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192958, 7607, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192959, 7608, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192960, 7609, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192961, 7610, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192962, 7611, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192963, 7612, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192964, 7613, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192965, 7614, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192966, 7615, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192967, 7616, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192968, 7617, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192969, 7618, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192970, 7619, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192971, 7620, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192972, 7621, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192973, 7622, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192974, 7623, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192975, 7624, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192976, 7625, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192977, 7626, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192978, 7627, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192979, 7628, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192980, 7629, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192981, 7630, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192982, 7631, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192983, 7632, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192984, 7633, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192985, 7634, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192986, 7635, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192987, 7636, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192988, 7637, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192989, 7638, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192990, 7639, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192991, 7640, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192992, 7641, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192993, 7642, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192994, 7643, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192995, 7644, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192996, 7645, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192997, 7646, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192998, 7647, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (192999, 7648, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193000, 7649, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193001, 7650, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193002, 7651, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193003, 7652, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193004, 7653, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193005, 7654, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193006, 7655, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193007, 7656, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193008, 7657, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193009, 7658, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193010, 7659, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193011, 7660, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193012, 7661, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193013, 7662, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193014, 7663, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193015, 7664, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193016, 7665, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193017, 7666, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193018, 7667, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193019, 7668, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193020, 7669, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193021, 7670, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193022, 7671, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193023, 7672, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193024, 7673, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193025, 7674, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193026, 7675, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193027, 7676, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193028, 7677, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193029, 7678, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193030, 7679, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193031, 7680, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193032, 7681, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193033, 7682, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193034, 7683, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193035, 7684, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193036, 7685, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193037, 7686, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193038, 7687, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193039, 7688, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193040, 7689, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193041, 7690, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193042, 7691, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193043, 7692, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193044, 7693, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193045, 7694, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193046, 7695, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193047, 7696, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193048, 7697, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193049, 7698, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193050, 7699, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193051, 7700, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193052, 7701, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193053, 7702, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193054, 7703, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193055, 7704, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193056, 7705, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193057, 7706, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193058, 7707, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193059, 7708, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193060, 7709, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193061, 7710, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193062, 7711, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193063, 7712, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193064, 7713, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193065, 7714, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193066, 7715, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193067, 7716, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193068, 7717, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193069, 7718, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193070, 7719, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193071, 7720, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193072, 7721, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193073, 7722, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193074, 7723, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193075, 7724, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193076, 7725, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193077, 7726, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193078, 7727, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193079, 7728, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193080, 7729, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193081, 7730, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193082, 7731, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193083, 7732, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193084, 7733, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193085, 7734, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193086, 7735, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193087, 7736, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193088, 7737, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193089, 7738, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193090, 7739, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193091, 7740, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193092, 7741, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193093, 7742, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193094, 7743, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193095, 7744, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193096, 7745, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193097, 7746, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193098, 7747, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193099, 7748, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193100, 7749, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193101, 7750, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193102, 7751, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193103, 7752, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193104, 7753, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193105, 7754, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193106, 7755, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193107, 7756, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193108, 7757, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193109, 7758, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193110, 7759, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193111, 7760, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193112, 7761, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193113, 7762, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193114, 7763, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193115, 7764, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193116, 7765, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193117, 7766, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193118, 7767, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193119, 7768, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193120, 7769, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193121, 7770, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193122, 7771, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193123, 7772, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193124, 7773, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193125, 7774, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193126, 7775, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193127, 7776, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193128, 7777, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193129, 7778, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193130, 7779, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193131, 7780, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193132, 7781, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193133, 7782, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193134, 7783, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193135, 7784, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193136, 7785, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193137, 7786, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193138, 7787, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193139, 7788, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193140, 7789, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193141, 7790, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193142, 7791, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193143, 7792, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193144, 7793, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193145, 7794, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193146, 7795, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193147, 7796, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193148, 7797, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193149, 7798, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193150, 7799, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193151, 7800, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193152, 7801, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193153, 7802, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193154, 7803, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193155, 7804, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193156, 7805, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193157, 7806, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193158, 7807, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193159, 7808, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193160, 7809, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193161, 7810, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193162, 7811, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193163, 7812, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193164, 7813, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193165, 7814, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193166, 7815, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193167, 7816, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193168, 7817, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193169, 7818, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193170, 7819, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193171, 7820, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193172, 7821, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193173, 7822, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193174, 7823, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193175, 7824, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193176, 7825, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193177, 7826, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193178, 7827, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193179, 7828, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193180, 7829, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193181, 7830, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193182, 7831, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193183, 7832, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193184, 7833, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193185, 7834, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193186, 7835, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193187, 7836, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193188, 7837, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193189, 7838, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193190, 7839, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193191, 7840, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193192, 7841, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193193, 7842, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193194, 7843, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193195, 7844, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193196, 7845, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193197, 7846, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193198, 7847, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193199, 7848, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193200, 7849, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193201, 7850, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193202, 7851, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193203, 7852, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193204, 7853, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193205, 7854, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193206, 7855, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193207, 7856, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193208, 7857, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193209, 7858, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193210, 7859, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193211, 7860, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193212, 7861, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193213, 7862, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193214, 7863, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193215, 7864, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193216, 7865, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193217, 7866, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193218, 7867, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193219, 7868, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193220, 7869, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193221, 7870, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193222, 7871, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193223, 7872, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193224, 7873, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193225, 7874, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193226, 7875, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193227, 7876, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193228, 7877, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193229, 7878, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193230, 7879, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193231, 7880, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193232, 7881, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193233, 7882, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193234, 7883, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193235, 7884, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193236, 7885, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193237, 7886, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193238, 7887, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193239, 7888, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193240, 7889, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193241, 7890, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193242, 7891, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193243, 7892, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193244, 7893, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193245, 7894, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193246, 7895, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193247, 7896, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193248, 7897, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193249, 7898, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193250, 7899, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193251, 7900, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193252, 7901, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193253, 7902, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193254, 7903, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193255, 7904, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193256, 7905, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193257, 7906, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193258, 7907, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193259, 7908, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193260, 7909, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193261, 7910, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193262, 7911, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193263, 7912, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193264, 7913, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193265, 7914, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193266, 7915, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193267, 7916, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193268, 7917, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193269, 7918, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193270, 7919, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193271, 7920, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193272, 7921, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193273, 7922, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193274, 7923, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193275, 7924, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193276, 7925, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193277, 7926, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193278, 7927, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193279, 7928, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193280, 7929, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193281, 7930, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193282, 7931, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193283, 7932, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193284, 7933, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193285, 7934, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193286, 7935, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193287, 7936, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193288, 7937, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193289, 7938, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193290, 7939, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193291, 7940, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193292, 7941, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193293, 7942, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193294, 7943, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193295, 7944, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193296, 7945, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193297, 7946, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193298, 7947, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193299, 7948, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193300, 7949, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193301, 7950, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193302, 7951, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193303, 7952, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193304, 7953, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193305, 7954, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193306, 7955, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193307, 7956, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193308, 7957, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193309, 7958, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193310, 7959, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193311, 7960, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193312, 7961, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193313, 7962, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193314, 7963, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193315, 7964, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193316, 7965, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193317, 7966, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193318, 7967, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193319, 7968, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193320, 7969, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193321, 7970, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193322, 7971, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193323, 7972, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193324, 7973, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193325, 7974, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193326, 7975, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193327, 7976, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193328, 7977, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193329, 7978, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193330, 7979, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193331, 7980, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193332, 7981, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193333, 7982, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193334, 7983, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193335, 7984, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193336, 7985, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193337, 7986, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193338, 7987, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193339, 7988, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193340, 7989, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193341, 7990, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193342, 7991, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193343, 7992, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193344, 7993, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193345, 7994, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193346, 7995, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193347, 7996, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193348, 7997, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193349, 7998, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193350, 7999, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193351, 8000, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193352, 8001, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193353, 8002, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193354, 8003, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193355, 8004, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193356, 8005, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193357, 8006, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193358, 8007, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193359, 8008, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193360, 8009, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193361, 8010, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193362, 8011, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193363, 8012, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193364, 8013, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193365, 8014, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193366, 8015, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193367, 8016, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193368, 8017, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193369, 8018, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193370, 8019, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193371, 8020, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193372, 8021, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193373, 8022, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193374, 8023, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193375, 8024, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193376, 8025, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193377, 8026, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193378, 8027, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193379, 8028, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193380, 8029, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193381, 8030, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193382, 8031, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193383, 8032, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193384, 8033, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193385, 8034, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193386, 8035, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193387, 8036, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193388, 8037, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193389, 8038, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193390, 8039, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193391, 8040, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193392, 8041, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193393, 8042, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193394, 8043, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193395, 8044, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193396, 8045, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193397, 8046, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193398, 8047, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193399, 8048, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193400, 8049, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193401, 8050, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193402, 8051, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193403, 8052, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193404, 8053, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193405, 8054, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193406, 8055, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193407, 8056, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193408, 8057, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193409, 8058, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193410, 8059, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193411, 8060, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193412, 8061, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193413, 8062, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193414, 8063, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193415, 8064, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193416, 8065, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193417, 8066, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193418, 8067, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193419, 8068, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193420, 8069, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193421, 8070, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193422, 8071, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193423, 8072, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193424, 8073, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193425, 8074, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193426, 8075, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193427, 8076, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193428, 8077, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193429, 8078, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193430, 8079, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193431, 8080, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193432, 8081, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193433, 8082, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193434, 8083, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193435, 8084, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193436, 8085, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193437, 8086, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193438, 8087, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193439, 8088, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193440, 8089, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193441, 8090, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193442, 8091, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193443, 8092, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193444, 8093, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193445, 8094, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193446, 8095, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193447, 8096, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193448, 8097, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193449, 8098, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193450, 8099, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193451, 8100, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193452, 8101, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193453, 8102, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193454, 8103, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193455, 8104, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193456, 8105, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193457, 8106, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193458, 8107, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193459, 8108, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193460, 8109, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193461, 8110, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193462, 8111, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193463, 8112, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193464, 8113, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193465, 8114, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193466, 8115, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193467, 8116, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193468, 8117, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193469, 8118, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193470, 8119, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193471, 8120, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193472, 8121, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193473, 8122, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193474, 8123, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193475, 8124, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193476, 8125, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193477, 8126, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193478, 8127, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193479, 8128, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193480, 8129, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193481, 8130, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193482, 8131, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193483, 8132, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193484, 8133, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193485, 8134, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193486, 8135, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193487, 8136, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193488, 8137, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193489, 8138, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193490, 8139, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193491, 8140, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193492, 8141, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193493, 8142, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193494, 8143, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193495, 8144, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193496, 8145, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193497, 8146, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193498, 8147, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193499, 8148, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193500, 8149, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193501, 8150, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193502, 8151, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193503, 8152, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193504, 8153, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193505, 8154, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193506, 8155, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193507, 8156, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193508, 8157, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193509, 8158, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193510, 8159, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193511, 8160, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193512, 8161, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193513, 8162, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193514, 8163, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193515, 8164, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193516, 8165, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193517, 8166, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193518, 8167, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193519, 8168, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193520, 8169, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193521, 8170, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193522, 8171, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193523, 8172, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193524, 8173, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193525, 8174, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193526, 8175, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193527, 8176, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193528, 8177, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193529, 8178, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193530, 8179, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193531, 8180, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193532, 8181, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193533, 8182, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193534, 8183, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193535, 8184, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193536, 8185, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193537, 8186, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193538, 8187, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193539, 8188, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193540, 8189, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193541, 8190, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193542, 8191, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193543, 8192, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193544, 8193, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193545, 8194, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193546, 8195, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193547, 8196, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193548, 8197, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193549, 8198, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193550, 8199, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193551, 8200, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193552, 8201, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193553, 8202, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193554, 8203, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193555, 8204, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193556, 8205, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193557, 8206, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193558, 8207, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193559, 8208, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193560, 8209, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193561, 8210, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193562, 8211, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193563, 8212, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193564, 8213, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193565, 8214, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193566, 8215, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193567, 8216, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193568, 8217, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193569, 8218, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193570, 8219, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193571, 8220, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193572, 8221, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193573, 8222, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193574, 8223, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193575, 8224, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193576, 8225, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193577, 8226, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193578, 8227, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193579, 8228, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193580, 8229, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193581, 8230, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193582, 8231, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193583, 8232, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193584, 8233, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193585, 8234, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193586, 8235, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193587, 8236, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193588, 8237, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193589, 8238, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193590, 8239, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193591, 8240, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193592, 8241, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193593, 8242, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193594, 8243, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193595, 8244, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193596, 8245, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193597, 8246, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193598, 8247, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193599, 8248, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193600, 8249, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193601, 8250, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193602, 8251, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193603, 8252, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193604, 8253, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193605, 8254, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193606, 8255, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193607, 8256, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193608, 8257, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193609, 8258, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193610, 8259, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193611, 8260, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193612, 8261, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193613, 8262, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193614, 8263, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193615, 8264, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193616, 8265, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193617, 8266, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193618, 8267, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193619, 8268, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193620, 8269, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193621, 8270, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193622, 8271, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193623, 8272, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193624, 8273, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193625, 8274, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193626, 8275, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193627, 8276, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193628, 8277, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193629, 8278, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193630, 8279, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193631, 8280, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193632, 8281, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193633, 8282, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193634, 8283, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193635, 8284, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193636, 8285, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193637, 8286, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193638, 8287, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193639, 8288, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193640, 8289, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193641, 8290, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193642, 8291, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193643, 8292, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193644, 8293, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193645, 8294, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193646, 8295, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193647, 8296, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193648, 8297, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193649, 8298, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193650, 8299, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193651, 8300, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193652, 8301, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193653, 8302, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193654, 8303, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193655, 8304, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193656, 8305, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193657, 8306, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193658, 8307, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193659, 8308, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193660, 8309, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193661, 8310, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193662, 8311, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193663, 8312, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193664, 8313, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193665, 8314, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193666, 8315, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193667, 8316, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193668, 8317, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193669, 8318, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193670, 8319, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193671, 8320, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193672, 8321, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193673, 8322, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193674, 8323, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193675, 8324, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193676, 8325, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193677, 8326, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193678, 8327, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193679, 8328, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193680, 8329, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193681, 8330, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193682, 8331, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193683, 8332, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193684, 8333, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193685, 8334, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193686, 8335, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193687, 8336, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193688, 8337, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193689, 8338, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193690, 8339, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193691, 8340, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193692, 8341, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193693, 8342, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193694, 8343, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193695, 8344, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193696, 8345, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193697, 8346, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193698, 8347, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193699, 8348, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193700, 8349, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193701, 8350, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193702, 8351, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193703, 8352, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193704, 8353, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193705, 8354, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193706, 8355, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193707, 8356, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193708, 8357, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193709, 8358, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193710, 8359, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193711, 8360, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193712, 8361, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193713, 8362, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193714, 8363, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193715, 8364, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193716, 8365, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193717, 8366, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193718, 8367, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193719, 8368, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193720, 8369, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193721, 8370, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193722, 8371, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193723, 8372, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193724, 8373, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193725, 8374, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193726, 8375, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193727, 8376, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193728, 8377, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193729, 8378, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193730, 8379, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193731, 8380, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193732, 8381, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193733, 8382, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193734, 8383, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193735, 8384, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193736, 8385, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193737, 8386, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193738, 8387, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193739, 8388, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193740, 8389, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193741, 8390, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193742, 8391, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193743, 8392, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193744, 8393, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193745, 8394, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193746, 8395, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193747, 8396, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193748, 8397, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193749, 8398, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193750, 8399, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193751, 8400, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193752, 8401, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193753, 8402, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193754, 8403, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193755, 8404, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193756, 8405, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193757, 8406, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193758, 8407, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193759, 8408, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193760, 8409, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193761, 8410, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193762, 8411, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193763, 8412, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193764, 8413, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193765, 8414, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193766, 8415, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193767, 8416, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193768, 8417, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193769, 8418, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193770, 8419, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193771, 8420, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193772, 8421, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193773, 8422, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193774, 8423, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193775, 8424, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193776, 8425, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193777, 8426, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193778, 8427, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193779, 8428, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193780, 8429, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193781, 8430, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193782, 8431, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193783, 8432, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193784, 8433, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193785, 8434, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193786, 8435, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193787, 8436, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193788, 8437, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193789, 8438, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193790, 8439, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193791, 8440, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193792, 8441, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193793, 8442, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193794, 8443, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193795, 8444, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193796, 8445, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193797, 8446, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193798, 8447, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193799, 8448, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193800, 8449, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193801, 8450, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193802, 8451, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193803, 8452, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193804, 8453, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193805, 8454, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193806, 8455, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193807, 8456, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193808, 8457, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193809, 8458, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193810, 8459, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193811, 8460, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193812, 8461, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193813, 8462, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193814, 8463, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193815, 8464, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193816, 8465, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193817, 8466, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193818, 8467, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193819, 8468, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193820, 8469, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193821, 8470, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193822, 8471, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193823, 8472, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193824, 8473, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193825, 8474, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193826, 8475, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193827, 8476, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193828, 8477, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193829, 8478, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193830, 8479, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193831, 8480, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193832, 8481, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193833, 8482, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193834, 8483, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193835, 8484, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193836, 8485, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193837, 8486, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193838, 8487, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193839, 8488, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193840, 8489, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193841, 8490, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193842, 8491, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193843, 8492, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193844, 8493, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193845, 8494, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193846, 8495, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193847, 8496, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193848, 8497, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193849, 8498, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193850, 8499, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193851, 8500, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193852, 8501, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193853, 8502, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193854, 8503, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193855, 8504, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193856, 8505, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193857, 8506, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193858, 8507, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193859, 8508, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193860, 8509, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193861, 8510, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193862, 8511, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193863, 8512, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193864, 8513, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193865, 8514, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193866, 8515, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193867, 8516, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193868, 8517, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193869, 8518, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193870, 8519, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193871, 8520, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193872, 8521, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193873, 8522, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193874, 8523, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193875, 8524, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193876, 8525, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193877, 8526, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193878, 8527, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193879, 8528, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193880, 8529, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193881, 8530, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193882, 8531, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193883, 8532, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193884, 8533, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193885, 8534, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193886, 8535, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193887, 8536, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193888, 8537, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193889, 8538, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193890, 8539, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193891, 8540, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193892, 8541, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193893, 8542, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193894, 8543, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193895, 8544, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193896, 8545, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193897, 8546, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193898, 8547, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193899, 8548, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193900, 8549, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193901, 8550, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193902, 8551, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193903, 8552, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193904, 8553, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193905, 8554, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193906, 8555, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193907, 8556, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193908, 8557, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193909, 8558, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193910, 8559, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193911, 8560, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193912, 8561, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193913, 8562, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193914, 8563, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193915, 8564, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193916, 8565, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193917, 8566, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193918, 8567, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193919, 8568, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193920, 8569, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193921, 8570, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193922, 8571, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193923, 8572, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193924, 8573, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193925, 8574, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193926, 8575, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193927, 8576, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193928, 8577, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193929, 8578, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193930, 8579, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193931, 8580, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193932, 8581, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193933, 8582, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193934, 8583, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193935, 8584, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193936, 8585, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193937, 8586, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193938, 8587, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193939, 8588, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193940, 8589, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193941, 8590, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193942, 8591, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193943, 8592, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193944, 8593, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193945, 8594, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193946, 8595, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193947, 8596, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193948, 8597, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193949, 8598, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193950, 8599, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193951, 8600, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193952, 8601, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193953, 8602, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193954, 8603, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193955, 8604, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193956, 8605, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193957, 8606, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193958, 8607, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193959, 8608, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193960, 8609, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193961, 8610, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193962, 8611, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193963, 8612, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193964, 8613, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193965, 8614, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193966, 8615, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193967, 8616, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193968, 8617, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193969, 8618, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193970, 8619, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193971, 8620, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193972, 8621, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193973, 8622, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193974, 8623, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193975, 8624, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193976, 8625, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193977, 8626, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193978, 8627, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193979, 8628, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193980, 8629, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193981, 8630, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193982, 8631, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193983, 8632, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193984, 8633, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193985, 8634, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193986, 8635, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193987, 8636, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193988, 8637, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193989, 8638, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193990, 8639, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193991, 8640, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193992, 8641, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193993, 8642, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193994, 8643, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193995, 8644, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193996, 8645, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193997, 8646, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193998, 8647, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (193999, 8648, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194000, 8649, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194001, 8650, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194002, 8651, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194003, 8652, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194004, 8653, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194005, 8654, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194006, 8655, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194007, 8656, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194008, 8657, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194009, 8658, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194010, 8659, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194011, 8660, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194012, 8661, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194013, 8662, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194014, 8663, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194015, 8664, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194016, 8665, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194017, 8666, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194018, 8667, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194019, 8668, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194020, 8669, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194021, 8670, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194022, 8671, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194023, 8672, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194024, 8673, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194025, 8674, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194026, 8675, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194027, 8676, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194028, 8677, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194029, 8678, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194030, 8679, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194031, 8680, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194032, 8681, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194033, 8682, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194034, 8683, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194035, 8684, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194036, 8685, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194037, 8686, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194038, 8687, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194039, 8688, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194040, 8689, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194041, 8690, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194042, 8691, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194043, 8692, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194044, 8693, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194045, 8694, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194046, 8695, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194047, 8696, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194048, 8697, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194049, 8698, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194050, 8699, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194051, 8700, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194052, 8701, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194053, 8702, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194054, 8703, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194055, 8704, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194056, 8705, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194057, 8706, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194058, 8707, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194059, 8708, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194060, 8709, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194061, 8710, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194062, 8711, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194063, 8712, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194064, 8713, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194065, 8714, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194066, 8715, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194067, 8716, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194068, 8717, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194069, 8718, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194070, 8719, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194071, 8720, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194072, 8721, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194073, 8722, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194074, 8723, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194075, 8724, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194076, 8725, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194077, 8726, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194078, 8727, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194079, 8728, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194080, 8729, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194081, 8730, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194082, 8731, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194083, 8732, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194084, 8733, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194085, 8734, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194086, 8735, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194087, 8736, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194088, 8737, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194089, 8738, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194090, 8739, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194091, 8740, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194092, 8741, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194093, 8742, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194094, 8743, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194095, 8744, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194096, 8745, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194097, 8746, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194098, 8747, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194099, 8748, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194100, 8749, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194101, 8750, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194102, 8751, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194103, 8752, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194104, 8753, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194105, 8754, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194106, 8755, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194107, 8756, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194108, 8757, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194109, 8758, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194110, 8759, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194111, 8760, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194112, 8761, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194113, 8762, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194114, 8763, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194115, 8764, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194116, 8765, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194117, 8766, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194118, 8767, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194119, 8768, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194120, 8769, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194121, 8770, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194122, 8771, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194123, 8772, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194124, 8773, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194125, 8774, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194126, 8775, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194127, 8776, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194128, 8777, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194129, 8778, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194130, 8779, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194131, 8780, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194132, 8781, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194133, 8782, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194134, 8783, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194135, 8784, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194136, 8785, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194137, 8786, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194138, 8787, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194139, 8788, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194140, 8789, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194141, 8790, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194142, 8791, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194143, 8792, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194144, 8793, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194145, 8794, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194146, 8795, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194147, 8796, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194148, 8797, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194149, 8798, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194150, 8799, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194151, 8800, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194152, 8801, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194153, 8802, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194154, 8803, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194155, 8804, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194156, 8805, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194157, 8806, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194158, 8807, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194159, 8808, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194160, 8809, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194161, 8810, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194162, 8811, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194163, 8812, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194164, 8813, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194165, 8814, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194166, 8815, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194167, 8816, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194168, 8817, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194169, 8818, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194170, 8819, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194171, 8820, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194172, 8821, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194173, 8822, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194174, 8823, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194175, 8824, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194176, 8825, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194177, 8826, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194178, 8827, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194179, 8828, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194180, 8829, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194181, 8830, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194182, 8831, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194183, 8832, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194184, 8833, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194185, 8834, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194186, 8835, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194187, 8836, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194188, 8837, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194189, 8838, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194190, 8839, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194191, 8840, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194192, 8841, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194193, 8842, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194194, 8843, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194195, 8844, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194196, 8845, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194197, 8846, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194198, 8847, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194199, 8848, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194200, 8849, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194201, 8850, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194202, 8851, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194203, 8852, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194204, 8853, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194205, 8854, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194206, 8855, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194207, 8856, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194208, 8857, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194209, 8858, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194210, 8859, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194211, 8860, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194212, 8861, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194213, 8862, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194214, 8863, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194215, 8864, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194216, 8865, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194217, 8866, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194218, 8867, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194219, 8868, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194220, 8869, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194221, 8870, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194222, 8871, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194223, 8872, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194224, 8873, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194225, 8874, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194226, 8875, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194227, 8876, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194228, 8877, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194229, 8878, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194230, 8879, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194231, 8880, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194232, 8881, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194233, 8882, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194234, 8883, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194235, 8884, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194236, 8885, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194237, 8886, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194238, 8887, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194239, 8888, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194240, 8889, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194241, 8890, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194242, 8891, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194243, 8892, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194244, 8893, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194245, 8894, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194246, 8895, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194247, 8896, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194248, 8897, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194249, 8898, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194250, 8899, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194251, 8900, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194252, 8901, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194253, 8902, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194254, 8903, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194255, 8904, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194256, 8905, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194257, 8906, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194258, 8907, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194259, 8908, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194260, 8909, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194261, 8910, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194262, 8911, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194263, 8912, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194264, 8913, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194265, 8914, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194266, 8915, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194267, 8916, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194268, 8917, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194269, 8918, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194270, 8919, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194271, 8920, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194272, 8921, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194273, 8922, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194274, 8923, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194275, 8924, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194276, 8925, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194277, 8926, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194278, 8927, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194279, 8928, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194280, 8929, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194281, 8930, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194282, 8931, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194283, 8932, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194284, 8933, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194285, 8934, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194286, 8935, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194287, 8936, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194288, 8937, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194289, 8938, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194290, 8939, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194291, 8940, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194292, 8941, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194293, 8942, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194294, 8943, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194295, 8944, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194296, 8945, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194297, 8946, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194298, 8947, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194299, 8948, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194300, 8949, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194301, 8950, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194302, 8951, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194303, 8952, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194304, 8953, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194305, 8954, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194306, 8955, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194307, 8956, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194308, 8957, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194309, 8958, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194310, 8959, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194311, 8960, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194312, 8961, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194313, 8962, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194314, 8963, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194315, 8964, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194316, 8965, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194317, 8966, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194318, 8967, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194319, 8968, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194320, 8969, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194321, 8970, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194322, 8971, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194323, 8972, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194324, 8973, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194325, 8974, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194326, 8975, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194327, 8976, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194328, 8977, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194329, 8978, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194330, 8979, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194331, 8980, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194332, 8981, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194333, 8982, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194334, 8983, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194335, 8984, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194336, 8985, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194337, 8986, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194338, 8987, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194339, 8988, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194340, 8989, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194341, 8990, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194342, 8991, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194343, 8992, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194344, 8993, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194345, 8994, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194346, 8995, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194347, 8996, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194348, 8997, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194349, 8998, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194350, 8999, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194351, 9000, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194352, 9001, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194353, 9002, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194354, 9003, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194355, 9004, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194356, 9005, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194357, 9006, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194358, 9007, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194359, 9008, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194360, 9009, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194361, 9010, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194362, 9011, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194363, 9012, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194364, 9013, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194365, 9014, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194366, 9015, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194367, 9016, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194368, 9017, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194369, 9018, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194370, 9019, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194371, 9020, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194372, 9021, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194373, 9022, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194374, 9023, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194375, 9024, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194376, 9025, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194377, 9026, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194378, 9027, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194379, 9028, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194380, 9029, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194381, 9030, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194382, 9031, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194383, 9032, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194384, 9033, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194385, 9034, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194386, 9035, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194387, 9036, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194388, 9037, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194389, 9038, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194390, 9039, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194391, 9040, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194392, 9041, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194393, 9042, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194394, 9043, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194395, 9044, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194396, 9045, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194397, 9046, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194398, 9047, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194399, 9048, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194400, 9049, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194401, 9050, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194402, 9051, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194403, 9052, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194404, 9053, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194405, 9054, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194406, 9055, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194407, 9056, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194408, 9057, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194409, 9058, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194410, 9059, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194411, 9060, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194412, 9061, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194413, 9062, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194414, 9063, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194415, 9064, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194416, 9065, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194417, 9066, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194418, 9067, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194419, 9068, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194420, 9069, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194421, 9070, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194422, 9071, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194423, 9072, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194424, 9073, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194425, 9074, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194426, 9075, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194427, 9076, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194428, 9077, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194429, 9078, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194430, 9079, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194431, 9080, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194432, 9081, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194433, 9082, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194434, 9083, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194435, 9084, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194436, 9085, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194437, 9086, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194438, 9087, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194439, 9088, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194440, 9089, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194441, 9090, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194442, 9091, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194443, 9092, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194444, 9093, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194445, 9094, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194446, 9095, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194447, 9096, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194448, 9097, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194449, 9098, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194450, 9099, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194451, 9100, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194452, 9101, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194453, 9102, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194454, 9103, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194455, 9104, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194456, 9105, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194457, 9106, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194458, 9107, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194459, 9108, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194460, 9109, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194461, 9110, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194462, 9111, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194463, 9112, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194464, 9113, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194465, 9114, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194466, 9115, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194467, 9116, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194468, 9117, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194469, 9118, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194470, 9119, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194471, 9120, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194472, 9121, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194473, 9122, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194474, 9123, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194475, 9124, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194476, 9125, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194477, 9126, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194478, 9127, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194479, 9128, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194480, 9129, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194481, 9130, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194482, 9131, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194483, 9132, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194484, 9133, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194485, 9134, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194486, 9135, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194487, 9136, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194488, 9137, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194489, 9138, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194490, 9139, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194491, 9140, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194492, 9141, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194493, 9142, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194494, 9143, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194495, 9144, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194496, 9145, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194497, 9146, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194498, 9147, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194499, 9148, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194500, 9149, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194501, 9150, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194502, 9151, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194503, 9152, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194504, 9153, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194505, 9154, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194506, 9155, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194507, 9156, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194508, 9157, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194509, 9158, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194510, 9159, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194511, 9160, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194512, 9161, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194513, 9162, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194514, 9163, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194515, 9164, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194516, 9165, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194517, 9166, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194518, 9167, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194519, 9168, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194520, 9169, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194521, 9170, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194522, 9171, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194523, 9172, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194524, 9173, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194525, 9174, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194526, 9175, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194527, 9176, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194528, 9177, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194529, 9178, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194530, 9179, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194531, 9180, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194532, 9181, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194533, 9182, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194534, 9183, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194535, 9184, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194536, 9185, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194537, 9186, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194538, 9187, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194539, 9188, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194540, 9189, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194541, 9190, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194542, 9191, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194543, 9192, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194544, 9193, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194545, 9194, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194546, 9195, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194547, 9196, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194548, 9197, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194549, 9198, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194550, 9199, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194551, 9200, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194552, 9201, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194553, 9202, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194554, 9203, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194555, 9204, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194556, 9205, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194557, 9206, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194558, 9207, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194559, 9208, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194560, 9209, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194561, 9210, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194562, 9211, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194563, 9212, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194564, 9213, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194565, 9214, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194566, 9215, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194567, 9216, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194568, 9217, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194569, 9218, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194570, 9219, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194571, 9220, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194572, 9221, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194573, 9222, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194574, 9223, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194575, 9224, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194576, 9225, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194577, 9226, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194578, 9227, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194579, 9228, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194580, 9229, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194581, 9230, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194582, 9231, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194583, 9232, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194584, 9233, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194585, 9234, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194586, 9235, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194587, 9236, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194588, 9237, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194589, 9238, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194590, 9239, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194591, 9240, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194592, 9241, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194593, 9242, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194594, 9243, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194595, 9244, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194596, 9245, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194597, 9246, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194598, 9247, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194599, 9248, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194600, 9249, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194601, 9250, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194602, 9251, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194603, 9252, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194604, 9253, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194605, 9254, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194606, 9255, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194607, 9256, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194608, 9257, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194609, 9258, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194610, 9259, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194611, 9260, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194612, 9261, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194613, 9262, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194614, 9263, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194615, 9264, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194616, 9265, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194617, 9266, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194618, 9267, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194619, 9268, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194620, 9269, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194621, 9270, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194622, 9271, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194623, 9272, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194624, 9273, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194625, 9274, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194626, 9275, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194627, 9276, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194628, 9277, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194629, 9278, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194630, 9279, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194631, 9280, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194632, 9281, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194633, 9282, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194634, 9283, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194635, 9284, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194636, 9285, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194637, 9286, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194638, 9287, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194639, 9288, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194640, 9289, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194641, 9290, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194642, 9291, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194643, 9292, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194644, 9293, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194645, 9294, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194646, 9295, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194647, 9296, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194648, 9297, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194649, 9298, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194650, 9299, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194651, 9300, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194652, 9301, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194653, 9302, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194654, 9303, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194655, 9304, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194656, 9305, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194657, 9306, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194658, 9307, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194659, 9308, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194660, 9309, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194661, 9310, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194662, 9311, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194663, 9312, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194664, 9313, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194665, 9314, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194666, 9315, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194667, 9316, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194668, 9317, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194669, 9318, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194670, 9319, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194671, 9320, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194672, 9321, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194673, 9322, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194674, 9323, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194675, 9324, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194676, 9325, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194677, 9326, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194678, 9327, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194679, 9328, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194680, 9329, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194681, 9330, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194682, 9331, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194683, 9332, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194684, 9333, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194685, 9334, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194686, 9335, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194687, 9336, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194688, 9337, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194689, 9338, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194690, 9339, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194691, 9340, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194692, 9341, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194693, 9342, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194694, 9343, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194695, 9344, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194696, 9345, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194697, 9346, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194698, 9347, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194699, 9348, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194700, 9349, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194701, 9350, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194702, 9351, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194703, 9352, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194704, 9353, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194705, 9354, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194706, 9355, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194707, 9356, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194708, 9357, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194709, 9358, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194710, 9359, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194711, 9360, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194712, 9361, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194713, 9362, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194714, 9363, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194715, 9364, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194716, 9365, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194717, 9366, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194718, 9367, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194719, 9368, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194720, 9369, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194721, 9370, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194722, 9371, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194723, 9372, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194724, 9373, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194725, 9374, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194726, 9375, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194727, 9376, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194728, 9377, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194729, 9378, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194730, 9379, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194731, 9380, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194732, 9381, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194733, 9382, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194734, 9383, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194735, 9384, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194736, 9385, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194737, 9386, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194738, 9387, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194739, 9388, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194740, 9389, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194741, 9390, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194742, 9391, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194743, 9392, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194744, 9393, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194745, 9394, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194746, 9395, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194747, 9396, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194748, 9397, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194749, 9398, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194750, 9399, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194751, 9400, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194752, 9401, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194753, 9402, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194754, 9403, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194755, 9404, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194756, 9405, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194757, 9406, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194758, 9407, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194759, 9408, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194760, 9409, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194761, 9410, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194762, 9411, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194763, 9412, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194764, 9413, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194765, 9414, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194766, 9415, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194767, 9416, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194768, 9417, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194769, 9418, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194770, 9419, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194771, 9420, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194772, 9421, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194773, 9422, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194774, 9423, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194775, 9424, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194776, 9425, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194777, 9426, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194778, 9427, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194779, 9428, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194780, 9429, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194781, 9430, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194782, 9431, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194783, 9432, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194784, 9433, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194785, 9434, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194786, 9435, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194787, 9436, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194788, 9437, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194789, 9438, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194790, 9439, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194791, 9440, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194792, 9441, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194793, 9442, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194794, 9443, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194795, 9444, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194796, 9445, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194797, 9446, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194798, 9447, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194799, 9448, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194800, 9449, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194801, 9450, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194802, 9451, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194803, 9452, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194804, 9453, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194805, 9454, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194806, 9455, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194807, 9456, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194808, 9457, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194809, 9458, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194810, 9459, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194811, 9460, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194812, 9461, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194813, 9462, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194814, 9463, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194815, 9464, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194816, 9465, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194817, 9466, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194818, 9467, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194819, 9468, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194820, 9469, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194821, 9470, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194822, 9471, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194823, 9472, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194824, 9473, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194825, 9474, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194826, 9475, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194827, 9476, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194828, 9477, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194829, 9478, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194830, 9479, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194831, 9480, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194832, 9481, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194833, 9482, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194834, 9483, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194835, 9484, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194836, 9485, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194837, 9486, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194838, 9487, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194839, 9488, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194840, 9489, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194841, 9490, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194842, 9491, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194843, 9492, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194844, 9493, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194845, 9494, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194846, 9495, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194847, 9496, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194848, 9497, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194849, 9498, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194850, 9499, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194851, 9500, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194852, 9501, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194853, 9502, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194854, 9503, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194855, 9504, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194856, 9505, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194857, 9506, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194858, 9507, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194859, 9508, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194860, 9509, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194861, 9510, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194862, 9511, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194863, 9512, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194864, 9513, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194865, 9514, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194866, 9515, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194867, 9516, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194868, 9517, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194869, 9518, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194870, 9519, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194871, 9520, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194872, 9521, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194873, 9522, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194874, 9523, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194875, 9524, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194876, 9525, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194877, 9526, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194878, 9527, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194879, 9528, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194880, 9529, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194881, 9530, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194882, 9531, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194883, 9532, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194884, 9533, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194885, 9534, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194886, 9535, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194887, 9536, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194888, 9537, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194889, 9538, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194890, 9539, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194891, 9540, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194892, 9541, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194893, 9542, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194894, 9543, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194895, 9544, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194896, 9545, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194897, 9546, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194898, 9547, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194899, 9548, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194900, 9549, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194901, 9550, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194902, 9551, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194903, 9552, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194904, 9553, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194905, 9554, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194906, 9555, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194907, 9556, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194908, 9557, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194909, 9558, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194910, 9559, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194911, 9560, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194912, 9561, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194913, 9562, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194914, 9563, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194915, 9564, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194916, 9565, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194917, 9566, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194918, 9567, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194919, 9568, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194920, 9569, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194921, 9570, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194922, 9571, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194923, 9572, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194924, 9573, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194925, 9574, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194926, 9575, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194927, 9576, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194928, 9577, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194929, 9578, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194930, 9579, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194931, 9580, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194932, 9581, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194933, 9582, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194934, 9583, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194935, 9584, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194936, 9585, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194937, 9586, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194938, 9587, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194939, 9588, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194940, 9589, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194941, 9590, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194942, 9591, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194943, 9592, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194944, 9593, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194945, 9594, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194946, 9595, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194947, 9596, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194948, 9597, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194949, 9598, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194950, 9599, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194951, 9600, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194952, 9601, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194953, 9602, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194954, 9603, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194955, 9604, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194956, 9605, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194957, 9606, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194958, 9607, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194959, 9608, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194960, 9609, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194961, 9610, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194962, 9611, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194963, 9612, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194964, 9613, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194965, 9614, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194966, 9615, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194967, 9616, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194968, 9617, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194969, 9618, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194970, 9619, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194971, 9620, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194972, 9621, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194973, 9622, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194974, 9623, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194975, 9624, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194976, 9625, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194977, 9626, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194978, 9627, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194979, 9628, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194980, 9629, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194981, 9630, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194982, 9631, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194983, 9632, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194984, 9633, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194985, 9634, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194986, 9635, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194987, 9636, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194988, 9637, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194989, 9638, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194990, 9639, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194991, 9640, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194992, 9641, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194993, 9642, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194994, 9643, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194995, 9644, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194996, 9645, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194997, 9646, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194998, 9647, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (194999, 9648, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195000, 9649, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195001, 9650, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195002, 9651, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195003, 9652, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195004, 9653, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195005, 9654, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195006, 9655, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195007, 9656, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195008, 9657, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195009, 9658, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195010, 9659, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195011, 9660, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195012, 9661, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195013, 9662, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195014, 9663, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195015, 9664, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195016, 9665, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195017, 9666, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195018, 9667, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195019, 9668, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195020, 9669, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195021, 9670, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195022, 9671, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195023, 9672, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195024, 9673, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195025, 9674, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195026, 9675, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195027, 9676, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195028, 9677, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195029, 9678, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195030, 9679, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195031, 9680, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195032, 9681, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195033, 9682, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195034, 9683, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195035, 9684, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195036, 9685, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195037, 9686, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195038, 9687, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195039, 9688, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195040, 9689, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195041, 9690, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195042, 9691, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195043, 9692, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195044, 9693, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195045, 9694, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195046, 9695, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195047, 9696, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195048, 9697, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195049, 9698, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195050, 9699, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195051, 9700, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195052, 9701, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195053, 9702, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195054, 9703, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195055, 9704, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195056, 9705, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195057, 9706, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195058, 9707, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195059, 9708, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195060, 9709, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195061, 9710, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195062, 9711, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195063, 9712, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195064, 9713, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195065, 9714, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195066, 9715, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195067, 9716, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195068, 9717, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195069, 9718, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195070, 9719, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195071, 9720, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195072, 9721, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195073, 9722, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195074, 9723, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195075, 9724, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195076, 9725, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195077, 9726, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195078, 9727, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195079, 9728, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195080, 9729, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195081, 9730, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195082, 9731, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195083, 9732, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195084, 9733, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195085, 9734, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195086, 9735, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195087, 9736, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195088, 9737, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195089, 9738, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195090, 9739, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195091, 9740, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195092, 9741, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195093, 9742, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195094, 9743, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195095, 9744, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195096, 9745, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195097, 9746, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195098, 9747, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195099, 9748, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195100, 9749, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195101, 9750, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195102, 9751, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195103, 9752, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195104, 9753, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195105, 9754, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195106, 9755, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195107, 9756, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195108, 9757, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195109, 9758, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195110, 9759, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195111, 9760, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195112, 9761, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195113, 9762, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195114, 9763, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195115, 9764, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195116, 9765, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195117, 9766, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195118, 9767, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195119, 9768, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195120, 9769, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195121, 9770, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195122, 9771, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195123, 9772, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195124, 9773, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195125, 9774, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195126, 9775, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195127, 9776, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195128, 9777, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195129, 9778, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195130, 9779, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195131, 9780, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195132, 9781, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195133, 9782, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195134, 9783, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195135, 9784, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195136, 9785, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195137, 9786, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195138, 9787, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195139, 9788, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195140, 9789, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195141, 9790, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195142, 9791, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195143, 9792, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195144, 9793, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195145, 9794, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195146, 9795, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195147, 9796, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195148, 9797, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195149, 9798, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195150, 9799, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195151, 9800, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195152, 9801, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195153, 9802, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195154, 9803, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195155, 9804, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195156, 9805, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195157, 9806, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195158, 9807, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195159, 9808, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195160, 9809, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195161, 9810, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195162, 9811, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195163, 9812, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195164, 9813, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195165, 9814, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195166, 9815, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195167, 9816, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195168, 9817, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195169, 9818, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195170, 9819, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195171, 9820, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195172, 9821, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195173, 9822, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195174, 9823, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195175, 9824, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195176, 9825, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195177, 9826, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195178, 9827, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195179, 9828, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195180, 9829, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195181, 9830, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195182, 9831, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195183, 9832, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195184, 9833, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195185, 9834, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195186, 9835, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195187, 9836, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195188, 9837, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195189, 9838, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195190, 9839, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195191, 9840, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195192, 9841, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195193, 9842, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195194, 9843, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195195, 9844, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195196, 9845, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195197, 9846, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195198, 9847, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195199, 9848, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195200, 9849, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195201, 9850, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195202, 9851, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195203, 9852, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195204, 9853, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195205, 9854, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195206, 9855, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195207, 9856, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195208, 9857, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195209, 9858, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195210, 9859, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195211, 9860, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195212, 9861, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195213, 9862, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195214, 9863, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195215, 9864, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195216, 9865, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195217, 9866, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195218, 9867, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195219, 9868, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195220, 9869, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195221, 9870, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195222, 9871, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195223, 9872, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195224, 9873, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195225, 9874, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195226, 9875, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195227, 9876, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195228, 9877, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195229, 9878, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195230, 9879, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195231, 9880, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195232, 9881, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195233, 9882, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195234, 9883, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195235, 9884, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195236, 9885, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195237, 9886, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195238, 9887, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195239, 9888, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195240, 9889, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195241, 9890, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195242, 9891, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195243, 9892, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195244, 9893, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195245, 9894, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195246, 9895, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195247, 9896, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195248, 9897, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195249, 9898, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195250, 9899, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195251, 9900, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195252, 9901, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195253, 9902, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195254, 9903, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195255, 9904, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195256, 9905, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195257, 9906, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195258, 9907, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195259, 9908, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195260, 9909, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195261, 9910, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195262, 9911, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195263, 9912, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195264, 9913, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195265, 9914, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195266, 9915, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195267, 9916, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195268, 9917, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195269, 9918, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195270, 9919, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195271, 9920, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195272, 9921, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195273, 9922, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195274, 9923, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195275, 9924, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195276, 9925, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195277, 9926, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195278, 9927, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195279, 9928, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195280, 9929, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195281, 9930, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195282, 9931, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195283, 9932, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195284, 9933, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195285, 9934, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195286, 9935, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195287, 9936, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195288, 9937, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195289, 9938, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195290, 9939, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195291, 9940, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195292, 9941, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195293, 9942, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195294, 9943, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195295, 9944, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195296, 9945, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195297, 9946, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195298, 9947, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195299, 9948, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195300, 9949, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195301, 9950, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195302, 9951, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195303, 9952, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195304, 9953, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195305, 9954, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195306, 9955, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195307, 9956, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195308, 9957, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195309, 9958, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195310, 9959, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195311, 9960, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195312, 9961, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195313, 9962, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195314, 9963, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195315, 9964, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195316, 9965, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195317, 9966, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195318, 9967, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195319, 9968, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195320, 9969, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195321, 9970, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195322, 9971, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195323, 9972, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195324, 9973, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195325, 9974, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195326, 9975, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195327, 9976, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195328, 9977, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195329, 9978, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195330, 9979, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195331, 9980, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195332, 9981, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195333, 9982, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195334, 9983, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195335, 9984, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195336, 9985, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195337, 9986, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195338, 9987, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195339, 9988, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195340, 9989, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195341, 9990, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195342, 9991, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195343, 9992, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195344, 9993, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195345, 9994, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195346, 9995, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195347, 9996, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195348, 9997, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195349, 9998, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195350, 9999, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195351, 10000, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195352, 10001, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195353, 10002, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195354, 10003, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195355, 10004, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195356, 10005, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195357, 10006, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195358, 10007, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195359, 10008, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195360, 10009, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195361, 10010, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195362, 10011, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195363, 10012, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195364, 10013, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195365, 10014, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195366, 10015, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195367, 10016, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195368, 10017, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195369, 10018, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195370, 10019, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195371, 10020, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195372, 10021, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195373, 10022, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195374, 10023, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195375, 10024, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195376, 10025, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195377, 10026, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195378, 10027, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195379, 10028, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195380, 10029, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195381, 10030, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195382, 10031, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195383, 10032, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195384, 10033, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195385, 10034, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195386, 10035, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195387, 10036, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195388, 10037, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195389, 10038, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195390, 10039, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195391, 10040, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195392, 10041, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195393, 10042, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195394, 10043, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195395, 10044, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195396, 10045, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195397, 10046, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195398, 10047, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195399, 10048, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195400, 10049, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195401, 10050, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195402, 10051, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195403, 10052, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195404, 10053, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195405, 10054, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195406, 10055, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195407, 10056, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195408, 10057, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195409, 10058, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195410, 10059, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195411, 10060, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195412, 10061, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195413, 10062, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195414, 10063, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195415, 10064, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195416, 10065, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195417, 10066, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195418, 10067, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195419, 10068, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195420, 10069, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195421, 10070, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195422, 10071, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195423, 10072, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195424, 10073, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195425, 10074, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195426, 10075, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195427, 10076, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195428, 10077, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195429, 10078, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195430, 10079, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195431, 10080, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195432, 10081, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195433, 10082, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195434, 10083, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195435, 10084, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195436, 10085, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195437, 10086, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195438, 10087, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195439, 10088, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195440, 10089, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195441, 10090, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195442, 10091, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195443, 10092, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195444, 10093, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195445, 10094, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195446, 10095, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195447, 10096, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195448, 10097, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195449, 10098, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195450, 10099, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195451, 10100, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195452, 10101, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195453, 10102, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195454, 10103, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195455, 10104, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195456, 10105, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195457, 10106, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195458, 10107, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195459, 10108, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195460, 10109, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195461, 10110, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195462, 10111, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195463, 10112, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195464, 10113, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195465, 10114, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195466, 10115, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195467, 10116, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195468, 10117, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195469, 10118, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195470, 10119, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195471, 10120, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195472, 10121, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195473, 10122, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195474, 10123, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195475, 10124, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195476, 10125, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195477, 10126, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195478, 10127, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195479, 10128, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195480, 10129, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195481, 10130, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195482, 10131, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195483, 10132, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195484, 10133, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195485, 10134, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195486, 10135, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195487, 10136, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195488, 10137, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195489, 10138, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195490, 10139, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195491, 10140, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195492, 10141, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195493, 10142, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195494, 10143, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195495, 10144, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195496, 10145, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195497, 10146, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195498, 10147, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195499, 10148, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195500, 10149, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195501, 10150, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195502, 10151, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195503, 10152, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195504, 10153, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195505, 10154, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195506, 10155, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195507, 10156, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195508, 10157, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195509, 10158, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195510, 10159, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195511, 10160, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195512, 10161, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195513, 10162, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195514, 10163, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195515, 10164, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195516, 10165, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195517, 10166, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195518, 10167, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195519, 10168, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195520, 10169, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195521, 10170, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195522, 10171, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195523, 10172, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195524, 10173, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195525, 10174, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195526, 10175, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195527, 10176, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195528, 10177, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195529, 10178, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195530, 10179, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195531, 10180, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195532, 10181, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195533, 10182, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195534, 10183, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195535, 10184, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195536, 10185, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195537, 10186, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195538, 10187, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195539, 10188, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195540, 10189, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195541, 10190, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195542, 10191, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195543, 10192, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195544, 10193, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195545, 10194, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195546, 10195, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195547, 10196, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195548, 10197, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195549, 10198, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195550, 10199, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195551, 10200, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195552, 10201, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195553, 10202, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195554, 10203, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195555, 10204, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195556, 10205, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195557, 10206, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195558, 10207, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195559, 10208, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195560, 10209, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195561, 10210, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195562, 10211, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195563, 10212, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195564, 10213, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195565, 10214, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195566, 10215, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195567, 10216, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195568, 10217, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195569, 10218, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195570, 10219, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195571, 10220, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195572, 10221, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195573, 10222, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195574, 10223, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195575, 10224, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195576, 10225, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195577, 10226, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195578, 10227, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195579, 10228, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195580, 10229, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195581, 10230, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195582, 10231, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195583, 10232, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195584, 10233, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195585, 10234, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195586, 10235, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195587, 10236, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195588, 10237, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195589, 10238, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195590, 10239, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195591, 10240, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195592, 10241, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195593, 10242, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195594, 10243, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195595, 10244, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195596, 10245, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195597, 10246, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195598, 10247, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195599, 10248, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195600, 10249, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195601, 10250, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195602, 10251, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195603, 10252, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195604, 10253, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195605, 10254, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195606, 10255, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195607, 10256, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195608, 10257, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195609, 10258, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195610, 10259, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195611, 10260, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195612, 10261, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195613, 10262, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195614, 10263, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195615, 10264, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195616, 10265, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195617, 10266, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195618, 10267, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195619, 10268, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195620, 10269, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195621, 10270, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195622, 10271, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195623, 10272, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195624, 10273, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195625, 10274, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195626, 10275, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195627, 10276, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195628, 10277, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195629, 10278, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195630, 10279, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195631, 10280, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195632, 10281, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195633, 10282, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195634, 10283, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195635, 10284, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195636, 10285, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195637, 10286, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195638, 10287, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195639, 10288, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195640, 10289, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195641, 10290, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195642, 10291, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195643, 10292, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195644, 10293, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195645, 10294, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195646, 10295, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195647, 10296, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195648, 10297, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195649, 10298, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195650, 10299, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195651, 10300, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195652, 10301, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195653, 10302, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195654, 10303, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195655, 10304, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195656, 10305, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195657, 10306, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195658, 10307, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195659, 10308, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195660, 10309, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195661, 10310, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195662, 10311, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195663, 10312, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195664, 10313, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195665, 10314, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195666, 10315, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195667, 10316, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195668, 10317, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195669, 10318, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195670, 10319, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195671, 10320, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195672, 10321, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195673, 10322, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195674, 10323, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195675, 10324, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195676, 10325, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195677, 10326, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195678, 10327, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195679, 10328, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195680, 10329, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195681, 10330, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195682, 10331, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195683, 10332, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195684, 10333, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195685, 10334, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195686, 10335, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195687, 10336, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195688, 10337, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195689, 10338, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195690, 10339, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195691, 10340, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195692, 10341, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195693, 10342, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195694, 10343, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195695, 10344, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195696, 10345, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195697, 10346, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195698, 10347, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195699, 10348, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195700, 10349, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195701, 10350, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195702, 10351, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195703, 10352, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195704, 10353, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195705, 10354, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195706, 10355, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195707, 10356, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195708, 10357, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195709, 10358, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195710, 10359, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195711, 10360, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195712, 10361, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195713, 10362, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195714, 10363, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195715, 10364, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195716, 10365, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195717, 10366, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195718, 10367, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195719, 10368, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195720, 10369, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195721, 10370, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195722, 10371, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195723, 10372, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195724, 10373, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195725, 10374, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195726, 10375, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195727, 10376, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195728, 10377, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195729, 10378, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195730, 10379, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195731, 10380, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195732, 10381, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195733, 10382, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195734, 10383, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195735, 10384, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195736, 10385, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195737, 10386, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195738, 10387, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195739, 10388, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195740, 10389, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195741, 10390, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195742, 10391, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195743, 10392, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195744, 10393, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195745, 10394, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195746, 10395, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195747, 10396, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195748, 10397, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195749, 10398, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195750, 10399, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195751, 10400, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195752, 10401, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195753, 10402, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195754, 10403, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195755, 10404, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195756, 10405, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195757, 10406, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195758, 10407, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195759, 10408, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195760, 10409, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195761, 10410, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195762, 10411, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195763, 10412, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195764, 10413, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195765, 10414, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195766, 10415, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195767, 10416, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195768, 10417, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195769, 10418, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195770, 10419, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195771, 10420, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195772, 10421, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195773, 10422, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195774, 10423, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195775, 10424, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195776, 10425, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195777, 10426, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195778, 10427, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195779, 10428, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195780, 10429, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195781, 10430, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195782, 10431, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195783, 10432, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195784, 10433, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195785, 10434, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195786, 10435, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195787, 10436, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195788, 10437, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195789, 10438, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195790, 10439, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195791, 10440, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195792, 10441, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195793, 10442, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195794, 10443, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195795, 10444, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195796, 10445, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195797, 10446, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195798, 10447, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195799, 10448, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195800, 10449, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195801, 10450, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195802, 10451, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195803, 10452, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195804, 10453, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195805, 10454, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195806, 10455, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195807, 10456, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195808, 10457, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195809, 10458, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195810, 10459, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195811, 10460, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195812, 10461, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195813, 10462, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195814, 10463, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195815, 10464, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195816, 10465, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195817, 10466, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195818, 10467, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195819, 10468, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195820, 10469, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195821, 10470, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195822, 10471, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195823, 10472, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195824, 10473, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195825, 10474, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195826, 10475, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195827, 10476, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195828, 10477, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195829, 10478, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195830, 10479, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195831, 10480, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195832, 10481, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195833, 10482, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195834, 10483, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195835, 10484, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195836, 10485, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195837, 10486, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195838, 10487, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195839, 10488, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195840, 10489, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195841, 10490, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195842, 10491, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195843, 10492, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195844, 10493, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195845, 10494, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195846, 10495, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195847, 10496, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195848, 10497, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195849, 10498, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195850, 10499, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195851, 10500, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195852, 10501, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195853, 10502, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195854, 10503, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195855, 10504, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195856, 10505, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195857, 10506, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195858, 10507, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195859, 10508, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195860, 10509, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195861, 10510, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195862, 10511, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195863, 10512, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195864, 10513, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195865, 10514, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195866, 10515, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195867, 10516, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195868, 10517, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195869, 10518, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195870, 10519, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195871, 10520, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195872, 10521, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195873, 10522, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195874, 10523, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195875, 10524, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195876, 10525, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195877, 10526, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195878, 10527, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195879, 10528, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195880, 10529, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195881, 10530, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195882, 10531, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195883, 10532, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195884, 10533, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195885, 10534, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195886, 10535, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195887, 10536, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195888, 10537, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195889, 10538, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195890, 10539, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195891, 10540, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195892, 10541, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195893, 10542, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195894, 10543, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195895, 10544, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195896, 10545, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195897, 10546, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195898, 10547, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195899, 10548, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195900, 10549, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195901, 10550, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195902, 10551, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195903, 10552, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195904, 10553, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195905, 10554, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195906, 10555, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195907, 10556, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195908, 10557, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195909, 10558, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195910, 10559, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195911, 10560, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195912, 10561, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195913, 10562, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195914, 10563, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195915, 10564, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195916, 10565, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195917, 10566, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195918, 10567, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195919, 10568, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195920, 10569, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195921, 10570, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195922, 10571, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195923, 10572, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195924, 10573, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195925, 10574, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195926, 10575, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195927, 10576, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195928, 10577, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195929, 10578, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195930, 10579, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195931, 10580, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195932, 10581, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195933, 10582, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195934, 10583, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195935, 10584, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195936, 10585, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195937, 10586, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195938, 10587, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195939, 10588, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195940, 10589, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195941, 10590, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195942, 10591, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195943, 10592, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195944, 10593, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195945, 10594, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195946, 10595, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195947, 10596, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195948, 10597, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195949, 10598, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195950, 10599, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195951, 10600, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195952, 10601, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195953, 10602, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195954, 10603, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195955, 10604, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195956, 10605, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195957, 10606, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195958, 10607, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195959, 10608, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195960, 10609, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195961, 10610, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195962, 10611, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195963, 10612, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195964, 10613, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195965, 10614, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195966, 10615, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195967, 10616, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195968, 10617, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195969, 10618, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195970, 10619, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195971, 10620, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195972, 10621, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195973, 10622, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195974, 10623, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195975, 10624, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195976, 10625, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195977, 10626, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195978, 10627, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195979, 10628, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195980, 10629, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195981, 10630, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195982, 10631, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195983, 10632, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195984, 10633, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195985, 10634, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195986, 10635, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195987, 10636, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195988, 10637, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195989, 10638, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195990, 10639, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195991, 10640, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195992, 10641, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195993, 10642, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195994, 10643, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195995, 10644, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195996, 10645, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195997, 10646, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195998, 10647, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (195999, 10648, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196000, 10649, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196001, 10650, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196002, 10651, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196003, 10652, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196004, 10653, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196005, 10654, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196006, 10655, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196007, 10656, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196008, 10657, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196009, 10658, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196010, 10659, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196011, 10660, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196012, 10661, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196013, 10662, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196014, 10663, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196015, 10664, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196016, 10665, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196017, 10666, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196018, 10667, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196019, 10668, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196020, 10669, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196021, 10670, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196022, 10671, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196023, 10672, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196024, 10673, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196025, 10674, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196026, 10675, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196027, 10676, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196028, 10677, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196029, 10678, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196030, 10679, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196031, 10680, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196032, 10681, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196033, 10682, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196034, 10683, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196035, 10684, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196036, 10685, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196037, 10686, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196038, 10687, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196039, 10688, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196040, 10689, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196041, 10690, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196042, 10691, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196043, 10692, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196044, 10693, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196045, 10694, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196046, 10695, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196047, 10696, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196048, 10697, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196049, 10698, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196050, 10699, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196051, 10700, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196052, 10701, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196053, 10702, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196054, 10703, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196055, 10704, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196056, 10705, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196057, 10706, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196058, 10707, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196059, 10708, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196060, 10709, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196061, 10710, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196062, 10711, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196063, 10712, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196064, 10713, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196065, 10714, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196066, 10715, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196067, 10716, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196068, 10717, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196069, 10718, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196070, 10719, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196071, 10720, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196072, 10721, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196073, 10722, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196074, 10723, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196075, 10724, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196076, 10725, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196077, 10726, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196078, 10727, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196079, 10728, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196080, 10729, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196081, 10730, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196082, 10731, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196083, 10732, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196084, 10733, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196085, 10734, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196086, 10735, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196087, 10736, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196088, 10737, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196089, 10738, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196090, 10739, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196091, 10740, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196092, 10741, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196093, 10742, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196094, 10743, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196095, 10744, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196096, 10745, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196097, 10746, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196098, 10747, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196099, 10748, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196100, 10749, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196101, 10750, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196102, 10751, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196103, 10752, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196104, 10753, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196105, 10754, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196106, 10755, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196107, 10756, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196108, 10757, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196109, 10758, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196110, 10759, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196111, 10760, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196112, 10761, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196113, 10762, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196114, 10763, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196115, 10764, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196116, 10765, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196117, 10766, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196118, 10767, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196119, 10768, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196120, 10769, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196121, 10770, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196122, 10771, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196123, 10772, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196124, 10773, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196125, 10774, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196126, 10775, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196127, 10776, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196128, 10777, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196129, 10778, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196130, 10779, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196131, 10780, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196132, 10781, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196133, 10782, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196134, 10783, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196135, 10784, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196136, 10785, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196137, 10786, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196138, 10787, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196139, 10788, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196140, 10789, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196141, 10790, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196142, 10791, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196143, 10792, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196144, 10793, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196145, 10794, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196146, 10795, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196147, 10796, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196148, 10797, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196149, 10798, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196150, 10799, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196151, 10800, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196152, 10801, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196153, 10802, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196154, 10803, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196155, 10804, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196156, 10805, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196157, 10806, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196158, 10807, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196159, 10808, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196160, 10809, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196161, 10810, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196162, 10811, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196163, 10812, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196164, 10813, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196165, 10814, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196166, 10815, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196167, 10816, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196168, 10817, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196169, 10818, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196170, 10819, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196171, 10820, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196172, 10821, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196173, 10822, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196174, 10823, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196175, 10824, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196176, 10825, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196177, 10826, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196178, 10827, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196179, 10828, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196180, 10829, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196181, 10830, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196182, 10831, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196183, 10832, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196184, 10833, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196185, 10834, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196186, 10835, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196187, 10836, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196188, 10837, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196189, 10838, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196190, 10839, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196191, 10840, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196192, 10841, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196193, 10842, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196194, 10843, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196195, 10844, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196196, 10845, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196197, 10846, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196198, 10847, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196199, 10848, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196200, 10849, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196201, 10850, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196202, 10851, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196203, 10852, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196204, 10853, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196205, 10854, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196206, 10855, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196207, 10856, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196208, 10857, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196209, 10858, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196210, 10859, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196211, 10860, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196212, 10861, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196213, 10862, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196214, 10863, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196215, 10864, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196216, 10865, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196217, 10866, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196218, 10867, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196219, 10868, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196220, 10869, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196221, 10870, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196222, 10871, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196223, 10872, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196224, 10873, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196225, 10874, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196226, 10875, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196227, 10876, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196228, 10877, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196229, 10878, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196230, 10879, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196231, 10880, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196232, 10881, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196233, 10882, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196234, 10883, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196235, 10884, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196236, 10885, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196237, 10886, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196238, 10887, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196239, 10888, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196240, 10889, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196241, 10890, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196242, 10891, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196243, 10892, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196244, 10893, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196245, 10894, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196246, 10895, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196247, 10896, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196248, 10897, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196249, 10898, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196250, 10899, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196251, 10900, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196252, 10901, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196253, 10902, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196254, 10903, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196255, 10904, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196256, 10905, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196257, 10906, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196258, 10907, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196259, 10908, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196260, 10909, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196261, 10910, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196262, 10911, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196263, 10912, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196264, 10913, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196265, 10914, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196266, 10915, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196267, 10916, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196268, 10917, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196269, 10918, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196270, 10919, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196271, 10920, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196272, 10921, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196273, 10922, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196274, 10923, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196275, 10924, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196276, 10925, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196277, 10926, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196278, 10927, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196279, 10928, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196280, 10929, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196281, 10930, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196282, 10931, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196283, 10932, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196284, 10933, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196285, 10934, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196286, 10935, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196287, 10936, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196288, 10937, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196289, 10938, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196290, 10939, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196291, 10940, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196292, 10941, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196293, 10942, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196294, 10943, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196295, 10944, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196296, 10945, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196297, 10946, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196298, 10947, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196299, 10948, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196300, 10949, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196301, 10950, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196302, 10951, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196303, 10952, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196304, 10953, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196305, 10954, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196306, 10955, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196307, 10956, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196308, 10957, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196309, 10958, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196310, 10959, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196311, 10960, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196312, 10961, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196313, 10962, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196314, 10963, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196315, 10964, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196316, 10965, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196317, 10966, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196318, 10967, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196319, 10968, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196320, 10969, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196321, 10970, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196322, 10971, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196323, 10972, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196324, 10973, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196325, 10974, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196326, 10975, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196327, 10976, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196328, 10977, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196329, 10978, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196330, 10979, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196331, 10980, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196332, 10981, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196333, 10982, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196334, 10983, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196335, 10984, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196336, 10985, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196337, 10986, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196338, 10987, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196339, 10988, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196340, 10989, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196341, 10990, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196342, 10991, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196343, 10992, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196344, 10993, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196345, 10994, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196346, 10995, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196347, 10996, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196348, 10997, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196349, 10998, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196350, 10999, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196351, 11000, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196352, 11001, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196353, 11002, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196354, 11003, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196355, 11004, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196356, 11005, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196357, 11006, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196358, 11007, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196359, 11008, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196360, 11009, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196361, 11010, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196362, 11011, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196363, 11012, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196364, 11013, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196365, 11014, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196366, 11015, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196367, 11016, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196368, 11017, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196369, 11018, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196370, 11019, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196371, 11020, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196372, 11021, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196373, 11022, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196374, 11023, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196375, 11024, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196376, 11025, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196377, 11026, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196378, 11027, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196379, 11028, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196380, 11029, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196381, 11030, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196382, 11031, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196383, 11032, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196384, 11033, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196385, 11034, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196386, 11035, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196387, 11036, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196388, 11037, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196389, 11038, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196390, 11039, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196391, 11040, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196392, 11041, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196393, 11042, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196394, 11043, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196395, 11044, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196396, 11045, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196397, 11046, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196398, 11047, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196399, 11048, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196400, 11049, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196401, 11050, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196402, 11051, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196403, 11052, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196404, 11053, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196405, 11054, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196406, 11055, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196407, 11056, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196408, 11057, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196409, 11058, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196410, 11059, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196411, 11060, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196412, 11061, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196413, 11062, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196414, 11063, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196415, 11064, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196416, 11065, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196417, 11066, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196418, 11067, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196419, 11068, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196420, 11069, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196421, 11070, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196422, 11071, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196423, 11072, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196424, 11073, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196425, 11074, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196426, 11075, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196427, 11076, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196428, 11077, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196429, 11078, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196430, 11079, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196431, 11080, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196432, 11081, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196433, 11082, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196434, 11083, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196435, 11084, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196436, 11085, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196437, 11086, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196438, 11087, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196439, 11088, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196440, 11089, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196441, 11090, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196442, 11091, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196443, 11092, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196444, 11093, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196445, 11094, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196446, 11095, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196447, 11096, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196448, 11097, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196449, 11098, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196450, 11099, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196451, 11100, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196452, 11101, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196453, 11102, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196454, 11103, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196455, 11104, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196456, 11105, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196457, 11106, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196458, 11107, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196459, 11108, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196460, 11109, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196461, 11110, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196462, 11111, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196463, 11112, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196464, 11113, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196465, 11114, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196466, 11115, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196467, 11116, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196468, 11117, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196469, 11118, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196470, 11119, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196471, 11120, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196472, 11121, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196473, 11122, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196474, 11123, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196475, 11124, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196476, 11125, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196477, 11126, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196478, 11127, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196479, 11128, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196480, 11129, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196481, 11130, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196482, 11131, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196483, 11132, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196484, 11133, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196485, 11134, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196486, 11135, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196487, 11136, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196488, 11137, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196489, 11138, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196490, 11139, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196491, 11140, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196492, 11141, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196493, 11142, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196494, 11143, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196495, 11144, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196496, 11145, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196497, 11146, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196498, 11147, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196499, 11148, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196500, 11149, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196501, 11150, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196502, 11151, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196503, 11152, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196504, 11153, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196505, 11154, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196506, 11155, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196507, 11156, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196508, 11157, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196509, 11158, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196510, 11159, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196511, 11160, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196512, 11161, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196513, 11162, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196514, 11163, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196515, 11164, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196516, 11165, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196517, 11166, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196518, 11167, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196519, 11168, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196520, 11169, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196521, 11170, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196522, 11171, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196523, 11172, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196524, 11173, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196525, 11174, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196526, 11175, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196527, 11176, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196528, 11177, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196529, 11178, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196530, 11179, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196531, 11180, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196532, 11181, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196533, 11182, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196534, 11183, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196535, 11184, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196536, 11185, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196537, 11186, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196538, 11187, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196539, 11188, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196540, 11189, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196541, 11190, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196542, 11191, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196543, 11192, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196544, 11193, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196545, 11194, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196546, 11195, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196547, 11196, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196548, 11197, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196549, 11198, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196550, 11199, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196551, 11200, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196552, 11201, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196553, 11202, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196554, 11203, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196555, 11204, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196556, 11205, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196557, 11206, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196558, 11207, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196559, 11208, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196560, 11209, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196561, 11210, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196562, 11211, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196563, 11212, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196564, 11213, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196565, 11214, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196566, 11215, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196567, 11216, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196568, 11217, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196569, 11218, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196570, 11219, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196571, 11220, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196572, 11221, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196573, 11222, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196574, 11223, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196575, 11224, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196576, 11225, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196577, 11226, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196578, 11227, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196579, 11228, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196580, 11229, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196581, 11230, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196582, 11231, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196583, 11232, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196584, 11233, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196585, 11234, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196586, 11235, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196587, 11236, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196588, 11237, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196589, 11238, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196590, 11239, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196591, 11240, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196592, 11241, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196593, 11242, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196594, 11243, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196595, 11244, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196596, 11245, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196597, 11246, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196598, 11247, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196599, 11248, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196600, 11249, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196601, 11250, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196602, 11251, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196603, 11252, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196604, 11253, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196605, 11254, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196606, 11255, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196607, 11256, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196608, 11257, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196609, 11258, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196610, 11259, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196611, 11260, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196612, 11261, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196613, 11262, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196614, 11263, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196615, 11264, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196616, 11265, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196617, 11266, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196618, 11267, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196619, 11268, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196620, 11269, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196621, 11270, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196622, 11271, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196623, 11272, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196624, 11273, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196625, 11274, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196626, 11275, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196627, 11276, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196628, 11277, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196629, 11278, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196630, 11279, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196631, 11280, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196632, 11281, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196633, 11282, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196634, 11283, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196635, 11284, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196636, 11285, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196637, 11286, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196638, 11287, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196639, 11288, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196640, 11289, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196641, 11290, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196642, 11291, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196643, 11292, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196644, 11293, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196645, 11294, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196646, 11295, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196647, 11296, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196648, 11297, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196649, 11298, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196650, 11299, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196651, 11300, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196652, 11301, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196653, 11302, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196654, 11303, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196655, 11304, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196656, 11305, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196657, 11306, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196658, 11307, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196659, 11308, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196660, 11309, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196661, 11310, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196662, 11311, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196663, 11312, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196664, 11313, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196665, 11314, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196666, 11315, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196667, 11316, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196668, 11317, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196669, 11318, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196670, 11319, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196671, 11320, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196672, 11321, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196673, 11322, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196674, 11323, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196675, 11324, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196676, 11325, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196677, 11326, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196678, 11327, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196679, 11328, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196680, 11329, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196681, 11330, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196682, 11331, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196683, 11332, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196684, 11333, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196685, 11334, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196686, 11335, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196687, 11336, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196688, 11337, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196689, 11338, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196690, 11339, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196691, 11340, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196692, 11341, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196693, 11342, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196694, 11343, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196695, 11344, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196696, 11345, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196697, 11346, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196698, 11347, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196699, 11348, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196700, 11349, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196701, 11350, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196702, 11351, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196703, 11352, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196704, 11353, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196705, 11354, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196706, 11355, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196707, 11356, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196708, 11357, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196709, 11358, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196710, 11359, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196711, 11360, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196712, 11361, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196713, 11362, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196714, 11363, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196715, 11364, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196716, 11365, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196717, 11366, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196718, 11367, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196719, 11368, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196720, 11369, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196721, 11370, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196722, 11371, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196723, 11372, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196724, 11373, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196725, 11374, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196726, 11375, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196727, 11376, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196728, 11377, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196729, 11378, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196730, 11379, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196731, 11380, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196732, 11381, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196733, 11382, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196734, 11383, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196735, 11384, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196736, 11385, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196737, 11386, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196738, 11387, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196739, 11388, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196740, 11389, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196741, 11390, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196742, 11391, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196743, 11392, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196744, 11393, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196745, 11394, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196746, 11395, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196747, 11396, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196748, 11397, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196749, 11398, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196750, 11399, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196751, 11400, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196752, 11401, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196753, 11402, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196754, 11403, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196755, 11404, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196756, 11405, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196757, 11406, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196758, 11407, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196759, 11408, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196760, 11409, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196761, 11410, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196762, 11411, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196763, 11412, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196764, 11413, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196765, 11414, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196766, 11415, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196767, 11416, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196768, 11417, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196769, 11418, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196770, 11419, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196771, 11420, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196772, 11421, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196773, 11422, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196774, 11423, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196775, 11424, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196776, 11425, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196777, 11426, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196778, 11427, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196779, 11428, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196780, 11429, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196781, 11430, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196782, 11431, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196783, 11432, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196784, 11433, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196785, 11434, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196786, 11435, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196787, 11436, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196788, 11437, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196789, 11438, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196790, 11439, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196791, 11440, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196792, 11441, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196793, 11442, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196794, 11443, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196795, 11444, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196796, 11445, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196797, 11446, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196798, 11447, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196799, 11448, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196800, 11449, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196801, 11450, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196802, 11451, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196803, 11452, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196804, 11453, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196805, 11454, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196806, 11455, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196807, 11456, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196808, 11457, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196809, 11458, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196810, 11459, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196811, 11460, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196812, 11461, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196813, 11462, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196814, 11463, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196815, 11464, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196816, 11465, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196817, 11466, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196818, 11467, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196819, 11468, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196820, 11469, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196821, 11470, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196822, 11471, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196823, 11472, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196824, 11473, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196825, 11474, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196826, 11475, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196827, 11476, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196828, 11477, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196829, 11478, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196830, 11479, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196831, 11480, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196832, 11481, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196833, 11482, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196834, 11483, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196835, 11484, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196836, 11485, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196837, 11486, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196838, 11487, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196839, 11488, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196840, 11489, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196841, 11490, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196842, 11491, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196843, 11492, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196844, 11493, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196845, 11494, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196846, 11495, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196847, 11496, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196848, 11497, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196849, 11498, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196850, 11499, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196851, 11500, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196852, 11501, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196853, 11502, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196854, 11503, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196855, 11504, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196856, 11505, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196857, 11506, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196858, 11507, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196859, 11508, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196860, 11509, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196861, 11510, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196862, 11511, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196863, 11512, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196864, 11513, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196865, 11514, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196866, 11515, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196867, 11516, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196868, 11517, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196869, 11518, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196870, 11519, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196871, 11520, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196872, 11521, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196873, 11522, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196874, 11523, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196875, 11524, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196876, 11525, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196877, 11526, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196878, 11527, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196879, 11528, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196880, 11529, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196881, 11530, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196882, 11531, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196883, 11532, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196884, 11533, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196885, 11534, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196886, 11535, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196887, 11536, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196888, 11537, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196889, 11538, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196890, 11539, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196891, 11540, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196892, 11541, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196893, 11542, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196894, 11543, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196895, 11544, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196896, 11545, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196897, 11546, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196898, 11547, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196899, 11548, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196900, 11549, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196901, 11550, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196902, 11551, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196903, 11552, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196904, 11553, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196905, 11554, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196906, 11555, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196907, 11556, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196908, 11557, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196909, 11558, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196910, 11559, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196911, 11560, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196912, 11561, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196913, 11562, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196914, 11563, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196915, 11564, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196916, 11565, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196917, 11566, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196918, 11567, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196919, 11568, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196920, 11569, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196921, 11570, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196922, 11571, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196923, 11572, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196924, 11573, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196925, 11574, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196926, 11575, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196927, 11576, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196928, 11577, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196929, 11578, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196930, 11579, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196931, 11580, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196932, 11581, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196933, 11582, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196934, 11583, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196935, 11584, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196936, 11585, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196937, 11586, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196938, 11587, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196939, 11588, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196940, 11589, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196941, 11590, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196942, 11591, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196943, 11592, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196944, 11593, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196945, 11594, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196946, 11595, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196947, 11596, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196948, 11597, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196949, 11598, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196950, 11599, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196951, 11600, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196952, 11601, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196953, 11602, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196954, 11603, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196955, 11604, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196956, 11605, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196957, 11606, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196958, 11607, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196959, 11608, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196960, 11609, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196961, 11610, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196962, 11611, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196963, 11612, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196964, 11613, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196965, 11614, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196966, 11615, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196967, 11616, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196968, 11617, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196969, 11618, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196970, 11619, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196971, 11620, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196972, 11621, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196973, 11622, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196974, 11623, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196975, 11624, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196976, 11625, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196977, 11626, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196978, 11627, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196979, 11628, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196980, 11629, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196981, 11630, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196982, 11631, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196983, 11632, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196984, 11633, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196985, 11634, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196986, 11635, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196987, 11636, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196988, 11637, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196989, 11638, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196990, 11639, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196991, 11640, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196992, 11641, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196993, 11642, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196994, 11643, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196995, 11644, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196996, 11645, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196997, 11646, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196998, 11647, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (196999, 11648, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197000, 11649, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197001, 11650, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197002, 11651, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197003, 11652, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197004, 11653, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197005, 11654, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197006, 11655, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197007, 11656, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197008, 11657, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197009, 11658, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197010, 11659, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197011, 11660, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197012, 11661, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197013, 11662, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197014, 11663, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197015, 11664, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197016, 11665, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197017, 11666, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197018, 11667, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197019, 11668, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197020, 11669, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197021, 11670, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197022, 11671, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197023, 11672, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197024, 11673, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197025, 11674, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197026, 11675, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197027, 11676, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197028, 11677, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197029, 11678, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197030, 11679, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197031, 11680, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197032, 11681, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197033, 11682, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197034, 11683, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197035, 11684, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197036, 11685, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197037, 11686, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197038, 11687, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197039, 11688, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197040, 11689, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197041, 11690, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197042, 11691, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197043, 11692, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197044, 11693, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197045, 11694, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197046, 11695, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197047, 11696, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197048, 11697, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197049, 11698, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197050, 11699, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197051, 11700, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197052, 11701, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197053, 11702, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197054, 11703, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197055, 11704, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197056, 11705, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197057, 11706, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197058, 11707, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197059, 11708, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197060, 11709, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197061, 11710, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197062, 11711, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197063, 11712, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197064, 11713, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197065, 11714, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197066, 11715, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197067, 11716, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197068, 11717, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197069, 11718, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197070, 11719, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197071, 11720, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197072, 11721, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197073, 11722, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197074, 11723, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197075, 11724, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197076, 11725, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197077, 11726, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197078, 11727, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197079, 11728, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197080, 11729, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197081, 11730, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197082, 11731, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197083, 11732, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197084, 11733, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197085, 11734, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197086, 11735, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197087, 11736, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197088, 11737, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197089, 11738, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197090, 11739, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197091, 11740, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197092, 11741, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197093, 11742, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197094, 11743, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197095, 11744, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197096, 11745, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197097, 11746, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197098, 11747, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197099, 11748, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197100, 11749, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197101, 11750, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197102, 11751, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197103, 11752, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197104, 11753, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197105, 11754, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197106, 11755, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197107, 11756, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197108, 11757, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197109, 11758, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197110, 11759, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197111, 11760, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197112, 11761, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197113, 11762, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197114, 11763, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197115, 11764, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197116, 11765, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197117, 11766, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197118, 11767, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197119, 11768, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197120, 11769, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197121, 11770, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197122, 11771, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197123, 11772, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197124, 11773, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197125, 11774, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197126, 11775, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197127, 11776, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197128, 11777, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197129, 11778, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197130, 11779, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197131, 11780, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197132, 11781, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197133, 11782, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197134, 11783, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197135, 11784, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197136, 11785, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197137, 11786, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197138, 11787, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197139, 11788, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197140, 11789, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197141, 11790, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197142, 11791, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197143, 11792, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197144, 11793, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197145, 11794, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197146, 11795, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197147, 11796, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197148, 11797, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197149, 11798, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197150, 11799, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197151, 11800, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197152, 11801, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197153, 11802, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197154, 11803, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197155, 11804, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197156, 11805, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197157, 11806, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197158, 11807, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197159, 11808, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197160, 11809, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197161, 11810, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197162, 11811, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197163, 11812, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197164, 11813, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197165, 11814, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197166, 11815, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197167, 11816, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197168, 11817, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197169, 11818, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197170, 11819, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197171, 11820, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197172, 11821, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197173, 11822, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197174, 11823, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197175, 11824, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197176, 11825, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197177, 11826, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197178, 11827, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197179, 11828, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197180, 11829, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197181, 11830, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197182, 11831, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197183, 11832, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197184, 11833, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197185, 11834, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197186, 11835, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197187, 11836, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197188, 11837, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197189, 11838, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197190, 11839, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197191, 11840, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197192, 11841, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197193, 11842, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197194, 11843, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197195, 11844, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197196, 11845, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197197, 11846, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197198, 11847, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197199, 11848, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197200, 11849, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197201, 11850, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197202, 11851, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197203, 11852, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197204, 11853, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197205, 11854, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197206, 11855, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197207, 11856, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197208, 11857, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197209, 11858, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197210, 11859, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197211, 11860, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197212, 11861, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197213, 11862, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197214, 11863, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197215, 11864, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197216, 11865, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197217, 11866, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197218, 11867, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197219, 11868, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197220, 11869, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197221, 11870, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197222, 11871, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197223, 11872, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197224, 11873, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197225, 11874, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197226, 11875, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197227, 11876, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197228, 11877, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197229, 11878, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197230, 11879, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197231, 11880, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197232, 11881, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197233, 11882, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197234, 11883, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197235, 11884, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197236, 11885, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197237, 11886, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197238, 11887, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197239, 11888, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197240, 11889, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197241, 11890, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197242, 11891, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197243, 11892, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197244, 11893, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197245, 11894, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197246, 11895, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197247, 11896, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197248, 11897, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197249, 11898, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197250, 11899, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197251, 11900, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197252, 11901, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197253, 11902, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197254, 11903, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197255, 11904, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197256, 11905, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197257, 11906, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197258, 11907, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197259, 11908, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197260, 11909, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197261, 11910, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197262, 11911, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197263, 11912, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197264, 11913, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197265, 11914, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197266, 11915, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197267, 11916, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197268, 11917, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197269, 11918, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197270, 11919, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197271, 11920, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197272, 11921, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197273, 11922, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197274, 11923, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197275, 11924, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197276, 11925, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197277, 11926, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197278, 11927, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197279, 11928, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197280, 11929, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197281, 11930, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197282, 11931, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197283, 11932, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197284, 11933, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197285, 11934, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197286, 11935, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197287, 11936, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197288, 11937, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197289, 11938, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197290, 11939, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197291, 11940, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197292, 11941, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197293, 11942, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197294, 11943, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197295, 11944, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197296, 11945, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197297, 11946, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197298, 11947, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197299, 11948, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197300, 11949, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197301, 11950, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197302, 11951, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197303, 11952, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197304, 11953, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197305, 11954, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197306, 11955, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197307, 11956, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197308, 11957, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197309, 11958, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197310, 11959, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197311, 11960, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197312, 11961, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197313, 11962, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197314, 11963, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197315, 11964, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197316, 11965, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197317, 11966, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197318, 11967, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197319, 11968, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197320, 11969, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197321, 11970, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197322, 11971, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197323, 11972, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197324, 11973, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197325, 11974, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197326, 11975, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197327, 11976, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197328, 11977, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197329, 11978, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197330, 11979, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197331, 11980, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197332, 11981, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197333, 11982, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197334, 11983, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197335, 11984, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197336, 11985, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197337, 11986, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197338, 11987, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197339, 11988, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197340, 11989, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197341, 11990, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197342, 11991, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197343, 11992, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197344, 11993, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197345, 11994, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197346, 11995, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197347, 11996, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197348, 11997, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197349, 11998, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197350, 11999, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197351, 12000, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197352, 12001, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197353, 12002, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197354, 12003, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197355, 12004, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197356, 12005, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197357, 12006, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197358, 12007, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197359, 12008, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197360, 12009, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197361, 12010, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197362, 12011, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197363, 12012, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197364, 12013, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197365, 12014, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197366, 12015, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197367, 12016, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197368, 12017, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197369, 12018, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197370, 12019, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197371, 12020, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197372, 12021, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197373, 12022, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197374, 12023, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197375, 12024, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197376, 12025, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197377, 12026, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197378, 12027, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197379, 12028, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197380, 12029, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197381, 12030, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197382, 12031, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197383, 12032, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197384, 12033, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197385, 12034, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197386, 12035, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197387, 12036, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197388, 12037, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197389, 12038, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197390, 12039, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197391, 12040, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197392, 12041, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197393, 12042, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197394, 12043, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197395, 12044, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197396, 12045, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197397, 12046, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197398, 12047, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197399, 12048, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197400, 12049, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197401, 12050, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197402, 12051, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197403, 12052, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197404, 12053, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197405, 12054, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197406, 12055, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197407, 12056, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197408, 12057, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197409, 12058, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197410, 12059, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197411, 12060, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197412, 12061, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197413, 12062, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197414, 12063, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197415, 12064, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197416, 12065, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197417, 12066, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197418, 12067, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197419, 12068, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197420, 12069, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197421, 12070, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197422, 12071, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197423, 12072, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197424, 12073, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197425, 12074, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197426, 12075, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197427, 12076, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197428, 12077, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197429, 12078, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197430, 12079, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197431, 12080, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197432, 12081, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197433, 12082, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197434, 12083, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197435, 12084, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197436, 12085, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197437, 12086, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197438, 12087, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197439, 12088, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197440, 12089, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197441, 12090, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197442, 12091, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197443, 12092, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197444, 12093, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197445, 12094, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197446, 12095, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197447, 12096, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197448, 12097, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197449, 12098, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197450, 12099, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197451, 12100, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197452, 12101, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197453, 12102, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197454, 12103, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197455, 12104, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197456, 12105, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197457, 12106, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197458, 12107, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197459, 12108, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197460, 12109, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197461, 12110, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197462, 12111, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197463, 12112, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197464, 12113, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197465, 12114, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197466, 12115, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197467, 12116, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197468, 12117, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197469, 12118, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197470, 12119, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197471, 12120, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197472, 12121, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197473, 12122, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197474, 12123, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197475, 12124, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197476, 12125, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197477, 12126, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197478, 12127, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197479, 12128, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197480, 12129, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197481, 12130, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197482, 12131, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197483, 12132, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197484, 12133, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197485, 12134, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197486, 12135, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197487, 12136, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197488, 12137, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197489, 12138, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197490, 12139, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197491, 12140, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197492, 12141, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197493, 12142, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197494, 12143, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197495, 12144, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197496, 12145, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197497, 12146, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197498, 12147, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197499, 12148, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197500, 12149, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197501, 12150, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197502, 12151, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197503, 12152, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197504, 12153, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197505, 12154, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197506, 12155, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197507, 12156, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197508, 12157, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197509, 12158, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197510, 12159, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197511, 12160, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197512, 12161, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197513, 12162, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197514, 12163, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197515, 12164, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197516, 12165, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197517, 12166, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197518, 12167, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197519, 12168, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197520, 12169, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197521, 12170, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197522, 12171, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197523, 12172, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197524, 12173, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197525, 12174, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197526, 12175, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197527, 12176, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197528, 12177, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197529, 12178, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197530, 12179, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197531, 12180, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197532, 12181, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197533, 12182, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197534, 12183, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197535, 12184, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197536, 12185, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197537, 12186, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197538, 12187, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197539, 12188, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197540, 12189, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197541, 12190, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197542, 12191, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197543, 12192, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197544, 12193, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197545, 12194, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197546, 12195, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197547, 12196, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197548, 12197, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197549, 12198, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197550, 12199, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197551, 12200, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197552, 12201, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197553, 12202, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197554, 12203, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197555, 12204, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197556, 12205, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197557, 12206, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197558, 12207, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197559, 12208, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197560, 12209, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197561, 12210, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197562, 12211, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197563, 12212, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197564, 12213, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197565, 12214, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197566, 12215, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197567, 12216, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197568, 12217, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197569, 12218, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197570, 12219, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197571, 12220, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197572, 12221, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197573, 12222, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197574, 12223, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197575, 12224, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197576, 12225, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197577, 12226, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197578, 12227, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197579, 12228, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197580, 12229, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197581, 12230, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197582, 12231, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197583, 12232, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197584, 12233, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197585, 12234, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197586, 12235, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197587, 12236, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197588, 12237, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197589, 12238, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197590, 12239, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197591, 12240, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197592, 12241, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197593, 12242, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197594, 12243, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197595, 12244, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197596, 12245, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197597, 12246, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197598, 12247, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197599, 12248, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197600, 12249, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197601, 12250, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197602, 12251, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197603, 12252, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197604, 12253, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197605, 12254, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197606, 12255, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197607, 12256, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197608, 12257, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197609, 12258, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197610, 12259, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197611, 12260, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197612, 12261, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197613, 12262, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197614, 12263, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197615, 12264, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197616, 12265, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197617, 12266, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197618, 12267, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197619, 12268, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197620, 12269, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197621, 12270, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197622, 12271, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197623, 12272, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197624, 12273, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197625, 12274, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197626, 12275, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197627, 12276, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197628, 12277, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197629, 12278, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197630, 12279, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197631, 12280, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197632, 12281, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197633, 12282, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197634, 12283, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197635, 12284, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197636, 12285, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197637, 12286, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197638, 12287, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197639, 12288, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197640, 12289, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197641, 12290, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197642, 12291, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197643, 12292, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197644, 12293, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197645, 12294, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197646, 12295, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197647, 12296, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197648, 12297, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197649, 12298, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197650, 12299, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197651, 12300, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197652, 12301, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197653, 12302, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197654, 12303, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197655, 12304, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197656, 12305, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197657, 12306, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197658, 12307, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197659, 12308, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197660, 12309, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197661, 12310, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197662, 12311, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197663, 12312, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197664, 12313, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197665, 12314, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197666, 12315, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197667, 12316, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197668, 12317, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197669, 12318, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197670, 12319, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197671, 12320, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197672, 12321, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197673, 12322, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197674, 12323, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197675, 12324, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197676, 12325, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197677, 12326, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197678, 12327, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197679, 12328, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197680, 12329, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197681, 12330, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197682, 12331, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197683, 12332, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197684, 12333, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197685, 12334, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197686, 12335, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197687, 12336, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197688, 12337, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197689, 12338, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197690, 12339, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197691, 12340, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197692, 12341, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197693, 12342, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197694, 12343, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197695, 12344, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197696, 12345, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197697, 12346, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197698, 12347, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197699, 12348, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197700, 12349, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197701, 12350, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197702, 12351, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197703, 12352, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197704, 12353, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197705, 12354, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197706, 12355, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197707, 12356, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197708, 12357, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197709, 12358, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197710, 12359, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197711, 12360, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197712, 12361, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197713, 12362, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197714, 12363, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197715, 12364, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197716, 12365, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197717, 12366, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197718, 12367, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197719, 12368, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197720, 12369, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197721, 12370, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197722, 12371, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197723, 12372, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197724, 12373, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197725, 12374, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197726, 12375, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197727, 12376, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197728, 12377, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197729, 12378, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197730, 12379, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197731, 12380, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197732, 12381, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (197733, 12382, 35, 'dummy');

--

